/*!
 * Font Awesome Pro 6.1.2 by @fontawesome - https://fontawesome.com
 * License - https://fontawesome.com/license (Commercial License)
 * Copyright 2022 Fonticons, Inc.
 */
(function () {
  'use strict';

  var _WINDOW = {};
  var _DOCUMENT = {};

  try {
    if (typeof window !== 'undefined') _WINDOW = window;
    if (typeof document !== 'undefined') _DOCUMENT = document;
  } catch (e) {}

  var _ref = _WINDOW.navigator || {},
      _ref$userAgent = _ref.userAgent,
      userAgent = _ref$userAgent === void 0 ? '' : _ref$userAgent;
  var WINDOW = _WINDOW;
  var DOCUMENT = _DOCUMENT;
  var IS_BROWSER = !!WINDOW.document;
  var IS_DOM = !!DOCUMENT.documentElement && !!DOCUMENT.head && typeof DOCUMENT.addEventListener === 'function' && typeof DOCUMENT.createElement === 'function';
  var IS_IE = ~userAgent.indexOf('MSIE') || ~userAgent.indexOf('Trident/');

  function ownKeys(object, enumerableOnly) {
    var keys = Object.keys(object);

    if (Object.getOwnPropertySymbols) {
      var symbols = Object.getOwnPropertySymbols(object);
      enumerableOnly && (symbols = symbols.filter(function (sym) {
        return Object.getOwnPropertyDescriptor(object, sym).enumerable;
      })), keys.push.apply(keys, symbols);
    }

    return keys;
  }

  function _objectSpread2(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = null != arguments[i] ? arguments[i] : {};
      i % 2 ? ownKeys(Object(source), !0).forEach(function (key) {
        _defineProperty(target, key, source[key]);
      }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }

    return target;
  }

  function _defineProperty(obj, key, value) {
    if (key in obj) {
      Object.defineProperty(obj, key, {
        value: value,
        enumerable: true,
        configurable: true,
        writable: true
      });
    } else {
      obj[key] = value;
    }

    return obj;
  }

  function _toConsumableArray(arr) {
    return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread();
  }

  function _arrayWithoutHoles(arr) {
    if (Array.isArray(arr)) return _arrayLikeToArray(arr);
  }

  function _iterableToArray(iter) {
    if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
  }

  function _unsupportedIterableToArray(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _arrayLikeToArray(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(o);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen);
  }

  function _arrayLikeToArray(arr, len) {
    if (len == null || len > arr.length) len = arr.length;

    for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i];

    return arr2;
  }

  function _nonIterableSpread() {
    throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
  }

  var NAMESPACE_IDENTIFIER = '___FONT_AWESOME___';
  var PRODUCTION = function () {
    try {
      return "production" === 'production';
    } catch (e) {
      return false;
    }
  }();
  var STYLE_TO_PREFIX = {
    'solid': 'fas',
    'regular': 'far',
    'light': 'fal',
    'thin': 'fat',
    'duotone': 'fad',
    'brands': 'fab',
    'kit': 'fak'
  };
  var oneToTen = [1, 2, 3, 4, 5, 6, 7, 8, 9, 10];
  var oneToTwenty = oneToTen.concat([11, 12, 13, 14, 15, 16, 17, 18, 19, 20]);
  var DUOTONE_CLASSES = {
    GROUP: 'duotone-group',
    SWAP_OPACITY: 'swap-opacity',
    PRIMARY: 'primary',
    SECONDARY: 'secondary'
  };
  var RESERVED_CLASSES = [].concat(_toConsumableArray(Object.keys(STYLE_TO_PREFIX)), ['2xs', 'xs', 'sm', 'lg', 'xl', '2xl', 'beat', 'border', 'fade', 'beat-fade', 'bounce', 'flip-both', 'flip-horizontal', 'flip-vertical', 'flip', 'fw', 'inverse', 'layers-counter', 'layers-text', 'layers', 'li', 'pull-left', 'pull-right', 'pulse', 'rotate-180', 'rotate-270', 'rotate-90', 'rotate-by', 'shake', 'spin-pulse', 'spin-reverse', 'spin', 'stack-1x', 'stack-2x', 'stack', 'ul', DUOTONE_CLASSES.GROUP, DUOTONE_CLASSES.SWAP_OPACITY, DUOTONE_CLASSES.PRIMARY, DUOTONE_CLASSES.SECONDARY]).concat(oneToTen.map(function (n) {
    return "".concat(n, "x");
  })).concat(oneToTwenty.map(function (n) {
    return "w-".concat(n);
  }));

  function bunker(fn) {
    try {
      for (var _len = arguments.length, args = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
        args[_key - 1] = arguments[_key];
      }

      fn.apply(void 0, args);
    } catch (e) {
      if (!PRODUCTION) {
        throw e;
      }
    }
  }

  var w = WINDOW || {};
  if (!w[NAMESPACE_IDENTIFIER]) w[NAMESPACE_IDENTIFIER] = {};
  if (!w[NAMESPACE_IDENTIFIER].styles) w[NAMESPACE_IDENTIFIER].styles = {};
  if (!w[NAMESPACE_IDENTIFIER].hooks) w[NAMESPACE_IDENTIFIER].hooks = {};
  if (!w[NAMESPACE_IDENTIFIER].shims) w[NAMESPACE_IDENTIFIER].shims = [];
  var namespace = w[NAMESPACE_IDENTIFIER];

  function normalizeIcons(icons) {
    return Object.keys(icons).reduce(function (acc, iconName) {
      var icon = icons[iconName];
      var expanded = !!icon.icon;

      if (expanded) {
        acc[icon.iconName] = icon.icon;
      } else {
        acc[iconName] = icon;
      }

      return acc;
    }, {});
  }

  function defineIcons(prefix, icons) {
    var params = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
    var _params$skipHooks = params.skipHooks,
        skipHooks = _params$skipHooks === void 0 ? false : _params$skipHooks;
    var normalized = normalizeIcons(icons);

    if (typeof namespace.hooks.addPack === 'function' && !skipHooks) {
      namespace.hooks.addPack(prefix, normalizeIcons(icons));
    } else {
      namespace.styles[prefix] = _objectSpread2(_objectSpread2({}, namespace.styles[prefix] || {}), normalized);
    }
    /**
     * Font Awesome 4 used the prefix of `fa` for all icons. With the introduction
     * of new styles we needed to differentiate between them. Prefix `fa` is now an alias
     * for `fas` so we'll ease the upgrade process for our users by automatically defining
     * this as well.
     */


    if (prefix === 'fas') {
      defineIcons('fa', icons);
    }
  }

  var icons = {
    "42-group": [640, 512, ["innosoft"], "e080", "M320 96V416C341 416 361.8 411.9 381.2 403.8C400.6 395.8 418.3 383.1 433.1 369.1C447.1 354.3 459.8 336.6 467.8 317.2C475.9 297.8 480 277 480 256C480 234.1 475.9 214.2 467.8 194.8C459.8 175.4 447.1 157.7 433.1 142.9C418.3 128 400.6 116.2 381.2 108.2C361.8 100.1 341 96 320 96zM0 256L160 416L320 256L160 96L0 256zM480 256C480 277 484.1 297.8 492.2 317.2C500.2 336.6 512 354.3 526.9 369.1C541.7 383.1 559.4 395.8 578.8 403.8C598.2 411.9 618.1 416 640 416V96C597.6 96 556.9 112.9 526.9 142.9C496.9 172.9 480 213.6 480 256z"],
    "500px": [448, 512, [], "f26e", "M103.3 344.3c-6.5-14.2-6.9-18.3 7.4-23.1 25.6-8 8 9.2 43.2 49.2h.3v-93.9c1.2-50.2 44-92.2 97.7-92.2 53.9 0 97.7 43.5 97.7 96.8 0 63.4-60.8 113.2-128.5 93.3-10.5-4.2-2.1-31.7 8.5-28.6 53 0 89.4-10.1 89.4-64.4 0-61-77.1-89.6-116.9-44.6-23.5 26.4-17.6 42.1-17.6 157.6 50.7 31 118.3 22 160.4-20.1 24.8-24.8 38.5-58 38.5-93 0-35.2-13.8-68.2-38.8-93.3-24.8-24.8-57.8-38.5-93.3-38.5s-68.8 13.8-93.5 38.5c-.3 .3-16 16.5-21.2 23.9l-.5 .6c-3.3 4.7-6.3 9.1-20.1 6.1-6.9-1.7-14.3-5.8-14.3-11.8V20c0-5 3.9-10.5 10.5-10.5h241.3c8.3 0 8.3 11.6 8.3 15.1 0 3.9 0 15.1-8.3 15.1H130.3v132.9h.3c104.2-109.8 282.8-36 282.8 108.9 0 178.1-244.8 220.3-310.1 62.8zm63.3-260.8c-.5 4.2 4.6 24.5 14.6 20.6C306 56.6 384 144.5 390.6 144.5c4.8 0 22.8-15.3 14.3-22.8-93.2-89-234.5-57-238.3-38.2zM393 414.7C283 524.6 94 475.5 61 310.5c0-12.2-30.4-7.4-28.9 3.3 24 173.4 246 256.9 381.6 121.3 6.9-7.8-12.6-28.4-20.7-20.4zM213.6 306.6c0 4 4.3 7.3 5.5 8.5 3 3 6.1 4.4 8.5 4.4 3.8 0 2.6 .2 22.3-19.5 19.6 19.3 19.1 19.5 22.3 19.5 5.4 0 18.5-10.4 10.7-18.2L265.6 284l18.2-18.2c6.3-6.8-10.1-21.8-16.2-15.7L249.7 268c-18.6-18.8-18.4-19.5-21.5-19.5-5 0-18 11.7-12.4 17.3L234 284c-18.1 17.9-20.4 19.2-20.4 22.6z"],
    "accessible-icon": [448, 512, [62107], "f368", "M423.9 255.8L411 413.1c-3.3 40.7-63.9 35.1-60.6-4.9l10-122.5-41.1 2.3c10.1 20.7 15.8 43.9 15.8 68.5 0 41.2-16.1 78.7-42.3 106.5l-39.3-39.3c57.9-63.7 13.1-167.2-74-167.2-25.9 0-49.5 9.9-67.2 26L73 243.2c22-20.7 50.1-35.1 81.4-40.2l75.3-85.7-42.6-24.8-51.6 46c-30 26.8-70.6-18.5-40.5-45.4l68-60.7c9.8-8.8 24.1-10.2 35.5-3.6 0 0 139.3 80.9 139.5 81.1 16.2 10.1 20.7 36 6.1 52.6L285.7 229l106.1-5.9c18.5-1.1 33.6 14.4 32.1 32.7zm-64.9-154c28.1 0 50.9-22.8 50.9-50.9C409.9 22.8 387.1 0 359 0c-28.1 0-50.9 22.8-50.9 50.9 0 28.1 22.8 50.9 50.9 50.9zM179.6 456.5c-80.6 0-127.4-90.6-82.7-156.1l-39.7-39.7C36.4 287 24 320.3 24 356.4c0 130.7 150.7 201.4 251.4 122.5l-39.7-39.7c-16 10.9-35.3 17.3-56.1 17.3z"],
    "accusoft": [640, 512, [], "f369", "M322.1 252v-1l-51.2-65.8s-12 1.6-25 15.1c-9 9.3-242.1 239.1-243.4 240.9-7 10 1.6 6.8 15.7 1.7 .8 0 114.5-36.6 114.5-36.6 .5-.6-.1-.1 .6-.6-.4-5.1-.8-26.2-1-27.7-.6-5.2 2.2-6.9 7-8.9l92.6-33.8c.6-.8 88.5-81.7 90.2-83.3zm160.1 120.1c13.3 16.1 20.7 13.3 30.8 9.3 3.2-1.2 115.4-47.6 117.8-48.9 8-4.3-1.7-16.7-7.2-23.4-2.1-2.5-205.1-245.6-207.2-248.3-9.7-12.2-14.3-12.9-38.4-12.8-10.2 0-106.8 .5-116.5 .6-19.2 .1-32.9-.3-19.2 16.9C250 75 476.5 365.2 482.2 372.1zm152.7 1.6c-2.3-.3-24.6-4.7-38-7.2 0 0-115 50.4-117.5 51.6-16 7.3-26.9-3.2-36.7-14.6l-57.1-74c-5.4-.9-60.4-9.6-65.3-9.3-3.1 .2-9.6 .8-14.4 2.9-4.9 2.1-145.2 52.8-150.2 54.7-5.1 2-11.4 3.6-11.1 7.6 .2 2.5 2 2.6 4.6 3.5 2.7 .8 300.9 67.6 308 69.1 15.6 3.3 38.5 10.5 53.6 1.7 2.1-1.2 123.8-76.4 125.8-77.8 5.4-4 4.3-6.8-1.7-8.2z"],
    "adn": [496, 512, [], "f170", "M248 167.5l64.9 98.8H183.1l64.9-98.8zM496 256c0 136.9-111.1 248-248 248S0 392.9 0 256 111.1 8 248 8s248 111.1 248 248zm-99.8 82.7L248 115.5 99.8 338.7h30.4l33.6-51.7h168.6l33.6 51.7h30.2z"],
    "adversal": [512, 512, [], "f36a", "M482.1 32H28.7C5.8 32 0 37.9 0 60.9v390.2C0 474.4 5.8 480 28.7 480h453.4c24.4 0 29.9-5.2 29.9-29.7V62.2c0-24.6-5.4-30.2-29.9-30.2zM178.4 220.3c-27.5-20.2-72.1-8.7-84.2 23.4-4.3 11.1-9.3 9.5-17.5 8.3-9.7-1.5-17.2-3.2-22.5-5.5-28.8-11.4 8.6-55.3 24.9-64.3 41.1-21.4 83.4-22.2 125.3-4.8 40.9 16.8 34.5 59.2 34.5 128.5 2.7 25.8-4.3 58.3 9.3 88.8 1.9 4.4 .4 7.9-2.7 10.7-8.4 6.7-39.3 2.2-46.6-7.4-1.9-2.2-1.8-3.6-3.9-6.2-3.6-3.9-7.3-2.2-11.9 1-57.4 36.4-140.3 21.4-147-43.3-3.1-29.3 12.4-57.1 39.6-71 38.2-19.5 112.2-11.8 114-30.9 1.1-10.2-1.9-20.1-11.3-27.3zm286.7 222c0 15.1-11.1 9.9-17.8 9.9H52.4c-7.4 0-18.2 4.8-17.8-10.7 .4-13.9 10.5-9.1 17.1-9.1 132.3-.4 264.5-.4 396.8 0 6.8 0 16.6-4.4 16.6 9.9zm3.8-340.5v291c0 5.7-.7 13.9-8.1 13.9-12.4-.4-27.5 7.1-36.1-5.6-5.8-8.7-7.8-4-12.4-1.2-53.4 29.7-128.1 7.1-144.4-85.2-6.1-33.4-.7-67.1 15.7-100 11.8-23.9 56.9-76.1 136.1-30.5v-71c0-26.2-.1-26.2 26-26.2 3.1 0 6.6 .4 9.7 0 10.1-.8 13.6 4.4 13.6 14.3-.1 .2-.1 .3-.1 .5zm-51.5 232.3c-19.5 47.6-72.9 43.3-90 5.2-15.1-33.3-15.5-68.2 .4-101.5 16.3-34.1 59.7-35.7 81.5-4.8 20.6 28.8 14.9 84.6 8.1 101.1zm-294.8 35.3c-7.5-1.3-33-3.3-33.7-27.8-.4-13.9 7.8-23 19.8-25.8 24.4-5.9 49.3-9.9 73.7-14.7 8.9-2 7.4 4.4 7.8 9.5 1.4 33-26.1 59.2-67.6 58.8z"],
    "affiliatetheme": [512, 512, [], "f36b", "M159.7 237.4C108.4 308.3 43.1 348.2 14 326.6-15.2 304.9 2.8 230 54.2 159.1c51.3-70.9 116.6-110.8 145.7-89.2 29.1 21.6 11.1 96.6-40.2 167.5zm351.2-57.3C437.1 303.5 319 367.8 246.4 323.7c-25-15.2-41.3-41.2-49-73.8-33.6 64.8-92.8 113.8-164.1 133.2 49.8 59.3 124.1 96.9 207 96.9 150 0 271.6-123.1 271.6-274.9 .1-8.5-.3-16.8-1-25z"],
    "airbnb": [448, 512, [], "f834", "M224 373.1c-25.24-31.67-40.08-59.43-45-83.18-22.55-88 112.6-88 90.06 0-5.45 24.25-20.29 52-45 83.18zm138.1 73.23c-42.06 18.31-83.67-10.88-119.3-50.47 103.9-130.1 46.11-200-18.85-200-54.92 0-85.16 46.51-73.28 100.5 6.93 29.19 25.23 62.39 54.43 99.5-32.53 36.05-60.55 52.69-85.15 54.92-50 7.43-89.11-41.06-71.3-91.09 15.1-39.16 111.7-231.2 115.9-241.6 15.75-30.07 25.56-57.4 59.38-57.4 32.34 0 43.4 25.94 60.37 59.87 36 70.62 89.35 177.5 114.8 239.1 13.17 33.07-1.37 71.29-37.01 86.64zm47-136.1C280.3 35.93 273.1 32 224 32c-45.52 0-64.87 31.67-84.66 72.79C33.18 317.1 22.89 347.2 22 349.8-3.22 419.1 48.74 480 111.6 480c21.71 0 60.61-6.06 112.4-62.4 58.68 63.78 101.3 62.4 112.4 62.4 62.89 .05 114.8-60.86 89.61-130.2 .02-3.89-16.82-38.9-16.82-39.58z"],
    "algolia": [448, 512, [], "f36c", "M229.3 182.6c-49.3 0-89.2 39.9-89.2 89.2 0 49.3 39.9 89.2 89.2 89.2s89.2-39.9 89.2-89.2c0-49.3-40-89.2-89.2-89.2zm62.7 56.6l-58.9 30.6c-1.8 .9-3.8-.4-3.8-2.3V201c0-1.5 1.3-2.7 2.7-2.6 26.2 1 48.9 15.7 61.1 37.1 .7 1.3 .2 3-1.1 3.7zM389.1 32H58.9C26.4 32 0 58.4 0 90.9V421c0 32.6 26.4 59 58.9 59H389c32.6 0 58.9-26.4 58.9-58.9V90.9C448 58.4 421.6 32 389.1 32zm-202.6 84.7c0-10.8 8.7-19.5 19.5-19.5h45.3c10.8 0 19.5 8.7 19.5 19.5v15.4c0 1.8-1.7 3-3.3 2.5-12.3-3.4-25.1-5.1-38.1-5.1-13.5 0-26.7 1.8-39.4 5.5-1.7 .5-3.4-.8-3.4-2.5v-15.8zm-84.4 37l9.2-9.2c7.6-7.6 19.9-7.6 27.5 0l7.7 7.7c1.1 1.1 1 3-.3 4-6.2 4.5-12.1 9.4-17.6 14.9-5.4 5.4-10.4 11.3-14.8 17.4-1 1.3-2.9 1.5-4 .3l-7.7-7.7c-7.6-7.5-7.6-19.8 0-27.4zm127.2 244.8c-70 0-126.6-56.7-126.6-126.6s56.7-126.6 126.6-126.6c70 0 126.6 56.6 126.6 126.6 0 69.8-56.7 126.6-126.6 126.6z"],
    "alipay": [448, 512, [], "f642", "M377.7 32H70.26C31.41 32 0 63.41 0 102.3v307.5C0 448.6 31.41 480 70.26 480h307.5c38.52 0 69.76-31.08 70.26-69.6-45.96-25.62-110.6-60.34-171.6-88.44-32.07 43.97-84.14 81-148.6 81-70.59 0-93.73-45.3-97.04-76.37-3.97-39.01 14.88-81.5 99.52-81.5 35.38 0 79.35 10.25 127.1 24.96 16.53-30.09 26.45-60.34 26.45-60.34h-178.2v-16.7h92.08v-31.24H88.28v-19.01h109.4V92.34h50.92v50.42h109.4v19.01H248.6v31.24h88.77s-15.21 46.62-38.35 90.92c48.93 16.7 100 36.04 148.6 52.74V102.3C447.8 63.57 416.4 32 377.7 32zM47.28 322.1c.99 20.17 10.25 53.73 69.93 53.73 52.07 0 92.58-39.68 117.9-72.9-44.63-18.68-84.48-31.41-109.4-31.41-67.45 0-79.35 33.06-78.36 50.58z"],
    "amazon": [448, 512, [], "f270", "M257.2 162.7c-48.7 1.8-169.5 15.5-169.5 117.5 0 109.5 138.3 114 183.5 43.2 6.5 10.2 35.4 37.5 45.3 46.8l56.8-56S341 288.9 341 261.4V114.3C341 89 316.5 32 228.7 32 140.7 32 94 87 94 136.3l73.5 6.8c16.3-49.5 54.2-49.5 54.2-49.5 40.7-.1 35.5 29.8 35.5 69.1zm0 86.8c0 80-84.2 68-84.2 17.2 0-47.2 50.5-56.7 84.2-57.8v40.6zm136 163.5c-7.7 10-70 67-174.5 67S34.2 408.5 9.7 379c-6.8-7.7 1-11.3 5.5-8.3C88.5 415.2 203 488.5 387.7 401c7.5-3.7 13.3 2 5.5 12zm39.8 2.2c-6.5 15.8-16 26.8-21.2 31-5.5 4.5-9.5 2.7-6.5-3.8s19.3-46.5 12.7-55c-6.5-8.3-37-4.3-48-3.2-10.8 1-13 2-14-.3-2.3-5.7 21.7-15.5 37.5-17.5 15.7-1.8 41-.8 46 5.7 3.7 5.1 0 27.1-6.5 43.1z"],
    "amazon-pay": [640, 512, [], "f42c", "M14 325.3c2.3-4.2 5.2-4.9 9.7-2.5 10.4 5.6 20.6 11.4 31.2 16.7a595.9 595.9 0 0 0 127.4 46.3 616.6 616.6 0 0 0 63.2 11.8 603.3 603.3 0 0 0 95 5.2c17.4-.4 34.8-1.8 52.1-3.8a603.7 603.7 0 0 0 163.3-42.8c2.9-1.2 5.9-2 9.1-1.2 6.7 1.8 9 9 4.1 13.9a70 70 0 0 1 -9.6 7.4c-30.7 21.1-64.2 36.4-99.6 47.9a473.3 473.3 0 0 1 -75.1 17.6 431 431 0 0 1 -53.2 4.8 21.3 21.3 0 0 0 -2.5 .3H308a21.3 21.3 0 0 0 -2.5-.3c-3.6-.2-7.2-.3-10.7-.4a426.3 426.3 0 0 1 -50.4-5.3A448.4 448.4 0 0 1 164 420a443.3 443.3 0 0 1 -145.6-87c-1.8-1.6-3-3.8-4.4-5.7zM172 65.1l-4.3 .6a80.92 80.92 0 0 0 -38 15.1c-2.4 1.7-4.6 3.5-7.1 5.4a4.29 4.29 0 0 1 -.4-1.4c-.4-2.7-.8-5.5-1.3-8.2-.7-4.6-3-6.6-7.6-6.6h-11.5c-6.9 0-8.2 1.3-8.2 8.2v209.3c0 1 0 2 .1 3 .2 3 2 4.9 4.9 5 7 .1 14.1 .1 21.1 0 2.9 0 4.7-2 5-5 .1-1 .1-2 .1-3v-72.4c1.1 .9 1.7 1.4 2.2 1.9 17.9 14.9 38.5 19.8 61 15.4 20.4-4 34.6-16.5 43.8-34.9 7-13.9 9.9-28.7 10.3-44.1 .5-17.1-1.2-33.9-8.1-49.8-8.5-19.6-22.6-32.5-43.9-36.9-3.2-.7-6.5-1-9.8-1.5-2.8-.1-5.5-.1-8.3-.1zM124.6 107a3.48 3.48 0 0 1 1.7-3.3c13.7-9.5 28.8-14.5 45.6-13.2 14.9 1.1 27.1 8.4 33.5 25.9 3.9 10.7 4.9 21.8 4.9 33 0 10.4-.8 20.6-4 30.6-6.8 21.3-22.4 29.4-42.6 28.5-14-.6-26.2-6-37.4-13.9a3.57 3.57 0 0 1 -1.7-3.3c.1-14.1 0-28.1 0-42.2s.1-28 0-42.1zm205.7-41.9c-1 .1-2 .3-2.9 .4a148 148 0 0 0 -28.9 4.1c-6.1 1.6-12 3.8-17.9 5.8-3.6 1.2-5.4 3.8-5.3 7.7 .1 3.3-.1 6.6 0 9.9 .1 4.8 2.1 6.1 6.8 4.9 7.8-2 15.6-4.2 23.5-5.7 12.3-2.3 24.7-3.3 37.2-1.4 6.5 1 12.6 2.9 16.8 8.4 3.7 4.8 5.1 10.5 5.3 16.4 .3 8.3 .2 16.6 .3 24.9a7.84 7.84 0 0 1 -.2 1.4c-.5-.1-.9 0-1.3-.1a180.6 180.6 0 0 0 -32-4.9c-11.3-.6-22.5 .1-33.3 3.9-12.9 4.5-23.3 12.3-29.4 24.9-4.7 9.8-5.4 20.2-3.9 30.7 2 14 9 24.8 21.4 31.7 11.9 6.6 24.8 7.4 37.9 5.4 15.1-2.3 28.5-8.7 40.3-18.4a7.36 7.36 0 0 1 1.6-1.1c.6 3.8 1.1 7.4 1.8 11 .6 3.1 2.5 5.1 5.4 5.2 5.4 .1 10.9 .1 16.3 0a4.84 4.84 0 0 0 4.8-4.7 26.2 26.2 0 0 0 .1-2.8v-106a80 80 0 0 0 -.9-12.9c-1.9-12.9-7.4-23.5-19-30.4-6.7-4-14.1-6-21.8-7.1-3.6-.5-7.2-.8-10.8-1.3-3.9 .1-7.9 .1-11.9 .1zm35 127.7a3.33 3.33 0 0 1 -1.5 3c-11.2 8.1-23.5 13.5-37.4 14.9-5.7 .6-11.4 .4-16.8-1.8a20.08 20.08 0 0 1 -12.4-13.3 32.9 32.9 0 0 1 -.1-19.4c2.5-8.3 8.4-13 16.4-15.6a61.33 61.33 0 0 1 24.8-2.2c8.4 .7 16.6 2.3 25 3.4 1.6 .2 2.1 1 2.1 2.6-.1 4.8 0 9.5 0 14.3s-.2 9.4-.1 14.1zm259.9 129.4c-1-5-4.8-6.9-9.1-8.3a88.42 88.42 0 0 0 -21-3.9 147.3 147.3 0 0 0 -39.2 1.9c-14.3 2.7-27.9 7.3-40 15.6a13.75 13.75 0 0 0 -3.7 3.5 5.11 5.11 0 0 0 -.5 4c.4 1.5 2.1 1.9 3.6 1.8a16.2 16.2 0 0 0 2.2-.1c7.8-.8 15.5-1.7 23.3-2.5 11.4-1.1 22.9-1.8 34.3-.9a71.64 71.64 0 0 1 14.4 2.7c5.1 1.4 7.4 5.2 7.6 10.4 .4 8-1.4 15.7-3.5 23.3-4.1 15.4-10 30.3-15.8 45.1a17.6 17.6 0 0 0 -1 3c-.5 2.9 1.2 4.8 4.1 4.1a10.56 10.56 0 0 0 4.8-2.5 145.9 145.9 0 0 0 12.7-13.4c12.8-16.4 20.3-35.3 24.7-55.6 .8-3.6 1.4-7.3 2.1-10.9v-17.3zM493.1 199q-19.35-53.55-38.7-107.2c-2-5.7-4.2-11.3-6.3-16.9-1.1-2.9-3.2-4.8-6.4-4.8-7.6-.1-15.2-.2-22.9-.1-2.5 0-3.7 2-3.2 4.5a43.1 43.1 0 0 0 1.9 6.1q29.4 72.75 59.1 145.5c1.7 4.1 2.1 7.6 .2 11.8-3.3 7.3-5.9 15-9.3 22.3-3 6.5-8 11.4-15.2 13.3a42.13 42.13 0 0 1 -15.4 1.1c-2.5-.2-5-.8-7.5-1-3.4-.2-5.1 1.3-5.2 4.8q-.15 5 0 9.9c.1 5.5 2 8 7.4 8.9a108.2 108.2 0 0 0 16.9 2c17.1 .4 30.7-6.5 39.5-21.4a131.6 131.6 0 0 0 9.2-18.4q35.55-89.7 70.6-179.6a26.62 26.62 0 0 0 1.6-5.5c.4-2.8-.9-4.4-3.7-4.4-6.6-.1-13.3 0-19.9 0a7.54 7.54 0 0 0 -7.7 5.2c-.5 1.4-1.1 2.7-1.6 4.1l-34.8 100c-2.5 7.2-5.1 14.5-7.7 22.2-.4-1.1-.6-1.7-.9-2.4z"],
    "amilia": [448, 512, [], "f36d", "M240.1 32c-61.9 0-131.5 16.9-184.2 55.4-5.1 3.1-9.1 9.2-7.2 19.4 1.1 5.1 5.1 27.4 10.2 39.6 4.1 10.2 14.2 10.2 20.3 6.1 32.5-22.3 96.5-47.7 152.3-47.7 57.9 0 58.9 28.4 58.9 73.1v38.5C203 227.7 78.2 251 46.7 264.2 11.2 280.5 16.3 357.7 16.3 376s15.2 104 124.9 104c47.8 0 113.7-20.7 153.3-42.1v25.4c0 3 2.1 8.2 6.1 9.1 3.1 1 50.7 2 59.9 2s62.5 .3 66.5-.7c4.1-1 5.1-6.1 5.1-9.1V168c-.1-80.3-57.9-136-192-136zm50.2 348c-21.4 13.2-48.7 24.4-79.1 24.4-52.8 0-58.9-33.5-59-44.7 0-12.2-3-42.7 18.3-52.9 24.3-13.2 75.1-29.4 119.8-33.5z"],
    "android": [576, 512, [], "f17b", "M420.5 301.9a24 24 0 1 1 24-24 24 24 0 0 1 -24 24m-265.1 0a24 24 0 1 1 24-24 24 24 0 0 1 -24 24m273.7-144.5 47.94-83a10 10 0 1 0 -17.27-10h0l-48.54 84.07a301.3 301.3 0 0 0 -246.6 0L116.2 64.45a10 10 0 1 0 -17.27 10h0l47.94 83C64.53 202.2 8.24 285.5 0 384H576c-8.24-98.45-64.54-181.8-146.9-226.6"],
    "angellist": [448, 512, [], "f209", "M347.1 215.4c11.7-32.6 45.4-126.9 45.4-157.1 0-26.6-15.7-48.9-43.7-48.9-44.6 0-84.6 131.7-97.1 163.1C242 144 196.6 0 156.6 0c-31.1 0-45.7 22.9-45.7 51.7 0 35.3 34.2 126.8 46.6 162-6.3-2.3-13.1-4.3-20-4.3-23.4 0-48.3 29.1-48.3 52.6 0 8.9 4.9 21.4 8 29.7-36.9 10-51.1 34.6-51.1 71.7C46 435.6 114.4 512 210.6 512c118 0 191.4-88.6 191.4-202.9 0-43.1-6.9-82-54.9-93.7zM311.7 108c4-12.3 21.1-64.3 37.1-64.3 8.6 0 10.9 8.9 10.9 16 0 19.1-38.6 124.6-47.1 148l-34-6 33.1-93.7zM142.3 48.3c0-11.9 14.5-45.7 46.3 47.1l34.6 100.3c-15.6-1.3-27.7-3-35.4 1.4-10.9-28.8-45.5-119.7-45.5-148.8zM140 244c29.3 0 67.1 94.6 67.1 107.4 0 5.1-4.9 11.4-10.6 11.4-20.9 0-76.9-76.9-76.9-97.7 .1-7.7 12.7-21.1 20.4-21.1zm184.3 186.3c-29.1 32-66.3 48.6-109.7 48.6-59.4 0-106.3-32.6-128.9-88.3-17.1-43.4 3.8-68.3 20.6-68.3 11.4 0 54.3 60.3 54.3 73.1 0 4.9-7.7 8.3-11.7 8.3-16.1 0-22.4-15.5-51.1-51.4-29.7 29.7 20.5 86.9 58.3 86.9 26.1 0 43.1-24.2 38-42 3.7 0 8.3 .3 11.7-.6 1.1 27.1 9.1 59.4 41.7 61.7 0-.9 2-7.1 2-7.4 0-17.4-10.6-32.6-10.6-50.3 0-28.3 21.7-55.7 43.7-71.7 8-6 17.7-9.7 27.1-13.1 9.7-3.7 20-8 27.4-15.4-1.1-11.2-5.7-21.1-16.9-21.1-27.7 0-120.6 4-120.6-39.7 0-6.7 .1-13.1 17.4-13.1 32.3 0 114.3 8 138.3 29.1 18.1 16.1 24.3 113.2-31 174.7zm-98.6-126c9.7 3.1 19.7 4 29.7 6-7.4 5.4-14 12-20.3 19.1-2.8-8.5-6.2-16.8-9.4-25.1z"],
    "angrycreative": [640, 512, [], "f36e", "M640 238.2l-3.2 28.2-34.5 2.3-2 18.1 34.5-2.3-3.2 28.2-34.4 2.2-2.3 20.1 34.4-2.2-3 26.1-64.7 4.1 12.7-113.2L527 365.2l-31.9 2-23.8-117.8 30.3-2 13.6 79.4 31.7-82.4 93.1-6.2zM426.8 371.5l28.3-1.8L468 249.6l-28.4 1.9-12.8 120zM162 388.1l-19.4-36-3.5 37.4-28.2 1.7 2.7-29.1c-11 18-32 34.3-56.9 35.8C23.9 399.9-3 377 .3 339.7c2.6-29.3 26.7-62.8 67.5-65.4 37.7-2.4 47.6 23.2 51.3 28.8l2.8-30.8 38.9-2.5c20.1-1.3 38.7 3.7 42.5 23.7l2.6-26.6 64.8-4.2-2.7 27.9-36.4 2.4-1.7 17.9 36.4-2.3-2.7 27.9-36.4 2.3-1.9 19.9 36.3-2.3-2.1 20.8 55-117.2 23.8-1.6L370.4 369l8.9-85.6-22.3 1.4 2.9-27.9 75-4.9-3 28-24.3 1.6-9.7 91.9-58 3.7-4.3-15.6-39.4 2.5-8 16.3-126.2 7.7zm-44.3-70.2l-26.4 1.7C84.6 307.2 76.9 303 65 303.8c-19 1.2-33.3 17.5-34.6 33.3-1.4 16 7.3 32.5 28.7 31.2 12.8-.8 21.3-8.6 28.9-18.9l27-1.7 2.7-29.8zm56.1-7.7c1.2-12.9-7.6-13.6-26.1-12.4l-2.7 28.5c14.2-.9 27.5-2.1 28.8-16.1zm21.1 70.8l5.8-60c-5 13.5-14.7 21.1-27.9 26.6l22.1 33.4zm135.4-45l-7.9-37.8-15.8 39.3 23.7-1.5zm-170.1-74.6l-4.3-17.5-39.6 2.6-8.1 18.2-31.9 2.1 57-121.9 23.9-1.6 30.7 102 9.9-104.7 27-1.8 37.8 63.6 6.5-66.6 28.5-1.9-4 41.2c7.4-13.5 22.9-44.7 63.6-47.5 40.5-2.8 52.4 29.3 53.4 30.3l3.3-32 39.3-2.7c12.7-.9 27.8 .3 36.3 9.7l-4.4-11.9 32.2-2.2 12.9 43.2 23-45.7 31-2.2-43.6 78.4-4.8 44.3-28.4 1.9 4.8-44.3-15.8-43c1 22.3-9.2 40.1-32 49.6l25.2 38.8-36.4 2.4-19.2-36.8-4 38.3-28.4 1.9 3.3-31.5c-6.7 9.3-19.7 35.4-59.6 38-26.2 1.7-45.6-10.3-55.4-39.2l-4 40.3-25 1.6-37.6-63.3-6.3 66.2-56.8 3.7zm276.6-82.1c10.2-.7 17.5-2.1 21.6-4.3 4.5-2.4 7-6.4 7.6-12.1 .6-5.3-.6-8.8-3.4-10.4-3.6-2.1-10.6-2.8-22.9-2l-2.9 28.8zM327.7 214c5.6 5.9 12.7 8.5 21.3 7.9 4.7-.3 9.1-1.8 13.3-4.1 5.5-3 10.6-8 15.1-14.3l-34.2 2.3 2.4-23.9 63.1-4.3 1.2-12-31.2 2.1c-4.1-3.7-7.8-6.6-11.1-8.1-4-1.7-8.1-2.8-12.2-2.5-8 .5-15.3 3.6-22 9.2-7.7 6.4-12 14.5-12.9 24.4-1.1 9.6 1.4 17.3 7.2 23.3zm-201.3 8.2l23.8-1.6-8.3-37.6-15.5 39.2z"],
    "angular": [448, 512, [], "f420", "M185.7 268.1h76.2l-38.1-91.6-38.1 91.6zM223.8 32L16 106.4l31.8 275.7 176 97.9 176-97.9 31.8-275.7zM354 373.8h-48.6l-26.2-65.4H168.6l-26.2 65.4H93.7L223.8 81.5z"],
    "app-store": [512, 512, [], "f36f", "M255.9 120.9l9.1-15.7c5.6-9.8 18.1-13.1 27.9-7.5 9.8 5.6 13.1 18.1 7.5 27.9l-87.5 151.5h63.3c20.5 0 32 24.1 23.1 40.8H113.8c-11.3 0-20.4-9.1-20.4-20.4 0-11.3 9.1-20.4 20.4-20.4h52l66.6-115.4-20.8-36.1c-5.6-9.8-2.3-22.2 7.5-27.9 9.8-5.6 22.2-2.3 27.9 7.5l8.9 15.7zm-78.7 218l-19.6 34c-5.6 9.8-18.1 13.1-27.9 7.5-9.8-5.6-13.1-18.1-7.5-27.9l14.6-25.2c16.4-5.1 29.8-1.2 40.4 11.6zm168.9-61.7h53.1c11.3 0 20.4 9.1 20.4 20.4 0 11.3-9.1 20.4-20.4 20.4h-29.5l19.9 34.5c5.6 9.8 2.3 22.2-7.5 27.9-9.8 5.6-22.2 2.3-27.9-7.5-33.5-58.1-58.7-101.6-75.4-130.6-17.1-29.5-4.9-59.1 7.2-69.1 13.4 23 33.4 57.7 60.1 104zM256 8C119 8 8 119 8 256s111 248 248 248 248-111 248-248S393 8 256 8zm216 248c0 118.7-96.1 216-216 216-118.7 0-216-96.1-216-216 0-118.7 96.1-216 216-216 118.7 0 216 96.1 216 216z"],
    "app-store-ios": [448, 512, [], "f370", "M400 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zM127 384.5c-5.5 9.6-17.8 12.8-27.3 7.3-9.6-5.5-12.8-17.8-7.3-27.3l14.3-24.7c16.1-4.9 29.3-1.1 39.6 11.4L127 384.5zm138.9-53.9H84c-11 0-20-9-20-20s9-20 20-20h51l65.4-113.2-20.5-35.4c-5.5-9.6-2.2-21.8 7.3-27.3 9.6-5.5 21.8-2.2 27.3 7.3l8.9 15.4 8.9-15.4c5.5-9.6 17.8-12.8 27.3-7.3 9.6 5.5 12.8 17.8 7.3 27.3l-85.8 148.6h62.1c20.2 0 31.5 23.7 22.7 40zm98.1 0h-29l19.6 33.9c5.5 9.6 2.2 21.8-7.3 27.3-9.6 5.5-21.8 2.2-27.3-7.3-32.9-56.9-57.5-99.7-74-128.1-16.7-29-4.8-58 7.1-67.8 13.1 22.7 32.7 56.7 58.9 102h52c11 0 20 9 20 20 0 11.1-9 20-20 20z"],
    "apper": [640, 512, [], "f371", "M42.1 239.1c22.2 0 29 2.8 33.5 14.6h.8v-22.9c0-11.3-4.8-15.4-17.9-15.4-11.3 0-14.4 2.5-15.1 12.8H4.8c.3-13.9 1.5-19.1 5.8-24.4C17.9 195 29.5 192 56.7 192c33 0 47.1 5 53.9 18.9 2 4.3 4 15.6 4 23.7v76.3H76.3l1.3-19.1h-1c-5.3 15.6-13.6 20.4-35.5 20.4-30.3 0-41.1-10.1-41.1-37.3 0-25.2 12.3-35.8 42.1-35.8zm17.1 48.1c13.1 0 16.9-3 16.9-13.4 0-9.1-4.3-11.6-19.6-11.6-13.1 0-17.9 3-17.9 12.1-.1 10.4 3.7 12.9 20.6 12.9zm77.8-94.9h38.3l-1.5 20.6h.8c9.1-17.1 15.9-20.9 37.5-20.9 14.4 0 24.7 3 31.5 9.1 9.8 8.6 12.8 20.4 12.8 48.1 0 30-3 43.1-12.1 52.9-6.8 7.3-16.4 10.1-33.2 10.1-20.4 0-29.2-5.5-33.8-21.2h-.8v70.3H137v-169zm80.9 60.7c0-27.5-3.3-32.5-20.7-32.5-16.9 0-20.7 5-20.7 28.7 0 28 3.5 33.5 21.2 33.5 16.4 0 20.2-5.6 20.2-29.7zm57.9-60.7h38.3l-1.5 20.6h.8c9.1-17.1 15.9-20.9 37.5-20.9 14.4 0 24.7 3 31.5 9.1 9.8 8.6 12.8 20.4 12.8 48.1 0 30-3 43.1-12.1 52.9-6.8 7.3-16.4 10.1-33.3 10.1-20.4 0-29.2-5.5-33.8-21.2h-.8v70.3h-39.5v-169zm80.9 60.7c0-27.5-3.3-32.5-20.7-32.5-16.9 0-20.7 5-20.7 28.7 0 28 3.5 33.5 21.2 33.5 16.4 0 20.2-5.6 20.2-29.7zm53.8-3.8c0-25.4 3.3-37.8 12.3-45.8 8.8-8.1 22.2-11.3 45.1-11.3 42.8 0 55.7 12.8 55.7 55.7v11.1h-75.3c-.3 2-.3 4-.3 4.8 0 16.9 4.5 21.9 20.1 21.9 13.9 0 17.9-3 17.9-13.9h37.5v2.3c0 9.8-2.5 18.9-6.8 24.7-7.3 9.8-19.6 13.6-44.3 13.6-27.5 0-41.6-3.3-50.6-12.3-8.5-8.5-11.3-21.3-11.3-50.8zm76.4-11.6c-.3-1.8-.3-3.3-.3-3.8 0-12.3-3.3-14.6-19.6-14.6-14.4 0-17.1 3-18.1 15.1l-.3 3.3h38.3zm55.6-45.3h38.3l-1.8 19.9h.7c6.8-14.9 14.4-20.2 29.7-20.2 10.8 0 19.1 3.3 23.4 9.3 5.3 7.3 6.8 14.4 6.8 34 0 1.5 0 5 .2 9.3h-35c.3-1.8 .3-3.3 .3-4 0-15.4-2-19.4-10.3-19.4-6.3 0-10.8 3.3-13.1 9.3-1 3-1 4.3-1 12.3v68h-38.3V192.3z"],
    "apple": [384, 512, [], "f179", "M318.7 268.7c-.2-36.7 16.4-64.4 50-84.8-18.8-26.9-47.2-41.7-84.7-44.6-35.5-2.8-74.3 20.7-88.5 20.7-15 0-49.4-19.7-76.4-19.7C63.3 141.2 4 184.8 4 273.5q0 39.3 14.4 81.2c12.8 36.7 59 126.7 107.2 125.2 25.2-.6 43-17.9 75.8-17.9 31.8 0 48.3 17.9 76.4 17.9 48.6-.7 90.4-82.5 102.6-119.3-65.2-30.7-61.7-90-61.7-91.9zm-56.6-164.2c27.3-32.4 24.8-61.9 24-72.5-24.1 1.4-52 16.4-67.9 34.9-17.5 19.8-27.8 44.3-25.6 71.9 26.1 2 49.9-11.4 69.5-34.3z"],
    "apple-pay": [640, 512, [], "f415", "M116.9 158.5c-7.5 8.9-19.5 15.9-31.5 14.9-1.5-12 4.4-24.8 11.3-32.6 7.5-9.1 20.6-15.6 31.3-16.1 1.2 12.4-3.7 24.7-11.1 33.8m10.9 17.2c-17.4-1-32.3 9.9-40.5 9.9-8.4 0-21-9.4-34.8-9.1-17.9 .3-34.5 10.4-43.6 26.5-18.8 32.3-4.9 80 13.3 106.3 8.9 13 19.5 27.3 33.5 26.8 13.3-.5 18.5-8.6 34.5-8.6 16.1 0 20.8 8.6 34.8 8.4 14.5-.3 23.6-13 32.5-26 10.1-14.8 14.3-29.1 14.5-29.9-.3-.3-28-10.9-28.3-42.9-.3-26.8 21.9-39.5 22.9-40.3-12.5-18.6-32-20.6-38.8-21.1m100.4-36.2v194.9h30.3v-66.6h41.9c38.3 0 65.1-26.3 65.1-64.3s-26.4-64-64.1-64h-73.2zm30.3 25.5h34.9c26.3 0 41.3 14 41.3 38.6s-15 38.8-41.4 38.8h-34.8V165zm162.2 170.9c19 0 36.6-9.6 44.6-24.9h.6v23.4h28v-97c0-28.1-22.5-46.3-57.1-46.3-32.1 0-55.9 18.4-56.8 43.6h27.3c2.3-12 13.4-19.9 28.6-19.9 18.5 0 28.9 8.6 28.9 24.5v10.8l-37.8 2.3c-35.1 2.1-54.1 16.5-54.1 41.5 .1 25.2 19.7 42 47.8 42zm8.2-23.1c-16.1 0-26.4-7.8-26.4-19.6 0-12.3 9.9-19.4 28.8-20.5l33.6-2.1v11c0 18.2-15.5 31.2-36 31.2zm102.5 74.6c29.5 0 43.4-11.3 55.5-45.4L640 193h-30.8l-35.6 115.1h-.6L537.4 193h-31.6L557 334.9l-2.8 8.6c-4.6 14.6-12.1 20.3-25.5 20.3-2.4 0-7-.3-8.9-.5v23.4c1.8 .4 9.3 .7 11.6 .7z"],
    "artstation": [512, 512, [], "f77a", "M2 377.4l43 74.3A51.35 51.35 0 0 0 90.9 480h285.4l-59.2-102.6zM501.8 350L335.6 59.3A51.38 51.38 0 0 0 290.2 32h-88.4l257.3 447.6 40.7-70.5c1.9-3.2 21-29.7 2-59.1zM275 304.5l-115.5-200L44 304.5z"],
    "asymmetrik": [576, 512, [], "f372", "M517.5 309.2c38.8-40 58.1-80 58.5-116.1 .8-65.5-59.4-118.2-169.4-135C277.9 38.4 118.1 73.6 0 140.5 52 114 110.6 92.3 170.7 82.3c74.5-20.5 153-25.4 221.3-14.8C544.5 91.3 588.8 195 490.8 299.2c-10.2 10.8-22 21.1-35 30.6L304.9 103.4 114.7 388.9c-65.6-29.4-76.5-90.2-19.1-151.2 20.8-22.2 48.3-41.9 79.5-58.1 20-12.2 39.7-22.6 62-30.7-65.1 20.3-122.7 52.9-161.6 92.9-27.7 28.6-41.4 57.1-41.7 82.9-.5 35.1 23.4 65.1 68.4 83l-34.5 51.7h101.6l22-34.4c22.2 1 45.3 0 68.6-2.7l-22.8 37.1h135.5L340 406.3c18.6-5.3 36.9-11.5 54.5-18.7l45.9 71.8H542L468.6 349c18.5-12.1 35-25.5 48.9-39.8zm-187.6 80.5l-25-40.6-32.7 53.3c-23.4 3.5-46.7 5.1-69.2 4.4l101.9-159.3 78.7 123c-17.2 7.4-35.3 13.9-53.7 19.2z"],
    "atlassian": [512, 512, [], "f77b", "M152.2 236.4c-7.7-8.2-19.7-7.7-24.8 2.8L1.6 490.2c-5 10 2.4 21.7 13.4 21.7h175c5.8 .1 11-3.2 13.4-8.4 37.9-77.8 15.1-196.3-51.2-267.1zM244.4 8.1c-122.3 193.4-8.5 348.6 65 495.5 2.5 5.1 7.7 8.4 13.4 8.4H497c11.2 0 18.4-11.8 13.4-21.7 0 0-234.5-470.6-240.4-482.3-5.3-10.6-18.8-10.8-25.6 .1z"],
    "audible": [640, 512, [], "f373", "M640 199.9v54l-320 200L0 254v-54l320 200 320-200.1zm-194.5 72l47.1-29.4c-37.2-55.8-100.7-92.6-172.7-92.6-72 0-135.5 36.7-172.6 92.4h.3c2.5-2.3 5.1-4.5 7.7-6.7 89.7-74.4 219.4-58.1 290.2 36.3zm-220.1 18.8c16.9-11.9 36.5-18.7 57.4-18.7 34.4 0 65.2 18.4 86.4 47.6l45.4-28.4c-20.9-29.9-55.6-49.5-94.8-49.5-38.9 0-73.4 19.4-94.4 49zM103.6 161.1c131.8-104.3 318.2-76.4 417.5 62.1l.7 1 48.8-30.4C517.1 112.1 424.8 58.1 319.9 58.1c-103.5 0-196.6 53.5-250.5 135.6 9.9-10.5 22.7-23.5 34.2-32.6zm467 32.7z"],
    "autoprefixer": [640, 512, [], "f41c", "M318.4 16l-161 480h77.5l25.4-81.4h119.5L405 496h77.5L318.4 16zm-40.3 341.9l41.2-130.4h1.5l40.9 130.4h-83.6zM640 405l-10-31.4L462.1 358l19.4 56.5L640 405zm-462.1-47L10 373.7 0 405l158.5 9.4 19.4-56.4z"],
    "avianex": [512, 512, [], "f374", "M453.1 32h-312c-38.9 0-76.2 31.2-83.3 69.7L1.2 410.3C-5.9 448.8 19.9 480 58.9 480h312c38.9 0 76.2-31.2 83.3-69.7l56.7-308.5c7-38.6-18.8-69.8-57.8-69.8zm-58.2 347.3l-32 13.5-115.4-110c-14.7 10-29.2 19.5-41.7 27.1l22.1 64.2-17.9 12.7-40.6-61-52.4-48.1 15.7-15.4 58 31.1c9.3-10.5 20.8-22.6 32.8-34.9L203 228.9l-68.8-99.8 18.8-28.9 8.9-4.8L265 207.8l4.9 4.5c19.4-18.8 33.8-32.4 33.8-32.4 7.7-6.5 21.5-2.9 30.7 7.9 9 10.5 10.6 24.7 2.7 31.3-1.8 1.3-15.5 11.4-35.3 25.6l4.5 7.3 94.9 119.4-6.3 7.9z"],
    "aviato": [640, 512, [], "f421", "M107.2 283.5l-19-41.8H36.1l-19 41.8H0l62.2-131.4 62.2 131.4h-17.2zm-45-98.1l-19.6 42.5h39.2l-19.6-42.5zm112.7 102.4l-62.2-131.4h17.1l45.1 96 45.1-96h17l-62.1 131.4zm80.6-4.3V156.4H271v127.1h-15.5zm209.1-115.6v115.6h-17.3V167.9h-41.2v-11.5h99.6v11.5h-41.1zM640 218.8c0 9.2-1.7 17.8-5.1 25.8-3.4 8-8.2 15.1-14.2 21.1-6 6-13.1 10.8-21.1 14.2-8 3.4-16.6 5.1-25.8 5.1s-17.8-1.7-25.8-5.1c-8-3.4-15.1-8.2-21.1-14.2-6-6-10.8-13-14.2-21.1-3.4-8-5.1-16.6-5.1-25.8s1.7-17.8 5.1-25.8c3.4-8 8.2-15.1 14.2-21.1 6-6 13-8.4 21.1-11.9 8-3.4 16.6-5.1 25.8-5.1s17.8 1.7 25.8 5.1c8 3.4 15.1 5.8 21.1 11.9 6 6 10.7 13.1 14.2 21.1 3.4 8 5.1 16.6 5.1 25.8zm-15.5 0c0-7.3-1.3-14-3.9-20.3-2.6-6.3-6.2-11.7-10.8-16.3-4.6-4.6-10-8.2-16.2-10.9-6.2-2.7-12.8-4-19.8-4s-13.6 1.3-19.8 4c-6.2 2.7-11.6 6.3-16.2 10.9-4.6 4.6-8.2 10-10.8 16.3-2.6 6.3-3.9 13.1-3.9 20.3 0 7.3 1.3 14 3.9 20.3 2.6 6.3 6.2 11.7 10.8 16.3 4.6 4.6 10 8.2 16.2 10.9 6.2 2.7 12.8 4 19.8 4s13.6-1.3 19.8-4c6.2-2.7 11.6-6.3 16.2-10.9 4.6-4.6 8.2-10 10.8-16.3 2.6-6.3 3.9-13.1 3.9-20.3zm-94.8 96.7v-6.3l88.9-10-242.9 13.4c.6-2.2 1.1-4.6 1.4-7.2 .3-2 .5-4.2 .6-6.5l64.8-8.1-64.9 1.9c0-.4-.1-.7-.1-1.1-2.8-17.2-25.5-23.7-25.5-23.7l-1.1-26.3h23.8l19 41.8h17.1L348.6 152l-62.2 131.4h17.1l19-41.8h23.6L345 268s-22.7 6.5-25.5 23.7c-.1 .3-.1 .7-.1 1.1l-64.9-1.9 64.8 8.1c.1 2.3 .3 4.4 .6 6.5 .3 2.6 .8 5 1.4 7.2L78.4 299.2l88.9 10v6.3c-5.9 .9-10.5 6-10.5 12.2 0 6.8 5.6 12.4 12.4 12.4 6.8 0 12.4-5.6 12.4-12.4 0-6.2-4.6-11.3-10.5-12.2v-5.8l80.3 9v5.4c-5.7 1.1-9.9 6.2-9.9 12.1 0 6.8 5.6 10.2 12.4 10.2 6.8 0 12.4-3.4 12.4-10.2 0-6-4.3-11-9.9-12.1v-4.9l28.4 3.2v23.7h-5.9V360h5.9v-6.6h5v6.6h5.9v-13.8h-5.9V323l38.3 4.3c8.1 11.4 19 13.6 19 13.6l-.1 6.7-5.1 .2-.1 12.1h4.1l.1-5h5.2l.1 5h4.1l-.1-12.1-5.1-.2-.1-6.7s10.9-2.1 19-13.6l38.3-4.3v23.2h-5.9V360h5.9v-6.6h5v6.6h5.9v-13.8h-5.9v-23.7l28.4-3.2v4.9c-5.7 1.1-9.9 6.2-9.9 12.1 0 6.8 5.6 10.2 12.4 10.2 6.8 0 12.4-3.4 12.4-10.2 0-6-4.3-11-9.9-12.1v-5.4l80.3-9v5.8c-5.9 .9-10.5 6-10.5 12.2 0 6.8 5.6 12.4 12.4 12.4 6.8 0 12.4-5.6 12.4-12.4-.2-6.3-4.7-11.4-10.7-12.3zm-200.8-87.6l19.6-42.5 19.6 42.5h-17.9l-1.7-40.3-1.7 40.3h-17.9z"],
    "aws": [640, 512, [], "f375", "M180.4 203c-.72 22.65 10.6 32.68 10.88 39.05a8.164 8.164 0 0 1 -4.1 6.27l-12.8 8.96a10.66 10.66 0 0 1 -5.63 1.92c-.43-.02-8.19 1.83-20.48-25.61a78.61 78.61 0 0 1 -62.61 29.45c-16.28 .89-60.4-9.24-58.13-56.21-1.59-38.28 34.06-62.06 70.93-60.05 7.1 .02 21.6 .37 46.99 6.27v-15.62c2.69-26.46-14.7-46.99-44.81-43.91-2.4 .01-19.4-.5-45.84 10.11-7.36 3.38-8.3 2.82-10.75 2.82-7.41 0-4.36-21.48-2.94-24.2 5.21-6.4 35.86-18.35 65.94-18.18a76.86 76.86 0 0 1 55.69 17.28 70.29 70.29 0 0 1 17.67 52.36l-.01 69.29zM93.99 235.4c32.43-.47 46.16-19.97 49.29-30.47 2.46-10.05 2.05-16.41 2.05-27.4-9.67-2.32-23.59-4.85-39.56-4.87-15.15-1.14-42.82 5.63-41.74 32.26-1.24 16.79 11.12 31.4 29.96 30.48zm170.9 23.05c-7.86 .72-11.52-4.86-12.68-10.37l-49.8-164.6c-.97-2.78-1.61-5.65-1.92-8.58a4.61 4.61 0 0 1 3.86-5.25c.24-.04-2.13 0 22.25 0 8.78-.88 11.64 6.03 12.55 10.37l35.72 140.8 33.16-140.8c.53-3.22 2.94-11.07 12.8-10.24h17.16c2.17-.18 11.11-.5 12.68 10.37l33.42 142.6L420.1 80.1c.48-2.18 2.72-11.37 12.68-10.37h19.72c.85-.13 6.15-.81 5.25 8.58-.43 1.85 3.41-10.66-52.75 169.9-1.15 5.51-4.82 11.09-12.68 10.37h-18.69c-10.94 1.15-12.51-9.66-12.68-10.75L328.7 110.7l-32.78 136.1c-.16 1.09-1.73 11.9-12.68 10.75h-18.3zm273.5 5.63c-5.88 .01-33.92-.3-57.36-12.29a12.8 12.8 0 0 1 -7.81-11.91v-10.75c0-8.45 6.2-6.9 8.83-5.89 10.04 4.06 16.48 7.14 28.81 9.6 36.65 7.53 52.77-2.3 56.72-4.48 13.15-7.81 14.19-25.68 5.25-34.95-10.48-8.79-15.48-9.12-53.13-21-4.64-1.29-43.7-13.61-43.79-52.36-.61-28.24 25.05-56.18 69.52-55.95 12.67-.01 46.43 4.13 55.57 15.62 1.35 2.09 2.02 4.55 1.92 7.04v10.11c0 4.44-1.62 6.66-4.87 6.66-7.71-.86-21.39-11.17-49.16-10.75-6.89-.36-39.89 .91-38.41 24.97-.43 18.96 26.61 26.07 29.7 26.89 36.46 10.97 48.65 12.79 63.12 29.58 17.14 22.25 7.9 48.3 4.35 55.44-19.08 37.49-68.42 34.44-69.26 34.42zm40.2 104.9c-70.03 51.72-171.7 79.25-258.5 79.25A469.1 469.1 0 0 1 2.83 327.5c-6.53-5.89-.77-13.96 7.17-9.47a637.4 637.4 0 0 0 316.9 84.12 630.2 630.2 0 0 0 241.6-49.55c11.78-5 21.77 7.8 10.12 16.38zm29.19-33.29c-8.96-11.52-59.28-5.38-81.81-2.69-6.79 .77-7.94-5.12-1.79-9.47 40.07-28.17 105.9-20.1 113.4-10.63 7.55 9.47-2.05 75.41-39.56 106.9-5.76 4.87-11.27 2.3-8.71-4.1 8.44-21.25 27.39-68.49 18.43-80.02z"],
    "bandcamp": [512, 512, [], "f2d5", "M256 8C119 8 8 119 8 256S119 504 256 504 504 393 504 256 393 8 256 8zm48.2 326.1h-181L207.9 178h181z"],
    "battle-net": [512, 512, [], "f835", "M448.6 225.6c26.87 .18 35.57-7.43 38.92-12.37 12.47-16.32-7.06-47.6-52.85-71.33 17.76-33.58 30.11-63.68 36.34-85.3 3.38-11.83 1.09-19 .45-20.25-1.72 10.52-15.85 48.46-48.2 100.1-25-11.22-56.52-20.1-93.77-23.8-8.94-16.94-34.88-63.86-60.48-88.93C252.2 7.14 238.7 1.07 228.2 .22h-.05c-13.83-1.55-22.67 5.85-27.4 11-17.2 18.53-24.33 48.87-25 84.07-7.24-12.35-17.17-24.63-28.5-25.93h-.18c-20.66-3.48-38.39 29.22-36 81.29-38.36 1.38-71 5.75-93 11.23-9.9 2.45-16.22 7.27-17.76 9.72 1-.38 22.4-9.22 111.6-9.22 5.22 53 29.75 101.8 26 93.19-9.73 15.4-38.24 62.36-47.31 97.7-5.87 22.88-4.37 37.61 .15 47.14 5.57 12.75 16.41 16.72 23.2 18.26 25 5.71 55.38-3.63 86.7-21.14-7.53 12.84-13.9 28.51-9.06 39.34 7.31 19.65 44.49 18.66 88.44-9.45 20.18 32.18 40.07 57.94 55.7 74.12a39.79 39.79 0 0 0 8.75 7.09c5.14 3.21 8.58 3.37 8.58 3.37-8.24-6.75-34-38-62.54-91.78 22.22-16 45.65-38.87 67.47-69.27 122.8 4.6 143.3-24.76 148-31.64 14.67-19.88 3.43-57.44-57.32-93.69zm-77.85 106.2c23.81-37.71 30.34-67.77 29.45-92.33 27.86 17.57 47.18 37.58 49.06 58.83 1.14 12.93-8.1 29.12-78.51 33.5zM216.9 387.7c9.76-6.23 19.53-13.12 29.2-20.49 6.68 13.33 13.6 26.1 20.6 38.19-40.6 21.86-68.84 12.76-49.8-17.7zm215-171.4c-10.29-5.34-21.16-10.34-32.38-15.05a722.5 722.5 0 0 0 22.74-36.9c39.06 24.1 45.9 53.18 9.64 51.95zM279.2 398c-5.51-11.35-11-23.5-16.5-36.44 43.25 1.27 62.42-18.73 63.28-20.41 0 .07-25 15.64-62.53 12.25a718.8 718.8 0 0 0 85.06-84q13.06-15.31 24.93-31.11c-.36-.29-1.54-3-16.51-12-51.7 60.27-102.3 98-132.8 115.9-20.59-11.18-40.84-31.78-55.71-61.49-20-39.92-30-82.39-31.57-116.1 12.3 .91 25.27 2.17 38.85 3.88-22.29 36.8-14.39 63-13.47 64.23 0-.07-.95-29.17 20.14-59.57a695.2 695.2 0 0 0 44.67 152.8c.93-.38 1.84 .88 18.67-8.25-26.33-74.47-33.76-138.2-34-173.4 20-12.42 48.18-19.8 81.63-17.81 44.57 2.67 86.36 15.25 116.3 30.71q-10.69 15.66-23.33 32.47C365.6 152 339.1 145.8 337.5 146c.11 0 25.9 14.07 41.52 47.22a717.6 717.6 0 0 0 -115.3-31.71 646.6 646.6 0 0 0 -39.39-6.05c-.07 .45-1.81 1.85-2.16 20.33C300 190.3 358.8 215.7 389.4 233c.74 23.55-6.95 51.61-25.41 79.57-24.6 37.31-56.39 67.23-84.77 85.43zm27.4-287c-44.56-1.66-73.58 7.43-94.69 20.67 2-52.3 21.31-76.38 38.21-75.28C267 52.15 305 108.6 306.6 111zm-130.6 3.1c.48 12.11 1.59 24.62 3.21 37.28-14.55-.85-28.74-1.25-42.4-1.26-.08 3.24-.12-51 24.67-49.59h.09c5.76 1.09 10.63 6.88 14.43 13.57zm-28.06 162c20.76 39.7 43.3 60.57 65.25 72.31-46.79 24.76-77.53 20-84.92 4.51-.2-.21-11.13-15.3 19.67-76.81zm210.1 74.8"],
    "behance": [576, 512, [], "f1b4", "M232 237.2c31.8-15.2 48.4-38.2 48.4-74 0-70.6-52.6-87.8-113.3-87.8H0v354.4h171.8c64.4 0 124.9-30.9 124.9-102.9 0-44.5-21.1-77.4-64.7-89.7zM77.9 135.9H151c28.1 0 53.4 7.9 53.4 40.5 0 30.1-19.7 42.2-47.5 42.2h-79v-82.7zm83.3 233.7H77.9V272h84.9c34.3 0 56 14.3 56 50.6 0 35.8-25.9 47-57.6 47zm358.5-240.7H376V94h143.7v34.9zM576 305.2c0-75.9-44.4-139.2-124.9-139.2-78.2 0-131.3 58.8-131.3 135.8 0 79.9 50.3 134.7 131.3 134.7 61.3 0 101-27.6 120.1-86.3H509c-6.7 21.9-34.3 33.5-55.7 33.5-41.3 0-63-24.2-63-65.3h185.1c.3-4.2 .6-8.7 .6-13.2zM390.4 274c2.3-33.7 24.7-54.8 58.5-54.8 35.4 0 53.2 20.8 56.2 54.8H390.4z"],
    "bilibili": [512, 512, [], "e3d9", "M488.6 104.1C505.3 122.2 513 143.8 511.9 169.8V372.2C511.5 398.6 502.7 420.3 485.4 437.3C468.2 454.3 446.3 463.2 419.9 464H92.02C65.57 463.2 43.81 454.2 26.74 436.8C9.682 419.4 .7667 396.5 0 368.2V169.8C.7667 143.8 9.682 122.2 26.74 104.1C43.81 87.75 65.57 78.77 92.02 78H121.4L96.05 52.19C90.3 46.46 87.42 39.19 87.42 30.4C87.42 21.6 90.3 14.34 96.05 8.603C101.8 2.868 109.1 0 117.9 0C126.7 0 134 2.868 139.8 8.603L213.1 78H301.1L375.6 8.603C381.7 2.868 389.2 0 398 0C406.8 0 414.1 2.868 419.9 8.603C425.6 14.34 428.5 21.6 428.5 30.4C428.5 39.19 425.6 46.46 419.9 52.19L394.6 78L423.9 78C450.3 78.77 471.9 87.75 488.6 104.1H488.6zM449.8 173.8C449.4 164.2 446.1 156.4 439.1 150.3C433.9 144.2 425.1 140.9 416.4 140.5H96.05C86.46 140.9 78.6 144.2 72.47 150.3C66.33 156.4 63.07 164.2 62.69 173.8V368.2C62.69 377.4 65.95 385.2 72.47 391.7C78.99 398.2 86.85 401.5 96.05 401.5H416.4C425.6 401.5 433.4 398.2 439.7 391.7C446 385.2 449.4 377.4 449.8 368.2L449.8 173.8zM185.5 216.5C191.8 222.8 195.2 230.6 195.6 239.7V273C195.2 282.2 191.9 289.9 185.8 296.2C179.6 302.5 171.8 305.7 162.2 305.7C152.6 305.7 144.7 302.5 138.6 296.2C132.5 289.9 129.2 282.2 128.8 273V239.7C129.2 230.6 132.6 222.8 138.9 216.5C145.2 210.2 152.1 206.9 162.2 206.5C171.4 206.9 179.2 210.2 185.5 216.5H185.5zM377 216.5C383.3 222.8 386.7 230.6 387.1 239.7V273C386.7 282.2 383.4 289.9 377.3 296.2C371.2 302.5 363.3 305.7 353.7 305.7C344.1 305.7 336.3 302.5 330.1 296.2C323.1 289.9 320.7 282.2 320.4 273V239.7C320.7 230.6 324.1 222.8 330.4 216.5C336.7 210.2 344.5 206.9 353.7 206.5C362.9 206.9 370.7 210.2 377 216.5H377z"],
    "bimobject": [448, 512, [], "f378", "M416 32H32C14.4 32 0 46.4 0 64v384c0 17.6 14.4 32 32 32h384c17.6 0 32-14.4 32-32V64c0-17.6-14.4-32-32-32zm-64 257.4c0 49.4-11.4 82.6-103.8 82.6h-16.9c-44.1 0-62.4-14.9-70.4-38.8h-.9V368H96V136h64v74.7h1.1c4.6-30.5 39.7-38.8 69.7-38.8h17.3c92.4 0 103.8 33.1 103.8 82.5v35zm-64-28.9v22.9c0 21.7-3.4 33.8-38.4 33.8h-45.3c-28.9 0-44.1-6.5-44.1-35.7v-19c0-29.3 15.2-35.7 44.1-35.7h45.3c35-.2 38.4 12 38.4 33.7z"],
    "bitbucket": [512, 512, [61810], "f171", "M22.2 32A16 16 0 0 0 6 47.8a26.35 26.35 0 0 0 .2 2.8l67.9 412.1a21.77 21.77 0 0 0 21.3 18.2h325.7a16 16 0 0 0 16-13.4L505 50.7a16 16 0 0 0 -13.2-18.3 24.58 24.58 0 0 0 -2.8-.2L22.2 32zm285.9 297.8h-104l-28.1-147h157.3l-25.2 147z"],
    "bitcoin": [512, 512, [], "f379", "M504 256c0 136.1-111 248-248 248S8 392.1 8 256 119 8 256 8s248 111 248 248zm-141.7-35.33c4.937-32.1-20.19-50.74-54.55-62.57l11.15-44.7-27.21-6.781-10.85 43.52c-7.154-1.783-14.5-3.464-21.8-5.13l10.93-43.81-27.2-6.781-11.15 44.69c-5.922-1.349-11.73-2.682-17.38-4.084l.031-.14-37.53-9.37-7.239 29.06s20.19 4.627 19.76 4.913c11.02 2.751 13.01 10.04 12.68 15.82l-12.7 50.92c.76 .194 1.744 .473 2.829 .907-.907-.225-1.876-.473-2.876-.713l-17.8 71.34c-1.349 3.348-4.767 8.37-12.47 6.464 .271 .395-19.78-4.937-19.78-4.937l-13.51 31.15 35.41 8.827c6.588 1.651 13.05 3.379 19.4 5.006l-11.26 45.21 27.18 6.781 11.15-44.73a1038 1038 0 0 0 21.69 5.627l-11.11 44.52 27.21 6.781 11.26-45.13c46.4 8.781 81.3 5.239 95.99-36.73 11.84-33.79-.589-53.28-25-65.99 17.78-4.098 31.17-15.79 34.75-39.95zm-62.18 87.18c-8.41 33.79-65.31 15.52-83.75 10.94l14.94-59.9c18.45 4.603 77.6 13.72 68.81 48.96zm8.417-87.67c-7.673 30.74-55.03 15.12-70.39 11.29l13.55-54.33c15.36 3.828 64.84 10.97 56.85 43.03z"],
    "bity": [496, 512, [], "f37a", "M78.4 67.2C173.8-22 324.5-24 421.5 71c14.3 14.1-6.4 37.1-22.4 21.5-84.8-82.4-215.8-80.3-298.9-3.2-16.3 15.1-36.5-8.3-21.8-22.1zm98.9 418.6c19.3 5.7 29.3-23.6 7.9-30C73 421.9 9.4 306.1 37.7 194.8c5-19.6-24.9-28.1-30.2-7.1-32.1 127.4 41.1 259.8 169.8 298.1zm148.1-2c121.9-40.2 192.9-166.9 164.4-291-4.5-19.7-34.9-13.8-30 7.9 24.2 107.7-37.1 217.9-143.2 253.4-21.2 7-10.4 36 8.8 29.7zm-62.9-79l.2-71.8c0-8.2-6.6-14.8-14.8-14.8-8.2 0-14.8 6.7-14.8 14.8l-.2 71.8c0 8.2 6.6 14.8 14.8 14.8s14.8-6.6 14.8-14.8zm71-269c2.1 90.9 4.7 131.9-85.5 132.5-92.5-.7-86.9-44.3-85.5-132.5 0-21.8-32.5-19.6-32.5 0v71.6c0 69.3 60.7 90.9 118 90.1 57.3 .8 118-20.8 118-90.1v-71.6c0-19.6-32.5-21.8-32.5 0z"],
    "black-tie": [448, 512, [], "f27e", "M0 32v448h448V32H0zm316.5 325.2L224 445.9l-92.5-88.7 64.5-184-64.5-86.6h184.9L252 173.2l64.5 184z"],
    "blackberry": [512, 512, [], "f37b", "M166 116.9c0 23.4-16.4 49.1-72.5 49.1H23.4l21-88.8h67.8c42.1 0 53.8 23.3 53.8 39.7zm126.2-39.7h-67.8L205.7 166h70.1c53.8 0 70.1-25.7 70.1-49.1 .1-16.4-11.6-39.7-53.7-39.7zM88.8 208.1H21L0 296.9h70.1c56.1 0 72.5-23.4 72.5-49.1 0-16.3-11.7-39.7-53.8-39.7zm180.1 0h-67.8l-18.7 88.8h70.1c53.8 0 70.1-23.4 70.1-49.1 0-16.3-11.7-39.7-53.7-39.7zm189.3-53.8h-67.8l-18.7 88.8h70.1c53.8 0 70.1-23.4 70.1-49.1 .1-16.3-11.6-39.7-53.7-39.7zm-28 137.9h-67.8L343.7 381h70.1c56.1 0 70.1-23.4 70.1-49.1 0-16.3-11.6-39.7-53.7-39.7zM240.8 346H173l-18.7 88.8h70.1c56.1 0 70.1-25.7 70.1-49.1 .1-16.3-11.6-39.7-53.7-39.7z"],
    "blogger": [448, 512, [], "f37c", "M162.4 196c4.8-4.9 6.2-5.1 36.4-5.1 27.2 0 28.1 .1 32.1 2.1 5.8 2.9 8.3 7 8.3 13.6 0 5.9-2.4 10-7.6 13.4-2.8 1.8-4.5 1.9-31.1 2.1-16.4 .1-29.5-.2-31.5-.8-10.3-2.9-14.1-17.7-6.6-25.3zm61.4 94.5c-53.9 0-55.8 .2-60.2 4.1-3.5 3.1-5.7 9.4-5.1 13.9 .7 4.7 4.8 10.1 9.2 12 2.2 1 14.1 1.7 56.3 1.2l47.9-.6 9.2-1.5c9-5.1 10.5-17.4 3.1-24.4-5.3-4.7-5-4.7-60.4-4.7zm223.4 130.1c-3.5 28.4-23 50.4-51.1 57.5-7.2 1.8-9.7 1.9-172.9 1.8-157.8 0-165.9-.1-172-1.8-8.4-2.2-15.6-5.5-22.3-10-5.6-3.8-13.9-11.8-17-16.4-3.8-5.6-8.2-15.3-10-22C.1 423 0 420.3 0 256.3 0 93.2 0 89.7 1.8 82.6 8.1 57.9 27.7 39 53 33.4c7.3-1.6 332.1-1.9 340-.3 21.2 4.3 37.9 17.1 47.6 36.4 7.7 15.3 7-1.5 7.3 180.6 .2 115.8 0 164.5-.7 170.5zm-85.4-185.2c-1.1-5-4.2-9.6-7.7-11.5-1.1-.6-8-1.3-15.5-1.7-12.4-.6-13.8-.8-17.8-3.1-6.2-3.6-7.9-7.6-8-18.3 0-20.4-8.5-39.4-25.3-56.5-12-12.2-25.3-20.5-40.6-25.1-3.6-1.1-11.8-1.5-39.2-1.8-42.9-.5-52.5 .4-67.1 6.2-27 10.7-46.3 33.4-53.4 62.4-1.3 5.4-1.6 14.2-1.9 64.3-.4 62.8 0 72.1 4 84.5 9.7 30.7 37.1 53.4 64.6 58.4 9.2 1.7 122.2 2.1 133.7 .5 20.1-2.7 35.9-10.8 50.7-25.9 10.7-10.9 17.4-22.8 21.8-38.5 3.2-10.9 2.9-88.4 1.7-93.9z"],
    "blogger-b": [448, 512, [], "f37d", "M446.6 222.7c-1.8-8-6.8-15.4-12.5-18.5-1.8-1-13-2.2-25-2.7-20.1-.9-22.3-1.3-28.7-5-10.1-5.9-12.8-12.3-12.9-29.5-.1-33-13.8-63.7-40.9-91.3-19.3-19.7-40.9-33-65.5-40.5-5.9-1.8-19.1-2.4-63.3-2.9-69.4-.8-84.8 .6-108.4 10C45.9 59.5 14.7 96.1 3.3 142.9 1.2 151.7 .7 165.8 .2 246.8c-.6 101.5 .1 116.4 6.4 136.5 15.6 49.6 59.9 86.3 104.4 94.3 14.8 2.7 197.3 3.3 216 .8 32.5-4.4 58-17.5 81.9-41.9 17.3-17.7 28.1-36.8 35.2-62.1 4.9-17.6 4.5-142.8 2.5-151.7zm-322.1-63.6c7.8-7.9 10-8.2 58.8-8.2 43.9 0 45.4 .1 51.8 3.4 9.3 4.7 13.4 11.3 13.4 21.9 0 9.5-3.8 16.2-12.3 21.6-4.6 2.9-7.3 3.1-50.3 3.3-26.5 .2-47.7-.4-50.8-1.2-16.6-4.7-22.8-28.5-10.6-40.8zm191.8 199.8l-14.9 2.4-77.5 .9c-68.1 .8-87.3-.4-90.9-2-7.1-3.1-13.8-11.7-14.9-19.4-1.1-7.3 2.6-17.3 8.2-22.4 7.1-6.4 10.2-6.6 97.3-6.7 89.6-.1 89.1-.1 97.6 7.8 12.1 11.3 9.5 31.2-4.9 39.4z"],
    "bluetooth": [448, 512, [], "f293", "M292.6 171.1L249.7 214l-.3-86 43.2 43.1m-43.2 219.8l43.1-43.1-42.9-42.9-.2 86zM416 259.4C416 465 344.1 512 230.9 512S32 465 32 259.4 115.4 0 228.6 0 416 53.9 416 259.4zm-158.5 0l79.4-88.6L211.8 36.5v176.9L138 139.6l-27 26.9 92.7 93-92.7 93 26.9 26.9 73.8-73.8 2.3 170 127.4-127.5-83.9-88.7z"],
    "bluetooth-b": [320, 512, [], "f294", "M196.5 260l92.63-103.3L143.1 0v206.3l-86.11-86.11-31.41 31.41 108.1 108.4L25.61 368.4l31.41 31.41 86.11-86.11L145.8 512l148.6-148.6-97.91-103.3zm40.86-102.1l-49.98 49.98-.338-100.3 50.31 50.32zM187.4 313l49.98 49.98-50.31 50.32 .338-100.3z"],
    "bootstrap": [576, 512, [], "f836", "M333.5 201.4c0-22.1-15.6-34.3-43-34.3h-50.4v71.2h42.5C315.4 238.2 333.5 225 333.5 201.4zM517 188.6c-9.5-30.9-10.9-68.8-9.8-98.1c1.1-30.5-22.7-58.5-54.7-58.5H123.7c-32.1 0-55.8 28.1-54.7 58.5c1 29.3-.3 67.2-9.8 98.1c-9.6 31-25.7 50.6-52.2 53.1v28.5c26.4 2.5 42.6 22.1 52.2 53.1c9.5 30.9 10.9 68.8 9.8 98.1c-1.1 30.5 22.7 58.5 54.7 58.5h328.7c32.1 0 55.8-28.1 54.7-58.5c-1-29.3 .3-67.2 9.8-98.1c9.6-31 25.7-50.6 52.1-53.1v-28.5C542.7 239.2 526.5 219.6 517 188.6zM300.2 375.1h-97.9V136.8h97.4c43.3 0 71.7 23.4 71.7 59.4c0 25.3-19.1 47.9-43.5 51.8v1.3c33.2 3.6 55.5 26.6 55.5 58.3C383.4 349.7 352.1 375.1 300.2 375.1zM290.2 266.4h-50.1v78.4h52.3c34.2 0 52.3-13.7 52.3-39.5C344.7 279.6 326.1 266.4 290.2 266.4z"],
    "bots": [640, 512, [], "e340", "M86.34 197.8a51.77 51.77 0 0 0 -41.57 20.06V156a8.19 8.19 0 0 0 -8.19-8.19H8.19A8.19 8.19 0 0 0 0 156V333.6a8.189 8.189 0 0 0 8.19 8.189H36.58a8.189 8.189 0 0 0 8.19-8.189v-8.088c11.63 13.37 25.87 19.77 41.57 19.77 34.6 0 61.92-26.16 61.92-73.84C148.3 225.5 121.2 197.8 86.34 197.8zM71.52 305.7c-9.593 0-21.22-4.942-26.75-12.5V250.2c5.528-7.558 17.15-12.79 26.75-12.79 17.73 0 31.11 13.08 31.11 34.01C102.6 292.6 89.25 305.7 71.52 305.7zm156.4-59.03a17.4 17.4 0 1 0 17.4 17.4A17.4 17.4 0 0 0 227.9 246.7zM273.1 156.7V112a13.31 13.31 0 1 0 -10.24 0V156.7a107.5 107.5 0 1 0 10.24 0zm85.99 107.4c0 30.53-40.79 55.28-91.11 55.28s-91.11-24.75-91.11-55.28 40.79-55.28 91.11-55.28S359.9 233.5 359.9 264.1zm-50.16 17.4a17.4 17.4 0 1 0 -17.4-17.4h0A17.4 17.4 0 0 0 309.8 281.5zM580.7 250.5c-14.83-2.617-22.39-3.78-22.39-9.885 0-5.523 7.268-9.884 17.74-9.884a65.56 65.56 0 0 1 34.48 10.1 8.171 8.171 0 0 0 11.29-2.468c.07-.11 .138-.221 .2-.333l8.611-14.89a8.2 8.2 0 0 0 -2.867-11.12 99.86 99.86 0 0 0 -52.01-14.14c-38.96 0-60.18 21.51-60.18 46.22 0 36.34 33.72 41.86 57.56 45.64 13.37 2.326 24.13 4.361 24.13 11.05 0 6.4-5.523 10.76-18.9 10.76-13.55 0-30.99-6.222-42.62-13.58a8.206 8.206 0 0 0 -11.34 2.491c-.035 .054-.069 .108-.1 .164l-10.2 16.89a8.222 8.222 0 0 0 2.491 11.07c15.22 10.3 37.66 16.69 59.44 16.69 40.41 0 63.96-19.77 63.96-46.51C640 260.6 604.5 254.8 580.7 250.5zm-95.93 60.79a8.211 8.211 0 0 0 -9.521-5.938 23.17 23.17 0 0 1 -4.155 .387c-7.849 0-12.5-6.106-12.5-14.24V240.3h20.35a8.143 8.143 0 0 0 8.141-8.143V209.5a8.143 8.143 0 0 0 -8.141-8.143H458.6V171.1a8.143 8.143 0 0 0 -8.143-8.143H422.3a8.143 8.143 0 0 0 -8.143 8.143h0v30.23H399a8.143 8.143 0 0 0 -8.143 8.143h0v22.67A8.143 8.143 0 0 0 399 240.3h15.11v63.67c0 27.04 15.41 41.28 43.9 41.28 12.18 0 21.38-2.2 27.6-5.446a8.161 8.161 0 0 0 4.145-9.278z"],
    "btc": [384, 512, [], "f15a", "M310.2 242.6c27.73-14.18 45.38-39.39 41.28-81.3-5.358-57.35-52.46-76.57-114.8-81.93V0h-48.53v77.2c-12.6 0-25.52 .315-38.44 .63V0h-48.53v79.41c-17.84 .539-38.62 .276-97.37 0v51.68c38.31-.678 58.42-3.14 63.02 21.43v217.4c-2.925 19.49-18.52 16.68-53.26 16.07L3.765 443.7c88.48 0 97.37 .315 97.37 .315V512h48.53v-67.06c13.23 .315 26.15 .315 38.44 .315V512h48.53v-68c81.3-4.412 135.6-24.89 142.9-101.5 5.671-61.45-23.32-88.86-69.33-99.89zM150.6 134.6c27.42 0 113.1-8.507 113.1 48.53 0 54.51-85.71 48.21-113.1 48.21v-96.74zm0 251.8V279.8c32.77 0 133.1-9.138 133.1 53.26-.001 60.19-100.4 53.25-133.1 53.25z"],
    "buffer": [448, 512, [], "f837", "M427.8 380.7l-196.5 97.82a18.6 18.6 0 0 1 -14.67 0L20.16 380.7c-4-2-4-5.28 0-7.29L67.22 350a18.65 18.65 0 0 1 14.69 0l134.8 67a18.51 18.51 0 0 0 14.67 0l134.8-67a18.62 18.62 0 0 1 14.68 0l47.06 23.43c4.05 1.96 4.05 5.24 0 7.24zm0-136.5l-47.06-23.43a18.62 18.62 0 0 0 -14.68 0l-134.8 67.08a18.68 18.68 0 0 1 -14.67 0L81.91 220.7a18.65 18.65 0 0 0 -14.69 0l-47.06 23.43c-4 2-4 5.29 0 7.31l196.5 97.8a18.6 18.6 0 0 0 14.67 0l196.5-97.8c4.05-2.02 4.05-5.3 0-7.31zM20.16 130.4l196.5 90.29a20.08 20.08 0 0 0 14.67 0l196.5-90.29c4-1.86 4-4.89 0-6.74L231.3 33.4a19.88 19.88 0 0 0 -14.67 0l-196.5 90.28c-4.05 1.85-4.05 4.88 0 6.74z"],
    "buromobelexperte": [448, 512, [], "f37f", "M0 32v128h128V32H0zm120 120H8V40h112v112zm40-120v128h128V32H160zm120 120H168V40h112v112zm40-120v128h128V32H320zm120 120H328V40h112v112zM0 192v128h128V192H0zm120 120H8V200h112v112zm40-120v128h128V192H160zm120 120H168V200h112v112zm40-120v128h128V192H320zm120 120H328V200h112v112zM0 352v128h128V352H0zm120 120H8V360h112v112zm40-120v128h128V352H160zm120 120H168V360h112v112zm40-120v128h128V352H320z"],
    "buy-n-large": [576, 512, [], "f8a6", "M288 32C133.3 32 7.79 132.3 7.79 256S133.3 480 288 480s280.2-100.3 280.2-224S442.7 32 288 32zm-85.39 357.2L64.1 390.5l77.25-290.7h133.4c63.15 0 84.93 28.65 78 72.84a60.24 60.24 0 0 1 -1.5 6.85 77.39 77.39 0 0 0 -17.21-1.93c-42.35 0-76.69 33.88-76.69 75.65 0 37.14 27.14 68 62.93 74.45-18.24 37.16-56.16 60.92-117.7 61.52zM358 207.1h32l-22.16 90.31h-35.41l-11.19-35.63-7.83 35.63h-37.83l26.63-90.31h31.34l15 36.75zm145.9 182.1H306.8L322.6 328a78.8 78.8 0 0 0 11.47 .83c42.34 0 76.69-33.87 76.69-75.65 0-32.65-21-60.46-50.38-71.06l21.33-82.35h92.5l-53.05 205.4h103.9zM211.7 269.4H187l-13.8 56.47h24.7c16.14 0 32.11-3.18 37.94-26.65 5.56-22.31-7.99-29.82-24.14-29.82zM233 170h-21.34L200 217.7h21.37c18 0 35.38-14.64 39.21-30.14C265.2 168.7 251.1 170 233 170z"],
    "buysellads": [448, 512, [], "f20d", "M224 150.7l42.9 160.7h-85.8L224 150.7zM448 80v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V80c0-26.5 21.5-48 48-48h352c26.5 0 48 21.5 48 48zm-65.3 325.3l-94.5-298.7H159.8L65.3 405.3H156l111.7-91.6 24.2 91.6h90.8z"],
    "canadian-maple-leaf": [512, 512, [], "f785", "M383.8 351.7c2.5-2.5 105.2-92.4 105.2-92.4l-17.5-7.5c-10-4.9-7.4-11.5-5-17.4 2.4-7.6 20.1-67.3 20.1-67.3s-47.7 10-57.7 12.5c-7.5 2.4-10-2.5-12.5-7.5s-15-32.4-15-32.4-52.6 59.9-55.1 62.3c-10 7.5-20.1 0-17.6-10 0-10 27.6-129.6 27.6-129.6s-30.1 17.4-40.1 22.4c-7.5 5-12.6 5-17.6-5C293.5 72.3 255.9 0 255.9 0s-37.5 72.3-42.5 79.8c-5 10-10 10-17.6 5-10-5-40.1-22.4-40.1-22.4S183.3 182 183.3 192c2.5 10-7.5 17.5-17.6 10-2.5-2.5-55.1-62.3-55.1-62.3S98.1 167 95.6 172s-5 9.9-12.5 7.5C73 177 25.4 167 25.4 167s17.6 59.7 20.1 67.3c2.4 6 5 12.5-5 17.4L23 259.3s102.6 89.9 105.2 92.4c5.1 5 10 7.5 5.1 22.5-5.1 15-10.1 35.1-10.1 35.1s95.2-20.1 105.3-22.6c8.7-.9 18.3 2.5 18.3 12.5S241 512 241 512h30s-5.8-102.7-5.8-112.8 9.5-13.4 18.4-12.5c10 2.5 105.2 22.6 105.2 22.6s-5-20.1-10-35.1 0-17.5 5-22.5z"],
    "cc-amazon-pay": [576, 512, [], "f42d", "M124.7 201.8c.1-11.8 0-23.5 0-35.3v-35.3c0-1.3 .4-2 1.4-2.7 11.5-8 24.1-12.1 38.2-11.1 12.5 .9 22.7 7 28.1 21.7 3.3 8.9 4.1 18.2 4.1 27.7 0 8.7-.7 17.3-3.4 25.6-5.7 17.8-18.7 24.7-35.7 23.9-11.7-.5-21.9-5-31.4-11.7-.9-.8-1.4-1.6-1.3-2.8zm154.9 14.6c4.6 1.8 9.3 2 14.1 1.5 11.6-1.2 21.9-5.7 31.3-12.5 .9-.6 1.3-1.3 1.3-2.5-.1-3.9 0-7.9 0-11.8 0-4-.1-8 0-12 0-1.4-.4-2-1.8-2.2-7-.9-13.9-2.2-20.9-2.9-7-.6-14-.3-20.8 1.9-6.7 2.2-11.7 6.2-13.7 13.1-1.6 5.4-1.6 10.8 .1 16.2 1.6 5.5 5.2 9.2 10.4 11.2zM576 80v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V80c0-26.5 21.5-48 48-48h480c26.5 0 48 21.5 48 48zm-207.5 23.9c.4 1.7 .9 3.4 1.6 5.1 16.5 40.6 32.9 81.3 49.5 121.9 1.4 3.5 1.7 6.4 .2 9.9-2.8 6.2-4.9 12.6-7.8 18.7-2.6 5.5-6.7 9.5-12.7 11.2-4.2 1.1-8.5 1.3-12.9 .9-2.1-.2-4.2-.7-6.3-.8-2.8-.2-4.2 1.1-4.3 4-.1 2.8-.1 5.6 0 8.3 .1 4.6 1.6 6.7 6.2 7.5 4.7 .8 9.4 1.6 14.2 1.7 14.3 .3 25.7-5.4 33.1-17.9 2.9-4.9 5.6-10.1 7.7-15.4 19.8-50.1 39.5-100.3 59.2-150.5 .6-1.5 1.1-3 1.3-4.6 .4-2.4-.7-3.6-3.1-3.7-5.6-.1-11.1 0-16.7 0-3.1 0-5.3 1.4-6.4 4.3-.4 1.1-.9 2.3-1.3 3.4l-29.1 83.7c-2.1 6.1-4.2 12.1-6.5 18.6-.4-.9-.6-1.4-.8-1.9-10.8-29.9-21.6-59.9-32.4-89.8-1.7-4.7-3.5-9.5-5.3-14.2-.9-2.5-2.7-4-5.4-4-6.4-.1-12.8-.2-19.2-.1-2.2 0-3.3 1.6-2.8 3.7zM242.4 206c1.7 11.7 7.6 20.8 18 26.6 9.9 5.5 20.7 6.2 31.7 4.6 12.7-1.9 23.9-7.3 33.8-15.5 .4-.3 .8-.6 1.4-1 .5 3.2 .9 6.2 1.5 9.2 .5 2.6 2.1 4.3 4.5 4.4 4.6 .1 9.1 .1 13.7 0 2.3-.1 3.8-1.6 4-3.9 .1-.8 .1-1.6 .1-2.3v-88.8c0-3.6-.2-7.2-.7-10.8-1.6-10.8-6.2-19.7-15.9-25.4-5.6-3.3-11.8-5-18.2-5.9-3-.4-6-.7-9.1-1.1h-10c-.8 .1-1.6 .3-2.5 .3-8.2 .4-16.3 1.4-24.2 3.5-5.1 1.3-10 3.2-15 4.9-3 1-4.5 3.2-4.4 6.5 .1 2.8-.1 5.6 0 8.3 .1 4.1 1.8 5.2 5.7 4.1 6.5-1.7 13.1-3.5 19.7-4.8 10.3-1.9 20.7-2.7 31.1-1.2 5.4 .8 10.5 2.4 14.1 7 3.1 4 4.2 8.8 4.4 13.7 .3 6.9 .2 13.9 .3 20.8 0 .4-.1 .7-.2 1.2-.4 0-.8 0-1.1-.1-8.8-2.1-17.7-3.6-26.8-4.1-9.5-.5-18.9 .1-27.9 3.2-10.8 3.8-19.5 10.3-24.6 20.8-4.1 8.3-4.6 17-3.4 25.8zM98.7 106.9v175.3c0 .8 0 1.7 .1 2.5 .2 2.5 1.7 4.1 4.1 4.2 5.9 .1 11.8 .1 17.7 0 2.5 0 4-1.7 4.1-4.1 .1-.8 .1-1.7 .1-2.5v-60.7c.9 .7 1.4 1.2 1.9 1.6 15 12.5 32.2 16.6 51.1 12.9 17.1-3.4 28.9-13.9 36.7-29.2 5.8-11.6 8.3-24.1 8.7-37 .5-14.3-1-28.4-6.8-41.7-7.1-16.4-18.9-27.3-36.7-30.9-2.7-.6-5.5-.8-8.2-1.2h-7c-1.2 .2-2.4 .3-3.6 .5-11.7 1.4-22.3 5.8-31.8 12.7-2 1.4-3.9 3-5.9 4.5-.1-.5-.3-.8-.4-1.2-.4-2.3-.7-4.6-1.1-6.9-.6-3.9-2.5-5.5-6.4-5.6h-9.7c-5.9-.1-6.9 1-6.9 6.8zM493.6 339c-2.7-.7-5.1 0-7.6 1-43.9 18.4-89.5 30.2-136.8 35.8-14.5 1.7-29.1 2.8-43.7 3.2-26.6 .7-53.2-.8-79.6-4.3-17.8-2.4-35.5-5.7-53-9.9-37-8.9-72.7-21.7-106.7-38.8-8.8-4.4-17.4-9.3-26.1-14-3.8-2.1-6.2-1.5-8.2 2.1v1.7c1.2 1.6 2.2 3.4 3.7 4.8 36 32.2 76.6 56.5 122 72.9 21.9 7.9 44.4 13.7 67.3 17.5 14 2.3 28 3.8 42.2 4.5 3 .1 6 .2 9 .4 .7 0 1.4 .2 2.1 .3h17.7c.7-.1 1.4-.3 2.1-.3 14.9-.4 29.8-1.8 44.6-4 21.4-3.2 42.4-8.1 62.9-14.7 29.6-9.6 57.7-22.4 83.4-40.1 2.8-1.9 5.7-3.8 8-6.2 4.3-4.4 2.3-10.4-3.3-11.9zm50.4-27.7c-.8-4.2-4-5.8-7.6-7-5.7-1.9-11.6-2.8-17.6-3.3-11-.9-22-.4-32.8 1.6-12 2.2-23.4 6.1-33.5 13.1-1.2 .8-2.4 1.8-3.1 3-.6 .9-.7 2.3-.5 3.4 .3 1.3 1.7 1.6 3 1.5 .6 0 1.2 0 1.8-.1l19.5-2.1c9.6-.9 19.2-1.5 28.8-.8 4.1 .3 8.1 1.2 12 2.2 4.3 1.1 6.2 4.4 6.4 8.7 .3 6.7-1.2 13.1-2.9 19.5-3.5 12.9-8.3 25.4-13.3 37.8-.3 .8-.7 1.7-.8 2.5-.4 2.5 1 4 3.4 3.5 1.4-.3 3-1.1 4-2.1 3.7-3.6 7.5-7.2 10.6-11.2 10.7-13.8 17-29.6 20.7-46.6 .7-3 1.2-6.1 1.7-9.1 .2-4.7 .2-9.6 .2-14.5z"],
    "cc-amex": [576, 512, [], "f1f3", "M48 480C21.49 480 0 458.5 0 432V80C0 53.49 21.49 32 48 32H528C554.5 32 576 53.49 576 80V82.43H500.5L483.5 130L466.6 82.43H369.4V145.6L341.3 82.43H262.7L181 267.1H246.8V430.9H450.5L482.4 395.8L514.3 430.9H576V432C576 458.5 554.5 480 528 480H48zM482.6 364L440.4 410.3H390.5L458 338.6L390.5 266.1H441.9L483.4 312.8L525.4 266.1H576L508 338.2L576 410.3H524.6L482.6 364zM576 296.9V380.2L536.7 338.3L576 296.9zM307.6 377.1H390.6V410.3H268.6V267.1H390.6V300.2H307.6V322.6H388.5V354.9H307.6V377.2V377.1zM537.3 145.7L500.4 246.3H466L429.2 146V246.3H390.5V103H451.7L483.6 192.3L515.8 103H576V246.3H537.3V145.7zM334.5 217.6H268.6L256.7 246.3H213.7L276.1 103H327.3L390.6 246.3H346.5L334.5 217.6zM301.5 138.5L282 185.4H320.9L301.5 138.5z"],
    "cc-apple-pay": [576, 512, [], "f416", "M302.2 218.4c0 17.2-10.5 27.1-29 27.1h-24.3v-54.2h24.4c18.4 0 28.9 9.8 28.9 27.1zm47.5 62.6c0 8.3 7.2 13.7 18.5 13.7 14.4 0 25.2-9.1 25.2-21.9v-7.7l-23.5 1.5c-13.3 .9-20.2 5.8-20.2 14.4zM576 79v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V79c0-26.5 21.5-48 48-48h480c26.5 0 48 21.5 48 48zM127.8 197.2c8.4 .7 16.8-4.2 22.1-10.4 5.2-6.4 8.6-15 7.7-23.7-7.4 .3-16.6 4.9-21.9 11.3-4.8 5.5-8.9 14.4-7.9 22.8zm60.6 74.5c-.2-.2-19.6-7.6-19.8-30-.2-18.7 15.3-27.7 16-28.2-8.8-13-22.4-14.4-27.1-14.7-12.2-.7-22.6 6.9-28.4 6.9-5.9 0-14.7-6.6-24.3-6.4-12.5 .2-24.2 7.3-30.5 18.6-13.1 22.6-3.4 56 9.3 74.4 6.2 9.1 13.7 19.1 23.5 18.7 9.3-.4 13-6 24.2-6 11.3 0 14.5 6 24.3 5.9 10.2-.2 16.5-9.1 22.8-18.2 6.9-10.4 9.8-20.4 10-21zm135.4-53.4c0-26.6-18.5-44.8-44.9-44.8h-51.2v136.4h21.2v-46.6h29.3c26.8 0 45.6-18.4 45.6-45zm90 23.7c0-19.7-15.8-32.4-40-32.4-22.5 0-39.1 12.9-39.7 30.5h19.1c1.6-8.4 9.4-13.9 20-13.9 13 0 20.2 6 20.2 17.2v7.5l-26.4 1.6c-24.6 1.5-37.9 11.6-37.9 29.1 0 17.7 13.7 29.4 33.4 29.4 13.3 0 25.6-6.7 31.2-17.4h.4V310h19.6v-68zM516 210.9h-21.5l-24.9 80.6h-.4l-24.9-80.6H422l35.9 99.3-1.9 6c-3.2 10.2-8.5 14.2-17.9 14.2-1.7 0-4.9-.2-6.2-.3v16.4c1.2 .4 6.5 .5 8.1 .5 20.7 0 30.4-7.9 38.9-31.8L516 210.9z"],
    "cc-diners-club": [576, 512, [], "f24c", "M239.7 79.9c-96.9 0-175.8 78.6-175.8 175.8 0 96.9 78.9 175.8 175.8 175.8 97.2 0 175.8-78.9 175.8-175.8 0-97.2-78.6-175.8-175.8-175.8zm-39.9 279.6c-41.7-15.9-71.4-56.4-71.4-103.8s29.7-87.9 71.4-104.1v207.9zm79.8 .3V151.6c41.7 16.2 71.4 56.7 71.4 104.1s-29.7 87.9-71.4 104.1zM528 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h480c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zM329.7 448h-90.3c-106.2 0-193.8-85.5-193.8-190.2C45.6 143.2 133.2 64 239.4 64h90.3c105 0 200.7 79.2 200.7 193.8 0 104.7-95.7 190.2-200.7 190.2z"],
    "cc-discover": [576, 512, [], "f1f2", "M520.4 196.1c0-7.9-5.5-12.1-15.6-12.1h-4.9v24.9h4.7c10.3 0 15.8-4.4 15.8-12.8zM528 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h480c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zm-44.1 138.9c22.6 0 52.9-4.1 52.9 24.4 0 12.6-6.6 20.7-18.7 23.2l25.8 34.4h-19.6l-22.2-32.8h-2.2v32.8h-16zm-55.9 .1h45.3v14H444v18.2h28.3V217H444v22.2h29.3V253H428zm-68.7 0l21.9 55.2 22.2-55.2h17.5l-35.5 84.2h-8.6l-35-84.2zm-55.9-3c24.7 0 44.6 20 44.6 44.6 0 24.7-20 44.6-44.6 44.6-24.7 0-44.6-20-44.6-44.6 0-24.7 20-44.6 44.6-44.6zm-49.3 6.1v19c-20.1-20.1-46.8-4.7-46.8 19 0 25 27.5 38.5 46.8 19.2v19c-29.7 14.3-63.3-5.7-63.3-38.2 0-31.2 33.1-53 63.3-38zm-97.2 66.3c11.4 0 22.4-15.3-3.3-24.4-15-5.5-20.2-11.4-20.2-22.7 0-23.2 30.6-31.4 49.7-14.3l-8.4 10.8c-10.4-11.6-24.9-6.2-24.9 2.5 0 4.4 2.7 6.9 12.3 10.3 18.2 6.6 23.6 12.5 23.6 25.6 0 29.5-38.8 37.4-56.6 11.3l10.3-9.9c3.7 7.1 9.9 10.8 17.5 10.8zM55.4 253H32v-82h23.4c26.1 0 44.1 17 44.1 41.1 0 18.5-13.2 40.9-44.1 40.9zm67.5 0h-16v-82h16zM544 433c0 8.2-6.8 15-15 15H128c189.6-35.6 382.7-139.2 416-160zM74.1 191.6c-5.2-4.9-11.6-6.6-21.9-6.6H48v54.2h4.2c10.3 0 17-2 21.9-6.4 5.7-5.2 8.9-12.8 8.9-20.7s-3.2-15.5-8.9-20.5z"],
    "cc-jcb": [576, 512, [], "f24b", "M431.5 244.3V212c41.2 0 38.5 .2 38.5 .2 7.3 1.3 13.3 7.3 13.3 16 0 8.8-6 14.5-13.3 15.8-1.2 .4-3.3 .3-38.5 .3zm42.8 20.2c-2.8-.7-3.3-.5-42.8-.5v35c39.6 0 40 .2 42.8-.5 7.5-1.5 13.5-8 13.5-17 0-8.7-6-15.5-13.5-17zM576 80v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V80c0-26.5 21.5-48 48-48h480c26.5 0 48 21.5 48 48zM182 192.3h-57c0 67.1 10.7 109.7-35.8 109.7-19.5 0-38.8-5.7-57.2-14.8v28c30 8.3 68 8.3 68 8.3 97.9 0 82-47.7 82-131.2zm178.5 4.5c-63.4-16-165-14.9-165 59.3 0 77.1 108.2 73.6 165 59.2V287C312.9 311.7 253 309 253 256s59.8-55.6 107.5-31.2v-28zM544 286.5c0-18.5-16.5-30.5-38-32v-.8c19.5-2.7 30.3-15.5 30.3-30.2 0-19-15.7-30-37-31 0 0 6.3-.3-120.3-.3v127.5h122.7c24.3 .1 42.3-12.9 42.3-33.2z"],
    "cc-mastercard": [576, 512, [], "f1f1", "M482.9 410.3c0 6.8-4.6 11.7-11.2 11.7-6.8 0-11.2-5.2-11.2-11.7 0-6.5 4.4-11.7 11.2-11.7 6.6 0 11.2 5.2 11.2 11.7zm-310.8-11.7c-7.1 0-11.2 5.2-11.2 11.7 0 6.5 4.1 11.7 11.2 11.7 6.5 0 10.9-4.9 10.9-11.7-.1-6.5-4.4-11.7-10.9-11.7zm117.5-.3c-5.4 0-8.7 3.5-9.5 8.7h19.1c-.9-5.7-4.4-8.7-9.6-8.7zm107.8 .3c-6.8 0-10.9 5.2-10.9 11.7 0 6.5 4.1 11.7 10.9 11.7 6.8 0 11.2-4.9 11.2-11.7 0-6.5-4.4-11.7-11.2-11.7zm105.9 26.1c0 .3 .3 .5 .3 1.1 0 .3-.3 .5-.3 1.1-.3 .3-.3 .5-.5 .8-.3 .3-.5 .5-1.1 .5-.3 .3-.5 .3-1.1 .3-.3 0-.5 0-1.1-.3-.3 0-.5-.3-.8-.5-.3-.3-.5-.5-.5-.8-.3-.5-.3-.8-.3-1.1 0-.5 0-.8 .3-1.1 0-.5 .3-.8 .5-1.1 .3-.3 .5-.3 .8-.5 .5-.3 .8-.3 1.1-.3 .5 0 .8 0 1.1 .3 .5 .3 .8 .3 1.1 .5s.2 .6 .5 1.1zm-2.2 1.4c.5 0 .5-.3 .8-.3 .3-.3 .3-.5 .3-.8 0-.3 0-.5-.3-.8-.3 0-.5-.3-1.1-.3h-1.6v3.5h.8V426h.3l1.1 1.4h.8l-1.1-1.3zM576 81v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V81c0-26.5 21.5-48 48-48h480c26.5 0 48 21.5 48 48zM64 220.6c0 76.5 62.1 138.5 138.5 138.5 27.2 0 53.9-8.2 76.5-23.1-72.9-59.3-72.4-171.2 0-230.5-22.6-15-49.3-23.1-76.5-23.1-76.4-.1-138.5 62-138.5 138.2zm224 108.8c70.5-55 70.2-162.2 0-217.5-70.2 55.3-70.5 162.6 0 217.5zm-142.3 76.3c0-8.7-5.7-14.4-14.7-14.7-4.6 0-9.5 1.4-12.8 6.5-2.4-4.1-6.5-6.5-12.2-6.5-3.8 0-7.6 1.4-10.6 5.4V392h-8.2v36.7h8.2c0-18.9-2.5-30.2 9-30.2 10.2 0 8.2 10.2 8.2 30.2h7.9c0-18.3-2.5-30.2 9-30.2 10.2 0 8.2 10 8.2 30.2h8.2v-23zm44.9-13.7h-7.9v4.4c-2.7-3.3-6.5-5.4-11.7-5.4-10.3 0-18.2 8.2-18.2 19.3 0 11.2 7.9 19.3 18.2 19.3 5.2 0 9-1.9 11.7-5.4v4.6h7.9V392zm40.5 25.6c0-15-22.9-8.2-22.9-15.2 0-5.7 11.9-4.8 18.5-1.1l3.3-6.5c-9.4-6.1-30.2-6-30.2 8.2 0 14.3 22.9 8.3 22.9 15 0 6.3-13.5 5.8-20.7 .8l-3.5 6.3c11.2 7.6 32.6 6 32.6-7.5zm35.4 9.3l-2.2-6.8c-3.8 2.1-12.2 4.4-12.2-4.1v-16.6h13.1V392h-13.1v-11.2h-8.2V392h-7.6v7.3h7.6V416c0 17.6 17.3 14.4 22.6 10.9zm13.3-13.4h27.5c0-16.2-7.4-22.6-17.4-22.6-10.6 0-18.2 7.9-18.2 19.3 0 20.5 22.6 23.9 33.8 14.2l-3.8-6c-7.8 6.4-19.6 5.8-21.9-4.9zm59.1-21.5c-4.6-2-11.6-1.8-15.2 4.4V392h-8.2v36.7h8.2V408c0-11.6 9.5-10.1 12.8-8.4l2.4-7.6zm10.6 18.3c0-11.4 11.6-15.1 20.7-8.4l3.8-6.5c-11.6-9.1-32.7-4.1-32.7 15 0 19.8 22.4 23.8 32.7 15l-3.8-6.5c-9.2 6.5-20.7 2.6-20.7-8.6zm66.7-18.3H408v4.4c-8.3-11-29.9-4.8-29.9 13.9 0 19.2 22.4 24.7 29.9 13.9v4.6h8.2V392zm33.7 0c-2.4-1.2-11-2.9-15.2 4.4V392h-7.9v36.7h7.9V408c0-11 9-10.3 12.8-8.4l2.4-7.6zm40.3-14.9h-7.9v19.3c-8.2-10.9-29.9-5.1-29.9 13.9 0 19.4 22.5 24.6 29.9 13.9v4.6h7.9v-51.7zm7.6-75.1v4.6h.8V302h1.9v-.8h-4.6v.8h1.9zm6.6 123.8c0-.5 0-1.1-.3-1.6-.3-.3-.5-.8-.8-1.1-.3-.3-.8-.5-1.1-.8-.5 0-1.1-.3-1.6-.3-.3 0-.8 .3-1.4 .3-.5 .3-.8 .5-1.1 .8-.5 .3-.8 .8-.8 1.1-.3 .5-.3 1.1-.3 1.6 0 .3 0 .8 .3 1.4 0 .3 .3 .8 .8 1.1 .3 .3 .5 .5 1.1 .8 .5 .3 1.1 .3 1.4 .3 .5 0 1.1 0 1.6-.3 .3-.3 .8-.5 1.1-.8 .3-.3 .5-.8 .8-1.1 .3-.6 .3-1.1 .3-1.4zm3.2-124.7h-1.4l-1.6 3.5-1.6-3.5h-1.4v5.4h.8v-4.1l1.6 3.5h1.1l1.4-3.5v4.1h1.1v-5.4zm4.4-80.5c0-76.2-62.1-138.3-138.5-138.3-27.2 0-53.9 8.2-76.5 23.1 72.1 59.3 73.2 171.5 0 230.5 22.6 15 49.5 23.1 76.5 23.1 76.4 .1 138.5-61.9 138.5-138.4z"],
    "cc-paypal": [576, 512, [], "f1f4", "M186.3 258.2c0 12.2-9.7 21.5-22 21.5-9.2 0-16-5.2-16-15 0-12.2 9.5-22 21.7-22 9.3 0 16.3 5.7 16.3 15.5zM80.5 209.7h-4.7c-1.5 0-3 1-3.2 2.7l-4.3 26.7 8.2-.3c11 0 19.5-1.5 21.5-14.2 2.3-13.4-6.2-14.9-17.5-14.9zm284 0H360c-1.8 0-3 1-3.2 2.7l-4.2 26.7 8-.3c13 0 22-3 22-18-.1-10.6-9.6-11.1-18.1-11.1zM576 80v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V80c0-26.5 21.5-48 48-48h480c26.5 0 48 21.5 48 48zM128.3 215.4c0-21-16.2-28-34.7-28h-40c-2.5 0-5 2-5.2 4.7L32 294.2c-.3 2 1.2 4 3.2 4h19c2.7 0 5.2-2.9 5.5-5.7l4.5-26.6c1-7.2 13.2-4.7 18-4.7 28.6 0 46.1-17 46.1-45.8zm84.2 8.8h-19c-3.8 0-4 5.5-4.2 8.2-5.8-8.5-14.2-10-23.7-10-24.5 0-43.2 21.5-43.2 45.2 0 19.5 12.2 32.2 31.7 32.2 9 0 20.2-4.9 26.5-11.9-.5 1.5-1 4.7-1 6.2 0 2.3 1 4 3.2 4H200c2.7 0 5-2.9 5.5-5.7l10.2-64.3c.3-1.9-1.2-3.9-3.2-3.9zm40.5 97.9l63.7-92.6c.5-.5 .5-1 .5-1.7 0-1.7-1.5-3.5-3.2-3.5h-19.2c-1.7 0-3.5 1-4.5 2.5l-26.5 39-11-37.5c-.8-2.2-3-4-5.5-4h-18.7c-1.7 0-3.2 1.8-3.2 3.5 0 1.2 19.5 56.8 21.2 62.1-2.7 3.8-20.5 28.6-20.5 31.6 0 1.8 1.5 3.2 3.2 3.2h19.2c1.8-.1 3.5-1.1 4.5-2.6zm159.3-106.7c0-21-16.2-28-34.7-28h-39.7c-2.7 0-5.2 2-5.5 4.7l-16.2 102c-.2 2 1.3 4 3.2 4h20.5c2 0 3.5-1.5 4-3.2l4.5-29c1-7.2 13.2-4.7 18-4.7 28.4 0 45.9-17 45.9-45.8zm84.2 8.8h-19c-3.8 0-4 5.5-4.3 8.2-5.5-8.5-14-10-23.7-10-24.5 0-43.2 21.5-43.2 45.2 0 19.5 12.2 32.2 31.7 32.2 9.3 0 20.5-4.9 26.5-11.9-.3 1.5-1 4.7-1 6.2 0 2.3 1 4 3.2 4H484c2.7 0 5-2.9 5.5-5.7l10.2-64.3c.3-1.9-1.2-3.9-3.2-3.9zm47.5-33.3c0-2-1.5-3.5-3.2-3.5h-18.5c-1.5 0-3 1.2-3.2 2.7l-16.2 104-.3 .5c0 1.8 1.5 3.5 3.5 3.5h16.5c2.5 0 5-2.9 5.2-5.7L544 191.2v-.3zm-90 51.8c-12.2 0-21.7 9.7-21.7 22 0 9.7 7 15 16.2 15 12 0 21.7-9.2 21.7-21.5 .1-9.8-6.9-15.5-16.2-15.5z"],
    "cc-stripe": [576, 512, [], "f1f5", "M492.4 220.8c-8.9 0-18.7 6.7-18.7 22.7h36.7c0-16-9.3-22.7-18-22.7zM375 223.4c-8.2 0-13.3 2.9-17 7l.2 52.8c3.5 3.7 8.5 6.7 16.8 6.7 13.1 0 21.9-14.3 21.9-33.4 0-18.6-9-33.2-21.9-33.1zM528 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h480c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zM122.2 281.1c0 25.6-20.3 40.1-49.9 40.3-12.2 0-25.6-2.4-38.8-8.1v-33.9c12 6.4 27.1 11.3 38.9 11.3 7.9 0 13.6-2.1 13.6-8.7 0-17-54-10.6-54-49.9 0-25.2 19.2-40.2 48-40.2 11.8 0 23.5 1.8 35.3 6.5v33.4c-10.8-5.8-24.5-9.1-35.3-9.1-7.5 0-12.1 2.2-12.1 7.7 0 16 54.3 8.4 54.3 50.7zm68.8-56.6h-27V275c0 20.9 22.5 14.4 27 12.6v28.9c-4.7 2.6-13.3 4.7-24.9 4.7-21.1 0-36.9-15.5-36.9-36.5l.2-113.9 34.7-7.4v30.8H191zm74 2.4c-4.5-1.5-18.7-3.6-27.1 7.4v84.4h-35.5V194.2h30.7l2.2 10.5c8.3-15.3 24.9-12.2 29.6-10.5h.1zm44.1 91.8h-35.7V194.2h35.7zm0-142.9l-35.7 7.6v-28.9l35.7-7.6zm74.1 145.5c-12.4 0-20-5.3-25.1-9l-.1 40.2-35.5 7.5V194.2h31.3l1.8 8.8c4.9-4.5 13.9-11.1 27.8-11.1 24.9 0 48.4 22.5 48.4 63.8 0 45.1-23.2 65.5-48.6 65.6zm160.4-51.5h-69.5c1.6 16.6 13.8 21.5 27.6 21.5 14.1 0 25.2-3 34.9-7.9V312c-9.7 5.3-22.4 9.2-39.4 9.2-34.6 0-58.8-21.7-58.8-64.5 0-36.2 20.5-64.9 54.3-64.9 33.7 0 51.3 28.7 51.3 65.1 0 3.5-.3 10.9-.4 12.9z"],
    "cc-visa": [576, 512, [], "f1f0", "M470.1 231.3s7.6 37.2 9.3 45H446c3.3-8.9 16-43.5 16-43.5-.2 .3 3.3-9.1 5.3-14.9l2.8 13.4zM576 80v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V80c0-26.5 21.5-48 48-48h480c26.5 0 48 21.5 48 48zM152.5 331.2L215.7 176h-42.5l-39.3 106-4.3-21.5-14-71.4c-2.3-9.9-9.4-12.7-18.2-13.1H32.7l-.7 3.1c15.8 4 29.9 9.8 42.2 17.1l35.8 135h42.5zm94.4 .2L272.1 176h-40.2l-25.1 155.4h40.1zm139.9-50.8c.2-17.7-10.6-31.2-33.7-42.3-14.1-7.1-22.7-11.9-22.7-19.2 .2-6.6 7.3-13.4 23.1-13.4 13.1-.3 22.7 2.8 29.9 5.9l3.6 1.7 5.5-33.6c-7.9-3.1-20.5-6.6-36-6.6-39.7 0-67.6 21.2-67.8 51.4-.3 22.3 20 34.7 35.2 42.2 15.5 7.6 20.8 12.6 20.8 19.3-.2 10.4-12.6 15.2-24.1 15.2-16 0-24.6-2.5-37.7-8.3l-5.3-2.5-5.6 34.9c9.4 4.3 26.8 8.1 44.8 8.3 42.2 .1 69.7-20.8 70-53zM528 331.4L495.6 176h-31.1c-9.6 0-16.9 2.8-21 12.9l-59.7 142.5H426s6.9-19.2 8.4-23.3H486c1.2 5.5 4.8 23.3 4.8 23.3H528z"],
    "centercode": [512, 512, [], "f380", "M329.2 268.6c-3.8 35.2-35.4 60.6-70.6 56.8-35.2-3.8-60.6-35.4-56.8-70.6 3.8-35.2 35.4-60.6 70.6-56.8 35.1 3.8 60.6 35.4 56.8 70.6zm-85.8 235.1C96.7 496-8.2 365.5 10.1 224.3c11.2-86.6 65.8-156.9 139.1-192 161-77.1 349.7 37.4 354.7 216.6 4.1 147-118.4 262.2-260.5 254.8zm179.9-180c27.9-118-160.5-205.9-237.2-234.2-57.5 56.3-69.1 188.6-33.8 344.4 68.8 15.8 169.1-26.4 271-110.2z"],
    "centos": [448, 512, [], "f789", "M289.6 97.5l31.6 31.7-76.3 76.5V97.5zm-162.4 31.7l76.3 76.5V97.5h-44.7zm41.5-41.6h44.7v127.9l10.8 10.8 10.8-10.8V87.6h44.7L224.2 32zm26.2 168.1l-10.8-10.8H55.5v-44.8L0 255.7l55.5 55.6v-44.8h128.6l10.8-10.8zm79.3-20.7h107.9v-44.8l-31.6-31.7zm173.3 20.7L392 200.1v44.8H264.3l-10.8 10.8 10.8 10.8H392v44.8l55.5-55.6zM65.4 176.2l32.5-31.7 90.3 90.5h15.3v-15.3l-90.3-90.5 31.6-31.7H65.4zm316.7-78.7h-78.5l31.6 31.7-90.3 90.5V235h15.3l90.3-90.5 31.6 31.7zM203.5 413.9V305.8l-76.3 76.5 31.6 31.7h44.7zM65.4 235h108.8l-76.3-76.5-32.5 31.7zm316.7 100.2l-31.6 31.7-90.3-90.5h-15.3v15.3l90.3 90.5-31.6 31.7h78.5zm0-58.8H274.2l76.3 76.5 31.6-31.7zm-60.9 105.8l-76.3-76.5v108.1h44.7zM97.9 352.9l76.3-76.5H65.4v44.8zm181.8 70.9H235V295.9l-10.8-10.8-10.8 10.8v127.9h-44.7l55.5 55.6zm-166.5-41.6l90.3-90.5v-15.3h-15.3l-90.3 90.5-32.5-31.7v78.7h79.4z"],
    "chrome": [512, 512, [], "f268", "M0 256C0 209.4 12.47 165.6 34.27 127.1L144.1 318.3C166 357.5 207.9 384 256 384C270.3 384 283.1 381.7 296.8 377.4L220.5 509.6C95.9 492.3 0 385.3 0 256zM365.1 321.6C377.4 302.4 384 279.1 384 256C384 217.8 367.2 183.5 340.7 160H493.4C505.4 189.6 512 222.1 512 256C512 397.4 397.4 511.1 256 512L365.1 321.6zM477.8 128H256C193.1 128 142.3 172.1 130.5 230.7L54.19 98.47C101 38.53 174 0 256 0C350.8 0 433.5 51.48 477.8 128V128zM168 256C168 207.4 207.4 168 256 168C304.6 168 344 207.4 344 256C344 304.6 304.6 344 256 344C207.4 344 168 304.6 168 256z"],
    "chromecast": [512, 512, [], "f838", "M447.8 64H64c-23.6 0-42.7 19.1-42.7 42.7v63.9H64v-63.9h383.8v298.6H298.6V448H448c23.6 0 42.7-19.1 42.7-42.7V106.7C490.7 83.1 471.4 64 447.8 64zM21.3 383.6L21.3 383.6l0 63.9h63.9C85.2 412.2 56.6 383.6 21.3 383.6L21.3 383.6zM21.3 298.6V341c58.9 0 106.6 48.1 106.6 107h42.7C170.7 365.6 103.7 298.7 21.3 298.6zM213.4 448h42.7c-.5-129.5-105.3-234.3-234.8-234.6l0 42.4C127.3 255.6 213.3 342 213.4 448z"],
    "cloudflare": [640, 512, [], "e07d", "M407.9 319.9l-230.8-2.928a4.58 4.58 0 0 1 -3.632-1.926 4.648 4.648 0 0 1 -.494-4.147 6.143 6.143 0 0 1 5.361-4.076L411.3 303.9c27.63-1.26 57.55-23.57 68.02-50.78l13.29-34.54a7.944 7.944 0 0 0 .524-2.936 7.735 7.735 0 0 0 -.164-1.631A151.9 151.9 0 0 0 201.3 198.4 68.12 68.12 0 0 0 94.2 269.6C41.92 271.1 0 313.7 0 366.1a96.05 96.05 0 0 0 1.029 13.96 4.508 4.508 0 0 0 4.445 3.871l426.1 .051c.043 0 .08-.019 .122-.02a5.606 5.606 0 0 0 5.271-4l3.273-11.27c3.9-13.4 2.448-25.8-4.1-34.9C430.1 325.4 420.1 320.5 407.9 319.9zM513.9 221.1c-2.141 0-4.271 .062-6.391 .164a3.771 3.771 0 0 0 -3.324 2.653l-9.077 31.19c-3.9 13.4-2.449 25.79 4.1 34.89 6.02 8.4 16.05 13.32 28.24 13.9l49.2 2.939a4.491 4.491 0 0 1 3.51 1.894 4.64 4.64 0 0 1 .514 4.169 6.153 6.153 0 0 1 -5.351 4.075l-51.13 2.939c-27.75 1.27-57.67 23.57-68.14 50.78l-3.695 9.606a2.716 2.716 0 0 0 2.427 3.68c.046 0 .088 .017 .136 .017h175.9a4.69 4.69 0 0 0 4.539-3.37 124.8 124.8 0 0 0 4.682-34C640 277.3 583.5 221.1 513.9 221.1z"],
    "cloudscale": [448, 512, [], "f383", "M318.1 154l-9.4 7.6c-22.5-19.3-51.5-33.6-83.3-33.6C153.8 128 96 188.8 96 260.3c0 6.6 .4 13.1 1.4 19.4-2-56 41.8-97.4 92.6-97.4 24.2 0 46.2 9.4 62.6 24.7l-25.2 20.4c-8.3-.9-16.8 1.8-23.1 8.1-11.1 11-11.1 28.9 0 40 11.1 11 28.9 11 40 0 6.3-6.3 9-14.9 8.1-23.1l75.2-88.8c6.3-6.5-3.3-15.9-9.5-9.6zm-83.8 111.5c-5.6 5.5-14.6 5.5-20.2 0-5.6-5.6-5.6-14.6 0-20.2s14.6-5.6 20.2 0 5.6 14.7 0 20.2zM224 32C100.5 32 0 132.5 0 256s100.5 224 224 224 224-100.5 224-224S347.5 32 224 32zm0 384c-88.2 0-160-71.8-160-160S135.8 96 224 96s160 71.8 160 160-71.8 160-160 160z"],
    "cloudsmith": [332, 512, [], "f384", "M332.5 419.9c0 46.4-37.6 84.1-84 84.1s-84-37.7-84-84.1 37.6-84 84-84 84 37.6 84 84zm-84-243.9c46.4 0 80-37.6 80-84s-33.6-84-80-84-88 37.6-88 84-29.6 76-76 76-84 41.6-84 88 37.6 80 84 80 84-33.6 84-80 33.6-80 80-80z"],
    "cloudversify": [616, 512, [], "f385", "M148.6 304c8.2 68.5 67.4 115.5 146 111.3 51.2 43.3 136.8 45.8 186.4-5.6 69.2 1.1 118.5-44.6 131.5-99.5 14.8-62.5-18.2-132.5-92.1-155.1-33-88.1-131.4-101.5-186.5-85-57.3 17.3-84.3 53.2-99.3 109.7-7.8 2.7-26.5 8.9-45 24.1 11.7 0 15.2 8.9 15.2 19.5v20.4c0 10.7-8.7 19.5-19.5 19.5h-20.2c-10.7 0-19.5-6-19.5-16.7V240H98.8C95 240 88 244.3 88 251.9v40.4c0 6.4 5.3 11.8 11.7 11.8h48.9zm227.4 8c-10.7 46.3 21.7 72.4 55.3 86.8C324.1 432.6 259.7 348 296 288c-33.2 21.6-33.7 71.2-29.2 92.9-17.9-12.4-53.8-32.4-57.4-79.8-3-39.9 21.5-75.7 57-93.9C297 191.4 369.9 198.7 400 248c-14.1-48-53.8-70.1-101.8-74.8 30.9-30.7 64.4-50.3 114.2-43.7 69.8 9.3 133.2 82.8 67.7 150.5 35-16.3 48.7-54.4 47.5-76.9l10.5 19.6c11.8 22 15.2 47.6 9.4 72-9.2 39-40.6 68.8-79.7 76.5-32.1 6.3-83.1-5.1-91.8-59.2zM128 208H88.2c-8.9 0-16.2-7.3-16.2-16.2v-39.6c0-8.9 7.3-16.2 16.2-16.2H128c8.9 0 16.2 7.3 16.2 16.2v39.6c0 8.9-7.3 16.2-16.2 16.2zM10.1 168C4.5 168 0 163.5 0 157.9v-27.8c0-5.6 4.5-10.1 10.1-10.1h27.7c5.5 0 10.1 4.5 10.1 10.1v27.8c0 5.6-4.5 10.1-10.1 10.1H10.1zM168 142.7v-21.4c0-5.1 4.2-9.3 9.3-9.3h21.4c5.1 0 9.3 4.2 9.3 9.3v21.4c0 5.1-4.2 9.3-9.3 9.3h-21.4c-5.1 0-9.3-4.2-9.3-9.3zM56 235.5v25c0 6.3-5.1 11.5-11.4 11.5H19.4C13.1 272 8 266.8 8 260.5v-25c0-6.3 5.1-11.5 11.4-11.5h25.1c6.4 0 11.5 5.2 11.5 11.5z"],
    "cmplid": [640, 512, [], "e360", "M226.1 388.2a3.816 3.816 0 0 0 -2.294-3.5 3.946 3.946 0 0 0 -1.629-.385L72.6 384.3a19.24 19.24 0 0 1 -17.92-26.02L81.58 255.7a35.72 35.72 0 0 1 32.37-26H262.5a7.07 7.07 0 0 0 6.392-5.194l10.77-41.13a3.849 3.849 0 0 0 -2.237-4.937 3.755 3.755 0 0 0 -1.377-.261c-.063 0-.126 0-.189 .005H127.4a106.8 106.8 0 0 0 -96.99 77.1L3.483 358.8A57.47 57.47 0 0 0 57.31 436q1.43 0 2.86-.072H208.7a7.131 7.131 0 0 0 6.391-5.193L225.8 389.6A3.82 3.82 0 0 0 226.1 388.2zM306.7 81.2a3.861 3.861 0 0 0 .251-1.367A3.813 3.813 0 0 0 303.1 76c-.064 0-.128 0-.192 0h-41A7.034 7.034 0 0 0 255.5 81.2l-21.35 80.92h51.13zM180.4 368.2H231.5L263.5 245.7H212.3zM511.9 79.72a3.809 3.809 0 0 0 -3.8-3.661c-.058 0-.137 0-.23 .007h-41a7.1 7.1 0 0 0 -6.584 5.129L368.9 430.6a3.54 3.54 0 0 0 -.262 1.335 3.873 3.873 0 0 0 3.864 3.863c.056 0 .112 0 .169 0h41a7.068 7.068 0 0 0 6.392-5.193L511.5 81.2A3.624 3.624 0 0 0 511.9 79.72zM324.6 384.5h-41a7.2 7.2 0 0 0 -6.392 5.194L266.5 430.8a3.662 3.662 0 0 0 -.268 1.374A3.783 3.783 0 0 0 270 436c.06 0 .166 0 .3-.012h40.9a7.036 7.036 0 0 0 6.391-5.193l10.77-41.13a3.75 3.75 0 0 0 -3.445-5.208c-.108 0-.217 0-.326 .014zm311.3-308.4h-41a7.066 7.066 0 0 0 -6.392 5.129l-91.46 349.4a4.073 4.073 0 0 0 -.229 1.347 3.872 3.872 0 0 0 3.863 3.851c.056 0 .112 0 .169 0h40.97a7.1 7.1 0 0 0 6.392-5.193L639.7 81.2a3.624 3.624 0 0 0 .32-1.475 3.841 3.841 0 0 0 -3.821-3.564c-.068 0-.137 0-.206 .006zM371.6 225.2l10.8-41.1a4.369 4.369 0 0 0 .227-1.388 3.869 3.869 0 0 0 -3.861-3.842c-.057 0-.113 0-.169 0h-41.1a7.292 7.292 0 0 0 -6.391 5.226l-10.83 41.1a4.417 4.417 0 0 0 -.26 1.493c0 .069 0 .138 0 .206a3.776 3.776 0 0 0 3.757 3.507c.076 0 .18 0 .3-.012h41.13A7.034 7.034 0 0 0 371.6 225.2z"],
    "codepen": [512, 512, [], "f1cb", "M502.3 159.7l-234-156c-7.987-4.915-16.51-4.96-24.57 0l-234 156C3.714 163.7 0 170.8 0 177.1v155.1c0 7.143 3.714 14.29 9.715 18.29l234 156c7.987 4.915 16.51 4.96 24.57 0l234-156c6-3.999 9.715-11.14 9.715-18.29V177.1c-.001-7.142-3.715-14.29-9.716-18.28zM278 63.13l172.3 114.9-76.86 51.43L278 165.7V63.13zm-44 0v102.6l-95.43 63.72-76.86-51.43L234 63.13zM44 219.1l55.14 36.86L44 292.8v-73.71zm190 229.7L61.71 333.1l76.86-51.43L234 346.3v102.6zm22-140.9l-77.71-52 77.71-52 77.71 52-77.71 52zm22 140.9V346.3l95.43-63.72 76.86 51.43L278 448.8zm190-156l-55.14-36.86L468 219.1v73.71z"],
    "codiepie": [472, 512, [], "f284", "M422.5 202.9c30.7 0 33.5 53.1-.3 53.1h-10.8v44.3h-26.6v-97.4h37.7zM472 352.6C429.9 444.5 350.4 504 248 504 111 504 0 393 0 256S111 8 248 8c97.4 0 172.8 53.7 218.2 138.4l-186 108.8L472 352.6zm-38.5 12.5l-60.3-30.7c-27.1 44.3-70.4 71.4-122.4 71.4-82.5 0-149.2-66.7-149.2-148.9 0-82.5 66.7-149.2 149.2-149.2 48.4 0 88.9 23.5 116.9 63.4l59.5-34.6c-40.7-62.6-104.7-100-179.2-100-121.2 0-219.5 98.3-219.5 219.5S126.8 475.5 248 475.5c78.6 0 146.5-42.1 185.5-110.4z"],
    "confluence": [512, 512, [], "f78d", "M2.3 412.2c-4.5 7.6-2.1 17.5 5.5 22.2l105.9 65.2c7.7 4.7 17.7 2.4 22.4-5.3 0-.1 .1-.2 .1-.2 67.1-112.2 80.5-95.9 280.9-.7 8.1 3.9 17.8 .4 21.7-7.7 .1-.1 .1-.3 .2-.4l50.4-114.1c3.6-8.1-.1-17.6-8.1-21.3-22.2-10.4-66.2-31.2-105.9-50.3C127.5 179 44.6 345.3 2.3 412.2zm507.4-312.1c4.5-7.6 2.1-17.5-5.5-22.2L398.4 12.8c-7.5-5-17.6-3.1-22.6 4.4-.2 .3-.4 .6-.6 1-67.3 112.6-81.1 95.6-280.6 .9-8.1-3.9-17.8-.4-21.7 7.7-.1 .1-.1 .3-.2 .4L22.2 141.3c-3.6 8.1 .1 17.6 8.1 21.3 22.2 10.4 66.3 31.2 106 50.4 248 120 330.8-45.4 373.4-112.9z"],
    "connectdevelop": [576, 512, [], "f20e", "M550.5 241l-50.09-86.79c1.071-2.142 1.875-4.553 1.875-7.232 0-8.036-6.696-14.73-14.73-15l-55.45-95.89c.536-1.607 1.071-3.214 1.071-4.821 0-8.571-6.964-15.27-15.27-15.27-4.821 0-8.839 2.143-11.79 5.625H299.5C296.8 18.14 292.8 16 288 16s-8.839 2.143-11.52 5.625H170.4C167.5 18.14 163.4 16 158.6 16c-8.303 0-15.27 6.696-15.27 15.27 0 1.607 .536 3.482 1.072 4.821l-55.98 97.23c-5.356 2.41-9.107 7.5-9.107 13.66 0 .535 .268 1.071 .268 1.607l-53.3 92.14c-7.232 1.339-12.59 7.5-12.59 15 0 7.232 5.089 13.39 12.05 15l55.18 95.36c-.536 1.607-.804 2.946-.804 4.821 0 7.232 5.089 13.39 12.05 14.73l51.7 89.73c-.536 1.607-1.071 3.482-1.071 5.357 0 8.571 6.964 15.27 15.27 15.27 4.821 0 8.839-2.143 11.52-5.357h106.9C279.2 493.9 283.4 496 288 496s8.839-2.143 11.52-5.357h107.1c2.678 2.946 6.696 4.821 10.98 4.821 8.571 0 15.27-6.964 15.27-15.27 0-1.607-.267-2.946-.803-4.285l51.7-90.27c6.964-1.339 12.05-7.5 12.05-14.73 0-1.607-.268-3.214-.804-4.821l54.91-95.36c6.964-1.339 12.32-7.5 12.32-15-.002-7.232-5.092-13.39-11.79-14.73zM153.5 450.7l-43.66-75.8h43.66v75.8zm0-83.84h-43.66c-.268-1.071-.804-2.142-1.339-3.214l44.1-47.41v50.62zm0-62.41l-50.36 53.3c-1.339-.536-2.679-1.34-4.018-1.607L43.45 259.8c.535-1.339 .535-2.679 .535-4.018s0-2.41-.268-3.482l51.97-90c2.679-.268 5.357-1.072 7.768-2.679l50.09 51.97v92.95zm0-102.3l-45.8-47.41c1.339-2.143 2.143-4.821 2.143-7.767 0-.268-.268-.804-.268-1.072l43.93-15.8v72.05zm0-80.63l-43.66 15.8 43.66-75.54v59.73zm326.5 39.11l.804 1.339L445.5 329.1l-63.75-67.23 98.04-101.5 .268 .268zM291.8 355.1l11.52 11.79H280.5l11.25-11.79zm-.268-11.25l-83.3-85.45 79.55-84.38 83.04 87.59-79.29 82.23zm5.357 5.893l79.29-82.23 67.5 71.25-5.892 28.13H313.7l-16.88-17.14zM410.4 44.39c1.071 .536 2.142 1.072 3.482 1.34l57.86 100.7v.536c0 2.946 .803 5.624 2.143 7.767L376.4 256l-83.04-87.59L410.4 44.39zm-9.107-2.143L287.7 162.5l-57.05-60.27 166.3-60h4.287zm-123.5 0c2.678 2.678 6.16 4.285 10.18 4.285s7.5-1.607 10.18-4.285h75L224.8 95.82 173.9 42.25h103.9zm-116.2 5.625l1.071-2.142a33.83 33.83 0 0 0 2.679-.804l51.16 53.84-54.91 19.82V47.88zm0 79.29l60.8-21.96 59.73 63.21-79.55 84.11-40.98-42.05v-83.3zm0 92.68L198 257.6l-36.43 38.3v-76.07zm0 87.86l42.05-44.46 82.77 85.98-17.14 17.68H161.6v-59.2zm6.964 162.1c-1.607-1.607-3.482-2.678-5.893-3.482l-1.071-1.607v-89.73h99.91l-91.61 94.82h-1.339zm129.9 0c-2.679-2.41-6.428-4.285-10.45-4.285s-7.767 1.875-10.45 4.285h-96.43l91.61-94.82h38.3l91.61 94.82H298.4zm120-11.79l-4.286 7.5c-1.339 .268-2.41 .803-3.482 1.339l-89.2-91.88h114.4l-17.41 83.04zm12.86-22.23l12.86-60.8h21.96l-34.82 60.8zm34.82-68.84h-20.36l4.553-21.16 17.14 18.21c-.535 .803-1.071 1.874-1.339 2.946zm66.16-107.4l-55.45 96.7c-1.339 .535-2.679 1.071-4.018 1.874l-20.63-21.96 34.55-163.9 45.8 79.29c-.267 1.339-.803 2.678-.803 4.285 0 1.339 .268 2.411 .536 3.75z"],
    "contao": [512, 512, [], "f26d", "M45.4 305c14.4 67.1 26.4 129 68.2 175H34c-18.7 0-34-15.2-34-34V66c0-18.7 15.2-34 34-34h57.7C77.9 44.6 65.6 59.2 54.8 75.6c-45.4 70-27 146.8-9.4 229.4zM478 32h-90.2c21.4 21.4 39.2 49.5 52.7 84.1l-137.1 29.3c-14.9-29-37.8-53.3-82.6-43.9-24.6 5.3-41 19.3-48.3 34.6-8.8 18.7-13.2 39.8 8.2 140.3 21.1 100.2 33.7 117.7 49.5 131.2 12.9 11.1 33.4 17 58.3 11.7 44.5-9.4 55.7-40.7 57.4-73.2l137.4-29.6c3.2 71.5-18.7 125.2-57.4 163.6H478c18.7 0 34-15.2 34-34V66c0-18.8-15.2-34-34-34z"],
    "cotton-bureau": [512, 512, [], "f89e", "M474.3 330.4c-23.66 91.85-94.23 144.6-201.9 148.4V429.6c0-48 26.41-74.39 74.39-74.39 62 0 99.2-37.2 99.2-99.21 0-61.37-36.53-98.28-97.38-99.06-33-69.32-146.5-64.65-177.2 0C110.5 157.7 74 194.6 74 256c0 62.13 37.27 99.41 99.4 99.41 48 0 74.55 26.23 74.55 74.39V479c-134.4-5-211.1-85.07-211.1-223 0-141.8 81.35-223.2 223.2-223.2 114.8 0 189.8 53.2 214.7 148.8H500C473.9 71.51 388.2 8 259.8 8 105 8 12 101.2 12 255.8 12 411.1 105.2 504.3 259.8 504c128.3 0 213.9-63.81 239.7-173.6zM357 182.3c41.37 3.45 64.2 29 64.2 73.67 0 48-26.43 74.41-74.4 74.41-28.61 0-49.33-9.59-61.59-27.33 83.06-16.55 75.59-99.67 71.79-120.8zm-81.68 97.36c-2.46-10.34-16.33-87 56.23-97 2.27 10.09 16.52 87.11-56.26 97zM260 132c28.61 0 49 9.67 61.44 27.61-28.36 5.48-49.36 20.59-61.59 43.45-12.23-22.86-33.23-38-61.6-43.45 12.41-17.69 33.27-27.35 61.57-27.35zm-71.52 50.72c73.17 10.57 58.91 86.81 56.49 97-72.41-9.84-59-86.95-56.25-97zM173.2 330.4c-48 0-74.4-26.4-74.4-74.41 0-44.36 22.86-70 64.22-73.67-6.75 37.2-1.38 106.5 71.65 120.8-12.14 17.63-32.84 27.3-61.14 27.3zm53.21 12.39A80.8 80.8 0 0 0 260 309.3c7.77 14.49 19.33 25.54 33.82 33.55a80.28 80.28 0 0 0 -33.58 33.83c-8-14.5-19.07-26.23-33.56-33.83z"],
    "cpanel": [640, 512, [], "f388", "M210.3 220.2c-5.6-24.8-26.9-41.2-51-41.2h-37c-7.1 0-12.5 4.5-14.3 10.9L73.1 320l24.7-.1c6.8 0 12.3-4.5 14.2-10.7l25.8-95.7h19.8c8.4 0 16.2 5.6 18.3 14.8 2.5 10.9-5.9 22.6-18.3 22.6h-10.3c-7 0-12.5 4.6-14.3 10.8l-6.4 23.8h32c37.2 0 58.3-36.2 51.7-65.3zm-156.5 28h18.6c6.9 0 12.4-4.4 14.3-10.9l6.2-23.6h-40C30 213.7 9 227.8 1.7 254.8-7 288.6 18.5 320 52 320h12.4l7.1-26.1c1.2-4.4-2.2-8.3-6.4-8.3H53.8c-24.7 0-24.9-37.4 0-37.4zm247.5-34.8h-77.9l-3.5 13.4c-2.4 9.6 4.5 18.5 14.2 18.5h57.5c4 0 2.4 4.3 2.1 5.3l-8.6 31.8c-.4 1.4-.9 5.3-5.5 5.3h-34.9c-5.3 0-5.3-7.9 0-7.9h21.6c6.8 0 12.3-4.6 14.2-10.8l3.5-13.2h-48.4c-39.2 0-43.6 63.8-.7 63.8l57.5 .2c11.2 0 20.6-7.2 23.4-17.8l14-51.8c4.8-19.2-9.7-36.8-28.5-36.8zM633.1 179h-18.9c-4.9 0-9.2 3.2-10.4 7.9L568.2 320c20.7 0 39.8-13.8 44.9-34.5l26.5-98.2c1.2-4.3-2-8.3-6.5-8.3zm-236.3 34.7v.1h-48.3l-26.2 98c-1.2 4.4 2.2 8.3 6.4 8.3h18.9c4.8 0 9.2-3 10.4-7.8l17.2-64H395c12.5 0 21.4 11.8 18.1 23.4l-10.6 40c-1.2 4.3 1.9 8.3 6.4 8.3H428c4.6 0 9.1-2.9 10.3-7.8l8.8-33.1c9-33.1-15.9-65.4-50.3-65.4zm98.3 74.6c-3.6 0-6-3.4-5.1-6.7l8-30c.9-3.9 3.7-6 7.8-6h32.9c2.6 0 4.6 2.4 3.9 5.1l-.7 2.6c-.6 2-1.9 3-3.9 3h-21.6c-7 0-12.6 4.6-14.2 10.8l-3.5 13h53.4c10.5 0 20.3-6.6 23.2-17.6l3.2-12c4.9-19.1-9.3-36.8-28.3-36.8h-47.3c-17.9 0-33.8 12-38.6 29.6l-10.8 40c-5 17.7 8.3 36.7 28.3 36.7h66.7c6.8 0 12.3-4.5 14.2-10.7l5.7-21z"],
    "creative-commons": [496, 512, [], "f25e", "M245.8 214.9l-33.22 17.28c-9.43-19.58-25.24-19.93-27.46-19.93-22.13 0-33.22 14.61-33.22 43.84 0 23.57 9.21 43.84 33.22 43.84 14.47 0 24.65-7.09 30.57-21.26l30.55 15.5c-6.17 11.51-25.69 38.98-65.1 38.98-22.6 0-73.96-10.32-73.96-77.05 0-58.69 43-77.06 72.63-77.06 30.72-.01 52.7 11.95 65.99 35.86zm143.1 0l-32.78 17.28c-9.5-19.77-25.72-19.93-27.9-19.93-22.14 0-33.22 14.61-33.22 43.84 0 23.55 9.23 43.84 33.22 43.84 14.45 0 24.65-7.09 30.54-21.26l31 15.5c-2.1 3.75-21.39 38.98-65.09 38.98-22.69 0-73.96-9.87-73.96-77.05 0-58.67 42.97-77.06 72.63-77.06 30.71-.01 52.58 11.95 65.56 35.86zM247.6 8.05C104.7 8.05 0 123.1 0 256c0 138.5 113.6 248 247.6 248 129.9 0 248.4-100.9 248.4-248 0-137.9-106.6-248-248.4-248zm.87 450.8c-112.5 0-203.7-93.04-203.7-202.8 0-105.4 85.43-203.3 203.7-203.3 112.5 0 202.8 89.46 202.8 203.3-.01 121.7-99.68 202.8-202.8 202.8z"],
    "creative-commons-by": [496, 512, [], "f4e7", "M314.9 194.4v101.4h-28.3v120.5h-77.1V295.9h-28.3V194.4c0-4.4 1.6-8.2 4.6-11.3 3.1-3.1 6.9-4.7 11.3-4.7H299c4.1 0 7.8 1.6 11.1 4.7 3.1 3.2 4.8 6.9 4.8 11.3zm-101.5-63.7c0-23.3 11.5-35 34.5-35s34.5 11.7 34.5 35c0 23-11.5 34.5-34.5 34.5s-34.5-11.5-34.5-34.5zM247.6 8C389.4 8 496 118.1 496 256c0 147.1-118.5 248-248.4 248C113.6 504 0 394.5 0 256 0 123.1 104.7 8 247.6 8zm.8 44.7C130.2 52.7 44.7 150.6 44.7 256c0 109.8 91.2 202.8 203.7 202.8 103.2 0 202.8-81.1 202.8-202.8 .1-113.8-90.2-203.3-202.8-203.3z"],
    "creative-commons-nc": [496, 512, [], "f4e8", "M247.6 8C387.4 8 496 115.9 496 256c0 147.2-118.5 248-248.4 248C113.1 504 0 393.2 0 256 0 123.1 104.7 8 247.6 8zM55.8 189.1c-7.4 20.4-11.1 42.7-11.1 66.9 0 110.9 92.1 202.4 203.7 202.4 122.4 0 177.2-101.8 178.5-104.1l-93.4-41.6c-7.7 37.1-41.2 53-68.2 55.4v38.1h-28.8V368c-27.5-.3-52.6-10.2-75.3-29.7l34.1-34.5c31.7 29.4 86.4 31.8 86.4-2.2 0-6.2-2.2-11.2-6.6-15.1-14.2-6-1.8-.1-219.3-97.4zM248.4 52.3c-38.4 0-112.4 8.7-170.5 93l94.8 42.5c10-31.3 40.4-42.9 63.8-44.3v-38.1h28.8v38.1c22.7 1.2 43.4 8.9 62 23L295 199.7c-42.7-29.9-83.5-8-70 11.1 53.4 24.1 43.8 19.8 93 41.6l127.1 56.7c4.1-17.4 6.2-35.1 6.2-53.1 0-57-19.8-105-59.3-143.9-39.3-39.9-87.2-59.8-143.6-59.8z"],
    "creative-commons-nc-eu": [496, 512, [], "f4e9", "M247.7 8C103.6 8 0 124.8 0 256c0 136.3 111.7 248 247.7 248C377.9 504 496 403.1 496 256 496 117 388.4 8 247.7 8zm.6 450.7c-112 0-203.6-92.5-203.6-202.7 0-23.2 3.7-45.2 10.9-66l65.7 29.1h-4.7v29.5h23.3c0 6.2-.4 3.2-.4 19.5h-22.8v29.5h27c11.4 67 67.2 101.3 124.6 101.3 26.6 0 50.6-7.9 64.8-15.8l-10-46.1c-8.7 4.6-28.2 10.8-47.3 10.8-28.2 0-58.1-10.9-67.3-50.2h90.3l128.3 56.8c-1.5 2.1-56.2 104.3-178.8 104.3zm-16.7-190.6l-.5-.4 .9 .4h-.4zm77.2-19.5h3.7v-29.5h-70.3l-28.6-12.6c2.5-5.5 5.4-10.5 8.8-14.3 12.9-15.8 31.1-22.4 51.1-22.4 18.3 0 35.3 5.4 46.1 10l11.6-47.3c-15-6.6-37-12.4-62.3-12.4-39 0-72.2 15.8-95.9 42.3-5.3 6.1-9.8 12.9-13.9 20.1l-81.6-36.1c64.6-96.8 157.7-93.6 170.7-93.6 113 0 203 90.2 203 203.4 0 18.7-2.1 36.3-6.3 52.9l-136.1-60.5z"],
    "creative-commons-nc-jp": [496, 512, [], "f4ea", "M247.7 8C103.6 8 0 124.8 0 256c0 136.4 111.8 248 247.7 248C377.9 504 496 403.2 496 256 496 117.2 388.5 8 247.7 8zm.6 450.7c-112 0-203.6-92.5-203.6-202.7 0-21.1 3-41.2 9-60.3l127 56.5h-27.9v38.6h58.1l5.7 11.8v18.7h-63.8V360h63.8v56h61.7v-56h64.2v-35.7l81 36.1c-1.5 2.2-57.1 98.3-175.2 98.3zm87.6-137.3h-57.6v-18.7l2.9-5.6 54.7 24.3zm6.5-51.4v-17.8h-38.6l63-116H301l-43.4 96-23-10.2-39.6-85.7h-65.8l27.3 51-81.9-36.5c27.8-44.1 82.6-98.1 173.7-98.1 112.8 0 203 90 203 203.4 0 21-2.7 40.6-7.9 59l-101-45.1z"],
    "creative-commons-nd": [496, 512, [], "f4eb", "M247.6 8C389.4 8 496 118.1 496 256c0 147.1-118.5 248-248.4 248C113.6 504 0 394.5 0 256 0 123.1 104.7 8 247.6 8zm.8 44.7C130.2 52.7 44.7 150.6 44.7 256c0 109.8 91.2 202.8 203.7 202.8 103.2 0 202.8-81.1 202.8-202.8 .1-113.8-90.2-203.3-202.8-203.3zm94 144.3v42.5H162.1V197h180.3zm0 79.8v42.5H162.1v-42.5h180.3z"],
    "creative-commons-pd": [496, 512, [], "f4ec", "M248 8C111 8 0 119.1 0 256c0 137 111 248 248 248s248-111 248-248C496 119.1 385 8 248 8zm0 449.5c-139.2 0-235.8-138-190.2-267.9l78.8 35.1c-2.1 10.5-3.3 21.5-3.3 32.9 0 99 73.9 126.9 120.4 126.9 22.9 0 53.5-6.7 79.4-29.5L297 311.1c-5.5 6.3-17.6 16.7-36.3 16.7-37.8 0-53.7-39.9-53.9-71.9 230.4 102.6 216.5 96.5 217.9 96.8-34.3 62.4-100.6 104.8-176.7 104.8zm194.2-150l-224-100c18.8-34 54.9-30.7 74.7-11l40.4-41.6c-27.1-23.3-58-27.5-78.1-27.5-47.4 0-80.9 20.5-100.7 51.6l-74.9-33.4c36.1-54.9 98.1-91.2 168.5-91.2 111.1 0 201.5 90.4 201.5 201.5 0 18-2.4 35.4-6.8 52-.3-.1-.4-.2-.6-.4z"],
    "creative-commons-pd-alt": [496, 512, [], "f4ed", "M247.6 8C104.7 8 0 123.1 0 256c0 138.5 113.6 248 247.6 248C377.5 504 496 403.1 496 256 496 118.1 389.4 8 247.6 8zm.8 450.8c-112.5 0-203.7-93-203.7-202.8 0-105.4 85.5-203.3 203.7-203.3 112.6 0 202.9 89.5 202.8 203.3 0 121.7-99.6 202.8-202.8 202.8zM316.7 186h-53.2v137.2h53.2c21.4 0 70-5.1 70-68.6 0-63.4-48.6-68.6-70-68.6zm.8 108.5h-19.9v-79.7l19.4-.1c3.8 0 35-2.1 35 39.9 0 24.6-10.5 39.9-34.5 39.9zM203.7 186h-68.2v137.3h34.6V279h27c54.1 0 57.1-37.5 57.1-46.5 0-31-16.8-46.5-50.5-46.5zm-4.9 67.3h-29.2v-41.6h28.3c30.9 0 28.8 41.6 .9 41.6z"],
    "creative-commons-remix": [496, 512, [], "f4ee", "M247.6 8C389.4 8 496 118.1 496 256c0 147.1-118.5 248-248.4 248C113.6 504 0 394.5 0 256 0 123.1 104.7 8 247.6 8zm.8 44.7C130.2 52.7 44.7 150.6 44.7 256c0 109.8 91.2 202.8 203.7 202.8 103.2 0 202.8-81.1 202.8-202.8 .1-113.8-90.2-203.3-202.8-203.3zm161.7 207.7l4.9 2.2v70c-7.2 3.6-63.4 27.5-67.3 28.8-6.5-1.8-113.7-46.8-137.3-56.2l-64.2 26.6-63.3-27.5v-63.8l59.3-24.8c-.7-.7-.4 5-.4-70.4l67.3-29.7L361 178.5v61.6l49.1 20.3zm-70.4 81.5v-43.8h-.4v-1.8l-113.8-46.5V295l113.8 46.9v-.4l.4 .4zm7.5-57.6l39.9-16.4-36.8-15.5-39 16.4 35.9 15.5zm52.3 38.1v-43L355.2 298v43.4l44.3-19z"],
    "creative-commons-sa": [496, 512, [], "f4ef", "M247.6 8C389.4 8 496 118.1 496 256c0 147.1-118.5 248-248.4 248C113.6 504 0 394.5 0 256 0 123.1 104.7 8 247.6 8zm.8 44.7C130.2 52.7 44.7 150.6 44.7 256c0 109.8 91.2 202.8 203.7 202.8 103.2 0 202.8-81.1 202.8-202.8 .1-113.8-90.2-203.3-202.8-203.3zM137.7 221c13-83.9 80.5-95.7 108.9-95.7 99.8 0 127.5 82.5 127.5 134.2 0 63.6-41 132.9-128.9 132.9-38.9 0-99.1-20-109.4-97h62.5c1.5 30.1 19.6 45.2 54.5 45.2 23.3 0 58-18.2 58-82.8 0-82.5-49.1-80.6-56.7-80.6-33.1 0-51.7 14.6-55.8 43.8h18.2l-49.2 49.2-49-49.2h19.4z"],
    "creative-commons-sampling": [496, 512, [], "f4f0", "M247.6 8C389.4 8 496 118.1 496 256c0 147.1-118.5 248-248.4 248C113.6 504 0 394.5 0 256 0 123.1 104.7 8 247.6 8zm.8 44.7C130.2 52.7 44.7 150.6 44.7 256c0 109.8 91.2 202.8 203.7 202.8 103.2 0 202.8-81.1 202.8-202.8 .1-113.8-90.2-203.3-202.8-203.3zm3.6 53.2c2.8-.3 11.5 1 11.5 11.5l6.6 107.2 4.9-59.3c0-6 4.7-10.6 10.6-10.6 5.9 0 10.6 4.7 10.6 10.6 0 2.5-.5-5.7 5.7 81.5l5.8-64.2c.3-2.9 2.9-9.3 10.2-9.3 3.8 0 9.9 2.3 10.6 8.9l11.5 96.5 5.3-12.8c1.8-4.4 5.2-6.6 10.2-6.6h58v21.3h-50.9l-18.2 44.3c-3.9 9.9-19.5 9.1-20.8-3.1l-4-31.9-7.5 92.6c-.3 3-3 9.3-10.2 9.3-3 0-9.8-2.1-10.6-9.3 0-1.9 .6 5.8-6.2-77.9l-5.3 72.2c-1.1 4.8-4.8 9.3-10.6 9.3-2.9 0-9.8-2-10.6-9.3 0-1.9 .5 6.7-5.8-87.7l-5.8 94.8c0 6.3-3.6 12.4-10.6 12.4-5.2 0-10.6-4.1-10.6-12l-5.8-87.7c-5.8 92.5-5.3 84-5.3 85.9-1.1 4.8-4.8 9.3-10.6 9.3-3 0-9.8-2.1-10.6-9.3 0-.7-.4-1.1-.4-2.6l-6.2-88.6L182 348c-.7 6.5-6.7 9.3-10.6 9.3-5.8 0-9.6-4.1-10.6-8.9L149.7 272c-2 4-3.5 8.4-11.1 8.4H87.2v-21.3H132l13.7-27.9c4.4-9.9 18.2-7.2 19.9 2.7l3.1 20.4 8.4-97.9c0-6 4.8-10.6 10.6-10.6 .5 0 10.6-.2 10.6 12.4l4.9 69.1 6.6-92.6c0-10.1 9.5-10.6 10.2-10.6 .6 0 10.6 .7 10.6 10.6l5.3 80.6 6.2-97.9c.1-1.1-.6-10.3 9.9-11.5z"],
    "creative-commons-sampling-plus": [496, 512, [], "f4f1", "M247.6 8C389.4 8 496 118.1 496 256c0 147.1-118.5 248-248.4 248C113.6 504 0 394.5 0 256 0 123.1 104.7 8 247.6 8zm.8 44.7C130.2 52.7 44.7 150.6 44.7 256c0 109.8 91.2 202.8 203.7 202.8 103.2 0 202.8-81.1 202.8-202.8 .1-113.8-90.2-203.3-202.8-203.3zm107 205.6c-4.7 0-9 2.8-10.7 7.2l-4 9.5-11-92.8c-1.7-13.9-22-13.4-23.1 .4l-4.3 51.4-5.2-68.8c-1.1-14.3-22.1-14.2-23.2 0l-3.5 44.9-5.9-94.3c-.9-14.5-22.3-14.4-23.2 0l-5.1 83.7-4.3-66.3c-.9-14.4-22.2-14.4-23.2 0l-5.3 80.2-4.1-57c-1.1-14.3-22-14.3-23.2-.2l-7.7 89.8-1.8-12.2c-1.7-11.4-17.1-13.6-22-3.3l-13.2 27.7H87.5v23.2h51.3c4.4 0 8.4-2.5 10.4-6.4l10.7 73.1c2 13.5 21.9 13 23.1-.7l3.8-43.6 5.7 78.3c1.1 14.4 22.3 14.2 23.2-.1l4.6-70.4 4.8 73.3c.9 14.4 22.3 14.4 23.2-.1l4.9-80.5 4.5 71.8c.9 14.3 22.1 14.5 23.2 .2l4.6-58.6 4.9 64.4c1.1 14.3 22 14.2 23.1 .1l6.8-83 2.7 22.3c1.4 11.8 17.7 14.1 22.3 3.1l18-43.4h50.5V258l-58.4 .3zm-78 5.2h-21.9v21.9c0 4.1-3.3 7.5-7.5 7.5-4.1 0-7.5-3.3-7.5-7.5v-21.9h-21.9c-4.1 0-7.5-3.3-7.5-7.5 0-4.1 3.4-7.5 7.5-7.5h21.9v-21.9c0-4.1 3.4-7.5 7.5-7.5s7.5 3.3 7.5 7.5v21.9h21.9c4.1 0 7.5 3.3 7.5 7.5 0 4.1-3.4 7.5-7.5 7.5z"],
    "creative-commons-share": [496, 512, [], "f4f2", "M247.6 8C389.4 8 496 118.1 496 256c0 147.1-118.5 248-248.4 248C113.6 504 0 394.5 0 256 0 123.1 104.7 8 247.6 8zm.8 44.7C130.2 52.7 44.7 150.6 44.7 256c0 109.8 91.2 202.8 203.7 202.8 103.2 0 202.8-81.1 202.8-202.8 .1-113.8-90.2-203.3-202.8-203.3zm101 132.4c7.8 0 13.7 6.1 13.7 13.7v182.5c0 7.7-6.1 13.7-13.7 13.7H214.3c-7.7 0-13.7-6-13.7-13.7v-54h-54c-7.8 0-13.7-6-13.7-13.7V131.1c0-8.2 6.6-12.7 12.4-13.7h136.4c7.7 0 13.7 6 13.7 13.7v54h54zM159.9 300.3h40.7V198.9c0-7.4 5.8-12.6 12-13.7h55.8v-40.3H159.9v155.4zm176.2-88.1H227.6v155.4h108.5V212.2z"],
    "creative-commons-zero": [496, 512, [], "f4f3", "M247.6 8C389.4 8 496 118.1 496 256c0 147.1-118.5 248-248.4 248C113.6 504 0 394.5 0 256 0 123.1 104.7 8 247.6 8zm.8 44.7C130.2 52.7 44.7 150.6 44.7 256c0 109.8 91.2 202.8 203.7 202.8 103.2 0 202.8-81.1 202.8-202.8 .1-113.8-90.2-203.3-202.8-203.3zm-.4 60.5c-81.9 0-102.5 77.3-102.5 142.8 0 65.5 20.6 142.8 102.5 142.8S350.5 321.5 350.5 256c0-65.5-20.6-142.8-102.5-142.8zm0 53.9c3.3 0 6.4 .5 9.2 1.2 5.9 5.1 8.8 12.1 3.1 21.9l-54.5 100.2c-1.7-12.7-1.9-25.1-1.9-34.4 0-28.8 2-88.9 44.1-88.9zm40.8 46.2c2.9 15.4 3.3 31.4 3.3 42.7 0 28.9-2 88.9-44.1 88.9-13.5 0-32.6-7.7-20.1-26.4l60.9-105.2z"],
    "critical-role": [448, 512, [], "f6c9", "M225.8 0c.26 .15 216.6 124.5 217.1 124.7 3 1.18 3.7 3.46 3.7 6.56q-.11 125.2 0 250.4a5.88 5.88 0 0 1 -3.38 5.78c-21.37 12-207.9 118.3-218.9 124.6h-3C142 466.3 3.08 386.6 2.93 386.5a3.29 3.29 0 0 1 -1.88-3.24c0-.87 0-225.9-.05-253.1a5 5 0 0 1 2.93-4.93C27.19 112.1 213.2 6 224.1 0zM215.4 20.42l-.22-.16Q118.1 75.55 21 130.9c0 .12 .08 .23 .13 .35l30.86 11.64c-7.71 6-8.32 6-10.65 5.13-.1 0-24.17-9.28-26.8-10v230.4c.88-1.41 64.07-110.9 64.13-111 1.62-2.82 3-1.92 9.12-1.52 1.4 .09 1.48 .22 .78 1.42-41.19 71.33-36.4 63-67.48 116.9-.81 1.4-.61 1.13 1.25 1.13h186.5c1.44 0 1.69-.23 1.7-1.64v-8.88c0-1.34 2.36-.81-18.37-1-7.46-.07-14.14-3.22-21.38-12.7-7.38-9.66-14.62-19.43-21.85-29.21-2.28-3.08-3.45-2.38-16.76-2.38-1.75 0-1.78 0-1.76 1.82 .29 26.21 .15 25.27 1 32.66 .52 4.37 2.16 4.2 9.69 4.81 3.14 .26 3.88 4.08 .52 4.92-1.57 .39-31.6 .51-33.67-.1a2.42 2.42 0 0 1 .3-4.73c3.29-.76 6.16 .81 6.66-4.44 1.3-13.66 1.17-9 1.1-79.42 0-10.82-.35-12.58-5.36-13.55-1.22-.24-3.54-.16-4.69-.55-2.88-1-2-4.84 1.77-4.85 33.67 0 46.08-1.07 56.06 4.86 7.74 4.61 12 11.48 12.51 20.4 .88 14.59-6.51 22.35-15 32.59a1.46 1.46 0 0 0 0 2.22c2.6 3.25 5 6.63 7.71 9.83 27.56 33.23 24.11 30.54 41.28 33.06 .89 .13 1-.42 1-1.15v-11c0-1 .32-1.43 1.41-1.26a72.37 72.37 0 0 0 23.58-.3c1.08-.15 1.5 .2 1.48 1.33 0 .11 .88 26.69 .87 26.8-.05 1.52 .67 1.62 1.89 1.62h186.7Q386.5 304.6 346 234.3c2.26-.66-.4 0 6.69-1.39 2-.39 2.05-.41 3.11 1.44 7.31 12.64 77.31 134 77.37 134.1V138c-1.72 .5-103.3 38.72-105.8 39.68-1.08 .42-1.55 .2-1.91-.88-.63-1.9-1.34-3.76-2.09-5.62-.32-.79-.09-1.13 .65-1.39 .1 0 95.53-35.85 103-38.77-65.42-37.57-130.6-75-196-112.6l86.82 150.4-.28 .33c-9.57-.9-10.46-1.6-11.8-3.94-1-1.69-73.5-127.7-82-142.2-9.1 14.67-83.56 146.2-85.37 146.3-2.93 .17-5.88 .08-9.25 .08q43.25-74.74 86.18-149zm51.93 129.9a37.68 37.68 0 0 0 5.54-.85c1.69-.3 2.53 .2 2.6 1.92 0 .11 .07 19.06-.86 20.45s-1.88 1.22-2.6-.19c-5-9.69 6.22-9.66-39.12-12-.7 0-1 .23-1 .93 0 .13 3.72 122 3.73 122.1 0 .89 .52 1.2 1.21 1.51a83.92 83.92 0 0 1 8.7 4.05c7.31 4.33 11.38 10.84 12.41 19.31 1.44 11.8-2.77 35.77-32.21 37.14-2.75 .13-28.26 1.08-34.14-23.25-4.66-19.26 8.26-32.7 19.89-36.4a2.45 2.45 0 0 0 2-2.66c.1-5.63 3-107.1 3.71-121.3 .05-1.08-.62-1.16-1.35-1.15-32.35 .52-36.75-.34-40.22 8.52-2.42 6.18-4.14 1.32-3.95 .23q1.59-9 3.31-18c.4-2.11 1.43-2.61 3.43-1.86 5.59 2.11 6.72 1.7 37.25 1.92 1.73 0 1.78-.08 1.82-1.85 .68-27.49 .58-22.59 1-29.55a2.69 2.69 0 0 0 -1.63-2.8c-5.6-2.91-8.75-7.55-8.9-13.87-.35-14.81 17.72-21.67 27.38-11.51 6.84 7.19 5.8 18.91-2.45 24.15a4.35 4.35 0 0 0 -2.22 4.34c0 .59-.11-4.31 1 30.05 0 .9 .43 1.12 1.24 1.11 .1 0 23-.09 34.47-.37zM68.27 141.7c19.84-4.51 32.68-.56 52.49 1.69 2.76 .31 3.74 1.22 3.62 4-.21 5-1.16 22.33-1.24 23.15a2.65 2.65 0 0 1 -1.63 2.34c-4.06 1.7-3.61-4.45-4-7.29-3.13-22.43-73.87-32.7-74.63 25.4-.31 23.92 17 53.63 54.08 50.88 27.24-2 19-20.19 24.84-20.47a2.72 2.72 0 0 1 3 3.36c-1.83 10.85-3.42 18.95-3.45 19.15-1.54 9.17-86.7 22.09-93.35-42.06-2.71-25.85 10.44-53.37 40.27-60.15zm80 87.67h-19.49a2.57 2.57 0 0 1 -2.66-1.79c2.38-3.75 5.89 .92 5.86-6.14-.08-25.75 .21-38 .23-40.1 0-3.42-.53-4.65-3.32-4.94-7-.72-3.11-3.37-1.11-3.38 11.84-.1 22.62-.18 30.05 .72 8.77 1.07 16.71 12.63 7.93 22.62-2 2.25-4 4.42-6.14 6.73 .95 1.15 6.9 8.82 17.28 19.68 2.66 2.78 6.15 3.51 9.88 3.13a2.21 2.21 0 0 0 2.23-2.12c.3-3.42 .26 4.73 .45-40.58 0-5.65-.34-6.58-3.23-6.83-3.95-.35-4-2.26-.69-3.37l19.09-.09c.32 0 4.49 .53 1 3.38 0 .05-.16 0-.24 0-3.61 .26-3.94 1-4 4.62-.27 43.93 .07 40.23 .41 42.82 .11 .84 .27 2.23 5.1 2.14 2.49 0 3.86 3.37 0 3.4-10.37 .08-20.74 0-31.11 .07-10.67 0-13.47-6.2-24.21-20.82-1.6-2.18-8.31-2.36-8.2-.37 .88 16.47 0 17.78 4 17.67 4.75-.1 4.73 3.57 .83 3.55zm275-10.15c-1.21 7.13 .17 10.38-5.3 10.34-61.55-.42-47.82-.22-50.72-.31a18.4 18.4 0 0 1 -3.63-.73c-2.53-.6 1.48-1.23-.38-5.6-1.43-3.37-2.78-6.78-4.11-10.19a1.94 1.94 0 0 0 -2-1.44 138 138 0 0 0 -14.58 .07 2.23 2.23 0 0 0 -1.62 1.06c-1.58 3.62-3.07 7.29-4.51 11-1.27 3.23 7.86 1.32 12.19 2.16 3 .57 4.53 3.72 .66 3.73H322.9c-2.92 0-3.09-3.15-.74-3.21a6.3 6.3 0 0 0 5.92-3.47c1.5-3 2.8-6 4.11-9.09 18.18-42.14 17.06-40.17 18.42-41.61a1.83 1.83 0 0 1 3 0c2.93 3.34 18.4 44.71 23.62 51.92 2 2.7 5.74 2 6.36 2 3.61 .13 4-1.11 4.13-4.29 .09-1.87 .08 1.17 .07-41.24 0-4.46-2.36-3.74-5.55-4.27-.26 0-2.56-.63-.08-3.06 .21-.2-.89-.24 21.7-.15 2.32 0 5.32 2.75-1.21 3.45a2.56 2.56 0 0 0 -2.66 2.83c-.07 1.63-.19 38.89 .29 41.21a3.06 3.06 0 0 0 3.23 2.43c13.25 .43 14.92 .44 16-3.41 1.67-5.78 4.13-2.52 3.73-.19zm-104.7 64.37c-4.24 0-4.42-3.39-.61-3.41 35.91-.16 28.11 .38 37.19-.65 1.68-.19 2.38 .24 2.25 1.89-.26 3.39-.64 6.78-1 10.16-.25 2.16-3.2 2.61-3.4-.15-.38-5.31-2.15-4.45-15.63-5.08-1.58-.07-1.64 0-1.64 1.52V304c0 1.65 0 1.6 1.62 1.47 3.12-.25 10.31 .34 15.69-1.52 .47-.16 3.3-1.79 3.07 1.76 0 .21-.76 10.35-1.18 11.39-.53 1.29-1.88 1.51-2.58 .32-1.17-2 0-5.08-3.71-5.3-15.42-.9-12.91-2.55-12.91 6 0 12.25-.76 16.11 3.89 16.24 16.64 .48 14.4 0 16.43-5.71 .84-2.37 3.5-1.77 3.18 .58-.44 3.21-.85 6.43-1.23 9.64 0 .36-.16 2.4-4.66 2.39-37.16-.08-34.54-.19-35.21-.31-2.72-.51-2.2-3 .22-3.45 1.1-.19 4 .54 4.16-2.56 2.44-56.22-.07-51.34-3.91-51.33zm-.41-109.5c2.46 .61 3.13 1.76 2.95 4.65-.33 5.3-.34 9-.55 9.69-.66 2.23-3.15 2.12-3.34-.27-.38-4.81-3.05-7.82-7.57-9.15-26.28-7.73-32.81 15.46-27.17 30.22 5.88 15.41 22 15.92 28.86 13.78 5.92-1.85 5.88-6.5 6.91-7.58 1.23-1.3 2.25-1.84 3.12 1.1 0 .1 .57 11.89-6 12.75-1.6 .21-19.38 3.69-32.68-3.39-21-11.19-16.74-35.47-6.88-45.33 14-14.06 39.91-7.06 42.32-6.47zM289.8 280.1c3.28 0 3.66 3 .16 3.43-2.61 .32-5-.42-5 5.46 0 2-.19 29.05 .4 41.45 .11 2.29 1.15 3.52 3.44 3.65 22 1.21 14.95-1.65 18.79-6.34 1.83-2.24 2.76 .84 2.76 1.08 .35 13.62-4 12.39-5.19 12.4l-38.16-.19c-1.93-.23-2.06-3-.42-3.38 2-.48 4.94 .4 5.13-2.8 1-15.87 .57-44.65 .34-47.81-.27-3.77-2.8-3.27-5.68-3.71-2.47-.38-2-3.22 .34-3.22 1.45-.02 17.97-.03 23.09-.02zm-31.63-57.79c.07 4.08 2.86 3.46 6 3.58 2.61 .1 2.53 3.41-.07 3.43-6.48 0-13.7 0-21.61-.06-3.84 0-3.38-3.35 0-3.37 4.49 0 3.24 1.61 3.41-45.54 0-5.08-3.27-3.54-4.72-4.23-2.58-1.23-1.36-3.09 .41-3.15 1.29 0 20.19-.41 21.17 .21s1.87 1.65-.42 2.86c-1 .52-3.86-.28-4.15 2.47 0 .21-.82 1.63-.07 43.8zm-36.91 274.3a2.93 2.93 0 0 0 3.26 0c17-9.79 182-103.6 197.4-112.5-.14-.43 11.26-.18-181.5-.27-1.22 0-1.57 .37-1.53 1.56 0 .1 1.25 44.51 1.22 50.38a28.33 28.33 0 0 1 -1.36 7.71c-.55 1.83 .38-.5-13.5 32.23-.73 1.72-1 2.21-2-.08-4.19-10.34-8.28-20.72-12.57-31a23.6 23.6 0 0 1 -2-10.79c.16-2.46 .8-16.12 1.51-48 0-1.95 0-2-2-2h-183c2.58 1.63 178.3 102.6 196 112.8zm-90.9-188.8c0 2.4 .36 2.79 2.76 3 11.54 1.17 21 3.74 25.64-7.32 6-14.46 2.66-34.41-12.48-38.84-2-.59-16-2.76-15.94 1.51 .05 8.04 .01 11.61 .02 41.65zm105.8-15.05c0 2.13 1.07 38.68 1.09 39.13 .34 9.94-25.58 5.77-25.23-2.59 .08-2 1.37-37.42 1.1-39.43-14.1 7.44-14.42 40.21 6.44 48.8a17.9 17.9 0 0 0 22.39-7.07c4.91-7.76 6.84-29.47-5.43-39a2.53 2.53 0 0 1 -.36 .12zm-12.28-198c-9.83 0-9.73 14.75-.07 14.87s10.1-14.88 .07-14.91zm-80.15 103.8c0 1.8 .41 2.4 2.17 2.58 13.62 1.39 12.51-11 12.16-13.36-1.69-11.22-14.38-10.2-14.35-7.81 .05 4.5-.03 13.68 .02 18.59zm212.3 6.4l-6.1-15.84c-2.16 5.48-4.16 10.57-6.23 15.84z"],
    "css3": [512, 512, [], "f13c", "M480 32l-64 368-223.3 80L0 400l19.6-94.8h82l-8 40.6L210 390.2l134.1-44.4 18.8-97.1H29.5l16-82h333.7l10.5-52.7H56.3l16.3-82H480z"],
    "css3-alt": [384, 512, [], "f38b", "M0 32l34.9 395.8L192 480l157.1-52.2L384 32H0zm313.1 80l-4.8 47.3L193 208.6l-.3 .1h111.5l-12.8 146.6-98.2 28.7-98.8-29.2-6.4-73.9h48.9l3.2 38.3 52.6 13.3 54.7-15.4 3.7-61.6-166.3-.5v-.1l-.2 .1-3.6-46.3L193.1 162l6.5-2.7H76.7L70.9 112h242.2z"],
    "cuttlefish": [440, 512, [], "f38c", "M344 305.5c-17.5 31.6-57.4 54.5-96 54.5-56.6 0-104-47.4-104-104s47.4-104 104-104c38.6 0 78.5 22.9 96 54.5 13.7-50.9 41.7-93.3 87-117.8C385.7 39.1 320.5 8 248 8 111 8 0 119 0 256s111 248 248 248c72.5 0 137.7-31.1 183-80.7-45.3-24.5-73.3-66.9-87-117.8z"],
    "d-and-d": [576, 512, [], "f38d", "M82.5 98.9c-.6-17.2 2-33.8 12.7-48.2 .3 7.4 1.2 14.5 4.2 21.6 5.9-27.5 19.7-49.3 42.3-65.5-1.9 5.9-3.5 11.8-3 17.7 8.7-7.4 18.8-17.8 44.4-22.7 14.7-2.8 29.7-2 42.1 1 38.5 9.3 61 34.3 69.7 72.3 5.3 23.1 .7 45-8.3 66.4-5.2 12.4-12 24.4-20.7 35.1-2-1.9-3.9-3.8-5.8-5.6-42.8-40.8-26.8-25.2-37.4-37.4-1.1-1.2-1-2.2-.1-3.6 8.3-13.5 11.8-28.2 10-44-1.1-9.8-4.3-18.9-11.3-26.2-14.5-15.3-39.2-15-53.5 .6-11.4 12.5-14.1 27.4-10.9 43.6 .2 1.3 .4 2.7 0 3.9-3.4 13.7-4.6 27.6-2.5 41.6 .1 .5 .1 1.1 .1 1.6 0 .3-.1 .5-.2 1.1-21.8-11-36-28.3-43.2-52.2-8.3 17.8-11.1 35.5-6.6 54.1-15.6-15.2-21.3-34.3-22-55.2zm469.6 123.2c-11.6-11.6-25-20.4-40.1-26.6-12.8-5.2-26-7.9-39.9-7.1-10 .6-19.6 3.1-29 6.4-2.5 .9-5.1 1.6-7.7 2.2-4.9 1.2-7.3-3.1-4.7-6.8 3.2-4.6 3.4-4.2 15-12 .6-.4 1.2-.8 2.2-1.5h-2.5c-.6 0-1.2 .2-1.9 .3-19.3 3.3-30.7 15.5-48.9 29.6-10.4 8.1-13.8 3.8-12-.5 1.4-3.5 3.3-6.7 5.1-10 1-1.8 2.3-3.4 3.5-5.1-.2-.2-.5-.3-.7-.5-27 18.3-46.7 42.4-57.7 73.3 .3 .3 .7 .6 1 .9 .3-.6 .5-1.2 .9-1.7 10.4-12.1 22.8-21.8 36.6-29.8 18.2-10.6 37.5-18.3 58.7-20.2 4.3-.4 8.7-.1 13.1-.1-1.8 .7-3.5 .9-5.3 1.1-18.5 2.4-35.5 9-51.5 18.5-30.2 17.9-54.5 42.2-75.1 70.4-.3 .4-.4 .9-.7 1.3 14.5 5.3 24 17.3 36.1 25.6 .2-.1 .3-.2 .4-.4l1.2-2.7c12.2-26.9 27-52.3 46.7-74.5 16.7-18.8 38-25.3 62.5-20 5.9 1.3 11.4 4.4 17.2 6.8 2.3-1.4 5.1-3.2 8-4.7 8.4-4.3 17.4-7 26.7-9 14.7-3.1 29.5-4.9 44.5-1.3v-.5c-.5-.4-1.2-.8-1.7-1.4zM316.7 397.6c-39.4-33-22.8-19.5-42.7-35.6-.8 .9 0-.2-1.9 3-11.2 19.1-25.5 35.3-44 47.6-10.3 6.8-21.5 11.8-34.1 11.8-21.6 0-38.2-9.5-49.4-27.8-12-19.5-13.3-40.7-8.2-62.6 7.8-33.8 30.1-55.2 38.6-64.3-18.7-6.2-33 1.7-46.4 13.9 .8-13.9 4.3-26.2 11.8-37.3-24.3 10.6-45.9 25-64.8 43.9-.3-5.8 5.4-43.7 5.6-44.7 .3-2.7-.6-5.3-3-7.4-24.2 24.7-44.5 51.8-56.1 84.6 7.4-5.9 14.9-11.4 23.6-16.2-8.3 22.3-19.6 52.8-7.8 101.1 4.6 19 11.9 36.8 24.1 52.3 2.9 3.7 6.3 6.9 9.5 10.3 .2-.2 .4-.3 .6-.5-1.4-7-2.2-14.1-1.5-21.9 2.2 3.2 3.9 6 5.9 8.6 12.6 16 28.7 27.4 47.2 35.6 25 11.3 51.1 13.3 77.9 8.6 54.9-9.7 90.7-48.6 116-98.8 1-1.8 .6-2.9-.9-4.2zm172-46.4c-9.5-3.1-22.2-4.2-28.7-2.9 9.9 4 14.1 6.6 18.8 12 12.6 14.4 10.4 34.7-5.4 45.6-11.7 8.1-24.9 10.5-38.9 9.1-1.2-.1-2.3-.4-3-.6 2.8-3.7 6-7 8.1-10.8 9.4-16.8 5.4-42.1-8.7-56.1-2.1-2.1-4.6-3.9-7-5.9-.3 1.3-.1 2.1 .1 2.8 4.2 16.6-8.1 32.4-24.8 31.8-7.6-.3-13.9-3.8-19.6-8.5-19.5-16.1-39.1-32.1-58.5-48.3-5.9-4.9-12.5-8.1-20.1-8.7-4.6-.4-9.3-.6-13.9-.9-5.9-.4-8.8-2.8-10.4-8.4-.9-3.4-1.5-6.8-2.2-10.2-1.5-8.1-6.2-13-14.3-14.2-4.4-.7-8.9-1-13.3-1.5-13-1.4-19.8-7.4-22.6-20.3-5 11-1.6 22.4 7.3 29.9 4.5 3.8 9.3 7.3 13.8 11.2 4.6 3.8 7.4 8.7 7.9 14.8 .4 4.7 .8 9.5 1.8 14.1 2.2 10.6 8.9 18.4 17 25.1 16.5 13.7 33 27.3 49.5 41.1 17.9 15 13.9 32.8 13 56-.9 22.9 12.2 42.9 33.5 51.2 1 .4 2 .6 3.6 1.1-15.7-18.2-10.1-44.1 .7-52.3 .3 2.2 .4 4.3 .9 6.4 9.4 44.1 45.4 64.2 85 56.9 16-2.9 30.6-8.9 42.9-19.8 2-1.8 3.7-4.1 5.9-6.5-19.3 4.6-35.8 .1-50.9-10.6 .7-.3 1.3-.3 1.9-.3 21.3 1.8 40.6-3.4 57-17.4 19.5-16.6 26.6-42.9 17.4-66-8.3-20.1-23.6-32.3-43.8-38.9zM99.4 179.3c-5.3-9.2-13.2-15.6-22.1-21.3 13.7-.5 26.6 .2 39.6 3.7-7-12.2-8.5-24.7-5-38.7 5.3 11.9 13.7 20.1 23.6 26.8 19.7 13.2 35.7 19.6 46.7 30.2 3.4 3.3 6.3 7.1 9.6 10.9-.8-2.1-1.4-4.1-2.2-6-5-10.6-13-18.6-22.6-25-1.8-1.2-2.8-2.5-3.4-4.5-3.3-12.5-3-25.1-.7-37.6 1-5.5 2.8-10.9 4.5-16.3 .8-2.4 2.3-4.6 4-6.6 .6 6.9 0 25.5 19.6 46 10.8 11.3 22.4 21.9 33.9 32.7 9 8.5 18.3 16.7 25.5 26.8 1.1 1.6 2.2 3.3 3.8 4.7-5-13-14.2-24.1-24.2-33.8-9.6-9.3-19.4-18.4-29.2-27.4-3.3-3-4.6-6.7-5.1-10.9-1.2-10.4 0-20.6 4.3-30.2 .5-1 1.1-2 1.9-3.3 .5 4.2 .6 7.9 1.4 11.6 4.8 23.1 20.4 36.3 49.3 63.5 10 9.4 19.3 19.2 25.6 31.6 4.8 9.3 7.3 19 5.7 29.6-.1 .6 .5 1.7 1.1 2 6.2 2.6 10 6.9 9.7 14.3 7.7-2.6 12.5-8 16.4-14.5 4.2 20.2-9.1 50.3-27.2 58.7 .4-4.5 5-23.4-16.5-27.7-6.8-1.3-12.8-1.3-22.9-2.1 4.7-9 10.4-20.6 .5-22.4-24.9-4.6-52.8 1.9-57.8 4.6 8.2 .4 16.3 1 23.5 3.3-2 6.5-4 12.7-5.8 18.9-1.9 6.5 2.1 14.6 9.3 9.6 1.2-.9 2.3-1.9 3.3-2.7-3.1 17.9-2.9 15.9-2.8 18.3 .3 10.2 9.5 7.8 15.7 7.3-2.5 11.8-29.5 27.3-45.4 25.8 7-4.7 12.7-10.3 15.9-17.9-6.5 .8-12.9 1.6-19.2 2.4l-.3-.9c4.7-3.4 8-7.8 10.2-13.1 8.7-21.1-3.6-38-25-39.9-9.1-.8-17.8 .8-25.9 5.5 6.2-15.6 17.2-26.6 32.6-34.5-15.2-4.3-8.9-2.7-24.6-6.3 14.6-9.3 30.2-13.2 46.5-14.6-5.2-3.2-48.1-3.6-70.2 20.9 7.9 1.4 15.5 2.8 23.2 4.2-23.8 7-44 19.7-62.4 35.6 1.1-4.8 2.7-9.5 3.3-14.3 .6-4.5 .8-9.2 .1-13.6-1.5-9.4-8.9-15.1-19.7-16.3-7.9-.9-15.6 .1-23.3 1.3-.9 .1-1.7 .3-2.9 0 15.8-14.8 36-21.7 53.1-33.5 6-4.5 6.8-8.2 3-14.9zm128.4 26.8c3.3 16 12.6 25.5 23.8 24.3-4.6-11.3-12.1-19.5-23.8-24.3z"],
    "d-and-d-beyond": [640, 512, [], "f6ca", "M313.8 241.5c13.8 0 21-10.1 24.8-17.9-1-1.1-5-4.2-7.4-6.6-2.4 4.3-8.2 10.7-13.9 10.7-10.2 0-15.4-14.7-3.2-26.6-.5-.2-4.3-1.8-8 2.4 0-3 1-5.1 2.1-6.6-3.5 1.3-9.8 5.6-11.4 7.9 .2-5.8 1.6-7.5 .6-9l-.2-.2s-8.5 5.6-9.3 14.7c0 0 1.1-1.6 2.1-1.9 .6-.3 1.3 0 .6 1.9-.2 .6-5.8 15.7 5.1 26-.6-1.6-1.9-7.6 2.4-1.9-.3 .1 5.8 7.1 15.7 7.1zm52.4-21.1c0-4-4.9-4.4-5.6-4.5 2 3.9 .9 7.5 .2 9 2.5-.4 5.4-1.6 5.4-4.5zm10.3 5.2c0-6.4-6.2-11.4-13.5-10.7 8 1.3 5.6 13.8-5 11.4 3.7-2.6 3.2-9.9-1.3-12.5 1.4 4.2-3 8.2-7.4 4.6-2.4-1.9-8-6.6-10.6-8.6-2.4-2.1-5.5-1-6.6-1.8-1.3-1.1-.5-3.8-2.2-5-1.6-.8-3-.3-4.8-1-1.6-.6-2.7-1.9-2.6-3.5-2.5 4.4 3.4 6.3 4.5 8.5 1 1.9-.8 4.8 4 8.5 14.8 11.6 9.1 8 10.4 18.1 .6 4.3 4.2 6.7 6.4 7.4-2.1-1.9-2.9-6.4 0-9.3 0 13.9 19.2 13.3 23.1 6.4-2.4 1.1-7-.2-9-1.9 7.7 1 14.2-4.1 14.6-10.6zm-39.4-18.4c2 .8 1.6 .7 6.4 4.5 10.2-24.5 21.7-15.7 22-15.5 2.2-1.9 9.8-3.8 13.8-2.7-2.4-2.7-7.5-6.2-13.3-6.2-4.7 0-7.4 2.2-8 1.3-.8-1.4 3.2-3.4 3.2-3.4-5.4 .2-9.6 6.7-11.2 5.9-1.1-.5 1.4-3.7 1.4-3.7-5.1 2.9-9.3 9.1-10.2 13 4.6-5.8 13.8-9.8 19.7-9-10.5 .5-19.5 9.7-23.8 15.8zm242.5 51.9c-20.7 0-40 1.3-50.3 2.1l7.4 8.2v77.2l-7.4 8.2c10.4 .8 30.9 2.1 51.6 2.1 42.1 0 59.1-20.7 59.1-48.9 0-29.3-23.2-48.9-60.4-48.9zm-15.1 75.6v-53.3c30.1-3.3 46.8 3.8 46.8 26.3 0 25.6-21.4 30.2-46.8 27zM301.6 181c-1-3.4-.2-6.9 1.1-9.4 1 3 2.6 6.4 7.5 9-.5-2.4-.2-5.6 .5-8-1.4-5.4 2.1-9.9 6.4-9.9 6.9 0 8.5 8.8 4.7 14.4 2.1 3.2 5.5 5.6 7.7 7.8 3.2-3.7 5.5-9.5 5.5-13.8 0-8.2-5.5-15.9-16.7-16.5-20-.9-20.2 16.6-20 18.9 .5 5.2 3.4 7.8 3.3 7.5zm-.4 6c-.5 1.8-7 3.7-10.2 6.9 4.8-1 7-.2 7.8 1.8 .5 1.4-.2 3.4-.5 5.6 1.6-1.8 7-5.5 11-6.2-1-.3-3.4-.8-4.3-.8 2.9-3.4 9.3-4.5 12.8-3.7-2.2-.2-6.7 1.1-8.5 2.6 1.6 .3 3 .6 4.3 1.1-2.1 .8-4.8 3.4-5.8 6.1 7-5 13.1 5.2 7 8.2 .8 .2 2.7 0 3.5-.5-.3 1.1-1.9 3-3 3.4 2.9 0 7-1.9 8.2-4.6 0 0-1.8 .6-2.6-.2s.3-4.3 .3-4.3c-2.3 2.9-3.4-1.3-1.3-4.2-1-.3-3.5-.6-4.6-.5 3.2-1.1 10.4-1.8 11.2-.3 .6 1.1-1 3.4-1 3.4 4-.5 8.3 1.1 6.7 5.1 2.9-1.4 5.5-5.9 4.8-10.4-.3 1-1.6 2.4-2.9 2.7 .2-1.4-1-2.2-1.9-2.6 1.7-9.6-14.6-14.2-14.1-23.9-1 1.3-1.8 5-.8 7.1 2.7 3.2 8.7 6.7 10.1 12.2-2.6-6.4-15.1-11.4-14.6-20.2-1.6 1.6-2.6 7.8-1.3 11 2.4 1.4 4.5 3.8 4.8 6.1-2.2-5.1-11.4-6.1-13.9-12.2-.6 2.2-.3 5 1 6.7 0 0-2.2-.8-7-.6 1.7 .6 5.1 3.5 4.8 5.2zm25.9 7.4c-2.7 0-3.5-2.1-4.2-4.3 3.3 1.3 4.2 4.3 4.2 4.3zm38.9 3.7l-1-.6c-1.1-1-2.9-1.4-4.7-1.4-2.9 0-5.8 1.3-7.5 3.4-.8 .8-1.4 1.8-2.1 2.6v15.7c3.5 2.6 7.1-2.9 3-7.2 1.5 .3 4.6 2.7 5.1 3.2 0 0 2.6-.5 5-.5 2.1 0 3.9 .3 5.6 1.1V196c-1.1 .5-2.2 1-2.7 1.4zM79.9 305.9c17.2-4.6 16.2-18 16.2-19.9 0-20.6-24.1-25-37-25H3l8.3 8.6v29.5H0l11.4 14.6V346L3 354.6c61.7 0 73.8 1.5 86.4-5.9 6.7-4 9.9-9.8 9.9-17.6 0-5.1 2.6-18.8-19.4-25.2zm-41.3-27.5c20 0 29.6-.8 29.6 9.1v3c0 12.1-19 8.8-29.6 8.8zm0 59.2V315c12.2 0 32.7-2.3 32.7 8.8v4.5h.2c0 11.2-12.5 9.3-32.9 9.3zm101.2-19.3l23.1 .2v-.2l14.1-21.2h-37.2v-14.9h52.4l-14.1-21v-.2l-73.5 .2 7.4 8.2v77.1l-7.4 8.2h81.2l14.1-21.2-60.1 .2zm214.7-60.1c-73.9 0-77.5 99.3-.3 99.3 77.9 0 74.1-99.3 .3-99.3zm-.3 77.5c-37.4 0-36.9-55.3 .2-55.3 36.8 .1 38.8 55.3-.2 55.3zm-91.3-8.3l44.1-66.2h-41.7l6.1 7.2-20.5 37.2h-.3l-21-37.2 6.4-7.2h-44.9l44.1 65.8 .2 19.4-7.7 8.2h42.6l-7.2-8.2zm-28.4-151.3c1.6 1.3 2.9 2.4 2.9 6.6v38.8c0 4.2-.8 5.3-2.7 6.4-.1 .1-7.5 4.5-7.9 4.6h35.1c10 0 17.4-1.5 26-8.6-.6-5 .2-9.5 .8-12 0-.2-1.8 1.4-2.7 3.5 0-5.7 1.6-15.4 9.6-20.5-.1 0-3.7-.8-9 1.1 2-3.1 10-7.9 10.4-7.9-8.2-26-38-22.9-32.2-22.9-30.9 0-32.6 .3-39.9-4 .1 .8 .5 8.2 9.6 14.9zm21.5 5.5c4.6 0 23.1-3.3 23.1 17.3 0 20.7-18.4 17.3-23.1 17.3zm228.9 79.6l7 8.3V312h-.3c-5.4-14.4-42.3-41.5-45.2-50.9h-31.6l7.4 8.5v76.9l-7.2 8.3h39l-7.4-8.2v-47.4h.3c3.7 10.6 44.5 42.9 48.5 55.6h21.3v-85.2l7.4-8.3zm-106.7-96.1c-32.2 0-32.8 .2-39.9-4 .1 .7 .5 8.3 9.6 14.9 3.1 2 2.9 4.3 2.9 9.5 1.8-1.1 3.8-2.2 6.1-3-1.1 1.1-2.7 2.7-3.5 4.5 1-1.1 7.5-5.1 14.6-3.5-1.6 .3-4 1.1-6.1 2.9 .1 0 2.1-1.1 7.5-.3v-4.3c4.7 0 23.1-3.4 23.1 17.3 0 20.5-18.5 17.3-19.7 17.3 5.7 4.4 5.8 12 2.2 16.3h.3c33.4 0 36.7-27.3 36.7-34 0-3.8-1.1-32-33.8-33.6z"],
    "dailymotion": [448, 512, [], "e052", "M298.9 267a48.4 48.4 0 0 0 -24.36-6.21q-19.83 0-33.44 13.27t-13.61 33.42q0 21.16 13.28 34.6t33.43 13.44q20.5 0 34.11-13.78T322 307.5A47.13 47.13 0 0 0 315.9 284 44.13 44.13 0 0 0 298.9 267zM0 32V480H448V32zM374.7 405.3h-53.1V381.4h-.67q-15.79 26.2-55.78 26.2-27.56 0-48.89-13.1a88.29 88.29 0 0 1 -32.94-35.77q-11.6-22.68-11.59-50.89 0-27.56 11.76-50.22a89.9 89.9 0 0 1 32.93-35.78q21.18-13.09 47.72-13.1a80.87 80.87 0 0 1 29.74 5.21q13.28 5.21 25 17V153l55.79-12.09z"],
    "dashcube": [448, 512, [], "f210", "M326.6 104H110.4c-51.1 0-91.2 43.3-91.2 93.5V427c0 50.5 40.1 85 91.2 85h227.2c51.1 0 91.2-34.5 91.2-85V0L326.6 104zM153.9 416.5c-17.7 0-32.4-15.1-32.4-32.8V240.8c0-17.7 14.7-32.5 32.4-32.5h140.7c17.7 0 32 14.8 32 32.5v123.5l51.1 52.3H153.9z"],
    "deezer": [576, 512, [], "e077", "M451.5 244.7H576V172H451.5zm0-173.9v72.67H576V70.82zm0 275.1H576V273.2H451.5zM0 447.1H124.5V374.4H0zm150.5 0H275V374.4H150.5zm150.5 0H425.5V374.4H301zm150.5 0H576V374.4H451.5zM301 345.9H425.5V273.2H301zm-150.5 0H275V273.2H150.5zm0-101.2H275V172H150.5z"],
    "delicious": [448, 512, [], "f1a5", "M446.5 68c-.4-1.5-.9-3-1.4-4.5-.9-2.5-2-4.8-3.3-7.1-1.4-2.4-3-4.8-4.7-6.9-2.1-2.5-4.4-4.8-6.9-6.8-1.1-.9-2.2-1.7-3.3-2.5-1.3-.9-2.6-1.7-4-2.4-1.8-1-3.6-1.8-5.5-2.5-1.7-.7-3.5-1.3-5.4-1.7-3.8-1-7.9-1.5-12-1.5H48C21.5 32 0 53.5 0 80v352c0 4.1 .5 8.2 1.5 12 2 7.7 5.8 14.6 11 20.3 1 1.1 2.1 2.2 3.3 3.3 5.7 5.2 12.6 9 20.3 11 3.8 1 7.9 1.5 12 1.5h352c26.5 0 48-21.5 48-48V80c-.1-4.1-.6-8.2-1.6-12zM416 432c0 8.8-7.2 16-16 16H224V256H32V80c0-8.8 7.2-16 16-16h176v192h192z"],
    "deploydog": [512, 512, [], "f38e", "M382.2 136h51.7v239.6h-51.7v-20.7c-19.8 24.8-52.8 24.1-73.8 14.7-26.2-11.7-44.3-38.1-44.3-71.8 0-29.8 14.8-57.9 43.3-70.8 20.2-9.1 52.7-10.6 74.8 12.9V136zm-64.7 161.8c0 18.2 13.6 33.5 33.2 33.5 19.8 0 33.2-16.4 33.2-32.9 0-17.1-13.7-33.2-33.2-33.2-19.6 0-33.2 16.4-33.2 32.6zM188.5 136h51.7v239.6h-51.7v-20.7c-19.8 24.8-52.8 24.1-73.8 14.7-26.2-11.7-44.3-38.1-44.3-71.8 0-29.8 14.8-57.9 43.3-70.8 20.2-9.1 52.7-10.6 74.8 12.9V136zm-64.7 161.8c0 18.2 13.6 33.5 33.2 33.5 19.8 0 33.2-16.4 33.2-32.9 0-17.1-13.7-33.2-33.2-33.2-19.7 0-33.2 16.4-33.2 32.6zM448 96c17.5 0 32 14.4 32 32v256c0 17.5-14.4 32-32 32H64c-17.5 0-32-14.4-32-32V128c0-17.5 14.4-32 32-32h384m0-32H64C28.8 64 0 92.8 0 128v256c0 35.2 28.8 64 64 64h384c35.2 0 64-28.8 64-64V128c0-35.2-28.8-64-64-64z"],
    "deskpro": [480, 512, [], "f38f", "M205.9 512l31.1-38.4c12.3-.2 25.6-1.4 36.5-6.6 38.9-18.6 38.4-61.9 38.3-63.8-.1-5-.8-4.4-28.9-37.4H362c-.2 50.1-7.3 68.5-10.2 75.7-9.4 23.7-43.9 62.8-95.2 69.4-8.7 1.1-32.8 1.2-50.7 1.1zm200.4-167.7c38.6 0 58.5-13.6 73.7-30.9l-175.5-.3-17.4 31.3 119.2-.1zm-43.6-223.9v168.3h-73.5l-32.7 55.5H250c-52.3 0-58.1-56.5-58.3-58.9-1.2-13.2-21.3-11.6-20.1 1.8 1.4 15.8 8.8 40 26.4 57.1h-91c-25.5 0-110.8-26.8-107-114V16.9C0 .9 9.7 .3 15 .1h82c.2 0 .3 .1 .5 .1 4.3-.4 50.1-2.1 50.1 43.7 0 13.3 20.2 13.4 20.2 0 0-18.2-5.5-32.8-15.8-43.7h84.2c108.7-.4 126.5 79.4 126.5 120.2zm-132.5 56l64 29.3c13.3-45.5-42.2-71.7-64-29.3z"],
    "dev": [448, 512, [], "f6cc", "M120.1 208.3c-3.88-2.9-7.77-4.35-11.65-4.35H91.03v104.5h17.45c3.88 0 7.77-1.45 11.65-4.35 3.88-2.9 5.82-7.25 5.82-13.06v-69.65c-.01-5.8-1.96-10.16-5.83-13.06zM404.1 32H43.9C19.7 32 .06 51.59 0 75.8v360.4C.06 460.4 19.7 480 43.9 480h360.2c24.21 0 43.84-19.59 43.9-43.8V75.8c-.06-24.21-19.7-43.8-43.9-43.8zM154.2 291.2c0 18.81-11.61 47.31-48.36 47.25h-46.4V172.1h47.38c35.44 0 47.36 28.46 47.37 47.28l.01 70.93zm100.7-88.66H201.6v38.42h32.57v29.57H201.6v38.41h53.29v29.57h-62.18c-11.16 .29-20.44-8.53-20.72-19.69V193.7c-.27-11.15 8.56-20.41 19.71-20.69h63.19l-.01 29.52zm103.6 115.3c-13.2 30.75-36.85 24.63-47.44 0l-38.53-144.8h32.57l29.71 113.7 29.57-113.7h32.58l-38.46 144.8z"],
    "deviantart": [320, 512, [], "f1bd", "M320 93.2l-98.2 179.1 7.4 9.5H320v127.7H159.1l-13.5 9.2-43.7 84c-.3 0-8.6 8.6-9.2 9.2H0v-93.2l93.2-179.4-7.4-9.2H0V102.5h156l13.5-9.2 43.7-84c.3 0 8.6-8.6 9.2-9.2H320v93.1z"],
    "dhl": [640, 512, [], "f790", "M238 301.2h58.7L319 271h-58.7L238 301.2zM0 282.9v6.4h81.8l4.7-6.4H0zM172.9 271c-8.7 0-6-3.6-4.6-5.5 2.8-3.8 7.6-10.4 10.4-14.1 2.8-3.7 2.8-5.9-2.8-5.9h-51l-41.1 55.8h100.1c33.1 0 51.5-22.5 57.2-30.3h-68.2zm317.5-6.9l39.3-53.4h-62.2l-39.3 53.4h62.2zM95.3 271H0v6.4h90.6l4.7-6.4zm111-26.6c-2.8 3.8-7.5 10.4-10.3 14.2-1.4 2-4.1 5.5 4.6 5.5h45.6s7.3-10 13.5-18.4c8.4-11.4 .7-35-29.2-35H112.6l-20.4 27.8h111.4c5.6 0 5.5 2.2 2.7 5.9zM0 301.2h73.1l4.7-6.4H0v6.4zm323 0h58.7L404 271h-58.7c-.1 0-22.3 30.2-22.3 30.2zm222 .1h95v-6.4h-90.3l-4.7 6.4zm22.3-30.3l-4.7 6.4H640V271h-72.7zm-13.5 18.3H640v-6.4h-81.5l-4.7 6.4zm-164.2-78.6l-22.5 30.6h-26.2l22.5-30.6h-58.7l-39.3 53.4H409l39.3-53.4h-58.7zm33.5 60.3s-4.3 5.9-6.4 8.7c-7.4 10-.9 21.6 23.2 21.6h94.3l22.3-30.3H423.1z"],
    "diaspora": [512, 512, [], "f791", "M251.6 354.5c-1.4 0-88 119.9-88.7 119.9S76.34 414 76 413.3s86.6-125.7 86.6-127.4c0-2.2-129.6-44-137.6-47.1-1.3-.5 31.4-101.8 31.7-102.1 .6-.7 144.4 47 145.5 47 .4 0 .9-.6 1-1.3 .4-2 1-148.6 1.7-149.6 .8-1.2 104.5-.7 105.1-.3 1.5 1 3.5 156.1 6.1 156.1 1.4 0 138.7-47 139.3-46.3 .8 .9 31.9 102.2 31.5 102.6-.9 .9-140.2 47.1-140.6 48.8-.3 1.4 82.8 122.1 82.5 122.9s-85.5 63.5-86.3 63.5c-1-.2-89-125.5-90.9-125.5z"],
    "digg": [512, 512, [], "f1a6", "M81.7 172.3H0v174.4h132.7V96h-51v76.3zm0 133.4H50.9v-92.3h30.8v92.3zm297.2-133.4v174.4h81.8v28.5h-81.8V416H512V172.3H378.9zm81.8 133.4h-30.8v-92.3h30.8v92.3zm-235.6 41h82.1v28.5h-82.1V416h133.3V172.3H225.1v174.4zm51.2-133.3h30.8v92.3h-30.8v-92.3zM153.3 96h51.3v51h-51.3V96zm0 76.3h51.3v174.4h-51.3V172.3z"],
    "digital-ocean": [512, 512, [], "f391", "M87 481.8h73.7v-73.6H87zM25.4 346.6v61.6H87v-61.6zm466.2-169.7c-23-74.2-82.4-133.3-156.6-156.6C164.9-32.8 8 93.7 8 255.9h95.8c0-101.8 101-180.5 208.1-141.7 39.7 14.3 71.5 46.1 85.8 85.7 39.1 107-39.7 207.8-141.4 208v.3h-.3V504c162.6 0 288.8-156.8 235.6-327.1zm-235.3 231v-95.3h-95.6v95.6H256v-.3z"],
    "discord": [640, 512, [], "f392", "M524.5 69.84a1.5 1.5 0 0 0 -.764-.7A485.1 485.1 0 0 0 404.1 32.03a1.816 1.816 0 0 0 -1.923 .91 337.5 337.5 0 0 0 -14.9 30.6 447.8 447.8 0 0 0 -134.4 0 309.5 309.5 0 0 0 -15.14-30.6 1.89 1.89 0 0 0 -1.924-.91A483.7 483.7 0 0 0 116.1 69.14a1.712 1.712 0 0 0 -.788 .676C39.07 183.7 18.19 294.7 28.43 404.4a2.016 2.016 0 0 0 .765 1.375A487.7 487.7 0 0 0 176 479.9a1.9 1.9 0 0 0 2.063-.676A348.2 348.2 0 0 0 208.1 430.4a1.86 1.86 0 0 0 -1.019-2.588 321.2 321.2 0 0 1 -45.87-21.85 1.885 1.885 0 0 1 -.185-3.126c3.082-2.309 6.166-4.711 9.109-7.137a1.819 1.819 0 0 1 1.9-.256c96.23 43.92 200.4 43.92 295.5 0a1.812 1.812 0 0 1 1.924 .233c2.944 2.426 6.027 4.851 9.132 7.16a1.884 1.884 0 0 1 -.162 3.126 301.4 301.4 0 0 1 -45.89 21.83 1.875 1.875 0 0 0 -1 2.611 391.1 391.1 0 0 0 30.01 48.81 1.864 1.864 0 0 0 2.063 .7A486 486 0 0 0 610.7 405.7a1.882 1.882 0 0 0 .765-1.352C623.7 277.6 590.9 167.5 524.5 69.84zM222.5 337.6c-28.97 0-52.84-26.59-52.84-59.24S193.1 219.1 222.5 219.1c29.67 0 53.31 26.82 52.84 59.24C275.3 310.1 251.9 337.6 222.5 337.6zm195.4 0c-28.97 0-52.84-26.59-52.84-59.24S388.4 219.1 417.9 219.1c29.67 0 53.31 26.82 52.84 59.24C470.7 310.1 447.5 337.6 417.9 337.6z"],
    "discourse": [448, 512, [], "f393", "M225.9 32C103.3 32 0 130.5 0 252.1 0 256 .1 480 .1 480l225.8-.2c122.7 0 222.1-102.3 222.1-223.9C448 134.3 348.6 32 225.9 32zM224 384c-19.4 0-37.9-4.3-54.4-12.1L88.5 392l22.9-75c-9.8-18.1-15.4-38.9-15.4-61 0-70.7 57.3-128 128-128s128 57.3 128 128-57.3 128-128 128z"],
    "dochub": [416, 512, [], "f394", "M397.9 160H256V19.6L397.9 160zM304 192v130c0 66.8-36.5 100.1-113.3 100.1H96V84.8h94.7c12 0 23.1 .8 33.1 2.5v-84C212.9 1.1 201.4 0 189.2 0H0v512h189.2C329.7 512 400 447.4 400 318.1V192h-96z"],
    "docker": [640, 512, [], "f395", "M349.9 236.3h-66.1v-59.4h66.1v59.4zm0-204.3h-66.1v60.7h66.1V32zm78.2 144.8H362v59.4h66.1v-59.4zm-156.3-72.1h-66.1v60.1h66.1v-60.1zm78.1 0h-66.1v60.1h66.1v-60.1zm276.8 100c-14.4-9.7-47.6-13.2-73.1-8.4-3.3-24-16.7-44.9-41.1-63.7l-14-9.3-9.3 14c-18.4 27.8-23.4 73.6-3.7 103.8-8.7 4.7-25.8 11.1-48.4 10.7H2.4c-8.7 50.8 5.8 116.8 44 162.1 37.1 43.9 92.7 66.2 165.4 66.2 157.4 0 273.9-72.5 328.4-204.2 21.4 .4 67.6 .1 91.3-45.2 1.5-2.5 6.6-13.2 8.5-17.1l-13.3-8.9zm-511.1-27.9h-66v59.4h66.1v-59.4zm78.1 0h-66.1v59.4h66.1v-59.4zm78.1 0h-66.1v59.4h66.1v-59.4zm-78.1-72.1h-66.1v60.1h66.1v-60.1z"],
    "draft2digital": [480, 512, [], "f396", "M480 398.1l-144-82.2v64.7h-91.3c30.8-35 81.8-95.9 111.8-149.3 35.2-62.6 16.1-123.4-12.8-153.3-4.4-4.6-62.2-62.9-166-41.2-59.1 12.4-89.4 43.4-104.3 67.3-13.1 20.9-17 39.8-18.2 47.7-5.5 33 19.4 67.1 56.7 67.1 31.7 0 57.3-25.7 57.3-57.4 0-27.1-19.7-52.1-48-56.8 1.8-7.3 17.7-21.1 26.3-24.7 41.1-17.3 78 5.2 83.3 33.5 8.3 44.3-37.1 90.4-69.7 127.6C84.5 328.1 18.3 396.8 0 415.9l336-.1V480zM369.9 371l47.1 27.2-47.1 27.2zM134.2 161.4c0 12.4-10 22.4-22.4 22.4s-22.4-10-22.4-22.4 10-22.4 22.4-22.4 22.4 10.1 22.4 22.4zM82.5 380.5c25.6-27.4 97.7-104.7 150.8-169.9 35.1-43.1 40.3-82.4 28.4-112.7-7.4-18.8-17.5-30.2-24.3-35.7 45.3 2.1 68 23.4 82.2 38.3 0 0 42.4 48.2 5.8 113.3-37 65.9-110.9 147.5-128.5 166.7z"],
    "dribbble": [512, 512, [], "f17d", "M256 8C119.3 8 8 119.3 8 256s111.3 248 248 248 248-111.3 248-248S392.7 8 256 8zm163.1 114.4c29.5 36.05 47.37 81.96 47.83 131.1-6.984-1.477-77.02-15.68-147.5-6.818-5.752-14.04-11.18-26.39-18.62-41.61 78.32-31.98 113.8-77.48 118.3-83.52zM396.4 97.87c-3.81 5.427-35.7 48.29-111 76.52-34.71-63.78-73.18-116.2-79.04-124 67.18-16.19 137.1 1.27 190.1 47.49zm-230.5-33.25c5.585 7.659 43.44 60.12 78.54 122.5-99.09 26.31-186.4 25.93-195.8 25.81C62.38 147.2 106.7 92.57 165.9 64.62zM44.17 256.3c0-2.166 .043-4.322 .108-6.473 9.268 .19 111.9 1.513 217.7-30.15 6.064 11.87 11.86 23.92 17.17 35.95-76.6 21.58-146.2 83.53-180.5 142.3C64.79 360.4 44.17 310.7 44.17 256.3zm81.81 167.1c22.13-45.23 82.18-103.6 167.6-132.8 29.74 77.28 42.04 142.1 45.19 160.6-68.11 29.01-150 21.05-212.8-27.88zm248.4 8.489c-2.171-12.89-13.45-74.9-41.15-151 66.38-10.63 124.7 6.768 131.9 9.055-9.442 58.94-43.27 109.8-90.79 141.1z"],
    "dropbox": [528, 512, [], "f16b", "M264.4 116.3l-132 84.3 132 84.3-132 84.3L0 284.1l132.3-84.3L0 116.3 132.3 32l132.1 84.3zM131.6 395.7l132-84.3 132 84.3-132 84.3-132-84.3zm132.8-111.6l132-84.3-132-83.6L395.7 32 528 116.3l-132.3 84.3L528 284.8l-132.3 84.3-131.3-85z"],
    "drupal": [448, 512, [], "f1a9", "M303.1 108.1C268.2 72.46 234.2 38.35 224 0c-9.957 38.35-44.25 72.46-80.02 108.1C90.47 161.7 29.72 222.4 29.72 313.4c-2.337 107.3 82.75 196.2 190.1 198.5S415.9 429.2 418.3 321.9q.091-4.231 0-8.464C418.3 222.4 357.5 161.7 303.1 108.1zm-174.3 223a130.3 130.3 0 0 0 -15.21 24.15 4.978 4.978 0 0 1 -3.319 2.766h-1.659c-4.333 0-9.219-8.481-9.219-8.481h0c-1.29-2.028-2.489-4.149-3.687-6.361l-.83-1.752c-11.25-25.72-1.475-62.32-1.475-62.32h0a160.6 160.6 0 0 1 23.23-49.87A290.8 290.8 0 0 1 138.5 201.6l9.219 9.219 43.51 44.43a4.979 4.979 0 0 1 0 6.638L145.8 312.3h0zm96.61 127.3a67.2 67.2 0 0 1 -49.78-111.9c14.2-16.87 31.53-33.46 50.33-55.31 22.31 23.78 36.88 40.1 51.16 57.99a28.41 28.41 0 0 1 2.95 4.425 65.9 65.9 0 0 1 11.98 37.98 66.65 66.65 0 0 1 -66.47 66.84zM352.4 351.6h0a7.743 7.743 0 0 1 -6.176 5.347H344.9a11.25 11.25 0 0 1 -6.269-5.07h0a348.2 348.2 0 0 0 -39.46-48.95L281.4 284.5 222.3 223.2a497.9 497.9 0 0 1 -35.4-36.32 12.03 12.03 0 0 0 -.922-1.382 35.4 35.4 0 0 1 -4.7-9.219V174.5a31.35 31.35 0 0 1 9.218-27.66c11.43-11.43 22.95-22.95 33.83-34.94 11.98 13.27 24.8 26 37.43 38.63h0a530.1 530.1 0 0 1 69.6 79.1 147.5 147.5 0 0 1 27.01 83.8A134.1 134.1 0 0 1 352.4 351.6z"],
    "dyalog": [416, 512, [], "f399", "M0 32v119.2h64V96h107.2C284.6 96 352 176.2 352 255.9 352 332 293.4 416 171.2 416H0v64h171.2C331.9 480 416 367.3 416 255.9c0-58.7-22.1-113.4-62.3-154.3C308.9 56 245.7 32 171.2 32H0z"],
    "earlybirds": [480, 512, [], "f39a", "M313.2 47.5c1.2-13 21.3-14 36.6-8.7 .9 .3 26.2 9.7 19 15.2-27.9-7.4-56.4 18.2-55.6-6.5zm-201 6.9c30.7-8.1 62 20 61.1-7.1-1.3-14.2-23.4-15.3-40.2-9.6-1 .3-28.7 10.5-20.9 16.7zM319.4 160c-8.8 0-16 7.2-16 16s7.2 16 16 16 16-7.2 16-16-7.2-16-16-16zm-159.7 0c-8.8 0-16 7.2-16 16s7.2 16 16 16 16-7.2 16-16-7.2-16-16-16zm318.5 163.2c-9.9 24-40.7 11-63.9-1.2-13.5 69.1-58.1 111.4-126.3 124.2 .3 .9-2-.1 24 1 33.6 1.4 63.8-3.1 97.4-8-19.8-13.8-11.4-37.1-9.8-38.1 1.4-.9 14.7 1.7 21.6 11.5 8.6-12.5 28.4-14.8 30.2-13.6 1.6 1.1 6.6 20.9-6.9 34.6 4.7-.9 8.2-1.6 9.8-2.1 2.6-.8 17.7 11.3 3.1 13.3-14.3 2.3-22.6 5.1-47.1 10.8-45.9 10.7-85.9 11.8-117.7 12.8l1 11.6c3.8 18.1-23.4 24.3-27.6 6.2 .8 17.9-27.1 21.8-28.4-1l-.5 5.3c-.7 18.4-28.4 17.9-28.3-.6-7.5 13.5-28.1 6.8-26.4-8.5l1.2-12.4c-36.7 .9-59.7 3.1-61.8 3.1-20.9 0-20.9-31.6 0-31.6 2.4 0 27.7 1.3 63.2 2.8-61.1-15.5-103.7-55-114.9-118.2-25 12.8-57.5 26.8-68.2 .8-10.5-25.4 21.5-42.6 66.8-73.4 .7-6.6 1.6-13.3 2.7-19.8-14.4-19.6-11.6-36.3-16.1-60.4-16.8 2.4-23.2-9.1-23.6-23.1 .3-7.3 2.1-14.9 2.4-15.4 1.1-1.8 10.1-2 12.7-2.6 6-31.7 50.6-33.2 90.9-34.5 19.7-21.8 45.2-41.5 80.9-48.3C203.3 29 215.2 8.5 216.2 8c1.7-.8 21.2 4.3 26.3 23.2 5.2-8.8 18.3-11.4 19.6-10.7 1.1 .6 6.4 15-4.9 25.9 40.3 3.5 72.2 24.7 96 50.7 36.1 1.5 71.8 5.9 77.1 34 2.7 .6 11.6 .8 12.7 2.6 .3 .5 2.1 8.1 2.4 15.4-.5 13.9-6.8 25.4-23.6 23.1-3.2 17.3-2.7 32.9-8.7 47.7 2.4 11.7 4 23.8 4.8 36.4 37 25.4 70.3 42.5 60.3 66.9zM207.4 159.9c.9-44-37.9-42.2-78.6-40.3-21.7 1-38.9 1.9-45.5 13.9-11.4 20.9 5.9 92.9 23.2 101.2 9.8 4.7 73.4 7.9 86.3-7.1 8.2-9.4 15-49.4 14.6-67.7zm52 58.3c-4.3-12.4-6-30.1-15.3-32.7-2-.5-9-.5-11 0-10 2.8-10.8 22.1-17 37.2 15.4 0 19.3 9.7 23.7 9.7 4.3 0 6.3-11.3 19.6-14.2zm135.7-84.7c-6.6-12.1-24.8-12.9-46.5-13.9-40.2-1.9-78.2-3.8-77.3 40.3-.5 18.3 5 58.3 13.2 67.8 13 14.9 76.6 11.8 86.3 7.1 15.8-7.6 36.5-78.9 24.3-101.3z"],
    "ebay": [640, 512, [], "f4f4", "M606 189.5l-54.8 109.9-54.9-109.9h-37.5l10.9 20.6c-11.5-19-35.9-26-63.3-26-31.8 0-67.9 8.7-71.5 43.1h33.7c1.4-13.8 15.7-21.8 35-21.8 26 0 41 9.6 41 33v3.4c-12.7 0-28 .1-41.7 .4-42.4 .9-69.6 10-76.7 34.4 1-5.2 1.5-10.6 1.5-16.2 0-52.1-39.7-76.2-75.4-76.2-21.3 0-43 5.5-58.7 24.2v-80.6h-32.1v169.5c0 10.3-.6 22.9-1.1 33.1h31.5c.7-6.3 1.1-12.9 1.1-19.5 13.6 16.6 35.4 24.9 58.7 24.9 36.9 0 64.9-21.9 73.3-54.2-.5 2.8-.7 5.8-.7 9 0 24.1 21.1 45 60.6 45 26.6 0 45.8-5.7 61.9-25.5 0 6.6 .3 13.3 1.1 20.2h29.8c-.7-8.2-1-17.5-1-26.8v-65.6c0-9.3-1.7-17.2-4.8-23.8l61.5 116.1-28.5 54.1h35.9L640 189.5zM243.7 313.8c-29.6 0-50.2-21.5-50.2-53.8 0-32.4 20.6-53.8 50.2-53.8 29.8 0 50.2 21.4 50.2 53.8 0 32.3-20.4 53.8-50.2 53.8zm200.9-47.3c0 30-17.9 48.4-51.6 48.4-25.1 0-35-13.4-35-25.8 0-19.1 18.1-24.4 47.2-25.3 13.1-.5 27.6-.6 39.4-.6zm-411.9 1.6h128.8v-8.5c0-51.7-33.1-75.4-78.4-75.4-56.8 0-83 30.8-83 77.6 0 42.5 25.3 74 82.5 74 31.4 0 68-11.7 74.4-46.1h-33.1c-12 35.8-87.7 36.7-91.2-21.6zm95-21.4H33.3c6.9-56.6 92.1-54.7 94.4 0z"],
    "edge": [512, 512, [], "f282", "M120.1 37.44C161.1 12.23 207.7-.7753 255 .0016C423 .0016 512 123.8 512 219.5C511.9 252.2 499 283.4 476.1 306.7C453.2 329.9 422.1 343.2 389.4 343.7C314.2 343.7 297.9 320.6 297.9 311.7C297.9 307.9 299.1 305.5 302.7 302.3L303.7 301.1L304.1 299.5C314.6 288 320 273.3 320 257.9C320 179.2 237.8 115.2 136 115.2C98.46 114.9 61.46 124.1 28.48 142.1C55.48 84.58 111.2 44.5 119.8 38.28C120.6 37.73 120.1 37.44 120.1 37.44V37.44zM135.7 355.5C134.3 385.5 140.3 415.5 152.1 442.7C165.7 469.1 184.8 493.7 208.6 512C149.1 500.5 97.11 468.1 59.2 422.7C21.12 376.3 0 318.4 0 257.9C0 206.7 62.4 163.5 136 163.5C172.6 162.9 208.4 174.4 237.8 196.2L234.2 197.4C182.7 215 135.7 288.1 135.7 355.5V355.5zM469.8 400L469.1 400.1C457.3 418.9 443.2 435.2 426.9 449.6C396.1 477.6 358.8 495.1 318.1 499.5C299.5 499.8 281.3 496.3 264.3 488.1C238.7 477.8 217.2 458.1 202.7 435.1C188.3 411.2 181.6 383.4 183.7 355.5C183.1 335.4 189.1 315.2 198.7 297.3C212.6 330.4 236.2 358.6 266.3 378.1C296.4 397.6 331.8 407.6 367.7 406.7C398.7 407 429.8 400 457.9 386.2L459.8 385.3C463.7 383 467.5 381.4 471.4 385.3C475.9 390.2 473.2 394.5 470.2 399.3C470 399.5 469.9 399.8 469.8 400V400z"],
    "edge-legacy": [512, 512, [], "e078", "M25.71 228.2l.35-.48c0 .16 0 .32-.07 .48zm460.6 15.51c0-44-7.76-84.46-28.81-122.4C416.5 47.88 343.9 8 258.9 8 119 7.72 40.62 113.2 26.06 227.7c42.42-61.31 117.1-121.4 220.4-125 0 0 109.7 0 99.42 105H170c6.37-37.39 18.55-59 34.34-78.93-75.05 34.9-121.8 96.1-120.8 188.3 .83 71.45 50.13 144.8 120.8 172 83.35 31.84 192.8 7.2 240.1-21.33V363.3C363.6 419.8 173.6 424.2 172.2 295.7H486.3V243.7z"],
    "elementor": [512, 512, [], "f430", "M.361 256C.361 397 114 511 255 511C397 511 511 397 511 256C511 116 397 2.05 255 2.05C114 2.05 .361 116 .361 256zM192 150V363H149V150H192zM234 150H362V193H234V150zM362 235V278H234V235H362zM234 320H362V363H234V320z"],
    "ello": [496, 512, [], "f5f1", "M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S384.1 8 248 8zm143.8 285.2C375.3 358.5 315.8 404.8 248 404.8s-127.3-46.29-143.8-111.6c-1.65-7.44 2.48-15.71 9.92-17.36 7.44-1.65 15.71 2.48 17.36 9.92 14.05 52.91 62 90.11 116.6 90.11s102.5-37.2 116.6-90.11c1.65-7.44 9.92-12.4 17.36-9.92 7.44 1.65 12.4 9.92 9.92 17.36z"],
    "ember": [640, 512, [], "f423", "M639.9 254.6c-1.1-10.7-10.7-6.8-10.7-6.8s-15.6 12.1-29.3 10.7c-13.7-1.3-9.4-32-9.4-32s3-28.1-5.1-30.4c-8.1-2.4-18 7.3-18 7.3s-12.4 13.7-18.3 31.2l-1.6 .5s1.9-30.6-.3-37.6c-1.6-3.5-16.4-3.2-18.8 3s-14.2 49.2-15 67.2c0 0-23.1 19.6-43.3 22.8s-25-9.4-25-9.4 54.8-15.3 52.9-59.1-44.2-27.6-49-24c-4.6 3.5-29.4 18.4-36.6 59.7-.2 1.4-.7 7.5-.7 7.5s-21.2 14.2-33 18c0 0 33-55.6-7.3-80.9-11.4-6.8-21.3-.5-27.2 5.3 13.6-17.3 46.4-64.2 36.9-105.2-5.8-24.4-18-27.1-29.2-23.1-17 6.7-23.5 16.7-23.5 16.7s-22 32-27.1 79.5-12.6 105.1-12.6 105.1-10.5 10.2-20.2 10.7-5.4-28.7-5.4-28.7 7.5-44.6 7-52.1-1.1-11.6-9.9-14.2c-8.9-2.7-18.5 8.6-18.5 8.6s-25.5 38.7-27.7 44.6l-1.3 2.4-1.3-1.6s18-52.7 .8-53.5-28.5 18.8-28.5 18.8-19.6 32.8-20.4 36.5l-1.3-1.6s8.1-38.2 6.4-47.6c-1.6-9.4-10.5-7.5-10.5-7.5s-11.3-1.3-14.2 5.9-13.7 55.3-15 70.7c0 0-28.2 20.2-46.8 20.4-18.5 .3-16.7-11.8-16.7-11.8s68-23.3 49.4-69.2c-8.3-11.8-18-15.5-31.7-15.3-13.7 .3-30.3 8.6-41.3 33.3-5.3 11.8-6.8 23-7.8 31.5 0 0-12.3 2.4-18.8-2.9s-10 0-10 0-11.2 14-.1 18.3 28.1 6.1 28.1 6.1c1.6 7.5 6.2 19.5 19.6 29.7 20.2 15.3 58.8-1.3 58.8-1.3l15.9-8.8s.5 14.6 12.1 16.7 16.4 1 36.5-47.9c11.8-25 12.6-23.6 12.6-23.6l1.3-.3s-9.1 46.8-5.6 59.7C187.7 319.4 203 318 203 318s8.3 2.4 15-21.2 19.6-49.9 19.6-49.9h1.6s-5.6 48.1 3 63.7 30.9 5.3 30.9 5.3 15.6-7.8 18-10.2c0 0 18.5 15.8 44.6 12.9 58.3-11.5 79.1-25.9 79.1-25.9s10 24.4 41.1 26.7c35.5 2.7 54.8-18.6 54.8-18.6s-.3 13.5 12.1 18.6 20.7-22.8 20.7-22.8l20.7-57.2h1.9s1.1 37.3 21.5 43.2 47-13.7 47-13.7 6.4-3.5 5.3-14.3zm-578 5.3c.8-32 21.8-45.9 29-39 7.3 7 4.6 22-9.1 31.4-13.7 9.5-19.9 7.6-19.9 7.6zm272.8-123.8s19.1-49.7 23.6-25.5-40 96.2-40 96.2c.5-16.2 16.4-70.7 16.4-70.7zm22.8 138.4c-12.6 33-43.3 19.6-43.3 19.6s-3.5-11.8 6.4-44.9 33.3-20.2 33.3-20.2 16.2 12.4 3.6 45.5zm84.6-14.6s-3-10.5 8.1-30.6c11-20.2 19.6-9.1 19.6-9.1s9.4 10.2-1.3 25.5-26.4 14.2-26.4 14.2z"],
    "empire": [496, 512, [], "f1d1", "M287.6 54.2c-10.8-2.2-22.1-3.3-33.5-3.6V32.4c78.1 2.2 146.1 44 184.6 106.6l-15.8 9.1c-6.1-9.7-12.7-18.8-20.2-27.1l-18 15.5c-26-29.6-61.4-50.7-101.9-58.4l4.8-23.9zM53.4 322.4l23-7.7c-6.4-18.3-10-38.2-10-58.7s3.3-40.4 9.7-58.7l-22.7-7.7c3.6-10.8 8.3-21.3 13.6-31l-15.8-9.1C34 181 24.1 217.5 24.1 256s10 75 27.1 106.6l15.8-9.1c-5.3-10-9.7-20.3-13.6-31.1zM213.1 434c-40.4-8-75.8-29.1-101.9-58.7l-18 15.8c-7.5-8.6-14.4-17.7-20.2-27.4l-16 9.4c38.5 62.3 106.8 104.3 184.9 106.6v-18.3c-11.3-.3-22.7-1.7-33.5-3.6l4.7-23.8zM93.3 120.9l18 15.5c26-29.6 61.4-50.7 101.9-58.4l-4.7-23.8c10.8-2.2 22.1-3.3 33.5-3.6V32.4C163.9 34.6 95.9 76.4 57.4 139l15.8 9.1c6-9.7 12.6-18.9 20.1-27.2zm309.4 270.2l-18-15.8c-26 29.6-61.4 50.7-101.9 58.7l4.7 23.8c-10.8 1.9-22.1 3.3-33.5 3.6v18.3c78.1-2.2 146.4-44.3 184.9-106.6l-16.1-9.4c-5.7 9.7-12.6 18.8-20.1 27.4zM496 256c0 137-111 248-248 248S0 393 0 256 111 8 248 8s248 111 248 248zm-12.2 0c0-130.1-105.7-235.8-235.8-235.8S12.2 125.9 12.2 256 117.9 491.8 248 491.8 483.8 386.1 483.8 256zm-39-106.6l-15.8 9.1c5.3 9.7 10 20.2 13.6 31l-22.7 7.7c6.4 18.3 9.7 38.2 9.7 58.7s-3.6 40.4-10 58.7l23 7.7c-3.9 10.8-8.3 21-13.6 31l15.8 9.1C462 331 471.9 294.5 471.9 256s-9.9-75-27.1-106.6zm-183 177.7c16.3-3.3 30.4-11.6 40.7-23.5l51.2 44.8c11.9-13.6 21.3-29.3 27.1-46.8l-64.2-22.1c2.5-7.5 3.9-15.2 3.9-23.5s-1.4-16.1-3.9-23.5l64.5-22.1c-6.1-17.4-15.5-33.2-27.4-46.8l-51.2 44.8c-10.2-11.9-24.4-20.5-40.7-23.8l13.3-66.4c-8.6-1.9-17.7-2.8-27.1-2.8-9.4 0-18.5 .8-27.1 2.8l13.3 66.4c-16.3 3.3-30.4 11.9-40.7 23.8l-51.2-44.8c-11.9 13.6-21.3 29.3-27.4 46.8l64.5 22.1c-2.5 7.5-3.9 15.2-3.9 23.5s1.4 16.1 3.9 23.5l-64.2 22.1c5.8 17.4 15.2 33.2 27.1 46.8l51.2-44.8c10.2 11.9 24.4 20.2 40.7 23.5l-13.3 66.7c8.6 1.7 17.7 2.8 27.1 2.8 9.4 0 18.5-1.1 27.1-2.8l-13.3-66.7z"],
    "envira": [448, 512, [], "f299", "M0 32c477.6 0 366.6 317.3 367.1 366.3L448 480h-26l-70.4-71.2c-39 4.2-124.4 34.5-214.4-37C47 300.3 52 214.7 0 32zm79.7 46c-49.7-23.5-5.2 9.2-5.2 9.2 45.2 31.2 66 73.7 90.2 119.9 31.5 60.2 79 139.7 144.2 167.7 65 28 34.2 12.5 6-8.5-28.2-21.2-68.2-87-91-130.2-31.7-60-61-118.6-144.2-158.1z"],
    "erlang": [640, 512, [], "f39d", "M87.2 53.5H0v405h100.4c-49.7-52.6-78.8-125.3-78.7-212.1-.1-76.7 24-142.7 65.5-192.9zm238.2 9.7c-45.9 .1-85.1 33.5-89.2 83.2h169.9c-1.1-49.7-34.5-83.1-80.7-83.2zm230.7-9.6h.3l-.1-.1zm.3 0c31.4 42.7 48.7 97.5 46.2 162.7 .5 6 .5 11.7 0 24.1H230.2c-.2 109.7 38.9 194.9 138.6 195.3 68.5-.3 118-51 151.9-106.1l96.4 48.2c-17.4 30.9-36.5 57.8-57.9 80.8H640v-405z"],
    "ethereum": [320, 512, [], "f42e", "M311.9 260.8L160 353.6 8 260.8 160 0l151.9 260.8zM160 383.4L8 290.6 160 512l152-221.4-152 92.8z"],
    "etsy": [384, 512, [], "f2d7", "M384 348c-1.75 10.75-13.75 110-15.5 132-117.9-4.299-219.9-4.743-368.5 0v-25.5c45.46-8.948 60.63-8.019 61-35.25 1.793-72.32 3.524-244.1 0-322-1.029-28.46-12.13-26.76-61-36v-25.5c73.89 2.358 255.9 8.551 362.1-3.75-3.5 38.25-7.75 126.5-7.75 126.5H332C320.9 115.7 313.2 68 277.3 68h-137c-10.25 0-10.75 3.5-10.75 9.75V241.5c58 .5 88.5-2.5 88.5-2.5 29.77-.951 27.56-8.502 40.75-65.25h25.75c-4.407 101.4-3.91 61.83-1.75 160.3H257c-9.155-40.09-9.065-61.04-39.5-61.5 0 0-21.5-2-88-2v139c0 26 14.25 38.25 44.25 38.25H263c63.64 0 66.56-24.1 98.75-99.75H384z"],
    "evernote": [384, 512, [], "f839", "M120.8 132.2c1.6 22.31-17.55 21.59-21.61 21.59-68.93 0-73.64-1-83.58 3.34-.56 .22-.74 0-.37-.37L123.8 46.45c.38-.37 .6-.22 .38 .37-4.35 9.99-3.35 15.09-3.35 85.39zm79 308c-14.68-37.08 13-76.93 52.52-76.62 17.49 0 22.6 23.21 7.95 31.42-6.19 3.3-24.95 1.74-25.14 19.2-.05 17.09 19.67 25 31.2 24.89A45.64 45.64 0 0 0 312 393.5v-.08c0-11.63-7.79-47.22-47.54-55.34-7.72-1.54-65-6.35-68.35-50.52-3.74 16.93-17.4 63.49-43.11 69.09-8.74 1.94-69.68 7.64-112.9-36.77 0 0-18.57-15.23-28.23-57.95-3.38-15.75-9.28-39.7-11.14-62 0-18 11.14-30.45 25.07-32.2 81 0 90 2.32 101-7.8 9.82-9.24 7.8-15.5 7.8-102.8 1-8.3 7.79-30.81 53.41-24.14 6 .86 31.91 4.18 37.48 30.64l64.26 11.15c20.43 3.71 70.94 7 80.6 57.94 22.66 121.1 8.91 238.5 7.8 238.5C362.1 485.5 267.1 480 267.1 480c-18.95-.23-54.25-9.4-67.27-39.83zm80.94-204.8c-1 1.92-2.2 6 .85 7 14.09 4.93 39.75 6.84 45.88 5.53 3.11-.25 3.05-4.43 2.48-6.65-3.53-21.85-40.83-26.5-49.24-5.92z"],
    "expeditedssl": [496, 512, [], "f23e", "M248 43.4C130.6 43.4 35.4 138.6 35.4 256S130.6 468.6 248 468.6 460.6 373.4 460.6 256 365.4 43.4 248 43.4zm-97.4 132.9c0-53.7 43.7-97.4 97.4-97.4s97.4 43.7 97.4 97.4v26.6c0 5-3.9 8.9-8.9 8.9h-17.7c-5 0-8.9-3.9-8.9-8.9v-26.6c0-82.1-124-82.1-124 0v26.6c0 5-3.9 8.9-8.9 8.9h-17.7c-5 0-8.9-3.9-8.9-8.9v-26.6zM389.7 380c0 9.7-8 17.7-17.7 17.7H124c-9.7 0-17.7-8-17.7-17.7V238.3c0-9.7 8-17.7 17.7-17.7h248c9.7 0 17.7 8 17.7 17.7V380zm-248-137.3v132.9c0 2.5-1.9 4.4-4.4 4.4h-8.9c-2.5 0-4.4-1.9-4.4-4.4V242.7c0-2.5 1.9-4.4 4.4-4.4h8.9c2.5 0 4.4 1.9 4.4 4.4zm141.7 48.7c0 13-7.2 24.4-17.7 30.4v31.6c0 5-3.9 8.9-8.9 8.9h-17.7c-5 0-8.9-3.9-8.9-8.9v-31.6c-10.5-6.1-17.7-17.4-17.7-30.4 0-19.7 15.8-35.4 35.4-35.4s35.5 15.8 35.5 35.4zM248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm0 478.3C121 486.3 17.7 383 17.7 256S121 25.7 248 25.7 478.3 129 478.3 256 375 486.3 248 486.3z"],
    "facebook": [512, 512, [62000], "f09a", "M504 256C504 119 393 8 256 8S8 119 8 256c0 123.8 90.69 226.4 209.3 245V327.7h-63V256h63v-54.64c0-62.15 37-96.48 93.67-96.48 27.14 0 55.52 4.84 55.52 4.84v61h-31.28c-30.8 0-40.41 19.12-40.41 38.73V256h68.78l-11 71.69h-57.78V501C413.3 482.4 504 379.8 504 256z"],
    "facebook-f": [320, 512, [], "f39e", "M279.1 288l14.22-92.66h-88.91v-60.13c0-25.35 12.42-50.06 52.24-50.06h40.42V6.26S260.4 0 225.4 0c-73.22 0-121.1 44.38-121.1 124.7v70.62H22.89V288h81.39v224h100.2V288z"],
    "facebook-messenger": [512, 512, [], "f39f", "M256.5 8C116.5 8 8 110.3 8 248.6c0 72.3 29.71 134.8 78.07 177.9 8.35 7.51 6.63 11.86 8.05 58.23A19.92 19.92 0 0 0 122 502.3c52.91-23.3 53.59-25.14 62.56-22.7C337.9 521.8 504 423.7 504 248.6 504 110.3 396.6 8 256.5 8zm149.2 185.1l-73 115.6a37.37 37.37 0 0 1 -53.91 9.93l-58.08-43.47a15 15 0 0 0 -18 0l-78.37 59.44c-10.46 7.93-24.16-4.6-17.11-15.67l73-115.6a37.36 37.36 0 0 1 53.91-9.93l58.06 43.46a15 15 0 0 0 18 0l78.41-59.38c10.44-7.98 24.14 4.54 17.09 15.62z"],
    "fantasy-flight-games": [512, 512, [], "f6dc", "M256 32.86L32.86 256 256 479.1 479.1 256 256 32.86zM88.34 255.8c1.96-2 11.92-12.3 96.49-97.48 41.45-41.75 86.19-43.77 119.8-18.69 24.63 18.4 62.06 58.9 62.15 59 .68 .74 1.07 2.86 .58 3.38-11.27 11.84-22.68 23.54-33.5 34.69-34.21-32.31-40.52-38.24-48.51-43.95-17.77-12.69-41.4-10.13-56.98 5.1-2.17 2.13-1.79 3.43 .12 5.35 2.94 2.95 28.1 28.33 35.09 35.78-11.95 11.6-23.66 22.97-35.69 34.66-12.02-12.54-24.48-25.53-36.54-38.11-21.39 21.09-41.69 41.11-61.85 60.99zm234.8 101.6c-35.49 35.43-78.09 38.14-106.1 20.47-22.08-13.5-39.38-32.08-72.93-66.84 12.05-12.37 23.79-24.42 35.37-36.31 33.02 31.91 37.06 36.01 44.68 42.09 18.48 14.74 42.52 13.67 59.32-1.8 3.68-3.39 3.69-3.64 .14-7.24-10.59-10.73-21.19-21.44-31.77-32.18-1.32-1.34-3.03-2.48-.8-4.69 10.79-10.71 21.48-21.52 32.21-32.29 .26-.26 .65-.38 1.91-1.07 12.37 12.87 24.92 25.92 37.25 38.75 21.01-20.73 41.24-40.68 61.25-60.42 13.68 13.4 27.13 26.58 40.86 40.03-20.17 20.86-81.68 82.71-100.5 101.5zM256 0L0 256l256 256 256-256L256 0zM16 256L256 16l240 240-240 240L16 256z"],
    "fedex": [640, 512, [], "f797", "M586 284.5l53.3-59.9h-62.4l-21.7 24.8-22.5-24.8H414v-16h56.1v-48.1H318.9V236h-.5c-9.6-11-21.5-14.8-35.4-14.8-28.4 0-49.8 19.4-57.3 44.9-18-59.4-97.4-57.6-121.9-14v-24.2H49v-26.2h60v-41.1H0V345h49v-77.5h48.9c-1.5 5.7-2.3 11.8-2.3 18.2 0 73.1 102.6 91.4 130.2 23.7h-42c-14.7 20.9-45.8 8.9-45.8-14.6h85.5c3.7 30.5 27.4 56.9 60.1 56.9 14.1 0 27-6.9 34.9-18.6h.5V345h212.2l22.1-25 22.3 25H640l-54-60.5zm-446.7-16.6c6.1-26.3 41.7-25.6 46.5 0h-46.5zm153.4 48.9c-34.6 0-34-62.8 0-62.8 32.6 0 34.5 62.8 0 62.8zm167.8 19.1h-94.4V169.4h95v30.2H405v33.9h55.5v28.1h-56.1v44.7h56.1v29.6zm-45.9-39.8v-24.4h56.1v-44l50.7 57-50.7 57v-45.6h-56.1zm138.6 10.3l-26.1 29.5H489l45.6-51.2-45.6-51.2h39.7l26.6 29.3 25.6-29.3h38.5l-45.4 51 46 51.4h-40.5l-26.3-29.5z"],
    "fedora": [448, 512, [], "f798", "M.0413 255.8C.1219 132.2 100.3 32 224 32C347.7 32 448 132.3 448 256C448 379.7 347.8 479.9 224.1 480H50.93C22.84 480 .0832 457.3 .0416 429.2H0V255.8H.0413zM342.6 192.7C342.6 153 307 124.2 269.4 124.2C234.5 124.2 203.6 150.5 199.3 184.1C199.1 187.9 198.9 189.1 198.9 192.6C198.8 213.7 198.9 235.4 198.1 257C199 283.1 199.1 309.1 198.1 333.6C198.1 360.7 178.7 379.1 153.4 379.1C128.1 379.1 107.6 358.9 107.6 333.6C108.1 305.9 130.2 288.3 156.1 287.5H156.3L182.6 287.3V250L156.3 250.2C109.2 249.8 71.72 286.7 70.36 333.6C70.36 379.2 107.9 416.5 153.4 416.5C196.4 416.5 232.1 382.9 236 340.9L236.2 287.4L268.8 287.1C294.1 287.3 293.8 249.3 268.6 249.8L236.2 250.1C236.2 243.7 236.3 237.3 236.3 230.9C236.4 218.2 236.4 205.5 236.2 192.7C236.3 176.2 252 161.5 269.4 161.5C286.9 161.5 305.3 170.2 305.3 192.7C305.3 195.9 305.2 197.8 305 199C303.1 209.5 310.2 219.4 320.7 220.9C331.3 222.4 340.9 214.8 341.9 204.3C342.5 200.1 342.6 196.4 342.6 192.7H342.6z"],
    "figma": [384, 512, [], "f799", "M14 95.79C14 42.89 56.89 0 109.8 0H274.2C327.1 0 369.1 42.89 369.1 95.79C369.1 129.3 352.8 158.8 326.7 175.9C352.8 193 369.1 222.5 369.1 256C369.1 308.9 327.1 351.8 274.2 351.8H272.1C247.3 351.8 224.7 342.4 207.7 326.9V415.2C207.7 468.8 163.7 512 110.3 512C57.54 512 14 469.2 14 416.2C14 382.7 31.19 353.2 57.24 336.1C31.19 318.1 14 289.5 14 256C14 222.5 31.2 193 57.24 175.9C31.2 158.8 14 129.3 14 95.79zM176.3 191.6H109.8C74.22 191.6 45.38 220.4 45.38 256C45.38 291.4 73.99 320.2 109.4 320.4C109.5 320.4 109.7 320.4 109.8 320.4H176.3V191.6zM207.7 256C207.7 291.6 236.5 320.4 272.1 320.4H274.2C309.7 320.4 338.6 291.6 338.6 256C338.6 220.4 309.7 191.6 274.2 191.6H272.1C236.5 191.6 207.7 220.4 207.7 256zM109.8 351.8C109.7 351.8 109.5 351.8 109.4 351.8C73.99 352 45.38 380.8 45.38 416.2C45.38 451.7 74.6 480.6 110.3 480.6C146.6 480.6 176.3 451.2 176.3 415.2V351.8H109.8zM109.8 31.38C74.22 31.38 45.38 60.22 45.38 95.79C45.38 131.4 74.22 160.2 109.8 160.2H176.3V31.38H109.8zM207.7 160.2H274.2C309.7 160.2 338.6 131.4 338.6 95.79C338.6 60.22 309.7 31.38 274.2 31.38H207.7V160.2z"],
    "firefox": [512, 512, [], "f269", "M503.5 241.5c-.12-1.56-.24-3.12-.24-4.68v-.12l-.36-4.68v-.12a245.9 245.9 0 0 0 -7.32-41.15c0-.12 0-.12-.12-.24l-1.08-4c-.12-.24-.12-.48-.24-.6-.36-1.2-.72-2.52-1.08-3.72-.12-.24-.12-.6-.24-.84-.36-1.2-.72-2.4-1.08-3.48-.12-.36-.24-.6-.36-1-.36-1.2-.72-2.28-1.2-3.48l-.36-1.08c-.36-1.08-.84-2.28-1.2-3.36a8.27 8.27 0 0 0 -.36-1c-.48-1.08-.84-2.28-1.32-3.36-.12-.24-.24-.6-.36-.84-.48-1.2-1-2.28-1.44-3.48 0-.12-.12-.24-.12-.36-1.56-3.84-3.24-7.68-5-11.4l-.36-.72c-.48-1-.84-1.8-1.32-2.64-.24-.48-.48-1.08-.72-1.56-.36-.84-.84-1.56-1.2-2.4-.36-.6-.6-1.2-1-1.8s-.84-1.44-1.2-2.28c-.36-.6-.72-1.32-1.08-1.92s-.84-1.44-1.2-2.16a18.07 18.07 0 0 0 -1.2-2c-.36-.72-.84-1.32-1.2-2s-.84-1.32-1.2-2-.84-1.32-1.2-1.92-.84-1.44-1.32-2.16a15.63 15.63 0 0 0 -1.2-1.8L463.2 119a15.63 15.63 0 0 0 -1.2-1.8c-.48-.72-1.08-1.56-1.56-2.28-.36-.48-.72-1.08-1.08-1.56l-1.8-2.52c-.36-.48-.6-.84-1-1.32-1-1.32-1.8-2.52-2.76-3.72a248.8 248.8 0 0 0 -23.51-26.64A186.8 186.8 0 0 0 412 62.46c-4-3.48-8.16-6.72-12.48-9.84a162.5 162.5 0 0 0 -24.6-15.12c-2.4-1.32-4.8-2.52-7.2-3.72a254 254 0 0 0 -55.43-19.56c-1.92-.36-3.84-.84-5.64-1.2h-.12c-1-.12-1.8-.36-2.76-.48a236.4 236.4 0 0 0 -38-4H255.1a234.6 234.6 0 0 0 -45.48 5c-33.59 7.08-63.23 21.24-82.91 39-1.08 1-1.92 1.68-2.4 2.16l-.48 .48H124l-.12 .12 .12-.12a.12 .12 0 0 0 .12-.12l-.12 .12a.42 .42 0 0 1 .24-.12c14.64-8.76 34.92-16 49.44-19.56l5.88-1.44c.36-.12 .84-.12 1.2-.24 1.68-.36 3.36-.72 5.16-1.08 .24 0 .6-.12 .84-.12C250.9 20.94 319.3 40.14 367 85.61a171.5 171.5 0 0 1 26.88 32.76c30.36 49.2 27.48 111.1 3.84 147.6-34.44 53-111.3 71.27-159 24.84a84.19 84.19 0 0 1 -25.56-59 74.05 74.05 0 0 1 6.24-31c1.68-3.84 13.08-25.67 18.24-24.59-13.08-2.76-37.55 2.64-54.71 28.19-15.36 22.92-14.52 58.2-5 83.28a132.9 132.9 0 0 1 -12.12-39.24c-12.24-82.55 43.31-153 94.31-170.5-27.48-24-96.47-22.31-147.7 15.36-29.88 22-51.23 53.16-62.51 90.36 1.68-20.88 9.6-52.08 25.8-83.88-17.16 8.88-39 37-49.8 62.88-15.6 37.43-21 82.19-16.08 124.8 .36 3.24 .72 6.36 1.08 9.6 19.92 117.1 122 206.4 244.8 206.4C392.8 503.4 504 392.2 504 255 503.9 250.5 503.8 245.9 503.5 241.5z"],
    "firefox-browser": [512, 512, [], "e007", "M130.2 127.5C130.4 127.6 130.3 127.6 130.2 127.5V127.5zM481.6 172.9C471 147.4 449.6 119.9 432.7 111.2C446.4 138.1 454.4 165 457.4 185.2C457.4 185.3 457.4 185.4 457.5 185.6C429.9 116.8 383.1 89.11 344.9 28.75C329.9 5.058 333.1 3.518 331.8 4.088L331.7 4.158C284.1 30.11 256.4 82.53 249.1 126.9C232.5 127.8 216.2 131.9 201.2 139C199.8 139.6 198.7 140.7 198.1 142C197.4 143.4 197.2 144.9 197.5 146.3C197.7 147.2 198.1 147.1 198.6 148.6C199.1 149.3 199.8 149.9 200.5 150.3C201.3 150.7 202.1 150.1 202.1 151.1C203.8 151.1 204.7 151 205.5 150.8L206 150.6C221.5 143.3 238.4 139.4 255.5 139.2C318.4 138.7 352.7 183.3 363.2 201.5C350.2 192.4 326.8 183.3 304.3 187.2C392.1 231.1 368.5 381.8 246.1 376.4C187.5 373.8 149.9 325.5 146.4 285.6C146.4 285.6 157.7 243.7 227 243.7C234.5 243.7 255.1 222.8 256.4 216.7C256.3 214.7 213.8 197.8 197.3 181.5C188.4 172.8 184.2 168.6 180.5 165.5C178.5 163.8 176.4 162.2 174.2 160.7C168.6 141.2 168.4 120.6 173.5 101.1C148.4 112.5 128.1 130.5 114.8 146.4H114.7C105 134.2 105.7 93.78 106.3 85.35C106.1 84.82 99.02 89.02 98.1 89.66C89.53 95.71 81.55 102.6 74.26 110.1C57.97 126.7 30.13 160.2 18.76 211.3C14.22 231.7 12 255.7 12 263.6C12 398.3 121.2 507.5 255.9 507.5C376.6 507.5 478.9 420.3 496.4 304.9C507.9 228.2 481.6 173.8 481.6 172.9z"],
    "first-order": [448, 512, [], "f2b0", "M12.9 229.2c.1-.1 .2-.3 .3-.4 0 .1 0 .3-.1 .4h-.2zM224 96.6c-7.1 0-14.6 .6-21.4 1.7l3.7 67.4-22-64c-14.3 3.7-27.7 9.4-40 16.6l29.4 61.4-45.1-50.9c-11.4 8.9-21.7 19.1-30.6 30.9l50.6 45.4-61.1-29.7c-7.1 12.3-12.9 25.7-16.6 40l64.3 22.6-68-4c-.9 7.1-1.4 14.6-1.4 22s.6 14.6 1.4 21.7l67.7-4-64 22.6c3.7 14.3 9.4 27.7 16.6 40.3l61.1-29.7L97.7 352c8.9 11.7 19.1 22.3 30.9 30.9l44.9-50.9-29.5 61.4c12.3 7.4 25.7 13.1 40 16.9l22.3-64.6-4 68c7.1 1.1 14.6 1.7 21.7 1.7 7.4 0 14.6-.6 21.7-1.7l-4-68.6 22.6 65.1c14.3-4 27.7-9.4 40-16.9L274.9 332l44.9 50.9c11.7-8.9 22-19.1 30.6-30.9l-50.6-45.1 61.1 29.4c7.1-12.3 12.9-25.7 16.6-40.3l-64-22.3 67.4 4c1.1-7.1 1.4-14.3 1.4-21.7s-.3-14.9-1.4-22l-67.7 4 64-22.3c-3.7-14.3-9.1-28-16.6-40.3l-60.9 29.7 50.6-45.4c-8.9-11.7-19.1-22-30.6-30.9l-45.1 50.9 29.4-61.1c-12.3-7.4-25.7-13.1-40-16.9L241.7 166l4-67.7c-7.1-1.2-14.3-1.7-21.7-1.7zM443.4 128v256L224 512 4.6 384V128L224 0l219.4 128zm-17.1 10.3L224 20.9 21.7 138.3v235.1L224 491.1l202.3-117.7V138.3zM224 37.1l187.7 109.4v218.9L224 474.9 36.3 365.4V146.6L224 37.1zm0 50.9c-92.3 0-166.9 75.1-166.9 168 0 92.6 74.6 167.7 166.9 167.7 92 0 166.9-75.1 166.9-167.7 0-92.9-74.9-168-166.9-168z"],
    "first-order-alt": [496, 512, [], "f50a", "M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S384.1 8 248 8zm0 488.2C115.3 496.2 7.79 388.7 7.79 256S115.3 15.79 248 15.79 488.2 123.3 488.2 256 380.7 496.2 248 496.2zm0-459.9C126.7 36.29 28.29 134.7 28.29 256S126.7 475.7 248 475.7 467.7 377.3 467.7 256 369.3 36.29 248 36.29zm0 431.2c-116.8 0-211.5-94.69-211.5-211.5S131.2 44.49 248 44.49 459.5 139.2 459.5 256 364.8 467.5 248 467.5zm186.2-162.1a191.6 191.6 0 0 1 -20.13 48.69l-74.13-35.88 61.48 54.82a193.5 193.5 0 0 1 -37.2 37.29l-54.8-61.57 35.88 74.27a190.9 190.9 0 0 1 -48.63 20.23l-27.29-78.47 4.79 82.93c-8.61 1.18-17.4 1.8-26.33 1.8s-17.72-.62-26.33-1.8l4.76-82.46-27.15 78.03a191.4 191.4 0 0 1 -48.65-20.2l35.93-74.34-54.87 61.64a193.9 193.9 0 0 1 -37.22-37.28l61.59-54.9-74.26 35.93a191.6 191.6 0 0 1 -20.14-48.69l77.84-27.11-82.23 4.76c-1.16-8.57-1.78-17.32-1.78-26.21 0-9 .63-17.84 1.82-26.51l82.38 4.77-77.94-27.16a191.7 191.7 0 0 1 20.23-48.67l74.22 35.92-61.52-54.86a193.9 193.9 0 0 1 37.28-37.22l54.76 61.53-35.83-74.17a191.5 191.5 0 0 1 48.65-20.13l26.87 77.25-4.71-81.61c8.61-1.18 17.39-1.8 26.32-1.8s17.71 .62 26.32 1.8l-4.74 82.16 27.05-77.76c17.27 4.5 33.6 11.35 48.63 20.17l-35.82 74.12 54.72-61.47a193.1 193.1 0 0 1 37.24 37.23l-61.45 54.77 74.12-35.86a191.5 191.5 0 0 1 20.2 48.65l-77.81 27.1 82.24-4.75c1.19 8.66 1.82 17.5 1.82 26.49 0 8.88-.61 17.63-1.78 26.19l-82.12-4.75 77.72 27.09z"],
    "firstdraft": [384, 512, [], "f3a1", "M384 192h-64v128H192v128H0v-25.6h166.4v-128h128v-128H384V192zm-25.6 38.4v128h-128v128H64V512h192V384h128V230.4h-25.6zm25.6 192h-89.6V512H320v-64h64v-25.6zM0 0v384h128V256h128V128h128V0H0z"],
    "flickr": [448, 512, [], "f16e", "M400 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zM144.5 319c-35.1 0-63.5-28.4-63.5-63.5s28.4-63.5 63.5-63.5 63.5 28.4 63.5 63.5-28.4 63.5-63.5 63.5zm159 0c-35.1 0-63.5-28.4-63.5-63.5s28.4-63.5 63.5-63.5 63.5 28.4 63.5 63.5-28.4 63.5-63.5 63.5z"],
    "flipboard": [448, 512, [], "f44d", "M0 32v448h448V32H0zm358.4 179.2h-89.6v89.6h-89.6v89.6H89.6V121.6h268.8v89.6z"],
    "fly": [384, 512, [], "f417", "M197.8 427.8c12.9 11.7 33.7 33.3 33.2 50.7 0 .8-.1 1.6-.1 2.5-1.8 19.8-18.8 31.1-39.1 31-25-.1-39.9-16.8-38.7-35.8 1-16.2 20.5-36.7 32.4-47.6 2.3-2.1 2.7-2.7 5.6-3.6 3.4 0 3.9 .3 6.7 2.8zM331.9 67.3c-16.3-25.7-38.6-40.6-63.3-52.1C243.1 4.5 214-.2 192 0c-44.1 0-71.2 13.2-81.1 17.3C57.3 45.2 26.5 87.2 28 158.6c7.1 82.2 97 176 155.8 233.8 1.7 1.6 4.5 4.5 6.2 5.1l3.3 .1c2.1-.7 1.8-.5 3.5-2.1 52.3-49.2 140.7-145.8 155.9-215.7 7-39.2 3.1-72.5-20.8-112.5zM186.8 351.9c-28-51.1-65.2-130.7-69.3-189-3.4-47.5 11.4-131.2 69.3-136.7v325.7zM328.7 180c-16.4 56.8-77.3 128-118.9 170.3C237.6 298.4 275 217 277 158.4c1.6-45.9-9.8-105.8-48-131.4 88.8 18.3 115.5 98.1 99.7 153z"],
    "font-awesome": [448, 512, [62694, 62501, "font-awesome-flag", "font-awesome-logo-full"], "f2b4", "M448 48V384C385 407 366 416 329 416C266 416 242 384 179 384C159 384 143 388 128 392V328C143 324 159 320 179 320C242 320 266 352 329 352C349 352 364 349 384 343V135C364 141 349 144 329 144C266 144 242 112 179 112C128 112 104 133 64 141V448C64 466 50 480 32 480S0 466 0 448V64C0 46 14 32 32 32S64 46 64 64V77C104 69 128 48 179 48C242 48 266 80 329 80C366 80 385 71 448 48z"],
    "fonticons": [448, 512, [], "f280", "M0 32v448h448V32zm187 140.9c-18.4 0-19 9.9-19 27.4v23.3c0 2.4-3.5 4.4-.6 4.4h67.4l-11.1 37.3H168v112.9c0 5.8-2 6.7 3.2 7.3l43.5 4.1v25.1H84V389l21.3-2c5.2-.6 6.7-2.3 6.7-7.9V267.7c0-2.3-2.9-2.3-5.8-2.3H84V228h28v-21c0-49.6 26.5-70 77.3-70 34.1 0 64.7 8.2 64.7 52.8l-50.7 6.1c.3-18.7-4.4-23-16.3-23zm74.3 241.8v-25.1l20.4-2.6c5.2-.6 7.6-1.7 7.6-7.3V271.8c0-4.1-2.9-6.7-6.7-7.9l-24.2-6.4 6.7-29.5h80.2v151.7c0 5.8-2.6 6.4 2.9 7.3l15.7 2.6v25.1zm80.8-255.5l9 33.2-7.3 7.3-31.2-16.6-31.2 16.6-7.3-7.3 9-33.2-21.8-24.2 3.5-9.6h27.7l15.5-28h9.3l15.5 28h27.7l3.5 9.6z"],
    "fonticons-fi": [384, 512, [], "f3a2", "M114.4 224h92.4l-15.2 51.2h-76.4V433c0 8-2.8 9.2 4.4 10l59.6 5.6V483H0v-35.2l29.2-2.8c7.2-.8 9.2-3.2 9.2-10.8V278.4c0-3.2-4-3.2-8-3.2H0V224h38.4v-28.8c0-68 36.4-96 106-96 46.8 0 88.8 11.2 88.8 72.4l-69.6 8.4c.4-25.6-6-31.6-22.4-31.6-25.2 0-26 13.6-26 37.6v32c0 3.2-4.8 6-.8 6zM384 483H243.2v-34.4l28-3.6c7.2-.8 10.4-2.4 10.4-10V287c0-5.6-4-9.2-9.2-10.8l-33.2-8.8 9.2-40.4h110v208c0 8-3.6 8.8 4 10l21.6 3.6V483zm-30-347.2l12.4 45.6-10 10-42.8-22.8-42.8 22.8-10-10 12.4-45.6-30-36.4 4.8-10h38L307.2 51H320l21.2 38.4h38l4.8 13.2-30 33.2z"],
    "fort-awesome": [512, 512, [], "f286", "M489.2 287.9h-27.4c-2.6 0-4.6 2-4.6 4.6v32h-36.6V146.2c0-2.6-2-4.6-4.6-4.6h-27.4c-2.6 0-4.6 2-4.6 4.6v32h-36.6v-32c0-2.6-2-4.6-4.6-4.6h-27.4c-2.6 0-4.6 2-4.6 4.6v32h-36.6v-32c0-6-8-4.6-11.7-4.6v-38c8.3-2 17.1-3.4 25.7-3.4 10.9 0 20.9 4.3 31.4 4.3 4.6 0 27.7-1.1 27.7-8v-60c0-2.6-2-4.6-4.6-4.6-5.1 0-15.1 4.3-24 4.3-9.7 0-20.9-4.3-32.6-4.3-8 0-16 1.1-23.7 2.9v-4.9c5.4-2.6 9.1-8.3 9.1-14.3 0-20.7-31.4-20.8-31.4 0 0 6 3.7 11.7 9.1 14.3v111.7c-3.7 0-11.7-1.4-11.7 4.6v32h-36.6v-32c0-2.6-2-4.6-4.6-4.6h-27.4c-2.6 0-4.6 2-4.6 4.6v32H128v-32c0-2.6-2-4.6-4.6-4.6H96c-2.6 0-4.6 2-4.6 4.6v178.3H54.8v-32c0-2.6-2-4.6-4.6-4.6H22.8c-2.6 0-4.6 2-4.6 4.6V512h182.9v-96c0-72.6 109.7-72.6 109.7 0v96h182.9V292.5c.1-2.6-1.9-4.6-4.5-4.6zm-288.1-4.5c0 2.6-2 4.6-4.6 4.6h-27.4c-2.6 0-4.6-2-4.6-4.6v-64c0-2.6 2-4.6 4.6-4.6h27.4c2.6 0 4.6 2 4.6 4.6v64zm146.4 0c0 2.6-2 4.6-4.6 4.6h-27.4c-2.6 0-4.6-2-4.6-4.6v-64c0-2.6 2-4.6 4.6-4.6h27.4c2.6 0 4.6 2 4.6 4.6v64z"],
    "fort-awesome-alt": [512, 512, [], "f3a3", "M208 237.4h-22.2c-2.1 0-3.7 1.6-3.7 3.7v51.7c0 2.1 1.6 3.7 3.7 3.7H208c2.1 0 3.7-1.6 3.7-3.7v-51.7c0-2.1-1.6-3.7-3.7-3.7zm118.2 0H304c-2.1 0-3.7 1.6-3.7 3.7v51.7c0 2.1 1.6 3.7 3.7 3.7h22.2c2.1 0 3.7-1.6 3.7-3.7v-51.7c-.1-2.1-1.7-3.7-3.7-3.7zm132-125.1c-2.3-3.2-4.6-6.4-7.1-9.5-9.8-12.5-20.8-24-32.8-34.4-4.5-3.9-9.1-7.6-13.9-11.2-1.6-1.2-3.2-2.3-4.8-3.5C372 34.1 340.3 20 306 13c-16.2-3.3-32.9-5-50-5s-33.9 1.7-50 5c-34.3 7.1-66 21.2-93.3 40.8-1.6 1.1-3.2 2.3-4.8 3.5-4.8 3.6-9.4 7.3-13.9 11.2-3 2.6-5.9 5.3-8.8 8s-5.7 5.5-8.4 8.4c-5.5 5.7-10.7 11.8-15.6 18-2.4 3.1-4.8 6.3-7.1 9.5C25.2 153 8.3 202.5 8.3 256c0 2 .1 4 .1 6 .1 .7 .1 1.3 .1 2 .1 1.3 .1 2.7 .2 4 0 .8 .1 1.5 .1 2.3 0 1.3 .1 2.5 .2 3.7 .1 .8 .1 1.6 .2 2.4 .1 1.1 .2 2.3 .3 3.5 0 .8 .1 1.6 .2 2.4 .1 1.2 .3 2.4 .4 3.6 .1 .8 .2 1.5 .3 2.3 .1 1.3 .3 2.6 .5 3.9 .1 .6 .2 1.3 .3 1.9l.9 5.7c.1 .6 .2 1.1 .3 1.7 .3 1.3 .5 2.7 .8 4 .2 .8 .3 1.6 .5 2.4 .2 1 .5 2.1 .7 3.2 .2 .9 .4 1.7 .6 2.6 .2 1 .4 2 .7 3 .2 .9 .5 1.8 .7 2.7 .3 1 .5 1.9 .8 2.9 .3 .9 .5 1.8 .8 2.7 .2 .9 .5 1.9 .8 2.8s.5 1.8 .8 2.7c.3 1 .6 1.9 .9 2.8 .6 1.6 1.1 3.3 1.7 4.9 .4 1 .7 1.9 1 2.8 .3 1 .7 2 1.1 3 .3 .8 .6 1.5 .9 2.3l1.2 3c.3 .7 .6 1.5 .9 2.2 .4 1 .9 2 1.3 3l.9 2.1c.5 1 .9 2 1.4 3 .3 .7 .6 1.3 .9 2 .5 1 1 2.1 1.5 3.1 .2 .6 .5 1.1 .8 1.7 .6 1.1 1.1 2.2 1.7 3.3 .1 .2 .2 .3 .3 .5 2.2 4.1 4.4 8.2 6.8 12.2 .2 .4 .5 .8 .7 1.2 .7 1.1 1.3 2.2 2 3.3 .3 .5 .6 .9 .9 1.4 .6 1.1 1.3 2.1 2 3.2 .3 .5 .6 .9 .9 1.4 .7 1.1 1.4 2.1 2.1 3.2 .2 .4 .5 .8 .8 1.2 .7 1.1 1.5 2.2 2.3 3.3 .2 .2 .3 .5 .5 .7 37.5 51.7 94.4 88.5 160 99.4 .9 .1 1.7 .3 2.6 .4 1 .2 2.1 .4 3.1 .5s1.9 .3 2.8 .4c1 .2 2 .3 3 .4 .9 .1 1.9 .2 2.9 .3s1.9 .2 2.9 .3 2.1 .2 3.1 .3c.9 .1 1.8 .1 2.7 .2 1.1 .1 2.3 .1 3.4 .2 .8 0 1.7 .1 2.5 .1 1.3 0 2.6 .1 3.9 .1 .7 .1 1.4 .1 2.1 .1 2 .1 4 .1 6 .1s4-.1 6-.1c.7 0 1.4-.1 2.1-.1 1.3 0 2.6 0 3.9-.1 .8 0 1.7-.1 2.5-.1 1.1-.1 2.3-.1 3.4-.2 .9 0 1.8-.1 2.7-.2 1-.1 2.1-.2 3.1-.3s1.9-.2 2.9-.3c.9-.1 1.9-.2 2.9-.3s2-.3 3-.4 1.9-.3 2.8-.4c1-.2 2.1-.3 3.1-.5 .9-.1 1.7-.3 2.6-.4 65.6-11 122.5-47.7 160.1-102.4 .2-.2 .3-.5 .5-.7 .8-1.1 1.5-2.2 2.3-3.3 .2-.4 .5-.8 .8-1.2 .7-1.1 1.4-2.1 2.1-3.2 .3-.5 .6-.9 .9-1.4 .6-1.1 1.3-2.1 2-3.2 .3-.5 .6-.9 .9-1.4 .7-1.1 1.3-2.2 2-3.3 .2-.4 .5-.8 .7-1.2 2.4-4 4.6-8.1 6.8-12.2 .1-.2 .2-.3 .3-.5 .6-1.1 1.1-2.2 1.7-3.3 .2-.6 .5-1.1 .8-1.7 .5-1 1-2.1 1.5-3.1 .3-.7 .6-1.3 .9-2 .5-1 1-2 1.4-3l.9-2.1c.5-1 .9-2 1.3-3 .3-.7 .6-1.5 .9-2.2l1.2-3c.3-.8 .6-1.5 .9-2.3 .4-1 .7-2 1.1-3s.7-1.9 1-2.8c.6-1.6 1.2-3.3 1.7-4.9 .3-1 .6-1.9 .9-2.8s.5-1.8 .8-2.7c.2-.9 .5-1.9 .8-2.8s.6-1.8 .8-2.7c.3-1 .5-1.9 .8-2.9 .2-.9 .5-1.8 .7-2.7 .2-1 .5-2 .7-3 .2-.9 .4-1.7 .6-2.6 .2-1 .5-2.1 .7-3.2 .2-.8 .3-1.6 .5-2.4 .3-1.3 .6-2.7 .8-4 .1-.6 .2-1.1 .3-1.7l.9-5.7c.1-.6 .2-1.3 .3-1.9 .1-1.3 .3-2.6 .5-3.9 .1-.8 .2-1.5 .3-2.3 .1-1.2 .3-2.4 .4-3.6 0-.8 .1-1.6 .2-2.4 .1-1.1 .2-2.3 .3-3.5 .1-.8 .1-1.6 .2-2.4 .1 1.7 .1 .5 .2-.7 0-.8 .1-1.5 .1-2.3 .1-1.3 .2-2.7 .2-4 .1-.7 .1-1.3 .1-2 .1-2 .1-4 .1-6 0-53.5-16.9-103-45.8-143.7zM448 371.5c-9.4 15.5-20.6 29.9-33.6 42.9-20.6 20.6-44.5 36.7-71.2 48-13.9 5.8-28.2 10.3-42.9 13.2v-75.8c0-58.6-88.6-58.6-88.6 0v75.8c-14.7-2.9-29-7.3-42.9-13.2-26.7-11.3-50.6-27.4-71.2-48-13-13-24.2-27.4-33.6-42.9v-71.3c0-2.1 1.6-3.7 3.7-3.7h22.1c2.1 0 3.7 1.6 3.7 3.7V326h29.6V182c0-2.1 1.6-3.7 3.7-3.7h22.1c2.1 0 3.7 1.6 3.7 3.7v25.9h29.5V182c0-2.1 1.6-3.7 3.7-3.7H208c2.1 0 3.7 1.6 3.7 3.7v25.9h29.5V182c0-4.8 6.5-3.7 9.5-3.7V88.1c-4.4-2-7.4-6.7-7.4-11.5 0-16.8 25.4-16.8 25.4 0 0 4.8-3 9.4-7.4 11.5V92c6.3-1.4 12.7-2.3 19.2-2.3 9.4 0 18.4 3.5 26.3 3.5 7.2 0 15.2-3.5 19.4-3.5 2.1 0 3.7 1.6 3.7 3.7v48.4c0 5.6-18.7 6.5-22.4 6.5-8.6 0-16.6-3.5-25.4-3.5-7 0-14.1 1.2-20.8 2.8v30.7c3 0 9.5-1.1 9.5 3.7v25.9h29.5V182c0-2.1 1.6-3.7 3.7-3.7h22.2c2.1 0 3.7 1.6 3.7 3.7v25.9h29.5V182c0-2.1 1.6-3.7 3.7-3.7h22.1c2.1 0 3.7 1.6 3.7 3.7v144h29.5v-25.8c0-2.1 1.6-3.7 3.7-3.7h22.2c2.1 0 3.7 1.6 3.7 3.7z"],
    "forumbee": [448, 512, [], "f211", "M5.8 309.7C2 292.7 0 275.5 0 258.3 0 135 99.8 35 223.1 35c16.6 0 33.3 2 49.3 5.5C149 87.5 51.9 186 5.8 309.7zm392.9-189.2C385 103 369 87.8 350.9 75.2c-149.6 44.3-266.3 162.1-309.7 312 12.5 18.1 28 35.6 45.2 49 43.1-151.3 161.2-271.7 312.3-315.7zm15.8 252.7c15.2-25.1 25.4-53.7 29.5-82.8-79.4 42.9-145 110.6-187.6 190.3 30-4.4 58.9-15.3 84.6-31.3 35 13.1 70.9 24.3 107 33.6-9.3-36.5-20.4-74.5-33.5-109.8zm29.7-145.5c-2.6-19.5-7.9-38.7-15.8-56.8C290.5 216.7 182 327.5 137.1 466c18.1 7.6 37 12.5 56.6 15.2C240 367.1 330.5 274.4 444.2 227.7z"],
    "foursquare": [368, 512, [], "f180", "M323.1 3H49.9C12.4 3 0 31.3 0 49.1v433.8c0 20.3 12.1 27.7 18.2 30.1 6.2 2.5 22.8 4.6 32.9-7.1C180 356.5 182.2 354 182.2 354c3.1-3.4 3.4-3.1 6.8-3.1h83.4c35.1 0 40.6-25.2 44.3-39.7l48.6-243C373.8 25.8 363.1 3 323.1 3zm-16.3 73.8l-11.4 59.7c-1.2 6.5-9.5 13.2-16.9 13.2H172.1c-12 0-20.6 8.3-20.6 20.3v13c0 12 8.6 20.6 20.6 20.6h90.4c8.3 0 16.6 9.2 14.8 18.2-1.8 8.9-10.5 53.8-11.4 58.8-.9 4.9-6.8 13.5-16.9 13.5h-73.5c-13.5 0-17.2 1.8-26.5 12.6 0 0-8.9 11.4-89.5 108.3-.9 .9-1.8 .6-1.8-.3V75.9c0-7.7 6.8-16.6 16.6-16.6h219c8.2 0 15.6 7.7 13.5 17.5z"],
    "free-code-camp": [576, 512, [], "f2c5", "M97.22 96.21c10.36-10.65 16-17.12 16-21.9 0-2.76-1.92-5.51-3.83-7.42A14.81 14.81 0 0 0 101 64.05c-8.48 0-20.92 8.79-35.84 25.69C23.68 137 2.51 182.8 3.37 250.3s17.47 117 54.06 161.9C76.22 435.9 90.62 448 100.9 448a13.55 13.55 0 0 0 8.37-3.84c1.91-2.76 3.81-5.63 3.81-8.38 0-5.63-3.86-12.2-13.2-20.55-44.45-42.33-67.32-97-67.48-165C32.25 188.8 54 137.8 97.22 96.21zM239.5 420.1c.58 .37 .91 .55 .91 .55zm93.79 .55 .17-.13C333.2 420.6 333.2 420.7 333.3 420.6zm3.13-158.2c-16.24-4.15 50.41-82.89-68.05-177.2 0 0 15.54 49.38-62.83 159.6-74.27 104.3 23.46 168.7 34 175.2-6.73-4.35-47.4-35.7 9.55-128.6 11-18.3 25.53-34.87 43.5-72.16 0 0 15.91 22.45 7.6 71.13C287.7 364 354 342.9 355 343.9c22.75 26.78-17.72 73.51-21.58 76.55 5.49-3.65 117.7-78 33-188.1C360.4 238.4 352.6 266.6 336.4 262.4zM510.9 89.69C496 72.79 483.5 64 475 64a14.81 14.81 0 0 0 -8.39 2.84c-1.91 1.91-3.83 4.66-3.83 7.42 0 4.78 5.6 11.26 16 21.9 43.23 41.61 65 92.59 64.82 154.1-.16 68-23 122.6-67.48 165-9.34 8.35-13.18 14.92-13.2 20.55 0 2.75 1.9 5.62 3.81 8.38A13.61 13.61 0 0 0 475.1 448c10.28 0 24.68-12.13 43.47-35.79 36.59-44.85 53.14-94.38 54.06-161.9S552.3 137 510.9 89.69z"],
    "freebsd": [448, 512, [], "f3a4", "M303.7 96.2c11.1-11.1 115.5-77 139.2-53.2 23.7 23.7-42.1 128.1-53.2 139.2-11.1 11.1-39.4 .9-63.1-22.9-23.8-23.7-34.1-52-22.9-63.1zM109.9 68.1C73.6 47.5 22 24.6 5.6 41.1c-16.6 16.6 7.1 69.4 27.9 105.7 18.5-32.2 44.8-59.3 76.4-78.7zM406.7 174c3.3 11.3 2.7 20.7-2.7 26.1-20.3 20.3-87.5-27-109.3-70.1-18-32.3-11.1-53.4 14.9-48.7 5.7-3.6 12.3-7.6 19.6-11.6-29.8-15.5-63.6-24.3-99.5-24.3-119.1 0-215.6 96.5-215.6 215.6 0 119 96.5 215.6 215.6 215.6S445.3 380.1 445.3 261c0-38.4-10.1-74.5-27.7-105.8-3.9 7-7.6 13.3-10.9 18.8z"],
    "fulcrum": [320, 512, [], "f50b", "M95.75 164.1l-35.38 43.55L25 164.1l35.38-43.55zM144.2 0l-20.54 198.2L72.72 256l51 57.82L144.2 512V300.9L103.2 256l41.08-44.89zm79.67 164.1l35.38 43.55 35.38-43.55-35.38-43.55zm-48.48 47L216.5 256l-41.08 44.89V512L196 313.8 247 256l-51-57.82L175.4 0z"],
    "galactic-republic": [496, 512, [], "f50c", "M248 504C111.3 504 0 392.8 0 256S111.3 8 248 8s248 111.3 248 248-111.3 248-248 248zm0-479.5C120.4 24.53 16.53 128.4 16.53 256S120.4 487.5 248 487.5 479.5 383.6 479.5 256 375.6 24.53 248 24.53zm27.62 21.81v24.62a185.9 185.9 0 0 1 83.57 34.54l17.39-17.36c-28.75-22.06-63.3-36.89-100.1-41.8zm-55.37 .07c-37.64 4.94-72.16 19.8-100.9 41.85l17.28 17.36h.08c24.07-17.84 52.55-30.06 83.52-34.67V46.41zm12.25 50.17v82.87c-10.04 2.03-19.42 5.94-27.67 11.42l-58.62-58.59-21.93 21.93 58.67 58.67c-5.47 8.23-9.45 17.59-11.47 27.62h-82.9v31h82.9c2.02 10.02 6.01 19.31 11.47 27.54l-58.67 58.69 21.93 21.93 58.62-58.62a77.87 77.87 0 0 0 27.67 11.47v82.9h31v-82.9c10.05-2.03 19.37-6.06 27.62-11.55l58.67 58.69 21.93-21.93-58.67-58.69c5.46-8.23 9.47-17.52 11.5-27.54h82.87v-31h-82.87c-2.02-10.02-6.03-19.38-11.5-27.62l58.67-58.67-21.93-21.93-58.67 58.67c-8.25-5.49-17.57-9.47-27.62-11.5V96.58h-31zm183.2 30.72l-17.36 17.36a186.3 186.3 0 0 1 34.67 83.67h24.62c-4.95-37.69-19.83-72.29-41.93-101zm-335.5 .13c-22.06 28.72-36.91 63.26-41.85 100.9h24.65c4.6-30.96 16.76-59.45 34.59-83.52l-17.39-17.39zM38.34 283.7c4.92 37.64 19.75 72.18 41.8 100.9l17.36-17.39c-17.81-24.07-29.92-52.57-34.51-83.52H38.34zm394.7 0c-4.61 30.99-16.8 59.5-34.67 83.6l17.36 17.36c22.08-28.74 36.98-63.29 41.93-100.1h-24.62zM136.7 406.4l-17.36 17.36c28.73 22.09 63.3 36.98 100.1 41.93v-24.64c-30.99-4.63-59.53-16.79-83.6-34.65zm222.5 .05c-24.09 17.84-52.58 30.08-83.57 34.67v24.57c37.67-4.92 72.21-19.79 100.1-41.85l-17.31-17.39h-.08z"],
    "galactic-senate": [512, 512, [], "f50d", "M249.9 33.48v26.07C236.3 80.17 226 168.1 225.4 274.9c11.74-15.62 19.13-33.33 19.13-48.24v-16.88c-.03-5.32 .75-10.53 2.19-15.65 .65-2.14 1.39-4.08 2.62-5.82 1.23-1.75 3.43-3.79 6.68-3.79 3.24 0 5.45 2.05 6.68 3.79 1.23 1.75 1.97 3.68 2.62 5.82 1.44 5.12 2.22 10.33 2.19 15.65v16.88c0 14.91 7.39 32.62 19.13 48.24-.63-106.8-10.91-194.7-24.49-215.4V33.48h-12.28zm-26.34 147.8c-9.52 2.15-18.7 5.19-27.46 9.08 8.9 16.12 9.76 32.64 1.71 37.29-8 4.62-21.85-4.23-31.36-19.82-11.58 8.79-21.88 19.32-30.56 31.09 14.73 9.62 22.89 22.92 18.32 30.66-4.54 7.7-20.03 7.14-35.47-.96-5.78 13.25-9.75 27.51-11.65 42.42 9.68 .18 18.67 2.38 26.18 6.04 17.78-.3 32.77-1.96 40.49-4.22 5.55-26.35 23.02-48.23 46.32-59.51 .73-25.55 1.88-49.67 3.48-72.07zm64.96 0c1.59 22.4 2.75 46.52 3.47 72.07 23.29 11.28 40.77 33.16 46.32 59.51 7.72 2.26 22.71 3.92 40.49 4.22 7.51-3.66 16.5-5.85 26.18-6.04-1.9-14.91-5.86-29.17-11.65-42.42-15.44 8.1-30.93 8.66-35.47 .96-4.57-7.74 3.6-21.05 18.32-30.66-8.68-11.77-18.98-22.3-30.56-31.09-9.51 15.59-23.36 24.44-31.36 19.82-8.05-4.65-7.19-21.16 1.71-37.29a147.5 147.5 0 0 0 -27.45-9.08zm-32.48 8.6c-3.23 0-5.86 8.81-6.09 19.93h-.05v16.88c0 41.42-49.01 95.04-93.49 95.04-52 0-122.8-1.45-156.4 29.17v2.51c9.42 17.12 20.58 33.17 33.18 47.97C45.7 380.3 84.77 360.4 141.2 360c45.68 1.02 79.03 20.33 90.76 40.87 .01 .01-.01 .04 0 .05 7.67 2.14 15.85 3.23 24.04 3.21 8.19 .02 16.37-1.07 24.04-3.21 .01-.01-.01-.04 0-.05 11.74-20.54 45.08-39.85 90.76-40.87 56.43 .39 95.49 20.26 108 41.35 12.6-14.8 23.76-30.86 33.18-47.97v-2.51c-33.61-30.62-104.4-29.17-156.4-29.17-44.48 0-93.49-53.62-93.49-95.04v-16.88h-.05c-.23-11.12-2.86-19.93-6.09-19.93zm0 96.59c22.42 0 40.6 18.18 40.6 40.6s-18.18 40.65-40.6 40.65-40.6-18.23-40.6-40.65c0-22.42 18.18-40.6 40.6-40.6zm0 7.64c-18.19 0-32.96 14.77-32.96 32.96S237.8 360 256 360s32.96-14.77 32.96-32.96-14.77-32.96-32.96-32.96zm0 6.14c14.81 0 26.82 12.01 26.82 26.82s-12.01 26.82-26.82 26.82-26.82-12.01-26.82-26.82 12.01-26.82 26.82-26.82zm-114.8 66.67c-10.19 .07-21.6 .36-30.5 1.66 .43 4.42 1.51 18.63 7.11 29.76 9.11-2.56 18.36-3.9 27.62-3.9 41.28 .94 71.48 34.35 78.26 74.47l.11 4.7c10.4 1.91 21.19 2.94 32.21 2.94 11.03 0 21.81-1.02 32.21-2.94l.11-4.7c6.78-40.12 36.98-73.53 78.26-74.47 9.26 0 18.51 1.34 27.62 3.9 5.6-11.13 6.68-25.34 7.11-29.76-8.9-1.3-20.32-1.58-30.5-1.66-18.76 .42-35.19 4.17-48.61 9.67-12.54 16.03-29.16 30.03-49.58 33.07-.09 .02-.17 .04-.27 .05-.05 .01-.11 .04-.16 .05-5.24 1.07-10.63 1.6-16.19 1.6-5.55 0-10.95-.53-16.19-1.6-.05-.01-.11-.04-.16-.05-.1-.02-.17-.04-.27-.05-20.42-3.03-37.03-17.04-49.58-33.07-13.42-5.49-29.86-9.25-48.61-9.67z"],
    "get-pocket": [448, 512, [], "f265", "M407.6 64h-367C18.5 64 0 82.5 0 104.6v135.2C0 364.5 99.7 464 224.2 464c124 0 223.8-99.5 223.8-224.2V104.6c0-22.4-17.7-40.6-40.4-40.6zm-162 268.5c-12.4 11.8-31.4 11.1-42.4 0C89.5 223.6 88.3 227.4 88.3 209.3c0-16.9 13.8-30.7 30.7-30.7 17 0 16.1 3.8 105.2 89.3 90.6-86.9 88.6-89.3 105.5-89.3 16.9 0 30.7 13.8 30.7 30.7 0 17.8-2.9 15.7-114.8 123.2z"],
    "gg": [512, 512, [], "f260", "M179.2 230.4l102.4 102.4-102.4 102.4L0 256 179.2 76.8l44.8 44.8-25.6 25.6-19.2-19.2-128 128 128 128 51.5-51.5-77.1-76.5 25.6-25.6zM332.8 76.8L230.4 179.2l102.4 102.4 25.6-25.6-77.1-76.5 51.5-51.5 128 128-128 128-19.2-19.2-25.6 25.6 44.8 44.8L512 256 332.8 76.8z"],
    "gg-circle": [512, 512, [], "f261", "M257 8C120 8 9 119 9 256s111 248 248 248 248-111 248-248S394 8 257 8zm-49.5 374.8L81.8 257.1l125.7-125.7 35.2 35.4-24.2 24.2-11.1-11.1-77.2 77.2 77.2 77.2 26.6-26.6-53.1-52.9 24.4-24.4 77.2 77.2-75 75.2zm99-2.2l-35.2-35.2 24.1-24.4 11.1 11.1 77.2-77.2-77.2-77.2-26.5 26.5 53.1 52.9-24.4 24.4-77.2-77.2 75-75L432.2 255 306.5 380.6z"],
    "git": [512, 512, [], "f1d3", "M216.3 158.4H137C97 147.9 6.51 150.6 6.51 233.2c0 30.09 15 51.23 35 61-25.1 23-37 33.85-37 49.21 0 11 4.47 21.14 17.89 26.81C8.13 383.6 0 393.4 0 411.6c0 32.11 28.05 50.82 101.6 50.82 70.75 0 111.8-26.42 111.8-73.18 0-58.66-45.16-56.5-151.6-63l13.43-21.55c27.27 7.58 118.7 10 118.7-67.89 0-18.7-7.73-31.71-15-41.07l37.41-2.84zm-63.42 241.9c0 32.06-104.9 32.1-104.9 2.43 0-8.14 5.27-15 10.57-21.54 77.71 5.3 94.32 3.37 94.32 19.11zm-50.81-134.6c-52.8 0-50.46-71.16 1.2-71.16 49.54 0 50.82 71.16-1.2 71.16zm133.3 100.5v-32.1c26.75-3.66 27.24-2 27.24-11V203.6c0-8.5-2.05-7.38-27.24-16.26l4.47-32.92H324v168.7c0 6.51 .4 7.32 6.51 8.14l20.73 2.84v32.1zm52.45-244.3c-23.17 0-36.59-13.43-36.59-36.61s13.42-35.77 36.59-35.77c23.58 0 37 12.62 37 35.77s-13.42 36.61-37 36.61zM512 350.5c-17.49 8.53-43.1 16.26-66.28 16.26-48.38 0-66.67-19.5-66.67-65.46V194.8c0-5.42 1.05-4.06-31.71-4.06V154.5c35.78-4.07 50-22 54.47-66.27h38.63c0 65.83-1.34 61.81 3.26 61.81H501v40.65h-60.56v97.15c0 6.92-4.92 51.41 60.57 26.84z"],
    "git-alt": [448, 512, [], "f841", "M439.5 236.1L244 40.45a28.87 28.87 0 0 0 -40.81 0l-40.66 40.63 51.52 51.52c27.06-9.14 52.68 16.77 43.39 43.68l49.66 49.66c34.23-11.8 61.18 31 35.47 56.69-26.49 26.49-70.21-2.87-56-37.34L240.2 199v121.8c25.3 12.54 22.26 41.85 9.08 55a34.34 34.34 0 0 1 -48.55 0c-17.57-17.6-11.07-46.91 11.25-56v-123c-20.8-8.51-24.6-30.74-18.64-45L142.6 101 8.45 235.1a28.86 28.86 0 0 0 0 40.81l195.6 195.6a28.86 28.86 0 0 0 40.8 0l194.7-194.7a28.86 28.86 0 0 0 0-40.81z"],
    "github": [496, 512, [], "f09b", "M165.9 397.4c0 2-2.3 3.6-5.2 3.6-3.3 .3-5.6-1.3-5.6-3.6 0-2 2.3-3.6 5.2-3.6 3-.3 5.6 1.3 5.6 3.6zm-31.1-4.5c-.7 2 1.3 4.3 4.3 4.9 2.6 1 5.6 0 6.2-2s-1.3-4.3-4.3-5.2c-2.6-.7-5.5 .3-6.2 2.3zm44.2-1.7c-2.9 .7-4.9 2.6-4.6 4.9 .3 2 2.9 3.3 5.9 2.6 2.9-.7 4.9-2.6 4.6-4.6-.3-1.9-3-3.2-5.9-2.9zM244.8 8C106.1 8 0 113.3 0 252c0 110.9 69.8 205.8 169.5 239.2 12.8 2.3 17.3-5.6 17.3-12.1 0-6.2-.3-40.4-.3-61.4 0 0-70 15-84.7-29.8 0 0-11.4-29.1-27.8-36.6 0 0-22.9-15.7 1.6-15.4 0 0 24.9 2 38.6 25.8 21.9 38.6 58.6 27.5 72.9 20.9 2.3-16 8.8-27.1 16-33.7-55.9-6.2-112.3-14.3-112.3-110.5 0-27.5 7.6-41.3 23.6-58.9-2.6-6.5-11.1-33.3 2.6-67.9 20.9-6.5 69 27 69 27 20-5.6 41.5-8.5 62.8-8.5s42.8 2.9 62.8 8.5c0 0 48.1-33.6 69-27 13.7 34.7 5.2 61.4 2.6 67.9 16 17.7 25.8 31.5 25.8 58.9 0 96.5-58.9 104.2-114.8 110.5 9.2 7.9 17 22.9 17 46.4 0 33.7-.3 75.4-.3 83.6 0 6.5 4.6 14.4 17.3 12.1C428.2 457.8 496 362.9 496 252 496 113.3 383.5 8 244.8 8zM97.2 352.9c-1.3 1-1 3.3 .7 5.2 1.6 1.6 3.9 2.3 5.2 1 1.3-1 1-3.3-.7-5.2-1.6-1.6-3.9-2.3-5.2-1zm-10.8-8.1c-.7 1.3 .3 2.9 2.3 3.9 1.6 1 3.6 .7 4.3-.7 .7-1.3-.3-2.9-2.3-3.9-2-.6-3.6-.3-4.3 .7zm32.4 35.6c-1.6 1.3-1 4.3 1.3 6.2 2.3 2.3 5.2 2.6 6.5 1 1.3-1.3 .7-4.3-1.3-6.2-2.2-2.3-5.2-2.6-6.5-1zm-11.4-14.7c-1.6 1-1.6 3.6 0 5.9 1.6 2.3 4.3 3.3 5.6 2.3 1.6-1.3 1.6-3.9 0-6.2-1.4-2.3-4-3.3-5.6-2z"],
    "github-alt": [480, 512, [], "f113", "M186.1 328.7c0 20.9-10.9 55.1-36.7 55.1s-36.7-34.2-36.7-55.1 10.9-55.1 36.7-55.1 36.7 34.2 36.7 55.1zM480 278.2c0 31.9-3.2 65.7-17.5 95-37.9 76.6-142.1 74.8-216.7 74.8-75.8 0-186.2 2.7-225.6-74.8-14.6-29-20.2-63.1-20.2-95 0-41.9 13.9-81.5 41.5-113.6-5.2-15.8-7.7-32.4-7.7-48.8 0-21.5 4.9-32.3 14.6-51.8 45.3 0 74.3 9 108.8 36 29-6.9 58.8-10 88.7-10 27 0 54.2 2.9 80.4 9.2 34-26.7 63-35.2 107.8-35.2 9.8 19.5 14.6 30.3 14.6 51.8 0 16.4-2.6 32.7-7.7 48.2 27.5 32.4 39 72.3 39 114.2zm-64.3 50.5c0-43.9-26.7-82.6-73.5-82.6-18.9 0-37 3.4-56 6-14.9 2.3-29.8 3.2-45.1 3.2-15.2 0-30.1-.9-45.1-3.2-18.7-2.6-37-6-56-6-46.8 0-73.5 38.7-73.5 82.6 0 87.8 80.4 101.3 150.4 101.3h48.2c70.3 0 150.6-13.4 150.6-101.3zm-82.6-55.1c-25.8 0-36.7 34.2-36.7 55.1s10.9 55.1 36.7 55.1 36.7-34.2 36.7-55.1-10.9-55.1-36.7-55.1z"],
    "gitkraken": [592, 512, [], "f3a6", "M565.7 118.1c-2.3-6.1-9.3-9.2-15.3-6.6-5.7 2.4-8.5 8.9-6.3 14.6 10.9 29 16.9 60.5 16.9 93.3 0 134.6-100.3 245.7-230.2 262.7V358.4c7.9-1.5 15.5-3.6 23-6.2v104c106.7-25.9 185.9-122.1 185.9-236.8 0-91.8-50.8-171.8-125.8-213.3-5.7-3.2-13-.9-15.9 5-2.7 5.5-.6 12.2 4.7 15.1 67.9 37.6 113.9 110 113.9 193.2 0 93.3-57.9 173.1-139.8 205.4v-92.2c14.2-4.5 24.9-17.7 24.9-33.5 0-13.1-6.8-24.4-17.3-30.5 8.3-79.5 44.5-58.6 44.5-83.9V170c0-38-87.9-161.8-129-164.7-2.5-.2-5-.2-7.6 0C251.1 8.3 163.2 132 163.2 170v14.8c0 25.3 36.3 4.3 44.5 83.9-10.6 6.1-17.3 17.4-17.3 30.5 0 15.8 10.6 29 24.8 33.5v92.2c-81.9-32.2-139.8-112-139.8-205.4 0-83.1 46-155.5 113.9-193.2 5.4-3 7.4-9.6 4.7-15.1-2.9-5.9-10.1-8.2-15.9-5-75 41.5-125.8 121.5-125.8 213.3 0 114.7 79.2 210.8 185.9 236.8v-104c7.6 2.5 15.1 4.6 23 6.2v123.7C131.4 465.2 31 354.1 31 219.5c0-32.8 6-64.3 16.9-93.3 2.2-5.8-.6-12.2-6.3-14.6-6-2.6-13 .4-15.3 6.6C14.5 149.7 8 183.8 8 219.5c0 155.1 122.6 281.6 276.3 287.8V361.4c6.8 .4 15 .5 23.4 0v145.8C461.4 501.1 584 374.6 584 219.5c0-35.7-6.5-69.8-18.3-101.4zM365.9 275.5c13 0 23.7 10.5 23.7 23.7 0 13.1-10.6 23.7-23.7 23.7-13 0-23.7-10.5-23.7-23.7 0-13.1 10.6-23.7 23.7-23.7zm-139.8 47.3c-13.2 0-23.7-10.7-23.7-23.7s10.5-23.7 23.7-23.7c13.1 0 23.7 10.6 23.7 23.7 0 13-10.5 23.7-23.7 23.7z"],
    "gitlab": [512, 512, [], "f296", "M503.5 204.6L502.8 202.8L433.1 21.02C431.7 17.45 429.2 14.43 425.9 12.38C423.5 10.83 420.8 9.865 417.9 9.57C415 9.275 412.2 9.653 409.5 10.68C406.8 11.7 404.4 13.34 402.4 15.46C400.5 17.58 399.1 20.13 398.3 22.9L351.3 166.9H160.8L113.7 22.9C112.9 20.13 111.5 17.59 109.6 15.47C107.6 13.35 105.2 11.72 102.5 10.7C99.86 9.675 96.98 9.295 94.12 9.587C91.26 9.878 88.51 10.83 86.08 12.38C82.84 14.43 80.33 17.45 78.92 21.02L9.267 202.8L8.543 204.6C-1.484 230.8-2.72 259.6 5.023 286.6C12.77 313.5 29.07 337.3 51.47 354.2L51.74 354.4L52.33 354.8L158.3 434.3L210.9 474L242.9 498.2C246.6 500.1 251.2 502.5 255.9 502.5C260.6 502.5 265.2 500.1 268.9 498.2L300.9 474L353.5 434.3L460.2 354.4L460.5 354.1C482.9 337.2 499.2 313.5 506.1 286.6C514.7 259.6 513.5 230.8 503.5 204.6z"],
    "gitter": [384, 512, [], "f426", "M66.4 322.5H16V0h50.4v322.5zM166.9 76.1h-50.4V512h50.4V76.1zm100.6 0h-50.4V512h50.4V76.1zM368 76h-50.4v247H368V76z"],
    "glide": [448, 512, [], "f2a5", "M252.8 148.6c0 8.8-1.6 17.7-3.4 26.4-5.8 27.8-11.6 55.8-17.3 83.6-1.4 6.3-8.3 4.9-13.7 4.9-23.8 0-30.5-26-30.5-45.5 0-29.3 11.2-68.1 38.5-83.1 4.3-2.5 9.2-4.2 14.1-4.2 11.4 0 12.3 8.3 12.3 17.9zM448 80v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V80c0-26.5 21.5-48 48-48h352c26.5 0 48 21.5 48 48zm-64 187c0-5.1-20.8-37.7-25.5-39.5-2.2-.9-7.2-2.3-9.6-2.3-23.1 0-38.7 10.5-58.2 21.5l-.5-.5c4.3-29.4 14.6-57.2 14.6-87.4 0-44.6-23.8-62.7-67.5-62.7-71.7 0-108 70.8-108 123.5 0 54.7 32 85 86.3 85 7.5 0 6.9-.6 6.9 2.3-10.5 80.3-56.5 82.9-56.5 58.9 0-24.4 28-36.5 28.3-38-.2-7.6-29.3-17.2-36.7-17.2-21.1 0-32.7 33-32.7 50.6 0 32.3 20.4 54.7 53.3 54.7 48.2 0 83.4-49.7 94.3-91.7 9.4-37.7 7-39.4 12.3-42.1 20-10.1 35.8-16.8 58.4-16.8 11.1 0 19 2.3 36.7 5.2 1.8 .1 4.1-1.7 4.1-3.5z"],
    "glide-g": [448, 512, [], "f2a6", "M407.1 211.2c-3.5-1.4-11.6-3.8-15.4-3.8-37.1 0-62.2 16.8-93.5 34.5l-.9-.9c7-47.3 23.5-91.9 23.5-140.4C320.8 29.1 282.6 0 212.4 0 97.3 0 39 113.7 39 198.4 39 286.3 90.3 335 177.6 335c12 0 11-1 11 3.8-16.9 128.9-90.8 133.1-90.8 94.6 0-39.2 45-58.6 45.5-61-.3-12.2-47-27.6-58.9-27.6-33.9 .1-52.4 51.2-52.4 79.3C32 476 64.8 512 117.5 512c77.4 0 134-77.8 151.4-145.4 15.1-60.5 11.2-63.3 19.7-67.6 32.2-16.2 57.5-27 93.8-27 17.8 0 30.5 3.7 58.9 8.4 2.9 0 6.7-2.9 6.7-5.8 0-8-33.4-60.5-40.9-63.4zm-175.3-84.4c-9.3 44.7-18.6 89.6-27.8 134.3-2.3 10.2-13.3 7.8-22 7.8-38.3 0-49-41.8-49-73.1 0-47 18-109.3 61.8-133.4 7-4.1 14.8-6.7 22.6-6.7 18.6 0 20 13.3 20 28.7-.1 14.3-2.7 28.5-5.6 42.4z"],
    "gofore": [400, 512, [], "f3a7", "M324 319.8h-13.2v34.7c-24.5 23.1-56.3 35.8-89.9 35.8-73.2 0-132.4-60.2-132.4-134.4 0-74.1 59.2-134.4 132.4-134.4 35.3 0 68.6 14 93.6 39.4l62.3-63.3C335 55.3 279.7 32 220.7 32 98 32 0 132.6 0 256c0 122.5 97 224 220.7 224 63.2 0 124.5-26.2 171-82.5-2-27.6-13.4-77.7-67.7-77.7zm-12.1-112.5H205.6v89H324c33.5 0 60.5 15.1 76 41.8v-30.6c0-65.2-40.4-100.2-88.1-100.2z"],
    "golang": [640, 512, [], "e40f", "M400.1 194.8C389.2 197.6 380.2 199.1 371 202.4C363.7 204.3 356.3 206.3 347.8 208.5L347.2 208.6C343 209.8 342.6 209.9 338.7 205.4C334 200.1 330.6 196.7 324.1 193.5C304.4 183.9 285.4 186.7 267.7 198.2C246.5 211.9 235.6 232.2 235.9 257.4C236.2 282.4 253.3 302.9 277.1 306.3C299.1 309.1 316.9 301.7 330.9 285.8C333 283.2 334.9 280.5 337 277.5V277.5L337 277.5C337.8 276.5 338.5 275.4 339.3 274.2H279.2C272.7 274.2 271.1 270.2 273.3 264.9C277.3 255.2 284.8 239 289.2 230.9C290.1 229.1 292.3 225.1 296.1 225.1H397.2C401.7 211.7 409 198.2 418.8 185.4C441.5 155.5 468.1 139.9 506 133.4C537.8 127.8 567.7 130.9 594.9 149.3C619.5 166.1 634.7 188.9 638.8 218.8C644.1 260.9 631.9 295.1 602.1 324.4C582.4 345.3 557.2 358.4 528.2 364.3C522.6 365.3 517.1 365.8 511.7 366.3C508.8 366.5 506 366.8 503.2 367.1C474.9 366.5 449 358.4 427.2 339.7C411.9 326.4 401.3 310.1 396.1 291.2C392.4 298.5 388.1 305.6 382.1 312.3C360.5 341.9 331.2 360.3 294.2 365.2C263.6 369.3 235.3 363.4 210.3 344.7C187.3 327.2 174.2 304.2 170.8 275.5C166.7 241.5 176.7 210.1 197.2 184.2C219.4 155.2 248.7 136.8 284.5 130.3C313.8 124.1 341.8 128.4 367.1 145.6C383.6 156.5 395.4 171.4 403.2 189.5C405.1 192.3 403.8 193.9 400.1 194.8zM48.3 200.4C47.05 200.4 46.74 199.8 47.36 198.8L53.91 190.4C54.53 189.5 56.09 188.9 57.34 188.9H168.6C169.8 188.9 170.1 189.8 169.5 190.7L164.2 198.8C163.6 199.8 162 200.7 161.1 200.7L48.3 200.4zM1.246 229.1C0 229.1-.3116 228.4 .3116 227.5L6.855 219.1C7.479 218.2 9.037 217.5 10.28 217.5H152.4C153.6 217.5 154.2 218.5 153.9 219.4L151.4 226.9C151.1 228.1 149.9 228.8 148.6 228.8L1.246 229.1zM75.72 255.9C75.1 256.8 75.41 257.7 76.65 257.7L144.6 258C145.5 258 146.8 257.1 146.8 255.9L147.4 248.4C147.4 247.1 146.8 246.2 145.5 246.2H83.2C81.95 246.2 80.71 247.1 80.08 248.1L75.72 255.9zM577.2 237.9C577 235.3 576.9 233.1 576.5 230.9C570.9 200.1 542.5 182.6 512.9 189.5C483.9 196 465.2 214.4 458.4 243.7C452.8 268 464.6 292.6 487 302.6C504.2 310.1 521.3 309.2 537.8 300.7C562.4 287.1 575.8 268 577.4 241.2C577.3 240 577.3 238.9 577.2 237.9z"],
    "goodreads": [448, 512, [], "f3a8", "M299.9 191.2c5.1 37.3-4.7 79-35.9 100.7-22.3 15.5-52.8 14.1-70.8 5.7-37.1-17.3-49.5-58.6-46.8-97.2 4.3-60.9 40.9-87.9 75.3-87.5 46.9-.2 71.8 31.8 78.2 78.3zM448 88v336c0 30.9-25.1 56-56 56H56c-30.9 0-56-25.1-56-56V88c0-30.9 25.1-56 56-56h336c30.9 0 56 25.1 56 56zM330 313.2s-.1-34-.1-217.3h-29v40.3c-.8 .3-1.2-.5-1.6-1.2-9.6-20.7-35.9-46.3-76-46-51.9 .4-87.2 31.2-100.6 77.8-4.3 14.9-5.8 30.1-5.5 45.6 1.7 77.9 45.1 117.8 112.4 115.2 28.9-1.1 54.5-17 69-45.2 .5-1 1.1-1.9 1.7-2.9 .2 .1 .4 .1 .6 .2 .3 3.8 .2 30.7 .1 34.5-.2 14.8-2 29.5-7.2 43.5-7.8 21-22.3 34.7-44.5 39.5-17.8 3.9-35.6 3.8-53.2-1.2-21.5-6.1-36.5-19-41.1-41.8-.3-1.6-1.3-1.3-2.3-1.3h-26.8c.8 10.6 3.2 20.3 8.5 29.2 24.2 40.5 82.7 48.5 128.2 37.4 49.9-12.3 67.3-54.9 67.4-106.3z"],
    "goodreads-g": [384, 512, [], "f3a9", "M42.6 403.3h2.8c12.7 0 25.5 0 38.2 .1 1.6 0 3.1-.4 3.6 2.1 7.1 34.9 30 54.6 62.9 63.9 26.9 7.6 54.1 7.8 81.3 1.8 33.8-7.4 56-28.3 68-60.4 8-21.5 10.7-43.8 11-66.5 .1-5.8 .3-47-.2-52.8l-.9-.3c-.8 1.5-1.7 2.9-2.5 4.4-22.1 43.1-61.3 67.4-105.4 69.1-103 4-169.4-57-172-176.2-.5-23.7 1.8-46.9 8.3-69.7C58.3 47.7 112.3 .6 191.6 0c61.3-.4 101.5 38.7 116.2 70.3 .5 1.1 1.3 2.3 2.4 1.9V10.6h44.3c0 280.3 .1 332.2 .1 332.2-.1 78.5-26.7 143.7-103 162.2-69.5 16.9-159 4.8-196-57.2-8-13.5-11.8-28.3-13-44.5zM188.9 36.5c-52.5-.5-108.5 40.7-115 133.8-4.1 59 14.8 122.2 71.5 148.6 27.6 12.9 74.3 15 108.3-8.7 47.6-33.2 62.7-97 54.8-154-9.7-71.1-47.8-120-119.6-119.7z"],
    "google": [488, 512, [], "f1a0", "M488 261.8C488 403.3 391.1 504 248 504 110.8 504 0 393.2 0 256S110.8 8 248 8c66.8 0 123 24.5 166.3 64.9l-67.5 64.9C258.5 52.6 94.3 116.6 94.3 256c0 86.5 69.1 156.6 153.7 156.6 98.2 0 135-70.4 140.8-106.9H248v-85.3h236.1c2.3 12.7 3.9 24.9 3.9 41.4z"],
    "google-drive": [512, 512, [], "f3aa", "M339 314.9L175.4 32h161.2l163.6 282.9H339zm-137.5 23.6L120.9 480h310.5L512 338.5H201.5zM154.1 67.4L0 338.5 80.6 480 237 208.8 154.1 67.4z"],
    "google-pay": [640, 512, [], "e079", "M105.7 215v41.25h57.1a49.66 49.66 0 0 1 -21.14 32.6c-9.54 6.55-21.72 10.28-36 10.28-27.6 0-50.93-18.91-59.3-44.22a65.61 65.61 0 0 1 0-41l0 0c8.37-25.46 31.7-44.37 59.3-44.37a56.43 56.43 0 0 1 40.51 16.08L176.5 155a101.2 101.2 0 0 0 -70.75-27.84 105.6 105.6 0 0 0 -94.38 59.11 107.6 107.6 0 0 0 0 96.18v.15a105.4 105.4 0 0 0 94.38 59c28.47 0 52.55-9.53 70-25.91 20-18.61 31.41-46.15 31.41-78.91A133.8 133.8 0 0 0 205.4 215zm389.4-4c-10.13-9.38-23.93-14.14-41.39-14.14-22.46 0-39.34 8.34-50.5 24.86l20.85 13.26q11.45-17 31.26-17a34.05 34.05 0 0 1 22.75 8.79A28.14 28.14 0 0 1 487.8 248v5.51c-9.1-5.07-20.55-7.75-34.64-7.75-16.44 0-29.65 3.88-39.49 11.77s-14.82 18.31-14.82 31.56a39.74 39.74 0 0 0 13.94 31.27c9.25 8.34 21 12.51 34.79 12.51 16.29 0 29.21-7.3 39-21.89h1v17.72h22.61V250C510.3 233.4 505.3 220.3 495.1 211zM475.9 300.3a37.32 37.32 0 0 1 -26.57 11.16A28.61 28.61 0 0 1 431 305.2a19.41 19.41 0 0 1 -7.77-15.63c0-7 3.22-12.81 9.54-17.42s14.53-7 24.07-7C470 265 480.3 268 487.6 273.9 487.6 284.1 483.7 292.9 475.9 300.3zm-93.65-142A55.71 55.71 0 0 0 341.7 142H279.1V328.7H302.7V253.1h39c16 0 29.5-5.36 40.51-15.93 .88-.89 1.76-1.79 2.65-2.68A54.45 54.45 0 0 0 382.3 158.3zm-16.58 62.23a30.65 30.65 0 0 1 -23.34 9.68H302.7V165h39.63a32 32 0 0 1 22.6 9.23A33.18 33.18 0 0 1 365.7 220.5zM614.3 201 577.8 292.7h-.45L539.9 201H514.2L566 320.5l-29.35 64.32H561L640 201z"],
    "google-play": [512, 512, [], "f3ab", "M325.3 234.3L104.6 13l280.8 161.2-60.1 60.1zM47 0C34 6.8 25.3 19.2 25.3 35.3v441.3c0 16.1 8.7 28.5 21.7 35.3l256.6-256L47 0zm425.2 225.6l-58.9-34.1-65.7 64.5 65.7 64.5 60.1-34.1c18-14.3 18-46.5-1.2-60.8zM104.6 499l280.8-161.2-60.1-60.1L104.6 499z"],
    "google-plus": [512, 512, [], "f2b3", "M256 8C119.1 8 8 119.1 8 256S119.1 504 256 504 504 392.9 504 256 392.9 8 256 8zM185.3 380a124 124 0 0 1 0-248c31.3 0 60.1 11 83 32.3l-33.6 32.6c-13.2-12.9-31.3-19.1-49.4-19.1-42.9 0-77.2 35.5-77.2 78.1S142.3 334 185.3 334c32.6 0 64.9-19.1 70.1-53.3H185.3V238.1H302.2a109.2 109.2 0 0 1 1.9 20.7c0 70.8-47.5 121.2-118.8 121.2zM415.5 273.8v35.5H380V273.8H344.5V238.3H380V202.8h35.5v35.5h35.2v35.5z"],
    "google-plus-g": [640, 512, [], "f0d5", "M386.1 228.5c1.834 9.692 3.143 19.38 3.143 31.96C389.2 370.2 315.6 448 204.8 448c-106.1 0-192-85.92-192-192s85.92-192 192-192c51.86 0 95.08 18.86 128.6 50.29l-52.13 50.03c-14.15-13.62-39.03-29.6-76.49-29.6-65.48 0-118.9 54.22-118.9 121.3 0 67.06 53.44 121.3 118.9 121.3 75.96 0 104.5-54.74 108.1-82.77H204.8v-66.01h181.3zm185.4 6.437V179.2h-56v55.73h-55.73v56h55.73v55.73h56v-55.73H627.2v-56h-55.73z"],
    "google-wallet": [448, 512, [], "f1ee", "M156.8 126.8c37.6 60.6 64.2 113.1 84.3 162.5-8.3 33.8-18.8 66.5-31.3 98.3-13.2-52.3-26.5-101.3-56-148.5 6.5-36.4 2.3-73.6 3-112.3zM109.3 200H16.1c-6.5 0-10.5 7.5-6.5 12.7C51.8 267 81.3 330.5 101.3 400h103.5c-16.2-69.7-38.7-133.7-82.5-193.5-3-4-8-6.5-13-6.5zm47.8-88c68.5 108 130 234.5 138.2 368H409c-12-138-68.4-265-143.2-368H157.1zm251.8-68.5c-1.8-6.8-8.2-11.5-15.2-11.5h-88.3c-5.3 0-9 5-7.8 10.3 13.2 46.5 22.3 95.5 26.5 146 48.2 86.2 79.7 178.3 90.6 270.8 15.8-60.5 25.3-133.5 25.3-203 0-73.6-12.1-145.1-31.1-212.6z"],
    "gratipay": [496, 512, [], "f184", "M248 8C111.1 8 0 119.1 0 256s111.1 248 248 248 248-111.1 248-248S384.9 8 248 8zm114.6 226.4l-113 152.7-112.7-152.7c-8.7-11.9-19.1-50.4 13.6-72 28.1-18.1 54.6-4.2 68.5 11.9 15.9 17.9 46.6 16.9 61.7 0 13.9-16.1 40.4-30 68.1-11.9 32.9 21.6 22.6 60 13.8 72z"],
    "grav": [512, 512, [], "f2d6", "M301.1 212c4.4 4.4 4.4 11.9 0 16.3l-9.7 9.7c-4.4 4.7-11.9 4.7-16.6 0l-10.5-10.5c-4.4-4.7-4.4-11.9 0-16.6l9.7-9.7c4.4-4.4 11.9-4.4 16.6 0l10.5 10.8zm-30.2-19.7c3-3 3-7.8 0-10.5-2.8-3-7.5-3-10.5 0-2.8 2.8-2.8 7.5 0 10.5 3.1 2.8 7.8 2.8 10.5 0zm-26 5.3c-3 2.8-3 7.5 0 10.2 2.8 3 7.5 3 10.5 0 2.8-2.8 2.8-7.5 0-10.2-3-3-7.7-3-10.5 0zm72.5-13.3c-19.9-14.4-33.8-43.2-11.9-68.1 21.6-24.9 40.7-17.2 59.8 .8 11.9 11.3 29.3 24.9 17.2 48.2-12.5 23.5-45.1 33.2-65.1 19.1zm47.7-44.5c-8.9-10-23.3 6.9-15.5 16.1 7.4 9 32.1 2.4 15.5-16.1zM504 256c0 137-111 248-248 248S8 393 8 256 119 8 256 8s248 111 248 248zm-66.2 42.6c2.5-16.1-20.2-16.6-25.2-25.7-13.6-24.1-27.7-36.8-54.5-30.4 11.6-8 23.5-6.1 23.5-6.1 .3-6.4 0-13-9.4-24.9 3.9-12.5 .3-22.4 .3-22.4 15.5-8.6 26.8-24.4 29.1-43.2 3.6-31-18.8-59.2-49.8-62.8-22.1-2.5-43.7 7.7-54.3 25.7-23.2 40.1 1.4 70.9 22.4 81.4-14.4-1.4-34.3-11.9-40.1-34.3-6.6-25.7 2.8-49.8 8.9-61.4 0 0-4.4-5.8-8-8.9 0 0-13.8 0-24.6 5.3 11.9-15.2 25.2-14.4 25.2-14.4 0-6.4-.6-14.9-3.6-21.6-5.4-11-23.8-12.9-31.7 2.8 .1-.2 .3-.4 .4-.5-5 11.9-1.1 55.9 16.9 87.2-2.5 1.4-9.1 6.1-13 10-21.6 9.7-56.2 60.3-56.2 60.3-28.2 10.8-77.2 50.9-70.6 79.7 .3 3 1.4 5.5 3 7.5-2.8 2.2-5.5 5-8.3 8.3-11.9 13.8-5.3 35.2 17.7 24.4 15.8-7.2 29.6-20.2 36.3-30.4 0 0-5.5-5-16.3-4.4 27.7-6.6 34.3-9.4 46.2-9.1 8 3.9 8-34.3 8-34.3 0-14.7-2.2-31-11.1-41.5 12.5 12.2 29.1 32.7 28 60.6-.8 18.3-15.2 23-15.2 23-9.1 16.6-43.2 65.9-30.4 106 0 0-9.7-14.9-10.2-22.1-17.4 19.4-46.5 52.3-24.6 64.5 26.6 14.7 108.8-88.6 126.2-142.3 34.6-20.8 55.4-47.3 63.9-65 22 43.5 95.3 94.5 101.1 59z"],
    "gripfire": [384, 512, [], "f3ac", "M112.5 301.4c0-73.8 105.1-122.5 105.1-203 0-47.1-34-88-39.1-90.4 .4 3.3 .6 6.7 .6 10C179.1 110.1 32 171.9 32 286.6c0 49.8 32.2 79.2 66.5 108.3 65.1 46.7 78.1 71.4 78.1 86.6 0 10.1-4.8 17-4.8 22.3 13.1-16.7 17.4-31.9 17.5-46.4 0-29.6-21.7-56.3-44.2-86.5-16-22.3-32.6-42.6-32.6-69.5zm205.3-39c-12.1-66.8-78-124.4-94.7-130.9l4 7.2c2.4 5.1 3.4 10.9 3.4 17.1 0 44.7-54.2 111.2-56.6 116.7-2.2 5.1-3.2 10.5-3.2 15.8 0 20.1 15.2 42.1 17.9 42.1 2.4 0 56.6-55.4 58.1-87.7 6.4 11.7 9.1 22.6 9.1 33.4 0 41.2-41.8 96.9-41.8 96.9 0 11.6 31.9 53.2 35.5 53.2 1 0 2.2-1.4 3.2-2.4 37.9-39.3 67.3-85 67.3-136.8 0-8-.7-16.2-2.2-24.6z"],
    "grunt": [384, 512, [], "f3ad", "M61.3 189.3c-1.1 10 5.2 19.1 5.2 19.1 .7-7.5 2.2-12.8 4-16.6 .4 10.3 3.2 23.5 12.8 34.1 6.9 7.6 35.6 23.3 54.9 6.1 1 2.4 2.1 5.3 3 8.5 2.9 10.3-2.7 25.3-2.7 25.3s15.1-17.1 13.9-32.5c10.8-.5 21.4-8.4 21.1-19.5 0 0-18.9 10.4-35.5-8.8-9.7-11.2-40.9-42-83.1-31.8 4.3 1 8.9 2.4 13.5 4.1h-.1c-4.2 2-6.5 7.1-7 12zm28.3-1.8c19.5 11 37.4 25.7 44.9 37-5.7 3.3-21.7 10.4-38-1.7-10.3-7.6-9.8-26.2-6.9-35.3zm142.1 45.8c-1.2 15.5 13.9 32.5 13.9 32.5s-5.6-15-2.7-25.3c.9-3.2 2-6 3-8.5 19.3 17.3 48 1.5 54.8-6.1 9.6-10.6 12.3-23.8 12.8-34.1 1.8 3.8 3.4 9.1 4 16.6 0 0 6.4-9.1 5.2-19.1-.6-5-2.9-10-7-11.8h-.1c4.6-1.8 9.2-3.2 13.5-4.1-42.3-10.2-73.4 20.6-83.1 31.8-16.7 19.2-35.5 8.8-35.5 8.8-.2 10.9 10.4 18.9 21.2 19.3zm62.7-45.8c3 9.1 3.4 27.7-7 35.4-16.3 12.1-32.2 5-37.9 1.6 7.5-11.4 25.4-26 44.9-37zM160 418.5h-29.4c-5.5 0-8.2 1.6-9.5 2.9-1.9 2-2.2 4.7-.9 8.1 3.5 9.1 11.4 16.5 13.7 18.6 3.1 2.7 7.5 4.3 11.8 4.3 4.4 0 8.3-1.7 11-4.6 7.5-8.2 11.9-17.1 13-19.8 .6-1.5 1.3-4.5-.9-6.8-1.8-1.8-4.7-2.7-8.8-2.7zm189.2-101.2c-2.4 17.9-13 33.8-24.6 43.7-3.1-22.7-3.7-55.5-3.7-62.4 0-14.7 9.5-24.5 12.2-26.1 2.5-1.5 5.4-3 8.3-4.6 18-9.6 40.4-21.6 40.4-43.7 0-16.2-9.3-23.2-15.4-27.8-.8-.6-1.5-1.1-2.2-1.7-2.1-1.7-3.7-3-4.3-4.4-4.4-9.8-3.6-34.2-1.7-37.6 .6-.6 16.7-20.9 11.8-39.2-2-7.4-6.9-13.3-14.1-17-5.3-2.7-11.9-4.2-19.5-4.5-.1-2-.5-3.9-.9-5.9-.6-2.6-1.1-5.3-.9-8.1 .4-4.7 .8-9 2.2-11.3 8.4-13.3 28.8-17.6 29-17.6l12.3-2.4-8.1-9.5c-.1-.2-17.3-17.5-46.3-17.5-7.9 0-16 1.3-24.1 3.9-24.2 7.8-42.9 30.5-49.4 39.3-3.1-1-6.3-1.9-9.6-2.7-4.2-15.8 9-38.5 9-38.5s-13.6-3-33.7 15.2c-2.6-6.5-8.1-20.5-1.8-37.2C184.6 10.1 177.2 26 175 40.4c-7.6-5.4-6.7-23.1-7.2-27.6-7.5 .9-29.2 21.9-28.2 48.3-2 .5-3.9 1.1-5.9 1.7-6.5-8.8-25.1-31.5-49.4-39.3-7.9-2.2-16-3.5-23.9-3.5-29 0-46.1 17.3-46.3 17.5L6 46.9l12.3 2.4c.2 0 20.6 4.3 29 17.6 1.4 2.2 1.8 6.6 2.2 11.3 .2 2.8-.4 5.5-.9 8.1-.4 1.9-.8 3.9-.9 5.9-7.7 .3-14.2 1.8-19.5 4.5-7.2 3.7-12.1 9.6-14.1 17-5 18.2 11.2 38.5 11.8 39.2 1.9 3.4 2.7 27.8-1.7 37.6-.6 1.4-2.2 2.7-4.3 4.4-.7 .5-1.4 1.1-2.2 1.7-6.1 4.6-15.4 11.7-15.4 27.8 0 22.1 22.4 34.1 40.4 43.7 3 1.6 5.8 3.1 8.3 4.6 2.7 1.6 12.2 11.4 12.2 26.1 0 6.9-.6 39.7-3.7 62.4-11.6-9.9-22.2-25.9-24.6-43.8 0 0-29.2 22.6-20.6 70.8 5.2 29.5 23.2 46.1 47 54.7 8.8 19.1 29.4 45.7 67.3 49.6C143 504.3 163 512 192.2 512h.2c29.1 0 49.1-7.7 63.6-19.5 37.9-3.9 58.5-30.5 67.3-49.6 23.8-8.7 41.7-25.2 47-54.7 8.2-48.4-21.1-70.9-21.1-70.9zM305.7 37.7c5.6-1.8 11.6-2.7 17.7-2.7 11 0 19.9 3 24.7 5-3.1 1.4-6.4 3.2-9.7 5.3-2.4-.4-5.6-.8-9.2-.8-10.5 0-20.5 3.1-28.7 8.9-12.3 8.7-18 16.9-20.7 22.4-2.2-1.3-4.5-2.5-7.1-3.7-1.6-.8-3.1-1.5-4.7-2.2 6.1-9.1 19.9-26.5 37.7-32.2zm21 18.2c-.8 1-1.6 2.1-2.3 3.2-3.3 5.2-3.9 11.6-4.4 17.8-.5 6.4-1.1 12.5-4.4 17-4.2 .8-8.1 1.7-11.5 2.7-2.3-3.1-5.6-7-10.5-11.2 1.4-4.8 5.5-16.1 13.5-22.5 5.6-4.3 12.2-6.7 19.6-7zM45.6 45.3c-3.3-2.2-6.6-4-9.7-5.3 4.8-2 13.7-5 24.7-5 6.1 0 12 .9 17.7 2.7 17.8 5.8 31.6 23.2 37.7 32.1-1.6 .7-3.2 1.4-4.8 2.2-2.5 1.2-4.9 2.5-7.1 3.7-2.6-5.4-8.3-13.7-20.7-22.4-8.3-5.8-18.2-8.9-28.8-8.9-3.4 .1-6.6 .5-9 .9zm44.7 40.1c-4.9 4.2-8.3 8-10.5 11.2-3.4-.9-7.3-1.9-11.5-2.7C65 89.5 64.5 83.4 64 77c-.5-6.2-1.1-12.6-4.4-17.8-.7-1.1-1.5-2.2-2.3-3.2 7.4 .3 14 2.6 19.5 7 8 6.3 12.1 17.6 13.5 22.4zM58.1 259.9c-2.7-1.6-5.6-3.1-8.4-4.6-14.9-8-30.2-16.3-30.2-30.5 0-11.1 4.3-14.6 8.9-18.2l.5-.4c.7-.6 1.4-1.2 2.2-1.8-.9 7.2-1.9 13.3-2.7 14.9 0 0 12.1-15 15.7-44.3 1.4-11.5-1.1-34.3-5.1-43 .2 4.9 0 9.8-.3 14.4-.4-.8-.8-1.6-1.3-2.2-3.2-4-11.8-17.5-9.4-26.6 .9-3.5 3.1-6 6.7-7.8 3.8-1.9 8.8-2.9 15.1-2.9 12.3 0 25.9 3.7 32.9 6 25.1 8 55.4 30.9 64.1 37.7 .2 .2 .4 .3 .4 .3l5.6 3.9-3.5-5.8c-.2-.3-19.1-31.4-53.2-46.5 2-2.9 7.4-8.1 21.6-15.1 21.4-10.5 46.5-15.8 74.3-15.8 27.9 0 52.9 5.3 74.3 15.8 14.2 6.9 19.6 12.2 21.6 15.1-34 15.1-52.9 46.2-53.1 46.5l-3.5 5.8 5.6-3.9s.2-.1 .4-.3c8.7-6.8 39-29.8 64.1-37.7 7-2.2 20.6-6 32.9-6 6.3 0 11.3 1 15.1 2.9 3.5 1.8 5.7 4.4 6.7 7.8 2.5 9.1-6.1 22.6-9.4 26.6-.5 .6-.9 1.3-1.3 2.2-.3-4.6-.5-9.5-.3-14.4-4 8.8-6.5 31.5-5.1 43 3.6 29.3 15.7 44.3 15.7 44.3-.8-1.6-1.8-7.7-2.7-14.9 .7 .6 1.5 1.2 2.2 1.8l.5 .4c4.6 3.7 8.9 7.1 8.9 18.2 0 14.2-15.4 22.5-30.2 30.5-2.9 1.5-5.7 3.1-8.4 4.6-8.7 5-18 16.7-19.1 34.2-.9 14.6 .9 49.9 3.4 75.9-12.4 4.8-26.7 6.4-39.7 6.8-2-4.1-3.9-8.5-5.5-13.1-.7-2-19.6-51.1-26.4-62.2 5.5 39 17.5 73.7 23.5 89.6-3.5-.5-7.3-.7-11.7-.7h-117c-4.4 0-8.3 .3-11.7 .7 6-15.9 18.1-50.6 23.5-89.6-6.8 11.2-25.7 60.3-26.4 62.2-1.6 4.6-3.5 9-5.5 13.1-13-.4-27.2-2-39.7-6.8 2.5-26 4.3-61.2 3.4-75.9-.9-17.4-10.3-29.2-19-34.2zM34.8 404.6c-12.1-20-8.7-54.1-3.7-59.1 10.9 34.4 47.2 44.3 74.4 45.4-2.7 4.2-5.2 7.6-7 10l-1.4 1.4c-7.2 7.8-8.6 18.5-4.1 31.8-22.7-.1-46.3-9.8-58.2-29.5zm45.7 43.5c6 1.1 12.2 1.9 18.6 2.4 3.5 8 7.4 15.9 12.3 23.1-14.4-5.9-24.4-16-30.9-25.5zM192 498.2c-60.6-.1-78.3-45.8-84.9-64.7-3.7-10.5-3.4-18.2 .9-23.1 2.9-3.3 9.5-7.2 24.6-7.2h118.8c15.1 0 21.8 3.9 24.6 7.2 4.2 4.8 4.5 12.6 .9 23.1-6.6 18.8-24.3 64.6-84.9 64.7zm80.6-24.6c4.9-7.2 8.8-15.1 12.3-23.1 6.4-.5 12.6-1.3 18.6-2.4-6.5 9.5-16.5 19.6-30.9 25.5zm76.6-69c-12 19.7-35.6 29.3-58.1 29.7 4.5-13.3 3.1-24.1-4.1-31.8-.4-.5-.9-1-1.4-1.5-1.8-2.4-4.3-5.8-7-10 27.2-1.2 63.5-11 74.4-45.4 5 5 8.4 39.1-3.8 59zM191.9 187.7h.2c12.7-.1 27.2-17.8 27.2-17.8-9.9 6-18.8 8.1-27.3 8.3-8.5-.2-17.4-2.3-27.3-8.3 0 0 14.5 17.6 27.2 17.8zm61.7 230.7h-29.4c-4.2 0-7.2 .9-8.9 2.7-2.2 2.3-1.5 5.2-.9 6.7 1 2.6 5.5 11.3 13 19.3 2.7 2.9 6.6 4.5 11 4.5s8.7-1.6 11.8-4.2c2.3-2 10.2-9.2 13.7-18.1 1.3-3.3 1-6-.9-7.9-1.3-1.3-4-2.9-9.4-3z"],
    "guilded": [448, 512, [], "e07e", "M443.4 64H4.571c0 103.3 22.19 180.1 43.42 222.4C112 414.1 224 448 225.3 448a312.8 312.8 0 0 0 140.6-103.5c25.91-33.92 53.1-87.19 65.92-145.8H171.8c4.14 36.43 22.18 67.95 45.1 86.94h88.59c-17.01 28.21-48.19 54.4-80.46 69.48-31.23-13.26-69.09-46.54-96.55-98.36-26.73-53.83-27.09-105.9-27.09-105.9H437.6A625.9 625.9 0 0 0 443.4 64z"],
    "gulp": [256, 512, [], "f3ae", "M209.8 391.1l-14.1 24.6-4.6 80.2c0 8.9-28.3 16.1-63.1 16.1s-63.1-7.2-63.1-16.1l-5.8-79.4-14.9-25.4c41.2 17.3 126 16.7 165.6 0zm-196-253.3l13.6 125.5c5.9-20 20.8-47 40-55.2 6.3-2.7 12.7-2.7 18.7 .9 5.2 3 9.6 9.3 10.1 11.8 1.2 6.5-2 9.1-4.5 9.1-3 0-5.3-4.6-6.8-7.3-4.1-7.3-10.3-7.6-16.9-2.8-6.9 5-12.9 13.4-17.1 20.7-5.1 8.8-9.4 18.5-12 28.2-1.5 5.6-2.9 14.6-.6 19.9 1 2.2 2.5 3.6 4.9 3.6 5 0 12.3-6.6 15.8-10.1 4.5-4.5 10.3-11.5 12.5-16l5.2-15.5c2.6-6.8 9.9-5.6 9.9 0 0 10.2-3.7 13.6-10 34.7-5.8 19.5-7.6 25.8-7.6 25.8-.7 2.8-3.4 7.5-6.3 7.5-1.2 0-2.1-.4-2.6-1.2-1-1.4-.9-5.3-.8-6.3 .2-3.2 6.3-22.2 7.3-25.2-2 2.2-4.1 4.4-6.4 6.6-5.4 5.1-14.1 11.8-21.5 11.8-3.4 0-5.6-.9-7.7-2.4l7.6 79.6c2 5 39.2 17.1 88.2 17.1 49.1 0 86.3-12.2 88.2-17.1l10.9-94.6c-5.7 5.2-12.3 11.6-19.6 14.8-5.4 2.3-17.4 3.8-17.4-5.7 0-5.2 9.1-14.8 14.4-21.5 1.4-1.7 4.7-5.9 4.7-8.1 0-2.9-6-2.2-11.7 2.5-3.2 2.7-6.2 6.3-8.7 9.7-4.3 6-6.6 11.2-8.5 15.5-6.2 14.2-4.1 8.6-9.1 22-5 13.3-4.2 11.8-5.2 14-.9 1.9-2.2 3.5-4 4.5-1.9 1-4.5 .9-6.1-.3-.9-.6-1.3-1.9-1.3-3.7 0-.9 .1-1.8 .3-2.7 1.5-6.1 7.8-18.1 15-34.3 1.6-3.7 1-2.6 .8-2.3-6.2 6-10.9 8.9-14.4 10.5-5.8 2.6-13 2.6-14.5-4.1-.1-.4-.1-.8-.2-1.2-11.8 9.2-24.3 11.7-20-8.1-4.6 8.2-12.6 14.9-22.4 14.9-4.1 0-7.1-1.4-8.6-5.1-2.3-5.5 1.3-14.9 4.6-23.8 1.7-4.5 4-9.9 7.1-16.2 1.6-3.4 4.2-5.4 7.6-4.5 .6 .2 1.1 .4 1.6 .7 2.6 1.8 1.6 4.5 .3 7.2-3.8 7.5-7.1 13-9.3 20.8-.9 3.3-2 9 1.5 9 2.4 0 4.7-.8 6.9-2.4 4.6-3.4 8.3-8.5 11.1-13.5 2-3.6 4.4-8.3 5.6-12.3 .5-1.7 1.1-3.3 1.8-4.8 1.1-2.5 2.6-5.1 5.2-5.1 1.3 0 2.4 .5 3.2 1.5 1.7 2.2 1.3 4.5 .4 6.9-2 5.6-4.7 10.6-6.9 16.7-1.3 3.5-2.7 8-2.7 11.7 0 3.4 3.7 2.6 6.8 1.2 2.4-1.1 4.8-2.8 6.8-4.5 1.2-4.9 .9-3.8 26.4-68.2 1.3-3.3 3.7-4.7 6.1-4.7 1.2 0 2.2 .4 3.2 1.1 1.7 1.3 1.7 4.1 1 6.2-.7 1.9-.6 1.3-4.5 10.5-5.2 12.1-8.6 20.8-13.2 31.9-1.9 4.6-7.7 18.9-8.7 22.3-.6 2.2-1.3 5.8 1 5.8 5.4 0 19.3-13.1 23.1-17 .2-.3 .5-.4 .9-.6 .6-1.9 1.2-3.7 1.7-5.5 1.4-3.8 2.7-8.2 5.3-11.3 .8-1 1.7-1.6 2.7-1.6 2.8 0 4.2 1.2 4.2 4 0 1.1-.7 5.1-1.1 6.2 1.4-1.5 2.9-3 4.5-4.5 15-13.9 25.7-6.8 25.7 .2 0 7.4-8.9 17.7-13.8 23.4-1.6 1.9-4.9 5.4-5 6.4 0 1.3 .9 1.8 2.2 1.8 2 0 6.4-3.5 8-4.7 5-3.9 11.8-9.9 16.6-14.1l14.8-136.8c-30.5 17.1-197.6 17.2-228.3 .2zm229.7-8.5c0 21-231.2 21-231.2 0 0-8.8 51.8-15.9 115.6-15.9 9 0 17.8 .1 26.3 .4l12.6-48.7L228.1 .6c1.4-1.4 5.8-.2 9.9 3.5s6.6 7.9 5.3 9.3l-.1 .1L185.9 74l-10 40.7c39.9 2.6 67.6 8.1 67.6 14.6zm-69.4 4.6c0-.8-.9-1.5-2.5-2.1l-.2 .8c0 1.3-5 2.4-11.1 2.4s-11.1-1.1-11.1-2.4c0-.1 0-.2 .1-.3l.2-.7c-1.8 .6-3 1.4-3 2.3 0 2.1 6.2 3.7 13.7 3.7 7.7 .1 13.9-1.6 13.9-3.7z"],
    "hacker-news": [448, 512, [], "f1d4", "M0 32v448h448V32H0zm21.2 197.2H21c.1-.1 .2-.3 .3-.4 0 .1 0 .3-.1 .4zm218 53.9V384h-31.4V281.3L128 128h37.3c52.5 98.3 49.2 101.2 59.3 125.6 12.3-27 5.8-24.4 60.6-125.6H320l-80.8 155.1z"],
    "hackerrank": [512, 512, [], "f5f7", "M477.5 128C463 103.1 285.1 0 256.2 0S49.25 102.8 34.84 128s-14.49 230.8 0 256 192.4 128 221.3 128S463 409.1 477.5 384s14.51-231 .01-256zM316.1 414.2c-4 0-40.91-35.77-38-38.69 .87-.87 6.26-1.48 17.55-1.83 0-26.23 .59-68.59 .94-86.32 0-2-.44-3.43-.44-5.85h-79.93c0 7.1-.46 36.2 1.37 72.88 .23 4.54-1.58 6-5.74 5.94-10.13 0-20.27-.11-30.41-.08-4.1 0-5.87-1.53-5.74-6.11 .92-33.44 3-84-.15-212.7v-3.17c-9.67-.35-16.38-1-17.26-1.84-2.92-2.92 34.54-38.69 38.49-38.69s41.17 35.78 38.27 38.69c-.87 .87-7.9 1.49-16.77 1.84v3.16c-2.42 25.75-2 79.59-2.63 105.4h80.26c0-4.55 .39-34.74-1.2-83.64-.1-3.39 .95-5.17 4.21-5.2 11.07-.08 22.15-.13 33.23-.06 3.46 0 4.57 1.72 4.5 5.38C333 354.6 336 341.3 336 373.7c8.87 .35 16.82 1 17.69 1.84 2.88 2.91-33.62 38.69-37.58 38.69z"],
    "hashnode": [512, 512, [], "e499", "M35.19 171.1C-11.72 217.1-11.72 294 35.19 340.9L171.1 476.8C217.1 523.7 294 523.7 340.9 476.8L476.8 340.9C523.7 294 523.7 217.1 476.8 171.1L340.9 35.19C294-11.72 217.1-11.72 171.1 35.19L35.19 171.1zM315.5 315.5C282.6 348.3 229.4 348.3 196.6 315.5C163.7 282.6 163.7 229.4 196.6 196.6C229.4 163.7 282.6 163.7 315.5 196.6C348.3 229.4 348.3 282.6 315.5 315.5z"],
    "hips": [640, 512, [], "f452", "M251.6 157.6c0-1.9-.9-2.8-2.8-2.8h-40.9c-1.6 0-2.7 1.4-2.7 2.8v201.8c0 1.4 1.1 2.8 2.7 2.8h40.9c1.9 0 2.8-.9 2.8-2.8zM156.5 168c-16.1-11.8-36.3-17.9-60.3-18-18.1-.1-34.6 3.7-49.8 11.4V80.2c0-1.8-.9-2.7-2.8-2.7H2.7c-1.8 0-2.7 .9-2.7 2.7v279.2c0 1.9 .9 2.8 2.7 2.8h41c1.9 0 2.8-.9 2.8-2.8V223.3c0-.8-2.8-27 45.8-27 48.5 0 45.8 26.1 45.8 27v122.6c0 9 7.3 16.3 16.4 16.3h27.3c1.8 0 2.7-.9 2.7-2.8V223.3c0-23.4-9.3-41.8-28-55.3zm478.4 110.1c-6.8-15.7-18.4-27-34.9-34.1l-57.6-25.3c-8.6-3.6-9.2-11.2-2.6-16.1 7.4-5.5 44.3-13.9 84 6.8 1.7 1 4-.3 4-2.4v-44.7c0-1.3-.6-2.1-1.9-2.6-17.7-6.6-36.1-9.9-55.1-9.9-26.5 0-45.3 5.8-58.5 15.4-.5 .4-28.4 20-22.7 53.7 3.4 19.6 15.8 34.2 37.2 43.6l53.6 23.5c11.6 5.1 15.2 13.3 12.2 21.2-3.7 9.1-13.2 13.6-36.5 13.6-24.3 0-44.7-8.9-58.4-19.1-2.1-1.4-4.4 .2-4.4 2.3v34.4c0 10.4 4.9 17.3 14.6 20.7 15.6 5.5 31.6 8.2 48.2 8.2 12.7 0 25.8-1.2 36.3-4.3 .7-.3 36-8.9 45.6-45.8 3.5-13.5 2.4-26.5-3.1-39.1zM376.2 149.8c-31.7 0-104.2 20.1-104.2 103.5v183.5c0 .8 .6 2.7 2.7 2.7h40.9c1.9 0 2.8-.9 2.8-2.7V348c16.5 12.7 35.8 19.1 57.7 19.1 60.5 0 108.7-48.5 108.7-108.7 .1-60.3-48.2-108.6-108.6-108.6zm0 170.9c-17.2 0-31.9-6.1-44-18.2-12.2-12.2-18.2-26.8-18.2-44 0-34.5 27.6-62.2 62.2-62.2 34.5 0 62.2 27.6 62.2 62.2 .1 34.3-27.3 62.2-62.2 62.2zM228.3 72.5c-15.9 0-28.8 12.9-28.9 28.9 0 15.6 12.7 28.9 28.9 28.9s28.9-13.1 28.9-28.9c0-16.2-13-28.9-28.9-28.9z"],
    "hire-a-helper": [512, 512, [], "f3b0", "M443.1 0H71.9C67.9 37.3 37.4 67.8 0 71.7v371.5c37.4 4.9 66 32.4 71.9 68.8h372.2c3-36.4 32.5-65.8 67.9-69.8V71.7c-36.4-5.9-65-35.3-68.9-71.7zm-37 404.9c-36.3 0-18.8-2-55.1-2-35.8 0-21 2-56.1 2-5.9 0-4.9-8.2 0-9.8 22.8-7.6 22.9-10.2 24.6-12.8 10.4-15.6 5.9-83 5.9-113 0-5.3-6.4-12.8-13.8-12.8H200.4c-7.4 0-13.8 7.5-13.8 12.8 0 30-4.5 97.4 5.9 113 1.7 2.5 1.8 5.2 24.6 12.8 4.9 1.6 6 9.8 0 9.8-35.1 0-20.3-2-56.1-2-36.3 0-18.8 2-55.1 2-7.9 0-5.8-10.8 0-10.8 10.2-3.4 13.5-3.5 21.7-13.8 7.7-12.9 7.9-44.4 7.9-127.8V151.3c0-22.2-12.2-28.3-28.6-32.4-8.8-2.2-4-11.8 1-11.8 36.5 0 20.6 2 57.1 2 32.7 0 16.5-2 49.2-2 3.3 0 8.5 8.3 1 10.8-4.9 1.6-27.6 3.7-27.6 39.3 0 45.6-.2 55.8 1 68.8 0 1.3 2.3 12.8 12.8 12.8h109.2c10.5 0 12.8-11.5 12.8-12.8 1.2-13 1-23.2 1-68.8 0-35.6-22.7-37.7-27.6-39.3-7.5-2.5-2.3-10.8 1-10.8 32.7 0 16.5 2 49.2 2 36.5 0 20.6-2 57.1-2 4.9 0 9.9 9.6 1 11.8-16.4 4.1-28.6 10.3-28.6 32.4v101.2c0 83.4 .1 114.9 7.9 127.8 8.2 10.2 11.4 10.4 21.7 13.8 5.8 0 7.8 10.8 0 10.8z"],
    "hive": [512, 512, [], "e07f", "M260.4 254.9 131.5 33.1a2.208 2.208 0 0 0 -3.829 .009L.3 254.9A2.234 2.234 0 0 0 .3 257.1L129.1 478.9a2.208 2.208 0 0 0 3.83-.009L260.4 257.1A2.239 2.239 0 0 0 260.4 254.9zm39.08-25.71a2.19 2.19 0 0 0 1.9 1.111h66.51a2.226 2.226 0 0 0 1.9-3.341L259.1 33.11a2.187 2.187 0 0 0 -1.9-1.111H190.7a2.226 2.226 0 0 0 -1.9 3.341zM511.7 254.9 384.9 33.11A2.2 2.2 0 0 0 382.1 32h-66.6a2.226 2.226 0 0 0 -1.906 3.34L440.7 256 314.5 476.7a2.226 2.226 0 0 0 1.906 3.34h66.6a2.2 2.2 0 0 0 1.906-1.112L511.7 257.1A2.243 2.243 0 0 0 511.7 254.9zM366 284.9H299.5a2.187 2.187 0 0 0 -1.9 1.111l-108.8 190.6a2.226 2.226 0 0 0 1.9 3.341h66.51a2.187 2.187 0 0 0 1.9-1.111l108.8-190.6A2.226 2.226 0 0 0 366 284.9z"],
    "hooli": [640, 512, [], "f427", "M144.5 352l38.3 .8c-13.2-4.6-26-10.2-38.3-16.8zm57.7-5.3v5.3l-19.4 .8c36.5 12.5 69.9 14.2 94.7 7.2-19.9 .2-45.8-2.6-75.3-13.3zm408.9-115.2c15.9 0 28.9-12.9 28.9-28.9s-12.9-24.5-28.9-24.5c-15.9 0-28.9 8.6-28.9 24.5s12.9 28.9 28.9 28.9zm-29 120.5H640V241.5h-57.9zm-73.7 0h57.9V156.7L508.4 184zm-31-119.4c-18.2-18.2-50.4-17.1-50.4-17.1s-32.3-1.1-50.4 17.1c-18.2 18.2-16.8 33.9-16.8 52.6s-1.4 34.3 16.8 52.5 50.4 17.1 50.4 17.1 32.3 1.1 50.4-17.1c18.2-18.2 16.8-33.8 16.8-52.5-.1-18.8 1.3-34.5-16.8-52.6zm-39.8 71.9c0 3.6-1.8 12.5-10.7 12.5s-10.7-8.9-10.7-12.5v-40.4c0-8.7 7.3-10.9 10.7-10.9s10.7 2.1 10.7 10.9zm-106.2-71.9c-18.2-18.2-50.4-17.1-50.4-17.1s-32.2-1.1-50.4 17.1c-1.9 1.9-3.7 3.9-5.3 6-38.2-29.6-72.5-46.5-102.1-61.1v-20.7l-22.5 10.6c-54.4-22.1-89-18.2-97.3 .1 0 0-24.9 32.8 61.8 110.8V352h57.9v-28.6c-6.5-4.2-13-8.7-19.4-13.6-14.8-11.2-27.4-21.6-38.4-31.4v-31c13.1 14.7 30.5 31.4 53.4 50.3l4.5 3.6v-29.8c0-6.9 1.7-18.2 10.8-18.2s10.6 6.9 10.6 15V317c18 12.2 37.3 22.1 57.7 29.6v-93.9c0-18.7-13.4-37.4-40.6-37.4-15.8-.1-30.5 8.2-38.5 21.9v-54.3c41.9 20.9 83.9 46.5 99.9 58.3-10.2 14.6-9.3 28.1-9.3 43.7 0 18.7-1.4 34.3 16.8 52.5s50.4 17.1 50.4 17.1 32.3 1.1 50.4-17.1c18.2-18.2 16.7-33.8 16.7-52.5 0-18.5 1.5-34.2-16.7-52.3zM65.2 184v63.3c-48.7-54.5-38.9-76-35.2-79.1 13.5-11.4 37.5-8 64.4 2.1zm226.5 120.5c0 3.6-1.8 12.5-10.7 12.5s-10.7-8.9-10.7-12.5v-40.4c0-8.7 7.3-10.9 10.7-10.9s10.7 2.1 10.7 10.9z"],
    "hornbill": [512, 512, [], "f592", "M76.38 370.3a37.8 37.8 0 1 1 -32.07-32.42c-78.28-111.3 52-190.5 52-190.5-5.86 43-8.24 91.16-8.24 91.16-67.31 41.49 .93 64.06 39.81 72.87a140.4 140.4 0 0 0 131.7 91.94c1.92 0 3.77-.21 5.67-.28l.11 18.86c-99.22 1.39-158.7-29.14-188.9-51.6zm108-327.7A37.57 37.57 0 0 0 181 21.45a37.95 37.95 0 1 0 -31.17 54.22c-22.55 29.91-53.83 89.57-52.42 190l21.84-.15c0-.9-.14-1.77-.14-2.68A140.4 140.4 0 0 1 207 132.7c8-37.71 30.7-114.3 73.8-44.29 0 0 48.14 2.38 91.18 8.24 0 0-77.84-128-187.6-54.06zm304.2 134.2a37.94 37.94 0 1 0 -53.84-28.7C403 126.1 344.9 99 251.3 100.3l.14 22.5c2.7-.15 5.39-.41 8.14-.41a140.4 140.4 0 0 1 130.5 88.76c39.1 9 105.1 31.58 38.46 72.54 0 0-2.34 48.13-8.21 91.16 0 0 133.4-81.16 49-194.6a37.45 37.45 0 0 0 19.31-3.5zM374.1 436.2c21.43-32.46 46.42-89.69 45.14-179.7l-19.52 .14c.08 2.06 .3 4.07 .3 6.15a140.3 140.3 0 0 1 -91.39 131.4c-8.85 38.95-31.44 106.7-72.77 39.49 0 0-48.12-2.34-91.19-8.22 0 0 79.92 131.3 191.9 51a37.5 37.5 0 0 0 3.64 14 37.93 37.93 0 1 0 33.89-54.29z"],
    "hotjar": [448, 512, [], "f3b1", "M414.9 161.5C340.2 29 121.1 0 121.1 0S222.2 110.4 93 197.7C11.3 252.8-21 324.4 14 402.6c26.8 59.9 83.5 84.3 144.6 93.4-29.2-55.1-6.6-122.4-4.1-129.6 57.1 86.4 165 0 110.8-93.9 71 15.4 81.6 138.6 27.1 215.5 80.5-25.3 134.1-88.9 148.8-145.6 15.5-59.3 3.7-127.9-26.3-180.9z"],
    "houzz": [448, 512, [], "f27c", "M275.9 330.7H171.3V480H17V32h109.5v104.5l305.1 85.6V480H275.9z"],
    "html5": [384, 512, [], "f13b", "M0 32l34.9 395.8L191.5 480l157.6-52.2L384 32H0zm308.2 127.9H124.4l4.1 49.4h175.6l-13.6 148.4-97.9 27v.3h-1.1l-98.7-27.3-6-75.8h47.7L138 320l53.5 14.5 53.7-14.5 6-62.2H84.3L71.5 112.2h241.1l-4.4 47.7z"],
    "hubspot": [512, 512, [], "f3b2", "M267.4 211.6c-25.1 23.7-40.8 57.3-40.8 94.6 0 29.3 9.7 56.3 26 78L203.1 434c-4.4-1.6-9.1-2.5-14-2.5-10.8 0-20.9 4.2-28.5 11.8-7.6 7.6-11.8 17.8-11.8 28.6s4.2 20.9 11.8 28.5c7.6 7.6 17.8 11.6 28.5 11.6 10.8 0 20.9-3.9 28.6-11.6 7.6-7.6 11.8-17.8 11.8-28.5 0-4.2-.6-8.2-1.9-12.1l50-50.2c22 16.9 49.4 26.9 79.3 26.9 71.9 0 130-58.3 130-130.2 0-65.2-47.7-119.2-110.2-128.7V116c17.5-7.4 28.2-23.8 28.2-42.9 0-26.1-20.9-47.9-47-47.9S311.2 47 311.2 73.1c0 19.1 10.7 35.5 28.2 42.9v61.2c-15.2 2.1-29.6 6.7-42.7 13.6-27.6-20.9-117.5-85.7-168.9-124.8 1.2-4.4 2-9 2-13.8C129.8 23.4 106.3 0 77.4 0 48.6 0 25.2 23.4 25.2 52.2c0 28.9 23.4 52.3 52.2 52.3 9.8 0 18.9-2.9 26.8-7.6l163.2 114.7zm89.5 163.6c-38.1 0-69-30.9-69-69s30.9-69 69-69 69 30.9 69 69-30.9 69-69 69z"],
    "ideal": [576, 512, [], "e013", "M125.6 165.5a49.07 49.07 0 1 0 49.06 49.06A49.08 49.08 0 0 0 125.6 165.5zM86.15 425.8h78.94V285.3H86.15zm151.5-211.6c0-20-10-22.53-18.74-22.53H204.8V237.5h14.05C228.6 237.5 237.6 234.7 237.6 214.2zm201.7 46V168.9h22.75V237.5h33.69C486.5 113.1 388.6 86.19 299.7 86.19H204.8V169h14c25.6 0 41.5 17.35 41.5 45.26 0 28.81-15.52 46-41.5 46h-14V425.9h94.83c144.6 0 194.9-67.16 196.7-165.6zm-109.8 0H273.3V169h54.43v22.73H296v10.58h30V225H296V237.5h33.51zm74.66 0-5.16-17.67H369.3l-5.18 17.67H340.5L368 168.9h32.35l27.53 91.34zM299.6 32H32V480H299.6c161.9 0 251-79.73 251-224.5C550.6 172 518 32 299.6 32zm0 426.9H53.07V53.07H299.6c142.1 0 229.9 64.61 229.9 202.4C529.5 389.6 448.5 458.9 299.6 458.9zm83.86-264.9L376 219.9H392.4l-7.52-25.81z"],
    "imdb": [448, 512, [], "f2d8", "M89.5 323.6H53.93V186.2H89.5V323.6zM156.1 250.5L165.2 186.2H211.5V323.6H180.5V230.9L167.1 323.6H145.8L132.8 232.9L132.7 323.6H101.5V186.2H147.6C148.1 194.5 150.4 204.3 151.9 215.6L156.1 250.5zM223.7 323.6V186.2H250.3C267.3 186.2 277.3 187.1 283.3 188.6C289.4 190.3 294 192.8 297.2 196.5C300.3 199.8 302.3 203.1 303 208.5C303.9 212.9 304.4 221.6 304.4 234.7V282.9C304.4 295.2 303.7 303.4 302.5 307.6C301.4 311.7 299.4 315 296.5 317.3C293.7 319.7 290.1 321.4 285.8 322.3C281.6 323.1 275.2 323.6 266.7 323.6H223.7zM259.2 209.7V299.1C264.3 299.1 267.5 298.1 268.6 296.8C269.7 294.8 270.4 289.2 270.4 280.1V226.8C270.4 220.6 270.3 216.6 269.7 214.8C269.4 213 268.5 211.8 267.1 210.1C265.7 210.1 263 209.7 259.2 209.7V209.7zM316.5 323.6V186.2H350.6V230.1C353.5 227.7 356.7 225.2 360.1 223.5C363.7 222 368.9 221.1 372.9 221.1C377.7 221.1 381.8 221.9 385.2 223.3C388.6 224.8 391.2 226.8 393.2 229.5C394.9 232.1 395.9 234.8 396.3 237.3C396.7 239.9 396.1 245.3 396.1 253.5V292.1C396.1 300.3 396.3 306.4 395.3 310.5C394.2 314.5 391.5 318.1 387.5 320.1C383.4 324 378.6 325.4 372.9 325.4C368.9 325.4 363.7 324.5 360.2 322.9C356.7 321.1 353.5 318.4 350.6 314.9L348.5 323.6L316.5 323.6zM361.6 302.9C362.3 301.1 362.6 296.9 362.6 290.4V255C362.6 249.4 362.3 245.5 361.5 243.8C360.8 241.9 357.8 241.1 355.7 241.1C353.7 241.1 352.3 241.9 351.6 243.4C351 244.9 350.6 248.8 350.6 255V291.4C350.6 297.5 351 301.4 351.8 303C352.4 304.7 353.9 305.5 355.9 305.5C358.1 305.5 360.1 304.7 361.6 302.9L361.6 302.9zM418.4 32.04C434.1 33.27 447.1 47.28 447.1 63.92V448.1C447.1 464.5 435.2 478.5 418.9 479.1C418.6 479.1 418.4 480 418.1 480H29.88C29.6 480 29.32 479.1 29.04 479.9C13.31 478.5 1.093 466.1 0 449.7L.0186 61.78C1.081 45.88 13.82 33.09 30.26 31.1H417.7C417.9 31.1 418.2 32.01 418.4 32.04L418.4 32.04zM30.27 41.26C19 42.01 10.02 51.01 9.257 62.4V449.7C9.63 455.1 11.91 460.2 15.7 464C19.48 467.9 24.51 470.3 29.89 470.7H418.1C429.6 469.7 438.7 459.1 438.7 448.1V63.91C438.7 58.17 436.6 52.65 432.7 48.45C428.8 44.24 423.4 41.67 417.7 41.26L30.27 41.26z"],
    "instagram": [448, 512, [], "f16d", "M224.1 141c-63.6 0-114.9 51.3-114.9 114.9s51.3 114.9 114.9 114.9S339 319.5 339 255.9 287.7 141 224.1 141zm0 189.6c-41.1 0-74.7-33.5-74.7-74.7s33.5-74.7 74.7-74.7 74.7 33.5 74.7 74.7-33.6 74.7-74.7 74.7zm146.4-194.3c0 14.9-12 26.8-26.8 26.8-14.9 0-26.8-12-26.8-26.8s12-26.8 26.8-26.8 26.8 12 26.8 26.8zm76.1 27.2c-1.7-35.9-9.9-67.7-36.2-93.9-26.2-26.2-58-34.4-93.9-36.2-37-2.1-147.9-2.1-184.9 0-35.8 1.7-67.6 9.9-93.9 36.1s-34.4 58-36.2 93.9c-2.1 37-2.1 147.9 0 184.9 1.7 35.9 9.9 67.7 36.2 93.9s58 34.4 93.9 36.2c37 2.1 147.9 2.1 184.9 0 35.9-1.7 67.7-9.9 93.9-36.2 26.2-26.2 34.4-58 36.2-93.9 2.1-37 2.1-147.8 0-184.8zM398.8 388c-7.8 19.6-22.9 34.7-42.6 42.6-29.5 11.7-99.5 9-132.1 9s-102.7 2.6-132.1-9c-19.6-7.8-34.7-22.9-42.6-42.6-11.7-29.5-9-99.5-9-132.1s-2.6-102.7 9-132.1c7.8-19.6 22.9-34.7 42.6-42.6 29.5-11.7 99.5-9 132.1-9s102.7-2.6 132.1 9c19.6 7.8 34.7 22.9 42.6 42.6 11.7 29.5 9 99.5 9 132.1s2.7 102.7-9 132.1z"],
    "instalod": [512, 512, [], "e081", "M153.4 480H387.1L502.6 275.8 204.2 333.2zM504.7 240.1 387.1 32H155.7L360.2 267.9zM124.4 48.81 7.274 256 123.2 461.2 225.6 165.6z"],
    "intercom": [448, 512, [], "f7af", "M392 32H56C25.1 32 0 57.1 0 88v336c0 30.9 25.1 56 56 56h336c30.9 0 56-25.1 56-56V88c0-30.9-25.1-56-56-56zm-108.3 82.1c0-19.8 29.9-19.8 29.9 0v199.5c0 19.8-29.9 19.8-29.9 0V114.1zm-74.6-7.5c0-19.8 29.9-19.8 29.9 0v216.5c0 19.8-29.9 19.8-29.9 0V106.6zm-74.7 7.5c0-19.8 29.9-19.8 29.9 0v199.5c0 19.8-29.9 19.8-29.9 0V114.1zM59.7 144c0-19.8 29.9-19.8 29.9 0v134.3c0 19.8-29.9 19.8-29.9 0V144zm323.4 227.8c-72.8 63-241.7 65.4-318.1 0-15-12.8 4.4-35.5 19.4-22.7 65.9 55.3 216.1 53.9 279.3 0 14.9-12.9 34.3 9.8 19.4 22.7zm5.2-93.5c0 19.8-29.9 19.8-29.9 0V144c0-19.8 29.9-19.8 29.9 0v134.3z"],
    "internet-explorer": [512, 512, [], "f26b", "M483 159.7c10.85-24.58 21.42-60.44 21.42-87.87 0-72.72-79.64-98.37-209.7-38.58-107.6-7.181-211.2 73.67-237.1 186.5 30.85-34.86 78.27-82.3 121.1-101.2C125.4 166.9 79.13 228 43.99 291.7 23.25 329.7 0 390.9 0 436.7c0 98.57 92.85 86.5 180.3 42.01 31.42 15.43 66.56 15.57 101.7 15.57 97.12 0 184.2-54.29 216.8-146H377.9c-52.51 88.59-196.8 52.1-196.8-47.44H509.9c6.407-43.58-1.655-95.71-26.85-141.2zM64.56 346.9c17.71 51.15 53.7 95.87 100.3 123.3-88.74 48.94-173.3 29.1-100.3-123.3zm115.1-108.9c2-55.15 50.28-94.87 103.1-94.87 53.42 0 101.1 39.72 103.1 94.87H180.5zm184.5-187.6c21.42-10.29 48.56-22 72.56-22 31.42 0 54.27 21.72 54.27 53.72 0 20-7.427 49.01-14.57 67.87-26.28-42.29-65.99-81.58-112.3-99.59z"],
    "invision": [448, 512, [], "f7b0", "M407.4 32H40.6C18.2 32 0 50.2 0 72.6v366.8C0 461.8 18.2 480 40.6 480h366.8c22.4 0 40.6-18.2 40.6-40.6V72.6c0-22.4-18.2-40.6-40.6-40.6zM176.1 145.6c.4 23.4-22.4 27.3-26.6 27.4-14.9 0-27.1-12-27.1-27 .1-35.2 53.1-35.5 53.7-.4zM332.8 377c-65.6 0-34.1-74-25-106.6 14.1-46.4-45.2-59-59.9 .7l-25.8 103.3H177l8.1-32.5c-31.5 51.8-94.6 44.4-94.6-4.3 .1-14.3 .9-14 23-104.1H81.7l9.7-35.6h76.4c-33.6 133.7-32.6 126.9-32.9 138.2 0 20.9 40.9 13.5 57.4-23.2l19.8-79.4h-32.3l9.7-35.6h68.8l-8.9 40.5c40.5-75.5 127.9-47.8 101.8 38-14.2 51.1-14.6 50.7-14.9 58.8 0 15.5 17.5 22.6 31.8-16.9L386 325c-10.5 36.7-29.4 52-53.2 52z"],
    "ioxhost": [640, 512, [], "f208", "M616 160h-67.3C511.2 70.7 422.9 8 320 8 183 8 72 119 72 256c0 16.4 1.6 32.5 4.7 48H24c-13.3 0-24 10.8-24 24 0 13.3 10.7 24 24 24h67.3c37.5 89.3 125.8 152 228.7 152 137 0 248-111 248-248 0-16.4-1.6-32.5-4.7-48H616c13.3 0 24-10.8 24-24 0-13.3-10.7-24-24-24zm-96 96c0 110.5-89.5 200-200 200-75.7 0-141.6-42-175.5-104H424c13.3 0 24-10.8 24-24 0-13.3-10.7-24-24-24H125.8c-3.8-15.4-5.8-31.4-5.8-48 0-110.5 89.5-200 200-200 75.7 0 141.6 42 175.5 104H216c-13.3 0-24 10.8-24 24 0 13.3 10.7 24 24 24h298.2c3.8 15.4 5.8 31.4 5.8 48zm-304-24h208c13.3 0 24 10.7 24 24 0 13.2-10.7 24-24 24H216c-13.3 0-24-10.7-24-24 0-13.2 10.7-24 24-24z"],
    "itch-io": [512, 512, [], "f83a", "M71.92 34.77C50.2 47.67 7.4 96.84 7 109.7v21.34c0 27.06 25.29 50.84 48.25 50.84 27.57 0 50.54-22.85 50.54-50 0 27.12 22.18 50 49.76 50s49-22.85 49-50c0 27.12 23.59 50 51.16 50h.5c27.57 0 51.16-22.85 51.16-50 0 27.12 21.47 50 49 50s49.76-22.85 49.76-50c0 27.12 23 50 50.54 50 23 0 48.25-23.78 48.25-50.84v-21.34c-.4-12.9-43.2-62.07-64.92-75C372.6 32.4 325.8 32 256 32S91.14 33.1 71.92 34.77zm132.3 134.4c-22 38.4-77.9 38.71-99.85 .25-13.17 23.14-43.17 32.07-56 27.66-3.87 40.15-13.67 237.1 17.73 269.1 80 18.67 302.1 18.12 379.8 0 31.65-32.27 21.32-232 17.75-269.1-12.92 4.44-42.88-4.6-56-27.66-22 38.52-77.85 38.1-99.85-.24-7.1 12.49-23.05 28.94-51.76 28.94a57.54 57.54 0 0 1 -51.75-28.94zm-41.58 53.77c16.47 0 31.09 0 49.22 19.78a436.9 436.9 0 0 1 88.18 0C318.2 223 332.9 223 349.3 223c52.33 0 65.22 77.53 83.87 144.4 17.26 62.15-5.52 63.67-33.95 63.73-42.15-1.57-65.49-32.18-65.49-62.79-39.25 6.43-101.9 8.79-155.6 0 0 30.61-23.34 61.22-65.49 62.79-28.42-.06-51.2-1.58-33.94-63.73 18.67-67 31.56-144.4 83.88-144.4zM256 270.8s-44.38 40.77-52.35 55.21l29-1.17v25.32c0 1.55 21.34 .16 23.33 .16 11.65 .54 23.31 1 23.31-.16v-25.28l29 1.17c-8-14.48-52.35-55.24-52.35-55.24z"],
    "itunes": [448, 512, [], "f3b4", "M223.6 80.3C129 80.3 52.5 157 52.5 251.5S129 422.8 223.6 422.8s171.2-76.7 171.2-171.2c0-94.6-76.7-171.3-171.2-171.3zm79.4 240c-3.2 13.6-13.5 21.2-27.3 23.8-12.1 2.2-22.2 2.8-31.9-5-11.8-10-12-26.4-1.4-36.8 8.4-8 20.3-9.6 38-12.8 3-.5 5.6-1.2 7.7-3.7 3.2-3.6 2.2-2 2.2-80.8 0-5.6-2.7-7.1-8.4-6.1-4 .7-91.9 17.1-91.9 17.1-5 1.1-6.7 2.6-6.7 8.3 0 116.1 .5 110.8-1.2 118.5-2.1 9-7.6 15.8-14.9 19.6-8.3 4.6-23.4 6.6-31.4 5.2-21.4-4-28.9-28.7-14.4-42.9 8.4-8 20.3-9.6 38-12.8 3-.5 5.6-1.2 7.7-3.7 5-5.7 .9-127 2.6-133.7 .4-2.6 1.5-4.8 3.5-6.4 2.1-1.7 5.8-2.7 6.7-2.7 101-19 113.3-21.4 115.1-21.4 5.7-.4 9 3 9 8.7-.1 170.6 .4 161.4-1 167.6zM345.2 32H102.8C45.9 32 0 77.9 0 134.8v242.4C0 434.1 45.9 480 102.8 480h242.4c57 0 102.8-45.9 102.8-102.8V134.8C448 77.9 402.1 32 345.2 32zM223.6 444c-106.3 0-192.5-86.2-192.5-192.5S117.3 59 223.6 59s192.5 86.2 192.5 192.5S329.9 444 223.6 444z"],
    "itunes-note": [384, 512, [], "f3b5", "M381.9 388.2c-6.4 27.4-27.2 42.8-55.1 48-24.5 4.5-44.9 5.6-64.5-10.2-23.9-20.1-24.2-53.4-2.7-74.4 17-16.2 40.9-19.5 76.8-25.8 6-1.1 11.2-2.5 15.6-7.4 6.4-7.2 4.4-4.1 4.4-163.2 0-11.2-5.5-14.3-17-12.3-8.2 1.4-185.7 34.6-185.7 34.6-10.2 2.2-13.4 5.2-13.4 16.7 0 234.7 1.1 223.9-2.5 239.5-4.2 18.2-15.4 31.9-30.2 39.5-16.8 9.3-47.2 13.4-63.4 10.4-43.2-8.1-58.4-58-29.1-86.6 17-16.2 40.9-19.5 76.8-25.8 6-1.1 11.2-2.5 15.6-7.4 10.1-11.5 1.8-256.6 5.2-270.2 .8-5.2 3-9.6 7.1-12.9 4.2-3.5 11.8-5.5 13.4-5.5 204-38.2 228.9-43.1 232.4-43.1 11.5-.8 18.1 6 18.1 17.6 .2 344.5 1.1 326-1.8 338.5z"],
    "java": [384, 512, [], "f4e4", "M277.7 312.9c9.8-6.7 23.4-12.5 23.4-12.5s-38.7 7-77.2 10.2c-47.1 3.9-97.7 4.7-123.1 1.3-60.1-8 33-30.1 33-30.1s-36.1-2.4-80.6 19c-52.5 25.4 130 37 224.5 12.1zm-85.4-32.1c-19-42.7-83.1-80.2 0-145.8C296 53.2 242.8 0 242.8 0c21.5 84.5-75.6 110.1-110.7 162.6-23.9 35.9 11.7 74.4 60.2 118.2zm114.6-176.2c.1 0-175.2 43.8-91.5 140.2 24.7 28.4-6.5 54-6.5 54s62.7-32.4 33.9-72.9c-26.9-37.8-47.5-56.6 64.1-121.3zm-6.1 270.5a12.19 12.19 0 0 1 -2 2.6c128.3-33.7 81.1-118.9 19.8-97.3a17.33 17.33 0 0 0 -8.2 6.3 70.45 70.45 0 0 1 11-3c31-6.5 75.5 41.5-20.6 91.4zM348 437.4s14.5 11.9-15.9 21.2c-57.9 17.5-240.8 22.8-291.6 .7-18.3-7.9 16-19 26.8-21.3 11.2-2.4 17.7-2 17.7-2-20.3-14.3-131.3 28.1-56.4 40.2C232.8 509.4 401 461.3 348 437.4zM124.4 396c-78.7 22 47.9 67.4 148.1 24.5a185.9 185.9 0 0 1 -28.2-13.8c-44.7 8.5-65.4 9.1-106 4.5-33.5-3.8-13.9-15.2-13.9-15.2zm179.8 97.2c-78.7 14.8-175.8 13.1-233.3 3.6 0-.1 11.8 9.7 72.4 13.6 92.2 5.9 233.8-3.3 237.1-46.9 0 0-6.4 16.5-76.2 29.7zM260.6 353c-59.2 11.4-93.5 11.1-136.8 6.6-33.5-3.5-11.6-19.7-11.6-19.7-86.8 28.8 48.2 61.4 169.5 25.9a60.37 60.37 0 0 1 -21.1-12.8z"],
    "jedi-order": [448, 512, [], "f50e", "M398.5 373.6c95.9-122.1 17.2-233.1 17.2-233.1 45.4 85.8-41.4 170.5-41.4 170.5 105-171.5-60.5-271.5-60.5-271.5 96.9 72.7-10.1 190.7-10.1 190.7 85.8 158.4-68.6 230.1-68.6 230.1s-.4-16.9-2.2-85.7c4.3 4.5 34.5 36.2 34.5 36.2l-24.2-47.4 62.6-9.1-62.6-9.1 20.2-55.5-31.4 45.9c-2.2-87.7-7.8-305.1-7.9-306.9v-2.4 1-1 2.4c0 1-5.6 219-7.9 306.9l-31.4-45.9 20.2 55.5-62.6 9.1 62.6 9.1-24.2 47.4 34.5-36.2c-1.8 68.8-2.2 85.7-2.2 85.7s-154.4-71.7-68.6-230.1c0 0-107-118.1-10.1-190.7 0 0-165.5 99.9-60.5 271.5 0 0-86.8-84.8-41.4-170.5 0 0-78.7 111 17.2 233.1 0 0-26.2-16.1-49.4-77.7 0 0 16.9 183.3 222 185.7h4.1c205-2.4 222-185.7 222-185.7-23.6 61.5-49.9 77.7-49.9 77.7z"],
    "jenkins": [512, 512, [], "f3b6", "M487.1 425c-1.4-11.2-19-23.1-28.2-31.9-5.1-5-29-23.1-30.4-29.9-1.4-6.6 9.7-21.5 13.3-28.9 5.1-10.7 8.8-23.7 11.3-32.6 18.8-66.1 20.7-156.9-6.2-211.2-10.2-20.6-38.6-49-56.4-62.5-42-31.7-119.6-35.3-170.1-16.6-14.1 5.2-27.8 9.8-40.1 17.1-33.1 19.4-68.3 32.5-78.1 71.6-24.2 10.8-31.5 41.8-30.3 77.8 .2 7 4.1 15.8 2.7 22.4-.7 3.3-5.2 7.6-6.1 9.8-11.6 27.7-2.3 64 11.1 83.7 8.1 11.9 21.5 22.4 39.2 25.2 .7 10.6 3.3 19.7 8.2 30.4 3.1 6.8 14.7 19 10.4 27.7-2.2 4.4-21 13.8-27.3 17.6C89 407.2 73.7 415 54.2 429c-12.6 9-32.3 10.2-29.2 31.1 2.1 14.1 10.1 31.6 14.7 45.8 .7 2 1.4 4.1 2.1 6h422c4.9-15.3 9.7-30.9 14.6-47.2 3.4-11.4 10.2-27.8 8.7-39.7zM205.9 33.7c1.8-.5 3.4 .7 4.9 2.4-.2 5.2-5.4 5.1-8.9 6.8-5.4 6.7-13.4 9.8-20 17.2-6.8 7.5-14.4 27.7-23.4 30-4.5 1.1-9.7-.8-13.6-.5-10.4 .7-17.7 6-28.3 7.5 13.6-29.9 56.1-54 89.3-63.4zm-104.8 93.6c13.5-14.9 32.1-24.1 54.8-25.9 11.7 29.7-8.4 65-.9 97.6 2.3 9.9 10.2 25.4-2.4 25.7 .3-28.3-34.8-46.3-61.3-29.6-1.8-21.5-4.9-51.7 9.8-67.8zm36.7 200.2c-1-4.1-2.7-12.9-2.3-15.1 1.6-8.7 17.1-12.5 11-24.7-11.3-.1-13.8 10.2-24.1 11.3-26.7 2.6-45.6-35.4-44.4-58.4 1-19.5 17.6-38.2 40.1-35.8 16 1.8 21.4 19.2 24.5 34.7 9.2 .5 22.5-.4 26.9-7.6-.6-17.5-8.8-31.6-8.2-47.7 1-30.3 17.5-57.6 4.8-87.4 13.6-30.9 53.5-55.3 83.1-70 36.6-18.3 94.9-3.7 129.3 15.8 19.7 11.1 34.4 32.7 48.3 50.7-19.5-5.8-36.1 4.2-33.1 20.3 16.3-14.9 44.2-.2 52.5 16.4 7.9 15.8 7.8 39.3 9 62.8 2.9 57-10.4 115.9-39.1 157.1-7.7 11-14.1 23-24.9 30.6-26 18.2-65.4 34.7-99.2 23.4-44.7-15-65-44.8-89.5-78.8 .7 18.7 13.8 34.1 26.8 48.4 11.3 12.5 25 26.6 39.7 32.4-12.3-2.9-31.1-3.8-36.2 7.2-28.6-1.9-55.1-4.8-68.7-24.2-10.6-15.4-21.4-41.4-26.3-61.4zm222 124.1c4.1-3 11.1-2.9 17.4-3.6-5.4-2.7-13-3.7-19.3-2.2-.1-4.2-2-6.8-3.2-10.2 10.6-3.8 35.5-28.5 49.6-20.3 6.7 3.9 9.5 26.2 10.1 37 .4 9-.8 18-4.5 22.8-18.8-.6-35.8-2.8-50.7-7 .9-6.1-1-12.1 .6-16.5zm-17.2-20c-16.8 .8-26-1.2-38.3-10.8 .2-.8 1.4-.5 1.5-1.4 18 8 40.8-3.3 59-4.9-7.9 5.1-14.6 11.6-22.2 17.1zm-12.1 33.2c-1.6-9.4-3.5-12-2.8-20.2 25-16.6 29.7 28.6 2.8 20.2zM226 438.6c-11.6-.7-48.1-14-38.5-23.7 9.4 6.5 27.5 4.9 41.3 7.3 .8 4.4-2.8 10.2-2.8 16.4zM57.7 497.1c-4.3-12.7-9.2-25.1-14.8-36.9 30.8-23.8 65.3-48.9 102.2-63.5 2.8-1.1 23.2 25.4 26.2 27.6 16.5 11.7 37 21 56.2 30.2 1.2 8.8 3.9 20.2 8.7 35.5 .7 2.3 1.4 4.7 2.2 7.2H57.7zm240.6 5.7h-.8c.3-.2 .5-.4 .8-.5v.5zm7.5-5.7c2.1-1.4 4.3-2.8 6.4-4.3 1.1 1.4 2.2 2.8 3.2 4.3h-9.6zm15.1-24.7c-10.8 7.3-20.6 18.3-33.3 25.2-6 3.3-27 11.7-33.4 10.2-3.6-.8-3.9-5.3-5.4-9.5-3.1-9-10.1-23.4-10.8-37-.8-17.2-2.5-46 16-42.4 14.9 2.9 32.3 9.7 43.9 16.1 7.1 3.9 11.1 8.6 21.9 9.5-.1 1.4-.1 2.8-.2 4.3-5.9 3.9-15.3 3.8-21.8 7.1 9.5 .4 17 2.7 23.5 5.9-.1 3.4-.3 7-.4 10.6zm53.4 24.7h-14c-.1-3.2-2.8-5.8-6.1-5.8s-5.9 2.6-6.1 5.8h-17.4c-2.8-4.4-5.7-8.6-8.9-12.5 2.1-2.2 4-4.7 6-6.9 9 3.7 14.8-4.9 21.7-4.2 7.9 .8 14.2 11.7 25.4 11l-.6 12.6zm8.7 0c.2-4 .4-7.8 .6-11.5 15.6-7.3 29 1.3 35.7 11.5H383zm83.4-37c-2.3 11.2-5.8 24-9.9 37.1-.2-.1-.4-.1-.6-.1H428c.6-1.1 1.2-2.2 1.9-3.3-2.6-6.1-9-8.7-10.9-15.5 12.1-22.7 6.5-93.4-24.2-78.5 4.3-6.3 15.6-11.5 20.8-19.3 13 10.4 20.8 20.3 33.2 31.4 6.8 6 20 13.3 21.4 23.1 .8 5.5-2.6 18.9-3.8 25.1zM222.2 130.5c5.4-14.9 27.2-34.7 45-32 7.7 1.2 18 8.2 12.2 17.7-30.2-7-45.2 12.6-54.4 33.1-8.1-2-4.9-13.1-2.8-18.8zm184.1 63.1c8.2-3.6 22.4-.7 29.6-5.3-4.2-11.5-10.3-21.4-9.3-37.7 .5 0 1 0 1.4 .1 6.8 14.2 12.7 29.2 21.4 41.7-5.7 13.5-43.6 25.4-43.1 1.2zm20.4-43zm-117.2 45.7c-6.8-10.9-19-32.5-14.5-45.3 6.5 11.9 8.6 24.4 17.8 33.3 4.1 4 12.2 9 8.2 20.2-.9 2.7-7.8 8.6-11.7 9.7-14.4 4.3-47.9 .9-36.6-17.1 11.9 .7 27.9 7.8 36.8-.8zm27.3 70c3.8 6.6 1.4 18.7 12.1 20.6 20.2 3.4 43.6-12.3 58.1-17.8 9-15.2-.8-20.7-8.9-30.5-16.6-20-38.8-44.8-38-74.7 6.7-4.9 7.3 7.4 8.2 9.7 8.7 20.3 30.4 46.2 46.3 63.5 3.9 4.3 10.3 8.4 11 11.2 2.1 8.2-5.4 18-4.5 23.5-21.7 13.9-45.8 29.1-81.4 25.6-7.4-6.7-10.3-21.4-2.9-31.1zm-201.3-9.2c-6.8-3.9-8.4-21-16.4-21.4-11.4-.7-9.3 22.2-9.3 35.5-7.8-7.1-9.2-29.1-3.5-40.3-6.6-3.2-9.5 3.6-13.1 5.9 4.7-34.1 49.8-15.8 42.3 20.3zm299.6 28.8c-10.1 19.2-24.4 40.4-54 41-.6-6.2-1.1-15.6 0-19.4 22.7-2.2 36.6-13.7 54-21.6zm-141.9 12.4c18.9 9.9 53.6 11 79.3 10.2 1.4 5.6 1.3 12.6 1.4 19.4-33 1.8-72-6.4-80.7-29.6zm92.2 46.7c-1.7 4.3-5.3 9.3-9.8 11.1-12.1 4.9-45.6 8.7-62.4-.3-10.7-5.7-17.5-18.5-23.4-26-2.8-3.6-16.9-12.9-.2-12.9 13.1 32.7 58 29 95.8 28.1z"],
    "jira": [496, 512, [], "f7b1", "M490 241.7C417.1 169 320.6 71.8 248.5 0 83 164.9 6 241.7 6 241.7c-7.9 7.9-7.9 20.7 0 28.7C138.8 402.7 67.8 331.9 248.5 512c379.4-378 15.7-16.7 241.5-241.7 8-7.9 8-20.7 0-28.6zm-241.5 90l-76-75.7 76-75.7 76 75.7-76 75.7z"],
    "joget": [496, 512, [], "f3b7", "M378.1 45C337.6 19.9 292.6 8 248.2 8 165 8 83.8 49.9 36.9 125.9c-71.9 116.6-35.6 269.3 81 341.2s269.3 35.6 341.2-80.9c71.9-116.6 35.6-269.4-81-341.2zm51.8 323.2c-40.4 65.5-110.4 101.5-182 101.5-6.8 0-13.6-.4-20.4-1-9-13.6-19.9-33.3-23.7-42.4-5.7-13.7-27.2-45.6 31.2-67.1 51.7-19.1 176.7-16.5 208.8-17.6-4 9-8.6 17.9-13.9 26.6zm-200.8-86.3c-55.5-1.4-81.7-20.8-58.5-48.2s51.1-40.7 68.9-51.2c17.9-10.5 27.3-33.7-23.6-29.7C87.3 161.5 48.6 252.1 37.6 293c-8.8-49.7-.1-102.7 28.5-149.1C128 43.4 259.6 12.2 360.1 74.1c74.8 46.1 111.2 130.9 99.3 212.7-24.9-.5-179.3-3.6-230.3-4.9zm183.8-54.8c-22.7-6-57 11.3-86.7 27.2-29.7 15.8-31.1 8.2-31.1 8.2s40.2-28.1 50.7-34.5 31.9-14 13.4-24.6c-3.2-1.8-6.7-2.7-10.4-2.7-17.8 0-41.5 18.7-67.5 35.6-31.5 20.5-65.3 31.3-65.3 31.3l169.5-1.6 46.5-23.4s3.6-9.5-19.1-15.5z"],
    "joomla": [448, 512, [], "f1aa", "M.6 92.1C.6 58.8 27.4 32 60.4 32c30 0 54.5 21.9 59.2 50.2 32.6-7.6 67.1 .6 96.5 30l-44.3 44.3c-20.5-20.5-42.6-16.3-55.4-3.5-14.3 14.3-14.3 37.9 0 52.2l99.5 99.5-44 44.3c-87.7-87.2-49.7-49.7-99.8-99.7-26.8-26.5-35-64.8-24.8-98.9C20.4 144.6 .6 120.7 .6 92.1zm129.5 116.4l44.3 44.3c10-10 89.7-89.7 99.7-99.8 14.3-14.3 37.6-14.3 51.9 0 12.8 12.8 17 35-3.5 55.4l44 44.3c31.2-31.2 38.5-67.6 28.9-101.2 29.2-4.1 51.9-29.2 51.9-59.5 0-33.2-26.8-60.1-59.8-60.1-30.3 0-55.4 22.5-59.5 51.6-33.8-9.9-71.7-1.5-98.3 25.1-18.3 19.1-71.1 71.5-99.6 99.9zm266.3 152.2c8.2-32.7-.9-68.5-26.3-93.9-11.8-12.2 5 4.7-99.5-99.7l-44.3 44.3 99.7 99.7c14.3 14.3 14.3 37.6 0 51.9-12.8 12.8-35 17-55.4-3.5l-44 44.3c27.6 30.2 68 38.8 102.7 28 5.5 27.4 29.7 48.1 58.9 48.1 33 0 59.8-26.8 59.8-60.1 0-30.2-22.5-55-51.6-59.1zm-84.3-53.1l-44-44.3c-87 86.4-50.4 50.4-99.7 99.8-14.3 14.3-37.6 14.3-51.9 0-13.1-13.4-16.9-35.3 3.2-55.4l-44-44.3c-30.2 30.2-38 65.2-29.5 98.3-26.7 6-46.2 29.9-46.2 58.2C0 453.2 26.8 480 59.8 480c28.6 0 52.5-19.8 58.6-46.7 32.7 8.2 68.5-.6 94.2-26 32.1-32 12.2-12.4 99.5-99.7z"],
    "js": [448, 512, [], "f3b8", "M0 32v448h448V32H0zm243.8 349.4c0 43.6-25.6 63.5-62.9 63.5-33.7 0-53.2-17.4-63.2-38.5l34.3-20.7c6.6 11.7 12.6 21.6 27.1 21.6 13.8 0 22.6-5.4 22.6-26.5V237.7h42.1v143.7zm99.6 63.5c-39.1 0-64.4-18.6-76.7-43l34.3-19.8c9 14.7 20.8 25.6 41.5 25.6 17.4 0 28.6-8.7 28.6-20.8 0-14.4-11.4-19.5-30.7-28l-10.5-4.5c-30.4-12.9-50.5-29.2-50.5-63.5 0-31.6 24.1-55.6 61.6-55.6 26.8 0 46 9.3 59.8 33.7L368 290c-7.2-12.9-15-18-27.1-18-12.3 0-20.1 7.8-20.1 18 0 12.6 7.8 17.7 25.9 25.6l10.5 4.5c35.8 15.3 55.9 31 55.9 66.2 0 37.8-29.8 58.6-69.7 58.6z"],
    "jsfiddle": [576, 512, [], "f1cc", "M510.6 237.5c-4.727-2.621-5.664-5.748-6.381-10.78-2.352-16.49-3.539-33.62-9.097-49.1-35.9-99.96-153.1-143.4-246.8-91.65-27.37 15.25-48.97 36.37-65.49 63.9-3.184-1.508-5.458-2.71-7.824-3.686-30.1-12.42-59.05-10.12-85.33 9.167-25.53 18.74-36.42 44.55-32.68 76.41 .355 3.025-1.967 7.621-4.514 9.545-39.71 29.99-56.03 78.07-41.9 124.6 13.83 45.57 57.51 79.8 105.6 81.43 30.29 1.031 60.64 .546 90.96 .539 84.04-.021 168.1 .531 252.1-.48 52.66-.634 96.11-36.87 108.2-87.29 11.54-48.07-11.14-97.3-56.83-122.6zm21.11 156.9c-18.23 22.43-42.34 35.25-71.28 35.65-56.87 .781-113.8 .23-170.7 .23 0 .7-163 .159-163.7 .154-43.86-.332-76.74-19.77-95.18-59.99-18.9-41.24-4.004-90.85 34.19-116.1 9.182-6.073 12.51-11.57 10.1-23.14-5.49-26.36 4.453-47.96 26.42-62.98 22.99-15.72 47.42-16.15 72.03-3.083 10.27 5.45 14.61 11.56 22.2-2.527 14.22-26.4 34.56-46.73 60.67-61.29 97.46-54.37 228.4 7.568 230.2 132.7 .122 8.15 2.412 12.43 9.848 15.89 57.56 26.83 74.46 96.12 35.14 144.5zm-87.79-80.5c-5.848 31.16-34.62 55.1-66.67 55.1-16.95-.001-32.06-6.545-44.08-17.7-27.7-25.71-71.14-74.98-95.94-93.39-20.06-14.89-41.99-12.33-60.27 3.782-49.1 44.07 15.86 121.8 67.06 77.19 4.548-3.96 7.84-9.543 12.74-12.84 8.184-5.509 20.77-.884 13.17 10.62-17.36 26.28-49.33 38.2-78.86 29.3-28.9-8.704-48.84-35.97-48.63-70.18 1.225-22.49 12.36-43.06 35.41-55.97 22.58-12.64 46.37-13.15 66.99 2.474C295.7 280.7 320.5 323.1 352.2 343.5c24.56 15.1 54.25 7.363 68.82-17.51 28.83-49.21-34.59-105-78.87-63.46-3.989 3.744-6.917 8.932-11.41 11.72-10.98 6.811-17.33-4.113-12.81-10.35 20.7-28.55 50.46-40.44 83.27-28.21 31.43 11.71 49.11 44.37 42.76 78.19z"],
    "kaggle": [320, 512, [], "f5fa", "M304.2 501.5L158.4 320.3 298.2 185c2.6-2.7 1.7-10.5-5.3-10.5h-69.2c-3.5 0-7 1.8-10.5 5.3L80.9 313.5V7.5q0-7.5-7.5-7.5H21.5Q14 0 14 7.5v497q0 7.5 7.5 7.5h51.9q7.5 0 7.5-7.5v-109l30.8-29.3 110.5 140.6c3 3.5 6.5 5.3 10.5 5.3h66.9q5.25 0 6-3z"],
    "keybase": [448, 512, [], "f4f5", "M286.2 419a18 18 0 1 0 18 18 18 18 0 0 0 -18-18zm111.9-147.6c-9.5-14.62-39.37-52.45-87.26-73.71q-9.1-4.06-18.38-7.27a78.43 78.43 0 0 0 -47.88-104.1c-12.41-4.1-23.33-6-32.41-5.77-.6-2-1.89-11 9.4-35L198.7 32l-5.48 7.56c-8.69 12.06-16.92 23.55-24.34 34.89a51 51 0 0 0 -8.29-1.25c-41.53-2.45-39-2.33-41.06-2.33-50.61 0-50.75 52.12-50.75 45.88l-2.36 36.68c-1.61 27 19.75 50.21 47.63 51.85l8.93 .54a214 214 0 0 0 -46.29 35.54C14 304.7 14 374 14 429.8v33.64l23.32-29.8a148.6 148.6 0 0 0 14.56 37.56c5.78 10.13 14.87 9.45 19.64 7.33 4.21-1.87 10-6.92 3.75-20.11a178.3 178.3 0 0 1 -15.76-53.13l46.82-59.83-24.66 74.11c58.23-42.4 157.4-61.76 236.3-38.59 34.2 10.05 67.45 .69 84.74-23.84 .72-1 1.2-2.16 1.85-3.22a156.1 156.1 0 0 1 2.8 28.43c0 23.3-3.69 52.93-14.88 81.64-2.52 6.46 1.76 14.5 8.6 15.74 7.42 1.57 15.33-3.1 18.37-11.15C429 443 434 414 434 382.3c0-38.58-13-77.46-35.91-110.9zM142.4 128.6l-15.7-.93-1.39 21.79 13.13 .78a93 93 0 0 0 .32 19.57l-22.38-1.34a12.28 12.28 0 0 1 -11.76-12.79L107 119c1-12.17 13.87-11.27 13.26-11.32l29.11 1.73a144.4 144.4 0 0 0 -7 19.17zm148.4 172.2a10.51 10.51 0 0 1 -14.35-1.39l-9.68-11.49-34.42 27a8.09 8.09 0 0 1 -11.13-1.08l-15.78-18.64a7.38 7.38 0 0 1 1.34-10.34l34.57-27.18-14.14-16.74-17.09 13.45a7.75 7.75 0 0 1 -10.59-1s-3.72-4.42-3.8-4.53a7.38 7.38 0 0 1 1.37-10.34L214 225.2s-18.51-22-18.6-22.14a9.56 9.56 0 0 1 1.74-13.42 10.38 10.38 0 0 1 14.3 1.37l81.09 96.32a9.58 9.58 0 0 1 -1.74 13.44zM187.4 419a18 18 0 1 0 18 18 18 18 0 0 0 -18-18z"],
    "keycdn": [512, 512, [], "f3ba", "M63.8 409.3l60.5-59c32.1 42.8 71.1 66 126.6 67.4 30.5 .7 60.3-7 86.4-22.4 5.1 5.3 18.5 19.5 20.9 22-32.2 20.7-69.6 31.1-108.1 30.2-43.3-1.1-84.6-16.7-117.7-44.4 .3-.6-38.2 37.5-38.6 37.9 9.5 29.8-13.1 62.4-46.3 62.4C20.7 503.3 0 481.7 0 454.9c0-34.3 33.1-56.6 63.8-45.6zm354.9-252.4c19.1 31.3 29.6 67.4 28.7 104-1.1 44.8-19 87.5-48.6 121 .3 .3 23.8 25.2 24.1 25.5 9.6-1.3 19.2 2 25.9 9.1 11.3 12 10.9 30.9-1.1 42.4-12 11.3-30.9 10.9-42.4-1.1-6.7-7-9.4-16.8-7.6-26.3-24.9-26.6-44.4-47.2-44.4-47.2 42.7-34.1 63.3-79.6 64.4-124.2 .7-28.9-7.2-57.2-21.1-82.2l22.1-21zM104 53.1c6.7 7 9.4 16.8 7.6 26.3l45.9 48.1c-4.7 3.8-13.3 10.4-22.8 21.3-25.4 28.5-39.6 64.8-40.7 102.9-.7 28.9 6.1 57.2 20 82.4l-22 21.5C72.7 324 63.1 287.9 64.2 250.9c1-44.6 18.3-87.6 47.5-121.1l-25.3-26.4c-9.6 1.3-19.2-2-25.9-9.1-11.3-12-10.9-30.9 1.1-42.4C73.5 40.7 92.2 41 104 53.1zM464.9 8c26 0 47.1 22.4 47.1 48.3S490.9 104 464.9 104c-6.3 .1-14-1.1-15.9-1.8l-62.9 59.7c-32.7-43.6-76.7-65.9-126.9-67.2-30.5-.7-60.3 6.8-86.2 22.4l-21.1-22C184.1 74.3 221.5 64 260 64.9c43.3 1.1 84.6 16.7 117.7 44.6l41.1-38.6c-1.5-4.7-2.2-9.6-2.2-14.5C416.5 29.7 438.9 8 464.9 8zM256.7 113.4c5.5 0 10.9 .4 16.4 1.1 78.1 9.8 133.4 81.1 123.8 159.1-9.8 78.1-81.1 133.4-159.1 123.8-78.1-9.8-133.4-81.1-123.8-159.2 9.3-72.4 70.1-124.6 142.7-124.8zm-59 119.4c.6 22.7 12.2 41.8 32.4 52.2l-11 51.7h73.7l-11-51.7c20.1-10.9 32.1-29 32.4-52.2-.4-32.8-25.8-57.5-58.3-58.3-32.1 .8-57.3 24.8-58.2 58.3zM256 160"],
    "kickstarter": [448, 512, [], "f3bb", "M400 480H48c-26.4 0-48-21.6-48-48V80c0-26.4 21.6-48 48-48h352c26.4 0 48 21.6 48 48v352c0 26.4-21.6 48-48 48zM199.6 178.5c0-30.7-17.6-45.1-39.7-45.1-25.8 0-40 19.8-40 44.5v154.8c0 25.8 13.7 45.6 40.5 45.6 21.5 0 39.2-14 39.2-45.6v-41.8l60.6 75.7c12.3 14.9 39 16.8 55.8 0 14.6-15.1 14.8-36.8 4-50.4l-49.1-62.8 40.5-58.7c9.4-13.5 9.5-34.5-5.6-49.1-16.4-15.9-44.6-17.3-61.4 7l-44.8 64.7v-38.8z"],
    "kickstarter-k": [384, 512, [], "f3bc", "M147.3 114.4c0-56.2-32.5-82.4-73.4-82.4C26.2 32 0 68.2 0 113.4v283c0 47.3 25.3 83.4 74.9 83.4 39.8 0 72.4-25.6 72.4-83.4v-76.5l112.1 138.3c22.7 27.2 72.1 30.7 103.2 0 27-27.6 27.3-67.4 7.4-92.2l-90.8-114.8 74.9-107.4c17.4-24.7 17.5-63.1-10.4-89.8-30.3-29-82.4-31.6-113.6 12.8L147.3 185v-70.6z"],
    "korvue": [446, 512, [], "f42f", "M386.5 34h-327C26.8 34 0 60.8 0 93.5v327.1C0 453.2 26.8 480 59.5 480h327.1c33 0 59.5-26.8 59.5-59.5v-327C446 60.8 419.2 34 386.5 34zM87.1 120.8h96v116l61.8-116h110.9l-81.2 132H87.1v-132zm161.8 272.1l-65.7-113.6v113.6h-96V262.1h191.5l88.6 130.8H248.9z"],
    "laravel": [512, 512, [], "f3bd", "M504.4 115.8a5.72 5.72 0 0 0 -.28-.68 8.52 8.52 0 0 0 -.53-1.25 6 6 0 0 0 -.54-.71 9.36 9.36 0 0 0 -.72-.94c-.23-.22-.52-.4-.77-.6a8.84 8.84 0 0 0 -.9-.68L404.4 55.55a8 8 0 0 0 -8 0L300.1 111h0a8.07 8.07 0 0 0 -.88 .69 7.68 7.68 0 0 0 -.78 .6 8.23 8.23 0 0 0 -.72 .93c-.17 .24-.39 .45-.54 .71a9.7 9.7 0 0 0 -.52 1.25c-.08 .23-.21 .44-.28 .68a8.08 8.08 0 0 0 -.28 2.08V223.2l-80.22 46.19V63.44a7.8 7.8 0 0 0 -.28-2.09c-.06-.24-.2-.45-.28-.68a8.35 8.35 0 0 0 -.52-1.24c-.14-.26-.37-.47-.54-.72a9.36 9.36 0 0 0 -.72-.94 9.46 9.46 0 0 0 -.78-.6 9.8 9.8 0 0 0 -.88-.68h0L115.6 1.07a8 8 0 0 0 -8 0L11.34 56.49h0a6.52 6.52 0 0 0 -.88 .69 7.81 7.81 0 0 0 -.79 .6 8.15 8.15 0 0 0 -.71 .93c-.18 .25-.4 .46-.55 .72a7.88 7.88 0 0 0 -.51 1.24 6.46 6.46 0 0 0 -.29 .67 8.18 8.18 0 0 0 -.28 2.1v329.7a8 8 0 0 0 4 6.95l192.5 110.8a8.83 8.83 0 0 0 1.33 .54c.21 .08 .41 .2 .63 .26a7.92 7.92 0 0 0 4.1 0c.2-.05 .37-.16 .55-.22a8.6 8.6 0 0 0 1.4-.58L404.4 400.1a8 8 0 0 0 4-6.95V287.9l92.24-53.11a8 8 0 0 0 4-7V117.9A8.63 8.63 0 0 0 504.4 115.8zM111.6 17.28h0l80.19 46.15-80.2 46.18L31.41 63.44zm88.25 60V278.6l-46.53 26.79-33.69 19.4V123.5l46.53-26.79zm0 412.8L23.37 388.5V77.32L57.06 96.7l46.52 26.8V338.7a6.94 6.94 0 0 0 .12 .9 8 8 0 0 0 .16 1.18h0a5.92 5.92 0 0 0 .38 .9 6.38 6.38 0 0 0 .42 1v0a8.54 8.54 0 0 0 .6 .78 7.62 7.62 0 0 0 .66 .84l0 0c.23 .22 .52 .38 .77 .58a8.93 8.93 0 0 0 .86 .66l0 0 0 0 92.19 52.18zm8-106.2-80.06-45.32 84.09-48.41 92.26-53.11 80.13 46.13-58.8 33.56zm184.5 4.57L215.9 490.1V397.8L346.6 323.2l45.77-26.15zm0-119.1L358.7 250l-46.53-26.79V131.8l33.69 19.4L392.4 178zm8-105.3-80.2-46.17 80.2-46.16 80.18 46.15zm8 105.3V178L455 151.2l33.68-19.4v91.39h0z"],
    "lastfm": [512, 512, [], "f202", "M225.8 367.1l-18.8-51s-30.5 34-76.2 34c-40.5 0-69.2-35.2-69.2-91.5 0-72.1 36.4-97.9 72.1-97.9 66.5 0 74.8 53.3 100.9 134.9 18.8 56.9 54 102.6 155.4 102.6 72.7 0 122-22.3 122-80.9 0-72.9-62.7-80.6-115-92.1-25.8-5.9-33.4-16.4-33.4-34 0-19.9 15.8-31.7 41.6-31.7 28.2 0 43.4 10.6 45.7 35.8l58.6-7c-4.7-52.8-41.1-74.5-100.9-74.5-52.8 0-104.4 19.9-104.4 83.9 0 39.9 19.4 65.1 68 76.8 44.9 10.6 79.8 13.8 79.8 45.7 0 21.7-21.1 30.5-61 30.5-59.2 0-83.9-31.1-97.9-73.9-32-96.8-43.6-163-161.3-163C45.7 113.8 0 168.3 0 261c0 89.1 45.7 137.2 127.9 137.2 66.2 0 97.9-31.1 97.9-31.1z"],
    "leanpub": [576, 512, [], "f212", "M386.5 111.5l15.1 248.1-10.98-.275c-36.23-.824-71.64 8.783-102.7 27.1-31.02-19.21-66.42-27.1-102.7-27.1-45.56 0-82.07 10.7-123.5 27.72L93.12 129.6c28.55-11.8 61.48-18.11 92.23-18.11 41.17 0 73.84 13.18 102.7 42.54 27.72-28.27 59.01-41.72 98.54-42.54zM569.1 448c-25.53 0-47.49-5.215-70.54-15.65-34.31-15.65-69.99-24.98-107.9-24.98-38.98 0-74.93 12.9-102.7 40.62-27.72-27.72-63.68-40.62-102.7-40.62-37.88 0-73.56 9.333-107.9 24.98C55.24 442.2 32.73 448 8.303 448H6.93L49.47 98.86C88.73 76.63 136.5 64 181.8 64 218.8 64 256.1 71.68 288 93.1 319 71.68 357.2 64 394.2 64c45.29 0 93.05 12.63 132.3 34.86L569.1 448zm-43.37-44.74l-34.04-280.2c-30.74-13.1-67.25-21.41-101-21.41-38.43 0-74.39 12.08-102.7 38.7-28.27-26.63-64.23-38.7-102.7-38.7-33.76 0-70.27 7.411-101 21.41L50.3 403.3c47.21-19.49 82.89-33.49 135-33.49 37.6 0 70.82 9.606 102.7 29.64 31.84-20.04 65.05-29.64 102.7-29.64 52.15 0 87.83 13.1 135 33.49z"],
    "less": [640, 512, [], "f41d", "M612.7 219c0-20.5 3.2-32.6 3.2-54.6 0-34.2-12.6-45.2-40.5-45.2h-20.5v24.2h6.3c14.2 0 17.3 4.7 17.3 22.1 0 16.3-1.6 32.6-1.6 51.5 0 24.2 7.9 33.6 23.6 37.3v1.6c-15.8 3.7-23.6 13.1-23.6 37.3 0 18.9 1.6 34.2 1.6 51.5 0 17.9-3.7 22.6-17.3 22.6v.5h-6.3V393h20.5c27.8 0 40.5-11 40.5-45.2 0-22.6-3.2-34.2-3.2-54.6 0-11 6.8-22.6 27.3-23.6v-27.3c-20.5-.7-27.3-12.3-27.3-23.3zm-105.6 32c-15.8-6.3-30.5-10-30.5-20.5 0-7.9 6.3-12.6 17.9-12.6s22.1 4.7 33.6 13.1l21-27.8c-13.1-10-31-20.5-55.2-20.5-35.7 0-59.9 20.5-59.9 49.4 0 25.7 22.6 38.9 41.5 46.2 16.3 6.3 32.1 11.6 32.1 22.1 0 7.9-6.3 13.1-20.5 13.1-13.1 0-26.3-5.3-40.5-16.3l-21 30.5c15.8 13.1 39.9 22.1 59.9 22.1 42 0 64.6-22.1 64.6-51s-22.5-41-43-47.8zm-358.9 59.4c-3.7 0-8.4-3.2-8.4-13.1V119.1H65.2c-28.4 0-41 11-41 45.2 0 22.6 3.2 35.2 3.2 54.6 0 11-6.8 22.6-27.3 23.6v27.3c20.5 .5 27.3 12.1 27.3 23.1 0 19.4-3.2 31-3.2 53.6 0 34.2 12.6 45.2 40.5 45.2h20.5v-24.2h-6.3c-13.1 0-17.3-5.3-17.3-22.6s1.6-32.1 1.6-51.5c0-24.2-7.9-33.6-23.6-37.3v-1.6c15.8-3.7 23.6-13.1 23.6-37.3 0-18.9-1.6-34.2-1.6-51.5s3.7-22.1 17.3-22.1H93v150.8c0 32.1 11 53.1 43.1 53.1 10 0 17.9-1.6 23.6-3.7l-5.3-34.2c-3.1 .8-4.6 .8-6.2 .8zM379.9 251c-16.3-6.3-31-10-31-20.5 0-7.9 6.3-12.6 17.9-12.6 11.6 0 22.1 4.7 33.6 13.1l21-27.8c-13.1-10-31-20.5-55.2-20.5-35.7 0-59.9 20.5-59.9 49.4 0 25.7 22.6 38.9 41.5 46.2 16.3 6.3 32.1 11.6 32.1 22.1 0 7.9-6.3 13.1-20.5 13.1-13.1 0-26.3-5.3-40.5-16.3l-20.5 30.5c15.8 13.1 39.9 22.1 59.9 22.1 42 0 64.6-22.1 64.6-51 .1-28.9-22.5-41-43-47.8zm-155-68.8c-38.4 0-75.1 32.1-74.1 82.5 0 52 34.2 82.5 79.3 82.5 18.9 0 39.9-6.8 56.2-17.9l-15.8-27.8c-11.6 6.8-22.6 10-34.2 10-21 0-37.3-10-41.5-34.2H290c.5-3.7 1.6-11 1.6-19.4 .6-42.6-22.6-75.7-66.7-75.7zm-30 66.2c3.2-21 15.8-31 30.5-31 18.9 0 26.3 13.1 26.3 31h-56.8z"],
    "line": [448, 512, [], "f3c0", "M272.1 204.2v71.1c0 1.8-1.4 3.2-3.2 3.2h-11.4c-1.1 0-2.1-.6-2.6-1.3l-32.6-44v42.2c0 1.8-1.4 3.2-3.2 3.2h-11.4c-1.8 0-3.2-1.4-3.2-3.2v-71.1c0-1.8 1.4-3.2 3.2-3.2H219c1 0 2.1 .5 2.6 1.4l32.6 44v-42.2c0-1.8 1.4-3.2 3.2-3.2h11.4c1.8-.1 3.3 1.4 3.3 3.1zm-82-3.2h-11.4c-1.8 0-3.2 1.4-3.2 3.2v71.1c0 1.8 1.4 3.2 3.2 3.2h11.4c1.8 0 3.2-1.4 3.2-3.2v-71.1c0-1.7-1.4-3.2-3.2-3.2zm-27.5 59.6h-31.1v-56.4c0-1.8-1.4-3.2-3.2-3.2h-11.4c-1.8 0-3.2 1.4-3.2 3.2v71.1c0 .9 .3 1.6 .9 2.2 .6 .5 1.3 .9 2.2 .9h45.7c1.8 0 3.2-1.4 3.2-3.2v-11.4c0-1.7-1.4-3.2-3.1-3.2zM332.1 201h-45.7c-1.7 0-3.2 1.4-3.2 3.2v71.1c0 1.7 1.4 3.2 3.2 3.2h45.7c1.8 0 3.2-1.4 3.2-3.2v-11.4c0-1.8-1.4-3.2-3.2-3.2H301v-12h31.1c1.8 0 3.2-1.4 3.2-3.2V234c0-1.8-1.4-3.2-3.2-3.2H301v-12h31.1c1.8 0 3.2-1.4 3.2-3.2v-11.4c-.1-1.7-1.5-3.2-3.2-3.2zM448 113.7V399c-.1 44.8-36.8 81.1-81.7 81H81c-44.8-.1-81.1-36.9-81-81.7V113c.1-44.8 36.9-81.1 81.7-81H367c44.8 .1 81.1 36.8 81 81.7zm-61.6 122.6c0-73-73.2-132.4-163.1-132.4-89.9 0-163.1 59.4-163.1 132.4 0 65.4 58 120.2 136.4 130.6 19.1 4.1 16.9 11.1 12.6 36.8-.7 4.1-3.3 16.1 14.1 8.8 17.4-7.3 93.9-55.3 128.2-94.7 23.6-26 34.9-52.3 34.9-81.5z"],
    "linkedin": [448, 512, [], "f08c", "M416 32H31.9C14.3 32 0 46.5 0 64.3v383.4C0 465.5 14.3 480 31.9 480H416c17.6 0 32-14.5 32-32.3V64.3c0-17.8-14.4-32.3-32-32.3zM135.4 416H69V202.2h66.5V416zm-33.2-243c-21.3 0-38.5-17.3-38.5-38.5S80.9 96 102.2 96c21.2 0 38.5 17.3 38.5 38.5 0 21.3-17.2 38.5-38.5 38.5zm282.1 243h-66.4V312c0-24.8-.5-56.7-34.5-56.7-34.6 0-39.9 27-39.9 54.9V416h-66.4V202.2h63.7v29.2h.9c8.9-16.8 30.6-34.5 62.9-34.5 67.2 0 79.7 44.3 79.7 101.9V416z"],
    "linkedin-in": [448, 512, [], "f0e1", "M100.3 448H7.4V148.9h92.88zM53.79 108.1C24.09 108.1 0 83.5 0 53.8a53.79 53.79 0 0 1 107.6 0c0 29.7-24.1 54.3-53.79 54.3zM447.9 448h-92.68V302.4c0-34.7-.7-79.2-48.29-79.2-48.29 0-55.69 37.7-55.69 76.7V448h-92.78V148.9h89.08v40.8h1.3c12.4-23.5 42.69-48.3 87.88-48.3 94 0 111.3 61.9 111.3 142.3V448z"],
    "linode": [448, 512, [], "f2b8", "M366 186.9l-59.5 36.87-.838 36.87-29.33-19.27-39.38 24.3c2.238 55.21 2.483 59.27 2.51 59.5l-97.2 65.36L127.2 285.7l108.1-62.01L195.1 197.8l-75.42 38.55L98.72 93.01 227.8 43.57 136.4 0 10.74 39.38 38.39 174.3l41.9 32.68L48.44 222.1 69.39 323.5 98.72 351.1 77.77 363.7l16.76 78.77L160.7 512c-10.8-74.84-11.66-78.64-11.73-78.77l77.93-55.3c16.76-12.57 15.08-10.89 15.08-10.89l.838 24.3 33.52 28.49-.838-77.09 46.93-33.52 26.82-18.43-2.514 36.03 25.14 17.6 6.7-74.58 58.66-43.58z"],
    "linux": [448, 512, [], "f17c", "M220.8 123.3c1 .5 1.8 1.7 3 1.7 1.1 0 2.8-.4 2.9-1.5 .2-1.4-1.9-2.3-3.2-2.9-1.7-.7-3.9-1-5.5-.1-.4 .2-.8 .7-.6 1.1 .3 1.3 2.3 1.1 3.4 1.7zm-21.9 1.7c1.2 0 2-1.2 3-1.7 1.1-.6 3.1-.4 3.5-1.6 .2-.4-.2-.9-.6-1.1-1.6-.9-3.8-.6-5.5 .1-1.3 .6-3.4 1.5-3.2 2.9 .1 1 1.8 1.5 2.8 1.4zM420 403.8c-3.6-4-5.3-11.6-7.2-19.7-1.8-8.1-3.9-16.8-10.5-22.4-1.3-1.1-2.6-2.1-4-2.9-1.3-.8-2.7-1.5-4.1-2 9.2-27.3 5.6-54.5-3.7-79.1-11.4-30.1-31.3-56.4-46.5-74.4-17.1-21.5-33.7-41.9-33.4-72C311.1 85.4 315.7 .1 234.8 0 132.4-.2 158 103.4 156.9 135.2c-1.7 23.4-6.4 41.8-22.5 64.7-18.9 22.5-45.5 58.8-58.1 96.7-6 17.9-8.8 36.1-6.2 53.3-6.5 5.8-11.4 14.7-16.6 20.2-4.2 4.3-10.3 5.9-17 8.3s-14 6-18.5 14.5c-2.1 3.9-2.8 8.1-2.8 12.4 0 3.9 .6 7.9 1.2 11.8 1.2 8.1 2.5 15.7 .8 20.8-5.2 14.4-5.9 24.4-2.2 31.7 3.8 7.3 11.4 10.5 20.1 12.3 17.3 3.6 40.8 2.7 59.3 12.5 19.8 10.4 39.9 14.1 55.9 10.4 11.6-2.6 21.1-9.6 25.9-20.2 12.5-.1 26.3-5.4 48.3-6.6 14.9-1.2 33.6 5.3 55.1 4.1 .6 2.3 1.4 4.6 2.5 6.7v.1c8.3 16.7 23.8 24.3 40.3 23 16.6-1.3 34.1-11 48.3-27.9 13.6-16.4 36-23.2 50.9-32.2 7.4-4.5 13.4-10.1 13.9-18.3 .4-8.2-4.4-17.3-15.5-29.7zM223.7 87.3c9.8-22.2 34.2-21.8 44-.4 6.5 14.2 3.6 30.9-4.3 40.4-1.6-.8-5.9-2.6-12.6-4.9 1.1-1.2 3.1-2.7 3.9-4.6 4.8-11.8-.2-27-9.1-27.3-7.3-.5-13.9 10.8-11.8 23-4.1-2-9.4-3.5-13-4.4-1-6.9-.3-14.6 2.9-21.8zM183 75.8c10.1 0 20.8 14.2 19.1 33.5-3.5 1-7.1 2.5-10.2 4.6 1.2-8.9-3.3-20.1-9.6-19.6-8.4 .7-9.8 21.2-1.8 28.1 1 .8 1.9-.2-5.9 5.5-15.6-14.6-10.5-52.1 8.4-52.1zm-13.6 60.7c6.2-4.6 13.6-10 14.1-10.5 4.7-4.4 13.5-14.2 27.9-14.2 7.1 0 15.6 2.3 25.9 8.9 6.3 4.1 11.3 4.4 22.6 9.3 8.4 3.5 13.7 9.7 10.5 18.2-2.6 7.1-11 14.4-22.7 18.1-11.1 3.6-19.8 16-38.2 14.9-3.9-.2-7-1-9.6-2.1-8-3.5-12.2-10.4-20-15-8.6-4.8-13.2-10.4-14.7-15.3-1.4-4.9 0-9 4.2-12.3zm3.3 334c-2.7 35.1-43.9 34.4-75.3 18-29.9-15.8-68.6-6.5-76.5-21.9-2.4-4.7-2.4-12.7 2.6-26.4v-.2c2.4-7.6 .6-16-.6-23.9-1.2-7.8-1.8-15 .9-20 3.5-6.7 8.5-9.1 14.8-11.3 10.3-3.7 11.8-3.4 19.6-9.9 5.5-5.7 9.5-12.9 14.3-18 5.1-5.5 10-8.1 17.7-6.9 8.1 1.2 15.1 6.8 21.9 16l19.6 35.6c9.5 19.9 43.1 48.4 41 68.9zm-1.4-25.9c-4.1-6.6-9.6-13.6-14.4-19.6 7.1 0 14.2-2.2 16.7-8.9 2.3-6.2 0-14.9-7.4-24.9-13.5-18.2-38.3-32.5-38.3-32.5-13.5-8.4-21.1-18.7-24.6-29.9s-3-23.3-.3-35.2c5.2-22.9 18.6-45.2 27.2-59.2 2.3-1.7 .8 3.2-8.7 20.8-8.5 16.1-24.4 53.3-2.6 82.4 .6-20.7 5.5-41.8 13.8-61.5 12-27.4 37.3-74.9 39.3-112.7 1.1 .8 4.6 3.2 6.2 4.1 4.6 2.7 8.1 6.7 12.6 10.3 12.4 10 28.5 9.2 42.4 1.2 6.2-3.5 11.2-7.5 15.9-9 9.9-3.1 17.8-8.6 22.3-15 7.7 30.4 25.7 74.3 37.2 95.7 6.1 11.4 18.3 35.5 23.6 64.6 3.3-.1 7 .4 10.9 1.4 13.8-35.7-11.7-74.2-23.3-84.9-4.7-4.6-4.9-6.6-2.6-6.5 12.6 11.2 29.2 33.7 35.2 59 2.8 11.6 3.3 23.7 .4 35.7 16.4 6.8 35.9 17.9 30.7 34.8-2.2-.1-3.2 0-4.2 0 3.2-10.1-3.9-17.6-22.8-26.1-19.6-8.6-36-8.6-38.3 12.5-12.1 4.2-18.3 14.7-21.4 27.3-2.8 11.2-3.6 24.7-4.4 39.9-.5 7.7-3.6 18-6.8 29-32.1 22.9-76.7 32.9-114.3 7.2zm257.4-11.5c-.9 16.8-41.2 19.9-63.2 46.5-13.2 15.7-29.4 24.4-43.6 25.5s-26.5-4.8-33.7-19.3c-4.7-11.1-2.4-23.1 1.1-36.3 3.7-14.2 9.2-28.8 9.9-40.6 .8-15.2 1.7-28.5 4.2-38.7 2.6-10.3 6.6-17.2 13.7-21.1 .3-.2 .7-.3 1-.5 .8 13.2 7.3 26.6 18.8 29.5 12.6 3.3 30.7-7.5 38.4-16.3 9-.3 15.7-.9 22.6 5.1 9.9 8.5 7.1 30.3 17.1 41.6 10.6 11.6 14 19.5 13.7 24.6zM173.3 148.7c2 1.9 4.7 4.5 8 7.1 6.6 5.2 15.8 10.6 27.3 10.6 11.6 0 22.5-5.9 31.8-10.8 4.9-2.6 10.9-7 14.8-10.4s5.9-6.3 3.1-6.6-2.6 2.6-6 5.1c-4.4 3.2-9.7 7.4-13.9 9.8-7.4 4.2-19.5 10.2-29.9 10.2s-18.7-4.8-24.9-9.7c-3.1-2.5-5.7-5-7.7-6.9-1.5-1.4-1.9-4.6-4.3-4.9-1.4-.1-1.8 3.7 1.7 6.5z"],
    "lyft": [512, 512, [], "f3c3", "M0 81.1h77.8v208.7c0 33.1 15 52.8 27.2 61-12.7 11.1-51.2 20.9-80.2-2.8C7.8 334 0 310.7 0 289V81.1zm485.9 173.5v-22h23.8v-76.8h-26.1c-10.1-46.3-51.2-80.7-100.3-80.7-56.6 0-102.7 46-102.7 102.7V357c16 2.3 35.4-.3 51.7-14 17.1-14 24.8-37.2 24.8-59v-6.7h38.8v-76.8h-38.8v-23.3c0-34.6 52.2-34.6 52.2 0v77.1c0 56.6 46 102.7 102.7 102.7v-76.5c-14.5 0-26.1-11.7-26.1-25.9zm-294.3-99v113c0 15.4-23.8 15.4-23.8 0v-113H91v132.7c0 23.8 8 54 45 63.9 37 9.8 58.2-10.6 58.2-10.6-2.1 13.4-14.5 23.3-34.9 25.3-15.5 1.6-35.2-3.6-45-7.8v70.3c25.1 7.5 51.5 9.8 77.6 4.7 47.1-9.1 76.8-48.4 76.8-100.8V155.1h-77.1v.5z"],
    "magento": [448, 512, [], "f3c4", "M445.7 127.9V384l-63.4 36.5V164.7L223.8 73.1 65.2 164.7l.4 255.9L2.3 384V128.1L224.2 0l221.5 127.9zM255.6 420.5L224 438.9l-31.8-18.2v-256l-63.3 36.6 .1 255.9 94.9 54.9 95.1-54.9v-256l-63.4-36.6v255.9z"],
    "mailchimp": [448, 512, [], "f59e", "M330.6 243.5a36.15 36.15 0 0 1 9.3 0c1.66-3.83 1.95-10.43 .45-17.61-2.23-10.67-5.25-17.14-11.48-16.13s-6.47 8.74-4.24 19.42c1.26 6 3.49 11.14 6 14.32zM277 252c4.47 2 7.2 3.26 8.28 2.13 1.89-1.94-3.48-9.39-12.12-13.09a31.44 31.44 0 0 0 -30.61 3.68c-3 2.18-5.81 5.22-5.41 7.06 .85 3.74 10-2.71 22.6-3.48 7-.44 12.8 1.75 17.26 3.71zm-9 5.13c-9.07 1.42-15 6.53-13.47 10.1 .9 .34 1.17 .81 5.21-.81a37 37 0 0 1 18.72-1.95c2.92 .34 4.31 .52 4.94-.49 1.46-2.22-5.71-8-15.39-6.85zm54.17 17.1c3.38-6.87-10.9-13.93-14.3-7s10.92 13.88 14.32 6.97zm15.66-20.47c-7.66-.13-7.95 15.8-.26 15.93s7.98-15.81 .28-15.96zm-218.8 78.9c-1.32 .31-6 1.45-8.47-2.35-5.2-8 11.11-20.38 3-35.77-9.1-17.47-27.82-13.54-35.05-5.54-8.71 9.6-8.72 23.54-5 24.08 4.27 .57 4.08-6.47 7.38-11.63a12.83 12.83 0 0 1 17.85-3.72c11.59 7.59 1.37 17.76 2.28 28.62 1.39 16.68 18.42 16.37 21.58 9a2.08 2.08 0 0 0 -.2-2.33c.03 .89 .68-1.3-3.35-.39zm299.7-17.07c-3.35-11.73-2.57-9.22-6.78-20.52 2.45-3.67 15.29-24-3.07-43.25-10.4-10.92-33.9-16.54-41.1-18.54-1.5-11.39 4.65-58.7-21.52-83 20.79-21.55 33.76-45.29 33.73-65.65-.06-39.16-48.15-51-107.4-26.47l-12.55 5.33c-.06-.05-22.71-22.27-23.05-22.57C169.5-18-41.77 216.8 25.78 273.9l14.76 12.51a72.49 72.49 0 0 0 -4.1 33.5c3.36 33.4 36 60.42 67.53 60.38 57.73 133.1 267.9 133.3 322.3 3 1.74-4.47 9.11-24.61 9.11-42.38s-10.09-25.27-16.53-25.27zm-316 48.16c-22.82-.61-47.46-21.15-49.91-45.51-6.17-61.31 74.26-75.27 84-12.33 4.54 29.64-4.67 58.49-34.12 57.81zM84.3 249.6C69.14 252.5 55.78 261.1 47.6 273c-4.88-4.07-14-12-15.59-15-13.01-24.85 14.24-73 33.3-100.2C112.4 90.56 186.2 39.68 220.4 48.91c5.55 1.57 23.94 22.89 23.94 22.89s-34.15 18.94-65.8 45.35c-42.66 32.85-74.89 80.59-94.2 132.4zM323.2 350.7s-35.74 5.3-69.51-7.07c6.21-20.16 27 6.1 96.4-13.81 15.29-4.38 35.37-13 51-25.35a102.8 102.8 0 0 1 7.12 24.28c3.66-.66 14.25-.52 11.44 18.1-3.29 19.87-11.73 36-25.93 50.84A106.9 106.9 0 0 1 362.5 421a132.4 132.4 0 0 1 -20.34 8.58c-53.51 17.48-108.3-1.74-126-43a66.33 66.33 0 0 1 -3.55-9.74c-7.53-27.2-1.14-59.83 18.84-80.37 1.23-1.31 2.48-2.85 2.48-4.79a8.45 8.45 0 0 0 -1.92-4.54c-7-10.13-31.19-27.4-26.33-60.83 3.5-24 24.49-40.91 44.07-39.91l5 .29c8.48 .5 15.89 1.59 22.88 1.88 11.69 .5 22.2-1.19 34.64-11.56 4.2-3.5 7.57-6.54 13.26-7.51a17.45 17.45 0 0 1 13.6 2.24c10 6.64 11.4 22.73 11.92 34.49 .29 6.72 1.1 23 1.38 27.63 .63 10.67 3.43 12.17 9.11 14 3.19 1.05 6.15 1.83 10.51 3.06 13.21 3.71 21 7.48 26 12.31a16.38 16.38 0 0 1 4.74 9.29c1.56 11.37-8.82 25.4-36.31 38.16-46.71 21.68-93.68 14.45-100.5 13.68-20.15-2.71-31.63 23.32-19.55 41.15 22.64 33.41 122.4 20 151.4-21.35 .69-1 .12-1.59-.73-1-41.77 28.58-97.06 38.21-128.5 26-4.77-1.85-14.73-6.44-15.94-16.67 43.6 13.49 71 .74 71 .74s2.03-2.79-.56-2.53zm-68.47-5.7zm-83.4-187.5c16.74-19.35 37.36-36.18 55.83-45.63a.73 .73 0 0 1 1 1c-1.46 2.66-4.29 8.34-5.19 12.65a.75 .75 0 0 0 1.16 .79c11.49-7.83 31.48-16.22 49-17.3a.77 .77 0 0 1 .52 1.38 41.86 41.86 0 0 0 -7.71 7.74 .75 .75 0 0 0 .59 1.19c12.31 .09 29.66 4.4 41 10.74 .76 .43 .22 1.91-.64 1.72-69.55-15.94-123.1 18.53-134.5 26.83a.76 .76 0 0 1 -1-1.12z"],
    "mandalorian": [448, 512, [], "f50f", "M232.3 511.9c-1-3.26-1.69-15.83-1.39-24.58 .55-15.89 1-24.72 1.4-28.76 .64-6.2 2.87-20.72 3.28-21.38 .6-1 .4-27.87-.24-33.13-.31-2.58-.63-11.9-.69-20.73-.13-16.47-.53-20.12-2.73-24.76-1.1-2.32-1.23-3.84-1-11.43a92.38 92.38 0 0 0 -.34-12.71c-2-13-3.46-27.7-3.25-33.9s.43-7.15 2.06-9.67c3.05-4.71 6.51-14 8.62-23.27 2.26-9.86 3.88-17.18 4.59-20.74a109.5 109.5 0 0 1 4.42-15.05c2.27-6.25 2.49-15.39 .37-15.39-.3 0-1.38 1.22-2.41 2.71s-4.76 4.8-8.29 7.36c-8.37 6.08-11.7 9.39-12.66 12.58s-1 7.23-.16 7.76c.34 .21 1.29 2.4 2.11 4.88a28.83 28.83 0 0 1 .72 15.36c-.39 1.77-1 5.47-1.46 8.23s-1 6.46-1.25 8.22a9.85 9.85 0 0 1 -1.55 4.26c-1 1-1.14 .91-2.05-.53a14.87 14.87 0 0 1 -1.44-4.75c-.25-1.74-1.63-7.11-3.08-11.93-3.28-10.9-3.52-16.15-1-21a14.24 14.24 0 0 0 1.67-4.61c0-2.39-2.2-5.32-7.41-9.89-7-6.18-8.63-7.92-10.23-11.3-1.71-3.6-3.06-4.06-4.54-1.54-1.78 3-2.6 9.11-3 22l-.34 12.19 2 2.25c3.21 3.7 12.07 16.45 13.78 19.83 3.41 6.74 4.34 11.69 4.41 23.56s.95 22.75 2 24.71c.36 .66 .51 1.35 .34 1.52s.41 2.09 1.29 4.27a38.14 38.14 0 0 1 2.06 9 91 91 0 0 0 1.71 10.37c2.23 9.56 2.77 14.08 2.39 20.14-.2 3.27-.53 11.07-.73 17.32-1.31 41.76-1.85 58-2 61.21-.12 2-.39 11.51-.6 21.07-.36 16.3-1.3 27.37-2.42 28.65-.64 .73-8.07-4.91-12.52-9.49-3.75-3.87-4-4.79-2.83-9.95 .7-3 2.26-18.29 3.33-32.62 .36-4.78 .81-10.5 1-12.71 .83-9.37 1.66-20.35 2.61-34.78 .56-8.46 1.33-16.44 1.72-17.73s.89-9.89 1.13-19.11l.43-16.77-2.26-4.3c-1.72-3.28-4.87-6.94-13.22-15.34-6-6.07-11.84-12.3-12.91-13.85l-1.95-2.81 .75-10.9c1.09-15.71 1.1-48.57 0-59.06l-.89-8.7-3.28-4.52c-5.86-8.08-5.8-7.75-6.22-33.27-.1-6.07-.38-11.5-.63-12.06-.83-1.87-3.05-2.66-8.54-3.05-8.86-.62-11-1.9-23.85-14.55-6.15-6-12.34-12-13.75-13.19-2.81-2.42-2.79-2-.56-9.63l1.35-4.65-1.69-3a32.22 32.22 0 0 0 -2.59-4.07c-1.33-1.51-5.5-10.89-6-13.49a4.24 4.24 0 0 1 .87-3.9c2.23-2.86 3.4-5.68 4.45-10.73 2.33-11.19 7.74-26.09 10.6-29.22 3.18-3.47 7.7-1 9.41 5 1.34 4.79 1.37 9.79 .1 18.55a101.2 101.2 0 0 0 -1 11.11c0 4 .19 4.69 2.25 7.39 3.33 4.37 7.73 7.41 15.2 10.52a18.67 18.67 0 0 1 4.72 2.85c11.17 10.72 18.62 16.18 22.95 16.85 5.18 .8 8 4.54 10 13.39 1.31 5.65 4 11.14 5.46 11.14a9.38 9.38 0 0 0 3.33-1.39c2-1.22 2.25-1.73 2.25-4.18a132.9 132.9 0 0 0 -2-17.84c-.37-1.66-.78-4.06-.93-5.35s-.61-3.85-1-5.69c-2.55-11.16-3.65-15.46-4.1-16-1.55-2-4.08-10.2-4.93-15.92-1.64-11.11-4-14.23-12.91-17.39A43.15 43.15 0 0 1 165.2 78c-1.15-1-4-3.22-6.35-5.06s-4.41-3.53-4.6-3.76a22.7 22.7 0 0 0 -2.69-2c-6.24-4.22-8.84-7-11.26-12l-2.44-5-.22-13-.22-13 6.91-6.55c3.95-3.75 8.48-7.35 10.59-8.43 3.31-1.69 4.45-1.89 11.37-2 8.53-.19 10.12 0 11.66 1.56s1.36 6.4-.29 8.5a6.66 6.66 0 0 0 -1.34 2.32c0 .58-2.61 4.91-5.42 9a30.39 30.39 0 0 0 -2.37 6.82c20.44 13.39 21.55 3.77 14.07 29L194 66.92c3.11-8.66 6.47-17.26 8.61-26.22 .29-7.63-12-4.19-15.4-8.68-2.33-5.93 3.13-14.18 6.06-19.2 1.6-2.34 6.62-4.7 8.82-4.15 .88 .22 4.16-.35 7.37-1.28a45.3 45.3 0 0 1 7.55-1.68 29.57 29.57 0 0 0 6-1.29c3.65-1.11 4.5-1.17 6.35-.4a29.54 29.54 0 0 0 5.82 1.36 18.18 18.18 0 0 1 6 1.91 22.67 22.67 0 0 0 5 2.17c2.51 .68 3 .57 7.05-1.67l4.35-2.4L268.3 5c10.44-.4 10.81-.47 15.26-2.68L288.2 0l2.46 1.43c1.76 1 3.14 2.73 4.85 6 2.36 4.51 2.38 4.58 1.37 7.37-.88 2.44-.89 3.3-.1 6.39a35.76 35.76 0 0 0 2.1 5.91 13.55 13.55 0 0 1 1.31 4c.31 4.33 0 5.3-2.41 6.92-2.17 1.47-7 7.91-7 9.34a14.77 14.77 0 0 1 -1.07 3c-5 11.51-6.76 13.56-14.26 17-9.2 4.2-12.3 5.19-16.21 5.19-3.1 0-4 .25-4.54 1.26a18.33 18.33 0 0 1 -4.09 3.71 13.62 13.62 0 0 0 -4.38 4.78 5.89 5.89 0 0 1 -2.49 2.91 6.88 6.88 0 0 0 -2.45 1.71 67.62 67.62 0 0 1 -7 5.38c-3.33 2.34-6.87 5-7.87 6A7.27 7.27 0 0 1 224 100a5.76 5.76 0 0 0 -2.13 1.65c-1.31 1.39-1.49 2.11-1.14 4.6a36.45 36.45 0 0 0 1.42 5.88c1.32 3.8 1.31 7.86 0 10.57s-.89 6.65 1.35 9.59c2 2.63 2.16 4.56 .71 8.84a33.45 33.45 0 0 0 -1.06 8.91c0 4.88 .22 6.28 1.46 8.38s1.82 2.48 3.24 2.32c2-.23 2.3-1.05 4.71-12.12 2.18-10 3.71-11.92 13.76-17.08 2.94-1.51 7.46-4 10-5.44s6.79-3.69 9.37-4.91a40.09 40.09 0 0 0 15.22-11.67c7.11-8.79 10-16.22 12.85-33.3a18.37 18.37 0 0 1 2.86-7.73 20.39 20.39 0 0 0 2.89-7.31c1-5.3 2.85-9.08 5.58-11.51 4.7-4.18 6-1.09 4.59 10.87-.46 3.86-1.1 10.33-1.44 14.38l-.61 7.36 4.45 4.09 4.45 4.09 .11 8.42c.06 4.63 .47 9.53 .92 10.89l.82 2.47-6.43 6.28c-8.54 8.33-12.88 13.93-16.76 21.61-1.77 3.49-3.74 7.11-4.38 8-2.18 3.11-6.46 13-8.76 20.26l-2.29 7.22-7 6.49c-3.83 3.57-8 7.25-9.17 8.17-3.05 2.32-4.26 5.15-4.26 10a14.62 14.62 0 0 0 1.59 7.26 42 42 0 0 1 2.09 4.83 9.28 9.28 0 0 0 1.57 2.89c1.4 1.59 1.92 16.12 .83 23.22-.68 4.48-3.63 12-4.7 12-1.79 0-4.06 9.27-5.07 20.74-.18 2-.62 5.94-1 8.7s-1 10-1.35 16.05c-.77 12.22-.19 18.77 2 23.15 3.41 6.69 .52 12.69-11 22.84l-4 3.49 .07 5.19a40.81 40.81 0 0 0 1.14 8.87c4.61 16 4.73 16.92 4.38 37.13-.46 26.4-.26 40.27 .63 44.15a61.31 61.31 0 0 1 1.08 7c.17 2 .66 5.33 1.08 7.36 .47 2.26 .78 11 .79 22.74v19.06l-1.81 2.63c-2.71 3.91-15.11 13.54-15.49 12.29zm29.53-45.11c-.18-.3-.33-6.87-.33-14.59 0-14.06-.89-27.54-2.26-34.45-.4-2-.81-9.7-.9-17.06-.15-11.93-1.4-24.37-2.64-26.38-.66-1.07-3-17.66-3-21.3 0-4.23 1-6 5.28-9.13s4.86-3.14 5.48-.72c.28 1.1 1.45 5.62 2.6 10 3.93 15.12 4.14 16.27 4.05 21.74-.1 5.78-.13 6.13-1.74 17.73-1 7.07-1.17 12.39-1 28.43 .17 19.4-.64 35.73-2 41.27-.71 2.78-2.8 5.48-3.43 4.43zm-71-37.58a101 101 0 0 1 -1.73-10.79 100.5 100.5 0 0 0 -1.73-10.79 37.53 37.53 0 0 1 -1-6.49c-.31-3.19-.91-7.46-1.33-9.48-1-4.79-3.35-19.35-3.42-21.07 0-.74-.34-4.05-.7-7.36-.67-6.21-.84-27.67-.22-28.29 1-1 6.63 2.76 11.33 7.43l5.28 5.25-.45 6.47c-.25 3.56-.6 10.23-.78 14.83s-.49 9.87-.67 11.71-.61 9.36-.94 16.72c-.79 17.41-1.94 31.29-2.65 32a.62 .62 0 0 1 -1-.14zm-87.18-266.6c21.07 12.79 17.84 14.15 28.49 17.66 13 4.29 18.87 7.13 23.15 16.87C111.6 233.3 86.25 255 78.55 268c-31 52-6 101.6 62.75 87.21-14.18 29.23-78 28.63-98.68-4.9-24.68-39.95-22.09-118.3 61-187.7zm210.8 179c56.66 6.88 82.32-37.74 46.54-89.23 0 0-26.87-29.34-64.28-68 3-15.45 9.49-32.12 30.57-53.82 89.2 63.51 92 141.6 92.46 149.4 4.3 70.64-78.7 91.18-105.3 61.71z"],
    "markdown": [640, 512, [], "f60f", "M593.8 59.1H46.2C20.7 59.1 0 79.8 0 105.2v301.5c0 25.5 20.7 46.2 46.2 46.2h547.7c25.5 0 46.2-20.7 46.1-46.1V105.2c0-25.4-20.7-46.1-46.2-46.1zM338.5 360.6H277v-120l-61.5 76.9-61.5-76.9v120H92.3V151.4h61.5l61.5 76.9 61.5-76.9h61.5v209.2zm135.3 3.1L381.5 256H443V151.4h61.5V256H566z"],
    "mastodon": [448, 512, [], "f4f6", "M433 179.1c0-97.2-63.71-125.7-63.71-125.7-62.52-28.7-228.6-28.4-290.5 0 0 0-63.72 28.5-63.72 125.7 0 115.7-6.6 259.4 105.6 289.1 40.51 10.7 75.32 13 103.3 11.4 50.81-2.8 79.32-18.1 79.32-18.1l-1.7-36.9s-36.31 11.4-77.12 10.1c-40.41-1.4-83-4.4-89.63-54a102.5 102.5 0 0 1 -.9-13.9c85.63 20.9 158.6 9.1 178.8 6.7 56.12-6.7 105-41.3 111.2-72.9 9.8-49.8 9-121.5 9-121.5zm-75.12 125.2h-46.63v-114.2c0-49.7-64-51.6-64 6.9v62.5h-46.33V197c0-58.5-64-56.6-64-6.9v114.2H90.19c0-122.1-5.2-147.9 18.41-175 25.9-28.9 79.82-30.8 103.8 6.1l11.6 19.5 11.6-19.5c24.11-37.1 78.12-34.8 103.8-6.1 23.71 27.3 18.4 53 18.4 175z"],
    "maxcdn": [512, 512, [], "f136", "M461.1 442.7h-97.4L415.6 200c2.3-10.2 .9-19.5-4.4-25.7-5-6.1-13.7-9.6-24.2-9.6h-49.3l-59.5 278h-97.4l59.5-278h-83.4l-59.5 278H0l59.5-278-44.6-95.4H387c39.4 0 75.3 16.3 98.3 44.9 23.3 28.6 31.8 67.4 23.6 105.9l-47.8 222.6z"],
    "mdb": [576, 512, [], "f8ca", "M17.37 160.4L7 352h43.91l5.59-79.83L84.43 352h44.71l25.54-77.43 4.79 77.43H205l-12.79-191.6H146.7L106 277.7 63.67 160.4zm281 0h-47.9V352h47.9s95 .8 94.2-95.79c-.78-94.21-94.18-95.78-94.18-95.78zm-1.2 146.5V204.8s46 4.27 46.8 50.57-46.78 51.54-46.78 51.54zm238.3-74.24a56.16 56.16 0 0 0 8-38.31c-5.34-35.76-55.08-34.32-55.08-34.32h-51.9v191.6H482s87 4.79 87-63.85c0-43.14-33.52-55.08-33.52-55.08zm-51.9-31.94s13.57-1.59 16 9.59c1.43 6.66-4 12-4 12h-12v-21.57zm-.1 109.5l.1-24.92V267h.08s41.58-4.73 41.19 22.43c-.33 25.65-41.35 20.74-41.35 20.74z"],
    "medapps": [320, 512, [], "f3c6", "M118.3 238.4c3.5-12.5 6.9-33.6 13.2-33.6 8.3 1.8 9.6 23.4 18.6 36.6 4.6-23.5 5.3-85.1 14.1-86.7 9-.7 19.7 66.5 22 77.5 9.9 4.1 48.9 6.6 48.9 6.6 1.9 7.3-24 7.6-40 7.8-4.6 14.8-5.4 27.7-11.4 28-4.7 .2-8.2-28.8-17.5-49.6l-9.4 65.5c-4.4 13-15.5-22.5-21.9-39.3-3.3-.1-62.4-1.6-47.6-7.8l31-5zM228 448c21.2 0 21.2-32 0-32H92c-21.2 0-21.2 32 0 32h136zm-24 64c21.2 0 21.2-32 0-32h-88c-21.2 0-21.2 32 0 32h88zm34.2-141.5c3.2-18.9 5.2-36.4 11.9-48.8 7.9-14.7 16.1-28.1 24-41 24.6-40.4 45.9-75.2 45.9-125.5C320 69.6 248.2 0 160 0S0 69.6 0 155.2c0 50.2 21.3 85.1 45.9 125.5 7.9 12.9 16 26.3 24 41 6.7 12.5 8.7 29.8 11.9 48.9 3.5 21 36.1 15.7 32.6-5.1-3.6-21.7-5.6-40.7-15.3-58.6C66.5 246.5 33 211.3 33 155.2 33 87.3 90 32 160 32s127 55.3 127 123.2c0 56.1-33.5 91.3-66.1 151.6-9.7 18-11.7 37.4-15.3 58.6-3.4 20.6 29 26.4 32.6 5.1z"],
    "medium": [640, 512, [62407, "medium-m"], "f23a", "M180.5 74.26C80.81 74.26 0 155.6 0 256S80.82 437.7 180.5 437.7 361 356.4 361 256 280.2 74.26 180.5 74.26zm288.3 10.65c-49.85 0-90.25 76.62-90.25 171.1s40.41 171.1 90.25 171.1 90.25-76.62 90.25-171.1H559C559 161.5 518.6 84.91 468.8 84.91zm139.5 17.82c-17.53 0-31.74 68.63-31.74 153.3s14.2 153.3 31.74 153.3S640 340.6 640 256C640 171.4 625.8 102.7 608.3 102.7z"],
    "medrt": [544, 512, [], "f3c8", "M113.7 256c0 121.8 83.9 222.8 193.5 241.1-18.7 4.5-38.2 6.9-58.2 6.9C111.4 504 0 393 0 256S111.4 8 248.9 8c20.1 0 39.6 2.4 58.2 6.9C197.5 33.2 113.7 134.2 113.7 256m297.4 100.3c-77.7 55.4-179.6 47.5-240.4-14.6 5.5 14.1 12.7 27.7 21.7 40.5 61.6 88.2 182.4 109.3 269.7 47 87.3-62.3 108.1-184.3 46.5-272.6-9-12.9-19.3-24.3-30.5-34.2 37.4 78.8 10.7 178.5-67 233.9m-218.8-244c-1.4 1-2.7 2.1-4 3.1 64.3-17.8 135.9 4 178.9 60.5 35.7 47 42.9 106.6 24.4 158 56.7-56.2 67.6-142.1 22.3-201.8-50-65.5-149.1-74.4-221.6-19.8M296 224c-4.4 0-8-3.6-8-8v-40c0-4.4-3.6-8-8-8h-48c-4.4 0-8 3.6-8 8v40c0 4.4-3.6 8-8 8h-40c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h40c4.4 0 8 3.6 8 8v40c0 4.4 3.6 8 8 8h48c4.4 0 8-3.6 8-8v-40c0-4.4 3.6-8 8-8h40c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8h-40z"],
    "meetup": [512, 512, [], "f2e0", "M99 414.3c1.1 5.7-2.3 11.1-8 12.3-5.4 1.1-10.9-2.3-12-8-1.1-5.4 2.3-11.1 7.7-12.3 5.4-1.2 11.1 2.3 12.3 8zm143.1 71.4c-6.3 4.6-8 13.4-3.7 20 4.6 6.6 13.4 8.3 20 3.7 6.3-4.6 8-13.4 3.4-20-4.2-6.5-13.1-8.3-19.7-3.7zm-86-462.3c6.3-1.4 10.3-7.7 8.9-14-1.1-6.6-7.4-10.6-13.7-9.1-6.3 1.4-10.3 7.7-9.1 14 1.4 6.6 7.6 10.6 13.9 9.1zM34.4 226.3c-10-6.9-23.7-4.3-30.6 6-6.9 10-4.3 24 5.7 30.9 10 7.1 23.7 4.6 30.6-5.7 6.9-10.4 4.3-24.1-5.7-31.2zm272-170.9c10.6-6.3 13.7-20 7.7-30.3-6.3-10.6-19.7-14-30-7.7s-13.7 20-7.4 30.6c6 10.3 19.4 13.7 29.7 7.4zm-191.1 58c7.7-5.4 9.4-16 4.3-23.7s-15.7-9.4-23.1-4.3c-7.7 5.4-9.4 16-4.3 23.7 5.1 7.8 15.6 9.5 23.1 4.3zm372.3 156c-7.4 1.7-12.3 9.1-10.6 16.9 1.4 7.4 8.9 12.3 16.3 10.6 7.4-1.4 12.3-8.9 10.6-16.6-1.5-7.4-8.9-12.3-16.3-10.9zm39.7-56.8c-1.1-5.7-6.6-9.1-12-8-5.7 1.1-9.1 6.9-8 12.6 1.1 5.4 6.6 9.1 12.3 8 5.4-1.5 9.1-6.9 7.7-12.6zM447 138.9c-8.6 6-10.6 17.7-4.9 26.3 5.7 8.6 17.4 10.6 26 4.9 8.3-6 10.3-17.7 4.6-26.3-5.7-8.7-17.4-10.9-25.7-4.9zm-6.3 139.4c26.3 43.1 15.1 100-26.3 129.1-17.4 12.3-37.1 17.7-56.9 17.1-12 47.1-69.4 64.6-105.1 32.6-1.1 .9-2.6 1.7-3.7 2.9-39.1 27.1-92.3 17.4-119.4-22.3-9.7-14.3-14.6-30.6-15.1-46.9-65.4-10.9-90-94-41.1-139.7-28.3-46.9 .6-107.4 53.4-114.9C151.6 70 234.1 38.6 290.1 82c67.4-22.3 136.3 29.4 130.9 101.1 41.1 12.6 52.8 66.9 19.7 95.2zm-70 74.3c-3.1-20.6-40.9-4.6-43.1-27.1-3.1-32 43.7-101.1 40-128-3.4-24-19.4-29.1-33.4-29.4-13.4-.3-16.9 2-21.4 4.6-2.9 1.7-6.6 4.9-11.7-.3-6.3-6-11.1-11.7-19.4-12.9-12.3-2-17.7 2-26.6 9.7-3.4 2.9-12 12.9-20 9.1-3.4-1.7-15.4-7.7-24-11.4-16.3-7.1-40 4.6-48.6 20-12.9 22.9-38 113.1-41.7 125.1-8.6 26.6 10.9 48.6 36.9 47.1 11.1-.6 18.3-4.6 25.4-17.4 4-7.4 41.7-107.7 44.6-112.6 2-3.4 8.9-8 14.6-5.1 5.7 3.1 6.9 9.4 6 15.1-1.1 9.7-28 70.9-28.9 77.7-3.4 22.9 26.9 26.6 38.6 4 3.7-7.1 45.7-92.6 49.4-98.3 4.3-6.3 7.4-8.3 11.7-8 3.1 0 8.3 .9 7.1 10.9-1.4 9.4-35.1 72.3-38.9 87.7-4.6 20.6 6.6 41.4 24.9 50.6 11.4 5.7 62.5 15.7 58.5-11.1zm5.7 92.3c-10.3 7.4-12.9 22-5.7 32.6 7.1 10.6 21.4 13.1 32 6 10.6-7.4 13.1-22 6-32.6-7.4-10.6-21.7-13.5-32.3-6z"],
    "megaport": [496, 512, [], "f5a3", "M214.5 209.6v66.2l33.5 33.5 33.3-33.3v-66.4l-33.4-33.4zM248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm145.1 414.4L367 441.6l-26-19.2v-65.5l-33.4-33.4-33.4 33.4v65.5L248 441.6l-26.1-19.2v-65.5l-33.4-33.4-33.5 33.4v65.5l-26.1 19.2-26.1-19.2v-87l59.5-59.5V188l59.5-59.5V52.9l26.1-19.2L274 52.9v75.6l59.5 59.5v87.6l59.7 59.7v87.1z"],
    "mendeley": [640, 512, [], "f7b3", "M624.6 325.2c-12.3-12.4-29.7-19.2-48.4-17.2-43.3-1-49.7-34.9-37.5-98.8 22.8-57.5-14.9-131.5-87.4-130.8-77.4 .7-81.7 82-130.9 82-48.1 0-54-81.3-130.9-82-72.9-.8-110.1 73.3-87.4 130.8 12.2 63.9 5.8 97.8-37.5 98.8-21.2-2.3-37 6.5-53 22.5-19.9 19.7-19.3 94.8 42.6 102.6 47.1 5.9 81.6-42.9 61.2-87.8-47.3-103.7 185.9-106.1 146.5-8.2-.1 .1-.2 .2-.3 .4-26.8 42.8 6.8 97.4 58.8 95.2 52.1 2.1 85.4-52.6 58.8-95.2-.1-.2-.2-.3-.3-.4-39.4-97.9 193.8-95.5 146.5 8.2-4.6 10-6.7 21.3-5.7 33 4.9 53.4 68.7 74.1 104.9 35.2 17.8-14.8 23.1-65.6 0-88.3zm-303.9-19.1h-.6c-43.4 0-62.8-37.5-62.8-62.8 0-34.7 28.2-62.8 62.8-62.8h.6c34.7 0 62.8 28.1 62.8 62.8 0 25-19.2 62.8-62.8 62.8z"],
    "meta": [640, 512, [], "e49b", "M640 317.9C640 409.2 600.6 466.4 529.7 466.4C467.1 466.4 433.9 431.8 372.8 329.8L341.4 277.2C333.1 264.7 326.9 253 320.2 242.2C300.1 276 273.1 325.2 273.1 325.2C206.1 441.8 168.5 466.4 116.2 466.4C43.42 466.4 0 409.1 0 320.5C0 177.5 79.78 42.4 183.9 42.4C234.1 42.4 277.7 67.08 328.7 131.9C365.8 81.8 406.8 42.4 459.3 42.4C558.4 42.4 640 168.1 640 317.9H640zM287.4 192.2C244.5 130.1 216.5 111.7 183 111.7C121.1 111.7 69.22 217.8 69.22 321.7C69.22 370.2 87.7 397.4 118.8 397.4C149 397.4 167.8 378.4 222 293.6C222 293.6 246.7 254.5 287.4 192.2V192.2zM531.2 397.4C563.4 397.4 578.1 369.9 578.1 322.5C578.1 198.3 523.8 97.08 454.9 97.08C421.7 97.08 393.8 123 360 175.1C369.4 188.9 379.1 204.1 389.3 220.5L426.8 282.9C485.5 377 500.3 397.4 531.2 397.4L531.2 397.4z"],
    "microblog": [448, 512, [], "e01a", "M399.4 362.2c29.49-34.69 47.1-78.34 47.1-125.8C446.5 123.5 346.9 32 224 32S1.54 123.5 1.54 236.4 101.1 440.9 224 440.9a239.3 239.3 0 0 0 79.44-13.44 7.18 7.18 0 0 1 8.12 2.56c18.58 25.09 47.61 42.74 79.89 49.92a4.42 4.42 0 0 0 5.22-3.43 4.37 4.37 0 0 0 -.85-3.62 87 87 0 0 1 3.69-110.7zM329.5 212.4l-57.3 43.49L293 324.8a6.5 6.5 0 0 1 -9.94 7.22L224 290.9 164.9 332a6.51 6.51 0 0 1 -9.95-7.22l20.79-68.86-57.3-43.49a6.5 6.5 0 0 1 3.8-11.68l71.88-1.51 23.66-67.92a6.5 6.5 0 0 1 12.28 0l23.66 67.92 71.88 1.51a6.5 6.5 0 0 1 3.88 11.68z"],
    "microsoft": [448, 512, [], "f3ca", "M0 32h214.6v214.6H0V32zm233.4 0H448v214.6H233.4V32zM0 265.4h214.6V480H0V265.4zm233.4 0H448V480H233.4V265.4z"],
    "mix": [448, 512, [], "f3cb", "M0 64v348.9c0 56.2 88 58.1 88 0V174.3c7.9-52.9 88-50.4 88 6.5v175.3c0 57.9 96 58 96 0V240c5.3-54.7 88-52.5 88 4.3v23.8c0 59.9 88 56.6 88 0V64H0z"],
    "mixcloud": [640, 512, [], "f289", "M212.1 346.6H179.8V195.1L185.1 173.5H175.3L137.1 346.6H76.11L37.73 173.5H27.28L33.19 195.1V346.6H0V165H65.65L102.2 338.1H110.7L147.3 165H212.1L212.1 346.6zM544.5 283.6L458.4 345.7V307.5L531.3 255.8L458.4 204V165.9L544.5 228.2H553.7L640 165.9V204L566.9 255.8L640 307.5V345.7L553.7 283.6H544.5zM430.2 272.3H248.1V239.3H430.2V272.3z"],
    "mixer": [512, 512, [], "e056", "M114.6 76.07a45.71 45.71 0 0 0 -67.51-6.41c-17.58 16.18-19 43.52-4.75 62.77l91.78 123L41.76 379.6c-14.23 19.25-13.11 46.59 4.74 62.77A45.71 45.71 0 0 0 114 435.9L242.9 262.7a12.14 12.14 0 0 0 0-14.23zM470.2 379.6 377.9 255.4l91.78-123c14.22-19.25 12.83-46.59-4.75-62.77a45.71 45.71 0 0 0 -67.51 6.41l-128 172.1a12.14 12.14 0 0 0 0 14.23L398 435.9a45.71 45.71 0 0 0 67.51 6.41C483.4 426.2 484.5 398.8 470.2 379.6z"],
    "mizuni": [496, 512, [], "f3cc", "M248 8C111 8 0 119.1 0 256c0 137 111 248 248 248s248-111 248-248C496 119.1 385 8 248 8zm-80 351.9c-31.4 10.6-58.8 27.3-80 48.2V136c0-22.1 17.9-40 40-40s40 17.9 40 40v223.9zm120-9.9c-12.9-2-26.2-3.1-39.8-3.1-13.8 0-27.2 1.1-40.2 3.1V136c0-22.1 17.9-40 40-40s40 17.9 40 40v214zm120 57.7c-21.2-20.8-48.6-37.4-80-48V136c0-22.1 17.9-40 40-40s40 17.9 40 40v271.7z"],
    "modx": [448, 512, [], "f285", "M356 241.8l36.7 23.7V480l-133-83.8L356 241.8zM440 75H226.3l-23 37.8 153.5 96.5L440 75zm-89 142.8L55.2 32v214.5l46 29L351 217.8zM97 294.2L8 437h213.7l125-200.5L97 294.2z"],
    "monero": [496, 512, [], "f3d0", "M352 384h108.4C417 455.9 338.1 504 248 504S79 455.9 35.6 384H144V256.2L248 361l104-105v128zM88 336V128l159.4 159.4L408 128v208h74.8c8.5-25.1 13.2-52 13.2-80C496 119 385 8 248 8S0 119 0 256c0 28 4.6 54.9 13.2 80H88z"],
    "napster": [496, 512, [], "f3d2", "M298.3 373.6c-14.2 13.6-31.3 24.1-50.4 30.5-19-6.4-36.2-16.9-50.3-30.5h100.7zm44-199.6c20-16.9 43.6-29.2 69.6-36.2V299c0 219.4-328 217.6-328 .3V137.7c25.9 6.9 49.6 19.6 69.5 36.4 56.8-40 132.5-39.9 188.9-.1zm-208.8-58.5c64.4-60 164.3-60.1 228.9-.2-7.1 3.5-13.9 7.3-20.6 11.5-58.7-30.5-129.2-30.4-187.9 .1-6.3-4-13.9-8.2-20.4-11.4zM43.8 93.2v69.3c-58.4 36.5-58.4 121.1 .1 158.3 26.4 245.1 381.7 240.3 407.6 1.5l.3-1.7c58.7-36.3 58.9-121.7 .2-158.2V93.2c-17.3 .5-34 3-50.1 7.4-82-91.5-225.5-91.5-307.5 .1-16.3-4.4-33.1-7-50.6-7.5zM259.2 352s36-.3 61.3-1.5c10.2-.5 21.1-4 25.5-6.5 26.3-15.1 25.4-39.2 26.2-47.4-79.5-.6-99.9-3.9-113 55.4zm-135.5-55.3c.8 8.2-.1 32.3 26.2 47.4 4.4 2.5 15.2 6 25.5 6.5 25.3 1.1 61.3 1.5 61.3 1.5-13.2-59.4-33.7-56.1-113-55.4zm169.1 123.4c-3.2-5.3-6.9-7.3-6.9-7.3-24.8 7.3-52.2 6.9-75.9 0 0 0-2.9 1.5-6.4 6.6-2.8 4.1-3.7 9.6-3.7 9.6 29.1 17.6 67.1 17.6 96.2 0-.1-.1-.3-4-3.3-8.9z"],
    "neos": [512, 512, [], "f612", "M415.4 512h-95.11L212.1 357.5v91.1L125.7 512H28V29.82L68.47 0h108.1l123.7 176.1V63.45L386.7 0h97.69v461.5zM38.77 35.27V496l72-52.88V194l215.5 307.6h84.79l52.35-38.17h-78.27L69 13zm82.54 466.6l80-58.78v-101l-79.76-114.4v220.9L49 501.9h72.34zM80.63 10.77l310.6 442.6h82.37V10.77h-79.75v317.6L170.9 10.77zM311 191.6l72 102.8V15.93l-72 53v122.7z"],
    "nfc-directional": [512, 512, [], "e530", "M211.8 488.6C213.4 491.1 213.9 494.2 213.2 497.1C212.6 500 210.8 502.6 208.3 504.2C205.7 505.8 202.7 506.3 199.7 505.7C138.3 491.8 84.1 455.8 47.53 404.5C10.97 353.2-5.395 290.3 1.57 227.7C8.536 165 38.34 107.2 85.29 65.21C132.2 23.2 193-.0131 256 0C257.5 0 258.1 .2931 260.3 .8627C261.7 1.432 262.1 2.267 264 3.319C265.1 4.371 265.9 5.619 266.5 6.993C267 8.367 267.3 9.839 267.3 11.32V112.3L291.8 86.39C292.8 85.31 294 84.44 295.4 83.84C296.7 83.23 298.2 82.9 299.7 82.86C301.2 82.81 302.6 83.06 304 83.59C305.4 84.12 306.7 84.92 307.8 85.94C308.8 86.96 309.7 88.18 310.3 89.54C310.9 90.89 311.3 92.35 311.3 93.84C311.3 95.32 311.1 96.8 310.6 98.18C310 99.57 309.2 100.8 308.2 101.9L264.2 148.5C263.1 149.6 261.9 150.5 260.5 151.1C259 151.7 257.5 152 255.1 152C254.5 152 252.9 151.7 251.5 151.1C250.1 150.5 248.8 149.6 247.8 148.5L203.7 101.9C201.7 99.74 200.6 96.83 200.7 93.84C200.7 90.84 202 87.1 204.2 85.94C206.4 83.88 209.3 82.77 212.3 82.86C215.3 82.94 218.1 84.21 220.2 86.39L244.7 112.4V22.89C188.3 25.64 134.9 48.73 94.23 87.87C53.58 127 28.49 179.6 23.61 235.8C18.73 292 34.38 348.1 67.68 393.7C100.1 439.2 149.7 471.2 204.7 483.6C207.6 484.3 210.2 486.1 211.8 488.6L211.8 488.6zM171.4 126.1C170.6 127.4 169.5 128.5 168.3 129.3C147.8 143.2 131.1 161.9 119.5 183.8C107.9 205.7 101.8 230.1 101.8 254.9C101.8 279.7 107.9 304.1 119.5 325.1C131.1 347.9 147.8 366.6 168.3 380.5C170.8 382.2 172.5 384.8 173 387.8C173.6 390.7 172.1 393.8 171.3 396.2C169.6 398.7 166.1 400.4 164 400.1C161.1 401.5 158 400.9 155.6 399.2C132 383.2 112.8 361.7 99.46 336.5C86.15 311.4 79.19 283.4 79.19 254.9C79.19 226.5 86.15 198.4 99.46 173.3C112.8 148.1 132 126.6 155.6 110.6C156.8 109.8 158.2 109.2 159.6 108.8C161.1 108.5 162.6 108.5 164.1 108.8C165.5 109 166.9 109.6 168.2 110.4C169.5 111.2 170.5 112.3 171.4 113.5C172.2 114.7 172.8 116.1 173.1 117.6C173.4 119.1 173.4 120.6 173.1 122C172.8 123.5 172.3 124.9 171.4 126.1H171.4zM340.9 383.5C341.7 382.3 342.8 381.2 343.1 380.4V380.3C364.4 366.3 381.1 347.6 392.7 325.7C404.2 303.9 410.2 279.5 410.2 254.8C410.2 230.1 404.2 205.7 392.7 183.8C381.1 161.1 364.4 143.3 343.1 129.3C342.8 128.5 341.7 127.4 340.9 126.2C340.1 124.9 339.5 123.5 339.3 122.1C338.1 120.6 339 119.1 339.3 117.7C339.6 116.2 340.2 114.8 341 113.6C341.9 112.4 342.1 111.3 344.2 110.5C345.4 109.7 346.8 109.2 348.3 108.9C349.8 108.6 351.2 108.6 352.7 108.9C354.2 109.2 355.5 109.8 356.8 110.7C380.2 126.7 399.5 148.2 412.7 173.3C426 198.4 432.1 226.4 432.1 254.8C432.1 283.3 426 311.3 412.7 336.4C399.5 361.5 380.2 383 356.8 399C355.5 399.9 354.2 400.5 352.7 400.8C351.2 401.1 349.8 401.1 348.3 400.8C346.8 400.5 345.4 399.1 344.2 399.2C342.1 398.4 341.9 397.3 341 396.1C340.2 394.9 339.6 393.5 339.3 392C339 390.6 338.1 389.1 339.3 387.6C339.5 386.2 340.1 384.8 340.9 383.5V383.5zM312.3 6.307C368.5 19.04 418.7 50.28 455 95.01C485.4 132.6 504.6 178 510.3 226C515.9 274 507.9 322.7 487.1 366.3C466.2 409.9 433.5 446.8 392.6 472.6C351.7 498.3 304.4 512 256 512C254.5 512 253.1 511.7 251.7 511.1C250.3 510.6 249.1 509.7 248 508.7C246.1 507.6 246.1 506.4 245.6 505C245 503.6 244.7 502.2 244.7 500.7V401.5L220.2 427.5C218.1 429.7 215.3 430.1 212.3 431.1C209.3 431.2 206.4 430 204.2 427.1C202 425.9 200.7 423.1 200.7 420.1C200.6 417.1 201.7 414.2 203.7 412L247.8 365.4C249.1 363.2 252.9 362 255.1 362C259.1 362 262 363.2 264.2 365.4L308.2 412C310.3 414.2 311.4 417.1 311.3 420.1C311.2 423.1 309.9 425.9 307.8 427.1C305.6 430 302.7 431.2 299.7 431.1C296.7 430.1 293.8 429.7 291.8 427.5L267.3 401.6V489.1C323.7 486.3 377.1 463.3 417.8 424.1C458.5 384.1 483.6 332.4 488.5 276.2C493.3 219.1 477.7 163.9 444.4 118.3C411.1 72.75 362.4 40.79 307.4 28.36C305.9 28.03 304.6 27.42 303.3 26.57C302.1 25.71 301.1 24.63 300.3 23.37C299.5 22.12 298.1 20.72 298.7 19.26C298.5 17.8 298.5 16.3 298.8 14.85C299.2 13.41 299.8 12.04 300.6 10.82C301.5 9.61 302.6 8.577 303.8 7.784C305.1 6.99 306.5 6.451 307.9 6.198C309.4 5.945 310.9 5.982 312.3 6.307L312.3 6.307zM353.1 256.1C353.1 287.5 335.6 317.2 303.8 339.6C301.7 341.1 299 341.9 296.4 341.6C293.7 341.4 291.2 340.3 289.4 338.4L219.3 268.6C217.1 266.5 215.1 263.6 215.9 260.6C215.9 257.6 217.1 254.7 219.2 252.6C221.4 250.5 224.2 249.3 227.2 249.3C230.2 249.3 233.1 250.5 235.2 252.6L298.3 315.4C319.1 298.3 330.5 277.5 330.5 256.1C330.5 232.2 316.4 209.1 290.8 191C288.3 189.3 286.7 186.7 286.2 183.7C285.7 180.8 286.3 177.7 288.1 175.3C289.8 172.8 292.4 171.2 295.4 170.7C298.3 170.2 301.4 170.8 303.8 172.6C335.6 195 353.1 224.7 353.1 256.1V256.1zM216.7 341.5C213.7 342 210.7 341.3 208.2 339.6C176.5 317.2 158.1 287.5 158.1 256.1C158.1 224.7 176.5 195 208.2 172.6C210.4 171 213.1 170.3 215.7 170.5C218.4 170.8 220.8 171.9 222.7 173.8L292.8 243.6C294.9 245.7 296.1 248.6 296.1 251.6C296.1 254.6 294.1 257.4 292.8 259.6C290.7 261.7 287.8 262.9 284.9 262.9C281.9 262.9 278.1 261.7 276.9 259.6L213.8 196.7C192.9 214 181.6 234.7 181.6 256.1C181.6 279.1 195.7 303.1 221.3 321.1C223.7 322.9 225.4 325.5 225.9 328.5C226.4 331.4 225.7 334.4 224 336.9C222.3 339.3 219.6 341 216.7 341.5L216.7 341.5z"],
    "nfc-symbol": [576, 512, [], "e531", "M392.9 32.43C400.6 31.1 408.6 32.89 414.1 37.41C498.2 96.14 544 173.7 544 255.1C544 338.2 498.2 415.9 414.1 474.6C409.3 478.6 402.4 480.5 395.5 479.9C388.5 479.3 382 476.3 377.1 471.4L193.7 288.7C188.1 283.2 185 275.7 184.1 267.8C184.1 260 188.1 252.5 193.6 246.9C199.2 241.4 206.7 238.2 214.5 238.2C222.4 238.2 229.9 241.3 235.4 246.8L400.5 411.2C455.1 366.5 484.8 312 484.8 255.1C484.8 193.5 447.9 132.9 380.9 85.76C374.5 81.24 370.1 74.35 368.8 66.62C367.4 58.89 369.2 50.94 373.8 44.53C378.3 38.12 385.2 33.77 392.9 32.43V32.43zM186.9 479.6C179.2 480.9 171.3 479.1 164.8 474.6C81.67 415.9 35.84 338.2 35.84 255.1C35.84 173.7 81.67 96.14 164.8 37.41C170.5 33.4 177.4 31.53 184.4 32.12C191.3 32.71 197.8 35.72 202.7 40.63L386.1 223.3C391.7 228.8 394.8 236.3 394.8 244.2C394.9 251.1 391.8 259.5 386.2 265.1C380.7 270.6 373.2 273.8 365.3 273.8C357.5 273.8 349.1 270.7 344.4 265.2L179.3 100.7C124.7 145.9 95.03 199.9 95.03 255.1C95.03 318.5 131.9 379.1 198.1 426.2C205.4 430.8 209.7 437.6 211.1 445.4C212.4 453.1 210.6 461.1 206.1 467.5C201.6 473.9 194.7 478.2 186.9 479.6V479.6z"],
    "nimblr": [384, 512, [], "f5a8", "M246.6 299.3c15.57 0 27.15 11.46 27.15 27s-11.62 27-27.15 27c-15.7 0-27.15-11.57-27.15-27s11.55-27 27.15-27zM113 326.3c0-15.61 11.68-27 27.15-27s27.15 11.46 27.15 27-11.47 27-27.15 27c-15.44 0-27.15-11.31-27.15-27M191.8 159C157 159 89.45 178.8 59.25 227L14 0v335.5C14 433.1 93.61 512 191.8 512s177.8-78.95 177.8-176.5S290.1 159 191.8 159zm0 308.1c-73.27 0-132.5-58.9-132.5-131.6s59.24-131.6 132.5-131.6 132.5 58.86 132.5 131.5S265 467.1 191.8 467.1z"],
    "node": [640, 512, [], "f419", "M316.3 452c-2.1 0-4.2-.6-6.1-1.6L291 439c-2.9-1.6-1.5-2.2-.5-2.5 3.8-1.3 4.6-1.6 8.7-4 .4-.2 1-.1 1.4 .1l14.8 8.8c.5 .3 1.3 .3 1.8 0L375 408c.5-.3 .9-.9 .9-1.6v-66.7c0-.7-.3-1.3-.9-1.6l-57.8-33.3c-.5-.3-1.2-.3-1.8 0l-57.8 33.3c-.6 .3-.9 1-.9 1.6v66.7c0 .6 .4 1.2 .9 1.5l15.8 9.1c8.6 4.3 13.9-.8 13.9-5.8v-65.9c0-.9 .7-1.7 1.7-1.7h7.3c.9 0 1.7 .7 1.7 1.7v65.9c0 11.5-6.2 18-17.1 18-3.3 0-6 0-13.3-3.6l-15.2-8.7c-3.7-2.2-6.1-6.2-6.1-10.5v-66.7c0-4.3 2.3-8.4 6.1-10.5l57.8-33.4c3.7-2.1 8.5-2.1 12.1 0l57.8 33.4c3.7 2.2 6.1 6.2 6.1 10.5v66.7c0 4.3-2.3 8.4-6.1 10.5l-57.8 33.4c-1.7 1.1-3.8 1.7-6 1.7zm46.7-65.8c0-12.5-8.4-15.8-26.2-18.2-18-2.4-19.8-3.6-19.8-7.8 0-3.5 1.5-8.1 14.8-8.1 11.9 0 16.3 2.6 18.1 10.6 .2 .8 .8 1.3 1.6 1.3h7.5c.5 0 .9-.2 1.2-.5 .3-.4 .5-.8 .4-1.3-1.2-13.8-10.3-20.2-28.8-20.2-16.5 0-26.3 7-26.3 18.6 0 12.7 9.8 16.1 25.6 17.7 18.9 1.9 20.4 4.6 20.4 8.3 0 6.5-5.2 9.2-17.4 9.2-15.3 0-18.7-3.8-19.8-11.4-.1-.8-.8-1.4-1.7-1.4h-7.5c-.9 0-1.7 .7-1.7 1.7 0 9.7 5.3 21.3 30.6 21.3 18.5 0 29-7.2 29-19.8zm54.5-50.1c0 6.1-5 11.1-11.1 11.1s-11.1-5-11.1-11.1c0-6.3 5.2-11.1 11.1-11.1 6-.1 11.1 4.8 11.1 11.1zm-1.8 0c0-5.2-4.2-9.3-9.4-9.3-5.1 0-9.3 4.1-9.3 9.3 0 5.2 4.2 9.4 9.3 9.4 5.2-.1 9.4-4.3 9.4-9.4zm-4.5 6.2h-2.6c-.1-.6-.5-3.8-.5-3.9-.2-.7-.4-1.1-1.3-1.1h-2.2v5h-2.4v-12.5h4.3c1.5 0 4.4 0 4.4 3.3 0 2.3-1.5 2.8-2.4 3.1 1.7 .1 1.8 1.2 2.1 2.8 .1 1 .3 2.7 .6 3.3zm-2.8-8.8c0-1.7-1.2-1.7-1.8-1.7h-2v3.5h1.9c1.6 0 1.9-1.1 1.9-1.8zM137.3 191c0-2.7-1.4-5.1-3.7-6.4l-61.3-35.3c-1-.6-2.2-.9-3.4-1h-.6c-1.2 0-2.3 .4-3.4 1L3.7 184.6C1.4 185.9 0 188.4 0 191l.1 95c0 1.3 .7 2.5 1.8 3.2 1.1 .7 2.5 .7 3.7 0L42 268.3c2.3-1.4 3.7-3.8 3.7-6.4v-44.4c0-2.6 1.4-5.1 3.7-6.4l15.5-8.9c1.2-.7 2.4-1 3.7-1 1.3 0 2.6 .3 3.7 1l15.5 8.9c2.3 1.3 3.7 3.8 3.7 6.4v44.4c0 2.6 1.4 5.1 3.7 6.4l36.4 20.9c1.1 .7 2.6 .7 3.7 0 1.1-.6 1.8-1.9 1.8-3.2l.2-95zM472.5 87.3v176.4c0 2.6-1.4 5.1-3.7 6.4l-61.3 35.4c-2.3 1.3-5.1 1.3-7.4 0l-61.3-35.4c-2.3-1.3-3.7-3.8-3.7-6.4v-70.8c0-2.6 1.4-5.1 3.7-6.4l61.3-35.4c2.3-1.3 5.1-1.3 7.4 0l15.3 8.8c1.7 1 3.9-.3 3.9-2.2v-94c0-2.8 3-4.6 5.5-3.2l36.5 20.4c2.3 1.2 3.8 3.7 3.8 6.4zm-46 128.9c0-.7-.4-1.3-.9-1.6l-21-12.2c-.6-.3-1.3-.3-1.9 0l-21 12.2c-.6 .3-.9 .9-.9 1.6v24.3c0 .7 .4 1.3 .9 1.6l21 12.1c.6 .3 1.3 .3 1.8 0l21-12.1c.6-.3 .9-.9 .9-1.6v-24.3zm209.8-.7c2.3-1.3 3.7-3.8 3.7-6.4V192c0-2.6-1.4-5.1-3.7-6.4l-60.9-35.4c-2.3-1.3-5.1-1.3-7.4 0l-61.3 35.4c-2.3 1.3-3.7 3.8-3.7 6.4v70.8c0 2.7 1.4 5.1 3.7 6.4l60.9 34.7c2.2 1.3 5 1.3 7.3 0l36.8-20.5c2.5-1.4 2.5-5 0-6.4L550 241.6c-1.2-.7-1.9-1.9-1.9-3.2v-22.2c0-1.3 .7-2.5 1.9-3.2l19.2-11.1c1.1-.7 2.6-.7 3.7 0l19.2 11.1c1.1 .7 1.9 1.9 1.9 3.2v17.4c0 2.8 3.1 4.6 5.6 3.2l36.7-21.3zM559 219c-.4 .3-.7 .7-.7 1.2v13.6c0 .5 .3 1 .7 1.2l11.8 6.8c.4 .3 1 .3 1.4 0L584 235c.4-.3 .7-.7 .7-1.2v-13.6c0-.5-.3-1-.7-1.2l-11.8-6.8c-.4-.3-1-.3-1.4 0L559 219zm-254.2 43.5v-70.4c0-2.6-1.6-5.1-3.9-6.4l-61.1-35.2c-2.1-1.2-5-1.4-7.4 0l-61.1 35.2c-2.3 1.3-3.9 3.7-3.9 6.4v70.4c0 2.8 1.9 5.2 4 6.4l61.2 35.2c2.4 1.4 5.2 1.3 7.4 0l61-35.2c1.8-1 3.1-2.7 3.6-4.7 .1-.5 .2-1.1 .2-1.7zm-74.3-124.9l-.8 .5h1.1l-.3-.5zm76.2 130.2l-.4-.7v.9l.4-.2z"],
    "node-js": [448, 512, [], "f3d3", "M224 508c-6.7 0-13.5-1.8-19.4-5.2l-61.7-36.5c-9.2-5.2-4.7-7-1.7-8 12.3-4.3 14.8-5.2 27.9-12.7 1.4-.8 3.2-.5 4.6 .4l47.4 28.1c1.7 1 4.1 1 5.7 0l184.7-106.6c1.7-1 2.8-3 2.8-5V149.3c0-2.1-1.1-4-2.9-5.1L226.8 37.7c-1.7-1-4-1-5.7 0L36.6 144.3c-1.8 1-2.9 3-2.9 5.1v213.1c0 2 1.1 4 2.9 4.9l50.6 29.2c27.5 13.7 44.3-2.4 44.3-18.7V167.5c0-3 2.4-5.3 5.4-5.3h23.4c2.9 0 5.4 2.3 5.4 5.3V378c0 36.6-20 57.6-54.7 57.6-10.7 0-19.1 0-42.5-11.6l-48.4-27.9C8.1 389.2 .7 376.3 .7 362.4V149.3c0-13.8 7.4-26.8 19.4-33.7L204.6 9c11.7-6.6 27.2-6.6 38.8 0l184.7 106.7c12 6.9 19.4 19.8 19.4 33.7v213.1c0 13.8-7.4 26.7-19.4 33.7L243.4 502.8c-5.9 3.4-12.6 5.2-19.4 5.2zm149.1-210.1c0-39.9-27-50.5-83.7-58-57.4-7.6-63.2-11.5-63.2-24.9 0-11.1 4.9-25.9 47.4-25.9 37.9 0 51.9 8.2 57.7 33.8 .5 2.4 2.7 4.2 5.2 4.2h24c1.5 0 2.9-.6 3.9-1.7s1.5-2.6 1.4-4.1c-3.7-44.1-33-64.6-92.2-64.6-52.7 0-84.1 22.2-84.1 59.5 0 40.4 31.3 51.6 81.8 56.6 60.5 5.9 65.2 14.8 65.2 26.7 0 20.6-16.6 29.4-55.5 29.4-48.9 0-59.6-12.3-63.2-36.6-.4-2.6-2.6-4.5-5.3-4.5h-23.9c-3 0-5.3 2.4-5.3 5.3 0 31.1 16.9 68.2 97.8 68.2 58.4-.1 92-23.2 92-63.4z"],
    "npm": [576, 512, [], "f3d4", "M288 288h-32v-64h32v64zm288-128v192H288v32H160v-32H0V160h576zm-416 32H32v128h64v-96h32v96h32V192zm160 0H192v160h64v-32h64V192zm224 0H352v128h64v-96h32v96h32v-96h32v96h32V192z"],
    "ns8": [640, 512, [], "f3d5", "M104.3 269.2h26.07V242.1H104.3zm52.47-26.18-.055-26.18v-.941a39.33 39.33 0 0 0 -78.64 .941v.166h26.4v-.166a12.98 12.98 0 0 1 25.96 0v26.18zm52.36 25.85a91.1 91.1 0 0 1 -91.1 91.1h-.609a91.1 91.1 0 0 1 -91.1-91.1H0v.166A117.3 117.3 0 0 0 117.4 386.3h.775A117.3 117.3 0 0 0 235.5 268.8V242.8H209.1zm-157.2 0a65.36 65.36 0 0 0 130.7 0H156.3a39.02 39.02 0 0 1 -78.04 0V242.9H51.97v-26.62A65.42 65.42 0 0 1 182.8 217.5v25.29h26.34V217.5a91.76 91.76 0 0 0 -183.5 0v25.4H51.91zm418.4-71.17c13.67 0 24.57 6.642 30.05 18.26l.719 1.549 23.25-11.51-.609-1.439c-8.025-19.26-28.5-31.27-53.41-31.27-23.13 0-43.61 11.4-50.97 28.45-.123 26.88-.158 23.9 0 24.85 4.7 11.01 14.56 19.37 28.67 24.24a102 102 0 0 0 19.81 3.984c5.479 .72 10.63 1.384 15.83 3.1 6.364 2.1 10.46 5.257 12.84 9.851v9.851c-3.708 7.527-13.78 12.34-25.79 12.34-14.33 0-25.96-6.918-31.93-19.04l-.72-1.494L415 280.9l.553 1.439c7.915 19.43 29.61 32.04 55.29 32.04 23.63 0 44.61-11.4 52.3-28.45l.166-25.9-.166-.664c-4.87-11.01-15.22-19.65-28.94-24.24-7.693-2.712-14.34-3.6-20.7-4.427a83.78 83.78 0 0 1 -14.83-2.878c-6.31-1.937-10.4-5.092-12.62-9.63v-8.412C449.5 202.4 458.1 197.7 470.3 197.7zM287.6 311.3h26.07v-68.4H287.6zm352.3-53.3c-2.933-6.254-8.3-12.01-15.44-16.71A37.99 37.99 0 0 0 637.4 226l.166-25.35-.166-.664C630 184 610.7 173.3 589.3 173.3S548.5 184 541.1 199.1l-.166 25.35 .166 .664a39.64 39.64 0 0 0 13.01 15.33c-7.2 4.7-12.51 10.46-15.44 16.71l-.166 28.89 .166 .72c7.582 15.99 27.89 26.73 50.58 26.73s43.06-10.74 50.58-26.73l.166-28.89zm-73.22-50.81c3.6-6.31 12.56-10.52 22.58-10.52s19.04 4.206 22.64 10.52v13.73c-3.542 6.2-12.56 10.35-22.64 10.35s-19.09-4.15-22.58-10.35zm47.32 72.17c-3.764 6.641-13.34 10.9-24.68 10.9-11.13 0-20.98-4.372-24.68-10.9V263.3c3.708-6.309 13.5-10.52 24.68-10.52 11.35 0 20.92 4.15 24.68 10.52zM376.4 265.1l-59.83-89.71h-29v40.62h26.51v.387l62.54 94.08H402.3V176.2H376.4z"],
    "nutritionix": [400, 512, [], "f3d6", "M88 8.1S221.4-.1 209 112.5c0 0 19.1-74.9 103-40.6 0 0-17.7 74-88 56 0 0 14.6-54.6 66.1-56.6 0 0-39.9-10.3-82.1 48.8 0 0-19.8-94.5-93.6-99.7 0 0 75.2 19.4 77.6 107.5 0 .1-106.4 7-104-119.8zm312 315.6c0 48.5-9.7 95.3-32 132.3-42.2 30.9-105 48-168 48-62.9 0-125.8-17.1-168-48C9.7 419 0 372.2 0 323.7 0 275.3 17.7 229 40 192c42.2-30.9 97.1-48.6 160-48.6 63 0 117.8 17.6 160 48.6 22.3 37 40 83.3 40 131.7zM120 428c0-15.5-12.5-28-28-28s-28 12.5-28 28 12.5 28 28 28 28-12.5 28-28zm0-66.2c0-15.5-12.5-28-28-28s-28 12.5-28 28 12.5 28 28 28 28-12.5 28-28zm0-66.2c0-15.5-12.5-28-28-28s-28 12.5-28 28 12.5 28 28 28 28-12.5 28-28zM192 428c0-15.5-12.5-28-28-28s-28 12.5-28 28 12.5 28 28 28 28-12.5 28-28zm0-66.2c0-15.5-12.5-28-28-28s-28 12.5-28 28 12.5 28 28 28 28-12.5 28-28zm0-66.2c0-15.5-12.5-28-28-28s-28 12.5-28 28 12.5 28 28 28 28-12.5 28-28zM264 428c0-15.5-12.5-28-28-28s-28 12.5-28 28 12.5 28 28 28 28-12.5 28-28zm0-66.2c0-15.5-12.5-28-28-28s-28 12.5-28 28 12.5 28 28 28 28-12.5 28-28zm0-66.2c0-15.5-12.5-28-28-28s-28 12.5-28 28 12.5 28 28 28 28-12.5 28-28zM336 428c0-15.5-12.5-28-28-28s-28 12.5-28 28 12.5 28 28 28 28-12.5 28-28zm0-66.2c0-15.5-12.5-28-28-28s-28 12.5-28 28 12.5 28 28 28 28-12.5 28-28zm0-66.2c0-15.5-12.5-28-28-28s-28 12.5-28 28 12.5 28 28 28 28-12.5 28-28zm24-39.6c-4.8-22.3-7.4-36.9-16-56-38.8-19.9-90.5-32-144-32S94.8 180.1 56 200c-8.8 19.5-11.2 33.9-16 56 42.2-7.9 98.7-14.8 160-14.8s117.8 6.9 160 14.8z"],
    "octopus-deploy": [512, 512, [], "e082", "M455.6 349.2c-45.89-39.09-36.67-77.88-16.09-128.1C475.2 134 415.1 34.14 329.9 8.3 237-19.6 134.3 24.34 99.68 117.1a180.9 180.9 0 0 0 -10.99 73.54c1.733 29.54 14.72 52.97 24.09 80.3 17.2 50.16-28.1 92.74-66.66 117.6-46.81 30.2-36.32 39.86-8.428 41.86 23.38 1.68 44.48-4.548 65.26-15.05 9.2-4.647 40.69-18.93 45.13-28.59C135.9 413.4 111.1 459.5 126.6 488.9c19.1 36.23 67.11-31.77 76.71-45.81 8.591-12.57 42.96-81.28 63.63-46.93 18.86 31.36 8.6 76.39 35.74 104.6 32.85 34.2 51.15-18.31 51.41-44.22 .163-16.41-6.1-95.85 29.9-59.94C405.4 418 436.9 467.8 472.6 463.6c38.74-4.516-22.12-67.97-28.26-78.69 5.393 4.279 53.67 34.13 53.82 9.52C498.2 375.7 468 359.8 455.6 349.2z"],
    "odnoklassniki": [320, 512, [], "f263", "M275.1 334c-27.4 17.4-65.1 24.3-90 26.9l20.9 20.6 76.3 76.3c27.9 28.6-17.5 73.3-45.7 45.7-19.1-19.4-47.1-47.4-76.3-76.6L84 503.4c-28.2 27.5-73.6-17.6-45.4-45.7 19.4-19.4 47.1-47.4 76.3-76.3l20.6-20.6c-24.6-2.6-62.9-9.1-90.6-26.9-32.6-21-46.9-33.3-34.3-59 7.4-14.6 27.7-26.9 54.6-5.7 0 0 36.3 28.9 94.9 28.9s94.9-28.9 94.9-28.9c26.9-21.1 47.1-8.9 54.6 5.7 12.4 25.7-1.9 38-34.5 59.1zM30.3 129.7C30.3 58 88.6 0 160 0s129.7 58 129.7 129.7c0 71.4-58.3 129.4-129.7 129.4s-129.7-58-129.7-129.4zm66 0c0 35.1 28.6 63.7 63.7 63.7s63.7-28.6 63.7-63.7c0-35.4-28.6-64-63.7-64s-63.7 28.6-63.7 64z"],
    "old-republic": [496, 512, [], "f510", "M235.8 10.23c7.5-.31 15-.28 22.5-.09 3.61 .14 7.2 .4 10.79 .73 4.92 .27 9.79 1.03 14.67 1.62 2.93 .43 5.83 .98 8.75 1.46 7.9 1.33 15.67 3.28 23.39 5.4 12.24 3.47 24.19 7.92 35.76 13.21 26.56 12.24 50.94 29.21 71.63 49.88 20.03 20.09 36.72 43.55 48.89 69.19 1.13 2.59 2.44 5.1 3.47 7.74 2.81 6.43 5.39 12.97 7.58 19.63 4.14 12.33 7.34 24.99 9.42 37.83 .57 3.14 1.04 6.3 1.4 9.47 .55 3.83 .94 7.69 1.18 11.56 .83 8.34 .84 16.73 .77 25.1-.07 4.97-.26 9.94-.75 14.89-.24 3.38-.51 6.76-.98 10.12-.39 2.72-.63 5.46-1.11 8.17-.9 5.15-1.7 10.31-2.87 15.41-4.1 18.5-10.3 36.55-18.51 53.63-15.77 32.83-38.83 62.17-67.12 85.12a246.5 246.5 0 0 1 -56.91 34.86c-6.21 2.68-12.46 5.25-18.87 7.41-3.51 1.16-7.01 2.38-10.57 3.39-6.62 1.88-13.29 3.64-20.04 5-4.66 .91-9.34 1.73-14.03 2.48-5.25 .66-10.5 1.44-15.79 1.74-6.69 .66-13.41 .84-20.12 .81-6.82 .03-13.65-.12-20.45-.79-3.29-.23-6.57-.5-9.83-.95-2.72-.39-5.46-.63-8.17-1.11-4.12-.72-8.25-1.37-12.35-2.22-4.25-.94-8.49-1.89-12.69-3.02-8.63-2.17-17.08-5.01-25.41-8.13-10.49-4.12-20.79-8.75-30.64-14.25-2.14-1.15-4.28-2.29-6.35-3.57-11.22-6.58-21.86-14.1-31.92-22.34-34.68-28.41-61.41-66.43-76.35-108.7-3.09-8.74-5.71-17.65-7.8-26.68-1.48-6.16-2.52-12.42-3.58-18.66-.4-2.35-.61-4.73-.95-7.09-.6-3.96-.75-7.96-1.17-11.94-.8-9.47-.71-18.99-.51-28.49 .14-3.51 .34-7.01 .7-10.51 .31-3.17 .46-6.37 .92-9.52 .41-2.81 .65-5.65 1.16-8.44 .7-3.94 1.3-7.9 2.12-11.82 3.43-16.52 8.47-32.73 15.26-48.18 1.15-2.92 2.59-5.72 3.86-8.59 8.05-16.71 17.9-32.56 29.49-47.06 20-25.38 45.1-46.68 73.27-62.47 7.5-4.15 15.16-8.05 23.07-11.37 15.82-6.88 32.41-11.95 49.31-15.38 3.51-.67 7.04-1.24 10.56-1.85 2.62-.47 5.28-.7 7.91-1.08 3.53-.53 7.1-.68 10.65-1.04 2.46-.24 4.91-.36 7.36-.51m8.64 24.41c-9.23 .1-18.43 .99-27.57 2.23-7.3 1.08-14.53 2.6-21.71 4.3-13.91 3.5-27.48 8.34-40.46 14.42-10.46 4.99-20.59 10.7-30.18 17.22-4.18 2.92-8.4 5.8-12.34 9.03-5.08 3.97-9.98 8.17-14.68 12.59-2.51 2.24-4.81 4.7-7.22 7.06-28.22 28.79-48.44 65.39-57.5 104.7-2.04 8.44-3.54 17.02-4.44 25.65-1.1 8.89-1.44 17.85-1.41 26.8 .11 7.14 .38 14.28 1.22 21.37 .62 7.12 1.87 14.16 3.2 21.18 1.07 4.65 2.03 9.32 3.33 13.91 6.29 23.38 16.5 45.7 30.07 65.75 8.64 12.98 18.78 24.93 29.98 35.77 16.28 15.82 35.05 29.04 55.34 39.22 7.28 3.52 14.66 6.87 22.27 9.63 5.04 1.76 10.06 3.57 15.22 4.98 11.26 3.23 22.77 5.6 34.39 7.06 2.91 .29 5.81 .61 8.72 .9 13.82 1.08 27.74 1 41.54-.43 4.45-.6 8.92-.99 13.35-1.78 3.63-.67 7.28-1.25 10.87-2.1 4.13-.98 8.28-1.91 12.36-3.07 26.5-7.34 51.58-19.71 73.58-36.2 15.78-11.82 29.96-25.76 42.12-41.28 3.26-4.02 6.17-8.31 9.13-12.55 3.39-5.06 6.58-10.25 9.6-15.54 2.4-4.44 4.74-8.91 6.95-13.45 5.69-12.05 10.28-24.62 13.75-37.49 2.59-10.01 4.75-20.16 5.9-30.45 1.77-13.47 1.94-27.1 1.29-40.65-.29-3.89-.67-7.77-1-11.66-2.23-19.08-6.79-37.91-13.82-55.8-5.95-15.13-13.53-29.63-22.61-43.13-12.69-18.8-28.24-35.68-45.97-49.83-25.05-20-54.47-34.55-85.65-42.08-7.78-1.93-15.69-3.34-23.63-4.45-3.91-.59-7.85-.82-11.77-1.24-7.39-.57-14.81-.72-22.22-.58zM139.3 83.53c13.3-8.89 28.08-15.38 43.3-20.18-3.17 1.77-6.44 3.38-9.53 5.29-11.21 6.68-21.52 14.9-30.38 24.49-6.8 7.43-12.76 15.73-17.01 24.89-3.29 6.86-5.64 14.19-6.86 21.71-.93 4.85-1.3 9.81-1.17 14.75 .13 13.66 4.44 27.08 11.29 38.82 5.92 10.22 13.63 19.33 22.36 27.26 4.85 4.36 10.24 8.09 14.95 12.6 2.26 2.19 4.49 4.42 6.43 6.91 2.62 3.31 4.89 6.99 5.99 11.1 .9 3.02 .66 6.2 .69 9.31 .02 4.1-.04 8.2 .03 12.3 .14 3.54-.02 7.09 .11 10.63 .08 2.38 .02 4.76 .05 7.14 .16 5.77 .06 11.53 .15 17.3 .11 2.91 .02 5.82 .13 8.74 .03 1.63 .13 3.28-.03 4.91-.91 .12-1.82 .18-2.73 .16-10.99 0-21.88-2.63-31.95-6.93-6-2.7-11.81-5.89-17.09-9.83-5.75-4.19-11.09-8.96-15.79-14.31-6.53-7.24-11.98-15.39-16.62-23.95-1.07-2.03-2.24-4.02-3.18-6.12-1.16-2.64-2.62-5.14-3.67-7.82-4.05-9.68-6.57-19.94-8.08-30.31-.49-4.44-1.09-8.88-1.2-13.35-.7-15.73 .84-31.55 4.67-46.82 2.12-8.15 4.77-16.18 8.31-23.83 6.32-14.2 15.34-27.18 26.3-38.19 6.28-6.2 13.13-11.84 20.53-16.67zm175.4-20.12c2.74 .74 5.41 1.74 8.09 2.68 6.36 2.33 12.68 4.84 18.71 7.96 13.11 6.44 25.31 14.81 35.82 24.97 10.2 9.95 18.74 21.6 25.14 34.34 1.28 2.75 2.64 5.46 3.81 8.26 6.31 15.1 10 31.26 11.23 47.57 .41 4.54 .44 9.09 .45 13.64 .07 11.64-1.49 23.25-4.3 34.53-1.97 7.27-4.35 14.49-7.86 21.18-3.18 6.64-6.68 13.16-10.84 19.24-6.94 10.47-15.6 19.87-25.82 27.22-10.48 7.64-22.64 13.02-35.4 15.38-3.51 .69-7.08 1.08-10.66 1.21-1.85 .06-3.72 .16-5.56-.1-.28-2.15 0-4.31-.01-6.46-.03-3.73 .14-7.45 .1-11.17 .19-7.02 .02-14.05 .21-21.07 .03-2.38-.03-4.76 .03-7.14 .17-5.07-.04-10.14 .14-15.21 .1-2.99-.24-6.04 .51-8.96 .66-2.5 1.78-4.86 3.09-7.08 4.46-7.31 11.06-12.96 17.68-18.26 5.38-4.18 10.47-8.77 15.02-13.84 7.68-8.37 14.17-17.88 18.78-28.27 2.5-5.93 4.52-12.1 5.55-18.46 .86-4.37 1.06-8.83 1.01-13.27-.02-7.85-1.4-15.65-3.64-23.17-1.75-5.73-4.27-11.18-7.09-16.45-3.87-6.93-8.65-13.31-13.96-19.2-9.94-10.85-21.75-19.94-34.6-27.1-1.85-1.02-3.84-1.82-5.63-2.97zm-100.8 58.45c.98-1.18 1.99-2.33 3.12-3.38-.61 .93-1.27 1.81-1.95 2.68-3.1 3.88-5.54 8.31-7.03 13.06-.87 3.27-1.68 6.6-1.73 10-.07 2.52-.08 5.07 .32 7.57 1.13 7.63 4.33 14.85 8.77 21.12 2 2.7 4.25 5.27 6.92 7.33 1.62 1.27 3.53 2.09 5.34 3.05 3.11 1.68 6.32 3.23 9.07 5.48 2.67 2.09 4.55 5.33 4.4 8.79-.01 73.67 0 147.3-.01 221 0 1.35-.08 2.7 .04 4.04 .13 1.48 .82 2.83 1.47 4.15 .86 1.66 1.78 3.34 3.18 4.62 .85 .77 1.97 1.4 3.15 1.24 1.5-.2 2.66-1.35 3.45-2.57 .96-1.51 1.68-3.16 2.28-4.85 .76-2.13 .44-4.42 .54-6.63 .14-4.03-.02-8.06 .14-12.09 .03-5.89 .03-11.77 .06-17.66 .14-3.62 .03-7.24 .11-10.86 .15-4.03-.02-8.06 .14-12.09 .03-5.99 .03-11.98 .07-17.97 .14-3.62 .02-7.24 .11-10.86 .14-3.93-.02-7.86 .14-11.78 .03-5.99 .03-11.98 .06-17.97 .16-3.94-.01-7.88 .19-11.82 .29 1.44 .13 2.92 .22 4.38 .19 3.61 .42 7.23 .76 10.84 .32 3.44 .44 6.89 .86 10.32 .37 3.1 .51 6.22 .95 9.31 .57 4.09 .87 8.21 1.54 12.29 1.46 9.04 2.83 18.11 5.09 26.99 1.13 4.82 2.4 9.61 4 14.3 2.54 7.9 5.72 15.67 10.31 22.62 1.73 2.64 3.87 4.98 6.1 7.21 .27 .25 .55 .51 .88 .71 .6 .25 1.31-.07 1.7-.57 .71-.88 1.17-1.94 1.7-2.93 4.05-7.8 8.18-15.56 12.34-23.31 .7-1.31 1.44-2.62 2.56-3.61 1.75-1.57 3.84-2.69 5.98-3.63 2.88-1.22 5.9-2.19 9.03-2.42 6.58-.62 13.11 .75 19.56 1.85 3.69 .58 7.4 1.17 11.13 1.41 3.74 .1 7.48 .05 11.21-.28 8.55-.92 16.99-2.96 24.94-6.25 5.3-2.24 10.46-4.83 15.31-7.93 11.46-7.21 21.46-16.57 30.04-27.01 1.17-1.42 2.25-2.9 3.46-4.28-1.2 3.24-2.67 6.37-4.16 9.48-1.25 2.9-2.84 5.61-4.27 8.42-5.16 9.63-11.02 18.91-17.75 27.52-4.03 5.21-8.53 10.05-13.33 14.57-6.64 6.05-14.07 11.37-22.43 14.76-8.21 3.37-17.31 4.63-26.09 3.29-3.56-.58-7.01-1.69-10.41-2.88-2.79-.97-5.39-2.38-8.03-3.69-3.43-1.71-6.64-3.81-9.71-6.08 2.71 3.06 5.69 5.86 8.7 8.61 4.27 3.76 8.74 7.31 13.63 10.23 3.98 2.45 8.29 4.4 12.84 5.51 1.46 .37 2.96 .46 4.45 .6-1.25 1.1-2.63 2.04-3.99 2.98-9.61 6.54-20.01 11.86-30.69 16.43-20.86 8.7-43.17 13.97-65.74 15.34-4.66 .24-9.32 .36-13.98 .36-4.98-.11-9.97-.13-14.92-.65-11.2-.76-22.29-2.73-33.17-5.43-10.35-2.71-20.55-6.12-30.3-10.55-8.71-3.86-17.12-8.42-24.99-13.79-1.83-1.31-3.74-2.53-5.37-4.08 6.6-1.19 13.03-3.39 18.99-6.48 5.74-2.86 10.99-6.66 15.63-11.07 2.24-2.19 4.29-4.59 6.19-7.09-3.43 2.13-6.93 4.15-10.62 5.78-4.41 2.16-9.07 3.77-13.81 5.02-5.73 1.52-11.74 1.73-17.61 1.14-8.13-.95-15.86-4.27-22.51-8.98-4.32-2.94-8.22-6.43-11.96-10.06-9.93-10.16-18.2-21.81-25.66-33.86-3.94-6.27-7.53-12.75-11.12-19.22-1.05-2.04-2.15-4.05-3.18-6.1 2.85 2.92 5.57 5.97 8.43 8.88 8.99 8.97 18.56 17.44 29.16 24.48 7.55 4.9 15.67 9.23 24.56 11.03 3.11 .73 6.32 .47 9.47 .81 2.77 .28 5.56 .2 8.34 .3 5.05 .06 10.11 .04 15.16-.16 3.65-.16 7.27-.66 10.89-1.09 2.07-.25 4.11-.71 6.14-1.2 3.88-.95 8.11-.96 11.83 .61 4.76 1.85 8.44 5.64 11.38 9.71 2.16 3.02 4.06 6.22 5.66 9.58 1.16 2.43 2.46 4.79 3.55 7.26 1 2.24 2.15 4.42 3.42 6.52 .67 1.02 1.4 2.15 2.62 2.55 1.06-.75 1.71-1.91 2.28-3.03 2.1-4.16 3.42-8.65 4.89-13.05 2.02-6.59 3.78-13.27 5.19-20.02 2.21-9.25 3.25-18.72 4.54-28.13 .56-3.98 .83-7.99 1.31-11.97 .87-10.64 1.9-21.27 2.24-31.94 .08-1.86 .24-3.71 .25-5.57 .01-4.35 .25-8.69 .22-13.03-.01-2.38-.01-4.76 0-7.13 .05-5.07-.2-10.14-.22-15.21-.2-6.61-.71-13.2-1.29-19.78-.73-5.88-1.55-11.78-3.12-17.51-2.05-7.75-5.59-15.03-9.8-21.82-3.16-5.07-6.79-9.88-11.09-14.03-3.88-3.86-8.58-7.08-13.94-8.45-1.5-.41-3.06-.45-4.59-.64 .07-2.99 .7-5.93 1.26-8.85 1.59-7.71 3.8-15.3 6.76-22.6 1.52-4.03 3.41-7.9 5.39-11.72 3.45-6.56 7.62-12.79 12.46-18.46zm31.27 1.7c.35-.06 .71-.12 1.07-.19 .19 1.79 .09 3.58 .1 5.37v38.13c-.01 1.74 .13 3.49-.15 5.22-.36-.03-.71-.05-1.06-.05-.95-3.75-1.72-7.55-2.62-11.31-.38-1.53-.58-3.09-1.07-4.59-1.7-.24-3.43-.17-5.15-.2-5.06-.01-10.13 0-15.19-.01-1.66-.01-3.32 .09-4.98-.03-.03-.39-.26-.91 .16-1.18 1.28-.65 2.72-.88 4.06-1.35 3.43-1.14 6.88-2.16 10.31-3.31 1.39-.48 2.9-.72 4.16-1.54 .04-.56 .02-1.13-.05-1.68-1.23-.55-2.53-.87-3.81-1.28-3.13-1.03-6.29-1.96-9.41-3.02-1.79-.62-3.67-1-5.41-1.79-.03-.37-.07-.73-.11-1.09 5.09-.19 10.2 .06 15.3-.12 3.36-.13 6.73 .08 10.09-.07 .12-.39 .26-.77 .37-1.16 1.08-4.94 2.33-9.83 3.39-14.75zm5.97-.2c.36 .05 .72 .12 1.08 .2 .98 3.85 1.73 7.76 2.71 11.61 .36 1.42 .56 2.88 1.03 4.27 2.53 .18 5.07-.01 7.61 .05 5.16 .12 10.33 .12 15.49 .07 .76-.01 1.52 .03 2.28 .08-.04 .36-.07 .72-.1 1.08-1.82 .83-3.78 1.25-5.67 1.89-3.73 1.23-7.48 2.39-11.22 3.57-.57 .17-1.12 .42-1.67 .64-.15 .55-.18 1.12-.12 1.69 .87 .48 1.82 .81 2.77 1.09 4.88 1.52 9.73 3.14 14.63 4.6 .38 .13 .78 .27 1.13 .49 .4 .27 .23 .79 .15 1.18-1.66 .13-3.31 .03-4.97 .04-5.17 .01-10.33-.01-15.5 .01-1.61 .03-3.22-.02-4.82 .21-.52 1.67-.72 3.42-1.17 5.11-.94 3.57-1.52 7.24-2.54 10.78-.36 .01-.71 .02-1.06 .06-.29-1.73-.15-3.48-.15-5.22v-38.13c.02-1.78-.08-3.58 .11-5.37zM65.05 168.3c1.12-2.15 2.08-4.4 3.37-6.46-1.82 7.56-2.91 15.27-3.62 23-.8 7.71-.85 15.49-.54 23.23 1.05 19.94 5.54 39.83 14.23 57.88 2.99 5.99 6.35 11.83 10.5 17.11 6.12 7.47 12.53 14.76 19.84 21.09 4.8 4.1 9.99 7.78 15.54 10.8 3.27 1.65 6.51 3.39 9.94 4.68 5.01 2.03 10.19 3.61 15.42 4.94 3.83 .96 7.78 1.41 11.52 2.71 5 1.57 9.47 4.61 13.03 8.43 4.93 5.23 8.09 11.87 10.2 18.67 .99 2.9 1.59 5.91 2.17 8.92 .15 .75 .22 1.52 .16 2.29-6.5 2.78-13.26 5.06-20.26 6.18-4.11 .78-8.29 .99-12.46 1.08-10.25 .24-20.47-1.76-30.12-5.12-3.74-1.42-7.49-2.85-11.03-4.72-8.06-3.84-15.64-8.7-22.46-14.46-2.92-2.55-5.83-5.13-8.4-8.03-9.16-9.83-16.3-21.41-21.79-33.65-2.39-5.55-4.61-11.18-6.37-16.96-1.17-3.94-2.36-7.89-3.26-11.91-.75-2.94-1.22-5.95-1.87-8.92-.46-2.14-.69-4.32-1.03-6.48-.85-5.43-1.28-10.93-1.33-16.43 .11-6.18 .25-12.37 1.07-18.5 .4-2.86 .67-5.74 1.15-8.6 .98-5.7 2.14-11.37 3.71-16.93 3.09-11.65 7.48-22.95 12.69-33.84zm363.7-6.44c1.1 1.66 1.91 3.48 2.78 5.26 2.1 4.45 4.24 8.9 6.02 13.49 7.61 18.76 12.3 38.79 13.04 59.05 .02 1.76 .07 3.52 .11 5.29 .13 9.57-1.27 19.09-3.18 28.45-.73 3.59-1.54 7.17-2.58 10.69-4.04 14.72-10 29-18.41 41.78-8.21 12.57-19.01 23.55-31.84 31.41-5.73 3.59-11.79 6.64-18.05 9.19-5.78 2.19-11.71 4.03-17.8 5.11-6.4 1.05-12.91 1.52-19.4 1.23-7.92-.48-15.78-2.07-23.21-4.85-1.94-.8-3.94-1.46-5.84-2.33-.21-1.51 .25-2.99 .53-4.46 1.16-5.74 3.03-11.36 5.7-16.58 2.37-4.51 5.52-8.65 9.46-11.9 2.43-2.05 5.24-3.61 8.16-4.83 3.58-1.5 7.47-1.97 11.24-2.83 7.23-1.71 14.37-3.93 21.15-7 10.35-4.65 19.71-11.38 27.65-19.46 1.59-1.61 3.23-3.18 4.74-4.87 3.37-3.76 6.71-7.57 9.85-11.53 7.48-10.07 12.82-21.59 16.71-33.48 1.58-5.3 3.21-10.6 4.21-16.05 .63-2.87 1.04-5.78 1.52-8.68 .87-6.09 1.59-12.22 1.68-18.38 .12-6.65 .14-13.32-.53-19.94-.73-7.99-1.87-15.96-3.71-23.78z"],
    "opencart": [640, 512, [], "f23d", "M423.3 440.7c0 25.3-20.3 45.6-45.6 45.6s-45.8-20.3-45.8-45.6 20.6-45.8 45.8-45.8c25.4 0 45.6 20.5 45.6 45.8zm-253.9-45.8c-25.3 0-45.6 20.6-45.6 45.8s20.3 45.6 45.6 45.6 45.8-20.3 45.8-45.6-20.5-45.8-45.8-45.8zm291.7-270C158.9 124.9 81.9 112.1 0 25.7c34.4 51.7 53.3 148.9 373.1 144.2 333.3-5 130 86.1 70.8 188.9 186.7-166.7 319.4-233.9 17.2-233.9z"],
    "openid": [448, 512, [], "f19b", "M271.5 432l-68 32C88.5 453.7 0 392.5 0 318.2c0-71.5 82.5-131 191.7-144.3v43c-71.5 12.5-124 53-124 101.3 0 51 58.5 93.3 135.7 103v-340l68-33.2v384zM448 291l-131.3-28.5 36.8-20.7c-19.5-11.5-43.5-20-70-24.8v-43c46.2 5.5 87.7 19.5 120.3 39.3l35-19.8L448 291z"],
    "opera": [496, 512, [], "f26a", "M313.9 32.7c-170.2 0-252.6 223.8-147.5 355.1 36.5 45.4 88.6 75.6 147.5 75.6 36.3 0 70.3-11.1 99.4-30.4-43.8 39.2-101.9 63-165.3 63-3.9 0-8 0-11.9-.3C104.6 489.6 0 381.1 0 248 0 111 111 0 248 0h.8c63.1 .3 120.7 24.1 164.4 63.1-29-19.4-63.1-30.4-99.3-30.4zm101.8 397.7c-40.9 24.7-90.7 23.6-132-5.8 56.2-20.5 97.7-91.6 97.7-176.6 0-84.7-41.2-155.8-97.4-176.6 41.8-29.2 91.2-30.3 132.9-5 105.9 98.7 105.5 265.7-1.2 364z"],
    "optin-monster": [576, 512, [], "f23c", "M572.6 421.4c5.6-9.5 4.7-15.2-5.4-11.6-3-4.9-7-9.5-11.1-13.8 2.9-9.7-.7-14.2-10.8-9.2-4.6-3.2-10.3-6.5-15.9-9.2 0-15.1-11.6-11.6-17.6-5.7-10.4-1.5-18.7-.3-26.8 5.7 .3-6.5 .3-13 .3-19.7 12.6 0 40.2-11 45.9-36.2 1.4-6.8 1.6-13.8-.3-21.9-3-13.5-14.3-21.3-25.1-25.7-.8-5.9-7.6-14.3-14.9-15.9s-12.4 4.9-14.1 10.3c-8.5 0-19.2 2.8-21.1 8.4-5.4-.5-11.1-1.4-16.8-1.9 2.7-1.9 5.4-3.5 8.4-4.6 5.4-9.2 14.6-11.4 25.7-11.6V256c19.5-.5 43-5.9 53.8-18.1 12.7-13.8 14.6-37.3 12.4-55.1-2.4-17.3-9.7-37.6-24.6-48.1-8.4-5.9-21.6-.8-22.7 9.5-2.2 19.6 1.2 30-38.6 25.1-10.3-23.8-24.6-44.6-42.7-60C341 49.6 242.9 55.5 166.4 71.7c19.7 4.6 41.1 8.6 59.7 16.5-26.2 2.4-52.7 11.3-76.2 23.2-32.8 17-44 29.9-56.7 42.4 14.9-2.2 28.9-5.1 43.8-3.8-9.7 5.4-18.4 12.2-26.5 20-25.8 .9-23.8-5.3-26.2-25.9-1.1-10.5-14.3-15.4-22.7-9.7-28.1 19.9-33.5 79.9-12.2 103.5 10.8 12.2 35.1 17.3 54.9 17.8-.3 1.1-.3 1.9-.3 2.7 10.8 .5 19.5 2.7 24.6 11.6 3 1.1 5.7 2.7 8.1 4.6-5.4 .5-11.1 1.4-16.5 1.9-3.3-6.6-13.7-8.1-21.1-8.1-1.6-5.7-6.5-12.2-14.1-10.3-6.8 1.9-14.1 10-14.9 15.9-22.5 9.5-30.1 26.8-25.1 47.6 5.3 24.8 33 36.2 45.9 36.2v19.7c-6.6-5-14.3-7.5-26.8-5.7-5.5-5.5-17.3-10.1-17.3 5.7-5.9 2.7-11.4 5.9-15.9 9.2-9.8-4.9-13.6-1.7-11.1 9.2-4.1 4.3-7.8 8.6-11.1 13.8-10.2-3.7-11 2.2-5.4 11.6-1.1 3.5-1.6 7-1.9 10.8-.5 31.6 44.6 64 73.5 65.1 17.3 .5 34.6-8.4 43-23.5 113.2 4.9 226.7 4.1 340.2 0 8.1 15.1 25.4 24.3 42.7 23.5 29.2-1.1 74.3-33.5 73.5-65.1 .2-3.7-.7-7.2-1.7-10.7zm-73.8-254c1.1-3 2.4-8.4 2.4-14.6 0-5.9 6.8-8.1 14.1-.8 11.1 11.6 14.9 40.5 13.8 51.1-4.1-13.6-13-29-30.3-35.7zm-4.6 6.7c19.5 6.2 28.6 27.6 29.7 48.9-1.1 2.7-3 5.4-4.9 7.6-5.7 5.9-15.4 10-26.2 12.2 4.3-21.3 .3-47.3-12.7-63 4.9-.8 10.9-2.4 14.1-5.7zm-24.1 6.8c13.8 11.9 20 39.2 14.1 63.5-4.1 .5-8.1 .8-11.6 .8-1.9-21.9-6.8-44-14.3-64.6 3.7 .3 8.1 .3 11.8 .3zM47.5 203c-1.1-10.5 2.4-39.5 13.8-51.1 7-7.3 14.1-5.1 14.1 .8 0 6.2 1.4 11.6 2.4 14.6-17.3 6.8-26.2 22.2-30.3 35.7zm9.7 27.6c-1.9-2.2-3.5-4.9-4.9-7.6 1.4-21.3 10.3-42.7 29.7-48.9 3.2 3.2 9.2 4.9 14.1 5.7-13 15.7-17 41.6-12.7 63-10.8-2.2-20.5-6-26.2-12.2zm47.9 14.6c-4.1 0-8.1-.3-12.7-.8-4.6-18.6-1.9-38.9 5.4-53v.3l12.2-5.1c4.9-1.9 9.7-3.8 14.9-4.9-10.7 19.7-17.4 41.3-19.8 63.5zm184-162.7c41.9 0 76.2 34 76.2 75.9 0 42.2-34.3 76.2-76.2 76.2s-76.2-34-76.2-76.2c0-41.8 34.3-75.9 76.2-75.9zm115.6 174.3c-.3 17.8-7 48.9-23 57-13.2 6.6-6.5-7.5-16.5-58.1 13.3 .3 26.6 .3 39.5 1.1zm-54-1.6c.8 4.9 3.8 40.3-1.6 41.9-11.6 3.5-40 4.3-51.1-1.1-4.1-3-4.6-35.9-4.3-41.1v.3c18.9-.3 38.1-.3 57 0zM278.3 309c-13 3.5-41.6 4.1-54.6-1.6-6.5-2.7-3.8-42.4-1.9-51.6 19.2-.5 38.4-.5 57.8-.8v.3c1.1 8.3 3.3 51.2-1.3 53.7zm-106.5-51.1c12.2-.8 24.6-1.4 36.8-1.6-2.4 15.4-3 43.5-4.9 52.2-1.1 6.8-4.3 6.8-9.7 4.3-21.9-9.8-27.6-35.2-22.2-54.9zm-35.4 31.3c7.8-1.1 15.7-1.9 23.5-2.7 1.6 6.2 3.8 11.9 7 17.6 10 17 44 35.7 45.1 7 6.2 14.9 40.8 12.2 54.9 10.8 15.7-1.4 23.8-1.4 26.8-14.3 12.4 4.3 30.8 4.1 44 3 11.3-.8 20.8-.5 24.6-8.9 1.1 5.1 1.9 11.6 4.6 16.8 10.8 21.3 37.3 1.4 46.8-31.6 8.6 .8 17.6 1.9 26.5 2.7-.4 1.3-3.8 7.3 7.3 11.6-47.6 47-95.7 87.8-163.2 107-63.2-20.8-112.1-59.5-155.9-106.5 9.6-3.4 10.4-8.8 8-12.5zm-21.6 172.5c-3.8 17.8-21.9 29.7-39.7 28.9-19.2-.8-46.5-17-59.2-36.5-2.7-31.1 43.8-61.3 66.2-54.6 14.9 4.3 27.8 30.8 33.5 54 0 3-.3 5.7-.8 8.2zm-8.7-66c-.5-13.5-.5-27-.3-40.5h.3c2.7-1.6 5.7-3.8 7.8-6.5 6.5-1.6 13-5.1 15.1-9.2 3.3-7.1-7-7.5-5.4-12.4 2.7-1.1 5.7-2.2 7.8-3.5 29.2 29.2 58.6 56.5 97.3 77-36.8 11.3-72.4 27.6-105.9 47-1.2-18.6-7.7-35.9-16.7-51.9zm337.6 64.6c-103 3.5-206.2 4.1-309.4 0 0 .3 0 .3-.3 .3v-.3h.3c35.1-21.6 72.2-39.2 112.4-50.8 11.6 5.1 23 9.5 34.9 13.2 2.2 .8 2.2 .8 4.3 0 14.3-4.1 28.4-9.2 42.2-15.4 41.5 11.7 78.8 31.7 115.6 53zm10.5-12.4c-35.9-19.5-73-35.9-111.9-47.6 38.1-20 71.9-47.3 103.5-76.7 2.2 1.4 4.6 2.4 7.6 3.2 0 .8 .3 1.9 .5 2.4-4.6 2.7-7.8 6.2-5.9 10.3 2.2 3.8 8.6 7.6 15.1 8.9 2.4 2.7 5.1 5.1 8.1 6.8 0 13.8-.3 27.6-.8 41.3l.3-.3c-9.3 15.9-15.5 37-16.5 51.7zm105.9 6.2c-12.7 19.5-40 35.7-59.2 36.5-19.3 .9-40.5-13.2-40.5-37 5.7-23.2 18.9-49.7 33.5-54 22.7-6.9 69.2 23.4 66.2 54.5zM372.9 75.2c-3.8-72.1-100.8-79.7-126-23.5 44.6-24.3 90.3-15.7 126 23.5zM74.8 407.1c-15.7 1.6-49.5 25.4-49.5 43.2 0 11.6 15.7 19.5 32.2 14.9 12.2-3.2 31.1-17.6 35.9-27.3 6-11.6-3.7-32.7-18.6-30.8zm215.9-176.2c28.6 0 51.9-21.6 51.9-48.4 0-36.1-40.5-58.1-72.2-44.3 9.5 3 16.5 11.6 16.5 21.6 0 23.3-33.3 32-46.5 11.3-7.3 34.1 19.4 59.8 50.3 59.8zM68 474.1c.5 6.5 12.2 12.7 21.6 9.5 6.8-2.7 14.6-10.5 17.3-16.2 3-7-1.1-20-9.7-18.4-8.9 1.6-29.7 16.7-29.2 25.1zm433.2-67c-14.9-1.9-24.6 19.2-18.9 30.8 4.9 9.7 24.1 24.1 36.2 27.3 16.5 4.6 32.2-3.2 32.2-14.9 0-17.8-33.8-41.6-49.5-43.2zM478.8 449c-8.4-1.6-12.4 11.3-9.5 18.4 2.4 5.7 10.3 13.5 17.3 16.2 9.2 3.2 21.1-3 21.3-9.5 .9-8.4-20.2-23.5-29.1-25.1z"],
    "orcid": [512, 512, [], "f8d2", "M294.8 188.2h-45.92V342h47.47c67.62 0 83.12-51.34 83.12-76.91 0-41.64-26.54-76.9-84.67-76.9zM256 8C119 8 8 119 8 256s111 248 248 248 248-111 248-248S393 8 256 8zm-80.79 360.8h-29.84v-207.5h29.84zm-14.92-231.1a19.57 19.57 0 1 1 19.57-19.57 19.64 19.64 0 0 1 -19.57 19.57zM300 369h-81V161.3h80.6c76.73 0 110.4 54.83 110.4 103.8C410 318.4 368.4 369 300 369z"],
    "osi": [512, 512, [], "f41a", "M8 266.4C10.3 130.6 105.4 34 221.8 18.34c138.8-18.6 255.6 75.8 278 201.1 21.3 118.8-44 230-151.6 274-9.3 3.8-14.4 1.7-18-7.7q-26.7-69.45-53.4-139c-3.1-8.1-1-13.2 7-16.8 24.2-11 39.3-29.4 43.3-55.8a71.47 71.47 0 0 0 -64.5-82.2c-39-3.4-71.8 23.7-77.5 59.7-5.2 33 11.1 63.7 41.9 77.7 9.6 4.4 11.5 8.6 7.8 18.4q-26.85 69.9-53.7 139.9c-2.6 6.9-8.3 9.3-15.5 6.5-52.6-20.3-101.4-61-130.8-119-24.9-49.2-25.2-87.7-26.8-108.7zm20.9-1.9c.4 6.6 .6 14.3 1.3 22.1 6.3 71.9 49.6 143.5 131 183.1 3.2 1.5 4.4 .8 5.6-2.3q22.35-58.65 45-117.3c1.3-3.3 .6-4.8-2.4-6.7-31.6-19.9-47.3-48.5-45.6-86 1-21.6 9.3-40.5 23.8-56.3 30-32.7 77-39.8 115.5-17.6a91.64 91.64 0 0 1 45.2 90.4c-3.6 30.6-19.3 53.9-45.7 69.8-2.7 1.6-3.5 2.9-2.3 6q22.8 58.8 45.2 117.7c1.2 3.1 2.4 3.8 5.6 2.3 35.5-16.6 65.2-40.3 88.1-72 34.8-48.2 49.1-101.9 42.3-161-13.7-117.5-119.4-214.8-255.5-198-106.1 13-195.3 102.5-197.1 225.8z"],
    "padlet": [640, 512, [], "e4a0", "M297.9 0L298 .001C305.6 .1078 312.4 4.72 315.5 11.78L447.5 320.3L447.8 320.2L448 320.6L445.2 330.6L402.3 488.6C398.6 504.8 382.6 514.9 366.5 511.2L298.1 495.6L229.6 511.2C213.5 514.9 197.5 504.8 193.8 488.6L150.9 330.6L148.2 320.6L148.3 320.2L280.4 11.78C283.4 4.797 290.3 .1837 297.9 .0006L297.9 0zM160.1 322.1L291.1 361.2L298 483.7L305.9 362.2L436.5 322.9L436.7 322.8L305.7 347.9L297.1 27.72L291.9 347.9L160.1 322.1zM426 222.6L520.4 181.6H594.2L437.2 429.2L468.8 320.2L426 222.6zM597.5 181.4L638.9 257.6C642.9 265.1 635 273.5 627.3 269.8L579.7 247.1L597.5 181.4zM127.3 318.5L158.7 430L1.61 154.5C-4.292 144.1 7.128 132.5 17.55 138.3L169.4 222.5L127.3 318.5z"],
    "page4": [496, 512, [], "f3d7", "M248 504C111 504 0 393 0 256S111 8 248 8c20.9 0 41.3 2.6 60.7 7.5L42.3 392H248v112zm0-143.6V146.8L98.6 360.4H248zm96 31.6v92.7c45.7-19.2 84.5-51.7 111.4-92.7H344zm57.4-138.2l-21.2 8.4 21.2 8.3v-16.7zm-20.3 54.5c-6.7 0-8 6.3-8 12.9v7.7h16.2v-10c0-5.9-2.3-10.6-8.2-10.6zM496 256c0 37.3-8.2 72.7-23 104.4H344V27.3C433.3 64.8 496 153.1 496 256zM360.4 143.6h68.2V96h-13.9v32.6h-13.9V99h-13.9v29.6h-12.7V96h-13.9v47.6zm68.1 185.3H402v-11c0-15.4-5.6-25.2-20.9-25.2-15.4 0-20.7 10.6-20.7 25.9v25.3h68.2v-15zm0-103l-68.2 29.7V268l68.2 29.5v-16.6l-14.4-5.7v-26.5l14.4-5.9v-16.9zm-4.8-68.5h-35.6V184H402v-12.2h11c8.6 15.8 1.3 35.3-18.6 35.3-22.5 0-28.3-25.3-15.5-37.7l-11.6-10.6c-16.2 17.5-12.2 63.9 27.1 63.9 34 0 44.7-35.9 29.3-65.3z"],
    "pagelines": [384, 512, [], "f18c", "M384 312.7c-55.1 136.7-187.1 54-187.1 54-40.5 81.8-107.4 134.4-184.6 134.7-16.1 0-16.6-24.4 0-24.4 64.4-.3 120.5-42.7 157.2-110.1-41.1 15.9-118.6 27.9-161.6-82.2 109-44.9 159.1 11.2 178.3 45.5 9.9-24.4 17-50.9 21.6-79.7 0 0-139.7 21.9-149.5-98.1 119.1-47.9 152.6 76.7 152.6 76.7 1.6-16.7 3.3-52.6 3.3-53.4 0 0-106.3-73.7-38.1-165.2 124.6 43 61.4 162.4 61.4 162.4 .5 1.6 .5 23.8 0 33.4 0 0 45.2-89 136.4-57.5-4.2 134-141.9 106.4-141.9 106.4-4.4 27.4-11.2 53.4-20 77.5 0 0 83-91.8 172-20z"],
    "palfed": [576, 512, [], "f3d8", "M384.9 193.9c0-47.4-55.2-44.2-95.4-29.8-1.3 39.4-2.5 80.7-3 119.8 .7 2.8 2.6 6.2 15.1 6.2 36.8 0 83.4-42.8 83.3-96.2zm-194.5 72.2c.2 0 6.5-2.7 11.2-2.7 26.6 0 20.7 44.1-14.4 44.1-21.5 0-37.1-18.1-37.1-43 0-42 42.9-95.6 100.7-126.5 1-12.4 3-22 10.5-28.2 11.2-9 26.6-3.5 29.5 11.1 72.2-22.2 135.2 1 135.2 72 0 77.9-79.3 152.6-140.1 138.2-.1 39.4 .9 74.4 2.7 100v.2c.2 3.4 .6 12.5-5.3 19.1-9.6 10.6-33.4 10-36.4-22.3-4.1-44.4 .2-206.1 1.4-242.5-21.5 15-58.5 50.3-58.5 75.9 .2 2.5 .4 4 .6 4.6zM8 181.1s-.1 37.4 38.4 37.4h30l22.4 217.2s0 44.3 44.7 44.3h288.9s44.7-.4 44.7-44.3l22.4-217.2h30s38.4 1.2 38.4-37.4c0 0 .1-37.4-38.4-37.4h-30.1c-7.3-25.6-30.2-74.3-119.4-74.3h-28V50.3s-2.7-18.4-21.1-18.4h-85.8s-21.1 0-21.1 18.4v19.1h-28.1s-105 4.2-120.5 74.3h-29S8 142.5 8 181.1z"],
    "patreon": [512, 512, [], "f3d9", "M512 194.8c0 101.3-82.4 183.8-183.8 183.8-101.7 0-184.4-82.4-184.4-183.8 0-101.6 82.7-184.3 184.4-184.3C429.6 10.5 512 93.2 512 194.8zM0 501.5h90v-491H0v491z"],
    "paypal": [384, 512, [], "f1ed", "M111.4 295.9c-3.5 19.2-17.4 108.7-21.5 134-.3 1.8-1 2.5-3 2.5H12.3c-7.6 0-13.1-6.6-12.1-13.9L58.8 46.6c1.5-9.6 10.1-16.9 20-16.9 152.3 0 165.1-3.7 204 11.4 60.1 23.3 65.6 79.5 44 140.3-21.5 62.6-72.5 89.5-140.1 90.3-43.4 .7-69.5-7-75.3 24.2zM357.1 152c-1.8-1.3-2.5-1.8-3 1.3-2 11.4-5.1 22.5-8.8 33.6-39.9 113.8-150.5 103.9-204.5 103.9-6.1 0-10.1 3.3-10.9 9.4-22.6 140.4-27.1 169.7-27.1 169.7-1 7.1 3.5 12.9 10.6 12.9h63.5c8.6 0 15.7-6.3 17.4-14.9 .7-5.4-1.1 6.1 14.4-91.3 4.6-22 14.3-19.7 29.3-19.7 71 0 126.4-28.8 142.9-112.3 6.5-34.8 4.6-71.4-23.8-92.6z"],
    "perbyte": [448, 512, [], "e083", "M305.3 284.6H246.6V383.3h58.71q24.42 0 38.19-13.77t13.77-36.11q0-21.83-14.03-35.33T305.3 284.6zM149.4 128.7H90.72v98.72h58.71q24.42 0 38.19-13.77t13.77-36.11q0-21.83-14.03-35.34T149.4 128.7zM366.6 32H81.35A81.44 81.44 0 0 0 0 113.4V398.6A81.44 81.44 0 0 0 81.35 480H366.6A81.44 81.44 0 0 0 448 398.6V113.4A81.44 81.44 0 0 0 366.6 32zm63.63 366.6a63.71 63.71 0 0 1 -63.63 63.63H81.35a63.71 63.71 0 0 1 -63.63-63.63V113.4A63.71 63.71 0 0 1 81.35 49.72H366.6a63.71 63.71 0 0 1 63.63 63.63zM305.3 128.7H246.6v98.72h58.71q24.42 0 38.19-13.77t13.77-36.11q0-21.83-14.03-35.34T305.3 128.7z"],
    "periscope": [448, 512, [], "f3da", "M370 63.6C331.4 22.6 280.5 0 226.6 0 111.9 0 18.5 96.2 18.5 214.4c0 75.1 57.8 159.8 82.7 192.7C137.8 455.5 192.6 512 226.6 512c41.6 0 112.9-94.2 120.9-105 24.6-33.1 82-118.3 82-192.6 0-56.5-21.1-110.1-59.5-150.8zM226.6 493.9c-42.5 0-190-167.3-190-279.4 0-107.4 83.9-196.3 190-196.3 100.8 0 184.7 89 184.7 196.3 .1 112.1-147.4 279.4-184.7 279.4zM338 206.8c0 59.1-51.1 109.7-110.8 109.7-100.6 0-150.7-108.2-92.9-181.8v.4c0 24.5 20.1 44.4 44.8 44.4 24.7 0 44.8-19.9 44.8-44.4 0-18.2-11.1-33.8-26.9-40.7 76.6-19.2 141 39.3 141 112.4z"],
    "phabricator": [496, 512, [], "f3db", "M323 262.1l-.1-13s21.7-19.8 21.1-21.2l-9.5-20c-.6-1.4-29.5-.5-29.5-.5l-9.4-9.3s.2-28.5-1.2-29.1l-20.1-9.2c-1.4-.6-20.7 21-20.7 21l-13.1-.2s-20.5-21.4-21.9-20.8l-20 8.3c-1.4 .5 .2 28.9 .2 28.9l-9.1 9.1s-29.2-.9-29.7 .4l-8.1 19.8c-.6 1.4 21 21 21 21l.1 12.9s-21.7 19.8-21.1 21.2l9.5 20c.6 1.4 29.5 .5 29.5 .5l9.4 9.3s-.2 31.8 1.2 32.3l20.1 8.3c1.4 .6 20.7-23.5 20.7-23.5l13.1 .2s20.5 23.8 21.8 23.3l20-7.5c1.4-.6-.2-32.1-.2-32.1l9.1-9.1s29.2 .9 29.7-.5l8.1-19.8c.7-1.1-20.9-20.7-20.9-20.7zm-44.9-8.7c.7 17.1-12.8 31.6-30.1 32.4-17.3 .8-32.1-12.5-32.8-29.6-.7-17.1 12.8-31.6 30.1-32.3 17.3-.8 32.1 12.5 32.8 29.5zm201.2-37.9l-97-97-.1 .1c-75.1-73.3-195.4-72.8-269.8 1.6-50.9 51-27.8 27.9-95.7 95.3-22.3 22.3-22.3 58.7 0 81 69.9 69.4 46.4 46 97.4 97l.1-.1c75.1 73.3 195.4 72.9 269.8-1.6 51-50.9 27.9-27.9 95.3-95.3 22.3-22.3 22.3-58.7 0-81zM140.4 363.8c-59.6-59.5-59.6-156 0-215.5 59.5-59.6 156-59.5 215.6 0 59.5 59.5 59.6 156 0 215.6-59.6 59.5-156 59.4-215.6-.1z"],
    "phoenix-framework": [640, 512, [], "f3dc", "M212.9 344.3c3.8-.1 22.8-1.4 25.6-2.2-2.4-2.6-43.6-1-68-49.6-4.3-8.6-7.5-17.6-6.4-27.6 2.9-25.5 32.9-30 52-18.5 36 21.6 63.3 91.3 113.7 97.5 37 4.5 84.6-17 108.2-45.4-.6-.1-.8-.2-1-.1-.4 .1-.8 .2-1.1 .3-33.3 12.1-94.3 9.7-134.7-14.8-37.6-22.8-53.1-58.7-51.8-74.6 1.8-21.3 22.9-23.2 35.9-19.6 14.4 3.9 24.4 17.6 38.9 27.4 15.6 10.4 32.9 13.7 51.3 10.3 14.9-2.7 34.4-12.3 36.5-14.5-1.1-.1-1.8-.1-2.5-.2-6.2-.6-12.4-.8-18.5-1.7C279.8 194.5 262.1 47.4 138.5 37.9 94.2 34.5 39.1 46 2.2 72.9c-.8 .6-1.5 1.2-2.2 1.8 .1 .2 .1 .3 .2 .5 .8 0 1.6-.1 2.4-.2 6.3-1 12.5-.8 18.7 .3 23.8 4.3 47.7 23.1 55.9 76.5 5.3 34.3-.7 50.8 8 86.1 19 77.1 91 107.6 127.7 106.4zM75.3 64.9c-.9-1-.9-1.2-1.3-2 12.1-2.6 24.2-4.1 36.6-4.8-1.1 14.7-22.2 21.3-35.3 6.8zm196.9 350.5c-42.8 1.2-92-26.7-123.5-61.4-4.6-5-16.8-20.2-18.6-23.4l.4-.4c6.6 4.1 25.7 18.6 54.8 27 24.2 7 48.1 6.3 71.6-3.3 22.7-9.3 41-.5 43.1 2.9-18.5 3.8-20.1 4.4-24 7.9-5.1 4.4-4.6 11.7 7 17.2 26.2 12.4 63-2.8 97.2 25.4 2.4 2 8.1 7.8 10.1 10.7-.1 .2-.3 .3-.4 .5-4.8-1.5-16.4-7.5-40.2-9.3-24.7-2-46.3 5.3-77.5 6.2zm174.8-252c16.4-5.2 41.3-13.4 66.5-3.3 16.1 6.5 26.2 18.7 32.1 34.6 3.5 9.4 5.1 19.7 5.1 28.7-.2 0-.4 0-.6 .1-.2-.4-.4-.9-.5-1.3-5-22-29.9-43.8-67.6-29.9-50.2 18.6-130.4 9.7-176.9-48-.7-.9-2.4-1.7-1.3-3.2 .1-.2 2.1 .6 3 1.3 18.1 13.4 38.3 21.9 60.3 26.2 30.5 6.1 54.6 2.9 79.9-5.2zm102.7 117.5c-32.4 .2-33.8 50.1-103.6 64.4-18.2 3.7-38.7 4.6-44.9 4.2v-.4c2.8-1.5 14.7-2.6 29.7-16.6 7.9-7.3 15.3-15.1 22.8-22.9 19.5-20.2 41.4-42.2 81.9-39 23.1 1.8 29.3 8.2 36.1 12.7 .3 .2 .4 .5 .7 .9-.5 0-.7 .1-.9 0-7-2.7-14.3-3.3-21.8-3.3zm-12.3-24.1c-.1 .2-.1 .4-.2 .6-28.9-4.4-48-7.9-68.5 4-17 9.9-31.4 20.5-62 24.4-27.1 3.4-45.1 2.4-66.1-8-.3-.2-.6-.4-1-.6 0-.2 .1-.3 .1-.5 24.9 3.8 36.4 5.1 55.5-5.8 22.3-12.9 40.1-26.6 71.3-31 29.6-4.1 51.3 2.5 70.9 16.9zM268.6 97.3c-.6-.6-1.1-1.2-2.1-2.3 7.6 0 29.7-1.2 53.4 8.4 19.7 8 32.2 21 50.2 32.9 11.1 7.3 23.4 9.3 36.4 8.1 4.3-.4 8.5-1.2 12.8-1.7 .4-.1 .9 0 1.5 .3-.6 .4-1.2 .9-1.8 1.2-8.1 4-16.7 6.3-25.6 7.1-26.1 2.6-50.3-3.7-73.4-15.4-19.3-9.9-36.4-22.9-51.4-38.6zM640 335.7c-3.5 3.1-22.7 11.6-42.7 5.3-12.3-3.9-19.5-14.9-31.6-24.1-10-7.6-20.9-7.9-28.1-8.4 .6-.8 .9-1.2 1.2-1.4 14.8-9.2 30.5-12.2 47.3-6.5 12.5 4.2 19.2 13.5 30.4 24.2 10.8 10.4 21 9.9 23.1 10.5 .1-.1 .2 0 .4 .4zm-212.5 137c2.2 1.2 1.6 1.5 1.5 2-18.5-1.4-33.9-7.6-46.8-22.2-21.8-24.7-41.7-27.9-48.6-29.7 .5-.2 .8-.4 1.1-.4 13.1 .1 26.1 .7 38.9 3.9 25.3 6.4 35 25.4 41.6 35.3 3.2 4.8 7.3 8.3 12.3 11.1z"],
    "phoenix-squadron": [512, 512, [], "f511", "M96 63.38C142.5 27.25 201.6 7.31 260.5 8.81c29.58-.38 59.11 5.37 86.91 15.33-24.13-4.63-49-6.34-73.38-2.45C231.2 27 191 48.84 162.2 80.87c5.67-1 10.78-3.67 16-5.86 18.14-7.87 37.49-13.26 57.23-14.83 19.74-2.13 39.64-.43 59.28 1.92-14.42 2.79-29.12 4.57-43 9.59-34.43 11.07-65.27 33.16-86.3 62.63-13.8 19.71-23.63 42.86-24.67 67.13-.35 16.49 5.22 34.81 19.83 44a53.27 53.27 0 0 0 37.52 6.74c15.45-2.46 30.07-8.64 43.6-16.33 11.52-6.82 22.67-14.55 32-24.25 3.79-3.22 2.53-8.45 2.62-12.79-2.12-.34-4.38-1.11-6.3 .3a203 203 0 0 1 -35.82 15.37c-20 6.17-42.16 8.46-62.1 .78 12.79 1.73 26.06 .31 37.74-5.44 20.23-9.72 36.81-25.2 54.44-38.77a526.6 526.6 0 0 1 88.9-55.31c25.71-12 52.94-22.78 81.57-24.12-15.63 13.72-32.15 26.52-46.78 41.38-14.51 14-27.46 29.5-40.11 45.18-3.52 4.6-8.95 6.94-13.58 10.16a150.7 150.7 0 0 0 -51.89 60.1c-9.33 19.68-14.5 41.85-11.77 63.65 1.94 13.69 8.71 27.59 20.9 34.91 12.9 8 29.05 8.07 43.48 5.1 32.8-7.45 61.43-28.89 81-55.84 20.44-27.52 30.52-62.2 29.16-96.35-.52-7.5-1.57-15-1.66-22.49 8 19.48 14.82 39.71 16.65 60.83 2 14.28 .75 28.76-1.62 42.9-1.91 11-5.67 21.51-7.78 32.43a165 165 0 0 0 39.34-81.07 183.6 183.6 0 0 0 -14.21-104.6c20.78 32 32.34 69.58 35.71 107.5 .49 12.73 .49 25.51 0 38.23A243.2 243.2 0 0 1 482 371.3c-26.12 47.34-68 85.63-117.2 108-78.29 36.23-174.7 31.32-248-14.68A248.3 248.3 0 0 1 25.36 366 238.3 238.3 0 0 1 0 273.1v-31.34C3.93 172 40.87 105.8 96 63.38m222 80.33a79.13 79.13 0 0 0 16-4.48c5-1.77 9.24-5.94 10.32-11.22-8.96 4.99-17.98 9.92-26.32 15.7z"],
    "php": [640, 512, [], "f457", "M320 104.5c171.4 0 303.2 72.2 303.2 151.5S491.3 407.5 320 407.5c-171.4 0-303.2-72.2-303.2-151.5S148.7 104.5 320 104.5m0-16.8C143.3 87.7 0 163 0 256s143.3 168.3 320 168.3S640 349 640 256 496.7 87.7 320 87.7zM218.2 242.5c-7.9 40.5-35.8 36.3-70.1 36.3l13.7-70.6c38 0 63.8-4.1 56.4 34.3zM97.4 350.3h36.7l8.7-44.8c41.1 0 66.6 3 90.2-19.1 26.1-24 32.9-66.7 14.3-88.1-9.7-11.2-25.3-16.7-46.5-16.7h-70.7L97.4 350.3zm185.7-213.6h36.5l-8.7 44.8c31.5 0 60.7-2.3 74.8 10.7 14.8 13.6 7.7 31-8.3 113.1h-37c15.4-79.4 18.3-86 12.7-92-5.4-5.8-17.7-4.6-47.4-4.6l-18.8 96.6h-36.5l32.7-168.6zM505 242.5c-8 41.1-36.7 36.3-70.1 36.3l13.7-70.6c38.2 0 63.8-4.1 56.4 34.3zM384.2 350.3H421l8.7-44.8c43.2 0 67.1 2.5 90.2-19.1 26.1-24 32.9-66.7 14.3-88.1-9.7-11.2-25.3-16.7-46.5-16.7H417l-32.8 168.7z"],
    "pied-piper": [480, 512, [], "f2ae", "M455.9 23.2C429.2 30 387.8 51.69 341.4 90.66A206 206 0 0 0 240 64C125.1 64 32 157.1 32 272s93.13 208 208 208 208-93.13 208-208a207.3 207.3 0 0 0 -58.75-144.8 155.4 155.4 0 0 0 -17 27.4A176.2 176.2 0 0 1 417.1 272c0 97.66-79.44 177.1-177.1 177.1a175.8 175.8 0 0 1 -87.63-23.4c82.94-107.3 150.8-37.77 184.3-226.6 5.79-32.62 28-94.26 126.2-160.2C471 33.45 465.4 20.8 455.9 23.2zM125 406.4A176.7 176.7 0 0 1 62.9 272C62.9 174.3 142.4 94.9 240 94.9a174 174 0 0 1 76.63 17.75C250.6 174.8 189.8 265.5 125 406.4z"],
    "pied-piper-alt": [576, 512, [], "f1a8", "M244 246c-3.2-2-6.3-2.9-10.1-2.9-6.6 0-12.6 3.2-19.3 3.7l1.7 4.9zm135.9 197.9c-19 0-64.1 9.5-79.9 19.8l6.9 45.1c35.7 6.1 70.1 3.6 106-9.8-4.8-10-23.5-55.1-33-55.1zM340.8 177c6.6 2.8 11.5 9.2 22.7 22.1 2-1.4 7.5-5.2 7.5-8.6 0-4.9-11.8-13.2-13.2-23 11.2-5.7 25.2-6 37.6-8.9 68.1-16.4 116.3-52.9 146.8-116.7C548.3 29.3 554 16.1 554.6 2l-2 2.6c-28.4 50-33 63.2-81.3 100-31.9 24.4-69.2 40.2-106.6 54.6l-6.3-.3v-21.8c-19.6 1.6-19.7-14.6-31.6-23-18.7 20.6-31.6 40.8-58.9 51.1-12.7 4.8-19.6 10-25.9 21.8 34.9-16.4 91.2-13.5 98.8-10zM555.5 0l-.6 1.1-.3 .9 .6-.6zm-59.2 382.1c-33.9-56.9-75.3-118.4-150-115.5l-.3-6c-1.1-13.5 32.8 3.2 35.1-31l-14.4 7.2c-19.8-45.7-8.6-54.3-65.5-54.3-14.7 0-26.7 1.7-41.4 4.6 2.9 18.6 2.2 36.7-10.9 50.3l19.5 5.5c-1.7 3.2-2.9 6.3-2.9 9.8 0 21 42.8 2.9 42.8 33.6 0 18.4-36.8 60.1-54.9 60.1-8 0-53.7-50-53.4-60.1l.3-4.6 52.3-11.5c13-2.6 12.3-22.7-2.9-22.7-3.7 0-43.1 9.2-49.4 10.6-2-5.2-7.5-14.1-13.8-14.1-3.2 0-6.3 3.2-9.5 4-9.2 2.6-31 2.9-21.5 20.1L15.9 298.5c-5.5 1.1-8.9 6.3-8.9 11.8 0 6 5.5 10.9 11.5 10.9 8 0 131.3-28.4 147.4-32.2 2.6 3.2 4.6 6.3 7.8 8.6 20.1 14.4 59.8 85.9 76.4 85.9 24.1 0 58-22.4 71.3-41.9 3.2-4.3 6.9-7.5 12.4-6.9 .6 13.8-31.6 34.2-33 43.7-1.4 10.2-1 35.2-.3 41.1 26.7 8.1 52-3.6 77.9-2.9 4.3-21 10.6-41.9 9.8-63.5l-.3-9.5c-1.4-34.2-10.9-38.5-34.8-58.6-1.1-1.1-2.6-2.6-3.7-4 2.2-1.4 1.1-1 4.6-1.7 88.5 0 56.3 183.6 111.5 229.9 33.1-15 72.5-27.9 103.5-47.2-29-25.6-52.6-45.7-72.7-79.9zm-196.2 46.1v27.2l11.8-3.4-2.9-23.8zm-68.7-150.4l24.1 61.2 21-13.8-31.3-50.9zm84.4 154.9l2 12.4c9-1.5 58.4-6.6 58.4-14.1 0-1.4-.6-3.2-.9-4.6-26.8 0-36.9 3.8-59.5 6.3z"],
    "pied-piper-hat": [640, 512, [], "f4e5", "M640 24.9c-80.8 53.6-89.4 92.5-96.4 104.4-6.7 12.2-11.7 60.3-23.3 83.6-11.7 23.6-54.2 42.2-66.1 50-11.7 7.8-28.3 38.1-41.9 64.2-108.1-4.4-167.4 38.8-259.2 93.6 29.4-9.7 43.3-16.7 43.3-16.7 94.2-36 139.3-68.3 281.1-49.2 1.1 0 1.9 .6 2.8 .8 3.9 2.2 5.3 6.9 3.1 10.8l-53.9 95.8c-2.5 4.7-7.8 7.2-13.1 6.1-126.8-23.8-226.9 17.3-318.9 18.6C24.1 488 0 453.4 0 451.8c0-1.1 .6-1.7 1.7-1.7 0 0 38.3 0 103.1-15.3C178.4 294.5 244 245.4 315.4 245.4c0 0 71.7 0 90.6 61.9 22.8-39.7 28.3-49.2 28.3-49.2 5.3-9.4 35-77.2 86.4-141.4 51.5-64 90.4-79.9 119.3-91.8z"],
    "pied-piper-pp": [448, 512, [], "f1a7", "M205.3 174.6c0 21.1-14.2 38.1-31.7 38.1-7.1 0-12.8-1.2-17.2-3.7v-68c4.4-2.7 10.1-4.2 17.2-4.2 17.5 0 31.7 16.9 31.7 37.8zm52.6 67c-7.1 0-12.8 1.5-17.2 4.2v68c4.4 2.5 10.1 3.7 17.2 3.7 17.4 0 31.7-16.9 31.7-37.8 0-21.1-14.3-38.1-31.7-38.1zM448 80v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V80c0-26.5 21.5-48 48-48h352c26.5 0 48 21.5 48 48zM185 255.1c41 0 74.2-35.6 74.2-79.6 0-44-33.2-79.6-74.2-79.6-12 0-24.1 3.2-34.6 8.8h-45.7V311l51.8-10.1v-50.6c8.6 3.1 18.1 4.8 28.5 4.8zm158.4 25.3c0-44-33.2-79.6-73.9-79.6-3.2 0-6.4 .2-9.6 .7-3.7 12.5-10.1 23.8-19.2 33.4-13.8 15-32.2 23.8-51.8 24.8V416l51.8-10.1v-50.6c8.6 3.2 18.2 4.7 28.7 4.7 40.8 0 74-35.6 74-79.6z"],
    "pinterest": [496, 512, [], "f0d2", "M496 256c0 137-111 248-248 248-25.6 0-50.2-3.9-73.4-11.1 10.1-16.5 25.2-43.5 30.8-65 3-11.6 15.4-59 15.4-59 8.1 15.4 31.7 28.5 56.8 28.5 74.8 0 128.7-68.8 128.7-154.3 0-81.9-66.9-143.2-152.9-143.2-107 0-163.9 71.8-163.9 150.1 0 36.4 19.4 81.7 50.3 96.1 4.7 2.2 7.2 1.2 8.3-3.3 .8-3.4 5-20.3 6.9-28.1 .6-2.5 .3-4.7-1.7-7.1-10.1-12.5-18.3-35.3-18.3-56.6 0-54.7 41.4-107.6 112-107.6 60.9 0 103.6 41.5 103.6 100.9 0 67.1-33.9 113.6-78 113.6-24.3 0-42.6-20.1-36.7-44.8 7-29.5 20.5-61.3 20.5-82.6 0-19-10.2-34.9-31.4-34.9-24.9 0-44.9 25.7-44.9 60.2 0 22 7.4 36.8 7.4 36.8s-24.5 103.8-29 123.2c-5 21.4-3 51.6-.9 71.2C65.4 450.9 0 361.1 0 256 0 119 111 8 248 8s248 111 248 248z"],
    "pinterest-p": [384, 512, [], "f231", "M204 6.5C101.4 6.5 0 74.9 0 185.6 0 256 39.6 296 63.6 296c9.9 0 15.6-27.6 15.6-35.4 0-9.3-23.7-29.1-23.7-67.8 0-80.4 61.2-137.4 140.4-137.4 68.1 0 118.5 38.7 118.5 109.8 0 53.1-21.3 152.7-90.3 152.7-24.9 0-46.2-18-46.2-43.8 0-37.8 26.4-74.4 26.4-113.4 0-66.2-93.9-54.2-93.9 25.8 0 16.8 2.1 35.4 9.6 50.7-13.8 59.4-42 147.9-42 209.1 0 18.9 2.7 37.5 4.5 56.4 3.4 3.8 1.7 3.4 6.9 1.5 50.4-69 48.6-82.5 71.4-172.8 12.3 23.4 44.1 36 69.3 36 106.2 0 153.9-103.5 153.9-196.8C384 71.3 298.2 6.5 204 6.5z"],
    "pix": [512, 512, [], "e43a", "M242.4 292.5C247.8 287.1 257.1 287.1 262.5 292.5L339.5 369.5C353.7 383.7 372.6 391.5 392.6 391.5H407.7L310.6 488.6C280.3 518.1 231.1 518.1 200.8 488.6L103.3 391.2H112.6C132.6 391.2 151.5 383.4 165.7 369.2L242.4 292.5zM262.5 218.9C256.1 224.4 247.9 224.5 242.4 218.9L165.7 142.2C151.5 127.1 132.6 120.2 112.6 120.2H103.3L200.7 22.76C231.1-7.586 280.3-7.586 310.6 22.76L407.8 119.9H392.6C372.6 119.9 353.7 127.7 339.5 141.9L262.5 218.9zM112.6 142.7C126.4 142.7 139.1 148.3 149.7 158.1L226.4 234.8C233.6 241.1 243 245.6 252.5 245.6C261.9 245.6 271.3 241.1 278.5 234.8L355.5 157.8C365.3 148.1 378.8 142.5 392.6 142.5H430.3L488.6 200.8C518.9 231.1 518.9 280.3 488.6 310.6L430.3 368.9H392.6C378.8 368.9 365.3 363.3 355.5 353.5L278.5 276.5C264.6 262.6 240.3 262.6 226.4 276.6L149.7 353.2C139.1 363 126.4 368.6 112.6 368.6H80.78L22.76 310.6C-7.586 280.3-7.586 231.1 22.76 200.8L80.78 142.7H112.6z"],
    "playstation": [576, 512, [], "f3df", "M570.9 372.3c-11.3 14.2-38.8 24.3-38.8 24.3L327 470.2v-54.3l150.9-53.8c17.1-6.1 19.8-14.8 5.8-19.4-13.9-4.6-39.1-3.3-56.2 2.9L327 381.1v-56.4c23.2-7.8 47.1-13.6 75.7-16.8 40.9-4.5 90.9 .6 130.2 15.5 44.2 14 49.2 34.7 38 48.9zm-224.4-92.5v-139c0-16.3-3-31.3-18.3-35.6-11.7-3.8-19 7.1-19 23.4v347.9l-93.8-29.8V32c39.9 7.4 98 24.9 129.2 35.4C424.1 94.7 451 128.7 451 205.2c0 74.5-46 102.8-104.5 74.6zM43.2 410.2c-45.4-12.8-53-39.5-32.3-54.8 19.1-14.2 51.7-24.9 51.7-24.9l134.5-47.8v54.5l-96.8 34.6c-17.1 6.1-19.7 14.8-5.8 19.4 13.9 4.6 39.1 3.3 56.2-2.9l46.4-16.9v48.8c-51.6 9.3-101.4 7.3-153.9-10z"],
    "product-hunt": [512, 512, [], "f288", "M326.3 218.8c0 20.5-16.7 37.2-37.2 37.2h-70.3v-74.4h70.3c20.5 0 37.2 16.7 37.2 37.2zM504 256c0 137-111 248-248 248S8 393 8 256 119 8 256 8s248 111 248 248zm-128.1-37.2c0-47.9-38.9-86.8-86.8-86.8H169.2v248h49.6v-74.4h70.3c47.9 0 86.8-38.9 86.8-86.8z"],
    "pushed": [432, 512, [], "f3e1", "M407 111.9l-98.5-9 14-33.4c10.4-23.5-10.8-40.4-28.7-37L22.5 76.9c-15.1 2.7-26 18.3-21.4 36.6l105.1 348.3c6.5 21.3 36.7 24.2 47.7 7l35.3-80.8 235.2-231.3c16.4-16.8 4.3-42.9-17.4-44.8zM297.6 53.6c5.1-.7 7.5 2.5 5.2 7.4L286 100.9 108.6 84.6l189-31zM22.7 107.9c-3.1-5.1 1-10 6.1-9.1l248.7 22.7-96.9 230.7L22.7 107.9zM136 456.4c-2.6 4-7.9 3.1-9.4-1.2L43.5 179.7l127.7 197.6c-7 15-35.2 79.1-35.2 79.1zm272.8-314.5L210.1 337.3l89.7-213.7 106.4 9.7c4 1.1 5.7 5.3 2.6 8.6z"],
    "python": [448, 512, [], "f3e2", "M439.8 200.5c-7.7-30.9-22.3-54.2-53.4-54.2h-40.1v47.4c0 36.8-31.2 67.8-66.8 67.8H172.7c-29.2 0-53.4 25-53.4 54.3v101.8c0 29 25.2 46 53.4 54.3 33.8 9.9 66.3 11.7 106.8 0 26.9-7.8 53.4-23.5 53.4-54.3v-40.7H226.2v-13.6h160.2c31.1 0 42.6-21.7 53.4-54.2 11.2-33.5 10.7-65.7 0-108.6zM286.2 404c11.1 0 20.1 9.1 20.1 20.3 0 11.3-9 20.4-20.1 20.4-11 0-20.1-9.2-20.1-20.4 .1-11.3 9.1-20.3 20.1-20.3zM167.8 248.1h106.8c29.7 0 53.4-24.5 53.4-54.3V91.9c0-29-24.4-50.7-53.4-55.6-35.8-5.9-74.7-5.6-106.8 .1-45.2 8-53.4 24.7-53.4 55.6v40.7h106.9v13.6h-147c-31.1 0-58.3 18.7-66.8 54.2-9.8 40.7-10.2 66.1 0 108.6 7.6 31.6 25.7 54.2 56.8 54.2H101v-48.8c0-35.3 30.5-66.4 66.8-66.4zm-6.7-142.6c-11.1 0-20.1-9.1-20.1-20.3 .1-11.3 9-20.4 20.1-20.4 11 0 20.1 9.2 20.1 20.4s-9 20.3-20.1 20.3z"],
    "qq": [448, 512, [], "f1d6", "M433.8 420.4c-11.53 1.393-44.86-52.74-44.86-52.74 0 31.34-16.14 72.25-51.05 101.8 16.84 5.192 54.84 19.17 45.8 34.42-7.316 12.34-125.5 7.881-159.6 4.037-34.12 3.844-152.3 8.306-159.6-4.037-9.045-15.25 28.92-29.21 45.78-34.42-34.92-29.54-51.06-70.44-51.06-101.8 0 0-33.33 54.13-44.86 52.74-5.37-.65-12.42-29.64 9.347-99.7 10.26-33.02 21.1-60.48 40.14-105.8C60.68 98.06 108.1 .006 224 0c113.7 .006 163.2 96.13 160.3 214.1 18.12 45.22 29.91 72.85 40.14 105.8 21.77 70.06 14.72 99.05 9.346 99.7z"],
    "quinscape": [512, 512, [], "f459", "M313.6 474.6h-1a158.1 158.1 0 0 1 0-316.2c94.9 0 168.2 83.1 157 176.6 4 5.1 8.2 9.6 11.2 15.3 13.4-30.3 20.3-62.4 20.3-97.7C501.1 117.5 391.6 8 256.5 8S12 117.5 12 252.6s109.5 244.6 244.5 244.6a237.4 237.4 0 0 0 70.4-10.1c-5.2-3.5-8.9-8.1-13.3-12.5zm-.1-.1l.4 .1zm78.4-168.9a99.2 99.2 0 1 0 99.2 99.2 99.18 99.18 0 0 0 -99.2-99.2z"],
    "quora": [448, 512, [], "f2c4", "M440.5 386.7h-29.3c-1.5 13.5-10.5 30.8-33 30.8-20.5 0-35.3-14.2-49.5-35.8 44.2-34.2 74.7-87.5 74.7-153C403.5 111.2 306.8 32 205 32 105.3 32 7.3 111.7 7.3 228.7c0 134.1 131.3 221.6 249 189C276 451.3 302 480 351.5 480c81.8 0 90.8-75.3 89-93.3zM297 329.2C277.5 300 253.3 277 205.5 277c-30.5 0-54.3 10-69 22.8l12.2 24.3c6.2-3 13-4 19.8-4 35.5 0 53.7 30.8 69.2 61.3-10 3-20.7 4.2-32.7 4.2-75 0-107.5-53-107.5-156.7C97.5 124.5 130 71 205 71c76.2 0 108.7 53.5 108.7 157.7 .1 41.8-5.4 75.6-16.7 100.5z"],
    "r-project": [581, 512, [], "f4f7", "M581 226.6C581 119.1 450.9 32 290.5 32S0 119.1 0 226.6C0 322.4 103.3 402 239.4 418.1V480h99.1v-61.5c24.3-2.7 47.6-7.4 69.4-13.9L448 480h112l-67.4-113.7c54.5-35.4 88.4-84.9 88.4-139.7zm-466.8 14.5c0-73.5 98.9-133 220.8-133s211.9 40.7 211.9 133c0 50.1-26.5 85-70.3 106.4-2.4-1.6-4.7-2.9-6.4-3.7-10.2-5.2-27.8-10.5-27.8-10.5s86.6-6.4 86.6-92.7-90.6-87.9-90.6-87.9h-199V361c-74.1-21.5-125.2-67.1-125.2-119.9zm225.1 38.3v-55.6c57.8 0 87.8-6.8 87.8 27.3 0 36.5-38.2 28.3-87.8 28.3zm-.9 72.5H365c10.8 0 18.9 11.7 24 19.2-16.1 1.9-33 2.8-50.6 2.9v-22.1z"],
    "raspberry-pi": [407, 512, [], "f7bb", "M372 232.5l-3.7-6.5c.1-46.4-21.4-65.3-46.5-79.7 7.6-2 15.4-3.6 17.6-13.2 13.1-3.3 15.8-9.4 17.1-15.8 3.4-2.3 14.8-8.7 13.6-19.7 6.4-4.4 10-10.1 8.1-18.1 6.9-7.5 8.7-13.7 5.8-19.4 8.3-10.3 4.6-15.6 1.1-20.9 6.2-11.2 .7-23.2-16.6-21.2-6.9-10.1-21.9-7.8-24.2-7.8-2.6-3.2-6-6-16.5-4.7-6.8-6.1-14.4-5-22.3-2.1-9.3-7.3-15.5-1.4-22.6 .8C271.6 .6 269 5.5 263.5 7.6c-12.3-2.6-16.1 3-22 8.9l-6.9-.1c-18.6 10.8-27.8 32.8-31.1 44.1-3.3-11.3-12.5-33.3-31.1-44.1l-6.9 .1c-5.9-5.9-9.7-11.5-22-8.9-5.6-2-8.1-7-19.4-3.4-4.6-1.4-8.9-4.4-13.9-4.3-2.6 .1-5.5 1-8.7 3.5-7.9-3-15.5-4-22.3 2.1-10.5-1.3-14 1.4-16.5 4.7-2.3 0-17.3-2.3-24.2 7.8C21.2 16 15.8 28 22 39.2c-3.5 5.4-7.2 10.7 1.1 20.9-2.9 5.7-1.1 11.9 5.8 19.4-1.8 8 1.8 13.7 8.1 18.1-1.2 11 10.2 17.4 13.6 19.7 1.3 6.4 4 12.4 17.1 15.8 2.2 9.5 10 11.2 17.6 13.2-25.1 14.4-46.6 33.3-46.5 79.7l-3.7 6.5c-28.8 17.2-54.7 72.7-14.2 117.7 2.6 14.1 7.1 24.2 11 35.4 5.9 45.2 44.5 66.3 54.6 68.8 14.9 11.2 30.8 21.8 52.2 29.2C159 504.2 181 512 203 512h1c22.1 0 44-7.8 64.2-28.4 21.5-7.4 37.3-18 52.2-29.2 10.2-2.5 48.7-23.6 54.6-68.8 3.9-11.2 8.4-21.3 11-35.4 40.6-45.1 14.7-100.5-14-117.7zm-22.2-8c-1.5 18.7-98.9-65.1-82.1-67.9 45.7-7.5 83.6 19.2 82.1 67.9zm-43 93.1c-24.5 15.8-59.8 5.6-78.8-22.8s-14.6-64.2 9.9-80c24.5-15.8 59.8-5.6 78.8 22.8s14.6 64.2-9.9 80zM238.9 29.3c.8 4.2 1.8 6.8 2.9 7.6 5.4-5.8 9.8-11.7 16.8-17.3 0 3.3-1.7 6.8 2.5 9.4 3.7-5 8.8-9.5 15.5-13.3-3.2 5.6-.6 7.3 1.2 9.6 5.1-4.4 10-8.8 19.4-12.3-2.6 3.1-6.2 6.2-2.4 9.8 5.3-3.3 10.6-6.6 23.1-8.9-2.8 3.1-8.7 6.3-5.1 9.4 6.6-2.5 14-4.4 22.1-5.4-3.9 3.2-7.1 6.3-3.9 8.8 7.1-2.2 16.9-5.1 26.4-2.6l-6 6.1c-.7 .8 14.1 .6 23.9 .8-3.6 5-7.2 9.7-9.3 18.2 1 1 5.8 .4 10.4 0-4.7 9.9-12.8 12.3-14.7 16.6 2.9 2.2 6.8 1.6 11.2 .1-3.4 6.9-10.4 11.7-16 17.3 1.4 1 3.9 1.6 9.7 .9-5.2 5.5-11.4 10.5-18.8 15 1.3 1.5 5.8 1.5 10 1.6-6.7 6.5-15.3 9.9-23.4 14.2 4 2.7 6.9 2.1 10 2.1-5.7 4.7-15.4 7.1-24.4 10 1.7 2.7 3.4 3.4 7.1 4.1-9.5 5.3-23.2 2.9-27 5.6 .9 2.7 3.6 4.4 6.7 5.8-15.4 .9-57.3-.6-65.4-32.3 15.7-17.3 44.4-37.5 93.7-62.6-38.4 12.8-73 30-102 53.5-34.3-15.9-10.8-55.9 5.8-71.8zm-34.4 114.6c24.2-.3 54.1 17.8 54 34.7-.1 15-21 27.1-53.8 26.9-32.1-.4-53.7-15.2-53.6-29.8 0-11.9 26.2-32.5 53.4-31.8zm-123-12.8c3.7-.7 5.4-1.5 7.1-4.1-9-2.8-18.7-5.3-24.4-10 3.1 0 6 .7 10-2.1-8.1-4.3-16.7-7.7-23.4-14.2 4.2-.1 8.7 0 10-1.6-7.4-4.5-13.6-9.5-18.8-15 5.8 .7 8.3 .1 9.7-.9-5.6-5.6-12.7-10.4-16-17.3 4.3 1.5 8.3 2 11.2-.1-1.9-4.2-10-6.7-14.7-16.6 4.6 .4 9.4 1 10.4 0-2.1-8.5-5.8-13.3-9.3-18.2 9.8-.1 24.6 0 23.9-.8l-6-6.1c9.5-2.5 19.3 .4 26.4 2.6 3.2-2.5-.1-5.6-3.9-8.8 8.1 1.1 15.4 2.9 22.1 5.4 3.5-3.1-2.3-6.3-5.1-9.4 12.5 2.3 17.8 5.6 23.1 8.9 3.8-3.6 .2-6.7-2.4-9.8 9.4 3.4 14.3 7.9 19.4 12.3 1.7-2.3 4.4-4 1.2-9.6 6.7 3.8 11.8 8.3 15.5 13.3 4.1-2.6 2.5-6.2 2.5-9.4 7 5.6 11.4 11.5 16.8 17.3 1.1-.8 2-3.4 2.9-7.6 16.6 15.9 40.1 55.9 6 71.8-29-23.5-63.6-40.7-102-53.5 49.3 25 78 45.3 93.7 62.6-8 31.8-50 33.2-65.4 32.3 3.1-1.4 5.8-3.2 6.7-5.8-4-2.8-17.6-.4-27.2-5.6zm60.1 24.1c16.8 2.8-80.6 86.5-82.1 67.9-1.5-48.7 36.5-75.5 82.1-67.9zM38.2 342c-23.7-18.8-31.3-73.7 12.6-98.3 26.5-7 9 107.8-12.6 98.3zm91 98.2c-13.3 7.9-45.8 4.7-68.8-27.9-15.5-27.4-13.5-55.2-2.6-63.4 16.3-9.8 41.5 3.4 60.9 25.6 16.9 20 24.6 55.3 10.5 65.7zm-26.4-119.7c-24.5-15.8-28.9-51.6-9.9-80s54.3-38.6 78.8-22.8 28.9 51.6 9.9 80c-19.1 28.4-54.4 38.6-78.8 22.8zM205 496c-29.4 1.2-58.2-23.7-57.8-32.3-.4-12.7 35.8-22.6 59.3-22 23.7-1 55.6 7.5 55.7 18.9 .5 11-28.8 35.9-57.2 35.4zm58.9-124.9c.2 29.7-26.2 53.8-58.8 54-32.6 .2-59.2-23.8-59.4-53.4v-.6c-.2-29.7 26.2-53.8 58.8-54 32.6-.2 59.2 23.8 59.4 53.4v.6zm82.2 42.7c-25.3 34.6-59.6 35.9-72.3 26.3-13.3-12.4-3.2-50.9 15.1-72 20.9-23.3 43.3-38.5 58.9-26.6 10.5 10.3 16.7 49.1-1.7 72.3zm22.9-73.2c-21.5 9.4-39-105.3-12.6-98.3 43.9 24.7 36.3 79.6 12.6 98.3z"],
    "ravelry": [512, 512, [], "f2d9", "M498.3 234.2c-1.208-10.34-1.7-20.83-3.746-31a310.3 310.3 0 0 0 -9.622-36.6 184.1 184.1 0 0 0 -30.87-57.5 251.2 251.2 0 0 0 -18.82-21.69 237.4 237.4 0 0 0 -47.11-36.12A240.8 240.8 0 0 0 331.4 26.65c-11.02-3.1-22.27-5.431-33.51-7.615-6.78-1.314-13.75-1.667-20.63-2.482-.316-.036-.6-.358-.9-.553q-16.14 .009-32.29 .006c-2.41 .389-4.808 .925-7.236 1.15a179.3 179.3 0 0 0 -34.26 7.1 221.5 221.5 0 0 0 -39.77 16.35 281.4 281.4 0 0 0 -38.08 24.16c-6.167 4.61-12.27 9.36-17.97 14.52C96.54 88.49 86.34 97.72 76.79 107.6a243.9 243.9 0 0 0 -33.65 43.95 206.5 206.5 0 0 0 -20.49 44.6 198.2 198.2 0 0 0 -7.691 34.76A201.1 201.1 0 0 0 13.4 266.4a299.7 299.7 0 0 0 4.425 40.24 226.9 226.9 0 0 0 16.73 53.3 210.5 210.5 0 0 0 24 39.53 213.6 213.6 0 0 0 26.36 28.42A251.3 251.3 0 0 0 126.7 458.5a287.8 287.8 0 0 0 55.9 25.28 269.5 269.5 0 0 0 40.64 9.835c6.071 1.01 12.27 1.253 18.41 1.873a4.149 4.149 0 0 1 1.19 .56h32.29c2.507-.389 5-.937 7.527-1.143 16.34-1.332 32.11-5.335 47.49-10.72A219.1 219.1 0 0 0 379.1 460.3c9.749-6.447 19.4-13.08 28.74-20.1 5.785-4.348 10.99-9.5 16.3-14.46 3.964-3.7 7.764-7.578 11.51-11.5a232.2 232.2 0 0 0 31.43-41.64c9.542-16.05 17.35-32.9 22.3-50.93 2.859-10.41 4.947-21.05 7.017-31.65 1.032-5.279 1.251-10.72 1.87-16.09 .036-.317 .358-.6 .552-.9V236A9.757 9.757 0 0 1 498.3 234.2zm-161.1-1.15s-16.57-2.98-28.47-2.98c-27.2 0-33.57 14.9-33.57 37.04V360.8H201.6V170.1H275.1v31.93c8.924-26.82 26.77-36.19 62.04-36.19z"],
    "react": [512, 512, [], "f41b", "M418.2 177.2c-5.4-1.8-10.8-3.5-16.2-5.1 .9-3.7 1.7-7.4 2.5-11.1 12.3-59.6 4.2-107.5-23.1-123.3-26.3-15.1-69.2 .6-112.6 38.4-4.3 3.7-8.5 7.6-12.5 11.5-2.7-2.6-5.5-5.2-8.3-7.7-45.5-40.4-91.1-57.4-118.4-41.5-26.2 15.2-34 60.3-23 116.7 1.1 5.6 2.3 11.1 3.7 16.7-6.4 1.8-12.7 3.8-18.6 5.9C38.3 196.2 0 225.4 0 255.6c0 31.2 40.8 62.5 96.3 81.5 4.5 1.5 9 3 13.6 4.3-1.5 6-2.8 11.9-4 18-10.5 55.5-2.3 99.5 23.9 114.6 27 15.6 72.4-.4 116.6-39.1 3.5-3.1 7-6.3 10.5-9.7 4.4 4.3 9 8.4 13.6 12.4 42.8 36.8 85.1 51.7 111.2 36.6 27-15.6 35.8-62.9 24.4-120.5-.9-4.4-1.9-8.9-3-13.5 3.2-.9 6.3-1.9 9.4-2.9 57.7-19.1 99.5-50 99.5-81.7 0-30.3-39.4-59.7-93.8-78.4zM282.9 92.3c37.2-32.4 71.9-45.1 87.7-36 16.9 9.7 23.4 48.9 12.8 100.4-.7 3.4-1.4 6.7-2.3 10-22.2-5-44.7-8.6-67.3-10.6-13-18.6-27.2-36.4-42.6-53.1 3.9-3.7 7.7-7.2 11.7-10.7zM167.2 307.5c5.1 8.7 10.3 17.4 15.8 25.9-15.6-1.7-31.1-4.2-46.4-7.5 4.4-14.4 9.9-29.3 16.3-44.5 4.6 8.8 9.3 17.5 14.3 26.1zm-30.3-120.3c14.4-3.2 29.7-5.8 45.6-7.8-5.3 8.3-10.5 16.8-15.4 25.4-4.9 8.5-9.7 17.2-14.2 26-6.3-14.9-11.6-29.5-16-43.6zm27.4 68.9c6.6-13.8 13.8-27.3 21.4-40.6s15.8-26.2 24.4-38.9c15-1.1 30.3-1.7 45.9-1.7s31 .6 45.9 1.7c8.5 12.6 16.6 25.5 24.3 38.7s14.9 26.7 21.7 40.4c-6.7 13.8-13.9 27.4-21.6 40.8-7.6 13.3-15.7 26.2-24.2 39-14.9 1.1-30.4 1.6-46.1 1.6s-30.9-.5-45.6-1.4c-8.7-12.7-16.9-25.7-24.6-39s-14.8-26.8-21.5-40.6zm180.6 51.2c5.1-8.8 9.9-17.7 14.6-26.7 6.4 14.5 12 29.2 16.9 44.3-15.5 3.5-31.2 6.2-47 8 5.4-8.4 10.5-17 15.5-25.6zm14.4-76.5c-4.7-8.8-9.5-17.6-14.5-26.2-4.9-8.5-10-16.9-15.3-25.2 16.1 2 31.5 4.7 45.9 8-4.6 14.8-10 29.2-16.1 43.4zM256.2 118.3c10.5 11.4 20.4 23.4 29.6 35.8-19.8-.9-39.7-.9-59.5 0 9.8-12.9 19.9-24.9 29.9-35.8zM140.2 57c16.8-9.8 54.1 4.2 93.4 39 2.5 2.2 5 4.6 7.6 7-15.5 16.7-29.8 34.5-42.9 53.1-22.6 2-45 5.5-67.2 10.4-1.3-5.1-2.4-10.3-3.5-15.5-9.4-48.4-3.2-84.9 12.6-94zm-24.5 263.6c-4.2-1.2-8.3-2.5-12.4-3.9-21.3-6.7-45.5-17.3-63-31.2-10.1-7-16.9-17.8-18.8-29.9 0-18.3 31.6-41.7 77.2-57.6 5.7-2 11.5-3.8 17.3-5.5 6.8 21.7 15 43 24.5 63.6-9.6 20.9-17.9 42.5-24.8 64.5zm116.6 98c-16.5 15.1-35.6 27.1-56.4 35.3-11.1 5.3-23.9 5.8-35.3 1.3-15.9-9.2-22.5-44.5-13.5-92 1.1-5.6 2.3-11.2 3.7-16.7 22.4 4.8 45 8.1 67.9 9.8 13.2 18.7 27.7 36.6 43.2 53.4-3.2 3.1-6.4 6.1-9.6 8.9zm24.5-24.3c-10.2-11-20.4-23.2-30.3-36.3 9.6 .4 19.5 .6 29.5 .6 10.3 0 20.4-.2 30.4-.7-9.2 12.7-19.1 24.8-29.6 36.4zm130.7 30c-.9 12.2-6.9 23.6-16.5 31.3-15.9 9.2-49.8-2.8-86.4-34.2-4.2-3.6-8.4-7.5-12.7-11.5 15.3-16.9 29.4-34.8 42.2-53.6 22.9-1.9 45.7-5.4 68.2-10.5 1 4.1 1.9 8.2 2.7 12.2 4.9 21.6 5.7 44.1 2.5 66.3zm18.2-107.5c-2.8 .9-5.6 1.8-8.5 2.6-7-21.8-15.6-43.1-25.5-63.8 9.6-20.4 17.7-41.4 24.5-62.9 5.2 1.5 10.2 3.1 15 4.7 46.6 16 79.3 39.8 79.3 58 0 19.6-34.9 44.9-84.8 61.4zm-149.7-15c25.3 0 45.8-20.5 45.8-45.8s-20.5-45.8-45.8-45.8c-25.3 0-45.8 20.5-45.8 45.8s20.5 45.8 45.8 45.8z"],
    "reacteurope": [576, 512, [], "f75d", "M250.6 211.7l5.8-4.1 5.8 4.1-2.1-6.8 5.7-4.3-7.1-.1-2.3-6.8-2.3 6.8-7.2 .1 5.7 4.3zm63.7 0l5.8-4.1 5.8 4.1-2.1-6.8 5.7-4.3-7.2-.1-2.3-6.8-2.3 6.8-7.2 .1 5.7 4.3zm-91.3 50.5h-3.4c-4.8 0-3.8 4-3.8 12.1 0 4.7-2.3 6.1-5.8 6.1s-5.8-1.4-5.8-6.1v-36.6c0-4.7 2.3-6.1 5.8-6.1s5.8 1.4 5.8 6.1c0 7.2-.7 10.5 3.8 10.5h3.4c4.7-.1 3.8-3.9 3.8-12.3 0-9.9-6.7-14.1-16.8-14.1h-.2c-10.1 0-16.8 4.2-16.8 14.1V276c0 10.4 6.7 14.1 16.8 14.1h.2c10.1 0 16.8-3.8 16.8-14.1 0-9.86 1.1-13.76-3.8-13.76zm-80.7 17.4h-14.7v-19.3H139c2.5 0 3.8-1.3 3.8-3.8v-2.1c0-2.5-1.3-3.8-3.8-3.8h-11.4v-18.3H142c2.5 0 3.8-1.3 3.8-3.8v-2.1c0-2.5-1.3-3.8-3.8-3.8h-21.7c-2.4-.1-3.7 1.3-3.7 3.8v59.1c0 2.5 1.3 3.8 3.8 3.8h21.9c2.5 0 3.8-1.3 3.8-3.8v-2.1c0-2.5-1.3-3.8-3.8-3.8zm-42-18.5c4.6-2 7.3-6 7.3-12.4v-11.9c0-10.1-6.7-14.1-16.8-14.1H77.4c-2.5 0-3.8 1.3-3.8 3.8v59.1c0 2.5 1.3 3.8 3.8 3.8h3.4c2.5 0 3.8-1.3 3.8-3.8v-22.9h5.6l7.4 23.5a4.1 4.1 0 0 0 4.3 3.2h3.3c2.8 0 4-1.8 3.2-4.4zm-3.8-14c0 4.8-2.5 6.1-6.1 6.1h-5.8v-20.9h5.8c3.6 0 6.1 1.3 6.1 6.1zM176 226a3.82 3.82 0 0 0 -4.2-3.4h-6.9a3.68 3.68 0 0 0 -4 3.4l-11 59.2c-.5 2.7 .9 4.1 3.4 4.1h3a3.74 3.74 0 0 0 4.1-3.5l1.8-11.3h12.2l1.8 11.3a3.74 3.74 0 0 0 4.1 3.5h3.5c2.6 0 3.9-1.4 3.4-4.1zm-12.3 39.3l4.7-29.7 4.7 29.7zm89.3 20.2v-53.2h7.5c2.5 0 3.8-1.3 3.8-3.8v-2.1c0-2.5-1.3-3.8-3.8-3.8h-25.8c-2.5 0-3.8 1.3-3.8 3.8v2.1c0 2.5 1.3 3.8 3.8 3.8h7.3v53.2c0 2.5 1.3 3.8 3.8 3.8h3.4c2.5 .04 3.8-1.3 3.8-3.76zm248-.8h-19.4V258h16.1a1.89 1.89 0 0 0 2-2v-.8a1.89 1.89 0 0 0 -2-2h-16.1v-25.8h19.1a1.89 1.89 0 0 0 2-2v-.8a1.77 1.77 0 0 0 -2-1.9h-22.2a1.62 1.62 0 0 0 -2 1.8v63a1.81 1.81 0 0 0 2 1.9H501a1.81 1.81 0 0 0 2-1.9v-.8a1.84 1.84 0 0 0 -2-1.96zm-93.1-62.9h-.8c-10.1 0-15.3 4.7-15.3 14.1V276c0 9.3 5.2 14.1 15.3 14.1h.8c10.1 0 15.3-4.8 15.3-14.1v-40.1c0-9.36-5.2-14.06-15.3-14.06zm10.2 52.4c-.1 8-3 11.1-10.5 11.1s-10.5-3.1-10.5-11.1v-36.6c0-7.9 3-11.1 10.5-11.1s10.5 3.2 10.5 11.1zm-46.5-14.5c6.1-1.6 9.2-6.1 9.2-13.3v-9.7c0-9.4-5.2-14.1-15.3-14.1h-13.7a1.81 1.81 0 0 0 -2 1.9v63a1.81 1.81 0 0 0 2 1.9h1.2a1.74 1.74 0 0 0 1.9-1.9v-26.9h11.6l10.4 27.2a2.32 2.32 0 0 0 2.3 1.5h1.5c1.4 0 2-1 1.5-2.3zm-6.4-3.9H355v-28.5h10.2c7.5 0 10.5 3.1 10.5 11.1v6.4c0 7.84-3 11.04-10.5 11.04zm85.9-33.1h-13.7a1.62 1.62 0 0 0 -2 1.8v63a1.81 1.81 0 0 0 2 1.9h1.2a1.74 1.74 0 0 0 1.9-1.9v-26.1h10.6c10.1 0 15.3-4.8 15.3-14.1v-10.5c0-9.4-5.2-14.1-15.3-14.1zm10.2 22.8c0 7.9-3 11.1-10.5 11.1h-10.2v-29.2h10.2c7.5-.1 10.5 3.1 10.5 11zM259.5 308l-2.3-6.8-2.3 6.8-7.1 .1 5.7 4.3-2.1 6.8 5.8-4.1 5.8 4.1-2.1-6.8 5.7-4.3zm227.6-136.1a364.4 364.4 0 0 0 -35.6-11.3c19.6-78 11.6-134.7-22.3-153.9C394.7-12.66 343.3 11 291 61.94q5.1 4.95 10.2 10.2c82.5-80 119.6-53.5 120.9-52.8 22.4 12.7 36 55.8 15.5 137.8a587.8 587.8 0 0 0 -84.6-13C281.1 43.64 212.4 2 170.8 2 140 2 127 23 123.2 29.74c-18.1 32-13.3 84.2 .1 133.8-70.5 20.3-120.7 54.1-120.3 95 .5 59.6 103.2 87.8 122.1 92.8-20.5 81.9-10.1 135.6 22.3 153.9 28 15.8 75.1 6 138.2-55.2q-5.1-4.95-10.2-10.2c-82.5 80-119.7 53.5-120.9 52.8-22.3-12.6-36-55.6-15.5-137.9 12.4 2.9 41.8 9.5 84.6 13 71.9 100.4 140.6 142 182.1 142 30.8 0 43.8-21 47.6-27.7 18-31.9 13.3-84.1-.1-133.8 152.3-43.8 156.2-130.2 33.9-176.3zM135.9 36.84c2.9-5.1 11.9-20.3 34.9-20.3 36.8 0 98.8 39.6 163.3 126.2a714 714 0 0 0 -93.9 .9 547.8 547.8 0 0 1 42.2-52.4Q277.3 86 272.2 81a598.3 598.3 0 0 0 -50.7 64.2 569.7 569.7 0 0 0 -84.4 14.6c-.2-1.4-24.3-82.2-1.2-123zm304.8 438.3c-2.9 5.1-11.8 20.3-34.9 20.3-36.7 0-98.7-39.4-163.3-126.2a695.4 695.4 0 0 0 93.9-.9 547.8 547.8 0 0 1 -42.2 52.4q5.1 5.25 10.2 10.2a588.5 588.5 0 0 0 50.7-64.2c47.3-4.7 80.3-13.5 84.4-14.6 22.7 84.4 4.5 117 1.2 123zm9.1-138.6c-3.6-11.9-7.7-24.1-12.4-36.4a12.67 12.67 0 0 1 -10.7-5.7l-.1 .1a19.61 19.61 0 0 1 -5.4 3.6c5.7 14.3 10.6 28.4 14.7 42.2a535.3 535.3 0 0 1 -72 13c3.5-5.3 17.2-26.2 32.2-54.2a24.6 24.6 0 0 1 -6-3.2c-1.1 1.2-3.6 4.2-10.9 4.2-6.2 11.2-17.4 30.9-33.9 55.2a711.9 711.9 0 0 1 -112.4 1c-7.9-11.2-21.5-31.1-36.8-57.8a21 21 0 0 1 -3-1.5c-1.9 1.6-3.9 3.2-12.6 3.2 6.3 11.2 17.5 30.7 33.8 54.6a548.8 548.8 0 0 1 -72.2-11.7q5.85-21 14.1-42.9c-3.2 0-5.4 .2-8.4-1a17.58 17.58 0 0 1 -6.9 1c-4.9 13.4-9.1 26.5-12.7 39.4C-31.7 297-12.1 216 126.7 175.6c3.6 11.9 7.7 24.1 12.4 36.4 10.4 0 12.9 3.4 14.4 5.3a12 12 0 0 1 2.3-2.2c-5.8-14.7-10.9-29.2-15.2-43.3 7-1.8 32.4-8.4 72-13-15.9 24.3-26.7 43.9-32.8 55.3a14.22 14.22 0 0 1 6.4 8 23.42 23.42 0 0 1 10.2-8.4c6.5-11.7 17.9-31.9 34.8-56.9a711.7 711.7 0 0 1 112.4-1c31.5 44.6 28.9 48.1 42.5 64.5a21.42 21.42 0 0 1 10.4-7.4c-6.4-11.4-17.6-31-34.3-55.5 40.4 4.1 65 10 72.2 11.7-4 14.4-8.9 29.2-14.6 44.2a20.74 20.74 0 0 1 6.8 4.3l.1 .1a12.72 12.72 0 0 1 8.9-5.6c4.9-13.4 9.2-26.6 12.8-39.5a359.7 359.7 0 0 1 34.5 11c106.1 39.9 74 87.9 72.6 90.4-19.8 35.1-80.1 55.2-105.7 62.5zm-114.4-114h-1.2a1.74 1.74 0 0 0 -1.9 1.9v49.8c0 7.9-2.6 11.1-10.1 11.1s-10.1-3.1-10.1-11.1v-49.8a1.69 1.69 0 0 0 -1.9-1.9H309a1.81 1.81 0 0 0 -2 1.9v51.5c0 9.6 5 14.1 15.1 14.1h.4c10.1 0 15.1-4.6 15.1-14.1v-51.5a2 2 0 0 0 -2.2-1.9zM321.7 308l-2.3-6.8-2.3 6.8-7.1 .1 5.7 4.3-2.1 6.8 5.8-4.1 5.8 4.1-2.1-6.8 5.7-4.3zm-31.1 7.4l-2.3-6.8-2.3 6.8-7.1 .1 5.7 4.3-2.1 6.8 5.8-4.1 5.8 4.1-2.1-6.8 5.7-4.3zm5.1-30.8h-19.4v-26.7h16.1a1.89 1.89 0 0 0 2-2v-.8a1.89 1.89 0 0 0 -2-2h-16.1v-25.8h19.1a1.89 1.89 0 0 0 2-2v-.8a1.77 1.77 0 0 0 -2-1.9h-22.2a1.81 1.81 0 0 0 -2 1.9v63a1.81 1.81 0 0 0 2 1.9h22.5a1.77 1.77 0 0 0 2-1.9v-.8a1.83 1.83 0 0 0 -2-2.06zm-7.4-99.4L286 192l-7.1 .1 5.7 4.3-2.1 6.8 5.8-4.1 5.8 4.1-2.1-6.8 5.7-4.3-7.1-.1z"],
    "readme": [576, 512, [], "f4d5", "M528.3 46.5H388.5c-48.1 0-89.9 33.3-100.4 80.3-10.6-47-52.3-80.3-100.4-80.3H48c-26.5 0-48 21.5-48 48v245.8c0 26.5 21.5 48 48 48h89.7c102.2 0 132.7 24.4 147.3 75 .7 2.8 5.2 2.8 6 0 14.7-50.6 45.2-75 147.3-75H528c26.5 0 48-21.5 48-48V94.6c0-26.4-21.3-47.9-47.7-48.1zM242 311.9c0 1.9-1.5 3.5-3.5 3.5H78.2c-1.9 0-3.5-1.5-3.5-3.5V289c0-1.9 1.5-3.5 3.5-3.5h160.4c1.9 0 3.5 1.5 3.5 3.5v22.9zm0-60.9c0 1.9-1.5 3.5-3.5 3.5H78.2c-1.9 0-3.5-1.5-3.5-3.5v-22.9c0-1.9 1.5-3.5 3.5-3.5h160.4c1.9 0 3.5 1.5 3.5 3.5V251zm0-60.9c0 1.9-1.5 3.5-3.5 3.5H78.2c-1.9 0-3.5-1.5-3.5-3.5v-22.9c0-1.9 1.5-3.5 3.5-3.5h160.4c1.9 0 3.5 1.5 3.5 3.5v22.9zm259.3 121.7c0 1.9-1.5 3.5-3.5 3.5H337.5c-1.9 0-3.5-1.5-3.5-3.5v-22.9c0-1.9 1.5-3.5 3.5-3.5h160.4c1.9 0 3.5 1.5 3.5 3.5v22.9zm0-60.9c0 1.9-1.5 3.5-3.5 3.5H337.5c-1.9 0-3.5-1.5-3.5-3.5V228c0-1.9 1.5-3.5 3.5-3.5h160.4c1.9 0 3.5 1.5 3.5 3.5v22.9zm0-60.9c0 1.9-1.5 3.5-3.5 3.5H337.5c-1.9 0-3.5-1.5-3.5-3.5v-22.8c0-1.9 1.5-3.5 3.5-3.5h160.4c1.9 0 3.5 1.5 3.5 3.5V190z"],
    "rebel": [512, 512, [], "f1d0", "M256.5 504C117.2 504 9 387.8 13.2 249.9 16 170.7 56.4 97.7 129.7 49.5c.3 0 1.9-.6 1.1 .8-5.8 5.5-111.3 129.8-14.1 226.4 49.8 49.5 90 2.5 90 2.5 38.5-50.1-.6-125.9-.6-125.9-10-24.9-45.7-40.1-45.7-40.1l28.8-31.8c24.4 10.5 43.2 38.7 43.2 38.7 .8-29.6-21.9-61.4-21.9-61.4L255.1 8l44.3 50.1c-20.5 28.8-21.9 62.6-21.9 62.6 13.8-23 43.5-39.3 43.5-39.3l28.5 31.8c-27.4 8.9-45.4 39.9-45.4 39.9-15.8 28.5-27.1 89.4 .6 127.3 32.4 44.6 87.7-2.8 87.7-2.8 102.7-91.9-10.5-225-10.5-225-6.1-5.5 .8-2.8 .8-2.8 50.1 36.5 114.6 84.4 116.2 204.8C500.9 400.2 399 504 256.5 504z"],
    "red-river": [448, 512, [], "f3e3", "M353.2 32H94.8C42.4 32 0 74.4 0 126.8v258.4C0 437.6 42.4 480 94.8 480h258.4c52.4 0 94.8-42.4 94.8-94.8V126.8c0-52.4-42.4-94.8-94.8-94.8zM144.9 200.9v56.3c0 27-21.9 48.9-48.9 48.9V151.9c0-13.2 10.7-23.9 23.9-23.9h154.2c0 27-21.9 48.9-48.9 48.9h-56.3c-12.3-.6-24.6 11.6-24 24zm176.3 72h-56.3c-12.3-.6-24.6 11.6-24 24v56.3c0 27-21.9 48.9-48.9 48.9V247.9c0-13.2 10.7-23.9 23.9-23.9h154.2c0 27-21.9 48.9-48.9 48.9z"],
    "reddit": [512, 512, [], "f1a1", "M201.5 305.5c-13.8 0-24.9-11.1-24.9-24.6 0-13.8 11.1-24.9 24.9-24.9 13.6 0 24.6 11.1 24.6 24.9 0 13.6-11.1 24.6-24.6 24.6zM504 256c0 137-111 248-248 248S8 393 8 256 119 8 256 8s248 111 248 248zm-132.3-41.2c-9.4 0-17.7 3.9-23.8 10-22.4-15.5-52.6-25.5-86.1-26.6l17.4-78.3 55.4 12.5c0 13.6 11.1 24.6 24.6 24.6 13.8 0 24.9-11.3 24.9-24.9s-11.1-24.9-24.9-24.9c-9.7 0-18 5.8-22.1 13.8l-61.2-13.6c-3-.8-6.1 1.4-6.9 4.4l-19.1 86.4c-33.2 1.4-63.1 11.3-85.5 26.8-6.1-6.4-14.7-10.2-24.1-10.2-34.9 0-46.3 46.9-14.4 62.8-1.1 5-1.7 10.2-1.7 15.5 0 52.6 59.2 95.2 132 95.2 73.1 0 132.3-42.6 132.3-95.2 0-5.3-.6-10.8-1.9-15.8 31.3-16 19.8-62.5-14.9-62.5zM302.8 331c-18.2 18.2-76.1 17.9-93.6 0-2.2-2.2-6.1-2.2-8.3 0-2.5 2.5-2.5 6.4 0 8.6 22.8 22.8 87.3 22.8 110.2 0 2.5-2.2 2.5-6.1 0-8.6-2.2-2.2-6.1-2.2-8.3 0zm7.7-75c-13.6 0-24.6 11.1-24.6 24.9 0 13.6 11.1 24.6 24.6 24.6 13.8 0 24.9-11.1 24.9-24.6 0-13.8-11-24.9-24.9-24.9z"],
    "reddit-alien": [512, 512, [], "f281", "M440.3 203.5c-15 0-28.2 6.2-37.9 15.9-35.7-24.7-83.8-40.6-137.1-42.3L293 52.3l88.2 19.8c0 21.6 17.6 39.2 39.2 39.2 22 0 39.7-18.1 39.7-39.7s-17.6-39.7-39.7-39.7c-15.4 0-28.7 9.3-35.3 22l-97.4-21.6c-4.9-1.3-9.7 2.2-11 7.1L246.3 177c-52.9 2.2-100.5 18.1-136.3 42.8-9.7-10.1-23.4-16.3-38.4-16.3-55.6 0-73.8 74.6-22.9 100.1-1.8 7.9-2.6 16.3-2.6 24.7 0 83.8 94.4 151.7 210.3 151.7 116.4 0 210.8-67.9 210.8-151.7 0-8.4-.9-17.2-3.1-25.1 49.9-25.6 31.5-99.7-23.8-99.7zM129.4 308.9c0-22 17.6-39.7 39.7-39.7 21.6 0 39.2 17.6 39.2 39.7 0 21.6-17.6 39.2-39.2 39.2-22 .1-39.7-17.6-39.7-39.2zm214.3 93.5c-36.4 36.4-139.1 36.4-175.5 0-4-3.5-4-9.7 0-13.7 3.5-3.5 9.7-3.5 13.2 0 27.8 28.5 120 29 149 0 3.5-3.5 9.7-3.5 13.2 0 4.1 4 4.1 10.2 .1 13.7zm-.8-54.2c-21.6 0-39.2-17.6-39.2-39.2 0-22 17.6-39.7 39.2-39.7 22 0 39.7 17.6 39.7 39.7-.1 21.5-17.7 39.2-39.7 39.2z"],
    "redhat": [512, 512, [], "f7bc", "M341.5 285.6c33.65 0 82.34-6.94 82.34-47 .22-6.74 .86-1.82-20.88-96.24-4.62-19.15-8.68-27.84-42.31-44.65-26.09-13.34-82.92-35.37-99.73-35.37-15.66 0-20.2 20.17-38.87 20.17-18 0-31.31-15.06-48.12-15.06-16.14 0-26.66 11-34.78 33.62-27.5 77.55-26.28 74.27-26.12 78.27 0 24.8 97.64 106.1 228.5 106.1M429 254.8c4.65 22 4.65 24.35 4.65 27.25 0 37.66-42.33 58.56-98 58.56-125.7 .08-235.9-73.65-235.9-122.3a49.55 49.55 0 0 1 4.06-19.72C58.56 200.9 0 208.9 0 260.6c0 84.67 200.6 189 359.5 189 121.8 0 152.5-55.08 152.5-98.58 0-34.21-29.59-73.05-82.93-96.24"],
    "renren": [512, 512, [], "f18b", "M214 169.1c0 110.4-61 205.4-147.6 247.4C30 373.2 8 317.7 8 256.6 8 133.9 97.1 32.2 214 12.5v156.6zM255 504c-42.9 0-83.3-11-118.5-30.4C193.7 437.5 239.9 382.9 255 319c15.5 63.9 61.7 118.5 118.8 154.7C338.7 493 298.3 504 255 504zm190.6-87.5C359 374.5 298 279.6 298 169.1V12.5c116.9 19.7 206 121.4 206 244.1 0 61.1-22 116.6-58.4 159.9z"],
    "replyd": [448, 512, [], "f3e6", "M320 480H128C57.6 480 0 422.4 0 352V160C0 89.6 57.6 32 128 32h192c70.4 0 128 57.6 128 128v192c0 70.4-57.6 128-128 128zM193.4 273.2c-6.1-2-11.6-3.1-16.4-3.1-7.2 0-13.5 1.9-18.9 5.6-5.4 3.7-9.6 9-12.8 15.8h-1.1l-4.2-18.3h-28v138.9h36.1v-89.7c1.5-5.4 4.4-9.8 8.7-13.2 4.3-3.4 9.8-5.1 16.2-5.1 4.6 0 9.8 1 15.6 3.1l4.8-34zm115.2 103.4c-3.2 2.4-7.7 4.8-13.7 7.1-6 2.3-12.8 3.5-20.4 3.5-12.2 0-21.1-3-26.5-8.9-5.5-5.9-8.5-14.7-9-26.4h83.3c.9-4.8 1.6-9.4 2.1-13.9 .5-4.4 .7-8.6 .7-12.5 0-10.7-1.6-19.7-4.7-26.9-3.2-7.2-7.3-13-12.5-17.2-5.2-4.3-11.1-7.3-17.8-9.2-6.7-1.8-13.5-2.8-20.6-2.8-21.1 0-37.5 6.1-49.2 18.3s-17.5 30.5-17.5 55c0 22.8 5.2 40.7 15.6 53.7 10.4 13.1 26.8 19.6 49.2 19.6 10.7 0 20.9-1.5 30.4-4.6 9.5-3.1 17.1-6.8 22.6-11.2l-12-23.6zm-21.8-70.3c3.8 5.4 5.3 13.1 4.6 23.1h-51.7c.9-9.4 3.7-17 8.2-22.6 4.5-5.6 11.5-8.5 21-8.5 8.2-.1 14.1 2.6 17.9 8zm79.9 2.5c4.1 3.9 9.4 5.8 16.1 5.8 7 0 12.6-1.9 16.7-5.8s6.1-9.1 6.1-15.6-2-11.6-6.1-15.4c-4.1-3.8-9.6-5.7-16.7-5.7-6.7 0-12 1.9-16.1 5.7-4.1 3.8-6.1 8.9-6.1 15.4s2 11.7 6.1 15.6zm0 100.5c4.1 3.9 9.4 5.8 16.1 5.8 7 0 12.6-1.9 16.7-5.8s6.1-9.1 6.1-15.6-2-11.6-6.1-15.4c-4.1-3.8-9.6-5.7-16.7-5.7-6.7 0-12 1.9-16.1 5.7-4.1 3.8-6.1 8.9-6.1 15.4 0 6.6 2 11.7 6.1 15.6z"],
    "researchgate": [448, 512, [], "f4f8", "M0 32v448h448V32H0zm262.2 334.4c-6.6 3-33.2 6-50-14.2-9.2-10.6-25.3-33.3-42.2-63.6-8.9 0-14.7 0-21.4-.6v46.4c0 23.5 6 21.2 25.8 23.9v8.1c-6.9-.3-23.1-.8-35.6-.8-13.1 0-26.1 .6-33.6 .8v-8.1c15.5-2.9 22-1.3 22-23.9V225c0-22.6-6.4-21-22-23.9V193c25.8 1 53.1-.6 70.9-.6 31.7 0 55.9 14.4 55.9 45.6 0 21.1-16.7 42.2-39.2 47.5 13.6 24.2 30 45.6 42.2 58.9 7.2 7.8 17.2 14.7 27.2 14.7v7.3zm22.9-135c-23.3 0-32.2-15.7-32.2-32.2V167c0-12.2 8.8-30.4 34-30.4s30.4 17.9 30.4 17.9l-10.7 7.2s-5.5-12.5-19.7-12.5c-7.9 0-19.7 7.3-19.7 19.7v26.8c0 13.4 6.6 23.3 17.9 23.3 14.1 0 21.5-10.9 21.5-26.8h-17.9v-10.7h30.4c0 20.5 4.7 49.9-34 49.9zm-116.5 44.7c-9.4 0-13.6-.3-20-.8v-69.7c6.4-.6 15-.6 22.5-.6 23.3 0 37.2 12.2 37.2 34.5 0 21.9-15 36.6-39.7 36.6z"],
    "resolving": [496, 512, [], "f3e7", "M281.2 278.2c46-13.3 49.6-23.5 44-43.4L314 195.5c-6.1-20.9-18.4-28.1-71.1-12.8L54.7 236.8l28.6 98.6 197.9-57.2zM248.5 8C131.4 8 33.2 88.7 7.2 197.5l221.9-63.9c34.8-10.2 54.2-11.7 79.3-8.2 36.3 6.1 52.7 25 61.4 55.2l10.7 37.8c8.2 28.1 1 50.6-23.5 73.6-19.4 17.4-31.2 24.5-61.4 33.2L203 351.8l220.4 27.1 9.7 34.2-48.1 13.3-286.8-37.3 23 80.2c36.8 22 80.3 34.7 126.3 34.7 137 0 248.5-111.4 248.5-248.3C497 119.4 385.5 8 248.5 8zM38.3 388.6L0 256.8c0 48.5 14.3 93.4 38.3 131.8z"],
    "rev": [448, 512, [], "f5b2", "M289.7 274.9a65.57 65.57 0 1 1 -65.56-65.56 65.64 65.64 0 0 1 65.56 65.56zm139.6-5.05h-.13a204.7 204.7 0 0 0 -74.32-153l-45.38 26.2a157.1 157.1 0 0 1 71.81 131.8C381.2 361.5 310.7 432 224.1 432S67 361.5 67 274.9c0-81.88 63-149.3 143-156.4v39.12l108.8-62.79L210 32v38.32c-106.7 7.25-191 96-191 204.6 0 111.6 89.12 202.3 200.1 205v.11h210.2V269.8z"],
    "rocketchat": [576, 512, [], "f3e8", "M284 224.8a34.11 34.11 0 1 0 34.32 34.11A34.22 34.22 0 0 0 284 224.8zm-110.4 0a34.11 34.11 0 1 0 34.32 34.11A34.22 34.22 0 0 0 173.6 224.8zm220.9 0a34.11 34.11 0 1 0 34.32 34.11A34.22 34.22 0 0 0 394.5 224.8zm153.8-55.32c-15.53-24.17-37.31-45.57-64.68-63.62-52.89-34.82-122.4-54-195.7-54a405.1 405.1 0 0 0 -72.03 6.357 238.5 238.5 0 0 0 -49.51-36.59C99.68-11.7 40.86 .711 11.14 11.42A14.29 14.29 0 0 0 5.58 34.78C26.54 56.46 61.22 99.3 52.7 138.3c-33.14 33.9-51.11 74.78-51.11 117.3 0 43.37 17.97 84.25 51.11 118.1 8.526 38.96-26.15 81.82-47.12 103.5a14.28 14.28 0 0 0 5.555 23.34c29.72 10.71 88.55 23.15 155.3-10.2a238.7 238.7 0 0 0 49.51-36.59A405.1 405.1 0 0 0 288 460.1c73.31 0 142.8-19.16 195.7-53.97 27.37-18.05 49.15-39.43 64.68-63.62 17.31-26.92 26.07-55.92 26.07-86.13C574.4 225.4 565.6 196.4 548.3 169.5zM284.1 409.9a345.6 345.6 0 0 1 -89.45-11.5l-20.13 19.39a184.4 184.4 0 0 1 -37.14 27.58 145.8 145.8 0 0 1 -52.52 14.87c.983-1.771 1.881-3.563 2.842-5.356q30.26-55.68 16.33-100.1c-32.99-25.96-52.78-59.2-52.78-95.4 0-83.1 104.3-150.5 232.8-150.5s232.9 67.37 232.9 150.5C517.9 342.5 413.6 409.9 284.1 409.9z"],
    "rockrms": [496, 512, [], "f3e9", "M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm157.4 419.5h-90l-112-131.3c-17.9-20.4-3.9-56.1 26.6-56.1h75.3l-84.6-99.3-84.3 98.9h-90L193.5 67.2c14.4-18.4 41.3-17.3 54.5 0l157.7 185.1c19 22.8 2 57.2-27.6 56.1-.6 0-74.2 .2-74.2 .2l101.5 118.9z"],
    "rust": [512, 512, [], "e07a", "M508.5 249.8 486.7 236.2c-.17-2-.34-3.93-.55-5.88l18.72-17.5a7.35 7.35 0 0 0 -2.44-12.25l-24-9c-.54-1.88-1.08-3.78-1.67-5.64l15-20.83a7.35 7.35 0 0 0 -4.79-11.54l-25.42-4.15c-.9-1.73-1.79-3.45-2.73-5.15l10.68-23.42a7.35 7.35 0 0 0 -6.95-10.39l-25.82 .91q-1.79-2.22-3.61-4.4L439 81.84A7.36 7.36 0 0 0 430.2 73L405 78.93q-2.17-1.83-4.4-3.61l.91-25.82a7.35 7.35 0 0 0 -10.39-7L367.7 53.23c-1.7-.94-3.43-1.84-5.15-2.73L358.4 25.08a7.35 7.35 0 0 0 -11.54-4.79L326 35.26c-1.86-.59-3.75-1.13-5.64-1.67l-9-24a7.35 7.35 0 0 0 -12.25-2.44l-17.5 18.72c-1.95-.21-3.91-.38-5.88-.55L262.3 3.48a7.35 7.35 0 0 0 -12.5 0L236.2 25.3c-2 .17-3.93 .34-5.88 .55L212.9 7.13a7.35 7.35 0 0 0 -12.25 2.44l-9 24c-1.89 .55-3.79 1.08-5.66 1.68l-20.82-15a7.35 7.35 0 0 0 -11.54 4.79l-4.15 25.41c-1.73 .9-3.45 1.79-5.16 2.73L120.9 42.55a7.35 7.35 0 0 0 -10.39 7l.92 25.81c-1.49 1.19-3 2.39-4.42 3.61L81.84 73A7.36 7.36 0 0 0 73 81.84L78.93 107c-1.23 1.45-2.43 2.93-3.62 4.41l-25.81-.91a7.42 7.42 0 0 0 -6.37 3.26 7.35 7.35 0 0 0 -.57 7.13l10.66 23.41c-.94 1.7-1.83 3.43-2.73 5.16L25.08 153.6a7.35 7.35 0 0 0 -4.79 11.54l15 20.82c-.59 1.87-1.13 3.77-1.68 5.66l-24 9a7.35 7.35 0 0 0 -2.44 12.25l18.72 17.5c-.21 1.95-.38 3.91-.55 5.88L3.48 249.8a7.35 7.35 0 0 0 0 12.5L25.3 275.8c.17 2 .34 3.92 .55 5.87L7.13 299.1a7.35 7.35 0 0 0 2.44 12.25l24 9c.55 1.89 1.08 3.78 1.68 5.65l-15 20.83a7.35 7.35 0 0 0 4.79 11.54l25.42 4.15c.9 1.72 1.79 3.45 2.73 5.14L42.56 391.1a7.35 7.35 0 0 0 .57 7.13 7.13 7.13 0 0 0 6.37 3.26l25.83-.91q1.77 2.22 3.6 4.4L73 430.2A7.36 7.36 0 0 0 81.84 439L107 433.1q2.18 1.83 4.41 3.61l-.92 25.82a7.35 7.35 0 0 0 10.39 6.95l23.43-10.68c1.69 .94 3.42 1.83 5.14 2.73l4.15 25.42a7.34 7.34 0 0 0 11.54 4.78l20.83-15c1.86 .6 3.76 1.13 5.65 1.68l9 24a7.36 7.36 0 0 0 12.25 2.44l17.5-18.72c1.95 .21 3.92 .38 5.88 .55l13.51 21.82a7.35 7.35 0 0 0 12.5 0l13.51-21.82c2-.17 3.93-.34 5.88-.56l17.5 18.73a7.36 7.36 0 0 0 12.25-2.44l9-24c1.89-.55 3.78-1.08 5.65-1.68l20.82 15a7.34 7.34 0 0 0 11.54-4.78l4.15-25.42c1.72-.9 3.45-1.79 5.15-2.73l23.42 10.68a7.35 7.35 0 0 0 10.39-6.95l-.91-25.82q2.22-1.79 4.4-3.61L430.2 439a7.36 7.36 0 0 0 8.84-8.84L433.1 405q1.83-2.17 3.61-4.4l25.82 .91a7.23 7.23 0 0 0 6.37-3.26 7.35 7.35 0 0 0 .58-7.13L458.8 367.7c.94-1.7 1.83-3.43 2.73-5.15l25.42-4.15a7.35 7.35 0 0 0 4.79-11.54l-15-20.83c.59-1.87 1.13-3.76 1.67-5.65l24-9a7.35 7.35 0 0 0 2.44-12.25l-18.72-17.5c.21-1.95 .38-3.91 .55-5.87l21.82-13.51a7.35 7.35 0 0 0 0-12.5zm-151 129.1A13.91 13.91 0 0 0 341 389.5l-7.64 35.67A187.5 187.5 0 0 1 177 424.4l-7.64-35.66a13.87 13.87 0 0 0 -16.46-10.68l-31.51 6.76a187.4 187.4 0 0 1 -16.26-19.21H258.3c1.72 0 2.89-.29 2.89-1.91V309.5c0-1.57-1.17-1.91-2.89-1.91H213.5l.05-34.35H262c4.41 0 23.66 1.28 29.79 25.87 1.91 7.55 6.17 32.14 9.06 40 2.89 8.82 14.6 26.46 27.1 26.46H407a187.3 187.3 0 0 1 -17.34 20.09zm25.77 34.49A15.24 15.24 0 1 1 368 398.1h.44A15.23 15.23 0 0 1 383.2 413.3zm-225.6-.68a15.24 15.24 0 1 1 -15.25-15.25h.45A15.25 15.25 0 0 1 157.6 412.6zM69.57 234.1l32.83-14.6a13.88 13.88 0 0 0 7.06-18.33L102.7 186h26.56V305.7H75.65A187.6 187.6 0 0 1 69.57 234.1zM58.31 198.1a15.24 15.24 0 0 1 15.23-15.25H74a15.24 15.24 0 1 1 -15.67 15.24zm155.2 24.49 .05-35.32h63.26c3.28 0 23.07 3.77 23.07 18.62 0 12.29-15.19 16.7-27.68 16.7zM399 306.7c-9.8 1.13-20.63-4.12-22-10.09-5.78-32.49-15.39-39.4-30.57-51.4 18.86-11.95 38.46-29.64 38.46-53.26 0-25.52-17.49-41.59-29.4-49.48-16.76-11-35.28-13.23-40.27-13.23H116.3A187.5 187.5 0 0 1 221.2 70.06l23.47 24.6a13.82 13.82 0 0 0 19.6 .44l26.26-25a187.5 187.5 0 0 1 128.4 91.43l-18 40.57A14 14 0 0 0 408 220.4l34.59 15.33a187.1 187.1 0 0 1 .4 32.54H423.7c-1.91 0-2.69 1.27-2.69 3.13v8.82C421 301 409.3 305.6 399 306.7zM240 60.21A15.24 15.24 0 0 1 255.2 45h.45A15.24 15.24 0 1 1 240 60.21zM436.8 214a15.24 15.24 0 1 1 0-30.48h.44a15.24 15.24 0 0 1 -.44 30.48z"],
    "safari": [512, 512, [], "f267", "M274.7 274.7l-37.38-37.38L166 346zM256 8C119 8 8 119 8 256S119 504 256 504 504 393 504 256 393 8 256 8zM411.9 182.8l14.78-6.13A8 8 0 0 1 437.1 181h0a8 8 0 0 1 -4.33 10.46L418 197.6a8 8 0 0 1 -10.45-4.33h0A8 8 0 0 1 411.9 182.8zM314.4 94l6.12-14.78A8 8 0 0 1 331 74.92h0a8 8 0 0 1 4.33 10.45l-6.13 14.78a8 8 0 0 1 -10.45 4.33h0A8 8 0 0 1 314.4 94zM256 60h0a8 8 0 0 1 8 8V84a8 8 0 0 1 -8 8h0a8 8 0 0 1 -8-8V68A8 8 0 0 1 256 60zM181 74.92a8 8 0 0 1 10.46 4.33L197.6 94a8 8 0 1 1 -14.78 6.12l-6.13-14.78A8 8 0 0 1 181 74.92zm-63.58 42.49h0a8 8 0 0 1 11.31 0L140 128.7A8 8 0 0 1 140 140h0a8 8 0 0 1 -11.31 0l-11.31-11.31A8 8 0 0 1 117.4 117.4zM60 256h0a8 8 0 0 1 8-8H84a8 8 0 0 1 8 8h0a8 8 0 0 1 -8 8H68A8 8 0 0 1 60 256zm40.15 73.21-14.78 6.13A8 8 0 0 1 74.92 331h0a8 8 0 0 1 4.33-10.46L94 314.4a8 8 0 0 1 10.45 4.33h0A8 8 0 0 1 100.2 329.2zm4.33-136h0A8 8 0 0 1 94 197.6l-14.78-6.12A8 8 0 0 1 74.92 181h0a8 8 0 0 1 10.45-4.33l14.78 6.13A8 8 0 0 1 104.5 193.2zM197.6 418l-6.12 14.78a8 8 0 0 1 -14.79-6.12l6.13-14.78A8 8 0 1 1 197.6 418zM264 444a8 8 0 0 1 -8 8h0a8 8 0 0 1 -8-8V428a8 8 0 0 1 8-8h0a8 8 0 0 1 8 8zm67-6.92h0a8 8 0 0 1 -10.46-4.33L314.4 418a8 8 0 0 1 4.33-10.45h0a8 8 0 0 1 10.45 4.33l6.13 14.78A8 8 0 0 1 331 437.1zm63.58-42.49h0a8 8 0 0 1 -11.31 0L372 383.3A8 8 0 0 1 372 372h0a8 8 0 0 1 11.31 0l11.31 11.31A8 8 0 0 1 394.6 394.6zM286.3 286.3 110.3 401.7 225.8 225.8 401.7 110.3zM437.1 331h0a8 8 0 0 1 -10.45 4.33l-14.78-6.13a8 8 0 0 1 -4.33-10.45h0A8 8 0 0 1 418 314.4l14.78 6.12A8 8 0 0 1 437.1 331zM444 264H428a8 8 0 0 1 -8-8h0a8 8 0 0 1 8-8h16a8 8 0 0 1 8 8h0A8 8 0 0 1 444 264z"],
    "salesforce": [640, 512, [], "f83b", "M248.9 245.6h-26.35c.69-5.16 3.32-14.12 13.64-14.12 6.75 0 11.97 3.82 12.71 14.12zm136.7-13.88c-.47 0-14.11-1.77-14.11 20s13.63 20 14.11 20c13 0 14.11-13.54 14.11-20 0-21.76-13.66-20-14.11-20zm-243.2 23.76a8.63 8.63 0 0 0 -3.29 7.29c0 4.78 2.08 6.05 3.29 7.05 4.7 3.7 15.07 2.12 20.93 .95v-16.94c-5.32-1.07-16.73-1.96-20.93 1.65zM640 232c0 87.58-80 154.4-165.4 136.4-18.37 33-70.73 70.75-132.2 41.63-41.16 96.05-177.9 92.18-213.8-5.17C8.91 428.8-50.19 266.5 53.36 205.6 18.61 126.2 76 32 167.7 32a124.2 124.2 0 0 1 98.56 48.7c20.7-21.4 49.4-34.81 81.15-34.81 42.34 0 79 23.52 98.8 58.57C539 63.78 640 132.7 640 232zm-519.5 31.8c0-11.76-11.69-15.17-17.87-17.17-5.27-2.11-13.41-3.51-13.41-8.94 0-9.46 17-6.66 25.17-2.12 0 0 1.17 .71 1.64-.47 .24-.7 2.36-6.58 2.59-7.29a1.13 1.13 0 0 0 -.7-1.41c-12.33-7.63-40.7-8.51-40.7 12.7 0 12.46 11.49 15.44 17.88 17.17 4.72 1.58 13.17 3 13.17 8.7 0 4-3.53 7.06-9.17 7.06a31.76 31.76 0 0 1 -19-6.35c-.47-.23-1.42-.71-1.65 .71l-2.4 7.47c-.47 .94 .23 1.18 .23 1.41 1.75 1.4 10.3 6.59 22.82 6.59 13.17 0 21.4-7.06 21.4-18.11zm32-42.58c-10.13 0-18.66 3.17-21.4 5.18a1 1 0 0 0 -.24 1.41l2.59 7.06a1 1 0 0 0 1.18 .7c.65 0 6.8-4 16.93-4 4 0 7.06 .71 9.18 2.36 3.6 2.8 3.06 8.29 3.06 10.58-4.79-.3-19.11-3.44-29.41 3.76a16.92 16.92 0 0 0 -7.34 14.54c0 5.9 1.51 10.4 6.59 14.35 12.24 8.16 36.28 2 38.1 1.41 1.58-.32 3.53-.66 3.53-1.88v-33.88c.04-4.61 .32-21.64-22.78-21.64zM199 200.2a1.11 1.11 0 0 0 -1.18-1.18H188a1.11 1.11 0 0 0 -1.17 1.18v79a1.11 1.11 0 0 0 1.17 1.18h9.88a1.11 1.11 0 0 0 1.18-1.18zm55.75 28.93c-2.1-2.31-6.79-7.53-17.65-7.53-3.51 0-14.16 .23-20.7 8.94-6.35 7.63-6.58 18.11-6.58 21.41 0 3.12 .15 14.26 7.06 21.17 2.64 2.91 9.06 8.23 22.81 8.23 10.82 0 16.47-2.35 18.58-3.76 .47-.24 .71-.71 .24-1.88l-2.35-6.83a1.26 1.26 0 0 0 -1.41-.7c-2.59 .94-6.35 2.82-15.29 2.82-17.42 0-16.85-14.74-16.94-16.7h37.17a1.23 1.23 0 0 0 1.17-.94c-.29 0 2.07-14.7-6.09-24.23zm36.69 52.69c13.17 0 21.41-7.06 21.41-18.11 0-11.76-11.7-15.17-17.88-17.17-4.14-1.66-13.41-3.38-13.41-8.94 0-3.76 3.29-6.35 8.47-6.35a38.11 38.11 0 0 1 16.7 4.23s1.18 .71 1.65-.47c.23-.7 2.35-6.58 2.58-7.29a1.13 1.13 0 0 0 -.7-1.41c-7.91-4.9-16.74-4.94-20.23-4.94-12 0-20.46 7.29-20.46 17.64 0 12.46 11.48 15.44 17.87 17.17 6.11 2 13.17 3.26 13.17 8.7 0 4-3.52 7.06-9.17 7.06a31.8 31.8 0 0 1 -19-6.35 1 1 0 0 0 -1.65 .71l-2.35 7.52c-.47 .94 .23 1.18 .23 1.41 1.72 1.4 10.33 6.59 22.79 6.59zM357.1 224c0-.71-.24-1.18-1.18-1.18h-11.76c0-.14 .94-8.94 4.47-12.47 4.16-4.15 11.76-1.64 12-1.64 1.17 .47 1.41 0 1.64-.47l2.83-7.77c.7-.94 0-1.17-.24-1.41-5.09-2-17.35-2.87-24.46 4.24-5.48 5.48-7 13.92-8 19.52h-8.47a1.28 1.28 0 0 0 -1.17 1.18l-1.42 7.76c0 .7 .24 1.17 1.18 1.17h8.23c-8.51 47.9-8.75 50.21-10.35 55.52-1.08 3.62-3.29 6.9-5.88 7.76-.09 0-3.88 1.68-9.64-.24 0 0-.94-.47-1.41 .71-.24 .71-2.59 6.82-2.83 7.53s0 1.41 .47 1.41c5.11 2 13 1.77 17.88 0 6.28-2.28 9.72-7.89 11.53-12.94 2.75-7.71 2.81-9.79 11.76-59.74h12.23a1.29 1.29 0 0 0 1.18-1.18zm53.39 16c-.56-1.68-5.1-18.11-25.17-18.11-15.25 0-23 10-25.16 18.11-1 3-3.18 14 0 23.52 .09 .3 4.41 18.12 25.16 18.12 14.95 0 22.9-9.61 25.17-18.12 3.21-9.61 1.01-20.52 0-23.52zm45.4-16.7c-5-1.65-16.62-1.9-22.11 5.41v-4.47a1.11 1.11 0 0 0 -1.18-1.17h-9.4a1.11 1.11 0 0 0 -1.18 1.17v55.28a1.12 1.12 0 0 0 1.18 1.18h9.64a1.12 1.12 0 0 0 1.18-1.18v-27.77c0-2.91 .05-11.37 4.46-15.05 4.9-4.9 12-3.36 13.41-3.06a1.57 1.57 0 0 0 1.41-.94 74 74 0 0 0 3.06-8 1.16 1.16 0 0 0 -.47-1.41zm46.81 54.1l-2.12-7.29c-.47-1.18-1.41-.71-1.41-.71-4.23 1.82-10.15 1.89-11.29 1.89-4.64 0-17.17-1.13-17.17-19.76 0-6.23 1.85-19.76 16.47-19.76a34.85 34.85 0 0 1 11.52 1.65s.94 .47 1.18-.71c.94-2.59 1.64-4.47 2.59-7.53 .23-.94-.47-1.17-.71-1.17-11.59-3.87-22.34-2.53-27.76 0-1.59 .74-16.23 6.49-16.23 27.52 0 2.9-.58 30.11 28.94 30.11a44.45 44.45 0 0 0 15.52-2.83 1.3 1.3 0 0 0 .47-1.42zm53.87-39.52c-.8-3-5.37-16.23-22.35-16.23-16 0-23.52 10.11-25.64 18.59a38.58 38.58 0 0 0 -1.65 11.76c0 25.87 18.84 29.4 29.88 29.4 10.82 0 16.46-2.35 18.58-3.76 .47-.24 .71-.71 .24-1.88l-2.36-6.83a1.26 1.26 0 0 0 -1.41-.7c-2.59 .94-6.35 2.82-15.29 2.82-17.42 0-16.85-14.74-16.93-16.7h37.16a1.25 1.25 0 0 0 1.18-.94c-.24-.01 .94-7.07-1.41-15.54zm-23.29-6.35c-10.33 0-13 9-13.64 14.12H546c-.88-11.92-7.62-14.13-12.73-14.13z"],
    "sass": [640, 512, [], "f41e", "M301.8 378.9c-.3 .6-.6 1.08 0 0zm249.1-87a131.2 131.2 0 0 0 -58 13.5c-5.9-11.9-12-22.3-13-30.1-1.2-9.1-2.5-14.5-1.1-25.3s7.7-26.1 7.6-27.2-1.4-6.6-14.3-6.7-24 2.5-25.29 5.9a122.8 122.8 0 0 0 -5.3 19.1c-2.3 11.7-25.79 53.5-39.09 75.3-4.4-8.5-8.1-16-8.9-22-1.2-9.1-2.5-14.5-1.1-25.3s7.7-26.1 7.6-27.2-1.4-6.6-14.29-6.7-24 2.5-25.3 5.9-2.7 11.4-5.3 19.1-33.89 77.3-42.08 95.4c-4.2 9.2-7.8 16.6-10.4 21.6-.4 .8-.7 1.3-.9 1.7 .3-.5 .5-1 .5-.8-2.2 4.3-3.5 6.7-3.5 6.7v.1c-1.7 3.2-3.6 6.1-4.5 6.1-.6 0-1.9-8.4 .3-19.9 4.7-24.2 15.8-61.8 15.7-63.1-.1-.7 2.1-7.2-7.3-10.7-9.1-3.3-12.4 2.2-13.2 2.2s-1.4 2-1.4 2 10.1-42.4-19.39-42.4c-18.4 0-44 20.2-56.58 38.5-7.9 4.3-25 13.6-43 23.5-6.9 3.8-14 7.7-20.7 11.4-.5-.5-.9-1-1.4-1.5-35.79-38.2-101.9-65.2-99.07-116.5 1-18.7 7.5-67.8 127.1-127.4 98-48.8 176.4-35.4 189.8-5.6 19.4 42.5-41.89 121.6-143.7 133-38.79 4.3-59.18-10.7-64.28-16.3-5.3-5.9-6.1-6.2-8.1-5.1-3.3 1.8-1.2 7 0 10.1 3 7.9 15.5 21.9 36.79 28.9 18.7 6.1 64.18 9.5 119.2-11.8 61.78-23.8 109.9-90.1 95.77-145.6C386.5 18.32 293-.18 204.6 31.22c-52.69 18.7-109.7 48.1-150.7 86.4-48.69 45.6-56.48 85.3-53.28 101.9 11.39 58.9 92.57 97.3 125.1 125.7-1.6 .9-3.1 1.7-4.5 2.5-16.29 8.1-78.18 40.5-93.67 74.7-17.5 38.8 2.9 66.6 16.29 70.4 41.79 11.6 84.58-9.3 107.6-43.6s20.2-79.1 9.6-99.5c-.1-.3-.3-.5-.4-.8 4.2-2.5 8.5-5 12.8-7.5 8.29-4.9 16.39-9.4 23.49-13.3-4 10.8-6.9 23.8-8.4 42.6-1.8 22 7.3 50.5 19.1 61.7 5.2 4.9 11.49 5 15.39 5 13.8 0 20-11.4 26.89-25 8.5-16.6 16-35.9 16-35.9s-9.4 52.2 16.3 52.2c9.39 0 18.79-12.1 23-18.3v.1s.2-.4 .7-1.2c1-1.5 1.5-2.4 1.5-2.4v-.3c3.8-6.5 12.1-21.4 24.59-46 16.2-31.8 31.69-71.5 31.69-71.5a201.2 201.2 0 0 0 6.2 25.8c2.8 9.5 8.7 19.9 13.4 30-3.8 5.2-6.1 8.2-6.1 8.2a.31 .31 0 0 0 .1 .2c-3 4-6.4 8.3-9.9 12.5-12.79 15.2-28 32.6-30 37.6-2.4 5.9-1.8 10.3 2.8 13.7 3.4 2.6 9.4 3 15.69 2.5 11.5-.8 19.6-3.6 23.5-5.4a82.2 82.2 0 0 0 20.19-10.6c12.5-9.2 20.1-22.4 19.4-39.8-.4-9.6-3.5-19.2-7.3-28.2 1.1-1.6 2.3-3.3 3.4-5C434.8 301.7 450.1 270 450.1 270a201.2 201.2 0 0 0 6.2 25.8c2.4 8.1 7.09 17 11.39 25.7-18.59 15.1-30.09 32.6-34.09 44.1-7.4 21.3-1.6 30.9 9.3 33.1 4.9 1 11.9-1.3 17.1-3.5a79.46 79.46 0 0 0 21.59-11.1c12.5-9.2 24.59-22.1 23.79-39.6-.3-7.9-2.5-15.8-5.4-23.4 15.7-6.6 36.09-10.2 62.09-7.2 55.68 6.5 66.58 41.3 64.48 55.8s-13.8 22.6-17.7 25-5.1 3.3-4.8 5.1c.5 2.6 2.3 2.5 5.6 1.9 4.6-.8 29.19-11.8 30.29-38.7 1.6-34-31.09-71.4-89-71.1zm-429.2 144.7c-18.39 20.1-44.19 27.7-55.28 21.3C54.61 451 59.31 421.4 82 400c13.8-13 31.59-25 43.39-32.4 2.7-1.6 6.6-4 11.4-6.9 .8-.5 1.2-.7 1.2-.7 .9-.6 1.9-1.1 2.9-1.7 8.29 30.4 .3 57.2-19.1 78.3zm134.4-91.4c-6.4 15.7-19.89 55.7-28.09 53.6-7-1.8-11.3-32.3-1.4-62.3 5-15.1 15.6-33.1 21.9-40.1 10.09-11.3 21.19-14.9 23.79-10.4 3.5 5.9-12.2 49.4-16.2 59.2zm111 53c-2.7 1.4-5.2 2.3-6.4 1.6-.9-.5 1.1-2.4 1.1-2.4s13.9-14.9 19.4-21.7c3.2-4 6.9-8.7 10.89-13.9 0 .5 .1 1 .1 1.6-.13 17.9-17.32 30-25.12 34.8zm85.58-19.5c-2-1.4-1.7-6.1 5-20.7 2.6-5.7 8.59-15.3 19-24.5a36.18 36.18 0 0 1 1.9 10.8c-.1 22.5-16.2 30.9-25.89 34.4z"],
    "schlix": [448, 512, [], "f3ea", "M350.5 157.7l-54.2-46.1 73.4-39 78.3 44.2-97.5 40.9zM192 122.1l45.7-28.2 34.7 34.6-55.4 29-25-35.4zm-65.1 6.6l31.9-22.1L176 135l-36.7 22.5-12.4-28.8zm-23.3 88.2l-8.8-34.8 29.6-18.3 13.1 35.3-33.9 17.8zm-21.2-83.7l23.9-18.1 8.9 24-26.7 18.3-6.1-24.2zM59 206.5l-3.6-28.4 22.3-15.5 6.1 28.7L59 206.5zm-30.6 16.6l20.8-12.8 3.3 33.4-22.9 12-1.2-32.6zM1.4 268l19.2-10.2 .4 38.2-21 8.8L1.4 268zm59.1 59.3l-28.3 8.3-1.6-46.8 25.1-10.7 4.8 49.2zM99 263.2l-31.1 13-5.2-40.8L90.1 221l8.9 42.2zM123.2 377l-41.6 5.9-8.1-63.5 35.2-10.8 14.5 68.4zm28.5-139.9l21.2 57.1-46.2 13.6-13.7-54.1 38.7-16.6zm85.7 230.5l-70.9-3.3-24.3-95.8 55.2-8.6 40 107.7zm-84.9-279.7l42.2-22.4 28 45.9-50.8 21.3-19.4-44.8zm41 94.9l61.3-18.7 52.8 86.6-79.8 11.3-34.3-79.2zm51.4-85.6l67.3-28.8 65.5 65.4-88.6 26.2-44.2-62.8z"],
    "screenpal": [512, 512, [], "e570", "M233.5 22.49C233.5 10.07 243.6 0 256 0C268.4 0 278.5 10.07 278.5 22.49C278.5 34.91 268.4 44.98 256 44.98C243.6 44.98 233.5 34.91 233.5 22.49zM313.4 259C313.4 290.7 287.7 316.4 256 316.4C224.3 316.4 198.6 290.7 198.6 259C198.6 227.3 224.3 201.6 256 201.6C287.7 201.6 313.4 227.3 313.4 259zM337.2 350C359.5 330.1 373.7 302.7 377.1 273H496.6C493.1 334.4 466.2 392.2 421.4 434.4C376.7 476.6 317.5 500.2 256 500.2C194.5 500.2 135.3 476.6 90.56 434.4C45.83 392.2 18.94 334.4 15.39 273H135.1C138.5 302.7 152.7 330.1 175 350C197.3 369.9 226.2 380.9 256.1 380.9C285.1 380.9 314.8 369.9 337.2 350zM73.14 140.3C73.54 152.7 63.81 163.1 51.39 163.5C38.97 163.9 28.59 154.2 28.18 141.8C27.78 129.3 37.52 118.9 49.94 118.5C62.35 118.1 72.74 127.9 73.14 140.3zM438.9 141C438.9 128.6 448.9 118.5 461.4 118.5C473.8 118.5 483.8 128.6 483.8 141C483.8 153.5 473.8 163.5 461.4 163.5C448.9 163.5 438.9 153.5 438.9 141zM317.9 95.27C300.6 109.1 278.7 118.1 256 118.1C233.3 118.1 211.4 109.1 194.1 95.27C176.8 80.55 165.3 60.18 161.7 37.78C176.8 31.37 192.5 26.52 208.6 23.31C208.6 35.88 213.6 47.93 222.5 56.82C231.4 65.7 243.4 70.7 256 70.7C268.6 70.7 280.6 65.7 289.5 56.82C298.4 47.93 303.4 35.88 303.4 23.31C319.5 26.52 335.2 31.37 350.3 37.78C346.7 60.18 335.2 80.55 317.9 95.27H317.9zM82.78 231C61.42 238.6 38.06 238.4 16.86 230.4C18.82 214.1 22.46 198.1 27.71 182.5C33.1 185.6 39.05 187.6 45.22 188.5C51.39 189.3 57.67 188.9 63.68 187.3C69.69 185.6 75.33 182.9 80.27 179.1C85.21 175.3 89.36 170.6 92.47 165.2C95.58 159.8 97.61 153.8 98.42 147.7C99.23 141.5 98.83 135.2 97.22 129.2C95.61 123.2 92.83 117.6 89.04 112.6C85.25 107.7 80.53 103.5 75.14 100.4C85.96 88.11 98.01 76.94 111.1 67.07C128.7 81.42 140.6 101.6 144.7 123.9C148.8 146.2 144.8 169.3 133.5 188.9C122.1 208.5 104.1 223.4 82.78 231V231zM429.2 231.1C407.9 223.5 389.9 208.5 378.5 188.9C367.2 169.3 363.3 146.2 367.4 123.9C371.5 101.7 383.4 81.54 400.9 67.19C414 77.04 426.1 88.21 436.9 100.5C426.2 106.9 418.5 117.2 415.4 129.3C412.2 141.3 413.1 154.1 420.2 164.9C426.4 175.7 436.6 183.6 448.6 186.9C460.6 190.2 473.5 188.6 484.3 182.6C489.6 198.1 493.2 214.2 495.2 230.4C473.1 238.5 450.6 238.7 429.2 231.1L429.2 231.1z"],
    "scribd": [384, 512, [], "f28a", "M42.3 252.7c-16.1-19-24.7-45.9-24.8-79.9 0-100.4 75.2-153.1 167.2-153.1 98.6-1.6 156.8 49 184.3 70.6l-50.5 72.1-37.3-24.6 26.9-38.6c-36.5-24-79.4-36.5-123-35.8-50.7-.8-111.7 27.2-111.7 76.2 0 18.7 11.2 20.7 28.6 15.6 23.3-5.3 41.9 .6 55.8 14 26.4 24.3 23.2 67.6-.7 91.9-29.2 29.5-85.2 27.3-114.8-8.4zm317.7 5.9c-15.5-18.8-38.9-29.4-63.2-28.6-38.1-2-71.1 28-70.5 67.2-.7 16.8 6 33 18.4 44.3 14.1 13.9 33 19.7 56.3 14.4 17.4-5.1 28.6-3.1 28.6 15.6 0 4.3-.5 8.5-1.4 12.7-16.7 40.9-59.5 64.4-121.4 64.4-51.9 .2-102.4-16.4-144.1-47.3l33.7-39.4-35.6-27.4L0 406.3l15.4 13.8c52.5 46.8 120.4 72.5 190.7 72.2 51.4 0 94.4-10.5 133.6-44.1 57.1-51.4 54.2-149.2 20.3-189.6z"],
    "searchengin": [460, 512, [], "f3eb", "M220.6 130.3l-67.2 28.2V43.2L98.7 233.5l54.7-24.2v130.3l67.2-209.3zm-83.2-96.7l-1.3 4.7-15.2 52.9C80.6 106.7 52 145.8 52 191.5c0 52.3 34.3 95.9 83.4 105.5v53.6C57.5 340.1 0 272.4 0 191.6c0-80.5 59.8-147.2 137.4-158zm311.4 447.2c-11.2 11.2-23.1 12.3-28.6 10.5-5.4-1.8-27.1-19.9-60.4-44.4-33.3-24.6-33.6-35.7-43-56.7-9.4-20.9-30.4-42.6-57.5-52.4l-9.7-14.7c-24.7 16.9-53 26.9-81.3 28.7l2.1-6.6 15.9-49.5c46.5-11.9 80.9-54 80.9-104.2 0-54.5-38.4-102.1-96-107.1V32.3C254.4 37.4 320 106.8 320 191.6c0 33.6-11.2 64.7-29 90.4l14.6 9.6c9.8 27.1 31.5 48 52.4 57.4s32.2 9.7 56.8 43c24.6 33.2 42.7 54.9 44.5 60.3s.7 17.3-10.5 28.5zm-9.9-17.9c0-4.4-3.6-8-8-8s-8 3.6-8 8 3.6 8 8 8 8-3.6 8-8z"],
    "sellcast": [448, 512, [], "f2da", "M353.4 32H94.7C42.6 32 0 74.6 0 126.6v258.7C0 437.4 42.6 480 94.7 480h258.7c52.1 0 94.7-42.6 94.7-94.6V126.6c0-52-42.6-94.6-94.7-94.6zm-50 316.4c-27.9 48.2-89.9 64.9-138.2 37.2-22.9 39.8-54.9 8.6-42.3-13.2l15.7-27.2c5.9-10.3 19.2-13.9 29.5-7.9 18.6 10.8-.1-.1 18.5 10.7 27.6 15.9 63.4 6.3 79.4-21.3 15.9-27.6 6.3-63.4-21.3-79.4-17.8-10.2-.6-.4-18.6-10.6-24.6-14.2-3.4-51.9 21.6-37.5 18.6 10.8-.1-.1 18.5 10.7 48.4 28 65.1 90.3 37.2 138.5zm21.8-208.8c-17 29.5-16.3 28.8-19 31.5-6.5 6.5-16.3 8.7-26.5 3.6-18.6-10.8 .1 .1-18.5-10.7-27.6-15.9-63.4-6.3-79.4 21.3s-6.3 63.4 21.3 79.4c0 0 18.5 10.6 18.6 10.6 24.6 14.2 3.4 51.9-21.6 37.5-18.6-10.8 .1 .1-18.5-10.7-48.2-27.8-64.9-90.1-37.1-138.4 27.9-48.2 89.9-64.9 138.2-37.2l4.8-8.4c14.3-24.9 52-3.3 37.7 21.5z"],
    "sellsy": [640, 512, [], "f213", "M539.7 237.3c3.064-12.26 4.29-24.82 4.29-37.38C544 107.4 468.6 32 376.1 32c-77.22 0-144.6 53.01-163 127.8-15.32-13.18-34.93-20.53-55.16-20.53-46.27 0-83.96 37.69-83.96 83.96 0 7.354 .92 15.02 3.065 22.37-42.9 20.23-70.79 63.74-70.79 111.2C6.216 424.8 61.68 480 129.4 480h381.2c67.72 0 123.2-55.16 123.2-123.2 .001-56.38-38.92-106-94.07-119.5zM199.9 401.6c0 8.274-7.048 15.32-15.32 15.32H153.6c-8.274 0-15.32-7.048-15.32-15.32V290.6c0-8.273 7.048-15.32 15.32-15.32h30.95c8.274 0 15.32 7.048 15.32 15.32v110.9zm89.48 0c0 8.274-7.048 15.32-15.32 15.32h-30.95c-8.274 0-15.32-7.048-15.32-15.32V270.1c0-8.274 7.048-15.32 15.32-15.32h30.95c8.274 0 15.32 7.048 15.32 15.32v131.5zm89.48 0c0 8.274-7.047 15.32-15.32 15.32h-30.95c-8.274 0-15.32-7.048-15.32-15.32V238.8c0-8.274 7.048-15.32 15.32-15.32h30.95c8.274 0 15.32 7.048 15.32 15.32v162.7zm87.03 0c0 8.274-7.048 15.32-15.32 15.32h-28.5c-8.274 0-15.32-7.048-15.32-15.32V176.9c0-8.579 7.047-15.63 15.32-15.63h28.5c8.274 0 15.32 7.048 15.32 15.63v224.6z"],
    "servicestack": [496, 512, [], "f3ec", "M88 216c81.7 10.2 273.7 102.3 304 232H0c99.5-8.1 184.5-137 88-232zm32-152c32.3 35.6 47.7 83.9 46.4 133.6C249.3 231.3 373.7 321.3 400 448h96C455.3 231.9 222.8 79.5 120 64z"],
    "shirtsinbulk": [448, 512, [], "f214", "M100 410.3l30.6 13.4 4.4-9.9-30.6-13.4zm39.4 17.5l30.6 13.4 4.4-9.9-30.6-13.4zm172.1-14l4.4 9.9 30.6-13.4-4.4-9.9zM179.1 445l30.3 13.7 4.4-9.9-30.3-13.4zM60.4 392.8L91 406.2l4.4-9.6-30.6-13.7zm211.4 38.5l4.4 9.9 30.6-13.4-4.4-9.9zm-39.3 17.5l4.4 9.9 30.6-13.7-4.4-9.6zm118.4-52.2l4.4 9.6 30.6-13.4-4.4-9.9zM170 46.6h-33.5v10.5H170zm-47.2 0H89.2v10.5h33.5zm-47.3 0H42.3v10.5h33.3zm141.5 0h-33.2v10.5H217zm94.5 0H278v10.5h33.5zm47.3 0h-33.5v10.5h33.5zm-94.6 0H231v10.5h33.2zm141.5 0h-33.3v10.5h33.3zM52.8 351.1H42v33.5h10.8zm70-215.9H89.2v10.5h33.5zm-70 10.6h22.8v-10.5H42v33.5h10.8zm168.9 228.6c50.5 0 91.3-40.8 91.3-91.3 0-50.2-40.8-91.3-91.3-91.3-50.2 0-91.3 41.1-91.3 91.3 0 50.5 41.1 91.3 91.3 91.3zm-48.2-111.1c0-25.4 29.5-31.8 49.6-31.8 16.9 0 29.2 5.8 44.3 12l-8.8 16.9h-.9c-6.4-9.9-24.8-13.1-35.6-13.1-9 0-29.8 1.8-29.8 14.9 0 21.6 78.5-10.2 78.5 37.9 0 25.4-31.5 31.2-51 31.2-18.1 0-32.4-2.9-47.2-12.2l9-18.4h.9c6.1 12.2 23.6 14.9 35.9 14.9 8.7 0 32.7-1.2 32.7-14.3 0-26.1-77.6 6.3-77.6-38zM52.8 178.4H42V212h10.8zm342.4 206.2H406v-33.5h-10.8zM52.8 307.9H42v33.5h10.8zM0 3.7v406l221.7 98.6L448 409.7V3.7zm418.8 387.1L222 476.5 29.2 390.8V120.7h389.7v270.1zm0-299.3H29.2V32.9h389.7v58.6zm-366 130.1H42v33.5h10.8zm0 43.2H42v33.5h10.8zM170 135.2h-33.5v10.5H170zm225.2 163.1H406v-33.5h-10.8zm0-43.2H406v-33.5h-10.8zM217 135.2h-33.2v10.5H217zM395.2 212H406v-33.5h-10.8zm0 129.5H406V308h-10.8zm-131-206.3H231v10.5h33.2zm47.3 0H278v10.5h33.5zm83.7 33.6H406v-33.5h-33.5v10.5h22.8zm-36.4-33.6h-33.5v10.5h33.5z"],
    "shopify": [448, 512, [], "e057", "M388.3 104.1a4.66 4.66 0 0 0 -4.4-4c-2 0-37.23-.8-37.23-.8s-21.61-20.82-29.62-28.83V503.2L442.8 472S388.7 106.5 388.3 104.1zM288.6 70.47a116.7 116.7 0 0 0 -7.21-17.61C271 32.85 255.4 22 237 22a15 15 0 0 0 -4 .4c-.4-.8-1.2-1.2-1.6-2C223.4 11.63 213 7.63 200.6 8c-24 .8-48 18-67.25 48.83-13.61 21.62-24 48.84-26.82 70.06-27.62 8.4-46.83 14.41-47.23 14.81-14 4.4-14.41 4.8-16 18-1.2 10-38 291.8-38 291.8L307.9 504V65.67a41.66 41.66 0 0 0 -4.4 .4S297.9 67.67 288.6 70.47zM233.4 87.69c-16 4.8-33.63 10.4-50.84 15.61 4.8-18.82 14.41-37.63 25.62-50 4.4-4.4 10.41-9.61 17.21-12.81C232.2 54.86 233.8 74.48 233.4 87.69zM200.6 24.44A27.49 27.49 0 0 1 215 28c-6.4 3.2-12.81 8.41-18.81 14.41-15.21 16.42-26.82 42-31.62 66.45-14.42 4.41-28.83 8.81-42 12.81C131.3 83.28 163.8 25.24 200.6 24.44zM154.1 244.6c1.6 25.61 69.25 31.22 73.25 91.66 2.8 47.64-25.22 80.06-65.65 82.47-48.83 3.2-75.65-25.62-75.65-25.62l10.4-44s26.82 20.42 48.44 18.82c14-.8 19.22-12.41 18.81-20.42-2-33.62-57.24-31.62-60.84-86.86-3.2-46.44 27.22-93.27 94.47-97.68 26-1.6 39.23 4.81 39.23 4.81L221.4 225.4s-17.21-8-37.63-6.4C154.1 221 153.8 239.8 154.1 244.6zM249.4 82.88c0-12-1.6-29.22-7.21-43.63 18.42 3.6 27.22 24 31.23 36.43Q262.6 78.68 249.4 82.88z"],
    "shopware": [512, 512, [], "f5b5", "M403.5 455.4A246.2 246.2 0 0 1 256 504C118.8 504 8 393 8 256 8 118.8 119 8 256 8a247.4 247.4 0 0 1 165.7 63.5 3.57 3.57 0 0 1 -2.86 6.18A418.6 418.6 0 0 0 362.1 74c-129.4 0-222.4 53.47-222.4 155.4 0 109 92.13 145.9 176.8 178.7 33.64 13 65.4 25.36 87 41.59a3.58 3.58 0 0 1 0 5.72zM503 233.1a3.64 3.64 0 0 0 -1.27-2.44c-51.76-43-93.62-60.48-144.5-60.48-84.13 0-80.25 52.17-80.25 53.63 0 42.6 52.06 62 112.3 84.49 31.07 11.59 63.19 23.57 92.68 39.93a3.57 3.57 0 0 0 5-1.82A249 249 0 0 0 503 233.1z"],
    "simplybuilt": [512, 512, [], "f215", "M481.2 64h-106c-14.5 0-26.6 11.8-26.6 26.3v39.6H163.3V90.3c0-14.5-12-26.3-26.6-26.3h-106C16.1 64 4.3 75.8 4.3 90.3v331.4c0 14.5 11.8 26.3 26.6 26.3h450.4c14.8 0 26.6-11.8 26.6-26.3V90.3c-.2-14.5-12-26.3-26.7-26.3zM149.8 355.8c-36.6 0-66.4-29.7-66.4-66.4 0-36.9 29.7-66.6 66.4-66.6 36.9 0 66.6 29.7 66.6 66.6 0 36.7-29.7 66.4-66.6 66.4zm212.4 0c-36.9 0-66.6-29.7-66.6-66.6 0-36.6 29.7-66.4 66.6-66.4 36.6 0 66.4 29.7 66.4 66.4 0 36.9-29.8 66.6-66.4 66.6z"],
    "sistrix": [448, 512, [], "f3ee", "M448 449L301.2 300.2c20-27.9 31.9-62.2 31.9-99.2 0-93.1-74.7-168.9-166.5-168.9C74.7 32 0 107.8 0 200.9s74.7 168.9 166.5 168.9c39.8 0 76.3-14.2 105-37.9l146 148.1 30.5-31zM166.5 330.8c-70.6 0-128.1-58.3-128.1-129.9S95.9 71 166.5 71s128.1 58.3 128.1 129.9-57.4 129.9-128.1 129.9z"],
    "sith": [448, 512, [], "f512", "M0 32l69.71 118.8-58.86-11.52 69.84 91.03a146.7 146.7 0 0 0 0 51.45l-69.84 91.03 58.86-11.52L0 480l118.8-69.71-11.52 58.86 91.03-69.84c17.02 3.04 34.47 3.04 51.48 0l91.03 69.84-11.52-58.86L448 480l-69.71-118.8 58.86 11.52-69.84-91.03c3.03-17.01 3.04-34.44 0-51.45l69.84-91.03-58.86 11.52L448 32l-118.8 69.71 11.52-58.9-91.06 69.87c-8.5-1.52-17.1-2.29-25.71-2.29s-17.21 .78-25.71 2.29l-91.06-69.87 11.52 58.9L0 32zm224 99.78c31.8 0 63.6 12.12 87.85 36.37 48.5 48.5 48.49 127.2 0 175.7s-127.2 48.46-175.7-.03c-48.5-48.5-48.49-127.2 0-175.7 24.24-24.25 56.05-36.34 87.85-36.34zm0 36.66c-22.42 0-44.83 8.52-61.92 25.61-34.18 34.18-34.19 89.68 0 123.9s89.65 34.18 123.8 0c34.18-34.18 34.19-89.68 0-123.9-17.09-17.09-39.5-25.61-61.92-25.61z"],
    "sitrox": [448, 512, [], "e44a", "M212.4 .0085V0H448V128H64C64 57.6 141.8 .4753 212.4 .0085zM237.3 192V192C307.1 192.5 384 249.6 384 320H210.8V319.1C140.9 319.6 64 262.4 64 192H237.3zM235.6 511.1C306.3 511.5 384 454.4 384 384H0V512H235.6V511.1z"],
    "sketch": [512, 512, [], "f7c6", "M27.5 162.2L9 187.1h90.5l6.9-130.7-78.9 105.8zM396.3 45.7L267.7 32l135.7 147.2-7.1-133.5zM112.2 218.3l-11.2-22H9.9L234.8 458zm2-31.2h284l-81.5-88.5L256.3 33zm297.3 9.1L277.6 458l224.8-261.7h-90.9zM415.4 69L406 56.4l.9 17.3 6.1 113.4h90.3zM113.5 93.5l-4.6 85.6L244.7 32 116.1 45.7zm287.7 102.7h-290l42.4 82.9L256.3 480l144.9-283.8z"],
    "skyatlas": [640, 512, [], "f216", "M640 329.3c0 65.9-52.5 114.4-117.5 114.4-165.9 0-196.6-249.7-359.7-249.7-146.9 0-147.1 212.2 5.6 212.2 42.5 0 90.9-17.8 125.3-42.5 5.6-4.1 16.9-16.3 22.8-16.3s10.9 5 10.9 10.9c0 7.8-13.1 19.1-18.7 24.1-40.9 35.6-100.3 61.2-154.7 61.2-83.4 .1-154-59-154-144.9s67.5-149.1 152.8-149.1c185.3 0 222.5 245.9 361.9 245.9 99.9 0 94.8-139.7 3.4-139.7-17.5 0-35 11.6-46.9 11.6-8.4 0-15.9-7.2-15.9-15.6 0-11.6 5.3-23.7 5.3-36.3 0-66.6-50.9-114.7-116.9-114.7-53.1 0-80 36.9-88.8 36.9-6.2 0-11.2-5-11.2-11.2 0-5.6 4.1-10.3 7.8-14.4 25.3-28.8 64.7-43.7 102.8-43.7 79.4 0 139.1 58.4 139.1 137.8 0 6.9-.3 13.7-1.2 20.6 11.9-3.1 24.1-4.7 35.9-4.7 60.7 0 111.9 45.3 111.9 107.2z"],
    "skype": [448, 512, [], "f17e", "M424.7 299.8c2.9-14 4.7-28.9 4.7-43.8 0-113.5-91.9-205.3-205.3-205.3-14.9 0-29.7 1.7-43.8 4.7C161.3 40.7 137.7 32 112 32 50.2 32 0 82.2 0 144c0 25.7 8.7 49.3 23.3 68.2-2.9 14-4.7 28.9-4.7 43.8 0 113.5 91.9 205.3 205.3 205.3 14.9 0 29.7-1.7 43.8-4.7 19 14.6 42.6 23.3 68.2 23.3 61.8 0 112-50.2 112-112 .1-25.6-8.6-49.2-23.2-68.1zm-194.6 91.5c-65.6 0-120.5-29.2-120.5-65 0-16 9-30.6 29.5-30.6 31.2 0 34.1 44.9 88.1 44.9 25.7 0 42.3-11.4 42.3-26.3 0-18.7-16-21.6-42-28-62.5-15.4-117.8-22-117.8-87.2 0-59.2 58.6-81.1 109.1-81.1 55.1 0 110.8 21.9 110.8 55.4 0 16.9-11.4 31.8-30.3 31.8-28.3 0-29.2-33.5-75-33.5-25.7 0-42 7-42 22.5 0 19.8 20.8 21.8 69.1 33 41.4 9.3 90.7 26.8 90.7 77.6 0 59.1-57.1 86.5-112 86.5z"],
    "slack": [448, 512, [62447, "slack-hash"], "f198", "M94.12 315.1c0 25.9-21.16 47.06-47.06 47.06S0 341 0 315.1c0-25.9 21.16-47.06 47.06-47.06h47.06v47.06zm23.72 0c0-25.9 21.16-47.06 47.06-47.06s47.06 21.16 47.06 47.06v117.8c0 25.9-21.16 47.06-47.06 47.06s-47.06-21.16-47.06-47.06V315.1zm47.06-188.1c-25.9 0-47.06-21.16-47.06-47.06S139 32 164.9 32s47.06 21.16 47.06 47.06v47.06H164.9zm0 23.72c25.9 0 47.06 21.16 47.06 47.06s-21.16 47.06-47.06 47.06H47.06C21.16 243.1 0 222.8 0 196.9s21.16-47.06 47.06-47.06H164.9zm188.1 47.06c0-25.9 21.16-47.06 47.06-47.06 25.9 0 47.06 21.16 47.06 47.06s-21.16 47.06-47.06 47.06h-47.06V196.9zm-23.72 0c0 25.9-21.16 47.06-47.06 47.06-25.9 0-47.06-21.16-47.06-47.06V79.06c0-25.9 21.16-47.06 47.06-47.06 25.9 0 47.06 21.16 47.06 47.06V196.9zM283.1 385.9c25.9 0 47.06 21.16 47.06 47.06 0 25.9-21.16 47.06-47.06 47.06-25.9 0-47.06-21.16-47.06-47.06v-47.06h47.06zm0-23.72c-25.9 0-47.06-21.16-47.06-47.06 0-25.9 21.16-47.06 47.06-47.06h117.8c25.9 0 47.06 21.16 47.06 47.06 0 25.9-21.16 47.06-47.06 47.06H283.1z"],
    "slideshare": [512, 512, [], "f1e7", "M187.7 153.7c-34 0-61.7 25.7-61.7 57.7 0 31.7 27.7 57.7 61.7 57.7s61.7-26 61.7-57.7c0-32-27.7-57.7-61.7-57.7zm143.4 0c-34 0-61.7 25.7-61.7 57.7 0 31.7 27.7 57.7 61.7 57.7 34.3 0 61.7-26 61.7-57.7 .1-32-27.4-57.7-61.7-57.7zm156.6 90l-6 4.3V49.7c0-27.4-20.6-49.7-46-49.7H76.6c-25.4 0-46 22.3-46 49.7V248c-2-1.4-4.3-2.9-6.3-4.3-15.1-10.6-25.1 4-16 17.7 18.3 22.6 53.1 50.3 106.3 72C58.3 525.1 252 555.7 248.9 457.5c0-.7 .3-56.6 .3-96.6 5.1 1.1 9.4 2.3 13.7 3.1 0 39.7 .3 92.8 .3 93.5-3.1 98.3 190.6 67.7 134.3-124 53.1-21.7 88-49.4 106.3-72 9.1-13.8-.9-28.3-16.1-17.8zm-30.5 19.2c-68.9 37.4-128.3 31.1-160.6 29.7-23.7-.9-32.6 9.1-33.7 24.9-10.3-7.7-18.6-15.5-20.3-17.1-5.1-5.4-13.7-8-27.1-7.7-31.7 1.1-89.7 7.4-157.4-28V72.3c0-34.9 8.9-45.7 40.6-45.7h317.7c30.3 0 40.9 12.9 40.9 45.7v190.6z"],
    "snapchat": [512, 512, [62124, "snapchat-ghost"], "f2ab", "M496.9 366.6c-3.373-9.176-9.8-14.09-17.11-18.15-1.376-.806-2.641-1.451-3.72-1.947-2.182-1.128-4.414-2.22-6.634-3.373-22.8-12.09-40.61-27.34-52.96-45.42a102.9 102.9 0 0 1 -9.089-16.12c-1.054-3.013-1-4.724-.248-6.287a10.22 10.22 0 0 1 2.914-3.038c3.918-2.591 7.96-5.22 10.7-6.993 4.885-3.162 8.754-5.667 11.25-7.44 9.362-6.547 15.91-13.5 20-21.28a42.37 42.37 0 0 0 2.1-35.19c-6.2-16.32-21.61-26.45-40.29-26.45a55.54 55.54 0 0 0 -11.72 1.24c-1.029 .224-2.059 .459-3.063 .72 .174-11.16-.074-22.94-1.066-34.53-3.522-40.76-17.79-62.12-32.67-79.16A130.2 130.2 0 0 0 332.1 36.44C309.5 23.55 283.9 17 256 17S202.6 23.55 180 36.44a129.7 129.7 0 0 0 -33.28 26.78c-14.88 17.04-29.15 38.44-32.67 79.16-.992 11.59-1.24 23.43-1.079 34.53-1-.26-2.021-.5-3.051-.719a55.46 55.46 0 0 0 -11.72-1.24c-18.69 0-34.13 10.13-40.3 26.45a42.42 42.42 0 0 0 2.046 35.23c4.105 7.774 10.65 14.73 20.01 21.28 2.48 1.736 6.361 4.24 11.25 7.44 2.641 1.711 6.5 4.216 10.28 6.72a11.05 11.05 0 0 1 3.3 3.311c.794 1.624 .818 3.373-.36 6.6a102 102 0 0 1 -8.94 15.78c-12.08 17.67-29.36 32.65-51.43 44.64C32.35 348.6 20.2 352.8 15.07 366.7c-3.868 10.53-1.339 22.51 8.494 32.6a49.14 49.14 0 0 0 12.4 9.387 134.3 134.3 0 0 0 30.34 12.14 20.02 20.02 0 0 1 6.126 2.741c3.583 3.137 3.075 7.861 7.849 14.78a34.47 34.47 0 0 0 8.977 9.127c10.02 6.919 21.28 7.353 33.21 7.811 10.78 .41 22.99 .881 36.94 5.481 5.778 1.91 11.78 5.605 18.74 9.92C194.8 480.1 217.7 495 255.1 495s61.29-14.12 78.12-24.43c6.907-4.24 12.87-7.9 18.49-9.758 13.95-4.613 26.16-5.072 36.94-5.481 11.93-.459 23.19-.893 33.21-7.812a34.58 34.58 0 0 0 10.22-11.16c3.434-5.84 3.348-9.919 6.572-12.77a18.97 18.97 0 0 1 5.753-2.629A134.9 134.9 0 0 0 476 408.7a48.34 48.34 0 0 0 13.02-10.19l.124-.149C498.4 388.5 500.7 376.9 496.9 366.6zm-34.01 18.28c-20.75 11.46-34.53 10.23-45.26 17.14-9.114 5.865-3.72 18.51-10.34 23.08-8.134 5.617-32.18-.4-63.24 9.858-25.62 8.469-41.96 32.82-88.04 32.82s-62.04-24.3-88.08-32.88c-31-10.26-55.09-4.241-63.24-9.858-6.609-4.563-1.24-17.21-10.34-23.08-10.74-6.907-24.53-5.679-45.26-17.08-13.21-7.291-5.716-11.8-1.314-13.94 75.14-36.38 87.13-92.55 87.67-96.72 .645-5.046 1.364-9.014-4.191-14.15-5.369-4.96-29.19-19.7-35.8-24.32-10.94-7.638-15.75-15.26-12.2-24.64 2.48-6.485 8.531-8.928 14.88-8.928a27.64 27.64 0 0 1 5.965 .67c12 2.6 23.66 8.617 30.39 10.24a10.75 10.75 0 0 0 2.48 .335c3.6 0 4.86-1.811 4.612-5.927-.768-13.13-2.628-38.72-.558-62.64 2.84-32.91 13.44-49.22 26.04-63.64 6.051-6.932 34.48-36.98 88.86-36.98s82.88 29.92 88.93 36.83c12.61 14.42 23.23 30.73 26.04 63.64 2.071 23.92 .285 49.53-.558 62.64-.285 4.327 1.017 5.927 4.613 5.927a10.65 10.65 0 0 0 2.48-.335c6.745-1.624 18.4-7.638 30.4-10.24a27.64 27.64 0 0 1 5.964-.67c6.386 0 12.4 2.48 14.88 8.928 3.546 9.374-1.24 17-12.19 24.64-6.609 4.612-30.43 19.34-35.8 24.32-5.568 5.134-4.836 9.1-4.191 14.15 .533 4.228 12.51 60.4 87.67 96.72C468.6 373 476.1 377.5 462.9 384.9z"],
    "soundcloud": [640, 512, [], "f1be", "M111.4 256.3l5.8 65-5.8 68.3c-.3 2.5-2.2 4.4-4.4 4.4s-4.2-1.9-4.2-4.4l-5.6-68.3 5.6-65c0-2.2 1.9-4.2 4.2-4.2 2.2 0 4.1 2 4.4 4.2zm21.4-45.6c-2.8 0-4.7 2.2-5 5l-5 105.6 5 68.3c.3 2.8 2.2 5 5 5 2.5 0 4.7-2.2 4.7-5l5.8-68.3-5.8-105.6c0-2.8-2.2-5-4.7-5zm25.5-24.1c-3.1 0-5.3 2.2-5.6 5.3l-4.4 130 4.4 67.8c.3 3.1 2.5 5.3 5.6 5.3 2.8 0 5.3-2.2 5.3-5.3l5.3-67.8-5.3-130c0-3.1-2.5-5.3-5.3-5.3zM7.2 283.2c-1.4 0-2.2 1.1-2.5 2.5L0 321.3l4.7 35c.3 1.4 1.1 2.5 2.5 2.5s2.2-1.1 2.5-2.5l5.6-35-5.6-35.6c-.3-1.4-1.1-2.5-2.5-2.5zm23.6-21.9c-1.4 0-2.5 1.1-2.5 2.5l-6.4 57.5 6.4 56.1c0 1.7 1.1 2.8 2.5 2.8s2.5-1.1 2.8-2.5l7.2-56.4-7.2-57.5c-.3-1.4-1.4-2.5-2.8-2.5zm25.3-11.4c-1.7 0-3.1 1.4-3.3 3.3L47 321.3l5.8 65.8c.3 1.7 1.7 3.1 3.3 3.1 1.7 0 3.1-1.4 3.1-3.1l6.9-65.8-6.9-68.1c0-1.9-1.4-3.3-3.1-3.3zm25.3-2.2c-1.9 0-3.6 1.4-3.6 3.6l-5.8 70 5.8 67.8c0 2.2 1.7 3.6 3.6 3.6s3.6-1.4 3.9-3.6l6.4-67.8-6.4-70c-.3-2.2-2-3.6-3.9-3.6zm241.4-110.9c-1.1-.8-2.8-1.4-4.2-1.4-2.2 0-4.2 .8-5.6 1.9-1.9 1.7-3.1 4.2-3.3 6.7v.8l-3.3 176.7 1.7 32.5 1.7 31.7c.3 4.7 4.2 8.6 8.9 8.6s8.6-3.9 8.6-8.6l3.9-64.2-3.9-177.5c-.4-3-2-5.8-4.5-7.2zm-26.7 15.3c-1.4-.8-2.8-1.4-4.4-1.4s-3.1 .6-4.4 1.4c-2.2 1.4-3.6 3.9-3.6 6.7l-.3 1.7-2.8 160.8s0 .3 3.1 65.6v.3c0 1.7 .6 3.3 1.7 4.7 1.7 1.9 3.9 3.1 6.4 3.1 2.2 0 4.2-1.1 5.6-2.5 1.7-1.4 2.5-3.3 2.5-5.6l.3-6.7 3.1-58.6-3.3-162.8c-.3-2.8-1.7-5.3-3.9-6.7zm-111.4 22.5c-3.1 0-5.8 2.8-5.8 6.1l-4.4 140.6 4.4 67.2c.3 3.3 2.8 5.8 5.8 5.8 3.3 0 5.8-2.5 6.1-5.8l5-67.2-5-140.6c-.2-3.3-2.7-6.1-6.1-6.1zm376.7 62.8c-10.8 0-21.1 2.2-30.6 6.1-6.4-70.8-65.8-126.4-138.3-126.4-17.8 0-35 3.3-50.3 9.4-6.1 2.2-7.8 4.4-7.8 9.2v249.7c0 5 3.9 8.6 8.6 9.2h218.3c43.3 0 78.6-35 78.6-78.3 .1-43.6-35.2-78.9-78.5-78.9zm-296.7-60.3c-4.2 0-7.5 3.3-7.8 7.8l-3.3 136.7 3.3 65.6c.3 4.2 3.6 7.5 7.8 7.5 4.2 0 7.5-3.3 7.5-7.5l3.9-65.6-3.9-136.7c-.3-4.5-3.3-7.8-7.5-7.8zm-53.6-7.8c-3.3 0-6.4 3.1-6.4 6.7l-3.9 145.3 3.9 66.9c.3 3.6 3.1 6.4 6.4 6.4 3.6 0 6.4-2.8 6.7-6.4l4.4-66.9-4.4-145.3c-.3-3.6-3.1-6.7-6.7-6.7zm26.7 3.4c-3.9 0-6.9 3.1-6.9 6.9L227 321.3l3.9 66.4c.3 3.9 3.1 6.9 6.9 6.9s6.9-3.1 6.9-6.9l4.2-66.4-4.2-141.7c0-3.9-3-6.9-6.9-6.9z"],
    "sourcetree": [448, 512, [], "f7d3", "M427.2 203c0-112.1-90.9-203-203-203C112.1-.2 21.2 90.6 21 202.6A202.9 202.9 0 0 0 161.5 396v101.7a14.3 14.3 0 0 0 14.3 14.3h96.4a14.3 14.3 0 0 0 14.3-14.3V396.1A203.2 203.2 0 0 0 427.2 203zm-271.6 0c0-90.8 137.3-90.8 137.3 0-.1 89.9-137.3 91-137.3 0z"],
    "space-awesome": [512, 512, [], "e5ac", "M96 256H128V512H0V352H32V320H64V288H96V256zM512 352V512H384V256H416V288H448V320H480V352H512zM320 64H352V448H320V416H192V448H160V64H192V32H224V0H288V32H320V64zM288 128H224V192H288V128z"],
    "speakap": [448, 512, [], "f3f3", "M64 391.8C-15.41 303.6-8 167.4 80.64 87.64s224.8-73 304.2 15.24 72 224.4-16.64 304.1c-18.74 16.87 64 43.09 42 52.26-82.06 34.21-253.9 35-346.2-67.5zm213.3-211.6l38.5-40.86c-9.61-8.89-32-26.83-76.17-27.6-52.33-.91-95.86 28.3-96.77 80-.2 11.33 .29 36.72 29.42 54.83 34.46 21.42 86.52 21.51 86 52.26-.37 21.28-26.42 25.81-38.59 25.6-3-.05-30.23-.46-47.61-24.62l-40 42.61c28.16 27 59 32.62 83.49 33.05 10.23 .18 96.42 .33 97.84-81 .28-15.81-2.07-39.72-28.86-56.59-34.36-21.64-85-19.45-84.43-49.75 .41-23.25 31-25.37 37.53-25.26 .43 0 26.62 .26 39.62 17.37z"],
    "speaker-deck": [512, 512, [], "f83c", "M213.9 296H100a100 100 0 0 1 0-200h132.8a40 40 0 0 1 0 80H98c-26.47 0-26.45 40 0 40h113.8a100 100 0 0 1 0 200H40a40 40 0 0 1 0-80h173.9c26.48 0 26.46-40 0-40zM298 416a120.2 120.2 0 0 0 51.11-80h64.55a19.83 19.83 0 0 0 19.66-20V196a19.83 19.83 0 0 0 -19.66-20H296.4a60.77 60.77 0 0 0 0-80h136.9c43.44 0 78.65 35.82 78.65 80v160c0 44.18-35.21 80-78.65 80z"],
    "spotify": [496, 512, [], "f1bc", "M248 8C111.1 8 0 119.1 0 256s111.1 248 248 248 248-111.1 248-248S384.9 8 248 8zm100.7 364.9c-4.2 0-6.8-1.3-10.7-3.6-62.4-37.6-135-39.2-206.7-24.5-3.9 1-9 2.6-11.9 2.6-9.7 0-15.8-7.7-15.8-15.8 0-10.3 6.1-15.2 13.6-16.8 81.9-18.1 165.6-16.5 237 26.2 6.1 3.9 9.7 7.4 9.7 16.5s-7.1 15.4-15.2 15.4zm26.9-65.6c-5.2 0-8.7-2.3-12.3-4.2-62.5-37-155.7-51.9-238.6-29.4-4.8 1.3-7.4 2.6-11.9 2.6-10.7 0-19.4-8.7-19.4-19.4s5.2-17.8 15.5-20.7c27.8-7.8 56.2-13.6 97.8-13.6 64.9 0 127.6 16.1 177 45.5 8.1 4.8 11.3 11 11.3 19.7-.1 10.8-8.5 19.5-19.4 19.5zm31-76.2c-5.2 0-8.4-1.3-12.9-3.9-71.2-42.5-198.5-52.7-280.9-29.7-3.6 1-8.1 2.6-12.9 2.6-13.2 0-23.3-10.3-23.3-23.6 0-13.6 8.4-21.3 17.4-23.9 35.2-10.3 74.6-15.2 117.5-15.2 73 0 149.5 15.2 205.4 47.8 7.8 4.5 12.9 10.7 12.9 22.6 0 13.6-11 23.3-23.2 23.3z"],
    "square-behance": [448, 512, ["behance-square"], "f1b5", "M186.5 293c0 19.3-14 25.4-31.2 25.4h-45.1v-52.9h46c18.6 .1 30.3 7.8 30.3 27.5zm-7.7-82.3c0-17.7-13.7-21.9-28.9-21.9h-39.6v44.8H153c15.1 0 25.8-6.6 25.8-22.9zm132.3 23.2c-18.3 0-30.5 11.4-31.7 29.7h62.2c-1.7-18.5-11.3-29.7-30.5-29.7zM448 80v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V80c0-26.5 21.5-48 48-48h352c26.5 0 48 21.5 48 48zM271.7 185h77.8v-18.9h-77.8V185zm-43 110.3c0-24.1-11.4-44.9-35-51.6 17.2-8.2 26.2-17.7 26.2-37 0-38.2-28.5-47.5-61.4-47.5H68v192h93.1c34.9-.2 67.6-16.9 67.6-55.9zM380 280.5c0-41.1-24.1-75.4-67.6-75.4-42.4 0-71.1 31.8-71.1 73.6 0 43.3 27.3 73 71.1 73 33.2 0 54.7-14.9 65.1-46.8h-33.7c-3.7 11.9-18.6 18.1-30.2 18.1-22.4 0-34.1-13.1-34.1-35.3h100.2c.1-2.3 .3-4.8 .3-7.2z"],
    "square-dribbble": [448, 512, ["dribbble-square"], "f397", "M90.2 228.2c8.9-42.4 37.4-77.7 75.7-95.7 3.6 4.9 28 38.8 50.7 79-64 17-120.3 16.8-126.4 16.7zM314.6 154c-33.6-29.8-79.3-41.1-122.6-30.6 3.8 5.1 28.6 38.9 51 80 48.6-18.3 69.1-45.9 71.6-49.4zM140.1 364c40.5 31.6 93.3 36.7 137.3 18-2-12-10-53.8-29.2-103.6-55.1 18.8-93.8 56.4-108.1 85.6zm98.8-108.2c-3.4-7.8-7.2-15.5-11.1-23.2C159.6 253 93.4 252.2 87.4 252c0 1.4-.1 2.8-.1 4.2 0 35.1 13.3 67.1 35.1 91.4 22.2-37.9 67.1-77.9 116.5-91.8zm34.9 16.3c17.9 49.1 25.1 89.1 26.5 97.4 30.7-20.7 52.5-53.6 58.6-91.6-4.6-1.5-42.3-12.7-85.1-5.8zm-20.3-48.4c4.8 9.8 8.3 17.8 12 26.8 45.5-5.7 90.7 3.4 95.2 4.4-.3-32.3-11.8-61.9-30.9-85.1-2.9 3.9-25.8 33.2-76.3 53.9zM448 80v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V80c0-26.5 21.5-48 48-48h352c26.5 0 48 21.5 48 48zm-64 176c0-88.2-71.8-160-160-160S64 167.8 64 256s71.8 160 160 160 160-71.8 160-160z"],
    "square-facebook": [448, 512, ["facebook-square"], "f082", "M400 32H48A48 48 0 0 0 0 80v352a48 48 0 0 0 48 48h137.3V327.7h-63V256h63v-54.64c0-62.15 37-96.48 93.67-96.48 27.14 0 55.52 4.84 55.52 4.84v61h-31.27c-30.81 0-40.42 19.12-40.42 38.73V256h68.78l-11 71.69h-57.78V480H400a48 48 0 0 0 48-48V80a48 48 0 0 0 -48-48z"],
    "square-font-awesome": [448, 512, [], "e5ad", "M384.5 32.5h-320c-35.3 0-64 28.7-64 64v320c0 35.3 28.7 64 64 64h320c35.3 0 64-28.7 64-64v-320C448.5 61.2 419.8 32.5 384.5 32.5zM336.5 312.5c-31.6 11.2-41.2 16-59.8 16c-31.4 0-43.2-16-74.6-16c-10.2 0-18.2 1.6-25.6 4v-32c7.4-2.2 15.4-4 25.6-4c31.2 0 43.2 16 74.6 16c10.2 0 17.8-1.4 27.8-4.6v-96c-10 3.2-17.6 4.6-27.8 4.6c-31.4 0-43.2-16-74.6-16c-25.4 0-37.4 10.4-57.6 14.4v153.6c0 8.8-7.2 16-16 16c-8.8 0-16-7.2-16-16v-192c0-8.8 7.2-16 16-16c8.8 0 16 7.2 16 16v6.4c20.2-4 32.2-14.4 57.6-14.4c31.2 0 43.2 16 74.6 16c18.6 0 28.2-4.8 59.8-16V312.5z"],
    "square-font-awesome-stroke": [448, 512, ["font-awesome-alt"], "f35c", "M201.6 152c-25.4 0-37.4 10.4-57.6 14.4V160c0-8.8-7.2-16-16-16s-16 7.2-16 16v192c0 .8 .1 1.6 .2 2.4c.1 .4 .1 .8 .2 1.2c1.6 7.1 8 12.4 15.6 12.4s14-5.3 15.6-12.4c.1-.4 .2-.8 .2-1.2c.1-.8 .2-1.6 .2-2.4V198.4c4-.8 7.7-1.8 11.2-3c14.3-4.7 26-11.4 46.4-11.4c31.4 0 43.2 16 74.6 16c8.9 0 15.9-1.1 24.2-3.5c1.2-.3 2.4-.7 3.6-1.1v96c-10 3.2-17.6 4.6-27.8 4.6c-31.4 0-43.4-16-74.6-16c-10.2 0-18.2 1.8-25.6 4v32c7.4-2.4 15.4-4 25.6-4c31.4 0 43.2 16 74.6 16c18.6 0 28.2-4.8 59.8-16V152c-31.6 11.2-41.2 16-59.8 16C244.8 168 232.8 152 201.6 152zM384 32H64C28.7 32 0 60.7 0 96v320c0 35.3 28.7 64 64 64h320c35.3 0 64-28.7 64-64V96C448 60.7 419.3 32 384 32zM416 416c0 17.6-14.4 32-32 32H64c-17.6 0-32-14.4-32-32V96c0-17.6 14.4-32 32-32h320c17.6 0 32 14.4 32 32V416z"],
    "square-git": [448, 512, ["git-square"], "f1d2", "M100.6 334.2c48.57 3.31 58.95 2.11 58.95 11.94 0 20-65.55 20.06-65.55 1.52 .01-5.09 3.29-9.4 6.6-13.46zm27.95-116.6c-32.29 0-33.75 44.47-.75 44.47 32.51 0 31.71-44.47 .75-44.47zM448 80v352a48 48 0 0 1 -48 48H48a48 48 0 0 1 -48-48V80a48 48 0 0 1 48-48h352a48 48 0 0 1 48 48zm-227 69.31c0 14.49 8.38 22.88 22.86 22.88 14.74 0 23.13-8.39 23.13-22.88S258.6 127 243.9 127c-14.48 0-22.88 7.84-22.88 22.31zM199.2 195h-49.55c-25-6.55-81.56-4.85-81.56 46.75 0 18.8 9.4 32 21.85 38.11C74.23 294.2 66.8 301 66.8 310.6c0 6.87 2.79 13.22 11.18 16.76-8.9 8.4-14 14.48-14 25.92C64 373.4 81.53 385 127.5 385c44.22 0 69.87-16.51 69.87-45.73 0-36.67-28.23-35.32-94.77-39.38l8.38-13.43c17 4.74 74.19 6.23 74.19-42.43 0-11.69-4.83-19.82-9.4-25.67l23.38-1.78zm84.34 109.8l-13-1.78c-3.82-.51-4.07-1-4.07-5.09V192.5h-52.6l-2.79 20.57c15.75 5.55 17 4.86 17 10.17V298c0 5.62-.31 4.58-17 6.87v20.06h72.42zM384 315l-6.87-22.37c-40.93 15.37-37.85-12.41-37.85-16.73v-60.72h37.85v-25.41h-35.82c-2.87 0-2 2.52-2-38.63h-24.18c-2.79 27.7-11.68 38.88-34 41.42v22.62c20.47 0 19.82-.85 19.82 2.54v66.57c0 28.72 11.43 40.91 41.67 40.91 14.45 0 30.45-4.83 41.38-10.2z"],
    "square-github": [448, 512, ["github-square"], "f092", "M400 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zM277.3 415.7c-8.4 1.5-11.5-3.7-11.5-8 0-5.4 .2-33 .2-55.3 0-15.6-5.2-25.5-11.3-30.7 37-4.1 76-9.2 76-73.1 0-18.2-6.5-27.3-17.1-39 1.7-4.3 7.4-22-1.7-45-13.9-4.3-45.7 17.9-45.7 17.9-13.2-3.7-27.5-5.6-41.6-5.6-14.1 0-28.4 1.9-41.6 5.6 0 0-31.8-22.2-45.7-17.9-9.1 22.9-3.5 40.6-1.7 45-10.6 11.7-15.6 20.8-15.6 39 0 63.6 37.3 69 74.3 73.1-4.8 4.3-9.1 11.7-10.6 22.3-9.5 4.3-33.8 11.7-48.3-13.9-9.1-15.8-25.5-17.1-25.5-17.1-16.2-.2-1.1 10.2-1.1 10.2 10.8 5 18.4 24.2 18.4 24.2 9.7 29.7 56.1 19.7 56.1 19.7 0 13.9 .2 36.5 .2 40.6 0 4.3-3 9.5-11.5 8-66-22.1-112.2-84.9-112.2-158.3 0-91.8 70.2-161.5 162-161.5S388 165.6 388 257.4c.1 73.4-44.7 136.3-110.7 158.3zm-98.1-61.1c-1.9 .4-3.7-.4-3.9-1.7-.2-1.5 1.1-2.8 3-3.2 1.9-.2 3.7 .6 3.9 1.9 .3 1.3-1 2.6-3 3zm-9.5-.9c0 1.3-1.5 2.4-3.5 2.4-2.2 .2-3.7-.9-3.7-2.4 0-1.3 1.5-2.4 3.5-2.4 1.9-.2 3.7 .9 3.7 2.4zm-13.7-1.1c-.4 1.3-2.4 1.9-4.1 1.3-1.9-.4-3.2-1.9-2.8-3.2 .4-1.3 2.4-1.9 4.1-1.5 2 .6 3.3 2.1 2.8 3.4zm-12.3-5.4c-.9 1.1-2.8 .9-4.3-.6-1.5-1.3-1.9-3.2-.9-4.1 .9-1.1 2.8-.9 4.3 .6 1.3 1.3 1.8 3.3 .9 4.1zm-9.1-9.1c-.9 .6-2.6 0-3.7-1.5s-1.1-3.2 0-3.9c1.1-.9 2.8-.2 3.7 1.3 1.1 1.5 1.1 3.3 0 4.1zm-6.5-9.7c-.9 .9-2.4 .4-3.5-.6-1.1-1.3-1.3-2.8-.4-3.5 .9-.9 2.4-.4 3.5 .6 1.1 1.3 1.3 2.8 .4 3.5zm-6.7-7.4c-.4 .9-1.7 1.1-2.8 .4-1.3-.6-1.9-1.7-1.5-2.6 .4-.6 1.5-.9 2.8-.4 1.3 .7 1.9 1.8 1.5 2.6z"],
    "square-gitlab": [448, 512, ["gitlab-square"], "e5ae", "M48 32H400C426.5 32 448 53.5 448 80V432C448 458.5 426.5 480 400 480H48C21.5 480 0 458.5 0 432V80C0 53.5 21.5 32 48 32zM382.1 224.9L337.5 108.5C336.6 106.2 334.9 104.2 332.9 102.9C331.3 101.9 329.5 101.3 327.7 101.1C325.9 100.9 324 101.2 322.3 101.8C320.6 102.5 319 103.5 317.8 104.9C316.6 106.3 315.7 107.9 315.2 109.7L285 201.9H162.1L132.9 109.7C132.4 107.9 131.4 106.3 130.2 104.9C128.1 103.6 127.4 102.5 125.7 101.9C123.1 101.2 122.1 100.1 120.3 101.1C118.5 101.3 116.7 101.9 115.1 102.9C113.1 104.2 111.5 106.2 110.6 108.5L65.94 224.9L65.47 226.1C59.05 242.9 58.26 261.3 63.22 278.6C68.18 295.9 78.62 311.1 92.97 321.9L93.14 322L93.52 322.3L161.4 373.2L215.6 414.1C217.1 415.1 220.9 416.9 223.9 416.9C226.9 416.9 229.9 415.1 232.3 414.1L286.4 373.2L354.8 322L355 321.9C369.4 311 379.8 295.8 384.8 278.6C389.7 261.3 388.1 242.9 382.5 226.1L382.1 224.9z"],
    "square-google-plus": [448, 512, ["google-plus-square"], "f0d4", "M400 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zM164 356c-55.3 0-100-44.7-100-100s44.7-100 100-100c27 0 49.5 9.8 67 26.2l-27.1 26.1c-7.4-7.1-20.3-15.4-39.8-15.4-34.1 0-61.9 28.2-61.9 63.2 0 34.9 27.8 63.2 61.9 63.2 39.6 0 54.4-28.5 56.8-43.1H164v-34.4h94.4c1 5 1.6 10.1 1.6 16.6 0 57.1-38.3 97.6-96 97.6zm220-81.8h-29v29h-29.2v-29h-29V245h29v-29H355v29h29v29.2z"],
    "square-hacker-news": [448, 512, ["hacker-news-square"], "f3af", "M400 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zM21.2 229.2H21c.1-.1 .2-.3 .3-.4 0 .1 0 .3-.1 .4zm218 53.9V384h-31.4V281.3L128 128h37.3c52.5 98.3 49.2 101.2 59.3 125.6 12.3-27 5.8-24.4 60.6-125.6H320l-80.8 155.1z"],
    "square-instagram": [448, 512, ["instagram-square"], "e055", "M224 202.7A53.34 53.34 0 1 0 277.4 256 53.38 53.38 0 0 0 224 202.7zm124.7-41a54 54 0 0 0 -30.41-30.41c-21-8.29-71-6.43-94.3-6.43s-73.25-1.93-94.31 6.43a54 54 0 0 0 -30.41 30.41c-8.28 21-6.43 71.05-6.43 94.33S91 329.3 99.32 350.3a54 54 0 0 0 30.41 30.41c21 8.29 71 6.43 94.31 6.43s73.24 1.93 94.3-6.43a54 54 0 0 0 30.41-30.41c8.35-21 6.43-71.05 6.43-94.33S357.1 182.7 348.8 161.7zM224 338a82 82 0 1 1 82-82A81.9 81.9 0 0 1 224 338zm85.38-148.3a19.14 19.14 0 1 1 19.13-19.14A19.1 19.1 0 0 1 309.4 189.7zM400 32H48A48 48 0 0 0 0 80V432a48 48 0 0 0 48 48H400a48 48 0 0 0 48-48V80A48 48 0 0 0 400 32zM382.9 322c-1.29 25.63-7.14 48.34-25.85 67s-41.4 24.63-67 25.85c-26.41 1.49-105.6 1.49-132 0-25.63-1.29-48.26-7.15-67-25.85s-24.63-41.42-25.85-67c-1.49-26.42-1.49-105.6 0-132 1.29-25.63 7.07-48.34 25.85-67s41.47-24.56 67-25.78c26.41-1.49 105.6-1.49 132 0 25.63 1.29 48.33 7.15 67 25.85s24.63 41.42 25.85 67.05C384.4 216.4 384.4 295.6 382.9 322z"],
    "square-js": [448, 512, ["js-square"], "f3b9", "M400 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zM243.8 381.4c0 43.6-25.6 63.5-62.9 63.5-33.7 0-53.2-17.4-63.2-38.5l34.3-20.7c6.6 11.7 12.6 21.6 27.1 21.6 13.8 0 22.6-5.4 22.6-26.5V237.7h42.1v143.7zm99.6 63.5c-39.1 0-64.4-18.6-76.7-43l34.3-19.8c9 14.7 20.8 25.6 41.5 25.6 17.4 0 28.6-8.7 28.6-20.8 0-14.4-11.4-19.5-30.7-28l-10.5-4.5c-30.4-12.9-50.5-29.2-50.5-63.5 0-31.6 24.1-55.6 61.6-55.6 26.8 0 46 9.3 59.8 33.7L368 290c-7.2-12.9-15-18-27.1-18-12.3 0-20.1 7.8-20.1 18 0 12.6 7.8 17.7 25.9 25.6l10.5 4.5c35.8 15.3 55.9 31 55.9 66.2 0 37.8-29.8 58.6-69.7 58.6z"],
    "square-lastfm": [448, 512, ["lastfm-square"], "f203", "M400 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zm-92.2 312.9c-63.4 0-85.4-28.6-97.1-64.1-16.3-51-21.5-84.3-63-84.3-22.4 0-45.1 16.1-45.1 61.2 0 35.2 18 57.2 43.3 57.2 28.6 0 47.6-21.3 47.6-21.3l11.7 31.9s-19.8 19.4-61.2 19.4c-51.3 0-79.9-30.1-79.9-85.8 0-57.9 28.6-92 82.5-92 73.5 0 80.8 41.4 100.8 101.9 8.8 26.8 24.2 46.2 61.2 46.2 24.9 0 38.1-5.5 38.1-19.1 0-19.9-21.8-22-49.9-28.6-30.4-7.3-42.5-23.1-42.5-48 0-40 32.3-52.4 65.2-52.4 37.4 0 60.1 13.6 63 46.6l-36.7 4.4c-1.5-15.8-11-22.4-28.6-22.4-16.1 0-26 7.3-26 19.8 0 11 4.8 17.6 20.9 21.3 32.7 7.1 71.8 12 71.8 57.5 .1 36.7-30.7 50.6-76.1 50.6z"],
    "square-odnoklassniki": [448, 512, ["odnoklassniki-square"], "f264", "M184.2 177.1c0-22.1 17.9-40 39.8-40s39.8 17.9 39.8 40c0 22-17.9 39.8-39.8 39.8s-39.8-17.9-39.8-39.8zM448 80v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V80c0-26.5 21.5-48 48-48h352c26.5 0 48 21.5 48 48zm-305.1 97.1c0 44.6 36.4 80.9 81.1 80.9s81.1-36.2 81.1-80.9c0-44.8-36.4-81.1-81.1-81.1s-81.1 36.2-81.1 81.1zm174.5 90.7c-4.6-9.1-17.3-16.8-34.1-3.6 0 0-22.7 18-59.3 18s-59.3-18-59.3-18c-16.8-13.2-29.5-5.5-34.1 3.6-7.9 16.1 1.1 23.7 21.4 37 17.3 11.1 41.2 15.2 56.6 16.8l-12.9 12.9c-18.2 18-35.5 35.5-47.7 47.7-17.6 17.6 10.7 45.8 28.4 28.6l47.7-47.9c18.2 18.2 35.7 35.7 47.7 47.9 17.6 17.2 46-10.7 28.6-28.6l-47.7-47.7-13-12.9c15.5-1.6 39.1-5.9 56.2-16.8 20.4-13.3 29.3-21 21.5-37z"],
    "square-pied-piper": [448, 512, ["pied-piper-square"], "e01e", "M32 419L0 479.2l.8-328C.8 85.3 54 32 120 32h327.2c-93 28.9-189.9 94.2-253.9 168.6C122.7 282 82.6 338 32 419M448 32S305.2 98.8 261.6 199.1c-23.2 53.6-28.9 118.1-71 158.6-28.9 27.8-69.8 38.2-105.3 56.3-23.2 12-66.4 40.5-84.9 66h328.4c66 0 119.3-53.3 119.3-119.2-.1 0-.1-328.8-.1-328.8z"],
    "square-pinterest": [448, 512, ["pinterest-square"], "f0d3", "M448 80v352c0 26.5-21.5 48-48 48H154.4c9.8-16.4 22.4-40 27.4-59.3 3-11.5 15.3-58.4 15.3-58.4 8 15.3 31.4 28.2 56.3 28.2 74.1 0 127.4-68.1 127.4-152.7 0-81.1-66.2-141.8-151.4-141.8-106 0-162.2 71.1-162.2 148.6 0 36 19.2 80.8 49.8 95.1 4.7 2.2 7.1 1.2 8.2-3.3 .8-3.4 5-20.1 6.8-27.8 .6-2.5 .3-4.6-1.7-7-10.1-12.3-18.3-34.9-18.3-56 0-54.2 41-106.6 110.9-106.6 60.3 0 102.6 41.1 102.6 99.9 0 66.4-33.5 112.4-77.2 112.4-24.1 0-42.1-19.9-36.4-44.4 6.9-29.2 20.3-60.7 20.3-81.8 0-53-75.5-45.7-75.5 25 0 21.7 7.3 36.5 7.3 36.5-31.4 132.8-36.1 134.5-29.6 192.6l2.2 .8H48c-26.5 0-48-21.5-48-48V80c0-26.5 21.5-48 48-48h352c26.5 0 48 21.5 48 48z"],
    "square-reddit": [448, 512, ["reddit-square"], "f1a2", "M283.2 345.5c2.7 2.7 2.7 6.8 0 9.2-24.5 24.5-93.8 24.6-118.4 0-2.7-2.4-2.7-6.5 0-9.2 2.4-2.4 6.5-2.4 8.9 0 18.7 19.2 81 19.6 100.5 0 2.4-2.3 6.6-2.3 9 0zm-91.3-53.8c0-14.9-11.9-26.8-26.5-26.8-14.9 0-26.8 11.9-26.8 26.8 0 14.6 11.9 26.5 26.8 26.5 14.6 0 26.5-11.9 26.5-26.5zm90.7-26.8c-14.6 0-26.5 11.9-26.5 26.8 0 14.6 11.9 26.5 26.5 26.5 14.9 0 26.8-11.9 26.8-26.5 0-14.9-11.9-26.8-26.8-26.8zM448 80v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V80c0-26.5 21.5-48 48-48h352c26.5 0 48 21.5 48 48zm-99.7 140.6c-10.1 0-19 4.2-25.6 10.7-24.1-16.7-56.5-27.4-92.5-28.6l18.7-84.2 59.5 13.4c0 14.6 11.9 26.5 26.5 26.5 14.9 0 26.8-12.2 26.8-26.8 0-14.6-11.9-26.8-26.8-26.8-10.4 0-19.3 6.2-23.8 14.9l-65.7-14.6c-3.3-.9-6.5 1.5-7.4 4.8l-20.5 92.8c-35.7 1.5-67.8 12.2-91.9 28.9-6.5-6.8-15.8-11-25.9-11-37.5 0-49.8 50.4-15.5 67.5-1.2 5.4-1.8 11-1.8 16.7 0 56.5 63.7 102.3 141.9 102.3 78.5 0 142.2-45.8 142.2-102.3 0-5.7-.6-11.6-2.1-17 33.6-17.2 21.2-67.2-16.1-67.2z"],
    "square-snapchat": [448, 512, ["snapchat-square"], "f2ad", "M384 32H64A64 64 0 0 0 0 96V416a64 64 0 0 0 64 64H384a64 64 0 0 0 64-64V96A64 64 0 0 0 384 32zm-3.907 319.3-.083 .1a32.36 32.36 0 0 1 -8.717 6.823 90.26 90.26 0 0 1 -20.59 8.2 12.69 12.69 0 0 0 -3.852 1.76c-2.158 1.909-2.1 4.64-4.4 8.55a23.14 23.14 0 0 1 -6.84 7.471c-6.707 4.632-14.24 4.923-22.23 5.23-7.214 .274-15.39 .581-24.73 3.669-3.761 1.245-7.753 3.694-12.38 6.533-11.27 6.9-26.68 16.35-52.3 16.35s-40.92-9.4-52.11-16.28c-4.657-2.888-8.675-5.362-12.54-6.64-9.339-3.08-17.52-3.4-24.73-3.67-7.986-.307-15.52-.6-22.23-5.229a23.08 23.08 0 0 1 -6.01-6.11c-3.2-4.632-2.855-7.8-5.254-9.895a13.43 13.43 0 0 0 -4.1-1.834 89.99 89.99 0 0 1 -20.31-8.127 32.9 32.9 0 0 1 -8.3-6.284c-6.583-6.757-8.276-14.78-5.686-21.82 3.436-9.338 11.57-12.11 19.4-16.26 14.78-8.027 26.35-18.06 34.43-29.88a68.24 68.24 0 0 0 5.985-10.57c.789-2.158 .772-3.329 .241-4.416a7.386 7.386 0 0 0 -2.208-2.217c-2.532-1.676-5.113-3.353-6.882-4.5-3.27-2.141-5.868-3.818-7.529-4.98-6.267-4.383-10.65-9.04-13.4-14.24a28.4 28.4 0 0 1 -1.369-23.58c4.134-10.92 14.47-17.71 26.98-17.71a37.14 37.14 0 0 1 7.845 .83c.689 .15 1.37 .307 2.042 .482-.108-7.43 .058-15.36 .722-23.12 2.358-27.26 11.91-41.59 21.87-52.99a86.84 86.84 0 0 1 22.28-17.93C188.3 100.4 205.3 96 224 96s35.83 4.383 50.94 13.02a87.17 87.17 0 0 1 22.24 17.9c9.961 11.41 19.52 25.71 21.87 52.99a231.2 231.2 0 0 1 .713 23.12c.673-.174 1.362-.332 2.051-.481a37.13 37.13 0 0 1 7.844-.83c12.5 0 22.82 6.782 26.97 17.71a28.37 28.37 0 0 1 -1.4 23.56c-2.74 5.2-7.123 9.861-13.39 14.24-1.668 1.187-4.258 2.864-7.529 4.981-1.835 1.187-4.541 2.947-7.164 4.682a6.856 6.856 0 0 0 -1.951 2.034c-.506 1.046-.539 2.191 .166 4.208a69.01 69.01 0 0 0 6.085 10.79c8.268 12.1 20.19 22.31 35.45 30.41 1.486 .772 2.98 1.5 4.441 2.258 .722 .332 1.569 .763 2.491 1.3 4.9 2.723 9.2 6.01 11.45 12.15C387.8 336.9 386.3 344.7 380.1 351.3zm-16.72-18.46c-50.31-24.31-58.33-61.92-58.69-64.75-.431-3.379-.921-6.035 2.806-9.472 3.594-3.328 19.54-13.19 23.97-16.28 7.33-5.114 10.53-10.22 8.16-16.5-1.66-4.316-5.686-5.976-9.961-5.976a18.5 18.5 0 0 0 -3.993 .448c-8.035 1.743-15.84 5.769-20.35 6.857a7.1 7.1 0 0 1 -1.66 .224c-2.408 0-3.279-1.071-3.088-3.968 .564-8.783 1.759-25.92 .373-41.94-1.884-22.03-8.99-32.95-17.43-42.6-4.051-4.624-23.14-24.65-59.54-24.65S168.5 134.4 164.5 139c-8.434 9.654-15.53 20.57-17.43 42.6-1.386 16.01-.141 33.15 .373 41.94 .166 2.756-.68 3.968-3.088 3.968a7.1 7.1 0 0 1 -1.66-.224c-4.507-1.087-12.31-5.113-20.35-6.856a18.49 18.49 0 0 0 -3.993-.449c-4.25 0-8.3 1.636-9.961 5.977-2.374 6.276 .847 11.38 8.168 16.49 4.425 3.088 20.37 12.96 23.97 16.28 3.719 3.437 3.237 6.093 2.805 9.471-.356 2.79-8.384 40.39-58.69 64.75-2.946 1.428-7.96 4.45 .88 9.331 13.88 7.628 23.11 6.807 30.3 11.43 6.093 3.927 2.5 12.39 6.923 15.45 5.454 3.76 21.58-.266 42.33 6.6 17.43 5.744 28.12 22.01 58.96 22.01s41.79-16.3 58.94-21.97c20.8-6.865 36.89-2.839 42.34-6.6 4.433-3.055 .822-11.52 6.923-15.45 7.181-4.624 16.41-3.8 30.3-11.47C371.4 337.4 366.3 334.3 363.4 332.8z"],
    "square-steam": [448, 512, ["steam-square"], "f1b7", "M185.2 356.5c7.7-18.5-1-39.7-19.6-47.4l-29.5-12.2c11.4-4.3 24.3-4.5 36.4 .5 12.2 5.1 21.6 14.6 26.7 26.7 5 12.2 5 25.6-.1 37.7-10.5 25.1-39.4 37-64.6 26.5-11.6-4.8-20.4-13.6-25.4-24.2l28.5 11.8c18.6 7.8 39.9-.9 47.6-19.4zM400 32H48C21.5 32 0 53.5 0 80v160.7l116.6 48.1c12-8.2 26.2-12.1 40.7-11.3l55.4-80.2v-1.1c0-48.2 39.3-87.5 87.6-87.5s87.6 39.3 87.6 87.5c0 49.2-40.9 88.7-89.6 87.5l-79 56.3c1.6 38.5-29.1 68.8-65.7 68.8-31.8 0-58.5-22.7-64.5-52.7L0 319.2V432c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zm-99.7 222.5c-32.2 0-58.4-26.1-58.4-58.3s26.2-58.3 58.4-58.3 58.4 26.2 58.4 58.3-26.2 58.3-58.4 58.3zm.1-14.6c24.2 0 43.9-19.6 43.9-43.8 0-24.2-19.6-43.8-43.9-43.8-24.2 0-43.9 19.6-43.9 43.8 0 24.2 19.7 43.8 43.9 43.8z"],
    "square-tumblr": [448, 512, ["tumblr-square"], "f174", "M400 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zm-82.3 364.2c-8.5 9.1-31.2 19.8-60.9 19.8-75.5 0-91.9-55.5-91.9-87.9v-90h-29.7c-3.4 0-6.2-2.8-6.2-6.2v-42.5c0-4.5 2.8-8.5 7.1-10 38.8-13.7 50.9-47.5 52.7-73.2 .5-6.9 4.1-10.2 10-10.2h44.3c3.4 0 6.2 2.8 6.2 6.2v72h51.9c3.4 0 6.2 2.8 6.2 6.2v51.1c0 3.4-2.8 6.2-6.2 6.2h-52.1V321c0 21.4 14.8 33.5 42.5 22.4 3-1.2 5.6-2 8-1.4 2.2 .5 3.6 2.1 4.6 4.9l13.8 40.2c1 3.2 2 6.7-.3 9.1z"],
    "square-twitter": [448, 512, ["twitter-square"], "f081", "M400 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zm-48.9 158.8c.2 2.8 .2 5.7 .2 8.5 0 86.7-66 186.6-186.6 186.6-37.2 0-71.7-10.8-100.7-29.4 5.3 .6 10.4 .8 15.8 .8 30.7 0 58.9-10.4 81.4-28-28.8-.6-53-19.5-61.3-45.5 10.1 1.5 19.2 1.5 29.6-1.2-30-6.1-52.5-32.5-52.5-64.4v-.8c8.7 4.9 18.9 7.9 29.6 8.3a65.45 65.45 0 0 1 -29.2-54.6c0-12.2 3.2-23.4 8.9-33.1 32.3 39.8 80.8 65.8 135.2 68.6-9.3-44.5 24-80.6 64-80.6 18.9 0 35.9 7.9 47.9 20.7 14.8-2.8 29-8.3 41.6-15.8-4.9 15.2-15.2 28-28.8 36.1 13.2-1.4 26-5.1 37.8-10.2-8.9 13.1-20.1 24.7-32.9 34z"],
    "square-viadeo": [448, 512, ["viadeo-square"], "f2aa", "M400 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zM280.7 381.2c-42.4 46.2-120 46.6-162.4 0-68-73.6-19.8-196.1 81.2-196.1 13.3 0 26.6 2.1 39.1 6.7-4.3 8.4-7.3 17.6-8.4 27.1-9.7-4.1-20.2-6-30.7-6-48.8 0-84.6 41.7-84.6 88.9 0 43 28.5 78.7 69.5 85.9 61.5-24 72.9-117.6 72.9-175 0-7.3 0-14.8-.6-22.1-11.2-32.9-26.6-64.6-44.2-94.5 27.1 18.3 41.9 62.5 44.2 94.1v.4c7.7 22.5 11.8 46.2 11.8 70 0 54.1-21.9 99-68.3 128.2l-2.4 .2c50 1 86.2-38.6 86.2-87.2 0-12.2-2.1-24.3-6.9-35.7 9.5-1.9 18.5-5.6 26.4-10.5 15.3 36.6 12.6 87.3-22.8 125.6zM309 233.7c-13.3 0-25.1-7.1-34.4-16.1 21.9-12 49.6-30.7 62.3-53 1.5-3 4.1-8.6 4.5-12-12.5 27.9-44.2 49.8-73.9 56.7-4.7-7.3-7.5-15.5-7.5-24.3 0-10.3 5.2-24.1 12.9-31.6 21.6-20.5 53-8.5 72.4-50 32.5 46.2 13.1 130.3-36.3 130.3z"],
    "square-vimeo": [448, 512, ["vimeo-square"], "f194", "M400 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zm-16.2 149.6c-1.4 31.1-23.2 73.8-65.3 127.9-43.5 56.5-80.3 84.8-110.4 84.8-18.7 0-34.4-17.2-47.3-51.6-25.2-92.3-35.9-146.4-56.7-146.4-2.4 0-10.8 5-25.1 15.1L64 192c36.9-32.4 72.1-68.4 94.1-70.4 24.9-2.4 40.2 14.6 46 51.1 20.5 129.6 29.6 149.2 66.8 90.5 13.4-21.2 20.6-37.2 21.5-48.3 3.4-32.8-25.6-30.6-45.2-22.2 15.7-51.5 45.8-76.5 90.1-75.1 32.9 1 48.4 22.4 46.5 64z"],
    "square-whatsapp": [448, 512, ["whatsapp-square"], "f40c", "M224 122.8c-72.7 0-131.8 59.1-131.9 131.8 0 24.9 7 49.2 20.2 70.1l3.1 5-13.3 48.6 49.9-13.1 4.8 2.9c20.2 12 43.4 18.4 67.1 18.4h.1c72.6 0 133.3-59.1 133.3-131.8 0-35.2-15.2-68.3-40.1-93.2-25-25-58-38.7-93.2-38.7zm77.5 188.4c-3.3 9.3-19.1 17.7-26.7 18.8-12.6 1.9-22.4 .9-47.5-9.9-39.7-17.2-65.7-57.2-67.7-59.8-2-2.6-16.2-21.5-16.2-41s10.2-29.1 13.9-33.1c3.6-4 7.9-5 10.6-5 2.6 0 5.3 0 7.6 .1 2.4 .1 5.7-.9 8.9 6.8 3.3 7.9 11.2 27.4 12.2 29.4s1.7 4.3 .3 6.9c-7.6 15.2-15.7 14.6-11.6 21.6 15.3 26.3 30.6 35.4 53.9 47.1 4 2 6.3 1.7 8.6-1 2.3-2.6 9.9-11.6 12.5-15.5 2.6-4 5.3-3.3 8.9-2 3.6 1.3 23.1 10.9 27.1 12.9s6.6 3 7.6 4.6c.9 1.9 .9 9.9-2.4 19.1zM400 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zM223.9 413.2c-26.6 0-52.7-6.7-75.8-19.3L64 416l22.5-82.2c-13.9-24-21.2-51.3-21.2-79.3C65.4 167.1 136.5 96 223.9 96c42.4 0 82.2 16.5 112.2 46.5 29.9 30 47.9 69.8 47.9 112.2 0 87.4-72.7 158.5-160.1 158.5z"],
    "square-xing": [448, 512, ["xing-square"], "f169", "M400 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zM140.4 320.2H93.8c-5.5 0-8.7-5.3-6-10.3l49.3-86.7c.1 0 .1-.1 0-.2l-31.4-54c-3-5.6 .2-10.1 6-10.1h46.6c5.2 0 9.5 2.9 12.9 8.7l31.9 55.3c-1.3 2.3-18 31.7-50.1 88.2-3.5 6.2-7.7 9.1-12.6 9.1zm219.7-214.1L257.3 286.8v.2l65.5 119c2.8 5.1 .1 10.1-6 10.1h-46.6c-5.5 0-9.7-2.9-12.9-8.7l-66-120.3c2.3-4.1 36.8-64.9 103.4-182.3 3.3-5.8 7.4-8.7 12.5-8.7h46.9c5.7-.1 8.8 4.7 6 10z"],
    "square-youtube": [448, 512, [61798, "youtube-square"], "f431", "M186.8 202.1l95.2 54.1-95.2 54.1V202.1zM448 80v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V80c0-26.5 21.5-48 48-48h352c26.5 0 48 21.5 48 48zm-42 176.3s0-59.6-7.6-88.2c-4.2-15.8-16.5-28.2-32.2-32.4C337.9 128 224 128 224 128s-113.9 0-142.2 7.7c-15.7 4.2-28 16.6-32.2 32.4-7.6 28.5-7.6 88.2-7.6 88.2s0 59.6 7.6 88.2c4.2 15.8 16.5 27.7 32.2 31.9C110.1 384 224 384 224 384s113.9 0 142.2-7.7c15.7-4.2 28-16.1 32.2-31.9 7.6-28.5 7.6-88.1 7.6-88.1z"],
    "squarespace": [512, 512, [], "f5be", "M186.1 343.3c-9.65 9.65-9.65 25.29 0 34.94 9.65 9.65 25.29 9.65 34.94 0L378.2 221.1c19.29-19.29 50.57-19.29 69.86 0s19.29 50.57 0 69.86L293.1 445.1c19.27 19.29 50.53 19.31 69.82 .04l.04-.04 119.3-119.2c38.59-38.59 38.59-101.1 0-139.7-38.59-38.59-101.2-38.59-139.7 0l-157.2 157.2zm244.5-104.8c-9.65-9.65-25.29-9.65-34.93 0l-157.2 157.2c-19.27 19.29-50.53 19.31-69.82 .05l-.05-.05c-9.64-9.64-25.27-9.65-34.92-.01l-.01 .01c-9.65 9.64-9.66 25.28-.02 34.93l.02 .02c38.58 38.57 101.1 38.57 139.7 0l157.2-157.2c9.65-9.65 9.65-25.29 .01-34.93zm-261.1 87.33l157.2-157.2c9.64-9.65 9.64-25.29 0-34.94-9.64-9.64-25.27-9.64-34.91 0L133.7 290.9c-19.28 19.29-50.56 19.3-69.85 .01l-.01-.01c-19.29-19.28-19.31-50.54-.03-69.84l.03-.03L218 66.89c-19.28-19.29-50.55-19.3-69.85-.02l-.02 .02L28.93 186.1c-38.58 38.59-38.58 101.1 0 139.7 38.6 38.59 101.1 38.59 139.7 .01zm-87.33-52.4c9.64 9.64 25.27 9.64 34.91 0l157.2-157.2c19.28-19.29 50.55-19.3 69.84-.02l.02 .02c9.65 9.65 25.29 9.65 34.93 0 9.65-9.65 9.65-25.29 0-34.93-38.59-38.59-101.1-38.59-139.7 0L81.33 238.5c-9.65 9.64-9.65 25.28-.01 34.93h.01z"],
    "stack-exchange": [448, 512, [], "f18d", "M17.7 332.3h412.7v22c0 37.7-29.3 68-65.3 68h-19L259.3 512v-89.7H83c-36 0-65.3-30.3-65.3-68v-22zm0-23.6h412.7v-85H17.7v85zm0-109.4h412.7v-85H17.7v85zM365 0H83C47 0 17.7 30.3 17.7 67.7V90h412.7V67.7C430.3 30.3 401 0 365 0z"],
    "stack-overflow": [384, 512, [], "f16c", "M290.7 311L95 269.7 86.8 309l195.7 41zm51-87L188.2 95.7l-25.5 30.8 153.5 128.3zm-31.2 39.7L129.2 179l-16.7 36.5L293.7 300zM262 32l-32 24 119.3 160.3 32-24zm20.5 328h-200v39.7h200zm39.7 80H42.7V320h-40v160h359.5V320h-40z"],
    "stackpath": [448, 512, [], "f842", "M244.6 232.4c0 8.5-4.26 20.49-21.34 20.49h-19.61v-41.47h19.61c17.13 0 21.34 12.36 21.34 20.98zM448 32v448H0V32zM151.3 287.8c0-21.24-12.12-34.54-46.72-44.85-20.57-7.41-26-10.91-26-18.63s7-14.61 20.41-14.61c14.09 0 20.79 8.45 20.79 18.35h30.7l.19-.57c.5-19.57-15.06-41.65-51.12-41.65-23.37 0-52.55 10.75-52.55 38.29 0 19.4 9.25 31.29 50.74 44.37 17.26 6.15 21.91 10.4 21.91 19.48 0 15.2-19.13 14.23-19.47 14.23-20.4 0-25.65-9.1-25.65-21.9h-30.8l-.18 .56c-.68 31.32 28.38 45.22 56.63 45.22 29.98 0 51.12-13.55 51.12-38.29zm125.4-55.63c0-25.3-18.43-45.46-53.42-45.46h-51.78v138.2h32.17v-47.36h19.61c30.25 0 53.42-15.95 53.42-45.36zM297.9 325L347 186.8h-31.09L268 325zm106.5-138.2h-31.09L325.5 325h29.94z"],
    "staylinked": [440, 512, [], "f3f5", "M382.7 292.5l2.7 2.7-170-167.3c-3.5-3.5-9.7-3.7-13.8-.5L144.3 171c-4.2 3.2-4.6 8.7-1.1 12.2l68.1 64.3c3.6 3.5 9.9 3.7 14 .5l.1-.1c4.1-3.2 10.4-3 14 .5l84 81.3c3.6 3.5 3.2 9-.9 12.2l-93.2 74c-4.2 3.3-10.5 3.1-14.2-.4L63.2 268c-3.5-3.5-9.7-3.7-13.9-.5L3.5 302.4c-4.2 3.2-4.7 8.7-1.2 12.2L211 510.7s7.4 6.8 17.3-.8l198-163.9c4-3.2 4.4-8.7 .7-12.2zm54.5-83.4L226.7 2.5c-1.5-1.2-8-5.5-16.3 1.1L3.6 165.7c-4.2 3.2-4.8 8.7-1.2 12.2l42.3 41.7 171.7 165.1c3.7 3.5 10.1 3.7 14.3 .4l50.2-38.8-.3-.3 7.7-6c4.2-3.2 4.6-8.7 .9-12.2l-57.1-54.4c-3.6-3.5-10-3.7-14.2-.5l-.1 .1c-4.2 3.2-10.5 3.1-14.2-.4L109 180.8c-3.6-3.5-3.1-8.9 1.1-12.2l92.2-71.5c4.1-3.2 10.3-3 13.9 .5l160.4 159c3.7 3.5 10 3.7 14.1 .5l45.8-35.8c4.1-3.2 4.4-8.7 .7-12.2z"],
    "steam": [496, 512, [], "f1b6", "M496 256c0 137-111.2 248-248.4 248-113.8 0-209.6-76.3-239-180.4l95.2 39.3c6.4 32.1 34.9 56.4 68.9 56.4 39.2 0 71.9-32.4 70.2-73.5l84.5-60.2c52.1 1.3 95.8-40.9 95.8-93.5 0-51.6-42-93.5-93.7-93.5s-93.7 42-93.7 93.5v1.2L176.6 279c-15.5-.9-30.7 3.4-43.5 12.1L0 236.1C10.2 108.4 117.1 8 247.6 8 384.8 8 496 119 496 256zM155.7 384.3l-30.5-12.6a52.79 52.79 0 0 0 27.2 25.8c26.9 11.2 57.8-1.6 69-28.4 5.4-13 5.5-27.3 .1-40.3-5.4-13-15.5-23.2-28.5-28.6-12.9-5.4-26.7-5.2-38.9-.6l31.5 13c19.8 8.2 29.2 30.9 20.9 50.7-8.3 19.9-31 29.2-50.8 21zm173.8-129.9c-34.4 0-62.4-28-62.4-62.3s28-62.3 62.4-62.3 62.4 28 62.4 62.3-27.9 62.3-62.4 62.3zm.1-15.6c25.9 0 46.9-21 46.9-46.8 0-25.9-21-46.8-46.9-46.8s-46.9 21-46.9 46.8c.1 25.8 21.1 46.8 46.9 46.8z"],
    "steam-symbol": [448, 512, [], "f3f6", "M395.5 177.5c0 33.8-27.5 61-61 61-33.8 0-61-27.3-61-61s27.3-61 61-61c33.5 0 61 27.2 61 61zm52.5 .2c0 63-51 113.8-113.7 113.8L225 371.3c-4 43-40.5 76.8-84.5 76.8-40.5 0-74.7-28.8-83-67L0 358V250.7L97.2 290c15.1-9.2 32.2-13.3 52-11.5l71-101.7c.5-62.3 51.5-112.8 114-112.8C397 64 448 115 448 177.7zM203 363c0-34.7-27.8-62.5-62.5-62.5-4.5 0-9 .5-13.5 1.5l26 10.5c25.5 10.2 38 39 27.7 64.5-10.2 25.5-39.2 38-64.7 27.5-10.2-4-20.5-8.3-30.7-12.2 10.5 19.7 31.2 33.2 55.2 33.2 34.7 0 62.5-27.8 62.5-62.5zm207.5-185.3c0-42-34.3-76.2-76.2-76.2-42.3 0-76.5 34.2-76.5 76.2 0 42.2 34.3 76.2 76.5 76.2 41.9 .1 76.2-33.9 76.2-76.2z"],
    "sticker-mule": [576, 512, [], "f3f7", "M561.7 199.6c-1.3 .3 .3 0 0 0zm-6.2-77.4c-7.7-22.3-5.1-7.2-13.4-36.9-1.6-6.5-3.6-14.5-6.2-20-4.4-8.7-4.6-7.5-4.6-9.5 0-5.3 30.7-45.3 19-46.9-5.7-.6-12.2 11.6-20.6 17-8.6 4.2-8 5-10.3 5-2.6 0-5.7-3-6.2-5-2-5.7 1.9-25.9-3.6-25.9-3.6 0-12.3 24.8-17 25.8-5.2 1.3-27.9-11.4-75.1 18-25.3 13.2-86.9 65.2-87 65.3-6.7 4.7-20 4.7-35.5 16-44.4 30.1-109.6 9.4-110.7 9-110.6-26.8-128-15.2-159 11.5-20.8 17.9-23.7 36.5-24.2 38.9-4.2 20.4 5.2 48.3 6.7 64.3 1.8 19.3-2.7 17.7 7.7 98.3 .5 1 4.1 0 5.1 1.5 0 8.4-3.8 12.1-4.1 13-1.5 4.5-1.5 10.5 0 16 2.3 8.2 8.2 37.2 8.2 46.9 0 41.8 .4 44 2.6 49.4 3.9 10 12.5 9.1 17 12 3.1 3.5-.5 8.5 1 12.5 .5 2 3.6 4 6.2 5 9.2 3.6 27 .3 29.9-2.5 1.6-1.5 .5-4.5 3.1-5 5.1 0 10.8-.5 14.4-2.5 5.1-2.5 4.1-6 1.5-10.5-.4-.8-7-13.3-9.8-16-2.1-2-5.1-3-7.2-4.5-5.8-4.9-10.3-19.4-10.3-19.5-4.6-19.4-10.3-46.3-4.1-66.8 4.6-17.2 39.5-87.7 39.6-87.8 4.1-6.5 17-11.5 27.3-7 6 1.9 19.3 22 65.4 30.9 47.9 8.7 97.4-2 112.2-2 2.8 2-1.9 13-.5 38.9 0 26.4-.4 13.7-4.1 29.9-2.2 9.7 3.4 23.2-1.5 46.9-1.4 9.8-9.9 32.7-8.2 43.4 .5 1 1 2 1.5 3.5 .5 4.5 1.5 8.5 4.6 10 7.3 3.6 12-3.5 9.8 11.5-.7 3.1-2.6 12 1.5 15 4.4 3.7 30.6 3.4 36.5 .5 2.6-1.5 1.6-4.5 6.4-7.4 1.9-.9 11.3-.4 11.3-6.5 .3-1.8-9.2-19.9-9.3-20-2.6-3.5-9.2-4.5-11.3-8-6.9-10.1-1.7-52.6 .5-59.4 3-11 5.6-22.4 8.7-32.4 11-42.5 10.3-50.6 16.5-68.3 .8-1.8 6.4-23.1 10.3-29.9 9.3-17 21.7-32.4 33.5-47.4 18-22.9 34-46.9 52-69.8 6.1-7 8.2-13.7 18-8 10.8 5.7 21.6 7 31.9 17 14.6 12.8 10.2 18.2 11.8 22.9 1.5 5 7.7 10.5 14.9 9.5 10.4-2 13-2.5 13.4-2.5 2.6-.5 5.7-5 7.2-8 3.1-5.5 7.2-9 7.2-16.5 0-7.7-.4-2.8-20.6-52.9z"],
    "strava": [384, 512, [], "f428", "M158.4 0L7 292h89.2l62.2-116.1L220.1 292h88.5zm150.2 292l-43.9 88.2-44.6-88.2h-67.6l112.2 220 111.5-220z"],
    "stripe": [640, 512, [], "f429", "M165 144.7l-43.3 9.2-.2 142.4c0 26.3 19.8 43.3 46.1 43.3 14.6 0 25.3-2.7 31.2-5.9v-33.8c-5.7 2.3-33.7 10.5-33.7-15.7V221h33.7v-37.8h-33.7zm89.1 51.6l-2.7-13.1H213v153.2h44.3V233.3c10.5-13.8 28.2-11.1 33.9-9.3v-40.8c-6-2.1-26.7-6-37.1 13.1zm92.3-72.3l-44.6 9.5v36.2l44.6-9.5zM44.9 228.3c0-6.9 5.8-9.6 15.1-9.7 13.5 0 30.7 4.1 44.2 11.4v-41.8c-14.7-5.8-29.4-8.1-44.1-8.1-36 0-60 18.8-60 50.2 0 49.2 67.5 41.2 67.5 62.4 0 8.2-7.1 10.9-17 10.9-14.7 0-33.7-6.1-48.6-14.2v40c16.5 7.1 33.2 10.1 48.5 10.1 36.9 0 62.3-15.8 62.3-47.8 0-52.9-67.9-43.4-67.9-63.4zM640 261.6c0-45.5-22-81.4-64.2-81.4s-67.9 35.9-67.9 81.1c0 53.5 30.3 78.2 73.5 78.2 21.2 0 37.1-4.8 49.2-11.5v-33.4c-12.1 6.1-26 9.8-43.6 9.8-17.3 0-32.5-6.1-34.5-26.9h86.9c.2-2.3 .6-11.6 .6-15.9zm-87.9-16.8c0-20 12.3-28.4 23.4-28.4 10.9 0 22.5 8.4 22.5 28.4zm-112.9-64.6c-17.4 0-28.6 8.2-34.8 13.9l-2.3-11H363v204.8l44.4-9.4 .1-50.2c6.4 4.7 15.9 11.2 31.4 11.2 31.8 0 60.8-23.2 60.8-79.6 .1-51.6-29.3-79.7-60.5-79.7zm-10.6 122.5c-10.4 0-16.6-3.8-20.9-8.4l-.3-66c4.6-5.1 11-8.8 21.2-8.8 16.2 0 27.4 18.2 27.4 41.4 .1 23.9-10.9 41.8-27.4 41.8zm-126.7 33.7h44.6V183.2h-44.6z"],
    "stripe-s": [384, 512, [], "f42a", "M155.3 154.6c0-22.3 18.6-30.9 48.4-30.9 43.4 0 98.5 13.3 141.9 36.7V26.1C298.3 7.2 251.1 0 203.8 0 88.1 0 11 60.4 11 161.4c0 157.9 216.8 132.3 216.8 200.4 0 26.4-22.9 34.9-54.7 34.9-47.2 0-108.2-19.5-156.1-45.5v128.5a396.1 396.1 0 0 0 156 32.4c118.6 0 200.3-51 200.3-153.6 0-170.2-218-139.7-218-203.9z"],
    "studiovinari": [512, 512, [], "f3f8", "M480.3 187.7l4.2 28v28l-25.1 44.1-39.8 78.4-56.1 67.5-79.1 37.8-17.7 24.5-7.7 12-9.6 4s17.3-63.6 19.4-63.6c2.1 0 20.3 .7 20.3 .7l66.7-38.6-92.5 26.1-55.9 36.8-22.8 28-6.6 1.4 20.8-73.6 6.9-5.5 20.7 12.9 88.3-45.2 56.8-51.5 14.8-68.4-125.4 23.3 15.2-18.2-173.4-53.3 81.9-10.5-166-122.9L133.5 108 32.2 0l252.9 126.6-31.5-38L378 163 234.7 64l18.7 38.4-49.6-18.1L158.3 0l194.6 122L310 66.2l108 96.4 12-8.9-21-16.4 4.2-37.8L451 89.1l29.2 24.7 11.5 4.2-7 6.2 8.5 12-13.1 7.4-10.3 20.2 10.5 23.9z"],
    "stumbleupon": [512, 512, [], "f1a4", "M502.9 266v69.7c0 62.1-50.3 112.4-112.4 112.4-61.8 0-112.4-49.8-112.4-111.3v-70.2l34.3 16 51.1-15.2V338c0 14.7 12 26.5 26.7 26.5S417 352.7 417 338v-72h85.9zm-224.7-58.2l34.3 16 51.1-15.2V173c0-60.5-51.1-109-112.1-109-60.8 0-112.1 48.2-112.1 108.2v162.4c0 14.9-12 26.7-26.7 26.7S86 349.5 86 334.6V266H0v69.7C0 397.7 50.3 448 112.4 448c61.6 0 112.4-49.5 112.4-110.8V176.9c0-14.7 12-26.7 26.7-26.7s26.7 12 26.7 26.7v30.9z"],
    "stumbleupon-circle": [496, 512, [], "f1a3", "M256 8C119 8 8 119 8 256s111 248 248 248 248-111 248-248S393 8 256 8zm0 177.5c-9.8 0-17.8 8-17.8 17.8v106.9c0 40.9-33.9 73.9-74.9 73.9-41.4 0-74.9-33.5-74.9-74.9v-46.5h57.3v45.8c0 10 8 17.8 17.8 17.8s17.8-7.9 17.8-17.8V200.1c0-40 34.2-72.1 74.7-72.1 40.7 0 74.7 32.3 74.7 72.6v23.7l-34.1 10.1-22.9-10.7v-20.6c.1-9.6-7.9-17.6-17.7-17.6zm167.6 123.6c0 41.4-33.5 74.9-74.9 74.9-41.2 0-74.9-33.2-74.9-74.2V263l22.9 10.7 34.1-10.1v47.1c0 9.8 8 17.6 17.8 17.6s17.8-7.9 17.8-17.6v-48h57.3c-.1 45.9-.1 46.4-.1 46.4z"],
    "superpowers": [448, 512, [], "f2dd", "M448 32c-83.3 11-166.8 22-250 33-92 12.5-163.3 86.7-169 180-3.3 55.5 18 109.5 57.8 148.2L0 480c83.3-11 166.5-22 249.8-33 91.8-12.5 163.3-86.8 168.7-179.8 3.5-55.5-18-109.5-57.7-148.2L448 32zm-79.7 232.3c-4.2 79.5-74 139.2-152.8 134.5-79.5-4.7-140.7-71-136.3-151 4.5-79.2 74.3-139.3 153-134.5 79.3 4.7 140.5 71 136.1 151z"],
    "supple": [640, 512, [], "f3f9", "M640 262.5c0 64.1-109 116.1-243.5 116.1-24.8 0-48.6-1.8-71.1-5 7.7 .4 15.5 .6 23.4 .6 134.5 0 243.5-56.9 243.5-127.1 0-29.4-19.1-56.4-51.2-78 60 21.1 98.9 55.1 98.9 93.4zM47.7 227.9c-.1-70.2 108.8-127.3 243.3-127.6 7.9 0 15.6 .2 23.3 .5-22.5-3.2-46.3-4.9-71-4.9C108.8 96.3-.1 148.5 0 212.6c.1 38.3 39.1 72.3 99.3 93.3-32.3-21.5-51.5-48.6-51.6-78zm60.2 39.9s10.5 13.2 29.3 13.2c17.9 0 28.4-11.5 28.4-25.1 0-28-40.2-25.1-40.2-39.7 0-5.4 5.3-9.1 12.5-9.1 5.7 0 11.3 2.6 11.3 6.6v3.9h14.2v-7.9c0-12.1-15.4-16.8-25.4-16.8-16.5 0-28.5 10.2-28.5 24.1 0 26.6 40.2 25.4 40.2 39.9 0 6.6-5.8 10.1-12.3 10.1-11.9 0-20.7-10.1-20.7-10.1l-8.8 10.9zm120.8-73.6v54.4c0 11.3-7.1 17.8-17.8 17.8-10.7 0-17.8-6.5-17.8-17.7v-54.5h-15.8v55c0 18.9 13.4 31.9 33.7 31.9 20.1 0 33.4-13 33.4-31.9v-55h-15.7zm34.4 85.4h15.8v-29.5h15.5c16 0 27.2-11.5 27.2-28.1s-11.2-27.8-27.2-27.8h-39.1v13.4h7.8v72zm15.8-43v-29.1h12.9c8.7 0 13.7 5.7 13.7 14.4 0 8.9-5.1 14.7-14 14.7h-12.6zm57 43h15.8v-29.5h15.5c16 0 27.2-11.5 27.2-28.1s-11.2-27.8-27.2-27.8h-39.1v13.4h7.8v72zm15.7-43v-29.1h12.9c8.7 0 13.7 5.7 13.7 14.4 0 8.9-5 14.7-14 14.7h-12.6zm57.1 34.8c0 5.8 2.4 8.2 8.2 8.2h37.6c5.8 0 8.2-2.4 8.2-8.2v-13h-14.3v5.2c0 1.7-1 2.6-2.6 2.6h-18.6c-1.7 0-2.6-1-2.6-2.6v-61.2c0-5.7-2.4-8.2-8.2-8.2H401v13.4h5.2c1.7 0 2.6 1 2.6 2.6v61.2zm63.4 0c0 5.8 2.4 8.2 8.2 8.2H519c5.7 0 8.2-2.4 8.2-8.2v-13h-14.3v5.2c0 1.7-1 2.6-2.6 2.6h-19.7c-1.7 0-2.6-1-2.6-2.6v-20.3h27.7v-13.4H488v-22.4h19.2c1.7 0 2.6 1 2.6 2.6v5.2H524v-13c0-5.7-2.5-8.2-8.2-8.2h-51.6v13.4h7.8v63.9zm58.9-76v5.9h1.6v-5.9h2.7v-1.2h-7v1.2h2.7zm5.7-1.2v7.1h1.5v-5.7l2.3 5.7h1.3l2.3-5.7v5.7h1.5v-7.1h-2.3l-2.1 5.1-2.1-5.1h-2.4z"],
    "suse": [640, 512, [], "f7d6", "M471.1 102.7s-.3 18.3-.3 20.3c-9.1-3-74.4-24.1-135.7-26.3-51.9-1.8-122.8-4.3-223 57.3-19.4 12.4-73.9 46.1-99.6 109.7C7 277-.12 307 7 335.1a111 111 0 0 0 16.5 35.7c17.4 25 46.6 41.6 78.1 44.4 44.4 3.9 78.1-16 90-53.3 8.2-25.8 0-63.6-31.5-82.9-25.6-15.7-53.3-12.1-69.2-1.6-13.9 9.2-21.8 23.5-21.6 39.2 .3 27.8 24.3 42.6 41.5 42.6a49 49 0 0 0 15.8-2.7c6.5-1.8 13.3-6.5 13.3-14.9 0-12.1-11.6-14.8-16.8-13.9-2.9 .5-4.5 2-11.8 2.4-2-.2-12-3.1-12-14V316c.2-12.3 13.2-18 25.5-16.9 32.3 2.8 47.7 40.7 28.5 65.7-18.3 23.7-76.6 23.2-99.7-20.4-26-49.2 12.7-111.2 87-98.4 33.2 5.7 83.6 35.5 102.4 104.3h45.9c-5.7-17.6-8.9-68.3 42.7-68.3 56.7 0 63.9 39.9 79.8 68.3H460c-12.8-18.3-21.7-38.7-18.9-55.8 5.6-33.8 39.7-18.4 82.4-17.4 66.5 .4 102.1-27 103.1-28 3.7-3.1 6.5-15.8 7-17.7 1.3-5.1-3.2-2.4-3.2-2.4-8.7 5.2-30.5 15.2-50.9 15.6-25.3 .5-76.2-25.4-81.6-28.2-.3-.4 .1 1.2-11-25.5 88.4 58.3 118.3 40.5 145.2 21.7 .8-.6 4.3-2.9 3.6-5.7-13.8-48.1-22.4-62.7-34.5-69.6-37-21.6-125-34.7-129.2-35.3 .1-.1-.9-.3-.9 .7zm60.4 72.8a37.54 37.54 0 0 1 38.9-36.3c33.4 1.2 48.8 42.3 24.4 65.2-24.2 22.7-64.4 4.6-63.3-28.9zm38.6-25.3a26.27 26.27 0 1 0 25.4 27.2 26.19 26.19 0 0 0 -25.4-27.2zm4.3 28.8c-15.4 0-15.4-15.6 0-15.6s15.4 15.64 0 15.64z"],
    "swift": [448, 512, [], "f8e1", "M448 156.1c0-4.51-.08-9-.2-13.52a196.3 196.3 0 0 0 -2.58-29.42 99.62 99.62 0 0 0 -9.22-28A94.08 94.08 0 0 0 394.8 44a99.17 99.17 0 0 0 -28-9.22 195 195 0 0 0 -29.43-2.59c-4.51-.12-9-.17-13.52-.2H124.1c-4.51 0-9 .08-13.52 .2-2.45 .07-4.91 .15-7.37 .27a171.7 171.7 0 0 0 -22.06 2.32 103.1 103.1 0 0 0 -21.21 6.1q-3.46 1.45-6.81 3.12a94.66 94.66 0 0 0 -18.39 12.32c-1.88 1.61-3.69 3.28-5.43 5A93.86 93.86 0 0 0 12 85.17a99.45 99.45 0 0 0 -9.22 28 196.3 196.3 0 0 0 -2.54 29.4c-.13 4.51-.18 9-.21 13.52v199.8c0 4.51 .08 9 .21 13.51a196.1 196.1 0 0 0 2.58 29.42 99.3 99.3 0 0 0 9.22 28A94.31 94.31 0 0 0 53.17 468a99.47 99.47 0 0 0 28 9.21 195 195 0 0 0 29.43 2.59c4.5 .12 9 .17 13.52 .2H323.9c4.51 0 9-.08 13.52-.2a196.6 196.6 0 0 0 29.44-2.59 99.57 99.57 0 0 0 28-9.21A94.22 94.22 0 0 0 436 426.8a99.3 99.3 0 0 0 9.22-28 194.8 194.8 0 0 0 2.59-29.42c.12-4.5 .17-9 .2-13.51V172.1c-.01-5.35-.01-10.7-.01-16.05zm-69.88 241c-20-38.93-57.23-29.27-76.31-19.47-1.72 1-3.48 2-5.25 3l-.42 .25c-39.5 21-92.53 22.54-145.9-.38A234.6 234.6 0 0 1 45 290.1a230.6 230.6 0 0 0 39.17 23.37c56.36 26.4 113 24.49 153 0-57-43.85-104.6-101-141.1-147.2a197.1 197.1 0 0 1 -18.78-25.9c43.7 40 112.7 90.22 137.5 104.1-52.57-55.49-98.89-123.9-96.72-121.7 82.79 83.42 159.2 130.6 159.2 130.6 2.88 1.58 5 2.85 6.73 4a127.4 127.4 0 0 0 4.16-12.47c13.22-48.33-1.66-103.6-35.31-149.2C329.6 141.8 375 229.3 356.4 303.4c-.44 1.73-.95 3.4-1.44 5.09 38.52 47.4 28.04 98.17 23.13 88.59z"],
    "symfony": [512, 512, [], "f83d", "M256 8C119 8 8 119 8 256s111 248 248 248 248-111 248-248S393 8 256 8zm133.7 143.5c-11.47 .41-19.4-6.45-19.77-16.87-.27-9.18 6.68-13.44 6.53-18.85-.23-6.55-10.16-6.82-12.87-6.67-39.78 1.29-48.59 57-58.89 113.8 21.43 3.15 36.65-.72 45.14-6.22 12-7.75-3.34-15.72-1.42-24.56 4-18.16 32.55-19 32 5.3-.36 17.86-25.92 41.81-77.6 35.7-10.76 59.52-18.35 115-58.2 161.7-29 34.46-58.4 39.82-71.58 40.26-24.65 .85-41-12.31-41.58-29.84-.56-17 14.45-26.26 24.31-26.59 21.89-.75 30.12 25.67 14.88 34-12.09 9.71 .11 12.61 2.05 12.55 10.42-.36 17.34-5.51 22.18-9 24-20 33.24-54.86 45.35-118.3 8.19-49.66 17-78 18.23-82-16.93-12.75-27.08-28.55-49.85-34.72-15.61-4.23-25.12-.63-31.81 7.83-7.92 10-5.29 23 2.37 30.7l12.63 14c15.51 17.93 24 31.87 20.8 50.62-5.06 29.93-40.72 52.9-82.88 39.94-36-11.11-42.7-36.56-38.38-50.62 7.51-24.15 42.36-11.72 34.62 13.6-2.79 8.6-4.92 8.68-6.28 13.07-4.56 14.77 41.85 28.4 51-1.39 4.47-14.52-5.3-21.71-22.25-39.85-28.47-31.75-16-65.49 2.95-79.67C204.2 140.1 251.9 197 262 205.3c37.17-109 100.5-105.5 102.4-105.5 25.16-.81 44.19 10.59 44.83 28.65 .25 7.69-4.17 22.59-19.52 23.13z"],
    "teamspeak": [512, 512, [], "f4f9", "M244.2 346.8c2.4-12.3-12-30-32.4-48.7-20.9-19.2-48.2-39.1-63.4-46.6-21.7-12-41.7-1.8-46.3 22.7-5 26.2 0 51.4 14.5 73.9 10.2 15.5 25.4 22.7 43.4 24 11.6 .6 52.5 2.2 61.7-1 11.9-4.3 20.1-11.8 22.5-24.3zm205 20.8a5.22 5.22 0 0 0 -8.3 2.4c-8 25.4-44.7 112.5-172.1 121.5-149.7 10.5 80.3 43.6 145.4-6.4 22.7-17.4 47.6-35 46.6-85.4-.4-10.1-4.9-26.69-11.6-32.1zm62-122.4c-.3-18.9-8.6-33.4-26-42.2-2.9-1.3-5-2.7-5.9-6.4A222.6 222.6 0 0 0 438.9 103c-1.1-1.5-3.5-3.2-2.2-5 8.5-11.5-.3-18-7-24.4Q321.4-31.11 177.4 13.09c-40.1 12.3-73.9 35.6-102 67.4-4 4.3-6.7 9.1-3 14.5 3 4 1.3 6.2-1 9.3C51.6 132 38.2 162.6 32.1 196c-.7 4.3-2.9 6-6.4 7.8-14.2 7-22.5 18.5-24.9 34L0 264.3v20.9c0 30.8 21 50.4 51.8 49 7.7-.3 11.7-4.3 12-11.5 2-77.5-2.4-95.4 3.7-125.8C92.1 72.39 234.3 5 345.3 65.39 411.4 102 445.7 159 447.6 234.8c.8 28.2 0 56.5 0 84.6 0 7 2.2 12.5 9.4 14.2 24.1 5 49.2-12 53.2-36.7 2.9-17.1 1-34.5 1-51.7zm-159.6 131.5c36.5 2.8 59.3-28.5 58.4-60.5-2.1-45.2-66.2-16.5-87.8-8-73.2 28.1-45 54.9-22.2 60.8z"],
    "telegram": [496, 512, [62462, "telegram-plane"], "f2c6", "M248 8C111 8 0 119 0 256S111 504 248 504 496 392.1 496 256 384.1 8 248 8zM362.1 176.7c-3.732 39.22-19.88 134.4-28.1 178.3-3.476 18.58-10.32 24.82-16.95 25.42-14.4 1.326-25.34-9.517-39.29-18.66-21.83-14.31-34.16-23.22-55.35-37.18-24.49-16.14-8.612-25 5.342-39.5 3.652-3.793 67.11-61.51 68.33-66.75 .153-.655 .3-3.1-1.154-4.384s-3.59-.849-5.135-.5q-3.283 .746-104.6 69.14-14.85 10.19-26.89 9.934c-8.855-.191-25.89-5.006-38.55-9.123-15.53-5.048-27.88-7.717-26.8-16.29q.84-6.7 18.45-13.7 108.4-47.25 144.6-62.3c68.87-28.65 83.18-33.62 92.51-33.79 2.052-.034 6.639 .474 9.61 2.885a10.45 10.45 0 0 1 3.53 6.716A43.76 43.76 0 0 1 362.1 176.7z"],
    "tencent-weibo": [384, 512, [], "f1d5", "M72.3 495.8c1.4 19.9-27.6 22.2-29.7 2.9C31 368.8 73.7 259.2 144 185.5c-15.6-34 9.2-77.1 50.6-77.1 30.3 0 55.1 24.6 55.1 55.1 0 44-49.5 70.8-86.9 45.1-65.7 71.3-101.4 169.8-90.5 287.2zM192 .1C66.1 .1-12.3 134.3 43.7 242.4 52.4 259.8 79 246.9 70 229 23.7 136.4 91 29.8 192 29.8c75.4 0 136.9 61.4 136.9 136.9 0 90.8-86.9 153.9-167.7 133.1-19.1-4.1-25.6 24.4-6.6 29.1 110.7 23.2 204-60 204-162.3C358.6 74.7 284 .1 192 .1z"],
    "the-red-yeti": [512, 512, [], "f69d", "M488.2 241.7l20.7 7.1c-9.6-23.9-23.9-37-31.7-44.8l7.1-18.2c.2 0 12.3-27.8-2.5-30.7-.6-11.3-6.6-27-18.4-27-7.6-10.6-17.7-12.3-30.7-5.9a122.2 122.2 0 0 0 -25.3 16.5c-5.3-6.4-3 .4-3-29.8-37.1-24.3-45.4-11.7-74.8 3l.5 .5a239.4 239.4 0 0 0 -68.4-13.3c-5.5-8.7-18.6-19.1-25.1-25.1l24.8 7.1c-5.5-5.5-26.8-12.9-34.2-15.2 18.2-4.1 29.8-20.8 42.5-33-34.9-10.1-67.9-5.9-97.9 11.8l12-44.2L182 0c-31.6 24.2-33 41.9-33.7 45.5-.9-2.4-6.3-19.6-15.2-27a35.12 35.12 0 0 0 -.5 25.3c3 8.4 5.9 14.8 8.4 18.9-16-3.3-28.3-4.9-49.2 0h-3.7l33 14.3a194.3 194.3 0 0 0 -46.7 67.4l-1.7 8.4 1.7 1.7 7.6-4.7c-3.3 11.6-5.3 19.4-6.6 25.8a200.2 200.2 0 0 0 -27.8 40.3c-15 1-31.8 10.8-40.3 14.3l3 3.4 28.8 1c-.5 1-.7 2.2-1.2 3.2-7.3 6.4-39.8 37.7-33 80.7l20.2-22.4c.5 1.7 .7 3.4 1.2 5.2 0 25.5 .4 89.6 64.9 150.5 43.6 40 96 60.2 157.5 60.2 121.7 0 223-87.3 223-211.5 6.8-9.7-1.2 3 16.7-25.1l13 14.3 2.5-.5A181.8 181.8 0 0 0 495 255a44.74 44.74 0 0 0 -6.8-13.3zM398 111.2l-.5 21.9c5.5 18.1 16.9 17.2 22.4 17.2l-3.4-4.7 22.4-5.4a242.4 242.4 0 0 1 -27 0c12.8-2.1 33.3-29 43-11.3 3.4 7.6 6.4 17.2 9.3 27.8l1.7-5.9a56.38 56.38 0 0 1 -1.7-15.2c5.4 .5 8.8 3.4 9.3 10.1 .5 6.4 1.7 14.8 3.4 25.3l4.7-11.3c4.6 0 4.5-3.6-2.5 20.7-20.9-8.7-35.1-8.4-46.5-8.4l18.2-16c-25.3 8.2-33 10.8-54.8 20.9-1.1-5.4-5-13.5-16-19.9-3.2 3.8-2.8 .9-.7 14.8h-2.5a62.32 62.32 0 0 0 -8.4-23.1l4.2-3.4c8.4-7.1 11.8-14.3 10.6-21.9-.5-6.4-5.4-13.5-13.5-20.7 5.6-3.4 15.2-.4 28.3 8.5zm-39.6-10.1c2.7 1.9 11.4 5.4 18.9 17.2 4.2 8.4 4 9.8 3.4 11.1-.5 2.4-.5 4.3-3 7.1-1.7 2.5-5.4 4.7-11.8 7.6-7.6-13-16.5-23.6-27.8-31.2zM91 143.1l1.2-1.7c1.2-2.9 4.2-7.6 9.3-15.2l2.5-3.4-13 12.3 5.4-4.7-10.1 9.3-4.2 1.2c12.3-24.1 23.1-41.3 32.5-50.2 9.3-9.3 16-16 20.2-19.4l-6.4 1.2c-11.3-4.2-19.4-7.1-24.8-8.4 2.5-.5 3.7-.5 3.2-.5 10.3 0 17.5 .5 20.9 1.2a52.35 52.35 0 0 0 16 2.5l.5-1.7-8.4-35.8 13.5 29a42.89 42.89 0 0 0 5.9-14.3c1.7-6.4 5.4-13 10.1-19.4s7.6-10.6 9.3-11.3a234.7 234.7 0 0 0 -6.4 25.3l-1.7 7.1-.5 4.7 2.5 2.5C190.4 39.9 214 34 239.8 34.5l21.1 .5c-11.8 13.5-27.8 21.9-48.5 24.8a201.3 201.3 0 0 1 -23.4 2.9l-.2-.5-2.5-1.2a20.75 20.75 0 0 0 -14 2c-2.5-.2-4.9-.5-7.1-.7l-2.5 1.7 .5 1.2c2 .2 3.9 .5 6.2 .7l-2 3.4 3.4-.5-10.6 11.3c-4.2 3-5.4 6.4-4.2 9.3l5.4-3.4h1.2a39.4 39.4 0 0 1 25.3-15.2v-3c6.4 .5 13 1 19.4 1.2 6.4 0 8.4 .5 5.4 1.2a189.6 189.6 0 0 1 20.7 13.5c13.5 10.1 23.6 21.9 30 35.4 8.8 18.2 13.5 37.1 13.5 56.6a141.1 141.1 0 0 1 -3 28.3 209.9 209.9 0 0 1 -16 46l2.5 .5c18.2-19.7 41.9-16 49.2-16l-6.4 5.9 22.4 17.7-1.7 30.7c-5.4-12.3-16.5-21.1-33-27.8 16.5 14.8 23.6 21.1 21.9 20.2-4.8-2.8-3.5-1.9-10.8-3.7 4.1 4.1 17.5 18.8 18.2 20.7l.2 .2-.2 .2c0 1.8 1.6-1.2-14 22.9-75.2-15.3-106.3-42.7-141.2-63.2l11.8 1.2c-11.8-18.5-15.6-17.7-38.4-26.1L149 225c-8.8-3-18.2-3-28.3 .5l7.6-10.6-1.2-1.7c-14.9 4.3-19.8 9.2-22.6 11.3-1.1-5.5-2.8-12.4-12.3-28.8l-1.2 27-13.2-5c1.5-25.2 5.4-50.5 13.2-74.6zm276.5 330c-49.9 25-56.1 22.4-59 23.9-29.8-11.8-50.9-31.7-63.5-58.8l30 16.5c-9.8-9.3-18.3-16.5-38.4-44.3l11.8 23.1-17.7-7.6c14.2 21.1 23.5 51.7 66.6 73.5-120.8 24.2-199-72.1-200.9-74.3a262.6 262.6 0 0 0 35.4 24.8c3.4 1.7 7.1 2.5 10.1 1.2l-16-20.7c9.2 4.2 9.5 4.5 69.1 29-42.5-20.7-73.8-40.8-93.2-60.2-.5 6.4-1.2 10.1-1.2 10.1a80.25 80.25 0 0 1 20.7 26.6c-39-18.9-57.6-47.6-71.3-82.6 49.9 55.1 118.9 37.5 120.5 37.1 34.8 16.4 69.9 23.6 113.9 10.6 3.3 0 20.3 17 25.3 39.1l4.2-3-2.5-23.6c9 9 24.9 22.6 34.4 13-15.6-5.3-23.5-9.5-29.5-31.7 4.6 4.2 7.6 9 27.8 15l1.2-1.2-10.5-14.2c11.7-4.8-3.5 1 32-10.8 4.3 34.3 9 49.2 .7 89.5zm115.3-214.4l-2.5 .5 3 9.3c-3.5 5.9-23.7 44.3-71.6 79.7-39.5 29.8-76.6 39.1-80.9 40.3l-7.6-7.1-1.2 3 14.3 16-7.1-4.7 3.4 4.2h-1.2l-21.9-13.5 9.3 26.6-19-27.9-1.2 2.5 7.6 29c-6.1-8.2-21-32.6-56.8-39.6l32.5 21.2a214.8 214.8 0 0 1 -93.2-6.4c-4.2-1.2-8.9-2.5-13.5-4.2l1.2-3-44.8-22.4 26.1 22.4c-57.7 9.1-113-25.4-126.4-83.4l-2.5-16.4-22.27 22.3c19.5-57.5 25.6-57.9 51.4-70.1-9.1-5.3-1.6-3.3-38.4-9.3 15.8-5.8 33-15.4 73 5.2a18.5 18.5 0 0 1 3.7-1.7c.6-3.2 .4-.8 1-11.8 3.9 10 3.6 8.7 3 9.3l1.7 .5c12.7-6.5 8.9-4.5 17-8.9l-5.4 13.5 22.3-5.8-8.4 8.4 2.5 2.5c4.5-1.8 30.3 3.4 40.8 16l-23.6-2.5c39.4 23 51.5 54 55.8 69.6l1.7-1.2c-2.8-22.3-12.4-33.9-16-40.1 4.2 5 39.2 34.6 110.4 46-11.3-.5-23.1 5.4-34.9 18.9l46.7-20.2-9.3 21.9c7.6-10.1 14.8-23.6 21.2-39.6v-.5l1.2-3-1.2 16c13.5-41.8 25.3-78.5 35.4-109.7l13.5-27.8v-2l-5.4-4.2h10.1l5.9 4.2 2.5-1.2-3.4-16 12.3 18.9 41.8-20.2-14.8 13 .5 2.9 17.7-.5a184 184 0 0 1 33 4.2l-23.6 2.5-1.2 3 26.6 23.1a254.2 254.2 0 0 1 27 32c-11.2-3.3-10.3-3.4-21.2-3.4l12.3 32.5zm-6.1-71.3l-3.9 13-14.3-11.8zm-254.8 7.1c1.7 10.6 4.7 17.7 8.8 21.9-9.3 6.6-27.5 13.9-46.5 16l.5 1.2a50.22 50.22 0 0 0 24.8-2.5l-7.1 13c4.2-1.7 10.1-7.1 17.7-14.8 11.9-5.5 12.7-5.1 20.2-16-12.7-6.4-15.7-13.7-18.4-18.8zm3.7-102.3c-6.4-3.4-10.6 3-12.3 18.9s2.5 29.5 11.8 39.6 18.2 10.6 26.1 3 3.4-23.6-11.3-47.7a39.57 39.57 0 0 0 -14.27-13.8zm-4.7 46.3c5.4 2.2 10.5 1.9 12.3-10.6v-4.7l-1.2 .5c-4.3-3.1-2.5-4.5-1.7-6.2l.5-.5c-.9-1.2-5-8.1-12.5 4.7-.5-13.5 .5-21.9 3-24.8 1.2-2.5 4.7-1.2 11.3 4.2 6.4 5.4 11.3 16 15.2 32.5 6.5 28-19.8 26.2-26.9 4.9zm-45-5.5c1.6 .3 9.3-1.1 9.3-14.8h-.5c-5.4-1.1-2.2-5.5-.7-5.9-1.7-3-3.4-4.2-5.4-4.7-8.1 0-11.6 12.7-8.1 21.2a7.51 7.51 0 0 0 5.43 4.2zM216 82.9l-2.5 .5 .5 3a48.94 48.94 0 0 1 26.1 5.9c-2.5-5.5-10-14.3-28.3-14.3l.5 2.5zm-71.8 49.4c21.7 16.8 16.5 21.4 46.5 23.6l-2.9-4.7a42.67 42.67 0 0 0 14.8-28.3c1.7-16-1.2-29.5-8.8-41.3l13-7.6a2.26 2.26 0 0 0 -.5-1.7 14.21 14.21 0 0 0 -13.5 1.7c-12.7 6.7-28 20.9-29 22.4-1.7 1.7-3.4 5.9-5.4 13.5a99.61 99.61 0 0 0 -2.9 23.6c-4.7-8-10.5-6.4-19.9-5.9l7.1 7.6c-16.5 0-23.3 15.4-23.6 16 6.8 0 4.6-7.6 30-12.3-4.3-6.3-3.3-5-4.9-6.6zm18.7-18.7c1.2-7.6 3.4-13 6.4-17.2 5.4-6.4 10.6-10.1 16-11.8 4.2-1.7 7.1 1.2 10.1 9.3a72.14 72.14 0 0 1 3 25.3c-.5 9.3-3.4 17.2-8.4 23.1-2.9 3.4-5.4 5.9-6.4 7.6a39.21 39.21 0 0 1 -11.3-.5l-7.1-3.4-5.4-6.4c.8-10 1.3-18.8 3.1-26zm42 56.1c-34.8 14.4-34.7 14-36.1 14.3-20.8 4.7-19-24.4-18.9-24.8l5.9-1.2-.5-2.5c-20.2-2.6-31 4.2-32.5 4.9 .5 .5 3 3.4 5.9 9.3 4.2-6.4 8.8-10.1 15.2-10.6a83.47 83.47 0 0 0 1.7 33.7c.1 .5 2.6 17.4 27.5 24.1 11.3 3 27 1.2 48.9-5.4l-9.2 .5c-4.2-14.8-6.4-24.8-5.9-29.5 11.3-8.8 21.9-11.3 30.7-7.6h2.5l-11.8-7.6-7.1 .5c-5.9 1.2-12.3 4.2-19.4 8.4z"],
    "themeco": [448, 512, [], "f5c6", "M202.9 8.43c9.9-5.73 26-5.82 35.95-.21L430 115.8c10 5.6 18 19.44 18 30.86V364c0 11.44-8.06 25.29-18 31L238.8 503.7c-9.93 5.66-26 5.57-35.85-.21L17.86 395.1C8 389.3 0 375.4 0 364V146.7c0-11.44 8-25.36 17.91-31.08zm-77.4 199.8c-15.94 0-31.89 .14-47.83 .14v101.4H96.8V280h28.7c49.71 0 49.56-71.74 0-71.74zm140.1 100.3l-30.73-34.64c37-7.51 34.8-65.23-10.87-65.51-16.09 0-32.17-.14-48.26-.14v101.6h19.13v-33.91h18.41l29.56 33.91h22.76zm-41.59-82.32c23.34 0 23.26 32.46 0 32.46h-29.13v-32.46zm-95.56-1.6c21.18 0 21.11 38.85 0 38.85H96.18v-38.84zm192.6-18.25c-68.46 0-71 105.8 0 105.8 69.48-.01 69.41-105.8 0-105.8zm0 17.39c44.12 0 44.8 70.86 0 70.86s-44.43-70.86 0-70.86z"],
    "themeisle": [512, 512, [], "f2b2", "M208 88.29c0-10 6.286-21.71 17.72-21.71 11.14 0 17.71 11.71 17.71 21.71 0 10.28-6.572 21.71-17.71 21.71C214.3 110 208 98.57 208 88.29zm304 160c0 36-11.43 102.3-36.29 129.7-22.86 24.86-87.43 61.14-120.9 70.57l-1.143 .286v32.57c0 16.29-12.57 30.57-29.14 30.57-10 0-19.43-5.714-24.57-14.29-5.427 8.572-14.86 14.29-24.86 14.29-10 0-19.43-5.714-24.86-14.29-5.142 8.572-14.57 14.29-24.57 14.29-10.29 0-19.43-5.714-24.86-14.29-5.143 8.572-14.57 14.29-24.57 14.29-18.86 0-29.43-15.71-29.43-32.86-16.29 12.28-35.72 19.43-56.57 19.43-22 0-43.43-8.285-60.29-22.86 10.28-.286 20.57-2.286 30.28-5.714-20.86-5.714-39.43-18.86-52-36.29 21.37 4.645 46.21 1.673 67.14-11.14-22-22-56.57-58.86-68.57-87.43C1.143 321.7 0 303.7 0 289.4c0-49.71 20.29-160 86.29-160 10.57 0 18.86 4.858 23.14 14.86a158.8 158.8 0 0 1 12-15.43c2-2.572 5.714-5.429 7.143-8.286 7.999-12.57 11.71-21.14 21.71-34C182.6 45.43 232 17.14 285.1 17.14c6 0 12 .285 17.71 1.143C313.7 6.571 328.9 0 344.6 0c14.57 0 29.71 6 40 16.29 .857 .858 1.428 2.286 1.428 3.428 0 3.714-10.28 13.43-12.86 16.29 4.286 1.429 15.71 6.858 15.71 12 0 2.857-2.857 5.143-4.571 7.143 31.43 27.71 49.43 67.14 56.29 108 4.286-5.143 10.28-8.572 17.14-8.572 10.57 0 20.86 7.144 28.57 14C507.1 187.1 512 221.7 512 248.3zM188 89.43c0 18.29 12.57 37.14 32.29 37.14 19.71 0 32.28-18.86 32.28-37.14 0-18-12.57-36.86-32.28-36.86-19.72 0-32.29 18.86-32.29 36.86zM237.7 194c0-19.71 3.714-39.14 8.571-58.29-52.04 79.53-13.53 184.6 68.86 184.6 21.43 0 42.57-7.714 60-20 2-7.429 3.714-14.86 3.714-22.57 0-14.29-6.286-21.43-20.57-21.43-4.571 0-9.143 .857-13.43 1.714-63.34 12.67-107.1 3.669-107.1-63.1zm-41.14 254.9c0-11.14-8.858-20.86-20.29-20.86-11.43 0-20 9.715-20 20.86v32.57c0 11.14 8.571 21.14 20 21.14 11.43 0 20.29-9.715 20.29-21.14v-32.57zm49.14 0c0-11.14-8.572-20.86-20-20.86-11.43 0-20.29 9.715-20.29 20.86v32.57c0 11.14 8.857 21.14 20.29 21.14 11.43 0 20-10 20-21.14v-32.57zm49.71 0c0-11.14-8.857-20.86-20.28-20.86-11.43 0-20.29 9.715-20.29 20.86v32.57c0 11.14 8.857 21.14 20.29 21.14 11.43 0 20.28-9.715 20.28-21.14v-32.57zm49.72 0c0-11.14-8.857-20.86-20.29-20.86-11.43 0-20.29 9.715-20.29 20.86v32.57c0 11.14 8.858 21.14 20.29 21.14 11.43 0 20.29-10 20.29-21.14v-32.57zM421.7 286c-30.86 59.14-90.29 102.6-158.6 102.6-96.57 0-160.6-84.57-160.6-176.6 0-16.86 2-33.43 6-49.71-20 33.72-29.71 72.57-29.71 111.4 0 60.29 24.86 121.7 71.43 160.9 5.143-9.714 14.86-16.29 26-16.29 10 0 19.43 5.714 24.57 14.29 5.429-8.571 14.57-14.29 24.86-14.29 10 0 19.43 5.714 24.57 14.29 5.429-8.571 14.86-14.29 24.86-14.29 10 0 19.43 5.714 24.86 14.29 5.143-8.571 14.57-14.29 24.57-14.29 10.86 0 20.86 6.572 25.71 16 43.43-36.29 68.57-92 71.43-148.3zm10.57-99.71c0-53.71-34.57-105.7-92.57-105.7-30.28 0-58.57 15.14-78.86 36.86C240.9 183.8 233.4 254 302.3 254c28.81 0 97.36-28.54 84.29 36.86 28.86-26 45.71-65.71 45.71-104.6z"],
    "think-peaks": [576, 512, [], "f731", "M465.4 409.4l87.1-150.2-32-.3-55.1 95L259.2 0 23 407.4l32 .3L259.2 55.6zm-355.3-44.1h32.1l117.4-202.5L463 511.9l32.5 .1-235.8-404.6z"],
    "tiktok": [448, 512, [], "e07b", "M448 209.9a210.1 210.1 0 0 1 -122.8-39.25V349.4A162.6 162.6 0 1 1 185 188.3V278.2a74.62 74.62 0 1 0 52.23 71.18V0l88 0a121.2 121.2 0 0 0 1.86 22.17h0A122.2 122.2 0 0 0 381 102.4a121.4 121.4 0 0 0 67 20.14z"],
    "trade-federation": [496, 512, [], "f513", "M248 8.8c-137 0-248 111-248 248s111 248 248 248 248-111 248-248-111-248-248-248zm0 482.8c-129.7 0-234.8-105.1-234.8-234.8S118.3 22 248 22s234.8 105.1 234.8 234.8S377.7 491.6 248 491.6zm155.1-328.5v-46.8H209.3V198H54.2l36.7 46h117.7v196.8h48.8V245h83.3v-47h-83.3v-34.8h145.7zm-73.3 45.1v23.9h-82.9v197.4h-26.8V232.1H96.3l-20.1-23.9h143.9v-80.6h171.8V152h-145v56.2zm-161.3-69l-12.4-20.7 2.1 23.8-23.5 5.4 23.3 5.4-2.1 24 12.3-20.5 22.2 9.5-15.7-18.1 15.8-18.1zm-29.6-19.7l9.3-11.5-12.7 5.9-8-12.4 1.7 13.9-14.3 3.8 13.7 2.7-.8 14.7 6.8-12.2 13.8 5.3zm165.4 145.2l-13.1 5.6-7.3-12.2 1.3 14.2-13.9 3.2 13.9 3.2-1.2 14.2 7.3-12.2 13.1 5.5-9.4-10.7zm106.9-77.2l-20.9 9.1-12-19.6 2.2 22.7-22.3 5.4 22.2 4.9-1.8 22.9 11.5-19.6 21.2 8.8-15.1-17zM248 29.9c-125.3 0-226.9 101.6-226.9 226.9S122.7 483.7 248 483.7s226.9-101.6 226.9-226.9S373.3 29.9 248 29.9zM342.6 196v51h-83.3v195.7h-52.7V245.9H89.9l-40-49.9h157.4v-81.6h197.8v50.7H259.4V196zM248 43.2c60.3 0 114.8 25 153.6 65.2H202.5V190H45.1C73.1 104.8 153.4 43.2 248 43.2zm0 427.1c-117.9 0-213.6-95.6-213.6-213.5 0-21.2 3.1-41.8 8.9-61.1L87.1 252h114.7v196.8h64.6V253h83.3v-62.7h-83.2v-19.2h145.6v-50.8c30.8 37 49.3 84.6 49.3 136.5 .1 117.9-95.5 213.5-213.4 213.5zM178.8 275l-11-21.4 1.7 24.5-23.7 3.9 23.8 5.9-3.7 23.8 13-20.9 21.5 10.8-15.8-18.8 16.9-17.1z"],
    "trello": [448, 512, [], "f181", "M392.3 32H56.1C25.1 32 0 57.1 0 88c-.1 0 0-4 0 336 0 30.9 25.1 56 56 56h336.2c30.8-.2 55.7-25.2 55.7-56V88c.1-30.8-24.8-55.8-55.6-56zM197 371.3c-.2 14.7-12.1 26.6-26.9 26.6H87.4c-14.8 .1-26.9-11.8-27-26.6V117.1c0-14.8 12-26.9 26.9-26.9h82.9c14.8 0 26.9 12 26.9 26.9v254.2zm193.1-112c0 14.8-12 26.9-26.9 26.9h-81c-14.8 0-26.9-12-26.9-26.9V117.2c0-14.8 12-26.9 26.8-26.9h81.1c14.8 0 26.9 12 26.9 26.9v142.1z"],
    "tumblr": [320, 512, [], "f173", "M309.8 480.3c-13.6 14.5-50 31.7-97.4 31.7-120.8 0-147-88.8-147-140.6v-144H17.9c-5.5 0-10-4.5-10-10v-68c0-7.2 4.5-13.6 11.3-16 62-21.8 81.5-76 84.3-117.1 .8-11 6.5-16.3 16.1-16.3h70.9c5.5 0 10 4.5 10 10v115.2h83c5.5 0 10 4.4 10 9.9v81.7c0 5.5-4.5 10-10 10h-83.4V360c0 34.2 23.7 53.6 68 35.8 4.8-1.9 9-3.2 12.7-2.2 3.5 .9 5.8 3.4 7.4 7.9l22 64.3c1.8 5 3.3 10.6-.4 14.5z"],
    "twitch": [512, 512, [], "f1e8", "M391.2 103.5H352.5v109.7h38.63zM285 103H246.4V212.8H285zM120.8 0 24.31 91.42V420.6H140.1V512l96.53-91.42h77.25L487.7 256V0zM449.1 237.8l-77.22 73.12H294.6l-67.6 64v-64H140.1V36.58H449.1z"],
    "twitter": [512, 512, [], "f099", "M459.4 151.7c.325 4.548 .325 9.097 .325 13.65 0 138.7-105.6 298.6-298.6 298.6-59.45 0-114.7-17.22-161.1-47.11 8.447 .974 16.57 1.299 25.34 1.299 49.06 0 94.21-16.57 130.3-44.83-46.13-.975-84.79-31.19-98.11-72.77 6.498 .974 12.99 1.624 19.82 1.624 9.421 0 18.84-1.3 27.61-3.573-48.08-9.747-84.14-51.98-84.14-102.1v-1.299c13.97 7.797 30.21 12.67 47.43 13.32-28.26-18.84-46.78-51.01-46.78-87.39 0-19.49 5.197-37.36 14.29-52.95 51.65 63.67 129.3 105.3 216.4 109.8-1.624-7.797-2.599-15.92-2.599-24.04 0-57.83 46.78-104.9 104.9-104.9 30.21 0 57.5 12.67 76.67 33.14 23.72-4.548 46.46-13.32 66.6-25.34-7.798 24.37-24.37 44.83-46.13 57.83 21.12-2.273 41.58-8.122 60.43-16.24-14.29 20.79-32.16 39.31-52.63 54.25z"],
    "typo3": [448, 512, [], "f42b", "M178.7 78.4c0-24.7 5.4-32.4 13.9-39.4-69.5 8.5-149.3 34-176.3 66.4-5.4 7.7-9.3 20.8-9.3 37.1C7 246 113.8 480 191.1 480c36.3 0 97.3-59.5 146.7-139-7 2.3-11.6 2.3-18.5 2.3-57.2 0-140.6-198.5-140.6-264.9zM301.5 32c-30.1 0-41.7 5.4-41.7 36.3 0 66.4 53.8 198.5 101.7 198.5 26.3 0 78.8-99.7 78.8-182.3 0-40.9-67-52.5-138.8-52.5z"],
    "uber": [448, 512, [], "f402", "M414.1 32H33.9C15.2 32 0 47.2 0 65.9V446c0 18.8 15.2 34 33.9 34H414c18.7 0 33.9-15.2 33.9-33.9V65.9C448 47.2 432.8 32 414.1 32zM237.6 391.1C163 398.6 96.4 344.2 88.9 269.6h94.4V290c0 3.7 3 6.8 6.8 6.8H258c3.7 0 6.8-3 6.8-6.8v-67.9c0-3.7-3-6.8-6.8-6.8h-67.9c-3.7 0-6.8 3-6.8 6.8v20.4H88.9c7-69.4 65.4-122.2 135.1-122.2 69.7 0 128.1 52.8 135.1 122.2 7.5 74.5-46.9 141.1-121.5 148.6z"],
    "ubuntu": [496, 512, [], "f7df", "M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm52.7 93c8.8-15.2 28.3-20.5 43.5-11.7 15.3 8.8 20.5 28.3 11.7 43.6-8.8 15.2-28.3 20.5-43.5 11.7-15.3-8.9-20.5-28.4-11.7-43.6zM87.4 287.9c-17.6 0-31.9-14.3-31.9-31.9 0-17.6 14.3-31.9 31.9-31.9 17.6 0 31.9 14.3 31.9 31.9 0 17.6-14.3 31.9-31.9 31.9zm28.1 3.1c22.3-17.9 22.4-51.9 0-69.9 8.6-32.8 29.1-60.7 56.5-79.1l23.7 39.6c-51.5 36.3-51.5 112.5 0 148.8L172 370c-27.4-18.3-47.8-46.3-56.5-79zm228.7 131.7c-15.3 8.8-34.7 3.6-43.5-11.7-8.8-15.3-3.6-34.8 11.7-43.6 15.2-8.8 34.7-3.6 43.5 11.7 8.8 15.3 3.6 34.8-11.7 43.6zm.3-69.5c-26.7-10.3-56.1 6.6-60.5 35-5.2 1.4-48.9 14.3-96.7-9.4l22.5-40.3c57 26.5 123.4-11.7 128.9-74.4l46.1 .7c-2.3 34.5-17.3 65.5-40.3 88.4zm-5.9-105.3c-5.4-62-71.3-101.2-128.9-74.4l-22.5-40.3c47.9-23.7 91.5-10.8 96.7-9.4 4.4 28.3 33.8 45.3 60.5 35 23.1 22.9 38 53.9 40.2 88.5l-46 .6z"],
    "uikit": [448, 512, [], "f403", "M443.9 128v256L218 512 0 384V169.7l87.6 45.1v117l133.5 75.5 135.8-75.5v-151l-101.1-57.6 87.6-53.1L443.9 128zM308.6 49.1L223.8 0l-88.6 54.8 86 47.3 87.4-53z"],
    "umbraco": [510, 512, [], "f8e8", "M255.4 8C118.4 7.83 7.14 118.7 7 255.7c-.07 137 111 248.2 248 248.3 136.9 0 247.8-110.7 248-247.7S392.3 8.17 255.4 8zm145 266q-1.14 40.68-14 65t-43.51 35q-30.61 10.7-85.45 10.47h-4.6q-54.78 .22-85.44-10.47t-43.52-35q-12.85-24.36-14-65a224.8 224.8 0 0 1 0-30.71 418.4 418.4 0 0 1 3.6-43.88c1.88-13.39 3.57-22.58 5.4-32 1-4.88 1.28-6.42 1.82-8.45a5.09 5.09 0 0 1 4.9-3.89h.69l32 5a5.07 5.07 0 0 1 4.16 5 5 5 0 0 1 0 .77l-1.7 8.78q-2.41 13.25-4.84 33.68a380.6 380.6 0 0 0 -2.64 42.15q-.28 40.43 8.13 59.83a43.87 43.87 0 0 0 31.31 25.18A243 243 0 0 0 250 340.6h10.25a242.6 242.6 0 0 0 57.27-5.16 43.86 43.86 0 0 0 31.15-25.23q8.53-19.42 8.13-59.78a388 388 0 0 0 -2.6-42.15q-2.48-20.38-4.89-33.68l-1.69-8.78a5 5 0 0 1 0-.77 5 5 0 0 1 4.2-5l32-5h.82a5 5 0 0 1 4.9 3.89c.55 2.05 .81 3.57 1.83 8.45 1.82 9.62 3.52 18.78 5.39 32a415.7 415.7 0 0 1 3.61 43.88 228.1 228.1 0 0 1 -.04 30.73z"],
    "uncharted": [448, 512, [], "e084", "M171.7 232.8A5.381 5.381 0 0 0 176.7 229.5 48.08 48.08 0 0 1 191.6 204.2c1.243-.828 1.657-2.484 1.657-4.141a4.22 4.22 0 0 0 -2.071-3.312L74.43 128.5 148.1 85a9.941 9.941 0 0 0 4.968-8.281 9.108 9.108 0 0 0 -4.968-8.281L126.6 55.6a9.748 9.748 0 0 0 -9.523 0l-100.2 57.97a9.943 9.943 0 0 0 -4.969 8.281V236.1a9.109 9.109 0 0 0 4.969 8.281L39.24 258.1a8.829 8.829 0 0 0 4.968 1.242 9.4 9.4 0 0 0 6.625-2.484 10.8 10.8 0 0 0 2.9-7.039V164.5L169.7 232.4A4.5 4.5 0 0 0 171.7 232.8zM323.3 377.7a12.48 12.48 0 0 0 -4.969 1.242l-74.53 43.06V287.9c0-2.9-2.9-5.8-6.211-4.555a53.04 53.04 0 0 1 -28.98 .414 4.86 4.86 0 0 0 -6.21 4.555V421.6l-74.53-43.06a8.83 8.83 0 0 0 -4.969-1.242 9.631 9.631 0 0 0 -9.523 9.523v26.08a9.107 9.107 0 0 0 4.969 8.281l100.2 57.55A8.829 8.829 0 0 0 223.5 480a11.03 11.03 0 0 0 4.969-1.242l100.2-57.55a9.941 9.941 0 0 0 4.968-8.281V386.8C332.8 382.3 328.2 377.7 323.3 377.7zM286 78a23 23 0 1 0 -23-23A23 23 0 0 0 286 78zm63.63-10.09a23 23 0 1 0 23 23A23 23 0 0 0 349.6 67.91zM412.8 151.6a23 23 0 1 0 -23-23A23 23 0 0 0 412.8 151.6zm-63.18-9.2a23 23 0 1 0 23 23A23 23 0 0 0 349.6 142.4zm-63.63 83.24a23 23 0 1 0 -23-23A23 23 0 0 0 286 225.6zm-62.07 36.36a23 23 0 1 0 -23-23A23 23 0 0 0 223.9 262zm188.9-82.36a23 23 0 1 0 23 23A23 23 0 0 0 412.8 179.6zm0 72.27a23 23 0 1 0 23 23A23 23 0 0 0 412.8 251.9z"],
    "uniregistry": [384, 512, [], "f404", "M192 480c39.5 0 76.2-11.8 106.8-32.2H85.3C115.8 468.2 152.5 480 192 480zm-89.1-193.1v-12.4H0v12.4c0 2.5 0 5 .1 7.4h103.1c-.2-2.4-.3-4.9-.3-7.4zm20.5 57H8.5c2.6 8.5 5.8 16.8 9.6 24.8h138.3c-12.9-5.7-24.1-14.2-33-24.8zm-17.7-34.7H1.3c.9 7.6 2.2 15 3.9 22.3h109.7c-4-6.9-7.2-14.4-9.2-22.3zm-2.8-69.3H0v17.3h102.9zm0-173.2H0v4.9h102.9zm0-34.7H0v2.5h102.9zm0 69.3H0v7.4h102.9zm0 104H0v14.8h102.9zm0-69.3H0v9.9h102.9zm0 34.6H0V183h102.9zm166.2 160.9h109.7c1.8-7.3 3.1-14.7 3.9-22.3H278.3c-2.1 7.9-5.2 15.4-9.2 22.3zm12-185.7H384V136H281.1zm0 37.2H384v-12.4H281.1zm0-74.3H384v-7.4H281.1zm0-76.7v2.5H384V32zm-203 410.9h227.7c11.8-8.7 22.7-18.6 32.2-29.7H44.9c9.6 11 21.4 21 33.2 29.7zm203-371.3H384v-4.9H281.1zm0 148.5H384v-14.8H281.1zM38.8 405.7h305.3c6.7-8.5 12.6-17.6 17.8-27.2H23c5.2 9.6 9.2 18.7 15.8 27.2zm188.8-37.1H367c3.7-8 5.8-16.2 8.5-24.8h-115c-8.8 10.7-20.1 19.2-32.9 24.8zm53.5-81.7c0 2.5-.1 5-.4 7.4h103.1c.1-2.5 .2-4.9 .2-7.4v-12.4H281.1zm0-29.7H384v-17.3H281.1z"],
    "unity": [448, 512, [], "e049", "M243.6 91.6L323.7 138.4C326.6 140 326.7 144.6 323.7 146.2L228.5 201.9C225.6 203.6 222.2 203.4 219.5 201.9L124.4 146.2C121.4 144.6 121.4 139.1 124.4 138.4L204.4 91.6V0L0 119.4V358.3L78.38 312.5V218.9C78.33 215.6 82.21 213.2 85.09 214.1L180.3 270.6C183.2 272.3 184.8 275.3 184.8 278.5V389.7C184.8 393 180.1 395.4 178.1 393.6L97.97 346.8L19.58 392.6L224 512L428.4 392.6L350 346.8L269.9 393.6C267.1 395.3 263.1 393.1 263.2 389.7V278.5C263.2 275.1 265.1 272.2 267.7 270.6L362.9 214.1C365.7 213.2 369.7 215.5 369.6 218.9V312.5L448 358.3V119.4L243.6 0V91.6z"],
    "unsplash": [448, 512, [], "e07c", "M448 230.2V480H0V230.2H141.1V355.1H306.9V230.2zM306.9 32H141.1V156.9H306.9z"],
    "untappd": [640, 512, [], "f405", "M401.3 49.9c-79.8 160.1-84.6 152.5-87.9 173.2l-5.2 32.8c-1.9 12-6.6 23.5-13.7 33.4L145.6 497.1c-7.6 10.6-20.4 16.2-33.4 14.6-40.3-5-77.8-32.2-95.3-68.5-5.7-11.8-4.5-25.8 3.1-36.4l148.9-207.9c7.1-9.9 16.4-18 27.2-23.7l29.3-15.5c18.5-9.8 9.7-11.9 135.6-138.9 1-4.8 1-7.3 3.6-8 3-.7 6.6-1 6.3-4.6l-.4-4.6c-.2-1.9 1.3-3.6 3.2-3.6 4.5-.1 13.2 1.2 25.6 10 12.3 8.9 16.4 16.8 17.7 21.1 .6 1.8-.6 3.7-2.4 4.2l-4.5 1.1c-3.4 .9-2.5 4.4-2.3 7.4 .1 2.8-2.3 3.6-6.5 6.1zM230.1 36.4c3.4 .9 2.5 4.4 2.3 7.4-.2 2.7 2.1 3.5 6.4 6 7.9 15.9 15.3 30.5 22.2 44 .7 1.3 2.3 1.5 3.3 .5 11.2-12 24.6-26.2 40.5-42.6 1.3-1.4 1.4-3.5 .1-4.9-8-8.2-16.5-16.9-25.6-26.1-1-4.7-1-7.3-3.6-8-3-.8-6.6-1-6.3-4.6 .3-3.3 1.4-8.1-2.8-8.2-4.5-.1-13.2 1.1-25.6 10-12.3 8.9-16.4 16.8-17.7 21.1-1.4 4.2 3.6 4.6 6.8 5.4zM620 406.7L471.2 198.8c-13.2-18.5-26.6-23.4-56.4-39.1-11.2-5.9-14.2-10.9-30.5-28.9-1-1.1-2.9-.9-3.6 .5-46.3 88.8-47.1 82.8-49 94.8-1.7 10.7-1.3 20 .3 29.8 1.9 12 6.6 23.5 13.7 33.4l148.9 207.9c7.6 10.6 20.2 16.2 33.1 14.7 40.3-4.9 78-32 95.7-68.6 5.4-11.9 4.3-25.9-3.4-36.6z"],
    "ups": [384, 512, [], "f7e0", "M103.2 303c-5.2 3.6-32.6 13.1-32.6-19V180H37.9v102.6c0 74.9 80.2 51.1 97.9 39V180h-32.6zM4 74.82v220.9c0 103.7 74.9 135.2 187.7 184.1 112.4-48.9 187.7-80.2 187.7-184.1V74.82c-116.3-61.6-281.8-49.6-375.4 0zm358.1 220.9c0 86.6-53.2 113.6-170.4 165.3-117.5-51.8-170.5-78.7-170.5-165.3v-126.4c102.3-93.8 231.6-100 340.9-89.8zm-209.6-107.4v212.8h32.7v-68.7c24.4 7.3 71.7-2.6 71.7-78.5 0-97.4-80.7-80.92-104.4-65.6zm32.7 117.3v-100.3c8.4-4.2 38.4-12.7 38.4 49.3 0 67.9-36.4 51.8-38.4 51zm79.1-86.4c.1 47.3 51.6 42.5 52.2 70.4 .6 23.5-30.4 23-50.8 4.9v30.1c36.2 21.5 81.9 8.1 83.2-33.5 1.7-51.5-54.1-46.6-53.4-73.2 .6-20.3 30.6-20.5 48.5-2.2v-28.4c-28.5-22-79.9-9.2-79.7 31.9z"],
    "usb": [640, 512, [], "f287", "M641.5 256c0 3.1-1.7 6.1-4.5 7.5L547.9 317c-1.4 .8-2.8 1.4-4.5 1.4-1.4 0-3.1-.3-4.5-1.1-2.8-1.7-4.5-4.5-4.5-7.8v-35.6H295.7c25.3 39.6 40.5 106.9 69.6 106.9H392V354c0-5 3.9-8.9 8.9-8.9H490c5 0 8.9 3.9 8.9 8.9v89.1c0 5-3.9 8.9-8.9 8.9h-89.1c-5 0-8.9-3.9-8.9-8.9v-26.7h-26.7c-75.4 0-81.1-142.5-124.7-142.5H140.3c-8.1 30.6-35.9 53.5-69 53.5C32 327.3 0 295.3 0 256s32-71.3 71.3-71.3c33.1 0 61 22.8 69 53.5 39.1 0 43.9 9.5 74.6-60.4C255 88.7 273 95.7 323.8 95.7c7.5-20.9 27-35.6 50.4-35.6 29.5 0 53.5 23.9 53.5 53.5s-23.9 53.5-53.5 53.5c-23.4 0-42.9-14.8-50.4-35.6H294c-29.1 0-44.3 67.4-69.6 106.9h310.1v-35.6c0-3.3 1.7-6.1 4.5-7.8 2.8-1.7 6.4-1.4 8.9 .3l89.1 53.5c2.8 1.1 4.5 4.1 4.5 7.2z"],
    "usps": [576, 512, [], "f7e1", "M460.3 241.7c25.8-41.3 15.2-48.8-11.7-48.8h-27c-.1 0-1.5-1.4-10.9 8-11.2 5.6-37.9 6.3-37.9 8.7 0 4.5 70.3-3.1 88.1 0 9.5 1.5-1.5 20.4-4.4 32-.5 4.5 2.4 2.3 3.8 .1zm-112.1 22.6c64-21.3 97.3-23.9 102-26.2 4.4-2.9-4.4-6.6-26.2-5.8-51.7 2.2-137.6 37.1-172.6 53.9l-30.7-93.3h196.6c-2.7-28.2-152.9-22.6-337.9-22.6L27 415.8c196.4-97.3 258.9-130.3 321.2-151.5zM94.7 96c253.3 53.7 330 65.7 332.1 85.2 36.4 0 45.9 0 52.4 6.6 21.1 19.7-14.6 67.7-14.6 67.7-4.4 2.9-406.4 160.2-406.4 160.2h423.1L549 96z"],
    "ussunnah": [512, 512, [], "f407", "M156.8 285.1l5.7 14.4h-8.2c-1.3-3.2-3.1-7.7-3.8-9.5-2.5-6.3-1.1-8.4 0-10 1.9-2.7 3.2-4.4 3.6-5.2 0 2.2 .8 5.7 2.7 10.3zm297.3 18.8c-2.1 13.8-5.7 27.1-10.5 39.7l43 23.4-44.8-18.8c-5.3 13.2-12 25.6-19.9 37.2l34.2 30.2-36.8-26.4c-8.4 11.8-18 22.6-28.7 32.3l24.9 34.7-28.1-31.8c-11 9.6-23.1 18-36.1 25.1l15.7 37.2-19.3-35.3c-13.1 6.8-27 12.1-41.6 15.9l6.7 38.4-10.5-37.4c-14.3 3.4-29.2 5.3-44.5 5.4L256 512l-1.9-38.4c-15.3-.1-30.2-2-44.5-5.3L199 505.6l6.7-38.2c-14.6-3.7-28.6-9.1-41.7-15.8l-19.2 35.1 15.6-37c-13-7-25.2-15.4-36.2-25.1l-27.9 31.6 24.7-34.4c-10.7-9.7-20.4-20.5-28.8-32.3l-36.5 26.2 33.9-29.9c-7.9-11.6-14.6-24.1-20-37.3l-44.4 18.7L67.8 344c-4.8-12.7-8.4-26.1-10.5-39.9l-51 9 50.3-14.2c-1.1-8.5-1.7-17.1-1.7-25.9 0-4.7 .2-9.4 .5-14.1L0 256l56-2.8c1.3-13.1 3.8-25.8 7.5-38.1L6.4 199l58.9 10.4c4-12 9.1-23.5 15.2-34.4l-55.1-30 58.3 24.6C90 159 97.2 149.2 105.3 140L55.8 96.4l53.9 38.7c8.1-8.6 17-16.5 26.6-23.6l-40-55.6 45.6 51.6c9.5-6.6 19.7-12.3 30.3-17.2l-27.3-64.9 33.8 62.1c10.5-4.4 21.4-7.9 32.7-10.4L199 6.4l19.5 69.2c11-2.1 22.3-3.2 33.8-3.4L256 0l3.6 72.2c11.5 .2 22.8 1.4 33.8 3.5L313 6.4l-12.4 70.7c11.3 2.6 22.2 6.1 32.6 10.5l33.9-62.2-27.4 65.1c10.6 4.9 20.7 10.7 30.2 17.2l45.8-51.8-40.1 55.9c9.5 7.1 18.4 15 26.5 23.6l54.2-38.9-49.7 43.9c8 9.1 15.2 18.9 21.5 29.4l58.7-24.7-55.5 30.2c6.1 10.9 11.1 22.3 15.1 34.3l59.3-10.4-57.5 16.2c3.7 12.2 6.2 24.9 7.5 37.9L512 256l-56 2.8c.3 4.6 .5 9.3 .5 14.1 0 8.7-.6 17.3-1.6 25.8l50.7 14.3-51.5-9.1zm-21.8-31c0-97.5-79-176.5-176.5-176.5s-176.5 79-176.5 176.5 79 176.5 176.5 176.5 176.5-79 176.5-176.5zm-24 0c0 84.3-68.3 152.6-152.6 152.6s-152.6-68.3-152.6-152.6 68.3-152.6 152.6-152.6 152.6 68.3 152.6 152.6zM195 241c0 2.1 1.3 3.8 3.6 5.1 3.3 1.9 6.2 4.6 8.2 8.2 2.8-5.7 4.3-9.5 4.3-11.2 0-2.2-1.1-4.4-3.2-7-2.1-2.5-3.2-5.2-3.3-7.7-6.5 6.8-9.6 10.9-9.6 12.6zm-40.7-19c0 2.1 1.3 3.8 3.6 5.1 3.5 1.9 6.2 4.6 8.2 8.2 2.8-5.7 4.3-9.5 4.3-11.2 0-2.2-1.1-4.4-3.2-7-2.1-2.5-3.2-5.2-3.3-7.7-6.5 6.8-9.6 10.9-9.6 12.6zm-19 0c0 2.1 1.3 3.8 3.6 5.1 3.3 1.9 6.2 4.6 8.2 8.2 2.8-5.7 4.3-9.5 4.3-11.2 0-2.2-1.1-4.4-3.2-7-2.1-2.5-3.2-5.2-3.3-7.7-6.4 6.8-9.6 10.9-9.6 12.6zm204.9 87.9c-8.4-3-8.7-6.8-8.7-15.6V182c-8.2 12.5-14.2 18.6-18 18.6 6.3 14.4 9.5 23.9 9.5 28.3v64.3c0 2.2-2.2 6.5-4.7 6.5h-18c-2.8-7.5-10.2-26.9-15.3-40.3-2 2.5-7.2 9.2-10.7 13.7 2.4 1.6 4.1 3.6 5.2 6.3 2.6 6.7 6.4 16.5 7.9 20.2h-9.2c-3.9-10.4-9.6-25.4-11.8-31.1-2 2.5-7.2 9.2-10.7 13.7 2.4 1.6 4.1 3.6 5.2 6.3 .8 2 2.8 7.3 4.3 10.9H256c-1.5-4.1-5.6-14.6-8.4-22-2 2.5-7.2 9.2-10.7 13.7 2.5 1.6 4.3 3.6 5.2 6.3 .2 .6 .5 1.4 .6 1.7H225c-4.6-13.9-11.4-27.7-11.4-34.1 0-2.2 .3-5.1 1.1-8.2-8.8 10.8-14 15.9-14 25 0 7.5 10.4 28.3 10.4 33.3 0 1.7-.5 3.3-1.4 4.9-9.6-12.7-15.5-20.7-18.8-20.7h-12l-11.2-28c-3.8-9.6-5.7-16-5.7-18.8 0-3.8 .5-7.7 1.7-12.2-1 1.3-3.7 4.7-5.5 7.1-.8-2.1-3.1-7.7-4.6-11.5-2.1 2.5-7.5 9.1-11.2 13.6 .9 2.3 3.3 8.1 4.9 12.2-2.5 3.3-9.1 11.8-13.6 17.7-4 5.3-5.8 13.3-2.7 21.8 2.5 6.7 2 7.9-1.7 14.1H191c5.5 0 14.3 14 15.5 22 13.2-16 15.4-19.6 16.8-21.6h107c3.9 0 7.2-1.9 9.9-5.8zm20.1-26.6V181.7c-9 12.5-15.9 18.6-20.7 18.6 7.1 14.4 10.7 23.9 10.7 28.3v66.3c0 17.5 8.6 20.4 24 20.4 8.1 0 12.5-.8 13.7-2.7-4.3-1.6-7.6-2.5-9.9-3.3-8.1-3.2-17.8-7.4-17.8-26z"],
    "vaadin": [448, 512, [], "f408", "M224.5 140.7c1.5-17.6 4.9-52.7 49.8-52.7h98.6c20.7 0 32.1-7.8 32.1-21.6V54.1c0-12.2 9.3-22.1 21.5-22.1S448 41.9 448 54.1v36.5c0 42.9-21.5 62-66.8 62H280.7c-30.1 0-33 14.7-33 27.1 0 1.3-.1 2.5-.2 3.7-.7 12.3-10.9 22.2-23.4 22.2s-22.7-9.8-23.4-22.2c-.1-1.2-.2-2.4-.2-3.7 0-12.3-3-27.1-33-27.1H66.8c-45.3 0-66.8-19.1-66.8-62V54.1C0 41.9 9.4 32 21.6 32s21.5 9.9 21.5 22.1v12.3C43.1 80.2 54.5 88 75.2 88h98.6c44.8 0 48.3 35.1 49.8 52.7h.9zM224 456c11.5 0 21.4-7 25.7-16.3 1.1-1.8 97.1-169.6 98.2-171.4 11.9-19.6-3.2-44.3-27.2-44.3-13.9 0-23.3 6.4-29.8 20.3L224 362l-66.9-117.7c-6.4-13.9-15.9-20.3-29.8-20.3-24 0-39.1 24.6-27.2 44.3 1.1 1.9 97.1 169.6 98.2 171.4 4.3 9.3 14.2 16.3 25.7 16.3z"],
    "viacoin": [384, 512, [], "f237", "M384 32h-64l-80.7 192h-94.5L64 32H0l48 112H0v48h68.5l13.8 32H0v48h102.8L192 480l89.2-208H384v-48h-82.3l13.8-32H384v-48h-48l48-112zM192 336l-27-64h54l-27 64z"],
    "viadeo": [448, 512, [], "f2a9", "M276.2 150.5v.7C258.3 98.6 233.6 47.8 205.4 0c43.3 29.2 67 100 70.8 150.5zm32.7 121.7c7.6 18.2 11 37.5 11 57 0 77.7-57.8 141-137.8 139.4l3.8-.3c74.2-46.7 109.3-118.6 109.3-205.1 0-38.1-6.5-75.9-18.9-112 1 11.7 1 23.7 1 35.4 0 91.8-18.1 241.6-116.6 280C95 455.2 49.4 398 49.4 329.2c0-75.6 57.4-142.3 135.4-142.3 16.8 0 33.7 3.1 49.1 9.6 1.7-15.1 6.5-29.9 13.4-43.3-19.9-7.2-41.2-10.7-62.5-10.7-161.5 0-238.7 195.9-129.9 313.7 67.9 74.6 192 73.9 259.8 0 56.6-61.3 60.9-142.4 36.4-201-12.7 8-27.1 13.9-42.2 17zM418.1 11.7c-31 66.5-81.3 47.2-115.8 80.1-12.4 12-20.6 34-20.6 50.5 0 14.1 4.5 27.1 12 38.8 47.4-11 98.3-46 118.2-90.7-.7 5.5-4.8 14.4-7.2 19.2-20.3 35.7-64.6 65.6-99.7 84.9 14.8 14.4 33.7 25.8 55 25.8 79 0 110.1-134.6 58.1-208.6z"],
    "viber": [512, 512, [], "f409", "M444 49.9C431.3 38.2 379.9 .9 265.3 .4c0 0-135.1-8.1-200.9 52.3C27.8 89.3 14.9 143 13.5 209.5c-1.4 66.5-3.1 191.1 117 224.9h.1l-.1 51.6s-.8 20.9 13 25.1c16.6 5.2 26.4-10.7 42.3-27.8 8.7-9.4 20.7-23.2 29.8-33.7 82.2 6.9 145.3-8.9 152.5-11.2 16.6-5.4 110.5-17.4 125.7-142 15.8-128.6-7.6-209.8-49.8-246.5zM457.9 287c-12.9 104-89 110.6-103 115.1-6 1.9-61.5 15.7-131.2 11.2 0 0-52 62.7-68.2 79-5.3 5.3-11.1 4.8-11-5.7 0-6.9 .4-85.7 .4-85.7-.1 0-.1 0 0 0-101.8-28.2-95.8-134.3-94.7-189.8 1.1-55.5 11.6-101 42.6-131.6 55.7-50.5 170.4-43 170.4-43 96.9 .4 143.3 29.6 154.1 39.4 35.7 30.6 53.9 103.8 40.6 211.1zm-139-80.8c.4 8.6-12.5 9.2-12.9 .6-1.1-22-11.4-32.7-32.6-33.9-8.6-.5-7.8-13.4 .7-12.9 27.9 1.5 43.4 17.5 44.8 46.2zm20.3 11.3c1-42.4-25.5-75.6-75.8-79.3-8.5-.6-7.6-13.5 .9-12.9 58 4.2 88.9 44.1 87.8 92.5-.1 8.6-13.1 8.2-12.9-.3zm47 13.4c.1 8.6-12.9 8.7-12.9 .1-.6-81.5-54.9-125.9-120.8-126.4-8.5-.1-8.5-12.9 0-12.9 73.7 .5 133 51.4 133.7 139.2zM374.9 329v.2c-10.8 19-31 40-51.8 33.3l-.2-.3c-21.1-5.9-70.8-31.5-102.2-56.5-16.2-12.8-31-27.9-42.4-42.4-10.3-12.9-20.7-28.2-30.8-46.6-21.3-38.5-26-55.7-26-55.7-6.7-20.8 14.2-41 33.3-51.8h.2c9.2-4.8 18-3.2 23.9 3.9 0 0 12.4 14.8 17.7 22.1 5 6.8 11.7 17.7 15.2 23.8 6.1 10.9 2.3 22-3.7 26.6l-12 9.6c-6.1 4.9-5.3 14-5.3 14s17.8 67.3 84.3 84.3c0 0 9.1 .8 14-5.3l9.6-12c4.6-6 15.7-9.8 26.6-3.7 14.7 8.3 33.4 21.2 45.8 32.9 7 5.7 8.6 14.4 3.8 23.6z"],
    "vimeo": [448, 512, [], "f40a", "M403.2 32H44.8C20.1 32 0 52.1 0 76.8v358.4C0 459.9 20.1 480 44.8 480h358.4c24.7 0 44.8-20.1 44.8-44.8V76.8c0-24.7-20.1-44.8-44.8-44.8zM377 180.8c-1.4 31.5-23.4 74.7-66 129.4-44 57.2-81.3 85.8-111.7 85.8-18.9 0-34.8-17.4-47.9-52.3-25.5-93.3-36.4-148-57.4-148-2.4 0-10.9 5.1-25.4 15.2l-15.2-19.6c37.3-32.8 72.9-69.2 95.2-71.2 25.2-2.4 40.7 14.8 46.5 51.7 20.7 131.2 29.9 151 67.6 91.6 13.5-21.4 20.8-37.7 21.8-48.9 3.5-33.2-25.9-30.9-45.8-22.4 15.9-52.1 46.3-77.4 91.2-76 33.3 .9 49 22.5 47.1 64.7z"],
    "vimeo-v": [448, 512, [], "f27d", "M447.8 153.6c-2 43.6-32.4 103.3-91.4 179.1-60.9 79.2-112.4 118.8-154.6 118.8-26.1 0-48.2-24.1-66.3-72.3C100.3 250 85.3 174.3 56.2 174.3c-3.4 0-15.1 7.1-35.2 21.1L0 168.2c51.6-45.3 100.9-95.7 131.8-98.5 34.9-3.4 56.3 20.5 64.4 71.5 28.7 181.5 41.4 208.9 93.6 126.7 18.7-29.6 28.8-52.1 30.2-67.6 4.8-45.9-35.8-42.8-63.3-31 22-72.1 64.1-107.1 126.2-105.1 45.8 1.2 67.5 31.1 64.9 89.4z"],
    "vine": [384, 512, [], "f1ca", "M384 254.7v52.1c-18.4 4.2-36.9 6.1-52.1 6.1-36.9 77.4-103 143.8-125.1 156.2-14 7.9-27.1 8.4-42.7-.8C137 452 34.2 367.7 0 102.7h74.5C93.2 261.8 139 343.4 189.3 404.5c27.9-27.9 54.8-65.1 75.6-106.9-49.8-25.3-80.1-80.9-80.1-145.6 0-65.6 37.7-115.1 102.2-115.1 114.9 0 106.2 127.9 81.6 181.5 0 0-46.4 9.2-63.5-20.5 3.4-11.3 8.2-30.8 8.2-48.5 0-31.3-11.3-46.6-28.4-46.6-18.2 0-30.8 17.1-30.8 50 .1 79.2 59.4 118.7 129.9 101.9z"],
    "vk": [448, 512, [], "f189", "M31.49 63.49C0 94.98 0 145.7 0 247V264.1C0 366.3 0 417 31.49 448.5C62.98 480 113.7 480 215 480H232.1C334.3 480 385 480 416.5 448.5C448 417 448 366.3 448 264.1V247C448 145.7 448 94.98 416.5 63.49C385 32 334.3 32 232.1 32H215C113.7 32 62.98 32 31.49 63.49zM75.6 168.3H126.7C128.4 253.8 166.1 289.1 196 297.4V168.3H244.2V242C273.7 238.8 304.6 205.2 315.1 168.3H363.3C359.3 187.4 351.5 205.6 340.2 221.6C328.9 237.6 314.5 251.1 297.7 261.2C316.4 270.5 332.9 283.6 346.1 299.8C359.4 315.9 369 334.6 374.5 354.7H321.4C316.6 337.3 306.6 321.6 292.9 309.8C279.1 297.9 262.2 290.4 244.2 288.1V354.7H238.4C136.3 354.7 78.03 284.7 75.6 168.3z"],
    "vnv": [640, 512, [], "f40b", "M104.9 352c-34.1 0-46.4-30.4-46.4-30.4L2.6 210.1S-7.8 192 13 192h32.8c10.4 0 13.2 8.7 18.8 18.1l36.7 74.5s5.2 13.1 21.1 13.1 21.1-13.1 21.1-13.1l36.7-74.5c5.6-9.5 8.4-18.1 18.8-18.1h32.8c20.8 0 10.4 18.1 10.4 18.1l-55.8 111.5S174.2 352 140 352h-35.1zm395 0c-34.1 0-46.4-30.4-46.4-30.4l-55.9-111.5S387.2 192 408 192h32.8c10.4 0 13.2 8.7 18.8 18.1l36.7 74.5s5.2 13.1 21.1 13.1 21.1-13.1 21.1-13.1l36.8-74.5c5.6-9.5 8.4-18.1 18.8-18.1H627c20.8 0 10.4 18.1 10.4 18.1l-55.9 111.5S569.3 352 535.1 352h-35.2zM337.6 192c34.1 0 46.4 30.4 46.4 30.4l55.9 111.5s10.4 18.1-10.4 18.1h-32.8c-10.4 0-13.2-8.7-18.8-18.1l-36.7-74.5s-5.2-13.1-21.1-13.1c-15.9 0-21.1 13.1-21.1 13.1l-36.7 74.5c-5.6 9.4-8.4 18.1-18.8 18.1h-32.9c-20.8 0-10.4-18.1-10.4-18.1l55.9-111.5s12.2-30.4 46.4-30.4h35.1z"],
    "vuejs": [448, 512, [], "f41f", "M356.9 64.3H280l-56 88.6-48-88.6H0L224 448 448 64.3h-91.1zm-301.2 32h53.8L224 294.5 338.4 96.3h53.8L224 384.5 55.7 96.3z"],
    "watchman-monitoring": [512, 512, [], "e087", "M256 16C123.5 16 16 123.5 16 256S123.5 496 256 496 496 388.5 496 256 388.5 16 256 16zM121.7 429.1C70.06 388.1 36.74 326.3 36.74 256a218.5 218.5 0 0 1 9.587-64.12l102.9-17.9-.121 10.97-13.94 2.013s-.144 12.5-.144 19.55a12.78 12.78 0 0 0 4.887 10.35l9.468 7.4zm105.7-283.3 8.48-7.618s6.934-5.38-.143-9.344c-7.188-4.024-39.53-34.5-39.53-34.5-5.348-5.477-8.257-7.347-15.46 0 0 0-32.34 30.47-39.53 34.5-7.078 3.964-.144 9.344-.144 9.344l8.481 7.618-.048 4.369L75.98 131c39.64-56.94 105.5-94.3 180-94.3A218.8 218.8 0 0 1 420.9 111.8l-193.5 37.7zm34.06 329.3-33.9-250.9 9.467-7.4a12.78 12.78 0 0 0 4.888-10.35c0-7.044-.144-19.55-.144-19.55l-13.94-2.013-.116-10.47 241.7 31.39A218.9 218.9 0 0 1 475.3 256C475.3 375.1 379.8 472.2 261.4 475.1z"],
    "waze": [512, 512, [], "f83f", "M502.2 201.7C516.7 287.5 471.2 369.6 389 409.8c13 34.1-12.4 70.2-48.32 70.2a51.68 51.68 0 0 1 -51.57-49c-6.44 .19-64.2 0-76.33-.64A51.69 51.69 0 0 1 159 479.9c-33.86-1.36-57.95-34.84-47-67.92-37.21-13.11-72.54-34.87-99.62-70.8-13-17.28-.48-41.8 20.84-41.8 46.31 0 32.22-54.17 43.15-110.3C94.8 95.2 193.1 32 288.1 32c102.5 0 197.1 70.67 214.1 169.7zM373.5 388.3c42-19.18 81.33-56.71 96.29-102.1 40.48-123.1-64.15-228-181.7-228-83.45 0-170.3 55.42-186.1 136-9.53 48.91 5 131.4-68.75 131.4C58.21 358.6 91.6 378.1 127 389.5c24.66-21.8 63.87-15.47 79.83 14.34 14.22 1 79.19 1.18 87.9 .82a51.69 51.69 0 0 1 78.78-16.42zM205.1 187.1c0-34.74 50.84-34.75 50.84 0s-50.84 34.74-50.84 0zm116.6 0c0-34.74 50.86-34.75 50.86 0s-50.86 34.75-50.86 0zm-122.6 70.69c-3.44-16.94 22.18-22.18 25.62-5.21l.06 .28c4.14 21.42 29.85 44 64.12 43.07 35.68-.94 59.25-22.21 64.11-42.77 4.46-16.05 28.6-10.36 25.47 6-5.23 22.18-31.21 62-91.46 62.9-42.55 0-80.88-27.84-87.9-64.25z"],
    "weebly": [512, 512, [], "f5cc", "M425.1 65.83c-39.88 0-73.28 25.73-83.66 64.33-18.16-58.06-65.5-64.33-84.95-64.33-19.78 0-66.8 6.28-85.28 64.33-10.38-38.6-43.45-64.33-83.66-64.33C38.59 65.83 0 99.72 0 143c0 28.96 4.18 33.27 77.17 233.5 22.37 60.57 67.77 69.35 92.74 69.35 39.23 0 70.04-19.46 85.93-53.98 15.89 34.83 46.69 54.29 85.93 54.29 24.97 0 70.36-9.1 92.74-69.67 76.55-208.6 77.5-205.6 77.5-227.2 .63-48.32-36.01-83.47-86.92-83.47zm26.34 114.8l-65.57 176.4c-7.92 21.49-21.22 37.22-46.24 37.22-23.44 0-37.38-12.41-44.03-33.9l-39.28-117.4h-.95L216.1 360.4c-6.96 21.5-20.9 33.6-44.02 33.6-25.02 0-38.33-15.74-46.24-37.22L60.88 181.6c-5.38-14.83-7.92-23.91-7.92-34.5 0-16.34 15.84-29.36 38.33-29.36 18.69 0 31.99 11.8 36.11 29.05l44.03 139.8h.95l44.66-136.8c6.02-19.67 16.47-32.08 38.96-32.08s32.94 12.11 38.96 32.08l44.66 136.8h.95l44.03-139.8c4.12-17.25 17.42-29.05 36.11-29.05 22.17 0 38.33 13.32 38.33 35.71-.32 7.87-4.12 16.04-7.61 27.24z"],
    "weibo": [512, 512, [], "f18a", "M407 177.6c7.6-24-13.4-46.8-37.4-41.7-22 4.8-28.8-28.1-7.1-32.8 50.1-10.9 92.3 37.1 76.5 84.8-6.8 21.2-38.8 10.8-32-10.3zM214.8 446.7C108.5 446.7 0 395.3 0 310.4c0-44.3 28-95.4 76.3-143.7C176 67 279.5 65.8 249.9 161c-4 13.1 12.3 5.7 12.3 6 79.5-33.6 140.5-16.8 114 51.4-3.7 9.4 1.1 10.9 8.3 13.1 135.7 42.3 34.8 215.2-169.7 215.2zm143.7-146.3c-5.4-55.7-78.5-94-163.4-85.7-84.8 8.6-148.8 60.3-143.4 116s78.5 94 163.4 85.7c84.8-8.6 148.8-60.3 143.4-116zM347.9 35.1c-25.9 5.6-16.8 43.7 8.3 38.3 72.3-15.2 134.8 52.8 111.7 124-7.4 24.2 29.1 37 37.4 12 31.9-99.8-55.1-195.9-157.4-174.3zm-78.5 311c-17.1 38.8-66.8 60-109.1 46.3-40.8-13.1-58-53.4-40.3-89.7 17.7-35.4 63.1-55.4 103.4-45.1 42 10.8 63.1 50.2 46 88.5zm-86.3-30c-12.9-5.4-30 .3-38 12.9-8.3 12.9-4.3 28 8.6 34 13.1 6 30.8 .3 39.1-12.9 8-13.1 3.7-28.3-9.7-34zm32.6-13.4c-5.1-1.7-11.4 .6-14.3 5.4-2.9 5.1-1.4 10.6 3.7 12.9 5.1 2 11.7-.3 14.6-5.4 2.8-5.2 1.1-10.9-4-12.9z"],
    "weixin": [576, 512, [], "f1d7", "M385.2 167.6c6.4 0 12.6 .3 18.8 1.1C387.4 90.3 303.3 32 207.7 32 100.5 32 13 104.8 13 197.4c0 53.4 29.3 97.5 77.9 131.6l-19.3 58.6 68-34.1c24.4 4.8 43.8 9.7 68.2 9.7 6.2 0 12.1-.3 18.3-.8-4-12.9-6.2-26.6-6.2-40.8-.1-84.9 72.9-154 165.3-154zm-104.5-52.9c14.5 0 24.2 9.7 24.2 24.4 0 14.5-9.7 24.2-24.2 24.2-14.8 0-29.3-9.7-29.3-24.2 .1-14.7 14.6-24.4 29.3-24.4zm-136.4 48.6c-14.5 0-29.3-9.7-29.3-24.2 0-14.8 14.8-24.4 29.3-24.4 14.8 0 24.4 9.7 24.4 24.4 0 14.6-9.6 24.2-24.4 24.2zM563 319.4c0-77.9-77.9-141.3-165.4-141.3-92.7 0-165.4 63.4-165.4 141.3S305 460.7 397.6 460.7c19.3 0 38.9-5.1 58.6-9.9l53.4 29.3-14.8-48.6C534 402.1 563 363.2 563 319.4zm-219.1-24.5c-9.7 0-19.3-9.7-19.3-19.6 0-9.7 9.7-19.3 19.3-19.3 14.8 0 24.4 9.7 24.4 19.3 0 10-9.7 19.6-24.4 19.6zm107.1 0c-9.7 0-19.3-9.7-19.3-19.6 0-9.7 9.7-19.3 19.3-19.3 14.5 0 24.4 9.7 24.4 19.3 .1 10-9.9 19.6-24.4 19.6z"],
    "whatsapp": [448, 512, [], "f232", "M380.9 97.1C339 55.1 283.2 32 223.9 32c-122.4 0-222 99.6-222 222 0 39.1 10.2 77.3 29.6 111L0 480l117.7-30.9c32.4 17.7 68.9 27 106.1 27h.1c122.3 0 224.1-99.6 224.1-222 0-59.3-25.2-115-67.1-157zm-157 341.6c-33.2 0-65.7-8.9-94-25.7l-6.7-4-69.8 18.3L72 359.2l-4.4-7c-18.5-29.4-28.2-63.3-28.2-98.2 0-101.7 82.8-184.5 184.6-184.5 49.3 0 95.6 19.2 130.4 54.1 34.8 34.9 56.2 81.2 56.1 130.5 0 101.8-84.9 184.6-186.6 184.6zm101.2-138.2c-5.5-2.8-32.8-16.2-37.9-18-5.1-1.9-8.8-2.8-12.5 2.8-3.7 5.6-14.3 18-17.6 21.8-3.2 3.7-6.5 4.2-12 1.4-32.6-16.3-54-29.1-75.5-66-5.7-9.8 5.7-9.1 16.3-30.3 1.8-3.7 .9-6.9-.5-9.7-1.4-2.8-12.5-30.1-17.1-41.2-4.5-10.8-9.1-9.3-12.5-9.5-3.2-.2-6.9-.2-10.6-.2-3.7 0-9.7 1.4-14.8 6.9-5.1 5.6-19.4 19-19.4 46.3 0 27.3 19.9 53.7 22.6 57.4 2.8 3.7 39.1 59.7 94.8 83.8 35.2 15.2 49 16.5 66.6 13.9 10.7-1.6 32.8-13.4 37.4-26.4 4.6-13 4.6-24.1 3.2-26.4-1.3-2.5-5-3.9-10.5-6.6z"],
    "whmcs": [448, 512, [], "f40d", "M448 161v-21.3l-28.5-8.8-2.2-10.4 20.1-20.7L427 80.4l-29 7.5-7.2-7.5 7.5-28.2-19.1-11.6-21.3 21-10.7-3.2-7-26.4h-22.6l-6.2 26.4-12.1 3.2-19.7-21-19.4 11 8.1 27.7-8.1 8.4-28.5-7.5-11 19.1 20.7 21-2.9 10.4-28.5 7.8-.3 21.7 28.8 7.5 2.4 12.1-20.1 19.9 10.4 18.5 29.6-7.5 7.2 8.6-8.1 26.9 19.9 11.6 19.4-20.4 11.6 2.9 6.7 28.5 22.6 .3 6.7-28.8 11.6-3.5 20.7 21.6 20.4-12.1-8.8-28 7.8-8.1 28.8 8.8 10.3-20.1-20.9-18.8 2.2-12.1 29.1-7zm-119.2 45.2c-31.3 0-56.8-25.4-56.8-56.8s25.4-56.8 56.8-56.8 56.8 25.4 56.8 56.8c0 31.5-25.4 56.8-56.8 56.8zm72.3 16.4l46.9 14.5V277l-55.1 13.4-4.1 22.7 38.9 35.3-19.2 37.9-54-16.7-14.6 15.2 16.7 52.5-38.3 22.7-38.9-40.5-21.7 6.6-12.6 54-42.4-.5-12.6-53.6-21.7-5.6-36.4 38.4-37.4-21.7 15.2-50.5-13.7-16.1-55.5 14.1-19.7-34.8 37.9-37.4-4.8-22.8-54-14.1 .5-40.9L54 219.9l5.7-19.7-38.9-39.4L41.5 125l53.6 14.1 15.2-15.7-15.2-52 36.4-20.7 36.8 39.4L191 84l11.6-52H245l11.6 45.9L234 72l-6.3-1.7-3.3 5.7-11 19.1-3.3 5.6 4.6 4.6 17.2 17.4-.3 1-23.8 6.5-6.2 1.7-.1 6.4-.2 12.9C153.8 161.6 118 204 118 254.7c0 58.3 47.3 105.7 105.7 105.7 50.5 0 92.7-35.4 103.2-82.8l13.2 .2 6.9 .1 1.6-6.7 5.6-24 1.9-.6 17.1 17.8 4.7 4.9 5.8-3.4 20.4-12.1 5.8-3.5-2-6.5-6.8-21.2z"],
    "wikipedia-w": [640, 512, [], "f266", "M640 51.2l-.3 12.2c-28.1 .8-45 15.8-55.8 40.3-25 57.8-103.3 240-155.3 358.6H415l-81.9-193.1c-32.5 63.6-68.3 130-99.2 193.1-.3 .3-15 0-15-.3C172 352.3 122.8 243.4 75.8 133.4 64.4 106.7 26.4 63.4 .2 63.7c0-3.1-.3-10-.3-14.2h161.9v13.9c-19.2 1.1-52.8 13.3-43.3 34.2 21.9 49.7 103.6 240.3 125.6 288.6 15-29.7 57.8-109.2 75.3-142.8-13.9-28.3-58.6-133.9-72.8-160-9.7-17.8-36.1-19.4-55.8-19.7V49.8l142.5 .3v13.1c-19.4 .6-38.1 7.8-29.4 26.1 18.9 40 30.6 68.1 48.1 104.7 5.6-10.8 34.7-69.4 48.1-100.8 8.9-20.6-3.9-28.6-38.6-29.4 .3-3.6 0-10.3 .3-13.6 44.4-.3 111.1-.3 123.1-.6v13.6c-22.5 .8-45.8 12.8-58.1 31.7l-59.2 122.8c6.4 16.1 63.3 142.8 69.2 156.7L559.2 91.8c-8.6-23.1-36.4-28.1-47.2-28.3V49.6l127.8 1.1 .2 .5z"],
    "windows": [448, 512, [], "f17a", "M0 93.7l183.6-25.3v177.4H0V93.7zm0 324.6l183.6 25.3V268.4H0v149.9zm203.8 28L448 480V268.4H203.8v177.9zm0-380.6v180.1H448V32L203.8 65.7z"],
    "wirsindhandwerk": [512, 512, ["wsh"], "e2d0", "M50.77 479.8h83.36V367.8l-83.36 47.01zm329 0h82.35V414.9l-82.35-47.01zm.0057-448V251.6L256.2 179.2 134.5 251.6V31.81H50.77V392.6L256.2 270.3 462.2 392.6V31.81z"],
    "wix": [640, 512, [], "f5cf", "M393.4 131.7c0 13.03 2.08 32.69-28.68 43.83-9.52 3.45-15.95 9.66-15.95 9.66 0-31 4.72-42.22 17.4-48.86 9.75-5.11 27.23-4.63 27.23-4.63zm-115.8 35.54l-34.24 132.7-28.48-108.6c-7.69-31.99-20.81-48.53-48.43-48.53-27.37 0-40.66 16.18-48.43 48.53L89.52 299.9 55.28 167.2C49.73 140.5 23.86 128.1 0 131.1l65.57 247.9s21.63 1.56 32.46-3.96c14.22-7.25 20.98-12.84 29.59-46.57 7.67-30.07 29.11-118.4 31.12-124.7 4.76-14.94 11.09-13.81 15.4 0 1.97 6.3 23.45 94.63 31.12 124.7 8.6 33.73 15.37 39.32 29.59 46.57 10.82 5.52 32.46 3.96 32.46 3.96l65.57-247.9c-24.42-3.07-49.82 8.93-55.3 35.27zm115.8 5.21s-4.1 6.34-13.46 11.57c-6.01 3.36-11.78 5.64-17.97 8.61-15.14 7.26-13.18 13.95-13.18 35.2v152.1s16.55 2.09 27.37-3.43c13.93-7.1 17.13-13.95 17.26-44.78V181.4l-.02 .01v-8.98zm163.4 84.08L640 132.8s-35.11-5.98-52.5 9.85c-13.3 12.1-24.41 29.55-54.18 72.47-.47 .73-6.25 10.54-13.07 0-29.29-42.23-40.8-60.29-54.18-72.47-17.39-15.83-52.5-9.85-52.5-9.85l83.2 123.7-82.97 123.4s36.57 4.62 53.95-11.21c11.49-10.46 17.58-20.37 52.51-70.72 6.81-10.52 12.57-.77 13.07 0 29.4 42.38 39.23 58.06 53.14 70.72 17.39 15.83 53.32 11.21 53.32 11.21L556.8 256.5z"],
    "wizards-of-the-coast": [640, 512, [], "f730", "M219.2 345.7c-1.9 1.38-11.07 8.44-.26 23.57 4.64 6.42 14.11 12.79 21.73 6.55 6.5-4.88 7.35-12.92 .26-23.04-5.47-7.76-14.28-12.88-21.73-7.08zm336.8 75.94c-.34 1.7-.55 1.67 .79 0 2.09-4.19 4.19-10.21 4.98-19.9 3.14-38.49-40.33-71.49-101.3-78.03-54.73-6.02-124.4 9.17-188.8 60.49l-.26 1.57c2.62 4.98 4.98 10.74 3.4 21.21l.79 .26c63.89-58.4 131.2-77.25 184.4-73.85 58.4 3.67 100 34.04 100 68.08-.01 9.96-2.63 15.72-3.94 20.17zM392.3 240.4c.79 7.07 4.19 10.21 9.17 10.47 5.5 .26 9.43-2.62 10.47-6.55 .79-3.4 2.09-29.85 2.09-29.85s-11.26 6.55-14.93 10.47c-3.66 3.68-7.33 8.39-6.8 15.46zm-50.02-151.1C137.8 89.32 13.1 226.8 .79 241.2c-1.05 .52-1.31 .79 .79 1.31 60.49 16.5 155.8 81.18 196.1 202.2l1.05 .26c55.25-69.92 140.9-128.1 236.1-128.1 80.92 0 130.1 42.16 130.1 80.39 0 18.33-6.55 33.52-22.26 46.35 0 .96-.2 .79 .79 .79 14.66-10.74 27.5-28.8 27.5-48.18 0-22.78-12.05-38.23-12.05-38.23 7.07 7.07 10.74 16.24 10.74 16.24 5.76-40.85 26.97-62.32 26.97-62.32-2.36-9.69-6.81-17.81-6.81-17.81 7.59 8.12 14.4 27.5 14.4 41.37 0 10.47-3.4 22.78-12.57 31.95l.26 .52c8.12-4.98 16.5-16.76 16.5-37.97 0-15.71-4.71-25.92-4.71-25.92 5.76-5.24 11.26-9.17 15.97-11.78 .79 3.4 2.09 9.69 2.36 14.93 0 1.05 .79 1.83 1.05 0 .79-5.76-.26-16.24-.26-16.5 6.02-3.14 9.69-4.45 9.69-4.45C617.7 176 489.4 89.32 342.3 89.32zm-99.24 289.6c-11.06 8.99-24.2 4.08-30.64-4.19-7.45-9.58-6.76-24.09 4.19-32.47 14.85-11.35 27.08-.49 31.16 5.5 .28 .39 12.13 16.57-4.71 31.16zm2.09-136.4l9.43-17.81 11.78 70.96-12.57 6.02-24.62-28.8 14.14-26.71 3.67 4.45-1.83-8.11zm18.59 117.6l-.26-.26c2.05-4.1-2.5-6.61-17.54-31.69-1.31-2.36-3.14-2.88-4.45-2.62l-.26-.52c7.86-5.76 15.45-10.21 25.4-15.71l.52 .26c1.31 1.83 2.09 2.88 3.4 4.71l-.26 .52c-1.05-.26-2.36-.79-5.24 .26-2.09 .79-7.86 3.67-12.31 7.59v1.31c1.57 2.36 3.93 6.55 5.76 9.69h.26c10.05-6.28 7.56-4.55 11.52-7.86h.26c.52 1.83 .52 1.83 1.83 5.5l-.26 .26c-3.06 .61-4.65 .34-11.52 5.5v.26c9.46 17.02 11.01 16.75 12.57 15.97l.26 .26c-2.34 1.59-6.27 4.21-9.68 6.57zm55.26-32.47c-3.14 1.57-6.02 2.88-9.95 4.98l-.26-.26c1.29-2.59 1.16-2.71-11.78-32.47l-.26-.26c-.15 0-8.9 3.65-9.95 7.33h-.52l-1.05-5.76 .26-.52c7.29-4.56 25.53-11.64 27.76-12.57l.52 .26 3.14 4.98-.26 .52c-3.53-1.76-7.35 .76-12.31 2.62v.26c12.31 32.01 12.67 30.64 14.66 30.64v.25zm44.77-16.5c-4.19 1.05-5.24 1.31-9.69 2.88l-.26-.26 .52-4.45c-1.05-3.4-3.14-11.52-3.67-13.62l-.26-.26c-3.4 .79-8.9 2.62-12.83 3.93l-.26 .26c.79 2.62 3.14 9.95 4.19 13.88 .79 2.36 1.83 2.88 2.88 3.14v.52c-3.67 1.05-7.07 2.62-10.21 3.93l-.26-.26c1.05-1.31 1.05-2.88 .26-4.98-1.05-3.14-8.12-23.83-9.17-27.23-.52-1.83-1.57-3.14-2.62-3.14v-.52c3.14-1.05 6.02-2.09 10.74-3.4l.26 .26-.26 4.71c1.31 3.93 2.36 7.59 3.14 9.69h.26c3.93-1.31 9.43-2.88 12.83-3.93l.26-.26-2.62-9.43c-.52-1.83-1.05-3.4-2.62-3.93v-.26c4.45-1.05 7.33-1.83 10.74-2.36l.26 .26c-1.05 1.31-1.05 2.88-.52 4.45 1.57 6.28 4.71 20.43 6.28 26.45 .54 2.62 1.85 3.41 2.63 3.93zm32.21-6.81l-.26 .26c-4.71 .52-14.14 2.36-22.52 4.19l-.26-.26 .79-4.19c-1.57-7.86-3.4-18.59-4.98-26.19-.26-1.83-.79-2.88-2.62-3.67l.79-.52c9.17-1.57 20.16-2.36 24.88-2.62l.26 .26c.52 2.36 .79 3.14 1.57 5.5l-.26 .26c-1.14-1.14-3.34-3.2-16.24-.79l-.26 .26c.26 1.57 1.05 6.55 1.57 9.95l.26 .26c9.52-1.68 4.76-.06 10.74-2.36h.26c0 1.57-.26 1.83-.26 5.24h-.26c-4.81-1.03-2.15-.9-10.21 0l-.26 .26c.26 2.09 1.57 9.43 2.09 12.57l.26 .26c1.15 .38 14.21-.65 16.24-4.71h.26c-.53 2.38-1.05 4.21-1.58 6.04zm10.74-44.51c-4.45 2.36-8.12 2.88-11 2.88-.25 .02-11.41 1.09-17.54-9.95-6.74-10.79-.98-25.2 5.5-31.69 8.8-8.12 23.35-10.1 28.54-17.02 8.03-10.33-13.04-22.31-29.59-5.76l-2.62-2.88 5.24-16.24c25.59-1.57 45.2-3.04 50.02 16.24 .79 3.14 0 9.43-.26 12.05 0 2.62-1.83 18.85-2.09 23.04-.52 4.19-.79 18.33-.79 20.69 .26 2.36 .52 4.19 1.57 5.5 1.57 1.83 5.76 1.83 5.76 1.83l-.79 4.71c-11.82-1.07-10.28-.59-20.43-1.05-3.22-5.15-2.23-3.28-4.19-7.86 0 .01-4.19 3.94-7.33 5.51zm37.18 21.21c-6.35-10.58-19.82-7.16-21.73 5.5-2.63 17.08 14.3 19.79 20.69 10.21l.26 .26c-.52 1.83-1.83 6.02-1.83 6.28l-.52 .52c-10.3 6.87-28.5-2.5-25.66-18.59 1.94-10.87 14.44-18.93 28.8-9.95l.26 .52c0 1.06-.27 3.41-.27 5.25zm5.77-87.73v-6.55c.69 0 19.65 3.28 27.76 7.33l-1.57 17.54s10.21-9.43 15.45-10.74c5.24-1.57 14.93 7.33 14.93 7.33l-11.26 11.26c-12.07-6.35-19.59-.08-20.69 .79-5.29 38.72-8.6 42.17 4.45 46.09l-.52 4.71c-17.55-4.29-18.53-4.5-36.92-7.33l.79-4.71c7.25 0 7.48-5.32 7.59-6.81 0 0 4.98-53.16 4.98-55.25-.02-2.87-4.99-3.66-4.99-3.66zm10.99 114.4c-8.12-2.09-14.14-11-10.74-20.69 3.14-9.43 12.31-12.31 18.85-10.21 9.17 2.62 12.83 11.78 10.74 19.38-2.61 8.9-9.42 13.87-18.85 11.52zm42.16 9.69c-2.36-.52-7.07-2.36-8.64-2.88v-.26l1.57-1.83c.59-8.24 .59-7.27 .26-7.59-4.82-1.81-6.66-2.36-7.07-2.36-1.31 1.83-2.88 4.45-3.67 5.5l-.79 3.4v.26c-1.31-.26-3.93-1.31-6.02-1.57v-.26l2.62-1.83c3.4-4.71 9.95-14.14 13.88-20.16v-2.09l.52-.26c2.09 .79 5.5 2.09 7.59 2.88 .48 .48 .18-1.87-1.05 25.14-.24 1.81 .02 2.6 .8 3.91zm-4.71-89.82c11.25-18.27 30.76-16.19 34.04-3.4L539.7 198c2.34-6.25-2.82-9.9-4.45-11.26l1.83-3.67c12.22 10.37 16.38 13.97 22.52 20.43-25.91 73.07-30.76 80.81-24.62 84.32l-1.83 4.45c-6.37-3.35-8.9-4.42-17.81-8.64l2.09-6.81c-.26-.26-3.93 3.93-9.69 3.67-19.06-1.3-22.89-31.75-9.67-52.9zm29.33 79.34c0-5.71-6.34-7.89-7.86-5.24-1.31 2.09 1.05 4.98 2.88 8.38 1.57 2.62 2.62 6.28 1.05 9.43-2.64 6.34-12.4 5.31-15.45-.79 0-.7-.27 .09 1.83-4.71l.79-.26c-.57 5.66 6.06 9.61 8.38 4.98 1.05-2.09-.52-5.5-2.09-8.38-1.57-2.62-3.67-6.28-1.83-9.69 2.72-5.06 11.25-4.47 14.66 2.36v.52l-2.36 3.4zm21.21 13.36c-1.96-3.27-.91-2.14-4.45-4.71h-.26c-2.36 4.19-5.76 10.47-8.64 16.24-1.31 2.36-1.05 3.4-.79 3.93l-.26 .26-5.76-4.45 .26-.26 2.09-1.31c3.14-5.76 6.55-12.05 9.17-17.02v-.26c-2.64-1.98-1.22-1.51-6.02-1.83v-.26l3.14-3.4h.26c3.67 2.36 9.95 6.81 12.31 8.9l.26 .26-1.31 3.91zm27.23-44.26l-2.88-2.88c.79-2.36 1.83-4.98 2.09-7.59 .75-9.74-11.52-11.84-11.52-4.98 0 4.98 7.86 19.38 7.86 27.76 0 10.21-5.76 15.71-13.88 16.5-8.38 .79-20.16-10.47-20.16-10.47l4.98-14.4 2.88 2.09c-2.97 17.8 17.68 20.37 13.35 5.24-1.06-4.02-18.75-34.2 2.09-38.23 13.62-2.36 23.04 16.5 23.04 16.5l-7.85 10.46zm35.62-10.21c-11-30.38-60.49-127.5-191.9-129.6-53.42-1.05-94.27 15.45-132.8 37.97l85.63-9.17-91.39 20.69 25.14 19.64-3.93-16.5c7.5-1.71 39.15-8.45 66.77-8.9l-22.26 80.39c13.61-.7 18.97-8.98 19.64-22.78l4.98-1.05 .26 26.71c-22.46 3.21-37.3 6.69-49.49 9.95l13.09-43.21-61.54-36.66 2.36 8.12 10.21 4.98c6.28 18.59 19.38 56.56 20.43 58.66 1.95 4.28 3.16 5.78 12.05 4.45l1.05 4.98c-16.08 4.86-23.66 7.61-39.02 14.4l-2.36-4.71c4.4-2.94 8.73-3.94 5.5-12.83-23.7-62.5-21.48-58.14-22.78-59.44l2.36-4.45 33.52 67.3c-3.84-11.87 1.68 1.69-32.99-78.82l-41.9 88.51 4.71-13.88-35.88-42.16 27.76 93.48-11.78 8.38C95 228.6 101.1 231.9 93.23 231.5c-5.5-.26-13.62 5.5-13.62 5.5L74.63 231c30.56-23.53 31.62-24.33 58.4-42.68l4.19 7.07s-5.76 4.19-7.86 7.07c-5.9 9.28 1.67 13.28 61.8 75.68l-18.85-58.92 39.8-10.21 25.66 30.64 4.45-12.31-4.98-24.62 13.09-3.4 .52 3.14 3.67-10.47-94.27 29.33 11.26-4.98-13.62-42.42 17.28-9.17 30.11 36.14 28.54-13.09c-1.41-7.47-2.47-14.5-4.71-19.64l17.28 13.88 4.71-2.09-59.18-42.68 23.08 11.5c18.98-6.07 25.23-7.47 32.21-9.69l2.62 11c-12.55 12.55 1.43 16.82 6.55 19.38l-13.62-61.01 12.05 28.28c4.19-1.31 7.33-2.09 7.33-2.09l2.62 8.64s-3.14 1.05-6.28 2.09l8.9 20.95 33.78-65.73-20.69 61.01c42.42-24.09 81.44-36.66 131.1-35.88 67.04 1.05 167.3 40.85 199.8 139.8 .78 2.1-.01 2.63-.79 .27zM203.5 152.4s1.83-.52 4.19-1.31l9.43 7.59c-.4 0-3.44-.25-11.26 2.36l-2.36-8.64zm143.8 38.5c-1.57-.6-26.46-4.81-33.26 20.69l21.73 17.02 11.53-37.71zM318.4 67.07c-58.4 0-106.1 12.05-114.1 14.4v.79c8.38 2.09 14.4 4.19 21.21 11.78l1.57 .26c6.55-1.83 48.97-13.88 110.2-13.88 180.2 0 301.7 116.8 301.7 223.4v9.95c0 1.31 .79 2.62 1.05 .52 .52-2.09 .79-8.64 .79-19.64 .26-83.79-96.63-227.6-321.6-227.6zm211.1 169.7c1.31-5.76 0-12.31-7.33-13.09-9.62-1.13-16.14 23.79-17.02 33.52-.79 5.5-1.31 14.93 6.02 14.93 4.68-.01 9.72-.91 18.33-35.36zm-61.53 42.95c-2.62-.79-9.43-.79-12.57 10.47-1.83 6.81 .52 13.35 6.02 14.66 3.67 1.05 8.9 .52 11.78-10.74 2.62-9.94-1.83-13.61-5.23-14.39zM491 300.6c1.83 .52 3.14 1.05 5.76 1.83 0-1.83 .52-8.38 .79-12.05-1.05 1.31-5.5 8.12-6.55 9.95v.27z"],
    "wodu": [640, 512, [], "e088", "M178.4 339.7H141.1L112.2 223.5h-.478L83.23 339.7H45.2L0 168.9H37.55L64.57 285.2h.478L94.71 168.9h35.16l29.18 117.7h.479L187.5 168.9h36.83zM271.4 212.7c38.98 0 64.1 25.83 64.1 65.29 0 39.22-25.11 65.05-64.1 65.05-38.74 0-63.85-25.83-63.85-65.05C207.5 238.5 232.7 212.7 271.4 212.7zm0 104.8c23.2 0 30.13-19.85 30.13-39.46 0-19.85-6.934-39.7-30.13-39.7-27.7 0-29.89 19.85-29.89 39.7C241.5 297.6 248.4 317.5 271.4 317.5zM435.1 323.9h-.478c-7.893 13.39-21.76 19.13-37.55 19.13-37.31 0-55.49-32.04-55.49-66.25 0-33.24 18.42-64.1 54.77-64.1 14.59 0 28.94 6.218 36.83 18.42h.24V168.9h33.96v170.8H435.1zM405.4 238.3c-22.24 0-29.89 19.13-29.89 39.46 0 19.37 8.848 39.7 29.89 39.7 22.48 0 29.18-19.61 29.18-39.94C434.6 257.4 427.4 238.3 405.4 238.3zM592.1 339.7H560.7V322.5h-.718c-8.609 13.87-23.44 20.57-37.79 20.57-36.11 0-45.2-20.33-45.2-50.94V216.1h33.96V285.9c0 20.33 5.979 30.37 21.76 30.37 18.42 0 26.31-10.28 26.31-35.39V216.1H592.1zM602.5 302.9H640v36.83H602.5z"],
    "wolf-pack-battalion": [512, 512, [], "f514", "M267.7 471.5l10.56 15.84 5.28-12.32 5.28 7V512c21.06-7.92 21.11-66.86 25.51-97.21 4.62-31.89-.88-92.81 81.37-149.1-8.88-23.61-12-49.43-2.64-80.05C421 189 447 196.2 456.4 239.7l-30.35 8.36c11.15 23 17 46.76 13.2 72.14L412 313.2l-6.16 33.43-18.47-7-8.8 33.39-19.35-7 26.39 21.11 8.8-28.15L419 364.2l7-35.63 26.39 14.52c.25-20 7-58.06-8.8-84.45l26.39 5.28c4-22.07-2.38-39.21-7.92-56.74l22.43 9.68c-.44-25.07-29.94-56.79-61.58-58.5-20.22-1.09-56.74-25.17-54.1-51.9 2-19.87 17.45-42.62 43.11-49.7-44 36.51-9.68 67.3 5.28 73.46 4.4-11.44 17.54-69.08 0-130.2-40.39 22.87-89.65 65.1-93.2 147.8l-58 38.71-3.52 93.25L369.8 220l7 7-17.59 3.52-44 38.71-15.84-5.28-28.1 49.25-3.52 119.6 21.11 15.84-32.55 15.84-32.55-15.84 21.11-15.84-3.52-119.6-28.15-49.26-15.84 5.28-44-38.71-17.58-3.51 7-7 107.3 59.82-3.52-93.25-58.06-38.71C185 65.1 135.8 22.87 95.3 0c-17.54 61.12-4.4 118.8 0 130.2 15-6.16 49.26-36.95 5.28-73.46 25.66 7.08 41.15 29.83 43.11 49.7 2.63 26.74-33.88 50.81-54.1 51.9-31.65 1.72-61.15 33.44-61.59 58.51l22.43-9.68c-5.54 17.53-11.91 34.67-7.92 56.74l26.39-5.28c-15.76 26.39-9.05 64.43-8.8 84.45l26.39-14.52 7 35.63 24.63-5.28 8.8 28.15L153.4 366 134 373l-8.8-33.43-18.47 7-6.16-33.43-27.27 7c-3.82-25.38 2-49.1 13.2-72.14l-30.35-8.36c9.4-43.52 35.47-50.77 63.34-54.1 9.36 30.62 6.24 56.45-2.64 80.05 82.25 56.3 76.75 117.2 81.37 149.1 4.4 30.35 4.45 89.29 25.51 97.21v-29.83l5.28-7 5.28 12.32 10.56-15.84 11.44 21.11 11.43-21.1zm79.17-95L331.1 366c7.47-4.36 13.76-8.42 19.35-12.32-.6 7.22-.27 13.84-3.51 22.84zm28.15-49.26c-.4 10.94-.9 21.66-1.76 31.67-7.85-1.86-15.57-3.8-21.11-7 8.24-7.94 15.55-16.32 22.87-24.68zm24.63 5.28c0-13.43-2.05-24.21-5.28-33.43a235 235 0 0 1 -18.47 27.27zm3.52-80.94c19.44 12.81 27.8 33.66 29.91 56.3-12.32-4.53-24.63-9.31-36.95-10.56 5.06-12 6.65-28.14 7-45.74zm-1.76-45.74c.81 14.3 1.84 28.82 1.76 42.23 19.22-8.11 29.78-9.72 44-14.08-10.61-18.96-27.2-25.53-45.76-28.16zM165.7 376.5L181.5 366c-7.47-4.36-13.76-8.42-19.35-12.32 .6 7.26 .27 13.88 3.51 22.88zm-28.15-49.26c.4 10.94 .9 21.66 1.76 31.67 7.85-1.86 15.57-3.8 21.11-7-8.24-7.93-15.55-16.31-22.87-24.67zm-24.64 5.28c0-13.43 2-24.21 5.28-33.43a235 235 0 0 0 18.47 27.27zm-3.52-80.94c-19.44 12.81-27.8 33.66-29.91 56.3 12.32-4.53 24.63-9.31 37-10.56-5-12-6.65-28.14-7-45.74zm1.76-45.74c-.81 14.3-1.84 28.82-1.76 42.23-19.22-8.11-29.78-9.72-44-14.08 10.63-18.95 27.23-25.52 45.76-28.15z"],
    "wordpress": [512, 512, [], "f19a", "M61.7 169.4l101.5 278C92.2 413 43.3 340.2 43.3 256c0-30.9 6.6-60.1 18.4-86.6zm337.9 75.9c0-26.3-9.4-44.5-17.5-58.7-10.8-17.5-20.9-32.4-20.9-49.9 0-19.6 14.8-37.8 35.7-37.8 .9 0 1.8 .1 2.8 .2-37.9-34.7-88.3-55.9-143.7-55.9-74.3 0-139.7 38.1-177.8 95.9 5 .2 9.7 .3 13.7 .3 22.2 0 56.7-2.7 56.7-2.7 11.5-.7 12.8 16.2 1.4 17.5 0 0-11.5 1.3-24.3 2l77.5 230.4L249.8 247l-33.1-90.8c-11.5-.7-22.3-2-22.3-2-11.5-.7-10.1-18.2 1.3-17.5 0 0 35.1 2.7 56 2.7 22.2 0 56.7-2.7 56.7-2.7 11.5-.7 12.8 16.2 1.4 17.5 0 0-11.5 1.3-24.3 2l76.9 228.7 21.2-70.9c9-29.4 16-50.5 16-68.7zm-139.9 29.3l-63.8 185.5c19.1 5.6 39.2 8.7 60.1 8.7 24.8 0 48.5-4.3 70.6-12.1-.6-.9-1.1-1.9-1.5-2.9l-65.4-179.2zm183-120.7c.9 6.8 1.4 14 1.4 21.9 0 21.6-4 45.8-16.2 76.2l-65 187.9C426.2 403 468.7 334.5 468.7 256c0-37-9.4-71.8-26-102.1zM504 256c0 136.8-111.3 248-248 248C119.2 504 8 392.7 8 256 8 119.2 119.2 8 256 8c136.7 0 248 111.2 248 248zm-11.4 0c0-130.5-106.2-236.6-236.6-236.6C125.5 19.4 19.4 125.5 19.4 256S125.6 492.6 256 492.6c130.5 0 236.6-106.1 236.6-236.6z"],
    "wordpress-simple": [512, 512, [], "f411", "M256 8C119.3 8 8 119.2 8 256c0 136.7 111.3 248 248 248s248-111.3 248-248C504 119.2 392.7 8 256 8zM33 256c0-32.3 6.9-63 19.3-90.7l106.4 291.4C84.3 420.5 33 344.2 33 256zm223 223c-21.9 0-43-3.2-63-9.1l66.9-194.4 68.5 187.8c.5 1.1 1 2.1 1.6 3.1-23.1 8.1-48 12.6-74 12.6zm30.7-327.5c13.4-.7 25.5-2.1 25.5-2.1 12-1.4 10.6-19.1-1.4-18.4 0 0-36.1 2.8-59.4 2.8-21.9 0-58.7-2.8-58.7-2.8-12-.7-13.4 17.7-1.4 18.4 0 0 11.4 1.4 23.4 2.1l34.7 95.2L200.6 393l-81.2-241.5c13.4-.7 25.5-2.1 25.5-2.1 12-1.4 10.6-19.1-1.4-18.4 0 0-36.1 2.8-59.4 2.8-4.2 0-9.1-.1-14.4-.3C109.6 73 178.1 33 256 33c58 0 110.9 22.2 150.6 58.5-1-.1-1.9-.2-2.9-.2-21.9 0-37.4 19.1-37.4 39.6 0 18.4 10.6 33.9 21.9 52.3 8.5 14.8 18.4 33.9 18.4 61.5 0 19.1-7.3 41.2-17 72.1l-22.2 74.3-80.7-239.6zm81.4 297.2l68.1-196.9c12.7-31.8 17-57.2 17-79.9 0-8.2-.5-15.8-1.5-22.9 17.4 31.8 27.3 68.2 27.3 107 0 82.3-44.6 154.1-110.9 192.7z"],
    "wpbeginner": [512, 512, [], "f297", "M462.8 322.4C519 386.7 466.1 480 370.9 480c-39.6 0-78.82-17.69-100.1-50.04-6.887 .356-22.7 .356-29.59 0C219.8 462.4 180.6 480 141.1 480c-95.49 0-148.3-92.1-91.86-157.6C-29.92 190.5 80.48 32 256 32c175.6 0 285.9 158.6 206.8 290.4zm-339.6-82.97h41.53v-58.08h-41.53v58.08zm217.2 86.07v-23.84c-60.51 20.92-132.4 9.198-187.6-33.97l.246 24.9c51.1 46.37 131.7 57.88 187.3 32.91zm-150.8-86.07h166.1v-58.08H189.6v58.08z"],
    "wpexplorer": [512, 512, [], "f2de", "M512 256c0 141.2-114.7 256-256 256C114.8 512 0 397.3 0 256S114.7 0 256 0s256 114.7 256 256zm-32 0c0-123.2-100.3-224-224-224C132.5 32 32 132.5 32 256s100.5 224 224 224 224-100.5 224-224zM160.9 124.6l86.9 37.1-37.1 86.9-86.9-37.1 37.1-86.9zm110 169.1l46.6 94h-14.6l-50-100-48.9 100h-14l51.1-106.9-22.3-9.4 6-14 68.6 29.1-6 14.3-16.5-7.1zm-11.8-116.3l68.6 29.4-29.4 68.3L230 246l29.1-68.6zm80.3 42.9l54.6 23.1-23.4 54.3-54.3-23.1 23.1-54.3z"],
    "wpforms": [448, 512, [], "f298", "M448 75.2v361.7c0 24.3-19 43.2-43.2 43.2H43.2C19.3 480 0 461.4 0 436.8V75.2C0 51.1 18.8 32 43.2 32h361.7c24 0 43.1 18.8 43.1 43.2zm-37.3 361.6V75.2c0-3-2.6-5.8-5.8-5.8h-9.3L285.3 144 224 94.1 162.8 144 52.5 69.3h-9.3c-3.2 0-5.8 2.8-5.8 5.8v361.7c0 3 2.6 5.8 5.8 5.8h361.7c3.2 .1 5.8-2.7 5.8-5.8zM150.2 186v37H76.7v-37h73.5zm0 74.4v37.3H76.7v-37.3h73.5zm11.1-147.3l54-43.7H96.8l64.5 43.7zm210 72.9v37h-196v-37h196zm0 74.4v37.3h-196v-37.3h196zm-84.6-147.3l64.5-43.7H232.8l53.9 43.7zM371.3 335v37.3h-99.4V335h99.4z"],
    "wpressr": [496, 512, ["rendact"], "f3e4", "M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S384.1 8 248 8zm171.3 158.6c-15.18 34.51-30.37 69.02-45.63 103.5-2.44 5.51-6.89 8.24-12.97 8.24-23.02-.01-46.03 .06-69.05-.05-5.12-.03-8.25 1.89-10.34 6.72-10.19 23.56-20.63 47-30.95 70.5-1.54 3.51-4.06 5.29-7.92 5.29-45.94-.01-91.87-.02-137.8 0-3.13 0-5.63-1.15-7.72-3.45-11.21-12.33-22.46-24.63-33.68-36.94-2.69-2.95-2.79-6.18-1.21-9.73 8.66-19.54 17.27-39.1 25.89-58.66 12.93-29.35 25.89-58.69 38.75-88.08 1.7-3.88 4.28-5.68 8.54-5.65 14.24 .1 28.48 .02 42.72 .05 6.24 .01 9.2 4.84 6.66 10.59-13.6 30.77-27.17 61.55-40.74 92.33-5.72 12.99-11.42 25.99-17.09 39-3.91 8.95 7.08 11.97 10.95 5.6 .23-.37-1.42 4.18 30.01-67.69 1.36-3.1 3.41-4.4 6.77-4.39 15.21 .08 30.43 .02 45.64 .04 5.56 .01 7.91 3.64 5.66 8.75-8.33 18.96-16.71 37.9-24.98 56.89-4.98 11.43 8.08 12.49 11.28 5.33 .04-.08 27.89-63.33 32.19-73.16 2.02-4.61 5.44-6.51 10.35-6.5 26.43 .05 52.86 0 79.29 .05 12.44 .02 13.93-13.65 3.9-13.64-25.26 .03-50.52 .02-75.78 .02-6.27 0-7.84-2.47-5.27-8.27 5.78-13.06 11.59-26.11 17.3-39.21 1.73-3.96 4.52-5.79 8.84-5.78 23.09 .06 25.98 .02 130.8 .03 6.08-.01 8.03 2.79 5.62 8.27z"],
    "xbox": [512, 512, [], "f412", "M369.9 318.2c44.3 54.3 64.7 98.8 54.4 118.7-7.9 15.1-56.7 44.6-92.6 55.9-29.6 9.3-68.4 13.3-100.4 10.2-38.2-3.7-76.9-17.4-110.1-39C93.3 445.8 87 438.3 87 423.4c0-29.9 32.9-82.3 89.2-142.1 32-33.9 76.5-73.7 81.4-72.6 9.4 2.1 84.3 75.1 112.3 109.5zM188.6 143.8c-29.7-26.9-58.1-53.9-86.4-63.4-15.2-5.1-16.3-4.8-28.7 8.1-29.2 30.4-53.5 79.7-60.3 122.4-5.4 34.2-6.1 43.8-4.2 60.5 5.6 50.5 17.3 85.4 40.5 120.9 9.5 14.6 12.1 17.3 9.3 9.9-4.2-11-.3-37.5 9.5-64 14.3-39 53.9-112.9 120.3-194.4zm311.6 63.5C483.3 127.3 432.7 77 425.6 77c-7.3 0-24.2 6.5-36 13.9-23.3 14.5-41 31.4-64.3 52.8C367.7 197 427.5 283.1 448.2 346c6.8 20.7 9.7 41.1 7.4 52.3-1.7 8.5-1.7 8.5 1.4 4.6 6.1-7.7 19.9-31.3 25.4-43.5 7.4-16.2 15-40.2 18.6-58.7 4.3-22.5 3.9-70.8-.8-93.4zM141.3 43C189 40.5 251 77.5 255.6 78.4c.7 .1 10.4-4.2 21.6-9.7 63.9-31.1 94-25.8 107.4-25.2-63.9-39.3-152.7-50-233.9-11.7-23.4 11.1-24 11.9-9.4 11.2z"],
    "xing": [384, 512, [], "f168", "M162.7 210c-1.8 3.3-25.2 44.4-70.1 123.5-4.9 8.3-10.8 12.5-17.7 12.5H9.8c-7.7 0-12.1-7.5-8.5-14.4l69-121.3c.2 0 .2-.1 0-.3l-43.9-75.6c-4.3-7.8 .3-14.1 8.5-14.1H100c7.3 0 13.3 4.1 18 12.2l44.7 77.5zM382.6 46.1l-144 253v.3L330.2 466c3.9 7.1 .2 14.1-8.5 14.1h-65.2c-7.6 0-13.6-4-18-12.2l-92.4-168.5c3.3-5.8 51.5-90.8 144.8-255.2 4.6-8.1 10.4-12.2 17.5-12.2h65.7c8 0 12.3 6.7 8.5 14.1z"],
    "y-combinator": [448, 512, [], "f23b", "M448 32v448H0V32h448zM236 287.5L313.5 142h-32.7L235 233c-4.7 9.3-9 18.3-12.8 26.8L210 233l-45.2-91h-35l76.7 143.8v94.5H236v-92.8z"],
    "yahoo": [512, 512, [], "f19e", "M223.7 141.1 167 284.2 111 141.1H14.93L120.8 390.2 82.19 480h94.17L317.3 141.1zm105.4 135.8a58.22 58.22 0 1 0 58.22 58.22A58.22 58.22 0 0 0 329.1 276.9zM394.6 32l-93 223.5H406.4L499.1 32z"],
    "yammer": [512, 512, [], "f840", "M500.7 159.5a12.78 12.78 0 0 0 -6.4-8.282 13.95 13.95 0 0 0 -10.08-1.125L457.8 156.7l-.043-.2-22.3 5.785-1.243 .333-.608-2.17A369 369 0 0 0 347.5 4.289a14.1 14.1 0 0 0 -19.78-.463l-102.9 102.7H24.95A24.9 24.9 0 0 0 0 131.4V380.4a24.96 24.96 0 0 0 24.92 24.9H224.1L328.1 508a13.67 13.67 0 0 0 19.33 0c.126-.126 .249-.255 .37-.385a368 368 0 0 0 69.58-107.4 403.5 403.5 0 0 0 17.3-50.8v-.028l20.41 5.336 .029-.073L483.3 362a20.25 20.25 0 0 0 2.619 .5 13.36 13.36 0 0 0 4.139-.072 13.5 13.5 0 0 0 10.52-9.924 415.9 415.9 0 0 0 .058-193zM337.1 24.65l.013 .014h-.013zm-110.2 165.2L174.3 281.1a11.34 11.34 0 0 0 -1.489 5.655v46.19a22.04 22.04 0 0 1 -22.04 22h-3.4A22.07 22.07 0 0 1 125.3 332.1V287.3a11.53 11.53 0 0 0 -1.388-5.51l-51.6-92.2a21.99 21.99 0 0 1 19.26-32.73h3.268a22.06 22.06 0 0 1 19.61 11.92l36.36 70.28 37.51-70.51a22.07 22.07 0 0 1 38.56-.695 21.7 21.7 0 0 1 0 21.97zM337.1 24.67a348.1 348.1 0 0 1 75.8 141.3l.564 1.952-114.1 29.6V131.4a25.01 25.01 0 0 0 -24.95-24.9H255.1zm60.5 367.3v-.043l-.014 .014a347.2 347.2 0 0 1 -60.18 95.23l-82.2-81.89h19.18a24.98 24.98 0 0 0 24.95-24.9v-66.2l114.6 29.86A385.2 385.2 0 0 1 397.6 391.1zm84-52.45 .015 .014-50.62-13.13L299.4 292.1V219.6l119.7-30.99 4.468-1.157 39.54-10.25 18.51-4.816A393 393 0 0 1 481.6 339.5z"],
    "yandex": [256, 512, [], "f413", "M153.1 315.8L65.7 512H2l96-209.8c-45.1-22.9-75.2-64.4-75.2-141.1C22.7 53.7 90.8 0 171.7 0H254v512h-55.1V315.8h-45.8zm45.8-269.3h-29.4c-44.4 0-87.4 29.4-87.4 114.6 0 82.3 39.4 108.8 87.4 108.8h29.4V46.5z"],
    "yandex-international": [320, 512, [], "f414", "M129.5 512V345.9L18.5 48h55.8l81.8 229.7L250.2 0h51.3L180.8 347.8V512h-51.3z"],
    "yarn": [496, 512, [], "f7e3", "M393.9 345.2c-39 9.3-48.4 32.1-104 47.4 0 0-2.7 4-10.4 5.8-13.4 3.3-63.9 6-68.5 6.1-12.4 .1-19.9-3.2-22-8.2-6.4-15.3 9.2-22 9.2-22-8.1-5-9-9.9-9.8-8.1-2.4 5.8-3.6 20.1-10.1 26.5-8.8 8.9-25.5 5.9-35.3 .8-10.8-5.7 .8-19.2 .8-19.2s-5.8 3.4-10.5-3.6c-6-9.3-17.1-37.3 11.5-62-1.3-10.1-4.6-53.7 40.6-85.6 0 0-20.6-22.8-12.9-43.3 5-13.4 7-13.3 8.6-13.9 5.7-2.2 11.3-4.6 15.4-9.1 20.6-22.2 46.8-18 46.8-18s12.4-37.8 23.9-30.4c3.5 2.3 16.3 30.6 16.3 30.6s13.6-7.9 15.1-5c8.2 16 9.2 46.5 5.6 65.1-6.1 30.6-21.4 47.1-27.6 57.5-1.4 2.4 16.5 10 27.8 41.3 10.4 28.6 1.1 52.7 2.8 55.3 .8 1.4 13.7 .8 36.4-13.2 12.8-7.9 28.1-16.9 45.4-17 16.7-.5 17.6 19.2 4.9 22.2zM496 256c0 136.9-111.1 248-248 248S0 392.9 0 256 111.1 8 248 8s248 111.1 248 248zm-79.3 75.2c-1.7-13.6-13.2-23-28-22.8-22 .3-40.5 11.7-52.8 19.2-4.8 3-8.9 5.2-12.4 6.8 3.1-44.5-22.5-73.1-28.7-79.4 7.8-11.3 18.4-27.8 23.4-53.2 4.3-21.7 3-55.5-6.9-74.5-1.6-3.1-7.4-11.2-21-7.4-9.7-20-13-22.1-15.6-23.8-1.1-.7-23.6-16.4-41.4 28-12.2 .9-31.3 5.3-47.5 22.8-2 2.2-5.9 3.8-10.1 5.4h.1c-8.4 3-12.3 9.9-16.9 22.3-6.5 17.4 .2 34.6 6.8 45.7-17.8 15.9-37 39.8-35.7 82.5-34 36-11.8 73-5.6 79.6-1.6 11.1 3.7 19.4 12 23.8 12.6 6.7 30.3 9.6 43.9 2.8 4.9 5.2 13.8 10.1 30 10.1 6.8 0 58-2.9 72.6-6.5 6.8-1.6 11.5-4.5 14.6-7.1 9.8-3.1 36.8-12.3 62.2-28.7 18-11.7 24.2-14.2 37.6-17.4 12.9-3.2 21-15.1 19.4-28.2z"],
    "yelp": [384, 512, [], "f1e9", "M42.9 240.3l99.62 48.61c19.2 9.4 16.2 37.51-4.5 42.71L30.5 358.5a22.79 22.79 0 0 1 -28.21-19.6 197.2 197.2 0 0 1 9-85.32 22.8 22.8 0 0 1 31.61-13.21zm44 239.3a199.4 199.4 0 0 0 79.42 32.11A22.78 22.78 0 0 0 192.9 490l3.9-110.8c.7-21.3-25.5-31.91-39.81-16.1l-74.21 82.4a22.82 22.82 0 0 0 4.09 34.09zm145.3-109.9l58.81 94a22.93 22.93 0 0 0 34 5.5 198.4 198.4 0 0 0 52.71-67.61A23 23 0 0 0 364.2 370l-105.4-34.26c-20.31-6.5-37.81 15.8-26.51 33.91zm148.3-132.2a197.4 197.4 0 0 0 -50.41-69.31 22.85 22.85 0 0 0 -34 4.4l-62 91.92c-11.9 17.7 4.7 40.61 25.2 34.71L366 268.6a23 23 0 0 0 14.61-31.21zM62.11 30.18a22.86 22.86 0 0 0 -9.9 32l104.1 180.4c11.7 20.2 42.61 11.9 42.61-11.4V22.88a22.67 22.67 0 0 0 -24.5-22.8 320.4 320.4 0 0 0 -112.3 30.1z"],
    "yoast": [448, 512, [], "f2b1", "M91.3 76h186l-7 18.9h-179c-39.7 0-71.9 31.6-71.9 70.3v205.4c0 35.4 24.9 70.3 84 70.3V460H91.3C41.2 460 0 419.8 0 370.5V165.2C0 115.9 40.7 76 91.3 76zm229.1-56h66.5C243.1 398.1 241.2 418.9 202.2 459.3c-20.8 21.6-49.3 31.7-78.3 32.7v-51.1c49.2-7.7 64.6-49.9 64.6-75.3 0-20.1 .6-12.6-82.1-223.2h61.4L218.2 299 320.4 20zM448 161.5V460H234c6.6-9.6 10.7-16.3 12.1-19.4h182.5V161.5c0-32.5-17.1-51.9-48.2-62.9l6.7-17.6c41.7 13.6 60.9 43.1 60.9 80.5z"],
    "youtube": [576, 512, [61802], "f167", "M549.7 124.1c-6.281-23.65-24.79-42.28-48.28-48.6C458.8 64 288 64 288 64S117.2 64 74.63 75.49c-23.5 6.322-42 24.95-48.28 48.6-11.41 42.87-11.41 132.3-11.41 132.3s0 89.44 11.41 132.3c6.281 23.65 24.79 41.5 48.28 47.82C117.2 448 288 448 288 448s170.8 0 213.4-11.49c23.5-6.321 42-24.17 48.28-47.82 11.41-42.87 11.41-132.3 11.41-132.3s0-89.44-11.41-132.3zm-317.5 213.5V175.2l142.7 81.21-142.7 81.2z"],
    "zhihu": [640, 512, [], "f63f", "M170.5 148.1v217.5l23.43 .01 7.71 26.37 42.01-26.37h49.53V148.1H170.5zm97.75 193.9h-27.94l-27.9 17.51-5.08-17.47-11.9-.04V171.8h72.82v170.3zm-118.5-94.39H97.5c1.74-27.1 2.2-51.59 2.2-73.46h51.16s1.97-22.56-8.58-22.31h-88.5c3.49-13.12 7.87-26.66 13.12-40.67 0 0-24.07 0-32.27 21.57-3.39 8.9-13.21 43.14-30.7 78.12 5.89-.64 25.37-1.18 36.84-22.21 2.11-5.89 2.51-6.66 5.14-14.53h28.87c0 10.5-1.2 66.88-1.68 73.44H20.83c-11.74 0-15.56 23.62-15.56 23.62h65.58C66.45 321.1 42.83 363.1 0 396.3c20.49 5.85 40.91-.93 51-9.9 0 0 22.98-20.9 35.59-69.25l53.96 64.94s7.91-26.89-1.24-39.99c-7.58-8.92-28.06-33.06-36.79-41.81L87.9 311.1c4.36-13.98 6.99-27.55 7.87-40.67h61.65s-.09-23.62-7.59-23.62v.01zm412-1.6c20.83-25.64 44.98-58.57 44.98-58.57s-18.65-14.8-27.38-4.06c-6 8.15-36.83 48.2-36.83 48.2l19.23 14.43zm-150.1-59.09c-9.01-8.25-25.91 2.13-25.91 2.13s39.52 55.04 41.12 57.45l19.46-13.73s-25.67-37.61-34.66-45.86h-.01zM640 258.4c-19.78 0-130.9 .93-131.1 .93v-101c4.81 0 12.42-.4 22.85-1.2 40.88-2.41 70.13-4 87.77-4.81 0 0 12.22-27.19-.59-33.44-3.07-1.18-23.17 4.58-23.17 4.58s-165.2 16.49-232.4 18.05c1.6 8.82 7.62 17.08 15.78 19.55 13.31 3.48 22.69 1.7 49.15 .89 24.83-1.6 43.68-2.43 56.51-2.43v99.81H351.4s2.82 22.31 25.51 22.85h107.9v70.92c0 13.97-11.19 21.99-24.48 21.12-14.08 .11-26.08-1.15-41.69-1.81 1.99 3.97 6.33 14.39 19.31 21.84 9.88 4.81 16.17 6.57 26.02 6.57 29.56 0 45.67-17.28 44.89-45.31v-73.32h122.4c9.68 0 8.7-23.78 8.7-23.78l.03-.01z"]
  };

  bunker(function () {
    defineIcons('fab', icons);
    defineIcons('fa-brands', icons);
  });

}());
(function () {
  'use strict';

  var _WINDOW = {};
  var _DOCUMENT = {};

  try {
    if (typeof window !== 'undefined') _WINDOW = window;
    if (typeof document !== 'undefined') _DOCUMENT = document;
  } catch (e) {}

  var _ref = _WINDOW.navigator || {},
      _ref$userAgent = _ref.userAgent,
      userAgent = _ref$userAgent === void 0 ? '' : _ref$userAgent;
  var WINDOW = _WINDOW;
  var DOCUMENT = _DOCUMENT;
  var IS_BROWSER = !!WINDOW.document;
  var IS_DOM = !!DOCUMENT.documentElement && !!DOCUMENT.head && typeof DOCUMENT.addEventListener === 'function' && typeof DOCUMENT.createElement === 'function';
  var IS_IE = ~userAgent.indexOf('MSIE') || ~userAgent.indexOf('Trident/');

  function ownKeys(object, enumerableOnly) {
    var keys = Object.keys(object);

    if (Object.getOwnPropertySymbols) {
      var symbols = Object.getOwnPropertySymbols(object);
      enumerableOnly && (symbols = symbols.filter(function (sym) {
        return Object.getOwnPropertyDescriptor(object, sym).enumerable;
      })), keys.push.apply(keys, symbols);
    }

    return keys;
  }

  function _objectSpread2(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = null != arguments[i] ? arguments[i] : {};
      i % 2 ? ownKeys(Object(source), !0).forEach(function (key) {
        _defineProperty(target, key, source[key]);
      }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }

    return target;
  }

  function _defineProperty(obj, key, value) {
    if (key in obj) {
      Object.defineProperty(obj, key, {
        value: value,
        enumerable: true,
        configurable: true,
        writable: true
      });
    } else {
      obj[key] = value;
    }

    return obj;
  }

  function _toConsumableArray(arr) {
    return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread();
  }

  function _arrayWithoutHoles(arr) {
    if (Array.isArray(arr)) return _arrayLikeToArray(arr);
  }

  function _iterableToArray(iter) {
    if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
  }

  function _unsupportedIterableToArray(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _arrayLikeToArray(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(o);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen);
  }

  function _arrayLikeToArray(arr, len) {
    if (len == null || len > arr.length) len = arr.length;

    for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i];

    return arr2;
  }

  function _nonIterableSpread() {
    throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
  }

  var NAMESPACE_IDENTIFIER = '___FONT_AWESOME___';
  var PRODUCTION = function () {
    try {
      return "production" === 'production';
    } catch (e) {
      return false;
    }
  }();
  var STYLE_TO_PREFIX = {
    'solid': 'fas',
    'regular': 'far',
    'light': 'fal',
    'thin': 'fat',
    'duotone': 'fad',
    'brands': 'fab',
    'kit': 'fak'
  };
  var oneToTen = [1, 2, 3, 4, 5, 6, 7, 8, 9, 10];
  var oneToTwenty = oneToTen.concat([11, 12, 13, 14, 15, 16, 17, 18, 19, 20]);
  var DUOTONE_CLASSES = {
    GROUP: 'duotone-group',
    SWAP_OPACITY: 'swap-opacity',
    PRIMARY: 'primary',
    SECONDARY: 'secondary'
  };
  var RESERVED_CLASSES = [].concat(_toConsumableArray(Object.keys(STYLE_TO_PREFIX)), ['2xs', 'xs', 'sm', 'lg', 'xl', '2xl', 'beat', 'border', 'fade', 'beat-fade', 'bounce', 'flip-both', 'flip-horizontal', 'flip-vertical', 'flip', 'fw', 'inverse', 'layers-counter', 'layers-text', 'layers', 'li', 'pull-left', 'pull-right', 'pulse', 'rotate-180', 'rotate-270', 'rotate-90', 'rotate-by', 'shake', 'spin-pulse', 'spin-reverse', 'spin', 'stack-1x', 'stack-2x', 'stack', 'ul', DUOTONE_CLASSES.GROUP, DUOTONE_CLASSES.SWAP_OPACITY, DUOTONE_CLASSES.PRIMARY, DUOTONE_CLASSES.SECONDARY]).concat(oneToTen.map(function (n) {
    return "".concat(n, "x");
  })).concat(oneToTwenty.map(function (n) {
    return "w-".concat(n);
  }));

  function bunker(fn) {
    try {
      for (var _len = arguments.length, args = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
        args[_key - 1] = arguments[_key];
      }

      fn.apply(void 0, args);
    } catch (e) {
      if (!PRODUCTION) {
        throw e;
      }
    }
  }

  var w = WINDOW || {};
  if (!w[NAMESPACE_IDENTIFIER]) w[NAMESPACE_IDENTIFIER] = {};
  if (!w[NAMESPACE_IDENTIFIER].styles) w[NAMESPACE_IDENTIFIER].styles = {};
  if (!w[NAMESPACE_IDENTIFIER].hooks) w[NAMESPACE_IDENTIFIER].hooks = {};
  if (!w[NAMESPACE_IDENTIFIER].shims) w[NAMESPACE_IDENTIFIER].shims = [];
  var namespace = w[NAMESPACE_IDENTIFIER];

  function normalizeIcons(icons) {
    return Object.keys(icons).reduce(function (acc, iconName) {
      var icon = icons[iconName];
      var expanded = !!icon.icon;

      if (expanded) {
        acc[icon.iconName] = icon.icon;
      } else {
        acc[iconName] = icon;
      }

      return acc;
    }, {});
  }

  function defineIcons(prefix, icons) {
    var params = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
    var _params$skipHooks = params.skipHooks,
        skipHooks = _params$skipHooks === void 0 ? false : _params$skipHooks;
    var normalized = normalizeIcons(icons);

    if (typeof namespace.hooks.addPack === 'function' && !skipHooks) {
      namespace.hooks.addPack(prefix, normalizeIcons(icons));
    } else {
      namespace.styles[prefix] = _objectSpread2(_objectSpread2({}, namespace.styles[prefix] || {}), normalized);
    }
    /**
     * Font Awesome 4 used the prefix of `fa` for all icons. With the introduction
     * of new styles we needed to differentiate between them. Prefix `fa` is now an alias
     * for `fas` so we'll ease the upgrade process for our users by automatically defining
     * this as well.
     */


    if (prefix === 'fas') {
      defineIcons('fa', icons);
    }
  }

  var icons = {
    "0": [320, 512, [], "30", ["M160 32.01c-88.37 0-160 71.63-160 160v127.1c0 88.37 71.63 160 160 160s160-71.63 160-160V192C320 103.6 248.4 32.01 160 32.01zM256 320c0 52.93-43.06 96-96 96c-52.93 0-96-43.07-96-96V192c0-52.94 43.07-96 96-96c52.94 0 96 43.06 96 96V320z", ""]],
    "1": [256, 512, [], "31", ["M256 448c0 17.67-14.33 32-32 32H32c-17.67 0-32-14.33-32-32s14.33-32 32-32h64V123.8L49.75 154.6C35.02 164.5 15.19 160.4 5.375 145.8C-4.422 131.1-.4531 111.2 14.25 101.4l96-64c9.828-6.547 22.45-7.187 32.84-1.594C153.5 41.37 160 52.22 160 64.01v352h64C241.7 416 256 430.3 256 448z", ""]],
    "2": [320, 512, [], "32", ["M320 448c0 17.67-14.33 32-32 32H32c-13.08 0-24.83-7.953-29.7-20.09c-4.859-12.12-1.859-26 7.594-35.03l193.6-185.1c31.36-30.17 33.95-80 5.812-113.4c-14.91-17.69-35.86-28.12-58.97-29.38C127.4 95.83 105.3 103.9 88.53 119.9L53.52 151.7c-13.08 11.91-33.33 10.89-45.2-2.172C-3.563 136.5-2.594 116.2 10.48 104.3l34.45-31.3c28.67-27.34 68.39-42.11 108.9-39.88c40.33 2.188 78.39 21.16 104.4 52.03c49.8 59.05 45.2 147.3-10.45 200.8l-136 130H288C305.7 416 320 430.3 320 448z", ""]],
    "3": [320, 512, [], "33", ["M320 344c0 74.98-61.02 136-136 136H103.6c-46.34 0-87.31-29.53-101.1-73.48c-5.594-16.77 3.484-34.88 20.25-40.47c16.75-5.609 34.89 3.484 40.47 20.25c5.922 17.77 22.48 29.7 41.23 29.7H184c39.7 0 72-32.3 72-72s-32.3-72-72-72H80c-13.2 0-25.05-8.094-29.83-20.41C45.39 239.3 48.66 225.3 58.38 216.4l131.4-120.4H32c-17.67 0-32-14.33-32-32s14.33-32 32-32h240c13.2 0 25.05 8.094 29.83 20.41c4.781 12.3 1.516 26.27-8.203 35.19l-131.4 120.4H184C258.1 208 320 269 320 344z", ""]],
    "4": [384, 512, [], "34", ["M384 334.2c0 17.67-14.33 32-32 32h-32v81.78c0 17.67-14.33 32-32 32s-32-14.33-32-32v-81.78H32c-10.97 0-21.17-5.625-27.05-14.89c-5.859-9.266-6.562-20.89-1.875-30.81l128-270.2C138.6 34.33 157.8 27.56 173.7 35.09c15.97 7.562 22.78 26.66 15.22 42.63L82.56 302.2H256V160c0-17.67 14.33-32 32-32s32 14.33 32 32v142.2h32C369.7 302.2 384 316.6 384 334.2z", ""]],
    "5": [320, 512, [], "35", ["M320 344.6c0 74.66-60.73 135.4-135.4 135.4H104.7c-46.81 0-88.22-29.83-103-74.23c-5.594-16.77 3.469-34.89 20.23-40.48c16.83-5.625 34.91 3.469 40.48 20.23c6.078 18.23 23.08 30.48 42.3 30.48h79.95c39.36 0 71.39-32.03 71.39-71.39s-32.03-71.38-71.39-71.38H32c-9.484 0-18.47-4.203-24.56-11.48C1.359 254.5-1.172 244.9 .5156 235.6l32-177.2C35.27 43.09 48.52 32.01 64 32.01l192 .0049c17.67 0 32 14.33 32 32s-14.33 32-32 32H90.73L70.3 209.2h114.3C259.3 209.2 320 269.1 320 344.6z", ""]],
    "6": [320, 512, [], "36", ["M167.7 160.8l64.65-76.06c11.47-13.45 9.812-33.66-3.656-45.09C222.7 34.51 215.3 32.01 208 32.01c-9.062 0-18.06 3.833-24.38 11.29C38.07 214.5 0 245.5 0 320c0 88.22 71.78 160 160 160s160-71.78 160-160C320 234.4 252.3 164.9 167.7 160.8zM160 416c-52.94 0-96-43.06-96-96s43.06-95.1 96-95.1s96 43.06 96 95.1S212.9 416 160 416z", ""]],
    "7": [320, 512, [], "37", ["M315.6 80.14l-224 384c-5.953 10.19-16.66 15.88-27.67 15.88c-5.469 0-11.02-1.406-16.09-4.359c-15.27-8.906-20.42-28.5-11.52-43.77l195.9-335.9H32c-17.67 0-32-14.33-32-32s14.33-32 32-32h256c11.45 0 22.05 6.125 27.75 16.06S321.4 70.23 315.6 80.14z", ""]],
    "8": [320, 512, [], "38", ["M267.5 249.2C290 226.1 304 194.7 304 160c0-70.58-57.42-128-128-128h-32c-70.58 0-128 57.42-128 128c0 34.7 13.99 66.12 36.48 89.19C20.83 272.5 0 309.8 0 352c0 70.58 57.42 128 128 128h64c70.58 0 128-57.42 128-128C320 309.8 299.2 272.5 267.5 249.2zM144 96.01h32c35.3 0 64 28.7 64 64s-28.7 64-64 64h-32c-35.3 0-64-28.7-64-64S108.7 96.01 144 96.01zM192 416H128c-35.3 0-64-28.7-64-64s28.7-64 64-64h64c35.3 0 64 28.7 64 64S227.3 416 192 416z", ""]],
    "9": [320, 512, [], "39", ["M160 32.01c-88.22 0-160 71.78-160 160c0 85.57 67.71 155.1 152.3 159.2l-64.65 76.06c-11.47 13.45-9.812 33.66 3.656 45.09c6 5.125 13.38 7.62 20.72 7.62c9.062 0 18.06-3.823 24.38-11.28C281.9 297.5 320 266.6 320 192C320 103.8 248.2 32.01 160 32.01zM160 288c-52.94 0-96-43.06-96-95.1s43.06-96 96-96s96 43.06 96 96S212.9 288 160 288z", ""]],
    "00": [640, 512, [], "e467", ["M352 176C352 96.47 416.5 32 496 32C575.5 32 640 96.47 640 176V336C640 415.5 575.5 480 496 480C416.5 480 352 415.5 352 336V176zM496 96C451.8 96 416 131.8 416 176V336C416 380.2 451.8 416 496 416C540.2 416 576 380.2 576 336V176C576 131.8 540.2 96 496 96z", "M0 176C0 96.47 64.47 32 144 32C223.5 32 288 96.47 288 176V336C288 415.5 223.5 480 144 480C64.47 480 0 415.5 0 336V176zM144 96C99.82 96 64 131.8 64 176V336C64 380.2 99.82 416 144 416C188.2 416 224 380.2 224 336V176C224 131.8 188.2 96 144 96z"]],
    "360-degrees": [640, 512, [], "e2dc", ["M608 0c-17.67 0-31.1 14.33-31.1 32s14.33 32 31.1 32S640 49.67 640 32S625.7 0 608 0z", "M496 64c-44.13 0-79.1 35.89-79.1 80v224c0 44.11 35.87 80 79.1 80s79.1-35.89 79.1-80v-224C576 99.89 540.1 64 496 64zM512 368c0 8.828-7.188 16-16 16S480 376.8 480 368v-224C480 135.2 487.2 128 496 128S512 135.2 512 144V368zM304 192C298.8 192 293.8 192.6 288.8 193.5c2.127-29.43 18.77-55.55 45.48-68.91c15.81-7.906 22.22-27.12 14.31-42.94c-7.938-15.8-27.16-22.23-42.94-14.31C255.3 92.58 224 143.2 224 199.5L224 368c0 44.11 35.87 80 79.1 80s79.1-35.89 79.1-80l.0001-96C384 227.9 348.1 192 304 192zM320 368c0 8.828-7.188 16-16 16S288 376.8 288 368v-96C288 263.2 295.2 256 304 256S320 263.2 320 272V368zM118.2 197.6l52.91-84.67C177.3 103.1 177.6 90.66 172 80.48C166.3 70.31 155.6 64 144 64H32C14.31 64 0 78.33 0 96s14.31 32 32 32h54.25L36.88 207C30.69 216.9 30.38 229.3 36 239.5C41.66 249.7 52.38 256 64 256h19.78C108.2 256 128 275.8 128 300.2v39.56C128 364.2 108.2 384 83.78 384c-9.875 0-18.75-5.484-23.16-14.31c-7.938-15.81-27.12-22.28-42.94-14.3c-15.81 7.906-22.22 27.12-14.31 42.92C18.72 428.1 49.53 448 83.78 448C143.4 448 192 399.5 192 339.8V300.2C192 252.6 161.1 212 118.2 197.6z"]],
    "a": [384, 512, [97], "41", ["M381.5 435.7l-160-384C216.6 39.78 204.9 32.01 192 32.01S167.4 39.78 162.5 51.7l-160 384c-6.797 16.31 .9062 35.05 17.22 41.84c16.38 6.828 35.08-.9219 41.84-17.22l31.8-76.31h197.3l31.8 76.31c5.109 12.28 17.02 19.7 29.55 19.7c4.094 0 8.266-.7969 12.3-2.484C380.6 470.7 388.3 452 381.5 435.7zM119.1 320L192 147.2l72 172.8H119.1z", ""]],
    "abacus": [576, 512, [129518], "f640", ["M128 336h32V312H128V336zM528 32h-480C21.49 32 0 53.49 0 80v352C0 458.5 21.49 480 48 480h480c26.51 0 48-21.49 48-48v-352C576 53.49 554.5 32 528 32zM512 416l-64 .0002V384h-32v32h-128V384H256v32H160L160 384H128l0 32L64 416V240h64v24h32V240h96v24h32V240h128v96h32v-96h64V416zM512 208h-64v-32h-32v32h-128v-32H256v32H160v-32H128v32H64V96l63.1 .0002L128 128h32l0-31.1H256V128h32V96h128V128h32V96L512 96V208zM256 336h32V312H256V336z", "M176 264h-64C103.2 264 96 271.2 96 280v16c0 8.836 7.164 16 16 16h64c8.836 0 16-7.164 16-16v-16C192 271.2 184.8 264 176 264zM176 128l-64 0C103.2 128 96 135.2 96 144V160c0 8.836 7.164 16 16 16h64C184.8 176 192 168.8 192 160V144C192 135.2 184.8 128 176 128zM304 336h-64C231.2 336 224 343.2 224 352v16c0 8.836 7.164 16 16 16h64c8.836 0 16-7.164 16-16V352C320 343.2 312.8 336 304 336zM176 336h-64C103.2 336 96 343.2 96 352v16c0 8.836 7.164 16 16 16h64c8.836 0 16-7.164 16-16V352C192 343.2 184.8 336 176 336zM464 128l-64 0C391.2 128 384 135.2 384 144V160c0 8.836 7.164 16 16 16h64C472.8 176 480 168.8 480 160V144C480 135.2 472.8 128 464 128zM304 264h-64C231.2 264 224 271.2 224 280v16c0 8.836 7.164 16 16 16h64c8.836 0 16-7.164 16-16v-16C320 271.2 312.8 264 304 264zM464 336h-64c-8.836 0-16 7.164-16 16v16c0 8.836 7.164 16 16 16h64c8.836 0 16-7.164 16-16V352C480 343.2 472.8 336 464 336zM304 128l-64 0C231.2 128 224 135.2 224 144V160c0 8.836 7.164 16 16 16h64C312.8 176 320 168.8 320 160V144C320 135.2 312.8 128 304 128z"]],
    "accent-grave": [192, 512, [], "60", ["M35.65 39.39c12.26-33.91 56.54-49.97 87.8-31.85c15.66 9.051 26.41 24.44 29.45 42.25l22.57 131.7c2.986 17.32-6.9 34.29-23.49 40.31s-35.11-.6484-43.99-15.83L40.3 90.61C31.18 75.03 29.5 56.36 35.65 39.39z", ""]],
    "acorn": [448, 512, [], "f6ae", ["M400 192V224c0 173.9-128.1 233.1-176 255.1c-47.05-22.87-176-82.13-176-255.1V192H400z", "M.0014 160C.0014 160 .0014 160 .0014 160C.0014 160 .0014 160 .0014 160zM352 64.04l-100.5 .0017c3.375-9.373 8.5-18.12 15.12-25.1C272.3 31.54 272 22.04 265.1 16.17l-11.25-11.37c-3.125-3.125-7.75-5.125-12-4.75c-4.375 .25-8.5 2.125-11.38 5.375c-14.75 16.75-24.5 36.1-29.38 58.62L96 64.04c-52.99 0-95.99 42.98-95.1 95.97C.0053 177.6 14.38 192 32 192h384c17.62 0 31.1-14.37 31.1-31.98C447.1 107 404.1 64.04 352 64.04zM447.1 160C447.1 160 447.1 160 447.1 160C447.1 160 447.1 160 447.1 160z"]],
    "address-book": [512, 512, [62138, "contact-book"], "f2b9", ["M400 0h-320C53.49 0 32 21.49 32 48v416C32 490.5 53.49 512 80 512h320c26.51 0 48-21.49 48-48v-416C448 21.49 426.5 0 400 0zM240 128c35.35 0 64 28.65 64 64s-28.65 64-64 64c-35.34 0-64-28.65-64-64S204.7 128 240 128zM336 384h-192C135.2 384 128 376.8 128 368C128 323.8 163.8 288 208 288h64c44.18 0 80 35.82 80 80C352 376.8 344.8 384 336 384z", "M240 256c35.35 0 64-28.65 64-64s-28.65-64-64-64c-35.34 0-64 28.65-64 64S204.7 256 240 256zM272 288h-64C163.8 288 128 323.8 128 368C128 376.8 135.2 384 144 384h192c8.836 0 16-7.164 16-16C352 323.8 316.2 288 272 288zM496 64H448v96h48C504.8 160 512 152.8 512 144v-64C512 71.16 504.8 64 496 64zM496 320H448v96h48c8.836 0 16-7.164 16-16v-64C512 327.2 504.8 320 496 320zM496 192H448v96h48C504.8 288 512 280.8 512 272v-64C512 199.2 504.8 192 496 192z"]],
    "address-card": [576, 512, [62140, "contact-card", "vcard"], "f2bb", ["M512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM176 128c35.35 0 64 28.65 64 64s-28.65 64-64 64s-64-28.65-64-64S140.7 128 176 128zM272 384h-192C71.16 384 64 376.8 64 368C64 323.8 99.82 288 144 288h64c44.18 0 80 35.82 80 80C288 376.8 280.8 384 272 384zM496 320h-128C359.2 320 352 312.8 352 304S359.2 288 368 288h128C504.8 288 512 295.2 512 304S504.8 320 496 320zM496 256h-128C359.2 256 352 248.8 352 240S359.2 224 368 224h128C504.8 224 512 231.2 512 240S504.8 256 496 256zM496 192h-128C359.2 192 352 184.8 352 176S359.2 160 368 160h128C504.8 160 512 167.2 512 176S504.8 192 496 192z", "M176 256c35.35 0 64-28.65 64-64s-28.65-64-64-64s-64 28.65-64 64S140.7 256 176 256zM208 288h-64C99.82 288 64 323.8 64 368C64 376.8 71.16 384 80 384h192c8.836 0 16-7.164 16-16C288 323.8 252.2 288 208 288z"]],
    "air-conditioner": [576, 512, [], "f8f4", ["M64 128v32h448V128H64zM208 424c0 22.06-17.94 40-40 40S128 446.1 128 424c0-16.38 9.812-30.94 25.02-37.09c12.28-4.969 18.2-18.97 13.23-31.25c-4.984-12.28-18.92-18.16-31.27-13.25C101.6 355.9 80 387.1 80 424c0 48.53 39.47 88 88 88s88-39.47 88-88V256H208V424zM441 310.4c-12.34-4.906-26.28 .9687-31.27 13.25c-4.969 12.28 .9531 26.28 13.23 31.25C438.2 361.1 448 375.6 448 392c0 22.06-17.94 40-40 40s-40-17.94-40-40V256H320v136c0 48.53 39.47 88 88 88s88-39.47 88-88C496 355.1 474.4 323.9 441 310.4z", "M528 0h-480C21.6 0 0 21.6 0 48v128C0 202.4 21.6 224 48 224h480C554.4 224 576 202.4 576 176v-128C576 21.6 554.4 0 528 0zM512 160H64V128h448V160z"]],
    "airplay": [576, 512, [], "e089", ["M576 128v192c0 50.86-39.86 92.19-89.93 95.39c-3.221-5.695-6.955-11.15-11.69-15.89L428.4 352H480c17.66 0 32-14.34 32-32V128c0-17.66-14.34-32-32-32H96C78.34 96 64 110.3 64 128v192c0 17.66 14.34 32 32 32h51.64l-45.45 46.94c-4.947 4.945-8.865 10.57-12.19 16.45C39.9 412.2 0 370.9 0 320V128c0-52.94 43.06-96 96-96h384C532.9 32 576 75.06 576 128z", "M307.6 296.1C302.1 290.7 295.1 288 288 288c-7.055 0-14.09 2.703-19.45 8.109l-132.5 136.8C118.8 450.2 131.1 480 155.7 480h264.7c24.6 0 36.89-29.77 19.54-47.13L307.6 296.1z"]],
    "alarm-clock": [512, 512, [9200], "f34e", ["M121.9 467.4L86.63 502.6C74.13 515.1 53.87 515.1 41.37 502.6C28.88 490.1 28.88 469.9 41.37 457.4L76.6 422.2C48.59 384.8 32 338.3 32 288C32 164.3 132.3 64 256 64C379.7 64 480 164.3 480 288C480 338.3 463.4 384.8 435.4 422.2L470.6 457.4C483.1 469.9 483.1 490.1 470.6 502.6C458.1 515.1 437.9 515.1 425.4 502.6L390.2 467.4C352.8 495.4 306.3 512 256 512C205.7 512 159.2 495.4 121.9 467.4zM280 184C280 170.7 269.3 160 256 160C242.7 160 232 170.7 232 184V288C232 294.4 234.5 300.5 239 304.1L287 352.1C296.4 362.3 311.6 362.3 320.1 352.1C330.3 343.6 330.3 328.4 320.1 319L280 278.1V184z", "M0 95.24C0 42.64 42.64 0 95.24 0C120.2 0 143 9.638 160 25.4L14.86 146.4C5.452 131.6 0 114.1 0 95.24zM256 160C269.3 160 280 170.7 280 184V278.1L320.1 319C330.3 328.4 330.3 343.6 320.1 352.1C311.6 362.3 296.4 362.3 287 352.1L239 304.1C234.5 300.5 232 294.4 232 288V184C232 170.7 242.7 160 256 160V160zM416.8 0C469.4 0 512 42.64 512 95.24C512 114 506.5 131.6 497.1 146.4L352 25.4C368.1 9.638 391.8 0 416.8 0z"]],
    "alarm-exclamation": [512, 512, [], "f843", ["M390.2 467.4C352.8 495.4 306.3 512 256 512C205.7 512 159.2 495.4 121.9 467.4L86.63 502.6C74.13 515.1 53.87 515.1 41.37 502.6C28.88 490.1 28.88 469.9 41.37 457.4L76.6 422.2C48.59 384.8 32 338.3 32 288C32 164.3 132.3 64 256 64C379.7 64 480 164.3 480 288C480 338.3 463.4 384.8 435.4 422.2L470.6 457.4C483.1 469.9 483.1 490.1 470.6 502.6C458.1 515.1 437.9 515.1 425.4 502.6L390.2 467.4zM256 352C238.3 352 224 366.3 224 384C224 401.7 238.3 416 256 416C273.7 416 288 401.7 288 384C288 366.3 273.7 352 256 352zM280 184C280 170.7 269.3 160 256 160C242.7 160 232 170.7 232 184V296C232 309.3 242.7 320 256 320C269.3 320 280 309.3 280 296V184z", "M160 25.4L14.86 146.4C5.452 131.6 0 114.1 0 95.24C0 42.64 42.64 0 95.24 0C120.2 0 143 9.638 160 25.4zM416.8 0C469.4 0 512 42.64 512 95.24C512 114 506.5 131.6 497.1 146.4L352 25.4C368.1 9.638 391.8 0 416.8 0zM288 384C288 401.7 273.7 416 256 416C238.3 416 224 401.7 224 384C224 366.3 238.3 352 256 352C273.7 352 288 366.3 288 384zM280 296C280 309.3 269.3 320 256 320C242.7 320 232 309.3 232 296V184C232 170.7 242.7 160 256 160C269.3 160 280 170.7 280 184V296z"]],
    "alarm-plus": [512, 512, [], "f844", ["M390.2 467.4C352.8 495.4 306.3 512 256 512C205.7 512 159.2 495.4 121.9 467.4L86.63 502.6C74.13 515.1 53.87 515.1 41.37 502.6C28.88 490.1 28.88 469.9 41.37 457.4L76.6 422.2C48.59 384.8 32 338.3 32 288C32 164.3 132.3 64 256 64C379.7 64 480 164.3 480 288C480 338.3 463.4 384.8 435.4 422.2L470.6 457.4C483.1 469.9 483.1 490.1 470.6 502.6C458.1 515.1 437.9 515.1 425.4 502.6L390.2 467.4zM232 200V264H168C154.7 264 144 274.7 144 288C144 301.3 154.7 312 168 312H232V376C232 389.3 242.7 400 256 400C269.3 400 280 389.3 280 376V312H344C357.3 312 368 301.3 368 288C368 274.7 357.3 264 344 264H280V200C280 186.7 269.3 176 256 176C242.7 176 232 186.7 232 200z", "M0 95.24C0 42.64 42.64 0 95.24 0C120.2 0 143 9.638 160 25.4L14.86 146.4C5.452 131.6 0 114.1 0 95.24zM280 264H344C357.3 264 368 274.7 368 288C368 301.3 357.3 312 344 312H280V376C280 389.3 269.3 400 256 400C242.7 400 232 389.3 232 376V312H168C154.7 312 144 301.3 144 288C144 274.7 154.7 264 168 264H232V200C232 186.7 242.7 176 256 176C269.3 176 280 186.7 280 200V264zM416.8 0C469.4 0 512 42.64 512 95.24C512 114 506.5 131.6 497.1 146.4L352 25.4C368.1 9.638 391.8 0 416.8 0z"]],
    "alarm-snooze": [512, 512, [], "f845", ["M121.9 467.4L86.63 502.6C74.13 515.1 53.87 515.1 41.37 502.6C28.88 490.1 28.88 469.9 41.37 457.4L76.6 422.2C48.59 384.8 32 338.3 32 288C32 164.3 132.3 64 256 64C379.7 64 480 164.3 480 288C480 338.3 463.4 384.8 435.4 422.2L470.6 457.4C483.1 469.9 483.1 490.1 470.6 502.6C458.1 515.1 437.9 515.1 425.4 502.6L390.2 467.4C352.8 495.4 306.3 512 256 512C205.7 512 159.2 495.4 121.9 467.4zM200 192C186.7 192 176 202.7 176 216C176 229.3 186.7 240 200 240H262.9L181.1 345.3C175.4 352.5 174.4 362.3 178.4 370.5C182.5 378.8 190.8 384 200 384H312C325.3 384 336 373.3 336 360C336 346.7 325.3 336 312 336H249.1L330.9 230.7C336.6 223.5 337.6 213.7 333.6 205.5C329.5 197.2 321.2 192 312 192L200 192z", "M0 95.24C0 42.64 42.64 0 95.24 0C120.2 0 143 9.638 160 25.4L14.86 146.4C5.452 131.6 0 114.1 0 95.24zM497.1 146.4L352 25.4C368.1 9.638 391.8 0 416.8 0C469.4 0 512 42.64 512 95.24C512 114 506.5 131.6 497.1 146.4zM312 192C321.2 192 329.5 197.2 333.6 205.5C337.6 213.7 336.6 223.5 330.9 230.7L249.1 336H312C325.3 336 336 346.7 336 360C336 373.3 325.3 384 312 384H200C190.8 384 182.5 378.8 178.4 370.5C174.4 362.3 175.4 352.5 181.1 345.3L262.9 239.1H200C186.7 239.1 176 229.3 176 215.1C176 202.7 186.7 191.1 200 191.1L312 192z"]],
    "album": [448, 512, [128189], "f89f", ["M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM224 416C312.4 416 384 344.4 384 256C384 167.6 312.4 96 224 96C135.6 96 64 167.6 64 256C64 344.4 135.6 416 224 416z", "M64 256C64 167.6 135.6 96 224 96C312.4 96 384 167.6 384 256C384 344.4 312.4 416 224 416C135.6 416 64 344.4 64 256zM224 288C241.7 288 256 273.7 256 256C256 238.3 241.7 224 224 224C206.3 224 192 238.3 192 256C192 273.7 206.3 288 224 288z"]],
    "album-circle-plus": [576, 512, [], "e48c", ["M384 32C419.3 32 448 60.65 448 96V192.7C442.7 192.2 437.4 192 432 192C411.9 192 392.5 195.4 374.5 201.6C352.3 140 293.3 96 223.1 96C135.6 96 63.1 167.6 63.1 256C63.1 344.4 135.6 416 223.1 416C236.9 416 249.4 414.5 261.4 411.6C267.9 437.1 279.1 460.3 296.2 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM255.1 256C255.1 273.7 241.7 288 223.1 288C206.3 288 191.1 273.7 191.1 256C191.1 238.3 206.3 224 223.1 224C241.7 224 255.1 238.3 255.1 256z", "M576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM416 303.1V351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H416V431.1C416 440.8 423.2 447.1 432 447.1C440.8 447.1 448 440.8 448 431.1V383.1H496C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1H448V303.1C448 295.2 440.8 287.1 432 287.1C423.2 287.1 416 295.2 416 303.1z"]],
    "album-circle-user": [576, 512, [], "e48d", ["M384 32C419.3 32 448 60.65 448 96V192.7C442.7 192.2 437.4 192 432 192C411.9 192 392.5 195.4 374.5 201.6C352.3 140 293.3 96 223.1 96C135.6 96 63.1 167.6 63.1 256C63.1 344.4 135.6 416 223.1 416C236.9 416 249.4 414.5 261.4 411.6C267.9 437.1 279.1 460.3 296.2 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM255.1 256C255.1 273.7 241.7 288 223.1 288C206.3 288 191.1 273.7 191.1 256C191.1 238.3 206.3 224 223.1 224C241.7 224 255.1 238.3 255.1 256z", "M288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 480C462.2 480 489.5 468.1 509.7 448.7C503.5 429.7 485.6 416 464.6 416H399.4C378.4 416 360.5 429.7 354.3 448.7C374.5 468.1 401.8 480 432 480V480zM432 384C458.5 384 480 362.5 480 336C480 309.5 458.5 288 432 288C405.5 288 384 309.5 384 336C384 362.5 405.5 384 432 384z"]],
    "album-collection": [512, 512, [], "f8a0", ["M12.02 176.2C21.13 165.9 34.23 160 48 160H464C477.8 160 490.9 165.9 499.1 176.2C509.1 186.6 513.3 200.3 511.6 213.1L479.6 469.1C476.6 493.1 456.2 512 432 512H80C55.79 512 35.37 493.1 32.37 469.1L.3709 213.1C-1.337 200.3 2.904 186.6 12.02 176.2V176.2zM256 480C357.6 480 440 419.1 440 344C440 268.9 357.6 208 256 208C154.4 208 72 268.9 72 344C72 419.1 154.4 480 256 480z", "M32 24C32 10.75 42.75 0 56 0H456C469.3 0 480 10.75 480 24C480 37.25 469.3 48 456 48H56C42.75 48 32 37.25 32 24zM72 344C72 268.9 154.4 208 256 208C357.6 208 440 268.9 440 344C440 419.1 357.6 480 256 480C154.4 480 72 419.1 72 344zM256 376C273.7 376 288 365.3 288 352C288 338.7 273.7 328 256 328C238.3 328 224 338.7 224 352C224 365.3 238.3 376 256 376zM472 80C485.3 80 496 90.75 496 104C496 117.3 485.3 128 472 128H40C26.75 128 16 117.3 16 104C16 90.75 26.75 80 40 80H472z"]],
    "album-collection-circle-plus": [640, 512, [], "e48e", ["M456 0C469.3 0 480 10.75 480 24C480 37.25 469.3 48 456 48H56C42.75 48 32 37.25 32 24C32 10.75 42.75 0 56 0H456zM12.02 176.2C21.13 165.9 34.23 160 48 160H464C477.8 160 490.9 165.9 499.1 176.2C504.2 181 507.4 186.6 509.4 192.5C504.1 192.2 500.5 192 496 192C449.1 192 406.5 210.3 374.1 240.2C342.9 220.1 301.4 208 256 208C154.4 208 72 268.9 72 344C72 419.1 154.4 480 256 480C289.2 480 320.4 473.5 347.3 462.1C359.7 481.7 375.9 498.7 394.8 512H80C55.79 512 35.37 493.1 32.37 469.1L.3709 213.1C-1.337 200.3 2.904 186.6 12.02 176.2L12.02 176.2zM288 352C288 365.3 273.7 376 256 376C238.3 376 224 365.3 224 352C224 338.7 238.3 328 256 328C273.7 328 288 338.7 288 352zM16 104C16 90.75 26.75 80 40 80H472C485.3 80 496 90.75 496 104C496 117.3 485.3 128 472 128H40C26.75 128 16 117.3 16 104V104z", "M640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM480 303.1V351.1H432C423.2 351.1 416 359.2 416 367.1C416 376.8 423.2 383.1 432 383.1H480V431.1C480 440.8 487.2 447.1 496 447.1C504.8 447.1 512 440.8 512 431.1V383.1H560C568.8 383.1 576 376.8 576 367.1C576 359.2 568.8 351.1 560 351.1H512V303.1C512 295.2 504.8 287.1 496 287.1C487.2 287.1 480 295.2 480 303.1z"]],
    "album-collection-circle-user": [640, 512, [], "e48f", ["M456 0C469.3 0 480 10.75 480 24C480 37.25 469.3 48 456 48H56C42.75 48 32 37.25 32 24C32 10.75 42.75 0 56 0H456zM12.02 176.2C21.13 165.9 34.23 160 48 160H464C477.8 160 490.9 165.9 499.1 176.2C504.2 181 507.4 186.6 509.4 192.5C504.1 192.2 500.5 192 496 192C449.1 192 406.5 210.3 374.1 240.2C342.9 220.1 301.4 208 256 208C154.4 208 72 268.9 72 344C72 419.1 154.4 480 256 480C289.2 480 320.4 473.5 347.3 462.1C359.7 481.7 375.9 498.7 394.8 512H80C55.79 512 35.37 493.1 32.37 469.1L.3709 213.1C-1.337 200.3 2.904 186.6 12.02 176.2L12.02 176.2zM288 352C288 365.3 273.7 376 256 376C238.3 376 224 365.3 224 352C224 338.7 238.3 328 256 328C273.7 328 288 338.7 288 352zM16 104C16 90.75 26.75 80 40 80H472C485.3 80 496 90.75 496 104C496 117.3 485.3 128 472 128H40C26.75 128 16 117.3 16 104V104z", "M352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 480C526.2 480 553.5 468.1 573.7 448.7C567.5 429.7 549.6 416 528.6 416H463.4C442.4 416 424.5 429.7 418.3 448.7C438.5 468.1 465.8 480 496 480V480zM496 384C522.5 384 544 362.5 544 336C544 309.5 522.5 288 496 288C469.5 288 448 309.5 448 336C448 362.5 469.5 384 496 384z"]],
    "alicorn": [640, 512, [], "f6b0", ["M64.36 215.7C54.07 223.3 47.1 235.3 48 248L48 304c0 8.837-7.164 16-16 16l-16 .0001C7.163 320 0 312.8 0 304V248C0 199.4 39.4 160 88 160H88.46C74.58 175.5 66.12 195 64.36 215.7zM632 32L531.9 32c-3.064 3.188-6.437 5.976-10.2 8.299c5.11 5.38 9.91 10.47 13.69 14.5c5.534 5.908 8.613 13.71 8.59 21.8l.0394 6.695l92.44-36.66c3.673-2.456 4.684-7.412 2.228-11.08C637.2 33.34 634.7 32.01 632 32z", "M543.9 76.6c.0176-8.098-3.049-15.89-8.59-21.8c-3.779-4-8.581-9.119-13.69-14.5c11.06-6.84 19.52-17.5 22.2-30.67c.8555-4.385-2.037-8.626-6.422-9.483C536.9 .0508 536.5 0 535.1 0h-120c-69.23 0-127.1 64-127.1 128c-63.92 0-104.3-36.77-127.7-90.26C156.9 30.2 146.7 30.01 143.2 37.46C133.2 58.6 127.1 81.73 128 105.1c0 67 51 136.2 128 150.9C159.1 256 117.3 182.7 102.6 147C60.11 178.7 51.35 238.8 83.05 281.3C86.46 285.9 90.3 290.1 94.48 293.1l-25.66 68.49c-4.555 12.16-5.325 25.42-2.177 38.01l21.77 87.28C91.97 502 104.8 512 119.5 512h32.98c20.81 0 36.08-19.55 31.05-39.74l-21.26-85.39l23.78-63.61l102.1 22.34L288.1 480c0 17.67 14.33 32 32 32h32c17.6 0 32-14.4 32-32V318.2C404.6 297.4 416.1 269.3 416.1 240c0-.2207-.0952-.4121-.105-.6328V136.9L431.1 144l18.89 37.72c7.449 14.86 25.08 21.53 40.52 15.36l32.53-13.07c12.17-4.861 20.11-16.63 20.1-29.74L543.9 76.6zM480 96c-8.836 0-16-7.164-16-16c0-8.838 7.125-16 15.96-16s16 7.162 16 16C495.1 88.84 488.8 96 480 96z"]],
    "alien": [448, 512, [128125], "f8f5", ["M224 .0001c-123.8 0-224 87.99-224 232.5c0 111.7 134.2 224.5 194.9 269.9c17.25 12.87 41 12.87 58.25 0C313.8 456.1 448 344.2 448 232.5C448 87.99 347.8 .0001 224 .0001zM176 319.1h-32c-44.12 0-80-35.87-80-79.1c0-8.874 7.125-15.1 16-15.1h32c44.12 0 80 35.87 80 79.99C192 312.9 184.9 319.1 176 319.1zM304 319.1h-32c-8.875 0-16-7.125-16-15.1c0-44.12 35.88-79.99 80-79.99h32c8.875 0 16 7.124 16 15.1C384 284.1 348.1 319.1 304 319.1z", "M112 223.1h-32c-8.875 0-16 7.126-16 15.1c0 44.12 35.88 79.1 80 79.1h32c8.875 0 16-7.124 16-15.1C192 259.9 156.1 223.1 112 223.1zM368 223.1h-32c-44.13 0-80 35.87-80 79.99c0 8.875 7.125 15.1 16 15.1h32c44.13 0 80-35.87 80-79.1C384 231.1 376.9 223.1 368 223.1z"]],
    "alien-8bit": [576, 512, [128126, "alien-monster"], "f8f6", ["M560 128l-32 .0001c-8.875 0-16 7.125-16 15.1v80h-32V176c0-8.875-7.125-16-16-16H416v-64L464 96C472.9 96 480 88.88 480 80v-32C480 39.12 472.9 32 464 32h-32C423.1 32 416 39.12 416 48V64l-48 .0002c-8.875 0-16 7.125-16 16v48H224v-48c0-8.875-7.125-16-16-16L160 64V48C160 39.12 152.9 32 144 32h-32C103.1 32 96 39.12 96 48v32C96 88.88 103.1 96 112 96L160 96v64H112c-8.875 0-16 7.125-16 16v48H64V144c0-8.875-7.125-15.1-16-15.1l-32-.0001c-8.875 0-16 7.125-16 15.1v128c0 8.875 7.125 16 16 16H64v80c0 8.875 7.125 16 16 16l48 0v80c0 8.875 7.125 16 16 16l96 0c8.875 0 16-7.125 16-15.1v-31.1c0-8.875-7.125-16-16-16H192v-32h192v32h-48c-8.875 0-16 7.125-16 16v31.1c0 8.875 7.125 15.1 16 15.1l96 0c8.875 0 16-7.125 16-16v-80l48 0c8.875 0 16-7.125 16-16v-80h48c8.875 0 16-7.125 16-16v-128C576 135.1 568.9 128 560 128zM224 320H160V224h64V320zM416 320h-64V224h64V320z", "M160 320h64V224H160V320zM352 224v96h64V224H352z"]],
    "align-center": [448, 512, [], "f037", ["M128 352C110.3 352 96 337.7 96 320C96 302.3 110.3 288 128 288H320C337.7 288 352 302.3 352 320C352 337.7 337.7 352 320 352H128zM128 96C110.3 96 96 81.67 96 64C96 46.33 110.3 32 128 32H320C337.7 32 352 46.33 352 64C352 81.67 337.7 96 320 96H128z", "M32 480C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416H416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480H32zM32 224C14.33 224 0 209.7 0 192C0 174.3 14.33 160 32 160H416C433.7 160 448 174.3 448 192C448 209.7 433.7 224 416 224H32z"]],
    "align-justify": [448, 512, [], "f039", ["M32 352C14.33 352 0 337.7 0 320C0 302.3 14.33 288 32 288H416C433.7 288 448 302.3 448 320C448 337.7 433.7 352 416 352H32zM32 96C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32z", "M32 480C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416H416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480H32zM32 224C14.33 224 0 209.7 0 192C0 174.3 14.33 160 32 160H416C433.7 160 448 174.3 448 192C448 209.7 433.7 224 416 224H32z"]],
    "align-left": [448, 512, [], "f036", ["M32 352C14.33 352 0 337.7 0 320C0 302.3 14.33 288 32 288H256C273.7 288 288 302.3 288 320C288 337.7 273.7 352 256 352H32zM32 96C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H256C273.7 32 288 46.33 288 64C288 81.67 273.7 96 256 96H32z", "M32 480C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416H416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480H32zM32 224C14.33 224 0 209.7 0 192C0 174.3 14.33 160 32 160H416C433.7 160 448 174.3 448 192C448 209.7 433.7 224 416 224H32z"]],
    "align-right": [448, 512, [], "f038", ["M192 352C174.3 352 160 337.7 160 320C160 302.3 174.3 288 192 288H416C433.7 288 448 302.3 448 320C448 337.7 433.7 352 416 352H192zM192 96C174.3 96 160 81.67 160 64C160 46.33 174.3 32 192 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H192z", "M32 480C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416H416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480H32zM32 224C14.33 224 0 209.7 0 192C0 174.3 14.33 160 32 160H416C433.7 160 448 174.3 448 192C448 209.7 433.7 224 416 224H32z"]],
    "align-slash": [640, 512, [], "f846", ["M399.7 288H512C529.7 288 544 302.3 544 320C544 337.7 529.7 352 512 352H481.4L399.7 288zM236.4 160H512C529.7 160 544 174.3 544 192C544 209.7 529.7 224 512 224H318.1L236.4 160zM98.4 51.82C103.2 40.19 114.6 32 128 32H512C529.7 32 544 46.33 544 64C544 81.67 529.7 96 512 96H154.8L98.4 51.82zM128 352C110.3 352 96 337.7 96 320C96 302.3 110.3 288 128 288H243.7L324.9 352H128zM128 224C110.3 224 96 209.7 96 192C96 185.9 97.71 180.2 100.7 175.3L162.5 224H128zM128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416H406.2L487.4 480H128z", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "alt": [640, 512, [], "e08a", ["M416 416c0 17.69 14.31 32 32 32h160c17.69 0 32-14.31 32-32s-14.31-32-32-32h-160C430.3 384 416 398.3 416 416z", "M608 128h-144.6L217 436C210.9 443.6 201.7 448 192 448H32c-17.69 0-32-14.31-32-32s14.31-32 32-32h144.6L423 76C429.1 68.41 438.3 64 448 64h160c17.69 0 32 14.31 32 32S625.7 128 608 128z"]],
    "amp-guitar": [512, 512, [], "f8a1", ["M256 48c30.41 0 64.14 24.03 89.71 48h65.94C389.5 69.16 325.8 0 256 0S122.5 69.16 100.3 96h65.85C191.7 72.03 225.5 48 256 48zM384 384c-8.836 0-16 7.164-16 16S375.2 416 384 416s16-7.164 16-16S392.8 384 384 384zM320 384c-8.836 0-16 7.164-16 16S311.2 416 320 416s16-7.164 16-16S328.8 384 320 384zM384 288c-8.836 0-16 7.164-16 16S375.2 320 384 320s16-7.164 16-16S392.8 288 384 288zM256 384c-8.836 0-16 7.164-16 16S247.2 416 256 416s16-7.164 16-16S264.8 384 256 384zM192 384c-8.836 0-16 7.164-16 16S183.2 416 192 416s16-7.164 16-16S200.8 384 192 384zM224 336c-8.836 0-16 7.164-16 16s7.164 16 16 16s16-7.164 16-16S232.8 336 224 336zM160 336c-8.836 0-16 7.164-16 16s7.164 16 16 16s16-7.164 16-16S168.8 336 160 336zM128 384c-8.836 0-16 7.164-16 16S119.2 416 128 416s16-7.164 16-16S136.8 384 128 384zM112 304C112 312.8 119.2 320 128 320s16-7.164 16-16S136.8 288 128 288S112 295.2 112 304zM304 304c0 8.836 7.164 16 16 16s16-7.164 16-16S328.8 288 320 288S304 295.2 304 304zM176 304C176 312.8 183.2 320 192 320s16-7.164 16-16S200.8 288 192 288S176 295.2 176 304zM352 336c-8.836 0-16 7.164-16 16s7.164 16 16 16s16-7.164 16-16S360.8 336 352 336zM288 336c-8.836 0-16 7.164-16 16s7.164 16 16 16s16-7.164 16-16S296.8 336 288 336zM240 304C240 312.8 247.2 320 256 320s16-7.164 16-16S264.8 288 256 288S240 295.2 240 304z", "M464 96h-416C21.49 96 0 117.5 0 144v320C0 490.5 21.49 512 48 512h416c26.51 0 48-21.49 48-48v-320C512 117.5 490.5 96 464 96zM416 152c13.25 0 24 10.75 24 24S429.3 200 416 200s-24-10.75-24-24S402.7 152 416 152zM320 152c13.25 0 24 10.75 24 24S333.3 200 320 200s-24-10.75-24-24S306.7 152 320 152zM192 152c13.25 0 24 10.75 24 24S205.3 200 192 200S168 189.3 168 176S178.7 152 192 152zM96 152c13.25 0 24 10.75 24 24S109.3 200 96 200S72 189.3 72 176S82.75 152 96 152zM448 448H64V256h384V448z"]],
    "ampersand": [384, 512, [], "26", ["M318 364.7l60.59-90.89c9.812-14.7 5.844-34.58-8.875-44.37c-14.78-9.828-34.63-5.828-44.38 8.875l-52.19 78.28L318 364.7z", "M201.3 239.5l51.72-40.08C275.3 181.4 288 154.7 288 126.2c0-51.91-42.22-94.14-94.13-94.14H142.1C90.22 32.01 48 74.25 48 126.2c0 27.14 10.09 53.13 28.62 73.42l30.06 32.25L41.31 282.5C15.06 303.7 0 335.2 0 368.9c0 61.25 49.84 111.1 111.1 111.1l70-.0049c37.53 0 72.44-18.64 93.28-49.87l7.188-10.77l47.03 50.47C334.9 476.6 343.4 480 352 480c7.812 0 15.66-2.844 21.81-8.594c12.94-12.05 13.66-32.3 1.594-45.23L201.3 239.5zM142.1 96.01h51.75C210.5 96.01 224 109.5 224 126.2c0 9.156-4.094 17.7-10.69 23.05L157.5 192.5L123.7 156.2C116.1 147.9 112 137.3 112 126.2C112 109.5 125.5 96.01 142.1 96.01zM221.1 394.6c-8.938 13.39-23.88 21.39-39.94 21.39H111.1C85.13 416 64 394.9 64 368.9c0-14.28 6.375-27.64 17-36.22l69.53-53.88l86.16 92.44L221.1 394.6z"]],
    "anchor": [576, 512, [9875], "f13d", ["M384 96C384 129.4 366.1 158.8 341.1 176H352C369.7 176 384 190.3 384 208C384 225.7 369.7 240 352 240H224C206.3 240 192 225.7 192 208C192 190.3 206.3 176 224 176H234.9C209 158.8 192 129.4 192 96C192 42.98 234.1 0 288 0C341 0 384 42.98 384 96zM288 128C305.7 128 320 113.7 320 96C320 78.33 305.7 64 288 64C270.3 64 256 78.33 256 96C256 113.7 270.3 128 288 128z", "M256 448V240H320V448H368C421 448 464 405 464 352V345.9L456.1 352.1C447.6 362.3 432.4 362.3 423 352.1C413.7 343.6 413.7 328.4 423 319L479 263C488.4 253.7 503.6 253.7 512.1 263L568.1 319C578.3 328.4 578.3 343.6 568.1 352.1C559.6 362.3 544.4 362.3 535 352.1L528 345.9V352C528 440.4 456.4 512 368 512H208C119.6 512 48 440.4 48 352V345.9L40.97 352.1C31.6 362.3 16.4 362.3 7.029 352.1C-2.343 343.6-2.343 328.4 7.029 319L63.03 263C72.4 253.7 87.6 253.7 96.97 263L152.1 319C162.3 328.4 162.3 343.6 152.1 352.1C143.6 362.3 128.4 362.3 119 352.1L112 345.9V352C112 405 154.1 448 208 448H256z"]],
    "anchor-circle-check": [640, 512, [], "e4aa", ["M384 96C384 129.4 366.1 158.8 341.1 176H352C369.7 176 384 190.3 384 208C384 225.7 369.7 240 352 240H319.1V448H339.2C351.8 472.7 370 493.1 392.2 510.2C384.3 511.4 376.2 512 368 512H208C119.6 512 48 440.4 48 352V345.9L40.97 352.1C31.6 362.3 16.4 362.3 7.029 352.1C-2.343 343.6-2.343 328.4 7.029 319L63.03 263C72.4 253.7 87.6 253.7 96.97 263L152.1 319C162.3 328.4 162.3 343.6 152.1 352.1C143.6 362.3 128.4 362.3 119 352.1L112 345.9V352C112 405 154.1 448 208 448H256V240H224C206.3 240 192 225.7 192 208C192 190.3 206.3 176 224 176H234.9C209 158.8 192 129.4 192 96C192 42.98 234.1 0 288 0C341 0 384 42.98 384 96H384zM287.1 64C270.3 64 255.1 78.33 255.1 96C255.1 113.7 270.3 128 287.1 128C305.7 128 319.1 113.7 319.1 96C319.1 78.33 305.7 64 287.1 64z", "M352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM563.3 347.3C569.6 341.1 569.6 330.9 563.3 324.7C557.1 318.4 546.9 318.4 540.7 324.7L480 385.4L451.3 356.7C445.1 350.4 434.9 350.4 428.7 356.7C422.4 362.9 422.4 373.1 428.7 379.3L468.7 419.3C474.9 425.6 485.1 425.6 491.3 419.3L563.3 347.3z"]],
    "anchor-circle-exclamation": [640, 512, [], "e4ab", ["M384 96C384 129.4 366.1 158.8 341.1 176H352C369.7 176 384 190.3 384 208C384 225.7 369.7 240 352 240H319.1V448H339.2C351.8 472.7 370 493.1 392.2 510.2C384.3 511.4 376.2 512 368 512H208C119.6 512 48 440.4 48 352V345.9L40.97 352.1C31.6 362.3 16.4 362.3 7.029 352.1C-2.343 343.6-2.343 328.4 7.029 319L63.03 263C72.4 253.7 87.6 253.7 96.97 263L152.1 319C162.3 328.4 162.3 343.6 152.1 352.1C143.6 362.3 128.4 362.3 119 352.1L112 345.9V352C112 405 154.1 448 208 448H256V240H224C206.3 240 192 225.7 192 208C192 190.3 206.3 176 224 176H234.9C209 158.8 192 129.4 192 96C192 42.98 234.1 0 288 0C341 0 384 42.98 384 96H384zM287.1 64C270.3 64 255.1 78.33 255.1 96C255.1 113.7 270.3 128 287.1 128C305.7 128 319.1 113.7 319.1 96C319.1 78.33 305.7 64 287.1 64z", "M640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 416C482.7 416 472 426.7 472 440C472 453.3 482.7 464 496 464C509.3 464 520 453.3 520 440C520 426.7 509.3 416 496 416zM511.1 288C511.1 279.2 504.8 272 495.1 272C487.2 272 479.1 279.2 479.1 288V368C479.1 376.8 487.2 384 495.1 384C504.8 384 511.1 376.8 511.1 368V288z"]],
    "anchor-circle-xmark": [640, 512, [], "e4ac", ["M384 96C384 129.4 366.1 158.8 341.1 176H352C369.7 176 384 190.3 384 208C384 225.7 369.7 240 352 240H319.1V448H339.2C351.8 472.7 370 493.1 392.2 510.2C384.3 511.4 376.2 512 368 512H208C119.6 512 48 440.4 48 352V345.9L40.97 352.1C31.6 362.3 16.4 362.3 7.029 352.1C-2.343 343.6-2.343 328.4 7.029 319L63.03 263C72.4 253.7 87.6 253.7 96.97 263L152.1 319C162.3 328.4 162.3 343.6 152.1 352.1C143.6 362.3 128.4 362.3 119 352.1L112 345.9V352C112 405 154.1 448 208 448H256V240H224C206.3 240 192 225.7 192 208C192 190.3 206.3 176 224 176H234.9C209 158.8 192 129.4 192 96C192 42.98 234.1 0 288 0C341 0 384 42.98 384 96H384zM287.1 64C270.3 64 255.1 78.33 255.1 96C255.1 113.7 270.3 128 287.1 128C305.7 128 319.1 113.7 319.1 96C319.1 78.33 305.7 64 287.1 64z", "M640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM532.7 308.7L496 345.4L459.3 308.7C453.1 302.4 442.9 302.4 436.7 308.7C430.4 314.9 430.4 325.1 436.7 331.3L473.4 368L436.7 404.7C430.4 410.9 430.4 421.1 436.7 427.3C442.9 433.6 453.1 433.6 459.3 427.3L496 390.6L532.7 427.3C538.9 433.6 549.1 433.6 555.3 427.3C561.6 421.1 561.6 410.9 555.3 404.7L518.6 368L555.3 331.3C561.6 325.1 561.6 314.9 555.3 308.7C549.1 302.4 538.9 302.4 532.7 308.7z"]],
    "anchor-lock": [640, 512, [], "e4ad", ["M384 96C384 129.4 366.1 158.8 341.1 176H352C369.7 176 384 190.3 384 208C384 225.7 369.7 240 352 240H319.1V448H368C373.4 448 378.8 447.5 384 446.7V480C384 490.1 386.7 501.3 391.6 510.3C383.9 511.4 376 512 368 512H208C119.6 512 48 440.4 48 352V345.9L40.97 352.1C31.6 362.3 16.4 362.3 7.029 352.1C-2.343 343.6-2.343 328.4 7.029 319L63.03 263C72.4 253.7 87.6 253.7 96.97 263L152.1 319C162.3 328.4 162.3 343.6 152.1 352.1C143.6 362.3 128.4 362.3 119 352.1L112 345.9V352C112 405 154.1 448 208 448H256V240H224C206.3 240 192 225.7 192 208C192 190.3 206.3 176 224 176H234.9C209 158.8 192 129.4 192 96C192 42.98 234.1 0 288 0C341 0 384 42.98 384 96H384zM287.1 64C270.3 64 255.1 78.33 255.1 96C255.1 113.7 270.3 128 287.1 128C305.7 128 319.1 113.7 319.1 96C319.1 78.33 305.7 64 287.1 64z", "M448 320V272C448 227.8 483.8 192 528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320zM496 320H560V272C560 254.3 545.7 240 528 240C510.3 240 496 254.3 496 272V320z"]],
    "angel": [640, 512, [], "f779", ["M415.1 64c0 2.25-3.25 6.125-9.125 10.25c6.625 8.375 12.37 17.25 16.62 27.13C438.7 90.88 447.1 78 447.1 64c0-35.25-57.25-64-127.1-64S192 28.75 192 64c0 14 9.251 26.88 24.5 37.38c4.125-9.875 9.875-18.88 16.62-27.13C227.3 70.25 224 66.38 224 64c0-8 33.1-32 95.1-32S415.1 56 415.1 64zM603.7 453.1l-38.16-78.63c-6.625-13.5-6.625-29.62 0-43.13c4.75-9.75 8.655-16.62 11.9-22.12c9.5-16.5 14.47-26.47 14.47-53.22c0-51.13-46.87-96-100.4-96c-24.87 0-48.97 10.25-66.34 28.12L352.6 261.5c25.65 8.545 47.54 26.75 60.02 51.72L511.1 512h55.57c13.87 0 26.69-7.125 34.19-19C609.2 480.9 610.1 465.9 603.7 453.1zM148.5 160.1C95.04 160.1 48.01 204.9 48.01 256c0 26.75 4.1 36.75 14.5 53.25c3.25 5.5 7.125 12.25 11.87 22c6.625 13.5 6.625 29.62 0 43.13l-38.09 78.75C29.92 466 30.76 480.9 38.26 493C45.76 504.9 58.57 512 72.57 512h55.43l99.4-198.8c12.52-25.04 34.46-43.24 60.2-51.75L214.1 188.3C197.5 170.3 173.3 160.1 148.5 160.1z", "M320 224c44.25 0 79.1-35.75 79.1-80S364.2 64 320 64S240 99.75 240 144S275.8 224 320 224zM412.6 313.2c-17.54-35.08-53.38-57.17-92.6-57.17S244.9 278.2 227.4 313.2L127.1 512h383.1L412.6 313.2z"]],
    "angle": [448, 512, [], "e08c", ["M274.7 278.5C258.9 255.9 239.9 235.5 218.5 218.1L240.4 174.3C269.4 196.4 294.8 223.1 315.5 253.2L274.7 278.5zM332.4 280.3C350.2 312.1 363.1 347 370.1 384H321.1C314.9 356.2 304.9 329.9 291.6 305.7L332.4 280.3z", "M238.3 35.38C254.1 43.28 260.5 62.5 252.6 78.31L83.78 416H416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480H32C20.91 480 10.61 474.3 4.779 464.8C-1.052 455.4-1.581 443.6 3.378 433.7L195.4 49.69C203.3 33.88 222.5 27.47 238.3 35.38V35.38z"]],
    "angle-90": [448, 512, [], "e08d", ["M322.3 279.7l-41.1 24.66C295.4 328.9 306.1 355.6 312.6 384h49.13C354.5 346.6 340.9 311.5 322.3 279.7zM96 167.4c28.39 6.477 55.15 17.16 79.68 31.36l24.66-41.1C168.5 139.1 133.4 125.5 96 118.3V167.4zM227.2 175.1L202.4 216.4c23.35 17.23 43.96 37.84 61.19 61.19l41.31-24.79C283.4 222.8 257.2 196.6 227.2 175.1z", "M416 416H64V63.1C64 46.33 49.67 32 32 32S0 46.33 0 63.1V448c0 17.67 14.33 32 32 32h384C433.7 480 448 465.7 448 448S433.7 416 416 416z"]],
    "angle-down": [384, 512, [8964], "f107", ["M192 384c-8.188 0-16.38-3.125-22.62-9.375l-160-160c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L192 306.8l137.4-137.4c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25l-160 160C208.4 380.9 200.2 384 192 384z", ""]],
    "angle-left": [256, 512, [8249], "f104", ["M192 448c-8.188 0-16.38-3.125-22.62-9.375l-160-160c-12.5-12.5-12.5-32.75 0-45.25l160-160c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L77.25 256l137.4 137.4c12.5 12.5 12.5 32.75 0 45.25C208.4 444.9 200.2 448 192 448z", ""]],
    "angle-right": [256, 512, [8250], "f105", ["M64 448c-8.188 0-16.38-3.125-22.62-9.375c-12.5-12.5-12.5-32.75 0-45.25L178.8 256L41.38 118.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0l160 160c12.5 12.5 12.5 32.75 0 45.25l-160 160C80.38 444.9 72.19 448 64 448z", ""]],
    "angle-up": [384, 512, [8963], "f106", ["M352 352c-8.188 0-16.38-3.125-22.62-9.375L192 205.3l-137.4 137.4c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l160-160c12.5-12.5 32.75-12.5 45.25 0l160 160c12.5 12.5 12.5 32.75 0 45.25C368.4 348.9 360.2 352 352 352z", ""]],
    "angles-down": [384, 512, ["angle-double-down"], "f103", ["M192 288C183.8 288 175.6 284.9 169.4 278.6l-160-160c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L192 210.8l137.4-137.4c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25l-160 160C208.4 284.9 200.2 288 192 288z", "M192 480c-8.188 0-16.38-3.125-22.62-9.375l-160-160c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L192 402.8l137.4-137.4c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25l-160 160C208.4 476.9 200.2 480 192 480z"]],
    "angles-left": [448, 512, [171, "angle-double-left"], "f100", ["M384 448c-8.188 0-16.38-3.125-22.62-9.375l-160-160c-12.5-12.5-12.5-32.75 0-45.25l160-160c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L269.3 256l137.4 137.4c12.5 12.5 12.5 32.75 0 45.25C400.4 444.9 392.2 448 384 448z", "M192 448c-8.188 0-16.38-3.125-22.62-9.375l-160-160c-12.5-12.5-12.5-32.75 0-45.25l160-160c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L77.25 256l137.4 137.4c12.5 12.5 12.5 32.75 0 45.25C208.4 444.9 200.2 448 192 448z"]],
    "angles-right": [448, 512, [187, "angle-double-right"], "f101", ["M64 448c-8.188 0-16.38-3.125-22.62-9.375c-12.5-12.5-12.5-32.75 0-45.25L178.8 256L41.38 118.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0l160 160c12.5 12.5 12.5 32.75 0 45.25l-160 160C80.38 444.9 72.19 448 64 448z", "M256 448c-8.188 0-16.38-3.125-22.62-9.375c-12.5-12.5-12.5-32.75 0-45.25L370.8 256l-137.4-137.4c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0l160 160c12.5 12.5 12.5 32.75 0 45.25l-160 160C272.4 444.9 264.2 448 256 448z"]],
    "angles-up": [384, 512, ["angle-double-up"], "f102", ["M352 448c-8.188 0-16.38-3.125-22.62-9.375L192 301.3l-137.4 137.4c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l160-160c12.5-12.5 32.75-12.5 45.25 0l160 160c12.5 12.5 12.5 32.75 0 45.25C368.4 444.9 360.2 448 352 448z", "M352 256c-8.188 0-16.38-3.125-22.62-9.375L192 109.3L54.63 246.6c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l160-160c12.5-12.5 32.75-12.5 45.25 0l160 160c12.5 12.5 12.5 32.75 0 45.25C368.4 252.9 360.2 256 352 256z"]],
    "ankh": [320, 512, [9765], "f644", ["M296 256h-272C10.75 256 0 266.8 0 280v32c0 13.25 10.75 24 24 24h272c13.25 0 24-10.75 24-24v-32C320 266.8 309.2 256 296 256z", "M120 488C120 501.3 130.8 512 144 512h32c13.25 0 24-10.75 24-24V336h-80V488zM160 0C89.25 0 32 55.63 32 144C32 181.6 47.5 222 68.63 256h182.8C272.5 222 288 181.6 288 144C288 55.63 230.8 0 160 0zM160 244.9C139.1 222.1 112 178.6 112 144c0-39.5 18.38-64 48-64s48 24.5 48 64C208 178.6 180.9 222.1 160 244.9z"]],
    "apartment": [576, 512, [], "e468", ["M400 0C426.5 0 448 21.49 448 48V192H528C554.5 192 576 213.5 576 240V464C576 490.5 554.5 512 528 512H320V416C320 398.3 305.7 384 288 384C270.3 384 256 398.3 256 416V512H48C21.49 512 0 490.5 0 464V144C0 117.5 21.49 96 48 96H128V48C128 21.49 149.5 0 176 0H400zM368 320C376.8 320 384 312.8 384 304V272C384 263.2 376.8 256 368 256H336C327.2 256 320 263.2 320 272V304C320 312.8 327.2 320 336 320H368zM512 368C512 359.2 504.8 352 496 352H464C455.2 352 448 359.2 448 368V400C448 408.8 455.2 416 464 416H496C504.8 416 512 408.8 512 400V368zM112 320C120.8 320 128 312.8 128 304V272C128 263.2 120.8 256 112 256H80C71.16 256 64 263.2 64 272V304C64 312.8 71.16 320 80 320H112zM128 368C128 359.2 120.8 352 112 352H80C71.16 352 64 359.2 64 368V400C64 408.8 71.16 416 80 416H112C120.8 416 128 408.8 128 400V368zM240 320C248.8 320 256 312.8 256 304V272C256 263.2 248.8 256 240 256H208C199.2 256 192 263.2 192 272V304C192 312.8 199.2 320 208 320H240zM384 80C384 71.16 376.8 64 368 64H336C327.2 64 320 71.16 320 80V112C320 120.8 327.2 128 336 128H368C376.8 128 384 120.8 384 112V80zM208 64C199.2 64 192 71.16 192 80V112C192 120.8 199.2 128 208 128H240C248.8 128 256 120.8 256 112V80C256 71.16 248.8 64 240 64H208zM384 176C384 167.2 376.8 160 368 160H336C327.2 160 320 167.2 320 176V208C320 216.8 327.2 224 336 224H368C376.8 224 384 216.8 384 208V176zM496 320C504.8 320 512 312.8 512 304V272C512 263.2 504.8 256 496 256H464C455.2 256 448 263.2 448 272V304C448 312.8 455.2 320 464 320H496zM128 176C128 167.2 120.8 160 112 160H80C71.16 160 64 167.2 64 176V208C64 216.8 71.16 224 80 224H112C120.8 224 128 216.8 128 208V176zM240 224C248.8 224 256 216.8 256 208V176C256 167.2 248.8 160 240 160H208C199.2 160 192 167.2 192 176V208C192 216.8 199.2 224 208 224H240z", "M384 112C384 120.8 376.8 128 368 128H336C327.2 128 320 120.8 320 112V80C320 71.16 327.2 64 336 64H368C376.8 64 384 71.16 384 80V112zM80 320C71.16 320 64 312.8 64 304V272C64 263.2 71.16 256 80 256H112C120.8 256 128 263.2 128 272V304C128 312.8 120.8 320 112 320H80zM384 304C384 312.8 376.8 320 368 320H336C327.2 320 320 312.8 320 304V272C320 263.2 327.2 256 336 256H368C376.8 256 384 263.2 384 272V304zM512 400C512 408.8 504.8 416 496 416H464C455.2 416 448 408.8 448 400V368C448 359.2 455.2 352 464 352H496C504.8 352 512 359.2 512 368V400zM128 400C128 408.8 120.8 416 112 416H80C71.16 416 64 408.8 64 400V368C64 359.2 71.16 352 80 352H112C120.8 352 128 359.2 128 368V400zM208 320C199.2 320 192 312.8 192 304V272C192 263.2 199.2 256 208 256H240C248.8 256 256 263.2 256 272V304C256 312.8 248.8 320 240 320H208zM240 64C248.8 64 256 71.16 256 80V112C256 120.8 248.8 128 240 128H208C199.2 128 192 120.8 192 112V80C192 71.16 199.2 64 208 64H240zM384 208C384 216.8 376.8 224 368 224H336C327.2 224 320 216.8 320 208V176C320 167.2 327.2 160 336 160H368C376.8 160 384 167.2 384 176V208zM464 320C455.2 320 448 312.8 448 304V272C448 263.2 455.2 256 464 256H496C504.8 256 512 263.2 512 272V304C512 312.8 504.8 320 496 320H464zM128 208C128 216.8 120.8 224 112 224H80C71.16 224 64 216.8 64 208V176C64 167.2 71.16 160 80 160H112C120.8 160 128 167.2 128 176V208zM208 224C199.2 224 192 216.8 192 208V176C192 167.2 199.2 160 208 160H240C248.8 160 256 167.2 256 176V208C256 216.8 248.8 224 240 224H208z"]],
    "aperture": [512, 512, [], "e2df", ["M0 256c0 22.14 3.105 43.51 8.391 64h173.7l-127.8-221.3C20.4 142.1 0 196.6 0 256zM324.4 9.523L237.5 160h255.7C463.6 86.94 401.3 30.83 324.4 9.523zM220.6 509.3C232.2 510.9 243.1 512 256 512c69.86 0 133.1-28.05 179.3-73.42l-86.93-150.6L220.6 509.3z", "M187.6 502.5L274.5 352H18.78C48.38 425.1 110.7 481.2 187.6 502.5zM76.69 73.42l86.93 150.6l127.7-221.3C279.8 1.119 268 0 256 0C186.1 0 122.9 28.05 76.69 73.42zM503.6 192h-173.7l127.8 221.3C491.6 369.9 512 315.4 512 256C512 233.9 508.9 212.5 503.6 192z"]],
    "apostrophe": [192, 512, [], "27", ["M192 128v96c0 70.58-57.42 128-128 128c-17.67 0-32-14.33-32-32s14.33-32 32-32c35.3 0 64-28.7 64-64V218.1C117.9 221.7 107.3 224 96 224C42.98 224 0 181 0 128s42.98-96 96-96S192 74.98 192 128z", ""]],
    "apple-core": [384, 512, [], "e08f", ["M364.3 448.1C336.8 486.3 299.8 512 256 512c-32 0-48-16-64-16c-16 0-32 16-64 16c-43.65 0-80.68-25.77-108.2-63.13C65.82 417.1 95.1 364.1 95.1 304c0-62.99-33.19-118.1-82.93-149.2C29.96 138.3 51.94 128 80.01 128c32 .002 79.99 16.03 111.1 32.03c31.99-16 80.1-32.06 112.1-32.06c27.96 0 49.8 10.39 66.68 26.93C321.1 186 287.1 241.1 287.1 304C287.1 364.2 318.2 417.3 364.3 448.1z", "M288 0v32c0 44.18-35.82 80-80 80H176v-32c0-44.18 35.82-80 80-80H288z"]],
    "apple-whole": [448, 512, [127823, 127822, "apple-alt"], "f5d1", ["M336 128c-32 0-80.02 16.03-112 32.03c-32.01-16-79.1-32.02-111.1-32.03C32 128 .4134 210.5 .0033 288c-.5313 99.97 63.99 224 159.1 224c32 0 48-16 64-16c16 0 32 16 64 16c96 0 160.4-122.8 159.1-224C447.7 211.6 416 128 336 128z", "M320 0v32c0 44.18-35.82 80-80 80H208v-32c0-44.18 35.82-80 80-80H320z"]],
    "archway": [512, 512, [], "f557", ["M480 160H32V96H480V160zM480 416C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H352V352C352 298.1 309 256 256 256C202.1 256 160 298.1 160 352V480H32C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416V192H480V416z", "M480 32C497.7 32 512 46.33 512 64C512 81.67 497.7 96 480 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H480zM480 192H32V160H480V192z"]],
    "arrow-down": [384, 512, [8595], "f063", ["M160 370.8V64c0-17.69 14.33-31.1 31.1-31.1S224 46.31 224 64v306.8l-32 32L160 370.8z", "M192 480c-8.188 0-16.38-3.125-22.62-9.375l-160-160c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L192 402.8l137.4-137.4c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25l-160 160C208.4 476.9 200.2 480 192 480z"]],
    "arrow-down-1-9": [512, 512, ["sort-numeric-asc", "sort-numeric-down"], "f162", ["M320 192c0 17.69 14.31 31.1 32 31.1L416 224c17.69 0 32-14.31 32-32s-14.31-32-32-32V63.98c0-11.19-5.844-21.53-15.38-27.34c-9.531-5.781-21.41-6.188-31.34-1.062l-32 16.59c-15.69 8.125-21.81 27.44-13.69 43.13C329.3 106.3 340.4 112.6 352 112.6V160C334.3 160 320 174.3 320 192zM392 255.6c-48.6 0-88 39.4-88 88c0 36.44 22.15 67.7 53.71 81.07l-7.682 8.004c-10.72 11.16-10.34 28.88 .8125 39.56C356.3 477.4 363.3 480 370.2 480c7.344 0 14.72-2.875 20.19-8.625c69.61-72.53 89.6-85.39 89.6-127.8C480 294.1 440.6 255.6 392 255.6zM392 367.6c-13.23 0-24-10.77-24-24s10.77-24 24-24s24 10.77 24 24S405.2 367.6 392 367.6z", "M237.6 328.7c13.03 11.95 13.9 32.22 1.969 45.27l-87.1 96.09c-12.12 13.26-35.06 13.26-47.19 0l-87.1-96.09c-11.94-13.05-11.06-33.31 1.969-45.27c13.02-11.95 33.27-11.04 45.22 1.969l32.4 35.4V64.03C96 46.33 110.3 32 128 32S160 46.33 160 64.03v302l32.4-35.4c6.312-6.883 14.94-10.38 23.61-10.38C223.7 320.3 231.5 323.1 237.6 328.7z"]],
    "arrow-down-9-1": [512, 512, ["sort-numeric-desc", "sort-numeric-down-alt"], "f886", ["M357.7 201.1l-7.682 8.004c-10.72 11.16-10.34 28.88 .8125 39.56c5.406 5.219 12.41 7.812 19.38 7.812c7.344 0 14.72-2.875 20.19-8.625c69.61-72.53 89.6-85.39 89.6-127.8c0-48.6-39.4-88-88-88s-88 39.4-88 88C303.1 156.4 326.1 187.7 357.7 201.1zM392 96c13.23 0 24 10.77 24 24S405.2 144 392 144S368 133.2 368 120S378.8 96 392 96zM416 416.4v-96.02c0-11.19-5.844-21.53-15.38-27.34c-9.531-5.781-21.41-6.188-31.34-1.062l-32 16.59c-15.69 8.125-21.81 27.44-13.69 43.13C329.3 362.8 340.4 369 352 369v47.41c-17.69 0-32 14.31-32 32s14.31 32 32 32h64c17.69 0 32-14.31 32-32S433.7 416.4 416 416.4z", "M237.6 328.7c13.03 11.95 13.9 32.22 1.969 45.27l-87.1 96.09c-12.12 13.26-35.06 13.26-47.19 0l-87.1-96.09c-11.94-13.05-11.06-33.31 1.969-45.27c13.02-11.95 33.27-11.04 45.22 1.969l32.4 35.4V64.03C96 46.33 110.3 32 128 32S160 46.33 160 64.03v302l32.4-35.4c6.312-6.883 14.94-10.38 23.61-10.38C223.7 320.3 231.5 323.1 237.6 328.7z"]],
    "arrow-down-a-z": [512, 512, ["sort-alpha-asc", "sort-alpha-down"], "f15d", ["M448 416h-50.75l73.38-73.38c9.156-9.156 11.89-22.91 6.938-34.88S460.9 288 447.1 288H319.1C302.3 288 288 302.3 288 320s14.33 32 32 32h50.75l-73.38 73.38c-9.156 9.156-11.89 22.91-6.938 34.88S307.1 480 319.1 480h127.1C465.7 480 480 465.7 480 448S465.7 416 448 416zM492.6 209.3l-79.99-160.1c-10.84-21.81-46.4-21.81-57.24 0L275.4 209.3c-7.906 15.91-1.5 35.24 14.31 43.19c15.87 7.922 35.04 1.477 42.93-14.4l7.154-14.39h88.43l7.154 14.39c6.174 12.43 23.97 23.87 42.93 14.4C494.1 244.6 500.5 225.2 492.6 209.3zM367.8 167.4L384 134.7l16.22 32.63H367.8z", "M151.6 470.1c-12.12 13.26-35.06 13.26-47.19 0l-87.1-96.09c-11.94-13.05-11.06-33.31 1.969-45.27c13.02-11.95 33.27-11.04 45.22 1.973L96 366.1V64.03c0-17.7 14.33-32.03 32-32.03S160 46.33 160 64.03v302l32.4-35.39c11.46-12.49 31.67-14.39 45.22-1.973c13.03 11.95 13.9 32.22 1.969 45.27L151.6 470.1z"]],
    "arrow-down-arrow-up": [448, 512, ["sort-alt"], "f883", ["M431.6 138l-87.1-96.09c-12.12-13.26-35.06-13.26-47.19 0l-87.1 96.09C196.5 151.1 197.3 171.4 210.4 183.3c13.02 11.95 33.27 11.04 45.22-1.973L288 145.9v302C288 465.7 302.3 480 320 480s32-14.33 32-32.03V145.9l32.4 35.39c11.42 12.45 31.63 14.43 45.22 1.973C442.7 171.4 443.5 151.1 431.6 138z", "M237.6 328.7c13.03 11.95 13.9 32.22 1.969 45.27l-87.1 96.09c-12.12 13.26-35.06 13.26-47.19 0l-87.1-96.09c-11.94-13.05-11.06-33.31 1.969-45.27c13.59-12.46 33.8-10.48 45.22 1.969L96 366.1V64.03C96 46.33 110.3 32 128 32s32 14.33 32 32.03v302l32.4-35.4C204.4 317.7 224.6 316.8 237.6 328.7z"]],
    "arrow-down-big-small": [512, 512, ["sort-size-down"], "f88c", ["M416 320h-96c-17.6 0-32 14.4-32 32v96c0 17.6 14.4 32 32 32h96c17.6 0 32-14.4 32-32v-96C448 334.4 433.6 320 416 320zM480 32h-160c-17.67 0-32 14.33-32 32v160c0 17.67 14.33 32 32 32h160c17.67 0 32-14.33 32-32V64C512 46.33 497.7 32 480 32z", "M237.6 328.7c13.03 11.95 13.9 32.22 1.969 45.27l-87.1 96.09c-12.12 13.26-35.06 13.26-47.19 0l-87.1-96.09c-11.94-13.05-11.06-33.31 1.969-45.27c6.141-5.633 13.89-8.414 21.61-8.414c8.672 0 17.3 3.5 23.61 10.38L96 366.1V64.03C96 46.33 110.3 32 128 32s32 14.33 32 32.03v302l32.4-35.4C204.4 317.7 224.6 316.8 237.6 328.7z"]],
    "arrow-down-from-dotted-line": [448, 512, [], "e090", ["M416 95.1c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S398.3 95.1 416 95.1zM320 95.1c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S302.3 95.1 320 95.1zM224 95.1c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S206.3 95.1 224 95.1zM128 95.1c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S110.3 95.1 128 95.1zM32 95.1c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S14.33 95.1 32 95.1z", "M73.38 297.4C79.63 291.1 87.81 287.1 96 287.1s16.38 3.125 22.62 9.375L192 370.7V191.1c0-17.69 14.31-32 32-32s32 14.31 32 32v178.8l73.38-73.38c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25l-128 128c-12.5 12.5-32.75 12.5-45.25 0l-128-128C60.88 330.1 60.88 309.9 73.38 297.4z"]],
    "arrow-down-from-line": [384, 512, [8615, "arrow-from-top"], "f345", ["M32 96h320c17.69 0 32-14.31 32-32s-14.31-32-32-32H32C14.31 32 0 46.31 0 64S14.31 96 32 96z", "M342.6 297.4c12.5 12.5 12.5 32.75 0 45.25l-128 128c-12.5 12.5-32.75 12.5-45.25 0l-128-128c-12.5-12.5-12.5-32.75 0-45.25C47.63 291.1 55.81 288 64 288s16.38 3.125 22.62 9.375L160 370.8V192c0-17.69 14.31-32 32-32s32 14.31 32 32v178.8l73.38-73.38C309.9 284.9 330.1 284.9 342.6 297.4z"]],
    "arrow-down-left": [320, 512, [], "e091", ["M310.6 150.6L109.3 352H64V306.8l201.4-201.4c12.5-12.5 32.75-12.5 45.25 0S323.1 138.1 310.6 150.6z", "M256 416H32c-17.67 0-32-14.31-32-32V160c0-17.69 14.33-32 32-32s32 14.31 32 32v192h192c17.67 0 32 14.31 32 32S273.7 416 256 416z"]],
    "arrow-down-left-and-arrow-up-right-to-center": [512, 512, [], "e092", ["M54.63 502.6L176 381.3V432c0 17.69 14.31 32 32 32s32-14.31 32-32v-128c0-4.164-.8477-8.312-2.465-12.22C234.3 283.9 228.1 277.7 220.2 274.5C216.3 272.8 212.2 272 208 272h-128c-17.69 0-32 14.31-32 32s14.31 32 32 32h50.75l-121.4 121.4c-12.5 12.5-12.5 32.75 0 45.25S42.13 515.1 54.63 502.6z", "M274.5 220.2c3.242 7.84 9.479 14.08 17.32 17.32C295.7 239.2 299.8 240 304 240h128c17.69 0 32-14.31 32-32s-14.31-32-32-32h-50.75l121.4-121.4c12.5-12.5 12.5-32.75 0-45.25c-12.49-12.49-32.74-12.51-45.25 0L336 130.8V80c0-17.69-14.31-32-32-32s-32 14.31-32 32v127.1C272 212.2 272.8 216.3 274.5 220.2z"]],
    "arrow-down-long": [320, 512, ["long-arrow-down"], "f175", ["M160 434.8l-32-32V32c0-17.69 14.31-32 32-32s32 14.31 32 32v370.8L160 434.8z", "M310.6 329.4c12.5 12.5 12.5 32.75 0 45.25l-128 128c-12.5 12.5-32.75 12.5-45.25 0l-128-128c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L160 434.8l105.4-105.4C271.6 323.1 279.8 320 288 320S304.4 323.1 310.6 329.4z"]],
    "arrow-down-right": [320, 512, [], "e093", ["M210.8 352L9.375 150.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L256 306.8V352H210.8z", "M288 416H64c-17.67 0-32-14.31-32-32s14.33-32 32-32h192V160c0-17.69 14.33-32 32-32s32 14.31 32 32v224C320 401.7 305.7 416 288 416z"]],
    "arrow-down-short-wide": [576, 512, ["sort-amount-desc", "sort-amount-down-alt"], "f884", ["M320 224H416c17.67 0 32-14.33 32-32s-14.33-32-32-32h-95.1c-17.67 0-32 14.33-32 32S302.3 224 320 224zM320 352H480c17.67 0 32-14.33 32-32s-14.33-32-32-32h-159.1c-17.67 0-32 14.33-32 32S302.3 352 320 352zM320 96h32c17.67 0 31.1-14.33 31.1-32s-14.33-32-31.1-32h-32c-17.67 0-32 14.33-32 32S302.3 96 320 96zM544 416h-223.1c-17.67 0-32 14.33-32 32s14.33 32 32 32H544c17.67 0 32-14.33 32-32S561.7 416 544 416z", "M237.6 328.7c13.03 11.95 13.9 32.22 1.969 45.27l-87.1 96.09c-12.12 13.26-35.06 13.26-47.19 0l-87.1-96.09c-11.94-13.05-11.06-33.31 1.969-45.27c6.141-5.633 13.89-8.414 21.61-8.414c8.672 0 17.3 3.5 23.61 10.38l32.4 35.4V64.03C96 46.33 110.3 32 128 32S160 46.33 160 64.03v302l32.4-35.4C204.4 317.7 224.6 316.8 237.6 328.7z"]],
    "arrow-down-small-big": [512, 512, ["sort-size-down-alt"], "f88d", ["M320 192h96c17.67 0 32-14.33 32-32V64c0-17.6-14.4-32-32-32h-96c-17.67 0-32 14.33-32 32v96C288 177.7 302.3 192 320 192zM480 256h-160c-17.67 0-32 14.33-32 32v160c0 17.67 14.33 32 32 32h160c17.67 0 32-14.33 32-32V288C512 270.3 497.7 256 480 256z", "M237.6 328.7c13.03 11.95 13.9 32.22 1.969 45.27l-87.1 96.09c-12.12 13.26-35.06 13.26-47.19 0l-87.1-96.09c-11.94-13.05-11.06-33.31 1.969-45.27c6.141-5.633 13.89-8.414 21.61-8.414c8.672 0 17.3 3.5 23.61 10.38L96 366.1V64.03C96 46.33 110.3 32 128 32s32 14.33 32 32.03v302l32.4-35.4C204.4 317.7 224.6 316.8 237.6 328.7z"]],
    "arrow-down-square-triangle": [512, 512, ["sort-shapes-down-alt"], "f889", ["M320 224h128c17.67 0 32-14.33 32-32V64c0-17.67-14.33-32-32-32h-128c-17.67 0-31.1 14.33-31.1 32v128C288 209.7 302.3 224 320 224zM492.1 438.9l-83.13-137.1c-11.12-18.38-38.75-18.38-49.88 0l-83.25 137.1c-11 18.25 2.75 41.13 25 41.13h166.3C489.4 480 503.1 457.1 492.1 438.9z", "M237.6 328.7c13.03 11.95 13.9 32.22 1.969 45.27l-87.1 96.09c-12.12 13.26-35.06 13.26-47.19 0l-87.1-96.09c-11.94-13.05-11.06-33.31 1.969-45.27c13.59-12.46 33.8-10.48 45.22 1.969L96 366.1V64.03c0-17.7 14.33-32.03 32-32.03s32 14.33 32 32.03v302l32.4-35.4C204.4 317.7 224.6 316.8 237.6 328.7z"]],
    "arrow-down-to-arc": [512, 512, [], "e4ae", ["M480 224C497.7 224 512 238.3 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 238.3 14.33 224 32 224C49.67 224 64 238.3 64 256C64 362 149.1 448 256 448C362 448 448 362 448 256C448 238.3 462.3 224 480 224z", "M390.6 185.4C403.1 197.9 403.1 218.1 390.6 230.6L278.6 342.6C266.1 355.1 245.9 355.1 233.4 342.6L121.4 230.6C108.9 218.1 108.9 197.9 121.4 185.4C133.9 172.9 154.1 172.9 166.6 185.4L223.1 242.7V32C223.1 14.33 238.3 0 255.1 0C273.7 0 288 14.33 288 32V242.7L345.4 185.4C357.9 172.9 378.1 172.9 390.6 185.4H390.6z"]],
    "arrow-down-to-bracket": [448, 512, [], "e094", ["M448 416v-64c0-17.67-14.33-32-32-32s-32 14.33-32 32v64c0 17.67-14.33 32-32 32H96c-17.67 0-32-14.33-32-32v-64c0-17.67-14.33-32-32-32s-32 14.33-32 32v64c0 53.02 42.98 96 96 96h256C405 512 448 469 448 416z", "M201.4 342.6l-128-128c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L192 242.8V32c0-17.69 14.31-32 32-32s32 14.31 32 32v210.8l73.38-73.38c12.5-12.5 32.75-12.5 45.25 0c12.49 12.49 12.51 32.74 0 45.25l-128 128C234.1 355.1 213.9 355.1 201.4 342.6z"]],
    "arrow-down-to-dotted-line": [448, 512, [], "e095", ["M32 416c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S49.67 416 32 416zM128 416c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S145.7 416 128 416zM224 416c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S241.7 416 224 416zM320 416c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S337.7 416 320 416zM416 416c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S433.7 416 416 416z", "M73.38 185.4C79.63 179.1 87.81 175.1 96 175.1s16.38 3.125 22.62 9.375L192 258.7V79.1c0-17.69 14.31-32 32-32s32 14.31 32 32V258.7l73.38-73.38c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25l-128 128c-12.5 12.5-32.75 12.5-45.25 0l-128-128C60.88 218.1 60.88 197.9 73.38 185.4z"]],
    "arrow-down-to-line": [384, 512, ["arrow-to-bottom"], "f33d", ["M352 416H32c-17.69 0-32 14.31-32 32s14.31 32 32 32h320c17.69 0 32-14.31 32-32S369.7 416 352 416z", "M86.63 169.4L160 242.8V64c0-17.69 14.31-32 32-32s32 14.31 32 32v178.8l73.38-73.38C303.6 163.1 311.8 160 320 160s16.38 3.125 22.62 9.375c12.5 12.5 12.5 32.75 0 45.25l-128 128c-12.5 12.5-32.75 12.5-45.25 0l-128-128c-12.5-12.5-12.5-32.75 0-45.25S74.13 156.9 86.63 169.4z"]],
    "arrow-down-to-square": [512, 512, [], "e096", ["M448 96h-64v64h64v288H64V160h64V96H64C28.72 96 0 124.7 0 160v288c0 35.28 28.72 64 64 64h384c35.28 0 64-28.72 64-64V160C512 124.7 483.3 96 448 96z", "M146.4 232.4C133.3 244.4 132.5 264.6 144.4 277.7l87.1 96.09c12.12 13.26 35.06 13.26 47.19 0l87.1-96.09c11.94-13.05 11.06-33.31-1.969-45.27c-13.71-12.57-33.9-10.37-45.22 1.969L288 269.8V32.03C288 14.33 273.7 0 256 0S224 14.33 224 32.03v237.8L191.6 234.4C179.6 221.4 159.4 220.5 146.4 232.4z"]],
    "arrow-down-triangle-square": [512, 512, ["sort-shapes-down"], "f888", ["M492.1 182.9l-83.13-137.1c-11.12-18.38-38.75-18.38-49.88 0l-83.25 137.1c-11 18.25 2.75 41.12 25 41.12h166.3C489.4 224 503.1 201.1 492.1 182.9zM448 288h-128c-17.67 0-31.1 14.33-31.1 32V448c0 17.67 14.33 32 31.1 32h128c17.67 0 32-14.33 32-32v-127.1C480 302.3 465.7 288 448 288z", "M237.6 328.7c13.03 11.95 13.9 32.22 1.969 45.27l-87.1 96.09c-12.12 13.26-35.06 13.26-47.19 0l-87.1-96.09c-11.94-13.05-11.06-33.31 1.969-45.27c13.59-12.46 33.8-10.48 45.22 1.969L96 366.1V64.03c0-17.7 14.33-32.03 32-32.03s32 14.33 32 32.03v302l32.4-35.4C204.4 317.7 224.6 316.8 237.6 328.7z"]],
    "arrow-down-up-across-line": [576, 512, [], "e4af", ["M0 256C0 238.3 14.33 224 32 224H544C561.7 224 576 238.3 576 256C576 273.7 561.7 288 544 288H32C14.33 288 0 273.7 0 256z", "M41.37 406.6C28.88 394.1 28.88 373.9 41.37 361.4C53.87 348.9 74.13 348.9 86.63 361.4L127.1 402.7V288H191.1V402.7L233.4 361.4C245.9 348.9 266.1 348.9 278.6 361.4C291.1 373.9 291.1 394.1 278.6 406.6L182.6 502.6C170.1 515.1 149.9 515.1 137.4 502.6L41.37 406.6zM128 64C128 46.33 142.3 32 160 32C177.7 32 192 46.33 192 64V192H128V64zM438.6 9.372L534.6 105.4C547.1 117.9 547.1 138.1 534.6 150.6C522.1 163.1 501.9 163.1 489.4 150.6L448 109.3V223.1H384V109.3L342.6 150.6C330.1 163.1 309.9 163.1 297.4 150.6C284.9 138.1 284.9 117.9 297.4 105.4L393.4 9.372C405.9-3.124 426.1-3.124 438.6 9.372H438.6zM416 480C398.3 480 384 465.7 384 448V320H448V448C448 465.7 433.7 480 416 480z"]],
    "arrow-down-up-lock": [640, 512, [], "e4b0", ["M246.6 406.6L150.6 502.6C138.1 515.1 117.9 515.1 105.4 502.6L9.373 406.6C-3.124 394.1-3.124 373.9 9.373 361.4C21.87 348.9 42.13 348.9 54.63 361.4L96 402.7V287.1H32C14.33 287.1 0 273.7 0 255.1C0 238.3 14.33 223.1 32 223.1H288V109.3L246.6 150.6C234.1 163.1 213.9 163.1 201.4 150.6C188.9 138.1 188.9 117.9 201.4 105.4L297.4 9.372C303.4 3.371 311.5 0 320 0C328.5 0 336.6 3.372 342.6 9.372L438.6 105.4C451.1 117.9 451.1 138.1 438.6 150.6C426.1 163.1 405.9 163.1 393.4 150.6L352 109.3V223.1H426.8C419.9 238.5 416 254.8 416 271.1V287.1H160V402.7L201.4 361.4C213.9 348.9 234.1 348.9 246.6 361.4C259.1 373.9 259.1 394.1 246.6 406.6H246.6zM160 63.1V191.1H96V63.1C96 46.33 110.3 31.1 128 31.1C145.7 31.1 160 46.33 160 63.1zM288 448V319.1H352V448C352 465.7 337.7 480 320 480C302.3 480 288 465.7 288 448z", "M448 320V272C448 227.8 483.8 192 528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320zM496 320H560V272C560 254.3 545.7 240 528 240C510.3 240 496 254.3 496 272V320z"]],
    "arrow-down-wide-short": [576, 512, ["sort-amount-asc", "sort-amount-down"], "f160", ["M416 288h-95.1c-17.67 0-32 14.33-32 32s14.33 32 32 32H416c17.67 0 32-14.33 32-32S433.7 288 416 288zM544 32h-223.1c-17.67 0-32 14.33-32 32s14.33 32 32 32H544c17.67 0 32-14.33 32-32S561.7 32 544 32zM352 416h-32c-17.67 0-32 14.33-32 32s14.33 32 32 32h32c17.67 0 31.1-14.33 31.1-32S369.7 416 352 416zM480 160h-159.1c-17.67 0-32 14.33-32 32s14.33 32 32 32H480c17.67 0 32-14.33 32-32S497.7 160 480 160z", "M237.6 328.7c13.03 11.95 13.9 32.22 1.969 45.27l-87.1 96.09c-12.12 13.26-35.06 13.26-47.19 0l-87.1-96.09c-11.94-13.05-11.06-33.31 1.969-45.27c6.141-5.633 13.89-8.414 21.61-8.414c8.672 0 17.3 3.5 23.61 10.38l32.4 35.4V64.03C96 46.33 110.3 32 128 32S160 46.33 160 64.03v302l32.4-35.4C204.4 317.7 224.6 316.8 237.6 328.7z"]],
    "arrow-down-z-a": [512, 512, ["sort-alpha-desc", "sort-alpha-down-alt"], "f881", ["M320 96h50.75l-73.38 73.38c-9.156 9.156-11.89 22.91-6.938 34.88s16.63 19.74 29.56 19.74h127.1C465.7 223.1 480 209.7 480 192s-14.33-32-32-32h-50.75l73.38-73.38c9.156-9.156 11.89-22.91 6.938-34.88S460.9 32 447.1 32h-127.1C302.3 32 288 46.31 288 64S302.3 96 320 96zM492.6 433.3l-79.99-160.1c-10.84-21.81-46.4-21.81-57.24 0l-79.99 160.1c-7.906 15.91-1.5 35.24 14.31 43.19c15.87 7.922 35.04 1.477 42.93-14.4l7.154-14.39h88.43l7.154 14.39c6.174 12.43 23.97 23.87 42.93 14.4C494.1 468.6 500.5 449.2 492.6 433.3zM367.8 391.4L384 358.7l16.22 32.63H367.8z", "M16.41 373.1c-11.94-13.05-11.06-33.31 1.969-45.27c6.141-5.629 13.89-8.414 21.61-8.414c8.672 0 17.3 3.504 23.61 10.39L96 366.1V64.03c0-17.7 14.33-32.03 32-32.03S160 46.33 160 64.03v302l32.4-35.39C204.4 317.7 224.6 316.7 237.6 328.7c13.03 11.95 13.9 32.22 1.969 45.27l-87.1 96.09c-12.12 13.26-35.06 13.26-47.19 0L16.41 373.1z"]],
    "arrow-left": [448, 512, [8592], "f060", ["M447.1 256C447.1 273.7 433.7 288 416 288H109.3l-32-32l32-32H416C433.7 224 447.1 238.3 447.1 256z", "M192 448c-8.188 0-16.38-3.125-22.62-9.375l-160-160c-12.5-12.5-12.5-32.75 0-45.25l160-160c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L77.25 256l137.4 137.4c12.5 12.5 12.5 32.75 0 45.25C208.4 444.9 200.2 448 192 448z"]],
    "arrow-left-from-line": [448, 512, [8612, "arrow-from-right"], "f344", ["M384 96v320c0 17.69 14.31 32 32 32s32-14.31 32-32V96c0-17.69-14.31-32-32-32S384 78.31 384 96z", "M182.6 406.6c-12.5 12.5-32.75 12.5-45.25 0l-128-128c-12.5-12.5-12.5-32.75 0-45.25l128-128c12.5-12.5 32.75-12.5 45.25 0C188.9 111.6 192 119.8 192 128S188.9 144.4 182.6 150.6L109.3 224H288c17.69 0 32 14.31 32 32s-14.31 32-32 32H109.3l73.38 73.38C195.1 373.9 195.1 394.1 182.6 406.6z"]],
    "arrow-left-long": [512, 512, ["long-arrow-left"], "f177", ["M77.25 256l32-32H480c17.69 0 32 14.31 32 32s-14.31 32-32 32H109.3L77.25 256z", "M182.6 406.6c-12.5 12.5-32.75 12.5-45.25 0l-128-128c-12.5-12.5-12.5-32.75 0-45.25l128-128c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L77.25 256l105.4 105.4C188.9 367.6 192 375.8 192 384S188.9 400.4 182.6 406.6z"]],
    "arrow-left-long-to-line": [640, 512, [], "e3d4", ["", "M137.4 233.4L265.4 105.4C277.9 92.88 298.1 92.88 310.6 105.4C323.1 117.9 323.1 138.1 310.6 150.6L237.2 224H608C625.7 224 640 238.3 640 256C640 273.7 625.7 288 608 288H237.2L310.6 361.4C323.1 373.9 323.1 394.1 310.6 406.6C298.1 419.1 277.9 419.1 265.4 406.6L137.4 278.6C124.9 266.1 124.9 245.9 137.4 233.4V233.4zM64 96V416C64 433.7 49.67 448 32 448C14.33 448 0 433.7 0 416V96C0 78.33 14.33 64 32 64C49.67 64 64 78.33 64 96z"]],
    "arrow-left-to-line": [448, 512, [8676, "arrow-to-left"], "f33e", ["M32 64C14.31 64 0 78.31 0 96v320c0 17.69 14.31 32 32 32s32-14.31 32-32V96C64 78.31 49.69 64 32 64z", "M310.6 150.6L237.3 224H416c17.69 0 32 14.31 32 32s-14.31 32-32 32h-178.8l73.38 73.38C316.9 367.6 320 375.8 320 384s-3.125 16.38-9.375 22.62c-12.5 12.5-32.75 12.5-45.25 0l-128-128c-12.5-12.5-12.5-32.75 0-45.25l128-128c12.5-12.5 32.75-12.5 45.25 0S323.1 138.1 310.6 150.6z"]],
    "arrow-pointer": [320, 512, ["mouse-pointer"], "f245", ["M143.1 320H179.8L236.6 433.7C244.5 449.5 238.1 468.7 222.3 476.6C206.5 484.5 187.3 478.1 179.4 462.3L121.2 346L143.1 320z", "M.0003 425.1V55.18C.0003 42.38 10.38 32 23.19 32C28.86 32 34.34 34.08 38.59 37.86L312.6 281.4C317.3 285.6 320 291.6 320 297.9C320 310.1 310.1 320 297.9 320H144L38.58 440.5C34.4 445.3 28.36 448 22.01 448C9.855 448 0 438.1 0 425.1H.0003z"]],
    "arrow-right": [448, 512, [8594], "f061", ["M338.8 288H32C14.33 288 .0016 273.7 .0016 256S14.33 224 32 224h306.8l32 32L338.8 288z", "M256 448c-8.188 0-16.38-3.125-22.62-9.375c-12.5-12.5-12.5-32.75 0-45.25L370.8 256l-137.4-137.4c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0l160 160c12.5 12.5 12.5 32.75 0 45.25l-160 160C272.4 444.9 264.2 448 256 448z"]],
    "arrow-right-arrow-left": [512, 512, [8644, "exchange"], "f0ec", ["M480 336H109.3l57.38-57.38c12.5-12.5 12.5-32.75 0-45.25s-32.75-12.5-45.25 0l-112 112c-12.5 12.5-12.5 32.75 0 45.25l112 112C127.6 508.9 135.8 512 144 512s16.38-3.125 22.62-9.375c12.5-12.5 12.5-32.75 0-45.25L109.3 400H480c17.69 0 32-14.31 32-32S497.7 336 480 336z", "M32 176h370.8l-57.38 57.38c-12.5 12.5-12.5 32.75 0 45.25C351.6 284.9 359.8 288 368 288s16.38-3.125 22.62-9.375l112-112c12.5-12.5 12.5-32.75 0-45.25l-112-112c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25L402.8 112H32c-17.69 0-32 14.31-32 32S14.31 176 32 176z"]],
    "arrow-right-from-arc": [512, 512, [], "e4b1", ["M256 64C149.1 64 64 149.1 64 256C64 362 149.1 448 256 448C273.7 448 288 462.3 288 480C288 497.7 273.7 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C273.7 0 288 14.33 288 32C288 49.67 273.7 64 256 64z", "M345.4 121.4C357.9 108.9 378.1 108.9 390.6 121.4L502.6 233.4C515.1 245.9 515.1 266.1 502.6 278.6L390.6 390.6C378.1 403.1 357.9 403.1 345.4 390.6C332.9 378.1 332.9 357.9 345.4 345.4L402.7 288H192C174.3 288 160 273.7 160 256C160 238.3 174.3 224 192 224H402.7L345.4 166.6C332.9 154.1 332.9 133.9 345.4 121.4V121.4z"]],
    "arrow-right-from-bracket": [512, 512, ["sign-out"], "f08b", ["M160 416H96c-17.67 0-32-14.33-32-32V128c0-17.67 14.33-32 32-32h64c17.67 0 32-14.33 32-32S177.7 32 160 32H96C42.98 32 0 74.98 0 128v256c0 53.02 42.98 96 96 96h64c17.67 0 32-14.33 32-32S177.7 416 160 416z", "M502.6 278.6l-128 128c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25L402.8 288H192C174.3 288 160 273.7 160 256s14.31-32 32-32h210.8l-73.38-73.38c-12.5-12.5-12.5-32.75 0-45.25c12.49-12.49 32.74-12.51 45.25 0l128 128C515.1 245.9 515.1 266.1 502.6 278.6z"]],
    "arrow-right-from-line": [448, 512, [8614, "arrow-from-left"], "f343", ["M64 416V96c0-17.69-14.31-32-32-32S0 78.31 0 96v320c0 17.69 14.31 32 32 32S64 433.7 64 416z", "M265.4 105.4c12.5-12.5 32.75-12.5 45.25 0l128 128c12.5 12.5 12.5 32.75 0 45.25l-128 128c-12.5 12.5-32.75 12.5-45.25 0C259.1 400.4 256 392.2 256 384s3.125-16.38 9.375-22.62L338.8 288H160C142.3 288 128 273.7 128 256s14.31-32 32-32h178.8l-73.38-73.38C252.9 138.1 252.9 117.9 265.4 105.4z"]],
    "arrow-right-long": [512, 512, ["long-arrow-right"], "f178", ["M402.8 288H32C14.31 288 0 273.7 0 255.1S14.31 224 32 224h370.8l32 32L402.8 288z", "M320 384c0-8.188 3.125-16.38 9.375-22.62L434.8 256l-105.4-105.4c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0l128 128c12.5 12.5 12.5 32.75 0 45.25l-128 128c-12.5 12.5-32.75 12.5-45.25 0C323.1 400.4 320 392.2 320 384z"]],
    "arrow-right-long-to-line": [640, 512, [], "e3d5", ["", "M502.6 278.6L374.6 406.6C362.1 419.1 341.9 419.1 329.4 406.6C316.9 394.1 316.9 373.9 329.4 361.4L402.7 288H32C14.31 288 0 273.7 0 256C0 238.3 14.31 224 32 224H402.7L329.4 150.6C316.9 138.1 316.9 117.9 329.4 105.4C341.9 92.88 362.1 92.88 374.6 105.4L502.6 233.4C515.1 245.9 515.1 266.1 502.6 278.6zM608 64C625.7 64 640 78.33 640 96V416C640 433.7 625.7 448 608 448C590.3 448 576 433.7 576 416V96C576 78.33 590.3 64 608 64z"]],
    "arrow-right-to-arc": [512, 512, [], "e4b2", ["M224 32C224 14.33 238.3 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C238.3 512 224 497.7 224 480C224 462.3 238.3 448 256 448C362 448 448 362 448 256C448 149.1 362 64 256 64C238.3 64 224 49.67 224 32z", "M185.4 121.4C197.9 108.9 218.1 108.9 230.6 121.4L342.6 233.4C355.1 245.9 355.1 266.1 342.6 278.6L230.6 390.6C218.1 403.1 197.9 403.1 185.4 390.6C172.9 378.1 172.9 357.9 185.4 345.4L242.7 288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H242.7L185.4 166.6C172.9 154.1 172.9 133.9 185.4 121.4V121.4z"]],
    "arrow-right-to-bracket": [512, 512, ["sign-in"], "f090", ["M416 32h-64c-17.67 0-32 14.33-32 32s14.33 32 32 32h64c17.67 0 32 14.33 32 32v256c0 17.67-14.33 32-32 32h-64c-17.67 0-32 14.33-32 32s14.33 32 32 32h64c53.02 0 96-42.98 96-96V128C512 74.98 469 32 416 32z", "M342.6 278.6l-128 128c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25L242.8 288H32C14.31 288 0 273.7 0 256s14.31-32 32-32h210.8L169.4 150.6c-12.5-12.5-12.5-32.75 0-45.25c12.49-12.49 32.74-12.51 45.25 0l128 128C355.1 245.9 355.1 266.1 342.6 278.6z"]],
    "arrow-right-to-city": [640, 512, [], "e4b3", ["M432 0C458.5 0 480 21.49 480 48V192H520V120C520 106.7 530.7 96 544 96C557.3 96 568 106.7 568 120V192H592C618.5 192 640 213.5 640 240V464C640 490.5 618.5 512 592 512H336C309.5 512 288 490.5 288 464V48C288 21.49 309.5 0 336 0H432zM368 64C359.2 64 352 71.16 352 80V112C352 120.8 359.2 128 368 128H400C408.8 128 416 120.8 416 112V80C416 71.16 408.8 64 400 64H368zM352 208C352 216.8 359.2 224 368 224H400C408.8 224 416 216.8 416 208V176C416 167.2 408.8 160 400 160H368C359.2 160 352 167.2 352 176V208zM368 256C359.2 256 352 263.2 352 272V304C352 312.8 359.2 320 368 320H400C408.8 320 416 312.8 416 304V272C416 263.2 408.8 256 400 256H368zM512 304C512 312.8 519.2 320 528 320H560C568.8 320 576 312.8 576 304V272C576 263.2 568.8 256 560 256H528C519.2 256 512 263.2 512 272V304zM528 352C519.2 352 512 359.2 512 368V400C512 408.8 519.2 416 528 416H560C568.8 416 576 408.8 576 400V368C576 359.2 568.8 352 560 352H528z", "M121.4 153.4C133.9 140.9 154.1 140.9 166.6 153.4L246.6 233.4C259.1 245.9 259.1 266.1 246.6 278.6L166.6 358.6C154.1 371.1 133.9 371.1 121.4 358.6C108.9 346.1 108.9 325.9 121.4 313.4L146.7 288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H146.7L121.4 198.6C108.9 186.1 108.9 165.9 121.4 153.4V153.4z"]],
    "arrow-right-to-line": [448, 512, [8677, "arrow-to-right"], "f340", ["M384 96v320c0 17.69 14.31 32 32 32s32-14.31 32-32V96c0-17.69-14.31-32-32-32S384 78.31 384 96z", "M137.4 105.4c12.5-12.5 32.75-12.5 45.25 0l128 128c12.5 12.5 12.5 32.75 0 45.25l-128 128c-12.5 12.5-32.75 12.5-45.25 0C131.1 400.4 128 392.2 128 384s3.125-16.38 9.375-22.62L210.8 288H32C14.31 288 0 273.7 0 256s14.31-32 32-32h178.8L137.4 150.6C124.9 138.1 124.9 117.9 137.4 105.4z"]],
    "arrow-rotate-left": [512, 512, [8634, "arrow-left-rotate", "arrow-rotate-back", "arrow-rotate-backward", "undo"], "f0e2", ["M480 256c0 123.4-100.5 223.9-223.9 223.9c-48.86 0-95.19-15.58-134.2-44.86c-14.14-10.59-17-30.66-6.391-44.81c10.61-14.09 30.69-16.97 44.8-6.375c27.84 20.91 61 31.94 95.89 31.94C344.3 415.8 416 344.1 416 256s-71.67-159.8-159.8-159.8C205.9 96.22 158.6 120.3 128.6 160H80V118.2C122.1 64.58 186.1 32.11 256.1 32.11C379.5 32.11 480 132.6 480 256z", "M192 224H48c-17.67 0-32-14.31-32-32V48c0-17.69 14.33-32 32-32s32 14.31 32 32V160H192c17.67 0 32 14.31 32 32S209.7 224 192 224z"]],
    "arrow-rotate-right": [512, 512, [8635, "arrow-right-rotate", "arrow-rotate-forward", "redo"], "f01e", ["M396.5 390.2c10.59 14.16 7.75 34.22-6.375 44.81c-39.03 29.28-85.36 44.86-134.2 44.86C132.5 479.9 32 379.4 32 256s100.5-223.9 223.9-223.9c69.15 0 134 32.47 176.1 86.12V160h-48.61c-29.97-39.7-77.25-63.78-127.6-63.78C167.7 96.22 96 167.9 96 256s71.69 159.8 159.8 159.8c34.88 0 68.03-11.03 95.88-31.94C365.9 373.3 385.9 376.1 396.5 390.2z", "M464 224H320c-17.69 0-32-14.31-32-32s14.31-32 32-32h112V48c0-17.69 14.31-32 32-32s32 14.31 32 32V192C496 209.7 481.7 224 464 224z"]],
    "arrow-trend-down": [576, 512, [], "e097", ["M466.7 352L320 205.3L214.6 310.6C202.1 323.1 181.9 323.1 169.4 310.6L9.372 150.6C-3.124 138.1-3.124 117.9 9.372 105.4C21.87 92.88 42.13 92.88 54.63 105.4L191.1 242.7L297.4 137.4C309.9 124.9 330.1 124.9 342.6 137.4L512 306.7V352L466.7 352z", "M384 352H512V224C512 206.3 526.3 192 544 192C561.7 192 576 206.3 576 224V384C576 401.7 561.7 416 544 416H384C366.3 416 352 401.7 352 384C352 366.3 366.3 352 384 352z"]],
    "arrow-trend-up": [576, 512, [], "e098", ["M512 160V205.3L342.6 374.6C330.1 387.1 309.9 387.1 297.4 374.6L191.1 269.3L54.63 406.6C42.13 419.1 21.87 419.1 9.372 406.6C-3.124 394.1-3.124 373.9 9.372 361.4L169.4 201.4C181.9 188.9 202.1 188.9 214.6 201.4L320 306.7L466.7 160L512 160z", "M352 128C352 110.3 366.3 96 384 96H544C561.7 96 576 110.3 576 128V288C576 305.7 561.7 320 544 320C526.3 320 512 305.7 512 288V160H384C366.3 160 352 145.7 352 128z"]],
    "arrow-turn-down": [384, 512, ["level-down"], "f149", ["M32 64C14.33 64 0 49.69 0 32s14.33-32 32-32h112C188.1 0 224 35.88 224 80v322.8l-32 32l-31.1-32V80C160 71.19 152.8 64 144 64H32z", "M297.4 329.4l-105.4 105.4L86.62 329.4c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25l127.1 128C175.6 508.9 183.8 512 191.1 512s16.37-3.125 22.62-9.375l128-128c12.5-12.5 12.5-32.75 0-45.25S309.9 316.9 297.4 329.4z"]],
    "arrow-turn-down-left": [512, 512, [], "e2e1", ["M77.25 287.1l32-31.1H432C440.8 256 448 248.8 448 240V64c0-17.67 14.31-32 32-32s32 14.33 32 32v176c0 44.11-35.88 80-80 80H109.3L77.25 287.1z", "M137.4 438.6c12.5 12.5 32.75 12.5 45.25 0C188.9 432.4 192 424.2 192 415.1s-3.125-16.38-9.375-22.62L77.25 287.1L182.6 182.6c12.5-12.5 12.5-32.75 0-45.25s-32.75-12.5-45.25 0l-128 127.1c-12.5 12.5-12.5 32.75 0 45.25L137.4 438.6z"]],
    "arrow-turn-down-right": [512, 512, [], "e3d6", ["M402.7 320H80C35.87 320 0 284.1 0 240V64C0 46.33 14.31 32 32 32C49.69 32 64 46.33 64 64V240C64 248.8 71.19 256 80 256H402.7L434.7 287.1L402.7 320z", "M374.6 438.6C362.1 451.1 341.9 451.1 329.4 438.6C323.1 432.4 320 424.2 320 416C320 407.8 323.1 399.6 329.4 393.4L434.7 288L329.4 182.6C316.9 170.1 316.9 149.9 329.4 137.4C341.9 124.9 362.1 124.9 374.6 137.4L502.6 265.4C515.1 277.9 515.1 298.1 502.6 310.6L374.6 438.6z"]],
    "arrow-turn-up": [384, 512, ["level-up"], "f148", ["M224 109.3V432c0 44.13-35.89 80-80 80H32c-17.67 0-32-14.31-32-32s14.33-32 32-32h112C152.8 448 160 440.8 160 432V109.3l31.1-32L224 109.3z", "M214.6 9.375c-12.5-12.5-32.75-12.5-45.25 0l-127.1 128c-12.5 12.5-12.5 32.75 0 45.25s32.75 12.5 45.25 0l105.4-105.4l105.4 105.4C303.6 188.9 311.8 192 319.1 192s16.38-3.125 22.62-9.375c12.5-12.5 12.5-32.75 0-45.25L214.6 9.375z"]],
    "arrow-up": [384, 512, [8593], "f062", ["M224 141.3V448c0 17.69-14.33 31.1-31.1 31.1S160 465.7 160 448V141.3l32-32L224 141.3z", "M352 256c-8.188 0-16.38-3.125-22.62-9.375L192 109.3L54.63 246.6c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l160-160c12.5-12.5 32.75-12.5 45.25 0l160 160c12.5 12.5 12.5 32.75 0 45.25C368.4 252.9 360.2 256 352 256z"]],
    "arrow-up-1-9": [512, 512, ["sort-numeric-up"], "f163", ["M320 192c0 17.69 14.31 31.1 32 31.1L416 224c17.69 0 32-14.31 32-32s-14.31-32-32-32V63.98c0-11.19-5.844-21.53-15.38-27.34c-9.531-5.781-21.41-6.188-31.34-1.062l-32 16.59c-15.69 8.125-21.81 27.44-13.69 43.13C329.3 106.3 340.4 112.6 352 112.6V160C334.3 160 320 174.3 320 192zM392 255.6c-48.6 0-88 39.4-88 88c0 36.44 22.15 67.7 53.71 81.07l-7.682 8.004c-10.72 11.16-10.34 28.88 .8125 39.56C356.3 477.4 363.3 480 370.2 480c7.344 0 14.72-2.875 20.19-8.625c69.61-72.53 89.6-85.39 89.6-127.8C480 294.1 440.6 255.6 392 255.6zM392 367.6c-13.23 0-24-10.77-24-24s10.77-24 24-24s24 10.77 24 24S405.2 367.6 392 367.6z", "M18.38 183.3C5.35 171.3 4.475 151.1 16.41 138L104.4 41.94c12.12-13.26 35.06-13.26 47.19 0l87.1 96.09c11.94 13.05 11.06 33.31-1.969 45.27C224.6 195.2 204.4 194.3 192.4 181.3L160 145.9v302c0 17.7-14.33 32.03-32 32.03S96 465.7 96 447.1V145.9L63.6 181.3c-6.312 6.883-14.94 10.38-23.61 10.38C32.27 191.7 24.52 188.9 18.38 183.3z"]],
    "arrow-up-9-1": [512, 512, ["sort-numeric-up-alt"], "f887", ["M357.7 201.1l-7.682 8.004c-10.72 11.16-10.34 28.88 .8125 39.56c5.406 5.219 12.41 7.812 19.38 7.812c7.344 0 14.72-2.875 20.19-8.625c69.61-72.53 89.6-85.39 89.6-127.8c0-48.6-39.4-88-88-88s-88 39.4-88 88C303.1 156.4 326.1 187.7 357.7 201.1zM392 96c13.23 0 24 10.77 24 24S405.2 144 392 144S368 133.2 368 120S378.8 96 392 96zM416 416.4v-96.02c0-11.19-5.844-21.53-15.38-27.34c-9.531-5.781-21.41-6.188-31.34-1.062l-32 16.59c-15.69 8.125-21.81 27.44-13.69 43.13C329.3 362.8 340.4 369 352 369v47.41c-17.69 0-32 14.31-32 32s14.31 32 32 32h64c17.69 0 32-14.31 32-32S433.7 416.4 416 416.4z", "M216 191.7c-8.672 0-17.3-3.5-23.61-10.38L160 145.9v302c0 17.7-14.33 32.03-32 32.03S96 465.7 96 447.1V145.9L63.6 181.3C51.64 194.3 31.39 195.2 18.38 183.3C5.35 171.3 4.475 151.1 16.41 138L104.4 41.94c12.12-13.26 35.06-13.26 47.19 0l87.1 96.09c11.94 13.05 11.06 33.31-1.969 45.27C231.5 188.9 223.7 191.7 216 191.7z"]],
    "arrow-up-a-z": [512, 512, ["sort-alpha-up"], "f15e", ["M448 416h-50.75l73.38-73.38c9.156-9.156 11.89-22.91 6.938-34.88s-16.63-19.86-29.56-19.86H319.1C302.3 287.9 288 302.3 288 320s14.33 32 32 32h50.75l-73.38 73.38c-9.156 9.156-11.89 22.91-6.938 34.88S307.1 480 319.1 480h127.1C465.7 480 480 465.7 480 448S465.7 416 448 416zM492.6 209.3l-79.99-160.1c-10.84-21.81-46.4-21.81-57.24 0L275.4 209.3c-7.906 15.91-1.5 35.24 14.31 43.19c15.87 7.922 35.04 1.477 42.93-14.4l7.154-14.39h88.43l7.154 14.39c6.174 12.43 23.97 23.87 42.93 14.4C494.1 244.6 500.5 225.2 492.6 209.3zM367.8 167.4L384 134.7l16.22 32.63H367.8z", "M239.6 138c11.94 13.05 11.06 33.31-1.969 45.27C224.1 195.7 203.9 193.8 192.4 181.3L160 145.9v302C160 465.7 145.7 480 128 480S96 465.7 96 447.1V145.9L63.6 181.3C51.64 194.3 31.39 195.3 18.38 183.3C5.348 171.4 4.473 151.1 16.41 138l87.1-96.09c12.12-13.26 35.06-13.26 47.19 0L239.6 138z"]],
    "arrow-up-arrow-down": [448, 512, ["sort-up-down"], "e099", ["M210.4 328.7c-13.03 11.95-13.9 32.22-1.969 45.27l87.1 96.09c12.12 13.26 35.06 13.26 47.19 0l87.1-96.09c11.94-13.05 11.06-33.31-1.969-45.27c-13.59-12.46-33.8-10.48-45.22 1.969L352 366.1V64.03C352 46.33 337.7 32 320 32s-32 14.33-32 32.03v302l-32.4-35.4C243.6 317.7 223.4 316.8 210.4 328.7z", "M16.41 138l87.1-96.09c12.12-13.26 35.06-13.26 47.19 0l87.1 96.09c11.94 13.05 11.06 33.31-1.969 45.27c-13.02 11.95-33.27 11.04-45.22-1.973L160 145.9v302C160 465.7 145.7 480 128 480s-32-14.33-32-32.03V145.9L63.6 181.3C52.17 193.8 31.97 195.8 18.38 183.3C5.348 171.4 4.473 151.1 16.41 138z"]],
    "arrow-up-big-small": [512, 512, ["sort-size-up"], "f88e", ["M416 320h-96c-17.6 0-32 14.4-32 32v96c0 17.6 14.4 32 32 32h96c17.6 0 32-14.4 32-32v-96C448 334.4 433.6 320 416 320zM480 32h-160c-17.67 0-32 14.33-32 32v160c0 17.67 14.33 32 32 32h160c17.67 0 32-14.33 32-32V64C512 46.33 497.7 32 480 32z", "M239.6 138c11.94 13.05 11.06 33.31-1.969 45.27c-6.141 5.629-13.89 8.414-21.61 8.414c-8.672 0-17.3-3.504-23.61-10.39L160 145.9v302C160 465.7 145.7 480 128 480s-32-14.33-32-32.03V145.9L63.6 181.3C51.64 194.3 31.39 195.3 18.38 183.3C5.348 171.4 4.473 151.1 16.41 138l87.1-96.09c12.12-13.26 35.06-13.26 47.19 0L239.6 138z"]],
    "arrow-up-from-arc": [512, 512, [], "e4b4", ["M64 256C64 362 149.1 448 256 448C362 448 448 362 448 256C448 238.3 462.3 224 480 224C497.7 224 512 238.3 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 238.3 14.33 224 32 224C49.67 224 64 238.3 64 256z", "M121.4 166.6C108.9 154.1 108.9 133.9 121.4 121.4L233.4 9.372C245.9-3.124 266.1-3.124 278.6 9.372L390.6 121.4C403.1 133.9 403.1 154.1 390.6 166.6C378.1 179.1 357.9 179.1 345.4 166.6L288 109.3V320C288 337.7 273.7 352 256 352C238.3 352 224 337.7 224 320V109.3L166.6 166.6C154.1 179.1 133.9 179.1 121.4 166.6H121.4z"]],
    "arrow-up-from-bracket": [448, 512, [], "e09a", ["M384 352v64c0 17.67-14.33 32-32 32H96c-17.67 0-32-14.33-32-32v-64c0-17.67-14.33-32-32-32s-32 14.33-32 32v64c0 53.02 42.98 96 96 96h256c53.02 0 96-42.98 96-96v-64c0-17.67-14.33-32-32-32S384 334.3 384 352z", "M246.6 9.375l128 128c12.5 12.5 12.5 32.75 0 45.25s-32.75 12.5-45.25 0L256 109.3V320c0 17.69-14.31 32-32 32s-32-14.31-32-32V109.3L118.6 182.6c-12.5 12.5-32.75 12.5-45.25 0c-12.49-12.49-12.51-32.74 0-45.25l128-128C213.9-3.125 234.1-3.125 246.6 9.375z"]],
    "arrow-up-from-dotted-line": [448, 512, [], "e09b", ["M32 416c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S49.67 416 32 416zM128 416c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S145.7 416 128 416zM224 416c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S241.7 416 224 416zM320 416c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S337.7 416 320 416zM416 416c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S433.7 416 416 416z", "M374.6 214.6C368.4 220.9 360.2 224 352 224s-16.38-3.125-22.62-9.375L256 141.3V320c0 17.69-14.31 32-32 32s-32-14.31-32-32V141.3L118.6 214.6c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l128-128c12.5-12.5 32.75-12.5 45.25 0l128 128C387.1 181.9 387.1 202.1 374.6 214.6z"]],
    "arrow-up-from-ground-water": [576, 512, [], "e4b5", ["M48 192H192V416.5C172.1 416.4 150.8 408.5 132.9 396.1C109.1 379.4 77.01 380.8 54.78 399.5C44.18 408.3 30.59 415.1 17.49 418.1C11.19 419.6 5.326 421.9 0 425V240C0 213.5 21.49 192 48 192V192zM558.5 418.1C545.4 415.1 531.8 408.3 521.2 399.5C499 380.8 466.9 379.4 443.2 396.1C425.2 408.5 403 416.5 384 416.5C383.1 416.5 384 416.5 384 416.5V192H528C554.5 192 576 213.5 576 240V425C570.7 421.9 564.8 419.6 558.5 418.1V418.1z", "M320 319.1C320 337.7 305.7 352 287.1 352C270.3 352 255.1 337.7 255.1 319.1V109.3L230.6 134.6C218.1 147.1 197.9 147.1 185.4 134.6C172.9 122.1 172.9 101.9 185.4 89.37L265.4 9.372C277.9-3.124 298.1-3.124 310.6 9.372L390.6 89.37C403.1 101.9 403.1 122.1 390.6 134.6C378.1 147.1 357.9 147.1 345.4 134.6L320 109.3V319.1zM384 448C410.9 448 439.4 437.2 461.4 421.9L461.5 421.9C473.4 413.4 489.5 414.1 500.7 423.6C515 435.5 533.2 444.6 551.3 448.8C568.5 452.8 579.2 470.1 575.2 487.3C571.2 504.5 553.1 515.2 536.7 511.2C512.2 505.4 491.9 494.6 478.5 486.2C449.5 501.7 417 512 384 512C352.1 512 323.4 502.1 303.6 493.1C297.7 490.5 292.5 487.8 288 485.4C283.5 487.8 278.3 490.5 272.4 493.1C252.6 502.1 223.9 512 192 512C158.1 512 126.5 501.7 97.5 486.2C84.12 494.6 63.79 505.4 39.27 511.2C22.06 515.2 4.853 504.5 .8422 487.3C-3.169 470.1 7.532 452.8 24.74 448.8C42.84 444.6 60.96 435.5 75.31 423.6C86.46 414.1 102.6 413.4 114.5 421.9L114.6 421.9C136.7 437.2 165.1 448 192 448C219.5 448 247 437.4 269.5 421.9C280.6 414 295.4 414 306.5 421.9C328.1 437.4 356.5 448 384 448H384z"]],
    "arrow-up-from-line": [384, 512, [8613, "arrow-from-bottom"], "f342", ["M352 416H32c-17.69 0-32 14.31-32 32s14.31 32 32 32h320c17.69 0 32-14.31 32-32S369.7 416 352 416z", "M41.38 214.6c-12.5-12.5-12.5-32.75 0-45.25l128-128c12.5-12.5 32.75-12.5 45.25 0l128 128c12.5 12.5 12.5 32.75 0 45.25C336.4 220.9 328.2 224 320 224s-16.38-3.125-22.62-9.375L224 141.3V320c0 17.69-14.31 32-32 32s-32-14.31-32-32V141.3L86.63 214.6C74.13 227.1 53.88 227.1 41.38 214.6z"]],
    "arrow-up-from-square": [512, 512, [], "e09c", ["M512 160v288c0 35.28-28.72 64-64 64H64c-35.28 0-64-28.72-64-64V160c0-35.28 28.72-64 64-64h32v63.92L64 160v288h384V160l-32-.0824V96h32C483.3 96 512 124.7 512 160z", "M167.8 159.7c8.895 0 17.63-3.711 23.76-10.39L224 113.9V320c0 17.7 14.33 32.02 32 32.02S288 337.7 288 320V113.9l32.4 35.39c6.321 6.881 14.96 10.38 23.63 10.38c17.65 0 31.97-14.29 31.97-32.01c0-7.734-2.781-15.51-8.409-21.66l-87.1-96.09C273.5 3.314 264.8-.0002 256-.0002S238.5 3.314 232.4 9.945l-87.1 96.09c-5.628 6.152-8.409 13.93-8.409 21.66C135.1 145.4 150.3 159.7 167.8 159.7z"]],
    "arrow-up-from-water-pump": [576, 512, [], "e4b6", ["M240 0C266.5 0 288 21.49 288 48V256H528C554.5 256 576 277.5 576 304V400C576 408 574 415.6 570.6 422.2C566.8 420.5 562.7 419.1 558.5 418.1C545.4 415.1 531.8 408.3 521.2 399.5C499 380.8 466.9 379.4 443.2 396.1C425.2 408.5 403 416.5 384 416.5C364.4 416.5 343.2 408.8 324.8 396.1C302.8 380.6 273.3 380.6 251.2 396.1C234 407.9 213.2 416.5 192 416.5C172.1 416.5 150.8 408.5 132.9 396.1C109.1 379.4 77.01 380.8 54.78 399.5C44.18 408.3 30.59 415.1 17.49 418.1C13.27 419.1 9.239 420.5 5.439 422.2C1.965 415.6 0 408 0 400V304C0 277.5 21.49 256 48 256H64V48C64 21.49 85.49 0 112 0H240z", "M505.4 134.6L480 109.3V255.1H416V109.3L390.6 134.6C378.1 147.1 357.9 147.1 345.4 134.6C332.9 122.1 332.9 101.9 345.4 89.37L425.4 9.372C437.9-3.124 458.1-3.124 470.6 9.372L550.6 89.37C563.1 101.9 563.1 122.1 550.6 134.6C538.1 147.1 517.9 147.1 505.4 134.6H505.4zM384 448C410.9 448 439.4 437.2 461.4 421.9L461.5 421.9C473.4 413.4 489.5 414.1 500.7 423.6C515 435.5 533.2 444.6 551.3 448.8C568.5 452.8 579.2 470.1 575.2 487.3C571.2 504.5 553.1 515.2 536.7 511.2C512.2 505.4 491.9 494.6 478.5 486.2C449.5 501.7 417 512 384 512C352.1 512 323.4 502.1 303.6 493.1C297.7 490.5 292.5 487.8 288 485.4C283.5 487.8 278.3 490.5 272.4 493.1C252.6 502.1 223.9 512 192 512C158.1 512 126.5 501.7 97.5 486.2C84.12 494.6 63.79 505.4 39.27 511.2C22.06 515.2 4.853 504.5 .8422 487.3C-3.169 470.1 7.532 452.8 24.74 448.8C42.84 444.6 60.96 435.5 75.31 423.6C86.46 414.1 102.6 413.4 114.5 421.9L114.6 421.9C136.7 437.2 165.1 448 192 448C219.5 448 247 437.4 269.5 421.9C280.6 414 295.4 414 306.5 421.9C328.1 437.4 356.5 448 384 448H384z"]],
    "arrow-up-left": [320, 512, [], "e09d", ["M310.6 406.6C304.4 412.9 296.2 416 288 416s-16.38-3.125-22.62-9.375L64 205.3V160h45.25l201.4 201.4C323.1 373.9 323.1 394.1 310.6 406.6z", "M32 384c-17.67 0-32-14.31-32-32V128c0-17.69 14.33-32 32-32h224c17.67 0 32 14.31 32 32s-14.33 32-32 32H64v192C64 369.7 49.67 384 32 384z"]],
    "arrow-up-left-from-circle": [512, 512, [], "e09e", ["M288 512c-109.8 0-202.8-78.53-220.9-186.7C64.16 307.9 75.94 291.4 93.34 288.4c17.72-3.156 33.94 8.844 36.88 26.25C143.2 391.9 209.5 448 288 448c88.22 0 160-71.78 160-160c0-78.47-56.06-144.8-133.3-157.8c-17.44-2.938-29.19-19.41-26.28-36.84C291.4 75.91 307.8 64 325.3 67.09C433.5 85.22 512 178.1 512 288C512 411.5 411.5 512 288 512z", "M333.3 336c12.5-12.5 12.5-32.77 0-45.26L109.3 63.99H192c17.67 0 31.99-14.33 31.99-31.1C223.1 14.32 209.7 0 192 0H32C23.16 0 15.16 3.578 9.371 9.367C3.578 15.16 0 23.16 0 31.1V192c0 17.67 14.32 31.1 31.99 31.1S63.99 209.7 63.99 192V109.2L288 336C300.5 348.5 320.8 348.5 333.3 336z"]],
    "arrow-up-long": [320, 512, ["long-arrow-up"], "f176", ["M192 109.3V480c0 17.69-14.31 32-32 32s-32-14.31-32-32V109.3l32-32L192 109.3z", "M288 192c-8.188 0-16.38-3.125-22.62-9.375L160 77.25L54.63 182.6c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l128-128c12.5-12.5 32.75-12.5 45.25 0l128 128c12.5 12.5 12.5 32.75 0 45.25C304.4 188.9 296.2 192 288 192z"]],
    "arrow-up-right": [320, 512, [], "e09f", ["M256 205.3l-201.4 201.4C48.38 412.9 40.19 416 32 416s-16.38-3.125-22.62-9.375c-12.5-12.5-12.5-32.75 0-45.25L210.8 160H256V205.3z", "M288 384c-17.67 0-32-14.31-32-32V160H64C46.33 160 32 145.7 32 128s14.33-32 32-32h224c17.67 0 32 14.31 32 32v224C320 369.7 305.7 384 288 384z"]],
    "arrow-up-right-and-arrow-down-left-from-center": [512, 512, [], "e0a0", ["M177.4 289.4L64 402.8V352c0-17.69-14.31-32-32-32s-32 14.31-32 32v128c0 4.164 .8477 8.312 2.465 12.22c3.24 7.832 9.479 14.07 17.31 17.31C23.69 511.2 27.84 512 32 512h128c17.69 0 32-14.31 32-32s-14.31-32-32-32H109.3l113.4-113.4c12.5-12.5 12.5-32.75 0-45.25S189.9 276.9 177.4 289.4z", "M509.5 19.78c-3.242-7.84-9.479-14.08-17.32-17.32C488.3 .8477 484.2 0 480 0h-128c-17.69 0-32 14.31-32 32s14.31 32 32 32h50.75l-113.4 113.4c-12.5 12.5-12.5 32.75 0 45.25c12.49 12.49 32.74 12.51 45.25 0L448 109.3V160c0 17.69 14.31 32 32 32s32-14.31 32-32V32C512 27.84 511.2 23.69 509.5 19.78z"]],
    "arrow-up-right-dots": [576, 512, [], "e4b7", ["M480 80C480 53.49 501.5 32 528 32C554.5 32 576 53.49 576 80C576 106.5 554.5 128 528 128C501.5 128 480 106.5 480 80zM352 208C352 181.5 373.5 160 400 160C426.5 160 448 181.5 448 208C448 234.5 426.5 256 400 256C373.5 256 352 234.5 352 208zM448 336C448 362.5 426.5 384 400 384C373.5 384 352 362.5 352 336C352 309.5 373.5 288 400 288C426.5 288 448 309.5 448 336zM352 464C352 437.5 373.5 416 400 416C426.5 416 448 437.5 448 464C448 490.5 426.5 512 400 512C373.5 512 352 490.5 352 464zM480 464C480 437.5 501.5 416 528 416C554.5 416 576 437.5 576 464C576 490.5 554.5 512 528 512C501.5 512 480 490.5 480 464zM320 336C320 362.5 298.5 384 272 384C245.5 384 224 362.5 224 336C224 309.5 245.5 288 272 288C298.5 288 320 309.5 320 336zM224 464C224 437.5 245.5 416 272 416C298.5 416 320 437.5 320 464C320 490.5 298.5 512 272 512C245.5 512 224 490.5 224 464zM192 464C192 490.5 170.5 512 144 512C117.5 512 96 490.5 96 464C96 437.5 117.5 416 144 416C170.5 416 192 437.5 192 464zM480 336C480 309.5 501.5 288 528 288C554.5 288 576 309.5 576 336C576 362.5 554.5 384 528 384C501.5 384 480 362.5 480 336zM576 208C576 234.5 554.5 256 528 256C501.5 256 480 234.5 480 208C480 181.5 501.5 160 528 160C554.5 160 576 181.5 576 208z", "M127.1 32C127.1 14.33 142.3 0 159.1 0H287.1C305.7 0 320 14.33 320 32V160C320 177.7 305.7 192 287.1 192C270.3 192 255.1 177.7 255.1 160V109.3L54.63 310.6C42.13 323.1 21.87 323.1 9.372 310.6C-3.124 298.1-3.124 277.9 9.372 265.4L210.7 64H159.1C142.3 64 127.1 49.67 127.1 32z"]],
    "arrow-up-right-from-square": [448, 512, ["external-link"], "f08e", ["M0 128C0 92.65 28.65 64 64 64H160C177.7 64 192 78.33 192 96C192 113.7 177.7 128 160 128H64V416H352V320C352 302.3 366.3 288 384 288C401.7 288 416 302.3 416 320V416C416 451.3 387.3 480 352 480H64C28.65 480 0 451.3 0 416V128z", "M256 64C256 46.33 270.3 32 288 32H416C433.7 32 448 46.33 448 64V192C448 209.7 433.7 224 416 224C398.3 224 384 209.7 384 192V141.3L214.6 310.6C202.1 323.1 181.9 323.1 169.4 310.6C156.9 298.1 156.9 277.9 169.4 265.4L338.7 96H288C270.3 96 256 81.67 256 64z"]],
    "arrow-up-short-wide": [576, 512, ["sort-amount-up-alt"], "f885", ["M544 416h-223.1c-17.67 0-32 14.33-32 32s14.33 32 32 32H544c17.67 0 32-14.33 32-32S561.7 416 544 416zM320 96h32c17.67 0 31.1-14.33 31.1-32s-14.33-32-31.1-32h-32c-17.67 0-32 14.33-32 32S302.3 96 320 96zM320 224H416c17.67 0 32-14.33 32-32s-14.33-32-32-32h-95.1c-17.67 0-32 14.33-32 32S302.3 224 320 224zM320 352H480c17.67 0 32-14.33 32-32s-14.33-32-32-32h-159.1c-17.67 0-32 14.33-32 32S302.3 352 320 352z", "M239.6 138c11.94 13.05 11.06 33.31-1.969 45.27C224.6 195.3 204.4 194.3 192.4 181.3L160 145.9v302C160 465.7 145.7 480 128 480S96 465.7 96 447.1V145.9L63.6 181.3c-6.312 6.883-14.94 10.39-23.61 10.39c-7.719 0-15.47-2.785-21.61-8.414C5.35 171.4 4.475 151.1 16.41 138l87.1-96.09c12.12-13.26 35.06-13.26 47.19 0L239.6 138z"]],
    "arrow-up-small-big": [512, 512, ["sort-size-up-alt"], "f88f", ["M480 256h-160c-17.67 0-32 14.33-32 32v160c0 17.67 14.33 32 32 32h160c17.67 0 32-14.33 32-32V288C512 270.3 497.7 256 480 256zM320 192h96c17.6 0 32-14.4 32-32V64c0-17.6-14.4-32-32-32h-96c-17.6 0-32 14.4-32 32v96C288 177.6 302.4 192 320 192z", "M239.6 138c11.94 13.05 11.06 33.31-1.969 45.27c-6.141 5.629-13.89 8.414-21.61 8.414c-8.672 0-17.3-3.504-23.61-10.39L160 145.9v302C160 465.7 145.7 480 128 480s-32-14.33-32-32.03V145.9L63.6 181.3C51.64 194.3 31.39 195.3 18.38 183.3C5.348 171.4 4.473 151.1 16.41 138l87.1-96.09c12.12-13.26 35.06-13.26 47.19 0L239.6 138z"]],
    "arrow-up-square-triangle": [512, 512, ["sort-shapes-up-alt"], "f88b", ["M320 224h128c17.67 0 32-14.33 32-32V64c0-17.67-14.33-32-32-32h-128c-17.67 0-31.1 14.33-31.1 32v128C288 209.7 302.3 224 320 224zM492.1 438.9l-83.13-137.1c-11.12-18.38-38.75-18.38-49.88 0l-83.25 137.1c-11 18.25 2.75 41.13 25 41.13h166.3C489.4 480 503.1 457.1 492.1 438.9z", "M239.6 138c11.94 13.05 11.06 33.31-1.969 45.27C224 195.8 203.8 193.8 192.4 181.3L160 145.9v302C160 465.7 145.7 480 128 480s-32-14.33-32-32.03V145.9L63.6 181.3C51.64 194.3 31.39 195.3 18.38 183.3C5.348 171.4 4.473 151.1 16.41 138l87.1-96.09c12.12-13.26 35.06-13.26 47.19 0L239.6 138z"]],
    "arrow-up-to-dotted-line": [448, 512, [], "e0a1", ["M416 95.1c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S398.3 95.1 416 95.1zM320 95.1c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S302.3 95.1 320 95.1zM224 95.1c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S206.3 95.1 224 95.1zM128 95.1c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S110.3 95.1 128 95.1zM32 95.1c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S14.33 95.1 32 95.1z", "M374.6 326.6C368.4 332.9 360.2 336 352 336s-16.38-3.125-22.62-9.375L256 253.3V432c0 17.69-14.31 32-32 32s-32-14.31-32-32V253.3l-73.38 73.38c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l128-128c12.5-12.5 32.75-12.5 45.25 0l128 128C387.1 293.9 387.1 314.1 374.6 326.6z"]],
    "arrow-up-to-line": [384, 512, ["arrow-to-top"], "f341", ["M32 96h320c17.69 0 32-14.31 32-32s-14.31-32-32-32H32C14.31 32 0 46.31 0 64S14.31 96 32 96z", "M41.38 342.6c-12.5-12.5-12.5-32.75 0-45.25l128-128c12.5-12.5 32.75-12.5 45.25 0l128 128c12.5 12.5 12.5 32.75 0 45.25C336.4 348.9 328.2 352 320 352s-16.38-3.125-22.62-9.375L224 269.3V448c0 17.69-14.31 32-32 32s-32-14.31-32-32V269.3l-73.38 73.38C74.13 355.1 53.88 355.1 41.38 342.6z"]],
    "arrow-up-triangle-square": [512, 512, ["sort-shapes-up"], "f88a", ["M448 288h-128c-17.67 0-31.1 14.33-31.1 32V448c0 17.67 14.33 32 31.1 32h128c17.67 0 32-14.33 32-32v-127.1C480 302.3 465.7 288 448 288zM492.1 182.9l-83.13-137.1c-11.12-18.38-38.75-18.38-49.88 0l-83.25 137.1c-11 18.25 2.75 41.12 25 41.12h166.3C489.4 224 503.1 201.1 492.1 182.9z", "M239.6 138c11.94 13.05 11.06 33.31-1.969 45.27C224 195.8 203.8 193.8 192.4 181.3L160 145.9v302C160 465.7 145.7 480 128 480s-32-14.33-32-32.03V145.9L63.6 181.3C51.64 194.3 31.39 195.3 18.38 183.3C5.348 171.4 4.473 151.1 16.41 138l87.1-96.09c12.12-13.26 35.06-13.26 47.19 0L239.6 138z"]],
    "arrow-up-wide-short": [576, 512, ["sort-amount-up"], "f161", ["M416 288h-95.1c-17.67 0-32 14.33-32 32s14.33 32 32 32H416c17.67 0 32-14.33 32-32S433.7 288 416 288zM352 416h-32c-17.67 0-32 14.33-32 32s14.33 32 32 32h32c17.67 0 31.1-14.33 31.1-32S369.7 416 352 416zM480 160h-159.1c-17.67 0-32 14.33-32 32s14.33 32 32 32H480c17.67 0 32-14.33 32-32S497.7 160 480 160zM544 32h-223.1c-17.67 0-32 14.33-32 32s14.33 32 32 32H544c17.67 0 32-14.33 32-32S561.7 32 544 32z", "M239.6 138c11.94 13.05 11.06 33.31-1.969 45.27C224.6 195.3 204.4 194.3 192.4 181.3L160 145.9v302C160 465.7 145.7 480 128 480S96 465.7 96 447.1V145.9L63.6 181.3c-6.312 6.883-14.94 10.39-23.61 10.39c-7.719 0-15.47-2.785-21.61-8.414C5.35 171.4 4.475 151.1 16.41 138l87.1-96.09c12.12-13.26 35.06-13.26 47.19 0L239.6 138z"]],
    "arrow-up-z-a": [512, 512, ["sort-alpha-up-alt"], "f882", ["M320 96h50.75l-73.38 73.38c-9.156 9.156-11.89 22.91-6.938 34.88s16.63 19.74 29.56 19.74h127.1C465.7 223.1 480 209.7 480 192s-14.33-32-32-32h-50.75l73.38-73.38c9.156-9.156 11.89-22.91 6.938-34.88S460.9 32 447.1 32h-127.1C302.3 32 288 46.31 288 64S302.3 96 320 96zM492.6 433.3l-79.99-160.1c-10.84-21.81-46.4-21.81-57.24 0l-79.99 160.1c-7.906 15.91-1.5 35.24 14.31 43.19c15.87 7.922 35.04 1.477 42.93-14.4l7.154-14.39h88.43l7.154 14.39c6.174 12.43 23.97 23.87 42.93 14.4C494.1 468.6 500.5 449.2 492.6 433.3zM367.8 391.4L384 358.7l16.22 32.63H367.8z", "M239.6 138c11.94 13.05 11.06 33.31-1.969 45.27c-6.141 5.629-13.89 8.414-21.61 8.414c-8.672 0-17.3-3.504-23.61-10.39L160 145.9v302C160 465.7 145.7 480 128 480S96 465.7 96 447.1V145.9L63.6 181.3C51.64 194.3 31.39 195.3 18.38 183.3C5.348 171.4 4.473 151.1 16.41 138l87.1-96.09c12.12-13.26 35.06-13.26 47.19 0L239.6 138z"]],
    "arrows-cross": [448, 512, [], "e0a2", ["M54.63 41.38c-12.5-12.5-32.75-12.5-45.25 0c-12.49 12.49-12.51 32.74 0 45.25L178.8 256L224 210.8L54.63 41.38zM416 288c-17.69 0-32 14.31-32 32v50.75L269.3 256L224 301.3L338.8 416H288c-17.69 0-32 14.31-32 32s14.31 32 32 32h128c4.164 0 8.312-.8477 12.22-2.461c7.84-3.242 14.08-9.48 17.32-17.32C447.2 456.3 448 452.2 448 448v-128C448 302.3 433.7 288 416 288z", "M445.5 51.78c-3.242-7.84-9.479-14.08-17.32-17.32C424.3 32.85 420.2 32 416 32h-128c-17.69 0-32 14.31-32 32s14.31 32 32 32h50.75L9.375 425.4c-12.5 12.5-12.5 32.75 0 45.25c12.49 12.49 32.74 12.51 45.25 0L384 141.3V192c0 17.69 14.31 32 32 32s32-14.31 32-32V64C448 59.84 447.2 55.69 445.5 51.78z"]],
    "arrows-down-to-line": [576, 512, [], "e4b8", ["M544 480H32C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416H544C561.7 416 576 430.3 576 448C576 465.7 561.7 480 544 480z", "M521.4 233.4C533.9 220.9 554.1 220.9 566.6 233.4C579.1 245.9 579.1 266.1 566.6 278.6L470.6 374.6C458.1 387.1 437.9 387.1 425.4 374.6L329.4 278.6C316.9 266.1 316.9 245.9 329.4 233.4C341.9 220.9 362.1 220.9 374.6 233.4L416 274.7V64C416 46.33 430.3 32 448 32C465.7 32 480 46.33 480 64V274.7L521.4 233.4zM201.4 233.4C213.9 220.9 234.1 220.9 246.6 233.4C259.1 245.9 259.1 266.1 246.6 278.6L150.6 374.6C138.1 387.1 117.9 387.1 105.4 374.6L9.372 278.6C-3.124 266.1-3.124 245.9 9.372 233.4C21.87 220.9 42.13 220.9 54.63 233.4L96 274.7V64C96 46.33 110.3 32 128 32C145.7 32 160 46.33 160 64V274.7L201.4 233.4z"]],
    "arrows-down-to-people": [640, 512, [], "e4b9", ["M359.1 200C359.1 222.1 342.1 240 319.1 240C297.9 240 279.1 222.1 279.1 200C279.1 177.9 297.9 160 319.1 160C342.1 160 359.1 177.9 359.1 200zM183.1 296C183.1 318.1 166.1 336 143.1 336C121.9 336 103.1 318.1 103.1 296C103.1 273.9 121.9 256 143.1 256C166.1 256 183.1 273.9 183.1 296zM455.1 296C455.1 273.9 473.9 256 495.1 256C518.1 256 535.1 273.9 535.1 296C535.1 318.1 518.1 336 495.1 336C473.9 336 455.1 318.1 455.1 296zM199.1 480C199.1 497.7 185.7 512 167.1 512H119.1C102.3 512 87.1 497.7 87.1 480V441.5L61.13 491.4C54.84 503 40.29 507.4 28.62 501.1C16.95 494.8 12.58 480.3 18.87 468.6L56.74 398.3C72.09 369.8 101.9 352 134.2 352H153.8C170.1 352 185.7 356.5 199.2 364.6L232.7 302.3C248.1 273.8 277.9 256 310.2 256H329.8C362.1 256 391.9 273.8 407.3 302.3L440.8 364.6C454.3 356.5 469.9 352 486.2 352H505.8C538.1 352 567.9 369.8 583.3 398.3L621.1 468.6C627.4 480.3 623 494.8 611.4 501.1C599.7 507.4 585.1 503 578.9 491.4L551.1 441.5V480C551.1 497.7 537.7 512 519.1 512H471.1C454.3 512 439.1 497.7 439.1 480V441.5L413.1 491.4C406.8 503 392.3 507.4 380.6 501.1C368.9 494.8 364.6 480.3 370.9 468.6L407.2 401.1C405.5 399.5 404 397.6 402.9 395.4L375.1 345.5V400C375.1 417.7 361.7 432 343.1 432H295.1C278.3 432 263.1 417.7 263.1 400V345.5L237.1 395.4C235.1 397.6 234.5 399.5 232.8 401.1L269.1 468.6C275.4 480.3 271 494.8 259.4 501.1C247.7 507.4 233.1 503 226.9 491.4L199.1 441.5L199.1 480z", "M168 24V142.1L191 119C200.4 109.7 215.6 109.7 224.1 119C234.3 128.4 234.3 143.6 224.1 152.1L160.1 216.1C151.6 226.3 136.4 226.3 127 216.1L63.03 152.1C53.66 143.6 53.66 128.4 63.03 119C72.4 109.7 87.6 109.7 96.97 119L120 142.1V24C120 10.75 130.7 0 144 0C157.3 0 168 10.75 168 24V24zM415 152.1C405.7 143.6 405.7 128.4 415 119C424.4 109.7 439.6 109.7 448.1 119L472 142.1V24C472 10.75 482.7 0 496 0C509.3 0 520 10.75 520 24V142.1L543 119C552.4 109.7 567.6 109.7 576.1 119C586.3 128.4 586.3 143.6 576.1 152.1L512.1 216.1C503.6 226.3 488.4 226.3 479 216.1L415 152.1z"]],
    "arrows-from-dotted-line": [448, 512, [], "e0a3", ["M32 223.1c-17.67 0-32 14.33-32 32S14.33 287.1 32 287.1s32-14.33 32-32S49.67 223.1 32 223.1zM224 287.1c17.67 0 32-14.33 32-32s-14.33-32-32-32S192 238.3 192 255.1S206.3 287.1 224 287.1zM160 255.1c0-17.67-14.33-32-32-32S96 238.3 96 255.1S110.3 287.1 128 287.1S160 273.7 160 255.1zM416 223.1c-17.67 0-32 14.33-32 32S398.3 287.1 416 287.1s32-14.33 32-32S433.7 223.1 416 223.1zM320 223.1c-17.67 0-32 14.33-32 32S302.3 287.1 320 287.1s32-14.33 32-32S337.7 223.1 320 223.1z", "M160 127.1c8.188 0 16.38-3.125 22.62-9.376L192 109.2v50.75c0 17.69 14.31 32.01 32 32.01s32-14.32 32-32.01V109.2l9.375 9.376C271.6 124.8 279.8 127.1 288 127.1c18.28 0 32-14.94 32-31.99c0-8.188-3.125-16.39-9.375-22.64L246.7 9.374C238.6 1.302 228.9 0 223.1 0C219.1 0 209.4 1.276 201.3 9.374L137.4 73.34C131.1 79.59 128 87.79 128 95.98C128 113 141.7 127.1 160 127.1zM288 383.1c-8.188 0-16.38 3.125-22.62 9.376L256 402.7v-50.75c0-17.69-14.31-31.1-32-31.1s-32 14.31-32 31.1v50.75l-9.375-9.376C176.4 387.1 168.2 383.1 160 383.1c-18.28 0-32 14.95-32 32c0 8.188 3.125 16.37 9.375 22.62l63.96 63.97C209.3 510.6 219.1 512 224 512c4.847 0 14.65-1.371 22.67-9.415l63.96-63.97C316.9 432.4 320 424.2 320 415.1C320 398.9 306.3 383.1 288 383.1z"]],
    "arrows-from-line": [448, 512, [], "e0a4", ["M32 287.1h384c17.69 0 32-14.3 32-31.99s-14.31-32.01-32-32.01H32c-17.69 0-32 14.33-32 32.01S14.31 287.1 32 287.1z", "M160 127.1c8.188 0 16.38-3.125 22.62-9.375L192 109.2v50.75c0 17.69 14.31 32.01 32 32.01s32-14.32 32-32.01V109.2l9.375 9.375C271.6 124.8 279.8 127.1 288 127.1c18.28 0 32-14.93 32-31.99c0-8.188-3.125-16.39-9.375-22.64L246.7 9.374C238.6 1.302 228.9 0 223.1 0C219.1 0 209.4 1.277 201.3 9.374L137.4 73.34C131.1 79.59 128 87.79 128 95.98C128 113 141.7 127.1 160 127.1zM288 383.1c-8.188 0-16.38 3.127-22.62 9.377L256 402.7v-50.76c0-17.69-14.31-31.1-32-31.1s-32 14.31-32 31.1v50.76l-9.375-9.375C176.4 387.1 168.2 383.1 160 383.1c-18.28 0-32 14.95-32 32.01c0 8.188 3.125 16.37 9.375 22.62l63.96 63.97C209.3 510.6 219.1 512 224 512c4.847 0 14.65-1.37 22.67-9.414l63.96-63.97C316.9 432.4 320 424.2 320 415.1C320 398.9 306.3 383.1 288 383.1z"]],
    "arrows-left-right": [512, 512, ["arrows-h"], "f07e", ["M361.4 182.6c-12.5-12.5-12.5-32.75 0-45.25C367.6 131.1 375.8 128 384 128s16.38 3.125 22.62 9.375l96 96c12.5 12.5 12.5 32.75 0 45.25l-96 96c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25L402.8 288H256V224h146.8L361.4 182.6z", "M150.6 329.4c12.5 12.5 12.5 32.75 0 45.25C144.4 380.9 136.2 384 128 384s-16.38-3.125-22.62-9.375l-96-96c-12.5-12.5-12.5-32.75 0-45.25l96-96c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L109.3 224H256v64H109.3L150.6 329.4z"]],
    "arrows-left-right-to-line": [640, 512, [], "e4ba", ["M64 416C64 433.7 49.67 448 32 448C14.33 448 0 433.7 0 416V96C0 78.33 14.33 64 32 64C49.67 64 64 78.33 64 96V416zM640 416C640 433.7 625.7 448 608 448C590.3 448 576 433.7 576 416V96C576 78.33 590.3 64 608 64C625.7 64 640 78.33 640 96V416z", "M246.6 137.4C259.1 149.9 259.1 170.1 246.6 182.6L205.3 223.1H434.7L393.4 182.6C380.9 170.1 380.9 149.9 393.4 137.4C405.9 124.9 426.1 124.9 438.6 137.4L534.6 233.4C547.1 245.9 547.1 266.1 534.6 278.6L438.6 374.6C426.1 387.1 405.9 387.1 393.4 374.6C380.9 362.1 380.9 341.9 393.4 329.4L434.7 288H205.3L246.6 329.4C259.1 341.9 259.1 362.1 246.6 374.6C234.1 387.1 213.9 387.1 201.4 374.6L105.4 278.6C92.88 266.1 92.88 245.9 105.4 233.4L201.4 137.4C213.9 124.9 234.1 124.9 246.6 137.4V137.4z"]],
    "arrows-maximize": [448, 512, ["expand-arrows"], "f31d", ["M109.3 96H160c17.69 0 32-14.31 32-32S177.7 32 160 32H32C27.84 32 23.69 32.85 19.78 34.46C11.94 37.7 5.705 43.94 2.463 51.78C.8477 55.69 0 59.84 0 64v128c0 17.69 14.31 32 32 32s32-14.31 32-32V141.3L178.8 256L224 210.8L109.3 96zM416 288c-17.69 0-32 14.31-32 32v50.75L269.3 256L224 301.3L338.8 416H288c-17.69 0-32 14.31-32 32s14.31 32 32 32h128c4.164 0 8.312-.8477 12.22-2.461c7.84-3.242 14.08-9.48 17.32-17.32C447.2 456.3 448 452.2 448 448v-128C448 302.3 433.7 288 416 288z", "M416 224c17.69 0 32-14.31 32-32V64c0-4.164-.8477-8.312-2.463-12.22c-3.242-7.84-9.479-14.08-17.32-17.32C424.3 32.85 420.2 32 416 32h-128c-17.69 0-32 14.31-32 32s14.31 32 32 32h50.75L64 370.8V320c0-17.69-14.31-32-32-32s-32 14.31-32 32v128c0 4.164 .8477 8.312 2.461 12.22c3.242 7.84 9.48 14.08 17.32 17.32C23.69 479.2 27.84 480 32 480h128c17.69 0 32-14.31 32-32s-14.31-32-32-32H109.3L384 141.3V192C384 209.7 398.3 224 416 224z"]],
    "arrows-minimize": [512, 512, ["compress-arrows"], "e0a5", ["M204.2 290.5C200.3 288.8 196.2 288 192 288H64c-17.69 0-32 14.31-32 32s14.31 32 32 32h50.75l-105.4 105.4c-12.5 12.5-12.5 32.75 0 45.25s32.75 12.5 45.25 0L160 397.3V448c0 17.69 14.31 32 32 32s32-14.31 32-32v-128c0-4.164-.8477-8.312-2.465-12.22C218.3 299.9 212.1 293.7 204.2 290.5zM502.6 9.375c-12.49-12.49-32.74-12.51-45.25 0L352 114.8V64c0-17.69-14.31-32-32-32s-32 14.31-32 32v128c0 4.164 .8477 8.312 2.463 12.22c3.242 7.84 9.479 14.08 17.32 17.32C311.7 223.2 315.8 224 320 224h128c17.69 0 32-14.31 32-32s-14.31-32-32-32h-50.75l105.4-105.4C515.1 42.13 515.1 21.88 502.6 9.375z", "M192 32C174.3 32 160 46.31 160 64v50.75L54.63 9.375c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25L114.8 160H64C46.31 160 32 174.3 32 192s14.31 32 32 32h128c4.164 0 8.312-.8477 12.22-2.465C212.1 218.3 218.3 212.1 221.5 204.2C223.2 200.3 224 196.2 224 192V64C224 46.31 209.7 32 192 32zM397.3 352H448c17.69 0 32-14.31 32-32s-14.31-32-32-32h-128c-4.164 0-8.312 .8477-12.22 2.461c-7.84 3.242-14.08 9.48-17.32 17.32C288.8 311.7 288 315.8 288 320v128c0 17.69 14.31 32 32 32s32-14.31 32-32v-50.75l105.4 105.4c12.5 12.5 32.75 12.5 45.25 0c12.49-12.49 12.51-32.74 0-45.25L397.3 352z"]],
    "arrows-repeat": [512, 512, ["repeat-alt"], "f364", ["M490.1 257.7C486.8 256.5 483.3 256 479.1 256c-13.41 0-25.89 8.469-30.36 21.88C434.9 322.2 393.5 352 346.8 352H173.2l41.38-41.38c12.5-12.5 12.5-32.75 0-45.25c-12.49-12.49-32.74-12.51-45.25 0l-95.1 96c-12.5 12.5-12.5 32.75 0 45.25l95.1 96c12.5 12.5 32.75 12.5 45.25 0s12.5-32.75 0-45.25L173.2 416h173.6c74.33 0 140-47.38 163.5-117.9C515.9 281.3 506.9 263.2 490.1 257.7z", "M165.2 160h173.6l-41.38 41.38c-12.5 12.5-12.5 32.75 0 45.25c12.49 12.49 32.74 12.51 45.25 0l95.1-96c12.5-12.5 12.5-32.75 0-45.25l-95.1-96c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25L338.8 96H165.2C90.87 96 25.15 143.4 1.652 213.9C-3.941 230.7 5.121 248.8 21.9 254.3C25.25 255.5 28.66 256 32.01 256c13.41 0 25.89-8.469 30.36-21.88C77.13 189.8 118.5 160 165.2 160z"]],
    "arrows-repeat-1": [512, 512, ["repeat-1-alt"], "f366", ["M165.2 160H416c17.67 0 31.99-14.31 31.99-32c0-8.188-3.115-16.38-9.365-22.62l-95.1-96C336.4 3.125 328.2 0 320 0c-17.05 0-31.1 13.73-31.1 32c0 8.188 3.125 16.38 9.375 22.62L338.8 96H165.2c-130.1 0-165.2 119.2-165.2 128C-.0003 241.7 14.39 256 32.01 256c13.41 0 25.89-8.469 30.36-21.88C77.13 189.8 118.5 160 165.2 160zM479.1 256c-13.41 0-25.89 8.469-30.36 21.88C434.9 322.2 393.5 352 346.8 352H96c-17.67 0-31.99 14.31-31.99 32c0 8.188 3.115 16.38 9.365 22.62l95.1 96C175.6 508.9 183.8 512 191.1 512c17.05 0 31.1-13.73 31.1-32c0-8.188-3.125-16.38-9.375-22.62L173.2 416h173.6c130.1 0 165.2-119.2 165.2-128C512 270.3 497.6 256 479.1 256z", "M264 320C277.3 320 288 309.3 288 296v-80c0-13.31-10.8-24.01-24.01-24.01c-2.546 0-5.111 .411-7.589 1.226l-24 8C222.3 204.6 215.1 213.9 215.1 223.1C215.1 237.3 226.8 248 240 248v48C240 309.3 250.8 320 264 320z"]],
    "arrows-retweet": [640, 512, ["retweet-alt"], "f361", ["M630.6 342.6l-96 96C528.4 444.9 520.2 448 512 448s-16.38-3.125-22.63-9.375l-96-96c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L480 338.8V176C480 167.2 472.8 160 464 160h-128c-17.67 0-32-14.31-32-32s14.33-32 32-32h128C508.1 96 544 131.9 544 176v162.8l41.38-41.38c12.5-12.5 32.75-12.5 45.25 0S643.1 330.1 630.6 342.6z", "M304 352h-128C167.2 352 160 344.8 160 336V173.3l41.38 41.38C207.6 220.9 215.8 224 224 224s16.38-3.125 22.62-9.375c12.5-12.5 12.5-32.75 0-45.25l-96-96c-12.5-12.5-32.75-12.5-45.25 0l-96 96c-12.5 12.5-12.5 32.75 0 45.25s32.75 12.5 45.25 0L96 173.3V336C96 380.1 131.9 416 176 416h128c17.67 0 32-14.31 32-32S321.7 352 304 352z"]],
    "arrows-rotate": [512, 512, [128472, "refresh", "sync"], "f021", ["M462.4 329.8C433.4 419.7 350.4 480 255.1 480C184.6 480 119.9 445.5 80 389.9V464c0 17.69-14.33 32-32 32s-32-14.31-32-32V320c0-17.69 14.33-32 32-32h128c17.67 0 32 14.31 32 32s-14.33 32-32 32H131.6C159.7 391.5 205.5 416 256 416c66.58 0 125.1-42.53 145.5-105.8c5.422-16.78 23.38-26.03 40.3-20.59C458.6 294.1 467.9 313 462.4 329.8z", "M496 48V192c0 17.69-14.33 32-32 32h-128c-17.67 0-32-14.31-32-32s14.33-32 32-32h44.38C352.3 120.5 306.5 96 256 96C189.4 96 130.9 138.5 110.5 201.8C105.1 218.6 87.08 227.9 70.19 222.4c-16.81-5.406-26.05-23.47-20.61-40.28C78.59 92.34 161.5 32 256 32c71.36 0 136.1 34.52 176 90.09V48c0-17.69 14.33-32 32-32S496 30.31 496 48z"]],
    "arrows-spin": [512, 512, [], "e4bb", ["M177.4 49.38C186.2 49.38 193.4 56.54 193.4 65.38V170.7C193.4 185 176.1 192.1 166.1 182.1L135.5 151.5C111.6 179.5 97.14 215.8 97.14 255.5C97.14 266.7 98.27 277.5 100.4 288H35.47C33.93 277.4 33.14 266.6 33.14 255.5C33.14 198.2 54.71 145.8 90.18 106.2L60.69 76.69C50.61 66.61 57.74 49.38 71.1 49.38H177.4zM348.2 332.2L377.2 361.2C402.1 333.1 417.1 296.1 417.1 255.5C417.1 244.7 416.1 234.2 414 224H478.9C480.4 234.3 481.1 244.8 481.1 255.5C481.1 313.7 458.9 366.7 422.6 406.6L453.6 437.6C463.7 447.7 456.5 464.9 442.3 464.9H336.9C328.1 464.9 320.9 457.7 320.9 448.9V343.5C320.9 329.3 338.1 322.1 348.2 332.2L348.2 332.2z", "M257.1 95.53C245.8 95.53 234.7 96.72 224 98.97V33.97C234.8 32.36 245.9 31.53 257.1 31.53C315.3 31.53 368.3 53.72 408.2 90.11L437.6 60.69C447.7 50.61 464.9 57.75 464.9 72V177.4C464.9 186.2 457.7 193.4 448.9 193.4H343.5C329.3 193.4 322.1 176.1 332.2 166.1L362.9 135.4C334.7 110.6 297.7 95.53 257.1 95.53L257.1 95.53zM182.1 348.2L153.1 377.1C181.1 401.1 217.4 415.5 257.1 415.5C267.7 415.5 278 414.5 288 412.6V477.4C277.9 478.8 267.6 479.5 257.1 479.5C199.8 479.5 147.4 457.1 107.8 422.5L76.69 453.6C66.61 463.7 49.37 456.5 49.37 442.3V336.9C49.37 328.1 56.54 320.9 65.37 320.9H170.7C184.1 320.9 192.1 338.1 182.1 348.2H182.1zM35.47 288H100.4z"]],
    "arrows-split-up-and-left": [512, 512, [], "e4bc", ["M246.6 150.6C234.1 163.1 213.9 163.1 201.4 150.6C188.9 138.1 188.9 117.9 201.4 105.4L297.4 9.372C309.9-3.124 330.1-3.124 342.6 9.372L438.6 105.4C451.1 117.9 451.1 138.1 438.6 150.6C426.1 163.1 405.9 163.1 393.4 150.6L352 109.3V384C352 336.6 326.3 295.3 288 273.1V109.3L246.6 150.6z", "M2.428 275.8C3.99 271.1 6.305 268.4 9.373 265.4L105.4 169.4C117.9 156.9 138.1 156.9 150.6 169.4C163.1 181.9 163.1 202.1 150.6 214.6L109.3 255.1H224C294.7 255.1 352 313.3 352 384C352 419.3 380.7 448 416 448H480C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512H416C345.3 512 288 454.7 288 384C288 348.7 259.3 319.1 224 319.1H109.3L150.6 361.4C163.1 373.9 163.1 394.1 150.6 406.6C138.1 419.1 117.9 419.1 105.4 406.6L9.38 310.6C9.378 310.6 9.383 310.6 9.38 310.6C9.358 310.6 9.327 310.6 9.305 310.6C3.575 304.8 .0259 296.9 .0003 288.1C0 288 0 287.1 .0003 287.9C.0128 283.8 .8221 279.6 2.428 275.8L2.428 275.8zM2.428 275.8C.8755 279.5 .0131 283.6 .0006 287.9C.0006 287.9 .0006 287.1 .0006 287.1C.0006 288 .0006 288.1 .0006 288.1L2.428 275.8zM.0006 288.1L2.428 275.8z"]],
    "arrows-to-circle": [640, 512, [], "e4bd", ["", "M9.372 9.372C21.87-3.124 42.13-3.124 54.63 9.372L159.1 114.7V95.1C159.1 78.33 174.3 63.1 191.1 63.1C209.7 63.1 223.1 78.33 223.1 95.1V191.1C223.1 196.3 223.1 200.5 221.6 204.2C220 207.1 217.7 211.5 214.7 214.6L214.6 214.7C211.5 217.7 207.1 220 204.2 221.6C200.5 223.1 196.3 223.1 191.1 223.1H95.1C78.33 223.1 63.1 209.7 63.1 191.1C63.1 174.3 78.33 159.1 95.1 159.1H114.7L9.372 54.63C-3.124 42.13-3.124 21.87 9.372 9.372V9.372zM96 352C78.33 352 64 337.7 64 320C64 302.3 78.33 288 96 288H192H192.1C200.9 288 208.8 291.6 214.6 297.3L214.7 297.4C217.7 300.5 220 304 221.6 307.8C223.1 311.5 224 315.7 224 319.1V416C224 433.7 209.7 448 192 448C174.3 448 160 433.7 160 416V397.3L54.63 502.6C42.13 515.1 21.87 515.1 9.373 502.6C-3.124 490.1-3.124 469.9 9.373 457.4L114.7 352L96 352zM448 64C465.7 64 480 78.33 480 96V114.7L585.4 9.373C597.9-3.124 618.1-3.124 630.6 9.373C643.1 21.87 643.1 42.13 630.6 54.63L525.3 160H544C561.7 160 576 174.3 576 192C576 209.7 561.7 224 544 224H448C439.2 224 431.2 220.4 425.4 214.7L425.3 214.6C422.3 211.5 419.1 207.1 418.4 204.2C416.9 200.5 416 196.4 416 192.1V191.1V96C416 78.33 430.3 64 448 64H448zM525.3 352L630.6 457.4C643.1 469.9 643.1 490.1 630.6 502.6C618.1 515.1 597.9 515.1 585.4 502.6L480 397.3V416C480 433.7 465.7 448 448 448C430.3 448 416 433.7 416 416V320C416 319.1 416 319.9 416 319.9C416 315.6 416.9 311.5 418.4 307.8C419.1 303.1 422.3 300.4 425.4 297.4C431.1 291.6 439.1 288 447.9 288C447.9 288 447.1 288 448 288H544C561.7 288 576 302.3 576 320C576 337.7 561.7 352 544 352L525.3 352zM384 256C384 291.3 355.3 320 320 320C284.7 320 256 291.3 256 256C256 220.7 284.7 192 320 192C355.3 192 384 220.7 384 256z"]],
    "arrows-to-dot": [512, 512, [], "e4be", ["", "M288 82.74L297.4 73.37C309.9 60.88 330.1 60.88 342.6 73.37C355.1 85.87 355.1 106.1 342.6 118.6L278.6 182.6C266.1 195.1 245.9 195.1 233.4 182.6L169.4 118.6C156.9 106.1 156.9 85.87 169.4 73.37C181.9 60.88 202.1 60.88 214.6 73.37L223.1 82.75V32C223.1 14.33 238.3 0 255.1 0C273.7 0 288 14.33 288 32L288 82.74zM329.4 278.6C316.9 266.1 316.9 245.9 329.4 233.4L393.4 169.4C405.9 156.9 426.1 156.9 438.6 169.4C451.1 181.9 451.1 202.1 438.6 214.6L429.3 223.1H480C497.7 223.1 512 238.3 512 255.1C512 273.7 497.7 287.1 480 287.1H429.3L438.6 297.4C451.1 309.9 451.1 330.1 438.6 342.6C426.1 355.1 405.9 355.1 393.4 342.6L329.4 278.6zM182.6 233.4C195.1 245.9 195.1 266.1 182.6 278.6L118.6 342.6C106.1 355.1 85.87 355.1 73.37 342.6C60.88 330.1 60.88 309.9 73.37 297.4L82.75 288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H82.74L73.37 214.6C60.88 202.1 60.88 181.9 73.37 169.4C85.87 156.9 106.1 156.9 118.6 169.4L182.6 233.4zM169.4 438.6C156.9 426.1 156.9 405.9 169.4 393.4L233.4 329.4C245.9 316.9 266.1 316.9 278.6 329.4L342.6 393.4C355.1 405.9 355.1 426.1 342.6 438.6C330.1 451.1 309.9 451.1 297.4 438.6L288 429.3V480C288 497.7 273.7 512 256 512C238.3 512 224 497.7 224 480V429.3L214.6 438.6C202.1 451.1 181.9 451.1 169.4 438.6H169.4zM288 256C288 273.7 273.7 288 256 288C238.3 288 224 273.7 224 256C224 238.3 238.3 224 256 224C273.7 224 288 238.3 288 256z"]],
    "arrows-to-dotted-line": [448, 512, [], "e0a6", ["M416 224c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S433.7 224 416 224zM160 256c0-17.67-14.33-32-32-32S96 238.3 96 256s14.33 32 32 32S160 273.7 160 256zM32 224C14.33 224 0 238.3 0 256s14.33 32 32 32s32-14.33 32-32S49.67 224 32 224zM224 288c17.67 0 32-14.33 32-32s-14.33-32-32-32S192 238.3 192 256S206.3 288 224 288zM320 224c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S337.7 224 320 224z", "M201.4 182.6C207.6 188.9 215.8 192 224 192s16.38-3.125 22.62-9.375l64-64C316.9 112.4 320 104.2 320 96c0-17.05-13.73-32-32-32c-8.188 0-16.38 3.125-22.62 9.375L256 82.75V32c0-17.69-14.31-32-32-32S192 14.31 192 32v50.75L182.6 73.38C176.4 67.13 168.2 64 160 64C141.7 64 128 78.95 128 96c0 8.188 3.125 16.38 9.375 22.62L201.4 182.6zM246.6 329.4C240.4 323.1 232.2 320 224 320s-16.38 3.115-22.62 9.365l-64 64C131.1 399.6 128 407.8 128 416c0 17.05 13.73 32 32 32c8.188 0 16.38-3.125 22.62-9.375L192 429.3V480c0 17.69 14.31 32 32 32s32-14.31 32-32v-50.75l9.375 9.375C271.6 444.9 279.8 448 288 448c18.28 0 32-14.95 32-32c0-8.188-3.125-16.38-9.375-22.62L246.6 329.4z"]],
    "arrows-to-eye": [640, 512, [], "e4bf", ["M112 78.06V40C112 26.75 122.7 15.1 136 15.1C149.3 15.1 160 26.75 160 40V136C160 149.3 149.3 160 136 160H40C26.75 160 15.1 149.3 15.1 136C15.1 122.7 26.75 112 40 112H78.06L15.03 48.97C5.657 39.6 5.657 24.4 15.03 15.03C24.4 5.657 39.6 5.657 48.97 15.03L112 78.06zM591 15.03C600.4 5.657 615.6 5.657 624.1 15.03C634.3 24.4 634.3 39.6 624.1 48.97L561.9 112H600C613.3 112 624 122.7 624 136C624 149.3 613.3 160 600 160H504C490.7 160 480 149.3 480 136V40C480 26.75 490.7 15.1 504 15.1C517.3 15.1 528 26.75 528 40V78.06L591 15.03zM15.03 463L78.06 400H40C26.75 400 15.1 389.3 15.1 376C15.1 362.7 26.75 352 40 352H136C149.3 352 160 362.7 160 376V472C160 485.3 149.3 496 136 496C122.7 496 112 485.3 112 472V433.9L48.97 496.1C39.6 506.3 24.4 506.3 15.03 496.1C5.657 487.6 5.657 472.4 15.03 463V463zM528 433.9V472C528 485.3 517.3 496 504 496C490.7 496 480 485.3 480 472V376C480 362.7 490.7 352 504 352H600C613.3 352 624 362.7 624 376C624 389.3 613.3 400 600 400H561.9L624.1 463C634.3 472.4 634.3 487.6 624.1 496.1C615.6 506.3 600.4 506.3 591 496.1L528 433.9z", "M133.5 243.9C158.6 193.6 222.7 112 320 112C417.3 112 481.4 193.6 506.5 243.9C510.3 251.6 510.3 260.4 506.5 268.1C481.4 318.4 417.3 400 320 400C222.7 400 158.6 318.4 133.5 268.1C129.7 260.4 129.7 251.6 133.5 243.9V243.9zM320 320C355.3 320 384 291.3 384 256C384 220.7 355.3 192 320 192C284.7 192 256 220.7 256 256C256 291.3 284.7 320 320 320z"]],
    "arrows-to-line": [448, 512, [], "e0a7", ["M32 287.1h384c17.69 0 32-14.3 32-31.99s-14.31-32.01-32-32.01H32c-17.69 0-32 14.33-32 32.01S14.31 287.1 32 287.1z", "M201.4 182.6C207.6 188.9 215.8 192 224 192s16.38-3.125 22.62-9.375l64-64C316.9 112.4 320 104.2 320 96c0-17.05-13.73-32-32-32c-8.188 0-16.38 3.125-22.62 9.375L256 82.75V32c0-17.69-14.31-32-32-32S192 14.31 192 32v50.75L182.6 73.38C176.4 67.13 168.2 64 160 64C141.7 64 128 78.95 128 96c0 8.188 3.125 16.38 9.375 22.62L201.4 182.6zM246.6 329.4C240.4 323.1 232.2 320 224 320s-16.38 3.116-22.62 9.366l-64 64C131.1 399.6 128 407.8 128 416c0 17.05 13.73 32 32 32c8.188 0 16.38-3.125 22.62-9.375L192 429.3V480c0 17.69 14.31 32 32 32s32-14.31 32-32v-50.75l9.375 9.375C271.6 444.9 279.8 448 288 448c18.28 0 32-14.95 32-32c0-8.188-3.125-16.38-9.375-22.62L246.6 329.4z"]],
    "arrows-turn-right": [448, 512, [], "e4c0", ["M342.6 361.4C355.1 373.9 355.1 394.1 342.6 406.6L246.6 502.6C234.1 515.1 213.9 515.1 201.4 502.6C188.9 490.1 188.9 469.9 201.4 457.4L242.7 416H96C78.33 416 64 430.3 64 448V480C64 497.7 49.67 512 32 512C14.33 512 0 497.7 0 480V448C0 394.1 42.98 352 96 352H242.7L201.4 310.6C188.9 298.1 188.9 277.9 201.4 265.4C213.9 252.9 234.1 252.9 246.6 265.4L342.6 361.4z", "M438.6 105.4C451.1 117.9 451.1 138.1 438.6 150.6L342.6 246.6C330.1 259.1 309.9 259.1 297.4 246.6C284.9 234.1 284.9 213.9 297.4 201.4L338.7 159.1H128C92.65 159.1 64 188.7 64 223.1V255.1C64 273.7 49.67 287.1 32 287.1C14.33 287.1 0 273.7 0 255.1V223.1C0 153.3 57.31 95.1 128 95.1H338.7L297.4 54.63C284.9 42.13 284.9 21.87 297.4 9.372C309.9-3.124 330.1-3.124 342.6 9.372L438.6 105.4z"]],
    "arrows-turn-to-dots": [512, 512, [], "e4c1", ["M342.6 361.4C355.1 373.9 355.1 394.1 342.6 406.6L262.6 486.6C250.1 499.1 229.9 499.1 217.4 486.6C204.9 474.1 204.9 453.9 217.4 441.4L242.7 416H96C78.33 416 64 430.3 64 448V480C64 497.7 49.67 512 32 512C14.33 512 0 497.7 0 480V448C0 394.1 42.98 352 96 352H242.7L217.4 326.6C204.9 314.1 204.9 293.9 217.4 281.4C229.9 268.9 250.1 268.9 262.6 281.4L342.6 361.4zM384 384C384 348.7 412.7 319.1 448 319.1C483.3 319.1 512 348.7 512 384C512 419.3 483.3 448 448 448C412.7 448 384 419.3 384 384z", "M249.4 25.37C261.9 12.88 282.1 12.88 294.6 25.37C307.1 37.87 307.1 58.13 294.6 70.63L269.3 95.1H416C469 95.1 512 138.1 512 191.1V223.1C512 241.7 497.7 255.1 480 255.1C462.3 255.1 448 241.7 448 223.1V191.1C448 174.3 433.7 159.1 416 159.1H269.3L294.6 185.4C307.1 197.9 307.1 218.1 294.6 230.6C282.1 243.1 261.9 243.1 249.4 230.6L169.4 150.6C156.9 138.1 156.9 117.9 169.4 105.4L249.4 25.37zM128 128C128 163.3 99.35 192 64 192C28.65 192 0 163.3 0 128C0 92.65 28.65 64 64 64C99.35 64 128 92.65 128 128z"]],
    "arrows-up-down": [256, 512, ["arrows-v"], "f07d", ["M54.63 361.4L96 402.8V256h64v146.8l41.38-41.38c12.5-12.5 32.75-12.5 45.25 0C252.9 367.6 256 375.8 256 384s-3.125 16.38-9.375 22.62l-96 96c-12.5 12.5-32.75 12.5-45.25 0l-96-96c-12.5-12.5-12.5-32.75 0-45.25S42.13 348.9 54.63 361.4z", "M9.375 150.6c-12.5-12.5-12.5-32.75 0-45.25l96-96c12.5-12.5 32.75-12.5 45.25 0l96 96C252.9 111.6 256 119.8 256 128s-3.125 16.38-9.375 22.62c-12.5 12.5-32.75 12.5-45.25 0L160 109.3V256H96V109.3L54.63 150.6C42.13 163.1 21.88 163.1 9.375 150.6z"]],
    "arrows-up-down-left-right": [512, 512, ["arrows"], "f047", ["M184 136c8.188 0 16.38-3.125 22.62-9.375L224 109.3V224h64V109.3l17.38 17.38C311.6 132.9 319.8 136 328 136c18.28 0 32-14.95 32-32c0-8.188-3.125-16.38-9.375-22.62l-72-72C272.4 3.125 264.2 0 256 0S239.6 3.125 233.4 9.375l-72 72C155.1 87.63 152 95.81 152 104C152 121.1 165.7 136 184 136zM328 376c-8.188 0-16.38 3.125-22.62 9.375L288 402.8V288H224v114.8l-17.38-17.38C200.4 379.1 192.2 376 184 376c-18.28 0-32 14.95-32 32c0 8.188 3.125 16.38 9.375 22.62l72 72C239.6 508.9 247.8 512 256 512s16.38-3.125 22.62-9.375l72-72C356.9 424.4 360 416.2 360 408C360 390.9 346.3 376 328 376z", "M512 255.1c0 8.188-3.125 16.41-9.375 22.66l-72 72C424.4 356.9 416.2 360 408 360c-18.28 0-32-14.95-32-32c0-8.188 3.125-16.38 9.375-22.62L402.8 288h-293.5l17.38 17.38C132.9 311.6 136 319.8 136 328c0 17.05-13.73 32-32 32c-8.188 0-16.38-3.125-22.62-9.375l-72-72C3.125 272.4 0 264.2 0 255.1s3.125-16.34 9.375-22.59l72-72C87.63 155.1 95.81 152 104 152c18.28 0 32 14.95 32 32c0 8.188-3.125 16.38-9.375 22.62L109.3 224h293.5l-17.38-17.38C379.1 200.4 376 192.2 376 184c0-17.05 13.73-32 32-32c8.188 0 16.38 3.125 22.62 9.375l72 72C508.9 239.6 512 247.8 512 255.1z"]],
    "arrows-up-to-line": [576, 512, [], "e4c2", ["M32 32H544C561.7 32 576 46.33 576 64C576 81.67 561.7 96 544 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32z", "M54.63 278.6C42.13 291.1 21.87 291.1 9.372 278.6C-3.124 266.1-3.124 245.9 9.372 233.4L105.4 137.4C117.9 124.9 138.1 124.9 150.6 137.4L246.6 233.4C259.1 245.9 259.1 266.1 246.6 278.6C234.1 291.1 213.9 291.1 201.4 278.6L160 237.3V448C160 465.7 145.7 480 128 480C110.3 480 96 465.7 96 448V237.3L54.63 278.6zM374.6 278.6C362.1 291.1 341.9 291.1 329.4 278.6C316.9 266.1 316.9 245.9 329.4 233.4L425.4 137.4C437.9 124.9 458.1 124.9 470.6 137.4L566.6 233.4C579.1 245.9 579.1 266.1 566.6 278.6C554.1 291.1 533.9 291.1 521.4 278.6L480 237.3V448C480 465.7 465.7 480 448 480C430.3 480 416 465.7 416 448V237.3L374.6 278.6z"]],
    "asterisk": [448, 512, [10033, 61545], "2a", ["", "M417.1 368c-5.937 10.27-16.69 16-27.75 16c-5.422 0-10.92-1.375-15.97-4.281L256 311.4V448c0 17.67-14.33 32-31.1 32S192 465.7 192 448V311.4l-118.3 68.29C68.67 382.6 63.17 384 57.75 384c-11.06 0-21.81-5.734-27.75-16c-8.828-15.31-3.594-34.88 11.72-43.72L159.1 256L41.72 187.7C26.41 178.9 21.17 159.3 29.1 144C36.63 132.5 49.26 126.7 61.65 128.2C65.78 128.7 69.88 130.1 73.72 132.3L192 200.6V64c0-17.67 14.33-32 32-32S256 46.33 256 64v136.6l118.3-68.29c3.838-2.213 7.939-3.539 12.07-4.051C398.7 126.7 411.4 132.5 417.1 144c8.828 15.31 3.594 34.88-11.72 43.72L288 256l118.3 68.28C421.6 333.1 426.8 352.7 417.1 368z"]],
    "at": [512, 512, [61946], "40", ["M495.1 256.3v20.96c.0001 46.74-29.27 90.22-74.22 103C408.8 383.9 396.1 384.1 384 384v-65.31c2.672 .5651 5.164 1.621 7.1 1.621c22.06 0 40-17.96 40-40.05l0-16.16c.0001-91.97-67.02-174.3-158.6-183.2C168.6 70.76 79.1 153.4 79.1 256.3c0 87.88 64.61 160.9 148.8 174.1c15.62 2.441 27.24 15.5 27.24 31.31c-.0001 19.52-17.42 35.04-36.71 32.07c-130.2-20.08-226.1-145.2-198.5-285.9c18.34-93.45 93.57-168.8 187-187.1C361.2-9.332 495.1 107.1 495.1 256.3z", "M384 318.7c-18.1-3.825-32.01-19.18-32.01-38.43v-120.1c0-8.846-7.171-16.02-16.01-16.02l-31.98 .0036c-7.299 0-13.2 4.992-15.12 11.68C274.1 148.6 257.6 144.1 240 144.1c-61.86 0-112 50.2-112 112.1s50.13 112.1 111.1 112.1c26.44 0 50.43-9.544 69.59-24.88C327.1 366.3 353.7 381.7 384 384V318.7zM239.1 304.3c-26.47 0-48-21.56-48-48.05s21.53-48.05 48-48.05s48 21.56 48 48.05S266.5 304.3 239.1 304.3z"]],
    "atom": [512, 512, [9883], "f5d2", ["M470.2 128c-10.88-19.5-40.51-50.75-116.3-41.88C332.4 34.88 299.6 0 256 0S179.6 34.88 158.1 86.12C82.34 77.38 52.71 108.5 41.83 128c-16.38 29.38-14.91 73.12 25.23 128c-40.13 54.88-41.61 98.63-25.23 128c29.13 52.38 101.6 43.63 116.3 41.88C179.6 477.1 212.4 512 256 512s76.39-34.88 97.9-86.13C368.5 427.6 441 436.4 470.2 384c16.38-29.38 14.91-73.13-25.23-128C485.1 201.1 486.5 157.4 470.2 128zM95.34 352c-4.001-7.25-.1251-24.75 15-48.25c6.876 6.5 14.13 12.87 21.88 19.12c1.625 13.75 4.001 27.13 6.751 40.13C114.3 363.9 99.09 358.6 95.34 352zM132.2 189.1C124.5 195.4 117.2 201.8 110.3 208.2C95.22 184.8 91.34 167.2 95.34 160c3.376-6.125 16.38-11.5 37.88-11.5c1.75 0 3.876 .375 5.751 .375C136.1 162.2 133.8 175.6 132.2 189.1zM256 64c9.502 0 22.25 13.5 33.88 37.25C278.6 105 267.4 109.3 256 114.1C244.6 109.3 233.4 105 222.1 101.2C233.7 77.5 246.5 64 256 64zM256 448c-9.502 0-22.25-13.5-33.88-37.25C233.4 407 244.6 402.7 256 397.9c11.38 4.875 22.63 9.135 33.88 12.89C278.3 434.5 265.5 448 256 448zM256 336c-44.13 0-80.02-35.88-80.02-80S211.9 176 256 176s80.02 35.88 80.02 80S300.1 336 256 336zM416.7 352c-3.626 6.625-19 11.88-43.63 11c2.751-12.1 5.126-26.38 6.751-40.13c7.752-6.25 15-12.63 21.88-19.12C416.8 327.2 420.7 344.8 416.7 352zM401.7 208.2c-6.876-6.5-14.13-12.87-21.88-19.12c-1.625-13.5-3.876-26.88-6.751-40.25c1.875 0 4.001-.375 5.751-.375c21.5 0 34.51 5.375 37.88 11.5C420.7 167.2 416.8 184.8 401.7 208.2z", "M256 224C238.4 224 223.1 238.4 223.1 256S238.4 288 256 288c17.63 0 32-14.38 32-32S273.6 224 256 224z"]],
    "atom-simple": [448, 512, ["atom-alt"], "f5d3", ["M423.1 56.87C379.1 12.86 300.3 31.62 224 79.12C147.6 31.62 68.87 12.86 24.87 56.87C-19.14 100.9-.3849 179.6 47.12 256c-47.5 76.38-66.25 155.1-22.25 199.1C66.12 496.4 140.4 484.5 224 432.5c83.25 51.88 157.8 64 199.1 22.63c44-44 25.25-122.8-22.25-199.1C448.4 179.6 467.1 100.9 423.1 56.87zM70.12 102.1c9.316-9.316 39.67-12.54 97.26 17.88c-29 23.75-55.5 50.25-79.13 79.13C63.37 151.9 57.74 114.5 70.12 102.1zM70.12 409.9c-12.38-12.38-6.751-49.75 18.13-97.01c28.75 34.88 53 57.38 79.13 78.88C119.1 416.6 82.49 422.3 70.12 409.9zM224 355c-44.88-34.25-73-65-98.88-99.01C153.4 218.5 186.6 184.1 224 156.6c37.38 28.38 70.63 61.88 99 99.38C288.8 300.9 258 329 224 355zM377.9 409.9c-12.38 12.38-49.88 6.75-97.26-18.13c26-21.5 50.25-43.88 79.13-78.88C384.6 360.1 390.3 397.5 377.9 409.9zM359.8 199.1c-23.62-28.88-50.13-55.38-79.13-79.13c57.33-30.29 87.89-27.24 97.26-17.88C390.3 114.5 384.6 151.9 359.8 199.1z", "M255.1 255.1c0 17.63-14.38 32-32 32s-32-14.37-32-32c0-17.62 14.38-32.03 32-32.03S255.1 238.3 255.1 255.1z"]],
    "audio-description": [576, 512, [], "f29e", ["M170.8 280H213.2L192 237.7L170.8 280zM384 208h-32v96h32c26.47 0 48-21.53 48-48S410.5 208 384 208zM512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM274.7 349.5C271.3 351.2 267.6 352 264 352c-8.812 0-17.28-4.859-21.5-13.27L233.2 320H150.8l-9.367 18.73c-5.906 11.86-20.31 16.7-32.19 10.73c-11.88-5.938-16.69-20.34-10.75-32.2l72-144c8.125-16.25 34.81-16.25 42.94 0l72 144C291.4 329.1 286.6 343.5 274.7 349.5zM384 352h-56c-13.25 0-24-10.75-24-24v-144C304 170.8 314.8 160 328 160H384c52.94 0 96 43.06 96 96S436.9 352 384 352z", "M213.5 173.3c-8.125-16.25-34.81-16.25-42.94 0l-72 144c-5.938 11.86-1.125 26.27 10.75 32.2c11.88 5.969 26.28 1.125 32.19-10.73L150.8 320H233.2l9.367 18.73C246.8 347.1 255.2 352 264 352c3.594 0 7.25-.8125 10.69-2.531c11.88-5.938 16.69-20.34 10.75-32.2L213.5 173.3zM170.8 280L192 237.7L213.2 280H170.8zM384 160h-56c-13.25 0-24 10.75-24 24v144c0 13.25 10.75 24 24 24H384c52.94 0 96-43.06 96-96S436.9 160 384 160zM384 304h-32v-96h32c26.47 0 48 21.53 48 48S410.5 304 384 304z"]],
    "audio-description-slash": [640, 512, [], "e0a8", ["M306.7 349.5c-3.438 1.719-7.094 2.531-10.69 2.531c-8.812 0-17.28-4.859-21.5-13.27l-9.367-18.73H182.8l-9.367 18.73c-5.906 11.86-20.31 16.7-32.19 10.73c-11.88-5.938-16.69-20.34-10.75-32.2l42.49-84.97L32 121.8l0 294.2c0 35.35 28.65 64 64 64l393.1 .0002l-174.6-136.8C312.4 345.7 309.8 347.9 306.7 349.5zM202.8 280h31.05l-22.3-17.48L202.8 280zM544 32L96 32c-6.645 0-12.96 1.176-18.96 3.073l258.1 202.1V184c0-13.25 10.75-24 24-24h56c52.94 0 96 43.06 96 96c0 35.29-19.35 65.85-47.78 82.53l135.9 106.5c4.621-8.783 7.922-18.37 7.922-29.02L608 96C608 60.65 579.3 32 544 32zM464 256c0-26.47-21.53-48-48-48h-32v67.66l35.68 27.97C444.4 301.7 464 281.2 464 256z", "M630.8 469.1L38.81 5.111C34.41 1.673 29.19 .0003 24.03 .0003c-7.125 0-14.19 3.158-18.91 9.189c-8.187 10.44-6.37 25.53 4.068 33.7l591.1 463.1c10.5 8.203 25.57 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1z"]],
    "austral-sign": [448, 512, [], "e0a9", ["M96 288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H122.7L96 288zM56 384H32C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320H82.67L56 384zM125.3 384L152 320H296L322.7 384H125.3zM365.3 320H416C433.7 320 448 334.3 448 352C448 369.7 433.7 384 416 384H392L365.3 320zM325.3 224H416C433.7 224 448 238.3 448 256C448 273.7 433.7 288 416 288H352L325.3 224zM192 224H256L282.7 288H165.3L192 224z", "M224 32C236.9 32 248.6 39.77 253.5 51.69L413.5 435.7C420.3 452 412.6 470.7 396.3 477.5C379.1 484.3 361.3 476.6 354.5 460.3L224 147.2L93.54 460.3C86.74 476.6 68.01 484.3 51.69 477.5C35.38 470.7 27.66 452 34.46 435.7L194.5 51.69C199.4 39.77 211.1 32 224 32H224z"]],
    "avocado": [512, 512, [], "e0aa", ["M371.5-.0006c-39.21 0-78.72 15.74-108.1 45.17C232.4 76.31 192.1 97.3 150.6 108.9c-35.27 9.666-150.6 61.92-150.6 197.8c0 113.4 92.35 205.3 205.1 205.3c52.37 0 104.7-20.04 144.7-60.13c67.65-67.86 42.56-130 115.1-203.7l4.357-4.371c27.94-28.03 41.91-64.77 41.91-101.5C512 70.27 455.6-.0006 371.5-.0006zM200.4 383.1c-54.51 0-72.49-43.58-72.49-72.66c0-60.75 58.64-119.3 119.1-119.3c54.52 0 72.5 43.59 72.5 72.66C319.5 325.4 260.9 383.1 200.4 383.1z", "M319.5 264.7c0 60.74-58.63 119.3-119.1 119.3c-54.51 0-72.49-43.59-72.49-72.66c0-60.75 58.64-119.3 119.1-119.3C301.5 191.1 319.5 235.6 319.5 264.7z"]],
    "award": [384, 512, [], "f559", ["M95.96 358.3C81.98 350.2 78.43 328.2 67.08 316.9c-3.762-3.764-8.764-6.619-13.97-9.332l-51.4 125.7c-3.25 8.188-1.781 17.48 3.875 24.25c5.656 6.75 14.53 9.898 23.12 8.148l45.19-9.035l21.43 42.27C99.46 507 107.6 512 116.7 512c.3438 0 .6641-.0117 1.008-.0273c9.5-.375 17.65-6.082 21.24-14.88l47.06-114.5c-13.95-3.367-26.44-16.4-39.76-19.96C130.5 358.4 109.7 366.3 95.96 358.3zM382.3 433.2l-51.39-125.6c-5.215 2.717-10.23 5.574-14 9.344c-11.34 11.35-14.89 33.3-28.88 41.39c-13.79 7.977-34.53 .1504-50.28 4.359c-13.31 3.557-25.8 16.58-39.74 19.95l47.06 114.5c3.594 8.797 11.74 14.5 21.24 14.88C266.6 511.1 266.1 512 267.3 512c9.094 0 17.23-4.973 21.35-13.14l21.43-42.28l45.19 9.035c8.594 1.75 17.47-1.398 23.12-8.148C384.1 450.7 385.5 441.4 382.3 433.2z", "M383.1 192c0-16.5-17.27-30.52-21.34-45.73c-4.207-15.75 3.612-36.5-4.365-50.29c-8.086-13.98-30.03-17.52-41.38-28.87c-11.35-11.35-14.89-33.3-28.87-41.39c-13.79-7.979-34.54-.1637-50.29-4.375C222.5 17.27 208.5 0 192 0C175.5 0 161.5 17.27 146.3 21.34C130.5 25.54 109.8 17.73 95.98 25.7C82 33.79 78.46 55.74 67.11 67.08C55.77 78.43 33.81 81.97 25.72 95.95C17.74 109.7 25.56 130.5 21.35 146.2C17.27 161.5 .0008 175.5 .0008 192c0 16.5 17.27 30.52 21.34 45.73c4.207 15.75-3.615 36.5 4.361 50.29C33.8 302 55.74 305.5 67.08 316.9c11.35 11.35 14.89 33.3 28.88 41.4c13.79 7.979 34.53 .1582 50.28 4.369C161.5 366.7 175.5 384 192 384c16.5 0 30.52-17.27 45.74-21.34c15.75-4.209 36.49 3.617 50.28-4.359c13.98-8.088 17.53-30.04 28.88-41.39c11.35-11.35 33.3-14.88 41.39-28.87c7.98-13.79 .1658-34.54 4.373-50.29C366.7 222.5 383.1 208.5 383.1 192zM192 272C147.8 272 112 236.2 112 192c0-44.27 35.81-80 80-80s80 35.73 80 80C272 236.2 236.2 272 192 272z"]],
    "award-simple": [384, 512, [], "e0ab", ["M278.4 328.9l34.9 163.8c2.727 13.09-10.86 23.55-22.82 17.57L192 461.1l-98.44 49.22c-11.96 5.98-25.54-4.48-22.82-17.57l34.9-163.8c12.61 5.949 30.55-.207 44.41 3.498C164 336.2 176.9 352 192 352c15.12 0 27.98-15.83 41.93-19.56C247.8 328.7 265.8 334.9 278.4 328.9z", "M368 176c0-15.13-15.83-27.97-19.56-41.92c-3.855-14.43 3.316-33.45-3.996-46.09c-7.412-12.81-27.54-16.07-37.93-26.47c-10.41-10.4-13.65-30.53-26.47-37.95c-12.64-7.314-31.66-.1465-46.09-4.006C219.1 15.83 207.1 0 192 0C176.9 0 164 15.83 150.1 19.56C135.6 23.42 116.6 16.24 103.1 23.55C91.17 30.97 87.92 51.09 77.52 61.49c-10.4 10.4-30.53 13.65-37.95 26.47C32.26 100.6 39.43 119.6 35.57 134C31.83 148 16 160.9 16 176c0 15.13 15.83 27.97 19.56 41.92C39.42 232.4 32.24 251.4 39.55 264c7.418 12.82 27.54 16.07 37.94 26.47c10.41 10.4 13.65 30.53 26.47 37.95c12.64 7.312 31.66 .1445 46.09 4.004C164 336.2 176.9 352 192 352c15.12 0 27.98-15.83 41.93-19.56c14.43-3.857 33.45 3.316 46.09-3.996c12.82-7.414 16.07-27.54 26.47-37.94c10.41-10.4 30.53-13.65 37.95-26.47c7.316-12.64 .1465-31.66 4.004-46.09C352.2 203.1 368 191.1 368 176zM192 256C147.8 256 112 220.2 112 176C112 131.7 147.8 96 192 96s80 35.73 80 80C272 220.2 236.2 256 192 256z"]],
    "axe": [640, 512, [129683], "f6b2", ["M9.373 434.7c-12.5 12.5-12.5 32.76 0 45.26l22.63 22.63c12.5 12.5 32.76 12.5 45.26-.0012l253.8-253.8L263.2 180.9L9.373 434.7zM502.6 77.25c12.5-12.5 12.5-32.76-.0001-45.26l-22.62-22.62c-12.5-12.5-32.76-12.5-45.26 0l-29.82 29.82l67.88 67.88L502.6 77.25zM576 160v32c0 88.22-71.78 160-160 160h-32v63.99l31.1-.0032C539.5 416 640 315.5 640 192V160L576 160z", "M384 352v63.99l-.0027-114.3L233.4 151.1C220.9 138.6 220.9 118.4 233.4 105.9l96.5-96.49c6.25-6.25 14.44-9.375 22.63-9.375s16.38 3.125 22.63 9.375l150.6 150.6L576 160v32c0 88.22-71.78 160-160 160H384z"]],
    "axe-battle": [512, 512, [], "f6b3", ["M101 13.61c-3.125-13-17.66-18.13-26.78-8.876C28.63 50.86 0 117.6 0 192s28.62 141.1 74.25 187.3c9.125 9.252 23.66 4.126 26.78-8.876c5.404-22.65 15.54-42.94 29.19-59.58C152.9 283.2 188.3 269.1 224 269.1V114.9c-35.74 0-71.12-14.03-93.78-41.67C116.6 56.55 106.4 36.25 101 13.61zM512 160.9c-6.854-61.57-33.46-116.3-72.63-155.8c-9.139-9.209-24.54-4.087-27.58 8.524c-6.09 25.24-18.08 47.59-34.33 65.18c-22.41 24.26-55.3 36.07-88.33 36.07H288v154.3h1.127c33.03 0 65.92 11.81 88.33 36.07c16.25 17.59 28.24 39.93 34.33 65.18c3.043 12.61 18.44 17.73 27.58 8.523C478.5 339.4 505.1 284.7 512 223.1L449.3 192L512 160.9z", "M288 64v431.1C288 504.8 280.8 512 272 512h-32C231.2 512 224 504.8 224 496V64c0-17.67 14.33-32 32-32S288 46.33 288 64z"]],
    "b": [320, 512, [98], "42", ["M257.1 242.4C276.1 220.1 288 191.6 288 160c0-70.58-57.42-128-128-128H32c-17.67 0-32 14.33-32 32v384c0 17.67 14.33 32 32 32l160-.0049c70.58 0 128-57.42 128-128C320 305.3 294.6 264.8 257.1 242.4zM64 96.01h96c35.3 0 64 28.7 64 64s-28.7 64-64 64H64V96.01zM192 416H64v-128h128c35.3 0 64 28.7 64 64S227.3 416 192 416z", ""]],
    "baby": [448, 512, [], "f77c", ["M224 159.1c44.25 0 79.99-35.75 79.99-79.1S268.3 0 224 0S144 35.75 144 79.1S179.8 159.1 224 159.1zM156.8 411.8l31.22-31.22l-60.04-53.09l-52.29 52.28C61.63 393.8 60.06 416.1 72 432l48 64c7.846 10.48 19.88 16 32.03 16c8.344 0 16.78-2.609 23.97-8c17.69-13.25 21.25-38.33 8-56L156.8 411.8zM408.7 145c-12.75-18.12-37.63-22.38-55.76-9.75l-40.63 28.5c-52.63 37-124.1 37-176.8 0l-40.63-28.5C76.84 122.6 51.97 127 39.22 145C26.59 163.1 30.97 188 48.97 200.8l40.63 28.5C101.7 237.7 114.7 244.3 128 250.2L128 288h192l.0002-37.71c13.25-5.867 26.22-12.48 38.34-21.04l40.63-28.5C417.1 188 421.4 163.1 408.7 145zM320 327.4l-60.04 53.09l31.22 31.22L264 448c-13.25 17.67-9.687 42.75 8 56c7.189 5.391 15.63 8 23.97 8c12.16 0 24.19-5.516 32.03-16l48-64c11.94-15.92 10.38-38.2-3.719-52.28L320 327.4z", "M320 288v39.44l-60.04 53.09H188l-60.04-53.09V288H320z"]],
    "baby-carriage": [512, 512, ["carriage-baby"], "f77d", ["M256 192H.1405C2.742 117.9 41.34 52.95 98.99 14.1C112.2 5.175 129.8 9.784 138.9 22.92L256 192zM32 464C32 437.5 53.49 416 80 416C106.5 416 128 437.5 128 464C128 490.5 106.5 512 80 512C53.49 512 32 490.5 32 464zM416 464C416 490.5 394.5 512 368 512C341.5 512 320 490.5 320 464C320 437.5 341.5 416 368 416C394.5 416 416 437.5 416 464z", "M480 96C497.7 96 512 110.3 512 128C512 145.7 497.7 160 480 160H448V224C448 249.2 442.2 274.2 430.9 297.5C419.7 320.8 403.2 341.9 382.4 359.8C361.6 377.6 336.9 391.7 309.7 401.4C282.5 411 253.4 416 223.1 416C194.6 416 165.5 411 138.3 401.4C111.1 391.7 86.41 377.6 65.61 359.8C44.81 341.9 28.31 320.8 17.05 297.5C5.794 274.2 0 249.2 0 224H384V160C384 124.7 412.7 96 448 96H480z"]],
    "backpack": [448, 512, [127890], "f5d4", ["M96 384v128h256v-128H96zM176 56c0-4.375 3.625-8 8-8h80c4.375 0 8 3.625 8 8V80H320V56C320 25.12 294.9 0 264 0h-80C153.1 0 128 25.12 128 56V80h48V56z", "M320 80H128c-70.75 0-128 57.25-128 128V448c0 35.38 28.62 64 64 64h32v-192c0-17.62 14.38-32 32-32h192c17.62 0 32 14.38 32 32v192h32c35.38 0 64-28.62 64-64V208C448 137.3 390.8 80 320 80zM320 200c0 4.375-3.625 8-8 8h-176C131.6 208 128 204.4 128 200v-16C128 179.6 131.6 176 136 176h176C316.4 176 320 179.6 320 184V200z"]],
    "backward": [512, 512, [9194], "f04a", ["M459.5 71.41l-171.5 142.9v83.45l171.5 142.9C480.1 457.7 512 443.3 512 415.1V96.03C512 68.66 480.1 54.28 459.5 71.41z", "M255.1 96.03v319.9c0 27.37-31.88 41.74-52.51 24.62L11.44 280.6c-15.25-12.87-15.25-36.37 0-49.24l192-159.1C224.1 54.28 255.1 68.66 255.1 96.03z"]],
    "backward-fast": [512, 512, [9198, "fast-backward"], "f049", ["M0 415.1V96.03c0-17.67 14.33-31.1 31.1-31.1C49.67 64.03 64 78.36 64 96.03v319.9c0 17.67-14.33 31.1-31.1 31.1C14.33 447.1 0 433.6 0 415.1z", "M64 227.9l171.5-156.5C256.1 54.28 288 68.66 288 96.03v131.9l171.5-156.5C480.1 54.28 512 68.66 512 96.03v319.9c0 27.37-31.88 41.74-52.5 24.62L288 285.2v130.7c0 27.37-31.88 41.74-52.5 24.62L64 285.2V227.9z"]],
    "backward-step": [320, 512, ["step-backward"], "f048", ["M31.1 64.03c-17.67 0-31.1 14.33-31.1 32v319.9c0 17.67 14.33 32 32 32C49.67 447.1 64 433.6 64 415.1V96.03C64 78.36 49.67 64.03 31.1 64.03z", "M267.5 71.41l-192 159.1C67.82 237.8 64 246.9 64 256c0 9.094 3.82 18.18 11.44 24.62l192 159.1c20.63 17.12 52.51 2.75 52.51-24.62v-319.9C319.1 68.66 288.1 54.28 267.5 71.41z"]],
    "bacon": [576, 512, [129363], "f7e5", ["M564.7 99.68l-21.4-23.87l-113.6 52.68c-49.47 22.94-90.44 62.11-118.5 113.3L289.3 281.9c-31.33 57.27-77.34 101.2-133.1 127l-104.5 48.43l37.43 41.74C96.64 507.5 106.1 512 117.5 512c5.188 0 10.41-1.11 15.33-3.375l92.75-42.99c51.13-23.69 93.34-64.03 122.1-116.6l20.66-37.76c27.11-49.56 66.8-87.5 114.8-109.8l68.88-31.94c11.86-5.486 20.28-16.52 23.09-30.23C577.1 124.1 574.1 110.1 564.7 99.68zM261.3 266.5l21.92-40.08c31.31-57.27 77.33-101.2 133-127l104.8-48.56l-34.08-38.01c-11.28-12.6-28.84-16.33-43.69-9.518l-92.75 42.99c-51.13 23.69-93.34 64.03-122.1 116.6L207.7 200.7c-27.11 49.56-66.8 87.5-114.8 109.8l-68.88 31.94c-11.86 5.486-20.28 16.52-23.09 30.23c-2.938 14.35 .9062 29.18 10.31 39.65l18.06 20.15l113.4-52.55C192.3 356.1 233.2 317.8 261.3 266.5z", "M543.3 75.81l-113.6 52.68c-49.47 22.94-90.44 62.11-118.5 113.3L289.3 281.9c-31.33 57.27-77.34 101.2-133.1 127l-104.5 48.43l-22.34-24.91l113.4-52.55c49.48-22.95 90.45-62.16 118.5-113.4l21.92-40.08c31.31-57.27 77.33-101.2 133-127l104.8-48.56l23.03 25.68L543.3 75.81z"]],
    "bacteria": [640, 512, [], "e059", ["M416 352c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32c17.67 0 32-14.33 32-32C448 366.3 433.7 352 416 352zM361.1 65.26l-11.34 3.357C341.5 53.13 328.8 40.76 313.4 33.05l2.838-10.85c2.482-9.477-3.223-19.16-12.74-21.62C293.9-1.901 284.2 3.801 281.8 13.27l-2.82 10.78C273.4 23.86 267.8 24.2 262.2 25.15C250.8 27.04 239.1 30.22 229.1 33.39L225.7 23.93c-3.305-9.225-13.5-14.11-22.75-10.76c-9.266 3.279-14.1 13.41-10.81 22.65l3.498 9.793C180.2 52.27 165.6 60.07 151.7 69.19L145.4 60.76C139.5 52.92 128.3 51.32 120.5 57.16C112.6 63.02 110.1 74.13 116.8 81.98l6.457 8.611c-12.66 10.78-24.33 22.54-34.96 35.33L79.52 119.5C71.59 113.7 60.44 115.4 54.63 123.4C48.82 131.3 50.56 142.4 58.51 148.1l8.885 6.465C58.5 168.5 50.86 183.1 44.41 198.5L33.93 194.9c-9.334-3.186-19.44 1.721-22.64 10.99C8.086 215.2 13.04 225.3 22.34 228.4l10.33 3.541C29.88 241.9 26.88 251.8 25.15 262.2C24.07 268.6 23.94 274.1 24.33 281.2L12.75 284.7C3.309 287.4-2.061 297.3 .7441 306.7C3.041 314.4 10.13 319.4 17.8 319.4c1.682 0 3.387-.2303 5.08-.7382l11.27-3.33c8.086 15.15 20.68 27.55 36.39 35.43l-2.887 11.06c-2.471 9.479 3.246 19.15 12.77 21.62c1.496 .3809 3.004 .5666 4.488 .5666c7.92 0 15.14-5.287 17.23-13.28l2.863-10.97c1.027 .0371 2.074 .2577 3.098 .2577c16.64 0 32.32-5.174 45.66-13.89l8.59 8.809c3.49 3.578 8.129 5.379 12.78 5.379c4.477 0 8.942-1.662 12.41-5.01c7.062-6.822 7.225-18.04 .3711-25.07l-9.14-9.373C184.6 311.6 188.9 301.3 190.9 289.8c.8887-5.332 2.244-10.5 3.801-15.56L203.8 278.5c2.447 1.143 5.022 1.684 7.563 1.684c6.689 0 13.09-3.762 16.13-10.19C231.6 261.1 227.8 250.6 218.9 246.4L210.1 242.3c.668-.9883 1.197-2.078 1.894-3.047c2.4-3.334 5.152-6.354 7.877-9.408c3.623-4.074 7.504-7.857 11.64-11.41c3.213-2.727 6.441-5.428 9.943-7.814c1.119-.7695 2.323-1.419 3.469-2.154l3.922 8.856c2.945 6.625 9.474 10.57 16.32 10.57c2.4 0 4.836-.4844 7.178-1.502c9-3.959 13.08-14.42 9.115-23.39L277.4 193.9c4.078-1.135 8.14-2.324 12.38-3.031c12.6-2.098 23.91-7.094 33.76-13.9l9.996 9.012c3.408 3.082 7.687 4.593 11.95 4.593c4.848 0 9.684-1.962 13.2-5.829c6.609-7.26 6.053-18.47-1.24-25.04l-9.713-8.756c8.49-14.18 12.74-30.77 11.64-48.18l11.86-3.511c9.428-2.793 14.8-12.66 11.99-22.05C380.5 67.81 370.6 62.49 361.1 65.26zM128 256C110.3 256 96 241.7 96 223.1c0-17.67 14.33-32 32-32c17.67 0 32 14.33 32 32C160 241.7 145.7 256 128 256zM208 160c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16s16 7.162 16 16C224 152.8 216.8 160 208 160z", "M615.7 230.8l11.58-3.425c9.439-2.781 14.81-12.65 12-22.04c-2.297-7.711-9.383-12.69-17.06-12.69c-1.682 0-3.387 .2313-5.08 .7391l-11.27 3.33c-8.088-15.15-20.68-27.55-36.4-35.43l2.888-11.06c2.469-9.477-3.248-19.15-12.77-21.62c-1.496-.3809-3.004-.5658-4.488-.5658c-7.92 0-15.14 5.288-17.23 13.28l-2.865 10.97c-1.027-.0371-2.073-.2574-3.096-.2574c-16.64 0-32.32 5.173-45.66 13.89L477.6 157.1c-3.49-3.578-8.129-5.38-12.78-5.38c-4.477 0-8.942 1.663-12.41 5.011c-7.062 6.822-7.225 18.04-.3711 25.07l9.14 9.373c-5.854 9.221-10.17 19.6-12.08 31.05c-.8887 5.33-2.244 10.49-3.801 15.56L436.2 233.5c-2.445-1.143-5.022-1.685-7.562-1.685c-6.691 0-13.09 3.763-16.13 10.19c-4.186 8.854-.3599 19.42 8.546 23.58l8.797 4.115c-.668 .9883-1.195 2.078-1.892 3.045c-2.416 3.355-5.186 6.4-7.932 9.473c-3.602 4.047-7.463 7.805-11.58 11.33c-3.219 2.73-6.453 5.438-9.959 7.828c-1.119 .7715-2.321 1.418-3.467 2.152l-3.922-8.855c-2.945-6.627-9.474-10.57-16.32-10.57c-2.4 0-4.836 .4849-7.178 1.501c-9 3.959-13.08 14.42-9.115 23.39l4.041 9.127c-4.078 1.135-8.14 2.324-12.38 3.031c-12.6 2.098-23.91 7.092-33.76 13.9l-9.996-9.012c-3.41-3.082-7.689-4.594-11.95-4.594c-4.848 0-9.684 1.962-13.2 5.829c-6.611 7.262-6.055 18.47 1.24 25.04l9.713 8.756c-8.49 14.18-12.74 30.77-11.64 48.17l-11.86 3.512c-9.428 2.793-14.8 12.66-11.99 22.05c2.783 9.385 12.69 14.71 22.15 11.94l11.34-3.359c8.287 15.49 20.99 27.86 36.38 35.57l-2.839 10.85c-2.48 9.479 3.224 19.16 12.75 21.62c9.566 2.482 19.25-3.221 21.72-12.69l2.82-10.78c5.508 .1875 11.11-.1523 16.75-1.102c11.37-1.893 22.23-5.074 33.1-8.24l3.379 9.455c3.305 9.223 13.5 14.11 22.75 10.76c9.266-3.277 14.1-13.41 10.81-22.65l-3.498-9.792c15.41-6.654 30.08-14.46 43.95-23.57l6.321 8.429c5.891 7.838 17.05 9.443 24.93 3.602c7.885-5.863 9.496-16.97 3.617-24.82l-6.457-8.611c12.66-10.78 24.33-22.54 34.96-35.33l8.816 6.413c7.932 5.795 19.08 4.076 24.89-3.855c5.811-7.906 4.07-19-3.874-24.77l-8.885-6.465c8.893-13.88 16.54-28.52 22.99-43.91l10.47 3.59c9.334 3.188 19.44-1.719 22.64-10.99c3.213-9.258-1.739-19.35-11.04-22.53l-10.33-3.541c2.791-9.961 5.793-19.84 7.521-30.21C615.9 243.4 616.1 237 615.7 230.8zM416 416c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32c17.67 0 32 14.33 32 32C448 401.7 433.7 416 416 416zM128 191.1c-17.67 0-32 14.33-32 32C96 241.7 110.3 256 128 256c17.67 0 32-14.33 32-32C160 206.3 145.7 191.1 128 191.1z"]],
    "bacterium": [576, 512, [], "e05a", ["M543 102.9c-3.711-12.51-16.92-19.61-29.53-15.92l-15.12 4.48c-11.05-20.65-27.98-37.14-48.5-47.43l3.783-14.46c3.309-12.64-4.299-25.55-16.99-28.83c-12.76-3.309-25.67 4.295-28.96 16.92l-3.76 14.37c-7.344-.25-14.81 .2031-22.33 1.469C366.5 36.05 351.7 39.73 337.3 43.94l-4.301-12.03c-4.406-12.3-17.1-18.81-30.34-14.34c-12.35 4.371-18.8 17.88-14.41 30.2l4.303 12.04c-20.6 8.889-40.16 19.64-58.69 31.83L225.9 81.01C217.1 70.56 203.1 68.42 192.6 76.21C182.1 84.03 179.9 98.83 187.8 109.3l7.975 10.63C178.8 134.3 163.3 150.3 149.1 167.4L138 159.3C127.5 151.6 112.6 153.9 104.8 164.5c-7.748 10.54-5.428 25.33 5.164 33.03l11.09 8.066C109.2 224.1 98.79 243.7 90.18 264.3l-12.93-4.431c-12.45-4.248-25.92 2.293-30.18 14.65C42.78 286.9 49.38 300.3 61.78 304.6l13.05 4.474c-3.717 13.27-6.978 26.71-9.28 40.53c-1.432 8.592-1.63 17.07-1.112 25.41l-15.45 4.566c-12.59 3.709-19.74 16.87-16 29.38c3.062 10.28 12.51 16.91 22.75 16.91c2.242 0 4.514-.3066 6.771-.9844l15.02-4.441c10.78 20.21 27.57 36.73 48.53 47.24l-3.852 14.75c-3.293 12.63 4.33 25.53 17.02 28.83C141.2 511.8 143.2 512 145.2 512c10.56 0 20.19-7.049 22.98-17.7l3.816-14.63c1.369 .0508 2.868 .3418 4.231 .3418c22.18 0 42.99-6.896 60.78-18.51l11.45 11.74c4.654 4.771 10.84 7.172 17.04 7.172c5.969 0 11.92-2.217 16.54-6.68c9.416-9.096 9.633-24.06 .4941-33.43l-12.19-12.5c7.805-12.29 13.56-26.13 16.11-41.4c1.186-7.107 3.082-13.95 5.158-20.7l12.04 5.635c3.264 1.523 6.695 2.246 10.08 2.246c8.922 0 17.46-5.018 21.51-13.59c5.582-11.8 .4785-25.89-11.4-31.45l-11.73-5.486c.8945-1.318 1.592-2.773 2.523-4.062c3.186-4.424 6.844-8.434 10.46-12.49c4.852-5.459 10.05-10.53 15.6-15.28c4.275-3.627 8.572-7.221 13.23-10.4c1.494-1.031 3.1-1.896 4.629-2.877l5.23 11.81c3.928 8.834 12.63 14.1 21.75 14.1c3.201 0 6.449-.6465 9.572-2c11.1-5.279 17.44-19.22 12.15-31.18L401.9 258.5c5.438-1.512 10.86-3.078 16.52-4.021c16.8-2.797 31.88-9.459 45.02-18.54l13.33 12.02c4.547 4.109 10.25 6.125 15.94 6.125c6.463 0 12.91-2.617 17.6-7.773c8.814-9.68 8.072-24.62-1.654-33.38l-12.95-11.68c11.32-18.9 16.99-41.02 15.52-64.23l15.81-4.681C539.6 128.6 546.7 115.4 543 102.9zM192 368c-26.51 0-48.01-21.49-48.01-48s21.5-48 48.01-48S240.1 293.5 240.1 320S218.6 368 192 368zM272 232c-13.25 0-23.92-10.75-23.92-24c0-13.26 10.67-23.1 23.92-23.1c13.26 0 23.1 10.74 23.1 23.1C295.1 221.3 285.3 232 272 232z", "M240.1 320c0 26.51-21.5 48-48.01 48S144 346.5 144 320s21.5-48 48.01-48S240.1 293.5 240.1 320z"]],
    "badge": [512, 512, [], "f335", ["M437 74.98C463 101 470.1 138.2 460.9 171.1C491.3 187.2 512 219.2 512 256C512 292.8 491.3 324.8 460.9 340.9C471 373.8 463 410.1 437 437C410.1 463 373.8 470.1 340.9 460.9C324.8 491.3 292.8 512 256 512C219.2 512 187.2 491.3 171.1 460.9C138.2 471 101 463 74.98 437C48.96 410.1 41 373.8 51.1 340.9C20.7 324.8 0 292.8 0 256C0 219.2 20.7 187.2 51.1 171.1C40.1 138.2 48.96 101 74.98 74.98C101 48.96 138.2 41 171.1 51.1C187.2 20.7 219.2 0 256 0C292.8 0 324.8 20.7 340.9 51.1C373.8 40.1 410.1 48.96 437 74.98V74.98z", ""]],
    "badge-check": [512, 512, [], "f336", ["M256 0C292.8 0 324.8 20.7 340.9 51.1C373.8 40.1 410.1 48.96 437 74.98C463 101 470.1 138.2 460.9 171.1C491.3 187.2 512 219.2 512 256C512 292.8 491.3 324.8 460.9 340.9C471 373.8 463 410.1 437 437C410.1 463 373.8 470.1 340.9 460.9C324.8 491.3 292.8 512 256 512C219.2 512 187.2 491.3 171.1 460.9C138.2 471 101 463 74.98 437C48.96 410.1 41 373.8 51.1 340.9C20.7 324.8 0 292.8 0 256C0 219.2 20.7 187.2 51.1 171.1C40.1 138.2 48.96 101 74.98 74.98C101 48.96 138.2 41 171.1 51.1C187.2 20.7 219.2 0 256 0V0zM352.1 224.1C362.3 215.6 362.3 200.4 352.1 191C343.6 181.7 328.4 181.7 319 191L224 286.1L184.1 247C175.6 237.7 160.4 237.7 151 247C141.7 256.4 141.7 271.6 151 280.1L207 336.1C216.4 346.3 231.6 346.3 240.1 336.1L352.1 224.1z", "M352.1 191C362.3 200.4 362.3 215.6 352.1 224.1L240.1 336.1C231.6 346.3 216.4 346.3 207 336.1L151 280.1C141.7 271.6 141.7 256.4 151 247C160.4 237.7 175.6 237.7 184.1 247L224 286.1L319 191C328.4 181.7 343.6 181.7 352.1 191z"]],
    "badge-dollar": [512, 512, [], "f645", ["M256 0C292.8 0 324.8 20.7 340.9 51.1C373.8 40.1 410.1 48.96 437 74.98C463 101 470.1 138.2 460.9 171.1C491.3 187.2 512 219.2 512 256C512 292.8 491.3 324.8 460.9 340.9C471 373.8 463 410.1 437 437C410.1 463 373.8 470.1 340.9 460.9C324.8 491.3 292.8 512 256 512C219.2 512 187.2 491.3 171.1 460.9C138.2 471 101 463 74.98 437C48.96 410.1 41 373.8 51.1 340.9C20.7 324.8 0 292.8 0 256C0 219.2 20.7 187.2 51.1 171.1C40.1 138.2 48.96 101 74.98 74.98C101 48.96 138.2 41 171.1 51.1C187.2 20.7 219.2 0 256 0V0zM276.1 149.3C276.1 138.2 267.1 129.2 256.9 129.2C245.8 129.2 236.8 138.2 236.8 149.3V157.8C230.1 159.1 223.7 161.1 217.8 163.7C201.7 171 187.9 184.5 184.5 203.1C182.6 214.9 183.7 225.4 188.1 234.8C192.5 244.1 199.5 250.8 206.6 255.6C219.2 264.1 235.9 269.2 248.1 273.1L251.3 273.8C266.7 278.5 277.6 282.1 284.5 287.1C287.5 289.3 288.8 291.1 289.4 292.5C290 293.9 290.7 296.4 289.8 301.2C289 305.9 286.3 309.8 279.7 312.6C272.4 315.7 260.1 317.2 246.4 314.9C239.6 313.8 227.4 309.6 216.8 306C214.4 305.2 212.1 304.4 209.9 303.7C199.4 300.2 188.1 305.9 184.6 316.3C181.1 326.8 186.8 338.2 197.2 341.6C198.6 342.1 200.3 342.7 202.3 343.3C211.5 346.5 226.2 351.5 236.8 353.8V362.7C236.8 373.8 245.8 382.8 256.9 382.8C267.1 382.8 276.1 373.8 276.1 362.7V354.7C283.4 353.6 289.6 351.9 295.4 349.4C312.3 342.2 325.7 328.3 329.2 308C331.2 296.9 330.3 286.2 326.1 276.6C321.1 267 315.2 259.1 308 254.8C294.9 245.2 277.2 239.8 263.7 235.8L262.9 235.5C247.3 230.8 236.2 227.4 229.1 222.5C225.1 220.4 224.8 218.8 224.3 217.7C223.9 216.9 223.2 214.1 223.9 210.8C224.5 207.7 226.8 203.6 234.3 200.2C241.9 196.7 253.5 194.9 267.4 197.1C272.3 197.9 287.4 200.8 291.7 201.1C302.4 204.8 313.4 198.5 316.2 187.8C319.1 177.1 312.7 166.2 302 163.3C296.8 161.9 284.2 159.4 276.1 158.2L276.1 149.3z", "M256.9 129.2C267.1 129.2 276.1 138.2 276.1 149.3V158.2C284.2 159.5 296.8 161.9 302 163.3C312.7 166.2 319.1 177.1 316.2 187.8C313.4 198.5 302.4 204.8 291.7 201.1C287.4 200.8 272.3 197.9 267.4 197.1C253.5 194.9 241.9 196.7 234.3 200.2C226.8 203.6 224.5 207.7 223.9 210.8C223.2 214.1 223.9 216.9 224.3 217.7C224.8 218.8 225.1 220.4 229.1 222.5C236.2 227.4 247.3 230.8 262.9 235.5L263.7 235.8C277.2 239.8 294.9 245.2 308 254.8C315.2 259.1 321.1 267 326.1 276.6C330.3 286.2 331.2 296.9 329.2 308C325.7 328.3 312.3 342.2 295.4 349.4C289.6 351.9 283.4 353.6 276.1 354.7V362.7C276.1 373.8 267.1 382.8 256.9 382.8C245.8 382.8 236.8 373.8 236.8 362.7V353.8C226.2 351.5 211.5 346.5 202.3 343.3C200.3 342.7 198.6 342.1 197.2 341.6C186.8 338.2 181.1 326.8 184.6 316.4C188.1 305.9 199.4 300.2 209.9 303.7C212.1 304.4 214.4 305.2 216.8 306C227.4 309.6 239.6 313.8 246.4 314.9C260.1 317.2 272.4 315.7 279.7 312.6C286.3 309.8 289 305.1 289.8 301.2C290.7 296.4 290 293.9 289.4 292.5C288.8 291.1 287.5 289.3 284.5 287.1C277.6 282.1 266.7 278.5 251.3 273.8L248.1 273.1C235.9 269.2 219.2 264.2 206.6 255.6C199.5 250.8 192.5 244.1 188.1 234.8C183.7 225.4 182.6 214.9 184.5 203.1C187.9 184.5 201.7 171 217.8 163.7C223.7 161.1 230.1 159.1 236.8 157.8V149.3C236.8 138.2 245.8 129.2 256.9 129.2L256.9 129.2z"]],
    "badge-percent": [512, 512, [], "f646", ["M256 0C292.8 0 324.8 20.7 340.9 51.1C373.8 40.1 410.1 48.96 437 74.98C463 101 470.1 138.2 460.9 171.1C491.3 187.2 512 219.2 512 256C512 292.8 491.3 324.8 460.9 340.9C471 373.8 463 410.1 437 437C410.1 463 373.8 470.1 340.9 460.9C324.8 491.3 292.8 512 256 512C219.2 512 187.2 491.3 171.1 460.9C138.2 471 101 463 74.98 437C48.96 410.1 41 373.8 51.1 340.9C20.7 324.8 0 292.8 0 256C0 219.2 20.7 187.2 51.1 171.1C40.1 138.2 48.96 101 74.98 74.98C101 48.96 138.2 41 171.1 51.1C187.2 20.7 219.2 0 256 0V0zM192 224C209.7 224 224 209.7 224 192C224 174.3 209.7 160 192 160C174.3 160 160 174.3 160 192C160 209.7 174.3 224 192 224zM320 288C302.3 288 288 302.3 288 320C288 337.7 302.3 352 320 352C337.7 352 352 337.7 352 320C352 302.3 337.7 288 320 288zM336.1 208.1C346.3 199.6 346.3 184.4 336.1 175C327.6 165.7 312.4 165.7 303 175L175 303C165.7 312.4 165.7 327.6 175 336.1C184.4 346.3 199.6 346.3 208.1 336.1L336.1 208.1z", "M224 192C224 209.7 209.7 224 192 224C174.3 224 160 209.7 160 192C160 174.3 174.3 160 192 160C209.7 160 224 174.3 224 192zM352 320C352 337.7 337.7 352 320 352C302.3 352 288 337.7 288 320C288 302.3 302.3 288 320 288C337.7 288 352 302.3 352 320zM208.1 336.1C199.6 346.3 184.4 346.3 175 336.1C165.7 327.6 165.7 312.4 175 303L303 175C312.4 165.7 327.6 165.7 336.1 175C346.3 184.4 346.3 199.6 336.1 208.1L208.1 336.1z"]],
    "badge-sheriff": [512, 512, [], "f8a2", ["M256 320c-35.38 0-64-28.62-64-64s28.62-64 64-64s64 28.62 64 64S291.4 320 256 320z", "M432 304c-4.508 0-8.781 .8203-12.92 1.982L389.4 256l29.71-49.98C423.2 207.2 427.5 208 432 208C458.5 208 480 186.5 480 160s-21.49-48-48-48c-20.87 0-38.45 13.4-45.06 32h-64.19l-35.53-59.81C297.4 75.38 304 62.54 304 48C304 21.49 282.5 0 256 0S208 21.49 208 48c0 14.58 6.579 27.43 16.84 36.23L189.4 144H125.1C118.5 125.4 100.9 112 80 112C53.49 112 32 133.5 32 160s21.49 48 48 48c4.518 0 8.801-.8242 12.95-1.99L122.8 256L92.95 305.1C88.8 304.8 84.52 304 80 304C53.49 304 32 325.5 32 352s21.49 48 48 48c20.87 0 38.45-13.4 45.06-32h64.19l35.53 59.81C214.6 436.6 208 449.5 208 464c0 26.51 21.49 48 48 48s48-21.49 48-48c0-14.58-6.579-27.43-16.84-36.23L322.6 368h64.31c6.611 18.6 24.19 32 45.06 32c26.51 0 48-21.49 48-48S458.5 304 432 304zM256 320c-35.38 0-64-28.62-64-64s28.62-64 64-64s64 28.62 64 64S291.4 320 256 320z"]],
    "badger-honey": [640, 512, [129441], "f6b4", ["M560 287.1l22.58-45.16c-10.91 1.611-24.44 3.9-41.04 8.258L560 287.1zM622.3 142.5c-57.63-32.63-71-50.73-115.5-69.98c-13.38-5.75-27.38-8.479-41.25-8.479c-19.12 0-38.13 5.255-55.5 15.26C392.9 89.03 373.1 96.02 355 96.02H128c-22.27 0-42.88 6.158-61.11 16.14C85.63 173.6 130.1 224 185 224h60.67c16.33 0 32.5-3.668 47.5-11C350.4 178.3 416.1 160 483 160h153.7C633.8 152.6 628.9 146.2 622.3 142.5z", "M640 175.3c0 11.88-9.125 32.35-16.12 47.6c-17.62 38.49-65.61-10.9-235.1 103l27 134.1C417.6 470.8 410.1 480 400 480h-63.38c-7.625 0-14.12-5.375-15.62-12.88L297.9 352H192.2l-33 66.88l15.5 41.25C177.4 470.3 169.7 480 159.2 480H95.5C88.13 480 81.75 475 80 467.9L65.88 432.5c-3.125-12.62-2.375-25.88 2.25-38l21.38-57.38C64.13 320.3 43.88 289.4 36 255.1H16c-8.875 0-16-7.126-16-16V224c0-48.48 27.2-90.15 66.89-111.9C85.63 173.6 130.1 224 185 224h60.67c16.33 0 32.5-3.668 47.5-11c54.14-32.78 115.8-50.37 178.1-52.26c.418 12.89 10.83 23.23 23.82 23.23C509.2 183.1 520 173.3 520 160h116.8C638.7 164.7 640 169.9 640 175.3z"]],
    "badminton": [640, 512, [], "e33a", ["M122.1 367.2c-3.16-3.962-7.818-6.037-12.52-6.037c-3.497 0-7.018 1.142-9.965 3.492l-87.57 69.85c-7.925 6.318-12.05 15.64-12.05 25.05c0 6.994 2.283 14.04 6.983 19.93l9.975 12.51c6.319 7.924 15.64 12.05 25.04 12.05c6.995 0 14.04-2.284 19.93-6.984l87.57-69.85c3.962-3.16 6.025-7.821 6.025-12.52c0-3.497-1.141-7.012-3.491-9.958L122.1 367.2zM607.1 399.1c0-26.51-21.49-48.01-48-48.01s-48 21.5-48 48.01L512 431.1h96L607.1 399.1zM496.8 490.9c-.5547 1.672-.8185 3.371-.8185 5.043c0 8.709 7.03 16.02 16 16.02c6.688 0 12.94-4.251 15.19-10.94l16-48.01c.543-1.637 .6954-3.367 .6954-5.003l-32.75-.0598L496.8 490.9zM544 495.1c0 8.844 7.153 16 15.1 16s16-7.159 16-16l.1181-47.97l-32.23 .0273L544 495.1zM623.2 490.9l-14.31-42.94l-32.75 .0325c0 1.637 .1524 3.394 .6954 5.031l15.1 48.01c2.25 6.688 8.5 10.94 15.19 10.94c8.969 0 16-7.309 16-16.02C624 494.3 623.7 492.6 623.2 490.9z", "M575.8 158.3c0-123-107.6-158.2-164.5-158.2c-47.65 0-98.25 17.02-141.3 51.36C266.8 54.04 183.4 116.3 183.4 219.6c0 26.56 6.051 51.77 17.73 74.26l-85.91 68.56c2.605 .9824 5.061 2.375 6.922 4.709l29.93 37.54c1.854 2.324 2.688 5.038 3.07 7.785l86.72-69.2c29.48 23.15 66.84 34.91 106.3 34.91c47.66 0 98.25-16.1 141.3-51.34C545.5 282.1 575.8 218.3 575.8 158.3zM512.1 158.8c0 40.77-22.23 85.73-62.6 117.9c-31.58 25.15-68.26 37.8-101.7 37.8c-46.63 0-100.4-28.72-100.4-94.81c0-102.5 104.9-155.9 164.2-155.9C445.3 63.77 512.1 83.03 512.1 158.8z"]],
    "bag-shopping": [448, 512, ["shopping-bag"], "f290", ["M288 232C288 245.3 298.7 256 312 256C325.3 256 336 245.3 336 232V160H400C426.5 160 448 181.5 448 208V416C448 469 405 512 352 512H96C42.98 512 0 469 0 416V208C0 181.5 21.49 160 48 160H112V232C112 245.3 122.7 256 136 256C149.3 256 160 245.3 160 232V160H288V232z", "M224 48C188.7 48 160 76.65 160 112V232C160 245.3 149.3 256 136 256C122.7 256 112 245.3 112 232V112C112 50.14 162.1 0 224 0C285.9 0 336 50.14 336 112V232C336 245.3 325.3 256 312 256C298.7 256 288 245.3 288 232V112C288 76.65 259.3 48 224 48z"]],
    "bagel": [640, 512, [129391], "e3d7", ["M584.9 208c0 16.51 10.8 34.51 5.76 49.44c-5.279 15.47-25.23 23.86-35.01 36.72c-9.871 13.01-12.11 33.78-25.66 43.25c-13.41 9.359-34.67 5.055-50.75 10.1c-13.25 4.135-25.75 15.5-39.76 18.98C444.9 346.5 448 325.6 448 304c0-11.38-1.068-22.5-2.609-33.46C474.3 264.4 495.1 238.7 495.1 208c0-35.3-28.69-64-64-64c-13.37 0-25.75 4.125-36.02 11.16c-20-25.21-44.83-46.43-73.25-61.96c2.9-5.742 6.178-11.05 11.27-14.62c13.42-9.377 34.64-5.072 50.77-10.1C400.3 63.63 414.8 48 431.1 48s31.68 15.63 47.25 20.5c16.11 5.039 37.34 .7187 50.75 10.1c13.55 9.473 15.79 30.24 25.66 43.23c9.777 12.89 29.73 21.28 35.01 36.72C595.7 173.5 584.9 191.5 584.9 208z", "M208 96C93.13 96 0 189.1 0 304S93.13 512 208 512S416 418.9 416 304S322.9 96 208 96zM80 288C71.16 288 64 280.8 64 272C64 263.2 71.16 256 80 256S96 263.2 96 272C96 280.8 88.84 288 80 288zM112 416C103.2 416 96 408.8 96 400C96 391.2 103.2 384 112 384S128 391.2 128 400C128 408.8 120.8 416 112 416zM144 224C135.2 224 128 216.8 128 208C128 199.2 135.2 192 144 192S160 199.2 160 208C160 216.8 152.8 224 144 224zM240 448C231.2 448 224 440.8 224 432C224 423.2 231.2 416 240 416S256 423.2 256 432C256 440.8 248.8 448 240 448zM208 352C181.5 352 160 330.5 160 304S181.5 256 208 256S256 277.5 256 304S234.5 352 208 352zM304 416C295.2 416 288 408.8 288 400C288 391.2 295.2 384 304 384s16 7.162 16 16C320 408.8 312.8 416 304 416zM304 256C295.2 256 288 248.8 288 240C288 231.2 295.2 224 304 224S320 231.2 320 240C320 248.8 312.8 256 304 256zM432 0c-63.46 0-120.2 28.52-158.4 73.33c17.2 4.887 33.68 11.48 49.07 19.88c2.895-5.711 6.201-11.07 11.27-14.62c13.42-9.377 34.64-5.072 50.77-10.1C400.3 63.63 414.8 48 431.1 48s31.68 15.63 47.25 20.5c16.11 5.039 37.34 .7187 50.75 10.1c13.55 9.473 15.79 30.24 25.66 43.23c9.777 12.89 29.73 21.28 35.01 36.72C595.7 173.5 584.9 191.5 584.9 208c0 16.51 10.8 34.51 5.76 49.44c-5.279 15.47-25.23 23.86-35.01 36.72c-9.871 13.01-12.11 33.78-25.66 43.25c-13.41 9.359-34.67 5.055-50.75 10.1c-13.24 4.131-25.76 15.49-39.76 18.98c-4.617 17.13-10.95 33.54-19.04 48.93C424.3 415.6 428.1 416 432 416c114.9 0 208-93.13 208-208S546.9 0 432 0z"]],
    "bags-shopping": [576, 512, [128717], "f847", ["M64 160H128V96C128 42.98 170.1 0 224 0C277 0 320 42.98 320 96V160H384C419.3 160 448 188.7 448 224H240C195.8 224 160 259.8 160 304V464C160 469.5 160.6 474.8 161.6 480H64C28.65 480 0 451.3 0 416V224C0 188.7 28.65 160 64 160V160zM224 48C197.5 48 176 69.49 176 96V160H272V96C272 69.49 250.5 48 224 48zM320 352C320 387.3 348.7 416 384 416C419.3 416 448 387.3 448 352V336C448 327.2 455.2 320 464 320C472.8 320 480 327.2 480 336V352C480 405 437 448 384 448C330.1 448 288 405 288 352V336C288 327.2 295.2 320 304 320C312.8 320 320 327.2 320 336V352z", "M512 256C547.3 256 576 284.7 576 320V448C576 483.3 547.3 512 512 512H256C220.7 512 192 483.3 192 448V320C192 284.7 220.7 256 256 256H512zM320 336C320 327.2 312.8 320 304 320C295.2 320 288 327.2 288 336V352C288 405 330.1 448 384 448C437 448 480 405 480 352V336C480 327.2 472.8 320 464 320C455.2 320 448 327.2 448 336V352C448 387.3 419.3 416 384 416C348.7 416 320 387.3 320 352V336z"]],
    "baguette": [640, 512, [129366], "e3d8", ["M639.6 118c-4.062 50.83-35.66 103.5-80.53 134.3L227.7 479.3c-45 30.84-105.2 40.95-153.4 25.59c-22.88-7.268-42.88-22.38-56.29-42.54c-13.3-20.04-19.58-44.33-17.61-68.4c4.062-50.83 35.66-103.5 80.53-134.3l16.73-11.46l83.07 83.07C183.8 334.4 187.9 336 192 336s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L124.5 229.8L211.6 170.2l81.13 81.13C295.8 254.4 299.9 256 304 256s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L238.4 151.8l87.09-59.66l79.2 79.2C407.8 174.4 411.9 176 416 176s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L352.3 73.72l59.95-41.07C443.3 11.38 481.6 0 518.2 0c16.46 0 32.57 2.303 47.54 7.055c22.88 7.268 42.88 22.38 56.29 42.54C635.3 69.63 641.6 93.92 639.6 118z", "M124.5 229.8L97.62 248.2l83.07 83.07C183.8 334.4 187.9 336 192 336s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L124.5 229.8zM238.4 151.8L211.6 170.2l81.13 81.13C295.8 254.4 299.9 256 304 256s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L238.4 151.8zM427.3 148.7L352.3 73.72l-26.85 18.4l79.2 79.2C407.8 174.4 411.9 176 416 176s8.188-1.562 11.31-4.688C433.6 165.1 433.6 154.9 427.3 148.7z"]],
    "bahai": [512, 512, ["haykal"], "f666", ["M338.5 311.6L286.6 300.4l2 53.75l-32.63-42.5l-32.63 42.5l2-53.75L173.5 311.6l35.63-39.87L162.1 246.6L214.7 239.2L194.7 189.4l45 28.63L255.1 166.8l16.25 51.25l45-28.63L297.2 239.2l52.63 7.375l-47 25.13L338.5 311.6z", "M496.3 202.5l-110-15.38l41.88-104.4c6.626-16.63-11.63-32.25-26.63-22.63L307.5 120l-34.13-107.1C270.6 4.25 263.4 0 255.1 0C248.6 0 241.4 4.25 238.6 12.88L204.5 120L110.5 60.12c-15-9.5-33.22 5.1-26.6 22.63l41.85 104.4L15.71 202.5C-1.792 205-5.917 228.8 9.71 237.2l98.14 52.63l-74.51 83.5c-10.88 12.25-1.782 31 13.35 31c1.25 0 2.657-.25 4.032-.5l108.6-23.63l-4.126 112.5C154.7 504.4 164.1 512 173.6 512c5.126 0 10.38-2.25 14.25-7.25l68.13-88.88l68.23 88.88C327.1 509.8 333.2 512 338.4 512c9.501 0 18.88-7.625 18.38-19.25l-4.032-112.5l108.5 23.63c17.38 3.75 29.25-17.25 17.38-30.5l-74.51-83.5l98.14-52.72C517.9 228.8 513.8 205 496.3 202.5zM338.5 311.6L286.6 300.4l2 53.75l-32.63-42.5l-32.63 42.5l2-53.75L173.5 311.6l35.63-39.87L162.1 246.6L214.7 239.2L194.7 189.4l45 28.63L255.1 166.8l16.25 51.25l45-28.63L297.2 239.2l52.63 7.375l-47 25.13L338.5 311.6z"]],
    "baht-sign": [320, 512, [], "e0ac", ["M176 32V64H112V32C112 14.33 126.3 0 144 0C161.7 0 176 14.33 176 32zM176 288V384H112V288H176zM176 128V224H112V128H176zM112 448H176V480C176 497.7 161.7 512 144 512C126.3 512 112 497.7 112 480V448z", "M0 101.6C0 80.82 16.82 64 37.57 64H176C237.9 64 288 114.1 288 176C288 200.2 280.3 222.6 267.3 240.9C298.9 260.7 320 295.9 320 336C320 397.9 269.9 448 208 448H41.74C18.69 448 0 429.3 0 406.3V101.6zM176 224C202.5 224 224 202.5 224 176C224 149.5 202.5 128 176 128H64V224H176zM64 288V384H208C234.5 384 256 362.5 256 336C256 309.5 234.5 288 208 288H64z"]],
    "ball-pile": [576, 512, [], "f77e", ["M80 352C35.84 352 0 387.8 0 432S35.84 512 80 512S160 476.2 160 432S124.2 352 80 352zM288 352c-44.16 0-80 35.84-80 80S243.8 512 288 512s80-35.84 80-80S332.2 352 288 352zM496 352c-44.16 0-80 35.84-80 80s35.84 80 80 80s80-35.84 80-80S540.2 352 496 352zM288 0C243.8 0 208 35.84 208 80S243.8 160 288 160s80-35.84 80-80S332.2 0 288 0z", "M176 168C131.8 168 96 203.8 96 248s35.84 80 80 80S256 292.2 256 248S220.2 168 176 168zM400 168c-44.16 0-80 35.84-80 80s35.84 80 80 80S480 292.2 480 248S444.2 168 400 168z"]],
    "balloon": [384, 512, [], "e2e3", ["M176 96C131.9 96 96 131.9 96 176C96 184.8 88.84 192 80 192S64 184.8 64 176C64 114.3 114.3 64 176 64C184.8 64 192 71.16 192 80S184.8 96 176 96z", "M384 192c0-106-85.96-192-192-192S0 85.96 0 192c0 84.42 101.3 196.4 158.8 238.7l-29.07 58.14c-2.469 4.969-2.219 10.84 .6875 15.56C133.3 509.1 138.5 512 144 512h96c5.531 0 10.69-2.875 13.62-7.594c2.906-4.719 3.156-10.59 .6875-15.56l-29.07-58.14C282.7 388.4 384 276.4 384 192zM176 96C131.9 96 96 131.9 96 176C96 184.8 88.84 192 80 192S64 184.8 64 176C64 114.3 114.3 64 176 64C184.8 64 192 71.16 192 80S184.8 96 176 96z"]],
    "balloons": [640, 512, [], "e2e4", ["M515.3 434.8C564 393.1 640 302.1 640 232C640 139.2 568.4 64 480 64c-54.14 0-101.8 28.41-130.8 71.62C350.9 146.2 352 156.1 352 168c0 31.86-12.03 64.75-27.65 94.08c16.38 64.44 78.47 137.5 120.4 172.7l-27.05 54.11c-2.469 4.969-2.219 10.84 .6875 15.56C421.3 509.1 426.5 512 432 512h96c5.531 0 10.69-2.875 13.62-7.594c2.906-4.719 3.156-10.59 .6875-15.56L515.3 434.8zM464 160C437.5 160 416 181.5 416 208C416 216.8 408.8 224 400 224S384 216.8 384 208C384 163.9 419.9 128 464 128C472.8 128 480 135.2 480 144S472.8 160 464 160z", "M195.3 370.8C244 329.1 320 238.1 320 168C320 75.21 248.4 0 160 0S0 75.21 0 168c0 70.07 75.99 161.1 124.7 202.8l-27.02 54.04c-2.469 4.969-2.219 10.84 .6875 15.56C101.3 445.1 106.5 448 112 448h96c5.531 0 10.69-2.875 13.62-7.594c2.906-4.719 3.156-10.59 .6875-15.56L195.3 370.8zM144 96C117.5 96 96 117.5 96 144C96 152.8 88.84 160 80 160S64 152.8 64 144C64 99.88 99.88 64 144 64C152.8 64 160 71.16 160 80S152.8 96 144 96z"]],
    "ballot": [448, 512, [], "f732", ["M384 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V64C448 28.65 419.3 0 384 0zM128 400C128 408.8 120.8 416 112 416h-32C71.25 416 64 408.8 64 400v-32C64 359.3 71.25 352 80 352h32C120.8 352 128 359.3 128 368V400zM128 272C128 280.8 120.8 288 112 288h-32C71.25 288 64 280.8 64 272v-32C64 231.3 71.25 224 80 224h32C120.8 224 128 231.3 128 240V272zM128 144C128 152.8 120.8 160 112 160h-32C71.25 160 64 152.8 64 144v-32C64 103.3 71.25 96 80 96h32C120.8 96 128 103.3 128 112V144zM368 400h-160C199.2 400 192 392.8 192 384s7.164-16 16-16h160c8.838 0 16 7.164 16 16S376.8 400 368 400zM368 272h-160C199.2 272 192 264.8 192 256s7.164-16 16-16h160C376.8 240 384 247.2 384 256S376.8 272 368 272zM368 144h-160C199.2 144 192 136.8 192 128s7.164-16 16-16h160C376.8 112 384 119.2 384 128S376.8 144 368 144z", "M112 352h-32C71.25 352 64 359.3 64 368v32C64 408.8 71.25 416 80 416h32C120.8 416 128 408.8 128 400v-32C128 359.3 120.8 352 112 352zM112 224h-32C71.25 224 64 231.3 64 240v32C64 280.8 71.25 288 80 288h32C120.8 288 128 280.8 128 272v-32C128 231.3 120.8 224 112 224zM112 96h-32C71.25 96 64 103.3 64 112v32C64 152.8 71.25 160 80 160h32C120.8 160 128 152.8 128 144v-32C128 103.3 120.8 96 112 96z"]],
    "ballot-check": [448, 512, [], "f733", ["M384 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V64C448 28.65 419.3 0 384 0zM64 112C64 103.3 71.25 96 80 96h32C120.8 96 128 103.3 128 112v32C128 152.8 120.8 160 112 160h-32C71.25 160 64 152.8 64 144V112zM128 400C128 408.8 120.8 416 112 416h-32C71.25 416 64 408.8 64 400v-32C64 359.3 71.25 352 80 352h32C120.8 352 128 359.3 128 368V400zM163.3 227.3l-56 56C104.2 286.4 100.1 288 96 288S87.81 286.4 84.69 283.3l-24-24c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0L96 249.4l44.69-44.69c6.25-6.25 16.38-6.25 22.62 0S169.6 221.1 163.3 227.3zM368 400h-160C199.2 400 192 392.8 192 384s7.164-16 16-16h160c8.836 0 16 7.164 16 16S376.8 400 368 400zM368 272h-160C199.2 272 192 264.8 192 256s7.164-16 16-16h160C376.8 240 384 247.2 384 256S376.8 272 368 272zM368 144h-160C199.2 144 192 136.8 192 128s7.164-16 16-16h160C376.8 112 384 119.2 384 128S376.8 144 368 144z", "M80 160h32C120.8 160 128 152.8 128 144v-32C128 103.3 120.8 96 112 96h-32C71.25 96 64 103.3 64 112v32C64 152.8 71.25 160 80 160zM112 352h-32C71.25 352 64 359.3 64 368v32C64 408.8 71.25 416 80 416h32C120.8 416 128 408.8 128 400v-32C128 359.3 120.8 352 112 352zM163.3 204.7c-6.25-6.25-16.38-6.25-22.62 0L96 249.4L83.31 236.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l24 24C87.81 286.4 91.91 288 96 288s8.188-1.562 11.31-4.688l56-56C169.6 221.1 169.6 210.9 163.3 204.7z"]],
    "ban": [512, 512, [128683, "cancel"], "f05e", ["M144.8 99.5L412.5 367.2C400.1 384.7 384.7 400.1 367.2 412.5L99.5 144.8C111.1 127.3 127.3 111.9 144.8 99.5V99.5z", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 448C362 448 448 362 448 256C448 149.1 362 64 256 64C149.1 64 64 149.1 64 256C64 362 149.1 448 256 448z"]],
    "ban-bug": [512, 512, ["debug"], "f7f9", ["M206.4 161.2C220.1 150.4 237.3 144 255.1 144C275.8 144 293.9 151.2 307.8 163L335.8 146.3C343.3 141.7 353.2 144.2 357.7 151.8C362.3 159.3 359.8 169.2 352.2 173.7L327.7 188.4C331.6 196.4 334.3 205.1 335.4 214.2L364.9 208.3C373.5 206.6 381.1 212.2 383.7 220.9C385.4 229.5 379.8 237.1 371.1 239.7L336 246.7V265.3L371.1 272.3C379.8 274 385.4 282.5 383.7 291.1C381.1 299.8 373.5 305.4 364.9 303.7L344.1 299.7L206.4 161.2zM305.6 350.8C291.9 361.6 274.7 368 255.1 368C236.2 368 218.1 360.8 204.2 348.1L176.2 365.7C168.7 370.3 158.8 367.8 154.3 360.2C149.7 352.7 152.2 342.8 159.8 338.3L184.3 323.6C180.4 315.6 177.7 306.1 176.6 297.8L147.1 303.7C138.5 305.4 130 299.8 128.3 291.1C126.6 282.5 132.2 274 140.9 272.3L175.1 265.3V224C175.1 223.1 176 222.2 176 221.3L305.6 350.8z", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM99.5 144.8C77.15 176.1 64 214.5 64 256C64 362 149.1 448 256 448C297.5 448 335.9 434.9 367.2 412.5L99.5 144.8zM448 256C448 149.1 362 64 256 64C214.5 64 176.1 77.15 144.8 99.5L412.5 367.2C434.9 335.9 448 297.5 448 256V256z"]],
    "ban-parking": [512, 512, ["parking-circle-slash"], "f616", ["M296.6 251.4C305.8 245.7 312 235.6 312 224C312 206.3 297.7 192 280 192H237.3L182.5 137.2C189.4 131.5 198.3 128 208 128H280C333 128 376 170.1 376 224C376 253.2 362.9 279.4 342.3 297L296.6 251.4zM168 261.3L232 325.3V352C232 369.7 217.7 384 200 384C182.3 384 168 369.7 168 352V261.3z", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM99.5 144.8C77.15 176.1 64 214.5 64 256C64 362 149.1 448 256 448C297.5 448 335.9 434.9 367.2 412.5L99.5 144.8zM448 256C448 149.1 362 64 256 64C214.5 64 176.1 77.15 144.8 99.5L412.5 367.2C434.9 335.9 448 297.5 448 256V256z"]],
    "ban-smoking": [512, 512, [128685, "smoking-ban"], "f54d", ["M112 224C103.3 224 96 231.3 96 240v64C96 312.8 103.3 320 112 320h117.5l-96-96H112zM400 224h-130.8l32 32H384v32h-50.81l32 32H400c8.75 0 16-7.25 16-16v-64C416 231.3 408.8 224 400 224zM319.4 160c15.62 0 28.62 11.25 31.38 25.88C351.6 189.5 354.8 192 358.6 192h16.12c5 0 8.75-4.5 8-9.375C378.1 151.8 351.6 128 319.4 128c-15.62 0-28.62-11.25-31.38-25.88C287.3 98.5 284.1 96 280.3 96h-16.29c-5 0-8.59 4.5-7.965 9.375C260.7 136.3 287.3 160 319.4 160z", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 448c-105.9 0-192-86.13-192-192c0-41.38 13.25-79.75 35.75-111.1l267.4 267.4C335.8 434.8 297.4 448 256 448zM412.3 367.1L144.9 99.75C176.3 77.25 214.6 64 256 64C361.9 64 448 150.1 448 256C448 297.4 434.8 335.8 412.3 367.1z"]],
    "banana": [576, 512, [], "e2e5", ["M303.1 142.3c0-61.51-16.74-86.79-16.74-103c0-22.2 19.9-39.25 40.91-39.25c38.58 0 119.7 103.8 119.7 221.9c0 21.14-2.247 42.79-7.066 64.78c-9.965 .8795-19.93 2.558-29.7 6.055l-84.84 30.34L297.6 294.6c-8.299-8.267-17.73-14.7-27.61-20.07C276.4 262.7 303.1 216.7 303.1 142.3z", "M575.1 390.5c0-3.695-.8637-7.445-2.687-10.96l-15.12-29.17c-21.05-40.62-63.08-64.65-106.9-64.65c-13.43 0-27.02 2.257-40.22 6.984l-84.84 30.34L297.6 294.6C274.4 271.4 243.7 259.5 212.8 259.5c-23.72 0-47.57 6.985-68.29 21.25L106.3 307.1c-6.732 4.641-10.35 12.09-10.35 19.67c0 14.96 12.7 23.92 24.04 23.92c4.695 0 9.443-1.379 13.61-4.269l38.13-26.29C184.2 311.6 198.5 307.4 212.7 307.4c10.64 0 21.24 2.344 30.97 6.949c-50.62 62.37-128.3 100.1-211.4 100.1C14.42 414.4 0 428.8 0 446.5v31.45c0 17.72 14.66 32.09 32.46 32.09l28.98 .0009c68.41 0 286.5 25.73 363.9-171.6c9.021-3.227 17.95-4.722 26.53-4.722c27.65 0 51.7 15.53 63.7 38.63l15.12 29.17c3.484 6.737 11.74 13.01 21.41 13.01C564.1 414.5 575.1 404.6 575.1 390.5z"]],
    "bandage": [640, 512, [129657, "band-aid"], "f462", ["M480 96H576C611.3 96 640 124.7 640 160V352C640 387.3 611.3 416 576 416H480V96zM448 416H192V96H448V416zM272 184C258.7 184 248 194.7 248 208C248 221.3 258.7 232 272 232C285.3 232 296 221.3 296 208C296 194.7 285.3 184 272 184zM368 232C381.3 232 392 221.3 392 208C392 194.7 381.3 184 368 184C354.7 184 344 194.7 344 208C344 221.3 354.7 232 368 232zM272 280C258.7 280 248 290.7 248 304C248 317.3 258.7 328 272 328C285.3 328 296 317.3 296 304C296 290.7 285.3 280 272 280zM368 328C381.3 328 392 317.3 392 304C392 290.7 381.3 280 368 280C354.7 280 344 290.7 344 304C344 317.3 354.7 328 368 328zM64 96H160V416H64C28.65 416 0 387.3 0 352V160C0 124.7 28.65 96 64 96z", "M192 416H160V96H192V416zM480 416H448V96H480V416z"]],
    "bangladeshi-taka-sign": [384, 512, [], "e2e6", ["M64 224H32C14.33 224 0 209.7 0 192C0 174.3 14.33 160 32 160H64V224zM128 160H160C177.7 160 192 174.3 192 192C192 209.7 177.7 224 160 224H128V160z", "M.2467 60.03C2.439 42.49 18.43 30.05 35.97 32.25L43.91 33.24C91.95 39.24 127.1 80.08 127.1 128.5V384C127.1 401.7 142.3 416 159.1 416H191.1C262.7 416 320 358.7 320 287.1V255.1C320 238.3 305.7 223.1 288 223.1H272C254.3 223.1 240 209.7 240 191.1C240 174.3 254.3 159.1 272 159.1H288C341 159.1 384 202.1 384 255.1V287.1C384 394 298 480 191.1 480H159.1C106.1 480 63.1 437 63.1 384V128.5C63.1 112.4 51.98 98.75 35.97 96.74L28.03 95.75C10.49 93.56-1.946 77.57 .2467 60.03z"]],
    "banjo": [512, 512, [129685], "f8a3", ["M192 152c-92.78 0-168 75.21-168 168c0 92.78 75.22 168 168 168s168-75.22 168-168C360 227.2 284.8 152 192 152zM192 432c-61.76 0-112-50.24-112-112S130.2 208 192 208s112 50.24 112 112S253.8 432 192 432z", "M165.9 485.3v.4616C165.9 500.3 177.5 512 192 512s26.13-11.75 26.13-26.25v-.4616C209.6 486.6 200.9 488 192 488S174.5 486.6 165.9 485.3zM56.49 418.5c-7 6.5-10.12 16.62-7.743 25.87s9.626 16.5 18.88 18.87s19.13-.4999 25.63-7.5C79.05 445.4 66.84 432.7 56.49 418.5zM218.1 154.1C218.1 139.7 206.4 128 192 128c-14.5 0-26.21 11.75-26.21 26.12L165.7 154.6c-.0625 .0098 .0625-.0098 0 0C174.4 153.3 182.9 152 192 152c8.979 0 17.56 1.273 26.15 2.631c-.0293-.0039 .0293 .0039 0 0L218.1 154.1zM56.88 184.9c-9.875 10-10.25 25.1-.625 36.37c10.34-14.2 23.04-26.41 37.24-36.76C83.25 174.9 66.88 174.9 56.88 184.9zM26.64 293.7L26.25 293.8C11.75 293.8 0 305.5 0 320c0 14.38 11.75 26.12 26.25 26.12l.3792 .02c.0039 .0273-.0039-.0273 0 0C25.27 337.5 24 328.1 24 320C24 310.9 25.26 302.4 26.64 293.7C26.63 293.8 26.65 293.6 26.64 293.7zM357.8 293.8l-.3885-.0508c-.0117-.0684 .0117 .0684 0 0C358.8 302.4 360 310.9 360 320c0 8.977-1.266 17.55-2.621 26.15c.0039-.0273-.0039 .0273 0 0l.3821-.02c14.5 0 26.25-11.75 26.25-26.12C384 305.5 372.3 293.8 357.8 293.8zM327.8 418.8c-10.35 14.2-23.04 26.41-37.24 36.76c6.5 7 16.62 10.12 25.87 7.743s16.5-9.625 18.88-18.87S334.8 425.3 327.8 418.8zM194.3 381.6l11.38-11.25C207.1 368.9 208 366.9 208 364.8S207.1 360.5 205.6 359L153 306.4C151.5 304.9 149.5 304 147.4 304S143.1 304.9 141.6 306.4L130.4 317.6c-3.125 3.125-3.125 8.25 0 11.38L183 381.6C186.1 384.8 191.1 384.8 194.3 381.6zM502.6 38.1l-29.63-29.62c-12.5-12.5-32.75-12.5-45.25 0l-46.25 46.38c-3.875 3.875-6.75 8.5-8.5 13.75l-12.26 36.62l-74.73 74.64c17.8 12.05 33.19 27.43 45.23 45.23l74.87-74.87L442.5 139c5.25-1.75 9.875-4.625 13.75-8.5L502.6 84.17C515.1 71.79 515.1 51.5 502.6 38.1z"]],
    "barcode": [512, 512, [], "f02a", ["M40 32C53.25 32 64 42.75 64 56V456C64 469.3 53.25 480 40 480H24C10.75 480 0 469.3 0 456V56C0 42.75 10.75 32 24 32H40zM128 48V464C128 472.8 120.8 480 112 480C103.2 480 96 472.8 96 464V48C96 39.16 103.2 32 112 32C120.8 32 128 39.16 128 48zM200 32C213.3 32 224 42.75 224 56V456C224 469.3 213.3 480 200 480H184C170.7 480 160 469.3 160 456V56C160 42.75 170.7 32 184 32H200zM296 32C309.3 32 320 42.75 320 56V456C320 469.3 309.3 480 296 480H280C266.7 480 256 469.3 256 456V56C256 42.75 266.7 32 280 32H296zM448 56C448 42.75 458.7 32 472 32H488C501.3 32 512 42.75 512 56V456C512 469.3 501.3 480 488 480H472C458.7 480 448 469.3 448 456V56zM384 48C384 39.16 391.2 32 400 32C408.8 32 416 39.16 416 48V464C416 472.8 408.8 480 400 480C391.2 480 384 472.8 384 464V48z", ""]],
    "barcode-read": [576, 512, [], "f464", ["M48 136C48 149.3 37.25 160 24 160C10.75 160 0 149.3 0 136V56C0 25.07 25.07 0 56 0H136C149.3 0 160 10.75 160 24C160 37.25 149.3 48 136 48H56C51.58 48 48 51.58 48 56V136zM528 56C528 51.58 524.4 48 520 48H440C426.7 48 416 37.25 416 24C416 10.75 426.7 0 440 0H520C550.9 0 576 25.07 576 56V136C576 149.3 565.3 160 552 160C538.7 160 528 149.3 528 136V56zM136 464C149.3 464 160 474.7 160 488C160 501.3 149.3 512 136 512H56C25.07 512 0 486.9 0 456V376C0 362.7 10.75 352 24 352C37.25 352 48 362.7 48 376V456C48 460.4 51.58 464 56 464H136zM528 376C528 362.7 538.7 352 552 352C565.3 352 576 362.7 576 376V456C576 486.9 550.9 512 520 512H440C426.7 512 416 501.3 416 488C416 474.7 426.7 464 440 464H520C524.4 464 528 460.4 528 456V376z", "M168 128C181.3 128 192 138.7 192 152V360C192 373.3 181.3 384 168 384H152C138.7 384 128 373.3 128 360V152C128 138.7 138.7 128 152 128H168zM328 128C341.3 128 352 138.7 352 152V360C352 373.3 341.3 384 328 384H312C298.7 384 288 373.3 288 360V152C288 138.7 298.7 128 312 128H328zM384 152C384 138.7 394.7 128 408 128H424C437.3 128 448 138.7 448 152V360C448 373.3 437.3 384 424 384H408C394.7 384 384 373.3 384 360V152zM256 144V368C256 376.8 248.8 384 240 384C231.2 384 224 376.8 224 368V144C224 135.2 231.2 128 240 128C248.8 128 256 135.2 256 144z"]],
    "barcode-scan": [640, 512, [], "f465", ["M0 256C0 242.7 10.75 232 24 232H616C629.3 232 640 242.7 640 256C640 269.3 629.3 280 616 280H24C10.75 280 0 269.3 0 256z", "M64 56C64 42.75 74.75 32 88 32H104C117.3 32 128 42.75 128 56V192H64V56zM128 320V456C128 469.3 117.3 480 104 480H88C74.75 480 64 469.3 64 456V320H128zM192 320V464C192 472.8 184.8 480 176 480C167.2 480 160 472.8 160 464V320H192zM288 320V456C288 469.3 277.3 480 264 480H248C234.7 480 224 469.3 224 456V320H288zM288 192H224V56C224 42.75 234.7 32 248 32H264C277.3 32 288 42.75 288 56V192zM384 320V456C384 469.3 373.3 480 360 480H344C330.7 480 320 469.3 320 456V320H384zM384 192H320V56C320 42.75 330.7 32 344 32H360C373.3 32 384 42.75 384 56V192zM480 320V464C480 472.8 472.8 480 464 480C455.2 480 448 472.8 448 464V320H480zM480 192H448V48C448 39.16 455.2 32 464 32C472.8 32 480 39.16 480 48V192zM576 320V456C576 469.3 565.3 480 552 480H536C522.7 480 512 469.3 512 456V320H576zM576 192H512V56C512 42.75 522.7 32 536 32H552C565.3 32 576 42.75 576 56V192zM192 192H160V48C160 39.16 167.2 32 176 32C184.8 32 192 39.16 192 48V192z"]],
    "bars": [448, 512, ["navicon"], "f0c9", ["M0 256C0 238.3 14.33 224 32 224H416C433.7 224 448 238.3 448 256C448 273.7 433.7 288 416 288H32C14.33 288 0 273.7 0 256z", "M416 128H32C14.33 128 0 113.7 0 96C0 78.33 14.33 64 32 64H416C433.7 64 448 78.33 448 96C448 113.7 433.7 128 416 128zM416 448H32C14.33 448 0 433.7 0 416C0 398.3 14.33 384 32 384H416C433.7 384 448 398.3 448 416C448 433.7 433.7 448 416 448z"]],
    "bars-filter": [448, 512, [], "e0ad", ["M64 256C64 238.3 78.33 224 96 224H352C369.7 224 384 238.3 384 256C384 273.7 369.7 288 352 288H96C78.33 288 64 273.7 64 256z", "M416 128H32C14.33 128 0 113.7 0 96C0 78.33 14.33 64 32 64H416C433.7 64 448 78.33 448 96C448 113.7 433.7 128 416 128zM256 448H192C174.3 448 160 433.7 160 416C160 398.3 174.3 384 192 384H256C273.7 384 288 398.3 288 416C288 433.7 273.7 448 256 448z"]],
    "bars-progress": [512, 512, ["tasks-alt"], "f828", ["M320 160H448V128H320V64H464C490.5 64 512 85.49 512 112V176C512 202.5 490.5 224 464 224H320V160zM192 384H448V352H192V288H464C490.5 288 512 309.5 512 336V400C512 426.5 490.5 448 464 448H192V384z", "M0 112C0 85.49 21.49 64 48 64H320V224H48C21.49 224 0 202.5 0 176V112zM0 336C0 309.5 21.49 288 48 288H192V448H48C21.49 448 0 426.5 0 400V336z"]],
    "bars-sort": [448, 512, [], "e0ae", ["M0 256C0 238.3 14.33 224 32 224H288C305.7 224 320 238.3 320 256C320 273.7 305.7 288 288 288H32C14.33 288 0 273.7 0 256z", "M416 128H32C14.33 128 0 113.7 0 96C0 78.33 14.33 64 32 64H416C433.7 64 448 78.33 448 96C448 113.7 433.7 128 416 128zM160 448H32C14.33 448 0 433.7 0 416C0 398.3 14.33 384 32 384H160C177.7 384 192 398.3 192 416C192 433.7 177.7 448 160 448z"]],
    "bars-staggered": [512, 512, ["reorder", "stream"], "f550", ["M64 256C64 238.3 78.33 224 96 224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H96C78.33 288 64 273.7 64 256z", "M416 128H32C14.33 128 0 113.7 0 96C0 78.33 14.33 64 32 64H416C433.7 64 448 78.33 448 96C448 113.7 433.7 128 416 128zM416 448H32C14.33 448 0 433.7 0 416C0 398.3 14.33 384 32 384H416C433.7 384 448 398.3 448 416C448 433.7 433.7 448 416 448z"]],
    "baseball": [512, 512, [129358, 9918, "baseball-ball"], "f433", ["M256.7 447.2c.6964-8.538 8.287-14.61 16.49-14.61c7.1 0 15.44 6.938 15.44 15.92c0 2.358-.6524 5.88-.6524 15.72c0 15.25 2.383 30.16 6.209 44.66c110.8-16.63 198.2-104.1 214.7-215c-14.55-3.851-29.59-5.871-44.74-5.871c-10.47 0-16.24 .895-18.13 .895c-2.764 0-16.44-2.306-16.44-15.97c0-16.26 16.36-16.81 29.99-16.81l2.931 .0029c16.64 0 33.14 2.056 49.2 5.834C511.7 259.9 512 258 512 256c0-141.4-114.6-256-256-256C253.9 0 251.1 .2578 249.9 .3047c3.658 15.51 6.111 31.34 6.111 47.54c0 6-.2813 12.03-.7813 18C254.6 74.19 247.6 80.5 239.3 80.5c-6.091 0-16.03-4.68-16.03-15.97c0-1.733 .7149-7.153 .7149-16.69c0-15.26-2.389-30.18-6.225-44.69C106.9 19.79 19.5 107.3 3.08 218.3c14.44 3.819 29.38 5.79 44.45 5.79c10.07 0 15.59-.811 17.42-.811c6.229 0 16.49 4.657 16.49 15.99c0 16.11-16.13 16.77-29.73 16.77L48.16 256c-16.33 0-32.25-2.445-47.85-6.109C.2578 251.1 0 253.9 0 256c0 141.4 114.6 256 256 256c2.066 0 4.062-.2578 6.117-.3086C258.5 496.2 256 480.4 256 464.2C256 458.5 256.3 452.8 256.7 447.2zM273.4 384c0-28 78.29-109.4 108.1-109.4c9.35 0 16 7.72 16 16.03c0 5.965-3.364 11.68-9.131 14.43c-78.82 37.57-75.92 95-98.94 95C276.8 400.1 273.4 388.5 273.4 384zM238.2 128.9c0 27.78-78.3 108.1-108.6 108.1c-8.612 0-16.01-6.963-16.01-15.98c0-6.002 3.394-11.75 9.163-14.49c80.3-38.08 76.21-94.5 99.39-94.5C234.7 112.8 238.2 124.2 238.2 128.9z", "M64.95 223.3c-1.823 0-7.349 .811-17.42 .811c-15.08 0-30.01-1.971-44.45-5.79c-1.535 10.37-2.521 20.89-2.773 31.62c15.6 3.664 31.52 6.109 47.85 6.109l3.558 .0052c13.68 0 29.73-.6505 29.73-16.77C81.44 227.9 71.24 223.3 64.95 223.3zM238.2 128.9c0-4.404-3.473-16.02-16.02-16.02c-22.61 0-13.18 37.42-73.27 79.32C124.1 208.1 113.6 207.2 113.6 221.8c0 9.099 7.466 15.98 16.01 15.98c2.312 0 4.625-.5 6.844-1.531C216.3 198.6 238.2 130.5 238.2 128.9zM249.9 .3047c-10.9 .2578-21.59 1.273-32.11 2.852c3.836 14.51 6.225 29.43 6.225 44.69c0 9.536-.7149 14.96-.7149 16.69c0 11.23 9.803 15.97 16.03 15.97c8.219 0 15.22-6.312 15.91-14.66c.5-5.969 .7813-12 .7813-18C256 31.64 253.6 15.81 249.9 .3047zM462.5 256.1l-2.931-.0029c-13.8 0-29.99 .5533-29.99 16.81c0 13.66 13.68 15.97 16.44 15.97c1.895 0 7.667-.895 18.13-.895c15.15 0 30.18 2.02 44.74 5.871c1.553-10.46 2.555-21.08 2.803-31.91C495.6 258.1 479.1 256.1 462.5 256.1zM381.5 274.6c-2.316 0-4.663 .5103-6.878 1.587c-78.99 37.47-101.2 106.3-101.2 107.8c0 4.524 3.536 16.03 16.01 16.03c6.062 0 11.88-3.469 14.56-9.344c36.92-80.69 93.51-76.9 93.51-100.1C397.5 282.2 390.7 274.6 381.5 274.6zM288.7 448.5c0-9.007-7.472-15.92-15.44-15.92c-8.203 0-15.79 6.074-16.49 14.61C256.3 452.8 256 458.5 256 464.2c0 16.19 2.453 32 6.117 47.5c10.89-.2578 21.58-1.27 32.09-2.848C290.4 494.3 288 479.4 288 464.2C288 454.3 288.7 450.8 288.7 448.5z"]],
    "baseball-bat-ball": [640, 512, [], "f432", ["M576 432c0 44.25-35.78 80-79.91 80s-79.72-35.75-79.72-80s35.59-80 79.72-80S576 387.8 576 432z", "M57.89 397.2c-6.262-8.616-16.02-13.19-25.92-13.19c-23.33 0-31.98 20.68-31.98 32.03c0 6.522 1.987 13.1 6.115 18.78l46.52 64C58.89 507.4 68.64 512 78.55 512c23.29 0 31.97-20.66 31.97-32.03c0-6.522-1.988-13.1-6.115-18.78L57.89 397.2zM640 99.38c0-13.61-4.133-27.34-12.72-39.2l-23.63-32.5c-13.44-18.5-33.77-27.68-54.12-27.68c-13.89 0-27.79 4.281-39.51 12.8L307.8 159.7C262.2 192.8 220.4 230.9 183.4 273.4c-24.22 27.88-59.18 63.99-103.5 99.63l56.34 77.52c53.79-35.39 99.15-55.3 127.1-67.27c51.87-22 101.3-49.87 146.9-82.1l202.3-146.7C630.5 140.4 640 120 640 99.38z"]],
    "basket-shopping": [576, 512, ["shopping-basket"], "f291", ["M393 192L426.1 265.8C431.5 277.9 445.7 283.3 457.8 277.9C469.9 272.5 475.3 258.3 469.9 246.2L445.6 192H544C561.7 192 576 206.3 576 224C576 241.7 561.7 256 544 256L492.1 463.5C484.1 492 459.4 512 430 512H145.1C116.6 512 91 492 83.88 463.5L32 256C14.33 256 0 241.7 0 224C0 206.3 14.33 192 32 192H130.4L106.1 246.2C100.7 258.3 106.1 272.5 118.2 277.9C130.3 283.3 144.5 277.9 149.9 265.8L182.1 192H393zM192 319.1C192 311.1 184.8 303.1 176 303.1C167.2 303.1 160 311.1 160 319.1V415.1C160 424.8 167.2 431.1 176 431.1C184.8 431.1 192 424.8 192 415.1V319.1zM272 319.1V415.1C272 424.8 279.2 431.1 288 431.1C296.8 431.1 304 424.8 304 415.1V319.1C304 311.1 296.8 303.1 288 303.1C279.2 303.1 272 311.1 272 319.1zM416 319.1C416 311.1 408.8 303.1 400 303.1C391.2 303.1 384 311.1 384 319.1V415.1C384 424.8 391.2 431.1 400 431.1C408.8 431.1 416 424.8 416 415.1V319.1z", "M149.9 265.8C144.5 277.9 130.3 283.3 118.2 277.9C106.1 272.5 100.7 258.3 106.1 246.2L210.1 14.18C215.5 2.087 229.7-3.323 241.8 2.099C253.9 7.521 259.3 21.72 253.9 33.82L149.9 265.8zM322.1 33.82C316.7 21.72 322.1 7.521 334.2 2.099C346.3-3.323 360.5 2.087 365.9 14.18L469.9 246.2C475.3 258.3 469.9 272.5 457.8 277.9C445.7 283.3 431.5 277.9 426.1 265.8L322.1 33.82z"]],
    "basket-shopping-simple": [576, 512, ["shopping-basket-alt"], "e0af", ["M393 192L426.1 265.8C431.5 277.9 445.7 283.3 457.8 277.9C469.9 272.5 475.3 258.3 469.9 246.2L445.6 192H544C561.7 192 576 206.3 576 224C576 241.7 561.7 256 544 256L492.1 463.5C484.1 492 459.4 512 430 512H145.1C116.6 512 91 492 83.88 463.5L32 256C14.33 256 0 241.7 0 224C0 206.3 14.33 192 32 192H130.4L106.1 246.2C100.7 258.3 106.1 272.5 118.2 277.9C130.3 283.3 144.5 277.9 149.9 265.8L182.1 192H393z", "M149.9 265.8C144.5 277.9 130.3 283.3 118.2 277.9C106.1 272.5 100.7 258.3 106.1 246.2L210.1 14.18C215.5 2.087 229.7-3.323 241.8 2.099C253.9 7.521 259.3 21.72 253.9 33.82L149.9 265.8zM322.1 33.82C316.7 21.72 322.1 7.521 334.2 2.099C346.3-3.323 360.5 2.087 365.9 14.18L469.9 246.2C475.3 258.3 469.9 272.5 457.8 277.9C445.7 283.3 431.5 277.9 426.1 265.8L322.1 33.82z"]],
    "basketball": [512, 512, [127936, "basketball-ball"], "f434", ["M447.8 86.83L278.6 256l61.52 61.52C373.6 289.2 416.8 272 464 272c16.2 0 31.85 2.236 46.89 6.031C511.5 270.8 512 263.4 512 256C512 191.1 487.6 131.1 447.8 86.83zM148.7 171.3L64.21 86.83c-28.39 32.16-48.9 71.38-58.3 114.8C19.41 205.4 33.34 208 48 208C86.34 208 121.1 193.9 148.7 171.3zM194.5 171.9L256 233.4l169.2-169.2C380 24.37 320.9 0 256 0C248.6 0 241.2 .4922 233.1 1.113C237.8 16.15 240 31.8 240 48C240 95.19 222.8 138.4 194.5 171.9zM208 48c0-14.66-2.623-28.59-6.334-42.09C158.2 15.31 118.1 35.82 86.83 64.21l84.48 84.48C193.9 121.1 208 86.34 208 48zM304 464c0 14.66 2.623 28.59 6.334 42.09c43.46-9.4 82.67-29.91 114.8-58.3l-84.48-84.48C318.1 390.9 304 425.7 304 464zM363.3 340.7l84.48 84.48c28.39-32.16 48.9-71.38 58.3-114.8C492.6 306.6 478.7 304 464 304C425.7 304 390.9 318.1 363.3 340.7zM317.5 340.1L256 278.6l-169.2 169.2C131.1 487.6 191.1 512 256 512c7.438 0 14.75-.4922 22.03-1.113C274.2 495.8 272 480.2 272 464C272 416.8 289.2 373.6 317.5 340.1zM171.9 194.5C138.4 222.8 95.19 240 48 240c-16.2 0-31.85-2.236-46.89-6.031C.4922 241.2 0 248.6 0 256c0 64.93 24.37 124 64.21 169.2L233.4 256L171.9 194.5z", "M310.3 506.1c-10.54 2.279-21.32 3.855-32.3 4.793C274.2 495.8 272 480.2 272 464c0-47.19 17.18-90.39 45.52-123.9L256 278.6l-169.2 169.2c-8.01-7.07-15.55-14.62-22.62-22.62L233.4 256L171.9 194.5C138.4 222.8 95.19 240 48 240c-16.2 0-31.85-2.236-46.89-6.031C2.051 222.1 3.627 212.2 5.906 201.7C19.41 205.4 33.34 208 48 208c38.34 0 73.1-14.12 100.7-36.69L64.21 86.83C71.28 78.82 78.82 71.28 86.83 64.21l84.48 84.48C193.9 121.1 208 86.34 208 48c0-14.66-2.623-28.59-6.334-42.09C212.2 3.627 222.1 2.051 233.1 1.113C237.8 16.15 240 31.8 240 48c0 47.19-17.18 90.39-45.52 123.9L256 233.4l169.2-169.2c8.01 7.07 15.55 14.62 22.62 22.62L278.6 256l61.52 61.52C373.6 289.2 416.8 272 464 272c16.2 0 31.85 2.236 46.89 6.031c-.9375 10.98-2.514 21.76-4.793 32.3C492.6 306.6 478.7 304 464 304c-38.34 0-73.1 14.12-100.7 36.69l84.48 84.48c-7.07 8.01-14.62 15.55-22.62 22.62l-84.48-84.48C318.1 390.9 304 425.7 304 464C304 478.7 306.6 492.6 310.3 506.1z"]],
    "basketball-hoop": [640, 512, [], "f435", ["M192 240h256V160H192V240zM320 0C102.1 0 0 169.8 0 208.1v118c0 25.43 15.05 48.44 38.35 58.63l93.09 40.72L115.4 288l.7285-.7832C104.8 285.3 96 275.9 96 264C96 250.7 106.7 240 120 240H160V160c0-17.64 14.34-32 32-32h256c17.66 0 32 14.36 32 32v80h40C533.3 240 544 250.7 544 264c0 11.88-8.789 21.3-20.12 23.22L524.6 288l-16.04 137.5l93.09-40.73C624.9 374.6 640 351.6 640 326.1V208.1C640 167.8 534.1 0 320 0z", "M520 240H120C106.7 240 96 250.7 96 264C96 277.3 106.7 288 120 288h27.61l24.48 209.8c.5527 4.738 4.955 14.16 15.9 14.16c4.312 0 8.536-1.746 11.6-4.98l54.41-57.27l54.41 57.27C311.4 510.2 315.6 512 320 512s8.594-1.797 11.59-4.984l54.41-57.27l54.41 57.27C443.5 510.3 447.7 512 452 512c11.04 0 15.36-9.445 15.91-14.16L492.4 288H520C533.3 288 544 277.3 544 264C544 250.7 533.3 240 520 240zM363.5 288L320 333.8L276.5 288H363.5zM184.1 324L179.9 288h46.24L184.1 324zM199.9 460.2l-8.955-76.79l40.96 43.11L199.9 460.2zM203.2 349.8l48.44-41.52l46.35 48.78l-43.94 46.25L203.2 349.8zM320 472.8l-43.94-46.24L320 380.3l43.94 46.25L320 472.8zM342.1 357l46.35-48.78l48.44 41.52l-50.84 53.52L342.1 357zM440.1 460.2l-32-33.68l40.96-43.11L440.1 460.2zM455.9 324L413.9 288h46.24L455.9 324z"]],
    "bat": [576, 512, [], "f6b5", ["M235.6 52.81L256 80H320L340.4 52.81C342.7 49.78 346.2 48 350 48C355.8 48 360.8 52.12 361.8 57.81L380.9 159.2L355.4 171.3C348.9 174.4 341.9 176 334.8 176H241.2C234.1 176 227.1 174.4 220.6 171.3L195.1 159.2L214.2 57.81C215.2 52.12 220.2 48 225.1 48C229.8 48 233.3 49.78 235.6 52.81z", "M355.4 171.3L452.6 125C468.8 117.3 488.1 121.4 499.7 135C548.9 192.4 576 265.6 576 341.2V378.8C576 388.6 565.8 394.9 557.1 390.5L493.3 358.6C485.8 354.9 476.7 357.5 472.4 364.7L442.5 414.4C437.2 423.4 424.9 424.9 417.5 417.5L380.9 380.9C374.1 374.1 362.8 374.8 356.9 382.4L300.7 455.5C294.3 463.8 281.7 463.8 275.3 455.5L219.1 382.4C213.2 374.8 201.9 374.1 195.1 380.9L158.5 417.5C151.1 424.9 138.8 423.4 133.5 414.4L103.6 364.7C99.32 357.5 90.23 354.9 82.75 358.6L18.93 390.5C10.23 394.9 0 388.6 0 378.8V341.2C0 265.6 27.05 192.4 76.27 135C87.91 121.4 107.2 117.3 123.4 125L220.6 171.3C227.1 174.4 234.1 176 241.2 176H334.8C341.9 176 348.9 174.4 355.4 171.3H355.4z"]],
    "bath": [512, 512, [128705, "bathtub"], "f2cd", ["M96 256V77.25C95.97 66.45 111 60.23 118.6 67.88L132.4 81.66C123.6 108.6 129.4 134.5 144.2 153.2C137.9 159.5 137.8 169.8 144 176l11.31 11.31c6.248 6.248 16.38 6.248 22.63 0l105.4-105.4c6.248-6.248 6.248-16.38 0-22.63l-11.31-11.31c-6.248-6.248-16.38-6.248-22.63 0C230.7 33.26 204.7 27.55 177.7 36.41L163.9 22.64C149.5 8.25 129.6 0 109.3 0C66.66 0 32 34.66 32 77.25v178.8L96 256z", "M32 384c0 28.32 12.49 53.52 32 71.09V496C64 504.8 71.16 512 80 512h32C120.8 512 128 504.8 128 496v-15.1h256V496c0 8.836 7.164 16 16 16h32c8.836 0 16-7.164 16-16v-40.9c19.51-17.57 32-42.77 32-71.09V352H32V384zM496 256h-480C7.164 256 0 263.2 0 272v32C0 312.8 7.164 320 16 320h480c8.836 0 16-7.164 16-16v-32C512 263.2 504.8 256 496 256z"]],
    "battery-bolt": [576, 512, [], "f376", ["M340.8 96H464C508.2 96 544 131.8 544 176V192C561.7 192 576 206.3 576 224V288C576 305.7 561.7 320 544 320V336C544 380.2 508.2 416 464 416H244.9C247.2 414.6 249.4 413 251.6 411.2L323.5 352H464C472.8 352 480 344.8 480 336V176C480 167.2 472.8 160 464 160H365.7C372.3 137.8 364.5 113.4 345.6 99.2C344.1 98.04 342.5 96.98 340.8 96H340.8zM187.2 416H80C35.82 416 0 380.2 0 336V176C0 131.8 35.82 96 80 96H283.1C280.8 97.41 278.6 98.1 276.4 100.8L204.5 160H80C71.16 160 64 167.2 64 176V336C64 344.8 71.16 352 80 352H162.3C155.7 374.2 163.5 398.6 182.4 412.8C183.9 413.1 185.5 415 187.2 416H187.2z", "M288.3 240H352C358.8 240 364.8 244.2 367.1 250.6C369.3 256.1 367.4 264.1 362.2 268.4L226.2 380.4C220.5 385 212.3 385.2 206.4 380.8C200.5 376.4 198.4 368.5 201.3 361.7L239.7 271.1H176C169.2 271.1 163.2 267.8 160.9 261.4C158.7 255 160.6 247.9 165.8 243.6L301.8 131.6C307.5 126.1 315.7 126.8 321.6 131.2C327.5 135.6 329.6 143.5 326.7 150.3L288.3 240z"]],
    "battery-empty": [576, 512, ["battery-0"], "f244", ["M464 96C508.2 96 544 131.8 544 176V192C561.7 192 576 206.3 576 224V288C576 305.7 561.7 320 544 320V336C544 380.2 508.2 416 464 416H80C35.82 416 0 380.2 0 336V176C0 131.8 35.82 96 80 96H464zM64 336C64 344.8 71.16 352 80 352H464C472.8 352 480 344.8 480 336V176C480 167.2 472.8 160 464 160H80C71.16 160 64 167.2 64 176V336z", ""]],
    "battery-exclamation": [576, 512, [], "e0b0", ["M80 96H208V160H80C71.16 160 64 167.2 64 176V336C64 344.8 71.16 352 80 352H198.7C194.4 361.8 192 372.6 192 384C192 395.4 194.4 406.2 198.7 416H80C35.82 416 0 380.2 0 336V176C0 131.8 35.82 96 80 96V96zM352 384C352 372.6 349.6 361.8 345.3 352H464C472.8 352 480 344.8 480 336V176C480 167.2 472.8 160 464 160H336V96H464C508.2 96 544 131.8 544 176V192C561.7 192 576 206.3 576 224V288C576 305.7 561.7 320 544 320V336C544 380.2 508.2 416 464 416H345.3C349.6 406.2 352 395.4 352 384z", "M296 296C296 309.3 285.3 320 272 320C258.7 320 248 309.3 248 296V120C248 106.7 258.7 96 272 96C285.3 96 296 106.7 296 120V296zM240 384C240 366.3 254.3 352 272 352C289.7 352 304 366.3 304 384C304 401.7 289.7 416 272 416C254.3 416 240 401.7 240 384z"]],
    "battery-full": [576, 512, [128267, "battery", "battery-5"], "f240", ["M464 96C508.2 96 544 131.8 544 176V192C561.7 192 576 206.3 576 224V288C576 305.7 561.7 320 544 320V336C544 380.2 508.2 416 464 416H80C35.82 416 0 380.2 0 336V176C0 131.8 35.82 96 80 96H464zM64 336C64 344.8 71.16 352 80 352H464C472.8 352 480 344.8 480 336V176C480 167.2 472.8 160 464 160H80C71.16 160 64 167.2 64 176V336z", "M96 192H448V320H96V192z"]],
    "battery-half": [576, 512, ["battery-3"], "f242", ["M464 96C508.2 96 544 131.8 544 176V192C561.7 192 576 206.3 576 224V288C576 305.7 561.7 320 544 320V336C544 380.2 508.2 416 464 416H80C35.82 416 0 380.2 0 336V176C0 131.8 35.82 96 80 96H464zM64 336C64 344.8 71.16 352 80 352H464C472.8 352 480 344.8 480 336V176C480 167.2 472.8 160 464 160H80C71.16 160 64 167.2 64 176V336z", "M96 192H288V320H96V192z"]],
    "battery-low": [576, 512, ["battery-1"], "e0b1", ["M464 96C508.2 96 544 131.8 544 176V192C561.7 192 576 206.3 576 224V288C576 305.7 561.7 320 544 320V336C544 380.2 508.2 416 464 416H80C35.82 416 0 380.2 0 336V176C0 131.8 35.82 96 80 96H464zM64 336C64 344.8 71.16 352 80 352H464C472.8 352 480 344.8 480 336V176C480 167.2 472.8 160 464 160H80C71.16 160 64 167.2 64 176V336z", "M96 192H160V320H96V192z"]],
    "battery-quarter": [576, 512, ["battery-2"], "f243", ["M464 96C508.2 96 544 131.8 544 176V192C561.7 192 576 206.3 576 224V288C576 305.7 561.7 320 544 320V336C544 380.2 508.2 416 464 416H80C35.82 416 0 380.2 0 336V176C0 131.8 35.82 96 80 96H464zM64 336C64 344.8 71.16 352 80 352H464C472.8 352 480 344.8 480 336V176C480 167.2 472.8 160 464 160H80C71.16 160 64 167.2 64 176V336z", "M96 192H192V320H96V192z"]],
    "battery-slash": [640, 512, [], "f377", ["M481.4 352H496C504.8 352 512 344.8 512 336V176C512 167.2 504.8 160 496 160H236.4L154.8 96H496C540.2 96 576 131.8 576 176V192C593.7 192 608 206.3 608 224V288C608 305.7 593.7 320 576 320V336C576 362.5 563.1 385.1 543.3 400.5L481.4 352zM324.9 352L406.2 416H112C67.82 416 32 380.2 32 336V176C32 159.6 36.92 144.4 45.35 131.7L96.5 172C96.17 173.3 95.1 174.6 95.1 176V336C95.1 344.8 103.2 352 111.1 352H324.9z", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "battery-three-quarters": [576, 512, ["battery-4"], "f241", ["M464 96C508.2 96 544 131.8 544 176V192C561.7 192 576 206.3 576 224V288C576 305.7 561.7 320 544 320V336C544 380.2 508.2 416 464 416H80C35.82 416 0 380.2 0 336V176C0 131.8 35.82 96 80 96H464zM64 336C64 344.8 71.16 352 80 352H464C472.8 352 480 344.8 480 336V176C480 167.2 472.8 160 464 160H80C71.16 160 64 167.2 64 176V336z", "M96 192H352V320H96V192z"]],
    "bed": [640, 512, [128716], "f236", ["M96 208C96 163.8 131.8 128 176 128C220.2 128 256 163.8 256 208C256 252.2 220.2 288 176 288C131.8 288 96 252.2 96 208zM288 160C288 142.3 302.3 128 320 128H544C597 128 640 170.1 640 224V320H288V160z", "M32 32C49.67 32 64 46.33 64 64V320H640V448C640 465.7 625.7 480 608 480C590.3 480 576 465.7 576 448V416H64V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V64C0 46.33 14.33 32 32 32z"]],
    "bed-bunk": [576, 512, [], "f8f8", ["M192 48C192 74.51 170.5 96 144 96C117.5 96 96 74.51 96 48C96 21.49 117.5 0 144 0C170.5 0 192 21.49 192 48zM192 304C192 330.5 170.5 352 144 352C117.5 352 96 330.5 96 304C96 277.5 117.5 256 144 256C170.5 256 192 277.5 192 304zM448 0C518.7 0 576 57.31 576 128H224V16C224 7.164 231.2 0 240 0H448zM512 256V384H224V272C224 263.2 231.2 256 240 256H512z", "M32 0C49.67 0 64 14.33 64 32V128H576V480C576 497.7 561.7 512 544 512C526.3 512 512 497.7 512 480V448H64V480C64 497.7 49.67 512 32 512C14.33 512 0 497.7 0 480V32C0 14.33 14.33 0 32 0zM64 384H512V192H64V384z"]],
    "bed-empty": [640, 512, [128719], "f8f9", ["M64 224H544C568.3 224 590.6 233.1 607.5 248H608V248.4C627.6 266 640 291.6 640 320H64V224z", "M32 32C49.67 32 64 46.33 64 64V320H640V448C640 465.7 625.7 480 608 480C590.3 480 576 465.7 576 448V416H64V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V64C0 46.33 14.33 32 32 32z"]],
    "bed-front": [512, 512, ["bed-alt"], "f8f7", ["M0 288C0 252.7 28.65 224 64 224H448C483.3 224 512 252.7 512 288V352H0V288z", "M32 80C32 53.49 53.49 32 80 32H432C458.5 32 480 53.49 480 80V232.6C470.6 227.1 459.7 224 448 224H432V160C432 142.3 417.7 128 400 128H304C286.3 128 272 142.3 272 160V224H240V160C240 142.3 225.7 128 208 128H112C94.33 128 80 142.3 80 160V224H64C52.34 224 41.41 227.1 32 232.6V80zM512 352V448C512 465.7 497.7 480 480 480C462.3 480 448 465.7 448 448V416H64V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V352H512z"]],
    "bed-pulse": [640, 512, ["procedures"], "f487", ["M353.4 191.1C364.6 207.9 384 217.3 404.1 215.8C424.3 214.4 442.1 202.1 450.7 183.8L461.9 160H544C597 160 640 202.1 640 256V352H288V192C288 174.3 302.3 160 320 160H332.7L353.4 191.1zM256 240C256 284.2 220.2 320 176 320C131.8 320 96 284.2 96 240C96 195.8 131.8 160 176 160C220.2 160 256 195.8 256 240z", "M524 64H616C629.3 64 640 74.75 640 88C640 101.3 629.3 112 616 112H512C504.4 112 497.3 108.4 492.8 102.4L468.7 70.31L421.7 170.2C418 178.1 410.4 183.3 401.8 183.9C393.1 184.6 384.8 180.5 380 173.3L339.2 112H216C202.7 112 192 101.3 192 88C192 74.75 202.7 64 216 64H352C360 64 367.5 68.01 371.1 74.69L396.4 111.3L442.3 13.78C445.9 6.163 453.2 .9806 461.6 .1246C469.9-.7314 478.1 2.865 483.2 9.6L524 64zM64 352H640V480C640 497.7 625.7 512 608 512C590.3 512 576 497.7 576 480V448H64V480C64 497.7 49.67 512 32 512C14.33 512 0 497.7 0 480V96C0 78.33 14.33 64 32 64C49.67 64 64 78.33 64 96V352z"]],
    "bee": [576, 512, [], "e0b2", ["M193.3 416h189.5c7.52-10.19 14.5-20.93 20.76-32H172.5C178.8 395.1 185.7 405.8 193.3 416zM152.3 336h271.4c2.834-10.59 4.555-21.28 4.84-32H147.5C147.7 314.7 149.5 325.4 152.3 336zM288 512c0 0 24.78-18.69 53.5-48H234.5C263.2 493.3 288 512 288 512zM448 95.1c-27.72 0-55.38 9.465-80.73 22.73c-1.732 20.65-11.2 38.83-25.63 52.03c11.44 4.789 22.22 11.14 31.91 18.62C401.6 170.5 427.5 160 448 160c34.67 0 64 21.92 64 48C512 233.1 482.7 256 448 256c-8.865 0-19.02-2.6-29.64-6.322C414.9 240.7 411 231.1 405.8 224H170.2C163.8 233.8 158.1 244.7 155.1 256h265.7c4.773 14.15 7.951 29.04 7.945 44.8c0 1.068-.2266 2.133-.2559 3.201c-.125 4.727-.5566 9.452-1.213 14.16C434.2 319.2 441.1 320 448 320c70.67 0 128-50.12 128-111.1C576 146.2 518.7 95.1 448 95.1zM155.1 256c.7305-2.166 1.695-4.205 2.5-6.332C147 253.4 136.8 256 127.1 256C93.29 256 64 234 64 207.1C64 192.9 73.79 182.1 79.62 176.1C91.93 166.2 109.5 159.1 127.1 160c20.47 0 46.42 10.53 74.42 29.38C212.1 181.9 222.8 175.6 234.3 170.8C219.8 157.6 210.4 139.4 208.7 118.7C183.3 105.5 155.7 95.1 128 95.1C57.33 95.99 0 146.1 0 207.1C0 269.8 57.29 320 127.1 320C134.9 320 141.8 319.2 148.7 318.2C148 313.5 147.6 308.7 147.5 304C147.4 302.9 147.2 301.9 147.2 300.8C147.2 285 150.4 270.1 155.1 256z", "M342.1 170.9c4.611-4.236 8.76-8.973 12.28-14.18c5.75-8.512 9.906-18.19 12.04-28.61C367.4 122.9 368 117.5 368 111.1c0-20.4-7.832-38.84-20.4-52.97l31.71-31.71c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0l-34.99 34.99C311.4 34.88 300.1 31.1 288 31.1c-5.523 0-10.92 .5618-16.12 1.628c-6.189 1.266-12 3.445-17.58 6.051L219.3 4.688c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L228.4 58.99C215.8 73.12 208 91.59 208 111.1c0 5.523 .5586 10.92 1.625 16.13c2.131 10.42 6.287 20.09 12.04 28.61C225.2 161.1 229.6 166.5 234.3 170.8C207.1 181.7 185.6 200.4 170.2 224h235.6C390.5 200.5 368.3 181.9 342.1 170.9zM234.5 464h107c13.61-13.89 28.02-30.1 41.23-48H193.3C206.5 433.9 220.9 450.1 234.5 464zM420.9 256H155.1c-4.773 14.15-7.951 29.04-7.945 44.8c0 1.068 .2266 2.134 .2559 3.203h281.1c.0293-1.068 .2559-2.133 .2559-3.201C428.8 285 425.6 270.1 420.9 256zM172.5 384h230.1c8.742-15.45 15.8-31.55 20.21-48H152.3C156.7 352.4 163.8 368.6 172.5 384z"]],
    "beer-mug": [512, 512, ["beer-foam"], "e0b3", ["M432 160h-43.9C372.7 170 354.9 176 336 176c-18.12 0-35.66-5.094-50.92-14.76c-.2246 .1504-.4687 .3379-.7187 .5723C263.6 181.3 236.5 192 207.1 192S152.4 181.3 131.6 161.8C131.4 161.6 131.1 161.4 130.9 161.2C115.7 170.9 98.12 176 80 176C62.76 176 46.46 170.1 32 162.5L31.1 448c0 35.35 28.65 64 64 64h223.1c35.35 0 64-28.65 64-64l80.66-36.02C493.5 399.1 512 370.5 512 339V240C512 195.8 476.2 160 432 160zM160 432C160 440.9 152.9 448 143.1 448S128 440.9 128 432l-.0099-192c0-8.875 7.127-16 16-16s15.1 7.125 15.1 16L160 432zM224 432C224 440.9 216.9 448 207.1 448S192 440.9 192 432l-.0083-192c0-8.875 7.127-16 16-16s15.1 7.125 15.1 16L224 432zM288 432c0 8.875-7.125 16-16 16S256 440.9 256 432l-.0066-192c0-8.875 7.126-16 16-16s15.1 7.125 15.1 16L288 432zM448 339c0 6.25-3.75 12-9.5 14.62L384 377.9V224h48C440.9 224 448 231.1 448 240V339z", "M398.5 66.12c-4.861-23.15-23.39-42.46-46.36-48.12c-18.08-4.455-35.17-1.193-48.89 7.119c-13.33 8.072-29.44 7.051-40.82-3.598C248.2 8.178 229.1 0 207.1 0S167.8 8.178 153.5 21.52C142.2 32.17 126 33.19 112.7 25.12C98.99 16.8 81.9 13.54 63.82 17.1c-22.96 5.658-41.5 24.97-46.36 48.12C8.761 107.5 40.12 144 79.1 144c13.06 0 25.13-3.955 35.2-10.71c12.02-8.062 27.75-4.727 38.31 5.164C167.8 151.8 186.9 160 207.1 160s40.23-8.188 54.49-21.54c10.56-9.891 26.29-13.23 38.31-5.164C310.9 140 322.9 144 335.1 144C375.9 144 407.2 107.5 398.5 66.12zM143.1 224C135.1 224 127.1 231.1 127.1 240L128 432C128 440.9 135.1 448 143.1 448S160 440.9 160 432l-.0091-192C159.1 231.1 152.9 224 143.1 224zM207.1 224C199.1 224 191.1 231.1 191.1 240L192 432C192 440.9 199.1 448 207.1 448S224 440.9 224 432l-.0075-192C223.1 231.1 216.9 224 207.1 224zM271.1 224c-8.875 0-16 7.125-16 16L256 432c0 8.875 7.125 16 15.1 16S288 440.9 288 432l-.0058-192C287.1 231.1 280.9 224 271.1 224z"]],
    "beer-mug-empty": [512, 512, ["beer"], "f0fc", ["M432 96H384V64c0-17.67-14.33-32-32-32H64C46.33 32 32 46.33 32 64v352c0 35.35 28.65 64 64 64h224c35.35 0 64-28.65 64-64v-32.08l80.66-35.94C493.5 335.1 512 306.5 512 275V176C512 131.8 476.2 96 432 96zM160 368C160 376.9 152.9 384 144 384S128 376.9 128 368v-224C128 135.1 135.1 128 144 128S160 135.1 160 144V368zM224 368C224 376.9 216.9 384 208 384S192 376.9 192 368v-224C192 135.1 199.1 128 208 128S224 135.1 224 144V368zM288 368c0 8.875-7.125 16-16 16S256 376.9 256 368v-224C256 135.1 263.1 128 272 128S288 135.1 288 144V368zM448 275c0 6.25-3.75 12-9.5 14.62L384 313.9V160h48C440.9 160 448 167.1 448 176V275z", "M144 128C135.1 128 128 135.1 128 144v224C128 376.9 135.1 384 144 384S160 376.9 160 368v-224C160 135.1 152.9 128 144 128zM208 128C199.1 128 192 135.1 192 144v224C192 376.9 199.1 384 208 384S224 376.9 224 368v-224C224 135.1 216.9 128 208 128zM272 128C263.1 128 256 135.1 256 144v224c0 8.875 7.125 16 16 16s16-7.125 16-16v-224C288 135.1 280.9 128 272 128z"]],
    "bell": [448, 512, [61602, 128276], "f0f3", ["M256 32V51.2C329 66.03 384 130.6 384 208V226.8C384 273.9 401.3 319.2 432.5 354.4L439.9 362.7C448.3 372.2 450.4 385.6 445.2 397.1C440 408.6 428.6 416 416 416H32C19.4 416 7.971 408.6 2.809 397.1C-2.353 385.6-.2883 372.2 8.084 362.7L15.5 354.4C46.74 319.2 64 273.9 64 226.8V208C64 130.6 118.1 66.03 192 51.2V32C192 14.33 206.3 0 224 0C241.7 0 256 14.33 256 32H256z", "M288 448C288 464.1 281.3 481.3 269.3 493.3C257.3 505.3 240.1 512 224 512C207 512 190.7 505.3 178.7 493.3C166.7 481.3 160 464.1 160 448H288z"]],
    "bell-concierge": [512, 512, [128718, "concierge-bell"], "f562", ["M215.1 112H232v33.32C239.9 144.5 247.9 144 256 144s16.11 .4844 24 1.324V112h16C309.3 112 320 101.3 320 88S309.3 64 296 64H215.1C202.7 64 192 74.75 192 87.1S202.7 112 215.1 112zM488 400h-464C10.75 400 0 410.7 0 423.1C0 437.3 10.75 448 23.1 448h464c13.25 0 24-10.75 24-23.1C512 410.7 501.3 400 488 400z", "M480 368H32c0-123.7 100.3-224 224-224S480 244.3 480 368z"]],
    "bell-exclamation": [448, 512, [], "f848", ["M256 32V51.2C329 66.03 384 130.6 384 208V226.8C384 273.9 401.3 319.2 432.5 354.4L439.9 362.7C448.3 372.2 450.4 385.6 445.2 397.1C440 408.6 428.6 416 416 416H32C19.4 416 7.971 408.6 2.809 397.1C-2.353 385.6-.2883 372.2 8.084 362.7L15.5 354.4C46.74 319.2 64 273.9 64 226.8V208C64 130.6 118.1 66.03 192 51.2V32C192 14.33 206.3 0 224 0C241.7 0 256 14.33 256 32H256zM224 288C206.3 288 192 302.3 192 320C192 337.7 206.3 352 224 352C241.7 352 256 337.7 256 320C256 302.3 241.7 288 224 288zM248 136C248 122.7 237.3 112 224 112C210.7 112 200 122.7 200 136V232C200 245.3 210.7 256 224 256C237.3 256 248 245.3 248 232V136z", "M224 112C237.3 112 248 122.7 248 136V232C248 245.3 237.3 256 224 256C210.7 256 200 245.3 200 232V136C200 122.7 210.7 112 224 112zM256 320C256 337.7 241.7 352 224 352C206.3 352 192 337.7 192 320C192 302.3 206.3 288 224 288C241.7 288 256 302.3 256 320zM224 512C207 512 190.7 505.3 178.7 493.3C166.7 481.3 160 464.1 160 448H288C288 464.1 281.3 481.3 269.3 493.3C257.3 505.3 240.1 512 224 512z"]],
    "bell-on": [640, 512, [128365], "f8fa", ["M352 32V51.2C425 66.03 480 130.6 480 208V226.8C480 273.9 497.3 319.2 528.5 354.4L535.9 362.7C544.3 372.2 546.4 385.6 541.2 397.1C536 408.6 524.6 416 512 416H128C115.4 416 103.1 408.6 98.81 397.1C93.65 385.6 95.71 372.2 104.1 362.7L111.5 354.4C142.7 319.2 160 273.9 160 226.8V208C160 130.6 214.1 66.03 288 51.2V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32H352z", "M522.7 85.47C510.9 91.39 496.5 86.59 490.5 74.73C484.6 62.88 489.4 48.46 501.3 42.53L565.3 10.53C577.1 4.606 591.5 9.412 597.5 21.27C603.4 33.12 598.6 47.54 586.7 53.47L522.7 85.47zM0 200C0 186.7 10.75 176 24 176H104C117.3 176 128 186.7 128 200C128 213.3 117.3 224 104 224H24C10.75 224 0 213.3 0 200zM512 200C512 186.7 522.7 176 536 176H616C629.3 176 640 186.7 640 200C640 213.3 629.3 224 616 224H536C522.7 224 512 213.3 512 200zM74.73 10.53L138.7 42.53C150.6 48.46 155.4 62.88 149.5 74.73C143.5 86.59 129.1 91.39 117.3 85.47L53.27 53.47C41.41 47.54 36.61 33.12 42.53 21.27C48.46 9.412 62.88 4.606 74.73 10.53V10.53zM320 512C303 512 286.7 505.3 274.7 493.3C262.7 481.3 256 464.1 256 448H384C384 464.1 377.3 481.3 365.3 493.3C353.3 505.3 336.1 512 320 512z"]],
    "bell-plus": [448, 512, [], "f849", ["M256 32V51.2C329 66.03 384 130.6 384 208V226.8C384 273.9 401.3 319.2 432.5 354.4L439.9 362.7C448.3 372.2 450.4 385.6 445.2 397.1C440 408.6 428.6 416 416 416H32C19.4 416 7.971 408.6 2.809 397.1C-2.353 385.6-.2883 372.2 8.084 362.7L15.5 354.4C46.74 319.2 64 273.9 64 226.8V208C64 130.6 118.1 66.03 192 51.2V32C192 14.33 206.3 0 224 0C241.7 0 256 14.33 256 32H256zM200 176V216H160C146.7 216 136 226.7 136 240C136 253.3 146.7 264 160 264H200V304C200 317.3 210.7 328 224 328C237.3 328 248 317.3 248 304V264H288C301.3 264 312 253.3 312 240C312 226.7 301.3 216 288 216H248V176C248 162.7 237.3 152 224 152C210.7 152 200 162.7 200 176z", "M224 152C237.3 152 248 162.7 248 176V216H288C301.3 216 312 226.7 312 240C312 253.3 301.3 264 288 264H248V304C248 317.3 237.3 328 224 328C210.7 328 200 317.3 200 304V264H160C146.7 264 136 253.3 136 240C136 226.7 146.7 216 160 216H200V176C200 162.7 210.7 152 224 152zM224 512C207 512 190.7 505.3 178.7 493.3C166.7 481.3 160 464.1 160 448H288C288 464.1 281.3 481.3 269.3 493.3C257.3 505.3 240.1 512 224 512z"]],
    "bell-school": [512, 512, [], "f5d5", ["M416 208C416 322.9 322.9 416 208 416C93.12 416 0 322.9 0 208C0 93.12 93.12 0 208 0C322.9 0 416 93.12 416 208zM208 128C163.8 128 128 163.8 128 208C128 252.2 163.8 288 208 288C252.2 288 288 252.2 288 208C288 163.8 252.2 128 208 128z", "M160 208C160 181.5 181.5 160 208 160C234.5 160 256 181.5 256 208C256 234.5 234.5 256 208 256C181.5 256 160 234.5 160 208zM208 416C263.9 416 314.6 393.1 352 358.1V464H392C410.6 464 426.7 453.4 434.7 438C423.3 429.2 416 415.5 416 400C416 373.5 437.5 352 464 352C490.5 352 512 373.5 512 400C512 419.4 500.5 436.1 483.1 443.7C472.1 483.2 435.4 512 392 512H112C85.49 512 64 490.5 64 464V358.1C101.4 393.1 152.1 416 208 416z"]],
    "bell-school-slash": [640, 512, [], "f5d6", ["M496.5 363.8C504.9 356.5 515.9 352 528 352C554.5 352 576 373.5 576 400C576 407.9 574.1 415.4 570.7 421.1L496.5 363.8zM343.5 243.9C348.9 233.1 352 220.9 352 208C352 163.8 316.2 128 272 128C252.2 128 234 135.2 220 147.2L118.5 67.6C156.6 26.05 211.2 0 272 0C386.9 0 480 93.12 480 208C480 250.7 467.1 290.5 445 323.5L343.5 243.9zM246.1 167.6C253.6 162.8 262.5 160 272 160C298.5 160 320 181.5 320 208C320 213.4 319.1 218.6 317.4 223.5L246.1 167.6zM64 208C64 188.7 66.62 170.1 71.53 152.4L372.1 389.9C343.1 406.5 308.7 416 272 416C157.1 416 64 322.9 64 207.1V208zM272 448C319 448 362.9 434.5 399.9 411.1L416 423.8V464H456C459.4 464 462.6 463.7 465.8 462.1L508.3 496.5C493.3 506.3 475.3 512 456 512H176C149.5 512 128 490.5 128 464V400C168.1 430.1 217.1 448 272 448V448z", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "bell-slash": [640, 512, [61943, 128277], "f1f6", ["M186 120.5C209 85.37 245.4 59.84 288 51.2V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V51.2C425 66.03 480 130.6 480 208V226.8C480 273.9 497.3 319.2 528.5 354.4L535.9 362.7C544.3 372.2 546.4 385.6 541.2 397.1C540.1 397.5 540.8 397.1 540.6 398.4L186 120.5zM160 226.8V222.1L406.2 416H128C115.4 416 103.1 408.6 98.81 397.1C93.65 385.6 95.71 372.2 104.1 362.7L111.5 354.4C142.7 319.2 160 273.9 160 226.8V226.8zM320 512C303 512 286.7 505.3 274.7 493.3C262.7 481.3 256 464.1 256 448H384C384 464.1 377.3 481.3 365.3 493.3C353.3 505.3 336.1 512 320 512z", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "bells": [640, 512, [], "f77f", ["M249.5 296.7C261.2 328.5 262.4 363.2 253.1 395.8L251.9 399.7L21.4 315.8C10.03 311.7 1.976 301.5 .5931 289.5C-.7903 277.5 4.729 265.7 14.86 259L23.04 253.7C57.61 230.1 83.95 197.8 98.16 159L112.8 119C137.1 50.44 213.1 15.09 282.6 40.08C287.4 41.82 292.1 43.82 296.5 46.04C232.4 88.2 203.2 170.3 230.8 245.5L249.5 296.7zM260.8 234.6C234.7 163.3 271.4 84.41 342.8 58.43C414.1 32.46 493.2 69.21 519.3 140.5L538 191.7C552 229.9 577.8 262.7 611.6 285.3L625.4 294.5C635.4 301.2 640.8 312.1 639.4 324.9C637.9 336.9 629.9 346.1 618.6 351.1L321.1 459.4C309.8 463.5 297.1 460.9 288.3 452.7C279.5 444.5 276 432 279.3 420.5L283.9 404.6C295.1 365.6 293.6 323.1 279.6 285.8L260.8 234.6z", "M158.4 447.9C122.8 447.9 93.91 419.2 93.91 383.7C93.91 381.1 94.05 378.6 94.34 376.1L211.9 419.5C200.3 436.7 180.7 447.9 158.4 447.9V447.9zM480.8 480C459.6 480 440.8 469.9 429.1 454.1L545.2 411.9C545.3 413.2 545.3 414.5 545.3 415.8C545.3 451.3 516.4 480 480.8 480V480z"]],
    "bench-tree": [640, 512, [], "e2e7", ["M640 176C640 220.2 604.2 256 560 256H544v224c0 17.69-14.31 32-32 32s-32-14.31-32-32V256h-16C419.8 256 384 220.2 384 176c0-26.8 13.29-50.38 33.52-64.89C416.7 106.2 416 101.2 416 96c0-53.02 42.98-96 96-96s96 42.98 96 96c0 5.174-.7363 10.15-1.523 15.11C626.7 125.6 640 149.2 640 176z", "M360 352H320v-32h32V224c0-17.67-14.33-32-32-32H64C46.33 192 32 206.3 32 224v96h32v32H24C10.75 352 0 362.7 0 376v16C0 405.3 10.75 416 24 416H32v64c0 17.69 14.31 32 32 32s32-14.31 32-32v-64h192v64c0 17.69 14.31 32 32 32s32-14.31 32-32v-64h8c13.25 0 24-10.75 24-24v-16C384 362.7 373.3 352 360 352zM288 352H96v-32h192V352z"]],
    "bezier-curve": [640, 512, [], "f55b", ["M240 144C240 153.1 243 163.2 248.2 170.9C189.2 196.6 146.6 253 140.7 320H84.53C89.56 244.1 129.6 179.6 188.5 140H121.6C111.2 161.3 89.3 176 64 176C28.65 176 0 147.3 0 112C0 76.65 28.65 48 64 48C89.3 48 111.2 62.69 121.6 84H240V144zM400 144V84H518.4C528.8 62.69 550.7 48 576 48C611.3 48 640 76.65 640 112C640 147.3 611.3 176 576 176C550.7 176 528.8 161.3 518.4 140H451.5C510.4 179.6 550.4 244.1 555.5 320H499.3C493.4 253 450.8 196.6 391.8 170.9C396.1 163.2 400 153.1 400 144H400z", "M240 80C240 53.49 261.5 32 288 32H352C378.5 32 400 53.49 400 80V144C400 170.5 378.5 192 352 192H288C261.5 192 240 170.5 240 144V80zM344 136V88H296V136H344zM144 320C170.5 320 192 341.5 192 368V432C192 458.5 170.5 480 144 480H80C53.49 480 32 458.5 32 432V368C32 341.5 53.49 320 80 320H144zM88 376V424H136V376H88zM560 320C586.5 320 608 341.5 608 368V432C608 458.5 586.5 480 560 480H496C469.5 480 448 458.5 448 432V368C448 341.5 469.5 320 496 320H560zM504 376V424H552V376H504z"]],
    "bicycle": [640, 512, [128690], "f206", ["M458.6 303.7C447 316.5 440 333.4 440 352C440 391.8 472.2 424 512 424C551.8 424 584 391.8 584 352C584 312.2 551.8 280 512 280C508.2 280 504.5 280.3 500.8 280.9L473.3 229.1C485.5 226.1 498.5 224 512 224C582.7 224 640 281.3 640 352C640 422.7 582.7 480 512 480C441.3 480 384 422.7 384 352C384 311.1 402.4 276.3 431.1 252.8L458.6 303.7zM127.1 224C138.7 224 149.2 225.3 159.2 227.8L133.1 280.2C131.4 280.1 129.7 280 127.1 280C88.24 280 55.1 312.2 55.1 352C55.1 391.8 88.24 424 127.1 424C162.3 424 190.9 400.1 198.2 368H255C247.1 431.1 193.3 480 128 480C57.31 480 0 422.7 0 352C0 281.3 57.31 224 128 224H127.1z", "M347.2 32C358.1 32 369.8 38.44 375.4 48.78L533.1 340.6C539.4 352.2 535.1 366.8 523.4 373.1C511.8 379.4 497.2 375.1 490.9 363.4L409.4 212.7L324.7 356.2C320.3 363.5 312.5 368 304 368H133.2C112.1 368 99.81 346.7 108.8 328.6L185.8 174.7L163.7 144H120C106.7 144 96 133.3 96 120C96 106.7 106.7 96 120 96H176C183.7 96 190.1 99.71 195.5 105.1L222.9 144H372.3L337.7 80H311.1C298.7 80 287.1 69.25 287.1 56C287.1 42.75 298.7 32 311.1 32H347.2zM290.3 320L290.4 319.9L217.5 218.7L166.8 320H290.3zM257.4 192L317 274.8L365.9 192H257.4z"]],
    "binary": [384, 512, [], "e33b", ["M128 0C163.3 0 192 28.65 192 64V160C192 195.3 163.3 224 128 224H64C28.65 224 0 195.3 0 160V64C0 28.65 28.65 0 64 0H128zM64 160H128V64H64V160zM320 288C355.3 288 384 316.7 384 352V448C384 483.3 355.3 512 320 512H256C220.7 512 192 483.3 192 448V352C192 316.7 220.7 288 256 288H320zM256 448H320V352H256V448z", "M336 160H352C369.7 160 384 174.3 384 192C384 209.7 369.7 224 352 224H256C238.3 224 224 209.7 224 192C224 174.3 238.3 160 256 160H272V76.4L266.1 78.36C249.4 83.95 231.2 74.89 225.6 58.12C220.1 41.35 229.1 23.23 245.9 17.64L293.9 1.642C303.6-1.61 314.4 .0261 322.7 6.04C331.1 12.05 336 21.71 336 32L336 160zM111.1 448H127.1C145.7 448 159.1 462.3 159.1 480C159.1 497.7 145.7 512 127.1 512H31.1C14.33 512-.0003 497.7-.0003 480C-.0003 462.3 14.33 448 31.1 448H47.1V364.4L42.12 366.4C25.35 371.9 7.231 362.9 1.642 346.1C-3.947 329.4 5.114 311.2 21.88 305.6L69.88 289.6C79.64 286.4 90.37 288 98.71 294C107.1 300.1 112 309.7 112 320L111.1 448z"]],
    "binary-circle-check": [640, 512, [], "e33c", ["M336 160H352C369.7 160 384 174.3 384 192C384 209.7 369.7 224 352 224H256C238.3 224 224 209.7 224 192C224 174.3 238.3 160 256 160H272V76.4L266.1 78.36C249.4 83.95 231.2 74.89 225.7 58.12C220.1 41.35 229.1 23.23 245.9 17.64L293.9 1.642C303.6-1.61 314.4 .0261 322.7 6.04C331.1 12.05 336 21.71 336 32L336 160zM112 448H128C145.7 448 160 462.3 160 480C160 497.7 145.7 512 128 512H32.01C14.34 512 .0086 497.7 .0086 480C.0086 462.3 14.34 448 32.01 448H48.01V364.4L42.13 366.4C25.36 371.9 7.24 362.9 1.651 346.1C-3.938 329.4 5.123 311.2 21.89 305.6L69.89 289.6C79.65 286.4 90.38 288 98.72 294C107.1 300.1 112 309.7 112 320L112 448zM.0086 64C.0086 28.65 28.66 .0001 64.01 .0001H128C163.4 .0001 192 28.65 192 64V160C192 195.3 163.4 224 128 224H64.01C28.66 224 .0086 195.3 .0086 160V64zM128 64H64.01V160H128V64zM320 288C323.4 288 326.7 288.3 329.9 288.8C320.6 308.2 314.6 329.5 312.7 352H256V448L330.3 448C338.7 465.5 349.8 481.4 363.1 495.3C351.8 505.7 336.6 512 320 512H256C220.7 512 192 483.3 192 448V352C192 316.7 220.7 288 256 288H320z", "M352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM563.3 347.3C569.6 341.1 569.6 330.9 563.3 324.7C557.1 318.4 546.9 318.4 540.7 324.7L480 385.4L451.3 356.7C445.1 350.4 434.9 350.4 428.7 356.7C422.4 362.9 422.4 373.1 428.7 379.3L468.7 419.3C474.9 425.6 485.1 425.6 491.3 419.3L563.3 347.3z"]],
    "binary-lock": [640, 512, [], "e33d", ["M336 160H352C369.7 160 384 174.3 384 192C384 209.7 369.7 224 352 224H256C238.3 224 224 209.7 224 192C224 174.3 238.3 160 256 160H272V76.4L266.1 78.36C249.4 83.95 231.2 74.89 225.7 58.12C220.1 41.35 229.1 23.23 245.9 17.64L293.9 1.642C303.6-1.61 314.4 .0261 322.7 6.04C331.1 12.05 336 21.71 336 32L336 160zM112 448H128C145.7 448 160 462.3 160 480C160 497.7 145.7 512 128 512H32.01C14.34 512 .0086 497.7 .0086 480C.0086 462.3 14.34 448 32.01 448H48.01V364.4L42.13 366.4C25.36 371.9 7.24 362.9 1.651 346.1C-3.938 329.4 5.123 311.2 21.89 305.6L69.89 289.6C79.65 286.4 90.38 288 98.72 294C107.1 300.1 112 309.7 112 320L112 448zM.0086 64C.0086 28.65 28.66 .0001 64.01 .0001H128C163.4 .0001 192 28.65 192 64V160C192 195.3 163.4 224 128 224H64.01C28.66 224 .0086 195.3 .0086 160V64zM128 64H64.01V160H128V64zM320 288C355.4 288 384 316.7 384 352V448C384 483.3 355.4 512 320 512H256C220.7 512 192 483.3 192 448V352C192 316.7 220.7 288 256 288H320zM256 448H320V352H256V448z", "M448 320V272C448 227.8 483.8 192 528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320zM496 320H560V272C560 254.3 545.7 240 528 240C510.3 240 496 254.3 496 272V320z"]],
    "binary-slash": [640, 512, [], "e33e", ["M399.7 288H448C483.3 288 512 316.7 512 352V375.1L399.7 288zM236.4 160H255.1V64H191.1V125.2L127.1 75.02V64C127.1 28.65 156.7 0 191.1 0H255.1C291.3 0 319.1 28.65 319.1 64V160C319.1 179.3 311.5 196.5 298 208.3L236.4 160zM464 160H480C497.7 160 512 174.3 512 192C512 209.7 497.7 224 480 224H384C366.3 224 352 209.7 352 192C352 174.3 366.3 160 384 160H400V76.4L394.1 78.36C377.4 83.95 359.2 74.89 353.6 58.12C348.1 41.35 357.1 23.23 373.9 17.64L421.9 1.643C431.6-1.61 442.4 .0262 450.7 6.041C459.1 12.06 464 21.71 464 32L464 160zM239.1 448H255.1C273.7 448 287.1 462.3 287.1 480C287.1 497.7 273.7 512 255.1 512H159.1C142.3 512 127.1 497.7 127.1 480C127.1 462.3 142.3 448 159.1 448H175.1V364.4L170.1 366.4C153.4 371.9 135.2 362.9 129.6 346.1C124.1 329.4 133.1 311.2 149.9 305.6L197.9 289.6C207.6 286.4 218.4 288 226.7 294C235.1 300.1 240 309.7 240 320L239.1 448zM319.1 352C319.1 350.7 320 349.5 320.1 348.2L384 398.5V448H446.8L497.8 488.2C486.1 502.7 468.1 512 448 512H384C348.7 512 319.1 483.3 319.1 448V352z", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "binoculars": [512, 512, [], "f1e5", ["M400 32h-64C327.1 32 320 39.13 320 48V96h96.04L416 48C416 39.13 408.9 32 400 32zM224 288h64V128H224V288zM176 32h-64C103.1 32 96 39.13 96 48L95.96 96H192V48C192 39.13 184.9 32 176 32z", "M63.88 160.1C61.34 253.9 3.5 274.3 0 404V448c0 17.6 14.4 32 32 32h128c17.6 0 32-14.4 32-32V288h32V128H95.88C78.26 128 64.35 142.5 63.88 160.1zM448.1 160.1C447.6 142.5 433.7 128 416.1 128H288v160h32v160c0 17.6 14.4 32 32 32h128c17.6 0 32-14.4 32-32v-44C508.5 274.3 450.7 253.9 448.1 160.1z"]],
    "biohazard": [576, 512, [9763], "f780", ["M429.8 293.9c-5.119 32.96-21.23 62.08-44.75 83.68c1.152 22.77 10.74 44.63 27.22 60.92c47.45-35.44 79.13-90.58 83.1-153.4C472.8 278.1 449.7 282.4 429.8 293.9zM205.9 80.78c8.4 23.2 25.46 42.01 47.39 51.8c26.22-6.551 45.37-6.025 69.52 .0254c21.93-9.777 39.07-28.55 47.48-51.75C345 69.98 317.3 63.94 288.1 63.94C258.9 63.94 231.1 69.93 205.9 80.78zM80.67 285.1c3.975 62.79 35.66 117.1 83.13 153.4c16.46-16.26 26.03-38.19 27.14-61.01c-23.49-21.59-39.59-50.67-44.71-83.6C126.9 282.7 103.8 278.8 80.67 285.1z", "M575.5 283.5c-13.13-39.11-39.5-71.98-74.13-92.35c-17.5-10.37-36.25-16.62-55.25-19.87c6-17.75 10-36.49 10-56.24c0-40.99-14.5-80.73-41-112.2c-2.5-3-6.625-3.623-10-1.75c-3.25 1.875-4.75 5.998-3.625 9.748c4.5 13.75 6.625 26.24 6.625 38.49c0 67.73-53.76 122.8-120 122.8s-120-55.11-120-122.8c0-12.12 2.25-24.74 6.625-38.49c1.125-3.75-.375-7.873-3.625-9.748c-3.375-1.873-7.502-1.25-10 1.75C134.7 34.3 120.1 74.04 120.1 115c0 19.75 3.875 38.49 10 56.24C111.2 174.5 92.32 180.8 74.82 191.1c-34.63 20.49-61.01 53.24-74.38 92.35c-1.25 3.75 .25 7.748 3.5 9.748c3.375 2 7.5 1.375 10-1.5c9.377-10.87 19-19.12 29.25-25.12c57.25-33.87 130.8-13.75 163.9 44.99c33.13 58.61 13.38 133.1-43.88 167.8c-10.25 6.123-22 10.37-35.88 13.37c-3.627 .875-6.377 4.25-6.377 8.123c.125 4 2.75 7.248 6.502 7.998c39.75 7.748 80.63 .7495 115.3-19.74c18-10.5 32.88-24.49 45.25-39.99c12.38 15.5 27.38 29.49 45.38 39.99c34.5 20.49 75.51 27.49 115.1 19.74c3.875-.75 6.375-3.998 6.5-7.998c0-3.873-2.625-7.248-6.375-8.123c-13.88-2.873-25.63-7.248-35.75-13.37c-57.38-33.87-77.01-109.2-44-167.8c33.13-58.73 106.6-78.85 164-44.99c10.12 6.123 19.75 14.25 29.13 25.12c2.5 2.875 6.752 3.5 10 1.5C575.4 291.2 576.9 287.2 575.5 283.5zM287.1 320.1c-26.5 0-48-21.49-48-47.99c0-26.49 21.5-47.99 48-47.99c26.5 0 48.01 21.49 48.01 47.99C335.1 298.6 314.5 320.1 287.1 320.1z"]],
    "bird": [512, 512, [], "e469", ["M221 415.1L253.2 476.8C259.4 488.5 254.9 503 243.2 509.2C231.5 515.4 216.1 510.9 210.8 499.2L162.1 407.4C180.9 412.7 200.6 415.7 221 415.1V415.1zM308.3 399.6L349.2 476.8C355.4 488.5 350.9 503 339.2 509.2C327.5 515.4 312.1 510.9 306.8 499.2L261.1 412.9C277.5 410.2 293.3 405.7 308.3 399.6V399.6zM448 95.1C448 90.45 447.5 85.01 446.6 79.71L504.2 114.3C509 117.2 512 122.4 512 127.1C512 133.6 509 138.8 504.2 141.7L448 175.5V95.1z", "M28.44 160H224C241.7 160 256 145.7 256 128V96C256 42.98 298.1 0 352 0C405 0 448 42.98 448 96V192C448 315.7 347.7 416 224 416C100.3 416 0 315.7 0 192V188.4C0 172.7 12.74 160 28.44 160zM352 144C365.3 144 376 133.3 376 120C376 106.7 365.3 96 352 96C338.7 96 328 106.7 328 120C328 133.3 338.7 144 352 144z"]],
    "bitcoin-sign": [320, 512, [], "e0b4", ["M48 32C48 14.33 62.33 0 80 0C97.67 0 112 14.33 112 32V64H48V32zM112 448V480C112 497.7 97.67 512 80 512C62.33 512 48 497.7 48 480V448H112zM208 448V480C208 497.7 193.7 512 176 512C158.3 512 144 497.7 144 480V448H208zM176 64H144V32C144 14.33 158.3 0 176 0C193.7 0 208 14.33 208 32V64C208 65.54 207.9 67.06 207.7 68.54C197.6 65.59 187 64 176 64z", "M0 101.6C0 80.82 16.82 64 37.57 64H176C237.9 64 288 114.1 288 176C288 200.2 280.3 222.6 267.3 240.9C298.9 260.7 320 295.9 320 336C320 397.9 269.9 448 208 448H41.74C18.69 448 0 429.3 0 406.3V101.6zM176 224C202.5 224 224 202.5 224 176C224 149.5 202.5 128 176 128H64V224H176zM64 288V384H208C234.5 384 256 362.5 256 336C256 309.5 234.5 288 208 288H64z"]],
    "blanket": [448, 512, [], "f498", ["M448 128c0 0-.0918 133.7-.2773 173.3C446.2 258.4 411.2 224 368 224H128c-70.58 0-128 57.42-128 128V128c0-52.88 43.13-96 96-96h256C404.9 32 448 75.13 448 128z", "M448 432v32c0 8.75-7.25 16-16 16H128c-70.75 0-128-57.25-128-128c0-70.58 57.42-128 128-128h240c43.17 0 78.24 34.44 79.72 77.26l-.0977 11.12C443.4 354 405.1 384 363.3 384H128c-17.75 0-32-14.25-32-32s14.25-32 32-32h240c8.75 0 16-7.25 16-16S376.8 288 368 288H128c-35.25 0-64 28.75-64 64s28.75 64 64 64h304C440.8 416 448 423.3 448 432z"]],
    "blanket-fire": [640, 512, [], "e3da", ["M352 0H96C42.88 0 0 42.98 0 96v224c0 70.69 57.28 128 128 128h186.2c-11.2-19.52-19.2-41.15-23.36-64H128c-35.2 0-64-28.64-64-64s28.8-64 64-64h189.4C320 251.5 322.6 247.1 325.1 242.7c21.76-35.17 51.84-71.23 87.36-102.8C422.4 130.9 435.5 127 448 128.2V96C448 42.98 405.1 0 352 0zM96 320c0 17.66 14.4 32 32 32h160v-1.92C288 329.9 293.4 308.8 301.8 288H128C110.4 288 96 302.3 96 320z", "M616 273.2c-15.04-28.48-35.84-58.46-60.48-81.15C549.8 186.9 541.1 186.9 535.4 192c-9.598 8.768-18.56 19.62-26.24 29.5c-17.28-20.77-35.84-39.97-55.68-57.73C448 158.8 439.4 158.8 433.9 163.7c-33.28 29.7-61.44 63.42-81.6 95.78C332.8 291.5 320 323.7 320 350.1C320 437.9 390.4 512 480 512c88.64 0 160-74.11 160-161.9C640 329.9 630.4 301.2 616 273.2zM529.9 432.1C514.9 443 498.9 448 480.1 448C435.8 448 400 419 400 369.1c0-24 15.04-44.99 45.12-81.98c3.84 4.992 61.76 79.01 61.76 79.01l36.16-42.02c2.883 4 4.801 8 7.039 12C568 369.1 560 412 529.9 432.1z"]],
    "blender": [512, 512, [], "f517", ["M336 64h158.5L512 0H48C21.49 0 0 21.49 0 48v160C0 234.5 21.49 256 48 256h103.3L160 352h256l17.49-64H336C327.2 288 320 280.8 320 272S327.2 256 336 256h106.1l17.49-64H336C327.2 192 320 184.8 320 176S327.2 160 336 160h132.4l17.49-64H336C327.2 96 320 88.8 320 80S327.2 64 336 64zM64 192V64h69.88L145.5 192H64z", "M336 288h97.49l8.659-32H336C327.2 256 320 263.2 320 272C320 280.8 327.2 288 336 288zM336 192h123.6l8.742-32H336C327.2 160 320 167.2 320 176C320 184.8 327.2 192 336 192zM336 64C327.2 64 320 71.16 320 80C320 88.84 327.2 96 336 96h149.9l8.659-32H336zM416 384H160c-35.38 0-64 28.62-64 64l-.0001 32c0 17.62 14.38 32 32 32h320c17.62 0 32-14.38 32-32l.0003-32C480 412.6 451.4 384 416 384zM288 480c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S305.6 480 288 480z"]],
    "blender-phone": [576, 512, [], "f6b6", ["M399.1 64h158.5L576 .008L191.1 .006l-.0023 351.1h288l17.49-64h-97.49c-8.801 0-16-7.199-16-15.1s7.199-15.1 16-15.1h106.1l17.49-63.1h-123.6c-8.801 0-16-7.199-16-15.1s7.199-15.1 16-15.1h132.4l17.49-63.1h-149.9c-8.801 0-16-7.199-16-15.1S391.2 64 399.1 64z", "M115.7 122.6c7.5 .75 14.5-3.499 17.25-10.25l25.75-63.25c3.125-7.373 .2499-15.87-6.625-20.12L112.9 4.887C98.49-3.863 80.11-.4869 68.99 12.01C-23.64 115.6-23.01 271.5 70.99 374.5c9.875 10.75 29.13 12.5 41.75 4.75l39.38-24.12c6.875-4.25 9.625-12.75 6.625-20.12L132.1 271.7C130.2 264.1 123.2 260.7 115.7 261.5l-45 4.374c-17.25-46.87-17.63-99.75 0-147.6L115.7 122.6zM399.1 288h97.49l8.659-31.1h-106.1c-8.836 0-16 7.162-16 15.1C383.1 280.8 391.2 288 399.1 288zM399.1 192h123.6l8.742-31.1h-132.4c-8.836 0-16 7.162-16 15.1C383.1 184.8 391.2 192 399.1 192zM399.1 64c-8.836 0-16 7.162-16 15.1c0 8.836 7.164 15.1 16 15.1h149.9l8.659-31.1H399.1zM479.1 384H224c-35.38 0-63.1 28.62-63.1 63.1l-.0052 32c0 17.62 14.37 31.1 31.1 31.1L511.1 512c17.62 0 32-14.37 32-31.1l.0019-31.1C543.1 412.6 515.4 384 479.1 384zM352 480c-17.62 0-31.1-14.37-31.1-31.1s14.37-31.1 31.1-31.1s31.1 14.37 31.1 31.1S369.6 480 352 480z"]],
    "blinds": [512, 512, [], "f8fb", ["M96 226.1V160H16L0 256h67.02C71.77 242.4 82.38 231.7 96 226.1zM96 64H10.71L0 128h96V64zM501.3 64H128v64h384L501.3 64zM128 160v66.98C141.6 231.7 152.3 242.4 157 256H512l-16-96H128zM157 288C150.4 307.1 132.3 320 112 320S73.63 307.1 67 288H16L0 384h512l-16-96H157zM16 416L0 512h512l-16-96H16z", "M511.1 16L512 48C512 56.84 504.8 64 495.1 64H128v162.1C146.6 233.6 160 251.1 160 272C160 298.5 138.5 320 112 320S64 298.5 64 272c0-20.87 13.4-38.41 32-45.02V64H16C7.165 64 0 56.84 0 48l.0033-32c0-8.838 7.163-16 15.1-16H495.1C504.8 0 511.1 7.162 511.1 16z"]],
    "blinds-open": [512, 512, [], "f8fc", ["M96 64H16L0 112h96V64zM496 64H128v48h384L496 64zM96 210.9V192H16L0 240h66.94C71.79 226.5 82.44 215.8 96 210.9zM128 192v18.94C141.6 215.8 152.2 226.5 157.1 240H512L496 192H128zM16 320L0 368h512L496 320H16zM16 464L0 512h512l-16-48H16z", "M512 16v32C512 56.84 504.8 64 496 64H128v146.9C146.6 217.5 160 235.1 160 256c0 26.51-21.49 48-48 48S64 282.5 64 256c0-20.87 13.4-38.45 32-45.06V64H16C7.164 64 0 56.84 0 48v-32C0 7.162 7.164 0 16 0h480C504.8 0 512 7.162 512 16z"]],
    "blinds-raised": [512, 512, [], "f8fd", ["M96 127.8H0l15.99-63.85c.0215 0-.0215 0 0 0L96 63.99V127.8zM96 159.8H16L0 223.8l96 .0234V159.8zM128 159.9L128 223.8l384-.0234l-16-63.98L128 159.9zM496 63.99L128 63.99v63.85h384L496 63.99C495.1 63.99 496 63.99 496 63.99z", "M511.1 15.99L512 47.99c0 8.836-7.152 16-15.99 16L128 63.99l.0013 354.8c21.1 7.75 35.25 30.23 31.25 53.23C155.4 495.1 135.4 512 112 512s-43.38-16.87-47.25-39.99C60.75 449 73.1 426.5 96 418.8V63.99L15.99 63.99C7.152 63.99 0 56.82 0 47.99l.0033-31.99C.0033 7.157 7.167 0 16 0H495.1C504.8 0 511.1 7.157 511.1 15.99z"]],
    "block": [448, 512, [], "e46a", ["M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM72 80C58.75 80 48 90.75 48 104C48 117.3 58.75 128 72 128C85.25 128 96 117.3 96 104C96 90.75 85.25 80 72 80zM376 128C389.3 128 400 117.3 400 104C400 90.75 389.3 80 376 80C362.7 80 352 90.75 352 104C352 117.3 362.7 128 376 128zM72 384C58.75 384 48 394.7 48 408C48 421.3 58.75 432 72 432C85.25 432 96 421.3 96 408C96 394.7 85.25 384 72 384zM376 432C389.3 432 400 421.3 400 408C400 394.7 389.3 384 376 384C362.7 384 352 394.7 352 408C352 421.3 362.7 432 376 432z", "M48 104C48 90.75 58.75 80 72 80C85.25 80 96 90.75 96 104C96 117.3 85.25 128 72 128C58.75 128 48 117.3 48 104zM352 104C352 90.75 362.7 80 376 80C389.3 80 400 90.75 400 104C400 117.3 389.3 128 376 128C362.7 128 352 117.3 352 104zM96 408C96 421.3 85.25 432 72 432C58.75 432 48 421.3 48 408C48 394.7 58.75 384 72 384C85.25 384 96 394.7 96 408zM352 408C352 394.7 362.7 384 376 384C389.3 384 400 394.7 400 408C400 421.3 389.3 432 376 432C362.7 432 352 421.3 352 408z"]],
    "block-brick": [448, 512, ["wall-brick"], "e3db", ["M96 32H352V112H96V32zM0 112V96C0 60.65 28.65 32 64 32V112H0zM208 144V240H0V144H208zM0 368V272H64V368H0zM208 400V480H64C28.65 480 0 451.3 0 416V400H208zM448 400V416C448 451.3 419.3 480 384 480H240V400H448zM384 368V272H448V368H384zM96 368V272H352V368H96zM448 144V240H240V144H448zM384 112V32C419.3 32 448 60.65 448 96V112H384z", "M64 32H96V112H352V32H384V112H448V144H240V240H448V272H384V368H448V400H240V480H208V400H0V368H64V272H0V240H208V144H0V112H64V32zM352 368V272H96V368H352z"]],
    "block-brick-fire": [640, 512, ["firewall"], "e3dc", ["M384 112H128V32H384V112zM96 32V112H32V96C32 60.65 60.65 32 96 32zM32 240V144H240V240H32zM96 272V368H32V272H96zM32 416V400H240V480H96C60.65 480 32 451.3 32 416zM272 480V400H294.5C302.5 429.1 317.4 457.4 337.6 480H272zM479.4 144H480V144.6C479.8 144.4 479.6 144.2 479.4 144zM326.9 240H272V144H407.9C375.4 173.8 347.5 207.2 326.9 240zM288 350.1C288 356.1 288.3 362.1 288.8 368H128V272H308.1C296.5 297.7 288 324.7 288 350.1zM480 96V112H416V32C451.3 32 480 60.65 480 96z", "M433.8 163.7C439.4 158.7 447.1 158.8 453.5 163.8C473.3 181.6 491.8 200.7 509 221.5C516.9 211.6 525.8 200.8 535.5 191.1C541.1 186.9 549.9 186.9 555.5 192C580.2 214.7 601.1 244.7 615.8 273.2C630.4 301.2 640 329.9 640 350.1C640 437.9 568.7 512 480 512C390.3 512 320 437.8 320 350.1C320 323.7 332.7 291.5 352.4 259.5C372.4 227.2 400.5 193.4 433.8 163.7V163.7zM480.1 448C499 448 515 442.1 530 432.1C560 412 568 370 550 336.1C548 332.1 546 328.1 543 324.1L507 366.1C507 366.1 448.1 292.1 444.1 287.1C415 324.1 400 346 400 370C400 418.1 436 448 480.1 448z"]],
    "block-question": [448, 512, [], "e3dd", ["M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM258 176C270.2 176 280 185.8 280 197.1C280 205.7 275.1 212.8 269.3 216.8L211.7 251.4C204.4 255.8 200 263.6 200 272V288C200 301.3 210.7 312 224 312C237.3 312 248 301.3 248 288V285.6L294 257.1C315.1 245.3 328 222.5 328 197.1C328 159.3 296.7 127.1 258 127.1H200C164.7 127.1 136 156.7 136 191.1V199.1C136 213.3 146.7 223.1 160 223.1C173.3 223.1 184 213.3 184 199.1V191.1C184 183.2 191.2 175.1 200 175.1L258 176zM224 400C241.7 400 256 385.7 256 368C256 350.3 241.7 336 224 336C206.3 336 192 350.3 192 368C192 385.7 206.3 400 224 400zM72 80C58.75 80 48 90.75 48 104C48 117.3 58.75 128 72 128C85.25 128 96 117.3 96 104C96 90.75 85.25 80 72 80zM376 128C389.3 128 400 117.3 400 104C400 90.75 389.3 80 376 80C362.7 80 352 90.75 352 104C352 117.3 362.7 128 376 128zM72 384C58.75 384 48 394.7 48 408C48 421.3 58.75 432 72 432C85.25 432 96 421.3 96 408C96 394.7 85.25 384 72 384zM376 432C389.3 432 400 421.3 400 408C400 394.7 389.3 384 376 384C362.7 384 352 394.7 352 408C352 421.3 362.7 432 376 432z", "M48 104C48 90.75 58.75 80 72 80C85.25 80 96 90.75 96 104C96 117.3 85.25 128 72 128C58.75 128 48 117.3 48 104zM352 104C352 90.75 362.7 80 376 80C389.3 80 400 90.75 400 104C400 117.3 389.3 128 376 128C362.7 128 352 117.3 352 104zM96 408C96 421.3 85.25 432 72 432C58.75 432 48 421.3 48 408C48 394.7 58.75 384 72 384C85.25 384 96 394.7 96 408zM352 408C352 394.7 362.7 384 376 384C389.3 384 400 394.7 400 408C400 421.3 389.3 432 376 432C362.7 432 352 421.3 352 408z"]],
    "block-quote": [448, 512, [], "e0b5", ["M0 96C0 78.33 14.33 64 32 64H416C433.7 64 448 78.33 448 96C448 113.7 433.7 128 416 128H32C14.33 128 0 113.7 0 96zM128 256C128 238.3 142.3 224 160 224H416C433.7 224 448 238.3 448 256C448 273.7 433.7 288 416 288H160C142.3 288 128 273.7 128 256zM416 384C433.7 384 448 398.3 448 416C448 433.7 433.7 448 416 448H160C142.3 448 128 433.7 128 416C128 398.3 142.3 384 160 384H416z", "M0 256C0 238.3 14.33 224 32 224C49.67 224 64 238.3 64 256V416C64 433.7 49.67 448 32 448C14.33 448 0 433.7 0 416V256z"]],
    "blog": [512, 512, [], "f781", ["M224 0C206.3 0 192 14.31 192 32s14.33 32 32 32c123.5 0 224 100.5 224 224c0 17.69 14.33 32 32 32s32-14.31 32-32C512 129.2 382.8 0 224 0zM217.6 96.1c-12.95-.625-24.66 9.156-25.52 22.37C191.2 131.7 201.2 143.1 214.4 143.1c79.53 5.188 148.4 74.09 153.6 153.6c.8281 12.69 11.39 22.43 23.94 22.43c.5156 0 1.047-.0313 1.578-.0625c13.22-.8438 23.25-12.28 22.39-25.5C409.3 191.8 320.3 102.8 217.6 96.1z", "M172.3 226.8C157.7 223.9 144 235.8 144 250.6v50.37c0 10.25 7.127 18.37 16.75 21.1c18.13 6.75 31.26 24.37 31.26 44.1c0 26.5-21.5 47.1-48.01 47.1s-48.01-21.5-48.01-47.1V120c0-13.25-10.75-23.1-24.01-23.1l-48.01 .0076C10.75 96.02 0 106.8 0 120v247.1c0 89.49 82.14 160.2 175 140.7c54.39-11.5 98.27-55.5 109.8-109.7C302.2 316.1 247.8 241.8 172.3 226.8z"]],
    "blueberries": [512, 512, [], "e2e8", ["M336 0C255.3 0 187.4 54.39 166.7 128.5C169.8 128.3 172.9 128 176 128c114.9 0 208 93.13 208 208c0 3.148-.333 6.211-.4717 9.324C457.6 324.6 512 256.7 512 176C512 78.8 433.2 0 336 0zM416 128h-32v32c0 8.844-7.156 16-16 16S352 168.8 352 160V128h-32c-8.844 0-16-7.156-16-16S311.2 96 320 96h32V64c0-8.844 7.156-16 16-16S384 55.16 384 64v32h32c8.844 0 16 7.156 16 16S424.8 128 416 128zM224 256H192V224c0-8.844-7.156-16-16-16S160 215.2 160 224v32H128C119.2 256 112 263.2 112 272S119.2 288 128 288h32v32c0 8.844 7.156 16 16 16S192 328.8 192 320V288h32c8.844 0 16-7.156 16-16S232.8 256 224 256z", "M176 160C78.8 160 0 238.8 0 336C0 433.2 78.8 512 176 512s176-78.8 176-176C352 238.8 273.2 160 176 160zM224 288H192v32c0 8.844-7.156 16-16 16S160 328.8 160 320V288H128C119.2 288 112 280.8 112 272S119.2 256 128 256h32V224c0-8.844 7.156-16 16-16S192 215.2 192 224v32h32c8.844 0 16 7.156 16 16S232.8 288 224 288zM416 96h-32V64c0-8.844-7.156-16-16-16S352 55.16 352 64v32h-32c-8.844 0-16 7.156-16 16S311.2 128 320 128h32v32c0 8.844 7.156 16 16 16S384 168.8 384 160V128h32c8.844 0 16-7.156 16-16S424.8 96 416 96z"]],
    "bluetooth": [320, 512, [], "f293", ["M208.6 255.1L309.1 168.1C316 161.1 320 153.2 320 143.1s-3.969-18-10.94-24.09l-127.1-112c-9.406-8.25-22.87-10.22-34.28-5.031c-11.44 5.188-18.78 16.56-18.78 29.13v153.5L53.06 119.9C39.78 108.3 19.56 109.6 7.908 122.9C-3.717 136.2-2.373 156.4 10.94 168.1l100.5 87.91l-100.5 87.91c-13.31 11.66-14.66 31.88-3.031 45.16c11.66 13.34 31.87 14.63 45.16 3.031L128 326.5v153.5c0 12.56 7.344 23.94 18.78 29.13C151 511.1 155.5 512 160 512c7.594 0 15.13-2.719 21.06-7.906l127.1-112C316 385.1 320 377.2 320 367.1s-3.969-18-10.94-24.09L208.6 255.1zM192 102.5l47.41 41.47l-47.41 41.47V102.5zM192 409.5V326.5l47.41 41.47L192 409.5z", ""]],
    "bold": [384, 512, [], "f032", ["M321.1 242.4C340.1 220.1 352 191.6 352 160c0-70.59-57.42-128-128-128L32 32.01c-17.67 0-32 14.31-32 32s14.33 32 32 32h16v320H32c-17.67 0-32 14.31-32 32s14.33 32 32 32h224c70.58 0 128-57.41 128-128C384 305.3 358.6 264.8 321.1 242.4zM112 96.01H224c35.3 0 64 28.72 64 64s-28.7 64-64 64H112V96.01zM256 416H112v-128H256c35.3 0 64 28.71 64 63.1S291.3 416 256 416z", ""]],
    "bolt": [384, 512, [9889, "zap"], "f0e7", ["M240.5 224H352C365.3 224 377.3 232.3 381.1 244.7C386.6 257.2 383.1 271.3 373.1 280.1L117.1 504.1C105.8 513.9 89.27 514.7 77.19 505.9C65.1 497.1 60.7 481.1 66.59 467.4L143.5 288H31.1C18.67 288 6.733 279.7 2.044 267.3C-2.645 254.8 .8944 240.7 10.93 231.9L266.9 7.918C278.2-1.92 294.7-2.669 306.8 6.114C318.9 14.9 323.3 30.87 317.4 44.61L240.5 224z", ""]],
    "bolt-auto": [576, 512, [], "e0b6", ["M240.5 224H352C365.3 224 377.3 232.3 381.1 244.7C386.6 257.2 383.1 271.3 373.1 280.1L117.1 504.1C105.8 513.9 89.27 514.7 77.19 505.9C65.1 497.1 60.7 481.1 66.59 467.4L143.5 288H32C18.67 288 6.735 279.7 2.046 267.3C-2.643 254.8 .8963 240.7 10.93 231.9L266.9 7.918C278.2-1.92 294.7-2.669 306.8 6.114C318.9 14.9 323.3 30.87 317.4 44.61L240.5 224z", "M572.6 465.7C580.5 481.5 574.1 500.7 558.3 508.6C542.5 516.5 523.3 510.1 515.4 494.3L508.2 480H419.8L412.6 494.3C404.7 510.1 385.5 516.5 369.7 508.6C353.9 500.7 347.5 481.5 355.4 465.7L435.4 305.7C440.8 294.8 451.9 288 464 288C476.1 288 487.2 294.8 492.6 305.7L572.6 465.7zM480.2 424L464 391.6L447.8 424H480.2z"]],
    "bolt-lightning": [384, 512, [], "e0b7", ["", "M381.2 172.8C377.1 164.9 368.9 160 360 160h-156.6l50.84-127.1c2.969-7.375 2.062-15.78-2.406-22.38S239.1 0 232 0h-176C43.97 0 33.81 8.906 32.22 20.84l-32 240C-.7179 267.7 1.376 274.6 5.938 279.8C10.5 285 17.09 288 24 288h146.3l-41.78 194.1c-2.406 11.22 3.469 22.56 14 27.09C145.6 511.4 148.8 512 152 512c7.719 0 15.22-3.75 19.81-10.44l208-304C384.8 190.2 385.4 180.7 381.2 172.8z"]],
    "bolt-slash": [640, 512, [], "e0b8", ["M228.4 153.7L394.9 7.918C406.2-1.92 422.7-2.669 434.8 6.114C446.9 14.9 451.3 30.87 445.4 44.61L368.5 224H480C493.3 224 505.3 232.3 509.1 244.7C514.6 257.2 511.1 271.3 501.1 280.1L448.4 326.2L228.4 153.7zM138.9 231.9L154.8 217.1L243.7 288H160C146.7 288 134.7 279.7 130 267.3C125.4 254.8 128.9 240.7 138.9 231.9L138.9 231.9zM194.6 467.4L264.5 304.4L374.4 390.1L245.1 504.1C233.8 513.9 217.3 514.7 205.2 505.9C193.1 497.1 188.7 481.1 194.6 467.4V467.4z", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "bomb": [512, 512, [128163], "f1e2", ["M512 79.67C512 84.15 508.1 88.38 504.8 89.83L459.1 106.7L442.6 152.5C441.1 156.9 436.7 160 432.1 160C427.5 160 423.2 156.9 421.7 152.5L404.9 106.7L359.2 89.83C355 88.38 352 84.15 352 79.67C351.1 75.12 354.1 70.78 359.2 69.22L405.2 52.39L421.7 6.548C423.6 2.623 427.8 0 432.1 0C436.5 0 440.7 2.623 442.6 6.548L459.1 52.39L504.8 69.22C509 70.78 512 75.12 512 79.67V79.67z", "M281.4 105.4C293.9 92.88 314.1 92.88 326.6 105.4L406.6 185.4C419.1 197.9 419.1 218.1 406.6 230.6L403.8 233.5C411.7 255.5 416 279.3 416 304C416 418.9 322.9 512 208 512C93.12 512 0 418.9 0 304C0 189.1 93.12 96 208 96C232.7 96 256.5 100.3 278.5 108.3L281.4 105.4zM96 296C96 238.6 142.6 192 200 192H208C216.8 192 224 184.8 224 176C224 167.2 216.8 160 208 160H200C124.9 160 64 220.9 64 296V304C64 312.8 71.16 320 80 320C88.84 320 96 312.8 96 304V296z"]],
    "bone": [576, 512, [129460], "f5d7", ["", "M534.9 267.5C560.1 280 576 305.8 576 334v4.387c0 35.55-23.49 68.35-58.24 75.88c-38.18 8.264-74.96-13.73-86.76-49.14c-.0352-.1035-.0684-.207-.1035-.3125C425.3 347.7 409.6 336 391.6 336H184.4c-17.89 0-33.63 11.57-39.23 28.56L145 365.1c-11.8 35.41-48.58 57.4-86.76 49.14C23.49 406.7 0 373.9 0 338.4v-4.387C0 305.8 15.88 280 41.13 267.5c9.375-4.75 9.375-18.25 0-23C15.88 232 0 206.3 0 178V173.6c0-35.55 23.49-68.35 58.24-75.88c38.18-8.264 74.99 13.82 86.79 49.23C150.7 164.1 166.4 176 184.4 176h207.2c17.89 0 33.63-11.57 39.23-28.56L431 146.9c11.8-35.41 48.58-57.4 86.76-49.14C552.5 105.3 576 138.1 576 173.6v4.387C576 206.3 560.1 232 534.9 244.5C525.5 249.3 525.5 262.8 534.9 267.5z"]],
    "bone-break": [640, 512, [], "f5d8", ["M183.3 253.3C165.5 256.5 148 247.5 139.5 231.6C121.8 198.5 81.58 182.8 45.41 197.7C12.5 211.2-4.943 247.9 1.229 283.2l.7617 4.355c4.906 28.04 25.01 50.83 52.05 58.82c10.06 3.074 12.4 16.48 3.994 22.84c-22.7 16.83-33.86 45.17-28.95 73.22l.7617 4.354c6.174 35.29 35.01 63.75 70.53 65.13c39.04 1.52 71.43-26.75 76.91-63.97l.0879-.5957c2.561-17.85 16.05-32.09 33.67-35.22L320 382.1L280 229.7L183.3 253.3zM594.6 197.7c-36.17-14.89-76.2 .5059-93.97 33.59c-8.512 15.98-26.15 25.17-43.87 22.02L360 229.7L320 382.1l108.1 29.2c17.62 3.133 31.11 17.37 33.67 35.22l.0879 .5957c5.475 37.22 37.87 65.49 76.91 63.97c35.53-1.385 64.36-29.84 70.53-65.13l.7617-4.354c4.906-28.05-6.256-56.39-28.95-73.22c-8.406-6.357-6.062-19.76 3.994-22.84c27.04-7.988 47.14-30.78 52.05-58.82l.7617-4.355C644.9 247.9 627.5 211.2 594.6 197.7z", "M319.1 0C306.7 0 295.1 10.75 295.1 23.1v79.1c0 13.25 10.75 24 24 24s23.1-10.75 23.1-24V23.1C343.1 10.75 333.2 0 319.1 0zM200.1 71.03c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L215 152.1c4.688 4.688 10.81 7.031 16.97 7.031s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94L200.1 71.03zM472.1 71.03c-9.375-9.375-24.56-9.375-33.94 0l-47.1 47.1c-9.375 9.375-9.375 24.56 0 33.94c4.688 4.688 10.81 7.031 16.97 7.031s12.28-2.344 16.97-7.031l47.1-47.1C482.3 95.59 482.3 80.4 472.1 71.03z"]],
    "bong": [512, 512, [], "f55c", ["M475.3 217.4l-52.63-52.75c-6.251-6.25-16.38-6.25-22.63 0L388.6 176c-6.251 6.25-6.251 16.38 0 22.62L398 208l-39.38 39.38c-11.5-11.38-24.51-21.25-38.63-29.5l.0067-154.1h16c8.751 0 16-7.25 16-16L352 16.01C352 7.14 344.9 0 336 0L111.1 .1667c-8.751 0-15.99 7.11-15.99 15.99L96 48c0 8.875 7.125 16 16 16h16L128 217.9C70.62 251.1 32 313 32 384c0 34.75 9.25 67.25 25.5 95.38C69.13 499.4 90.38 512 113.5 512h221c23.13 0 44.38-12.62 56-32.63C406.8 451.3 416 418.8 416 384c0-36.13-10.11-69.75-27.49-98.63l43.5-43.37l9.376 9.375c6.251 6.25 16.38 6.25 22.63 0L475.3 240C481.5 233.8 481.5 223.6 475.3 217.4zM348.1 455.4C345.9 460.6 340.4 464 334.5 464H113.5c-5.809 0-11.37-3.352-14.44-8.639C86.6 433.8 80.01 409.1 80.01 384c0-51.09 27.58-98.85 72.04-124.6l23.97-13.87V64.03l96.02 .1514l-.0167 181.3l23.97 13.87C340.4 285.2 368 332.9 368 384C368 409.1 361.5 433.8 348.1 455.4z", "M368 384c0 25.1-6.593 49.78-19.07 71.36C345.9 460.6 340.4 464 334.5 464H113.5c-5.809 0-11.37-3.352-14.44-8.639C86.6 433.8 80.01 409.1 80.01 384c0-22.57 5.652-44.35 15.5-64h257C362.4 339.7 368 361.4 368 384z"]],
    "book": [448, 512, [128212], "f02d", ["M400 384H96c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32h320v-66.94C410.1 382.8 405.6 384 400 384z", "M96 384h304c26.51 0 48-21.49 48-48v-288C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320c17.67 0 32-14.33 32-31.1C448 462.3 433.7 448 416 448l-318.6 0c-16.71 0-31.64-12.22-33.22-28.86C62.33 400.1 77.29 384 96 384zM143.1 128h192C344.8 128 352 135.2 352 144C352 152.8 344.8 160 336 160H143.1C135.2 160 128 152.8 128 144C128 135.2 135.2 128 143.1 128zM143.1 192h192C344.8 192 352 199.2 352 208C352 216.8 344.8 224 336 224H143.1C135.2 224 128 216.8 128 208C128 199.2 135.2 192 143.1 192z"]],
    "book-arrow-right": [640, 512, [], "e0b9", ["M64 416c0 17.67 14.33 32 32 32h320L416 384H96C78.33 384 64 398.3 64 416zM632.1 191l-80-80c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L558.1 184H280C266.8 184 256 194.8 256 208s10.75 24 24 24h278.1l-39.03 39.03C514.3 275.7 512 281.8 512 288s2.344 12.28 7.031 16.97c9.375 9.375 24.56 9.375 33.94 0l80-80C642.3 215.6 642.3 200.4 632.1 191z", "M64.44 421.4C66.1 437.1 81.78 448 97.72 448h318.3C433.7 448 448 462.3 448 479.1C448 497.7 433.7 512 416 512H96c-53.02 0-96-42.98-96-96V96c0-53.02 42.98-96 96-96h304C426.5 0 448 21.49 448 48v136H280C266.8 184 256 194.8 256 208s10.75 24 24 24H448v104c0 26.51-21.49 48-48 48H96C76.57 384 61.18 401.3 64.44 421.4z"]],
    "book-arrow-up": [448, 512, [], "e0ba", ["M64 416c0 17.67 14.33 32 32 32h120v-64H96C78.33 384 64 398.3 64 416zM264 384v64H416v-64H264z", "M416 448h-152v64H416c17.67 0 32-14.33 32-31.1C448 462.3 433.7 448 416 448zM400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h120v-64H96c-17.67 0-32-14.33-32-32s14.33-32 32-32h120V209.9L176.1 248.1c-9.375 9.375-24.56 9.375-33.94 0s-9.375-24.56 0-33.94l80-80c9.372-9.372 24.57-9.372 33.94 0l80 80c9.375 9.375 9.375 24.56 0 33.94C332.3 253.7 326.2 256 320 256s-12.28-2.344-16.97-7.031L264 209.9V384h136c26.51 0 48-21.49 48-48v-288C448 21.49 426.5 0 400 0z"]],
    "book-atlas": [448, 512, ["atlas"], "f558", ["M400 384H96c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32h320v-66.94C410.1 382.8 405.6 384 400 384z", "M240 97.25C232.3 104.8 219.3 131.8 216.6 176h46.88C260.8 131.8 247.8 104.8 240 97.25zM334.4 208h-39.13c-1.5 27-6.5 51.38-14.12 70.38C308.8 265.1 329.1 239.3 334.4 208zM263.4 208H216.5C219.3 252.3 232.3 279.3 240 286.8C247.8 279.3 260.8 252.3 263.4 208zM334.4 176c-5.25-31.25-25.62-57.13-53.25-70.38C288.8 124.6 293.8 149 295.3 176H334.4zM96 384h304c26.51 0 48-21.49 48-48v-288C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320c17.67 0 32-14.33 32-31.1C448 462.3 433.7 448 416 448l-318.6 0c-16.71 0-31.64-12.22-33.22-28.86C62.33 400.1 77.29 384 96 384zM240 64c70.75 0 128 57.25 128 128s-57.25 128-128 128s-128-57.25-128-128S169.3 64 240 64zM198.9 278.4C191.3 259.4 186.3 235 184.8 208H145.6C150.9 239.3 171.3 265.1 198.9 278.4zM198.9 105.6C171.3 118.9 150.9 144.8 145.6 176h39.13C186.3 149 191.3 124.6 198.9 105.6z"]],
    "book-bible": [448, 512, ["bible"], "f647", ["M400 384H96c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32h320v-66.94C410.1 382.8 405.6 384 400 384z", "M96 384h304c26.51 0 48-21.49 48-48v-288C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320c17.67 0 32-14.33 32-31.1C448 462.3 433.7 448 416 448l-318.6 0c-16.71 0-31.64-12.22-33.22-28.86C62.33 400.1 77.29 384 96 384zM144 144c0-8.875 7.125-15.1 16-15.1L208 128V80c0-8.875 7.125-15.1 16-15.1l32 .0009c8.875 0 16 7.12 16 15.1V128L320 128c8.875 0 16 7.121 16 15.1v32c0 8.875-7.125 16-16 16L272 192v112c0 8.875-7.125 16-16 16l-32-.0002c-8.875 0-16-7.127-16-16V192L160 192c-8.875 0-16-7.127-16-16V144z"]],
    "book-blank": [448, 512, [128215, 128216, 128217, 128213, "book-alt"], "f5d9", ["M400 384H96c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32h320v-66.94C410.1 382.8 405.6 384 400 384z", "M96 384h304c26.51 0 48-21.49 48-48v-288C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320c17.67 0 32-14.33 32-31.1C448 462.3 433.7 448 416 448l-318.6 0c-16.71 0-31.64-12.22-33.22-28.86C62.33 400.1 77.29 384 96 384z"]],
    "book-bookmark": [448, 512, [], "e0bb", ["M400 384H96c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32h320v-66.94C410.1 382.8 405.6 384 400 384z", "M64.15 419.1c1.588 16.64 16.51 28.85 33.23 28.85L416 448c17.67 0 32 14.33 32 31.1C448 497.7 433.7 512 416 512H96c-53.02 0-96-42.98-96-96V96c0-53.02 42.98-96 96-96h96v191.1c0 13.41 15.52 20.88 25.1 12.49L272 160l54 44.46C336.5 212.8 352 205.4 352 191.1V0h48C426.5 0 448 21.49 448 48v288c0 26.51-21.49 48-48 48H96C77.29 384 62.33 400.1 64.15 419.1z"]],
    "book-circle-arrow-right": [640, 512, [], "e0bc", ["M339.4 448H96c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32h224.8C320.3 378.7 320 373.4 320 368c0-80.54 54.16-148.3 128-169.2V48C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h299C371.6 495.6 352.5 473.6 339.4 448z", "M496 224C416.5 224 352 288.5 352 368s64.46 144 144 144s144-64.46 144-144S575.5 224 496 224zM571.3 379.3l-56 56C512.2 438.4 508.1 440 504 440s-8.188-1.562-11.31-4.688c-6.25-6.25-6.25-16.38 0-22.62L521.4 384H432c-8.836 0-15.1-7.164-15.1-16S423.2 352 432 352h89.38l-28.69-28.69c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0l56 56C577.6 362.9 577.6 373.1 571.3 379.3z"]],
    "book-circle-arrow-up": [640, 512, [], "e0bd", ["M339.4 448H96c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32h224.8C320.3 378.7 320 373.4 320 368c0-80.54 54.16-148.3 128-169.2V48C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h299C371.6 495.6 352.5 473.6 339.4 448z", "M496 224C416.5 224 352 288.5 352 367.1C352 447.5 416.5 512 496 512s144-64.46 144-144C640 288.5 575.5 224 496 224zM563.3 371.3c-6.25 6.25-16.38 6.25-22.62 0L512 342.6V432c0 8.836-7.164 15.1-16 15.1S480 440.8 480 432v-89.38l-28.69 28.69c-6.25 6.25-16.38 6.25-22.62 0s-6.25-16.38 0-22.62l56-56c6.25-6.25 16.38-6.25 22.62 0l56 56C566.4 351.8 568 355.9 568 360S566.4 368.2 563.3 371.3z"]],
    "book-copy": [576, 512, [], "e0be", ["M352 448H97.38C81.89 448 67.6 437.6 64.63 422.4C60.63 401.9 76.22 384 96 384h81.8C166.8 365.1 160 343.4 160 320V96H96C42.98 96 0 138.1 0 192v224c0 53.02 42.98 96 96 96h256C369.7 512 384 497.7 384 480S369.7 448 352 448z", "M576 240v-192C576 21.49 554.5 0 528 0H288C234.1 0 192 42.98 192 96v224c0 53.02 42.98 96 96 96h256c17.67 0 32-14.33 32-32c0-11.72-6.607-21.52-16-27.1V275.5C569.8 266.8 576 254.2 576 240zM512 352h-224c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32h224V352z"]],
    "book-font": [448, 512, [], "e0bf", ["M400 384H96c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32h320v-66.94C410.1 382.8 405.6 384 400 384z", "M239.1 115.8L201.9 192h76.22L239.1 115.8zM96 384h304c26.51 0 48-21.49 48-48v-288C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320c17.67 0 32-14.33 32-31.1C448 462.3 433.7 448 416 448l-318.6 0c-16.71 0-31.64-12.22-33.22-28.86C62.33 400.1 77.29 384 96 384zM129.7 264.8l96-192c5.438-10.84 23.19-10.84 28.62 0l96 192c3.953 7.906 .75 17.52-7.156 21.47C340.9 287.5 338.4 288 336 288c-5.875 0-11.52-3.234-14.33-8.844L294.1 224H185.9L158.3 279.2C154.4 287.1 144.7 290.2 136.8 286.3C128.9 282.4 125.7 272.8 129.7 264.8z"]],
    "book-heart": [448, 512, [], "f499", ["M400 384H96c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32h320v-66.94C410.1 382.8 405.6 384 400 384z", "M96 384h304c26.51 0 48-21.49 48-48v-288C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320c17.67 0 32-14.33 32-31.1C448 462.3 433.7 448 416 448l-318.6 0c-16.71 0-31.64-12.22-33.22-28.86C62.33 400.1 77.29 384 96 384zM149.8 109.1c24-20 59.75-16.38 81.63 5.75L240 123.6l8.625-8.75c22-22.12 57.63-25.75 81.63-5.75c27.5 23 28.88 64.13 4.25 89.13l-84.75 85.5c-5.5 5.5-14.25 5.5-19.75 0l-84.75-85.5C120.8 173.3 122.3 132.1 149.8 109.1z"]],
    "book-journal-whills": [448, 512, ["journal-whills"], "f66a", ["M400 384H96c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32h320v-66.94C410.1 382.8 405.6 384 400 384z", "M96 384h304c26.51 0 48-21.49 48-48v-288C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320c17.67 0 32-14.33 32-31.1C448 462.3 433.7 448 416 448l-318.6 0c-16.71 0-31.64-12.22-33.23-28.85C62.33 400.1 77.29 384 96 384zM133.1 160.4l21.25 21.25c3.125 3.125 8.125 3.125 11.25 0s3.125-8.125 0-11.25l-26.38-26.5c10-20.75 26.25-38 46.38-49.25c-17 27.12-11 62.75 14 82.63C185.5 192 180.5 213.1 186.5 232.5c5.875 19.38 22 34.13 41.88 38.25l1.375-32.75L219.4 245.1C218.8 245.5 217.9 245.8 217.1 245.8c-1 0-2-.375-2.75-1c-.75-.875-1.25-1.875-1.25-3c0-.625 .25-1.375 .5-2L222.3 225.5l-18-3.75c-1.75-.375-3.125-2.125-3.125-4s1.375-3.5 3.125-3.875l18-3.75L213.6 195.9C212.8 194.3 213 192.1 214.4 190.9s3.5-1.5 5-.375l12 8.125L236 87.88C236.1 85.63 237.9 84 240 84s3.875 1.625 4 3.875l4.75 112.3l14.12-9.625c.625-.4998 1.5-.625 2.25-.75c1.5 0 2.75 .75 3.5 2s.625 2.875-.125 4.125L260 210.1l17.1 3.75c1.751 .375 3.125 2 3.125 3.875s-1.375 3.625-3.125 4L260 225.4l8.5 14.38c.75 1.25 .875 2.75 .125 4s-2 2-3.5 2c-.75 0-1.625-.25-2.25-.625L250.3 236.5l1.375 34.25c19.88-4.125 36-18.88 41.88-38.25c6-19.38 1-40.63-13.12-55.25c25-19.88 31-55.5 14-82.63c20.25 11.25 36.38 28.5 46.38 49.25l-26.38 26.5c-3.125 3.125-3.125 8.125 0 11.25s8.125 3.125 11.25 0l21.25-21.25C349.9 170.5 352 181 352 192c0 .5-.125 1-.125 1.5l-37.13 32.5C313.1 227.6 312.1 229.8 312 232c.125 1.875 .7504 3.75 1.1 5.25C315.6 238.9 317.8 239.9 320 240c1.999 0 3.875-.7501 5.25-1.1l23.62-20.63C337.3 267 293.1 304 240 304S142.8 267 131.1 217.4l23.62 20.63C156.3 239.2 158.1 239.9 160 240c3.375 0 6.25-2.125 7.5-5.125c1.125-3.125 .25-6.75-2.25-8.875L128.1 193.5C128.1 193 128 192.5 128 192C128 181 130.1 170.5 133.1 160.4z"]],
    "book-medical": [448, 512, [], "f7e6", ["M400 384H96c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32h320v-66.94C410.1 382.8 405.6 384 400 384z", "M96 384h304c26.51 0 48-21.49 48-48v-288C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320c17.67 0 32-14.33 32-31.1C448 462.3 433.7 448 416 448l-318.6 0c-16.71 0-31.64-12.22-33.22-28.86C62.33 400.1 77.29 384 96 384zM128 166c0-8.838 7.164-16 16-16h53.1V96c0-8.838 7.164-16 16-16h52c8.836 0 16 7.162 16 16v54H336c8.836 0 16 7.162 16 16v52c0 8.836-7.164 16-16 16h-54V288c0 8.836-7.164 16-16 16h-52c-8.836 0-16-7.164-16-16V234H144c-8.836 0-16-7.164-16-16V166z"]],
    "book-open": [576, 512, [128366, 128214], "f518", ["M557.4 61.29c-45.11-19.79-88.48-29.61-125.7-29.26c-72.44 1.312-118.1 33.55-120.9 34.92C306.5 69.96 304 74.83 304 80.04v383.1C304 468.4 307.5 480 320 480c3.484 0 6.938-1.125 9.781-3.328c3.925-3.018 97.44-73.16 223.8-14c10.46 4.896 22.45-3.105 22.45-14.65l.0001-357.6C575.1 77.97 568.8 66.31 557.4 61.29z", "M144.3 32.04C106.9 31.29 63.7 41.44 18.6 61.29c-11.42 5.026-18.6 16.67-18.6 29.15l0 357.6c0 11.55 11.99 19.55 22.45 14.65c126.3-59.14 219.8 11 223.8 14.01C249.1 478.9 252.5 480 256 480c12.4 0 16-11.38 16-15.98V80.04c0-5.203-2.531-10.08-6.781-13.08C263.3 65.58 216.7 33.35 144.3 32.04z"]],
    "book-open-cover": [640, 512, ["book-open-alt"], "e0c0", ["M64 32.4v323.1L304 416V40.02L100.9 .3879C81.5-2.649 64 12.54 64 32.4zM539.1 .3879L336 40.02V416l240-59.62V32.4C576 12.54 558.5-2.649 539.1 .3879z", "M313.1 511.2l-288-63.1C10.42 443.1 0 430.1 0 416V64.01C0 43.19 19.56 27.92 39.76 32.97L64 39.03v325.6c0 14.1 10.42 27.98 25.06 31.24L320 447.2l230.9-51.32C565.6 392.6 576 379.7 576 364.7V39.03l24.24-6.058C620.4 27.92 640 43.19 640 64.01v351.1c0 14.1-10.42 27.99-25.06 31.24l-288 63.1C322.4 512.3 317.6 512.3 313.1 511.2z"]],
    "book-open-reader": [512, 512, ["book-reader"], "f5da", ["M352 96c0-53-43-96-96-96S160 43 160 96s43 96 96 96S352 149 352 96z", "M0 219.2v212.5c0 14.25 11.62 26.25 26.5 27C75.32 461.2 180.2 471.3 240 511.9V245.2C181.4 205.5 79.99 194.8 29.84 192C13.59 191.1 0 203.6 0 219.2zM482.2 192c-50.09 2.848-151.3 13.47-209.1 53.09C272.1 245.2 272 245.3 272 245.5v266.5c60.04-40.39 164.7-50.76 213.5-53.28C500.4 457.9 512 445.9 512 431.7V219.2C512 203.6 498.4 191.1 482.2 192z"]],
    "book-quran": [448, 512, ["quran"], "f687", ["M48 384H352c17.67 0 32 14.33 32 32c0 17.67-14.33 32-32 32h-320L32 381.1C37.03 382.8 42.36 384 48 384z", "M352 0H48C21.49 0 0 21.49 0 48v288C0 362.5 21.49 384 48 384l302.6 0c16.71 0 31.64 12.22 33.23 28.85C385.7 431.9 370.7 448 352 448h-320C14.33 448 0 462.3 0 479.1C0 497.7 14.33 512 31.1 512h320c53.02 0 96-42.98 96-96V96C448 42.98 405 0 352 0zM282.4 291.9C262.6 305 239.7 312 216 312C149.8 312 96 258.2 96 192s53.83-120 120-120c23.66 0 46.61 6.953 66.36 20.09c3.219 2.141 4.438 6.281 2.906 9.844c-1.547 3.547-5.453 5.562-9.172 4.594C268.8 104.8 262.2 104 256 104C207.5 104 168 143.5 168 192S207.5 280 256 280c6.234 0 12.81-.8281 20.09-2.531c3.719-.9687 7.625 1.047 9.172 4.594C286.8 285.6 285.6 289.8 282.4 291.9zM326.8 176.7L306.2 196.9l4.869 28.5c.4297 2.434-1.576 4.439-3.725 4.439c-.5723 0-1.145-.1445-1.719-.4297L280 215.9l-25.63 13.46c-.5723 .2852-1.145 .4297-1.719 .4297c-2.146 0-4.152-2.006-3.723-4.439l4.869-28.5l-20.62-20.19c-2.291-2.146-1.002-5.871 2.006-6.301l28.64-4.152l12.89-25.92C277.3 138.9 278.7 138.2 280 138.2s2.721 .7168 3.295 2.148l12.89 25.92l28.64 4.152C327.8 170.8 329.1 174.5 326.8 176.7z"]],
    "book-section": [448, 512, ["book-law"], "e0c1", ["M400 384H96c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32h320v-66.94C410.1 382.8 405.6 384 400 384z", "M235.9 171.2c0 0-9.406-2.494-10.32-2.742C216.9 169.7 202.6 173.3 200.4 184.6c-1.781 9.266-.2187 16.06 36.25 25.77c0 0 14.12 3.693 17.7 4.682c8.703-1.168 23.02-4.777 25.18-16.06C281.1 186.2 273.8 181 235.9 171.2zM96 384h304c26.51 0 48-21.49 48-48v-288C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320c17.67 0 32-14.33 32-31.1C448 462.3 433.7 448 416 448l-318.6 0c-16.71 0-31.64-12.22-33.23-28.85C62.33 400.1 77.29 384 96 384zM235.9 243.2l-7.469-1.953c-22.09-5.891-68-18.11-59.47-62.72c2.141-11.16 7.949-20.45 16.65-27.54C173.4 141.7 164.9 127.9 169 106.6c6.062-31.75 40.44-48.02 87.53-41.34c8.344 1.188 17.97 3.516 30.22 7.344c8.438 2.641 13.16 11.61 10.53 20.05c-2.625 8.422-11.69 13.14-20.03 10.52c-10.59-3.312-18.62-5.281-25.22-6.219c-27.81-4.031-49.09 2.5-51.59 15.67c-1.781 9.266-.2187 16.06 36.25 25.77l7.281 1.906c30.12 7.797 75.66 19.56 67.03 64.72c-2.141 11.19-7.961 20.5-16.68 27.59c12.63 9.525 20.73 23.2 16.68 44.41c-5.156 27.05-30.81 42.84-67.34 42.84c-6.406 0-13.16-.4844-20.19-1.484C210.5 316.5 196.9 312.1 184.8 308.2L179.1 306.3c-8.406-2.688-13.06-11.69-10.38-20.11c2.719-8.422 11.72-13.11 20.12-10.36l5.875 1.891c10.75 3.5 22.94 7.469 33.13 8.859c28.03 3.922 49.19-2.469 51.69-15.66C281.1 258.2 273.8 253 235.9 243.2z"]],
    "book-skull": [448, 512, ["book-dead"], "f6b7", ["M400 384H96c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32h320v-66.94C410.1 382.8 405.6 384 400 384z", "M96 384h304c26.51 0 48-21.49 48-48v-288C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320c17.67 0 32-14.33 32-32c0-17.67-14.33-32-32-32H97.38c-16.71 0-31.64-12.22-33.22-28.86C62.33 400.1 77.29 384 96 384zM240 64C284.3 64 320 92.75 320 128c0 20.88-12.75 39.25-32 50.88V192c0 8.75-7.25 16-16 16h-64C199.3 208 192 200.8 192 192V178.9C172.8 167.3 160 148.9 160 128C160 92.75 195.8 64 240 64zM121.7 238.7c-8.125-3.484-11.91-12.89-8.438-21.02c3.469-8.094 12.94-11.86 21-8.422L240 254.5l105.7-45.21c8.031-3.438 17.53 .3281 21 8.422c3.469 8.125-.3125 17.53-8.438 21.02l-77.58 33.18l77.58 33.18c8.125 3.484 11.91 12.89 8.438 21.02C364.1 332.2 358.2 335.8 352 335.8c-2.094 0-4.25-.4062-6.281-1.281L240 289.3l-105.7 45.21C132.3 335.4 130.1 335.8 128 335.8c-6.219 0-12.12-3.641-14.72-9.703C109.8 317.1 113.6 308.6 121.7 305.1l77.58-33.18L121.7 238.7zM272 144C280.8 144 288 136.8 288 128s-7.25-16-16-16S256 119.3 256 128S263.3 144 272 144zM208 144C216.8 144 224 136.8 224 128S216.8 112 208 112S192 119.3 192 128S199.3 144 208 144z"]],
    "book-sparkles": [448, 512, ["book-spells"], "f6b8", ["M400 384H96c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32h320v-66.94C410.1 382.8 405.6 384 400 384z", "M96 384h304c26.51 0 48-21.49 48-48v-288C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320c17.67 0 32-14.33 32-31.1C448 462.3 433.7 448 416 448H97.71c-15.94 0-30.71-10.89-33.27-26.63C61.18 401.3 76.56 384 96 384zM261.1 197.4l.3711-.4277l20.56-49.31c1.012-2.033 3.671-3.675 5.942-3.691c.0078 0-.0078 0 0 0c2.279 0 4.966 1.648 5.982 3.691l20.7 49.64l49.64 20.7C366.3 219.1 368 221.7 368 223.1c0 2.266-1.652 4.949-3.682 5.965l-49.64 20.7l-20.7 49.64c-1.016 2.043-3.697 3.695-5.977 3.695c-.0078 0 .0078 0 0 0c-2.271-.0156-4.936-1.662-5.947-3.695l-20.72-49.63L211.7 229.1c-2.023-1.012-3.664-3.676-3.676-5.938c.0117-2.27 1.65-4.977 3.676-5.988L261.1 197.4zM130.2 108.4L159.1 96l12.42-29.79C173 64.99 174.6 64 175.1 64s2.969 .9902 3.578 2.217L191.1 96L221.8 108.4c1.217 .6094 2.209 2.211 2.209 3.576c0 1.359-.9922 2.971-2.209 3.58L191.1 127.1L179.6 157.8C178.1 159 177.4 160 175.1 160S173 159 172.4 157.8L159.1 127.1L130.2 115.6C128.1 114.1 128 113.4 128 111.1C128 110.6 128.1 109 130.2 108.4z"]],
    "book-tanakh": [448, 512, ["tanakh"], "f827", ["M48 384H352c17.67 0 32 14.33 32 32c0 17.67-14.33 32-32 32h-320L32 381.1C37.03 382.8 42.36 384 48 384z", "M131.5 168.6L113.1 139.5h34.88L131.5 168.6zM113.1 244.5h34.88l-17.5-29.12L113.1 244.5zM208 296.6l16.88-28.12H191.3L208 296.6zM208 87.38L191.3 115.5h33.5L208 87.38zM239.1 139.4H176.9L145.4 192l31.5 52.5h62.25L270.6 192L239.1 139.4zM301.1 139.5h-34.87l17.5 29.12L301.1 139.5zM448 96v320c0 53.02-42.98 96-96 96h-320C14.33 512 0 497.7 0 480C0 462.3 14.33 448 31.1 448h318.3c15.94 0 30.71-10.89 33.27-26.63C386.8 401.3 371.4 384 352 384H48C21.49 384 0 362.5 0 336v-288C0 21.49 21.49 0 48 0H352C405 0 448 42.98 448 96zM326.4 238.4L298.6 192l27.62-46.25c3.75-6.25 3.75-13.88 .25-20.12C323 119.4 316.4 115.5 309.1 115.5h-56.38L225 69.13C221.5 63.13 215 59.5 208 59.5S194.4 63.25 190.8 69.25L163.3 115.5H106.9C99.63 115.4 93 119.3 89.38 125.6c-3.5 6.125-3.5 13.88 .25 20L117.4 192L89.75 238.3C86.13 244.5 85.1 252.1 89.5 258.4C93 264.6 99.75 268.5 106.9 268.5h56.38L191 314.9c3.5 6 10 9.625 17 9.625c7.125 0 13.62-3.75 17.25-9.75l27.5-46.13h56.38c7.25 0 13.88-3.875 17.5-10.25C330.1 252.3 330.1 244.5 326.4 238.4zM267.1 244.5h34.87l-17.37-29.12L267.1 244.5z"]],
    "book-user": [448, 512, [], "f7e7", ["M400 384H96c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32h320v-66.94C410.1 382.8 405.6 384 400 384z", "M96 384h304c26.51 0 48-21.49 48-48v-288C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320c17.67 0 32-14.33 32-31.1C448 462.3 433.7 448 416 448H97.71c-15.94 0-30.71-10.89-33.27-26.63C61.18 401.3 76.56 384 96 384zM240 64c35.35 0 64 28.66 64 64s-28.65 64-64 64c-35.34 0-64-28.66-64-64S204.7 64 240 64zM208 224h64C316.2 224 352 259.8 352 304c0 8.836-7.164 16-16 16h-192C135.2 320 128 312.8 128 304C128 259.8 163.8 224 208 224z"]],
    "bookmark": [384, 512, [61591, 128278], "f02e", ["M192 288L120.9 335.4C110.2 342.5 96 334.9 96 322.1V0H288V322.1C288 334.9 273.8 342.5 263.1 335.4L192 288z", "M0 487.7V48C0 21.49 21.49 0 48 0H96V322.1C96 334.9 110.2 342.5 120.9 335.4L192 288L263.1 335.4C273.8 342.5 288 334.9 288 322.1V0H336C362.5 0 384 21.49 384 48V487.7C384 501.1 373.1 512 359.7 512C354.7 512 349.8 510.5 345.7 507.6L192 400L38.28 507.6C34.19 510.5 29.32 512 24.33 512C10.89 512 0 501.1 0 487.7V487.7z"]],
    "bookmark-slash": [640, 512, [], "e0c2", ["M128 75.02V48C128 21.49 149.5 0 176 0H464C490.5 0 512 21.49 512 48V375.1L128 75.02zM128 487.7V196.9L509.8 497.7C506 506.1 497.5 512 487.7 512C482.7 512 477.8 510.5 473.7 507.6L320 400L166.3 507.6C162.2 510.5 157.3 512 152.3 512C138.9 512 128 501.1 128 487.7z", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "books": [512, 512, [128218], "f5db", ["M0 384l128-.0001V128L0 128V384zM96 .0028H31.1C14.38 .0028 0 14.38 0 32v63.1l128-.0008l.0008-63.1C128 14.38 113.6 .0028 96 .0028zM0 479.1c0 17.62 14.38 31.1 31.1 31.1h64c17.62 0 31.1-14.37 31.1-31.1L128 416H0V479.1zM412.3 85.32L289.5 118.4l8.223 30.83l122.7-33.04L412.3 85.32zM486.2 362.8l-122.7 33.04l8.221 30.83l122.7-33.05L486.2 362.8zM160 384l127.1 .0001V128L160 128V384zM160 479.1c0 17.62 14.38 31.1 32 31.1h63.1c17.62 0 31.98-14.36 31.1-31.98l0-64.02h-127.1L160 479.1zM273.1 56.71c-3.574-13.41 2.162-26.9 12.96-34.34c-4.154-12.86-15.83-22.36-30.04-22.36h-63.1c-17.63 0-32 14.37-32 31.1L160 96l123.6 .0005L273.1 56.71z", "M0 128l128-.0005L128 96L0 96V128zM0 416h128l.0003-31.1L0 384V416zM160 416h127.1v-31.1l-127.1-.0001L160 416zM510.9 455.3l-16.48-61.67l-122.7 33.05l16.44 61.66c4.527 16.98 22 27.12 38.9 22.57l61.29-16.52C505.3 489.8 515.4 472.3 510.9 455.3zM420.5 116.2L297.7 149.2l65.77 246.7l122.7-33.04L420.5 116.2zM395.8 23.66c-4.527-16.98-22-27.12-38.9-22.57l-61.37 16.52c-16.9 4.551-26.99 22.11-22.46 39.09l10.48 39.3L160 96l.0003 32l127.1 .0005l-.0001-15.36l1.525 5.723l122.7-33.05L395.8 23.66z"]],
    "books-medical": [576, 512, [], "f7e8", ["M160 0H96C78.38 0 64 14.38 64 32v64h128L192 32C192 14.38 177.6 0 160 0zM64 480c0 17.62 14.38 32 32 32h64c17.62 0 32-14.38 32-32l-.0008-64H64V480zM224 480c0 17.62 14.38 32 32 32h64C337.6 512 351.1 497.6 352 480V416H224L224 480zM337.1 56.7c-3.574-13.41 2.162-26.9 12.96-34.34C345.9 9.5 334.2 0 320 0h-64C238.4 0 224 14.38 224 32L224 96h123.6L337.1 56.7zM550.2 362.8l-122.7 33.04l8.221 30.83l122.7-33.05L550.2 362.8zM476.3 85.32l-122.7 33.05l8.223 30.83l122.7-33.04L476.3 85.32zM224 384H352V128H224V384z", "M79.1 352h31.1c8.836 0 16-7.164 16-16L127.1 288h47.1c8.836 0 16-7.165 16-16v-32c0-8.836-7.165-15.1-16-15.1H127.1l.0006-47.1c0-8.836-7.165-15.1-16-15.1H79.1c-8.836 0-15.1 7.163-15.1 15.1L63.1 224H16c-8.836 0-16 7.163-16 15.1v32c0 8.836 7.164 16 16 16h47.1L63.1 336C63.1 344.8 71.16 352 79.1 352zM224 416H352v-32H224L224 416zM64 416h128l-.0002-32H64V416zM64 128h128l.0002-32H64V128zM574.9 455.3l-16.48-61.67l-122.7 33.05l16.44 61.66c4.527 16.98 22 27.12 38.9 22.57l61.29-16.52C569.3 489.8 579.4 472.3 574.9 455.3zM484.5 116.2l-122.7 33.04l65.77 246.7l122.7-33.04L484.5 116.2zM459.8 23.66c-4.527-16.98-22-27.12-38.9-22.57L359.5 17.61c-16.9 4.555-26.99 22.12-22.46 39.09L347.6 96H224l.0003 32H352V112.6l1.525 5.719l122.7-33.05L459.8 23.66z"]],
    "boombox": [640, 512, [128254], "f8a5", ["M592 160h-544C21.49 160 0 181.5 0 208v256C0 490.5 21.49 512 48 512h544c26.51 0 48-21.49 48-48v-256C640 181.5 618.5 160 592 160zM176 448C114.1 448 64 397.9 64 336S114.1 224 176 224S288 274.1 288 336S237.9 448 176 448zM464 448c-61.88 0-112-50.13-112-112S402.1 224 464 224S576 274.1 576 336S525.9 448 464 448z", "M176 224C114.1 224 64 274.1 64 336S114.1 448 176 448S288 397.9 288 336S237.9 224 176 224zM176 400c-35.3 0-64-28.7-64-64c0-35.3 28.7-64 64-64s64 28.7 64 64C240 371.3 211.3 400 176 400zM256 144C256 135.1 248.9 128 240 128h-32C199.1 128 192 135.1 192 144V160h64V144zM552 0H88C57.13 0 32 25.12 32 56v106.1C37.03 161.2 42.36 160 48 160h32V56c0-4.375 3.625-8 8-8h464c4.375 0 8 3.625 8 8V160h32c5.641 0 10.97 1.182 16 2.969V56C608 25.12 582.9 0 552 0zM448 144C448 135.1 440.9 128 432 128h-32C391.1 128 384 135.1 384 144V160h64V144zM352 144C352 135.1 344.9 128 336 128h-32C295.1 128 288 135.1 288 144V160h64V144zM464 224C402.1 224 352 274.1 352 336s50.13 112 112 112s112-50.13 112-112S525.9 224 464 224zM464 400c-35.3 0-64-28.7-64-64c0-35.3 28.7-64 64-64s64 28.7 64 64C528 371.3 499.3 400 464 400z"]],
    "boot": [512, 512, [129406], "f782", ["M512 378.1V448H0V96h320v64h-48C263.2 160 256 167.2 256 176S263.2 192 271.1 192H320v32h-48C263.2 224 256 231.2 256 240S263.2 256 271.1 256H320l119.2 29.75C481.1 296.5 512 334.8 512 378.1z", "M0 448v32l32 32h64l32-32l32 32h64l32-32l32 32h64l32-32l32 32h64l32-32v-32H0zM352 80v-64C352 7.25 344.8 0 336 0h-320C7.25 0 0 7.25 0 16V96h336C344.8 96 352 88.75 352 80z"]],
    "boot-heeled": [512, 512, [], "e33f", ["M480 464h-180.5l-143.2-42.94C145.2 417.7 133.6 416 121.9 416H32v72c0 13.25 10.75 24 24 24h80c13.25 0 24-10.75 24-24v-15.72l129.1 38.72C291.3 511.7 293.7 512 296 512h184c13.25 0 24-10.75 24-24S493.3 464 480 464z", "M128 416l1.369 .5488c9.123 .5762 18.19 1.887 27.01 4.514L299.5 464h180.5v-40.45c0-24.24-13.7-46.4-35.38-57.24l-121.2-60.62c-21.68-10.84-35.38-33-35.38-57.24V32c0-17.67-14.33-32-32-32h-96v240c0 8.844-7.156 16-16 16s-16-7.156-16-16V0h-64C44.76 0 29.86 16.87 32.25 35.97L56.69 197.5c4.816 38.53 .9414 77.66-11.34 114.5c-8.84 26.52-13.35 54.29-13.35 82.24V416H128z"]],
    "booth-curtain": [512, 512, [], "f734", ["M0 32v464C0 504.8 7.25 512 15.1 512H48C56.75 512 64 504.8 64 496V64h96V0H32C14.25 0 0 14.25 0 32zM480 0h-32v496c0 8.75 7.25 16 16 16h32c8.75 0 16-7.25 16-16V32C512 14.25 497.8 0 480 0z", "M448 0v400c0 26.5-21.5 48-48 48c-24.46 0-44.45-18.21-48-41.54C348.4 429.8 328.5 448 304 448s-44.45-18.22-48-41.54C252.4 429.8 232.5 448 208 448C181.5 448 160 426.5 160 400V0H448z"]],
    "border-all": [448, 512, [], "f84c", ["M48 288V224H192V80H256V224H400V288H256V432H192V288H48z", "M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM384 96H64V416H384V96z"]],
    "border-bottom": [448, 512, [], "f84d", ["M416 320C433.7 320 448 334.3 448 352C448 369.7 433.7 384 416 384C398.3 384 384 369.7 384 352C384 334.3 398.3 320 416 320zM32 320C49.67 320 64 334.3 64 352C64 369.7 49.67 384 32 384C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320zM256 352C256 369.7 241.7 384 224 384C206.3 384 192 369.7 192 352C192 334.3 206.3 320 224 320C241.7 320 256 334.3 256 352zM416 128C433.7 128 448 142.3 448 160C448 177.7 433.7 192 416 192C398.3 192 384 177.7 384 160C384 142.3 398.3 128 416 128zM64 160C64 177.7 49.67 192 32 192C14.33 192 0 177.7 0 160C0 142.3 14.33 128 32 128C49.67 128 64 142.3 64 160zM224 128C241.7 128 256 142.3 256 160C256 177.7 241.7 192 224 192C206.3 192 192 177.7 192 160C192 142.3 206.3 128 224 128zM448 256C448 273.7 433.7 288 416 288C398.3 288 384 273.7 384 256C384 238.3 398.3 224 416 224C433.7 224 448 238.3 448 256zM32 224C49.67 224 64 238.3 64 256C64 273.7 49.67 288 32 288C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224zM256 256C256 273.7 241.7 288 224 288C206.3 288 192 273.7 192 256C192 238.3 206.3 224 224 224C241.7 224 256 238.3 256 256zM416 32C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96C398.3 96 384 81.67 384 64C384 46.33 398.3 32 416 32zM64 64C64 81.67 49.67 96 32 96C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64zM224 32C241.7 32 256 46.33 256 64C256 81.67 241.7 96 224 96C206.3 96 192 81.67 192 64C192 46.33 206.3 32 224 32zM352 256C352 273.7 337.7 288 320 288C302.3 288 288 273.7 288 256C288 238.3 302.3 224 320 224C337.7 224 352 238.3 352 256zM320 32C337.7 32 352 46.33 352 64C352 81.67 337.7 96 320 96C302.3 96 288 81.67 288 64C288 46.33 302.3 32 320 32zM160 64C160 81.67 145.7 96 128 96C110.3 96 96 81.67 96 64C96 46.33 110.3 32 128 32C145.7 32 160 46.33 160 64zM128 224C145.7 224 160 238.3 160 256C160 273.7 145.7 288 128 288C110.3 288 96 273.7 96 256C96 238.3 110.3 224 128 224z", "M448 448C448 465.7 433.7 480 416 480H32C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416H416C433.7 416 448 430.3 448 448z"]],
    "border-bottom-right": [448, 512, ["border-style-alt"], "f854", ["M0 352C0 334.3 14.33 320 32 320C49.67 320 64 334.3 64 352C64 369.7 49.67 384 32 384C14.33 384 0 369.7 0 352zM0 256C0 238.3 14.33 224 32 224C49.67 224 64 238.3 64 256C64 273.7 49.67 288 32 288C14.33 288 0 273.7 0 256zM320 32C337.7 32 352 46.33 352 64C352 81.67 337.7 96 320 96C302.3 96 288 81.67 288 64C288 46.33 302.3 32 320 32zM128 32C145.7 32 160 46.33 160 64C160 81.67 145.7 96 128 96C110.3 96 96 81.67 96 64C96 46.33 110.3 32 128 32zM192 64C192 46.33 206.3 32 224 32C241.7 32 256 46.33 256 64C256 81.67 241.7 96 224 96C206.3 96 192 81.67 192 64zM32 32C49.67 32 64 46.33 64 64C64 81.67 49.67 96 32 96C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32zM32 128C49.67 128 64 142.3 64 160C64 177.7 49.67 192 32 192C14.33 192 0 177.7 0 160C0 142.3 14.33 128 32 128z", "M416 32C433.7 32 448 46.33 448 64V400C448 444.2 412.2 480 368 480H32C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416H368C376.8 416 384 408.8 384 400V64C384 46.33 398.3 32 416 32z"]],
    "border-center-h": [448, 512, [], "f89c", ["M64 448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416C49.67 416 64 430.3 64 448zM160 448C160 465.7 145.7 480 128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416C145.7 416 160 430.3 160 448zM160 64C160 81.67 145.7 96 128 96C110.3 96 96 81.67 96 64C96 46.33 110.3 32 128 32C145.7 32 160 46.33 160 64zM320 480C302.3 480 288 465.7 288 448C288 430.3 302.3 416 320 416C337.7 416 352 430.3 352 448C352 465.7 337.7 480 320 480zM352 64C352 81.67 337.7 96 320 96C302.3 96 288 81.67 288 64C288 46.33 302.3 32 320 32C337.7 32 352 46.33 352 64zM224 480C206.3 480 192 465.7 192 448C192 430.3 206.3 416 224 416C241.7 416 256 430.3 256 448C256 465.7 241.7 480 224 480zM256 64C256 81.67 241.7 96 224 96C206.3 96 192 81.67 192 64C192 46.33 206.3 32 224 32C241.7 32 256 46.33 256 64zM416 480C398.3 480 384 465.7 384 448C384 430.3 398.3 416 416 416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480zM416 96C398.3 96 384 81.67 384 64C384 46.33 398.3 32 416 32C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96zM64 64C64 81.67 49.67 96 32 96C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64zM224 384C206.3 384 192 369.7 192 352C192 334.3 206.3 320 224 320C241.7 320 256 334.3 256 352C256 369.7 241.7 384 224 384zM448 352C448 369.7 433.7 384 416 384C398.3 384 384 369.7 384 352C384 334.3 398.3 320 416 320C433.7 320 448 334.3 448 352zM32 384C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320C49.67 320 64 334.3 64 352C64 369.7 49.67 384 32 384zM448 160C448 177.7 433.7 192 416 192C398.3 192 384 177.7 384 160C384 142.3 398.3 128 416 128C433.7 128 448 142.3 448 160zM32 192C14.33 192 0 177.7 0 160C0 142.3 14.33 128 32 128C49.67 128 64 142.3 64 160C64 177.7 49.67 192 32 192zM256 160C256 177.7 241.7 192 224 192C206.3 192 192 177.7 192 160C192 142.3 206.3 128 224 128C241.7 128 256 142.3 256 160z", "M0 256C0 238.3 14.33 224 32 224H416C433.7 224 448 238.3 448 256C448 273.7 433.7 288 416 288H32C14.33 288 0 273.7 0 256z"]],
    "border-center-v": [448, 512, [], "f89d", ["M416 416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480C398.3 480 384 465.7 384 448C384 430.3 398.3 416 416 416zM416 320C433.7 320 448 334.3 448 352C448 369.7 433.7 384 416 384C398.3 384 384 369.7 384 352C384 334.3 398.3 320 416 320zM32 320C49.67 320 64 334.3 64 352C64 369.7 49.67 384 32 384C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320zM448 160C448 177.7 433.7 192 416 192C398.3 192 384 177.7 384 160C384 142.3 398.3 128 416 128C433.7 128 448 142.3 448 160zM32 128C49.67 128 64 142.3 64 160C64 177.7 49.67 192 32 192C14.33 192 0 177.7 0 160C0 142.3 14.33 128 32 128zM448 256C448 273.7 433.7 288 416 288C398.3 288 384 273.7 384 256C384 238.3 398.3 224 416 224C433.7 224 448 238.3 448 256zM32 224C49.67 224 64 238.3 64 256C64 273.7 49.67 288 32 288C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224zM448 64C448 81.67 433.7 96 416 96C398.3 96 384 81.67 384 64C384 46.33 398.3 32 416 32C433.7 32 448 46.33 448 64zM64 64C64 81.67 49.67 96 32 96C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64zM32 416C49.67 416 64 430.3 64 448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416zM352 256C352 273.7 337.7 288 320 288C302.3 288 288 273.7 288 256C288 238.3 302.3 224 320 224C337.7 224 352 238.3 352 256zM320 32C337.7 32 352 46.33 352 64C352 81.67 337.7 96 320 96C302.3 96 288 81.67 288 64C288 46.33 302.3 32 320 32zM352 448C352 465.7 337.7 480 320 480C302.3 480 288 465.7 288 448C288 430.3 302.3 416 320 416C337.7 416 352 430.3 352 448zM128 32C145.7 32 160 46.33 160 64C160 81.67 145.7 96 128 96C110.3 96 96 81.67 96 64C96 46.33 110.3 32 128 32zM160 448C160 465.7 145.7 480 128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416C145.7 416 160 430.3 160 448zM128 224C145.7 224 160 238.3 160 256C160 273.7 145.7 288 128 288C110.3 288 96 273.7 96 256C96 238.3 110.3 224 128 224z", "M224 480C206.3 480 192 465.7 192 448V64C192 46.33 206.3 32 224 32C241.7 32 256 46.33 256 64V448C256 465.7 241.7 480 224 480z"]],
    "border-inner": [448, 512, [], "f84e", ["M416 416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480C398.3 480 384 465.7 384 448C384 430.3 398.3 416 416 416zM416 320C433.7 320 448 334.3 448 352C448 369.7 433.7 384 416 384C398.3 384 384 369.7 384 352C384 334.3 398.3 320 416 320zM32 320C49.67 320 64 334.3 64 352C64 369.7 49.67 384 32 384C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320zM448 160C448 177.7 433.7 192 416 192C398.3 192 384 177.7 384 160C384 142.3 398.3 128 416 128C433.7 128 448 142.3 448 160zM32 128C49.67 128 64 142.3 64 160C64 177.7 49.67 192 32 192C14.33 192 0 177.7 0 160C0 142.3 14.33 128 32 128zM448 64C448 81.67 433.7 96 416 96C398.3 96 384 81.67 384 64C384 46.33 398.3 32 416 32C433.7 32 448 46.33 448 64zM64 64C64 81.67 49.67 96 32 96C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64zM32 416C49.67 416 64 430.3 64 448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416zM352 64C352 81.67 337.7 96 320 96C302.3 96 288 81.67 288 64C288 46.33 302.3 32 320 32C337.7 32 352 46.33 352 64zM320 416C337.7 416 352 430.3 352 448C352 465.7 337.7 480 320 480C302.3 480 288 465.7 288 448C288 430.3 302.3 416 320 416zM160 64C160 81.67 145.7 96 128 96C110.3 96 96 81.67 96 64C96 46.33 110.3 32 128 32C145.7 32 160 46.33 160 64zM128 416C145.7 416 160 430.3 160 448C160 465.7 145.7 480 128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416z", "M192 288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H192V64C192 46.33 206.3 32 224 32C241.7 32 256 46.33 256 64V224H416C433.7 224 448 238.3 448 256C448 273.7 433.7 288 416 288H256V448C256 465.7 241.7 480 224 480C206.3 480 192 465.7 192 448V288z"]],
    "border-left": [448, 512, [], "f84f", ["M160 448C160 465.7 145.7 480 128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416C145.7 416 160 430.3 160 448zM160 64C160 81.67 145.7 96 128 96C110.3 96 96 81.67 96 64C96 46.33 110.3 32 128 32C145.7 32 160 46.33 160 64zM128 288C110.3 288 96 273.7 96 256C96 238.3 110.3 224 128 224C145.7 224 160 238.3 160 256C160 273.7 145.7 288 128 288zM352 448C352 465.7 337.7 480 320 480C302.3 480 288 465.7 288 448C288 430.3 302.3 416 320 416C337.7 416 352 430.3 352 448zM320 96C302.3 96 288 81.67 288 64C288 46.33 302.3 32 320 32C337.7 32 352 46.33 352 64C352 81.67 337.7 96 320 96zM352 256C352 273.7 337.7 288 320 288C302.3 288 288 273.7 288 256C288 238.3 302.3 224 320 224C337.7 224 352 238.3 352 256zM224 480C206.3 480 192 465.7 192 448C192 430.3 206.3 416 224 416C241.7 416 256 430.3 256 448C256 465.7 241.7 480 224 480zM256 64C256 81.67 241.7 96 224 96C206.3 96 192 81.67 192 64C192 46.33 206.3 32 224 32C241.7 32 256 46.33 256 64zM224 288C206.3 288 192 273.7 192 256C192 238.3 206.3 224 224 224C241.7 224 256 238.3 256 256C256 273.7 241.7 288 224 288zM448 448C448 465.7 433.7 480 416 480C398.3 480 384 465.7 384 448C384 430.3 398.3 416 416 416C433.7 416 448 430.3 448 448zM416 96C398.3 96 384 81.67 384 64C384 46.33 398.3 32 416 32C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96zM448 256C448 273.7 433.7 288 416 288C398.3 288 384 273.7 384 256C384 238.3 398.3 224 416 224C433.7 224 448 238.3 448 256zM224 384C206.3 384 192 369.7 192 352C192 334.3 206.3 320 224 320C241.7 320 256 334.3 256 352C256 369.7 241.7 384 224 384zM448 352C448 369.7 433.7 384 416 384C398.3 384 384 369.7 384 352C384 334.3 398.3 320 416 320C433.7 320 448 334.3 448 352zM416 192C398.3 192 384 177.7 384 160C384 142.3 398.3 128 416 128C433.7 128 448 142.3 448 160C448 177.7 433.7 192 416 192zM256 160C256 177.7 241.7 192 224 192C206.3 192 192 177.7 192 160C192 142.3 206.3 128 224 128C241.7 128 256 142.3 256 160z", "M32 480C14.33 480 0 465.7 0 448V64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64V448C64 465.7 49.67 480 32 480z"]],
    "border-none": [448, 512, [], "f850", ["M64 448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416C49.67 416 64 430.3 64 448zM128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416C145.7 416 160 430.3 160 448C160 465.7 145.7 480 128 480zM128 96C110.3 96 96 81.67 96 64C96 46.33 110.3 32 128 32C145.7 32 160 46.33 160 64C160 81.67 145.7 96 128 96zM160 256C160 273.7 145.7 288 128 288C110.3 288 96 273.7 96 256C96 238.3 110.3 224 128 224C145.7 224 160 238.3 160 256zM320 480C302.3 480 288 465.7 288 448C288 430.3 302.3 416 320 416C337.7 416 352 430.3 352 448C352 465.7 337.7 480 320 480zM352 64C352 81.67 337.7 96 320 96C302.3 96 288 81.67 288 64C288 46.33 302.3 32 320 32C337.7 32 352 46.33 352 64zM320 288C302.3 288 288 273.7 288 256C288 238.3 302.3 224 320 224C337.7 224 352 238.3 352 256C352 273.7 337.7 288 320 288zM256 448C256 465.7 241.7 480 224 480C206.3 480 192 465.7 192 448C192 430.3 206.3 416 224 416C241.7 416 256 430.3 256 448zM224 96C206.3 96 192 81.67 192 64C192 46.33 206.3 32 224 32C241.7 32 256 46.33 256 64C256 81.67 241.7 96 224 96zM256 256C256 273.7 241.7 288 224 288C206.3 288 192 273.7 192 256C192 238.3 206.3 224 224 224C241.7 224 256 238.3 256 256zM416 480C398.3 480 384 465.7 384 448C384 430.3 398.3 416 416 416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480zM416 96C398.3 96 384 81.67 384 64C384 46.33 398.3 32 416 32C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96zM64 64C64 81.67 49.67 96 32 96C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64zM416 288C398.3 288 384 273.7 384 256C384 238.3 398.3 224 416 224C433.7 224 448 238.3 448 256C448 273.7 433.7 288 416 288zM64 256C64 273.7 49.67 288 32 288C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224C49.67 224 64 238.3 64 256zM224 384C206.3 384 192 369.7 192 352C192 334.3 206.3 320 224 320C241.7 320 256 334.3 256 352C256 369.7 241.7 384 224 384zM448 352C448 369.7 433.7 384 416 384C398.3 384 384 369.7 384 352C384 334.3 398.3 320 416 320C433.7 320 448 334.3 448 352zM32 384C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320C49.67 320 64 334.3 64 352C64 369.7 49.67 384 32 384zM448 160C448 177.7 433.7 192 416 192C398.3 192 384 177.7 384 160C384 142.3 398.3 128 416 128C433.7 128 448 142.3 448 160zM32 192C14.33 192 0 177.7 0 160C0 142.3 14.33 128 32 128C49.67 128 64 142.3 64 160C64 177.7 49.67 192 32 192zM256 160C256 177.7 241.7 192 224 192C206.3 192 192 177.7 192 160C192 142.3 206.3 128 224 128C241.7 128 256 142.3 256 160z", ""]],
    "border-outer": [448, 512, [], "f851", ["M192 160C192 142.3 206.3 128 224 128C241.7 128 256 142.3 256 160C256 177.7 241.7 192 224 192C206.3 192 192 177.7 192 160zM96 256C96 238.3 110.3 224 128 224C145.7 224 160 238.3 160 256C160 273.7 145.7 288 128 288C110.3 288 96 273.7 96 256zM256 256C256 273.7 241.7 288 224 288C206.3 288 192 273.7 192 256C192 238.3 206.3 224 224 224C241.7 224 256 238.3 256 256zM288 256C288 238.3 302.3 224 320 224C337.7 224 352 238.3 352 256C352 273.7 337.7 288 320 288C302.3 288 288 273.7 288 256zM256 352C256 369.7 241.7 384 224 384C206.3 384 192 369.7 192 352C192 334.3 206.3 320 224 320C241.7 320 256 334.3 256 352z", "M384 96H64V416H384V96zM384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384z"]],
    "border-right": [448, 512, [], "f852", ["M288 64C288 46.33 302.3 32 320 32C337.7 32 352 46.33 352 64C352 81.67 337.7 96 320 96C302.3 96 288 81.67 288 64zM288 448C288 430.3 302.3 416 320 416C337.7 416 352 430.3 352 448C352 465.7 337.7 480 320 480C302.3 480 288 465.7 288 448zM320 224C337.7 224 352 238.3 352 256C352 273.7 337.7 288 320 288C302.3 288 288 273.7 288 256C288 238.3 302.3 224 320 224zM96 64C96 46.33 110.3 32 128 32C145.7 32 160 46.33 160 64C160 81.67 145.7 96 128 96C110.3 96 96 81.67 96 64zM128 416C145.7 416 160 430.3 160 448C160 465.7 145.7 480 128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416zM96 256C96 238.3 110.3 224 128 224C145.7 224 160 238.3 160 256C160 273.7 145.7 288 128 288C110.3 288 96 273.7 96 256zM224 32C241.7 32 256 46.33 256 64C256 81.67 241.7 96 224 96C206.3 96 192 81.67 192 64C192 46.33 206.3 32 224 32zM192 448C192 430.3 206.3 416 224 416C241.7 416 256 430.3 256 448C256 465.7 241.7 480 224 480C206.3 480 192 465.7 192 448zM224 224C241.7 224 256 238.3 256 256C256 273.7 241.7 288 224 288C206.3 288 192 273.7 192 256C192 238.3 206.3 224 224 224zM0 64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64C64 81.67 49.67 96 32 96C14.33 96 0 81.67 0 64zM32 416C49.67 416 64 430.3 64 448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416zM0 256C0 238.3 14.33 224 32 224C49.67 224 64 238.3 64 256C64 273.7 49.67 288 32 288C14.33 288 0 273.7 0 256zM224 128C241.7 128 256 142.3 256 160C256 177.7 241.7 192 224 192C206.3 192 192 177.7 192 160C192 142.3 206.3 128 224 128zM0 160C0 142.3 14.33 128 32 128C49.67 128 64 142.3 64 160C64 177.7 49.67 192 32 192C14.33 192 0 177.7 0 160zM32 320C49.67 320 64 334.3 64 352C64 369.7 49.67 384 32 384C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320zM192 352C192 334.3 206.3 320 224 320C241.7 320 256 334.3 256 352C256 369.7 241.7 384 224 384C206.3 384 192 369.7 192 352z", "M416 32C433.7 32 448 46.33 448 64V448C448 465.7 433.7 480 416 480C398.3 480 384 465.7 384 448V64C384 46.33 398.3 32 416 32z"]],
    "border-top": [448, 512, [], "f855", ["M32 192C14.33 192 0 177.7 0 160C0 142.3 14.33 128 32 128C49.67 128 64 142.3 64 160C64 177.7 49.67 192 32 192zM416 192C398.3 192 384 177.7 384 160C384 142.3 398.3 128 416 128C433.7 128 448 142.3 448 160C448 177.7 433.7 192 416 192zM192 160C192 142.3 206.3 128 224 128C241.7 128 256 142.3 256 160C256 177.7 241.7 192 224 192C206.3 192 192 177.7 192 160zM32 384C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320C49.67 320 64 334.3 64 352C64 369.7 49.67 384 32 384zM384 352C384 334.3 398.3 320 416 320C433.7 320 448 334.3 448 352C448 369.7 433.7 384 416 384C398.3 384 384 369.7 384 352zM224 384C206.3 384 192 369.7 192 352C192 334.3 206.3 320 224 320C241.7 320 256 334.3 256 352C256 369.7 241.7 384 224 384zM0 256C0 238.3 14.33 224 32 224C49.67 224 64 238.3 64 256C64 273.7 49.67 288 32 288C14.33 288 0 273.7 0 256zM416 288C398.3 288 384 273.7 384 256C384 238.3 398.3 224 416 224C433.7 224 448 238.3 448 256C448 273.7 433.7 288 416 288zM192 256C192 238.3 206.3 224 224 224C241.7 224 256 238.3 256 256C256 273.7 241.7 288 224 288C206.3 288 192 273.7 192 256zM32 480C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416C49.67 416 64 430.3 64 448C64 465.7 49.67 480 32 480zM384 448C384 430.3 398.3 416 416 416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480C398.3 480 384 465.7 384 448zM224 480C206.3 480 192 465.7 192 448C192 430.3 206.3 416 224 416C241.7 416 256 430.3 256 448C256 465.7 241.7 480 224 480zM96 256C96 238.3 110.3 224 128 224C145.7 224 160 238.3 160 256C160 273.7 145.7 288 128 288C110.3 288 96 273.7 96 256zM128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416C145.7 416 160 430.3 160 448C160 465.7 145.7 480 128 480zM288 448C288 430.3 302.3 416 320 416C337.7 416 352 430.3 352 448C352 465.7 337.7 480 320 480C302.3 480 288 465.7 288 448zM320 288C302.3 288 288 273.7 288 256C288 238.3 302.3 224 320 224C337.7 224 352 238.3 352 256C352 273.7 337.7 288 320 288z", "M0 64C0 46.33 14.33 32 32 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64z"]],
    "border-top-left": [448, 512, ["border-style"], "f853", ["M448 160C448 177.7 433.7 192 416 192C398.3 192 384 177.7 384 160C384 142.3 398.3 128 416 128C433.7 128 448 142.3 448 160zM448 256C448 273.7 433.7 288 416 288C398.3 288 384 273.7 384 256C384 238.3 398.3 224 416 224C433.7 224 448 238.3 448 256zM128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416C145.7 416 160 430.3 160 448C160 465.7 145.7 480 128 480zM320 480C302.3 480 288 465.7 288 448C288 430.3 302.3 416 320 416C337.7 416 352 430.3 352 448C352 465.7 337.7 480 320 480zM256 448C256 465.7 241.7 480 224 480C206.3 480 192 465.7 192 448C192 430.3 206.3 416 224 416C241.7 416 256 430.3 256 448zM416 480C398.3 480 384 465.7 384 448C384 430.3 398.3 416 416 416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480zM416 384C398.3 384 384 369.7 384 352C384 334.3 398.3 320 416 320C433.7 320 448 334.3 448 352C448 369.7 433.7 384 416 384z", "M32 480C14.33 480 0 465.7 0 448V112C0 67.82 35.82 32 80 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H80C71.16 96 64 103.2 64 112V448C64 465.7 49.67 480 32 480z"]],
    "bore-hole": [512, 512, [], "e4c3", ["M160 128V352C160 405 202.1 448 256 448C309 448 352 405 352 352V128H464C490.5 128 512 149.5 512 176V464C512 490.5 490.5 512 464 512H48C21.49 512 0 490.5 0 464V176C0 149.5 21.49 128 48 128H160z", "M288 296.6C307.1 307.6 320 328.3 320 352C320 387.3 291.3 416 256 416C220.7 416 192 387.3 192 352C192 328.3 204.9 307.6 224 296.6V32C224 14.33 238.3 0 256 0C273.7 0 288 14.33 288 32V296.6z"]],
    "bottle-droplet": [320, 512, [], "e4c4", ["M104 48H216V140.9C258.6 161.6 288 205.4 288 256V448C288 483.3 259.3 512 224 512H96C60.65 512 32 483.3 32 448V256C32 205.4 61.37 161.6 104 140.9V48zM160 384C186.5 384 208 368 208 336C208 304 160 256 160 256C160 256 112 304 112 336C112 362.5 133.5 384 160 384z", "M224 0C237.3-.0003 248 10.74 248 23.1C248 37.25 237.3 47.1 224 48L96 48C82.75 48 72 37.26 72 24C71.1 10.75 82.74 .0042 95.1 .0038L224 0zM112 336C112 304 160 256 160 256C160 256 208 304 208 336C208 368 186.5 384 160 384C133.5 384 112 362.5 112 336z"]],
    "bottle-water": [320, 512, [], "e4c5", ["M200 0C213.3 0 224 10.75 224 24V64H96V24C96 10.75 106.7 0 120 0H200zM32 151.7C32 136.1 41.04 121.9 55.19 115.3L79.6 103.8C90.58 98.67 102.6 96 114.7 96H205.3C217.4 96 229.4 98.67 240.4 103.8L264.8 115.3C278.1 121.9 288 136.1 288 151.7C288 166.1 280.5 178.7 269.1 185.8C280.6 194.6 288 208.4 288 223.1C288 240.7 279.5 255.4 266.5 263.1C279.5 272.6 288 287.3 288 303.1C288 320.7 279.5 335.4 266.5 344C279.5 352.6 288 367.3 288 384C288 400.7 279.5 415.4 266.5 424C279.5 432.6 288 447.3 288 464C288 490.5 266.5 512 240 512H80C53.49 512 32 490.5 32 464C32 447.3 40.52 432.6 53.46 424C40.52 415.4 32 400.7 32 384C32 367.3 40.52 352.6 53.46 344C40.52 335.4 32 320.7 32 303.1C32 287.3 40.52 272.6 53.46 263.1C40.52 255.4 32 240.7 32 223.1C32 208.4 39.4 194.6 50.87 185.8C39.53 178.7 32 166.1 32 151.7L32 151.7zM112 256H208C216.8 256 224 248.8 224 240C224 231.2 216.8 224 208 224H112C103.2 224 96 231.2 96 240C96 248.8 103.2 256 112 256zM112 352C103.2 352 96 359.2 96 368C96 376.8 103.2 384 112 384H208C216.8 384 224 376.8 224 368C224 359.2 216.8 352 208 352H112z", "M200 0C213.3 0 224 10.75 224 24V64H96V24C96 10.75 106.7 0 120 0H200zM96 240C96 231.2 103.2 224 112 224H208C216.8 224 224 231.2 224 240C224 248.8 216.8 256 208 256H112C103.2 256 96 248.8 96 240zM96 368C96 359.2 103.2 352 112 352H208C216.8 352 224 359.2 224 368C224 376.8 216.8 384 208 384H112C103.2 384 96 376.8 96 368z"]],
    "bow-arrow": [512, 512, [127993], "f6b9", ["M282.3 150.5l46.63-46.62c-40.63-25.87-87.75-39.87-137-39.87c-49.76 0-97.25 14.25-138.1 40.62l-3.875-3.873C46.83 97.63 42.7 96.06 38.57 96.06c-4.108 0-8.209 1.558-11.33 4.675l-22.54 22.51c-3.122 3.121-4.685 7.225-4.685 11.33c0 4.112 1.565 8.226 4.692 11.35l141 140.9l45.25-45.14L100.5 151.3C128.2 136.1 159.5 128 191.1 128C223.1 128 254.8 135.8 282.3 150.5zM407.4 457.4c26.38-40.87 40.63-88.36 40.63-138.1c0-49.37-13.1-96.35-39.88-136.1l-46.63 46.62c14.75 27.5 22.5 58.24 22.5 90.36c0 32.5-8.125 63.74-23.25 91.48l-90.5-90.61l-45.25 45.24l141.8 141.8c3.125 3.125 7.217 4.687 11.31 4.687c4.094 0 8.187-1.562 11.31-4.687l22.62-22.62c3.125-3.125 4.688-7.25 4.688-11.37c0-4.125-1.562-8.248-4.688-11.37L407.4 457.4z", "M512 15.64c0-8.635-7.093-15.64-15.72-15.64c-1.004 0-2.015 .0896-3.053 .29l-128.6 25.75c-7.885 1.609-12.61 8.446-12.61 15.47c0 3.89 1.449 7.831 4.612 10.99l34.5 34.5L140.5 337.6l-49.75-16.7c-2.104-.6776-4.349-1.006-6.497-1.006c-5.38 0-10.57 2.076-14.5 6.006l-63.75 63.82C1.901 393.8 0 398.1 0 404.1c0 8.378 5.1 16.6 14.1 19.62l55.62 18.5L88.22 497.9c3.027 9.002 11.24 14.12 19.65 14.12c5.134 0 10.35-1.922 14.47-5.997l63.62-63.74c3.93-3.93 6.011-9.19 6.011-14.57c0-2.148-.3325-4.323-1.01-6.427L174.4 371.4l250.6-250.5l34.5 34.47c3.162 3.162 7.11 4.639 11.01 4.639c7.037 0 13.88-4.754 15.49-12.64l25.72-128.6C511.9 17.75 512 16.65 512 15.64z"]],
    "bowl-chopsticks": [512, 512, [], "e2e9", ["M0 109.3C0 101.6 5.488 94.97 13.06 93.55L484.4 5.172C498.7 2.484 512 13.48 512 28.06C512 39.54 503.6 49.31 492.3 51.08L18.49 125.1C8.774 126.6 0 119.1 0 109.3V109.3zM487.6 128.8C500.1 128.3 512 139 512 152.4C512 165.4 501.4 175.1 488.4 175.1H16.25C7.275 175.1 0 168.7 0 159.7C0 150.1 6.97 143.8 15.74 143.5L487.6 128.8z", "M478.4 224C496.6 224 511.1 239.3 510 257.5C504.6 349.3 450.4 427.2 373.6 467.2L372.4 476.1C369.9 496.1 352.9 512 332.7 512H179.3C159.1 512 142.1 496.1 139.6 476.1L138.4 467.2C61.63 427.2 7.368 349.3 1.972 257.5C.9018 239.3 15.36 224 33.59 224H478.4z"]],
    "bowl-chopsticks-noodles": [512, 512, [], "e2ea", ["M512 24.08c0-14.41-11.93-24.01-23.98-24.01c-3.096 0 17.55-4.236-264 54.51V92.89l267.9-45.18C504.1 45.62 512 35.29 512 24.08zM0 113.2C0 122.1 7.361 127.1 14.71 127.1c.9121 0-5.396 1.115 49.29-8.09V87.95L11.75 98.84C4.854 100.3 0 106.4 0 113.2zM0 159.8C0 168.7 7.275 176 16.25 176H64V142L15.74 143.5C6.969 143.8 0 150.1 0 159.8zM487.6 128.8L224 137V176h264.4C501.4 176 512 165.4 512 152.4C512 139 500.1 128.3 487.6 128.8z", "M511.1 256.2c0 95.69-51.5 179-127.1 223.8C383.1 497.7 369.7 512 351.1 512H160c-17.67 0-31.1-14.33-31.1-32c-76.5-44.81-127.1-128.1-127.1-223.8c0-17.8 14.37-32.19 31.1-32.19L64 224V56C64 42.74 74.74 32 88 32C101.3 32 112 42.74 112 56V224h32V40c0-13.26 10.75-24 24-24S192 26.74 192 40V224l287.1-.0039C497.6 223.1 511.1 238.4 511.1 256.2z"]],
    "bowl-food": [512, 512, [], "e4c6", ["M8.562 224C3.116 214.6 0 203.7 0 192C0 156.7 28.65 128 64 128C64.53 128 65.07 128 65.6 128C73 91.49 105.3 64 144 64C158.1 64 172.1 68.1 184.9 75.25C198.2 49.55 225.1 32 256 32C286.9 32 313.8 49.56 327.1 75.25C339 68.1 353 64 368 64C406.7 64 438.1 91.49 446.4 128C446.9 128 447.5 128 448 128C483.3 128 512 156.7 512 192C512 203.7 508.9 214.6 503.4 224H8.562z", "M484.6 256C499.7 256 512 268.3 512 283.4C512 353.9 467.6 414.1 405.3 437.5L403.5 451.1C401.5 467.1 387.9 480 371.8 480H140.2C124.1 480 110.5 467.1 108.5 451.1L106.7 437.5C44.36 414.1 0 353.9 0 283.4C0 268.3 12.28 256 27.43 256H484.6z"]],
    "bowl-hot": [512, 512, ["soup"], "f823", ["M176 32C176 49.63 184.3 66.22 198.4 76.8C224.6 96.44 240 127.3 240 160V168C240 181.3 229.3 192 216 192C202.7 192 192 181.3 192 168V160C192 142.4 183.7 125.8 169.6 115.2C143.4 95.56 128 64.73 128 32V24C128 10.75 138.7 0 152 0C165.3 0 176 10.75 176 24V32zM304 32C304 49.63 312.3 66.22 326.4 76.8C352.6 96.44 368 127.3 368 160V168C368 181.3 357.3 192 344 192C330.7 192 320 181.3 320 168V160C320 142.4 311.7 125.8 297.6 115.2C271.4 95.56 256 64.73 256 32V24C256 10.75 266.7 0 280 0C293.3 0 304 10.75 304 24V32z", "M478.4 224C496.6 224 511.1 239.3 510 257.5C504.6 349.3 450.4 427.2 373.6 467.2L372.4 476.1C369.9 496.1 352.9 512 332.7 512H179.3C159.1 512 142.1 496.1 139.6 476.1L138.4 467.2C61.63 427.2 7.368 349.3 1.972 257.5C.9018 239.3 15.36 224 33.59 224H478.4z"]],
    "bowl-rice": [512, 512, [], "e2eb", ["M176 56C176 42.75 186.7 32 200 32H216C229.3 32 240 42.75 240 56C240 69.25 229.3 80 216 80H200C186.7 80 176 69.25 176 56zM216 104C229.3 104 240 114.7 240 128C240 141.3 229.3 152 216 152H200C186.7 152 176 141.3 176 128C176 114.7 186.7 104 200 104H216zM32 200C32 186.7 42.75 176 56 176H72C85.25 176 96 186.7 96 200C96 213.3 85.25 224 72 224H56C42.75 224 32 213.3 32 200zM224 200C224 186.7 234.7 176 248 176H264C277.3 176 288 186.7 288 200C288 213.3 277.3 224 264 224H248C234.7 224 224 213.3 224 200zM128 200C128 186.7 138.7 176 152 176H168C181.3 176 192 186.7 192 200C192 213.3 181.3 224 168 224H152C138.7 224 128 213.3 128 200zM120 104C133.3 104 144 114.7 144 128C144 141.3 133.3 152 120 152H104C90.75 152 80 141.3 80 128C80 114.7 90.75 104 104 104H120zM320 200C320 186.7 330.7 176 344 176H360C373.3 176 384 186.7 384 200C384 213.3 373.3 224 360 224H344C330.7 224 320 213.3 320 200zM312 104C325.3 104 336 114.7 336 128C336 141.3 325.3 152 312 152H296C282.7 152 272 141.3 272 128C272 114.7 282.7 104 296 104H312zM416 200C416 186.7 426.7 176 440 176H456C469.3 176 480 186.7 480 200C480 213.3 469.3 224 456 224H440C426.7 224 416 213.3 416 200zM408 104C421.3 104 432 114.7 432 128C432 141.3 421.3 152 408 152H392C378.7 152 368 141.3 368 128C368 114.7 378.7 104 392 104H408zM312 32C325.3 32 336 42.75 336 56C336 69.25 325.3 80 312 80H296C282.7 80 272 69.25 272 56C272 42.75 282.7 32 296 32H312z", "M484.6 256C499.7 256 512 268.3 512 283.4C512 353.9 467.6 414.1 405.3 437.5L403.5 451.1C401.5 467.1 387.9 480 371.8 480H140.2C124.1 480 110.5 467.1 108.5 451.1L106.7 437.5C44.36 414.1 0 353.9 0 283.4C0 268.3 12.28 256 27.43 256H484.6z"]],
    "bowl-scoop": [448, 512, [127847, "bowl-shaved-ice"], "e3de", ["M416 224H32C32 173.1 52.23 124.2 88.24 88.24C124.2 52.23 173.1 32 224 32C274.9 32 323.8 52.23 359.8 88.24C395.8 124.2 416 173.1 416 224z", "M437.8 257.5C439.9 258.5 441.7 259.9 443.2 261.6C444.7 263.4 445.9 265.4 446.5 267.6C447.2 269.8 447.4 272.2 447 274.4C442.5 313.4 423.8 349.4 394.5 375.5C365.2 401.6 327.3 416 288 416H256L331.3 484.7C333.6 486.9 335.1 489.8 335.7 492.9C336.3 495.1 336 499.2 334.8 502.1C333.6 505.1 331.5 507.6 328.9 509.3C326.3 511.1 323.2 512 320 512H128C124.8 512 121.7 511.1 119.1 509.3C116.5 507.5 114.4 505 113.2 502.1C112 499.2 111.7 495.1 112.3 492.9C112.9 489.8 114.5 486.9 116.7 484.7L192 416H160C120.7 416 82.8 401.6 53.45 375.5C24.11 349.4 5.39 313.4 .865 274.4C.5559 272.1 .738 269.8 1.399 267.6C2.06 265.4 3.185 263.3 4.699 261.6C6.213 259.9 8.08 258.5 10.18 257.5C12.28 256.5 14.56 256 16.87 256H431.1C433.4 256 435.7 256.5 437.8 257.5L437.8 257.5z"]],
    "bowl-scoops": [448, 512, [127813], "e3df", ["M178.9 81.28C161.4 72.04 142.2 66.53 122.5 65.09C131.4 45.66 145.7 29.21 163.6 17.67C181.6 6.127 202.5-.0078 223.9-.0078C245.2-.0078 266.1 6.127 284.1 17.67C302.1 29.21 316.4 45.66 325.2 65.09C305.6 66.61 286.5 72.16 269 81.39C251.6 90.63 236.3 103.3 224 118.7C211.7 103.3 196.3 90.51 178.9 81.28zM415.2 128.8C436.2 149.8 448 178.3 448 207.1C447.8 213.4 447.3 218.7 446.4 223.1H225.6C224.7 218.7 224.2 213.4 224 207.1C224 178.3 235.8 149.8 256.8 128.8C277.8 107.8 306.3 95.1 336 95.1C365.7 95.1 394.2 107.8 415.2 128.8zM165.5 109.6C181.9 118.6 195.8 131.5 205.9 147.2C196.8 166.2 192.1 186.1 192 207.1C191.1 213.3 192.3 218.7 192.1 223.1H1.6C.6934 218.7 .1587 213.4 0 207.1C0 178.3 11.8 149.8 32.8 128.8C53.81 107.8 82.3 95.1 112 95.1C130.7 95.1 149.1 100.7 165.5 109.6z", "M437.8 257.5C439.9 258.5 441.7 259.9 443.2 261.6C444.7 263.4 445.9 265.4 446.5 267.6C447.2 269.8 447.4 272.2 447 274.4C442.5 313.4 423.8 349.4 394.5 375.5C365.2 401.6 327.3 416 288 416H256L331.3 484.7C333.6 486.9 335.1 489.8 335.7 492.9C336.3 495.1 336 499.2 334.8 502.1C333.6 505.1 331.5 507.6 328.9 509.3C326.3 511.1 323.2 512 320 512H128C124.8 512 121.7 511.1 119.1 509.3C116.5 507.5 114.4 505 113.2 502.1C112 499.2 111.7 495.1 112.3 492.9C112.9 489.8 114.5 486.9 116.7 484.7L192 416H160C120.7 416 82.8 401.6 53.45 375.5C24.11 349.4 5.39 313.4 .865 274.4C.5559 272.1 .738 269.8 1.399 267.6C2.06 265.4 3.185 263.3 4.699 261.6C6.213 259.9 8.08 258.5 10.18 257.5C12.28 256.5 14.56 256 16.87 256H431.1C433.4 256 435.7 256.5 437.8 257.5L437.8 257.5z"]],
    "bowl-soft-serve": [512, 512, [], "e46b", ["M256 0H288C358.7 0 416 57.31 416 128C416 139.7 412.9 150.6 407.4 160H416C451.3 160 480 188.7 480 224C480 259.3 451.3 288 416 288H96C60.65 288 32 259.3 32 224C32 188.7 60.65 160 96 160H104.6C99.12 150.6 96 139.7 96 128C96 92.65 124.7 64 160 64H241.3C258.3 64 272 50.25 272 33.3C272 27.23 270.2 21.31 266.8 16.26L256 0z", "M448 320C456.8 320 464 327.2 464 336V344C464 401.4 417.4 448 360 448H329.9L350.3 488.8C351.4 491.1 352 493.6 352 496C352 498.9 351.2 501.8 349.6 504.4C346.7 509.1 341.5 512 336 512H175.1C170.5 512 165.3 509.1 162.4 504.4C160.8 501.8 159.1 498.9 159.1 496C159.1 493.6 160.6 491.1 161.7 488.8L182.1 448H152C94.56 448 48 401.4 48 344V336C48 327.2 55.16 320 64 320H448z"]],
    "bowl-spoon": [512, 512, [129379], "e3e0", ["M217.6 128C202.3 165.3 160.8 192 112 192C50.14 192 0 149 0 96C0 42.98 50.14 0 112 0C160.8 0 202.3 26.71 217.6 64H480C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128H217.6z", "M478.4 224C496.6 224 511.1 239.3 510 257.5C504.6 349.3 450.4 427.2 373.6 467.2L372.4 476.1C369.9 496.1 352.9 512 332.7 512H179.3C159.1 512 142.1 496.1 139.6 476.1L138.4 467.2C61.63 427.2 7.368 349.3 1.972 257.5C.9021 239.3 15.36 224 33.59 224H478.4z"]],
    "bowling-ball": [512, 512, [], "f436", ["M144 144c-17.7 0-32 14.25-32 32s14.3 32 32 32s32-14.25 32-32S161.7 144 144 144zM240 144c17.66 0 31.95-14.25 31.95-32s-14.29-32-31.95-32s-32.05 14.25-32.05 32S222.4 144 240 144zM240 176c-17.7 0-32 14.25-32 32s14.3 32 32 32s32-14.25 32-32S257.7 176 240 176z", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM144 208c-17.7 0-32-14.25-32-32s14.3-32 32-32s32 14.25 32 32S161.7 208 144 208zM240 80c17.66 0 31.95 14.25 31.95 32s-14.29 32-31.95 32s-32.05-14.25-32.05-32S222.4 80 240 80zM240 240c-17.7 0-32-14.25-32-32s14.3-32 32-32s32 14.25 32 32S257.7 240 240 240z"]],
    "bowling-ball-pin": [576, 512, [], "e0c3", ["M522.1 160C527.7 135.1 544 111.8 544 72.05c0-48.12-32.11-72.05-64.08-72.05C447.1-.0001 416 24.12 416 72.05c0 39.71 16.26 63.01 21.93 87.99H522.1zM521.6 192h-83.21c-1.199 8.969-3.494 17.93-6.197 26.9C442.3 245.4 448 274 448 304c0 53.82-17.93 103.3-47.85 143.4C421 500.5 431.2 512 450.8 512h58.51c11.1 0 22.9-6.609 28.4-17.27C553.7 463.6 576 421.4 576 368C576 309.4 529.4 250.7 521.6 192zM122.7 192C107.9 192 96 203.9 96 218.7C96 233.5 107.9 245.3 122.7 245.3c14.75 0 26.67-11.88 26.67-26.67C149.3 203.9 137.4 192 122.7 192zM197.3 146.7c-14.75 0-26.67 11.88-26.67 26.67S182.6 200 197.3 200C212.1 200 224 188.1 224 173.3S212.1 146.7 197.3 146.7zM197.3 234.7c-14.75 0-26.67 11.88-26.67 26.67S182.6 288 197.3 288C212.1 288 224 276.1 224 261.3S212.1 234.7 197.3 234.7z", "M437.9 160l.4648 31.1h83.21l.4648-31.1H437.9zM208 96C93.13 96 0 189.1 0 304S93.13 512 208 512S416 418.9 416 304S322.9 96 208 96zM122.7 245.3C107.9 245.3 96 233.5 96 218.7C96 203.9 107.9 192 122.7 192c14.75 0 26.67 11.88 26.67 26.66C149.3 233.5 137.4 245.3 122.7 245.3zM197.3 288C182.6 288 170.7 276.1 170.7 261.3s11.92-26.67 26.67-26.67C212.1 234.7 224 246.5 224 261.3S212.1 288 197.3 288zM197.3 200c-14.75 0-26.67-11.88-26.67-26.67s11.92-26.67 26.67-26.67C212.1 146.7 224 158.5 224 173.3S212.1 200 197.3 200z"]],
    "bowling-pins": [512, 512, [], "f437", ["M170.1 160C175.7 135.1 192 111.8 192 72.05c0-48.13-32.09-72.05-64.05-72.05C95.98 0 64 24.12 64 72.05c0 39.71 16.26 63.01 21.93 87.99H170.1zM425.6 192h-83.21C334.6 250.7 288 309.4 288 368c0 53.4 22.29 95.66 38.42 126.8C331.9 505.4 342.8 512 354.8 512h58.51c11.1 0 22.9-6.611 28.4-17.27C457.7 463.6 480 421.4 480 368C480 309.4 433.4 250.7 425.6 192zM426.1 160C431.7 135.1 448 111.8 448 72.05c0-48.13-32.09-72.05-64.05-72.05C351.1 0 320 24.12 320 72.05c0 39.71 16.26 63.01 21.93 87.99H426.1zM86.4 192C78.55 250.7 32 309.4 32 368c0 53.4 22.29 95.66 38.42 126.8C75.93 505.4 86.82 512 98.79 512h58.51c11.1 0 22.9-6.611 28.4-17.27C201.7 463.6 224 421.4 224 368C224 309.4 177.4 250.7 169.6 192H86.4z", "M86.4 192h83.21l.4648-31.1H85.93L86.4 192zM341.9 160l.4648 31.1h83.21l.4648-31.1H341.9z"]],
    "box": [448, 512, [128230], "f466", ["M208 32V160H0L50.73 58.53C58.86 42.27 75.48 32 93.67 32H208zM354.3 32C372.5 32 389.1 42.27 397.3 58.53L448 160H240V32H354.3z", "M240 160H448V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V160H208V32H240V160z"]],
    "box-archive": [512, 512, ["archive"], "f187", ["M32 432C32 458.5 53.49 480 80 480h352c26.51 0 48-21.49 48-48V128H32V432zM160 208C160 199.2 167.2 192 176 192h160C344.8 192 352 199.2 352 208v32C352 248.8 344.8 256 336 256h-160C167.2 256 160 248.8 160 240V208z", "M512 64v48C512 120.8 504.8 128 496 128h-480C7.188 128 0 120.8 0 112V64c0-17.69 14.31-32 32-32h448C497.7 32 512 46.31 512 64z"]],
    "box-ballot": [576, 512, [128499], "f735", ["M576 192v127.1L575.1 320H.875L0 319.1V192c0-17.67 14.33-32 32-32h96v64H79.1C71.16 224 64 231.2 64 239.1S71.16 256 79.1 256h416C504.8 256 512 248.8 512 240S504.8 224 496 224H448V160h96C561.7 160 576 174.3 576 192z", "M0 320v144C0 490.5 21.49 512 48 512h480c26.51 0 48-21.49 48-48V320H0zM448 24C448 10.74 437.3 0 424 0h-272C138.7 0 128 10.74 128 24V256h320V24z"]],
    "box-check": [448, 512, [], "f467", ["M208 32V160H0L50.73 58.53C58.86 42.27 75.48 32 93.67 32H208zM354.3 32C372.5 32 389.1 42.27 397.3 58.53L448 160H240V32H354.3z", "M448 416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V160H208V32H240V160H448V416zM320.1 280.1C330.3 271.6 330.3 256.4 320.1 247C311.6 237.7 296.4 237.7 287 247L192 342.1L152.1 303C143.6 293.7 128.4 293.7 119 303C109.7 312.4 109.7 327.6 119 336.1L175 392.1C184.4 402.3 199.6 402.3 208.1 392.1L320.1 280.1z"]],
    "box-circle-check": [576, 512, [], "e0c4", ["M50.73 58.53C58.86 42.27 75.48 32 93.67 32H208V160H0L50.73 58.53zM240 160V32H354.3C372.5 32 389.1 42.27 397.3 58.53L448 160H240zM416 192.7C326.3 200.8 256 276.2 256 368C256 410.5 271.1 449.6 296.2 480H64C28.65 480 0 451.3 0 416V192H416V192.7z", "M288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM499.3 347.3C505.6 341.1 505.6 330.9 499.3 324.7C493.1 318.4 482.9 318.4 476.7 324.7L416 385.4L387.3 356.7C381.1 350.4 370.9 350.4 364.7 356.7C358.4 362.9 358.4 373.1 364.7 379.3L404.7 419.3C410.9 425.6 421.1 425.6 427.3 419.3L499.3 347.3z"]],
    "box-dollar": [448, 512, ["box-usd"], "f4a0", ["M208 32V160H0L50.73 58.53C58.86 42.27 75.48 32 93.67 32H208zM354.3 32C372.5 32 389.1 42.27 397.3 58.53L448 160H240V32H354.3z", "M448 416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V160H208V32H240V160H448V416zM244.1 224C244.1 212.9 235.1 203.9 223.1 203.9C212.9 203.9 203.9 212.9 203.9 224V230C198.3 231.2 192.1 232.9 188 235.1C173.1 241.9 160.1 254.5 156.9 272.8C155.1 283 156.1 292.9 160.3 301.8C164.5 310.6 171 316.8 177.6 321.3C189.2 329.2 204.5 333.8 216.2 337.3L218.4 337.9C232.4 342.2 241.8 345.3 247.7 349.6C250.2 351.4 251.1 352.8 251.4 353.7C251.8 354.5 252.4 356.3 251.7 360.3C251.1 363.8 249.2 366.8 243.7 369.1C237.6 371.7 227.7 373 214.9 371C208.9 370 198.2 366.4 188.7 363.2C186.5 362.4 184.3 361.7 182.3 361C171.8 357.5 160.5 363.2 157 373.7C153.5 384.2 159.2 395.5 169.7 398.1C170.9 399.4 172.4 399.9 174.1 400.5C181.1 403.2 194.4 407.4 203.9 409.6V416C203.9 427.1 212.9 436.1 223.1 436.1C235.1 436.1 244.1 427.1 244.1 416V410.5C249.4 409.5 254.6 407.1 259.4 405.9C275.2 399.2 287.8 386.2 291.1 367.2C292.9 356.8 292.1 346.8 288.1 337.7C284.2 328.7 277.9 322.1 271.2 317.3C259.1 308.4 242.9 303.6 230.8 299.9L229.1 299.7C215.8 295.4 206.2 292.4 200.1 288.2C197.5 286.4 196.7 285.2 196.5 284.7C196.3 284.3 195.7 283.1 196.3 279.7C196.7 277.7 198.2 274.4 204.5 271.6C210.1 268.7 220.9 267.1 233.1 268.1C237.5 269.7 251 272.3 254.9 273.3C265.5 276.2 276.5 269.8 279.3 259.1C282.2 248.5 275.8 237.5 265.1 234.7C260.7 233.5 250.7 231.5 244.1 230.3L244.1 224z"]],
    "box-heart": [448, 512, [], "f49d", ["M208 32V160H0L50.73 58.53C58.86 42.27 75.48 32 93.67 32H208zM354.3 32C372.5 32 389.1 42.27 397.3 58.53L448 160H240V32H354.3z", "M448 416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V160H208V32H240V160H448V416zM235.3 404.7L312.6 327.4C333.1 306.9 333.1 273.7 312.6 253.1C292.1 232.6 258.8 232.6 238.3 253.1L224 267.4L209.7 253.1C189.2 232.6 155.9 232.6 135.4 253.1C114.9 273.7 114.9 306.9 135.4 327.4L212.7 404.7C218.9 410.9 229.1 410.9 235.3 404.7V404.7z"]],
    "box-open": [640, 512, [], "f49e", ["M17.24 125.5L58.94 42.12C61.97 36.06 68.5 32.56 75.23 33.4L320 63.1L236.6 202.1C229.2 215.4 214.3 221.2 200.4 217.3L37.07 170.6C17.81 165.1 8.283 143.4 17.24 125.5V125.5zM602.9 170.6L439.6 217.3C425.7 221.2 410.8 215.4 403.4 202.1L320 63.1L564.8 33.4C571.5 32.56 578 36.06 581.1 42.12L622.8 125.5C631.7 143.4 622.2 165.1 602.9 170.6H602.9z", "M403.4 202.1C410.8 215.4 425.7 221.2 439.6 217.3L576 178.3V378.5C576 400.5 561 419.7 539.6 425.1L335.5 476.1C325.3 478.7 314.7 478.7 304.5 476.1L100.4 425.1C78.99 419.7 64 400.5 64 378.5V178.3L200.4 217.3C214.3 221.2 229.2 215.4 236.6 202.1L319.1 64L403.4 202.1z"]],
    "box-open-full": [640, 512, ["box-full"], "f49c", ["M17.24 253.5L58.94 170.1C61.97 164.1 68.5 160.6 75.23 161.4L320 191.1L236.6 330.1C229.2 343.4 214.3 349.2 200.4 345.3L37.07 298.6C17.81 293.1 8.283 271.4 17.24 253.5V253.5zM602.9 298.6L439.6 345.3C425.7 349.2 410.8 343.4 403.4 330.1L320 191.1L564.8 161.4C571.5 160.6 578 164.1 581.1 170.1L622.8 253.5C631.7 271.4 622.2 293.1 602.9 298.6H602.9z", "M480.9 3.056C505.7 12.36 518.3 40.03 508.9 64.85L481.4 138.3L320 158.5L312.8 157.6C317.4 148.7 320 138.7 320 128C320 92.65 291.3 64 256 64C220.7 64 192 92.65 192 128C192 133.1 192.6 137.1 193.7 142.7L128.2 134.5C128.1 132.3 128 130.2 128 128C128 57.31 185.3 .0002 256 .0002C325.6 .0002 382.2 55.55 383.1 124.7L419.1 31.15C428.4 6.325 456-6.252 480.9 3.057V3.056zM236.6 330.1L320 191.1L403.4 330.1C410.8 343.4 425.7 349.2 439.6 345.3L576 306.3V410.5C576 432.5 561 451.7 539.6 457.1L335.5 508.1C325.3 510.7 314.7 510.7 304.5 508.1L100.4 457.1C78.99 451.7 64 432.5 64 410.5V306.3L200.4 345.3C214.3 349.2 229.2 343.4 236.6 330.1H236.6z"]],
    "box-taped": [448, 512, ["box-alt"], "f49a", ["M50.73 58.53C58.86 42.27 75.48 32 93.67 32H192L160 160H0L50.73 58.53zM288 160V256C288 273.7 273.7 288 256 288H192C174.3 288 160 273.7 160 256V160H288zM256 32H354.3C372.5 32 389.1 42.27 397.3 58.53L448 160H288L256 32z", "M160 256C160 273.7 174.3 288 192 288H256C273.7 288 288 273.7 288 256V160H448V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V160H160V256z"]],
    "box-tissue": [512, 512, [], "e05b", ["M512 256v128H0V256c0-17.67 14.33-32 32-32h76.8l12.8 64H80C71.16 288 64 295.2 64 304S71.16 320 80 320h352c8.836 0 16-7.164 16-16S440.8 288 432 288h-38.86l18.29-64H480C497.7 224 512 238.3 512 256z", "M0 384v96c0 17.67 14.33 32 32 32h448c17.67 0 32-14.33 32-32v-96H0zM384 320l64-224h-109.4C308.4 96 281.6 76.66 272 48C262.4 19.33 235.6 0 205.4 0H64l64 320H384z"]],
    "boxes-packing": [640, 512, [], "e4c7", ["M592 0C618.5 0 640 21.49 640 48V464C640 490.5 618.5 512 592 512H381.3C383 506.1 384 501.6 384 496V253.3C402.6 246.7 416 228.9 416 208V176C416 149.5 394.5 128 368 128H256V48C256 21.49 277.5 0 304 0H592zM507.3 260.7C501.1 254.4 490.9 254.4 484.7 260.7L420.7 324.7C414.4 330.9 414.4 341.1 420.7 347.3C426.9 353.6 437.1 353.6 443.3 347.3L480 310.6V432C480 440.8 487.2 448 496 448C504.8 448 512 440.8 512 432V310.6L548.7 347.3C554.9 353.6 565.1 353.6 571.3 347.3C577.6 341.1 577.6 330.9 571.3 324.7L507.3 260.7z", "M368 160C376.8 160 384 167.2 384 176V208C384 216.8 376.8 224 368 224H16C7.164 224 0 216.8 0 208V176C0 167.2 7.164 160 16 160H368zM32 256H352V480C352 497.7 337.7 512 320 512H64C46.33 512 32 497.7 32 480V256zM144 352H240C248.8 352 256 344.8 256 336C256 327.2 248.8 320 240 320H144C135.2 320 128 327.2 128 336C128 344.8 135.2 352 144 352z"]],
    "boxes-stacked": [576, 512, [62625, "boxes", "boxes-alt"], "f468", ["M256 0H320V80C320 88.84 312.8 96 304 96H272C263.2 96 256 88.84 256 80V0zM416 288H480V368C480 376.8 472.8 384 464 384H432C423.2 384 416 376.8 416 368V288zM160 368C160 376.8 152.8 384 144 384H112C103.2 384 96 376.8 96 368V288H160V368z", "M160 48C160 21.49 181.5 0 208 0H256V80C256 88.84 263.2 96 272 96H304C312.8 96 320 88.84 320 80V0H368C394.5 0 416 21.49 416 48V176C416 202.5 394.5 224 368 224H208C181.5 224 160 202.5 160 176V48zM96 288V368C96 376.8 103.2 384 112 384H144C152.8 384 160 376.8 160 368V288H208C234.5 288 256 309.5 256 336V464C256 490.5 234.5 512 208 512H48C21.49 512 0 490.5 0 464V336C0 309.5 21.49 288 48 288H96zM416 288V368C416 376.8 423.2 384 432 384H464C472.8 384 480 376.8 480 368V288H528C554.5 288 576 309.5 576 336V464C576 490.5 554.5 512 528 512H368C341.5 512 320 490.5 320 464V336C320 309.5 341.5 288 368 288H416z"]],
    "boxing-glove": [512, 512, [129354, "glove-boxing"], "f438", ["M383.1 400v64c0 26.51-21.49 48-47.1 48H111.1c-26.51 0-47.1-21.49-47.1-48v-64H195.2l-28.03 18.69c-4.621 3.087-7.126 8.16-7.126 13.33C159.1 440.7 167.1 448 175.1 448c3.062 0 6.156-.875 8.875-2.688l39.12-26.08l39.12 26.08C265.8 447.1 268.9 448 271.1 448c8.924 0 16-7.265 16-15.98c0-5.171-2.505-10.24-7.126-13.33L252.8 400H383.1z", "M480 230.3c0 18.69-2.124 59.64-37.55 95.17L383.1 384v16H252.8l28.03-18.69c4.621-3.087 7.126-8.16 7.126-13.33c0-8.735-7.089-15.98-16.04-15.98c-3.053 0-6.131 .8708-8.838 2.683l-39.12 26.08l-39.12-26.08c-2.707-1.807-5.786-2.676-8.84-2.676c-8.95 0-16.04 7.232-16.04 15.97c0 5.171 2.505 10.24 7.126 13.33L195.2 400H63.1l.0003-40.86C44.49 341.6 32 316.3 32 288V93.98C32.09 41.75 75.77 0 127.1 0h191.1c53.01 0 95.1 42.98 95.1 96l-.0189 32.25c-6.636 0-13.76-.292-21.14-.292c-25 0-52.95 3.354-74.85 32.79v-.5h-146.7c-42.04 0-58.02-24.3-65.89-24.3c-2.036 0-4.053 .7492-5.603 2.299L90.49 149.6C88.93 151.2 88.14 153.2 88.14 155.3c0 9.894 40.3 36.83 85.09 36.83h132.5c-1 5.125-1.625 10.5-1.625 16c0 69.63 69.16 79.54 71.94 79.54c4.392 0 8.047-3.689 8.047-8.044v-16c0-4-2.875-7.5-6.875-8.125c-23.18-3.206-41.13-23.2-41.13-47.37C336.1 173.7 368.7 160 387.7 160h28.27c35.24 0 64 28.75 64 64C479.1 225.6 480 227.8 480 230.3z"]],
    "bracket-curly": [256, 512, ["bracket-curly-left"], "7b", ["M192 32H160C106.1 32 64 74.98 64 128v37.5c0 8.484-3.37 16.62-9.369 22.62L9.375 233.4c-12.5 12.5-12.5 32.75 0 45.25l45.26 45.26C60.63 329.9 64 338 64 346.5V384c0 53.02 42.98 96 96 96h32C209.7 480 224 465.7 224 448S209.7 416 192 416H160c-17.6 0-32-14.4-32-32v-37.5c0-25.45-10.11-49.86-28.11-67.86L77.25 256l22.63-22.62C117.9 215.4 128 190.9 128 165.5V128c0-17.6 14.4-32 32-32h32C209.7 96 224 81.67 224 64S209.7 32 192 32z", ""]],
    "bracket-curly-right": [256, 512, [], "7d", ["M32 63.1C32 81.67 46.33 96 63.1 96H96c17.6 0 32 14.4 32 32v37.48c0 25.47 10.12 49.89 28.12 67.9L178.8 256l-22.64 22.64C138.1 296.6 128 321 128 346.5V384c0 17.6-14.4 32-32 32H63.1C46.33 416 32 430.3 32 447.1S46.33 480 63.1 480H96c53.02 0 96-42.98 96-96v-37.5c0-8.484 3.37-16.62 9.369-22.62l45.26-45.26c12.5-12.5 12.5-32.75 0-45.25l-45.26-45.26C195.4 182.1 192 173.1 192 165.5V128c0-53.02-42.98-96-96-96H63.1C46.33 32 32 46.33 32 63.1z", ""]],
    "bracket-round": [192, 512, ["parenthesis"], "28", ["M127.9 480c-6.062 0-12.22-1.75-17.66-5.375c-4.5-2.1-110.2-75.16-110.2-218.6s105.7-215.6 110.2-218.6c14.72-9.812 34.56-5.844 44.37 8.875c9.781 14.66 5.844 34.47-8.75 44.28C142.4 92.95 63.1 147.8 63.1 256c0 108.4 78.53 163.2 81.87 165.5c14.56 9.906 18.44 29.78 8.594 44.37C148.3 475 138.2 480 127.9 480z", ""]],
    "bracket-round-right": [192, 512, [], "29", ["M37.53 465.8c-9.844-14.59-5.969-34.47 8.594-44.37c3.344-2.281 81.87-57.09 81.87-165.5c0-108.2-78.37-163.1-81.87-165.5C31.53 80.73 27.6 60.92 37.38 46.26C47.19 31.54 67.03 27.57 81.75 37.39C86.25 40.39 192 112.5 192 256s-105.7 215.6-110.2 218.6C76.31 478.3 70.16 480 64.1 480C53.82 480 43.72 475 37.53 465.8z", ""]],
    "bracket-square": [192, 512, ["bracket", "bracket-left"], "5b", ["M128 32H32C14.4 32 0 46.4 0 64v384c0 17.6 14.4 32 32 32h96C145.7 480 160 465.7 160 448S145.7 416 128 416H64V96h64C145.7 96 160 81.67 160 64S145.7 32 128 32z", ""]],
    "bracket-square-right": [192, 512, [], "5d", ["M32 63.1C32 81.67 46.33 96 63.1 96H128v320H63.1C46.33 416 32 430.3 32 447.1S46.33 480 63.1 480H160c17.6 0 32-14.4 32-32V64c0-17.6-14.4-32-32-32H63.1C46.33 32 32 46.33 32 63.1z", ""]],
    "brackets-curly": [576, 512, [], "f7ea", ["M566.6 233.4l-45.25-45.25C515.4 182.1 512 173.1 512 165.5V128c0-53.02-42.98-96-96-96h-32C366.3 32 352 46.33 352 63.1S366.3 96 383.1 96H416c17.6 0 32 14.4 32 32v37.5c0 25.45 10.11 49.86 28.11 67.86L498.8 256l-22.64 22.64C458.1 296.6 448 321 448 346.5V384c0 17.6-14.4 32-32 32h-32C366.3 416 352 430.3 352 447.1S366.3 480 383.1 480H416c53.02 0 96-42.98 96-96v-37.5c0-8.484 3.37-16.62 9.369-22.62l45.26-45.26C579.1 266.1 579.1 245.9 566.6 233.4z", "M192 32H160C106.1 32 64 74.98 64 128v37.5c0 8.484-3.37 16.62-9.369 22.62L9.375 233.4c-12.5 12.5-12.5 32.75 0 45.25l45.26 45.26C60.63 329.9 64 338 64 346.5V384c0 53.02 42.98 96 96 96h32C209.7 480 224 465.7 224 448S209.7 416 192 416H160c-17.6 0-32-14.4-32-32v-37.5c0-25.45-10.11-49.86-28.11-67.86L77.25 256l22.63-22.62C117.9 215.4 128 190.9 128 165.5V128c0-17.6 14.4-32 32-32h32C209.7 96 224 81.67 224 64S209.7 32 192 32z"]],
    "brackets-round": [512, 512, ["parentheses"], "e0c5", ["M384 480c-10.34 0-20.5-4.1-26.66-14.25c-9.812-14.72-5.844-34.56 8.875-44.37C369.5 419.2 448 364.4 448 256s-78.53-163.2-81.88-165.5c-14.56-9.906-18.44-29.78-8.594-44.37c9.812-14.62 29.53-18.56 44.22-8.781C406.3 40.39 512 112.5 512 256s-105.8 215.6-110.3 218.6C396.3 478.3 390.1 480 384 480z", "M127.9 480c-6.062 0-12.22-1.75-17.66-5.375C105.8 471.6 0 399.5 0 256S105.8 40.39 110.3 37.39c14.72-9.812 34.56-5.844 44.38 8.875c9.781 14.66 5.844 34.47-8.75 44.28C142.4 92.95 64 147.8 64 256c0 108.4 78.53 163.2 81.88 165.5c14.56 9.906 18.44 29.78 8.594 44.37C148.3 475 138.2 480 127.9 480z"]],
    "brackets-square": [448, 512, ["brackets"], "f7e9", ["M416 32h-96C302.3 32 288 46.33 288 63.1S302.3 96 319.1 96H384v320h-64C302.3 416 288 430.3 288 447.1S302.3 480 319.1 480H416c17.6 0 32-14.4 32-32V64C448 46.4 433.6 32 416 32z", "M128 32H32C14.4 32 0 46.4 0 64v384c0 17.6 14.4 32 32 32h96C145.7 480 160 465.7 160 448S145.7 416 128 416H64V96h64C145.7 96 160 81.67 160 64S145.7 32 128 32z"]],
    "braille": [640, 512, [], "f2a1", ["M640 96C640 131.3 611.3 160 576 160C540.7 160 512 131.3 512 96C512 60.65 540.7 32 576 32C611.3 32 640 60.65 640 96zM576 80C567.2 80 560 87.16 560 96C560 104.8 567.2 112 576 112C584.8 112 592 104.8 592 96C592 87.16 584.8 80 576 80zM160 256C160 220.7 188.7 192 224 192C259.3 192 288 220.7 288 256C288 291.3 259.3 320 224 320C188.7 320 160 291.3 160 256zM224 272C232.8 272 240 264.8 240 256C240 247.2 232.8 240 224 240C215.2 240 208 247.2 208 256C208 264.8 215.2 272 224 272zM128 416C128 451.3 99.35 480 64 480C28.65 480 0 451.3 0 416C0 380.7 28.65 352 64 352C99.35 352 128 380.7 128 416zM64 400C55.16 400 48 407.2 48 416C48 424.8 55.16 432 64 432C72.84 432 80 424.8 80 416C80 407.2 72.84 400 64 400zM288 416C288 451.3 259.3 480 224 480C188.7 480 160 451.3 160 416C160 380.7 188.7 352 224 352C259.3 352 288 380.7 288 416zM224 400C215.2 400 208 407.2 208 416C208 424.8 215.2 432 224 432C232.8 432 240 424.8 240 416C240 407.2 232.8 400 224 400zM512 256C512 220.7 540.7 192 576 192C611.3 192 640 220.7 640 256C640 291.3 611.3 320 576 320C540.7 320 512 291.3 512 256zM576 272C584.8 272 592 264.8 592 256C592 247.2 584.8 240 576 240C567.2 240 560 247.2 560 256C560 264.8 567.2 272 576 272zM640 416C640 451.3 611.3 480 576 480C540.7 480 512 451.3 512 416C512 380.7 540.7 352 576 352C611.3 352 640 380.7 640 416zM576 400C567.2 400 560 407.2 560 416C560 424.8 567.2 432 576 432C584.8 432 592 424.8 592 416C592 407.2 584.8 400 576 400zM352 256C352 220.7 380.7 192 416 192C451.3 192 480 220.7 480 256C480 291.3 451.3 320 416 320C380.7 320 352 291.3 352 256zM416 272C424.8 272 432 264.8 432 256C432 247.2 424.8 240 416 240C407.2 240 400 247.2 400 256C400 264.8 407.2 272 416 272zM480 416C480 451.3 451.3 480 416 480C380.7 480 352 451.3 352 416C352 380.7 380.7 352 416 352C451.3 352 480 380.7 480 416zM416 400C407.2 400 400 407.2 400 416C400 424.8 407.2 432 416 432C424.8 432 432 424.8 432 416C432 407.2 424.8 400 416 400z", "M0 96C0 60.65 28.65 32 64 32C99.35 32 128 60.65 128 96C128 131.3 99.35 160 64 160C28.65 160 0 131.3 0 96zM0 256C0 220.7 28.65 192 64 192C99.35 192 128 220.7 128 256C128 291.3 99.35 320 64 320C28.65 320 0 291.3 0 256zM288 96C288 131.3 259.3 160 224 160C188.7 160 160 131.3 160 96C160 60.65 188.7 32 224 32C259.3 32 288 60.65 288 96zM352 96C352 60.65 380.7 32 416 32C451.3 32 480 60.65 480 96C480 131.3 451.3 160 416 160C380.7 160 352 131.3 352 96z"]],
    "brain": [512, 512, [129504], "f5dc", ["M184 0C214.9 0 240 25.07 240 56V456C240 486.9 214.9 512 184 512C155.1 512 131.3 490.1 128.3 461.9C123.1 463.3 117.6 464 112 464C76.65 464 48 435.3 48 400C48 392.6 49.27 385.4 51.59 378.8C21.43 367.4 0 338.2 0 304C0 272.1 18.71 244.5 45.77 231.7C37.15 220.8 32 206.1 32 192C32 161.3 53.59 135.7 82.41 129.4C80.84 123.9 80 118 80 112C80 82.06 100.6 56.92 128.3 49.93C131.3 21.86 155.1 0 184 0zM383.7 49.93C411.4 56.92 432 82.06 432 112C432 118 431.2 123.9 429.6 129.4C458.4 135.7 480 161.3 480 192C480 206.1 474.9 220.8 466.2 231.7C493.3 244.5 512 272.1 512 304C512 338.2 490.6 367.4 460.4 378.8C462.7 385.4 464 392.6 464 400C464 435.3 435.3 464 400 464C394.4 464 388.9 463.3 383.7 461.9C380.7 490.1 356.9 512 328 512C297.1 512 272 486.9 272 456V56C272 25.07 297.1 0 328 0C356.9 0 380.7 21.86 383.7 49.93z", "M240 456V56H272V456H240z"]],
    "brain-arrow-curved-right": [640, 512, ["mind-share"], "f677", ["M203.7 0C176.8 0 154.8 20.51 152 46.74C126 53.2 106.7 76.52 106.7 104.5c0 5.852 1.104 11.39 2.672 16.74c-27.04 5.676-47.47 29.2-47.47 57.93c0 14.09 5.082 26.87 13.25 37.09C49.71 228.2 32 253.8 32 283.7c0 31.98 20.2 59.05 48.46 69.68c-2.225 6.254-3.658 12.89-3.658 19.92c0 32.98 26.74 59.73 59.73 59.73c5.383 0 10.5-.9404 15.46-2.276c2.641 26.39 24.66 47.08 51.74 47.08C232.6 477.9 256 454.5 256 425.6V52.27C256 23.4 232.6 0 203.7 0zM482.1 179.2c0-28.73-20.44-52.25-47.47-57.93c1.566-5.348 2.672-10.89 2.672-16.74c0-28.01-19.35-51.33-45.36-57.79C389.2 20.51 367.2 0 340.3 0C311.4 0 288 23.4 288 52.27v273.1c22.2-27.49 54.09-47.02 90.21-52.39c6.793-1.031 12.89-1.118 18.06-1.118l51.62 .0049V256.7c0-16.74 8.324-31.56 21.06-40.33c-.0449-.0234 .0449 .0195 0 0C477.1 206.1 482.1 193.3 482.1 179.2z", "M602.9 339.7l-96.01-95.13c-10.13-10-27.08-2.637-27.08 12.11L479.9 303.9l-79.91-.0338c-5.625 0-11.25-.125-17 .75c-47.13 7-85.63 44.5-93.38 91.5c-7.875 46.75 13.25 90.5 48.25 113.8c9.752 6.5 21.63-3.25 17.75-14.38c-9-26.62-5.51-95.51 60.37-95.51h64l.0117 47.14c0 14.88 17.01 22.2 27.14 12.2l95.87-95.2C609.7 357.5 609.7 346.3 602.9 339.7z"]],
    "brain-circuit": [512, 512, [], "e0c6", ["M184 0C214.9 0 240 25.07 240 56V128H196.7C190.5 113.9 176.4 104 160 104C137.9 104 120 121.9 120 144C120 166.1 137.9 184 160 184C176.4 184 190.5 174.1 196.7 160H240V256H192C165.5 256 144 277.5 144 304V315.3C129.9 321.5 120 335.6 120 352C120 374.1 137.9 392 160 392C182.1 392 200 374.1 200 352C200 335.6 190.1 321.5 176 315.3V304C176 295.2 183.2 288 192 288H240V456C240 486.9 214.9 512 184 512C155.1 512 131.3 490.1 128.3 461.9C123.1 463.3 117.6 464 112 464C76.65 464 48 435.3 48 400C48 392.6 49.27 385.4 51.59 378.8C21.43 367.4 0 338.2 0 304C0 272.1 18.71 244.5 45.77 231.7C37.15 220.8 32 206.1 32 192C32 161.3 53.59 135.7 82.41 129.4C80.84 123.9 80 118 80 112C80 82.06 100.6 56.92 128.3 49.93C131.3 21.86 155.1 0 184 0zM383.7 49.93C411.4 56.92 432 82.06 432 112C432 118 431.2 123.9 429.6 129.4C458.4 135.7 480 161.3 480 192C480 206.1 474.9 220.8 466.2 231.7C493.3 244.5 512 272.1 512 304C512 338.2 490.6 367.4 460.4 378.8C462.7 385.4 464 392.6 464 400C464 435.3 435.3 464 400 464C394.4 464 388.9 463.3 383.7 461.9C380.7 490.1 356.9 512 328 512C297.1 512 272 486.9 272 456V384H339.3C345.5 398.1 359.6 408 376 408C398.1 408 416 390.1 416 368C416 345.9 398.1 328 376 328C359.6 328 345.5 337.9 339.3 352H272V160H320C328.8 160 336 167.2 336 176V187.3C321.9 193.5 312 207.6 312 224C312 246.1 329.9 264 352 264C374.1 264 392 246.1 392 224C392 207.6 382.1 193.5 368 187.3V176C368 149.5 346.5 128 320 128H272V56C272 25.07 297.1 0 328 0C356.9 0 380.7 21.86 383.7 49.93z", "M192 288C183.2 288 176 295.2 176 304V315.3C190.1 321.5 200 335.6 200 352C200 374.1 182.1 392 160 392C137.9 392 120 374.1 120 352C120 335.6 129.9 321.5 144 315.3V304C144 277.5 165.5 256 192 256H240V160H196.7C190.5 174.1 176.4 184 160 184C137.9 184 120 166.1 120 144C120 121.9 137.9 104 160 104C176.4 104 190.5 113.9 196.7 128H240V56H272V128H320C346.5 128 368 149.5 368 176V187.3C382.1 193.5 392 207.6 392 224C392 246.1 374.1 264 352 264C329.9 264 312 246.1 312 224C312 207.6 321.9 193.5 336 187.3V176C336 167.2 328.8 160 320 160H272V352H339.3C345.5 337.9 359.6 328 376 328C398.1 328 416 345.9 416 368C416 390.1 398.1 408 376 408C359.6 408 345.5 398.1 339.3 384H272V456H240V288H192zM160 160C168.8 160 176 152.8 176 144C176 135.2 168.8 128 160 128C151.2 128 144 135.2 144 144C144 152.8 151.2 160 160 160zM160 368C168.8 368 176 360.8 176 352C176 343.2 168.8 336 160 336C151.2 336 144 343.2 144 352C144 360.8 151.2 368 160 368zM368 224C368 215.2 360.8 208 352 208C343.2 208 336 215.2 336 224C336 232.8 343.2 240 352 240C360.8 240 368 232.8 368 224zM376 384C384.8 384 392 376.8 392 368C392 359.2 384.8 352 376 352C367.2 352 360 359.2 360 368C360 376.8 367.2 384 376 384z"]],
    "brake-warning": [640, 512, [], "e0c7", ["M96 256C96 132.3 196.3 32 320 32C443.7 32 544 132.3 544 256C544 379.7 443.7 480 320 480C196.3 480 96 379.7 96 256zM296 152V264C296 277.3 306.7 288 320 288C333.3 288 344 277.3 344 264V152C344 138.7 333.3 128 320 128C306.7 128 296 138.7 296 152zM320 320C302.3 320 288 334.3 288 352C288 369.7 302.3 384 320 384C337.7 384 352 369.7 352 352C352 334.3 337.7 320 320 320z", "M48 255.1C48 310.2 63.83 360.6 91.11 403C98.28 414.2 95.06 429 83.92 436.2C72.77 443.4 57.92 440.1 50.75 428.1C18.63 379.1 0 319.7 0 255.1C0 192.3 18.63 132.9 50.75 83.01C57.92 71.86 72.77 68.65 83.92 75.82C95.06 82.99 98.28 97.85 91.11 108.1C63.83 151.4 48 201.8 48 255.1V255.1zM640 255.1C640 319.7 621.4 379.1 589.3 428.1C582.1 440.1 567.2 443.4 556.1 436.2C544.9 429 541.7 414.2 548.9 403C576.2 360.6 592 310.2 592 255.1C592 201.8 576.2 151.4 548.9 108.1C541.7 97.85 544.9 82.99 556.1 75.82C567.2 68.65 582.1 71.86 589.3 83.01C621.4 132.9 640 192.3 640 255.1V255.1zM320 128C333.3 128 344 138.7 344 152V264C344 277.3 333.3 288 320 288C306.7 288 296 277.3 296 264V152C296 138.7 306.7 128 320 128zM352 352C352 369.7 337.7 384 320 384C302.3 384 288 369.7 288 352C288 334.3 302.3 320 320 320C337.7 320 352 334.3 352 352z"]],
    "brazilian-real-sign": [512, 512, [], "e46c", ["M400 .0003C417.7 .0003 432 14.33 432 32V50.22C444.5 52.52 456.7 56.57 468.2 62.3L478.3 67.38C494.1 75.28 500.5 94.5 492.6 110.3C484.7 126.1 465.5 132.5 449.7 124.6L439.5 119.5C429.6 114.6 418.7 112 407.6 112H405.9C376.1 112 352 136.1 352 165.9C352 187.9 365.4 207.7 385.9 215.9L437.9 236.7C482.7 254.6 512 297.9 512 346.1V349.5C512 400.7 478.4 444.1 432 458.7V480C432 497.7 417.7 512 400 512C382.3 512 368 497.7 368 480V460.6C352.1 457.1 338.6 450.9 325.7 442.3L302.2 426.6C287.5 416.8 283.6 396.1 293.4 382.2C303.2 367.5 323 363.6 337.8 373.4L361.2 389C371.9 396.2 384.6 400 397.5 400C425.4 400 448 377.4 448 349.5V346.1C448 324.1 434.6 304.3 414.1 296.1L362.1 275.3C317.3 257.4 288 214.1 288 165.9C288 114 321.5 69.99 368 54.21V32C368 14.33 382.3 0 400 0L400 .0003z", "M112 32C191.5 32 256 96.47 256 176C256 234.8 220.8 285.3 170.3 307.7L221.7 436.1C228.3 452.5 220.3 471.1 203.9 477.7C187.5 484.3 168.9 476.3 162.3 459.9L106.3 320H64V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V64C0 46.33 14.33 32 32 32H112zM192 176C192 131.8 156.2 96 112 96H64V256H112C156.2 256 192 220.2 192 176z"]],
    "bread-loaf": [640, 512, [127838], "f7eb", ["M480 192c0-88.38-107.5-160-240-160S0 103.6 0 192c0 35.38 30.88 64 64 64v192c0 17.62 14.38 32 32 32h288c17.62 0 32-14.38 32-32V256C449.1 256 480 227.4 480 192z", "M640 192c0 35.38-30.88 64-64 64v192c0 17.62-14.38 32-32 32h-160c17.62 0 32-14.38 32-32V256c33.13 0 64-28.62 64-64c0-88.38-107.5-160-240-160h160C532.5 32 640 103.6 640 192z"]],
    "bread-slice": [512, 512, [], "f7ec", ["M256 32C96 32 0 112 0 176.1C0 203 21.56 224 56.89 224H64v224c0 17.67 14.33 32 32 32h320c17.67 0 32-14.33 32-32V224h7.111C490.4 224 512 203 512 176.1C512 112 416 32 256 32zM144 416C135.2 416 128 408.8 128 400C128 391.2 135.2 384 144 384S160 391.2 160 400C160 408.8 152.8 416 144 416zM144 320C135.2 320 128 312.8 128 304C128 295.2 135.2 288 144 288S160 295.2 160 304C160 312.8 152.8 320 144 320zM240 416C231.2 416 224 408.8 224 400C224 391.2 231.2 384 240 384s16 7.162 16 16C256 408.8 248.8 416 240 416z", "M144 384C135.2 384 128 391.2 128 400C128 408.8 135.2 416 144 416S160 408.8 160 400C160 391.2 152.8 384 144 384zM144 288C135.2 288 128 295.2 128 304C128 312.8 135.2 320 144 320S160 312.8 160 304C160 295.2 152.8 288 144 288zM240 384C231.2 384 224 391.2 224 400C224 408.8 231.2 416 240 416s16-7.164 16-16C256 391.2 248.8 384 240 384z"]],
    "bread-slice-butter": [512, 512, [], "e3e1", ["M323.9 291.9L278.6 337.2C272.6 343.2 264.5 346.5 255.1 346.5C247.5 346.5 239.4 343.2 233.4 337.2L188.1 291.9C182.1 285.9 178.8 277.7 178.8 269.2C178.8 260.8 182.1 252.6 188.1 246.6L233.4 201.4C239.4 195.4 247.5 192 255.1 192C264.5 192 272.6 195.4 278.6 201.4L323.9 246.6C329.9 252.6 333.2 260.8 333.2 269.2C333.2 277.7 329.9 285.9 323.9 291.9z", "M512 176.1C511.6 183.9 509.8 190.6 506.7 196.8C503.5 203 499.2 208.5 493.8 212.9C488.5 217.3 482.3 220.6 475.6 222.5C468.1 224.4 461.1 224.9 455.1 224H448V448C448 456.5 444.6 464.6 438.6 470.6C432.6 476.6 424.5 480 416 480H96C87.51 480 79.37 476.6 73.37 470.6C67.37 464.6 64 456.5 64 448V224H56.9C50.03 224.9 43.04 224.4 36.38 222.5C29.71 220.6 23.51 217.3 18.17 212.9C12.83 208.5 8.457 203 5.33 196.8C2.203 190.6 .3885 183.9 0 176.1C0 112 96 32 256 32C416 32 512 112 512 176.1H512zM333.2 269.2C333.2 260.8 329.9 252.6 323.9 246.6L278.6 201.4C272.6 195.4 264.5 192 256 192C247.5 192 239.4 195.4 233.4 201.4L188.1 246.6C182.1 252.6 178.8 260.8 178.8 269.2C178.8 277.7 182.1 285.9 188.1 291.9L233.4 337.2C239.4 343.2 247.5 346.5 256 346.5C264.5 346.5 272.6 343.2 278.6 337.2L323.9 291.9C329.9 285.9 333.2 277.7 333.2 269.2z"]],
    "bridge": [576, 512, [], "e4c8", ["M0 64C0 46.33 14.33 32 32 32H544C561.7 32 576 46.33 576 64C576 81.67 561.7 96 544 96H504V160H456V96H376V160H328V96H248V160H200V96H120V160H72V96H32C14.33 96 0 81.67 0 64z", "M0 160H576V288C522.1 288 480 330.1 480 384V448C480 465.7 465.7 480 448 480H416C398.3 480 384 465.7 384 448V384C384 330.1 341 288 288 288C234.1 288 192 330.1 192 384V448C192 465.7 177.7 480 160 480H128C110.3 480 96 465.7 96 448V384C96 330.1 53.02 288 0 288V160z"]],
    "bridge-circle-check": [640, 512, [], "e4c9", ["M32 64C32 46.33 46.33 32 64 32H576C593.7 32 608 46.33 608 64C608 81.67 593.7 96 576 96H536V160H608V232.2C577.6 207.1 538.5 192 496 192C426.9 192 367.1 231.8 338.3 289.7C332.4 288.6 326.3 288 320 288C266.1 288 224 330.1 224 384V448C224 465.7 209.7 480 192 480H160C142.3 480 128 465.7 128 448V384C128 330.1 85.02 288 32 288V160H104V96H64C46.33 96 32 81.67 32 64V64zM408 160H488V96H408V160zM360 160V96H280V160H360zM152 160H232V96H152V160z", "M352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM563.3 347.3C569.6 341.1 569.6 330.9 563.3 324.7C557.1 318.4 546.9 318.4 540.7 324.7L480 385.4L451.3 356.7C445.1 350.4 434.9 350.4 428.7 356.7C422.4 362.9 422.4 373.1 428.7 379.3L468.7 419.3C474.9 425.6 485.1 425.6 491.3 419.3L563.3 347.3z"]],
    "bridge-circle-exclamation": [640, 512, [], "e4ca", ["M32 64C32 46.33 46.33 32 64 32H576C593.7 32 608 46.33 608 64C608 81.67 593.7 96 576 96H536V160H608V232.2C577.6 207.1 538.5 192 496 192C426.9 192 367.1 231.8 338.3 289.7C332.4 288.6 326.3 288 320 288C266.1 288 224 330.1 224 384V448C224 465.7 209.7 480 192 480H160C142.3 480 128 465.7 128 448V384C128 330.1 85.02 288 32 288V160H104V96H64C46.33 96 32 81.67 32 64V64zM408 160H488V96H408V160zM360 160V96H280V160H360zM152 160H232V96H152V160z", "M640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 416C482.7 416 472 426.7 472 440C472 453.3 482.7 464 496 464C509.3 464 520 453.3 520 440C520 426.7 509.3 416 496 416zM511.1 288C511.1 279.2 504.8 272 495.1 272C487.2 272 479.1 279.2 479.1 288V368C479.1 376.8 487.2 384 495.1 384C504.8 384 511.1 376.8 511.1 368V288z"]],
    "bridge-circle-xmark": [640, 512, [], "e4cb", ["M32 64C32 46.33 46.33 32 64 32H576C593.7 32 608 46.33 608 64C608 81.67 593.7 96 576 96H536V160H608V232.2C577.6 207.1 538.5 192 496 192C426.9 192 367.1 231.8 338.3 289.7C332.4 288.6 326.3 288 320 288C266.1 288 224 330.1 224 384V448C224 465.7 209.7 480 192 480H160C142.3 480 128 465.7 128 448V384C128 330.1 85.02 288 32 288V160H104V96H64C46.33 96 32 81.67 32 64V64zM408 160H488V96H408V160zM360 160V96H280V160H360zM152 160H232V96H152V160z", "M640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM532.7 308.7L496 345.4L459.3 308.7C453.1 302.4 442.9 302.4 436.7 308.7C430.4 314.9 430.4 325.1 436.7 331.3L473.4 368L436.7 404.7C430.4 410.9 430.4 421.1 436.7 427.3C442.9 433.6 453.1 433.6 459.3 427.3L496 390.6L532.7 427.3C538.9 433.6 549.1 433.6 555.3 427.3C561.6 421.1 561.6 410.9 555.3 404.7L518.6 368L555.3 331.3C561.6 325.1 561.6 314.9 555.3 308.7C549.1 302.4 538.9 302.4 532.7 308.7z"]],
    "bridge-lock": [640, 512, [], "e4cc", ["M576 32C593.7 32 608 46.33 608 64C608 81.67 593.7 96 576 96H536V160H528C466.1 160 416 210.1 416 272V296.6C406.1 302.3 397.8 310.7 392.2 320.7C374.6 300.7 348.8 288 320 288C266.1 288 224 330.1 224 384V448C224 465.7 209.7 480 192 480H160C142.3 480 128 465.7 128 448V384C128 330.1 85.02 288 32 288V160H104V96H64C46.33 96 32 81.67 32 64C32 46.33 46.33 32 64 32L576 32zM488 96H408V160H488V96zM280 96V160H360V96H280zM232 96H152V160H232V96z", "M448 320V272C448 227.8 483.8 192 528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320zM496 320H560V272C560 254.3 545.7 240 528 240C510.3 240 496 254.3 496 272V320z"]],
    "bridge-suspension": [640, 512, [], "e4cd", ["M128 8C137.1 8 144.1 13.03 149 20.45C184.2 81.59 249.7 120 320 120C390.3 120 455.8 81.61 490.9 20.5C495 13.05 502.9 8 512 8C520.8 8 528.5 12.72 532.6 19.76C545.7 40.97 559.3 61.94 574.7 79.54C590.2 97.21 606.4 110.1 624.1 116.5C636.6 120.1 643.1 134.7 638.6 147.2C634.1 159.7 620.3 166.1 607.9 161.6C582.4 152.4 561.4 135.8 544 117.1V256H480V108.1C467.6 118.8 454.2 128.2 440 136.3V256H392V157C376.5 161.9 360.4 165.2 344 166.8V256H296V166.8C279.6 165.2 263.5 161.9 248 157V256H200V136.3C185.8 128.2 172.4 118.8 160 108.1V256H96V117.1C78.59 135.8 57.65 152.4 32.14 161.6C19.67 166.1 5.921 159.7 1.424 147.2C-3.073 134.7 3.39 120.1 15.86 116.5C33.57 110.1 49.79 97.21 65.3 79.54C80.72 61.95 94.27 41.01 107.3 19.82C111.5 12.74 119.2 8 128 8H128z", "M608 256C625.7 256 640 270.3 640 288V320C640 337.7 625.7 352 608 352C572.7 352 544 380.7 544 416V480C544 497.7 529.7 512 512 512H480C462.3 512 448 497.7 448 480V448C448 394.1 405 352 352 352H288C234.1 352 192 394.1 192 448V480C192 497.7 177.7 512 160 512H128C110.3 512 96 497.7 96 480V416C96 380.7 67.35 352 32 352C14.33 352 0 337.7 0 320V288C0 270.3 14.33 256 32 256H608z"]],
    "bridge-water": [576, 512, [], "e4ce", ["M269.5 389.9C280.6 382 295.4 382 306.5 389.9C328.1 405.4 356.5 416 384 416C410.9 416 439.4 405.2 461.4 389.9L461.5 389.9C473.4 381.4 489.5 382.1 500.7 391.6C515 403.5 533.2 412.6 551.3 416.8C568.5 420.8 579.2 438.1 575.2 455.3C571.2 472.5 553.1 483.2 536.7 479.2C512.2 473.4 491.9 462.6 478.5 454.2C449.5 469.7 417 480 384 480C352.1 480 323.4 470.1 303.6 461.1C297.7 458.5 292.5 455.8 288 453.4C283.5 455.8 278.3 458.5 272.4 461.1C252.6 470.1 223.9 480 192 480C158.1 480 126.5 469.7 97.5 454.2C84.12 462.6 63.79 473.4 39.27 479.2C22.06 483.2 4.853 472.5 .8422 455.3C-3.169 438.1 7.532 420.8 24.74 416.8C42.84 412.6 60.96 403.5 75.31 391.6C86.46 382.1 102.6 381.4 114.5 389.9L114.6 389.9C136.7 405.2 165.1 416 192 416C219.5 416 247 405.4 269.5 389.9H269.5z", "M544 64C561.7 64 576 78.33 576 96V131.6C576 147.3 563.3 160 547.6 160C510.2 160 480 190.2 480 227.6V352.5C467.1 352.5 454.2 356.3 443.2 364.1C425.2 376.5 403 384.5 384 384.5C384 384.5 384 384.5 384 384.5C384 384.3 384 384.2 384 384V256C384 202.1 341 160 288 160C234.1 160 192 202.1 192 256V384C192 384.2 191.1 384.3 191.1 384.5C172.1 384.4 150.8 376.5 132.9 364.1C121.8 356.3 108.9 352.4 96 352.5V227.6C96 190.2 65.75 160 28.44 160C12.74 160 0 147.3 0 131.6V96C0 78.33 14.33 64 32 64H544z"]],
    "briefcase": [512, 512, [128188], "f0b1", ["M320 336c0 8.844-7.156 16-16 16h-96C199.2 352 192 344.8 192 336V288H0v144C0 457.6 22.41 480 48 480h416c25.59 0 48-22.41 48-48V288h-192V336z", "M464 96H384V48C384 22.41 361.6 0 336 0h-160C150.4 0 128 22.41 128 48V96H48C22.41 96 0 118.4 0 144V288h512V144C512 118.4 489.6 96 464 96zM336 96h-160V48h160V96z"]],
    "briefcase-arrow-right": [512, 512, [], "e2f2", ["M464 96H384V48C384 21.5 362.5 0 336 0h-160C149.5 0 128 21.5 128 48V96H48C21.5 96 0 117.5 0 144v288C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM176 48h160V96h-160V48zM376.1 304.1l-80 80c-9.375 9.375-24.56 9.375-33.94 0C258.3 380.3 256 374.2 256 368s2.344-12.28 7.031-16.97L302.1 312H152C138.8 312 128 301.3 128 288s10.75-24 24-24h150.1l-39.03-39.03c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0l80 80C386.3 280.4 386.3 295.6 376.1 304.1z", "M376.1 304.1l-80 80c-9.375 9.375-24.56 9.375-33.94 0C258.3 380.3 256 374.2 256 368s2.344-12.28 7.031-16.97L302.1 312H152C138.8 312 128 301.3 128 288s10.75-24 24-24h150.1l-39.03-39.03c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0l80 80C386.3 280.4 386.3 295.6 376.1 304.1z"]],
    "briefcase-blank": [512, 512, [], "e0c8", ["M176 96H128V48C128 21.5 149.5 0 176 0h160C362.5 0 384 21.5 384 48V96h-48V48h-160V96z", "M512 144v288c0 26.5-21.5 48-48 48h-416C21.5 480 0 458.5 0 432v-288C0 117.5 21.5 96 48 96h416C490.5 96 512 117.5 512 144z"]],
    "briefcase-medical": [512, 512, [], "f469", ["M368 314c0 8.836-7.164 16-16 16h-54V384c0 8.836-7.164 16-15.1 16h-52c-8.835 0-16-7.164-16-16v-53.1H160c-8.836 0-16-7.164-16-16v-52c0-8.838 7.164-16 16-16h53.1V192c0-8.838 7.165-16 16-16h52c8.836 0 15.1 7.162 15.1 16v54H352c8.836 0 16 7.162 16 16V314z", "M464 96H384V48C384 21.5 362.5 0 336 0h-160C149.5 0 128 21.5 128 48V96H48C21.5 96 0 117.5 0 144v288C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM176 48h160V96h-160V48zM368 314c0 8.836-7.164 16-16 16h-54V384c0 8.836-7.164 16-15.1 16h-52c-8.835 0-16-7.164-16-16v-53.1H160c-8.836 0-16-7.164-16-16v-52c0-8.838 7.164-16 16-16h53.1V192c0-8.838 7.165-16 16-16h52c8.836 0 15.1 7.162 15.1 16v54H352c8.836 0 16 7.162 16 16V314z"]],
    "brightness": [512, 512, [], "e0c9", ["M224 32C224 14.33 238.3 0 256 0C273.7 0 288 14.33 288 32V80C288 97.67 273.7 112 256 112C238.3 112 224 97.67 224 80V32zM80 224C97.67 224 112 238.3 112 256C112 273.7 97.67 288 80 288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H80zM480 224C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H432C414.3 288 400 273.7 400 256C400 238.3 414.3 224 432 224H480zM256 512C238.3 512 224 497.7 224 480V432C224 414.3 238.3 400 256 400C273.7 400 288 414.3 288 432V480C288 497.7 273.7 512 256 512zM73.37 438.6C60.88 426.1 60.88 405.9 73.37 393.4L105.4 361.4C117.9 348.9 138.1 348.9 150.6 361.4C163.1 373.9 163.1 394.1 150.6 406.6L118.6 438.6C106.1 451.1 85.87 451.1 73.37 438.6zM393.4 73.37C405.9 60.88 426.1 60.88 438.6 73.37C451.1 85.87 451.1 106.1 438.6 118.6L406.6 150.6C394.1 163.1 373.9 163.1 361.4 150.6C348.9 138.1 348.9 117.9 361.4 105.4L393.4 73.37zM438.6 438.6C426.1 451.1 405.9 451.1 393.4 438.6L361.4 406.6C348.9 394.1 348.9 373.9 361.4 361.4C373.9 348.9 394.1 348.9 406.6 361.4L438.6 393.4C451.1 405.9 451.1 426.1 438.6 438.6zM73.37 118.6C60.88 106.1 60.88 85.87 73.37 73.37C85.87 60.88 106.1 60.88 118.6 73.37L150.6 105.4C163.1 117.9 163.1 138.1 150.6 150.6C138.1 163.1 117.9 163.1 105.4 150.6L73.37 118.6z", "M352 256C352 309 309 352 256 352C202.1 352 160 309 160 256C160 202.1 202.1 160 256 160C309 160 352 202.1 352 256z"]],
    "brightness-low": [448, 512, [], "e0ca", ["M192 80C192 62.33 206.3 48 224 48C241.7 48 256 62.33 256 80C256 97.67 241.7 112 224 112C206.3 112 192 97.67 192 80zM192 432C192 414.3 206.3 400 224 400C241.7 400 256 414.3 256 432C256 449.7 241.7 464 224 464C206.3 464 192 449.7 192 432zM400 288C382.3 288 368 273.7 368 256C368 238.3 382.3 224 400 224C417.7 224 432 238.3 432 256C432 273.7 417.7 288 400 288zM48 224C65.67 224 80 238.3 80 256C80 273.7 65.67 288 48 288C30.33 288 16 273.7 16 256C16 238.3 30.33 224 48 224zM128 128C128 145.7 113.7 160 96 160C78.33 160 64 145.7 64 128C64 110.3 78.33 96 96 96C113.7 96 128 110.3 128 128zM352 416C334.3 416 320 401.7 320 384C320 366.3 334.3 352 352 352C369.7 352 384 366.3 384 384C384 401.7 369.7 416 352 416zM384 128C384 145.7 369.7 160 352 160C334.3 160 320 145.7 320 128C320 110.3 334.3 96 352 96C369.7 96 384 110.3 384 128zM96 352C113.7 352 128 366.3 128 384C128 401.7 113.7 416 96 416C78.33 416 64 401.7 64 384C64 366.3 78.33 352 96 352z", "M320 256C320 309 277 352 224 352C170.1 352 128 309 128 256C128 202.1 170.1 160 224 160C277 160 320 202.1 320 256z"]],
    "bring-forward": [512, 512, [], "f856", ["M224 448H448V224H384V160H448C483.3 160 512 188.7 512 224V448C512 483.3 483.3 512 448 512H224C188.7 512 160 483.3 160 448V384H224V448z", "M352 288C352 323.3 323.3 352 288 352H64C28.65 352 0 323.3 0 288V64C0 28.65 28.65 0 64 0H288C323.3 0 352 28.65 352 64V288z"]],
    "bring-front": [640, 512, [], "f857", ["M64 192H128V256H64C28.65 256 0 227.3 0 192V64C0 28.65 28.65 0 64 0H192C227.3 0 256 28.65 256 64H64V192zM576 448V320H512V256H576C611.3 256 640 284.7 640 320V448C640 483.3 611.3 512 576 512H448C412.7 512 384 483.3 384 448H576z", "M160 160C160 124.7 188.7 96 224 96H416C451.3 96 480 124.7 480 160V352C480 387.3 451.3 416 416 416H224C188.7 416 160 387.3 160 352V160z"]],
    "broccoli": [512, 512, [129382], "e3e2", ["M256 431.2C248.2 413.5 239.8 397.8 231.6 384H134.7c66.22 81.42 47.54 128 88.64 128h65.34c41.16 0 22.37-46.52 88.64-128h-96.9C272.2 397.8 263.8 413.5 256 431.2z", "M512 256c0 53.02-42.98 96-96 96H96c-53.02 0-96-42.98-96-96c0-45.54 31.79-83.47 74.33-93.33C67.85 152.7 64 140.8 64 128c0-35.35 28.65-64 64-64c12.8 0 24.67 3.85 34.67 10.33C172.5 31.79 210.5 0 256 0s83.47 31.79 93.33 74.33C359.3 67.85 371.2 64 384 64c35.35 0 64 28.65 64 64c0 12.8-3.85 24.67-10.33 34.67C480.2 172.5 512 210.5 512 256z"]],
    "broom": [640, 512, [129529], "f51a", ["M627.7 57.24l-225.2 175.2l-39.82-50.14l225.7-175.6c14-10.83 34.06-8.28 44.91 5.624C644.1 26.28 641.6 46.38 627.7 57.24z", "M93.13 257.7C71.25 275.1 53 313.5 38.63 355.1L99 333.1c5.75-2.125 10.62 4.751 6.625 9.499L11 454.7C3.75 486.1 0 510.2 0 510.2s206.6 13.62 266.6-34.12c60-47.87 76.63-150.1 76.63-150.1L256.5 216.7C256.5 216.7 153.1 209.1 93.13 257.7zM435.6 274.2l-108-135.1C322.5 131.9 312.5 133.1 309 140.5L283.8 194.1l86.75 109.2l58.75-12.5C437.3 290.1 440.6 280.6 435.6 274.2z"]],
    "broom-ball": [640, 512, ["quidditch", "quidditch-broom-ball"], "f458", ["M495.1 351.1c-44.18 0-79.1 35.72-79.1 79.91c0 44.18 35.82 80.09 79.1 80.09c44.18 0 79.1-35.91 79.1-80.09C575.1 387.7 540.2 351.1 495.1 351.1zM640 31.97c0-17.03-13.72-31.96-32.04-31.96c-6.863 0-13.78 2.191-19.62 6.719L362.7 182.3l39.79 50.16l225.2-175.2C635.8 50.95 640 41.51 640 31.97z", "M242.7 216.4c-30.16 0-102.9 4.15-149.4 41.34c-22 17.5-40.25 55.75-54.63 97.5l60.38-22.12c.7373-.2725 1.459-.3967 2.151-.3967c3.329 0 5.935 2.885 5.935 6.039c0 1.301-.4439 2.647-1.462 3.856L11 454.7C3.75 487.1 0 510.2 0 510.2S27.07 512 64.45 512c65.94 0 163.1-5.499 202.2-35.89c60-47.75 76.63-150.1 76.63-150.1l-86.75-109.2C256.5 216.7 251.4 216.4 242.7 216.4zM332.8 144.6c-3.249-4.095-7.89-6.058-12.5-6.058c-5.891 0-11.73 3.204-14.54 9.26L283.8 195.1l86.75 109.1l50.88-10.72c7.882-1.66 12.72-8.545 12.72-15.71c0-3.411-1.095-6.886-3.478-9.89L332.8 144.6z"]],
    "browser": [512, 512, [128468], "f37e", ["M128 128C128 145.7 113.7 160 96 160C78.33 160 64 145.7 64 128C64 110.3 78.33 96 96 96C113.7 96 128 110.3 128 128zM64 480C28.65 480 0 451.3 0 416V224H512V416C512 451.3 483.3 480 448 480H64z", "M0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V224H0V96zM96 160C113.7 160 128 145.7 128 128C128 110.3 113.7 96 96 96C78.33 96 64 110.3 64 128C64 145.7 78.33 160 96 160zM184 104C170.7 104 160 114.7 160 128C160 141.3 170.7 152 184 152H424C437.3 152 448 141.3 448 128C448 114.7 437.3 104 424 104H184z"]],
    "browsers": [576, 512, [], "e0cb", ["M224 96C224 113.7 209.7 128 192 128C174.3 128 160 113.7 160 96C160 78.33 174.3 64 192 64C209.7 64 224 78.33 224 96zM160 416C124.7 416 96 387.3 96 352V192H576V352C576 387.3 547.3 416 512 416H160z", "M512 0C547.3 0 576 28.65 576 64V192H96V64C96 28.65 124.7 0 160 0H512zM192 64C174.3 64 160 78.33 160 96C160 113.7 174.3 128 192 128C209.7 128 224 113.7 224 96C224 78.33 209.7 64 192 64zM280 120H488C501.3 120 512 109.3 512 96C512 82.75 501.3 72 488 72H280C266.7 72 256 82.75 256 96C256 109.3 266.7 120 280 120zM48 376C48 424.6 87.4 464 136 464H456C469.3 464 480 474.7 480 488C480 501.3 469.3 512 456 512H136C60.89 512 0 451.1 0 376V120C0 106.7 10.75 96 24 96C37.25 96 48 106.7 48 120V376z"]],
    "brush": [384, 512, [], "f55d", ["M160 0L192 64L224 0H336C362.5 0 384 21.49 384 48V288H0V48C0 21.49 21.49 0 48 0H64L96 64L128 0H160z", "M0 288H384V320C384 355.3 355.3 384 320 384H256V448C256 483.3 227.3 512 192 512C156.7 512 128 483.3 128 448V384H64C28.65 384 0 355.3 0 320V288zM192 464C200.8 464 208 456.8 208 448C208 439.2 200.8 432 192 432C183.2 432 176 439.2 176 448C176 456.8 183.2 464 192 464z"]],
    "bucket": [448, 512, [], "e4cf", ["M200 48C142.6 48 96 94.56 96 152V160H48V152C48 68.05 116.1 0 200 0H248C331.9 0 400 68.05 400 152V160H352V152C352 94.56 305.4 48 248 48H200z", "M416 192C433.7 192 448 206.3 448 224C448 241.7 433.7 256 416 256H410.9L388.5 469C385.1 493.5 365.4 512 340.8 512H107.2C82.65 512 62.05 493.5 59.48 469L37.05 256H32C14.33 256 0 241.7 0 224C0 206.3 14.33 192 32 192H416z"]],
    "bug": [512, 512, [], "f188", ["M352 96V99.56C352 115.3 339.3 128 323.6 128H188.4C172.7 128 160 115.3 160 99.56V96C160 42.98 202.1 0 256 0C309 0 352 42.98 352 96zM240 479.2V240C240 231.2 247.2 224 256 224C264.8 224 272 231.2 272 240V479.2C266.7 479.7 261.4 480 256 480C250.6 480 245.3 479.7 240 479.2z", "M150.6 169.4C151.3 170 151.9 170.7 152.5 171.4C166.8 164.1 182.9 160 199.1 160H312C329.1 160 345.2 164.1 359.5 171.4C360.1 170.7 360.7 170 361.4 169.4L425.4 105.4C437.9 92.88 458.1 92.88 470.6 105.4C483.1 117.9 483.1 138.1 470.6 150.6L406.6 214.6C405.1 215.3 405.3 215.9 404.6 216.5C410.7 228.5 414.6 241.9 415.7 256H480C497.7 256 512 270.3 512 288C512 305.7 497.7 320 480 320H416C416 344.6 410.5 367.8 400.6 388.6C402.7 389.9 404.8 391.5 406.6 393.4L470.6 457.4C483.1 469.9 483.1 490.1 470.6 502.6C458.1 515.1 437.9 515.1 425.4 502.6L362.3 439.6C337.8 461.4 306.5 475.8 272 479.2V240C272 231.2 264.8 224 255.1 224C247.2 224 239.1 231.2 239.1 240V479.2C205.5 475.8 174.2 461.4 149.7 439.6L86.63 502.6C74.13 515.1 53.87 515.1 41.37 502.6C28.88 490.1 28.88 469.9 41.37 457.4L105.4 393.4C107.2 391.5 109.3 389.9 111.4 388.6C101.5 367.8 96 344.6 96 320H32C14.33 320 0 305.7 0 288C0 270.3 14.33 256 32 256H96.3C97.38 241.9 101.3 228.5 107.4 216.5C106.7 215.9 106 215.3 105.4 214.6L41.37 150.6C28.88 138.1 28.88 117.9 41.37 105.4C53.87 92.88 74.13 92.88 86.63 105.4L150.6 169.4z"]],
    "bug-slash": [640, 512, [], "e490", ["M239.1 162.8C247.7 160.1 255.7 160 263.1 160H376C393.1 160 409.2 164.1 423.5 171.4C424.1 170.7 424.7 170 425.4 169.4L489.4 105.4C501.9 92.88 522.1 92.88 534.6 105.4C547.1 117.9 547.1 138.1 534.6 150.6L470.6 214.6C469.1 215.3 469.3 215.9 468.6 216.5C474.7 228.5 478.6 241.9 479.7 256H544C561.7 256 576 270.3 576 288C576 305.7 561.7 320 544 320H480C480 329.9 479.1 339.5 477.4 348.9L239.1 162.8zM416 96V99.56C416 115.3 403.3 128 387.6 128H252.4C236.7 128 223.1 115.3 223.1 99.56V96C223.1 42.98 266.1 0 319.1 0C373 0 416 42.98 416 96zM160.3 256C161.1 245.1 163.3 236.3 166.7 227.3L303.1 335.5V479.2C269.5 475.8 238.2 461.4 213.7 439.6L150.6 502.6C138.1 515.1 117.9 515.1 105.4 502.6C92.88 490.1 92.88 469.9 105.4 457.4L169.4 393.4C171.2 391.5 173.3 389.9 175.4 388.6C165.5 367.8 160 344.6 160 320H96C78.33 320 64 305.7 64 288C64 270.3 78.33 256 96 256H160.3zM336 479.2V360.7L430.8 435.4C405.7 459.6 372.6 475.6 336 479.2z", "M5.112 9.194C13.29-1.238 28.37-3.067 38.81 5.11L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.194V9.194z"]],
    "bugs": [576, 512, [], "e4d0", ["M501.5 322.7L516.2 331.2L530.1 315.3C538.9 305.3 554 304.4 563.1 313.1C573.9 321.9 574.9 337 566.2 346.1L539.2 377.6C531.7 386.2 519.1 388.3 509.2 382.6L481.5 366.6L469.9 386.7L497.9 413.8C504.9 420.6 507.1 430.1 503.5 440L482.4 492.5C477.5 504.8 463.5 510.8 451.2 505.8C438.9 500.9 432.9 486.9 437.9 474.6L452.9 437.1L439.3 423.9C419.1 435.6 395 436.7 374.1 424.6C353.1 412.5 341.6 390.4 342.1 367.8L323.8 362.6L298.9 394.4C290.7 404.8 275.6 406.6 265.2 398.4C254.8 390.3 252.9 375.2 261.1 364.7L296.1 320.2C302.1 312.6 312.1 309.3 321.5 311.1L359 322.7L370.6 302.6L342.9 286.6C333 280.8 328.5 268.9 332.2 258.1L345.3 219.4C349.5 206.9 363.1 200.2 375.7 204.4C388.2 208.7 394.1 222.3 390.7 234.8L383.1 254.8L398.7 263.3C408.6 255.6 420.4 251 432.8 249.1L440.6 169.7C441.9 156.5 453.6 146.8 466.8 148.1C480 149.4 489.7 161.1 488.4 174.3L482.2 237.3L533.7 200.5C544.5 192.8 559.4 195.3 567.2 206C574.9 216.8 572.4 231.8 561.6 239.5L495.1 286.5C501.2 297.7 503.2 310.3 501.5 322.7L501.5 322.7z", "M187.3 135.1H204.3L208.5 115.3C211.1 102.3 223.7 93.86 236.7 96.46C249.7 99.06 258.1 111.7 255.5 124.7L247.5 164.7C245.3 175.9 235.4 183.1 223.1 183.1H191.1V207.3L229.8 216.7C239.3 219.1 246.4 226.9 247.8 236.6L255.8 292.6C257.6 305.7 248.5 317.9 235.4 319.8C222.3 321.6 210.1 312.5 208.2 299.4L202.5 259.4L184.1 254.8C173.2 274.6 152.2 288 127.1 288C103.8 288 82.75 274.6 71.87 254.8L53.47 259.4L47.76 299.4C45.88 312.5 33.72 321.6 20.6 319.8C7.481 317.9-1.636 305.7 .2381 292.6L8.238 236.6C9.618 226.9 16.71 219.1 26.18 216.7L63.1 207.3V183.1H31.1C20.56 183.1 10.71 175.9 8.463 164.7L.4627 124.7C-2.137 111.7 6.292 99.06 19.29 96.46C32.29 93.86 44.93 102.3 47.53 115.3L51.67 135.1H68.65C73.35 124.4 81.36 114.5 91.51 107.4L58.14 33.92C52.66 21.85 58.01 7.625 70.07 2.145C82.14-3.335 96.37 2.007 101.8 14.08L127.1 71.66L154.1 14.08C159.6 2.007 173.8-3.335 185.9 2.145C197.1 7.625 203.3 21.85 197.8 33.92L164.5 107.4C174.6 114.5 182.6 124.4 187.3 135.1L187.3 135.1z"]],
    "building": [384, 512, [61687, 127970], "f1ad", ["M336 0C362.5 0 384 21.49 384 48V464C384 490.5 362.5 512 336 512H240V432C240 405.5 218.5 384 192 384C165.5 384 144 405.5 144 432V512H48C21.49 512 0 490.5 0 464V48C0 21.49 21.49 0 48 0H336zM64 272C64 280.8 71.16 288 80 288H112C120.8 288 128 280.8 128 272V240C128 231.2 120.8 224 112 224H80C71.16 224 64 231.2 64 240V272zM176 224C167.2 224 160 231.2 160 240V272C160 280.8 167.2 288 176 288H208C216.8 288 224 280.8 224 272V240C224 231.2 216.8 224 208 224H176zM256 272C256 280.8 263.2 288 272 288H304C312.8 288 320 280.8 320 272V240C320 231.2 312.8 224 304 224H272C263.2 224 256 231.2 256 240V272zM80 96C71.16 96 64 103.2 64 112V144C64 152.8 71.16 160 80 160H112C120.8 160 128 152.8 128 144V112C128 103.2 120.8 96 112 96H80zM160 144C160 152.8 167.2 160 176 160H208C216.8 160 224 152.8 224 144V112C224 103.2 216.8 96 208 96H176C167.2 96 160 103.2 160 112V144zM272 96C263.2 96 256 103.2 256 112V144C256 152.8 263.2 160 272 160H304C312.8 160 320 152.8 320 144V112C320 103.2 312.8 96 304 96H272z", "M112 96C120.8 96 128 103.2 128 112V144C128 152.8 120.8 160 112 160H80C71.16 160 64 152.8 64 144V112C64 103.2 71.16 96 80 96H112zM112 224C120.8 224 128 231.2 128 240V272C128 280.8 120.8 288 112 288H80C71.16 288 64 280.8 64 272V240C64 231.2 71.16 224 80 224H112zM208 224C216.8 224 224 231.2 224 240V272C224 280.8 216.8 288 208 288H176C167.2 288 160 280.8 160 272V240C160 231.2 167.2 224 176 224H208zM256 240C256 231.2 263.2 224 272 224H304C312.8 224 320 231.2 320 240V272C320 280.8 312.8 288 304 288H272C263.2 288 256 280.8 256 272V240zM160 112C160 103.2 167.2 96 176 96H208C216.8 96 224 103.2 224 112V144C224 152.8 216.8 160 208 160H176C167.2 160 160 152.8 160 144V112zM304 96C312.8 96 320 103.2 320 112V144C320 152.8 312.8 160 304 160H272C263.2 160 256 152.8 256 144V112C256 103.2 263.2 96 272 96H304z"]],
    "building-circle-arrow-right": [640, 512, [], "e4d1", ["M0 48C0 21.49 21.49 0 48 0H336C362.5 0 384 21.49 384 48V232.2C344.9 264.5 320 313.3 320 368C320 417.5 340.4 462.2 373.3 494.2C364.5 505.1 351.1 512 336 512H240V432C240 405.5 218.5 384 192 384C165.5 384 144 405.5 144 432V512H48C21.49 512 0 490.5 0 464V48zM80 224C71.16 224 64 231.2 64 240V272C64 280.8 71.16 288 80 288H112C120.8 288 128 280.8 128 272V240C128 231.2 120.8 224 112 224H80zM160 272C160 280.8 167.2 288 176 288H208C216.8 288 224 280.8 224 272V240C224 231.2 216.8 224 208 224H176C167.2 224 160 231.2 160 240V272zM272 224C263.2 224 256 231.2 256 240V272C256 280.8 263.2 288 272 288H304C312.8 288 320 280.8 320 272V240C320 231.2 312.8 224 304 224H272zM64 144C64 152.8 71.16 160 80 160H112C120.8 160 128 152.8 128 144V112C128 103.2 120.8 96 112 96H80C71.16 96 64 103.2 64 112V144zM176 96C167.2 96 160 103.2 160 112V144C160 152.8 167.2 160 176 160H208C216.8 160 224 152.8 224 144V112C224 103.2 216.8 96 208 96H176zM256 144C256 152.8 263.2 160 272 160H304C312.8 160 320 152.8 320 144V112C320 103.2 312.8 96 304 96H272C263.2 96 256 103.2 256 112V144z", "M352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM515.3 300.7C509.1 294.4 498.9 294.4 492.7 300.7C486.4 306.9 486.4 317.1 492.7 323.3L521.4 352H432C423.2 352 416 359.2 416 368C416 376.8 423.2 384 432 384H521.4L492.7 412.7C486.4 418.9 486.4 429.1 492.7 435.3C498.9 441.6 509.1 441.6 515.3 435.3L571.3 379.3C577.6 373.1 577.6 362.9 571.3 356.7L515.3 300.7z"]],
    "building-circle-check": [640, 512, [], "e4d2", ["M0 48C0 21.49 21.49 0 48 0H336C362.5 0 384 21.49 384 48V232.2C344.9 264.5 320 313.3 320 368C320 417.5 340.4 462.2 373.3 494.2C364.5 505.1 351.1 512 336 512H240V432C240 405.5 218.5 384 192 384C165.5 384 144 405.5 144 432V512H48C21.49 512 0 490.5 0 464V48zM80 224C71.16 224 64 231.2 64 240V272C64 280.8 71.16 288 80 288H112C120.8 288 128 280.8 128 272V240C128 231.2 120.8 224 112 224H80zM160 272C160 280.8 167.2 288 176 288H208C216.8 288 224 280.8 224 272V240C224 231.2 216.8 224 208 224H176C167.2 224 160 231.2 160 240V272zM272 224C263.2 224 256 231.2 256 240V272C256 280.8 263.2 288 272 288H304C312.8 288 320 280.8 320 272V240C320 231.2 312.8 224 304 224H272zM64 144C64 152.8 71.16 160 80 160H112C120.8 160 128 152.8 128 144V112C128 103.2 120.8 96 112 96H80C71.16 96 64 103.2 64 112V144zM176 96C167.2 96 160 103.2 160 112V144C160 152.8 167.2 160 176 160H208C216.8 160 224 152.8 224 144V112C224 103.2 216.8 96 208 96H176zM256 144C256 152.8 263.2 160 272 160H304C312.8 160 320 152.8 320 144V112C320 103.2 312.8 96 304 96H272C263.2 96 256 103.2 256 112V144z", "M352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM563.3 347.3C569.6 341.1 569.6 330.9 563.3 324.7C557.1 318.4 546.9 318.4 540.7 324.7L480 385.4L451.3 356.7C445.1 350.4 434.9 350.4 428.7 356.7C422.4 362.9 422.4 373.1 428.7 379.3L468.7 419.3C474.9 425.6 485.1 425.6 491.3 419.3L563.3 347.3z"]],
    "building-circle-exclamation": [640, 512, [], "e4d3", ["M0 48C0 21.49 21.49 0 48 0H336C362.5 0 384 21.49 384 48V232.2C344.9 264.5 320 313.3 320 368C320 417.5 340.4 462.2 373.3 494.2C364.5 505.1 351.1 512 336 512H240V432C240 405.5 218.5 384 192 384C165.5 384 144 405.5 144 432V512H48C21.49 512 0 490.5 0 464V48zM80 224C71.16 224 64 231.2 64 240V272C64 280.8 71.16 288 80 288H112C120.8 288 128 280.8 128 272V240C128 231.2 120.8 224 112 224H80zM160 272C160 280.8 167.2 288 176 288H208C216.8 288 224 280.8 224 272V240C224 231.2 216.8 224 208 224H176C167.2 224 160 231.2 160 240V272zM272 224C263.2 224 256 231.2 256 240V272C256 280.8 263.2 288 272 288H304C312.8 288 320 280.8 320 272V240C320 231.2 312.8 224 304 224H272zM64 144C64 152.8 71.16 160 80 160H112C120.8 160 128 152.8 128 144V112C128 103.2 120.8 96 112 96H80C71.16 96 64 103.2 64 112V144zM176 96C167.2 96 160 103.2 160 112V144C160 152.8 167.2 160 176 160H208C216.8 160 224 152.8 224 144V112C224 103.2 216.8 96 208 96H176zM256 144C256 152.8 263.2 160 272 160H304C312.8 160 320 152.8 320 144V112C320 103.2 312.8 96 304 96H272C263.2 96 256 103.2 256 112V144z", "M640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 416C482.7 416 472 426.7 472 440C472 453.3 482.7 464 496 464C509.3 464 520 453.3 520 440C520 426.7 509.3 416 496 416zM511.1 288C511.1 279.2 504.8 272 495.1 272C487.2 272 479.1 279.2 479.1 288V368C479.1 376.8 487.2 384 495.1 384C504.8 384 511.1 376.8 511.1 368V288z"]],
    "building-circle-xmark": [640, 512, [], "e4d4", ["M0 48C0 21.49 21.49 0 48 0H336C362.5 0 384 21.49 384 48V232.2C344.9 264.5 320 313.3 320 368C320 417.5 340.4 462.2 373.3 494.2C364.5 505.1 351.1 512 336 512H240V432C240 405.5 218.5 384 192 384C165.5 384 144 405.5 144 432V512H48C21.49 512 0 490.5 0 464V48zM80 224C71.16 224 64 231.2 64 240V272C64 280.8 71.16 288 80 288H112C120.8 288 128 280.8 128 272V240C128 231.2 120.8 224 112 224H80zM160 272C160 280.8 167.2 288 176 288H208C216.8 288 224 280.8 224 272V240C224 231.2 216.8 224 208 224H176C167.2 224 160 231.2 160 240V272zM272 224C263.2 224 256 231.2 256 240V272C256 280.8 263.2 288 272 288H304C312.8 288 320 280.8 320 272V240C320 231.2 312.8 224 304 224H272zM64 144C64 152.8 71.16 160 80 160H112C120.8 160 128 152.8 128 144V112C128 103.2 120.8 96 112 96H80C71.16 96 64 103.2 64 112V144zM176 96C167.2 96 160 103.2 160 112V144C160 152.8 167.2 160 176 160H208C216.8 160 224 152.8 224 144V112C224 103.2 216.8 96 208 96H176zM256 144C256 152.8 263.2 160 272 160H304C312.8 160 320 152.8 320 144V112C320 103.2 312.8 96 304 96H272C263.2 96 256 103.2 256 112V144z", "M640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM532.7 308.7L496 345.4L459.3 308.7C453.1 302.4 442.9 302.4 436.7 308.7C430.4 314.9 430.4 325.1 436.7 331.3L473.4 368L436.7 404.7C430.4 410.9 430.4 421.1 436.7 427.3C442.9 433.6 453.1 433.6 459.3 427.3L496 390.6L532.7 427.3C538.9 433.6 549.1 433.6 555.3 427.3C561.6 421.1 561.6 410.9 555.3 404.7L518.6 368L555.3 331.3C561.6 325.1 561.6 314.9 555.3 308.7C549.1 302.4 538.9 302.4 532.7 308.7z"]],
    "building-columns": [512, 512, ["bank", "institution", "museum", "university"], "f19c", ["M127.1 416H167.1V224H231.1V416H280V224H344V416H384V224H448V420.3C448.6 420.6 449.2 420.1 449.8 421.4L497.8 453.4C509.5 461.2 514.7 475.8 510.6 489.3C506.5 502.8 494.1 512 480 512H31.1C17.9 512 5.458 502.8 1.372 489.3C-2.715 475.8 2.515 461.2 14.25 453.4L62.25 421.4C62.82 420.1 63.4 420.6 63.1 420.3V224H127.1V416z", "M492.6 98.59C506.6 104.6 514.4 119.6 511.3 134.4C508.3 149.3 495.2 160 480 160V168C480 181.3 469.3 192 456 192H56C42.75 192 32 181.3 32 168V160C16.81 159.1 3.711 149.3 .6566 134.4C-2.398 119.6 5.433 104.6 19.4 98.59L243.4 2.587C251.4-.8625 260.6-.8625 268.6 2.587L492.6 98.59zM256 128C273.7 128 288 113.7 288 96C288 78.33 273.7 64 256 64C238.3 64 224 78.33 224 96C224 113.7 238.3 128 256 128z"]],
    "building-flag": [640, 512, [], "e4d5", ["M336 0C362.5 0 384 21.49 384 48V464C384 490.5 362.5 512 336 512H240V432C240 405.5 218.5 384 192 384C165.5 384 144 405.5 144 432V512H48C21.49 512 0 490.5 0 464V48C0 21.49 21.49 0 48 0H336zM64 272C64 280.8 71.16 288 80 288H112C120.8 288 128 280.8 128 272V240C128 231.2 120.8 224 112 224H80C71.16 224 64 231.2 64 240V272zM176 224C167.2 224 160 231.2 160 240V272C160 280.8 167.2 288 176 288H208C216.8 288 224 280.8 224 272V240C224 231.2 216.8 224 208 224H176zM256 272C256 280.8 263.2 288 272 288H304C312.8 288 320 280.8 320 272V240C320 231.2 312.8 224 304 224H272C263.2 224 256 231.2 256 240V272zM80 96C71.16 96 64 103.2 64 112V144C64 152.8 71.16 160 80 160H112C120.8 160 128 152.8 128 144V112C128 103.2 120.8 96 112 96H80zM160 144C160 152.8 167.2 160 176 160H208C216.8 160 224 152.8 224 144V112C224 103.2 216.8 96 208 96H176C167.2 96 160 103.2 160 112V144zM272 96C263.2 96 256 103.2 256 112V144C256 152.8 263.2 160 272 160H304C312.8 160 320 152.8 320 144V112C320 103.2 312.8 96 304 96H272z", "M624 32C632.8 32 640 39.16 640 48V176C640 184.8 632.8 192 624 192H480V512H416V32C416 14.33 430.3 0 448 0C465.7 0 480 14.33 480 32H624z"]],
    "building-lock": [576, 512, [], "e4d6", ["M0 48C0 21.49 21.49 0 48 0H336C362.5 0 384 21.49 384 48V193.6C364.2 213.8 352 241.5 352 272V296.6C332.9 307.6 320 328.3 320 352V480C320 491.7 323.1 502.6 328.6 512H240V432C240 405.5 218.5 384 192 384C165.5 384 144 405.5 144 432V512H48C21.49 512 0 490.5 0 464V48zM80 224C71.16 224 64 231.2 64 240V272C64 280.8 71.16 288 80 288H112C120.8 288 128 280.8 128 272V240C128 231.2 120.8 224 112 224H80zM160 272C160 280.8 167.2 288 176 288H208C216.8 288 224 280.8 224 272V240C224 231.2 216.8 224 208 224H176C167.2 224 160 231.2 160 240V272zM272 224C263.2 224 256 231.2 256 240V272C256 280.8 263.2 288 272 288H304C312.8 288 320 280.8 320 272V240C320 231.2 312.8 224 304 224H272zM64 144C64 152.8 71.16 160 80 160H112C120.8 160 128 152.8 128 144V112C128 103.2 120.8 96 112 96H80C71.16 96 64 103.2 64 112V144zM176 96C167.2 96 160 103.2 160 112V144C160 152.8 167.2 160 176 160H208C216.8 160 224 152.8 224 144V112C224 103.2 216.8 96 208 96H176zM256 144C256 152.8 263.2 160 272 160H304C312.8 160 320 152.8 320 144V112C320 103.2 312.8 96 304 96H272C263.2 96 256 103.2 256 112V144z", "M384 320V272C384 227.8 419.8 192 464 192C508.2 192 544 227.8 544 272V320C561.7 320 576 334.3 576 352V480C576 497.7 561.7 512 544 512H384C366.3 512 352 497.7 352 480V352C352 334.3 366.3 320 384 320zM432 320H496V272C496 254.3 481.7 240 464 240C446.3 240 432 254.3 432 272V320z"]],
    "building-ngo": [384, 512, [], "e4d7", ["M320 112V144C320 152.8 312.8 160 304 160C295.2 160 288 152.8 288 144V112C288 103.2 295.2 96 304 96C312.8 96 320 103.2 320 112zM336 0C362.5 0 384 21.49 384 48V464C384 490.5 362.5 512 336 512H240V432C240 405.5 218.5 384 192 384C165.5 384 144 405.5 144 432V512H48C21.49 512 0 490.5 0 464V48C0 21.49 21.49 0 48 0H336zM64 272C64 280.8 71.16 288 80 288H112C120.8 288 128 280.8 128 272V240C128 231.2 120.8 224 112 224H80C71.16 224 64 231.2 64 240V272zM176 224C167.2 224 160 231.2 160 240V272C160 280.8 167.2 288 176 288H208C216.8 288 224 280.8 224 272V240C224 231.2 216.8 224 208 224H176zM256 272C256 280.8 263.2 288 272 288H304C312.8 288 320 280.8 320 272V240C320 231.2 312.8 224 304 224H272C263.2 224 256 231.2 256 240V272zM168 64C159.2 64 152 71.16 152 80V168C152 181.3 162.7 192 176 192H208C221.3 192 232 181.3 232 168V144C232 135.2 224.8 128 216 128C207.2 128 200 135.2 200 144V160H184V96H216C224.8 96 232 88.84 232 80C232 71.16 224.8 64 216 64H168zM256 144C256 170.5 277.5 192 304 192C330.5 192 352 170.5 352 144V112C352 85.49 330.5 64 304 64C277.5 64 256 85.49 256 112V144zM61.31 71.12C57.4 65.26 50.11 62.64 43.36 64.69C36.62 66.73 32 72.95 32 80V176C32 184.8 39.16 192 48 192C56.84 192 64 184.8 64 176V132.8L98.69 184.9C102.6 190.7 109.9 193.4 116.6 191.3C123.4 189.3 128 183.1 128 176V80C128 71.16 120.8 64 112 64C103.2 64 96 71.16 96 80V123.2L61.31 71.12z", "M96 123.2V80C96 71.16 103.2 64 112 64C120.8 64 128 71.16 128 80V176C128 183.1 123.4 189.3 116.6 191.3C109.9 193.4 102.6 190.7 98.69 184.9L64 132.8V176C64 184.8 56.84 192 48 192C39.16 192 32 184.8 32 176V80C32 72.95 36.62 66.73 43.36 64.69C50.11 62.64 57.4 65.26 61.31 71.13L96 123.2zM152 80C152 71.16 159.2 64 168 64H216C224.8 64 232 71.16 232 80C232 88.84 224.8 96 216 96H184V160H200V144C200 135.2 207.2 128 216 128C224.8 128 232 135.2 232 144V168C232 181.3 221.3 192 208 192H176C162.7 192 152 181.3 152 168V80zM256 112C256 85.49 277.5 64 304 64C330.5 64 352 85.49 352 112V144C352 170.5 330.5 192 304 192C277.5 192 256 170.5 256 144V112zM304 96C295.2 96 288 103.2 288 112V144C288 152.8 295.2 160 304 160C312.8 160 320 152.8 320 144V112C320 103.2 312.8 96 304 96V96z"]],
    "building-shield": [576, 512, [], "e4d8", ["M336 0C362.5 0 384 21.49 384 48V207L341.6 224H272C263.2 224 256 231.2 256 240V304C256 304.9 256.1 305.7 256.2 306.6C258.5 364.7 280.3 451.4 354.9 508.1C349.1 510.6 342.7 512 336 512H240V432C240 405.5 218.5 384 192 384C165.5 384 144 405.5 144 432V512H48C21.49 512 0 490.5 0 464V48C0 21.49 21.49 0 48 0H336zM64 272C64 280.8 71.16 288 80 288H112C120.8 288 128 280.8 128 272V240C128 231.2 120.8 224 112 224H80C71.16 224 64 231.2 64 240V272zM176 224C167.2 224 160 231.2 160 240V272C160 280.8 167.2 288 176 288H208C216.8 288 224 280.8 224 272V240C224 231.2 216.8 224 208 224H176zM80 96C71.16 96 64 103.2 64 112V144C64 152.8 71.16 160 80 160H112C120.8 160 128 152.8 128 144V112C128 103.2 120.8 96 112 96H80zM160 144C160 152.8 167.2 160 176 160H208C216.8 160 224 152.8 224 144V112C224 103.2 216.8 96 208 96H176C167.2 96 160 103.2 160 112V144zM272 96C263.2 96 256 103.2 256 112V144C256 152.8 263.2 160 272 160H304C312.8 160 320 152.8 320 144V112C320 103.2 312.8 96 304 96H272z", "M560.9 273.7C570 277.4 576 286.2 576 296C576 359.3 550.1 464.8 441.2 510.2C435.3 512.6 428.7 512.6 422.8 510.2C313.9 464.8 288 359.3 288 296C288 286.2 293.1 277.4 303.1 273.7L423.1 225.7C428.8 223.4 435.2 223.4 440.9 225.7L560.9 273.7zM432 461.7C500.2 428.7 523.5 362.7 527.4 311.1L432 273.8V461.7z"]],
    "building-un": [384, 512, [], "e4d9", ["M336 0C362.5 0 384 21.49 384 48V464C384 490.5 362.5 512 336 512H240V432C240 405.5 218.5 384 192 384C165.5 384 144 405.5 144 432V512H48C21.49 512 0 490.5 0 464V48C0 21.49 21.49 0 48 0H336zM64 272C64 280.8 71.16 288 80 288H112C120.8 288 128 280.8 128 272V240C128 231.2 120.8 224 112 224H80C71.16 224 64 231.2 64 240V272zM176 224C167.2 224 160 231.2 160 240V272C160 280.8 167.2 288 176 288H208C216.8 288 224 280.8 224 272V240C224 231.2 216.8 224 208 224H176zM256 272C256 280.8 263.2 288 272 288H304C312.8 288 320 280.8 320 272V240C320 231.2 312.8 224 304 224H272C263.2 224 256 231.2 256 240V272zM237.3 71.12C233.4 65.26 226.1 62.64 219.4 64.69C212.6 66.73 208 72.95 208 80V176C208 184.8 215.2 192 224 192C232.8 192 240 184.8 240 176V132.8L274.7 184.9C278.6 190.7 285.9 193.4 292.6 191.3C299.4 189.3 304 183.1 304 176V80C304 71.16 296.8 64 288 64C279.2 64 272 71.16 272 80V123.2L237.3 71.12zM112 80C112 71.16 104.8 64 96 64C87.16 64 80 71.16 80 80V144C80 170.5 101.5 192 128 192C154.5 192 176 170.5 176 144V80C176 71.16 168.8 64 160 64C151.2 64 144 71.16 144 80V144C144 152.8 136.8 160 128 160C119.2 160 112 152.8 112 144V80z", "M219.4 64.69C226.1 62.64 233.4 65.26 237.3 71.13L272 123.2V80C272 71.16 279.2 64 288 64C296.8 64 304 71.16 304 80V176C304 183.1 299.4 189.3 292.6 191.3C285.9 193.4 278.6 190.7 274.7 184.9L240 132.8V176C240 184.8 232.8 192 224 192C215.2 192 208 184.8 208 176V80C208 72.95 212.6 66.73 219.4 64.69V64.69zM96 64C104.8 64 112 71.16 112 80V144C112 152.8 119.2 160 128 160C136.8 160 144 152.8 144 144V80C144 71.16 151.2 64 160 64C168.8 64 176 71.16 176 80V144C176 170.5 154.5 192 128 192C101.5 192 80 170.5 80 144V80C80 71.16 87.16 64 96 64V64z"]],
    "building-user": [640, 512, [], "e4da", ["M0 48C0 21.49 21.49 0 48 0H336C362.5 0 384 21.49 384 48V367.8C345.8 389.2 320 430 320 476.9C320 489.8 323.6 501.8 329.9 512H240V432C240 405.5 218.5 384 192 384C165.5 384 144 405.5 144 432V512H48C21.49 512 0 490.5 0 464V48zM80 224C71.16 224 64 231.2 64 240V272C64 280.8 71.16 288 80 288H112C120.8 288 128 280.8 128 272V240C128 231.2 120.8 224 112 224H80zM160 272C160 280.8 167.2 288 176 288H208C216.8 288 224 280.8 224 272V240C224 231.2 216.8 224 208 224H176C167.2 224 160 231.2 160 240V272zM272 224C263.2 224 256 231.2 256 240V272C256 280.8 263.2 288 272 288H304C312.8 288 320 280.8 320 272V240C320 231.2 312.8 224 304 224H272zM64 144C64 152.8 71.16 160 80 160H112C120.8 160 128 152.8 128 144V112C128 103.2 120.8 96 112 96H80C71.16 96 64 103.2 64 112V144zM176 96C167.2 96 160 103.2 160 112V144C160 152.8 167.2 160 176 160H208C216.8 160 224 152.8 224 144V112C224 103.2 216.8 96 208 96H176zM256 144C256 152.8 263.2 160 272 160H304C312.8 160 320 152.8 320 144V112C320 103.2 312.8 96 304 96H272C263.2 96 256 103.2 256 112V144z", "M416 272C416 227.8 451.8 192 496 192C540.2 192 576 227.8 576 272C576 316.2 540.2 352 496 352C451.8 352 416 316.2 416 272zM546.9 384C598.3 384 640 425.7 640 477.1C640 496.4 624.4 512 605.1 512H386.9C367.6 512 352 496.4 352 477.1C352 425.7 393.7 384 445.1 384H546.9z"]],
    "building-wheat": [640, 512, [], "e4db", ["M336 0C362.5 0 384 21.49 384 48V464C384 490.5 362.5 512 336 512H240V432C240 405.5 218.5 384 192 384C165.5 384 144 405.5 144 432V512H48C21.49 512 0 490.5 0 464V48C0 21.49 21.49 0 48 0H336zM64 272C64 280.8 71.16 288 80 288H112C120.8 288 128 280.8 128 272V240C128 231.2 120.8 224 112 224H80C71.16 224 64 231.2 64 240V272zM176 224C167.2 224 160 231.2 160 240V272C160 280.8 167.2 288 176 288H208C216.8 288 224 280.8 224 272V240C224 231.2 216.8 224 208 224H176zM256 272C256 280.8 263.2 288 272 288H304C312.8 288 320 280.8 320 272V240C320 231.2 312.8 224 304 224H272C263.2 224 256 231.2 256 240V272zM80 96C71.16 96 64 103.2 64 112V144C64 152.8 71.16 160 80 160H112C120.8 160 128 152.8 128 144V112C128 103.2 120.8 96 112 96H80zM160 144C160 152.8 167.2 160 176 160H208C216.8 160 224 152.8 224 144V112C224 103.2 216.8 96 208 96H176C167.2 96 160 103.2 160 112V144zM272 96C263.2 96 256 103.2 256 112V144C256 152.8 263.2 160 272 160H304C312.8 160 320 152.8 320 144V112C320 103.2 312.8 96 304 96H272z", "M560 288H544V272C544 227.8 579.8 192 624 192H640V208C640 252.2 604.2 288 560 288zM640 304V320C640 364.2 604.2 400 560 400H544V384C544 339.8 579.8 304 624 304H640zM640 416V432C640 476.2 604.2 512 560 512H544V496C544 451.8 579.8 416 624 416H640zM496 512C451.8 512 416 476.2 416 432V416H432C476.2 416 512 451.8 512 496V512H496zM512 384V400H496C451.8 400 416 364.2 416 320V304H432C476.2 304 512 339.8 512 384zM496 288C451.8 288 416 252.2 416 208V192H432C476.2 192 512 227.8 512 272V288H496zM552 160C552 173.3 541.3 184 528 184C514.7 184 504 173.3 504 160V56C504 42.75 514.7 32 528 32C541.3 32 552 42.75 552 56V160zM600 72C613.3 72 624 82.75 624 96V128C624 141.3 613.3 152 600 152C586.7 152 576 141.3 576 128V96C576 82.75 586.7 72 600 72zM480 128C480 141.3 469.3 152 456 152C442.7 152 432 141.3 432 128V96C432 82.75 442.7 72 456 72C469.3 72 480 82.75 480 96V128z"]],
    "buildings": [512, 512, [], "e0cc", ["M448 0C483.3 0 512 28.65 512 64V448C512 483.3 483.3 512 448 512H64C28.65 512 0 483.3 0 448V192C0 156.7 28.65 128 64 128H192V64C192 28.65 220.7 0 256 0H448zM64 336C64 344.8 71.16 352 80 352H112C120.8 352 128 344.8 128 336V304C128 295.2 120.8 288 112 288H80C71.16 288 64 295.2 64 304V336zM304 320C312.8 320 320 312.8 320 304V272C320 263.2 312.8 256 304 256H272C263.2 256 256 263.2 256 272V304C256 312.8 263.2 320 272 320H304zM384 304C384 312.8 391.2 320 400 320H432C440.8 320 448 312.8 448 304V272C448 263.2 440.8 256 432 256H400C391.2 256 384 263.2 384 272V304zM80 192C71.16 192 64 199.2 64 208V240C64 248.8 71.16 256 80 256H112C120.8 256 128 248.8 128 240V208C128 199.2 120.8 192 112 192H80zM256 112C256 120.8 263.2 128 272 128H304C312.8 128 320 120.8 320 112V80C320 71.16 312.8 64 304 64H272C263.2 64 256 71.16 256 80V112zM400 64C391.2 64 384 71.16 384 80V112C384 120.8 391.2 128 400 128H432C440.8 128 448 120.8 448 112V80C448 71.16 440.8 64 432 64H400zM256 208C256 216.8 263.2 224 272 224H304C312.8 224 320 216.8 320 208V176C320 167.2 312.8 160 304 160H272C263.2 160 256 167.2 256 176V208zM432 224C440.8 224 448 216.8 448 208V176C448 167.2 440.8 160 432 160H400C391.2 160 384 167.2 384 176V208C384 216.8 391.2 224 400 224H432z", "M256 80C256 71.16 263.2 64 272 64H304C312.8 64 320 71.16 320 80V112C320 120.8 312.8 128 304 128H272C263.2 128 256 120.8 256 112V80zM112 192C120.8 192 128 199.2 128 208V240C128 248.8 120.8 256 112 256H80C71.16 256 64 248.8 64 240V208C64 199.2 71.16 192 80 192H112zM272 320C263.2 320 256 312.8 256 304V272C256 263.2 263.2 256 272 256H304C312.8 256 320 263.2 320 272V304C320 312.8 312.8 320 304 320H272zM112 288C120.8 288 128 295.2 128 304V336C128 344.8 120.8 352 112 352H80C71.16 352 64 344.8 64 336V304C64 295.2 71.16 288 80 288H112zM384 272C384 263.2 391.2 256 400 256H432C440.8 256 448 263.2 448 272V304C448 312.8 440.8 320 432 320H400C391.2 320 384 312.8 384 304V272zM432 64C440.8 64 448 71.16 448 80V112C448 120.8 440.8 128 432 128H400C391.2 128 384 120.8 384 112V80C384 71.16 391.2 64 400 64H432zM256 176C256 167.2 263.2 160 272 160H304C312.8 160 320 167.2 320 176V208C320 216.8 312.8 224 304 224H272C263.2 224 256 216.8 256 208V176zM400 224C391.2 224 384 216.8 384 208V176C384 167.2 391.2 160 400 160H432C440.8 160 448 167.2 448 176V208C448 216.8 440.8 224 432 224H400z"]],
    "bullhorn": [512, 512, [128363, 128226], "f0a1", ["M480 448C480 460.9 472.2 472.6 460.2 477.6C448.3 482.5 434.5 479.8 425.4 470.6L381.7 426.1C333.7 378.1 268.6 352 200.7 352H192V128H200.7C268.6 128 333.7 101 381.7 53.02L425.4 9.373C434.5 .2215 448.3-2.516 460.2 2.437C472.2 7.39 480 19.06 480 32V448z", "M0 192C0 156.7 28.65 128 64 128H192V480C192 497.7 177.7 512 160 512H96C78.33 512 64 497.7 64 480V352C28.65 352 0 323.3 0 288V192zM512 240C512 267.9 498.6 291.6 480 300.4V179.6C498.6 188.4 512 212.1 512 240V240z"]],
    "bullseye": [512, 512, [], "f140", ["M112 256C112 176.5 176.5 112 256 112C335.5 112 400 176.5 400 256C400 335.5 335.5 400 256 400C176.5 400 112 335.5 112 256zM256 336C300.2 336 336 300.2 336 256C336 211.8 300.2 176 256 176C211.8 176 176 211.8 176 256C176 300.2 211.8 336 256 336z", "M224 256C224 238.3 238.3 224 256 224C273.7 224 288 238.3 288 256C288 273.7 273.7 288 256 288C238.3 288 224 273.7 224 256zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 64C149.1 64 64 149.1 64 256C64 362 149.1 448 256 448C362 448 448 362 448 256C448 149.1 362 64 256 64z"]],
    "bullseye-arrow": [512, 512, [127919], "f648", ["M366.4 213.5L395 218.3C398.3 230.3 400 242.9 400 256C400 335.5 335.5 400 256 400C176.5 400 112 335.5 112 256C112 176.5 176.5 112 256 112C269.1 112 281.7 113.7 293.7 116.1L298.5 145.6L267.3 176.8C263.6 176.3 259.8 175.1 256 175.1C211.8 175.1 176 211.8 176 255.1C176 300.2 211.8 336 256 336C300.2 336 336 300.2 336 255.1C336 252.2 335.7 248.4 335.2 244.7L366.4 213.5zM497.7 171.5C506.1 197.1 512 226.4 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C285.6 0 314 5.024 340.5 14.27L288.1 66.67C277.6 64.91 266.9 64 256 64C149.1 64 64 149.1 64 256C64 362 149.1 448 256 448C362 448 448 362 448 256C448 245.1 447.1 234.4 445.3 223.9L497.7 171.5z", "M331.2 146.9L322.7 96.24C321 86.05 324.3 75.66 331.6 68.36L382.8 17.16C390.1 9.036 404.7 11.86 409 22.53L432 80L489.5 102.1C500.1 107.3 502.1 121 494.8 129.2L443.6 180.4C436.3 187.7 425.9 190.1 415.8 189.3L365.1 180.8L272.1 272.1C263.6 282.3 248.4 282.3 239 272.1C229.7 263.6 229.7 248.4 239 239L331.2 146.9z"]],
    "bullseye-pointer": [512, 512, [], "f649", ["M256 64C149.1 64 64 149.1 64 256C64 259.9 64.12 263.8 64.35 267.7L1.754 286.1C.5958 276.2 0 266.2 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C245.8 512 235.8 511.4 225.9 510.2L244.3 447.6C248.2 447.9 252.1 448 256 448C362 448 448 362 448 256C448 149.1 362 64 256 64zM400 256C400 334.8 336.8 398.8 258.3 399.1L278 332.9C311.5 323.4 336 292.5 336 256C336 211.8 300.2 176 255.1 176C219.5 176 188.6 200.5 179.1 233.1L112 253.7C113.2 175.2 177.2 111.1 255.1 111.1C335.5 111.1 400 176.5 400 255.1L400 256z", "M263.7 268.1L203.5 472.1C199.4 486.9 180.3 488.6 173.8 475.6L145.2 418.3C144.5 416.1 143.6 415.7 142.6 414.6L54.63 502.6C42.13 515.1 21.87 515.1 9.372 502.6C-3.124 490.1-3.124 469.9 9.372 457.4L97.36 369.4C96.26 368.4 95.02 367.5 93.68 366.8L36.37 338.2C23.37 331.7 25.07 312.6 39.01 308.5L243.9 248.3C256 244.7 267.3 255.1 263.7 268.1V268.1z"]],
    "burger": [512, 512, ["hamburger"], "f805", ["M475.3 388.7C478.3 391.7 480 395.8 480 400V416C480 432.1 473.3 449.3 461.3 461.3C449.3 473.3 432.1 480 416 480H96C79.03 480 62.75 473.3 50.75 461.3C38.74 449.3 32 432.1 32 416V400C32 395.8 33.69 391.7 36.69 388.7C39.69 385.7 43.76 384 48 384H464C468.2 384 472.3 385.7 475.3 388.7zM50.39 220.8C45.93 218.6 42.03 215.5 38.97 211.6C35.91 207.7 33.79 203.2 32.75 198.4C31.71 193.5 31.8 188.5 32.99 183.7C54.98 97.02 146.5 32 256 32C365.5 32 457 97.02 479 183.7C480.2 188.5 480.3 193.5 479.2 198.4C478.2 203.2 476.1 207.7 473 211.6C469.1 215.5 466.1 218.6 461.6 220.8C457.2 222.9 452.3 224 447.3 224H64.67C59.73 224 54.84 222.9 50.39 220.8zM372.7 116.7C369.7 119.7 368 123.8 368 128C368 131.2 368.9 134.3 370.7 136.9C372.5 139.5 374.1 141.6 377.9 142.8C380.8 143.1 384 144.3 387.1 143.7C390.2 143.1 393.1 141.6 395.3 139.3C397.6 137.1 399.1 134.2 399.7 131.1C400.3 128 399.1 124.8 398.8 121.9C397.6 118.1 395.5 116.5 392.9 114.7C390.3 112.9 387.2 111.1 384 111.1C379.8 111.1 375.7 113.7 372.7 116.7V116.7zM244.7 84.69C241.7 87.69 240 91.76 240 96C240 99.16 240.9 102.3 242.7 104.9C244.5 107.5 246.1 109.6 249.9 110.8C252.8 111.1 256 112.3 259.1 111.7C262.2 111.1 265.1 109.6 267.3 107.3C269.6 105.1 271.1 102.2 271.7 99.12C272.3 96.02 271.1 92.8 270.8 89.88C269.6 86.95 267.5 84.45 264.9 82.7C262.3 80.94 259.2 79.1 256 79.1C251.8 79.1 247.7 81.69 244.7 84.69V84.69zM116.7 116.7C113.7 119.7 112 123.8 112 128C112 131.2 112.9 134.3 114.7 136.9C116.5 139.5 118.1 141.6 121.9 142.8C124.8 143.1 128 144.3 131.1 143.7C134.2 143.1 137.1 141.6 139.3 139.3C141.6 137.1 143.1 134.2 143.7 131.1C144.3 128 143.1 124.8 142.8 121.9C141.6 118.1 139.5 116.5 136.9 114.7C134.3 112.9 131.2 111.1 128 111.1C123.8 111.1 119.7 113.7 116.7 116.7L116.7 116.7z", "M481.9 270.1C490.9 279.1 496 291.3 496 304C496 316.7 490.9 328.9 481.9 337.9C472.9 346.9 460.7 352 448 352H64C51.27 352 39.06 346.9 30.06 337.9C21.06 328.9 16 316.7 16 304C16 291.3 21.06 279.1 30.06 270.1C39.06 261.1 51.27 256 64 256H448C460.7 256 472.9 261.1 481.9 270.1z"]],
    "burger-cheese": [512, 512, [127828, "cheeseburger"], "f7f1", ["M50.39 220.8C45.93 218.6 42.03 215.5 38.97 211.6C35.91 207.7 33.79 203.2 32.75 198.4C31.71 193.5 31.8 188.5 32.99 183.7C54.98 97.02 146.5 32 256 32C365.5 32 457 97.02 479 183.7C480.2 188.5 480.3 193.5 479.2 198.4C478.2 203.2 476.1 207.7 473 211.6C469.1 215.5 466.1 218.6 461.6 220.8C457.2 222.9 452.3 224 447.3 224H64.67C59.73 224 54.84 222.9 50.39 220.8zM372.7 116.7C369.7 119.7 368 123.8 368 128C368 131.2 368.9 134.3 370.7 136.9C372.5 139.5 374.1 141.6 377.9 142.8C380.8 143.1 384 144.3 387.1 143.7C390.2 143.1 393.1 141.6 395.3 139.3C397.6 137.1 399.1 134.2 399.7 131.1C400.3 128 399.1 124.8 398.8 121.9C397.6 118.1 395.5 116.5 392.9 114.7C390.3 112.9 387.2 111.1 384 111.1C379.8 111.1 375.7 113.7 372.7 116.7V116.7zM244.7 84.69C241.7 87.69 240 91.76 240 96C240 99.16 240.9 102.3 242.7 104.9C244.5 107.5 246.1 109.6 249.9 110.8C252.8 111.1 256 112.3 259.1 111.7C262.2 111.1 265.1 109.6 267.3 107.3C269.6 105.1 271.1 102.2 271.7 99.12C272.3 96.02 271.1 92.8 270.8 89.88C269.6 86.95 267.5 84.45 264.9 82.7C262.3 80.94 259.2 79.1 256 79.1C251.8 79.1 247.7 81.69 244.7 84.69V84.69zM116.7 116.7C113.7 119.7 112 123.8 112 128C112 131.2 112.9 134.3 114.7 136.9C116.5 139.5 118.1 141.6 121.9 142.8C124.8 143.1 128 144.3 131.1 143.7C134.2 143.1 137.1 141.6 139.3 139.3C141.6 137.1 143.1 134.2 143.7 131.1C144.3 128 143.1 124.8 142.8 121.9C141.6 118.1 139.5 116.5 136.9 114.7C134.3 112.9 131.2 111.1 128 111.1C123.8 111.1 119.7 113.7 116.7 116.7L116.7 116.7zM475.3 388.7C478.3 391.7 480 395.8 480 400V416C480 432.1 473.3 449.3 461.3 461.3C449.3 473.3 432.1 480 416 480H96C79.03 480 62.75 473.3 50.75 461.3C38.74 449.3 32 432.1 32 416V400C32 395.8 33.69 391.7 36.69 388.7C39.69 385.7 43.76 384 48 384H464C468.2 384 472.3 385.7 475.3 388.7zM320 320L224 256H416L320 320z", "M481.9 270.1C490.9 279.1 496 291.3 496 304C496 316.7 490.9 328.9 481.9 337.9C472.9 346.9 460.7 352 448 352H64C51.27 352 39.06 346.9 30.06 337.9C21.06 328.9 16 316.7 16 304C16 291.3 21.06 279.1 30.06 270.1C39.06 261.1 51.27 256 64 256H224L320 320L416 256H448C460.7 256 472.9 261.1 481.9 270.1z"]],
    "burger-fries": [640, 512, [], "e0cd", ["M160 268.8V15.1C160 13.28 160.7 10.6 162 8.228C163.4 5.853 165.3 3.857 167.6 2.429C169.9 .9997 172.6 .1853 175.3 .0624C177.1-.0604 180.7 .5117 183.1 1.725L215.1 17.73C217.8 19.02 220.1 21.05 221.6 23.58C223.2 26.11 224 29.02 224 31.1V268.8C202.9 273.2 181.1 273.2 160 268.8zM378.6 84.09C380.7 85.9 382.3 88.22 383.2 90.83C384.1 93.44 384.3 96.23 383.7 98.94L370.2 176.7C355 182.1 340.4 188.1 326.6 197.2L346.1 86.08L363.4 80.96C365.1 80.13 368.8 79.98 371.4 80.54C374.1 81.1 376.6 82.35 378.6 84.16V84.09zM277.6 335.1C271.2 341.6 265.1 348.5 262.3 356.2C258.6 363.9 256.5 372.2 256.1 380.7C255.6 389.2 256.9 397.8 259.8 405.8C262.7 413.8 267.2 421.1 272.1 427.4C267.7 431.9 263.4 437.5 260.5 443.8C257.5 450.1 256 457 256 463.1C256 468.9 256.5 473.7 257.5 478.5C257.9 480.8 258.6 482.1 259.2 485.1C259.8 487.3 260.4 489.4 261.2 491.5C262.3 494.4 263.5 497.2 264.9 499.9C265.4 500.9 265.1 501.9 266.5 502.8C268.3 506 270.2 509.1 272.4 511.1H85.73C78.44 512 71.36 509.6 65.67 505C59.97 500.5 55.1 494.1 54.4 487L.3847 243.5C-.1378 241.1-.1279 238.7 .4135 236.4C.9553 234 2.015 231.9 3.514 229.1C5.013 228.1 6.914 226.6 9.075 225.6C11.24 224.5 13.6 223.1 16 223.1H49.98C53.39 223.8 56.75 224.8 59.52 226.8C62.29 228.8 64.31 231.7 65.25 234.1C73.89 273.1 127.4 303.1 192 303.1C214.1 304.1 236 300.4 256.8 292.9C257.1 296.1 257.7 301 258.7 305C259.8 309.6 261.4 314.1 263.6 318.3C267.2 325 271.9 330.1 277.6 335.1zM101.1 237.7L64.29 40.61C63.73 37.67 64.01 34.63 65.09 31.84C66.17 29.06 68.01 26.63 70.4 24.83L98.88 3.197C101.1 1.553 103.6 .4938 106.3 .1197C109-.2544 111.8 .0695 114.3 1.061C116.9 2.052 119.1 3.677 120.9 5.781C122.6 7.886 123.8 10.4 124.3 13.09L128 33.09V258.5C117.4 253.9 108.2 246.8 101.1 237.7H101.1zM16.51 191.1L.2567 98.72C-.1961 96.03 .0433 93.28 .9518 90.71C1.86 88.15 3.408 85.86 5.448 84.06C7.489 82.26 9.955 81.01 12.61 80.43C15.27 79.84 18.03 79.95 20.64 80.73L40.38 86.59L60.38 193.8C57 192.8 53.53 192.2 50.02 191.1H16.51zM307.4 32.44C310.1 33.03 312.5 34.28 314.6 36.08C316.6 37.88 318.1 40.16 319 42.73C319.1 45.29 320.2 48.04 319.7 50.72L289.6 223.2C289.1 224.5 288.4 225.8 287.9 227.2C284.1 230.1 282.2 233.1 279.6 236.1C275.2 240.9 271.1 245.1 267.3 251.3C267.1 251.7 267 252.1 266.8 252.4C263.3 254.7 259.7 256.7 256 258.5V51.2C256.9 49.28 258.2 47.57 259.7 46.16C261.3 44.74 263.1 43.66 265.1 42.97L299.4 32.73C301.1 31.96 304.8 31.86 307.4 32.44H307.4z", "M635.3 452.7C638.3 455.7 640 459.8 640 463.1C640 476.7 634.9 488.9 625.9 497.9C616.9 506.9 604.7 511.1 592 511.1H336C323.3 511.1 311.1 506.9 302.1 497.9C293.1 488.9 288 476.7 288 463.1C288 459.8 289.7 455.7 292.7 452.7C295.7 449.7 299.8 447.1 304 447.1H624C628.2 447.1 632.3 449.7 635.3 452.7zM297.4 406.6C291.4 400.6 288 392.5 288 383.1C288 375.5 291.4 367.4 297.4 361.4C303.4 355.4 311.5 351.1 320 351.1H608C616.5 351.1 624.6 355.4 630.6 361.4C636.6 367.4 640 375.5 640 383.1C640 392.5 636.6 400.6 630.6 406.6C624.6 412.6 616.5 415.1 608 415.1H320C311.5 415.1 303.4 412.6 297.4 406.6zM302.8 315.1C297.8 312 293.8 307.6 291.2 302.4C288.6 297.2 287.4 291.3 287.9 285.5C288.3 279.7 290.4 274.1 293.8 269.4C314.1 244.1 340.1 223.9 369.7 210.4C399.2 197 431.6 190.7 464 191.1C496.5 190.7 528.8 197.1 558.3 210.5C587.9 223.9 613.9 244.1 634.3 269.4C637.7 274.1 639.8 279.7 640.2 285.6C640.7 291.4 639.5 297.2 636.9 302.4C634.2 307.7 630.2 312.1 625.3 315.1C620.3 318.2 614.6 319.9 608.7 319.1H319.3C313.4 319.9 307.7 318.2 302.8 315.1H302.8zM532.7 244.7C529.7 247.7 528 251.8 528 255.1C528 259.2 528.9 262.3 530.7 264.9C532.5 267.5 534.1 269.6 537.9 270.8C540.8 271.1 544 272.3 547.1 271.7C550.2 271.1 553.1 269.5 555.3 267.3C557.6 265.1 559.1 262.2 559.7 259.1C560.3 256 559.1 252.8 558.8 249.9C557.6 246.9 555.5 244.5 552.9 242.7C550.3 240.9 547.2 239.1 544 239.1C539.8 239.1 535.7 241.7 532.7 244.7L532.7 244.7zM452.7 228.7C449.7 231.7 448 235.8 448 239.1C448 243.2 448.9 246.3 450.7 248.9C452.5 251.5 454.1 253.6 457.9 254.8C460.8 255.1 464 256.3 467.1 255.7C470.2 255.1 473.1 253.5 475.3 251.3C477.6 249.1 479.1 246.2 479.7 243.1C480.3 240 479.1 236.8 478.8 233.9C477.6 230.9 475.5 228.5 472.9 226.7C470.3 224.9 467.2 223.1 464 223.1C459.8 223.1 455.7 225.7 452.7 228.7V228.7zM372.7 244.7C369.7 247.7 368 251.8 368 255.1C368 259.2 368.9 262.3 370.7 264.9C372.5 267.5 374.1 269.6 377.9 270.8C380.8 271.1 384 272.3 387.1 271.7C390.2 271.1 393.1 269.5 395.3 267.3C397.6 265.1 399.1 262.2 399.7 259.1C400.3 256 399.1 252.8 398.8 249.9C397.6 246.9 395.5 244.5 392.9 242.7C390.3 240.9 387.2 239.1 384 239.1C379.8 239.1 375.7 241.7 372.7 244.7V244.7z"]],
    "burger-glass": [640, 512, [], "e0ce", ["M332.1 2.769C337.1 4.591 340.7 7.251 343.7 10.58C346.7 13.9 349 17.82 350.4 22.08C351.8 26.34 352.3 30.84 351.8 35.3L337.5 191C309.6 205.2 285.5 225.8 267.3 251.2C260.7 260.1 256.8 272.4 256.1 284.2C255.5 295.1 258.1 307.8 263.6 318.2C267.2 324.9 271.9 330.1 277.6 336C271.2 341.6 265.1 348.5 262.3 356.2C258.6 363.9 256.5 372.2 256.1 380.7C255.6 389.2 256.9 397.8 259.8 405.8C262.7 413.8 267.2 421.1 272.1 427.4C267.7 431.9 263.4 437.5 260.5 443.8C257.5 450.1 256 457 255.1 464C256 481.4 261.8 498.2 272.4 512H73.24C65.32 512 57.66 509.1 51.75 503.9C45.83 498.6 42.09 491.3 41.24 483.4L-.0037 35.42C-.486 30.94-.0165 26.41 1.374 22.13C2.765 17.84 5.046 13.89 8.066 10.55C11.09 7.205 14.78 4.537 18.9 2.719C23.03 .901 27.49-.0254 31.1 .0005H319.1C324.5 .0037 328.9 .9468 332.1 2.769L332.1 2.769zM284.8 64H67.2L75.93 160H276.1L284.8 64z", "M635.3 452.7C638.3 455.7 640 459.8 640 463.1C640 476.7 634.9 488.9 625.9 497.9C616.9 506.9 604.7 511.1 592 511.1H336C323.3 511.1 311.1 506.9 302.1 497.9C293.1 488.9 288 476.7 288 463.1C288 459.8 289.7 455.7 292.7 452.7C295.7 449.7 299.8 447.1 304 447.1H624C628.2 447.1 632.3 449.7 635.3 452.7zM297.4 406.6C291.4 400.6 288 392.5 288 383.1C288 375.5 291.4 367.4 297.4 361.4C303.4 355.4 311.5 351.1 320 351.1H608C616.5 351.1 624.6 355.4 630.6 361.4C636.6 367.4 640 375.5 640 383.1C640 392.5 636.6 400.6 630.6 406.6C624.6 412.6 616.5 415.1 608 415.1H320C311.5 415.1 303.4 412.6 297.4 406.6zM302.8 315.1C297.8 312 293.8 307.6 291.2 302.4C288.6 297.2 287.4 291.3 287.9 285.5C288.3 279.7 290.4 274.1 293.8 269.4C314.1 244.1 340.1 223.9 369.7 210.4C399.2 197 431.6 190.7 464 191.1C496.5 190.7 528.8 197.1 558.3 210.5C587.9 223.9 613.9 244.1 634.3 269.4C637.7 274.1 639.8 279.7 640.2 285.6C640.7 291.4 639.5 297.2 636.9 302.4C634.2 307.7 630.2 312.1 625.3 315.1C620.3 318.2 614.6 319.9 608.7 319.1H319.3C313.4 319.9 307.7 318.2 302.8 315.1H302.8zM532.7 244.7C529.7 247.7 528 251.8 528 255.1C528 259.2 528.9 262.3 530.7 264.9C532.5 267.5 534.1 269.6 537.9 270.8C540.8 271.1 544 272.3 547.1 271.7C550.2 271.1 553.1 269.5 555.3 267.3C557.6 265.1 559.1 262.2 559.7 259.1C560.3 256 559.1 252.8 558.8 249.9C557.6 246.9 555.5 244.5 552.9 242.7C550.3 240.9 547.2 239.1 544 239.1C539.8 239.1 535.7 241.7 532.7 244.7L532.7 244.7zM452.7 228.7C449.7 231.7 448 235.8 448 239.1C448 243.2 448.9 246.3 450.7 248.9C452.5 251.5 454.1 253.6 457.9 254.8C460.8 255.1 464 256.3 467.1 255.7C470.2 255.1 473.1 253.5 475.3 251.3C477.6 249.1 479.1 246.2 479.7 243.1C480.3 240 479.1 236.8 478.8 233.9C477.6 230.9 475.5 228.5 472.9 226.7C470.3 224.9 467.2 223.1 464 223.1C459.8 223.1 455.7 225.7 452.7 228.7V228.7zM372.7 244.7C369.7 247.7 368 251.8 368 255.1C368 259.2 368.9 262.3 370.7 264.9C372.5 267.5 374.1 269.6 377.9 270.8C380.8 271.1 384 272.3 387.1 271.7C390.2 271.1 393.1 269.5 395.3 267.3C397.6 265.1 399.1 262.2 399.7 259.1C400.3 256 399.1 252.8 398.8 249.9C397.6 246.9 395.5 244.5 392.9 242.7C390.3 240.9 387.2 239.1 384 239.1C379.8 239.1 375.7 241.7 372.7 244.7V244.7z"]],
    "burger-lettuce": [512, 512, [], "e3e3", ["M475.3 388.7C478.3 391.7 480 395.8 480 400V416C480 432.1 473.3 449.3 461.3 461.3C449.3 473.3 432.1 480 416 480H96C79.03 480 62.75 473.3 50.75 461.3C38.74 449.3 32 432.1 32 416V400C32 395.8 33.69 391.7 36.69 388.7C39.69 385.7 43.76 384 48 384H464C468.2 384 472.3 385.7 475.3 388.7zM50.39 220.8C45.93 218.6 42.03 215.5 38.97 211.6C35.91 207.7 33.79 203.2 32.75 198.4C31.71 193.5 31.8 188.5 32.99 183.7C54.98 97.02 146.5 32 256 32C365.5 32 457 97.02 479 183.7C480.2 188.5 480.3 193.5 479.2 198.4C478.2 203.2 476.1 207.7 473 211.6C469.1 215.5 466.1 218.6 461.6 220.8C457.2 222.9 452.3 224 447.3 224H64.67C59.73 224 54.84 222.9 50.39 220.8zM372.7 116.7C369.7 119.7 368 123.8 368 128C368 131.2 368.9 134.3 370.7 136.9C372.5 139.5 374.1 141.6 377.9 142.8C380.8 143.1 384 144.3 387.1 143.7C390.2 143.1 393.1 141.6 395.3 139.3C397.6 137.1 399.1 134.2 399.7 131.1C400.3 128 399.1 124.8 398.8 121.9C397.6 118.1 395.5 116.5 392.9 114.7C390.3 112.9 387.2 111.1 384 111.1C379.8 111.1 375.7 113.7 372.7 116.7V116.7zM244.7 84.69C241.7 87.69 240 91.76 240 96C240 99.16 240.9 102.3 242.7 104.9C244.5 107.5 246.1 109.6 249.9 110.8C252.8 111.1 256 112.3 259.1 111.7C262.2 111.1 265.1 109.6 267.3 107.3C269.6 105.1 271.1 102.2 271.7 99.12C272.3 96.02 271.1 92.8 270.8 89.88C269.6 86.95 267.5 84.45 264.9 82.7C262.3 80.94 259.2 79.1 256 79.1C251.8 79.1 247.7 81.69 244.7 84.69V84.69zM116.7 116.7C113.7 119.7 112 123.8 112 128C112 131.2 112.9 134.3 114.7 136.9C116.5 139.5 118.1 141.6 121.9 142.8C124.8 143.1 128 144.3 131.1 143.7C134.2 143.1 137.1 141.6 139.3 139.3C141.6 137.1 143.1 134.2 143.7 131.1C144.3 128 143.1 124.8 142.8 121.9C141.6 118.1 139.5 116.5 136.9 114.7C134.3 112.9 131.2 111.1 128 111.1C123.8 111.1 119.7 113.7 116.7 116.7L116.7 116.7z", "M511.1 296.6C512.1 300.7 512.2 304.9 511.6 309.1C510.9 313.2 509.4 317.2 507.2 320.8C504.1 324.4 502.1 327.5 498.7 329.9C480.6 344.2 458.2 351.9 435.1 351.9C412 351.9 389.7 344.2 371.5 329.9C364.4 323.5 355.1 319.1 345.5 319.1C335.9 319.1 326.6 323.5 319.5 329.9C301.3 344.1 278.1 351.9 255.9 351.9C232.8 351.9 210.5 344.1 192.3 329.9C185.2 323.5 175.9 319.1 166.3 319.1C156.7 319.1 147.4 323.5 140.3 329.9C122.2 344.2 99.76 351.9 76.7 351.9C53.64 351.9 31.25 344.2 13.12 329.9C9.714 327.4 6.829 324.3 4.628 320.8C2.427 317.2 .9536 313.2 .2908 309C-.3719 304.9-.2103 300.7 .7661 296.6C1.742 292.5 3.515 288.6 5.981 285.2C8.448 281.8 11.56 278.9 15.14 276.7C18.72 274.5 22.7 273 26.86 272.4C31.01 271.7 35.25 271.9 39.34 272.9C43.42 273.8 47.28 275.6 50.69 278.1C57.85 284.5 67.11 287.1 76.7 287.1C86.3 287.1 95.55 284.5 102.7 278.1C120.9 263.8 143.2 256.1 166.3 256.1C189.4 256.1 211.7 263.8 229.9 278.1C237 284.5 246.3 288 255.9 288C265.5 288 274.8 284.5 281.9 278.1C300.1 263.8 322.4 256.1 345.5 256.1C368.6 256.1 390.9 263.8 409.1 278.1C416.2 284.5 425.5 287.1 435.1 287.1C444.7 287.1 453.1 284.5 461.1 278.1C464.5 275.6 468.4 273.8 472.5 272.8C476.6 271.8 480.8 271.7 485 272.3C489.2 272.1 493.2 274.5 496.7 276.7C500.3 278.9 503.4 281.8 505.9 285.2C508.4 288.6 510.1 292.5 511.1 296.6H511.1z"]],
    "burger-soda": [640, 512, [], "f858", ["M267.3 251.2C258.3 264.2 254.4 279.1 256.4 295.6C258.3 311.2 265.8 325.6 277.6 336C271.2 341.6 266.1 348.5 262.4 356.2C258.7 363.9 256.5 372.2 256.1 380.7C255.7 389.2 256.9 397.7 259.8 405.7C262.7 413.7 267.2 421.1 272.1 427.4C267.7 431.9 263.4 437.5 260.5 443.8C257.5 450.1 255.1 457 255.1 464C255.1 479.9 260.7 495.4 269.6 508.6C265.4 510.7 260.7 511.9 255.1 512H95.1C87.89 512 80.07 508.1 74.13 503.4C68.19 497.9 64.57 490.3 63.1 482.2L38.4 223.1H291.4C282.4 232.2 274.3 241.3 267.3 251.2L267.3 251.2zM347.3 132.7C350.3 135.7 352 139.8 352 144V176C352 180.2 350.3 184.3 347.3 187.3C344.3 190.3 340.2 192 336 192H16C11.76 192 7.687 190.3 4.686 187.3C1.686 184.3 0 180.2 0 176V144C0 139.8 1.686 135.7 4.686 132.7C7.687 129.7 11.76 128 16 128H157.2L181.8 30.24C183.9 21.59 188.9 13.91 195.9 8.424C202.9 2.942 211.6-.0248 220.5 .0002H272C276.2 .0002 280.3 1.686 283.3 4.687C286.3 7.687 288 11.76 288 16V32C288 36.24 286.3 40.31 283.3 43.31C280.3 46.31 276.2 48 272 48H226.8L206.8 128H336C340.2 128 344.3 129.7 347.3 132.7z", "M635.3 452.7C638.3 455.7 640 459.8 640 463.1C640 476.7 634.9 488.9 625.9 497.9C616.9 506.9 604.7 511.1 592 511.1H336C323.3 511.1 311.1 506.9 302.1 497.9C293.1 488.9 288 476.7 288 463.1C288 459.8 289.7 455.7 292.7 452.7C295.7 449.7 299.8 447.1 304 447.1H624C628.2 447.1 632.3 449.7 635.3 452.7zM297.4 406.6C291.4 400.6 288 392.5 288 383.1C288 375.5 291.4 367.4 297.4 361.4C303.4 355.4 311.5 351.1 320 351.1H608C616.5 351.1 624.6 355.4 630.6 361.4C636.6 367.4 640 375.5 640 383.1C640 392.5 636.6 400.6 630.6 406.6C624.6 412.6 616.5 415.1 608 415.1H320C311.5 415.1 303.4 412.6 297.4 406.6zM302.8 315.1C297.8 312 293.8 307.6 291.2 302.4C288.6 297.2 287.4 291.3 287.9 285.5C288.3 279.7 290.4 274.1 293.8 269.4C314.1 244.1 340.1 223.9 369.7 210.4C399.2 197 431.6 190.7 464 191.1C496.5 190.7 528.8 197.1 558.3 210.5C587.9 223.9 613.9 244.1 634.3 269.4C637.7 274.1 639.8 279.7 640.2 285.6C640.7 291.4 639.5 297.2 636.9 302.4C634.2 307.7 630.2 312.1 625.3 315.1C620.3 318.2 614.6 319.9 608.7 319.1H319.3C313.4 319.9 307.7 318.2 302.8 315.1H302.8zM532.7 244.7C529.7 247.7 528 251.8 528 255.1C528 259.2 528.9 262.3 530.7 264.9C532.5 267.5 534.1 269.6 537.9 270.8C540.8 271.1 544 272.3 547.1 271.7C550.2 271.1 553.1 269.5 555.3 267.3C557.6 265.1 559.1 262.2 559.7 259.1C560.3 256 559.1 252.8 558.8 249.9C557.6 246.9 555.5 244.5 552.9 242.7C550.3 240.9 547.2 239.1 544 239.1C539.8 239.1 535.7 241.7 532.7 244.7L532.7 244.7zM452.7 228.7C449.7 231.7 448 235.8 448 239.1C448 243.2 448.9 246.3 450.7 248.9C452.5 251.5 454.1 253.6 457.9 254.8C460.8 255.1 464 256.3 467.1 255.7C470.2 255.1 473.1 253.5 475.3 251.3C477.6 249.1 479.1 246.2 479.7 243.1C480.3 240 479.1 236.8 478.8 233.9C477.6 230.9 475.5 228.5 472.9 226.7C470.3 224.9 467.2 223.1 464 223.1C459.8 223.1 455.7 225.7 452.7 228.7V228.7zM372.7 244.7C369.7 247.7 368 251.8 368 255.1C368 259.2 368.9 262.3 370.7 264.9C372.5 267.5 374.1 269.6 377.9 270.8C380.8 271.1 384 272.3 387.1 271.7C390.2 271.1 393.1 269.5 395.3 267.3C397.6 265.1 399.1 262.2 399.7 259.1C400.3 256 399.1 252.8 398.8 249.9C397.6 246.9 395.5 244.5 392.9 242.7C390.3 240.9 387.2 239.1 384 239.1C379.8 239.1 375.7 241.7 372.7 244.7V244.7z"]],
    "burrito": [512, 512, [127791], "f7ed", ["M351.9 224c-15.25 0-30.12 2.5-44.63 6.375c-28.88 80.13-105.6 137.6-195.6 137.6c-39.38 0-77.75-11.25-110.9-32.25c-3.75 33.75 6.876 68.88 32.75 94.76l47.5 47.51c45.38 45.25 119 45.26 164.4 .0016l215.9-215.8C430.1 237.5 391.6 224 351.9 224zM287.8 160c0-39.76-13.57-78.27-38.45-109.3L33.36 266.5C22.98 276.9 14.73 289.3 8.982 302.9c29.88 21.5 65.75 33.13 102.6 33.13C208.7 336 287.8 257 287.8 160z", "M511.1 123c0-32.5-21.25-61.13-52.25-70.76c-6.375-20.38-21.05-37-40.55-45.75c-19.5-8.751-41.75-8.626-61.13 .25C347.9 2.276 336.9 0 325.8 0c-22 0-42.03 9.376-56.78 24.25c41 46.76 58.5 109.5 47.63 170.8c11.63-2 23.38-3 35.25-3c49.88 0 98.13 18 135.9 50.76C502.6 228 512 208 512 186c0-11-2.276-21.98-6.776-32.11C509.7 144.3 511.1 133.7 511.1 123z"]],
    "burst": [512, 512, [], "e4dc", ["M7.03 7.03C15.2-1.144 28.04-2.33 37.57 4.208L200.9 116.2L233.2 16.6C236.4 6.705 245.6 .0004 256 .0004C266.4 .0004 275.6 6.705 278.8 16.6L313.3 123.1L383.8 97.45C392.6 94.26 402.4 96.43 408.1 103C415.6 109.6 417.7 119.4 414.6 128.2L388.9 198.7L495.4 233.2C505.3 236.4 512 245.6 512 255.1C512 266.4 505.3 275.6 495.4 278.8L392.3 312.2L445.2 412.8C450.1 422.1 448.4 433.5 440.1 440.1C433.5 448.4 422.1 450.1 412.8 445.2L312.2 392.3L278.8 495.4C275.6 505.3 266.4 512 256 512C245.6 512 236.4 505.3 233.2 495.4L199.8 392.3L99.17 445.2C89.87 450.1 78.46 448.4 71.03 440.1C63.6 433.5 61.87 422.1 66.76 412.8L119.7 312.2L16.6 278.8C6.705 275.6 .0003 266.4 .0003 255.1C.0003 245.6 6.705 236.4 16.6 233.2L116.2 200.9L4.208 37.57C-2.33 28.04-1.143 15.2 7.03 7.029L7.03 7.03zM285.1 185.8L256 96L226.9 185.8L96 96L185.8 226.9L96 256L185.8 285.1L140.1 371.9L226.9 326.2L256 416L285.1 326.2L371.9 371.9L326.2 285.1L416 256L326.2 226.9L349.8 162.2L285.1 185.8z", "M255.1 96L285.1 185.8L349.8 162.2L326.2 226.9L416 256L326.2 285.1L371.9 371.9L285.1 326.2L256 416L226.9 326.2L140.1 371.9L185.8 285.1L96 256L185.8 226.9L96 96L226.9 185.8L255.1 96z"]],
    "bus": [576, 512, [128653], "f207", ["M128 160C128 142.3 142.3 128 160 128H272V288H160C142.3 288 128 273.7 128 256V160zM304 288V128H416C433.7 128 448 142.3 448 160V256C448 273.7 433.7 288 416 288H304zM96 448H192V480C192 497.7 177.7 512 160 512H128C110.3 512 96 497.7 96 480V448zM384 448H480V480C480 497.7 465.7 512 448 512H416C398.3 512 384 497.7 384 480V448z", "M288 0C422.4 0 512 35.2 512 80V128C529.7 128 544 142.3 544 160V224C544 241.7 529.7 256 512 256L512 416C512 433.7 497.7 448 480 448H96C78.33 448 64 433.7 64 416L64 256C46.33 256 32 241.7 32 224V160C32 142.3 46.33 128 64 128V80C64 35.2 153.6 0 288 0zM128 256C128 273.7 142.3 288 160 288H272V128H160C142.3 128 128 142.3 128 160V256zM304 288H416C433.7 288 448 273.7 448 256V160C448 142.3 433.7 128 416 128H304V288zM144 400C161.7 400 176 385.7 176 368C176 350.3 161.7 336 144 336C126.3 336 112 350.3 112 368C112 385.7 126.3 400 144 400zM432 400C449.7 400 464 385.7 464 368C464 350.3 449.7 336 432 336C414.3 336 400 350.3 400 368C400 385.7 414.3 400 432 400zM368 64H208C199.2 64 192 71.16 192 80C192 88.84 199.2 96 208 96H368C376.8 96 384 88.84 384 80C384 71.16 376.8 64 368 64z"]],
    "bus-school": [512, 512, [], "f5dd", ["M112 160C112 142.3 126.3 128 144 128H240V256H144C126.3 256 112 241.7 112 224V160zM272 256V128H368C385.7 128 400 142.3 400 160V224C400 241.7 385.7 256 368 256H272zM64 480V448H160V480C160 497.7 145.7 512 128 512H96C78.33 512 64 497.7 64 480zM352 480V448H448V480C448 497.7 433.7 512 416 512H384C366.3 512 352 497.7 352 480z", "M256 0C380.8 0 464 35.2 464 80V112H480C497.7 112 512 126.3 512 144V208C512 225.7 497.7 240 480 240H464V260.3C473.6 265.8 480 276.2 480 288V416C480 433.7 465.7 448 448 448H64C46.33 448 32 433.7 32 416V288C32 276.2 38.44 265.8 48 260.3V240H32C14.33 240 0 225.7 0 208V144C0 126.3 14.33 112 32 112H48V80C48 35.2 131.2 0 256 0zM112 224C112 241.7 126.3 256 144 256H240V128H144C126.3 128 112 142.3 112 160V224zM272 256H368C385.7 256 400 241.7 400 224V160C400 142.3 385.7 128 368 128H272V256zM112 384C129.7 384 144 369.7 144 352C144 334.3 129.7 320 112 320C94.33 320 80 334.3 80 352C80 369.7 94.33 384 112 384zM400 384C417.7 384 432 369.7 432 352C432 334.3 417.7 320 400 320C382.3 320 368 334.3 368 352C368 369.7 382.3 384 400 384zM336 64H176C167.2 64 160 71.16 160 80C160 88.84 167.2 96 176 96H336C344.8 96 352 88.84 352 80C352 71.16 344.8 64 336 64z"]],
    "bus-simple": [448, 512, ["bus-alt"], "f55e", ["M64 128C64 110.3 78.33 96 96 96H352C369.7 96 384 110.3 384 128V256C384 273.7 369.7 288 352 288H96C78.33 288 64 273.7 64 256V128zM32 448H128V480C128 497.7 113.7 512 96 512H64C46.33 512 32 497.7 32 480V448zM416 480C416 497.7 401.7 512 384 512H352C334.3 512 320 497.7 320 480V448H416V480z", "M224 0C348.8 0 448 35.2 448 80V416C448 433.7 433.7 448 416 448H32C14.33 448 0 433.7 0 416V80C0 35.2 99.19 0 224 0zM64 256C64 273.7 78.33 288 96 288H352C369.7 288 384 273.7 384 256V128C384 110.3 369.7 96 352 96H96C78.33 96 64 110.3 64 128V256zM80 400C97.67 400 112 385.7 112 368C112 350.3 97.67 336 80 336C62.33 336 48 350.3 48 368C48 385.7 62.33 400 80 400zM368 400C385.7 400 400 385.7 400 368C400 350.3 385.7 336 368 336C350.3 336 336 350.3 336 368C336 385.7 350.3 400 368 400z"]],
    "business-time": [640, 512, ["briefcase-clock"], "f64a", ["M496 224C416.4 224 352 288.4 352 368s64.38 144 144 144s144-64.38 144-144S575.6 224 496 224zM544 384h-54.25C484.4 384 480 379.6 480 374.3V304C480 295.2 487.2 288 496 288C504.8 288 512 295.2 512 304V352h32c8.838 0 16 7.162 16 16C560 376.8 552.8 384 544 384zM320.1 352H208C199.2 352 192 344.8 192 336V288H0v144C0 457.6 22.41 480 48 480h312.2C335.1 449.6 320 410.5 320 368C320 362.6 320.5 357.3 320.1 352z", "M544 352h-32V304C512 295.2 504.8 288 496 288C487.2 288 480 295.2 480 304v70.25C480 379.6 484.4 384 489.8 384H544c8.838 0 16-7.164 16-16C560 359.2 552.8 352 544 352zM512 192.8V144C512 118.4 489.6 96 464 96H384V48C384 22.41 361.6 0 336 0h-160C150.4 0 128 22.41 128 48V96H48C22.41 96 0 118.4 0 144V288h339.4C368.5 231.1 427.6 192 496 192C501.4 192 506.7 192.3 512 192.8zM336 96h-160V48h160V96z"]],
    "butter": [640, 512, [129480], "e3e4", ["M64 96v192h416V64H96C78.33 64 64 78.33 64 96zM544 64h-32v224h64V96C576 78.33 561.7 64 544 64z", "M640 352c0 17.67-14.33 32-32 32v32c0 17.67-14.33 32-32 32H64c-17.67 0-32-14.33-32-32v-32c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32h576C625.7 320 640 334.3 640 352z"]],
    "c": [384, 512, [99], "43", ["M352 359.8c22.46 0 31.1 19.53 31.1 31.99c0 23.14-66.96 88.23-164.5 88.23c-137.1 0-219.4-117.8-219.4-224c0-103.8 79.87-223.1 219.4-223.1c99.47 0 164.5 66.12 164.5 88.23c0 12.27-9.527 32.01-32.01 32.01c-31.32 0-45.8-56.25-132.5-56.25c-97.99 0-155.4 84.59-155.4 159.1c0 74.03 56.42 160 155.4 160C306.5 416 320.5 359.8 352 359.8z", ""]],
    "cabin": [576, 512, [], "e46d", ["M64 280C64 266.7 74.75 256 88 256H200C213.3 256 224 266.7 224 280V296C224 309.3 213.3 320 200 320H88C74.75 320 64 309.3 64 296V280zM200 352C213.3 352 224 362.7 224 376V392C224 405.3 213.3 416 200 416H88C74.75 416 64 405.3 64 392V376C64 362.7 74.75 352 88 352H200zM200 448C213.3 448 224 458.7 224 472V488C224 501.3 213.3 512 200 512H88C74.75 512 64 501.3 64 488V472C64 458.7 74.75 448 88 448H200zM488 256C501.3 256 512 266.7 512 280V296C512 309.3 501.3 320 488 320H376C362.7 320 352 309.3 352 296V280C352 266.7 362.7 256 376 256H488zM352 472C352 458.7 362.7 448 376 448H488C501.3 448 512 458.7 512 472V488C512 501.3 501.3 512 488 512H376C362.7 512 352 501.3 352 488V472zM488 352C501.3 352 512 362.7 512 376V392C512 405.3 501.3 416 488 416H376C362.7 416 352 405.3 352 392V376C352 362.7 362.7 352 376 352H488z", "M269.4 5.96C280.5-1.987 295.5-1.987 306.6 5.96L416 84.1V63.1C416 46.33 430.3 31.1 448 31.1H480C497.7 31.1 512 46.33 512 63.1V152.7L530.6 165.1C541.9 174 546.7 188.5 542.5 201.8C538.2 215 525.9 223.1 512 223.1H64C50.09 223.1 37.77 215 33.53 201.8C29.28 188.5 34.08 174 45.4 165.1L269.4 5.96zM288 159.1C305.7 159.1 320 145.7 320 127.1C320 110.3 305.7 95.1 288 95.1C270.3 95.1 256 110.3 256 127.1C256 145.7 270.3 159.1 288 159.1z"]],
    "cabinet-filing": [448, 512, [128452], "f64b", ["M400 0h-352C21.6 0 0 21.6 0 48v192h448v-192C448 21.6 426.4 0 400 0zM320 152C320 156.4 316.4 160 312 160h-16C291.6 160 288 156.4 288 152V128H160v24C160 156.4 156.4 160 152 160h-16C131.6 160 128 156.4 128 152V112C128 103.1 135.1 96 144 96h160C312.9 96 320 103.1 320 112V152zM0 464C0 490.4 21.6 512 48 512h352c26.4 0 48-21.6 48-48v-192H0V464zM128 368C128 359.1 135.1 352 144 352h160c8.875 0 16 7.125 16 16v40c0 4.375-3.625 8-8 8h-16C291.6 416 288 412.4 288 408V384H160v24C160 412.4 156.4 416 152 416h-16C131.6 416 128 412.4 128 408V368z", "M304 96h-160C135.1 96 128 103.1 128 112v40C128 156.4 131.6 160 136 160h16C156.4 160 160 156.4 160 152V128h128v24C288 156.4 291.6 160 296 160h16C316.4 160 320 156.4 320 152V112C320 103.1 312.9 96 304 96zM304 352h-160C135.1 352 128 359.1 128 368v40C128 412.4 131.6 416 136 416h16C156.4 416 160 412.4 160 408V384h128v24c0 4.375 3.625 8 8 8h16c4.375 0 8-3.625 8-8V368C320 359.1 312.9 352 304 352z"]],
    "cable-car": [512, 512, [128673, 57551, "tram"], "f7da", ["M280 147.5V224H232V157.5L28.86 199.5C15.88 202.2 3.183 193.8 .4976 180.9C-2.188 167.9 6.157 155.2 19.14 152.5L483.1 56.5C496.1 53.81 508.8 62.16 511.5 75.14C514.2 88.12 505.8 100.8 492.9 103.5L280 147.5zM160 288C168.8 288 176 295.2 176 304V368C176 376.8 168.8 384 160 384H96C87.16 384 80 376.8 80 368V304C80 295.2 87.16 288 96 288H160zM208 304C208 295.2 215.2 288 224 288H288C296.8 288 304 295.2 304 304V368C304 376.8 296.8 384 288 384H224C215.2 384 208 376.8 208 368V304zM416 288C424.8 288 432 295.2 432 304V368C432 376.8 424.8 384 416 384H352C343.2 384 336 376.8 336 368V304C336 295.2 343.2 288 352 288H416z", "M320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32zM160 56C160 38.33 174.3 24 192 24C209.7 24 224 38.33 224 56C224 73.67 209.7 88 192 88C174.3 88 160 73.67 160 56zM416 224C451.3 224 480 252.7 480 288V448C480 483.3 451.3 512 416 512H96C60.65 512 32 483.3 32 448V288C32 252.7 60.65 224 96 224H416zM96 288C87.16 288 80 295.2 80 304V368C80 376.8 87.16 384 96 384H160C168.8 384 176 376.8 176 368V304C176 295.2 168.8 288 160 288H96zM208 368C208 376.8 215.2 384 224 384H288C296.8 384 304 376.8 304 368V304C304 295.2 296.8 288 288 288H224C215.2 288 208 295.2 208 304V368zM352 288C343.2 288 336 295.2 336 304V368C336 376.8 343.2 384 352 384H416C424.8 384 432 376.8 432 368V304C432 295.2 424.8 288 416 288H352z"]],
    "cactus": [512, 512, [127797], "f8a7", ["M96 208V144c0-26.5-21.5-47.1-48-47.1S0 117.5 0 144v63.1c0 61.87 50.13 111.1 112 111.1H160V224L112 224C103.1 224 96 216.9 96 208zM464 224c-26.5 0-48 21.5-48 47.1v63.1c0 8.875-7.125 15.1-16 15.1H352v95.1h48c61.88 0 112-50.12 112-111.1V272C512 245.5 490.5 224 464 224z", "M261.1 .1297c-26.25-1.375-52 8.126-71.13 26.25C170.9 44.51 160 69.63 160 96v383.1C160 497.6 174.4 512 192 512h128c17.62 0 32-14.37 32-31.1V101.4C352 49.38 313.1 2.88 261.1 .1297zM224 176c-8.875 0-16-7.125-16-15.1S215.1 144 224 144s16 7.125 16 15.1C240 168.9 232.9 176 224 176zM288 400c-8.875 0-16-7.125-16-15.1c0-8.875 7.125-15.1 16-15.1s16 7.125 16 15.1C304 392.9 296.9 400 288 400z"]],
    "cake-candles": [448, 512, [127874, "birthday-cake", "cake"], "f1fd", ["M383.1 223.1H64c-35.35 0-64 28.65-64 63.1v68.7c9.814 6.102 21.39 11.33 32 11.33c20.64 0 45.05-19.73 52.7-27.33c6.25-6.219 16.34-6.219 22.59 0C114.1 348.3 139.4 367.1 160 367.1s45.05-19.73 52.7-27.33c6.25-6.219 16.34-6.219 22.59 0C242.1 348.3 267.4 367.1 288 367.1s45.05-19.73 52.7-27.33c6.25-6.219 16.34-6.219 22.59 0C370.1 348.3 395.4 367.1 416 367.1c10.61 0 22.19-5.227 32-11.33V287.1C448 252.6 419.3 223.1 383.1 223.1zM96 111.1c22.09 0 40-17.88 40-39.97S96 0 96 0S56 49.91 56 72S73.91 111.1 96 111.1zM224 111.1c22.09 0 40-17.88 40-39.97S224 0 224 0S184 49.91 184 72S201.9 111.1 224 111.1zM352 111.1c22.09 0 40-17.88 40-39.97S352 0 352 0s-40 49.91-40 72S329.9 111.1 352 111.1z", "M416 399.1c-25.97 0-50.25-15.7-64-26.66c-13.75 10.95-38.03 26.66-64 26.66s-50.25-15.7-64-26.66c-13.75 10.95-38.03 26.66-64 26.66s-50.25-15.7-64-26.66c-13.75 10.95-38.03 26.66-64 26.66c-11.27 0-22.09-3.121-32-7.377v87.38C0 497.7 14.33 512 32 512h384c17.67 0 32-14.33 32-32v-87.38C438.1 396.9 427.3 399.1 416 399.1zM256 160c0-8.836-7.164-16-16-16h-32C199.2 144 192 151.2 192 160v64h64V160zM384 160c0-8.836-7.164-16-16-16h-32C327.2 144 320 151.2 320 160v64l63.1-.0307L384 160zM128 160c0-8.836-7.164-16-16-16h-32C71.16 144 64 151.2 64 160v63.97L128 224V160z"]],
    "cake-slice": [512, 512, [127856, "shortcake"], "e3e5", ["M0 384H448V480H64C47.03 480 30.75 473.3 18.75 461.3C6.743 449.3 0 432.1 0 416V384zM438.6 265.4C444.6 271.4 448 279.5 448 288V352H0V256H416C424.5 256 432.6 259.4 438.6 265.4z", "M512 256V448C512 456.5 508.6 464.6 502.6 470.6C496.6 476.6 488.5 480 480 480H448V288C448 279.5 444.6 271.4 438.6 265.4C432.6 259.4 424.5 256 416 256H0L278.8 39.04C284.7 34.24 292.2 31.75 299.9 32C357.2 35.11 411.1 60.07 450.6 101.7C490 143.4 512 198.6 512 256z"]],
    "calculator": [384, 512, [128425], "f1ec", ["M64 208C64 199.2 71.2 192 80 192h32C120.8 192 128 199.2 128 208v32C128 248.8 120.8 256 112 256h-32C71.2 256 64 248.8 64 240V208zM64 304C64 295.2 71.2 288 80 288h32C120.8 288 128 295.2 128 304v32C128 344.8 120.8 352 112 352h-32C71.2 352 64 344.8 64 336V304zM224 432c0 8.801-7.199 16-16 16h-128C71.2 448 64 440.8 64 432v-32C64 391.2 71.2 384 80 384h128c8.801 0 16 7.199 16 16V432zM224 336c0 8.801-7.199 16-16 16h-32C167.2 352 160 344.8 160 336v-32C160 295.2 167.2 288 176 288h32C216.8 288 224 295.2 224 304V336zM224 240C224 248.8 216.8 256 208 256h-32C167.2 256 160 248.8 160 240v-32C160 199.2 167.2 192 176 192h32C216.8 192 224 199.2 224 208V240zM320 432c0 8.801-7.199 16-16 16h-32c-8.799 0-16-7.199-16-16v-32c0-8.801 7.201-16 16-16h32c8.801 0 16 7.199 16 16V432zM320 336c0 8.801-7.199 16-16 16h-32c-8.799 0-16-7.199-16-16v-32C256 295.2 263.2 288 272 288h32C312.8 288 320 295.2 320 304V336zM320 240C320 248.8 312.8 256 304 256h-32C263.2 256 256 248.8 256 240v-32C256 199.2 263.2 192 272 192h32C312.8 192 320 199.2 320 208V240z", "M336 0h-288C22.38 0 0 22.38 0 48v416C0 489.6 22.38 512 48 512h288c25.62 0 48-22.38 48-48v-416C384 22.38 361.6 0 336 0zM64 208C64 199.2 71.2 192 80 192h32C120.8 192 128 199.2 128 208v32C128 248.8 120.8 256 112 256h-32C71.2 256 64 248.8 64 240V208zM64 304C64 295.2 71.2 288 80 288h32C120.8 288 128 295.2 128 304v32C128 344.8 120.8 352 112 352h-32C71.2 352 64 344.8 64 336V304zM224 432c0 8.801-7.199 16-16 16h-128C71.2 448 64 440.8 64 432v-32C64 391.2 71.2 384 80 384h128c8.801 0 16 7.199 16 16V432zM224 336c0 8.801-7.199 16-16 16h-32C167.2 352 160 344.8 160 336v-32C160 295.2 167.2 288 176 288h32C216.8 288 224 295.2 224 304V336zM224 240C224 248.8 216.8 256 208 256h-32C167.2 256 160 248.8 160 240v-32C160 199.2 167.2 192 176 192h32C216.8 192 224 199.2 224 208V240zM320 432c0 8.801-7.199 16-16 16h-32c-8.799 0-16-7.199-16-16v-32c0-8.801 7.201-16 16-16h32c8.801 0 16 7.199 16 16V432zM320 336c0 8.801-7.199 16-16 16h-32c-8.799 0-16-7.199-16-16v-32C256 295.2 263.2 288 272 288h32C312.8 288 320 295.2 320 304V336zM320 240C320 248.8 312.8 256 304 256h-32C263.2 256 256 248.8 256 240v-32C256 199.2 263.2 192 272 192h32C312.8 192 320 199.2 320 208V240zM320 144C320 152.8 312.8 160 304 160h-224C71.2 160 64 152.8 64 144v-64C64 71.2 71.2 64 80 64h224C312.8 64 320 71.2 320 80V144z"]],
    "calculator-simple": [512, 512, ["calculator-alt"], "f64c", ["M192 288H32c-17.62 0-32 14.38-32 32v160c0 17.62 14.38 32 32 32h160c17.62 0 32-14.38 32-32v-160C224 302.4 209.6 288 192 288zM157.3 422.6c6.223 6.221 6.223 16.4 0 22.62c-6.221 6.221-16.4 6.221-22.62 0L112 422.6l-22.62 22.62c-6.221 6.221-16.4 6.221-22.62 0c-6.221-6.223-6.221-16.4 0-22.62L89.37 400l-22.62-22.62c-6.221-6.223-6.221-16.4 0-22.62c6.223-6.223 16.4-6.223 22.62 0L112 377.4l22.62-22.62c6.223-6.223 16.4-6.223 22.62 0c6.223 6.221 6.223 16.4 0 22.62L134.6 400L157.3 422.6zM192 0H32C14.38 0 0 14.38 0 32v160c0 17.62 14.38 32 32 32h160c17.62 0 32-14.38 32-32V32C224 14.38 209.6 0 192 0zM176 111.1C176 120.8 168.8 128 160 128H63.96C55.18 128 48 120.8 48 112S55.18 96 63.96 96h96.09C168.8 96 176 103.2 176 111.1zM480 0h-160c-17.62 0-32 14.38-32 32v160c0 17.62 14.38 32 32 32h160c17.62 0 32-14.38 32-32V32C512 14.38 497.6 0 480 0zM464 111.1C464 120.8 456.8 128 448 128H416v32.04C416 168.8 408.8 176 400 176S384 168.8 384 160V128h-32.04C343.2 128 336 120.8 336 112S343.2 96 351.1 96H384V63.96C384 55.18 391.2 48 399.1 48S416 55.18 416 63.96V96h32.04C456.8 96 464 103.2 464 111.1z", "M351.1 128H384v32.04C384 168.8 391.2 176 400 176S416 168.8 416 160V128h32.04C456.8 128 464 120.8 464 111.1S456.8 96 448 96H416V63.96C416 55.18 408.8 48 399.1 48S384 55.18 384 63.96V96h-32.04C343.2 96 336 103.2 336 112S343.2 128 351.1 128zM157.3 354.8c-6.221-6.223-16.4-6.223-22.62 0L112 377.4l-22.62-22.62c-6.221-6.223-16.4-6.223-22.62 0c-6.221 6.221-6.221 16.4 0 22.62L89.37 400l-22.62 22.62c-6.221 6.221-6.221 16.4 0 22.62c6.223 6.221 16.4 6.221 22.62 0L112 422.6l22.62 22.62c6.223 6.221 16.4 6.221 22.62 0c6.223-6.223 6.223-16.4 0-22.62L134.6 400l22.62-22.62C163.5 371.2 163.5 360.1 157.3 354.8zM160 96H63.96C55.18 96 48 103.2 48 112S55.18 128 63.96 128h96.09C168.8 128 176 120.8 176 111.1S168.8 96 160 96zM480 288h-160c-17.62 0-32 14.38-32 32v160c0 17.62 14.38 32 32 32h160c17.62 0 32-14.38 32-32v-160C512 302.4 497.6 288 480 288zM464 431.1C464 440.7 456.8 448 448 448h-96.09C343.2 448 336 440.8 336 432S343.2 416 351.1 416h96.06C456.8 416 464 423.2 464 431.1zM464 367.1C464 376.7 456.8 384 448 384h-96.06C343.2 384 336 376.8 336 368S343.2 352 351.1 352h96.09C456.8 352 464 359.2 464 367.1z"]],
    "calendar": [448, 512, [128198, 128197], "f133", ["M0 192H448V464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192z", "M160 64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V192H0V112C0 85.49 21.49 64 48 64H96V32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32V64z"]],
    "calendar-arrow-down": [448, 512, ["calendar-download"], "e0d0", ["M448 464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192H448V464zM248 264C248 250.7 237.3 240 224 240C210.7 240 200 250.7 200 264V366.1L160.1 327C151.6 317.7 136.4 317.7 127 327C117.7 336.4 117.7 351.6 127 360.1L207 440.1C216.4 450.3 231.6 450.3 240.1 440.1L320.1 360.1C330.3 351.6 330.3 336.4 320.1 327C311.6 317.7 296.4 317.7 287 327L248 366.1V264z", "M160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V192H0V112C0 85.49 21.49 64 48 64H96V32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32zM248 366.1L287 327C296.4 317.7 311.6 317.7 320.1 327C330.3 336.4 330.3 351.6 320.1 360.1L240.1 440.1C231.6 450.3 216.4 450.3 207 440.1L127 360.1C117.7 351.6 117.7 336.4 127 327C136.4 317.7 151.6 317.7 160.1 327L200 366.1V264C200 250.7 210.7 240 224 240C237.3 240 248 250.7 248 264V366.1z"]],
    "calendar-arrow-up": [448, 512, ["calendar-upload"], "e0d1", ["M448 464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192H448V464zM287 360.1C296.4 370.3 311.6 370.3 320.1 360.1C330.3 351.6 330.3 336.4 320.1 327L240.1 247C231.6 237.7 216.4 237.7 207 247L127 327C117.7 336.4 117.7 351.6 127 360.1C136.4 370.3 151.6 370.3 160.1 360.1L200 321.9V424C200 437.3 210.7 448 224 448C237.3 448 248 437.3 248 424V321.9L287 360.1z", "M160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V192H0V112C0 85.49 21.49 64 48 64H96V32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32zM248 424C248 437.3 237.3 448 224 448C210.7 448 200 437.3 200 424V321.9L160.1 360.1C151.6 370.3 136.4 370.3 127 360.1C117.7 351.6 117.7 336.4 127 327L207 247C216.4 237.7 231.6 237.7 240.1 247L320.1 327C330.3 336.4 330.3 351.6 320.1 360.1C311.6 370.3 296.4 370.3 287 360.1L248 321.9V424z"]],
    "calendar-check": [448, 512, [], "f274", ["M448 464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192H448V464zM328.1 304.1C338.3 295.6 338.3 280.4 328.1 271C319.6 261.7 304.4 261.7 295 271L200 366.1L152.1 319C143.6 309.7 128.4 309.7 119 319C109.7 328.4 109.7 343.6 119 352.1L183 416.1C192.4 426.3 207.6 426.3 216.1 416.1L328.1 304.1z", "M160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V192H0V112C0 85.49 21.49 64 48 64H96V32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32zM216.1 416.1C207.6 426.3 192.4 426.3 183 416.1L119 352.1C109.7 343.6 109.7 328.4 119 319C128.4 309.7 143.6 309.7 152.1 319L200 366.1L295 271C304.4 261.7 319.6 261.7 328.1 271C338.3 280.4 338.3 295.6 328.1 304.1L216.1 416.1z"]],
    "calendar-circle-exclamation": [576, 512, [], "e46e", ["M96 32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32zM416 192.7C326.3 200.8 256 276.2 256 368C256 427.5 285.6 480.1 330.8 512H48C21.49 512 0 490.5 0 464V192H416V192.7z", "M576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 416C418.7 416 408 426.7 408 440C408 453.3 418.7 464 432 464C445.3 464 456 453.3 456 440C456 426.7 445.3 416 432 416zM447.1 288C447.1 279.2 440.8 272 431.1 272C423.2 272 415.1 279.2 415.1 288V368C415.1 376.8 423.2 384 431.1 384C440.8 384 447.1 376.8 447.1 368V288z"]],
    "calendar-circle-minus": [576, 512, [], "e46f", ["M96 32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32zM416 192.7C326.3 200.8 256 276.2 256 368C256 427.5 285.6 480.1 330.8 512H48C21.49 512 0 490.5 0 464V192H416V192.7z", "M288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM496 383.1C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H496z"]],
    "calendar-circle-plus": [576, 512, [], "e470", ["M96 32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32zM416 192.7C326.3 200.8 256 276.2 256 368C256 427.5 285.6 480.1 330.8 512H48C21.49 512 0 490.5 0 464V192H416V192.7z", "M576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM416 303.1V351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H416V431.1C416 440.8 423.2 447.1 432 447.1C440.8 447.1 448 440.8 448 431.1V383.1H496C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1H448V303.1C448 295.2 440.8 287.1 432 287.1C423.2 287.1 416 295.2 416 303.1z"]],
    "calendar-circle-user": [576, 512, [], "e471", ["M96 32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32zM416 192.7C326.3 200.8 256 276.2 256 368C256 427.5 285.6 480.1 330.8 512H48C21.49 512 0 490.5 0 464V192H416V192.7z", "M288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 480C462.2 480 489.5 468.1 509.7 448.7C503.5 429.7 485.6 416 464.6 416H399.4C378.4 416 360.5 429.7 354.3 448.7C374.5 468.1 401.8 480 432 480V480zM432 384C458.5 384 480 362.5 480 336C480 309.5 458.5 288 432 288C405.5 288 384 309.5 384 336C384 362.5 405.5 384 432 384z"]],
    "calendar-clock": [576, 512, ["calendar-time"], "e0d2", ["M256 368C256 427.5 285.6 480.1 330.8 512H48C21.49 512 0 490.5 0 464V192H432C334.8 192 256 270.8 256 368zM448 192V192.7C442.7 192.2 437.4 192 432 192H448z", "M160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V192H0V112C0 85.49 21.49 64 48 64H96V32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM415.1 304V368C415.1 376.8 423.2 384 431.1 384H480C488.8 384 496 376.8 496 368C496 359.2 488.8 352 480 352H447.1V304C447.1 295.2 440.8 288 431.1 288C423.2 288 415.1 295.2 415.1 304V304z"]],
    "calendar-day": [448, 512, [], "f783", ["M448 464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192H448V464zM80 256C71.16 256 64 263.2 64 272V368C64 376.8 71.16 384 80 384H176C184.8 384 192 376.8 192 368V272C192 263.2 184.8 256 176 256H80z", "M96 32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V192H0V112C0 85.49 21.49 64 48 64H96V32z"]],
    "calendar-days": [448, 512, ["calendar-alt"], "f073", ["M0 192H448V464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192zM64 304C64 312.8 71.16 320 80 320H112C120.8 320 128 312.8 128 304V272C128 263.2 120.8 256 112 256H80C71.16 256 64 263.2 64 272V304zM208 256C199.2 256 192 263.2 192 272V304C192 312.8 199.2 320 208 320H240C248.8 320 256 312.8 256 304V272C256 263.2 248.8 256 240 256H208zM320 304C320 312.8 327.2 320 336 320H368C376.8 320 384 312.8 384 304V272C384 263.2 376.8 256 368 256H336C327.2 256 320 263.2 320 272V304zM80 384C71.16 384 64 391.2 64 400V432C64 440.8 71.16 448 80 448H112C120.8 448 128 440.8 128 432V400C128 391.2 120.8 384 112 384H80zM192 432C192 440.8 199.2 448 208 448H240C248.8 448 256 440.8 256 432V400C256 391.2 248.8 384 240 384H208C199.2 384 192 391.2 192 400V432zM336 384C327.2 384 320 391.2 320 400V432C320 440.8 327.2 448 336 448H368C376.8 448 384 440.8 384 432V400C384 391.2 376.8 384 368 384H336z", "M160 64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V192H0V112C0 85.49 21.49 64 48 64H96V32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32V64z"]],
    "calendar-exclamation": [448, 512, [], "f334", ["M0 192H448V464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192zM224 400C206.3 400 192 414.3 192 432C192 449.7 206.3 464 224 464C241.7 464 256 449.7 256 432C256 414.3 241.7 400 224 400zM248 256C248 242.7 237.3 232 224 232C210.7 232 200 242.7 200 256V352C200 365.3 210.7 376 224 376C237.3 376 248 365.3 248 352V256z", "M96 32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V192H0V112C0 85.49 21.49 64 48 64H96V32zM256 432C256 449.7 241.7 464 224 464C206.3 464 192 449.7 192 432C192 414.3 206.3 400 224 400C241.7 400 256 414.3 256 432zM248 352C248 365.3 237.3 376 224 376C210.7 376 200 365.3 200 352V256C200 242.7 210.7 232 224 232C237.3 232 248 242.7 248 256V352z"]],
    "calendar-heart": [448, 512, [], "e0d3", ["M448 464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192H448V464zM235.3 444.7L328 352C350.1 329.9 350.1 294.1 328 272C305.9 249.9 270.1 249.9 248 272L224 296L200 272C177.9 249.9 142.1 249.9 120 272C97.91 294.1 97.91 329.9 120 352L212.7 444.7C218.9 450.9 229.1 450.9 235.3 444.7H235.3z", "M160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V192H0V112C0 85.49 21.49 64 48 64H96V32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32zM212.7 444.7L120 352C97.91 329.9 97.91 294.1 120 272C142.1 249.9 177.9 249.9 200 272L224 296L248 272C270.1 249.9 305.9 249.9 328 272C350.1 294.1 350.1 329.9 328 352L235.3 444.7C229.1 450.9 218.9 450.9 212.7 444.7H212.7z"]],
    "calendar-image": [448, 512, [], "e0d4", ["M0 192H448V464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192zM147.2 360.7L99.81 422.2C91.72 432.8 99.22 448 112.5 448H338.9C351.5 448 359.1 434.1 352.4 423.4L268.9 292.3C262.8 282.7 248.8 282.4 242.3 291.8L184 376L172.6 360.9C166.3 352.4 153.6 352.3 147.2 360.7V360.7zM128 320C145.7 320 160 305.7 160 288C160 270.3 145.7 256 128 256C110.3 256 96 270.3 96 288C96 305.7 110.3 320 128 320z", "M160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V192H0V112C0 85.49 21.49 64 48 64H96V32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32zM99.81 422.2L147.2 360.7C153.6 352.3 166.3 352.4 172.6 360.9L184 376L242.3 291.8C248.8 282.4 262.8 282.7 268.9 292.3L352.4 423.4C359.1 434.1 351.5 448 338.9 448H112.5C99.22 448 91.72 432.8 99.81 422.2V422.2z"]],
    "calendar-lines": [448, 512, ["calendar-note"], "e0d5", ["M0 192H448V464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192zM120 320H328C341.3 320 352 309.3 352 296C352 282.7 341.3 272 328 272H120C106.7 272 96 282.7 96 296C96 309.3 106.7 320 120 320zM120 368C106.7 368 96 378.7 96 392C96 405.3 106.7 416 120 416H232C245.3 416 256 405.3 256 392C256 378.7 245.3 368 232 368H120z", "M96 32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V192H0V112C0 85.49 21.49 64 48 64H96V32zM96 296C96 282.7 106.7 272 120 272H328C341.3 272 352 282.7 352 296C352 309.3 341.3 320 328 320H120C106.7 320 96 309.3 96 296zM232 368C245.3 368 256 378.7 256 392C256 405.3 245.3 416 232 416H120C106.7 416 96 405.3 96 392C96 378.7 106.7 368 120 368H232z"]],
    "calendar-lines-pen": [576, 512, [], "e472", ["M96 32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32zM448 235.6L289.3 394.3C281.1 402.5 275.3 412.8 272.5 424.1L257.4 484.2C255.1 493.6 255.7 503.2 258.8 512H48C21.49 512 0 490.5 0 464V192H448V235.6zM120 320H264C277.3 320 288 309.3 288 296C288 282.7 277.3 272 264 272H120C106.7 272 96 282.7 96 296C96 309.3 106.7 320 120 320zM120 368C106.7 368 96 378.7 96 392C96 405.3 106.7 416 120 416H200C213.3 416 224 405.3 224 392C224 378.7 213.3 368 200 368H120z", "M493.2 235.7C508.8 220.1 534.1 220.1 549.8 235.7L564.1 250.1C579.8 265.7 579.8 291 564.1 306.7L534.7 336.1L463.8 265.1L493.2 235.7zM512.1 358.7L382.9 487.9C378.8 492 373.6 494.9 368 496.3L307.9 511.4C302.4 512.7 296.7 511.1 292.7 507.2C288.7 503.2 287.1 497.4 288.5 491.1L303.5 431.8C304.9 426.2 307.8 421.1 311.9 416.1L441.1 287.8L512.1 358.7z"]],
    "calendar-minus": [448, 512, [], "f272", ["M448 464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192H448V464zM312 376C325.3 376 336 365.3 336 352C336 338.7 325.3 328 312 328H136C122.7 328 112 338.7 112 352C112 365.3 122.7 376 136 376H312z", "M160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V192H0V112C0 85.49 21.49 64 48 64H96V32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32zM136 376C122.7 376 112 365.3 112 352C112 338.7 122.7 328 136 328H312C325.3 328 336 338.7 336 352C336 365.3 325.3 376 312 376H136z"]],
    "calendar-pen": [448, 512, ["calendar-edit"], "f333", ["M448 464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192H448V464zM308.8 267C294.1 252.3 270.2 252.3 255.5 267L240.6 281.1L293.9 335.3L308.8 320.4C323.5 305.6 323.5 281.8 308.8 267V267zM137.6 391.4L128.5 428C127.1 433.5 128.7 439.3 132.7 443.2C136.7 447.2 142.4 448.8 147.9 447.4L184.5 438.3C190.1 436.9 195.3 433.1 199.4 429.9L271.3 357.9L217.1 304.6L146.1 376.5C141.1 380.6 139 385.8 137.6 391.4H137.6z", "M160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V192H0V112C0 85.49 21.49 64 48 64H96V32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32zM308.8 320.4L293.9 335.3L240.6 281.1L255.5 267C270.2 252.3 294.1 252.3 308.8 267C323.5 281.8 323.5 305.6 308.8 320.4V320.4zM146.1 376.5L217.1 304.6L271.3 357.9L199.4 429.9C195.3 433.1 190.1 436.9 184.5 438.3L147.9 447.4C142.4 448.8 136.7 447.2 132.7 443.2C128.7 439.3 127.1 433.5 128.5 428L137.6 391.4C139 385.8 141.1 380.6 146.1 376.5H146.1z"]],
    "calendar-plus": [448, 512, [], "f271", ["M0 192H448V464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192zM200 272V328H144C130.7 328 120 338.7 120 352C120 365.3 130.7 376 144 376H200V432C200 445.3 210.7 456 224 456C237.3 456 248 445.3 248 432V376H304C317.3 376 328 365.3 328 352C328 338.7 317.3 328 304 328H248V272C248 258.7 237.3 248 224 248C210.7 248 200 258.7 200 272z", "M96 32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V192H0V112C0 85.49 21.49 64 48 64H96V32zM224 248C237.3 248 248 258.7 248 272V328H304C317.3 328 328 338.7 328 352C328 365.3 317.3 376 304 376H248V432C248 445.3 237.3 456 224 456C210.7 456 200 445.3 200 432V376H144C130.7 376 120 365.3 120 352C120 338.7 130.7 328 144 328H200V272C200 258.7 210.7 248 224 248z"]],
    "calendar-range": [448, 512, [], "e0d6", ["M0 192H448V464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192zM96 320C113.7 320 128 305.7 128 288C128 270.3 113.7 256 96 256C78.33 256 64 270.3 64 288C64 305.7 78.33 320 96 320zM320 416C320 433.7 334.3 448 352 448C369.7 448 384 433.7 384 416C384 398.3 369.7 384 352 384C334.3 384 320 398.3 320 416zM216 312H360C373.3 312 384 301.3 384 288C384 274.7 373.3 264 360 264H216C202.7 264 192 274.7 192 288C192 301.3 202.7 312 216 312zM88 392C74.75 392 64 402.7 64 416C64 429.3 74.75 440 88 440H232C245.3 440 256 429.3 256 416C256 402.7 245.3 392 232 392H88z", "M96 32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V192H0V112C0 85.49 21.49 64 48 64H96V32zM64 288C64 270.3 78.33 256 96 256C113.7 256 128 270.3 128 288C128 305.7 113.7 320 96 320C78.33 320 64 305.7 64 288zM352 384C369.7 384 384 398.3 384 416C384 433.7 369.7 448 352 448C334.3 448 320 433.7 320 416C320 398.3 334.3 384 352 384zM192 288C192 274.7 202.7 264 216 264H360C373.3 264 384 274.7 384 288C384 301.3 373.3 312 360 312H216C202.7 312 192 301.3 192 288zM232 392C245.3 392 256 402.7 256 416C256 429.3 245.3 440 232 440H88C74.75 440 64 429.3 64 416C64 402.7 74.75 392 88 392H232z"]],
    "calendar-star": [448, 512, [], "f736", ["M448 464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192H448V464zM233.3 250.9C229.5 243.2 218.5 243.2 214.7 250.9L191.1 298.7L138.3 306.4C129.8 307.6 126.4 318.1 132.6 324.1L170.7 361.3L161.7 413.8C160.3 422.3 169.2 428.8 176.8 424.8L223.1 400L271.2 424.8C278.8 428.8 287.7 422.3 286.3 413.8L277.3 361.3L315.4 324.1C321.6 318.1 318.2 307.6 309.7 306.4L256.9 298.7L233.3 250.9z", "M160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V192H0V112C0 85.49 21.49 64 48 64H96V32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32zM256.9 298.7L309.7 306.4C318.2 307.6 321.6 318.1 315.4 324.1L277.3 361.3L286.3 413.8C287.7 422.3 278.8 428.8 271.2 424.8L224 400L176.8 424.8C169.2 428.8 160.3 422.3 161.7 413.8L170.7 361.3L132.6 324.1C126.4 318.1 129.8 307.6 138.3 306.4L191.1 298.7L214.7 250.9C218.5 243.2 229.5 243.2 233.3 250.9L256.9 298.7z"]],
    "calendar-week": [448, 512, [], "f784", ["M448 464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192H448V464zM80 256C71.16 256 64 263.2 64 272V336C64 344.8 71.16 352 80 352H368C376.8 352 384 344.8 384 336V272C384 263.2 376.8 256 368 256H80z", "M96 32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V192H0V112C0 85.49 21.49 64 48 64H96V32z"]],
    "calendar-xmark": [448, 512, ["calendar-times"], "f273", ["M448 464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192H448V464zM304.1 304.1C314.3 295.6 314.3 280.4 304.1 271C295.6 261.7 280.4 261.7 271 271L224 318.1L176.1 271C167.6 261.7 152.4 261.7 143 271C133.7 280.4 133.7 295.6 143 304.1L190.1 352L143 399C133.7 408.4 133.7 423.6 143 432.1C152.4 442.3 167.6 442.3 176.1 432.1L224 385.9L271 432.1C280.4 442.3 295.6 442.3 304.1 432.1C314.3 423.6 314.3 408.4 304.1 399L257.9 352L304.1 304.1z", "M160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V192H0V112C0 85.49 21.49 64 48 64H96V32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32zM257.9 352L304.1 399C314.3 408.4 314.3 423.6 304.1 432.1C295.6 442.3 280.4 442.3 271 432.1L224 385.9L176.1 432.1C167.6 442.3 152.4 442.3 143 432.1C133.7 423.6 133.7 408.4 143 399L190.1 352L143 304.1C133.7 295.6 133.7 280.4 143 271C152.4 261.7 167.6 261.7 176.1 271L224 318.1L271 271C280.4 261.7 295.6 261.7 304.1 271C314.3 280.4 314.3 295.6 304.1 304.1L257.9 352z"]],
    "calendars": [512, 512, [], "e0d7", ["M96 192H512V368C512 394.5 490.5 416 464 416H144C117.5 416 96 394.5 96 368V192z", "M256 32V64H352V32C352 14.33 366.3 0 384 0C401.7 0 416 14.33 416 32V64H464C490.5 64 512 85.49 512 112V192H96V112C96 85.49 117.5 64 144 64H192V32C192 14.33 206.3 0 224 0C241.7 0 256 14.33 256 32zM48 392C48 431.8 80.24 464 120 464H392C405.3 464 416 474.7 416 488C416 501.3 405.3 512 392 512H120C53.73 512 0 458.3 0 392V184C0 170.7 10.75 160 24 160C37.25 160 48 170.7 48 184V392z"]],
    "camcorder": [576, 512, [128249, "video-handheld"], "f8a8", ["M320 159.1H96V128c0-17.6 14.4-32 32-32h160C305.7 96 320 81.67 320 64S305.7 32 288 32H128C74.98 32 32 74.98 32 128v34.88C12.88 169.5 0 187.5 0 207.8l.0001 208.2c0 35.35 28.65 63.1 64 63.1l256-.0016c35.35 0 64-28.65 64-63.1V223.1C384 188.7 355.3 159.1 320 159.1zM304 255.1h-224c-8.836 0-16-7.164-16-15.1c0-8.838 7.164-16 16-16h224c8.838 0 16 7.162 16 16C320 248.8 312.8 255.1 304 255.1z", "M304 223.1h-224c-8.836 0-16 7.162-16 16c0 8.836 7.164 15.1 16 15.1h224c8.838 0 16-7.164 16-15.1C320 231.2 312.8 223.1 304 223.1zM525.6 165.8L416 241.3v157.5l109.6 75.48C546.8 488.7 576 473.9 576 448.4V191.5C576 166.1 546.9 151.2 525.6 165.8z"]],
    "camera": [512, 512, [62258, "camera-alt"], "f030", ["M352 288C352 341 309 384 256 384C202.1 384 160 341 160 288C160 234.1 202.1 192 256 192C309 192 352 234.1 352 288z", "M194.6 32H317.4C338.1 32 356.4 45.22 362.9 64.82L373.3 96H448C483.3 96 512 124.7 512 160V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V160C0 124.7 28.65 96 64 96H138.7L149.1 64.82C155.6 45.22 173.9 32 194.6 32H194.6zM256 384C309 384 352 341 352 288C352 234.1 309 192 256 192C202.1 192 160 234.1 160 288C160 341 202.1 384 256 384z"]],
    "camera-cctv": [576, 512, ["cctv"], "f8ac", ["M574.9 283.1C573.2 278.9 569.1 275.6 565.9 273.8l-35.37-15.5l-138.4 86.5l119.5 52.51c8.5 3.75 18.46-.132 22.21-8.632l40.74-92.62C576.4 291.9 576.5 287.3 574.9 283.1zM137.7 400H63.1c0-26.51-21.49-47.98-47.1-47.98C7.164 352 0 359.2 0 368v127.1C0 504.8 7.164 512 15.1 512c26.51 0 47.1-21.49 47.1-47.1l96.05 0c13.33 0 25.26-8.269 29.94-20.75l46.87-124.1l-59.25-24.37L137.7 400z", "M517.5 168.6L139.2 2.266C124.4-3.609 107.5 2.266 99.62 16.14l-95.37 166.9C-.4999 191.3-1.25 201 1.999 209.9c3.25 8.875 10.25 15.87 19.13 19.12l284.2 117.6c9.25 3.375 19.5 2.375 27.87-2.875l189.2-118.4C544.7 211.5 541.7 178.3 517.5 168.6z"]],
    "camera-movie": [576, 512, [127910, 127909], "f8a9", ["M368 288H31.1C14.33 288 0 302.3 0 319.1S14.33 352 31.1 352h32L64 464C64 490.5 85.49 512 112 512h256c26.51 0 48-21.49 48-48v-128C416 309.5 394.5 288 368 288zM128 160c17.67 0 32-14.33 32-32c0-17.67-14.33-32-32-32S96 110.3 96 128C96 145.7 110.3 160 128 160zM352 160c17.67 0 32-14.33 32-32c0-17.67-14.33-32-32-32s-32 14.33-32 32C320 145.7 334.3 160 352 160z", "M352 0C303.4 0 261.8 27.38 240 67.25C218.3 27.38 176.6 0 128 0c-70.75 0-128 57.25-128 128S57.23 255.1 127.1 255.1L352 256c70.75 0 128-57.25 128-128S422.8 0 352 0zM128 192c-35.38 0-64-28.62-64-64s28.62-64 64-64s64 28.62 64 64S163.4 192 128 192zM352 192c-35.38 0-64-28.62-64-64s28.62-64 64-64s64 28.62 64 64S387.4 192 352 192zM524.8 262.5L448 320v128l76.76 57.54C545.9 521.4 576 506.3 576 479.9V288C576 261.7 545.9 246.6 524.8 262.5z"]],
    "camera-polaroid": [576, 512, [], "f8aa", ["M288 256c35.38 0 64-28.62 64-64s-28.62-64-64-64s-64 28.62-64 64S252.6 256 288 256zM575.1 352L.0299 352L.0002 448c0 17.6 14.4 32 32 32h512c17.6 0 32-14.4 32-32L575.1 352zM464 432h-352C103.2 432 96 424.8 96 416c0-8.838 7.164-16 16-16h352c8.838 0 16 7.162 16 16C480 424.8 472.8 432 464 432z", "M575.1 352L512 256l.0001-176c0-26.51-21.49-48-48-48h-352c-26.51 0-48 21.49-48 48L64 256l-63.97 96.02L575.1 352zM384 112C384 103.2 391.2 96 400 96h32C440.8 96 448 103.2 448 112v32C448 152.8 440.8 160 432 160h-32C391.2 160 384 152.8 384 144V112zM288 128c35.38 0 64 28.62 64 64s-28.62 64-64 64s-64-28.62-64-64S252.6 128 288 128z"]],
    "camera-retro": [512, 512, [128247], "f083", ["M64 64H192L242.5 38.76C251.4 34.31 261.2 32 271.1 32H448C483.3 32 512 60.65 512 96V160H0V128C0 92.65 28.65 64 64 64z", "M64 48C64 39.16 71.16 32 80 32H144C152.8 32 160 39.16 160 48V64H64V48zM0 416V160H512V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416zM256 400C309 400 352 357 352 304C352 250.1 309 208 256 208C202.1 208 160 250.1 160 304C160 357 202.1 400 256 400z"]],
    "camera-rotate": [512, 512, [], "e0d8", ["M464 96h-88l-12.38-32.88C356.6 44.38 338.8 32 318.8 32h-125.5c-20 0-38 12.38-45 31.12L136 96H48C21.5 96 0 117.5 0 144v288C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM356.9 366.8C332.4 398.1 295.7 416 256 416c-31.78 0-61.37-11.94-84.58-32.61l-19.28 19.29C143.2 411.6 128 405.3 128 392.7V316.3c0-5.453 4.359-9.838 9.775-9.99h76.98c12.35 .3027 18.47 15.27 9.654 24.09l-19.27 19.28C219.3 361.4 237.1 368 256 368c24.8 0 47.78-11.22 63.08-30.78c8.172-10.44 23.25-12.28 33.69-4.125S365.1 356.3 356.9 366.8zM384 259.7c0 5.453-4.359 9.838-9.775 9.99h-76.98c-12.35-.3027-18.47-15.27-9.654-24.09l19.27-19.28C292.7 214.6 274.9 208 256 208c-24.8 0-47.78 11.22-63.08 30.78C184.8 249.2 169.7 251.1 159.2 242.9C148.8 234.8 146.9 219.7 155.1 209.2C179.6 177.9 216.3 160 256 160c31.78 0 61.37 11.94 84.58 32.61l19.28-19.29C368.8 164.4 384 170.7 384 183.3V259.7z", "M319.1 337.2C303.8 356.8 280.8 368 256 368c-18.89 0-36.68-6.588-50.87-18.34l19.27-19.28c8.818-8.822 2.697-23.79-9.654-24.09H137.8C132.4 306.4 128 310.8 128 316.3v76.42c0 12.59 15.23 18.9 24.13 9.99l19.28-19.29C194.6 404.1 224.2 416 256 416c39.67 0 76.44-17.94 100.9-49.22c8.172-10.44 6.312-25.53-4.125-33.69S327.3 326.8 319.1 337.2zM359.9 173.3l-19.28 19.29C317.4 171.9 287.8 160 256 160C216.3 160 179.6 177.9 155.1 209.2C146.9 219.7 148.8 234.8 159.2 242.9c10.42 8.172 25.52 6.312 33.69-4.125C208.2 219.2 231.2 208 256 208c18.89 0 36.68 6.588 50.87 18.34l-19.27 19.28c-8.818 8.822-2.697 23.79 9.654 24.09h76.98C379.6 269.6 384 265.2 384 259.7V183.3C384 170.7 368.8 164.4 359.9 173.3z"]],
    "camera-security": [448, 512, ["camera-home"], "f8fe", ["M224 112c-53.04 0-96 42.96-96 96c0 53.04 42.96 96 96 96s96-42.96 96-96C320 154.1 277 112 224 112z", "M384 0h-320c-35.38 0-64 28.62-64 64v288c0 35.38 28.62 64 64 64h72.75L76.5 450.9C69.63 455.1 64 465.3 64 473.4v12C64 500 76 512 90.75 512h266.6C372.1 512 384 500 384 485.4V473.5c0-8.25-5.625-18.38-12.62-22.62L311.3 416h72.75c35.38 0 64-28.62 64-64V64C448 28.62 419.4 0 384 0zM224 336c-70.78 0-127.1-57.33-127.1-128c0-70.67 57.33-128 127.1-128s128 57.33 128 128C352 278.7 294.7 336 224 336z"]],
    "camera-slash": [640, 512, [], "e0d9", ["M415.2 300.2C415.7 296.2 416 292.1 416 288C416 234.1 373 192 320 192C307.8 192 296.2 194.3 285.4 198.4L154.8 96H202.7L213.1 64.82C219.6 45.22 237.9 32 258.6 32H381.4C402.1 32 420.4 45.22 426.9 64.82L437.3 96H512C547.3 96 576 124.7 576 160V416C576 419.3 575.8 422.5 575.3 425.6L415.2 300.2zM320 384C332.9 384 345.2 381.5 356.4 376.8L487.4 480H128C92.65 480 64 451.3 64 416V160C64 155.7 64.43 151.5 65.24 147.4L225.1 273.4C224.4 278.1 224 283 224 288C224 341 266.1 384 320 384z", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "camera-viewfinder": [512, 512, ["screenshot"], "e0da", ["M136 0C149.3 0 160 10.75 160 24C160 37.25 149.3 48 136 48H48V136C48 149.3 37.25 160 24 160C10.75 160 0 149.3 0 136V24C0 10.75 10.75 0 24 0H136zM488 0C501.3 0 512 10.75 512 24V136C512 149.3 501.3 160 488 160C474.7 160 464 149.3 464 136V48H376C362.7 48 352 37.25 352 24C352 10.75 362.7 0 376 0H488zM0 376C0 362.7 10.75 352 24 352C37.25 352 48 362.7 48 376V464H136C149.3 464 160 474.7 160 488C160 501.3 149.3 512 136 512H24C10.75 512 0 501.3 0 488V376zM376 512C362.7 512 352 501.3 352 488C352 474.7 362.7 464 376 464H464V376C464 362.7 474.7 352 488 352C501.3 352 512 362.7 512 376V488C512 501.3 501.3 512 488 512H376z", "M208.6 96H303.4C313.4 96 322.3 102.2 325.8 111.6L332 128H368C394.5 128 416 149.5 416 176V336C416 362.5 394.5 384 368 384H144C117.5 384 96 362.5 96 336V176C96 149.5 117.5 128 144 128H180L186.2 111.6C189.7 102.2 198.6 96 208.6 96zM256 320C291.3 320 320 291.3 320 256C320 220.7 291.3 192 256 192C220.7 192 192 220.7 192 256C192 291.3 220.7 320 256 320z"]],
    "camera-web": [448, 512, ["webcam"], "f832", ["M224 96C153.4 96 95.92 153.3 95.92 224s57.38 128 128 128c70.75 0 128-57.25 128-128C351.9 153.4 294.6 96 224 96zM223.9 176c-26.5 0-47.88 21.5-48 48c0 8.875-7.125 16-16 16c-8.75 0-16-7.125-16-16c.125-44.13 35.92-80 80.04-80c8.875 0 15.96 7.125 15.96 16S232.8 176 223.9 176z", "M400.9 438.6l-49.12-30.75C409.9 367.4 448 300.3 448 224c0-123.8-100.4-224-224-224c-123.8 0-224 100.3-224 224c0 76.25 38.13 143.4 96.13 183.9L47 438.6C37.63 444.5 32 454.8 32 465.8v14.25c0 17.62 14.48 31.1 32.11 31.1L384 512c17.62 0 32-14.38 32-32V465.8C416 454.8 410.3 444.5 400.9 438.6zM224 384c-88.37 0-160.1-71.62-160.1-159.1s71.63-160 159.1-160s160 71.62 160 160S312.3 384 224 384z"]],
    "camera-web-slash": [640, 512, ["webcam-slash"], "f833", ["M319.9 63.1c88.37 0 159.1 71.62 159.1 159.1c0 37.68-13.4 71.92-35.27 99.16l50.48 39.57c30.42-38.12 48.92-86.1 48.92-138.7c0-123.7-100.4-223.1-223.1-223.1c-72.02 0-135.7 34.24-176.6 87.04l50.51 39.59C223 88.71 268.3 63.1 319.9 63.1zM319.9 175.1c-15.75 0-29.04 8.086-37.72 19.84l137.3 107.6c17.62-21.78 28.5-49.17 28.5-79.41c0-70.62-57.29-127.1-127.9-127.1c-41.28 0-77.63 19.93-100.9 50.38l37.43 29.34c14.55-19.23 37.47-31.72 63.42-31.72c8.875 0 15.96 7.124 15.96 15.1C335.9 168.9 328.7 175.1 319.9 175.1zM319.1 383.1c-88.37 0-160.1-71.63-160.1-159.1c0-.6406 .1816-1.234 .1895-1.871L101.3 176c-3.373 15.46-5.267 31.48-5.267 47.96c0 76.25 38.12 143.4 96.12 183.9l-49.12 30.75c-9.375 5.875-14.1 16.12-14.1 27.12v14.25c0 17.62 14.48 32 32.11 32l319.9-.0053c12.21 0 22.52-7.137 27.91-17.23l-148.4-116.3C346.8 381.7 333.7 383.1 319.1 383.1z", "M630.8 469.1L38.81 5.113C34.41 1.676 29.19 .0042 24.03 .0042c-7.125 0-14.19 3.156-18.91 9.187c-8.187 10.44-6.37 25.53 4.068 33.7l591.1 463.1c10.5 8.203 25.57 6.328 33.69-4.078C643.1 492.4 641.3 477.3 630.8 469.1z"]],
    "campfire": [512, 512, [], "f6ba", ["M320 32c-13.38 12-25.5 24.75-36.13 37.5C266.4 45.1 244.6 22.25 220 0c-63.13 57-108 131.2-108 176c0 79.5 64.5 144 144 144s144-64.5 144-144C400 142.8 366.6 74 320 32zM294.3 228.5c-10.84 7.873-24.23 12.58-38.65 12.58c-36.1 0-65.44-24.95-65.44-65.44c0-20.14 12.17-37.94 36.4-68.3c3.477 4.193 49.39 65.44 49.39 65.44l29.35-34.87c2.045 3.578 3.988 7.055 5.625 10.43C324.7 175.6 318.9 210.5 294.3 228.5z", "M510.1 490.8C505.5 503.8 493.2 512 480 512c-3.562 0-7.219-.5938-10.75-1.875L256 433.1l-213.3 76.16C39.22 511.4 35.56 512 32 512c-13.16 0-25.47-8.156-30.12-21.25c-5.969-16.62 2.719-34.94 19.38-40.88L160.9 400l-139.7-49.88c-16.66-5.938-25.34-24.25-19.38-40.88c5.906-16.66 24.25-25.44 40.88-19.38L256 366l213.3-76.16c16.53-6.031 34.97 2.719 40.88 19.38c5.969 16.62-2.719 34.94-19.38 40.88L351.1 400l139.7 49.88C507.4 455.8 516.1 474.1 510.1 490.8z"]],
    "campground": [576, 512, [9978], "f6bb", ["M576 448V464C576 490.5 554.5 512 528 512H48C21.49 512 0 490.5 0 464V448H576z", "M371.1 7.013C385.8 18.05 388 38.19 376.1 51.99L328.1 112L563.7 405.4C571.7 415.4 576 427.7 576 440.4V448H407.5L288 291.7L168.5 448H0V440.4C0 427.7 4.328 415.4 12.27 405.4L247 112L199 51.99C187.1 38.19 190.2 18.05 204 7.013C217.8-4.027 237.9-1.789 248.1 12.01L288 60.78L327 12.01C338.1-1.789 358.2-4.027 371.1 7.013V7.013zM528.3 512C528.2 512 528.1 512 528 512H48C47.89 512 47.78 512 47.66 512H528.3z"]],
    "can-food": [384, 512, [129387], "e3e6", ["M192 0C94.8 0 16 28.65 16 64c0 35.35 78.8 64 176 64s176-28.65 176-64C368 28.65 289.2 0 192 0zM192 224C147.8 224 112 259.8 112 304c0 44.18 35.82 80 80 80s80-35.82 80-80C272 259.8 236.2 224 192 224z", "M367.4 68.27C361.3 101.6 285.2 128 192 128S22.66 101.6 16.59 68.27C16.33 69.88 16 71.5 16 73.14v365.7C16 479.3 94.8 512 192 512s176-32.75 176-73.14V73.14C368 71.5 367.7 69.88 367.4 68.27zM304 427.5C283.7 437.1 246.6 448 192 448s-91.73-10.88-112-20.5V293.7c10 3.285 20.7 6.211 32.16 8.672C113 258.1 148.4 224 192 224s78.95 34.96 79.84 78.38C283.3 299.9 293.1 296.1 304 293.7V427.5z"]],
    "candle-holder": [448, 512, [128367], "f6bc", ["M160 191.1c45.88 0 77.1-32.62 77.1-79.25C237.1 82.75 205.4 37.88 160 0C114.4 38 81.1 82.88 81.1 112.8C81.1 159.4 114.1 191.1 160 191.1zM376 368c-39.75 0-72 32.25-72 72c0 8.5 1.75 16.5 4.375 24H16C7.125 464 0 471.1 0 480v16C0 504.9 7.105 512 15.98 512H376c39.75 0 72-32.25 72-72S415.8 368 376 368zM376 464c-13.25 0-24-10.75-24-24S362.8 416 376 416s24 10.75 24 24S389.3 464 376 464z", "M256 256v208H64V256c0-17.62 14.38-32 32-32h32v48c0 8.875 7.125 15.1 16 15.1S160 280.9 160 272V224h64C241.6 224 256 238.4 256 256z"]],
    "candy": [640, 512, [127852], "e3e7", ["M128 256C128.2 274.5 131.1 292.8 136.6 310.4L42.72 357.5C39.4 359.2 35.73 360 32 360C27.26 359.1 22.62 358.6 18.68 355.9C14.74 353.3 11.66 349.6 9.85 345.2C8.035 340.8 7.56 335.1 8.484 331.3C9.409 326.7 11.69 322.4 15.04 319L45.57 288.3L16.42 278.7C11.65 277.1 7.494 273.1 4.554 269.9C1.613 265.8 .0312 260.9 .0312 255.9C.0312 250.8 1.613 245.9 4.554 241.8C7.494 237.8 11.65 234.7 16.42 233.1L45.57 223.5L15.04 192.1C11.03 188.9 8.576 183.6 8.123 177.9C7.671 172.3 9.247 166.6 12.57 161.1C15.9 157.4 20.75 154.1 26.28 152.7C31.8 151.4 37.63 151.1 42.72 154.5L136.4 201.3C130.9 219.1 128.1 237.5 128 256H128zM624.1 319C628.3 322.4 630.6 326.7 631.5 331.3C632.4 335.1 631.1 340.8 630.2 345.2C628.3 349.6 625.3 353.3 621.3 355.9C617.4 358.6 612.7 359.1 608 360C604.3 360 600.6 359.2 597.3 357.5L503.7 310.7C509.1 292.9 511.9 274.5 512 256C511.8 237.5 508.9 219.2 503.4 201.6L597.3 154.8C602.4 152.3 608.2 151.7 613.7 153.1C619.2 154.4 624 157.7 627.4 162.3C630.7 166.9 632.3 172.5 631.8 178.2C631.4 183.9 628.1 189.2 624.1 193.2L594.4 223.7L623.6 233.3C628.4 234.9 632.5 238 635.5 242.1C638.4 246.2 639.1 251.1 639.1 256.1C639.1 261.2 638.4 266.1 635.5 270.2C632.5 274.2 628.4 277.3 623.6 278.9L594.4 288.5L624.1 319z", "M220.2 92.13L391.2 434.3C369.1 443.1 345.6 447.8 321.9 448L167.6 139.4C182.1 120.5 199.9 104.5 220.2 92.13zM147.8 171.4L284.4 444.8C240.4 436.5 200.7 413.1 172.1 378.6C143.6 344.1 127.1 300.8 128 256C128 226.6 134.8 197.7 147.8 171.4zM318.1 64L472.4 372.6C457.9 391.5 440.1 407.5 419.8 419.9L248.8 77.7C270.9 68.86 294.4 64.22 318.1 64zM435.8 102.6C459.4 120.4 478.6 143.4 491.8 169.9C505 196.4 511.9 225.6 511.1 255.2C512.1 284.7 505.3 313.1 492.2 340.5L355.6 67.2C384.7 72.65 412.1 84.75 435.8 102.6z"]],
    "candy-bar": [640, 512, [127851, "chocolate-bar"], "e3e8", ["M288 448V64H592C604.7 64 616.9 69.06 625.9 78.06C634.9 87.06 640 99.27 640 112V400C640 412.7 634.9 424.9 625.9 433.9C616.9 442.9 604.7 448 592 448H288z", "M0 352H128V448H32C23.51 448 15.37 444.6 9.372 438.6C3.371 432.6 0 424.5 0 416V352zM80 128C97.36 127.9 114.2 122.2 128 111.6V192H47.65C58.2 178.2 63.94 161.4 64 144V128H80zM0 224H128V320H0V224zM288 64V192H160V64H288zM160 224H288V320H160V224zM160 352H288V448H160V352z"]],
    "candy-cane": [512, 512, [], "f786", ["M15.6 397.6c-15.26 9.125-20.14 28.62-11 43.87l32.76 54.87c8.529 14.2 27.57 20.66 43.88 11.12l87.06-51.68L61.44 370.4L15.6 397.6zM194.3 291.5l118.1 78.68l71.06-42.21l-118.1-78.67L194.3 291.5zM369.5 187.5l-73.62 43.71l118.1 78.67l14.95-8.879c31.96-19.11 55.64-47.95 69.56-80.48l-124.4-37.27C372.6 184.7 371.4 186.4 369.5 187.5zM90.88 352.9l106.8 85.4l84.19-50L163.8 309.6L90.88 352.9zM497.9 91.1c-5.859-12.36-13.29-23.31-21.53-33.33l-93.02 92.94c.1056 .3808 .3049 .7441 .3949 1.127l124.5 37.32C515.2 157.7 512.9 123.6 497.9 91.1zM360.7 128.1l93.14-93.05C425.1 12.61 388.9 0 352.4 0c-11.82 0-23.46 1.603-35.19 4.273l41.52 124.5C359.4 128.9 360.1 128.8 360.7 128.1zM264.9 137.7c8.529 14.2 27.57 20.6 43.88 11.06l19.15-11.21l-41.08-123.1c-5.415 2.465-10.98 5.031-16.2 8.162L243.1 38.1C227.9 48.12 223 67.75 232.1 82.87L264.9 137.7z", "M383.7 152.7c2.614 11.17-1.032 22.63-9.579 30.51l124.4 37.27c4.228-9.877 7.503-20.02 9.745-30.46L383.7 152.7zM453.8 35.93l-93.14 93.05c8.011 1.988 15.27 7.023 19.85 14.64c1.503 2.525 2.058 5.275 2.799 7.982l93.02-92.94C469.5 50.29 462 42.58 453.8 35.93zM286.9 14.46l41.08 123.1l8.357-5.16c5.129-3.125 10.95-4.439 16.58-4.439c1.941 0 3.988 .3867 5.888 .7383l-41.52-124.5C306.9 6.621 296.8 9.953 286.9 14.46zM163.8 309.6l118.1 78.68l30.52-18.13L194.3 291.5L163.8 309.6zM265.4 249.3l118.1 78.67l30.52-18.13l-118.1-78.67L265.4 249.3zM61.44 370.4l106.9 85.41l29.43-17.48l-106.8-85.4L61.44 370.4z"]],
    "candy-corn": [640, 512, [], "f6bd", ["M379.7 278.6c29.61 78.36 64.86 137.4 100.2 137.4c35.32-.084 70.8-59.14 100.5-137.5c-27-3.709-59.75-6.592-99.73-6.592C440.1 271.9 406.9 274.8 379.7 278.6zM479.1 0c-165.8 1.625-164.5 39.5-157.9 72.5c3.5 17.38 7.374 35.25 11.75 53.25c32.88-7 81.63-13.88 146.8-13.88c64.26 0 112.8 6.75 145.6 13.75c4.25-18 8.127-35.88 11.63-53.13C644.5 39.5 645.8 1.625 479.1 0zM247.9 145.4c-18.65-28.02-44.53-55.69-162.9 60.38c-116.1 118.4-88.49 144.3-60.47 162.1c14.76 9.813 30.18 19.72 46.01 29.35c18.3-28.2 47.93-67.55 93.98-113.6c45.43-45.44 84.47-74.96 112.7-93.25C267.4 175.5 257.6 160.1 247.9 145.4zM277.6 397.6c-28.68 28.68-50.04 54.21-66.6 76.13c76.35 34.47 142.1 51.25 167.1 26.28c24.92-25.04 8.268-91.84-26.18-168.3C331.1 348.2 305.9 369.3 277.6 397.6z", "M480.6 143.9c-61.88 0-108.1 6.625-139 13.13c10.98 42.12 23.89 84.06 38.08 121.6c27.2-3.793 60.37-6.742 100.9-6.742c39.99 0 72.73 2.883 99.73 6.592c14.23-37.58 27.17-79.55 38.15-121.7C587.5 150.4 541.7 143.9 480.6 143.9zM187.1 307.1c-43.75 43.75-71.77 81.17-89.01 107.6c37.55 22.02 76.34 42.51 112.9 59.03c16.56-21.92 37.92-47.45 66.6-76.13c28.27-28.28 53.47-49.39 75.18-65.86c-16.51-36.63-37.03-75.44-59.09-113C267.3 236.1 230.3 263.9 187.1 307.1z"]],
    "cannabis": [576, 512, [], "f55f", ["M544 374.4c0 6-3.25 11.38-8.5 14.12c-2.5 1.375-60.75 31.75-133.5 31.75c-6.125 0-11.1-.125-17.5-.25c11.38 22.25 16.5 38.25 16.75 39.13c1.875 5.75 .375 12-3.875 16.12c-4.125 4.25-10.38 5.75-16.12 4c-1.631-.4648-32.94-10.66-69.25-34.06V311.1C312 298.7 301.3 288 288 288S264 298.7 264 311.1v133.2c-36.31 23.4-67.62 33.59-69.25 34.06c-5.75 1.75-12 .25-16.12-4c-4.25-4.25-5.75-10.38-3.875-16.12C175 458.3 180.1 442.1 191.5 420c-5.5 .125-11.38 .25-17.5 .25c-72.75 0-130.1-30.38-133.5-31.75C35.25 385.8 32 380.4 32 374.4c0-5.875 3.25-11.38 8.5-14.12c1.625-.875 32.38-16.88 76.75-25.75c-64.25-75.13-84-161.8-84.88-165.8C31.25 163.5 32.75 157.9 36.63 154C39.75 151 43.75 149.4 48 149.4c1.125 0 2.25 .125 3.375 .375c4 .875 86.62 19.5 160.6 79.75V225.1c0-118.9 60-213.8 62.5-217.8C277.5 2.75 282.5 0 288 0s10.5 2.75 13.5 7.375C304 11.38 364 106.3 364 225.1V229.5c73.1-60.25 156.6-79 160.5-79.75C525.8 149.5 526.9 149.4 528 149.4c4.25 0 8.25 1.625 11.38 4.625c3.75 3.875 5.375 9.5 4.25 14.75c-.875 4-20.62 90.63-84.88 165.8c44.38 8.875 75.13 24.88 76.75 25.75C540.8 363 544 368.5 544 374.4z", "M312 311.1v176C312 501.3 301.3 512 288 512s-24-10.75-24-23.1V311.1C264 298.7 274.7 288 288 288S312 298.7 312 311.1z"]],
    "capsules": [576, 512, [], "f46b", ["M111.1 32C51.24 32-.0021 83.25-.0021 143.1L0 255.7h223.7L223.9 143.9C223.9 83.23 172.7 32 111.1 32zM425.1 111.9c-35.16-51.12-108.7-63.91-159.8-28.76L255.7 92.71v178.9l47.94 67.1l188.6-131L425.1 111.9z", "M0 367.5c0 60.71 51.14 111.8 111.9 111.8s111.9-51.12 111.9-111.8V255.7H0V367.5zM556.2 300.4l-63.93-92.66l-188.6 131l63.93 92.66c35.16 51.12 108.7 63.91 159.8 28.76S591.3 351.5 556.2 300.4z"]],
    "car": [512, 512, [128664, "automobile"], "f1b9", ["M346.6 96C360.2 96 372.3 104.6 376.8 117.4L402.9 192H109.1L135.2 117.4C139.7 104.6 151.8 96 165.4 96H346.6zM0 400H96V448C96 465.7 81.67 480 64 480H32C14.33 480 0 465.7 0 448V400zM512 448C512 465.7 497.7 480 480 480H448C430.3 480 416 465.7 416 448V400H512V448z", "M39.61 196.8L74.8 96.29C88.27 57.78 124.6 32 165.4 32H346.6C387.4 32 423.7 57.78 437.2 96.29L472.4 196.8C495.6 206.4 512 229.3 512 256V400H0V256C0 229.3 16.36 206.4 39.61 196.8V196.8zM109.1 192H402.9L376.8 117.4C372.3 104.6 360.2 96 346.6 96H165.4C151.8 96 139.7 104.6 135.2 117.4L109.1 192zM96 256C78.33 256 64 270.3 64 288C64 305.7 78.33 320 96 320C113.7 320 128 305.7 128 288C128 270.3 113.7 256 96 256zM416 320C433.7 320 448 305.7 448 288C448 270.3 433.7 256 416 256C398.3 256 384 270.3 384 288C384 305.7 398.3 320 416 320z"]],
    "car-battery": [512, 512, ["battery-car"], "f5df", ["M0 160C0 124.7 28.65 96 64 96H448C483.3 96 512 124.7 512 160V384C512 419.3 483.3 448 448 448H64C28.65 448 0 419.3 0 384V160zM352 192V224H320C311.2 224 304 231.2 304 240C304 248.8 311.2 256 320 256H352V288C352 296.8 359.2 304 368 304C376.8 304 384 296.8 384 288V256H416C424.8 256 432 248.8 432 240C432 231.2 424.8 224 416 224H384V192C384 183.2 376.8 176 368 176C359.2 176 352 183.2 352 192zM96 224C87.16 224 80 231.2 80 240C80 248.8 87.16 256 96 256H192C200.8 256 208 248.8 208 240C208 231.2 200.8 224 192 224H96z", "M80 96C80 78.33 94.33 64 112 64H176C193.7 64 208 78.33 208 96H80zM304 96C304 78.33 318.3 64 336 64H400C417.7 64 432 78.33 432 96H304z"]],
    "car-bolt": [512, 512, [], "e341", ["M96 448C96 465.7 81.67 480 64 480H32C14.33 480 0 465.7 0 448V400H96V448zM512 448C512 465.7 497.7 480 480 480H448C430.3 480 416 465.7 416 448V400H512V448z", "M165.4 32H346.6C387.4 32 423.7 57.78 437.2 96.29L472.4 196.8C495.6 206.4 512 229.3 512 256V400H0V256C0 229.3 16.36 206.4 39.61 196.8L74.8 96.29C88.27 57.78 124.6 32 165.4 32V32zM96 320C113.7 320 128 305.7 128 288C128 270.3 113.7 256 96 256C78.33 256 64 270.3 64 288C64 305.7 78.33 320 96 320zM416 256C398.3 256 384 270.3 384 288C384 305.7 398.3 320 416 320C433.7 320 448 305.7 448 288C448 270.3 433.7 256 416 256zM318.3 119.2C321.6 112.5 319.9 104.5 314.3 99.72C308.6 94.96 300.3 94.75 294.4 99.2L166.4 195.2C160.9 199.3 158.6 206.5 160.8 213.1C162.1 219.6 169.1 224 176 224H230.1L193.7 296.8C190.4 303.5 192.1 311.5 197.7 316.3C203.4 321 211.7 321.3 217.6 316.8L345.6 220.8C351.1 216.7 353.4 209.5 351.2 202.9C349 196.4 342.9 192 336 192H281.9L318.3 119.2z"]],
    "car-building": [640, 512, [], "f859", ["M0 48C0 21.49 21.49 0 48 0H272C298.5 0 320 21.49 320 48V136.4C290.5 148.5 266.9 173 256.3 204.6L255.9 205.1C254.9 198.1 248.2 192 240 192H208C199.2 192 192 199.2 192 208V240C192 248.8 199.2 256 208 256H239.2L233.6 272.9C208.5 290.2 192 319.2 192 352V480H48C21.49 480 0 458.5 0 432V48zM64 240C64 248.8 71.16 256 80 256H112C120.8 256 128 248.8 128 240V208C128 199.2 120.8 192 112 192H80C71.16 192 64 199.2 64 208V240zM64 144C64 152.8 71.16 160 80 160H112C120.8 160 128 152.8 128 144V112C128 103.2 120.8 96 112 96H80C71.16 96 64 103.2 64 112V144zM208 96C199.2 96 192 103.2 192 112V144C192 152.8 199.2 160 208 160H240C248.8 160 256 152.8 256 144V112C256 103.2 248.8 96 240 96H208zM64 336C64 344.8 71.16 352 80 352H112C120.8 352 128 344.8 128 336V304C128 295.2 120.8 288 112 288H80C71.16 288 64 295.2 64 304V336z", "M260.1 294.4L286.7 214.7C297.6 182 328.2 160 362.6 160H501.4C535.8 160 566.4 182 577.3 214.7L603.9 294.4C625.2 304.7 640 326.6 640 352L640 480C640 497.7 625.7 512 608 512H592C574.3 512 560 497.7 560 480V448H304V480C304 497.7 289.7 512 272 512H256C238.3 512 224 497.7 224 480L224 352C224 326.6 238.8 304.7 260.1 294.4V294.4zM329.7 288H534.3L516.6 234.9C514.4 228.4 508.3 224 501.4 224H362.6C355.7 224 349.6 228.4 347.4 234.9L329.7 288zM304 344C290.7 344 280 354.7 280 368C280 381.3 290.7 392 304 392C317.3 392 328 381.3 328 368C328 354.7 317.3 344 304 344zM560 392C573.3 392 584 381.3 584 368C584 354.7 573.3 344 560 344C546.7 344 536 354.7 536 368C536 381.3 546.7 392 560 392z"]],
    "car-bump": [640, 512, [], "f5e0", ["M589.1 512H402.9C393 512 385.5 503.1 388.8 493.8C400.6 460.4 432 416 496 416C560 416 591.4 460.4 603.2 493.8C606.5 503.1 598.1 512 589.1 512z", "M47.76 234.2L57.96 141.1C62.27 101.7 90.3 69.06 128.5 58.81L275.8 19.36C314 9.113 354.6 23.39 378.1 55.32L433.4 130.9C458.7 133.8 480.8 151.8 487.8 177.9L533.4 347.9C537.9 364.1 527.8 382.5 510.7 387.1L479.8 395.4C462.8 399.9 445.2 389.8 440.6 372.7L428.2 326.4L150 400.9L162.5 447.3C167 464.3 156.9 481.9 139.8 486.5L108.9 494.7C91.85 499.3 74.3 489.2 69.73 472.1L24.18 302.1C17.19 276 27.36 249.4 47.76 234.2V234.2zM114.6 211.6L364.3 144.7L326.4 93.17C318.6 82.52 305.1 77.76 292.4 81.18L145.1 120.6C132.4 124 123 134.9 121.6 148.1L114.6 211.6zM116.9 277.3C99.84 281.8 89.7 299.4 94.28 316.5C98.85 333.5 116.4 343.7 133.5 339.1C150.5 334.5 160.7 316.1 156.1 299.9C151.5 282.8 133.1 272.7 116.9 277.3H116.9zM411.7 264.5C428.7 259.1 438.9 242.4 434.3 225.4C429.7 208.3 412.2 198.2 395.1 202.7C378 207.3 367.9 224.9 372.5 241.9C377 258.1 394.6 269.1 411.7 264.5H411.7z"]],
    "car-burst": [640, 512, ["car-crash"], "f5e1", ["M160.6 18.85C163.2 12.1 172.8 12.1 175.4 18.85L201.7 85.44C203.3 89.32 207.5 91.38 211.5 90.15L279.1 69.19C286.9 67.06 292.9 74.53 289.3 80.82L266.7 120L230.4 172.5C203.1 181.4 180.6 203.5 172.6 233.4L166.8 254.1C165.3 255.2 163.8 255.9 162.6 257L109.1 305.6C104.7 310.5 96.05 306.4 96.58 299.2L101.8 227.7C102.1 223.6 99.14 219.9 95.02 219.3L24.24 208.4C17.07 207.3 14.95 198 20.93 193.9L80.01 153.5C83.45 151.1 84.5 146.5 82.42 142.9L46.75 80.82C43.13 74.53 49.09 67.06 56.03 69.19L124.5 90.15C128.5 91.38 132.7 89.32 134.3 85.44L160.6 18.85zM203.5 241.7C204.1 236.1 207.3 230.1 210.2 226.3z", "M249.8 200.7L297.7 131.5C316.9 103.6 351.6 90.92 384.2 99.67L519.8 135.1C552.5 144.7 576.1 173.1 578.8 206.8L585.7 290.7C602.9 304.2 611.3 327 605.3 349.4L570.1 480.8C565.5 497.8 547.1 507.1 530.9 503.4L515.5 499.3C498.4 494.7 488.3 477.1 492.8 460.1L501.1 429.1L253.8 362.9L245.6 393.8C240.1 410.9 223.4 421 206.4 416.4L190.9 412.3C173.8 407.7 163.7 390.2 168.3 373.1L203.5 241.7C209.5 219.3 228.2 203.8 249.8 200.7L249.8 200.7zM318.1 214.5L519.6 268.5L515 211.1C514.5 205.2 509.8 199.6 503.2 197.8L367.7 161.5C361.1 159.7 354.2 162.3 350.4 167.8L318.1 214.5zM280.8 262.4C267.1 259 254.8 266.6 251.4 279.4C247.9 292.2 255.5 305.4 268.3 308.8C281.1 312.2 294.3 304.6 297.7 291.8C301.2 279 293.6 265.9 280.8 262.4zM515.6 375.1C528.4 378.5 541.6 370.9 545 358.1C548.4 345.3 540.8 332.1 528 328.7C515.2 325.3 502.1 332.9 498.6 345.7C495.2 358.5 502.8 371.6 515.6 375.1z"]],
    "car-bus": [640, 512, [], "f85a", ["M48 416H32C14.33 416 0 401.7 0 384V74.46C0 58.25 9.164 43.42 23.67 36.16C71.24 12.38 123.7 0 176.9 0H207.1C260.3 0 312.8 12.38 360.3 36.16C374.8 43.42 384 58.25 384 74.46V128H362.6C347.7 128 333.2 130.1 319.1 136.4V120C319.1 106.7 309.3 96 295.1 96H207.1V224H249.9L233.6 272.9C208.5 290.2 191.1 319.2 191.1 352V416H127.1V448C127.1 465.7 113.7 480 95.1 480H79.1C62.33 480 47.1 465.7 47.1 448L48 416zM64 200C64 213.3 74.75 224 88 224H176V96H88C74.75 96 64 106.7 64 120V200zM96 296C82.75 296 72 306.7 72 320C72 333.3 82.75 344 96 344C109.3 344 120 333.3 120 320C120 306.7 109.3 296 96 296z", "M260.1 294.4L286.7 214.7C297.6 182 328.2 160 362.6 160H501.4C535.8 160 566.4 182 577.3 214.7L603.9 294.4C625.2 304.7 640 326.6 640 352L640 480C640 497.7 625.7 512 608 512H592C574.3 512 560 497.7 560 480V448H304V480C304 497.7 289.7 512 272 512H256C238.3 512 224 497.7 224 480L224 352C224 326.6 238.8 304.7 260.1 294.4V294.4zM329.7 288H534.3L516.6 234.9C514.4 228.4 508.3 224 501.4 224H362.6C355.7 224 349.6 228.4 347.4 234.9L329.7 288zM304 344C290.7 344 280 354.7 280 368C280 381.3 290.7 392 304 392C317.3 392 328 381.3 328 368C328 354.7 317.3 344 304 344zM560 392C573.3 392 584 381.3 584 368C584 354.7 573.3 344 560 344C546.7 344 536 354.7 536 368C536 381.3 546.7 392 560 392z"]],
    "car-circle-bolt": [640, 512, [], "e342", ["M165.4 32H346.6C387.4 32 423.7 57.78 437.2 96.29L471.3 193.7C385.8 205.7 320 279.2 320 368C320 378.9 320.1 389.6 322.9 400H96V448C96 465.7 81.67 480 64 480H32C14.33 480 0 465.7 0 448V256C0 229.3 16.36 206.4 39.61 196.8L74.8 96.29C88.27 57.78 124.6 32 165.4 32V32zM165.4 96C151.8 96 139.7 104.6 135.2 117.4L109.1 192H402.9L376.8 117.4C372.3 104.6 360.2 96 346.6 96H165.4zM96 320C113.7 320 128 305.7 128 288C128 270.3 113.7 256 96 256C78.33 256 64 270.3 64 288C64 305.7 78.33 320 96 320z", "M640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM546.5 301.8C549.2 296.9 548.2 290.7 543.9 286.1C539.6 283.2 533.3 283 528.8 286.4L432.8 358.4C428.7 361.5 426.1 366.9 428.6 371.8C430.2 376.7 434.8 380 440 380H475.6L445.5 434.2C442.8 439.1 443.8 445.3 448.1 449C452.4 452.8 458.7 452.1 463.2 449.6L559.2 377.6C563.3 374.5 565 369.1 563.4 364.2C561.8 359.3 557.2 356 552 356H516.4L546.5 301.8z"]],
    "car-garage": [640, 512, [], "f5e2", ["M288.2 6.324C302.9-2.108 321.1-2.108 335.8 6.324L607.9 161.8C623.2 170.6 628.6 190.1 619.8 205.4C611 220.8 591.5 226.1 576.1 217.4L312 66.43L47.88 217.4C32.54 226.1 12.99 220.8 4.222 205.4C-4.547 190.1 .7846 170.6 16.13 161.8L288.2 6.324z", "M138.2 292.4L166.5 213.1C177.9 181.3 208 160 241.8 160H382.2C415.1 160 446.1 181.3 457.5 213.1L485.8 292.4C505.9 300.9 520 320.8 520 344V480C520 497.7 505.7 512 488 512H472C454.3 512 440 497.7 440 480V448H184V480C184 497.7 169.7 512 152 512H136C118.3 512 104 497.7 104 480V344C104 320.8 118.1 300.9 138.2 292.4H138.2zM207.7 288H416.3L397.2 234.6C394.1 228.3 388.9 224 382.2 224H241.8C235.1 224 229 228.3 226.8 234.6L207.7 288zM184 344C170.8 344 160 354.7 160 368C160 381.3 170.8 392 184 392C197.3 392 208 381.3 208 368C208 354.7 197.3 344 184 344zM440 392C453.3 392 464 381.3 464 368C464 354.7 453.3 344 440 344C426.8 344 416 354.7 416 368C416 381.3 426.8 392 440 392z"]],
    "car-mirrors": [576, 512, [], "e343", ["M378.6 96C392.2 96 404.3 104.6 408.8 117.4L434.9 192H141.1L167.2 117.4C171.7 104.6 183.8 96 197.4 96H378.6zM32 400H128V448C128 465.7 113.7 480 96 480H64C46.33 480 32 465.7 32 448V400zM544 448C544 465.7 529.7 480 512 480H480C462.3 480 448 465.7 448 448V400H544V448z", "M0 192C0 174.3 14.33 160 32 160H84.5L106.8 96.29C120.3 57.78 156.6 32 197.4 32H378.6C419.4 32 455.7 57.78 469.2 96.29L491.5 160H544C561.7 160 576 174.3 576 192C576 209.7 561.7 224 544 224H535.4C540.9 233.4 544 244.3 544 256V400H32V256C32 244.3 35.12 233.4 40.56 224H32C14.33 224 0 209.7 0 192zM141.1 192H434.9L408.8 117.4C404.3 104.6 392.2 96 378.6 96H197.4C183.8 96 171.7 104.6 167.2 117.4L141.1 192zM128 256C110.3 256 96 270.3 96 288C96 305.7 110.3 320 128 320C145.7 320 160 305.7 160 288C160 270.3 145.7 256 128 256zM448 320C465.7 320 480 305.7 480 288C480 270.3 465.7 256 448 256C430.3 256 416 270.3 416 288C416 305.7 430.3 320 448 320z"]],
    "car-on": [448, 512, [], "e4dd", ["M224 0C237.3 0 248 10.75 248 24V104C248 117.3 237.3 128 224 128C210.7 128 200 117.3 200 104V24C200 10.75 210.7 0 224 0zM7.029 39.03C16.4 29.66 31.6 29.66 40.97 39.03L88.97 87.03C98.34 96.4 98.34 111.6 88.97 120.1C79.6 130.3 64.4 130.3 55.03 120.1L7.029 72.97C-2.343 63.6-2.343 48.4 7.029 39.03V39.03zM407 39.03C416.4 29.66 431.6 29.66 440.1 39.03C450.3 48.4 450.3 63.6 440.1 72.97L392.1 120.1C383.6 130.3 368.4 130.3 359 120.1C349.7 111.6 349.7 96.4 359 87.03L407 39.03z", "M50.16 292.4L78.49 213.1C89.86 181.3 120 160 153.8 160H294.2C327.1 160 358.1 181.3 369.5 213.1L397.8 292.4C417.9 300.9 432 320.8 432 344V480C432 497.7 417.7 512 400 512H384C366.3 512 352 497.7 352 480V448H96V480C96 497.7 81.67 512 64 512H48C30.33 512 16 497.7 16 480V344C16 320.8 30.08 300.9 50.16 292.4H50.16zM119.7 288H328.3L309.2 234.6C306.1 228.3 300.9 224 294.2 224H153.8C147.1 224 141 228.3 138.8 234.6L119.7 288zM95.1 344C82.74 344 71.1 354.7 71.1 368C71.1 381.3 82.74 392 95.1 392C109.3 392 119.1 381.3 119.1 368C119.1 354.7 109.3 344 95.1 344zM352 392C365.3 392 376 381.3 376 368C376 354.7 365.3 344 352 344C338.7 344 328 354.7 328 368C328 381.3 338.7 392 352 392z"]],
    "car-rear": [512, 512, ["car-alt"], "f5de", ["M135.2 117.4C139.7 104.6 151.8 96 165.4 96H346.6C360.2 96 372.3 104.6 376.8 117.4L402.9 192H109.1L135.2 117.4zM32 448V391.4C41.41 396.9 52.34 400 64 400H128V448C128 465.7 113.7 480 96 480H64C46.33 480 32 465.7 32 448zM384 448V400H448C459.7 400 470.6 396.9 480 391.4V448C480 465.7 465.7 480 448 480H416C398.3 480 384 465.7 384 448z", "M165.4 32H346.6C387.4 32 423.7 57.78 437.2 96.29L472.4 196.8C495.6 206.4 512 229.3 512 256V336C512 371.3 483.3 400 448 400H64C28.65 400 0 371.3 0 336V256C0 229.3 16.36 206.4 39.61 196.8L74.8 96.29C88.27 57.78 124.6 32 165.4 32V32zM165.4 96C151.8 96 139.7 104.6 135.2 117.4L109.1 192H402.9L376.8 117.4C372.3 104.6 360.2 96 346.6 96H165.4zM208 272C199.2 272 192 279.2 192 288V320C192 328.8 199.2 336 208 336H304C312.8 336 320 328.8 320 320V288C320 279.2 312.8 272 304 272H208zM72 304H104C117.3 304 128 293.3 128 280C128 266.7 117.3 256 104 256H72C58.75 256 48 266.7 48 280C48 293.3 58.75 304 72 304zM408 256C394.7 256 384 266.7 384 280C384 293.3 394.7 304 408 304H440C453.3 304 464 293.3 464 280C464 266.7 453.3 256 440 256H408z"]],
    "car-side": [640, 512, [128663], "f5e4", ["M224 128V224H111.3L141.6 148.1C146.5 135.1 158.2 128 171.3 128H224zM272 128H353.2C362.1 128 372.2 132.4 378.2 140L445.4 224H272L272 128zM224 432C224 476.2 188.2 512 144 512C99.82 512 64 476.2 64 432C64 387.8 99.82 352 144 352C188.2 352 224 387.8 224 432zM416 432C416 387.8 451.8 352 496 352C540.2 352 576 387.8 576 432C576 476.2 540.2 512 496 512C451.8 512 416 476.2 416 432z", "M640 352V400C640 417.7 625.7 432 608 432C608 370.1 557.9 320 496 320C434.1 320 384 370.1 384 432H256C256 370.1 205.9 320 144 320C82.14 320 32 370.1 32 432C14.33 432 0 417.7 0 400V288C0 260.9 16.81 237.8 40.56 228.4L82.2 124.3C96.78 87.9 132.1 64 171.3 64H353.2C382.4 64 409.1 77.26 428.2 100L528.2 225C591.2 232.1 640 286.8 640 352V352zM171.3 128C158.2 128 146.5 135.1 141.6 148.1L111.3 224H224V128H171.3zM272 224H445.4L378.2 140C372.2 132.4 362.1 128 353.2 128H272V224z"]],
    "car-side-bolt": [640, 512, [], "e344", ["M347.2 116.6C352.5 121.8 353.5 129.9 349.7 136.2L316.3 192H368C375.1 192 381.4 196.7 383.4 203.6C385.4 210.5 382.5 217.8 376.5 221.6L248.5 301.6C242.2 305.5 234.1 304.6 228.8 299.4C223.5 294.2 222.5 286.1 226.3 279.8L259.7 224H208C200.9 224 194.6 219.3 192.6 212.4C190.7 205.6 193.5 198.2 199.5 194.4L327.5 114.4C333.8 110.5 341.9 111.4 347.2 116.6H347.2zM224 432C224 476.2 188.2 512 144 512C99.82 512 64 476.2 64 432C64 387.8 99.82 352 144 352C188.2 352 224 387.8 224 432zM576 432C576 476.2 540.2 512 496 512C451.8 512 416 476.2 416 432C416 387.8 451.8 352 496 352C540.2 352 576 387.8 576 432z", "M640 352V400C640 417.7 625.7 432 608 432C608 370.1 557.9 320 496 320C434.1 320 384 370.1 384 432H256C256 370.1 205.9 320 144 320C82.14 320 32 370.1 32 432C14.33 432 0 417.7 0 400V288C0 260.9 16.81 237.8 40.56 228.4L82.2 124.3C96.78 87.9 132.1 64 171.3 64H353.2C382.4 64 409.1 77.26 428.2 100L528.2 225C591.2 232.1 640 286.8 640 352V352zM327.5 114.4L199.5 194.4C193.5 198.2 190.7 205.6 192.6 212.4C194.6 219.3 200.9 224 208 224H259.7L226.3 279.8C222.5 286.1 223.5 294.2 228.8 299.4C234.1 304.6 242.2 305.5 248.5 301.6L376.5 221.6C382.5 217.8 385.4 210.5 383.4 203.6C381.4 196.7 375.1 192 368 192H316.3L349.7 136.2C353.5 129.9 352.5 121.8 347.2 116.6C341.9 111.4 333.8 110.5 327.5 114.4H327.5z"]],
    "car-tilt": [640, 512, [], "f5e5", ["M0 496C0 469.5 21.49 448 48 448H592C618.5 448 640 469.5 640 496V512H0V496z", "M128.5 58.81L275.8 19.36C314 9.113 354.6 23.39 378.1 55.32L433.4 130.9C458.7 133.8 480.8 151.8 487.8 177.9L533.4 347.9C537.9 364.1 527.8 382.5 510.7 387.1L479.8 395.4C462.8 399.9 445.2 389.8 440.6 372.7L428.2 326.4L150 400.9L162.5 447.3C162.5 447.5 162.6 447.8 162.6 448H63.27L24.18 302.1C17.19 276 27.36 249.4 47.76 234.2L57.96 141.1C62.27 101.7 90.3 69.06 128.5 58.81V58.81zM145.1 120.6C132.4 124 123 134.9 121.6 148.1L114.6 211.6L364.3 144.7L326.4 93.17C318.6 82.52 305.1 77.76 292.4 81.18L145.1 120.6zM133.5 339.1C150.5 334.5 160.7 316.1 156.1 299.9C151.5 282.8 133.1 272.7 116.9 277.3C99.84 281.8 89.7 299.4 94.28 316.5C98.85 333.5 116.4 343.7 133.5 339.1H133.5zM395.1 202.7C378 207.3 367.9 224.9 372.5 241.9C377 258.1 394.6 269.1 411.7 264.5C428.7 259.1 438.9 242.4 434.3 225.4C429.7 208.3 412.2 198.2 395.1 202.7H395.1z"]],
    "car-tunnel": [512, 512, [], "e4de", ["M512 256V448C512 483.3 483.3 512 448 512H384H128H64C28.65 512 0 483.3 0 448V256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM384 512C401.7 512 416 497.7 416 480V376C416 355.2 404.7 337.1 387.8 327.4L366.9 262.7C359.4 239.6 337.9 224 313.6 224H198.4C174.1 224 152.6 239.6 145.1 262.7L124.1 327.4C107.3 337.1 96 355.2 96 376V480C96 497.7 110.3 512 128 512C145.7 512 160 497.7 160 480V448H352V480C352 497.7 366.3 512 384 512H384z", "M198.4 224H313.6C337.9 224 359.4 239.6 366.9 262.7L387.8 327.4C404.7 337.1 416 355.2 416 376V480C416 497.7 401.7 512 384 512C366.3 512 352 497.7 352 480V448H160V480C160 497.7 145.7 512 128 512C110.3 512 96 497.7 96 480V376C96 355.2 107.3 337.1 124.1 327.4L145.1 262.7C152.6 239.6 174.1 224 198.4 224H198.4zM198.4 272C194.9 272 191.8 274.2 190.8 277.5L177 320H334.1L321.2 277.5C320.2 274.2 317.1 272 313.6 272H198.4zM168 360C154.7 360 144 370.7 144 384C144 397.3 154.7 408 168 408C181.3 408 192 397.3 192 384C192 370.7 181.3 360 168 360zM344 408C357.3 408 368 397.3 368 384C368 370.7 357.3 360 344 360C330.7 360 320 370.7 320 384C320 397.3 330.7 408 344 408z"]],
    "car-wash": [448, 512, [], "f5e6", ["M112 80C112 112 90.51 128 64 128C37.49 128 16 106.5 16 80C16 48 64 0 64 0C64 0 112 48 112 80zM272 80C272 112 250.5 128 224 128C197.5 128 176 106.5 176 80C176 48 224 0 224 0C224 0 272 48 272 80zM336 80C336 48 384 0 384 0C384 0 432 48 432 80C432 112 410.5 128 384 128C357.5 128 336 106.5 336 80z", "M36.15 294.4L59.06 225.6C72.12 186.4 108.8 160 150.1 160H297.9C339.2 160 375.9 186.4 388.9 225.6L411.9 294.4C433.2 304.7 448 326.6 448 352V480C448 497.7 433.7 512 416 512H400C382.3 512 368 497.7 368 480V448H80V480C80 497.7 65.67 512 48 512H32C14.33 512 0 497.7 0 480V352C0 326.6 14.75 304.7 36.15 294.4V294.4zM105.7 288H342.3L328.2 245.9C323.9 232.8 311.6 224 297.9 224H150.1C136.4 224 124.1 232.8 119.8 245.9L105.7 288zM80 344C66.75 344 56 354.7 56 368C56 381.3 66.75 392 80 392C93.25 392 104 381.3 104 368C104 354.7 93.25 344 80 344zM368 392C381.3 392 392 381.3 392 368C392 354.7 381.3 344 368 344C354.7 344 344 354.7 344 368C344 381.3 354.7 392 368 392z"]],
    "car-wrench": [576, 512, ["car-mechanic"], "f5e3", ["M35.7 132.6C28.11 123.9 35.57 112 47.11 112H80L104 80L80 48H47.11C35.57 48 28.11 36.12 35.7 27.43C50.36 10.62 71.94 0 96 0C128.8 0 156.1 19.75 169.3 48H406.7C419 19.75 447.2 0 480 0C504.1 0 525.6 10.62 540.3 27.43C547.9 36.12 540.4 48 528.9 48H496L472 80L496 112H528.9C540.4 112 547.9 123.9 540.3 132.6C525.6 149.4 504.1 160 480 160C447.2 160 419 140.3 406.7 112H169.3C156.1 140.3 128.8 160 96 160C71.94 160 50.36 149.4 35.7 132.6V132.6z", "M114.2 292.4L142.5 213.1C153.9 181.3 184 160 217.8 160H358.2C391.1 160 422.1 181.3 433.5 213.1L461.8 292.4C481.9 300.9 496 320.8 496 344V480C496 497.7 481.7 512 464 512H448C430.3 512 416 497.7 416 480V448H160V480C160 497.7 145.7 512 128 512H112C94.33 512 80 497.7 80 480V344C80 320.8 94.08 300.9 114.2 292.4H114.2zM183.7 288H392.3L373.2 234.6C370.1 228.3 364.9 224 358.2 224H217.8C211.1 224 205 228.3 202.8 234.6L183.7 288zM159.1 344C146.7 344 135.1 354.7 135.1 368C135.1 381.3 146.7 392 159.1 392C173.3 392 183.1 381.3 183.1 368C183.1 354.7 173.3 344 159.1 344zM416 392C429.3 392 440 381.3 440 368C440 354.7 429.3 344 416 344C402.7 344 392 354.7 392 368C392 381.3 402.7 392 416 392z"]],
    "caravan": [640, 512, [], "f8ff", ["M64 160C64 142.3 78.33 128 96 128H224C241.7 128 256 142.3 256 160V224C256 241.7 241.7 256 224 256H96C78.33 256 64 241.7 64 224V160zM320 160C320 142.3 334.3 128 352 128H416C433.7 128 448 142.3 448 160V224H416C407.2 224 400 231.2 400 240C400 248.8 407.2 256 416 256H448V352H348.8C341.2 337 331.4 323.3 320 311.2V160zM112 432C112 387.8 147.8 352 192 352C236.2 352 272 387.8 272 432C272 476.2 236.2 512 192 512C147.8 512 112 476.2 112 432z", "M0 112C0 67.82 35.82 32 80 32H416C504.4 32 576 103.6 576 192V352H608C625.7 352 640 366.3 640 384C640 401.7 625.7 416 608 416H302.9C295.1 361.7 248.4 320 192 320C135.6 320 88.9 361.7 81.13 416H80C35.82 416 0 380.2 0 336V112zM448 352V160C448 142.3 433.7 128 416 128H352C334.3 128 320 142.3 320 160V311.2C331.4 323.3 341.2 337 348.8 352H448zM96 128C78.33 128 64 142.3 64 160V224C64 241.7 78.33 256 96 256H224C241.7 256 256 241.7 256 224V160C256 142.3 241.7 128 224 128H96z"]],
    "caravan-simple": [640, 512, ["caravan-alt"], "e000", ["M64 160C64 142.3 78.33 128 96 128H224C241.7 128 256 142.3 256 160V224C256 241.7 241.7 256 224 256H96C78.33 256 64 241.7 64 224V160zM320 160C320 142.3 334.3 128 352 128H416C433.7 128 448 142.3 448 160V224C448 241.7 433.7 256 416 256H352C334.3 256 320 241.7 320 224V160zM112 432C112 387.8 147.8 352 192 352C236.2 352 272 387.8 272 432C272 476.2 236.2 512 192 512C147.8 512 112 476.2 112 432z", "M416 32C504.4 32 576 103.6 576 192V352H608C625.7 352 640 366.3 640 384C640 401.7 625.7 416 608 416H302.9C295.1 361.7 248.4 320 192 320C135.6 320 88.9 361.7 81.13 416H80C35.82 416 0 380.2 0 336V112C0 67.82 35.82 32 80 32H416zM64 224C64 241.7 78.33 256 96 256H224C241.7 256 256 241.7 256 224V160C256 142.3 241.7 128 224 128H96C78.33 128 64 142.3 64 160V224zM352 128C334.3 128 320 142.3 320 160V224C320 241.7 334.3 256 352 256H416C433.7 256 448 241.7 448 224V160C448 142.3 433.7 128 416 128H352z"]],
    "card-club": [384, 512, [], "e3e9", ["M0 64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64zM80 264C80 294.9 105.1 320 136 320C151.7 320 165.8 313.6 176 303.2V336H160C151.2 336 144 343.2 144 352C144 360.8 151.2 368 160 368H224C232.8 368 240 360.8 240 352C240 343.2 232.8 336 224 336H208V303.2C218.2 313.6 232.3 320 248 320C278.9 320 304 294.9 304 264C304 235.1 282.1 211.3 253.9 208.3C255.3 203.1 256 197.6 256 192C256 156.7 227.3 128 192 128C156.7 128 128 156.7 128 192C128 197.6 128.7 203.1 130.1 208.3C101.9 211.3 80 235.1 80 264z", "M304 264C304 294.9 278.9 320 248 320C232.3 320 218.2 313.6 208 303.2V336H224C232.8 336 240 343.2 240 352C240 360.8 232.8 368 224 368H160C151.2 368 144 360.8 144 352C144 343.2 151.2 336 160 336H176V303.2C165.8 313.6 151.7 320 136 320C105.1 320 80 294.9 80 264C80 235.1 101.9 211.3 130.1 208.3C128.7 203.1 128 197.6 128 192C128 156.7 156.7 128 192 128C227.3 128 256 156.7 256 192C256 197.6 255.3 203.1 253.9 208.3C282.1 211.3 304 235.1 304 264z"]],
    "card-diamond": [384, 512, [], "e3ea", ["M0 64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64zM84.69 244.7C78.44 250.9 78.44 261.1 84.69 267.3L180.7 363.3C186.9 369.6 197.1 369.6 203.3 363.3L299.3 267.3C305.6 261.1 305.6 250.9 299.3 244.7L203.3 148.7C197.1 142.4 186.9 142.4 180.7 148.7L84.69 244.7z", "M299.3 244.7C305.6 250.9 305.6 261.1 299.3 267.3L203.3 363.3C197.1 369.6 186.9 369.6 180.7 363.3L84.69 267.3C78.44 261.1 78.44 250.9 84.69 244.7L180.7 148.7C186.9 142.4 197.1 142.4 203.3 148.7L299.3 244.7z"]],
    "card-heart": [384, 512, [], "e3eb", ["M320 0C355.3 0 384 28.65 384 64V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H320zM202.2 351.7L286.6 264.3C311.1 238.1 309.7 197 282.6 173.4C258.2 152.9 222.3 156.8 200.5 179.1L192.2 188.3L183.5 179.1C161.6 156.8 125.3 152.9 101.7 173.4C74.21 197 72.9 238.1 97.37 264.3L182.1 351.7C187.4 357.4 196.6 357.4 202.2 351.7H202.2z", "M286.6 264.3L202.2 351.7C196.6 357.4 187.4 357.4 182.1 351.7L97.37 264.3C72.9 238.1 74.21 197 101.7 173.4C125.3 152.9 161.6 156.8 183.5 179.1L192.2 188.3L200.5 179.1C222.3 156.8 258.2 152.9 282.6 173.4C309.7 197 311.1 238.1 286.6 264.3H286.6z"]],
    "card-spade": [384, 512, [], "e3ec", ["M320 0C355.3 0 384 28.65 384 64V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H320zM88.4 224.4C66.53 246.3 66.53 281.7 88.4 303.6C110.3 325.5 145.7 325.5 167.6 303.6L175 296.2C175.3 295.8 175.7 295.5 175.1 295.2V335.1H159.1C151.2 335.1 143.1 343.2 143.1 351.1C143.1 360.8 151.2 367.1 159.1 367.1H223.1C232.8 367.1 239.1 360.8 239.1 351.1C239.1 343.2 232.8 335.1 223.1 335.1H207.1V295.2C208.3 295.5 208.7 295.8 208.1 296.2L216.4 303.6C238.3 325.5 273.7 325.5 295.6 303.6C317.5 281.7 317.5 246.3 295.6 224.4L208.1 137.8C199.6 128.4 184.4 128.4 175 137.8L88.4 224.4z", "M295.6 224.4C317.5 246.3 317.5 281.7 295.6 303.6C273.7 325.5 238.3 325.5 216.4 303.6L208.1 296.2C208.7 295.8 208.3 295.5 207.1 295.2V335.1H223.1C232.8 335.1 239.1 343.2 239.1 351.1C239.1 360.8 232.8 367.1 223.1 367.1H159.1C151.2 367.1 143.1 360.8 143.1 351.1C143.1 343.2 151.2 335.1 159.1 335.1H175.1V295.2C175.7 295.5 175.3 295.8 175 296.2L167.6 303.6C145.7 325.5 110.3 325.5 88.4 303.6C66.53 281.7 66.53 246.3 88.4 224.4L175 137.8C184.4 128.4 199.6 128.4 208.1 137.8L295.6 224.4z"]],
    "cards": [640, 512, [], "e3ed", ["M324.1 499L459.4 420.9C501.3 396.7 515.7 343.1 491.5 301.1L354.7 64.25C356.5 64.08 358.2 64 360 64H584C614.9 64 640 89.07 640 120V456C640 486.9 614.9 512 584 512H360C346.4 512 333.8 507.1 324.1 499V499zM579.8 135.7C565.8 123.9 545.3 126.2 532.9 138.9L528.1 144.2L523.1 138.9C510.6 126.2 489.9 123.9 476.4 135.7C460.7 149.2 459.9 173.1 473.9 187.6L522.4 237.6C525.4 240.8 530.6 240.8 533.9 237.6L582 187.6C596 173.1 595.3 149.2 579.8 135.7H579.8z", "M220.7 7.468C247.3-7.906 281.4 1.218 296.8 27.85L463.8 317.1C479.1 343.8 470 377.8 443.4 393.2L250.5 504.5C223.9 519.9 189.9 510.8 174.5 484.2L7.468 194.9C-7.906 168.2 1.218 134.2 27.85 118.8L220.7 7.468zM143.8 277.3C136.9 303.2 152.3 329.1 178.3 336.9C204.3 343.9 230.1 328.5 237.9 302.5L240.3 293.6C240.4 293.3 240.5 292.9 240.6 292.5L258.4 323.2L246.3 330.2C239.6 334 237.4 342.5 241.2 349.2C245.1 355.9 253.6 358.1 260.2 354.3L308.4 326.5C315.1 322.6 317.4 314.1 313.5 307.4C309.7 300.8 301.2 298.5 294.5 302.3L282.5 309.3L264.7 278.6C265.1 278.7 265.5 278.8 265.9 278.9L274.7 281.2C300.7 288.2 327.4 272.8 334.4 246.8C341.3 220.8 325.9 194.1 299.9 187.1L196.1 159.6C185.8 156.6 174.4 163.2 171.4 174.3L143.8 277.3z"]],
    "cards-blank": [640, 512, [], "e4df", ["M324.1 499L459.4 420.9C501.3 396.7 515.7 343.1 491.5 301.1L354.7 64.25C356.5 64.08 358.2 64 360 64H584C614.9 64 640 89.07 640 120V456C640 486.9 614.9 512 584 512H360C346.4 512 333.8 507.1 324.1 499V499z", "M7.468 194.9C-7.906 168.2 1.218 134.2 27.85 118.8L220.7 7.468C247.3-7.906 281.4 1.218 296.8 27.85L463.8 317.1C479.1 343.8 470 377.8 443.4 393.2L250.5 504.5C223.9 519.9 189.9 510.8 174.5 484.2L7.468 194.9z"]],
    "caret-down": [320, 512, [], "f0d7", ["M310.6 246.6l-127.1 128C176.4 380.9 168.2 384 160 384s-16.38-3.125-22.63-9.375l-127.1-128C.2244 237.5-2.516 223.7 2.438 211.8S19.07 192 32 192h255.1c12.94 0 24.62 7.781 29.58 19.75S319.8 237.5 310.6 246.6z", ""]],
    "caret-left": [256, 512, [], "f0d9", ["M137.4 406.6l-128-127.1C3.125 272.4 0 264.2 0 255.1s3.125-16.38 9.375-22.63l128-127.1c9.156-9.156 22.91-11.9 34.88-6.943S192 115.1 192 128v255.1c0 12.94-7.781 24.62-19.75 29.58S146.5 415.8 137.4 406.6z", ""]],
    "caret-right": [256, 512, [], "f0da", ["M118.6 105.4l128 127.1C252.9 239.6 256 247.8 256 255.1s-3.125 16.38-9.375 22.63l-128 127.1c-9.156 9.156-22.91 11.9-34.88 6.943S64 396.9 64 383.1V128c0-12.94 7.781-24.62 19.75-29.58S109.5 96.23 118.6 105.4z", ""]],
    "caret-up": [320, 512, [], "f0d8", ["M9.39 265.4l127.1-128C143.6 131.1 151.8 128 160 128s16.38 3.125 22.63 9.375l127.1 128c9.156 9.156 11.9 22.91 6.943 34.88S300.9 320 287.1 320H32.01c-12.94 0-24.62-7.781-29.58-19.75S.2333 274.5 9.39 265.4z", ""]],
    "carrot": [512, 512, [129365], "f787", ["M298.2 156.6C245.5 130.9 183.7 146.1 147.1 189.4l55.27 55.31c6.25 6.25 6.25 16.33 0 22.58c-3.127 3-7.266 4.605-11.39 4.605s-8.068-1.605-11.19-4.605L130.3 217l-128.1 262.8c-2.875 6-3 13.25 0 19.63c5.5 11.12 19 15.75 30 10.38l133.6-65.25L116.7 395.3c-6.377-6.125-6.377-16.38 0-22.5c6.25-6.25 16.37-6.25 22.5 0l56.98 56.98l102-49.89c24-11.63 44.5-31.26 57.13-57.13C385.5 261.1 359.9 186.8 298.2 156.6z", "M512 152c-41.63 50.25-107.5 52.5-151.9 7.875l-8-8C307.5 107.5 309.7 41.75 359.1 0c39.75 32.88 49.75 81 30.25 121.8C430.1 102.3 479.1 112.3 512 152z"]],
    "cars": [640, 512, [], "f85b", ["M138.6 .0003H277.4C311.8 .0003 342.4 22.03 353.3 54.7L377.7 128H362.6C314.4 128 271.6 158.8 256.3 204.6L233.6 272.9C227.3 277.3 221.5 282.3 216.5 288H80V320C80 337.7 65.67 352 48 352H32C14.33 352 .0003 337.7 .0003 320L0 192C0 166.6 14.75 144.7 36.15 134.4L62.7 54.7C73.59 22.03 104.2 0 138.6 0V.0003zM138.6 64C131.7 64 125.6 68.41 123.4 74.94L105.7 128H310.3L292.6 74.94C290.4 68.41 284.3 64 277.4 64H138.6zM80 232C93.25 232 104 221.3 104 208C104 194.7 93.25 184 80 184C66.75 184 56 194.7 56 208C56 221.3 66.75 232 80 232z", "M260.1 294.4L286.7 214.7C297.6 182 328.2 160 362.6 160H501.4C535.8 160 566.4 182 577.3 214.7L603.9 294.4C625.2 304.7 640 326.6 640 352L640 480C640 497.7 625.7 512 608 512H592C574.3 512 560 497.7 560 480V448H304V480C304 497.7 289.7 512 272 512H256C238.3 512 224 497.7 224 480L224 352C224 326.6 238.8 304.7 260.1 294.4V294.4zM329.7 288H534.3L516.6 234.9C514.4 228.4 508.3 224 501.4 224H362.6C355.7 224 349.6 228.4 347.4 234.9L329.7 288zM304 344C290.7 344 280 354.7 280 368C280 381.3 290.7 392 304 392C317.3 392 328 381.3 328 368C328 354.7 317.3 344 304 344zM560 392C573.3 392 584 381.3 584 368C584 354.7 573.3 344 560 344C546.7 344 536 354.7 536 368C536 381.3 546.7 392 560 392z"]],
    "cart-arrow-down": [576, 512, [], "f218", ["M311.1 142.1L288.1 119C279.6 109.7 264.4 109.7 255 119C245.7 128.4 245.7 143.6 255 152.1L319 216.1C328.4 226.3 343.6 226.3 352.1 216.1L416.1 152.1C426.3 143.6 426.3 128.4 416.1 119C407.6 109.7 392.4 109.7 383 119L359.1 142.1V32H541.8C562.1 32 578.3 52.25 572.6 72.66L518.6 264.7C514.7 278.5 502.1 288 487.8 288H170.7L121.1 32H311.1L311.1 142.1z", "M96 0C107.5 0 117.4 8.19 119.6 19.51L179.9 336H488C501.3 336 512 346.7 512 360C512 373.3 501.3 384 488 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.25 0 24C0 10.75 10.75 0 24 0H96zM128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464zM512 464C512 490.5 490.5 512 464 512C437.5 512 416 490.5 416 464C416 437.5 437.5 416 464 416C490.5 416 512 437.5 512 464zM383 119C392.4 109.7 407.6 109.7 416.1 119C426.3 128.4 426.3 143.6 416.1 152.1L352.1 216.1C343.6 226.3 328.4 226.3 319 216.1L255 152.1C245.7 143.6 245.7 128.4 255 119C264.4 109.7 279.6 109.7 288.1 119L312 142.1V32H360V142.1L383 119z"]],
    "cart-arrow-up": [576, 512, [], "e3ee", ["M312 288H170.7L121.1 32H541.8C562.1 32 578.3 52.25 572.6 72.66L518.6 264.7C514.7 278.5 502.1 288 487.8 288H360V177.9L383 200.1C392.4 210.3 407.6 210.3 416.1 200.1C426.3 191.6 426.3 176.4 416.1 167L352.1 103C343.6 93.66 328.4 93.66 319 103L255 167C245.7 176.4 245.7 191.6 255 200.1C264.4 210.3 279.6 210.3 288.1 200.1L312 177.9V288z", "M96 0C107.5 0 117.4 8.19 119.6 19.51L179.9 336H488C501.3 336 512 346.7 512 360C512 373.3 501.3 384 488 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.25 0 24C0 10.75 10.75 0 24 0H96zM128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464zM512 464C512 490.5 490.5 512 464 512C437.5 512 416 490.5 416 464C416 437.5 437.5 416 464 416C490.5 416 512 437.5 512 464zM288.1 200.1C279.6 210.3 264.4 210.3 255 200.1C245.7 191.6 245.7 176.4 255 167L319 103C328.4 93.66 343.6 93.66 352.1 103L416.1 167C426.3 176.4 426.3 191.6 416.1 200.1C407.6 210.3 392.4 210.3 383 200.1L360 177.9V288H312V177.9L288.1 200.1z"]],
    "cart-circle-arrow-down": [640, 512, [], "e3ef", ["M0 24C0 10.75 10.75 0 24 0H96C107.5 0 117.4 8.19 119.6 19.51L121.1 32H541.8C562.1 32 578.3 52.25 572.6 72.66L537.6 196.9C524.3 193.7 510.3 192 496 192C427.6 192 368.3 231 339.2 288H170.7L179.9 336H322.9C320.1 346.4 319.1 357.1 319.1 368C319.1 373.4 320.2 378.7 320.7 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.26 0 24L0 24zM224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464z", "M496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224zM563.3 387.3C569.6 381.1 569.6 370.9 563.3 364.7C557.1 358.4 546.9 358.4 540.7 364.7L512 393.4V304C512 295.2 504.8 288 496 288C487.2 288 480 295.2 480 304V393.4L451.3 364.7C445.1 358.4 434.9 358.4 428.7 364.7C422.4 370.9 422.4 381.1 428.7 387.3L484.7 443.3C490.9 449.6 501.1 449.6 507.3 443.3L563.3 387.3z"]],
    "cart-circle-arrow-up": [640, 512, [], "e3f0", ["M0 24C0 10.75 10.75 0 24 0H96C107.5 0 117.4 8.19 119.6 19.51L121.1 32H541.8C562.1 32 578.3 52.25 572.6 72.66L537.6 196.9C524.3 193.7 510.3 192 496 192C427.6 192 368.3 231 339.2 288H170.7L179.9 336H322.9C320.1 346.4 319.1 357.1 319.1 368C319.1 373.4 320.2 378.7 320.7 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.26 0 24L0 24zM224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464z", "M496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512zM428.7 348.7C422.4 354.9 422.4 365.1 428.7 371.3C434.9 377.6 445.1 377.6 451.3 371.3L480 342.6V432C480 440.8 487.2 448 496 448C504.8 448 512 440.8 512 432V342.6L540.7 371.3C546.9 377.6 557.1 377.6 563.3 371.3C569.6 365.1 569.6 354.9 563.3 348.7L507.3 292.7C501.1 286.4 490.9 286.4 484.7 292.7L428.7 348.7z"]],
    "cart-circle-check": [640, 512, [], "e3f1", ["M0 24C0 10.75 10.75 0 24 0H96C107.5 0 117.4 8.19 119.6 19.51L121.1 32H541.8C562.1 32 578.3 52.25 572.6 72.66L537.6 196.9C524.3 193.7 510.3 192 496 192C427.6 192 368.3 231 339.2 288H170.7L179.9 336H322.9C320.1 346.4 319.1 357.1 319.1 368C319.1 373.4 320.2 378.7 320.7 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.26 0 24L0 24zM224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464z", "M352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM563.3 347.3C569.6 341.1 569.6 330.9 563.3 324.7C557.1 318.4 546.9 318.4 540.7 324.7L480 385.4L451.3 356.7C445.1 350.4 434.9 350.4 428.7 356.7C422.4 362.9 422.4 373.1 428.7 379.3L468.7 419.3C474.9 425.6 485.1 425.6 491.3 419.3L563.3 347.3z"]],
    "cart-circle-exclamation": [640, 512, [], "e3f2", ["M0 24C0 10.75 10.75 0 24 0H96C107.5 0 117.4 8.19 119.6 19.51L121.1 32H541.8C562.1 32 578.3 52.25 572.6 72.66L537.6 196.9C524.3 193.7 510.3 192 496 192C427.6 192 368.3 231 339.2 288H170.7L179.9 336H322.9C320.1 346.4 319.1 357.1 319.1 368C319.1 373.4 320.2 378.7 320.7 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.26 0 24L0 24zM224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464z", "M640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 416C482.7 416 472 426.7 472 440C472 453.3 482.7 464 496 464C509.3 464 520 453.3 520 440C520 426.7 509.3 416 496 416zM511.1 288C511.1 279.2 504.8 272 495.1 272C487.2 272 479.1 279.2 479.1 288V368C479.1 376.8 487.2 384 495.1 384C504.8 384 511.1 376.8 511.1 368V288z"]],
    "cart-circle-plus": [640, 512, [], "e3f3", ["M0 24C0 10.75 10.75 0 24 0H96C107.5 0 117.4 8.19 119.6 19.51L121.1 32H541.8C562.1 32 578.3 52.25 572.6 72.66L537.6 196.9C524.3 193.7 510.3 192 496 192C427.6 192 368.3 231 339.2 288H170.7L179.9 336H322.9C320.1 346.4 319.1 357.1 319.1 368C319.1 373.4 320.2 378.7 320.7 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.26 0 24L0 24zM224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464z", "M496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512zM560 352H512V304C512 295.2 504.8 288 496 288C487.2 288 480 295.2 480 304V352H432C423.2 352 416 359.2 416 368C416 376.8 423.2 384 432 384H480V432C480 440.8 487.2 448 496 448C504.8 448 512 440.8 512 432V384H560C568.8 384 576 376.8 576 368C576 359.2 568.8 352 560 352z"]],
    "cart-circle-xmark": [640, 512, [], "e3f4", ["M0 24C0 10.75 10.75 0 24 0H96C107.5 0 117.4 8.19 119.6 19.51L121.1 32H541.8C562.1 32 578.3 52.25 572.6 72.66L537.6 196.9C524.3 193.7 510.3 192 496 192C427.6 192 368.3 231 339.2 288H170.7L179.9 336H322.9C320.1 346.4 319.1 357.1 319.1 368C319.1 373.4 320.2 378.7 320.7 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.26 0 24L0 24zM224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464z", "M640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM532.7 308.7L496 345.4L459.3 308.7C453.1 302.4 442.9 302.4 436.7 308.7C430.4 314.9 430.4 325.1 436.7 331.3L473.4 368L436.7 404.7C430.4 410.9 430.4 421.1 436.7 427.3C442.9 433.6 453.1 433.6 459.3 427.3L496 390.6L532.7 427.3C538.9 433.6 549.1 433.6 555.3 427.3C561.6 421.1 561.6 410.9 555.3 404.7L518.6 368L555.3 331.3C561.6 325.1 561.6 314.9 555.3 308.7C549.1 302.4 538.9 302.4 532.7 308.7z"]],
    "cart-flatbed": [640, 512, ["dolly-flatbed"], "f474", ["M576 32h-128v128l-48-32L352 160V32H224C206.4 32 192 46.4 192 64v224C192 305.6 206.4 320 224 320h352c17.6 0 32-14.4 32-31.1V64C608 46.4 593.6 32 576 32zM162.9 447.1C161.2 452.1 160 458.4 160 464C160 490.5 181.5 512 208 512S256 490.5 256 464c0-5.625-1.292-11-2.917-16H162.9zM450.1 447.1c-1.75 5-2.928 10.38-2.928 16C448 490.5 469.5 512 496 512c26.5 0 48.01-21.5 48.01-47.1c0-5.625-1.282-11-2.907-16H450.1z", "M448 32v128l-48-32L352 160V32H448zM640 415.1c0 17.6-14.4 32-32 31.1H96C78.4 448 64 433.6 64 415.1V80C64 71.16 56.84 64 48 64H31.1C14.4 64 0 49.6 0 32S14.4 0 31.1 0H64c35.2 0 64 28.8 64 64v320h480C625.6 384 640 398.4 640 415.1z"]],
    "cart-flatbed-boxes": [640, 512, ["dolly-flatbed-alt"], "f475", ["M224 320h128c17.6 0 32-14.4 32-32V64c0-17.6-14.4-32-32-32H224C206.4 32 192 46.4 192 64v224C192 305.6 206.4 320 224 320zM448 160h64c17.6 0 32-14.4 32-32V64c0-17.6-14.4-32-32-32h-64c-17.6 0-32 14.4-32 32v64C416 145.6 430.4 160 448 160zM448 320h128c17.6 0 32-14.4 32-32V224c0-17.6-14.4-32-32-32h-128c-17.6 0-32 14.4-32 32v64C416 305.6 430.4 320 448 320zM162.9 447.1C161.2 452.1 160 458.4 160 464C160 490.5 181.5 512 208 512S256 490.5 256 464c0-5.625-1.292-11-2.917-16H162.9zM450.1 447.1c-1.75 5-2.928 10.38-2.928 16c0 26.5 21.49 48 47.99 48c26.5 0 48.01-21.5 48.01-48c0-5.625-1.282-11-2.907-16H450.1z", "M640 415.1c0 17.6-14.4 32-32 31.1H96C78.4 448 64 433.6 64 415.1V80C64 71.16 56.84 64 48 64H31.1C14.4 64 0 49.6 0 32S14.4 0 31.1 0H64c35.2 0 64 28.8 64 64v320h480C625.6 384 640 398.4 640 415.1z"]],
    "cart-flatbed-empty": [640, 512, ["dolly-flatbed-empty"], "f476", ["M162.9 447.1C161.2 452.1 160 458.4 160 464C160 490.5 181.5 512 208 512S256 490.5 256 464c0-5.625-1.292-11-2.917-16H162.9zM450.1 447.1c-1.75 5-2.928 10.38-2.928 16c0 26.5 21.49 48 47.99 48c26.5 0 48.01-21.5 48.01-48c0-5.625-1.282-11-2.907-16H450.1z", "M640 415.1c0 17.6-14.4 32-32 31.1H96C78.4 448 64 433.6 64 415.1V80C64 71.16 56.84 64 48 64H31.1C14.4 64 0 49.6 0 32S14.4 0 31.1 0H64c35.2 0 64 28.8 64 64v320h480C625.6 384 640 398.4 640 415.1z"]],
    "cart-flatbed-suitcase": [640, 512, ["luggage-cart"], "f59d", ["M480 48C480 21.5 458.5 0 432 0h-96C309.5 0 288 21.5 288 48V320h192V48zM432 96h-96V48h96V96zM224 320h32V96H224C206.4 96 192 110.4 192 128v160C192 305.6 206.4 320 224 320zM576 288V128c0-17.62-14.38-32-32-32h-32v224h32C561.6 320 576 305.6 576 288zM253.1 447.1C254.7 452.1 256 458.4 256 464C256 490.5 234.5 512 208 512S160 490.5 160 464c0-5.625 1.153-11 2.903-16H253.1zM541.2 447.1c1.625 5 2.889 10.38 2.889 16c0 26.5-21.51 48-48.01 48s-47.99-21.5-47.99-48c0-5.625 1.168-11 2.918-16H541.2z", "M512 96h-32v224h32V96zM288 96H256v224h32V96zM640 415.1c0 17.6-14.4 32-32 31.1H96C78.4 448 64 433.6 64 415.1V80C64 71.16 56.84 64 48 64H31.1C14.4 64 0 49.6 0 32S14.4 0 31.1 0H64c35.2 0 64 28.8 64 64v320h480C625.6 384 640 398.4 640 415.1z"]],
    "cart-minus": [576, 512, [], "e0db", ["M487.8 288H170.7L121.1 32H541.8C562.1 32 578.3 52.25 572.6 72.66L518.6 264.7C514.7 278.5 502.1 288 487.8 288zM272 140C260.1 140 252 148.1 252 160C252 171 260.1 180 272 180H400C411 180 420 171 420 160C420 148.1 411 140 400 140H272z", "M96 0C107.5 0 117.4 8.19 119.6 19.51L179.9 336H488C501.3 336 512 346.7 512 360C512 373.3 501.3 384 488 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.25 0 24C0 10.75 10.75 0 24 0H96zM128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464zM512 464C512 490.5 490.5 512 464 512C437.5 512 416 490.5 416 464C416 437.5 437.5 416 464 416C490.5 416 512 437.5 512 464zM400 140C411 140 420 148.1 420 160C420 171 411 180 400 180H272C260.1 180 252 171 252 160C252 148.1 260.1 140 272 140H400z"]],
    "cart-plus": [576, 512, [], "f217", ["M121.1 32H541.8C562.1 32 578.3 52.25 572.6 72.66L518.6 264.7C514.7 278.5 502.1 288 487.8 288H170.7L121.1 32zM272 180H316V224C316 235 324.1 244 336 244C347 244 356 235 356 224V180H400C411 180 420 171 420 160C420 148.1 411 140 400 140H356V96C356 84.95 347 76 336 76C324.1 76 316 84.95 316 96V140H272C260.1 140 252 148.1 252 160C252 171 260.1 180 272 180z", "M0 24C0 10.75 10.75 0 24 0H96C107.5 0 117.4 8.19 119.6 19.51L179.9 336H488C501.3 336 512 346.7 512 360C512 373.3 501.3 384 488 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.25 0 24V24zM224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464zM416 464C416 437.5 437.5 416 464 416C490.5 416 512 437.5 512 464C512 490.5 490.5 512 464 512C437.5 512 416 490.5 416 464zM252 160C252 148.1 260.1 140 272 140H316V96C316 84.95 324.1 76 336 76C347 76 356 84.95 356 96V140H400C411 140 420 148.1 420 160C420 171 411 180 400 180H356V224C356 235 347 244 336 244C324.1 244 316 235 316 224V180H272C260.1 180 252 171 252 160z"]],
    "cart-shopping": [576, 512, [128722, "shopping-cart"], "f07a", ["M121.1 32H541.8C562.1 32 578.3 52.25 572.6 72.66L518.6 264.7C514.7 278.5 502.1 288 487.8 288H170.7L121.1 32z", "M0 24C0 10.75 10.75 0 24 0H96C107.5 0 117.4 8.19 119.6 19.51L179.9 336H488C501.3 336 512 346.7 512 360C512 373.3 501.3 384 488 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.25 0 24V24zM224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464zM416 464C416 437.5 437.5 416 464 416C490.5 416 512 437.5 512 464C512 490.5 490.5 512 464 512C437.5 512 416 490.5 416 464z"]],
    "cart-shopping-fast": [640, 512, [], "e0dc", ["M551.8 288H234.7L185.1 32H605.8C626.1 32 642.3 52.25 636.6 72.66L582.6 264.7C578.7 278.5 566.1 288 551.8 288zM104 96C117.3 96 128 106.7 128 120C128 133.3 117.3 144 104 144H24C10.75 144 0 133.3 0 120C0 106.7 10.75 96 24 96H104zM120 176C133.3 176 144 186.7 144 200C144 213.3 133.3 224 120 224H24C10.75 224 0 213.3 0 200C0 186.7 10.75 176 24 176H120zM136 256C149.3 256 160 266.7 160 280C160 293.3 149.3 304 136 304H24C10.75 304 0 293.3 0 280C0 266.7 10.75 256 24 256H136z", "M64 24C64 10.75 74.75 0 88 0H160C171.5 0 181.4 8.19 183.6 19.51L243.9 336H552C565.3 336 576 346.7 576 360C576 373.3 565.3 384 552 384H223.1C212.5 384 202.6 375.8 200.4 364.5L140.1 48H88C74.75 48 64 37.25 64 24V24zM288 464C288 490.5 266.5 512 240 512C213.5 512 192 490.5 192 464C192 437.5 213.5 416 240 416C266.5 416 288 437.5 288 464zM480 464C480 437.5 501.5 416 528 416C554.5 416 576 437.5 576 464C576 490.5 554.5 512 528 512C501.5 512 480 490.5 480 464z"]],
    "cart-xmark": [576, 512, [], "e0dd", ["M121.1 32H541.8C562.1 32 578.3 52.25 572.6 72.66L518.6 264.7C514.7 278.5 502.1 288 487.8 288H170.7L121.1 32zM276.6 128.9L307.7 160L276.6 191.1C268.8 198.9 268.8 211.6 276.6 219.4C284.4 227.2 297.1 227.2 304.9 219.4L336 188.3L367.1 219.4C374.9 227.2 387.6 227.2 395.4 219.4C403.2 211.6 403.2 198.9 395.4 191.1L364.3 160L395.4 128.9C403.2 121.1 403.2 108.4 395.4 100.6C387.6 92.79 374.9 92.79 367.1 100.6L336 131.7L304.9 100.6C297.1 92.79 284.4 92.79 276.6 100.6C268.8 108.4 268.8 121.1 276.6 128.9z", "M0 24C0 10.75 10.75 0 24 0H96C107.5 0 117.4 8.19 119.6 19.51L179.9 336H488C501.3 336 512 346.7 512 360C512 373.3 501.3 384 488 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.25 0 24V24zM224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464zM416 464C416 437.5 437.5 416 464 416C490.5 416 512 437.5 512 464C512 490.5 490.5 512 464 512C437.5 512 416 490.5 416 464zM276.6 100.6C284.4 92.79 297.1 92.79 304.9 100.6L336 131.7L367.1 100.6C374.9 92.79 387.6 92.79 395.4 100.6C403.2 108.4 403.2 121.1 395.4 128.9L364.3 159.1L395.4 191.1C403.2 198.9 403.2 211.6 395.4 219.4C387.6 227.2 374.9 227.2 367.1 219.4L336 188.3L304.9 219.4C297.1 227.2 284.4 227.2 276.6 219.4C268.8 211.6 268.8 198.9 276.6 191.1L307.7 159.1L276.6 128.9C268.8 121.1 268.8 108.4 276.6 100.6V100.6z"]],
    "cash-register": [512, 512, [], "f788", ["M288 0C305.7 0 320 14.33 320 32V96C320 113.7 305.7 128 288 128H208V160H144V128H64C46.33 128 32 113.7 32 96V32C32 14.33 46.33 0 64 0H288zM96 48C87.16 48 80 55.16 80 64C80 72.84 87.16 80 96 80H256C264.8 80 272 72.84 272 64C272 55.16 264.8 48 256 48H96zM136 240C136 253.3 125.3 264 112 264C98.75 264 88 253.3 88 240C88 226.7 98.75 216 112 216C125.3 216 136 226.7 136 240zM184 240C184 226.7 194.7 216 208 216C221.3 216 232 226.7 232 240C232 253.3 221.3 264 208 264C194.7 264 184 253.3 184 240zM184 320C184 333.3 173.3 344 160 344C146.7 344 136 333.3 136 320C136 306.7 146.7 296 160 296C173.3 296 184 306.7 184 320zM280 240C280 226.7 290.7 216 304 216C317.3 216 328 226.7 328 240C328 253.3 317.3 264 304 264C290.7 264 280 253.3 280 240zM280 320C280 333.3 269.3 344 256 344C242.7 344 232 333.3 232 320C232 306.7 242.7 296 256 296C269.3 296 280 306.7 280 320zM376 240C376 226.7 386.7 216 400 216C413.3 216 424 226.7 424 240C424 253.3 413.3 264 400 264C386.7 264 376 253.3 376 240zM376 320C376 333.3 365.3 344 352 344C338.7 344 328 333.3 328 320C328 306.7 338.7 296 352 296C365.3 296 376 306.7 376 320z", "M.0003 448V378.4C.0003 373.6 .3626 368.8 1.084 364.1L23.76 214.4C28.5 183.1 55.39 160 87.03 160H424.1C456.6 160 483.5 183.1 488.2 214.4L510.9 364.1C511.6 368.8 512 373.6 512 378.4V448C512 483.3 483.3 512 448 512H64C28.65 512 0 483.3 0 448H.0003zM80 448H432C440.8 448 448 440.8 448 432C448 423.2 440.8 416 432 416H80C71.16 416 64 423.2 64 432C64 440.8 71.16 448 80 448zM112 216C98.75 216 88 226.7 88 240C88 253.3 98.75 264 112 264C125.3 264 136 253.3 136 240C136 226.7 125.3 216 112 216zM208 264C221.3 264 232 253.3 232 240C232 226.7 221.3 216 208 216C194.7 216 184 226.7 184 240C184 253.3 194.7 264 208 264zM160 296C146.7 296 136 306.7 136 320C136 333.3 146.7 344 160 344C173.3 344 184 333.3 184 320C184 306.7 173.3 296 160 296zM304 264C317.3 264 328 253.3 328 240C328 226.7 317.3 216 304 216C290.7 216 280 226.7 280 240C280 253.3 290.7 264 304 264zM256 296C242.7 296 232 306.7 232 320C232 333.3 242.7 344 256 344C269.3 344 280 333.3 280 320C280 306.7 269.3 296 256 296zM400 264C413.3 264 424 253.3 424 240C424 226.7 413.3 216 400 216C386.7 216 376 226.7 376 240C376 253.3 386.7 264 400 264zM352 296C338.7 296 328 306.7 328 320C328 333.3 338.7 344 352 344C365.3 344 376 333.3 376 320C376 306.7 365.3 296 352 296z"]],
    "cassette-betamax": [576, 512, ["betamax"], "f8a4", ["M0 160v272C0 458.5 21.49 480 48 480h480c26.51 0 48-21.49 48-48V160H0zM160 416c-52.95 0-96-43.05-96-96s43.05-96 96-96c52.95 0 96 43.05 96 96S212.1 416 160 416zM512 416h-192V224h192V416z", "M528 32h-480C21.49 32 0 53.49 0 80V160h576V80C576 53.49 554.5 32 528 32zM160 224c-52.95 0-96 43.05-96 96s43.05 96 96 96c52.95 0 96-43.05 96-96S212.1 224 160 224zM160 352c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S177.6 352 160 352z"]],
    "cassette-tape": [576, 512, [128429], "f8ab", ["M512 32H64C28.65 32 0 60.65 0 96v336C0 458.5 21.49 480 48 480h46.27l35.37-106.1C133.1 360.8 146.2 352 159.1 352H416c13.77 0 26 8.813 30.36 21.88L481.7 480H528c26.51 0 48-21.49 48-48V96C576 60.65 547.3 32 512 32zM416 288H160C115.8 288 80 252.2 80 208S115.8 128 160 128h256c44.18 0 80 35.82 80 80S460.2 288 416 288zM160 384l-32 96h320l-32-96H160z", "M416 128H160C115.8 128 80 163.8 80 208S115.8 288 160 288h256c44.18 0 80-35.82 80-80S460.2 128 416 128zM342.8 176C338.5 185.8 336 196.6 336 208s2.461 22.19 6.754 32H233.2C237.5 230.2 240 219.4 240 208s-2.461-22.19-6.754-32H342.8zM144 208C144 199.2 151.2 192 160 192s16 7.178 16 16S168.8 224 160 224S144 216.8 144 208zM416 224c-8.822 0-16-7.178-16-16S407.2 192 416 192s16 7.178 16 16S424.8 224 416 224z"]],
    "cassette-vhs": [576, 512, [128252, "vhs"], "f8ec", ["M0 432c0 26.51 21.49 48 48 48h480c26.51 0 48-21.49 48-48v-304H0V432zM416 224l48.87 0C483.1 245.3 496 273.1 496 304s-12 58.75-31.13 80L416 384V224zM224 224h128v159.1H224V224zM111.1 224L160 224v159.1l-48.87 0C92 362.8 80 334.9 80 304S92 245.3 111.1 224z", "M80 304c0 30.88 11.99 58.74 31.13 80L160 384v-34.97c-24.89-8.691-38.01-35.88-29.32-60.77C135.5 274.5 146.3 263.8 160 258.1V224L111.1 224C91.99 245.3 80 273.1 80 304zM416 224V258.1c24.89 8.693 38.01 35.88 29.32 60.77C440.5 333.5 429.7 344.2 416 349v34.97l48.87 0C484 362.7 496 334.9 496 304c0-30.87-11.99-58.74-31.13-79.1L416 224zM528 32h-480C21.49 32 0 53.49 0 80v48h576V80C576 53.49 554.5 32 528 32z"]],
    "castle": [640, 512, [], "e0de", ["M128 16C128 7.164 135.2 0 144 0H176C184.8 0 192 7.164 192 16V64H240V16C240 7.164 247.2 0 256 0H288C296.8 0 304 7.164 304 16V64H336V16C336 7.164 343.2 0 352 0H384C392.8 0 400 7.164 400 16V64H448V16C448 7.164 455.2 0 464 0H496C504.8 0 512 7.164 512 16V224H128V16z", "M0 176C0 167.2 7.164 160 16 160H48C56.84 160 64 167.2 64 176V224H576V176C576 167.2 583.2 160 592 160H624C632.8 160 640 167.2 640 176V464C640 490.5 618.5 512 592 512H384V384C384 348.7 355.3 320 320 320C284.7 320 256 348.7 256 384V512H48C21.49 512 0 490.5 0 464V176z"]],
    "cat": [576, 512, [128008], "f6be", ["M322.6 192C316.4 192 303.9 192.2 288 194.9V288L240.7 209.1C226 215.6 210.9 224.6 196.3 236.1L224 320L160 288V192c0-53-43-96-96-96C46.38 96 32 110.4 32 128s14.38 32 32 32s32 14.38 32 32v256c0 35.25 28.75 64 64 64h176c8.875 0 16-7.125 16-15.1V480c0-17.62-14.38-32-32-32h-32l128-96v144c0 8.875 7.125 16 16 16h32c8.875 0 16-7.125 16-16V289.9c-10.25 2.625-20.88 4.5-32 4.5C386.3 294.4 334.5 250.4 322.6 192zM480 96h-64l-64-64v134.4c0 53 43 95.1 96 95.1s96-42.1 96-95.1V32L480 96zM408 176c-8.875 0-16-7.125-16-16s7.125-16 16-16s16 7.125 16 16S416.9 176 408 176zM488 176c-8.875 0-16-7.125-16-16s7.125-16 16-16s16 7.125 16 16S496.9 176 488 176z", "M488 144c-8.875 0-16 7.125-16 16s7.125 16 16 16s16-7.125 16-16S496.9 144 488 144zM408 144c-8.875 0-16 7.125-16 16s7.125 16 16 16s16-7.125 16-16S416.9 144 408 144zM160 278V288l64 32L196.3 236.1C183.5 247.8 171.1 261.2 160 278zM288 288V194.9c-13.8 2.334-30.18 6.607-47.33 14.22L288 288z"]],
    "cat-space": [640, 512, [], "e001", ["M285 59.24L245.3 42.64L228.7 2.986C227.4 .3529 224.3-.752 221.6 .5566C220.6 1.072 219.7 1.945 219.2 2.986L202.6 42.64L162.1 59.24C160.3 60.56 159.2 63.76 160.6 66.39c.5156 1.029 1.377 1.85 2.407 2.366L202.6 85.36l16.6 39.65c1.307 2.635 4.489 3.738 7.123 2.434C227.4 126.9 228.2 126.1 228.7 125L245.3 85.36l39.65-16.6C287.6 67.44 288.7 64.24 287.4 61.61C286.9 60.58 286 59.76 285 59.24zM448 0c-88.37 0-160 71.63-160 160s71.63 160 160 160s159.1-71.63 159.1-160S536.4 .002 448 0zM544 176c0 53.02-42.98 96-96 96s-96-42.98-96-96v-128l64 64h64l64-64V176z", "M291.9 194.3c-35.84 5.342-91.78 23.26-131.9 83.64V192c-.0586-52.99-43.01-95.94-96-96C46.33 96 32 110.3 32 128c0 17.67 14.33 32 32 32c17.66 .0234 31.98 14.34 32 32v256c.0332 35.33 28.67 63.96 64 64h175.1c8.832 .0039 15.1-7.162 16-15.99V480c0-17.67-14.33-32-32-32H287.1l128-96v144c-.0039 8.83 7.159 15.99 15.99 16h32.01c8.832 .0039 15.1-7.159 16-15.99V316.8C469.5 318.9 458.7 319.1 448 320C371.4 320 307.6 266.2 291.9 194.3zM480 112h-64l-64-64v128c0 53.02 42.98 96 96 96s96-42.98 96-96v-128L480 112zM408 192c-8.836 0-16.02-7.164-16.02-16S399.2 160 408 160c8.838 0 16 7.164 16 16C424 184.8 416.8 191.1 408 192zM488 192c-8.836 0-16.02-7.164-16.02-16S479.2 160 488 160s16 7.164 16 16C504 184.8 496.9 191.1 488 192z"]],
    "cauldron": [448, 512, [], "f6bf", ["M192 32C192 49.67 177.7 64 160 64C142.3 64 128 49.67 128 32C128 14.33 142.3 0 160 0C177.7 0 192 14.33 192 32zM160 160V288C160 305.7 145.7 320 128 320C110.3 320 96 305.7 96 288V160H160zM224 80C224 53.49 245.5 32 272 32C298.5 32 320 53.49 320 80C320 106.5 298.5 128 272 128C245.5 128 224 106.5 224 80z", "M32 224C14.33 224 0 209.7 0 192C0 174.3 14.33 160 32 160H96V288C96 305.7 110.3 320 128 320C145.7 320 160 305.7 160 288V160H416C433.7 160 448 174.3 448 192C448 209.7 433.7 224 416 224H412.9C431.5 256.1 448 297.1 448 334.4C448 371.8 436.1 403.8 416 429.9V488C416 501.3 405.3 512 392 512C378.7 512 368 501.3 368 488V473C327.6 498.5 276.2 512 224 512C171.8 512 120.4 498.5 80 473V488C80 501.3 69.25 512 56 512C42.75 512 32 501.3 32 488V429.9C11.93 403.8 0 371.8 0 334.4C0 297.1 16.46 256.1 35.11 224H32z"]],
    "cedi-sign": [320, 512, [], "e0df", ["M224 66.66C213.6 64.91 202.9 64 192 64C181.1 64 170.4 64.91 160 66.65V32C160 14.33 174.3 0 192 0C209.7 0 224 14.33 224 32V66.66zM224 379.1C213.8 382.6 203.1 384 192 384C180.1 384 170.2 382.6 160 379.1V132C170.2 129.4 180.1 128 192 128C203.1 128 213.8 129.4 224 132V379.1zM224 480C224 497.7 209.7 512 192 512C174.3 512 160 497.7 160 480V445.3C170.4 447.1 181.1 448 192 448C202.9 448 213.6 447.1 224 445.3V480z", "M192 127.1C121.3 127.1 64 185.3 64 255.1C64 326.7 121.3 384 192 384C220.9 384 247.4 374.5 268.8 358.4C282.9 347.8 302.1 350.6 313.6 364.8C324.2 378.9 321.4 398.1 307.2 409.6C275.1 433.7 235.2 448 192 448C85.96 448 0 362 0 256C0 149.1 85.96 64 192 64C235.2 64 275.1 78.3 307.2 102.4C321.4 113 324.2 133.1 313.6 147.2C302.1 161.4 282.9 164.2 268.8 153.6C247.4 137.5 220.9 128 192 128V127.1z"]],
    "cent-sign": [320, 512, [], "e3f5", ["M192 0C209.7 0 224 14.33 224 32V66.66C213.6 64.91 202.9 64 192 64C181.1 64 170.4 64.91 160 66.65V32C160 14.33 174.3 0 192 0zM192 448C202.9 448 213.6 447.1 224 445.3V480C224 497.7 209.7 512 192 512C174.3 512 160 497.7 160 480V445.3C170.4 447.1 181.1 448 192 448z", "M192 127.1C121.3 127.1 64 185.3 64 255.1C64 326.7 121.3 384 192 384C220.9 384 247.4 374.5 268.8 358.4C282.9 347.8 302.1 350.6 313.6 364.8C324.2 378.9 321.4 398.1 307.2 409.6C275.1 433.7 235.2 448 192 448C85.96 448 0 362 0 256C0 149.1 85.96 64 192 64C235.2 64 275.1 78.3 307.2 102.4C321.4 113 324.2 133.1 313.6 147.2C302.1 161.4 282.9 164.2 268.8 153.6C247.4 137.5 220.9 128 192 128V127.1z"]],
    "certificate": [512, 512, [], "f0a3", ["M256 53.46L300.1 7.261C307 1.034 315.1-1.431 324.4 .8185C332.8 3.068 339.3 9.679 341.4 18.1L357.3 80.6L419.3 63.07C427.7 60.71 436.7 63.05 442.8 69.19C448.1 75.34 451.3 84.33 448.9 92.69L431.4 154.7L493.9 170.6C502.3 172.7 508.9 179.2 511.2 187.6C513.4 196 510.1 204.1 504.7 211L458.5 256L504.7 300.1C510.1 307 513.4 315.1 511.2 324.4C508.9 332.8 502.3 339.3 493.9 341.4L431.4 357.3L448.9 419.3C451.3 427.7 448.1 436.7 442.8 442.8C436.7 448.1 427.7 451.3 419.3 448.9L357.3 431.4L341.4 493.9C339.3 502.3 332.8 508.9 324.4 511.2C315.1 513.4 307 510.1 300.1 504.7L256 458.5L211 504.7C204.1 510.1 196 513.4 187.6 511.2C179.2 508.9 172.7 502.3 170.6 493.9L154.7 431.4L92.69 448.9C84.33 451.3 75.34 448.1 69.19 442.8C63.05 436.7 60.71 427.7 63.07 419.3L80.6 357.3L18.1 341.4C9.679 339.3 3.068 332.8 .8186 324.4C-1.431 315.1 1.034 307 7.261 300.1L53.46 256L7.261 211C1.034 204.1-1.431 196 .8186 187.6C3.068 179.2 9.679 172.7 18.1 170.6L80.6 154.7L63.07 92.69C60.71 84.33 63.05 75.34 69.19 69.19C75.34 63.05 84.33 60.71 92.69 63.07L154.7 80.6L170.6 18.1C172.7 9.679 179.2 3.068 187.6 .8185C196-1.431 204.1 1.034 211 7.261L256 53.46z", ""]],
    "chair": [448, 512, [129681], "f6c0", ["M384 288l-.0123-160c0-70.69-57.31-128-128-128H191.1C121.3 0 63.98 57.31 63.98 128l.0158 160h48L111.1 128c0-29.48 16.2-54.1 40-68.87L151.1 288h48L199.1 48h48L248 288h47.1l-.016-228.9C319.8 73 335.1 98.52 335.1 128l.0189 160H384zM31.1 496c0 8.836 7.164 16 16 16h32c8.838 0 16-7.164 16-16V384h-64L31.1 496zM352 384v112c0 8.836 7.164 16 16 16h31.1c8.838 0 16-7.164 16-16L416 384H352z", "M445.1 338.6l-14.77-32C425.1 295.3 413.7 288 401.2 288H46.76C34.28 288 22.94 295.3 17.7 306.6l-14.77 32c-4.563 9.906-3.766 21.47 2.109 30.66S21.09 384 31.1 384h384c10.91 0 21.08-5.562 26.95-14.75S449.6 348.5 445.1 338.6z"]],
    "chair-office": [448, 512, [], "f6c1", ["M256 451.4V384H192v67.38c-28.25 6-51 19.62-61.88 37.25C123.8 498.9 132.5 512 145.1 512h157.8c12.62 0 21.38-13.12 15-23.38C307 471 284.3 457.4 256 451.4zM287.1 0h-128C124.6 0 95.98 28.62 95.98 64L96 288h256l-.0137-224C351.1 28.62 323.4 0 287.1 0z", "M403.6 309.9C399.4 296.8 387.1 288 373.3 288h-298.5c-13.88 0-26 8.75-30.38 21.88l-10.75 32C26.75 362.6 42.12 384 63.1 384H384c21.75 0 37.25-21.38 30.37-42.13L403.6 309.9zM64 224L64 160c0-17.62-14.38-32-32-32S0 142.4 0 160v64c0 17.62 14.38 32 32 32S64 241.6 64 224zM416 128c-17.62 0-32 14.38-32 32l-.0052 64c0 17.62 14.38 32 32.01 32s32-14.38 32-32V160C448 142.4 433.6 128 416 128z"]],
    "chalkboard": [576, 512, ["blackboard"], "f51b", ["M560 416H544V72C544 50 525.1 32 504 32H72C49.1 32 32 50 32 72V416H16C7.164 416 0 423.2 0 432v32C0 472.8 7.164 480 16 480h544c8.836 0 16-7.164 16-16v-32C576 423.2 568.8 416 560 416zM96 416V96h384v320H96z", "M480 96v320h-64v-48c0-8.838-7.164-16-16-16h-160C231.2 352 224 359.2 224 368V416H96V96H480z"]],
    "chalkboard-user": [640, 512, ["chalkboard-teacher"], "f51c", ["M592 0h-384C181.5 0 160 22.25 160 49.63V96c23.42 0 45.1 6.781 63.1 17.81V64h352v288H287.3c22.07 16.48 39.54 38.5 50.76 64h253.9C618.5 416 640 393.8 640 366.4V49.63C640 22.25 618.5 0 592 0z", "M160 320c53.02 0 96-42.98 96-96c0-53.02-42.98-96-96-96C106.1 128 64 170.1 64 224C64 277 106.1 320 160 320zM192 352H128c-70.69 0-128 57.31-128 128c0 17.67 14.33 32 32 32h256c17.67 0 32-14.33 32-32C320 409.3 262.7 352 192 352zM224 64v49.81C262.1 136 288 176.8 288 224c0 41.81-20.14 78.1-51.24 102.4C255.3 331.8 272.2 340.7 287.3 352h96.69V304c0-8.838 7.164-16 16-16h96c8.836 0 16 7.162 16 16V352h64V64H224z"]],
    "champagne-glass": [256, 512, ["glass-champagne"], "f79e", ["M168.7 64l22.86 156.5c3.825 29.45-16.42 57.48-47.11 65.18c-10.78 2.705-22.05 2.705-32.83 0C80.9 277.1 60.65 249.9 64.34 221.5L87.34 64H168.7zM196.2 0H59.77c-15.1 0-29.49 11.75-31.74 27.38L1.033 212.3c-8.248 63.5 34.23 120.3 94.97 135.5V464H56.01c-22.12 0-39.99 17.88-39.99 40c0 4.375 3.624 8 7.999 8h207.1c4.374 0 7.998-3.625 7.998-8c0-22.12-17.87-40-39.99-40h-39.99v-116.3c60.74-15.25 103.2-71.96 94.98-135.5l-26.99-184.9C225.7 11.75 212.2 0 196.2 0z", "M191.5 220.5c3.825 29.45-16.42 57.48-47.11 65.18c-10.78 2.707-22.05 2.707-32.83 0C80.9 277.1 60.65 249.9 64.34 221.5L77.99 128h100L191.5 220.5z"]],
    "champagne-glasses": [640, 512, [129346, "glass-cheers"], "f79f", ["M639.4 433.6c-6.318-15.37-21.18-24.7-36.84-24.7c-5.095 0-10.28 .989-15.28 3.075l-22.12 9.249l-38.75-101.1c47.87-34.1 64.87-100.2 34.5-152.7l-86.62-150.5c-5.863-10.17-16.56-16.04-27.76-16.04c-4.084-.0039-8.23 .7781-12.24 2.415l-114.2 47.37L205.8 2.415c-4.006-1.636-8.156-2.415-12.24-2.415c-11.2 0-21.9 5.871-27.76 16.04L79.15 166.5C48.9 219 65.78 284.3 113.6 319.2l-38.75 101.9L52.78 411.9c-4.1-2.086-10.18-3.075-15.26-3.075c-15.64 0-30.45 9.324-36.86 24.7c-1.75 4.124 .125 8.749 4.25 10.5l162.4 67.37C168.3 511.8 169.3 512 170.4 512c3.053 0 5.961-1.827 7.267-4.905c8.374-20.37-1.25-43.87-21.62-52.37l-22.12-9.124l39.37-103.6c4.5 .4999 8.874 1.25 13.12 1.25c51.75 0 99.37-32.1 113.4-85.24l20.25-75.36l20.25 75.36c13.1 52.24 61.62 85.24 113.4 85.24c4.25 0 8.624-.7499 13.12-1.25l39.25 103.6l-22.12 9.124c-20.37 8.499-30.12 31.1-21.62 52.37C463.6 510.2 466.5 512 469.6 512c1.051 0 2.113-.21 3.127-.6552l162.4-67.37C639.1 442.2 641.1 437.7 639.4 433.6zM237.9 241.4c-5.25 19.59-20.03 31.06-35.17 35.59C192.1 280.2 169.4 280.8 151.4 267.6C128.7 250.1 121.5 221.3 134.6 198.4l72.61-126.1l68.53 28.41L237.9 241.4zM488.7 267.6c-18.03 13.18-40.71 12.63-51.36 9.448c-15.15-4.535-29.92-16.01-35.17-35.59l-37.81-140.7l68.53-28.41l72.61 126.1C518.6 221.3 511.4 250.1 488.7 267.6z", "M261.3 154.5L237.9 241.4c-5.25 19.59-20.03 31.06-35.17 35.59C192.1 280.2 169.4 280.8 151.4 267.6C128.7 250.1 121.5 221.3 134.6 198.4l44.81-77.85L261.3 154.5zM505.5 198.4l-43.38-75.36L379.5 157.3l22.6 84.13c5.25 19.59 20.03 31.06 35.17 35.59c10.65 3.183 33.33 3.73 51.36-9.448C511.4 250.1 518.6 221.3 505.5 198.4z"]],
    "charging-station": [576, 512, [], "f5e7", ["M32 64C32 28.65 60.65 0 96 0H256C291.3 0 320 28.65 320 64V448H32V64zM223.2 101.1C225.5 94.24 222.9 86.74 216.9 82.72C210.1 78.71 203 79.17 197.6 83.85L85.59 179.9C80.5 184.2 78.67 191.3 80.99 197.6C83.32 203.8 89.3 208 95.1 208H153.8L128.8 282.9C126.5 289.8 129.1 297.3 135.1 301.3C141 305.3 148.1 304.8 154.4 300.1L266.4 204.1C271.5 199.8 273.3 192.7 271 186.4C268.7 180.2 262.7 176 256 176H198.2L223.2 101.1z", "M480 128H512V80C512 71.16 519.2 64 528 64C536.8 64 544 71.16 544 80V128H560C568.8 128 576 135.2 576 144V176C576 211.8 552.5 242.1 520 252.3V376C520 415.8 487.8 448 448 448C408.2 448 376 415.8 376 376V344C376 321.9 358.1 304 336 304H320V256H336C384.6 256 424 295.4 424 344V376C424 389.3 434.7 400 448 400C461.3 400 472 389.3 472 376V252.3C439.5 242.1 416 211.8 416 176V144C416 135.2 423.2 128 432 128H448V80C448 71.16 455.2 64 464 64C472.8 64 480 71.16 480 80V128zM0 480C0 462.3 14.33 448 32 448H320C337.7 448 352 462.3 352 480C352 497.7 337.7 512 320 512H32C14.33 512 0 497.7 0 480z"]],
    "chart-area": [512, 512, ["area-chart"], "f1fe", ["M32 32C49.67 32 64 46.33 64 64V400C64 408.8 71.16 416 80 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H80C35.82 480 0 444.2 0 400V64C0 46.33 14.33 32 32 32z", "M448 352H160C142.3 352 128 337.7 128 319.1V236C128 228.3 130.8 220.8 135.9 214.1L215.3 124.2C228.3 109.4 251.4 109.7 263.1 124.8L303.2 171.8C312.2 182.7 328.6 183.4 338.6 173.4L359.6 152.4C372.7 139.3 394.4 140.1 406.5 154.2L472.3 231C477.3 236.8 480 244.2 480 251.8V320C480 337.7 465.7 352 448 352L448 352z"]],
    "chart-bar": [512, 512, ["bar-chart"], "f080", ["M32 32C49.67 32 64 46.33 64 64V400C64 408.8 71.16 416 80 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H80C35.82 480 0 444.2 0 400V64C0 46.33 14.33 32 32 32z", "M352 96C369.7 96 384 110.3 384 128C384 145.7 369.7 160 352 160H160C142.3 160 128 145.7 128 128C128 110.3 142.3 96 160 96H352zM288 192C305.7 192 320 206.3 320 224C320 241.7 305.7 256 288 256H160C142.3 256 128 241.7 128 224C128 206.3 142.3 192 160 192H288zM416 288C433.7 288 448 302.3 448 320C448 337.7 433.7 352 416 352H160C142.3 352 128 337.7 128 320C128 302.3 142.3 288 160 288H416z"]],
    "chart-bullet": [512, 512, [], "e0e1", ["M160 64H240V128H160V64zM448 128H288V64H464C490.5 64 512 85.49 512 112V176C512 202.5 490.5 224 464 224H288V160H448V128zM160 160H240V224H160V160zM384 384H448V352H384V288H464C490.5 288 512 309.5 512 336V400C512 426.5 490.5 448 464 448H384V384zM256 352V288H336V352H256zM336 384V448H256V384H336z", "M264 32C277.3 32 288 42.75 288 56V232C288 245.3 277.3 256 264 256C250.7 256 240 245.3 240 232V56C240 42.75 250.7 32 264 32zM160 64V224H48C21.49 224 0 202.5 0 176V112C0 85.49 21.49 64 48 64H160zM256 288V448H48C21.49 448 0 426.5 0 400V336C0 309.5 21.49 288 48 288H256zM384 456C384 469.3 373.3 480 360 480C346.7 480 336 469.3 336 456V280C336 266.7 346.7 256 360 256C373.3 256 384 266.7 384 280V456z"]],
    "chart-candlestick": [512, 512, [], "e0e2", ["M32 32C49.67 32 64 46.33 64 64V400C64 408.8 71.16 416 80 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H80C35.82 480 0 444.2 0 400V64C0 46.33 14.33 32 32 32z", "M304 32C312.8 32 320 39.16 320 48V96C337.7 96 352 110.3 352 128V224C352 241.7 337.7 256 320 256V304C320 312.8 312.8 320 304 320C295.2 320 288 312.8 288 304V256C270.3 256 256 241.7 256 224V128C256 110.3 270.3 96 288 96V48C288 39.16 295.2 32 304 32zM416 144C416 135.2 423.2 128 432 128C440.8 128 448 135.2 448 144V192C465.7 192 480 206.3 480 224V288C480 305.7 465.7 320 448 320V368C448 376.8 440.8 384 432 384C423.2 384 416 376.8 416 368V320C398.3 320 384 305.7 384 288V224C384 206.3 398.3 192 416 192V144zM128 160C128 142.3 142.3 128 160 128V80C160 71.16 167.2 64 176 64C184.8 64 192 71.16 192 80V128C209.7 128 224 142.3 224 160V288C224 305.7 209.7 320 192 320V368C192 376.8 184.8 384 176 384C167.2 384 160 376.8 160 368V320C142.3 320 128 305.7 128 288V160z"]],
    "chart-column": [512, 512, [], "e0e3", ["M32 32C49.67 32 64 46.33 64 64V400C64 408.8 71.16 416 80 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H80C35.82 480 0 444.2 0 400V64C0 46.33 14.33 32 32 32z", "M480 320C480 337.7 465.7 352 448 352C430.3 352 416 337.7 416 320V96C416 78.33 430.3 64 448 64C465.7 64 480 78.33 480 96V320zM288 320C288 337.7 273.7 352 256 352C238.3 352 224 337.7 224 320V160C224 142.3 238.3 128 256 128C273.7 128 288 142.3 288 160V320zM192 320C192 337.7 177.7 352 160 352C142.3 352 128 337.7 128 320V256C128 238.3 142.3 224 160 224C177.7 224 192 238.3 192 256V320zM352 192C369.7 192 384 206.3 384 224V320C384 337.7 369.7 352 352 352C334.3 352 320 337.7 320 320V224C320 206.3 334.3 192 352 192z"]],
    "chart-gantt": [512, 512, [], "e0e4", ["M32 32C49.67 32 64 46.33 64 64V400C64 408.8 71.16 416 80 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H80C35.82 480 0 444.2 0 400V64C0 46.33 14.33 32 32 32z", "M256 96C273.7 96 288 110.3 288 128C288 145.7 273.7 160 256 160H160C142.3 160 128 145.7 128 128C128 110.3 142.3 96 160 96H256zM352 192C369.7 192 384 206.3 384 224C384 241.7 369.7 256 352 256H224C206.3 256 192 241.7 192 224C192 206.3 206.3 192 224 192H352zM448 288C465.7 288 480 302.3 480 320C480 337.7 465.7 352 448 352H384C366.3 352 352 337.7 352 320C352 302.3 366.3 288 384 288H448z"]],
    "chart-line": [512, 512, ["line-chart"], "f201", ["M32 32C49.67 32 64 46.33 64 64V400C64 408.8 71.16 416 80 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H80C35.82 480 0 444.2 0 400V64C0 46.33 14.33 32 32 32z", "M470.6 105.4C483.1 117.9 483.1 138.1 470.6 150.6L342.6 278.6C330.1 291.1 309.9 291.1 297.4 278.6L239.1 221.3L150.6 310.6C138.1 323.1 117.9 323.1 105.4 310.6C92.88 298.1 92.88 277.9 105.4 265.4L217.4 153.4C229.9 140.9 250.1 140.9 262.6 153.4L320 210.7L425.4 105.4C437.9 92.88 458.1 92.88 470.6 105.4z"]],
    "chart-line-down": [512, 512, [128201], "f64d", ["M32 32C49.67 32 64 46.33 64 64V400C64 408.8 71.16 416 80 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H80C35.82 480 0 444.2 0 400V64C0 46.33 14.33 32 32 32z", "M406.6 201.4L439 168.1C454.1 153.9 480 164.6 480 185.9V295.1C480 309.3 469.3 319.1 456 319.1H345.9C324.6 319.1 313.8 294.1 328.1 279L361.4 246.6L304 189.3L230.6 262.6C218.1 275.1 197.9 275.1 185.4 262.6L105.4 182.6C92.88 170.1 92.88 149.9 105.4 137.4C117.9 124.9 138.1 124.9 150.6 137.4L207.1 194.7L281.4 121.4C293.9 108.9 314.1 108.9 326.6 121.4L406.6 201.4z"]],
    "chart-line-up": [512, 512, [], "e0e5", ["M32 32C49.67 32 64 46.33 64 64V400C64 408.8 71.16 416 80 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H80C35.82 480 0 444.2 0 400V64C0 46.33 14.33 32 32 32z", "M326.6 326.6C314.1 339.1 293.9 339.1 281.4 326.6L207.1 253.3L150.6 310.6C138.1 323.1 117.9 323.1 105.4 310.6C92.88 298.1 92.88 277.9 105.4 265.4L185.4 185.4C197.9 172.9 218.1 172.9 230.6 185.4L304 258.7L361.4 201.4L328.1 168.1C313.9 153.9 324.6 128 345.9 128H456C469.3 128 480 138.7 480 152V262.1C480 283.4 454.1 294.1 439 279L406.6 246.6L326.6 326.6z"]],
    "chart-mixed": [512, 512, ["analytics"], "f643", ["M224 256V448C224 465.7 209.7 480 192 480C174.3 480 160 465.7 160 448V256C160 238.3 174.3 224 192 224C209.7 224 224 238.3 224 256zM96 352V448C96 465.7 81.67 480 64 480C46.33 480 32 465.7 32 448V352C32 334.3 46.33 320 64 320C81.67 320 96 334.3 96 352zM288 320C288 302.3 302.3 288 320 288C337.7 288 352 302.3 352 320V448C352 465.7 337.7 480 320 480C302.3 480 288 465.7 288 448V320zM480 256V448C480 465.7 465.7 480 448 480C430.3 480 416 465.7 416 448V256C416 238.3 430.3 224 448 224C465.7 224 480 238.3 480 256z", "M504.1 44.01C516 57.81 513.8 77.95 499.1 88.99L339.1 216.1C328.6 226.1 312.5 226.4 300.8 217.6L192.6 136.5L51.99 248.1C38.19 260 18.05 257.8 7.013 243.1C-4.028 230.2-1.79 210.1 12.01 199L172 71.01C183.4 61.9 199.5 61.65 211.2 70.4L319.4 151.5L460 39.01C473.8 27.97 493.9 30.21 504.1 44.01H504.1z"]],
    "chart-network": [640, 512, [], "f78a", ["M305.6 163.2C315.4 161.1 325.6 159.1 336 159.1C372.1 159.1 405 173.3 430.3 195.2L512.4 134.1C514.9 158.1 529.7 177.6 550.2 186.6L468.2 246.8C475.8 264.3 480 283.7 480 303.1C480 319.6 477.5 334.7 472.9 348.8L544.9 392C525.6 402.8 512.4 423.3 512 446.9L439.9 403.7C413.7 430.1 376.8 448 336 448C267.5 448 210.1 400.1 195.6 336H119.4C124.9 326.6 128 315.7 128 304C128 292.3 124.9 281.4 119.4 271.1H195.6C203 239 221.8 210.4 247.6 190.3L218.4 127.8C220.3 127.9 222.1 128 224 128C245.7 128 264.9 117.2 276.4 100.7L305.6 163.2zM336 384C380.2 384 416 348.2 416 303.1C416 259.8 380.2 223.1 336 223.1C291.8 223.1 255.1 259.8 255.1 303.1C255.1 348.2 291.8 384 336 384z", "M160 64C160 28.65 188.7 0 224 0C259.3 0 288 28.65 288 64C288 99.35 259.3 128 224 128C188.7 128 160 99.35 160 64zM512 128C512 92.65 540.7 64 576 64C611.3 64 640 92.65 640 128C640 163.3 611.3 192 576 192C540.7 192 512 163.3 512 128zM640 448C640 483.3 611.3 512 576 512C540.7 512 512 483.3 512 448C512 412.7 540.7 384 576 384C611.3 384 640 412.7 640 448zM0 304C0 268.7 28.65 240 64 240C99.35 240 128 268.7 128 304C128 339.3 99.35 368 64 368C28.65 368 0 339.3 0 304z"]],
    "chart-pie": [576, 512, ["pie-chart"], "f200", ["M32 272C32 150.7 122.1 50.34 238.1 34.25C248.2 32.99 256 40.36 256 49.61V288L412.5 444.5C419.2 451.2 418.7 462.2 411 467.7C371.8 495.6 323.8 512 272 512C139.5 512 32 404.6 32 272z", "M527.4 240H304V16.58C304 7.555 310.1 0 320 0C443.7 0 544 100.3 544 224C544 233 536.4 240 527.4 240zM558.4 288C567.6 288 575 295.8 573.8 305C566.1 360.9 539.1 410.6 499.9 447.3C493.9 452.1 484.5 452.5 478.7 446.7L320 288H558.4z"]],
    "chart-pie-simple": [512, 512, ["chart-pie-alt"], "f64e", ["M224 288H462.4C471.6 288 479 295.8 477.7 305C461.7 421.9 361.4 512 240 512C107.5 512 0 404.6 0 272C0 150.7 90.06 50.34 206.1 34.25C216.2 32.99 224 40.36 224 49.61L224 288z", "M272 16.58C272 7.555 278.1 0 288 0C411.7 0 512 100.3 512 224C512 233 504.4 240 495.4 240H272V16.58z"]],
    "chart-pyramid": [512, 512, [], "e0e6", ["M367.7 192L461 352H50.95L144.3 192H367.7z", "M221.4 59.72C236.9 33.26 275.1 33.26 290.6 59.72L367.7 191.1H144.3L221.4 59.72zM461 352L500.6 419.8C516.2 446.5 496.9 480 466.1 480H45.93C15.06 480-4.179 446.5 11.38 419.8L50.95 352H461z"]],
    "chart-radar": [512, 512, [], "e0e7", ["M107.1 63.75C118.6 44.09 139.6 32 162.4 32H349.6C372.4 32 393.4 44.09 404.9 63.75L498.2 223.8C509.9 243.7 509.9 268.3 498.2 288.2L404.9 448.2C393.4 467.9 372.4 480 349.6 480H162.4C139.6 480 118.6 467.9 107.1 448.2L13.77 288.2C2.141 268.3 2.141 243.7 13.77 223.8L107.1 63.75zM349.6 96H162.4L69.05 256L162.4 416H349.6L442.1 256L349.6 96z", "M330.4 281.4C347.4 285.9 360 301.5 360 319.1C360 342.1 342.1 360 320 360C304.1 360 290.3 350.7 283.9 337.3L186.7 317.8C179.6 324.1 170.2 328 160 328C137.9 328 120 310.1 120 288C120 265.9 137.9 248 160 248L217.6 171.2C216.6 167.7 216 163.9 216 160C216 137.9 233.9 120 256 120C278.1 120 296 137.9 296 160C296 167.6 293.9 174.7 290.2 180.8L330.4 281.4zM249.6 208.6L202 271.9L281.3 287.8L249.6 208.6z"]],
    "chart-scatter": [512, 512, [], "f7ee", ["M32 32C49.67 32 64 46.33 64 64V400C64 408.8 71.16 416 80 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H80C35.82 480 0 444.2 0 400V64C0 46.33 14.33 32 32 32z", "M448 128C448 145.7 433.7 160 416 160C398.3 160 384 145.7 384 128C384 110.3 398.3 96 416 96C433.7 96 448 110.3 448 128zM224 160C224 177.7 209.7 192 192 192C174.3 192 160 177.7 160 160C160 142.3 174.3 128 192 128C209.7 128 224 142.3 224 160zM320 256C320 273.7 305.7 288 288 288C270.3 288 256 273.7 256 256C256 238.3 270.3 224 288 224C305.7 224 320 238.3 320 256zM352 320C352 302.3 366.3 288 384 288C401.7 288 416 302.3 416 320C416 337.7 401.7 352 384 352C366.3 352 352 337.7 352 320zM128 320C128 302.3 142.3 288 160 288C177.7 288 192 302.3 192 320C192 337.7 177.7 352 160 352C142.3 352 128 337.7 128 320z"]],
    "chart-scatter-3d": [512, 512, [], "e0e8", ["M256 32C273.7 32 288 46.33 288 64V273L468.5 423.4C482.1 434.7 483.9 454.9 472.6 468.5C461.3 482.1 441.1 483.9 427.5 472.6L256 329.7L84.49 472.6C70.91 483.9 50.73 482.1 39.42 468.5C28.1 454.9 29.94 434.7 43.51 423.4L223.1 273V64C223.1 46.33 238.3 32 255.1 32H256z", "M0 64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64C64 81.67 49.67 96 32 96C14.33 96 0 81.67 0 64zM416 64C416 81.67 401.7 96 384 96C366.3 96 352 81.67 352 64C352 46.33 366.3 32 384 32C401.7 32 416 46.33 416 64zM416 256C416 273.7 401.7 288 384 288C366.3 288 352 273.7 352 256C352 238.3 366.3 224 384 224C401.7 224 416 238.3 416 256zM448 160C448 142.3 462.3 128 480 128C497.7 128 512 142.3 512 160C512 177.7 497.7 192 480 192C462.3 192 448 177.7 448 160zM160 160C160 177.7 145.7 192 128 192C110.3 192 96 177.7 96 160C96 142.3 110.3 128 128 128C145.7 128 160 142.3 160 160zM64 256C64 273.7 49.67 288 32 288C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224C49.67 224 64 238.3 64 256zM224 448C224 430.3 238.3 416 256 416C273.7 416 288 430.3 288 448C288 465.7 273.7 480 256 480C238.3 480 224 465.7 224 448z"]],
    "chart-scatter-bubble": [512, 512, [], "e0e9", ["M32 32C49.67 32 64 46.33 64 64V400C64 408.8 71.16 416 80 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H80C35.82 480 0 444.2 0 400V64C0 46.33 14.33 32 32 32z", "M320 128C320 92.65 348.7 64 384 64C419.3 64 448 92.65 448 128C448 163.3 419.3 192 384 192C348.7 192 320 163.3 320 128zM288 176C288 202.5 266.5 224 240 224C213.5 224 192 202.5 192 176C192 149.5 213.5 128 240 128C266.5 128 288 149.5 288 176zM288 288C288 252.7 316.7 224 352 224C387.3 224 416 252.7 416 288C416 323.3 387.3 352 352 352C316.7 352 288 323.3 288 288zM128 304C128 277.5 149.5 256 176 256C202.5 256 224 277.5 224 304C224 330.5 202.5 352 176 352C149.5 352 128 330.5 128 304z"]],
    "chart-simple": [448, 512, [], "e473", ["M160 80C160 53.49 181.5 32 208 32H240C266.5 32 288 53.49 288 80V432C288 458.5 266.5 480 240 480H208C181.5 480 160 458.5 160 432V80z", "M400 96C426.5 96 448 117.5 448 144V432C448 458.5 426.5 480 400 480H368C341.5 480 320 458.5 320 432V144C320 117.5 341.5 96 368 96H400zM80 224C106.5 224 128 245.5 128 272V432C128 458.5 106.5 480 80 480H48C21.49 480 0 458.5 0 432V272C0 245.5 21.49 224 48 224H80z"]],
    "chart-simple-horizontal": [448, 512, [], "e474", ["M48 320C21.49 320 0 298.5 0 272V240C0 213.5 21.49 192 48 192H400C426.5 192 448 213.5 448 240V272C448 298.5 426.5 320 400 320H48z", "M384 112C384 138.5 362.5 160 336 160H48C21.49 160 0 138.5 0 112V80C0 53.49 21.49 32 48 32H336C362.5 32 384 53.49 384 80V112zM256 432C256 458.5 234.5 480 208 480H48C21.49 480 0 458.5 0 432V400C0 373.5 21.49 352 48 352H208C234.5 352 256 373.5 256 400V432z"]],
    "chart-tree-map": [512, 512, [], "e0ea", ["M464 192C490.5 192 512 213.5 512 240V272C512 298.5 490.5 320 464 320H304C277.5 320 256 298.5 256 272V240C256 213.5 277.5 192 304 192H464zM176 272C202.5 272 224 293.5 224 320V432C224 458.5 202.5 480 176 480H48C21.49 480 0 458.5 0 432V320C0 293.5 21.49 272 48 272H176z", "M0 80C0 53.49 21.49 32 48 32H176C202.5 32 224 53.49 224 80V192C224 218.5 202.5 240 176 240H48C21.49 240 0 218.5 0 192V80zM256 80C256 53.49 277.5 32 304 32H464C490.5 32 512 53.49 512 80V112C512 138.5 490.5 160 464 160H304C277.5 160 256 138.5 256 112V80zM464 352C490.5 352 512 373.5 512 400V432C512 458.5 490.5 480 464 480H304C277.5 480 256 458.5 256 432V400C256 373.5 277.5 352 304 352H464z"]],
    "chart-user": [640, 512, ["user-chart"], "f6a3", ["M592 0h-384C181.5 0 160 22.25 160 49.63V96c23.42 0 45.1 6.781 64 17.8V64h352v288H287.3c22.07 16.48 39.54 38.5 50.76 64h253.9C618.5 416 640 393.8 640 366.4V49.63C640 22.25 618.5 0 592 0zM312 218l55.01 54.99c9.375 9.375 24.6 9.375 33.98 0L473 201l24.25 24.25C508.6 236.6 528 228.6 528 212.5V124c0-6.625-5.375-12-12-12h-88.5c-16.12 0-24.12 19.38-12.75 30.75L439 167L384 222l-55.01-55.01c-9.375-9.375-24.6-9.375-33.98 0L280.3 181.8C285 195.1 288 209.1 288 224c0 6.875-.9999 13.38-2 20L312 218z", "M160 320c53.02 0 96-42.98 96-96c0-53.02-42.98-96-96-96C106.1 128 64 170.1 64 224C64 277 106.1 320 160 320zM192 352H128c-70.69 0-128 57.3-128 128c0 17.67 14.33 32 32 32h256c17.67 0 32-14.33 32-32C320 409.3 262.7 352 192 352z"]],
    "chart-waterfall": [512, 512, [], "e0eb", ["M32 32C49.67 32 64 46.33 64 64V400C64 408.8 71.16 416 80 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H80C35.82 480 0 444.2 0 400V64C0 46.33 14.33 32 32 32z", "M352 64C369.7 64 384 78.33 384 96V160C384 177.7 369.7 192 352 192C334.3 192 320 177.7 320 160V96C320 78.33 334.3 64 352 64zM288 224C288 241.7 273.7 256 256 256C238.3 256 224 241.7 224 224V160C224 142.3 238.3 128 256 128C273.7 128 288 142.3 288 160V224zM192 320C192 337.7 177.7 352 160 352C142.3 352 128 337.7 128 320V256C128 238.3 142.3 224 160 224C177.7 224 192 238.3 192 256V320zM480 320C480 337.7 465.7 352 448 352C430.3 352 416 337.7 416 320V96C416 78.33 430.3 64 448 64C465.7 64 480 78.33 480 96V320z"]],
    "check": [448, 512, [10004, 10003], "f00c", ["", "M438.6 105.4C451.1 117.9 451.1 138.1 438.6 150.6L182.6 406.6C170.1 419.1 149.9 419.1 137.4 406.6L9.372 278.6C-3.124 266.1-3.124 245.9 9.372 233.4C21.87 220.9 42.13 220.9 54.63 233.4L159.1 338.7L393.4 105.4C405.9 92.88 426.1 92.88 438.6 105.4H438.6z"]],
    "check-double": [448, 512, [], "f560", ["M342.6 41.37C355.1 53.87 355.1 74.13 342.6 86.63L182.6 246.6C170.1 259.1 149.9 259.1 137.4 246.6L57.37 166.6C44.88 154.1 44.88 133.9 57.37 121.4C69.87 108.9 90.13 108.9 102.6 121.4L159.1 178.7L297.4 41.37C309.9 28.88 330.1 28.88 342.6 41.37H342.6z", "M438.6 169.4C451.1 181.9 451.1 202.1 438.6 214.6L182.6 470.6C170.1 483.1 149.9 483.1 137.4 470.6L9.372 342.6C-3.124 330.1-3.124 309.9 9.372 297.4C21.87 284.9 42.13 284.9 54.63 297.4L159.1 402.7L393.4 169.4C405.9 156.9 426.1 156.9 438.6 169.4H438.6z"]],
    "check-to-slot": [576, 512, ["vote-yea"], "f772", ["M432 32h-288C117.5 32 96 53.49 96 80v320h384v-320C480 53.49 458.5 32 432 32zM378.9 166.8l-88 112c-4.031 5.156-10 8.438-16.53 9.062C273.6 287.1 272.7 287.1 271.1 287.1c-5.719 0-11.21-2.019-15.58-5.769l-56-48C190.3 225.6 189.2 210.4 197.8 200.4c8.656-10.06 23.81-11.19 33.84-2.594l36.97 31.69l72.53-92.28c8.188-10.41 23.31-12.22 33.69-4.062C385.3 141.3 387.1 156.4 378.9 166.8z", "M528 288H480v80h16c8.836 0 16 7.164 16 16s-7.164 16-16 16h-416C71.16 400 64 392.8 64 384s7.164-16 16-16H96V288H48C21.49 288 0 309.5 0 336v96C0 458.5 21.49 480 48 480h480c26.51 0 48-21.49 48-48v-96C576 309.5 554.5 288 528 288zM256.4 282.2C260.8 285.1 266.2 287.1 271.1 287.1c.7813 0 1.606-.0187 2.388-.1125c6.531-.625 12.5-3.906 16.53-9.062l88-112c8.188-10.41 6.375-25.5-4.062-33.69c-10.38-8.156-25.5-6.344-33.69 4.062L268.6 229.5L231.6 197.8C221.6 189.2 206.4 190.3 197.8 200.4C189.2 210.4 190.3 225.6 200.4 234.2L256.4 282.2z"]],
    "cheese": [512, 512, [], "f7ef", ["M299.9 32.01c-7.75-.25-15.25 2.25-21.12 6.1L0 255.1l512-.0118C512 136.1 417.1 38.26 299.9 32.01z", "M512 255.1v192C512 465.6 497.6 480 480 480H32c-17.62 0-32-14.38-32-31.1V255.1L512 255.1z"]],
    "cheese-swiss": [512, 512, [129472], "f7f0", ["M512 255.1c0-119.9-94-217.7-212.1-223.1c-7.75-.25-15.25 2.249-21.12 6.999L217 87.01c12.62 20.88 7.625 47.75-11.5 62.75c-19.25 15-46.62 13.13-63.62-4.25L0 255.1l332.5 .033C324.8 264.5 320 275.7 320 288c0 26.51 21.49 47.1 48 47.1S416 314.5 416 288c0-12.35-4.793-23.49-12.45-31.99L512 255.1zM176 336c-26.51 0-48 21.49-48 47.1s21.49 47.1 48 47.1S224 410.5 224 384S202.5 336 176 336z", "M403.5 256C411.2 264.5 416 275.7 416 288c0 26.51-21.49 47.1-48 47.1S320 314.5 320 288c0-12.35 4.793-23.49 12.45-31.99L0 255.1v192C0 465.6 14.38 480 32 480h448c17.62 0 32-14.37 32-31.1V255.1L403.5 256zM176 432c-26.5 0-48-21.5-48-47.1c0-26.5 21.5-47.1 48-47.1S224 357.5 224 384C224 410.5 202.5 432 176 432z"]],
    "cherries": [640, 512, [], "e0ec", ["M283.3 224.1c-25.43 0-55.7 6.713-91.21 22.33C156.5 230.8 126 224.1 100.6 224.1c-92.32 0-100.6 82.46-100.6 105.7c0 82.16 67.03 182.2 191.1 182.2s191.9-100.1 191.9-182.2C383.9 306.5 375.6 224.1 283.3 224.1zM539.3 224.1c-25.45 0-55.82 6.726-91.36 22.34c-28.02-12.31-52.72-18.85-74.44-21.18c19.77 18.08 42.37 51.21 42.37 104.6c0 4.159 2.75 87.86-69.58 155.5c27.79 16.53 61.76 26.74 101.6 26.74c125 0 192.1-100.1 192.1-182.2C640 306.5 631.7 224.1 539.3 224.1z", "M174.7 239.6c16.35-17.08 63.79-79.82 89.55-219.9c2.148-11.65 12.41-19.68 23.63-19.68c26.96 0 146.9 111.1 180.2 238.4c-6.551 2.391-13.19 4.909-20.13 7.96c-10.86-4.773-21.09-8.451-30.96-11.58c-25.35-78.67-79.73-137.1-113.6-167.4C285.3 145.4 261 197.1 241.4 229.5C226.2 233.1 209.8 238.6 192 246.4C186.1 243.8 180.4 241.7 174.7 239.6z"]],
    "chess": [512, 512, [], "f439", ["M247.1 459.6L224 448v-48C224 391.1 216.9 384 208 384h-160C39.13 384 32 391.1 32 400V448l-23.12 11.62C3.375 462.3 0 467.9 0 473.9V496C0 504.9 7.125 512 16 512h224c8.875 0 16-7.125 16-16v-22.12C256 467.9 252.6 462.3 247.1 459.6zM503.1 459.6L480 448v-48c0-8.875-7.125-16-16-16h-128c-8.875 0-16 7.125-16 16V448l-23.12 11.62C291.4 462.3 288 467.9 288 473.9V496c0 8.875 7.125 16 16 16h192c8.875 0 16-7.125 16-16v-22.12C512 467.9 508.6 462.3 503.1 459.6z", "M489.1 192h-26.37c-3.375 0-6 2.625-6 6V224h-24.75V198C432.9 194.6 430.3 192 426.9 192h-53.75c-3.375 0-6 2.625-6 6V224h-24.75V198C342.4 194.6 339.8 192 336.4 192h-26.38C306.6 192 304 194.6 304 198v58.62c0 9.375 4.125 18.25 11.38 24.38l24.5 20.75L336.6 384h126.8l-3.25-82.25l24.5-20.75C491.9 274.9 496 266 496 256.5V198C496 194.6 493.4 192 489.1 192zM416 336h-32v-32C384 295.1 391.1 288 400 288S416 295.1 416 304V336zM74.01 208h-10c-8.875 0-16 7.125-16 16v16c0 8.875 7.122 16 15.1 16h16c-.25 43.13-5.5 86.13-16 128h128c-10.5-41.88-15.75-84.88-16-128h15.1c8.875 0 16-7.125 16-16L208 224c0-8.875-7.122-16-15.1-16h-10l33.88-90.38C216.6 115.8 216.9 113.1 216.9 112.1C216.9 103.1 209.5 96 200.9 96H144V64h16c8.844 0 16-7.156 16-16S168.9 32 160 32h-16l.0033-16c0-8.844-7.16-16-16-16s-16 7.156-16 16V32H96.01c-8.844 0-16 7.156-16 16S87.16 64 96.01 64h16v32H55.13C46.63 96 39.07 102.8 39.07 111.9c0 1.93 .3516 3.865 1.061 5.711L74.01 208z"]],
    "chess-bishop": [320, 512, [9821], "f43a", ["M320 496c0 8.836-7.164 16-16 16h-288C7.164 512 0 504.8 0 496c0-20.87 13.4-38.45 32-45.06V432C32 423.2 39.16 416 48 416h224c8.836 0 16 7.162 16 16v18.94C306.6 457.5 320 475.1 320 496z", "M312 287.9c0 51.63-22.12 73.88-56 84.63V416H64v-43.5c-33.88-10.75-56-33-56-84.63c0-73.38 59.75-181.1 112.6-225.4C106.6 59.13 96 47 96 32c0-17.62 14.38-32 32-32h64c17.62 0 32 14.38 32 32c0 15-10.62 27.12-24.62 30.5c24.38 20.5 50.13 54.75 70.88 92.63L162.4 263c-1.565 1.565-2.349 3.629-2.349 5.693c0 2.056 .7787 4.112 2.339 5.672l11.35 11.27c1.56 1.56 3.595 2.339 5.63 2.339c2.042 0 4.086-.7839 5.651-2.349l100.3-100.3C301.3 220.8 312 257.3 312 287.9z"]],
    "chess-bishop-piece": [256, 512, ["chess-bishop-alt"], "f43b", ["M247.1 459.6L224 448v-48c0-8.875-7.125-16-16-16h-160C39.12 384 32 391.1 32 400V448l-23.12 11.62C3.375 462.2 0 467.9 0 473.9V496C0 504.9 7.125 512 16 512h224c8.875 0 16-7.125 16-16v-22.12C256 467.9 252.6 462.2 247.1 459.6z", "M64 288h14.88C76.88 320.4 71.88 352.5 64 384h128c-7.875-31.5-12.88-63.63-14.88-96H192c8.875 0 16-7.125 16-16V256c0-8.875-7.125-16-16-16h-11.62c16-6.625 26.38-25.12 26.38-50.38c0-19.38-7.125-42.38-17.63-63.38L140.5 174.9C139.8 175.6 138.8 176 137.6 176c-1 0-2-.375-2.75-1.125l-5.75-5.75C128.4 168.4 128 167.4 128 166.4s.375-2.047 1.125-2.859L181 111.8c-10.25-16.88-22.25-31.25-33.88-39.38C155.2 69.62 160 61.88 160 52.75C160 41.25 151.9 32 140.5 32h-25C104.1 32 96 41.25 96 52.75c0 9.125 4.75 16.87 12.88 19.62C80.25 92.25 49.25 149.1 49.25 189.6c0 25.25 10.38 43.75 26.38 50.38H64C55.12 240 48 247.1 48 256v16C48 280.9 55.12 288 64 288z"]],
    "chess-board": [448, 512, [], "f43c", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM384 416H64V96h320V416z", "M64 160v64h64V160H64zM256 416h64v-64h-64V416zM192 96H128v64h64V96zM384 352V288h-64v64H384zM128 416h64v-64H128V416zM64 288v64h64V288H64zM320 96h-64v64h64V96zM192 288v64h64V288H192zM256 224v64h64V224H256zM256 224V160H192v64H256zM384 224V160h-64v64H384zM192 224H128v64h64V224z"]],
    "chess-clock": [640, 512, [], "f43d", ["M176 224C167.2 224 160 231.2 160 240v64C160 312.8 167.2 320 176 320S192 312.8 192 304v-64C192 231.2 184.8 224 176 224zM509.3 242.8c-4.094 0-8.188 1.562-11.31 4.688l-45.25 45.25C449.6 295.8 448 299.9 448 304c0 9.139 7.473 16 16 16c4.094 0 8.188-1.562 11.31-4.688l45.25-45.25c3.125-3.125 4.688-7.219 4.688-11.31C525.3 249.6 517.8 242.8 509.3 242.8zM232 32h-112C106.8 32 96 42.75 96 56S106.8 80 120 80h32.17L152.3 128h48L200.2 80H232C245.3 80 256 69.25 256 56S245.3 32 232 32zM528 96h-128C391.3 96 384 103.1 384 112V128h160l.0001-16C544 103.1 536.9 96 528 96z", "M576 128H64C28.65 128 0 156.7 0 192v224c0 35.35 28.65 64 64 64h512c35.35 0 64-28.65 64-64V192C640 156.7 611.3 128 576 128zM176.5 416C176.4 416 176.6 416 176.5 416c-61.87 0-112.1-50.13-112.1-112S114.5 192 176.4 192c61.88 .125 112 50.25 112 112.1C288.4 365.9 238.1 416 176.5 416zM464.5 416C464.4 416 464.6 416 464.5 416c-61.87 0-112.1-50.13-112.1-112s50.13-112 112-112c61.88 .125 112 50.25 112 112.1C576.4 365.9 526.1 416 464.5 416z"]],
    "chess-clock-flip": [640, 512, ["chess-clock-alt"], "f43e", ["M464 224C455.2 224 448 231.2 448 240v64c0 8.844 7.156 16 16 16S480 312.8 480 304v-64C480 231.2 472.8 224 464 224zM221.3 242.8c-4.094 0-8.188 1.562-11.31 4.688l-45.25 45.25C161.6 295.8 160 299.9 160 304C160 313.1 167.5 320 176 320c4.094 0 8.188-1.562 11.31-4.688l45.25-45.25c3.125-3.125 4.688-7.219 4.688-11.31C237.3 249.6 229.8 242.8 221.3 242.8zM520 32h-112C394.8 32 384 42.75 384 56s10.75 24 24 24h31.83L439.8 128h48l.0838-48H520C533.3 80 544 69.25 544 56S533.3 32 520 32zM239.1 96h-128c-8.75 0-16 7.125-16 16L95.97 128h160l.0037-16C255.1 103.1 248.8 96 239.1 96z", "M576 128H64C28.65 128 0 156.7 0 192l0 224c0 35.35 28.65 64 64 64h512c35.35 0 64-28.65 64-64V192C640 156.7 611.3 128 576 128zM176.5 416C176.4 416 176.6 416 176.5 416c-61.87 0-112.1-50.13-112.1-112s50.13-112 112-112C238.2 192.1 288.4 242.2 288.4 304.1C288.4 365.9 238.1 416 176.5 416zM464.5 416C464.4 416 464.6 416 464.5 416c-61.87 0-112.1-50.13-112.1-112s50.13-112 112-112c61.88 .125 112 50.25 112 112.1C576.4 365.9 526.1 416 464.5 416z"]],
    "chess-king": [448, 512, [9818], "f43f", ["M416 496c0 8.836-7.164 16-16 16H47.96c-8.838 0-16-7.164-16-16c0-20.89 13.42-38.48 32.06-45.08V432c0-8.838 7.166-16 16-16h288.1c8.838 0 16 7.162 16 16v18.96C402.7 457.6 416 475.2 416 496z", "M416.1 160h-160V112h16.01c17.6 0 31.98-14.4 31.98-32C303.1 62.4 289.6 48 272 48h-16.01V32C256 14.4 241.6 0 223.1 0C206.4 0 191.1 14.4 191.1 32.01V48H175.1c-17.6 0-32.01 14.4-32.01 32C143.1 97.6 158.4 112 175.1 112h16.01V160h-160C17.34 160 0 171.5 0 192C0 195.2 .4735 198.4 1.437 201.5L74.46 416h299.1l73.02-214.5C447.5 198.4 448 195.2 448 192C448 171.6 430.1 160 416.1 160z"]],
    "chess-king-piece": [256, 512, ["chess-king-alt"], "f440", ["M247.1 459.6L224 448v-48c0-8.875-7.125-16-16-16h-160C39.12 384 32 391.1 32 400V448l-23.12 11.62C3.375 462.2 0 467.9 0 473.9V496C0 504.9 7.125 512 16 512h224c8.875 0 16-7.125 16-16v-22.12C256 467.9 252.6 462.2 247.1 459.6z", "M74.01 208h-10c-8.875 0-16 7.125-16 16v16c0 8.875 7.122 16 15.1 16h16c-.25 43.13-5.5 86.13-16 128h128c-10.5-41.88-15.75-84.88-16-128h15.1c8.875 0 16-7.125 16-16L208 224c0-8.875-7.122-16-15.1-16h-10l33.88-90.38c.6875-1.789 1.021-3.66 1.021-5.529C216.9 103.1 209.5 96 200.9 96h-56.88V64h16c8.844 0 16-7.156 16-16S168.9 32 160 32h-16l.0033-16c0-8.844-7.16-16-16-16s-16 7.156-16 16V32h-15.1c-8.844 0-16 7.156-16 16S87.16 64 96.01 64h16v32H55.13C46.63 96 39.07 102.8 39.07 111.9c0 1.93 .3516 3.865 1.061 5.711L74.01 208z"]],
    "chess-knight": [384, 512, [9822], "f441", ["M384 496c0 8.836-7.162 16-16 16h-352C7.164 512 0 504.8 0 495.1c0-14.16 6.246-26.76 16-35.54V432C16 423.2 23.16 416 32 416h319.9c8.838 0 16.02 7.162 16.02 16L368 460.5C377.8 469.2 384 481.8 384 496z", "M19 272.5l40.62 18C63.78 292.3 68.25 293.3 72.72 293.3c4 0 8.001-.7543 11.78-2.289l12.75-5.125c9.125-3.625 16-11.12 18.75-20.5L125.2 234.8C127 227.9 131.5 222.2 137.9 219.1L160 208v50.38C160 276.5 149.6 293.1 133.4 301.2L76.25 329.9C49.12 343.5 32 371.1 32 401.5V416h319.9l-.0417-192c0-105.1-85.83-192-191.8-192H12C5.375 32 0 37.38 0 44c0 2.625 .625 5.25 1.75 7.625L16 80L7 89C2.5 93.5 0 99.62 0 106V243.2C0 255.9 7.5 267.4 19 272.5zM52 128C63 128 72 137 72 148S63 168 52 168S32 159 32 148S41 128 52 128z"]],
    "chess-knight-piece": [320, 512, ["chess-knight-alt"], "f442", ["M311.1 459.6L288 448v-48c0-8.875-7.125-16-16-16h-224C39.12 384 32 391.1 32 400V448l-23.12 11.62C3.375 462.2 0 467.9 0 473.9V496C0 504.9 7.125 512 16 512h288c8.875 0 16-7.125 16-16v-22.12C320 467.9 316.6 462.2 311.1 459.6z", "M45.5 235.5l28.88 12.88c2.961 1.316 6.129 1.974 9.286 1.974c2.842 0 5.674-.5329 8.339-1.599l9.125-3.625c6.5-2.625 11.38-8 13.38-14.62L121 208.6c1.25-4.875 4.5-9 8.875-11.25L144.1 192v37.25c0 11.25-6.625 21.5-16.88 26L80.62 279C57.29 290.9 44.72 314.1 44.72 337.7C44.72 354.2 50.94 370.9 64 384h192c7-7.875 15.96-18.25 15.96-32L272 203.1C272 126.6 209.4 64 132.9 64H40.5C35.75 64 32 67.88 32 72.5c0 2 .375 3.75 1.25 5.5L43.38 98.25L37 104.6C33.75 107.9 32 112.2 32 116.8v97.87C32 223.6 37.25 231.9 45.5 235.5zM80.12 128c8.801 0 15.99 7.243 15.99 15.99c0 11.29-9.794 15.99-15.97 15.99c-8.672 0-16.02-6.871-16.02-15.98C64.12 135.1 71.25 128 80.12 128z"]],
    "chess-pawn": [320, 512, [9823], "f443", ["M320 496c0 8.836-7.164 16-16 16h-288C7.164 512 0 504.8 0 495.1c0-20.87 13.4-38.45 32-45.06V432C32 423.2 39.16 416 48 416h224c8.836 0 16 7.162 16 16v18.94C306.6 457.5 320 475.1 320 496z", "M105.1 224H80C71.12 224 64 231.1 64 240v32c0 8.875 7.125 15.1 16 15.1L96 288v5.5C96 337.5 91.88 380.1 72 416h176C228.1 380.1 224 337.5 224 293.5V288l16-.0001c8.875 0 16-7.125 16-15.1v-32C256 231.1 248.9 224 240 224h-25.12C244.3 205.6 264 173.2 264 136C264 78.5 217.5 32 159.1 32S56 78.5 56 136C56 173.2 75.74 205.6 105.1 224z"]],
    "chess-pawn-piece": [256, 512, ["chess-pawn-alt"], "f444", ["M256 473.9v22.13C256 504.9 248.9 512 240 512h-224C7.125 512 0 504.9 0 496v-22.13c0-5.995 3.375-11.62 8.875-14.24L32 448v-47.93c0-8.867 7.125-15.99 16-15.99h160c8.875 0 16 7.119 16 15.99v47.93l23.12 11.62C252.6 462.3 256 467.9 256 473.9z", "M64 288.1h14.88c-2 32.35-7 64.49-14.88 95.96h128c-7.875-31.47-12.88-63.61-14.88-95.96H192c8.875 0 16-7.126 16-15.99V256.1c0-8.867-7.125-16.03-16-16.03h-16.48c20.87-15.34 32.48-39.28 32.48-64.11C208 116 153.9 96 127.1 96C101.9 96 47.1 116.6 47.1 175.1c0 24.83 11.61 48.77 32.48 64.11H64c-8.875 0-16 7.167-16 16.03v15.99C48 280.1 55.12 288.1 64 288.1z"]],
    "chess-queen": [512, 512, [9819], "f445", ["M447.1 496c0 8.836-7.164 16-16 16H79.98c-8.839 0-16-7.164-16-16c0-20.88 13.41-38.47 32.03-45.07V432c0-8.838 7.165-16 16-16h288c8.837 0 16 7.162 16 16v18.95C434.6 457.6 447.1 475.1 447.1 496z", "M256 112c30.88 0 56-25.12 56-56S286.9 0 256 0S199.1 25.12 199.1 56S225.1 112 256 112zM511.1 197.4c0-5.178-2.509-10.2-7.096-13.26L476.4 168.2c-2.684-1.789-5.602-2.62-8.497-2.62c-17.23 0-17.39 26.37-51.92 26.37c-29.38 0-47.97-25.41-47.97-50.63C367.1 134 361.1 128 354.6 128h-38.75c-6.001 0-11.63 4-12.88 9.875C298.2 160.1 278.7 176 255.1 176c-22.75 0-42.25-15.87-47-38.12C207.7 132 202.2 128 196.1 128h-38.75C149.1 128 143.1 134 143.1 141.4c0 18.45-13.73 50.62-47.95 50.62c-34.59 0-34.87-26.39-51.87-26.39c-2.909 0-5.804 .8334-8.432 2.645l-28.63 16C2.509 187.2 0 192.3 0 197.4c0 2.438 .5583 4.901 1.72 7.185L104.2 416h303.5l102.5-211.4C511.4 202.3 511.1 199.8 511.1 197.4z"]],
    "chess-queen-piece": [256, 512, ["chess-queen-alt"], "f446", ["M247.1 459.6L224 448v-48c0-8.875-7.125-16-16-16h-160C39.12 384 32 391.1 32 400V448l-23.12 11.62C3.375 462.2 0 467.9 0 473.9V496C0 504.9 7.124 512 15.1 512H240c8.875 0 16-7.125 16-16v-22.12C256 467.9 252.6 462.2 247.1 459.6z", "M233.8 93.28c0-2.201-1.063-4.365-2.947-5.65L220.8 81c-1.104-.7508-2.318-1.096-3.524-1.096c-7.223 0-7.409 11.1-21.87 11.1c-12.28 0-20.23-10.59-20.23-21.38C175.1 66.5 172.6 64 169.5 64h-16.25c-2.625 0-4.875 1.625-5.5 4.125C145.8 77.5 137.5 84.25 128 84.25S110.3 77.5 108.3 68.13C107.6 65.63 105.4 64 102.8 64H86.5C83.38 64 80.88 66.5 80.88 69.63c0 7.937-5.899 21.3-20.33 21.3c-6.234 0-12.21-2.951-16.04-8.054C43.23 80.89 41.09 79.86 38.9 79.86c-1.25 0-2.518 .3347-3.653 1.016L25.13 87.63c-1.884 1.285-2.947 3.449-2.947 5.65c0 1.011 .2244 2.03 .6967 2.975L67.38 192H64C55.13 192 48 199.1 48 208V224c0 8.875 7.125 16 16 16h16v14C80 297.9 74.63 341.5 64 384h128c-10.62-42.5-16-86.13-16-129.1V240H192c8.875 0 16-7.125 16-16V208C208 199.1 200.9 192 192 192h-3.375l44.5-95.75C233.6 95.31 233.8 94.29 233.8 93.28zM128 48c13.25 0 24-10.75 24-24S141.3 0 128 0S104 10.75 104 24S114.8 48 128 48z"]],
    "chess-rook": [384, 512, [9820], "f447", ["M384 496c0 8.836-7.164 16-16 16h-352C7.164 512 0 504.8 0 495.1c0-20.87 13.4-38.45 32-45.06V432C32 423.2 39.16 416 48 416h288c8.836 0 16 7.162 16 16v18.94C370.6 457.5 384 475.1 384 496z", "M368 32h-56c-8.875 0-16 7.125-16 16V96h-48V48c0-8.875-7.125-16-16-16h-80c-8.875 0-16 7.125-16 16V96H88.12V48c0-8.875-7.25-16-16-16H16C7.125 32 0 39.12 0 48V224l64 32c0 48.38-1.5 95-13.25 160h282.5C321.5 351 320 303.8 320 256l64-32V48C384 39.12 376.9 32 368 32zM224 320H160V256c0-17.62 14.38-32 32-32s32 14.38 32 32V320z"]],
    "chess-rook-piece": [320, 512, ["chess-rook-alt"], "f448", ["M311.1 459.6L288 448v-48c0-8.875-7.125-16-16-16h-224C39.12 384 32 391.1 32 400V448l-23.12 11.62C3.375 462.2 0 467.9 0 473.9V496C0 504.9 7.125 512 16 512h288c8.875 0 16-7.125 16-16v-22.12C320 467.9 316.6 462.2 311.1 459.6z", "M280 64h-35.13c-4.5 0-8 3.625-8 8V112h-33V72c0-4.375-3.625-8-8-8H124.1c-4.375 0-8 3.625-8 8V112H83.25V72c0-4.375-3.625-8-8-8H40C35.63 64 32 67.63 32 72v84.88C32 165.3 35.25 173.3 41.25 179.3l30.5 31.13L57.38 384h205.3l-14.38-173.8l30.5-31C284.8 173.3 288 165.1 288 156.8V72C288 67.63 284.4 64 280 64zM183.6 278.8H136.4V231.6C136.4 218.5 147 208 160 208s23.62 10.5 23.62 23.62V278.8z"]],
    "chestnut": [448, 512, [127792], "e3f6", ["M4.523 384C18.8 439.1 68.43 480 128 480h192c59.57 0 109.2-40.89 123.5-96H4.523z", "M448 352c0 11.11-1.859 21.71-4.523 31.99H4.523C1.859 373.7 0 363.1 0 352C0 216.8 80.44 151.7 145.1 99.43C170.4 78.87 194.4 59.44 211.5 38.02C214.8 34.01 219.4 32 224 32s9.246 2.006 12.45 6.02c17.12 21.42 41.12 40.85 66.48 61.41C367.6 151.7 448 216.8 448 352z"]],
    "chevron-down": [448, 512, [], "f078", ["M224 416c-8.188 0-16.38-3.125-22.62-9.375l-192-192c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L224 338.8l169.4-169.4c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25l-192 192C240.4 412.9 232.2 416 224 416z", ""]],
    "chevron-left": [320, 512, [9001], "f053", ["M224 480c-8.188 0-16.38-3.125-22.62-9.375l-192-192c-12.5-12.5-12.5-32.75 0-45.25l192-192c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L77.25 256l169.4 169.4c12.5 12.5 12.5 32.75 0 45.25C240.4 476.9 232.2 480 224 480z", ""]],
    "chevron-right": [320, 512, [9002], "f054", ["M96 480c-8.188 0-16.38-3.125-22.62-9.375c-12.5-12.5-12.5-32.75 0-45.25L242.8 256L73.38 86.63c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0l192 192c12.5 12.5 12.5 32.75 0 45.25l-192 192C112.4 476.9 104.2 480 96 480z", ""]],
    "chevron-up": [448, 512, [], "f077", ["M416 352c-8.188 0-16.38-3.125-22.62-9.375L224 173.3l-169.4 169.4c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l192-192c12.5-12.5 32.75-12.5 45.25 0l192 192c12.5 12.5 12.5 32.75 0 45.25C432.4 348.9 424.2 352 416 352z", ""]],
    "chevrons-down": [448, 512, ["chevron-double-down"], "f322", ["M224 288C215.8 288 207.6 284.9 201.4 278.6l-192-192c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L224 210.8l169.4-169.4c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25l-192 192C240.4 284.9 232.2 288 224 288z", "M224 480c-8.188 0-16.38-3.125-22.62-9.375l-192-192c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L224 402.8l169.4-169.4c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25l-192 192C240.4 476.9 232.2 480 224 480z"]],
    "chevrons-left": [448, 512, ["chevron-double-left"], "f323", ["M416 480c-8.188 0-16.38-3.125-22.62-9.375l-192-192c-12.5-12.5-12.5-32.75 0-45.25l192-192c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L269.3 256l169.4 169.4c12.5 12.5 12.5 32.75 0 45.25C432.4 476.9 424.2 480 416 480z", "M224 480c-8.188 0-16.38-3.125-22.62-9.375l-192-192c-12.5-12.5-12.5-32.75 0-45.25l192-192c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L77.25 256l169.4 169.4c12.5 12.5 12.5 32.75 0 45.25C240.4 476.9 232.2 480 224 480z"]],
    "chevrons-right": [448, 512, ["chevron-double-right"], "f324", ["M32 480c-8.188 0-16.38-3.125-22.62-9.375c-12.5-12.5-12.5-32.75 0-45.25L178.8 256L9.375 86.63c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0l192 192c12.5 12.5 12.5 32.75 0 45.25l-192 192C48.38 476.9 40.19 480 32 480z", "M224 480c-8.188 0-16.38-3.125-22.62-9.375c-12.5-12.5-12.5-32.75 0-45.25L370.8 256L201.4 86.63c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0l192 192c12.5 12.5 12.5 32.75 0 45.25l-192 192C240.4 476.9 232.2 480 224 480z"]],
    "chevrons-up": [448, 512, ["chevron-double-up"], "f325", ["M416 480c-8.188 0-16.38-3.125-22.62-9.375L224 301.3l-169.4 169.4c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l192-192c12.5-12.5 32.75-12.5 45.25 0l192 192c12.5 12.5 12.5 32.75 0 45.25C432.4 476.9 424.2 480 416 480z", "M416 288c-8.188 0-16.38-3.125-22.62-9.375L224 109.3L54.63 278.6c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l192-192c12.5-12.5 32.75-12.5 45.25 0l192 192c12.5 12.5 12.5 32.75 0 45.25C432.4 284.9 424.2 288 416 288z"]],
    "child": [320, 512, [], "f1ae", ["M224 64C224 99.35 195.3 128 160 128C124.7 128 96 99.35 96 64C96 28.65 124.7 0 160 0C195.3 0 224 28.65 224 64z", "M144 384V480C144 497.7 129.7 512 112 512C94.33 512 80.01 497.7 80.01 480V287.8L59.09 321C49.67 336 29.92 340.5 14.96 331.1C.0016 321.7-4.491 301.9 4.924 286.1L44.79 223.6C69.72 184 113.2 160 160 160C206.8 160 250.3 184 275.2 223.6L315.1 286.1C324.5 301.9 320 321.7 305.1 331.1C290.1 340.5 270.3 336 260.9 321L240 287.8V480C240 497.7 225.7 512 208 512C190.3 512 176 497.7 176 480V384L144 384z"]],
    "child-dress": [320, 512, [], "e59c", ["M224 64C224 99.35 195.3 128 160 128C124.7 128 96 99.35 96 64C96 28.65 124.7 0 160 0C195.3 0 224 28.65 224 64z", "M86.16 285.5L57.5 323.3C46.83 337.4 26.75 340.2 12.67 329.5C-1.412 318.8-4.172 298.7 6.506 284.7L65.4 206.1C87.85 177.4 122.9 160 160 160C197.2 160 232.2 177.4 254.6 206.1L313.5 284.7C324.2 298.7 321.4 318.8 307.3 329.5C293.3 340.2 273.2 337.4 262.5 323.3L233.9 285.5L264.1 378.9C268.4 389.3 260.7 400 249.8 400H232V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V400H152V480C152 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480V400H70.2C59.28 400 51.57 389.3 55.02 378.9L86.16 285.5z"]],
    "child-reaching": [384, 512, [], "e59d", ["M256 64C256 99.35 227.3 128 192 128C156.7 128 128 99.35 128 64C128 28.65 156.7 0 192 0C227.3 0 256 28.65 256 64z", "M155.7 170.2C167.3 173.1 179.6 176 192.2 176C232.1 176 269.3 155.8 291 122.4L309.2 94.54C318.8 79.73 338.6 75.54 353.5 85.18C368.3 94.82 372.5 114.6 362.8 129.5L344.7 157.3C326.4 185.4 301.2 207.3 272 221.6V480C272 497.7 257.7 512 240 512C222.3 512 208 497.7 208 480V384H176V480C176 497.7 161.7 512 144 512C126.3 512 112 497.7 112 480V221.4C83.63 207.4 58.94 186.1 40.87 158.1L21.37 129.8C11.57 115 15.54 95.18 30.25 85.37C44.95 75.57 64.82 79.54 74.62 94.25L94.12 123.5C108.5 145 129.2 160.9 152.9 169.3C153.9 169.5 154.8 169.8 155.7 170.2L155.7 170.2z"]],
    "child-rifle": [512, 512, [], "e4e0", ["M208 64C208 99.35 179.3 128 144 128C108.7 128 80 99.35 80 64C80 28.65 108.7 0 144 0C179.3 0 208 28.65 208 64zM136 352V480C136 497.7 121.7 512 104 512C86.33 512 72 497.7 72 480V300.5L59.09 321C49.67 336 29.91 340.5 14.96 331.1C.0006 321.7-4.492 301.9 4.923 286.1L56.6 204.9C74.17 176.9 104.9 159.1 137.8 159.1H150.2C183.2 159.1 213.8 176.9 231.4 204.9L283.1 286.1C292.5 301.9 288 321.7 273 331.1C258.1 340.5 238.3 336 228.9 321L216 300.5V480C216 497.7 201.7 512 184 512C166.3 512 152 497.7 152 480V352L136 352z", "M416 .0003C424.8 .0003 432 7.164 432 16V132.3C441.6 137.8 448 148.2 448 160V269.3L464 264V208C464 199.2 471.2 192 480 192H496C504.8 192 512 199.2 512 208V292.5C512 299.4 507.6 305.5 501.1 307.6L448 325.3V352H496C504.8 352 512 359.2 512 368V384C512 392.8 504.8 400 496 400H452L475 492.1C477.6 502.2 469.9 512 459.5 512H400C391.2 512 384 504.8 384 496V400H368C350.3 400 336 385.7 336 368V224C336 206.3 350.3 192 368 192V160C368 148.2 374.4 137.8 384 132.3V32C375.2 32 368 24.84 368 16C368 7.164 375.2 0 384 0L416 .0003z"]],
    "children": [640, 512, [], "e4e1", ["M544 64C544 99.35 515.3 128 480 128C444.7 128 416 99.35 416 64C416 28.65 444.7 0 480 0C515.3 0 544 28.65 544 64zM440 512C422.3 512 408 497.7 408 480V300.5L395.1 321C385.7 336 365.9 340.5 350.1 331.1C336 321.7 331.5 301.9 340.9 286.1L392.6 204.9C410.2 176.9 440.9 159.1 473.8 159.1H486.2C519.2 159.1 549.8 176.9 567.4 204.9L619.1 286.1C628.5 301.9 624 321.7 609 331.1C594.1 340.5 574.3 336 564.9 321L552 300.5V480C552 497.7 537.7 512 520 512C502.3 512 488 497.7 488 480V384H472V480C472 497.7 457.7 512 440 512V512z", "M223.1 64C223.1 99.35 195.3 128 159.1 128C124.7 128 95.1 99.35 95.1 64C95.1 28.65 124.7 0 159.1 0C195.3 0 223.1 28.65 223.1 64zM70.2 400C59.28 400 51.57 389.3 55.02 378.9L86.16 285.5L57.5 323.3C46.82 337.4 26.75 340.2 12.67 329.5C-1.415 318.8-4.175 298.7 6.503 284.7L65.4 206.1C87.84 177.4 122.9 160 160 160C197.2 160 232.2 177.4 254.6 206.1L313.5 284.7C324.2 298.7 321.4 318.8 307.3 329.5C293.3 340.2 273.2 337.4 262.5 323.3L233.9 285.6L264.1 378.9C268.4 389.3 260.7 400 249.8 400H232V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V400H152V480C152 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480V400H70.2z"]],
    "chimney": [448, 512, [], "f78b", ["M128 192H32v128h96V192zM32 480h256v-128H32V480zM160 192v128h256V192H160zM320 480h96v-128h-96V480z", "M416 32H32C14.25 32 0 46.25 0 64v64c0 17.75 14.25 32 32 32h384c17.75 0 32-14.25 32-32V64C448 46.25 433.8 32 416 32z"]],
    "chopsticks": [640, 512, [], "e3f7", ["M293.6 202.9L29.28 505.3C26.42 508.5 22.4 510.6 18.06 510.1C13.73 511.3 9.411 510 6.03 507.3C2.649 504.5 .4641 500.6-.0636 496.3C-.5913 491.9 .5796 487.6 3.202 484.1L235.7 156.5L293.6 202.9zM472.1 261.7L154.9 508.6C151.5 511.2 147.2 512.3 142.9 511.8C138.7 511.3 134.8 509.1 132 505.8C129.3 502.6 127.9 498.3 128.2 494.1C128.4 489.8 130.3 485.8 133.4 482.8L425.1 206.9L472.1 261.7z", "M333.5 18.56C337.2 13.69 341.9 9.624 347.2 6.592C352.5 3.56 358.4 1.626 364.4 .9045C370.5 .1832 376.7 .6898 382.5 2.394C388.4 4.098 393.9 6.965 398.6 10.82C403.4 14.68 407.3 19.46 410.2 24.86C413 30.27 414.8 36.19 415.3 42.29C415.8 48.38 415.1 54.52 413.2 60.34C411.4 66.15 408.3 71.53 404.3 76.16L293.6 202.9L235.7 156.5L333.5 18.68V18.56zM638.1 96.6C639.9 102.5 640.4 108.7 639.7 114.9C639 121 637.1 126.1 633.1 132.3C630.9 137.7 626.8 142.4 621.9 146.1L473.1 261.7L425.1 206.9L563.4 76.09C567.9 71.9 573.3 68.67 579.1 66.61C584.9 64.55 591.1 63.69 597.3 64.1C603.5 64.5 609.5 66.16 615 68.96C620.6 71.76 625.4 75.66 629.4 80.41C633.4 85.16 636.3 90.67 638.1 96.6z"]],
    "church": [640, 512, [9962], "f51d", ["M160 512H48C21.49 512 0 490.5 0 464V372.4C0 354.9 9.53 338.8 24.87 330.3L160 256V512zM480 256L615.1 330.3C630.5 338.8 640 354.9 640 372.4V464C640 490.5 618.5 512 592 512H480V256z", "M320 0C333.3 0 344 10.75 344 24V48H376C389.3 48 400 58.75 400 72C400 85.25 389.3 96 376 96H344V142.4L456.7 210C471.2 218.7 480 234.3 480 251.2V512H384V416C384 380.7 355.3 352 320 352C284.7 352 256 380.7 256 416V512H160V251.2C160 234.3 168.8 218.7 183.3 210L296 142.4V96H264C250.7 96 240 85.25 240 72C240 58.75 250.7 48 264 48H296V24C296 10.75 306.7 0 320 0V0z"]],
    "circle": [512, 512, [128308, 128309, 128992, 128993, 128994, 128995, 128996, 9898, 9899, 11044, 61708, 61915, 9679], "f111", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256z", ""]],
    "circle-0": [512, 512, [], "e0ed", ["M256 176C229.5 176 208 197.5 208 224v64c0 26.47 21.53 48 48 48s48-21.53 48-48V224C304 197.5 282.5 176 256 176zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM352 288c0 52.94-43.06 96-96 96s-96-43.06-96-96V224c0-52.94 43.06-96 96-96s96 43.06 96 96V288z", "M256 128C203.1 128 160 171.1 160 224v64c0 52.94 43.06 96 96 96s96-43.06 96-96V224C352 171.1 308.9 128 256 128zM304 288c0 26.47-21.53 48-48 48S208 314.5 208 288V224c0-26.47 21.53-48 48-48s48 21.53 48 48V288z"]],
    "circle-1": [512, 512, [], "e0ee", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM320 384H192c-13.25 0-24-10.75-24-24S178.8 336 192 336h40V196.8L217.3 206.6C206.3 213.9 191.4 210.1 184 199.1C176.7 188.9 179.7 174 190.7 166.7l52-34.66c7.391-4.938 16.86-5.375 24.64-1.188C275.1 135 280 143.2 280 152v184H320c13.25 0 24 10.75 24 24S333.3 384 320 384z", "M344 360c0 13.25-10.75 24-24 24H192c-13.25 0-24-10.75-24-24S178.8 336 192 336h40V196.8L217.3 206.6C206.3 213.9 191.4 210.1 184 199.1C176.7 188.9 179.7 174 190.7 166.7l52-34.66c7.391-4.938 16.86-5.375 24.64-1.188C275.1 135 280 143.2 280 152v184H320C333.3 336 344 346.8 344 360z"]],
    "circle-2": [512, 512, [], "e0ef", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM328 384h-144c-9.922 0-18.81-6.094-22.39-15.38c-3.578-9.25-1.078-19.75 6.266-26.41l108.4-98.31c7.047-6.938 11.31-17 11.31-27.66s-4.266-20.72-12-28.31C259.4 172 232.9 172 216.6 187.9L205.6 198.7C196.1 208.1 180.1 207.9 171.7 198.4C162.4 188.9 162.5 173.7 172 164.5l11-10.78c34.8-34.19 91.45-34.19 126.3 0c17 16.69 26.38 38.91 26.38 62.56s-9.375 45.88-26.38 62.56L246.2 336H328c13.25 0 24 10.75 24 24S341.3 384 328 384z", "M352 360c0 13.25-10.75 24-24 24h-144c-9.922 0-18.81-6.094-22.39-15.38c-3.578-9.25-1.078-19.75 6.266-26.41l108.4-98.31c7.047-6.938 11.31-17 11.31-27.66s-4.266-20.72-12-28.31C259.4 172 232.9 172 216.6 187.9L205.6 198.7C196.1 208.1 180.1 207.9 171.7 198.4C162.4 188.9 162.5 173.7 172 164.5l11-10.78c34.8-34.19 91.45-34.19 126.3 0c17 16.69 26.38 38.91 26.38 62.56s-9.375 45.88-26.38 62.56L246.2 336H328C341.3 336 352 346.8 352 360z"]],
    "circle-3": [512, 512, [], "e0f0", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM268 384H223.4c-28.23 0-53.2-18-62.13-44.78c-4.188-12.59 2.609-26.19 15.19-30.38C189 304.8 202.6 311.5 206.8 324C209.2 331.2 215.8 336 223.4 336H268c19.84 0 36-16.16 36-36S287.8 264 268 264H216c-9.891 0-18.78-6.062-22.38-15.31C190 239.5 192.5 229 199.8 222.3L250.3 176H184C170.8 176 160 165.3 160 152S170.8 128 184 128h128c9.891 0 18.78 6.062 22.38 15.31c3.578 9.219 1.141 19.69-6.156 26.38L277.2 216.5C319.2 221.1 352 256.8 352 300C352 346.3 314.3 384 268 384z", "M352 300C352 346.3 314.3 384 268 384H223.4c-28.23 0-53.2-17.1-62.13-44.78c-4.188-12.59 2.609-26.19 15.19-30.38C189 304.8 202.6 311.5 206.8 324C209.2 331.2 215.8 336 223.4 336H268c19.84 0 36-16.16 36-36S287.8 264 268 264H216c-9.891 0-18.78-6.062-22.38-15.31C190 239.5 192.5 229 199.8 222.3L250.3 176H184C170.8 176 160 165.3 160 152S170.8 128 184 128h128c9.891 0 18.78 6.062 22.38 15.31c3.578 9.219 1.141 19.69-6.156 26.38L277.2 216.5C319.2 221.1 352 256.8 352 300z"]],
    "circle-4": [512, 512, [], "e0f1", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM328 320H320v40c0 13.25-10.75 24-24 24s-24-10.75-24-24V320H169.1c-8.078 0-15.61-4.062-20.05-10.81s-5.188-15.25-2-22.69l62-144c5.234-12.16 19.31-17.84 31.53-12.53c12.19 5.219 17.8 19.34 12.56 31.53L206.5 272H272V221.3c0-13.25 10.75-24 24-24s24 10.75 24 24V272h8C341.3 272 352 282.8 352 296S341.3 320 328 320z", "M352 296C352 309.3 341.3 320 328 320H320v40c0 13.25-10.75 24-24 24s-24-10.75-24-24V320H169.1c-8.078 0-15.61-4.062-20.05-10.81s-5.188-15.25-2-22.69l62-144c5.234-12.16 19.31-17.84 31.53-12.53c12.19 5.219 17.8 19.34 12.56 31.53L206.5 272H272V221.3c0-13.25 10.75-24 24-24s24 10.75 24 24V272h8C341.3 272 352 282.8 352 296z"]],
    "circle-5": [512, 512, [], "e0f2", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM272.1 384H223.4c-28.23 0-53.2-18-62.13-44.78c-4.188-12.59 2.609-26.19 15.19-30.38c12.53-4.062 26.16 2.625 30.34 15.19C209.2 331.2 215.8 336 223.4 336h49.59C290.1 336 304 322.1 304 304.9c0-15.75-11.78-29-27.41-30.81l-87.39-10.28c-6.625-.7813-12.61-4.281-16.56-9.656C168.7 248.8 167.2 242.1 168.4 235.5l16.73-88C187.3 136.2 197.2 128 208.7 128H312c13.25 0 24 10.75 24 24S325.3 176 312 176H228.6L220.4 219.2l61.8 7.25C321.1 231.1 352 264.8 352 304.9C352 348.5 316.5 384 272.1 384z", "M352 304.9C352 348.5 316.5 384 272.1 384H223.4c-28.23 0-53.2-17.1-62.13-44.78c-4.188-12.59 2.609-26.19 15.19-30.38c12.53-4.062 26.16 2.625 30.34 15.19C209.2 331.2 215.8 336 223.4 336h49.59C290.1 336 304 322.1 304 304.9c0-15.75-11.78-29-27.41-30.81l-87.39-10.28c-6.625-.7813-12.61-4.281-16.56-9.656C168.7 248.8 167.2 242.1 168.4 235.5l16.73-88C187.3 136.2 197.2 128 208.7 128H312c13.25 0 24 10.75 24 24S325.3 176 312 176H228.6L220.4 219.2l61.8 7.25C321.1 231.1 352 264.8 352 304.9z"]],
    "circle-6": [512, 512, [], "e0f3", ["M256 240c-21.06 0-40 14.09-46.03 34.28C208.7 278.7 208 283.3 208 288c0 26.47 21.53 48 48 48s48-21.53 48-48S282.5 240 256 240zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 384c-52.94 0-96-43.06-96-96c0-41.3 27.55-73.29 40.28-84.41l79.94-69.69C284.8 129.9 290.4 128 296 128c6.688 0 13.34 2.781 18.09 8.219c8.719 10 7.656 25.16-2.312 33.88l-29.76 25.94C322.3 207.5 352 244.1 352 288C352 340.9 308.9 384 256 384z", "M282 196l29.76-25.94c9.969-8.719 11.03-23.88 2.312-33.88C309.3 130.8 302.7 128 296 128c-5.594 0-11.22 1.938-15.78 5.906L200.3 203.6C187.5 214.7 160 246.7 160 288c0 52.94 43.06 96 96 96s96-43.06 96-96C352 244.1 322.3 207.5 282 196zM256 336c-26.47 0-48-21.53-48-48c0-4.719 .6562-9.312 1.969-13.72C216 254.1 234.9 240 256 240c26.47 0 48 21.53 48 48S282.5 336 256 336z"]],
    "circle-7": [512, 512, [], "e0f4", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM349.1 163.4l-112 208C232.8 379.4 224.5 384 215.1 384c-3.844 0-7.719-.9062-11.34-2.875c-11.69-6.281-16.03-20.84-9.75-32.5L287.8 176H184C170.8 176 160 165.3 160 152S170.8 128 184 128h144c8.438 0 16.28 4.438 20.59 11.69C352.9 146.9 353.1 155.9 349.1 163.4z", "M349.1 163.4l-112 208C232.8 379.4 224.5 384 215.1 384c-3.844 0-7.719-.9062-11.34-2.875c-11.69-6.281-16.03-20.84-9.75-32.5L287.8 176H184C170.8 176 160 165.3 160 152S170.8 128 184 128h144c8.438 0 16.28 4.438 20.59 11.69C352.9 146.9 353.1 155.9 349.1 163.4z"]],
    "circle-8": [512, 512, [], "e0f5", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM272 384h-32C195.9 384 160 348.1 160 304c0-25.06 11.81-47.19 29.9-61.87C181.3 230.3 176 215.8 176 200C176 160.3 208.3 128 248 128h16c39.69 0 72 32.31 72 72c0 15.77-5.254 30.26-13.9 42.13C340.2 256.8 352 278.9 352 304C352 348.1 316.1 384 272 384zM248 224h16C277.2 224 288 213.2 288 200S277.2 176 264 176h-16C234.8 176 224 186.8 224 200S234.8 224 248 224zM272 272h-32c-17.66 0-32 14.34-32 32s14.34 32 32 32h32c17.66 0 32-14.34 32-32S289.7 272 272 272z", "M322.1 242.1C330.7 230.3 336 215.8 336 200C336 160.3 303.7 128 264 128h-16C208.3 128 176 160.3 176 200c0 15.77 5.254 30.26 13.9 42.13C171.8 256.8 160 278.9 160 304C160 348.1 195.9 384 240 384h32c44.13 0 80-35.88 80-80C352 278.9 340.2 256.8 322.1 242.1zM248 176h16C277.2 176 288 186.8 288 200S277.2 224 264 224h-16C234.8 224 224 213.2 224 200S234.8 176 248 176zM272 336h-32c-17.66 0-32-14.34-32-32s14.34-32 32-32h32c17.66 0 32 14.34 32 32S289.7 336 272 336z"]],
    "circle-9": [512, 512, [], "e0f6", ["M256 176C229.5 176 208 197.5 208 224S229.5 272 256 272c21.06 0 40-14.09 46.03-34.28C303.3 233.3 304 228.7 304 224C304 197.5 282.5 176 256 176zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM311.7 308.4l-79.94 69.69C227.2 382.1 221.6 384 216 384c-6.688 0-13.34-2.781-18.09-8.219c-8.719-10-7.656-25.16 2.312-33.88l29.76-25.94C189.7 304.5 160 267.9 160 224c0-52.94 43.06-96 96-96s96 43.06 96 96C352 265.3 324.5 297.3 311.7 308.4z", "M256 128C203.1 128 160 171.1 160 224c0 43.86 29.73 80.53 69.98 91.96l-29.76 25.94c-9.969 8.719-11.03 23.88-2.312 33.88C202.7 381.2 209.3 384 216 384c5.594 0 11.22-1.938 15.78-5.906l79.94-69.69C324.5 297.3 352 265.3 352 224C352 171.1 308.9 128 256 128zM302 237.7C296 257.9 277.1 272 256 272C229.5 272 208 250.5 208 224S229.5 176 256 176s48 21.53 48 48C304 228.7 303.3 233.3 302 237.7z"]],
    "circle-a": [512, 512, [], "e0f7", ["M215.1 279.6h80.05L256 192.5L215.1 279.6zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM362.1 365.8c-3.266 1.506-6.687 2.229-10.05 2.229c-9.078 0-17.75-5.18-21.81-14l-12.03-26.18H193.8l-12.03 26.18c-5.576 12.09-19.76 17.36-31.86 11.77c-12.03-5.559-17.28-19.91-11.73-31.99l95.99-208.1c7.842-17.08 35.75-17.08 43.59 0l95.99 208.1C379.3 345.9 374.1 360.2 362.1 365.8z", "M277.8 124.8c-7.843-17.08-35.75-17.08-43.59 0l-95.99 208.1c-5.547 12.09-.2978 26.44 11.73 31.99c12.09 5.588 26.28 .3138 31.86-11.77l12.03-26.18h124.3l12.03 26.18c4.062 8.822 12.73 14 21.81 14c3.359 0 6.781-.7217 10.05-2.229c12.03-5.557 17.28-19.9 11.73-31.99L277.8 124.8zM215.1 279.6L256 192.5l40.02 87.14H215.1z"]],
    "circle-ampersand": [512, 512, [], "e0f8", ["M199 302.5C194.5 306.1 192 311.4 192 317.2C192 327.5 200.5 336 210.8 336h32.47c10.03 0 19.38-4.938 25-13.2l2.117-3.105L231.1 276.6L199 302.5zM236 210.9l21.94-17.73c2.281-1.828 3.594-4.578 3.594-7.516C261.6 180.3 257.2 176 251.9 176H228.8c-5.312 0-9.656 4.328-9.656 9.656c0 4.359 1.625 8.547 4.562 11.78L236 210.9zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM356 377.7C351.4 381.9 345.6 384 339.8 384c-6.5 0-12.97-2.625-17.72-7.812l-18.62-20.38C288.7 373.6 266.7 384 243.3 384H210.8C173.1 384 144 354 144 317.2c0-20.3 9.062-39.25 24.84-51.98l29.75-24.05L188.3 229.8c-11.06-12.11-17.12-27.78-17.12-44.14C171.1 153.9 197 128 228.8 128h23.12c31.78 0 57.66 25.86 57.66 57.66c0 17.5-7.812 33.86-21.41 44.86l-19.69 15.89l29.74 32.53L319.1 247c7.5-10.92 22.41-13.8 33.38-6.312c10.94 7.453 13.78 22.39 6.312 33.34L331.5 315.3l26.03 28.47C366.5 353.6 365.8 368.8 356 377.7z", "M331.5 315.3l28.15-41.31c7.469-10.95 4.625-25.89-6.312-33.34c-10.97-7.484-25.88-4.609-33.38 6.312l-21.76 31.93l-29.74-32.53l19.69-15.89c13.59-11 21.41-27.36 21.41-44.86C309.6 153.9 283.7 128 251.9 128H228.8C197 128 171.1 153.9 171.1 185.7c0 16.36 6.062 32.03 17.12 44.14l10.34 11.33L168.8 265.2C153.1 277.9 144 296.9 144 317.2C144 354 173.1 384 210.8 384h32.47c23.41 0 45.38-10.41 60.16-28.19l18.62 20.38C326.8 381.4 333.3 384 339.8 384c5.781 0 11.59-2.078 16.19-6.281c9.781-8.953 10.47-24.12 1.531-33.91L331.5 315.3zM228.8 176h23.12c5.312 0 9.656 4.328 9.656 9.656c0 2.938-1.312 5.688-3.594 7.516L236 210.9L223.7 197.4C220.8 194.2 219.1 190 219.1 185.7C219.1 180.3 223.5 176 228.8 176zM268.3 322.8C262.7 331.1 253.3 336 243.3 336H210.8C200.5 336 192 327.5 192 317.2c0-5.719 2.531-11.06 7-14.64L231.1 276.6l39.37 43.08L268.3 322.8z"]],
    "circle-arrow-down": [512, 512, ["arrow-circle-down"], "f0ab", ["M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM382.6 302.6l-103.1 103.1C270.7 414.6 260.9 416 256 416c-4.881 0-14.65-1.391-22.65-9.398L129.4 302.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L224 306.8V128c0-17.69 14.33-32 32-32s32 14.31 32 32v178.8l49.38-49.38c12.5-12.5 32.75-12.5 45.25 0S395.1 290.1 382.6 302.6z", "M382.6 302.6l-103.1 103.1C270.7 414.6 260.9 416 256 416c-4.881 0-14.65-1.391-22.65-9.398L129.4 302.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L224 306.8V128c0-17.69 14.33-32 32-32s32 14.31 32 32v178.8l49.38-49.38c12.5-12.5 32.75-12.5 45.25 0S395.1 290.1 382.6 302.6z"]],
    "circle-arrow-down-left": [512, 512, [], "e0f9", ["M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM366.6 190.6L245.3 312H312c17.67 0 32 14.31 32 32s-14.33 32-32 32h-144c-17.67 0-32-14.31-32-32v-144c0-17.69 14.33-32 32-32s32 14.31 32 32v66.75l121.4-121.4c12.5-12.5 32.75-12.5 45.25 0S379.1 178.1 366.6 190.6z", "M366.6 190.6L245.3 312H312c17.67 0 32 14.31 32 32s-14.33 32-32 32h-144c-17.67 0-32-14.31-32-32v-144c0-17.69 14.33-32 32-32s32 14.31 32 32v66.75l121.4-121.4c12.5-12.5 32.75-12.5 45.25 0S379.1 178.1 366.6 190.6z"]],
    "circle-arrow-down-right": [512, 512, [], "e0fa", ["M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM376 344c0 17.69-14.33 32-32 32h-144c-17.67 0-32-14.31-32-32s14.33-32 32-32h66.75L145.4 190.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L312 266.8V200c0-17.69 14.33-32 32-32s32 14.31 32 32V344z", "M376 344c0 17.69-14.33 32-32 32h-144c-17.67 0-32-14.31-32-32s14.33-32 32-32h66.75L145.4 190.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L312 266.8V200c0-17.69 14.33-32 32-32s32 14.31 32 32V344z"]],
    "circle-arrow-left": [512, 512, ["arrow-circle-left"], "f0a8", ["M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM384 288H205.3l49.38 49.38c12.5 12.5 12.5 32.75 0 45.25s-32.75 12.5-45.25 0L105.4 278.6C97.4 270.7 96 260.9 96 256c0-4.883 1.391-14.66 9.398-22.65l103.1-103.1c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L205.3 224H384c17.69 0 32 14.33 32 32S401.7 288 384 288z", "M384 288H205.3l49.38 49.38c12.5 12.5 12.5 32.75 0 45.25s-32.75 12.5-45.25 0L105.4 278.6C97.4 270.7 96 260.9 96 256c0-4.883 1.391-14.66 9.398-22.65l103.1-103.1c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L205.3 224H384c17.69 0 32 14.33 32 32S401.7 288 384 288z"]],
    "circle-arrow-right": [512, 512, ["arrow-circle-right"], "f0a9", ["M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM406.6 278.6l-103.1 103.1c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25L306.8 288H128C110.3 288 96 273.7 96 256s14.31-32 32-32h178.8l-49.38-49.38c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0l103.1 103.1C414.6 241.3 416 251.1 416 256C416 260.9 414.6 270.7 406.6 278.6z", "M406.6 278.6l-103.1 103.1c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25L306.8 288H128C110.3 288 96 273.7 96 256s14.31-32 32-32h178.8l-49.38-49.38c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0l103.1 103.1C414.6 241.3 416 251.1 416 256C416 260.9 414.6 270.7 406.6 278.6z"]],
    "circle-arrow-up": [512, 512, ["arrow-circle-up"], "f0aa", ["M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM382.6 254.6c-12.5 12.5-32.75 12.5-45.25 0L288 205.3V384c0 17.69-14.33 32-32 32s-32-14.31-32-32V205.3L174.6 254.6c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l103.1-103.1C241.3 97.4 251.1 96 256 96c4.881 0 14.65 1.391 22.65 9.398l103.1 103.1C395.1 221.9 395.1 242.1 382.6 254.6z", "M382.6 254.6c-12.5 12.5-32.75 12.5-45.25 0L288 205.3V384c0 17.69-14.33 32-32 32s-32-14.31-32-32V205.3L174.6 254.6c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l103.1-103.1C241.3 97.4 251.1 96 256 96c4.881 0 14.65 1.391 22.65 9.398l103.1 103.1C395.1 221.9 395.1 242.1 382.6 254.6z"]],
    "circle-arrow-up-left": [512, 512, [], "e0fb", ["M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM366.6 366.6C360.4 372.9 352.2 376 344 376s-16.38-3.125-22.62-9.375L200 245.3V312c0 17.69-14.33 32-32 32s-32-14.31-32-32v-144c0-17.69 14.33-32 32-32h144c17.67 0 32 14.31 32 32s-14.33 32-32 32H245.3l121.4 121.4C379.1 333.9 379.1 354.1 366.6 366.6z", "M366.6 366.6C360.4 372.9 352.2 376 344 376s-16.38-3.125-22.62-9.375L200 245.3V312c0 17.69-14.33 32-32 32s-32-14.31-32-32v-144c0-17.69 14.33-32 32-32h144c17.67 0 32 14.31 32 32s-14.33 32-32 32H245.3l121.4 121.4C379.1 333.9 379.1 354.1 366.6 366.6z"]],
    "circle-arrow-up-right": [512, 512, [], "e0fc", ["M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM376 312c0 17.69-14.33 32-32 32s-32-14.31-32-32V245.3l-121.4 121.4C184.4 372.9 176.2 376 168 376s-16.38-3.125-22.62-9.375c-12.5-12.5-12.5-32.75 0-45.25L266.8 200H200c-17.67 0-32-14.31-32-32s14.33-32 32-32h144c17.67 0 32 14.31 32 32V312z", "M376 312c0 17.69-14.33 32-32 32s-32-14.31-32-32V245.3l-121.4 121.4C184.4 372.9 176.2 376 168 376s-16.38-3.125-22.62-9.375c-12.5-12.5-12.5-32.75 0-45.25L266.8 200H200c-17.67 0-32-14.31-32-32s14.33-32 32-32h144c17.67 0 32 14.31 32 32V312z"]],
    "circle-b": [512, 512, [], "e0fd", ["M292 280H208v56h84C307.4 336 320 323.4 320 308S307.4 280 292 280zM304 204c0-15.44-12.56-28-28-28H208v56h68C291.4 232 304 219.4 304 204zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM292 384H184C170.8 384 160 373.3 160 360v-208C160 138.8 170.8 128 184 128h92C317.9 128 352 162.1 352 204c0 16.35-5.301 31.41-14.12 43.82C356.1 261.7 368 283.4 368 308C368 349.9 333.9 384 292 384z", "M337.9 247.8C346.7 235.4 352 220.3 352 204C352 162.1 317.9 128 276 128H184C170.8 128 160 138.8 160 152v208C160 373.3 170.8 384 184 384h108c41.91 0 76-34.09 76-76C368 283.4 356.1 261.7 337.9 247.8zM208 176h68c15.44 0 28 12.56 28 28S291.4 232 276 232H208V176zM292 336H208V280h84C307.4 280 320 292.6 320 308S307.4 336 292 336z"]],
    "circle-bolt": [512, 512, [], "e0fe", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM293.8 131.6L157.8 243.6C152.6 247.9 150.7 255 152.9 261.4C155.2 267.8 161.2 271.1 168 271.1H231.7L193.3 361.7C190.4 368.5 192.5 376.4 198.4 380.8C204.3 385.2 212.5 385 218.2 380.4L354.2 268.4C359.4 264.1 361.3 256.1 359.1 250.6C356.8 244.2 350.8 240 344 240H280.3L318.7 150.3C321.6 143.5 319.5 135.6 313.6 131.2C307.7 126.8 299.5 126.1 293.8 131.6L293.8 131.6z", "M280.3 240H344C350.8 240 356.8 244.2 359.1 250.6C361.3 256.1 359.4 264.1 354.2 268.4L218.2 380.4C212.5 385 204.3 385.2 198.4 380.8C192.5 376.4 190.4 368.5 193.3 361.7L231.7 271.1H168C161.2 271.1 155.2 267.8 152.9 261.4C150.7 255 152.6 247.9 157.8 243.6L293.8 131.6C299.5 126.1 307.7 126.8 313.6 131.2C319.5 135.6 321.6 143.5 318.7 150.3L280.3 240z"]],
    "circle-book-open": [512, 512, ["book-circle"], "e0ff", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM240 352c-11.81-6.959-50.92-25.71-101.4-3.734C133.6 350.4 128 346.9 128 341.9V185.5c0-5.455 3.379-10.54 8.752-12.74c21.22-8.676 41.57-13.11 59.14-12.79C215 160.3 230.1 164.9 240 168.1V352zM384 341.9c0 5.047-5.643 8.545-10.56 6.405C322.9 326.3 283.8 345 272 351.1V168.1c9.902-4.061 24.99-8.614 44.1-8.935c17.5-.1543 37.91 4.137 59.14 12.79C380.6 174.1 384 180.1 384 185.6V341.9z", "M375.2 172.8c-21.23-8.65-41.63-12.94-59.14-12.79C296.1 160.3 281.9 164.9 272 168.1v183c11.81-6.961 50.9-25.71 101.4-3.73C378.4 350.4 384 346.9 384 341.9v-156.3C384 180.1 380.6 174.1 375.2 172.8zM136.8 172.8C131.4 175 128 180.1 128 185.5v156.3c0 5.047 5.643 8.545 10.56 6.405C189.1 326.3 228.2 345 240 352V168.1C230.1 164.9 215 160.3 195.9 160C178.3 159.7 157.1 164.1 136.8 172.8z"]],
    "circle-bookmark": [512, 512, ["bookmark-circle"], "e100", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM352 384l-96-64l-96 64V160c0-17.67 14.33-32 32-32h128c17.67 0 32 14.33 32 32V384z", "M352 384l-96-64l-96 64V160c0-17.67 14.33-32 32-32h128c17.67 0 32 14.33 32 32V384z"]],
    "circle-c": [512, 512, [], "e101", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM255.1 336c21.09 0 40.92-8.281 55.86-23.38c9.328-9.375 24.55-9.5 33.94-.125c9.422 9.312 9.484 24.5 .1562 33.94C321 370.7 289.1 384 255.1 384c0 0 .0156 0 0 0c-78.95 0-127-66.33-127-128c-.0078-61.11 47.87-128 127-128c.0156 0 0 0 0 0c33.98 0 65.95 13.34 89.96 37.56C354.4 175 354.3 190.2 344.9 199.5c-9.391 9.375-24.61 9.242-33.94-.1328C296 184.3 276.2 176 255.1 176C205.7 176 176 217.9 176 256C176 293.9 205.6 336 255.1 336z", "M344.9 312.5c9.422 9.312 9.484 24.5 .1562 33.94C321 370.7 289.1 384 255.1 384c0 0 .0156 0 0 0c-78.95 0-127-66.33-127-128c-.0078-61.11 47.87-128 127-128c.0156 0 0 0 0 0c33.98 0 65.95 13.34 89.96 37.56C354.4 175 354.3 190.2 344.9 199.5c-9.391 9.375-24.61 9.242-33.94-.1328C296 184.3 276.2 176 255.1 176C205.7 176 176 217.9 176 256c.0039 37.87 29.61 80 79.07 80c21.09 0 40.92-8.281 55.86-23.38C320.3 303.3 335.5 303.1 344.9 312.5z"]],
    "circle-calendar": [512, 512, ["calendar-circle"], "e102", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM208 96C199.2 96 192 103.2 192 112V128H160C142.3 128 128 142.3 128 160V352C128 369.7 142.3 384 160 384H352C369.7 384 384 369.7 384 352V160C384 142.3 369.7 128 352 128H320V112C320 103.2 312.8 96 304 96C295.2 96 288 103.2 288 112V128H224V112C224 103.2 216.8 96 208 96z", "M192 112C192 103.2 199.2 96 208 96C216.8 96 224 103.2 224 112V128H288V112C288 103.2 295.2 96 304 96C312.8 96 320 103.2 320 112V128H352C369.7 128 384 142.3 384 160V224H128V160C128 142.3 142.3 128 160 128H192V112z"]],
    "circle-camera": [512, 512, ["camera-circle"], "e103", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM384 320c0 17.67-14.33 32-32 32H160c-17.67 0-32-14.33-32-32V192c0-17.67 14.33-32 32-32h36l6.125-16.44C205.6 134.2 214.6 128 224.6 128h62.75c10 0 18.94 6.188 22.44 15.56L316 160H352c17.67 0 32 14.33 32 32V320z", "M352 160h-36l-6.188-16.44C306.3 134.2 297.4 128 287.4 128H224.6c-10 0-19 6.188-22.5 15.56L196 160H160C142.3 160 128 174.3 128 192v128c0 17.67 14.33 32 32 32h192c17.67 0 32-14.33 32-32V192C384 174.3 369.7 160 352 160zM256 304C229.5 304 208 282.5 208 256S229.5 208 256 208s48 21.5 48 48S282.5 304 256 304z"]],
    "circle-caret-down": [512, 512, ["caret-circle-down"], "f32d", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM377.6 248.3l-104 112C269 365.2 262.7 368 256 368s-13.05-2.781-17.59-7.656l-104-112c-6.484-7-8.219-17.19-4.406-25.94C133.8 213.7 142.5 208 152 208h208c9.547 0 18.19 5.656 21.1 14.41C385.8 231.2 384.1 241.3 377.6 248.3z", "M377.6 248.3l-104 112C269 365.2 262.7 368 256 368s-13.05-2.781-17.59-7.656l-104-112c-6.484-7-8.219-17.19-4.406-25.94C133.8 213.7 142.5 208 152 208h208c9.547 0 18.19 5.656 21.1 14.41C385.8 231.2 384.1 241.3 377.6 248.3z"]],
    "circle-caret-left": [512, 512, ["caret-circle-left"], "f32e", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM304 360c0 9.531-5.656 18.19-14.41 22C286.5 383.3 283.3 384 280 384c-5.938 0-11.8-2.219-16.33-6.406l-112-104C146.8 269 144 262.7 144 256s2.781-13.03 7.672-17.59l112-104C270.7 127.9 280.9 126.3 289.6 130C298.3 133.8 304 142.5 304 152V360z", "M304 360c0 9.531-5.656 18.19-14.41 22C286.5 383.3 283.3 384 280 384c-5.938 0-11.8-2.219-16.33-6.406l-112-104C146.8 269 144 262.7 144 256s2.781-13.03 7.672-17.59l112-104C270.7 127.9 280.9 126.3 289.6 130C298.3 133.8 304 142.5 304 152V360z"]],
    "circle-caret-right": [512, 512, ["caret-circle-right"], "f330", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM360.3 273.6l-112 104C243.8 381.8 237.9 384 232 384c-3.25 0-6.5-.6562-9.594-2C213.7 378.2 208 369.5 208 360v-208c0-9.531 5.656-18.19 14.41-22c8.781-3.75 18.92-2.062 25.92 4.406l112 104C365.2 242.1 368 249.3 368 256S365.2 269 360.3 273.6z", "M360.3 273.6l-112 104C243.8 381.8 237.9 384 232 384c-3.25 0-6.5-.6562-9.594-2C213.7 378.2 208 369.5 208 360v-208c0-9.531 5.656-18.19 14.41-22c8.781-3.75 18.92-2.062 25.92 4.406l112 104C365.2 242.1 368 249.3 368 256S365.2 269 360.3 273.6z"]],
    "circle-caret-up": [512, 512, ["caret-circle-up"], "f331", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM381.1 289.6C378.2 298.3 369.5 304 360 304h-208c-9.547 0-18.19-5.656-22-14.41c-3.812-8.75-2.078-18.94 4.407-25.94l104-112c9.094-9.75 26.09-9.75 35.19 0l104 112C384.1 270.7 385.8 280.8 381.1 289.6z", "M381.1 289.6C378.2 298.3 369.5 304 360 304h-208c-9.547 0-18.19-5.656-22-14.41c-3.812-8.75-2.078-18.94 4.407-25.94l104-112c9.094-9.75 26.09-9.75 35.19 0l104 112C384.1 270.7 385.8 280.8 381.1 289.6z"]],
    "circle-check": [512, 512, [61533, "check-circle"], "f058", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM371.8 211.8C382.7 200.9 382.7 183.1 371.8 172.2C360.9 161.3 343.1 161.3 332.2 172.2L224 280.4L179.8 236.2C168.9 225.3 151.1 225.3 140.2 236.2C129.3 247.1 129.3 264.9 140.2 275.8L204.2 339.8C215.1 350.7 232.9 350.7 243.8 339.8L371.8 211.8z", "M371.8 172.2C382.7 183.1 382.7 200.9 371.8 211.8L243.8 339.8C232.9 350.7 215.1 350.7 204.2 339.8L140.2 275.8C129.3 264.9 129.3 247.1 140.2 236.2C151.1 225.3 168.9 225.3 179.8 236.2L224 280.4L332.2 172.2C343.1 161.3 360.9 161.3 371.8 172.2V172.2z"]],
    "circle-chevron-down": [512, 512, ["chevron-circle-down"], "f13a", ["M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM390.6 246.6l-112 112C272.4 364.9 264.2 368 256 368s-16.38-3.125-22.62-9.375l-112-112c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L256 290.8l89.38-89.38c12.5-12.5 32.75-12.5 45.25 0S403.1 234.1 390.6 246.6z", "M390.6 246.6l-112 112C272.4 364.9 264.2 368 256 368s-16.38-3.125-22.62-9.375l-112-112c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L256 290.8l89.38-89.38c12.5-12.5 32.75-12.5 45.25 0S403.1 234.1 390.6 246.6z"]],
    "circle-chevron-left": [512, 512, ["chevron-circle-left"], "f137", ["M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM310.6 345.4c12.5 12.5 12.5 32.75 0 45.25s-32.75 12.5-45.25 0l-112-112C147.1 272.4 144 264.2 144 256s3.125-16.38 9.375-22.62l112-112c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L221.3 256L310.6 345.4z", "M310.6 345.4c12.5 12.5 12.5 32.75 0 45.25s-32.75 12.5-45.25 0l-112-112C147.1 272.4 144 264.2 144 256s3.125-16.38 9.375-22.62l112-112c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L221.3 256L310.6 345.4z"]],
    "circle-chevron-right": [512, 512, ["chevron-circle-right"], "f138", ["M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM358.6 278.6l-112 112c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25L290.8 256L201.4 166.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0l112 112C364.9 239.6 368 247.8 368 256S364.9 272.4 358.6 278.6z", "M358.6 278.6l-112 112c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25L290.8 256L201.4 166.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0l112 112C364.9 239.6 368 247.8 368 256S364.9 272.4 358.6 278.6z"]],
    "circle-chevron-up": [512, 512, ["chevron-circle-up"], "f139", ["M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM390.6 310.6c-12.5 12.5-32.75 12.5-45.25 0L256 221.3L166.6 310.6c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l112-112C239.6 147.1 247.8 144 256 144s16.38 3.125 22.62 9.375l112 112C403.1 277.9 403.1 298.1 390.6 310.6z", "M390.6 310.6c-12.5 12.5-32.75 12.5-45.25 0L256 221.3L166.6 310.6c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l112-112C239.6 147.1 247.8 144 256 144s16.38 3.125 22.62 9.375l112 112C403.1 277.9 403.1 298.1 390.6 310.6z"]],
    "circle-d": [512, 512, [], "e104", ["M254.4 176H208v160h46.41C299.4 336 336 300.1 336 256C336 211.9 299.4 176 254.4 176zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM254.4 384H184C170.8 384 160 373.3 160 360v-208C160 138.8 170.8 128 184 128h70.41C325.9 128 384 185.4 384 256C384 326.6 325.9 384 254.4 384z", "M254.4 128H184C170.8 128 160 138.8 160 152v208C160 373.3 170.8 384 184 384h70.41C325.9 384 384 326.6 384 256C384 185.4 325.9 128 254.4 128zM254.4 336H208v-160h46.41C299.4 176 336 211.9 336 256C336 300.1 299.4 336 254.4 336z"]],
    "circle-dashed": [512, 512, [], "e105", ["M138.3 104.3L92.74 58.8C131.3 26.87 179.3 6.009 232 1.111V65.49C196.9 69.86 164.8 83.68 138.3 104.3V104.3zM280 446.5C315.1 442.1 347.2 428.3 373.7 407.7L419.3 453.2C380.7 485.1 332.7 505.1 280 510.9V446.5zM1.111 280H65.49C69.86 315.1 83.68 347.2 104.3 373.7L58.8 419.3C26.87 380.7 6.009 332.7 1.112 280H1.111zM407.7 138.3L453.2 92.74C485.1 131.3 505.1 179.3 510.9 232H446.5C442.1 196.9 428.3 164.8 407.7 138.3V138.3z", "M1.111 232C6.009 179.3 26.87 131.3 58.8 92.74L104.3 138.3C83.68 164.8 69.86 196.9 65.49 232H1.111zM446.5 280H510.9C505.1 332.7 485.1 380.7 453.2 419.3L407.7 373.7C428.3 347.2 442.1 315.1 446.5 280H446.5zM138.3 407.7C164.8 428.3 196.9 442.1 232 446.5V510.9C179.3 505.1 131.3 485.1 92.74 453.2L138.3 407.7zM373.7 104.3C347.2 83.68 315.1 69.86 280 65.49V1.111C332.7 6.009 380.7 26.87 419.3 58.8L373.7 104.3z"]],
    "circle-divide": [512, 512, [], "e106", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 192C273.7 192 288 177.7 288 160C288 142.3 273.7 128 256 128C238.3 128 224 142.3 224 160C224 177.7 238.3 192 256 192zM168 232C154.7 232 144 242.7 144 256C144 269.3 154.7 280 168 280H344C357.3 280 368 269.3 368 256C368 242.7 357.3 232 344 232H168zM256 320C238.3 320 224 334.3 224 352C224 369.7 238.3 384 256 384C273.7 384 288 369.7 288 352C288 334.3 273.7 320 256 320z", "M288 160C288 177.7 273.7 192 256 192C238.3 192 224 177.7 224 160C224 142.3 238.3 128 256 128C273.7 128 288 142.3 288 160zM144 256C144 242.7 154.7 232 168 232H344C357.3 232 368 242.7 368 256C368 269.3 357.3 280 344 280H168C154.7 280 144 269.3 144 256zM224 352C224 334.3 238.3 320 256 320C273.7 320 288 334.3 288 352C288 369.7 273.7 384 256 384C238.3 384 224 369.7 224 352z"]],
    "circle-dollar": [512, 512, ["dollar-circle", "usd-circle"], "f2e8", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM280 120C280 106.7 269.3 96 255.1 96C242.7 96 231.1 106.7 231.1 120V137.9C225.2 139.5 218.6 141.6 212.5 144.2C192.6 152.8 173.7 168.9 169.3 193.2C164.6 218.7 175.6 241.9 197.3 255.8C213.1 265.9 234 271.8 250.8 276.6C253.2 277.3 255.8 277.9 258.3 278.6C271.5 282.2 285.4 285.1 296.7 293.6C309.7 302.6 303.4 318.4 290.1 323.7C280.2 327.7 265.1 329.4 246.2 326.6C233.3 324.6 220.5 320.3 207.9 316C205.1 315.1 202.3 314.1 199.5 313.2C186.1 309.1 173.4 315.9 169.2 328.5C165.1 341 171.9 354.6 184.5 358.8C200.1 363.9 215.9 369.1 232 372.7L232 392C232 405.3 242.7 416 256 416C269.3 416 280 405.3 280 392L280 375.1C289.9 373.1 299.4 371.8 308 368.3C328.8 359.9 346.2 343.5 350.7 318.6C355.5 292.8 345.4 268.8 323.8 254C307.2 242.7 285.1 236.4 267.7 231.5C265.2 230.7 262.6 230 259.1 229.3C247.3 225.9 234.1 222.3 223.1 215.3C209.2 206.4 219.3 193.6 231.6 188.3C245.3 182.3 262.3 181 276.9 183.8C284.9 185.3 292.7 187.5 300.4 189.7C302.2 190.2 303.9 190.7 305.6 191.1C318.4 194.7 331.6 187.2 335.1 174.4C338.7 161.6 331.2 148.4 318.4 144.9C316.3 144.3 314.3 143.7 312.2 143.1C301.6 140.1 290.8 137.1 280 135.8L280 120z", "M256 96C269.3 96 280 106.7 280 120V135.8C292.9 137.4 305.8 141.4 318.4 144.9C331.2 148.4 338.7 161.6 335.1 174.4C331.6 187.2 318.4 194.7 305.6 191.1C296.1 188.5 286.6 185.7 276.9 183.8C262.3 181 245.3 182.3 231.6 188.3C219.3 193.6 209.2 206.4 223.1 215.3C236.3 223.8 252.9 227.2 267.7 231.5C285.1 236.4 307.2 242.7 323.8 254C345.4 268.8 355.5 292.8 350.7 318.6C346.2 343.5 328.8 359.9 308 368.3C299.4 371.8 289.9 373.1 280 375.1L280 392C280 405.3 269.3 416 256 416C242.7 416 232 405.3 232 392L231.1 372.7C215.9 369.1 200.1 363.9 184.5 358.8C171.9 354.6 165.1 341 169.2 328.5C173.4 315.9 186.1 309.1 199.5 313.2C214.8 318.2 230.4 324.2 246.2 326.6C265.1 329.4 280.2 327.7 290.1 323.7C303.4 318.4 309.7 302.6 296.7 293.6C283.3 284.5 266.1 280.9 250.8 276.6C234 271.8 213.1 265.9 197.3 255.8C175.6 241.9 164.6 218.7 169.3 193.2C173.7 168.9 192.6 152.8 212.5 144.2C218.6 141.6 225.2 139.5 231.1 137.9V120C231.1 106.7 242.7 96 255.1 96H256z"]],
    "circle-dollar-to-slot": [512, 512, ["donate"], "f4b9", ["M48 208C48 93.12 141.1 0 256 0C370.9 0 464 93.12 464 208C464 322.9 370.9 416 256 416C141.1 416 48 322.9 48 208zM276.1 112C276.1 100.9 267.1 91.9 255.1 91.9C244.9 91.9 235.9 100.9 235.9 112V118C230.3 119.2 224.1 120.9 220 123.1C205.1 129.9 192.1 142.5 188.9 160.8C187.1 171 188.1 180.9 192.3 189.8C196.5 198.6 203 204.8 209.6 209.3C221.2 217.2 236.5 221.8 248.2 225.3L250.4 225.9C264.4 230.2 273.8 233.3 279.7 237.6C282.2 239.4 283.1 240.8 283.4 241.7C283.8 242.5 284.4 244.3 283.7 248.3C283.1 251.8 281.2 254.8 275.7 257.1C269.6 259.7 259.7 261 246.9 259C240.9 258 230.2 254.4 220.7 251.2C218.5 250.4 216.3 249.7 214.3 249C203.8 245.5 192.5 251.2 189 261.7C185.5 272.2 191.2 283.5 201.7 286.1C202.9 287.4 204.4 287.9 206.1 288.5C213.1 291.2 226.4 295.4 235.9 297.6V304C235.9 315.1 244.9 324.1 255.1 324.1C267.1 324.1 276.1 315.1 276.1 304V298.5C281.4 297.5 286.6 295.1 291.4 293.9C307.2 287.2 319.8 274.2 323.1 255.2C324.9 244.8 324.1 234.8 320.1 225.7C316.2 216.7 309.9 210.1 303.2 205.3C291.1 196.4 274.9 191.6 262.8 187.9L261.1 187.7C247.8 183.4 238.2 180.4 232.1 176.2C229.5 174.4 228.7 173.2 228.5 172.7C228.3 172.3 227.7 171.1 228.3 167.7C228.7 165.7 230.2 162.4 236.5 159.6C242.1 156.7 252.9 155.1 265.1 156.1C269.5 157.7 283 160.3 286.9 161.3C297.5 164.2 308.5 157.8 311.3 147.1C314.2 136.5 307.8 125.5 297.1 122.7C292.7 121.5 282.7 119.5 276.1 118.3L276.1 112z", "M276.1 118.3C282.7 119.5 292.7 121.5 297.1 122.7C307.8 125.5 314.2 136.5 311.3 147.1C308.5 157.8 297.5 164.2 286.9 161.3C283 160.3 269.5 157.7 265.1 156.1C252.9 155.1 242.1 156.7 236.5 159.6C230.2 162.4 228.7 165.7 228.3 167.7C227.7 171.1 228.3 172.3 228.5 172.7C228.7 173.2 229.5 174.4 232.1 176.2C238.2 180.4 247.8 183.4 261.1 187.7L262.8 187.9C274.9 191.6 291.1 196.4 303.2 205.3C309.9 210.1 316.2 216.7 320.1 225.7C324.1 234.8 324.9 244.8 323.1 255.2C319.8 274.2 307.2 287.2 291.4 293.9C286.6 295.1 281.4 297.5 276.1 298.5V304C276.1 315.1 267.1 324.1 255.1 324.1C244.9 324.1 235.9 315.1 235.9 304V297.6C226.4 295.4 213.1 291.2 206.1 288.5C204.4 287.9 202.9 287.4 201.7 286.1C191.2 283.5 185.5 272.2 189 261.7C192.5 251.2 203.8 245.5 214.3 249C216.3 249.7 218.5 250.4 220.7 251.2C230.2 254.4 240.9 258 246.9 259C259.7 261 269.6 259.7 275.7 257.1C281.2 254.8 283.1 251.8 283.7 248.3C284.4 244.3 283.8 242.5 283.4 241.7C283.1 240.8 282.2 239.4 279.7 237.6C273.8 233.3 264.4 230.2 250.4 225.9L248.2 225.3C236.5 221.8 221.2 217.2 209.6 209.3C203 204.8 196.5 198.6 192.3 189.8C188.1 180.9 187.1 171 188.9 160.8C192.1 142.5 205.1 129.9 220 123.1C224.1 120.9 230.3 119.2 235.9 118V112C235.9 100.9 244.9 91.9 256 91.9C267.1 91.9 276.1 100.9 276.1 112L276.1 118.3zM136.2 416H64V448H448V416H375.8C403.1 399.7 428.6 377.9 448 352H464C490.5 352 512 373.5 512 400V464C512 490.5 490.5 512 464 512H48C21.49 512 0 490.5 0 464V400C0 373.5 21.49 352 48 352H63.98C83.43 377.9 108 399.7 136.2 416H136.2z"]],
    "circle-dot": [512, 512, [128280, "dot-circle"], "f192", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 352C309 352 352 309 352 256C352 202.1 309 160 256 160C202.1 160 160 202.1 160 256C160 309 202.1 352 256 352z", "M352 256C352 309 309 352 256 352C202.1 352 160 309 160 256C160 202.1 202.1 160 256 160C309 160 352 202.1 352 256z"]],
    "circle-down": [512, 512, [61466, "arrow-alt-circle-down"], "f358", ["M256 512c141.4 0 256-114.6 256-256s-114.6-256-256-256C114.6 0 0 114.6 0 256S114.6 512 256 512zM129.2 265.9C131.7 259.9 137.5 256 144 256h64V160c0-17.67 14.33-32 32-32h32c17.67 0 32 14.33 32 32v96h64c6.469 0 12.31 3.891 14.78 9.875c2.484 5.984 1.109 12.86-3.469 17.44l-112 112c-6.248 6.248-16.38 6.248-22.62 0l-112-112C128.1 278.7 126.7 271.9 129.2 265.9z", "M129.2 265.9C131.7 259.9 137.5 256 144 256h64V160c0-17.67 14.33-32 32-32h32c17.67 0 32 14.33 32 32v96h64c6.469 0 12.31 3.891 14.78 9.875c2.484 5.984 1.109 12.86-3.469 17.44l-112 112c-6.248 6.248-16.38 6.248-22.62 0l-112-112C128.1 278.7 126.7 271.9 129.2 265.9z"]],
    "circle-down-left": [512, 512, [], "e107", ["M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM357.9 222l-67.92 67.92l45.25 45.25c4.574 4.574 5.955 11.46 3.471 17.44c-2.477 5.984-8.309 9.875-14.78 9.875H165.5c-8.836 0-15.1-7.164-15.1-16v-158.4c0-6.477 3.889-12.31 9.877-14.78c5.979-2.488 12.86-1.109 17.44 3.469l45.25 45.25l67.92-67.92c12.5-12.5 32.72-12.46 45.21 .041l22.63 22.63C370.3 189.3 370.4 209.5 357.9 222z", "M357.9 222l-67.92 67.92l45.25 45.25c4.574 4.574 5.955 11.46 3.471 17.44c-2.477 5.984-8.309 9.875-14.78 9.875H165.5c-8.836 0-15.1-7.164-15.1-16v-158.4c0-6.477 3.889-12.31 9.877-14.78c5.979-2.488 12.86-1.109 17.44 3.469l45.25 45.25l67.92-67.92c12.5-12.5 32.72-12.46 45.21 .041l22.63 22.63C370.3 189.3 370.4 209.5 357.9 222z"]],
    "circle-down-right": [512, 512, [], "e108", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM362.5 346.5c0 8.836-7.162 16-15.1 16H188.1c-6.475 0-12.31-3.891-14.78-9.875c-2.484-5.98-1.104-12.86 3.471-17.44l45.25-45.25L154.1 222C141.6 209.5 141.7 189.3 154.2 176.8l22.63-22.63c12.5-12.5 32.72-12.54 45.21-.041l67.92 67.92l45.25-45.25c4.574-4.578 11.46-5.957 17.44-3.469c5.988 2.473 9.877 8.305 9.877 14.78V346.5z", "M362.5 346.5c0 8.836-7.162 16-15.1 16H188.1c-6.475 0-12.31-3.891-14.78-9.875c-2.484-5.98-1.104-12.86 3.471-17.44l45.25-45.25L154.1 222C141.6 209.5 141.7 189.3 154.2 176.8l22.63-22.63c12.5-12.5 32.72-12.54 45.21-.041l67.92 67.92l45.25-45.25c4.574-4.578 11.46-5.957 17.44-3.469c5.988 2.473 9.877 8.305 9.877 14.78V346.5z"]],
    "circle-e": [512, 512, [], "e109", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM296 232C309.3 232 320 242.8 320 256s-10.75 24-24 24H208v56h120c13.25 0 24 10.75 24 24S341.3 384 328 384h-144C170.8 384 160 373.3 160 360v-208C160 138.8 170.8 128 184 128h144C341.3 128 352 138.8 352 152S341.3 176 328 176H208v56H296z", "M328 176C341.3 176 352 165.3 352 152S341.3 128 328 128h-144C170.8 128 160 138.8 160 152v208C160 373.3 170.8 384 184 384h144c13.25 0 24-10.75 24-24s-10.75-24-24-24H208V280h88C309.3 280 320 269.3 320 256s-10.75-24-24-24H208V176H328z"]],
    "circle-ellipsis": [512, 512, [], "e10a", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM160 288C177.7 288 192 273.7 192 256C192 238.3 177.7 224 160 224C142.3 224 128 238.3 128 256C128 273.7 142.3 288 160 288zM256 224C238.3 224 224 238.3 224 256C224 273.7 238.3 288 256 288C273.7 288 288 273.7 288 256C288 238.3 273.7 224 256 224zM352 288C369.7 288 384 273.7 384 256C384 238.3 369.7 224 352 224C334.3 224 320 238.3 320 256C320 273.7 334.3 288 352 288z", "M192 256C192 273.7 177.7 288 160 288C142.3 288 128 273.7 128 256C128 238.3 142.3 224 160 224C177.7 224 192 238.3 192 256zM288 256C288 273.7 273.7 288 256 288C238.3 288 224 273.7 224 256C224 238.3 238.3 224 256 224C273.7 224 288 238.3 288 256zM320 256C320 238.3 334.3 224 352 224C369.7 224 384 238.3 384 256C384 273.7 369.7 288 352 288C334.3 288 320 273.7 320 256z"]],
    "circle-ellipsis-vertical": [512, 512, [], "e10b", ["M256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM288 352C288 334.3 273.7 320 256 320C238.3 320 224 334.3 224 352C224 369.7 238.3 384 256 384C273.7 384 288 369.7 288 352zM224 256C224 273.7 238.3 288 256 288C273.7 288 288 273.7 288 256C288 238.3 273.7 224 256 224C238.3 224 224 238.3 224 256zM288 160C288 142.3 273.7 128 256 128C238.3 128 224 142.3 224 160C224 177.7 238.3 192 256 192C273.7 192 288 177.7 288 160z", "M256 320C273.7 320 288 334.3 288 352C288 369.7 273.7 384 256 384C238.3 384 224 369.7 224 352C224 334.3 238.3 320 256 320zM256 224C273.7 224 288 238.3 288 256C288 273.7 273.7 288 256 288C238.3 288 224 273.7 224 256C224 238.3 238.3 224 256 224zM256 192C238.3 192 224 177.7 224 160C224 142.3 238.3 128 256 128C273.7 128 288 142.3 288 160C288 177.7 273.7 192 256 192z"]],
    "circle-envelope": [512, 512, ["envelope-circle"], "e10c", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM384 320c0 17.67-14.33 32-32 32H160c-17.67 0-32-14.33-32-32V192c0-17.67 14.33-32 32-32h192c17.67 0 32 14.33 32 32V320z", "M352 160H160C142.3 160 128 174.3 128 192v11.57l128 51.2l128-51.2V192C384 174.3 369.7 160 352 160zM256 288C253.1 288 251.1 287.6 250.1 286.9L128 238V320c0 17.67 14.33 32 32 32h192c17.67 0 32-14.33 32-32V238l-122.1 48.82C260 287.6 258 288 256 288z"]],
    "circle-exclamation": [512, 512, ["exclamation-circle"], "f06a", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM232 152C232 138.8 242.8 128 256 128s24 10.75 24 24v128c0 13.25-10.75 24-24 24S232 293.3 232 280V152zM256 400c-17.36 0-31.44-14.08-31.44-31.44c0-17.36 14.07-31.44 31.44-31.44s31.44 14.08 31.44 31.44C287.4 385.9 273.4 400 256 400z", "M256 304c13.25 0 24-10.75 24-24v-128C280 138.8 269.3 128 256 128S232 138.8 232 152v128C232 293.3 242.8 304 256 304zM256 337.1c-17.36 0-31.44 14.08-31.44 31.44C224.6 385.9 238.6 400 256 400s31.44-14.08 31.44-31.44C287.4 351.2 273.4 337.1 256 337.1z"]],
    "circle-exclamation-check": [640, 512, [], "e10d", ["M461.3 210.7C436.3 185.8 395.7 185.8 370.7 210.7C345.8 235.7 345.8 276.3 370.7 301.3L434.7 365.3C446.7 377.2 462.1 383.4 477.8 383.1C433.5 460.5 350.8 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C379.2 0 482.1 87.04 506.5 202.1L480 229.5L461.3 210.7zM232 151.1V263.1C232 277.3 242.7 287.1 256 287.1C269.3 287.1 280 277.3 280 263.1V151.1C280 138.7 269.3 127.1 256 127.1C242.7 127.1 232 138.7 232 151.1zM256 319.1C238.3 319.1 224 334.3 224 352C224 369.7 238.3 384 256 384C273.7 384 288 369.7 288 352C288 334.3 273.7 319.1 256 319.1z", "M256 128C269.3 128 280 138.7 280 152V264C280 277.3 269.3 288 256 288C242.7 288 232 277.3 232 264V152C232 138.7 242.7 128 256 128zM288 352C288 369.7 273.7 384 256 384C238.3 384 224 369.7 224 352C224 334.3 238.3 320 256 320C273.7 320 288 334.3 288 352zM499.8 339.8C488.9 350.7 471.1 350.7 460.2 339.8L396.2 275.8C385.3 264.9 385.3 247.1 396.2 236.2C407.1 225.3 424.9 225.3 435.8 236.2L480 280.4L588.2 172.2C599.1 161.3 616.9 161.3 627.8 172.2C638.7 183.1 638.7 200.9 627.8 211.8L499.8 339.8z"]],
    "circle-f": [512, 512, [], "e10e", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM328 176H208v64h88C309.3 240 320 250.8 320 264S309.3 288 296 288H208v72C208 373.3 197.3 384 184 384S160 373.3 160 360v-208C160 138.8 170.8 128 184 128h144C341.3 128 352 138.8 352 152S341.3 176 328 176z", "M328 128h-144C170.8 128 160 138.8 160 152v208C160 373.3 170.8 384 184 384s24-10.75 24-24V288h88C309.3 288 320 277.3 320 264S309.3 240 296 240H208v-64h120C341.3 176 352 165.3 352 152S341.3 128 328 128z"]],
    "circle-g": [512, 512, [], "e10f", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM384 274.9c0 1.453-.125 2.922-.4062 4.344c-4.375 23.83-17.56 47.7-37.09 67.27C322.3 370.7 290.2 384 256 384s-66.34-13.31-90.5-37.48c-49.91-49.91-49.91-131.1 0-181C213.4 117.5 293.5 115.3 344 160.6c9.875 8.844 10.72 24.02 1.875 33.89C337 204.4 321.8 205.2 312 196.4c-31.91-28.56-82.34-27.19-112.6 3.062c-31.19 31.2-31.19 81.95 0 113.2c30.19 30.22 82.94 30.22 113.1 0c7.594-7.609 13.69-16 17.91-24.58H280C266.8 288 256 277.3 256 264s10.75-24 24-24h80C373.3 240 384 250.8 384 264V274.9z", "M360 240h-80C266.8 240 256 250.8 256 264S266.8 288 280 288h50.47c-4.219 8.578-10.31 16.97-17.91 24.58c-30.19 30.22-82.94 30.22-113.1 0c-31.19-31.2-31.19-81.95 0-113.2C229.7 169.2 280.1 167.8 312 196.4c9.812 8.859 25 8.078 33.88-1.859c8.844-9.875 8-25.05-1.875-33.89c-50.53-45.3-130.6-43.06-178.5 4.875c-49.91 49.91-49.91 131.1 0 181C189.7 370.7 221.8 384 256 384s66.34-13.31 90.5-37.48c19.53-19.56 32.72-43.44 37.09-67.27C383.9 277.8 384 276.4 384 274.9V264C384 250.8 373.3 240 360 240z"]],
    "circle-h": [512, 512, [9405, "hospital-symbol"], "f47e", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM368 360c0 13.25-10.75 24-24 24S320 373.3 320 360v-80H192v80C192 373.3 181.3 384 168 384S144 373.3 144 360v-208C144 138.8 154.8 128 168 128S192 138.8 192 152v80h128v-80C320 138.8 330.8 128 344 128s24 10.75 24 24V360z", "M344 128C330.8 128 320 138.8 320 152v80H192v-80C192 138.8 181.3 128 168 128S144 138.8 144 152v208C144 373.3 154.8 384 168 384S192 373.3 192 360v-80h128v80c0 13.25 10.75 24 24 24s24-10.75 24-24v-208C368 138.8 357.3 128 344 128z"]],
    "circle-half": [512, 512, [], "e110", ["M256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512V0z", "M256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0V512z"]],
    "circle-half-stroke": [512, 512, [9680, "adjust"], "f042", ["M256 512V448C362 448 448 362 448 256C448 149.1 362 64 256 64V0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512z", "M256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0V512z"]],
    "circle-heart": [512, 512, ["heart-circle"], "f4c7", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM233.5 384.2C239.7 390.5 247.9 393.6 256 393.6C264.1 393.6 272.3 390.5 278.5 384.2L380.1 280.1C409.5 251.2 409.5 202.8 380.1 173C350.8 143.2 303.1 143.2 273.7 173L256 191L238.3 173C208.9 143.2 161.2 143.2 131.9 173C102.5 202.8 102.5 251.2 131.9 280.1L233.5 384.2z", "M238.3 173L256 191L273.7 173C303.1 143.2 350.8 143.2 380.1 173C409.5 202.8 409.5 251.2 380.1 280.1L278.5 384.2C272.3 390.5 264.1 393.6 256 393.6C247.9 393.6 239.7 390.5 233.5 384.2L131.9 280.1C102.5 251.2 102.5 202.8 131.9 173C161.2 143.2 208.9 143.2 238.3 173H238.3z"]],
    "circle-i": [512, 512, [], "e111", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM328 336c13.25 0 24 10.75 24 24S341.3 384 328 384h-144C170.8 384 160 373.3 160 360s10.75-24 24-24h48v-160h-48C170.8 176 160 165.3 160 152S170.8 128 184 128h144C341.3 128 352 138.8 352 152S341.3 176 328 176h-48v160H328z", "M328 176C341.3 176 352 165.3 352 152S341.3 128 328 128h-144C170.8 128 160 138.8 160 152S170.8 176 184 176h48v160h-48C170.8 336 160 346.8 160 360S170.8 384 184 384h144c13.25 0 24-10.75 24-24s-10.75-24-24-24h-48v-160H328z"]],
    "circle-info": [512, 512, ["info-circle"], "f05a", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 128c17.67 0 32 14.33 32 32c0 17.67-14.33 32-32 32S224 177.7 224 160C224 142.3 238.3 128 256 128zM296 384h-80C202.8 384 192 373.3 192 360s10.75-24 24-24h16v-64H224c-13.25 0-24-10.75-24-24S210.8 224 224 224h32c13.25 0 24 10.75 24 24v88h16c13.25 0 24 10.75 24 24S309.3 384 296 384z", "M256 192c17.67 0 32-14.33 32-32c0-17.67-14.33-32-32-32S224 142.3 224 160C224 177.7 238.3 192 256 192zM296 336h-16V248C280 234.8 269.3 224 256 224H224C210.8 224 200 234.8 200 248S210.8 272 224 272h8v64h-16C202.8 336 192 346.8 192 360S202.8 384 216 384h80c13.25 0 24-10.75 24-24S309.3 336 296 336z"]],
    "circle-j": [512, 512, [], "e112", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM336 290.7C336 342.1 292.9 384 240 384s-96-41.86-96-93.33V280C144 266.8 154.8 256 168 256S192 266.8 192 280v10.67C192 315.7 213.5 336 240 336S288 315.7 288 290.7V152C288 138.8 298.8 128 312 128s24 10.75 24 24V290.7z", "M312 128C298.8 128 288 138.8 288 152v138.7C288 315.7 266.5 336 240 336S192 315.7 192 290.7V280C192 266.8 181.3 256 168 256S144 266.8 144 280v10.67C144 342.1 187.1 384 240 384s96-41.86 96-93.33V152C336 138.8 325.3 128 312 128z"]],
    "circle-k": [512, 512, [], "e113", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM275.7 242.3l72 104c7.547 10.89 4.828 25.84-6.078 33.39C337.5 382.6 332.7 384 328 384c-7.609 0-15.09-3.609-19.75-10.34L238.9 273.4L208 303.9V360C208 373.3 197.3 384 184 384S160 373.3 160 360v-208C160 138.8 170.8 128 184 128S208 138.8 208 152v84.5l103.2-101.6c9.453-9.297 24.67-9.172 33.94 .25c9.312 9.453 9.188 24.64-.25 33.94l-71.78 70.69C273.9 240.7 275 241.3 275.7 242.3z", "M345.1 135.2c-9.266-9.422-24.48-9.547-33.94-.25L208 236.5V152C208 138.8 197.3 128 184 128S160 138.8 160 152v208C160 373.3 170.8 384 184 384s24-10.75 24-24V303.9l30.89-30.42l69.38 100.2C312.9 380.4 320.4 384 328 384c4.719 0 9.484-1.375 13.64-4.266c10.91-7.547 13.62-22.5 6.078-33.39l-72-104c-.7324-1.057-1.805-1.662-2.666-2.564l71.78-70.69C354.3 159.8 354.4 144.6 345.1 135.2z"]],
    "circle-l": [512, 512, [], "e114", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM328 384h-144C170.8 384 160 373.3 160 360v-208C160 138.8 170.8 128 184 128S208 138.8 208 152v184h120c13.25 0 24 10.75 24 24S341.3 384 328 384z", "M328 336H208V152C208 138.8 197.3 128 184 128S160 138.8 160 152v208C160 373.3 170.8 384 184 384h144c13.25 0 24-10.75 24-24S341.3 336 328 336z"]],
    "circle-left": [512, 512, [61840, "arrow-alt-circle-left"], "f359", ["M0 256c0 141.4 114.6 256 256 256s256-114.6 256-256c0-141.4-114.6-256-256-256S0 114.6 0 256zM246.1 129.2C252.1 131.7 256 137.5 256 144v64h96c17.67 0 32 14.33 32 32v32c0 17.67-14.33 32-32 32h-96v64c0 6.469-3.891 12.31-9.875 14.78c-5.984 2.484-12.86 1.109-17.44-3.469l-112-112c-6.248-6.248-6.248-16.38 0-22.62l112-112C233.3 128.1 240.1 126.7 246.1 129.2z", "M246.1 129.2C252.1 131.7 256 137.5 256 144v64h96c17.67 0 32 14.33 32 32v32c0 17.67-14.33 32-32 32h-96v64c0 6.469-3.891 12.31-9.875 14.78c-5.984 2.484-12.86 1.109-17.44-3.469l-112-112c-6.248-6.248-6.248-16.38 0-22.62l112-112C233.3 128.1 240.1 126.7 246.1 129.2z"]],
    "circle-location-arrow": [512, 512, ["location-circle"], "f602", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM353.6 158.5C347.3 152.1 337.8 150.3 329.3 153.8L133.3 237.8C123.8 241.9 118.3 252.3 120.4 262.4C122.5 272.6 131.6 280 141.1 280H232V370C232 380.4 239.4 389.5 249.6 391.6C251.1 391.9 252.6 392 253.1 392C262.8 392 270.7 386.8 274.2 378.7L358.2 182.7C361.8 174.3 359.1 164.8 353.6 158.5V158.5z", "M253.1 392C252.6 392 251.1 391.9 249.6 391.6C239.4 389.5 232 380.4 232 370V280H141.1C131.6 280 122.5 272.6 120.4 262.4C118.3 252.3 123.8 241.9 133.3 237.8L329.3 153.8C337.8 150.3 347.3 152.1 353.6 158.5C359.1 164.8 361.8 174.3 358.2 182.7L274.2 378.7C270.7 386.8 262.8 392 253.1 392V392z"]],
    "circle-m": [512, 512, [], "e115", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM384 360c0 13.25-10.75 24-24 24s-24-10.75-24-24V226.2l-60.55 83.83c-9.031 12.5-29.88 12.5-38.91 0L176 226.2V360C176 373.3 165.3 384 152 384S128 373.3 128 360v-208c0-10.41 6.719-19.64 16.61-22.83c9.859-3.25 20.75 .3125 26.84 8.781L256 255l84.55-117.1c6.094-8.469 16.89-12.03 26.84-8.781C377.3 132.4 384 141.6 384 152V360z", "M367.4 129.2c-9.953-3.25-20.75 .3125-26.84 8.781L256 255L171.5 137.1C165.4 129.5 154.5 125.9 144.6 129.2C134.7 132.4 128 141.6 128 152v208C128 373.3 138.8 384 152 384s24-10.75 24-24V226.2l60.55 83.83c9.031 12.5 29.88 12.5 38.91 0L336 226.2V360c0 13.25 10.75 24 24 24S384 373.3 384 360v-208C384 141.6 377.3 132.4 367.4 129.2z"]],
    "circle-microphone": [512, 512, ["microphone-circle"], "e116", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM208 144C208 117.5 229.5 96 256 96s48 21.48 48 48V256c0 26.52-21.48 48-48 48S208 282.5 208 256V144zM384 256c0 65.1-49.03 118.4-112 126.4V400c0 8.837-7.163 16-16 16s-16-7.163-16-16v-17.62C177 374.4 128 321.1 128 256V239.1C128 231.2 135.2 224 143.1 224C152.8 224 160 231.2 159.1 240v13.19c0 47.43 33.21 89.92 80.03 97.51C299.1 360.4 352 314.2 352 256V239.1C352 231.2 359.2 224 368 224S384 231.2 384 239.1V256z", "M368 224C359.2 224 352 231.2 352 239.1V256c0 58.18-52.01 104.4-111.1 94.7c-46.82-7.592-80.03-50.08-80.03-97.51V240c0-8.838-7.164-16-16-16S128 231.2 128 239.1V256c0 65.1 49.03 118.4 112 126.4V400c0 8.836 7.164 16 16 16s16-7.164 16-16v-17.62C334.1 374.4 384 321.1 384 256V239.1C384 231.2 376.8 224 368 224zM256 304c26.52 0 48-21.48 48-48V144C304 117.5 282.5 96 256 96S208 117.5 208 144V256C208 282.5 229.5 304 256 304z"]],
    "circle-microphone-lines": [512, 512, ["microphone-circle-alt"], "e117", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM207.1 146c0-26.29 20.26-49.2 46.54-49.98C281.7 95.21 304 116.1 304 144h-32c-8.837 0-16 7.163-16 15.1C256 168.8 263.2 176 272 176h32v32h-32c-8.837 0-16 7.163-16 15.1C256 232.8 263.2 240 272 240h32v13.99c0 26.29-20.26 49.2-46.54 49.99C230.3 304.8 208 283 208 256L207.1 146zM384 256c0 65.1-49.03 118.4-112 126.4V400c0 8.837-7.163 16-16 16s-16-7.163-16-16v-17.62C177 374.4 128 321.1 128 256V239.1C128 231.2 135.2 224 144 224C152.8 224 160 231.2 160 240v13.19C159.1 300.6 193.2 343.1 240 350.7C299.1 360.4 352 314.2 352 256V239.1C352 231.2 359.2 224 368 224S384 231.2 384 239.1V256z", "M257.5 303.1C283.7 303.2 304 280.3 304 253.1V240h-32c-8.836 0-16-7.164-16-16C256 215.2 263.2 208 272 208h32v-32h-32c-8.836 0-16-7.164-16-16C256 151.2 263.2 144 272 144h32c0-27-22.28-48.79-49.46-47.98C228.3 96.8 207.1 119.7 207.1 146L208 256C208 283 230.3 304.8 257.5 303.1zM368 224C359.2 224 352 231.2 352 239.1V256c0 58.17-52 104.4-111.1 94.7C193.2 343.1 160 300.6 160 253.2V240C160 231.2 152.8 224 144 224S128 231.2 128 239.1V256c0 65.1 49.03 118.4 112 126.4V400c0 8.836 7.164 16 16 16s16-7.164 16-16v-17.62C334.1 374.4 384 321.1 384 256V239.1C384 231.2 376.8 224 368 224z"]],
    "circle-minus": [512, 512, ["minus-circle"], "f056", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM168 232C154.7 232 144 242.7 144 256C144 269.3 154.7 280 168 280H344C357.3 280 368 269.3 368 256C368 242.7 357.3 232 344 232H168z", "M144 256C144 242.7 154.7 232 168 232H344C357.3 232 368 242.7 368 256C368 269.3 357.3 280 344 280H168C154.7 280 144 269.3 144 256z"]],
    "circle-n": [512, 512, [], "e118", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM352 360c0 10.5-6.828 19.78-16.84 22.91C332.8 383.6 330.4 384 328 384c-7.719 0-15.17-3.734-19.73-10.34L208 228.8V360C208 373.3 197.3 384 184 384S160 373.3 160 360v-208c0-10.5 6.828-19.78 16.84-22.91c10.02-3.062 20.94 .6094 26.89 9.25L304 283.2V152C304 138.8 314.8 128 328 128S352 138.8 352 152V360z", "M328 128c-13.25 0-24 10.75-24 24v131.2L203.7 138.3c-5.953-8.641-16.88-12.31-26.89-9.25C166.8 132.2 160 141.5 160 152v208C160 373.3 170.8 384 184 384s24-10.75 24-24V228.8l100.3 144.8C312.8 380.3 320.3 384 328 384c2.391 0 4.797-.3594 7.156-1.094C345.2 379.8 352 370.5 352 360v-208C352 138.8 341.3 128 328 128z"]],
    "circle-nodes": [512, 512, [], "e4e2", ["M418.4 157.9L380.6 365.6C367.9 357 352.5 352 336 352C329.7 352 323.5 352.7 317.6 354.1L355.4 146.4C368.1 155 383.5 160 400 160C406.3 160 412.5 159.3 418.4 157.9V157.9zM156.3 232.2L301.9 359.6C281.9 369 266.5 386.5 259.7 407.8L114.1 280.4C134.1 270.1 149.5 253.5 156.3 232.2V232.2zM160 208C160 185.7 150.9 165.6 136.2 151.1L320 77.52C320 78.35 320 79.17 320 80C320 102.3 329.1 122.4 343.8 136.9L159.1 210.5C159.1 209.7 160 208.8 160 208V208z", "M480 80C480 124.2 444.2 160 400 160C355.8 160 320 124.2 320 80C320 35.82 355.8 0 400 0C444.2 0 480 35.82 480 80zM416 432C416 476.2 380.2 512 336 512C291.8 512 256 476.2 256 432C256 387.8 291.8 352 336 352C380.2 352 416 387.8 416 432zM0 208C0 163.8 35.82 128 80 128C124.2 128 160 163.8 160 208C160 252.2 124.2 288 80 288C35.82 288 0 252.2 0 208z"]],
    "circle-notch": [512, 512, [], "f1ce", ["M222.7 32.15C227.7 49.08 218.1 66.9 201.1 71.94C121.8 95.55 64 169.1 64 255.1C64 362 149.1 447.1 256 447.1C362 447.1 448 362 448 255.1C448 169.1 390.2 95.55 310.9 71.94C293.9 66.9 284.3 49.08 289.3 32.15C294.4 15.21 312.2 5.562 329.1 10.6C434.9 42.07 512 139.1 512 255.1C512 397.4 397.4 511.1 256 511.1C114.6 511.1 0 397.4 0 255.1C0 139.1 77.15 42.07 182.9 10.6C199.8 5.562 217.6 15.21 222.7 32.15V32.15z", ""]],
    "circle-o": [512, 512, [], "e119", ["M256 176C211.9 176 176 211.9 176 256s35.89 80 80 80s80-35.89 80-80S300.1 176 256 176zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 384c-70.58 0-128-57.42-128-128s57.42-128 128-128s128 57.42 128 128S326.6 384 256 384z", "M256 128C185.4 128 128 185.4 128 256s57.42 128 128 128s128-57.42 128-128S326.6 128 256 128zM256 336c-44.11 0-80-35.89-80-80S211.9 176 256 176s80 35.89 80 80S300.1 336 256 336z"]],
    "circle-p": [512, 512, [], "e11a", ["M280 176H208V256h72C302.1 256 320 238.1 320 216S302.1 176 280 176zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM280 304H208v56C208 373.3 197.3 384 184 384S160 373.3 160 360v-208C160 138.8 170.8 128 184 128h96c48.53 0 88 39.47 88 88S328.5 304 280 304z", "M280 128h-96C170.8 128 160 138.8 160 152v208C160 373.3 170.8 384 184 384s24-10.75 24-24V304h72c48.53 0 88-39.47 88-88S328.5 128 280 128zM280 256H208V176h72C302.1 176 320 193.9 320 216S302.1 256 280 256z"]],
    "circle-parking": [512, 512, ["parking-circle"], "f615", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 448C362 448 448 362 448 256C448 149.1 362 64 256 64C149.1 64 64 149.1 64 256C64 362 149.1 448 256 448z", "M240 352C240 369.7 225.7 384 208 384C190.3 384 176 369.7 176 352V168C176 145.9 193.9 128 216 128H288C341 128 384 170.1 384 224C384 277 341 320 288 320H240V352zM240 192V256H288C305.7 256 320 241.7 320 224C320 206.3 305.7 192 288 192H240z"]],
    "circle-pause": [512, 512, [62092, "pause-circle"], "f28b", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM224 191.1v128C224 337.7 209.7 352 192 352S160 337.7 160 320V191.1C160 174.3 174.3 160 191.1 160S224 174.3 224 191.1zM352 191.1v128C352 337.7 337.7 352 320 352S288 337.7 288 320V191.1C288 174.3 302.3 160 319.1 160S352 174.3 352 191.1z", "M191.1 160C174.3 160 160 174.3 160 191.1v128C160 337.7 174.3 352 192 352S224 337.7 224 320V191.1C224 174.3 209.7 160 191.1 160zM319.1 160C302.3 160 288 174.3 288 191.1v128C288 337.7 302.3 352 320 352S352 337.7 352 320V191.1C352 174.3 337.7 160 319.1 160z"]],
    "circle-phone": [512, 512, ["phone-circle"], "e11b", ["M256 0c-141.4 0-256 114.6-256 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM383.6 321.5l-11.62 50.39c-1.633 7.125-7.9 12.11-15.24 12.11c-126.1 0-228.7-102.6-228.7-228.8c0-7.328 4.984-13.59 12.11-15.22l50.38-11.62c7.344-1.703 14.88 2.109 17.93 9.062L231.7 191.7c2.719 6.391 .8828 13.83-4.492 18.22L200.3 232c16.99 34.61 45.14 62.75 79.77 79.75l22.02-26.91c4.344-5.391 11.85-7.25 18.24-4.484l54.24 23.25C381.5 306.6 385.3 314.2 383.6 321.5z", "M383.6 321.5l-11.62 50.39c-1.633 7.125-7.9 12.11-15.24 12.11c-126.1 0-228.7-102.6-228.7-228.8c0-7.328 4.984-13.59 12.11-15.22l50.38-11.62c7.344-1.703 14.88 2.109 17.93 9.062L231.7 191.7c2.719 6.391 .8828 13.83-4.492 18.22L200.3 232c16.99 34.61 45.14 62.75 79.77 79.75l22.02-26.91c4.344-5.391 11.85-7.25 18.24-4.484l54.24 23.25C381.5 306.6 385.3 314.2 383.6 321.5z"]],
    "circle-phone-flip": [512, 512, ["phone-circle-alt"], "e11c", ["M0 256c0 141.4 114.6 256 256 256s256-114.6 256-256s-114.6-256-256-256C114.6 0 0 114.6 0 256zM137.5 303.6l54.24-23.25c6.391-2.766 13.9-.9062 18.24 4.484l22.02 26.91c34.63-17 62.77-45.14 79.77-79.75L284.8 209.1c-5.375-4.391-7.211-11.83-4.492-18.22l23.27-54.28c3.047-6.953 10.59-10.77 17.93-9.062l50.38 11.62c7.125 1.625 12.11 7.891 12.11 15.22c0 126.1-102.6 228.8-228.7 228.8c-7.336 0-13.6-4.984-15.24-12.11l-11.62-50.39C126.7 314.2 130.5 306.6 137.5 303.6z", "M137.5 303.6l54.24-23.25c6.391-2.766 13.9-.9062 18.24 4.484l22.02 26.91c34.63-17 62.77-45.14 79.77-79.75L284.8 209.1c-5.375-4.391-7.211-11.83-4.492-18.22l23.27-54.28c3.047-6.953 10.59-10.77 17.93-9.062l50.38 11.62c7.125 1.625 12.11 7.891 12.11 15.22c0 126.1-102.6 228.8-228.7 228.8c-7.336 0-13.6-4.984-15.24-12.11l-11.62-50.39C126.7 314.2 130.5 306.6 137.5 303.6z"]],
    "circle-phone-hangup": [512, 512, ["phone-circle-down"], "e11d", ["M512 256c0-141.4-114.6-256-256-256c-141.4 0-256 114.6-256 256s114.6 256 256 256S512 397.4 512 256zM373.5 306.2l-54.82-21.92c-6.474-2.563-10.46-9.181-9.717-16.06l3.446-34.61C275.9 221.1 236.1 221.1 199.6 233.6l3.447 34.61c.6961 6.905-3.276 13.47-9.717 16.06L138.5 306.2C131.4 308.9 123.4 306.3 119.5 299.9L92.05 256.1C88.16 249.9 89.07 241.9 94.25 236.7c89.2-89.2 234.3-89.18 323.5 .0002c5.187 5.187 6.089 13.14 2.205 19.33L392.5 299.9C388.6 306.3 380.5 308.1 373.5 306.2z", "M373.5 306.2l-54.82-21.92c-6.474-2.563-10.46-9.181-9.717-16.06l3.446-34.61C275.9 221.1 236.1 221.1 199.6 233.6l3.447 34.61c.6961 6.905-3.276 13.47-9.717 16.06L138.5 306.2C131.4 308.9 123.4 306.3 119.5 299.9L92.05 256.1C88.16 249.9 89.07 241.9 94.25 236.7c89.2-89.2 234.3-89.18 323.5 .0002c5.187 5.187 6.089 13.14 2.205 19.33L392.5 299.9C388.6 306.3 380.5 308.1 373.5 306.2z"]],
    "circle-play": [512, 512, [61469, "play-circle"], "f144", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM176 168V344C176 352.7 180.7 360.7 188.3 364.9C195.8 369.2 205.1 369 212.5 364.5L356.5 276.5C363.6 272.1 368 264.4 368 256C368 247.6 363.6 239.9 356.5 235.5L212.5 147.5C205.1 142.1 195.8 142.8 188.3 147.1C180.7 151.3 176 159.3 176 168V168z", "M356.5 235.5C363.6 239.9 368 247.6 368 256C368 264.4 363.6 272.1 356.5 276.5L212.5 364.5C205.1 369 195.8 369.2 188.3 364.9C180.7 360.7 176 352.7 176 344V168C176 159.3 180.7 151.3 188.3 147.1C195.8 142.8 205.1 142.1 212.5 147.5L356.5 235.5z"]],
    "circle-plus": [512, 512, ["plus-circle"], "f055", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 368C269.3 368 280 357.3 280 344V280H344C357.3 280 368 269.3 368 256C368 242.7 357.3 232 344 232H280V168C280 154.7 269.3 144 256 144C242.7 144 232 154.7 232 168V232H168C154.7 232 144 242.7 144 256C144 269.3 154.7 280 168 280H232V344C232 357.3 242.7 368 256 368z", "M168 280C154.7 280 144 269.3 144 256C144 242.7 154.7 232 168 232H232V168C232 154.7 242.7 144 256 144C269.3 144 280 154.7 280 168V232H344C357.3 232 368 242.7 368 256C368 269.3 357.3 280 344 280H280V344C280 357.3 269.3 368 256 368C242.7 368 232 357.3 232 344V280H168z"]],
    "circle-q": [512, 512, [], "e11e", ["M256 176C211.9 176 176 211.9 176 256s35.88 80 80 80c13.31 0 25.67-3.576 36.72-9.344l-29.69-29.69c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0l29.69 29.69C332.4 281.7 336 269.3 336 256C336 211.9 300.1 176 256 176zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM376.1 343c9.375 9.375 9.375 24.56 0 33.94C372.3 381.7 366.2 384 360 384s-12.28-2.344-16.97-7.031l-15.15-15.15C307.4 375.8 282.6 384 256 384c-70.59 0-128-57.42-128-128s57.41-128 128-128s128 57.42 128 128c0 26.63-8.211 51.37-22.19 71.88L376.1 343z", "M256 128C185.4 128 128 185.4 128 256s57.41 128 128 128c26.64 0 51.37-8.209 71.88-22.18l15.15 15.15C347.7 381.7 353.8 384 360 384s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94l-15.15-15.15C375.8 307.4 384 282.6 384 256C384 185.4 326.6 128 256 128zM326.7 292.7l-29.69-29.69c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94l29.69 29.69C281.7 332.4 269.3 336 256 336c-44.13 0-80-35.89-80-80S211.9 176 256 176s80 35.89 80 80C336 269.3 332.4 281.7 326.7 292.7z"]],
    "circle-quarter": [512, 512, [], "e11f", ["M256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256H256V0z", "M0 256C0 114.6 114.6 0 256 0V256H0z"]],
    "circle-quarters": [512, 512, [], "e3f8", ["M120.2 391.8C154.1 426.5 202.1 448 256 448s101-21.49 135.8-56.24L256 256L120.2 391.8zM256 64C202.1 64 154.1 85.49 120.2 120.2L256 256l135.8-135.8C357 85.49 309 64 256 64z", "M256 0c-141.4 0-256 114.6-256 256s114.6 256 256 256c141.4 0 256-114.6 256-256S397.4 0 256 0zM256 448c-106 0-192-85.96-192-192c0-106 85.96-192 192-192c106 0 192 85.96 192 192C448 362 362 448 256 448z"]],
    "circle-question": [512, 512, [62108, "question-circle"], "f059", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 400c-18 0-32-14-32-32s13.1-32 32-32c17.1 0 32 14 32 32S273.1 400 256 400zM325.1 258L280 286V288c0 13-11 24-24 24S232 301 232 288V272c0-8 4-16 12-21l57-34C308 213 312 206 312 198C312 186 301.1 176 289.1 176h-51.1C225.1 176 216 186 216 198c0 13-11 24-24 24s-24-11-24-24C168 159 199 128 237.1 128h51.1C329 128 360 159 360 198C360 222 347 245 325.1 258z", "M256 336c-18 0-32 14-32 32c0 18 13.1 32 32 32c17.1 0 32-13.1 32-32C288 350 273.1 336 256 336zM289.1 128h-51.1C198.1 128 168 158.1 168 198c0 12.1 11 24 24 24s24-11 24-24C216 186 225.1 176 237.1 176h51.1C301.1 176 312 186 312 198c0 8-4 14.1-11 18.1L244 251C236 256 232 264 232 272V288c0 13 11 24 24 24S280 301 280 288V286l45.1-28c21-13 34-36 34-60C360 158.1 328.1 128 289.1 128z"]],
    "circle-r": [512, 512, [], "e120", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM355.4 345.9c7.812 10.72 5.438 25.72-5.281 33.52C345.8 382.5 340.9 384 336 384c-7.438 0-14.75-3.422-19.44-9.891L253.1 288H208v72C208 373.3 197.3 384 184 384S160 373.3 160 360v-208C160 138.8 170.8 128 184 128H288c44.13 0 80 35.89 80 80c0 36.2-24.31 66.5-57.36 76.34L355.4 345.9zM288 176H208v64H288c17.66 0 32-14.36 32-32S305.7 176 288 176z", "M368 208C368 163.9 332.1 128 288 128H184C170.8 128 160 138.8 160 152v208C160 373.3 170.8 384 184 384s24-10.75 24-24V288h45.97l62.63 86.11C321.3 380.6 328.6 384 336 384c4.875 0 9.812-1.484 14.09-4.594c10.72-7.797 13.09-22.8 5.281-33.52l-44.77-61.55C343.7 274.5 368 244.2 368 208zM288 240H208v-64H288c17.66 0 32 14.36 32 32S305.7 240 288 240z"]],
    "circle-radiation": [512, 512, [9762, "radiation-alt"], "f7ba", ["M256 224C238.3 224 224 238.3 224 256s14.33 32 32 32c17.67 0 32-14.33 32-32S273.7 224 256 224zM256 16C123.4 16 16 123.4 16 256s107.4 240 240 240c132.6 0 240-107.4 240-240S388.6 16 256 16zM256 432c-97.05 0-176-78.99-176-176S158.1 80 256 80s176 78.95 176 176S353 432 256 432z", "M226.4 208.6L184.8 141.9C179.6 133.7 168.3 132 160.7 138.2C130.8 162.3 110.1 197.4 105.1 237.4C103.9 247.2 111.2 256 121 256H200C200 236 210.6 218.6 226.4 208.6zM285.6 303.3C276.1 308.7 266.9 312 256 312c-10.89 0-20.98-3.252-29.58-8.65l-41.74 66.8c-5.211 8.338-1.613 19.07 7.27 23.29C211.4 402.7 233.1 408 256 408c22.97 0 44.64-5.334 64.12-14.59c8.883-4.219 12.48-14.95 7.262-23.29L285.6 303.3zM351.4 138.2c-7.604-6.145-18.86-4.518-24.04 3.77l-41.71 66.67C301.4 218.6 312 236 312 256h78.96c9.844 0 17.11-8.791 15.91-18.56C401.9 197.5 381.3 162.4 351.4 138.2z"]],
    "circle-right": [512, 512, [61838, "arrow-alt-circle-right"], "f35a", ["M512 256c0-141.4-114.6-256-256-256S0 114.6 0 256c0 141.4 114.6 256 256 256S512 397.4 512 256zM265.9 382.8C259.9 380.3 256 374.5 256 368v-64H160c-17.67 0-32-14.33-32-32v-32c0-17.67 14.33-32 32-32h96v-64c0-6.469 3.891-12.31 9.875-14.78c5.984-2.484 12.86-1.109 17.44 3.469l112 112c6.248 6.248 6.248 16.38 0 22.62l-112 112C278.7 383.9 271.9 385.3 265.9 382.8z", "M265.9 382.8C259.9 380.3 256 374.5 256 368v-64H160c-17.67 0-32-14.33-32-32v-32c0-17.67 14.33-32 32-32h96v-64c0-6.469 3.891-12.31 9.875-14.78c5.984-2.484 12.86-1.109 17.44 3.469l112 112c6.248 6.248 6.248 16.38 0 22.62l-112 112C278.7 383.9 271.9 385.3 265.9 382.8z"]],
    "circle-s": [512, 512, [], "e121", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM350.7 323.9c-3.844 21.47-15.56 38.25-33.94 48.53c-15.16 8.469-32.94 11.58-50.94 11.58c-35.75 0-72.31-12.31-90.63-19.48c-12.34-4.844-18.41-18.78-13.56-31.11c4.844-12.39 18.91-18.33 31.12-13.58c42.06 16.55 82.47 20.8 100.6 10.7c5.781-3.25 8.812-7.75 10.12-15.06c2.812-15.78-3.938-22.45-53.88-36.31c-39.66-11-99.59-27.62-88.31-91c3.375-18.83 14.22-35 30.59-45.55c27.03-17.38 67.84-19.25 121.5-5.562c12.84 3.266 20.59 16.34 17.31 29.19c-3.25 12.84-16.38 20.61-29.19 17.31C248.7 170.1 226.5 177.5 217.9 183c-5.188 3.344-8.312 7.922-9.344 13.61c-2.812 15.78 3.938 22.45 53.88 36.31C302.1 243.9 361.1 260.6 350.7 323.9z", "M262.4 232.9C212.5 219.1 205.7 212.4 208.5 196.6c1.031-5.688 4.156-10.27 9.344-13.61c8.594-5.547 30.84-12.88 83.63 .5781c12.81 3.297 25.94-4.469 29.19-17.31c3.281-12.84-4.469-25.92-17.31-29.19c-53.66-13.69-94.47-11.81-121.5 5.562C175.5 153.2 164.7 169.4 161.3 188.2c-11.28 63.38 48.66 80 88.31 91c49.94 13.86 56.69 20.53 53.88 36.31c-1.312 7.312-4.344 11.81-10.12 15.06c-18.09 10.09-58.5 5.844-100.6-10.7c-12.22-4.75-26.28 1.188-31.12 13.58c-4.844 12.33 1.219 26.27 13.56 31.11c18.31 7.172 54.88 19.48 90.63 19.48c18 0 35.78-3.109 50.94-11.58c18.38-10.28 30.09-27.06 33.94-48.53C361.1 260.6 302.1 243.9 262.4 232.9z"]],
    "circle-small": [320, 512, [], "e122", ["M320 256C320 344.4 248.4 416 160 416C71.63 416 0 344.4 0 256C0 167.6 71.63 96 160 96C248.4 96 320 167.6 320 256z", ""]],
    "circle-sort": [512, 512, ["sort-circle"], "e030", ["M256 0c-141.4 0-256 114.6-256 256s114.6 256 256 256c141.4 0 256-114.6 256-256S397.4 0 256 0zM360.6 319.4l-91.53 91.25C265.6 414 260.9 416 256 416s-9.5-1.1-13-5.375L151.4 319.4C139.9 307.9 148.1 288 164.6 288h182.9C364 288 372.1 307.9 360.6 319.4zM347.5 224H164.6c-16.5 0-24.69-19.88-13.19-31.38L243 101.4C246.5 98 251.1 95.1 256 95.1s9.594 2 13.09 5.375l91.53 91.25C372.1 204.1 364 224 347.5 224z", "M164.6 224h182.9c16.5 0 24.62-19.88 13.12-31.38l-91.53-91.25C265.6 98 260.9 95.1 256 95.1S246.5 98 243 101.4L151.4 192.6C139.9 204.1 148.1 224 164.6 224zM347.5 288H164.6c-16.5 0-24.69 19.88-13.19 31.38L243 410.6C246.5 414 251.1 416 256 416s9.594-1.1 13.09-5.375l91.53-91.25C372.1 307.9 364 288 347.5 288z"]],
    "circle-sort-down": [512, 512, ["sort-circle-down"], "e031", ["M256 512c141.4 0 256-114.6 256-256s-114.6-256-256-256c-141.4 0-256 114.6-256 256S114.6 512 256 512zM151.4 192.6L243 101.4C246.5 97.1 251.1 95.1 256 95.1s9.625 2 13.12 5.375l91.5 91.25c11.5 11.5 3.375 31.38-13.12 31.38h-183C148 223.1 139.9 204.1 151.4 192.6zM164.5 288h182.9c16.5 0 24.69 19.88 13.19 31.38l-91.53 91.25C265.6 414 260.9 416 256 416s-9.5-2-13-5.375L151.4 319.4C139.9 307.9 148 288 164.5 288z", "M164.5 288h182.9c16.5 0 24.69 19.88 13.19 31.38l-91.53 91.25C265.6 414 260.9 416 256 416s-9.5-2-13-5.375L151.4 319.4C139.9 307.9 148 288 164.5 288z"]],
    "circle-sort-up": [512, 512, ["sort-circle-up"], "e032", ["M256 0c-141.4 0-256 114.6-256 256s114.6 256 256 256c141.4 0 256-114.6 256-256S397.4 0 256 0zM360.6 319.4L269 410.6C265.5 414 260.9 416 256 416s-9.625-2-13.12-5.375l-91.5-91.25C139.9 307.9 148 288 164.5 288h183C364 288 372.1 307.9 360.6 319.4zM347.5 223.1H164.6c-16.5 0-24.69-19.88-13.19-31.38l91.53-91.25C246.4 97.1 251.1 95.1 256 95.1s9.5 2 13 5.375l91.63 91.25C372.1 204.1 364 223.1 347.5 223.1z", "M347.5 223.1H164.6c-16.5 0-24.69-19.88-13.19-31.38l91.53-91.25C246.4 97.1 251.1 95.1 256 95.1s9.5 2 13 5.375l91.63 91.25C372.1 204.1 364 223.1 347.5 223.1z"]],
    "circle-star": [512, 512, ["star-circle"], "e123", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM241.7 112.9L205.4 186.4L124.4 198.1C118.3 199 113.3 203.2 111.4 209C109.6 214.8 111.1 221.2 115.5 225.4L174.1 282.6L160.3 363.3C159.3 369.3 161.7 375.4 166.7 378.1C171.6 382.6 178.1 383 183.5 380.2L255.1 342.1L328.5 380.2C333.9 383 340.4 382.6 345.3 378.1C350.3 375.4 352.7 369.3 351.7 363.3L337.9 282.6L396.5 225.4C400.9 221.2 402.4 214.8 400.6 209C398.7 203.2 393.7 199 387.6 198.1L306.6 186.4L270.3 112.9C267.7 107.5 262.1 104 255.1 104C249.9 104 244.3 107.5 241.7 112.9H241.7z", "M306.6 186.4L387.6 198.1C393.7 199 398.7 203.2 400.6 209C402.4 214.8 400.9 221.2 396.5 225.4L337.9 282.6L351.7 363.3C352.7 369.3 350.3 375.4 345.3 378.1C340.4 382.6 333.9 383 328.5 380.2L256 342.1L183.5 380.2C178.1 383 171.6 382.6 166.7 378.1C161.7 375.4 159.3 369.3 160.3 363.3L174.1 282.6L115.5 225.4C111.1 221.2 109.6 214.8 111.4 209C113.3 203.2 118.3 199 124.4 198.1L205.4 186.4L241.7 112.9C244.3 107.5 249.9 104 256 104C262.1 104 267.7 107.5 270.3 112.9L306.6 186.4z"]],
    "circle-stop": [512, 512, [62094, "stop-circle"], "f28d", ["M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM352 328c0 13.2-10.8 24-24 24h-144C170.8 352 160 341.2 160 328v-144C160 170.8 170.8 160 184 160h144C341.2 160 352 170.8 352 184V328z", "M352 328c0 13.2-10.8 24-24 24h-144C170.8 352 160 341.2 160 328v-144C160 170.8 170.8 160 184 160h144C341.2 160 352 170.8 352 184V328z"]],
    "circle-t": [512, 512, [], "e124", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM360 192h-80v168c0 13.25-10.75 24-24 24s-24-10.75-24-24V192h-80C138.8 192 128 181.3 128 168S138.8 144 152 144h208C373.3 144 384 154.8 384 168S373.3 192 360 192z", "M360 144h-208C138.8 144 128 154.8 128 168S138.8 192 152 192h80v168C232 373.3 242.8 384 256 384s24-10.75 24-24V192h80C373.3 192 384 181.3 384 168S373.3 144 360 144z"]],
    "circle-three-quarters": [512, 512, [], "e125", ["M256 256V0C397.4 0 512 114.6 512 256H256z", "M256 256H512C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0V256z"]],
    "circle-trash": [512, 512, ["trash-circle"], "e126", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM160 128C151.2 128 144 135.2 144 144C144 152.8 151.2 160 160 160H352C360.8 160 368 152.8 368 144C368 135.2 360.8 128 352 128H310.6L299.3 116.7C296.3 113.7 292.2 112 288 112H224C219.8 112 215.7 113.7 212.7 116.7L201.4 128H160zM160 192L173.6 354.7C174.9 371.2 188.8 384 205.4 384H306.6C323.2 384 337.1 371.2 338.4 354.7L352 192H160z", "M212.7 116.7C215.7 113.7 219.8 112 224 112H288C292.2 112 296.3 113.7 299.3 116.7L310.6 128H352C360.8 128 368 135.2 368 144C368 152.8 360.8 160 352 160H160C151.2 160 144 152.8 144 144C144 135.2 151.2 128 160 128H201.4L212.7 116.7zM352 192L338.4 354.7C337.1 371.2 323.2 384 306.6 384H205.4C188.8 384 174.9 371.2 173.6 354.7L160 192H352z"]],
    "circle-u": [512, 512, [], "e127", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM368 290.9C368 351.1 317.8 400 256 400s-112-48.94-112-109.1V168c0-13.25 10.75-24 24-24S192 154.8 192 168v122.9C192 324.6 220.7 352 256 352s64-27.41 64-61.09V168c0-13.25 10.75-24 24-24s24 10.75 24 24V290.9z", "M344 144C330.8 144 320 154.8 320 168v122.9C320 324.6 291.3 352 256 352s-64-27.41-64-61.09V168C192 154.8 181.3 144 168 144S144 154.8 144 168v122.9C144 351.1 194.3 400 256 400s112-48.94 112-109.1V168C368 154.8 357.3 144 344 144z"]],
    "circle-up": [512, 512, [61467, "arrow-alt-circle-up"], "f35b", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256c141.4 0 256-114.6 256-256S397.4 0 256 0zM382.8 246.1C380.3 252.1 374.5 256 368 256h-64v96c0 17.67-14.33 32-32 32h-32c-17.67 0-32-14.33-32-32V256h-64C137.5 256 131.7 252.1 129.2 246.1C126.7 240.1 128.1 233.3 132.7 228.7l112-112c6.248-6.248 16.38-6.248 22.62 0l112 112C383.9 233.3 385.3 240.1 382.8 246.1z", "M382.8 246.1C380.3 252.1 374.5 256 368 256h-64v96c0 17.67-14.33 32-32 32h-32c-17.67 0-32-14.33-32-32V256h-64C137.5 256 131.7 252.1 129.2 246.1C126.7 240.1 128.1 233.3 132.7 228.7l112-112c6.248-6.248 16.38-6.248 22.62 0l112 112C383.9 233.3 385.3 240.1 382.8 246.1z"]],
    "circle-up-left": [512, 512, [], "e128", ["M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM357.8 335.2l-22.63 22.62c-12.5 12.5-32.72 12.54-45.21 .042L222.1 289.9l-45.25 45.25c-4.574 4.574-11.46 5.953-17.44 3.469c-5.988-2.477-9.877-8.309-9.877-14.78v-158.4c0-8.836 7.162-16 15.1-16h158.4c6.475 0 12.31 3.891 14.78 9.875c2.484 5.977 1.104 12.86-3.471 17.44l-45.25 45.25l67.92 67.92C370.4 302.5 370.3 322.7 357.8 335.2z", "M357.8 335.2l-22.63 22.62c-12.5 12.5-32.72 12.54-45.21 .042L222.1 289.9l-45.25 45.25c-4.574 4.574-11.46 5.953-17.44 3.469c-5.988-2.477-9.877-8.309-9.877-14.78v-158.4c0-8.836 7.162-16 15.1-16h158.4c6.475 0 12.31 3.891 14.78 9.875c2.484 5.977 1.104 12.86-3.471 17.44l-45.25 45.25l67.92 67.92C370.4 302.5 370.3 322.7 357.8 335.2z"]],
    "circle-up-right": [512, 512, [], "e129", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM362.5 323.9c0 6.473-3.889 12.3-9.877 14.78c-5.979 2.484-12.86 1.105-17.44-3.469l-45.25-45.25L222 357.9c-12.5 12.5-32.72 12.46-45.21-.042l-22.63-22.62c-12.5-12.5-12.54-32.72-.041-45.21l67.92-67.92L176.8 176.8C172.2 172.2 170.8 165.3 173.3 159.4c2.477-5.984 8.309-9.875 14.78-9.875h158.4c8.836 0 15.1 7.164 15.1 16V323.9z", "M362.5 323.9c0 6.473-3.889 12.3-9.877 14.78c-5.979 2.484-12.86 1.105-17.44-3.469l-45.25-45.25L222 357.9c-12.5 12.5-32.72 12.46-45.21-.042l-22.63-22.62c-12.5-12.5-12.54-32.72-.041-45.21l67.92-67.92L176.8 176.8C172.2 172.2 170.8 165.3 173.3 159.4c2.477-5.984 8.309-9.875 14.78-9.875h158.4c8.836 0 15.1 7.164 15.1 16V323.9z"]],
    "circle-user": [512, 512, [62142, "user-circle"], "f2bd", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 128c39.77 0 72 32.24 72 72S295.8 272 256 272c-39.76 0-72-32.24-72-72S216.2 128 256 128zM256 448c-52.93 0-100.9-21.53-135.7-56.29C136.5 349.9 176.5 320 224 320h64c47.54 0 87.54 29.88 103.7 71.71C356.9 426.5 308.9 448 256 448z", "M256 272c39.77 0 72-32.24 72-72S295.8 128 256 128C216.2 128 184 160.2 184 200S216.2 272 256 272zM288 320H224c-47.54 0-87.54 29.88-103.7 71.71C155.1 426.5 203.1 448 256 448s100.9-21.53 135.7-56.29C375.5 349.9 335.5 320 288 320z"]],
    "circle-v": [512, 512, [], "e12a", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM381.5 178.7l-104 208C273.4 394.9 265.1 400 256 400s-17.41-5.141-21.47-13.27l-104-208C124.6 166.9 129.4 152.5 141.3 146.5c11.92-5.891 26.28-1.125 32.2 10.73L256 322.3l82.53-165.1c5.938-11.86 20.34-16.62 32.2-10.73C382.6 152.5 387.4 166.9 381.5 178.7z", "M370.7 146.5c-11.86-5.891-26.27-1.125-32.2 10.73L256 322.3L173.5 157.3C167.5 145.4 153.2 140.6 141.3 146.5C129.4 152.5 124.6 166.9 130.5 178.7l104 208C238.6 394.9 246.9 400 256 400s17.41-5.141 21.47-13.27l104-208C387.4 166.9 382.6 152.5 370.7 146.5z"]],
    "circle-video": [512, 512, ["video-circle"], "e12b", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM320 328c0 13.25-10.75 24-24 24h-144c-13.25 0-24-10.75-24-24V184c0-13.26 10.75-24 24-24h144c13.25 0 24 10.74 24 24V328zM416 307.4c0 10.2-11.68 16.16-20.16 10.32L352 287.5V224.5l43.84-30.24C404.4 188.4 416 194.4 416 204.6V307.4z", "M320 328c0 13.25-10.75 24-24 24h-144c-13.25 0-24-10.75-24-24V184c0-13.26 10.75-24 24-24h144c13.25 0 24 10.74 24 24V328zM416 307.4c0 10.2-11.68 16.16-20.16 10.32L352 287.5V224.5l43.84-30.24C404.4 188.4 416 194.4 416 204.6V307.4z"]],
    "circle-w": [512, 512, [], "e12c", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM398.9 175.1l-64 208C331.8 393.1 322.5 400 312 400h-.4219c-10.7-.1875-19.97-7.438-22.75-17.77L256 260.3l-32.83 121.9C220.4 392.6 211.1 399.8 200.4 400c-10.73-.0156-20.22-6.734-23.36-16.94l-64-208c-3.906-12.67 3.203-26.11 15.88-30c12.66-3.859 26.09 3.203 30 15.88L198.5 289.4l34.36-127.6C235.6 151.3 245.1 144 256 144s20.36 7.281 23.17 17.77l34.36 127.6l39.53-128.5c3.891-12.67 17.34-19.7 30-15.88C395.7 148.1 402.8 162.4 398.9 175.1z", "M383.1 145.1c-12.66-3.828-26.11 3.203-30 15.88L313.5 289.4l-34.36-127.6C276.4 151.3 266.9 144 256 144S235.6 151.3 232.8 161.8L198.5 289.4L158.9 160.9c-3.906-12.67-17.34-19.73-30-15.88c-12.67 3.891-19.78 17.33-15.88 30l64 208C180.2 393.3 189.7 399.1 200.4 400c10.7-.1875 19.97-7.438 22.75-17.77L256 260.3l32.83 121.9C291.6 392.6 300.9 399.8 311.6 400H312c10.52 0 19.84-6.859 22.94-16.94l64-208C402.8 162.4 395.7 148.1 383.1 145.1z"]],
    "circle-waveform-lines": [512, 512, ["waveform-circle"], "e12d", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM160 336C160 344.8 152.8 352 144 352S128 344.8 128 336v-160C128 167.2 135.2 160 144 160S160 167.2 160 176V336zM224 296c0 8.836-7.164 16-16 16S192 304.8 192 296v-80c0-8.838 7.164-16 16-16S224 207.2 224 216V296zM288 360c0 8.836-7.164 16-16 16s-16-7.164-16-16v-208c0-8.838 7.164-16 16-16S288 143.2 288 152V360zM352 312c0 8.836-7.164 16-16 16S320 320.8 320 312v-112c0-8.838 7.164-16 16-16S352 191.2 352 200V312zM416 272C416 280.8 408.8 288 400 288S384 280.8 384 272v-32C384 231.2 391.2 224 400 224S416 231.2 416 240V272z", "M144 160C135.2 160 128 167.2 128 176v160C128 344.8 135.2 352 144 352S160 344.8 160 336v-160C160 167.2 152.8 160 144 160zM272 136c-8.836 0-16 7.162-16 16v208c0 8.836 7.164 16 16 16s16-7.164 16-16v-208C288 143.2 280.8 136 272 136zM208 200C199.2 200 192 207.2 192 216v80c0 8.836 7.164 16 16 16S224 304.8 224 296v-80C224 207.2 216.8 200 208 200zM400 224C391.2 224 384 231.2 384 240v32C384 280.8 391.2 288 400 288S416 280.8 416 272v-32C416 231.2 408.8 224 400 224zM336 184c-8.836 0-16 7.162-16 16v112c0 8.836 7.164 16 16 16s16-7.164 16-16v-112C352 191.2 344.8 184 336 184z"]],
    "circle-x": [512, 512, [], "e12e", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM362.3 344.5c8.562 10.11 7.297 25.27-2.828 33.83C355 382.1 349.5 384 344 384c-6.812 0-13.59-2.891-18.34-8.5L256 293.2L186.3 375.5C181.6 381.1 174.8 384 167.1 384C162.5 384 157 382.1 152.5 378.3c-10.12-8.562-11.39-23.72-2.828-33.83L224.6 256L149.7 167.5C141.1 157.4 142.4 142.2 152.5 133.7C162.6 125.1 177.8 126.4 186.3 136.5L256 218.8l69.67-82.34c8.547-10.12 23.72-11.41 33.83-2.828c10.12 8.562 11.39 23.72 2.828 33.83L287.4 256L362.3 344.5z", "M359.5 133.7c-10.11-8.578-25.28-7.297-33.83 2.828L256 218.8L186.3 136.5C177.8 126.4 162.6 125.1 152.5 133.7C142.4 142.2 141.1 157.4 149.7 167.5L224.6 256l-74.88 88.5c-8.562 10.11-7.297 25.27 2.828 33.83C157 382.1 162.5 384 167.1 384c6.812 0 13.59-2.891 18.34-8.5L256 293.2l69.67 82.34C330.4 381.1 337.2 384 344 384c5.469 0 10.98-1.859 15.48-5.672c10.12-8.562 11.39-23.72 2.828-33.83L287.4 256l74.88-88.5C370.9 157.4 369.6 142.2 359.5 133.7z"]],
    "circle-xmark": [512, 512, [61532, "times-circle", "xmark-circle"], "f057", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM175 208.1L222.1 255.1L175 303C165.7 312.4 165.7 327.6 175 336.1C184.4 346.3 199.6 346.3 208.1 336.1L255.1 289.9L303 336.1C312.4 346.3 327.6 346.3 336.1 336.1C346.3 327.6 346.3 312.4 336.1 303L289.9 255.1L336.1 208.1C346.3 199.6 346.3 184.4 336.1 175C327.6 165.7 312.4 165.7 303 175L255.1 222.1L208.1 175C199.6 165.7 184.4 165.7 175 175C165.7 184.4 165.7 199.6 175 208.1V208.1z", "M255.1 222.1L303 175C312.4 165.7 327.6 165.7 336.1 175C346.3 184.4 346.3 199.6 336.1 208.1L289.9 255.1L336.1 303C346.3 312.4 346.3 327.6 336.1 336.1C327.6 346.3 312.4 346.3 303 336.1L255.1 289.9L208.1 336.1C199.6 346.3 184.4 346.3 175 336.1C165.7 327.6 165.7 312.4 175 303L222.1 255.1L175 208.1C165.7 199.6 165.7 184.4 175 175C184.4 165.7 199.6 165.7 208.1 175L255.1 222.1z"]],
    "circle-y": [512, 512, [], "e12f", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM378.2 183.6L280 298.2V376c0 13.25-10.75 24-24 24s-24-10.75-24-24V298.2L133.8 183.6C125.2 173.6 126.3 158.4 136.4 149.8c10.08-8.625 25.22-7.438 33.84 2.594L256 252.5l85.78-100.1c8.641-10.05 23.77-11.27 33.84-2.594C385.7 158.4 386.8 173.6 378.2 183.6z", "M341.8 152.4L256 252.5L170.2 152.4C161.6 142.3 146.5 141.2 136.4 149.8C126.3 158.4 125.2 173.6 133.8 183.6L232 298.2V376c0 13.25 10.75 24 24 24s24-10.75 24-24V298.2l98.22-114.6c8.625-10.06 7.469-25.22-2.594-33.84C365.5 141.1 350.4 142.3 341.8 152.4z"]],
    "circle-z": [512, 512, [], "e130", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM328 384h-144c-8.938 0-17.12-4.953-21.25-12.86c-4.156-7.906-3.562-17.47 1.531-24.8L282.2 176H184C170.8 176 160 165.3 160 152S170.8 128 184 128h144c8.938 0 17.12 4.953 21.25 12.86c4.156 7.906 3.562 17.47-1.531 24.8L229.8 336H328c13.25 0 24 10.75 24 24S341.3 384 328 384z", "M328 336H229.8l117.9-170.3c5.094-7.328 5.688-16.89 1.531-24.8C345.1 132.1 336.9 128 328 128h-144C170.8 128 160 138.8 160 152S170.8 176 184 176h98.19l-117.9 170.3c-5.094 7.328-5.688 16.89-1.531 24.8C166.9 379 175.1 384 184 384h144c13.25 0 24-10.75 24-24S341.3 336 328 336z"]],
    "citrus": [512, 512, [], "e2f4", ["M496 271.1C496 404.5 388.5 512 256 512s-240-107.5-240-240S123.5 31.1 256 31.1c17.91 0 35.31 2.113 52.1 5.834C295.7 54.02 288 74.02 288 96v16C288 120.8 295.2 128 304 128H384c18.93 0 36.46-5.664 51.33-15.12C472.1 155.3 496 210.9 496 271.1z", "M304 128H384c53.02 0 96-42.98 96-96V16C480 7.162 472.8 0 464 0H384c-53.02 0-96 42.98-96 96v16C288 120.8 295.2 128 304 128z"]],
    "citrus-slice": [512, 512, [], "e2f5", ["M444.1 176C435.8 130.3 414.1 88.18 380.5 54.63L357.9 32L239.9 149.1C246.4 157.4 251.2 166.2 253.7 176H444.1zM32 357.9l22.62 22.62C88.18 414.1 130.3 435.8 176 444.1v-190.4c-9.816-2.541-18.64-7.334-26.03-13.82L32 357.9zM447.5 208H253.7C252.2 213.8 249.9 219.3 246.9 224.3l144.3 144.3C427.8 326.7 448 273.7 448 217.6C448 214.4 447.7 211.2 447.5 208zM208 253.7v193.8C211.2 447.7 214.3 448 217.6 448c56.19 0 109.1-20.16 151.1-56.73L224.3 246.9C219.3 249.9 213.8 252.2 208 253.7z", "M425.8 9.375c-12.5-12.5-32.75-12.5-45.25 0L357.9 32l22.62 22.62C424 98.16 448 156 448 217.6c0 61.55-23.97 119.4-67.5 162.9C336.1 424 279.1 448 217.6 448c-61.53 0-119.4-23.97-162.9-67.48L32 357.9l-22.62 22.62C3.375 386.5 0 394.7 0 403.1s3.375 16.62 9.375 22.62C65 481.4 138.9 512 217.6 512c78.66 0 152.6-30.62 208.2-86.23C481.4 370.2 512 296.2 512 217.6C512 138.9 481.4 64.98 425.8 9.375z"]],
    "city": [640, 512, [127961], "f64f", ["M432 0C458.5 0 480 21.49 480 48V192H592C618.5 192 640 213.5 640 240V464C640 490.5 618.5 512 592 512H48C21.49 512 0 490.5 0 464V144C0 117.5 21.49 96 48 96H288V48C288 21.49 309.5 0 336 0H432zM528 352C519.2 352 512 359.2 512 368V400C512 408.8 519.2 416 528 416H560C568.8 416 576 408.8 576 400V368C576 359.2 568.8 352 560 352H528zM256 368C256 359.2 248.8 352 240 352H208C199.2 352 192 359.2 192 368V400C192 408.8 199.2 416 208 416H240C248.8 416 256 408.8 256 400V368zM112 416C120.8 416 128 408.8 128 400V368C128 359.2 120.8 352 112 352H80C71.16 352 64 359.2 64 368V400C64 408.8 71.16 416 80 416H112zM576 272C576 263.2 568.8 256 560 256H528C519.2 256 512 263.2 512 272V304C512 312.8 519.2 320 528 320H560C568.8 320 576 312.8 576 304V272zM208 160C199.2 160 192 167.2 192 176V208C192 216.8 199.2 224 208 224H240C248.8 224 256 216.8 256 208V176C256 167.2 248.8 160 240 160H208zM128 176C128 167.2 120.8 160 112 160H80C71.16 160 64 167.2 64 176V208C64 216.8 71.16 224 80 224H112C120.8 224 128 216.8 128 208V176zM240 320C248.8 320 256 312.8 256 304V272C256 263.2 248.8 256 240 256H208C199.2 256 192 263.2 192 272V304C192 312.8 199.2 320 208 320H240zM128 272C128 263.2 120.8 256 112 256H80C71.16 256 64 263.2 64 272V304C64 312.8 71.16 320 80 320H112C120.8 320 128 312.8 128 304V272zM368 256C359.2 256 352 263.2 352 272V304C352 312.8 359.2 320 368 320H400C408.8 320 416 312.8 416 304V272C416 263.2 408.8 256 400 256H368zM416 80C416 71.16 408.8 64 400 64H368C359.2 64 352 71.16 352 80V112C352 120.8 359.2 128 368 128H400C408.8 128 416 120.8 416 112V80zM368 160C359.2 160 352 167.2 352 176V208C352 216.8 359.2 224 368 224H400C408.8 224 416 216.8 416 208V176C416 167.2 408.8 160 400 160H368z", "M112 96H64V24C64 10.75 74.75 0 88 0C101.3 0 112 10.75 112 24V96zM224 96H176V24C176 10.75 186.7 0 200 0C213.3 0 224 10.75 224 24V96zM240 160C248.8 160 256 167.2 256 176V208C256 216.8 248.8 224 240 224H208C199.2 224 192 216.8 192 208V176C192 167.2 199.2 160 208 160H240zM576 304C576 312.8 568.8 320 560 320H528C519.2 320 512 312.8 512 304V272C512 263.2 519.2 256 528 256H560C568.8 256 576 263.2 576 272V304zM80 416C71.16 416 64 408.8 64 400V368C64 359.2 71.16 352 80 352H112C120.8 352 128 359.2 128 368V400C128 408.8 120.8 416 112 416H80zM256 400C256 408.8 248.8 416 240 416H208C199.2 416 192 408.8 192 400V368C192 359.2 199.2 352 208 352H240C248.8 352 256 359.2 256 368V400zM576 400C576 408.8 568.8 416 560 416H528C519.2 416 512 408.8 512 400V368C512 359.2 519.2 352 528 352H560C568.8 352 576 359.2 576 368V400zM128 208C128 216.8 120.8 224 112 224H80C71.16 224 64 216.8 64 208V176C64 167.2 71.16 160 80 160H112C120.8 160 128 167.2 128 176V208zM208 320C199.2 320 192 312.8 192 304V272C192 263.2 199.2 256 208 256H240C248.8 256 256 263.2 256 272V304C256 312.8 248.8 320 240 320H208zM128 304C128 312.8 120.8 320 112 320H80C71.16 320 64 312.8 64 304V272C64 263.2 71.16 256 80 256H112C120.8 256 128 263.2 128 272V304z"]],
    "clapperboard": [512, 512, [], "e131", ["M512 160v256c0 35.35-28.65 64-64 64H64c-35.35 0-64-28.65-64-64V160H512z", "M497.7 56.19L393.9 160H512V96C512 80.87 506.5 67.15 497.7 56.19zM64 32C28.65 32 0 60.65 0 96v64h6.062l128-128H64zM201.9 32l-128 128h92.13l128-128H201.9zM448 32h-86.06l-128 128h92.13l127.4-127.4C451.7 32.39 449.9 32 448 32z"]],
    "clapperboard-play": [512, 512, [], "e132", ["M0 160v256c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V160H0zM330.1 329.3l-106.7 68.97C222.6 399.4 220.6 400 218.7 400c-1.77 0-3.562-.4648-5.166-1.379C210.1 396.7 208 392.1 208 388.1V251c0-4.01 2.104-7.705 5.5-9.656c3.375-1.918 7.562-1.832 10.81 .3027l106.7 68.97C334.1 312.7 336 316.2 336 319.1S334.1 327.3 330.1 329.3z", "M201.9 32l-128 128h92.13l128-128H201.9zM64 32C28.65 32 0 60.65 0 96v64h6.062l128-128H64zM326.1 160l127.4-127.4C451.7 32.39 449.9 32 448 32h-86.06l-128 128H326.1zM497.7 56.19L393.9 160H512V96C512 80.87 506.5 67.15 497.7 56.19zM224.3 241.7C221.1 239.5 216.9 239.5 213.5 241.4C210.1 243.3 208 247 208 251v137.9c0 4.008 2.104 7.705 5.5 9.656C215.1 399.5 216.9 400 218.7 400c1.959 0 3.938-.5605 5.646-1.682l106.7-68.97C334.1 327.3 336 323.8 336 319.1s-1.896-7.34-5.021-9.354L224.3 241.7z"]],
    "clarinet": [640, 512, [], "f8ad", ["M631.6 129.9c-5.219-2.781-11.53-2.5-16.44 .7969L571.2 160L101.3 159.1c-3.5 0-6.875 .4995-10.12 1.625L11 188.4C4.375 190.5 0 196.6 0 203.5v73c0 6.875 4.375 13 11 15.12l80.13 26.75c3.25 1.125 6.625 1.623 10.12 1.623L571.2 320l43.97 29.31C617.8 351.1 620.9 352 624 352c2.594 0 5.188-.625 7.562-1.891C636.8 347.3 640 341.9 640 336v-192C640 138.1 636.8 132.7 631.6 129.9zM272 264c-13.25 0-24-10.75-24-24S258.8 216 272 216S296 226.8 296 240S285.3 264 272 264zM368 264c-13.25 0-24-10.75-24-24s10.75-24 24-24s24 10.75 24 24S381.3 264 368 264zM464 264c-13.25 0-24-10.75-24-24s10.75-24 24-24s24 10.75 24 24S477.3 264 464 264z", "M496 96h-256C231.2 96 224 103.2 224 111.1c0 8.799 7.199 15.1 16 15.1H256v31.1l32 .0002V127.1h64v31.1l32 .0002V127.1h64v31.1l32 .0002V127.1h16c8.801 0 16-7.201 16-15.1C512 103.2 504.8 96 496 96zM272 216c-13.25 0-24 10.75-24 24S258.8 264 272 264S296 253.3 296 240S285.3 216 272 216zM368 216c-13.25 0-24 10.75-24 24s10.75 24 24 24s24-10.75 24-24S381.3 216 368 216zM464 216c-13.25 0-24 10.75-24 24s10.75 24 24 24s24-10.75 24-24S477.3 216 464 216z"]],
    "claw-marks": [576, 512, [], "f6c2", ["M566.6 265.4C579.1 277.9 579.1 298.1 566.6 310.6C554.1 323.1 533.9 323.1 521.4 310.6L498.7 288H448C430.3 288 416 273.7 416 256V205.3L370.7 160H320C302.3 160 288 145.7 288 128V77.25L265.4 54.63C252.9 42.13 252.9 21.87 265.4 9.372C277.9-3.124 298.1-3.124 310.6 9.372L566.6 265.4zM310.6 457.4C323.1 469.9 323.1 490.1 310.6 502.6C298.1 515.1 277.9 515.1 265.4 502.6L210.7 448H128C110.3 448 96 433.7 96 416V333.3L41.37 278.6C28.88 266.1 28.88 245.9 41.37 233.4C53.87 220.9 74.13 220.9 86.63 233.4L310.6 457.4z", "M41.37 9.372C53.87-3.124 74.13-3.124 86.63 9.372L534.6 457.4C547.1 469.9 547.1 490.1 534.6 502.6C522.1 515.1 501.9 515.1 489.4 502.6L434.7 448H384C366.3 448 352 433.7 352 416V365.3L210.7 223.1H160C142.3 223.1 128 209.7 128 191.1V141.3L41.37 54.63C28.88 42.13 28.88 21.87 41.37 9.372L41.37 9.372z"]],
    "clipboard": [384, 512, [128203], "f328", ["M384 112v352c0 26.51-21.49 48-48 48h-288C21.49 512 0 490.5 0 464v-352C0 85.49 21.49 64 48 64H128C92.65 64 64 92.65 64 128v16C64 152.8 71.16 160 80 160h224C312.8 160 320 152.8 320 144V128c0-35.35-28.65-64-64-64h80C362.5 64 384 85.49 384 112z", "M256 64c0-35.35-28.65-64-64-64S128 28.65 128 64C92.65 64 64 92.65 64 128v16C64 152.8 71.16 160 80 160h224C312.8 160 320 152.8 320 144V128C320 92.65 291.3 64 256 64zM192 40c13.25 0 24 10.74 24 24c0 13.25-10.75 24-24 24S168 77.25 168 64C168 50.74 178.7 40 192 40z"]],
    "clipboard-check": [384, 512, [], "f46c", ["M336 64H256c35.35 0 64 28.65 64 64v16C320 152.8 312.8 160 304 160h-224C71.16 160 64 152.8 64 144V128c0-35.35 28.65-64 64-64H48C21.49 64 0 85.49 0 112v352C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48v-352C384 85.49 362.5 64 336 64zM282.9 278.8l-88 112c-4.047 5.156-10.02 8.438-16.53 9.062C177.6 399.1 176.8 400 175.1 400c-5.703 0-11.25-2.031-15.62-5.781l-56-48c-10.06-8.625-11.22-23.78-2.594-33.84c8.609-10.06 23.77-11.22 33.84-2.594l36.98 31.69l72.52-92.28c8.188-10.44 23.3-12.22 33.7-4.062C289.3 253.3 291.1 268.4 282.9 278.8z", "M256 64c0-35.35-28.65-64-64-64S128 28.65 128 64C92.65 64 64 92.65 64 128v16C64 152.8 71.16 160 80 160h224C312.8 160 320 152.8 320 144V128C320 92.65 291.3 64 256 64zM192 88C178.7 88 168 77.25 168 64c0-13.26 10.75-24 24-24S216 50.74 216 64C216 77.25 205.3 88 192 88zM245.1 249.2l-72.52 92.28L135.6 309.8C125.5 301.2 110.4 302.3 101.8 312.4c-8.625 10.06-7.469 25.22 2.594 33.84l56 48C164.7 397.1 170.3 400 175.1 400c.7813 0 1.562-.0313 2.344-.125c6.516-.625 12.48-3.906 16.53-9.062l88-112c8.188-10.41 6.375-25.5-4.047-33.69C268.4 236.1 253.3 238.8 245.1 249.2z"]],
    "clipboard-list": [384, 512, [], "f46d", ["M336 64H256c35.35 0 64 28.65 64 64v16C320 152.8 312.8 160 304 160h-224C71.16 160 64 152.8 64 144V128c0-35.35 28.65-64 64-64H48C21.49 64 0 85.49 0 112v352C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48v-352C384 85.49 362.5 64 336 64zM96 392c-13.25 0-24-10.75-24-24S82.75 344 96 344s24 10.75 24 24S109.3 392 96 392zM96 296c-13.25 0-24-10.75-24-24S82.75 248 96 248S120 258.8 120 272S109.3 296 96 296zM304 384h-128C167.2 384 160 376.8 160 368C160 359.2 167.2 352 176 352h128c8.801 0 16 7.199 16 16C320 376.8 312.8 384 304 384zM304 288h-128C167.2 288 160 280.8 160 272C160 263.2 167.2 256 176 256h128C312.8 256 320 263.2 320 272C320 280.8 312.8 288 304 288z", "M256 64c0-35.35-28.65-64-64-64S128 28.65 128 64C92.65 64 64 92.65 64 128v16C64 152.8 71.16 160 80 160h224C312.8 160 320 152.8 320 144V128C320 92.65 291.3 64 256 64zM192 88C178.7 88 168 77.25 168 64c0-13.26 10.75-24 24-24S216 50.74 216 64C216 77.25 205.3 88 192 88zM96 344c-13.25 0-24 10.75-24 24S82.75 392 96 392s24-10.75 24-24S109.3 344 96 344zM96 248c-13.25 0-24 10.75-24 24S82.75 296 96 296S120 285.3 120 272S109.3 248 96 248z"]],
    "clipboard-list-check": [384, 512, [], "f737", ["M336 64H256c35.35 0 64 28.65 64 64v16C320 152.8 312.8 160 304 160h-224C71.16 160 64 152.8 64 144V128c0-35.35 28.65-64 64-64H48C21.49 64 0 85.49 0 112v352C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48v-352C384 85.49 362.5 64 336 64zM96 424c-13.25 0-24-10.75-24-24S82.75 376 96 376s24 10.75 24 24S109.3 424 96 424zM112 320c-4.094 0-8.188-1.562-11.31-4.688l-32-32c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0L112 281.4l52.69-52.69c6.25-6.25 16.38-6.25 22.62 0s6.25 16.38 0 22.62l-64 64C120.2 318.4 116.1 320 112 320zM304 416h-128C167.2 416 160 408.8 160 400C160 391.2 167.2 384 176 384h128c8.801 0 16 7.199 16 16C320 408.8 312.8 416 304 416zM304 320h-96C199.2 320 192 312.8 192 304C192 295.2 199.2 288 208 288h96C312.8 288 320 295.2 320 304C320 312.8 312.8 320 304 320z", "M256 64c0-35.35-28.65-64-64-64S128 28.65 128 64C92.65 64 64 92.65 64 128v16C64 152.8 71.16 160 80 160h224C312.8 160 320 152.8 320 144V128C320 92.65 291.3 64 256 64zM192 88C178.7 88 168 77.25 168 64c0-13.26 10.75-24 24-24S216 50.74 216 64C216 77.25 205.3 88 192 88zM96 376c-13.25 0-24 10.75-24 24S82.75 424 96 424s24-10.75 24-24S109.3 376 96 376zM164.7 228.7L112 281.4L91.31 260.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l32 32C103.8 318.4 107.9 320 112 320s8.188-1.562 11.31-4.688l64-64c6.25-6.25 6.25-16.38 0-22.62S170.9 222.4 164.7 228.7z"]],
    "clipboard-medical": [384, 512, [], "e133", ["M336 64H256c35.35 0 64 28.65 64 64v16C320 152.8 312.8 160 304 160h-224C71.16 160 64 152.8 64 144V128c0-35.35 28.65-64 64-64H48C21.49 64 0 85.49 0 112v352C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48v-352C384 85.49 362.5 64 336 64zM288 336c0 8.8-7.2 16-16 16H224v48c0 8.8-7.2 16-16 16h-32C167.2 416 160 408.8 160 400V352H112C103.2 352 96 344.8 96 336v-32C96 295.2 103.2 288 112 288H160V240C160 231.2 167.2 224 176 224h32C216.8 224 224 231.2 224 240V288h48C280.8 288 288 295.2 288 304V336z", "M256 64c0-35.35-28.65-64-64-64S128 28.65 128 64C92.65 64 64 92.65 64 128v16C64 152.8 71.16 160 80 160h224C312.8 160 320 152.8 320 144V128C320 92.65 291.3 64 256 64zM192 88C178.7 88 168 77.25 168 64c0-13.26 10.75-24 24-24S216 50.74 216 64C216 77.25 205.3 88 192 88zM272 288H224V240C224 231.2 216.8 224 208 224h-32C167.2 224 160 231.2 160 240V288H112C103.2 288 96 295.2 96 304v32C96 344.8 103.2 352 112 352H160v48C160 408.8 167.2 416 176 416h32c8.8 0 16-7.2 16-16V352h48c8.8 0 16-7.2 16-16v-32C288 295.2 280.8 288 272 288z"]],
    "clipboard-prescription": [384, 512, [], "f5e8", ["M192 256c0 8.875-7.125 16-16 16H128v-32h48C184.9 240 192 247.1 192 256zM384 112v352c0 26.51-21.49 48-48 48h-288C21.49 512 0 490.5 0 464v-352C0 85.49 21.49 64 48 64H128C92.65 64 64 92.65 64 128v16C64 152.8 71.16 160 80 160h224C312.8 160 320 152.8 320 144V128c0-35.35-28.65-64-64-64h80C362.5 64 384 85.49 384 112zM304 409.4l-30.12-30l30-30c6.25-6.25 6.25-16.38 0-22.62L292.5 315.5c-6.25-6.25-16.38-6.25-22.62 0L240 345.4l-33.5-33.5C226.4 301 240 280.3 240 256c0-35.38-28.62-64-64-64H96C87.13 192 80 199.1 80 208v160C80 376.9 87.13 384 96 384h16C120.9 384 128 376.9 128 368V320h18.75l59.25 59.25L176 409.4C169.8 415.6 169.8 425.8 176 432l11.25 11.25c6.25 6.25 16.5 6.25 22.75 0L240 413.3l29.1 30c6.251 6.25 16.5 6.25 22.75 0L304 432C310.3 425.8 310.3 415.6 304 409.4z", "M256 64c0-35.35-28.65-64-64-64S128 28.65 128 64C92.65 64 64 92.65 64 128v16C64 152.8 71.16 160 80 160h224C312.8 160 320 152.8 320 144V128C320 92.65 291.3 64 256 64zM192 88C178.7 88 168 77.25 168 64c0-13.26 10.75-24 24-24S216 50.74 216 64C216 77.25 205.3 88 192 88zM273.9 379.4l30-30c6.25-6.25 6.25-16.38 0-22.62L292.5 315.5c-6.25-6.25-16.38-6.25-22.62 0L240 345.4l-33.5-33.5C226.4 301 240 280.3 240 256c0-35.38-28.62-64-64-64H96C87.13 192 80 199.1 80 208v160C80 376.9 87.13 384 96 384h16C120.9 384 128 376.9 128 368V320h18.75l59.25 59.25L176 409.4C169.8 415.6 169.8 425.8 176 432l11.25 11.25c6.25 6.25 16.5 6.25 22.75 0L240 413.3l29.1 30c6.251 6.25 16.5 6.25 22.75 0L304 432c6.25-6.25 6.25-16.38 0-22.62L273.9 379.4zM176 272H128v-32h48C184.9 240 192 247.1 192 256S184.9 272 176 272z"]],
    "clipboard-question": [384, 512, [], "e4e3", ["M282.5 64H320C355.3 64 384 92.65 384 128V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H101.5C114.6 26.71 150.2 0 192 0C233.8 0 269.4 26.71 282.5 64zM192 128C209.7 128 224 113.7 224 96C224 78.33 209.7 64 192 64C174.3 64 160 78.33 160 96C160 113.7 174.3 128 192 128zM105.4 230.5C100.9 243 107.5 256.7 119.1 261.2C132.5 265.6 146.2 259.1 150.6 246.6L151.1 245.3C152.2 242.1 155.2 240 158.6 240H216.9C225.2 240 232 246.8 232 255.1C232 260.6 229.1 265.6 224.4 268.3L180.1 293.7C172.6 298 168 305.9 168 314.5V328C168 341.3 178.7 352 192 352C205.1 352 215.8 341.5 215.1 328.4L248.3 309.9C267.9 298.7 280 277.8 280 255.1C280 220.3 251.7 192 216.9 192H158.6C134.9 192 113.8 206.9 105.8 229.3L105.4 230.5zM192 384C174.3 384 160 398.3 160 416C160 433.7 174.3 448 192 448C209.7 448 224 433.7 224 416C224 398.3 209.7 384 192 384z", "M216.9 192C251.7 192 280 220.3 280 255.1C280 277.8 267.9 298.7 248.3 309.9L215.1 328.4C215.8 341.5 205.1 352 191.1 352C178.7 352 167.1 341.3 167.1 328V314.5C167.1 305.9 172.6 298 180.1 293.7L224.4 268.3C229.1 265.6 232 260.6 232 255.1C232 246.8 225.2 240 216.9 240H158.6C155.2 240 152.2 242.1 151.1 245.3L150.6 246.6C146.2 259.1 132.5 265.6 119.1 261.2C107.5 256.7 100.9 243 105.4 230.5L105.8 229.3C113.8 206.9 134.9 192 158.6 192L216.9 192zM159.1 416C159.1 398.3 174.3 384 191.1 384C209.7 384 224 398.3 224 416C224 433.7 209.7 448 191.1 448C174.3 448 159.1 433.7 159.1 416z"]],
    "clipboard-user": [384, 512, [], "f7f3", ["M336 64H256c35.35 0 64 28.65 64 64v16C320 152.8 312.8 160 304 160h-224C71.16 160 64 152.8 64 144V128c0-35.35 28.65-64 64-64H48C21.49 64 0 85.49 0 112v352C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48v-352C384 85.49 362.5 64 336 64zM192 192c35.35 0 64 28.65 64 64s-28.65 64-64 64S128 291.3 128 256S156.7 192 192 192zM288 448H96c-8.836 0-16-7.164-16-16C80 387.8 115.8 352 160 352h64c44.18 0 80 35.82 80 80C304 440.8 296.8 448 288 448z", "M256 64c0-35.35-28.65-64-64-64S128 28.65 128 64C92.65 64 64 92.65 64 128v16C64 152.8 71.16 160 80 160h224C312.8 160 320 152.8 320 144V128C320 92.65 291.3 64 256 64zM192 88C178.7 88 168 77.25 168 64c0-13.26 10.75-24 24-24S216 50.74 216 64C216 77.25 205.3 88 192 88zM224 352H160c-44.18 0-80 35.82-80 80C80 440.8 87.16 448 96 448h192c8.836 0 16-7.164 16-16C304 387.8 268.2 352 224 352zM256 256c0-35.35-28.65-64-64-64S128 220.7 128 256s28.65 64 64 64S256 291.3 256 256z"]],
    "clock": [512, 512, [128339, "clock-four"], "f017", ["M256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM232 256C232 264 236 271.5 242.7 275.1L338.7 339.1C349.7 347.3 364.6 344.3 371.1 333.3C379.3 322.3 376.3 307.4 365.3 300L280 243.2V120C280 106.7 269.3 96 255.1 96C242.7 96 231.1 106.7 231.1 120L232 256z", "M280 120V243.2L365.3 300C376.3 307.4 379.3 322.3 371.1 333.3C364.6 344.3 349.7 347.3 338.7 339.1L242.7 275.1C236 271.5 232 264 232 256V120C232 106.7 242.7 96 256 96C269.3 96 280 106.7 280 120L280 120z"]],
    "clock-desk": [448, 512, [], "e134", ["M0 224C0 100.3 100.3 0 224 0C347.7 0 448 100.3 448 224C448 347.7 347.7 448 224 448C100.3 448 0 347.7 0 224zM248 120C248 106.7 237.3 96 224 96C210.7 96 200 106.7 200 120V224C200 230.4 202.5 236.5 207 240.1L255 288.1C264.4 298.3 279.6 298.3 288.1 288.1C298.3 279.6 298.3 264.4 288.1 255L248 214.1V120z", "M248 214.1L288.1 255C298.3 264.4 298.3 279.6 288.1 288.1C279.6 298.3 264.4 298.3 255 288.1L207 240.1C202.5 236.5 200 230.4 200 224V120C200 106.7 210.7 96 224 96C237.3 96 248 106.7 248 120V214.1zM448 464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V224C0 347.7 100.3 448 224 448C347.7 448 448 347.7 448 224V464z"]],
    "clock-eight": [512, 512, [], "e345", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM280 120C280 106.7 269.3 96 256 96C242.7 96 232 106.7 232 120V243.2L146.7 300C135.7 307.4 132.7 322.3 140 333.3C147.4 344.3 162.3 347.3 173.3 339.1L269.3 275.1C275.1 271.5 280 264 280 255.1L280 120z", "M255.1 96C269.3 96 280 106.7 280 120V256C280 264 275.1 271.5 269.3 275.1L173.3 339.1C162.3 347.3 147.4 344.3 140 333.3C132.7 322.3 135.7 307.4 146.7 300L232 243.2V120C232 106.7 242.7 96 256 96L255.1 96z"]],
    "clock-eight-thirty": [512, 512, [], "e346", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM232 392C232 405.3 242.7 416 256 416C269.3 416 280 405.3 280 392V256C280 247.1 275.1 239 267.3 234.8C259.5 230.7 250.1 231.1 242.7 236L146.7 300C135.7 307.4 132.7 322.3 140 333.3C147.4 344.3 162.3 347.3 173.3 339.1L231.1 300.8L232 392z", "M255.1 416C242.7 416 231.1 405.3 231.1 392V300.8L173.3 339.1C162.3 347.3 147.4 344.3 140 333.3C132.7 322.3 135.7 307.4 146.7 300L242.7 236C250.1 231.1 259.5 230.7 267.3 234.8C275.1 239 280 247.1 280 256V392C280 405.3 269.3 416 255.1 416L255.1 416z"]],
    "clock-eleven": [512, 512, [], "e347", ["M256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM232 176.7L211.1 146.7C204.6 135.7 189.7 132.7 178.7 140C167.7 147.4 164.7 162.3 172 173.3L236 269.3C241.9 278.1 252.8 282 262.1 278.1C273.1 275.9 280 266.6 280 256V120C280 106.7 269.3 96 256 96C242.7 96 232 106.7 232 120L232 176.7z", "M280 120V256C280 266.6 273.1 275.9 262.1 278.1C252.8 282 241.9 278.1 236 269.3L172 173.3C164.7 162.3 167.7 147.4 178.7 140C189.7 132.7 204.6 135.7 211.1 146.7L231.1 176.7V120C231.1 106.7 242.7 96 255.1 96C269.3 96 280 106.7 280 120H280z"]],
    "clock-eleven-thirty": [512, 512, [], "e348", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM232 392C232 405.3 242.7 416 256 416C269.3 416 280 405.3 280 392V256C280 251.3 278.6 246.6 275.1 242.7L211.1 146.7C204.6 135.7 189.7 132.7 178.7 140C167.7 147.4 164.7 162.3 172 173.3L232 263.3L232 392z", "M256 416C242.7 416 232 405.3 232 392V263.3L172 173.3C164.7 162.3 167.7 147.4 178.7 140C189.7 132.7 204.6 135.7 211.1 146.7L275.1 242.7C278.6 246.6 280 251.3 280 256V392C280 405.3 269.3 416 256 416H256z"]],
    "clock-five": [512, 512, [], "e349", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM280 120C280 106.7 269.3 96 256 96C242.7 96 232 106.7 232 120V256C232 260.7 233.4 265.4 236 269.3L300 365.3C307.4 376.3 322.3 379.3 333.3 371.1C344.3 364.6 347.3 349.7 339.1 338.7L280 248.7L280 120z", "M255.1 96C269.3 96 280 106.7 280 120V248.7L339.1 338.7C347.3 349.7 344.3 364.6 333.3 371.1C322.3 379.3 307.4 376.3 300 365.3L236 269.3C233.4 265.4 232 260.7 232 256V120C232 106.7 242.7 96 256 96H255.1z"]],
    "clock-five-thirty": [512, 512, [], "e34a", ["M256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM280 335.3L300 365.3C307.4 376.3 322.3 379.3 333.3 371.1C344.3 364.6 347.3 349.7 339.1 338.7L275.1 242.7C270.1 233.9 259.2 229.1 249 233C238.9 236.1 231.1 245.4 231.1 256V392C231.1 405.3 242.7 416 255.1 416C269.3 416 280 405.3 280 392L280 335.3z", "M232 392V256C232 245.4 238.9 236.1 249 233C259.2 229.1 270.1 233.9 275.1 242.7L339.1 338.7C347.3 349.7 344.3 364.6 333.3 371.1C322.3 379.3 307.4 376.3 300 365.3L280 335.3V392C280 405.3 269.3 416 256 416C242.7 416 232 405.3 232 392H232z"]],
    "clock-four-thirty": [512, 512, [], "e34b", ["M256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM280 300.8L338.7 339.1C349.7 347.3 364.6 344.3 371.1 333.3C379.3 322.3 376.3 307.4 365.3 300L269.3 236C261.9 231.1 252.5 230.7 244.7 234.8C236.9 239 231.1 247.1 231.1 256V392C231.1 405.3 242.7 416 255.1 416C269.3 416 280 405.3 280 392L280 300.8z", "M232 392V256C232 247.1 236.9 239 244.7 234.8C252.5 230.7 261.9 231.1 269.3 236L365.3 300C376.3 307.4 379.3 322.3 371.1 333.3C364.6 344.3 349.7 347.3 338.7 339.1L280 300.8V392C280 405.3 269.3 416 256 416C242.7 416 232 405.3 232 392L232 392z"]],
    "clock-nine": [512, 512, [], "e34c", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM280 120C280 106.7 269.3 96 256 96C242.7 96 232 106.7 232 120V232H152C138.7 232 128 242.7 128 256C128 269.3 138.7 280 152 280H256C269.3 280 280 269.3 280 256V120z", "M256 96C269.3 96 280 106.7 280 120V256C280 269.3 269.3 280 256 280H152C138.7 280 128 269.3 128 256C128 242.7 138.7 232 152 232H232V120C232 106.7 242.7 96 256 96z"]],
    "clock-nine-thirty": [512, 512, [], "e34d", ["M256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM280 256C280 242.7 269.3 232 256 232H152C138.7 232 128 242.7 128 256C128 269.3 138.7 280 152 280H232V392C232 405.3 242.7 416 256 416C269.3 416 280 405.3 280 392V256z", "M232 392V280H152C138.7 280 128 269.3 128 256C128 242.7 138.7 232 152 232H256C269.3 232 280 242.7 280 256V392C280 405.3 269.3 416 256 416C242.7 416 232 405.3 232 392z"]],
    "clock-one": [512, 512, [], "e34e", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM280 120C280 106.7 269.3 96 256 96C242.7 96 232 106.7 232 120V256C232 266.6 238.9 275.9 249 278.1C259.2 282 270.1 278.1 275.1 269.3L339.1 173.3C347.3 162.3 344.3 147.4 333.3 140C322.3 132.7 307.4 135.7 300 146.7L280 176.7L280 120z", "M256 96C269.3 96 280 106.7 280 120V176.7L300 146.7C307.4 135.7 322.3 132.7 333.3 140C344.3 147.4 347.3 162.3 339.1 173.3L275.1 269.3C270.1 278.1 259.2 282 249 278.1C238.9 275.9 232 266.6 232 256V120C232 106.7 242.7 96 256 96H256z"]],
    "clock-one-thirty": [512, 512, [], "e34f", ["M256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM280 263.3L339.1 173.3C347.3 162.3 344.3 147.4 333.3 140C322.3 132.7 307.4 135.7 300 146.7L236 242.7C233.4 246.6 232 251.3 232 256V392C232 405.3 242.7 416 256 416C269.3 416 280 405.3 280 392L280 263.3z", "M232 392V256C232 251.3 233.4 246.6 236 242.7L300 146.7C307.4 135.7 322.3 132.7 333.3 140C344.3 147.4 347.3 162.3 339.1 173.3L280 263.3V392C280 405.3 269.3 416 256 416C242.7 416 232 405.3 232 392H232z"]],
    "clock-rotate-left": [512, 512, ["history"], "f1da", ["M151 151C166.1 166.1 155.4 192 134.1 192H24C10.75 192 0 181.3 0 168V57.94C0 36.56 25.85 25.85 40.97 40.97L74.98 74.98C121.3 28.69 185.3 0 255.1 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 255.1 512C201.7 512 151.2 495 109.7 466.1C95.2 455.1 91.64 436 101.8 421.5C111.9 407 131.8 403.5 146.3 413.6C177.4 435.3 215.2 448 255.1 448C362 448 448 362 448 256C448 149.1 362 64 255.1 64C202.1 64 155 85.46 120.2 120.2L151 151z", "M256 128C269.3 128 280 138.7 280 152V246.1L344.1 311C354.3 320.4 354.3 335.6 344.1 344.1C335.6 354.3 320.4 354.3 311 344.1L239 272.1C234.5 268.5 232 262.4 232 256V152C232 138.7 242.7 128 256 128V128z"]],
    "clock-seven": [512, 512, [], "e350", ["M256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM232 248.7L172 338.7C164.7 349.7 167.7 364.6 178.7 371.1C189.7 379.3 204.6 376.3 211.1 365.3L275.1 269.3C278.6 265.4 280 260.7 280 256V120C280 106.7 269.3 96 255.1 96C242.7 96 231.1 106.7 231.1 120L232 248.7z", "M280 120V256C280 260.7 278.6 265.4 275.1 269.3L211.1 365.3C204.6 376.3 189.7 379.3 178.7 371.1C167.7 364.6 164.7 349.7 172 338.7L232 248.7V120C232 106.7 242.7 96 256 96C269.3 96 280 106.7 280 120H280z"]],
    "clock-seven-thirty": [512, 512, [], "e351", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM232 392C232 405.3 242.7 416 256 416C269.3 416 280 405.3 280 392V256C280 245.4 273.1 236.1 262.1 233C252.8 229.1 241.9 233.9 236 242.7L172 338.7C164.7 349.7 167.7 364.6 178.7 371.1C189.7 379.3 204.6 376.3 211.1 365.3L231.1 335.3L232 392z", "M256 416C242.7 416 232 405.3 232 392V335.3L211.1 365.3C204.6 376.3 189.7 379.3 178.7 371.1C167.7 364.6 164.7 349.7 172 338.7L236 242.7C241.9 233.9 252.8 229.1 262.1 233C273.1 236.1 280 245.4 280 256V392C280 405.3 269.3 416 256 416H256z"]],
    "clock-six": [512, 512, [], "e352", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM280 120C280 106.7 269.3 96 256 96C242.7 96 232 106.7 232 120V360C232 373.3 242.7 384 256 384C269.3 384 280 373.3 280 360V120z", "M256 96C269.3 96 280 106.7 280 120V360C280 373.3 269.3 384 256 384C242.7 384 232 373.3 232 360V120C232 106.7 242.7 96 256 96z"]],
    "clock-six-thirty": [512, 512, [], "e353", ["M256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM280 256C280 242.7 269.3 232 256 232C242.7 232 232 242.7 232 256V392C232 405.3 242.7 416 256 416C269.3 416 280 405.3 280 392V256z", "M232 392V256C232 242.7 242.7 232 256 232C269.3 232 280 242.7 280 256V392C280 405.3 269.3 416 256 416C242.7 416 232 405.3 232 392z"]],
    "clock-ten": [512, 512, [], "e354", ["M256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM232 211.2L173.3 172C162.3 164.7 147.4 167.7 140 178.7C132.7 189.7 135.7 204.6 146.7 211.1L242.7 275.1C250.1 280.9 259.5 281.3 267.3 277.2C275.1 272.1 280 264.9 280 255.1V119.1C280 106.7 269.3 95.1 256 95.1C242.7 95.1 232 106.7 232 119.1L232 211.2z", "M280 119.1V255.1C280 264.9 275.1 272.1 267.3 277.2C259.5 281.3 250.1 280.9 242.7 275.1L146.7 211.1C135.7 204.6 132.7 189.7 140 178.7C147.4 167.7 162.3 164.7 173.3 172L231.1 211.2V120C231.1 106.7 242.7 96 255.1 96C269.3 96 280 106.7 280 120L280 119.1z"]],
    "clock-ten-thirty": [512, 512, [], "e355", ["M256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM280 256C280 247.1 275.1 240.5 269.3 236L173.3 172C162.3 164.7 147.4 167.7 140 178.7C132.7 189.7 135.7 204.6 146.7 211.1L232 268.8V392C232 405.3 242.7 416 256 416C269.3 416 280 405.3 280 392L280 256z", "M232 392V268.8L146.7 211.1C135.7 204.6 132.7 189.7 140 178.7C147.4 167.7 162.3 164.7 173.3 172L269.3 236C275.1 240.5 280 247.1 280 256V392C280 405.3 269.3 416 255.1 416C242.7 416 231.1 405.3 231.1 392L232 392z"]],
    "clock-three": [512, 512, [], "e356", ["M256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM232 256C232 269.3 242.7 280 256 280H360C373.3 280 384 269.3 384 256C384 242.7 373.3 232 360 232H280V120C280 106.7 269.3 96 256 96C242.7 96 232 106.7 232 120V256z", "M280 120V232H360C373.3 232 384 242.7 384 256C384 269.3 373.3 280 360 280H256C242.7 280 232 269.3 232 256V120C232 106.7 242.7 96 256 96C269.3 96 280 106.7 280 120z"]],
    "clock-three-thirty": [512, 512, [], "e357", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM232 392C232 405.3 242.7 416 256 416C269.3 416 280 405.3 280 392V280H360C373.3 280 384 269.3 384 256C384 242.7 373.3 232 360 232H256C242.7 232 232 242.7 232 256V392z", "M256 416C242.7 416 232 405.3 232 392V256C232 242.7 242.7 232 256 232H360C373.3 232 384 242.7 384 256C384 269.3 373.3 280 360 280H280V392C280 405.3 269.3 416 256 416z"]],
    "clock-twelve": [512, 512, [], "e358", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM280 120C280 106.7 269.3 96 256 96C242.7 96 232 106.7 232 120V256C232 269.3 242.7 280 256 280C269.3 280 280 269.3 280 256V120z", "M256 96C269.3 96 280 106.7 280 120V256C280 269.3 269.3 280 256 280C242.7 280 232 269.3 232 256V120C232 106.7 242.7 96 256 96z"]],
    "clock-twelve-thirty": [512, 512, [], "e359", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM280 152C280 138.7 269.3 128 256 128C242.7 128 232 138.7 232 152V392C232 405.3 242.7 416 256 416C269.3 416 280 405.3 280 392V152z", "M256 128C269.3 128 280 138.7 280 152V392C280 405.3 269.3 416 256 416C242.7 416 232 405.3 232 392V152C232 138.7 242.7 128 256 128z"]],
    "clock-two": [512, 512, [], "e35a", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM280 120C280 106.7 269.3 96 256 96C242.7 96 232 106.7 232 120V256C232 264.9 236.9 272.1 244.7 277.2C252.5 281.3 261.9 280.9 269.3 275.1L365.3 211.1C376.3 204.6 379.3 189.7 371.1 178.7C364.6 167.7 349.7 164.7 338.7 172L280 211.2L280 120z", "M256 96C269.3 96 280 106.7 280 120V211.2L338.7 172C349.7 164.7 364.6 167.7 371.1 178.7C379.3 189.7 376.3 204.6 365.3 211.1L269.3 275.1C261.9 280.9 252.5 281.3 244.7 277.2C236.9 272.1 232 264.9 232 256V120C232 106.7 242.7 96 256 96L256 96z"]],
    "clock-two-thirty": [512, 512, [], "e35b", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM232 392C232 405.3 242.7 416 256 416C269.3 416 280 405.3 280 392V268.8L365.3 211.1C376.3 204.6 379.3 189.7 371.1 178.7C364.6 167.7 349.7 164.7 338.7 172L242.7 236C236 240.5 232 247.1 232 256L232 392z", "M256 416C242.7 416 232 405.3 232 392V256C232 247.1 236 240.5 242.7 236L338.7 172C349.7 164.7 364.6 167.7 371.1 178.7C379.3 189.7 376.3 204.6 365.3 211.1L280 268.8V392C280 405.3 269.3 416 255.1 416L256 416z"]],
    "clone": [512, 512, [], "f24d", ["M0 224C0 188.7 28.65 160 64 160H128V288C128 341 170.1 384 224 384H352V448C352 483.3 323.3 512 288 512H64C28.65 512 0 483.3 0 448V224z", "M160 64C160 28.65 188.7 0 224 0H448C483.3 0 512 28.65 512 64V288C512 323.3 483.3 352 448 352H224C188.7 352 160 323.3 160 288V64z"]],
    "closed-captioning": [576, 512, [], "f20a", ["M512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM168.6 289.9c18.69 18.72 49.19 18.72 67.87 0c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94c-18.72 18.72-43.28 28.08-67.87 28.08s-49.16-9.359-67.87-28.08C116.5 305.8 106.5 281.6 106.5 256s9.1-49.75 28.12-67.88c37.44-37.44 98.31-37.44 135.7 0c9.375 9.375 9.375 24.56 0 33.94s-24.56 9.375-33.94 0c-18.69-18.72-49.19-18.72-67.87 0C159.5 231.1 154.5 243.2 154.5 256S159.5 280.9 168.6 289.9zM360.6 289.9c18.69 18.72 49.19 18.72 67.87 0c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94c-18.72 18.72-43.28 28.08-67.87 28.08s-49.16-9.359-67.87-28.08C308.5 305.8 298.5 281.6 298.5 256s9.1-49.75 28.12-67.88c37.44-37.44 98.31-37.44 135.7 0c9.375 9.375 9.375 24.56 0 33.94s-24.56 9.375-33.94 0c-18.69-18.72-49.19-18.72-67.87 0C351.5 231.1 346.5 243.2 346.5 256S351.5 280.9 360.6 289.9z", "M236.5 222.1c9.375 9.375 24.56 9.375 33.94 0c9.375-9.375 9.375-24.56 0-33.94c-37.44-37.44-98.31-37.44-135.7 0C116.5 206.2 106.5 230.4 106.5 256s9.1 49.75 28.12 67.88c18.72 18.72 43.28 28.08 67.87 28.08s49.16-9.359 67.87-28.08c9.375-9.375 9.375-24.56 0-33.94c-9.375-9.375-24.56-9.375-33.94 0c-18.69 18.72-49.19 18.72-67.87 0C159.5 280.9 154.5 268.8 154.5 256s5-24.88 14.06-33.94C187.3 203.3 217.8 203.3 236.5 222.1zM428.5 222.1c9.375 9.375 24.56 9.375 33.94 0c9.375-9.375 9.375-24.56 0-33.94c-37.44-37.44-98.31-37.44-135.7 0C308.5 206.2 298.5 230.4 298.5 256s9.1 49.75 28.12 67.88c18.72 18.72 43.28 28.08 67.87 28.08s49.16-9.359 67.87-28.08c9.375-9.375 9.375-24.56 0-33.94c-9.375-9.375-24.56-9.375-33.94 0c-18.69 18.72-49.19 18.72-67.87 0C351.5 280.9 346.5 268.8 346.5 256s5-24.88 14.06-33.94C379.3 203.3 409.8 203.3 428.5 222.1z"]],
    "closed-captioning-slash": [640, 512, [], "e135", ["M234.5 351.1c-24.59 0-49.16-9.359-67.88-28.08C148.5 305.8 138.5 281.6 138.5 256c0-15.09 3.841-29.46 10.38-42.58L32 121.8v294.2c0 35.35 28.65 64 64 64l393.1 .0002L296.3 328.9C278.4 343.1 256.6 351.1 234.5 351.1zM256.6 297.8L188.2 244.2C187.2 248 186.5 251.9 186.5 256c0 12.81 5 24.88 14.06 33.94C215.8 305.2 238.5 307.3 256.6 297.8zM544 31.1L96 31.1c-6.645 0-12.96 1.176-18.96 3.073l160 125.4C260.8 161 284.3 170 302.4 188.1c7.367 7.367 8.728 18.23 4.517 27.14l25.92 20.32c3.857-17.83 12.61-34.25 25.81-47.45c37.44-37.44 98.31-37.44 135.8 0c9.375 9.375 9.375 24.56 0 33.94s-24.56 9.375-33.94 0c-18.69-18.72-49.19-18.72-67.88 0c-9.062 9.062-14.06 21.13-14.06 33.94c0 6.338 1.243 12.49 3.577 18.19l35.89 28.13c14.99 2.729 30.92-.8158 42.47-12.38c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94c-7.732 7.732-16.62 13.47-25.93 18.01l131.6 103.1C604.7 436.2 608 426.6 608 416V95.1C608 60.65 579.3 31.1 544 31.1z", "M630.8 469.1L38.81 5.111C34.41 1.673 29.19-.0001 24.03-.0001c-7.125 0-14.19 3.158-18.91 9.189C-3.067 19.63-1.249 34.72 9.189 42.89l591.1 463.1c10.5 8.203 25.57 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1z"]],
    "clothes-hanger": [640, 512, [], "e136", ["", "M607.2 377l-236.5-157.7l8.125-5.656C412.1 190.6 432 152.5 432 112C432 50.25 381.8 0 320 0C266.9 0 220.8 37.69 210.2 89.66c-3.5 17.31 7.688 34.19 25.03 37.72C252.5 130.8 269.4 119.7 272.1 102.3C277.5 80.13 297.3 64 320 64c26.47 0 48 21.53 48 48c0 19.59-9.594 37.97-25.69 49.13l-310.7 216.2C11.81 391.1 0 413.7 0 438.3C0 478.9 33.06 512 73.69 512h492.6C606.9 512 640 478.9 640 438.3C640 413.6 627.7 390.7 607.2 377zM566.3 448H73.69C68.34 448 64 443.7 64 437.8c0-3.156 1.562-6.156 4.156-7.938l246.1-171.2l257.5 171.6C574.4 432.1 576 435.1 576 438.3C576 443.7 571.7 448 566.3 448z"]],
    "cloud": [640, 512, [9729], "f0c2", ["M96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32C315.3 32 367 64.25 394.7 112.2C409.9 101.1 428.3 96 448 96C501 96 544 138.1 544 192C544 204.2 541.7 215.8 537.6 226.6C596 238.4 640 290.1 640 352C640 422.7 582.7 480 512 480H144C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1z", ""]],
    "cloud-arrow-down": [640, 512, [62337, "cloud-download", "cloud-download-alt"], "f0ed", ["M144 480C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32C315.3 32 367 64.25 394.7 112.2C409.9 101.1 428.3 96 448 96C501 96 544 138.1 544 192C544 204.2 541.7 215.8 537.6 226.6C596 238.4 640 290.1 640 352C640 422.7 582.7 480 512 480H144zM303 392.1C312.4 402.3 327.6 402.3 336.1 392.1L416.1 312.1C426.3 303.6 426.3 288.4 416.1 279C407.6 269.7 392.4 269.7 383 279L344 318.1V184C344 170.7 333.3 160 320 160C306.7 160 296 170.7 296 184V318.1L256.1 279C247.6 269.7 232.4 269.7 223 279C213.7 288.4 213.7 303.6 223 312.1L303 392.1z", "M256.1 279L296 318.1V184C296 170.7 306.7 160 320 160C333.3 160 344 170.7 344 184V318.1L383 279C392.4 269.7 407.6 269.7 416.1 279C426.3 288.4 426.3 303.6 416.1 312.1L336.1 392.1C327.6 402.3 312.4 402.3 303 392.1L223 312.1C213.7 303.6 213.7 288.4 223 279C232.4 269.7 247.6 269.7 256.1 279V279z"]],
    "cloud-arrow-up": [640, 512, [62338, "cloud-upload", "cloud-upload-alt"], "f0ee", ["M144 480C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32C315.3 32 367 64.25 394.7 112.2C409.9 101.1 428.3 96 448 96C501 96 544 138.1 544 192C544 204.2 541.7 215.8 537.6 226.6C596 238.4 640 290.1 640 352C640 422.7 582.7 480 512 480H144zM223 263C213.7 272.4 213.7 287.6 223 296.1C232.4 306.3 247.6 306.3 256.1 296.1L296 257.9V392C296 405.3 306.7 416 320 416C333.3 416 344 405.3 344 392V257.9L383 296.1C392.4 306.3 407.6 306.3 416.1 296.1C426.3 287.6 426.3 272.4 416.1 263L336.1 183C327.6 173.7 312.4 173.7 303 183L223 263z", "M223 296.1C213.7 287.6 213.7 272.4 223 263L303 183C312.4 173.7 327.6 173.7 336.1 183L416.1 263C426.3 272.4 426.3 287.6 416.1 296.1C407.6 306.3 392.4 306.3 383 296.1L344 257.9V392C344 405.3 333.3 416 320 416C306.7 416 296 405.3 296 392V257.9L256.1 296.1C247.6 306.3 232.4 306.3 223 296.1V296.1z"]],
    "cloud-bolt": [512, 512, [127785, "thunderstorm"], "f76c", ["M352 351.1h-71.25l47.44-105.4c3.062-6.781 1.031-14.81-4.906-19.31c-5.969-4.469-14.22-4.312-19.94 .4687l-153.6 128c-5.156 4.312-7.094 11.41-4.781 17.72c2.281 6.344 8.281 10.56 15.03 10.56h71.25l-47.44 105.4c-3.062 6.781-1.031 14.81 4.906 19.31C191.6 510.9 194.1 512 198.4 512c3.656 0 7.281-1.25 10.25-3.719l153.6-128c5.156-4.312 7.094-11.41 4.781-17.72C364.8 356.2 358.8 351.1 352 351.1z", "M416 128c-.625 0-1.125 .25-1.625 .25C415.5 123 416 117.6 416 112C416 67.75 380.3 32 336 32c-24.62 0-46.25 11.25-61 28.75C256.4 24.75 219.3 0 176 0C114.1 0 64 50.13 64 112c0 7.25 .75 14.25 2.125 21.25C27.75 145.8 0 181.5 0 224c0 53 43 96 96 96h46.63l140.2-116.8c8.605-7.195 19.53-11.16 30.76-11.16c10.34 0 20.6 3.416 29.03 9.734c17.96 13.61 24.02 37.45 14.76 57.95L330.2 320H416c53 0 96-43 96-96S469 128 416 128z"]],
    "cloud-bolt-moon": [576, 512, ["thunderstorm-moon"], "f76d", ["M272 368H216.3l38.45-89.7c2.938-6.859 .7187-14.84-5.312-19.23c-6.096-4.422-14.35-4.031-19.94 .8906l-128 111.1c-5.033 4.391-6.783 11.44-4.439 17.67c2.346 6.25 8.314 10.38 14.97 10.38H167.7l-38.45 89.7c-2.938 6.859-.7187 14.84 5.312 19.23C137.4 510.1 140.7 512 143.1 512c3.781 0 7.531-1.328 10.53-3.953l128-111.1c5.033-4.391 6.783-11.44 4.439-17.67C284.6 372.1 278.7 368 272 368zM567.9 223.8C497.6 237.1 432.9 183.5 432.9 113c0-40.63 21.88-78 57.5-98.13c5.502-3.125 4.125-11.38-2.125-12.5C479.7 .75 470.8 0 461.8 0c-77.88 0-141 61.25-144.4 137.9c26.75 11.88 48.26 33.88 58.88 61.75c37.13 14.25 64.01 47.38 70.26 86.75c5.125 .5 10 1.5 15.26 1.5c44.63 0 85.5-20.12 112.5-53.25C578.6 229.8 574.2 222.6 567.9 223.8z", "M415.1 304C415.1 348.3 380.2 384 335.1 384h-16.32c.0137-5.684-.6621-11.38-2.729-16.88c-6.982-18.6-25.04-31.11-44.92-31.11H264.8l19.33-45.09c8.871-20.71 2.336-44.44-15.89-57.71C259.9 227.2 250.2 224 239.1 224C228.3 224 217.1 228.2 208.3 235.9l-127.9 111.9c-10.14 8.846-15.44 21.53-15.9 34.56C27.7 375.2 0 342.9 0 304c0-38.75 27.63-71.13 64.27-78.38c0-.5-.25-1.125-.25-1.625c0-53 43.01-96 96.03-96c32.13 0 60.27 15.88 77.77 40C248.2 163 259.8 160 272.1 160c39.26 0 71.65 28.25 78.52 65.5C387.9 232.3 416.1 264.8 415.1 304z"]],
    "cloud-bolt-sun": [640, 512, ["thunderstorm-sun"], "f76e", ["M464 368H408.3l38.45-89.7c2.938-6.859 .7187-14.84-5.312-19.23c-6.096-4.422-14.35-4.031-19.94 .8906l-128 111.1c-5.033 4.391-6.783 11.44-4.439 17.67c2.346 6.25 8.314 10.38 14.97 10.38h55.73l-38.45 89.7c-2.938 6.859-.7187 14.84 5.312 19.23C329.4 510.1 332.7 512 335.1 512c3.781 0 7.531-1.328 10.53-3.953l128-111.1c5.033-4.391 6.783-11.44 4.439-17.67C476.6 372.1 470.7 368 464 368zM156.1 259.8c-37.38-37.38-37.38-98.25 0-135.8c34.63-34.63 89.13-36.88 126.6-7.375c20-13 43.63-20.75 69.25-20.75c.75 0 1.25 .25 2 .25l8.875-26.75c3.375-10.25-6.25-19.75-16.5-16.38L271.1 78.22l-35.5-71c-4.875-9.625-18.5-9.625-23.38 0l-35.5 71L101.5 53.09c-10.25-3.375-19.75 6.25-16.38 16.5l25.12 75.25l-71 35.5c-9.625 4.875-9.625 18.5 0 23.38l71 35.5L85.09 314.5c-3.375 10.25 6.25 19.75 16.5 16.5l59.13-19.75C160.6 308.8 160.1 306.6 160.1 304.1c0-12.5 2.25-24.5 6.125-35.88C162.7 265.5 159.2 262.1 156.1 259.8zM225.8 201.8c4.375-24.5 15.88-46.38 31.88-64C247.1 131.7 236.3 127.1 223.1 127.1c-35.25 0-64 28.75-64 64c0 18.75 8.25 35.38 21.12 47.13C192.3 223.2 207.7 210.2 225.8 201.8z", "M608 303.9C608 348.1 572.2 384 527.1 384h-16.32c.0137-5.684-.6602-11.38-2.727-16.88c-6.977-18.6-25.03-31.11-44.92-31.11h-7.197l19.33-45.09c8.871-20.71 2.334-44.44-15.89-57.71C451.9 227.2 442.2 224 431.1 224c-11.65 0-22.89 4.24-31.64 11.94l-127.9 111.9c-10.14 8.848-15.43 21.54-15.89 34.56C219.7 375.2 192 342.9 192 304c0-38.75 27.63-71 64.27-78.38c0-.5-.25-1.125-.25-1.625c0-53 43.01-96 96.03-96c32.13 0 60.27 15.88 77.77 40C440.2 163 451.8 160 464.1 160c39.26 0 71.65 28.25 78.52 65.5C579.9 232.3 608.1 264.6 608 303.9z"]],
    "cloud-check": [640, 512, [], "e35c", ["M144 480C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32C315.3 32 367 64.25 394.7 112.2C409.9 101.1 428.3 96 448 96C501 96 544 138.1 544 192C544 204.2 541.7 215.8 537.6 226.6C596 238.4 640 290.1 640 352C640 422.7 582.7 480 512 480H144zM435.8 243.8C446.7 232.9 446.7 215.1 435.8 204.2C424.9 193.3 407.1 193.3 396.2 204.2L288 312.4L243.8 268.2C232.9 257.3 215.1 257.3 204.2 268.2C193.3 279.1 193.3 296.9 204.2 307.8L268.2 371.8C279.1 382.7 296.9 382.7 307.8 371.8L435.8 243.8z", "M435.8 204.2C446.7 215.1 446.7 232.9 435.8 243.8L307.8 371.8C296.9 382.7 279.1 382.7 268.2 371.8L204.2 307.8C193.3 296.9 193.3 279.1 204.2 268.2C215.1 257.3 232.9 257.3 243.8 268.2L288 312.4L396.2 204.2C407.1 193.3 424.9 193.3 435.8 204.2z"]],
    "cloud-drizzle": [512, 512, [], "f738", ["M352 424c-13.25 0-24 10.75-24 24v40c0 13.25 10.75 24 24 24s24-10.75 24-24V448C376 434.8 365.3 424 352 424zM448 352c-13.25 0-24 10.75-24 24V416c0 13.25 10.75 24 24 24s24-10.75 24-24v-40C472 362.8 461.3 352 448 352zM160 424c-13.25 0-24 10.75-24 24v40C136 501.3 146.8 512 160 512s24-10.75 24-24V448C184 434.8 173.3 424 160 424zM64 352c-13.25 0-24 10.75-24 24V416c0 13.25 10.75 24 24 24S88 429.3 88 416v-40C88 362.8 77.25 352 64 352zM256 352c-13.25 0-24 10.75-24 24V416c0 13.25 10.75 24 24 24s24-10.75 24-24v-40C280 362.8 269.3 352 256 352z", "M416 128c-.625 0-1.125 .25-1.625 .25C415.5 123 416 117.6 416 112C416 67.75 380.3 32 336 32c-24.62 0-46.25 11.25-61 28.75C256.4 24.75 219.3 0 176 0C114.1 0 64 50.13 64 112c0 7.25 .75 14.25 2.125 21.25C27.75 145.8 0 181.5 0 224c0 53 43 96 96 96h320c53 0 96-43 96-96S469 128 416 128z"]],
    "cloud-exclamation": [640, 512, [], "e491", ["M144 480C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32C315.3 32 367 64.25 394.7 112.2C409.9 101.1 428.3 96 448 96C501 96 544 138.1 544 192C544 204.2 541.7 215.8 537.6 226.6C596 238.4 640 290.1 640 352C640 422.7 582.7 480 512 480H144zM296 184V296C296 309.3 306.7 320 320 320C333.3 320 344 309.3 344 296V184C344 170.7 333.3 160 320 160C306.7 160 296 170.7 296 184zM320 352C302.3 352 288 366.3 288 384C288 401.7 302.3 416 320 416C337.7 416 352 401.7 352 384C352 366.3 337.7 352 320 352z", "M344 296C344 309.3 333.3 320 320 320C306.7 320 296 309.3 296 296V184C296 170.7 306.7 160 320 160C333.3 160 344 170.7 344 184V296zM288 384C288 366.3 302.3 352 320 352C337.7 352 352 366.3 352 384C352 401.7 337.7 416 320 416C302.3 416 288 401.7 288 384z"]],
    "cloud-fog": [640, 512, [127787, "fog"], "f74e", ["M576 400C576 386.8 565.2 376 552 376h-528C10.8 376 0 386.8 0 399.1C0 413.2 10.8 424 23.1 424h528C565.2 424 576 413.2 576 400zM200 464H87.1C74.8 464 64 474.8 64 487.1S74.8 512 87.1 512H200C213.2 512 224 501.2 224 488S213.2 464 200 464zM616 464H295.1C282.8 464 272 474.8 272 487.1S282.8 512 295.1 512H616c13.2 0 24-10.8 24-23.1S629.2 464 616 464z", "M160 320h320c53 0 96-43 96-96s-43-96-96-96c-.625 0-1.125 .25-1.625 .25C479.5 123 480 117.6 480 112C480 67.75 444.2 32 400 32c-24.62 0-46.25 11.25-61 28.75C320.4 24.75 283.2 0 240 0C178.1 0 128 50.12 128 112c0 7.25 .75 14.25 2.125 21.25C91.75 145.8 64 181.5 64 224C64 277 107 320 160 320z"]],
    "cloud-hail": [512, 512, [], "f739", ["M384 352c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S401.8 352 384 352zM192 448c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S209.8 448 192 448zM320 448c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S337.8 448 320 448zM256 352c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S273.8 352 256 352zM64 448c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S81.75 448 64 448zM128 352c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S145.8 352 128 352z", "M512 224c0 53-43 96-96 96H96c-53 0-96-43-96-96c0-42.5 27.75-78.25 66.13-90.75C64.75 126.2 64 119.2 64 112C64 50.12 114.1 0 176 0c43.25 0 80.38 24.75 99 60.75C289.8 43.25 311.4 32 336 32C380.2 32 416 67.75 416 112c0 5.625-.5 11-1.625 16.25C414.9 128.2 415.4 128 416 128C469 128 512 171 512 224z"]],
    "cloud-hail-mixed": [512, 512, [], "f73a", ["M32 448c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S49.75 448 32 448zM256 448c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S273.8 448 256 448zM198.8 353.9c-12.17-5.219-26.3 .4062-31.52 12.59l-48 112c-5.219 12.19 .4219 26.31 12.61 31.53C134.1 511.4 138.2 512 141.3 512c9.312 0 18.17-5.438 22.08-14.53l48-112C216.6 373.3 210.1 359.2 198.8 353.9zM81.45 353.9c-12.19-5.219-26.3 .4062-31.52 12.59l-8 18.66c-5.219 12.19 .4219 26.31 12.61 31.53c3.078 1.312 6.281 1.938 9.438 1.938c9.312 0 18.17-5.438 22.08-14.53l8-18.66C99.28 373.3 93.64 359.2 81.45 353.9zM305.5 353.9c-12.19-5.219-26.3 .4062-31.52 12.59l-8 18.66c-5.219 12.19 .4219 26.31 12.61 31.53c3.078 1.312 6.281 1.938 9.438 1.938c9.312 0 18.17-5.438 22.08-14.53l8-18.66C323.3 373.3 317.6 359.2 305.5 353.9zM433.5 353.9c-12.16-5.219-26.28 .4062-31.52 12.59l-48 112c-5.219 12.19 .4219 26.31 12.61 31.53C369.6 511.4 372.8 512 375.1 512c9.312 0 18.17-5.438 22.08-14.53l48-112C451.3 373.3 445.6 359.2 433.5 353.9z", "M416 128c-.625 0-1.125 .25-1.625 .25C415.5 123 416 117.6 416 112C416 67.75 380.3 32 336 32c-24.62 0-46.25 11.25-61 28.75C256.4 24.75 219.3 0 176 0C114.1 0 64 50.13 64 112c0 7.25 .75 14.25 2.125 21.25C27.75 145.8 0 181.5 0 224c0 53 43 96 96 96h320c53 0 96-43 96-96S469 128 416 128z"]],
    "cloud-meatball": [576, 512, [], "f73b", ["M80 352C53.5 352 32 373.5 32 400S53.5 448 80 448S128 426.5 128 400S106.5 352 80 352zM496 352c-26.5 0-48 21.5-48 48s21.5 48 48 48s48-21.5 48-48S522.5 352 496 352zM377 363.1c4.625-14.5 1.625-30.88-9.75-42.37c-11.5-11.5-27.87-14.38-42.37-9.875c-7-13.5-20.63-23-36.88-23s-29.88 9.5-36.88 23C236.6 306.2 220.2 309.2 208.8 320.8c-11.5 11.5-14.38 27.87-9.875 42.37c-13.5 7-23 20.63-23 36.88s9.5 29.88 23 36.88c-4.625 14.5-1.625 30.88 9.875 42.37c8.25 8.125 19 12.25 29.75 12.25c4.25 0 8.5-1.125 12.62-2.5C258.1 502.5 271.8 512 288 512s29.88-9.5 36.88-23c4.125 1.25 8.375 2.5 12.62 2.5c10.75 0 21.5-4.125 29.75-12.25c11.5-11.5 14.38-27.87 9.75-42.37C390.5 429.9 400 416.2 400 400S390.5 370.1 377 363.1z", "M448 320h-43.38c-3.5-8-8.375-15.38-14.87-21.75c-13.5-13.5-31.5-21.12-50.75-21.37C325.5 263.8 307.2 256 288 256S250.5 263.8 237 276.9C217.8 277.1 199.8 284.8 186.2 298.2C179.8 304.6 175 312 171.4 320H128c-53 0-96-43-96-96c0-42.5 27.75-78.25 66.13-90.75C96.75 126.2 96 119.2 96 112C96 50.12 146.1 0 208 0c43.25 0 80.38 24.75 99 60.75C321.8 43.25 343.4 32 368 32C412.2 32 448 67.75 448 112c0 5.625-.5 10.1-1.625 16.25C446.9 128.3 447.4 128 448 128c53 0 96 43 96 96S501 320 448 320z"]],
    "cloud-minus": [640, 512, [], "e35d", ["M144 480C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32C315.3 32 367 64.25 394.7 112.2C409.9 101.1 428.3 96 448 96C501 96 544 138.1 544 192C544 204.2 541.7 215.8 537.6 226.6C596 238.4 640 290.1 640 352C640 422.7 582.7 480 512 480H144zM232 264C218.7 264 208 274.7 208 288C208 301.3 218.7 312 232 312H408C421.3 312 432 301.3 432 288C432 274.7 421.3 264 408 264H232z", "M208 288C208 274.7 218.7 264 232 264H408C421.3 264 432 274.7 432 288C432 301.3 421.3 312 408 312H232C218.7 312 208 301.3 208 288z"]],
    "cloud-moon": [576, 512, [], "f6c3", ["M565.2 298.4c-92.1 17.75-178.5-53.62-178.5-147.6c0-54.25 29-104 76.12-130.9c7.375-4.125 5.375-15.12-2.75-16.63C448.4 1.125 436.7 0 424.1 0c-105.9 0-191.9 85.88-191.9 192c0 8.5 .6251 16.75 1.75 25c5.875 4.25 11.62 8.875 16.75 14.25C262.1 226.5 275.2 224 287.1 224c52.87 0 95.1 43.13 95.1 96c0 3.625-.25 7.25-.625 10.75c23.62 10.75 42.37 29.5 53.5 52.5c54.37-3.375 103.7-29.25 137.1-70.37C579.2 306.4 573.5 296.8 565.2 298.4z", "M415.1 431.1C415.1 476.2 380.2 512 335.1 512H95.99c-52.1 0-95.1-43-95.1-96c0-41.88 27.13-77.25 64.62-90.25c-.125-2-.6279-3.687-.6279-5.687c0-53 43-96.06 96-96.06c36.25 0 67.37 20.25 83.75 49.88c11.5-11 27-17.87 44.25-17.87c35.25 0 63.1 28.75 63.1 64c0 12-3.5 23.13-9.25 32.75C383.7 356.2 415.1 390.1 415.1 431.1z"]],
    "cloud-moon-rain": [576, 512, [], "f73c", ["M567.9 223.8C497.6 237.1 432.9 183.5 432.9 113c0-40.63 21.88-78 57.5-98.13c5.501-3.125 4.077-11.37-2.173-12.5C479.6 .7538 470.8 0 461.8 0c-77.88 0-141.1 61.25-144.4 137.9c26.75 11.88 48.26 33.88 58.88 61.75c37.13 14.25 64.01 47.38 70.26 86.75c5.126 .5 10.05 1.522 15.3 1.522c44.63 0 85.46-20.15 112.5-53.27C578.6 229.8 574.2 222.6 567.9 223.8zM340.1 426.7l-32 48c-7.345 11.03-4.376 25.94 6.657 33.28C318.8 510.7 323.4 512 327.1 512c7.751 0 15.38-3.75 20-10.69l32-48c7.345-11.03 4.376-25.94-6.657-33.28C362.3 412.7 347.4 415.7 340.1 426.7zM244 426.7l-32 48c-7.345 11.03-4.376 25.94 6.657 33.28C222.8 510.7 227.4 512 231.1 512c7.751 0 15.38-3.75 20-10.69l32-48c7.345-11.03 4.376-25.94-6.657-33.28C266.3 412.7 251.4 415.7 244 426.7zM148 426.7l-32 48c-7.345 11.03-4.376 25.94 6.657 33.28C126.8 510.7 131.4 512 135.1 512c7.751 0 15.38-3.75 20-10.69l32-48c7.345-11.03 4.376-25.94-6.657-33.28C170.3 412.7 155.4 415.7 148 426.7zM52.03 426.7l-32 48c-7.345 11.03-4.376 25.94 6.657 33.28C30.78 510.7 35.41 512 39.97 512c7.751 0 15.38-3.75 20-10.69l32-48c7.345-11.03 4.376-25.94-6.657-33.28C74.25 412.7 59.41 415.7 52.03 426.7z", "M350.5 225.5c-6.876-37.25-39.25-65.5-78.51-65.5c-12.25 0-23.88 2.1-34.25 7.1C220.3 143.9 192.1 128 160 128c-53.01 0-96.01 42.1-96.01 95.1c0 .5 .25 1.125 .25 1.625C27.63 232.9 0 265.3 0 304c0 44.25 35.75 79.1 80.01 79.1h256c44.25 0 80.01-35.75 80.01-79.1C416 264.8 387.8 232.3 350.5 225.5z"]],
    "cloud-music": [640, 512, [], "f8ae", ["M144 480C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32C315.3 32 367 64.25 394.7 112.2C409.9 101.1 428.3 96 448 96C501 96 544 138.1 544 192C544 204.2 541.7 215.8 537.6 226.6C596 238.4 640 290.1 640 352C640 422.7 582.7 480 512 480H144zM416 207.1C416 184.7 393.7 169.3 372.8 177.1L276.8 213.1C264.3 217.8 256 229.7 256 243.1V330.3C250.1 328.8 245.6 328 240 328C213.5 328 192 345.9 192 368C192 390.1 213.5 408 240 408C266.5 408 288 390.1 288 368V275.1L384 239.1V298.3C378.1 296.8 373.6 296 368 296C341.5 296 320 313.9 320 336C320 358.1 341.5 376 368 376C394.5 376 416 358.1 416 336V207.1z", "M372.8 177.1C393.7 169.3 416 184.7 416 207.1V336C416 358.1 394.5 376 368 376C341.5 376 320 358.1 320 336C320 313.9 341.5 296 368 296C373.6 296 378.1 296.8 384 298.3V239.1L288 275.1V368C288 390.1 266.5 408 240 408C213.5 408 192 390.1 192 368C192 345.9 213.5 328 240 328C245.6 328 250.1 328.8 256 330.3V243.1C256 229.7 264.3 217.8 276.8 213.1L372.8 177.1z"]],
    "cloud-plus": [640, 512, [], "e35e", ["M144 480C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32C315.3 32 367 64.25 394.7 112.2C409.9 101.1 428.3 96 448 96C501 96 544 138.1 544 192C544 204.2 541.7 215.8 537.6 226.6C596 238.4 640 290.1 640 352C640 422.7 582.7 480 512 480H144zM320 400C333.3 400 344 389.3 344 376V312H408C421.3 312 432 301.3 432 288C432 274.7 421.3 264 408 264H344V200C344 186.7 333.3 176 320 176C306.7 176 296 186.7 296 200V264H232C218.7 264 208 274.7 208 288C208 301.3 218.7 312 232 312H296V376C296 389.3 306.7 400 320 400z", "M232 312C218.7 312 208 301.3 208 288C208 274.7 218.7 264 232 264H296V200C296 186.7 306.7 176 320 176C333.3 176 344 186.7 344 200V264H408C421.3 264 432 274.7 432 288C432 301.3 421.3 312 408 312H344V376C344 389.3 333.3 400 320 400C306.7 400 296 389.3 296 376V312H232z"]],
    "cloud-question": [640, 512, [], "e492", ["M144 480C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32C315.3 32 367 64.25 394.7 112.2C409.9 101.1 428.3 96 448 96C501 96 544 138.1 544 192C544 204.2 541.7 215.8 537.6 226.6C596 238.4 640 290.1 640 352C640 422.7 582.7 480 512 480H144zM233.4 198.5C228.9 211 235.5 224.7 247.1 229.2C260.5 233.6 274.2 227.1 278.6 214.6L279.1 213.3C280.2 210.1 283.2 208 286.6 208H344.9C353.2 208 360 214.8 360 223.1C360 228.6 357.1 233.6 352.4 236.3L308.1 261.7C300.6 266 296 273.9 296 282.5V296C296 309.3 306.7 320 320 320C333.1 320 343.8 309.5 343.1 296.4L376.3 277.9C395.9 266.7 408 245.8 408 223.1C408 188.3 379.7 160 344.9 160H286.6C262.9 160 241.8 174.9 233.8 197.3L233.4 198.5zM320 352C302.3 352 288 366.3 288 384C288 401.7 302.3 416 320 416C337.7 416 352 401.7 352 384C352 366.3 337.7 352 320 352z", "M344.9 160C379.7 160 408 188.3 408 223.1C408 245.8 395.9 266.7 376.3 277.9L343.1 296.4C343.8 309.5 333.1 320 320 320C306.7 320 296 309.3 296 296V282.5C296 273.9 300.6 266 308.1 261.7L352.4 236.3C357.1 233.6 360 228.6 360 223.1C360 214.8 353.2 208 344.9 208H286.6C283.2 208 280.2 210.1 279.1 213.3L278.6 214.6C274.2 227.1 260.5 233.6 247.1 229.2C235.5 224.7 228.9 211 233.4 198.5L233.8 197.3C241.8 174.9 262.9 160 286.6 160L344.9 160zM288 384C288 366.3 302.3 352 320 352C337.7 352 352 366.3 352 384C352 401.7 337.7 416 320 416C302.3 416 288 401.7 288 384z"]],
    "cloud-rain": [512, 512, [127783, 9926], "f73d", ["M368 464c0 26.51 21.49 48 48 48s48-21.49 48-48s-48.01-95.1-48.01-95.1S368 437.5 368 464zM48 464C48 490.5 69.49 512 96 512s48-21.49 48-48s-48.01-95.1-48.01-95.1S48 437.5 48 464zM208 464c0 26.51 21.49 48 48 48s48-21.49 48-48s-48.01-95.1-48.01-95.1S208 437.5 208 464z", "M416 128c-.625 0-1.125 .25-1.625 .25C415.5 123 416 117.6 416 112C416 67.75 380.3 32 336 32c-24.62 0-46.25 11.25-61 28.75C256.4 24.75 219.3 0 176 0C114.1 0 64 50.13 64 112c0 7.25 .75 14.25 2.125 21.25C27.75 145.8 0 181.5 0 224c0 53 43 96 96 96h320c53 0 96-43 96-96S469 128 416 128z"]],
    "cloud-rainbow": [576, 512, [], "f73e", ["M430.8 304.9c10 5.625 19 12.37 27 20.37C487.1 292.8 529 272 576 272v-64c-61 0-116.2 24.62-156.8 64.25C424.9 282.2 429 293.2 430.8 304.9zM238.6 173.6c21 5.875 40.38 16.5 56.62 31C359.6 119.4 461.2 64 576 64V0C437.1 0 314.2 68.75 238.6 173.6zM325.8 225.1C333.2 224.2 362.5 219.8 394.2 244C440.6 197.2 504.9 168 576 168v-64C474.8 104 384.4 151.4 325.8 225.1z", "M464 416c0 53-43 96-96 96H96c-53 0-96-43-96-96c0-50.63 39.25-91.63 88.88-95.25C88.75 317.8 88 315 88 312c0-61.88 50.12-112 112-112c45.38 0 84.25 27.12 101.9 66C311.8 259.8 323.4 256 336 256c35.25 0 64 28.75 64 64c0 1.875-.625 3.75-.75 5.625C436.8 338.6 464 374 464 416z"]],
    "cloud-showers": [512, 512, [], "f73f", ["M200 384c-13.25 0-24 10.75-24 24v80C176 501.3 186.8 512 200 512S224 501.3 224 488v-80C224 394.8 213.3 384 200 384zM104 352c-13.25 0-24 10.75-24 24v80C80 469.3 90.75 480 104 480S128 469.3 128 456v-80C128 362.8 117.3 352 104 352zM296 352c-13.25 0-24 10.75-24 24v80c0 13.25 10.75 24 24 24S320 469.3 320 456v-80C320 362.8 309.3 352 296 352zM392 384c-13.25 0-24 10.75-24 24v80c0 13.25 10.75 24 24 24S416 501.3 416 488v-80C416 394.8 405.3 384 392 384z", "M416 128c-.625 0-1.125 .25-1.625 .25C415.5 123 416 117.6 416 112C416 67.75 380.3 32 336 32c-24.62 0-46.25 11.25-61 28.75C256.4 24.75 219.3 0 176 0C114.1 0 64 50.13 64 112c0 7.25 .75 14.25 2.125 21.25C27.75 145.8 0 181.5 0 224c0 53 43 96 96 96h320c53 0 96-43 96-96S469 128 416 128z"]],
    "cloud-showers-heavy": [512, 512, [], "f740", ["M198.8 353.9c-12.17-5.219-26.3 .4062-31.52 12.59l-47.1 112c-5.219 12.19 .4219 26.31 12.61 31.53C134.1 511.4 138.2 512 141.3 512c9.312 0 18.17-5.438 22.08-14.53l47.1-112C216.6 373.3 210.1 359.2 198.8 353.9zM81.46 353.9c-12.19-5.219-26.3 .4062-31.52 12.59l-47.1 112C-3.276 490.7 2.365 504.8 14.55 510.1C17.63 511.4 20.83 512 23.99 512c9.312 0 18.17-5.438 22.08-14.53l47.1-112C99.29 373.3 93.64 359.2 81.46 353.9zM316.1 353.9c-12.19-5.219-26.3 .4062-31.52 12.59l-47.1 112c-5.219 12.19 .4219 26.31 12.61 31.53C252.3 511.4 255.5 512 258.7 512c9.312 0 18.17-5.438 22.08-14.53l47.1-112C333.1 373.3 328.3 359.2 316.1 353.9zM433.5 353.9c-12.17-5.219-26.28 .4062-31.52 12.59l-47.1 112c-5.219 12.19 .4219 26.31 12.61 31.53C369.6 511.4 372.8 512 375.1 512c9.312 0 18.17-5.438 22.08-14.53l47.1-112C451.3 373.3 445.6 359.2 433.5 353.9z", "M416 128c-.625 0-1.125 .25-1.625 .25C415.5 123 416 117.6 416 112c0-44.25-35.75-80-79.1-80c-24.62 0-46.25 11.25-60.1 28.75C256.4 24.75 219.3 0 176 0C114.3 0 64 50.13 64 112c0 7.25 .7512 14.25 2.126 21.25C27.76 145.8 .0054 181.5 .0054 224c0 53 42.1 96 95.1 96h319.1C469 320 512 277 512 224S469 128 416 128z"]],
    "cloud-showers-water": [576, 512, [], "e4e4", ["M132.3 259.4C143.7 266.2 147.4 280.1 140.6 292.4L92.58 372.4C85.76 383.7 71.02 387.4 59.65 380.6C48.29 373.8 44.6 359 51.42 347.7L99.42 267.7C106.2 256.3 120.1 252.6 132.3 259.4zM468.3 259.4C479.7 266.2 483.4 280.1 476.6 292.4L428.6 372.4C421.8 383.7 407 387.4 395.7 380.6C384.3 373.8 380.6 359 387.4 347.7L435.4 267.7C442.2 256.3 456.1 252.6 468.3 259.4zM204.6 372.4C197.8 383.7 183 387.4 171.7 380.6C160.3 373.8 156.6 359 163.4 347.7L211.4 267.7C218.2 256.3 232.1 252.6 244.3 259.4C255.7 266.2 259.4 280.1 252.6 292.4L204.6 372.4zM356.3 259.4C367.7 266.2 371.4 280.1 364.6 292.4L316.6 372.4C309.8 383.7 295 387.4 283.7 380.6C272.3 373.8 268.6 359 275.4 347.7L323.4 267.7C330.2 256.3 344.1 252.6 356.3 259.4zM384 448C410.9 448 439.4 437.2 461.4 421.9L461.5 421.9C473.4 413.4 489.5 414.1 500.7 423.6C515 435.5 533.2 444.6 551.3 448.8C568.5 452.9 579.2 470.1 575.2 487.3C571.2 504.5 553.1 515.2 536.7 511.2C512.2 505.5 491.9 494.6 478.5 486.2C449.5 501.7 417 512 384 512C352.1 512 323.4 502.2 303.6 493.1C297.7 490.5 292.5 487.8 288 485.4C283.5 487.8 278.3 490.5 272.4 493.1C252.6 502.2 223.9 512 192 512C158.1 512 126.5 501.7 97.5 486.2C84.12 494.6 63.79 505.5 39.27 511.2C22.06 515.2 4.853 504.5 .8422 487.3C-3.169 470.1 7.532 452.9 24.74 448.8C42.84 444.6 60.96 435.5 75.31 423.6C86.46 414.1 102.6 413.4 114.5 421.9L114.6 421.9C136.7 437.2 165.1 448 192 448C219.5 448 247 437.4 269.5 421.9C280.6 414 295.4 414 306.5 421.9C328.1 437.4 356.5 448 384 448H384z", "M368 32C406.7 32 438.1 59.48 446.4 96H448C483.3 96 512 124.7 512 160C512 195.3 483.3 224 448 224H128C92.65 224 64 195.3 64 160C64 124.7 92.65 96 128 96C128 42.98 170.1 0 224 0C262.6 0 295.9 22.82 311.2 55.7C325.7 41.07 345.8 32 368 32z"]],
    "cloud-slash": [640, 512, [], "e137", ["M138.6 83.31C167.8 51.75 209.6 32 255.1 32C315.3 32 367 64.25 394.7 112.2C409.9 101.1 428.3 96 448 96C501 96 544 138.1 544 192C544 204.2 541.7 215.8 537.6 226.6C596 238.4 640 290.1 640 352C640 388.6 624.6 421.6 599.1 444.1L138.6 83.31zM97.17 172.6L487.4 480H143.1C64.47 480-.001 415.5-.001 336C-.001 273.2 40.17 219.8 96.2 200.1C96.07 197.4 95.1 194.7 95.1 192C95.1 185.4 96.4 178.9 97.17 172.6V172.6z", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "cloud-sleet": [576, 512, [], "f741", ["M113.5 353.9c-12.19-5.219-26.3 .4062-31.52 12.59l-47.1 112C28.72 490.7 34.36 504.8 46.55 510.1C49.63 511.4 52.83 512 55.99 512c9.312 0 18.17-5.438 22.08-14.53l47.1-112C131.3 373.3 125.6 359.2 113.5 353.9zM385.5 353.9c-12.22-5.219-26.28 .4062-31.52 12.59l-47.1 112c-5.219 12.19 .4219 26.31 12.61 31.53C321.6 511.4 324.8 512 327.1 512c9.312 0 18.17-5.438 22.08-14.53l47.1-112C403.3 373.3 397.6 359.2 385.5 353.9zM520 392h-15.1v-16c0-13.25-10.75-24-23.1-24c-13.25 0-23.1 10.75-23.1 24v16h-15.1c-13.25 0-23.1 10.75-23.1 24s10.75 24 23.1 24h15.1v16c0 13.25 10.75 24 23.1 24c13.25 0 23.1-10.75 23.1-24v-16h15.1C533.3 440 544 429.3 544 416S533.3 392 520 392zM264 392H248v-16c0-13.25-10.75-24-23.1-24S200 362.8 200 376v16H184c-13.25 0-23.1 10.75-23.1 24s10.75 24 23.1 24H200v16c0 13.25 10.75 24 23.1 24s23.1-10.75 23.1-24v-16h15.1c13.25 0 23.1-10.75 23.1-24S277.3 392 264 392z", "M128 320h319.1C501 320 544 277 544 224s-42.1-96-95.1-96c-.625 0-1.125 .25-1.625 .25C447.5 123 448 117.6 448 112c0-44.25-35.75-80-79.1-80c-24.62 0-46.25 11.25-60.1 28.75C288.4 24.75 251.3 0 208 0C146.1 0 96 50.13 96 112c0 7.25 .7512 14.25 2.126 21.25C59.76 145.8 32.01 181.5 32.01 224C32.01 277 75.01 320 128 320z"]],
    "cloud-snow": [512, 512, [127784], "f742", ["M104 392h-16v-16C88 362.8 77.25 352 64 352s-24 10.75-24 24v16h-16C10.75 392 0 402.8 0 416s10.75 24 24 24h16v16C40 469.3 50.75 480 64 480s24-10.75 24-24v-16h16C117.3 440 128 429.3 128 416S117.3 392 104 392zM488 392h-16v-16c0-13.25-10.75-24-24-24s-24 10.75-24 24v16h-16C394.8 392 384 402.8 384 416s10.75 24 24 24h16v16c0 13.25 10.75 24 24 24s24-10.75 24-24v-16h16c13.25 0 24-10.75 24-24S501.3 392 488 392zM296 424h-16v-16c0-13.25-10.75-24-24-24s-24 10.75-24 24v16h-16C202.8 424 192 434.8 192 448s10.75 24 24 24h16v16C232 501.3 242.8 512 256 512s24-10.75 24-24v-16h16c13.25 0 24-10.75 24-24S309.3 424 296 424z", "M96 320h320c53 0 96-43 96-96s-43-96-96-96c-.625 0-1.125 .25-1.625 .25C415.5 123 416 117.6 416 112C416 67.75 380.3 32 336 32c-24.62 0-46.25 11.25-61 28.75C256.4 24.75 219.3 0 176 0C114.1 0 64 50.13 64 112c0 7.25 .75 14.25 2.125 21.25C27.75 145.8 0 181.5 0 224C0 277 43 320 96 320z"]],
    "cloud-sun": [640, 512, [9925], "f6c4", ["M144.7 303c-43.63-43.74-43.63-114.7 0-158.3c43.75-43.62 114.8-43.62 158.5 0c9.626 9.748 16.88 20.1 22.25 32.74c9.75-3.749 20.13-5.999 30.75-7.499l29.75-88.86c4-11.87-7.25-23.12-19.25-19.25L278.1 91.2L237.5 8.342c-5.5-11.12-21.5-11.12-27.13 0L168.1 91.2L81.1 61.83C69.22 57.96 57.97 69.21 61.85 81.08l29.38 87.73L8.344 210.3c-11.13 5.624-11.13 21.5 0 27.12l82.88 41.37l-29.38 87.86c-4 11.87 7.375 22.1 19.25 19.12l76.13-25.25c6-12.37 14-23.75 23.5-33.49C167.7 321.7 155.4 313.7 144.7 303zM139.1 223.8c0 40.87 29.25 74.86 67.88 82.36c8-4.749 16.38-8.873 25.25-11.75C238.5 250.2 264.1 211.9 300.5 189.4C287.2 160.3 257.1 139.9 223.1 139.9C177.7 139.9 139.1 177.6 139.1 223.8z", "M639.1 416C639.1 468.1 596.1 512 543.1 512H271.1c-53 0-96-43-96-95.99c0-50.62 39.25-91.62 88.88-95.37C264.7 317.8 263.1 315 263.1 312c0-61.86 50.25-111.1 112-111.1c45.38 0 84.25 27.13 101.9 65.1c9.876-6.249 21.5-9.999 34.13-9.999c35.25 0 63.1 28.63 63.1 64c0 1.875-.6203 3.619-.7453 5.619C612.7 338.6 639.1 373.9 639.1 416z"]],
    "cloud-sun-rain": [640, 512, [127782], "f743", ["M255.7 139.1C244.8 125.5 227.6 116 208 116c-33.14 0-60 26.86-60 59.1c0 25.56 16.06 47.24 38.58 55.88C197.2 219.3 210.5 208.9 225.9 201.1C229.1 178.5 240.6 157.3 255.7 139.1zM264 415.1c-7.756 0-15.35 3.752-19.97 10.69l-32 48c-2.73 4.093-4.037 8.719-4.037 13.29C208 501.4 218.9 512 231.1 512c7.75 0 15.36-3.75 19.98-10.69l32-48c2.73-4.093 4.037-8.719 4.037-13.29C288 426.6 277.1 415.1 264 415.1zM120 175.1c0-48.6 39.4-87.1 88-87.1c27.8 0 52.29 13.14 68.42 33.27c21.24-15.67 47.21-25.3 75.58-25.3c.0098 0-.0098 0 0 0L300.4 83.58L286.9 8.637C285.9 3.346 281.3 .0003 276.5 .0003c-2.027 0-4.096 .5928-5.955 1.881l-62.57 43.42L145.4 1.882C143.6 .5925 141.5-.0003 139.5-.0003c-4.817 0-9.399 3.346-10.35 8.636l-13.54 74.95L40.64 97.13C35.35 98.08 31.1 102.7 31.1 107.5c0 2.026 .5922 4.094 1.881 5.951l43.41 62.57L33.88 238.6C32.59 240.4 32 242.5 32 244.5c0 4.817 3.347 9.398 8.636 10.35l74.95 13.54l13.54 74.95c.9555 5.289 5.537 8.636 10.35 8.636c2.027 0 4.096-.5927 5.954-1.882l19.47-13.51c-3.16-10.34-4.934-21.28-4.934-32.64c0-17.17 4.032-33.57 11.14-48.32C141 241.7 120 211.4 120 175.1zM576 440c0-13.39-10.89-24.02-24-24.02c-7.753 0-15.35 3.752-19.97 10.69l-32 48c-2.73 4.093-4.037 8.719-4.037 13.29C496 501.4 506.9 512 520 512c7.75 0 15.36-3.75 19.98-10.69l32-48C574.7 449.2 576 444.6 576 440zM360 415.1c-7.753 0-15.34 3.752-19.97 10.69l-32 48c-2.73 4.093-4.037 8.719-4.037 13.29C304 501.4 314.9 512 327.1 512c7.75 0 15.36-3.75 19.99-10.69l32-48c2.73-4.093 4.037-8.719 4.037-13.29C384 426.6 373.1 415.1 360 415.1zM456 415.1c-7.751 0-15.34 3.752-19.98 10.69l-32 48c-2.73 4.093-4.037 8.719-4.037 13.29C400 501.4 410.9 512 423.1 512c7.75 0 15.36-3.75 19.98-10.69l32-48c2.731-4.093 4.037-8.719 4.037-13.29C480 426.6 469.1 415.1 456 415.1z", "M542.5 225.5c-6.875-37.25-39.25-65.5-78.51-65.5c-12.25 0-23.88 3-34.25 8c-17.5-24.13-45.63-40-77.76-40c-53 0-96.01 43-96.01 96c0 .5 .25 1.125 .25 1.625C219.6 232.1 191.1 265.2 191.1 303.1c0 44.25 35.75 80 80.01 80h256C572.2 383.1 608 348.2 608 303.1C608 264.7 579.7 232.2 542.5 225.5z"]],
    "cloud-word": [640, 512, [], "e138", ["M96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32C315.3 32 367 64.25 394.7 112.2C409.9 101.1 428.3 96 448 96C501 96 544 138.1 544 192C544 204.2 541.7 215.8 537.6 226.6C596 238.4 640 290.1 640 352C640 422.7 582.7 480 512 480H144C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1zM512 368C512 359.2 504.8 352 496 352H304C295.2 352 288 359.2 288 368C288 376.8 295.2 384 304 384H496C504.8 384 512 376.8 512 368zM144 352C135.2 352 128 359.2 128 368C128 376.8 135.2 384 144 384H240C248.8 384 256 376.8 256 368C256 359.2 248.8 352 240 352H144zM144 320H336C344.8 320 352 312.8 352 304C352 295.2 344.8 288 336 288H144C135.2 288 128 295.2 128 304C128 312.8 135.2 320 144 320zM400 288C391.2 288 384 295.2 384 304C384 312.8 391.2 320 400 320H496C504.8 320 512 312.8 512 304C512 295.2 504.8 288 496 288H400z", "M128 304C128 295.2 135.2 288 144 288H336C344.8 288 352 295.2 352 304C352 312.8 344.8 320 336 320H144C135.2 320 128 312.8 128 304zM240 352C248.8 352 256 359.2 256 368C256 376.8 248.8 384 240 384H144C135.2 384 128 376.8 128 368C128 359.2 135.2 352 144 352H240zM496 352C504.8 352 512 359.2 512 368C512 376.8 504.8 384 496 384H304C295.2 384 288 376.8 288 368C288 359.2 295.2 352 304 352H496zM496 288C504.8 288 512 295.2 512 304C512 312.8 504.8 320 496 320H400C391.2 320 384 312.8 384 304C384 295.2 391.2 288 400 288H496z"]],
    "cloud-xmark": [640, 512, [], "e35f", ["M144 480C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32C315.3 32 367 64.25 394.7 112.2C409.9 101.1 428.3 96 448 96C501 96 544 138.1 544 192C544 204.2 541.7 215.8 537.6 226.6C596 238.4 640 290.1 640 352C640 422.7 582.7 480 512 480H144zM239 240.1L286.1 287.1L239 335C229.7 344.4 229.7 359.6 239 368.1C248.4 378.3 263.6 378.3 272.1 368.1L319.1 321.9L367 368.1C376.4 378.3 391.6 378.3 400.1 368.1C410.3 359.6 410.3 344.4 400.1 335L353.9 287.1L400.1 240.1C410.3 231.6 410.3 216.4 400.1 207C391.6 197.7 376.4 197.7 367 207L319.1 254.1L272.1 207C263.6 197.7 248.4 197.7 239 207C229.7 216.4 229.7 231.6 239 240.1V240.1z", "M319.1 254.1L367 207C376.4 197.7 391.6 197.7 400.1 207C410.3 216.4 410.3 231.6 400.1 240.1L353.9 287.1L400.1 335C410.3 344.4 410.3 359.6 400.1 368.1C391.6 378.3 376.4 378.3 367 368.1L319.1 321.9L272.1 368.1C263.6 378.3 248.4 378.3 239 368.1C229.7 359.6 229.7 344.4 239 335L286.1 287.1L239 240.1C229.7 231.6 229.7 216.4 239 207C248.4 197.7 263.6 197.7 272.1 207L319.1 254.1z"]],
    "clouds": [640, 512, [], "f744", ["M304 160c40.75 0 78.63 17.25 105.4 46.5c9.875-5.625 20.5-9.375 31.62-11.75C445.2 183.9 448 172.4 448 160c0-53-43-96-96-96c-14.12 0-27.38 3.25-39.5 8.75C296.6 30.25 256 0 208 0C151.6 0 105.2 41.88 97.62 96.25C97.12 96.25 96.62 96 96 96C43 96 0 139 0 192s43 96 96 96h65.62C169.8 216.2 230.1 160 304 160z", "M640 416c0 53-43 96-96 96H224c-53 0-96-43-96-96c0-42.5 27.75-78.25 66.12-90.75C192.8 318.2 192 311.2 192 304C192 242.1 242.1 192 304 192c43.25 0 80.38 24.88 99 60.75C417.8 235.2 439.4 224 464 224C508.2 224 544 259.8 544 304c0 5.625-.5 11-1.625 16.25C542.9 320.2 543.4 320 544 320C597 320 640 363 640 416z"]],
    "clouds-moon": [640, 512, [], "f745", ["M630.1 248.7C552.7 263.5 481 204 481 125.6c0-45.12 24.25-86.62 63.88-109c6.125-3.375 4.625-12.62-2.375-13.87C532.9 .875 523 0 513.1 0c-88.88 0-161.1 71.62-161.1 160c0 .75 .25 1.25 .25 2c16.25 16.75 27 38.75 30.25 63.12c38.5 5.125 71.75 29.88 87.63 64.75c23.13 4 44 14.37 61.13 29.12c42.5-4.75 80.63-25.1 107-58.25C642.8 255.3 637.9 247.3 630.1 248.7z", "M448 320h-1.625c-7.375-36.5-39.67-63.99-78.43-63.99c-24.63 0-46.2 11.24-60.95 28.74C288.4 248.9 251.3 224 208 224c-58.25 0-105.6 44.75-110.9 101.6C59.25 338.5 32 373.9 32 416c0 53 42.1 96 96 96h320c53 0 96-43 96-96S501 320 448 320zM68.25 303.3C83.25 238.6 140.3 192 208 192c40.75 0 78.63 17.25 105.4 46.5C324.9 232 337.5 227.7 350.5 225.6C343.8 188.2 311.3 160 272 160H254.4C247 123.5 214.8 96 176 96S105 123.5 97.63 160H80C35.75 160 0 195.8 0 240c0 33.88 21.25 62.71 51 74.34C56.5 310.3 62.25 306.4 68.25 303.3z"]],
    "clouds-sun": [640, 512, [], "f746", ["M207.1 128c-44.18 0-79.1 35.81-79.1 79.1c0 20.81 8.139 39.59 21.16 53.83C173.1 221.5 215.8 194.5 265.1 192.1l10.28-15.07c1.148-1.684 2.715-2.938 3.943-4.545C266.2 146.2 239.4 128 207.1 128zM317.2 98.78L301.2 10.21C299.6 1.325 289.3-2.919 281.9 2.226l-73.94 51.31l-73.94-51.32c-7.413-5.145-17.67-.8988-19.27 7.983l-16.01 88.58L10.21 114.8C1.327 116.4-2.921 126.6 2.223 134.1l51.3 73.94l-51.3 73.94c-5.144 7.415-.8969 17.67 7.983 19.27l99.58 17.56c6.977-5.862 14.43-11.22 22.66-15.55C133.3 299.7 134.6 296.4 135.7 292.9C111.6 272.4 95.1 242.2 95.1 208c0-61.86 50.14-111.1 111.1-111.1c40.38 0 75.47 21.57 95.17 53.63c17.41-12.51 37.81-20.52 59.66-21.54c3.218-6.789 7.303-13.02 11.75-18.95L317.2 98.78z", "M512 319.1h-1.625c-7.374-36.5-39.63-64-78.37-64c-24.62 0-46.25 11.25-60.1 28.75c-18.62-35.88-55.75-60.75-98.1-60.75c-58.24 0-105.6 44.75-110.9 101.6c-37.87 12.88-65.12 48.25-65.12 90.38c0 53 43 96 95.1 96h319.1c52.99 0 95.1-42.1 95.1-96S565 319.1 512 319.1zM560.1 159.1h-17.62c-7.374-36.5-39.62-64-78.37-64s-70.1 27.5-78.37 64h-17.62c-27.62 0-51.75 13.87-66.25 35.13c29.12 6.125 55.5 21.25 75.62 43.25c16.5-9.376 35.37-14.5 54.62-14.5c44.62 0 84.25 26.62 102.1 65.88c20.5 3.625 39.12 12.38 54.1 24.5c29.75-11.75 50.86-40.41 50.86-74.29C640 195.8 604.3 159.1 560.1 159.1z"]],
    "clover": [448, 512, [], "e139", ["M216.6 49.94L223.1 57.37L231.4 49.94C242.9 38.45 258.5 32 274.7 32C308.6 32 336 59.42 336 93.25V98.12C336 110.1 332.7 121.9 326.6 132.1L294.6 185.4L347.9 153.4C358.1 147.3 369.9 144 381.9 144H386.7C420.6 144 448 171.4 448 205.3C448 221.5 441.5 237.1 430.1 248.6L422.6 255.1L430.1 263.4C441.5 274.9 448 290.5 448 306.7C448 340.6 420.6 368 386.7 368H381.9C369.9 368 358.1 364.7 347.9 358.6L294.6 326.6L326.6 379.9C332.7 390.1 336 401.9 336 413.9V418.7C336 452.6 308.6 480 274.7 480C258.5 480 242.9 473.5 231.4 462.1L223.1 454.6L216.6 462.1C205.1 473.5 189.5 480 173.3 480C139.4 480 112 452.6 112 418.7V413.9C112 401.9 115.3 390.1 121.4 379.9L153.4 326.6L100.1 358.6C89.86 364.7 78.1 368 66.12 368H61.25C27.42 368 0 340.6 0 306.7C0 290.5 6.454 274.9 17.94 263.4L25.37 255.1L17.94 248.6C6.454 237.1 0 221.5 0 205.3C0 171.4 27.42 144 61.25 144H66.12C78.1 144 89.86 147.3 100.1 153.4L153.4 185.4L121.4 132.1C115.3 121.9 112 110.1 112 98.12V93.25C112 59.42 139.4 32 173.3 32C189.5 32 205.1 38.45 216.6 49.94z", ""]],
    "club": [512, 512, [9827], "f327", ["M288 372.7V256C288 238.3 273.7 224 256 224C238.3 224 224 238.3 224 256V372.7C200.5 399.2 166.2 416 128 416C57.31 416 0 358.7 0 288C0 217.3 57.31 160 128 160C129.4 160 130.7 160 132 160.1C129.4 149.8 128 139.1 128 128C128 57.31 185.3 0 256 0C326.7 0 384 57.31 384 128C384 139.1 382.6 149.8 379.1 160.1C381.3 160 382.6 160 384 160C454.7 160 512 217.3 512 288C512 358.7 454.7 416 384 416C345.8 416 311.5 399.2 288 372.7z", "M256 224C273.7 224 288 238.3 288 256V448H320C337.7 448 352 462.3 352 480C352 497.7 337.7 512 320 512H192C174.3 512 160 497.7 160 480C160 462.3 174.3 448 192 448H224V256C224 238.3 238.3 224 256 224z"]],
    "coconut": [512, 512, [], "e2f6", ["M305.1 78.16c4.919 0 8.695 1.047 10.61 2.926c13.57 13.33-12.93 80.56-83.77 151.5C172.9 292.5 117.7 319.9 91.54 320c-4.925 0-8.713-1.052-10.6-2.901c-13.58-13.35 12.92-80.6 83.8-151.5C224.6 105.7 279.8 78.27 305.1 78.16z", "M436.9 66.84l-40.03-39.76C339.2-30.23 209.7 6.4 107.7 108.9s-137.9 232.1-80.17 289.4l40.03 39.76c99.72 99.04 260.9 98.56 360-1.076l10.34-10.39C537.1 326.9 536.6 165.9 436.9 66.84zM91.88 355.2c-17.22 0-27.84-6.656-33.5-12.25C21.09 305.9 72.27 214.9 142.1 144.2c58.66-59.39 123-97.89 163.1-98.08c17.22 0 27.84 6.656 33.5 12.25c37.28 37.05-13.91 128-83.72 198.7C197.2 316.5 132.8 355 91.88 355.2zM259.3 451.3C256.2 454.4 252.1 456 248 456s-8.188-1.562-11.31-4.688l-32-32c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0l32 32C265.6 434.9 265.6 445.1 259.3 451.3zM395.3 395.3C392.2 398.4 388.1 400 384 400s-8.188-1.562-11.31-4.688l-32-32c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0l32 32C401.6 378.9 401.6 389.1 395.3 395.3zM440 264c-4.094 0-8.188-1.562-11.31-4.688l-32-32c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0l32 32c6.25 6.25 6.25 16.38 0 22.62C448.2 262.4 444.1 264 440 264z"]],
    "code": [640, 512, [], "f121", ["M414.8 40.79L286.8 488.8C281.9 505.8 264.2 515.6 247.2 510.8C230.2 505.9 220.4 488.2 225.2 471.2L353.2 23.21C358.1 6.216 375.8-3.624 392.8 1.232C409.8 6.087 419.6 23.8 414.8 40.79z", "M518.6 121.4L630.6 233.4C643.1 245.9 643.1 266.1 630.6 278.6L518.6 390.6C506.1 403.1 485.9 403.1 473.4 390.6C460.9 378.1 460.9 357.9 473.4 345.4L562.7 256L473.4 166.6C460.9 154.1 460.9 133.9 473.4 121.4C485.9 108.9 506.1 108.9 518.6 121.4V121.4zM166.6 166.6L77.25 256L166.6 345.4C179.1 357.9 179.1 378.1 166.6 390.6C154.1 403.1 133.9 403.1 121.4 390.6L9.372 278.6C-3.124 266.1-3.124 245.9 9.372 233.4L121.4 121.4C133.9 108.9 154.1 108.9 166.6 121.4C179.1 133.9 179.1 154.1 166.6 166.6V166.6z"]],
    "code-branch": [448, 512, [], "f126", ["M112 241.1C130.8 230.2 152.7 224 176 224H272C307.3 224 336 195.3 336 160V153.3C345.8 157.6 356.6 160 368 160C379.4 160 390.2 157.6 400 153.3V160C400 230.7 342.7 288 272 288H176C140.7 288 112 316.7 112 352V358.7C102.2 354.4 91.38 352 80 352C68.62 352 57.8 354.4 48 358.7V153.3C57.8 157.6 68.62 160 80 160C91.38 160 102.2 157.6 112 153.3V241.1z", "M0 80C0 35.82 35.82 0 80 0C124.2 0 160 35.82 160 80C160 124.2 124.2 160 80 160C35.82 160 0 124.2 0 80zM80 104C93.25 104 104 93.25 104 80C104 66.75 93.25 56 80 56C66.75 56 56 66.75 56 80C56 93.25 66.75 104 80 104zM288 80C288 35.82 323.8 0 368 0C412.2 0 448 35.82 448 80C448 124.2 412.2 160 368 160C323.8 160 288 124.2 288 80zM368 104C381.3 104 392 93.25 392 80C392 66.75 381.3 56 368 56C354.7 56 344 66.75 344 80C344 93.25 354.7 104 368 104zM160 432C160 476.2 124.2 512 80 512C35.82 512 0 476.2 0 432C0 387.8 35.82 352 80 352C124.2 352 160 387.8 160 432zM80 408C66.75 408 56 418.7 56 432C56 445.3 66.75 456 80 456C93.25 456 104 445.3 104 432C104 418.7 93.25 408 80 408z"]],
    "code-commit": [640, 512, [], "f386", ["M476.8 288C478.9 277.7 480 266.1 480 256C480 245 478.9 234.3 476.8 224H608C625.7 224 640 238.3 640 256C640 273.7 625.7 288 608 288H476.8zM163.2 288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H163.2C161.1 234.3 160 245 160 256C160 266.1 161.1 277.7 163.2 288z", "M160 256C160 167.6 231.6 96 320 96C408.4 96 480 167.6 480 256C480 344.4 408.4 416 320 416C231.6 416 160 344.4 160 256zM320 336C364.2 336 400 300.2 400 256C400 211.8 364.2 176 320 176C275.8 176 240 211.8 240 256C240 300.2 275.8 336 320 336z"]],
    "code-compare": [512, 512, [], "e13a", ["M232.1 6.162L312.1 78.16C317.1 82.71 320 89.2 320 96C320 102.8 317.1 109.3 312.1 113.8L232.1 185.8C225 192.2 214.9 193.8 206.2 189.9C197.6 186.1 192 177.5 192 168V128H176C140.7 128 112 156.7 112 192V358.7C102.2 354.4 91.38 352 80 352C68.62 352 57.8 354.4 48 358.7V192C48 121.3 105.3 64 176 64H192V24C192 14.52 197.6 5.932 206.2 2.076C214.9-1.78 225-.1789 232.1 6.161V6.162zM320 488C320 497.5 314.4 506.1 305.8 509.9C297.1 513.8 286.1 512.2 279.9 505.8L199.9 433.8C194.9 429.3 192 422.8 192 416C192 409.2 194.9 402.7 199.9 398.2L279.9 326.2C286.1 319.8 297.1 318.2 305.8 322.1C314.4 325.9 320 334.5 320 344V384H336C371.3 384 400 355.3 400 320V153.3C409.8 157.6 420.6 160 432 160C443.4 160 454.2 157.6 464 153.3V320C464 390.7 406.7 448 336 448H320V488z", "M432 160C387.8 160 352 124.2 352 80C352 35.82 387.8 0 432 0C476.2 0 512 35.82 512 80C512 124.2 476.2 160 432 160zM456 80C456 66.75 445.3 56 432 56C418.7 56 408 66.75 408 80C408 93.25 418.7 104 432 104C445.3 104 456 93.25 456 80zM80 352C124.2 352 160 387.8 160 432C160 476.2 124.2 512 80 512C35.82 512 0 476.2 0 432C0 387.8 35.82 352 80 352zM56 432C56 445.3 66.75 456 80 456C93.25 456 104 445.3 104 432C104 418.7 93.25 408 80 408C66.75 408 56 418.7 56 432z"]],
    "code-fork": [448, 512, [], "e13b", ["M112 192C112 209.7 126.3 224 144 224H304C321.7 224 336 209.7 336 192V153.3C345.8 157.6 356.6 160 368 160C379.4 160 390.2 157.6 400 153.3V192C400 245 357 288 304 288H256V358.7C246.2 354.4 235.4 352 224 352C212.6 352 201.8 354.4 192 358.7V288H144C90.98 288 48 245 48 192V153.3C57.8 157.6 68.62 160 80 160C91.38 160 102.2 157.6 112 153.3V192z", "M0 80C0 35.82 35.82 0 80 0C124.2 0 160 35.82 160 80C160 124.2 124.2 160 80 160C35.82 160 0 124.2 0 80zM80 104C93.25 104 104 93.25 104 80C104 66.75 93.25 56 80 56C66.75 56 56 66.75 56 80C56 93.25 66.75 104 80 104zM288 80C288 35.82 323.8 0 368 0C412.2 0 448 35.82 448 80C448 124.2 412.2 160 368 160C323.8 160 288 124.2 288 80zM368 104C381.3 104 392 93.25 392 80C392 66.75 381.3 56 368 56C354.7 56 344 66.75 344 80C344 93.25 354.7 104 368 104zM304 432C304 476.2 268.2 512 224 512C179.8 512 144 476.2 144 432C144 387.8 179.8 352 224 352C268.2 352 304 387.8 304 432zM224 408C210.7 408 200 418.7 200 432C200 445.3 210.7 456 224 456C237.3 456 248 445.3 248 432C248 418.7 237.3 408 224 408z"]],
    "code-merge": [448, 512, [], "f387", ["M208 240H294.7C290.4 249.8 288 260.6 288 272C288 283.4 290.4 294.2 294.7 304H208C171.1 304 138.7 292.1 112 272V358.7C102.2 354.4 91.38 352 80 352C68.62 352 57.8 354.4 48 358.7V153.3C57.8 157.6 68.62 160 80 160C91.54 160 102.5 157.6 112.4 153.2C117 201.9 158.1 240 208 240V240z", "M0 80C0 35.82 35.82 0 80 0C124.2 0 160 35.82 160 80C160 124.2 124.2 160 80 160C35.82 160 0 124.2 0 80zM80 104C93.25 104 104 93.25 104 80C104 66.75 93.25 56 80 56C66.75 56 56 66.75 56 80C56 93.25 66.75 104 80 104zM0 432C0 387.8 35.82 352 80 352C124.2 352 160 387.8 160 432C160 476.2 124.2 512 80 512C35.82 512 0 476.2 0 432zM80 456C93.25 456 104 445.3 104 432C104 418.7 93.25 408 80 408C66.75 408 56 418.7 56 432C56 445.3 66.75 456 80 456zM448 272C448 316.2 412.2 352 368 352C323.8 352 288 316.2 288 272C288 227.8 323.8 192 368 192C412.2 192 448 227.8 448 272zM368 248C354.7 248 344 258.7 344 272C344 285.3 354.7 296 368 296C381.3 296 392 285.3 392 272C392 258.7 381.3 248 368 248z"]],
    "code-pull-request": [512, 512, [], "e13c", ["M320 64H336C406.7 64 464 121.3 464 192V358.7C454.2 354.4 443.4 352 432 352C420.6 352 409.8 354.4 400 358.7V192C400 156.7 371.3 128 336 128H320V168C320 177.5 314.4 186.1 305.8 189.9C297.1 193.8 286.1 192.2 279.9 185.8L199.9 113.8C194.9 109.3 192 102.8 192 96C192 89.2 194.9 82.71 199.9 78.16L279.9 6.161C286.1-.1791 297.1-1.779 305.8 2.077C314.4 5.933 320 14.52 320 24V64zM48 153.3C57.8 157.6 68.62 160 80 160C91.38 160 102.2 157.6 112 153.3V358.7C102.2 354.4 91.38 352 80 352C68.62 352 57.8 354.4 48 358.7V153.3z", "M0 80C0 35.82 35.82 0 80 0C124.2 0 160 35.82 160 80C160 124.2 124.2 160 80 160C35.82 160 0 124.2 0 80zM80 104C93.25 104 104 93.25 104 80C104 66.75 93.25 56 80 56C66.75 56 56 66.75 56 80C56 93.25 66.75 104 80 104zM0 432C0 387.8 35.82 352 80 352C124.2 352 160 387.8 160 432C160 476.2 124.2 512 80 512C35.82 512 0 476.2 0 432zM80 456C93.25 456 104 445.3 104 432C104 418.7 93.25 408 80 408C66.75 408 56 418.7 56 432C56 445.3 66.75 456 80 456zM512 432C512 476.2 476.2 512 432 512C387.8 512 352 476.2 352 432C352 387.8 387.8 352 432 352C476.2 352 512 387.8 512 432zM432 408C418.7 408 408 418.7 408 432C408 445.3 418.7 456 432 456C445.3 456 456 445.3 456 432C456 418.7 445.3 408 432 408z"]],
    "code-pull-request-closed": [448, 512, [], "e3f9", ["M112 358.7C102.2 354.4 91.38 352 80 352C68.62 352 57.8 354.4 48 358.7V153.3C57.8 157.6 68.62 160 80 160C91.38 160 102.2 157.6 112 153.3V358.7zM368 192C385.7 192 400 206.3 400 224V358.7C390.2 354.4 379.4 352 368 352C356.6 352 345.8 354.4 336 358.7V224C336 206.3 350.3 192 368 192V192z", "M297.4 9.372C309.9-3.124 330.1-3.124 342.6 9.372L368 34.74L393.4 9.372C405.9-3.124 426.1-3.124 438.6 9.372C451.1 21.87 451.1 42.13 438.6 54.63L413.3 79.1L438.6 105.4C451.1 117.9 451.1 138.1 438.6 150.6C426.1 163.1 405.9 163.1 393.4 150.6L368 125.3L342.6 150.6C330.1 163.1 309.9 163.1 297.4 150.6C284.9 138.1 284.9 117.9 297.4 105.4L322.7 79.1L297.4 54.63C284.9 42.13 284.9 21.87 297.4 9.372V9.372zM160 80C160 124.2 124.2 160 80 160C35.82 160 0 124.2 0 80C0 35.82 35.82 0 80 0C124.2 0 160 35.82 160 80zM80 56C66.75 56 56 66.75 56 80C56 93.25 66.75 104 80 104C93.25 104 104 93.25 104 80C104 66.75 93.25 56 80 56zM0 432C0 387.8 35.82 352 80 352C124.2 352 160 387.8 160 432C160 476.2 124.2 512 80 512C35.82 512 0 476.2 0 432zM80 456C93.25 456 104 445.3 104 432C104 418.7 93.25 408 80 408C66.75 408 56 418.7 56 432C56 445.3 66.75 456 80 456zM288 432C288 387.8 323.8 352 368 352C412.2 352 448 387.8 448 432C448 476.2 412.2 512 368 512C323.8 512 288 476.2 288 432zM368 456C381.3 456 392 445.3 392 432C392 418.7 381.3 408 368 408C354.7 408 344 418.7 344 432C344 445.3 354.7 456 368 456z"]],
    "code-pull-request-draft": [448, 512, [], "e3fa", ["M416 80C416 106.5 394.5 128 368 128C341.5 128 320 106.5 320 80C320 53.49 341.5 32 368 32C394.5 32 416 53.49 416 80zM112 358.7C102.2 354.4 91.38 352 80 352C68.62 352 57.8 354.4 48 358.7V153.3C57.8 157.6 68.62 160 80 160C91.38 160 102.2 157.6 112 153.3V358.7zM320 240C320 213.5 341.5 192 368 192C394.5 192 416 213.5 416 240C416 266.5 394.5 288 368 288C341.5 288 320 266.5 320 240z", "M0 80C0 35.82 35.82 0 80 0C124.2 0 160 35.82 160 80C160 124.2 124.2 160 80 160C35.82 160 0 124.2 0 80zM80 104C93.25 104 104 93.25 104 80C104 66.75 93.25 56 80 56C66.75 56 56 66.75 56 80C56 93.25 66.75 104 80 104zM0 432C0 387.8 35.82 352 80 352C124.2 352 160 387.8 160 432C160 476.2 124.2 512 80 512C35.82 512 0 476.2 0 432zM80 456C93.25 456 104 445.3 104 432C104 418.7 93.25 408 80 408C66.75 408 56 418.7 56 432C56 445.3 66.75 456 80 456zM448 432C448 476.2 412.2 512 368 512C323.8 512 288 476.2 288 432C288 387.8 323.8 352 368 352C412.2 352 448 387.8 448 432zM368 408C354.7 408 344 418.7 344 432C344 445.3 354.7 456 368 456C381.3 456 392 445.3 392 432C392 418.7 381.3 408 368 408z"]],
    "code-simple": [576, 512, [], "e13d", ["M406.6 73.37L566.6 233.4C579.1 245.9 579.1 266.1 566.6 278.6L406.6 438.6C394.1 451.1 373.9 451.1 361.4 438.6C348.9 426.1 348.9 405.9 361.4 393.4L498.7 255.1L361.4 118.6C348.9 106.1 348.9 85.87 361.4 73.37C373.9 60.88 394.1 60.88 406.6 73.37V73.37z", "M214.6 73.37C227.1 85.87 227.1 106.1 214.6 118.6L77.25 256L214.6 393.4C227.1 405.9 227.1 426.1 214.6 438.6C202.1 451.1 181.9 451.1 169.4 438.6L9.372 278.6C-3.124 266.1-3.124 245.9 9.372 233.4L169.4 73.37C181.9 60.88 202.1 60.88 214.6 73.37V73.37z"]],
    "coffee-bean": [448, 512, [], "e13e", ["M354.5 387.3c-73.53 73.62-176.3 116.2-259.7 79.04c-16.95-7.547-22.49-29.1-12.96-45.02l17.97-29.99c32.03-53.44 78.66-96.12 134.7-123.3c60.42-29.3 108.6-78.96 143.1-136.6l1.951-3.254c13.03-21.74 46.29-21.03 56.19 2.297C470.6 212.5 426.9 314.9 354.5 387.3z", "M366.1 90.69l-19.7 32.88c-31.58 52.7-79.23 92.61-133.8 120.9C154.9 274.4 106.9 319.6 73.39 375.4l-5.029 8.395c-13.03 21.74-46.29 21.03-56.19-2.297C-22.63 299.5 21.09 197.1 93.44 124.7c73.53-73.62 176.4-116.2 259.7-79.04C370.1 53.21 375.7 74.77 366.1 90.69z"]],
    "coffee-beans": [512, 512, [], "e13f", ["M357.8 154.6C316.2 137.2 281.7 109.5 256.3 73.74c-7.56-10.66-23.65-7.393-27.49 4.945c-16.03 51.49 9.574 111 51.75 153.3c49.71 49.79 122.2 75.37 179.3 38.76c6.658-4.271 8.305-13.34 4.436-20.37C451.1 226.5 421.1 181.1 357.8 154.6zM455.4 56.02c-50.24-50.33-123.7-75.87-181.1-37.51c-6.617 4.424-8.125 13.59-4.033 20.55c13.28 22.59 43.25 64.26 102.7 89.06c56.53 23.63 88.79 61.24 105.8 86.79c7.42 11.17 23.83 8.473 27.96-4.123C523.7 158.1 498 98.68 455.4 56.02z", "M151.1 192.3C143 190.7 135.2 196.3 133.1 204.3c-6.771 26.17-15.27 78.45 10.04 139.9c24.06 58.52 20.2 109.5 13.96 140.5c-2.725 13.56 11.23 23.58 23.43 17.42c50.23-25.37 75.42-88.08 75.42-150.3C256 278.5 220.1 206.2 151.1 192.3zM97.64 219.4c2.252-13.3-11.88-22.66-23.69-16.47c-49.26 25.84-73.95 87.94-73.95 149.6c0 72.62 34.28 144.2 102.7 159.2c7.978 1.75 15.79-3.656 18.09-11.61c7.805-27.01 18.99-82-7.959-147.6C95.14 309.4 90.09 263.1 97.64 219.4z"]],
    "coffee-pot": [512, 512, [], "e002", ["M432 176h-288C94.67 215.8 64 277.8 64 344.6c0 51.5 18.62 84.74 49.62 117.7C124.5 473.6 139.5 480 155.1 480l265.8 0c15.62 0 30.57-6.192 41.32-17.57C493.2 429.6 512 396.1 512 344.6C512 278.4 481.9 216.3 432 176zM417.1 416H157.9C135.6 391.6 128 373.2 128 344.6C128 328.7 128.8 273.2 189.8 224h197.1C447.1 272.5 448 328.1 448 344.6C448 373.3 440.4 391.7 417.1 416z", "M130.1 320C128.3 330.9 128 339.8 128 344.6C128 373.2 135.6 391.6 157.9 416h260.1C440.4 391.7 448 373.3 448 344.6C448 339.9 447.7 330.1 445.9 320H130.1zM432 176L480 32H88C39.38 32 0 71.38 0 120V208C0 216.9 7.125 224 16 224h32C56.88 224 64 216.9 64 208V136C64 113.9 81.88 96 104 96h13.38l26.67 80H432z"]],
    "coffin": [448, 512, [9904], "f6c6", ["", "M406.5 115.2l-107.8-105.9C292.6 3.375 284.3 0 275.6 0H172.4C163.7 0 155.4 3.375 149.2 9.375L41.46 115.2c-8.002 7.875-11.25 19.38-8.502 30.38l87.14 342.1C123.7 502 136.7 512 151.7 512h144.7c14.88 0 27.88-9.1 31.51-24.25l87.14-342.1C417.8 134.6 414.5 123.1 406.5 115.2z"]],
    "coffin-cross": [384, 512, [], "e051", ["M288 208C288 216.9 280.9 224 271.1 224H224v112c0 8.875-7.127 16-16.01 16H176C167.1 352 160 344.9 160 336V224H111.9C103 224 95.92 216.9 95.92 208v-32c0-8.875 7.127-16 16.01-16H160V112C160 103.1 167.1 96 176 96h31.99C216.9 96 224 103.1 224 112V160h47.99C280.9 160 288 167.1 288 176V208z", "M374.5 115.3l-107.8-105.9C260.6 3.375 252.3 0 243.6 0h-103.3c-8.627 0-17 3.375-23.13 9.375l-107.8 105.9c-8.002 7.875-11.25 19.38-8.502 30.38l87.14 342.1C91.73 502 104.7 512 119.7 512h144.7c14.88 0 27.88-9.1 31.51-24.25l87.14-342.1C385.8 134.6 382.5 123.1 374.5 115.3zM288 208C288 216.9 280.9 224 271.1 224H224v112c0 8.875-7.127 16-16.01 16H176C167.1 352 160 344.9 160 336V224H111.9C103 224 95.92 216.9 95.92 208v-32c0-8.875 7.127-16 16.01-16H160V112C160 103.1 167.1 96 176 96h31.99C216.9 96 224 103.1 224 112V160h47.99C280.9 160 288 167.1 288 176V208z"]],
    "coin": [512, 512, [129689], "f85c", ["M256 264C167.6 264 96 235.3 96 200C96 164.7 167.6 136 256 136C344.4 136 416 164.7 416 200C416 235.3 344.4 264 256 264zM256 64C397.4 64 512 128.5 512 208C512 287.5 397.4 352 256 352C114.6 352 0 287.5 0 208C0 128.5 114.6 64 256 64V64zM64 200C64 220.5 74.5 236.7 86.59 248.2C98.6 259.5 114.3 268.3 130.1 274.1C164.6 288.4 208.8 296 256 296C303.2 296 347.4 288.4 381 274.1C397.7 268.3 413.4 259.5 425.4 248.2C437.5 236.7 448 220.5 448 200C448 179.5 437.5 163.3 425.4 151.8C413.4 140.5 397.7 131.7 381 125C347.4 111.6 303.2 104 255.1 104C208.8 104 164.6 111.6 130.1 125C114.3 131.7 98.6 140.5 86.59 151.8C74.5 163.3 63.1 179.5 63.1 200H64z", "M464 330.1C482.3 319.4 498.8 305.8 512 290.1V319.1C512 347.8 494.2 373.6 464 394.6V330.1zM432 348.3V412.1C404.9 425.8 372.2 435.7 336 441.6V377.3C371.1 371.3 403.6 361.4 432 348.3zM208 381.6C223.7 383.2 239.7 383.1 256 383.1C272.3 383.1 288.3 383.2 304 381.6V445.8C288.5 447.2 272.4 447.1 256 447.1C239.6 447.1 223.5 447.2 208 445.8V381.6zM176 377.3V441.6C139.8 435.7 107.1 425.8 80 412.1V348.3C108.4 361.4 140.9 371.3 176 377.3zM48 394.6C17.79 373.6 0 347.8 0 319.1V290.1C13.21 305.8 29.72 319.4 48 330.1V394.6zM86.59 151.8C98.6 140.5 114.3 131.7 130.1 125C164.6 111.6 208.8 104 256 104C303.2 104 347.4 111.6 381 125C397.7 131.7 413.4 140.5 425.4 151.8C437.5 163.3 448 179.5 448 200C448 220.5 437.5 236.7 425.4 248.2C413.4 259.5 397.7 268.3 381 274.1C347.4 288.4 303.2 296 256 296C208.8 296 164.6 288.4 130.1 274.1C114.3 268.3 98.6 259.5 86.59 248.2C74.5 236.7 64 220.5 64 200C64 179.5 74.5 163.3 86.59 151.8V151.8zM416 200C416 164.7 344.4 136 256 136C167.6 136 96 164.7 96 200C96 235.3 167.6 264 256 264C344.4 264 416 235.3 416 200z"]],
    "coin-blank": [512, 512, [], "e3fb", ["M256 352C114.6 352 0 287.5 0 208C0 128.5 114.6 64 256 64C397.4 64 512 128.5 512 208C512 287.5 397.4 352 256 352V352z", "M48 394.6C17.79 373.6 0 347.8 0 319.1V290.1C13.21 305.8 29.72 319.4 48 330.1V394.6zM176 377.3V441.6C139.8 435.7 107.1 425.8 80 412.1V348.3C108.4 361.4 140.9 371.3 176 377.3zM208 381.6C223.7 383.2 239.7 383.1 256 383.1C272.3 383.1 288.3 383.2 304 381.6V445.8C288.5 447.2 272.4 447.1 256 447.1C239.6 447.1 223.5 447.2 208 445.8V381.6zM336 441.6V377.3C371.1 371.3 403.6 361.4 432 348.3V412.1C404.9 425.8 372.2 435.7 336 441.6zM464 330.1C482.3 319.4 498.8 305.8 512 290.1V319.1C512 347.8 494.2 373.6 464 394.6V330.1z"]],
    "coin-front": [512, 512, [], "e3fc", ["M96 256C96 167.6 167.6 96 256 96C344.4 96 416 167.6 416 256C416 344.4 344.4 416 256 416C167.6 416 96 344.4 96 256zM280 184C280 170.7 269.3 160 256 160C242.7 160 232 170.7 232 184V328C232 341.3 242.7 352 256 352C269.3 352 280 341.3 280 328V184zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 448C362 448 448 362 448 256C448 149.1 362 64 256 64C149.1 64 64 149.1 64 256C64 362 149.1 448 256 448z", "M64 256C64 149.1 149.1 64 256 64C362 64 448 149.1 448 256C448 362 362 448 256 448C149.1 448 64 362 64 256zM256 416C344.4 416 416 344.4 416 256C416 167.6 344.4 96 256 96C167.6 96 96 167.6 96 256C96 344.4 167.6 416 256 416z"]],
    "coin-vertical": [384, 512, [], "e3fd", ["M200 256C200 344.4 171.3 416 136 416C100.7 416 72 344.4 72 256C72 167.6 100.7 96 136 96C171.3 96 200 167.6 200 256zM0 256C0 114.6 64.47 0 144 0C223.5 0 288 114.6 288 256C288 397.4 223.5 512 144 512C64.47 512 0 397.4 0 256zM136 448C156.5 448 172.7 437.5 184.2 425.4C195.5 413.4 204.3 397.7 210.1 381C224.4 347.4 232 303.2 232 256C232 208.8 224.4 164.6 210.1 130.1C204.3 114.3 195.5 98.6 184.2 86.59C172.7 74.5 156.5 64 136 64C115.5 64 99.27 74.5 87.84 86.59C76.48 98.6 67.72 114.3 61.03 130.1C47.6 164.6 40 208.8 40 256C40 303.2 47.6 347.4 61.03 381C67.72 397.7 76.48 413.4 87.84 425.4C99.26 437.5 115.5 448 136 448z", "M266.1 48C255.4 29.72 241.8 13.21 226.1 0H255.1C283.8 0 309.6 17.79 330.6 48H266.1zM284.3 80H348.9C361.8 107.1 371.7 139.8 377.6 176H313.3C307.3 140.9 297.4 108.4 284.3 80zM317.6 304C319.2 288.3 319.1 272.3 319.1 256C319.1 239.7 319.2 223.7 317.6 208H381.8C383.2 223.5 383.1 239.6 383.1 256C383.1 272.4 383.2 288.5 381.8 304H317.6zM313.3 336H377.6C371.7 372.2 361.8 404.9 348.9 432H284.3C297.4 403.6 307.3 371.1 313.3 336zM330.6 464C309.6 494.2 283.8 512 255.1 512H226.1C241.8 498.8 255.4 482.3 266.1 464H330.6zM87.84 425.4C76.48 413.4 67.72 397.7 61.03 381C47.6 347.4 40 303.2 40 256C40 208.8 47.6 164.6 61.03 130.1C67.72 114.3 76.48 98.6 87.84 86.59C99.26 74.5 115.5 64 136 64C156.5 64 172.7 74.5 184.2 86.59C195.5 98.6 204.3 114.3 210.1 130.1C224.4 164.6 232 208.8 232 256C232 303.2 224.4 347.4 210.1 381C204.3 397.7 195.5 413.4 184.2 425.4C172.7 437.5 156.5 448 136 448C115.5 448 99.27 437.5 87.84 425.4zM136 96C100.7 96 72 167.6 72 256C72 344.4 100.7 416 136 416C171.3 416 200 344.4 200 256C200 167.6 171.3 96 136 96z"]],
    "coins": [512, 512, [], "f51e", ["M512 80C512 98.01 497.7 114.6 473.6 128C444.5 144.1 401.2 155.5 351.3 158.9C347.7 157.2 343.9 155.5 340.1 153.9C300.6 137.4 248.2 128 192 128C183.7 128 175.6 128.2 167.5 128.6C167.1 128.4 166.8 128.2 166.4 128C142.3 114.6 128 98.01 128 80C128 35.82 213.1 0 320 0C426 0 512 35.82 512 80V80zM416 278.1C434.1 273.1 452.5 268.6 468.1 262.1C484.4 255.3 499.5 246.9 512 236.6V272C512 301.6 473.4 327.5 416 341.3V278.1zM416 240C416 218.1 405.4 200.1 391.9 186.6C420.2 182.2 446.1 175.2 468.1 166.1C484.4 159.3 499.5 150.9 512 140.6V176C512 194 497.7 210.6 473.6 224C471.8 224.1 470 225.9 468.2 226.9C453.6 234.2 435.9 240.5 416 245.3V240z", "M384 240C384 258 369.7 274.6 345.6 288C310.6 307.4 254.8 320 192 320C132.4 320 79.06 308.7 43.84 290.9C41.97 289.9 40.15 288.1 38.39 288C14.28 274.6 0 258 0 240C0 195.8 85.96 160 192 160C298 160 384 195.8 384 240zM192 352C248.2 352 300.6 342.6 340.1 326.1C356.4 319.3 371.5 310.9 384 300.6V336C384 354 369.7 370.6 345.6 384C343.8 384.1 342 385.9 340.2 386.9C304.9 404.7 251.6 416 192 416C129.2 416 73.41 403.4 38.39 384C14.28 370.6 0 354 0 336V300.6C12.45 310.9 27.62 319.3 43.93 326.1C83.44 342.6 135.8 352 192 352zM384 396.6V432C384 476.2 298 512 192 512C85.96 512 0 476.2 0 432V396.6C12.45 406.9 27.62 415.3 43.93 422.1C83.44 438.6 135.8 448 192 448C248.2 448 300.6 438.6 340.1 422.1C356.4 415.3 371.5 406.9 384 396.6z"]],
    "colon": [128, 512, [], "3a", ["M64 320c-35.35 0-64 28.65-64 64c0 35.35 28.65 64 64 64s64-28.65 64-64C128 348.7 99.35 320 64 320z", "M64 192c35.35 0 64-28.65 64-64c0-35.35-28.65-64-64-64s-64 28.65-64 64C.0008 163.3 28.66 192 64 192z"]],
    "colon-sign": [320, 512, [], "e140", ["M216.6 65.56C208.5 64.53 200.3 64 192 64C177.5 64 163.4 65.6 149.9 68.64L160.1 24.24C165.2 7.093 182.6-3.331 199.8 .9552C216.9 5.242 227.3 22.62 223 39.76L216.6 65.56zM139.8 372.9C117.5 362.9 98.67 346.8 85.32 326.8L131.2 143.3C149.3 133.6 169.1 128 192 128C194.1 128 197.1 128.1 200.9 128.3L139.8 372.9zM167.6 381.7L229.6 133.6C243.9 137.1 257.1 144.8 268.8 153.6C274.8 158.1 281.1 160.2 288.1 159.1L234.8 376.7C221.4 381.4 207 384 192 384C183.7 384 175.5 383.2 167.6 381.7V381.7zM111 487.8C106.8 504.9 89.38 515.3 72.24 511C55.09 506.8 44.67 489.4 48.96 472.2L66.65 401.4C83.5 415.1 102.9 427.6 124.1 435.6L111 487.8zM152.1 443.8C164.9 446.6 178.3 448 192 448C200.6 448 209.1 447.4 217.4 446.3L207 487.8C202.8 504.9 185.4 515.3 168.2 511C151.1 506.8 140.7 489.4 144.1 472.2L152.1 443.8zM303.1 100C286.4 87.36 266.5 77.61 245.1 71.46L256.1 24.24C261.2 7.093 278.6-3.331 295.8 .9552C312.9 5.242 323.3 22.62 319 39.76L303.1 100z", "M192 127.1C121.3 127.1 64 185.3 64 255.1C64 326.7 121.3 384 192 384C220.9 384 247.4 374.5 268.8 358.4C282.9 347.8 302.1 350.6 313.6 364.8C324.2 378.9 321.4 398.1 307.2 409.6C275.1 433.7 235.2 448 192 448C85.96 448 0 362 0 256C0 149.1 85.96 64 192 64C235.2 64 275.1 78.3 307.2 102.4C321.4 113 324.2 133.1 313.6 147.2C302.1 161.4 282.9 164.2 268.8 153.6C247.4 137.5 220.9 128 192 128V127.1z"]],
    "columns-3": [640, 512, [], "e361", ["M192 96H256V416H192V96zM384 96H448V416H384V96z", "M576 32C611.3 32 640 60.65 640 96V416C640 451.3 611.3 480 576 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H576zM576 96H64V416H576V96z"]],
    "comet": [512, 512, [], "e003", ["M491.1 .7163c-38.75 11.5-111.8 34.25-187.6 61.25c-2.125-7-4-13.5-5.625-18.63c-1.375-4.5-4.75-8.25-9.25-10.13c-4.375-1.875-9.375-1.625-13.63 .625C232.5 55.97 122.1 116.5 60.59 176.3c-1.125 1-2.5 2-3.5 3c-76.13 76.13-76.13 199.5 0 275.6c76 76.13 199.5 76 275.5-.125c1-1 2-2.375 3-3.5c59.88-61.63 120.4-172.1 142.5-214.4c2.25-4.25 2.5-9.25 .625-13.75c-1.75-4.375-5.5-7.75-10.13-9.125c-5.25-1.625-11.63-3.5-18.63-5.625c27-76 49.75-149 61.38-187.8c1.625-5.625 .1251-11.88-4.125-16C502.1 .4663 496.9-1.034 491.1 .7163zM315.4 300.3l-50.63 49.38l11.88 69.63c1 5.75-1.375 11.63-6 15c-4.75 3.375-11 3.875-16.13 1.125l-62.5-32.88l-62.63 32.88c-11 6-24.25-3.5-22.13-16.13l12-69.63L68.6 300.3C64.47 296.2 62.97 290.2 64.72 284.6c1.75-5.5 6.625-9.625 12.38-10.38l69.88-10.25l31.25-63.5c2.5-5.125 7.875-8.5 13.75-8.5c5.75 0 11.13 3.375 13.63 8.5l31.38 63.5l69.75 10.25c5.875 .875 10.63 4.875 12.38 10.38C320.1 290.1 319.5 296.2 315.4 300.3z", "M315.4 300.3l-50.63 49.38l11.88 69.63c1 5.75-1.375 11.63-6 15c-4.75 3.375-11 3.875-16.13 1.125l-62.5-32.88l-62.63 32.88c-11 6-24.25-3.5-22.13-16.13l12-69.63L68.6 300.3C64.47 296.2 62.97 290.2 64.72 284.6c1.75-5.5 6.625-9.625 12.38-10.38l69.88-10.25l31.25-63.5C180.7 195.3 186.1 191.1 191.1 191.1c5.75 0 11.13 3.375 13.63 8.5l31.38 63.5l69.75 10.25c5.875 .875 10.63 4.875 12.38 10.38C320.1 290.1 319.5 296.2 315.4 300.3z"]],
    "comma": [192, 512, [], "2c", ["M151.7 378.6L84.01 493.1c-8.885 15.18-27.4 21.85-43.99 15.83s-26.48-22.99-23.49-40.31l22.57-131.7c3.045-17.81 13.79-33.2 29.45-42.25c31.26-18.12 75.54-2.062 87.8 31.85C162.5 344.4 160.8 363 151.7 378.6z", ""]],
    "command": [448, 512, [], "e142", ["M128 288H96c-52.94 0-96 43.06-96 96s43.06 96 96 96s96-43.06 96-96V224H128V288zM128 384c0 17.66-14.34 32-32 32s-32-14.34-32-32s14.34-32 32-32h32V384zM352 32c-52.94 0-96 43.06-96 96v160h64V224h32c52.94 0 96-43.06 96-96S404.9 32 352 32zM352 160h-32V128c0-17.66 14.34-32 32-32s32 14.34 32 32S369.7 160 352 160z", "M352 288H192v64h64v32c0 52.94 43.06 96 96 96s96-43.06 96-96S404.9 288 352 288zM352 416c-17.66 0-32-14.34-32-32v-32h32c17.66 0 32 14.34 32 32S369.7 416 352 416zM256 160H192V128c0-52.94-43.06-96-96-96S0 75.06 0 128s43.06 96 96 96h160V160zM128 160H96C78.34 160 64 145.7 64 128s14.34-32 32-32s32 14.34 32 32V160z"]],
    "comment": [512, 512, [61669, 128489], "f075", ["M256 32C114.6 32 .0272 125.1 .0272 240c0 49.63 21.35 94.98 56.97 130.7c-12.5 50.37-54.27 95.27-54.77 95.77c-2.25 2.25-2.875 5.734-1.5 8.734C1.979 478.2 4.75 480 8 480c66.25 0 115.1-31.76 140.6-51.39C181.2 440.9 217.6 448 256 448c141.4 0 255.1-93.13 255.1-208S397.4 32 256 32z", ""]],
    "comment-arrow-down": [512, 512, [], "e143", ["M256 32C114.6 32 .0273 125.1 .0273 240c0 49.63 21.35 94.98 56.97 130.7C44.5 421.1 2.729 466 2.229 466.5c-2.25 2.25-2.875 5.734-1.5 8.734C1.978 478.2 4.75 480 8 480c66.25 0 115.1-31.76 140.6-51.39C181.2 440.9 217.6 448 256 448C397.4 448 512 354.9 512 240S397.4 32 256 32zM352.1 256.1l-80 80c-9.375 9.375-24.56 9.375-33.94 0l-80-80c-9.375-9.375-9.375-24.56 0-33.94C163.7 218.3 169.8 216 176 216s12.28 2.344 16.97 7.031L232 262.1V160c0-13.25 10.75-24 24-24S280 146.8 280 160v102.1l39.03-39.03c9.375-9.375 24.56-9.375 33.94 0S362.3 247.6 352.1 256.1z", "M352.1 256.1l-80 80c-9.375 9.375-24.56 9.375-33.94 0l-80-80c-9.375-9.375-9.375-24.56 0-33.94C163.7 218.3 169.8 216 176 216s12.28 2.344 16.97 7.031L232 262.1V160c0-13.25 10.75-24 24-24S280 146.8 280 160v102.1l39.03-39.03c9.375-9.375 24.56-9.375 33.94 0S362.3 247.6 352.1 256.1z"]],
    "comment-arrow-up": [512, 512, [], "e144", ["M256 32C114.6 32 .0273 125.1 .0273 240c0 49.63 21.35 94.98 56.97 130.7C44.5 421.1 2.729 466 2.229 466.5c-2.25 2.25-2.875 5.734-1.5 8.734C1.978 478.2 4.75 480 8 480c66.25 0 115.1-31.76 140.6-51.39C181.2 440.9 217.6 448 256 448C397.4 448 512 354.9 512 240S397.4 32 256 32zM352.1 256.1C348.3 261.7 342.2 264 336 264s-12.28-2.344-16.97-7.031L280 217.9V320c0 13.25-10.75 24-24 24S232 333.3 232 320V217.9L192.1 256.1c-9.375 9.375-24.56 9.375-33.94 0s-9.375-24.56 0-33.94l80-80c9.375-9.375 24.56-9.375 33.94 0l80 80C362.3 232.4 362.3 247.6 352.1 256.1z", "M352.1 256.1C348.3 261.7 342.2 264 336 264s-12.28-2.344-16.97-7.031L280 217.9V320c0 13.25-10.75 24-24 24S232 333.3 232 320V217.9L192.1 256.1c-9.375 9.375-24.56 9.375-33.94 0s-9.375-24.56 0-33.94l80-80c9.375-9.375 24.56-9.375 33.94 0l80 80C362.3 232.4 362.3 247.6 352.1 256.1z"]],
    "comment-arrow-up-right": [512, 512, [], "e145", ["M256 32C114.6 32 .0273 125.1 .0273 240c0 49.63 21.35 94.98 56.97 130.7C44.5 421.1 2.729 466 2.229 466.5c-2.25 2.25-2.875 5.734-1.5 8.734C1.979 478.2 4.75 480 8 480c66.25 0 115.1-31.76 140.6-51.39C181.2 440.9 217.6 448 256 448c141.4 0 255.1-93.13 255.1-208S397.4 32 256 32zM336 280c0 13.25-10.75 24-24 24S288 293.3 288 280V225.9L200.1 312.1c-9.381 9.381-24.56 9.375-33.94 0c-9.375-9.375-9.375-24.56 0-33.94L254.1 192H200C186.8 192 176 181.3 176 168S186.8 144 200 144h112c13.25 0 24 10.75 24 24V280z", "M312 144h-112C186.8 144 176 154.8 176 168S186.8 192 200 192h54.06L167 279c-9.375 9.375-9.375 24.56 0 33.94c9.373 9.375 24.56 9.381 33.94 0L288 225.9V280c0 13.25 10.75 24 24 24s24-10.75 24-24v-112C336 154.8 325.3 144 312 144z"]],
    "comment-captions": [512, 512, [], "e146", ["M256 31.1c-141.4 0-255.1 93.13-255.1 208c0 49.62 21.35 94.98 56.97 130.7c-12.5 50.38-54.27 95.27-54.77 95.77c-2.25 2.25-2.875 5.734-1.5 8.734c1.25 3 4.021 4.766 7.271 4.766c66.25 0 115.1-31.76 140.6-51.39c32.63 12.25 69.02 19.39 107.4 19.39c141.4 0 255.1-93.13 255.1-207.1S397.4 31.1 256 31.1zM119.1 224h95.99c13.25 0 23.1 10.75 23.1 24S229.2 272 215.1 272H119.1c-13.25 0-23.1-10.75-23.1-24S106.7 224 119.1 224zM135.1 352h-15.1c-13.25 0-23.1-10.75-23.1-24S106.7 304 119.1 304h15.1c13.25 0 23.1 10.75 23.1 24S149.2 352 135.1 352zM295.1 352H215.1c-13.25 0-23.1-10.75-23.1-24S202.7 304 215.1 304h79.99c13.25 0 23.1 10.75 23.1 24S309.2 352 295.1 352zM391.9 352h-15.1c-13.25 0-23.1-10.75-23.1-24s10.75-24 23.1-24h15.1c13.25 0 23.1 10.75 23.1 24S405.2 352 391.9 352zM391.9 272h-95.99c-13.25 0-23.1-10.75-23.1-24S282.7 224 295.1 224h95.99c13.25 0 23.1 10.75 23.1 24S405.2 272 391.9 272z", "M119.1 272h95.99c13.25 0 23.1-10.75 23.1-24S229.2 224 215.1 224H119.1c-13.25 0-23.1 10.75-23.1 24S106.7 272 119.1 272zM295.1 304H215.1c-13.25 0-23.1 10.75-23.1 24S202.7 352 215.1 352h79.99c13.25 0 23.1-10.75 23.1-24S309.2 304 295.1 304zM135.1 304h-15.1c-13.25 0-23.1 10.75-23.1 24S106.7 352 119.1 352h15.1c13.25 0 23.1-10.75 23.1-24S149.2 304 135.1 304zM391.9 304h-15.1c-13.25 0-23.1 10.75-23.1 24S362.7 352 375.9 352h15.1c13.25 0 23.1-10.75 23.1-24S405.2 304 391.9 304zM295.1 272h95.99c13.25 0 23.1-10.75 23.1-24S405.2 224 391.9 224h-95.99c-13.25 0-23.1 10.75-23.1 24S282.7 272 295.1 272z"]],
    "comment-check": [512, 512, [], "f4ac", ["M256 31.1c-141.4 0-255.1 93.13-255.1 208c0 49.62 21.35 94.98 56.97 130.7c-12.5 50.38-54.27 95.27-54.77 95.77c-2.25 2.25-2.875 5.734-1.5 8.734c1.25 3 4.021 4.766 7.271 4.766c66.25 0 115.1-31.76 140.6-51.39c32.63 12.25 69.02 19.39 107.4 19.39c141.4 0 255.1-93.13 255.1-207.1S397.4 31.1 256 31.1zM346.2 199.6l-96 112C245.9 316.7 239.6 319.7 232.9 319.1C232.6 319.1 232.3 319.1 232 319.1c-6.344 0-12.47-2.531-16.97-7.031l-48-48c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0l29.69 29.69l79.13-92.34c8.656-10.06 23.81-11.19 33.84-2.594C353.7 174.4 354.8 189.5 346.2 199.6z", "M346.2 199.6l-96 112C245.9 316.7 239.6 319.7 232.9 319.1C232.6 319.1 232.3 319.1 232 319.1c-6.344 0-12.47-2.531-16.97-7.031l-48-48c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0l29.69 29.69l79.13-92.34c8.656-10.06 23.81-11.19 33.84-2.594C353.7 174.4 354.8 189.5 346.2 199.6z"]],
    "comment-code": [512, 512, [], "e147", ["M256 32C114.6 32 .0273 125.1 .0273 240c0 49.63 21.35 94.98 56.97 130.7C44.5 421.1 2.729 466 2.229 466.5c-2.25 2.25-2.875 5.734-1.5 8.734C1.979 478.2 4.75 480 8 480c66.25 0 115.1-31.76 140.6-51.39C181.2 440.9 217.6 448 256 448c141.4 0 255.1-93.13 255.1-208S397.4 32 256 32zM216.1 287c9.375 9.375 9.375 24.56 0 33.94C212.3 325.7 206.1 328 200 328s-12.28-2.344-16.97-7.031l-64-64c-9.375-9.375-9.375-24.56 0-33.94l64-64c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94L169.9 240L216.1 287zM392.1 256.1l-64 64C324.3 325.7 318.1 328 312 328s-12.28-2.344-16.97-7.031c-9.375-9.375-9.375-24.56 0-33.94L342.1 240l-47.03-47.03c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0l64 64C402.3 232.4 402.3 247.6 392.1 256.1z", "M216.1 159c-9.375-9.375-24.56-9.375-33.94 0l-64 64c-9.375 9.375-9.375 24.56 0 33.94l64 64C187.7 325.7 193.9 328 200 328s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94L169.9 240l47.03-47.03C226.3 183.6 226.3 168.4 216.1 159zM392.1 223l-64-64c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L342.1 240l-47.03 47.03c-9.375 9.375-9.375 24.56 0 33.94C299.7 325.7 305.9 328 312 328s12.28-2.344 16.97-7.031l64-64C402.3 247.6 402.3 232.4 392.1 223z"]],
    "comment-dollar": [512, 512, [], "f651", ["M256 31.1c-141.4 0-255.1 93.09-255.1 208c0 49.59 21.37 94.1 56.97 130.7c-12.5 50.39-54.31 95.3-54.81 95.8C0 468.8-.5938 472.2 .6875 475.2C1.1 478.2 4.813 479.1 8 479.1c66.31 0 116-31.8 140.6-51.41c32.72 12.31 69.02 19.41 107.4 19.41c141.4 0 255.1-93.09 255.1-207.1S397.4 31.1 256 31.1zM317.8 282.3c-3.623 20.91-19.47 34.64-41.83 39.43V332c0 11.03-8.946 20-19.99 20S236 343 236 332v-10.77c-8.682-1.922-17.3-4.723-25.06-7.512l-4.266-1.5C196.3 308.5 190.8 297.1 194.5 286.7c3.688-10.41 15.11-15.81 25.52-12.22l4.469 1.625c7.844 2.812 16.72 6 23.66 7.031c13.72 2.125 28.94 .1875 30.31-7.625c.875-5.094 1.359-7.906-27.92-16.28L244.7 257.5c-17.33-5.094-57.92-17-50.52-59.84C197.8 176.8 213.6 162.8 236 157.1V148c0-11.03 8.961-20 20.01-20s19.99 8.969 19.99 20v10.63c5.453 1.195 11.34 2.789 18.56 5.273c10.44 3.625 15.95 15.03 12.33 25.47c-3.625 10.41-15.06 15.94-25.45 12.34c-5.859-2.031-12-4-17.59-4.844C250.2 194.8 234.1 196.7 233.6 204.5C232.8 208.1 232.3 212.2 255.1 219.2l5.547 1.594C283.8 227.1 325.3 239 317.8 282.3z", "M317.8 282.3c-3.623 20.91-19.47 34.64-41.83 39.43V332c0 11.03-8.946 20-19.99 20S236 343 236 332v-10.77c-8.682-1.922-17.3-4.723-25.06-7.512l-4.266-1.5C196.3 308.5 190.8 297.1 194.5 286.7c3.688-10.41 15.11-15.81 25.52-12.22l4.469 1.625c7.844 2.812 16.72 6 23.66 7.031c13.72 2.125 28.94 .1875 30.31-7.625c.875-5.094 1.359-7.906-27.92-16.28L244.7 257.5c-17.33-5.094-57.92-17-50.52-59.84C197.8 176.8 213.6 162.8 236 157.1V148c0-11.03 8.961-20 20.01-20s19.99 8.969 19.99 20v10.63c5.453 1.195 11.34 2.789 18.56 5.273c10.44 3.625 15.95 15.03 12.33 25.47c-3.625 10.41-15.06 15.94-25.45 12.34c-5.859-2.031-12-4-17.59-4.844C250.2 194.8 234.1 196.7 233.6 204.5C232.8 208.1 232.3 212.2 255.1 219.2l5.547 1.594C283.8 227.1 325.3 239 317.8 282.3z"]],
    "comment-dots": [512, 512, [62075, 128172, "commenting"], "f4ad", ["M256 31.1c-141.4 0-255.1 93.12-255.1 208c0 49.62 21.35 94.98 56.97 130.7c-12.5 50.37-54.27 95.27-54.77 95.77c-2.25 2.25-2.875 5.734-1.5 8.734c1.249 3 4.021 4.766 7.271 4.766c66.25 0 115.1-31.76 140.6-51.39c32.63 12.25 69.02 19.39 107.4 19.39c141.4 0 255.1-93.13 255.1-207.1S397.4 31.1 256 31.1zM127.1 271.1c-17.75 0-32-14.25-32-31.1s14.25-32 32-32s32 14.25 32 32S145.7 271.1 127.1 271.1zM256 271.1c-17.75 0-31.1-14.25-31.1-31.1s14.25-32 31.1-32s31.1 14.25 31.1 32S273.8 271.1 256 271.1zM383.1 271.1c-17.75 0-32-14.25-32-31.1s14.25-32 32-32s32 14.25 32 32S401.7 271.1 383.1 271.1z", "M127.1 271.1c-17.75 0-32-14.25-32-31.1s14.25-32 32-32s32 14.25 32 32S145.7 271.1 127.1 271.1zM256 271.1c-17.75 0-31.1-14.25-31.1-31.1s14.25-32 31.1-32s31.1 14.25 31.1 32S273.8 271.1 256 271.1zM383.1 271.1c-17.75 0-32-14.25-32-31.1s14.25-32 32-32s32 14.25 32 32S401.7 271.1 383.1 271.1z"]],
    "comment-exclamation": [512, 512, [], "f4af", ["M256 31.1c-141.4 0-255.1 93.09-255.1 208c0 49.59 21.38 94.1 56.97 130.7c-12.5 50.39-54.31 95.3-54.81 95.8c-2.187 2.297-2.781 5.703-1.5 8.703c1.312 3 4.125 4.797 7.312 4.797c66.31 0 116-31.8 140.6-51.41c32.72 12.31 69.01 19.41 107.4 19.41c141.4 0 255.1-93.09 255.1-207.1S397.4 31.1 256 31.1zM232 136C232 122.8 242.8 112 256 112s24 10.75 24 24v112c0 13.25-10.75 24-24 24S232 261.3 232 248V136zM256 368c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32s32 14.33 32 32C288 353.7 273.7 368 256 368z", "M256 272c13.25 0 24-10.75 24-24v-112c0-13.25-10.75-24-24-24S232 122.8 232 136v112C232 261.3 242.8 272 256 272zM256 304c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32s32-14.33 32-32C288 318.3 273.7 304 256 304z"]],
    "comment-image": [512, 512, [], "e148", ["M256 32C114.6 32 .0273 125.1 .0273 240c0 49.63 21.35 94.98 56.97 130.7c-12.5 50.38-54.27 95.27-54.77 95.77c-2.25 2.25-2.875 5.734-1.5 8.734C1.979 478.2 4.75 480 8 480c66.25 0 115.1-31.76 140.6-51.39C181.2 440.9 217.6 448 256 448C397.4 448 512 354.9 512 240S397.4 32 256 32zM160 128c17.67 0 32 14.33 32 32S177.7 192 160 192S128 177.7 128 160S142.3 128 160 128zM414.3 311.2c-2.719 5.398-8.246 8.803-14.29 8.803h-288c-6.277 0-11.98-3.672-14.57-9.389S95.82 298.2 99.96 293.5l56-64c3.039-3.473 7.428-5.465 12.04-5.465s9.004 1.992 12.04 5.465l22.71 25.95l77.73-104.9c3.018-4.074 7.787-6.477 12.86-6.477c5.068 0 9.838 2.402 12.86 6.477l106.7 144C416.5 299.3 417 305.8 414.3 311.2z", "M414.3 311.2c-2.719 5.398-8.246 8.803-14.29 8.803h-288c-6.277 0-11.98-3.672-14.57-9.389S95.82 298.2 99.96 293.5l56-64c3.039-3.473 7.428-5.465 12.04-5.465s9.004 1.992 12.04 5.465l22.71 25.95l77.73-104.9c3.018-4.074 7.787-6.477 12.86-6.477c5.068 0 9.838 2.402 12.86 6.477l106.7 144C416.5 299.3 417 305.8 414.3 311.2z"]],
    "comment-lines": [512, 512, [], "f4b0", ["M256 31.1c-141.4 0-255.1 93.13-255.1 208c0 49.62 21.35 94.98 56.97 130.7c-12.5 50.38-54.27 95.27-54.77 95.77c-2.25 2.25-2.875 5.734-1.5 8.734c1.25 3 4.021 4.766 7.271 4.766c66.25 0 115.1-31.76 140.6-51.39c32.63 12.25 69.02 19.39 107.4 19.39c141.4 0 255.1-93.13 255.1-207.1S397.4 31.1 256 31.1zM264 320h-112C138.8 320 128 309.3 128 296S138.8 272 152 272h112C277.3 272 288 282.8 288 296S277.3 320 264 320zM360 224h-208C138.8 224 128 213.3 128 200S138.8 176 152 176h208C373.3 176 384 186.8 384 200S373.3 224 360 224z", "M264 272h-112C138.8 272 128 282.8 128 296S138.8 320 152 320h112C277.3 320 288 309.3 288 296S277.3 272 264 272zM360 176h-208C138.8 176 128 186.8 128 200S138.8 224 152 224h208C373.3 224 384 213.3 384 200S373.3 176 360 176z"]],
    "comment-medical": [512, 512, [], "f7f5", ["M256 31.1c-141.4 0-255.1 93.09-255.1 208c0 49.59 21.38 94.1 56.97 130.7c-12.5 50.39-54.31 95.3-54.81 95.8C0 468.8-.5938 472.2 .6875 475.2c1.312 3 4.125 4.797 7.312 4.797c66.31 0 116-31.8 140.6-51.41c32.72 12.31 69.01 19.41 107.4 19.41C397.4 447.1 512 354.9 512 239.1S397.4 31.1 256 31.1zM368 266c0 8.836-7.164 16-16 16h-54V336c0 8.836-7.164 16-16 16h-52c-8.836 0-16-7.164-16-16V282H160c-8.836 0-16-7.164-16-16V214c0-8.838 7.164-16 16-16h53.1V144c0-8.838 7.164-16 16-16h52c8.836 0 16 7.162 16 16v54H352c8.836 0 16 7.162 16 16V266z", "M368 266c0 8.836-7.164 16-16 16h-54V336c0 8.836-7.164 16-16 16h-52c-8.836 0-16-7.164-16-16V282H160c-8.836 0-16-7.164-16-16V214c0-8.838 7.164-16 16-16h53.1V144c0-8.838 7.164-16 16-16h52c8.836 0 16 7.162 16 16v54H352c8.836 0 16 7.162 16 16V266z"]],
    "comment-middle": [512, 512, [], "e149", ["M323.2 408.5l-48.89 93.39c-7.037 13.45-29.51 13.45-36.55 0l-48.89-93.39C80.08 384.5 0 303.1 0 208C0 93.09 114.6 0 256 0s256 93.09 256 208C512 303.1 431.9 384.5 323.2 408.5z", ""]],
    "comment-middle-top": [512, 512, [], "e14a", ["M512 304c0 114.9-114.6 208-256 208s-256-93.09-256-208c0-95.99 80.08-176.5 188.8-200.5l48.89-93.39C241.2 3.361 248.6 0 256 0s14.76 3.361 18.28 10.08l48.89 93.39C431.9 127.5 512 208 512 304z", ""]],
    "comment-minus": [512, 512, [], "f4b1", ["M256 32C114.6 32 .0281 125.1 .0281 240c0 49.63 21.35 94.98 56.97 130.7C44.5 421.1 2.729 466 2.229 466.5c-2.25 2.25-2.875 5.734-1.5 8.734C1.979 478.2 4.75 480 8 480c66.25 0 115.1-31.76 140.6-51.39C181.2 440.9 217.6 448 256 448c141.4 0 255.1-93.13 255.1-208S397.4 32 256 32zM336 263.1H175.1C162.7 263.1 152 253.3 152 240c0-13.26 10.74-23.1 23.1-23.1h160C349.3 216 360 226.7 360 240S349.3 263.1 336 263.1z", "M360 240c0 13.26-10.74 23.1-23.1 23.1H175.1C162.7 263.1 152 253.3 152 240c0-13.26 10.74-23.1 23.1-23.1h160C349.3 216 360 226.7 360 240z"]],
    "comment-music": [512, 512, [], "f8b0", ["M256 31.1c-141.4 0-255.1 93.09-255.1 208c0 49.59 21.37 94.1 56.96 130.7c-12.5 50.39-54.31 95.3-54.81 95.8c-2.187 2.297-2.781 5.703-1.5 8.703c1.312 3 4.125 4.797 7.312 4.797c66.31 0 116-31.8 140.6-51.41c32.72 12.31 69.01 19.41 107.4 19.41c141.4 0 255.1-93.09 255.1-207.1S397.4 31.1 256 31.1zM351.1 287.1c0 17.62-21.5 32-48 32s-48-14.38-48-32s21.5-32 48-32c5.375 0 10.75 .7461 16 1.996V181.6l-96 37.5L223.1 319.1c0 17.62-21.5 32-47.1 32s-48-14.38-48-32s21.5-32 48-32c5.375 0 10.75 .7461 16 1.996V175.2c0-7 4.5-13.12 11.25-15.25l128-47.25C336 111.2 341.4 112.1 345.5 115.1S352 122.8 352 127.1L351.1 287.1z", "M351.1 287.1c0 17.62-21.5 32-48 32s-48-14.38-48-32s21.5-32 48-32c5.375 0 10.75 .7461 16 1.996V181.6l-96 37.5L223.1 319.1c0 17.62-21.5 32-47.1 32s-48-14.38-48-32s21.5-32 48-32c5.375 0 10.75 .7461 16 1.996V175.2c0-7 4.5-13.12 11.25-15.25l128-47.25C336 111.2 341.4 112.1 345.5 115.1S352 122.8 352 127.1L351.1 287.1z"]],
    "comment-pen": [512, 512, ["comment-edit"], "f4ae", ["M256 31.1c-141.4 0-255.1 93.09-255.1 208c0 49.59 21.38 94.1 56.97 130.7c-12.5 50.39-54.31 95.3-54.81 95.8c-2.187 2.297-2.781 5.703-1.5 8.703c1.312 3 4.125 4.797 7.312 4.797c66.31 0 116-31.8 140.6-51.41c32.72 12.31 69.01 19.41 107.4 19.41c141.4 0 255.1-93.09 255.1-207.1S397.4 31.1 256 31.1zM215.1 336.9c-1.957 1.957-4.445 3.285-7.156 3.828l-55.55 11.11c-4.898 .9805-9.215-3.34-8.234-8.234l11.11-55.54c.543-2.711 1.875-5.203 3.832-7.156l97.61-97.61l56 56.01L215.1 336.9zM359.8 192.2l-24.48 24.48l-56-56.01l24.48-24.48c10.94-10.93 28.66-10.93 39.6 0l16.41 16.41C370.7 163.6 370.7 181.3 359.8 192.2z", "M215.1 336.9c-1.957 1.957-4.445 3.285-7.156 3.828l-55.55 11.11c-4.898 .9805-9.215-3.34-8.234-8.234l11.11-55.54c.543-2.711 1.875-5.203 3.832-7.156l97.61-97.61l56 56.01L215.1 336.9zM359.8 192.2l-24.48 24.48l-56-56.01l24.48-24.48c10.94-10.93 28.66-10.93 39.6 0l16.41 16.41C370.7 163.6 370.7 181.3 359.8 192.2z"]],
    "comment-plus": [512, 512, [], "f4b2", ["M256 32C114.6 32 .0281 125.1 .0281 240c0 49.63 21.35 94.98 56.97 130.7C44.5 421.1 2.729 466 2.229 466.5c-2.25 2.25-2.875 5.734-1.5 8.734C1.979 478.2 4.75 480 8 480c66.25 0 115.1-31.76 140.6-51.39C181.2 440.9 217.6 448 256 448c141.4 0 255.1-93.13 255.1-208S397.4 32 256 32zM336 263.1h-56v56C279.1 333.3 269.3 344 256 344c-13.27 0-23.1-10.74-23.1-23.1V263.1H175.1C162.7 263.1 152 253.3 152 240c0-13.26 10.74-23.1 23.1-23.1h56V159.1C232 146.7 242.7 136 256 136s23.1 10.74 23.1 23.1V216h56C349.3 216 360 226.7 360 240S349.3 263.1 336 263.1z", "M360 240c0 13.26-10.74 23.1-23.1 23.1h-56v56C279.1 333.3 269.3 344 256 344c-13.27 0-23.1-10.74-23.1-23.1V263.1H175.1C162.7 263.1 152 253.3 152 240c0-13.26 10.74-23.1 23.1-23.1h56V159.1C232 146.7 242.7 136 256 136s23.1 10.74 23.1 23.1V216h56C349.3 216 360 226.7 360 240z"]],
    "comment-question": [512, 512, [], "e14b", ["M256 31.1c-141.4 0-255.1 93.13-255.1 208c0 49.63 21.35 94.98 56.97 130.7c-12.5 50.38-54.27 95.27-54.77 95.77c-2.25 2.25-2.875 5.734-1.5 8.734c1.249 3 4.021 4.766 7.271 4.766c66.25 0 115.1-31.76 140.6-51.39c32.63 12.25 69.02 19.39 107.4 19.39c141.4 0 255.1-93.13 255.1-208S397.4 31.1 256 31.1zM249.1 352C235.4 352 224 340.6 224 326S235.4 300 249.1 300c14.63 0 26 11.38 26 26S264.6 352 249.1 352zM307.7 235.4l-38.33 23.13v1.652c0 10.74-9.168 19.83-20 19.83c-10.83 0-20-9.088-20-19.83V246.1c0-6.609 3.332-13.22 10-17.35l47.5-28.09C292.7 198.2 296 192.4 296 185.8c0-9.914-8.334-18.17-18.33-18.17H234.3c-10 0-18.33 8.26-18.33 18.17c0 10.74-9.166 19.83-20 19.83S176 196.6 176 185.8C176 153.6 201.8 128 234.3 128h43.33C310.2 128 336 153.6 336 185.8C336 205.7 325.2 224.7 307.7 235.4z", "M249.1 300C235.4 300 224 311.4 224 326S235.4 352 249.1 352c14.63 0 26-11.38 26-26S264.6 300 249.1 300zM277.7 128H234.3C201.8 128 176 153.6 176 185.8c0 10.74 9.166 19.83 20 19.83S216 196.6 216 185.8c0-9.914 8.334-18.17 18.33-18.17h43.33c10 0 18.33 8.26 18.33 18.17c0 6.607-3.334 12.39-9.166 15.7L239.3 229.6c-6.668 4.131-10 10.74-10 17.35v13.22c0 10.74 9.166 19.83 20 19.83c10.83 0 20-9.088 20-19.83V258.5l38.33-23.13C325.2 224.7 336 205.7 336 185.8C336 153.6 310.2 128 277.7 128z"]],
    "comment-quote": [512, 512, [], "e14c", ["M256 31.1c-141.4 0-255.1 93.13-255.1 208c0 49.62 21.35 94.98 56.97 130.7c-12.5 50.38-54.27 95.27-54.77 95.77c-2.25 2.25-2.875 5.734-1.5 8.734c1.25 3 4.021 4.766 7.271 4.766c66.25 0 115.1-31.76 140.6-51.39c32.63 12.25 69.02 19.39 107.4 19.39c141.4 0 255.1-93.13 255.1-207.1S397.4 31.1 256 31.1zM239.1 263.1c0 39.7-32.3 72-71.1 72C154.7 335.1 144 325.3 144 312S154.8 288 168 288C181.2 288 192 277.2 192 264V255.2C189.4 255.6 186.7 255.1 183.1 255.1c-30.93 0-56-25.07-56-56s25.07-56 56-56s56 25.07 56 56L239.1 263.1zM383.1 263.1c0 39.7-32.3 72-72 72C298.7 335.1 288 325.3 288 312S298.8 288 312 288c13.23 0 24-10.77 24-24V255.2c-2.635 .3809-5.26 .8064-8 .8064c-30.93 0-56-25.07-56-56s25.07-56 56-56s56 25.07 56 56L383.1 263.1z", "M183.1 143.1c-30.93 0-56 25.07-56 56s25.07 56 56 56c2.74 0 5.365-.4256 8-.8064V264C192 277.2 181.2 288 168 288C154.8 288 144 298.8 144 312s10.75 23.1 23.1 23.1c39.7 0 71.1-32.3 71.1-72l0-63.1C239.1 169.1 214.9 143.1 183.1 143.1zM327.1 143.1c-30.93 0-56 25.07-56 56s25.07 56 56 56c2.74 0 5.365-.4256 8-.8064V264C336 277.2 325.2 288 312 288C298.8 288 288 298.8 288 312s10.75 23.1 23.1 23.1c39.7 0 72-32.3 72-72l0-63.1C383.1 169.1 358.9 143.1 327.1 143.1z"]],
    "comment-slash": [640, 512, [], "f4b3", ["M64.03 239.1c0 49.59 21.38 94.1 56.97 130.7c-12.5 50.39-54.31 95.3-54.81 95.8c-2.187 2.297-2.781 5.703-1.5 8.703c1.312 2.1 4.125 4.797 7.312 4.797c66.31 0 116-31.8 140.6-51.41c32.72 12.31 69.02 19.41 107.4 19.41c37.39 0 72.78-6.665 104.8-18.36L82.93 161.7C70.81 185.9 64.03 212.3 64.03 239.1zM320 32c-67.74 0-129.1 21.58-174.9 56.47l367.5 288.1C551.1 339.1 576 292.4 576 240C576 125.1 461.4 32 320 32z", "M601.2 506.9L9.188 42.89C-1.234 34.73-3.057 19.63 5.115 9.19C13.3-1.216 28.34-3.101 38.81 5.117l591.1 463.1c10.42 8.156 12.24 23.26 4.073 33.7C626.7 513.2 611.6 515.1 601.2 506.9z"]],
    "comment-smile": [512, 512, [], "f4b4", ["M256 32C114.6 32 .0273 125.1 .0273 240c0 49.63 21.35 94.98 56.97 130.7C44.5 421.1 2.729 466 2.229 466.5c-2.25 2.25-2.875 5.734-1.5 8.734C1.979 478.2 4.75 480 8 480c66.25 0 115.1-31.76 140.6-51.39C181.2 440.9 217.6 448 256 448C397.4 448 512 354.9 512 240S397.4 32 256 32zM319.1 144c17.75 0 31.1 14.25 31.1 32s-14.24 32-31.99 32s-32-14.25-32-32S302.2 144 319.1 144zM191.1 144c17.75 0 31.1 14.25 31.1 32s-14.24 32-31.99 32s-32-14.25-32-32S174.2 144 191.1 144zM362.2 303.3C335.7 334.3 297.1 352 255.1 352c-41.12 0-79.75-17.75-106.2-48.75c-8.5-10-7.5-25.12 2.625-33.75C162.4 261 177.6 262.1 186.2 272.3C203.5 292.4 228.9 304 255.1 304c27.12 0 52.49-11.62 69.74-31.75c8.623-10.12 23.75-11.38 33.74-2.75C369.6 278.1 370.7 293.3 362.2 303.3z", "M319.1 208c17.75 0 31.99-14.25 31.99-32s-14.25-32-31.1-32s-31.1 14.25-31.1 32S302.2 208 319.1 208zM359.5 269.5c-9.998-8.625-25.12-7.375-33.74 2.75C308.5 292.4 283.1 304 255.1 304c-27.12 0-52.49-11.62-69.74-31.75C177.6 262.1 162.4 261 152.4 269.5C142.2 278.1 141.2 293.3 149.7 303.3C176.2 334.3 214.9 352 255.1 352c41.12 0 79.73-17.75 106.2-48.75C370.7 293.3 369.6 278.1 359.5 269.5zM191.1 208c17.75 0 31.99-14.25 31.99-32s-14.25-32-31.1-32s-31.1 14.25-31.1 32S174.2 208 191.1 208z"]],
    "comment-sms": [512, 512, ["sms"], "f7cd", ["M256 32C114.6 32 .0137 125.1 .0137 240c0 49.59 21.39 95 56.99 130.7c-12.5 50.39-54.31 95.3-54.81 95.8C0 468.8-.5938 472.2 .6875 475.2C1.1 478.2 4.813 480 8 480c66.31 0 116-31.8 140.6-51.41C181.3 440.9 217.6 448 256 448C397.4 448 512 354.9 512 240S397.4 32 256 32zM167.3 271.9C163.9 291.1 146.3 304 121.1 304c-4.031 0-8.25-.3125-12.59-1C101.1 301.8 92.81 298.8 85.5 296.1c-8.312-3-14.06-12.66-11.09-20.97S85 261.1 93.38 264.9c6.979 2.498 14.53 5.449 20.88 6.438C125.7 273.1 135 271 135.8 266.4c1.053-5.912-10.84-8.396-24.56-12.34c-12.12-3.531-44.28-12.97-38.63-46c4.062-23.38 27.31-35.91 58-31.09c5.906 .9062 12.44 2.844 18.59 4.969c8.344 2.875 12.78 12 9.906 20.34C156.3 210.7 147.2 215.1 138.8 212.2c-4.344-1.5-8.938-2.938-13.09-3.594c-11.22-1.656-20.72 .4062-21.5 4.906C103.2 219.2 113.6 221.5 124.4 224.6C141.4 229.5 173.1 238.5 167.3 271.9zM320 288c0 8.844-7.156 16-16 16S288 296.8 288 288V240l-19.19 25.59c-6.062 8.062-19.55 8.062-25.62 0L224 240V288c0 8.844-7.156 16-16 16S192 296.8 192 288V192c0-6.875 4.406-12.1 10.94-15.18c6.5-2.094 13.71 .0586 17.87 5.59L256 229.3l35.19-46.93c4.156-5.531 11.4-7.652 17.87-5.59C315.6 179 320 185.1 320 192V288zM439.3 271.9C435.9 291.1 418.3 304 393.1 304c-4.031 0-8.25-.3125-12.59-1c-8.25-1.25-16.56-4.25-23.88-6.906c-8.312-3-14.06-12.66-11.09-20.97s10.59-13.16 18.97-10.19c6.979 2.498 14.53 5.449 20.88 6.438c11.44 1.719 20.78-.375 21.56-4.938c1.053-5.912-10.84-8.396-24.56-12.34c-12.12-3.531-44.28-12.97-38.63-46c4.031-23.38 27.25-35.91 58-31.09c5.906 .9062 12.44 2.844 18.59 4.969c8.344 2.875 12.78 12 9.906 20.34c-2.875 8.344-11.94 12.81-20.34 9.906c-4.344-1.5-8.938-2.938-13.09-3.594c-11.19-1.656-20.72 .4062-21.5 4.906C375.2 219.2 385.6 221.5 396.4 224.6C413.4 229.5 445.1 238.5 439.3 271.9z", "M124.4 224.6C113.6 221.5 103.2 219.2 104.2 213.5c.7813-4.5 10.28-6.562 21.5-4.906c4.156 .6562 8.75 2.094 13.09 3.594c8.375 2.906 17.47-1.562 20.34-9.906c2.875-8.344-1.562-17.47-9.906-20.34C143.1 179.8 136.5 177.9 130.6 177c-30.69-4.812-53.94 7.719-58 31.09c-5.656 33.03 26.5 42.47 38.63 46c13.72 3.947 25.62 6.432 24.56 12.34C135 271 125.7 273.1 114.3 271.4C107.9 270.4 100.4 267.4 93.38 264.9c-8.375-2.969-16 1.875-18.97 10.19S77.19 293.1 85.5 296.1C92.81 298.8 101.1 301.8 109.4 303C113.7 303.7 117.9 304 121.1 304c24.28 0 41.94-12.03 45.38-32.13C173.1 238.5 141.4 229.5 124.4 224.6zM309.1 176.8c-6.469-2.062-13.71 .0586-17.87 5.59L256 229.3L220.8 182.4C216.7 176.9 209.4 174.7 202.9 176.8C196.4 179 192 185.1 192 192v96c0 8.844 7.156 16 16 16S224 296.8 224 288V240l19.19 25.59c6.062 8.062 19.55 8.062 25.62 0L288 240V288c0 8.844 7.156 16 16 16S320 296.8 320 288V192C320 185.1 315.6 179 309.1 176.8zM396.4 224.6C385.6 221.5 375.2 219.2 376.2 213.5c.7813-4.5 10.31-6.562 21.5-4.906c4.156 .6562 8.75 2.094 13.09 3.594c8.406 2.906 17.47-1.562 20.34-9.906c2.875-8.344-1.562-17.47-9.906-20.34c-6.156-2.125-12.69-4.062-18.59-4.969c-30.75-4.812-53.97 7.719-58 31.09c-5.656 33.03 26.5 42.47 38.63 46c13.72 3.947 25.62 6.432 24.56 12.34c-.7813 4.562-10.12 6.656-21.56 4.938c-6.342-.9883-13.9-3.939-20.88-6.438c-8.375-2.969-16 1.875-18.97 10.19s2.781 17.97 11.09 20.97c7.312 2.656 15.62 5.656 23.88 6.906C385.7 303.7 389.9 304 393.1 304c24.28 0 41.94-12.03 45.38-32.13C445.1 238.5 413.4 229.5 396.4 224.6z"]],
    "comment-text": [512, 512, [], "e14d", ["M256 31.1c-141.4 0-255.1 93.13-255.1 208c0 49.62 21.35 94.98 56.97 130.7c-12.5 50.38-54.27 95.27-54.77 95.77c-2.25 2.25-2.875 5.734-1.5 8.734c1.25 3 4.021 4.766 7.271 4.766c66.25 0 115.1-31.76 140.6-51.39c32.63 12.25 69.03 19.39 107.4 19.39c141.4 0 255.1-93.13 255.1-207.1S397.4 31.1 256 31.1zM328 208h-48v104c0 13.25-10.75 23.1-24 23.1S232 325.3 232 312V208h-48C170.8 208 160 197.2 160 183.1S170.8 160 184 160h144C341.3 160 352 170.7 352 183.1S341.3 208 328 208z", "M328 160h-144C170.8 160 160 170.7 160 183.1S170.8 208 184 208h48v104c0 13.25 10.75 23.1 23.1 23.1S280 325.3 280 312V208h48C341.3 208 352 197.2 352 183.1S341.3 160 328 160z"]],
    "comment-xmark": [512, 512, ["comment-times"], "f4b5", ["M256 31.1c-141.4 0-255.1 93.13-255.1 208c0 49.63 21.35 94.98 56.97 130.7C44.5 421.1 2.729 465.1 2.229 466.5c-2.25 2.25-2.875 5.734-1.5 8.734C1.978 478.2 4.75 479.1 8 479.1c66.25 0 115.1-31.76 140.6-51.39c32.63 12.25 69.02 19.39 107.4 19.39c141.4 0 255.1-93.13 255.1-208S397.4 31.1 256 31.1zM336.1 287c9.375 9.375 9.375 24.56 0 33.94c-9.381 9.379-24.56 9.371-33.94 0l-47.03-47.03l-47.03 47.03c-9.381 9.379-24.56 9.371-33.94 0c-9.375-9.375-9.375-24.56 0-33.94L222.1 240L175 192.1c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0l47.03 47.03l47.03-47.03c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94L289.9 240L336.1 287z", "M175 320.1c9.373 9.371 24.56 9.379 33.94 0l47.03-47.03l47.03 47.03c9.373 9.371 24.56 9.379 33.94 0c9.375-9.375 9.375-24.56 0-33.94L289.9 240l47.03-47.03c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0l-47.03 47.03L208.1 159c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L222.1 240L175 287C165.7 296.4 165.7 311.6 175 320.1z"]],
    "comments": [640, 512, [61670, 128490], "f086", ["M208 0C93.13 0 0 78.8 0 176c0 39.57 15.62 75.96 41.67 105.4c-16.39 32.76-39.23 57.32-39.59 57.68c-2.1 2.205-2.67 5.475-1.441 8.354C1.9 350.3 4.602 352 7.66 352c38.35 0 70.76-11.12 95.74-24.04C134.2 343.1 169.8 352 208 352c114.9 0 208-78.8 208-176C416 78.8 322.9 0 208 0z", "M637.9 499c2.1 2.205 2.67 5.475 1.441 8.354C638.1 510.3 635.4 512 632.3 512c-36.25 0-67.1-9.98-91.49-21.98C513.3 503.1 481.7 512 448 512c-90.01 0-165.3-56.86-186.1-133.5C368.3 357.2 448 274.6 448 176c0-5.387-.4668-10.67-.9336-15.96C447.4 160 447.7 160 448 160c106 0 192 78.8 192 176c0 40.63-15.17 77.95-40.41 107.7C615.9 475.3 637.6 498.7 637.9 499z"]],
    "comments-dollar": [640, 512, [], "f653", ["M208 0C93.13 0 0 78.8 0 176c0 39.57 15.62 75.96 41.67 105.4c-16.39 32.76-39.23 57.32-39.59 57.68c-2.1 2.205-2.67 5.475-1.441 8.354C1.9 350.3 4.602 352 7.66 352c38.35 0 70.76-11.12 95.74-24.04C134.2 343.1 169.8 352 208 352c114.9 0 208-78.8 208-176C416 78.8 322.9 0 208 0zM269.8 218.3C266.2 239.2 250.4 252.1 228 257.7V268c0 11.03-8.953 20-20 20s-20-8.969-20-20V257.2c-8.682-1.922-17.3-4.723-25.06-7.512l-4.266-1.5C148.3 244.5 142.8 233.1 146.5 222.7c3.688-10.41 15.11-15.81 25.52-12.22l4.469 1.625c7.844 2.812 16.72 6 23.66 7.031C213.8 221.3 229 219.3 230.4 211.5C231.3 206.4 231.8 203.6 202.5 195.2L196.7 193.5c-17.33-5.094-57.92-17-50.52-59.84C149.8 112.8 165.6 98.76 188 93.99V84c0-11.03 8.953-20 20-20s20 8.969 20 20v10.63c5.453 1.195 11.34 2.789 18.56 5.273C257 103.5 262.5 114.9 258.9 125.4C255.3 135.8 243.8 141.3 233.4 137.7c-5.859-2.031-12-4-17.59-4.844C202.2 130.8 186.1 132.7 185.6 140.5C184.8 144.1 184.3 148.2 207.1 155.2L213.5 156.8C235.8 163.1 277.3 175 269.8 218.3z", "M213.5 156.8L207.1 155.2C184.3 148.2 184.8 144.1 185.6 140.5c1.375-7.812 16.59-9.719 30.27-7.625c5.594 .8438 11.73 2.812 17.59 4.844c10.39 3.594 21.83-1.938 25.45-12.34c3.625-10.44-1.891-21.84-12.33-25.47C239.3 97.42 233.5 95.83 228 94.63V84c0-11.03-8.953-20-20-20s-20 8.969-20 20v9.992C165.6 98.76 149.8 112.8 146.2 133.7C138.8 176.5 179.4 188.4 196.7 193.5L202.5 195.2C231.8 203.6 231.3 206.4 230.4 211.5C229 219.3 213.8 221.3 200.1 219.1C193.2 218.1 184.3 214.9 176.5 212.1L171.1 210.5C161.6 206.9 150.2 212.3 146.5 222.7C142.8 233.1 148.3 244.5 158.7 248.2l4.266 1.5C170.7 252.5 179.3 255.3 188 257.2V268c0 11.03 8.953 20 20 20s20-8.969 20-20V257.7c22.36-4.793 38.21-18.53 41.83-39.43C277.3 175 235.8 163.1 213.5 156.8zM599.6 443.7C624.8 413.9 640 376.6 640 336C640 238.8 554 160 448 160c-.3145 0-.6191 .041-.9336 .043C447.5 165.3 448 170.6 448 176c0 98.62-79.68 181.2-186.1 202.5C282.7 455.1 357.1 512 448 512c33.69 0 65.32-8.008 92.85-21.98C565.2 502 596.1 512 632.3 512c3.059 0 5.76-1.725 7.02-4.605c1.229-2.879 .6582-6.148-1.441-8.354C637.6 498.7 615.9 475.3 599.6 443.7z"]],
    "comments-question": [640, 512, [], "e14e", ["M208 0C93.13 0 0 78.8 0 176c0 39.57 15.62 75.96 41.67 105.4c-16.39 32.76-39.23 57.32-39.59 57.68c-2.1 2.205-2.67 5.475-1.441 8.354C1.9 350.3 4.602 352 7.66 352c38.35 0 70.76-11.12 95.74-24.04C134.2 343.1 169.8 352 208 352c114.9 0 208-78.8 208-176C416 78.8 322.9 0 208 0zM208.5 288C194.7 288 184 277.3 184 263.5c0-13.77 10.71-24.47 24.47-24.47c13.77 0 24.47 10.71 24.47 24.47C232.9 277.3 222.2 288 208.5 288zM261.1 171.4L226.8 192.8v1.529c0 9.941-8.412 18.35-18.35 18.35S190.1 204.3 190.1 194.4V182.1c0-6.117 3.059-12.23 9.176-16.06l43.59-26C248.2 137 251.3 131.6 251.3 125.5c0-9.178-7.648-16.82-16.82-16.82H194.7c-9.178 0-16.82 7.646-16.82 16.82c0 9.941-8.412 18.35-18.35 18.35c-9.941 0-18.35-8.412-18.35-18.35C141.2 95.71 164.9 72 194.7 72h39.76C264.3 72 288 95.71 288 125.5C288 143.9 278.1 161.5 261.1 171.4z", "M234.5 108.7c9.176 0 16.82 7.646 16.82 16.82c0 6.117-3.059 11.47-8.412 14.53l-43.59 26C193.2 169.9 190.1 176 190.1 182.1v12.23c0 9.941 8.41 18.35 18.35 18.35s18.35-8.412 18.35-18.35V192.8l35.18-21.41C278.1 161.5 288 143.9 288 125.5C288 95.71 264.3 72 234.5 72H194.7c-29.82 0-53.53 23.71-53.53 53.53c0 9.941 8.412 18.35 18.35 18.35c9.939 0 18.35-8.412 18.35-18.35c0-9.178 7.646-16.82 16.82-16.82H234.5zM208.5 239.1C194.7 239.1 184 249.8 184 263.5C184 277.3 194.7 288 208.5 288c13.77 0 24.47-10.71 24.47-24.47C232.9 249.8 222.2 239.1 208.5 239.1zM599.6 443.7C624.8 413.9 640 376.6 640 336C640 238.8 554 160 448 160c-.3145 0-.6191 .041-.9336 .043C447.5 165.3 448 170.6 448 176c0 98.62-79.68 181.2-186.1 202.5C282.7 455.1 357.1 512 448 512c33.69 0 65.32-8.008 92.85-21.98C565.2 502 596.1 512 632.3 512c3.059 0 5.76-1.725 7.02-4.605c1.229-2.879 .6582-6.148-1.441-8.354C637.6 498.7 615.9 475.3 599.6 443.7z"]],
    "comments-question-check": [640, 512, [], "e14f", ["M208 0C93.13 0 0 78.8 0 176c0 39.57 15.62 75.96 41.67 105.4c-16.39 32.76-39.23 57.32-39.59 57.68c-2.1 2.205-2.67 5.475-1.441 8.354C1.9 350.3 4.602 352 7.66 352c38.35 0 70.76-11.12 95.74-24.04C134.2 343.1 169.8 352 208 352c114.9 0 208-78.8 208-176C416 78.8 322.9 0 208 0zM208.5 288C194.7 288 184 277.3 184 263.5c0-13.77 10.71-24.47 24.47-24.47c13.77 0 24.47 10.71 24.47 24.47C232.9 277.3 222.2 288 208.5 288zM261.1 171.4L226.8 192.8v1.529c0 9.941-8.412 18.35-18.35 18.35S190.1 204.3 190.1 194.4V182.1c0-6.117 3.059-12.23 9.176-16.06l43.59-26C248.2 137 251.3 131.6 251.3 125.5c0-9.178-7.648-16.82-16.82-16.82H194.7c-9.178 0-16.82 7.646-16.82 16.82c0 9.941-8.412 18.35-18.35 18.35c-9.941 0-18.35-8.412-18.35-18.35C141.2 95.71 164.9 72 194.7 72h39.76C264.3 72 288 95.71 288 125.5C288 143.9 278.1 161.5 261.1 171.4z", "M234.5 108.7c9.176 0 16.82 7.646 16.82 16.82c0 6.117-3.059 11.47-8.412 14.53l-43.59 26C193.2 169.9 190.1 176 190.1 182.1v12.23c0 9.941 8.41 18.35 18.35 18.35s18.35-8.412 18.35-18.35V192.8l35.18-21.41C278.1 161.5 288 143.9 288 125.5C288 95.71 264.3 72 234.5 72H194.7c-29.82 0-53.53 23.71-53.53 53.53c0 9.941 8.412 18.35 18.35 18.35c9.939 0 18.35-8.412 18.35-18.35c0-9.178 7.646-16.82 16.82-16.82H234.5zM208.5 239.1C194.7 239.1 184 249.8 184 263.5C184 277.3 194.7 288 208.5 288c13.77 0 24.47-10.71 24.47-24.47C232.9 249.8 222.2 239.1 208.5 239.1zM599.6 443.7C624.8 413.9 640 376.6 640 336C640 238.8 554 160 448 160c-.3145 0-.6191 .041-.9336 .043C447.5 165.3 448 170.6 448 176c0 98.62-79.68 181.2-186.1 202.5C282.7 455.1 357.1 512 448 512c33.69 0 65.32-8.008 92.85-21.98C565.2 502 596.1 512 632.3 512c3.059 0 5.76-1.725 7.02-4.605c1.229-2.879 .6582-6.148-1.441-8.354C637.6 498.7 615.9 475.3 599.6 443.7zM542.5 317.8l-84 88c-3.719 3.891-8.859 6.125-14.23 6.188c-5.297 0-10.62-2.109-14.38-5.859l-40-40c-7.812-7.812-7.812-20.47 0-28.28s20.47-7.812 28.28 0l25.53 25.53l69.86-73.2c7.656-8 20.3-8.297 28.28-.6562C549.8 297.2 550.1 309.8 542.5 317.8z"]],
    "compact-disc": [512, 512, [128192, 128440, 128191], "f51f", ["M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM96.15 241.4C95.4 249.6 88.77 256 80.72 256H79.63C70.55 256 63.23 247.1 64.06 238.7c8.299-92.64 82.43-166.6 175.2-174.6C248.3 63.28 256 70.74 256 80.09c0 8.348-6.215 15.27-14.27 15.99C164.7 102.9 103.1 164.3 96.15 241.4zM256 351.1c-53.02 0-96-43-96-95.1s42.98-96 96-96s96 43 96 96S309 351.1 256 351.1z", "M256 159.1c-53.02 0-96 43-96 96s42.98 95.1 96 95.1s96-43 96-95.1S309 159.1 256 159.1zM256 288C238.3 288 224 273.8 224 256s14.3-32 32-32s32 14.25 32 32S273.7 288 256 288z"]],
    "compass": [512, 512, [129517], "f14e", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM162.4 380.6L306.7 325.1C315.2 321.9 321.9 315.2 325.1 306.7L380.6 162.4C388.1 142.1 369 123.9 349.6 131.4L205.3 186.9C196.8 190.1 190.1 196.8 186.9 205.3L131.4 349.6C123.9 369 142.1 388.1 162.4 380.6V380.6z", "M131.4 349.6L186.9 205.3C190.1 196.8 196.8 190.1 205.3 186.9L349.6 131.4C369 123.9 388.1 142.1 380.6 162.4L325.1 306.7C321.9 315.2 315.2 321.9 306.7 325.1L162.4 380.6C142.1 388.1 123.9 369 131.4 349.6V349.6zM255.1 287.1C273.7 287.1 288 273.7 288 255.1C288 238.3 273.7 223.1 255.1 223.1C238.3 223.1 223.1 238.3 223.1 255.1C223.1 273.7 238.3 287.1 255.1 287.1z"]],
    "compass-drafting": [512, 512, ["drafting-compass"], "f568", ["M66.49 312.9C53.66 301.6 41.84 289.3 31.18 276C20.13 262.2 22.34 242.1 36.13 231C49.92 219.1 70.06 222.2 81.12 235.1C86.79 243.1 92.87 249.8 99.34 256.1L66.49 312.9zM155.3 365.9L187.9 309.5C209.4 316.3 232.3 320 255.1 320C326.7 320 389.8 287.3 430.9 235.1C441.9 222.2 462.1 219.1 475.9 231C489.7 242.1 491.9 262.2 480.8 276C428.1 341.8 346.1 384 255.1 384C220.6 384 186.6 377.6 155.3 365.9H155.3z", "M412.7 256.1C387.1 280.3 357.7 298.8 324.1 309.5L256 192H255.1L98.65 463.7C93.95 471.8 86.97 478.4 78.58 482.6L23.16 510.3C18.2 512.8 12.31 512.5 7.588 509.6C2.871 506.7 0 501.5 0 496V440.6C0 432.2 2.228 423.9 6.46 416.5L168.8 136.2C163.1 123.9 160 110.3 160 96C160 42.98 202.1 0 256 0C309 0 352 42.98 352 96C352 110.3 348.9 123.9 343.2 136.2L412.7 256.1zM255.1 64C238.3 64 223.1 78.33 223.1 96C223.1 113.7 238.3 128 255.1 128C273.7 128 288 113.7 288 96C288 78.33 273.7 64 255.1 64zM356.7 365.9C389.6 353.6 419.6 335.5 445.5 312.9L505.5 416.5C509.8 423.9 512 432.2 512 440.6V496C512 501.5 509.1 506.7 504.4 509.6C499.7 512.5 493.8 512.8 488.8 510.3L433.4 482.6C425 478.4 418 471.8 413.3 463.7L356.7 365.9z"]],
    "compass-slash": [640, 512, [], "f5e9", ["M397.1 285.9L444.6 162.4C452.1 142.1 433 123.9 413.6 131.4L270.3 186.5L134.2 79.88C180.9 30.68 246.8 0 320 0C461.4 0 576 114.6 576 256C576 306.1 561.1 354.5 535.4 394.4L397.1 285.9zM64 256C64 222.4 70.49 190.2 82.28 160.8L224.8 273.1L195.4 349.6C187.9 369 206.1 388.1 226.4 380.6L317 345.8L468.1 464.8C426.3 494.5 375.2 512 320 512C178.6 512 64 397.4 64 255.1V256z", "M5.112 9.194C13.29-1.238 28.37-3.067 38.81 5.11L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.194V9.194z"]],
    "compress": [448, 512, [], "f066", ["M128 320H32c-17.69 0-32 14.31-32 32s14.31 32 32 32h64v64c0 17.69 14.31 32 32 32s32-14.31 32-32v-96C160 334.3 145.7 320 128 320zM416 128h-64V64c0-17.69-14.31-32-32-32s-32 14.31-32 32v96c0 17.69 14.31 32 32 32h96c17.69 0 32-14.31 32-32S433.7 128 416 128z", "M416 320h-96c-17.69 0-32 14.31-32 32v96c0 17.69 14.31 32 32 32s32-14.31 32-32v-64h64c17.69 0 32-14.31 32-32S433.7 320 416 320zM128 32C110.3 32 96 46.31 96 64v64H32C14.31 128 0 142.3 0 160s14.31 32 32 32h96c17.69 0 32-14.31 32-32V64C160 46.31 145.7 32 128 32z"]],
    "compress-wide": [512, 512, [], "f326", ["M128 288H32c-17.69 0-32 14.31-32 32s14.31 32 32 32h64v64c0 17.69 14.31 32 32 32s32-14.31 32-32v-96C160 302.3 145.7 288 128 288zM480 160h-64V96c0-17.69-14.31-32-32-32s-32 14.31-32 32v96c0 17.69 14.31 32 32 32h96c17.69 0 32-14.31 32-32S497.7 160 480 160z", "M128 64C110.3 64 96 78.31 96 96v64H32C14.31 160 0 174.3 0 192s14.31 32 32 32h96c17.69 0 32-14.31 32-32V96C160 78.31 145.7 64 128 64zM480 288h-96c-17.69 0-32 14.31-32 32v96c0 17.69 14.31 32 32 32s32-14.31 32-32v-64h64c17.69 0 32-14.31 32-32S497.7 288 480 288z"]],
    "computer": [640, 512, [], "e4e5", ["M592 32C618.5 32 640 53.49 640 80V432C640 458.5 618.5 480 592 480H528C501.5 480 480 458.5 480 432V80C480 53.49 501.5 32 528 32H592zM544 96C535.2 96 528 103.2 528 112C528 120.8 535.2 128 544 128H576C584.8 128 592 120.8 592 112C592 103.2 584.8 96 576 96H544zM544 192H576C584.8 192 592 184.8 592 176C592 167.2 584.8 160 576 160H544C535.2 160 528 167.2 528 176C528 184.8 535.2 192 544 192zM560 400C577.7 400 592 385.7 592 368C592 350.3 577.7 336 560 336C542.3 336 528 350.3 528 368C528 385.7 542.3 400 560 400z", "M400 32C426.5 32 448 53.49 448 80V336C448 362.5 426.5 384 400 384H266.7L277.3 416H352C369.7 416 384 430.3 384 448C384 465.7 369.7 480 352 480H96C78.33 480 64 465.7 64 448C64 430.3 78.33 416 96 416H170.7L181.3 384H48C21.49 384 0 362.5 0 336V80C0 53.49 21.49 32 48 32H400zM64 96V320H384V96H64z"]],
    "computer-classic": [448, 512, [], "f8b1", ["M416 0H32C14.38 0 0 14.38 0 32L0 400c0 8.875 7.125 16 16 16h416c8.875 0 16-7.125 16-16V32C448 14.38 433.6 0 416 0zM80 356c-11 0-20-9-20-20S69 316 80 316s20 9 20 20S91 356 80 356zM383.1 344c0 4.375-3.625 8-8 8h-144c-4.375 0-8-3.625-8-8L224 328c0-4.375 3.625-8 8-8h144c4.375 0 8 3.625 8 8L383.1 344zM384 224c0 17.62-14.38 32-32 32H96C78.38 256 64 241.6 64 224V96c0-17.62 14.38-32 32-32h256c17.62 0 32 14.38 32 32V224zM32 512h384v-64H32V512z", "M384 224c0 17.62-14.38 32-32 32H96C78.38 256 64 241.6 64 224V96c0-17.62 14.38-32 32-32h256c17.62 0 32 14.38 32 32V224z"]],
    "computer-mouse": [384, 512, [128433, "mouse"], "f8cc", ["M176 0H160C71.63 0 0 71.63 0 160v32h176V0zM0 352c0 88.38 71.63 160 160 160h64c88.38 0 160-71.63 160-160V224H0V352zM224 0h-16v192H384V160C384 71.63 312.4 0 224 0z", "M384 192v32H0V192h176V0h32v192H384z"]],
    "computer-mouse-scrollwheel": [384, 512, ["mouse-alt"], "f8cd", ["M224 0H160c-88.38 0-160 71.62-160 160v192c0 88.38 71.62 160 160 160h64c88.38 0 160-71.63 160-160V160C384 71.62 312.4 0 224 0zM224 159.1C224 177.6 209.6 192 192 192C174.4 192 160 177.6 160 159.1V127.1c0-17.62 14.38-32 32-32c17.62 0 32 14.38 32 32V159.1z", "M224 159.1C224 177.6 209.6 192 192 192C174.4 192 160 177.6 160 159.1V127.1c0-17.62 14.38-32 32-32c17.62 0 32 14.38 32 32V159.1z"]],
    "computer-speaker": [640, 512, [], "f8b2", ["M592 32h-224c-25.6 0-48 22.4-48 48v352c0 25.6 22.4 48 48 48H592c25.6 0 48-22.4 48-48v-352C640 54.4 617.6 32 592 32zM480 96c19.2 0 31.1 12.8 31.1 32c0 19.2-12.8 32-31.1 32s-32-12.8-32-32C447.1 108.8 460.8 96 480 96zM480 416c-54.4 0-96-41.6-96-96s41.6-96 96-96s96 41.6 96 96S534.4 416 480 416zM288 416H128c-19.2 0-32 12.8-32 32c0 19.2 12.8 32 32 32h176C294.4 467.2 288 448 288 432V416zM0 80L0 336C0 361.6 22.4 384 48 384H288v-64H64L63.1 96H288V80C288 64 294.4 44.8 304 32h-256C22.4 32 0 54.4 0 80z", "M480 160c19.2 0 31.1-12.8 31.1-32c0-19.2-12.8-32-31.1-32s-32 12.8-32 32C447.1 147.2 460.8 160 480 160zM480 224c-54.4 0-96 41.6-96 96s41.6 96 96 96s96-41.6 96-96S534.4 224 480 224zM480 368c-25.6 0-48-22.4-48-48s22.4-48 48-48s48 22.4 48 48S505.6 368 480 368zM64 320h224V96H63.1L64 320z"]],
    "container-storage": [640, 512, [], "f4b7", ["M48 96v320h544V96H48zM112 368v-224h32v224H112zM208 368v-224h32v224H208zM304 368v-224h32v224H304zM400 368v-224h32v224H400zM496 368v-224h32v224H496z", "M592 416h-544C39.25 416 32 423.3 32 432l0 32c0 8.75 7.25 16 16 16h544c8.75 0 16-7.25 16-16v-32C608 423.3 600.8 416 592 416zM592 32h-544C39.25 32 31.1 39.25 31.1 48L32 80C32 88.75 39.25 96 48 96h544C600.8 96 608 88.75 608 80v-32C608 39.25 600.8 32 592 32z"]],
    "conveyor-belt": [640, 512, [], "f46e", ["M544 320h-448c-54.4 0-96 41.6-96 96s41.6 96 96 96h448c54.4 0 96-41.6 96-96S598.4 320 544 320zM128 448c-19.2 0-32-12.8-32-32s12.8-32 32-32s31.1 12.8 31.1 32S147.2 448 128 448zM319.1 448c-19.2 0-32-12.8-32-32s12.8-32 32-32s32 12.8 32 32S339.2 448 319.1 448zM512 448c-19.2 0-32-12.8-32-32S492.8 384 512 384s32 12.8 32 32S531.2 448 512 448zM384 128V0H256v128l64-32L384 128z", "M480 0h-96v128l-64-32L256 128V0H160C142.3 0 128 14.33 128 32v192c0 17.67 14.33 32 32 32h320c17.67 0 32-14.33 32-32V32C512 14.33 497.7 0 480 0z"]],
    "conveyor-belt-boxes": [640, 512, ["conveyor-belt-alt"], "f46f", ["M544 320H96c-54.4 0-96 41.6-96 96s41.6 96 96 96h448c54.4 0 96-41.6 96-96S598.4 320 544 320zM128 448c-19.2 0-32-12.8-32-32s12.8-32 32-32s32 12.8 32 32S147.2 448 128 448zM320 448c-19.2 0-32-12.8-32-32s12.8-32 32-32s32 12.8 32 32S339.2 448 320 448zM512 448c-19.2 0-32-12.8-32-32s12.8-32 32-32s32 12.8 32 32S531.2 448 512 448z", "M288 0H96C78.33 0 64 14.33 64 32v192c0 17.67 14.33 32 32 32h192c17.67 0 32-14.33 32-32V32C320 14.33 305.7 0 288 0zM544 64h-128c-17.67 0-32 14.33-32 32v128c0 17.67 14.33 32 32 32h128c17.67 0 32-14.33 32-32V96C576 78.33 561.7 64 544 64z"]],
    "conveyor-belt-empty": [640, 512, [], "e150", ["M544 320H96c-54.4 0-96 41.6-96 96s41.6 96 96 96h448c54.4 0 96-41.6 96-96S598.4 320 544 320zM128 448c-19.2 0-32-12.8-32-32s12.8-32 32-32s32 12.8 32 32S147.2 448 128 448zM320 448c-19.2 0-32-12.8-32-32s12.8-32 32-32s32 12.8 32 32S339.2 448 320 448zM512 448c-19.2 0-32-12.8-32-32s12.8-32 32-32s32 12.8 32 32S531.2 448 512 448z", ""]],
    "cookie": [512, 512, [127850], "f563", ["M494.5 254.8l-11.37-71.48c-4.102-25.9-16.29-49.8-34.8-68.32l-51.33-51.33c-18.52-18.52-42.3-30.7-68.2-34.8L256.9 17.53C231.2 13.42 204.7 17.64 181.5 29.48L116.7 62.53C93.23 74.36 74.36 93.35 62.41 116.7L29.51 181.2c-11.84 23.44-16.08 50.04-11.98 75.94l11.37 71.48c4.101 25.9 16.29 49.77 34.8 68.41l51.33 51.33c18.52 18.4 42.3 30.61 68.2 34.72l71.84 11.37c25.78 4.102 52.27-.1173 75.47-11.95l64.8-33.05c23.32-11.84 42.3-30.82 54.26-54.14l32.81-64.57C494.4 307.3 498.6 280.8 494.5 254.8zM176 367.1c-17.62 0-31.1-14.37-31.1-31.1c0-17.62 14.37-31.1 31.1-31.1s31.1 14.37 31.1 31.1C208 353.6 193.6 367.1 176 367.1zM208 208c-17.62 0-31.1-14.37-31.1-31.1s14.38-31.1 31.1-31.1c17.62 0 31.1 14.37 31.1 31.1S225.6 208 208 208zM368 335.1c-17.62 0-31.1-14.37-31.1-31.1c0-17.62 14.37-31.1 31.1-31.1s31.1 14.37 31.1 31.1C400 321.6 385.6 335.1 368 335.1z", "M176 303.1c-17.62 0-31.1 14.37-31.1 31.1c0 17.62 14.37 31.1 31.1 31.1s31.1-14.37 31.1-31.1C208 318.4 193.6 303.1 176 303.1zM208 144c-17.62 0-31.1 14.37-31.1 31.1s14.37 31.1 31.1 31.1s31.1-14.37 31.1-31.1S225.6 144 208 144zM368 271.1c-17.62 0-31.1 14.37-31.1 31.1c0 17.62 14.37 31.1 31.1 31.1s31.1-14.37 31.1-31.1C400 286.4 385.6 271.1 368 271.1z"]],
    "cookie-bite": [512, 512, [], "f564", ["M494.6 255.9c-65.63-.8203-118.6-54.14-118.6-119.9c-65.74 0-119.1-52.97-119.8-118.6c-25.66-3.867-51.8 .2346-74.77 12.07L116.7 62.41C93.35 74.36 74.36 93.35 62.41 116.7L29.6 181.2c-11.95 23.44-16.17 49.92-12.07 75.94l11.37 71.48c4.102 25.9 16.29 49.8 34.81 68.32l51.36 51.39C133.6 466.9 157.3 479 183.2 483.1l71.84 11.37c25.9 4.101 52.27-.1172 75.59-11.95l64.81-33.05c23.32-11.84 42.31-30.82 54.14-54.14l32.93-64.57C494.3 307.7 498.5 281.4 494.6 255.9zM176 367.1c-17.62 0-32-14.37-32-31.1s14.38-31.1 32-31.1s32 14.37 32 31.1S193.6 367.1 176 367.1zM208 208c-17.62 0-32-14.37-32-31.1s14.38-31.1 32-31.1s32 14.37 32 31.1S225.6 208 208 208zM368 335.1c-17.62 0-32-14.37-32-31.1s14.38-31.1 32-31.1s32 14.37 32 31.1S385.6 335.1 368 335.1z", "M176 303.1c-17.62 0-32 14.37-32 31.1s14.38 31.1 32 31.1s32-14.37 32-31.1S193.6 303.1 176 303.1zM208 144c-17.62 0-32 14.37-32 31.1s14.38 31.1 32 31.1s32-14.37 32-31.1S225.6 144 208 144zM368 271.1c-17.62 0-32 14.37-32 31.1s14.38 31.1 32 31.1s32-14.37 32-31.1S385.6 271.1 368 271.1z"]],
    "copy": [512, 512, [], "f0c5", ["M512 96v240c0 26.51-21.49 48-48 48h-192c-26.51 0-48-21.49-48-48v-288c0-26.51 21.49-48 48-48H416v96H512z", "M192 352V128h-144c-26.51 0-48 21.49-48 48v288c0 26.51 21.49 48 48 48h192c26.51 0 48-21.49 48-48L288 416h-32C220.7 416 192 387.3 192 352zM416 0v96h96L416 0z"]],
    "copyright": [512, 512, [169], "f1f9", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM199.2 312.6c14.94 15.06 34.8 23.38 55.89 23.38c.0313 0 0 0 0 0c21.06 0 40.92-8.312 55.83-23.38c9.375-9.375 24.53-9.469 33.97-.1562c9.406 9.344 9.469 24.53 .1562 33.97c-24 24.22-55.95 37.56-89.95 37.56c0 0 .0313 0 0 0c-33.97 0-65.95-13.34-89.95-37.56c-49.44-49.88-49.44-131 0-180.9c24-24.22 55.98-37.56 89.95-37.56c.0313 0 0 0 0 0c34 0 65.95 13.34 89.95 37.56c9.312 9.438 9.25 24.62-.1562 33.97c-9.438 9.344-24.59 9.188-33.97-.1562c-14.91-15.06-34.77-23.38-55.83-23.38c0 0 .0313 0 0 0c-21.09 0-40.95 8.312-55.89 23.38C168.3 230.6 168.3 281.4 199.2 312.6z", "M199.2 312.6c14.94 15.06 34.8 23.38 55.89 23.38c.0313 0 0 0 0 0c21.06 0 40.92-8.312 55.83-23.38c9.375-9.375 24.53-9.469 33.97-.1562c9.406 9.344 9.469 24.53 .1562 33.97c-24 24.22-55.95 37.56-89.95 37.56c0 0 .0313 0 0 0c-33.97 0-65.95-13.34-89.95-37.56c-49.44-49.88-49.44-131 0-180.9c24-24.22 55.98-37.56 89.95-37.56c.0313 0 0 0 0 0c34 0 65.95 13.34 89.95 37.56c9.312 9.438 9.25 24.62-.1562 33.97c-9.438 9.344-24.59 9.188-33.97-.1562c-14.91-15.06-34.77-23.38-55.83-23.38c0 0 .0313 0 0 0c-21.09 0-40.95 8.312-55.89 23.38C168.3 230.6 168.3 281.4 199.2 312.6z"]],
    "corn": [512, 512, [127805], "f6c7", ["M489.9 79.83c8.875 9.875 13.13 24.25 8.875 38.38c-4.125 13.38-14.63 23.38-27.13 27.13c7 11 8.625 25 2.875 37.88c-5.75 12.75-17.25 20.75-30.13 23c5.75 11.5 5.5 25.63-1.625 37.5c-6.625 11.75-18.88 18.88-31.63 19.75c4.5 11.88 3.251 25.63-4.751 36.88c-1.5 2-3.25 3.625-4.875 5.25c-51.25-28.5-110.1-37.5-166.5-28.13c9.375-56.38-.0002-115.3-28.38-166.4C209 107.1 211.8 105.2 215 102.8C226.1 94.83 240.3 93.58 252.1 98.08c.875-12.5 7.1-24.63 19.75-31.38c11.88-7 26-7 37.5-1.625c2.25-12.5 10.63-24 23.38-29.75c12.75-5.375 26.88-3.875 37.75 3.25c3.875-12.88 14.13-23.13 27.5-26.88c14.13-4.25 28.5 .0005 38.38 9.5c7.375-14 22.5-22.63 39.13-21c21.75 1.875 37.75 20.38 36.38 41.88v3.125C511.3 60.58 502.4 73.45 489.9 79.83z", "M423.9 359.1c-88.01-76.63-221.5-73.01-305.3 10.75l-67.88 67.88L96.01 483.9c37.5 37.5 98.26 37.5 135.8 0l90.51-90.51l97.63-19.5C426.4 372.5 428.8 364.2 423.9 359.1zM201 284.9c15.5-67.76-.7491-141.3-49-196.8C147.8 83.2 139.5 85.58 138.1 91.95l-19.5 97.76L28.13 280.2c-37.5 37.5-37.5 98.26 0 135.8l67.88-67.88C126.4 317.7 162.6 296.7 201 284.9z"]],
    "corner": [448, 512, [], "e3fe", ["M416 384c-17.69 0-32-14.31-32-32V224H32C14.31 224 0 209.7 0 192s14.31-32 32-32h384c17.69 0 32 14.31 32 32v160C448 369.7 433.7 384 416 384z", ""]],
    "couch": [640, 512, [], "f4b8", ["M128 272V320h384V272c0-38.63 27.53-70.95 64-78.38V160c0-70.69-57.31-128-128-128H191.1c-70.69 0-128 57.31-128 128L64 193.6C100.5 201.1 128 233.4 128 272z", "M592 224C565.5 224 544 245.5 544 272V352H96V272C96 245.5 74.51 224 48 224S0 245.5 0 272v192C0 472.8 7.164 480 16 480h64c8.836 0 15.1-7.164 15.1-16L96 448h448v16c0 8.836 7.164 16 16 16h64c8.836 0 16-7.164 16-16v-192C640 245.5 618.5 224 592 224z"]],
    "cow": [640, 512, [128004], "f6c8", ["M96 115.2C83.2 121.6 73.6 134.4 70.4 153.6V256c0 35.2-28.8 64-64 64H0V288c0-19.2 9.6-38.4 25.6-48V153.6C25.6 102.4 64 64 112 64H160C131.2 64 102.4 86.4 96 115.2zM332.8 300.8C320 281.6 294.4 272 272 272C224 272 195.2 313.6 192 348.8V352c9.6 9.6 19.2 16 32 22.4V400C224 409.6 230.4 416 240 416S256 409.6 256 400V384c9.6 0 12.8 3.2 32 0L288 400C288 409.6 294.4 416 304 416s16-6.4 16-16v-25.6C332.8 368 342.4 361.6 352 352C352 332.8 345.6 316.8 332.8 300.8z", "M633.6 275.2L624 262.4l.0021-76.66c0-9.6-6.402-16.14-16-16.14c-3.2 0-6.4 0-6.4 3.2C592 179.2 582.4 185.6 576 195.2l-67.2-89.6C489.6 80 460.8 64 432 64H160C124.8 64 96 92.8 96 128l.0002 304c0 9.6 6.401 16 16 16h63.1c9.6 0 16-6.4 16-16L192 352c0-44.8 35.2-80 80-80S352 307.2 352 352l.0012 80c0 9.6 6.4 16 15.1 16h64c9.6 0 16-6.4 16-16V256l31.1 32l.0006 41.55c0 12.8 3.198 25.65 9.598 35.25l41.6 60.8c16 22.4 44.8 28.8 64 12.8c9.6-6.4 19.2-19.2 19.2-28.8L640 300.8C640 291.2 640 284.8 633.6 275.2zM377.6 166.4l-22.4 22.4C332.8 211.2 304.1 224 272.1 224S211.2 211.2 188.8 188.8L166.4 166.4C150.4 150.4 163.3 128 188.9 128h166.2C380.7 128 393.6 150.4 377.6 166.4zM576 352c-9.6 0-16-6.4-16-16s6.4-16 16-16s16 6.4 16 16S585.6 352 576 352z"]],
    "cowbell": [448, 512, [], "f8b3", ["M112 40C112 17.91 129.9 0 152 0H296C318.1 0 336 17.91 336 40V96C358 96 377.2 110.1 382.6 132.4L446.6 388.4C450.2 402.7 446.9 417.9 437.8 429.5C428.7 441.2 414.8 448 400 448H48C33.22 448 19.26 441.2 10.17 429.5C1.07 417.9-2.152 402.7 1.433 388.4L65.43 132.4C70.78 110.1 89.97 96 111.1 96L112 40zM160 96H288V48H160V96z", "M160 448H288C288 483.3 259.3 512 224 512C188.7 512 160 483.3 160 448z"]],
    "cowbell-circle-plus": [576, 512, ["cowbell-more"], "f8b4", ["M127.1 40C127.1 17.91 145.9 0 167.1 0H279.1C302.1 0 320 17.91 320 40V96H336C357.4 96 376.3 110.2 382.2 130.8L400.4 194.8C318.3 209.7 255.1 281.6 255.1 368C255.1 384.6 258.3 400.7 262.6 416H47.1C32.94 416 18.75 408.9 9.679 396.9C.6086 384.9-2.291 369.3 1.847 354.8L65.85 130.8C71.73 110.2 90.57 96 112 96H128L127.1 40zM175.1 96H271.1V48H175.1V96zM275.2 448C278.3 454.1 281.8 459.1 285.5 465.6C277.9 492.4 253.2 512 223.1 512C188.7 512 159.1 483.3 159.1 448H275.2z", "M576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM416 303.1V351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H416V431.1C416 440.8 423.2 447.1 432 447.1C440.8 447.1 448 440.8 448 431.1V383.1H496C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1H448V303.1C448 295.2 440.8 287.1 432 287.1C423.2 287.1 416 295.2 416 303.1z"]],
    "crab": [512, 512, [129408], "e3ff", ["M208 128C199.2 128 192 135.2 192 144l.001 49.17C196.1 192.8 200.2 192 204.4 192h19.7L224 144C224 135.2 216.8 128 208 128zM48 304h26.58c1.674-11.23 4.984-21.89 9.33-32H51.78L23.16 257.7c-7.906-3.891-17.5-.7656-21.47 7.156C-2.25 272.8 .9375 282.4 8.844 286.3l32 16C43.06 303.4 45.53 304 48 304zM172.1 437.3l-5.516-5.516l-30.85 18.51C130.9 453.2 128 458.4 128 464v32C128 504.8 135.2 512 144 512S160 504.8 160 496v-22.94L201.8 448H198.1C188.4 448 179 444.1 172.1 437.3zM93.79 358.9l-9.939-9.939c-4.799-4.799-7.477-10.96-9.041-17.46l-15.88 5.291c-2.344 .7813-4.5 2.109-6.25 3.859l-32 32c-6.25 6.25-6.25 16.38 0 22.62C23.81 398.4 27.91 400 32 400s8.188-1.562 11.31-4.688l29.34-29.33L93.79 358.9zM124.5 389.6l-33.56 11.19c-2.344 .7813-4.5 2.109-6.25 3.859l-32 32c-6.25 6.25-6.25 16.38 0 22.62C55.81 462.4 59.91 464 64 464s8.188-1.562 11.31-4.688l29.34-29.33l45.14-15.05L124.5 389.6zM345.4 431.8l-5.516 5.516C332.1 444.1 323.7 448 313.1 448h-3.752L352 473.1V496c0 8.844 7.156 16 16 16s16-7.156 16-16v-32c0-5.625-2.938-10.83-7.781-13.72L345.4 431.8zM320 144C320 135.2 312.8 128 304 128S288 135.2 288 144V192h19.72c4.18 0 8.202 .7808 12.28 1.167L320 144zM459.3 340.7c-1.75-1.75-3.906-3.078-6.25-3.859l-15.88-5.291c-1.564 6.494-4.242 12.66-9.041 17.46l-9.939 9.939l21.14 7.049l29.34 29.33C471.8 398.4 475.9 400 480 400s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L459.3 340.7zM510.3 264.8c-3.969-7.922-13.53-11.08-21.47-7.156L460.2 272h-32.13c4.346 10.11 7.656 20.77 9.33 32H464c2.469 0 4.938-.5781 7.156-1.688l32-16C511.1 282.4 514.3 272.8 510.3 264.8zM427.3 404.7c-1.75-1.75-3.906-3.078-6.25-3.859l-33.56-11.19l-25.29 25.29l45.13 15.05l29.34 29.33C439.8 462.4 443.9 464 448 464s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L427.3 404.7z", "M511.1 128v64c0 9.297-5.375 17.75-13.78 21.72L417.5 251.7c13.41 20.57 21.35 45.04 21.35 71.43c0 9.699-3.852 19-10.71 25.86l-88.29 88.29C332.1 444.1 323.7 448 313.1 448H198.1c-9.699 0-19.09-3.854-25.95-10.71l-88.29-88.29c-6.857-6.857-10.69-16.16-10.69-25.86c0-26.39 7.936-50.86 21.35-71.43L13.79 213.7C5.379 209.8 .0039 201.3 .0039 192V128c0-70.69 57.3-128 127.1-128h63.1l-63.1 64h63.1c0 35.35-28.65 64-63.1 64h-79.1v48.77l81.87 38.53C151 200.7 176.7 192 204.4 192h103.3c27.67 0 53.25 8.666 74.41 23.29l81.87-38.53V128h-79.1C348.7 128 319.1 99.35 319.1 64h63.1l-63.1-64h63.1C454.7 0 511.1 57.31 511.1 128z"]],
    "crate-apple": [512, 512, ["apple-crate"], "f6b1", ["M424.1 80.63c-18.13-3-51.88 6.125-72.5 17.62c-17-9.5-42.38-16.87-61.13-17.75c1.875 2.25 3.875 4.125 5.5 6.625c20.88 30.12 25.75 72.25 22.25 104.9h159.7C483.3 152.5 472.9 89.38 424.1 80.63zM210.5 50.5c11.38-12.25 14.5-32 13.25-50.25c-12.88-.875-35.63-.125-50 13.25C157.3 30.13 160 59.88 160.5 63.75C179 65 198.3 61.88 210.5 50.5zM402.3 50.5c11.25-12.25 14.38-32 13.25-50.25c-13-.875-35.75-.125-50.13 13.25c-16.5 16.62-13.75 46.38-13.12 50.25C370.6 65 389.1 61.88 402.3 50.5zM232.5 80.63C214.4 77.63 180.6 86.8 160 98.3c-20.62-11.5-54.38-20.67-72.5-17.67C38.88 89.38 28.46 152.9 33.71 192h252.6C291.5 152.5 281.1 89.38 232.5 80.63z", "M0 496c0 8.875 7.125 16 16 16h480c8.875 0 16-7.125 16-16v-112H0V496zM448 431.1c8.875 0 16 7.126 16 16s-7.125 16-16 16s-16-7.126-16-16S439.1 431.1 448 431.1zM64 431.1c8.875 0 16 7.125 16 16S72.88 464 64 464s-16-7.125-16-16S55.13 431.1 64 431.1zM496 224h-480c-8.875 0-16 7.125-16 16v112h512V240C512 231.1 504.9 224 496 224zM64 303.1c-8.875 0-16-7.123-16-15.1s7.125-16 16-16s16 7.122 16 15.1S72.88 303.1 64 303.1zM448 303.1c-8.875 0-16-7.125-16-16S439.1 272 448 272s16 7.125 16 16S456.9 303.1 448 303.1z"]],
    "crate-empty": [512, 512, [], "e151", ["", "M0 496c0 8.875 7.125 16 16 16h480c8.875 0 16-7.125 16-16v-112H0V496zM448 431.1c8.875 0 16 7.126 16 16s-7.125 16-16 16s-16-7.126-16-16S439.1 431.1 448 431.1zM64 431.1c8.875 0 16 7.125 16 16S72.88 464 64 464s-16-7.125-16-16S55.13 431.1 64 431.1zM496 224h-480c-8.875 0-16 7.125-16 16v112h512V240C512 231.1 504.9 224 496 224zM64 303.1c-8.875 0-16-7.123-16-15.1s7.125-16 16-16s16 7.122 16 15.1S72.88 303.1 64 303.1zM448 303.1c-8.875 0-16-7.125-16-16S439.1 272 448 272s16 7.125 16 16S456.9 303.1 448 303.1z"]],
    "credit-card": [576, 512, [62083, 128179, "credit-card-alt"], "f09d", ["M512 32C547.3 32 576 60.65 576 96V128H0V96C0 60.65 28.65 32 64 32H512zM576 416C576 451.3 547.3 480 512 480H64C28.65 480 0 451.3 0 416V224H576V416zM112 352C103.2 352 96 359.2 96 368C96 376.8 103.2 384 112 384H176C184.8 384 192 376.8 192 368C192 359.2 184.8 352 176 352H112zM240 384H368C376.8 384 384 376.8 384 368C384 359.2 376.8 352 368 352H240C231.2 352 224 359.2 224 368C224 376.8 231.2 384 240 384z", "M576 224H0V128H576V224z"]],
    "credit-card-blank": [576, 512, [], "f389", ["M176 352C184.8 352 192 359.2 192 368C192 376.8 184.8 384 176 384H112C103.2 384 96 376.8 96 368C96 359.2 103.2 352 112 352H176zM368 352C376.8 352 384 359.2 384 368C384 376.8 376.8 384 368 384H240C231.2 384 224 376.8 224 368C224 359.2 231.2 352 240 352H368z", "M512 32C547.3 32 576 60.65 576 96V416C576 451.3 547.3 480 512 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H512zM112 384H176C184.8 384 192 376.8 192 368C192 359.2 184.8 352 176 352H112C103.2 352 96 359.2 96 368C96 376.8 103.2 384 112 384zM240 384H368C376.8 384 384 376.8 384 368C384 359.2 376.8 352 368 352H240C231.2 352 224 359.2 224 368C224 376.8 231.2 384 240 384z"]],
    "credit-card-front": [576, 512, [], "f38a", ["M464 288C472.8 288 480 295.2 480 304C480 312.8 472.8 320 464 320H112C103.2 320 96 312.8 96 304C96 295.2 103.2 288 112 288H464zM96 368C96 359.2 103.2 352 112 352H176C184.8 352 192 359.2 192 368C192 376.8 184.8 384 176 384H112C103.2 384 96 376.8 96 368zM224 368C224 359.2 231.2 352 240 352H368C376.8 352 384 359.2 384 368C384 376.8 376.8 384 368 384H240C231.2 384 224 376.8 224 368z", "M0 96C0 60.65 28.65 32 64 32H512C547.3 32 576 60.65 576 96V416C576 451.3 547.3 480 512 480H64C28.65 480 0 451.3 0 416V96zM112 288C103.2 288 96 295.2 96 304C96 312.8 103.2 320 112 320H464C472.8 320 480 312.8 480 304C480 295.2 472.8 288 464 288H112zM112 384H176C184.8 384 192 376.8 192 368C192 359.2 184.8 352 176 352H112C103.2 352 96 359.2 96 368C96 376.8 103.2 384 112 384zM240 384H368C376.8 384 384 376.8 384 368C384 359.2 376.8 352 368 352H240C231.2 352 224 359.2 224 368C224 376.8 231.2 384 240 384zM408 96C394.7 96 384 106.7 384 120V168C384 181.3 394.7 192 408 192H488C501.3 192 512 181.3 512 168V120C512 106.7 501.3 96 488 96H408z"]],
    "cricket-bat-ball": [512, 512, [127951, "cricket"], "f449", ["M345 319.1l-182.4 182.4c-5.867 5.863-13.81 9.594-22.03 9.594c-31.73 0-140.6-37.81-140.6-140.6c0-8.217 3.731-16.15 9.592-22.02l182.4-182.4v153L345 319.1z", "M415.1 237.6c0-7.07-2.697-14.14-8.092-19.54l-34.35-34.35l129.1-129.1c6.25-6.25 9.374-14.44 9.374-22.62C511.1 13.72 497.1 0 480 0c-8.188 0-16.38 3.124-22.62 9.374l-129.1 129.1l-34.35-34.35c-5.395-5.393-12.46-8.09-19.54-8.09S260.3 98.69 254.9 104.1L191.1 166.1v153l153-.002l62.89-62.88C413.3 251.7 415.1 244.6 415.1 237.6zM431.1 352c-44.25 0-80 35.75-80 79.1c0 44.25 35.75 79.1 80 79.1s80-35.75 80-79.1C511.1 387.8 476.2 352 431.1 352z"]],
    "croissant": [512, 512, [129360], "f7f6", ["M13.95 266.5c-3.193 0-6.385-3.204-9.578-3.204c-12.77 60.87 3.193 124.9 38.31 172.1C49.07 442.7 58.64 449.1 65.03 449.1h3.193c6.385 0 12.77-3.204 19.16-6.407l121.3-96.11c6.385-3.204 9.578-9.611 9.578-16.02L13.95 266.5zM448.1 67.89c0-9.611-6.385-16.02-12.77-22.43c-47.89-38.44-111.7-51.26-172.4-38.44c0 3.204 3.193 6.407 3.193 9.611l63.85 208.2c6.385-3.204 12.77-6.407 15.96-9.611l95.78-121.7C448.1 83.91 448.1 74.3 448.1 67.89z", "M508.8 180c-9.578-25.63-25.54-51.26-44.7-70.48l-76.62 99.31l86.2 16.02C489.7 228.1 508.8 215.3 512 199.2C512 192.8 512 186.4 508.8 180zM234.2 23.04C231 7.021 215.1-2.59 195.9 .6138c-95.78 25.63-169.2 99.31-194.8 195.4C-2.017 212.1 7.561 228.1 23.52 234.5l207.5 64.07c12.77 3.204 22.35 0 31.93-6.407l28.73-28.83c9.578-9.611 12.77-19.22 6.385-32.04L234.2 23.04zM208.7 388.3l-98.97 76.89c19.16 19.22 44.7 35.24 70.24 44.85c15.96 6.407 35.12-3.204 41.5-19.22c3.193-3.204 3.193-9.611 3.193-16.02L208.7 388.3z"]],
    "crop": [512, 512, [], "f125", ["M457.4 9.372C469.9-3.124 490.1-3.124 502.6 9.372C515.1 21.87 515.1 42.13 502.6 54.63L445.8 111.4C439.9 89.4 422.6 72.06 400.6 66.17L457.4 9.372zM384 128V173.3L173.3 384H352V448H128C92.65 448 64 419.3 64 384V32C64 14.33 78.33 0 96 0C113.7 0 128 14.33 128 32V338.7L338.7 128H384zM448 384H480C497.7 384 512 398.3 512 416C512 433.7 497.7 448 480 448H448V384z", "M64 64V128H32C14.33 128 0 113.7 0 96C0 78.33 14.33 64 32 64H64zM384 128H160V64H384C419.3 64 448 92.65 448 128V480C448 497.7 433.7 512 416 512C398.3 512 384 497.7 384 480V128z"]],
    "crop-simple": [512, 512, ["crop-alt"], "f565", ["M128 384H352V448H128C92.65 448 64 419.3 64 384V32C64 14.33 78.33 0 96 0C113.7 0 128 14.33 128 32V384zM480 384C497.7 384 512 398.3 512 416C512 433.7 497.7 448 480 448H448V384H480z", "M64 64V128H32C14.33 128 0 113.7 0 96C0 78.33 14.33 64 32 64H64zM384 128H160V64H384C419.3 64 448 92.65 448 128V480C448 497.7 433.7 512 416 512C398.3 512 384 497.7 384 480V128z"]],
    "cross": [384, 512, [128327, 10013], "f654", ["M224 0H160C142.4 0 128 14.38 128 32v96h128V32C256 14.38 241.6 0 224 0zM128 480c0 17.62 14.38 32 32 32h64c17.62 0 32-14.38 32-32V256H128V480z", "M383.1 160v64c0 17.62-14.37 32-31.1 32h-320C14.37 256-.0008 241.6-.0008 224V160c0-17.62 14.38-32 32-32h320C369.6 128 383.1 142.4 383.1 160z"]],
    "crosshairs": [512, 512, [], "f05b", ["M42.35 224C56.27 130.3 130.3 56.27 224 42.36V107.4C165.7 119.9 119.9 165.7 107.4 224H42.35zM107.4 288C119.9 346.3 165.7 392.1 224 404.6V469.6C130.3 455.7 56.27 381.7 42.35 288H107.4zM288 469.6V404.6C346.3 392.1 392.1 346.3 404.6 288H469.6C455.7 381.7 381.7 455.7 288 469.6V469.6zM404.6 224C392.1 165.7 346.3 119.9 288 107.4V42.36C381.7 56.27 455.7 130.3 469.6 224H404.6z", "M256 0C273.7 0 288 14.33 288 32V128C288 145.7 273.7 160 256 160C238.3 160 224 145.7 224 128V32C224 14.33 238.3 0 256 0zM288 256C288 273.7 273.7 288 256 288C238.3 288 224 273.7 224 256C224 238.3 238.3 224 256 224C273.7 224 288 238.3 288 256zM384 288C366.3 288 352 273.7 352 256C352 238.3 366.3 224 384 224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H384zM256 352C273.7 352 288 366.3 288 384V480C288 497.7 273.7 512 256 512C238.3 512 224 497.7 224 480V384C224 366.3 238.3 352 256 352zM32 288C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H128C145.7 224 160 238.3 160 256C160 273.7 145.7 288 128 288H32z"]],
    "crosshairs-simple": [512, 512, [], "e59f", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 448C362 448 448 362 448 256C448 149.1 362 64 256 64C149.1 64 64 149.1 64 256C64 362 149.1 448 256 448z", "M288 128C288 145.7 273.7 160 256 160C238.3 160 224 145.7 224 128V66.65C234.4 64.91 245.1 64 256 64C266.9 64 277.6 64.91 288 66.65V128zM66.65 288C64.91 277.6 64 266.9 64 256C64 245.1 64.91 234.4 66.65 224H128C145.7 224 160 238.3 160 256C160 273.7 145.7 288 128 288H66.65zM224 445.3V384C224 366.3 238.3 352 256 352C273.7 352 288 366.3 288 384V445.3C277.6 447.1 266.9 448 256 448C245.1 448 234.4 447.1 224 445.3zM448 256C448 266.9 447.1 277.6 445.3 288H384C366.3 288 352 273.7 352 256C352 238.3 366.3 224 384 224H445.3C447.1 234.4 448 245.1 448 256z"]],
    "crow": [640, 512, [], "f520", ["M544 120V88C544 66.73 536.5 47.22 523.9 32H574C603.4 32 628.1 51.99 636.1 80.48L640 96L544 120zM355.2 383.1C372.2 383.7 388.6 381.2 404.2 376.8L446.2 478.9C451.2 491.1 445.4 505.1 433.1 510.2C420.9 515.2 406.9 509.4 401.8 497.1L355.2 383.1zM259.2 384H311.1L350.2 478.9C355.2 491.1 349.4 505.1 337.1 510.2C324.9 515.2 310.9 509.4 305.8 497.1L259.2 384z", "M544 87.1V191.1C544 298 458 384 352 384H126.1L51.51 441.4C37.5 452.1 17.41 449.5 6.638 435.5C-4.138 421.5-1.517 401.4 12.49 390.6L368 117.2V88C368 39.4 407.4 0 456 0C504.6 0 544 39.4 544 88V87.1zM456 111.1C469.3 111.1 480 101.3 480 87.1C480 74.74 469.3 63.1 456 63.1C442.7 63.1 432 74.74 432 87.1C432 101.3 442.7 111.1 456 111.1z"]],
    "crown": [576, 512, [128081], "f521", ["M288 32C265.9 32 247.1 49.91 247.1 72s17.91 40 40 40s40-17.91 40-40S310.1 32 288 32zM39.1 96c-22.09 0-40 17.91-40 40s17.91 40 40 40s40-17.91 40-40S62.09 96 39.1 96zM536 96c-22.09 0-40 17.91-40 40s17.91 40 40 40S576 158.1 576 136S558.1 96 536 96z", "M39.1 176c.2461 0 .459-.1164 .7051-.1203C40.46 175.9 40.25 176 39.1 176zM535.3 175.9C535.5 175.9 535.8 176 536 176C535.8 176 535.5 175.9 535.3 175.9zM504.5 159.6l-89.63 71.7c-15.91 12.73-39.5 7.546-48.61-10.68l-57.6-115.2C302.6 109.2 295.7 112 287.1 112S273.4 109.2 267.3 105.4L209.7 220.6c-9.111 18.22-32.71 23.4-48.61 10.68l-89.63-71.7C64.3 169.1 53.48 175.6 40.71 175.9l50.52 277.8C93.99 468.9 107.2 480 122.7 480h330.6c15.46 0 28.72-11.06 31.48-26.27l50.52-277.9C522.5 175.6 511.7 169.1 504.5 159.6z"]],
    "crutch": [512, 512, [], "f7f7", ["M502.6 168.1l-159.6-159.5c-12.54-12.54-32.85-12.6-45.46-.1256c-12.68 12.54-12.73 33.1-.1256 45.71l159.6 159.5c12.6 12.59 33.03 12.57 45.59-.0628C515.1 201.9 515.1 181.5 502.6 168.1z", "M411.1 168.7l-76.69 76.7l-67.88-67.87l76.69-76.69l-45.25-45.25L166.7 186.8C154.1 199.6 145.2 215.6 141.1 233.2L113.3 353.4l-108.6 108.6c-6.25 6.25-6.25 16.37 0 22.62l22.63 22.62c6.25 6.25 16.38 6.25 22.63 0l108.6-108.6l120.3-27.75c17.5-4.125 33.63-12.1 46.38-25.62l131.2-131.3L411.1 168.7zM279.9 300.1c-4.25 4.125-9.625 7.125-15.5 8.5l-79.25 18.25l18.25-79.25C204.8 241.7 207.8 236.3 211.9 232.1l9.375-9.25l67.88 67.87L279.9 300.1z"]],
    "crutches": [640, 512, [], "f7f8", ["M214.6 55.02c6.28-6.278 9.418-14.54 9.418-22.79C223.1 6.952 200.9 0 191.8 0C183.5 0 175.3 3.149 168.1 9.442L9.429 168.1C3.144 175.3 .0001 183.5 .0001 191.7c0 8.209 3.121 16.42 9.366 22.7c6.292 6.327 14.62 9.553 22.89 9.553c8.238 0 16.48-3.142 22.76-9.428l.5742-.5734l131.2 131.3c2.963 2.934 6.648 4.918 9.951 7.437l15.45-15.45l10.71-46.64L100.9 168.7L168.7 100.9l85.84 85.83C259.6 178.7 265.3 171 272.1 164.2l25.29-25.25L213.1 55.61L214.6 55.02zM222.9 290.7L222.9 290.7L222.9 290.7zM639.1 191.7c0-8.239-3.144-16.48-9.428-22.76l-159.6-159.5C464.7 3.149 456.5 0 448.2 0c-9.229 0-32.21 7.171-32.21 32.23c0 8.255 3.138 16.51 9.418 22.79l159.6 159.5c6.287 6.286 14.53 9.428 22.76 9.428c8.267 0 16.53-3.163 22.83-9.49C636.8 208.2 639.1 199.1 639.1 191.7zM438.6 393.4c-7.879 3.621-16.01 6.738-24.58 8.758l-46.44 10.72l94.49 94.49C465.2 510.4 469.3 512 473.4 512c4.094 0 8.188-1.562 11.31-4.687l22.63-22.62c3.125-3.125 4.687-7.219 4.687-11.31c0-4.094-1.563-8.187-4.688-11.31L438.6 393.4z", "M539.1 168.7l-76.69 76.69l-67.88-67.87l76.69-76.69L426 55.62L294.7 186.8C282.1 199.6 273.2 215.6 269.1 233.2l-27.75 120.2L132.7 462.1c-3.125 3.125-4.688 7.219-4.688 11.31c0 4.094 1.564 8.187 4.689 11.31l22.63 22.62C158.4 510.4 162.5 512 166.6 512c4.094 0 8.188-1.562 11.31-4.687l108.6-108.6l120.3-27.75c17.5-4.125 33.63-12.1 46.38-25.62l131.2-131.3L539.1 168.7zM407.9 300.1c-4.25 4.125-9.625 7.125-15.5 8.5l-79.25 18.25l18.25-79.25c1.375-5.875 4.375-11.25 8.5-15.5l9.375-9.25l67.88 67.87L407.9 300.1z"]],
    "cruzeiro-sign": [384, 512, [], "e152", ["M160 402.7V256C160 238.3 174.3 224 192 224C199.7 224 206.8 226.7 212.3 231.3C223 226.6 234.8 224 247.3 224C264.5 224 281.3 229.1 295.7 238.7L305.8 245.4C320.5 255.2 324.4 275 314.6 289.8C304.8 304.5 284.1 308.4 270.2 298.6L260.2 291.9C256.4 289.4 251.9 288 247.3 288C234.4 288 224 298.4 224 311.3V416C201.2 416 179.6 411.2 160 402.7z", "M224 96C135.6 96 63.1 167.6 63.1 256C63.1 344.4 135.6 416 224 416C264.1 416 302.3 400.6 330.7 375.3C343.8 363.5 364.1 364.6 375.8 377.8C387.6 390.9 386.5 411.2 373.3 422.1C333.7 458.4 281.4 480 224 480C100.3 480 0 379.7 0 256C0 132.3 100.3 32 224 32C281.4 32 333.7 53.59 373.3 89.04C386.5 100.8 387.6 121.1 375.8 134.2C364.1 147.4 343.8 148.5 330.7 136.7C302.3 111.4 264.1 96 224 96V96z"]],
    "crystal-ball": [448, 512, [], "e362", ["M224 1.781C100.3 1.781 0 100.2 0 224c0 62.88 26.12 119.4 67.88 159.1L380.1 384C421.8 343.4 448 286.9 448 224.9C448 101.1 347.7 1.781 224 1.781zM205.8 132.4l-28.91 11.5L164.5 173.8C163 175.9 161.4 176.9 160.9 176.9s-2.969-1-3.594-2.25L144.9 144.8L115.1 132.4C113.9 131.8 112.9 130.3 112.9 128.9s1-3 2.219-3.562l29.78-12.44l12.41-29.81c.5938-1.188 1.281-2.188 3.594-2.188c2.281 0 2.094 1 2.688 2.188l12.44 29.81l29.78 12.38C207 125.9 208 127.5 208 128.9C208 130.2 207 131.8 205.8 132.4zM380.3 213.9l-49.63 20.75l-20.72 49.63C308.1 286.3 306.3 288 304 288c-2.312-.0625-4.906-.8125-5.906-2.812L277.4 235.5l-49.63-20.69c-2-1-3.656-3.688-3.656-5.938c0-2.188 1.594-5 3.594-6l49.41-20.62l.4062-.375l20.59-49.31C299.1 130.5 301.7 128.9 304 128.9c2.281 0 4.969 1.625 5.969 3.688l20.72 49.63l49.63 20.69C382.3 203.9 384 206.6 384 207.9C384 211.1 382.3 213.8 380.3 213.9z", "M409.7 460.7c4.425 5.935 6.424 12.6 6.424 19.09C416.1 496.4 403 512 384.1 512H64.04c-18.96 0-32.05-15.6-32.05-32.54c0-6.621 1.998-13.48 6.424-19.68L71.35 416h304.7L409.7 460.7z"]],
    "cube": [512, 512, [], "f1b2", ["M224 246.6V434.6L64 377.4V189.4L224 246.6zM448 377.4L288 434.6V246.6L448 189.4V377.4z", "M234.5 5.709C248.4 .7377 263.6 .7377 277.5 5.709L469.5 74.28C494.1 83.38 512 107.5 512 134.6V377.4C512 404.5 494.1 428.6 469.5 437.7L277.5 506.3C263.6 511.3 248.4 511.3 234.5 506.3L42.47 437.7C17 428.6 0 404.5 0 377.4V134.6C0 107.5 17 83.38 42.47 74.28L234.5 5.709zM256 65.98L82.34 128L256 190L429.7 128L256 65.98zM224 434.6V246.6L64 189.4V377.4L224 434.6zM288 434.6L448 377.4V189.4L288 246.6V434.6z"]],
    "cubes": [576, 512, [], "f1b3", ["M264 151.7V240.9L184 210.6V121L264 151.7zM392 210.6L312 240.9V151.7L392 121V210.6zM256 419.1L176 454.3V353.9L256 323.2V419.1zM48 323.2L128 353.9V454.3L52.78 421.2C49.88 419.9 48 417.1 48 413.9V323.2zM528 323.2V413.9C528 417.1 526.1 419.9 523.2 421.2L448 454.3V353.9L528 323.2zM320 419.1V323.2L400 353.9V454.3L320 419.1z", "M288 457.5L174.5 507.3C160.2 513.7 143.8 513.7 129.5 507.3L33.46 465.1C13.13 456.2 0 436.1 0 413.9V294.7C0 271.5 14.39 250.6 36.15 242.4L132.1 205.1C133.4 205.5 134.7 205.1 136 204.7V92.52C136 69.25 150.4 48.41 172.1 40.16L268.1 3.76C280.9-1.089 295.1-1.089 307.9 3.76L403.9 40.16C425.6 48.41 440 69.25 440 92.52V204.7C441.3 205.1 442.6 205.5 443.9 205.1L539.9 242.4C561.6 250.6 576 271.5 576 294.7V413.9C576 436.1 562.9 456.2 542.5 465.1L446.5 507.3C432.2 513.7 415.8 513.7 401.5 507.3L288 457.5zM290.8 48.64C289 47.95 286.1 47.95 285.2 48.64L206.8 78.35L287.1 109.5L369.2 78.35L290.8 48.64zM264 240.9V151.7L184 121V210.6L264 240.9zM312 240.9L392 210.6V121L312 151.7V240.9zM70.81 280.6L152 311.7L233.2 280.6L154.8 250.9C153 250.2 150.1 250.2 149.2 250.9L70.81 280.6zM176 454.3L256 419.1V323.2L176 353.9V454.3zM128 353.9L48 323.2V413.9C48 417.1 49.88 419.9 52.78 421.2L128 454.3V353.9zM342.8 280.6L424 311.7L505.2 280.6L426.8 250.9C425 250.2 422.1 250.2 421.2 250.9L342.8 280.6zM523.2 421.2C526.1 419.9 528 417.1 528 413.9V323.2L448 353.9V454.3L523.2 421.2zM320 323.2V419.1L400 454.3V353.9L320 323.2z"]],
    "cubes-stacked": [448, 512, [], "e4e6", ["M70.96 250.7C62.12 235.4 67.36 215.8 82.67 206.1L138.1 174.1C153.4 166.1 172.1 171.4 181.8 186.7L213.8 242.1C222.6 257.4 217.4 276.1 202.1 285.8L146.7 317.8C131.4 326.7 111.8 321.4 102.1 306.1L70.96 250.7zM320 384C320 366.3 334.3 352 352 352H416C433.7 352 448 366.3 448 384V448C448 465.7 433.7 480 416 480H352C334.3 480 320 465.7 320 448V384zM96 352C113.7 352 128 366.3 128 384V448C128 465.7 113.7 480 96 480H32C14.33 480 0 465.7 0 448V384C0 366.3 14.33 352 32 352H96z", "M288 32C305.7 32 320 46.33 320 64V128C320 145.7 305.7 160 288 160H224C206.3 160 192 145.7 192 128V64C192 46.33 206.3 32 224 32H288zM256 224C256 206.3 270.3 192 288 192H352C369.7 192 384 206.3 384 224V288C384 305.7 369.7 320 352 320H288C270.3 320 256 305.7 256 288V224zM160 384C160 366.3 174.3 352 192 352H256C273.7 352 288 366.3 288 384V448C288 465.7 273.7 480 256 480H192C174.3 480 160 465.7 160 448V384z"]],
    "cucumber": [512, 512, [129362], "e401", ["M304.1 251.1c-11.04 0-20.01 8.969-20.01 20s8.972 20 20.01 20c11.04 0 20.01-8.969 20.01-20S315.2 251.1 304.1 251.1zM400.2 91.99c-11.04 0-20.01 8.969-20.01 20s8.972 20 20.01 20c11.04 0 20.01-8.969 20.01-20S411.2 91.99 400.2 91.99zM144.1 283.1c-11.04 0-20.01 8.969-20.01 20s8.972 20 20.01 20s20.01-8.969 20.01-20S155.1 283.1 144.1 283.1z", "M474.7 37.48c-49.96-49.97-131.1-49.97-181.1 0L169.2 161.8C166.3 160.9 163.3 159.1 160.1 159.1c-17.68 0-32.01 14.33-32.01 32c0 3.242 .9473 6.191 1.846 9.141L37.52 293.5c-50.02 50-50.02 131 0 181C62.49 499.5 95.29 512 128.1 512c31.01 0 61.83-11.59 86.24-33.98c3.131 1.023 6.322 1.977 9.797 1.977c17.68 0 32.01-14.33 32.01-32c0-3.242-.9473-6.191-1.844-9.141l184.8-184.7c2.949 .8965 5.898 1.846 9.143 1.846c17.68 0 32.01-14.33 32.01-32c0-3.475-.9531-6.664-1.977-9.797C524.3 163.1 523.4 86.13 474.7 37.48zM144.1 323.1c-11.04 0-20.01-8.969-20.01-20s8.973-20 20.01-20c11.04 0 20.01 8.969 20.01 20S155.1 323.1 144.1 323.1zM304.1 291.1c-11.04 0-20.01-8.969-20.01-20s8.973-20 20.01-20s20.01 8.969 20.01 20S315.2 291.1 304.1 291.1zM400.2 131.1c-11.04 0-20.01-8.969-20.01-20s8.973-20 20.01-20s20.01 8.971 20.01 20S411.2 131.1 400.2 131.1z"]],
    "cup-straw": [384, 512, [129380], "e363", ["M32 192l29.12 291.2C62.76 499.5 76.52 512 92.96 512h198.1c16.44 0 30.21-12.46 31.84-28.82L352 192H32z", "M384 175.1L383.1 143.1c0-8.875-7.125-15.1-15.1-15.1l-145.2-.0002l20-80l45.27-.0012c8.875 0 16-7.125 16-15.1l-.0195-15.1c0-8.875-7.123-16-15.1-16l-51.52 .0002c-18.38 0-34.36 12.49-38.73 30.24L173.3 127.1l-157.3 .0002C7.123 127.1 0 135.1 0 143.1v31.1c0 8.875 7.125 16 16 16h352C376.9 191.1 384 184.9 384 175.1z"]],
    "cup-straw-swoosh": [384, 512, [], "e364", ["M32 192l29.12 291.2C62.76 499.5 76.52 512 92.96 512h198.1c16.44 0 30.21-12.46 31.84-28.82L352 192H32zM309.4 296.9c-33.61 2.209-65.46 20.59-90.15 53.53c-34.33 45.77-82.24 72.27-131.9 73.38L82.56 376h1.564c36.03 0 70.38-19.31 96.67-54.41c34.7-46.26 83.25-72.91 133.4-73.49L309.4 296.9z", "M384 175.1L383.1 143.1c0-8.875-7.125-15.1-15.1-15.1l-145.2-.0002l20-80l45.27-.0012c8.875 0 16-7.125 16-15.1l-.0195-15.1c0-8.875-7.123-16-15.1-16l-51.52 .0002c-18.38 0-34.36 12.49-38.73 30.24L173.3 127.1l-157.3 .0002C7.123 127.1 0 135.1 0 143.1v31.1c0 8.875 7.125 16 16 16h352C376.9 191.1 384 184.9 384 175.1z"]],
    "cup-togo": [448, 512, ["coffee-togo"], "f6c5", ["M74.88 482.6C76.25 499.3 90.13 512 106.8 512h234.5c16.62 0 30.5-12.75 31.88-29.38L378.7 416H69.32L74.88 482.6zM45.33 128l10.66 128h336l10.66-128H45.33z", "M432 64H416l-23.12-46.25C387.4 6.875 376.4 0 364.3 0h-280.5C71.63 0 60.63 6.875 55.13 17.75L32 64H16C7.125 64 0 71.13 0 80v32C0 120.9 7.125 128 16 128h416C440.9 128 448 120.9 448 112v-32C448 71.13 440.9 64 432 64zM69.32 416h309.4l13.33-160H55.1L69.32 416z"]],
    "cupcake": [448, 512, [129473], "e402", ["M447.1 213.6C447.1 233.3 440.2 252.3 426.2 266.2C412.3 280.2 393.3 288 373.6 288H74.4C56.74 287.1 39.66 281.7 26.22 270.3C12.77 258.8 3.834 242.1 1.002 225.5C-1.829 208.1 1.63 190.2 10.76 175.1C19.89 160 34.1 148.6 50.85 143L95.1 128C95.1 111 102.7 94.75 114.7 82.75C126.7 70.74 143 64 159.1 64H197.5C204.9 63.99 212.2 61.79 218.3 57.66C224.5 53.54 229.3 47.69 232.1 40.84C234.9 33.99 235.7 26.46 234.2 19.19C232.8 11.92 229.2 5.245 223.1 0C257.9 0 290.5 13.49 314.5 37.49C338.5 61.5 351.1 94.05 351.1 128L397.1 143C411.1 147.1 424.8 157.5 433.1 170.1C443.1 182.8 447.1 197.1 447.1 213.6H447.1z", "M123.9 320L147.9 512H123.1C115.5 511.1 108.2 509.3 102.4 504.4C96.65 499.5 92.79 492.7 91.55 485.2L64 320H123.9zM156.1 320H291.9L267.9 512H180.1L156.1 320zM384 320L356.4 485.2C355.2 492.7 351.4 499.5 345.6 504.4C339.8 509.3 332.5 511.1 324.9 512H300.1L324.1 320H384z"]],
    "curling-stone": [576, 512, [129356, "curling"], "f44a", ["M0 384c0 53.02 42.98 96 96 96h384c53.02 0 96-42.98 96-96v-16H0L0 384zM480 224h-384c-53.02 0-96 42.98-96 96L0 336h576V320C576 266.1 533 224 480 224z", "M480 224h-384c0-35.35 28.65-64 64-64V128c0-53.02 42.98-96 96-96h128C401.7 32 416 46.33 416 63.1S401.7 96 384 96H256C238.3 96 224 110.3 224 128v32h192C451.3 160 480 188.7 480 224z"]],
    "custard": [576, 512, [127854], "e403", ["M456.1 207.1L483.6 224.5L512 351.1H64L92.38 224.3L119 207.1C135.1 197.6 155.5 192.2 175.3 192.2C195.2 192.2 214.7 197.6 231.7 207.1C248.6 218.4 268.1 223.8 288 223.8C307.9 223.8 327.4 218.4 344.3 207.1C361.3 197.6 380.8 192.2 400.7 192.2C420.5 192.2 440 197.6 456.1 207.1z", "M571.3 388.7C574.3 391.7 576 395.8 576 400C576 412.7 570.9 424.9 561.9 433.9C552.9 442.9 540.7 448 528 448H48C35.27 448 23.06 442.9 14.06 433.9C5.057 424.9 0 412.7 0 400C0 395.8 1.686 391.7 4.686 388.7C7.687 385.7 11.76 384 16 384H560C564.2 384 568.3 385.7 571.3 388.7zM175.3 192.2C155.5 192.2 135.1 197.6 119 208L92.38 224.4L119.6 101.6C122 90.95 127.9 81.43 136.4 74.6C144.9 67.76 155.5 64.02 166.4 64H409.6C420.5 64.03 431.1 67.79 439.6 74.66C448.1 81.52 454 91.08 456.4 101.8L483.6 224.5L456.1 208C440 197.6 420.5 192.2 400.7 192.2C380.8 192.2 361.3 197.6 344.3 208C327.4 218.4 307.9 223.8 288 223.8C268.1 223.8 248.6 218.4 231.7 208C214.7 197.6 195.2 192.2 175.3 192.2z"]],
    "d": [384, 512, [100], "44", ["M160 32.01L32 32.01c-17.67 0-32 14.33-32 32v384c0 17.67 14.33 32 32 32l128-.0073c123.5 0 224-100.5 224-224S283.5 32.01 160 32.01zM160 416H64v-320h96c88.22 0 160 71.78 160 159.1S248.2 416 160 416z", ""]],
    "dagger": [384, 512, [], "f6cb", ["M128 428.9l50.73 76c6.25 9.5 20.25 9.5 26.62 0L256 428.9V192H128V428.9z", "M336 128H224V16C224 7.125 216.9 0 208 0h-32C167.1 0 160 7.125 160 16V128H48C21.5 128 0 149.5 0 176S21.5 224 48 224c20.88 0 38.5-13.38 45-32h198C297.5 210.6 315.1 224 336 224C362.5 224 384 202.5 384 176S362.5 128 336 128z"]],
    "dash": [512, 512, ["minus-large"], "e404", ["M512 256c0 17.67-14.33 32-32 32H32C14.33 288 0 273.7 0 256s14.33-32 32-32h448C497.7 224 512 238.3 512 256z", ""]],
    "database": [448, 512, [], "f1c0", ["M448 80V128C448 172.2 347.7 208 224 208C100.3 208 0 172.2 0 128V80C0 35.82 100.3 0 224 0C347.7 0 448 35.82 448 80zM393.2 214.7C413.1 207.3 433.1 197.8 448 186.1V288C448 332.2 347.7 368 224 368C100.3 368 0 332.2 0 288V186.1C14.93 197.8 34.02 207.3 54.85 214.7C99.66 230.7 159.5 240 224 240C288.5 240 348.3 230.7 393.2 214.7V214.7zM54.85 374.7C99.66 390.7 159.5 400 224 400C288.5 400 348.3 390.7 393.2 374.7C413.1 367.3 433.1 357.8 448 346.1V432C448 476.2 347.7 512 224 512C100.3 512 0 476.2 0 432V346.1C14.93 357.8 34.02 367.3 54.85 374.7z", "M0 186.1V128C0 172.2 100.3 208 224 208C347.7 208 448 172.2 448 128V186.1C433.1 197.8 413.1 207.3 393.2 214.7C348.3 230.7 288.5 240 224 240C159.5 240 99.66 230.7 54.85 214.7C34.02 207.3 14.93 197.8 0 186.1V186.1zM0 346.1V288C0 332.2 100.3 368 224 368C347.7 368 448 332.2 448 288V346.1C433.1 357.8 413.1 367.3 393.2 374.7C348.3 390.7 288.5 400 224 400C159.5 400 99.66 390.7 54.85 374.7C34.02 367.3 14.93 357.8 0 346.1z"]],
    "deer": [576, 512, [129420], "f78e", ["M272 .0003C280.8 .0003 288 7.164 288 16V40C288 53.26 298.7 64 312 64H328C341.3 64 352 53.26 352 40V16C352 7.164 359.2 .0003 368 .0003C376.8 .0003 384 7.164 384 16V40C384 48.59 382.1 56.73 378.6 64H384C392.8 64 400 71.16 400 80C400 88.84 392.8 96 384 96H312C281.1 96 256 70.93 256 40V16C256 7.164 263.2 .0003 272 .0003zM488 .0003C496.8 .0003 504 7.164 504 16V40C504 61.66 491.7 80.44 473.7 89.76C460.3 76.1 443.5 68.58 425.4 65.41C427.4 64.5 429.7 64 432 64H448C461.3 64 472 53.25 472 40V16C472 7.164 479.2 0 488 0V.0003z", "M352 96H384C392.8 96 400 88.84 400 80C400 74.35 397.1 69.39 392.7 66.54C397.9 64.88 403.5 64 409.3 64C434.1 64 457.9 73.86 475.4 91.4L530.7 146.7C539.2 155.2 544 166.7 544 178.7C544 203.7 523.7 223.1 498.7 223.1H442.7L416 303.1V480C416 497.7 401.7 512 384 512H352C334.3 512 320 497.7 320 480V368H283.7C254.9 368 228.4 358.2 207.4 341.6C205.3 358.5 197.6 374.3 185.5 386.4L174.9 396.1C170.3 401.6 168.7 408.5 170.9 414.6L190.2 469.4C197.6 490.2 182.1 512 160 512H126.1C112.5 512 100.4 503.4 95.92 490.6L80.37 446.6C68.93 414.2 72.1 378.8 90.39 350.3C97.02 339.4 97.03 324.9 88 315.9C85.04 312.9 82.33 309.8 79.88 306.4C78.58 319.3 67.18 328.9 54.16 327.9C40.94 326.9 31.06 315.4 32.07 302.2L34.39 272C38.56 217.8 83.74 175.1 138.1 175.1H224C224.6 175.1 225.2 176 225.7 176C226.6 176 227.4 175.1 228.3 175.1H334.4L344 143.1H305.1C296 143.1 288 135.1 288 126C288 117.8 293.6 110.6 301.6 108.6L352 96zM432 128C423.2 128 416 135.2 416 144C416 152.8 423.2 160 432 160C440.8 160 448 152.8 448 144C448 135.2 440.8 128 432 128z"]],
    "deer-rudolph": [576, 512, [], "f78f", ["M256 40C256 53.26 266.7 64 280 64H296C309.3 64 320 53.26 320 40V16C320 7.164 327.2 .0003 336 .0003C344.8 .0003 352 7.164 352 16V40C352 48.59 350.1 56.73 346.6 64H352C360.8 64 368 71.16 368 80C368 88.84 360.8 96 352 96H280C249.1 96 224 70.93 224 40V16C224 7.164 231.2 .0003 240 .0003C248.8 .0003 256 7.164 256 16V40zM472 40C472 61.66 459.7 80.44 441.7 89.76C428.3 76.1 411.5 68.58 393.4 65.41C395.4 64.5 397.7 64 400 64H416C429.3 64 440 53.25 440 40V16C440 7.164 447.2 0 456 0C464.8 0 472 7.164 472 16V40zM480 136C480 113.9 497.9 96 520 96C542.1 96 560 113.9 560 136C560 158.1 542.1 176 520 176C497.9 176 480 158.1 480 136z", "M352 96C360.8 96 368 88.84 368 80C368 74.35 365.1 69.39 360.7 66.54C365.9 64.88 371.5 64 377.3 64C402.1 64 425.9 73.86 443.4 91.4L480.7 128.7C480.2 131 480 133.5 480 136C480 155.3 493.7 171.4 511.9 175.2C511.1 176.4 512 177.5 512 178.7C512 203.7 491.7 223.1 466.7 223.1H410.7L384 303.1V480C384 497.7 369.7 512 352 512H320C302.3 512 288 497.7 288 480V368H251.7C222.9 368 196.4 358.2 175.4 341.6C173.3 358.5 165.6 374.3 153.5 386.4L142.9 396.1C138.3 401.6 136.7 408.5 138.9 414.6L158.2 469.4C165.6 490.2 150.1 512 128 512H94.09C80.53 512 68.43 503.4 63.92 490.6L48.37 446.6C36.93 414.2 40.1 378.8 58.39 350.3C65.02 339.4 65.03 324.9 56 315.9C53.04 312.9 50.33 309.8 47.88 306.4C46.58 319.3 35.18 328.9 22.16 327.9C8.945 326.9-.9448 315.4 .072 302.2L2.39 272C6.558 217.8 51.74 175.1 106.1 175.1H192C192.6 175.1 193.2 176 193.7 176C194.6 176 195.4 175.1 196.3 175.1H302.4L312 143.1H273.1C264 143.1 256 135.1 256 126C256 117.8 261.6 110.6 269.6 108.6L320 95.1L352 96zM400 160C408.8 160 416 152.8 416 144C416 135.2 408.8 128 400 128C391.2 128 384 135.2 384 144C384 152.8 391.2 160 400 160z"]],
    "delete-left": [576, 512, [9003, "backspace"], "f55a", ["M576 384C576 419.3 547.3 448 512 448H205.3C188.3 448 172 441.3 160 429.3L9.372 278.6C3.371 272.6 0 264.5 0 256C0 247.5 3.372 239.4 9.372 233.4L160 82.75C172 70.74 188.3 64 205.3 64H512C547.3 64 576 92.65 576 128V384zM432.1 175C423.6 165.7 408.4 165.7 399 175L352 222.1L304.1 175C295.6 165.7 280.4 165.7 271 175C261.7 184.4 261.7 199.6 271 208.1L318.1 256L271 303C261.7 312.4 261.7 327.6 271 336.1C280.4 346.3 295.6 346.3 304.1 336.1L352 289.9L399 336.1C408.4 346.3 423.6 346.3 432.1 336.1C442.3 327.6 442.3 312.4 432.1 303L385.9 256L432.1 208.1C442.3 199.6 442.3 184.4 432.1 175V175z", "M399 175C408.4 165.7 423.6 165.7 432.1 175C442.3 184.4 442.3 199.6 432.1 208.1L385.9 255.1L432.1 303C442.3 312.4 442.3 327.6 432.1 336.1C423.6 346.3 408.4 346.3 399 336.1L352 289.9L304.1 336.1C295.6 346.3 280.4 346.3 271 336.1C261.7 327.6 261.7 312.4 271 303L318.1 255.1L271 208.1C261.7 199.6 261.7 184.4 271 175C280.4 165.7 295.6 165.7 304.1 175L352 222.1L399 175z"]],
    "delete-right": [576, 512, [], "e154", ["M0 128C0 92.65 28.65 64 64 64H370.7C387.7 64 403.1 70.74 416 82.75L566.6 233.4C572.6 239.4 576 247.5 576 256C576 264.5 572.6 272.6 566.6 278.6L416 429.3C403.1 441.3 387.7 448 370.7 448H64C28.65 448 0 419.3 0 384V128zM143 208.1L190.1 255.1L143 303C133.7 312.4 133.7 327.6 143 336.1C152.4 346.3 167.6 346.3 176.1 336.1L223.1 289.9L271 336.1C280.4 346.3 295.6 346.3 304.1 336.1C314.3 327.6 314.3 312.4 304.1 303L257.9 255.1L304.1 208.1C314.3 199.6 314.3 184.4 304.1 175C295.6 165.7 280.4 165.7 271 175L223.1 222.1L176.1 175C167.6 165.7 152.4 165.7 143 175C133.7 184.4 133.7 199.6 143 208.1V208.1z", "M224 222.1L271 175C280.4 165.7 295.6 165.7 304.1 175C314.3 184.4 314.3 199.6 304.1 208.1L257.9 255.1L304.1 303C314.3 312.4 314.3 327.6 304.1 336.1C295.6 346.3 280.4 346.3 271 336.1L224 289.9L176.1 336.1C167.6 346.3 152.4 346.3 143 336.1C133.7 327.6 133.7 312.4 143 303L190.1 255.1L143 208.1C133.7 199.6 133.7 184.4 143 175C152.4 165.7 167.6 165.7 176.1 175L224 222.1z"]],
    "democrat": [640, 512, [], "f747", ["M191.1 479.1C191.1 497.6 206.4 512 223.1 512h32c17.6 0 32-14.4 32-32v-64h160v64c0 17.6 14.41 32 32.01 32L511.1 512c17.6 0 32-14.4 32-32v-144H191.1V479.1z", "M637.2 256.9l-19.5-29.38c-28.25-42.25-75.38-67.5-126.1-67.5H255.1L174.7 78.75c20.13-20 22.63-51 7.5-73.88C178.9-.2552 171.5-1.005 167.1 3.37L125.2 45.25L82.36 2.37C78.74-1.255 72.74-.6302 69.99 3.62c-12.25 18.63-10.25 44 6.125 60.38c3.25 3.25 7.25 5.25 11.25 7.5c-2.125 1.75-4.625 3.125-6.375 5.375l-74.63 99.38C-.8895 185.9-2.014 198.9 3.361 209.7l14.38 28.5c5.375 10.88 16.5 17.75 28.5 17.75H77.24c8.5 0 16.63-3.375 22.63-9.375l38.13-34.63l54 124h352V242.2c16.25 12.13 18.25 17.5 40.13 50.25c4.875 7.375 14.75 9.25 22.13 4.375l26.63-17.63C640.2 274.2 642.2 264.2 637.2 256.9zM296.2 243.2L279.7 259.4l3.875 22.75c.625 4.125-3.625 7.125-7.25 5.25L255.1 276.7L235.6 287.4C231.1 289.2 227.7 286.2 228.4 282.1l3.875-22.75L215.7 243.2c-3-2.875-1.25-7.875 2.875-8.5l22.75-3.25l10.25-20.75c1.75-3.625 7.125-3.625 9 0l10.13 20.75l22.88 3.25C297.6 235.4 299.2 240.4 296.2 243.2zM408.2 243.2l-16.5 16.13l3.875 22.75c.625 4.125-3.625 7.125-7.25 5.25L367.1 276.7l-20.38 10.63c-3.625 1.875-7.875-1.125-7.25-5.25l3.875-22.75l-16.5-16.13c-3-2.875-1.25-7.875 2.875-8.5l22.75-3.25l10.25-20.75c1.75-3.625 7.125-3.625 9 0l10.13 20.75l22.88 3.25C409.6 235.4 411.2 240.4 408.2 243.2zM520.2 243.2l-16.5 16.13l3.875 22.75c.625 4.125-3.625 7.125-7.25 5.25l-20.38-10.63l-20.38 10.63c-3.625 1.875-7.875-1.125-7.25-5.25l3.875-22.75l-16.5-16.13c-3-2.875-1.25-7.875 2.875-8.5l22.75-3.25l10.25-20.75c1.75-3.625 7.125-3.625 9 0l10.13 20.75l22.88 3.25C521.6 235.4 523.2 240.4 520.2 243.2z"]],
    "desktop": [576, 512, [61704, 128421, "desktop-alt"], "f390", ["M528 0h-480C21.5 0 0 21.5 0 48v320C0 394.5 21.5 416 48 416h480c26.5 0 48-21.5 48-48v-320C576 21.5 554.5 0 528 0zM512 288H64V64h448V288z", "M424 464H352L336 416h-96L224 464H152C138.8 464 128 474.8 128 488S138.8 512 152 512h272c13.25 0 24-10.75 24-24S437.3 464 424 464zM64 64v224h448V64H64z"]],
    "desktop-arrow-down": [576, 512, [], "e155", ["M576 48v320c0 26.5-21.5 48-48 48h-480C21.5 416 0 394.5 0 368v-320C0 21.5 21.5 0 48 0h216v64H64v224h448V64h-200V0h216C554.5 0 576 21.5 576 48z", "M424 464H352L336 416h-96L224 464H152C138.8 464 128 474.8 128 488S138.8 512 152 512h272c13.25 0 24-10.75 24-24S437.3 464 424 464zM312 64v94.06l39.03-39.03c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94l-80 80c-9.375 9.375-24.56 9.375-33.94 0l-80-80c-9.375-9.375-9.375-24.56 0-33.94C195.7 114.3 201.8 112 208 112s12.28 2.344 16.97 7.031L264 158.1V64H64v224h448V64H312z"]],
    "dharmachakra": [512, 512, [9784], "f655", ["M78.12 391.8l-12.1 11.37c-6.875 6.125-7.25 16.75-.75 23.25l21.25 21.25c6.5 6.5 17.12 6.125 23.25-.75l11.37-12.1C104.4 421.8 90.24 407.6 78.12 391.8zM256 480c-10.16 0-20.08-.9268-29.88-2.235L225 495C224.5 504.3 231.8 512 241 512h30c9.25 0 16.5-7.75 16-17l-1.124-17.24C276.1 479.1 266.2 480 256 480zM271 0h-30c-9.25 0-16.5 7.75-16 17l1.124 17.24C235.9 32.93 245.8 32 256 32s20.08 .9267 29.88 2.235L287 17C287.5 7.75 280.3 0 271 0zM162.9 126.4c-14.11 10.17-25.72 23.1-35.81 37.22l47.64 41.86c8.113-13.02 19.2-23.82 32.4-31.68C206.6 174.1 206 174.3 205.5 174.6L162.9 126.4zM173.8 304.9c.3086 .5215 .5156 1.105 .832 1.621l-48.23 42.61c10.13 14.06 22.44 26.36 36.5 36.5l42.58-48.33C192.5 329.2 181.7 318.1 173.8 304.9zM17 225C7.75 224.5 0 231.8 0 241v30c0 9.25 7.75 16.5 17 16l17.24-1.124C32.93 276.1 32 266.2 32 256s.9267-20.08 2.235-29.88L17 225zM256 160c7.557 0 14.82 1.093 21.88 2.743l3.996-64.06C273.4 97.11 264.9 96 256 96S238.6 97.11 230.1 98.68l3.996 64.06C241.2 161.1 248.4 160 256 160zM98.68 230.1C97.11 238.6 96 247.1 96 256s1.109 17.45 2.684 25.87l64.06-3.996C161.1 270.8 160 263.6 160 256s1.093-14.82 2.743-21.88L98.68 230.1zM78.12 120.2c12.12-15.86 26.27-30 42.13-42.13L108.9 65.13C102.8 58.25 92.13 57.88 85.63 64.38L64.38 85.5c-6.5 6.625-6.125 17.25 .75 23.38L78.12 120.2zM338.2 304.9c-7.863 13.19-18.66 24.28-31.68 32.4l42.18 48.01c14.13-10.15 26.44-22.46 36.58-36.58L337.4 306.5C337.7 305.1 337.9 305.4 338.2 304.9zM433.9 391.8c-12.12 15.86-26.27 30-42.13 42.13l11.37 12.1c6.125 6.875 16.75 7.25 23.38 .75l21.12-21.25c6.5-6.5 6.125-17.12-.75-23.25L433.9 391.8zM495 225l-17.24 1.124C479.1 235.9 480 245.8 480 256s-.9268 20.08-2.235 29.88L495 287C504.3 287.5 512 280.3 512 271v-30C512 231.8 504.3 224.5 495 225zM426.5 64.38c-6.625-6.5-17.25-6.125-23.38 .75l-11.37 12.1c15.85 12.12 30 26.27 42.13 42.13l12.1-11.37c6.875-6.125 7.25-16.75 .75-23.38L426.5 64.38zM337.3 205.5l47.64-41.86c-10.09-14.13-21.7-27.05-35.81-37.22L306.5 174.6c-.5156-.3164-1.1-.5234-1.621-.832C318.1 181.7 329.2 192.5 337.3 205.5zM256 416c8.889 0 17.45-1.109 25.87-2.684l-3.996-64.06C270.8 350.9 263.6 352 256 352s-14.82-1.093-21.88-2.743l-3.996 64.06C238.6 414.9 247.1 416 256 416zM413.3 281.9C414.9 273.4 416 264.9 416 256s-1.109-17.45-2.684-25.87l-64.06 3.996C350.9 241.2 352 248.4 352 256s-1.093 14.82-2.743 21.88L413.3 281.9z", "M256 160C202.1 160 160 202.1 160 256s42.98 96 96 96s96-42.98 96-96S309 160 256 160zM256 288C238.4 288 224 273.6 224 256s14.36-32 32-32s32 14.36 32 32S273.6 288 256 288zM256 32C132.3 32 32 132.3 32 256s100.3 224 224 224c123.7 0 224-100.3 224-224S379.7 32 256 32zM256 416c-88.22 0-160-71.78-160-160s71.78-160 160-160s160 71.78 160 160S344.2 416 256 416z"]],
    "diagram-cells": [512, 512, [], "e475", ["M64 480C28.65 480 0 451.3 0 416V352C0 316.7 28.65 288 64 288H448C483.3 288 512 316.7 512 352V416C512 451.3 483.3 480 448 480H64z", "M64 224C28.65 224 0 195.3 0 160V96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V160C512 195.3 483.3 224 448 224H64z"]],
    "diagram-lean-canvas": [640, 512, [], "e156", ["M128 304H64V96H128V304zM576 304H512V96H576V304z", "M0 96C0 60.65 28.65 32 64 32H576C611.3 32 640 60.65 640 96V416C640 451.3 611.3 480 576 480H64C28.65 480 0 451.3 0 416V96zM512 304H576V96H512V304zM464 96H400V176H464V96zM352 96H288V304H352V96zM240 96H176V176H240V96zM128 96H64V304H128V96zM64 352V416H296V352H64zM344 416H576V352H344V416zM240 224H176V304H240V224zM400 224V304H464V224H400z"]],
    "diagram-nested": [448, 512, [], "e157", ["M64 320V224H128V320C128 337.7 142.3 352 160 352H256V416H160C106.1 416 64 373 64 320z", "M144 32C170.5 32 192 53.49 192 80V176C192 202.5 170.5 224 144 224H48C21.49 224 0 202.5 0 176V80C0 53.49 21.49 32 48 32H144zM400 288C426.5 288 448 309.5 448 336V432C448 458.5 426.5 480 400 480H304C277.5 480 256 458.5 256 432V336C256 309.5 277.5 288 304 288H400z"]],
    "diagram-next": [512, 512, [], "e476", ["M384.1 343.6C401 327.6 404.6 306.4 399 288H448C483.3 288 512 316.7 512 352V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V352C0 316.7 28.65 288 64 288H112.1C107.4 306.4 110.1 327.6 127 343.6L216.4 432.1C238.3 454.8 273.7 454.8 295.6 432.1L384.1 343.6z", "M280 224V288H326.1C347.4 288 358.1 313.9 343 328.1L272.1 399C263.6 408.4 248.4 408.4 239 399L168.1 328.1C153.9 313.9 164.6 288 185.9 288H232V224H64C28.65 224 0 195.3 0 160V96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V160C512 195.3 483.3 224 448 224H280z"]],
    "diagram-predecessor": [512, 512, [], "e477", ["M512 416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V352C0 316.7 28.65 288 64 288H448C483.3 288 512 316.7 512 352V416zM64 352V416H448V352H64z", "M64 224C28.65 224 0 195.3 0 160V96C0 60.65 28.65 32 64 32H368C412.2 32 448 67.82 448 112V128H486.1C507.4 128 518.1 153.9 503 168.1L432.1 239C423.6 248.4 408.4 248.4 399 239L328.1 168.1C313.9 153.9 324.6 128 345.9 128H384V112C384 103.2 376.8 96 368 96H288V160C288 195.3 259.3 224 224 224H64z"]],
    "diagram-previous": [512, 512, [], "e478", ["M295.6 79.03C273.7 57.16 238.3 57.16 216.4 79.03L127 168.4C110.1 184.4 107.4 205.6 112.1 224H64C28.65 224 0 195.3 0 160V96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V160C512 195.3 483.3 224 448 224H399C404.6 205.6 401 184.4 384.1 168.4L295.6 79.03z", "M448 288C483.3 288 512 316.7 512 352V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V352C0 316.7 28.65 288 64 288H232V224H185.9C164.6 224 153.9 198.1 168.1 183L239 112.1C248.4 103.6 263.6 103.6 272.1 112.1L343 183C358.1 198.1 347.4 224 326.1 224H280V288H448z"]],
    "diagram-project": [576, 512, ["project-diagram"], "f542", ["M191.7 180.1L272 288C247.2 288 226.8 306.8 224.3 331L144 224C168.8 224 189.2 205.2 191.7 180.1V180.1zM192 96H384V160H192V96z", "M0 80C0 53.49 21.49 32 48 32H144C170.5 32 192 53.49 192 80V176C192 202.5 170.5 224 144 224H48C21.49 224 0 202.5 0 176V80zM224 336C224 309.5 245.5 288 272 288H368C394.5 288 416 309.5 416 336V432C416 458.5 394.5 480 368 480H272C245.5 480 224 458.5 224 432V336zM528 32C554.5 32 576 53.49 576 80V176C576 202.5 554.5 224 528 224H432C405.5 224 384 202.5 384 176V80C384 53.49 405.5 32 432 32H528z"]],
    "diagram-sankey": [576, 512, [], "e158", ["M544 256C561.7 256 576 270.3 576 288C576 305.7 561.7 320 544 320H216.5L274.1 416H544C561.7 416 576 430.3 576 448C576 465.7 561.7 480 544 480H256C244.8 480 234.3 474.1 228.6 464.5L141.9 320H32C14.33 320 0 305.7 0 288C0 270.3 14.33 256 32 256H544z", "M294.4 44.8C300.4 36.74 309.9 32 320 32H544C561.7 32 576 46.33 576 64C576 81.67 561.7 96 544 96H336L249.6 211.2C243.6 219.3 234.1 224 224 224H32C14.33 224 0 209.7 0 192C0 174.3 14.33 160 32 160H208L294.4 44.8z"]],
    "diagram-subtask": [512, 512, [], "e479", ["M96 320V224H160V320C160 337.7 174.3 352 192 352H224V416H192C138.1 416 96 373 96 320z", "M448 32C483.3 32 512 60.65 512 96V160C512 195.3 483.3 224 448 224H64C28.65 224 0 195.3 0 160V96C0 60.65 28.65 32 64 32H448zM448 288C483.3 288 512 316.7 512 352V416C512 451.3 483.3 480 448 480H288C252.7 480 224 451.3 224 416V352C224 316.7 252.7 288 288 288H448z"]],
    "diagram-successor": [512, 512, [], "e47a", ["M64 32H368C412.2 32 448 67.82 448 112V128H486.1C507.4 128 518.1 153.9 503 168.1L432.1 239C423.6 248.4 408.4 248.4 399 239L328.1 168.1C313.9 153.9 324.6 128 345.9 128H384V112C384 103.2 376.8 96 368 96H288V160C288 195.3 259.3 224 224 224H64C28.65 224 0 195.3 0 160V96C0 60.65 28.65 32 64 32V32zM64 96V160H224V96H64z", "M64 480C28.65 480 0 451.3 0 416V352C0 316.7 28.65 288 64 288H448C483.3 288 512 316.7 512 352V416C512 451.3 483.3 480 448 480H64z"]],
    "diagram-venn": [640, 512, [], "e15a", ["M192 256C192 194.1 216.4 139.6 256 99.21C279.7 104 301.4 114 320 127.1C281.1 157.2 256 203.7 256 256C256 308.3 281.1 354.8 320 384C301.4 397.1 279.7 407.1 256 412.8C216.4 372.4 192 317 192 256V256zM383.1 412.8C423.6 372.4 448 317 448 256C448 194.1 423.6 139.6 383.1 99.21C375.4 90.42 366 82.35 356.1 75.07C355.6 74.72 355.1 74.37 354.6 74.02C343.8 66.21 332.2 59.35 319.1 53.56C349.1 39.73 381.6 32 416 32C539.7 32 640 132.3 640 256C640 379.7 539.7 480 416 480C381.6 480 349.1 472.3 319.1 458.4C332.2 452.7 343.8 445.8 354.6 437.1C365.1 430.4 374.9 422 383.1 412.8H383.1z", "M448 256C448 379.7 347.7 480 224 480C100.3 480 0 379.7 0 256C0 132.3 100.3 32 224 32C347.7 32 448 132.3 448 256zM287.1 352C280.6 342.2 274.3 331.4 269.3 320H370.7C377.2 305.1 381.5 288.9 383.2 272H256.8C256.3 266.7 256 261.4 256 256C256 250.6 256.3 245.3 256.8 240H383.2C381.5 223.1 377.2 206.9 370.7 192H269.3C274.3 180.6 280.6 169.8 287.1 160H352C322.8 121.1 276.3 96 223.1 96C135.6 96 63.1 167.6 63.1 256C63.1 344.4 135.6 416 223.1 416C276.3 416 322.8 390.9 352 352H287.1z"]],
    "dial": [576, 512, ["dial-med-high"], "e15b", ["M320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32zM576 288C576 305.7 561.7 320 544 320C526.3 320 512 305.7 512 288C512 270.3 526.3 256 544 256C561.7 256 576 270.3 576 288zM0 288C0 270.3 14.33 256 32 256C49.67 256 64 270.3 64 288C64 305.7 49.67 320 32 320C14.33 320 0 305.7 0 288zM128 96C128 113.7 113.7 128 96 128C78.33 128 64 113.7 64 96C64 78.33 78.33 64 96 64C113.7 64 128 78.33 128 96zM448 96C448 78.33 462.3 64 480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128C462.3 128 448 113.7 448 96zM128 480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480C64 462.3 78.33 448 96 448C113.7 448 128 462.3 128 480zM448 480C448 462.3 462.3 448 480 448C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480z", "M271.3 270.4C261.9 279.7 261.9 294.9 271.3 304.3C280.7 313.7 295.9 313.7 305.3 304.3L417.1 192.4C463.4 255 458.1 343.8 401.4 400.5C338.9 462.1 237.6 462.1 175.1 400.5C112.7 337.1 112.7 236.7 175.1 174.2C231.9 117.5 320.6 112.2 383.2 158.5L271.3 270.4z"]],
    "dial-high": [576, 512, [], "e15c", ["M320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32zM576 288C576 305.7 561.7 320 544 320C526.3 320 512 305.7 512 288C512 270.3 526.3 256 544 256C561.7 256 576 270.3 576 288zM0 288C0 270.3 14.33 256 32 256C49.67 256 64 270.3 64 288C64 305.7 49.67 320 32 320C14.33 320 0 305.7 0 288zM128 96C128 113.7 113.7 128 96 128C78.33 128 64 113.7 64 96C64 78.33 78.33 64 96 64C113.7 64 128 78.33 128 96zM448 96C448 78.33 462.3 64 480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128C462.3 128 448 113.7 448 96zM128 480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480C64 462.3 78.33 448 96 448C113.7 448 128 462.3 128 480zM448 480C448 462.3 462.3 448 480 448C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480z", "M288.4 263.6C275.1 263.6 264.4 274.3 264.4 287.6C264.4 300.9 275.1 311.6 288.4 311.6H446.6C435 388.6 368.6 447.6 288.4 447.6C200 447.6 128.4 375.1 128.4 287.6C128.4 199.2 200 127.6 288.4 127.6C368.6 127.6 435 186.6 446.6 263.6H288.4z"]],
    "dial-low": [576, 512, [], "e15d", ["M320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32zM576 288C576 305.7 561.7 320 544 320C526.3 320 512 305.7 512 288C512 270.3 526.3 256 544 256C561.7 256 576 270.3 576 288zM0 288C0 270.3 14.33 256 32 256C49.67 256 64 270.3 64 288C64 305.7 49.67 320 32 320C14.33 320 0 305.7 0 288zM128 96C128 113.7 113.7 128 96 128C78.33 128 64 113.7 64 96C64 78.33 78.33 64 96 64C113.7 64 128 78.33 128 96zM448 96C448 78.33 462.3 64 480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128C462.3 128 448 113.7 448 96zM128 480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480C64 462.3 78.33 448 96 448C113.7 448 128 462.3 128 480zM448 480C448 462.3 462.3 448 480 448C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480z", "M287.6 311.6C300.9 311.6 311.6 300.9 311.6 287.6C311.6 274.3 300.9 263.6 287.6 263.6H129.4C140.1 186.6 207.4 127.6 287.6 127.6C375.1 127.6 447.6 199.2 447.6 287.6C447.6 375.1 375.1 447.6 287.6 447.6C207.4 447.6 140.1 388.6 129.4 311.6H287.6z"]],
    "dial-max": [576, 512, [], "e15e", ["M320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32zM576 288C576 305.7 561.7 320 544 320C526.3 320 512 305.7 512 288C512 270.3 526.3 256 544 256C561.7 256 576 270.3 576 288zM0 288C0 270.3 14.33 256 32 256C49.67 256 64 270.3 64 288C64 305.7 49.67 320 32 320C14.33 320 0 305.7 0 288zM128 96C128 113.7 113.7 128 96 128C78.33 128 64 113.7 64 96C64 78.33 78.33 64 96 64C113.7 64 128 78.33 128 96zM448 96C448 78.33 462.3 64 480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128C462.3 128 448 113.7 448 96zM128 480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480C64 462.3 78.33 448 96 448C113.7 448 128 462.3 128 480zM448 480C448 462.3 462.3 448 480 448C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480z", "M305.3 270.9C295.9 261.5 280.7 261.5 271.3 270.9C261.9 280.3 261.9 295.5 271.3 304.9L383.2 416.7C320.6 462.1 231.9 457.7 175.1 401C112.7 338.5 112.7 237.2 175.1 174.7C237.6 112.3 338.9 112.3 401.4 174.7C458.1 231.5 463.4 320.2 417.1 382.8L305.3 270.9z"]],
    "dial-med": [576, 512, [], "e15f", ["M320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32zM576 288C576 305.7 561.7 320 544 320C526.3 320 512 305.7 512 288C512 270.3 526.3 256 544 256C561.7 256 576 270.3 576 288zM0 288C0 270.3 14.33 256 32 256C49.67 256 64 270.3 64 288C64 305.7 49.67 320 32 320C14.33 320 0 305.7 0 288zM128 96C128 113.7 113.7 128 96 128C78.33 128 64 113.7 64 96C64 78.33 78.33 64 96 64C113.7 64 128 78.33 128 96zM448 96C448 78.33 462.3 64 480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128C462.3 128 448 113.7 448 96zM128 480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480C64 462.3 78.33 448 96 448C113.7 448 128 462.3 128 480zM448 480C448 462.3 462.3 448 480 448C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480z", "M264 287.2C264 300.5 274.7 311.2 288 311.2C301.3 311.2 312 300.5 312 287.2V129C388.1 140.6 448 207 448 287.2C448 375.6 376.4 447.2 288 447.2C199.6 447.2 128 375.6 128 287.2C128 207 187 140.6 264 129V287.2z"]],
    "dial-med-low": [576, 512, [], "e160", ["M320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32zM576 288C576 305.7 561.7 320 544 320C526.3 320 512 305.7 512 288C512 270.3 526.3 256 544 256C561.7 256 576 270.3 576 288zM0 288C0 270.3 14.33 256 32 256C49.67 256 64 270.3 64 288C64 305.7 49.67 320 32 320C14.33 320 0 305.7 0 288zM128 96C128 113.7 113.7 128 96 128C78.33 128 64 113.7 64 96C64 78.33 78.33 64 96 64C113.7 64 128 78.33 128 96zM448 96C448 78.33 462.3 64 480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128C462.3 128 448 113.7 448 96zM128 480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480C64 462.3 78.33 448 96 448C113.7 448 128 462.3 128 480zM448 480C448 462.3 462.3 448 480 448C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480z", "M270.8 304.3C280.1 313.7 295.3 313.7 304.7 304.3C314.1 294.9 314.1 279.7 304.7 270.4L192.8 158.5C255.4 112.2 344.1 117.5 400.9 174.2C463.3 236.7 463.3 337.1 400.9 400.5C338.4 462.1 237.1 462.1 174.6 400.5C117.9 343.8 112.6 255 158.9 192.4L270.8 304.3z"]],
    "dial-min": [576, 512, [], "e161", ["M320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32zM576 288C576 305.7 561.7 320 544 320C526.3 320 512 305.7 512 288C512 270.3 526.3 256 544 256C561.7 256 576 270.3 576 288zM0 288C0 270.3 14.33 256 32 256C49.67 256 64 270.3 64 288C64 305.7 49.67 320 32 320C14.33 320 0 305.7 0 288zM128 96C128 113.7 113.7 128 96 128C78.33 128 64 113.7 64 96C64 78.33 78.33 64 96 64C113.7 64 128 78.33 128 96zM448 96C448 78.33 462.3 64 480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128C462.3 128 448 113.7 448 96zM128 480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480C64 462.3 78.33 448 96 448C113.7 448 128 462.3 128 480zM448 480C448 462.3 462.3 448 480 448C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480z", "M304.7 304.9C314.1 295.5 314.1 280.3 304.7 270.9C295.3 261.5 280.1 261.5 270.8 270.9L158.9 382.8C112.6 320.2 117.9 231.5 174.6 174.7C237.1 112.3 338.4 112.3 400.9 174.7C463.3 237.2 463.3 338.5 400.9 401C344.1 457.7 255.4 462.1 192.8 416.7L304.7 304.9z"]],
    "dial-off": [576, 512, [], "e162", ["M320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32zM576 288C576 305.7 561.7 320 544 320C526.3 320 512 305.7 512 288C512 270.3 526.3 256 544 256C561.7 256 576 270.3 576 288zM0 288C0 270.3 14.33 256 32 256C49.67 256 64 270.3 64 288C64 305.7 49.67 320 32 320C14.33 320 0 305.7 0 288zM128 96C128 113.7 113.7 128 96 128C78.33 128 64 113.7 64 96C64 78.33 78.33 64 96 64C113.7 64 128 78.33 128 96zM448 96C448 78.33 462.3 64 480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128C462.3 128 448 113.7 448 96zM128 480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480C64 462.3 78.33 448 96 448C113.7 448 128 462.3 128 480zM448 480C448 462.3 462.3 448 480 448C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480z", "M312 288C312 274.7 301.3 264 288 264C274.7 264 264 274.7 264 288V446.2C187 434.6 128 368.2 128 288C128 199.6 199.6 128 288 128C376.4 128 448 199.6 448 288C448 368.2 388.1 434.6 312 446.2V288z"]],
    "diamond": [512, 512, [9830], "f219", ["M500.3 227.7C515.9 243.3 515.9 268.7 500.3 284.3L284.3 500.3C268.7 515.9 243.3 515.9 227.7 500.3L11.72 284.3C-3.905 268.7-3.905 243.3 11.72 227.7L227.7 11.72C243.3-3.905 268.7-3.905 284.3 11.72L500.3 227.7z", ""]],
    "diamond-exclamation": [512, 512, [], "e405", ["M497.7 222.6l-208.2-209.1c-19.01-18.02-50.05-18.02-68.06 0L14.27 222.6c-19.04 17.98-19.04 49.03 0 67.01l208.2 208.1c18.02 19.04 49.05 19.04 67.07 0l208.2-208.1C516.8 271.6 516.8 240.6 497.7 222.6zM232 151.1c0-13.25 10.75-24 24-24s24 10.75 24 24v112c0 13.25-10.75 24-24 24s-24-10.75-24-24V151.1zM256 383.1c-17.66 0-32-14.34-32-32s14.34-32 32-32s32 14.34 32 32S273.7 383.1 256 383.1z", "M256 287.1c13.25 0 24-10.75 24-24v-112c0-13.25-10.75-24-24-24s-24 10.75-24 24v112C232 277.2 242.8 287.1 256 287.1zM256 319.1c-17.66 0-32 14.34-32 32s14.34 32 32 32s32-14.34 32-32S273.7 319.1 256 319.1z"]],
    "diamond-turn-right": [512, 512, ["directions"], "f5eb", ["M497.1 222.1l-208.1-208.1c-9.364-9.364-21.62-14.04-33.89-14.03C243.7 .0092 231.5 4.686 222.1 14.03L14.03 222.1C4.677 231.5 .0005 243.7 .0004 255.1C.0003 268.3 4.677 280.5 14.03 289.9l208.1 208.1C231.5 507.3 243.7 511.1 256 511.1c12.26-.0001 24.52-4.677 33.87-14.03l208.1-208.1c9.352-9.353 14.03-21.61 14.03-33.87C511.1 243.7 507.3 231.5 497.1 222.1zM410.5 252l-96 84c-10.79 9.545-26.53 .9824-26.53-12.03V272H223.1l-.0001 48C223.1 337.6 209.6 352 191.1 352S159.1 337.6 159.1 320V240c0-17.6 14.4-32 32-32h95.1V156c0-13.85 16.39-20.99 26.53-12.03l96 84C414 231 415.1 235.4 415.1 240S414 249 410.5 252z", "M410.5 252l-96 84c-10.79 9.545-26.53 .9824-26.53-12.03V272H223.1l-.0001 48C223.1 337.6 209.6 352 191.1 352S159.1 337.6 159.1 320V240c0-17.6 14.4-32 32-32h95.1V156c0-8.657 6.403-14.69 13.68-15.81c4.367-.673 9.048 .4229 12.85 3.783l96 84C414 231 415.1 235.4 415.1 240S414 249 410.5 252z"]],
    "dice": [640, 512, [127922], "f522", ["M447.1 224c0-12.56-4.782-25.13-14.35-34.76l-174.9-174.9C249.1 4.784 236.5 0 223.1 0C211.4 0 198.9 4.784 189.2 14.35L14.35 189.2C4.784 198.9-.0011 211.4-.0011 223.1c0 12.56 4.786 25.18 14.35 34.8l174.9 174.9c9.626 9.563 22.19 14.35 34.75 14.35c12.56 0 25.13-4.782 34.75-14.35l174.9-174.9C443.2 249.1 447.1 236.6 447.1 224zM96 248c-13.25 0-23.1-10.75-23.1-23.1s10.75-23.1 23.1-23.1s23.1 10.75 23.1 23.1S109.3 248 96 248zM224 376c-13.25 0-23.1-10.75-23.1-23.1s10.75-23.1 23.1-23.1c13.25 0 23.1 10.75 23.1 23.1S237.3 376 224 376zM224 248c-13.25 0-23.1-10.75-23.1-23.1s10.75-23.1 23.1-23.1s23.1 10.75 23.1 23.1S237.3 248 224 248zM224 120c-13.25 0-23.1-10.75-23.1-23.1s10.75-23.1 23.1-23.1c13.25 0 23.1 10.75 23.1 23.1S237.3 120 224 120zM352 248c-13.25 0-23.1-10.75-23.1-23.1s10.75-23.1 23.1-23.1s23.1 10.75 23.1 23.1S365.3 248 352 248z", "M591.1 192l-118.7 0c4.418 10.27 6.604 21.25 6.604 32.23c0 20.7-7.865 41.38-23.63 57.14l-136.2 136.2v46.37C320 490.5 341.5 512 368 512h223.1c26.5 0 47.1-21.5 47.1-47.1V240C639.1 213.5 618.5 192 591.1 192zM479.1 376c-13.25 0-23.1-10.75-23.1-23.1s10.75-23.1 23.1-23.1s23.1 10.75 23.1 23.1S493.2 376 479.1 376zM96 200c-13.25 0-23.1 10.75-23.1 23.1s10.75 23.1 23.1 23.1s23.1-10.75 23.1-23.1S109.3 200 96 200zM352 248c13.25 0 23.1-10.75 23.1-23.1s-10.75-23.1-23.1-23.1S328 210.8 328 224S338.8 248 352 248zM224 328c-13.25 0-23.1 10.75-23.1 23.1s10.75 23.1 23.1 23.1c13.25 0 23.1-10.75 23.1-23.1S237.3 328 224 328zM224 200c-13.25 0-23.1 10.75-23.1 23.1s10.75 23.1 23.1 23.1s23.1-10.75 23.1-23.1S237.3 200 224 200zM224 72c-13.25 0-23.1 10.75-23.1 23.1s10.75 23.1 23.1 23.1c13.25 0 23.1-10.75 23.1-23.1S237.3 72 224 72z"]],
    "dice-d10": [512, 512, [], "f6cd", ["M209.7 12.55c0-5.014-4.216-8.716-8.618-8.716c-2.225 0-4.497 .9458-6.297 3.146L3 240.9C1.571 242.6 .9414 244.6 .9414 246.5c0 4.605 3.545 8.914 8.385 8.914c.5724 0 1.163-.0603 1.768-.1875l130.4-27.25l67.78-212.5C209.6 14.49 209.7 13.5 209.7 12.55zM256 0C252.6 0 249.3 2.016 247.1 6.047L174.6 236.1l81.44 56.72l81.44-56.72l-73.41-230.1C262.8 2.016 259.4 0 256 0zM502.6 255.5c4.854 0 8.414-4.323 8.414-8.938c0-1.942-.6301-3.935-2.059-5.681l-191.8-233.9c-1.799-2.2-4.072-3.146-6.297-3.146c-4.411 0-8.639 3.715-8.639 8.742c0 .9379 .1472 1.922 .4678 2.935l67.81 212.5l130.4 27.25C501.5 255.4 502.1 255.5 502.6 255.5z", "M150.9 262.1l88.19 61.47v179.5c0 5.293-4.144 8.87-8.507 8.87c-1.897 0-3.836-.6764-5.493-2.182L2.907 307.6C.9169 305.8 .0006 303.4 .0006 300.1c0-3.952 2.508-7.81 6.812-8.706L150.9 262.1zM512 300.1c0 2.389-.9163 4.813-2.906 6.638l-222.2 202.2C285.3 511.3 283.3 512 281.4 512c-4.362 0-8.504-3.592-8.504-8.884v-179.5l88.19-61.47l144.1 30.13C509.5 293.2 512 297 512 300.1z"]],
    "dice-d12": [512, 512, [], "f6ce", ["M7.531 176.9l123.6 123.6L240 246.1V139.3L58.97 74.06L7.531 176.9zM333.5 6.75C326.1 3.031 313.2 0 304.9 0H207.1C197.2 0 187.4 2.313 178.5 6.75L89.72 51.13L256 111l166.3-59.88L333.5 6.75zM453 74.06L272 139.3v106.9l108.8 54.41l123.6-123.6L453 74.06z", "M113.1 328.5l55.01 172l-85.87-42.95c-10.53-5.281-23.38-18.09-28.62-28.62L6.75 333.5C2.313 324.6 0 314.8 0 304.9V214.6L113.1 328.5zM364.6 328.2L305.8 512H206.2l-58.81-183.8L256 273.9L364.6 328.2zM512 214.6V304.9c0 8.344-3.031 21.16-6.75 28.62l-47.73 95.38c-5.25 10.53-18.09 23.38-28.62 28.62l-85.87 42.95l55.01-172L512 214.6z"]],
    "dice-d20": [512, 512, [], "f6cf", ["M196.6 18.66c0-4.301-3.683-8.022-8.003-8.022c-1.308 0-2.675 .3411-4.015 1.11L33.81 110.3C32.6 111.1 31.1 112.4 31.1 113.7c0 1.33 .6488 2.653 1.938 3.417L115.5 165.8l79.94-142.9C196.3 21.48 196.6 20.04 196.6 18.66zM255.1 0C250.7 0 245.5 2.532 242.4 7.624L146.8 175.1h218.4l-95.59-168.4C266.5 2.532 261.2 0 255.1 0zM479.1 113.7c0-1.277-.6019-2.555-1.813-3.353l-150.8-98.59c-1.34-.7693-2.707-1.11-4.015-1.11c-4.32 0-8.003 3.721-8.003 8.022c0 1.379 .3788 2.818 1.237 4.214l79.94 142.9l81.53-48.69C479.3 116.3 479.1 115 479.1 113.7z", "M20.04 317.3C18 317.3 16 315.8 16 313.3V150.5c0-2.351 1.91-4.012 4.001-4.012c.6882 0 1.396 .18 2.062 .5748l76.62 45.1l-75.28 122.3C22.59 316.8 21.31 317.3 20.04 317.3zM231.4 405.2l-208.2-22.06c-4.27-.4821-7.123-4.117-7.123-7.995c0-1.401 .3725-2.834 1.185-4.161L122.7 215.1L231.4 405.2zM31.1 420.1c0-2.039 1.508-4.068 3.93-4.068c.1654 0 .3351 .0095 .5089 .0291l203.6 22.31v65.66C239.1 508.6 236.2 512 232 512c-1.113 0-2.255-.2387-3.363-.7565L34.25 423.6C32.69 422.8 31.1 421.4 31.1 420.1zM356.4 207.1l-100.4 175.7L155.6 207.1H356.4zM476.1 415.1c2.422 0 3.93 2.029 3.93 4.068c0 1.378-.6893 2.761-2.252 3.524l-194.4 87.66c-1.103 .5092-2.241 .7443-3.35 .7443c-4.2 0-7.994-3.371-7.994-7.994v-65.69l203.6-22.28C475.7 416 475.9 415.1 476.1 415.1zM494.8 370.9C495.6 372.3 496 373.7 496 375.1c0 3.872-2.841 7.499-7.128 7.98l-208.2 22.06l108.6-190.1L494.8 370.9zM491.1 146.5c2.091 0 4.001 1.661 4.001 4.012v162.8c0 2.483-2.016 4.006-4.053 4.006c-1.27 0-2.549-.5919-3.353-1.912l-75.28-122.3l76.62-45.1C490.6 146.7 491.3 146.5 491.1 146.5z"]],
    "dice-d4": [512, 512, [], "f6d0", ["M231.6 0c4.143 0 8.185 3.31 8.185 8.524v494.9C239.8 508.5 235.9 512 231.7 512c-1.724 0-3.488-.5858-5.035-1.887l-223.6-188.8C1.037 319.6 0 317.2 0 314.7c0-1.816 .5498-3.647 1.682-5.201L225.3 3.337C226.1 1.031 229.3 0 231.6 0z", "M512 314.7c0 2.494-1.037 4.961-3.026 6.642l-223.6 188.8C283.8 511.4 282.1 512 280.3 512c-4.196 0-8.153-3.471-8.153-8.543V8.524C272.2 3.31 276.2 0 280.4 0c2.312 0 4.656 1.031 6.346 3.337l223.6 306.1C511.5 311 512 312.8 512 314.7z"]],
    "dice-d6": [448, 512, [], "f6d1", ["M426.2 117.2c0 2.825-1.352 5.647-4.051 7.248L224 242.6L25.88 124.4C23.19 122.8 21.85 119.1 21.85 117.2c0-2.8 1.32-5.603 3.965-7.221l165.1-100.9C201.7 3.023 212.9 0 224 0s22.27 3.023 32.22 9.07l165.1 100.9C424.8 111.6 426.2 114.4 426.2 117.2z", "M7.994 153.5c1.326 0 2.687 .3508 3.975 1.119L208 271.5v223.8c0 9.741-7.656 16.71-16.01 16.71c-2.688 0-5.449-.7212-8.05-2.303l-152.2-92.47C12.13 405.3 0 383.3 0 359.5v-197.7C0 156.1 3.817 153.5 7.994 153.5zM440 153.5C444.2 153.5 448 156.1 448 161.8v197.7c0 23.75-12.12 45.75-31.78 57.69l-152.2 92.5C261.5 511.3 258.7 512 256 512C247.7 512 240 505 240 495.3V271.5l196-116.9C437.3 153.8 438.7 153.5 440 153.5z"]],
    "dice-d8": [512, 512, [], "f6d2", ["M231.3 0c4.217 0 8.263 3.331 8.263 8.365v324.3L5.461 247.6C1.968 246.3 0 243 0 239.7c0-2.075 .7542-4.175 2.367-5.836L225.5 2.521C227.2 .779 229.3 0 231.3 0zM512 239.7c0 3.355-1.968 6.651-5.461 7.944l-234.1 85.03V8.396c0-5.057 4.049-8.395 8.268-8.395c2.038 0 4.116 .7791 5.795 2.52l223.2 231.3C511.2 235.5 512 237.6 512 239.7z", "M31.11 304.6c0-4.377 3.501-8.483 8.109-8.483c.9283 0 1.902 .1666 2.9 .5312l197.5 71.66v135.3C239.6 508.7 235.5 512 231.3 512c-2.038 0-4.116-.7791-5.795-2.52L33.52 310.4C31.84 308.6 31.11 306.6 31.11 304.6zM472.8 296.1c4.608 0 8.109 4.105 8.109 8.483c0 1.998-.7294 4.052-2.416 5.799l-192 199.1C284.8 511.2 282.7 512 280.7 512c-4.219 0-8.268-3.338-8.268-8.395V368.3l197.5-71.66C470.9 296.3 471.9 296.1 472.8 296.1z"]],
    "dice-five": [448, 512, [9860], "f523", ["M384 32H64C28.62 32 0 60.62 0 96v320c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V96C448 60.62 419.4 32 384 32zM128 384c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S145.6 384 128 384zM128 192C110.4 192 96 177.6 96 160s14.38-32 32-32s32 14.38 32 32S145.6 192 128 192zM224 288C206.4 288 192 273.6 192 256s14.38-32 32-32s32 14.38 32 32S241.6 288 224 288zM320 384c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S337.6 384 320 384zM320 192c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S337.6 192 320 192z", "M320 192c17.62 0 32-14.38 32-32s-14.38-32-32-32s-32 14.38-32 32S302.4 192 320 192zM320 320c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S337.6 320 320 320zM128 320c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S145.6 320 128 320zM128 128C110.4 128 96 142.4 96 160s14.38 32 32 32s32-14.38 32-32S145.6 128 128 128zM224 224C206.4 224 192 238.4 192 256s14.38 32 32 32s32-14.38 32-32S241.6 224 224 224z"]],
    "dice-four": [448, 512, [9859], "f524", ["M384 32H64C28.62 32 0 60.62 0 96v320c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V96C448 60.62 419.4 32 384 32zM128 384c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S145.6 384 128 384zM128 192C110.4 192 96 177.6 96 160s14.38-32 32-32s32 14.38 32 32S145.6 192 128 192zM320 384c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S337.6 384 320 384zM320 192c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S337.6 192 320 192z", "M128 320c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S145.6 320 128 320zM320 192c17.62 0 32-14.38 32-32s-14.38-32-32-32s-32 14.38-32 32S302.4 192 320 192zM128 128C110.4 128 96 142.4 96 160s14.38 32 32 32s32-14.38 32-32S145.6 128 128 128zM320 320c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S337.6 320 320 320z"]],
    "dice-one": [448, 512, [9856], "f525", ["M384 32H64C28.62 32 0 60.62 0 96v320c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V96C448 60.62 419.4 32 384 32zM224 288C206.4 288 192 273.6 192 256s14.38-32 32-32s32 14.38 32 32S241.6 288 224 288z", "M256 256c0 17.62-14.38 32-32 32S192 273.6 192 256s14.38-32 32-32S256 238.4 256 256z"]],
    "dice-six": [448, 512, [9861], "f526", ["M384 32H64C28.62 32 0 60.62 0 96v320c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V96C448 60.62 419.4 32 384 32zM128 384c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S145.6 384 128 384zM128 288C110.4 288 96 273.6 96 256s14.38-32 32-32s32 14.38 32 32S145.6 288 128 288zM128 192C110.4 192 96 177.6 96 160s14.38-32 32-32s32 14.38 32 32S145.6 192 128 192zM320 384c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S337.6 384 320 384zM320 288c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S337.6 288 320 288zM320 192c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S337.6 192 320 192z", "M128 320c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S145.6 320 128 320zM320 192c17.62 0 32-14.38 32-32s-14.38-32-32-32s-32 14.38-32 32S302.4 192 320 192zM128 224C110.4 224 96 238.4 96 256s14.38 32 32 32s32-14.38 32-32S145.6 224 128 224zM320 320c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S337.6 320 320 320zM320 224c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S337.6 224 320 224zM128 128C110.4 128 96 142.4 96 160s14.38 32 32 32s32-14.38 32-32S145.6 128 128 128z"]],
    "dice-three": [448, 512, [9858], "f527", ["M384 32H64C28.62 32 0 60.62 0 96v320c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V96C448 60.62 419.4 32 384 32zM128 192C110.4 192 96 177.6 96 160s14.38-32 32-32s32 14.38 32 32S145.6 192 128 192zM224 288C206.4 288 192 273.6 192 256s14.38-32 32-32s32 14.38 32 32S241.6 288 224 288zM320 384c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S337.6 384 320 384z", "M128 128C110.4 128 96 142.4 96 160s14.38 32 32 32s32-14.38 32-32S145.6 128 128 128zM320 320c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S337.6 320 320 320zM224 224C206.4 224 192 238.4 192 256s14.38 32 32 32s32-14.38 32-32S241.6 224 224 224z"]],
    "dice-two": [448, 512, [9857], "f528", ["M384 32H64C28.62 32 0 60.62 0 96v320c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V96C448 60.62 419.4 32 384 32zM128 192C110.4 192 96 177.6 96 160s14.38-32 32-32s32 14.38 32 32S145.6 192 128 192zM320 384c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S337.6 384 320 384z", "M128 128C110.4 128 96 142.4 96 160s14.38 32 32 32s32-14.38 32-32S145.6 128 128 128zM320 320c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S337.6 320 320 320z"]],
    "diploma": [640, 512, ["scroll-ribbon"], "f5ea", ["M539.3 144H384v238L539.3 416C594.9 416 640 351.5 640 272C640 192.5 594.9 144 539.3 144zM0 272C0 351.5 42.98 416 96 416l160-34.29V144H96C42.98 144 0 192.5 0 272z", "M480 112c0 11.4-2.506 22.19-6.844 32H400C417.7 144 432 129.7 432 112s-14.32-32-31.1-32c-15.93 0-27.67 2.639-68.88 64H384V480l-64-32.01L256 480V144h52.87C267.7 82.64 255.9 80 240 80c-17.67 0-32 14.33-32 32s14.33 32 32 32H166.8C162.5 134.2 160 123.4 160 112C160 68.15 195.7 32 239.5 32C272.3 32 294.5 47.08 320 78.95C345.5 47.08 367.7 32 400.5 32C444.3 32 480 68.15 480 112z"]],
    "disc-drive": [512, 512, [], "f8b5", ["M256 96C167.6 96 96 167.6 96 256s71.63 160 160 160s160-71.63 160-160S344.4 96 256 96zM256 288C238.4 288 224 273.6 224 256s14.38-32 32-32s32 14.38 32 32S273.6 288 256 288z", "M496 416H480V96c0-35.38-28.62-64-64-64H96C60.62 32 32 60.62 32 96v320H16C7.125 416 0 423.1 0 432v32C0 472.9 7.125 480 15.1 480h480c8.875 0 16-7.125 16-16v-32C512 423.1 504.9 416 496 416zM256 416c-88.38 0-160-71.63-160-160s71.62-160 160-160s160 71.62 160 160S344.4 416 256 416zM256 224C238.4 224 224 238.4 224 256s14.38 32 32 32c17.62 0 32-14.38 32-32S273.6 224 256 224z"]],
    "disease": [512, 512, [], "f7fa", ["M472.2 195.9l-66.1-22.1c-19.25-6.624-33.5-20.87-38.13-38.24l-16-60.49c-11.62-43.74-76.63-57.11-110-22.62L194.1 99.3c-13.25 13.75-33.5 20.87-54.25 19.25L68.86 112.9c-52-3.999-86.88 44.99-59 82.86l38.63 52.49c11 14.1 12.75 33.74 4.625 50.12l-28.5 56.99c-20.62 41.24 22.88 84.86 73.5 73.86l69.1-15.25c20.12-4.499 41.38 .0001 57 11.62l54.38 40.87c39.38 29.62 101 7.623 104.5-37.24l4.625-61.86c1.375-17.75 12.88-33.87 30.62-42.99l61.1-31.62C526.1 269.8 520.9 212.5 472.2 195.9zM159.1 256c-17.62 0-31.1-14.37-31.1-31.1s14.37-31.1 31.1-31.1S191.1 206.4 191.1 224S177.6 256 159.1 256zM287.1 351.1c-17.62 0-31.1-14.37-31.1-31.1c0-17.62 14.37-31.1 31.1-31.1s31.1 14.37 31.1 31.1C319.1 337.6 305.6 351.1 287.1 351.1zM303.1 224c-8.875 0-15.1-7.125-15.1-15.1c0-8.873 7.125-15.1 15.1-15.1s15.1 7.126 15.1 15.1C319.1 216.9 312.9 224 303.1 224z", "M287.1 288c-17.62 0-31.1 14.37-31.1 31.1c0 17.62 14.37 31.1 31.1 31.1s31.1-14.37 31.1-31.1C319.1 302.4 305.6 288 287.1 288zM303.1 224c8.875 0 15.1-7.125 15.1-15.1c0-8.873-7.125-15.1-15.1-15.1s-15.1 7.126-15.1 15.1C287.1 216.9 295.1 224 303.1 224z"]],
    "display": [576, 512, [], "e163", ["M528 0h-480C21.5 0 0 21.5 0 48v320C0 394.5 21.5 416 48 416h480c26.5 0 48-21.5 48-48v-320C576 21.5 554.5 0 528 0zM512 352H64V64h448V352z", "M424 464H352L336 416h-96L224 464H152C138.8 464 128 474.8 128 488S138.8 512 152 512h272c13.25 0 24-10.75 24-24S437.3 464 424 464zM64 64v288h448V64H64z"]],
    "display-arrow-down": [576, 512, [], "e164", ["M576 48v320c0 26.5-21.5 48-48 48h-480C21.5 416 0 394.5 0 368v-320C0 21.5 21.5 0 48 0h216v64H64v288h448V64h-200V0h216C554.5 0 576 21.5 576 48z", "M424 464H352L336 416h-96L224 464H152C138.8 464 128 474.8 128 488S138.8 512 152 512h272c13.25 0 24-10.75 24-24S437.3 464 424 464zM312 64v142.1l39.03-39.03c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94l-80 80c-9.375 9.375-24.56 9.375-33.94 0l-80-80c-9.375-9.375-9.375-24.56 0-33.94C195.7 162.3 201.8 160 208 160s12.28 2.344 16.97 7.031L264 206.1V64H64v288h448V64H312z"]],
    "display-code": [576, 512, ["desktop-code"], "e165", ["M528 0h-480C21.5 0 0 21.5 0 48v320C0 394.5 21.5 416 48 416h480c26.5 0 48-21.5 48-48v-320C576 21.5 554.5 0 528 0zM512 352H64V64h448V352z", "M64 64v288h448V64H64zM242.1 241.9c7.812 7.812 7.812 20.5 0 28.31C238.2 274.1 233.1 276 228 276S217.8 274.1 213.9 270.2l-48-48c-7.812-7.812-7.812-20.5 0-28.31l48-48c7.812-7.812 20.47-7.812 28.28 0s7.812 20.5 0 28.31L208.3 208L242.1 241.9zM410.1 222.2l-48 48C358.2 274.1 353.1 276 348 276s-10.23-1.938-14.14-5.844c-7.812-7.812-7.812-20.5 0-28.31l33.86-33.84L333.9 174.2c-7.812-7.812-7.812-20.5 0-28.31s20.47-7.812 28.28 0l48 48C417.1 201.7 417.1 214.4 410.1 222.2zM424 464H352L336 416h-96L224 464H152C138.8 464 128 474.8 128 488S138.8 512 152 512h272c13.25 0 24-10.75 24-24S437.3 464 424 464z"]],
    "display-medical": [576, 512, ["desktop-medical"], "e166", ["M528 0h-480C21.5 0 0 21.5 0 48v320C0 394.5 21.5 416 48 416h480c26.5 0 48-21.5 48-48v-320C576 21.5 554.5 0 528 0zM512 352H64V64h448V352z", "M424 464H352L336 416h-96L224 464H152C138.8 464 128 474.8 128 488S138.8 512 152 512h272c13.25 0 24-10.75 24-24S437.3 464 424 464zM64 64v288h448V64H64zM384 224c0 8.799-7.199 15.1-16 15.1H320v48C320 296.8 312.8 304 304 304h-32C263.2 304 256 296.8 256 287.1v-48H208C199.2 239.1 192 232.8 192 224V191.1C192 183.2 199.2 176 208 176H256V128c0-8.801 7.199-16 16-16h32C312.8 112 320 119.2 320 128v48h48c8.801 0 16 7.198 16 15.1V224z"]],
    "display-slash": [640, 512, ["desktop-slash"], "e2fa", ["M455.1 464h-72l-16-48h39.99l-81.65-64H95.1L95.1 171.5L31.1 121.3V368c0 26.5 21.5 48 47.1 48h191.1l-16 48H183.1c-13.25 0-24 10.75-24 24s10.75 24 24 24h271.1c13.25 0 24-10.75 24-24S469.2 464 455.1 464zM559.1 0l-479.1 0c-12.3 0-23.41 4.77-31.9 12.38L113.1 63.1h430l-.0005 288h-62.59l81.31 63.73C587.9 414.3 607.1 393.6 607.1 368v-320C607.1 21.5 586.5 0 559.1 0z", "M615.1 512c-5.156 0-10.38-1.674-14.79-5.112L9.188 42.89c-10.44-8.172-12.26-23.26-4.068-33.7c8.125-10.41 23.16-12.28 33.69-4.078l591.1 463.1c10.44 8.172 12.26 23.27 4.068 33.7C630.2 508.8 623.1 512 615.1 512z"]],
    "distribute-spacing-horizontal": [448, 512, [], "e365", ["M128 144C128 117.5 149.5 96 176 96H272C298.5 96 320 117.5 320 144V368C320 394.5 298.5 416 272 416H176C149.5 416 128 394.5 128 368V144z", "M48 24V488C48 501.3 37.25 512 24 512C10.75 512 0 501.3 0 488V24C0 10.75 10.75 0 24 0C37.25 0 48 10.75 48 24zM448 24V488C448 501.3 437.3 512 424 512C410.7 512 400 501.3 400 488V24C400 10.75 410.7 0 424 0C437.3 0 448 10.75 448 24z"]],
    "distribute-spacing-vertical": [512, 512, [], "e366", ["M96 208C96 181.5 117.5 160 144 160H368C394.5 160 416 181.5 416 208V304C416 330.5 394.5 352 368 352H144C117.5 352 96 330.5 96 304V208z", "M488 32C501.3 32 512 42.75 512 56C512 69.25 501.3 80 488 80H24C10.75 80 0 69.25 0 56C0 42.75 10.75 32 24 32H488zM488 432C501.3 432 512 442.7 512 456C512 469.3 501.3 480 488 480H24C10.75 480 0 469.3 0 456C0 442.7 10.75 432 24 432H488z"]],
    "ditto": [320, 512, [], "22", ["M14.89 54.93C2.692 70.21-2.372 90.22 1.044 109.9l25.21 145.2C29.55 274.1 45.44 288 63.99 288S98.43 274.1 101.7 255l25.24-145.2c3.389-19.6-1.678-39.61-13.88-54.9C88.75 24.36 39.23 24.36 14.89 54.93z", "M305.1 54.93c-24.34-30.57-73.86-30.57-98.2 0c-12.2 15.29-17.27 35.3-13.85 54.93l25.21 145.2C221.6 274.1 237.4 288 255.1 288s34.44-13.89 37.74-32.99l25.24-145.2C322.4 90.22 317.3 70.21 305.1 54.93z"]],
    "divide": [448, 512, [10135, 247], "f529", ["M400 224h-352c-17.69 0-32 14.31-32 31.1s14.31 32 32 32h352c17.69 0 32-14.31 32-32S417.7 224 400 224z", "M224 144c26.47 0 48-21.53 48-48s-21.53-48-48-48s-48 21.53-48 48S197.5 144 224 144zM224 368c-26.47 0-48 21.53-48 48s21.53 48 48 48s48-21.53 48-48S250.5 368 224 368z"]],
    "dna": [448, 512, [129516], "f471", ["M.1349 17.99c-.084-.666-.1017-1.226-.0997-1.898c.0273-8.838 7.228-15.99 16.06-15.96L48.36 .001C56.37-.0537 63.21 5.884 64.33 13.81C65.06 18.55 66.03 24.32 67.58 31h312.7C376.3 48.1 368.8 70.86 354.8 96L92.94 96C104.1 117.5 119.8 137.4 136.9 155.1c23.82 24.7 53.26 46.19 86.97 64.56C219.2 222.3 214.6 224.9 209.6 227.4C192 236.1 175.7 245.8 160.1 256.1C133.4 238.6 109.4 219.1 88.8 197.5c-25.88-27.02-47.16-58.1-62.99-92C8.805 68.78 2.475 36.81 .1349 17.99zM422 406.6c-15.96-33.97-37.4-65.09-63.44-92.12C349.1 304.5 339.2 295.2 328.7 286.4c-18.68 13.15-38.23 24.93-58.48 35.49c5.686 4.232 11.13 8.681 16.45 13.16H161c-18.66 15.78-33.95 32.02-46.16 48h217.9c11.36 14.78 21.17 30.68 29.28 47.47c10.44 21.4 17.73 44.19 21.4 67.71c1.166 7.902 7.979 13.82 15.97 13.82l32.46-.0625C440.7 512 447.9 504.1 447.1 496.1c.0039-.707-.089-1.353-.1769-2.053C445.5 475.2 439.2 443.3 422 406.6z", "M448 15.9c.0039 .7012-.0314 1.338-.1193 2.034c-2.35 18.84-8.685 50.78-25.72 87.5C406.3 139.4 384.9 170.5 359 197.5c-32.61 34.23-73.2 63.54-120.6 87.11c-77.97 38.77-121.4 88.38-145.4 131.4h261.5c2.666 4.76 5.162 9.583 7.507 14.47c7.654 15.83 13.74 32.44 17.87 49.53H67.82c-1.689 7.1-2.795 13.21-3.494 18.17c-1.131 7.924-7.842 13.85-15.85 13.83l-32.42-.0625C7.221 512 .0703 504.1 0 496.1c-.0059-.7109 .0314-1.359 .1193-2.063c2.35-18.84 8.685-50.78 25.72-87.5c15.89-33.94 37.23-65.04 63.18-92.07c32.61-34.23 73.17-63.54 120.6-87.11c32.21-16 58.49-33.89 79.94-52.38H157.1C150.5 168.6 143.5 161.1 136.9 155.1C128.4 146.3 120.4 136.9 113 127h221.7c35.39-47.16 45.84-91.51 48.92-113.2c1.131-7.924 7.96-13.85 15.96-13.83l32.37 .0625C440.8 .0107 447.9 7.068 448 15.9z"]],
    "do-not-enter": [512, 512, [], "f5ec", ["M80 224C80 215.2 87.16 208 96 208H416C424.8 208 432 215.2 432 224V288C432 296.8 424.8 304 416 304H96C87.16 304 80 296.8 80 288V224z", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM96 208C87.16 208 80 215.2 80 224V288C80 296.8 87.16 304 96 304H416C424.8 304 432 296.8 432 288V224C432 215.2 424.8 208 416 208H96z"]],
    "dog": [576, 512, [128021], "f6d3", ["M416 255.1V256.1L303.8 191.1H304L309.6 158.5L421.6 222.5L416 255.1z", "M332.7 19.85C334.6 8.395 344.5 0 356.1 0C363.6 0 370.6 3.52 375.1 9.502L392 32H444.1C456.8 32 469.1 37.06 478.1 46.06L496 64H552C565.3 64 576 74.75 576 88V112C576 156.2 540.2 192 496 192H426.7L421.6 222.5L309.6 158.5L332.7 19.85zM448 64C439.2 64 432 71.16 432 80C432 88.84 439.2 96 448 96C456.8 96 464 88.84 464 80C464 71.16 456.8 64 448 64zM416 256.1V480C416 497.7 401.7 512 384 512H352C334.3 512 320 497.7 320 480V364.8C295.1 377.1 268.8 384 240 384C211.2 384 184 377.1 160 364.8V480C160 497.7 145.7 512 128 512H96C78.33 512 64 497.7 64 480V249.8C35.23 238.9 12.64 214.5 4.836 183.3L.9558 167.8C-3.331 150.6 7.094 133.2 24.24 128.1C41.38 124.7 58.76 135.1 63.05 152.2L66.93 167.8C70.49 182 83.29 191.1 97.97 191.1H303.8L416 256.1z"]],
    "dog-leashed": [576, 512, [129454], "f6d4", ["M100.1 4.414C107.4-1.68 117.5-1.433 123.6 4.965L281.3 170.5L430.2 233.3C438.4 236.7 442.2 246.1 438.7 254.2C435.3 262.4 425.9 266.2 417.8 262.7L288 208.1V384C288 392.8 280.8 400 272 400C263.2 400 256 392.8 256 384V190.4L100.4 27.03C94.32 20.64 94.57 10.51 100.1 4.414V4.414z", "M256 383.3C250.7 383.8 245.4 384 240 384C211.2 384 184 377.1 160 364.8V480C160 497.7 145.7 512 128 512H96C78.33 512 64 497.7 64 480V249.8C35.23 238.9 12.64 214.5 4.836 183.3L.9558 167.8C-3.331 150.6 7.094 133.2 24.24 128.1C41.38 124.7 58.76 135.1 63.05 152.2L66.93 167.8C70.49 182 83.29 191.1 97.97 191.1H256V383.3zM288 208.1L416 261.1V480C416 497.7 401.7 512 384 512H352C334.3 512 320 497.7 320 480V364.8C309.9 369.1 299.2 374.2 288 377.4V208.1zM305.9 180.9L332.7 19.85C334.6 8.395 344.5 0 356.1 0C363.6 0 370.6 3.52 375.1 9.502L392 32H444.1C456.8 32 469.1 37.06 478.1 46.06L496 64H552C565.3 64 576 74.75 576 88V112C576 156.2 540.2 192 496 192H426.7L420.5 229.2L305.9 180.9zM448 63.1C439.2 63.1 432 71.16 432 79.1C432 88.84 439.2 95.1 448 95.1C456.8 95.1 464 88.84 464 79.1C464 71.16 456.8 63.1 448 63.1z"]],
    "dollar-sign": [320, 512, [128178, 61781, "dollar", "usd"], "24", ["M160 0C177.7 0 192 14.33 192 32V67.68C170.2 64.78 148.4 64.32 128 66.73V32C128 14.33 142.3 0 160 0V0zM192 446.6V480C192 497.7 177.7 512 160 512C142.3 512 128 497.7 128 480V445.1C149.9 448.3 171.6 448.9 192 446.6z", "M108.8 136.5C90.52 143.5 82.93 153.4 80.92 164.5C78.98 175.2 80.45 181.3 82.21 185.1C84.1 189.1 87.79 193.6 95.14 198.5C111.4 209.2 136.2 216.4 168.4 225.1C169.3 225.4 170.3 225.6 171.2 225.9C199.6 233.6 234.4 243.1 260.2 260.2C274.3 269.6 287.6 282.3 295.8 299.9C304.1 317.7 305.9 337.7 302.1 358.1C295.1 397 268.1 422.4 236.4 435.6C204.8 448.5 166.1 450.8 126.7 444.9L126.5 444.9C102.2 441.1 62.07 430.6 35 418.6C18.85 411.4 11.58 392.5 18.76 376.3C25.94 360.2 44.85 352.9 60.1 360.1C81.9 369.4 116.3 378.5 136.2 381.6C168.2 386.4 194.5 383.6 212.3 376.4C229.2 369.5 236.9 359.5 239.1 347.5C241 336.8 239.6 330.7 237.8 326.9C235.9 322.9 232.2 318.4 224.9 313.5C208.6 302.8 183.8 295.6 151.6 286.9C150.7 286.6 149.7 286.4 148.8 286.1C120.4 278.4 85.58 268.9 59.76 251.8C45.65 242.4 32.43 229.7 24.22 212.1C15.89 194.3 14.08 174.3 17.95 153C25.03 114.1 53.05 89.29 85.96 76.73C118.2 64.43 157.5 62.5 196.7 68.35C207.3 69.93 238.9 75.02 251.9 78.31C268.1 82.65 279.4 100.1 275 117.2C270.7 134.3 253.3 144.7 236.1 140.4C226.8 137.1 198.5 133.3 187.3 131.7C155.2 126.9 127.7 129.3 108.8 136.5V136.5zM49.43 158.8L17.95 153L49.43 158.8zM192 100L187.3 131.7z"]],
    "dolly": [576, 512, ["dolly-box"], "f472", ["M515.2 228.4L454.8 47.25c-2.75-8.5-11.87-13-20.12-10.12L373.6 57.5l33.12 99.38l-60.75 20.12L312.8 77.63l-61.62 20.5c-8.375 2.75-12.87 11.88-9.998 20.12l52.1 159.5c18 5 34.62 13.38 49.5 24.62l161.5-53.75C513.6 245.8 518.1 236.8 515.2 228.4zM256 320C202.1 320 160 362.1 160 416s42.98 96 96 96s96-42.98 96-96S309 320 256 320zM256 448c-17.67 0-32-14.33-32-32c0-17.67 14.33-31.1 32-31.1S288 398.3 288 416C288 433.7 273.7 448 256 448z", "M574.4 309.9c-5.594-16.75-23.69-25.91-40.48-20.23l-202.5 67.51C344.1 373.4 352 393.7 352 416c0 .6152-.1719 1.186-.1836 1.799l202.3-67.44C570.9 344.8 579.1 326.6 574.4 309.9zM104.9 0H32C14.33 0 0 14.33 0 32s14.33 32 32 32h72.94l92.22 276.7C213.5 327.9 233.7 320 256 320c.6133 0 1.178 .168 1.789 .1797L165.7 43.75C156.9 17.58 132.5 0 104.9 0zM406.7 156.9L373.6 57.5L312.8 77.63l33.13 99.38L406.7 156.9z"]],
    "dolly-empty": [576, 512, [], "f473", ["M256 320C202.1 320 160 362.1 160 416s42.98 96 96 96s96-42.98 96-96S309 320 256 320zM256 448c-17.67 0-32-14.33-32-32c0-17.67 14.32-31.1 31.1-31.1S288 398.3 288 416C288 433.7 273.7 448 256 448z", "M104.9 0H32C14.33 0 0 14.33 0 32s14.33 32 32 32h72.94l92.22 276.7C213.5 327.9 233.7 320 256 320c.6133 0 1.178 .168 1.789 .1797L165.7 43.75C156.9 17.58 132.5 0 104.9 0zM574.4 309.9c-5.594-16.75-23.69-25.91-40.48-20.23l-202.5 67.51C344.1 373.4 352 393.7 352 416c0 .6152-.1719 1.186-.1836 1.799l202.3-67.44C570.9 344.8 579.1 326.6 574.4 309.9z"]],
    "dolphin": [512, 512, [], "e168", ["M438.4 129.5l-13.9-11.92c9.016-24.25 26.23-54.14 52.31-89.89c5.311-7.328 3.281-15.04-.4336-19.82c-4.619-5.98-11.83-8.907-20.34-7.575c-51.75 8.117-93.62 24.63-123.9 40.08c-35.5-25.72-77.93-40.4-122.1-40.4L176 0C96.47 0 32 64.47 32 144c0 18.38 3.771 35.8 10.05 51.97L14.25 214.5C5.348 220.4 0 230.4 0 241.1V256c0 17.68 14.33 32 32 32L192.9 288l102.8 61.7C306.4 356.1 320 348.4 320 335.1V288h2.902c.834 0 1.59 .21 2.412 .249C326.2 288.2 327.1 288 328 288C358.9 288 384 313.1 384 344s-25.07 56-56 56h-62.22l-13.07-21.31C248.3 372 240.8 368 232.7 368H171.1c-9.561 0-15.27 10.66-9.965 18.61l35.55 53.38l-35.53 53.36C156.7 501.3 162.4 512 172 512H232.7c8.064 0 15.58-4.033 19.99-10.69L265.8 480H320c105.9 0 192.4-86.08 192-191.1C512 202.3 460.3 148.3 438.4 129.5zM151.3 176C139.3 176 129.8 167.1 128 155.7V148.3C129.8 136.9 139.3 128 151.3 128c13.25 0 24 10.74 24 24C175.3 165.3 164.5 176 151.3 176z", "M128 148.3C129.8 136.9 139.3 128 151.3 128c13.25 0 24 10.74 24 24c0 13.25-10.75 24-24 24C139.3 176 129.8 167.1 128 155.7V148.3z"]],
    "dong-sign": [384, 512, [], "e169", ["M256 128H224C206.3 128 192 113.7 192 96C192 78.33 206.3 64 224 64H256V128zM320 64C337.7 64 352 78.33 352 96C352 113.7 337.7 128 320 128V64zM0 480C0 462.3 14.33 448 32 448H352C369.7 448 384 462.3 384 480C384 497.7 369.7 512 352 512H32C14.33 512 0 497.7 0 480z", "M320 64V384C320 401.7 305.7 416 288 416C275 416 263.9 408.3 258.8 397.2C239.4 409.1 216.5 416 192 416C121.3 416 64 358.7 64 288C64 217.3 121.3 160 192 160C215.3 160 237.2 166.2 256 177.1V64C256 46.33 270.3 32 288 32C305.7 32 320 46.33 320 64V64zM256 288C256 252.7 227.3 224 192 224C156.7 224 128 252.7 128 288C128 323.3 156.7 352 192 352C227.3 352 256 323.3 256 288z"]],
    "donut": [512, 512, [127849, "doughnut"], "e406", ["M512 256C512.5 273.1 499.4 289.7 475.5 300.1C462.2 305.2 450.1 314.6 443.5 326.8C433.7 339.5 420.9 349.5 406.3 355.9C391.6 362.3 375.6 364.1 359.6 363.6C341.8 363.5 324.2 366.9 307.8 373.8C274.5 387.4 237.3 387.4 204.1 373.8C187.7 366.9 170 363.5 152.2 363.6C136.3 364.1 120.2 362.3 105.6 355.9C90.93 349.5 78.13 339.5 68.35 326.8C60.9 314.6 49.66 305.2 36.35 300.1C12.8 289.7-.4791 273.1 .0009 256C.0009 250.8 .0009 208 .0009 208C.0009 119.6 114.6 48 256 48C397.4 48 512 119.6 512 208C512 208 512 250.8 512 256zM239.1 111.1C239.1 116.2 241.7 120.3 244.7 123.3C247.7 126.3 251.7 128 255.1 128C260.2 128 264.3 126.3 267.3 123.3L283.3 107.3C286.3 104.3 287.1 100.3 287.1 96.01C287.1 91.77 286.3 87.69 283.3 84.69C280.3 81.68 276.2 79.99 271.1 79.99C267.8 79.99 263.7 81.67 260.7 84.67L244.7 100.7C241.7 103.7 239.1 107.7 239.1 111.1zM107.3 219.3C110.3 216.3 112 212.2 112 208C112 203.8 110.3 199.7 107.3 196.7C104.3 193.7 100.2 192 96 192H64C59.76 192 55.69 193.7 52.69 196.7C49.69 199.7 48 203.8 48 208C48 212.2 49.69 216.3 52.69 219.3C55.69 222.3 59.76 224 64 224H96C100.2 224 104.3 222.3 107.3 219.3zM113.2 137.9C112.4 139.8 111.1 141.9 111.1 143.1C111.1 146.1 112.4 148.2 113.2 150.1C113.1 152.1 115.2 153.8 116.7 155.3C118.1 156.8 119.9 157.1 121.8 158.8C123.8 159.6 125.9 160 127.1 160C130.1 160 132.2 159.6 134.1 158.8C136 157.1 137.8 156.8 139.3 155.3L171.3 123.3C174.3 120.3 175.1 116.3 175.1 112C175.1 107.8 174.3 103.7 171.3 100.7C168.3 97.68 164.2 95.99 159.1 95.99C155.8 95.99 151.7 97.67 148.7 100.7L116.7 132.7C115.2 134.2 114 135.9 113.2 137.9zM190.8 294.1C191.6 292.2 191.1 290.1 191.1 288C191.1 285.9 191.6 283.8 190.8 281.9C189.1 279.9 188.8 278.2 187.3 276.7L155.3 244.7C152.3 241.7 148.2 239.1 143.1 239.1C139.7 239.1 135.7 241.7 132.7 244.7C129.7 247.7 127.1 251.8 127.1 256C127.1 258.1 128.4 260.2 129.2 262.1C130 264.1 131.2 265.8 132.7 267.3L164.7 299.3C167.7 302.3 171.7 304 175.1 304C180.2 304 184.3 302.3 187.3 299.3C188.8 297.8 189.1 296.1 190.8 294.1zM256 224C291.4 224 320 209.7 320 192C320 174.3 291.4 160 256 160C220.6 160 192 174.3 192 192C192 209.7 220.6 224 256 224zM334.8 278.1C335.6 276.2 335.1 274.1 335.1 272C335.1 269.9 335.6 267.8 334.8 265.9C333.1 263.9 332.8 262.2 331.3 260.7C329.8 259.2 328.1 258 326.1 257.2C324.2 256.4 322.1 255.1 319.1 255.1C317.9 255.1 315.8 256.4 313.9 257.2C311.9 258 310.2 259.2 308.7 260.7L276.7 292.7C273.7 295.7 271.1 299.7 271.1 303.1C271.1 308.2 273.7 312.3 276.7 315.3C279.7 318.3 283.7 320 287.1 320C292.2 320 296.3 318.3 299.3 315.3L331.3 283.3C332.8 281.8 333.1 280.1 334.8 278.1zM430.8 278.1C431.6 276.2 431.1 274.1 431.1 272C431.1 269.9 431.6 267.8 430.8 265.9C429.1 263.9 428.8 262.2 427.3 260.7L395.3 228.7C392.3 225.7 388.2 223.1 383.1 223.1C379.7 223.1 375.7 225.7 372.7 228.7C369.7 231.7 367.1 235.8 367.1 240C367.1 244.3 369.7 248.3 372.7 251.3L404.7 283.3C407.7 286.3 411.7 288 415.1 288C420.2 288 424.3 286.3 427.3 283.3C428.8 281.8 429.1 280.1 430.8 278.1zM430.8 182.1C431.6 180.2 431.1 178.1 431.1 176C431.1 173.9 431.6 171.8 430.8 169.9C429.1 167.9 428.8 166.2 427.3 164.7L395.3 132.7C392.3 129.7 388.2 127.1 383.1 127.1C379.7 127.1 375.7 129.7 372.7 132.7C369.7 135.7 367.1 139.8 367.1 144C367.1 146.1 368.4 148.2 369.2 150.1C370 152.1 371.2 153.8 372.7 155.3L404.7 187.3C407.7 190.3 411.7 192 415.1 192C420.2 192 424.3 190.3 427.3 187.3C428.8 185.8 429.1 184.1 430.8 182.1z", "M372.7 155.3C369.7 152.3 367.1 148.3 367.1 144C367.1 139.8 369.7 135.7 372.7 132.7C375.7 129.7 379.7 127.1 383.1 127.1C388.2 127.1 392.3 129.7 395.3 132.7L427.3 164.7C428.8 166.2 429.1 167.9 430.8 169.9C431.6 171.8 431.1 173.9 431.1 175.1C431.1 178.1 431.6 180.2 430.8 182.1C429.1 184.1 428.8 185.8 427.3 187.3C425.8 188.8 424.1 189.1 422.1 190.8C420.2 191.6 418.1 192 415.1 192C413.9 192 411.8 191.6 409.9 190.8C407.9 189.1 406.2 188.8 404.7 187.3L372.7 155.3zM313.9 257.2C315.8 256.4 317.9 255.1 319.1 255.1C322.1 255.1 324.2 256.4 326.1 257.2C328.1 258 329.8 259.2 331.3 260.7C332.8 262.2 333.1 263.9 334.8 265.9C335.6 267.8 335.1 269.9 335.1 272C335.1 274.1 335.6 276.2 334.8 278.1C333.1 280.1 332.8 281.8 331.3 283.3L299.3 315.3C296.3 318.3 292.2 320 287.1 320C283.7 320 279.7 318.3 276.7 315.3C273.7 312.3 271.1 308.2 271.1 303.1C271.1 299.7 273.7 295.7 276.7 292.7L308.7 260.7C310.2 259.2 311.9 258 313.9 257.2zM119.1 157.3C116.5 155.6 114.4 153.1 113.2 150.1C111.1 147.2 111.7 143.1 112.3 140.9C112.9 137.8 114.4 134.9 116.7 132.7L148.7 100.7C151.7 97.67 155.8 95.99 159.1 95.99C164.2 95.1 168.3 97.68 171.3 100.7C174.3 103.7 175.1 107.8 175.1 112C175.1 116.3 174.3 120.3 171.3 123.3L139.3 155.3C136.3 158.3 132.2 160 128 160C124.8 160 121.7 159.1 119.1 157.3H119.1zM512 304C512 392.4 397.4 464 256 464C114.6 464 .0009 392.4 .0009 304C.0009 304 .0009 250.8 .0009 256C-.4791 273.1 12.8 289.7 36.48 300.1C49.79 305.2 61.03 314.6 68.48 326.8C78.26 339.5 91.06 349.5 105.7 355.9C120.4 362.3 136.4 364.1 152.4 363.6C170.2 363.5 187.8 366.9 204.2 373.8C237.5 387.4 274.7 387.4 307.9 373.8C324.3 366.9 341.1 363.5 359.8 363.6C375.7 364.1 391.8 362.3 406.4 355.9C421.1 349.5 433.9 339.5 443.6 326.8C451.1 314.6 462.3 305.2 475.6 300.1C499.4 289.7 512.5 273.1 512 256C512 250.8 512 304 512 304z"]],
    "door-closed": [576, 512, [128682], "f52a", ["M432 0h-288C117.5 0 96 22.75 96 50.75V512h384V50.75C480 22.75 458.5 0 432 0zM384 288c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S401.6 288 384 288z", "M0 464v32C0 504.9 7.125 512 16 512H96v-64H16C7.125 448 0 455.1 0 464zM560 448H480v64h80c8.875 0 16-7.125 16-16v-32C576 455.1 568.9 448 560 448zM384 224c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S401.6 224 384 224z"]],
    "door-open": [576, 512, [], "f52b", ["M280.3 1.007l-192 49.75C73.1 54.51 64 67.76 64 82.88V512h256V33.13C320 11.63 300.5-4.243 280.3 1.007zM232 288c-13.25 0-24-14.37-24-31.1c0-17.62 10.75-31.1 24-31.1S256 238.4 256 256C256 273.6 245.3 288 232 288z", "M232 224c-13.25 0-24 14.37-24 31.1C208 273.6 218.8 288 232 288S256 273.6 256 256C256 238.4 245.3 224 232 224zM0 464v31.1C0 504.9 7.125 512 16 512H64v-63.1H16C7.125 448 0 455.1 0 464zM560 448H512V113.5c0-27.25-21.5-49.5-48-49.5L352 64.01V128h96V512h112c8.875 0 16-7.125 16-15.1v-31.1C576 455.1 568.9 448 560 448z"]],
    "dove": [512, 512, [128330], "f4ba", ["M400 63.97c-44.2 .0386-80.02 35.87-79.1 80.08l.0014 59.44c-101.9-5.852-191.9-68.31-233-161.7C81.48 29.26 63.81 28.53 58.01 40.83C40.87 76.99 31.99 116.5 32.01 156.6c0 70.8 34.11 136.9 85.11 185.9c12.27 11.73 25.25 22.66 38.88 32.77L12.12 411.2c-8.615 2.199-13.82 10.97-11.62 19.59c.4368 1.711 1.154 3.4 2.12 4.879c17.4 26.9 60.3 72.44 153.2 76.29c8.1 .2516 16.01-2.554 22.12-7.883l65.23-56.12l76.84 .0561c88.28 .0773 159.9-71.59 160-159.9c.0001-.0067 .0013-160.2 .0013-160.2l31.1-63.99L400 63.97zM400 160.1c-8.837-.0195-16.03-7.173-16.01-16.01c.0195-8.837 7.175-16.07 16.01-16.05c8.837 .0195 16.01 7.176 15.99 16.01C415.1 152.9 408.8 160.1 400 160.1z", "M320 176.7l-.0041 26.79C254.6 199.7 192.8 172.5 145.9 126.7c1.12-5.68 2.44-11.34 3.1-16.1c10.79-38.53 29.94-74.05 56.2-104.2c8.91-10.29 25.84-5.064 27.77 8.425C242.8 76.51 273.2 134.1 320 176.7z"]],
    "down": [384, 512, ["arrow-alt-down"], "f354", ["M128 256V64c0-17.67 14.33-32 32-32h64c17.67 0 32 14.33 32 32v192H128z", "M374.6 310.6l-160 160C208.4 476.9 200.2 480 192 480s-16.38-3.125-22.62-9.375l-160-160c-9.156-9.156-11.89-22.91-6.938-34.88C7.391 263.8 19.06 256 32 256h320c12.94 0 24.61 7.797 29.56 19.75C386.5 287.7 383.8 301.5 374.6 310.6z"]],
    "down-from-dotted-line": [448, 512, [], "e407", ["M384 64C384 46.33 398.3 32 416 32C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96C398.3 96 384 81.67 384 64zM288 64C288 46.33 302.3 32 320 32C337.7 32 352 46.33 352 64C352 81.67 337.7 96 320 96C302.3 96 288 81.67 288 64zM256 64C256 81.67 241.7 96 224 96C206.3 96 192 81.67 192 64C192 46.33 206.3 32 224 32C241.7 32 256 46.33 256 64zM96 64C96 46.33 110.3 32 128 32C145.7 32 160 46.33 160 64C160 81.67 145.7 96 128 96C110.3 96 96 81.67 96 64zM64 64C64 81.67 49.67 96 32 96C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64z", "M224 480C217.4 480 211.1 477.3 206.6 472.5L70.55 328.5C63.97 321.5 62.17 311.3 65.96 302.5C69.75 293.7 78.42 288 88 288H160V160C160 142.3 174.3 128 192 128H256C273.7 128 288 142.3 288 160V288H360C369.6 288 378.2 293.7 382 302.5C385.8 311.3 384 321.5 377.4 328.5L241.4 472.5C236.9 477.3 230.6 480 224 480V480z"]],
    "down-from-line": [384, 512, ["arrow-alt-from-top"], "f349", ["M351.1 32H31.1C14.33 32 0 46.33 0 63.1C0 81.67 14.33 96 32 96h320C369.7 96 384 81.67 384 64C384 46.33 369.7 32 351.1 32z", "M350 302.7c3.781 8.803 1.984 19.03-4.594 26l-136 144.1c-9.062 9.602-25.84 9.602-34.91 0l-136-144.1c-6.578-6.973-8.375-17.2-4.594-26C37.75 293.9 46.42 288.2 56 288.2H128V160.1c0-17.69 14.33-32.04 32-32.04h64c17.67 0 32 14.35 32 32.04v128.1h72C337.6 288.2 346.3 293.9 350 302.7z"]],
    "down-left": [384, 512, [], "e16a", ["M313.4 89.37l45.25 45.26c12.5 12.5 12.5 32.76 0 45.25l-129.6 129.6L138.5 218.1l129.6-129.6C280.6 76.87 300.9 76.88 313.4 89.37z", "M296.9 377.4c9.148 9.148 11.89 22.92 6.938 34.87C298.9 424.2 287.2 432 274.3 432H47.1c-8.836 0-16.84-3.58-22.63-9.369c-5.789-5.791-9.371-13.79-9.371-22.63L16 173.7c0-12.95 7.789-24.61 19.75-29.57C47.71 139.2 61.48 141.1 70.62 151.1L296.9 377.4z"]],
    "down-left-and-up-right-to-center": [512, 512, ["compress-alt"], "f422", ["M215.1 272h-136c-12.94 0-24.63 7.797-29.56 19.75C45.47 303.7 48.22 317.5 57.37 326.6l30.06 30.06l-78.06 78.07c-12.5 12.5-12.5 32.75-.0012 45.25l22.62 22.62c12.5 12.5 32.76 12.5 45.26 .0013l78.06-78.07l30.06 30.06c6.125 6.125 14.31 9.367 22.63 9.367c4.125 0 8.279-.7891 12.25-2.43c11.97-4.953 19.75-16.62 19.75-29.56V296C239.1 282.7 229.3 272 215.1 272z", "M272 216V80c0-12.94 7.781-24.61 19.75-29.56c12-4.906 25.72-2.203 34.87 6.937l30.06 30.06l78.06-78.07c12.5-12.5 32.76-12.5 45.26 .0003l22.62 22.62c12.5 12.5 12.5 32.76-.0002 45.26l-78.06 78.07l30.06 30.06c9.156 9.156 11.91 22.91 6.938 34.87c-4.938 11.95-16.63 19.75-29.56 19.75h-136C282.7 240 272 229.3 272 216z"]],
    "down-long": [320, 512, ["long-arrow-alt-down"], "f309", ["M128 351.9V32c0-17.69 14.33-32 32-32S192 14.31 192 32v319.9H128z", "M264 351.9h-208c-9.547 0-18.19 5.66-21.1 14.42c-3.814 8.754-2.08 18.95 4.404 25.94l104 112.1c9.5 10.24 25.69 10.24 35.19 0l104-112.1c6.484-6.992 8.219-17.18 4.408-25.94C282.2 357.6 273.5 351.9 264 351.9z"]],
    "down-right": [384, 512, [], "e16b", ["M25.37 134.6l45.26-45.25c12.5-12.5 32.76-12.5 45.25 0l129.6 129.6L154.1 309.5L25.37 179.9C12.87 167.4 12.88 147.1 25.37 134.6z", "M313.4 151.1c9.148-9.148 22.92-11.89 34.87-6.938C360.2 149.1 368 160.8 368 173.7l.0001 226.3c0 8.836-3.58 16.84-9.369 22.63C352.8 428.4 344.8 432 336 432H109.7c-12.95 0-24.61-7.789-29.57-19.75c-4.949-11.95-2.209-25.72 6.939-34.87L313.4 151.1z"]],
    "down-to-bracket": [448, 512, [], "e4e7", ["M352 512H96C42.98 512 0 469 0 416V352C0 334.3 14.33 320 32 320C49.67 320 64 334.3 64 352V416C64 433.7 78.33 448 96 448H352C369.7 448 384 433.7 384 416V352C384 334.3 398.3 320 416 320C433.7 320 448 334.3 448 352V416C448 469 405 512 352 512z", "M206.5 344.7L70.55 200.6C63.97 193.7 62.17 183.4 65.95 174.6C69.75 165.8 78.42 160.1 87.1 160.1H159.1V32.02C159.1 14.33 174.3 0 191.1 0H256C273.7 0 288 14.33 288 32.02V160.1H360C369.6 160.1 378.2 165.8 382 174.6C385.8 183.4 384 193.7 377.5 200.6L241.5 344.7C232.4 354.3 215.6 354.3 206.5 344.7V344.7z"]],
    "down-to-dotted-line": [448, 512, [], "e408", ["M64 448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416C49.67 416 64 430.3 64 448zM160 448C160 465.7 145.7 480 128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416C145.7 416 160 430.3 160 448zM192 448C192 430.3 206.3 416 224 416C241.7 416 256 430.3 256 448C256 465.7 241.7 480 224 480C206.3 480 192 465.7 192 448zM352 448C352 465.7 337.7 480 320 480C302.3 480 288 465.7 288 448C288 430.3 302.3 416 320 416C337.7 416 352 430.3 352 448zM384 448C384 430.3 398.3 416 416 416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480C398.3 480 384 465.7 384 448z", "M224 384C217.4 384 211.1 381.3 206.6 376.5L70.55 232.5C63.97 225.5 62.17 215.3 65.96 206.5C69.75 197.7 78.42 192 88 192H160V64C160 46.33 174.3 32 192 32H256C273.7 32 288 46.33 288 64V192H360C369.6 192 378.2 197.7 382 206.5C385.8 215.3 384 225.5 377.4 232.5L241.4 376.5C236.9 381.3 230.6 384 224 384V384z"]],
    "down-to-line": [384, 512, ["arrow-alt-to-bottom"], "f34a", ["M352 416H31.1C14.33 416 0 430.3 0 447.1S14.33 480 31.1 480H352C369.7 480 384 465.7 384 448S369.7 416 352 416z", "M350 206.6c3.781 8.803 1.984 19.03-4.594 26l-136 144.1c-9.062 9.601-25.84 9.601-34.91 0l-136-144.1C31.97 225.7 30.17 215.4 33.95 206.6C37.75 197.8 46.42 192.1 56 192.1L128 192.1V64.03c0-17.69 14.33-32.02 32-32.02h64c17.67 0 32 14.34 32 32.02v128.1l72 .0314C337.6 192.1 346.3 197.8 350 206.6z"]],
    "download": [512, 512, [], "f019", ["M480 352h-133.5l-45.25 45.25C289.2 409.3 273.1 416 256 416s-33.16-6.656-45.25-18.75L165.5 352H32c-17.67 0-32 14.33-32 32v96c0 17.67 14.33 32 32 32h448c17.67 0 32-14.33 32-32v-96C512 366.3 497.7 352 480 352zM432 456c-13.2 0-24-10.8-24-24c0-13.2 10.8-24 24-24s24 10.8 24 24C456 445.2 445.2 456 432 456z", "M105.4 246.6c-12.49-12.5-12.49-32.75 0-45.25c12.5-12.5 32.76-12.5 45.25 0L224 274.8V32c0-17.67 14.33-32 32-32c17.67 0 32 14.33 32 32v242.8l73.38-73.38c12.49-12.5 32.75-12.5 45.25 0c12.49 12.5 12.49 32.75 0 45.25l-128 128C272.4 380.9 264.2 384 256 384s-16.38-3.125-22.62-9.375L105.4 246.6z"]],
    "dragon": [640, 512, [128009], "f6d5", ["M5.811 227.6l117.5-116.4c21.75-18.5 53.24-20.37 76.99-4.5l151.7 111l.0033 18.87c0 29.09 6.13 57.3 17.09 83.38H112c-14.25 0-21.37-17.25-11.25-27.38L192 224L18.43 255.8C2.436 258-6.562 238 5.811 227.6z", "M575.2 289.9l-100.7-50.25c-16.25-8.125-26.5-24.75-26.5-43V160h63.99l28.12 22.62C546.1 188.6 554.2 192 562.7 192h30.1c11.1 0 23.12-6.875 28.5-17.75l14.37-28.62c5.375-10.88 4.251-23.75-2.999-33.5l-74.49-99.37C552.1 4.75 543.5 0 533.5 0H296C288.9 0 285.4 8.625 290.4 13.62L351.1 64L292.4 88.75c-5.873 3-5.873 11.37 0 14.37L351.1 128l-.0011 108.6c0 72 35.99 139.4 95.99 179.4c-195.6 6.75-344.4 41-434.1 60.88c-8.123 1.75-13.87 9-13.87 17.38C.0463 504 8.045 512 17.79 512h499.1c63.24 0 119.6-47.5 122.1-110.8C642.3 354 617.1 310.9 575.2 289.9zM489.1 66.25l45.74 11.38c-2.75 11-12.5 18.88-24.12 18.25C497.7 95.25 484.8 83.37 489.1 66.25z"]],
    "draw-circle": [512, 512, [], "f5ed", ["M315.3 39.94C391.4 60.77 451.2 120.6 472.1 196.7C464.6 193.7 456.5 192 448 192C432.9 192 418.1 197.2 408 206C392.2 157.9 354.1 119.8 305.1 103.1C314.8 93.01 320 79.12 320 63.1C320 55.49 318.3 47.37 315.3 39.94L315.3 39.94zM315.3 472.1C318.3 464.6 320 456.5 320 448C320 432.9 314.8 418.1 305.1 408C354.1 392.2 392.2 354.1 408 305.1C418.1 314.8 432.9 319.1 448 319.1C456.5 319.1 464.6 318.3 472.1 315.3C451.2 391.4 391.4 451.2 315.3 472.1L315.3 472.1zM196.7 472.1C120.6 451.2 60.77 391.4 39.94 315.3C47.37 318.3 55.49 320 64 320C79.12 320 93.01 314.8 103.1 305.1C119.8 354.1 157.9 392.2 206 408C197.2 418.1 192 432.9 192 448C192 456.5 193.7 464.6 196.7 472.1L196.7 472.1zM192 64C192 79.12 197.2 93.01 206 103.1C157.9 119.8 119.8 157.9 103.1 206C93.01 197.2 79.12 192 63.1 192C55.49 192 47.37 193.7 39.94 196.7C60.77 120.6 120.6 60.77 196.7 39.94C193.7 47.37 191.1 55.49 191.1 64L192 64z", "M192 64C192 28.65 220.7 0 256 0C291.3 0 320 28.65 320 64C320 99.35 291.3 128 256 128C220.7 128 192 99.35 192 64zM192 448C192 412.7 220.7 384 256 384C291.3 384 320 412.7 320 448C320 483.3 291.3 512 256 512C220.7 512 192 483.3 192 448zM128 256C128 291.3 99.35 320 64 320C28.65 320 0 291.3 0 256C0 220.7 28.65 192 64 192C99.35 192 128 220.7 128 256zM384 256C384 220.7 412.7 192 448 192C483.3 192 512 220.7 512 256C512 291.3 483.3 320 448 320C412.7 320 384 291.3 384 256z"]],
    "draw-polygon": [448, 512, [], "f5ee", ["M119.4 64H328.6C323.1 73.41 320 84.34 320 96C320 107.7 323.1 118.6 328.6 128H119.4C124.9 118.6 128 107.7 128 96C128 84.34 124.9 73.41 119.4 64zM64 352C52.34 352 41.41 355.1 32 360.6V151.4C41.41 156.9 52.34 159.1 64 159.1C75.66 159.1 86.59 156.9 96 151.4V360.6C86.59 355.1 75.66 352 64 352zM119.4 448C124.9 438.6 128 427.7 128 416C128 404.3 124.9 393.4 119.4 384H328.6C323.1 393.4 320 404.3 320 416C320 427.7 323.1 438.6 328.6 448H119.4zM384 352C360.4 352 339.8 364.8 328.7 383.7L292.2 319.9C315.7 318.4 335.7 304.2 345.5 284.1L384.3 352L384 352zM292.2 192.1L328.7 128.3C339.8 147.2 360.4 160 384 160L384.3 159.1L345.5 227.9C335.7 207.8 315.7 193.7 292.2 192.1L292.2 192.1z", "M128 96C128 131.3 99.35 160 64 160C28.65 160 0 131.3 0 96C0 60.65 28.65 32 64 32C99.35 32 128 60.65 128 96zM448 96C448 131.3 419.3 160 384 160C348.7 160 320 131.3 320 96C320 60.65 348.7 32 384 32C419.3 32 448 60.65 448 96zM0 416C0 380.7 28.65 352 64 352C99.35 352 128 380.7 128 416C128 451.3 99.35 480 64 480C28.65 480 0 451.3 0 416zM448 416C448 451.3 419.3 480 384 480C348.7 480 320 451.3 320 416C320 380.7 348.7 352 384 352C419.3 352 448 380.7 448 416zM224 256C224 220.7 252.7 192 288 192C323.3 192 352 220.7 352 256C352 291.3 323.3 320 288 320C252.7 320 224 291.3 224 256z"]],
    "draw-square": [448, 512, [], "f5ef", ["M320 96C320 107.7 323.1 118.6 328.6 128H119.4C124.9 118.6 127.1 107.7 127.1 96C127.1 84.34 124.9 73.41 119.4 64H328.6C323.1 73.41 320 84.34 320 96zM384 160C395.7 160 406.6 156.9 416 151.4V360.6C406.6 355.1 395.7 352 384 352C372.3 352 361.4 355.1 352 360.6V151.4C361.4 156.9 372.3 160 384 160zM96 151.4V360.6C86.59 355.1 75.66 352 64 352C52.34 352 41.41 355.1 32 360.6V151.4C41.41 156.9 52.34 160 64 160C75.66 160 86.59 156.9 96 151.4zM328.6 448H119.4C124.9 438.6 127.1 427.7 127.1 416C127.1 404.3 124.9 393.4 119.4 384H328.6C323.1 393.4 320 404.3 320 416C320 427.7 323.1 438.6 328.6 448z", "M128 96C128 131.3 99.35 160 64 160C28.65 160 0 131.3 0 96C0 60.65 28.65 32 64 32C99.35 32 128 60.65 128 96zM0 416C0 380.7 28.65 352 64 352C99.35 352 128 380.7 128 416C128 451.3 99.35 480 64 480C28.65 480 0 451.3 0 416zM320 416C320 380.7 348.7 352 384 352C419.3 352 448 380.7 448 416C448 451.3 419.3 480 384 480C348.7 480 320 451.3 320 416zM320 96C320 60.65 348.7 32 384 32C419.3 32 448 60.65 448 96C448 131.3 419.3 160 384 160C348.7 160 320 131.3 320 96z"]],
    "dreidel": [448, 512, [], "f792", ["M438.6 86.63L334.3 190.9l71.9 71.94c6.562 6.564 9.813 15.13 9.813 23.69c0 8.564-3.25 17.13-9.813 23.69l-91.34 91.29L78.53 165.1l91.34-91.4c6.562-6.5 15.1-9.737 23.65-9.737c8.551 0 17.11 3.237 23.68 9.737l71.9 71.94l104.3-104.3C399.6 35.13 407.8 32 416 32c18.27 0 32 14.95 32 32C448 72.19 444.9 80.38 438.6 86.63z", "M314.9 401.5l-58.9 58.85C243.4 473 226.4 480 208.7 480H66.87C29.87 480 0 450.1 0 413.1V271.3C0 253.5 7.001 236.5 19.62 223.1l58.9-58.87L314.9 401.5z"]],
    "drone": [512, 512, [], "f85f", ["M173.4 130.1C175.1 124.3 176 118.3 176 112C176 76.65 147.3 48 112 48C76.65 48 48 76.65 48 112C48 147.3 76.65 176 112 176C118.3 176 124.3 175.1 130.1 173.4L159.9 213.3C145.4 220.1 129.2 224 112 224C50.14 224 0 173.9 0 112C0 50.14 50.14 0 112 0C173.9 0 224 50.14 224 112C224 129.2 220.1 145.4 213.3 159.9L173.4 130.1zM381.9 173.4C387.7 175.1 393.7 176 400 176C435.3 176 464 147.3 464 112C464 76.65 435.3 48 400 48C364.7 48 336 76.65 336 112C336 118.3 336.9 124.3 338.6 130.1L298.7 159.9C291.9 145.4 288 129.2 288 112C288 50.14 338.1 0 400 0C461.9 0 512 50.14 512 112C512 173.9 461.9 224 400 224C382.8 224 366.6 220.1 352.1 213.3L381.9 173.4zM338.6 381.9C336.9 387.7 336 393.7 336 400C336 435.3 364.7 464 400 464C435.3 464 464 435.3 464 400C464 364.7 435.3 336 400 336C393.7 336 387.7 336.9 381.9 338.6L352.1 298.7C366.6 291.9 382.8 288 400 288C461.9 288 512 338.1 512 400C512 461.9 461.9 512 400 512C338.1 512 288 461.9 288 400C288 382.8 291.9 366.6 298.7 352.1L338.6 381.9zM130.1 338.6C124.3 336.9 118.3 336 112 336C76.65 336 48 364.7 48 400C48 435.3 76.65 464 112 464C147.3 464 176 435.3 176 400C176 393.7 175.1 387.7 173.4 381.9L213.3 352.1C220.1 366.6 224 382.8 224 400C224 461.9 173.9 512 112 512C50.14 512 0 461.9 0 400C0 338.1 50.14 288 112 288C129.2 288 145.4 291.9 159.9 298.7L130.1 338.6z", "M112 80C128.2 80 141.7 92.11 143.7 107.8L213.3 160H298.7L368.3 107.8C370.3 92.11 383.8 80 400 80C417.7 80 432 94.33 432 112C432 128.2 419.9 141.7 404.2 143.7L352 213.3V298.7L404.2 368.3C419.9 370.3 432 383.8 432 400C432 417.7 417.7 432 400 432C383.8 432 370.3 419.9 368.3 404.2L298.7 352H213.3L143.7 404.2C141.7 419.9 128.2 432 112 432C94.33 432 80 417.7 80 400C80 383.8 92.11 370.3 107.8 368.3L160 298.7V213.3L107.8 143.7C92.11 141.7 80 128.2 80 112C80 94.33 94.33 80 112 80V80z"]],
    "drone-front": [640, 512, ["drone-alt"], "f860", ["M264 112C277.3 112 288 122.7 288 136C288 149.3 277.3 160 264 160H24C10.75 160 0 149.3 0 136C0 122.7 10.75 112 24 112H264zM616 112C629.3 112 640 122.7 640 136C640 149.3 629.3 160 616 160H376C362.7 160 352 149.3 352 136C352 122.7 362.7 112 376 112H616z", "M159.1 235.2L177.8 243.1L218.4 219.5C249.3 201.5 284.3 192 319.1 192C355.7 192 390.7 201.5 421.6 219.5L462.2 243.1L480 235.2V192H544V256C544 268.6 536.6 280.1 524.1 285.2L468.5 310.3C486.3 331.8 496 358.9 496 386.8V392C496 405.3 485.3 416 472 416C458.7 416 448 405.3 448 392V386.8C448 369.9 442.1 353.6 431.3 340.7L422.9 330.6L380.1 349.2C376.9 351.1 372.5 352 368 352H271.1C267.5 352 263.1 351.1 259 349.2L217.1 330.6L208.7 340.7C197.9 353.6 191.1 369.9 191.1 386.8V392C191.1 405.3 181.3 416 167.1 416C154.7 416 143.1 405.3 143.1 392V386.8C143.1 358.9 153.7 331.8 171.5 310.3L115 285.2C103.4 280.1 96 268.6 96 256V192H160L159.1 235.2zM512 96C523.8 96 534.2 102.4 539.7 112H484.3C489.8 102.4 500.2 96 512 96V96zM127.1 96C139.8 96 150.2 102.4 155.7 112H100.3C105.8 102.4 116.2 96 127.1 96z"]],
    "droplet": [384, 512, [128167, "tint"], "f043", ["M16 319.1C16 245.9 118.3 89.43 166.9 19.3C179.2 1.585 204.8 1.585 217.1 19.3C265.7 89.43 368 245.9 368 319.1C368 417.2 289.2 496 192 496C94.8 496 16 417.2 16 319.1zM112 319.1C112 311.2 104.8 303.1 96 303.1C87.16 303.1 80 311.2 80 319.1C80 381.9 130.1 432 192 432C200.8 432 208 424.8 208 416C208 407.2 200.8 400 192 400C147.8 400 112 364.2 112 319.1z", "M96 304C104.8 304 112 311.2 112 320C112 364.2 147.8 400 192 400C200.8 400 208 407.2 208 416C208 424.8 200.8 432 192 432C130.1 432 80 381.9 80 320C80 311.2 87.16 304 96 304z"]],
    "droplet-degree": [448, 512, ["dewpoint"], "f748", ["M368 32c-44.06 0-79.1 35.94-79.1 80S323.9 192 368 192s79.1-35.94 79.1-80S412.1 32 368 32zM368 144c-17.75 0-31.1-14.25-31.1-32s14.25-32 31.1-32c17.75 0 31.1 14.25 31.1 32S385.8 144 368 144z", "M319.1 324.1c0 86.08-71.56 155.9-159.1 155.9s-159.1-69.78-159.1-155.9c0-97.23 90.94-134.9 133.4-272.8c8.125-26.36 45.94-25.27 53.12 0C229.3 190 319.1 226.4 319.1 324.1z"]],
    "droplet-percent": [320, 512, ["humidity"], "f750", ["M186.6 51.36c-7.188-25.27-45-26.36-53.13 0C90.94 189.3 0 226.9 0 324.1c0 86.08 71.56 155.9 160 155.9s160-69.78 160-155.9C320 226.4 229.3 190 186.6 51.36zM80 264c0-13.31 10.69-23.1 24-23.1S128 250.7 128 264S117.3 288 104 288S80 277.3 80 264zM123.3 379.3C120.2 382.4 116.1 383.1 112 383.1s-8.188-1.562-11.31-4.688c-6.25-6.25-6.25-16.37 0-22.62l96-95.1c6.25-6.25 16.38-6.25 22.62 0c6.25 6.25 6.25 16.37 0 22.62L123.3 379.3zM216 399.1c-13.31 0-24-10.69-24-23.1c0-13.31 10.69-23.1 24-23.1s24 10.69 24 23.1C240 389.3 229.3 399.1 216 399.1z", "M80 264c0-13.31 10.69-23.1 24-23.1S128 250.7 128 264S117.3 288 104 288S80 277.3 80 264zM123.3 379.3C120.2 382.4 116.1 383.1 112 383.1s-8.188-1.562-11.31-4.688c-6.25-6.25-6.25-16.37 0-22.62l96-95.1c6.25-6.25 16.38-6.25 22.62 0c6.25 6.25 6.25 16.37 0 22.62L123.3 379.3zM216 399.1c-13.31 0-24-10.69-24-23.1c0-13.31 10.69-23.1 24-23.1s24 10.69 24 23.1C240 389.3 229.3 399.1 216 399.1z"]],
    "droplet-slash": [640, 512, ["tint-slash"], "f5c7", ["M215.3 143.4C243.5 95.07 274.2 49.29 294.9 19.3C307.2 1.585 332.8 1.585 345.1 19.3C393.7 89.43 496 245.9 496 319.1C496 333.7 494.4 347.1 491.5 359.9L215.3 143.4zM144 319.1C144 296.5 154.3 264.6 169.1 229.9L443.5 445.4C411.7 476.7 368.1 496 320 496C222.8 496 144 417.2 144 319.1zM240 319.1C240 311.2 232.8 303.1 224 303.1C215.2 303.1 208 311.2 208 319.1C208 381.9 258.1 432 320 432C328.8 432 336 424.8 336 416C336 407.2 328.8 400 320 400C275.8 400 240 364.2 240 319.1z", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "drum": [512, 512, [129345], "f569", ["M255.1 352c-13.25 0-24 10.74-24 23.1v103.5C239.9 479.8 247.9 480 255.1 480s16.09-.207 24-.5293V376C279.1 362.7 269.3 352 255.1 352zM95.1 320c-13.25 0-24 10.74-24 24v101.8c14.33 6.488 30.46 12.18 47.1 17.01v-118.8C119.1 330.7 109.3 320 95.1 320zM415.1 320c-13.25 0-23.1 10.74-23.1 24v118.8c17.54-4.83 33.67-10.52 47.1-17.01v-101.8C439.1 330.7 429.2 320 415.1 320zM508.1 42.86c-7.219-11.06-22.09-14.22-33.22-6.924l-231.1 152.1c-11.09 7.265-14.19 22.15-6.906 33.25C240.5 228.3 248.2 232.1 256 232.1c4.5 0 9.062-1.267 13.12-3.923l231.1-152.1C512.2 68.84 515.3 53.95 508.1 42.86z", "M511.1 207.1v159.1c0 30.23-27.51 57.63-72 77.78v-101.8c0-13.26-10.75-24-23.1-24c-13.25 0-23.1 10.74-23.1 24v118.8c-33.05 9.097-71.07 15.04-111.1 16.7V376c0-13.26-10.75-23.1-24-23.1c-.002 0 .002 0 0 0c-13.25 0-24 10.74-24 23.1v103.5c-40.93-1.666-78.95-7.605-111.1-16.7v-118.8c0-13.26-10.75-24-23.1-24s-24 10.74-24 24v101.8C27.5 425.6 0 398.2 0 367.1V207.1C0 100.4 219.5 96 255.1 96c.002 0-.002 0 0 0c15.26 0 62.63 .8919 112.4 9.669l-61.73 40.46c-16.24-1.252-33.21-1.966-50.71-1.966c-.002 0 .002 0 0 0c-114.9 0-207.1 28.62-207.1 63.1S141.1 272.1 256 272.1c.002 0-.002 0 0 0c114.9 0 207.1-28.6 207.1-63.97c0-21.26-33.72-40.03-85.5-51.67l52.63-34.48C476.1 138.3 511.1 164.6 511.1 207.1z"]],
    "drum-steelpan": [576, 512, [], "f56a", ["M172 90C98.13 103.6 48 129.9 48 160c0 30.75 52.25 57.5 128.8 70.88C190.5 220.9 200.5 207 205 190.4c5.125-19.12 2.5-39-7.375-56.13L172 90zM288 192C259.3 192 235.1 211.1 227.1 237.3C246.6 239 266.9 240 288 240s41.38-1 60.88-2.75C340.9 211.1 316.8 192 288 192zM224 83V96c0 35.25 28.75 64 64 64s64-28.75 64-64V83C331.6 81.13 310.3 80 288 80S244.4 81.13 224 83zM403.5 89.88l-25.62 44.5c-9.875 17-12.5 36.88-7.375 56C375 207 385.1 221 398.9 230.9C475.6 217.5 528 190.9 528 160C528 129.8 477.8 103.5 403.5 89.88z", "M288 32C129 32 0 89.25 0 160v192c0 70.75 129 128 288 128s288-57.25 288-128V160C576 89.25 447 32 288 32zM205 190.4C200.5 207 190.5 220.9 176.8 230.9C100.3 217.5 48 190.8 48 160c0-30.12 50.13-56.38 124-69.1l25.62 44.25C207.5 151.4 210.1 171.3 205 190.4zM288 240c-21.12 0-41.38-1-60.88-2.75C235.1 211.1 259.3 192 288 192s52.88 19.12 60.88 45.25C329.4 239 309.1 240 288 240zM352 96c0 35.25-28.75 64-64 64S224 131.3 224 96V83C244.4 81.13 265.8 80 288 80s43.63 1.125 64 3V96zM398.9 230.9C385.1 221 375 207 370.5 190.4c-5.125-19.12-2.5-39 7.375-56l25.62-44.5C477.8 103.5 528 129.8 528 160C528 190.9 475.6 217.5 398.9 230.9z"]],
    "drumstick": [512, 512, [127831], "f6d6", ["M193.7 392.5c-6.08 6.145-8.917 13.97-8.917 22.14c0 13.71 7.243 18.34 7.243 37.02c0 33.47-27.29 60.3-60.36 60.3c-22.74 0-59.51-17.24-59.51-59.11c0-4.943 .5664-9.844 1.682-14.71c-4.86 1.116-9.774 1.683-14.72 1.683c-42.17 0-59.13-36.75-59.13-59.58c0-42.35 36.92-60.28 60.31-60.28c19.08 0 23.02 7.244 37.06 7.244c8.172 0 15.97-2.836 22.11-8.918l40.56-40.48L160 287.1c0 35.3 28.69 64 63.99 64l10.17 .0027L193.7 392.5z", "M160.1 191.1c0-64 27.61-106.1 63.1-142.4c33.03-33.04 76.31-49.57 119.6-49.57c96.54 0 169.2 78.85 169.2 169.2c0 43.33-16.49 86.59-49.49 119.6c-35.49 35.4-78.55 63.12-142.4 63.12l-96.05 .0096c-35.29 0-63.99-28.7-63.99-64L160.1 191.1z"]],
    "drumstick-bite": [512, 512, [], "f6d7", ["M193.7 392.5C187.6 398.6 184.8 406.5 184.8 414.6c0 13.71 7.244 18.41 7.244 37.03C192.1 484.1 164.1 512 131.7 512c-22.6 0-59.54-16.96-59.54-59.06c0-4.937 .5829-9.901 1.695-14.75c-4.853 1.112-9.78 1.681-14.72 1.681c-42.06 0-59.13-36.6-59.13-59.5c0-42.44 37.04-60.34 60.39-60.34c18.72 0 23.12 7.219 36.96 7.219c8.184 0 16.05-2.838 22.14-8.914l40.57-40.47l-.0644 10.13c0 35.35 28.65 64 64 64l10.33-.0215L193.7 392.5z", "M160.1 191.1c0-88.9 72.9-191.1 182.9-191.1C432.3-.0002 512 71 512 168.9c0 1.677-.0284 3.488-.0768 5.164c-16.96-9.149-35.49-13.76-53.96-13.76c-82.61 0-105.5 74.19-105.5 105.4c0 27.03 9.918 54.42 29.63 76.25c-19.47 6.626-40.06 9.997-60.62 9.997l-97.51 .0253c-35.35 0-64-28.65-64-64L160.1 191.1z"]],
    "dryer": [448, 512, [], "f861", ["M224 192C167.6 192 121.5 233.8 113.6 288H184C188.4 288 192 291.6 192 296v16C192 316.4 188.4 320 184 320H113.6C121.5 374.2 167.6 416 224 416c61.83 0 111.1-50.17 111.1-112C335.1 242.2 285.8 192 224 192zM184 112c13.25 0 24-10.75 24-24S197.3 64 184 64S160 74.75 160 88S170.8 112 184 112z", "M384 0H64C28.66 0 0 28.65 0 64v400C0 490.4 21.6 512 48 512h352c26.4 0 48-21.6 48-48V64C448 28.65 419.3 0 384 0zM184 64C197.3 64 208 74.75 208 88S197.3 112 184 112S160 101.3 160 88S170.8 64 184 64zM64 88C64 74.75 74.75 64 88 64S112 74.75 112 88S101.3 112 88 112S64 101.3 64 88zM224 448c-79.5 0-143.1-64.5-143.1-144C80.01 224.5 144.5 160 224 160c79.5 0 143.1 64.5 143.1 144C367.1 383.5 303.5 448 224 448z"]],
    "dryer-heat": [448, 512, ["dryer-alt"], "f862", ["M216 272c0-22.62-12-34.63-20.75-43.38C189.5 222.9 186.1 219.3 184.8 214C183.9 210.5 180.6 208 177 208H160.8C158.4 208 156 209.1 154.5 210.9C153 212.8 152.3 215.1 152.8 217.5c2.75 16.62 12.5 26.38 19.87 33.88C180.5 259.1 184 263 184 272S180.5 284.9 172.8 292.8C164 301.5 152 313.4 152 336c0 22.75 12 34.63 20.75 43.38c5.75 5.75 9.125 9.375 10.5 14.5C184.1 397.5 187.4 400 191 400h16.38c2.375 0 4.625-1.125 6.125-2.875c1.625-1.875 2.25-4.25 1.875-6.625c-2.875-16.62-12.62-26.37-20-33.75C187.5 348.9 184 345 184 336c0-8.875 3.5-12.75 11.25-20.62C204 306.6 216 294.6 216 272zM264 336c0-8.875 3.5-12.75 11.25-20.62C284 306.6 296 294.6 296 272s-12-34.63-20.75-43.38C269.5 222.9 266.1 219.3 264.8 214C263.9 210.5 260.6 208 257 208h-16.25C238.4 208 236 209.1 234.5 210.9c-1.5 1.875-2.25 4.25-1.75 6.625c2.75 16.62 12.5 26.38 19.88 33.88C260.5 259.1 264 263 264 272s-3.5 12.88-11.25 20.75C244 301.5 232 313.4 232 336c0 22.75 12 34.63 20.75 43.38c5.75 5.75 9.125 9.375 10.5 14.5C264.1 397.5 267.4 400 271 400h16.38c2.375 0 4.625-1.125 6.125-2.875c1.5-1.875 2.125-4.25 1.75-6.625c-2.75-16.62-12.5-26.37-19.88-33.75C267.5 348.9 264 345 264 336zM184 112c13.25 0 24-10.75 24-24S197.3 64 184 64S160 74.75 160 88S170.8 112 184 112z", "M384 0H64C28.65 0 0 28.65 0 64v400C0 490.4 21.6 512 48 512h352c26.4 0 48-21.6 48-48V64C448 28.65 419.3 0 384 0zM184 64C197.3 64 208 74.75 208 88S197.3 112 184 112S160 101.3 160 88S170.8 64 184 64zM64 88C64 74.75 74.75 64 88 64S112 74.75 112 88S101.3 112 88 112S64 101.3 64 88zM224 448c-79.5 0-143.1-64.5-143.1-144S144.5 160 224 160s143.1 64.5 143.1 144S303.5 448 224 448z"]],
    "duck": [512, 512, [129414], "f6d8", ["M400 223.1C400.2 215.5 403.9 207.6 409.2 200.1C423.5 183.2 432 160.6 432 135.1C432 132.6 431.8 129.2 431.5 125.9L432.1 126C442.7 127.3 453.3 127.3 463.9 126L499.2 121.6C505.1 120.7 512 126 512 132.9C512 183.2 471.2 223.1 420.9 223.1H400z", "M409.2 200.1C403.8 207.8 400 215.1 400 224.7V248.7C400 255.3 402.8 261.5 407.2 266.4C427.6 289.1 440 319.1 440 352C440 422.7 382.7 480 312 480H196C87.75 480 0 392.2 0 283.1V278.6C0 266.1 10.13 255.1 22.63 255.1C28.63 255.1 34.38 258.4 38.63 262.6L54.01 278C60.18 284.2 69.2 286.5 77.58 284.1L250.4 234.8C260.7 231.8 266.1 220.3 258.1 213C237.2 193.1 224 166.5 224 136C224 78.56 270.6 32 328 32C385.4 32 432 78.56 432 136C432 160.6 423.5 183.2 409.2 200.1V200.1zM344 111.1C330.7 111.1 320 122.7 320 135.1C320 149.3 330.7 159.1 344 159.1C357.3 159.1 368 149.3 368 135.1C368 122.7 357.3 111.1 344 111.1zM340.6 296.9C341.1 288.1 334.3 280.5 325.5 280C316.7 279.5 309.1 286.2 308.6 295.1C306.2 336.3 276 374.1 231.3 385.2C190.1 395.3 150.9 380.6 127.7 351.7C122.1 344.8 112 343.7 105.2 349.3C98.27 354.8 97.16 364.9 102.7 371.7C133.8 410.5 186.7 429.3 239.1 416.3C297 401.8 337.3 352.5 340.6 296.9H340.6z"]],
    "dumbbell": [640, 512, [], "f44b", ["M0 256c0 17.67 14.33 32 31.1 32L32 224C14.33 224 0 238.3 0 256zM128 288h32V224H128V288zM608 224v64c17.67 0 32-14.33 32-32C640 238.3 625.7 224 608 224zM480 288h32V224h-32V288zM256 288h128V224H256V288z", "M104 96h-48C42.75 96 32 106.8 32 120v272C32 405.3 42.75 416 56 416h48C117.3 416 128 405.3 128 392v-272C128 106.8 117.3 96 104 96zM232 32h-48C170.8 32 160 42.75 160 56v400C160 469.3 170.8 480 184 480h48C245.3 480 256 469.3 256 456V56C256 42.75 245.3 32 232 32zM584 96h-48C522.8 96 512 106.8 512 120v272c0 13.25 10.75 24 24 24h48c13.25 0 24-10.75 24-24v-272C608 106.8 597.3 96 584 96zM456 32h-48C394.8 32 384 42.75 384 56v400c0 13.25 10.75 24 24 24h48c13.25 0 24-10.75 24-24V56C480 42.75 469.3 32 456 32z"]],
    "dumpster": [576, 512, [], "f793", ["M24.5 44.12l-24 95.1C-2.001 150.2 5.625 160 16 160h97.25l25.63-128H40C32.75 32 26.25 36.1 24.5 44.12zM575.5 140.1l-24-95.1C549.8 36.1 543.3 32 536 32h-98.88l25.62 128H560C570.4 160 577.1 150.2 575.5 140.1zM145.9 160H272V32H171.5L145.9 160zM304 32v128h126.1L404.5 32H304z", "M560 224h-20L544 192H32l4 32H16C7.25 224 0 231.2 0 240v32C0 280.8 7.25 288 16 288h28L64 448v16C64 472.8 71.25 480 80 480h32C120.8 480 128 472.8 128 464V448h320v16c0 8.75 7.25 16 16 16h32c8.75 0 16-7.25 16-16V448l20-160H560C568.8 288 576 280.8 576 272v-32C576 231.2 568.8 224 560 224z"]],
    "dumpster-fire": [640, 512, [], "f794", ["M551.2 163.3c-14.88 13.25-28.38 27.12-40.26 41.12c-19.5-25.74-43.63-51.99-71.01-76.36c-70.14 62.73-120 144.2-120 193.6C319.1 409.1 391.6 480 479.1 480s160-70.87 160-158.3C640.1 285 602.1 209.4 551.2 163.3zM532.6 392.6c-14.75 10.62-32.88 16.1-52.51 16.1c-49.01 0-88.89-33.49-88.89-87.98c0-27.12 16.5-50.98 49.38-91.85c4.75 5.5 67.14 87.98 67.14 87.98l39.76-46.99c2.875 4.873 5.375 9.496 7.75 13.1C573.9 321.5 565.1 368.4 532.6 392.6zM418.8 104.2L404.6 32H304.1L304 159.1h60.77C381.1 140.7 399.1 121.8 418.8 104.2zM272.1 32.12H171.5L145.9 160.1h126.1L272.1 32.12zM461.3 104.2c18.25 16.25 35.51 33.62 51.14 51.49c5.751-5.623 11.38-11.12 17.38-16.37l21.26-18.98l21.25 18.98c1.125 .9997 2.125 2.124 3.126 3.124c-.125-.7498 .2501-1.5 0-2.249l-24-95.97c-1.625-7.123-8.127-12.12-15.38-12.12H437.2l12.25 61.5L461.3 104.2zM16 160.1l97.26-.0223l25.64-127.9h-98.89c-7.251 0-13.75 4.999-15.5 12.12L.5001 140.2C-2.001 150.3 5.626 160.1 16 160.1z", "M32.01 192.1l4.001 31.99L16 224.1C7.252 224.1 0 231.3 0 240.1V272c0 8.748 7.25 15.1 16 15.1l28.01 .0177l20 159.1L64.01 464C64.01 472.8 71.26 480 80.01 480h32.01c8.752 0 16-7.248 16-15.1v-15.1l208.8-.002c-30.13-33.74-48.73-77.85-48.73-126.3c0-35.86 19.83-82.87 52.59-129.6L32.01 192.1zM555.2 284.8c-2.375-4.5-4.875-9.123-7.75-13.1l-39.76 46.99c0 0-62.39-82.48-67.14-87.98c-32.88 40.87-49.38 64.73-49.38 91.85c0 54.49 39.88 87.98 88.89 87.98c19.63 0 37.76-6.373 52.51-16.1C565.1 368.4 573.9 321.5 555.2 284.8z"]],
    "dungeon": [512, 512, [], "f6d9", ["M256 176C264.8 176 272 183.2 272 192V464C272 472.8 264.8 480 256 480C247.2 480 240 472.8 240 464V192C240 183.2 247.2 176 256 176zM192 208C200.8 208 208 215.2 208 224V464C208 472.8 200.8 480 192 480C183.2 480 176 472.8 176 464V224C176 215.2 183.2 208 192 208zM320 208C328.8 208 336 215.2 336 224V464C336 472.8 328.8 480 320 480C311.2 480 304 472.8 304 464V224C304 215.2 311.2 208 320 208z", "M357.6 49.18C362.7 36.27 377.8 30.36 389.7 37.63C410.9 50.63 430 66.62 446.5 85.02C455.7 95.21 452.9 110.9 441.5 118.5L373.9 163.5C363.6 170.4 349.8 168.1 340.5 159.9C339.2 158.7 337.9 157.6 336.6 156.5C327.3 148.1 322.6 136.5 327.1 125.3L357.6 49.18zM313 6.374C326.5 9.433 333.2 24.02 328 36.82L297.7 112.6C293.2 123.1 280.9 129.8 268.7 128.6C264.6 128.2 260.3 128 256 128C251.7 128 247.4 128.2 243.3 128.6C231.1 129.8 218.8 123.1 214.3 112.6L183.1 36.82C178.8 24.02 185.5 9.433 198.1 6.374C217.3 2.203 236.4 0 256 0C275.6 0 294.7 2.203 313 6.374H313zM70.52 118.5C59.13 110.9 56.32 95.21 65.46 85.02C81.99 66.62 101.1 50.63 122.3 37.63C134.2 30.36 149.3 36.27 154.4 49.18L184.9 125.3C189.4 136.5 184.7 148.1 175.4 156.5C174.1 157.6 172.8 158.7 171.5 159.9C162.2 168.1 148.4 170.4 138.1 163.5L70.52 118.5zM458.1 145.8C469.7 138.1 485.6 141.9 491.2 154.7C501.6 178.8 508.4 204.8 510.9 232C512.1 245.2 501.3 256 488 256H408C394.7 256 384.2 245.2 381.8 232.1C381.1 228.7 380.4 225.4 379.5 222.1C376.3 210.7 379.7 198.1 389.5 191.6L458.1 145.8zM20.82 154.7C26.36 141.9 42.26 138.1 53.91 145.8L122.5 191.6C132.3 198.1 135.7 210.7 132.5 222.1C131.6 225.4 130.9 228.7 130.2 232.1C127.8 245.2 117.3 256 104 256H24C10.75 256-.1184 245.2 1.107 232C3.636 204.8 10.43 178.8 20.82 154.7V154.7zM128 360C128 373.3 117.3 384 104 384H24C10.75 384 0 373.3 0 360V312C0 298.7 10.75 288 24 288H104C117.3 288 128 298.7 128 312V360zM384 312C384 298.7 394.7 288 408 288H488C501.3 288 512 298.7 512 312V360C512 373.3 501.3 384 488 384H408C394.7 384 384 373.3 384 360V312zM0 440C0 426.7 10.75 416 24 416H104C117.3 416 128 426.7 128 440V488C128 501.3 117.3 512 104 512H24C10.75 512 0 501.3 0 488V440zM384 440C384 426.7 394.7 416 408 416H488C501.3 416 512 426.7 512 440V488C512 501.3 501.3 512 488 512H408C394.7 512 384 501.3 384 488V440z"]],
    "e": [320, 512, [101], "45", ["M320 448c0 17.67-14.33 32-32 32H32c-17.67 0-32-14.33-32-32v-384C0 46.34 14.33 32.01 32 32.01h256c17.67 0 32 14.33 32 32s-14.33 32-32 32H64v128h160c17.67 0 32 14.32 32 31.99s-14.33 32.01-32 32.01H64v128h224C305.7 416 320 430.3 320 448z", ""]],
    "ear": [384, 512, [128066], "f5f0", ["M192 0C86 0 0 86 0 192v176C0 447.5 64.5 512 144 512s144-64.5 144-144v-9.875C345.4 324.9 384 263 384 192C384 86 298 0 192 0zM280 208C266.8 208 256 197.2 256 184C256 153.1 230.9 128 200 128h-16C153.1 128 128 153.1 128 184v31.72l13.92 5.576c18.73 7.477 31.67 23.86 34.6 43.82c2.955 19.92-4.672 39.33-20.4 51.92l-37.15 29.71C114.6 350.2 109.5 352 104.2 352c-7.287 0-14.35-3.367-18.92-9.035C77 332.6 78.68 317.5 89 309.2l37.12-29.69c3.24-2.592 3.119-6.051 2.916-7.418C128.8 270.7 127.1 267.4 124.1 265.8L95.12 254.3C85.93 250.6 80 241.9 80 231.1V184c0-57.35 46.65-104 104-104h16c57.35 0 104 46.65 104 104C304 197.2 293.2 208 280 208z", "M200 80h-16C126.7 80 80 126.7 80 184v47.97c0 9.9 5.934 18.65 15.12 22.28l28.98 11.58c3.857 1.547 4.746 4.91 4.949 6.283c.2031 1.367 .3242 4.826-2.916 7.418L89 309.2c-10.32 8.285-12 23.42-3.756 33.74C89.81 348.6 96.88 352 104.2 352c5.35 0 10.47-1.818 14.81-5.262l37.15-29.71c15.73-12.59 23.36-32 20.4-51.92C173.6 245.2 160.6 228.8 141.9 221.3L128 215.7V184C128 153.1 153.1 128 184 128h16C230.9 128 256 153.1 256 184c0 13.23 10.77 24 24 24s24-10.77 24-24C304 126.7 257.3 80 200 80zM104.2 344c-.4102 0-.7539-.2422-1.158-.2734c1.154 .0898 2.32 .0625 3.502-.1191C105.7 343.7 104.9 344 104.2 344z"]],
    "ear-deaf": [512, 512, ["deaf", "deafness", "hard-of-hearing"], "f2a4", ["M192 319.1C185.8 313.7 177.6 310.6 169.4 310.6S153 313.7 146.8 319.1l-137.4 137.4C3.124 463.6 0 471.8 0 480c0 18.3 14.96 31.1 31.1 31.1c8.188 0 16.38-3.124 22.62-9.371l137.4-137.4c6.247-6.247 9.371-14.44 9.371-22.62S198.3 326.2 192 319.1zM511.1 31.1c0-8.188-3.124-16.38-9.371-22.62s-14.44-9.372-22.63-9.372s-16.38 3.124-22.62 9.372L416 50.75c-6.248 6.248-9.372 14.44-9.372 22.63c0 8.188 3.123 16.38 9.37 22.62c6.247 6.248 14.44 9.372 22.63 9.372s16.38-3.124 22.63-9.372l41.38-41.38C508.9 48.37 511.1 40.18 511.1 31.1z", "M200 240c0-22.06 17.94-40 40-40s40 17.94 40 40c0 13.25 10.75 24 24 24s24-10.75 24-24c0-48.53-39.47-88-88-88S152 191.5 152 240c0 13.25 10.75 24 24 24S200 253.3 200 240zM415.1 241.6c0-57.78-42.91-177.6-175.1-177.6c-153.6 0-175.2 150.8-175.2 160.4c0 17.32 14.99 31.58 32.75 31.58c16.61 0 29.25-13.07 31.24-29.55c6.711-55.39 54.02-98.45 111.2-98.45c80.45 0 111.2 75.56 111.2 119.6c0 57.94-38.22 98.14-46.37 106.3L288 370.7v13.25c0 31.4-22.71 57.58-52.58 62.98C220.4 449.7 208 463.3 208 478.6c0 17.95 14.72 32.09 32.03 32.09c4.805 0 100.5-14.34 111.2-112.7C412.6 335.8 415.1 263.4 415.1 241.6z"]],
    "ear-listen": [512, 512, ["assistive-listening-systems"], "f2a2", ["M160.1 320c-17.64 0-32.02 14.37-32.02 31.1s14.38 31.1 32.02 31.1s32.02-14.37 32.02-31.1S177.8 320 160.1 320zM86.66 361.4c-12.51-12.49-32.77-12.49-45.27 0c-12.51 12.5-12.51 32.78 0 45.27l63.96 63.99c12.51 12.49 32.77 12.49 45.27 .002c12.51-12.5 12.51-32.78 0-45.27L86.66 361.4zM32.02 448C14.38 448 0 462.4 0 480S14.38 512 32.02 512c17.64 0 32.02-14.37 32.02-31.1S49.66 448 32.02 448zM397.8 3.125c-15.91-7.594-35.05-.8438-42.66 15.09c-7.594 15.97-.8281 35.06 15.12 42.66C417.5 83.41 448 134.9 448 192c0 17.69 14.33 32 32 32S512 209.7 512 192C512 110.3 467.2 36.19 397.8 3.125z", "M287.7 70.31c-110.9-29.38-211.7 47.53-222.8 150.9C62.1 239.9 78.73 255.1 97.57 255.1c16.61 0 29.25-13.07 31.24-29.55c6.934-57.22 57.21-101.3 116.9-98.3c71.71 3.594 117.1 76.82 102.5 146.9c-6.551 29.65-21.4 56.87-43.38 78.87L288 370.7v13.25c0 31.4-22.71 57.58-52.58 62.98C220.4 449.7 208 463.3 208 478.6c0 19.78 17.88 34.94 37.38 31.64c55.92-9.443 99.63-55.28 105.9-112.2c40.11-40.68 62.89-93.95 64.65-150.9C418.4 166.4 365.8 91 287.7 70.31zM240 200c22.06 0 40 17.94 40 40c0 13.25 10.75 24 24 24s24-10.75 24-24c0-48.53-39.47-88-88-88S152 191.5 152 240c0 13.25 10.75 24 24 24S200 253.3 200 240C200 217.9 217.9 200 240 200z"]],
    "ear-muffs": [640, 512, [], "f795", ["M480 224c0-88.22-71.78-160-160-160S160 135.8 160 224v1.621C157.3 225.1 154.8 224 151.1 224C140.1 224 129.7 229.4 122.3 237.8C114.5 232.6 105.3 230 96 230.9V224c0-123.5 100.5-224 224-224s223.1 100.5 223.1 224v7.248c-9.315-.7969-18.49 1.803-26.29 6.877C510.5 229.8 499.1 224 487.8 224c-2.781 0-5.217 1.041-7.838 1.578V224z", "M151.1 224C140.1 224 129.7 229.4 122.3 237.8c-10.63-7-23.75-9.375-36.38-4.5C74.21 238.1 65.71 248 62.21 259.5C50.46 259.3 38.84 264.3 30.59 273.9C22.59 283.8 19.96 296 22.21 307.5c-10.13 5.125-18.44 14.86-20.94 26.98c-3 12.25 .1888 23.89 7.314 33.27c-7 9-10.15 20.91-7.649 33.16c2.875 12.25 10.77 21.84 21.27 27.34c-2.5 11.12 0 23.62 8 33.25c8 9.875 19.88 14.75 31.75 14.75c3.25 11.5 11.5 21 23.38 26.12c5.125 1.875 9.875 2.875 15 2.875c7.875 0 15.63-2.375 22.13-6.75C129.7 506.8 140.2 512 151.1 512c22.13 0 40-17.88 40-40c0-9.999-4-18.88-10.13-25.88c6.125-7 10.13-15.88 10.13-25.88S188.5 401 182.3 394C188.5 387 191.1 377.9 191.1 368.1c0-9.875-3.51-18.81-9.635-25.81c6.125-7 9.625-16 9.625-26c0-10.12-4.125-19-10.25-26c6.125-7 10.25-16 10.25-26C191.1 241.9 174.1 224 151.1 224zM639 335.1c-2.875-12.25-10.81-21.84-21.31-26.97c2.5-11.5 0-24-8-33.63c-8-9.875-19.88-14.75-31.75-14.75c-3.25-11.5-11.5-21.38-23.38-26.12c-12.75-5-26.13-2.5-36.88 4.5C510.5 229.8 499.1 224 487.8 224c-22.13 0-40 17.88-40 40c0 10.12 4.125 19 10.25 26c-6.125 6.999-10.25 15.87-10.25 26.12c0 9.876 3.5 18.88 9.625 25.88c-6.125 6.999-9.541 16.06-9.541 25.94c0 9.875 3.416 18.81 9.541 25.81c-6.125 7-9.625 16-9.625 26c0 10.12 4.125 19 10.25 26c-6.125 7-10.25 16-10.25 26c0 22.12 17.88 40 40 40c11.75 0 22-5.125 29.38-13.12c6.5 4.125 14 6.5 22 6.5c4.75 0 9.875-.625 14.63-2.875c11.88-4.5 20.25-14.5 23.38-26c11.88 .375 23.75-4.75 32-14.38c8-9.875 10.63-22.12 8.375-33.63c10.13-5 18.1-14.61 21.1-26.86c2.875-12.12-.3457-24.26-7.471-33.26C638.5 359.4 641.7 347.3 639 335.1z"]],
    "earth-africa": [512, 512, [127757, "globe-africa"], "f57c", ["M172.1 53.15L187.8 80.62C190.5 85.46 191.1 90.93 191.1 96.5V137.9C191.1 141.8 193.6 145.6 196.3 148.3C202.6 154.6 212.8 153.1 218.3 147.1L231.9 130.1C236.6 124.2 244.8 122.4 251.6 125.8L266.8 133.4C270.2 135.1 273.1 135.1 277.8 135.1C284.3 135.1 290.6 133.4 295.2 128.8L299.1 124.8C302 121.1 306.5 121.2 310.1 123.1L339.4 137.7C347.1 141.6 352 149.5 352 158.1C352 168.6 344.9 177.8 334.7 180.3L299.3 189.2C291.9 191 284.2 190.7 276.1 188.3L244.1 177.7C241.7 176.6 238.2 176 234.8 176C227.8 176 220.1 178.3 215.4 182.5L175.1 212C165.9 219.6 159.1 231.4 159.1 244V272C159.1 298.5 181.5 320 207.1 320H239.1C248.8 320 255.1 327.2 255.1 336V384C255.1 401.7 270.3 416 288 416C298.1 416 307.6 411.3 313.6 403.2L339.2 369.1C347.5 357.1 352 344.5 352 330.7V318.6C352 314.7 354.6 311.3 358.4 310.4L363.7 309.1C375.6 306.1 384 295.4 384 283.1C384 275.1 381.2 269.2 376.2 264.2L342.7 230.7C338.1 226.1 338.1 221 342.7 217.3C348.4 211.6 356.8 209.6 364.5 212.2L378.6 216.9C390.9 220.1 404.3 215.4 410.1 203.8C413.6 196.8 421.3 193.1 428.1 194.6L459.6 200.7C464.5 201.7 468.1 200.4 472.4 197.9C477.4 216.4 480 235.9 480 255.1C480 379.7 379.7 480 256 480C132.3 480 32 379.7 32 255.1C32 162.6 89.16 82.56 170.4 48.94C170.7 50.37 171.3 51.78 172.1 53.15H172.1z", "M170.4 48.94C196.8 38.02 225.7 32 256 32C359.6 32 446.8 102.3 472.4 197.9C468.1 200.4 464.5 201.7 459.6 200.7L428.1 194.6C421.3 193.1 413.6 196.8 410.1 203.8C404.3 215.4 390.9 220.1 378.6 216.9L364.5 212.2C356.8 209.6 348.4 211.6 342.7 217.3C338.1 221 338.1 226.1 342.7 230.7L376.2 264.2C381.2 269.2 384 275.1 384 283.1C384 295.4 375.6 306.1 363.7 309.1L358.4 310.4C354.6 311.3 352 314.7 352 318.6V330.7C352 344.5 347.5 357.1 339.2 369.1L313.6 403.2C307.6 411.3 298.1 416 288 416C270.3 416 256 401.7 256 384V336C256 327.2 248.8 320 240 320H208C181.5 320 160 298.5 160 272V244C160 231.4 165.9 219.6 176 212L215.4 182.5C220.1 178.3 227.8 176 234.8 176C238.2 176 241.7 176.6 244.1 177.7L276.1 188.3C284.2 190.7 291.9 191 299.3 189.2L334.7 180.3C344.9 177.8 352 168.6 352 158.1C352 149.5 347.1 141.6 339.4 137.7L310.1 123.1C306.5 121.2 302 121.1 299.1 124.9L295.2 128.8C290.6 133.4 284.3 136 277.8 136C273.1 136 270.2 135.1 266.8 133.4L251.6 125.8C244.8 122.4 236.6 124.2 231.9 130.1L218.3 147.1C212.8 153.1 202.6 154.6 196.3 148.3C193.6 145.6 192 141.8 192 137.9V96.5C192 90.93 190.5 85.46 187.8 80.62L172.1 53.15C171.3 51.78 170.7 50.37 170.4 48.94H170.4z"]],
    "earth-americas": [512, 512, [127758, "earth", "earth-america", "globe-americas"], "f57d", ["M45.26 179.9L66.95 212.4C75.37 225.1 88.02 234.3 102.6 238.5L162.1 255.7C180.2 260.6 191.1 276.3 191.1 294.2V334.1C191.1 345.1 198.2 355.1 207.1 359.1C217.8 364.9 223.1 374.9 223.1 385.9V424.9C223.1 440.5 238.9 451.7 253.9 447.4C270.1 442.8 282.5 429.1 286.6 413.7L289.4 402.5C293.6 385.6 304.6 371.1 319.7 362.4L327.8 357.8C342.8 349.3 352 333.4 352 316.1V307.9C352 295.1 346.9 282.9 337.9 273.9L334.1 270.1C325.1 261.1 312.8 255.1 300.1 255.1H256.1C245.9 255.1 234.9 253.1 225.2 247.6L190.7 227.8C186.4 225.4 183.1 221.4 181.6 216.7C178.4 207.1 182.7 196.6 191.7 192.1L197.7 189.2C204.3 185.9 211.9 185.3 218.1 187.7L242.2 195.4C250.3 198.1 259.3 195 264.1 187.9C268.8 180.8 268.3 171.5 262.9 165L249.3 148.8C239.3 136.8 239.4 119.3 249.6 107.5L265.3 89.12C274.1 78.85 275.5 64.16 268.8 52.42L257.1 32C341.4 32.42 414.7 79.41 452.6 148.6L412 164.8C396.3 171.1 388.2 188.5 393.5 204.6L410.9 256.8C414.1 266.4 421.6 273.9 431.2 277.1L477.1 292.4C459.7 398.8 367.3 479.1 256 479.1C132.3 479.1 32 379.7 32 255.1C32 229.3 36.68 203.6 45.26 179.9L45.26 179.9z", "M268.8 52.42C275.5 64.16 274.1 78.86 265.3 89.12L249.6 107.5C239.4 119.3 239.3 136.8 249.3 148.8L262.9 165C268.3 171.5 268.8 180.8 264.1 187.9C259.3 195 250.3 198.1 242.2 195.4L218.1 187.7C211.9 185.3 204.3 185.9 197.7 189.2L191.7 192.1C182.7 196.7 178.4 207.1 181.6 216.7C183.1 221.4 186.4 225.4 190.7 227.8L225.2 247.6C234.9 253.1 245.9 256 256.1 256H300.1C312.8 256 325.1 261.1 334.1 270.1L337.9 273.9C346.9 282.9 352 295.2 352 307.9V316.1C352 333.4 342.8 349.3 327.8 357.8L319.7 362.5C304.6 371.1 293.6 385.6 289.4 402.5L286.6 413.7C282.5 429.1 270.1 442.8 253.9 447.4C238.9 451.7 223.1 440.5 223.1 424.9V385.9C223.1 374.9 217.8 364.9 207.1 360C198.2 355.1 191.1 345.1 191.1 334.1V294.2C191.1 276.3 180.2 260.6 162.1 255.7L102.6 238.5C88.02 234.3 75.37 225.1 66.95 212.4L45.26 179.9C76.41 93.64 159 32 255.1 32C256.4 32 256.8 32 257.1 32L268.8 52.42zM452.6 148.6C470.1 180.5 480 217.1 480 256C480 268.4 478.1 280.5 477.1 292.4L431.2 277.1C421.6 273.9 414.1 266.4 410.9 256.8L393.5 204.6C388.2 188.6 396.3 171.1 412 164.8L452.6 148.6z"]],
    "earth-asia": [512, 512, [127759, "globe-asia"], "f57e", ["M38.79 292.6L83.41 301.5C91.27 303.1 99.41 300.6 105.1 294.9L120.5 279.5C132 267.1 151.6 271.1 158.9 285.8L168.2 304.3C172.1 313.9 182.8 319.1 193.5 319.1C208.7 319.1 219.6 305.4 215.2 290.8L209.3 270.9C204.7 255.5 216.2 239.1 232.3 239.1H234.6C247.1 239.1 260.5 233.3 267.9 222.2L278.6 206.1C284.2 197.7 283.9 186.6 277.8 178.4L261.7 156.9C251.4 143.2 258.4 123.4 275.1 119.2L292.1 114.1C299.6 113.1 305.7 107.8 308.6 100.6L325.3 58.79C327.4 53.56 327.5 48.1 326.1 43.17C415.5 72.58 480 156.8 480 255.1C480 272.1 478.1 289.5 474.5 305.4L467.4 301.1C462.1 299.4 456.1 298.9 450.4 300.4L434.6 304.9C427.9 306.7 420.8 304 417.1 298.2L415.1 295.1C409.1 285.7 398.7 279.1 387.5 279.1C376.4 279.1 365.1 285.7 359.9 295.1L353.8 304.6C352.4 306.8 350.5 308.7 348.2 309.1L311.1 330.1C293.9 340.2 286.5 362.5 294.1 381.4L300.5 393.8C309.1 413 331.2 422.3 350.1 414.9L353.5 413.1C363.6 410.2 374.8 411.8 383.5 418.1L398.4 428.9C359.7 460.8 310.1 480 256 480C144.3 480 51.75 398.3 34.78 291.4C36.06 291.9 37.4 292.3 38.79 292.6L38.79 292.6zM163.9 336.5C155.3 334.3 146.6 339.5 144.5 348.1C142.3 356.7 147.5 365.4 156.1 367.5L188.1 375.5C196.7 377.7 205.4 372.5 207.5 363.9C209.7 355.3 204.5 346.6 195.9 344.5L163.9 336.5zM267.5 335.9L275.5 303.9C277.7 295.3 272.5 286.6 263.9 284.5C255.3 282.3 246.6 287.5 244.5 296.1L236.5 328.1C234.3 336.7 239.5 345.4 248.1 347.5C256.7 349.7 265.4 344.5 267.5 335.9zM350.3 135.2C354.3 127.2 351.1 117.6 343.2 113.7C335.3 109.7 325.6 112.9 321.7 120.8L305.7 152.8C301.7 160.7 304.9 170.4 312.8 174.3C320.7 178.3 330.4 175.1 334.3 167.2L350.3 135.2z", "M34.78 291.4C32.95 279.9 32 268 32 255.1C32 132.3 132.3 31.1 256 31.1C280.5 31.1 304 35.92 326.1 43.17C327.5 48.1 327.4 53.56 325.3 58.79L308.6 100.6C305.7 107.8 299.6 113.1 292.1 114.1L275.1 119.2C258.4 123.4 251.4 143.2 261.7 156.9L277.8 178.4C283.9 186.6 284.2 197.7 278.6 206.1L267.9 222.2C260.5 233.3 247.1 239.1 234.6 239.1H232.3C216.2 239.1 204.6 255.5 209.3 270.9L215.2 290.8C219.6 305.4 208.7 319.1 193.5 319.1C182.8 319.1 172.1 313.9 168.2 304.3L158.9 285.8C151.6 271.1 132 267.1 120.5 279.5L105.1 294.9C99.41 300.6 91.27 303.1 83.41 301.5L38.79 292.6C37.4 292.3 36.06 291.9 34.78 291.4L34.78 291.4zM474.5 305.4C463.4 354.7 436.1 397.8 398.4 428.9L383.5 418.1C374.8 411.8 363.6 410.2 353.5 413.1L350.1 414.9C331.2 422.3 309.1 413 300.5 393.8L294.1 381.4C286.5 362.5 293.9 340.2 311.1 330.1L348.2 309.1C350.5 308.7 352.4 306.8 353.8 304.6L359.9 295.1C365.1 285.7 376.4 279.1 387.5 279.1C398.7 279.1 409.1 285.7 415.1 295.1L417.1 298.2C420.8 304 427.9 306.7 434.6 304.9L450.4 300.4C456.1 298.9 462.1 299.4 467.4 301.1L474.5 305.4zM144.5 348.1C146.6 339.5 155.3 334.3 163.9 336.5L195.9 344.5C204.5 346.6 209.7 355.3 207.5 363.9C205.4 372.5 196.7 377.7 188.1 375.5L156.1 367.5C147.5 365.4 142.3 356.7 144.5 348.1V348.1zM244.5 296.1C246.6 287.5 255.3 282.3 263.9 284.5C272.5 286.6 277.7 295.3 275.5 303.9L267.5 335.9C265.4 344.5 256.7 349.7 248.1 347.5C239.5 345.4 234.3 336.7 236.5 328.1L244.5 296.1zM343.2 113.7C351.1 117.6 354.3 127.2 350.3 135.2L334.3 167.2C330.4 175.1 320.7 178.3 312.8 174.3C304.9 170.4 301.7 160.7 305.7 152.8L321.7 120.8C325.6 112.9 335.3 109.7 343.2 113.7V113.7z"]],
    "earth-europe": [512, 512, ["globe-europe"], "f7a2", ["M221.9 240C232.9 240 243.1 233.8 248 224L252 215.9C254.5 211.1 259.4 208 264.8 208C269.4 208 273.6 210.1 276.3 213.7L292.6 235.5C294.7 238.3 298.1 240 301.7 240C310.1 240 315.6 231.1 311.8 223.6L310.7 221.3C307.1 214.3 310.7 205.8 318.1 203.3L339.3 196.2C346.9 193.7 352 186.6 352 178.6C352 168.3 360.3 160 370.6 160H400C408.8 160 416 167.2 416 176C416 184.8 408.8 192 400 192H379.3C372.1 192 365.1 194.9 360 200L355.3 204.7C353.2 206.8 352 209.7 352 212.7C352 218.9 357.1 224 363.3 224H374.6C380.6 224 386.4 226.4 390.6 230.6L397.2 237.2C398.1 238.1 400 241.4 400 244C400 246.6 398.1 249 397.2 250.8L389.7 258.3C386 261.1 384 266.9 384 272C384 277.1 386 282 389.7 285.7L408 304C418.2 314.2 432.1 320 446.6 320H503.9C501.1 330.1 497.6 341.7 493.4 352H438.6C424.1 352 410.2 346.2 400 336L395.1 331.1C388.3 324.3 377.9 320 367.1 320C357.4 320 347.9 316.5 340.5 310.2L313.1 287.4C302.4 277.5 287.6 272 272.3 272H251.4C238.7 272 226.4 275.7 215.9 282.7L188.5 301C170.7 312.9 160 332.9 160 354.3V357.5C160 374.5 166.7 390.7 178.7 402.7L194.7 418.7C203.2 427.2 214.7 432 226.7 432C251.7 432 272 452.3 272 477.3V511.5C266.7 511.8 261.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C281.2 0 305.5 3.627 328.4 10.39L233.3 73.81C227.5 77.68 224 84.19 224 91.16V99.72C224 106.5 229.5 112 236.3 112C238.7 112 241.1 111.3 243.1 109.9L284.9 82.06C286.9 80.72 289.3 80 291.7 80H292.7C298.9 80 304 85.07 304 91.31C304 94.31 302.8 97.19 300.7 99.31L280.8 119.2C275 124.1 267.9 129.4 260.2 131.9L233.6 140.8C227.9 142.7 224 148.1 224 154.2C224 157.9 222.5 161.5 219.9 164.1L201.9 182.1C195.6 188.4 192 197.1 192 206.1V210.3C192 226.7 205.6 240 221.9 240V240zM187.3 123.3C193.6 117.1 193.6 106.9 187.3 100.7C181.1 94.44 170.9 94.44 164.7 100.7L132.7 132.7C126.4 138.9 126.4 149.1 132.7 155.3C138.9 161.6 149.1 161.6 155.3 155.3L187.3 123.3z", "M192 210.3V206.1C192 197.1 195.6 188.4 201.9 182.1L219.9 164.1C222.5 161.5 224 157.9 224 154.2C224 148.1 227.9 142.7 233.6 140.8L260.2 131.9C267.9 129.4 275 124.1 280.8 119.2L300.7 99.31C302.8 97.19 304 94.31 304 91.31C304 85.06 298.9 79.1 292.7 79.1H291.7C289.3 79.1 286.9 80.72 284.9 82.06L243.1 109.9C241.1 111.3 238.7 111.1 236.3 111.1C229.5 111.1 224 106.5 224 99.72V91.15C224 84.19 227.5 77.68 233.3 73.81L328.4 10.39C434.5 41.63 512 139.8 512 255.1C512 278.1 509.2 299.5 503.9 319.1H446.6C432.1 319.1 418.2 314.2 408 303.1L389.7 285.7C386 282 384 277.1 384 271.1C384 266.9 386 261.1 389.7 258.3L397.2 250.8C398.1 249 400 246.6 400 243.1C400 241.4 398.1 238.1 397.2 237.2L390.6 230.6C386.4 226.4 380.6 223.1 374.6 223.1H363.3C357.1 223.1 352 218.9 352 212.7C352 209.7 353.2 206.8 355.3 204.7L360 199.1C365.1 194.9 372.1 191.1 379.3 191.1H400C408.8 191.1 416 184.8 416 175.1C416 167.2 408.8 159.1 400 159.1H370.6C360.3 159.1 352 168.3 352 178.6C352 186.6 346.9 193.7 339.3 196.2L318.1 203.3C310.7 205.8 307.1 214.3 310.7 221.3L311.8 223.6C315.6 231.1 310.1 239.1 301.7 239.1C298.1 239.1 294.7 238.3 292.6 235.5L276.3 213.7C273.6 210.1 269.4 207.1 264.8 207.1C259.4 207.1 254.5 211.1 252 215.9L248 223.1C243.1 233.8 232.9 239.1 221.9 239.1C205.6 239.1 192 226.7 192 210.3H192zM272 511.5V477.3C272 452.3 251.7 432 226.7 432C214.7 432 203.2 427.2 194.7 418.7L178.7 402.7C166.7 390.7 160 374.5 160 357.5V354.3C160 332.9 170.7 312.9 188.5 301L215.9 282.7C226.4 275.7 238.7 272 251.4 272H272.3C287.6 272 302.4 277.5 313.1 287.4L340.5 310.2C347.9 316.5 357.4 320 367.1 320C377.9 320 388.3 324.3 395.1 331.1L400 336C410.2 346.2 424.1 352 438.6 352H493.4C457.3 441.1 372.5 505.3 272 511.5V511.5zM187.3 100.7C193.6 106.9 193.6 117.1 187.3 123.3L155.3 155.3C149.1 161.6 138.9 161.6 132.7 155.3C126.4 149.1 126.4 138.9 132.7 132.7L164.7 100.7C170.9 94.44 181.1 94.44 187.3 100.7V100.7z"]],
    "earth-oceania": [512, 512, ["globe-oceania"], "e47b", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM215.5 360.6L240.9 377C247.1 381.6 256.2 384 264.6 384C278 384 290.7 377.8 298.1 367.2L311 351.8C316.8 344.4 320 335.2 320 325.8C320 316.4 316.8 307.2 311 299.8L293.1 276.9C288.3 270.7 284.4 263.1 281.6 256.7L271.5 230.8C269.9 226.7 265.9 224 261.5 224C258 224 254.8 225.6 252.8 228.4L242.4 242.6C237.7 248.1 229.7 252.1 221.9 250.5C218.7 249.8 215.8 247.1 213.8 245.4L209.3 239.3C202.1 229.7 190.7 224 178.7 224C166.7 224 155.3 229.7 148.1 239.3L142.8 246.3C141.3 248.4 139.2 250 136.9 251.1L101.6 267.9C81.08 277.7 72.8 302.6 83.37 322.7L86.65 328.9C95.67 346.1 115.7 354.3 134.1 348.4L149.5 343.6C156 341.5 163.1 341.6 169.6 343.8L208.6 357.3C211 358.1 213.4 359.2 215.5 360.6H215.5zM273.8 142.5C264.3 132.1 250.8 128.9 237.6 131.5L199.1 139.2C183.8 142.3 181.5 163.2 195.7 169.5L238.5 188.6C243.7 190.8 249.2 192 254.8 192H284.7C298.9 192 306.1 174.8 296 164.7L273.8 142.5zM264 448H280C288.8 448 296 440.8 296 432C296 423.2 288.8 416 280 416H264C255.2 416 248 423.2 248 432C248 440.8 255.2 448 264 448zM431.2 298.9C428.4 290.6 419.3 286 410.9 288.8C402.6 291.6 398 300.7 400.8 309.1L408.8 333.1C411.6 341.4 420.7 345.1 429.1 343.2C437.4 340.4 441.1 331.3 439.2 322.9L431.2 298.9zM411.3 379.3C417.6 373.1 417.6 362.9 411.3 356.7C405.1 350.4 394.9 350.4 388.7 356.7L356.7 388.7C350.4 394.9 350.4 405.1 356.7 411.3C362.9 417.6 373.1 417.6 379.3 411.3L411.3 379.3z", "M296 164.7C306.1 174.8 298.9 192 284.7 192H254.8C249.2 192 243.7 190.8 238.5 188.6L195.7 169.5C181.5 163.2 183.8 142.3 199.1 139.2L237.6 131.5C250.8 128.9 264.3 132.1 273.8 142.5L296 164.7zM149.5 343.6L134.1 348.4C115.7 354.3 95.67 346.1 86.65 328.9L83.37 322.7C72.8 302.6 81.08 277.7 101.6 267.9L136.9 251.1C139.2 250 141.3 248.4 142.8 246.3L148.1 239.3C155.3 229.7 166.7 224 178.7 224C190.7 224 202.1 229.7 209.3 239.3L213.8 245.4C215.8 247.1 218.7 249.8 221.9 250.5C229.7 252.1 237.7 248.1 242.4 242.6L252.8 228.4C254.8 225.6 258 224 261.5 224C265.9 224 269.9 226.7 271.5 230.8L281.6 256.7C284.4 263.1 288.3 270.7 293.1 276.9L311 299.8C316.8 307.2 320 316.4 320 325.8C320 335.2 316.8 344.4 311 351.8L298.1 367.2C290.7 377.8 278 384 264.6 384C256.2 384 247.1 381.6 240.9 377L215.5 360.6C213.4 359.2 211 358.1 208.6 357.3L169.6 343.8C163.1 341.6 156 341.5 149.5 343.6H149.5zM248 432C248 423.2 255.2 416 264 416H280C288.8 416 296 423.2 296 432C296 440.8 288.8 448 280 448H264C255.2 448 248 440.8 248 432zM439.2 322.9C441.1 331.3 437.4 340.4 429.1 343.2C420.7 345.1 411.6 341.4 408.8 333.1L400.8 309.1C398 300.7 402.6 291.6 410.9 288.8C419.3 286 428.4 290.6 431.2 298.9L439.2 322.9zM379.3 411.3C373.1 417.6 362.9 417.6 356.7 411.3C350.4 405.1 350.4 394.9 356.7 388.7L388.7 356.7C394.9 350.4 405.1 350.4 411.3 356.7C417.6 362.9 417.6 373.1 411.3 379.3L379.3 411.3z"]],
    "eclipse": [640, 512, [], "f749", ["M165.5 346.5c-49.87-49.87-49.87-131.1 0-180.1C200.6 130.4 251 120.5 295.3 134.8c7.5-10.37 15.87-19.1 25.12-28.87L271.5 9.655c-6.375-12.87-24.62-12.87-30.1 0l-47.25 94.61L92.78 70.77C79.15 66.27 66.28 79.27 70.78 92.77l33.5 100.4L9.656 240.5c-12.87 6.374-12.87 24.62 0 30.1l94.62 47.24l-33.5 100.5c-4.5 13.62 8.5 26.5 21.1 21.1l100.4-33.5l47.25 94.61c6.375 12.87 24.62 12.87 30.1 0l47.37-94.61l5.25 1.75c-10.75-9.749-20.25-20.5-28.75-32.25C251 391.5 200.6 381.6 165.5 346.5zM256 160C203.1 160 160 203.1 160 256s43.12 95.99 95.1 95.99c7.75 0 15.12-1.25 22.25-2.875c-14.12-27.1-22.26-59.6-22.26-93.09S264.1 190.9 278.3 162.9C271.1 161.3 263.8 160 256 160z", "M640 256c0 97.24-78.75 175.1-175.1 175.1s-175.1-78.72-175.1-175.1s78.75-175.1 175.1-175.1S640 158.8 640 256z"]],
    "egg": [384, 512, [129370], "f7fb", ["M192 16c-106 0-192 182-192 288c0 106 85.1 192 192 192c105.1 0 192-85.1 192-192C384 198 297.1 16 192 16zM160.1 138C128.6 177.1 96 249.8 96 304C96 312.8 88.84 320 80 320S64 312.8 64 304c0-63.56 36.7-143.3 71.22-186c5.562-6.906 15.64-7.969 22.5-2.406C164.6 121.1 165.7 131.2 160.1 138z", "M160.1 138C128.6 177.1 96 249.8 96 304C96 312.8 88.84 320 80 320S64 312.8 64 304c0-63.56 36.7-143.3 71.22-186c5.562-6.906 15.64-7.969 22.5-2.406C164.6 121.1 165.7 131.2 160.1 138z"]],
    "egg-fried": [512, 512, [], "f7fc", ["M478.4 150.5c-39.5-40.75-100.8-46.38-144.5-82.25c-49.76-41-88.13-77.5-158.5-66.13c-86.76 14-111.8 80-125 157.1c-11.13 64.38-54.38 127-50 192.9s52.88 128.5 115 150.8c93.01 33.38 146.9-31.75 204.6-86.38c43.63-41.5 93.38-37.75 140.9-74C517.2 299.8 532.6 201.1 478.4 150.5zM223.1 352.4c-61.76 0-112-50.25-112-112.1c0-61.75 50.26-112.1 112-112.1s112 50.38 112 112.1C335.1 302.1 285.7 352.4 223.1 352.4z", "M223.1 128.1c-61.76 0-112 50.38-112 112.1c0 61.88 50.26 112.1 112 112.1s112-50.25 112-112.1C335.1 178.5 285.7 128.1 223.1 128.1zM215.1 191.1c-22.13 0-40 17.88-40 40c0 8.877-7.127 16-16 16c-8.877 0-16-7.125-16-16c0-39.75 32.25-72 72.01-72c8.875 0 16 7.126 16 16C231.1 184.9 224.8 191.1 215.1 191.1z"]],
    "eggplant": [512, 512, [], "e16c", ["M465.3 199.8c-23.5 46.8-49.46 93.22-79.51 139.3c-101.8 154.7-151.1 172.9-213.2 172.9c-42.28 0-172.6-33.85-172.6-174.7c0-61.41 31.93-122.7 100.8-151.3c86.81-33.98 192.9-126.1 211.1-138.3C323.8 66.95 344.3 80 368 80c0 35.35 28.65 64 64 64C432 168.2 445.6 188.9 465.3 199.8z", "M512 24c0 6.141-2.344 12.28-7.031 16.97l-14.04 14.04C494.2 62.69 496 71.13 496 80v128c-35.35 0-64-28.65-64-64c-35.35 0-64-28.65-64-64c-35.35 0-64-28.65-64-64h128c8.867 0 17.31 1.811 24.99 5.07l14.04-14.04C475.7 2.344 481.9 0 488 0C501.7 0 512 11.21 512 24z"]],
    "eject": [448, 512, [9167], "f052", ["M447.1 432c0 26.39-21.6 47.99-47.99 47.99H48.01c-26.39 0-47.99-21.6-47.99-47.99c0-26.39 21.6-47.98 47.99-47.98h351.1C426.4 384 447.1 405.6 447.1 432z", "M48.01 319.1h351.1c41.62 0 63.49-49.63 35.37-80.38l-175.1-192.1c-19-20.62-51.75-20.62-70.75 0L12.64 239.6C-15.48 270.2 6.393 319.1 48.01 319.1z"]],
    "elephant": [640, 512, [128024], "f6da", ["M192 112C192 50.14 242.1 .0016 303.1 0C334.5 0 362.2 12.21 382.4 32H383.1C472.4 32 543.1 103.6 543.1 192V346.5C533.1 350.1 523.2 352 512 352C477.1 352 446.5 333.4 429.7 305.5C425.1 297.9 415.3 295.5 407.7 300C400.2 304.6 397.7 314.4 402.3 321.1C406.3 328.6 410.9 334.9 415.1 340.7V480C415.1 497.7 401.7 512 383.1 512H319.1C302.3 512 287.1 497.7 287.1 480V409.1C272.7 413.9 256.6 416 239.1 416C223.4 416 207.3 413.9 191.1 409.1V480C191.1 497.7 177.7 512 159.1 512H95.1C78.32 512 63.1 497.7 63.1 480V344.7C61.44 349.4 58.54 353.9 55.32 358.2L43.2 374.4C35.24 385 20.2 387.2 9.598 379.2C-1.006 371.2-3.155 356.2 4.798 345.6L16.92 329.4C22.59 321.9 26.49 313.1 28.35 303.9C30.77 291.7 31.1 279.4 31.1 267V248C31.1 175.8 67.43 111.9 121.9 72.64C138.6 59.57 157.5 49.22 178 42.23C166.5 62.9 160 86.69 160 112C160 191.5 224.5 256 304 256C312.8 256 320 248.8 320 240C320 231.2 312.8 224 304 224C242.1 224 192 173.9 192 112V112zM464 192C455.2 192 448 199.2 448 208C448 216.8 455.2 224 464 224C472.8 224 480 216.8 480 208C480 199.2 472.8 192 464 192zM512 384C523 384 533.8 382.6 543.1 379.1V398.6C543.1 408.2 551.8 416 561.4 416C568 416 574.1 412.3 577 406.4L579.4 401.7C587.3 385.9 606.5 379.5 622.3 387.4C638.1 395.3 644.5 414.5 636.6 430.3L634.3 434.1C620.5 462.6 592.3 480 561.4 480C516.5 480 479.1 443.5 479.1 398.6V379.1C490.2 382.6 500.9 384 512 384V384z", "M448 208C448 199.2 455.2 192 464 192C472.8 192 480 199.2 480 208C480 216.8 472.8 224 464 224C455.2 224 448 216.8 448 208zM512 352C538.9 352 563.1 340.1 580.6 323.2C586.8 316.9 596.9 316.8 603.2 322.1C609.5 329.1 609.6 339.3 603.4 345.6C580.2 369.3 547.8 384 512 384C465.4 384 424.7 359.1 402.3 321.1C397.7 314.4 400.2 304.6 407.7 300C415.3 295.5 425.1 297.9 429.7 305.5C446.5 333.4 477.1 352 512 352H512z"]],
    "elevator": [512, 512, [], "e16d", ["M448 128H64c-35.35 0-64 28.65-64 63.1v255.1C0 483.3 28.65 512 64 512h384c35.35 0 64-28.65 64-63.1V192C512 156.7 483.3 128 448 128zM352 224C378.5 224.1 400 245.5 400 272c0 26.46-21.47 47.9-48 48C325.5 319.9 304 298.5 304 272C304 245.5 325.5 224.1 352 224zM160 224C186.5 224.1 208 245.5 208 272c0 26.46-21.47 47.9-48 48C133.5 319.9 112 298.5 112 272C112 245.5 133.5 224.1 160 224zM240 448h-160v-48C80 373.5 101.5 352 128 352h64c26.51 0 48 21.49 48 48V448zM432 448h-160v-48c0-26.51 21.49-48 48-48h64c26.51 0 48 21.49 48 48V448z", "M222.8 87.34c2.385-5.262 1.299-11.39-2.754-15.59l-65-67.34c-5.684-5.881-16.31-5.881-21.99 0l-65 67.34C63.95 75.95 62.87 82.08 65.25 87.34C67.63 92.6 73.03 96 79 96h130C214.1 96 220.4 92.6 222.8 87.34zM446.8 8.662C444.4 3.402 438.1 0 433 0h-130c-5.967 0-11.37 3.402-13.75 8.662c-2.385 5.262-1.301 11.39 2.752 15.59l65 67.34c5.686 5.881 16.31 5.881 21.99 0l65-67.34C448.1 20.05 449.1 13.92 446.8 8.662zM192 352H128c-26.51 0-48 21.49-48 48V448h160v-48C240 373.5 218.5 352 192 352zM112 272c0 26.46 21.47 47.9 48 48C186.5 319.9 208 298.5 208 272c0-26.46-21.47-47.9-48-47.1C133.5 224.1 112 245.5 112 272zM384 352h-64c-26.51 0-48 21.49-48 48V448h160v-48C432 373.5 410.5 352 384 352zM400 272c0-26.46-21.47-47.9-48-47.1C325.5 224.1 304 245.5 304 272c0 26.46 21.47 47.9 48 48C378.5 319.9 400 298.5 400 272z"]],
    "ellipsis": [448, 512, ["ellipsis-h"], "f141", ["M280 256C280 286.9 254.9 312 224 312C193.1 312 168 286.9 168 256C168 225.1 193.1 200 224 200C254.9 200 280 225.1 280 256z", "M8 256C8 225.1 33.07 200 64 200C94.93 200 120 225.1 120 256C120 286.9 94.93 312 64 312C33.07 312 8 286.9 8 256zM328 256C328 225.1 353.1 200 384 200C414.9 200 440 225.1 440 256C440 286.9 414.9 312 384 312C353.1 312 328 286.9 328 256z"]],
    "ellipsis-stroke": [512, 512, ["ellipsis-h-alt"], "f39b", ["M328 256C328 295.8 295.8 328 256 328C216.2 328 184 295.8 184 256C184 216.2 216.2 184 256 184C295.8 184 328 216.2 328 256zM256 232C242.7 232 232 242.7 232 256C232 269.3 242.7 280 256 280C269.3 280 280 269.3 280 256C280 242.7 269.3 232 256 232z", "M344 256C344 216.2 376.2 184 416 184C455.8 184 488 216.2 488 256C488 295.8 455.8 328 416 328C376.2 328 344 295.8 344 256zM416 280C429.3 280 440 269.3 440 256C440 242.7 429.3 232 416 232C402.7 232 392 242.7 392 256C392 269.3 402.7 280 416 280zM24 256C24 216.2 56.24 184 96 184C135.8 184 168 216.2 168 256C168 295.8 135.8 328 96 328C56.24 328 24 295.8 24 256zM96 280C109.3 280 120 269.3 120 256C120 242.7 109.3 232 96 232C82.75 232 72 242.7 72 256C72 269.3 82.75 280 96 280z"]],
    "ellipsis-stroke-vertical": [192, 512, ["ellipsis-v-alt"], "f39c", ["M96 328C56.24 328 24 295.8 24 256C24 216.2 56.24 184 96 184C135.8 184 168 216.2 168 256C168 295.8 135.8 328 96 328zM120 256C120 242.7 109.3 232 96 232C82.75 232 72 242.7 72 256C72 269.3 82.75 280 96 280C109.3 280 120 269.3 120 256z", "M96 344C135.8 344 168 376.2 168 416C168 455.8 135.8 488 96 488C56.24 488 24 455.8 24 416C24 376.2 56.24 344 96 344zM72 416C72 429.3 82.75 440 96 440C109.3 440 120 429.3 120 416C120 402.7 109.3 392 96 392C82.75 392 72 402.7 72 416zM96 24C135.8 24 168 56.24 168 96C168 135.8 135.8 168 96 168C56.24 168 24 135.8 24 96C24 56.24 56.24 24 96 24zM72 96C72 109.3 82.75 120 96 120C109.3 120 120 109.3 120 96C120 82.75 109.3 72 96 72C82.75 72 72 82.75 72 96z"]],
    "ellipsis-vertical": [128, 512, ["ellipsis-v"], "f142", ["M64 200C94.93 200 120 225.1 120 256C120 286.9 94.93 312 64 312C33.07 312 8 286.9 8 256C8 225.1 33.07 200 64 200z", "M64 472C33.07 472 8 446.9 8 416C8 385.1 33.07 360 64 360C94.93 360 120 385.1 120 416C120 446.9 94.93 472 64 472zM64 152C33.07 152 8 126.9 8 96C8 65.07 33.07 40 64 40C94.93 40 120 65.07 120 96C120 126.9 94.93 152 64 152z"]],
    "empty-set": [512, 512, [8709, 216], "f656", ["M96 256c0-88.22 71.78-160 160-160c32.56 0 62.8 9.889 88.09 26.66l45.84-45.84C352.5 48.82 306.3 32 256 32C132.3 32 32 132.3 32 256c0 50.3 16.82 96.54 44.82 133.9l45.84-45.84C105.9 318.8 96 288.6 96 256zM435.2 122.1l-45.84 45.84C406.1 193.2 416 223.4 416 256c0 88.22-71.78 160-160 160c-32.56 0-62.8-9.889-88.09-26.66l-45.84 45.84C159.5 463.2 205.7 480 256 480c123.7 0 224-100.3 224-224C480 205.7 463.2 159.5 435.2 122.1z", "M502.6 9.375c-12.5-12.5-32.75-12.5-45.25 0l-448 448c-12.5 12.5-12.5 32.75 0 45.25C15.63 508.9 23.81 512 32 512s16.38-3.125 22.62-9.375l448-448C515.1 42.13 515.1 21.88 502.6 9.375z"]],
    "engine": [640, 512, [], "e16e", ["M424 88C424 101.3 413.3 112 400 112H328V144H280V112H208C194.7 112 184 101.3 184 88C184 74.75 194.7 64 208 64H400C413.3 64 424 74.75 424 88zM24 136C37.25 136 48 146.7 48 160V232H96V280H48V352C48 365.3 37.25 376 24 376C10.75 376 0 365.3 0 352V160C0 146.7 10.75 136 24 136zM608 192C625.7 192 640 206.3 640 224V416C640 433.7 625.7 448 608 448H576C558.3 448 544 433.7 544 416V224C544 206.3 558.3 192 576 192H608z", "M96 176C96 158.3 110.3 144 128 144H409.5C424.1 144 438.2 148.9 449.5 158L487.1 188.8C503.2 200.9 512 219.3 512 238.8V384C512 419.3 483.3 448 448 448H254.8C235.3 448 216.9 439.2 204.8 423.1L172.8 384H128C110.3 384 96 369.7 96 352V176zM288 288C305.7 288 320 273.7 320 256C320 238.3 305.7 224 288 224C270.3 224 256 238.3 256 256C256 273.7 270.3 288 288 288zM192 224C174.3 224 160 238.3 160 256C160 273.7 174.3 288 192 288C209.7 288 224 273.7 224 256C224 238.3 209.7 224 192 224zM384 288C401.7 288 416 273.7 416 256C416 238.3 401.7 224 384 224C366.3 224 352 238.3 352 256C352 273.7 366.3 288 384 288z"]],
    "engine-warning": [640, 512, ["engine-exclamation"], "f5f2", ["M424 88C424 101.3 413.3 112 400 112H328V144H280V112H208C194.7 112 184 101.3 184 88C184 74.75 194.7 64 208 64H400C413.3 64 424 74.75 424 88zM24 136C37.25 136 48 146.7 48 160V232H96V280H48V352C48 365.3 37.25 376 24 376C10.75 376 0 365.3 0 352V160C0 146.7 10.75 136 24 136zM608 192C625.7 192 640 206.3 640 224V416C640 433.7 625.7 448 608 448H576C558.3 448 544 433.7 544 416V224C544 206.3 558.3 192 576 192H608z", "M409.5 144C424.1 144 438.2 148.9 449.5 158L487.1 188.8C503.2 200.9 512 219.3 512 238.8V384C512 419.3 483.3 448 448 448H254.8C235.3 448 216.9 439.2 204.8 423.1L172.8 384H128C110.3 384 96 369.7 96 352V176C96 158.3 110.3 144 128 144H409.5zM324 208C324 196.1 315 188 304 188C292.1 188 284 196.1 284 208V296C284 307 292.1 316 304 316C315 316 324 307 324 296V208zM304 392C317.3 392 328 381.3 328 368C328 354.7 317.3 344 304 344C290.7 344 280 354.7 280 368C280 381.3 290.7 392 304 392z"]],
    "envelope": [512, 512, [128386, 61443, 9993], "f0e0", ["M19.2 150.4L236.8 313.6C248.2 322.1 263.8 322.1 275.2 313.6L492.8 150.4C504.9 141.3 512 127.1 512 112V384C512 419.3 483.3 448 448 448H64C28.65 448 0 419.3 0 384V112C0 127.1 7.113 141.3 19.2 150.4z", "M464 64C490.5 64 512 85.49 512 112C512 127.1 504.9 141.3 492.8 150.4L275.2 313.6C263.8 322.1 248.2 322.1 236.8 313.6L19.2 150.4C7.113 141.3 0 127.1 0 112C0 85.49 21.49 64 48 64H464z"]],
    "envelope-circle-check": [640, 512, [], "e4e8", ["M0 112C0 85.49 21.49 64 48 64H464C490.5 64 512 85.49 512 112C512 127.1 504.9 141.3 492.8 150.4L478.9 160.8C412.3 167.2 356.5 210.8 332.6 270.6L275.2 313.6C263.8 322.1 248.2 322.1 236.8 313.6L19.2 150.4C7.113 141.3 0 127.1 0 112H0zM320 336C320 378.5 335.1 417.6 360.2 448H64C28.65 448 0 419.3 0 384V176L217.6 339.2C240.4 356.3 271.6 356.3 294.4 339.2L320.8 319.4C320.3 324.9 320 330.4 320 336z", "M352 336C352 256.5 416.5 192 496 192C575.5 192 640 256.5 640 336C640 415.5 575.5 480 496 480C416.5 480 352 415.5 352 336zM563.3 315.3C569.6 309.1 569.6 298.9 563.3 292.7C557.1 286.4 546.9 286.4 540.7 292.7L480 353.4L451.3 324.7C445.1 318.4 434.9 318.4 428.7 324.7C422.4 330.9 422.4 341.1 428.7 347.3L468.7 387.3C474.9 393.6 485.1 393.6 491.3 387.3L563.3 315.3z"]],
    "envelope-dot": [576, 512, ["envelope-badge"], "e16f", ["M48.29 145.3l212.2 165.1c16.19 12.6 38.87 12.6 55.06 0l193.7-150.6C457.5 158.2 416 116.1 416 64H80C53.49 64 32 85.49 32 112C32 125 38.01 137.3 48.29 145.3zM335.2 335.7C321.7 346.1 305 352 288 352s-33.74-5.863-47.17-16.3L32 173.3V400C32 426.5 53.49 448 80 448h416c26.51 0 48-21.49 48-48V173.3L335.2 335.7z", "M512 0c35.35 0 64 28.65 64 64s-28.65 64-64 64s-64-28.65-64-64S476.7 0 512 0z"]],
    "envelope-open": [512, 512, [62135], "f2b6", ["M448 208.5v46.32l-144.8 112.7C289.1 378.5 272.5 384 256 384s-33.06-5.484-47.16-16.47L64 254.9V208.5c21.16-16.59 46.48-35.66 156.4-115.5c3.18-2.328 6.891-5.187 10.98-8.353C236.9 80.44 247.8 71.97 256 66.84c8.207 5.131 19.14 13.6 24.61 17.84c4.09 3.166 7.801 6.027 11.15 8.478C400.9 172.5 426.6 191.7 448 208.5z", "M493.6 163c-24.88-19.62-45.5-35.37-164.3-121.6C312.7 29.21 279.7 0 256.4 0H255.6C232.3 0 199.3 29.21 182.6 41.38c-118.8 86.25-139.4 101.1-164.3 121.6C6.75 172 0 186 0 200.8v263.2C0 490.5 21.49 512 48 512h416c26.51 0 48-21.49 48-47.1V200.8C512 186 505.3 172 493.6 163zM303.2 367.5C289.1 378.5 272.5 384 256 384s-33.06-5.484-47.16-16.47L64 254.9V208.5c21.16-16.59 46.48-35.66 156.4-115.5c3.18-2.328 6.891-5.187 10.98-8.353C236.9 80.44 247.8 71.97 256 66.84c8.207 5.131 19.14 13.6 24.61 17.84c4.09 3.166 7.801 6.027 11.15 8.478C400.9 172.5 426.6 191.7 448 208.5v46.32L303.2 367.5z"]],
    "envelope-open-dollar": [512, 512, [], "f657", ["M416 32H96c-17.67 0-32 14.33-32 31.1v182.4l164.5 127.9c16.2 12.6 38.87 12.6 55.06 0L448 246.4V64C448 46.33 433.7 32 416 32zM319.1 251.5c-3.703 21.4-20.04 35.41-43.05 40.22V304c0 11.03-8.945 20-19.98 20c-11.04 0-19.98-8.969-19.98-20V291.3c-9.113-1.961-18.19-4.934-26.35-7.883L205.3 281.8C194.1 278.2 189.5 266.7 193.2 256.3S208.2 240.5 218.7 244.2l4.541 1.625c8.102 2.938 17.28 6.25 24.48 7.312c14.85 2.344 30.49 .1875 31.97-8.375c1.045-6.062 .2656-9.094-29.24-17.53L244.5 225.5c-17.69-5.188-59.15-17.34-51.61-61C196.6 142.1 212.9 128.6 236.1 123.9V112c0-11.03 8.945-20 19.98-20c11.04 0 19.98 8.969 19.98 20v12.61c5.779 1.242 11.97 2.898 19.46 5.482c10.43 3.625 15.97 15 12.36 25.44s-15.03 15.97-25.41 12.38c-6.104-2.125-12.52-4.094-18.36-5.031C249.4 160.6 233.8 162.7 232.3 171.3c-.8438 4.938-1.451 8.5 23.49 15.81l5.684 1.625C285.8 195.7 326.7 207.4 319.1 251.5z", "M256.4 0H255.6c-18.44 0-42.96 18.33-60.66 32h122.2C299.4 18.33 274.9 0 256.4 0zM495.7 209.3c12.94-10.21 14.1-30.31 2.6-42.12c-1.451-1.49-3.014-2.891-4.686-4.184C481.4 153.4 470.2 144.6 448 128.1v118.3L495.7 209.3zM16.08 209.1L64 246.4V128.1C41.8 144.6 30.56 153.4 18.38 163C16.7 164.3 15.14 165.7 13.69 167.2C2.191 178.1 3.135 198.9 16.08 209.1zM303.2 399.6C289.1 410.6 272.5 416.1 256 416.1s-33.06-5.458-47.16-16.44L0 237.2V464C0 490.5 21.49 512 48 512h416c26.51 0 48-21.49 48-48V237.2L303.2 399.6zM247.7 253.1C240.5 252 231.4 248.7 223.3 245.8L218.7 244.2C208.2 240.5 196.9 245.9 193.2 256.3s1.748 21.84 12.14 25.53l4.355 1.562c8.156 2.949 17.24 5.922 26.35 7.883V304c0 11.03 8.945 20 19.98 20c11.04 0 19.98-8.969 19.98-20V291.8c23.02-4.814 39.35-18.82 43.05-40.22c7.617-44.13-33.22-55.81-57.62-62.81L255.8 187.1c-24.94-7.312-24.34-10.88-23.49-15.81c1.482-8.562 17.12-10.69 31.8-8.406c5.84 .9375 12.25 2.906 18.36 5.031c10.38 3.594 21.81-1.938 25.41-12.38s-1.936-21.81-12.36-25.44c-7.498-2.584-13.69-4.24-19.46-5.482V112c0-11.03-8.945-20-19.98-20c-11.04 0-19.98 8.969-19.98 20v11.88C212.9 128.6 196.6 142.1 192.9 164.5c-7.539 43.66 33.92 55.81 51.61 61l5.947 1.719c29.5 8.438 30.28 11.47 29.24 17.53C278.2 253.3 262.6 255.4 247.7 253.1z"]],
    "envelope-open-text": [512, 512, [], "f658", ["M416 32H96c-17.67 0-32 14.33-32 31.1V246.4l164.5 127.9c16.2 12.6 38.87 12.6 55.06 0L448 246.4V64C448 46.33 433.7 32 416 32zM336 223.1h-160c-8.836 0-16-7.164-16-16c0-8.838 7.164-15.1 16-15.1h160c8.836 0 16 7.162 16 15.1C352 216.8 344.8 223.1 336 223.1zM336 159.1h-160c-8.836 0-16-7.164-16-15.1c0-8.838 7.164-15.1 16-15.1h160c8.836 0 16 7.162 16 15.1C352 152.8 344.8 159.1 336 159.1z", "M303.2 399.6C289.1 410.6 272.5 416.1 256 416.1s-33.06-5.458-47.16-16.44L0 237.2v226.8C0 490.5 21.49 512 48 512h416c26.51 0 48-21.49 48-47.1V237.2L303.2 399.6zM495.9 209.1c12.94-10.2 13.89-30.14 2.389-41.95c-1.451-1.492-3.014-2.891-4.686-4.184C481.4 153.4 470.2 144.6 448 128.1V246.4C448 246.4 495.9 209.2 495.9 209.1zM256.4 0H255.6c-18.44 0-42.96 18.33-60.66 32h122.2C299.4 18.33 274.9 0 256.4 0zM16.18 209.2L64 246.4V128.1C41.8 144.6 30.56 153.4 18.38 163C16.7 164.3 15.14 165.7 13.69 167.2C2.191 178.1 3.24 199 16.18 209.2C16.25 209.3 16.11 209.2 16.18 209.2zM176 223.1h160c8.836 0 16-7.164 16-16c0-8.838-7.164-15.1-16-15.1h-160c-8.836 0-16 7.162-16 15.1C160 216.8 167.2 223.1 176 223.1zM176 159.1h160c8.836 0 16-7.164 16-15.1c0-8.838-7.164-15.1-16-15.1h-160c-8.836 0-16 7.162-16 15.1C160 152.8 167.2 159.1 176 159.1z"]],
    "envelopes": [640, 512, [], "e170", ["M560 32h-384C149.5 32 128 53.49 128 80v1.311l212.5 164.1c16.2 12.6 38.87 12.6 55.06 0L608 81.31V80C608 53.49 586.5 32 560 32zM368 288c-16.53 0-33.06-5.484-47.16-16.47L128 121.3V336C128 362.5 149.5 384 176 384h384c26.51 0 48-21.49 48-48V121.3l-192.8 150.2C401.1 282.5 384.5 288 368 288z", "M395.5 246.3c-16.2 12.6-38.87 12.6-55.06 0L128 81.31v39.99l192.8 150.2C334.9 282.5 351.5 288 368 288s33.06-5.484 47.16-16.47L608 121.3V81.31L395.5 246.3zM488 480H152C85.83 480 32 426.2 32 360v-240C32 106.8 42.75 96 56 96S80 106.8 80 120v240c0 39.7 32.3 72 72 72h336c13.25 0 24 10.75 24 24S501.3 480 488 480z"]],
    "envelopes-bulk": [640, 512, ["mail-bulk"], "f674", ["M192 192c0-35.25 28.75-64 64-64h224V32c0-17.62-14.38-32-32-32H128C110.4 0 96 14.38 96 32v192h96V192zM576 160H256C238.4 160 224 174.4 224 192v32h96c33.25 0 60.63 25.38 63.75 57.88L384 416h192c17.62 0 32-14.38 32-32V192C608 174.4 593.6 160 576 160zM544 288h-64V224h64V288zM183 413.9L32 300.2v40.06l132.1 99.51c8.297 5.922 18.02 8.891 27.78 8.891c9.859 0 19.78-3.031 28.33-9.141L352 340.2V300.2l-150.7 113.5C195.7 417.7 188.3 417.7 183 413.9z", "M191.9 448.6c-9.766 0-19.48-2.969-27.78-8.891L32 340.2V480c0 17.62 14.38 32 32 32h256c17.62 0 32-14.38 32-32v-139.8L220.2 439.5C211.7 445.6 201.8 448.6 191.9 448.6zM320 256H64C46.38 256 32 270.4 32 288v12.18l151 113.8c5.25 3.719 12.7 3.734 18.27-.25L352 300.2V288C352 270.4 337.6 256 320 256zM480 224v64h64V224H480z"]],
    "equals": [448, 512, [62764], "3d", ["M48 192h352c17.69 0 32-14.32 32-32s-14.31-31.1-32-31.1h-352c-17.69 0-32 14.31-32 31.1S30.31 192 48 192zM400 320h-352c-17.69 0-32 14.31-32 31.1s14.31 32 32 32h352c17.69 0 32-14.32 32-32S417.7 320 400 320z", ""]],
    "eraser": [512, 512, [], "f12d", ["M355.9 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H150.6C133.7 480 117.4 473.3 105.4 461.3L25.37 381.3C.3786 356.3 .3786 315.7 25.37 290.7L150.1 166.1L195.3 211.3L70.63 336L150.6 416H265.4L332.7 348.7L377.9 393.9L355.9 416z", "M150.1 166.1L258.7 57.37C283.7 32.38 324.3 32.38 349.3 57.37L486.6 194.7C511.6 219.7 511.6 260.3 486.6 285.3L377.9 393.9L150.1 166.1z"]],
    "escalator": [640, 512, [], "e171", ["M560 128H448c-19.38 0-38.09 7.031-52.69 19.8L161.9 352H80C35.81 352 0 387.8 0 432S35.81 512 80 512H192c19.38 0 38.09-7.031 52.69-19.8L478.1 288H560C604.2 288 640 252.2 640 208S604.2 128 560 128zM240 96C266.5 95.9 288 74.46 288 48C288 21.54 266.5 .0996 240 0C213.5 .0996 192 21.54 192 48C192 74.46 213.5 95.9 240 96z", "M240 128c-35.35 0-64 28.65-64 64v105.2l127.4-111.4C300.2 153.4 273.2 128 240 128z"]],
    "ethernet": [512, 512, [], "f796", ["M512 208v224c0 8.75-7.25 16-16 16H416v-128h-32v128h-64v-128h-32v128H224v-128H192v128H128v-128H96v128H16C7.25 448 0 440.8 0 432v-224C0 199.2 7.25 192 16 192H64V144C64 135.2 71.25 128 80 128H128V80C128 71.25 135.2 64 144 64h224C376.8 64 384 71.25 384 80V128h48C440.8 128 448 135.2 448 144V192h48C504.8 192 512 199.2 512 208z", "M96 448h32v-128H96V448zM192 448h32v-128H192V448zM288 448h32v-128h-32V448zM384 320v128h32v-128H384z"]],
    "euro-sign": [384, 512, [8364, "eur", "euro"], "f153", ["M92.29 336H64C46.33 336 32 321.7 32 304C32 286.3 46.33 272 64 272H80.15C80.96 294.4 85.18 315.9 92.29 336H92.29zM144.2 272H288C305.7 272 320 286.3 320 304C320 321.7 305.7 336 288 336H162.1C151.7 316.8 145.4 295.1 144.2 272H144.2zM162.1 176H288C305.7 176 320 190.3 320 208C320 225.7 305.7 240 288 240H144.2C145.4 216.9 151.7 195.2 162.1 176H162.1zM80.15 240H64C46.33 240 32 225.7 32 208C32 190.3 46.33 176 64 176H92.29C85.18 196.1 80.96 217.6 80.15 240H80.15z", "M80 248C80 128.7 176.7 32 296 32H320C337.7 32 352 46.33 352 64C352 81.67 337.7 96 320 96H296C212.1 96 144 164.1 144 248V264C144 347.9 212.1 416 296 416H320C337.7 416 352 430.3 352 448C352 465.7 337.7 480 320 480H296C176.7 480 80 383.3 80 264V248z"]],
    "exclamation": [128, 512, [10069, 10071, 61738], "21", ["M64 400c-22.09 0-40 17.91-40 40s17.91 39.1 40 39.1s40-17.9 40-39.1S86.09 400 64 400z", "M64 352c17.69 0 32-14.32 32-31.1V64.01c0-17.67-14.31-32.01-32-32.01S32 46.34 32 64.01v255.1C32 337.7 46.31 352 64 352z"]],
    "expand": [448, 512, [], "f065", ["M416 32h-96c-17.69 0-32 14.31-32 32s14.31 32 32 32h64v64c0 17.69 14.31 32 32 32s32-14.31 32-32V64C448 46.31 433.7 32 416 32zM128 416H64v-64c0-17.69-14.31-32-32-32s-32 14.31-32 32v96c0 17.69 14.31 32 32 32h96c17.69 0 32-14.31 32-32S145.7 416 128 416z", "M128 32H32C14.31 32 0 46.31 0 64v96c0 17.69 14.31 32 32 32s32-14.31 32-32V96h64c17.69 0 32-14.31 32-32S145.7 32 128 32zM416 320c-17.69 0-32 14.31-32 32v64h-64c-17.69 0-32 14.31-32 32s14.31 32 32 32h96c17.69 0 32-14.31 32-32v-96C448 334.3 433.7 320 416 320z"]],
    "expand-wide": [512, 512, [], "f320", ["M480 64h-96c-17.69 0-32 14.31-32 32s14.31 32 32 32h64v64c0 17.69 14.31 32 32 32s32-14.31 32-32V96C512 78.31 497.7 64 480 64zM128 384H64v-64c0-17.69-14.31-32-32-32s-32 14.31-32 32v96c0 17.69 14.31 32 32 32h96c17.69 0 32-14.31 32-32S145.7 384 128 384z", "M128 64H32C14.31 64 0 78.31 0 96v96c0 17.69 14.31 32 32 32s32-14.31 32-32V128h64c17.69 0 32-14.31 32-32S145.7 64 128 64zM480 288c-17.69 0-32 14.31-32 32v64h-64c-17.69 0-32 14.31-32 32s14.31 32 32 32h96c17.69 0 32-14.31 32-32v-96C512 302.3 497.7 288 480 288z"]],
    "explosion": [576, 512, [], "e4e9", ["M499.6 11.33C506.3 .6026 520.1-3.119 531.3 2.822C542.4 8.762 547.1 22.33 541.9 33.85L404.8 338.6C406.9 340.9 409 343.3 411.1 345.7L508.2 291.1C518.7 285.2 531.9 287.9 539.1 297.5C546.4 307.1 545.4 320.5 536.1 328.1L445.6 420.3C447.2 429.3 448 438.6 448 448H384C384 394.1 341 352 288 352C234.1 352 192 394.1 192 448H128C128 439.9 128.6 432 129.8 424.3L42.34 363.7C32.59 356.1 29.23 344.1 34.43 333.5C39.64 322.8 51.84 317.6 63.16 321.1L160.4 351.5C163.3 347.6 166.5 343.8 169.7 340.2L107.4 236.4C101.4 226.3 103.5 213.3 112.5 205.7C121.5 198.1 134.7 198.1 143.6 205.8L246 293.6C247.5 293.2 249 292.8 250.5 292.4L264.1 149.7C265.3 137.4 275.6 128 288 128C300.4 128 310.7 137.4 311.9 149.7L325.4 291.6L499.6 11.33zM288 .0032C301.3 .0032 312 10.75 312 24V72C312 85.26 301.3 96 288 96C274.7 96 264 85.26 264 72V24C264 10.75 274.7 .0032 288 .0032V.0032z", "M0 480C0 462.3 14.33 448 32 448H544C561.7 448 576 462.3 576 480C576 497.7 561.7 512 544 512H32C14.33 512 0 497.7 0 480z"]],
    "eye": [576, 512, [128065], "f06e", ["M95.42 112.6C142.5 68.84 207.2 32 288 32C368.8 32 433.5 68.84 480.6 112.6C527.4 156 558.7 207.1 573.5 243.7C576.8 251.6 576.8 260.4 573.5 268.3C558.7 304 527.4 355.1 480.6 399.4C433.5 443.2 368.8 480 288 480C207.2 480 142.5 443.2 95.42 399.4C48.62 355.1 17.34 304 2.461 268.3C-.8205 260.4-.8205 251.6 2.461 243.7C17.34 207.1 48.62 156 95.42 112.6V112.6zM288 400C367.5 400 432 335.5 432 256C432 176.5 367.5 112 288 112C208.5 112 144 176.5 144 256C144 335.5 208.5 400 288 400z", "M224 256C259.3 256 288 227.3 288 192C288 180.5 284.1 169.7 279.6 160.4C282.4 160.1 285.2 160 288 160C341 160 384 202.1 384 256C384 309 341 352 288 352C234.1 352 192 309 192 256C192 253.2 192.1 250.4 192.4 247.6C201.7 252.1 212.5 256 224 256z"]],
    "eye-dropper": [512, 512, ["eye-dropper-empty", "eyedropper"], "f1fb", ["M244 225.3L100.7 368.6C97.69 371.6 96 375.6 96 379.9V416H132.1C136.4 416 140.4 414.3 143.4 411.3L286.7 268L332 313.3L188.7 456.6C173.7 471.6 153.3 480 132.1 480H89.69L49.75 506.6C37.06 515.1 20.16 513.4 9.373 502.6C-1.413 491.8-3.086 474.9 5.375 462.2L32 422.3V379.9C32 358.7 40.43 338.3 55.43 323.3L198.7 180L244 225.3z", "M240.1 130.8L341.6 29.23C380.6-9.744 443.8-9.744 482.8 29.23C521.7 68.21 521.7 131.4 482.8 170.4L381.2 271.9L390.6 281.4C403.1 293.9 403.1 314.1 390.6 326.6C378.1 339.1 357.9 339.1 345.4 326.6L185.4 166.6C172.9 154.1 172.9 133.9 185.4 121.4C197.9 108.9 218.1 108.9 230.6 121.4L240.1 130.8z"]],
    "eye-dropper-full": [512, 512, [], "e172", ["M244 225.3L100.7 368.6C97.69 371.6 96 375.6 96 379.9V416H132.1C136.4 416 140.4 414.3 143.4 411.3L286.7 268L332 313.3L188.7 456.6C173.7 471.6 153.3 480 132.1 480H89.69L49.75 506.6C37.06 515.1 20.16 513.4 9.372 502.6C-1.414 491.8-3.087 474.9 5.374 462.2L32 422.3V379.9C32 358.7 40.43 338.3 55.43 323.3L198.7 180L244 225.3z", "M482.8 29.23C521.7 68.21 521.7 131.4 482.8 170.4L381.2 271.9L390.6 281.4C403.1 293.9 403.1 314.1 390.6 326.6C378.1 339.1 357.9 339.1 345.4 326.6L185.4 166.6C172.9 154.1 172.9 133.9 185.4 121.4C197.9 108.9 218.1 108.9 230.6 121.4L240.1 130.8L341.6 29.23C380.6-9.744 443.8-9.744 482.8 29.23L482.8 29.23zM132.1 416H96V379.9C96 375.6 97.69 371.6 100.7 368.6L218.6 250.6L261.4 293.4L143.4 411.3C140.4 414.3 136.4 416 132.1 416L132.1 416z"]],
    "eye-dropper-half": [512, 512, [], "e173", ["M244 225.3L100.7 368.6C97.69 371.6 96 375.6 96 379.9V416H132.1C136.4 416 140.4 414.3 143.4 411.3L286.7 268L332 313.3L188.7 456.6C173.7 471.6 153.3 480 132.1 480H89.69L49.75 506.6C37.06 515.1 20.16 513.4 9.372 502.6C-1.414 491.8-3.087 474.9 5.374 462.2L32 422.3V379.9C32 358.7 40.43 338.3 55.43 323.3L198.7 180L244 225.3z", "M482.8 29.23C521.7 68.21 521.7 131.4 482.8 170.4L381.2 271.9L390.6 281.4C403.1 293.9 403.1 314.1 390.6 326.6C378.1 339.1 357.9 339.1 345.4 326.6L185.4 166.6C172.9 154.1 172.9 133.9 185.4 121.4C197.9 108.9 218.1 108.9 230.6 121.4L240.1 130.8L341.6 29.23C380.6-9.744 443.8-9.744 482.8 29.23L482.8 29.23zM132.1 416H96V379.9C96 375.6 97.69 371.6 100.7 368.6L149.3 320H234.7L143.4 411.3C140.4 414.3 136.4 416 132.1 416H132.1z"]],
    "eye-evil": [640, 512, [], "f6db", ["M344.3 222.1c4.952 10.57 7.626 22.2 7.715 33.87c-.49 42.66-32 64-32 64S288.5 298.7 287.1 256C288.1 244.3 290.7 232.7 295.7 222.1c8.072 1.167 16.15 1.88 24.29 1.88C328.1 224 336.2 223.3 344.3 222.1z", "M626.1 239.1l-111.1-30.35c-4.79-6.56-10.06-13.31-16.04-20.36c1.35-2.07 55.22-88.04 55.22-88.04c1.861-2.97 2.658-6.013 2.658-8.984c0-9.355-8.289-17.68-18.43-17.68c-2.18 0-4.408 .3651-6.702 1.197l-119.7 43.37c-9.884-4.876-20.2-9.041-30.71-12.35l-44.45-95.17C333.5 3.599 326.8 0 319.1 0C313.2 0 306.5 3.599 303.1 10.75L258.7 105.9c-10.52 3.3-20.83 7.465-30.72 12.35L108.2 74.92C105.9 74.08 103.7 73.73 101.5 73.73c-10.15 0-18.4 8.278-18.4 17.65c0 2.964 .8058 6.031 2.65 8.994c0 0 53.88 85.96 55.22 88.04c-5.62 6.62-10.91 13.34-16.04 20.36L13.01 239.1C4.364 241.5-.0001 248.7-.0001 256c0 7.288 4.364 14.55 13.01 16.89l111.1 30.35c4.78 6.54 10.02 13.3 15.98 20.33c-1.34 2.09-55.16 88.06-55.16 88.06c-1.857 2.974-2.656 6.03-2.656 9.003c0 9.371 8.276 17.67 18.42 17.67c2.179 0 4.419-.3672 6.712-1.199l119.7-43.37c9.888 4.881 20.2 9.046 30.72 12.35l44.45 95.16C306.5 508.4 313.2 512 319.1 512s13.53-3.599 16.87-10.75l44.45-95.16c10.52-3.301 20.83-7.466 30.71-12.35l119.7 43.37c2.288 .8284 4.534 1.195 6.709 1.195c10.16 0 18.43-8.309 18.43-17.68c0-2.963-.8088-6.029-2.656-8.987c0 0-53.82-86.01-55.16-88.06c6-7 11.2-13.79 15.98-20.33l111.1-30.35c8.64-2.339 13.01-9.604 13.01-16.89C640 248.7 635.6 241.5 626.1 239.1zM319.1 352C319.1 352 319.1 352 319.1 352c-53 0-96.01-42.96-96.01-95.1c0-18.88 5.549-37.34 15.99-53.08c21.92 13.18 49.71 21.08 79.99 21.08c30.28 0 57.97-7.988 79.89-21.17c10.84 16.33 16.13 34.89 16.13 53.12C415.1 309.8 372.4 352 319.1 352z"]],
    "eye-low-vision": [640, 512, ["low-vision"], "f2a8", ["M605.5 268.3C592.1 300.6 565.2 346.1 525.7 386.7L446.6 324.7C457.7 304.3 464 280.9 464 256C464 176.5 399.5 112 320 112C282.7 112 248.6 126.2 223.1 149.5L150.7 92.77C195 58.27 251.8 32 320 32C400.8 32 465.5 68.84 512.6 112.6C559.4 156 590.7 207.1 605.5 243.7C608.8 251.6 608.8 260.4 605.5 268.3zM416 256C416 269.7 413.1 282.7 407.1 294.5L313.4 220.3C317.6 211.8 320 202.2 320 192C320 180.5 316.1 169.7 311.6 160.4C314.4 160.1 317.2 160 320 160C373 160 416 202.1 416 256V256z", "M630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1zM329.2 479.8C326.1 479.9 323.1 480 320 480C239.2 480 174.5 443.2 127.4 399.4C80.62 355.1 49.34 304 34.46 268.3C31.74 261.8 31.27 254.5 33.08 247.8L329.2 479.8zM54.65 203.7C62.6 190.1 72.08 175.8 83.09 161.5L446.2 447.5C429.8 456.4 412.3 463.8 393.6 469.4L54.65 203.7z"]],
    "eye-slash": [640, 512, [], "f070", ["M446.6 324.7C457.7 304.3 464 280.9 464 256C464 176.5 399.5 112 320 112C282.7 112 248.6 126.2 223.1 149.5L150.7 92.77C195 58.27 251.8 32 320 32C400.8 32 465.5 68.84 512.6 112.6C559.4 156 590.7 207.1 605.5 243.7C608.8 251.6 608.8 260.4 605.5 268.3C592.1 300.6 565.2 346.1 525.6 386.7L446.6 324.7zM313.4 220.3C317.6 211.8 320 202.2 320 192C320 180.5 316.1 169.7 311.6 160.4C314.4 160.1 317.2 160 320 160C373 160 416 202.1 416 256C416 269.7 413.1 282.7 407.1 294.5L313.4 220.3zM320 480C239.2 480 174.5 443.2 127.4 399.4C80.62 355.1 49.34 304 34.46 268.3C31.18 260.4 31.18 251.6 34.46 243.7C44 220.8 60.29 191.2 83.09 161.5L177.4 235.8C176.5 242.4 176 249.1 176 256C176 335.5 240.5 400 320 400C338.7 400 356.6 396.4 373 389.9L446.2 447.5C409.9 467.1 367.8 480 320 480H320z", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "eyes": [640, 512, [], "e367", ["M96 224C84.1 224 74.8 227 65.76 231.9C64.88 239.8 64 247.8 64 256c0 35.43 8.863 68.25 23.12 95.11C90.05 351.5 92.96 352 96 352c35.35 0 64-28.65 64-64C160 252.7 131.3 224 96 224zM384 224c-11 0-21.2 3.031-30.24 7.922C352.9 239.8 352 247.8 352 256c0 35.43 8.863 68.25 23.12 95.11C378.1 351.5 380.1 352 384 352c35.35 0 64-28.65 64-64C448 252.7 419.3 224 384 224z", "M464 32c-59.59 0-112.2 37.79-144 95.46C288.2 69.79 235.6 32 176 32C78.8 32 0 132.3 0 256s78.8 224 176 224c59.59 0 112.2-37.79 144-95.46C351.8 442.2 404.4 480 464 480c97.2 0 176-100.3 176-224S561.2 32 464 32zM176 416C115.3 416 64 342.7 64 256s51.29-160 112-160S288 169.3 288 256S236.7 416 176 416zM464 416c-60.71 0-112-73.27-112-160s51.29-160 112-160S576 169.3 576 256S524.7 416 464 416z"]],
    "f": [320, 512, [102], "46", ["M320 64.01c0 17.67-14.33 32-32 32H64v128h160c17.67 0 32 14.32 32 31.1s-14.33 32-32 32H64v160c0 17.67-14.33 32-32 32s-32-14.33-32-32v-384C0 46.34 14.33 32.01 32 32.01h256C305.7 32.01 320 46.34 320 64.01z", ""]],
    "face-angry": [512, 512, [128544, "angry"], "f556", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM339.9 373.3C323.8 355.4 295.7 336 256 336C216.3 336 188.2 355.4 172.1 373.3C166.2 379.9 166.7 389.1 173.3 395.9C179.9 401.8 189.1 401.3 195.9 394.7C207.6 381.7 227.5 368 255.1 368C284.5 368 304.4 381.7 316.1 394.7C322 401.3 332.1 401.8 338.7 395.9C345.3 389.1 345.8 379.9 339.9 373.3H339.9zM176.4 272C194 272 208.4 257.7 208.4 240C208.4 238.5 208.3 237 208.1 235.6L218.9 239.2C227.3 241.1 236.4 237.4 239.2 229.1C241.1 220.7 237.4 211.6 229.1 208.8L133.1 176.8C124.7 174 115.6 178.6 112.8 186.9C110 195.3 114.6 204.4 122.9 207.2L153.7 217.4C147.9 223.2 144.4 231.2 144.4 240C144.4 257.7 158.7 272 176.4 272zM358.9 217.2L389.1 207.2C397.4 204.4 401.1 195.3 399.2 186.9C396.4 178.6 387.3 174 378.9 176.8L282.9 208.8C274.6 211.6 270 220.7 272.8 229.1C275.6 237.4 284.7 241.1 293.1 239.2L304.7 235.3C304.5 236.8 304.4 238.4 304.4 240C304.4 257.7 318.7 272 336.4 272C354 272 368.4 257.7 368.4 240C368.4 231.1 364.7 223 358.9 217.2H358.9z", "M229.1 208.8C237.4 211.6 241.1 220.7 239.2 229.1C236.4 237.4 227.3 241.1 218.9 239.2L208.1 235.6C208.3 237 208.4 238.5 208.4 240C208.4 257.7 194 272 176.4 272C158.7 272 144.4 257.7 144.4 240C144.4 231.2 147.9 223.2 153.7 217.4L122.9 207.2C114.6 204.4 110 195.3 112.8 186.9C115.6 178.6 124.7 174 133.1 176.8L229.1 208.8zM358.9 217.2C364.7 223 368.4 231.1 368.4 240C368.4 257.7 354 272 336.4 272C318.7 272 304.4 257.7 304.4 240C304.4 238.4 304.5 236.8 304.7 235.3L293.1 239.2C284.7 241.1 275.6 237.4 272.8 229.1C270 220.7 274.6 211.6 282.9 208.8L378.9 176.8C387.3 174 396.4 178.6 399.2 186.9C401.1 195.3 397.4 204.4 389.1 207.2L358.9 217.2z"]],
    "face-angry-horns": [640, 512, [], "e368", ["M576 256C576 397.4 461.4 512 320 512C178.6 512 64 397.4 64 256C64 114.6 178.6 0 320 0C461.4 0 576 114.6 576 256zM403.9 389.3C387.8 371.4 359.7 352 320 352C280.3 352 252.2 371.4 236.1 389.3C230.2 395.9 230.7 405.1 237.3 411.9C243.9 417.8 253.1 417.3 259.9 410.7C271.6 397.7 291.5 384 319.1 384C348.5 384 368.4 397.7 380.1 410.7C386 417.3 396.1 417.8 402.7 411.9C409.3 405.1 409.8 395.9 403.9 389.3H403.9zM240.4 304C258 304 272.4 289.7 272.4 272C272.4 270.5 272.3 269 272.1 267.6L282.9 271.2C291.3 273.1 300.4 269.4 303.2 261.1C305.1 252.7 301.4 243.6 293.1 240.8L197.1 208.8C188.7 206 179.6 210.6 176.8 218.9C174 227.3 178.6 236.4 186.9 239.2L217.7 249.4C211.9 255.2 208.4 263.2 208.4 272C208.4 289.7 222.7 304 240.4 304V304zM422.9 249.2L453.1 239.2C461.4 236.4 465.1 227.3 463.2 218.9C460.4 210.6 451.3 206 442.9 208.8L346.9 240.8C338.6 243.6 334 252.7 336.8 261.1C339.6 269.4 348.7 273.1 357.1 271.2L368.7 267.3C368.5 268.8 368.4 270.4 368.4 271.1C368.4 289.7 382.7 303.1 400.4 303.1C418 303.1 432.4 289.7 432.4 271.1C432.4 263.1 428.7 255 422.9 249.2L422.9 249.2z", "M566.1 185.1C550.5 131 517.6 84.28 473.8 51.3C490.8 47.99 513.5 42.74 536.8 35.78C566.6 26.86 595.8 15.55 615.1 2.687C620.5-.9025 627.5-.8952 632.9 2.706C638.3 6.307 640.1 12.79 639.7 19.14C633.5 50.11 610.4 125.8 566.1 185.1V185.1zM103.3 35.78C126.5 42.74 149.2 47.99 166.2 51.3C122.4 84.28 89.5 131 73.94 185.1C29.62 125.8 6.507 50.11 .3114 19.14C-.9577 12.79 1.721 6.307 7.098 2.706C12.47-.8948 19.49-.9022 24.88 2.688C44.17 15.55 73.41 26.86 103.3 35.78V35.78zM208.4 272C208.4 263.2 211.9 255.2 217.7 249.4L186.9 239.2C178.6 236.4 174 227.3 176.8 218.9C179.6 210.6 188.7 206 197.1 208.8L293.1 240.8C301.4 243.6 305.1 252.7 303.2 261.1C300.4 269.4 291.3 273.1 282.9 271.2L272.1 267.6C272.3 269 272.4 270.5 272.4 272C272.4 289.7 258 304 240.4 304C222.7 304 208.4 289.7 208.4 272L208.4 272zM432.4 272C432.4 289.7 418 304 400.4 304C382.7 304 368.4 289.7 368.4 272C368.4 270.4 368.5 268.8 368.7 267.3L357.1 271.2C348.7 273.1 339.6 269.4 336.8 261.1C334 252.7 338.6 243.6 346.9 240.8L442.9 208.8C451.3 206 460.4 210.6 463.2 218.9C465.1 227.3 461.4 236.4 453.1 239.2L422.9 249.2C428.7 255 432.4 263.1 432.4 272L432.4 272z"]],
    "face-anguished": [512, 512, [], "e369", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 320C211.8 320 176 355.8 176 400C176 408.8 183.2 416 192 416H320C328.8 416 336 408.8 336 400C336 355.8 300.2 320 256 320zM176.4 192C158.7 192 144.4 206.3 144.4 224C144.4 241.7 158.7 256 176.4 256C194 256 208.4 241.7 208.4 224C208.4 206.3 194 192 176.4 192zM336.4 256C354 256 368.4 241.7 368.4 224C368.4 206.3 354 192 336.4 192C318.7 192 304.4 206.3 304.4 224C304.4 241.7 318.7 256 336.4 256zM208 112C208 103.2 200.8 96 192 96C186.2 96 180.4 96.38 174.8 97.13C146.6 100.9 121.1 113.6 101.1 132.3C94.62 138.3 94.28 148.5 100.3 154.9C106.3 161.4 116.5 161.7 122.9 155.7C138.4 141.2 157.8 131.7 178.1 128.9C183.2 128.3 187.6 128 192 128C200.8 128 208 120.8 208 112zM389.1 155.7C395.5 161.7 405.7 161.4 411.7 154.9C417.7 148.5 417.4 138.3 410.9 132.3C390.9 113.6 365.4 100.9 337.2 97.13C331.6 96.38 325.8 96 320 96C311.2 96 304 103.2 304 112C304 120.8 311.2 128 320 128C324.4 128 328.8 128.3 333 128.9C354.2 131.7 373.6 141.2 389.1 155.7z", "M192 128C187.6 128 183.2 128.3 178.1 128.9C157.8 131.7 138.4 141.2 122.9 155.7C116.5 161.7 106.3 161.4 100.3 154.9C94.28 148.5 94.62 138.3 101.1 132.3C121.1 113.6 146.6 100.9 174.8 97.13C180.4 96.38 186.2 96 192 96C200.8 96 208 103.2 208 112C208 120.8 200.8 128 192 128zM144.4 224C144.4 206.3 158.7 192 176.4 192C194 192 208.4 206.3 208.4 224C208.4 241.7 194 256 176.4 256C158.7 256 144.4 241.7 144.4 224zM304.4 224C304.4 206.3 318.7 192 336.4 192C354 192 368.4 206.3 368.4 224C368.4 241.7 354 256 336.4 256C318.7 256 304.4 241.7 304.4 224zM333 128.9C328.8 128.3 324.4 128 320 128C311.2 128 304 120.8 304 112C304 103.2 311.2 96 320 96C325.8 96 331.6 96.38 337.2 97.13C365.4 100.9 390.9 113.6 410.9 132.3C417.4 138.3 417.7 148.5 411.7 154.9C405.7 161.4 395.5 161.7 389.1 155.7C373.6 141.2 354.2 131.7 333 128.9z"]],
    "face-anxious-sweat": [576, 512, [], "e36a", ["M99.62 429.3C116.9 414.1 128 393.5 128 369C128 357.6 124.2 346.6 120.9 338.5C117.2 329.8 112.5 320.9 107.7 312.8C98.1 296.7 86.98 281.3 80.01 272.1C68.39 256.5 48.28 252.2 32.02 259.3C32.01 258.2 32 257.1 32 256C32 114.6 146.6 0 288 0C429.4 0 544 114.6 544 256C544 397.4 429.4 512 288 512C213.5 512 146.4 480.2 99.62 429.3V429.3zM224 416H352C360.8 416 368 408.8 368 400C368 355.8 332.2 319.1 288 319.1C243.8 319.1 208 355.8 208 400C208 408.8 215.2 416 224 416zM399.6 271.1C399.6 254.3 385.3 239.1 367.6 239.1C349.1 239.1 335.6 254.3 335.6 271.1C335.6 289.7 349.1 303.1 367.6 303.1C385.3 303.1 399.6 289.7 399.6 271.1zM175.6 271.1C175.6 289.7 189.1 303.1 207.6 303.1C225.3 303.1 239.6 289.7 239.6 271.1C239.6 254.3 225.3 239.1 207.6 239.1C189.1 239.1 175.6 254.3 175.6 271.1zM227.3 171.3C233.6 165.1 233.6 154.9 227.3 148.7C221.1 142.4 210.9 142.4 204.7 148.7L197.3 156.1C178.5 174.9 154.2 187.4 127.9 191.8L125.4 192.2C116.7 193.7 110.8 201.9 112.2 210.6C113.7 219.3 121.9 225.2 130.6 223.8L133.1 223.4C166 217.9 196.4 202.3 219.9 178.7L227.3 171.3zM348.7 148.7C342.4 154.9 342.4 165.1 348.7 171.3L356.1 178.7C379.6 202.3 409.1 217.9 442.9 223.4L445.4 223.8C454.1 225.2 462.3 219.3 463.8 210.6C465.2 201.9 459.3 193.7 450.6 192.2L448.2 191.8C421.8 187.4 397.5 174.9 378.7 156.1L371.3 148.7C365.1 142.4 354.9 142.4 348.7 148.7z", "M219.9 178.7C196.4 202.3 166 217.9 133.1 223.4L130.6 223.8C121.9 225.2 113.7 219.3 112.2 210.6C110.8 201.9 116.7 193.7 125.4 192.2L127.9 191.8C154.2 187.4 178.5 174.9 197.3 156.1L204.7 148.7C210.9 142.4 221.1 142.4 227.3 148.7C233.6 154.9 233.6 165.1 227.3 171.3L219.9 178.7zM207.6 240C225.3 240 239.6 254.3 239.6 272C239.6 289.7 225.3 304 207.6 304C189.1 304 175.6 289.7 175.6 272C175.6 254.3 189.1 240 207.6 240zM367.6 240C385.3 240 399.6 254.3 399.6 272C399.6 289.7 385.3 304 367.6 304C349.1 304 335.6 289.7 335.6 272C335.6 254.3 349.1 240 367.6 240zM371.3 148.7L378.7 156.1C397.5 174.9 421.8 187.4 448.2 191.8L450.6 192.2C459.3 193.7 465.2 201.9 463.8 210.6C462.3 219.3 454.1 225.2 445.4 223.8L442.9 223.4C409.1 217.9 379.6 202.3 356.1 178.7L348.7 171.3C342.4 165.1 342.4 154.9 348.7 148.7C354.9 142.4 365.1 142.4 371.3 148.7zM48 416C21.54 416 0 395 0 369C0 349 28.55 308.6 41.6 291.3C44.8 286.9 51.2 286.9 54.4 291.3C67.57 308.6 95.1 349 95.1 369C95.1 395 74.46 416 47.1 416H48z"]],
    "face-astonished": [512, 512, [], "e36b", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 304C229.5 304 208 325.5 208 352V384C208 410.5 229.5 432 256 432C282.5 432 304 410.5 304 384V352C304 325.5 282.5 304 256 304zM176.4 192C158.7 192 144.4 206.3 144.4 224C144.4 241.7 158.7 256 176.4 256C194 256 208.4 241.7 208.4 224C208.4 206.3 194 192 176.4 192zM336.4 256C354 256 368.4 241.7 368.4 224C368.4 206.3 354 192 336.4 192C318.7 192 304.4 206.3 304.4 224C304.4 241.7 318.7 256 336.4 256zM208 112C208 103.2 200.8 96 192 96C186.2 96 180.4 96.38 174.8 97.13C146.6 100.9 121.1 113.6 101.1 132.3C94.62 138.3 94.28 148.5 100.3 154.9C106.3 161.4 116.5 161.7 122.9 155.7C138.4 141.2 157.8 131.7 178.1 128.9C183.2 128.3 187.6 128 192 128C200.8 128 208 120.8 208 112zM389.1 155.7C395.5 161.7 405.7 161.4 411.7 154.9C417.7 148.5 417.4 138.3 410.9 132.3C390.9 113.6 365.4 100.9 337.2 97.13C331.6 96.38 325.8 96 320 96C311.2 96 304 103.2 304 112C304 120.8 311.2 128 320 128C324.4 128 328.8 128.3 333 128.9C354.2 131.7 373.6 141.2 389.1 155.7z", "M192 128C187.6 128 183.2 128.3 178.1 128.9C157.8 131.7 138.4 141.2 122.9 155.7C116.5 161.7 106.3 161.4 100.3 154.9C94.28 148.5 94.62 138.3 101.1 132.3C121.1 113.6 146.6 100.9 174.8 97.13C180.4 96.38 186.2 96 192 96C200.8 96 208 103.2 208 112C208 120.8 200.8 128 192 128zM144.4 224C144.4 206.3 158.7 192 176.4 192C194 192 208.4 206.3 208.4 224C208.4 241.7 194 256 176.4 256C158.7 256 144.4 241.7 144.4 224zM304.4 224C304.4 206.3 318.7 192 336.4 192C354 192 368.4 206.3 368.4 224C368.4 241.7 354 256 336.4 256C318.7 256 304.4 241.7 304.4 224zM333 128.9C328.8 128.3 324.4 128 320 128C311.2 128 304 120.8 304 112C304 103.2 311.2 96 320 96C325.8 96 331.6 96.38 337.2 97.13C365.4 100.9 390.9 113.6 410.9 132.3C417.4 138.3 417.7 148.5 411.7 154.9C405.7 161.4 395.5 161.7 389.1 155.7C373.6 141.2 354.2 131.7 333 128.9z"]],
    "face-awesome": [512, 512, ["gave-dandy"], "e409", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM144 120C108.7 120 80 148.7 80 184V194.3C80 210.7 93.3 224 109.7 224H178.3C194.7 224 208 210.7 208 194.3V184C208 148.7 179.3 120 144 120zM272 199.5C272 213 282.1 224 296.5 224H391.5C405 224 416 213 416 199.5V192C416 152.2 383.8 120 344 120C304.2 120 272 152.2 272 192L272 199.5zM116.3 288C105.9 288 98.14 297.6 100.4 307.8C116.5 380.4 181.7 432 256 432C330.3 432 395.5 380.4 411.6 307.8C413.9 297.6 406.1 288 395.7 288H116.3z", "M153.1 120.8C176.6 124.3 195.3 139.7 203.5 160.4C197.9 169.7 187.7 175.1 175.1 175.1C158.3 175.1 143.1 161.7 143.1 143.1C143.1 134.9 147.8 126.6 153.1 120.8H153.1zM360.8 121.1C382.8 127.2 400.9 142.6 409.9 162.9C404 170.8 394.6 176 384 176C366.3 176 352 161.7 352 144C352 135.5 355.3 127.7 360.8 121.1zM100.4 307.8C98.14 297.6 105.9 288 116.3 288H395.7C406.1 288 413.9 297.6 411.6 307.8C406.6 330.1 397 350.5 383.9 367.1C370.6 357.9 353.1 352 335.1 352C291.8 352 255.1 387.8 255.1 432C181.7 432 116.5 380.4 100.4 307.8V307.8z"]],
    "face-beam-hand-over-mouth": [512, 512, [129325], "e47c", ["M512 256C512 369.1 438.7 465.1 336.9 498.9L385.9 449.9C404.1 431.8 404.7 402.8 387.8 384C404.7 365.2 404.1 336.2 385.9 318.1C384.9 317 383.8 316 382.7 315.1C386.4 299.4 382.2 282.3 369.9 270.1C357.7 257.8 340.6 253.6 324.9 257.3C323.1 256.2 322.1 255.1 321.9 254.1C303.2 235.3 272.8 235.3 254.1 254.1L206.1 301.1C197.6 287.4 181.9 278.4 164 278.4C135.3 278.4 112 301.7 112 330.4V416.8C112 438.7 117.5 459.3 127.3 477.3C51.17 432.1 0 350.5 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM226.5 215.6C229.8 214.5 232 211.4 232 208C232 190.1 225.3 172.4 215.4 159.2C205.6 146.2 191.5 136 176 136C160.5 136 146.4 146.2 136.6 159.2C126.7 172.4 120 190.1 120 208C120 211.4 122.2 214.5 125.5 215.6C128.7 216.7 132.3 215.6 134.4 212.8L134.4 212.8L134.6 212.5C134.8 212.3 134.1 212 135.3 211.6C135.1 210.8 136.9 209.7 138.1 208.3C140.6 205.4 144.1 201.7 148.3 197.1C157.1 190.2 167.2 184 176 184C184.8 184 194.9 190.2 203.7 197.1C207.9 201.7 211.4 205.4 213.9 208.3C215.1 209.7 216 210.8 216.7 211.6C217 212 217.2 212.3 217.4 212.5L217.6 212.8L217.6 212.8C219.7 215.6 223.3 216.7 226.5 215.6V215.6zM377.6 212.8C379.7 215.6 383.3 216.7 386.5 215.6C389.8 214.5 392 211.4 392 208C392 190.1 385.3 172.4 375.4 159.2C365.6 146.2 351.5 136 336 136C320.5 136 306.4 146.2 296.6 159.2C286.7 172.4 280 190.1 280 208C280 211.4 282.2 214.5 285.5 215.6C288.7 216.7 292.3 215.6 294.4 212.8L294.4 212.8L294.6 212.5C294.8 212.3 294.1 212 295.3 211.6C295.1 210.8 296.9 209.7 298.1 208.3C300.6 205.4 304.1 201.7 308.3 197.1C317.1 190.2 327.2 184 336 184C344.8 184 354.9 190.2 363.7 197.1C367.9 201.7 371.4 205.4 373.9 208.3C375.1 209.7 376 210.8 376.7 211.6C377 212 377.2 212.3 377.4 212.5L377.6 212.8L377.6 212.8z", "M217.6 212.8L217.6 212.8L217.4 212.5C217.2 212.3 217 212 216.7 211.6C216 210.8 215.1 209.7 213.9 208.3C211.4 205.4 207.9 201.7 203.7 197.1C194.9 190.2 184.8 184 176 184C167.2 184 157.1 190.2 148.3 197.1C144.1 201.7 140.6 205.4 138.1 208.3C136.9 209.7 135.1 210.8 135.3 211.6C134.1 212 134.8 212.3 134.6 212.5L134.4 212.8L134.4 212.8C132.3 215.6 128.7 216.7 125.5 215.6C122.2 214.5 120 211.4 120 208C120 190.1 126.7 172.4 136.6 159.2C146.4 146.2 160.5 136 176 136C191.5 136 205.6 146.2 215.4 159.2C225.3 172.4 232 190.1 232 208C232 211.4 229.8 214.5 226.5 215.6C223.3 216.7 219.7 215.6 217.6 212.8V212.8zM248 350.6C245.4 353.2 245.4 357.4 248 360C250.6 362.6 254.8 362.6 257.4 360L324.7 292.7C330.9 286.4 341.1 286.4 347.3 292.7C353.6 298.9 353.6 309.1 347.3 315.3L280 382.6C277.4 385.2 277.4 389.4 280 392C282.6 394.6 286.8 394.6 289.4 392L340.7 340.7C346.9 334.4 357.1 334.4 363.3 340.7C369.6 346.9 369.6 357.1 363.3 363.3L312 414.6C309.4 417.2 309.4 421.4 312 424C314.6 426.6 318.8 426.6 321.4 424L340.7 404.7C346.9 398.4 357.1 398.4 363.3 404.7C369.6 410.9 369.6 421.1 363.3 427.3L306.5 484.1C288.7 501.1 264.4 512 239.2 512C186.6 512 144 469.4 144 416.8V330.4C144 319.4 152.1 310.4 164 310.4C175 310.4 184 319.4 184 330.4V350.1C184 357.2 192.6 360.8 197.7 355.7L276.7 276.7C282.9 270.4 293.1 270.4 299.3 276.7C305.6 282.9 305.6 293.1 299.3 299.3L248 350.6zM377.6 212.8L377.4 212.5C377.2 212.3 377 212 376.7 211.6C376 210.8 375.1 209.7 373.9 208.3C371.4 205.4 367.9 201.7 363.7 197.1C354.9 190.2 344.8 184 336 184C327.2 184 317.1 190.2 308.3 197.1C304.1 201.7 300.6 205.4 298.1 208.3C296.9 209.7 295.1 210.8 295.3 211.6C294.1 212 294.8 212.3 294.6 212.5L294.4 212.8L294.4 212.8C292.3 215.6 288.7 216.7 285.5 215.6C282.2 214.5 280 211.4 280 208C280 190.1 286.7 172.4 296.6 159.2C306.4 146.2 320.5 136 336 136C351.5 136 365.6 146.2 375.4 159.2C385.3 172.4 392 190.1 392 208C392 211.4 389.8 214.5 386.5 215.6C383.3 216.7 379.7 215.6 377.6 212.8L377.6 212.8z"]],
    "face-clouds": [640, 512, [], "e47d", ["M212.7 192C209.9 196.7 208.4 202.2 208.4 208C208.4 225.7 222.7 240 240.4 240C258 240 272.4 225.7 272.4 208C272.4 198.6 268.3 190.1 261.8 184.3C296 169.6 320 135.6 320 96C320 55.77 295.2 21.31 260.1 7.036C279.3 2.436 299.4 0 320 0C461.4 0 576 114.6 576 256C576 270.8 574.7 285.3 572.3 299.5C558.3 287.3 540 280 520 280C509.1 280 500.3 281.9 491.5 285.2C471.6 267.1 445.1 256 416 256C364.6 256 321.2 290.7 308.1 337.9C260.2 347.2 224 389.4 224 440C224 462.5 231.1 483.3 243.3 500.3C139.4 467.7 64 370.6 64 256C64 233.9 66.8 212.5 72.06 192H212.7zM400.4 240C418 240 432.4 225.7 432.4 208C432.4 190.3 418 176 400.4 176C382.7 176 368.4 190.3 368.4 208C368.4 225.7 382.7 240 400.4 240z", "M188.4 42.8C198.6 35.98 210.8 32 224 32C259.3 32 288 60.65 288 96C288 131.3 259.3 160 224 160H64C28.65 160 0 131.3 0 96C0 60.65 28.65 32 64 32H72.56C83.63 12.87 104.3 0 128 0C155.9 0 179.7 17.87 188.4 42.8zM484.9 327.3C493.6 317.9 506.1 312 520 312C546.5 312 568 333.5 568 360C568 362.7 567.8 365.4 567.3 368H568C607.8 368 640 400.2 640 440C640 479.8 607.8 512 568 512H328C288.2 512 256 479.8 256 440C256 400.2 288.2 368 328 368H336C336 323.8 371.8 288 416 288C445.3 288 470.9 303.8 484.9 327.3z"]],
    "face-confounded": [512, 512, [], "e36c", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM118.8 212.8L154.8 256L118.8 299.2C116.1 301.4 116 304.1 116 306.9C116 315.8 125.6 321.6 133.5 317.3L223.4 269.4C234.1 263.7 234.1 248.3 223.4 242.6L133.5 194.7C125.6 190.4 116 196.2 116 205.1C116 207.9 116.1 210.6 118.8 212.8V212.8zM288.6 242.6C277.9 248.3 277.9 263.7 288.6 269.4L378.5 317.3C386.4 321.6 396 315.8 396 306.9C396 304.1 395 301.4 393.2 299.2L357.2 256L393.2 212.8C395 210.6 396 207.9 396 205.1C396 196.2 386.4 190.4 378.5 194.7L288.6 242.6zM216.9 354.7C211.5 351.1 204.5 351.1 199.1 354.7L158.9 381.5L135.2 369.7C127.3 365.7 117.6 368.9 113.7 376.8C109.7 384.7 112.9 394.4 120.8 398.3L152.8 414.3C157.1 416.9 164.1 416.5 168.9 413.3L208 387.2L247.1 413.3C252.5 416.9 259.5 416.9 264.9 413.3L304 387.2L343.1 413.3C347.9 416.5 354 416.9 359.2 414.3L391.2 398.3C399.1 394.4 402.3 384.7 398.3 376.8C394.4 368.9 384.7 365.7 376.8 369.7L353.1 381.5L312.9 354.7C307.5 351.1 300.5 351.1 295.1 354.7L256 380.8L216.9 354.7z", "M116 205.1C116 196.2 125.6 190.4 133.5 194.7L223.4 242.6C234.1 248.3 234.1 263.7 223.4 269.4L133.5 317.3C125.6 321.6 116 315.8 116 306.9C116 304.1 116.1 301.4 118.8 299.2L154.8 256L118.8 212.8C116.1 210.6 116 207.9 116 205.1V205.1zM393.2 212.8L357.2 256L393.2 299.2C395 301.4 396 304.1 396 306.9C396 315.8 386.4 321.6 378.5 317.3L288.6 269.4C277.9 263.7 277.9 248.3 288.6 242.6L378.5 194.7C386.4 190.4 396 196.2 396 205.1C396 207.9 395 210.6 393.2 212.8z"]],
    "face-confused": [512, 512, [], "e36d", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM171.1 395.6C219.3 357 279.3 336 341 336H352C360.8 336 368 328.8 368 320C368 311.2 360.8 304 352 304H341C271.1 304 205 327.5 151.1 370.6L150 371.5C143.1 377 141.1 387.1 147.5 393.1C153 400.9 163.1 402 169.1 396.5L171.1 395.6zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240z", "M144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208zM304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208z"]],
    "face-cowboy-hat": [512, 512, [], "e36e", ["M48 303.1C48 254.6 65.2 209.3 93.93 173.6C136.6 204.9 193.5 223.1 256 223.1C318.5 223.1 375.4 204.9 418.1 173.6C446.8 209.3 464 254.6 464 303.1C464 418.9 370.9 512 256 512C141.1 512 48 418.9 48 303.1zM256.2 376.8C223.5 376.8 192.5 372.5 164.6 364.7C152.2 361.2 140.3 371.1 146 383.5C166.2 424.1 207.1 452 256.2 452C304.5 452 346.2 424.1 366.4 383.5C372.1 371.1 360.2 361.2 347.8 364.7C319.9 372.5 288.9 376.8 256.2 376.8zM192 271.1C178.7 271.1 168 282.7 168 295.1C168 309.3 178.7 319.1 192 319.1C205.3 319.1 216 309.3 216 295.1C216 282.7 205.3 271.1 192 271.1zM320 319.1C333.3 319.1 344 309.3 344 295.1C344 282.7 333.3 271.1 320 271.1C306.7 271.1 296 282.7 296 295.1C296 309.3 306.7 319.1 320 319.1z", "M133.6 109.8C148.6 64.93 179.2 0 216 0C225.1 0 233.9 4.003 242.1 10.71C250.1 17.16 261.9 17.16 269.9 10.71C278.1 4.003 286.9 0 296 0C332.8 0 363.4 64.93 378.4 109.8C411.1 99.32 441.1 84.62 466.9 66.75C469.4 64.98 472.3 64 475.3 64C484.3 64 490.1 72.25 488.2 80.75C461.2 163.2 367.5 224 256 224C144.5 224 50.77 163.2 23.8 80.75C21.02 72.25 27.72 64 36.66 64C39.7 64 42.64 64.99 45.1 66.75C70.04 84.62 100 99.32 133.6 109.8H133.6zM216 296C216 309.3 205.3 320 192 320C178.7 320 168 309.3 168 296C168 282.7 178.7 272 192 272C205.3 272 216 282.7 216 296zM296 295.1C296 282.7 306.7 271.1 320 271.1C333.3 271.1 344 282.7 344 295.1C344 309.3 333.3 319.1 320 319.1C306.7 319.1 296 309.3 296 295.1z"]],
    "face-diagonal-mouth": [512, 512, [129764], "e47e", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM372.4 319.4C380.9 316.1 385.8 308.1 383.4 299.6C380.1 291.1 372.1 286.2 363.6 288.6L139.6 352.6C131.1 355 126.2 363.9 128.6 372.4C131 380.9 139.9 385.8 148.4 383.4L372.4 319.4zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240z", "M144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208zM304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208z"]],
    "face-disappointed": [512, 512, [], "e36f", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM316.1 410.7C322 417.3 332.1 417.8 338.7 411.9C345.3 405.1 345.8 395.9 339.9 389.3C323.8 371.4 295.7 352 255.1 352C216.3 352 188.2 371.4 172.1 389.3C166.2 395.9 166.7 405.1 173.3 411.9C179.9 417.8 189.1 417.3 195.9 410.7C207.6 397.7 227.5 384 255.1 384C284.5 384 304.4 397.7 316.1 410.7H316.1zM211.3 244.7C205.1 238.4 194.9 238.4 188.7 244.7L181.3 252.1C162.5 270.9 138.2 283.4 111.9 287.8L109.4 288.2C100.7 289.7 94.76 297.9 96.22 306.6C97.67 315.3 105.9 321.2 114.6 319.8L117.1 319.4C150 313.9 180.4 298.3 203.9 274.7L211.3 267.3C217.6 261.1 217.6 250.9 211.3 244.7V244.7zM308.1 274.7C331.6 298.3 361.1 313.9 394.9 319.4L397.4 319.8C406.1 321.2 414.3 315.3 415.8 306.6C417.2 297.9 411.3 289.7 402.6 288.2L400.2 287.8C373.8 283.4 349.5 270.9 330.7 252.1L323.3 244.7C317.1 238.4 306.9 238.4 300.7 244.7C294.4 250.9 294.4 261.1 300.7 267.3L308.1 274.7z", "M203.9 274.7C180.4 298.3 150 313.9 117.1 319.4L114.6 319.8C105.9 321.2 97.67 315.3 96.22 306.6C94.77 297.9 100.7 289.7 109.4 288.2L111.9 287.8C138.2 283.4 162.5 270.9 181.3 252.1L188.7 244.7C194.9 238.4 205.1 238.4 211.3 244.7C217.6 250.9 217.6 261.1 211.3 267.3L203.9 274.7zM300.7 267.3C294.4 261.1 294.4 250.9 300.7 244.7C306.9 238.4 317.1 238.4 323.3 244.7L330.7 252.1C349.5 270.9 373.8 283.4 400.2 287.8L402.6 288.2C411.3 289.7 417.2 297.9 415.8 306.6C414.3 315.3 406.1 321.2 397.4 319.8L394.9 319.4C361.1 313.9 331.6 298.3 308.1 274.7L300.7 267.3z"]],
    "face-disguise": [576, 512, [], "e370", ["M544 256C544 397.4 429.4 512 288 512C146.6 512 32 397.4 32 256C32 239.6 33.54 223.5 36.49 208H104C104 258.1 142.4 299.2 191.3 303.6C181.7 311.5 176 323.3 176 336C176 351.9 184.1 366.4 199.1 373.5L179.5 398C173.1 404.9 175.1 414.1 182 420.5C188.9 426 198.1 424.9 204.5 417.1L228.4 388.1L235.7 391.7L225.1 418.1C221.9 426.3 225.9 435.6 234.1 438.9C242.3 442.1 251.6 438.1 254.9 429.9L264.8 405C267.2 405.7 269.6 406.3 271.1 406.8V432C271.1 440.8 279.2 448 287.1 448C296.8 448 304 440.8 304 432V406.8C306.4 406.3 308.8 405.7 311.2 405L321.1 429.9C324.4 438.1 333.7 442.1 341.9 438.9C350.1 435.6 354.1 426.3 350.9 418.1L340.3 391.7L347.6 388.1L371.5 417.1C377 424.9 387.1 426 393.1 420.5C400.9 414.1 402 404.9 396.5 398L376.9 373.5C391 366.4 400 351.9 400 336C400 323.3 394.3 311.5 384.7 303.6C433.6 299.2 472 258.1 472 208H539.5C542.5 223.5 544 239.6 544 256H544zM531.3 176H466.5C461.3 161.1 452.5 147.1 441.1 137.5L446.3 127.2C450.3 119.3 447.1 109.6 439.2 105.7C431.3 101.7 421.6 104.9 417.7 112.8L414.2 119.9C409.6 117.9 404.9 116.3 400 115V96C400 87.16 392.8 80 384 80C375.2 80 368 87.16 368 96V112.3C363.6 112.7 359.3 113.4 355 114.3L350.3 104.8C346.4 96.94 336.7 93.74 328.8 97.69C320.9 101.6 317.7 111.3 321.7 119.2L325.3 126.4C308.9 136.7 295.8 151.7 287.1 169.6C280.2 151.7 267.1 136.7 250.7 126.4L254.3 119.2C258.3 111.3 255.1 101.6 247.2 97.69C239.3 93.74 229.6 96.94 225.7 104.8L220.1 114.3C216.7 113.4 212.4 112.7 207.1 112.3V96C207.1 87.16 200.8 80 191.1 80C183.2 80 175.1 87.16 175.1 96V115C171.1 116.3 166.4 117.9 161.8 119.9L158.3 112.8C154.4 104.9 144.7 101.7 136.8 105.7C128.9 109.6 125.7 119.3 129.7 127.2L134.9 137.5C123.5 147.1 114.7 161.1 109.5 176H44.75C78.34 73.79 174.6 0 287.1 0C401.4 0 497.7 73.79 531.3 176H531.3z", "M352 216C352 202.7 362.7 192 376 192C389.3 192 400 202.7 400 216C400 229.3 389.3 240 376 240C362.7 240 352 229.3 352 216zM223.1 216C223.1 229.3 213.3 240 199.1 240C186.7 240 175.1 229.3 175.1 216C175.1 202.7 186.7 192 199.1 192C213.3 192 223.1 202.7 223.1 216zM191.1 80C200.8 80 207.1 87.16 207.1 96V112.3C212.4 112.7 216.7 113.4 220.1 114.3L225.7 104.8C229.6 96.94 239.3 93.74 247.2 97.69C255.1 101.6 258.3 111.3 254.3 119.2L250.7 126.4C267.1 136.7 280.2 151.7 287.1 169.6C295.8 151.7 308.9 136.7 325.3 126.4L321.7 119.2C317.7 111.3 320.9 101.6 328.8 97.69C336.7 93.74 346.4 96.94 350.3 104.8L355 114.3C359.3 113.4 363.6 112.7 368 112.3V96C368 87.16 375.2 80 384 80C392.8 80 400 87.16 400 96V115C404.9 116.3 409.6 117.9 414.2 119.9L417.7 112.8C421.6 104.9 431.3 101.7 439.2 105.7C447.1 109.6 450.3 119.3 446.3 127.2L441.1 137.5C452.5 147.1 461.3 161.1 466.5 175.1H544C552.8 175.1 560 183.2 560 191.1C560 200.8 552.8 207.1 544 207.1H472C472 258.1 433.6 299.2 384.7 303.6C394.3 311.5 400 323.3 400 336C400 351.9 391 366.4 376.9 373.5L396.5 398C402 404.9 400.9 414.1 393.1 420.5C387.1 426 377 424.9 371.5 417.1L347.6 388.1L340.3 391.7L350.9 418.1C354.1 426.3 350.1 435.6 341.9 438.9C333.7 442.1 324.4 438.1 321.1 429.9L311.2 405C308.8 405.7 306.4 406.3 304 406.8V432C304 440.8 296.8 448 287.1 448C279.2 448 271.1 440.8 271.1 432V406.8C269.6 406.3 267.2 405.7 264.8 405L254.9 429.9C251.6 438.1 242.3 442.1 234.1 438.9C225.9 435.6 221.9 426.3 225.1 418.1L235.7 391.7L228.4 388.1L204.5 417.1C198.1 424.9 188.9 426 182 420.5C175.1 414.1 173.1 404.9 179.5 398L199.1 373.5C184.1 366.4 176 351.9 176 336C176 323.3 181.7 311.5 191.3 303.6C142.4 299.2 104 258.1 104 207.1H32C23.16 207.1 16 200.8 16 191.1C16 183.2 23.16 175.1 32 175.1H109.5C114.7 161.1 123.5 147.1 134.9 137.5L129.7 127.2C125.7 119.3 128.9 109.6 136.8 105.7C144.7 101.7 154.4 104.9 158.3 112.8L161.8 119.9C166.4 117.9 171.1 116.3 176 115V96C176 87.16 183.2 80 192 80H191.1zM376 272C411.3 272 440 243.3 440 208C440 172.7 411.3 144 376 144C340.7 144 312 172.7 312 208C312 210.5 312.1 212.9 312.4 215.3C317.8 218.9 322.5 223.7 325.1 229.5L347.3 265.1C348.4 265.7 349.3 266.2 349.9 266.5C357.9 270 366.7 272 376 272zM199.1 144C164.7 144 135.1 172.7 135.1 208C135.1 243.3 164.7 272 199.1 272C209.3 272 218.1 270 226.1 266.5C226.7 266.2 227.6 265.7 228.7 265.1L250 229.5C253.5 223.7 258.2 218.9 263.6 215.3C263.9 212.9 263.1 210.5 263.1 208C263.1 172.7 235.3 144 199.1 144zM287.1 240C283.7 240 279.7 242.3 277.5 245.1L235.3 316.2L213.5 327.2C210.1 328.8 207.1 332.3 207.1 336C207.1 339.7 210.1 343.2 213.5 344.8L266.5 371.4C280 378.1 295.1 378.1 309.5 371.4L362.5 344.8C365.9 343.2 368 339.7 368 336C368 332.3 365.9 328.8 362.5 327.2L340.7 316.2L298.5 245.1C296.3 242.3 292.3 240 287.1 240V240z"]],
    "face-dizzy": [512, 512, ["dizzy"], "f567", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 416C291.3 416 320 387.3 320 352C320 316.7 291.3 288 256 288C220.7 288 192 316.7 192 352C192 387.3 220.7 416 256 416zM100.7 155.3L137.4 192L100.7 228.7C94.44 234.9 94.44 245.1 100.7 251.3C106.9 257.6 117.1 257.6 123.3 251.3L160 214.6L196.7 251.3C202.9 257.6 213.1 257.6 219.3 251.3C225.6 245.1 225.6 234.9 219.3 228.7L182.6 192L219.3 155.3C225.6 149.1 225.6 138.9 219.3 132.7C213.1 126.4 202.9 126.4 196.7 132.7L160 169.4L123.3 132.7C117.1 126.4 106.9 126.4 100.7 132.7C94.44 138.9 94.44 149.1 100.7 155.3zM292.7 155.3L329.4 192L292.7 228.7C286.4 234.9 286.4 245.1 292.7 251.3C298.9 257.6 309.1 257.6 315.3 251.3L352 214.6L388.7 251.3C394.9 257.6 405.1 257.6 411.3 251.3C417.6 245.1 417.6 234.9 411.3 228.7L374.6 192L411.3 155.3C417.6 149.1 417.6 138.9 411.3 132.7C405.1 126.4 394.9 126.4 388.7 132.7L352 169.4L315.3 132.7C309.1 126.4 298.9 126.4 292.7 132.7C286.4 138.9 286.4 149.1 292.7 155.3z", "M196.7 132.7C202.9 126.4 213.1 126.4 219.3 132.7C225.6 138.9 225.6 149.1 219.3 155.3L182.6 192L219.3 228.7C225.6 234.9 225.6 245.1 219.3 251.3C213.1 257.6 202.9 257.6 196.7 251.3L160 214.6L123.3 251.3C117.1 257.6 106.9 257.6 100.7 251.3C94.44 245.1 94.44 234.9 100.7 228.7L137.4 192L100.7 155.3C94.44 149.1 94.44 138.9 100.7 132.7C106.9 126.4 117.1 126.4 123.3 132.7L160 169.4L196.7 132.7zM292.7 132.7C298.9 126.4 309.1 126.4 315.3 132.7L352 169.4L388.7 132.7C394.9 126.4 405.1 126.4 411.3 132.7C417.6 138.9 417.6 149.1 411.3 155.3L374.6 192L411.3 228.7C417.6 234.9 417.6 245.1 411.3 251.3C405.1 257.6 394.9 257.6 388.7 251.3L352 214.6L315.3 251.3C309.1 257.6 298.9 257.6 292.7 251.3C286.4 245.1 286.4 234.9 292.7 228.7L329.4 192L292.7 155.3C286.4 149.1 286.4 138.9 292.7 132.7z"]],
    "face-dotted": [512, 512, [129765], "e47f", ["M215.1 3.115C229 1.062 242.4 0 255.1 0C269.6 0 282.1 1.062 296 3.115C313.5 5.858 325.4 22.24 322.7 39.69C319.9 57.15 303.5 69.08 286.1 66.34C276.3 64.8 266.3 64 255.1 64C245.7 64 235.7 64.8 225.9 66.34C208.5 69.08 192.1 57.15 189.3 39.69C186.6 22.24 198.5 5.858 215.1 3.115V3.115zM150.2 55.94C160.6 70.23 157.4 90.24 143.2 100.6C126.9 112.5 112.5 126.9 100.6 143.2C90.24 157.4 70.22 160.6 55.94 150.2C41.65 139.8 38.49 119.8 48.89 105.5C64.68 83.8 83.8 64.68 105.5 48.89C119.8 38.49 139.8 41.65 150.2 55.94V55.94zM361.8 55.94C372.2 41.65 392.2 38.49 406.5 48.89C428.2 64.68 447.3 83.8 463.1 105.5C473.5 119.8 470.4 139.8 456.1 150.2C441.8 160.6 421.8 157.4 411.4 143.2C399.5 126.9 385.1 112.5 368.8 100.6C354.6 90.24 351.4 70.23 361.8 55.94V55.94zM472.3 189.3C489.8 186.6 506.1 198.5 508.9 215.1C510.9 229 512 242.4 512 256C512 269.6 510.9 282.1 508.9 296C506.1 313.5 489.8 325.4 472.3 322.7C454.8 319.9 442.9 303.5 445.7 286.1C447.2 276.3 448 266.3 448 256C448 245.7 447.2 235.7 445.7 225.9C442.9 208.5 454.8 192.1 472.3 189.3V189.3zM39.69 189.3C57.15 192.1 69.08 208.5 66.34 225.9C64.8 235.7 64 245.7 64 256C64 266.3 64.8 276.3 66.34 286.1C69.08 303.5 57.15 319.9 39.69 322.7C22.24 325.4 5.858 313.5 3.115 296C1.062 282.1 0 269.6 0 256C0 242.4 1.062 229 3.115 215.1C5.858 198.5 22.24 186.6 39.69 189.3V189.3zM55.94 361.8C70.22 351.4 90.24 354.6 100.6 368.8C112.5 385.1 126.9 399.5 143.2 411.4C157.4 421.8 160.6 441.8 150.2 456.1C139.8 470.4 119.8 473.5 105.5 463.1C83.8 447.3 64.68 428.2 48.89 406.5C38.49 392.2 41.65 372.2 55.94 361.8V361.8zM456.1 361.8C470.4 372.2 473.5 392.2 463.1 406.5C447.3 428.2 428.2 447.3 406.5 463.1C392.2 473.5 372.2 470.4 361.8 456.1C351.4 441.8 354.6 421.8 368.8 411.4C385.1 399.5 399.5 385.1 411.4 368.8C421.8 354.6 441.8 351.4 456.1 361.8V361.8zM189.3 472.3C192.1 454.8 208.5 442.9 225.9 445.7C235.7 447.2 245.7 448 255.1 448C266.3 448 276.3 447.2 286.1 445.7C303.5 442.9 319.9 454.8 322.7 472.3C325.4 489.8 313.5 506.1 296 508.9C282.1 510.9 269.6 512 255.1 512C242.4 512 229 510.9 215.1 508.9C198.5 506.1 186.6 489.8 189.3 472.3z", "M208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208zM368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208zM328 328C341.3 328 352 338.7 352 352C352 365.3 341.3 376 328 376H184C170.7 376 160 365.3 160 352C160 338.7 170.7 328 184 328H328z"]],
    "face-downcast-sweat": [512, 512, [], "e371", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 220.2 7.341 186.1 20.6 155.2C29.19 158.3 38.43 160 48 160C91.45 160 128 125.4 128 81.01C128 69.58 124.2 58.57 120.9 50.53C119.6 47.43 118.1 44.32 116.6 41.23C156.7 15.15 204.6 0 256 0C397.4 0 512 114.6 512 256zM256 384C284.5 384 304.4 397.7 316.1 410.7C322 417.3 332.1 417.8 338.7 411.9C345.3 405.1 345.8 395.9 339.9 389.3C323.8 371.4 295.7 352 255.1 352C216.3 352 188.2 371.4 172.1 389.3C166.2 395.9 166.7 405.1 173.3 411.9C179.9 417.8 189.1 417.3 195.9 410.7C207.6 397.7 227.5 384 255.1 384H256z", "M48 128C21.54 128 0 107 0 81.01C0 61.02 28.55 20.65 41.6 3.281C44.8-1.094 51.2-1.094 54.4 3.281C67.57 20.65 95.1 61.02 95.1 81.01C95.1 107 74.46 128 47.1 128H48zM96 272C96 263.2 103.2 256 112 256H208C216.8 256 224 263.2 224 272C224 280.8 216.8 288 208 288H112C103.2 288 96 280.8 96 272zM288 272C288 263.2 295.2 256 304 256H400C408.8 256 416 263.2 416 272C416 280.8 408.8 288 400 288H304C295.2 288 288 280.8 288 272z"]],
    "face-drooling": [512, 512, [], "e372", ["M384 344.2C388.6 339.5 392.7 334.7 396.5 329.1C402 323.1 400.9 313 393.1 307.5C387.1 301.1 377 303.1 371.5 310C348.7 338.5 310.2 368 256 368C201.8 368 163.3 338.5 140.5 310C134.1 303.1 124.9 301.1 118 307.5C111.1 313 109.1 323.1 115.5 329.1C142.2 363.3 189 400 256 400C267.2 400 277.9 398.1 288 397.1V448C288 456.8 295.2 464 304 464C312.8 464 320 456.8 320 448V387.8C331.7 383.1 342.3 377.4 352 370.9V493.4C322.4 505.4 289.9 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 350.8 460.5 433.5 384 477.8L384 344.2zM192 176C200.8 176 208 168.8 208 160C208 151.2 200.8 144 192 144C167.9 144 149.5 154.2 136.6 166.4C123.1 178.4 116.2 192.7 112.8 202.9C110 211.3 114.6 220.4 122.9 223.2C131.3 225.1 140.4 221.4 143.2 213.1C145.1 207.3 150.2 197.6 158.6 189.6C166.8 181.8 177.7 176 192 176L192 176zM389.1 223.2C397.4 220.4 401.1 211.3 399.2 202.9C395.8 192.7 388 178.4 375.4 166.4C362.5 154.2 344.1 143.1 320 143.1C311.2 143.1 304 151.2 304 159.1C304 168.8 311.2 175.1 320 175.1C334.3 175.1 345.2 181.8 353.4 189.6C361.8 197.6 366.9 207.3 368.8 213.1C371.6 221.4 380.7 225.1 389.1 223.2V223.2z", "M158.6 189.6C150.2 197.6 145.1 207.3 143.2 213.1C140.4 221.4 131.3 225.1 122.9 223.2C114.6 220.4 110 211.3 112.8 202.9C116.2 192.7 123.1 178.4 136.6 166.4C149.5 154.2 167.9 144 191.1 144C200.8 144 208 151.2 208 160C208 168.8 200.8 176 191.1 176C177.7 176 166.8 181.8 158.6 189.6L158.6 189.6zM320 176C311.2 176 304 168.8 304 160C304 151.2 311.2 144 320 144C344.1 144 362.5 154.2 375.4 166.4C388 178.4 395.8 192.7 399.2 202.9C401.1 211.3 397.4 220.4 389.1 223.2C380.7 225.1 371.6 221.4 368.8 213.1C366.9 207.3 361.8 197.6 353.4 189.6C345.2 181.9 334.3 176 320 176V176zM288 448V397.1C299.4 394.1 310.1 391.8 320 387.8V448C320 456.8 312.8 464 304 464C295.2 464 288 456.8 288 448zM352 496V370.9C364.3 362.8 374.9 353.6 384 344.2V496C384 504.8 376.8 512 368 512C359.2 512 352 504.8 352 496z"]],
    "face-exhaling": [576, 512, [], "e480", ["M32 256C32 114.6 146.6 0 288 0C429.4 0 544 114.6 544 256C544 258.8 543.1 261.6 543.9 264.5C541.2 264.2 538.5 264 535.8 264C514.4 264 495.2 273.3 482.1 288C481.4 288 480.7 288 480 288C448.5 288 422.3 310.7 416.1 340.7L374.8 353.4C361.3 357.4 352 369.9 352 384C352 398.1 361.3 410.6 374.8 414.6L416.1 427.3C419.6 441.7 426.1 454.5 437.5 463.8C395.4 494.1 343.8 512 288 512C146.6 512 32 397.4 32 256zM227.2 238.4C209.6 261.9 174.4 261.9 156.8 238.4C151.5 231.3 141.5 229.9 134.4 235.2C127.3 240.5 125.9 250.5 131.2 257.6C161.6 298.1 222.4 298.1 252.8 257.6C258.1 250.5 256.7 240.5 249.6 235.2C242.5 229.9 232.5 231.3 227.2 238.4zM326.4 235.2C319.3 240.5 317.9 250.5 323.2 257.6C353.6 298.1 414.4 298.1 444.8 257.6C450.1 250.5 448.7 240.5 441.6 235.2C434.5 229.9 424.5 231.3 419.2 238.4C401.6 261.9 366.4 261.9 348.8 238.4C343.5 231.3 333.5 229.9 326.4 235.2zM288 424C310.1 424 328 406.1 328 384C328 361.9 310.1 344 288 344C265.9 344 248 361.9 248 384C248 406.1 265.9 424 288 424z", "M575.5 336C575.5 336.8 575.5 337.7 575.4 338.5C594.4 344.9 608 362.9 608 383.1C608 405.1 594.4 423.1 575.4 429.5C575.5 430.3 575.5 431.2 575.5 432C575.5 454.1 557.6 472 535.5 472C521.4 472 508.9 464.6 501.8 453.5C497.5 455.1 492.8 456 487.8 456C465.8 456 447.9 438.1 447.9 416C447.9 411.7 448.6 407.6 449.8 403.8L384 384L448.2 364.7C447.1 363.2 447.9 361.6 447.9 360C447.9 337.9 465.8 320 487.8 320C491.5 320 494.1 320.5 498.3 321.4C504.2 306.5 518.6 296 535.5 296C557.6 296 575.5 313.9 575.5 336V336z"]],
    "face-explode": [512, 512, ["exploding-head"], "e2fe", ["M481.4 265.2L511.1 253.5C511.1 254.3 512 255.2 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 255.2 .0042 254.3 .0125 253.5L30.55 265.2C44.63 270.6 60.43 269.1 73.22 261.1L93.92 248.2C99.11 244.9 105.7 244.9 110.9 248.2L128.2 258.1C143.7 268.7 163.5 268.7 179 258.1L196.3 248.2C201.5 244.9 208.1 244.9 213.3 248.2L230.6 258.1C246.1 268.7 265.9 268.7 281.4 258.1L298.7 248.2C303.9 244.9 310.5 244.9 315.7 248.2L332.1 258.1C348.5 268.7 368.3 268.7 383.8 258.1L401.1 248.2C406.3 244.9 412.9 244.9 418.1 248.2L438.8 261.1C451.6 269.1 467.4 270.6 481.4 265.2L481.4 265.2zM176.4 368C194 368 208.4 353.7 208.4 336C208.4 318.3 194 303.1 176.4 303.1C158.7 303.1 144.4 318.3 144.4 336C144.4 353.7 158.7 368 176.4 368zM336.4 303.1C318.7 303.1 304.4 318.3 304.4 336C304.4 353.7 318.7 368 336.4 368C354 368 368.4 353.7 368.4 336C368.4 318.3 354 303.1 336.4 303.1zM245.3 384C215.9 384 192 407.9 192 437.3C192 443.2 196.8 448 202.7 448H309.3C315.2 448 320 443.2 320 437.3C320 407.9 296.1 384 266.7 384H245.3z", "M320 196.5C320 204.3 322.5 211.9 327 218C312.5 211.4 295.5 212.4 281.8 221L264.5 231.8C259.3 235.1 252.7 235.1 247.5 231.8L230.2 221C216.5 212.4 199.5 211.4 184.1 218C189.5 211.9 192 204.3 192 196.5V192C192 174.3 177.7 160 160 160H120C89.07 160 64 134.9 64 104C64 73.07 89.07 48 120 48C128.9 48 137.3 50.08 144.8 53.78C149.7 23.29 176.1 0 208 0C227.1 0 244.3 8.38 256 21.67C267.7 8.38 284.9 0 304 0C335.9 0 362.3 23.29 367.2 53.78C374.7 50.08 383.1 48 392 48C422.9 48 448 73.07 448 104C448 134.9 422.9 160 392 160H352C334.3 160 320 174.3 320 192V196.5zM298.1 248C304 244.1 310.4 244.1 315.4 248H298.1zM196.6 248C201.6 244.1 207.1 244.1 213 248H196.6zM208.4 336C208.4 353.7 194 368 176.4 368C158.7 368 144.4 353.7 144.4 336C144.4 318.3 158.7 304 176.4 304C194 304 208.4 318.3 208.4 336zM368.4 336C368.4 353.7 354 368 336.4 368C318.7 368 304.4 353.7 304.4 336C304.4 318.3 318.7 304 336.4 304C354 304 368.4 318.3 368.4 336z"]],
    "face-expressionless": [512, 512, [], "e373", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM160 336C151.2 336 144 343.2 144 352C144 360.8 151.2 368 160 368H352C360.8 368 368 360.8 368 352C368 343.2 360.8 336 352 336H160zM144 224H208C216.8 224 224 216.8 224 208C224 199.2 216.8 192 208 192H144C135.2 192 128 199.2 128 208C128 216.8 135.2 224 144 224zM304 192C295.2 192 288 199.2 288 208C288 216.8 295.2 224 304 224H368C376.8 224 384 216.8 384 208C384 199.2 376.8 192 368 192H304z", "M208 192C216.8 192 224 199.2 224 208C224 216.8 216.8 224 208 224H144C135.2 224 128 216.8 128 208C128 199.2 135.2 192 144 192H208zM368 192C376.8 192 384 199.2 384 208C384 216.8 376.8 224 368 224H304C295.2 224 288 216.8 288 208C288 199.2 295.2 192 304 192H368z"]],
    "face-eyes-xmarks": [512, 512, [], "e374", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM123.3 132.7C117.1 126.4 106.9 126.4 100.7 132.7C94.44 138.9 94.44 149.1 100.7 155.3L137.4 192L100.7 228.7C94.44 234.9 94.44 245.1 100.7 251.3C106.9 257.6 117.1 257.6 123.3 251.3L160 214.6L196.7 251.3C202.9 257.6 213.1 257.6 219.3 251.3C225.6 245.1 225.6 234.9 219.3 228.7L182.6 192L219.3 155.3C225.6 149.1 225.6 138.9 219.3 132.7C213.1 126.4 202.9 126.4 196.7 132.7L160 169.4L123.3 132.7zM315.3 132.7C309.1 126.4 298.9 126.4 292.7 132.7C286.4 138.9 286.4 149.1 292.7 155.3L329.4 192L292.7 228.7C286.4 234.9 286.4 245.1 292.7 251.3C298.9 257.6 309.1 257.6 315.3 251.3L352 214.6L388.7 251.3C394.9 257.6 405.1 257.6 411.3 251.3C417.6 245.1 417.6 234.9 411.3 228.7L374.6 192L411.3 155.3C417.6 149.1 417.6 138.9 411.3 132.7C405.1 126.4 394.9 126.4 388.7 132.7L352 169.4L315.3 132.7zM256 304C211.8 304 176 339.8 176 384C176 392.8 183.2 400 192 400H320C328.8 400 336 392.8 336 384C336 339.8 300.2 304 256 304z", "M196.7 132.7C202.9 126.4 213.1 126.4 219.3 132.7C225.6 138.9 225.6 149.1 219.3 155.3L182.6 192L219.3 228.7C225.6 234.9 225.6 245.1 219.3 251.3C213.1 257.6 202.9 257.6 196.7 251.3L160 214.6L123.3 251.3C117.1 257.6 106.9 257.6 100.7 251.3C94.44 245.1 94.44 234.9 100.7 228.7L137.4 192L100.7 155.3C94.44 149.1 94.44 138.9 100.7 132.7C106.9 126.4 117.1 126.4 123.3 132.7L160 169.4L196.7 132.7zM292.7 132.7C298.9 126.4 309.1 126.4 315.3 132.7L352 169.4L388.7 132.7C394.9 126.4 405.1 126.4 411.3 132.7C417.6 138.9 417.6 149.1 411.3 155.3L374.6 192L411.3 228.7C417.6 234.9 417.6 245.1 411.3 251.3C405.1 257.6 394.9 257.6 388.7 251.3L352 214.6L315.3 251.3C309.1 257.6 298.9 257.6 292.7 251.3C286.4 245.1 286.4 234.9 292.7 228.7L329.4 192L292.7 155.3C286.4 149.1 286.4 138.9 292.7 132.7z"]],
    "face-fearful": [512, 512, [], "e375", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 320C211.8 320 176 355.8 176 400C176 408.8 183.2 416 192 416H320C328.8 416 336 408.8 336 400C336 355.8 300.2 320 256 320zM160 160C124.7 160 96 188.7 96 224C96 259.3 124.7 288 160 288C195.3 288 224 259.3 224 224C224 188.7 195.3 160 160 160zM352 288C387.3 288 416 259.3 416 224C416 188.7 387.3 160 352 160C316.7 160 288 188.7 288 224C288 259.3 316.7 288 352 288zM192 96C192 87.16 184.8 80 176 80C170.2 80 164.4 80.38 158.8 81.13C130.6 84.85 105.1 97.58 85.08 116.3C78.62 122.3 78.28 132.5 84.31 138.9C90.34 145.4 100.5 145.7 106.9 139.7C122.4 125.2 141.8 115.7 162.1 112.9C167.2 112.3 171.6 112 176 112C184.8 112 192 104.8 192 96V96zM405.1 139.7C411.5 145.7 421.7 145.4 427.7 138.9C433.7 132.5 433.4 122.3 426.9 116.3C406.9 97.58 381.4 84.85 353.2 81.13C347.6 80.38 341.8 80 336 80C327.2 80 320 87.16 320 96C320 104.8 327.2 112 336 112C340.4 112 344.8 112.3 349 112.9C370.2 115.7 389.6 125.2 405.1 139.7z", "M176 112C171.6 112 167.2 112.3 162.1 112.9C141.8 115.7 122.4 125.2 106.9 139.7C100.5 145.7 90.34 145.4 84.31 138.9C78.28 132.5 78.62 122.3 85.08 116.3C105.1 97.58 130.6 84.85 158.8 81.13C164.4 80.38 170.2 80 176 80C184.8 80 192 87.16 192 96C192 104.8 184.8 112 176 112zM128.4 224C128.4 206.3 142.7 192 160.4 192C178 192 192.4 206.3 192.4 224C192.4 241.7 178 256 160.4 256C142.7 256 128.4 241.7 128.4 224zM320.4 224C320.4 206.3 334.7 192 352.4 192C370 192 384.4 206.3 384.4 224C384.4 241.7 370 256 352.4 256C334.7 256 320.4 241.7 320.4 224zM349 112.9C344.8 112.3 340.4 112 336 112C327.2 112 320 104.8 320 96C320 87.16 327.2 80 336 80C341.8 80 347.6 80.38 353.2 81.13C381.4 84.85 406.9 97.58 426.9 116.3C433.4 122.3 433.7 132.5 427.7 138.9C421.7 145.4 411.5 145.7 405.1 139.7C389.6 125.2 370.2 115.7 349 112.9V112.9z"]],
    "face-flushed": [512, 512, [128563, "flushed"], "f579", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM192 368C183.2 368 176 375.2 176 384C176 392.8 183.2 400 192 400H320C328.8 400 336 392.8 336 384C336 375.2 328.8 368 320 368H192zM160 152C120.2 152 88 184.2 88 224C88 263.8 120.2 296 160 296C199.8 296 232 263.8 232 224C232 184.2 199.8 152 160 152zM352 296C391.8 296 424 263.8 424 224C424 184.2 391.8 152 352 152C312.2 152 280 184.2 280 224C280 263.8 312.2 296 352 296z", "M136 224C136 210.7 146.7 200 160 200C173.3 200 184 210.7 184 224C184 237.3 173.3 248 160 248C146.7 248 136 237.3 136 224zM328 224C328 210.7 338.7 200 352 200C365.3 200 376 210.7 376 224C376 237.3 365.3 248 352 248C338.7 248 328 237.3 328 224z"]],
    "face-frown": [512, 512, [9785, "frown"], "f119", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM159.3 388.7C171.5 349.4 209.9 320 256 320C302.1 320 340.5 349.4 352.7 388.7C355.3 397.2 364.3 401.9 372.7 399.3C381.2 396.7 385.9 387.7 383.3 379.3C366.8 326.1 315.8 287.1 256 287.1C196.3 287.1 145.2 326.1 128.7 379.3C126.1 387.7 130.8 396.7 139.3 399.3C147.7 401.9 156.7 397.2 159.3 388.7H159.3zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240z", "M144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208zM304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208z"]],
    "face-frown-open": [512, 512, [128550, "frown-open"], "f57a", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240zM336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176zM259.9 369.4C288.8 369.4 316.2 375.2 340.6 385.5C352.9 390.7 366.7 381.3 361.4 369.1C344.8 330.9 305.6 303.1 259.9 303.1C214.3 303.1 175.1 330.8 158.4 369.1C153.1 381.3 166.1 390.6 179.3 385.4C203.7 375.1 231 369.4 259.9 369.4L259.9 369.4z", "M144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208zM304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208z"]],
    "face-frown-slight": [512, 512, [], "e376", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM347.9 394.5C353.7 401.2 363.8 401.9 370.5 396.1C377.2 390.3 377.9 380.2 372.1 373.5C349.8 347.9 311.1 320 256 320C200.9 320 162.2 347.9 139.9 373.5C134.1 380.2 134.8 390.3 141.5 396.1C148.2 401.9 158.3 401.2 164.1 394.5C182 373.8 212.6 352 256 352C299.4 352 329.1 373.8 347.9 394.5H347.9zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240z", "M144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208zM304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208z"]],
    "face-glasses": [512, 512, [], "e377", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 233.2 2.971 211.2 8.546 190.2C10.77 191.3 13.31 192 16 192H48V248C48 278.9 73.07 304 104 304H184C214.9 304 240 278.9 240 248V192H272V248C272 278.9 297.1 304 328 304H408C438.9 304 464 278.9 464 248V192H496C498.7 192 501.2 191.3 503.5 190.2C509 211.2 512 233.2 512 256zM139.9 362.5C162.2 388.1 200.9 416 256 416C311.1 416 349.8 388.1 372.1 362.5C377.9 355.8 377.2 345.7 370.5 339.9C363.8 334.1 353.7 334.8 347.9 341.5C329.1 362.2 299.4 384 255.1 384C212.6 384 182 362.2 164.1 341.5C158.3 334.8 148.2 334.1 141.5 339.9C134.8 345.7 134.1 355.8 139.9 362.5H139.9zM18.61 160C56.59 66.18 148.6 0 256 0C363.4 0 455.4 66.18 493.4 160H458.6C449.6 141.1 430.3 128 408 128H328C305.7 128 286.4 141.1 277.4 160H234.6C225.6 141.1 206.3 128 184 128H104C81.66 128 62.38 141.1 53.39 160H18.61z", "M184.4 224C184.4 237.3 173.6 248 160.4 248C147.1 248 136.4 237.3 136.4 224C136.4 210.7 147.1 200 160.4 200C173.6 200 184.4 210.7 184.4 224zM328.4 224C328.4 210.7 339.1 200 352.4 200C365.6 200 376.4 210.7 376.4 224C376.4 237.3 365.6 248 352.4 248C339.1 248 328.4 237.3 328.4 224zM0 176C0 167.2 7.164 160 16 160H53.39C62.38 141.1 81.66 128 104 128H184C206.3 128 225.6 141.1 234.6 160H277.4C286.4 141.1 305.7 128 328 128H408C430.3 128 449.6 141.1 458.6 160H496C504.8 160 512 167.2 512 176C512 184.8 504.8 192 496 192H464V248C464 278.9 438.9 304 408 304H328C297.1 304 272 278.9 272 248V192H240V248C240 278.9 214.9 304 184 304H104C73.07 304 48 278.9 48 248V192H16C7.164 192 0 184.8 0 176zM104 272H184C197.3 272 208 261.3 208 248V184C208 170.7 197.3 160 184 160H104C90.75 160 80 170.7 80 184V248C80 261.3 90.75 272 104 272zM432 184C432 170.7 421.3 160 408 160H328C314.7 160 304 170.7 304 184V248C304 261.3 314.7 272 328 272H408C421.3 272 432 261.3 432 248V184z"]],
    "face-grimace": [512, 512, [128556, "grimace"], "f57f", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM399.3 360H344V400H352C375.8 400 395.5 382.7 399.3 360zM352 304H344V344H399.3C395.5 321.3 375.8 304 352 304zM328 344V304H264V344H328zM328 400V360H264V400H328zM184 304V344H248V304H184zM184 360V400H248V360H184zM168 344V304H160C136.2 304 116.5 321.3 112.7 344H168zM168 400V360H112.7C116.5 382.7 136.2 400 160 400H168zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240z", "M144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208zM304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208z"]],
    "face-grin": [512, 512, [128512, "grin"], "f580", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256.3 331.8C208.9 331.8 164.1 324.9 124.5 312.8C112.2 309 100.2 319.7 105.2 331.5C130.1 390.6 188.4 432 256.3 432C324.2 432 382.4 390.6 407.4 331.5C412.4 319.7 400.4 309 388.1 312.8C348.4 324.9 303.7 331.8 256.3 331.8H256.3zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240z", "M144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208zM304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208z"]],
    "face-grin-beam": [512, 512, [128516, "grin-beam"], "f582", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256.3 331.8C208.9 331.8 164.1 324.9 124.5 312.8C112.2 309 100.2 319.7 105.2 331.5C130.1 390.6 188.4 432 256.3 432C324.2 432 382.4 390.6 407.4 331.5C412.4 319.7 400.4 309 388.1 312.8C348.4 324.9 303.7 331.8 256.3 331.8H256.3zM226.5 231.6C229.8 230.5 232 227.4 232 224C232 206.1 225.3 188.4 215.4 175.2C205.6 162.2 191.5 152 176 152C160.5 152 146.4 162.2 136.6 175.2C126.7 188.4 120 206.1 120 224C120 227.4 122.2 230.5 125.5 231.6C128.7 232.7 132.3 231.6 134.4 228.8L134.4 228.8L134.6 228.5C134.8 228.3 134.1 228 135.3 227.6C135.1 226.8 136.9 225.7 138.1 224.3C140.6 221.4 144.1 217.7 148.3 213.1C157.1 206.2 167.2 200 176 200C184.8 200 194.9 206.2 203.7 213.1C207.9 217.7 211.4 221.4 213.9 224.3C215.1 225.7 216 226.8 216.7 227.6C217 228 217.2 228.3 217.4 228.5L217.6 228.8L217.6 228.8C219.7 231.6 223.3 232.7 226.5 231.6V231.6zM377.6 228.8C379.7 231.6 383.3 232.7 386.5 231.6C389.8 230.5 392 227.4 392 224C392 206.1 385.3 188.4 375.4 175.2C365.6 162.2 351.5 152 336 152C320.5 152 306.4 162.2 296.6 175.2C286.7 188.4 280 206.1 280 224C280 227.4 282.2 230.5 285.5 231.6C288.7 232.7 292.3 231.6 294.4 228.8L294.4 228.8L294.6 228.5C294.8 228.3 294.1 228 295.3 227.6C295.1 226.8 296.9 225.7 298.1 224.3C300.6 221.4 304.1 217.7 308.3 213.1C317.1 206.2 327.2 200 336 200C344.8 200 354.9 206.2 363.7 213.1C367.9 217.7 371.4 221.4 373.9 224.3C375.1 225.7 376 226.8 376.7 227.6C377 228 377.2 228.3 377.4 228.5L377.6 228.8L377.6 228.8z", "M217.6 228.8L217.4 228.5C217.2 228.3 217 228 216.7 227.6C216 226.8 215.1 225.7 213.9 224.3C211.4 221.4 207.9 217.7 203.7 213.1C194.9 206.2 184.8 200 176 200C167.2 200 157.1 206.2 148.3 213.1C144.1 217.7 140.6 221.4 138.1 224.3C136.9 225.7 135.1 226.8 135.3 227.6C134.1 228 134.8 228.3 134.6 228.5L134.4 228.8L134.4 228.8C132.3 231.6 128.7 232.7 125.5 231.6C122.2 230.5 120 227.4 120 224C120 206.1 126.7 188.4 136.6 175.2C146.4 162.2 160.5 152 176 152C191.5 152 205.6 162.2 215.4 175.2C225.3 188.4 232 206.1 232 224C232 227.4 229.8 230.5 226.5 231.6C223.3 232.7 219.7 231.6 217.6 228.8L217.6 228.8zM377.6 228.8L377.4 228.5C377.2 228.3 377 228 376.7 227.6C376 226.8 375.1 225.7 373.9 224.3C371.4 221.4 367.9 217.7 363.7 213.1C354.9 206.2 344.8 200 336 200C327.2 200 317.1 206.2 308.3 213.1C304.1 217.7 300.6 221.4 298.1 224.3C296.9 225.7 295.1 226.8 295.3 227.6C294.1 228 294.8 228.3 294.6 228.5L294.4 228.8L294.4 228.8C292.3 231.6 288.7 232.7 285.5 231.6C282.2 230.5 280 227.4 280 224C280 206.1 286.7 188.4 296.6 175.2C306.4 162.2 320.5 152 336 152C351.5 152 365.6 162.2 375.4 175.2C385.3 188.4 392 206.1 392 224C392 227.4 389.8 230.5 386.5 231.6C383.3 232.7 379.7 231.6 377.6 228.8L377.6 228.8z"]],
    "face-grin-beam-sweat": [512, 512, [128517, "grin-beam-sweat"], "f583", ["M256 .0003C307.4 .0003 355.3 15.15 395.4 41.23C393.9 44.32 392.4 47.43 391.1 50.53C387.8 58.57 384 69.57 384 81.01C384 125.4 420.6 160 464 160C473.6 160 482.8 158.3 491.4 155.2C504.7 186.1 512 220.2 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0V.0003zM256.3 331.8C208.9 331.8 164.1 324.9 124.5 312.8C112.2 309 100.2 319.7 105.2 331.5C130.1 390.6 188.4 432 256.3 432C324.2 432 382.4 390.6 407.4 331.5C412.4 319.7 400.4 309 388.1 312.8C348.4 324.9 303.7 331.8 256.3 331.8H256.3zM226.5 231.6C229.8 230.5 232 227.4 232 224C232 206.1 225.3 188.4 215.4 175.2C205.6 162.2 191.5 152 176 152C160.5 152 146.4 162.2 136.6 175.2C126.7 188.4 120 206.1 120 224C120 227.4 122.2 230.5 125.5 231.6C128.7 232.7 132.3 231.6 134.4 228.8L134.4 228.8L134.6 228.5C134.8 228.3 134.1 228 135.3 227.6C135.1 226.8 136.9 225.7 138.1 224.3C140.6 221.4 144.1 217.7 148.3 213.1C157.1 206.2 167.2 200 176 200C184.8 200 194.9 206.2 203.7 213.1C207.9 217.7 211.4 221.4 213.9 224.3C215.1 225.7 216 226.8 216.7 227.6C217 228 217.2 228.3 217.4 228.5L217.6 228.8L217.6 228.8C219.7 231.6 223.3 232.7 226.5 231.6V231.6zM377.6 228.8C379.7 231.6 383.3 232.7 386.5 231.6C389.8 230.5 392 227.4 392 224C392 206.1 385.3 188.4 375.4 175.2C365.6 162.2 351.5 152 336 152C320.5 152 306.4 162.2 296.6 175.2C286.7 188.4 280 206.1 280 224C280 227.4 282.2 230.5 285.5 231.6C288.7 232.7 292.3 231.6 294.4 228.8L294.4 228.8L294.6 228.5C294.8 228.3 294.1 228 295.3 227.6C295.1 226.8 296.9 225.7 298.1 224.3C300.6 221.4 304.1 217.7 308.3 213.1C317.1 206.2 327.2 200 336 200C344.8 200 354.9 206.2 363.7 213.1C367.9 217.7 371.4 221.4 373.9 224.3C375.1 225.7 376 226.8 376.7 227.6C377 228 377.2 228.3 377.4 228.5L377.6 228.8L377.6 228.8z", "M512 81.01C512 107 490.5 128 464 128C437.5 128 416 107 416 81.01C416 61.02 444.4 20.65 457.6 3.281C460.8-1.094 467.2-1.094 470.4 3.281C483.4 20.65 512 61.02 512 81.01H512zM217.6 228.8L217.6 228.8L217.4 228.5C217.2 228.3 217 228 216.7 227.6C216 226.8 215.1 225.7 213.9 224.3C211.4 221.4 207.9 217.7 203.7 213.1C194.9 206.2 184.8 200 176 200C167.2 200 157.1 206.2 148.3 213.1C144.1 217.7 140.6 221.4 138.1 224.3C136.9 225.7 135.1 226.8 135.3 227.6C134.1 228 134.8 228.3 134.6 228.5L134.4 228.8L134.4 228.8C132.3 231.6 128.7 232.7 125.5 231.6C122.2 230.5 120 227.4 120 224C120 206.1 126.7 188.4 136.6 175.2C146.4 162.2 160.5 152 176 152C191.5 152 205.6 162.2 215.4 175.2C225.3 188.4 232 206.1 232 224C232 227.4 229.8 230.5 226.5 231.6C223.3 232.7 219.7 231.6 217.6 228.8V228.8zM377.6 228.8L377.4 228.5C377.2 228.3 377 228 376.7 227.6C376 226.8 375.1 225.7 373.9 224.3C371.4 221.4 367.9 217.7 363.7 213.1C354.9 206.2 344.8 200 336 200C327.2 200 317.1 206.2 308.3 213.1C304.1 217.7 300.6 221.4 298.1 224.3C296.9 225.7 295.1 226.8 295.3 227.6C294.1 228 294.8 228.3 294.6 228.5L294.4 228.8L294.4 228.8C292.3 231.6 288.7 232.7 285.5 231.6C282.2 230.5 280 227.4 280 224C280 206.1 286.7 188.4 296.6 175.2C306.4 162.2 320.5 152 336 152C351.5 152 365.6 162.2 375.4 175.2C385.3 188.4 392 206.1 392 224C392 227.4 389.8 230.5 386.5 231.6C383.3 232.7 379.7 231.6 377.6 228.8L377.6 228.8z"]],
    "face-grin-hearts": [512, 512, [128525, "grin-hearts"], "f584", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256.3 331.8C208.9 331.8 164.1 324.9 124.5 312.8C112.2 309 100.2 319.7 105.2 331.5C130.1 390.6 188.4 432 256.3 432C324.2 432 382.4 390.6 407.4 331.5C412.4 319.7 400.4 309 388.1 312.8C348.4 324.9 303.7 331.8 256.3 331.8H256.3zM199.3 129.1C181.5 124.4 163.2 134.9 158.4 152.7L154.1 168.8L137.1 164.5C120.2 159.7 101.9 170.3 97.14 188.1C92.38 205.8 102.9 224.1 120.7 228.9L185.8 246.3C194.4 248.6 203.1 243.6 205.4 235L222.9 169.1C227.6 152.2 217.1 133.9 199.3 129.1H199.3zM353.6 152.7C348.8 134.9 330.5 124.4 312.7 129.1C294.9 133.9 284.4 152.2 289.1 169.1L306.6 235C308.9 243.6 317.6 248.6 326.2 246.3L391.3 228.9C409.1 224.1 419.6 205.8 414.9 188.1C410.1 170.3 391.8 159.7 374 164.5L357.9 168.8L353.6 152.7z", "M158.4 152.7C163.2 134.9 181.5 124.4 199.3 129.1C217.1 133.9 227.6 152.2 222.9 169.1L205.4 235C203.1 243.6 194.4 248.6 185.8 246.3L120.7 228.9C102.9 224.1 92.38 205.8 97.14 188.1C101.9 170.3 120.2 159.7 137.1 164.5L154.1 168.8L158.4 152.7zM357.9 168.8L374 164.5C391.8 159.7 410.1 170.3 414.9 188.1C419.6 205.8 409.1 224.1 391.3 228.9L326.2 246.3C317.6 248.6 308.9 243.6 306.6 235L289.1 169.1C284.4 152.2 294.9 133.9 312.7 129.1C330.5 124.4 348.8 134.9 353.6 152.7L357.9 168.8z"]],
    "face-grin-squint": [512, 512, [128518, "grin-squint"], "f585", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256.3 331.8C208.9 331.8 164.1 324.9 124.5 312.8C112.2 309 100.2 319.7 105.2 331.5C130.1 390.6 188.4 432 256.3 432C324.2 432 382.4 390.6 407.4 331.5C412.4 319.7 400.4 309 388.1 312.8C348.4 324.9 303.7 331.8 256.3 331.8H256.3zM133.5 146.7C125.6 142.4 116 148.2 116 157.1C116 159.9 116.1 162.6 118.8 164.8L154.8 208L118.8 251.2C116.1 253.4 116 256.1 116 258.9C116 267.8 125.6 273.6 133.5 269.3L223.4 221.4C234.1 215.7 234.1 200.3 223.4 194.6L133.5 146.7zM396 157.1C396 148.2 386.4 142.4 378.5 146.7L288.6 194.6C277.9 200.3 277.9 215.7 288.6 221.4L378.5 269.3C386.4 273.6 396 267.8 396 258.9C396 256.1 395 253.4 393.2 251.2L357.2 208L393.2 164.8C395 162.6 396 159.9 396 157.1V157.1z", "M116 157.1C116 148.2 125.6 142.4 133.5 146.7L223.4 194.6C234.1 200.3 234.1 215.7 223.4 221.4L133.5 269.3C125.6 273.6 116 267.8 116 258.9C116 256.1 116.1 253.4 118.8 251.2L154.8 208L118.8 164.8C116.1 162.6 116 159.9 116 157.1V157.1zM393.2 164.8L357.2 208L393.2 251.2C395 253.4 396 256.1 396 258.9C396 267.8 386.4 273.6 378.5 269.3L288.6 221.4C277.9 215.7 277.9 200.3 288.6 194.6L378.5 146.7C386.4 142.4 396 148.2 396 157.1C396 159.9 395 162.6 393.2 164.8z"]],
    "face-grin-squint-tears": [512, 512, [129315, "grin-squint-tears"], "f586", ["M382.2 33.17C380.6 37.96 379.3 42.81 378.1 47.52C373.3 66.46 370.1 86.05 368.4 97.79C364.5 124.6 387.4 147.5 414.1 143.6C426 141.9 445.6 138.8 464.5 133.9C469.2 132.7 474.1 131.4 478.8 129.9C534.2 227.5 520.2 353.8 437 437C353.8 520.3 227.5 534.2 129.8 478.8C131.3 474 132.7 469.2 133.9 464.5C138.7 445.5 141.9 425.1 143.6 414.2C147.5 387.4 124.6 364.5 97.89 368.4C85.97 370.1 66.39 373.2 47.46 378.1C42.76 379.3 37.93 380.6 33.15 382.1C-22.19 284.5-8.245 158.2 74.98 74.98C158.2-8.253 284.5-22.19 382.2 33.17V33.17zM416.4 202.3C411.6 190.4 395.6 191.4 389.6 202.7C370.1 239.4 343.3 275.9 309.8 309.4C276.3 342.9 239.8 369.7 203.1 389.2C191.8 395.2 190.8 411.2 202.7 416C262.1 440.2 332.6 428.3 380.7 380.3C428.7 332.2 440.6 261.7 416.4 202.3H416.4zM94.43 288.5L150.5 293.6L155.6 349.7C155.8 352.5 157.1 355 159 357C165.4 363.4 176.2 360.7 178.8 352.1L208.5 254.6C211.1 242.1 201.1 232.1 189.5 235.7L92.05 265.3C83.46 267.9 80.76 278.7 87.1 285.1C89.07 287.1 91.66 288.3 94.43 288.5V288.5zM235.7 189.5C232.1 201.1 242.1 211.1 254.6 208.5L352.1 178.8C360.7 176.2 363.4 165.4 357 159C355 157.1 352.5 155.8 349.7 155.6L293.6 150.5L288.5 94.43C288.3 91.66 287.1 89.07 285.1 87.1C278.7 80.76 267.9 83.46 265.3 92.05L235.7 189.5z", "M497.8 85.18C483 99.97 432.2 108.8 409.6 111.9C403.1 112.8 399.2 108 400.1 102.4C403.3 79.94 412 28.97 426.8 14.18C446-5.046 477.5-4.646 497.1 14.92C516.6 34.49 517 65.95 497.8 85.18H497.8zM87.1 285.1C80.76 278.7 83.46 267.9 92.05 265.3L189.5 235.7C201.1 232.1 211.1 242.1 208.5 254.6L178.8 352.1C176.2 360.7 165.4 363.4 159 357C157.1 355 155.8 352.5 155.6 349.7L150.5 293.6L94.43 288.5C91.66 288.3 89.07 287.1 87.1 285.1V285.1zM265.3 92.05C267.9 83.46 278.7 80.76 285.1 87.1C287.1 89.07 288.3 91.66 288.5 94.43L293.6 150.5L349.7 155.6C352.5 155.8 355 157.1 357 159C363.4 165.4 360.7 176.2 352.1 178.8L254.6 208.5C242.1 211.1 232.1 201.1 235.7 189.5L265.3 92.05zM14.18 426.8C28.97 412 79.85 403.2 102.4 400.1C108 399.2 112.8 403.1 111.9 409.6C108.7 432.1 99.97 483 85.18 497.8C65.95 517 34.49 516.6 14.92 497.1C-4.645 477.5-5.046 446 14.18 426.8H14.18z"]],
    "face-grin-stars": [512, 512, [129321, "grin-stars"], "f587", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM407.4 331.5C412.4 319.7 400.4 309 388.1 312.8C348.4 324.9 303.7 331.8 256.3 331.8C208.9 331.8 164.1 324.9 124.5 312.8C112.2 309 100.2 319.7 105.2 331.5C130.1 390.6 188.4 432 256.3 432C324.2 432 382.4 390.6 407.4 331.5H407.4zM152.8 124.6L136.2 159.3L98.09 164.3C95.03 164.7 92.48 166.8 91.52 169.8C90.57 172.7 91.39 175.9 93.62 178L121.5 204.5L114.5 242.3C113.1 245.4 115.2 248.4 117.7 250.2C120.2 252.1 123.5 252.3 126.2 250.8L159.1 232.5L193.8 250.8C196.5 252.3 199.8 252.1 202.3 250.2C204.8 248.4 206 245.4 205.5 242.3L198.5 204.5L226.4 178C228.6 175.9 229.4 172.7 228.5 169.8C227.5 166.8 224.1 164.7 221.9 164.3L183.8 159.3L167.2 124.6C165.9 121.8 163.1 120 159.1 120C156.9 120 154.1 121.8 152.8 124.6V124.6zM344.8 124.6L328.2 159.3L290.1 164.3C287 164.7 284.5 166.8 283.5 169.8C282.6 172.7 283.4 175.9 285.6 178L313.5 204.5L306.5 242.3C305.1 245.4 307.2 248.4 309.7 250.2C312.2 252.1 315.5 252.3 318.2 250.8L352 232.5L385.8 250.8C388.5 252.3 391.8 252.1 394.3 250.2C396.8 248.4 398 245.4 397.5 242.3L390.5 204.5L418.4 178C420.6 175.9 421.4 172.7 420.5 169.8C419.5 166.8 416.1 164.7 413.9 164.3L375.8 159.3L359.2 124.6C357.9 121.8 355.1 120 352 120C348.9 120 346.1 121.8 344.8 124.6H344.8z", "M183.8 159.3L221.9 164.3C224.1 164.7 227.5 166.8 228.5 169.8C229.4 172.7 228.6 175.9 226.4 178L198.5 204.5L205.5 242.3C206 245.4 204.8 248.4 202.3 250.2C199.8 252.1 196.5 252.3 193.8 250.8L159.1 232.5L126.2 250.8C123.5 252.3 120.2 252.1 117.7 250.2C115.2 248.4 113.1 245.4 114.5 242.3L121.5 204.5L93.62 178C91.39 175.9 90.57 172.7 91.52 169.8C92.48 166.8 95.03 164.7 98.09 164.3L136.2 159.3L152.8 124.6C154.1 121.8 156.9 120 159.1 120C163.1 120 165.9 121.8 167.2 124.6L183.8 159.3zM375.8 159.3L413.9 164.3C416.1 164.7 419.5 166.8 420.5 169.8C421.4 172.7 420.6 175.9 418.4 178L390.5 204.5L397.5 242.3C398 245.4 396.8 248.4 394.3 250.2C391.8 252.1 388.5 252.3 385.8 250.8L352 232.5L318.2 250.8C315.5 252.3 312.2 252.1 309.7 250.2C307.2 248.4 305.1 245.4 306.5 242.3L313.5 204.5L285.6 178C283.4 175.9 282.6 172.7 283.5 169.8C284.5 166.8 287 164.7 290.1 164.3L328.2 159.3L344.8 124.6C346.1 121.8 348.9 120 352 120C355.1 120 357.9 121.8 359.2 124.6L375.8 159.3z"]],
    "face-grin-tears": [640, 512, [128514, "grin-tears"], "f588", ["M91.4 371.4C95.87 368.4 100.1 365 104.1 361.1C112.2 352.1 117.3 342.5 120.6 334.4C124.2 325.7 127.1 316 129.4 306.9C134 288.7 137 269.1 138.6 258.7C142.6 232.2 119.9 209.5 93.4 213.3C86.59 214.3 77.18 215.7 66.84 217.7C85.31 94.5 191.6 0 319.1 0C448.4 0 554.7 94.5 573.2 217.7C562.8 215.7 553.4 214.3 546.6 213.3C520.1 209.5 497.4 232.2 501.4 258.7C502.1 269.1 505.1 288.7 510.6 306.9C512.9 316 515.8 325.7 519.4 334.4C522.7 342.5 527.8 352.1 535.9 361.1C539.9 365 544.1 368.4 548.6 371.4C506.4 454.8 419.9 512 319.1 512C220.1 512 133.6 454.8 91.4 371.4V371.4zM320.3 331.8C272.9 331.8 228.1 324.9 188.5 312.8C176.2 309 164.2 319.7 169.2 331.5C194.1 390.6 252.4 432 320.3 432C388.2 432 446.4 390.6 471.4 331.5C476.4 319.7 464.4 309 452.1 312.8C412.4 324.9 367.7 331.8 320.3 331.8V331.8zM290.5 231.6C293.8 230.5 295.1 227.4 295.1 224C295.1 206.1 289.3 188.4 279.4 175.2C269.6 162.2 255.5 152 239.1 152C224.5 152 210.4 162.2 200.6 175.2C190.7 188.4 183.1 206.1 183.1 224C183.1 227.4 186.2 230.5 189.5 231.6C192.7 232.7 196.3 231.6 198.4 228.8L198.4 228.8L198.6 228.5C198.8 228.3 198.1 228 199.3 227.6C199.1 226.8 200.9 225.7 202.1 224.3C204.6 221.4 208.1 217.7 212.3 213.1C221.1 206.2 231.2 200 239.1 200C248.8 200 258.9 206.2 267.7 213.1C271.9 217.7 275.4 221.4 277.9 224.3C279.1 225.7 280 226.8 280.7 227.6C281 228 281.2 228.3 281.4 228.5L281.6 228.8L281.6 228.8C283.7 231.6 287.3 232.7 290.5 231.6V231.6zM441.6 228.8C443.7 231.6 447.3 232.7 450.5 231.6C453.8 230.5 456 227.4 456 224C456 206.1 449.3 188.4 439.4 175.2C429.6 162.2 415.5 152 400 152C384.5 152 370.4 162.2 360.6 175.2C350.7 188.4 344 206.1 344 224C344 227.4 346.2 230.5 349.5 231.6C352.7 232.7 356.3 231.6 358.4 228.8L358.4 228.8L358.6 228.5C358.8 228.3 358.1 228 359.3 227.6C359.1 226.8 360.9 225.7 362.1 224.3C364.6 221.4 368.1 217.7 372.3 213.1C381.1 206.2 391.2 200 400 200C408.8 200 418.9 206.2 427.7 213.1C431.9 217.7 435.4 221.4 437.9 224.3C439.1 225.7 440 226.8 440.7 227.6L441 228.1L441.4 228.5L441.6 228.8L441.6 228.8z", "M281.6 228.8L281.4 228.5C281.2 228.3 281 228 280.7 227.6C280 226.8 279.1 225.7 277.9 224.3C275.4 221.4 271.9 217.7 267.7 213.1C258.9 206.2 248.8 200 240 200C231.2 200 221.1 206.2 212.3 213.1C208.1 217.7 204.6 221.4 202.1 224.3C200.9 225.7 199.1 226.8 199.3 227.6C198.1 228 198.8 228.3 198.6 228.5L198.4 228.8L198.4 228.8C196.3 231.6 192.7 232.7 189.5 231.6C186.2 230.5 183.1 227.4 183.1 224C183.1 206.1 190.7 188.4 200.6 175.2C210.4 162.2 224.5 152 239.1 152C255.5 152 269.6 162.2 279.4 175.2C289.3 188.4 295.1 206.1 295.1 224C295.1 227.4 293.8 230.5 290.5 231.6C287.3 232.7 283.7 231.6 281.6 228.8L281.6 228.8zM441.6 228.8L441.4 228.5C441.2 228.3 441 228 440.7 227.6C440 226.8 439.1 225.7 437.9 224.3C435.4 221.4 431.9 217.7 427.7 213.1C418.9 206.2 408.8 200 400 200C391.2 200 381.1 206.2 372.3 213.1C368.1 217.7 364.6 221.4 362.1 224.3C360.9 225.7 359.1 226.8 359.3 227.6C358.1 228 358.8 228.3 358.6 228.5L358.4 228.8L358.4 228.8C356.3 231.6 352.7 232.7 349.5 231.6C346.2 230.5 344 227.4 344 224C344 206.1 350.7 188.4 360.6 175.2C370.4 162.2 384.5 152 400 152C415.5 152 429.6 162.2 439.4 175.2C449.3 188.4 456 206.1 456 224C456 227.4 453.8 230.5 450.5 231.6C447.3 232.7 443.7 231.6 441.6 228.8L441.6 228.8zM625.7 337.7C607 356.4 576.9 356.8 558.6 338.4C544.4 324.3 536.1 275.6 533 254.1C532.2 248.7 536.7 244.2 542.1 245C563.7 247.1 612.3 256.4 626.4 270.6C644.8 288.9 644.4 319 625.7 337.7L625.7 337.7zM106.1 254.1C103.9 275.6 95.58 324.3 81.44 338.4C63.06 356.8 32.98 356.4 14.27 337.7C-4.442 319-4.825 288.9 13.55 270.6C27.69 256.4 76.34 247.1 97.94 245C103.3 244.2 107.8 248.7 106.1 254.1L106.1 254.1z"]],
    "face-grin-tongue": [512, 512, [128539, "grin-tongue"], "f589", ["M174.5 498.8C73.07 464.7 0 368.9 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 368.9 438.9 464.7 337.5 498.8C346.7 484 352 466.6 352 448V401.1C376.3 383.5 395.6 359.5 407.4 331.5C412.4 319.7 400.4 309 388.1 312.8C348.4 324.9 303.7 331.8 256.3 331.8C208.9 331.8 164.1 324.9 124.5 312.8C112.2 309 100.2 319.7 105.2 331.5C116.9 359.3 135.1 383.1 159.1 400.7V448C159.1 466.6 165.3 484 174.5 498.8L174.5 498.8zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240z", "M208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208zM368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208zM256 512C220.7 512 192 483.3 192 448V402.6C192 387.9 203.9 376 218.6 376H220.6C231.9 376 241.7 383.9 244.2 394.9C247 407.5 264.1 407.5 267.8 394.9C270.3 383.9 280.1 376 291.4 376H293.4C308.1 376 320 387.9 320 402.6V448C320 483.3 291.3 512 256 512V512z"]],
    "face-grin-tongue-squint": [512, 512, [128541, "grin-tongue-squint"], "f58a", ["M174.5 498.8C73.07 464.7 0 368.9 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 368.9 438.9 464.7 337.5 498.8C346.7 484 352 466.6 352 448V401.1C376.3 383.5 395.6 359.5 407.4 331.5C412.4 319.7 400.4 309 388.1 312.8C348.4 324.9 303.7 331.8 256.3 331.8C208.9 331.8 164.1 324.9 124.5 312.8C112.2 309 100.2 319.7 105.2 331.5C116.9 359.3 135.1 383.1 159.1 400.7V448C159.1 466.6 165.3 484 174.5 498.8L174.5 498.8zM133.5 130.7C125.6 126.4 116 132.2 116 141.1C116 143.9 116.1 146.6 118.8 148.8L154.8 192L118.8 235.2C116.1 237.4 116 240.1 116 242.9C116 251.8 125.6 257.6 133.5 253.3L223.4 205.4C234.1 199.7 234.1 184.3 223.4 178.6L133.5 130.7zM396 141.1C396 132.2 386.4 126.4 378.5 130.7L288.6 178.6C277.9 184.3 277.9 199.7 288.6 205.4L378.5 253.3C386.4 257.6 396 251.8 396 242.9C396 240.1 395 237.4 393.2 235.2L357.2 192L393.2 148.8C395 146.6 396 143.9 396 141.1V141.1z", "M223.4 178.6C234.1 184.3 234.1 199.7 223.4 205.4L133.5 253.3C125.6 257.6 116 251.8 116 242.9C116 240.1 116.1 237.4 118.8 235.2L154.8 192L118.8 148.8C116.1 146.6 116 143.9 116 141.1C116 132.2 125.6 126.4 133.5 130.7L223.4 178.6zM378.5 130.7C386.4 126.4 396 132.2 396 141.1C396 143.9 395 146.6 393.2 148.8L357.2 191.1L393.2 235.2C395 237.4 396 240.1 396 242.9C396 251.8 386.4 257.6 378.5 253.3L288.6 205.4C277.9 199.7 277.9 184.3 288.6 178.6L378.5 130.7zM256 512C220.7 512 192 483.3 192 448V402.6C192 387.9 203.9 376 218.6 376H220.6C231.9 376 241.7 383.9 244.2 394.9C247 407.5 264.1 407.5 267.8 394.9C270.3 383.9 280.1 376 291.4 376H293.4C308.1 376 320 387.9 320 402.6V448C320 483.3 291.3 512 256 512V512z"]],
    "face-grin-tongue-wink": [512, 512, [128540, "grin-tongue-wink"], "f58b", ["M174.5 498.8C73.07 464.7 0 368.9 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 368.9 438.9 464.7 337.5 498.8C346.7 484 352 466.6 352 448V401.1C376.3 383.5 395.6 359.5 407.4 331.5C412.4 319.7 400.4 309 388.1 312.8C348.4 324.9 303.7 331.8 256.3 331.8C208.9 331.8 164.1 324.9 124.5 312.8C112.2 309 100.2 319.7 105.2 331.5C116.9 359.3 135.1 383.1 159.1 400.7V448C159.1 466.6 165.3 484 174.5 498.8L174.5 498.8zM217.6 236.8C224.7 231.5 226.1 221.5 220.8 214.4C190.4 173.9 129.6 173.9 99.2 214.4C93.9 221.5 95.33 231.5 102.4 236.8C109.5 242.1 119.5 240.7 124.8 233.6C142.4 210.1 177.6 210.1 195.2 233.6C200.5 240.7 210.5 242.1 217.6 236.8zM336 272C371.3 272 400 243.3 400 208C400 172.7 371.3 144 336 144C300.7 144 272 172.7 272 208C272 243.3 300.7 272 336 272z", "M312 208C312 194.7 322.7 184 336 184C349.3 184 360 194.7 360 208C360 221.3 349.3 232 336 232C322.7 232 312 221.3 312 208zM195.2 233.6C177.6 210.1 142.4 210.1 124.8 233.6C119.5 240.7 109.5 242.1 102.4 236.8C95.33 231.5 93.9 221.5 99.2 214.4C129.6 173.9 190.4 173.9 220.8 214.4C226.1 221.5 224.7 231.5 217.6 236.8C210.5 242.1 200.5 240.7 195.2 233.6zM320 402.6V448C320 483.3 291.3 512 256 512C220.7 512 192 483.3 192 448V402.6C192 387.9 203.9 376 218.6 376H220.6C231.9 376 241.7 383.9 244.2 394.9C247 407.5 264.1 407.5 267.8 394.9C270.3 383.9 280.1 376 291.4 376H293.4C308.1 376 320 387.9 320 402.6V402.6z"]],
    "face-grin-wide": [512, 512, [128515, "grin-alt"], "f581", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256.3 331.8C208.9 331.8 164.1 324.9 124.5 312.8C112.2 309 100.2 319.7 105.2 331.5C130.1 390.6 188.4 432 256.3 432C324.2 432 382.4 390.6 407.4 331.5C412.4 319.7 400.4 309 388.1 312.8C348.4 324.9 303.7 331.8 256.3 331.8H256.3zM176 128C158.3 128 144 156.7 144 192C144 227.3 158.3 256 176 256C193.7 256 208 227.3 208 192C208 156.7 193.7 128 176 128zM336 256C353.7 256 368 227.3 368 192C368 156.7 353.7 128 336 128C318.3 128 304 156.7 304 192C304 227.3 318.3 256 336 256z", "M144 192C144 156.7 158.3 128 176 128C193.7 128 208 156.7 208 192C208 227.3 193.7 256 176 256C158.3 256 144 227.3 144 192zM304 192C304 156.7 318.3 128 336 128C353.7 128 368 156.7 368 192C368 227.3 353.7 256 336 256C318.3 256 304 227.3 304 192z"]],
    "face-grin-wink": [512, 512, ["grin-wink"], "f58c", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256.3 331.8C208.9 331.8 164.1 324.9 124.5 312.8C112.2 309 100.2 319.7 105.2 331.5C130.1 390.6 188.4 432 256.3 432C324.2 432 382.4 390.6 407.4 331.5C412.4 319.7 400.4 309 388.1 312.8C348.4 324.9 303.7 331.8 256.3 331.8H256.3zM393.6 236.8C400.7 231.5 402.1 221.5 396.8 214.4C366.4 173.9 305.6 173.9 275.2 214.4C269.9 221.5 271.3 231.5 278.4 236.8C285.5 242.1 295.5 240.7 300.8 233.6C318.4 210.1 353.6 210.1 371.2 233.6C376.5 240.7 386.5 242.1 393.6 236.8zM176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240z", "M144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208zM278.4 236.8C271.3 231.5 269.9 221.5 275.2 214.4C305.6 173.9 366.4 173.9 396.8 214.4C402.1 221.5 400.7 231.5 393.6 236.8C386.5 242.1 376.5 240.7 371.2 233.6C353.6 210.1 318.4 210.1 300.8 233.6C295.5 240.7 285.5 242.1 278.4 236.8z"]],
    "face-hand-over-mouth": [512, 512, [129762], "e378", ["M512 256C512 369.1 438.7 465.1 336.9 498.9L385.9 449.9C404.1 431.8 404.7 402.8 387.8 384C404.7 365.2 404.1 336.2 385.9 318.1C384.9 317 383.8 316 382.7 315.1C386.4 299.4 382.2 282.3 369.9 270.1C357.7 257.8 340.6 253.6 324.9 257.3C323.1 256.2 322.1 255.1 321.9 254.1C303.2 235.3 272.8 235.3 254.1 254.1L206.1 301.1C197.6 287.4 181.9 278.4 164 278.4C135.3 278.4 112 301.7 112 330.4V416.8C112 438.7 117.5 459.3 127.3 477.3C51.17 432.1 0 350.5 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM176.4 160C158.7 160 144.4 174.3 144.4 192C144.4 209.7 158.7 224 176.4 224C194 224 208.4 209.7 208.4 192C208.4 174.3 194 160 176.4 160zM336.4 224C354 224 368.4 209.7 368.4 192C368.4 174.3 354 160 336.4 160C318.7 160 304.4 174.3 304.4 192C304.4 209.7 318.7 224 336.4 224z", "M208.4 192C208.4 209.7 194 224 176.4 224C158.7 224 144.4 209.7 144.4 192C144.4 174.3 158.7 160 176.4 160C194 160 208.4 174.3 208.4 192zM248 350.6C245.4 353.2 245.4 357.4 248 360C250.6 362.6 254.8 362.6 257.4 360L324.7 292.7C330.9 286.4 341.1 286.4 347.3 292.7C353.6 298.9 353.6 309.1 347.3 315.3L280 382.6C277.4 385.2 277.4 389.4 280 392C282.6 394.6 286.8 394.6 289.4 392L340.7 340.7C346.9 334.4 357.1 334.4 363.3 340.7C369.6 346.9 369.6 357.1 363.3 363.3L312 414.6C309.4 417.2 309.4 421.4 312 424C314.6 426.6 318.8 426.6 321.4 424L340.7 404.7C346.9 398.4 357.1 398.4 363.3 404.7C369.6 410.9 369.6 421.1 363.3 427.3L306.5 484.1C288.7 501.1 264.4 512 239.2 512C186.6 512 144 469.4 144 416.8V330.4C144 319.4 152.1 310.4 164 310.4C175 310.4 184 319.4 184 330.4V350.1C184 357.2 192.6 360.8 197.7 355.7L276.7 276.7C282.9 270.4 293.1 270.4 299.3 276.7C305.6 282.9 305.6 293.1 299.3 299.3L248 350.6zM304.4 192C304.4 174.3 318.7 160 336.4 160C354 160 368.4 174.3 368.4 192C368.4 209.7 354 224 336.4 224C318.7 224 304.4 209.7 304.4 192z"]],
    "face-hand-peeking": [640, 512, [129763], "e481", ["M545.5 134.7C529.6 128.2 510.7 131.4 497.8 144.3C490.4 151.7 486.2 160.1 485.2 170.5L447.2 143.5C436.4 135.7 422.1 134.1 411.2 138.1C405 136.7 398.6 136 392 136C343.4 136 304 175.4 304 224C304 264.3 331.1 298.3 368.1 308.7C368 309.8 368 310.9 368 311.1C368 334.1 385.9 352 408 352H416C416 352.3 416 352.6 416 352.9C416 374.1 433.9 392.9 456 392.9H520.8C526.3 392.9 531.7 392.5 537.1 391.8C491.8 463.1 411.5 512 320 512C210.4 512 116.1 443.2 80.43 346.4C92.79 350.7 105.9 352.9 119.2 352.9H183.1C206.1 352.9 223.1 334.1 223.1 312.9C223.1 312.6 223.1 312.3 223.1 312H232C254.1 312 272 294.1 272 272C272 269.4 271.8 266.9 271.3 264.5C281.4 257.3 288 245.4 288 231.1C288 218.6 281.4 206.7 271.3 199.5C271.8 197.1 272 194.6 272 192C272 169.9 254.1 152 232 152H156.8L158.2 150.5C175.4 133.4 175.4 105.5 158.2 88.32C152.3 82.35 144.1 78.45 137.3 76.63C183.8 29.34 248.5 0 320 0C417.5 0 502.2 54.49 545.5 134.7V134.7zM320 352C284.7 352 256 373.5 256 400C256 426.5 284.7 448 320 448C355.3 448 384 426.5 384 400C384 373.5 355.3 352 320 352zM416.4 224C416.4 230.1 414.1 235.8 410.3 240H374.5C370.7 235.8 368.4 230.1 368.4 224C368.4 210.7 379.1 200 392.4 200C405.6 200 416.4 210.7 416.4 224H416.4z", "M169.6 208C167.4 208 165.6 209.8 165.6 212C165.6 214.2 167.4 216 169.6 216H248C256.8 216 264 223.2 264 232C264 240.8 256.8 248 248 248H169.6C167.4 248 165.6 249.8 165.6 252C165.6 254.2 167.4 256 169.6 256H232C240.8 256 248 263.2 248 272C248 280.8 240.8 288 232 288H170C167.6 288 165.6 289.1 165.6 292.5C165.6 294.9 167.6 296.9 170 296.9H183.1C192.8 296.9 199.1 304.1 199.1 312.9C199.1 321.7 192.8 328.9 183.1 328.9H119.2C93.95 328.9 69.73 318.9 51.88 301C14.98 264.1 14.71 204.4 51.08 167.2L51.88 166.4L112.1 105.3C120.8 97.48 133.5 97.48 141.3 105.3C149.1 113.1 149.1 125.8 141.3 133.6L112.5 162.3C107.5 167.4 111 176 118.2 176H232C240.8 176 248 183.2 248 192C248 200.8 240.8 208 232 208L169.6 208zM414.7 189C407.5 183.9 405.8 173.9 410.1 166.7C416.1 159.5 426.1 157.8 433.3 162.1L515.1 221.4C517.3 223 520.1 223.7 522.9 223.4C532.2 222.3 536.1 210.1 529.5 204.4L514.7 189.6C506.9 181.8 506.9 169.1 514.7 161.3C522.5 153.5 535.2 153.5 543 161.3L588.1 206.4L588.9 207.2C625.3 244.4 625 304.1 588.1 341C570.3 358.9 546.1 368.9 520.8 368.9H456C447.2 368.9 440 361.7 440 352.9C440 344.1 447.2 336.9 456 336.9H475.5C478 336.9 480 334.9 480 332.5C480 329.1 478 328 475.5 328H408C399.2 328 392 320.8 392 311.1C392 303.2 399.2 295.1 408 295.1H476C478.2 295.1 480 294.2 480 291.1C480 289.8 478.2 287.1 476 287.1H392C383.2 287.1 376 280.8 376 271.1C376 263.2 383.2 255.1 392 255.1H466.6C473.1 255.1 480 249.1 480 242.6C480 238.2 477.9 234.2 474.4 231.6L414.7 189z"]],
    "face-hand-yawn": [512, 512, [], "e379", ["M385.9 449.9C404.1 431.8 404.7 402.8 387.8 384C404.7 365.2 404.1 336.2 385.9 318.1C384.9 317 383.8 316 382.7 315.1C386.4 299.4 382.2 282.3 369.9 270.1C358.6 258.7 342.9 254.2 328.1 256.6C310.5 236.6 284.7 223.1 256 223.1C217.8 223.1 184.8 246.3 169.3 278.7C167.6 278.5 165.8 278.4 164 278.4C135.3 278.4 112 301.7 112 330.4V416.8C112 438.7 117.5 459.3 127.3 477.4C51.17 432.1 0 350.5 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 369.1 438.7 465.1 336.9 498.9L385.9 449.9zM201.1 124.5C208.9 118.1 210 108.9 204.5 102C198.1 95.1 188.9 93.99 182 99.51L102 163.5C95.1 169 93.99 179.1 99.51 185.1C105 192.9 115.1 194 121.1 188.5L201.1 124.5zM307.5 102C301.1 108.9 303.1 118.1 310 124.5L390 188.5C396.9 194 406.1 192.9 412.5 185.1C418 179.1 416.9 169 409.1 163.5L329.1 99.51C323.1 93.99 313 95.1 307.5 102z", "M204.5 102C210 108.9 208.9 118.1 201.1 124.5L121.1 188.5C115.1 194 105 192.9 99.51 185.1C93.99 179.1 95.11 169 102 163.5L182 99.51C188.9 93.99 198.1 95.11 204.5 102V102zM248 350.6C245.4 353.2 245.4 357.4 248 360C250.6 362.6 254.8 362.6 257.4 360L324.7 292.7C330.9 286.4 341.1 286.4 347.3 292.7C353.6 298.9 353.6 309.1 347.3 315.3L280 382.6C277.4 385.2 277.4 389.4 280 392C282.6 394.6 286.8 394.6 289.4 392L340.7 340.7C346.9 334.4 357.1 334.4 363.3 340.7C369.6 346.9 369.6 357.1 363.3 363.3L312 414.6C309.4 417.2 309.4 421.4 312 424C314.6 426.6 318.8 426.6 321.4 424L340.7 404.7C346.9 398.4 357.1 398.4 363.3 404.7C369.6 410.9 369.6 421.1 363.3 427.3L306.5 484.1C288.7 501.1 264.4 512 239.2 512C186.6 512 144 469.4 144 416.8V330.4C144 319.4 152.1 310.4 164 310.4C175 310.4 184 319.4 184 330.4V350.1C184 357.2 192.6 360.8 197.7 355.7L276.7 276.7C282.9 270.4 293.1 270.4 299.3 276.7C305.6 282.9 305.6 293.1 299.3 299.3L248 350.6zM310 124.5C303.1 118.1 301.1 108.9 307.5 102C313 95.11 323.1 93.99 329.1 99.51L409.1 163.5C416.9 169 418 179.1 412.5 185.1C406.1 192.9 396.9 194 390 188.5L310 124.5z"]],
    "face-head-bandage": [576, 512, [], "e37a", ["M544 256C544 397.4 429.4 512 288 512C188.5 512 102.2 455.2 59.83 372.2C62.31 368.4 64.59 364.7 66.56 361.5C68.48 358.4 70.09 355.7 71.29 353.1C100.4 310.8 135.9 272.4 176.4 240C176.4 257.7 190.7 271.1 208.4 271.1C226 271.1 240.4 257.7 240.4 239.1C240.4 225.9 231.2 213.9 218.5 209.6C227.5 203.8 236.7 198.3 246.1 193C259.1 192.3 273.9 191.1 288 191.1C371.4 191.1 451.9 204.3 527.8 227.1L542.9 231.6C543.6 239.6 544 247.8 544 255.1L544 256zM373.2 397.5C379.8 403.5 389.9 402.1 395.8 396.5C401.8 389.9 401.3 379.8 394.8 373.8C373.2 354.3 340.2 336 296 336C279.6 336 264.6 338.5 251.2 342.8C242.8 345.4 238.1 354.4 240.7 362.8C243.4 371.2 252.4 375.9 260.8 373.3C271.2 370 282.9 368 296 368C330.8 368 356.4 382.2 373.2 397.5zM368.4 272C386 272 400.4 257.7 400.4 240C400.4 222.3 386 208 368.4 208C350.7 208 336.4 222.3 336.4 240C336.4 257.7 350.7 272 368.4 272zM210.5 67.09C172.9 70.09 136 75.25 99.81 82.44C146.6 31.75 213.6 0 288 0C315.1 0 342.9 4.491 368.1 12.79C312.6 24.05 259.7 42.49 210.5 67.09V67.09z", "M476.2 82.44C419.3 71.13 360.6 64.86 300.6 64.08C338.9 51.1 378.9 41.83 420.1 36.7C440.9 49.25 459.8 64.69 476.2 82.44zM537 196.4C458.2 172.7 374.6 160 287.1 160C270.9 160 253.9 160.5 237 161.5C189.2 164.3 142.5 170.9 97.08 181.2C77.45 185.6 58.07 190.7 38.97 196.4C45.35 169.7 55.93 144.5 69.98 121.8C118.4 110.1 168.2 102.2 219.2 98.51C241.9 96.85 264.9 96 287.1 96C327.1 96 367.3 98.53 405.1 103.4C439.9 107.7 473.3 113.9 506 121.8C520.1 144.5 530.7 169.7 537 196.4zM44.77 336.1C36.48 310.9 32 283.1 32 256C32 252.1 32.05 249.9 32.16 246.9C38.06 239.9 44.12 233.1 50.33 226.4C91.29 214.2 133.6 205.1 176.1 199.3C125.3 236.8 80.5 283.1 44.77 336.1V336.1zM218.5 209.6C231.2 213.9 240.4 225.9 240.4 240C240.4 257.7 226 272 208.4 272C190.7 272 176.4 257.7 176.4 240C189.9 229.2 203.9 219.1 218.5 209.6V209.6zM336.4 240C336.4 222.3 350.7 208 368.4 208C386 208 400.4 222.3 400.4 240C400.4 257.7 386 272 368.4 272C350.7 272 336.4 257.7 336.4 240z"]],
    "face-holding-back-tears": [512, 512, [129401], "e482", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM344.5 367.9C337.8 362.1 327.7 362.8 321.9 369.5C308.1 384.4 287.1 400 256 400C224.9 400 203 384.4 190.1 369.5C184.3 362.8 174.2 362.1 167.5 367.9C160.8 373.7 160.1 383.8 165.9 390.5C183.1 410.3 213.2 432 256 432C298.8 432 328.9 410.3 346.1 390.5C351.9 383.8 351.2 373.7 344.5 367.9zM240 240C240 198.5 208.5 164.4 168 160.4C178.1 149.6 185.7 136.3 189.9 121.5L191.4 116.4C193.8 107.9 188.9 99.04 180.4 96.62C171.9 94.19 163 99.11 160.6 107.6L159.1 112.8C152.1 137.4 130.1 155.5 105.5 158.7L94.02 160.1C85.25 161.2 79.03 169.2 80.12 177.1C81.14 186.1 88.04 192 95.99 192C85.95 205.4 80 221.1 80 240C80 258 85.95 274.6 96 288V320C96 328.8 103.2 336 112 336C120.8 336 128 328.8 128 320V313.3C137.8 317.6 148.6 320 160 320C178 320 194.6 314 208 304C208 312.8 215.2 320 224 320C232.8 320 240 312.8 240 304V240zM384 320C384 328.8 391.2 336 400 336C408.8 336 416 328.8 416 320V288C426 274.6 432 258 432 240C432 221.1 426 205.4 416 192C423.1 192 430.9 186.1 431.9 177.1C432.1 169.2 426.8 161.2 417.1 160.1L406.5 158.7C381 155.5 359.9 137.4 352.9 112.8L351.4 107.6C348.1 99.11 340.1 94.19 331.6 96.62C323.1 99.04 318.2 107.9 320.6 116.4L322.1 121.5C326.3 136.3 333.9 149.6 343.1 160.4C303.5 164.4 272 198.5 272 240C272 284.2 307.8 320 352 320C363.4 320 374.2 317.6 384 313.3V320z", "M189.9 121.6C179.3 158.6 147.7 185.7 109.5 190.4L97.98 191.9C89.22 192.1 81.22 186.8 80.12 177.1C79.03 169.2 85.25 161.2 94.02 160.1L105.5 158.7C130.1 155.5 152.1 137.4 159.1 112.8L160.6 107.6C163 99.11 171.9 94.19 180.4 96.62C188.9 99.04 193.8 107.9 191.4 116.4L189.9 121.6zM320.6 116.4C318.2 107.9 323.1 99.04 331.6 96.62C340.1 94.19 348.1 99.11 351.4 107.6L352.9 112.8C359.9 137.4 381 155.5 406.5 158.7L417.1 160.1C426.8 161.2 432.1 169.2 431.9 177.1C430.8 186.8 422.8 192.1 414 191.9L402.5 190.4C364.3 185.7 332.7 158.6 322.1 121.6L320.6 116.4zM128 232C145.7 232 160 217.7 160 200C160 194.2 158.5 188.8 155.8 184.2C157.2 184.1 158.6 184 160 184C190.9 184 216 209.1 216 240C216 270.9 190.9 296 160 296C129.1 296 104 270.9 104 240C104 234.3 104.8 228.8 106.4 223.6C112.1 228.8 119.7 232 128 232zM347.8 184.2C349.2 184.1 350.6 184 352 184C382.9 184 408 209.1 408 240C408 270.9 382.9 296 352 296C321.1 296 296 270.9 296 240C296 234.3 296.9 228.8 298.4 223.6C304.1 228.8 311.7 232 320 232C337.7 232 352 217.7 352 200C352 194.2 350.5 188.8 347.8 184.2z"]],
    "face-hushed": [512, 512, [], "e37b", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM176.4 288C194 288 208.4 273.7 208.4 256C208.4 238.3 194 224 176.4 224C158.7 224 144.4 238.3 144.4 256C144.4 273.7 158.7 288 176.4 288zM336.4 224C318.7 224 304.4 238.3 304.4 256C304.4 273.7 318.7 288 336.4 288C354 288 368.4 273.7 368.4 256C368.4 238.3 354 224 336.4 224zM178.1 160.9C183.2 160.3 187.6 160 192 160C200.8 160 208 152.8 208 144C208 135.2 200.8 128 192 128C186.2 128 180.4 128.4 174.8 129.1C146.6 132.9 121.1 145.6 101.1 164.3C94.62 170.3 94.28 180.5 100.3 186.9C106.3 193.4 116.5 193.7 122.9 187.7C138.4 173.2 157.8 163.7 178.1 160.9zM320 160C324.4 160 328.8 160.3 333 160.9C354.2 163.7 373.6 173.2 389.1 187.7C395.5 193.7 405.7 193.4 411.7 186.9C417.7 180.5 417.4 170.3 410.9 164.3C390.9 145.6 365.4 132.9 337.2 129.1C331.6 128.4 325.8 128 320 128C311.2 128 304 135.2 304 144C304 152.8 311.2 160 320 160zM256 432C282.5 432 304 410.5 304 384C304 357.5 282.5 336 256 336C229.5 336 208 357.5 208 384C208 410.5 229.5 432 256 432z", "M192 160C187.6 160 183.2 160.3 178.1 160.9C157.8 163.7 138.4 173.2 122.9 187.7C116.5 193.7 106.3 193.4 100.3 186.9C94.28 180.5 94.62 170.3 101.1 164.3C121.1 145.6 146.6 132.9 174.8 129.1C180.4 128.4 186.2 128 192 128C200.8 128 208 135.2 208 144C208 152.8 200.8 160 192 160zM144.4 256C144.4 238.3 158.7 224 176.4 224C194 224 208.4 238.3 208.4 256C208.4 273.7 194 288 176.4 288C158.7 288 144.4 273.7 144.4 256zM304.4 256C304.4 238.3 318.7 224 336.4 224C354 224 368.4 238.3 368.4 256C368.4 273.7 354 288 336.4 288C318.7 288 304.4 273.7 304.4 256zM333 160.9C328.8 160.3 324.4 160 320 160C311.2 160 304 152.8 304 144C304 135.2 311.2 128 320 128C325.8 128 331.6 128.4 337.2 129.1C365.4 132.9 390.9 145.6 410.9 164.3C417.4 170.3 417.7 180.5 411.7 186.9C405.7 193.4 395.5 193.7 389.1 187.7C373.6 173.2 354.2 163.7 333 160.9z"]],
    "face-icicles": [512, 512, [], "e37c", ["M512 256C512 264.3 511.6 272.6 510.8 280.7C510.8 281.2 510.8 281.8 510.7 282.3L495.9 482.4C494.7 499.1 480.8 512 464 512C447.2 512 433.3 499.1 432.1 482.4L429.3 444.4C424.3 449 419.1 453.5 413.7 457.7L402.2 490.6C397.7 503.4 385.6 512 372 512C360.5 512 350.1 505.9 344.5 496.3C316.9 506.5 287.1 512 256 512C186.6 512 123.7 484.4 77.6 439.6C71.87 444.9 64.26 448 56 448C40.36 448 27.01 436.7 24.44 421.3L6.455 313.4C2.231 294.9 0 275.7 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256H512zM56 416L76.05 295.7C78.12 283.3 68.56 272 56 272C43.44 272 33.88 283.3 35.95 295.7L56 416zM372 480L400 400V360H344V400L372 480zM352 304H344V344H399.3C395.5 321.3 375.8 304 352 304zM328 344V304H264V344H328zM328 400V360H264V400L296 448L328 400zM184 304V344H248V304H184zM184 360V400H248V360H184zM168 344V304H160C136.2 304 116.5 321.3 112.7 344H168zM168 400V360H112.7C116.5 382.7 136.2 400 160 400H168zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240zM464 480L485.8 247.9C486.1 235.1 476.9 224 464 224C451.1 224 441 235.1 442.2 247.9L464 480z", "M144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208zM304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208z"]],
    "face-kiss": [512, 512, [128535, "kiss"], "f596", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM287.9 300.3C274.7 292.9 257.4 288 240 288C236.4 288 233.2 290.5 232.3 293.1C231.3 297.5 232.9 301.2 236.1 302.1L236.1 302.1L236.3 303.1L236.8 303.4L237.2 303.7C238 304.1 239.2 304.9 240.6 305.8C243.4 307.6 247.2 310.3 250.8 313.4C254.6 316.5 258 319.1 260.5 323.4C262.1 326.1 264 329.8 264 332C264 334.2 262.1 337 260.5 340.6C258 344 254.6 347.5 250.8 350.6C247.2 353.7 243.4 356.4 240.6 358.2C239.2 359.1 238 359.9 237.2 360.3L236.6 360.7L236.3 360.9L236.1 361L236.1 361C233.6 362.4 232 365.1 232 368C232 370.9 233.6 373.6 236.1 374.1L236.1 374.1L236.3 375.1C236.5 375.2 236.8 375.4 237.2 375.7C238 376.1 239.2 376.9 240.6 377.8C243.4 379.6 247.2 382.3 250.8 385.4C254.6 388.5 258 391.9 260.5 395.4C262.1 398.1 264 401.8 264 403.1C264 406.2 262.1 409 260.5 412.6C258 416 254.6 419.5 250.8 422.6C247.2 425.7 243.4 428.4 240.6 430.2C239.2 431.1 238 431.9 237.2 432.3C236.8 432.6 236.5 432.8 236.3 432.9L236.1 432.1L236.1 433C232.9 434.8 231.3 438.5 232.3 442C233.2 445.5 236.4 447.1 240 447.1C257.4 447.1 274.7 443.1 287.9 435.7C294.5 432 300.4 427.5 304.7 422.3C308.9 417.2 312 410.9 312 403.1C312 397.1 308.9 390.8 304.7 385.7C300.4 380.5 294.5 375.1 287.9 372.3C285.2 370.7 282.3 369.3 279.2 367.1C282.3 366.7 285.2 365.3 287.9 363.7C294.5 360 300.4 355.5 304.7 350.3C308.9 345.2 312 338.9 312 331.1C312 325.1 308.9 318.8 304.7 313.7C300.4 308.5 294.5 303.1 287.9 300.3L287.9 300.3zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240z", "M144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208zM304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208z"]],
    "face-kiss-beam": [512, 512, [128537, "kiss-beam"], "f597", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM287.9 300.3C274.7 292.9 257.4 288 240 288C236.4 288 233.2 290.5 232.3 293.1C231.3 297.5 232.9 301.2 236.1 302.1L236.1 302.1L236.3 303.1L236.8 303.4L237.2 303.7C238 304.1 239.2 304.9 240.6 305.8C243.4 307.6 247.2 310.3 250.8 313.4C254.6 316.5 258 319.1 260.5 323.4C262.1 326.1 264 329.8 264 332C264 334.2 262.1 337 260.5 340.6C258 344 254.6 347.5 250.8 350.6C247.2 353.7 243.4 356.4 240.6 358.2C239.2 359.1 238 359.9 237.2 360.3L236.6 360.7L236.3 360.9L236.1 361L236.1 361C233.6 362.4 232 365.1 232 368C232 370.9 233.6 373.6 236.1 374.1L236.1 374.1L236.3 375.1C236.5 375.2 236.8 375.4 237.2 375.7C238 376.1 239.2 376.9 240.6 377.8C243.4 379.6 247.2 382.3 250.8 385.4C254.6 388.5 258 391.9 260.5 395.4C262.1 398.1 264 401.8 264 403.1C264 406.2 262.1 409 260.5 412.6C258 416 254.6 419.5 250.8 422.6C247.2 425.7 243.4 428.4 240.6 430.2C239.2 431.1 238 431.9 237.2 432.3C236.8 432.6 236.5 432.8 236.3 432.9L236.1 432.1L236.1 433C232.9 434.8 231.3 438.5 232.3 442C233.2 445.5 236.4 447.1 240 447.1C257.4 447.1 274.7 443.1 287.9 435.7C294.5 432 300.4 427.5 304.7 422.3C308.9 417.2 312 410.9 312 403.1C312 397.1 308.9 390.8 304.7 385.7C300.4 380.5 294.5 375.1 287.9 372.3C285.2 370.7 282.3 369.3 279.2 367.1C282.3 366.7 285.2 365.3 287.9 363.7C294.5 360 300.4 355.5 304.7 350.3C308.9 345.2 312 338.9 312 331.1C312 325.1 308.9 318.8 304.7 313.7C300.4 308.5 294.5 303.1 287.9 300.3L287.9 300.3zM226.5 231.6C229.8 230.5 232 227.4 232 224C232 206.1 225.3 188.4 215.4 175.2C205.6 162.2 191.5 152 176 152C160.5 152 146.4 162.2 136.6 175.2C126.7 188.4 120 206.1 120 224C120 227.4 122.2 230.5 125.5 231.6C128.7 232.7 132.3 231.6 134.4 228.8L134.4 228.8L134.6 228.5C134.8 228.3 134.1 228 135.3 227.6C135.1 226.8 136.9 225.7 138.1 224.3C140.6 221.4 144.1 217.7 148.3 213.1C157.1 206.2 167.2 200 176 200C184.8 200 194.9 206.2 203.7 213.1C207.9 217.7 211.4 221.4 213.9 224.3C215.1 225.7 216 226.8 216.7 227.6C217 228 217.2 228.3 217.4 228.5L217.6 228.8L217.6 228.8C219.7 231.6 223.3 232.7 226.5 231.6V231.6zM377.6 228.8C379.7 231.6 383.3 232.7 386.5 231.6C389.8 230.5 392 227.4 392 224C392 206.1 385.3 188.4 375.4 175.2C365.6 162.2 351.5 152 336 152C320.5 152 306.4 162.2 296.6 175.2C286.7 188.4 280 206.1 280 224C280 227.4 282.2 230.5 285.5 231.6C288.7 232.7 292.3 231.6 294.4 228.8L294.4 228.8L294.6 228.5C294.8 228.3 294.1 228 295.3 227.6C295.1 226.8 296.9 225.7 298.1 224.3C300.6 221.4 304.1 217.7 308.3 213.1C317.1 206.2 327.2 200 336 200C344.8 200 354.9 206.2 363.7 213.1C367.9 217.7 371.4 221.4 373.9 224.3C375.1 225.7 376 226.8 376.7 227.6C377 228 377.2 228.3 377.4 228.5L377.6 228.8L377.6 228.8z", "M217.6 228.8L217.4 228.5C217.2 228.3 217 228 216.7 227.6C216 226.8 215.1 225.7 213.9 224.3C211.4 221.4 207.9 217.7 203.7 213.1C194.9 206.2 184.8 200 176 200C167.2 200 157.1 206.2 148.3 213.1C144.1 217.7 140.6 221.4 138.1 224.3C136.9 225.7 135.1 226.8 135.3 227.6C134.1 228 134.8 228.3 134.6 228.5L134.4 228.8L134.4 228.8C132.3 231.6 128.7 232.7 125.5 231.6C122.2 230.5 120 227.4 120 224C120 206.1 126.7 188.4 136.6 175.2C146.4 162.2 160.5 152 176 152C191.5 152 205.6 162.2 215.4 175.2C225.3 188.4 232 206.1 232 224C232 227.4 229.8 230.5 226.5 231.6C223.3 232.7 219.7 231.6 217.6 228.8L217.6 228.8zM377.6 228.8L377.4 228.5C377.2 228.3 377 228 376.7 227.6C376 226.8 375.1 225.7 373.9 224.3C371.4 221.4 367.9 217.7 363.7 213.1C354.9 206.2 344.8 200 336 200C327.2 200 317.1 206.2 308.3 213.1C304.1 217.7 300.6 221.4 298.1 224.3C296.9 225.7 295.1 226.8 295.3 227.6C294.1 228 294.8 228.3 294.6 228.5L294.4 228.8L294.4 228.8C292.3 231.6 288.7 232.7 285.5 231.6C282.2 230.5 280 227.4 280 224C280 206.1 286.7 188.4 296.6 175.2C306.4 162.2 320.5 152 336 152C351.5 152 365.6 162.2 375.4 175.2C385.3 188.4 392 206.1 392 224C392 227.4 389.8 230.5 386.5 231.6C383.3 232.7 379.7 231.6 377.6 228.8L377.6 228.8z"]],
    "face-kiss-closed-eyes": [512, 512, [], "e37d", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM287.9 300.3C274.7 292.9 257.4 288 240 288C236.4 288 233.2 290.5 232.3 293.1C231.3 297.5 232.9 301.2 236.1 302.1L236.1 302.1L236.3 303.1L236.8 303.4L237.2 303.7C238 304.1 239.2 304.9 240.6 305.8C243.4 307.6 247.2 310.3 250.8 313.4C254.6 316.5 258 319.1 260.5 323.4C262.1 326.1 264 329.8 264 332C264 334.2 262.1 337 260.5 340.6C258 344 254.6 347.5 250.8 350.6C247.2 353.7 243.4 356.4 240.6 358.2C239.2 359.1 238 359.9 237.2 360.3L236.6 360.7L236.3 360.9L236.1 361L236.1 361C233.6 362.4 232 365.1 232 368C232 370.9 233.6 373.6 236.1 374.1L236.1 374.1L236.3 375.1C236.5 375.2 236.8 375.4 237.2 375.7C238 376.1 239.2 376.9 240.6 377.8C243.4 379.6 247.2 382.3 250.8 385.4C254.6 388.5 258 391.9 260.5 395.4C262.1 398.1 264 401.8 264 403.1C264 406.2 262.1 409 260.5 412.6C258 416 254.6 419.5 250.8 422.6C247.2 425.7 243.4 428.4 240.6 430.2C239.2 431.1 238 431.9 237.2 432.3C236.8 432.6 236.5 432.8 236.3 432.9L236.1 432.1L236.1 433C232.9 434.8 231.3 438.5 232.3 442C233.2 445.5 236.4 447.1 240 447.1C257.4 447.1 274.7 443.1 287.9 435.7C294.5 432 300.4 427.5 304.7 422.3C308.9 417.2 312 410.9 312 403.1C312 397.1 308.9 390.8 304.7 385.7C300.4 380.5 294.5 375.1 287.9 372.3C285.2 370.7 282.3 369.3 279.2 367.1C282.3 366.7 285.2 365.3 287.9 363.7C294.5 360 300.4 355.5 304.7 350.3C308.9 345.2 312 338.9 312 331.1C312 325.1 308.9 318.8 304.7 313.7C300.4 308.5 294.5 303.1 287.9 300.3L287.9 300.3zM233.6 236.8C240.7 231.5 242.1 221.5 236.8 214.4C206.4 173.9 145.6 173.9 115.2 214.4C109.9 221.5 111.3 231.5 118.4 236.8C125.5 242.1 135.5 240.7 140.8 233.6C158.4 210.1 193.6 210.1 211.2 233.6C216.5 240.7 226.5 242.1 233.6 236.8zM300.8 233.6C318.4 210.1 353.6 210.1 371.2 233.6C376.5 240.7 386.5 242.1 393.6 236.8C400.7 231.5 402.1 221.5 396.8 214.4C366.4 173.9 305.6 173.9 275.2 214.4C269.9 221.5 271.3 231.5 278.4 236.8C285.5 242.1 295.5 240.7 300.8 233.6z", "M118.4 236.8C111.3 231.5 109.9 221.5 115.2 214.4C145.6 173.9 206.4 173.9 236.8 214.4C242.1 221.5 240.7 231.5 233.6 236.8C226.5 242.1 216.5 240.7 211.2 233.6C193.6 210.1 158.4 210.1 140.8 233.6C135.5 240.7 125.5 242.1 118.4 236.8V236.8zM278.4 236.8C271.3 231.5 269.9 221.5 275.2 214.4C305.6 173.9 366.4 173.9 396.8 214.4C402.1 221.5 400.7 231.5 393.6 236.8C386.5 242.1 376.5 240.7 371.2 233.6C353.6 210.1 318.4 210.1 300.8 233.6C295.5 240.7 285.5 242.1 278.4 236.8z"]],
    "face-kiss-wink-heart": [512, 512, [128536, "kiss-wink-heart"], "f598", ["M512 256C512 285.3 507.1 313.4 498 339.7C486.9 334.1 474.5 333.1 461.8 334.6C448.1 300.8 411.5 280.3 374.3 290.7C334.2 301.9 312.4 343.8 322.4 382.8L345.3 472.1C347.3 479.7 350.9 486.4 355.7 491.8C325.1 504.8 291.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256L512 256zM271.9 300.3C258.7 292.9 241.4 288 224 288C220.4 288 217.2 290.5 216.3 293.1C215.3 297.5 216.9 301.2 220.1 302.1L220.1 302.1L220.3 303.1C220.5 303.2 220.8 303.4 221.2 303.7C222 304.1 223.2 304.9 224.6 305.8C227.4 307.6 231.2 310.3 234.8 313.4C238.6 316.5 242 319.1 244.5 323.4C246.1 326.1 248 329.8 248 332C248 334.2 246.1 337 244.5 340.6C242 344 238.6 347.5 234.8 350.6C231.2 353.7 227.4 356.4 224.6 358.2C223.2 359.1 222 359.9 221.2 360.3C220.8 360.6 220.5 360.8 220.3 360.9L220.1 361L220.1 361C217.6 362.4 216 365.1 216 368C216 370.9 217.6 373.6 220.1 374.1L220.1 374.1L220.3 375.1L220.6 375.3L221.2 375.7C222 376.1 223.2 376.9 224.6 377.8C227.4 379.6 231.2 382.3 234.8 385.4C238.6 388.5 242 391.9 244.5 395.4C246.1 398.1 248 401.8 248 403.1C248 406.2 246.1 409 244.5 412.6C242 416 238.6 419.5 234.8 422.6C231.2 425.7 227.4 428.4 224.6 430.2C223.2 431.1 222 431.9 221.2 432.3C220.8 432.6 220.5 432.8 220.3 432.9L220.1 433L220.1 433C216.9 434.8 215.3 438.5 216.3 442C217.2 445.5 220.4 447.1 224 447.1C241.4 447.1 258.7 443.1 271.9 435.7C278.5 432 284.4 427.5 288.7 422.3C292.9 417.2 296 410.9 296 403.1C296 397.1 292.9 390.8 288.7 385.7C284.4 380.5 278.5 375.1 271.9 372.3C269.2 370.7 266.3 369.3 263.2 367.1C266.3 366.7 269.2 365.3 271.9 363.7C278.5 360 284.4 355.5 288.7 350.3C292.9 345.2 296 338.9 296 331.1C296 325.1 292.9 318.8 288.7 313.7C284.4 308.5 278.5 303.1 271.9 300.3L271.9 300.3zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM300.8 233.6C318.4 210.1 353.6 210.1 371.2 233.6C376.5 240.7 386.5 242.1 393.6 236.8C400.7 231.5 402.1 221.5 396.8 214.4C366.4 173.9 305.6 173.9 275.2 214.4C269.9 221.5 271.3 231.5 278.4 236.8C285.5 242.1 295.5 240.7 300.8 233.6z", "M208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208zM371.2 233.6C353.6 210.1 318.4 210.1 300.8 233.6C295.5 240.7 285.5 242.1 278.4 236.8C271.3 231.5 269.9 221.5 275.2 214.4C305.6 173.9 366.4 173.9 396.8 214.4C402.1 221.5 400.7 231.5 393.6 236.8C386.5 242.1 376.5 240.7 371.2 233.6zM439.4 373.3L459.5 367.6C481.7 361.4 504.6 375.2 510.6 398.4C516.5 421.7 503.3 445.6 481.1 451.8L396.1 475.6C387.5 478 378.6 472.9 376.3 464.2L353.4 374.9C347.5 351.6 360.7 327.7 382.9 321.5C405.2 315.3 428 329.1 433.1 352.3L439.4 373.3z"]],
    "face-laugh": [512, 512, ["laugh"], "f599", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 432C332.1 432 396.2 382 415.2 314.1C419.1 300.4 407.8 288 393.6 288H118.4C104.2 288 92.92 300.4 96.76 314.1C115.8 382 179.9 432 256 432V432zM176.4 160C158.7 160 144.4 174.3 144.4 192C144.4 209.7 158.7 224 176.4 224C194 224 208.4 209.7 208.4 192C208.4 174.3 194 160 176.4 160zM336.4 224C354 224 368.4 209.7 368.4 192C368.4 174.3 354 160 336.4 160C318.7 160 304.4 174.3 304.4 192C304.4 209.7 318.7 224 336.4 224z", "M144.4 192C144.4 174.3 158.7 160 176.4 160C194 160 208.4 174.3 208.4 192C208.4 209.7 194 224 176.4 224C158.7 224 144.4 209.7 144.4 192zM304.4 192C304.4 174.3 318.7 160 336.4 160C354 160 368.4 174.3 368.4 192C368.4 209.7 354 224 336.4 224C318.7 224 304.4 209.7 304.4 192z"]],
    "face-laugh-beam": [512, 512, [128513, "laugh-beam"], "f59a", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 432C332.1 432 396.2 382 415.2 314.1C419.1 300.4 407.8 288 393.6 288H118.4C104.2 288 92.92 300.4 96.76 314.1C115.8 382 179.9 432 256 432V432zM226.5 215.6C229.8 214.5 232 211.4 232 208C232 190.1 225.3 172.4 215.4 159.2C205.6 146.2 191.5 136 176 136C160.5 136 146.4 146.2 136.6 159.2C126.7 172.4 120 190.1 120 208C120 211.4 122.2 214.5 125.5 215.6C128.7 216.7 132.3 215.6 134.4 212.8L134.4 212.8L134.6 212.5C134.8 212.3 134.1 212 135.3 211.6C135.1 210.8 136.9 209.7 138.1 208.3C140.6 205.4 144.1 201.7 148.3 197.1C157.1 190.2 167.2 184 176 184C184.8 184 194.9 190.2 203.7 197.1C207.9 201.7 211.4 205.4 213.9 208.3C215.1 209.7 216 210.8 216.7 211.6C217 212 217.2 212.3 217.4 212.5L217.6 212.8L217.6 212.8C219.7 215.6 223.3 216.7 226.5 215.6V215.6zM377.6 212.8C379.7 215.6 383.3 216.7 386.5 215.6C389.8 214.5 392 211.4 392 208C392 190.1 385.3 172.4 375.4 159.2C365.6 146.2 351.5 136 336 136C320.5 136 306.4 146.2 296.6 159.2C286.7 172.4 280 190.1 280 208C280 211.4 282.2 214.5 285.5 215.6C288.7 216.7 292.3 215.6 294.4 212.8L294.4 212.8L294.6 212.5C294.8 212.3 294.1 212 295.3 211.6C295.1 210.8 296.9 209.7 298.1 208.3C300.6 205.4 304.1 201.7 308.3 197.1C317.1 190.2 327.2 184 336 184C344.8 184 354.9 190.2 363.7 197.1C367.9 201.7 371.4 205.4 373.9 208.3C375.1 209.7 376 210.8 376.7 211.6C377 212 377.2 212.3 377.4 212.5L377.6 212.8L377.6 212.8z", "M217.6 212.8L217.4 212.5C217.2 212.3 217 212 216.7 211.6C216 210.8 215.1 209.7 213.9 208.3C211.4 205.4 207.9 201.7 203.7 197.1C194.9 190.2 184.8 184 176 184C167.2 184 157.1 190.2 148.3 197.1C144.1 201.7 140.6 205.4 138.1 208.3C136.9 209.7 135.1 210.8 135.3 211.6C134.1 212 134.8 212.3 134.6 212.5L134.4 212.8L134.4 212.8C132.3 215.6 128.7 216.7 125.5 215.6C122.2 214.5 120 211.4 120 208C120 190.1 126.7 172.4 136.6 159.2C146.4 146.2 160.5 136 176 136C191.5 136 205.6 146.2 215.4 159.2C225.3 172.4 232 190.1 232 208C232 211.4 229.8 214.5 226.5 215.6C223.3 216.7 219.7 215.6 217.6 212.8L217.6 212.8zM377.6 212.8L377.4 212.5C377.2 212.3 377 212 376.7 211.6C376 210.8 375.1 209.7 373.9 208.3C371.4 205.4 367.9 201.7 363.7 197.1C354.9 190.2 344.8 184 336 184C327.2 184 317.1 190.2 308.3 197.1C304.1 201.7 300.6 205.4 298.1 208.3C296.9 209.7 295.1 210.8 295.3 211.6C294.1 212 294.8 212.3 294.6 212.5L294.4 212.8L294.4 212.8C292.3 215.6 288.7 216.7 285.5 215.6C282.2 214.5 280 211.4 280 208C280 190.1 286.7 172.4 296.6 159.2C306.4 146.2 320.5 136 336 136C351.5 136 365.6 146.2 375.4 159.2C385.3 172.4 392 190.1 392 208C392 211.4 389.8 214.5 386.5 215.6C383.3 216.7 379.7 215.6 377.6 212.8L377.6 212.8z"]],
    "face-laugh-squint": [512, 512, ["laugh-squint"], "f59b", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 432C332.1 432 396.2 382 415.2 314.1C419.1 300.4 407.8 288 393.6 288H118.4C104.2 288 92.92 300.4 96.76 314.1C115.8 382 179.9 432 256 432V432zM133.5 114.7C125.6 110.4 116 116.2 116 125.1C116 127.9 116.1 130.6 118.8 132.8L154.8 176L118.8 219.2C116.1 221.4 116 224.1 116 226.9C116 235.8 125.6 241.6 133.5 237.3L223.4 189.4C234.1 183.7 234.1 168.3 223.4 162.6L133.5 114.7zM396 125.1C396 116.2 386.4 110.4 378.5 114.7L288.6 162.6C277.9 168.3 277.9 183.7 288.6 189.4L378.5 237.3C386.4 241.6 396 235.8 396 226.9C396 224.1 395 221.4 393.2 219.2L357.2 176L393.2 132.8C395 130.6 396 127.9 396 125.1V125.1z", "M116 125.1C116 116.2 125.6 110.4 133.5 114.7L223.4 162.6C234.1 168.3 234.1 183.7 223.4 189.4L133.5 237.3C125.6 241.6 116 235.8 116 226.9C116 224.1 116.1 221.4 118.8 219.2L154.8 176L118.8 132.8C116.1 130.6 116 127.9 116 125.1V125.1zM393.2 132.8L357.2 176L393.2 219.2C395 221.4 396 224.1 396 226.9C396 235.8 386.4 241.6 378.5 237.3L288.6 189.4C277.9 183.7 277.9 168.3 288.6 162.6L378.5 114.7C386.4 110.4 396 116.2 396 125.1C396 127.9 395 130.6 393.2 132.8V132.8z"]],
    "face-laugh-wink": [512, 512, ["laugh-wink"], "f59c", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 432C332.1 432 396.2 382 415.2 314.1C419.1 300.4 407.8 288 393.6 288H118.4C104.2 288 92.92 300.4 96.76 314.1C115.8 382 179.9 432 256 432V432zM176.4 160C158.7 160 144.4 174.3 144.4 192C144.4 209.7 158.7 224 176.4 224C194 224 208.4 209.7 208.4 192C208.4 174.3 194 160 176.4 160zM300.8 217.6C318.4 194.1 353.6 194.1 371.2 217.6C376.5 224.7 386.5 226.1 393.6 220.8C400.7 215.5 402.1 205.5 396.8 198.4C366.4 157.9 305.6 157.9 275.2 198.4C269.9 205.5 271.3 215.5 278.4 220.8C285.5 226.1 295.5 224.7 300.8 217.6z", "M144.4 192C144.4 174.3 158.7 160 176.4 160C194 160 208.4 174.3 208.4 192C208.4 209.7 194 224 176.4 224C158.7 224 144.4 209.7 144.4 192zM278.4 220.8C271.3 215.5 269.9 205.5 275.2 198.4C305.6 157.9 366.4 157.9 396.8 198.4C402.1 205.5 400.7 215.5 393.6 220.8C386.5 226.1 376.5 224.7 371.2 217.6C353.6 194.1 318.4 194.1 300.8 217.6C295.5 224.7 285.5 226.1 278.4 220.8z"]],
    "face-lying": [512, 512, [], "e37e", ["M256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C389.3 0 498.8 101.8 510.9 231.9C501.7 226.9 491.2 224 480 224H288C279.2 224 272 231.2 272 240C272 248.8 279.2 256 288 256H480C497.7 256 512 270.3 512 288C512 305.7 497.7 320 480 320H352C343.2 320 336 327.2 336 336C336 344.8 343.2 352 352 352H480C484.8 352 489.5 351.5 494 350.5C456.4 445.1 364 512 256 512V512zM176.4 144C158.7 144 144.4 158.3 144.4 176C144.4 193.7 158.7 208 176.4 208C194 208 208.4 193.7 208.4 176C208.4 158.3 194 144 176.4 144zM336.4 144C318.7 144 304.4 158.3 304.4 176C304.4 193.7 318.7 208 336.4 208C354 208 368.4 193.7 368.4 176C368.4 158.3 354 144 336.4 144zM188.8 393.6C200.5 378 219.1 368 239.1 368C249.1 368 257.8 369.9 265.6 373.3C273.7 376.9 283.1 373.2 286.7 365.1C290.2 356.1 286.5 347.5 278.4 343.1C266.6 338.8 253.6 336 239.1 336C208.6 336 180.7 351.1 163.2 374.4C157.9 381.4 159.3 391.5 166.4 396.8C173.5 402.1 183.5 400.7 188.8 393.6H188.8z", "M144.4 176C144.4 158.3 158.7 144 176.4 144C194 144 208.4 158.3 208.4 176C208.4 193.7 194 208 176.4 208C158.7 208 144.4 193.7 144.4 176zM304.4 176C304.4 158.3 318.7 144 336.4 144C354 144 368.4 158.3 368.4 176C368.4 193.7 354 208 336.4 208C318.7 208 304.4 193.7 304.4 176z"]],
    "face-mask": [576, 512, [], "e37f", ["M542 224.1C540.5 224.3 538.1 224.7 537.5 225.4L423.1 276.2C414.4 263.1 400.2 255.1 384 255.1H191.1C175.8 255.1 161.6 263.1 152.9 276.2L38.5 225.4C37.02 224.7 35.49 224.3 33.97 224.1C49.66 97.78 157.4 0 287.1 0C418.6 0 526.3 97.78 542 224.1H542zM255.1 160C255.1 151.2 248.8 144 239.1 144C184.6 144 146.4 166.1 132.7 180.7C126.4 186.9 126.4 197.1 132.7 203.3C138.9 209.6 149.1 209.6 155.3 203.3C162.9 195.7 192.1 176 239.1 176C248.8 176 255.1 168.8 255.1 160L255.1 160zM443.3 203.3C449.6 197.1 449.6 186.9 443.3 180.7C429.6 166.1 391.4 143.1 336 143.1C327.2 143.1 320 151.2 320 159.1C320 168.8 327.2 175.1 336 175.1C383 175.1 413.1 195.7 420.7 203.3C426.9 209.6 437.1 209.6 443.3 203.3L443.3 203.3zM507.1 388.5C504.2 385.7 500.3 384 496 384H432V307.3L543.1 257.5C543.7 305.4 530.3 350.2 507.1 388.5H507.1zM287.1 512C207.2 512 135.1 474.5 88.15 416H146.7C153.3 434.6 171.1 448 191.1 448H384C404.9 448 422.7 434.6 429.3 416H487.9C440.9 474.5 368.8 512 287.1 512zM32 257.5L143.1 307.3V384H79.1C75.69 384 71.78 385.7 68.9 388.5C45.72 350.2 32.28 305.4 32 257.5z", "M17.38 233.5C20.97 225.4 30.42 221.8 38.5 225.4L152.9 276.2C161.6 263.1 175.8 256 192 256H384C400.2 256 414.4 263.1 423.1 276.2L537.5 225.4C545.6 221.8 555 225.4 558.6 233.5C562.2 241.6 558.6 251 550.5 254.6L432 307.3V384H496C504.8 384 512 391.2 512 400C512 408.8 504.8 416 496 416H429.3C422.7 434.6 404.9 448 384 448H192C171.1 448 153.3 434.6 146.7 416H80C71.16 416 64 408.8 64 400C64 391.2 71.16 384 80 384H144V307.3L25.5 254.6C17.43 251 13.79 241.6 17.38 233.5V233.5z"]],
    "face-meh": [512, 512, [128528, "meh"], "f11a", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240zM336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176zM160 336C151.2 336 144 343.2 144 352C144 360.8 151.2 368 160 368H352C360.8 368 368 360.8 368 352C368 343.2 360.8 336 352 336H160z", "M144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208zM304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208z"]],
    "face-meh-blank": [512, 512, [128566, "meh-blank"], "f5a4", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240z", "M144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208zM304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208z"]],
    "face-melting": [640, 512, [129760], "e483", ["M567.3 322.3C563.4 336.8 573.7 352 588.7 352H608C625.7 352 640 366.3 640 384C640 401.7 625.7 416 608 416H560C551.2 416 544 423.2 544 432C544 440.8 551.2 448 560 448H576C593.7 448 608 462.3 608 480C608 497.7 593.7 512 576 512H325.8C322.1 512.1 318.3 512.1 314.5 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H44.92C81.76 448 103.4 397.3 87.84 363.9C63.37 311.3 56.54 250.2 72.72 189.7C109.3 53.18 249.7-27.87 386.3 8.723C522.8 45.32 603.9 185.7 567.3 322.3L567.3 322.3zM247.2 219.9C264.3 224.5 281.8 214.4 286.4 197.3C290.1 180.2 280.9 162.7 263.8 158.1C246.7 153.5 229.2 163.7 224.6 180.7C220 197.8 230.2 215.4 247.2 219.9zM418.3 199.5C401.3 194.1 383.7 205.1 379.1 222.2C374.6 239.2 384.7 256.8 401.8 261.3C418.8 265.9 436.4 255.8 440.1 238.7C445.5 221.6 435.4 204.1 418.3 199.5V199.5zM213.2 299.4C209.4 291.4 199.8 288.1 191.8 291.1C183.9 295.8 180.6 305.4 184.4 313.3C199.3 343.9 229.5 380.8 282.7 395.1C335.9 409.4 380.6 392.5 408.7 373.4C416 368.5 417.1 358.5 413 351.2C408 343.9 398.1 341.1 390.8 346.9C368.1 362.3 332.9 375.4 291 364.2C249.1 352.1 225.2 324 213.2 299.4H213.2z", "M224.6 180.7C229.2 163.7 246.7 153.5 263.8 158.1C280.9 162.7 290.1 180.2 286.4 197.3C281.8 214.4 264.3 224.5 247.2 219.9C230.2 215.4 220 197.8 224.6 180.7zM379.1 222.2C383.7 205.1 401.3 194.1 418.3 199.5C435.4 204.1 445.5 221.6 440.1 238.7C436.4 255.8 418.8 265.9 401.8 261.3C384.7 256.8 374.6 239.2 379.1 222.2V222.2z"]],
    "face-monocle": [512, 512, [], "e380", ["M427.2 446.3C381.9 487.2 321.8 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 318.8 489.4 376.3 451.9 420.9C449.3 412.2 448 403.2 448 393.9V224C448 162.1 397.9 112 336 112C274.1 112 224 162.1 224 224C224 285.9 274.1 336 336 336C367.3 336 395.7 323.1 416 302.4V393.9C416 412.3 419.9 430.1 427.2 446.3V446.3zM144.4 160C126.7 160 112.4 174.3 112.4 192C112.4 209.7 126.7 224 144.4 224C162 224 176.4 209.7 176.4 192C176.4 174.3 162 160 144.4 160zM160 368C174.3 368 197.9 370.9 220.6 379.7C243.4 388.5 263.3 402.5 273.7 423.2C277.6 431.1 287.3 434.3 295.2 430.3C303.1 426.4 306.3 416.7 302.3 408.8C287.1 378.3 258.1 360.3 232.2 349.9C205.3 339.5 177.7 336 159.1 336C151.2 336 143.1 343.2 143.1 352C143.1 360.8 151.2 368 159.1 368L160 368zM305.2 89.91C313.2 83.49 323.2 80 333.5 80C342.4 80 351.1 82.64 358.5 87.59L367.1 93.31C374.5 98.21 384.4 96.23 389.3 88.88C394.2 81.52 392.2 71.59 384.9 66.69L376.3 60.97C363.6 52.51 348.7 48 333.5 48C315.9 48 298.9 53.97 285.2 64.92L262 83.51C255.1 89.03 253.1 99.1 259.5 105.1C265 112.9 275.1 114 281.1 108.5L305.2 89.91z", "M281.1 108.5C275.1 114 265 112.9 259.5 105.1C253.1 99.1 255.1 89.03 262 83.51L285.2 64.92C298.9 53.97 315.9 48 333.5 48C348.7 48 363.6 52.51 376.3 60.97L384.9 66.69C392.2 71.59 394.2 81.52 389.3 88.88C384.4 96.23 374.5 98.21 367.1 93.31L358.5 87.59C351.1 82.64 342.4 80 333.5 80C323.2 80 313.2 83.49 305.2 89.91L281.1 108.5zM352.4 224C352.4 241.7 338 256 320.4 256C302.7 256 288.4 241.7 288.4 224C288.4 206.3 302.7 192 320.4 192C338 192 352.4 206.3 352.4 224zM416 393.9V302.4C395.7 323.1 367.3 336 336 336C274.1 336 224 285.9 224 224C224 162.1 274.1 112 336 112C397.9 112 448 162.1 448 224V393.9C448 427 465.1 457.8 493.1 475.3L504.5 482.4C511.1 487.1 514.3 496.1 509.6 504.5C504.9 511.1 495 514.3 487.5 509.6L476.2 502.5C438.7 479.1 416 438.1 416 393.9V393.9zM336 144C291.8 144 256 179.8 256 224C256 268.2 291.8 304 336 304C380.2 304 416 268.2 416 224C416 179.8 380.2 144 336 144zM176.4 192C176.4 209.7 162 224 144.4 224C126.7 224 112.4 209.7 112.4 192C112.4 174.3 126.7 160 144.4 160C162 160 176.4 174.3 176.4 192z"]],
    "face-nauseated": [512, 512, [], "e381", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM367.6 208C367.6 190.3 353.3 176 335.6 176C317.1 176 303.6 190.3 303.6 208C303.6 225.7 317.1 240 335.6 240C353.3 240 367.6 225.7 367.6 208zM143.6 208C143.6 225.7 157.1 240 175.6 240C193.3 240 207.6 225.7 207.6 208C207.6 190.3 193.3 176 175.6 176C157.1 176 143.6 190.3 143.6 208zM195.3 123.3C201.6 117.1 201.6 106.9 195.3 100.7C189.1 94.44 178.9 94.44 172.7 100.7L165.3 108.1C146.5 126.9 122.2 139.4 95.85 143.8L93.37 144.2C84.65 145.7 78.76 153.9 80.22 162.6C81.67 171.3 89.91 177.2 98.63 175.8L101.1 175.4C134 169.9 164.4 154.3 187.9 130.7L195.3 123.3zM316.7 100.7C310.4 106.9 310.4 117.1 316.7 123.3L324.1 130.7C347.6 154.3 377.1 169.9 410.9 175.4L413.4 175.8C422.1 177.2 430.3 171.3 431.8 162.6C433.2 153.9 427.3 145.7 418.6 144.2L416.2 143.8C389.8 139.4 365.5 126.9 346.7 108.1L339.3 100.7C333.1 94.44 322.9 94.44 316.7 100.7zM168 282.7C160.4 278.3 150.6 280.9 146.2 288.6C141.7 296.2 144.3 305.1 151.1 310.4C166.4 318.7 175.1 334.3 175.1 352C175.1 369.7 166.4 385.3 151.1 393.6C144.3 398 141.7 407.8 146.2 415.4C150.6 423.1 160.4 425.7 168 421.3C187.5 410 201.8 390.8 206.4 368H305.6C310.2 390.8 324.5 410 343.1 421.3C351.6 425.7 361.4 423.1 365.8 415.4C370.3 407.8 367.7 398 360 393.6C345.6 385.3 336 369.7 336 352C336 334.3 345.6 318.7 360 310.4C367.7 305.1 370.3 296.2 365.8 288.6C361.4 280.9 351.6 278.3 343.1 282.7C324.5 293.1 310.2 313.2 305.6 336H206.4C201.8 313.2 187.5 293.1 168 282.7H168z", "M195.3 100.7C201.6 106.9 201.6 117.1 195.3 123.3L187.9 130.7C164.4 154.3 134 169.9 101.1 175.4L98.63 175.8C89.91 177.2 81.67 171.3 80.22 162.6C78.76 153.9 84.65 145.7 93.37 144.2L95.85 143.8C122.2 139.4 146.5 126.9 165.3 108.1L172.7 100.7C178.9 94.44 189.1 94.44 195.3 100.7zM175.6 240C157.1 240 143.6 225.7 143.6 208C143.6 190.3 157.1 176 175.6 176C193.3 176 207.6 190.3 207.6 208C207.6 225.7 193.3 240 175.6 240zM335.6 240C317.1 240 303.6 225.7 303.6 208C303.6 190.3 317.1 176 335.6 176C353.3 176 367.6 190.3 367.6 208C367.6 225.7 353.3 240 335.6 240zM316.7 123.3C310.4 117.1 310.4 106.9 316.7 100.7C322.9 94.44 333.1 94.44 339.3 100.7L346.7 108.1C365.5 126.9 389.8 139.4 416.2 143.8L418.6 144.2C427.3 145.7 433.2 153.9 431.8 162.6C430.3 171.3 422.1 177.2 413.4 175.8L410.9 175.4C377.1 169.9 347.6 154.3 324.1 130.7L316.7 123.3z"]],
    "face-nose-steam": [576, 512, [], "e382", ["M544 256C544 285.1 539.1 313 530.2 339.1C524.9 337.4 519.4 336.3 513.9 336C512.7 334.7 511.5 333.3 510.2 332C486.9 308.7 450.1 307.1 424.9 327.3L368.5 293.4C355.9 285.9 339.8 287.9 329.4 298.3C318.1 308.6 317 324.8 324.6 337.3L358.5 393.8C338.3 418.1 339.8 455.8 363.1 479.1C364.4 480.4 365.8 481.6 367.1 482.8C367.4 488.1 368.4 493.4 370 498.6C344.3 507.3 316.7 512 288 512C258.6 512 230.4 507 204.1 497.9C205.8 492.7 206.8 487.3 207.1 481.9C208.5 480.7 209.8 479.5 211.1 478.2C234.4 454.9 235.1 418.1 215.8 392.1L249.7 336.5C257.2 323.9 255.2 307.8 244.8 297.4C234.5 286.1 218.3 285 205.8 292.6L149.3 326.5C124.1 306.3 87.31 307.8 63.1 331.1C62.71 332.4 61.49 333.8 60.33 335.1C55.27 335.4 50.24 336.3 45.35 337.8C36.69 312.1 32 284.6 32 256C32 114.6 146.6 0 288 0C429.4 0 544 114.6 544 256H544zM143.1 256H239.1C248.8 256 255.1 248.8 255.1 240C255.1 231.2 248.8 224 239.1 224H143.1C135.2 224 127.1 231.2 127.1 240C127.1 248.8 135.2 256 143.1 256zM448 240C448 231.2 440.8 224 432 224H336C327.2 224 320 231.2 320 240C320 248.8 327.2 256 336 256H432C440.8 256 448 248.8 448 240zM421.1 143.2C429.4 140.4 433.1 131.3 431.2 122.9C428.4 114.6 419.3 110 410.9 112.8C369.7 126.6 336.7 152.7 324.7 164.7C318.4 170.9 318.4 181.1 324.7 187.3C330.9 193.6 341.1 193.6 347.3 187.3C356.6 177.1 385.5 155 421.1 143.2H421.1zM228.7 187.3C234.9 193.6 245.1 193.6 251.3 187.3C257.6 181.1 257.6 170.9 251.3 164.7C239.3 152.7 206.3 126.6 165.1 112.8C156.7 110 147.6 114.6 144.8 122.9C142 131.3 146.6 140.4 154.9 143.2C190.5 155 219.4 177.1 228.7 187.3zM68.01 335.2L63.1 331.1z", "M41.37 376.4C51.24 366.5 65.96 364.5 77.86 370.2C79.05 364.2 81.97 358.4 86.63 353.8C99.12 341.3 119.4 341.3 131.9 353.8C136.3 358.2 139.1 363.5 140.4 369.1L222.2 320L173.1 401.8C178.7 403.1 184.1 405.1 188.4 410.3C200.9 422.8 200.9 443.1 188.4 455.6C183.8 460.3 178.1 463.2 172 464.4C177.8 476.3 175.7 490.1 165.8 500.9C153.3 513.4 133.1 513.4 120.6 500.9C118.5 498.8 116.8 496.5 115.4 494.1C96.59 508.6 69.51 507.2 52.28 489.9C35.05 472.7 33.66 445.6 48.11 426.8C45.7 425.4 43.43 423.7 41.37 421.7C28.88 409.2 28.88 388.9 41.37 376.4V376.4zM532.9 422.5C530.8 424.6 528.5 426.3 526.1 427.7C540.6 446.5 539.2 473.6 521.9 490.8C504.7 508.1 477.6 509.4 458.8 494.1C457.4 497.4 455.7 499.7 453.7 501.7C441.2 514.2 420.9 514.2 408.4 501.7C398.5 491.9 396.5 477.2 402.2 465.2C396.2 464.1 390.4 461.1 385.8 456.5C373.3 443.1 373.3 423.7 385.8 411.2C390.2 406.9 395.5 404 401.1 402.7L352 320.9L433.8 369.1C435.1 364.4 437.1 359 442.3 354.7C454.8 342.2 475.1 342.2 487.6 354.7C492.3 359.3 495.2 365.1 496.4 371.1C508.3 365.3 522.1 367.4 532.9 377.3C545.3 389.8 545.3 410 532.9 422.5H532.9z"]],
    "face-party": [640, 512, [], "e383", ["M531.7 400C485.6 467.6 407.1 512 320 512C178.6 512 64 397.4 64 256C64 114.6 178.6 0 320 0C433.4 0 529.7 73.79 563.3 176H560C515.8 176 480 211.8 480 256C480 274 485.1 290.6 495.1 304H416C414.1 304 413.1 304 412.1 304.1C411.8 301.8 410.3 299.7 408.7 297.7C404.4 292.5 398.5 287.1 391.9 284.3C378.7 276.9 361.4 272 344 272C340.4 272 337.2 274.5 336.3 277.1C335.3 281.5 336.9 285.2 340.1 286.1L340.1 286.1L340.3 287.1C340.5 287.2 340.8 287.4 341.2 287.7C342 288.1 343.2 288.9 344.6 289.8C347.4 291.6 351.2 294.3 354.8 297.4C358.6 300.5 362 303.1 364.5 307.4C366.1 310.1 368 313.8 368 315.1C368 318.2 366.1 321 364.5 324.6C362 328 358.6 331.5 354.8 334.6C351.2 337.7 347.4 340.4 344.6 342.2C343.2 343.1 342 343.9 341.2 344.3C340.8 344.6 340.5 344.8 340.3 344.9L340.1 345L340.1 345C337.6 346.4 336 349.1 336 352C336 354.9 337.6 357.6 340.1 358.1L340.1 358.1L340.3 359.1C340.5 359.2 340.8 359.4 341.2 359.7C342 360.1 343.2 360.9 344.6 361.8C347.4 363.6 351.2 366.3 354.8 369.4C358.6 372.5 362 375.9 364.5 379.4C366.1 382.1 368 385.8 368 388C368 390.2 366.1 393 364.5 396.6C362 400 358.6 403.5 354.8 406.6C351.2 409.7 347.4 412.4 344.6 414.2C343.2 415.1 342 415.9 341.2 416.3C340.8 416.6 340.5 416.8 340.3 416.9L340.1 417L340.1 417C336.9 418.8 335.3 422.5 336.3 426C337.2 429.5 340.4 431.1 344 431.1C361.4 431.1 378.7 427.1 391.9 419.7C398.5 416 404.4 411.5 408.7 406.3C410.3 404.3 411.8 402.2 412.1 399.9C413.1 399.1 414.1 399.1 416 399.1L531.7 400zM297.6 236.8C304.7 231.5 306.1 221.5 300.8 214.4C270.4 173.9 209.6 173.9 179.2 214.4C173.9 221.5 175.3 231.5 182.4 236.8C189.5 242.1 199.5 240.7 204.8 233.6C222.4 210.1 257.6 210.1 275.2 233.6C280.5 240.7 290.5 242.1 297.6 236.8zM364.8 233.6C382.4 210.1 417.6 210.1 435.2 233.6C440.5 240.7 450.5 242.1 457.6 236.8C464.7 231.5 466.1 221.5 460.8 214.4C430.4 173.9 369.6 173.9 339.2 214.4C333.9 221.5 335.3 231.5 342.4 236.8C349.5 242.1 359.5 240.7 364.8 233.6z", "M51.26 152.2L31.26 100.3C46.62 71.85 66.04 45.97 88.75 23.39L132 37.81C96.46 68.47 68.47 107.7 51.26 152.2zM55.14 12.18C40.89 27.64 27.99 44.36 16.6 62.14L1.067 21.74C-1.156 15.97 .1552 9.423 4.433 4.947C8.71 .4702 15.19-1.136 21.06 .8215L55.14 12.18zM182.4 236.8C175.3 231.5 173.9 221.5 179.2 214.4C209.6 173.9 270.4 173.9 300.8 214.4C306.1 221.5 304.7 231.5 297.6 236.8C290.5 242.1 280.5 240.7 275.2 233.6C257.6 210.1 222.4 210.1 204.8 233.6C199.5 240.7 189.5 242.1 182.4 236.8V236.8zM342.4 236.8C335.3 231.5 333.9 221.5 339.2 214.4C369.6 173.9 430.4 173.9 460.8 214.4C466.1 221.5 464.7 231.5 457.6 236.8C450.5 242.1 440.5 240.7 435.2 233.6C417.6 210.1 382.4 210.1 364.8 233.6C359.5 240.7 349.5 242.1 342.4 236.8zM512 255.1C512 229.5 533.5 207.1 560 207.1H592C618.5 207.1 640 229.5 640 255.1V319.1C640 346.5 618.5 368 592 368H400C391.2 368 384 360.8 384 352C384 343.2 391.2 336 400 336H592C600.8 336 608 328.8 608 319.1V255.1C608 247.2 600.8 239.1 592 239.1H560C551.2 239.1 544 247.2 544 255.1C544 264.8 551.2 271.1 560 271.1H576C584.8 271.1 592 279.2 592 287.1C592 296.8 584.8 303.1 576 303.1H560C533.5 303.1 512 282.5 512 255.1z"]],
    "face-pensive": [512, 512, [], "e384", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM208 384C199.2 384 192 391.2 192 400C192 408.8 199.2 416 208 416H304C312.8 416 320 408.8 320 400C320 391.2 312.8 384 304 384H208zM387.2 270.4C369.6 293.9 334.4 293.9 316.8 270.4C311.5 263.3 301.5 261.9 294.4 267.2C287.3 272.5 285.9 282.5 291.2 289.6C321.6 330.1 382.4 330.1 412.8 289.6C418.1 282.5 416.7 272.5 409.6 267.2C402.5 261.9 392.5 263.3 387.2 270.4zM102.4 267.2C95.33 272.5 93.9 282.5 99.2 289.6C129.6 330.1 190.4 330.1 220.8 289.6C226.1 282.5 224.7 272.5 217.6 267.2C210.5 261.9 200.5 263.3 195.2 270.4C177.6 293.9 142.4 293.9 124.8 270.4C119.5 263.3 109.5 261.9 102.4 267.2V267.2zM87.16 222.3L110 210.9C128.6 201.6 145 188.3 158.1 172L172.5 153.1C178 147.1 176.9 137 169.1 131.5C163.1 125.1 153 127.1 147.5 134L133.1 152.1C122.9 164.7 110.2 175 95.7 182.3L72.84 193.7C64.94 197.6 61.74 207.3 65.69 215.2C69.64 223.1 79.25 226.3 87.16 222.3V222.3zM416.3 182.3C401.8 175 389.1 164.7 378.9 152.1L364.5 134C358.1 127.1 348.9 125.1 342 131.5C335.1 137 333.1 147.1 339.5 153.1L353.9 172C366.1 188.3 383.4 201.6 401.1 210.9L424.8 222.3C432.7 226.3 442.4 223.1 446.3 215.2C450.3 207.3 447.1 197.6 439.2 193.7L416.3 182.3z", "M439.2 193.7C447.1 197.6 450.3 207.3 446.3 215.2C442.4 223.1 432.7 226.3 424.8 222.3L401.1 210.9C383.4 201.6 366.1 188.3 353.9 172L339.5 153.1C333.1 147.1 335.1 137 342 131.5C348.9 125.1 358.1 127.1 364.5 134L378.9 152.1C389.1 164.7 401.8 175 416.3 182.3L439.2 193.7zM65.69 215.2C61.74 207.3 64.94 197.6 72.84 193.7L95.7 182.3C110.2 175 122.9 164.7 133.1 152L147.5 134C153 127.1 163.1 125.1 169.1 131.5C176.9 137 178 147.1 172.5 153.1L158.1 172C145 188.3 128.6 201.6 110 210.9L87.16 222.3C79.25 226.3 69.64 223.1 65.69 215.2V215.2zM124.8 270.4C142.4 293.9 177.6 293.9 195.2 270.4C200.5 263.3 210.5 261.9 217.6 267.2C224.7 272.5 226.1 282.5 220.8 289.6C190.4 330.1 129.6 330.1 99.2 289.6C93.9 282.5 95.33 272.5 102.4 267.2C109.5 261.9 119.5 263.3 124.8 270.4zM316.8 270.4C334.4 293.9 369.6 293.9 387.2 270.4C392.5 263.3 402.5 261.9 409.6 267.2C416.7 272.5 418.1 282.5 412.8 289.6C382.4 330.1 321.6 330.1 291.2 289.6C285.9 282.5 287.3 272.5 294.4 267.2C301.5 261.9 311.5 263.3 316.8 270.4z"]],
    "face-persevering": [512, 512, [], "e385", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM316.1 410.7C322 417.3 332.1 417.8 338.7 411.9C345.3 405.1 345.8 395.9 339.9 389.3C323.8 371.4 295.7 352 255.1 352C216.3 352 188.2 371.4 172.1 389.3C166.2 395.9 166.7 405.1 173.3 411.9C179.9 417.8 189.1 417.3 195.9 410.7C207.6 397.7 227.5 384 255.1 384C284.5 384 304.4 397.7 316.1 410.7H316.1zM188.7 100.7L181.3 108.1C162.5 126.9 138.2 139.4 111.9 143.8L109.4 144.2C100.7 145.7 94.77 153.9 96.22 162.6C97.67 171.3 105.9 177.2 114.6 175.8L117.1 175.4C150 169.9 180.4 154.3 203.9 130.7L211.3 123.3C217.6 117.1 217.6 106.9 211.3 100.7C205.1 94.44 194.9 94.44 188.7 100.7V100.7zM308.1 130.7C331.6 154.3 361.1 169.9 394.9 175.4L397.4 175.8C406.1 177.2 414.3 171.3 415.8 162.6C417.2 153.9 411.3 145.7 402.6 144.2L400.2 143.8C373.8 139.4 349.5 126.9 330.7 108.1L323.3 100.7C317.1 94.44 306.9 94.44 300.7 100.7C294.4 106.9 294.4 117.1 300.7 123.3L308.1 130.7zM133.5 210.7C125.6 206.4 116 212.2 116 221.1C116 223.9 116.1 226.6 118.8 228.8L154.8 272L118.8 315.2C116.1 317.4 116 320.1 116 322.9C116 331.8 125.6 337.6 133.5 333.3L223.4 285.4C234.1 279.7 234.1 264.3 223.4 258.6L133.5 210.7zM396 221.1C396 212.2 386.4 206.4 378.5 210.7L288.6 258.6C277.9 264.3 277.9 279.7 288.6 285.4L378.5 333.3C386.4 337.6 396 331.8 396 322.9C396 320.1 395 317.4 393.2 315.2L357.2 272L393.2 228.8C395 226.6 396 223.9 396 221.1V221.1z", "M203.9 130.7C180.4 154.3 150 169.9 117.1 175.4L114.6 175.8C105.9 177.2 97.67 171.3 96.22 162.6C94.77 153.9 100.7 145.7 109.4 144.2L111.9 143.8C138.2 139.4 162.5 126.9 181.3 108.1L188.7 100.7C194.9 94.44 205.1 94.44 211.3 100.7C217.6 106.9 217.6 117.1 211.3 123.3L203.9 130.7zM300.7 123.3C294.4 117.1 294.4 106.9 300.7 100.7C306.9 94.44 317.1 94.44 323.3 100.7L330.7 108.1C349.5 126.9 373.8 139.4 400.2 143.8L402.6 144.2C411.3 145.7 417.2 153.9 415.8 162.6C414.3 171.3 406.1 177.2 397.4 175.8L394.9 175.4C361.1 169.9 331.6 154.3 308.1 130.7L300.7 123.3zM223.4 258.6C234.1 264.3 234.1 279.7 223.4 285.4L133.5 333.3C125.6 337.6 116 331.8 116 322.9C116 320.1 116.1 317.4 118.8 315.2L154.8 272L118.8 228.8C116.1 226.6 116 223.9 116 221.1C116 212.2 125.6 206.4 133.5 210.7L223.4 258.6zM393.2 228.8L357.2 272L393.2 315.2C395 317.4 396 320.1 396 322.9C396 331.8 386.4 337.6 378.5 333.3L288.6 285.4C277.9 279.7 277.9 264.3 288.6 258.6L378.5 210.7C386.4 206.4 396 212.2 396 221.1C396 223.9 395 226.6 393.2 228.8V228.8z"]],
    "face-pleading": [512, 512, [], "e386", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM303.9 405.3C294.7 395.1 278.7 384 256 384C233.3 384 217.3 395.1 208.1 405.3C202.2 411.9 202.7 421.1 209.3 427.9C215.9 433.8 225.1 433.3 231.9 426.7C236.6 421.4 244.6 416 255.1 416C267.4 416 275.4 421.4 280.1 426.7C286 433.3 296.1 433.8 302.7 427.9C309.3 421.1 309.8 411.9 303.9 405.3H303.9zM168 160.4C178.1 149.6 185.7 136.3 189.9 121.5L191.4 116.4C193.8 107.9 188.9 99.04 180.4 96.62C171.9 94.19 163 99.11 160.6 107.6L159.1 112.8C152.1 137.4 130.1 155.5 105.5 158.7L94.02 160.1C85.25 161.2 79.03 169.2 80.12 177.1C81.14 186.1 88.04 192 95.99 192C85.95 205.4 80 221.1 80 240C80 284.2 115.8 320 160 320C204.2 320 240 284.2 240 240C240 198.5 208.5 164.4 168 160.4zM416 192C423.1 192 430.9 186.1 431.9 177.1C432.1 169.2 426.8 161.2 417.1 160.1L406.5 158.7C381 155.5 359.9 137.4 352.9 112.8L351.4 107.6C348.1 99.11 340.1 94.19 331.6 96.62C323.1 99.04 318.2 107.9 320.6 116.4L322.1 121.5C326.3 136.3 333.9 149.6 343.1 160.4C303.5 164.4 272 198.5 272 240C272 284.2 307.8 320 352 320C396.2 320 432 284.2 432 240C432 221.1 426 205.4 416 192z", "M189.9 121.6C179.3 158.6 147.7 185.7 109.5 190.4L97.98 191.9C89.22 192.1 81.22 186.8 80.12 177.1C79.03 169.2 85.25 161.2 94.02 160.1L105.5 158.7C130.1 155.5 152.1 137.4 159.1 112.8L160.6 107.6C163 99.11 171.9 94.19 180.4 96.62C188.9 99.04 193.8 107.9 191.4 116.4L189.9 121.6zM320.6 116.4C318.2 107.9 323.1 99.04 331.6 96.62C340.1 94.19 348.1 99.11 351.4 107.6L352.9 112.8C359.9 137.4 381 155.5 406.5 158.7L417.1 160.1C426.8 161.2 432.1 169.2 431.9 177.1C430.8 186.8 422.8 192.1 414 191.9L402.5 190.4C364.3 185.7 332.7 158.6 322.1 121.6L320.6 116.4zM128 232C145.7 232 160 217.7 160 200C160 194.2 158.5 188.8 155.8 184.2C157.2 184.1 158.6 184 160 184C190.9 184 216 209.1 216 240C216 270.9 190.9 296 160 296C129.1 296 104 270.9 104 240C104 234.3 104.8 228.8 106.4 223.6C112.1 228.8 119.7 232 128 232zM347.8 184.2C349.2 184.1 350.6 184 352 184C382.9 184 408 209.1 408 240C408 270.9 382.9 296 352 296C321.1 296 296 270.9 296 240C296 234.3 296.9 228.8 298.4 223.6C304.1 228.8 311.7 232 320 232C337.7 232 352 217.7 352 200C352 194.2 350.5 188.8 347.8 184.2z"]],
    "face-pouting": [512, 512, [], "e387", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM161.3 382.1C155.9 394.4 170 403.7 182.4 398.5C204.8 389 229.7 383.7 256.1 383.7C282.4 383.7 307.3 389 329.7 398.5C342.1 403.7 356.2 394.4 350.8 382.1C334.9 345.5 298.4 319.1 256.1 319.1C213.7 319.1 177.2 345.5 161.3 382.1V382.1zM176.4 272C194 272 208.4 257.7 208.4 240C208.4 238.5 208.3 237 208.1 235.6L218.9 239.2C227.3 241.1 236.4 237.4 239.2 229.1C241.1 220.7 237.4 211.6 229.1 208.8L133.1 176.8C124.7 174 115.6 178.6 112.8 186.9C110 195.3 114.6 204.4 122.9 207.2L153.7 217.4C147.9 223.2 144.4 231.2 144.4 240C144.4 257.7 158.7 272 176.4 272zM358.9 217.2L389.1 207.2C397.4 204.4 401.1 195.3 399.2 186.9C396.4 178.6 387.3 174 378.9 176.8L282.9 208.8C274.6 211.6 270 220.7 272.8 229.1C275.6 237.4 284.7 241.1 293.1 239.2L304.7 235.3C304.5 236.8 304.4 238.4 304.4 240C304.4 257.7 318.7 272 336.4 272C354 272 368.4 257.7 368.4 240C368.4 231.1 364.7 223 358.9 217.2H358.9z", "M229.1 208.8C237.4 211.6 241.1 220.7 239.2 229.1C236.4 237.4 227.3 241.1 218.9 239.2L208.1 235.6C208.3 237 208.4 238.5 208.4 240C208.4 257.7 194 272 176.4 272C158.7 272 144.4 257.7 144.4 240C144.4 231.2 147.9 223.2 153.7 217.4L122.9 207.2C114.6 204.4 110 195.3 112.8 186.9C115.6 178.6 124.7 174 133.1 176.8L229.1 208.8zM358.9 217.2C364.7 223 368.4 231.1 368.4 240C368.4 257.7 354 272 336.4 272C318.7 272 304.4 257.7 304.4 240C304.4 238.4 304.5 236.8 304.7 235.3L293.1 239.2C284.7 241.1 275.6 237.4 272.8 229.1C270 220.7 274.6 211.6 282.9 208.8L378.9 176.8C387.3 174 396.4 178.6 399.2 186.9C401.1 195.3 397.4 204.4 389.1 207.2L358.9 217.2z"]],
    "face-raised-eyebrow": [512, 512, [], "e388", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM176.4 208C158.7 208 144.4 222.3 144.4 240C144.4 257.7 158.7 272 176.4 272C194 272 208.4 257.7 208.4 240C208.4 222.3 194 208 176.4 208zM336.4 272C354 272 368.4 257.7 368.4 240C368.4 222.3 354 208 336.4 208C318.7 208 304.4 222.3 304.4 240C304.4 257.7 318.7 272 336.4 272zM160 368H352C360.8 368 368 360.8 368 352C368 343.2 360.8 336 352 336H160C151.2 336 144 343.2 144 352C144 360.8 151.2 368 160 368zM328.8 141.8C339.5 131.1 357.4 132.9 365.8 145.5L370.7 152.9C375.6 160.2 385.5 162.2 392.9 157.3C400.2 152.4 402.2 142.5 397.3 135.1L392.4 127.7C372.8 98.32 331.2 94.2 306.2 119.2L276.7 148.7C270.4 154.9 270.4 165.1 276.7 171.3C282.9 177.6 293.1 177.6 299.3 171.3L328.8 141.8zM128 144C119.2 144 112 151.2 112 160C112 168.8 119.2 176 128 176H192C200.8 176 208 168.8 208 160C208 151.2 200.8 144 192 144H128z", "M299.3 171.3C293.1 177.6 282.9 177.6 276.7 171.3C270.4 165.1 270.4 154.9 276.7 148.7L306.2 119.2C331.2 94.2 372.8 98.32 392.4 127.7L397.3 135.1C402.2 142.5 400.2 152.4 392.9 157.3C385.5 162.2 375.6 160.2 370.7 152.9L365.8 145.5C357.4 132.9 339.5 131.1 328.8 141.8L299.3 171.3zM192 144C200.8 144 208 151.2 208 160C208 168.8 200.8 176 192 176H128C119.2 176 112 168.8 112 160C112 151.2 119.2 144 128 144H192zM208.4 240C208.4 257.7 194 272 176.4 272C158.7 272 144.4 257.7 144.4 240C144.4 222.3 158.7 208 176.4 208C194 208 208.4 222.3 208.4 240zM368.4 240C368.4 257.7 354 272 336.4 272C318.7 272 304.4 257.7 304.4 240C304.4 222.3 318.7 208 336.4 208C354 208 368.4 222.3 368.4 240z"]],
    "face-relieved": [512, 512, [], "e389", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM187.3 356.7C181.1 350.4 170.9 350.4 164.7 356.7C158.4 362.9 158.4 373.1 164.7 379.3C182.6 397.2 213.1 416 255.1 416C298.9 416 329.4 397.2 347.3 379.3C353.6 373.1 353.6 362.9 347.3 356.7C341.1 350.4 330.9 350.4 324.7 356.7C311.6 369.7 288.9 384 255.1 384C223.1 384 200.4 369.7 187.3 356.7H187.3zM387.2 238.4C369.6 261.9 334.4 261.9 316.8 238.4C311.5 231.3 301.5 229.9 294.4 235.2C287.3 240.5 285.9 250.5 291.2 257.6C321.6 298.1 382.4 298.1 412.8 257.6C418.1 250.5 416.7 240.5 409.6 235.2C402.5 229.9 392.5 231.3 387.2 238.4zM102.4 235.2C95.33 240.5 93.9 250.5 99.2 257.6C129.6 298.1 190.4 298.1 220.8 257.6C226.1 250.5 224.7 240.5 217.6 235.2C210.5 229.9 200.5 231.3 195.2 238.4C177.6 261.9 142.4 261.9 124.8 238.4C119.5 231.3 109.5 229.9 102.4 235.2V235.2zM186.9 64.82L180.6 66.93C150.2 77.06 124.1 97.02 106.3 123.7L98.69 135.1C93.79 142.5 95.77 152.4 103.1 157.3C110.5 162.2 120.4 160.2 125.3 152.9L132.1 141.4C146.8 120.7 167.1 105.2 190.7 97.29L197.1 95.18C205.4 92.38 209.1 83.32 207.2 74.94C204.4 66.56 195.3 62.03 186.9 64.82L186.9 64.82zM321.3 97.29C344.9 105.2 365.2 120.7 379 141.4L386.7 152.9C391.6 160.2 401.5 162.2 408.9 157.3C416.2 152.4 418.2 142.5 413.3 135.1L405.7 123.7C387.9 97.02 361.8 77.06 331.4 66.93L325.1 64.82C316.7 62.03 307.6 66.56 304.8 74.94C302 83.33 306.6 92.39 314.9 95.18L321.3 97.29z", "M207.2 74.94C209.1 83.32 205.4 92.39 197.1 95.18L190.7 97.29C167.1 105.2 146.8 120.7 132.1 141.4L125.3 152.9C120.4 160.2 110.5 162.2 103.1 157.3C95.77 152.4 93.79 142.5 98.69 135.1L106.3 123.7C124.1 97.02 150.2 77.06 180.6 66.93L186.9 64.82C195.3 62.03 204.4 66.56 207.2 74.94L207.2 74.94zM124.8 238.4C142.4 261.9 177.6 261.9 195.2 238.4C200.5 231.3 210.5 229.9 217.6 235.2C224.7 240.5 226.1 250.5 220.8 257.6C190.4 298.1 129.6 298.1 99.2 257.6C93.9 250.5 95.33 240.5 102.4 235.2C109.5 229.9 119.5 231.3 124.8 238.4V238.4zM316.8 238.4C334.4 261.9 369.6 261.9 387.2 238.4C392.5 231.3 402.5 229.9 409.6 235.2C416.7 240.5 418.1 250.5 412.8 257.6C382.4 298.1 321.6 298.1 291.2 257.6C285.9 250.5 287.3 240.5 294.4 235.2C301.5 229.9 311.5 231.3 316.8 238.4V238.4zM314.9 95.18C306.6 92.39 302 83.32 304.8 74.94C307.6 66.56 316.7 62.03 325.1 64.82L331.4 66.93C361.8 77.06 387.9 97.02 405.7 123.7L413.3 135.1C418.2 142.5 416.2 152.4 408.9 157.3C401.5 162.2 391.6 160.2 386.7 152.9L379 141.4C365.2 120.7 344.9 105.2 321.3 97.29L314.9 95.18z"]],
    "face-rolling-eyes": [512, 512, [128580, "meh-rolling-eyes"], "f5a5", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM192 368C183.2 368 176 375.2 176 384C176 392.8 183.2 400 192 400H320C328.8 400 336 392.8 336 384C336 375.2 328.8 368 320 368H192zM160 160C124.7 160 96 188.7 96 224C96 259.3 124.7 288 160 288C195.3 288 224 259.3 224 224C224 188.7 195.3 160 160 160zM352 288C387.3 288 416 259.3 416 224C416 188.7 387.3 160 352 160C316.7 160 288 188.7 288 224C288 259.3 316.7 288 352 288z", "M195.6 180.4C195.6 200.1 179.6 215.1 160 215.1C140.4 215.1 124.4 200.1 124.4 180.4C124.4 177.4 124.8 174.4 125.5 171.6C135.1 164.3 147.1 160 160 160C172.9 160 184.9 164.3 194.5 171.6C195.2 174.4 195.6 177.4 195.6 180.4zM384 184C384 201.7 369.7 216 352 216C334.3 216 320 201.7 320 184C320 177.1 322.2 170.8 325.8 165.6C333.8 161.1 342.7 160 352 160C361.3 160 370.2 161.1 378.2 165.6C381.8 170.8 384 177.1 384 184z"]],
    "face-sad-cry": [512, 512, [128557, "sad-cry"], "f5b3", ["M352 493.4C322.4 505.4 289.9 512 256 512C222.1 512 189.6 505.4 160 493.4V288C160 279.2 152.8 272 144 272C135.2 272 128 279.2 128 288V477.8C51.48 433.5 0 350.8 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 350.8 460.5 433.5 384 477.8V288C384 279.2 376.8 272 368 272C359.2 272 352 279.2 352 288V493.4zM217.6 236.8C224.7 231.5 226.1 221.5 220.8 214.4C190.4 173.9 129.6 173.9 99.2 214.4C93.9 221.5 95.33 231.5 102.4 236.8C109.5 242.1 119.5 240.7 124.8 233.6C142.4 210.1 177.6 210.1 195.2 233.6C200.5 240.7 210.5 242.1 217.6 236.8zM316.8 233.6C334.4 210.1 369.6 210.1 387.2 233.6C392.5 240.7 402.5 242.1 409.6 236.8C416.7 231.5 418.1 221.5 412.8 214.4C382.4 173.9 321.6 173.9 291.2 214.4C285.9 221.5 287.3 231.5 294.4 236.8C301.5 242.1 311.5 240.7 316.8 233.6zM208 368C208 394.5 229.5 416 256 416C282.5 416 304 394.5 304 368V336C304 309.5 282.5 288 256 288C229.5 288 208 309.5 208 336V368z", "M195.2 233.6C177.6 210.1 142.4 210.1 124.8 233.6C119.5 240.7 109.5 242.1 102.4 236.8C95.33 231.5 93.9 221.5 99.2 214.4C129.6 173.9 190.4 173.9 220.8 214.4C226.1 221.5 224.7 231.5 217.6 236.8C210.5 242.1 200.5 240.7 195.2 233.6V233.6zM128 477.8V288C128 279.2 135.2 272 144 272C152.8 272 160 279.2 160 288V493.4C148.9 488.9 138.2 483.7 128 477.8V477.8zM352 493.4V288C352 279.2 359.2 272 368 272C376.8 272 384 279.2 384 288V477.8C373.8 483.7 363.1 488.9 352 493.4V493.4zM294.4 236.8C287.3 231.5 285.9 221.5 291.2 214.4C321.6 173.9 382.4 173.9 412.8 214.4C418.1 221.5 416.7 231.5 409.6 236.8C402.5 242.1 392.5 240.7 387.2 233.6C369.6 210.1 334.4 210.1 316.8 233.6C311.5 240.7 301.5 242.1 294.4 236.8V236.8z"]],
    "face-sad-sweat": [576, 512, [], "e38a", ["M99.62 429.3C116.9 414.1 128 393.5 128 369C128 357.6 124.2 346.6 120.9 338.5C117.2 329.8 112.5 320.9 107.7 312.8C98.1 296.7 86.98 281.3 80.01 272.1C68.39 256.5 48.28 252.2 32.02 259.3C32.01 258.2 32 257.1 32 256C32 114.6 146.6 0 288 0C429.4 0 544 114.6 544 256C544 397.4 429.4 512 288 512C213.5 512 146.4 480.2 99.62 429.3V429.3zM371.9 389.3C355.8 371.4 327.7 352 288 352C248.3 352 220.2 371.4 204.1 389.3C198.2 395.9 198.7 405.1 205.3 411.9C211.9 417.8 221.1 417.3 227.9 410.7C239.6 397.7 259.5 384 287.1 384C316.5 384 336.4 397.7 348.1 410.7C354 417.3 364.1 417.8 370.7 411.9C377.3 405.1 377.8 395.9 371.9 389.3H371.9zM204.7 148.7L197.3 156.1C178.5 174.9 154.2 187.4 127.9 191.8L125.4 192.2C116.7 193.7 110.8 201.9 112.2 210.6C113.7 219.3 121.9 225.2 130.6 223.8L133.1 223.4C166 217.9 196.4 202.3 219.9 178.7L227.3 171.3C233.6 165.1 233.6 154.9 227.3 148.7C221.1 142.4 210.9 142.4 204.7 148.7zM239.6 271.1C239.6 254.3 225.3 239.1 207.6 239.1C189.1 239.1 175.6 254.3 175.6 271.1C175.6 289.7 189.1 303.1 207.6 303.1C225.3 303.1 239.6 289.7 239.6 271.1zM399.6 271.1C399.6 254.3 385.3 239.1 367.6 239.1C349.1 239.1 335.6 254.3 335.6 271.1C335.6 289.7 349.1 303.1 367.6 303.1C385.3 303.1 399.6 289.7 399.6 271.1zM356.1 178.7C379.6 202.3 409.1 217.9 442.9 223.4L445.4 223.8C454.1 225.2 462.3 219.3 463.8 210.6C465.2 201.9 459.3 193.7 450.6 192.2L448.2 191.8C421.8 187.4 397.5 174.9 378.7 156.1L371.3 148.7C365.1 142.4 354.9 142.4 348.7 148.7C342.4 154.9 342.4 165.1 348.7 171.3L356.1 178.7z", "M219.9 178.7C196.4 202.3 166 217.9 133.1 223.4L130.6 223.8C121.9 225.2 113.7 219.3 112.2 210.6C110.8 201.9 116.7 193.7 125.4 192.2L127.9 191.8C154.2 187.4 178.5 174.9 197.3 156.1L204.7 148.7C210.9 142.4 221.1 142.4 227.3 148.7C233.6 154.9 233.6 165.1 227.3 171.3L219.9 178.7zM207.6 240C225.3 240 239.6 254.3 239.6 272C239.6 289.7 225.3 304 207.6 304C189.1 304 175.6 289.7 175.6 272C175.6 254.3 189.1 240 207.6 240zM367.6 240C385.3 240 399.6 254.3 399.6 272C399.6 289.7 385.3 304 367.6 304C349.1 304 335.6 289.7 335.6 272C335.6 254.3 349.1 240 367.6 240zM371.3 148.7L378.7 156.1C397.5 174.9 421.8 187.4 448.2 191.8L450.6 192.2C459.3 193.7 465.2 201.9 463.8 210.6C462.3 219.3 454.1 225.2 445.4 223.8L442.9 223.4C409.1 217.9 379.6 202.3 356.1 178.7L348.7 171.3C342.4 165.1 342.4 154.9 348.7 148.7C354.9 142.4 365.1 142.4 371.3 148.7zM48 416C21.54 416 0 395 0 369C0 349 28.55 308.6 41.6 291.3C44.8 286.9 51.2 286.9 54.4 291.3C67.57 308.6 95.1 349 95.1 369C95.1 395 74.46 416 47.1 416H48z"]],
    "face-sad-tear": [512, 512, [128546, "sad-tear"], "f5b4", ["M256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM256 352C290.9 352 323.2 367.8 348.3 394.9C354.3 401.4 364.4 401.7 370.9 395.7C377.4 389.7 377.7 379.6 371.7 373.1C341.6 340.5 301 320 256 320C247.2 320 240 327.2 240 336C240 344.8 247.2 352 256 352H256zM208 369C208 349 179.6 308.6 166.4 291.3C163.2 286.9 156.8 286.9 153.6 291.3C140.6 308.6 112 349 112 369C112 395 133.5 416 160 416C186.5 416 208 395 208 369H208zM303.6 208C303.6 225.7 317.1 240 335.6 240C353.3 240 367.6 225.7 367.6 208C367.6 190.3 353.3 176 335.6 176C317.1 176 303.6 190.3 303.6 208zM207.6 208C207.6 190.3 193.3 176 175.6 176C157.1 176 143.6 190.3 143.6 208C143.6 225.7 157.1 240 175.6 240C193.3 240 207.6 225.7 207.6 208z", "M335.6 176C353.3 176 367.6 190.3 367.6 208C367.6 225.7 353.3 240 335.6 240C317.1 240 303.6 225.7 303.6 208C303.6 190.3 317.1 176 335.6 176zM153.6 291.3C156.8 286.9 163.2 286.9 166.4 291.3C179.6 308.6 208 349 208 369C208 395 186.5 416 160 416C133.5 416 112 395 112 369C112 349 140.6 308.6 153.6 291.3H153.6zM175.6 240C157.1 240 143.6 225.7 143.6 208C143.6 190.3 157.1 176 175.6 176C193.3 176 207.6 190.3 207.6 208C207.6 225.7 193.3 240 175.6 240z"]],
    "face-saluting": [640, 512, [129761], "e484", ["M608 256C608 397.4 493.4 512 352 512C229.1 512 126.5 425.5 101.7 310C117.8 307.1 133.4 300.6 147.3 290.5L229.7 230.6C234.5 227.1 238.7 223.1 242.2 218.6C246.6 231.1 258.4 240 272.4 240C290 240 304.4 225.7 304.4 208C304.4 190.3 290 176 272.4 176C266.4 176 260.8 177.6 256 180.5C256.4 166.9 252.4 153.1 243.8 141.2C237.8 132.9 230.1 126.4 221.5 121.1L276.1 84.96C302.2 67.21 311.1 33.47 298.5 5.608C315.7 1.933 333.6 0 352 0C493.4 0 608 114.6 608 256H608zM257.4 341C250.2 335.9 240.2 337.5 235 344.6C229.9 351.8 231.5 361.8 238.6 366.1C261.4 383.4 299.3 400 352 400C404.7 400 442.6 383.4 465.4 366.1C472.5 361.8 474.1 351.8 468.1 344.6C463.8 337.5 453.8 335.9 446.6 341C429.2 353.6 397.8 368 352 368C306.2 368 274.8 353.6 257.4 341H257.4zM432.4 240C450 240 464.4 225.7 464.4 208C464.4 190.3 450 176 432.4 176C414.7 176 400.4 190.3 400.4 208C400.4 225.7 414.7 240 432.4 240z", "M127.1 146.8V185.8L173.2 152.1C187.5 142.6 207.5 145.7 217.9 160C228.3 174.3 225.2 194.3 210.9 204.7L128.5 264.6C99.17 285.9 59.12 284.8 30.98 261.9L29.49 260.7C-12.06 226.9-9.257 162.5 35.09 132.5L222.2 5.522C236.8-4.4 256.7-.5876 266.6 14.04C276.5 28.66 272.7 48.56 258.1 58.48L127.1 146.8z"]],
    "face-scream": [640, 512, [], "e38b", ["M516.2 305.5C458.6 353.5 428.4 423.5 418.2 492.5C387.1 505.1 354.8 512 319.1 512C285.2 512 252.1 505.1 221.9 492.5C211.7 423.5 181.4 353.5 123.9 305.5C107.8 292.1 86.67 286 66.05 288.6C64.7 277.9 64 267 64 256C64 114.6 178.6 0 320 0C461.4 0 576 114.6 576 256C576 267 575.3 277.9 573.1 288.5C553.3 286.1 532.3 292.1 516.2 305.5H516.2zM319.1 320C293.5 320 271.1 341.5 271.1 368V400C271.1 426.5 293.5 448 319.1 448C346.5 448 368 426.5 368 400V368C368 341.5 346.5 320 319.1 320zM264.7 149.3C237.5 134.4 197.1 152.2 174.6 189C152.1 225.9 156 267.8 183.3 282.7C210.5 297.6 250.9 279.8 273.4 242.1C295.9 206.1 291.1 164.2 264.7 149.3zM465.4 189C442.9 152.2 402.5 134.4 375.3 149.3C348 164.2 344.1 206.1 366.6 242.1C389.1 279.8 429.5 297.6 456.7 282.7C483.1 267.8 487.9 225.9 465.4 189z", "M174.6 189C197.1 152.2 237.5 134.4 264.7 149.3C291.1 164.2 295.9 206.1 273.4 242.1C250.9 279.8 210.5 297.6 183.3 282.7C156 267.8 152.1 225.9 174.6 189V189zM456.7 282.7C429.5 297.6 389.1 279.8 366.6 242.1C344.1 206.1 348 164.2 375.3 149.3C402.5 134.4 442.9 152.2 465.4 189C487.9 225.9 483.1 267.8 456.7 282.7zM192 512L82.29 511.1C82.73 461.5 65.56 426.2 39.12 386.2C25.99 366.5 31.53 339.1 51.55 326.1C67.97 316.4 89.12 318.2 103.4 330.1C157.2 374.1 185 443.6 192 512L192 512zM600.9 386.2C574.5 426.2 557.3 461.5 557.8 511.1L448 512C455 443.6 482.8 374.1 536.7 330.1C550.9 318.2 572.1 316.4 588.5 326.1C608.5 339.1 614.1 366.5 600.9 386.2L600.9 386.2z"]],
    "face-shush": [512, 512, [], "e38c", ["M256 0C397.4 0 512 114.6 512 256C512 338.2 473.2 411.4 412.1 458.3C420.3 436.9 414.2 412.3 395.8 396.1C382.3 385.7 365 381.9 348.1 385.1C343.3 363.9 329.9 345.9 312 334.2V275.9C326.8 269 338.6 260.1 347.3 251.3C353.6 245.1 353.6 234.9 347.3 228.7C341.1 222.4 330.9 222.4 324.7 228.7C321 232.4 316.6 236.1 311.4 239.6C307.3 212.7 284.1 192 256 192C227.9 192 204.7 212.7 200.6 239.6C195.4 236.1 190.1 232.4 187.3 228.7C181.1 222.4 170.9 222.4 164.7 228.7C158.4 234.9 158.4 245.1 164.7 251.3C173.4 260.1 185.2 269 200 275.9V326C167.2 338.8 144 370.7 144 408V456C144 467.8 146.3 479.1 150.5 489.3C61.76 449.1 0 359.8 0 256C0 114.6 114.6 .0003 256 .0003L256 0zM176.4 160C194 160 208.4 145.7 208.4 128C208.4 110.3 194 96 176.4 96C158.7 96 144.4 110.3 144.4 128C144.4 145.7 158.7 160 176.4 160zM336.4 96C318.7 96 304.4 110.3 304.4 128C304.4 145.7 318.7 160 336.4 160C354 160 368.4 145.7 368.4 128C368.4 110.3 354 96 336.4 96z", "M256 224C269.3 224 280 234.7 280 248V320H232V248C232 234.7 242.7 224 256 224zM232 400C227.6 400 224 403.6 224 408V419.5L287.6 464H297.5C304.6 464 311.4 460.8 315.1 455.4L341.6 424.6C350 414.5 365.2 413.1 375.4 421.6C385.5 430 386.9 445.2 378.4 455.4L352.8 486.1C339.1 502.5 318.9 512 297.5 512H232C201.1 512 176 486.9 176 456V408C176 377.1 201.1 352 232 352H264C294.9 352 320 377.1 320 408V416C320 429.3 309.3 440 296 440C282.7 440 272 429.3 272 416V408C272 403.6 268.4 400 264 400H232z"]],
    "face-sleeping": [512, 512, [], "e38d", ["M477.8 128C499.5 165.7 512 209.4 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C304.7 0 350.2 13.58 388.9 37.16C390.8 41.11 393.3 44.75 396.2 48C383.1 61.68 380.6 81.26 387.7 98.37C395.1 116.3 412.6 127.1 432 127.1L477.8 128zM256 80C256 88.84 263.2 96 272 96H297.4L260.7 132.7C256.1 137.3 254.7 144.1 257.2 150.1C259.7 156.1 265.5 160 272 160H336C344.8 160 352 152.8 352 144C352 135.2 344.8 128 336 128H310.6L347.3 91.31C351.9 86.74 353.3 79.86 350.8 73.88C348.3 67.9 342.5 64 336 64H272C263.2 64 256 71.16 256 80V80zM256 424C278.1 424 296 406.1 296 384C296 361.9 278.1 344 256 344C233.9 344 216 361.9 216 384C216 406.1 233.9 424 256 424zM294.4 235.2C287.3 240.5 285.9 250.5 291.2 257.6C321.6 298.1 382.4 298.1 412.8 257.6C418.1 250.5 416.7 240.5 409.6 235.2C402.5 229.9 392.5 231.3 387.2 238.4C369.6 261.9 334.4 261.9 316.8 238.4C311.5 231.3 301.5 229.9 294.4 235.2V235.2zM195.2 238.4C177.6 261.9 142.4 261.9 124.8 238.4C119.5 231.3 109.5 229.9 102.4 235.2C95.33 240.5 93.9 250.5 99.2 257.6C129.6 298.1 190.4 298.1 220.8 257.6C226.1 250.5 224.7 240.5 217.6 235.2C210.5 229.9 200.5 231.3 195.2 238.4z", "M432 0H496C502.5 0 508.3 3.898 510.8 9.877C513.3 15.86 511.9 22.74 507.3 27.31L470.6 64H496C504.8 64 512 71.16 512 80C512 88.84 504.8 96 496 96H432C425.5 96 419.7 92.1 417.2 86.12C414.7 80.14 416.1 73.26 420.7 68.69L457.4 32H432C423.2 32 416 24.84 416 16C416 7.164 423.2 .0003 432 .0003V0zM272 64H336C342.5 64 348.3 67.9 350.8 73.88C353.3 79.86 351.9 86.74 347.3 91.31L310.6 128H336C344.8 128 352 135.2 352 144C352 152.8 344.8 160 336 160H272C265.5 160 259.7 156.1 257.2 150.1C254.7 144.1 256.1 137.3 260.7 132.7L297.4 96H272C263.2 96 256 88.84 256 80C256 71.16 263.2 64 272 64V64zM409.6 235.2C416.7 240.5 418.1 250.5 412.8 257.6C382.4 298.1 321.6 298.1 291.2 257.6C285.9 250.5 287.3 240.5 294.4 235.2C301.5 229.9 311.5 231.3 316.8 238.4C334.4 261.9 369.6 261.9 387.2 238.4C392.5 231.3 402.5 229.9 409.6 235.2V235.2zM124.8 238.4C142.4 261.9 177.6 261.9 195.2 238.4C200.5 231.3 210.5 229.9 217.6 235.2C224.7 240.5 226.1 250.5 220.8 257.6C190.4 298.1 129.6 298.1 99.2 257.6C93.9 250.5 95.33 240.5 102.4 235.2C109.5 229.9 119.5 231.3 124.8 238.4z"]],
    "face-sleepy": [512, 512, [], "e38e", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 292.1 504.2 328.1 490 359.9C482.7 353.6 474.1 348.1 467.4 343.1C429.6 318.7 383.6 304 352 304C336.7 304 323.5 314.9 320.6 329.9C317.7 345 325.9 360 340.1 365.7C361.1 374.1 371.7 389.2 377.5 407.4C383.8 426.8 384 447.7 384 464C384 468.5 384.4 472.9 385.1 477.1C347.2 499.3 303.1 512 256 512C114.6 512 0 397.4 0 256V256zM256 395.8C278 395.8 298.9 399.4 317.8 405.9C330.1 410.2 342.9 400.6 336.1 389.5C320.1 364.8 290.8 347.1 256 347.1C221.3 347.1 191.1 364.8 175.1 389.5C169.2 400.6 181.1 410.2 194.3 405.9C213.2 399.4 234.1 395.8 256 395.8V395.8zM387.2 246.4C369.6 269.9 334.4 269.9 316.8 246.4C311.5 239.3 301.5 237.9 294.4 243.2C287.3 248.5 285.9 258.5 291.2 265.6C321.6 306.1 382.4 306.1 412.8 265.6C418.1 258.5 416.7 248.5 409.6 243.2C402.5 237.9 392.5 239.3 387.2 246.4zM102.4 243.2C95.33 248.5 93.9 258.5 99.2 265.6C129.6 306.1 190.4 306.1 220.8 265.6C226.1 258.5 224.7 248.5 217.6 243.2C210.5 237.9 200.5 239.3 195.2 246.4C177.6 269.9 142.4 269.9 124.8 246.4C119.5 239.3 109.5 237.9 102.4 243.2V243.2z", "M217.6 243.2C224.7 248.5 226.1 258.5 220.8 265.6C190.4 306.1 129.6 306.1 99.2 265.6C93.9 258.5 95.33 248.5 102.4 243.2C109.5 237.9 119.5 239.3 124.8 246.4C142.4 269.9 177.6 269.9 195.2 246.4C200.5 239.3 210.5 237.9 217.6 243.2V243.2zM409.6 243.2C416.7 248.5 418.1 258.5 412.8 265.6C382.4 306.1 321.6 306.1 291.2 265.6C285.9 258.5 287.3 248.5 294.4 243.2C301.5 237.9 311.5 239.3 316.8 246.4C334.4 269.9 369.6 269.9 387.2 246.4C392.5 239.3 402.5 237.9 409.6 243.2V243.2zM464 512C437.5 512 416 490.5 416 464C416 432 416 361.6 352 336C400 336 512 384 512 464C512 490.5 490.5 512 464 512z"]],
    "face-smile": [512, 512, [128578, "smile"], "f118", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM164.1 325.5C158.3 318.8 148.2 318.1 141.5 323.9C134.8 329.7 134.1 339.8 139.9 346.5C162.1 372.1 200.9 400 255.1 400C311.1 400 349.8 372.1 372.1 346.5C377.9 339.8 377.2 329.7 370.5 323.9C363.8 318.1 353.7 318.8 347.9 325.5C329.9 346.2 299.4 368 255.1 368C212.6 368 182 346.2 164.1 325.5H164.1zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240z", "M144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208zM304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208z"]],
    "face-smile-beam": [512, 512, [128522, "smile-beam"], "f5b8", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM164.1 325.5C158.3 318.8 148.2 318.1 141.5 323.9C134.8 329.7 134.1 339.8 139.9 346.5C162.1 372.1 200.9 400 255.1 400C311.1 400 349.8 372.1 372.1 346.5C377.9 339.8 377.2 329.7 370.5 323.9C363.8 318.1 353.7 318.8 347.9 325.5C329.9 346.2 299.4 368 255.1 368C212.6 368 182 346.2 164.1 325.5H164.1zM226.5 231.6C229.8 230.5 232 227.4 232 224C232 206.1 225.3 188.4 215.4 175.2C205.6 162.2 191.5 152 176 152C160.5 152 146.4 162.2 136.6 175.2C126.7 188.4 120 206.1 120 224C120 227.4 122.2 230.5 125.5 231.6C128.7 232.7 132.3 231.6 134.4 228.8L134.4 228.8L134.6 228.5C134.8 228.3 134.1 228 135.3 227.6C135.1 226.8 136.9 225.7 138.1 224.3C140.6 221.4 144.1 217.7 148.3 213.1C157.1 206.2 167.2 200 176 200C184.8 200 194.9 206.2 203.7 213.1C207.9 217.7 211.4 221.4 213.9 224.3C215.1 225.7 216 226.8 216.7 227.6C217 228 217.2 228.3 217.4 228.5L217.6 228.8L217.6 228.8C219.7 231.6 223.3 232.7 226.5 231.6V231.6zM377.6 228.8C379.7 231.6 383.3 232.7 386.5 231.6C389.8 230.5 392 227.4 392 224C392 206.1 385.3 188.4 375.4 175.2C365.6 162.2 351.5 152 336 152C320.5 152 306.4 162.2 296.6 175.2C286.7 188.4 280 206.1 280 224C280 227.4 282.2 230.5 285.5 231.6C288.7 232.7 292.3 231.6 294.4 228.8L294.4 228.8L294.6 228.5C294.8 228.3 294.1 228 295.3 227.6C295.1 226.8 296.9 225.7 298.1 224.3C300.6 221.4 304.1 217.7 308.3 213.1C317.1 206.2 327.2 200 336 200C344.8 200 354.9 206.2 363.7 213.1C367.9 217.7 371.4 221.4 373.9 224.3C375.1 225.7 376 226.8 376.7 227.6C377 228 377.2 228.3 377.4 228.5L377.6 228.8L377.6 228.8z", "M217.6 228.8L217.4 228.5C217.2 228.3 217 228 216.7 227.6C216 226.8 215.1 225.7 213.9 224.3C211.4 221.4 207.9 217.7 203.7 213.1C194.9 206.2 184.8 200 176 200C167.2 200 157.1 206.2 148.3 213.1C144.1 217.7 140.6 221.4 138.1 224.3C136.9 225.7 135.1 226.8 135.3 227.6C134.1 228 134.8 228.3 134.6 228.5L134.4 228.8L134.4 228.8C132.3 231.6 128.7 232.7 125.5 231.6C122.2 230.5 120 227.4 120 224C120 206.1 126.7 188.4 136.6 175.2C146.4 162.2 160.5 152 176 152C191.5 152 205.6 162.2 215.4 175.2C225.3 188.4 232 206.1 232 224C232 227.4 229.8 230.5 226.5 231.6C223.3 232.7 219.7 231.6 217.6 228.8L217.6 228.8zM377.6 228.8L377.4 228.5C377.2 228.3 377 228 376.7 227.6C376 226.8 375.1 225.7 373.9 224.3C371.4 221.4 367.9 217.7 363.7 213.1C354.9 206.2 344.8 200 336 200C327.2 200 317.1 206.2 308.3 213.1C304.1 217.7 300.6 221.4 298.1 224.3C296.9 225.7 295.1 226.8 295.3 227.6C294.1 228 294.8 228.3 294.6 228.5L294.4 228.8L294.4 228.8C292.3 231.6 288.7 232.7 285.5 231.6C282.2 230.5 280 227.4 280 224C280 206.1 286.7 188.4 296.6 175.2C306.4 162.2 320.5 152 336 152C351.5 152 365.6 162.2 375.4 175.2C385.3 188.4 392 206.1 392 224C392 227.4 389.8 230.5 386.5 231.6C383.3 232.7 379.7 231.6 377.6 228.8L377.6 228.8z"]],
    "face-smile-halo": [512, 512, [], "e38f", ["M256 192C339 192 413.9 178.3 466.4 156.5C485.3 190.7 496 230.1 496 272C496 404.5 388.5 512 256 512C123.5 512 16 404.5 16 272C16 230.1 26.73 190.7 45.58 156.5C98.14 178.3 172.1 192 256 192zM139.9 378.5C162.2 404.1 200.9 432 256 432C311.1 432 349.8 404.1 372.1 378.5C377.9 371.8 377.2 361.7 370.5 355.9C363.8 350.1 353.7 350.8 347.9 357.5C329.1 378.2 299.4 400 255.1 400C212.6 400 182 378.2 164.1 357.5C158.3 350.8 148.2 350.1 141.5 355.9C134.8 361.7 134.1 371.8 139.9 378.5H139.9zM217.6 300.8C219.7 303.6 223.3 304.7 226.5 303.6C229.8 302.5 231.1 299.4 231.1 296C231.1 278.1 225.3 260.4 215.4 247.2C205.6 234.2 191.5 224 175.1 224C160.5 224 146.4 234.2 136.6 247.2C126.7 260.4 119.1 278.1 119.1 296C119.1 299.4 122.2 302.5 125.5 303.6C128.7 304.7 132.3 303.6 134.4 300.8L134.4 300.8L134.6 300.5C134.8 300.3 134.1 300 135.3 299.6C135.1 298.8 136.9 297.7 138.1 296.3C140.6 293.4 144.1 289.7 148.3 285.1C157.1 278.2 167.2 272 176 272C184.8 272 194.9 278.2 203.7 285.1C207.9 289.7 211.4 293.4 213.9 296.3C215.1 297.7 216 298.8 216.7 299.6C217 300 217.2 300.3 217.4 300.5L217.6 300.8L217.6 300.8zM386.5 303.6C389.8 302.5 392 299.4 392 296C392 278.1 385.3 260.4 375.4 247.2C365.6 234.2 351.5 224 336 224C320.5 224 306.4 234.2 296.6 247.2C286.7 260.4 280 278.1 280 296C280 299.4 282.2 302.5 285.5 303.6C288.7 304.7 292.3 303.6 294.4 300.8L294.4 300.8L294.6 300.5C294.8 300.3 294.1 300 295.3 299.6C295.1 298.8 296.9 297.7 298.1 296.3C300.6 293.4 304.1 289.7 308.3 285.1C317.1 278.2 327.2 272 336 272C344.8 272 354.9 278.2 363.7 285.1C367.9 289.7 371.4 293.4 373.9 296.3C375.1 297.7 376 298.8 376.7 299.6C377 300 377.2 300.3 377.4 300.5L377.6 300.8L377.6 300.8C379.7 303.6 383.3 304.7 386.5 303.6V303.6z", "M512 80C512 124.2 397.4 160 256 160C114.6 160 0 124.2 0 80C0 35.82 114.6 0 256 0C397.4 0 512 35.82 512 80zM256 48C149.1 48 64 62.33 64 80C64 97.67 149.1 112 256 112C362 112 448 97.67 448 80C448 62.33 362 48 256 48zM217.6 300.8L217.6 300.8L217.4 300.5C217.2 300.3 217 300 216.7 299.6C216 298.8 215.1 297.7 213.9 296.3C211.4 293.4 207.9 289.7 203.7 285.1C194.9 278.2 184.8 272 176 272C167.2 272 157.1 278.2 148.3 285.1C144.1 289.7 140.6 293.4 138.1 296.3C136.9 297.7 135.1 298.8 135.3 299.6C134.1 300 134.8 300.3 134.6 300.5L134.4 300.8L134.4 300.8C132.3 303.6 128.7 304.7 125.5 303.6C122.2 302.5 120 299.4 120 296C120 278.1 126.7 260.4 136.6 247.2C146.4 234.2 160.5 224 176 224C191.5 224 205.6 234.2 215.4 247.2C225.3 260.4 232 278.1 232 296C232 299.4 229.8 302.5 226.5 303.6C223.3 304.7 219.7 303.6 217.6 300.8V300.8zM377.6 300.8L377.6 300.8L377.4 300.5C377.2 300.3 377 300 376.7 299.6C376 298.8 375.1 297.7 373.9 296.3C371.4 293.4 367.9 289.7 363.7 285.1C354.9 278.2 344.8 272 336 272C327.2 272 317.1 278.2 308.3 285.1C304.1 289.7 300.6 293.4 298.1 296.3C296.9 297.7 295.1 298.8 295.3 299.6C294.1 300 294.8 300.3 294.6 300.5L294.4 300.8L294.4 300.8C292.3 303.6 288.7 304.7 285.5 303.6C282.2 302.5 280 299.4 280 296C280 278.1 286.7 260.4 296.6 247.2C306.4 234.2 320.5 224 336 224C351.5 224 365.6 234.2 375.4 247.2C385.3 260.4 392 278.1 392 296C392 299.4 389.8 302.5 386.5 303.6C383.3 304.7 379.7 303.6 377.6 300.8V300.8z"]],
    "face-smile-hearts": [640, 512, [], "e390", ["M524.2 145.1C533.4 154.3 545.3 159.3 557.4 159.9C569.4 189.6 576 222 576 255.1C576 293.4 567.1 329 553.5 361.1C526.5 345.8 491.6 349.8 468.7 372.9C442.8 398.9 441.2 439.9 463.8 467.8C422.8 495.7 373.3 512 320 512C258.7 512 202.4 490.4 158.3 454.4L171.3 441.3C198.9 413.6 198.9 368.7 171.3 340.9C146.5 315.1 107.7 313.4 80.04 333.3C78.34 332 76.59 330.9 74.81 329.8C67.78 306.5 64 281.7 64 256C64 114.6 178.6 0 320 0C366.7 0 410.5 12.5 448.2 34.34C446.9 54.04 453.7 74.18 468.7 89.25L524.2 145.1zM228.1 325.5C222.3 318.8 212.2 318.1 205.5 323.9C198.8 329.7 198.1 339.8 203.9 346.5C226.1 372.1 264.9 400 319.1 400C375.1 400 413.8 372.1 436.1 346.5C441.9 339.8 441.2 329.7 434.5 323.9C427.8 318.1 417.7 318.8 411.9 325.5C393.9 346.2 363.4 368 319.1 368C276.6 368 246 346.2 228.1 325.5H228.1zM297.6 236.8C304.7 231.5 306.1 221.5 300.8 214.4C270.4 173.9 209.6 173.9 179.2 214.4C173.9 221.5 175.3 231.5 182.4 236.8C189.5 242.1 199.5 240.7 204.8 233.6C222.4 210.1 257.6 210.1 275.2 233.6C280.5 240.7 290.5 242.1 297.6 236.8zM364.8 233.6C382.4 210.1 417.6 210.1 435.2 233.6C440.5 240.7 450.5 242.1 457.6 236.8C464.7 231.5 466.1 221.5 460.8 214.4C430.4 173.9 369.6 173.9 339.2 214.4C333.9 221.5 335.3 231.5 342.4 236.8C349.5 242.1 359.5 240.7 364.8 233.6z", "M573.7 11.5C588.9-3.757 613.5-3.757 628.6 11.5C643.8 26.76 643.8 51.49 628.6 66.75L573.2 122.5C565.9 129.8 554.1 129.8 546.9 122.5L491.4 66.69C476.2 51.43 476.2 26.7 491.4 11.44C506.5-3.814 531.1-3.814 546.3 11.44L560 25.27L573.7 11.5zM275.2 233.6C257.6 210.1 222.4 210.1 204.8 233.6C199.5 240.7 189.5 242.1 182.4 236.8C175.3 231.5 173.9 221.5 179.2 214.4C209.6 173.9 270.4 173.9 300.8 214.4C306.1 221.5 304.7 231.5 297.6 236.8C290.5 242.1 280.5 240.7 275.2 233.6zM435.2 233.6C417.6 210.1 382.4 210.1 364.8 233.6C359.5 240.7 349.5 242.1 342.4 236.8C335.3 231.5 333.9 221.5 339.2 214.4C369.6 173.9 430.4 173.9 460.8 214.4C466.1 221.5 464.7 231.5 457.6 236.8C450.5 242.1 440.5 240.7 435.2 233.6zM628.6 450.7L573.2 506.5C565.9 513.8 554.1 513.8 546.9 506.5L491.4 450.7C476.2 435.4 476.2 410.7 491.4 395.4C506.5 380.2 531.1 380.2 546.3 395.4L560 409.3L573.7 395.5C588.9 380.2 613.5 380.2 628.6 395.5C643.8 410.8 643.8 435.5 628.6 450.7L628.6 450.7zM93.71 363.5C108.9 348.2 133.5 348.2 148.6 363.5C163.8 378.8 163.8 403.5 148.6 418.7L93.2 474.5C85.93 481.8 74.13 481.8 66.86 474.5L11.37 418.7C-3.791 403.4-3.791 378.7 11.37 363.4C26.54 348.2 51.12 348.2 66.29 363.4L80.03 377.3L93.71 363.5z"]],
    "face-smile-horns": [640, 512, [], "e391", ["M576 256C576 397.4 461.4 512 320 512C178.6 512 64 397.4 64 256C64 114.6 178.6 0 320 0C461.4 0 576 114.6 576 256zM203.9 370.5C226.2 396.1 264.9 424 320 424C375.1 424 413.8 396.1 436.1 370.5C441.9 363.8 441.2 353.7 434.5 347.9C427.8 342.1 417.7 342.8 411.9 349.5C393.1 370.2 363.4 392 319.1 392C276.6 392 246 370.2 228.1 349.5C222.3 342.8 212.2 342.1 205.5 347.9C198.8 353.7 198.1 363.8 203.9 370.5H203.9zM240.4 304C258 304 272.4 289.7 272.4 272C272.4 270.5 272.3 269 272.1 267.6L282.9 271.2C291.3 273.1 300.4 269.4 303.2 261.1C305.1 252.7 301.4 243.6 293.1 240.8L197.1 208.8C188.7 206 179.6 210.6 176.8 218.9C174 227.3 178.6 236.4 186.9 239.2L217.7 249.4C211.9 255.2 208.4 263.2 208.4 272C208.4 289.7 222.7 304 240.4 304V304zM422.9 249.2L453.1 239.2C461.4 236.4 465.1 227.3 463.2 218.9C460.4 210.6 451.3 206 442.9 208.8L346.9 240.8C338.6 243.6 334 252.7 336.8 261.1C339.6 269.4 348.7 273.1 357.1 271.2L368.7 267.3C368.5 268.8 368.4 270.4 368.4 271.1C368.4 289.7 382.7 303.1 400.4 303.1C418 303.1 432.4 289.7 432.4 271.1C432.4 263.1 428.7 255 422.9 249.2L422.9 249.2z", "M566.1 185.1C550.5 131 517.6 84.28 473.8 51.3C490.8 47.99 513.5 42.74 536.8 35.78C566.6 26.86 595.8 15.55 615.1 2.687C620.5-.9025 627.5-.8952 632.9 2.706C638.3 6.307 640.1 12.79 639.7 19.14C633.5 50.11 610.4 125.8 566.1 185.1V185.1zM103.3 35.78C126.5 42.74 149.2 47.99 166.2 51.3C122.4 84.28 89.5 131 73.94 185.1C29.62 125.8 6.507 50.11 .3114 19.14C-.9577 12.79 1.721 6.307 7.098 2.706C12.47-.8948 19.49-.9022 24.88 2.688C44.17 15.55 73.41 26.86 103.3 35.78V35.78zM208.4 272C208.4 263.2 211.9 255.2 217.7 249.4L186.9 239.2C178.6 236.4 174 227.3 176.8 218.9C179.6 210.6 188.7 206 197.1 208.8L293.1 240.8C301.4 243.6 305.1 252.7 303.2 261.1C300.4 269.4 291.3 273.1 282.9 271.2L272.1 267.6C272.3 269 272.4 270.5 272.4 272C272.4 289.7 258 304 240.4 304C222.7 304 208.4 289.7 208.4 272L208.4 272zM432.4 272C432.4 289.7 418 304 400.4 304C382.7 304 368.4 289.7 368.4 272C368.4 270.4 368.5 268.8 368.7 267.3L357.1 271.2C348.7 273.1 339.6 269.4 336.8 261.1C334 252.7 338.6 243.6 346.9 240.8L442.9 208.8C451.3 206 460.4 210.6 463.2 218.9C465.1 227.3 461.4 236.4 453.1 239.2L422.9 249.2C428.7 255 432.4 263.1 432.4 272L432.4 272z"]],
    "face-smile-plus": [640, 512, ["smile-plus"], "f5b9", ["M0 288C0 164.3 100.3 64 224 64C347.7 64 448 164.3 448 288C448 411.7 347.7 512 224 512C100.3 512 0 411.7 0 288zM144.4 272C162 272 176.4 257.7 176.4 240C176.4 222.3 162 208 144.4 208C126.7 208 112.4 222.3 112.4 240C112.4 257.7 126.7 272 144.4 272zM304.4 208C286.7 208 272.4 222.3 272.4 240C272.4 257.7 286.7 272 304.4 272C322 272 336.4 257.7 336.4 240C336.4 222.3 322 208 304.4 208zM139.1 346.1C134.1 339.5 124 338.8 117.4 344.7C110.8 350.5 110.2 360.6 116 367.3C142.4 397.1 180.1 416 224 416C267 416 305.6 397.1 331.1 367.3C337.8 360.6 337.2 350.5 330.6 344.7C323.1 338.8 313.9 339.5 308 346.1C287.5 369.4 257.4 384 224 384C190.6 384 160.5 369.4 139.1 346.1V346.1z", "M544 0C557.3 0 568 10.75 568 24V72H616C629.3 72 640 82.75 640 96C640 109.3 629.3 120 616 120H568V168C568 181.3 557.3 192 544 192C530.7 192 520 181.3 520 168V120H472C458.7 120 448 109.3 448 96C448 82.75 458.7 72 472 72H520V24C520 10.75 530.7 0 544 0zM112.4 240C112.4 222.3 126.7 208 144.4 208C162 208 176.4 222.3 176.4 240C176.4 257.7 162 272 144.4 272C126.7 272 112.4 257.7 112.4 240V240zM272.4 240C272.4 222.3 286.7 208 304.4 208C322 208 336.4 222.3 336.4 240C336.4 257.7 322 272 304.4 272C286.7 272 272.4 257.7 272.4 240z"]],
    "face-smile-relaxed": [512, 512, [], "e392", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM164.1 325.5C158.3 318.8 148.2 318.1 141.5 323.9C134.8 329.7 134.1 339.8 139.9 346.5C162.1 372.1 200.9 400 255.1 400C311.1 400 349.8 372.1 372.1 346.5C377.9 339.8 377.2 329.7 370.5 323.9C363.8 318.1 353.7 318.8 347.9 325.5C329.9 346.2 299.4 368 255.1 368C212.6 368 182 346.2 164.1 325.5H164.1zM233.6 236.8C240.7 231.5 242.1 221.5 236.8 214.4C206.4 173.9 145.6 173.9 115.2 214.4C109.9 221.5 111.3 231.5 118.4 236.8C125.5 242.1 135.5 240.7 140.8 233.6C158.4 210.1 193.6 210.1 211.2 233.6C216.5 240.7 226.5 242.1 233.6 236.8zM300.8 233.6C318.4 210.1 353.6 210.1 371.2 233.6C376.5 240.7 386.5 242.1 393.6 236.8C400.7 231.5 402.1 221.5 396.8 214.4C366.4 173.9 305.6 173.9 275.2 214.4C269.9 221.5 271.3 231.5 278.4 236.8C285.5 242.1 295.5 240.7 300.8 233.6z", "M118.4 236.8C111.3 231.5 109.9 221.5 115.2 214.4C145.6 173.9 206.4 173.9 236.8 214.4C242.1 221.5 240.7 231.5 233.6 236.8C226.5 242.1 216.5 240.7 211.2 233.6C193.6 210.1 158.4 210.1 140.8 233.6C135.5 240.7 125.5 242.1 118.4 236.8V236.8zM278.4 236.8C271.3 231.5 269.9 221.5 275.2 214.4C305.6 173.9 366.4 173.9 396.8 214.4C402.1 221.5 400.7 231.5 393.6 236.8C386.5 242.1 376.5 240.7 371.2 233.6C353.6 210.1 318.4 210.1 300.8 233.6C295.5 240.7 285.5 242.1 278.4 236.8z"]],
    "face-smile-tear": [512, 512, [], "e393", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM139.9 346.5C162.2 372.1 200.9 400 256 400C264.8 400 272 392.8 272 384C272 375.2 264.8 368 256 368C212.6 368 182 346.2 164.1 325.5C158.3 318.8 148.2 318.1 141.5 323.9C134.8 329.7 134.1 339.8 139.9 346.5L139.9 346.5zM352 416C378.5 416 400 395 400 369C400 349 371.4 308.6 358.4 291.3C355.2 286.9 348.8 286.9 345.6 291.3C332.4 308.6 304 349 304 369C304 395 325.5 416 352 416H352zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240z", "M208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208zM400 369C400 395 378.5 416 352 416C325.5 416 304 395 304 369C304 349 332.4 308.6 345.6 291.3C348.8 286.9 355.2 286.9 358.4 291.3C371.4 308.6 400 349 400 369H400zM304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208z"]],
    "face-smile-tongue": [512, 512, [], "e394", ["M489.7 312.1L424.3 274.3C423 273.6 421.6 272.9 420.1 272.5C411.6 270.3 402.8 275.3 400.5 283.9C382.5 351.5 324.1 400 255.1 400C187.9 400 129.5 351.5 111.5 283.9C109.2 275.3 100.4 270.3 91.87 272.5C83.33 274.8 78.26 283.6 80.54 292.1C101.1 372.3 171.9 432 256 432C287.1 432 316.3 423.8 341.8 409.4L409.9 449.9C412.6 451.5 415.4 452.9 418.1 454.1C373.1 490.3 317.5 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 278.8 509 300.1 503.4 322C499.3 318.3 494.7 314.1 489.7 312.1L489.7 312.1zM226.5 231.6C229.8 230.5 232 227.4 232 223.1C232 206.1 225.3 188.4 215.4 175.2C205.6 162.2 191.5 151.1 176 151.1C160.5 151.1 146.4 162.2 136.6 175.2C126.7 188.4 120 206.1 120 223.1C120 227.4 122.2 230.5 125.5 231.6C128.7 232.7 132.3 231.6 134.4 228.8L134.4 228.8L134.6 228.5C134.8 228.3 134.1 228 135.3 227.6C135.1 226.8 136.9 225.7 138.1 224.3C140.6 221.4 144.1 217.7 148.3 213.1C157.1 206.2 167.2 200 176 200C184.8 200 194.9 206.2 203.7 213.1C207.9 217.7 211.4 221.4 213.9 224.3C215.1 225.7 216 226.8 216.7 227.6C217 228 217.2 228.3 217.4 228.5L217.6 228.8L217.6 228.8C219.7 231.6 223.3 232.7 226.5 231.6V231.6zM377.6 228.8C379.7 231.6 383.3 232.7 386.5 231.6C389.8 230.5 392 227.4 392 223.1C392 206.1 385.3 188.4 375.4 175.2C365.6 162.2 351.5 151.1 336 151.1C320.5 151.1 306.4 162.2 296.6 175.2C286.7 188.4 280 206.1 280 223.1C280 227.4 282.2 230.5 285.5 231.6C288.7 232.7 292.3 231.6 294.4 228.8L294.4 228.8L294.6 228.5C294.8 228.3 294.1 228 295.3 227.6C295.1 226.8 296.9 225.7 298.1 224.3C300.6 221.4 304.1 217.7 308.3 213.1C317.1 206.2 327.2 200 336 200C344.8 200 354.9 206.2 363.7 213.1C367.9 217.7 371.4 221.4 373.9 224.3C375.1 225.7 376 226.8 376.7 227.6C377 228 377.2 228.3 377.4 228.5L377.6 228.8L377.6 228.8z", "M217.6 228.8L217.6 228.8L217.4 228.5C217.2 228.3 217 228 216.7 227.6C216 226.8 215.1 225.7 213.9 224.3C211.4 221.4 207.9 217.7 203.7 213.1C194.9 206.2 184.8 200 176 200C167.2 200 157.1 206.2 148.3 213.1C144.1 217.7 140.6 221.4 138.1 224.3C136.9 225.7 135.1 226.8 135.3 227.6C134.1 228 134.8 228.3 134.6 228.5L134.4 228.8L134.4 228.8C132.3 231.6 128.7 232.7 125.5 231.6C122.2 230.5 120 227.4 120 224C120 206.1 126.7 188.4 136.6 175.2C146.4 162.2 160.5 152 176 152C191.5 152 205.6 162.2 215.4 175.2C225.3 188.4 232 206.1 232 224C232 227.4 229.8 230.5 226.5 231.6C223.3 232.7 219.7 231.6 217.6 228.8V228.8zM473.7 339.8C496.7 353.1 504.5 382.4 491.3 405.4C478.1 428.1 448.9 435.8 426.3 422.4L370.6 389.3C394.6 368.8 413.5 342.2 425.1 311.7L473.7 339.8zM377.6 228.8L377.4 228.5C377.2 228.3 377 228 376.7 227.6C376 226.8 375.1 225.7 373.9 224.3C371.4 221.4 367.9 217.7 363.7 213.1C354.9 206.2 344.8 200 336 200C327.2 200 317.1 206.2 308.3 213.1C304.1 217.7 300.6 221.4 298.1 224.3C296.9 225.7 295.1 226.8 295.3 227.6C294.1 228 294.8 228.3 294.6 228.5L294.4 228.8L294.4 228.8C292.3 231.6 288.7 232.7 285.5 231.6C282.2 230.5 280 227.4 280 224C280 206.1 286.7 188.4 296.6 175.2C306.4 162.2 320.5 152 336 152C351.5 152 365.6 162.2 375.4 175.2C385.3 188.4 392 206.1 392 224C392 227.4 389.8 230.5 386.5 231.6C383.3 232.7 379.7 231.6 377.6 228.8L377.6 228.8z"]],
    "face-smile-upside-down": [512, 512, [], "e395", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM347.9 186.5C353.7 193.2 363.8 193.9 370.5 188.1C377.2 182.3 377.9 172.2 372.1 165.5C349.8 139.9 311.1 112 256 112C200.9 112 162.2 139.9 139.9 165.5C134.1 172.2 134.8 182.3 141.5 188.1C148.2 193.9 158.3 193.2 164.1 186.5C182 165.8 212.6 143.1 256 143.1C299.4 143.1 329.1 165.8 347.9 186.5L347.9 186.5zM335.6 336C353.3 336 367.6 321.7 367.6 304C367.6 286.3 353.3 272 335.6 272C317.1 272 303.6 286.3 303.6 304C303.6 321.7 317.1 336 335.6 336zM175.6 272C157.1 272 143.6 286.3 143.6 304C143.6 321.7 157.1 336 175.6 336C193.3 336 207.6 321.7 207.6 304C207.6 286.3 193.3 272 175.6 272z", "M207.6 304C207.6 321.7 193.3 336 175.6 336C157.1 336 143.6 321.7 143.6 304C143.6 286.3 157.1 272 175.6 272C193.3 272 207.6 286.3 207.6 304zM367.6 304C367.6 321.7 353.3 336 335.6 336C317.1 336 303.6 321.7 303.6 304C303.6 286.3 317.1 272 335.6 272C353.3 272 367.6 286.3 367.6 304z"]],
    "face-smile-wink": [512, 512, [128521, "smile-wink"], "f4da", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM164.1 325.5C158.3 318.8 148.2 318.1 141.5 323.9C134.8 329.7 134.1 339.8 139.9 346.5C162.1 372.1 200.9 400 255.1 400C311.1 400 349.8 372.1 372.1 346.5C377.9 339.8 377.2 329.7 370.5 323.9C363.8 318.1 353.7 318.8 347.9 325.5C329.9 346.2 299.4 368 255.1 368C212.6 368 182 346.2 164.1 325.5H164.1zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM300.8 233.6C318.4 210.1 353.6 210.1 371.2 233.6C376.5 240.7 386.5 242.1 393.6 236.8C400.7 231.5 402.1 221.5 396.8 214.4C366.4 173.9 305.6 173.9 275.2 214.4C269.9 221.5 271.3 231.5 278.4 236.8C285.5 242.1 295.5 240.7 300.8 233.6z", "M144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208zM278.4 236.8C271.3 231.5 269.9 221.5 275.2 214.4C305.6 173.9 366.4 173.9 396.8 214.4C402.1 221.5 400.7 231.5 393.6 236.8C386.5 242.1 376.5 240.7 371.2 233.6C353.6 210.1 318.4 210.1 300.8 233.6C295.5 240.7 285.5 242.1 278.4 236.8z"]],
    "face-smiling-hands": [640, 512, [], "e396", ["M228.9 495.3C245.9 473.7 256 446.4 256 416.8V386C274.1 394.4 295.4 400 319.1 400C344.6 400 365.9 394.4 384 386V416.8C384 446.4 394.1 473.7 411.1 495.3C382.8 506.1 352.1 512 319.1 512C287.9 512 257.2 506.1 228.9 495.3V495.3zM64.34 242.6C71.31 107.5 183.1 0 319.1 0C456.9 0 568.7 107.5 575.7 242.6C558.9 236.8 539.5 240.6 526.1 254.1L478.1 301.1C469.6 287.4 453.9 278.4 436 278.4C407.3 278.4 384 301.7 384 330.4V349.6C367.2 360.3 345.9 368 319.1 368C294.1 368 272.8 360.3 256 349.6V330.4C256 301.7 232.7 278.4 204 278.4C186.1 278.4 170.4 287.4 161 301.1L113.9 254.1C100.5 240.6 81.15 236.8 64.34 242.6L64.34 242.6zM290.5 231.6C293.8 230.5 295.1 227.4 295.1 224C295.1 206.1 289.3 188.4 279.4 175.2C269.6 162.2 255.5 152 239.1 152C224.5 152 210.4 162.2 200.6 175.2C190.7 188.4 183.1 206.1 183.1 224C183.1 227.4 186.2 230.5 189.5 231.6C192.7 232.7 196.3 231.6 198.4 228.8L198.4 228.8L198.6 228.5C198.8 228.3 198.1 228 199.3 227.6C199.1 226.8 200.9 225.7 202.1 224.3C204.6 221.4 208.1 217.7 212.3 213.1C221.1 206.2 231.2 200 239.1 200C248.8 200 258.9 206.2 267.7 213.1C271.9 217.7 275.4 221.4 277.9 224.3C279.1 225.7 280 226.8 280.7 227.6C281 228 281.2 228.3 281.4 228.5L281.6 228.8L281.6 228.8C283.7 231.6 287.3 232.7 290.5 231.6V231.6zM441.6 228.8C443.7 231.6 447.3 232.7 450.5 231.6C453.8 230.5 456 227.4 456 224C456 206.1 449.3 188.4 439.4 175.2C429.6 162.2 415.5 152 400 152C384.5 152 370.4 162.2 360.6 175.2C350.7 188.4 344 206.1 344 224C344 227.4 346.2 230.5 349.5 231.6C352.7 232.7 356.3 231.6 358.4 228.8L358.4 228.8L358.6 228.5C358.8 228.3 358.1 228 359.3 227.6C359.1 226.8 360.9 225.7 362.1 224.3C364.6 221.4 368.1 217.7 372.3 213.1C381.1 206.2 391.2 200 400 200C408.8 200 418.9 206.2 427.7 213.1C431.9 217.7 435.4 221.4 437.9 224.3C439.1 225.7 440 226.8 440.7 227.6C441 228 441.2 228.3 441.4 228.5L441.6 228.8L441.6 228.8z", "M281.6 228.8L281.6 228.8L281.4 228.5C281.2 228.3 281 228 280.7 227.6C280 226.8 279.1 225.7 277.9 224.3C275.4 221.4 271.9 217.7 267.7 213.1C258.9 206.2 248.8 200 240 200C231.2 200 221.1 206.2 212.3 213.1C208.1 217.7 204.6 221.4 202.1 224.3C200.9 225.7 199.1 226.8 199.3 227.6C198.1 228 198.8 228.3 198.6 228.5L198.4 228.8L198.4 228.8C196.3 231.6 192.7 232.7 189.5 231.6C186.2 230.5 184 227.4 184 224C184 206.1 190.7 188.4 200.6 175.2C210.4 162.2 224.5 152 240 152C255.5 152 269.6 162.2 279.4 175.2C289.3 188.4 296 206.1 296 224C296 227.4 293.8 230.5 290.5 231.6C287.3 232.7 283.7 231.6 281.6 228.8V228.8zM91.31 276.7L170.3 355.7C175.4 360.8 184 357.2 184 350.1V330.4C184 319.4 192.1 310.4 204 310.4C215 310.4 224 319.4 224 330.4V416.8C224 469.4 181.4 512 128.8 512C103.6 512 79.34 501.1 61.49 484.1L4.686 427.3C-1.562 421.1-1.562 410.9 4.686 404.7C10.93 398.4 21.07 398.4 27.31 404.7L46.63 424C49.22 426.6 53.41 426.6 55.1 424C58.59 421.4 58.59 417.2 55.1 414.6L4.686 363.3C-1.562 357.1-1.562 346.9 4.686 340.7C10.93 334.4 21.07 334.4 27.31 340.7L78.63 392C81.22 394.6 85.41 394.6 87.1 392C90.59 389.4 90.59 385.2 87.1 382.6L20.69 315.3C14.44 309.1 14.44 298.9 20.69 292.7C26.93 286.4 37.06 286.4 43.31 292.7L110.6 360C113.2 362.6 117.4 362.6 119.1 360C122.6 357.4 122.6 353.2 119.1 350.6L68.69 299.3C62.44 293.1 62.44 282.9 68.69 276.7C74.93 270.4 85.06 270.4 91.31 276.7L91.31 276.7zM571.3 276.7C577.6 282.9 577.6 293.1 571.3 299.3L520 350.6C517.4 353.2 517.4 357.4 520 360C522.6 362.6 526.8 362.6 529.4 360L596.7 292.7C602.9 286.4 613.1 286.4 619.3 292.7C625.6 298.9 625.6 309.1 619.3 315.3L552 382.6C549.4 385.2 549.4 389.4 552 392C554.6 394.6 558.8 394.6 561.4 392L612.7 340.7C618.9 334.4 629.1 334.4 635.3 340.7C641.6 346.9 641.6 357.1 635.3 363.3L584 414.6C581.4 417.2 581.4 421.4 584 424C586.6 426.6 590.8 426.6 593.4 424L612.7 404.7C618.9 398.4 629.1 398.4 635.3 404.7C641.6 410.9 641.6 421.1 635.3 427.3L578.5 484.1C560.7 501.1 536.4 512 511.2 512C458.6 512 416 469.4 416 416.8V330.4C416 319.4 424.1 310.4 436 310.4C447 310.4 456 319.4 456 330.4V350.1C456 357.2 464.6 360.8 469.7 355.7L548.7 276.7C554.9 270.4 565.1 270.4 571.3 276.7L571.3 276.7zM441.6 228.8L441.4 228.5C441.2 228.3 441 228 440.7 227.6C440 226.8 439.1 225.7 437.9 224.3C435.4 221.4 431.9 217.7 427.7 213.1C418.9 206.2 408.8 200 400 200C391.2 200 381.1 206.2 372.3 213.1C368.1 217.7 364.6 221.4 362.1 224.3C360.9 225.7 359.1 226.8 359.3 227.6C358.1 228 358.8 228.3 358.6 228.5L358.4 228.8L358.4 228.8C356.3 231.6 352.7 232.7 349.5 231.6C346.2 230.5 344 227.4 344 224C344 206.1 350.7 188.4 360.6 175.2C370.4 162.2 384.5 152 400 152C415.5 152 429.6 162.2 439.4 175.2C449.3 188.4 456 206.1 456 224C456 227.4 453.8 230.5 450.5 231.6C447.3 232.7 443.7 231.6 441.6 228.8L441.6 228.8z"]],
    "face-smirking": [512, 512, [], "e397", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM375.8 338.6C377.2 329.9 371.3 321.7 362.6 320.2C353.9 318.8 345.7 324.7 344.2 333.4L344 334.6C340.8 353.9 324.1 368 304.6 368H192C183.2 368 176 375.2 176 384C176 392.8 183.2 400 192 400H304.6C339.8 400 369.8 374.6 375.6 339.8L375.8 338.6zM112 192C103.2 192 96 199.2 96 208C96 216.8 103.2 224 112 224H144C144 241.7 158.3 256 176 256C193.7 256 208 241.7 208 224C208 206.3 193.7 192 176 192H112zM304 224H336C336 241.7 350.3 256 368 256C385.7 256 400 241.7 400 224C400 206.3 385.7 192 368 192H304C295.2 192 288 199.2 288 208C288 216.8 295.2 224 304 224z", "M96 208C96 199.2 103.2 192 112 192H176C193.7 192 208 206.3 208 224C208 241.7 193.7 256 176 256C158.3 256 144 241.7 144 224H112C103.2 224 96 216.8 96 208zM288 208C288 199.2 295.2 192 304 192H368C385.7 192 400 206.3 400 224C400 241.7 385.7 256 368 256C350.3 256 336 241.7 336 224H304C295.2 224 288 216.8 288 208z"]],
    "face-spiral-eyes": [512, 512, [], "e485", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM312.9 374.9C307.5 378.4 300.5 378.4 295.1 374.9L282.6 366.5C266.5 355.8 245.5 355.8 229.4 366.5L216.9 374.9C211.5 378.4 204.5 378.4 199.1 374.9L184.3 364.1C169.1 355.4 151.6 354.3 136.2 361.1L120.8 369.7C112.9 373.6 109.7 383.3 113.7 391.2C117.6 399.1 127.3 402.3 135.2 398.3L150.5 390.6C155.7 388 161.8 388.4 166.6 391.6L181.4 401.5C197.5 412.2 218.5 412.2 234.6 401.5L247.1 393.1C252.5 389.6 259.5 389.6 264.9 393.1L277.4 401.5C293.5 412.2 314.5 412.2 330.6 401.5L345.4 391.6C350.2 388.4 356.3 388 361.5 390.6L376.8 398.3C384.7 402.3 394.4 399.1 398.3 391.2C402.3 383.3 399.1 373.6 391.2 369.7L375.8 361.1C360.4 354.3 342 355.4 327.7 364.1L312.9 374.9zM153.4 100C93.53 102.4 46.93 156.7 52.44 210.5C55.3 264.4 106.1 304.8 154.9 299.5C204 296.6 240.9 251.6 235.5 208.3C232.2 164.9 190.8 133.9 152.6 139.1C114.2 142.5 86.91 178.2 92.3 211.2C96.14 244.2 128.2 265.7 155.9 260.4C183.6 256.3 201.3 229.6 195.4 206.8C193 195.3 185.9 186.9 177.6 181.1C169.5 177.3 159.3 175.4 150.1 178.7C141.2 181.4 135.2 187.6 132.3 194.6C129.7 200.9 129.2 209.6 134.1 216.4C138.4 222.7 145.2 225.6 151.8 224.9C157 224.3 166.9 219.6 165.9 208.5C165.6 205.8 164.5 203.4 162.9 201.5C163.7 201.8 164.5 202.2 165.5 202.7C168.6 204.5 171.1 207.6 171.1 211.9L172.1 212.3L172.2 212.6C174.2 220.3 167.4 234.6 152.3 236.7L151.9 236.7L151.6 236.8C137.6 239.6 118.3 227.7 116.1 208.2L116.1 207.9L116 207.5C112.9 189.2 129.2 165.1 154.9 162.1L155.3 162.9L155.6 162.9C180.3 159.4 209.4 180.6 211.6 210.4L211.6 210.7L211.6 211.1C215.4 239.9 189.5 273.6 153.2 275.6L152.9 275.6L152.6 275.7C117.2 279.6 78.38 249.2 76.39 208.1L76.38 208.6L76.34 208.3C72.15 168.9 107.5 125.9 154.4 123.1C161 123.7 166.2 118.1 165.9 111.5C165.6 104.9 160.1 99.74 153.4 100L153.4 100zM357.6 292C350.1 292.3 345.8 297.9 346.1 304.5C346.4 311.1 351.9 316.3 358.6 315.1C418.5 313.6 465.1 259.3 459.6 205.5C456.7 151.6 405.9 111.2 357.1 116.5C307.1 119.4 271.1 164.4 276.5 207.7C279.8 251.1 321.2 282.1 359.4 276.9C397.8 273.5 425.1 237.8 419.7 204.8C415.9 171.8 383.8 150.3 356.1 155.6C328.4 159.7 310.7 186.4 316.6 209.2C318.1 220.7 326.1 229.1 334.4 234C342.5 238.7 352.7 240.6 361.9 237.3C370.8 234.6 376.8 228.4 379.7 221.4C382.3 215.1 382.8 206.4 377.9 199.6C373.6 193.3 366.8 190.4 360.2 191.1C354.1 191.7 345.1 196.4 346.1 207.5C346.4 210.2 347.5 212.6 349.1 214.5C348.3 214.2 347.5 213.8 346.5 213.3C343.4 211.5 340.9 208.4 340 204.1L339.9 203.7L339.8 203.4C337.8 195.7 344.6 181.4 359.7 179.3L360.1 179.3L360.4 179.2C374.4 176.4 393.7 188.3 395.9 207.8L395.9 208.1L395.1 208.5C399.1 226.8 382.8 250.9 357.1 253L356.7 253.1L356.4 253.1C331.7 256.6 302.6 235.4 300.4 205.6L300.4 205.3L300.4 204.9C296.6 176.1 322.5 142.4 358.8 140.4L359.1 140.4L359.4 140.3C394.8 136.4 433.6 166.8 435.6 207L435.6 207.4L435.7 207.7C439.8 247.1 404.5 290.1 357.6 292L357.6 292z", "M76.34 208.3L76.38 208.6L76.39 208.1C78.38 249.2 117.2 279.6 152.6 275.7L152.9 275.6L153.2 275.6C189.5 273.6 215.4 239.9 211.6 211.1L211.6 210.7L211.6 210.4C209.4 180.6 180.3 159.4 155.6 162.9L155.3 162.9L154.9 162.1C129.2 165.1 112.9 189.2 116 207.5L116.1 207.9L116.1 208.2C118.3 227.7 137.6 239.6 151.6 236.8L151.9 236.7L152.3 236.7C167.4 234.6 174.2 220.3 172.2 212.6L172.1 212.3L171.1 211.9C171.1 207.6 168.6 204.5 165.5 202.7C164.5 202.2 163.7 201.8 162.9 201.5C164.5 203.4 165.6 205.8 165.9 208.5C166.9 219.6 157 224.3 151.8 224.9C145.2 225.6 138.4 222.7 134.1 216.4C129.2 209.6 129.7 200.9 132.3 194.6C135.2 187.6 141.2 181.4 150.1 178.7C159.3 175.4 169.5 177.3 177.6 181.1C185.9 186.9 193 195.3 195.4 206.8C201.3 229.6 183.6 256.3 155.9 260.4C128.2 265.7 96.14 244.2 92.3 211.2C86.91 178.2 114.2 142.5 152.6 139.1C190.8 133.9 232.2 164.9 235.5 208.3C240.9 251.6 204 296.6 154.9 299.5C106.1 304.8 55.31 264.4 52.44 210.5C46.93 156.7 93.54 102.4 153.4 100C160.1 99.74 165.6 104.9 165.9 111.5C166.2 118.1 161 123.7 154.4 123.1C107.5 125.9 72.15 168.9 76.34 208.3L76.34 208.3zM435.7 207.7L435.6 207.4L435.6 207.1C433.6 166.8 394.8 136.4 359.4 140.3L359.1 140.4L358.8 140.4C322.5 142.5 296.6 176.1 300.4 204.9L300.4 205.3L300.4 205.6C302.6 235.4 331.7 256.6 356.4 253.1L356.7 253.1L357.1 253C382.8 250.9 399.1 226.8 395.1 208.5L395.9 208.1L395.9 207.8C393.7 188.3 374.4 176.4 360.4 179.2L360.1 179.3L359.7 179.3C344.6 181.4 337.8 195.7 339.8 203.4L339.9 203.7L340 204.1C340.9 208.4 343.4 211.5 346.6 213.3C347.5 213.8 348.3 214.2 349.1 214.5C347.5 212.6 346.4 210.2 346.1 207.5C345.1 196.4 354.1 191.7 360.2 191.1C366.8 190.4 373.6 193.3 377.9 199.6C382.8 206.4 382.3 215.1 379.7 221.4C376.8 228.4 370.8 234.6 361.9 237.3C352.7 240.6 342.5 238.7 334.4 234C326.1 229.1 318.1 220.7 316.6 209.2C310.7 186.4 328.4 159.7 356.1 155.6C383.8 150.3 415.9 171.8 419.7 204.8C425.1 237.8 397.8 273.5 359.4 276.9C321.2 282.1 279.8 251.1 276.5 207.7C271.1 164.4 307.1 119.4 357.1 116.5C405.9 111.2 456.7 151.6 459.6 205.5C465.1 259.3 418.5 313.6 358.6 315.1C351.9 316.3 346.4 311.1 346.1 304.5C345.8 297.9 350.1 292.3 357.6 292C404.5 290.1 439.9 247.1 435.7 207.7L435.7 207.7z"]],
    "face-sunglasses": [512, 512, [], "e398", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 233.2 2.971 211.2 8.546 190.2C10.77 191.3 13.31 192 16 192H50.67L57.32 231.9C61.17 255 81.2 272 104.7 272H183.3C206.8 272 226.8 255 230.7 231.9L238.7 183.9C239.1 181.2 239.3 178.6 239.4 176H272.6C272.7 178.6 272.9 181.2 273.3 183.9L281.3 231.9C285.2 255 305.2 272 328.7 272H407.3C430.8 272 450.8 255 454.7 231.9L461.3 192H496C498.7 192 501.2 191.3 503.5 190.2C509 211.2 512 233.2 512 256H512zM164.1 341.5C158.3 334.8 148.2 334.1 141.5 339.9C134.8 345.7 134.1 355.8 139.9 362.5C162.1 388.1 200.9 416 255.1 416C311.1 416 349.8 388.1 372.1 362.5C377.9 355.8 377.2 345.7 370.5 339.9C363.8 334.1 353.7 334.8 347.9 341.5C329.9 362.2 299.4 384 255.1 384C212.6 384 182 362.2 164.1 341.5H164.1zM493.4 160H460.6C454.1 141.6 436.5 128 415.3 128H320.7C306.3 128 293.6 134.2 284.9 144H227.1C218.4 134.2 205.7 128 191.3 128H96.66C75.48 128 57.92 141.6 51.39 160H18.61C56.58 66.18 148.6 0 255.1 0C363.4 0 455.4 66.18 493.4 160H493.4z", "M183.3 272H104.7C81.2 272 61.17 255 57.32 231.9L50.67 192H16C7.164 192 0 184.8 0 176C0 167.2 7.164 160 16 160H51.39C57.92 141.6 75.48 128 96.66 128H191.3C205.7 128 218.4 134.2 227.1 144H284.9C293.6 134.2 306.3 128 320.7 128H415.3C436.5 128 454.1 141.6 460.6 160H496C504.8 160 512 167.2 512 176C512 184.8 504.8 192 496 192H461.3L454.7 231.9C450.8 255 430.8 272 407.3 272H328.7C305.2 272 285.2 255 281.3 231.9L273.3 183.9C272.9 181.2 272.7 178.6 272.6 176H239.3C239.3 178.6 239.1 181.2 238.7 183.9L230.7 231.9C226.8 255 206.8 272 183.3 272H183.3z"]],
    "face-surprise": [512, 512, [128558, "surprise"], "f5c2", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240zM336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176zM256 416C291.3 416 320 387.3 320 352C320 316.7 291.3 288 256 288C220.7 288 192 316.7 192 352C192 387.3 220.7 416 256 416z", "M144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208zM304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208z"]],
    "face-swear": [640, 512, [], "e399", ["M320 0C461.4 0 576 114.6 576 256H64C64 114.6 178.6 0 320 0zM272.1 187.6L282.9 191.2C291.3 193.1 300.4 189.4 303.2 181.1C305.1 172.7 301.4 163.6 293.1 160.8L197.1 128.8C188.7 126 179.6 130.6 176.8 138.9C174 147.3 178.6 156.4 186.9 159.2L217.7 169.4C211.9 175.2 208.4 183.2 208.4 192C208.4 209.7 222.7 224 240.4 224C258 224 272.4 209.7 272.4 192C272.4 190.5 272.3 189 272.1 187.6V187.6zM400.4 224C418 224 432.4 209.7 432.4 192C432.4 183.1 428.7 175 422.9 169.2L453.1 159.2C461.4 156.4 465.1 147.3 463.2 138.9C460.4 130.6 451.3 126 442.9 128.8L346.9 160.8C338.6 163.6 334 172.7 336.8 181.1C339.6 189.4 348.7 193.1 357.1 191.2L368.7 187.3C368.5 188.8 368.4 190.4 368.4 192C368.4 209.7 382.7 224 400.4 224H400.4z", "M352 416H320V384H352V416zM0 336C0 309.5 21.49 288 48 288H592C618.5 288 640 309.5 640 336V464C640 490.5 618.5 512 592 512H48C21.49 512 0 490.5 0 464V336zM400 352H384V336C384 327.2 376.8 320 368 320C359.2 320 352 327.2 352 336V352H320V336C320 327.2 312.8 320 304 320C295.2 320 288 327.2 288 336V352H272C263.2 352 256 359.2 256 368C256 376.8 263.2 384 272 384H288V416H272C263.2 416 256 423.2 256 432C256 440.8 263.2 448 272 448H288V464C288 472.8 295.2 480 304 480C312.8 480 320 472.8 320 464V448H352V464C352 472.8 359.2 480 368 480C376.8 480 384 472.8 384 464V448H400C408.8 448 416 440.8 416 432C416 423.2 408.8 416 400 416H384V384H400C408.8 384 416 376.8 416 368C416 359.2 408.8 352 400 352zM572.1 354.4C577.9 347.7 577.1 337.6 570.4 331.9C563.7 326.1 553.6 326.9 547.9 333.6L451.9 445.6C446.1 452.3 446.9 462.4 453.6 468.1C460.3 473.9 470.4 473.1 476.1 466.4L572.1 354.4zM472 376C485.3 376 496 365.3 496 352C496 338.7 485.3 328 472 328C458.7 328 448 338.7 448 352C448 365.3 458.7 376 472 376zM552 424C538.7 424 528 434.7 528 448C528 461.3 538.7 472 552 472C565.3 472 576 461.3 576 448C576 434.7 565.3 424 552 424zM224 336C224 327.2 216.8 320 208 320C199.2 320 192 327.2 192 336V400C192 408.8 199.2 416 208 416C216.8 416 224 408.8 224 400V336zM208 480C221.3 480 232 469.3 232 456C232 442.7 221.3 432 208 432C194.7 432 184 442.7 184 456C184 469.3 194.7 480 208 480zM96 336V337.5C90.36 338.7 84.45 340.8 79.15 344.5C71.63 349.9 66.4 357.8 64.64 368C63.39 375.3 64.04 382.4 67.13 388.9C70.16 395.3 74.89 399.8 79.58 403C87.66 408.5 98.25 411.7 105.1 414L107.5 414.5C116.9 417.3 122.7 419.3 126.2 421.9C127.6 422.8 127.8 423.4 127.8 423.5C127.9 423.5 127.9 423.7 127.1 424.1C128 424.5 128 425.2 127.8 426.4C127.3 429.6 126.3 430.1 125.9 430.4L125.8 430.4C124.7 431.1 122 431.1 117.1 431.9C106.9 431.8 94.52 427.1 85.06 424.8C76.68 422 67.62 426.6 64.82 434.9C62.03 443.3 66.56 452.4 74.94 455.2C79.82 456.8 87.02 459.2 95.11 461V464C95.11 472.8 102.3 480 111.1 480C119.9 480 127.1 472.8 127.1 464V463.2C132.2 462.4 137.5 460.8 142.4 457.8C151.5 452.3 157.4 443.4 159.4 431.9C160.6 424.5 160.1 417.4 157.2 410.7C154.4 404.2 149.8 399.4 145.1 395.1C136.6 389.8 125.4 386.5 117.5 384L116.8 383.8C107.2 380.9 101.2 379 97.56 376.5C96.55 375.9 96.18 375.4 96.07 375.3C96.03 375.1 95.1 374.5 96.18 373.5C96.51 371.6 97.1 371 97.7 370.6C98.76 369.9 101 368.9 105.1 368.4C113.4 367.5 123.1 369.3 131.9 371.4C140.4 373.6 149.2 368.6 151.5 360C153.7 351.5 148.7 342.7 140.1 340.4C136.7 339.5 132.6 338.6 128 337.8V336C128 327.2 120.8 320 112 320C103.2 320 96 327.2 96 336H96zM96.1 375.4C96.1 375.4 96.08 375.3 96.07 375.3z"]],
    "face-thermometer": [576, 512, [], "e39a", ["M544 256C544 397.4 429.4 512 288 512C146.6 512 32 397.4 32 256C32 114.6 146.6 0 288 0C400 0 495.2 71.96 529.1 172.2C515.9 168.1 500.2 171.5 488.1 182.4L338.2 328.4C323.3 323.2 306.6 320 288 320C232.9 320 194.2 347.9 171.9 373.5C166.1 380.2 166.8 390.3 173.5 396.1C180.2 401.9 190.3 401.2 196.1 394.5C214 373.8 244.6 352 288 352C331.4 352 361.1 373.8 379.9 394.5C385.7 401.2 395.8 401.9 402.5 396.1C407.7 391.6 409.3 384.4 406.1 378.4L543.8 246.4C543.9 249.6 544 252.8 544 255.1L544 256zM208.4 176C190.7 176 176.4 190.3 176.4 208C176.4 225.7 190.7 240 208.4 240C226 240 240.4 225.7 240.4 208C240.4 190.3 226 176 208.4 176zM368.4 240C386 240 400.4 225.7 400.4 208C400.4 190.3 386 176 368.4 176C350.7 176 336.4 190.3 336.4 208C336.4 225.7 350.7 240 368.4 240z", "M547.6 242.7L520.5 215.5C515.8 210.8 508.2 210.8 503.5 215.5C498.8 220.2 498.8 227.8 503.5 232.5L530.4 259.3L515.1 274.1L488.5 247.5C483.8 242.8 476.2 242.8 471.5 247.5C466.8 252.2 466.8 259.8 471.5 264.5L497.8 290.8L482.5 305.5L456.5 279.5C451.8 274.8 444.2 274.8 439.5 279.5C434.8 284.2 434.8 291.8 439.5 296.5L465.2 322.2L449.9 336.9L424.5 311.5C419.8 306.8 412.2 306.8 407.5 311.5C402.8 316.2 402.8 323.8 407.5 328.5L432.6 353.6L406.1 378.4C406.3 376.6 405.4 374.1 404.1 373.5C389.4 356.5 367.4 338.6 338.2 328.4L488.1 182.4C505.5 166.4 531.7 166.6 547.1 182.8C564.6 199.4 564.4 226.3 547.6 242.7L547.6 242.7zM240.4 207.1C240.4 225.7 226 239.1 208.4 239.1C190.7 239.1 176.4 225.7 176.4 207.1C176.4 190.3 190.7 175.1 208.4 175.1C226 175.1 240.4 190.3 240.4 207.1zM400.4 207.1C400.4 225.7 386 239.1 368.4 239.1C350.7 239.1 336.4 225.7 336.4 207.1C336.4 190.3 350.7 175.1 368.4 175.1C386 175.1 400.4 190.3 400.4 207.1z"]],
    "face-thinking": [512, 512, [], "e39b", ["M224.6 510.1C228.6 504.4 231.9 498.1 234.4 491.3L255.4 433.6L291.1 420.6C315 411.9 329.4 388.6 327.9 364.5C326.6 340.1 311.4 318.4 288.7 308.8L166.2 257.3C158.1 253.8 148.7 257.6 145.3 265.8C141.8 273.9 145.6 283.3 153.8 286.7L236.2 321.4L144 354.1V352C144 321.1 118.9 296 88 296C57.07 296 32 321.1 32 352V380C11.61 343.3 0 301 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C245.4 512 234.9 511.4 224.6 510.1L224.6 510.1zM176.4 207.1C194 207.1 208.4 193.7 208.4 175.1C208.4 158.3 194 143.1 176.4 143.1C158.7 143.1 144.4 158.3 144.4 175.1C144.4 193.7 158.7 207.1 176.4 207.1zM336.4 159.1C318.7 159.1 304.4 174.3 304.4 191.1C304.4 209.7 318.7 223.1 336.4 223.1C354 223.1 368.4 209.7 368.4 191.1C368.4 174.3 354 159.1 336.4 159.1zM229.6 140.1C236.3 145.9 246.4 145.1 252.1 138.4C257.9 131.7 257.1 121.6 250.4 115.9L237.2 104.5C206.4 78.14 162.3 73.95 127.1 94.08L120.1 98.11C112.4 102.5 109.7 112.3 114.1 119.9C118.5 127.6 128.3 130.3 135.9 125.9L142.1 121.9C166.5 108.4 195.9 111.2 216.4 128.8L229.6 140.1z", "M135.9 125.9C128.3 130.3 118.5 127.6 114.1 119.9C109.7 112.3 112.4 102.5 120.1 98.11L127.1 94.08C162.3 73.95 206.4 78.14 237.2 104.5L250.4 115.9C257.1 121.6 257.9 131.7 252.1 138.4C246.4 145.1 236.3 145.9 229.6 140.1L216.4 128.8C195.9 111.2 166.5 108.4 142.1 121.9L135.9 125.9zM144.4 176C144.4 158.3 158.7 144 176.4 144C194 144 208.4 158.3 208.4 176C208.4 193.7 194 208 176.4 208C158.7 208 144.4 193.7 144.4 176zM112 400.6L263.8 345.4C276.3 340.9 290 347.3 294.6 359.8C299.1 372.3 292.7 386 280.2 390.6L230.4 408.7L204.3 480.4C197.4 499.4 179.4 512 159.2 512H112C85.49 512 64 490.5 64 464V352C64 338.7 74.75 328 88 328C101.3 328 112 338.7 112 352L112 400.6zM368.4 192C368.4 209.7 354 224 336.4 224C318.7 224 304.4 209.7 304.4 192C304.4 174.3 318.7 160 336.4 160C354 160 368.4 174.3 368.4 192z"]],
    "face-tired": [512, 512, [128555, "tired"], "f5c8", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM138.3 364.1C132.2 375.8 128 388.4 128 400C128 405.2 130.6 410.2 134.9 413.2C139.2 416.1 144.7 416.8 149.6 414.1L170.2 407.3C197.1 397.2 225.6 392 254.4 392H257.6C286.4 392 314.9 397.2 341.8 407.3L362.4 414.1C367.3 416.8 372.8 416.1 377.1 413.2C381.4 410.2 384 405.2 384 400C384 388.4 379.8 375.8 373.7 364.1C367.4 352.1 358.4 339.8 347.3 328.7C325.3 306.7 293.4 287.1 256 287.1C218.6 287.1 186.7 306.7 164.7 328.7C153.6 339.8 144.6 352.1 138.3 364.1H138.3zM133.5 146.7C125.6 142.4 116 148.2 116 157.1C116 159.9 116.1 162.6 118.8 164.8L154.8 208L118.8 251.2C116.1 253.4 116 256.1 116 258.9C116 267.8 125.6 273.6 133.5 269.3L223.4 221.4C234.1 215.7 234.1 200.3 223.4 194.6L133.5 146.7zM396 157.1C396 148.2 386.4 142.4 378.5 146.7L288.6 194.6C277.9 200.3 277.9 215.7 288.6 221.4L378.5 269.3C386.4 273.6 396 267.8 396 258.9C396 256.1 395 253.4 393.2 251.2L357.2 208L393.2 164.8C395 162.6 396 159.9 396 157.1V157.1z", "M116 157.1C116 148.2 125.6 142.4 133.5 146.7L223.4 194.6C234.1 200.3 234.1 215.7 223.4 221.4L133.5 269.3C125.6 273.6 116 267.8 116 258.9C116 256.1 116.1 253.4 118.8 251.2L154.8 208L118.8 164.8C116.1 162.6 116 159.9 116 157.1V157.1zM393.2 164.8L357.2 208L393.2 251.2C395 253.4 396 256.1 396 258.9C396 267.8 386.4 273.6 378.5 269.3L288.6 221.4C277.9 215.7 277.9 200.3 288.6 194.6L378.5 146.7C386.4 142.4 396 148.2 396 157.1C396 159.9 395 162.6 393.2 164.8V164.8z"]],
    "face-tissue": [512, 512, [], "e39c", ["M221.1 509.8C222.6 507.9 223 505.9 223.3 503.9L241.7 393.7L247.1 397.3C252.5 400.9 259.5 400.9 264.9 397.3L304 371.2L343.1 397.3C347.9 400.5 354 400.9 359.2 398.3L391.2 382.3C399.1 378.4 402.3 368.7 398.3 360.8C394.4 352.9 384.7 349.7 376.8 353.7L353.1 365.5L312.9 338.7C307.5 335.1 300.5 335.1 295.1 338.7L256 364.8L247.5 359.1L255.3 311.9C257.9 296.6 252.9 281 241.9 270.1C230.1 259.1 215.4 254.1 200.1 256.7L8.109 288.7C6.107 288.1 4.148 289.4 2.24 290C.7626 278.9 0 267.5 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C244.5 512 233.1 511.2 221.1 509.8L221.1 509.8zM118.8 148.8L154.8 191.1L118.8 235.2C116.1 237.4 115.1 240.1 115.1 242.9C115.1 251.8 125.6 257.6 133.5 253.3L223.4 205.4C234.1 199.7 234.1 184.3 223.4 178.6L133.5 130.7C125.6 126.4 115.1 132.2 115.1 141.1C115.1 143.9 116.1 146.6 118.8 148.8V148.8zM288.6 178.6C277.9 184.3 277.9 199.7 288.6 205.4L378.5 253.3C386.4 257.6 396 251.8 396 242.9C396 240.1 395 237.4 393.2 235.2L357.2 191.1L393.2 148.8C395 146.6 396 143.9 396 141.1C396 132.2 386.4 126.4 378.5 130.7L288.6 178.6z", "M191.8 498.6C190.7 505.3 185.5 510.6 178.8 511.8C172.2 512.9 165.5 509.8 162.1 503.9L136.1 458.5L51.88 479.5C46.43 480.9 40.66 479.3 36.69 475.3C32.71 471.3 31.12 465.6 32.48 460.1L53.54 375.9L8.063 349.9C2.187 346.5-.9405 339.8 .2509 333.2C1.442 326.5 6.696 321.3 13.37 320.2L205.4 288.2C210.5 287.4 215.7 289 219.3 292.7C222.1 296.3 224.6 301.5 223.8 306.6L191.8 498.6z"]],
    "face-tongue-money": [512, 512, [], "e39d", ["M163.1 494.6C67.66 457.5 0 364.6 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 364.6 444.3 457.5 348.9 494.6C360.9 476.8 368 455.2 368 432V421.5C390.4 401.4 407 375.4 415.2 346.1C419.1 332.4 407.8 320 393.6 320H118.4C104.2 320 92.92 332.4 96.76 346.1C104.1 375.4 121.6 401.4 144 421.5V432C144 455.2 151.1 476.8 163.1 494.6H163.1zM160 104V113.3C154.3 114.5 148.4 116.6 143 120.5C135.5 125.9 130.4 133.1 128.6 144.1C127.4 151.4 127.9 158.6 130.9 165.3C133.8 171.9 138.5 176.5 143.3 179.9C151.6 185.7 162.6 188.8 170.5 191.1L171.6 191.4C181.2 194.1 186.1 195.1 190.4 198.4C193 200.2 192.6 204.8 189.9 206.4L189.8 206.4C188.7 207.1 186 207.1 181.1 207.9C170.9 207.8 158.5 203.1 149.1 200.8C140.7 198 131.6 202.6 128.8 210.9C126 219.3 130.6 228.4 138.1 231.2C144 232.9 151.6 235.3 160 237.2V248C160 256.8 167.2 264 176 264C184.8 264 192 256.8 192 248V239.1C196.8 238.2 201.8 236.6 206.4 233.8C215.5 228.3 221.4 219.4 223.4 207.9C224.6 200.6 224.1 193.4 221.1 186.7C218.2 180.1 213.5 175.5 208.7 172.1C201.6 167.2 193.2 164.9 184.8 162.7C176.6 160.6 168.4 158.4 161.6 153.6C159.2 151.1 159.2 148.3 161.8 146.4C162.8 145.7 164.9 144.7 168.9 144.3C177.1 143.4 187.6 145.3 195.9 147.5C204.4 149.7 213.2 144.7 215.5 136.1C217.7 127.6 212.7 118.8 204.1 116.5C200.7 115.6 196.6 114.7 192 113.8V104C192 95.16 184.8 88 176 88C167.2 88 160 95.16 160 104L160 104zM352 104C352 95.16 344.8 88 336 88C327.2 88 320 95.16 320 104V113.3C314.3 114.5 308.4 116.6 303 120.5C295.5 125.9 290.4 133.1 288.6 144.1C287.4 151.4 287.9 158.6 290.9 165.3C293.8 171.9 298.5 176.5 303.3 179.9C311.6 185.7 322.6 188.8 330.5 191.1L331.6 191.4C341.2 194.1 346.1 195.1 350.4 198.4C353 200.2 352.6 204.8 349.9 206.4L349.8 206.4C348.7 207.1 346 207.1 341.1 207.9C330.9 207.8 318.5 203.1 309.1 200.8C300.7 198 291.6 202.6 288.8 210.9C286 219.3 290.6 228.4 298.1 231.2C304 232.9 311.6 235.3 320 237.2V248C320 256.8 327.2 264 336 264C344.8 264 352 256.8 352 248V239.1C356.8 238.2 361.8 236.6 366.4 233.8C375.5 228.3 381.4 219.4 383.4 207.9C384.6 200.6 384.1 193.4 381.1 186.7C378.2 180.1 373.5 175.5 368.7 172.1C361.6 167.2 353.2 164.9 344.9 162.7C336.6 160.6 328.4 158.4 321.6 153.6C319.2 151.1 319.2 148.3 321.8 146.4C322.8 145.7 324.9 144.7 328.9 144.3C337.1 143.4 347.6 145.3 355.9 147.5C364.4 149.7 373.2 144.7 375.5 136.1C377.7 127.6 372.7 118.8 364.1 116.5C360.7 115.6 356.6 114.7 352 113.8L352 104z", "M176 88C184.8 88 192 95.16 192 104V113.8C196.6 114.7 200.7 115.6 204.1 116.5C212.7 118.8 217.7 127.6 215.5 136.1C213.2 144.7 204.4 149.7 195.9 147.5C187.6 145.3 177.1 143.4 168.9 144.3C164.9 144.7 162.8 145.7 161.8 146.4C159.2 148.3 159.2 151.1 161.6 153.6C168.4 158.4 176.6 160.6 184.8 162.7C193.2 164.9 201.6 167.2 208.7 172.1C213.5 175.5 218.2 180.1 221.1 186.7C224.1 193.4 224.6 200.6 223.4 207.9C221.4 219.4 215.5 228.3 206.4 233.8C201.8 236.6 196.8 238.2 192 239.1V248C192 256.8 184.8 264 176 264C167.2 264 160 256.8 160 248V237.2C151.6 235.3 144 232.9 138.1 231.2C130.6 228.4 126 219.3 128.8 210.9C131.6 202.6 140.7 198 149.1 200.8C158.5 203.1 170.9 207.8 181.1 207.9C186 207.1 188.7 207.1 189.8 206.4L189.9 206.4C192.6 204.8 193 200.2 190.4 198.4C186.1 195.1 181.2 194.1 171.6 191.4L170.5 191.1C162.6 188.8 151.6 185.7 143.3 179.9C138.5 176.5 133.8 171.9 130.9 165.3C127.9 158.6 127.4 151.4 128.6 144.1C130.4 133.1 135.5 125.9 143 120.5C148.4 116.6 154.3 114.5 160 113.3V104C160 95.16 167.2 88 176 88L176 88zM336 88C344.8 88 352 95.16 352 104V113.8C356.6 114.7 360.7 115.6 364.1 116.5C372.7 118.8 377.7 127.6 375.5 136.1C373.2 144.7 364.4 149.7 355.9 147.5C347.6 145.3 337.1 143.4 328.9 144.3C324.9 144.7 322.8 145.7 321.8 146.4C319.2 148.3 319.2 151.1 321.6 153.6C328.4 158.4 336.6 160.6 344.9 162.7C353.2 164.9 361.6 167.2 368.7 172.1C373.5 175.5 378.2 180.1 381.1 186.7C384.1 193.4 384.6 200.6 383.4 207.9C381.4 219.4 375.5 228.3 366.4 233.8C361.8 236.6 356.8 238.2 352 239.1V248C352 256.8 344.8 264 336 264C327.2 264 320 256.8 320 248V237.2C311.6 235.3 304 232.9 298.1 231.2C290.6 228.4 286 219.3 288.8 210.9C291.6 202.6 300.7 198 309.1 200.8C318.5 203.1 330.9 207.8 341.1 207.9C346 207.1 348.7 207.1 349.8 206.4L349.9 206.4C352.6 204.8 353 200.2 350.4 198.4C346.1 195.1 341.2 194.1 331.6 191.4L330.5 191.1C322.6 188.8 311.6 185.7 303.3 179.9C298.5 176.5 293.8 171.9 290.9 165.3C287.9 158.6 287.4 151.4 288.6 144.1C290.4 133.1 295.5 125.9 303 120.5C308.4 116.6 314.3 114.5 320 113.3V104C320 95.16 327.2 88 336 88L336 88zM336 352V432C336 476.2 300.2 512 255.1 512C211.8 512 175.1 476.2 175.1 432V352H336zM245.3 378.9V385.3C241.5 386.1 237.6 387.5 234 390.1C229 393.9 225.6 399.3 224.4 406.3C223.6 411.2 223.9 416.2 225.9 420.7C227.9 425.2 230.1 428.4 234.2 430.6C239.8 434.6 247.1 436.7 252.3 438.3L253.1 438.5C259.4 440.4 263.3 441.6 265.6 443.3C267.4 444.5 267.1 447.6 265.2 448.7C264.5 449.2 262.7 449.8 259.4 449.8C252.6 449.7 244.3 447.1 238 444.9C232.4 443 226.4 446.1 224.5 451.8C222.7 457.5 225.7 463.7 231.3 465.6C234.7 466.8 239.7 468.5 245.3 469.7V477.1C245.3 483.1 250.1 488 256 488C261.9 488 266.7 483.1 266.7 477.1V470.1C269.9 470.4 273.2 469.3 276.2 467.4C282.3 463.7 286.2 457.6 287.6 449.8C288.4 444.8 288.1 439.8 286.1 435.3C284.1 430.8 281 427.6 277.8 425.4C273.1 421.1 267.5 420.5 261.9 418.1C256.4 417.5 250.1 415.1 246.4 412.7C244.8 411.6 244.8 409.1 246.5 407.8C247.2 407.3 248.6 406.7 251.3 406.4C256.7 405.8 263.7 407 269.3 408.5C274.1 410.1 280.8 406.6 282.3 400.8C283.8 394.1 280.4 389 274.7 387.5C272.5 386.8 269.7 386.2 266.7 385.6V378.9C266.7 372.9 261.9 368 256 368C250.1 368 245.3 372.9 245.3 378.9L245.3 378.9z"]],
    "face-tongue-sweat": [576, 512, [], "e39e", ["M128 369C128 357.6 124.2 346.6 120.9 338.5C117.2 329.8 112.5 320.9 107.7 312.8C98.1 296.7 86.98 281.3 80.01 272.1C68.39 256.5 48.28 252.2 32.02 259.3C32.01 258.2 32 257.1 32 256C32 114.6 146.6 0 288 0C429.4 0 544 114.6 544 256C544 368.9 470.9 464.7 369.5 498.8C378.7 484 384 466.6 384 448V416.7C394.2 409.5 400 401 400 392C400 365.5 349.9 344 288 344C226.1 344 176 365.5 176 392C176 401 181.8 409.5 192 416.7V448C192 466.6 197.3 484 206.5 498.8C165.1 484.9 128.5 460.7 99.62 429.3C116.9 414.1 127.1 393.5 127.1 369L128 369zM335.6 272C335.6 289.7 349.1 304 367.6 304C385.3 304 399.6 289.7 399.6 272C399.6 254.3 385.3 240 367.6 240C349.1 240 335.6 254.3 335.6 272zM239.6 272C239.6 254.3 225.3 240 207.6 240C189.1 240 175.6 254.3 175.6 272C175.6 289.7 189.1 304 207.6 304C225.3 304 239.6 289.7 239.6 272zM204.7 148.7L197.3 156.1C178.5 174.9 154.2 187.4 127.9 191.8L125.4 192.2C116.7 193.7 110.8 201.9 112.2 210.6C113.7 219.3 121.9 225.2 130.6 223.8L133.1 223.4C166 217.9 196.4 202.3 219.9 178.7L227.3 171.3C233.6 165.1 233.6 154.9 227.3 148.7C221.1 142.4 210.9 142.4 204.7 148.7zM356.1 178.7C379.6 202.3 409.1 217.9 442.9 223.4L445.4 223.8C454.1 225.2 462.3 219.3 463.8 210.6C465.2 201.9 459.3 193.7 450.6 192.2L448.2 191.8C421.8 187.4 397.5 174.9 378.7 156.1L371.3 148.7C365.1 142.4 354.9 142.4 348.7 148.7C342.4 154.9 342.4 165.1 348.7 171.3L356.1 178.7z", "M227.3 148.7C233.6 154.9 233.6 165.1 227.3 171.3L219.9 178.7C196.4 202.3 166 217.9 133.1 223.4L130.6 223.8C121.9 225.2 113.7 219.3 112.2 210.6C110.8 201.9 116.7 193.7 125.4 192.2L127.9 191.8C154.2 187.4 178.5 174.9 197.3 156.1L204.7 148.7C210.9 142.4 221.1 142.4 227.3 148.7zM207.6 304C189.1 304 175.6 289.7 175.6 272C175.6 254.3 189.1 240 207.6 240C225.3 240 239.6 254.3 239.6 272C239.6 289.7 225.3 304 207.6 304zM367.6 304C349.1 304 335.6 289.7 335.6 272C335.6 254.3 349.1 240 367.6 240C385.3 240 399.6 254.3 399.6 272C399.6 289.7 385.3 304 367.6 304zM348.7 171.3C342.4 165.1 342.4 154.9 348.7 148.7C354.9 142.4 365.1 142.4 371.3 148.7L378.7 156.1C397.5 174.9 421.8 187.4 448.2 191.8L450.6 192.2C459.3 193.7 465.2 201.9 463.8 210.6C462.3 219.3 454.1 225.2 445.4 223.8L442.9 223.4C409.1 217.9 379.6 202.3 356.1 178.7L348.7 171.3zM352 402.6V448C352 483.3 323.3 512 288 512C252.7 512 224 483.3 224 448V402.6C224 387.9 235.9 376 250.6 376H252.6C263.9 376 273.7 383.9 276.2 394.9C279 407.5 296.1 407.5 299.8 394.9C302.3 383.9 312.1 376 323.4 376H325.4C340.1 376 352 387.9 352 402.6V402.6zM48 416C21.54 416 0 395 0 369C0 349 28.55 308.6 41.6 291.3C44.8 286.9 51.2 286.9 54.4 291.3C67.57 308.6 95.1 349 95.1 369C95.1 395 74.46 416 47.1 416H48z"]],
    "face-unamused": [512, 512, [], "e39f", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM316.1 394.7C322 401.3 332.1 401.8 338.7 395.9C345.3 389.1 345.8 379.9 339.9 373.3C323.8 355.4 295.7 336 255.1 336C216.3 336 188.2 355.4 172.1 373.3C166.2 379.9 166.7 389.1 173.3 395.9C179.9 401.8 189.1 401.3 195.9 394.7C207.6 381.7 227.5 368 255.1 368C284.5 368 304.4 381.7 316.1 394.7H316.1zM112 192C103.2 192 96 199.2 96 208C96 216.8 103.2 224 112 224H144C144 241.7 158.3 256 176 256C193.7 256 208 241.7 208 224C208 206.3 193.7 192 176 192H112zM304 224H336C336 241.7 350.3 256 368 256C385.7 256 400 241.7 400 224C400 206.3 385.7 192 368 192H304C295.2 192 288 199.2 288 208C288 216.8 295.2 224 304 224z", "M96 208C96 199.2 103.2 192 112 192H176C193.7 192 208 206.3 208 224C208 241.7 193.7 256 176 256C158.3 256 144 241.7 144 224H112C103.2 224 96 216.8 96 208zM288 208C288 199.2 295.2 192 304 192H368C385.7 192 400 206.3 400 224C400 241.7 385.7 256 368 256C350.3 256 336 241.7 336 224H304C295.2 224 288 216.8 288 208z"]],
    "face-viewfinder": [512, 512, [], "e2ff", ["M136 464H48v-88C48 362.7 37.25 352 24 352S0 362.7 0 376V480c0 17.67 14.33 32 32 32h104C149.3 512 160 501.3 160 488S149.3 464 136 464zM23.1 160C37.25 160 48 149.3 48 136V48h88C149.3 48 160 37.25 160 24S149.3 0 136 0H32C14.33 0 0 14.33 0 32v104C0 149.3 10.75 160 23.1 160zM480 0h-104C362.7 0 352 10.75 352 23.1S362.7 48 376 48h88v88C464 149.3 474.7 160 488 160S512 149.3 512 136V32C512 14.33 497.7 0 480 0zM488 352c-13.25 0-24 10.75-24 24v88h-88c-13.25 0-24 10.75-24 24S362.7 512 376 512H480c17.67 0 32-14.33 32-32v-104C512 362.7 501.3 352 488 352z", "M256 96C167.6 96 96 167.6 96 256s71.63 160 160 160s160-71.63 160-160S344.4 96 256 96zM312 192c13.25 0 24 10.75 24 24S325.3 240 312 240S288 229.3 288 216S298.7 192 312 192zM200 192C213.3 192 224 202.7 224 216S213.3 240 200 240S176 229.3 176 216S186.7 192 200 192zM339.5 314.7C318.2 338.4 287.8 352 256 352s-62.22-13.59-83.47-37.3C166.6 308.1 167.2 298 173.8 292.1c6.562-5.922 16.66-5.359 22.59 1.219c30.38 33.91 88.94 33.91 119.3 0c5.906-6.562 16.03-7.109 22.59-1.219S345.4 308.1 339.5 314.7z"]],
    "face-vomit": [576, 512, [], "e3a0", ["M448.8 434.9C436.9 430.1 427.3 422.6 421.6 412C438.3 399.4 448 384.3 448 368C448 323.8 376.4 288 288 288C199.6 288 128 323.8 128 368C128 384.3 137.7 399.4 154.4 412C148.7 422.6 139.1 430.1 127.2 434.9L110.5 440.5C62.12 393.9 32 328.5 32 256C32 114.6 146.6 0 288 0C429.4 0 544 114.6 544 256C544 328.5 513.9 393.9 465.5 440.5L448.8 434.9zM165.5 130.7C157.6 126.4 148 132.2 148 141.1C148 143.9 148.1 146.6 150.8 148.8L186.8 192L150.8 235.2C148.1 237.4 148 240.1 148 242.9C148 251.8 157.6 257.6 165.5 253.3L255.4 205.4C266.1 199.7 266.1 184.3 255.4 178.6L165.5 130.7zM428 141.1C428 132.2 418.4 126.4 410.5 130.7L320.6 178.6C309.9 184.3 309.9 199.7 320.6 205.4L410.5 253.3C418.4 257.6 428 251.8 428 242.9C428 240.1 427 237.4 425.2 235.2L389.2 192L425.2 148.8C427 146.6 428 143.9 428 141.1V141.1z", "M192 396.1V338.7C215.6 327.6 249.3 320 287.1 320C326.7 320 360.4 327.6 384 338.7V396.1C384 427.1 403.8 454.6 433.2 464.4L467.3 475.8C474.9 478.3 480 485.4 480 493.4C480 503.7 471.7 512 461.4 512H114.6C104.3 512 96 503.7 96 493.4C96 485.4 101.1 478.3 108.7 475.8L142.8 464.4C172.2 454.6 192 427.1 192 396.1H192zM288 400C288 408.8 295.2 416 304 416C312.8 416 320 408.8 320 400C320 391.2 312.8 384 304 384C295.2 384 288 391.2 288 400zM240 416C231.2 416 224 423.2 224 432C224 440.8 231.2 448 240 448C248.8 448 256 440.8 256 432C256 423.2 248.8 416 240 416zM576 448C576 465.7 561.7 480 544 480C526.3 480 512 465.7 512 448C512 430.3 526.3 416 544 416C561.7 416 576 430.3 576 448zM64 480C64 497.7 49.67 512 32 512C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448C49.67 448 64 462.3 64 480z"]],
    "face-weary": [512, 512, [], "e3a1", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM138.3 364.1C132.2 375.8 128 388.4 128 400C128 405.2 130.6 410.2 134.9 413.2C139.2 416.1 144.7 416.8 149.6 414.1L170.2 407.3C197.1 397.2 225.6 392 254.4 392H257.6C286.4 392 314.9 397.2 341.8 407.3L362.4 414.1C367.3 416.8 372.8 416.1 377.1 413.2C381.4 410.2 384 405.2 384 400C384 388.4 379.8 375.8 373.7 364.1C367.4 352.1 358.4 339.8 347.3 328.7C325.3 306.7 293.4 287.1 256 287.1C218.6 287.1 186.7 306.7 164.7 328.7C153.6 339.8 144.6 352.1 138.3 364.1H138.3zM188.7 164.7L181.3 172.1C162.5 190.9 138.2 203.4 111.9 207.8L109.4 208.2C100.7 209.7 94.77 217.9 96.22 226.6C97.67 235.3 105.9 241.2 114.6 239.8L117.1 239.4C150 233.9 180.4 218.3 203.9 194.7L211.3 187.3C217.6 181.1 217.6 170.9 211.3 164.7C205.1 158.4 194.9 158.4 188.7 164.7zM308.1 194.7C331.6 218.3 361.1 233.9 394.9 239.4L397.4 239.8C406.1 241.2 414.3 235.3 415.8 226.6C417.2 217.9 411.3 209.7 402.6 208.2L400.2 207.8C373.8 203.4 349.5 190.9 330.7 172.1L323.3 164.7C317.1 158.4 306.9 158.4 300.7 164.7C294.4 170.9 294.4 181.1 300.7 187.3L308.1 194.7z", "M203.9 194.7C180.4 218.3 150 233.9 117.1 239.4L114.6 239.8C105.9 241.2 97.67 235.3 96.22 226.6C94.76 217.9 100.7 209.7 109.4 208.2L111.8 207.8C138.2 203.4 162.5 190.9 181.3 172.1L188.7 164.7C194.9 158.4 205.1 158.4 211.3 164.7C217.6 170.9 217.6 181.1 211.3 187.3L203.9 194.7zM300.7 187.3C294.4 181.1 294.4 170.9 300.7 164.7C306.9 158.4 317.1 158.4 323.3 164.7L330.7 172.1C349.5 190.9 373.8 203.4 400.1 207.8L402.6 208.2C411.3 209.7 417.2 217.9 415.8 226.6C414.3 235.3 406.1 241.2 397.4 239.8L394.9 239.4C361.1 233.9 331.6 218.3 308.1 194.7L300.7 187.3z"]],
    "face-woozy": [512, 512, [], "e3a2", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM411.3 347.3C417.6 341.1 417.6 330.9 411.3 324.7C405.1 318.4 394.9 318.4 388.7 324.7L349.4 363.1C341.7 371.7 331.3 376 320.4 376C312.7 376 305.1 373.8 298.6 369.8L284.4 360.9C257.5 344.1 224.2 341.1 194.8 352.9C174.2 361.1 150.8 358.7 132.4 346.4L120.9 338.7C113.5 333.8 103.6 335.8 98.69 343.1C93.78 350.5 95.77 360.4 103.1 365.3L114.6 372.1C141.9 391.1 176.3 394.7 206.7 382.6C226.6 374.6 249.2 376.6 267.4 387.1L281.6 396.9C293.3 404.2 306.7 408 320.4 408C339.7 408 358.3 400.3 372 386.6L411.3 347.3zM178.7 103.1C155.5 137.1 120.3 156.4 106.9 160.8C98.56 163.6 94.03 172.7 96.82 181.1C99.62 189.4 108.7 193.1 117.1 191.2C135.7 184.1 177.3 162.8 205.3 120.9C210.2 113.5 208.2 103.6 200.9 98.69C193.5 93.79 183.6 95.77 178.7 103.1V103.1zM204.1 208.5L140.1 224.5C131.5 226.6 126.3 235.3 128.5 243.9C130.6 252.5 139.3 257.7 147.9 255.5L211.9 239.5C220.5 237.4 225.7 228.7 223.5 220.1C221.4 211.5 212.7 206.3 204.1 208.5zM336 272C353.7 272 368 243.3 368 208C368 172.7 353.7 144 336 144C318.3 144 304 172.7 304 208C304 243.3 318.3 272 336 272z", "M117.1 191.2C108.7 193.1 99.62 189.4 96.82 181.1C94.03 172.7 98.56 163.6 106.9 160.8C120.3 156.4 155.5 137.1 178.7 103.1C183.6 95.77 193.5 93.79 200.9 98.69C208.2 103.6 210.2 113.5 205.3 120.9C177.3 162.8 135.7 184.1 117.1 191.2L117.1 191.2zM147.9 255.5C139.3 257.7 130.6 252.5 128.5 243.9C126.3 235.3 131.5 226.6 140.1 224.5L204.1 208.5C212.7 206.3 221.4 211.5 223.5 220.1C225.7 228.7 220.5 237.4 211.9 239.5L147.9 255.5zM304 208C304 172.7 318.3 144 336 144C353.7 144 368 172.7 368 208C368 243.3 353.7 272 336 272C318.3 272 304 243.3 304 208z"]],
    "face-worried": [512, 512, [], "e3a3", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256.1 399.7C282.4 399.7 307.3 405 329.7 414.5C342.1 419.7 356.2 410.4 350.8 398.1C334.9 361.5 298.4 335.1 256.1 335.1C213.7 335.1 177.2 361.5 161.3 398.1C155.9 410.4 170 419.7 182.4 414.5C204.8 405 229.7 399.7 256.1 399.7V399.7zM176.4 240C158.7 240 144.4 254.3 144.4 272C144.4 289.7 158.7 304 176.4 304C194 304 208.4 289.7 208.4 272C208.4 254.3 194 240 176.4 240zM336.4 304C354 304 368.4 289.7 368.4 272C368.4 254.3 354 240 336.4 240C318.7 240 304.4 254.3 304.4 272C304.4 289.7 318.7 304 336.4 304zM208 144C208 135.2 200.8 128 192 128C186.2 128 180.4 128.4 174.8 129.1C146.6 132.9 121.1 145.6 101.1 164.3C94.62 170.3 94.28 180.5 100.3 186.9C106.3 193.4 116.5 193.7 122.9 187.7C138.4 173.2 157.8 163.7 178.1 160.9C183.2 160.3 187.6 160 192 160C200.8 160 208 152.8 208 144zM389.1 187.7C395.5 193.7 405.7 193.4 411.7 186.9C417.7 180.5 417.4 170.3 410.9 164.3C390.9 145.6 365.4 132.9 337.2 129.1C331.6 128.4 325.8 128 320 128C311.2 128 304 135.2 304 144C304 152.8 311.2 160 320 160C324.4 160 328.8 160.3 333 160.9C354.2 163.7 373.6 173.2 389.1 187.7z", "M192 160C187.6 160 183.2 160.3 178.1 160.9C157.8 163.7 138.4 173.2 122.9 187.7C116.5 193.7 106.3 193.4 100.3 186.9C94.28 180.5 94.62 170.3 101.1 164.3C121.1 145.6 146.6 132.9 174.8 129.1C180.4 128.4 186.2 128 192 128C200.8 128 208 135.2 208 144C208 152.8 200.8 160 192 160zM144.4 272C144.4 254.3 158.7 240 176.4 240C194 240 208.4 254.3 208.4 272C208.4 289.7 194 304 176.4 304C158.7 304 144.4 289.7 144.4 272zM304.4 272C304.4 254.3 318.7 240 336.4 240C354 240 368.4 254.3 368.4 272C368.4 289.7 354 304 336.4 304C318.7 304 304.4 289.7 304.4 272zM333 160.9C328.8 160.3 324.4 160 320 160C311.2 160 304 152.8 304 144C304 135.2 311.2 128 320 128C325.8 128 331.6 128.4 337.2 129.1C365.4 132.9 390.9 145.6 410.9 164.3C417.4 170.3 417.7 180.5 411.7 186.9C405.7 193.4 395.5 193.7 389.1 187.7C373.6 173.2 354.2 163.7 333 160.9z"]],
    "face-zany": [576, 512, [], "e3a4", ["M509.8 127.1C580.5 250.4 538.5 407 416.1 477.7C407.5 482.6 398.8 487 389.1 490.9C396.4 477.1 400.1 463.4 400.1 448V391.7C449.1 350.8 470.2 286.1 455 226.7C451.5 212.9 435.6 207.8 423.2 214.9L184.9 352.5C172.6 359.6 169 375.1 179.2 385.9C187.1 394.5 197.7 401.9 208.1 408.2V448C208.1 469.1 214.9 488.6 226.4 504.5C161.3 488.3 102.6 446.7 66.36 384C-4.331 261.6 37.62 104.1 160.1 34.3C282.5-36.4 439.1 5.557 509.8 127.1H509.8zM160 159.1C124.7 159.1 96 188.7 96 223.1C96 259.3 124.7 287.1 160 287.1C195.3 287.1 224 259.3 224 223.1C224 188.7 195.3 159.1 160 159.1zM344 223.1C383.8 223.1 416 191.8 416 151.1C416 112.2 383.8 79.1 344 79.1C304.2 79.1 271.1 112.2 271.1 151.1C271.1 191.8 304.2 223.1 344 223.1z", "M296 136C296 118.3 310.3 104 328 104C345.7 104 360 118.3 360 136C360 153.7 345.7 168 328 168C310.3 168 296 153.7 296 136zM184 224C184 237.3 173.3 248 160 248C146.7 248 136 237.3 136 224C136 210.7 146.7 200 160 200C173.3 200 184 210.7 184 224zM368.1 402.6V448C368.1 483.3 339.4 512 304.1 512C268.7 512 240.1 483.3 240.1 448V402.6C240.1 387.9 251.1 376 266.7 376H268.7C280 376 289.8 383.9 292.3 394.9C295.1 407.5 313.1 407.5 315.9 394.9C318.3 383.9 328.1 376 339.4 376H341.4C356.1 376 368.1 387.9 368.1 402.6V402.6z"]],
    "face-zipper": [512, 512, [], "e3a5", ["M512 256C512 290.9 505 324.1 492.4 354.4L440.6 328.5C422.1 319.3 399.8 322.9 385.2 337.5L369.5 353.2C354.9 367.8 351.3 390.1 360.5 408.6L389.6 466.7C390.6 468.7 391.6 470.6 392.7 472.5C353.2 497.5 306.3 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240zM112 336V368C112 376.8 119.2 384 128 384C136.8 384 144 376.8 144 368V336C144 327.2 136.8 320 128 320C119.2 320 112 327.2 112 336zM208 336C208 327.2 200.8 320 192 320C183.2 320 176 327.2 176 336V368C176 376.8 183.2 384 192 384C200.8 384 208 376.8 208 368V336zM240 336V368C240 376.8 247.2 384 256 384C264.8 384 272 376.8 272 368V336C272 327.2 264.8 320 256 320C247.2 320 240 327.2 240 336zM336 336C336 327.2 328.8 320 320 320C311.2 320 304 327.2 304 336V368C304 376.8 311.2 384 320 384C328.8 384 336 376.8 336 368V336z", "M208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208zM392.2 375.8L407.8 360.2C412.7 355.3 420.2 354.1 426.3 357.2L484.4 386.2C513.7 400.9 520.1 439.9 496.9 463.1L495.1 464.9C471.9 488.1 432.9 481.7 418.2 452.4L389.2 394.3C386.1 388.2 387.3 380.7 392.2 375.8L392.2 375.8zM480.5 432.5C485.2 427.8 485.2 420.2 480.5 415.5C475.8 410.8 468.2 410.8 463.5 415.5L447.5 431.5C442.8 436.2 442.8 443.8 447.5 448.5C452.2 453.2 459.8 453.2 464.5 448.5L480.5 432.5zM304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208z"]],
    "falafel": [576, 512, [129478], "e40a", ["M531.5 268.5c42.37 42.37 57.1 96.35 32.88 120.6c-24.21 24.21-78.19 9.492-120.6-32.88s-57.09-96.35-32.88-120.6S489.1 226.2 531.5 268.5z", "M300.9 261.4c1.086-1.688 1.791-3.705 2.637-5.662c3.527-8.154 8.357-19.32 19.26-28.11c10.9-8.789 23.24-11.12 31.4-12.66c2.037-.3848 4.117-.6172 5.105-.8711c1.596-1.006 3.018-2.424 4.537-3.744c6.369-5.539 15.99-13.91 29.89-17.06c3.744-.8496 7.66-1.279 11.64-1.279c9.029 0 16.92 2.215 22.69 3.834c1.889 .5293 3.734 1.184 4.5 1.393c1.004-.0938 2.021-.4473 3.031-.7168c.1387-6.984-.707-14.36 .7891-20.86c2.367-10.3 11.61-19.98 11.66-30.81c.0488-10.49-9.027-20.27-11.35-30.95c-2.322-10.68 1.84-23.47-2.561-32.95c-4.539-9.791-16.93-14.57-23.35-22.87c-6.525-8.437-8.227-21.83-16.35-28.5c-8.154-6.709-21.34-5.553-30.75-10.25c-9.359-4.678-16.55-16.03-26.8-18.49c-10.08-2.42-21.46 4.436-32.06 4.383c-10.27-.0508-21.56-7.096-32.02-4.727c-10.46 2.373-17.77 13.64-27.06 18.13c-9.586 4.635-22.73 3.348-30.87 9.904C206.6 35.19 204.8 48.58 198.2 56.87C191.7 65.2 179.2 69.86 174.6 79.46C170.1 89.03 174.1 101.9 171.7 112.3c-2.367 10.3-11.61 19.98-11.66 30.81C159.1 153.6 169 163.4 171.3 174.1c1.252 5.76 .6797 12.11 .5215 18.25c.127 0 .2266-.0352 .3535-.0352c4.146 0 8.211 .4707 12.09 1.4c13.71 3.291 23.18 11.73 29.45 17.32C215.3 212.4 216.7 213.9 217.5 214.5c1.812 .6777 3.84 .9316 5.834 1.33c8.17 1.629 20.52 4.092 31.38 13.03c10.73 8.824 15.45 19.98 18.89 28.13c.8438 1.998 1.541 4.068 2.152 5.166C277.1 263.5 278.8 264.7 280.4 265.9C282.5 267.5 285.1 269.6 287.6 271.8c3.188-2.853 6.324-5.332 8.916-7.266C298.2 263.3 299.1 262.2 300.9 261.4zM239.1 159.1c-8.836 0-15.1-7.164-15.1-15.1c0-8.838 7.166-16 16-16s15.1 7.164 15.1 16C255.1 152.8 248.8 159.1 239.1 159.1zM250.7 282.1c-6.525-8.437-8.227-21.83-16.35-28.5c-8.154-6.709-21.34-5.553-30.75-10.25c-9.359-4.678-16.55-16.03-26.8-18.49C166.8 222.4 155.4 229.3 144.8 229.2C134.5 229.2 123.2 222.1 112.8 224.5C102.3 226.9 94.1 238.1 85.71 242.6c-9.586 4.635-22.73 3.348-30.87 9.904c-8.264 6.664-10.07 20.06-16.61 28.35c-6.572 8.33-18.99 12.98-23.6 22.59c-4.58 9.56-.5645 22.42-2.973 32.88C9.295 346.6 .0508 356.3 0 367.2c-.0488 10.49 9.027 20.27 11.35 30.95c2.322 10.68-1.84 23.47 2.561 32.95c4.539 9.789 16.93 14.57 23.35 22.87c6.525 8.437 8.227 21.83 16.35 28.51c8.154 6.709 21.34 5.551 30.75 10.25c9.359 4.676 16.55 16.03 26.8 18.49c10.08 2.42 21.46-4.436 32.06-4.383c10.27 .0508 21.56 7.096 32.02 4.725c10.46-2.373 17.77-13.64 27.06-18.13c9.586-4.635 22.73-3.346 30.87-9.902c8.264-6.662 10.07-20.06 16.61-28.35c5.461-6.92 14.72-11.46 20.41-18.25c-2.727-9.601-2.496-18.58-2.211-25.52c.0918-2.211 .2285-5.553 .168-6.225c-.3184-1.07-1.818-4.016-2.811-5.965c-3.963-7.783-9.391-18.44-9.326-32.16c.0664-14.06 5.955-25.26 9.852-32.67c.9824-1.867 2.1-3.658 2.566-4.873c.2988-2.068 .0625-4.271-.002-6.471c-.1914-6.435-.375-14.63 1.838-23.43C264.5 293.1 255.8 288.7 250.7 282.1zM79.1 383.1c-8.836 0-15.1-7.164-15.1-15.1c0-8.838 7.166-16 16-16s15.1 7.164 15.1 16C95.1 376.8 88.84 383.1 79.1 383.1zM111.1 447.1c-8.836 0-15.1-7.164-15.1-15.1c0-8.836 7.166-15.1 16-15.1c8.836 0 15.1 7.164 15.1 15.1C127.1 440.8 120.8 447.1 111.1 447.1zM143.1 383.1c-8.836 0-16-7.164-16-15.1c0-8.838 7.166-16 16-16s15.1 7.164 15.1 16C159.1 376.8 152.8 383.1 143.1 383.1zM567.1 383.1h-.1211c-1.188 1.699-2.055 3.627-3.537 5.109c-24.21 24.21-78.19 9.492-120.6-32.88c-42.37-42.37-57.09-96.35-32.88-120.6c3.549-3.549 7.889-6.014 12.59-7.926c-7.557-1.938-15.34-4.918-22.71-3.246c-10.46 2.373-17.77 13.64-27.06 18.13c-9.586 4.635-22.73 3.348-30.87 9.904c-8.264 6.664-10.07 20.06-16.61 28.35c-6.572 8.33-18.99 12.98-23.6 22.59c-4.58 9.56-.5645 22.42-2.973 32.88c-2.367 10.3-11.61 19.98-11.66 30.81c-.0488 10.49 9.027 20.27 11.35 30.95c2.322 10.68-1.84 23.47 2.561 32.95c4.539 9.789 16.93 14.57 23.35 22.87c6.525 8.437 8.227 21.83 16.35 28.51c8.154 6.709 21.34 5.551 30.75 10.25c9.359 4.676 16.55 16.03 26.8 18.49c10.08 2.42 21.46-4.436 32.06-4.383c10.27 .0508 21.56 7.096 32.02 4.725c10.46-2.373 17.77-13.64 27.06-18.13c9.586-4.635 22.73-3.346 30.87-9.902c8.264-6.662 10.07-20.06 16.61-28.35c6.572-8.33 18.99-12.98 23.6-22.59c4.58-9.557 .5645-22.42 2.973-32.88C565.6 394.4 565.3 389.2 567.1 383.1zM367.1 384c-8.836 0-16-7.164-16-15.1c0-8.838 7.166-16 16-16s15.1 7.164 15.1 16C383.1 376.8 376.8 384 367.1 384zM399.1 448c-8.836 0-15.1-7.164-15.1-15.1c0-8.836 7.166-15.1 16-15.1c8.836 0 15.1 7.164 15.1 15.1C415.1 440.8 408.8 448 399.1 448z"]],
    "family": [512, 512, [], "e300", ["M384 128c35.38 0 64-28.62 64-64s-28.62-64-64-64s-64 28.62-64 64S348.6 128 384 128zM128 128c35.38 0 64-28.62 64-64S163.4 0 128 0S64 28.62 64 64S92.63 128 128 128zM511.4 363.6l-48.22-168.8C457.3 174.2 438.4 160 416.1 160h-65.99c-5.713 0-11.17 1.143-16.32 3.014C335.4 167.3 336 171.6 336 176c0 20.31-7.609 38.88-20.13 53.01C346.3 240.3 368 269.7 368 304V352c0 23.64-12.88 44.33-32 55.41V480c0 8.461-1.736 16.5-4.732 23.9C336.9 508.8 343.1 512 352 512h64c17.67 0 32-14.33 32-32v-96h47.99C506.6 384 514.3 373.8 511.4 363.6zM196.1 229C183.6 214.9 176 196.3 176 176c0-4.561 .6107-8.965 1.347-13.32C171.8 161.1 166.1 160 160 160H96C60.65 160 32 188.7 32 224v96c0 17.67 14.33 32 32 32v128c0 17.67 14.33 32 32 32h64c8.014 0 15.12-3.229 20.73-8.096C177.7 496.5 176 488.5 176 480v-72.59C156.9 396.3 144 375.6 144 352V304C144 269.7 165.7 240.3 196.1 229z", "M256 224c26.53 0 48-21.47 48-48S282.5 128 256 128S208 149.5 208 176S229.5 224 256 224zM288 256H224C197.5 256 176 277.5 176 304V352c0 17.67 14.33 32 32 32v96c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32v-96c17.67 0 32-14.33 32-32V304C336 277.5 314.5 256 288 256z"]],
    "family-dress": [512, 512, [], "e301", ["M384 128c35.38 0 64-28.62 64-64s-28.62-64-64-64s-64 28.62-64 64S348.6 128 384 128zM128 128c35.38 0 64-28.62 64-64S163.4 0 128 0S64 28.62 64 64S92.63 128 128 128zM196.1 229C183.6 214.9 176 196.3 176 176c0-4.447 .6133-8.734 1.314-12.99C172.2 161.1 166.7 160 160.1 160H95C73.57 160 54.74 174.2 48.85 194.8l-48.22 168.8C-2.295 373.8 5.379 384 16.01 384H64v96c0 17.67 14.33 32 32 32h64c8.014 0 15.12-3.229 20.73-8.096C177.7 496.5 176 488.5 176 480v-72.59C156.9 396.3 144 375.6 144 352V304C144 269.7 165.7 240.3 196.1 229zM511.4 363.6l-48.22-168.8C457.3 174.2 438.4 160 416.1 160h-65.99c-5.713 0-11.17 1.143-16.32 3.014C335.4 167.3 336 171.6 336 176c0 20.31-7.609 38.88-20.13 53.01C346.3 240.3 368 269.7 368 304V352c0 23.64-12.88 44.33-32 55.41V480c0 8.461-1.736 16.5-4.732 23.9C336.9 508.8 343.1 512 352 512h64c17.67 0 32-14.33 32-32v-96h47.99C506.6 384 514.3 373.8 511.4 363.6z", "M256 224c26.53 0 48-21.47 48-48S282.5 128 256 128S208 149.5 208 176S229.5 224 256 224zM288 256H224C197.5 256 176 277.5 176 304V352c0 17.67 14.33 32 32 32v96c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32v-96c17.67 0 32-14.33 32-32V304C336 277.5 314.5 256 288 256z"]],
    "family-pants": [448, 512, [], "e302", ["M384 160h-64c-6.055 0-11.8 1.111-17.35 2.682C303.4 167 304 171.4 304 176c0 20.31-7.609 38.88-20.13 53.01C314.3 240.3 336 269.7 336 304V352c0 23.64-12.88 44.33-32 55.41V480c0 8.461-1.736 16.5-4.732 23.9C304.9 508.8 311.1 512 320 512h64c17.67 0 32-14.33 32-32v-128c17.67 0 32-14.33 32-32V224C448 188.7 419.3 160 384 160zM96 128c35.38 0 64-28.62 64-64S131.4 0 96 0S32 28.62 32 64S60.63 128 96 128zM352 128c35.38 0 64-28.62 64-64s-28.62-64-64-64s-64 28.62-64 64S316.6 128 352 128zM164.1 229C151.6 214.9 144 196.3 144 176c0-4.561 .6107-8.965 1.347-13.32C139.8 161.1 134.1 160 128 160H64C28.65 160 0 188.7 0 224v96c0 17.67 14.33 32 32 32v128c0 17.67 14.33 32 32 32h64c8.014 0 15.12-3.229 20.73-8.096C145.7 496.5 144 488.5 144 480v-72.59C124.9 396.3 112 375.6 112 352V304C112 269.7 133.7 240.3 164.1 229z", "M224 224c26.53 0 48-21.47 48-48S250.5 128 224 128S176 149.5 176 176S197.5 224 224 224zM256 256H192C165.5 256 144 277.5 144 304V352c0 17.67 14.33 32 32 32v96c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32v-96c17.67 0 32-14.33 32-32V304C304 277.5 282.5 256 256 256z"]],
    "fan": [512, 512, [], "f863", ["M352.6 127.1c-28.13 0-54.13 4.5-77.13 12.88l12.38-123.1c1.125-10.5-8.125-18.88-18.5-17.63C189.6 10.12 127.1 77.62 127.1 159.4c0 28.13 4.5 54.13 12.88 77.13L17.75 224.1C7.249 222.1-1.126 232.2 .1239 242.6c10 79.75 77.5 141.4 159.3 141.4c28.13 0 54.13-4.5 77.13-12.88l-12.38 123.1C222.1 504.6 232.2 513.1 242.6 511.9c79.75-10 141.4-77.5 141.4-159.3c0-28.13-4.5-54.13-12.88-77.13l123.1 12.38c10.5 1.125 18.88-8.125 17.63-18.5C501.9 189.6 434.4 127.1 352.6 127.1zM255.1 287.1c-17.63 0-31.1-14.37-31.1-32s14.37-32 31.1-32s31.1 14.38 31.1 32S273.6 287.1 255.1 287.1z", "M255.1 287.1c-17.63 0-31.1-14.37-31.1-32s14.37-32 31.1-32s31.1 14.38 31.1 32S273.6 287.1 255.1 287.1z"]],
    "fan-table": [448, 512, [], "e004", ["M224 0C109.1 0 16 93.13 16 208c0 103.1 76.42 189.8 176 205.2V448h64v-34.8C355.6 397.8 432 311.1 432 208C432 93.13 338.9 0 224 0zM379.4 249.4C375.1 253 369.5 254.5 364.1 253.6l-104.8-17.5c4.25 22 .5 44.75-10.62 64.13c-26.12 45.13-83.88 60.63-129.1 34.5c-7-4-14.5-16.75-5.125-28.25l67.5-82c-57.12-20.25-69.12-77.25-59.62-113c6.375-24.25 22.25-44.88 44-57.38c13-7.375 24.25 2.375 27 9.75l37.13 99c28-23.88 67.38-29.25 100.9-13.75c33.38 15.5 54.75 49 54.62 85.88C385.1 240.5 383.6 245.8 379.4 249.4z", "M320 448H128c-28.38 0-55 18.5-63.25 44.13C61.5 502 69.79 512 80.17 512h287.7c10.38 0 18.67-9.999 15.42-19.88C375 466.5 348.4 448 320 448zM119.6 334.8c45.25 26.12 103 10.62 129.1-34.5c11.12-19.38 14.88-42.13 10.62-64.13l104.8 17.5c5.375 .875 11-.625 15.25-4.25s6.625-8.875 6.625-14.38c.1255-36.88-21.25-70.38-54.62-85.88c-33.5-15.5-72.88-10.12-100.9 13.75l-37.13-99c-2.75-7.375-14-17.12-27-9.75c-21.75 12.5-37.63 33.13-44 57.38c-9.5 35.75 2.5 92.75 59.62 113l-67.5 82C105.1 318 112.6 330.8 119.6 334.8zM224 192c8.875 0 16 7.125 16 16S232.9 224 224 224S208 216.9 208 208S215.1 192 224 192z"]],
    "farm": [576, 512, ["barn-silo"], "f864", ["M162.4 258.1L211.3 139.4C214.3 132.1 219.1 126.1 227.2 122.7L354.3 62.49C362.1 58.38 373 58.38 381.7 62.49L508.8 122.7C516 126.1 521.7 132.1 524.7 139.4L573.6 258.1C575.2 262 576 266.2 576 270.3V480C576 497.7 561.7 512 544 512H432V448C432 421.5 410.5 400 384 400H352C325.5 400 304 421.5 304 448V512H192C174.3 512 160 497.7 160 480V270.3C160 266.2 160.8 262 162.4 258.1H162.4zM344 224C330.7 224 320 234.7 320 248V296C320 309.3 330.7 320 344 320H392C405.3 320 416 309.3 416 296V248C416 234.7 405.3 224 392 224H344z", "M0 96C0 42.98 42.98 0 96 0C149 0 192 42.98 192 96V110.3C187.7 115.3 184.3 121.1 181.7 127.3L181.4 127.1H0V96zM132.8 245.1C129.6 253.7 128 261.1 128 270.3V480C128 491.7 131.1 502.6 136.6 512H48C21.49 512 0 490.5 0 464V160H168.2L132.8 245.1zM392 224C405.3 224 416 234.7 416 248V296C416 309.3 405.3 320 392 320H344C330.7 320 320 309.3 320 296V248C320 234.7 330.7 224 344 224H392z"]],
    "faucet": [512, 512, [], "e005", ["M352 256h-38.54c-16-12.8-35.06-22.4-57.46-28.8v-48L224 176L192 179.2v48C169.6 233.6 150.5 243.2 134.5 256H16C6.4 256 0 262.4 0 272v96C0 377.6 6.4 384 16 384h92.78C127.1 422.4 172.8 448 224 448s96.02-25.6 115.2-64H352c19.2 0 32 12.71 32 31.91C384 435.1 396.8 448 416 448h64c19.2 0 32-12.74 32-31.94C512 326.5 441.6 256 352 256zM256 108.8V80C256 70.4 249.6 64 240 64h-32C198.4 64 192 70.4 192 80v28.8L224 112L256 108.8z", "M384 112v28.8C384 153.6 374.4 160 364.8 160L224 144L83.2 160C73.6 160 64 153.6 64 144v-32C64 102.4 73.6 96 83.2 96L224 112L364.8 96C374.4 96 384 102.4 384 112z"]],
    "faucet-drip": [512, 512, [128688], "e006", ["M352 192h-38.54c-16-12.8-35.06-22.4-57.46-28.8v-48L224 112L192 115.2v48C169.6 169.6 150.5 179.2 134.5 192H16C6.4 192 0 198.4 0 208v96C0 313.6 6.4 320 16 320h92.78C127.1 358.4 172.8 384 224 384s96.02-25.6 115.2-64H352c19.2 0 32 12.71 32 31.91C384 371.1 396.8 384 416 384h64c19.2 0 32-12.8 32-32C512 262.4 441.6 192 352 192zM256 44.8V16C256 6.4 249.6 0 240 0h-32C198.4 0 192 6.4 192 16v28.8L224 48L256 44.8z", "M364.8 32L224 48L83.2 32C73.6 32 64 38.4 64 48v28.8C64 89.6 73.6 96 83.2 96L224 80L364.8 96C374.4 96 384 89.6 384 80v-32C384 38.4 374.4 32 364.8 32zM448 416c0 0-32 44.8-32 64c0 19.2 12.8 32 32 32s32-12.8 32-32C480 460.8 448 416 448 416z"]],
    "fax": [512, 512, [128439, 128224], "f1ac", ["M272 256h-32C231.1 256 224 263.1 224 272v32C224 312.9 231.1 320 240 320h32c8.875 0 16-7.125 16-16v-32C288 263.1 280.9 256 272 256zM272 384h-32C231.1 384 224 391.1 224 400v32C224 440.9 231.1 448 240 448h32c8.875 0 16-7.125 16-16v-32C288 391.1 280.9 384 272 384zM400 384h-32c-8.875 0-16 7.125-16 16v32c0 8.875 7.125 16 16 16h32c8.875 0 16-7.125 16-16v-32C416 391.1 408.9 384 400 384zM400 256h-32C359.1 256 352 263.1 352 272v32c0 8.875 7.125 16 16 16h32c8.875 0 16-7.125 16-16v-32C416 263.1 408.9 256 400 256zM470.6 54.63l-45.25-45.25C419.4 3.375 411.2 0 402.8 0H160C142.3 0 128 14.33 128 32v160h64V64h197.5L416 90.51V192h64V77.25C480 68.77 476.6 60.63 470.6 54.63z", "M64 128H32C14.38 128 0 142.4 0 160v320c0 17.62 14.38 32 32 32h32c17.62 0 32-14.38 32-32V160C96 142.4 81.63 128 64 128zM480 192H128v288c0 17.6 14.4 32 32 32h320c17.6 0 32-14.4 32-32V224C512 206.3 497.7 192 480 192zM288 432c0 8.875-7.125 16-16 16h-32C231.1 448 224 440.9 224 432v-32C224 391.1 231.1 384 240 384h32c8.875 0 16 7.125 16 16V432zM288 304c0 8.875-7.125 16-16 16h-32C231.1 320 224 312.9 224 304v-32C224 263.1 231.1 256 240 256h32C280.9 256 288 263.1 288 272V304zM416 432c0 8.875-7.125 16-16 16h-32c-8.875 0-16-7.125-16-16v-32c0-8.875 7.125-16 16-16h32c8.875 0 16 7.125 16 16V432zM416 304c0 8.875-7.125 16-16 16h-32C359.1 320 352 312.9 352 304v-32C352 263.1 359.1 256 368 256h32C408.9 256 416 263.1 416 272V304z"]],
    "feather": [512, 512, [129718], "f52d", ["M483.4 244.2L351.9 287.1h97.74c-9.873 10.62 3.749-3.125-46.24 46.87l-147.6 49.12h98.24c-74.99 73.12-194.6 70.62-246.8 54.1l237.8-238c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0L72.87 405.2l-.3107-.5296c-9.24-30.89-29.15-162.9 56.55-248.4l85.74-85.68c90.62-90.62 189.8-88.27 252.3-25.78C517.8 95.34 528.9 169.7 483.4 244.2z", "M23.1 512c-6.156 0-12.28-2.344-16.97-7.031c-9.375-9.375-9.375-24.6 0-33.98l304-303.1c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94l-303.1 304C36.32 509.7 30.16 512 23.1 512z"]],
    "feather-pointed": [512, 512, ["feather-alt"], "f56b", ["M467.1 241.1L351.1 288h94.34c-7.711 14.85-16.29 29.28-25.87 43.01l-132.5 52.99h85.65c-59.34 52.71-144.1 80.35-264.5 52.82l235.9-235.9c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0L75.11 402.1C-2.957 61.97 362.5 8.436 478.9 .0846c18.87-1.354 34.41 14.19 33.05 33.05C508.7 78.53 498.5 161.8 467.1 241.1z", "M23.1 512c-6.156 0-12.28-2.344-16.97-7.031c-9.375-9.375-9.375-24.56 0-33.94l303.1-303.1c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94l-303.1 303.1C36.28 509.7 30.16 512 23.1 512z"]],
    "fence": [512, 512, [], "e303", ["M192 224H128V160H192V224zM384 224H320V160H384V224zM128 352H192V416H128V352zM384 416H320V352H384V416z", "M121.6 98.13C125.8 103.7 128 110.4 128 117.3V448C128 465.7 113.7 480 96 480H32C14.33 480 0 465.7 0 448V117.3C0 110.4 2.246 103.7 6.4 98.13L51.2 38.4C54.22 34.37 58.96 32 64 32C69.04 32 73.78 34.37 76.8 38.4L121.6 98.13zM313.6 98.13C317.8 103.7 320 110.4 320 117.3V448C320 465.7 305.7 480 288 480H224C206.3 480 192 465.7 192 448V117.3C192 110.4 194.2 103.7 198.4 98.13L243.2 38.4C246.2 34.37 250.1 32 256 32C261 32 265.8 34.37 268.8 38.4L313.6 98.13zM448 32C453 32 457.8 34.37 460.8 38.4L505.6 98.13C509.8 103.7 512 110.4 512 117.3V448C512 465.7 497.7 480 480 480H416C398.3 480 384 465.7 384 448V117.3C384 110.4 386.2 103.7 390.4 98.13L435.2 38.4C438.2 34.37 442.1 32 448 32V32z"]],
    "ferris-wheel": [512, 512, [], "e174", ["M381.8 477.9C385.2 485.3 384.6 494 380.2 500.9C375.8 507.8 368.2 512 360 512H152C143.8 512 136.2 507.8 131.8 500.9C127.4 494 126.8 485.3 130.2 477.9L219 286.6C212.1 278.3 208 267.6 208 256C208 229.5 229.5 208 256 208C282.5 208 304 229.5 304 256C304 267.6 299.9 278.3 292.1 286.6L381.8 477.9z", "M302.7 36.88C330.4 42.75 356.2 53.73 379.1 68.8C385.4 65.72 392.5 64 400 64C426.5 64 448 85.49 448 112C448 119.5 446.3 126.6 443.2 132.9C458.3 155.8 469.3 181.6 475.1 209.3C496.3 214.3 512 233.3 512 256C512 278.7 496.3 297.7 475.1 302.7C469.3 330.4 458.3 356.2 443.2 379.1C446.3 385.4 448 392.5 448 400C448 425.6 428 446.4 402.9 447.9L364.3 367.9C368.9 362.8 374.6 358.7 380.1 355.9C398.2 334.4 409.9 308.5 414.2 280H332.3C334.7 272.4 336 264.4 336 256C336 247.6 334.7 239.6 332.3 232H414.2C410.3 205.7 399.9 181.6 384.8 161.1L326.9 218.1C319.4 204.5 307.5 192.6 293 185.1L350.9 127.2C330.4 112.1 306.3 101.7 280 97.79V179.7C272.4 177.3 264.4 176 256 176C247.6 176 239.6 177.3 232 179.7V97.79C205.7 101.7 181.6 112.1 161.1 127.2L218.1 185.1C204.5 192.6 192.6 204.5 185.1 218.1L127.2 161.1C112.1 181.6 101.7 205.7 97.79 232H179.7C177.3 239.6 176 247.6 176 256C176 264.4 177.3 272.4 179.7 280H97.79C102.1 308.5 113.8 334.4 131 355.9C137.4 358.7 143.1 362.8 147.7 367.9L109.1 447.9C83.97 446.4 64 425.6 64 400C64 392.5 65.72 385.4 68.8 379.1C53.73 356.2 42.75 330.4 36.88 302.7C15.73 297.7 0 278.7 0 256C0 233.3 15.73 214.3 36.88 209.3C42.75 181.6 53.73 155.8 68.8 132.9C65.72 126.6 64 119.5 64 112C64 85.49 85.49 64 112 64C119.5 64 126.6 65.72 132.9 68.8C155.8 53.73 181.6 42.75 209.3 36.88C214.3 15.73 233.3 0 256 0C278.7 0 297.7 15.73 302.7 36.88V36.88z"]],
    "ferry": [576, 512, [], "e4ea", ["M269.5 421.9C280.6 414 295.4 414 306.5 421.9C328.1 437.4 356.5 448 384 448C410.9 448 439.4 437.2 461.4 421.9L461.5 421.9C473.4 413.4 489.5 414.1 500.7 423.6C515 435.5 533.2 444.6 551.3 448.8C568.5 452.8 579.2 470.1 575.2 487.3C571.2 504.5 553.1 515.2 536.7 511.2C512.2 505.4 491.9 494.6 478.5 486.2C449.5 501.7 417 512 384 512C352.1 512 323.4 502.1 303.6 493.1C297.7 490.5 292.5 487.8 288 485.4C283.5 487.8 278.3 490.5 272.4 493.1C252.6 502.1 223.9 512 192 512C158.1 512 126.5 501.7 97.5 486.2C84.12 494.6 63.79 505.4 39.27 511.2C22.06 515.2 4.853 504.5 .8422 487.3C-3.169 470.1 7.532 452.8 24.74 448.8C42.84 444.6 60.96 435.5 75.31 423.6C86.46 414.1 102.6 413.4 114.5 421.9L114.6 421.9C136.7 437.2 165.1 448 192 448C219.5 448 247 437.4 269.5 421.9H269.5z", "M191.1 32C191.1 14.33 206.3 0 223.1 0H352C369.7 0 384 14.33 384 32H459.1C479.7 32 490.7 56.29 477.2 71.8L456 96H119.1L98.83 71.8C85.25 56.29 96.27 32 116.9 32H191.1zM512 160V283.5C512 296.8 507.8 309.8 500.1 320.7L448.7 392.6C446.8 393.7 444.1 394.9 443.2 396.1C427.7 406.8 409.1 414.2 392.1 416H375.6C358.5 414.2 340.6 406.1 324.8 396.1C302.8 380.6 273.3 380.6 251.2 396.1C236.3 406.3 218.7 414.1 200.5 416H183.9C166.9 414.2 148.3 406.8 132.9 396.1C131.1 394.8 129.2 393.7 127.3 392.6L75.92 320.7C68.17 309.8 64 296.8 64 283.5V160C64 142.3 78.33 128 96 128H480C497.7 128 512 142.3 512 160H512zM448 192H127.1V288H448V192z"]],
    "field-hockey-stick-ball": [512, 512, [127953, "field-hockey"], "f44c", ["M432.1 351.9c-44.2 0-80.05 35.85-80.05 80.01c0 44.16 35.86 80.01 80.05 80.01s79.95-35.85 79.95-80.01C511.1 387.8 476.2 351.9 432.1 351.9zM503.7 74.96c5.613-8.262 8.291-17.63 8.291-26.91c0-15.51-7.506-30.76-21.4-40.01C482.4 2.603 473.2 0 464.1 0c-15.34 0-30.41 7.358-39.67 20.99l-73.13 104.5l79.84 53.16L503.7 74.96z", "M351.3 125.5l-184.7 271.9c-8.323 11.88-21.91 18.69-34.9 18.69c-26.57 0-35.85-24.89-35.85-37.5c0-4.547 .8872-12.99 6.778-21.41l9.824-14.07c5.846-8.383 8.653-17.99 8.653-27.49c0-22.67-17.96-48.09-47.93-48.09c-15.12 0-29.99 7.178-39.3 20.56L24.09 302.1c-9.392 13.46-24.09 39.81-24.09 76.91C.0009 457.4 64.04 512 131.3 512c67.4 0 104.6-46.44 114.3-60.29l185.5-273.1L351.3 125.5z"]],
    "file": [384, 512, [128459, 61462, 128196], "f15b", ["M224 0V160H384V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H224z", "M224 0L384 160H224V0z"]],
    "file-arrow-down": [384, 512, ["file-download"], "f56d", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM288.1 360.1l-80 80c-9.375 9.375-24.56 9.375-33.94 0l-80-80c-9.375-9.375-9.375-24.56 0-33.94C99.72 322.3 105.8 320 112 320s12.28 2.344 16.97 7.031L168 366.1V248C168 234.8 178.8 224 192 224s24 10.75 24 24v118.1l39.03-39.03c9.375-9.375 24.56-9.375 33.94 0S298.3 351.6 288.1 360.1z", "M256 0v128h128L256 0zM255 327L216 366.1V248C216 234.8 205.3 224 192 224S168 234.8 168 248v118.1l-39.03-39.03C124.3 322.3 118.2 320 112 320s-12.28 2.344-16.97 7.031c-9.375 9.375-9.375 24.56 0 33.94l80 80c9.375 9.375 24.56 9.375 33.94 0l80-80c9.375-9.375 9.375-24.56 0-33.94S264.4 317.7 255 327z"]],
    "file-arrow-up": [384, 512, ["file-upload"], "f574", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM288.1 344.1C284.3 349.7 278.2 352 272 352s-12.28-2.344-16.97-7.031L216 305.9V424c0 13.25-10.75 24-24 24s-24-10.75-24-24V305.9l-39.03 39.03c-9.375 9.375-24.56 9.375-33.94 0s-9.375-24.56 0-33.94l80-80c9.375-9.375 24.56-9.375 33.94 0l80 80C298.3 320.4 298.3 335.6 288.1 344.1z", "M256 0v128h128L256 0zM208.1 231c-9.375-9.375-24.56-9.375-33.94 0l-80 80c-9.375 9.375-9.375 24.56 0 33.94s24.56 9.375 33.94 0L168 305.9V424C168 437.3 178.8 448 192 448s24-10.75 24-24V305.9l39.03 39.03C259.7 349.7 265.8 352 272 352s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94L208.1 231z"]],
    "file-audio": [384, 512, [], "f1c7", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM176 404c0 10.75-12.88 15.98-20.5 8.484L120 376H76C69.38 376 64 370.6 64 364v-56C64 301.4 69.38 296 76 296H120l35.5-36.5C163.1 251.9 176 257.3 176 268V404zM224 387.8c-4.391 0-8.75-1.835-11.91-5.367c-5.906-6.594-5.359-16.69 1.219-22.59C220.2 353.7 224 345.2 224 336s-3.797-17.69-10.69-23.88c-6.578-5.906-7.125-16-1.219-22.59c5.922-6.594 16.05-7.094 22.59-1.219C248.2 300.5 256 317.8 256 336s-7.766 35.53-21.31 47.69C231.6 386.4 227.8 387.8 224 387.8zM265.2 441.1c-2.781 1.938-5.988 2.875-9.145 2.875c-5.047 0-10.03-2.375-13.14-6.844c-5.047-7.25-3.281-17.22 3.969-22.28C272.6 396.9 288 367.4 288 336s-15.38-60.84-41.14-78.8c-7.25-5.062-9.027-15.03-3.98-22.28c5.047-7.281 14.99-9.062 22.27-3.969C299.5 254.9 320 294.2 320 336C320 377.8 299.5 417.1 265.2 441.1z", "M256 0v128h128L256 0zM155.5 259.5L120 296H76C69.38 296 64 301.4 64 308v56c0 6.625 5.375 12 12 12H120l35.5 36.5C163.1 420 176 414.8 176 404v-136C176 257.3 163.1 251.9 155.5 259.5zM234.7 288.3c-6.547-5.875-16.67-5.375-22.59 1.219c-5.906 6.594-5.359 16.69 1.219 22.59C220.2 318.3 224 326.8 224 336s-3.797 17.69-10.69 23.88c-6.578 5.906-7.125 16-1.219 22.59C215.3 386 219.6 387.8 224 387.8c3.812 0 7.625-1.398 10.69-4.148C248.2 371.5 256 354.2 256 336S248.2 300.5 234.7 288.3zM265.1 230.9c-7.281-5.094-17.22-3.312-22.27 3.969c-5.047 7.25-3.27 17.22 3.98 22.28C272.6 275.2 288 304.6 288 336s-15.39 60.86-41.16 78.83c-7.25 5.062-9.016 15.03-3.969 22.28c3.109 4.469 8.09 6.844 13.14 6.844c3.156 0 6.363-.9375 9.145-2.875C299.5 417.1 320 377.8 320 336C320 294.2 299.5 254.9 265.1 230.9z"]],
    "file-binary": [384, 512, [], "e175", ["M144 272h-32C103.2 272 96 279.2 96 288v80C96 376.8 103.2 384 112 384h32C152.8 384 160 376.8 160 368V288C160 279.2 152.8 272 144 272zM256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM192 368c0 26.47-21.53 48-48 48h-32C85.53 416 64 394.5 64 368V288c0-26.47 21.53-48 48-48h32C170.5 240 192 261.5 192 288V368zM304 416h-64c-8.844 0-16-7.156-16-16s7.156-16 16-16H256V272h-16C231.2 272 224 264.8 224 256s7.156-16 16-16h32C280.8 240 288 247.2 288 256v128h16c8.844 0 16 7.156 16 16S312.8 416 304 416z", "M256 0v128h128L256 0zM304 384H288V256c0-8.844-7.156-16-16-16h-32C231.2 240 224 247.2 224 256s7.156 16 16 16H256V384h-16c-8.844 0-16 7.156-16 16s7.156 16 16 16h64c8.844 0 16-7.156 16-16S312.8 384 304 384zM144 240h-32C85.53 240 64 261.5 64 288v80C64 394.5 85.53 416 112 416h32c26.47 0 48-21.53 48-48V288C192 261.5 170.5 240 144 240zM160 368C160 376.8 152.8 384 144 384h-32C103.2 384 96 376.8 96 368V288c0-8.828 7.188-16 16-16h32C152.8 272 160 279.2 160 288V368z"]],
    "file-certificate": [512, 512, ["file-award"], "f5f3", ["M384 128V0H176C149.5 0 128 21.49 128 48l.0007 84.94c1.732-.3867 3.804-1.012 6.679-1.793l3.795-1.031c5.186-1.406 10.54-2.121 15.9-2.121c16.23 0 32.1 6.676 43.55 18.32l2.742 2.793c2.17 2.219 3.688 3.867 5.027 5.102c1.691 .5547 3.809 1.066 6.703 1.855l3.85 1.055c21.1 5.781 37.55 22.42 43.14 43.57l1.124 4.252c.791 3.008 1.293 5.18 1.854 6.91c1.24 1.41 2.92 3.004 5.209 5.324l2.412 2.445c15.56 15.77 21.62 38.48 15.88 59.88l-.852 3.175c-.8926 3.328-1.596 5.645-1.984 7.559C283.4 292 284 294.1 284.8 297.1l1.084 4.125c5.711 21.29-.3828 44.15-15.72 59.48l-2.875 2.914c-2.154 2.18-3.754 3.703-4.949 5.047c-.5605 1.746-1.066 3.941-1.861 6.977l-.9824 3.727c-4.748 18.77-18.02 34.06-35.52 41.47L223.1 512H464c26.51 0 48-21.49 48-48V128H384z", "M384 0v128h128L384 0zM247.4 242.3C236.2 230.9 234.3 229.5 231.7 220.8C230.8 217.9 229.9 214.2 228.5 209C227.8 206.4 226.9 204 225.6 201.8C221.8 195.1 215.5 190.1 207.9 188C195.1 184.5 191.3 183.8 186.6 180C184.8 178.5 182.8 176.5 179.1 173.7C178.6 172.3 176.1 170.6 175.1 168.8C172.6 166.2 169.7 164.4 166.6 162.1C165.8 162.6 165.1 162.3 164.3 162C161.2 160.8 157.8 160 154.4 160c-.0176 0 .0176 0 0 0c-.002 0 .002 0 0 0s.002 0 0 0C151.9 160 149.4 160.3 146.9 161c.2441-.0664 .4809-.0391 .725-.0938C147.4 160.1 147.1 160.9 146.9 161C136.7 163.8 132.3 165.1 127.1 165.1c-4.359 0-8.697-1.375-18.82-4.125C106.7 160.3 104.1 160 101.6 160c-.0176 0 .0176 0 0 0C98.18 160 94.86 160.8 91.68 162C90.89 162.3 90.16 162.6 89.4 162.1C86.31 164.4 83.37 166.2 80.89 168.8C65.89 183.9 68.39 182.4 48.14 188C38.02 190.8 30.1 198.8 27.48 209C25.42 216.8 24.38 221.3 23.05 224.6C20.84 230.3 17.9 232.8 8.606 242.3C6.731 244.1 5.188 246.2 3.906 248.5C.0625 255.2-1.038 263.3 1.024 271.1c5.5 20.62 5.375 17.75 0 38.38c-2.062 7.688-.9616 15.8 2.882 22.54c1.281 2.246 2.825 4.34 4.7 6.215c11.06 11.34 13.09 12.77 15.72 21.48c.875 2.902 1.78 6.613 3.155 11.77c2.625 10.38 10.54 18.38 20.67 21.12c7.188 1.938 10.06 2.688 11.68 3.203s2.003 .7969 4.188 1.797V512l63.99-32l63.99 32v-114.4c4.25-2 1.501-1.125 15.87-5c7.592-2.062 13.91-7.078 17.71-13.84c1.266-2.25 2.257-4.695 2.913-7.289c1.375-5.188 2.303-8.914 3.169-11.82c2.594-8.727 4.549-10.09 15.7-21.43c7.5-7.5 10.38-18.5 7.625-28.75c-5.375-20.62-5.5-17.75 0-38.38C257.7 260.8 254.9 249.8 247.4 242.3zM128 352c-4.422 0-8.741-.4453-12.91-1.297c-8.336-1.703-16.08-5.027-22.89-9.625c-6.807-4.602-12.68-10.47-17.28-17.28C68.04 313.6 64.02 301.3 64.02 288s4.021-25.58 10.92-35.8c4.596-6.809 10.47-12.68 17.28-17.28c6.809-4.598 14.55-7.922 22.89-9.625C119.3 224.4 123.6 224 128 224c35.37 0 63.99 28.62 63.99 64S163.4 352 128 352z"]],
    "file-chart-column": [384, 512, ["file-chart-line"], "f659", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM128 435.3C128 441.6 121.6 448 115.3 448h-38.5C70.38 448 64 441.6 64 435.3v-70.5C64 358.4 70.38 352 76.75 352h38.5C121.6 352 128 358.4 128 364.8V435.3zM224 435.3C224 441.6 217.6 448 211.3 448h-38.5C166.4 448 160 441.6 160 435.3v-198.5C160 230.4 166.4 224 172.8 224h38.5C217.6 224 224 230.4 224 236.8V435.3zM320 435.3C320 441.6 313.6 448 307.3 448h-38.5C262.4 448 256 441.6 256 435.3v-134.5C256 294.4 262.4 288 268.8 288h38.5C313.6 288 320 294.4 320 300.8V435.3z", "M307.3 288h-38.5C262.4 288 256 294.4 256 300.8v134.5C256 441.6 262.4 448 268.8 448h38.5C313.6 448 320 441.6 320 435.3v-134.5C320 294.4 313.6 288 307.3 288zM115.3 352h-38.5C70.38 352 64 358.4 64 364.8v70.5C64 441.6 70.38 448 76.75 448h38.5C121.6 448 128 441.6 128 435.3v-70.5C128 358.4 121.6 352 115.3 352zM211.3 224h-38.5C166.4 224 160 230.4 160 236.8v198.5C160 441.6 166.4 448 172.8 448h38.5C217.6 448 224 441.6 224 435.3v-198.5C224 230.4 217.6 224 211.3 224zM256 0v128h128L256 0z"]],
    "file-chart-pie": [384, 512, [], "f65a", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM136.5 438.5c-28.75-11.12-51.88-34.25-63-63C43.38 298.1 90.88 224.8 160 210.6V352h141.4C287.3 421.1 213.9 468.6 136.5 438.5zM192 320V199.9c66.38 0 120.1 53.75 120.1 120.1H192z", "M160 210.6c-69.13 14.12-116.6 87.5-86.5 164.9c11.12 28.75 34.25 51.88 63 63C213.9 468.6 287.3 421.1 301.4 352H160V210.6zM256 0v128h128L256 0z"]],
    "file-check": [384, 512, [], "f316", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM282.2 295.6l-96 112c-4.344 5.062-10.62 8.094-17.31 8.344C168.6 415.1 168.3 415.1 168 415.1c-6.344 0-12.47-2.531-16.97-7.031l-48-48c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0l29.69 29.69l79.13-92.34c8.656-10.06 23.81-11.19 33.84-2.594C289.7 270.4 290.8 285.5 282.2 295.6z", "M256 0v128h128L256 0zM245.8 264.4l-79.13 92.34l-29.69-29.69c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94l48 48c4.5 4.5 10.62 7.031 16.97 7.031c.3125 0 .625 0 .9062-.0313c6.688-.25 12.97-3.281 17.31-8.344l96-112c8.625-10.06 7.469-25.22-2.594-33.84C269.6 253.2 254.4 254.3 245.8 264.4z"]],
    "file-circle-check": [576, 512, [], "e5a0", ["M0 64C0 28.65 28.65 0 64 0H224V160H384V198.6C310.1 219.5 256 287.4 256 368C256 427.1 285.1 479.3 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64z", "M224 160V0L384 160H224zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM476.7 324.7L416 385.4L387.3 356.7C381.1 350.4 370.9 350.4 364.7 356.7C358.4 362.9 358.4 373.1 364.7 379.3L404.7 419.3C410.9 425.6 421.1 425.6 427.3 419.3L499.3 347.3C505.6 341.1 505.6 330.9 499.3 324.7C493.1 318.4 482.9 318.4 476.7 324.7H476.7z"]],
    "file-circle-exclamation": [576, 512, [], "e4eb", ["M0 64C0 28.65 28.65 0 64 0H224V160H384V198.6C310.1 219.5 256 287.4 256 368C256 427.1 285.1 479.3 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64z", "M224 160V0L384 160H224zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 464C445.3 464 456 453.3 456 440C456 426.7 445.3 416 432 416C418.7 416 408 426.7 408 440C408 453.3 418.7 464 432 464zM415.1 288V368C415.1 376.8 423.2 384 431.1 384C440.8 384 447.1 376.8 447.1 368V288C447.1 279.2 440.8 272 431.1 272C423.2 272 415.1 279.2 415.1 288z"]],
    "file-circle-info": [576, 512, [58604], "e493", ["M0 64C0 28.65 28.65 0 64 0H224V160H384V198.6C310.1 219.5 256 287.4 256 368C256 427.1 285.1 479.3 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64z", "M224 160V0L384 160H224zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 320C445.3 320 456 309.3 456 296C456 282.7 445.3 272 432 272C418.7 272 408 282.7 408 296C408 309.3 418.7 320 432 320zM416 384L416 432C407.2 432 400 439.2 400 448C400 456.8 407.2 464 416 464H448C456.8 464 464 456.8 464 448C464 439.2 456.8 432 448 432V368C448 359.2 440.8 352 432 352H416C407.2 352 400 359.2 400 368C400 376.8 407.2 384 416 384z"]],
    "file-circle-minus": [576, 512, [], "e4ed", ["M0 64C0 28.65 28.65 0 64 0H224V160H384V198.6C310.1 219.5 256 287.4 256 368C256 427.1 285.1 479.3 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64z", "M224 160V0L384 160H224zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM496 351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H496C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1z"]],
    "file-circle-plus": [576, 512, [58606], "e494", ["M0 64C0 28.65 28.65 0 64 0H224V160H384V198.6C310.1 219.5 256 287.4 256 368C256 427.1 285.1 479.3 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64z", "M224 160V0L384 160H224zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM448 303.1C448 295.2 440.8 287.1 432 287.1C423.2 287.1 416 295.2 416 303.1V351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H416V431.1C416 440.8 423.2 447.1 432 447.1C440.8 447.1 448 440.8 448 431.1V383.1H496C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1H448V303.1z"]],
    "file-circle-question": [576, 512, [], "e4ef", ["M0 64C0 28.65 28.65 0 64 0H224V160H384V198.6C310.1 219.5 256 287.4 256 368C256 427.1 285.1 479.3 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64z", "M224 160V0L384 160H224zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 464C445.3 464 456 453.3 456 440C456 426.7 445.3 416 432 416C418.7 416 408 426.7 408 440C408 453.3 418.7 464 432 464zM368 328C368 336.8 375.2 344 384 344C392.8 344 400 336.8 400 328V321.6C400 316.3 404.3 312 409.6 312H450.1C457.8 312 464 318.2 464 325.9C464 331.1 461.1 335.8 456.6 338.3L424.6 355.1C419.3 357.9 416 363.3 416 369.2V384C416 392.8 423.2 400 432 400C440.8 400 448 392.8 448 384V378.9L471.5 366.6C486.6 358.6 496 342.1 496 325.9C496 300.6 475.4 280 450.1 280H409.6C386.6 280 368 298.6 368 321.6V328z"]],
    "file-circle-xmark": [576, 512, [], "e5a1", ["M0 64C0 28.65 28.65 0 64 0H224V160H384V198.6C310.1 219.5 256 287.4 256 368C256 427.1 285.1 479.3 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64z", "M224 160V0L384 160H224zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM491.3 331.3C497.6 325.1 497.6 314.9 491.3 308.7C485.1 302.4 474.9 302.4 468.7 308.7L432 345.4L395.3 308.7C389.1 302.4 378.9 302.4 372.7 308.7C366.4 314.9 366.4 325.1 372.7 331.3L409.4 368L372.7 404.7C366.4 410.9 366.4 421.1 372.7 427.3C378.9 433.6 389.1 433.6 395.3 427.3L432 390.6L468.7 427.3C474.9 433.6 485.1 433.6 491.3 427.3C497.6 421.1 497.6 410.9 491.3 404.7L454.6 368L491.3 331.3z"]],
    "file-code": [384, 512, [], "f1c9", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM154.1 353.8c7.812 7.812 7.812 20.5 0 28.31C150.2 386.1 145.1 388 140 388s-10.23-1.938-14.14-5.844l-48-48c-7.812-7.812-7.812-20.5 0-28.31l48-48c7.812-7.812 20.47-7.812 28.28 0s7.812 20.5 0 28.31L120.3 320L154.1 353.8zM306.1 334.2l-48 48C254.2 386.1 249.1 388 244 388s-10.23-1.938-14.14-5.844c-7.812-7.812-7.812-20.5 0-28.31L263.7 320l-33.86-33.84c-7.812-7.812-7.812-20.5 0-28.31s20.47-7.812 28.28 0l48 48C313.1 313.7 313.1 326.3 306.1 334.2z", "M256 0v128h128L256 0zM154.1 257.8c-7.812-7.812-20.47-7.812-28.28 0l-48 48c-7.812 7.812-7.812 20.5 0 28.31l48 48C129.8 386.1 134.9 388 140 388s10.23-1.938 14.14-5.844c7.812-7.812 7.812-20.5 0-28.31L120.3 320l33.86-33.84C161.1 278.3 161.1 265.7 154.1 257.8zM258.1 257.8c-7.812-7.812-20.47-7.812-28.28 0s-7.812 20.5 0 28.31L263.7 320l-33.86 33.84c-7.812 7.812-7.812 20.5 0 28.31C233.8 386.1 238.9 388 244 388s10.23-1.938 14.14-5.844l48-48c7.812-7.812 7.812-20.5 0-28.31L258.1 257.8z"]],
    "file-contract": [384, 512, [], "f56c", ["M256 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128h-128V0zM64 72C64 67.63 67.63 64 72 64h80C156.4 64 160 67.63 160 72v16C160 92.38 156.4 96 152 96h-80C67.63 96 64 92.38 64 88V72zM64 136C64 131.6 67.63 128 72 128h80C156.4 128 160 131.6 160 136v16C160 156.4 156.4 160 152 160h-80C67.63 160 64 156.4 64 152V136zM246.6 377.5c2 4 6 6.5 10.12 6.5H304c8.875 0 16 7.125 16 16S312.9 416 304 416h-47.25c-16.38 0-31.25-9.125-38.63-23.88c-2.875-5.875-8-6.5-10.12-6.5s-7.25 .625-10 6.125l-7.75 15.38C187.6 412.6 181.1 416 176 416H174.9c-6.5-.5-12-4.75-14-11L144 354.6L133.4 386.5C127.5 404.1 111 416 92.38 416H80C71.13 416 64 408.9 64 400S71.13 384 80 384h12.38c4.875 0 9.125-3.125 10.62-7.625l18.25-54.63C124.5 311.9 133.6 305.3 144 305.3s19.5 6.625 22.75 16.5l13.88 41.63C200.4 347.1 234.8 353.6 246.6 377.5z", "M256 0v128h128L256 0zM304 384h-47.25c-4.125 0-8.125-2.5-10.12-6.5c-11.88-23.88-46.25-30.38-66-14.12l-13.88-41.63C163.5 311.9 154.4 305.3 144 305.3s-19.5 6.625-22.75 16.5L103 376.4C101.5 380.9 97.25 384 92.38 384H80C71.13 384 64 391.1 64 400S71.13 416 80 416h12.38c18.62 0 35.13-11.88 41-29.5L144 354.6L160.9 405c2 6.25 7.5 10.5 14 11H176c5.999 0 11.62-3.375 14.25-8.875l7.75-15.38c2.751-5.5 7.875-6.125 10-6.125s7.25 .625 10.12 6.5C225.5 406.9 240.4 416 256.8 416H304c8.875 0 16-7.125 16-16S312.9 384 304 384z"]],
    "file-csv": [384, 512, [], "f6dd", ["M0 64C0 28.65 28.65 0 64 0H224V160H384V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64zM80 224C57.91 224 40 241.9 40 264V344C40 366.1 57.91 384 80 384H96C118.1 384 136 366.1 136 344V336C136 327.2 128.8 320 120 320C111.2 320 104 327.2 104 336V344C104 348.4 100.4 352 96 352H80C75.58 352 72 348.4 72 344V264C72 259.6 75.58 256 80 256H96C100.4 256 104 259.6 104 264V272C104 280.8 111.2 288 120 288C128.8 288 136 280.8 136 272V264C136 241.9 118.1 224 96 224H80zM175.4 310.6L200.8 325.1C205.2 327.7 208 332.5 208 337.6C208 345.6 201.6 352 193.6 352H168C159.2 352 152 359.2 152 368C152 376.8 159.2 384 168 384H193.6C219.2 384 240 363.2 240 337.6C240 320.1 231.1 305.6 216.6 297.4L191.2 282.9C186.8 280.3 184 275.5 184 270.4C184 262.4 190.4 256 198.4 256H216C224.8 256 232 248.8 232 240C232 231.2 224.8 224 216 224H198.4C172.8 224 152 244.8 152 270.4C152 287 160.9 302.4 175.4 310.6zM280 240C280 231.2 272.8 224 264 224C255.2 224 248 231.2 248 240V271.6C248 306.3 258.3 340.3 277.6 369.2L282.7 376.9C285.7 381.3 290.6 384 296 384C301.4 384 306.3 381.3 309.3 376.9L314.4 369.2C333.7 340.3 344 306.3 344 271.6V240C344 231.2 336.8 224 328 224C319.2 224 312 231.2 312 240V271.6C312 294.6 306.5 317.2 296 337.5C285.5 317.2 280 294.6 280 271.6V240z", "M224 160V0L384 160H224zM96 224C118.1 224 136 241.9 136 264V272C136 280.8 128.8 288 120 288C111.2 288 104 280.8 104 272V264C104 259.6 100.4 256 96 256H80C75.58 256 72 259.6 72 264V344C72 348.4 75.58 352 80 352H96C100.4 352 104 348.4 104 344V336C104 327.2 111.2 320 120 320C128.8 320 136 327.2 136 336V344C136 366.1 118.1 384 96 384H80C57.91 384 40 366.1 40 344V264C40 241.9 57.91 224 80 224H96zM152 270.4C152 244.8 172.8 224 198.4 224H216C224.8 224 232 231.2 232 240C232 248.8 224.8 256 216 256H198.4C190.4 256 184 262.4 184 270.4C184 275.5 186.8 280.3 191.2 282.9L216.6 297.4C231.1 305.6 240 320.1 240 337.6C240 363.2 219.2 384 193.6 384H168C159.2 384 152 376.8 152 368C152 359.2 159.2 352 168 352H193.6C201.6 352 208 345.6 208 337.6C208 332.5 205.2 327.7 200.8 325.1L175.4 310.6C160.9 302.4 152 287 152 270.4zM280 271.6C280 294.6 285.5 317.2 296 337.5C306.5 317.2 312 294.6 312 271.6V240C312 231.2 319.2 224 328 224C336.8 224 344 231.2 344 240V271.6C344 306.3 333.7 340.3 314.4 369.2L309.3 376.9C306.3 381.3 301.4 384 296 384C290.6 384 285.7 381.3 282.7 376.9L277.6 369.2C258.3 340.3 248 306.3 248 271.6V240C248 231.2 255.2 224 264 224C272.8 224 280 231.2 280 240V271.6z"]],
    "file-dashed-line": [576, 512, ["page-break"], "f877", ["M320 0V128C320 145.7 334.3 160 352 160H480V256H96V64C96 28.65 124.7 0 160 0H320zM480 448C480 483.3 451.3 512 416 512H160C124.7 512 96 483.3 96 448V368H480V448zM352 0L480 128H352V0z", "M0 312C0 298.7 10.75 288 24 288H136C149.3 288 160 298.7 160 312C160 325.3 149.3 336 136 336H24C10.75 336 0 325.3 0 312zM224 312C224 298.7 234.7 288 248 288H328C341.3 288 352 298.7 352 312C352 325.3 341.3 336 328 336H248C234.7 336 224 325.3 224 312zM416 312C416 298.7 426.7 288 440 288H552C565.3 288 576 298.7 576 312C576 325.3 565.3 336 552 336H440C426.7 336 416 325.3 416 312z"]],
    "file-excel": [384, 512, [], "f1c3", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM272.1 423.6C279.6 434.3 271.9 448 259.4 448h-26.43c-5.557 0-10.71-2.883-13.63-7.617L192 396l-27.31 44.38C161.8 445.1 156.6 448 151.1 448H124.6c-12.52 0-20.19-13.73-13.63-24.39L160 344L111 264.4C104.4 253.7 112.1 240 124.6 240h26.43c5.557 0 10.71 2.883 13.63 7.613L192 292l27.31-44.39C222.2 242.9 227.4 240 232.9 240h26.43c12.52 0 20.19 13.73 13.63 24.38L224 344L272.1 423.6z", "M259.4 240h-26.43c-5.557 0-10.71 2.883-13.63 7.613L192 292L164.7 247.6C161.8 242.9 156.6 240 151.1 240H124.6c-12.52 0-20.19 13.73-13.63 24.38L160 344l-48.99 79.61C104.4 434.3 112.1 448 124.6 448h26.43c5.557 0 10.71-2.883 13.63-7.617L192 396l27.31 44.38C222.2 445.1 227.4 448 232.9 448h26.43c12.52 0 20.19-13.73 13.63-24.39L224 344l48.99-79.62C279.6 253.7 271.9 240 259.4 240zM256 0v128h128L256 0z"]],
    "file-exclamation": [384, 512, [], "f31a", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM168 216C168 202.8 178.8 192 192 192s24 10.75 24 24v112c0 13.25-10.75 24-24 24s-24-10.75-24-24V216zM192 448c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32s32 14.33 32 32C224 433.7 209.7 448 192 448z", "M256 0v128h128L256 0zM192 352c13.25 0 24-10.75 24-24v-112C216 202.8 205.3 192 192 192S168 202.8 168 216v112C168 341.3 178.8 352 192 352zM192 383.1c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32s32-14.33 32-32C224 398.3 209.7 383.1 192 383.1z"]],
    "file-export": [576, 512, ["arrow-right-from-file"], "f56e", ["M384 336v128c0 26.51-21.49 48-48 48h-288C21.49 512 0 490.5 0 464v-416C0 21.49 21.49 0 48 0H256v128h128v160H216C202.8 288 192 298.8 192 312s10.75 24 24 24H384z", "M256 0v128h128L256 0zM568.1 295l-80-80c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L494.1 288H216C202.8 288 192 298.8 192 312s10.75 24 24 24h278.1l-39.03 39.03C450.3 379.7 448 385.8 448 392s2.344 12.28 7.031 16.97c9.375 9.375 24.56 9.375 33.94 0l80-80C578.3 319.6 578.3 304.4 568.1 295z"]],
    "file-heart": [384, 512, [], "e176", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM284.7 342.3l-82.99 85.56c-5.387 5.504-13.95 5.504-19.34 0l-82.99-85.56c-24.11-25.02-22.64-66.17 4.285-89.19c23.5-20.02 58.39-16.39 79.81 5.754l8.445 8.754l8.445-8.754c21.55-22.14 56.55-25.77 79.93-5.754C307.3 276.1 308.8 317.3 284.7 342.3z", "M256 0v128h128L256 0zM200.3 258.9l-8.445 8.754l-8.445-8.754C162 236.7 127.1 233.1 103.6 253.1c-26.93 23.02-28.39 64.17-4.285 89.19l82.99 85.56c5.387 5.504 13.95 5.504 19.34 0l82.99-85.56c24.11-25.02 22.64-66.17-4.41-89.19C256.9 233.1 221.9 236.7 200.3 258.9z"]],
    "file-image": [384, 512, [128443], "f1c5", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM96 224c17.67 0 32 14.33 32 32S113.7 288 96 288S64 273.7 64 256S78.33 224 96 224zM318.1 439.5C315.3 444.8 309.9 448 304 448h-224c-5.9 0-11.32-3.248-14.11-8.451c-2.783-5.201-2.479-11.52 .7949-16.42l53.33-80C122.1 338.7 127.1 336 133.3 336s10.35 2.674 13.31 7.125L160 363.2l45.35-68.03C208.3 290.7 213.3 288 218.7 288s10.35 2.674 13.31 7.125l85.33 128C320.6 428 320.9 434.3 318.1 439.5z", "M256 0v128h128L256 0zM231.1 295.1C229 290.7 224 288 218.7 288s-10.35 2.674-13.31 7.125L160 363.2l-13.35-20.03C143.7 338.7 138.7 336 133.3 336s-10.35 2.674-13.31 7.125l-53.33 80c-3.273 4.908-3.578 11.22-.7949 16.42C68.68 444.8 74.1 448 80 448h224c5.9 0 11.32-3.248 14.11-8.451c2.783-5.201 2.479-11.52-.7949-16.42L231.1 295.1z"]],
    "file-import": [512, 512, ["arrow-right-to-file"], "f56f", ["M512 128v336c0 26.51-21.49 48-48 48h-288C149.5 512 128 490.5 128 464v-128h174.1l-39.03 39.03C258.3 379.7 256 385.8 256 392s2.344 12.28 7.031 16.97c9.375 9.375 24.56 9.375 33.94 0l80-80c9.375-9.375 9.375-24.56 0-33.94l-80-80c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L302.1 288H128V48C128 21.49 149.5 0 176 0H384v128H512z", "M384 0v128h128L384 0zM296.1 215c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L302.1 288H24C10.75 288 0 298.8 0 312s10.75 24 24 24h278.1l-39.03 39.03C258.3 379.7 256 385.8 256 392s2.344 12.28 7.031 16.97c9.375 9.375 24.56 9.375 33.94 0l80-80c9.375-9.375 9.375-24.56 0-33.94L296.1 215z"]],
    "file-invoice": [384, 512, [], "f570", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM64 72C64 67.63 67.63 64 72 64h80C156.4 64 160 67.63 160 72v16C160 92.38 156.4 96 152 96h-80C67.63 96 64 92.38 64 88V72zM64 136C64 131.6 67.63 128 72 128h80C156.4 128 160 131.6 160 136v16C160 156.4 156.4 160 152 160h-80C67.63 160 64 156.4 64 152V136zM320 440c0 4.375-3.625 8-8 8h-80C227.6 448 224 444.4 224 440v-16c0-4.375 3.625-8 8-8h80c4.375 0 8 3.625 8 8V440zM320 336c0 8.875-7.125 16-16 16h-224C71.13 352 64 344.9 64 336v-96C64 231.1 71.13 224 80 224h224C312.9 224 320 231.1 320 240V336z", "M256 0v128h128L256 0zM304 224h-224C71.13 224 64 231.1 64 240v96C64 344.9 71.13 352 80 352h224c8.875 0 16-7.125 16-16v-96C320 231.1 312.9 224 304 224zM288 320H96V256h192V320zM312 416h-80C227.6 416 224 419.6 224 424v16c0 4.375 3.625 8 8 8h80c4.375 0 8-3.625 8-8v-16C320 419.6 316.4 416 312 416z"]],
    "file-invoice-dollar": [384, 512, [], "f571", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM64 72C64 67.63 67.63 64 72 64h80C156.4 64 160 67.63 160 72v16C160 92.38 156.4 96 152 96h-80C67.63 96 64 92.38 64 88V72zM64 152v-16C64 131.6 67.63 128 72 128h80C156.4 128 160 131.6 160 136v16C160 156.4 156.4 160 152 160h-80C67.63 160 64 156.4 64 152zM253.8 378.3c-3.623 20.91-19.47 34.64-41.83 39.43V424c0 11.03-8.953 20-20 20s-20-8.969-20-20v-6.77c-8.682-1.922-17.3-4.723-25.06-7.512l-4.266-1.5c-10.42-3.688-15.88-15.12-12.2-25.53c3.688-10.41 15.11-15.81 25.52-12.22l4.469 1.625c7.844 2.812 16.72 6 23.66 7.031c13.72 2.125 28.94 .1875 30.31-7.625c.875-5.094 1.359-7.906-27.92-16.28l-5.812-1.688c-17.33-5.094-57.92-17-50.52-59.84C133.8 272.8 149.6 258.8 172 253.1V248c0-11.03 8.953-20 20-20s20 8.969 20 20v6.633c5.453 1.195 11.34 2.789 18.56 5.273c10.44 3.625 15.95 15.03 12.33 25.47c-3.625 10.41-15.06 15.94-25.45 12.34c-5.859-2.031-12-4-17.59-4.844C186.2 290.8 170.1 292.7 169.6 300.5C168.8 304.1 168.3 308.2 191.1 315.2l5.547 1.594C219.8 323.1 261.3 335 253.8 378.3z", "M256 0v128h128L256 0zM197.5 316.8L191.1 315.2C168.3 308.2 168.8 304.1 169.6 300.5c1.375-7.812 16.59-9.719 30.27-7.625c5.594 .8438 11.73 2.812 17.59 4.844c10.39 3.594 21.83-1.938 25.45-12.34c3.625-10.44-1.891-21.84-12.33-25.47c-7.219-2.484-13.11-4.078-18.56-5.273V248c0-11.03-8.953-20-20-20s-20 8.969-20 20v5.992C149.6 258.8 133.8 272.8 130.2 293.7c-7.406 42.84 33.19 54.75 50.52 59.84l5.812 1.688c29.28 8.375 28.8 11.19 27.92 16.28c-1.375 7.812-16.59 9.75-30.31 7.625c-6.938-1.031-15.81-4.219-23.66-7.031l-4.469-1.625c-10.41-3.594-21.83 1.812-25.52 12.22c-3.672 10.41 1.781 21.84 12.2 25.53l4.266 1.5c7.758 2.789 16.38 5.59 25.06 7.512V424c0 11.03 8.953 20 20 20s20-8.969 20-20v-6.254c22.36-4.793 38.21-18.53 41.83-39.43C261.3 335 219.8 323.1 197.5 316.8z"]],
    "file-lines": [384, 512, [128462, 61686, 128441, "file-alt", "file-text"], "f15c", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM272 416h-160C103.2 416 96 408.8 96 400S103.2 384 112 384h160c8.836 0 16 7.164 16 16S280.8 416 272 416zM272 352h-160C103.2 352 96 344.8 96 336S103.2 320 112 320h160c8.836 0 16 7.164 16 16S280.8 352 272 352zM272 288h-160C103.2 288 96 280.8 96 272S103.2 256 112 256h160C280.8 256 288 263.2 288 272S280.8 288 272 288z", "M256 0v128h128L256 0zM272 384h-160C103.2 384 96 391.2 96 400S103.2 416 112 416h160c8.836 0 16-7.164 16-16S280.8 384 272 384zM272 320h-160C103.2 320 96 327.2 96 336S103.2 352 112 352h160c8.836 0 16-7.164 16-16S280.8 320 272 320zM272 256h-160C103.2 256 96 263.2 96 272S103.2 288 112 288h160C280.8 288 288 280.8 288 272S280.8 256 272 256z"]],
    "file-lock": [576, 512, [], "e3a6", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h280.9C323.4 502.5 320 491.7 320 479.1v-127.1c0-23.64 12.88-44.34 32-55.42V272c0-30.4 12.27-57.94 32-78.14V128H256z", "M543.1 320L544 272C544 227.9 508.1 192 464 192S384 227.9 384 272V320c-17.68 0-32 14.33-32 32.01v127.1C352 497.7 366.3 512 384 512h159.1C561.7 512 576 497.7 576 479.1v-127.1C576 334.3 561.7 320 543.1 320zM496 320h-64V272c0-17.64 14.34-32 32-32s32 14.36 32 32V320zM256 0v128h128L256 0z"]],
    "file-magnifying-glass": [384, 512, ["file-search"], "f865", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM312.1 440.1C308.3 445.7 302.2 448 296 448s-12.28-2.344-16.97-7.031l-48.67-48.67C214.5 402.1 195.1 408 176 408c-57.44 0-104-46.56-104-104S118.6 200 176 200s104 46.56 104 104c0 20-5.922 38.5-15.71 54.36l48.67 48.67C322.3 416.4 322.3 431.6 312.1 440.1zM176 248c-30.88 0-56 25.12-56 56c0 30.88 25.12 56 56 56c30.88 0 56-25.12 56-56C232 273.1 206.9 248 176 248z", "M256 0v128h128L256 0zM264.3 358.4C274.1 342.5 280 324 280 304c0-57.44-46.56-104-104-104S72 246.6 72 304s46.56 104 104 104c19.1 0 38.5-5.922 54.36-15.71l48.67 48.67C283.7 445.7 289.8 448 296 448s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94L264.3 358.4zM176 360c-30.88 0-56-25.12-56-56c0-30.88 25.12-56 56-56c30.88 0 56 25.12 56 56C232 334.9 206.9 360 176 360z"]],
    "file-medical": [384, 512, [], "f477", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM304 362c0 8.835-7.164 16-16 16h-54V432c0 8.836-7.164 16-16 16h-52c-8.835 0-16-7.164-16-16v-53.1H96c-8.836 0-16-7.165-16-16v-52c0-8.837 7.164-16 16-16h53.1V240c0-8.836 7.165-16 16-16h52c8.836 0 16 7.164 16 16v54H288c8.836 0 16 7.163 16 16V362z", "M288 294h-54V240c0-8.836-7.164-16-16-16h-52c-8.835 0-16 7.164-16 16v54H96c-8.836 0-16 7.163-16 16v52c0 8.835 7.164 16 16 16h53.1V432c0 8.836 7.165 16 16 16h52c8.836 0 16-7.164 16-16v-53.1H288c8.836 0 16-7.165 16-16v-52C304 301.2 296.8 294 288 294zM256 0v128h128L256 0z"]],
    "file-minus": [384, 512, [], "f318", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM272 359.1H111.1C98.73 359.1 88 349.3 88 336c0-13.26 10.74-23.1 23.1-23.1H272c13.26 0 24 10.74 24 23.1S285.3 359.1 272 359.1z", "M256 0v128h128L256 0zM272 312H111.1C98.74 312 88 322.7 88 336c0 13.26 10.73 23.1 23.1 23.1H272c13.26 0 24-10.74 24-23.1S285.3 312 272 312z"]],
    "file-music": [384, 512, [], "f8b6", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM288 384c0 17.62-21.5 32-48 32S192 401.6 192 384s21.5-32 48-32c5.375 0 10.75 .7498 16 2V277.6l-96 37.5V416c0 17.62-21.5 32-48 32S64 433.6 64 416s21.5-32 48-32c5.375 0 10.75 .7498 16 2V271.3C128 264.3 132.5 258.1 139.3 256l128-47.25C272 207.3 277.4 208.1 281.5 211.1S288 218.9 288 224V384z", "M256 0v128h128L256 0zM267.3 208.8L139.3 256C132.5 258.1 128 264.3 128 271.3v114.8C122.8 384.8 117.4 384 112 384C85.5 384 64 398.4 64 416s21.5 32 48 32S160 433.6 160 416V315.1l96-37.5v76.38C250.8 352.8 245.4 352 240 352c-26.5 0-48 14.38-48 32s21.5 32 48 32s48-14.38 48-32V224c0-5.125-2.375-9.875-6.5-12.88S272 207.3 267.3 208.8z"]],
    "file-pdf": [384, 512, [], "f1c1", ["M88 304H80V256H88C101.3 256 112 266.7 112 280C112 293.3 101.3 304 88 304zM192 256H200C208.8 256 216 263.2 216 272V336C216 344.8 208.8 352 200 352H192V256zM0 64C0 28.65 28.65 0 64 0H224V160H384V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64zM64 224C55.16 224 48 231.2 48 240V368C48 376.8 55.16 384 64 384C72.84 384 80 376.8 80 368V336H88C118.9 336 144 310.9 144 280C144 249.1 118.9 224 88 224H64zM160 368C160 376.8 167.2 384 176 384H200C226.5 384 248 362.5 248 336V272C248 245.5 226.5 224 200 224H176C167.2 224 160 231.2 160 240V368zM288 224C279.2 224 272 231.2 272 240V368C272 376.8 279.2 384 288 384C296.8 384 304 376.8 304 368V320H336C344.8 320 352 312.8 352 304C352 295.2 344.8 288 336 288H304V256H336C344.8 256 352 248.8 352 240C352 231.2 344.8 224 336 224H288z", "M224 160V0L384 160H224zM88 224C118.9 224 144 249.1 144 280C144 310.9 118.9 336 88 336H80V368C80 376.8 72.84 384 64 384C55.16 384 48 376.8 48 368V240C48 231.2 55.16 224 64 224H88zM112 280C112 266.7 101.3 256 88 256H80V304H88C101.3 304 112 293.3 112 280zM160 240C160 231.2 167.2 224 176 224H200C226.5 224 248 245.5 248 272V336C248 362.5 226.5 384 200 384H176C167.2 384 160 376.8 160 368V240zM192 352H200C208.8 352 216 344.8 216 336V272C216 263.2 208.8 256 200 256H192V352zM336 224C344.8 224 352 231.2 352 240C352 248.8 344.8 256 336 256H304V288H336C344.8 288 352 295.2 352 304C352 312.8 344.8 320 336 320H304V368C304 376.8 296.8 384 288 384C279.2 384 272 376.8 272 368V240C272 231.2 279.2 224 288 224H336z"]],
    "file-pen": [576, 512, [128221, "file-edit"], "f31c", ["M0 64C0 28.65 28.65 0 64 0H224V160H384V299.5L289.3 394.3C281.1 402.5 275.3 412.7 272.5 423.1L257.4 484.1C255.1 493.5 255.7 503.2 258.8 512H64C28.65 512 0 483.3 0 448V64z", "M224 160V0L384 160H224zM564.3 250.1C579.9 265.7 579.9 291.1 564.3 306.7L534.8 336.1L463.9 265.2L493.3 235.7C508.9 220.1 534.2 220.1 549.9 235.7L564.3 250.1zM311.9 417.1L441.2 287.8L512.2 358.8L382.9 488.1C378.8 492.2 373.7 495.1 368.1 496.5L307.9 511.5C302.4 512.9 296.7 511.3 292.7 507.3C288.7 503.3 287.1 497.6 288.5 492.1L303.5 431.9C304.9 426.3 307.8 421.2 311.9 417.1V417.1z"]],
    "file-plus": [384, 512, [], "f319", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM272 359.1h-56v56C215.1 429.3 205.3 440 192 440c-13.27 0-24-10.74-24-23.1V359.1H111.1C98.73 359.1 88 349.3 88 336c0-13.26 10.74-23.1 23.1-23.1H168V255.1C168 242.7 178.7 232 192 232s23.1 10.74 23.1 23.1V312H272c13.26 0 24 10.74 24 23.1S285.3 359.1 272 359.1z", "M256 0v128h128L256 0zM272 312h-56V255.1C215.1 242.7 205.3 232 192 232S168 242.7 168 255.1V312H111.1C98.74 312 88 322.7 88 336c0 13.26 10.73 23.1 23.1 23.1H168v56C168 429.3 178.7 440 192 440c13.26 0 23.1-10.74 23.1-23.1V359.1H272c13.26 0 24-10.74 24-23.1S285.3 312 272 312z"]],
    "file-plus-minus": [384, 512, [], "e177", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM256 432H128c-8.844 0-16-7.156-16-16s7.156-16 16-16h128c8.844 0 16 7.156 16 16S264.8 432 256 432zM256 288h-48v48c0 8.844-7.156 16-16 16s-16-7.156-16-16V288H128C119.2 288 112 280.8 112 272S119.2 256 128 256h48V208C176 199.2 183.2 192 192 192s16 7.156 16 16V256H256c8.844 0 16 7.156 16 16S264.8 288 256 288z", "M256 0v128h128L256 0zM256 400H128c-8.844 0-16 7.156-16 16s7.156 16 16 16h128c8.844 0 16-7.156 16-16S264.8 400 256 400zM256 256h-48V208C208 199.2 200.8 192 192 192S176 199.2 176 208V256H128C119.2 256 112 263.2 112 272S119.2 288 128 288h48v48c0 8.844 7.156 16 16 16s16-7.156 16-16V288H256c8.844 0 16-7.156 16-16S264.8 256 256 256z"]],
    "file-powerpoint": [384, 512, [], "f1c4", ["M204 288H160v56h44c15.44 0 28-12.56 28-28S219.4 288 204 288zM256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM204 392H160v40C160 440.8 152.8 448 144 448H128c-8.836 0-16-7.164-16-16V256c0-8.836 7.164-16 16-16h71.51c39.75 0 76.05 28.52 80.08 68.05C284.2 353.5 248.5 392 204 392z", "M199.5 240H128C119.2 240 112 247.2 112 256v176C112 440.8 119.2 448 128 448h16C152.8 448 160 440.8 160 432v-40h44c44.53 0 80.23-38.49 75.59-83.95C275.6 268.5 239.3 240 199.5 240zM204 344H160V288h44c15.44 0 28 12.56 28 28S219.4 344 204 344zM256 0v128h128L256 0z"]],
    "file-prescription": [384, 512, [], "f572", ["M176 240H128v32h48C184.9 272 192 264.9 192 256S184.9 240 176 240zM256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM304 432l-11.25 11.38c-6.25 6.25-16.5 6.25-22.75 0L240 413.3l-30 30c-6.25 6.25-16.48 6.266-22.73 .0156L176 432c-6.25-6.25-6.25-16.38 0-22.62l29.1-30.12L146.8 320H128l.0078 48.01c0 8.875-7.125 16-16 16L96 384c-8.875 0-16-7.125-16-16v-160C80 199.1 87.13 192 96 192h80c35.38 0 64 28.62 64 64c0 24.25-13.62 45-33.5 55.88L240 345.4l29.88-29.88c6.25-6.25 16.38-6.25 22.62 0l11.38 11.25c6.25 6.25 6.25 16.38 0 22.62l-29.88 30L304 409.4C310.3 415.6 310.3 425.8 304 432z", "M256 0v128h128L256 0zM273.1 379.4l29.88-30c6.25-6.25 6.25-16.38 0-22.62L292.5 315.5c-6.25-6.25-16.38-6.25-22.62 0L240 345.4l-33.5-33.5C226.4 301 240 280.3 240 256c0-35.38-28.62-64-64-64H96C87.13 192 80 199.1 80 208v160C80 376.9 87.13 384 96 384l16.01 .0078c8.875 0 16-7.125 16-16L128 320h18.75l59.25 59.25L176 409.4C169.8 415.6 169.8 425.8 176 432l11.27 11.27c6.25 6.25 16.48 6.234 22.73-.0156L240 413.3l29.1 30.12c6.25 6.25 16.5 6.25 22.75 0L304 432c6.25-6.25 6.25-16.38 0-22.62L273.1 379.4zM176 272H128v-32h48C184.9 240 192 247.1 192 256S184.9 272 176 272z"]],
    "file-shield": [576, 512, [], "e4f0", ["M0 64C0 28.65 28.65 0 64 0H224V160H384V207L291.2 244.2C269.9 252.7 256 273.3 256 296.2C256 352.7 274.9 444.2 350.2 504.4C341.2 509.3 330.9 512 320 512H64C28.65 512 0 483.3 0 448V64z", "M224 160V0L384 160H224zM423.1 225.7C428.8 223.4 435.2 223.4 440.9 225.7L560.9 273.7C570 277.4 576 286.2 576 296C576 359.3 550.1 464.8 441.2 510.2C435.3 512.6 428.7 512.6 422.8 510.2C313.9 464.8 288 359.3 288 296C288 286.2 293.1 277.4 303.1 273.7L423.1 225.7zM432 273.8V461.7C500.2 428.7 523.5 362.7 527.4 311.1L432 273.8z"]],
    "file-signature": [576, 512, [], "f573", ["M256 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48v-75.19l-22.31 22.46C358.7 414.3 354.6 416 350.3 416L256 415.9c-16.07-.2852-30.55-9.284-37.81-23.8C215.3 386.3 210.1 385.6 208 385.6s-7.25 .625-10 6.125l-7.749 15.38C187.6 412.6 181.1 416 176 416H174.9c-6.5-.5-12.06-4.75-14.06-11L144 354.6L133.4 386.5C127.5 404.1 110.1 416 92.4 416H80C71.13 416 64 408.9 64 400S71.13 384 80 384h12.38c4.875 0 9.125-3.125 10.62-7.625l18.25-54.63C124.5 311.9 133.6 305.3 144 305.3s19.5 6.625 22.75 16.5l13.88 41.63c19.75-16.25 54.13-9.75 66 14.12C248.5 381.2 252.2 383.5 256 383.8l32 .181v-30.28c0-4.262 1.701-8.348 4.727-11.36L384 251.7V128H256V0zM568.5 167.4L536.6 135.5c-9.875-10-26-10-36 0l-27.25 27.25l67.88 67.88l27.25-27.25C578.5 193.4 578.5 177.3 568.5 167.4z", "M473.4 162.8l-180.6 179.6C289.7 345.3 288 349.4 288 353.7V416h62.34c4.264 0 8.35-1.703 11.35-4.727l179.6-180.6L473.4 162.8zM256 0v128h128L256 0z"]],
    "file-slash": [640, 512, [], "e3a7", ["M352 127.1L352 0H176C149.5 0 128 21.49 128 48l.002 27.01l383.1 300.1L512 160l-127.1-.0007C366.3 159.1 352 145.7 352 127.1zM384 0v128h128L384 0zM128 464C128 490.5 149.5 512 176 512h288c16.36 0 30.78-8.221 39.44-20.72L128 197L128 464z", "M639.1 487.1c0-7.119-3.153-14.16-9.191-18.89L38.82 5.11C34.41 1.672 29.19 0 24.04 0c-13.85 0-24.04 11.3-24.04 23.1c0 7.119 3.153 14.16 9.192 18.89l591.1 463.1C605.6 510.3 610.8 512 615.1 512C629.8 512 639.1 500.6 639.1 487.1z"]],
    "file-spreadsheet": [384, 512, [], "f65b", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM328 432c0 8.875-7.125 16-16 16h-240c-8.875 0-16-7.125-16-16v-192c0-8.875 7.125-16 16-16h240c8.875 0 16 7.125 16 16V432z", "M256 0v128h128L256 0zM312 224h-240c-8.875 0-16 7.125-16 16v192c0 8.875 7.125 16 16 16h240c8.875 0 16-7.125 16-16v-192C328 231.1 320.9 224 312 224zM136 416h-48v-48h48V416zM136 336h-48V288h48V336zM216 416h-48v-48h48V416zM216 336h-48V288h48V336zM296 416h-48v-48h48V416zM296 336h-48V288h48V336z"]],
    "file-user": [384, 512, [], "f65c", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM192 192c35.35 0 64 28.66 64 64s-28.65 64-64 64c-35.34 0-64-28.66-64-64S156.7 192 192 192zM288 448H96c-8.836 0-16-7.164-16-16C80 387.8 115.8 352 160 352h64c44.18 0 80 35.81 80 80C304 440.8 296.8 448 288 448z", "M256 0v128h128L256 0zM192 320c35.35 0 64-28.66 64-64s-28.65-64-64-64C156.7 192 128 220.7 128 256S156.7 320 192 320zM224 352H160c-44.18 0-80 35.81-80 80C80 440.8 87.16 448 96 448h192c8.836 0 16-7.164 16-16C304 387.8 268.2 352 224 352z"]],
    "file-video": [384, 512, [], "f1c8", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM224 384c0 17.67-14.33 32-32 32H96c-17.67 0-32-14.33-32-32V288c0-17.67 14.33-32 32-32h96c17.67 0 32 14.33 32 32V384zM320 387.1c0 12.57-13.82 20.23-24.48 13.57L256 376v-80l39.52-24.7C306.2 264.6 320 272.3 320 284.9V387.1z", "M256 0v128h128L256 0zM192 256H96C78.33 256 64 270.3 64 288v96c0 17.67 14.33 32 32 32h96c17.67 0 32-14.33 32-32V288C224 270.3 209.7 256 192 256zM295.5 271.3L256 296v80l39.52 24.7C306.2 407.4 320 399.7 320 387.1V284.9C320 272.3 306.2 264.6 295.5 271.3z"]],
    "file-waveform": [448, 512, ["file-medical-alt"], "f478", ["M448 128v336c0 26.51-21.49 48-48 48h-288C85.49 512 64 490.5 64 464v-160h65.16l41.38 82.72C174.6 394.9 182.9 400 192 400c.3125 0 .6562 0 1-.0313c9.438-.375 17.78-6.281 21.28-15.06l44.16-110.4l8.094 16.19C270.6 298.9 278.9 304 288 304h64c8.836 0 16-7.164 16-16V272C368 263.2 360.8 256 352 256h-49.16l-25.38-50.72c-4.219-8.438-12.16-13.72-22.47-13.25c-9.438 .375-17.78 6.281-21.28 15.06L189.6 317.5L165.5 269.3C161.4 261.1 153.1 256 143.1 256H64V48C64 21.49 85.49 0 112 0H320v128H448z", "M320 0v128h128L320 0zM352 256h-49.16l-25.38-50.72c-4.219-8.438-12.16-13.72-22.47-13.25c-9.438 .375-17.78 6.281-21.28 15.06L189.6 317.5L165.5 269.3C161.4 261.1 153.1 256 143.1 256H16C7.164 256 0 263.2 0 272V288c0 8.836 7.164 16 16 16h113.2l41.38 82.72C174.6 394.9 182.9 400 192 400c.3125 0 .6562 0 1-.0313c9.438-.375 17.78-6.281 21.28-15.06l44.16-110.4l8.094 16.19C270.6 298.9 278.9 304 288 304h64c8.836 0 16-7.164 16-16V272C368 263.2 360.8 256 352 256z"]],
    "file-word": [384, 512, [], "f1c2", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM274.1 438.7C272.9 444.1 268 448 262.5 448h-29.26c-5.426 0-10.18-3.641-11.59-8.883L192 329.1l-29.61 109.1C160.1 444.4 156.2 448 150.8 448H121.5c-5.588 0-10.44-3.859-11.69-9.305l-42.46-184C65.66 247.2 71.37 240 79.08 240h23.37c5.588 0 10.44 3.859 11.69 9.301L137.8 352L165.6 248.9C167 243.6 171.8 240 177.2 240h29.61c5.426 0 10.18 3.641 11.59 8.883L246.2 352l23.7-102.7C271.1 243.9 275.1 240 281.5 240h23.37c7.717 0 13.43 7.18 11.69 14.7L274.1 438.7z", "M256 0v128h128L256 0zM304.9 240h-23.37c-5.588 0-10.44 3.859-11.69 9.301L246.2 352L218.4 248.9C216.1 243.6 212.2 240 206.8 240H177.2c-5.426 0-10.18 3.641-11.59 8.883L137.8 352L114.1 249.3C112.9 243.9 108 240 102.5 240H79.08c-7.717 0-13.43 7.18-11.69 14.7l42.46 184C111.1 444.1 115.1 448 121.5 448h29.26c5.428 0 10.18-3.641 11.59-8.883L192 329.1l29.61 109.1C223 444.4 227.8 448 233.2 448h29.26c5.588 0 10.44-3.859 11.69-9.305l42.46-184C318.3 247.2 312.6 240 304.9 240z"]],
    "file-xmark": [384, 512, ["file-times"], "f317", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM272.1 367c9.375 9.375 9.375 24.56 0 33.94c-9.383 9.379-24.56 9.371-33.94 0L192 353.9l-47.03 47.03c-9.383 9.379-24.56 9.371-33.94 0c-9.375-9.375-9.375-24.56 0-33.94L158.1 320L111 272.1c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0L192 286.1l47.03-47.03c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94L225.9 320L272.1 367z", "M256 0v128h128L256 0zM272.1 239c-9.375-9.375-24.56-9.375-33.94 0L192 286.1L144.1 239c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L158.1 320l-47.03 47.03c-9.375 9.375-9.375 24.56 0 33.94c9.375 9.371 24.55 9.379 33.94 0L192 353.9l47.03 47.03c9.375 9.371 24.55 9.379 33.94 0c9.375-9.375 9.375-24.56 0-33.94L225.9 320l47.03-47.03C282.3 263.6 282.3 248.4 272.1 239z"]],
    "file-zipper": [384, 512, ["file-archive"], "f1c6", ["M256 128V0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V128H256zM96 32h64v32H96V32zM96 96h64v32H96V96zM96 160h64v32H96V160zM128.3 415.1c-40.56 0-70.76-36.45-62.83-75.45L96 224h64l30.94 116.9C198.7 379.7 168.5 415.1 128.3 415.1z", "M160 32H96v32h64V32zM160 160H96v32h64V160zM160 96H96v32h64V96zM256 0v128h128L256 0zM160 224H96l-30.56 116.5c-7.93 39 22.26 75.45 62.83 75.45c40.26 0 70.45-36.3 62.68-75.15L160 224zM144 368h-32C103.2 368 96 360.8 96 352s7.164-16 16-16h32C152.8 336 160 343.2 160 352S152.8 368 144 368z"]],
    "files": [448, 512, [], "e178", ["M96 368v-320C96 21.49 117.5 0 144 0H352v96h96v272c0 26.51-21.49 48-48 48h-256C117.5 416 96 394.5 96 368z", "M352 0v96h96L352 0zM328 512h-208C53.83 512 0 458.2 0 392v-272C0 106.8 10.75 96 24 96S48 106.8 48 120v272c0 39.7 32.3 72 72 72h208c13.25 0 24 10.75 24 24S341.3 512 328 512z"]],
    "files-medical": [448, 512, [], "f7fd", ["M352 96V0H144C117.5 0 96 21.49 96 48v320C96 394.5 117.5 416 144 416h256c26.51 0 48-21.49 48-48V96H352zM368 274.3C368 281.9 361.9 288 354.3 288H304v50.29C304 345.9 297.9 352 290.3 352h-36.57C246.1 352 240 345.9 240 338.3V288H189.7C182.1 288 176 281.9 176 274.3V237.7C176 230.1 182.1 224 189.7 224H240V173.7C240 166.1 246.1 160 253.7 160h36.57C297.9 160 304 166.1 304 173.7V224h50.29C361.9 224 368 230.1 368 237.7V274.3z", "M352 0v96h96L352 0zM354.3 224H304V173.7C304 166.1 297.9 160 290.3 160h-36.57C246.1 160 240 166.1 240 173.7V224H189.7C182.1 224 176 230.1 176 237.7v36.57C176 281.9 182.1 288 189.7 288H240v50.29C240 345.9 246.1 352 253.7 352h36.57C297.9 352 304 345.9 304 338.3V288h50.29C361.9 288 368 281.9 368 274.3V237.7C368 230.1 361.9 224 354.3 224zM328 512h-208C53.83 512 0 458.2 0 392v-272C0 106.8 10.75 96 24 96S48 106.8 48 120v272c0 39.7 32.3 72 72 72h208c13.25 0 24 10.75 24 24S341.3 512 328 512z"]],
    "fill": [512, 512, [], "f575", ["M238.6 436.1C226.1 448.6 205.9 448.6 193.4 436.1L75.88 318.6C67.58 310.3 64.79 298.6 67.52 288H386.7L238.6 436.1z", "M168 90.74L221.1 37.66C249.2 9.539 294.8 9.539 322.9 37.66L474.3 189.1C502.5 217.2 502.5 262.8 474.3 290.9L283.9 481.4C246.4 518.9 185.6 518.9 148.1 481.4L30.63 363.9C-6.863 326.4-6.863 265.6 30.63 228.1L122.7 135.1L41.37 54.63C28.88 42.13 28.88 21.87 41.37 9.372C53.87-3.124 74.13-3.124 86.63 9.372L168 90.74zM75.88 273.4C63.39 285.9 63.39 306.1 75.88 318.6L193.4 436.1C205.9 448.6 226.1 448.6 238.6 436.1L429.1 245.7C432.2 242.5 432.2 237.5 429.1 234.3L277.7 82.91C274.5 79.79 269.5 79.79 266.3 82.91L213.3 135.1L262.6 185.4C275.1 197.9 275.1 218.1 262.6 230.6C250.1 243.1 229.9 243.1 217.4 230.6L168 181.3L75.88 273.4z"]],
    "fill-drip": [576, 512, [], "f576", ["M67.52 288H386.7L238.6 436.1C226.1 448.6 205.9 448.6 193.4 436.1L75.88 318.6C67.58 310.3 64.79 298.6 67.52 288H67.52zM448 448C448 422.8 480.6 368.4 499.2 339.3C505.3 329.9 518.7 329.9 524.8 339.3C543.4 368.4 576 422.8 576 448C576 483.3 547.3 512 512 512C476.7 512 448 483.3 448 448H448z", "M168 90.74L221.1 37.66C249.2 9.539 294.8 9.539 322.9 37.66L474.3 189.1C502.5 217.2 502.5 262.8 474.3 290.9L283.9 481.4C246.4 518.9 185.6 518.9 148.1 481.4L30.63 363.9C-6.863 326.4-6.863 265.6 30.63 228.1L122.7 135.1L41.37 54.63C28.88 42.13 28.88 21.87 41.37 9.372C53.87-3.124 74.13-3.124 86.63 9.372L168 90.74zM75.88 273.4C63.39 285.9 63.39 306.1 75.88 318.6L193.4 436.1C205.9 448.6 226.1 448.6 238.6 436.1L429.1 245.7C432.2 242.5 432.2 237.5 429.1 234.3L277.7 82.91C274.5 79.79 269.5 79.79 266.3 82.91L213.3 135.1L262.6 185.4C275.1 197.9 275.1 218.1 262.6 230.6C250.1 243.1 229.9 243.1 217.4 230.6L168 181.3L75.88 273.4z"]],
    "film": [512, 512, [127902], "f008", ["M335.1 288H175.1c-8.836 0-16 7.164-16 16v96c0 8.836 7.164 16 16 16h160c8.836 0 16-7.164 16-16v-96C351.1 295.2 344.8 288 335.1 288zM335.1 96H175.1c-8.836 0-16 7.164-16 16v96c0 8.836 7.164 16 16 16h160c8.836 0 16-7.164 16-16v-96C351.1 103.2 344.8 96 335.1 96z", "M463.1 32h-416C21.49 32-.0001 53.49-.0001 80v352c0 26.51 21.49 48 47.1 48h416c26.51 0 48-21.49 48-48v-352C511.1 53.49 490.5 32 463.1 32zM111.1 408c0 4.418-3.582 8-8 8H55.1c-4.418 0-8-3.582-8-8v-48c0-4.418 3.582-8 8-8h47.1c4.418 0 8 3.582 8 8L111.1 408zM111.1 280c0 4.418-3.582 8-8 8H55.1c-4.418 0-8-3.582-8-8v-48c0-4.418 3.582-8 8-8h47.1c4.418 0 8 3.582 8 8V280zM111.1 152c0 4.418-3.582 8-8 8H55.1c-4.418 0-8-3.582-8-8v-48c0-4.418 3.582-8 8-8h47.1c4.418 0 8 3.582 8 8L111.1 152zM351.1 400c0 8.836-7.164 16-16 16H175.1c-8.836 0-16-7.164-16-16v-96c0-8.836 7.164-16 16-16h160c8.836 0 16 7.164 16 16V400zM351.1 208c0 8.836-7.164 16-16 16H175.1c-8.836 0-16-7.164-16-16v-96c0-8.836 7.164-16 16-16h160c8.836 0 16 7.164 16 16V208zM463.1 408c0 4.418-3.582 8-8 8h-47.1c-4.418 0-7.1-3.582-7.1-8l0-48c0-4.418 3.582-8 8-8h47.1c4.418 0 8 3.582 8 8V408zM463.1 280c0 4.418-3.582 8-8 8h-47.1c-4.418 0-8-3.582-8-8v-48c0-4.418 3.582-8 8-8h47.1c4.418 0 8 3.582 8 8V280zM463.1 152c0 4.418-3.582 8-8 8h-47.1c-4.418 0-8-3.582-8-8l0-48c0-4.418 3.582-8 7.1-8h47.1c4.418 0 8 3.582 8 8V152z"]],
    "film-canister": [576, 512, ["film-cannister"], "f8b7", ["M320 448H32V96h288V448z", "M544 128h-224v288h160c17.62 0 32-14.38 32-32v-32c0-17.62 14.38-32 32-32s32-14.38 32-32V160C576 142.4 561.6 128 544 128zM440 360c0 8.875-7.125 16-16 16h-16c-8.875 0-16-7.125-16-16v-16c0-8.875 7.125-16 16-16h16c8.875 0 16 7.125 16 16V360zM440 200c0 8.875-7.125 16-16 16h-16c-8.875 0-16-7.125-16-16v-16c0-8.875 7.125-16 16-16h16c8.875 0 16 7.125 16 16V200zM536 200c0 8.875-7.125 16-16 16h-16c-8.875 0-16-7.125-16-16v-16c0-8.875 7.125-16 16-16h16c8.875 0 16 7.125 16 16V200zM16 96h320C344.9 96 352 88.88 352 80v-32C352 39.13 344.9 32 336 32H256V16C256 7.125 248.9 0 240 0h-128C103.1 0 96 7.125 96 16V32H16C7.125 32 0 39.13 0 48v32C0 88.88 7.125 96 16 96zM336 448h-320C7.125 448 0 455.1 0 464v32C0 504.9 7.125 512 16 512h320c8.875 0 16-7.125 16-16v-32C352 455.1 344.9 448 336 448z"]],
    "film-simple": [512, 512, ["film-alt"], "f3a0", ["M352 480H160V32h192V480z", "M464 32v56C464 92.42 460.4 96 456 96h-48c-4.418 0-8-3.582-8-8V32H352v448h48v-56c0-4.418 3.582-8 8-8h48c4.418 0 8 3.582 8 8V480c26.51 0 48-21.49 48-48v-352C512 53.49 490.5 32 464 32zM464 344c0 4.418-3.582 8-8 8h-48c-4.418 0-8-3.582-8-8v-48C400 291.6 403.6 288 408 288h48c4.418 0 8 3.582 8 8V344zM464 216C464 220.4 460.4 224 456 224h-48c-4.418 0-8-3.582-8-8v-48C400 163.6 403.6 160 408 160h48c4.418 0 8 3.582 8 8V216zM112 32v56C112 92.42 108.4 96 104 96h-48C51.58 96 48 92.42 48 88V32C21.49 32 0 53.49 0 80v352C0 458.5 21.49 480 48 480v-56C48 419.6 51.58 416 56 416h48c4.418 0 8 3.582 8 8V480H160V32H112zM112 344C112 348.4 108.4 352 104 352h-48c-4.418 0-8-3.582-8-8v-48C48 291.6 51.58 288 56 288h48C108.4 288 112 291.6 112 296V344zM112 216C112 220.4 108.4 224 104 224h-48C51.58 224 48 220.4 48 216v-48C48 163.6 51.58 160 56 160h48C108.4 160 112 163.6 112 168V216z"]],
    "film-slash": [640, 512, [], "e179", ["M400 416h-160C231.2 416 224 408.8 224 400v-96C224 295.2 231.2 288 240 288h4.082L176 234.6V280C176 284.4 172.4 288 168 288h-48C115.6 288 112 284.4 112 280v-48C112 227.6 115.6 224 120 224h42.43L64 146.9V432C64 458.5 85.49 480 112 480h377l-83.17-65.19C404.1 415.5 402.1 416 400 416zM176 408C176 412.4 172.4 416 168 416h-48c-4.418 0-8-3.582-8-8v-48C112 355.6 115.6 352 120 352h48c4.418 0 8 3.582 8 8V408zM528 32h-416C101.7 32 92.21 35.31 84.39 40.84L224 150.3V112C224 103.2 231.2 96 240 96h160C408.8 96 416 103.2 416 112v96C416 216.8 408.8 224 400 224H318.1l163.3 128H520c4.418 0 8 3.582 8 8v28.53l48 37.62V80C576 53.49 554.5 32 528 32zM528 280C528 284.4 524.4 288 520 288h-48c-4.418 0-8-3.582-8-8v-48C464 227.6 467.6 224 472 224h48c4.418 0 8 3.582 8 8V280zM528 152C528 156.4 524.4 160 520 160h-48c-4.418 0-8-3.582-8-8v-48C464 99.58 467.6 96 472 96h48c4.418 0 8 3.582 8 8V152z", "M630.8 469.1L38.81 5.113C28.34-3.058 13.31-1.246 5.109 9.192c-8.172 10.44-6.344 25.53 4.078 33.7L601.2 506.9C605.6 510.3 610.8 512 615.1 512c7.125 0 14.17-3.156 18.91-9.188C643.1 492.4 641.2 477.3 630.8 469.1z"]],
    "films": [576, 512, [], "e17a", ["M528 32h-384C117.5 32 96 53.49 96 80v256C96 362.5 117.5 384 144 384h384c26.51 0 48-21.49 48-48v-256C576 53.49 554.5 32 528 32zM200 327C200 331.1 195.1 336 191 336h-30C156 336 152 331.1 152 327v-30C152 292 156 288 161 288h30C195.1 288 200 292 200 297V327zM200 223C200 227.1 195.1 232 191 232h-30C156 232 152 227.1 152 223v-30C152 188 156 184 161 184h30C195.1 184 200 188 200 193V223zM200 119C200 123.1 195.1 128 191 128h-30C156 128 152 123.1 152 119v-30C152 84.03 156 80 161 80h30C195.1 80 200 84.03 200 89V119zM416 320c0 8.836-7.164 16-16 16h-128C263.2 336 256 328.8 256 320V240C256 231.2 263.2 224 272 224h128C408.8 224 416 231.2 416 240V320zM416 176C416 184.8 408.8 192 400 192h-128C263.2 192 256 184.8 256 176V96c0-8.838 7.164-16 16-16h128C408.8 80 416 87.16 416 96V176zM520 327c0 4.969-4.031 9-9 9h-30c-4.969 0-9-4.031-9-9v-30C472 292 476 288 481 288h30C515.1 288 520 292 520 297V327zM520 223c0 4.969-4.031 9-9 9h-30C476 232 472 227.1 472 223v-30c0-4.969 4.031-9 9-9h30c4.969 0 9 4.031 9 9V223zM520 119C520 123.1 515.1 128 511 128h-30C476 128 472 123.1 472 119v-30C472 84.03 476 80 481 80h30C515.1 80 520 84.03 520 89V119z", "M272 336h128c8.836 0 16-7.164 16-16V240C416 231.2 408.8 224 400 224h-128C263.2 224 256 231.2 256 240V320C256 328.8 263.2 336 272 336zM272 192h128C408.8 192 416 184.8 416 176V96c0-8.838-7.164-16-16-16h-128C263.2 80 256 87.16 256 96v80C256 184.8 263.2 192 272 192zM456 480H120C53.83 480 0 426.2 0 360v-240C0 106.8 10.75 96 24 96S48 106.8 48 120v240c0 39.7 32.3 72 72 72h336c13.25 0 24 10.75 24 24S469.3 480 456 480z"]],
    "filter": [512, 512, [], "f0b0", ["M3.853 54.87C10.47 40.9 24.54 32 40 32H472C487.5 32 501.5 40.9 508.1 54.87C514.8 68.84 512.7 85.37 502.1 97.33L320 320.9V448C320 460.1 313.2 471.2 302.3 476.6C291.5 482 278.5 480.9 268.8 473.6L204.8 425.6C196.7 419.6 192 410.1 192 400V320.9L9.042 97.33C-.745 85.37-2.765 68.84 3.854 54.87L3.853 54.87z", ""]],
    "filter-circle-dollar": [576, 512, ["funnel-dollar"], "f662", ["M472 0C487.5 0 501.5 8.904 508.1 22.87C514.8 36.84 512.7 53.37 502.1 65.33L396.4 195.6C316.2 212.1 255.1 283 255.1 368C255.1 395.4 262.3 421.4 273.5 444.5C271.8 443.7 270.3 442.7 268.8 441.6L204.8 393.6C196.7 387.6 192 378.1 192 368V288.9L9.042 65.33C-.745 53.37-2.765 36.84 3.854 22.87C10.47 8.904 24.54 0 40 0L472 0z", "M288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM408.1 338.1C407.9 337 408.4 336.1 408.8 335.4C409.4 334.5 410.6 333.3 413 331.1C418.1 329.3 425.6 327.9 431.8 328C439.1 328.1 448.9 329.8 458.1 332.1C466.7 334.2 475.4 328.1 477.5 320.4C479.7 311.8 474.4 303.2 465.9 301C460.3 299.6 454.3 298.3 448 297.4V288C448 279.2 440.8 272 432 272C423.2 272 416 279.2 416 288V297.5C409.9 298.7 403.7 300.7 397.1 303.8C386.1 310.1 374.9 322.2 376.1 341C377.1 357 387.8 366.4 397.7 371.7C406.6 376.4 417.5 379.5 426.3 381.1L428.1 382.5C438.3 385.4 445.1 387.7 451.2 390.8C455.8 393.5 455.1 395.1 455.1 396.5C456.1 398.9 455.5 400.2 454.1 401C454.3 401.1 453.2 403.2 450.1 404.4C446.3 406.9 439.2 408.2 432.5 407.1C422.1 407.7 414 404.8 402.6 401.2C400.7 400.6 398.8 400 396.8 399.4C388.3 396.8 379.3 401.5 376.7 409.9C374.1 418.3 378.8 427.3 387.2 429.9C388.9 430.4 390.5 430.1 392.3 431.5C399.3 433.8 407.4 436.4 416 438.1V449.5C416 458.4 423.2 465.5 432 465.5C440.8 465.5 448 458.4 448 449.5V438.7C454.2 437.6 460.5 435.6 466.3 432.5C478.3 425.9 488.5 413.8 487.1 395.5C487.5 379.4 477.7 369.3 467.5 363.3C458.1 357.7 446.2 354.4 436.9 351.7L436.8 351.7C426.3 348.7 418.5 346.5 412.9 343.5C408.1 340.9 408.1 339.5 408.1 339.1L408.1 338.1z"]],
    "filter-circle-xmark": [576, 512, [], "e17b", ["M472 0C487.5 0 501.5 8.904 508.1 22.87C514.8 36.84 512.7 53.37 502.1 65.33L396.4 195.6C316.2 212.1 255.1 283 255.1 368C255.1 395.4 262.3 421.4 273.5 444.5C271.8 443.7 270.3 442.7 268.8 441.6L204.8 393.6C196.7 387.6 192 378.1 192 368V288.9L9.042 65.33C-.745 53.37-2.765 36.84 3.854 22.87C10.47 8.904 24.54 0 40 0L472 0z", "M576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM468.7 308.7L432 345.4L395.3 308.7C389.1 302.4 378.9 302.4 372.7 308.7C366.4 314.9 366.4 325.1 372.7 331.3L409.4 368L372.7 404.7C366.4 410.9 366.4 421.1 372.7 427.3C378.9 433.6 389.1 433.6 395.3 427.3L432 390.6L468.7 427.3C474.9 433.6 485.1 433.6 491.3 427.3C497.6 421.1 497.6 410.9 491.3 404.7L454.6 368L491.3 331.3C497.6 325.1 497.6 314.9 491.3 308.7C485.1 302.4 474.9 302.4 468.7 308.7V308.7z"]],
    "filter-list": [512, 512, [], "e17c", ["M3.459 87.73C9.886 73.3 24.2 64 39.1 64H312C327.8 64 342.1 73.3 348.5 87.73C354.1 102.2 352.3 119 341.7 130.8L240 243.8V416C240 428.1 233.2 439.2 222.3 444.6C211.5 450 198.5 448.9 188.8 441.6L124.8 393.6C116.7 387.6 112 378.1 112 368V243.8L10.27 130.8C-.3002 119-2.968 102.2 3.459 87.73H3.459z", "M480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128H416C398.3 128 384 113.7 384 96C384 78.33 398.3 64 416 64H480zM320 256C320 238.3 334.3 224 352 224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H352C334.3 288 320 273.7 320 256zM320 416C320 398.3 334.3 384 352 384H480C497.7 384 512 398.3 512 416C512 433.7 497.7 448 480 448H352C334.3 448 320 433.7 320 416z"]],
    "filter-slash": [640, 512, [], "e17d", ["M81.74 38.76C88.18 34.45 95.88 32 104 32H536C551.5 32 565.5 40.9 572.1 54.87C578.8 68.84 576.7 85.37 566.1 97.33L406.6 293.4L81.74 38.76zM256 400V297.7L384 398.5V448C384 460.1 377.2 471.2 366.3 476.6C355.5 482 342.5 480.9 332.8 473.6L268.8 425.6C260.7 419.6 256 410.1 256 400z", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "filters": [640, 512, [], "e17e", ["M39.99 96H164.1C167.3 105 172.3 113.4 179 120.7L320 273.1V290.7L288 325.5V448C288 460.1 281.2 471.2 270.3 476.6C259.5 482 246.5 480.9 236.8 473.6L172.8 425.6C164.7 419.6 160 410.1 160 400V325.5L10.55 163.1C-.197 151.4-3.019 134.5 3.36 119.9C9.74 105.4 24.11 96 39.99 96V96z", "M195.4 55.93C201.8 41.39 216.1 32 231.1 32H600C615.9 32 630.2 41.39 636.6 55.93C643 70.46 640.2 87.4 629.4 99.08L480 261.5V416C480 428.1 473.2 439.2 462.3 444.6C451.5 450 438.5 448.9 428.8 441.6L364.8 393.6C356.7 387.6 352 378.1 352 368V261.5L202.6 99.08C191.8 87.4 188.1 70.46 195.4 55.93H195.4z"]],
    "fingerprint": [512, 512, [], "f577", ["M256.1 246c-13.25 0-23.1 10.75-23.1 23.1c1.125 72.25-8.124 141.9-27.75 211.5C201.7 491.3 206.6 512 227.5 512c10.5 0 20.12-6.875 23.12-17.5c13.5-47.87 30.1-125.4 29.5-224.5C280.1 256.8 269.4 246 256.1 246zM144.6 144.5C134.2 136.1 119.2 137.6 110.7 147.9C85.25 179.4 71.38 219.3 72 259.9c.6249 37.62-2.375 75.37-8.999 112.1c-2.375 12.1 6.249 25.5 19.25 27.87c20.12 3.5 27.12-14.87 27.1-19.37c7.124-39.87 10.5-80.62 9.749-121.4C119.6 229.3 129.2 201.3 147.1 178.3C156.4 167.9 154.9 152.9 144.6 144.5zM253.1 82.14C238.6 81.77 223.1 83.52 208.2 87.14c-12.87 2.1-20.87 15.1-17.87 28.87c3.125 12.87 15.1 20.75 28.1 17.75C230.4 131.3 241.7 130 253.4 130.1c75.37 1.125 137.6 61.5 138.9 134.6c.5 37.87-1.375 75.1-5.624 113.6c-1.5 13.12 7.999 24.1 21.12 26.5c16.75 1.1 25.5-11.87 26.5-21.12c4.625-39.75 6.624-79.75 5.999-119.7C438.6 165.3 355.1 83.64 253.1 82.14z", "M255.2 164.3C193.1 164.1 151.2 211.3 152.1 265.4c.75 47.87-3.75 95.87-13.37 142.5c-2.75 12.1 5.624 25.62 18.62 28.37c12.1 2.625 25.62-5.625 28.37-18.62c10.37-50.12 15.12-101.6 14.37-152.1C199.7 238.6 219.1 212.1 254.5 212.3c31.37 .5 57.24 25.37 57.62 55.5c.8749 47.1-2.75 96.25-10.62 143.5c-2.125 12.1 6.749 25.37 19.87 27.62c19.87 3.25 26.75-15.12 27.5-19.87c8.249-49.1 12.12-101.1 11.25-151.1C359.2 211.1 312.2 165.1 255.2 164.3zM506.1 203.6c-2.875-12.1-15.51-21.25-28.63-18.38c-12.1 2.875-21.12 15.75-18.25 28.62c4.75 21.5 4.875 37.5 4.75 61.62c-.1249 13.25 10.5 24.12 23.75 24.25c13.12 0 24.12-10.62 24.25-23.87C512.1 253.8 512.3 231.8 506.1 203.6zM465.1 112.9c-48.75-69.37-128.4-111.7-213.3-112.9c-69.74-.875-134.2 24.84-182.2 72.96c-46.37 46.37-71.34 108-70.34 173.6l-.125 21.5C-.3651 281.4 10.01 292.4 23.26 292.8C23.51 292.9 23.76 292.9 24.01 292.9c12.1 0 23.62-10.37 23.1-23.37l.125-23.62C47.38 193.4 67.25 144 104.4 106.9c38.87-38.75 91.37-59.62 147.7-58.87c69.37 .1 134.7 35.62 174.6 92.37c7.624 10.87 22.5 13.5 33.37 5.875C470.1 138.6 473.6 123.8 465.1 112.9z"]],
    "fire": [448, 512, [128293], "f06d", ["M323.5 51.25C302.8 70.5 284 90.75 267.4 111.1C240.1 73.62 206.3 35.5 168 0C69.75 91.13 0 210 0 281.6C0 408.9 100.3 512 224 512s224-103.1 224-230.4C448 228.4 396 118.5 323.5 51.25zM304.1 391.9C282.4 407 255.8 416 226.9 416c-72.13 0-130.9-47.73-130.9-125.2c0-38.63 24.24-72.64 72.74-130.8c7 8 98.88 125.4 98.88 125.4l58.63-66.88c4.125 6.75 7.867 13.52 11.24 19.9C364.9 290.6 353.4 357.4 304.1 391.9z", "M304.1 391.9C282.4 407 255.8 416 226.9 416c-72.13 0-130.9-47.73-130.9-125.2c0-38.63 24.24-72.64 72.74-130.8c7 8 98.88 125.4 98.88 125.4l58.63-66.88c4.125 6.75 7.867 13.52 11.24 19.9C364.9 290.6 353.4 357.4 304.1 391.9z"]],
    "fire-burner": [640, 512, [], "e4f1", ["M240 210C240 186 255 165 285 128C289 133 347 207 347 207L383 165C386 169 388 173 390 177C408 210 400 252 370 273C355 283 339 288 320.1 288C276 288 240 259 240 210zM32 280C32 266.7 42.75 256 56 256H104C117.3 256 128 266.7 128 280C128 293.3 117.3 304 104 304H80V384H560V304H536C522.7 304 512 293.3 512 280C512 266.7 522.7 256 536 256H584C597.3 256 608 266.7 608 280V384C625.7 384 640 398.3 640 416V480C640 497.7 625.7 512 608 512H32C14.33 512 0 497.7 0 480V416C0 398.3 14.33 384 32 384V280zM320 480C337.7 480 352 465.7 352 448C352 430.3 337.7 416 320 416C302.3 416 288 430.3 288 448C288 465.7 302.3 480 320 480zM448 416C430.3 416 416 430.3 416 448C416 465.7 430.3 480 448 480C465.7 480 480 465.7 480 448C480 430.3 465.7 416 448 416zM192 480C209.7 480 224 465.7 224 448C224 430.3 209.7 416 192 416C174.3 416 160 430.3 160 448C160 465.7 174.3 480 192 480z", "M273.8 3.734C279.4-1.26 287.1-1.242 293.5 3.773C313.3 21.55 331.8 40.74 349 61.49C356.9 51.61 365.8 40.76 375.5 31.99C381.1 26.87 389.9 26.89 395.5 32.03C420.2 54.71 441.1 84.69 455.8 113.2C470.4 141.2 480 169.9 480 190.1C480 277.9 408.7 352 320 352C230.3 352 160 277.8 160 190.1C160 163.7 172.7 131.5 192.4 99.52C212.4 67.16 240.5 33.43 273.8 3.734V3.734zM320.1 287.1C339 287.1 355 282.1 370 272.1C400 251.1 408 209.1 390 176.1C388 172.1 386 168.1 383 164.1L347 206.1C347 206.1 289 132.1 285 127.1C255 164.1 240 185.1 240 209.1C240 258.1 276 287.1 320.1 287.1z"]],
    "fire-extinguisher": [512, 512, [129519], "f134", ["M64 480c0 17.67 14.33 32 31.1 32H256c17.67 0 31.1-14.33 31.1-32l-.0001-64H64L64 480zM128 108V58.81C69.59 69.32 20.5 110.6 1.235 168.4C-2.952 181 3.845 194.6 16.41 198.8C18.94 199.6 21.48 200 24 200c10.05 0 19.42-6.344 22.77-16.41C59.45 145.5 90.47 117.8 128 108zM224 56v48l63.1-.002v-48L224 56z", "M503.4 5.56c-5.453-4.531-12.61-6.406-19.67-5.188l-175.1 32c-11.41 2.094-19.7 12.03-19.7 23.63v48c0 11.59 8.297 21.53 19.7 23.62l175.1 31.1c1.438 .25 2.875 .375 4.297 .375c5.578 0 11.03-1.938 15.37-5.562c5.469-4.562 8.625-11.31 8.625-18.44V23.1C511.1 16.87 508.8 10.12 503.4 5.56zM224 139.2V32c0-17.67-14.33-32-31.1-32H160C142.3 0 128 14.33 128 32v107.2C90.26 157.2 64 195.4 64 240L64 416h223.1l.0001-176C287.1 195.4 261.7 157.2 224 139.2zM176 96C167.2 96 160 88.84 160 80c0-8.838 7.164-16 15.1-16s15.1 7.162 15.1 16C192 88.84 184.8 96 176 96z"]],
    "fire-flame": [384, 512, ["flame"], "f6df", ["M203.1 4.364C196.9-1.461 187.1-1.452 180.9 4.369C74.52 104.6 0 220.2 0 298C0 423.1 79 512 192 512s192-88.01 192-213.1C384 219.9 309 104.2 203.1 4.364zM192 448c-70.63 0-128-52.88-128-117.9c0-44.12 25.88-71.5 34.38-79.75c3.125-3.125 8.125-3.125 11.25 0C111.1 251.9 112 253.9 112 256v40C112 327 137 352 168 352C198.9 352 224 327 224 296C224 224 111.4 231.2 184.5 131.6C187.5 127.7 192 127.5 195.1 128.5c1.625 .5 5.375 2.25 5.375 6.75c0 33.63 25.12 55 51.63 77.63C285.5 241.5 320 271 320 330.1C320 395.1 262.6 448 192 448z", "M192 448c-70.62 0-128-52.88-128-117.9c0-44.12 25.88-71.5 34.38-79.75c3.125-3.125 8.125-3.125 11.25 0C111.1 251.9 112 253.9 112 256v40C112 327 137 352 168 352C198.9 352 224 327 224 296C224 224 111.4 231.2 184.5 131.6C187.5 127.8 192 127.5 195.1 128.5c1.625 .5 5.375 2.25 5.375 6.75c0 33.63 25.12 54.1 51.63 77.63C285.5 241.5 320 271 320 330.1C320 395.1 262.6 448 192 448z"]],
    "fire-flame-curved": [384, 512, ["fire-alt"], "f7e4", ["M215.1 23.88C215.1 23.87 215.1 23.88 215.1 23.88C215.1 23.87 215.1 23.88 215.1 23.88c-.0078-14.76-11.86-23.85-24.04-23.88c-2.924-.0078-5.767 .9616-8.577 2.04c-.0059 .002 .0059-.002 0 0C183.2 2.132 182.9 2.162 182.7 2.215c.2344-.0449 .4876-.0814 .7122-.1751C179 3.71 174.1 6.312 171.9 10.85C48.01 191.9 224 200 224 288c0 35.63-29.12 64.45-64.84 63.98C123.1 351.5 96 322.2 96 287V201.5C96 179.8 69.54 169.3 54.57 185C27.82 213.2 0 261.3 0 319.1C0 425.9 86.13 512 192 512s192-86.13 192-192C384 149.7 215.1 127 215.1 23.88zM54.57 185C54.56 185.1 54.58 185 54.57 185C54.58 185 54.56 185.1 54.57 185zM192 448c-43.69 0-82.35-22.01-105.5-55.52c21.39 15.21 46.77 23.51 73.47 23.51C230.6 416 288 358.6 288 288c0-57.92-36.9-93.78-63.84-119.1C238.9 177.8 320 230.5 320 320C320 390.6 262.6 448 192 448z", "M192 448c-43.69 0-82.35-22.01-105.5-55.52c21.39 15.21 46.77 23.51 73.47 23.51C230.6 416 288 358.6 288 288c0-57.92-36.9-93.78-63.84-119.1C238.9 177.8 320 230.5 320 320C320 390.6 262.6 448 192 448z"]],
    "fire-flame-simple": [384, 512, ["burn"], "f46a", ["M203.1 4.365c-6.177-5.82-16.06-5.819-22.23-.0007C74.52 104.5 0 234.1 0 312C0 437.9 79 512 192 512s192-74.05 192-200C384 233.9 309 104.2 203.1 4.365zM192 432c-56.5 0-96-37.76-96-91.74c0-12.47 4.207-55.32 83.87-143c6.314-6.953 17.95-6.953 24.26 0C283.8 284.9 288 327.8 288 340.3C288 394.2 248.5 432 192 432z", "M192 432c-56.5 0-96-37.76-96-91.74c0-12.47 4.207-55.32 83.87-143c6.314-6.953 17.95-6.953 24.26 0C283.8 284.9 288 327.8 288 340.3C288 394.2 248.5 432 192 432z"]],
    "fire-hydrant": [384, 512, [], "e17f", ["M56 176h272C341.3 176 352 165.3 352 152C352 138.7 341.3 128 328 128h-12.53C303.9 83.17 268.8 48.13 224 36.53V32c0-17.69-14.31-32-32-32S160 14.31 160 32v4.525C115.2 48.13 80.13 83.17 68.53 128H56C42.75 128 32 138.7 32 152C32 165.3 42.75 176 56 176zM32 272v96C32 376.8 39.16 384 48 384H64V256H48C39.16 256 32 263.2 32 272zM336 256H320v128h16c8.836 0 16-7.164 16-16v-96C352 263.2 344.8 256 336 256z", "M336 464H320v-288H64v288H48C39.16 464 32 471.2 32 480v16C32 504.8 39.16 512 48 512h288c8.836 0 16-7.164 16-16V480C352 471.2 344.8 464 336 464zM192 384c-35.35 0-64-28.65-64-64c0-35.35 28.65-64 64-64s64 28.65 64 64C256 355.3 227.3 384 192 384z"]],
    "fire-smoke": [640, 512, [], "f74b", ["M148.4 261.1C145.6 248.2 144 234.1 144 221.3C144 165 198.8 71.6 276 0c30.05 27.89 56.67 57.85 78.08 87.31c13.06-16.01 27.79-31.92 44.1-47.04C455.1 93.11 496 179.4 496 221.3c0 13.68-1.6 26.96-4.396 39.78c-17.06 4.465-33.14 11.62-47.4 21.99c-9.787-12.05-21.39-22.31-34.06-30.97c5.664-22.7 2.906-47.49-7.281-69.31c-2.631-5.635-5.582-11.59-8.951-17.72l-43.5 53.32c0 0-69.29-95.08-73.72-100.6C241.6 163.7 224 205.1 224 221.3c0 10.98 2.094 21.36 5.186 31.26c-12.4 8.572-23.77 18.79-33.39 30.63C181.5 272.8 165.5 265.5 148.4 261.1z", "M229.2 252.5C226.1 242.6 224 232.3 224 221.3c0-16.14 17.59-57.53 52.69-103.5c4.426 5.537 8.656 11.08 12.67 16.6l61.05 84.02l43.5-53.32c3.369 6.129 6.32 12.08 8.951 17.72c10.19 21.82 12.95 46.62 7.281 69.31C384.1 234.3 352.1 224 320 224C286.7 224 255.4 234.4 229.2 252.5zM528 288c-37.13 0-69.75 18.25-90.13 46.13C418.4 288.3 373 255.1 320 255.1s-98.38 32.25-117.9 78.13C181.7 306.3 149.1 288 112 288C50.13 288 0 338.1 0 400S50.13 512 112 512h416c61.88 0 112-50.13 112-112S589.9 288 528 288z"]],
    "fireplace": [640, 512, [], "f79a", ["M592 0h-544C39.25 0 32 7.25 32 16v64C32 88.75 39.25 96 48 96h544C600.8 96 608 88.75 608 80v-64C608 7.25 600.8 0 592 0zM371.3 281.6c-10.75 9.625-20.5 19.75-29 30C328.3 292.8 310.9 273.8 291.3 256c-50.5 45.63-86.5 105-86.5 140.8C204.8 460.4 256.4 512 320 512s115.3-51.63 115.3-115.3C435.3 370.3 408.5 315.3 371.3 281.6zM357.8 448.5C347.3 456.3 334.1 460.8 320 460.8c-35.25 0-64-24.38-64-64c0-19.62 11.88-37 35.63-66.75c3.375 4.124 48.25 64.12 48.25 64.12l28.75-34.25c2 3.5 3.875 6.875 5.5 10.25C387.5 396.8 381.9 430.9 357.8 448.5z", "M64 512h96v-160c0-88.37 71.63-160 160-160s160 71.63 160 160v160h96V96H64V512zM357.8 448.5C347.3 456.3 334.1 460.8 320 460.8c-35.25 0-64-24.38-64-64c0-19.62 11.88-37 35.63-66.75c3.375 4.124 48.25 64.12 48.25 64.12l28.75-34.25c2 3.5 3.875 6.875 5.5 10.25C387.5 396.8 381.9 430.9 357.8 448.5z"]],
    "fish": [576, 512, [128031], "f578", ["M180.5 141.5C219.7 108.5 272.6 80 336 80C399.4 80 452.3 108.5 491.5 141.5C530.5 174.5 558.3 213.1 572.4 241.3C577.2 250.5 577.2 261.5 572.4 270.7C558.3 298 530.5 337.5 491.5 370.5C452.3 403.5 399.4 432 336 432C272.6 432 219.7 403.5 180.5 370.5C164.3 356.7 150 341.9 137.8 327.3L48.12 379.6C35.61 386.9 19.76 384.9 9.474 374.7C-.8133 364.5-2.97 348.7 4.216 336.1L50 256L4.216 175.9C-2.97 163.3-.8133 147.5 9.474 137.3C19.76 127.1 35.61 125.1 48.12 132.4L137.8 184.7C150 170.1 164.3 155.3 180.5 141.5L180.5 141.5zM416 224C398.3 224 384 238.3 384 256C384 273.7 398.3 288 416 288C433.7 288 448 273.7 448 256C448 238.3 433.7 224 416 224z", "M448 256C448 273.7 433.7 288 416 288C398.3 288 384 273.7 384 256C384 238.3 398.3 224 416 224C433.7 224 448 238.3 448 256z"]],
    "fish-bones": [576, 512, [], "e304", ["M27.56 100.7c-12.15-12.05-30.26 .6796-27.23 18.96L28.8 256l-28.46 136.3c-3.037 18.28 15.08 31.01 27.11 19.09l58.1-52.92c6.659-6.064 10.45-14.65 10.45-23.65V279.1H88C74.75 279.1 64 269.2 64 256s10.75-23.1 24-23.1h8V177.2c0-9.011-3.799-17.6-10.46-23.67L27.56 100.7zM440.4 98.23c-10.78-6.222-24.36 1.268-24.36 13.67l.0001 120.1l32-.0126c13.25 0 24 10.75 24 23.1s-10.75 23.1-24 23.1l-32-.0119L416 400.1c0 12.4 13.59 19.89 24.36 13.67C520.8 367.3 576 285.1 576 256C576 226.9 520.8 144.7 440.4 98.23z", "M472 256c0 13.26-10.75 24.01-24 24.01l-71.1-.0119v72c0 13.26-10.75 24-24 24s-24-10.74-24-24v-72h-48v72c0 13.26-10.75 24-23.1 24s-24-10.74-24-24v-72h-48v72c0 13.26-10.75 24-23.1 24s-24-10.74-24-24v-72L88 280C74.75 280 64 269.3 64 256c0-13.26 10.75-24.01 24-24.01L136 232v-72c0-13.26 10.75-24 24-24s23.1 10.74 23.1 24v72h48v-72c0-13.26 10.75-24 24-24s23.1 10.74 23.1 24v72h48v-72c0-13.26 10.75-24 24-24s24 10.74 24 24v72L448 231.1C461.3 231.1 472 242.7 472 256z"]],
    "fish-cooked": [576, 512, [], "f7fe", ["M327.1 64C237.2 64 158.5 129.7 114.9 185.1L27.56 112.7C15.41 101.5-2.699 113.3 .338 130.2L28.8 256l-28.46 125.8c-3.037 16.88 15.07 28.63 27.11 17.62l87.3-73.41C158.5 382.2 237.2 448 327.1 448c137.4 0 248.8-153.6 248.8-192C575.1 217.6 464.5 64 327.1 64zM228.7 231.4c-6.25-6.25-6.25-16.38 0-22.62l64-64c6.25-6.25 16.38-6.25 22.62 0s6.25 16.38 0 22.62l-64 64C248.2 234.6 244.1 236.1 240 236.1S231.8 234.6 228.7 231.4zM267.3 347.3C264.2 350.4 260.1 352 255.1 352s-8.188-1.562-11.31-4.688c-6.25-6.25-6.25-16.38 0-22.62l160-160c6.25-6.25 16.38-6.25 22.63 0s6.25 16.38 0 22.62L267.3 347.3zM443.3 303.2l-64 64C376.2 370.3 372.1 371.9 368 371.9s-8.188-1.562-11.31-4.688c-6.25-6.25-6.25-16.38 0-22.62l64-64c6.25-6.25 16.38-6.25 22.62 0S449.6 296.9 443.3 303.2z", "M228.7 231.4c-6.25-6.25-6.25-16.38 0-22.62l64-64c6.25-6.25 16.38-6.25 22.62 0s6.25 16.38 0 22.62l-64 64C248.2 234.6 244.1 236.1 240 236.1S231.8 234.6 228.7 231.4zM267.3 347.3C264.2 350.4 260.1 352 255.1 352s-8.188-1.562-11.31-4.688c-6.25-6.25-6.25-16.38 0-22.62l160-160c6.25-6.25 16.38-6.25 22.63 0s6.25 16.38 0 22.62L267.3 347.3zM443.3 303.2l-64 64C376.2 370.3 372.1 371.9 368 371.9s-8.188-1.562-11.31-4.688c-6.25-6.25-6.25-16.38 0-22.62l64-64c6.25-6.25 16.38-6.25 22.62 0S449.6 296.9 443.3 303.2z"]],
    "fish-fins": [576, 512, [], "e4f2", ["M181.1 150.4C221.3 120.9 273.7 96 336 96C398.3 96 450.7 120.9 490 150.4C529.2 179.8 557.3 215.1 571.7 239.9C577.4 249.9 577.4 262.1 571.7 272.1C557.3 296.9 529.2 332.2 490 361.6C450.7 391.1 398.3 416 336 416C273.7 416 221.3 391.1 181.1 361.6C166.6 350.1 153 337.7 141.2 325.3L48.12 379.6C35.61 386.9 19.76 384.9 9.475 374.7C-.8124 364.5-2.969 348.7 4.217 336.1L50 256L4.217 175.9C-2.969 163.3-.8124 147.5 9.475 137.3C19.76 127.1 35.61 125.1 48.12 132.4L141.2 186.7C152.1 174.3 166.6 161.9 181.1 150.4V150.4zM416 224C398.3 224 384 238.3 384 256C384 273.7 398.3 288 416 288C433.7 288 448 273.7 448 256C448 238.3 433.7 224 416 224z", "M238.9 36.93C250.2 29.85 264.6 30.44 275.2 38.4L352.8 96.61C347.3 96.21 341.7 96 336 96C298.2 96 264.1 105.1 234.3 118.9L224.6 70.28C222 57.27 227.7 44 238.9 36.93V36.93zM336 416C341.7 416 347.3 415.8 352.8 415.4L275.2 473.6C264.6 481.6 250.2 482.1 238.9 475.1C227.7 468 222 454.7 224.6 441.7L234.3 393.1C264.1 406.9 298.2 416 336 416V416z"]],
    "fishing-rod": [512, 512, [], "e3a8", ["M408 88.04v71.97h-48V88.04c0-29.3-26.13-40.02-39.92-40.02c-3.252 0-6.539 .3963-9.799 1.207l-63 15.78C172.3 83.73 120 150.7 120 227.1v60.03H128c17.67 0 32 14.32 32 31.1v159.1c0 17.67-14.33 31.1-32 31.1H64c-17.67 0-32-14.33-32-31.1v-159.1c0-17.67 14.33-31.1 32-31.1h8V227.1c0-99.31 67.28-185.5 163.6-209.5l63-15.78C305.8 .8792 313 0 320.2 0C351.1 0 408 23.46 408 88.04z", "M416.5 453.4C444.4 427.3 480 384.5 480 336c0-79.53-96-143.1-96-143.1s-96 64.46-96 143.1c0 48.47 35.63 91.26 63.48 117.4l-27.63 32.24c-2.53 2.958-3.848 6.656-3.848 10.4C319.1 506.5 328.9 512 336 512h96c6.968 0 16-5.463 16-16.01c0-3.743-1.318-7.44-3.848-10.4L416.5 453.4zM384 336c-13.25 0-24-10.75-24-23.1c0-13.26 10.75-23.1 24-23.1s24 10.74 24 23.1C408 325.3 397.3 336 384 336z"]],
    "flag": [512, 512, [61725, 127988], "f024", ["M512 30.73v301.4c0 12.25-7.947 23.75-20.63 28.75c-43.95 17.12-80.05 23.09-111.1 23.09c-73.63 0-124.9-31.78-198.6-31.78c-32.97 0-70.91 7.057-116.8 25.51V32c0-2.695-.9023-5.086-1.521-7.586c48.34-17.21 92.79-24.11 122.7-24.11c69.07 .0078 103.9 31.87 163.9 31.87c28.28 0 62.14-7.084 107.8-27.94C463.3 1.35 469.9 0 476.3 0C495.3 0 512 11.1 512 30.73z", "M32 0C14.25 0 0 14.25 0 32v464C0 504.8 7.25 512 16 512h32C56.75 512 64 504.8 64 496V32C64 14.25 49.75 0 32 0z"]],
    "flag-checkered": [576, 512, [127937], "f11e", ["M96 384c44.17-20.37 80.2-28.75 112-30.88V264.1C176.2 267.1 140.1 275.7 96 296V384zM96 120V208c44.12-20.34 80.23-28.89 112-31.04v-88C176.2 91.11 140.1 99.66 96 120zM208 176.1v88c42.7-2.887 77.44 5.973 112 15.08v-88C285.4 182.9 250.7 174.1 208 176.1zM320 104V19.25c-31.41-10.34-63.49-22.05-112-17.64v87.36C250.7 86.08 285.4 94.94 320 104zM320 280v87.98c34.62 9.125 69.24 18.23 112 15.36V294.8c-5.766 .6641-11.24 1.125-16 1.125C380.4 295.1 350.2 288 320 280zM416 119.1c-35.6 0-65.8-7.961-96-15.92v88c30.2 7.961 60.4 15.92 96 15.92c4.758 0 10.23-.4609 16-1.125v-88C426.2 119.5 420.8 119.1 416 119.1zM544 264V176c-35.87 14.48-80.42 27.22-112 30.84v88C463.6 291.2 508.1 278.5 544 264zM544 30.74c0-25-28.81-37.99-53.17-26.49C468.5 14.8 449.2 21.68 432 26.05v92.8C463.6 115.2 508.1 102.5 544 88V30.74z", "M432 118.8V26.05c-48.43 12.27-80.11 3.695-112-6.801v84.8c30.2 7.961 60.4 15.92 96 15.92C420.8 119.1 426.2 119.5 432 118.8zM544 176V88c-35.87 14.48-80.42 27.22-112 30.84v88C463.6 203.2 508.1 190.5 544 176zM524.1 360.9C536.3 355.9 544 344.4 544 332.1V264c-35.87 14.48-80.42 27.22-112 30.84v88.55C458.8 381.6 488.8 375.1 524.1 360.9zM96 208V120c44.12-20.34 80.23-28.89 112-31.04V1.602C178.2 4.316 142.3 12.93 96 32.38V32c0-17.75-14.25-32-32-32S32 14.25 32 32L31.96 496c0 8.75 7.25 16 16 16H80C88.75 512 96 504.8 96 496V296c44.12-20.34 80.23-28.89 112-31.04v-88C176.2 179.1 140.1 187.7 96 208zM320 192v-88c-34.56-9.109-69.3-17.97-112-15.08v88C250.7 174.1 285.4 182.9 320 192zM416 207.1c-35.6 0-65.8-7.961-96-15.92v88c30.2 7.961 60.4 15.92 96 15.92c4.758 0 10.23-.4609 16-1.125v-88C426.2 207.5 420.8 207.1 416 207.1zM208 264.1v88.15c42.65-2.867 77.47 5.812 112 14.91V280C285.4 270.9 250.7 262.1 208 264.1z"]],
    "flag-pennant": [512, 512, [128681, "pennant"], "f456", ["M512 208c0 10.06-6.266 19.03-15.7 22.53L64 389.8V32c0-2.223-.832-4.172-1.264-6.266l433.6 159.7C505.7 188.1 512 197.9 512 208z", "M32 0C14.33 0 0 14.33 0 32v464C0 504.8 7.164 512 16 512h32C56.84 512 64 504.8 64 496V32C64 14.33 49.67 0 32 0z"]],
    "flag-swallowtail": [512, 512, ["flag-alt"], "f74c", ["M506.4 344.5c6.016 7.156 7.344 17.12 3.406 25.59S497.3 384 487.1 384H64V32h423.1c9.326 0 17.83 5.406 21.76 13.88s2.609 18.44-3.406 25.59L391.4 208L506.4 344.5z", "M32 0C14.25 0 0 14.25 0 32v464C0 504.8 7.25 512 16 512h32C56.75 512 64 504.8 64 496V32C64 14.25 49.75 0 32 0z"]],
    "flag-usa": [576, 512, [], "f74d", ["M315.6 303.6C254 288.5 195.3 274.8 96 314.8V384c200-92.25 238.8 53.25 428.1-23.12C536.3 355.9 544 344.4 544 332.1V296.1c-46.98 17.25-86.42 24.12-120.8 24.12C383 320.1 349.1 311.8 315.6 303.6zM315.6 207.6C254 192.5 195.3 178.8 96 218.8v61.5c102-37.63 166.5-22.75 228.4-7.625C385.1 287.8 444.7 301.4 544 261.5V200c-46.98 17.25-86.42 24.12-120.8 24.12C383 224.1 349.1 215.8 315.6 207.6zM490.8 4.25C385.4 54.07 345.1 25.38 288 9.152V67.5c43.89 11.44 102.1 60.81 256-5.875V30.74C544 5.742 515.2-7.25 490.8 4.25zM288 100.8v67.77c12.37 2.523 24.51 5.312 36.44 8.227C385.1 191.8 444.7 205.4 544 165.6V96.75c-57.75 23.5-100.4 31.38-135.8 31.38C345.2 128.1 289.2 101 288 100.8z", "M96 32.38V32c0-17.75-14.25-32-32-32S32 14.25 32 32L31.96 496c0 8.75 7.25 16 15.1 16H80C88.75 512 96 504.8 96 496V184.3c82.38-30.27 140.2-26.3 192-15.73V9.152C245.1-3.039 192.7-8.219 96 32.38zM160 136c-8.75 0-16-7.125-16-16s7.25-16 16-16s16 7.125 16 16S168.8 136 160 136zM160 72c-8.75 0-16-7-16-16c0-8.75 7.25-16 16-16s16 7.125 16 16S168.8 72 160 72zM224 128C215.3 128 208 120.9 208 112S215.3 96 224 96s16 7 16 16C240 120.8 232.8 128 224 128zM224 64.25c-8.75 0-16-7-16-16c0-8.75 7.25-16 16-16s16 7.125 16 16S232.8 64.25 224 64.25z"]],
    "flashlight": [640, 512, [128294], "f8b8", ["M400.1 149.2L383.1 160H31.1c-17.62 0-32 14.38-32 32v128c0 17.62 14.38 32 32 32h352l16.12 10.75C443.2 391.5 511.1 416 575.1 416V96C511.1 96 443.2 120.5 400.1 149.2zM287.1 288h-32c-17.62 0-32-14.38-32-32s14.38-32 32-32h32c17.62 0 32 14.38 32 32S305.6 288 287.1 288z", "M607.1 96h-32v320h32c17.62 0 32-14.38 32-32V128C639.1 110.4 625.6 96 607.1 96zM287.1 224h-32c-17.62 0-32 14.38-32 32s14.38 32 32 32h32c17.62 0 32-14.38 32-32S305.6 224 287.1 224z"]],
    "flask": [448, 512, [], "f0c3", ["M437.2 403.5L319.1 215L319.1 64h7.1c13.25 0 23.1-10.75 23.1-24l-.0002-16c0-13.25-10.75-24-23.1-24H120C106.8 0 96.01 10.75 96.01 24l-.0002 16c0 13.25 10.75 24 23.1 24h7.1L128 215l-117.2 188.5C-18.48 450.6 15.27 512 70.89 512h306.2C432.7 512 466.5 450.5 437.2 403.5zM377.1 448H70.89c-5.535 0-8.565-6.187-5.77-10.7l126.9-204L191.9 64h63.99l.0599 169.3l126.9 204C385.7 441.8 382.6 448 377.1 448z", "M137.1 320h171.9l72.1 117.3C385.7 441.8 382.6 448 377.1 448H70.89c-5.535 0-8.566-6.188-5.77-10.7L137.1 320z"]],
    "flask-round-poison": [448, 512, ["flask-poison"], "f6e0", ["M319.1 169V64h7.996c13.26 0 24-10.75 24-24v-16c0-13.26-10.74-24-24-24H119.1c-13.26 0-24 10.74-24 24v16c0 13.25 10.74 24 24 24h7.992v104.1C61.62 202.9 16 271.9 16 352c0 53.75 20.38 102.8 53.99 139.8C81.87 504.9 99.12 512 116.1 512h213.1c18 0 35.5-7.5 47.5-20.88c32.24-35.75 52.24-82.75 53.49-134.5C433.7 276.8 387.2 205.1 319.1 169zM287.1 384.1V416c0 8.875-7.125 16-16 16H175.1c-8.875 0-16-7.125-16-16v-31.88c-29-16-47.1-42.25-47.1-72.13c0-48.63 50.12-88 111.1-88s111.1 39.38 111.1 88C335.1 341.9 316.1 368.1 287.1 384.1z", "M183.1 288C170.7 288 159.1 298.8 159.1 312s10.75 24 23.1 24s23.1-10.75 23.1-24S197.2 288 183.1 288zM287.1 384.1V416c0 8.875-7.125 16-16 16H175.1c-8.875 0-16-7.125-16-16v-31.88c-29-16-47.1-42.25-47.1-72.13c0-48.63 50.12-88 111.1-88s111.1 39.38 111.1 88C335.1 341.9 316.1 368.1 287.1 384.1zM263.1 288c-13.25 0-23.99 10.75-23.99 24s10.75 24 23.99 24c13.25 0 24-10.75 24-24S277.2 288 263.1 288z"]],
    "flask-round-potion": [448, 512, ["flask-potion"], "f6e1", ["M319.1 169V64h7.996c13.26 0 24-10.75 24-24v-16c0-13.26-10.74-24-24-24H119.1c-13.26 0-24 10.74-24 24v16c0 13.25 10.74 24 24 24h7.992v104.1C61.62 202.9 16 271.9 16 352c0 53.75 20.38 102.8 53.99 139.8C81.87 504.9 99.12 512 116.1 512h213.1c18 0 35.5-7.5 47.5-20.88c32.24-35.75 52.24-82.75 53.49-134.5C433.7 276.8 387.2 205.1 319.1 169zM330.1 448l-213.6 .7109C93.27 422.2 80 387.8 80 352c0-85.97 60.64-118.2 111.1-145.1V64h63.99v143.3c37.08 19.92 114 54.55 112 147.8C367.1 389.6 353.1 422.7 330.1 448z", "M367.8 352c-.0039 1.055 .2012 2.012 .1777 3.078C367.1 389.6 353.1 422.7 330.1 448l-213.6 .7109C93.27 422.2 80 387.8 80 352c0-6.238 .9609-11.62 1.57-17.31c65.59-32.07 127.2-30.1 181.3-3.191C308 353.1 344.2 352 367.8 352z"]],
    "flask-vial": [640, 512, [], "e4f3", ["M224 309.9L175 389.4C165.2 405.4 160 423.8 160 442.5C149.1 446.1 139.2 448 128 448C74.98 448 32 405 32 352V64C14.33 64 0 49.67 0 32C0 14.33 14.33 0 32 0H224C241.7 0 256 14.33 256 32C256 49.67 241.7 64 224 64V309.9zM160 64H96V160H160V64z", "M512 0C529.7 0 544 14.33 544 32C544 49.67 529.7 64 512 64V214.9L629.7 406.2C636.4 417.2 640 429.7 640 442.6C640 480.9 608.9 512 570.6 512H261.4C223.1 512 192 480.9 192 442.6C192 429.7 195.6 417.2 202.3 406.2L320 214.9V64C302.3 64 288 49.67 288 32C288 14.33 302.3 0 320 0L512 0zM379.3 240.8L330.5 320H501.5L452.7 240.8C449.6 235.7 448 229.9 448 224V64H384V224C384 229.9 382.4 235.7 379.3 240.8H379.3z"]],
    "flatbread": [512, 512, [129747], "e40b", ["M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM112 248c-2.062 0-4.125-.7969-5.656-2.344C103.8 243.1 103.3 239 105.1 235.9c32.56-54.23 76.53-98.22 130.8-130.8c3.156-1.891 7.188-1.422 9.781 1.203C248.3 108.9 248.8 112.1 246.9 116.1C214.3 170.3 170.3 214.3 116.1 246.9C114.8 247.6 113.4 248 112 248zM164.7 358.5C163.3 359.5 161.6 360 160 360c-2.062 0-4.094-.7969-5.656-2.344c-2.781-2.766-3.125-7.125-.8438-10.31c53.59-75.03 118.8-140.3 193.8-193.9c3.156-2.297 7.531-1.922 10.31 .8594c2.781 2.766 3.125 7.125 .8438 10.31C304.9 239.7 239.7 304.9 164.7 358.5zM406.9 276.1c-32.56 54.23-76.53 98.22-130.8 130.8C274.8 407.6 273.4 408 272 408c-2.062 0-4.125-.7969-5.656-2.344c-2.594-2.594-3.094-6.625-1.219-9.766c32.56-54.23 76.53-98.22 130.8-130.8c3.156-1.875 7.219-1.375 9.781 1.203C408.3 268.9 408.8 272.1 406.9 276.1z", "M358.5 164.7c2.281-3.188 1.938-7.547-.8438-10.31c-2.781-2.781-7.156-3.156-10.31-.8594c-75.03 53.61-140.3 118.8-193.8 193.9c-2.281 3.188-1.938 7.547 .8438 10.31C155.9 359.2 157.9 360 160 360c1.625 0 3.25-.4844 4.656-1.484C239.7 304.9 304.9 239.7 358.5 164.7zM246.9 116.1c1.875-3.141 1.375-7.172-1.219-9.766C243.1 103.7 239 103.3 235.9 105.1C181.7 137.7 137.7 181.7 105.1 235.9C103.3 239 103.8 243.1 106.3 245.7C107.9 247.2 109.9 248 112 248c1.406 0 2.844-.375 4.125-1.141C170.3 214.3 214.3 170.3 246.9 116.1zM405.7 266.3c-2.562-2.578-6.625-3.078-9.781-1.203c-54.22 32.53-98.19 76.52-130.8 130.8c-1.875 3.141-1.375 7.172 1.219 9.766C267.9 407.2 269.9 408 272 408c1.406 0 2.844-.375 4.125-1.141c54.22-32.53 98.19-76.52 130.8-130.8C408.8 272.1 408.3 268.9 405.7 266.3z"]],
    "flatbread-stuffed": [512, 512, [129369], "e40c", ["M137.1 201.1C107.6 230.6 104.2 276.3 126.7 309.6L245.6 190.7C231.2 180.9 214.5 176 197.8 176C175.8 176 153.9 184.4 137.1 201.1zM341.2 44.9c-10.54 2.701-21.43 5.576-28.83 4.27c-7.926-1.307-18.03-7.75-27.79-14.02C269.4 25.3 251.9 14.1 232.9 16.27C213.4 18.54 200.1 33.76 188.5 47.17C181.5 55.18 174.2 63.54 167.4 66.68C160.8 69.82 149.8 70.17 139.2 70.52C100 71.82 72.87 74.79 70.6 139.1C70.17 149.6 69.82 160.8 66.77 167.3C63.46 174.1 55.19 181.3 47.08 188.4C33.67 200 18.54 213.2 16.28 232.9C14.1 251.8 25.31 269.2 35.15 284.6c6.27 9.756 12.71 19.69 14.11 27.7c1.307 7.402-1.568 18.29-4.355 28.74c-4.352 16.8-9.193 35.77-1.553 53.72c2.242-3.289 4.662-6.479 7.52-9.336l53.14-53.14C88.69 311.1 80 287.6 80 261.8c0-31.46 12.25-61.03 34.5-83.28C136.7 156.3 166.3 144 197.8 144c25.87 0 50.22 8.688 70.52 24.01l117.1-117.1c2.877-2.875 6.014-5.393 9.301-7.641C376.9 35.74 357.9 40.47 341.2 44.9z", "M456.7 76.63c-11.83-15.53-34.88-16.94-48.68-3.139L73.49 408.1c-13.8 13.8-12.38 36.85 3.141 48.68c106.3 81.02 258.8 72.96 355.9-24.18C529.7 335.4 537.8 182.9 456.7 76.63zM240 448C231.2 448 224 440.8 224 432c0-8.838 7.165-16 16-16S256 423.2 256 432C256 440.8 248.8 448 240 448zM272 384c-8.836 0-16-7.164-16-16c0-8.838 7.165-16 16-16S288 359.2 288 368C288 376.8 280.8 384 272 384zM304 448c-8.836 0-16-7.164-16-16c0-8.838 7.165-16 16-16S320 423.2 320 432C320 440.8 312.8 448 304 448z"]],
    "floppy-disk": [448, 512, [128426, 128190, "save"], "f0c7", ["M433.1 129.1l-83.9-83.9C342.3 38.32 327.1 32 316.1 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V163.9C448 152.9 441.7 137.7 433.1 129.1zM224 416c-35.34 0-64-28.66-64-64s28.66-64 64-64s64 28.66 64 64S259.3 416 224 416zM320 208C320 216.8 312.8 224 304 224h-224C71.16 224 64 216.8 64 208v-96C64 103.2 71.16 96 80 96h224C312.8 96 320 103.2 320 112V208z", "M288 352c0 35.34-28.66 64-64 64s-64-28.66-64-64s28.66-64 64-64S288 316.7 288 352z"]],
    "floppy-disk-circle-arrow-right": [576, 512, ["save-circle-arrow-right"], "e180", ["M433.1 129.1l-83.9-83.9C342.3 38.32 327.1 32 316.1 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h232.2c-17.65-21.37-30.28-46.99-36.28-75.07C249.7 411.9 237.3 416 224 416c-35.34 0-64-28.66-64-64s28.66-64 64-64c16.93 0 32.21 6.697 43.66 17.43C292.9 239.2 356.9 192 432 192c5.402 0 10.72 .3301 16 .8066V163.9C448 152.9 441.7 137.7 433.1 129.1zM320 208C320 216.8 312.8 224 304 224h-224C71.16 224 64 216.8 64 208v-96C64 103.2 71.16 96 80 96h224C312.8 96 320 103.2 320 112V208z", "M432 224c-79.54 0-144 64.46-144 144s64.46 144 144 144c79.54 0 143.1-64.46 143.1-144S511.5 224 432 224zM507.3 379.3l-56 56C448.2 438.4 444.1 440 439.1 440s-8.187-1.562-11.31-4.688c-6.25-6.25-6.25-16.38 0-22.62L457.4 384h-89.38c-8.836 0-15.1-7.164-15.1-16s7.163-16 15.1-16h89.38l-28.69-28.69c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0l56 56C513.6 362.9 513.6 373.1 507.3 379.3z"]],
    "floppy-disk-circle-xmark": [576, 512, ["floppy-disk-times", "save-circle-xmark", "save-times"], "e181", ["M433.1 129.1l-83.9-83.9C342.3 38.32 327.1 32 316.1 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h232.2c-17.65-21.37-30.28-46.99-36.28-75.07C249.7 411.9 237.3 416 224 416c-35.34 0-64-28.66-64-64s28.66-64 64-64c16.93 0 32.21 6.697 43.66 17.43C292.9 239.2 356.9 192 432 192c5.402 0 10.72 .3301 16 .8066V163.9C448 152.9 441.7 137.7 433.1 129.1zM320 208C320 216.8 312.8 224 304 224h-224C71.16 224 64 216.8 64 208v-96C64 103.2 71.16 96 80 96h224C312.8 96 320 103.2 320 112V208z", "M432 224C352.5 224 288 288.5 288 368s64.47 144 144 144s144-64.47 144-144S511.5 224 432 224zM488.5 401.9c6.242 6.242 6.252 16.37 .0098 22.62c-6.24 6.242-16.37 6.231-22.62-.0113l-33.91-33.91l-33.91 33.91c-6.242 6.242-16.37 6.253-22.62 .0106s-6.232-16.37 .0098-22.62l33.91-33.91l-33.91-33.91c-6.242-6.242-6.251-16.37-.009-22.62s16.37-6.232 22.62 .0106l33.91 33.91l33.91-33.91c6.242-6.242 16.37-6.254 22.61-.0113s6.233 16.37-.009 22.62l-33.91 33.91L488.5 401.9z"]],
    "floppy-disk-pen": [576, 512, [], "e182", ["M433.1 129.1l-83.9-83.9C342.3 38.32 327.1 32 316.1 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h195.8l11.29-56.47c1.906-9.609 6.594-18.45 13.59-25.48L448 234.7V163.9C448 152.9 441.7 137.7 433.1 129.1zM224 416c-35.34 0-64-28.66-64-64s28.66-64 64-64s64 28.66 64 64S259.3 416 224 416zM320 208C320 216.8 312.8 224 304 224h-224C71.16 224 64 216.8 64 208v-96C64 103.2 71.16 96 80 96h224C312.8 96 320 103.2 320 112V208z", "M565.5 255.7l-21.1-21.11c-14.06-14.06-36.85-14.06-50.91 0l-38.13 38.13l72.01 72.01l38.13-38.13C579.5 292.5 579.5 269.7 565.5 255.7zM307.4 420.6c-2.514 2.512-4.227 5.715-4.924 9.203l-14.28 71.41c-1.258 6.289 4.293 11.84 10.59 10.59l71.42-14.29c3.482-.6992 6.682-2.406 9.195-4.922l125.3-125.3l-72.01-72.01L307.4 420.6z"]],
    "floppy-disks": [512, 512, [], "e183", ["M497.9 97.94l-83.88-83.88C406.3 6.294 391.1 0 380.1 0H144C117.5 0 96 21.48 96 48v320C96 394.5 117.5 416 144 416h320c26.5 0 48-21.48 48-48V131.9C512 120.9 505.7 105.7 497.9 97.94zM288 352c-35.34 0-64-28.66-64-64s28.66-64 64-64s64 28.66 64 64S323.3 352 288 352zM384 144C384 152.8 376.8 160 368 160h-192C167.2 160 160 152.8 160 144v-64C160 71.16 167.2 64 176 64h192C376.8 64 384 71.16 384 80V144z", "M288 352c35.35 0 64-28.65 64-64c0-35.35-28.65-64-64-64S224 252.7 224 288C224 323.3 252.7 352 288 352zM392 512h-272C53.83 512 0 458.2 0 392v-272C0 106.8 10.75 96 24 96S48 106.8 48 120v272c0 39.7 32.3 72 72 72h272c13.25 0 24 10.75 24 24S405.3 512 392 512z"]],
    "florin-sign": [384, 512, [], "e184", ["M144 288H64C46.33 288 32 273.7 32 256C32 238.3 46.33 224 64 224H170.7L144 288zM240 224H320C337.7 224 352 238.3 352 256C352 273.7 337.7 288 320 288H213.3L240 224z", "M226.1 91.08C240.1 55.3 275.9 32 314.7 32H352C369.7 32 384 46.33 384 64C384 81.67 369.7 96 352 96H314.7C301.7 96 290.1 103.8 285.1 115.7L157.9 420.9C143 456.7 108.1 480 69.33 480H32C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416H69.33C82.25 416 93.9 408.2 98.87 396.3L226.1 91.08z"]],
    "flower": [512, 512, [127804, 10047], "f7ff", ["M480 160c0-70.75-57.25-128-128-128c-38.5 0-72.5 17.25-96 44.12C232.5 49.25 198.5 32 160 32C89.25 32 32 89.25 32 160c0 38.5 17.25 72.5 44.13 96C49.25 279.5 32 313.5 32 352c0 70.75 57.25 128 128 128c38.5 0 72.5-17.25 96-44.13C279.5 462.8 313.5 480 352 480c70.75 0 128-57.25 128-128c0-38.5-17.25-72.5-44.13-96C462.8 232.5 480 198.5 480 160zM256 336c-44.12 0-80-35.88-80-80S211.9 176 256 176s80 35.88 80 80S300.1 336 256 336z", "M256 336c-44.12 0-80-35.88-80-80S211.9 176 256 176s80 35.88 80 80S300.1 336 256 336z"]],
    "flower-daffodil": [512, 512, [9880], "f800", ["M511.9 336.9C502 435 405.6 512 288.1 512H223.9c-117.5 0-213.9-76.1-223.8-175.1c-1-9.125 6.877-16.88 16-16.88l47.26 .0011c63.01 0 119.9 22.25 160.6 57.88l-.0005-97.08C236.7 275.1 247.8 266.6 256 255.6c8.217 11.03 19.33 19.56 32.01 25.23l-.0005 97.08c40.76-35.63 97.64-57.88 160.6-57.88l47.26-.0011C505 319.1 512.9 327.7 511.9 336.9z", "M367.5 143.1C387.1 129.4 400 106.3 400 80C400 35.82 364.2 0 320 0c-26.29 0-49.42 12.87-64 32.46C241.4 12.87 218.3 0 192 0C147.8 0 112 35.82 112 80c0 26.29 12.87 49.41 32.45 63.1C124.9 158.6 112 181.7 112 208C112 252.2 147.8 288 192 288c26.29 0 49.42-12.85 64-32.44C270.6 275.1 293.7 288 320 288c44.18 0 80-35.82 80-80C400 181.7 387.1 158.6 367.5 143.1zM256 191.1c-26.5 0-48.01-21.5-48.01-48S229.5 95.1 256 95.1s48.01 21.5 48.01 48S282.5 191.1 256 191.1z"]],
    "flower-tulip": [512, 512, [127799], "f801", ["M511.9 336.9C502 435 405.6 512 288.1 512H223.9c-117.5 0-213.9-77-223.8-175.1C-.9141 327.8 6.963 320 16.09 320h47.26c63.01 0 119.9 22.25 160.6 57.88L223.1 256h64.01l.0002 121.9C328.8 342.3 385.6 320 448.7 320h47.26C505 320 512.9 327.8 511.9 336.9z", "M223.1 256C153.2 256 95.98 198.8 95.98 128V32l80.01 48L257.1 0l78.89 80L416 32v96c0 70.75-57.26 128-128 128H223.1z"]],
    "flute": [640, 512, [], "f8b9", ["M608 160H96v192h512c17.62 0 32-14.38 32-32V192C640 174.4 625.6 160 608 160zM320 280C306.8 280 296 269.3 296 256S306.8 232 320 232S344 242.8 344 256S333.3 280 320 280zM416 280c-13.25 0-24-10.75-24-24S402.8 232 416 232S440 242.8 440 256S429.3 280 416 280zM512 280c-13.25 0-24-10.75-24-24S498.8 232 512 232S536 242.8 536 256S525.3 280 512 280z", "M320 232C306.8 232 296 242.8 296 256S306.8 280 320 280S344 269.3 344 256S333.3 232 320 232zM0 192v128c0 17.62 14.38 32 32 32h64V160H32C14.38 160 0 174.4 0 192zM512 232c-13.25 0-24 10.75-24 24S498.8 280 512 280S536 269.3 536 256S525.3 232 512 232zM416 232c-13.25 0-24 10.75-24 24S402.8 280 416 280S440 269.3 440 256S429.3 232 416 232z"]],
    "flux-capacitor": [448, 512, [], "f8ba", ["M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM208 262.6V273.6C171.5 281 144 313.3 144 352C144 396.2 179.8 432 224 432C268.2 432 304 396.2 304 352C304 313.3 276.5 281 240 273.6V262.6L275.9 226.7C288.5 235.1 303.7 240 320 240C364.2 240 400 204.2 400 160C400 115.8 364.2 80 320 80C275.8 80 240 115.8 240 160C240 176.3 244.9 191.5 253.3 204.1L224 233.4L194.7 204.1C203.1 191.5 208 176.3 208 160C208 115.8 172.2 80 128 80C83.82 80 48 115.8 48 160C48 204.2 83.82 240 128 240C144.3 240 159.5 235.1 172.1 226.7L208 262.6z", "M224 233.4L276.7 180.7C273.7 174.4 272 167.4 272 160C272 133.5 293.5 112 320 112C346.5 112 368 133.5 368 160C368 186.5 346.5 208 320 208C312.6 208 305.6 206.3 299.3 203.3L240 262.6V306.7C258.6 313.3 272 331.1 272 352C272 378.5 250.5 400 224 400C197.5 400 176 378.5 176 352C176 331.1 189.4 313.3 208 306.7V262.6L148.7 203.3C142.4 206.3 135.4 208 128 208C101.5 208 80 186.5 80 160C80 133.5 101.5 112 128 112C154.5 112 176 133.5 176 160C176 167.4 174.3 174.4 171.3 180.7L224 233.4z"]],
    "flying-disc": [448, 512, [], "e3a9", ["M83.41 364.4c94.89 0 250.3-156.1 250.3-249.7c0-33.99-21.9-46.18-46.28-46.18c-94.89 0-250.3 156.1-250.3 249.7C37.13 352.2 59.01 364.4 83.41 364.4z", "M447.1 126.9C447.1 66.23 408 32 352.9 32c-14 0-29.21 2.584-44.94 6.73c7.579 1.675 58.01 13.89 58.01 75.62c0 111.4-169.8 282.1-282.6 282.1c-.1217 0-.4522 .0067-.9691 .0067c-8.227 0-63.66-1.682-75.59-58.57c-4.518 16.74-6.846 32.69-6.846 47.49C.0001 445.4 39.44 480 94.95 480C234.8 480 447.1 270.8 447.1 126.9z"]],
    "folder": [512, 512, [128447, 61716, 128193, "folder-blank"], "f07b", ["M512 144v288c0 26.5-21.5 48-48 48h-416C21.5 480 0 458.5 0 432v-352C0 53.5 21.5 32 48 32h160l64 64h192C490.5 96 512 117.5 512 144z", ""]],
    "folder-arrow-down": [512, 512, ["folder-download"], "e053", ["M464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM159 271C163.7 266.3 169.8 264 176 264s12.28 2.344 16.97 7.031L232 310.1V200C232 186.8 242.8 176 256 176s24 10.75 24 24v110.1l39.03-39.03c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94l-80 80c-9.375 9.375-24.56 9.375-33.94 0l-80-80C149.7 295.6 149.7 280.4 159 271z", "M159 271C163.7 266.3 169.8 264 176 264s12.28 2.344 16.97 7.031L232 310.1V200C232 186.8 242.8 176 256 176s24 10.75 24 24v110.1l39.03-39.03c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94l-80 80c-9.375 9.375-24.56 9.375-33.94 0l-80-80C149.7 295.6 149.7 280.4 159 271z"]],
    "folder-arrow-up": [512, 512, ["folder-upload"], "e054", ["M464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM352.1 304.1C348.3 309.7 342.2 312 336 312s-12.28-2.344-16.97-7.031L280 265.9V376c0 13.25-10.75 24-24 24s-24-10.75-24-24V265.9L192.1 304.1c-9.375 9.375-24.56 9.375-33.94 0s-9.375-24.56 0-33.94l80-80c9.375-9.375 24.56-9.375 33.94 0l80 80C362.3 280.4 362.3 295.6 352.1 304.1z", "M352.1 304.1C348.3 309.7 342.2 312 336 312s-12.28-2.344-16.97-7.031L280 265.9V376c0 13.25-10.75 24-24 24s-24-10.75-24-24V265.9L192.1 304.1c-9.375 9.375-24.56 9.375-33.94 0s-9.375-24.56 0-33.94l80-80c9.375-9.375 24.56-9.375 33.94 0l80 80C362.3 280.4 362.3 295.6 352.1 304.1z"]],
    "folder-bookmark": [512, 512, [], "e186", ["M512 144v288c0 26.5-21.5 48-48 48h-416C21.5 480 0 458.5 0 432v-352C0 53.5 21.5 32 48 32h160l64 64H288v239.1c0 13.42 15.52 20.88 25.1 12.49L368 305.3l54 43.2C432.5 356.8 448 349.4 448 335.1V96h16C490.5 96 512 117.5 512 144z", "M448 335.1c0 13.42-15.52 20.88-25.1 12.49L368 305.3l-54 43.2C303.5 356.8 288 349.4 288 335.1V96h160V335.1z"]],
    "folder-closed": [512, 512, [], "e185", ["M512 144V192H0V80C0 53.5 21.5 32 48 32h160l64 64h192C490.5 96 512 117.5 512 144z", "M512 192v240c0 26.5-21.5 48-48 48h-416C21.5 480 0 458.5 0 432V192H512z"]],
    "folder-gear": [512, 512, ["folder-cog"], "e187", ["M464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM366.9 352c-4.457 7.719-9.781 14.55-15.56 20.86c-2.506 2.738-6.633 3.281-9.846 1.422l-23.46-13.54C309.2 368.3 299.1 374.2 288 378.1v27.02c0 3.711-2.531 7.016-6.154 7.812C273.5 414.8 264.9 416 256 416c-8.912 0-17.49-1.195-25.84-3.047C226.5 412.2 224 408.9 224 405.1v-27.02c-11.12-3.957-21.19-9.867-29.99-17.38L170.6 374.3c-3.215 1.859-7.34 1.316-9.848-1.422C154.9 366.6 149.6 359.7 145.1 352c-4.455-7.719-7.709-15.75-10.29-23.91C133.7 324.6 135.3 320.7 138.6 318.9l23.21-13.4C160.7 299.8 160 293.1 160 288s.7129-11.78 1.76-17.46L138.6 257.1C135.3 255.3 133.7 251.4 134.9 247.9C137.4 239.7 140.7 231.7 145.1 224c4.457-7.719 9.783-14.55 15.56-20.86C163.2 200.4 167.3 199.9 170.6 201.7l23.45 13.54C202.8 207.7 212.9 201.8 224 197.9V170.9c0-3.711 2.531-7.016 6.156-7.816C238.5 161.2 247.1 160 256 160c8.914 0 17.49 1.195 25.85 3.043C285.5 163.8 288 167.1 288 170.9v27.02c11.12 3.957 21.19 9.867 29.99 17.38l23.46-13.54c3.213-1.859 7.34-1.316 9.846 1.422C357.1 209.4 362.4 216.3 366.9 224s7.711 15.75 10.29 23.91c1.119 3.539-.4766 7.383-3.689 9.234l-23.21 13.4C351.3 276.2 352 282 352 288s-.7129 11.78-1.76 17.46l23.21 13.4c3.213 1.852 4.809 5.695 3.691 9.234C374.6 336.3 371.3 344.3 366.9 352zM256 248C233.9 248 216 265.9 216 288s17.91 40 40 40S296 310.1 296 288S278.1 248 256 248z", "M373.4 318.9l-23.21-13.4C351.3 299.8 352 293.1 352 288s-.7129-11.78-1.76-17.46l23.21-13.4c3.213-1.852 4.809-5.695 3.689-9.234C374.6 239.7 371.3 231.7 366.9 224s-9.781-14.55-15.56-20.86c-2.506-2.738-6.633-3.281-9.846-1.422l-23.46 13.54C309.2 207.7 299.1 201.8 288 197.9V170.9c0-3.711-2.531-7.016-6.154-7.816C273.5 161.2 264.9 160 256 160C247.1 160 238.5 161.2 230.2 163C226.5 163.8 224 167.1 224 170.9v27.02C212.9 201.8 202.8 207.7 194 215.3L170.6 201.7C167.3 199.9 163.2 200.4 160.7 203.1C154.9 209.4 149.6 216.3 145.1 224C140.7 231.7 137.4 239.7 134.9 247.9C133.7 251.4 135.3 255.3 138.6 257.1l23.21 13.4C160.7 276.2 160 282 160 288s.7129 11.78 1.76 17.46L138.6 318.9c-3.215 1.852-4.809 5.695-3.691 9.234C137.4 336.3 140.7 344.3 145.1 352c4.457 7.719 9.783 14.55 15.56 20.86c2.508 2.738 6.633 3.281 9.848 1.422l23.45-13.54C202.8 368.3 212.9 374.2 224 378.1v27.02c0 3.711 2.531 7.016 6.156 7.812C238.5 414.8 247.1 416 256 416c8.914 0 17.49-1.195 25.85-3.047C285.5 412.2 288 408.9 288 405.1v-27.02c11.12-3.957 21.19-9.867 29.99-17.38l23.46 13.54c3.213 1.859 7.34 1.316 9.846-1.422C357.1 366.6 362.4 359.7 366.9 352s7.711-15.75 10.29-23.91C378.3 324.6 376.7 320.7 373.4 318.9zM256 328c-22.09 0-40-17.91-40-40S233.9 248 256 248S296 265.9 296 288S278.1 328 256 328z"]],
    "folder-grid": [512, 512, [], "e188", ["M464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM176 320c0 8.836-7.162 16-16 16H96c-8.836 0-16-7.164-16-16V256c0-8.836 7.164-16 16-16h64c8.838 0 16 7.164 16 16V320zM304 320c0 8.836-7.162 16-16 16H224c-8.836 0-16-7.164-16-16V256c0-8.836 7.164-16 16-16h64c8.838 0 16 7.164 16 16V320zM432 320c0 8.836-7.162 16-16 16h-64c-8.836 0-16-7.164-16-16V256c0-8.836 7.164-16 16-16h64c8.838 0 16 7.164 16 16V320z", "M160 240H96C87.16 240 80 247.2 80 256v64c0 8.836 7.164 16 16 16h64c8.838 0 16-7.164 16-16V256C176 247.2 168.8 240 160 240zM288 240H224C215.2 240 208 247.2 208 256v64c0 8.836 7.164 16 16 16h64c8.838 0 16-7.164 16-16V256C304 247.2 296.8 240 288 240zM416 240h-64c-8.836 0-16 7.164-16 16v64c0 8.836 7.164 16 16 16h64c8.838 0 16-7.164 16-16V256C432 247.2 424.8 240 416 240z"]],
    "folder-heart": [512, 512, [], "e189", ["M464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM348.7 294.3l-82.97 85.56c-5.387 5.504-14.04 5.504-19.42 0L163.3 294.3C139.2 269.3 140.7 228.1 167.6 205.1c23.5-20.02 58.39-16.39 79.81 5.753L255.9 219.7l8.416-8.778c21.55-22.14 56.55-25.77 79.93-5.753C371.3 228.1 372.8 269.3 348.7 294.3z", "M348.7 294.3l-82.97 85.56c-5.387 5.504-14.04 5.504-19.42 0L163.3 294.3C139.2 269.3 140.7 228.1 167.6 205.1c23.5-20.02 58.39-16.39 79.81 5.753L255.9 219.7l8.416-8.778c21.55-22.14 56.55-25.77 79.93-5.753C371.3 228.1 372.8 269.3 348.7 294.3z"]],
    "folder-image": [512, 512, [], "e18a", ["M464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM127.1 192c17.68 0 32 14.33 32 32s-14.32 32-32 32c-17.67 0-32-14.33-32-32S110.3 192 127.1 192zM414.1 407.6C411.3 412.8 405.9 416 400 416h-288c-6.023 0-11.53-3.379-14.26-8.75c-2.73-5.367-2.214-11.81 1.333-16.68l70-96C172.1 290.4 176.9 288 181.1 288c5.109 0 9.913 2.441 12.93 6.574l22.35 30.66l62.74-94.11C282.1 226.7 287.1 224 293.3 224c5.348 0 10.34 2.672 13.31 7.125l106.7 160C416.6 396 416.9 402.3 414.1 407.6z", "M414.1 407.6C411.3 412.8 405.9 416 400 416h-288c-6.023 0-11.53-3.379-14.26-8.75c-2.73-5.367-2.214-11.81 1.333-16.68l70-96C172.1 290.4 176.9 288 181.1 288c5.109 0 9.913 2.441 12.93 6.574l22.35 30.66l62.74-94.11C282.1 226.7 287.1 224 293.3 224c5.348 0 10.34 2.672 13.31 7.125l106.7 160C416.6 396 416.9 402.3 414.1 407.6z"]],
    "folder-magnifying-glass": [512, 512, ["folder-search"], "e18b", ["M464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM376.1 408.1C372.3 413.7 366.2 416 360 416s-12.28-2.344-16.97-7.031l-48.67-48.67C278.5 370.1 259.1 376 240 376c-57.44 0-104-46.56-104-104S182.6 168 240 168s104 46.56 104 104c0 20-5.922 38.5-15.71 54.36l48.67 48.67C386.3 384.4 386.3 399.6 376.1 408.1zM240 216c-30.88 0-56 25.12-56 56c0 30.88 25.12 56 56 56c30.88 0 56-25.12 56-56C296 241.1 270.9 216 240 216z", "M376.1 375l-48.67-48.67C338.1 310.5 344 292 344 272c0-57.44-46.56-104-104-104S136 214.6 136 272s46.56 104 104 104c19.1 0 38.5-5.922 54.36-15.71l48.67 48.67C347.7 413.7 353.8 416 360 416s12.28-2.344 16.97-7.031C386.3 399.6 386.3 384.4 376.1 375zM240 328c-30.88 0-56-25.12-56-56c0-30.88 25.12-56 56-56c30.88 0 56 25.12 56 56C296 302.9 270.9 328 240 328z"]],
    "folder-medical": [512, 512, [], "e18c", ["M464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM352 306.3C352 313.9 345.9 320 338.3 320L288 319.1v50.29C288 377.9 281.9 384 274.3 384H237.7C230.1 384 224 377.9 224 370.3V319.1L173.7 320C166.1 320 160 313.9 160 306.3V269.7C160 262.1 166.1 256 173.7 256H224V205.7C224 198.1 230.1 192 237.7 192h36.57C281.9 192 288 198.1 288 205.7V256h50.29C345.9 256 352 262.1 352 269.7V306.3z", "M352 306.3C352 313.9 345.9 320 338.3 320L288 319.1v50.29C288 377.9 281.9 384 274.3 384H237.7C230.1 384 224 377.9 224 370.3V319.1L173.7 320C166.1 320 160 313.9 160 306.3V269.7C160 262.1 166.1 256 173.7 256H224V205.7C224 198.1 230.1 192 237.7 192h36.57C281.9 192 288 198.1 288 205.7V256h50.29C345.9 256 352 262.1 352 269.7V306.3z"]],
    "folder-minus": [512, 512, [], "f65d", ["M464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM336 311.1H175.1C162.7 311.1 152 301.3 152 288c0-13.26 10.74-23.1 23.1-23.1h160C349.3 264 360 274.7 360 288S349.3 311.1 336 311.1z", "M360 288c0 13.26-10.74 23.1-23.1 23.1H175.1C162.7 311.1 152 301.3 152 288c0-13.26 10.74-23.1 23.1-23.1h160C349.3 264 360 274.7 360 288z"]],
    "folder-music": [512, 512, [], "e18d", ["M464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM352 352c0 17.62-21.5 32-48 32S256 369.6 256 352s21.5-32 48-32c5.375 0 10.75 .7499 16 2V245.6l-96 37.5V384c0 17.62-21.5 32-48 32S128 401.6 128 384s21.5-32 48-32c5.375 0 10.75 .7499 16 2V239.3C192 232.3 196.5 226.1 203.3 224l128-47.25C336 175.3 341.4 176.1 345.5 179.1S352 186.9 352 192V352z", "M352 352c0 17.62-21.5 32-48 32S256 369.6 256 352s21.5-32 48-32c5.375 0 10.75 .7499 16 2V245.6l-96 37.5V384c0 17.62-21.5 32-48 32S128 401.6 128 384s21.5-32 48-32c5.375 0 10.75 .7499 16 2V239.3C192 232.3 196.5 226.1 203.3 224l128-47.25C336 175.3 341.4 176.1 345.5 179.1S352 186.9 352 192V352z"]],
    "folder-open": [576, 512, [128449, 61717, 128194], "f07c", ["M480 144V224H147.8C135.7 224 124.6 230.8 119.2 241.7L0 480V80C0 53.49 21.49 32 48 32h160l64 64h160C458.5 96 480 117.5 480 144z", "M572.6 270.3l-96 192C471.2 473.2 460.1 480 447.1 480H0l119.2-238.3C124.6 230.8 135.7 224 147.8 224h396.2C567.7 224 583.2 249 572.6 270.3z"]],
    "folder-plus": [512, 512, [], "f65e", ["M464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM336 311.1h-56v56C279.1 381.3 269.3 392 256 392c-13.27 0-23.1-10.74-23.1-23.1V311.1H175.1C162.7 311.1 152 301.3 152 288c0-13.26 10.74-23.1 23.1-23.1h56V207.1C232 194.7 242.7 184 256 184s23.1 10.74 23.1 23.1V264h56C349.3 264 360 274.7 360 288S349.3 311.1 336 311.1z", "M360 288c0 13.26-10.74 23.1-23.1 23.1h-56v56C279.1 381.3 269.3 392 256 392c-13.27 0-23.1-10.74-23.1-23.1V311.1H175.1C162.7 311.1 152 301.3 152 288c0-13.26 10.74-23.1 23.1-23.1h56V207.1C232 194.7 242.7 184 256 184s23.1 10.74 23.1 23.1V264h56C349.3 264 360 274.7 360 288z"]],
    "folder-tree": [576, 512, [], "f802", ["M64 16C64 7.125 56.88 0 48 0h-32C7.125 0 0 7.125 0 16V416c0 17.62 14.38 32 32 32h224v-64H64V160h192V96H64V16z", "M544 32h-112l-32-32H320c-17.62 0-32 14.38-32 32v160c0 17.62 14.38 32 32 32h224c17.62 0 32-14.38 32-32V64C576 46.38 561.6 32 544 32zM544 320h-112l-32-32H320c-17.62 0-32 14.38-32 32v160c0 17.62 14.38 32 32 32h224c17.62 0 32-14.38 32-32v-128C576 334.4 561.6 320 544 320z"]],
    "folder-user": [512, 512, [], "e18e", ["M464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM256 192c35.35 0 64 28.66 64 64s-28.65 64-64 64S192 291.3 192 256S220.7 192 256 192zM352 416H160c-8.836 0-16-7.164-16-16C144 373.5 165.5 352 192 352h128c26.51 0 48 21.49 48 48C368 408.8 360.8 416 352 416z", "M256 320c35.35 0 64-28.66 64-64s-28.65-64-64-64S192 220.7 192 256S220.7 320 256 320zM320 352H192c-26.51 0-48 21.49-48 48C144 408.8 151.2 416 160 416h192c8.836 0 16-7.164 16-16C368 373.5 346.5 352 320 352z"]],
    "folder-xmark": [512, 512, ["folder-times"], "f65f", ["M464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM336.1 335c9.375 9.375 9.375 24.56 0 33.94c-9.383 9.379-24.56 9.371-33.94 0L256 321.9l-47.03 47.03c-9.383 9.379-24.56 9.371-33.94 0c-9.375-9.375-9.375-24.56 0-33.94L222.1 288L175 240.1c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0L256 254.1l47.03-47.03c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94L289.9 288L336.1 335z", "M336.1 335c9.375 9.375 9.375 24.56 0 33.94c-9.383 9.379-24.56 9.371-33.94 0L256 321.9l-47.03 47.03c-9.383 9.379-24.56 9.371-33.94 0c-9.375-9.375-9.375-24.56 0-33.94L222.1 288L175 240.1c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0L256 254.1l47.03-47.03c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94L289.9 288L336.1 335z"]],
    "folders": [640, 512, [], "f660", ["M608 144v192c0 26.5-21.5 48-48 48h-384c-26.5 0-48-21.5-48-48v-256c0-26.5 21.5-48 48-48H304l64 64h192C586.5 96 608 117.5 608 144z", "M488 480H152C85.83 480 32 426.2 32 360v-240C32 106.8 42.75 96 56 96S80 106.8 80 120v240c0 39.7 32.3 72 72 72h336c13.25 0 24 10.75 24 24S501.3 480 488 480z"]],
    "fondue-pot": [512, 512, [129749], "e40d", ["M296.4 1.125c-16.84-4.594-34.63 5.375-39.28 22.45l-26.19 96c-3.088 11.3 .7109 22.5 8.314 30.35L219.1 224h33.17l17.82-65.34c10.62-2.859 19.55-10.86 22.65-22.24l26.19-96C323.5 23.38 313.5 5.781 296.4 1.125zM465.2 5C450.3-4.469 430.5-.0781 421 14.81l-61.09 96c-6.299 9.893-5.984 21.72-1.051 31.46L306.8 224h37.94l40.84-64.18C386 159.8 386.5 160 386.9 160c10.56 0 20.94-5.234 27.03-14.81l61.09-96C484.5 34.27 480.1 14.48 465.2 5zM64 304C64 312.8 71.16 320 80 320S96 312.8 96 304V271.1C96 263.2 103.2 256 111.1 256h0C120.8 256 128 263.2 128 271.1V272C128 280.8 135.2 288 144 288S160 280.8 160 272V224H64V304z", "M512 256c0 17.67-14.31 32-32 32h-32v32c0 52.13-25.43 98.07-64.14 127.3C383.9 447.5 384 447.8 384 448v32c0 17.67-14.31 32-32 32s-32-14.33-32-32v-3.234C309.7 478.9 298.1 480 288 480H160c-10.96 0-21.66-1.125-32-3.234V480c0 17.67-14.31 32-32 32s-32-14.33-32-32v-32c0-.248 .1348-.4531 .1406-.7012C25.43 418.1 0 372.1 0 320V256c0-17.67 14.31-32 32-32h32v80C64 312.8 71.16 320 80 320S96 312.8 96 304v-32C96 263.2 103.2 256 112 256S128 263.2 128 272C128 280.8 135.2 288 144 288S160 280.8 160 272V224h320C497.7 224 512 238.3 512 256z"]],
    "font": [448, 512, [], "f031", ["M416 416h-25.81L253.1 52.76c-4.688-12.47-16.57-20.76-29.91-20.76s-25.34 8.289-30.02 20.76L57.81 416H32c-17.67 0-32 14.31-32 32s14.33 32 32 32h96c17.67 0 32-14.31 32-32s-14.33-32-32-32H126.2l17.1-48h159.6l17.1 48H320c-17.67 0-32 14.31-32 32s14.33 32 32 32h96c17.67 0 32-14.31 32-32S433.7 416 416 416zM168.2 304L224 155.1l55.82 148.9H168.2z", ""]],
    "font-awesome": [448, 512, [62694, 62501, "font-awesome-flag", "font-awesome-logo-full"], "f2b4", ["M448 48V384c-63.09 22.54-82.34 32-119.5 32c-62.82 0-86.6-32-149.3-32C158.6 384 142.6 387.6 128 392.2v-64C142.6 323.6 158.6 320 179.2 320c62.73 0 86.51 32 149.3 32C348.9 352 364.1 349 384 342.7v-208C364.1 141 348.9 144 328.5 144c-62.82 0-86.6-32-149.3-32C128.4 112 104.3 132.6 64 140.7v-64C104.3 68.63 128.4 48 179.2 48c62.73 0 86.51 32 149.3 32C365.7 80 384.9 70.54 448 48z", "M32 480C14.33 480 0 465.7 0 448V63.1C0 46.33 14.33 32 31.1 32S64 46.33 64 63.1V448C64 465.7 49.67 480 32 480z"]],
    "font-case": [640, 512, [], "f866", ["M608 160c-13.14 0-24.37 7.943-29.3 19.27C559.2 167.3 536.5 160 512 160c-70.58 0-128 57.41-128 128l.0007 63.93c0 70.59 57.42 128.1 127.1 128.1c24.51 0 47.21-7.266 66.7-19.26C583.6 472.1 594.9 480 608 480c17.67 0 32-14.31 32-32V192C640 174.3 625.7 160 608 160zM576 352c0 35.28-28.7 64-64 64s-64-28.72-64-64v-64c0-35.28 28.7-63.1 64-63.1s64 28.72 64 63.1V352z", "M349.1 436.8l-144-384C201.3 40.3 189.3 32.01 176 32.01S150.7 40.3 146 52.76l-144 384c-6.203 16.56 2.188 35 18.73 41.22c16.55 6.125 34.98-2.156 41.2-18.72l28.21-75.25h171.6l28.21 75.25C294.9 472.1 307 480 320 480c3.734 0 7.531-.6562 11.23-2.031C347.8 471.8 356.2 453.3 349.1 436.8zM114.2 320L176 155.1l61.82 164.9H114.2z"]],
    "football": [512, 512, [127944, "football-ball"], "f44e", ["M17.33 307.3l187.5 187.5c18.65-1.457 38.24-4.512 58.27-9.602L26.77 248.8C21.68 268.8 18.81 288.4 17.33 307.3zM307.2 17.27c-18.65 1.457-38.24 4.51-58.28 9.6l236.3 236.3c5.094-19.94 7.965-39.53 9.443-58.43L307.2 17.27z", "M16.17 337.5c0 44.98 7.565 83.54 13.98 107.9C35.22 464.3 50.46 496 174.9 496c9.566 0 19.59-.4707 29.84-1.271L17.33 307.3C16.53 317.6 16.17 327.7 16.17 337.5zM495.8 174.5c0-44.98-7.565-83.53-13.98-107.9c-4.688-17.54-18.34-31.23-36.04-35.95C435.5 27.91 392.9 16 337 16c-9.564 0-19.59 .4707-29.84 1.271l187.5 187.5C495.5 194.4 495.8 184.3 495.8 174.5zM26.77 248.8l236.3 236.3c142-36.1 203.9-150.4 222.2-221.1L248.9 26.87C106.9 62.96 45.07 177.2 26.77 248.8zM256 335.1c0 9.141-7.474 16-16 16c-4.094 0-8.188-1.564-11.31-4.689L164.7 283.3C161.6 280.2 160 276.1 160 271.1c0-8.529 6.865-16 16-16c4.095 0 8.189 1.562 11.31 4.688l64.01 64C254.4 327.8 256 331.9 256 335.1zM304 287.1c0 9.141-7.474 16-16 16c-4.094 0-8.188-1.564-11.31-4.689L212.7 235.3C209.6 232.2 208 228.1 208 223.1c0-9.141 7.473-16 16-16c4.094 0 8.188 1.562 11.31 4.688l64.01 64.01C302.5 279.8 304 283.9 304 287.1zM256 175.1c0-9.141 7.473-16 16-16c4.094 0 8.188 1.562 11.31 4.688l64.01 64.01c3.125 3.125 4.688 7.219 4.688 11.31c0 9.133-7.468 16-16 16c-4.094 0-8.189-1.562-11.31-4.688l-64.01-64.01C257.6 184.2 256 180.1 256 175.1z"]],
    "football-helmet": [512, 512, [], "f44f", ["M496 320H354.3l-14.2-75.98l-31.77 4.134L321.7 320h-48.16c0 0 18.71 46.8 12.8 32h41.36l9.875 52.66C347.5 457.6 393.8 496 447.7 496h48.31c8.844 0 16-7.156 16-16v-144C512 327.2 504.8 320 496 320zM479.1 464h-32.31c-32.28 0-60.54-19.45-73.07-48h105.4V464zM479.1 384h-113.7l-5.992-32h119.7V384z", "M256 16c-132.5 0-240 107.5-240 240c0 56.09 19.41 107.5 51.68 148.4c5.941 7.52 15.3 11.58 24.89 11.58h27.39l85.75 45.04c25.12 12.62 55.62 7.714 75.62-12.29C317.6 412.5 292.3 366.8 286.4 352l-23.14-57.79c-7.75-19.38 4.996-40.89 25.62-43.51l188.3-24.49c8.523-1.188 14.67-9.027 13.83-17.39C459.4 61.7 332.5 16 256 16zM175.1 359.1c-13.25 0-24-10.75-24-24s10.75-24 24-24s24 10.75 24 24S189.2 359.1 175.1 359.1z"]],
    "fork": [512, 512, ["utensil-fork"], "f2e3", ["M434.6 232.5C427.9 243.7 418.6 253.1 407.7 260.1C396.7 267.1 384.3 271.6 371.3 273C358 274.4 344.6 272.8 331.9 268.4C319.3 264.1 307.7 256.1 298.1 247.7L264.4 213.9C255 204.3 247.9 192.8 243.5 180.2C239.1 167.6 237.5 154.1 238.8 140.8C240.3 127.9 244.7 115.4 251.7 104.5C258.8 93.51 268.2 84.3 279.3 77.54L397.1 2.563C400.4 .4423 404.4-.3746 408.3 .2692C412.2 .9131 415.7 2.972 418.1 6.051C420.6 9.126 421.8 13 421.6 16.93C421.4 20.87 419.7 24.58 416.1 27.36L315.1 129.2L327.4 141.5L444.2 48.87C446.8 46.84 450.1 45.83 453.3 46.03C456.6 46.23 459.7 47.62 462.1 49.95C464.4 52.28 465.8 55.37 465.1 58.66C466.2 61.94 465.2 65.19 463.1 67.78L370.5 184.6L382.8 196.9L484.6 95.04C487.4 92.27 491.1 90.62 495.1 90.41C498.1 90.2 502.9 91.45 505.9 93.91C509 96.37 511.1 99.88 511.7 103.8C512.3 107.6 511.5 111.6 509.4 114.9L434.6 232.5z", "M310.4 257.8C309.1 258.2 309.9 258.8 309.4 259.2L68.29 500.3C60.79 507.8 50.61 512 40 512C29.39 512 19.22 507.8 11.71 500.3C4.211 492.8-.0039 482.6-.0039 472C-.0039 461.4 4.211 451.2 11.71 443.7L252.9 202.6C253.3 202.1 253.1 201.1 254.5 201.5C257.3 205.1 260.6 210.1 264.3 213.1L298 247.7C301.8 251.5 305.1 254.8 310.4 257.8z"]],
    "fork-knife": [576, 512, ["utensils-alt"], "f2e6", ["M24.28 7.083C28.36 3.804 33.17 1.573 38.3 .5847C43.44-.4035 48.73-.119 53.73 1.414C58.73 2.947 63.28 5.68 66.98 9.377L265.9 208.3L152.8 321.4L54.11 222.8C28.01 196.7 10.32 163.3 3.341 127.1C-3.641 90.84 .4008 53.33 14.94 19.39C17 14.59 20.21 10.36 24.28 7.083L24.28 7.083zM512 472C512 482.6 507.8 492.8 500.3 500.3C492.8 507.8 482.6 512 472 512C461.4 512 451.2 507.8 443.7 500.3L310.6 367.2L367.2 310.6L500.3 443.7C507.8 451.2 512 461.4 512 472z", "M573.5 114.9L498.5 232.6C490.1 245.1 480.3 255.5 467.6 262.7C454.8 269.9 440.5 273.6 425.9 273.6C407.5 273.5 389.6 267.9 374.4 257.6C373.1 258 373.9 258.6 373.4 259L132.3 500.3C124.8 507.8 114.6 512 104 512C93.39 512 83.22 507.8 75.71 500.3C68.21 492.8 63.1 482.6 63.1 472C63.1 461.4 68.21 451.2 75.71 443.7L316.8 202.6C317.3 202.1 317.9 201.1 318.4 201.5C306.2 183.7 300.7 162.2 302.8 140.8C304.3 127.8 308.7 115.4 315.8 104.4C322.8 93.4 332.2 84.16 343.4 77.38L461.1 2.528C464.4 .4236 468.4-.3821 472.3 .2646C476.2 .911 479.7 2.964 482.2 6.032C484.6 9.1 485.9 12.97 485.7 16.9C485.4 20.82 483.8 24.54 481 27.33L379.2 129.2L391.5 141.4L504.7 48.8C507.8 46.49 511.6 45.37 515.4 45.64C519.3 45.91 522.9 47.56 525.6 50.29C528.3 53.01 529.1 56.62 530.3 60.47C530.5 64.31 529.4 68.12 527.1 71.2L434.3 184.4L446.6 196.7L548.5 94.88C551.2 92.11 554.1 90.46 558.9 90.25C562.8 90.04 566.7 91.29 569.7 93.75C572.8 96.21 574.9 99.72 575.5 103.6C576.2 107.5 575.4 111.5 573.3 114.8L573.5 114.9z"]],
    "forklift": [640, 512, [], "f47a", ["M544 384H608C625.7 384 640 398.3 640 416C640 433.7 625.7 448 608 448H512C494.3 448 480 433.7 480 416V32C480 14.33 494.3 0 512 0C529.7 0 544 14.33 544 32V384zM160 432C160 476.2 124.2 512 80 512C35.82 512 0 476.2 0 432C0 387.8 35.82 352 80 352C124.2 352 160 387.8 160 432zM416 432C416 476.2 380.2 512 336 512C291.8 512 256 476.2 256 432C256 387.8 291.8 352 336 352C380.2 352 416 387.8 416 432z", "M96 160V48C96 21.49 117.5 0 144 0H292.7C313 0 331.1 12.75 337.9 31.86L413.2 242.6C415.1 247.8 416 253.3 416 258.8V353.6C395.7 332.9 367.3 320 336 320C279.6 320 232.9 361.7 225.1 416H190.9C183.1 361.7 136.4 320 80 320C48.66 320 20.33 332.9 0 353.6V208C0 181.5 21.49 160 48 160H96zM256 256H350L281.4 64H160V160L256 256z"]],
    "fort": [640, 512, [], "e486", ["M48 0C56.84 0 64 7.164 64 16V64H96V16C96 7.164 103.2 0 112 0H144C152.8 0 160 7.164 160 16V64H192V16C192 7.164 199.2 0 208 0H240C248.8 0 256 7.164 256 16V176C256 202.5 234.5 224 208 224H48C21.49 224 0 202.5 0 176V16C0 7.164 7.164 0 16 0H48zM480 64V16C480 7.164 487.2 0 496 0H528C536.8 0 544 7.164 544 16V64H576V16C576 7.164 583.2 0 592 0H624C632.8 0 640 7.164 640 16V176C640 202.5 618.5 224 592 224H432C405.5 224 384 202.5 384 176V16C384 7.164 391.2 0 400 0H432C440.8 0 448 7.164 448 16V64H480z", "M384 176C384 202.5 405.5 224 432 224H592C597.6 224 602.1 223 608 221.3V464C608 490.5 586.5 512 560 512H384V384C384 348.7 355.3 320 320 320C284.7 320 256 348.7 256 384V512H80C53.49 512 32 490.5 32 464V221.3C37 223 42.39 224 48 224H208C234.5 224 256 202.5 256 176V160H384V176z"]],
    "forward": [512, 512, [9193], "f04e", ["M52.51 440.6l171.5-142.9V214.3L52.51 71.41C31.88 54.28 0 68.66 0 96.03v319.9C0 443.3 31.88 457.7 52.51 440.6z", "M308.5 440.6l192-159.1c15.25-12.87 15.25-36.37 0-49.24l-192-159.1c-20.63-17.12-52.51-2.749-52.51 24.62v319.9C256 443.3 287.9 457.7 308.5 440.6z"]],
    "forward-fast": [512, 512, [9197, "fast-forward"], "f050", ["M512 96.03v319.9c0 17.67-14.33 31.1-31.1 31.1C462.3 447.1 448 433.6 448 415.1V96.03c0-17.67 14.33-31.1 31.1-31.1C497.7 64.03 512 78.36 512 96.03z", "M448 284.1l-171.5 156.5C255.9 457.7 224 443.3 224 415.1V284.1l-171.5 156.5C31.88 457.7 0 443.3 0 415.1V96.03c0-27.37 31.88-41.74 52.5-24.62L224 226.8V96.03c0-27.37 31.88-41.74 52.5-24.62L448 226.8V284.1z"]],
    "forward-step": [320, 512, ["step-forward"], "f051", ["M287.1 447.1c17.67 0 31.1-14.33 31.1-32V96.03c0-17.67-14.33-32-32-32c-17.67 0-31.1 14.33-31.1 31.1v319.9C255.1 433.6 270.3 447.1 287.1 447.1z", "M52.51 440.6l192-159.1c7.625-6.436 11.43-15.53 11.43-24.62c0-9.094-3.809-18.18-11.43-24.62l-192-159.1C31.88 54.28 0 68.66 0 96.03v319.9C0 443.3 31.88 457.7 52.51 440.6z"]],
    "frame": [448, 512, [], "e495", ["M64 64C64 46.33 78.33 32 96 32C113.7 32 128 46.33 128 64V352H64V64zM64 416H128V448C128 465.7 113.7 480 96 480C78.33 480 64 465.7 64 448V416zM384 448C384 465.7 369.7 480 352 480C334.3 480 320 465.7 320 448V160H384V448zM384 96H320V64C320 46.33 334.3 32 352 32C369.7 32 384 46.33 384 64V96z", "M416 96C433.7 96 448 110.3 448 128C448 145.7 433.7 160 416 160H128V96H416zM64 96V160H32C14.33 160 0 145.7 0 128C0 110.3 14.33 96 32 96H64zM32 416C14.33 416 0 401.7 0 384C0 366.3 14.33 352 32 352H320V416H32zM384 416V352H416C433.7 352 448 366.3 448 384C448 401.7 433.7 416 416 416H384z"]],
    "franc-sign": [320, 512, [], "e18f", ["M48 384H32C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320H48V384zM112 320H192C209.7 320 224 334.3 224 352C224 369.7 209.7 384 192 384H112V320z", "M288 32C305.7 32 320 46.33 320 64C320 81.67 305.7 96 288 96H112V192H256C273.7 192 288 206.3 288 224C288 241.7 273.7 256 256 256H112V448C112 465.7 97.67 480 80 480C62.33 480 48 465.7 48 448V64C48 46.33 62.33 32 80 32H288z"]],
    "french-fries": [384, 512, [127839], "f803", ["M114.3 1.097C109.1-.903 103.3-.1529 98.88 3.222L70.38 24.85C65.5 28.47 63.13 34.6 64.25 40.6l36.87 197.1c5.375 7.625 14.5 14.88 26.87 20.75V33.1L124.3 13.1C123.3 7.599 119.5 3.097 114.3 1.097zM215.1 17.72L183.1 1.722C178.3-.7779 172.3-.5279 167.6 2.347C162.9 5.226 160 10.47 160 15.97v252.8c21.12 4.375 42.87 4.375 63.1 0V31.97C223.1 25.97 220.6 20.35 215.1 17.72zM20.63 80.73C15.25 79.1 9.504 80.35 5.379 83.98C1.254 87.73-.7458 93.23 .2542 98.73l16.25 93.26h33.5c3.625 0 6.1 1 10.37 1.75L40.38 86.6L20.63 80.73zM299.4 32.72l-34.25 10.25c-4.25 1.25-7.125 4.5-9.125 8.25v207.3c17.5-8.375 29.12-19.5 31.5-30.38c.5-1.75 1.5-3.25 2.125-4.875l30.12-172.5c1-5.5-.1-10.1-5.125-14.63C310.5 32.35 304.7 31.1 299.4 32.72zM378.6 84.1c-4.125-3.75-9.875-5-15.25-3.375l-17.25 5.125l-18.75 107.3c2.25-.375 4.25-1.125 6.625-1.125h33.5l16.25-93.26C384.7 93.23 382.7 87.73 378.6 84.1z", "M383.6 243.5l-54.13 243.5c-3.25 14.62-16.25 25-31.25 25H85.75c-14.1 0-28-10.38-31.25-25l-54.13-243.5C-.6266 238.7 .4768 233.8 3.477 230c2.1-3.75 7.647-6.031 12.52-6.031l34-.0027c6.1 0 13.75 4.25 15.25 11c8.625 38.1 62.13 69 126.8 69c64.75 0 118.3-30 126.8-69c1.5-6.75 8.375-11 15.25-11l34 .0027c4.875 0 9.522 2.281 12.52 6.031C383.5 233.8 384.6 238.7 383.6 243.5z"]],
    "frog": [576, 512, [], "f52e", ["M576 464c0 8.875-7.125 16-16 16h-90.38l-118.5-125.1c5-54.13-30-85-40.88-93.13c-36.75-27.62-88.25-27.62-125.1 0L150.4 287c-7.125 5.25-8.5 15.25-3.125 22.38C152.5 316.5 162.5 317.9 169.6 312.5L202.4 288c20.62-15.62 48.37-20.88 72.25-10.88c44 18.25 57.88 70.38 33.63 106.5L284.3 416h51.68c26.51 0 47.1 21.49 47.1 48c0 8.875-7.125 16-16 16h-304c-34.88 0-63.88-28.12-64-63c-.5-166.9 126.8-303.1 289.5-319.5C288.6 102.2 288 107 288 112c0 44.18 35.82 80 79.1 80s80-35.82 80-80c0-5.006-.6882-9.932-1.569-14.68c.1523 .0508 58.62 19.21 99.07 41.43c18.75 10.25 30.5 29.75 30.5 51.25c0 20.1-11.38 40.37-29.75 50.62l-140.6 79.03L495.9 416h32.07C554.5 416 576 437.5 576 464z", "M368 32c-44.18 0-79.1 35.82-79.1 80S323.8 192 368 192c44.18 0 80-35.82 80-80S412.2 32 368 32zM368 80c17.64 0 32 14.36 32 32h-64C336 94.36 350.4 80 368 80z"]],
    "function": [640, 512, [], "f661", ["M321.2 133C306.3 123.5 286.5 127.1 276.1 142.9c-70.48 110.9-70.48 243.4 0 354.3c6.109 9.594 16.47 14.84 27.05 14.84c5.875 0 11.81-1.625 17.12-5c14.92-9.469 19.33-29.25 9.859-44.16c-57.69-90.78-57.69-194.9 0-285.7C340.5 162.3 336.1 142.5 321.2 133zM587 142.9c-9.516-14.91-29.28-19.31-44.17-9.844c-14.92 9.469-19.33 29.25-9.859 44.16c57.69 90.78 57.69 194.9 0 285.7c-9.469 14.91-5.062 34.69 9.859 44.16c5.312 3.406 11.25 5 17.12 5c10.58 0 20.94-5.25 27.05-14.84C657.5 386.2 657.5 253.8 587 142.9z", "M192 .0146L160 .0098c-52.94 0-96 43.07-96 96v96H32c-17.67 0-32 14.31-32 32s14.33 32 32 32h32v128c0 17.66-14.36 31.1-32 31.1c-17.67 0-32 14.32-32 32s14.33 32 32 32c52.94 0 96-43.06 96-96v-128h32c17.67 0 32-14.31 32-32s-14.33-32-32-32H128v-96C128 78.36 142.4 64.01 160 64.01l32 .0049c17.67 0 32-14.31 32-32S209.7 .0146 192 .0146zM477.3 320l33.38-33.38c12.5-12.5 12.5-32.75 0-45.25s-32.75-12.5-45.25 0L432 274.8l-33.38-33.38c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25l33.38 33.38l-33.38 33.38c-12.5 12.5-12.5 32.75 0 45.25c6.25 6.25 14.44 9.375 22.62 9.375s16.38-3.125 22.62-9.375L432 365.3l33.38 33.38c6.25 6.25 14.44 9.375 22.62 9.375s16.38-3.125 22.62-9.375c12.5-12.5 12.5-32.75 0-45.25L477.3 320z"]],
    "futbol": [512, 512, [9917, "futbol-ball", "soccer-ball"], "f1e3", ["M458.3 99.08L458.3 99.08L458.3 99.08zM511.8 264c-1.442 48.66-16.82 95.87-44.28 136.1l-7.38-32.46l-113 13.86l-48.19 103.3l28.22 16.84c-23.48 6.78-47.67 10.2-71.85 10.2c-23.76 0-47.51-3.302-70.58-9.962l28.23-17.06l-48.19-103.3l-113-13.88l-7.39 32.46c-27.45-40.19-42.8-87.41-44.25-136.1l24.95 21.76l83.2-77.67L86.78 96.15L53.67 99.09c29.72-38.29 69.67-67.37 115.2-83.88l.3613 .2684L156.5 45.53l99.5 55.13l99.5-55.13L342.4 14.98c45.82 16.48 86 45.64 115.9 84.11L425.6 96.16L403.7 208.2l83.21 77.67L511.8 264zM357.3 217.4L255.1 144L154.7 217.4l38.82 118.6L318.8 336L357.3 217.4z", "M355.5 45.53L342.4 14.98c-27.95-9.983-57.18-14.98-86.42-14.98c-29.25 0-58.51 4.992-86.46 14.97L156.5 45.53l99.5 55.13L355.5 45.53zM86.78 96.15L53.67 99.09c-34.79 44.75-53.67 99.8-53.67 156.5L.0001 256c0 2.694 .0519 5.379 .1352 8.063l24.95 21.76l83.2-77.67L86.78 96.15zM318.8 336L357.3 217.4L255.1 144L154.7 217.4l38.82 118.6L318.8 336zM512 255.6c0-56.7-18.9-111.8-53.72-156.5L425.6 96.16L403.7 208.2l83.21 77.67l24.92-21.79C511.1 260.1 512 258.1 512 255.6zM51.77 367.7l-7.39 32.46c33.48 49.11 82.96 85.07 140 101.7l28.6-16.99l-48.19-103.3L51.77 367.7zM347.2 381.5l-48.19 103.3l28.57 17c57.05-16.66 106.5-52.62 140-101.7l-7.38-32.46L347.2 381.5z"]],
    "g": [448, 512, [103], "47", ["M448 256c0 143.4-118.6 222.3-225 222.3c-132.3 0-222.1-106.2-222.1-222.4c0-124.4 100.9-223.9 223.1-223.9c84.84 0 167.8 55.28 167.8 88.2c0 18.28-14.95 32-32 32c-31.04 0-46.79-56.16-135.8-56.16c-87.66 0-159.1 70.66-159.1 159.8c0 34.81 27.19 158.8 159.1 158.8c79.45 0 144.6-55.1 158.1-126.7h-134.1c-17.67 0-32-14.33-32-32s14.33-31.1 32-31.1H416C433.7 224 448 238.3 448 256z", ""]],
    "galaxy": [512, 512, [], "e008", ["M506.6 274.1c-16.88-71.13-75.38-127.9-147-142.1c-34-7-69.13-4.625-101.9 6.625c7.5-49.25 39.75-91.13 85.5-110.8c13.38-5.75 10.38-25.5-4-26.88c-21.88-2.25-43.88-.625-65.13 4.375C202.1 22.24 146.2 80.74 131.1 152.4C124.1 186.4 127.4 221.5 138.6 254.2C89.37 246.7 47.49 214.5 27.87 168.7C22.12 155.4 2.368 158.4 .9925 172.7C-1.258 194.6 .3674 216.6 5.368 237.9c16.88 71.13 75.38 127.9 147 142.1c34 7 69.13 4.625 101.9-6.625c-7.5 49.25-39.75 91.13-85.5 110.8c-13.38 5.75-10.38 25.5 4 26.88c21.88 2.25 43.88 .625 65.13-4.375c71.13-16.88 127.9-75.38 142.1-147c7-34 4.625-69.13-6.625-101.9c49.25 7.5 91.13 39.75 110.8 85.5c5.75 13.38 25.5 10.38 26.88-4C513.3 317.4 511.6 295.4 506.6 274.1zM255.1 304C229.5 304 207.1 282.5 207.1 256s21.5-48 48-48S304 229.5 304 256S282.5 304 255.1 304z", "M446 91.59c18.56 11.49 35.27 25.9 49.15 42.96c9.192 11.14-2.652 27.22-16.18 21.83c-23.89-9.549-49.42-12.21-74.06-8.61c-14.3-7.051-29.41-12.61-45.32-15.78c-34-7-69.13-4.625-101.9 6.625c3.623-23.8 13.13-45.79 27.05-64.47C337.7 56.19 397.6 61.75 446 91.59zM227.2 437.9c13.91-18.68 23.42-40.67 27.05-64.47c-32.75 11.25-67.88 13.63-101.9 6.625c-15.91-3.166-31.02-8.727-45.32-15.78c-24.65 3.604-50.17 .9375-74.06-8.61c-13.52-5.391-25.37 10.7-16.17 21.83c13.88 17.06 30.58 31.47 49.14 42.96C114.4 450.2 174.3 455.8 227.2 437.9zM373.4 257.8c11.25 32.75 13.63 67.88 6.625 101.9c-3.164 15.91-8.727 31.02-15.78 45.32c3.604 24.65 .9395 50.17-8.61 74.06c-5.391 13.52 10.7 25.37 21.83 16.17c17.06-13.88 31.47-30.58 42.96-49.14c29.84-48.41 35.4-108.4 17.44-161.2C419.2 270.9 397.2 261.4 373.4 257.8zM138.6 254.2C127.4 221.5 124.1 186.4 131.1 152.4C135.2 136.5 140.7 121.4 147.8 107.1C144.2 82.4 146.8 56.88 156.4 32.99c5.391-13.52-10.7-25.37-21.83-16.18C117.5 30.69 103.1 47.4 91.59 65.96C61.75 114.4 56.19 174.3 74.15 227.2C92.83 241.1 114.8 250.6 138.6 254.2z"]],
    "gallery-thumbnails": [576, 512, [], "e3aa", ["M64 416C81.67 416 96 430.3 96 448V480C96 497.7 81.67 512 64 512H32C14.33 512 0 497.7 0 480V448C0 430.3 14.33 416 32 416H64zM224 416C241.7 416 256 430.3 256 448V480C256 497.7 241.7 512 224 512H192C174.3 512 160 497.7 160 480V448C160 430.3 174.3 416 192 416H224zM320 448C320 430.3 334.3 416 352 416H384C401.7 416 416 430.3 416 448V480C416 497.7 401.7 512 384 512H352C334.3 512 320 497.7 320 480V448zM544 416C561.7 416 576 430.3 576 448V480C576 497.7 561.7 512 544 512H512C494.3 512 480 497.7 480 480V448C480 430.3 494.3 416 512 416H544z", "M512 0C547.3 0 576 28.65 576 64V288C576 323.3 547.3 352 512 352H64C28.65 352 0 323.3 0 288V64C0 28.65 28.65 0 64 0H512zM512 64H64V288H512V64z"]],
    "game-board": [448, 512, [], "f867", ["M384 32h-320c-35.35 0-64 28.65-64 64v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM384 416h-320l0-320h319.1L384 416z", "M64 256l0 80h80V256H64zM384 416l-.0001-80h-80V416H384zM144 416h80v-80h-80V416zM64 96L64 176h80V96H64zM224 176h-80V256h80V176zM224 256v80h80V256H224zM384 256V176h-80V256H384zM304 96h-80v80h80V96z"]],
    "game-board-simple": [448, 512, ["game-board-alt"], "f868", ["M384 32h-320C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM384 416H64L64 96h319.1L384 416z", "M64 96L64 256h160V96H64zM224 256v160h160l-.0002-160H224z"]],
    "game-console-handheld": [384, 512, [], "f8bb", ["M336 0h-288c-26.4 0-48 21.6-48 48L.0001 416c0 52.8 43.2 96 96 96h192c53.02 0 95.1-42.98 96-96l.0001-368C384 21.6 362.4 0 336 0zM160 336c0 8.8-7.2 16-16 16h-16v16c0 8.8-7.2 16-15.1 16c-8.8 0-16-7.2-16-15.1L96 352H80c-8.8 0-15.1-7.2-15.1-16S71.2 320 80 320h15.1l0-16C96 295.2 103.2 288 112 288c8.8 0 15.1 7.2 15.1 16V320h16C152.8 320 160 327.2 160 336zM232 384c-13.25 0-24-10.75-24-24s10.75-24 24-24s24 10.75 24 24S245.3 384 232 384zM128 224c-17.67 0-32-14.33-32-32L96 80c0-8.837 7.163-16 16-16h159.1c8.837 0 16 7.163 16 16V192c0 17.6-14.4 32-32 32H128zM296 336c-13.25 0-24-10.75-24-24s10.75-24 24-24s24 10.75 24 24S309.3 336 296 336z", "M288 80V192c0 17.6-14.4 32-32 32h-128c-17.67 0-32-14.33-32-32L96 80c0-8.837 7.163-16 16-16h159.1C280.8 64 288 71.16 288 80z"]],
    "gamepad": [640, 512, [], "f11b", ["M448 64H192C85.96 64 0 149.1 0 256s85.96 192 192 192h256c106 0 192-85.96 192-192S554 64 448 64zM247.1 280h-32v32c0 13.2-10.78 24-23.98 24c-13.2 0-24.02-10.8-24.02-24v-32L136 279.1C122.8 279.1 111.1 269.2 111.1 256c0-13.2 10.85-24.01 24.05-24.01L167.1 232v-32c0-13.2 10.82-24 24.02-24c13.2 0 23.98 10.8 23.98 24v32h32c13.2 0 24.02 10.8 24.02 24C271.1 269.2 261.2 280 247.1 280zM431.1 344c-22.12 0-39.1-17.87-39.1-39.1s17.87-40 39.1-40s39.1 17.88 39.1 40S454.1 344 431.1 344zM495.1 248c-22.12 0-39.1-17.87-39.1-39.1s17.87-40 39.1-40c22.12 0 39.1 17.88 39.1 40S518.1 248 495.1 248z", "M247.1 280h-32v32c0 13.2-10.78 24-23.98 24c-13.2 0-24.02-10.8-24.02-24v-32L136 279.1C122.8 279.1 111.1 269.2 111.1 256c0-13.2 10.85-24.01 24.05-24.01L167.1 232v-32c0-13.2 10.82-24 24.02-24c13.2 0 23.98 10.8 23.98 24v32h32c13.2 0 24.02 10.8 24.02 24C271.1 269.2 261.2 280 247.1 280z"]],
    "gamepad-modern": [640, 512, [63676, 127918, "gamepad-alt"], "e5a2", ["M640 384.2c0-5.257-.4576-10.6-1.406-15.98l-33.38-211.6C591.4 77.96 522 32 319.1 32C119 32 48.71 77.46 34.78 156.6l-33.38 211.6c-.9487 5.383-1.406 10.72-1.406 15.98c0 51.89 44.58 95.81 101.5 95.81c49.69 0 93.78-30.06 109.5-74.64l7.5-21.36h203l7.5 21.36c15.72 44.58 59.81 74.64 109.5 74.64C595.4 479.1 640 436.1 640 384.2zM247.1 248l-31.96-.0098L215.1 280c0 13.2-10.78 24-23.98 24c-13.2 0-24.02-10.8-24.02-24l.0367-32.01L135.1 248c-13.2 0-23.98-10.8-23.98-24c0-13.2 10.77-24 23.98-24l32.04-.011L167.1 168c0-13.2 10.82-24 24.02-24c13.2 0 23.98 10.8 23.98 24l.0368 31.99L247.1 200c13.2 0 24.02 10.8 24.02 24C271.1 237.2 261.2 248 247.1 248zM432 311.1c-22.09 0-40-17.92-40-40c0-22.08 17.91-40 40-40s40 17.92 40 40C472 294.1 454.1 311.1 432 311.1zM496 215.1c-22.09 0-40-17.92-40-40c0-22.08 17.91-40 40-40s40 17.92 40 40C536 198.1 518.1 215.1 496 215.1z", "M247.1 200l-31.96-.011L215.1 168c0-13.2-10.78-24-23.98-24C178.8 144 167.1 154.8 167.1 168l.0367 31.99L135.1 200c-13.2 0-23.98 10.8-23.98 24c0 13.2 10.77 24 23.98 24l32.04-.0098L167.1 280c0 13.2 10.82 24 24.02 24c13.2 0 23.98-10.8 23.98-24l.0368-32.01L247.1 248c13.2 0 24.02-10.8 24.02-24C271.1 210.8 261.2 200 247.1 200z"]],
    "garage": [640, 512, [], "e009", ["M512 320H128V224H512V320zM128 352H512V512H128V352zM272 448H368C376.8 448 384 440.8 384 432C384 423.2 376.8 416 368 416H272C263.2 416 256 423.2 256 432C256 440.8 263.2 448 272 448z", "M40.23 111.9L308.1 4.753C315.7 1.702 324.3 1.702 331.9 4.753L599.8 111.9C624.1 121.6 640 145.2 640 171.3V488C640 501.3 629.3 512 616 512H568C554.7 512 544 501.3 544 488V223.1C544 206.3 529.7 191.1 512 191.1H128C110.3 191.1 96 206.3 96 223.1V488C96 501.3 85.25 512 72 512H24C10.75 512 0 501.3 0 488V171.3C0 145.2 15.93 121.6 40.23 111.9z"]],
    "garage-car": [640, 512, [], "e00a", ["M261.8 240H378.2C401.1 240 423.2 255.1 431 277.5L451.1 334.1C468.3 344.5 480 362.9 480 384V480C480 497.7 465.7 512 448 512C430.3 512 416 497.7 416 480V464H224V480C224 497.7 209.7 512 192 512C174.3 512 160 497.7 160 480V384C160 362.9 171.7 344.5 188.9 334.1L208.1 277.5C216.8 255.1 238 240 261.8 240L261.8 240zM261.8 288C258.4 288 255.4 290.2 254.3 293.4L242.2 328H397.8L385.7 293.4C384.6 290.2 381.6 288 378.2 288H261.8zM240 376C226.7 376 216 386.7 216 400C216 413.3 226.7 424 240 424C253.3 424 264 413.3 264 400C264 386.7 253.3 376 240 376zM400 424C413.3 424 424 413.3 424 400C424 386.7 413.3 376 400 376C386.7 376 376 386.7 376 400C376 413.3 386.7 424 400 424z", "M40.23 111.9L308.1 4.753C315.7 1.702 324.3 1.702 331.9 4.753L599.8 111.9C624.1 121.6 640 145.2 640 171.3V488C640 501.3 629.3 512 616 512H568C554.7 512 544 501.3 544 488V223.1C544 206.3 529.7 191.1 512 191.1H128C110.3 191.1 96 206.3 96 223.1V488C96 501.3 85.25 512 72 512H24C10.75 512 0 501.3 0 488V171.3C0 145.2 15.93 121.6 40.23 111.9z"]],
    "garage-open": [640, 512, [], "e00b", ["M244.1 320L242.2 328H397.8L395 320H445.9L451.1 334.1C468.3 344.5 480 362.9 480 384V480C480 497.7 465.7 512 448 512C430.3 512 416 497.7 416 480V464H224V480C224 497.7 209.7 512 192 512C174.3 512 160 497.7 160 480V384C160 362.9 171.7 344.5 188.9 334.1L194.1 320H244.1zM240 424C253.3 424 264 413.3 264 400C264 386.7 253.3 376 240 376C226.7 376 216 386.7 216 400C216 413.3 226.7 424 240 424zM400 376C386.7 376 376 386.7 376 400C376 413.3 386.7 424 400 424C413.3 424 424 413.3 424 400C424 386.7 413.3 376 400 376z", "M0 488V171.3C0 145.2 15.93 121.6 40.23 111.9L308.1 4.753C315.7 1.702 324.3 1.702 331.9 4.753L599.8 111.9C624.1 121.6 640 145.2 640 171.3V488C640 501.3 629.3 512 616 512H568C554.7 512 544 501.3 544 488V223.1C544 206.3 529.7 191.1 512 191.1H128C110.3 191.1 96 206.3 96 223.1V488C96 501.3 85.25 512 72 512H24C10.75 512 0 501.3 0 488zM512 287.1H128V223.1H512V287.1z"]],
    "garlic": [512, 512, [129476], "e40e", ["M64 306.9c0-55.59 17.16-84.8 33.78-113c10.6-18.05 20.69-35.61 26.1-60.65L48.8 191.7C17.79 215.9 0 251.4 0 288.1c0 62.77 49.45 114.6 113.1 124.8C84.23 390 64 354.4 64 306.9zM299.7 211.4C279.2 183.6 256 152 256 92.64V0H208C181.5 0 160 19.99 160 44.57v48.07c0 58.48-18.41 89.78-34.66 117.4C110.3 235.7 96 259.1 96 306.9C96 381.8 158.2 416 215.1 416C273.8 416 336 381.8 336 306.9C336 260.9 319.2 237.1 299.7 211.4zM463.2 191.7l-85.23-66.48C361.5 112.4 352 93.53 352 73.52V44.57C352 19.99 330.5 0 304 0H288v92.64c0 48.88 18.19 73.63 37.44 99.83C345.4 219.6 368 250.4 368 306.9c0 49.17-21.83 85.49-53.34 109.1L376 415.9C451.1 415.5 512 358.8 512 288.1C512 251.4 494.2 215.9 463.2 191.7z", "M200 488C200 501.3 210.8 512 224 512s24-10.75 24-24V448h-48V488zM328 448v40c0 13.25 10.75 24 24 24s24-10.75 24-24v-40.04L328 448zM136 488C136 501.3 146.8 512 160 512s24-10.75 24-24V448l-48-.0391V488zM264 488c0 13.25 10.75 24 24 24s24-10.75 24-24V448h-48V488z"]],
    "gas-pump": [512, 512, [9981], "f52f", ["M256 0C291.3 0 320 28.65 320 64V448H32V64C32 28.65 60.65 0 96 0H256zM112 64C103.2 64 96 71.16 96 80V176C96 184.8 103.2 192 112 192H240C248.8 192 256 184.8 256 176V80C256 71.16 248.8 64 240 64H112z", "M384 31.1C392.8 23.16 407.2 23.16 416 31.1L493.3 109.3C505.3 121.3 512 137.5 512 154.5V376C512 415.8 479.8 448 440 448C400.2 448 368 415.8 368 376V344C368 321.9 350.1 303.1 328 303.1H320V255.1H328C376.6 255.1 416 295.4 416 344V376C416 389.3 426.7 400 440 400C453.3 400 464 389.3 464 376V221.1C436.4 214.9 416 189.8 416 159.1V95.1L384 63.1C375.2 55.16 375.2 40.84 384 31.1V31.1zM0 480C0 462.3 14.33 448 32 448H320C337.7 448 352 462.3 352 480C352 497.7 337.7 512 320 512H32C14.33 512 0 497.7 0 480z"]],
    "gas-pump-slash": [640, 512, [], "f5f4", ["M520.8 382.9C525.3 376.4 528 368.5 528 360V221.1C500.4 214.9 480 189.8 480 160V96L448 64C439.2 55.16 439.2 40.84 448 32C456.8 23.16 471.2 23.16 480 32L557.3 109.3C569.3 121.3 576 137.5 576 154.5V360C576 379.7 569.5 397.9 558.6 412.5L520.8 382.9zM97.33 50.98C103.3 21.88 129.1 0 160 0H320C355.3 0 384 28.65 384 64V275.7L97.33 50.98zM384 398.5V416H96V171.6L384 398.5zM64 480C64 462.3 78.33 448 96 448H384C401.7 448 416 462.3 416 480C416 497.7 401.7 512 384 512H96C78.33 512 64 497.7 64 480z", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "gauge": [512, 512, ["dashboard", "gauge-med", "tachometer-alt-average"], "f624", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM280 292.7V88C280 74.75 269.3 64 256 64C242.7 64 232 74.75 232 88V292.7C208.5 302.1 192 325.1 192 352C192 387.3 220.7 416 256 416C291.3 416 320 387.3 320 352C320 325.1 303.5 302.1 280 292.7zM144 176C161.7 176 176 161.7 176 144C176 126.3 161.7 112 144 112C126.3 112 112 126.3 112 144C112 161.7 126.3 176 144 176zM96 224C78.33 224 64 238.3 64 256C64 273.7 78.33 288 96 288C113.7 288 128 273.7 128 256C128 238.3 113.7 224 96 224zM416 288C433.7 288 448 273.7 448 256C448 238.3 433.7 224 416 224C398.3 224 384 238.3 384 256C384 273.7 398.3 288 416 288zM368 112C350.3 112 336 126.3 336 144C336 161.7 350.3 176 368 176C385.7 176 400 161.7 400 144C400 126.3 385.7 112 368 112z", "M280 292.7C303.5 302.1 320 325.1 320 352C320 387.3 291.3 416 256 416C220.7 416 192 387.3 192 352C192 325.1 208.5 302.1 232 292.7V88C232 74.75 242.7 64 256 64C269.3 64 280 74.75 280 88V292.7z"]],
    "gauge-circle-bolt": [640, 512, [], "e496", ["M503.1 192.2C501.3 192.1 498.7 192 496 192C398.8 192 320 270.8 320 368C320 413.9 337.6 455.7 366.4 487C332.1 503 295.5 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C375.4 0 475.6 81.67 503.1 192.2zM256 416C291.3 416 320 387.3 320 352C320 325.1 303.5 302.1 280 292.7V88C280 74.75 269.3 64 256 64C242.7 64 232 74.75 232 88V292.7C208.5 302.1 192 325.1 192 352C192 387.3 220.7 416 256 416zM144 112C126.3 112 112 126.3 112 144C112 161.7 126.3 176 144 176C161.7 176 176 161.7 176 144C176 126.3 161.7 112 144 112zM96 288C113.7 288 128 273.7 128 256C128 238.3 113.7 224 96 224C78.33 224 64 238.3 64 256C64 273.7 78.33 288 96 288zM368 176C385.7 176 400 161.7 400 144C400 126.3 385.7 112 368 112C350.3 112 336 126.3 336 144C336 161.7 350.3 176 368 176z", "M640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM546.5 301.8C549.2 296.9 548.2 290.7 543.9 286.1C539.6 283.2 533.3 283 528.8 286.4L432.8 358.4C428.7 361.5 426.1 366.9 428.6 371.8C430.2 376.7 434.8 380 440 380H475.6L445.5 434.2C442.8 439.1 443.8 445.3 448.1 449C452.4 452.8 458.7 452.1 463.2 449.6L559.2 377.6C563.3 374.5 565 369.1 563.4 364.2C561.8 359.3 557.2 356 552 356H516.4L546.5 301.8z"]],
    "gauge-circle-minus": [640, 512, [], "e497", ["M503.1 192.2C501.3 192.1 498.7 192 496 192C398.8 192 320 270.8 320 368C320 413.9 337.6 455.7 366.4 487C332.1 503 295.5 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C375.4 0 475.6 81.67 503.1 192.2zM256 416C291.3 416 320 387.3 320 352C320 325.1 303.5 302.1 280 292.7V88C280 74.75 269.3 64 256 64C242.7 64 232 74.75 232 88V292.7C208.5 302.1 192 325.1 192 352C192 387.3 220.7 416 256 416zM144 112C126.3 112 112 126.3 112 144C112 161.7 126.3 176 144 176C161.7 176 176 161.7 176 144C176 126.3 161.7 112 144 112zM96 288C113.7 288 128 273.7 128 256C128 238.3 113.7 224 96 224C78.33 224 64 238.3 64 256C64 273.7 78.33 288 96 288zM368 176C385.7 176 400 161.7 400 144C400 126.3 385.7 112 368 112C350.3 112 336 126.3 336 144C336 161.7 350.3 176 368 176z", "M352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM560 383.1C568.8 383.1 576 376.8 576 367.1C576 359.2 568.8 351.1 560 351.1H432C423.2 351.1 416 359.2 416 367.1C416 376.8 423.2 383.1 432 383.1H560z"]],
    "gauge-circle-plus": [640, 512, [], "e498", ["M503.1 192.2C501.3 192.1 498.7 192 496 192C398.8 192 320 270.8 320 368C320 413.9 337.6 455.7 366.4 487C332.1 503 295.5 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C375.4 0 475.6 81.67 503.1 192.2zM256 416C291.3 416 320 387.3 320 352C320 325.1 303.5 302.1 280 292.7V88C280 74.75 269.3 64 256 64C242.7 64 232 74.75 232 88V292.7C208.5 302.1 192 325.1 192 352C192 387.3 220.7 416 256 416zM144 112C126.3 112 112 126.3 112 144C112 161.7 126.3 176 144 176C161.7 176 176 161.7 176 144C176 126.3 161.7 112 144 112zM96 288C113.7 288 128 273.7 128 256C128 238.3 113.7 224 96 224C78.33 224 64 238.3 64 256C64 273.7 78.33 288 96 288zM368 176C385.7 176 400 161.7 400 144C400 126.3 385.7 112 368 112C350.3 112 336 126.3 336 144C336 161.7 350.3 176 368 176z", "M640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM480 303.1V351.1H432C423.2 351.1 416 359.2 416 367.1C416 376.8 423.2 383.1 432 383.1H480V431.1C480 440.8 487.2 447.1 496 447.1C504.8 447.1 512 440.8 512 431.1V383.1H560C568.8 383.1 576 376.8 576 367.1C576 359.2 568.8 351.1 560 351.1H512V303.1C512 295.2 504.8 287.1 496 287.1C487.2 287.1 480 295.2 480 303.1z"]],
    "gauge-high": [512, 512, [62461, "tachometer-alt", "tachometer-alt-fast"], "f625", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 64C238.3 64 224 78.33 224 96C224 113.7 238.3 128 256 128C273.7 128 288 113.7 288 96C288 78.33 273.7 64 256 64zM256 416C291.3 416 320 387.3 320 352C320 334.6 313.1 318.9 301.9 307.4L365.1 161.7C371.3 149.5 365.8 135.4 353.7 130C341.5 124.7 327.4 130.2 322 142.3L257.9 288C257.3 288 256.6 287.1 256 287.1C220.7 287.1 192 316.7 192 352C192 387.3 220.7 416 256 416V416zM144 112C126.3 112 112 126.3 112 144C112 161.7 126.3 176 144 176C161.7 176 176 161.7 176 144C176 126.3 161.7 112 144 112zM96 288C113.7 288 128 273.7 128 256C128 238.3 113.7 224 96 224C78.33 224 64 238.3 64 256C64 273.7 78.33 288 96 288zM416 224C398.3 224 384 238.3 384 256C384 273.7 398.3 288 416 288C433.7 288 448 273.7 448 256C448 238.3 433.7 224 416 224z", "M322 142.3C327.4 130.2 341.5 124.7 353.7 130C365.8 135.4 371.3 149.5 365.1 161.7L301.9 307.4C313.1 318.9 319.1 334.6 319.1 352C319.1 387.3 291.3 416 255.1 416C220.6 416 191.1 387.3 191.1 352C191.1 316.7 220.6 288 255.1 288C256.6 288 257.3 288 257.9 288L322 142.3z"]],
    "gauge-low": [512, 512, ["tachometer-alt-slow"], "f627", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 64C238.3 64 224 78.33 224 96C224 113.7 238.3 128 256 128C273.7 128 288 113.7 288 96C288 78.33 273.7 64 256 64zM256 416C291.3 416 320 387.3 320 352C320 316.7 291.3 288 256 288C255.4 288 254.7 288 254.1 288L189.1 142.3C184.6 130.2 170.5 124.7 158.3 130C146.2 135.4 140.7 149.5 146 161.7L210.1 307.4C198.9 318.9 192 334.6 192 352C192 387.3 220.7 416 256 416V416zM96 224C78.33 224 64 238.3 64 256C64 273.7 78.33 288 96 288C113.7 288 128 273.7 128 256C128 238.3 113.7 224 96 224zM416 288C433.7 288 448 273.7 448 256C448 238.3 433.7 224 416 224C398.3 224 384 238.3 384 256C384 273.7 398.3 288 416 288zM368 112C350.3 112 336 126.3 336 144C336 161.7 350.3 176 368 176C385.7 176 400 161.7 400 144C400 126.3 385.7 112 368 112z", "M254.1 288C254.7 288 255.4 288 256 288C291.3 288 320 316.7 320 352C320 387.3 291.3 416 256 416C220.7 416 192 387.3 192 352C192 334.6 198.9 318.9 210.1 307.4L146 161.7C140.7 149.5 146.2 135.4 158.3 130C170.5 124.7 184.6 130.2 189.1 142.3L254.1 288z"]],
    "gauge-max": [512, 512, ["tachometer-alt-fastest"], "f626", ["M256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM224 96C224 113.7 238.3 128 256 128C273.7 128 288 113.7 288 96C288 78.33 273.7 64 256 64C238.3 64 224 78.33 224 96zM320 352C320 348.3 319.7 344.7 319.1 341.2L436.6 268.4C447.9 261.4 451.4 246.6 444.4 235.4C437.4 224.1 422.6 220.6 411.4 227.6L293.8 300.4C283.2 292.6 270.1 288 256 288C220.7 288 192 316.7 192 352C192 387.3 220.7 416 256 416C291.3 416 320 387.3 320 352V352zM336 144C336 161.7 350.3 176 368 176C385.7 176 400 161.7 400 144C400 126.3 385.7 112 368 112C350.3 112 336 126.3 336 144zM128 256C128 238.3 113.7 224 96 224C78.33 224 64 238.3 64 256C64 273.7 78.33 288 96 288C113.7 288 128 273.7 128 256zM112 144C112 161.7 126.3 176 144 176C161.7 176 176 161.7 176 144C176 126.3 161.7 112 144 112C126.3 112 112 126.3 112 144z", "M411.4 227.6C422.6 220.6 437.4 224.1 444.4 235.4C451.4 246.6 447.9 261.4 436.6 268.4L319.1 341.2C319.7 344.7 320 348.3 320 352C320 387.3 291.3 416 256 416C220.7 416 192 387.3 192 352C192 316.7 220.7 288 256 288C270.1 288 283.2 292.6 293.8 300.4L411.4 227.6z"]],
    "gauge-min": [512, 512, ["tachometer-alt-slowest"], "f628", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 64C238.3 64 224 78.33 224 96C224 113.7 238.3 128 256 128C273.7 128 288 113.7 288 96C288 78.33 273.7 64 256 64zM256 416C291.3 416 320 387.3 320 352C320 316.7 291.3 288 256 288C241.9 288 228.8 292.6 218.2 300.4L100.6 227.6C89.36 220.6 74.57 224.1 67.59 235.4C60.62 246.6 64.1 261.4 75.37 268.4L192.9 341.2C192.3 344.7 192 348.3 192 352C192 387.3 220.7 416 256 416L256 416zM144 112C126.3 112 112 126.3 112 144C112 161.7 126.3 176 144 176C161.7 176 176 161.7 176 144C176 126.3 161.7 112 144 112zM416 288C433.7 288 448 273.7 448 256C448 238.3 433.7 224 416 224C398.3 224 384 238.3 384 256C384 273.7 398.3 288 416 288zM368 112C350.3 112 336 126.3 336 144C336 161.7 350.3 176 368 176C385.7 176 400 161.7 400 144C400 126.3 385.7 112 368 112z", "M218.2 300.4C228.8 292.6 241.9 288 256 288C291.3 288 320 316.7 320 352C320 387.3 291.3 416 256 416C220.7 416 192 387.3 192 352C192 348.3 192.3 344.7 192.9 341.2L75.37 268.4C64.1 261.4 60.62 246.6 67.59 235.4C74.57 224.1 89.36 220.6 100.6 227.6L218.2 300.4z"]],
    "gauge-simple": [512, 512, ["gauge-simple-med", "tachometer-average"], "f629", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM280 292.7V88C280 74.75 269.3 64 256 64C242.7 64 232 74.75 232 88V292.7C208.5 302.1 192 325.1 192 352C192 387.3 220.7 416 256 416C291.3 416 320 387.3 320 352C320 325.1 303.5 302.1 280 292.7z", "M280 292.7C303.5 302.1 320 325.1 320 352C320 387.3 291.3 416 256 416C220.7 416 192 387.3 192 352C192 325.1 208.5 302.1 232 292.7V88C232 74.75 242.7 64 256 64C269.3 64 280 74.75 280 88V292.7z"]],
    "gauge-simple-high": [512, 512, [61668, "tachometer", "tachometer-fast"], "f62a", ["M256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM192 352C192 387.3 220.7 416 256 416C291.3 416 320 387.3 320 352C320 336.1 314.2 321.6 304.7 310.4L381.3 163.1C387.4 151.3 382.8 136.8 371.1 130.7C359.3 124.6 344.8 129.2 338.7 140.9L262.1 288.3C260.1 288.1 258.1 287.1 255.1 287.1C220.7 287.1 191.1 316.7 191.1 352L192 352z", "M338.7 140.9C344.8 129.2 359.3 124.6 371.1 130.7C382.8 136.8 387.4 151.3 381.3 163.1L304.7 310.4C314.2 321.6 320 336.1 320 352C320 387.3 291.3 416 256 416C220.7 416 192 387.3 192 352C192 316.7 220.7 288 256 288C258.1 288 260.1 288.1 262.1 288.3L338.7 140.9z"]],
    "gauge-simple-low": [512, 512, ["tachometer-slow"], "f62c", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 288C253.9 288 251.9 288.1 249.9 288.3L173.3 140.9C167.2 129.2 152.7 124.6 140.9 130.7C129.2 136.8 124.6 151.3 130.7 163.1L207.3 310.4C197.8 321.6 191.1 336.1 191.1 352C191.1 387.3 220.7 416 255.1 416C291.3 416 320 387.3 320 352C320 316.7 291.3 288 255.1 288L256 288z", "M249.9 288.3C251.9 288.1 253.9 288 256 288C291.3 288 320 316.7 320 352C320 387.3 291.3 416 256 416C220.7 416 192 387.3 192 352C192 336.1 197.8 321.6 207.3 310.4L130.7 163.1C124.6 151.3 129.2 136.8 140.9 130.7C152.7 124.6 167.2 129.2 173.3 140.9L249.9 288.3z"]],
    "gauge-simple-max": [512, 512, ["tachometer-fastest"], "f62b", ["M256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM192 352C192 387.3 220.7 416 256 416C291.3 416 320 387.3 320 352C320 348.3 319.7 344.7 319.1 341.2L436.6 268.4C447.9 261.4 451.4 246.6 444.4 235.4C437.4 224.1 422.6 220.6 411.4 227.6L293.8 300.4C283.2 292.6 270.1 288 256 288C220.7 288 192 316.7 192 352V352z", "M411.4 227.6C422.6 220.6 437.4 224.1 444.4 235.4C451.4 246.6 447.9 261.4 436.6 268.4L319.1 341.2C319.7 344.7 320 348.3 320 352C320 387.3 291.3 416 256 416C220.7 416 192 387.3 192 352C192 316.7 220.7 288 256 288C270.1 288 283.2 292.6 293.8 300.4L411.4 227.6z"]],
    "gauge-simple-min": [512, 512, ["tachometer-slowest"], "f62d", ["M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 288C241.9 288 228.8 292.6 218.2 300.4L100.6 227.6C89.36 220.6 74.57 224.1 67.59 235.4C60.62 246.6 64.1 261.4 75.37 268.4L192.9 341.2C192.3 344.7 192 348.3 192 352C192 387.3 220.7 416 256 416C291.3 416 320 387.3 320 352C320 316.7 291.3 287.1 256 287.1L256 288z", "M218.2 300.4C228.8 292.6 241.9 288 256 288C291.3 288 320 316.7 320 352C320 387.3 291.3 416 256 416C220.7 416 192 387.3 192 352C192 348.3 192.3 344.7 192.9 341.2L75.37 268.4C64.1 261.4 60.62 246.6 67.59 235.4C74.57 224.1 89.36 220.6 100.6 227.6L218.2 300.4z"]],
    "gavel": [512, 512, ["legal"], "f0e3", ["M214.6 342.6c6.25 6.251 9.374 14.44 9.374 22.62c0 8.187-3.125 16.37-9.376 22.62l-114.7 114.7C93.62 508.9 85.43 512 77.25 512s-16.37-3.125-22.62-9.375l-45.25-45.25c-6.25-6.248-9.375-14.43-9.375-22.62s3.125-16.37 9.375-22.62L124.1 297.4c6.25-6.248 14.44-9.372 22.62-9.372S163.1 291.1 169.4 297.4l81.06-81.06l45.25 45.25L214.6 342.6z", "M512 216.3c0-6.125-2.344-12.25-7.031-16.93L482.3 176.8c-4.688-4.686-10.84-7.028-16.1-7.028s-12.31 2.343-16.1 7.028l-5.625 5.625L329.6 69.28l5.625-5.625c4.687-4.688 7.03-10.84 7.03-16.1s-2.343-12.31-7.03-16.1l-22.62-22.62C307.9 2.344 301.8 0 295.7 0s-12.15 2.344-16.84 7.031L154.2 131.5C149.6 136.2 147.2 142.3 147.2 148.5s2.344 12.25 7.031 16.94l22.62 22.62c4.688 4.688 10.84 7.031 16.1 7.031c6.156 0 12.31-2.344 16.1-7.031l5.625-5.625l113.1 113.1l-5.625 5.621c-4.688 4.688-7.031 10.84-7.031 16.1s2.344 12.31 7.031 16.1l22.62 22.62c4.688 4.688 10.81 7.031 16.94 7.031s12.25-2.344 16.94-7.031l124.5-124.6C509.7 228.5 512 222.5 512 216.3z"]],
    "gear": [512, 512, [9881, "cog"], "f013", ["M304 256C304 282.5 282.5 304 256 304C229.5 304 208 282.5 208 256C208 229.5 229.5 208 256 208C282.5 208 304 229.5 304 256z", "M495.9 166.6C499.2 175.2 496.4 184.9 489.6 191.2L446.3 230.6C447.4 238.9 448 247.4 448 255.1C448 264.6 447.4 273.1 446.3 281.4L489.6 320.8C496.4 327.1 499.2 336.7 495.9 345.4C491.5 357.3 486.2 368.8 480.2 379.7L475.5 387.8C468.9 398.8 461.5 409.2 453.4 419.1C447.4 426.2 437.7 428.7 428.9 425.9L373.2 408.1C359.8 418.4 344.1 427 329.2 433.6L316.7 490.7C314.7 499.7 307.7 506.1 298.5 508.5C284.7 510.8 270.5 512 255.1 512C241.5 512 227.3 510.8 213.5 508.5C204.3 506.1 197.3 499.7 195.3 490.7L182.8 433.6C167 427 152.2 418.4 138.8 408.1L83.14 425.9C74.3 428.7 64.55 426.2 58.63 419.1C50.52 409.2 43.12 398.8 36.52 387.8L31.84 379.7C25.77 368.8 20.49 357.3 16.06 345.4C12.82 336.8 15.55 327.1 22.41 320.8L65.67 281.4C64.57 273.1 64 264.6 64 256C64 247.4 64.57 238.9 65.67 230.6L22.41 191.2C15.55 184.9 12.82 175.3 16.06 166.6C20.49 154.7 25.78 143.2 31.84 132.3L36.51 124.2C43.11 113.2 50.52 102.8 58.63 92.95C64.55 85.8 74.3 83.32 83.14 86.14L138.8 103.9C152.2 93.56 167 84.96 182.8 78.43L195.3 21.33C197.3 12.25 204.3 5.04 213.5 3.51C227.3 1.201 241.5 0 255.1 0C270.5 0 284.7 1.201 298.5 3.51C307.7 5.04 314.7 12.25 316.7 21.33L329.2 78.43C344.1 84.96 359.8 93.56 373.2 103.9L428.9 86.14C437.7 83.32 447.4 85.8 453.4 92.95C461.5 102.8 468.9 113.2 475.5 124.2L480.2 132.3C486.2 143.2 491.5 154.7 495.9 166.6L495.9 166.6zM256 336C300.2 336 336 300.2 336 255.1C336 211.8 300.2 175.1 256 175.1C211.8 175.1 176 211.8 176 255.1C176 300.2 211.8 336 256 336z"]],
    "gears": [640, 512, ["cogs"], "f085", ["M529.7 506.7C520.1 510.4 511 507.5 504.7 500.5L484.9 478.3C478.1 479.4 471.1 480 464 480C456.9 480 449.9 479.4 443.1 478.3L423.3 500.5C416.1 507.5 407 510.4 398.3 506.7C393 504.4 387.8 501.9 382.8 499.1L377.4 496C372.4 492.1 367.6 489.7 362.9 486.2C355.3 480.5 352.8 470.5 355.8 461.5L365.1 433.2C356.2 422.5 349.1 410.3 344.1 397L315.1 390.1C305.8 389 298.4 381.8 297.2 372.4C296.4 365.7 296 358.9 296 352C296 345.1 296.4 338.3 297.2 331.6C298.4 322.2 305.8 314.1 315.1 313L344.1 306.1C349.1 293.7 356.2 281.5 365.1 270.8L355.8 242.5C352.8 233.5 355.3 223.5 362.9 217.8C367.6 214.3 372.5 210.1 377.5 207.9L382.8 204.9C387.8 202.1 392.1 199.6 398.3 197.3C407 193.6 416.1 196.5 423.3 203.5L443.1 225.7C449.9 224.6 456.9 224 464 224C471.1 224 478.1 224.6 484.9 225.7L504.7 203.5C511 196.5 520.1 193.6 529.7 197.3C535 199.6 540.2 202.1 545.2 204.9L550.5 207.9C555.5 210.1 560.4 214.3 565.1 217.8C572.7 223.5 575.2 233.5 572.2 242.5L562.9 270.8C571.8 281.5 578.9 293.7 583.9 306.1L612.9 313C622.2 314.1 629.6 322.2 630.8 331.6C631.6 338.3 632 345.1 632 352C632 358.9 631.6 365.7 630.8 372.4C629.6 381.8 622.2 389 612.9 390.1L583.9 397C578.9 410.3 571.8 422.5 562.9 433.2L572.2 461.5C575.2 470.5 572.7 480.5 565.1 486.2C560.4 489.7 555.6 492.1 550.6 496L545.2 499.1C540.2 501.9 534.1 504.4 529.7 506.7H529.7zM416 352C416 378.5 437.5 400 464 400C490.5 400 512 378.5 512 352C512 325.5 490.5 304 464 304C437.5 304 416 325.5 416 352z", "M314.7 110.3C318.4 119 315.5 128.1 308.5 135.3L286.3 155.1C287.4 161.9 288 168.9 288 175.1C288 183.1 287.4 190.1 286.3 196.9L308.5 216.7C315.5 223 318.4 232.1 314.7 241.7C312.4 246.1 309.9 252.2 307.1 257.2L304 262.6C300.1 267.6 297.7 272.4 294.2 277.1C288.5 284.7 278.5 287.2 269.5 284.2L241.2 274.9C230.5 283.8 218.3 290.9 205 295.9L198.1 324.9C197 334.2 189.8 341.6 180.4 342.8C173.7 343.6 166.9 344 160 344C153.1 344 146.3 343.6 139.6 342.8C130.2 341.6 122.1 334.2 121 324.9L114.1 295.9C101.7 290.9 89.5 283.8 78.75 274.9L50.53 284.2C41.54 287.2 31.52 284.7 25.82 277.1C22.28 272.4 18.98 267.5 15.94 262.5L12.92 257.2C10.13 252.2 7.592 247 5.324 241.7C1.62 232.1 4.458 223 11.52 216.7L33.7 196.9C32.58 190.1 31.1 183.1 31.1 175.1C31.1 168.9 32.58 161.9 33.7 155.1L11.52 135.3C4.458 128.1 1.62 119 5.324 110.3C7.592 104.1 10.13 99.79 12.91 94.76L15.95 89.51C18.98 84.46 22.28 79.58 25.82 74.89C31.52 67.34 41.54 64.83 50.53 67.79L78.75 77.09C89.5 68.25 101.7 61.13 114.1 56.15L121 27.08C122.1 17.8 130.2 10.37 139.6 9.231C146.3 8.418 153.1 8 160 8C166.9 8 173.7 8.418 180.4 9.23C189.8 10.37 197 17.8 198.1 27.08L205 56.15C218.3 61.13 230.5 68.25 241.2 77.09L269.5 67.79C278.5 64.83 288.5 67.34 294.2 74.89C297.7 79.56 300.1 84.42 304 89.44L307.1 94.83C309.9 99.84 312.4 105 314.7 110.3L314.7 110.3zM160 223.1C186.5 223.1 208 202.5 208 175.1C208 149.5 186.5 127.1 160 127.1C133.5 127.1 112 149.5 112 175.1C112 202.5 133.5 223.1 160 223.1z"]],
    "gem": [512, 512, [128142], "f3a5", ["M256 192l144-128h-288L256 192zM222.3 224L112 64L0 224H222.3zM512 224l-112-160l-110.3 160H512z", "M512 224l-244.3 250.9C264.6 478.2 260.4 480 256 480s-8.636-1.828-11.67-5.062L0 224H512z"]],
    "genderless": [384, 512, [], "f22d", ["M192 320c-35.3 0-64-28.7-64-64c0-35.3 28.7-64 64-64s64 28.7 64 64C256 291.3 227.3 320 192 320z", "M192 160c52.94 0 96 43.06 96 96s-43.06 96-96 96S96 308.9 96 256S139.1 160 192 160zM192 80C94.83 80 16 158.8 16 256c0 97.17 78.83 176 176 176s176-78.83 176-176C368 158.8 289.2 80 192 80z"]],
    "ghost": [384, 512, [128123], "f6e2", ["M186.1 .1032c-105.1 3.126-186.1 94.75-186.1 199.9v264c0 14.25 17.3 21.38 27.3 11.25l24.95-18.5c6.625-5.001 16-4.001 21.5 2.25l43 48.31c6.25 6.251 16.37 6.251 22.62 0l40.62-45.81c6.375-7.251 17.62-7.251 24 0l40.63 45.81c6.25 6.251 16.38 6.251 22.62 0l43-48.31c5.5-6.251 14.88-7.251 21.5-2.25l24.95 18.5c10 10.13 27.3 3.002 27.3-11.25V192C384 83.98 294.9-3.147 186.1 .1032zM128 224c-17.62 0-31.1-14.38-31.1-32.01s14.38-32.01 31.1-32.01s32 14.38 32 32.01S145.6 224 128 224zM256 224c-17.62 0-32-14.38-32-32.01s14.38-32.01 32-32.01c17.62 0 32 14.38 32 32.01S273.6 224 256 224z", "M128 159.1c-17.62 0-31.1 14.38-31.1 32.01s14.38 32.01 31.1 32.01s32-14.38 32-32.01S145.6 159.1 128 159.1zM256 159.1c-17.62 0-32 14.38-32 32.01s14.38 32.01 32 32.01s32-14.38 32-32.01S273.6 159.1 256 159.1z"]],
    "gif": [576, 512, [], "e190", ["M512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM260 306.9c0 5.297-2.109 10.39-5.859 14.14C237 338.2 212.4 348 186.5 348c-25.84 0-50.48-9.828-67.59-26.95C101.6 303.7 92 280.6 92 256s9.578-47.67 26.95-65.05c34.75-34.78 94.17-34.75 128.9 0c7.812 7.812 7.812 20.48 0 28.28c-7.828 7.812-20.48 7.812-28.28 0c-19.66-19.67-52.72-19.67-72.36 0C137.4 229.1 132 242.1 132 256s5.406 26.94 15.23 36.77C164.8 310.3 199.5 312.4 220 297.7V284H182.8c-11.05 0-20-8.953-20-20s8.953-20 20-20H240c11.05 0 20 8.953 20 20V306.9zM324 328c0 11.05-8.953 20-20 20s-20-8.953-20-20v-144c0-11.05 8.953-20 20-20s20 8.953 20 20V328zM464 204h-68v32H448c11.05 0 20 8.953 20 20S459 276 448 276h-52v52c0 11.05-8.953 20-20 20s-20-8.953-20-20v-144c0-11.05 8.953-20 20-20h88c11.05 0 20 8.953 20 20S475 204 464 204z", "M240 244H182.8c-11.05 0-20 8.953-20 20s8.953 20 20 20H220v13.73c-20.5 14.67-55.22 12.61-72.77-4.969C137.4 282.9 132 269.9 132 256s5.406-26.94 15.23-36.77c19.64-19.67 52.7-19.67 72.36 0c7.797 7.812 20.45 7.812 28.28 0c7.812-7.797 7.812-20.47 0-28.28c-34.75-34.75-94.17-34.78-128.9 0C101.6 208.3 92 231.4 92 256s9.578 47.67 26.95 65.05C136.1 338.2 160.7 348 186.5 348c25.83 0 50.47-9.828 67.59-26.95C257.9 317.3 260 312.2 260 306.9V264C260 252.1 251 244 240 244zM304 164c-11.05 0-20 8.953-20 20v144c0 11.05 8.953 20 20 20s20-8.953 20-20v-144C324 172.1 315 164 304 164zM464 204c11.05 0 20-8.953 20-20S475 164 464 164h-88c-11.05 0-20 8.953-20 20v144c0 11.05 8.953 20 20 20s20-8.953 20-20V276H448c11.05 0 20-8.953 20-20S459 236 448 236h-52v-32H464z"]],
    "gift": [512, 512, [127873], "f06b", ["M152 176H224V256H32C14.33 256 0 241.7 0 224V160C0 142.3 14.33 128 32 128H73.6C88.16 156.5 117.8 176 152 176zM480 256H288V176H360C394.2 176 423.8 156.5 438.4 128H480C497.7 128 512 142.3 512 160V224C512 241.7 497.7 256 480 256zM32 288H224V512H80C53.49 512 32 490.5 32 464V288zM288 512V288H480V464C480 490.5 458.5 512 432 512H288z", "M280.1 44.45C296.3 16.91 325.9 0 357.8 0H360C408.6 0 448 39.4 448 88C448 136.6 408.6 176 360 176H288V256H224V176H152C103.4 176 64 136.6 64 88C64 39.4 103.4 0 152 0H154.2C186.1 0 215.7 16.91 231.9 44.45L256 85.46L280.1 44.45zM190.5 68.78C182.9 55.91 169.1 48 154.2 48H152C129.9 48 112 65.91 112 88C112 110.1 129.9 128 152 128H225.3L190.5 68.78zM286.7 128H360C382.1 128 400 110.1 400 88C400 65.91 382.1 48 360 48H357.8C342.9 48 329.1 55.91 321.5 68.78L286.7 128zM224 512V288H288V512H224z"]],
    "gift-card": [576, 512, [], "f663", ["M470.4 128H512C547.3 128 576 156.7 576 192V320H0V192C0 156.7 28.65 128 64 128H105.6C120.2 156.5 149.8 176 184 176H243.4L189.6 240.6C181.1 250.8 182.5 265.1 192.6 274.4C202.8 282.9 217.1 281.5 226.4 271.4L287.1 197.5L349.6 271.4C358 281.5 373.2 282.9 383.4 274.4C393.5 265.1 394.9 250.8 386.4 240.6L332.6 176H392C426.2 176 455.8 156.5 470.4 128H470.4zM576 416V448C576 483.3 547.3 512 512 512H64C28.65 512 0 483.3 0 448V416H576z", "M243.4 176H184C135.4 176 96 136.6 96 88C96 39.4 135.4 0 184 0H186.2C218.1 0 247.7 16.91 263.9 44.45L288 85.46L312.1 44.45C328.3 16.91 357.9 0 389.8 0H392C440.6 0 480 39.4 480 88C480 136.6 440.6 176 392 176H332.6L386.4 240.6C394.9 250.8 393.5 265.1 383.4 274.4C373.2 282.9 358 281.5 349.6 271.4L288 197.5L226.4 271.4C217.1 281.5 202.8 282.9 192.6 274.4C182.5 265.1 181.1 250.8 189.6 240.6L243.4 176zM184 48C161.9 48 144 65.91 144 88C144 110.1 161.9 128 184 128H257.3L222.5 68.78C214.9 55.91 201.1 48 186.2 48H184zM432 88C432 65.91 414.1 48 392 48H389.8C374.9 48 361.1 55.91 353.5 68.78L318.7 128H392C414.1 128 432 110.1 432 88V88zM0 416V320H576V416H0z"]],
    "gifts": [640, 512, [], "f79c", ["M191.3 58.27L216.8 37.42C227.1 29.03 242.2 30.54 250.6 40.8C258.1 51.06 257.5 66.18 247.2 74.57L221 96H66.99L40.8 74.57C30.54 66.18 29.03 51.06 37.43 40.8C45.82 30.54 60.94 29.03 71.2 37.42L98.67 59.9L89.23 31.59C85.04 19.01 91.84 5.422 104.4 1.231C116.1-2.961 130.6 3.835 134.8 16.41L144.7 46.17L155.4 15.99C159.8 3.492 173.5-3.049 186 1.376C198.5 5.801 205 19.52 200.6 32.01L191.3 58.27zM640 272V352H448V272H520C551.4 272 578 251.1 587.9 224H592C618.5 224 640 245.5 640 272zM448 384H640V464C640 490.5 618.5 512 592 512H448V384zM416 384V512H272C245.5 512 224 490.5 224 464V384H416zM416 352H224V272C224 245.5 245.5 224 272 224H276.1C285.1 251.1 312.7 272 344 272H416V352z", "M240 95.1C256.9 95.1 271.7 104.7 280.3 117.9C257.3 135.7 241.9 162.1 240.2 193.1C212.5 201 192 226.1 192 255.1V479.1C192 491.7 195.1 502.6 200.6 511.1H48C21.49 511.1 0 490.5 0 463.1V143.1C0 117.5 21.49 95.1 48 95.1L240 95.1zM272 200C272 160.1 304.5 128 344.2 128C366.6 128 387.8 138.4 401.5 156.2L432 195.8L462.5 156.2C476.2 138.4 497.4 128 519.8 128C559.5 128 592 160.1 592 200C592 239.8 559.8 272 520 272H448V352H640V384H448V512H416V384H224V352H416V272H344C304.2 272 272 239.8 272 200H272zM363.5 185.5C358.9 179.5 351.7 176 344.2 176C330.8 176 320 186.9 320 200C320 213.3 330.7 224 344 224H393.1L363.5 185.5zM519.8 176C512.3 176 505.1 179.5 500.5 185.5L470.9 224H520C533.3 224 544 213.3 544 200C544 186.9 533.2 176 519.8 176H519.8z"]],
    "gingerbread-man": [448, 512, [], "f79d", ["M338.3 303.1h29.75c38.88 0 69.63-34.75 63.13-74.75c-5.125-31.5-34.75-53.25-66.5-53.25h-65.88c-7.125 0-10.5-8.375-5.5-13.5c20.75-21.63 31.5-52.75 24.88-86.25c-7.5-37.5-38.5-67.88-76-74.63c-61.13-11-114.1 35.5-114.1 94.38c0 25.75 10.25 49.13 26.75 66.25C159.7 167.5 156.4 175.1 149.2 175.1H83.37c-31.88 0-61.38 21.75-66.5 53.25C10.37 269.2 41.12 303.1 79.1 303.1h29.75c10.13 0 18.25 8.25 18.25 18.25c0 4.25-1.5 8.375-4.25 11.63L65.62 403.7c-23.38 27.88-21.63 72.38 7.125 94.63C84.25 507.6 98.25 512 111.1 512c18.25 0 36.5-7.75 49.25-23l38.25-45.88c12.75-15.38 36.38-15.38 49.25 0l38.25 45.88C299.8 504.2 317.8 512 336.3 512c13.75 0 27.63-4.375 39.25-13.5c28.75-22.38 30.38-66.75 7.125-94.75l-58.25-69.75c-2.625-3.25-4.125-7.375-4.125-11.75C320 312.2 328.3 303.1 338.3 303.1zM192 95.1c-8.75 0-16.01-7.251-16.01-16s7.25-16 16-16c8.75 0 16 7.25 16 16S200.8 95.1 192 95.1zM224 367.1c-8.75 0-15.1-7.249-15.1-15.1c0-8.75 7.25-16 15.1-16s16 7.251 16 16C240 360.7 232.8 367.1 224 367.1zM224 303.1c-8.75 0-15.1-7.249-15.1-15.1s7.25-16 15.1-16s16 7.252 16 16S232.8 303.1 224 303.1zM224 239.1c-8.75 0-15.1-7.249-15.1-15.1c0-8.75 7.25-16 15.1-16s16 7.251 16 16C240 232.7 232.8 239.1 224 239.1zM256 95.1c-8.75 0-16.01-7.251-16.01-16s7.25-16 16-16s16 7.25 16 16S264.8 95.1 256 95.1z", "M224 335.1c-8.75 0-15.1 7.251-15.1 16c0 8.75 7.25 15.1 15.1 15.1c8.75 0 16-7.249 16-15.1C240 343.2 232.8 335.1 224 335.1zM224 271.1c-8.75 0-15.1 7.252-15.1 16s7.25 15.1 15.1 15.1c8.75 0 16-7.249 16-15.1S232.8 271.1 224 271.1zM224 239.1c8.75 0 16-7.249 16-15.1c0-8.75-7.251-16-16-16c-8.75 0-15.1 7.251-15.1 16C208 232.7 215.3 239.1 224 239.1z"]],
    "glass": [384, 512, [129371], "f804", ["M8.58 10.19C14.63 3.692 23.12 0 32 0H352C360.9 0 369.4 3.692 375.4 10.19C381.5 16.69 384.6 25.42 383.9 34.28L355.1 437.7C352.1 479.6 317.3 512 275.3 512H108.7C66.72 512 31.89 479.6 28.9 437.7L.0813 34.28C-.5517 25.42 2.527 16.69 8.58 10.19V10.19zM66.37 64L92.73 433.1C93.33 441.5 100.3 448 108.7 448H275.3C283.7 448 290.7 441.5 291.3 433.1L317.6 64H66.37z", "M291.3 433.1C290.7 441.5 283.7 448 275.3 448H108.7C100.3 448 93.33 441.5 92.73 433.1L70.94 128H313.1L291.3 433.1z"]],
    "glass-citrus": [512, 512, [], "f869", ["M343.7 138.5c-6.125-6.625-14.75-10.5-23.75-10.5H32.02c-8.998 0-17.62 3.875-23.75 10.5c-6 6.75-8.998 15.62-8.123 24.62l31.99 319.1C33.77 499.5 47.52 512 64.02 512h223.1c16.5 0 30.25-12.5 31.87-28.87l32-319.1C352.7 154.1 349.7 145.3 343.7 138.5zM259 448H92.95L67.36 192h217.3L259 448z", "M368 0c-62.62 0-115.4 40.25-135.1 96h52.5c16.62-28.5 47.25-48 82.62-48c52.1 0 95.99 43 95.99 96c0 50.13-38.62 90.88-87.62 95.13l-4.875 48.5C449.4 285.8 512 222.4 512 144C512 64.5 447.5 0 368 0zM92.95 448h166.1l19.2-192H73.75L92.95 448z"]],
    "glass-empty": [384, 512, [], "e191", ["M8.58 10.19C14.63 3.692 23.12 0 32 0H352C360.9 0 369.4 3.692 375.4 10.19C381.5 16.69 384.6 25.42 383.9 34.28L355.1 437.7C352.1 479.6 317.3 512 275.3 512H108.7C66.72 512 31.89 479.6 28.9 437.7L.0813 34.28C-.5517 25.42 2.527 16.69 8.58 10.19V10.19zM66.37 64L92.73 433.1C93.33 441.5 100.3 448 108.7 448H275.3C283.7 448 290.7 441.5 291.3 433.1L317.6 64H66.37z", ""]],
    "glass-half": [384, 512, ["glass-half-empty", "glass-half-full"], "e192", ["M8.58 10.19C14.63 3.692 23.12 0 32 0H352C360.9 0 369.4 3.692 375.4 10.19C381.5 16.69 384.6 25.42 383.9 34.28L355.1 437.7C352.1 479.6 317.3 512 275.3 512H108.7C66.72 512 31.89 479.6 28.9 437.7L.0813 34.28C-.5517 25.42 2.527 16.69 8.58 10.19V10.19zM66.37 64L92.73 433.1C93.33 441.5 100.3 448 108.7 448H275.3C283.7 448 290.7 441.5 291.3 433.1L317.6 64H66.37z", "M291.3 433.1C290.7 441.5 283.7 448 275.3 448H108.7C100.3 448 93.33 441.5 92.73 433.1L77.8 224H306.2L291.3 433.1z"]],
    "glass-water": [384, 512, [], "e4f4", ["M8.58 10.19C14.63 3.692 23.12 0 32 0H352C360.9 0 369.4 3.692 375.4 10.19C381.5 16.69 384.6 25.42 383.9 34.28L355.1 437.7C352.1 479.6 317.3 512 275.3 512H108.7C66.72 512 31.89 479.6 28.9 437.7L.0813 34.28C-.5517 25.42 2.527 16.69 8.58 10.19V10.19zM66.37 64L92.73 433.1C93.33 441.5 100.3 448 108.7 448H275.3C283.7 448 290.7 441.5 291.3 433.1L317.6 64H66.37z", "M291.3 433.1C290.7 441.5 283.7 448 275.3 448H108.7C100.3 448 93.33 441.5 92.73 433.1L72.97 156.5L97.18 168.6C116.6 178.3 139.4 178.3 158.8 168.6C179.7 158.1 204.3 158.1 225.2 168.6C244.6 178.3 267.4 178.3 286.8 168.6L311 156.5L291.3 433.1z"]],
    "glass-water-droplet": [384, 512, [], "e4f5", ["M8.58 10.19C14.63 3.692 23.12 0 32 0H352C360.9 0 369.4 3.692 375.4 10.19C381.5 16.69 384.6 25.42 383.9 34.28L355.1 437.7C352.1 479.6 317.3 512 275.3 512H108.7C66.72 512 31.89 479.6 28.9 437.7L.0813 34.28C-.5517 25.42 2.527 16.69 8.58 10.19V10.19zM66.37 64L92.73 433.1C93.33 441.5 100.3 448 108.7 448H275.3C283.7 448 290.7 441.5 291.3 433.1L317.6 64H66.37z", "M291.3 433.1C290.7 441.5 283.7 448 275.3 448H108.7C100.3 448 93.33 441.5 92.73 433.1L83.05 297.5L95.1 304C116.1 314.1 139.9 314.1 159.1 304C180.1 293.9 203.9 293.9 224 304C244.1 314.1 267.9 314.1 288 304L300.1 297.5L291.3 433.1zM256 196C256 229.1 227.3 256 191.1 256C156.7 256 127.1 229.1 127.1 196C127.1 171.1 161.7 125.9 180.2 102.5C186.3 94.77 197.7 94.77 203.8 102.5C222.3 125.9 256 171.1 256 196V196z"]],
    "glasses": [576, 512, [], "f530", ["M222.1 370.8c-2.551 33.15-31.09 58.98-65.04 58.98H109.7c-36.03 0-65.36-28.53-65.36-63.6V318.4c23.11-8.289 55.31-16.58 92.61-16.58c30.45 0 60.25 5.578 89.11 16.58L222.1 370.8zM531.6 366.2c0 35.07-29.33 63.6-65.36 63.6h-47.34c-33.95 0-62.49-25.82-65.04-58.98l-3.984-52.45c28.85-11 58.82-16.58 89.27-16.58c36.98 0 69.34 8.289 92.45 16.58V366.2z", "M574.1 280.4l-45.38-181.8c-5.875-23.63-21.62-44-43-55.75c-21.5-11.75-47-14.13-70.25-6.375l-15.25 5.125c-8.375 2.75-12.88 11.88-10 20.25l5 15.13c2.75 8.375 11.88 12.88 20.25 10.13l13.12-4.375c10.88-3.625 23-3.625 33.25 1.75c10.25 5.375 17.5 14.5 20.38 25.75l38.38 153.9c-22.12-6.875-49.75-12.5-81.13-12.5c-34.88 0-73.1 7-114.9 26.75H251.4C210.5 258.6 171.4 251.6 136.5 251.6c-31.38 0-58.1 5.625-81.12 12.5l38.38-153.9C96.63 98.99 103.9 89.87 114.3 84.49c10.12-5.375 22.25-5.375 33.13-1.75l13.12 4.375c8.375 2.75 17.5-1.75 20.25-10.13l5-15.13c2.875-8.375-1.625-17.5-10.13-20.25l-15.25-5.125C137.3 28.74 111.6 31.12 90.25 42.87s-37.13 32.13-43 55.75L1.875 280.4C.6251 285.4 .0001 290.6 .0001 295.9v70.25C.0001 428.1 51.63 480 115.3 480h37.13c60.25 0 110.4-46 114.9-105.4l2.875-38.63h35.75l2.875 38.63C313.3 433.1 363.4 480 423.6 480h37.13c63.62 0 115.2-51 115.2-113.9V295.9C576 290.6 575.4 285.5 574.1 280.4zM222.1 370.8c-2.551 33.15-31.09 58.98-65.04 58.98H109.7c-36.03 0-65.36-28.53-65.36-63.6V318.4c23.11-8.289 55.31-16.58 92.61-16.58c30.45 0 60.25 5.578 89.11 16.58L222.1 370.8zM531.6 366.2c0 35.07-29.33 63.6-65.36 63.6h-47.34c-33.95 0-62.49-25.82-65.04-58.98l-3.984-52.45c28.85-11 58.82-16.58 89.27-16.58c36.98 0 69.34 8.289 92.45 16.58V366.2z"]],
    "glasses-round": [576, 512, [128083, "glasses-alt"], "f5f5", ["M136 432c-48.59 0-88-39.42-88-88c0-48.59 39.41-88 88-88s87.1 39.41 87.1 88C224 392.6 184.6 432 136 432zM440 432c-48.59 0-88-39.42-88-88c0-48.59 39.41-88 88-88s88 39.41 88 88C528 392.6 488.6 432 440 432z", "M560.5 225.9L528.8 98.62C521.1 71.75 495 32 443.4 32c-15.62 0-23.12 2.1-43.13 9.625c-8.375 2.75-12.88 11.88-10 20.25l5 15.12C397.5 83.75 403.8 88 410.4 88c3.625 0 4.875-.75 18.25-5.25c26.12-8.625 48.25 6.125 53.63 27.5L511.9 229c-20.88-13.12-45.37-21-71.87-21c-55.13 0-102.2 32.88-123.6 80H259.6c-21.38-47.13-68.5-80-123.6-80c-26.5 0-51 7.877-71.88 21l29.63-118.8c5.375-21.38 27.5-36.25 53.63-27.5C160.8 87.25 161.1 88 165.6 88c6.625 0 12.88-4.25 15.13-11l5-15.12c2.875-8.375-1.625-17.5-10-20.25C155.8 34.1 148.3 32 132.6 32c-51.63 0-78.63 39.75-85.38 66.62L15.5 225.9C2.125 279.4 .0001 300.1 .0001 343.1c0 75.13 60.88 136 136 136c72.38 0 130.1-56.75 135.2-127.1h33.5c4.25 71.25 62.88 127.1 135.3 127.1c75.13 0 136-60.88 136-136C576 300.1 573.9 279.4 560.5 225.9zM136 432c-48.59 0-88-39.42-88-88c0-48.59 39.41-88 88-88s87.1 39.41 87.1 88C224 392.6 184.6 432 136 432zM440 432c-48.59 0-88-39.42-88-88c0-48.59 39.41-88 88-88s88 39.41 88 88C528 392.6 488.6 432 440 432z"]],
    "globe": [512, 512, [127760], "f0ac", ["M352 256C352 278.2 350.8 299.6 348.7 320H163.3C161.2 299.6 159.1 278.2 159.1 256C159.1 233.8 161.2 212.4 163.3 192H348.7C350.8 212.4 352 233.8 352 256zM503.9 192C509.2 212.5 512 233.9 512 256C512 278.1 509.2 299.5 503.9 320H380.8C382.9 299.4 384 277.1 384 256C384 234 382.9 212.6 380.8 192H503.9zM493.4 160H376.7C366.7 96.14 346.9 42.62 321.4 8.442C399.8 29.09 463.4 85.94 493.4 160zM344.3 160H167.7C173.8 123.6 183.2 91.38 194.7 65.35C205.2 41.74 216.9 24.61 228.2 13.81C239.4 3.178 248.7 0 256 0C263.3 0 272.6 3.178 283.8 13.81C295.1 24.61 306.8 41.74 317.3 65.35C328.8 91.38 338.2 123.6 344.3 160H344.3zM18.61 160C48.59 85.94 112.2 29.09 190.6 8.442C165.1 42.62 145.3 96.14 135.3 160H18.61zM131.2 192C129.1 212.6 127.1 234 127.1 256C127.1 277.1 129.1 299.4 131.2 320H8.065C2.8 299.5 0 278.1 0 256C0 233.9 2.8 212.5 8.065 192H131.2zM194.7 446.6C183.2 420.6 173.8 388.4 167.7 352H344.3C338.2 388.4 328.8 420.6 317.3 446.6C306.8 470.3 295.1 487.4 283.8 498.2C272.6 508.8 263.3 512 255.1 512C248.7 512 239.4 508.8 228.2 498.2C216.9 487.4 205.2 470.3 194.7 446.6H194.7zM190.6 503.6C112.2 482.9 48.59 426.1 18.61 352H135.3C145.3 415.9 165.1 469.4 190.6 503.6V503.6zM321.4 503.6C346.9 469.4 366.7 415.9 376.7 352H493.4C463.4 426.1 399.8 482.9 321.4 503.6V503.6z", "M321.4 503.6C300.6 509.1 278.6 512 255.1 512C233.4 512 211.4 509.1 190.6 503.6C165.1 469.4 145.3 415.9 135.3 352H18.61C14.42 341.7 10.89 330.1 8.065 320H131.2C129.1 299.4 127.1 277.1 127.1 256C127.1 234 129.1 212.6 131.2 192H8.065C10.89 181 14.42 170.3 18.61 160H135.3C145.3 96.14 165.1 42.62 190.6 8.442C211.4 2.934 233.4 0 255.1 0C248.7 0 239.4 3.178 228.2 13.81C216.9 24.61 205.2 41.74 194.7 65.35C183.2 91.38 173.8 123.6 167.7 160H344.3C338.2 123.6 328.8 91.38 317.3 65.35C306.8 41.74 295.1 24.61 283.8 13.81C272.6 3.178 263.3 0 255.1 0C278.6 0 300.6 2.934 321.4 8.442C346.9 42.62 366.7 96.14 376.7 160H493.4C497.6 170.3 501.1 181 503.9 192H380.8C382.9 212.6 384 234 384 256C384 277.1 382.9 299.4 380.8 320H503.9C501.1 330.1 497.6 341.7 493.4 352H376.7C366.7 415.9 346.9 469.4 321.4 503.6H321.4zM167.7 352C173.8 388.4 183.2 420.6 194.7 446.6C205.2 470.3 216.9 487.4 228.2 498.2C239.4 508.8 248.7 512 255.1 512C263.3 512 272.6 508.8 283.8 498.2C295.1 487.4 306.8 470.3 317.3 446.6C328.8 420.6 338.2 388.4 344.3 352H167.7zM352 256C352 233.8 350.8 212.4 348.7 192H163.3C161.2 212.4 159.1 233.8 159.1 256C159.1 278.2 161.2 299.6 163.3 320H348.7C350.8 299.6 352 278.2 352 256z"]],
    "globe-snow": [448, 512, [], "f7a3", ["M224 .0001c-123.7 0-223.1 100.3-223.1 223.1c0 62.87 26.12 119.4 67.88 159.1h124.1l0-32H134.1c-14.25 0-22-15-12.88-24.87L186.8 256H156.7c-10.75 0-16.5-11.25-9.75-18.75l67.37-73.12c5-5.5 14.38-5.5 19.38 0l67.38 73.12C307.8 244.8 302 256 291.3 256h-30.03l65.5 71.12c9 9.875 1.25 24.87-13 24.87h-57.75l0 32h124.1c41.63-40.62 67.88-97.13 67.88-159.1C448 100.3 347.8 .0001 224 .0001zM80 256c-8.75 0-16-7.25-16-15.1c0-8.75 7.25-16 16-16s16 7.25 16 16C96 248.8 88.75 256 80 256zM240 96c-8.75 0-16-7.25-16-15.1s7.25-15.1 16-15.1s16 7.25 16 15.1S248.8 96 240 96zM336 192c-8.75 0-16-7.25-16-15.1s7.25-16 16-16s16 7.25 16 16S344.8 192 336 192z", "M384 415.1h-320l-47.38 71.12c-7.125 10.63 .5 24.87 13.25 24.87h388.3c12.75 0 20.38-14.25 13.25-24.87L384 415.1zM192 383.1l0-32H134.1c-14.25 0-22-15-12.88-24.87L186.8 256H156.7c-10.75 0-16.5-11.25-9.75-18.75l67.37-73.12c5-5.5 14.38-5.5 19.38 0l67.38 73.12C307.8 244.8 302 256 291.3 256h-30.03l65.5 71.12c9 9.875 1.25 24.87-13 24.87h-57.75l0 32H192z"]],
    "globe-stand": [448, 512, [], "f5f6", ["M352 208C352 287.5 287.5 352 208 352C128.5 352 64 287.5 64 208C64 128.5 128.5 64 208 64C287.5 64 352 128.5 352 208z", "M49.61 332.5C58.98 323.1 74.18 323.1 83.55 332.5C152.3 401.2 263.7 401.2 332.5 332.5C401.2 263.7 401.2 152.3 332.5 83.55C323.1 74.18 323.1 58.98 332.5 49.61L367 15.03C376.4 5.657 391.6 5.657 400.1 15.03C410.3 24.4 410.3 39.6 400.1 48.97L382.5 67.48C453.5 155.4 448.1 284.6 366.4 366.4C328.8 404 281.1 425.5 232 430.7V464H328C341.3 464 352 474.7 352 488C352 501.3 341.3 512 328 512H87.1C74.74 512 63.1 501.3 63.1 488C63.1 474.7 74.74 464 87.1 464H183.1V430.7C142.4 426.3 101.8 410.2 67.48 382.5L48.97 400.1C39.6 410.3 24.4 410.3 15.03 400.1C5.657 391.6 5.657 376.4 15.03 367L49.61 332.5z"]],
    "goal-net": [640, 512, [], "e3ab", ["M528 224C536.8 224 544 216.8 544 208C544 199.2 536.8 192 528 192H480V144C480 135.2 472.8 128 464 128S448 135.2 448 144V192h-64V144C384 135.2 376.8 128 368 128S352 135.2 352 144V192H288V144C288 135.2 280.8 128 272 128S256 135.2 256 144V192H192V144C192 135.2 184.8 128 176 128S160 135.2 160 144V192H112C103.2 192 96 199.2 96 208C96 216.8 103.2 224 112 224H160v64H112C103.2 288 96 295.2 96 304C96 312.8 103.2 320 112 320H160v64H112C103.2 384 96 391.2 96 400C96 408.8 103.2 416 112 416H160v48C160 472.8 167.2 480 176 480S192 472.8 192 464V416h64v48C256 472.8 263.2 480 272 480S288 472.8 288 464V416h64v48c0 8.836 7.164 16 16 16s16-7.164 16-16V416h64v48c0 8.836 7.164 16 16 16s16-7.164 16-16V416h48c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16H480v-64h48c8.836 0 16-7.164 16-16C544 295.2 536.8 288 528 288H480V224H528zM256 384H192v-64h64V384zM256 288H192V224h64V288zM352 384H288v-64h64V384zM352 288H288V224h64V288zM448 384h-64v-64h64V384zM448 288h-64V224h64V288z", "M544 32H96C43.06 32 0 75.06 0 128v320c0 17.69 14.31 32 32 32s32-14.31 32-32V128c0-17.66 14.34-32 32-32h448c17.66 0 32 14.34 32 32v320c0 17.69 14.31 32 32 32s32-14.31 32-32V128C640 75.06 596.9 32 544 32z"]],
    "golf-ball-tee": [384, 512, ["golf-ball"], "f450", ["M192 .0001c-106 0-192 86.68-192 193.6c0 65.78 32.82 123.5 82.52 158.4h218.1C351.2 317.1 384 259.4 384 193.6C384 86.68 298 .0001 192 .0001zM179 205.1C183 206.9 187.4 208 192 208c17.53 0 31.74-14.33 31.74-31.1c0-4.687-1.111-9.062-2.904-13.07c11.03 5.016 18.77 16.08 18.77 29.07c0 17.67-14.21 31.1-31.74 31.1C194.1 224 184 216.2 179 205.1zM223.7 303.1c-12.88 0-23.86-7.812-28.83-18.93c3.977 1.809 8.316 2.93 12.96 2.93c17.53 0 31.74-14.33 31.74-31.1c0-4.688-1.109-9.062-2.904-13.07c11.03 5.016 18.77 16.08 18.77 29.07C255.5 289.7 241.3 303.1 223.7 303.1zM287.2 240c-12.88 0-23.86-7.812-28.83-18.93c3.977 1.809 8.316 2.93 12.96 2.93c17.53 0 31.73-14.33 31.73-31.1c0-4.687-1.109-9.062-2.902-13.07C311.2 183.9 318.9 195 318.9 208C318.9 225.7 304.7 240 287.2 240z", "M96 399.1c0 17.67 14.33 31.1 32 31.1s32 14.33 32 31.1v48h64v-48c0-17.67 14.33-31.1 32-31.1s32-14.33 32-31.1v-16H96V399.1zM239.6 256c0 17.67-14.21 31.1-31.74 31.1c-4.646 0-8.986-1.121-12.96-2.93c4.973 11.12 15.95 18.93 28.83 18.93c17.53 0 31.73-14.33 31.73-31.1c0-12.99-7.746-24.05-18.77-29.07C238.5 246.9 239.6 251.3 239.6 256zM207.9 224c17.53 0 31.74-14.33 31.74-31.1c0-12.99-7.746-24.05-18.77-29.07c1.793 4.008 2.904 8.383 2.904 13.07c0 17.67-14.21 31.1-31.74 31.1c-4.646 0-8.988-1.121-12.96-2.93C184 216.2 194.1 224 207.9 224zM300.2 178.9c1.793 4.008 2.902 8.383 2.902 13.07c0 17.67-14.21 31.1-31.73 31.1c-4.648 0-8.988-1.121-12.96-2.93c4.975 11.12 15.95 18.93 28.83 18.93c17.53 0 31.74-14.33 31.74-31.1C318.9 195 311.2 183.9 300.2 178.9z"]],
    "golf-club": [512, 512, [], "f451", ["M508.6 46.33l-223.1 447.1C279.2 505.2 268.1 512 255.1 512H31.1C14.33 512 0 497.7 0 480v-7.999h47.1c8.836 0 15.1-7.164 15.1-15.1c0-8.837-7.164-15.1-15.1-15.1H0v-31.1h47.1c8.836 0 15.1-7.163 15.1-15.1c0-8.837-7.164-15.1-15.1-15.1H0v-23.1c0-17.67 14.35-32 32-32c3.288 0 6.592 .5055 9.792 1.534l221.1 71.36l187.6-375.2C456.1 6.491 468.3 0 480 0C496.7 0 512 13.37 512 32.04C512 36.85 510.9 41.73 508.6 46.33z", "M47.1 440H0v31.1h47.1c8.836 0 15.1-7.164 15.1-15.1C63.1 447.2 56.83 440 47.1 440zM63.1 392c0-8.838-7.164-15.1-15.1-15.1H0v31.1h47.1C56.83 408 63.1 400.8 63.1 392z"]],
    "golf-flag-hole": [512, 512, [], "e3ac", ["M512 416c0 53.02-114.6 96-256 96s-256-42.98-256-96c0-35.51 51.55-66.45 128-83.05V416c0 17.67 35.82 32 80 32s80-14.33 80-32c0-17.67-35.82-32-80-32c-11.39 0-22.19 .9844-32 2.701v-61.85C201.2 321.7 228 320 256 320C397.4 320 512 362.1 512 416z", "M384 128c0 6.157-3.194 12.31-9.585 15.51L176 242.7v202.6C147.8 440.4 128 429.1 128 416V17.36c0-10.05 8.249-17.36 17.35-17.36c2.57 0 5.207 .5836 7.746 1.853L374.4 112.5C380.8 115.7 384 121.9 384 128z"]],
    "gopuram": [512, 512, [], "f664", ["M320 128H352V224H320V128zM384 352H352V224H384V352zM384 352H416V512H384V352zM160 352H128V512H96V352H128V224H160V352zM160 224V128H192V224H160z", "M120 0C133.3 0 144 10.75 144 24V32H184V24C184 10.75 194.7 0 208 0C221.3 0 232 10.75 232 24V32H280V24C280 10.75 290.7 0 304 0C317.3 0 328 10.75 328 24V32H368V24C368 10.75 378.7 0 392 0C405.3 0 416 10.75 416 24V128C433.7 128 448 142.3 448 160V224C465.7 224 480 238.3 480 256V352C497.7 352 512 366.3 512 384V480C512 497.7 497.7 512 480 512H416V352H384V224H352V128H320V224H352V352H384V512H304V464C304 437.5 282.5 416 256 416C229.5 416 208 437.5 208 464V512H128V352H160V224H192V128H160V224H128V352H96V512H32C14.33 512 0 497.7 0 480V384C0 366.3 14.33 352 32 352V256C32 238.3 46.33 224 64 224V160C64 142.3 78.33 128 96 128V24C96 10.75 106.7 0 120 0zM256 272C238.3 272 224 286.3 224 304V352H288V304C288 286.3 273.7 272 256 272zM224 224H288V192C288 174.3 273.7 160 256 160C238.3 160 224 174.3 224 192V224z"]],
    "graduation-cap": [640, 512, [127891, "mortar-board"], "f19d", ["M323.9 143.5L161 184.2C121.6 194.1 92.4 225 83.28 263.1C90.83 268.1 96 277.7 96 288c0 9.953-4.814 18.49-11.94 24.36l24.83 149C110.5 471.1 103 480 93.11 480H34.89c-9.887 0-17.41-8.879-15.78-18.63l24.83-149C36.81 306.5 32 297.1 32 288c0-13.24 8.047-24.61 19.52-29.47c11.02-50.84 49.58-92.28 101.7-105.3l162.9-40.72c8.438-2.25 17.28 3.047 19.41 11.64C337.7 132.7 332.5 141.4 323.9 143.5z", "M640 160c0 10.38-6.438 19.65-16.05 23.09l-282.7 101.2c-13.73 4.91-28.7 4.91-42.43 0L108.2 216.1C121.9 200.9 139.1 189.5 161 184.2l162.9-40.72c8.594-2.141 13.78-10.83 11.66-19.39c-2.125-8.594-10.97-13.89-19.41-11.64L153.3 153.2C121.4 161.2 94.6 179.8 76.07 204.6L16.05 183.1C6.438 179.6 0 170.4 0 160s6.438-19.65 16.05-23.09l282.7-101.2c13.73-4.91 28.7-4.91 42.43 0l282.7 101.2C633.6 140.4 640 149.6 640 160zM351.1 314.4C341.7 318.1 330.9 320 320 320c-10.92 0-21.69-1.867-32-5.555L142.8 262.5L128 405.3C128 446.6 213.1 480 320 480c105.1 0 192-33.4 192-74.67l-14.78-142.9L351.1 314.4z"]],
    "gramophone": [384, 512, [], "f8bd", ["M376 269.1c0 45.75-37.13 82.75-82.75 82.75l-69.25-.0009v32.14h-64l-.0002-56.14c0-13.25 10.75-24 24-24h109.2c19.12 0 34.75-15.5 34.75-34.75c0-12.13-8.125-22.75-19.88-25.88c-76.75-20.63-175.7 30.75-238.6 73.88c-18.12 12.38-42.5-4.5-36.63-26.13l73.13-273.3C111.8-3.656 141.3-6.527 150.9 13.6c32.13 67.25 92.25 162.5 169.7 183.3C353.3 205.6 376 235.2 376 269.1z", "M384 463.1l-.0001 32c0 8.875-7.125 16-16 16h-352c-8.875 0-16-7.125-16-16l0-32c0-8.875 7.125-16 16-16l15.1 .0006L32 415.1c0-17.63 14.38-32 32-32h255.1c17.62 0 32 14.37 32 32l0 32l16-.0006C376.9 447.1 384 455.1 384 463.1z"]],
    "grapes": [512, 512, [], "e306", ["M392.4 119.6c18.08-37.78 11.56-81.72-19.76-114.8c-6.009-6.352-16.8-6.354-22.8 .0097c-40.48 42.96-39.09 103.8 3.263 145.9l8.246 8.246c42.12 42.35 103 43.74 145.9 3.263c6.354-5.998 6.343-16.78-.0041-22.79C474.1 108.1 430.2 101.5 392.4 119.6z", "M56 400C25.07 400 0 425.1 0 456S25.07 512 56 512s56-25.07 56-56S86.93 400 56 400zM224 232C193.1 232 168 257.1 168 288S193.1 344 224 344S280 318.9 280 288S254.9 232 224 232zM336 344c-30.93 0-55.93 25.05-55.93 55.97S305.1 456 336 456s56-25.07 56-56S366.9 344 336 344zM112 231.9C142.1 231.9 168 206.9 168 176S142.9 120 112 120S56 145.1 56 176S81.1 231.9 112 231.9zM88 256C57.07 256 32 281.1 32 312s25.07 56 56 56S144 342.9 144 312S118.9 256 88 256zM200 368c-30.93 0-56 25.07-56 56S169.1 480 200 480S256 454.9 256 424S230.9 368 200 368zM248 208c30.93 0 56-25.07 56-56S278.9 96 248 96S192 121.1 192 152S217.1 208 248 208zM360 208c-30.93 0-56 25.07-56 56S329.1 320 360 320S416 294.9 416 264S390.9 208 360 208z"]],
    "grate": [448, 512, [], "e193", ["M352 288v128h-64V288h-32v128H192V288H160v128H96V288H64V224h32V96h64v128h32V96h64v128h32V96h64v128h32v64H352z", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM384 416H64V96h320V416z"]],
    "grate-droplet": [576, 512, [], "e194", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h280.2C328.1 457.3 320 430 320 400.7c0-37.73 14.8-65.7 32-91.31V288h14.82c17.79-25.07 35.88-51.44 47.95-91.42C419.8 180 432.3 167.7 448 162.6V96C448 60.65 419.3 32 384 32zM96 416H64V288h32V416zM96 224H64V96h32V224zM192 416H160V288h32V416zM192 224H160V96h32V224zM288 416H256V288h32V416zM288 224H256V96h32V224zM384 224h-32V96h32V224z", "M482.6 205.8c-5.031-18.05-31.5-18.83-37.19 0C415.7 304.3 352 331.2 352 400.7C352 462.2 402.1 512 464 512s112-49.84 112-111.3C576 330.8 512.5 304.9 482.6 205.8z"]],
    "greater-than": [384, 512, [62769], "3e", ["M32.03 448c-11.75 0-23.05-6.469-28.66-17.69c-7.906-15.81-1.5-35.03 14.31-42.94l262.8-131.4L17.69 124.6C1.875 116.7-4.531 97.51 3.375 81.7c7.891-15.81 27.06-22.19 42.94-14.31l320 160C377.2 232.8 384 243.9 384 256c0 12.12-6.844 23.19-17.69 28.63l-320 160C41.72 446.9 36.83 448 32.03 448z", ""]],
    "greater-than-equal": [448, 512, [], "f532", ["M34.28 331.9c5.016 12.53 17.03 20.12 29.73 20.12c3.953 0 7.969-.7187 11.88-2.281l320-127.1C408 216.9 416 205.1 416 192s-7.969-24.85-20.11-29.72l-320-128c-16.47-6.594-35.05 1.406-41.61 17.84C27.72 68.55 35.7 87.17 52.11 93.73l245.7 98.28L52.11 290.3C35.7 296.9 27.72 315.5 34.28 331.9z", "M416 416H32c-17.67 0-32 14.31-32 31.99s14.33 32.01 32 32.01h384c17.67 0 32-14.32 32-32.01S433.7 416 416 416z"]],
    "grid": [448, 512, ["grid-3"], "e195", ["M248 32C270.1 32 288 49.91 288 72V120C288 142.1 270.1 160 248 160H200C177.9 160 160 142.1 160 120V72C160 49.91 177.9 32 200 32H248zM88 192C110.1 192 128 209.9 128 232V280C128 302.1 110.1 320 88 320H40C17.91 320 0 302.1 0 280V232C0 209.9 17.91 192 40 192H88zM160 392C160 369.9 177.9 352 200 352H248C270.1 352 288 369.9 288 392V440C288 462.1 270.1 480 248 480H200C177.9 480 160 462.1 160 440V392zM408 192C430.1 192 448 209.9 448 232V280C448 302.1 430.1 320 408 320H360C337.9 320 320 302.1 320 280V232C320 209.9 337.9 192 360 192H408z", "M0 72C0 49.91 17.91 32 40 32H88C110.1 32 128 49.91 128 72V120C128 142.1 110.1 160 88 160H40C17.91 160 0 142.1 0 120V72zM0 392C0 369.9 17.91 352 40 352H88C110.1 352 128 369.9 128 392V440C128 462.1 110.1 480 88 480H40C17.91 480 0 462.1 0 440V392zM288 280C288 302.1 270.1 320 248 320H200C177.9 320 160 302.1 160 280V232C160 209.9 177.9 192 200 192H248C270.1 192 288 209.9 288 232V280zM320 72C320 49.91 337.9 32 360 32H408C430.1 32 448 49.91 448 72V120C448 142.1 430.1 160 408 160H360C337.9 160 320 142.1 320 120V72zM448 440C448 462.1 430.1 480 408 480H360C337.9 480 320 462.1 320 440V392C320 369.9 337.9 352 360 352H408C430.1 352 448 369.9 448 392V440z"]],
    "grid-2": [448, 512, [], "e196", ["M448 184C448 206.1 430.1 224 408 224H296C273.9 224 256 206.1 256 184V72C256 49.91 273.9 32 296 32H408C430.1 32 448 49.91 448 72V184zM192 440C192 462.1 174.1 480 152 480H40C17.91 480 0 462.1 0 440V328C0 305.9 17.91 288 40 288H152C174.1 288 192 305.9 192 328V440z", "M192 176C192 202.5 170.5 224 144 224H48C21.49 224 0 202.5 0 176V80C0 53.49 21.49 32 48 32H144C170.5 32 192 53.49 192 80V176zM448 432C448 458.5 426.5 480 400 480H304C277.5 480 256 458.5 256 432V336C256 309.5 277.5 288 304 288H400C426.5 288 448 309.5 448 336V432z"]],
    "grid-2-plus": [512, 512, [], "e197", ["M32 80C32 53.49 53.49 32 80 32H176C202.5 32 224 53.49 224 80V176C224 202.5 202.5 224 176 224H80C53.49 224 32 202.5 32 176V80zM32 336C32 309.5 53.49 288 80 288H176C202.5 288 224 309.5 224 336V432C224 458.5 202.5 480 176 480H80C53.49 480 32 458.5 32 432V336zM432 32C458.5 32 480 53.49 480 80V176C480 202.5 458.5 224 432 224H336C309.5 224 288 202.5 288 176V80C288 53.49 309.5 32 336 32H432z", "M408 360H472C485.3 360 496 370.7 496 384C496 397.3 485.3 408 472 408H408V472C408 485.3 397.3 496 384 496C370.7 496 360 485.3 360 472V408H296C282.7 408 272 397.3 272 384C272 370.7 282.7 360 296 360H360V296C360 282.7 370.7 272 384 272C397.3 272 408 282.7 408 296V360z"]],
    "grid-4": [448, 512, [], "e198", ["M119.5 48C119.5 39.16 126.6 32 135.5 32H193.1C201.9 32 209.1 39.16 209.1 48V105.6C209.1 114.4 201.9 121.6 193.1 121.6H135.5C126.6 121.6 119.5 114.4 119.5 105.6V48zM73.6 151.5C82.44 151.5 89.6 158.6 89.6 167.5V225.1C89.6 233.9 82.44 241.1 73.6 241.1H16C7.164 241.1 0 233.9 0 225.1V167.5C0 158.6 7.164 151.5 16 151.5H73.6zM73.6 390.4C82.44 390.4 89.6 397.6 89.6 406.4V464C89.6 472.8 82.44 480 73.6 480H16C7.164 480 0 472.8 0 464V406.4C0 397.6 7.164 390.4 16 390.4H73.6zM193.1 270.9C201.9 270.9 209.1 278.1 209.1 286.9V344.5C209.1 353.4 201.9 360.5 193.1 360.5H135.5C126.6 360.5 119.5 353.4 119.5 344.5V286.9C119.5 278.1 126.6 270.9 135.5 270.9H193.1zM238.9 167.5C238.9 158.6 246.1 151.5 254.9 151.5H312.5C321.4 151.5 328.5 158.6 328.5 167.5V225.1C328.5 233.9 321.4 241.1 312.5 241.1H254.9C246.1 241.1 238.9 233.9 238.9 225.1V167.5zM312.5 390.4C321.4 390.4 328.5 397.6 328.5 406.4V464C328.5 472.8 321.4 480 312.5 480H254.9C246.1 480 238.9 472.8 238.9 464V406.4C238.9 397.6 246.1 390.4 254.9 390.4H312.5zM358.4 48C358.4 39.16 365.6 32 374.4 32H432C440.8 32 448 39.16 448 48V105.6C448 114.4 440.8 121.6 432 121.6H374.4C365.6 121.6 358.4 114.4 358.4 105.6V48zM432 270.9C440.8 270.9 448 278.1 448 286.9V344.5C448 353.4 440.8 360.5 432 360.5H374.4C365.6 360.5 358.4 353.4 358.4 344.5V286.9C358.4 278.1 365.6 270.9 374.4 270.9H432z", "M73.6 32C82.44 32 89.6 39.16 89.6 48V105.6C89.6 114.4 82.44 121.6 73.6 121.6H16C7.164 121.6 0 114.4 0 105.6V48C0 39.16 7.164 32 16 32H73.6zM73.6 270.9C82.44 270.9 89.6 278.1 89.6 286.9V344.5C89.6 353.4 82.44 360.5 73.6 360.5H16C7.164 360.5 0 353.4 0 344.5V286.9C0 278.1 7.164 270.9 16 270.9H73.6zM119.5 167.5C119.5 158.6 126.6 151.5 135.5 151.5H193.1C201.9 151.5 209.1 158.6 209.1 167.5V225.1C209.1 233.9 201.9 241.1 193.1 241.1H135.5C126.6 241.1 119.5 233.9 119.5 225.1V167.5zM193.1 390.4C201.9 390.4 209.1 397.6 209.1 406.4V464C209.1 472.8 201.9 480 193.1 480H135.5C126.6 480 119.5 472.8 119.5 464V406.4C119.5 397.6 126.6 390.4 135.5 390.4H193.1zM238.9 48C238.9 39.16 246.1 32 254.9 32H312.5C321.4 32 328.5 39.16 328.5 48V105.6C328.5 114.4 321.4 121.6 312.5 121.6H254.9C246.1 121.6 238.9 114.4 238.9 105.6V48zM312.5 270.9C321.4 270.9 328.5 278.1 328.5 286.9V344.5C328.5 353.4 321.4 360.5 312.5 360.5H254.9C246.1 360.5 238.9 353.4 238.9 344.5V286.9C238.9 278.1 246.1 270.9 254.9 270.9H312.5zM358.4 167.5C358.4 158.6 365.6 151.5 374.4 151.5H432C440.8 151.5 448 158.6 448 167.5V225.1C448 233.9 440.8 241.1 432 241.1H374.4C365.6 241.1 358.4 233.9 358.4 225.1V167.5zM432 390.4C440.8 390.4 448 397.6 448 406.4V464C448 472.8 440.8 480 432 480H374.4C365.6 480 358.4 472.8 358.4 464V406.4C358.4 397.6 365.6 390.4 374.4 390.4H432z"]],
    "grid-5": [448, 512, [], "e199", ["M96 48C96 39.16 103.2 32 112 32H144C152.8 32 160 39.16 160 48V80C160 88.84 152.8 96 144 96H112C103.2 96 96 88.84 96 80V48zM48 128C56.84 128 64 135.2 64 144V176C64 184.8 56.84 192 48 192H16C7.164 192 0 184.8 0 176V144C0 135.2 7.164 128 16 128H48zM48 320C56.84 320 64 327.2 64 336V368C64 376.8 56.84 384 48 384H16C7.164 384 0 376.8 0 368V336C0 327.2 7.164 320 16 320H48zM144 224C152.8 224 160 231.2 160 240V272C160 280.8 152.8 288 144 288H112C103.2 288 96 280.8 96 272V240C96 231.2 103.2 224 112 224H144zM96 432C96 423.2 103.2 416 112 416H144C152.8 416 160 423.2 160 432V464C160 472.8 152.8 480 144 480H112C103.2 480 96 472.8 96 464V432zM240 128C248.8 128 256 135.2 256 144V176C256 184.8 248.8 192 240 192H208C199.2 192 192 184.8 192 176V144C192 135.2 199.2 128 208 128H240zM192 336C192 327.2 199.2 320 208 320H240C248.8 320 256 327.2 256 336V368C256 376.8 248.8 384 240 384H208C199.2 384 192 376.8 192 368V336zM336 32C344.8 32 352 39.16 352 48V80C352 88.84 344.8 96 336 96H304C295.2 96 288 88.84 288 80V48C288 39.16 295.2 32 304 32H336zM288 240C288 231.2 295.2 224 304 224H336C344.8 224 352 231.2 352 240V272C352 280.8 344.8 288 336 288H304C295.2 288 288 280.8 288 272V240zM336 416C344.8 416 352 423.2 352 432V464C352 472.8 344.8 480 336 480H304C295.2 480 288 472.8 288 464V432C288 423.2 295.2 416 304 416H336zM384 144C384 135.2 391.2 128 400 128H432C440.8 128 448 135.2 448 144V176C448 184.8 440.8 192 432 192H400C391.2 192 384 184.8 384 176V144zM432 320C440.8 320 448 327.2 448 336V368C448 376.8 440.8 384 432 384H400C391.2 384 384 376.8 384 368V336C384 327.2 391.2 320 400 320H432z", "M0 48C0 39.16 7.164 32 16 32H48C56.84 32 64 39.16 64 48V80C64 88.84 56.84 96 48 96H16C7.164 96 0 88.84 0 80V48zM0 240C0 231.2 7.164 224 16 224H48C56.84 224 64 231.2 64 240V272C64 280.8 56.84 288 48 288H16C7.164 288 0 280.8 0 272V240zM48 416C56.84 416 64 423.2 64 432V464C64 472.8 56.84 480 48 480H16C7.164 480 0 472.8 0 464V432C0 423.2 7.164 416 16 416H48zM96 144C96 135.2 103.2 128 112 128H144C152.8 128 160 135.2 160 144V176C160 184.8 152.8 192 144 192H112C103.2 192 96 184.8 96 176V144zM144 320C152.8 320 160 327.2 160 336V368C160 376.8 152.8 384 144 384H112C103.2 384 96 376.8 96 368V336C96 327.2 103.2 320 112 320H144zM192 48C192 39.16 199.2 32 208 32H240C248.8 32 256 39.16 256 48V80C256 88.84 248.8 96 240 96H208C199.2 96 192 88.84 192 80V48zM240 224C248.8 224 256 231.2 256 240V272C256 280.8 248.8 288 240 288H208C199.2 288 192 280.8 192 272V240C192 231.2 199.2 224 208 224H240zM192 432C192 423.2 199.2 416 208 416H240C248.8 416 256 423.2 256 432V464C256 472.8 248.8 480 240 480H208C199.2 480 192 472.8 192 464V432zM336 128C344.8 128 352 135.2 352 144V176C352 184.8 344.8 192 336 192H304C295.2 192 288 184.8 288 176V144C288 135.2 295.2 128 304 128H336zM288 336C288 327.2 295.2 320 304 320H336C344.8 320 352 327.2 352 336V368C352 376.8 344.8 384 336 384H304C295.2 384 288 376.8 288 368V336zM432 32C440.8 32 448 39.16 448 48V80C448 88.84 440.8 96 432 96H400C391.2 96 384 88.84 384 80V48C384 39.16 391.2 32 400 32H432zM384 240C384 231.2 391.2 224 400 224H432C440.8 224 448 231.2 448 240V272C448 280.8 440.8 288 432 288H400C391.2 288 384 280.8 384 272V240zM432 416C440.8 416 448 423.2 448 432V464C448 472.8 440.8 480 432 480H400C391.2 480 384 472.8 384 464V432C384 423.2 391.2 416 400 416H432z"]],
    "grid-dividers": [512, 512, [], "e3ad", ["M128 96C145.7 96 160 110.3 160 128V192C160 209.7 145.7 224 128 224H64C46.33 224 32 209.7 32 192V128C32 110.3 46.33 96 64 96H128zM128 384C145.7 384 160 398.3 160 416V480C160 497.7 145.7 512 128 512H64C46.33 512 32 497.7 32 480V416C32 398.3 46.33 384 64 384H128zM192 128C192 110.3 206.3 96 224 96H288C305.7 96 320 110.3 320 128V192C320 209.7 305.7 224 288 224H224C206.3 224 192 209.7 192 192V128zM288 384C305.7 384 320 398.3 320 416V480C320 497.7 305.7 512 288 512H224C206.3 512 192 497.7 192 480V416C192 398.3 206.3 384 224 384H288zM352 128C352 110.3 366.3 96 384 96H448C465.7 96 480 110.3 480 128V192C480 209.7 465.7 224 448 224H384C366.3 224 352 209.7 352 192V128zM448 384C465.7 384 480 398.3 480 416V480C480 497.7 465.7 512 448 512H384C366.3 512 352 497.7 352 480V416C352 398.3 366.3 384 384 384H448z", "M488 0C501.3 0 512 10.75 512 24C512 37.25 501.3 48 488 48H24C10.75 48 0 37.25 0 24C0 10.75 10.75 0 24 0H488zM488 288C501.3 288 512 298.7 512 312C512 325.3 501.3 336 488 336H24C10.75 336 0 325.3 0 312C0 298.7 10.75 288 24 288H488z"]],
    "grid-horizontal": [448, 512, [], "e307", ["M160 168C160 145.9 177.9 128 200 128H248C270.1 128 288 145.9 288 168V216C288 238.1 270.1 256 248 256H200C177.9 256 160 238.1 160 216V168zM0 328C0 305.9 17.91 288 40 288H88C110.1 288 128 305.9 128 328V376C128 398.1 110.1 416 88 416H40C17.91 416 0 398.1 0 376V328zM408 288C430.1 288 448 305.9 448 328V376C448 398.1 430.1 416 408 416H360C337.9 416 320 398.1 320 376V328C320 305.9 337.9 288 360 288H408z", "M0 168C0 145.9 17.91 128 40 128H88C110.1 128 128 145.9 128 168V216C128 238.1 110.1 256 88 256H40C17.91 256 0 238.1 0 216V168zM160 328C160 305.9 177.9 288 200 288H248C270.1 288 288 305.9 288 328V376C288 398.1 270.1 416 248 416H200C177.9 416 160 398.1 160 376V328zM448 216C448 238.1 430.1 256 408 256H360C337.9 256 320 238.1 320 216V168C320 145.9 337.9 128 360 128H408C430.1 128 448 145.9 448 168V216z"]],
    "grill": [448, 512, [], "e5a3", ["M106.1 352.8L129.2 299C143.6 305.7 158.8 310.1 174.7 314.6L151.8 368H296.2L273.3 314.6C289.2 310.1 304.4 305.7 318.8 299L382.1 446.5C387.3 458.7 381.6 472.8 369.5 478.1C357.3 483.3 343.2 477.6 337.9 465.5L316.7 416H160C160 416 160 416 160 416C160 384.1 136.7 357.6 106.1 352.8H106.1z", "M408 32C430.1 32 448 49.91 448 72V96C448 219.7 347.7 320 224 320C100.3 320 0 219.7 0 96V72C0 49.91 17.91 32 40 32H408zM160 416C160 451.3 131.3 480 96 480C60.65 480 32 451.3 32 416C32 380.7 60.65 352 96 352C131.3 352 160 380.7 160 416zM96 392C82.75 392 72 402.7 72 416C72 429.3 82.75 440 96 440C109.3 440 120 429.3 120 416C120 402.7 109.3 392 96 392z"]],
    "grill-fire": [576, 512, [], "e5a4", ["M408 32C430.1 32 448 49.91 448 72V96C448 120.1 444.2 143.3 437.1 165.1C428.7 156.4 419.9 148.1 410.1 139.1C393.3 124 366.2 123.1 348.5 139.9C313.1 171.5 282.9 207.6 261.2 242.7C246.2 267 233.5 293.8 227.6 319.1C226.4 319.1 225.2 320 224 320C207.1 320 190.6 318.1 174.7 314.6L151.8 368H224.8C226.4 384.6 229.1 400.7 235.5 416H160C160 451.3 131.3 480 96 480C60.65 480 32 451.3 32 416C32 380.7 60.65 352 96 352C99.44 352 102.8 352.3 106.1 352.8L129.2 298.1C52.86 263.3 0 185.8 0 96V72C0 49.91 17.91 32 40 32H408zM96 392C82.75 392 72 402.7 72 416C72 429.3 82.75 440 96 440C109.3 440 120 429.3 120 416C120 402.7 109.3 392 96 392z", "M369.8 163.7C375.4 158.7 383.1 158.8 389.5 163.8C409.3 181.6 427.8 200.7 445 221.5C452.9 211.6 461.8 200.8 471.5 191.1C477.1 186.9 485.9 186.9 491.5 192C516.2 214.7 537.1 244.7 551.8 273.2C566.4 301.2 576 329.9 576 350.1C576 437.9 504.7 512 416 512C326.3 512 256 437.8 256 350.1C256 323.7 268.7 291.5 288.4 259.5C308.4 227.2 336.5 193.4 369.8 163.7V163.7zM416.1 448C435 448 451 442.1 466 432.1C496 412 504 370 486 336.1C484 332.1 482 328.1 479 324.1L443 366.1C443 366.1 384.1 292.1 380.1 287.1C351 324.1 336 346 336 370C336 418.1 372 448 416.1 448z"]],
    "grill-hot": [448, 512, [], "e5a5", ["M144 26.59C144 31.94 146.7 36.94 151.1 39.91L163.5 48.16C181.3 60.03 192 80.01 192 101.4V103.1C192 117.3 181.3 127.1 168 127.1C154.7 127.1 144 117.3 144 103.1V101.4C144 96.06 141.3 91.06 136.9 88.09L124.5 79.84C106.7 67.97 96 47.99 96 26.59V24C96 10.75 106.7 0 120 0C133.3 0 144 10.75 144 24V26.59zM256 26.59C256 31.94 258.7 36.94 263.1 39.91L275.5 48.16C293.3 60.03 304 80.01 304 101.4V103.1C304 117.3 293.3 127.1 280 127.1C266.7 127.1 256 117.3 256 103.1V101.4C256 96.06 253.3 91.06 248.9 88.09L236.5 79.84C218.7 67.97 208 47.99 208 26.59V24C208 10.75 218.7 0 232 0C245.3 0 256 10.75 256 24V26.59z", "M0 192C0 174.3 14.33 160 32 160H416C433.7 160 448 174.3 448 192C448 270.1 401.4 337.3 334.4 367.3L382.1 478.5C387.3 490.7 381.6 504.8 369.5 510.1C357.3 515.3 343.2 509.6 337.9 497.5L327 472H155.3C145.9 495.5 122.9 512 96 512C60.65 512 32 483.3 32 448C32 412.7 60.65 384 96 384C99.44 384 102.8 384.3 106.1 384.8L113.6 367.3C46.65 337.3 .0003 270.1 .0003 192H0zM155.3 424H306.5L288.2 381.3C277.7 383.1 266.1 384 256 384H191.1C181 384 170.3 383.1 159.8 381.3L147.5 410C150.7 414.3 153.3 418.1 155.3 424H155.3zM96 472C109.3 472 120 461.3 120 448C120 434.7 109.3 424 96 424C82.75 424 72 434.7 72 448C72 461.3 82.75 472 96 472z"]],
    "grip": [448, 512, ["grip-horizontal"], "f58d", ["M0 328C0 305.9 17.91 288 40 288H88C110.1 288 128 305.9 128 328V376C128 398.1 110.1 416 88 416H40C17.91 416 0 398.1 0 376V328zM160 328C160 305.9 177.9 288 200 288H248C270.1 288 288 305.9 288 328V376C288 398.1 270.1 416 248 416H200C177.9 416 160 398.1 160 376V328zM448 376C448 398.1 430.1 416 408 416H360C337.9 416 320 398.1 320 376V328C320 305.9 337.9 288 360 288H408C430.1 288 448 305.9 448 328V376z", "M0 136C0 113.9 17.91 96 40 96H88C110.1 96 128 113.9 128 136V184C128 206.1 110.1 224 88 224H40C17.91 224 0 206.1 0 184V136zM160 136C160 113.9 177.9 96 200 96H248C270.1 96 288 113.9 288 136V184C288 206.1 270.1 224 248 224H200C177.9 224 160 206.1 160 184V136zM448 184C448 206.1 430.1 224 408 224H360C337.9 224 320 206.1 320 184V136C320 113.9 337.9 96 360 96H408C430.1 96 448 113.9 448 136V184z"]],
    "grip-dots": [448, 512, [], "e410", ["M384 384C357.5 384 336 362.5 336 336C336 309.5 357.5 288 384 288C410.5 288 432 309.5 432 336C432 362.5 410.5 384 384 384zM224 384C197.5 384 176 362.5 176 336C176 309.5 197.5 288 224 288C250.5 288 272 309.5 272 336C272 362.5 250.5 384 224 384zM64 288C90.51 288 112 309.5 112 336C112 362.5 90.51 384 64 384C37.49 384 16 362.5 16 336C16 309.5 37.49 288 64 288z", "M384 224C357.5 224 336 202.5 336 176C336 149.5 357.5 128 384 128C410.5 128 432 149.5 432 176C432 202.5 410.5 224 384 224zM224 224C197.5 224 176 202.5 176 176C176 149.5 197.5 128 224 128C250.5 128 272 149.5 272 176C272 202.5 250.5 224 224 224zM64 128C90.51 128 112 149.5 112 176C112 202.5 90.51 224 64 224C37.49 224 16 202.5 16 176C16 149.5 37.49 128 64 128z"]],
    "grip-dots-vertical": [256, 512, [], "e411", ["M256 96C256 122.5 234.5 144 208 144C181.5 144 160 122.5 160 96C160 69.49 181.5 48 208 48C234.5 48 256 69.49 256 96zM256 256C256 282.5 234.5 304 208 304C181.5 304 160 282.5 160 256C160 229.5 181.5 208 208 208C234.5 208 256 229.5 256 256zM160 416C160 389.5 181.5 368 208 368C234.5 368 256 389.5 256 416C256 442.5 234.5 464 208 464C181.5 464 160 442.5 160 416z", "M96 96C96 122.5 74.51 144 48 144C21.49 144 0 122.5 0 96C0 69.49 21.49 48 48 48C74.51 48 96 69.49 96 96zM96 256C96 282.5 74.51 304 48 304C21.49 304 0 282.5 0 256C0 229.5 21.49 208 48 208C74.51 208 96 229.5 96 256zM0 416C0 389.5 21.49 368 48 368C74.51 368 96 389.5 96 416C96 442.5 74.51 464 48 464C21.49 464 0 442.5 0 416z"]],
    "grip-lines": [448, 512, [], "f7a4", ["M416 288C433.7 288 448 302.3 448 320C448 337.7 433.7 352 416 352H32C14.33 352 0 337.7 0 320C0 302.3 14.33 288 32 288H416z", "M416 160C433.7 160 448 174.3 448 192C448 209.7 433.7 224 416 224H32C14.33 224 0 209.7 0 192C0 174.3 14.33 160 32 160H416z"]],
    "grip-lines-vertical": [192, 512, [], "f7a5", ["M128 64C128 46.33 142.3 32 160 32C177.7 32 192 46.33 192 64V448C192 465.7 177.7 480 160 480C142.3 480 128 465.7 128 448V64z", "M0 64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V64z"]],
    "grip-vertical": [320, 512, [], "f58e", ["M232 480C209.9 480 192 462.1 192 440V392C192 369.9 209.9 352 232 352H280C302.1 352 320 369.9 320 392V440C320 462.1 302.1 480 280 480H232zM232 320C209.9 320 192 302.1 192 280V232C192 209.9 209.9 192 232 192H280C302.1 192 320 209.9 320 232V280C320 302.1 302.1 320 280 320H232zM280 32C302.1 32 320 49.91 320 72V120C320 142.1 302.1 160 280 160H232C209.9 160 192 142.1 192 120V72C192 49.91 209.9 32 232 32H280z", "M40 480C17.91 480 0 462.1 0 440V392C0 369.9 17.91 352 40 352H88C110.1 352 128 369.9 128 392V440C128 462.1 110.1 480 88 480H40zM40 320C17.91 320 0 302.1 0 280V232C0 209.9 17.91 192 40 192H88C110.1 192 128 209.9 128 232V280C128 302.1 110.1 320 88 320H40zM88 32C110.1 32 128 49.91 128 72V120C128 142.1 110.1 160 88 160H40C17.91 160 0 142.1 0 120V72C0 49.91 17.91 32 40 32H88z"]],
    "group-arrows-rotate": [512, 512, [], "e4f6", ["M222.7 32.15C227.7 49.09 218.1 66.91 201.1 71.95C186.5 76.3 172.6 82.34 159.7 89.85C159.9 91.87 159.1 93.93 159.1 96C159.1 131.3 131.3 160 95.1 160C93.92 160 91.87 159.9 89.85 159.7C82.34 172.6 76.29 186.5 71.94 201.1C66.9 218.1 49.09 227.7 32.15 222.7C15.21 217.6 5.563 199.8 10.6 182.9C17.01 161.4 26.15 141 37.64 122.3C34.02 114.3 31.1 105.4 31.1 96C31.1 60.65 60.65 32 95.1 32C105.4 32 114.3 34.02 122.3 37.64C141 26.16 161.4 17.01 182.9 10.61C199.8 5.566 217.6 15.21 222.7 32.15V32.15zM289.3 32.15C294.4 15.21 312.2 5.566 329.1 10.61C350.6 17.01 370.1 26.16 389.7 37.64C397.7 34.02 406.6 32 416 32C451.3 32 480 60.65 480 96C480 105.4 477.1 114.3 474.4 122.3C485.8 141 494.1 161.4 501.4 182.9C506.4 199.8 496.8 217.6 479.8 222.7C462.9 227.7 445.1 218.1 440.1 201.1C435.7 186.5 429.7 172.6 422.1 159.7C420.1 159.9 418.1 160 416 160C380.7 160 352 131.3 352 96C352 93.93 352.1 91.88 352.3 89.85C339.4 82.34 325.5 76.3 310.9 71.95C293.9 66.91 284.3 49.09 289.3 32.15L289.3 32.15zM32.15 289.3C49.09 284.3 66.9 293.9 71.94 310.9C76.29 325.5 82.34 339.4 89.85 352.3C91.87 352.1 93.92 352 95.1 352C131.3 352 159.1 380.7 159.1 416C159.1 418.1 159.9 420.1 159.7 422.2C172.6 429.7 186.5 435.7 201.1 440.1C218.1 445.1 227.7 462.9 222.7 479.9C217.6 496.8 199.8 506.4 182.9 501.4C161.4 494.1 141 485.8 122.3 474.4C114.3 477.1 105.4 480 95.1 480C60.65 480 31.1 451.3 31.1 416C31.1 406.6 34.02 397.7 37.64 389.7C26.15 370.1 17.01 350.6 10.6 329.1C5.562 312.2 15.21 294.4 32.15 289.3L32.15 289.3zM479.8 289.3C496.8 294.4 506.4 312.2 501.4 329.1C494.1 350.6 485.8 370.1 474.4 389.7C477.1 397.7 480 406.6 480 416C480 451.3 451.3 480 416 480C406.6 480 397.7 477.1 389.7 474.4C370.1 485.8 350.6 494.1 329.1 501.4C312.2 506.4 294.4 496.8 289.3 479.9C284.3 462.9 293.9 445.1 310.9 440.1C325.5 435.7 339.4 429.7 352.3 422.2C352.1 420.1 352 418.1 352 416C352 380.7 380.7 352 416 352C418.1 352 420.1 352.1 422.2 352.3C429.7 339.4 435.7 325.5 440.1 310.9C445.1 293.9 462.9 284.3 479.8 289.3H479.8z", "M238.2 346.1C232.1 357.9 217.7 362.6 205.9 356.6C169.7 338.1 144.8 300.4 144.8 256.8C144.8 227.9 155.7 201.6 173.7 181.7L162.5 170.6C155.1 163.1 160.6 152.8 169.9 152.8H230.4C236.1 152.8 240.8 157.5 240.8 163.2V223.7C240.8 232.1 229.6 237.6 223 231L207.7 215.7C198.4 226.8 192.8 241.1 192.8 256.8C192.8 281.6 206.9 303.2 227.7 313.8C239.5 319.9 244.2 334.3 238.2 346.1V346.1zM320.8 255.2C320.8 230.4 306.6 208.8 285.9 198.2C274.1 192.1 269.4 177.7 275.4 165.9C281.5 154.1 295.9 149.4 307.7 155.4C343.9 173.9 368.8 211.6 368.8 255.2C368.8 284.1 357.8 310.5 339.9 330.3L351 341.5C357.6 348 352.1 359.2 343.7 359.2H283.2C277.5 359.2 272.8 354.6 272.8 348.8V288.3C272.8 279 284 274.4 290.6 280.1L305.9 296.3C315.2 285.2 320.8 270.9 320.8 255.2V255.2z"]],
    "guarani-sign": [384, 512, [], "e19a", ["M224 32V66.66C213.6 64.91 202.9 64 192 64C181.1 64 170.4 64.91 160 66.65V32C160 14.33 174.3 0 192 0C209.7 0 224 14.33 224 32zM224 379.1C213.8 382.6 203 384 192 384C180.1 384 170.2 382.6 160 379.1V132C170.2 129.4 180.1 128 192 128C203.1 128 213.8 129.4 224 132V379.1zM224 480C224 497.7 209.7 512 192 512C174.3 512 160 497.7 160 480V445.3C170.4 447.1 181.1 448 192 448C202.9 448 213.6 447.1 224 445.3V480z", "M192 128C121.3 128 64 185.3 64 256C64 326.7 121.3 384 192 384C251.6 384 301.8 343.2 315.1 288H224V224H352C369.7 224 384 238.3 384 256C384 362 298 448 192 448C85.96 448 0 362 0 256C0 149.1 85.96 64 192 64C244.3 64 291.8 84.97 326.4 118.9C339 131.3 339.2 151.5 326.9 164.1C314.5 176.8 294.2 176.1 281.6 164.6C258.5 141.9 226.9 128 191.1 128H192z"]],
    "guitar": [512, 512, [], "f7a6", ["M348.9 267.6c-3.375-14.62-10.4-27.99-19.14-40.11L295.5 261.8C289.2 268 279.1 268 272.9 261.8L250.2 239.2C243.1 232.9 243.1 222.8 250.2 216.5l34.27-34.27C272.4 173.5 259 166.5 244.4 163.1C211 155.4 177.4 162.3 154.5 185.1C145.3 194.5 138.3 206 134.3 218.6c-6 18.5-23.13 32.63-42.12 34.38C68.52 255.4 46.39 264.5 29.52 281.5c-45.62 45.5-37.37 127.5 18.12 183c55.37 55.38 137.4 63.51 182.9 18c16.1-16.88 26.25-38.85 28.5-62.72c1.752-18.75 15.84-36.16 34.47-42.16c12.5-3.875 24.03-10.88 33.4-20.25C349.8 334.5 356.6 301 348.9 267.6zM208 352c-26.5 .0039-47.1-21.5-48-48c.002-26.5 21.5-48 48-48c26.5-.002 48 21.5 47.1 48C256 330.5 234.5 352 208 352z", "M381.1 56.16l46.67-46.78c12.47-12.51 32.75-12.5 45.24-.0106l29.65 29.65c12.49 12.49 12.5 32.73-.0097 45.2l-46.8 46.69c-3.755 3.746-8.295 6.512-13.33 8.184l-36.53 12.17L295.5 261.8C289.2 268 279.1 268 272.9 261.8L250.2 239.2C243.1 232.9 243.1 222.8 250.2 216.5l110.5-110.5l12.19-36.51C374.6 64.48 377.4 59.91 381.1 56.16z"]],
    "guitar-electric": [512, 512, [127928], "f8be", ["M243.7 223.3C236.1 211.9 234.8 197.3 240.6 184.8l17.25-37.12c3.875-8.25 1.25-18.12-6.249-23.37C244.1 119.1 233.1 120 227.5 126.4L189.1 164.8c-8.124 8.125-14.37 17.1-18.12 28.75c-7.124 19.62-21.62 35.62-40.62 44.37L53.99 273.3c-57.24 22.87-72.37 96.74-28.87 140.2l73.37 73.37c43.62 43.5 117.5 28.37 140.4-28.75l35.37-76.37c8.874-18.1 24.87-33.62 44.49-40.5c10.75-3.875 20.62-10.12 28.87-18.25l21.5-21.5c6.499-6.5 7.749-16.62 2.1-24.5c-4.874-7.875-14.37-11.37-23.12-8.499L325.2 276c-12.62 3.875-26.37 1.249-36.74-7.125L243.7 223.3zM181.6 394.4l-11.25 11.25c-3.125 3.125-8.249 3.125-11.37 0l-52.62-52.62c-4.123-4.124-2.07-9.304 0-11.37l11.25-11.25c4.123-4.124 9.303-2.07 11.37 0l52.62 52.62C185.7 387.1 183.7 392.3 181.6 394.4zM245.6 330.4l-11.25 11.25c-3.125 3.125-8.249 3.125-11.37 0L170.4 289c-4.123-4.124-2.07-9.304 0-11.37l11.25-11.25c4.123-4.124 9.304-2.07 11.37 0l52.62 52.62C249.7 323.1 247.7 328.3 245.6 330.4z", "M128.1 330.4c-2.07-2.07-7.25-4.123-11.37 0l-11.25 11.25c-2.07 2.07-4.123 7.252 0 11.37l52.62 52.62c3.125 3.125 8.248 3.125 11.37 0l11.25-11.25c2.07-2.07 4.125-7.252 0-11.37L128.1 330.4zM511.2 39.56c-3.625-19.25-18.62-34.41-37.87-38.29c-22.87-4.25-22.75-.4588-106.6 53.66C357.6 60.81 351.1 70.93 351.1 81.93L351.1 115.1L243.7 223.3l44.74 45.62l173.1-172.9c.75 0 1.5 .3749 2.375 .3749c14.25 0 27.87-6.333 36.99-17.33C510.1 68.06 513.8 53.68 511.2 39.56zM192.1 266.4c-2.07-2.07-7.249-4.123-11.37 0L170.4 277.6c-2.07 2.07-4.123 7.25 0 11.37l52.62 52.62c3.123 3.125 8.248 3.125 11.37 0l11.25-11.25c2.07-2.07 4.123-7.251 0-11.37L192.1 266.4z"]],
    "guitars": [512, 512, [], "f8bf", ["M505.5 400.9l-26.1-73.5c-6.625-18.25-5.75-38.25 2.625-55.75c4.625-9.75 6.1-20.25 6.1-30.1V212.4c0-8.625-5.875-15.1-14.12-17.1s-16.87 1.875-20.75 9.5l-10.62 20.5c-5.373 10.38-15.37 17-26.62 19L351.1 242.5c-11.25-3-20.87-11-24.1-22.38l-12.1-35.75c-2.875-7.875-11.12-12.63-19.5-11.13c-8.375 1.375-14.37 8.625-14.37 17.13V240.8c0 10.75 2.375 21.25 6.1 30.87c8.25 17.5 9.125 37.63 2.5 55.88l-26.1 73.5C239.1 453.5 278.5 512 335.7 512l96.37-.0005C489.4 511.1 527.1 453.4 505.5 400.9zM431.1 392c0 4.375-3.625 8-7.1 8h-79.1c-4.375 0-7.1-3.625-7.1-8v-16c0-4.375 3.625-8 7.1-8h79.1c4.375 0 7.1 3.625 7.1 8V392zM431.1 327.9c0 4.375-3.625 8-7.1 8h-79.1c-4.375 0-7.1-3.625-7.1-8v-16c0-4.375 3.625-8 7.1-8h79.1c4.375 0 7.1 3.625 7.1 8V327.9zM229.3 300.2c5.5-10.62 8.333-22.37 8.458-34.25c0-29.13-16.1-54.92-43.25-71.17C181.8 186.8 166.1 182.9 152 181L152.1 224c0 8.837-7.163 16-16 16h-16c-8.837 0-16-7.163-16-16L104 180.1c-15 1.875-29.77 5.875-42.65 13.88C54.63 198.1 48.5 203.9 42.88 209.5c-15.37 15.38-24.62 34.1-24.62 56.62c0 11.88 2.875 23.62 8.375 34.12c7.998 15.62 5.998 35.62-4.875 48.75c-13.62 16.5-21.87 36.37-21.75 57.1c-.125 58 57.37 105 127.1 105c41.76 0 78.86-16.46 102.3-41.9l.1187-.6031c-9.251-26.12-8.375-54.75 2.375-80.37l10.25-27.75c-2.625-4.25-5.625-8.5-8.75-12.38C223.2 335.9 221.3 315.9 229.3 300.2zM156.2 332.3c-15.62 15.62-40.87 15.62-56.5 0s-15.62-40.88 0-56.5s40.87-15.62 56.5 0C171.9 291.4 171.9 316.6 156.2 332.3z", "M145.3 0H110.8c-14.58 0-26.5 11.83-26.5 26.41v54.09c0 4.439 1.114 8.976 3.098 12.95l16.66 33.3L104.1 224c0 8.836 7.164 16 16 16h16c8.836 0 16-7.164 16-16L152 126.7l16.59-33.19c2.059-4.117 3.033-8.461 3.033-13.06V26.37C171.6 11.81 159.8 0 145.3 0zM358.1 151v91.63l48 .625V73.38c1.75-1.125 3.5-2.375 5.125-3.75c14.75-14.88 16-38.5 2.625-54.75c-13.25-16.12-36.63-19.62-54.13-8c-16.38 11.13-14 13.25-31.88 96.25c-1.875 9 .875 18.38 7.375 25L358.1 151zM423.1 368h-79.1c-4.375 0-7.1 3.625-7.1 8v16c0 4.375 3.625 8 7.1 8h79.1c4.375 0 7.1-3.625 7.1-8v-16C431.1 371.6 428.4 368 423.1 368zM423.1 303.9h-79.1c-4.375 0-7.1 3.625-7.1 8v16c0 4.375 3.625 8 7.1 8h79.1c4.375 0 7.1-3.625 7.1-8v-16C431.1 307.5 428.4 303.9 423.1 303.9z"]],
    "gun": [576, 512, [], "e19b", ["M328.5 298.6C327.4 301.8 324.4 304 320.9 304H239.1L226.4 352h94.58c24.16 0 45.5-15.41 53.13-38.28L398.6 240h-50.62L328.5 298.6zM64 128v32h416V128H64z", "M544 64h-16V56C528 42.74 517.3 32 504 32S480 42.74 480 56V64H43.17C19.33 64 0 83.33 0 107.2v89.66C0 220.7 19.33 240 43.17 240c21.26 0 36.61 20.35 30.77 40.79l-40.69 158.4C27.41 459.6 42.76 480 64.02 480h103.8c14.29 0 26.84-9.469 30.77-23.21L256 240h178.7c8.486 0 16.62-3.369 22.63-9.373L480 208h64c17.67 0 32-14.33 32-32V96C576 78.33 561.7 64 544 64zM480 160H64V128h416V160z"]],
    "gun-slash": [640, 512, [], "e19c", ["M32 196.8C32 220.7 51.33 240 75.17 240c21.26 0 36.61 20.35 30.77 40.79l-40.69 158.4C59.41 459.6 74.76 480 96.02 480h103.8c14.29 0 26.84-9.469 30.77-23.21L258.4 352h67.39L32 121.8V196.8zM576 64h-16V56C560 42.74 549.3 32 536 32S512 42.74 512 56V64H113.1l81.66 64H512v32H236.4l102.1 80h41.52l-8.6 25.8l40.13 31.45L430.6 240h36.1c8.486 0 16.62-3.369 22.63-9.373L512 208h64c17.67 0 32-14.33 32-32V96C608 78.33 593.7 64 576 64z", "M634.9 502.8c-8.125 10.41-23.19 12.28-33.69 4.078L9.189 42.89c-10.44-8.172-12.25-23.27-4.062-33.7C9.846 3.156 16.91 0 24.03 0c5.156 0 10.38 1.672 14.78 5.109l591.1 463.1C641.2 477.3 643.1 492.4 634.9 502.8z"]],
    "gun-squirt": [576, 512, [], "e19d", ["M296 288C282.7 288 272 298.7 272 312v16H233.6l-13.05 48H272v16c0 13.25 10.75 24 24 24S320 405.3 320 392v-80C320 298.7 309.3 288 296 288zM96 192h352c17.67 0 32-14.33 32-32H64C64 177.7 78.33 192 96 192zM560 128H544v64h16C568.8 192 576 184.8 576 176v-32C576 135.2 568.8 128 560 128z", "M496 64H128V56C128 42.74 117.3 32 104 32S80 42.74 80 56v9.613C34.64 73.27 0 112.5 0 160c0 47.59 34.72 86.81 80.16 94.4l-46.91 184.8C27.41 459.6 42.76 480 64.02 480h103.8c14.29 0 26.84-9.469 30.77-23.21L253.2 256H496C522.5 256 544 234.5 544 208v-96C544 85.49 522.5 64 496 64zM448 192H96C78.33 192 64 177.7 64 160s14.33-32 32-32h352c17.67 0 32 14.33 32 32S465.7 192 448 192z"]],
    "h": [384, 512, [104], "48", ["M384 64.01v384c0 17.67-14.33 32-32 32s-32-14.33-32-32v-192H64v192c0 17.67-14.33 32-32 32s-32-14.33-32-32v-384C0 46.34 14.33 32.01 32 32.01S64 46.34 64 64.01v128h256v-128c0-17.67 14.33-32 32-32S384 46.34 384 64.01z", ""]],
    "h1": [576, 512, [], "f313", ["M288 64.01c-17.67 0-32 14.31-32 32v128H64v-128c0-17.69-14.33-32-32-32s-32 14.31-32 32v320c0 17.69 14.33 32 32 32s32-14.31 32-32v-128h192v128c0 17.69 14.33 32 32 32s32-14.31 32-32v-320C320 78.33 305.7 64.01 288 64.01z", "M544 384h-32v-288c0-11.09-5.75-21.38-15.17-27.22c-9.438-5.844-21.23-6.344-31.14-1.406l-64 32c-15.81 7.906-22.22 27.12-14.31 42.94c7.906 15.78 27.09 22.16 42.94 14.31L448 147.8v236.2h-32c-17.67 0-32 14.31-32 32s14.33 32 32 32h128c17.67 0 32-14.31 32-32S561.7 384 544 384z"]],
    "h2": [640, 512, [], "f314", ["M288 64.01c-17.67 0-32 14.31-32 32v128H64v-128c0-17.69-14.33-32-32-32s-32 14.31-32 32v320c0 17.69 14.33 32 32 32s32-14.31 32-32v-128h192v128c0 17.69 14.33 32 32 32s32-14.31 32-32v-320C320 78.33 305.7 64.01 288 64.01z", "M608 384h-126l100.4-92.5c51.84-47.75 56.81-127.3 11.3-181.2c-22.75-26.94-54.64-43.28-89.8-46.09c-35.09-2.938-69.25 8.344-95.97 31.38l-25.09 21.59c-13.39 11.53-14.91 31.72-3.375 45.13c11.55 13.38 31.72 14.94 45.13 3.375l25.09-21.59c13.69-11.78 31.05-17.66 49.16-16.06c18 1.438 34.33 9.812 45.98 23.59c23.31 27.56 20.77 68.34-5.781 92.81l-160.7 148c-9.703 8.938-12.94 22.88-8.141 35.16S386.8 448 400 448H608c17.67 0 32-14.31 32-32S625.7 384 608 384z"]],
    "h3": [640, 512, [], "f315", ["M288 64.01c-17.67 0-32 14.31-32 32v128H64v-128c0-17.69-14.33-32-32-32s-32 14.31-32 32v320c0 17.69 14.33 32 32 32s32-14.31 32-32v-128h192v128c0 17.69 14.33 32 32 32s32-14.31 32-32v-320C320 78.33 305.7 64.01 288 64.01z", "M523.9 211.7l91.03-93.38c8.984-9.219 11.58-22.91 6.578-34.78C616.5 71.73 604.9 64.01 592 64.01l-192-.0778c-17.67 0-32 14.39-32 32.08s14.33 32 32 32h116.1l-91.02 93.34c-8.984 9.219-11.58 22.91-6.578 34.78C423.5 267.1 435.1 275.7 448 275.7h73.84C551.7 275.7 576 299.1 576 329.9s-24.3 54.16-54.16 54.16h-62.53c-13.16 0-24.8-8.375-28.95-20.88c-5.578-16.75-23.69-25.88-40.48-20.22c-16.77 5.594-25.83 23.72-20.23 40.47c12.89 38.66 48.94 64.63 89.67 64.63h62.53C587 448 640 395 640 329.9C640 265.4 588.1 212.8 523.9 211.7z"]],
    "h4": [640, 512, [], "f86a", ["M288 64.01c-17.67 0-32 14.31-32 32v128H64v-128c0-17.69-14.33-32-32-32s-32 14.31-32 32v320c0 17.69 14.33 32 32 32s32-14.31 32-32v-128h192v128c0 17.69 14.33 32 32 32s32-14.31 32-32v-320C320 78.33 305.7 64.01 288 64.01z", "M608 64.01c-17.67 0-32 14.31-32 32v159.1h-135l38.06-152.2c4.281-17.12-6.141-34.5-23.28-38.78c-17.05-4.25-34.52 6.094-38.81 23.28l-48 191.1c-2.391 9.562-.2344 19.69 5.828 27.44C380.8 315.5 390.1 320 400 320H576v96c0 17.69 14.33 32 32 32s32-14.31 32-32v-320C640 78.33 625.7 64.01 608 64.01z"]],
    "h5": [640, 512, [], "e412", ["M32 64C49.67 64 64 78.33 64 96V224H256V96C256 78.33 270.3 64 288 64C305.7 64 320 78.33 320 96V416C320 433.7 305.7 448 288 448C270.3 448 256 433.7 256 416V288H64V416C64 433.7 49.67 448 32 448C14.33 448 0 433.7 0 416V96C0 78.33 14.33 64 32 64z", "M400.7 89.41C403.8 74.6 416.9 64 432 64H576C593.7 64 608 78.33 608 96C608 113.7 593.7 128 576 128H457.1L439.4 216H524C588.1 216 640 267.9 640 332C640 396.1 588.1 448 524 448H456.4C418.5 448 384.9 423.8 372.9 387.8L369.6 378.1C364.1 361.4 373.1 343.2 389.9 337.6C406.6 332.1 424.8 341.1 430.4 357.9L433.6 367.6C436.9 377.4 446 384 456.4 384H524C552.7 384 576 360.7 576 332C576 303.3 552.7 280 524 280H400C390.4 280 381.2 275.7 375.2 268.2C369.1 260.7 366.7 250.8 368.7 241.4L400.7 89.41z"]],
    "h6": [640, 512, [], "e413", ["M32 64C49.67 64 64 78.33 64 96V224H256V96C256 78.33 270.3 64 288 64C305.7 64 320 78.33 320 96V416C320 433.7 305.7 448 288 448C270.3 448 256 433.7 256 416V288H64V416C64 433.7 49.67 448 32 448C14.33 448 0 433.7 0 416V96C0 78.33 14.33 64 32 64z", "M501.7 160.1C578.6 163.1 640 226.4 640 304C640 383.5 575.5 448 496 448C416.5 448 352 383.5 352 304C352 265.7 365 228.5 388.1 198.5L487 76.01C498.1 62.21 518.2 59.97 531.1 71.01C545.8 82.05 548 102.2 536.1 115.1L501.7 160.1zM416 304C416 348.2 451.8 384 496 384C540.2 384 576 348.2 576 304C576 259.8 540.2 224 496 224C451.8 224 416 259.8 416 304z"]],
    "hammer": [576, 512, [128296], "f6e3", ["M353.1 227.5L122.9 490.9C108.8 504.1 90.44 512 71.1 512s-36.88-7-50.94-21.06c-28.13-28.12-28.09-73.72 .0371-101.8l263.5-230.3c2.598 3.906 5.611 7.619 8.951 10.96l49.16 49.14C345.9 222.1 349.5 224.1 353.1 227.5z", "M568.1 196.3l-22.62-22.62c-4.533-4.533-10.56-7.029-16.97-7.029s-12.44 2.496-16.97 7.029l-5.654 5.656l-20.12-20.12c4.596-23.46-2.652-47.9-19.47-64.73l-45.25-45.25C390.2 17.47 347.1 0 303.1 0C258.2 0 216 17.47 184.3 49.21L176.5 57.05L272.5 105.1v13.81c0 18.95 7.688 37.5 21.09 50.91l49.16 49.14c13.44 13.45 31.39 20.86 50.54 20.86c4.758 0 9.512-.4648 14.18-1.387l20.12 20.12l-5.654 5.654c-9.357 9.357-9.357 24.58-.002 33.94l22.62 22.62c4.535 4.533 10.56 7.031 16.97 7.031s12.44-2.498 16.97-7.031l90.53-90.5C578.3 220.8 578.3 205.6 568.1 196.3z"]],
    "hammer-crash": [640, 512, [], "e414", ["M640 223.1c0 6.881-4.416 13.03-10.94 15.17l-97.86 32.54l46.18 92.19c3.104 6.176 1.887 13.6-2.977 18.5c-4.896 4.863-12.32 6.08-18.5 2.977l-92.19-46.18l-32.54 97.86c-2.176 6.527-8.287 10.94-15.17 10.94c-6.879 0-13.02-4.416-15.17-10.94l-32.54-97.86l-92.19 46.18c-6.176 3.104-13.6 1.887-18.5-2.977c-4.863-4.896-6.08-12.32-2.975-18.5l33.25-66.37c29.44 12.86 64.51 1.824 80.96-26.69l48-83.13c17.7-30.62 7.201-69.76-23.42-87.42l-18.72-10.82l26.14-78.53c2.145-6.529 8.289-10.95 15.17-10.95c6.881 0 12.99 4.416 15.17 10.95l32.54 97.86l92.19-46.18c6.176-3.105 13.6-1.889 18.5 2.975c4.863 4.896 6.08 12.32 2.977 18.5L531.2 176.3l97.86 32.54C635.6 210.1 640 217.1 640 223.1z", "M6.764 439.5c-13.57 22.79-6.08 52.22 16.74 65.76c22.79 13.57 52.22 6.08 65.76-16.74L224.3 261.3l-83.14-48L6.764 439.5zM377.4 127.1l-55.42-32l-83.14-48L218.6 36.28c-4.863-2.816-10.37-4.289-16-4.289H115.3c-11.84 0-22.72 6.561-28.29 17.03L62.48 95.29C54.41 110.5 59.82 129.4 74.73 137.1l222.7 128.6c15.33 8.832 34.88 3.584 43.71-11.71l48-83.13C397.1 156.4 392.7 136.8 377.4 127.1z"]],
    "hammer-war": [384, 512, [], "f6e4", ["M224 267.1L224 496c0 8.836-7.164 16-16 16h-32c-8.836 0-16-7.164-16-16l0-228.9l31.1-5.324L224 267.1zM192 58.25l31.1-5.35V16c0-8.836-7.164-16-16-16h-32c-8.836 0-16 7.164-16 16v36.9L192 58.25z", "M384 64v192c0 19.75-17.75 34.75-37.25 31.5l-154.8-25.75L37.25 287.5C17.75 290.8 .0001 275.8 .0001 256V64c0-19.75 17.75-34.75 37.25-31.5l154.8 25.75l154.7-25.75C366.3 29.25 384 44.25 384 64z"]],
    "hamsa": [512, 512, [], "f665", ["M509.4 307.2C504.3 295.5 492.8 288 480 288h-64l.0001-208c0-21.1-18-40-40-40c-22 0-40 18-40 40l-.0001 134C336 219.5 331.5 224 326 224h-20c-5.5 0-10-4.5-10-9.1V40c0-21.1-17.1-40-39.1-40S215.1 18 215.1 40v174C215.1 219.5 211.5 224 205.1 224H185.1C180.5 224 175.1 219.5 175.1 214L175.1 80c0-21.1-18-40-40-40S95.1 58 95.1 80L95.1 288H31.99C19.24 288 7.743 295.5 2.618 307.2C-2.382 318.9-.1322 332.5 8.618 341.9l102.6 110C146.1 490.1 199.8 512 256 512s108.1-21.88 144.8-60.13l102.6-110C512.1 332.5 514.4 318.9 509.4 307.2zM256 416c-53 0-96.01-64-96.01-64s43-64 96.01-64s96.01 64 96.01 64S309 416 256 416z", "M288 352c0 17.62-14.38 32-32 32s-32-14.38-32-32s14.38-32 32-32S288 334.4 288 352z"]],
    "hand": [512, 512, [129306, 9995, "hand-paper"], "f256", ["M448 96c-17.67 0-32 14.33-32 32v112C416 248.8 408.8 256 400 256s-15.93-7.164-15.93-16L384 64c0-17.67-14.33-32-32-32s-32 14.33-32 32l.0498 176c0 8.836-7.219 16-16.05 16S288 248.8 288 240L288 32c0-17.67-14.33-32-32-32S224 14.33 224 32l.0729 208C224.1 248.8 216.8 256 208 256S192.1 248.8 192.1 240L192 64c0-17.67-14.33-32-32-32S128 46.33 128 64v279.4L68.28 283.7C60.47 275.9 50.23 272 40 272C17.15 272 0 290.7 0 312c0 10.23 3.906 20.47 11.72 28.28l113.1 113.1C162.6 491.2 212.9 512 266.3 512H304c97.05 0 176-78.95 176-176V128C480 110.3 465.7 96 448 96zM368 352h-83.2C307.2 374.4 320 403.2 320 432c0 9.6-6.4 16-16 16S288 441.6 288 432c0-44.8-35.2-80-80-80C198.4 352 192 345.6 192 336S198.4 320 208 320h160c9.6 0 16 6.4 16 16S377.6 352 368 352z", "M304 448c-9.6 0-16-6.4-16-16c0-44.8-35.2-80-80-80C198.4 352 192 345.6 192 336S198.4 320 208 320h160c9.6 0 16 6.4 16 16S377.6 352 368 352h-83.2C307.2 374.4 320 403.2 320 432C320 441.6 313.6 448 304 448z"]],
    "hand-back-fist": [448, 512, ["hand-rock"], "f255", ["M448 144v120.4C448 314.2 422.6 358.1 384 384v128H128v-128l-53.19-38.67C48 325.8 32 294.3 32 261.2V192c0-14.58 6.625-28.38 17.1-37.48L80 130.5V176C80 184.8 87.16 192 96 192s16-7.164 16-16v-128C112 21.48 133.5 0 160 0c25.38 0 45.96 19.77 47.67 44.73C216.2 36.9 227.5 32 240 32C266.5 32 288 53.48 288 80v5.531C296.6 72.57 311.3 64 328 64c23.47 0 42.94 16.87 47.11 39.14C382.4 98.7 390.9 96 400 96C426.5 96 448 117.5 448 144z", ""]],
    "hand-back-point-down": [448, 512, [], "e19e", ["M384 272c-9.148 0-17.62-2.697-24.89-7.143C354.9 287.1 335.5 304 312 304c-17.38 0-32.46-9.33-40.89-23.17C266.1 303.1 247.5 320 224 320c-12.35 0-23.49-4.797-32-12.46V472C192 494.1 174.1 512 152 512S112 494.1 112 472L111.1 176c0-8.836-7.17-15.1-16.01-15.1c-8.838 0-16 7.164-16 16v45.47L50 197.5C38.63 188.4 32 174.6 32 160V112c0-10.38 3.375-20.48 9.594-28.8L60.78 57.61C87.84 21.53 130.9 0 176 0L288 0c3.318 0 6.557 .3379 9.686 .9785C372.5 6.064 432 67.91 432 144V224C432 250.5 410.5 272 384 272z", ""]],
    "hand-back-point-left": [512, 512, [], "e19f", ["M240 416c0-9.148 2.697-17.62 7.143-24.89C224.9 386.9 208 367.5 208 344c0-17.38 9.33-32.46 23.17-40.89C208.9 298.1 192 279.5 192 256c0-12.35 4.797-23.49 12.46-32H40C17.91 224 0 206.1 0 184S17.91 144 40 144l295.1-.0059c8.836 0 15.1-7.17 15.1-16.01c0-8.838-7.164-16-16-16h-45.47L314.5 82C323.6 70.63 337.4 64 352 64h48c10.38 0 20.48 3.375 28.8 9.594l25.59 19.19C490.5 119.8 512 162.9 512 208V320c0 3.318-.3379 6.557-.9785 9.686C505.9 404.5 444.1 464 368 464H288C261.5 464 240 442.5 240 416z", ""]],
    "hand-back-point-ribbon": [448, 512, [], "e1a0", ["M192 40C192 17.91 174.1 0 152 0S112 17.91 112 40V48H192V40zM384 240c-9.148 0-17.62 2.697-24.89 7.143C354.9 224.9 335.5 208 312 208c-17.38 0-32.46 9.33-40.89 23.17C266.1 208.9 247.5 192 224 192C211.7 192 200.5 196.8 192 204.5L192 176H112l-.006 159.1c0 8.836-7.17 15.1-16.01 15.1c-8.838 0-16-7.164-16-16V290.5l-29.99 23.99C38.63 323.6 32 337.4 32 352v48c0 10.38 3.375 20.48 9.594 28.8l19.19 25.59C87.84 490.5 130.9 512 176 512H288c3.318 0 6.557-.3379 9.686-.9785C372.5 505.9 432 444.1 432 368V288C432 261.5 410.5 240 384 240z", "M33.21 134.1C35.68 140.1 41.53 144 47.1 144H192C200.8 144 208 136.8 208 128V64c0-8.844-7.156-16-16-16H47.1c-6.469 0-12.31 3.891-14.78 9.875S32.12 70.73 36.68 75.31L57.37 96L36.68 116.7C32.12 121.3 30.75 128.1 33.21 134.1z"]],
    "hand-back-point-right": [512, 512, [], "e1a1", ["M224 464H144c-76.09 0-137.9-59.49-143-134.3C.3379 326.6 0 323.3 0 320V208c0-45.09 21.53-88.16 57.61-115.2l25.59-19.19C91.52 67.38 101.6 64 112 64H160c14.58 0 28.38 6.625 37.48 18l23.99 29.99H176c-8.836 0-16 7.162-16 16c0 8.836 7.161 16.01 15.1 16.01L472 144C494.1 144 512 161.9 512 184S494.1 224 472 224h-164.5C315.2 232.5 320 243.7 320 256c0 23.48-16.88 42.96-39.17 47.11C294.7 311.5 304 326.6 304 344c0 23.47-16.87 42.94-39.14 47.11C269.3 398.4 272 406.9 272 416C272 442.5 250.5 464 224 464z", ""]],
    "hand-back-point-up": [448, 512, [], "e1a2", ["M432 288v80c0 76.09-59.49 137.9-134.3 143C294.6 511.7 291.3 512 288 512H176c-45.09 0-88.16-21.53-115.2-57.61l-19.19-25.59C35.38 420.5 32 410.4 32 400V352c0-14.58 6.625-28.38 17.1-37.48l29.99-23.99v45.47c0 8.836 7.162 16 16 16c8.836 0 16.01-7.161 16.01-15.1L112 40C112 17.91 129.9 0 152 0S192 17.91 192 40v164.5C200.5 196.8 211.7 192 224 192c23.48 0 42.96 16.88 47.11 39.17C279.5 217.3 294.6 208 312 208c23.47 0 42.94 16.87 47.11 39.14C366.4 242.7 374.9 240 384 240C410.5 240 432 261.5 432 288z", ""]],
    "hand-dots": [512, 512, ["allergies"], "f461", ["M448 96c-17.67 0-32 14.33-32 32v112C416 248.8 408.8 256 400 256s-15.93-7.164-15.93-16L384 64c0-17.67-14.33-32-32-32s-32 14.33-32 32l.0498 176c0 8.836-7.219 16-16.06 16s-15.95-7.164-15.95-16L288 32c0-17.67-14.33-32-32-32S224 14.33 224 32l.0729 208C224.1 248.8 216.8 256 208 256S192.1 248.8 192.1 240L192 64c0-17.67-14.33-32-32-32S128 46.33 128 64v279.4L68.28 283.7C60.47 275.9 50.23 272 40 272C18.68 272 0 289.2 0 312c0 10.23 3.906 20.47 11.72 28.28l113.1 113.1C162.6 491.2 212.9 512 266.3 512H304c97.05 0 176-78.95 176-176V128C480 110.3 465.7 96 448 96zM192 416c-8.836 0-16-7.164-16-16C176 391.2 183.2 384 192 384s16 7.162 16 16C208 408.8 200.8 416 192 416zM256 448c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16s16 7.162 16 16C272 440.8 264.8 448 256 448zM256 352c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16s16 7.162 16 16C272 344.8 264.8 352 256 352zM320 384c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16s16 7.162 16 16C336 376.8 328.8 384 320 384zM352 448c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16s16 7.162 16 16C368 440.8 360.8 448 352 448zM384 352c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16s16 7.162 16 16C400 344.8 392.8 352 384 352z", "M192 384c-8.836 0-16 7.162-16 16C176 408.8 183.2 416 192 416s16-7.164 16-16C208 391.2 200.8 384 192 384zM320 352c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16s16-7.164 16-16C336 359.2 328.8 352 320 352zM352 416c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16s16-7.164 16-16C368 423.2 360.8 416 352 416z"]],
    "hand-fingers-crossed": [512, 512, [], "e1a3", ["M241.9 268.7c9.339 9.142 13.55 17.79 14.09 18.85V224c0-2.156 .4258-4.191 .6347-6.293L245.7 195.8L217.2 252.7C218.6 253.2 231.3 258.5 241.9 268.7zM138.3 124.2l35.78-71.56l-17.48-34.97C151 6.496 139.7 .0036 127.1 .0036c-16.97 0-31.97 13.66-31.97 32.03c0 4.81 1.089 9.694 3.387 14.29L138.3 124.2zM176 249.8C178.5 249.2 180.9 249.2 183.3 248.9l101.3-202.6c2.298-4.596 3.387-9.48 3.387-14.29C288 14.43 273.7 0 256.1 0C244.3 0 233 6.496 227.4 17.7L103 266.5L176 249.8zM368 361.9c-11.73 13.42-28.77 22.07-47.1 22.07c-27.49 0-50.74-17.43-59.8-41.76c-11.4 34.84-41.93 45.62-52.2 47.97l-50.18 11.45C156.6 401.9 155.4 402.1 154.3 402.1c-5.369 0-10.48-2.711-13.47-7.365c-1.739-2.712-2.542-5.686-2.542-8.602c0-7.117 4.788-13.88 12.45-15.63l48.05-10.96c18.97-4.326 33.22-21.03 33.22-39.85c0-19.75-16.08-39.64-39.95-39.64c-2.943 0-5.937 .3236-8.937 .998L64.34 308.1C41.42 313.3 32 331.9 32 347.4c0 5.581 1.167 11.17 3.508 16.38l22.09 49.11C84.66 473.1 144.8 512 210.8 512h61.19c82.54 0 151.8-57.21 170.7-134c-8.156 3.769-17.15 6.015-26.73 6.015C396.8 384 379.7 375.4 368 361.9z", "M416 224c-17.69 0-31.1 14.33-31.1 31.1v63.1c0 17.67 14.31 31.1 31.1 31.1S448 337.7 448 320V255.1C448 238.3 433.7 224 416 224zM320 192c-17.69 0-31.1 14.33-31.1 31.1v95.1c0 17.67 14.31 31.96 31.1 31.96s32-14.29 32-31.96V224C352 206.3 337.7 192 320 192z"]],
    "hand-fist": [448, 512, [9994, "fist-raised"], "f6de", ["M350.9 246.2c-12.43-7.648-21.94-19.31-26.88-33.25C313.7 219.9 301.3 223.9 288 223.9c-7.641 0-14.87-1.502-21.66-3.957C269.1 228.6 272 238.1 272 248c0 39.77-32.25 72-72 72H128c-8.836 0-16-7.164-16-16C112 295.2 119.2 288 128 288h72c22.09 0 40-17.91 40-40S222.1 208 200 208h-128C49.91 208 32 225.9 32 248v63.41c0 33.13 16 64.56 42.81 84.13L128 434.2V512h224v-85.09c38.3-24.09 64-66.42 64-114.9V247.1C406.6 252.6 395.7 256 384 256C371.7 256 360.5 252.2 350.9 246.2z", "M192 0C174.3 0 160 14.33 160 32v144h40c8.459 0 16.46 1.729 24 4.41V32C224 14.33 209.7 0 192 0zM96 32C78.31 32 64 46.33 64 64v112.8C66.66 176.5 69.26 176 72 176H128V64C128 46.33 113.7 32 96 32zM288 32c-17.69 0-32 14.33-32 32v96c0 17.67 14.31 32 32 32s32-14.33 32-32V64C320 46.33 305.7 32 288 32zM384 96c-17.69 0-32 14.33-32 32v64c0 17.67 14.31 32 32 32s32-14.34 32-32.02V128C416 110.3 401.7 96 384 96z"]],
    "hand-heart": [512, 512, [], "f4bc", ["M448 96c-17.67 0-32 14.33-32 32v112C416 248.8 408.8 256 400 256s-15.93-7.164-15.93-16L384 64c0-17.67-14.33-32-32-32s-32 14.33-32 32l.0498 176c0 8.836-7.219 16-16.06 16s-15.95-7.164-15.95-16L288 32c0-17.67-14.33-32-32-32S224 14.33 224 32l.0729 208C224.1 248.8 216.8 256 208 256S192.1 248.8 192.1 240L192 64c0-17.67-14.33-32-32-32S128 46.33 128 64v279.4L68.28 283.7C60.47 275.9 50.23 272 40 272C18.68 272 0 289.2 0 312c0 10.23 3.906 20.47 11.72 28.28l113.1 113.1C162.6 491.2 212.9 512 266.3 512H304c97.05 0 176-78.95 176-176V128C480 110.3 465.7 96 448 96zM383.1 359.8c0 10.27-4.155 20.54-12.47 28.38l-60.47 57.08c-1.953 1.846-4.517 2.769-7.08 2.769s-5.127-.9229-7.08-2.769l-60.47-57.08c-8.291-7.836-12.44-18.1-12.44-28.37c0-12.94 10.61-39.78 41.74-39.78c11.65 0 23.39 4.401 32.1 12.64l6.158 5.799l6.16-5.799c8.729-8.238 20.47-12.64 32.11-12.64C373.6 319.1 383.1 346.8 383.1 359.8z", "M383.1 359.8c0 10.27-4.155 20.54-12.47 28.38l-60.47 57.08c-1.953 1.846-4.517 2.769-7.08 2.769s-5.127-.9229-7.08-2.769l-60.47-57.08c-8.291-7.836-12.44-18.1-12.44-28.37c0-12.94 10.61-39.78 41.74-39.78c11.65 0 23.39 4.401 32.1 12.64l6.158 5.799l6.16-5.799c8.729-8.238 20.47-12.64 32.11-12.64C373.6 319.1 383.1 346.8 383.1 359.8z"]],
    "hand-holding": [576, 512, [], "f4bd", ["M559.7 392.2l-135.1 99.51C406.9 504.8 385 512 362.1 512H15.1c-8.749 0-15.1-7.246-15.1-15.99l0-95.99c0-8.748 7.25-16.02 15.1-16.02l55.37 .0238l46.5-37.74c20.1-16.1 47.12-26.25 74.12-26.25h159.1c19.5 0 34.87 17.37 31.62 37.37c-2.625 15.75-17.37 26.62-33.37 26.62H271.1c-8.749 0-15.1 7.249-15.1 15.1s7.25 15.1 15.1 15.1h120.6l119.7-88.17c17.8-13.19 42.81-9.342 55.93 8.467C581.3 354.1 577.5 379.1 559.7 392.2z", ""]],
    "hand-holding-box": [576, 512, [], "f47b", ["M568.2 336.3c-13.12-17.81-38.14-21.66-55.93-8.469l-119.7 88.17h-120.6c-8.748 0-15.1-7.25-15.1-15.1s7.25-15.1 15.1-15.1h78.25c15.1 0 30.75-10.88 33.37-26.62c3.25-19.1-12.12-37.37-31.62-37.37H191.1c-26.1 0-53.12 9.25-74.12 26.25l-46.5 37.74L15.1 383.1c-8.748 0-15.1 7.274-15.1 16.02L.0001 496C.0001 504.8 7.251 512 15.1 512h346.1c22.03 0 43.92-7.188 61.7-20.28l135.1-99.52C577.5 379.1 581.3 354.1 568.2 336.3zM351.1 128l0-128H223.1l0 128l63.1-32L351.1 128z", "M127.1 256h320c17.6 0 32-14.4 32-32V32c0-17.6-14.4-32-32-32h-95.1l0 128l-64-32L223.1 128l0-128h-96C110.4 0 95.97 14.4 95.97 32v192C95.97 241.6 110.4 256 127.1 256z"]],
    "hand-holding-dollar": [576, 512, ["hand-holding-usd"], "f4c0", ["M568.2 336.3c-13.12-17.81-38.14-21.66-55.93-8.469l-119.7 88.17h-120.6c-8.748 0-15.1-7.25-15.1-15.99c0-8.75 7.25-16 15.1-16h78.25c15.1 0 30.75-10.88 33.37-26.62c3.25-20-12.12-37.38-31.62-37.38H191.1c-26.1 0-53.12 9.25-74.12 26.25l-46.5 37.74L15.1 383.1C7.251 383.1 0 391.3 0 400v95.98C0 504.8 7.251 512 15.1 512h346.1c22.03 0 43.92-7.188 61.7-20.27l135.1-99.52C577.5 379.1 581.3 354.1 568.2 336.3z", "M279.3 175C271.7 173.9 261.7 170.3 252.9 167.1L248 165.4C235.5 160.1 221.8 167.5 217.4 179.1s2.121 26.2 14.59 30.64l4.655 1.656c8.486 3.061 17.88 6.095 27.39 8.312V232c0 13.25 10.73 24 23.98 24s24-10.75 24-24V221.6c25.27-5.723 42.88-21.85 46.1-45.72c8.688-50.05-38.89-63.66-64.42-70.95L288.4 103.1C262.1 95.64 263.6 92.42 264.3 88.31c1.156-6.766 15.3-10.06 32.21-7.391c4.938 .7813 11.37 2.547 19.65 5.422c12.53 4.281 26.21-2.312 30.52-14.84s-2.309-26.19-14.84-30.53c-7.602-2.627-13.92-4.358-19.82-5.721V24c0-13.25-10.75-24-24-24s-23.98 10.75-23.98 24v10.52C238.8 40.23 221.1 56.25 216.1 80.13C208.4 129.6 256.7 143.8 274.9 149.2l6.498 1.875c31.66 9.062 31.15 11.89 30.34 16.64C310.6 174.5 296.5 177.8 279.3 175z"]],
    "hand-holding-droplet": [576, 512, ["hand-holding-water"], "f4c1", ["M568.2 336.3c-13.12-17.81-38.14-21.66-55.93-8.469l-119.7 88.17h-120.6c-8.748 0-15.1-7.25-15.1-15.99c0-8.75 7.25-16 15.1-16h78.25c15.1 0 30.75-10.88 33.37-26.62c3.25-20-12.12-37.38-31.62-37.38H191.1c-26.1 0-53.12 9.25-74.12 26.25l-46.5 37.74L15.1 383.1c-8.748 0-15.1 7.274-15.1 16.02L.0001 496C.0001 504.8 7.251 512 15.1 512h346.1c22.03 0 43.92-7.188 61.7-20.27l135.1-99.52C577.5 379.1 581.3 354.1 568.2 336.3z", "M287.1 256c53 0 95.1-42.13 95.1-93.1c0-40-57.12-120.8-83.25-155.6c-6.375-8.5-19.12-8.5-25.5 0C249.1 41.25 191.1 122 191.1 162C191.1 213.9 234.1 256 287.1 256z"]],
    "hand-holding-hand": [512, 512, [], "e4f7", ["M440.2 175.7C427.1 193.5 402.1 197.3 384.3 184.2L296.6 127.1H191.1C183.2 127.1 175.1 135.2 175.1 143.1C175.1 152.7 183.2 159.1 191.1 159.1H254.2C270.2 159.1 284.1 170.9 287.6 186.6C290.8 206.6 275.5 223.1 255.1 223.1H143.1C116.1 223.1 90.87 214.7 69.87 197.7L23.37 159.1L15.1 160C7.25 160 0 152.7 0 143.1V47.99C0 39.25 7.25 32 15.1 32H266.1C289 32 310.9 39.19 328.7 52.28L431.7 119.8C449.5 132.9 453.3 157.9 440.2 175.7L440.2 175.7z", "M7.803 304.3C20.93 286.5 45.94 282.7 63.74 295.8L183.4 384H304C312.8 384 320 376.8 320 368C320 359.3 312.8 352 304 352H225.8C209.8 352 195 341.1 192.4 325.4C189.2 305.4 204.5 288 224 288H352C379 288 405.1 297.3 426.1 314.3L472.6 352L496 352C504.7 352 512 359.3 512 368V464C512 472.8 504.7 480 496 480H213C190.1 480 169.1 472.8 151.3 459.7L16.27 360.2C-1.509 347.1-5.306 322.1 7.803 304.3V304.3z"]],
    "hand-holding-heart": [576, 512, [], "f4be", ["M568.2 336.3c-13.12-17.81-38.14-21.66-55.93-8.469l-119.7 88.17h-120.6c-8.748 0-15.1-7.25-15.1-15.1c0-8.746 7.25-15.1 15.1-15.1h78.25c15.1 0 30.75-10.87 33.37-26.62c3.25-19.1-12.12-37.37-31.62-37.37H191.1c-26.1 0-53.12 9.25-74.12 26.25l-46.5 37.74l-55.37-.0253c-8.748 0-15.1 7.275-15.1 16.02L.0001 496C.0001 504.8 7.251 512 15.1 512h346.1c22.03 0 43.92-7.187 61.7-20.28l135.1-99.51C577.5 379.1 581.3 354.1 568.2 336.3z", "M275.2 250.5c7 7.375 18.5 7.375 25.5 0l108.1-114.2c31.5-33.12 29.72-88.1-5.65-118.7c-30.88-26.75-76.75-21.9-104.9 7.724L287.1 36.91L276.8 25.28C248.7-4.345 202.7-9.194 171.1 17.56C136.7 48.18 134.7 103.2 166.4 136.3L275.2 250.5z"]],
    "hand-holding-magic": [576, 512, [], "f6e5", ["M568.2 336.3c-13.12-17.81-38.14-21.66-55.93-8.469l-119.7 88.17h-120.6c-8.748 0-15.1-7.25-15.1-15.99c0-8.75 7.25-16 15.1-16h78.25c15.1 0 30.75-10.88 33.37-26.62c3.25-20-12.12-37.38-31.62-37.38H191.1c-26.1 0-53.12 9.25-74.12 26.25l-46.5 37.74L15.1 383.1c-8.748 0-15.1 7.274-15.1 16.02L.0001 496C.0001 504.8 7.251 512 15.1 512h346.1c22.03 0 43.92-7.188 61.7-20.27l135.1-99.52C577.5 379.1 581.3 354.1 568.2 336.3z", "M224 224c53 0 96-43 96-96c0 0-32 32-96 32C206.3 160 192 142.5 192 128L192 96c0-17.62 14.38-32 32-32h128c17.62 0 32 14.38 32 32l0 32c0 34.25-17.5 66.5-42.13 90.75L288 272l17.75-1c77.13-4.375 141.6-65.25 142.3-141.5L447.1 96c0-53-42.1-96-95.1-96H223.1c-53 0-95.1 43-95.1 96l.001 32C128 179.1 172.9 224 224 224z"]],
    "hand-holding-medical": [576, 512, [], "e05c", ["M559.7 392.2l-135.1 99.52C406.9 504.8 385 512 362.1 512H15.1C7.251 512 0 504.8 0 496v-95.98C0 391.3 7.251 383.1 15.1 383.1l55.37 .0241l46.5-37.74c20.1-17 47.12-26.25 74.12-26.25h159.1c19.5 0 34.87 17.38 31.62 37.38c-2.623 15.74-17.37 26.62-33.37 26.62H271.1c-8.748 0-15.1 7.25-15.1 16c0 8.742 7.25 15.99 15.1 15.99h120.6l119.7-88.17c17.79-13.19 42.81-9.344 55.93 8.469C581.3 354.1 577.5 379.1 559.7 392.2z", "M400 96v64c0 8.836-7.164 16-16 16h-64v64C320 248.8 312.8 256 304 256h-64C231.2 256 224 248.8 224 240v-64H160C151.2 176 144 168.8 144 160V96c0-8.838 7.164-16 16-16h64v-64C224 7.162 231.2 0 240 0h64C312.8 0 320 7.162 320 16v64h64C392.8 80 400 87.16 400 96z"]],
    "hand-holding-seedling": [576, 512, [], "f4bf", ["M568.2 336.3c-13.12-17.81-38.14-21.66-55.93-8.469l-119.7 88.17h-120.6c-8.748 0-15.1-7.25-15.1-15.99c0-8.75 7.25-16 15.1-16h78.25c15.1 0 30.75-10.88 33.37-26.62c3.25-20-12.12-37.38-31.62-37.38H191.1c-26.1 0-53.12 9.25-74.12 26.25l-46.5 37.74L15.1 383.1c-8.748 0-15.1 7.274-15.1 16.02L.0001 496C.0001 504.8 7.251 512 15.1 512h346.1c22.03 0 43.92-7.188 61.7-20.27l135.1-99.52C577.5 379.1 581.3 354.1 568.2 336.3zM319.1 160c88.38 0 160-71.63 160-160h-64c-52.6 0-98.84 25.71-127.1 64.89C307.8 91.54 319.1 124.2 319.1 160z", "M255.1 160v96C255.1 273.6 270.4 288 287.1 288s32-14.4 32-31.1L319.1 160c0-88.37-71.63-160-160-160H95.97C95.97 88.38 167.6 160 255.1 160z"]],
    "hand-holding-skull": [576, 512, [], "e1a4", ["M559.7 392.2l-135.1 99.52C406.9 504.8 385 512 362.1 512H15.1C7.251 512 0 504.8 0 496v-95.98C0 391.3 7.251 383.1 15.1 383.1l55.37 .0241l46.5-37.74c20.1-17 47.12-26.25 74.12-26.25h159.1c19.5 0 34.87 17.38 31.62 37.38c-2.623 15.74-17.37 26.62-33.37 26.62H271.1c-8.748 0-15.1 7.25-15.1 16c0 8.742 7.25 15.99 15.1 15.99h120.6l119.7-88.17c17.79-13.19 42.81-9.344 55.93 8.469C581.3 354.1 577.5 379.1 559.7 392.2z", "M432 127.1C432 57.25 367.5 0 288 0C208.5 0 143.1 57.25 143.1 127.1c0 46.5 28.24 86.88 69.1 109.3l-5.5 25.88C205.9 275.8 213.1 288 224.1 288h126c11.13 0 19.13-12.25 16.5-24.88l-5.501-25.88C403.8 214.9 432 174.5 432 127.1zM231.1 176c-17.63 0-32.01-14.38-32.01-32s14.38-32 32.01-32c17.63 0 32 14.38 32 32S249.6 176 231.1 176zM344 176c-17.63 0-32.01-14.38-32.01-32s14.38-32 32.01-32c17.63 0 32 14.38 32 32S361.6 176 344 176z"]],
    "hand-horns": [448, 512, [], "e1a9", ["M384 64c-17.69 0-32 14.33-32 32v192c0 35.34-28.66 64-64 64c-19.22 0-36.27-8.654-48-22.07c-3.291 3.764-7.084 7.033-11.14 9.961C221.8 364.2 202.4 384.2 176 390.2l-61.14 13.95L96.5 375.5L168.9 359c18.54-4.238 31.1-20.72 31.1-38.97c0-20.41-16.26-40.03-39.97-40.03c-2.946 0-5.942 .3236-8.947 .9981l-120 27.38c-29.22 6.679-31.1 34.69-31.1 39.01c0 5.581 1.167 11.17 3.508 16.38l22.09 49.11C52.66 473.1 112.8 512 178.8 512H240c97.03 0 176-78.95 176-176V96C416 78.33 401.7 64 384 64zM128 32c0-17.67-14.31-32-32-32S64 14.33 64 32v236l64-14.6V32z", "M288 192c-17.69 0-32 14.33-32 32v64c0 17.67 14.31 32 32 32s32-14.33 32-32V224C320 206.3 305.7 192 288 192zM192 160C174.3 160 160 174.3 160 192v56.14c26.99 .0254 51.79 15.33 64 39.38V192C224 174.3 209.7 160 192 160z"]],
    "hand-lizard": [512, 512, [], "f258", ["M512 329.1V432c0 8.836-7.164 16-16 16H368c-8.836 0-16-7.164-16-16V416l-85.33-64H95.1c-16.47 0-31.44-13.44-31.96-29.9C62.87 285.8 91.96 256 127.1 256h104.9c13.77 0 26-8.811 30.36-21.88l10.67-32C280.9 181.4 265.4 160 243.6 160H63.1C27.95 160-1.129 130.2 .0352 93.9C.5625 77.44 15.53 64 31.1 64h271.2c26.26 0 50.84 12.88 65.79 34.47l128.8 185.1C507 297.8 512 313.7 512 329.1z", ""]],
    "hand-love": [512, 512, [], "e1a5", ["M448 64c-17.69 0-32 14.33-32 32v224c0 35.34-28.66 64-64 64c-19.22 0-36.27-8.654-48-22.07C292.3 375.3 275.2 384 256 384c-35.34 0-64-28.66-64-64V32c0-17.67-14.31-32-32-32S128 14.33 128 32l-.0004 304c0 2.646 .2797 5.213 .3969 7.832L68.28 283.7C60.47 275.9 50.23 272 40 272C17.2 272 0 290.6 0 311.1c0 10.24 3.906 20.47 11.72 28.29l122.5 122.5C165.9 494.5 208.1 512 253 512h50.89C400.9 512 480 432.1 480 335.9V96C480 78.33 465.7 64 448 64z", "M352 224c-17.69 0-32 14.33-32 32v64c0 17.67 14.31 32 32 32s32-14.33 32-32V256C384 238.3 369.7 224 352 224zM256 192C238.3 192 224 206.3 224 224v96c0 17.67 14.31 32 32 32s32-14.33 32-32V224C288 206.3 273.7 192 256 192z"]],
    "hand-middle-finger": [448, 512, [128405], "f806", ["M448 288v96c0 70.69-57.31 128-128 128H184c-50.35 0-97.76-23.7-127.1-63.98l-14.43-19.23C35.37 420.5 32 410.4 32 400v-48.02c0-14.58 6.629-28.37 18.02-37.48L80 290.5V336C80 344.8 87.16 352 96 352s16-7.164 16-16v-96C112 213.5 133.5 192 160 192s48 21.48 48 48V40C208 17.91 225.9 0 248 0S288 17.91 288 40v189.5C296.6 216.6 311.3 208 328 208c23.48 0 42.94 16.87 47.11 39.14C382.4 242.7 390.8 240 400 240C426.5 240 448 261.5 448 288z", ""]],
    "hand-peace": [512, 512, [9996], "f25b", ["M256 287.4V32c0-17.67-14.31-32-32-32S192 14.33 192 32v216.3C218.7 248.4 243.7 263.1 256 287.4zM170.8 251.2c2.514-.7734 5.043-1.027 7.57-1.516L93.41 51.39C88.21 39.25 76.34 31.97 63.97 31.97c-20.97 0-31.97 18.01-31.97 32.04c0 4.207 .8349 8.483 2.599 12.6l81.97 191.3L170.8 251.2zM368 361.9C356.3 375.3 339.2 384 320 384c-27.41 0-50.62-17.32-59.73-41.55c-7.059 21.41-23.9 39.23-47.08 46.36l-47.96 14.76c-1.562 .4807-3.147 .7105-4.707 .7105c-6.282 0-12.18-3.723-14.74-9.785c-.8595-2.038-1.264-4.145-1.264-6.213c0-6.79 4.361-13.16 11.3-15.3l46.45-14.29c17.2-5.293 29.76-20.98 29.76-38.63c0-34.19-32.54-40.07-40.02-40.07c-3.89 0-7.848 .5712-11.76 1.772l-104 32c-18.23 5.606-28.25 22.21-28.25 38.22c0 4.266 .6825 8.544 2.058 12.67L68.19 419C86.71 474.5 138.7 512 197.2 512H272c82.54 0 151.8-57.21 170.7-134C434.6 381.8 425.6 384 416 384C396.8 384 379.7 375.3 368 361.9z", "M416 224c-17.69 0-32 14.33-32 32v64c0 17.67 14.31 32 32 32s32-14.33 32-32V256C448 238.3 433.7 224 416 224zM320 192c-17.69 0-32 14.33-32 32v96c0 17.67 14.31 32 32 32s32-14.33 32-32V224C352 206.3 337.7 192 320 192z"]],
    "hand-point-down": [448, 512, [], "f0a7", ["M72 272C69.26 272 66.66 271.5 64 271.2V480c0 17.67 14.31 32 32 32s32-14.33 32-32V272H72zM384 160c11.72 0 22.55 3.381 32 8.879V136C416 60.89 355.1 0 280 0L191.3 0C162.5 0 134.5 9.107 111.2 26.02L74.81 52.47C48 72.03 32 103.5 32 136.6V200C32 222.1 49.91 240 72 240h128c22.09 0 39.1-17.91 39.1-39.1c0-28.73-26.72-40-42.28-40l-69.72 0C119.2 160 112 152.8 112 144S119.2 128 127.1 128H200c37.87 0 68.59 29.35 71.45 66.51C276.8 193.1 282.2 192 288 192c13.28 0 25.6 4.047 35.83 10.97C332.6 178 356.1 160 384 160z", "M288 224c-17.69 0-32 14.33-32 32v64c0 17.67 14.31 32 32 32s32-14.33 32-32V256C320 238.3 305.7 224 288 224zM160 272V352c0 17.67 14.31 32 32 32s32-14.33 32-32V267.6C216.5 270.3 208.5 272 200 272H160zM384 192c-17.69 0-32 14.33-32 32v64c0 17.67 14.31 32 32 32s32-14.33 32-32V224C416 206.3 401.7 192 384 192z"]],
    "hand-point-left": [512, 512, [], "f0a5", ["M240 104C240 101.3 240.5 98.66 240.8 96H32C14.33 96 0 110.3 0 128s14.33 32 32 32h208V104zM352 416c0 11.72-3.381 22.55-8.879 32H376C451.1 448 512 387.1 512 312V223.3c0-28.76-9.107-56.79-26.02-80.06l-26.45-36.41C439.1 80 408.5 64 375.4 64H312c-22.09 0-40 17.91-40 40v128c0 22.09 17.91 39.1 39.1 39.1c28.73 0 40-26.72 40-42.28L352 159.1C352 151.2 359.2 144 368 144S384 151.2 384 159.1V232c0 37.87-29.35 68.59-66.51 71.45C318.9 308.8 320 314.2 320 320c0 13.28-4.047 25.6-10.97 35.83C333.1 364.6 352 388.1 352 416z", "M256 352c17.67 0 32-14.31 32-32s-14.33-32-32-32H192c-17.67 0-32 14.31-32 32s14.33 32 32 32H256zM244.4 256C241.7 248.5 240 240.5 240 232V192H160C142.3 192 128 206.3 128 224s14.33 32 32 32H244.4zM288 384H224c-17.67 0-32 14.31-32 32s14.33 32 32 32h64c17.67 0 32-14.31 32-32S305.7 384 288 384z"]],
    "hand-point-ribbon": [448, 512, [], "e1a6", ["M96 0C78.31 0 64 14.33 64 32h64C128 14.33 113.7 0 96 0zM224 244.4V160c0-17.67-14.31-32-32-32S160 142.3 160 160v80h40C208.5 240 216.5 241.7 224 244.4zM288 288c17.69 0 32-14.33 32-32V192c0-17.67-14.31-32-32-32s-32 14.33-32 32v64C256 273.7 270.3 288 288 288zM384 192c-17.69 0-32 14.33-32 32v64c0 17.67 14.31 32 32 32s32-14.33 32-32V224C416 206.3 401.7 192 384 192zM323.8 309C313.6 315.1 301.3 320 288 320c-5.766 0-11.24-1.08-16.55-2.51C268.6 354.6 237.9 384 200 384H128c-8.836 0-16-7.164-16-16C112 359.2 119.2 352 128 352h69.72C213.2 352 240 340.7 240 312c0-22.09-17.91-40-40-40h-128C49.91 272 32 289.9 32 312v63.41c0 33.13 16 64.56 42.81 84.13l36.41 26.45C134.5 502.9 162.5 512 191.3 512H280c75.11 0 136-60.89 136-136v-32.88C406.6 348.6 395.7 352 384 352C356.1 352 332.6 333.1 323.8 309zM128 240V160H64v80.81C66.66 240.5 69.26 240 72 240H128z", "M144 112v-64C144 39.16 136.8 32 128 32H15.99C9.523 32 3.68 35.89 1.211 41.88S.1172 54.73 4.68 59.31L25.37 80L4.68 100.7C.1172 105.3-1.258 112.1 1.211 118.1S9.523 128 15.99 128H128C136.8 128 144 120.8 144 112z"]],
    "hand-point-right": [512, 512, [], "f0a4", ["M272 160H480c17.67 0 32-14.31 32-32s-14.33-32-32-32h-208.8C271.5 98.66 272 101.3 272 104V160zM202.1 355.8C196 345.6 192 333.3 192 320c0-5.766 1.08-11.24 2.51-16.55C157.4 300.6 128 269.9 128 232V159.1C128 151.2 135.2 144 143.1 144S160 151.2 159.1 159.1l0 69.72C159.1 245.2 171.3 271.1 200 271.1C222.1 271.1 240 254.1 240 232v-128C240 81.91 222.1 64 200 64H136.6C103.5 64 72.03 80 52.47 106.8L26.02 143.2C9.107 166.5 0 194.5 0 223.3V312C0 387.1 60.89 448 136 448h32.88C163.4 438.6 160 427.7 160 416C160 388.1 178 364.6 202.1 355.8z", "M320 288h-64c-17.67 0-32 14.31-32 32s14.33 32 32 32h64c17.67 0 32-14.31 32-32S337.7 288 320 288zM352 192h-80v40c0 8.459-1.729 16.46-4.41 24H352c17.67 0 32-14.31 32-32S369.7 192 352 192zM288 384H224c-17.67 0-32 14.31-32 32s14.33 32 32 32h64c17.67 0 32-14.31 32-32S305.7 384 288 384z"]],
    "hand-point-up": [448, 512, [9757], "f0a6", ["M128 240V32c0-17.67-14.31-32-32-32S64 14.33 64 32v208.8C66.66 240.5 69.26 240 72 240H128zM323.8 309C313.6 315.1 301.3 320 288 320c-5.766 0-11.24-1.08-16.55-2.51C268.6 354.6 237.9 384 200 384H127.1C119.2 384 112 376.8 112 368S119.2 352 127.1 352l69.72 .0001c15.52 0 42.28-11.29 42.28-40C239.1 289.9 222.1 272 200 272h-128C49.91 272 32 289.9 32 312v63.41c0 33.13 16 64.56 42.81 84.13l36.41 26.45C134.5 502.9 162.5 512 191.3 512H280c75.11 0 136-60.89 136-136v-32.88C406.6 348.6 395.7 352 384 352C356.1 352 332.6 333.1 323.8 309z", "M288 160c-17.69 0-32 14.33-32 32v64c0 17.67 14.31 32 32 32s32-14.33 32-32V192C320 174.3 305.7 160 288 160zM192 128C174.3 128 160 142.3 160 160v80h40c8.459 0 16.46 1.729 24 4.41V160C224 142.3 209.7 128 192 128zM384 192c-17.69 0-32 14.33-32 32v64c0 17.67 14.31 32 32 32s32-14.33 32-32V224C416 206.3 401.7 192 384 192z"]],
    "hand-pointer": [448, 512, [], "f25a", ["M400 224c-9.148 0-17.62 2.697-24.89 7.143C370.9 208.9 351.5 192 328 192c-17.38 0-32.46 9.33-40.89 23.17C282.1 192.9 263.5 176 240 176c-12.35 0-23.49 4.797-32 12.46V40c0-22.09-17.9-40-39.1-40C145.9 0 128 17.91 128 40v322.7L72 288C64.15 277.5 52.13 272 39.97 272c-21.22 0-39.97 17.06-39.97 40.02c0 8.356 2.608 16.78 8.005 23.98l91.22 121.6C124.8 491.7 165.5 512 208 512h96C383.4 512 448 447.4 448 368v-96C448 245.5 426.5 224 400 224zM240 400c0 8.844-7.156 16-16 16s-16-7.156-16-16v-96C208 295.2 215.2 288 224 288s16 7.156 16 16V400zM304 400c0 8.844-7.156 16-16 16s-16-7.156-16-16v-96C272 295.2 279.2 288 288 288s16 7.156 16 16V400zM368 400c0 8.844-7.156 16-16 16s-16-7.156-16-16v-96C336 295.2 343.2 288 352 288s16 7.156 16 16V400z", "M224 288C215.2 288 208 295.2 208 304v96c0 8.844 7.156 16 16 16s16-7.156 16-16v-96C240 295.2 232.8 288 224 288zM288 288c-8.844 0-16 7.156-16 16v96c0 8.844 7.156 16 16 16s16-7.156 16-16v-96C304 295.2 296.8 288 288 288zM352 288c-8.844 0-16 7.156-16 16v96c0 8.844 7.156 16 16 16s16-7.156 16-16v-96C368 295.2 360.8 288 352 288z"]],
    "hand-scissors": [512, 512, [], "f257", ["M510.8 181.5c-3.02-31.08-18.35-60.13-43.55-79.04l-38.41-28.79C420.5 67.4 410.4 64.04 400 64.04H352c-14.58 0-28.38 6.625-37.48 18.01l-14.29 17.85l72.54 22.67c6.847 2.13 11.23 8.448 11.23 15.25c0 1.581-.2368 3.189-.7346 4.777C381.1 149.5 374.8 153.8 368 153.8c-1.578 0-3.188-.2344-4.766-.7344L84 65.89C79.98 64.61 75.91 63.1 71.91 63.1c-16.99 0-32.72 10.97-38.06 28.04c-1.255 3.991-1.851 8.032-1.851 12.01c0 17.01 10.93 32.78 28.01 38.15l209.5 65.84H40c-22.09 0-40 17.9-40 39.1s17.91 39.99 40 39.99h189.5C216.6 296.6 208 311.3 208 328c0 23.48 16.87 42.94 39.14 47.1C242.7 382.4 240 390.9 240 400C240 426.5 261.5 448 288 448h80c79.41 0 144-64.59 144-143.1V192C512 188.4 511.5 184.9 510.8 181.5z", ""]],
    "hand-sparkles": [640, 512, [], "e05d", ["M512 96c-17.67 0-32 14.33-32 32l-.0156 112c0 8.836-7.148 16-15.98 16s-16.07-7.164-16.07-16L448 64c0-17.67-14.33-32-32-32s-32 14.33-32 32l-.0635 176c0 8.836-7.106 16-15.94 16S351.9 248.8 351.9 240L352 32c0-17.67-14.33-32-32-32S288 14.33 288 32L287.9 240C287.9 248.8 280.8 256 272 256S255.9 248.8 255.9 240L256 64c0-17.67-14.33-32-32-32S192 46.33 192 64v279.4L132.3 283.7C124.5 275.9 114.2 272 104 272C82.68 272 64 289.2 64 312c0 10.23 3.906 20.47 11.72 28.28l113.1 113.1C226.6 491.2 276.9 512 330.3 512H368c42.72 0 81.91-15.32 112.4-40.73l-9.049-3.773c-14.81-7.359-23.36-21.25-23.36-35.5s8.547-28.14 21.28-34.55l39.56-16.56l15.64-37.52c4.461-9.037 11.45-15.37 19.43-19.23L544 128C544 110.3 529.7 96 512 96zM349.8 371.6L320 383.1l-12.42 29.78C306.1 415 305.4 416 304 416s-2.969-.9941-3.578-2.219L288 383.1l-29.79-12.42C256.1 370.1 256 369.4 256 367.1c0-1.365 .9922-2.967 2.209-3.577L288 352l12.42-29.79C301 320.1 302.6 320 304 320s2.967 .9902 3.578 2.217L320 352l29.79 12.42C351 365 352 366.6 352 367.1C352 369.4 351 370.1 349.8 371.6z", "M156.3 138L106.7 117.4L85.96 67.7C84.94 65.65 82.28 64 80 64C77.72 64 75.05 65.65 74.04 67.7L53.34 117.3L3.695 138C1.668 139.1 .0117 141.7 .0078 143.1c.0039 2.262 1.662 4.953 3.688 5.967l49.57 20.67l20.77 49.67C75.05 222.3 77.72 224 80 224c2.277 0 4.943-1.656 5.959-3.699l20.7-49.63l49.65-20.71c2.027-1.014 3.682-3.696 3.686-5.958C159.1 141.7 158.3 139.1 156.3 138zM639.1 432c-.0039-2.275-1.657-4.952-3.687-5.968l-49.57-20.67l-20.77-49.67C564.9 353.7 562.3 352 560 352c-2.281 0-4.959 1.652-5.975 3.695l-20.7 49.63l-49.64 20.71c-2.027 1.016-3.682 3.683-3.686 5.958c.0039 2.262 1.661 4.954 3.686 5.968l49.57 20.67l20.77 49.67C555.1 510.3 557.7 512 560 512c2.277 0 4.933-1.656 5.949-3.699l20.7-49.63l49.65-20.71C638.3 436.9 639.1 434.3 639.1 432z"]],
    "hand-spock": [576, 512, [128406], "f259", ["M543.6 128.6c0-8.999-6.115-32.58-31.68-32.58c-14.1 0-27.02 9.324-30.92 23.56l-34.36 125.1c-1.682 6.16-7.275 10.43-13.66 10.43c-7.981 0-14.16-6.518-14.16-14.13c0-.9844 .1034-1.987 .3197-2.996l35.71-166.6c.5233-2.442 .7779-4.911 .7779-7.362c0-13.89-9.695-32.86-31.7-32.86c-14.79 0-28.12 10.26-31.34 25.29l-37.77 176.2c-2.807 13.1-14.38 22.46-27.77 22.46c-13.04 0-24.4-8.871-27.56-21.52l-52.11-208.5C243.6 11.2 230.5-.0013 215.6-.0013c-26.71 0-31.78 25.71-31.78 31.98c0 2.569 .3112 5.18 .9617 7.786l50.55 202.2c.2326 .9301 .3431 1.856 .3431 2.764c0 6.051-4.911 11.27-11.3 11.27c-4.896 0-9.234-3.154-10.74-7.812L166.9 103.9C162.4 89.1 149.5 80.02 135.5 80.02c-15.68 0-31.63 12.83-31.63 31.97c0 3.273 .5059 6.602 1.57 9.884l69.93 215.7c.2903 .8949 .4239 1.766 .4239 2.598c0 4.521-3.94 7.915-8.119 7.915c-1.928 0-3.906-.7219-5.573-2.388L101.7 285.3c-8.336-8.336-19.63-12.87-30.81-12.87c-23.56 0-39.07 19.69-39.07 39.55c0 10.23 3.906 20.47 11.72 28.28l122.5 122.5C197.6 494.3 240.3 512 284.9 512h50.98c23.5 0 108.4-14.57 132.5-103l73.96-271.2C543.2 134.8 543.6 131.7 543.6 128.6zM399.9 351.1h-83.2c22.4 22.4 35.2 51.2 35.2 80c0 9.6-6.4 16-16 16c-9.602 0-16-6.4-16-16c0-44.8-35.2-80-80-80c-9.602 0-15.1-6.4-15.1-16c0-9.602 6.398-16 15.1-16h160c9.6 0 16 6.398 16 16C415.9 345.6 409.5 351.1 399.9 351.1z", "M335.9 447.1c-9.6 0-16-6.4-16-16c0-44.8-35.2-80-80-80c-9.6 0-15.1-6.4-15.1-16s6.4-16 15.1-16h160c9.6 0 16 6.4 16 16s-6.4 16-16 16h-83.2c22.4 22.4 35.2 51.2 35.2 80C351.9 441.6 345.5 447.1 335.9 447.1z"]],
    "hand-wave": [512, 512, [], "e1a7", ["M472 96c-22.1 0-39.1 17.9-39.1 39.1V216.9L234.4 19.3C228.2 13.05 219.1 9.927 211.8 9.927c-18.3 0-31.1 14.96-31.1 31.1c0 8.19 3.124 16.38 9.372 22.63l124.5 124.5c3.123 3.124 4.685 7.219 4.685 11.31c0 9.156-7.482 15.1-15.1 15.1c-4.095 0-8.19-1.562-11.31-4.686L143.9 64.55C137.7 58.3 129.5 55.18 121.3 55.18c-17.09 0-31.1 13.76-31.1 32c0 8.19 3.124 16.38 9.372 22.63L245.7 256.9c3.124 3.124 4.686 7.219 4.686 11.31c0 9.152-7.48 15.1-15.1 15.1c-4.095 0-8.189-1.562-11.31-4.686L98.65 155.1C92.4 148.8 84.21 145.7 76.02 145.7c-18.31 0-32 14.97-32 31.1c0 8.19 3.124 16.38 9.372 22.63l124.5 124.5c3.124 3.124 4.686 7.219 4.686 11.31c0 8.545-6.877 15.1-15.1 15.1c-4.095 0-8.189-1.562-11.31-4.685L76.03 268.2C69.78 261.1 61.59 258.8 53.4 258.8c-17.09 0-32 13.76-32 32c0 8.19 3.124 16.38 9.372 22.63l147.1 147.1c34.31 34.31 79.38 51.47 124.5 51.47s90.14-17.16 124.5-51.47l26.67-26.67C491.2 396.1 512 345.9 512 292.5V135.1C512 113.9 494.1 96 472 96z", "M304 0C295.2 0 288 7.156 288 16S295.2 32 304 32C330.5 32 352 53.53 352 80C352 88.84 359.2 96 368 96S384 88.84 384 80C384 35.89 348.1 0 304 0zM80 416C53.53 416 32 394.5 32 368C32 359.2 24.84 352 16 352S0 359.2 0 368C0 412.1 35.88 448 80 448C88.84 448 96 440.8 96 432S88.84 416 80 416z"]],
    "handcuffs": [640, 512, [], "e4f8", ["M240 32C240 14.33 254.3 0 272 0C289.7 0 304 14.33 304 32C304 49.67 289.7 64 272 64C254.3 64 240 49.67 240 32zM224 80C224 97.67 209.7 112 192 112C174.3 112 160 97.67 160 80C160 62.33 174.3 48 192 48C209.7 48 224 62.33 224 80zM128 160C128 142.3 142.3 128 160 128C177.7 128 192 142.3 192 160H128zM448 160C448 142.3 462.3 128 480 128C497.7 128 512 142.3 512 160H448zM400 32C400 49.67 385.7 64 368 64C350.3 64 336 49.67 336 32C336 14.33 350.3 0 368 0C385.7 0 400 14.33 400 32zM416 80C416 62.33 430.3 48 448 48C465.7 48 480 62.33 480 80C480 97.67 465.7 112 448 112C430.3 112 416 97.67 416 80z", "M96 184C96 170.7 106.7 160 120 160H200C213.3 160 224 170.7 224 184V200C224 201.7 223.8 203.4 223.5 205.1C280.3 229.6 320 286.2 320 352C320 440.4 248.4 512 160 512C71.63 512 0 440.4 0 352C0 286.2 39.74 229.6 96.54 205.1C96.19 203.4 96 201.7 96 200V184zM160 448C213 448 256 405 256 352C256 298.1 213 256 160 256C106.1 256 64 298.1 64 352C64 405 106.1 448 160 448zM337.6 278.9C354.5 246.1 382.5 219.8 416.5 205.1C416.2 203.4 416 201.7 416 200V184C416 170.7 426.7 160 440 160H520C533.3 160 544 170.7 544 184V200C544 201.7 543.8 203.4 543.5 205.1C600.3 229.6 640 286.2 640 352C640 440.4 568.4 512 480 512C417.1 512 364.2 476.7 337.6 425.1C346.9 402.5 352 377.9 352 352C352 326.1 346.9 301.5 337.6 278.9V278.9zM480 256C426.1 256 384 298.1 384 352C384 405 426.1 448 480 448C533 448 576 405 576 352C576 298.1 533 256 480 256z"]],
    "hands": [512, 512, ["sign-language", "signing"], "f2a7", ["M202 99.74c-15.51 1.807-24.79 16.99-20.33 31.11l15.36 48.61c5.986-2.148 12.32-3.482 18.98-3.482c5.508 0 10.99 .8105 16.5 2.471l16.11 4.975L227.7 117.2C224.2 106.2 213.6 98.39 202 99.74zM487.1 144.5c-13.27 .0977-23.95 10.91-23.86 24.16l-2.082 50.04l-59.98-189.8c-3.496-11.07-14.18-18.86-25.71-17.51c-15.51 1.807-24.79 16.99-20.33 31.11l38.56 122.1c1.332 4.213-1.004 8.707-5.219 10.04c-4.213 1.332-8.707-1.004-10.04-5.217l-47.93-151.7c-3.496-11.07-14.18-18.86-25.71-17.51c-15.51 1.807-24.79 16.99-20.33 31.11l43.37 137.8c1.33 4.213-1.006 8.707-5.219 10.04c-4.213 1.332-8.707-1.004-10.04-5.217l-33.46-106.4C275.6 56.39 264.9 48.6 253.4 49.94c-15.51 1.807-24.79 16.99-20.33 31.11l34.15 108.1l73.7 22.76C404.1 233.3 448 292.8 448 359.9v27.91c38.27-21.17 63.28-61.24 64-106.7V168.4C511.8 155.1 500.3 144.5 487.1 144.5z", "M330.8 242.3L223.1 209.1C210.3 205.2 197 212.3 193.1 224.9C189.2 237.6 196.3 251 208.9 254.9L256 272H56.9c-11.61 0-22.25 7.844-24.44 19.24C29.51 306.6 41.19 320 56 320h128C188.4 320 192 323.6 192 328S188.4 336 184 336H24.9c-11.61 0-22.25 7.844-24.44 19.24C-2.49 370.6 9.193 384 24 384h160C188.4 384 192 387.6 192 392S188.4 400 184 400H56.9c-11.61 0-22.25 7.844-24.44 19.24C29.51 434.6 41.19 448 56 448h128C188.4 448 192 451.6 192 456S188.4 464 184 464H88.9c-11.61 0-22.25 7.844-24.44 19.24C61.51 498.6 73.19 512 88 512h208c66.28 0 120-53.73 120-120v-32.03C416 306.6 381.1 259.4 330.8 242.3z"]],
    "hands-asl-interpreting": [640, 512, ["american-sign-language-interpreting", "asl-interpreting", "hands-american-sign-language-interpreting"], "f2a3", ["M532.6 128l-99.9 .004c-31.87 2.289-61.15 19.35-79.13 46.18c-9.828 14.69-5.891 34.56 8.781 44.41c14.66 9.812 34.55 5.906 44.41-8.781C414.2 198.7 426.6 191.1 440 191.1c22.06 0 40 17.94 40 40c0 22.06-17.94 39.1-40 39.1c-16.94 0-32.09-10.72-37.73-26.67c-5.891-16.66-24.17-25.39-40.84-19.5c-16.66 5.891-25.39 24.17-19.5 40.84c10.84 30.64 35.23 53.77 64.96 63.8l-79.68 22.76c-16.98 4.859-26.83 22.56-21.97 39.56c4.844 16.98 22.56 26.86 39.56 21.97l99.2-28.34l-80.82 69.28c-13.42 11.5-14.97 31.7-3.469 45.12c11.52 13.42 31.73 14.98 45.13 3.469l100.4-86.09l-22.33 48.39c-7.391 16.05-.3906 35.06 15.66 42.47c16.02 7.359 35.05 .4219 42.47-15.65l84.02-188C634.9 283.4 640 259.5 640 235.4C640 176.1 591.9 128 532.6 128z", "M160 280c0 22.06 17.94 40 40 40c13.38 0 25.81-6.656 33.28-17.81C243.1 287.5 263 283.6 277.7 293.4c14.67 9.844 18.61 29.72 8.781 44.41c-17.97 26.83-47.26 43.89-79.13 46.18L107.4 384C48.1 384 0 335.9 0 276.6c0-24.1 5.082-47.94 14.92-69.94l84.02-188C106.4 2.525 125.4-4.412 141.4 2.947c16.05 7.406 23.05 26.42 15.66 42.47l-22.33 48.39l100.4-86.09c13.39-11.52 33.61-9.953 45.13 3.469c11.5 13.42 9.953 33.62-3.469 45.12l-80.82 69.28l99.2-28.34c17-4.889 34.72 4.984 39.56 21.97c4.859 17-4.984 34.7-21.97 39.56L233.1 181.5C262.8 191.6 287.2 214.7 298.1 245.3c5.891 16.67-2.844 34.95-19.5 40.84c-16.67 5.891-34.95-2.844-40.84-19.5C232.1 250.7 216.9 240 200 240C177.9 240 160 257.9 160 280z"]],
    "hands-bound": [640, 512, [], "e4f9", ["M63.1 0C81.67 0 95.1 14.33 95.1 32V144.8L165.3 237.2C170.1 244.7 181.4 246.8 189.6 242C199.3 236.3 201.7 223.3 194.6 214.5L167 179.1C156.2 166.4 158.1 146.7 171.4 135.5C184.6 124.4 204.4 125.8 215.9 138.7L262.6 191.3C278.1 209.7 288 233.4 288 258.1V352H131.6L46.31 252.5C37.07 241.8 32 228 32 213.9V32C32 14.33 46.33 0 64 0L63.1 0zM287.1 480V512H159.1V480H287.1zM480 480V512H352V480H480zM352 352V258.1C352 233.4 361 209.7 377.4 191.3L424.1 138.7C435.6 125.8 455.4 124.4 468.6 135.5C481.9 146.7 483.8 166.4 472.1 179.1L445.4 214.5C438.3 223.3 440.7 236.3 450.4 242C458.6 246.8 469 244.7 474.7 237.2L544 144.8V32C544 14.33 558.3 0 576 0C593.7 0 608 14.33 608 32V213.9C608 228 602.9 241.8 593.7 252.5L508.4 352H352z", "M512 352C525.3 352 536 362.7 536 376C536 389.3 525.3 400 512 400H128C114.7 400 104 389.3 104 376C104 362.7 114.7 352 128 352H512zM512 432C525.3 432 536 442.7 536 456C536 469.3 525.3 480 512 480H128C114.7 480 104 469.3 104 456C104 442.7 114.7 432 128 432H512z"]],
    "hands-bubbles": [576, 512, ["hands-wash"], "e05e", ["M290.6 49.94C279.1 48.6 268.4 56.39 264.9 67.46L231.4 173.9c-1.332 4.213-5.826 6.549-10.04 5.217C217.2 177.8 214.8 173.3 216.2 169.1l43.37-137.8c4.461-14.12-4.82-29.3-20.33-31.11c-11.53-1.344-22.21 6.445-25.71 17.51L165.6 169.4C164.2 173.6 159.7 175.9 155.5 174.6C151.3 173.3 148.1 168.8 150.3 164.6l38.56-122.1c4.459-14.12-4.82-29.3-20.33-31.11C157 10.04 146.3 17.83 142.8 28.9L82.84 218.7L80.76 168.7C80.85 155.5 70.17 144.6 56.9 144.5C43.67 144.5 32.18 155.1 32 168.4v112.7c.709 44.48 24.76 83.69 61.65 105.2C94.45 386.1 95.19 385.8 96 385.6v-25.69c0-67.17 43.03-126.7 107.1-148l73.7-22.76l34.15-108.1C315.4 66.94 306.1 51.75 290.6 49.94zM112 416c-26.51 0-48 21.49-48 47.1s21.49 48 48 48S160 490.5 160 464S138.5 416 112 416zM341.1 99.74c-11.53-1.344-22.21 6.443-25.71 17.51l-20.9 66.17l16.11-4.975c5.508-1.66 10.99-2.471 16.5-2.471c6.662 0 12.1 1.334 18.98 3.482l15.36-48.61C366.8 116.7 357.5 101.5 341.1 99.74zM496 128c-26.51 0-48 21.49-48 48s21.49 47.1 48 47.1S544 202.5 544 176S522.5 128 496 128zM416 .0002c-17.67 0-32 14.33-32 32c0 17.67 14.33 31.1 32 31.1c17.67 0 32-14.33 32-31.1C448 14.33 433.7 .0002 416 .0002z", "M519.1 336H360c-4.418 0-8-3.582-8-8s3.582-8 8-8h128c14.81 0 26.49-13.42 23.54-28.76c-2.191-11.4-12.84-19.24-24.44-19.24H288l47.09-17.06c12.66-3.906 19.75-17.34 15.84-30.03c-3.938-12.62-17.28-19.69-30.03-15.84L213.2 242.3C162 259.4 128 306.6 128 359.1v25.65c36.47 7.434 64 39.75 64 78.38c0 10.71-2.193 20.91-6.031 30.25C204.1 505.3 225.2 512 248 512h208c14.81 0 26.49-13.42 23.54-28.76c-2.191-11.4-12.84-19.24-24.44-19.24H360c-4.418 0-8-3.582-8-8s3.582-8 8-8h128c14.81 0 26.49-13.42 23.54-28.76c-2.191-11.4-12.84-19.24-24.44-19.24H360c-4.418 0-8-3.582-8-8s3.582-8 8-8h160c14.81 0 26.49-13.42 23.54-28.76C541.3 343.8 530.7 336 519.1 336z"]],
    "hands-clapping": [512, 512, [], "e1a8", ["M384 357.5l0-163.9c0-6.016-4.672-33.69-32-33.69c-17.69 0-32.07 14.33-32.07 31.1L320 268.1L169.2 117.3C164.5 112.6 158.3 110.3 152.2 110.3c-13.71 0-24 11.21-24 24c0 6.141 2.344 12.28 7.031 16.97l89.3 89.3C227.4 243.4 228.9 247.2 228.9 251c0 3.8-1.45 7.6-4.349 10.5c-2.899 2.899-6.7 4.349-10.5 4.349c-3.8 0-7.6-1.45-10.5-4.349l-107.6-107.6C91.22 149.2 85.08 146.9 78.94 146.9c-13.71 0-24 11.21-24 24c0 6.141 2.344 12.28 7.031 16.97l107.6 107.6C172.5 298.4 173.9 302.2 173.9 305.1c0 3.8-1.45 7.6-4.349 10.5c-2.899 2.9-6.7 4.349-10.5 4.349c-3.8 0-7.6-1.45-10.5-4.349L59.28 227.2C54.59 222.5 48.45 220.1 42.31 220.1c-13.71 0-24 11.21-24 24c0 6.141 2.344 12.28 7.031 16.97l89.3 89.3c2.9 2.899 4.349 6.7 4.349 10.5c0 3.8-1.45 7.6-4.349 10.5c-2.899 2.899-6.7 4.349-10.5 4.349c-3.8 0-7.6-1.45-10.5-4.349L40.97 318.7C36.28 314 30.14 311.7 24 311.7c-13.71 0-23.99 11.26-23.99 24.05c0 6.141 2.332 12.23 7.02 16.92C112.6 458.2 151.3 512 232.3 512C318.1 512 384 440.9 384 357.5z", "M320 0c-8.844 0-16 7.156-16 16v64C304 88.84 311.2 96 320 96s16-7.156 16-16v-64C336 7.156 328.8 0 320 0zM383.4 96c5.125 0 10.16-2.453 13.25-7.016l32.56-48c1.854-2.746 2.744-5.865 2.744-8.951c0-8.947-7.273-16.04-15.97-16.04c-5.125 0-10.17 2.465-13.27 7.02l-32.56 48C368.3 73.76 367.4 76.88 367.4 79.97C367.4 88.88 374.7 96 383.4 96zM237.3 23.02C234.2 18.46 229.1 15.98 223.1 15.98c-8.664 0-15.98 7.074-15.98 16.05c0 3.086 .8906 6.205 2.744 8.951l32.56 48C246.4 93.55 251.4 96 256.6 96c8.762 0 15.99-7.117 15.99-16.03c0-3.088-.8906-6.205-2.744-8.951L237.3 23.02zM480 160c-17.69 0-32 14.33-32 32v76.14l-32-32v121.4c0 94.01-63.31 141.5-78.32 152.2C345.1 510.9 352.6 512 360.3 512C446.1 512 512 440.9 512 357.5l-.0625-165.6C511.9 174.3 497.7 160 480 160z"]],
    "hands-holding": [640, 512, [], "f4c2", ["M79.1 264.2C79.1 281.2 86.74 297.5 98.74 309.5L149.8 360.6C158.1 368.9 171.1 370.1 180.8 363.7C193.7 355 195.5 336.8 184.6 325.8L137.4 278.6C124.9 266.1 124.9 245.9 137.4 233.4C149.9 220.9 170.1 220.9 182.6 233.4L255.2 305.9C276.2 326.9 288 355.4 288 385.1V464C288 490.5 266.5 512 240 512H173.3C156.3 512 140 505.3 128 493.3L28.12 393.4C10.11 375.4 0 350.1 0 325.5V104C0 81.91 17.91 64 40 64C62.09 64 80 81.91 80 104L79.1 264.2zM560 104C560 81.91 577.9 64 600 64C622.1 64 640 81.91 640 104V325.5C640 350.1 629.9 375.4 611.9 393.4L512 493.3C499.1 505.3 483.7 512 466.7 512H400C373.5 512 352 490.5 352 464V385.1C352 355.4 363.8 326.9 384.8 305.9L457.4 233.4C469.9 220.9 490.1 220.9 502.6 233.4C515.1 245.9 515.1 266.1 502.6 278.6L455.4 325.8C444.5 336.8 446.3 355 459.2 363.7C468.9 370.1 481.9 368.9 490.2 360.6L541.3 309.5C553.3 297.5 560 281.2 560 264.2L560 104z", ""]],
    "hands-holding-child": [640, 512, [], "e4fa", ["M79.1 264.2C79.1 281.2 86.74 297.5 98.74 309.5L149.8 360.6C158.1 368.9 171.1 370.1 180.8 363.7C193.7 355 195.5 336.8 184.6 325.8L137.4 278.6C124.9 266.1 124.9 245.9 137.4 233.4C149.9 220.9 170.1 220.9 182.6 233.4L255.2 305.9C276.2 326.9 288 355.4 288 385.1V464C288 490.5 266.5 512 240 512H173.3C156.3 512 140 505.3 128 493.3L28.12 393.4C10.11 375.4 0 350.1 0 325.5V104C0 81.91 17.91 64 40 64C62.09 64 80 81.91 80 104L79.1 264.2zM560 104C560 81.91 577.9 64 600 64C622.1 64 640 81.91 640 104V325.5C640 350.1 629.9 375.4 611.9 393.4L512 493.3C499.1 505.3 483.7 512 466.7 512H400C373.5 512 352 490.5 352 464V385.1C352 355.4 363.8 326.9 384.8 305.9L457.4 233.4C469.9 220.9 490.1 220.9 502.6 233.4C515.1 245.9 515.1 266.1 502.6 278.6L455.4 325.8C444.5 336.8 446.3 355 459.2 363.7C468.9 370.1 481.9 368.9 490.2 360.6L541.3 309.5C553.3 297.5 560 281.2 560 264.2L560 104z", "M360 40C360 62.09 342.1 80 320 80C297.9 80 280 62.09 280 40C280 17.91 297.9 0 320 0C342.1 0 360 17.91 360 40zM384.5 180.1L364.7 164.3L375.8 253C377.5 266.2 368.1 278.2 354.1 279.8C341.8 281.5 329.8 272.1 328.2 258.1L323.8 223.1H316.2L311.8 258.1C310.2 272.1 298.2 281.5 285 279.8C271.9 278.2 262.5 266.2 264.2 253L275.3 164.3L255.5 180.1C245.4 189.6 230.2 188.3 221.7 178.2C213.1 168 214.4 152.9 224.5 144.3L266 109.2C276.1 100.7 288.9 96 302.2 96H337.8C351.1 96 363.9 100.7 373.1 109.2L415.5 144.3C425.6 152.9 426.9 168 418.3 178.2C409.8 188.3 394.6 189.6 384.5 180.1H384.5z"]],
    "hands-holding-circle": [640, 512, [], "e4fb", ["M79.1 264.2C79.1 281.2 86.74 297.5 98.74 309.5L149.8 360.6C158.1 368.9 171.1 370.1 180.8 363.7C193.7 355 195.5 336.8 184.6 325.8L137.4 278.6C124.9 266.1 124.9 245.9 137.4 233.4C149.9 220.9 170.1 220.9 182.6 233.4L255.2 305.9C276.2 326.9 288 355.4 288 385.1V464C288 490.5 266.5 512 240 512H173.3C156.3 512 140 505.3 128 493.3L28.12 393.4C10.11 375.4 0 350.1 0 325.5V104C0 81.91 17.91 64 40 64C62.09 64 80 81.91 80 104L79.1 264.2zM560 104C560 81.91 577.9 64 600 64C622.1 64 640 81.91 640 104V325.5C640 350.1 629.9 375.4 611.9 393.4L512 493.3C499.1 505.3 483.7 512 466.7 512H400C373.5 512 352 490.5 352 464V385.1C352 355.4 363.8 326.9 384.8 305.9L457.4 233.4C469.9 220.9 490.1 220.9 502.6 233.4C515.1 245.9 515.1 266.1 502.6 278.6L455.4 325.8C444.5 336.8 446.3 355 459.2 363.7C468.9 370.1 481.9 368.9 490.2 360.6L541.3 309.5C553.3 297.5 560 281.2 560 264.2L560 104z", "M448 128C448 198.7 390.7 256 320 256C249.3 256 192 198.7 192 128C192 57.31 249.3 0 320 0C390.7 0 448 57.31 448 128z"]],
    "hands-holding-diamond": [640, 512, ["hand-receiving"], "f47c", ["M79.1 264.2C79.1 281.2 86.74 297.5 98.74 309.5L149.8 360.6C158.1 368.9 171.1 370.1 180.8 363.7C193.7 355 195.5 336.8 184.6 325.8L137.4 278.6C124.9 266.1 124.9 245.9 137.4 233.4C149.9 220.9 170.1 220.9 182.6 233.4L255.2 305.9C276.2 326.9 288 355.4 288 385.1V464C288 490.5 266.5 512 240 512H173.3C156.3 512 140 505.3 128 493.3L28.12 393.4C10.11 375.4 0 350.1 0 325.5V104C0 81.91 17.91 64 40 64C62.09 64 80 81.91 80 104L79.1 264.2zM560 104C560 81.91 577.9 64 600 64C622.1 64 640 81.91 640 104V325.5C640 350.1 629.9 375.4 611.9 393.4L512 493.3C499.1 505.3 483.7 512 466.7 512H400C373.5 512 352 490.5 352 464V385.1C352 355.4 363.8 326.9 384.8 305.9L457.4 233.4C469.9 220.9 490.1 220.9 502.6 233.4C515.1 245.9 515.1 266.1 502.6 278.6L455.4 325.8C444.5 336.8 446.3 355 459.2 363.7C468.9 370.1 481.9 368.9 490.2 360.6L541.3 309.5C553.3 297.5 560 281.2 560 264.2L560 104z", "M438.6 105.4C451.1 117.9 451.1 138.1 438.6 150.6L342.6 246.6C330.1 259.1 309.9 259.1 297.4 246.6L201.4 150.6C188.9 138.1 188.9 117.9 201.4 105.4L297.4 9.372C309.9-3.124 330.1-3.124 342.6 9.372L438.6 105.4z"]],
    "hands-holding-dollar": [640, 512, ["hands-usd"], "f4c5", ["M79.1 264.2C79.1 281.2 86.74 297.5 98.74 309.5L149.8 360.6C158.1 368.9 171.1 370.1 180.8 363.7C193.7 355 195.5 336.8 184.6 325.8L137.4 278.6C124.9 266.1 124.9 245.9 137.4 233.4C149.9 220.9 170.1 220.9 182.6 233.4L255.2 305.9C276.2 326.9 288 355.4 288 385.1V464C288 490.5 266.5 512 240 512H173.3C156.3 512 140 505.3 128 493.3L28.12 393.4C10.11 375.4 0 350.1 0 325.5V104C0 81.91 17.91 64 40 64C62.09 64 80 81.91 80 104L79.1 264.2zM560 104C560 81.91 577.9 64 600 64C622.1 64 640 81.91 640 104V325.5C640 350.1 629.9 375.4 611.9 393.4L512 493.3C499.1 505.3 483.7 512 466.7 512H400C373.5 512 352 490.5 352 464V385.1C352 355.4 363.8 326.9 384.8 305.9L457.4 233.4C469.9 220.9 490.1 220.9 502.6 233.4C515.1 245.9 515.1 266.1 502.6 278.6L455.4 325.8C444.5 336.8 446.3 355 459.2 363.7C468.9 370.1 481.9 368.9 490.2 360.6L541.3 309.5C553.3 297.5 560 281.2 560 264.2L560 104z", "M319.1 0C333.3 0 344 10.75 344 24V34.51C350.4 35.69 356.6 37.17 362.2 38.66C374.1 42.08 382.6 55.22 379.2 68.03C375.8 80.84 362.6 88.46 349.8 85.05C338.9 82.15 328.7 80.15 319.6 80.01C312.3 79.89 304.9 81.66 300.3 84.42C298.1 85.69 297.1 86.81 296.7 87.46C296.4 87.92 296.1 88.64 296.1 90.27C296.1 90.61 296.1 90.81 296.1 90.91C296.3 91.12 297 92.08 299.5 93.53C305.3 97.04 313.9 99.75 326.8 103.7L327.7 103.9C338.8 107.3 353.6 111.7 365.6 119.3C379.2 127.9 391.7 142.1 391.1 164.2C392.3 186.7 380.6 203.1 365.3 212.6C358.6 216.8 351.4 219.6 344 221.4V232C344 245.3 333.3 256 320 256C306.7 256 296 245.3 296 232V220.6C286.5 218.4 277.8 215.4 270.4 212.8C268.3 212.1 266.3 211.4 264.4 210.8C251.8 206.6 245 192.1 249.2 180.4C253.4 167.8 267 161 279.6 165.2C282.2 166.1 284.6 166.9 286.9 167.7C300.6 172.3 310.3 175.6 320.8 175.1C328.8 176.2 335.8 174.4 339.1 171.8C341.8 170.7 342.7 169.6 343.2 168.9C343.5 168.3 344 167.1 343.1 164.8L343.1 164.5C344 163.5 344 162.4 340 159.9C334.3 156.3 325.7 153.5 312.9 149.6L311.1 149C300.3 145.8 286.1 141.5 274.7 134.6C261.2 126.5 248.2 112.6 248.1 90.51C247.9 67.65 260.9 51.91 275.8 43.11C282.2 39.35 289.1 36.67 295.1 34.89V24C295.1 10.75 306.7 .0003 319.1 .0003L319.1 0z"]],
    "hands-holding-heart": [640, 512, ["hands-heart"], "f4c3", ["M79.1 264.2C79.1 281.2 86.74 297.5 98.74 309.5L149.8 360.6C158.1 368.9 171.1 370.1 180.8 363.7C193.7 355 195.5 336.8 184.6 325.8L137.4 278.6C124.9 266.1 124.9 245.9 137.4 233.4C149.9 220.9 170.1 220.9 182.6 233.4L255.2 305.9C276.2 326.9 288 355.4 288 385.1V464C288 490.5 266.5 512 240 512H173.3C156.3 512 140 505.3 128 493.3L28.12 393.4C10.11 375.4 0 350.1 0 325.5V104C0 81.91 17.91 64 40 64C62.09 64 80 81.91 80 104L79.1 264.2zM560 104C560 81.91 577.9 64 600 64C622.1 64 640 81.91 640 104V325.5C640 350.1 629.9 375.4 611.9 393.4L512 493.3C499.1 505.3 483.7 512 466.7 512H400C373.5 512 352 490.5 352 464V385.1C352 355.4 363.8 326.9 384.8 305.9L457.4 233.4C469.9 220.9 490.1 220.9 502.6 233.4C515.1 245.9 515.1 266.1 502.6 278.6L455.4 325.8C444.5 336.8 446.3 355 459.2 363.7C468.9 370.1 481.9 368.9 490.2 360.6L541.3 309.5C553.3 297.5 560 281.2 560 264.2L560 104z", "M299.9 21.26L320 41.37L340.1 21.26C353.7 7.646 372.2 0 391.4 0C431.5 0 464 32.49 464 72.57V77.4C464 98.79 455.1 119.2 439.5 133.9L336.4 230.5C327.2 239.2 312.8 239.2 303.6 230.5L200.5 133.9C184.9 119.2 176 98.79 176 77.4V72.57C176 32.49 208.5 0 248.6 0C267.8 0 286.3 7.645 299.9 21.25V21.26z"]],
    "hands-praying": [640, 512, ["praying-hands"], "f684", ["M618.1 353.6L528 323.6V243.4c0-19-5.5-37.37-16.12-53.25l-117.3-175.9c-.125-.25-.6251-.2487-.75-.4987c-9.625-13.5-27.88-17.85-42.38-9.229c-15.12 9.125-20 28.76-11 44.01l77.75 129.5C427.3 193 432 210 432 227.5v76.49c0 8.875-7.125 16-16 16s-16-7.125-16-16V223.1c0-17.62-14.38-31.97-32-31.97s-32 14.38-32 31.1v127.1c0 51.87 34.88 98.12 84.75 112.4L600 511C602.6 511.6 605.4 512 608 512c23.5 0 32-21.25 32-31.1v-95.99C640 370.3 631.3 358 618.1 353.6z", "M272 191.9c-17.62 0-32 14.35-32 31.97V303.9c0 8.875-7.125 16-16 16s-16-7.125-16-16V227.4c0-17.37 4.75-34.5 13.75-49.37L299.5 48.41c9-15.12 4.125-34.76-11-43.88C273.1-4.225 255.8 .1289 246.1 13.63C245.1 13.88 245.5 13.88 245.4 14.13L128.1 190C117.5 205.9 112 224.3 112 243.3v80.24l-90.13 29.1C8.75 357.9 0 370.1 0 383.9v95.99c0 10.88 8.5 31.1 32 31.1c2.75 0 5.375-.25 8-1l179.3-46.62C269.1 450 304 403.8 304 351.9V223.9C304 206.3 289.6 191.9 272 191.9z"]],
    "handshake": [640, 512, [], "f2b5", ["M480 128.2c-40.98-40.93-64.6-64.12-122.6-64.12c-10.49 0-19.93-.6141-30.2 8.566L217 163.6C196.8 180.7 194.2 210.1 211.4 231.2c9.5 11.21 23.03 16.99 36.67 16.99c10.94 0 21.95-3.716 30.97-11.33l39.57-33.46l165.3 135.3c4.361 3.536 7.123 8.173 9.078 13.04L544 351.1V128.4L480 128.2zM0 383.9l64 .0404c17.75 0 32-14.3 32-32.03V128.3L0 128.3V383.9zM48 320.1c8.75 0 16 7.124 16 15.99c0 8.735-7.25 15.99-16 15.99S32 344.8 32 336.1C32 327.2 39.25 320.1 48 320.1z", "M318.6 203.4L279 236.8c-9.016 7.619-20.03 11.33-30.97 11.33c-13.64 0-27.17-5.777-36.67-16.99C194.2 210.1 196.8 180.7 217 163.6l110.3-90.9L280.9 64C223.6 64.37 168.8 87.48 128.2 127.9L96 128.3v223.6l50.25-.0904l90.5 81.82c27.5 22.35 67.75 18.1 90-9.246l18.12 15.24c15.88 12.98 39.38 10.48 52.38-5.371l31.38-38.6l5.374 4.498c13.75 10.99 33.88 8.991 45-4.748l9.538-11.78c11.08-13.69 8.985-33.83-4.694-44.93L318.6 203.4zM544 128.4v223.6c0 17.6 14.25 32.05 31.1 32.05L640 384V128.5L544 128.4zM592 352c-8.75 0-16-7.253-16-15.99c0-8.868 7.25-15.99 16-15.99s16 7.124 16 15.99C608 344.8 600.8 352 592 352z"]],
    "handshake-angle": [640, 512, ["hands-helping"], "f4c4", ["M624 198.2l-111.1 64.75l-.0001-46.1c0-13.25-10.75-24-24-24H320V256c0 26.51-21.49 48-48 48S224 282.5 224 256l.0389-134.4c0-4.367 1.067-8.528 2.77-12.38c.1426-.332 .252-.6797 .4043-1.004c1.875-3.875 4.465-7.402 7.744-10.3c1.316-1.164 2.562-2.386 4.082-3.335c32.12-20.02 69.21-30.63 107.1-30.63h62.57l103.4-59.75c15.25-8.75 34.88-3.5 43.75 11.75l79.95 138.6C644.5 169.8 639.3 189.4 624 198.2z", "M512 215.1l-.0001 48c0 13.25-10.75 24-24 24h-8v48.01c0 26.51-21.49 48-48 48c0 35.25-28.75 64-64 64H231.4l-103.4 59.75c-15.25 8.75-34.88 3.5-43.75-11.75l-80-138.6c-8.875-15.25-3.5-34.88 11.75-43.63l80-46.25c0-51.76 27.13-99.73 71.49-126.4l67.43-43.15c-6.771 5.988-10.92 14.48-10.92 23.69L224 256c0 26.51 21.49 48 48 48S320 282.5 320 256V191.1h168C501.3 191.1 512 202.7 512 215.1z"]],
    "handshake-simple": [640, 512, [129309, "handshake-alt"], "f4c6", ["M608 128.1l-128 .1257c-40.98-40.93-64.56-64.13-122.5-64.13c-10.49 0-19.98-.7132-30.24 8.467L217 163.6c-20.25 17.11-22.77 47.4-5.641 67.6C220.9 242.4 234.4 248.2 248 248.2c10.94 0 21.95-3.716 30.97-11.33L318.6 203.4l165.3 135.4c4.361 3.54 7.092 8.151 9.047 13.01L608 351.7c17.6 0 32-14.4 32-31.98V160.1C640 142.4 625.7 128.1 608 128.1z", "M483.9 338.7c13.68 11.1 15.78 31.17 4.701 44.86L479 395.4c-11.12 13.74-31.25 15.74-45 4.748l-5.374-4.498l-31.38 38.6c-13 15.85-36.5 18.35-52.38 5.369L327 424.2c-22.25 27.35-62.75 31.84-90.25 9.487l-90.5-81.82l-114.3 .0604C14.4 351.9 0 337.4 0 319.8V160.1c0-17.59 14.4-31.98 32-31.98l96 .1254C168.6 87.76 223.6 64.38 280.9 64l46.31 8.568L217 163.6c-20.25 17.11-22.77 47.4-5.641 67.6C220.9 242.4 234.4 248.2 248 248.2c10.94 0 21.95-3.716 30.97-11.33L318.6 203.4L483.9 338.7z"]],
    "handshake-simple-slash": [640, 512, ["handshake-alt-slash"], "e05f", ["M289.1 64.01L282.5 64c-43.48 0-85.19 13.66-120.8 37.44l46.55 36.48L289.1 64.01zM607.1 127.1h-95.1c-40.98-40.96-96.56-63.98-154.5-63.98h-8.613c-7.1 0-15.63 3.002-21.63 8.373l-93.44 85.57L297.6 207.1l65.51-59.85c6.5-5.871 16.62-5.496 22.62 .1c6 6.496 5.5 16.62-.1 22.62l-26.12 23.87l145.6 118.1c12.12 9.992 19.5 23.49 22.12 37.98h81.62c17.6 0 31.1-14.39 31.1-31.99V159.1C639.1 142.3 625.7 127.1 607.1 127.1zM32 127.1c-17.6 0-31.1 14.4-31.1 31.99v159.8c0 17.59 14.4 32.06 31.1 32.06l114.2-.0712l90.5 81.85c27.5 22.37 67.75 18.12 89.1-9.25l18.12 15.25c15.87 12.1 39.37 10.5 52.37-5.371l13.02-16.03L39.93 127.1L32 127.1z", "M38.81 5.109C34.41 1.672 29.19 0 24.03 0c-7.125 0-14.19 3.156-18.91 9.187c-8.187 10.44-6.375 25.53 4.062 33.7L601.2 506.9c10.5 8.203 25.56 6.328 33.69-4.078c8.187-10.44 6.375-25.53-4.062-33.7L38.81 5.109z"]],
    "handshake-slash": [640, 512, [], "e060", ["M.0005 128.2v255.7l63.1 .0446c17.75 0 32-14.28 32-32.03L96 171.9l-55.77-43.71H.0005zM64 336c0 8.742-7.25 15.99-15.1 15.99s-15.1-7.251-15.1-15.99c0-8.875 7.25-15.1 15.1-15.1S64 327.2 64 336zM543.1 128.2l.0002 223.8c0 17.62 14.25 31.99 31.1 31.99h64V128.1L543.1 128.2zM591.1 352c-8.75 0-16-7.251-16-15.99c0-8.875 7.25-15.1 16-15.1s15.1 7.122 15.1 15.1C607.1 344.8 600.7 352 591.1 352zM289.1 64L282.5 64c-43.47 0-85.16 13.68-120.8 37.45l46.53 36.47L289.1 64zM348.8 64c-7.941 0-15.64 2.97-21.5 8.329L233.7 157.9L297.5 207.9l65.33-59.79c6.5-5.871 16.75-5.496 22.62 1c6 6.496 5.5 16.62-1 22.62l-26.12 23.87l145.6 118.1c2.875 2.496 5.5 4.996 7.875 7.742V127.1c-40.98-40.96-96.52-63.98-154.5-63.98H348.8zM128 351.8h18.25l90.5 81.85c27.5 22.37 67.75 18.12 89.1-9.25l18.12 15.25c15.88 12.1 39.37 10.5 52.37-5.371l13.02-16.03L128 196.1V351.8z", "M38.81 5.109C34.41 1.672 29.19 0 24.03 0C16.91 0 9.846 3.156 5.127 9.187C-3.06 19.62-1.248 34.72 9.19 42.89l591.1 463.1c10.5 8.203 25.56 6.328 33.69-4.078c8.188-10.44 6.375-25.53-4.062-33.7L38.81 5.109z"]],
    "hanukiah": [640, 512, [128334], "f6e6", ["M608 48c0 0-24 38.63-24 53.38c0 14.62 10.75 26.56 23.1 26.56S632 116 632 101.4C632 86.63 608 48 608 48zM8 101.4C8 116 18.75 127.9 31.1 127.9S56 116 56 101.4C56 86.63 32 48 32 48S8 86.63 8 101.4zM296 53.38C296 68 306.7 79.94 319.1 79.94S344 68 344 53.38C344 38.63 320 0 320 0S296 38.63 296 53.38zM88 101.4C88 116 98.75 128 112 128s24-12 24-26.62C136 86.63 112 48 112 48S88 86.63 88 101.4zM152 101.4C152 116 162.8 128 176 128s24-12 24-26.62C200 86.63 176 48 176 48S152 86.63 152 101.4zM216 101.4C216 116 226.8 128 240 128s24-12 24-26.62C264 86.63 240 48 240 48S216 86.63 216 101.4zM376 101.4C376 116 386.8 128 400 128s24-12 24-26.62C424 86.63 400 48 400 48S376 86.63 376 101.4zM440 101.4C440 116 450.8 128 464 128s24-12 24-26.62C488 86.63 464 48 464 48S440 86.63 440 101.4zM504 101.4C504 116 514.8 128 528 128s24-12 24-26.62C552 86.63 528 48 528 48S504 86.63 504 101.4z", "M416 168c0-4.375-3.625-8.061-8-8.061L392 160C387.6 160 384 163.6 384 168V288h32V168zM480 168c0-4.375-3.625-8.061-8-8.061L456 160C451.6 160 448 163.6 448 168V288h32V168zM544 168c0-4.375-3.625-8.061-8-8.061L520 160C515.6 160 512 163.6 512 168V288h32V168zM192 168C192 163.6 188.4 160 184 160L167.1 159.9C163.6 159.9 160 163.6 160 168V288h32V168zM624 160h-31.98c-8.836 0-16.03 7.182-16.03 16.02L576 288c0 17.6-14.4 32-32 32h-192V128c0-8.836-7.152-16.01-15.99-16.01H303.1C295.2 111.1 288 119.2 288 128v192H96c-17.6 0-32-14.4-32-32l.0065-112C64.01 167.2 56.85 160 48.02 160H16C7.164 160 0 167.2 0 176V288c0 53.02 42.98 96 96 96h192v64H144C117.5 448 96 469.5 96 496C96 504.8 103.2 512 112 512h416c8.836 0 16-7.164 16-16c0-26.51-21.49-48-48-48H352v-64h192c53.02 0 96-42.98 96-96V176C640 167.2 632.8 160 624 160zM128 168C128 163.6 124.4 160 120 160L103.1 159.9C99.62 159.9 96 163.6 96 168V288h32V168zM256 168C256 163.6 252.4 160 248 160L231.1 159.9C227.6 159.9 224 163.6 224 168V288h32V168z"]],
    "hard-drive": [512, 512, [128436, "hdd"], "f0a0", ["M464 32h-416C21.5 32 0 53.5 0 80v256C0 309.5 21.5 288 48 288h416c26.5 0 48 21.5 48 48v-256C512 53.5 490.5 32 464 32zM320 352c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S337.6 352 320 352z", "M464 288h-416C21.5 288 0 309.5 0 336v96C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-96C512 309.5 490.5 288 464 288zM320 416c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S337.6 416 320 416zM416 416c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S433.6 416 416 416z"]],
    "hashtag": [448, 512, [62098], "23", ["M341.3 32.43c-17.53-2.875-33.92 8.891-36.83 26.3l-43.54 261.3h64.88l41.79-250.7C370.5 51.83 358.7 35.34 341.3 32.43zM240.4 442.7c-2.906 17.44 8.875 33.92 26.3 36.83C268.5 479.9 270.3 480 272 480c15.36 0 28.92-11.09 31.53-26.73l11.54-69.27h-64.88L240.4 442.7zM80.44 442.7c-2.906 17.44 8.875 33.92 26.3 36.83C108.5 479.9 110.3 480 112 480c15.36 0 28.92-11.09 31.53-26.73L187.1 191.1H122.2L80.44 442.7zM181.3 32.43c-17.53-2.875-33.92 8.891-36.83 26.3L132.9 127.1H197.8l9.789-58.74C210.5 51.83 198.7 35.34 181.3 32.43z", "M416 127.1h-58.23l-10.67 64H416c17.67 0 32-14.32 32-31.1C448 142.3 433.7 127.1 416 127.1zM0 352c0 17.67 14.33 31.1 32 31.1h58.23l10.67-64H32C14.33 319.1 0 334.3 0 352zM384 319.1H165.8l-10.67 64H384c17.67 0 32-14.33 32-31.1C416 334.3 401.7 319.1 384 319.1zM64 191.1h218.2l10.67-64H64c-17.67 0-32 14.33-32 32C32 177.7 46.33 191.1 64 191.1z"]],
    "hashtag-lock": [576, 512, [], "e415", ["M197.8 128H292.9L304.4 58.74C307.3 41.31 323.8 29.53 341.3 32.44C358.7 35.35 370.5 51.83 367.6 69.27L357.8 128H416C433.7 128 448 142.3 448 160C448 160.4 447.1 160.8 447.1 161.1C423.9 164.6 402.2 175.7 385.6 192H347.1L324.3 328.9C321.5 336.1 320 343.9 320 352V354.7L303.6 453.3C300.7 470.7 284.2 482.5 266.7 479.6C249.3 476.7 237.5 460.2 240.4 442.7L250.2 384H155.1L143.6 453.3C140.7 470.7 124.2 482.5 106.7 479.6C89.31 476.7 77.53 460.2 80.44 442.7L90.23 384H32C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320H100.9L122.2 192H64C46.33 192 32 177.7 32 160C32 142.3 46.33 128 64 128H132.9L144.4 58.74C147.3 41.31 163.8 29.53 181.3 32.44C198.7 35.35 210.5 51.83 207.6 69.27L197.8 128zM260.9 320L282.2 192H187.1L165.8 320H260.9z", "M384 320V272C384 227.8 419.8 192 464 192C508.2 192 544 227.8 544 272V320C561.7 320 576 334.3 576 352V480C576 497.7 561.7 512 544 512H384C366.3 512 352 497.7 352 480V352C352 334.3 366.3 320 384 320V320zM432 320H496V272C496 254.3 481.7 240 464 240C446.3 240 432 254.3 432 272V320z"]],
    "hat-chef": [512, 512, [], "f86b", ["M512 128c0 41.75-64 192-64 192h-74.45l26.22-157.3c1.469-8.719-4.367-17.02-13.09-18.46c-8.469-1.594-16.98 4.336-18.45 13.09L341.1 320H272V160c0-8.844-7.156-16-16-16S240 151.2 240 160v160H170.9L143.8 157.3c-1.469-8.75-9.891-14.68-18.45-13.09C116.6 145.7 110.8 153.1 112.2 162.7L138.4 320H64c0 0-64-150.3-64-192C-.125 91.5 20.38 58.12 53.13 42c32.63-16.25 71.63-12.5 100.6 9.75C177.1 20.5 213.1 0 256 0c41.1 0 78.88 20.5 102.3 51.75C374.9 39 395.1 32.13 416 32C469 32 512 75 512 128z", "M448 320v160c0 17.6-14.4 32-32 32H96c-17.6 0-32-14.4-32-32v-160h74.45L112.2 162.7C110.8 153.1 116.6 145.7 125.3 144.2c8.562-1.594 16.98 4.336 18.45 13.09L170.9 320H240V160c0-8.844 7.156-16 16-16s16 7.156 16 16v160h69.12l27.12-162.7c1.469-8.75 9.984-14.68 18.45-13.09c8.719 1.438 14.55 9.742 13.09 18.46L373.6 320H448z"]],
    "hat-cowboy": [640, 512, [], "f8c0", ["M509.1 286.6c-47.44 18.04-110.8 33.38-189.9 33.38c-78.1 0-142.3-15.43-189.9-33.55c.12-.87 .24-1.71 .35-2.53c2.59-15.31 6.075-35.12 10.61-57.23c39.09 15.6 96.72 29.32 178.9 29.32s139.9-13.71 178.1-29.3c4.56 22.18 8.05 42 10.64 57.35C509.7 284.9 509.8 285.7 509.1 286.6z", "M499 226.7C481.9 143.8 450.6 32 401.4 32c-15.75 0-29.81 6.672-41.63 15.7c-23.45 17.88-55.95 17.88-79.4 0C268.5 38.7 254.5 32 238.7 32c-49.28 0-80.56 111.8-97.6 194.7c39.1 15.6 96.72 29.32 178.9 29.32S459.9 242.3 499 226.7zM632.9 227.7c-6.139-4.121-14.26-3.514-19.7 1.49c-1 .9024-101.3 90.77-293.1 90.77c-190.8 0-292.2-89.96-293.2-90.86C20.32 223.1 10.29 223.5 4.275 229.1C.1387 234.4-1.154 240.8 .9986 246.5C1.727 248.5 78.32 448 319.1 448c241.7 0 318.3-199.5 318.1-201.5C641.5 239.6 639 231.9 632.9 227.7z"]],
    "hat-cowboy-side": [640, 512, [], "f8c1", ["M640 367.1c0 67.25-60.25 80.01-75.2 80.01c-92.89 0-139.5-37.07-209.9-104.5L266.7 259c-25.72-22.94-55.72-35.06-86.72-35.06c-69.69 0-128.6 62.72-146.7 156.1c-3.19 16.6-.3794 33.83 7.711 47.31c7.83 13.11 19.61 20.64 32.25 20.64l-42.7 .0007c-9.245 .0327-17.68-5.279-21.64-13.63c-12.67-27.04-8.64-52.27-7.07-60.38c21.03-108.9 92.6-182 178.1-182c38.95 0 76.31 14.92 108.9 43.95l88.21 84.49c69.35 66.46 108.1 95.58 187.7 95.58c23.82 0 43.2-21.53 43.2-48.01c0-21.81-20.61-108.1-112.5-124.9l-5.55-33.08C601.9 223.1 640 323.5 640 367.1z", "M354.9 343.5L266.7 259C240.1 236.1 210.1 223.1 179.1 223.1c-69.69 0-128.6 62.72-146.7 156.1c-3.19 16.6-.3795 33.84 7.711 47.31c7.83 13.11 19.61 20.64 32.25 20.64h491.5c-71.12 0-115.1-21.73-163.4-62.17C386.6 373.5 371.4 359.3 354.9 343.5zM495.5 243.1l-27.16-162c-6.141-33-40.82-54.71-76.38-47.75L200.9 70.68c-27.09 5.301-47.41 26.07-50.35 51.49L142.9 196.7c12.1-3.149 24.56-4.739 37.07-4.728c38.95 0 76.31 14.92 108.9 43.95l88.21 84.49c69.35 66.46 108.1 95.58 187.7 95.58c23.82 0 43.2-21.53 43.2-48.01C608 346.2 587.4 259.9 495.5 243.1z"]],
    "hat-santa": [640, 512, [], "f7a7", ["M503.4 183.4c-8.625 8.625-9.625 21.38-4.125 31.38c-8.117 2.492-14.68 8.484-17.6 16.31L384 192l64 192H63.1l84.38-247.5C174.8 73.25 236.6 32 305.3 32c50 0 97.38 22 129.8 60.13l73.88 87.35C506.1 180.6 505 181.7 503.4 183.4z", "M448 384H63.1C28.65 384 0 412.7 0 447.1C0 465.7 14.33 480 32 480h448c17.67 0 32-14.33 32-32C512 412.7 483.3 384 448 384zM640 240c0-12.12-8.25-21.88-19.25-25.25c5.5-10 4.5-22.75-4.125-31.38C608 174.8 595.3 173.8 585.3 179.2C581.9 168.2 572.1 160 560 160s-21.88 8.25-25.25 19.25C524.8 173.8 512 174.8 503.4 183.4c-8.625 8.625-9.625 21.38-4.125 31.38C488.2 218.1 480 227.9 480 240s8.25 21.88 19.25 25.25c-5.5 10-4.453 22.75 4.172 31.38c5.25 5.125 11.95 7.747 18.83 7.747c4.5 0 8.625-1.5 12.5-3.625C538.1 311.8 547.9 320 560 320s21.88-8.25 25.25-19.25c4 2.125 8.125 3.625 12.5 3.625c6.75 0 13.5-2.625 18.88-7.75C625.3 288 626.3 275.2 620.8 265.2C631.8 261.9 640 252.1 640 240z"]],
    "hat-winter": [512, 512, [], "f7a8", ["M128 270.1l64 32l64-32l64 32l64-32l64 32l8.102-4.055c-31.67-76.73-90.37-135.1-147.8-158.6c-4.508 2.945-9.422 4.922-14.52 4.922c-4.375 0-8.5-1.5-12.5-3.625C277.9 151.8 268.1 160 256 160S234.1 151.8 230.8 140.8c-3.875 2.125-8 3.625-12.5 3.625c-5.191 0-10.09-1.973-14.55-4.914c-57.45 23.49-116.1 81.9-147.8 158.6L64 302.1L128 270.1zM467 328.4L448 337.9l-64-32l-64 32l-64-32l-64 32l-64-32l-64 32l-19-9.496C36.75 355.1 32 385.4 32 416v32h448v-32C480 385.4 475.3 355.1 467 328.4z", "M195.3 105.2c-5.5 10-4.462 22.79 4.163 31.41c5.25 5.125 11.96 7.713 18.84 7.713c4.5 0 8.625-1.5 12.5-3.625C234.1 151.8 243.9 160 256 160s21.88-8.25 25.25-19.25c4 2.125 8.125 3.625 12.5 3.625c6.75 0 13.54-2.663 18.91-7.788c8.625-8.625 9.587-21.34 4.087-31.34C327.8 101.9 336 92.13 336 80s-8.25-21.87-19.25-25.25c5.5-10 4.487-22.76-4.138-31.39s-21.36-9.613-31.36-4.113C277.9 8.25 268.1 0 256 0S234.1 8.25 230.8 19.25c-10-5.5-22.76-4.494-31.38 4.131C190.7 32.01 189.8 44.75 195.3 54.75C184.3 58.13 176 67.88 176 80S184.3 101.9 195.3 105.2zM128 305.9l64 32l64-32l64 32l64-32l64 32l19-9.496c-3.113-10.4-6.836-20.46-10.9-30.31L448 302.1l-64-32l-64 32l-64-32l-64 32l-64-32l-64 32l-8.102-4.055C51.84 307.9 48.11 317.1 45 328.4L64 337.9L128 305.9zM496 448h-480C7.25 448 0 455.3 0 464v32C0 504.8 7.25 512 16 512h480c8.75 0 16-7.25 16-16v-32C512 455.3 504.8 448 496 448z"]],
    "hat-witch": [576, 512, [], "f6e7", ["M320 319.1H256V384h63.98V319.1zM553.4 416H22.56C10.1 416 0 426.1 0 438.6c0 6.543 2.781 12.79 7.688 17.12C30.41 475.7 88.99 512 166.4 512h243.2c76.61 0 135.1-36.26 158.7-56.28C573.2 451.4 576 445.3 576 438.7C576 426.3 565.9 416 553.4 416z", "M96.05 416l110.1-249.6C218 141.4 236.8 120.8 260.4 107.1l166.3-102.9c12.5-7.25 28.37-5.125 38.49 5.125l69.36 72.62c8.625 8.625 11.62 21.25 7.75 32.75l-30.37 77.24l-14-42.12c-4.375-13.12-16.62-21.88-30.37-21.88h-39.24c-13.74 0-25.99 8.75-30.37 21.88l-6.25 18.1c-4.996 14.88-4.371 31.12 1.875 45.5L481.9 416H351.1l-.002-96C351.1 302.4 337.6 288 320 288H256C238.4 288 224 302.4 224 319.1L224 416H96.05zM224 384v32H256C238.3 416 224 401.7 224 384zM320 416h31.1v-32C351.1 401.7 337.7 416 320 416z"]],
    "hat-wizard": [512, 512, [], "f6e8", ["M496 448h-480C7.164 448 0 455.2 0 464C0 490.5 21.49 512 48 512h416c26.51 0 48-21.49 48-48C512 455.2 504.8 448 496 448zM256 192l12.42 24.84c1.477 2.949 5.68 2.949 7.156 0L288 192l24.84-12.42c2.949-1.477 2.949-5.68 0-7.156L288 160l-12.42-24.84c-1.477-2.949-5.68-2.949-7.156 0L256 160L231.2 172.4c-2.949 1.477-2.949 5.68 0 7.156L256 192z", "M361.6 214.4C355.4 200 354.8 183.8 359.8 168.9L416 0L228.4 107.3C204.8 120.8 185.1 141.4 175 166.4L48.14 448h411.8L361.6 214.4zM231.2 172.4L256 160l12.42-24.84c1.477-2.949 5.68-2.949 7.156 0L288 160l24.84 12.42c2.949 1.477 2.949 5.68 0 7.156L288 192l-12.42 24.84c-1.477 2.949-5.68 2.949-7.156 0L256 192L231.2 179.6C228.2 178.1 228.2 173.9 231.2 172.4zM314.4 343.7l-50.05 16.68L247.7 410.4c-2.469 7.406-12.95 7.406-15.43 0l-16.68-50.05l-50.05-16.68c-3.707-1.234-5.558-4.471-5.558-7.713s1.851-6.482 5.555-7.717l50.05-16.68L232.3 261.6c2.469-7.406 12.95-7.406 15.43 0l16.68 50.05l50.05 16.68C318.1 329.5 320 332.8 320 336S318.1 342.5 314.4 343.7z"]],
    "head-side": [512, 512, [], "f6e9", ["M509.2 275c-20.1-47.12-48.5-151.8-73.12-186.8C397.6 33.62 334.5 0 266.1 0H191.1C85.99 0 0 86 0 192c0 56.75 24.75 107.6 64 142.9L63.1 512h255.1l.002-64h63.1c35.37 0 63.1-28.62 63.1-63.1V320h31.1C503.1 320 518.6 296.1 509.2 275zM351.1 224c-17.62 0-31.1-14.38-31.1-32s14.37-32 31.1-32s31.1 14.38 31.1 32S369.6 224 351.1 224z", "M351.1 224c-17.62 0-31.1-14.38-31.1-32s14.37-32 31.1-32s31.1 14.38 31.1 32S369.6 224 351.1 224z"]],
    "head-side-brain": [512, 512, [], "f808", ["M159.9 178.9L160 176C160 177 159.9 177.9 159.9 178.9C159.9 178.9 159.8 178.8 159.9 178.9zM509.2 275c-21-47.12-48.5-151.8-73.12-186.8C397.1 32.88 333.7 0 266.1 0H192C86 0 0 86 0 192c0 54.5 23.25 106.5 64 142.9L64 512h256l-.0053-64h63.99c35.38 0 63.1-28.62 63.1-63.1V320h31.1c10.88 0 20.89-5.5 26.77-14.62C512.8 296.4 513.6 284.9 509.2 275zM336 208h-51c2 5.125 3 10.5 3 16c0 26.5-21.5 48-48 48c-5.5 0-10.88-1-16-3L224 320H160L160 269C154.9 271 149.5 272 144 272C117.5 272 96 250.5 96 224c0-1 .25-1.875 .25-2.875C74.13 213.5 60.75 191 64.63 167.9C68.63 144.9 88.63 128 112 128c0-26.5 21.5-48 48-48c8.25 0 16.38 2.25 23.5 6.375C192.3 72.5 207.5 64 224 64c16.5 0 31.75 8.5 40.5 22.38c12.25-7.125 27-8.375 40.38-3.375C318.1 88 328.5 98.62 333 112h3c26.5 0 48 21.5 48 48S362.5 208 336 208z", "M336 208h-51c2 5.125 3 10.5 3 16c0 26.5-21.5 48-48 48c-5.5 0-10.88-1-16-3L224 320H160L160 269C154.9 271 149.5 272 144 272C117.5 272 96 250.5 96 224c0-1 .25-1.875 .25-2.875C74.13 213.5 60.75 191 64.63 167.9C68.63 144.9 88.63 128 112 128c0-26.5 21.5-48 48-48c8.25 0 16.38 2.25 23.5 6.375C192.3 72.5 207.5 64 224 64c16.5 0 31.75 8.5 40.5 22.38c12.25-7.125 27-8.375 40.38-3.375C318.1 88 328.5 98.62 333 112h3c26.5 0 48 21.5 48 48S362.5 208 336 208z"]],
    "head-side-cough": [640, 512, [], "e061", ["M477.2 275c-21-47.13-48.49-151.8-73.11-186.8C365.6 33.63 302.5 0 234.1 0L192 0C86 0 0 86 0 192c0 56.75 24.75 107.6 64 142.9L64 512h223.1v-32h64.01c35.38 0 64-28.62 64-63.1L320 416c-17.67 0-32-14.33-32-32s14.33-32 32-32h95.98l-.003-32h31.99C471.1 320 486.6 296.1 477.2 275zM336 224c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S353.6 224 336 224z", "M608 311.1c13.25 0 24-10.75 24-24s-10.75-24-24-24s-24 10.75-24 24S594.8 311.1 608 311.1zM480 359.1c-13.25 0-23.1 10.75-23.1 24s10.75 24 23.1 24s24-10.75 24-24S493.3 359.1 480 359.1zM336 160c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S353.6 160 336 160zM544 311.1c-13.25 0-23.1 10.75-23.1 24s10.75 24 23.1 24s24-10.75 24-24S557.3 311.1 544 311.1zM544 407.1c-13.25 0-23.1 10.75-23.1 24s10.75 24 23.1 24s24-10.75 24-24S557.3 407.1 544 407.1zM608 359.1c-13.25 0-24 10.75-24 24s10.75 24 24 24s24-10.75 24-24S621.3 359.1 608 359.1zM608 455.1c-13.25 0-24 10.75-24 24s10.75 24 24 24s24-10.75 24-24S621.3 455.1 608 455.1z"]],
    "head-side-cough-slash": [640, 512, [], "e062", ["M616 304C629.3 304 640 293.3 640 280S629.3 256 616 256S592 266.8 592 280S602.8 304 616 304zM404.1 88.25C365.6 33.62 302.5 0 234.1 0H192c-42.16 0-81.04 13.77-112.7 36.83l361.3 283.2h7.4c23.12 0 38.62-23.87 29.25-44.1C456.2 227.9 428.7 123.2 404.1 88.25zM320 415.1c-17.67 0-31.1-14.33-31.1-31.1S302.3 351.1 320 351.1l5.758-.0009L18.16 110.9c-11.53 24.66-18.16 52.07-18.16 81.09c0 56.75 24.75 107.6 64 142.9L64 511.1h223.1l0-31.1l64.01 .001c33.25 0 60.2-25.38 63.37-57.78l-7.932-6.217H320zM552 304c-13.25 0-24 10.75-24 24S538.8 352 552 352S576 341.3 576 328S565.3 304 552 304zM616 360c-13.25 0-24 10.75-24 24s10.75 24 24 24S640 397.3 640 384S629.3 360 616 360z", "M38.81 5.109C34.41 1.672 29.19 0 24.03 0C16.91 0 9.845 3.156 5.126 9.187c-8.187 10.44-6.375 25.53 4.062 33.7l591.1 463.1c10.5 8.203 25.56 6.328 33.69-4.078c8.187-10.44 6.375-25.53-4.062-33.7L38.81 5.109z"]],
    "head-side-goggles": [512, 512, ["head-vr"], "f6ea", ["M303.1 64h111.9c-38.9-40.45-92.85-64-149.8-64H223.1C146.6 0 80.01 45.97 49.64 112h181.5C243.5 83.86 271.3 64 303.1 64zM509.2 275C503.3 261.7 496.8 243.6 490.1 224h-181.6c-33.22 0-63.84-19.23-77.23-48H32.81C32.37 181.3 32 186.6 32 192c0 54.5 23.25 106.5 63.1 142.9V512h223.1l.002-64h63.99c35.38 0 63.1-28.62 63.1-63.1V320h31.1c10.88 0 20.9-5.5 26.77-14.62C512.8 296.4 513.6 284.9 509.2 275z", "M231.1 112H16C7.164 112 0 119.2 0 128v32c0 8.836 7.164 16 16 16h215.3C244.7 204.8 275.3 224 308.5 224h107.5l-.0601-160h-111.9C271.3 64 243.5 83.86 231.1 112zM495.1 64h-47.1v160h47.1c8.875 0 15.1-7.125 15.1-16v-128C511.1 71.13 504.9 64 495.1 64z"]],
    "head-side-headphones": [512, 512, [], "f8c2", ["M506.8 305.4C500.9 314.5 490.9 320 479.1 320h-31.1v64C447.1 419.4 419.4 448 384 448h-63.99l-.003 64H64l.0068-177.2C23.26 298.4 0 246.5 0 192c0-95.07 69.25-173.8 160-189.1v104.4C122.3 125.2 95.1 163.4 95.1 208c0 61.88 50.13 112 112 112S320 269.9 320 208c0-44.63-26.25-82.75-63.1-100.8V0h10.13c67.63 0 130.1 32.87 169.1 88.25c24.63 35 52.12 139.6 73.12 186.8C513.6 284.9 512.8 296.4 506.8 305.4z", "M207.1 240c-17.63 0-32-14.38-32-32s14.38-32 32-32c17.63 0 32 14.38 32 32S225.6 240 207.1 240zM256 107.2V0H192c-10.93 0-21.57 1.122-32 2.88v104.4C122.3 125.2 95.1 163.4 95.1 208c0 61.88 50.13 112 112 112S320 269.9 320 208C320 163.4 293.8 125.2 256 107.2zM208 272c-35.3 0-64-28.7-64-64c0-35.3 28.7-64 64-64s64 28.7 64 64C272 243.3 243.3 272 208 272z"]],
    "head-side-heart": [512, 512, [], "e1aa", ["M509.2 275c-21-47.13-48.5-151.8-73.12-186.8C397.1 32.88 333.7 0 266.1 0L192 0C86 0 0 86 0 192c0 54.5 23.25 106.5 64 142.9L64 512h256l-.0052-64h63.99c35.38 0 63.1-28.62 63.1-63.1V320h31.1c10.88 0 20.89-5.5 26.77-14.62C512.8 296.4 513.6 284.9 509.2 275zM330.4 198.3L247.4 283.9c-5.387 5.504-13.95 5.504-19.34 0L145.1 198.3c-24.11-25.02-22.64-66.17 4.285-89.19c23.5-20.02 58.39-16.39 79.81 5.754l8.445 8.754L246 114.9c21.55-22.14 56.56-25.77 79.93-5.754C353 132.1 354.5 173.3 330.4 198.3z", "M330.4 198.3L247.4 283.9c-5.387 5.504-13.95 5.504-19.34 0L145.1 198.3c-24.11-25.02-22.64-66.17 4.285-89.19c23.5-20.02 58.39-16.39 79.81 5.754l8.445 8.754L246 114.9c21.55-22.14 56.56-25.77 79.93-5.754C353 132.1 354.5 173.3 330.4 198.3z"]],
    "head-side-mask": [512, 512, [], "e063", ["M509.2 275c-20.1-47.13-48.49-151.8-73.11-186.8C397.6 33.63 334.5 0 266.1 0H200C117.1 0 42.48 50.57 13.25 123.7L239.2 288h272.6C511.8 283.7 511.1 279.3 509.2 275zM352 224c-17.62 0-32-14.38-32-32s14.38-32 32-32c17.62 0 31.1 14.38 31.1 32S369.6 224 352 224zM.1465 184.4C-2.166 244.2 23.01 298 63.99 334.9L63.99 512h160L224 316.5L3.674 156.2C1.871 165.4 .5195 174.8 .1465 184.4z", "M352 224c17.62 0 31.1-14.38 31.1-32s-14.37-32-31.1-32c-17.62 0-32 14.38-32 32S334.4 224 352 224zM336 368H496L512 320h-255.1l.0178 192h145.9c27.55 0 52-17.63 60.71-43.76L464 464h-127.1c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16h138.7l10.67-32h-149.3c-8.836 0-16-7.164-16-16C320 375.2 327.2 368 336 368z"]],
    "head-side-medical": [512, 512, [], "f809", ["M509.2 275c-21-47.13-48.5-151.8-73.12-186.8C397.1 32.88 333.7 0 266.1 0H192C86 0 0 86 0 192c0 54.5 23.25 106.5 64 142.9L64 512h256l-.0052-64h63.99c35.38 0 63.1-28.62 63.1-63.1V320h31.1c10.88 0 20.89-5.5 26.77-14.62C512.8 296.4 513.6 284.9 509.2 275zM336 218c0 8.836-7.164 16-16 16h-54V288c0 8.836-7.164 16-16 16h-52C189.2 304 182 296.8 182 288V234H128c-8.836 0-16-7.164-16-16v-52c0-8.836 7.164-16 16-16h54V96c0-8.836 7.165-16 16-16h52c8.836 0 16 7.164 16 16v54h54c8.836 0 16 7.164 16 16V218z", "M336 218c0 8.836-7.164 16-16 16h-54V288c0 8.836-7.164 16-16 16h-52C189.2 304 182 296.8 182 288V234H128c-8.836 0-16-7.164-16-16v-52c0-8.836 7.164-16 16-16h54V96c0-8.836 7.165-16 16-16h52c8.836 0 16 7.164 16 16v54h54c8.836 0 16 7.164 16 16V218z"]],
    "head-side-virus": [512, 512, [], "e064", ["M509.2 275c-20.94-47.13-48.46-151.7-73.1-186.8C397.7 33.59 334.6 0 266.1 0H192C85.95 0 0 85.95 0 192c0 56.8 24.8 107.7 64 142.8L64 512h256l-.0044-64h63.99c35.34 0 63.1-28.65 63.1-63.1V320h31.98C503.1 320 518.6 296.2 509.2 275zM368 240h-12.12c-28.51 0-42.79 34.47-22.63 54.63l8.576 8.576c6.25 6.25 6.25 16.38 0 22.62c-3.125 3.125-7.219 4.688-11.31 4.688c-4.094 0-8.188-1.562-11.31-4.688l-8.576-8.576c-20.16-20.16-54.63-5.881-54.63 22.63V352c0 8.844-7.156 16-16 16s-16-7.156-16-16v-12.12c0-28.51-34.47-42.79-54.63-22.63l-8.576 8.576c-3.125 3.125-7.219 4.688-11.31 4.688s-8.188-1.562-11.31-4.688c-6.25-6.25-6.25-16.38 0-22.62l8.577-8.576C166.9 274.5 152.6 240 124.1 240H112c-8.844 0-16-7.156-16-16s7.157-16 16-16L124.1 208c28.51 0 42.79-34.47 22.63-54.63L138.2 144.8c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.63 0L169.4 130.7c20.16 20.16 54.63 5.881 54.63-22.63V96c0-8.844 7.156-16 16-16S256 87.16 256 96v12.12c0 28.51 34.47 42.79 54.63 22.63l8.576-8.576c6.25-6.25 16.38-6.25 22.63 0c6.25 6.25 6.25 16.38 0 22.62L333.3 153.4C313.1 173.5 327.4 208 355.9 208l12.12-.0004c8.844 0 15.1 7.157 15.1 16S376.8 240 368 240z", "M368 207.1L355.9 208c-28.51 0-42.79-34.47-22.63-54.63l8.576-8.576c6.25-6.25 6.25-16.38 0-22.62c-6.25-6.25-16.38-6.25-22.63 0l-8.576 8.576c-20.16 20.16-54.63 5.881-54.63-22.63V96c0-8.844-7.156-16-15.1-16S224 87.16 224 96v12.12c0 28.51-34.47 42.79-54.63 22.63L160.8 122.2c-6.25-6.25-16.38-6.25-22.63 0s-6.25 16.38 0 22.62l8.577 8.576C166.9 173.5 152.6 208 124.1 208L112 207.1C103.2 207.1 96 215.2 96 224s7.156 16 16 16h12.12c28.51 0 42.79 34.47 22.63 54.63L138.2 303.2c-6.25 6.25-6.25 16.38 0 22.62c3.125 3.125 7.219 4.688 11.31 4.688s8.188-1.562 11.31-4.688L169.4 317.3c20.16-20.16 54.63-5.881 54.63 22.63V352c0 8.844 7.156 16 16 16s16-7.156 16-16v-12.12c0-28.51 34.47-42.79 54.63-22.63l8.576 8.576c3.125 3.125 7.219 4.688 11.31 4.688c4.094 0 8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L333.3 294.6C313.1 274.5 327.4 240 355.9 240h12.12c8.844 0 16-7.156 16-16S376.8 207.1 368 207.1zM208 207.1c-8.836 0-15.1-7.164-15.1-15.1c0-8.838 7.164-16 16-16s15.1 7.162 15.1 15.1C224 200.8 216.8 207.1 208 207.1zM272 272c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 15.1-16S288 247.2 288 256C288 264.8 280.8 272 272 272z"]],
    "heading": [448, 512, ["header"], "f1dc", ["M448 448c0 17.69-14.33 32-32 32h-96c-17.67 0-32-14.31-32-32s14.33-32 32-32h16v-144h-224v144H128c17.67 0 32 14.31 32 32s-14.33 32-32 32H32c-17.67 0-32-14.31-32-32s14.33-32 32-32h16v-320H32c-17.67 0-32-14.31-32-32s14.33-32 32-32h96c17.67 0 32 14.31 32 32s-14.33 32-32 32H112v112h224v-112H320c-17.67 0-32-14.31-32-32s14.33-32 32-32h96c17.67 0 32 14.31 32 32s-14.33 32-32 32h-16v320H416C433.7 416 448 430.3 448 448z", ""]],
    "headphones": [512, 512, [127911], "f025", ["M511.1 399.9C511.1 399.9 511.1 400 511.1 399.9C511.1 399.1 511.1 399.9 511.1 399.9zM.0042 399.9C.0042 399.1 .0042 399.9 .0042 399.9C.0042 399.9 .0042 400 .0042 399.9zM256 32C112.9 32 4.563 151.1 0 288v48.13c0-33.47 20.64-62.13 49.8-74.1C62.66 159.6 150.2 80.14 256 80.13c105.8 .0137 193.3 79.49 206.2 181.9C491.4 273.1 512 302.7 512 336.1V287.9C507.4 151 399.1 32 256 32z", "M80 256C35.89 256 0 291.9 0 336.1l.0042 63.81C.0042 444.1 35.89 480 80 480C106.5 480 128 458.4 128 431.9V304.1C128 277.6 106.5 256 80 256zM432 256C405.5 256 384 277.6 384 304.1v127.9C384 458.4 405.5 480 432 480c44.11 0 79.1-35.88 79.1-80.06L512 336.1C512 291.9 476.1 256 432 256z"]],
    "headphones-simple": [512, 512, ["headphones-alt"], "f58f", ["M256 32C112.9 32 4.563 151.1 0 288v104C0 405.3 10.75 416 23.1 416S48 405.3 48 392V288c0-114.7 93.34-207.8 208-207.8C370.7 80.2 464 173.3 464 288v104C464 405.3 474.7 416 488 416S512 405.3 512 392V287.1C507.4 151.1 399.1 32 256 32z", "M160 288L144 288c-35.34 0-64 28.7-64 64.13v63.75C80 451.3 108.7 480 144 480L160 480c17.66 0 32-14.34 32-32.05v-127.9C192 302.3 177.7 288 160 288zM368 288L352 288c-17.66 0-32 14.32-32 32.04v127.9c0 17.7 14.34 32.05 32 32.05L368 480c35.34 0 64-28.7 64-64.13v-63.75C432 316.7 403.3 288 368 288z"]],
    "headset": [512, 512, [], "f590", ["M256 0C112.9 0 4.583 119.1 .0208 256L0 296C0 309.3 10.75 320 23.1 320S48 309.3 48 296V256c0-114.7 93.34-207.8 208-207.8C370.7 48.2 464 141.3 464 256v144c0 22.09-17.91 40-40 40h-110.7C305 425.7 289.7 416 272 416H241.8c-23.21 0-44.5 15.69-48.87 38.49C187 485.2 210.4 512 239.1 512H272c17.72 0 33.03-9.711 41.34-24H424c48.6 0 88-39.4 88-88V256C507.4 119.1 399.1 0 256 0z", "M159.1 192L144 192c-35.34 0-64 28.66-64 64.08v47.79C80 339.3 108.7 368 144 368H160c17.66 0 32-14.36 32-32.06L191.1 224C191.1 206.3 177.6 192 159.1 192zM368 192l-16 0c-17.66 0-32 14.34-32 32.04L320 335.9C320 353.7 334.3 368 352 368h16c35.34 0 64-28.7 64-64.13V256.1C432 220.7 403.3 192 368 192z"]],
    "heart": [512, 512, [128153, 128154, 128155, 128156, 128420, 129293, 129294, 129505, 10084, 61578, 9829], "f004", ["M0 190.9V185.1C0 115.2 50.52 55.58 119.4 44.1C164.1 36.51 211.4 51.37 244 84.02L256 96L267.1 84.02C300.6 51.37 347 36.51 392.6 44.1C461.5 55.58 512 115.2 512 185.1V190.9C512 232.4 494.8 272.1 464.4 300.4L283.7 469.1C276.2 476.1 266.3 480 256 480C245.7 480 235.8 476.1 228.3 469.1L47.59 300.4C17.23 272.1 .0003 232.4 .0003 190.9L0 190.9z", ""]],
    "heart-circle-bolt": [576, 512, [], "e4fc", ["M507 208.7C484.3 198 458.8 192 432 192C334.8 192 256 270.8 256 368C256 403.7 266.6 436.9 284.9 464.6L279.4 470.3C266.4 483.2 245.5 483.2 233.5 470.3L39.71 270.5C-16.22 212.5-13.23 116.6 49.7 62.68C103.6 15.73 186.5 24.72 236.5 75.67L256.4 96.64L275.4 75.67C325.4 24.72 407.3 15.73 463.2 62.68C506.1 100.1 520.7 157.6 507 208.7z", "M576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM482.5 301.8C485.2 296.9 484.2 290.7 479.9 286.1C475.6 283.2 469.3 283 464.8 286.4L368.8 358.4C364.7 361.5 362.1 366.9 364.6 371.8C366.2 376.7 370.8 380 376 380H411.6L381.5 434.2C378.8 439.1 379.8 445.3 384.1 449C388.4 452.8 394.7 452.1 399.2 449.6L495.2 377.6C499.3 374.5 501 369.1 499.4 364.2C497.8 359.3 493.2 356 488 356H452.4L482.5 301.8z"]],
    "heart-circle-check": [576, 512, [], "e4fd", ["M507 208.7C484.3 198 458.8 192 432 192C334.8 192 256 270.8 256 368C256 403.7 266.6 436.9 284.9 464.6L279.4 470.3C266.4 483.2 245.5 483.2 233.5 470.3L39.71 270.5C-16.22 212.5-13.23 116.6 49.7 62.68C103.6 15.73 186.5 24.72 236.5 75.67L256.4 96.64L275.4 75.67C325.4 24.72 407.3 15.73 463.2 62.68C506.1 100.1 520.7 157.6 507 208.7z", "M288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM499.3 347.3C505.6 341.1 505.6 330.9 499.3 324.7C493.1 318.4 482.9 318.4 476.7 324.7L416 385.4L387.3 356.7C381.1 350.4 370.9 350.4 364.7 356.7C358.4 362.9 358.4 373.1 364.7 379.3L404.7 419.3C410.9 425.6 421.1 425.6 427.3 419.3L499.3 347.3z"]],
    "heart-circle-exclamation": [576, 512, [], "e4fe", ["M507 208.7C484.3 198 458.8 192 432 192C334.8 192 256 270.8 256 368C256 403.7 266.6 436.9 284.9 464.6L279.4 470.3C266.4 483.2 245.5 483.2 233.5 470.3L39.71 270.5C-16.22 212.5-13.23 116.6 49.7 62.68C103.6 15.73 186.5 24.72 236.5 75.67L256.4 96.64L275.4 75.67C325.4 24.72 407.3 15.73 463.2 62.68C506.1 100.1 520.7 157.6 507 208.7z", "M576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 416C418.7 416 408 426.7 408 440C408 453.3 418.7 464 432 464C445.3 464 456 453.3 456 440C456 426.7 445.3 416 432 416zM447.1 288C447.1 279.2 440.8 272 431.1 272C423.2 272 415.1 279.2 415.1 288V368C415.1 376.8 423.2 384 431.1 384C440.8 384 447.1 376.8 447.1 368V288z"]],
    "heart-circle-minus": [576, 512, [], "e4ff", ["M507 208.7C484.3 198 458.8 192 432 192C334.8 192 256 270.8 256 368C256 403.7 266.6 436.9 284.9 464.6L279.4 470.3C266.4 483.2 245.5 483.2 233.5 470.3L39.71 270.5C-16.22 212.5-13.23 116.6 49.7 62.68C103.6 15.73 186.5 24.72 236.5 75.67L256.4 96.64L275.4 75.67C325.4 24.72 407.3 15.73 463.2 62.68C506.1 100.1 520.7 157.6 507 208.7z", "M288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM496 383.1C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H496z"]],
    "heart-circle-plus": [576, 512, [], "e500", ["M507 208.7C484.3 198 458.8 192 432 192C334.8 192 256 270.8 256 368C256 403.7 266.6 436.9 284.9 464.6L279.4 470.3C266.4 483.2 245.5 483.2 233.5 470.3L39.71 270.5C-16.22 212.5-13.23 116.6 49.7 62.68C103.6 15.73 186.5 24.72 236.5 75.67L256.4 96.64L275.4 75.67C325.4 24.72 407.3 15.73 463.2 62.68C506.1 100.1 520.7 157.6 507 208.7z", "M576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM416 303.1V351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H416V431.1C416 440.8 423.2 447.1 432 447.1C440.8 447.1 448 440.8 448 431.1V383.1H496C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1H448V303.1C448 295.2 440.8 287.1 432 287.1C423.2 287.1 416 295.2 416 303.1z"]],
    "heart-circle-xmark": [576, 512, [], "e501", ["M507 208.7C484.3 198 458.8 192 432 192C334.8 192 256 270.8 256 368C256 403.7 266.6 436.9 284.9 464.6L279.4 470.3C266.4 483.2 245.5 483.2 233.5 470.3L39.71 270.5C-16.22 212.5-13.23 116.6 49.7 62.68C103.6 15.73 186.5 24.72 236.5 75.67L256.4 96.64L275.4 75.67C325.4 24.72 407.3 15.73 463.2 62.68C506.1 100.1 520.7 157.6 507 208.7z", "M576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM468.7 308.7L432 345.4L395.3 308.7C389.1 302.4 378.9 302.4 372.7 308.7C366.4 314.9 366.4 325.1 372.7 331.3L409.4 368L372.7 404.7C366.4 410.9 366.4 421.1 372.7 427.3C378.9 433.6 389.1 433.6 395.3 427.3L432 390.6L468.7 427.3C474.9 433.6 485.1 433.6 491.3 427.3C497.6 421.1 497.6 410.9 491.3 404.7L454.6 368L491.3 331.3C497.6 325.1 497.6 314.9 491.3 308.7C485.1 302.4 474.9 302.4 468.7 308.7V308.7z"]],
    "heart-crack": [512, 512, [128148, "heart-broken"], "f7a9", ["M119.4 44.1C142.7 40.22 166.2 42.2 187.1 49.43L237.8 126.9L162.3 202.3C160.8 203.9 159.1 205.1 160 208.2C160 210.3 160.1 212.4 162.6 213.9L274.6 317.9C277.5 320.6 281.1 320.7 285.1 318.2C288.2 315.6 288.9 311.2 286.8 307.8L226.4 209.7L317.1 134.1C319.7 131.1 320.7 128.5 319.5 125.3L296.8 61.74C325.4 45.03 359.2 38.53 392.6 44.1C461.5 55.58 512 115.2 512 185.1V190.9C512 232.4 494.8 272.1 464.4 300.4L283.7 469.1C276.2 476.1 266.3 480 256 480C245.7 480 235.8 476.1 228.3 469.1L47.59 300.4C17.23 272.1 0 232.4 0 190.9V185.1C0 115.2 50.52 55.58 119.4 44.09V44.1z", "M319.5 125.3C320.7 128.5 319.7 131.1 317.1 134.1L226.4 209.7L286.8 307.8C288.9 311.2 288.2 315.6 285.1 318.2C281.1 320.7 277.5 320.6 274.6 317.9L162.6 213.9C160.1 212.4 160 210.3 160 208.1C159.1 205.1 160.8 203.9 162.3 202.3L237.8 126.9L187.1 49.43C208.8 56.34 228.1 68.06 244 84.01L255.1 96L267.1 84.01C276.7 75.29 286.4 67.83 296.8 61.74L319.5 125.3z"]],
    "heart-half": [512, 512, [], "e1ab", ["M256 480V96L267.1 84.02C300.6 51.37 347 36.51 392.6 44.1C461.5 55.58 512 115.2 512 185.1V190.9C512 232.4 494.8 272.1 464.4 300.4L283.7 469.1C276.2 476.1 266.3 480 256 480L256 480z", "M256 480C245.7 480 235.8 476.1 228.3 469.1L47.59 300.4C17.23 272.1 0 232.4 0 190.9V185.1C0 115.2 50.52 55.58 119.4 44.09C164.1 36.51 211.4 51.38 244 84.02L256 96V480z"]],
    "heart-half-stroke": [512, 512, ["heart-half-alt"], "e1ac", ["M256 407.4L420.7 253.6C438.1 237.4 448 214.7 448 190.9V185.1C448 146.5 420.1 113.6 382 107.2C356.9 103 331.3 111.2 313.2 129.3L256 186.5V96L267.1 84.02C300.6 51.37 347 36.51 392.6 44.1C461.5 55.58 512 115.2 512 185.1V190.9C512 232.4 494.8 272.1 464.4 300.4L283.7 469.1C276.2 476.1 266.3 480 256 480L256 407.4z", "M256 480C245.7 480 235.8 476.1 228.3 469.1L47.59 300.4C17.23 272.1 0 232.4 0 190.9V185.1C0 115.2 50.52 55.58 119.4 44.09C164.1 36.51 211.4 51.38 244 84.02L256 96V480z"]],
    "heart-pulse": [576, 512, ["heartbeat"], "f21e", ["M60.18 256C16.89 197.6 23.39 112.5 80.81 62.86C135.2 15.88 218.3 24.36 268.3 75.92l19.71 20.33l19.71-20.33C357.7 24.36 440.8 15.88 495.2 62.86c57.42 49.62 63.92 134.7 20.55 193.2h-121.5l-27.67-55.25c-5.884-11.75-22.78-11.75-28.67 0l-49.07 98L230.7 169.4c-5.884-12.75-24.04-12.5-29.54 .375l-35.93 86.25H60.18zM374.4 288l-22.03-44.25l-49.83 99.5c-6.009 12-23.41 11.62-28.92-.625L216.7 216.3l-30.05 71.75L88.55 288l176.4 182.2c12.66 13.07 33.36 13.07 46.03 0l176.4-182.2L374.4 288z", "M515.8 256c-3.642 4.912-6.975 9.971-11.33 14.46l-17.06 17.53l-112.1 .0052l-22.03-44.25l-49.83 99.5c-6.009 12-23.41 11.62-28.92-.625L216.7 216.3l-30.05 71.75L88.55 288L71.49 270.5C67.15 265.1 63.82 260.9 60.18 256h105l35.93-86.25c5.508-12.88 23.66-13.12 29.54-.375l58.21 129.4l49.07-98c5.884-11.75 22.78-11.75 28.67 0l27.67 55.25H515.8z"]],
    "heat": [448, 512, [], "e00c", ["M248.2 256.3c36.33 39.81 55.84 92.15 55.84 146l.0001 38.76C304 465.8 289.7 480 272 480s-32-14.33-32-31.1l0-45.63c-.0001-38.2-13.1-75.12-39.59-103.5C164.1 258.7 144 206.5 144 152.2L144 63.1C144 46.33 158.3 32 176 32s32 14.33 32 31.1V152.2C207.9 190.8 222.2 227.9 248.2 256.3z", "M104.2 256.3c36.33 39.81 55.84 92.15 55.84 146l.0001 38.76C160 465.8 145.7 480 127.1 480s-31.1-14.33-32-31.1l0-45.63c0-38.2-13.1-75.12-39.59-103.5C20.09 258.7 0 206.5 0 152.2L0 127.1C0 110.3 14.33 96 32 96S64 110.3 64 127.1V152.2C63.87 190.8 78.2 227.9 104.2 256.3zM391.7 255.8c-25.63-28.39-39.69-65.32-39.69-103.6l-.0001-24.25C352 110.3 337.7 96 320 96S288 110.3 288 127.1l.0001 24.25c.0001 53.86 19.49 106.1 55.77 145.9C369.7 326.7 384.1 363.9 384 402.4v45.63C384 465.7 398.3 480 415.1 480C433.7 480 448 465.7 448 448v-45.63C448 348.3 427.9 295.9 391.7 255.8z"]],
    "helicopter": [640, 512, [128641], "f533", ["M128 32C128 14.33 142.3 0 160 0H544C561.7 0 576 14.33 576 32C576 49.67 561.7 64 544 64H384V128H320V64H160C142.3 64 128 49.67 128 32zM630.6 470.6L626.7 474.5C602.7 498.5 570.2 512 536.2 512H256C238.3 512 224 497.7 224 480C224 462.3 238.3 448 256 448H536.2C553.2 448 569.5 441.3 581.5 429.3L585.4 425.4C597.9 412.9 618.1 412.9 630.6 425.4C643.1 437.9 643.1 458.1 630.6 470.6L630.6 470.6z", "M303.1 384C293.9 384 284.4 379.3 278.4 371.2L191.1 256L47.19 198.1C37.65 194.3 30.52 186.1 28.03 176.1L4.97 83.88C2.445 73.78 10.08 64 20.49 64H47.1C58.07 64 67.56 68.74 73.6 76.8L111.1 128H416C504.4 128 576 199.6 576 288V352C576 369.7 561.7 384 544 384H303.1zM384 320H512V288C512 234.1 469 192 416 192H384V320z"]],
    "helicopter-symbol": [576, 512, [], "e502", ["M542 224H477.3C463.9 143.6 400.4 80.15 320 66.66V1.984C435.8 16.42 527.6 108.2 542 224V224zM477.3 288H542C527.6 403.8 435.8 495.6 320 510V445.4C400.4 431.9 463.9 368.4 477.3 288V288zM256 445.4V510C140.2 495.6 48.42 403.8 33.98 288H98.65C112.1 368.4 175.6 431.9 256 445.4zM98.66 224H33.98C48.42 108.2 140.2 16.42 256 1.984V66.66C175.6 80.15 112.1 143.6 98.66 224V224z", "M208 128C225.7 128 240 142.3 240 160V224H336V160C336 142.3 350.3 128 368 128C385.7 128 400 142.3 400 160V352C400 369.7 385.7 384 368 384C350.3 384 336 369.7 336 352V288H240V352C240 369.7 225.7 384 208 384C190.3 384 176 369.7 176 352V160C176 142.3 190.3 128 208 128z"]],
    "helmet-battle": [576, 512, [], "f6eb", ["M480 210.9C480 90.38 288 0 288 0S95.1 90.38 95.1 210.9c0 82.75-22.88 145.9-31.13 180.6c-3.375 14.5 3.625 29.38 16.38 35.25L255.1 512V256L159.1 224L159.1 192h256L416 224l-96 32l-.0009 255.1l174.9-85.25c12.63-5.875 19.75-20.75 16.25-35.25C502.9 356.8 480 293.6 480 210.9z", "M31.99 256c17.63 0 32.01-12.5 32.01-28V0L.9928 221.1C-4.132 238.9 11.24 256 31.99 256zM575 221.1L512 0v228c0 15.5 14.38 28 32 28C564.8 256 580.1 238.9 575 221.1zM159.1 192L159.1 224l96 32v256l64-.0022L320 256l96-32l.0008-31.1H159.1z"]],
    "helmet-safety": [576, 512, ["hard-hat", "hat-hard"], "f807", ["M574.7 393.7C572.2 387.8 566.4 384 560 384h-544c-6.375 0-12.16 3.812-14.69 9.656c-2.531 5.875-1.344 12.69 3.062 17.34C7.031 413.8 72.02 480 287.1 480s280.1-66.19 283.6-69C576 406.3 577.2 399.5 574.7 393.7z", "M544 280.9c0-89.17-61.83-165.4-139.6-197.4L352 174.2V49.78C352 39.91 344.1 32 334.2 32H241.8C231.9 32 224 39.91 224 49.78v124.4L171.6 83.53C93.83 115.5 32 191.7 32 280.9V384h512V280.9z"]],
    "helmet-un": [512, 512, [], "e503", ["M218.4 384L242.3 343L320 416.9V288H368V462.5L369.6 464H440C453.3 464 464 474.7 464 488C464 501.3 453.3 512 440 512H360C353.8 512 347.9 509.6 343.5 505.4L215.7 384L218.4 384z", "M480 224C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H274.4L218.4 384H87.65C39.24 384 0 344.8 0 296.3V240C0 107.5 107.5 0 240 0C367.2 0 471.2 98.91 479.5 224H480zM285.3 103.1C281.4 97.26 274.1 94.64 267.4 96.69C260.6 98.73 256 104.9 256 112V208C256 216.8 263.2 224 272 224C280.8 224 288 216.8 288 208V164.8L322.7 216.9C326.6 222.7 333.9 225.4 340.6 223.3C347.4 221.3 352 215.1 352 208V112C352 103.2 344.8 96 336 96C327.2 96 320 103.2 320 112V155.2L285.3 103.1zM160 112C160 103.2 152.8 96 144 96C135.2 96 128 103.2 128 112V176C128 202.5 149.5 224 176 224C202.5 224 224 202.5 224 176V112C224 103.2 216.8 96 208 96C199.2 96 192 103.2 192 112V176C192 184.8 184.8 192 176 192C167.2 192 160 184.8 160 176V112z"]],
    "hexagon": [512, 512, [11043], "f312", ["M342 32C367.1 32 390.5 45.1 403.5 66.56L496 218.6C510 241.6 510 270.4 496 293.4L403.5 445.4C390.5 466.9 367.1 480 342 480H169.1C144.9 480 121.5 466.9 108.5 445.4L15.96 293.4C1.962 270.4 1.962 241.6 15.96 218.6L108.5 66.56C121.5 45.1 144.9 32 169.1 32H342z", ""]],
    "hexagon-check": [512, 512, [], "e416", ["M108.5 66.56C121.5 45.1 144.9 32 169.1 32H342C367.1 32 390.5 45.1 403.5 66.56L496 218.6C510 241.6 510 270.4 496 293.4L403.5 445.4C390.5 466.9 367.1 480 342 480H169.1C144.9 480 121.5 466.9 108.5 445.4L15.96 293.4C1.962 270.4 1.962 241.6 15.96 218.6L108.5 66.56zM371.8 211.8C382.7 200.9 382.7 183.1 371.8 172.2C360.9 161.3 343.1 161.3 332.2 172.2L224 280.4L179.8 236.2C168.9 225.3 151.1 225.3 140.2 236.2C129.3 247.1 129.3 264.9 140.2 275.8L204.2 339.8C215.1 350.7 232.9 350.7 243.8 339.8L371.8 211.8z", "M371.8 172.2C382.7 183.1 382.7 200.9 371.8 211.8L243.8 339.8C232.9 350.7 215.1 350.7 204.2 339.8L140.2 275.8C129.3 264.9 129.3 247.1 140.2 236.2C151.1 225.3 168.9 225.3 179.8 236.2L224 280.4L332.2 172.2C343.1 161.3 360.9 161.3 371.8 172.2V172.2z"]],
    "hexagon-divide": [512, 512, [], "e1ad", ["M108.5 66.56C121.5 45.1 144.9 32 169.1 32H342C367.1 32 390.5 45.1 403.5 66.56L496 218.6C510 241.6 510 270.4 496 293.4L403.5 445.4C390.5 466.9 367.1 480 342 480H169.1C144.9 480 121.5 466.9 108.5 445.4L15.96 293.4C1.962 270.4 1.962 241.6 15.96 218.6L108.5 66.56zM255.1 192C273.7 192 288 177.7 288 160C288 142.3 273.7 128 255.1 128C238.3 128 223.1 142.3 223.1 160C223.1 177.7 238.3 192 255.1 192zM167.1 232C154.7 232 143.1 242.7 143.1 256C143.1 269.3 154.7 280 167.1 280H344C357.3 280 368 269.3 368 256C368 242.7 357.3 232 344 232H167.1zM255.1 320C238.3 320 223.1 334.3 223.1 352C223.1 369.7 238.3 384 255.1 384C273.7 384 288 369.7 288 352C288 334.3 273.7 320 255.1 320z", "M288 160C288 177.7 273.7 192 256 192C238.3 192 224 177.7 224 160C224 142.3 238.3 128 256 128C273.7 128 288 142.3 288 160zM144 256C144 242.7 154.7 232 168 232H344C357.3 232 368 242.7 368 256C368 269.3 357.3 280 344 280H168C154.7 280 144 269.3 144 256zM224 352C224 334.3 238.3 320 256 320C273.7 320 288 334.3 288 352C288 369.7 273.7 384 256 384C238.3 384 224 369.7 224 352z"]],
    "hexagon-exclamation": [512, 512, [], "e417", ["M108.5 66.56C121.5 45.1 144.9 32 169.1 32H342C367.1 32 390.5 45.1 403.5 66.56L496 218.6C510 241.6 510 270.4 496 293.4L403.5 445.4C390.5 466.9 367.1 480 342 480H169.1C144.9 480 121.5 466.9 108.5 445.4L15.96 293.4C1.962 270.4 1.962 241.6 15.96 218.6L108.5 66.56zM231.1 152V264C231.1 277.3 242.7 288 255.1 288C269.3 288 280 277.3 280 264V152C280 138.7 269.3 128 255.1 128C242.7 128 231.1 138.7 231.1 152zM255.1 320C238.3 320 223.1 334.3 223.1 352C223.1 369.7 238.3 384 255.1 384C273.7 384 288 369.7 288 352C288 334.3 273.7 320 255.1 320z", "M280 264C280 277.3 269.3 288 256 288C242.7 288 232 277.3 232 264V152C232 138.7 242.7 128 256 128C269.3 128 280 138.7 280 152V264zM224 352C224 334.3 238.3 320 256 320C273.7 320 288 334.3 288 352C288 369.7 273.7 384 256 384C238.3 384 224 369.7 224 352z"]],
    "hexagon-image": [512, 512, [], "e504", ["M105.4 67.08C118.2 44.8 141.1 31.08 167.7 31.08H344.3C370 31.08 393.8 44.8 406.6 67.08L494.9 219.1C507.8 242.3 507.8 269.7 494.9 291.1L406.6 444.9C393.8 467.2 370 480.9 344.3 480.9H167.7C141.1 480.9 118.2 467.2 105.4 444.9L17.07 291.1C4.206 269.7 4.206 242.3 17.07 219.1L105.4 67.08zM158.3 279.8L107.1 335.9L153.9 416.9C156.7 421.9 161.1 424.9 167.7 424.9H344.3C350 424.9 355.3 421.9 358.1 416.9L413.4 321.2L340.7 233.8C336.2 228.3 329.4 225.1 322.3 225.1C315.2 225.1 308.4 228.3 303.8 233.8L232.2 320L193.3 279.4C188.7 274.6 182.4 271.9 175.7 271.1C169.1 272.1 162.8 274.9 158.3 279.8V279.8zM192 199.1C214.1 199.1 232 182.1 232 159.1C232 137.9 214.1 119.1 192 119.1C169.9 119.1 152 137.9 152 159.1C152 182.1 169.9 199.1 192 199.1z", "M175.7 271.1C182.4 271.9 188.7 274.6 193.3 279.4L232.2 320L303.8 233.8C308.4 228.3 315.2 225.1 322.3 225.1C329.4 225.1 336.2 228.3 340.7 233.8L413.4 321.2L358.1 416.9C355.3 421.9 350 424.9 344.3 424.9H167.7C161.1 424.9 156.7 421.9 153.9 416.9L107.1 335.9L158.3 279.8C162.8 274.9 169.1 272.1 175.7 271.1V271.1z"]],
    "hexagon-minus": [512, 512, ["minus-hexagon"], "f307", ["M108.5 66.56C121.5 45.1 144.9 32 169.1 32H342C367.1 32 390.5 45.1 403.5 66.56L496 218.6C510 241.6 510 270.4 496 293.4L403.5 445.4C390.5 466.9 367.1 480 342 480H169.1C144.9 480 121.5 466.9 108.5 445.4L15.96 293.4C1.962 270.4 1.962 241.6 15.96 218.6L108.5 66.56zM167.1 232C154.7 232 143.1 242.7 143.1 256C143.1 269.3 154.7 280 167.1 280H344C357.3 280 368 269.3 368 256C368 242.7 357.3 232 344 232H167.1z", "M144 256C144 242.7 154.7 232 168 232H344C357.3 232 368 242.7 368 256C368 269.3 357.3 280 344 280H168C154.7 280 144 269.3 144 256z"]],
    "hexagon-plus": [512, 512, ["plus-hexagon"], "f300", ["M108.5 66.56C121.5 45.1 144.9 32 169.1 32H342C367.1 32 390.5 45.1 403.5 66.56L496 218.6C510 241.6 510 270.4 496 293.4L403.5 445.4C390.5 466.9 367.1 480 342 480H169.1C144.9 480 121.5 466.9 108.5 445.4L15.96 293.4C1.962 270.4 1.962 241.6 15.96 218.6L108.5 66.56zM255.1 368C269.3 368 280 357.3 280 344V280H344C357.3 280 368 269.3 368 256C368 242.7 357.3 232 344 232H280V168C280 154.7 269.3 144 255.1 144C242.7 144 231.1 154.7 231.1 168V232H167.1C154.7 232 143.1 242.7 143.1 256C143.1 269.3 154.7 280 167.1 280H231.1V344C231.1 357.3 242.7 368 255.1 368z", "M168 280C154.7 280 144 269.3 144 256C144 242.7 154.7 232 168 232H232V168C232 154.7 242.7 144 256 144C269.3 144 280 154.7 280 168V232H344C357.3 232 368 242.7 368 256C368 269.3 357.3 280 344 280H280V344C280 357.3 269.3 368 256 368C242.7 368 232 357.3 232 344V280H168z"]],
    "hexagon-vertical-nft": [512, 512, [], "e505", ["M220.9 17.65C243.2 4.785 270.6 4.785 292.9 17.65L445.8 105.9C468.1 118.8 481.8 142.6 481.8 168.3V344.9C481.8 370.6 468.1 394.4 445.8 407.2L292.9 495.5C270.6 508.4 243.2 508.4 220.9 495.5L68 407.2C45.72 394.4 32 370.6 32 344.9V168.3C32 142.6 45.72 118.8 68 105.9L220.9 17.65zM127.8 170.6C124.9 163.5 117.4 159.4 109.9 160.9C102.4 162.3 96.92 168.9 96.92 176.6V336.6C96.92 345.4 104.1 352.6 112.9 352.6C121.8 352.6 128.9 345.4 128.9 336.6V259.7L162.1 342.5C164.9 349.6 172.4 353.7 179.9 352.3C187.5 350.8 192.9 344.2 192.9 336.6V176.6C192.9 167.7 185.8 160.6 176.9 160.6C168.1 160.6 160.9 167.7 160.9 176.6V253.5L127.8 170.6zM224.9 336.6C224.9 345.4 232.1 352.6 240.9 352.6C249.8 352.6 256.9 345.4 256.9 336.6V272.6H288.9C297.8 272.6 304.9 265.4 304.9 256.6C304.9 247.7 297.8 240.6 288.9 240.6H256.9V192.6H288.9C297.8 192.6 304.9 185.4 304.9 176.6C304.9 167.7 297.8 160.6 288.9 160.6H240.9C232.1 160.6 224.9 167.7 224.9 176.6V336.6zM336.9 160.6C328.1 160.6 320.9 167.7 320.9 176.6C320.9 185.4 328.1 192.6 336.9 192.6H352.9V336.6C352.9 345.4 360.1 352.6 368.9 352.6C377.8 352.6 384.9 345.4 384.9 336.6V192.6H400.9C409.8 192.6 416.9 185.4 416.9 176.6C416.9 167.7 409.8 160.6 400.9 160.6H336.9z", "M109.9 160.9C117.4 159.4 124.9 163.5 127.8 170.6L160.9 253.5V176.6C160.9 167.7 168.1 160.6 176.9 160.6C185.8 160.6 192.9 167.7 192.9 176.6V336.6C192.9 344.2 187.5 350.8 179.9 352.3C172.4 353.7 164.9 349.6 162.1 342.5L128.9 259.7V336.6C128.9 345.4 121.8 352.6 112.9 352.6C104.1 352.6 96.92 345.4 96.92 336.6V176.6C96.92 168.9 102.4 162.3 109.9 160.9V160.9zM224.9 176.6C224.9 167.7 232.1 160.6 240.9 160.6H288.9C297.8 160.6 304.9 167.7 304.9 176.6C304.9 185.4 297.8 192.6 288.9 192.6H256.9V240.6H288.9C297.8 240.6 304.9 247.7 304.9 256.6C304.9 265.4 297.8 272.6 288.9 272.6H256.9V336.6C256.9 345.4 249.8 352.6 240.9 352.6C232.1 352.6 224.9 345.4 224.9 336.6V176.6zM400.9 160.6C409.8 160.6 416.9 167.7 416.9 176.6C416.9 185.4 409.8 192.6 400.9 192.6H384.9V336.6C384.9 345.4 377.8 352.6 368.9 352.6C360.1 352.6 352.9 345.4 352.9 336.6V192.6H336.9C328.1 192.6 320.9 185.4 320.9 176.6C320.9 167.7 328.1 160.6 336.9 160.6H400.9z"]],
    "hexagon-vertical-nft-slanted": [512, 512, [], "e506", ["M220.9 17.65C243.2 4.785 270.6 4.785 292.9 17.65L445.8 105.9C468.1 118.8 481.8 142.6 481.8 168.3V344.9C481.8 370.6 468.1 394.4 445.8 407.2L292.9 495.5C270.6 508.4 243.2 508.4 220.9 495.5L68 407.2C45.72 394.4 32 370.6 32 344.9V168.3C32 142.6 45.72 118.8 68 105.9L220.9 17.65zM304 123.5C304 117.7 300.9 112.4 295.9 109.6L248.1 82.31C246.1 81.09 243.8 80.3 241.4 80.07C240.9 80.03 240.4 80 239.9 80H239.8C236.6 80 233.6 80.98 231 82.65C229.5 83.64 228.2 84.9 227 86.4C225.9 87.94 224.1 89.71 224.5 91.63C224 93.18 223.8 94.77 223.8 96.34V400.6C223.8 409.4 231 416.6 239.8 416.6C248.7 416.6 255.8 409.4 255.8 400.6V272.6H287.8C296.7 272.6 303.8 265.4 303.8 256.6C303.8 247.7 296.7 240.6 287.8 240.6H255.8V123.6L280.1 137.4C290.7 143.5 304 135.8 304 123.5H304zM320 150.9C320 156.6 323.1 161.9 328.1 164.8L351.8 178.4V352.6C351.8 361.4 359 368.6 367.8 368.6C376.7 368.6 383.8 361.4 383.8 352.6V196.6L400.1 205.9C407.7 210.3 417.5 207.6 421.9 199.9C426.3 192.3 423.6 182.5 415.9 178.1L343.9 137C333.3 130.9 320 138.6 320 150.9V150.9zM159.8 144.6V269.1L127 171.5C124.5 164.1 117 159.5 109.3 160.8C101.5 162 95.85 168.7 95.85 176.6V336.6C95.85 345.4 103 352.6 111.8 352.6C120.7 352.6 127.8 345.4 127.8 336.6V275.2L160.7 373.6C163.2 381.1 170.7 385.6 178.4 384.4C186.2 383.1 191.8 376.4 191.8 368.6V144.6C191.8 135.7 184.7 128.6 175.8 128.6C167 128.6 159.8 135.7 159.8 144.6V144.6z", "M295.9 109.6C300.9 112.4 304 117.7 304 123.5C304 135.8 290.7 143.5 280.1 137.4L255.8 123.6V240.6H287.8C296.7 240.6 303.8 247.7 303.8 256.6C303.8 265.4 296.7 272.6 287.8 272.6H255.8V400.6C255.8 409.4 248.7 416.6 239.8 416.6C231 416.6 223.8 409.4 223.8 400.6V96.34C223.8 94.77 224 93.18 224.5 91.63C224.1 89.71 225.9 87.94 227 86.4C228.2 84.9 229.5 83.64 231 82.65C233.6 80.97 236.6 80 239.8 80H239.9C240.4 80 240.9 80.03 241.4 80.07C243.8 80.3 246.1 81.09 248.1 82.31L295.9 109.6zM328.1 164.8C323.1 161.9 320 156.6 320 150.9C320 138.6 333.3 130.9 343.9 137L415.9 178.1C423.6 182.5 426.3 192.3 421.9 199.9C417.5 207.6 407.7 210.3 400.1 205.9L383.8 196.6V352.6C383.8 361.4 376.7 368.6 367.8 368.6C359 368.6 351.8 361.4 351.8 352.6V178.4L328.1 164.8zM191.8 368.6C191.8 376.4 186.2 383.1 178.4 384.4C170.7 385.6 163.2 381.1 160.7 373.6L127.8 275.2V336.6C127.8 345.4 120.7 352.6 111.8 352.6C103 352.6 95.85 345.4 95.85 336.6V176.6C95.85 168.7 101.5 162 109.3 160.8C117 159.5 124.5 164.1 127 171.5L159.8 269.1V144.6C159.8 135.7 167 128.6 175.8 128.6C184.7 128.6 191.8 135.7 191.8 144.6V368.6z"]],
    "hexagon-xmark": [512, 512, ["times-hexagon", "xmark-hexagon"], "f2ee", ["M108.5 66.56C121.5 45.1 144.9 32 169.1 32H342C367.1 32 390.5 45.1 403.5 66.56L496 218.6C510 241.6 510 270.4 496 293.4L403.5 445.4C390.5 466.9 367.1 480 342 480H169.1C144.9 480 121.5 466.9 108.5 445.4L15.96 293.4C1.962 270.4 1.962 241.6 15.96 218.6L108.5 66.56zM175 208.1L222.1 255.1L175 303C165.7 312.4 165.7 327.6 175 336.1C184.4 346.3 199.6 346.3 208.1 336.1L255.1 289.9L303 336.1C312.4 346.3 327.6 346.3 336.1 336.1C346.3 327.6 346.3 312.4 336.1 303L289.9 255.1L336.1 208.1C346.3 199.6 346.3 184.4 336.1 175C327.6 165.7 312.4 165.7 303 175L255.1 222.1L208.1 175C199.6 165.7 184.4 165.7 175 175C165.7 184.4 165.7 199.6 175 208.1V208.1z", "M255.1 222.1L303 175C312.4 165.7 327.6 165.7 336.1 175C346.3 184.4 346.3 199.6 336.1 208.1L289.9 255.1L336.1 303C346.3 312.4 346.3 327.6 336.1 336.1C327.6 346.3 312.4 346.3 303 336.1L255.1 289.9L208.1 336.1C199.6 346.3 184.4 346.3 175 336.1C165.7 327.6 165.7 312.4 175 303L222.1 255.1L175 208.1C165.7 199.6 165.7 184.4 175 175C184.4 165.7 199.6 165.7 208.1 175L255.1 222.1z"]],
    "high-definition": [576, 512, ["rectangle-hd"], "e1ae", ["M512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM272 328C272 341.3 261.3 352 248 352S224 341.3 224 328v-48H160v48C160 341.3 149.3 352 136 352S112 341.3 112 328v-144C112 170.8 122.8 160 136 160S160 170.8 160 184v48h64v-48C224 170.8 234.8 160 248 160S272 170.8 272 184V328zM384 352h-56c-13.25 0-24-10.75-24-24v-144C304 170.8 314.8 160 328 160H384c52.94 0 96 43.06 96 96S436.9 352 384 352zM384 208h-32v96h32c26.47 0 48-21.53 48-48S410.5 208 384 208z", "M248 160C234.8 160 224 170.8 224 184v48H160v-48C160 170.8 149.3 160 136 160S112 170.8 112 184v144C112 341.3 122.8 352 136 352S160 341.3 160 328v-48h64v48C224 341.3 234.8 352 248 352s24-10.75 24-24v-144C272 170.8 261.3 160 248 160zM384 160h-56c-13.25 0-24 10.75-24 24v144c0 13.25 10.75 24 24 24H384c52.94 0 96-43.06 96-96S436.9 160 384 160zM384 304h-32v-96h32c26.47 0 48 21.53 48 48S410.5 304 384 304z"]],
    "highlighter": [576, 512, [], "f591", ["M350.4 396.5C341.3 408.8 326.1 416 311.7 416H239.1L214.6 441.4C202.1 453.9 181.9 453.9 169.4 441.4L118.6 390.6C106.1 378.1 106.1 357.9 118.6 345.4L143.1 320V248.3C143.1 233 151.2 218.7 163.5 209.6L199.3 183.3L376.7 360.7L350.4 396.5z", "M376.7 360.7L199.3 183.3L436.6 8.398C444 2.943 452.1 0 462.2 0C473.6 0 484.5 4.539 492.6 12.62L547.4 67.38C555.5 75.46 559.1 86.42 559.1 97.84C559.1 107 557.1 115.1 551.6 123.4L376.7 360.7zM156.7 473.9L125.7 504.1C121.2 509.5 115.1 512 108.7 512H40C26.75 512 16 501.3 16 488V483.3C16 476.1 18.53 470.8 23.03 466.3L86.06 403.3L156.7 473.9z"]],
    "highlighter-line": [576, 512, [], "e1af", ["M183.3 183.3L360.7 360.7L334.4 396.5C325.3 408.8 310.1 416 295.7 416H223.1L198.6 441.4C186.1 453.9 165.9 453.9 153.4 441.4L102.6 390.6C90.13 378.1 90.13 357.9 102.6 345.4L127.1 320L127.1 248.3C127.1 233 135.2 218.7 147.5 209.6L183.3 183.3zM552 464C565.3 464 576 474.7 576 488C576 501.3 565.3 512 552 512H223.1C210.7 512 199.1 501.3 199.1 488C199.1 474.7 210.7 464 223.1 464H552z", "M360.7 360.7L183.3 183.3L420.6 8.398C428 2.943 436.1 0 446.2 0C457.6 0 468.5 4.539 476.6 12.62L531.4 67.38C539.5 75.46 543.1 86.42 543.1 97.84C543.1 107 541.1 115.1 535.6 123.4L360.7 360.7zM140.7 473.9L109.7 504.1C105.2 509.5 99.05 512 92.69 512H24C10.75 512 0 501.3 0 488V483.3C0 476.1 2.529 470.8 7.029 466.3L70.06 403.3L140.7 473.9z"]],
    "hill-avalanche": [640, 512, [], "e507", ["M161.4 91.58C160.5 87.87 160 83.99 160 80C160 53.49 181.5 32 208 32C229.9 32 248.3 46.62 254.1 66.62C268.5 45.7 292.7 32 320 32C364.2 32 400 67.82 400 112C400 119.4 398.1 126.6 397.1 133.5C426.9 145.1 448 174.1 448 208C448 236.4 433.2 261.3 410.9 275.5L492.6 357.2C508.2 372.8 533.6 372.8 549.2 357.2C564.8 341.6 564.8 316.2 549.2 300.6C533.6 284.1 508.2 284.1 492.6 300.6L458.7 266.7C493 232.3 548.8 232.3 583.1 266.7C617.5 301 617.5 356.8 583.1 391.1C552.8 421.4 505.9 425 471.7 401.9L161.4 91.58zM512 64C512 81.67 497.7 96 480 96C462.3 96 448 81.67 448 64C448 46.33 462.3 32 480 32C497.7 32 512 46.33 512 64zM480 160C480 142.3 494.3 128 512 128C529.7 128 544 142.3 544 160C544 177.7 529.7 192 512 192C494.3 192 480 177.7 480 160z", "M470.6 457.4C479.8 466.5 482.5 480.3 477.6 492.2C472.6 504.2 460.9 512 448 512H64C46.33 512 32 497.7 32 480V96C32 83.06 39.8 71.39 51.75 66.44C63.71 61.48 77.48 64.22 86.63 73.37L470.6 457.4z"]],
    "hill-rockslide": [576, 512, [], "e508", ["M192 64C192 81.67 177.7 96 160 96C142.3 96 128 81.67 128 64C128 46.33 142.3 32 160 32C177.7 32 192 46.33 192 64zM279.4 40.16C282.2 35.12 287.6 32 293.4 32H346.6C352.4 32 357.8 35.12 360.6 40.16L387.6 88.16C390.3 93.03 390.3 98.97 387.6 103.8L360.6 151.8C357.8 156.9 352.4 160 346.6 160H293.4C287.6 160 282.2 156.9 279.4 151.8L252.4 103.8C249.7 98.97 249.7 93.03 252.4 88.16L279.4 40.16zM456.2 376.6C451.1 373.8 448 368.4 448 362.6V309.4C448 303.6 451.1 298.2 456.2 295.4L504.2 268.4C509 265.7 514.1 265.7 519.8 268.4L567.8 295.4C572.9 298.2 576 303.6 576 309.4V362.6C576 368.4 572.9 373.8 567.8 376.6L519.8 403.6C514.1 406.3 509 406.3 504.2 403.6L456.2 376.6zM352 256C352 238.3 366.3 224 384 224C401.7 224 416 238.3 416 256C416 273.7 401.7 288 384 288C366.3 288 352 273.7 352 256z", "M438.6 457.4C447.8 466.5 450.5 480.3 445.6 492.2C440.6 504.2 428.9 512 416 512H32C14.33 512 0 497.7 0 480V96C0 83.06 7.796 71.39 19.75 66.44C31.71 61.48 45.48 64.22 54.63 73.37L438.6 457.4z"]],
    "hippo": [640, 512, [129435], "f6ed", ["M407 47.03C416.4 37.66 431.6 37.66 440.1 47.03L458.2 64.21C460.1 64.07 462 64 463.1 64H495.1C507.2 64 517.9 66.31 527.6 70.48L543 55.03C552.4 45.66 567.6 45.66 576.1 55.03C586.3 64.4 586.3 79.6 576.1 88.97L564 101.9C571.6 114.1 575.1 128.6 575.1 144C575.1 154.2 583.4 162.8 592.7 166.1C620.6 179.5 639.1 207.5 639.1 240C639.1 284.2 604.2 320 559.1 320H431.1C413.1 320 397.4 314 383.1 304C383 303.3 382.1 302.5 381.1 301.7C363.3 287.1 351.1 264.9 351.1 240C351.1 231.2 344.8 224 335.1 224C327.2 224 319.1 231.2 319.1 240C319.1 284.7 346.2 323.2 383.1 341.2V352C383.1 369.7 398.3 384 415.1 384H447.1V448C447.1 465.7 433.7 480 415.1 480H351.1C334.3 480 319.1 465.7 319.1 448V372C300.2 379.7 278.6 384 255.1 384C233.4 384 211.8 379.7 191.1 372V448C191.1 465.7 177.7 480 159.1 480H95.1C78.33 480 63.1 465.7 63.1 448V329.1L45.93 369.7C40.55 381.9 26.36 387.3 14.25 381.9C2.138 376.5-3.317 362.4 2.067 350.3L23.1 300.9C29.27 289 31.1 276.2 31.1 263.2C31.1 155.7 117.2 68.02 223.8 64.13L223.1 64H288C329.7 64 371.4 76.07 405.2 89.73C406.9 87.9 408.7 86.15 410.5 84.48L407 80.97C397.7 71.6 397.7 56.4 407 47.03H407zM455.1 208C442.7 208 431.1 218.7 431.1 232C431.1 245.3 442.7 256 455.1 256C469.3 256 479.1 245.3 479.1 232C479.1 218.7 469.3 208 455.1 208zM567.1 256C581.3 256 591.1 245.3 591.1 232C591.1 218.7 581.3 208 567.1 208C554.7 208 543.1 218.7 543.1 232C543.1 245.3 554.7 256 567.1 256zM463.1 128C455.2 128 447.1 135.2 447.1 144C447.1 152.8 455.2 160 463.1 160C472.8 160 479.1 152.8 479.1 144C479.1 135.2 472.8 128 463.1 128zM527.1 160C536.8 160 543.1 152.8 543.1 144C543.1 135.2 536.8 128 527.1 128C519.2 128 511.1 135.2 511.1 144C511.1 152.8 519.2 160 527.1 160z", "M480 144C480 152.8 472.8 160 464 160C455.2 160 448 152.8 448 144C448 135.2 455.2 128 464 128C472.8 128 480 135.2 480 144zM544 144C544 152.8 536.8 160 528 160C519.2 160 512 152.8 512 144C512 135.2 519.2 128 528 128C536.8 128 544 135.2 544 144zM608 304V336C608 344.8 600.8 352 592 352H560C551.2 352 544 344.8 544 336V320H560C578 320 594.6 314 608 304zM480 320V336C480 344.8 472.8 352 464 352H432C423.2 352 416 344.8 416 336V318.4C421.2 319.4 426.5 320 432 320H480z"]],
    "hockey-mask": [448, 512, [], "f6ee", ["M448 238.2c0-242.4-217.8-238.2-224-238.2c-6.193 0-223.1-4.255-223.1 238.2c0 49.81 9.681 108.8 32.62 177.8C64.5 512 224 512 224 512s159.5 .0008 191.4-96.01C438.3 346.9 448 287.1 448 238.2zM288 55.97c13.31 0 24 10.69 24 24c0 13.31-10.69 24-24 24c-13.31 0-24-10.69-24-24C264 66.66 274.7 55.97 288 55.97zM159.1 55.97c13.31 0 24 10.69 24 24c0 13.31-10.69 24-24 24c-13.31 0-24-10.69-24-24C135.1 66.66 146.7 55.97 159.1 55.97zM63.1 207.1c0-17.62 14.38-32 32-32h64c17.63 0 32 14.38 32 32c0 35.38-28.63 64-64 64S63.1 243.4 63.1 207.1zM175.1 471.1c-13.31 0-24-10.69-24-24c0-13.31 10.69-24 24-24c13.31 0 24 10.69 24 24C199.1 461.3 189.3 471.1 175.1 471.1zM175.1 407.1c-13.31 0-24-10.69-24-24c0-13.31 10.69-24 24-24c13.31 0 24 10.69 24 24C199.1 397.3 189.3 407.1 175.1 407.1zM175.1 343.1c-13.31 0-24-10.69-24-24c0-13.31 10.69-24 24-24c13.31 0 24 10.69 24 24C199.1 333.3 189.3 343.1 175.1 343.1zM224 151.1c-13.31 0-24-10.69-24-24c0-13.31 10.69-24 24-24s24 10.69 24 24C248 141.3 237.3 151.1 224 151.1zM272 471.1c-13.31 0-24-10.69-24-24c0-13.31 10.69-24 24-24c13.31 0 24 10.69 24 24C296 461.3 285.3 471.1 272 471.1zM272 407.1c-13.31 0-24-10.69-24-24c0-13.31 10.69-24 24-24c13.31 0 24 10.69 24 24C296 397.3 285.3 407.1 272 407.1zM272 343.1c-13.31 0-24-10.69-24-24c0-13.31 10.69-24 24-24c13.31 0 24 10.69 24 24C296 333.3 285.3 343.1 272 343.1zM320 271.1c-35.38 0-64-28.63-64-64c0-17.62 14.37-32 32-32h64c17.62 0 32 14.38 32 32C384 243.4 355.4 271.1 320 271.1z", "M175.1 295.1c-13.31 0-24 10.69-24 24c0 13.31 10.69 24 24 24c13.31 0 24-10.69 24-24C199.1 306.7 189.3 295.1 175.1 295.1zM175.1 359.1c-13.31 0-24 10.69-24 24c0 13.31 10.69 24 24 24c13.31 0 24-10.69 24-24C199.1 370.7 189.3 359.1 175.1 359.1zM183.1 79.97c0-13.31-10.69-24-24-24c-13.31 0-24 10.69-24 24c0 13.31 10.69 24 24 24C173.3 103.1 183.1 93.29 183.1 79.97zM175.1 423.1c-13.31 0-24 10.69-24 24c0 13.31 10.69 24 24 24c13.31 0 24-10.69 24-24C199.1 434.7 189.3 423.1 175.1 423.1zM224 103.1c-13.31 0-24 10.69-24 24c0 13.31 10.69 24 24 24s24-10.69 24-24C248 114.7 237.3 103.1 224 103.1zM272 295.1c-13.31 0-24 10.69-24 24c0 13.31 10.69 24 24 24c13.31 0 24-10.69 24-24C296 306.7 285.3 295.1 272 295.1zM288 55.97c-13.31 0-24 10.69-24 24c0 13.31 10.69 24 24 24c13.31 0 24-10.69 24-24C312 66.66 301.3 55.97 288 55.97zM272 359.1c-13.31 0-24 10.69-24 24c0 13.31 10.69 24 24 24c13.31 0 24-10.69 24-24C296 370.7 285.3 359.1 272 359.1zM272 423.1c-13.31 0-24 10.69-24 24c0 13.31 10.69 24 24 24c13.31 0 24-10.69 24-24C296 434.7 285.3 423.1 272 423.1z"]],
    "hockey-puck": [512, 512, [], "f453", ["M512 160c0 53-114.6 96-256 96S0 213 0 160s114.6-96 256-96S512 107 512 160z", "M512 160v192c0 53-114.6 96-256 96s-256-43-256-96V160c0 53 114.6 96 256 96S512 213 512 160z"]],
    "hockey-stick-puck": [640, 512, [], "e3ae", ["M32 351.1C14.4 351.1 0 366.4 0 383.1v95.99c0 17.6 14.4 31.1 31.99 32l32 .0052v-159.1L32 351.1zM480 32.02c0-17.41-14.05-32.02-31.99-32.02c-11.74 0-23.04 6.468-28.64 17.69l-167.2 334.3l-156.2 .0004V512h108.2c24.41 0 46.34-13.56 57.25-35.38l215.2-430.3C478.9 41.71 480 36.83 480 32.02z", "M63.1 511.1L95.1 512v-160l-31.1-.0098V511.1zM608 416h-192c-17.67 0-32 14.33-32 32v32c0 17.67 14.33 32 32 32h192c17.67 0 32-14.33 32-32v-32C640 430.3 625.7 416 608 416z"]],
    "hockey-sticks": [640, 512, [], "f454", ["M191.1-.0003c-18.12 0-31.99 14.77-31.99 32.02c0 4.811 1.089 9.695 3.387 14.29l102.9 205.9L302.1 180.6L220.6 17.69C215 6.468 203.7-.0003 191.1-.0003zM607.1 351.1L576 351.1v159.1l32.01-.0052C625.6 511.1 640 497.6 640 479.1v-95.99C640 366.4 625.6 351.1 607.1 351.1zM373.7 323.8l-35.78 71.56l40.64 81.29C389.4 498.4 411.4 512 435.8 512H544v-160l-156.2-.0006L373.7 323.8zM64 511.1L96 512v-160l-32-.0091V511.1z", "M32 351.1c-17.6 0-32 14.4-32 32v95.99c0 17.6 14.4 31.1 31.99 32L64 511.1v-159.1L32 351.1zM480 32.02c0-17.41-14.05-32.02-31.99-32.02c-11.74 0-23.03 6.468-28.64 17.69L252.2 351.1L96 351.1V512h108.2c24.41 0 46.34-13.56 57.25-35.38L476.6 46.31C478.9 41.71 480 36.83 480 32.02zM544 351.1V512l32-.0156v-159.1L544 351.1z"]],
    "holly-berry": [512, 512, [], "f7aa", ["M243.7 242.6C245.3 229.7 231.9 220.1 219.5 225.5C179.7 242.8 137.8 251.4 96.72 250.8C86.13 250.6 78.49 260.7 81.78 270.4C86.77 285.7 90.33 301.4 92.44 317.7c2.133 16.15-9.387 31.26-26.12 34.23c-16.87 2.965-33.7 4.348-50.48 4.152c-10.6-.0586-18.37 10.05-15.08 19.74c12.4 35.79 16.57 74.93 12.12 114.7c-1.723 14.96 13.71 25.67 28.02 19.8c38.47-15.95 78.77-23.81 118.2-23.34c10.58 .1953 18.36-9.91 15.07-19.6c-5.141-15.15-8.68-31.06-10.79-47.34c-2.133-16.16 9.371-31.13 26.24-34.09c16.73-2.973 33.57-4.496 50.36-4.301c10.73 .0781 18.51-10.03 15.22-19.72C242.5 324.7 238.5 283.9 243.7 242.6zM496.2 356.1c-16.78 .1953-33.61-1.188-50.48-4.152c-16.73-2.973-28.25-18.08-26.12-34.23c2.115-16.28 5.67-32.05 10.66-47.32c3.289-9.691-4.35-19.81-14.93-19.62c-41.11 .6484-83.01-7.965-122.7-25.23c-6.85-2.969-13.71-1.18-18.47 2.953c1.508 5.836 2.102 11.93 1.332 18.05c-4.539 36.23-1.049 72.56 10.12 105.1c3.395 9.988 3.029 20.73-.4766 30.52c12.44 .5 24.89 1.602 37.28 3.801c16.87 2.957 28.37 17.93 26.24 34.09c-2.115 16.27-5.654 32.19-10.79 47.34c-3.289 9.691 4.486 19.8 15.07 19.6c39.47-.4766 79.77 7.383 118.2 23.34c14.31 5.867 29.74-4.844 28.02-19.8c-4.451-39.81-.2832-78.95 12.12-114.7C514.5 366.1 506.8 356 496.2 356.1z", "M176 95.96c-26.5 0-47.1 21.5-47.1 47.1s21.5 47.1 47.1 47.1c26.5 0 47.1-21.5 47.1-47.1S202.5 95.96 176 95.96zM335.1 95.99c-26.5 0-47.1 21.5-47.1 47.1s21.5 47.1 47.1 47.1c26.5 0 48-21.5 48-47.1S362.5 95.99 335.1 95.99zM303.1 47.1C303.1 21.5 282.5 0 255.1 0c-26.5 0-47.1 21.5-47.1 47.1S229.5 95.99 255.1 95.99C282.5 95.99 303.1 74.5 303.1 47.1z"]],
    "honey-pot": [448, 512, [127855], "e418", ["M448 224C446.9 268.1 437.4 311.5 419.1 352H28.03C10.59 311.5 1.076 268.1 0 224H448z", "M15.6 150.2C27.66 127.5 45.86 108.7 68.13 96H63.1C55.51 96 47.37 92.63 41.37 86.63C35.37 80.63 31.1 72.49 31.1 64C31.1 55.51 35.37 47.37 41.37 41.37C47.37 35.37 55.51 32 63.1 32H127.1V136.1C127.1 142.4 130.5 148.5 135 153C139.5 157.5 145.6 160.1 151.1 160.1C158.4 160.1 164.5 157.5 168.1 153C173.5 148.5 175.1 142.4 175.1 136.1V32H384C392.5 32 400.6 35.37 406.6 41.37C412.6 47.37 416 55.51 416 64C416 72.49 412.6 80.63 406.6 86.63C400.6 92.63 392.5 96 384 96H379.9C402.1 108.7 420.3 127.5 432.4 150.2C444.5 172.8 449.9 198.4 448 224H-.0012C-1.861 198.4 3.548 172.8 15.6 150.2zM103.2 463.5C70.36 432.2 44.7 394.2 28.03 352H419.1C403.3 394.2 377.6 432.2 344.8 463.5C332.9 474.1 317.5 479.1 301.6 480H146.4C130.5 479.1 115.1 474.1 103.2 463.5V463.5z"]],
    "hood-cloak": [576, 512, [], "f6ef", ["M288.2 192c-70.62 0-128 57.25-128 128l.0658 192h255.1l-.0593-192C416.2 249.2 358.9 192 288.2 192z", "M575.1 479.1c-.25 16.5-13.49 32-32.36 32L416.2 512l-.0593-192c0-70.75-57.25-128-128-128c-70.62 0-128 57.25-128 128l.0658 192l-127.9 0c-18.87 0-32.11-15.5-32.36-32c-.125-6.5 1.859-13.27 6.359-19.15c57.62-77 57.65-140.9 57.65-140.9v-64c0-146.5 127.1-256 223.6-256h149.1c17.5 0 26.25 21.12 13.87 33.5l-39.77 39.75c54.75 59.75 101.2 98.75 101.2 182.8v64c0 0 .0002 63.85 57.62 140.9C574.1 466.7 576.1 473.5 575.1 479.1z"]],
    "horizontal-rule": [640, 512, [8213], "f86c", ["M640 255.1C640 273.6 625.6 288 607.9 288h-576C14.41 288 0 273.6 0 256C0 238.4 14.39 224 32.06 224h576C625.7 224 640 238.4 640 255.1z", ""]],
    "horse": [576, 512, [128014], "f6f0", ["M575.9 76.61c.0176-8.098-3.009-15.93-8.55-21.84l-13.72-14.5c11.06-6.836 19.55-17.46 22.22-30.63c.8555-4.387-2.022-8.638-6.407-9.493c-.5078-.1016-1.051-.1484-1.567-.1484L447.9 0C380.9 0 323.6 60 320 121.9L319.9 128L159.1 128c-53.02 0-95.1 42.98-95.1 95.1c0 27.98 12.17 52.93 31.26 70.48l-26.42 68.01c-4.561 12.16-5.34 25.4-2.186 37.99l21.79 87.29C92.02 502 104.8 512 119.5 512h32.98c20.81 0 36.09-19.55 31.05-39.74L162.2 386.9l23.78-63.61l133.1 22.34L319.1 480c0 17.67 14.33 32 31.1 32h31.1c17.67 0 31.1-14.33 31.1-32l.0166-161.8C436.5 297.4 447.1 269.3 447.1 240c0-.2187-.0928-.414-.1025-.6328V136.9L463.9 144l18.95 37.72c7.451 14.86 25.07 21.51 40.52 15.34l32.54-13.05c12.18-4.859 20.11-16.63 20.09-29.74L575.9 76.61zM511.9 96c-8.836 0-15.1-7.164-15.1-16S503.1 64 511.9 64s15.1 7.164 15.1 16S520.7 96 511.9 96z", "M.0001 248L0 304c0 8.836 7.164 15.1 15.1 15.1L31.1 320c8.836 0 15.1-7.164 15.1-16l.0005-56c0-13.24 6.842-24.37 16.76-31.65c1.744-21.61 10.5-41.16 24.19-56.35L87.1 160C39.4 160 .0001 199.4 .0001 248zM511.9 64c-8.836 0-15.1 7.164-15.1 16S503.1 96 511.9 96s15.1-7.164 15.1-16S520.7 64 511.9 64z"]],
    "horse-head": [512, 512, [], "f7ab", ["M509.8 332.5l-69.89-164.3c-14.87-40.96-50.21-71.08-93.01-79.24c18-10.6 46.33-35.88 34.23-82.29c-1.47-4.916-6.659-7.738-11.57-6.269L166.9 76.22C35.89 123.3 0 238.8 0 398.8v81.24C0 497.7 14.33 512 32 512h236.2c17.67-.015 31.96-14.36 31.95-32.03c-.0042-4.955-1.183-9.817-3.397-14.25l-40.78-81.71V383.3c-44.55-3.371-84.08-29.73-104.3-69.58C150.2 310.6 150.8 306.8 153.3 304.4l12.11-12.11C168.6 289.2 173.6 289.2 176.7 292.4c.6597 .6723 1.182 1.471 1.574 2.328c15.14 34.8 49.48 57.33 87.42 57.38c17.2 0 32.1-5.116 46.8-13.22l46 63.9c6.006 8.378 15.69 13.37 26 13.34h50.28c8.484-.0035 16.63-3.374 22.61-9.389l45.34-39.84C511.6 357.8 514.4 344.3 509.8 332.5zM328.1 223.1c-13.22-.0332-23.99-10.78-23.96-24c.0331-13.22 10.78-23.96 24-23.92c13.22 .0331 23.97 10.76 23.94 23.98C352 213.2 341.2 223.9 328.1 223.1z", "M178.3 294.7C176.5 290.7 171.7 288.9 167.7 290.7c-.8594 .3887-1.649 .9107-2.321 1.571l-12.11 12.11c-2.52 2.412-3.136 6.211-1.566 9.327c20.21 39.84 59.74 66.2 104.3 69.58v.7399l10.66-31.96l-.9559 .0189C227.8 351.1 193.4 329.5 178.3 294.7zM328.1 176c-13.22-.0332-23.97 10.7-24 23.92c-.0352 13.22 10.74 23.97 23.96 24c13.22 0 23.98-10.72 23.98-23.94S341.3 176 328.1 176z"]],
    "horse-saddle": [576, 512, [], "f8c3", ["M575.9 76.64c.0195-8.103-3.006-15.94-8.549-21.85l-13.72-14.5c11.06-6.841 19.54-17.48 22.22-30.65c.8594-4.39-2.035-8.628-6.422-9.484C568.9 .0469 568.4 0 567.9 0H447.9C380.9 0 323.6 60.04 320 121.1v37.87c0 47.57-34.64 86.81-80 94.47v78.1l80 13.31l-.0332 134.3c0 17.69 14.33 32.02 32 32.02h32c17.67 0 32-14.34 32-32.02L416 318.3c20.51-20.88 32.01-48.98 32-78.26c0-.2189-.0938-.4141-.1016-.633V136.9l16 7.12l18.89 37.74c7.453 14.87 25.05 21.49 40.5 15.32l32.59-13C568 179.2 576 167.5 576 154.4L575.9 76.64zM511.9 96.04c-8.836 0-16-7.165-16-16.01s7.164-16.01 16-16.01s16 7.165 16 16.01S520.7 96.04 511.9 96.04zM128 159.8V134c-37.2 13.24-64 48.25-64 90.02C64 252 76.16 277.1 95.26 294.7l-26.48 67.93c-4.562 12.16-5.295 25.41-2.143 38.01l21.79 87.13C92 502 104.8 512 119.5 512h32.98c20.81 0 36.09-19.56 31.05-39.77l-21.29-85.23l23.78-63.63L208 327.1V254.3C162.6 246.6 128 207.4 128 159.8z", "M0 248.1v56.01c0 8.842 7.164 16 16 16L32 320.1c8.836 0 16-7.163 16-16.01v-56.05c0-13.25 6.844-24.46 16.76-31.74c1.746-21.63 10.5-41.06 24.19-56.26L88 160.1C39.4 160.1 0 199.4 0 248.1zM128 134v25.82c0 47.57 34.64 86.77 80 94.43v72.79l32 5.346V254.3C285.4 246.7 320 207.4 320 159.8V128.1L160 128C148.7 128 138.1 130.4 128 134zM511.9 64.03c-8.836 0-16 7.165-16 16.01s7.164 16.01 16 16.01s16-7.165 16-16.01S520.7 64.03 511.9 64.03z"]],
    "hose": [448, 512, [], "e419", ["M144 320H416c17.66 0 32-14.34 32-32s-14.34-32-32-32H144C99.81 256 64 220.2 64 176S99.81 96 144 96H256V32H144C64.48 32 0 96.48 0 176S64.48 320 144 320zM416 448H32c-17.66 0-32 14.34-32 32s14.34 32 32 32h384c17.66 0 32-14.34 32-32S433.7 448 416 448zM416 352H32c-17.66 0-32 14.34-32 32s14.34 32 32 32h384c17.66 0 32-14.34 32-32S433.7 352 416 352z", "M448 40v48c0 8.832-7.168 16-16 16c-8.064 0-14.75-5.984-15.84-13.73L336 101.7V104C336 117.2 325.2 128 312 128S288 117.2 288 104v-80C288 10.75 298.8 0 312 0s24 10.75 24 24v2.271l80.16 11.46C417.2 29.98 423.9 24 432 24C440.8 24 448 31.17 448 40z"]],
    "hose-reel": [576, 512, [], "e41a", ["M320 0C178.6 0 64 114.6 64 256s114.6 256 256 256c54.34 0 104.8-16.96 146.3-45.92c14.5-10.08 18.05-30.05 7.936-44.54s-30.05-18.05-44.54-7.936C398.6 435.3 360.8 448 320 448c-106 0-192-85.95-192-192s85.95-192 192-192s192 85.95 192 192v96h64V256C576 114.6 461.4 0 320 0zM320 192C284.6 192 256 220.6 256 256s28.64 64 64 64s64-28.64 64-64S355.4 192 320 192zM320 96C231.6 96 160 167.6 160 256s71.65 160 160 160s160-71.65 160-160S408.4 96 320 96zM320 352c-53.02 0-96-42.98-96-96s42.98-96 96-96s96 42.98 96 96S373 352 320 352z", "M608 376c0 13.25-10.75 24-24 24h-2.271l-11.46 80.16C578 481.2 584 487.9 584 496c0 8.832-7.168 16-16 16h-48c-8.832 0-16-7.168-16-16c0-8.064 5.984-14.75 13.73-15.84L506.3 400H504c-13.25 0-24-10.75-24-24S490.8 352 504 352h80C597.2 352 608 362.8 608 376z"]],
    "hospital": [640, 512, [127973, 62589, "hospital-alt", "hospital-wide"], "f0f8", ["M160 96V512H48C21.49 512 0 490.5 0 464V320H80C88.84 320 96 312.8 96 304C96 295.2 88.84 288 80 288H0V224H80C88.84 224 96 216.8 96 208C96 199.2 88.84 192 80 192H0V144C0 117.5 21.49 96 48 96H160zM592 96C618.5 96 640 117.5 640 144V192H560C551.2 192 544 199.2 544 208C544 216.8 551.2 224 560 224H640V288H560C551.2 288 544 295.2 544 304C544 312.8 551.2 320 560 320H640V464C640 490.5 618.5 512 592 512H480V96H592z", "M432 0C458.5 0 480 21.49 480 48V512H368V432C368 405.5 346.5 384 320 384C293.5 384 272 405.5 272 432V512H160V48C160 21.49 181.5 0 208 0H432zM312 64C303.2 64 296 71.16 296 80V104H272C263.2 104 256 111.2 256 120V136C256 144.8 263.2 152 272 152H296V176C296 184.8 303.2 192 312 192H328C336.8 192 344 184.8 344 176V152H368C376.8 152 384 144.8 384 136V120C384 111.2 376.8 104 368 104H344V80C344 71.16 336.8 64 328 64H312zM640 224H560C551.2 224 544 216.8 544 208C544 199.2 551.2 192 560 192H640V224zM640 320H560C551.2 320 544 312.8 544 304C544 295.2 551.2 288 560 288H640V320zM80 224H0V192H80C88.84 192 96 199.2 96 208C96 216.8 88.84 224 80 224zM80 320H0V288H80C88.84 288 96 295.2 96 304C96 312.8 88.84 320 80 320z"]],
    "hospital-user": [576, 512, [], "f80d", ["M0 48C0 21.49 21.49 0 48 0H272C298.5 0 320 21.49 320 48V367.8C281.8 389.2 256 430 256 476.9C256 489.8 259.6 501.8 265.9 512H48C21.49 512 0 490.5 0 464V384H144C152.8 384 160 376.8 160 368C160 359.2 152.8 352 144 352H0V288H144C152.8 288 160 280.8 160 272C160 263.2 152.8 256 144 256H0V48zM136 104H112C103.2 104 96 111.2 96 120V136C96 144.8 103.2 152 112 152H136V176C136 184.8 143.2 192 152 192H168C176.8 192 184 184.8 184 176V152H208C216.8 152 224 144.8 224 136V120C224 111.2 216.8 104 208 104H184V80C184 71.16 176.8 64 168 64H152C143.2 64 136 71.16 136 80V104z", "M352 272C352 227.8 387.8 192 432 192C476.2 192 512 227.8 512 272C512 316.2 476.2 352 432 352C387.8 352 352 316.2 352 272zM482.9 384C534.3 384 576 425.7 576 477.1C576 496.4 560.4 512 541.1 512H322.9C303.6 512 288 496.4 288 477.1C288 425.7 329.7 384 381.1 384H482.9z"]],
    "hospitals": [576, 512, [], "f80e", ["M320 96C320 61.56 292.8 33.48 258.7 32.06C265.3 13.38 283.1 0 304 0H528C554.5 0 576 21.49 576 48V464C576 490.5 554.5 512 528 512H311.4C316.9 502.6 320 491.7 320 480L320 96zM424 64C415.2 64 408 71.16 408 80V104H384C375.2 104 368 111.2 368 120V136C368 144.8 375.2 152 384 152H408V176C408 184.8 415.2 192 424 192H440C448.8 192 456 184.8 456 176V152H480C488.8 152 496 144.8 496 136V120C496 111.2 488.8 104 480 104H456V80C456 71.16 448.8 64 440 64H424zM576 256H432C423.2 256 416 263.2 416 272C416 280.8 423.2 288 432 288H576V256zM576 352H432C423.2 352 416 359.2 416 368C416 376.8 423.2 384 432 384H576V352z", "M240 64C266.5 64 288 85.49 288 112V464C288 490.5 266.5 512 240 512H48C21.49 512 0 490.5 0 464V448H144C152.8 448 160 440.8 160 432C160 423.2 152.8 416 144 416H0V352H144C152.8 352 160 344.8 160 336C160 327.2 152.8 320 144 320H0V112C0 85.49 21.49 64 48 64H240zM136 128C127.2 128 120 135.2 120 144V168H96C87.16 168 80 175.2 80 184V200C80 208.8 87.16 216 96 216H120V240C120 248.8 127.2 256 136 256H152C160.8 256 168 248.8 168 240V216H192C200.8 216 208 208.8 208 200V184C208 175.2 200.8 168 192 168H168V144C168 135.2 160.8 128 152 128H136zM408 80C408 71.16 415.2 64 424 64H440C448.8 64 456 71.16 456 80V104H480C488.8 104 496 111.2 496 120V136C496 144.8 488.8 152 480 152H456V176C456 184.8 448.8 192 440 192H424C415.2 192 408 184.8 408 176V152H384C375.2 152 368 144.8 368 136V120C368 111.2 375.2 104 384 104H408V80z"]],
    "hot-tub-person": [512, 512, ["hot-tub"], "f593", ["M106.6 160H64C28.63 160 0 188.6 0 224v32h256L145.1 172.8C133.1 164.5 120.5 160 106.6 160zM64 128c35.38 0 64-28.62 64-64S99.38 0 64 0S0 28.62 0 64S28.63 128 64 128zM272 14.38C271 6.125 264.3 0 256.3 0h-16.17C230.6 0 223 8.625 224.1 18.38C228.5 57.5 246.5 92.88 274.3 115.5c17.38 14.12 28.75 36.75 32 62.12C307.3 185.9 313.1 192 321.1 192h16.13c9.5 0 17-8.625 16-18.38C349.8 134.5 331.6 99.13 304 76.5C286.6 62.38 275.1 39.75 272 14.38zM412 76.5c-17.38-14.12-28.88-36.75-32-62.12C379 6.125 372.3 0 364.3 0h-16.12c-9.5 0-17.12 8.625-16 18.38c4.375 39.13 22.38 74.5 50.13 97.13c17.38 14.12 28.75 36.75 32 62.12C415.3 185.9 421.1 192 429.1 192h16.13c9.5 0 17-8.625 16-18.38C457.8 134.5 439.6 99.13 412 76.5z", "M480 256H0v192c0 35.38 28.62 64 64 64h384c35.38 0 64-28.62 64-64V288C512 270.4 497.6 256 480 256zM128 440C128 444.4 124.4 448 120 448h-16C99.63 448 96 444.4 96 440v-112C96 323.6 99.63 320 104 320h16C124.4 320 128 323.6 128 328V440zM224 440C224 444.4 220.4 448 216 448h-16C195.6 448 192 444.4 192 440v-112C192 323.6 195.6 320 200 320h16C220.4 320 224 323.6 224 328V440zM320 440c0 4.375-3.625 8-8 8h-16C291.6 448 288 444.4 288 440v-112c0-4.375 3.625-8 8-8h16c4.375 0 8 3.625 8 8V440zM416 440c0 4.375-3.625 8-8 8h-16C387.6 448 384 444.4 384 440v-112c0-4.375 3.625-8 8-8h16c4.375 0 8 3.625 8 8V440z"]],
    "hotdog": [512, 512, [127789], "f80f", ["M488.6 23.44c-31.07-31.19-81.75-31.16-112.8 .0313L24.46 374.8c-20.83 19.96-29.19 49.65-21.83 77.6c7.36 27.95 29.07 49.65 57.02 57.01c27.95 7.364 57.64-.9949 77.6-21.83l351.3-351.3C519.7 105.2 519.8 54.5 488.6 23.44zM438.8 118.4c-19.59 19.59-37.39 22.51-51.74 25.01c-12.97 2.242-22.33 3.868-34.68 16.22c-12.35 12.35-13.97 21.71-16.22 34.69c-2.495 14.35-5.488 32.19-25.08 51.78s-37.43 22.58-51.78 25.08c-12.97 2.246-22.33 3.867-34.68 16.22C212.2 299.8 210.6 309.1 208.4 322.1c-2.494 14.35-5.488 32.19-25.08 51.78c-19.59 19.59-37.43 22.58-51.78 25.08c-12.97 2.242-22.33 3.868-34.68 16.22c-6.239 6.239-16.35 6.239-22.58 0c-6.239-6.239-6.239-16.34 0-22.58c19.59-19.59 37.43-22.58 51.78-25.07c12.98-2.25 22.33-3.871 34.68-16.22c12.35-12.35 13.97-21.71 16.22-34.69c2.496-14.35 5.49-32.19 25.08-51.78c19.59-19.59 37.43-22.58 51.78-25.08c12.98-2.242 22.33-3.867 34.68-16.22c12.35-12.35 13.97-21.7 16.22-34.68c2.496-14.35 5.49-32.19 25.08-51.78s37.43-22.58 51.78-25.07c12.98-2.25 22.28-3.812 34.63-16.17c6.237-6.239 16.35-6.239 22.59 0C444.1 102.1 444.1 112.2 438.8 118.4z", "M208.4 322.1c2.246-12.97 3.867-22.33 16.22-34.68c12.35-12.35 21.71-13.97 34.68-16.22c14.35-2.493 32.19-5.488 51.78-25.08s22.58-37.43 25.08-51.78c2.246-12.98 3.867-22.33 16.22-34.69c12.35-12.35 21.71-13.97 34.68-16.22c14.35-2.5 32.15-5.425 51.74-25.01c6.237-6.235 6.237-16.36 0-22.59c-6.239-6.239-16.36-6.239-22.59 0c-12.35 12.35-21.66 13.92-34.63 16.17c-14.35 2.493-32.19 5.486-51.78 25.07s-22.58 37.43-25.08 51.78c-2.246 12.98-3.867 22.33-16.22 34.68c-12.35 12.35-21.71 13.98-34.68 16.22C239.4 242.3 221.6 245.2 202 264.8C182.4 284.4 179.4 302.3 176.9 316.6c-2.246 12.97-3.867 22.33-16.22 34.69c-12.35 12.35-21.71 13.97-34.68 16.22c-14.35 2.493-32.19 5.486-51.78 25.07c-6.239 6.243-6.239 16.34 0 22.58c6.237 6.239 16.34 6.239 22.58 0c12.35-12.35 21.71-13.97 34.68-16.22c14.35-2.5 32.19-5.491 51.78-25.08C202.9 354.3 205.9 336.4 208.4 322.1zM372.2 20.1c-24.84-24.84-63.46-26.45-86.19-3.727L16.38 286C-6.347 308.7-4.733 347.4 20.1 372.2l3.569 3.532c.3047-.3047 .4776-.6866 .7882-.9835l351.3-351.3L372.2 20.1zM491.9 139.8l-3.367-3.532L137.2 487.5c-.2989 .3125-.6823 .4822-.9851 .787l3.53 3.571c24.84 24.83 63.46 26.45 86.19 3.727l269.6-269.7C518.4 203.2 516.7 164.6 491.9 139.8z"]],
    "hotel": [512, 512, [127976], "f594", ["M32 64H480V448C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512H304V448H208V512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448V64zM112 96C103.2 96 96 103.2 96 112V144C96 152.8 103.2 160 112 160H144C152.8 160 160 152.8 160 144V112C160 103.2 152.8 96 144 96H112zM224 144C224 152.8 231.2 160 240 160H272C280.8 160 288 152.8 288 144V112C288 103.2 280.8 96 272 96H240C231.2 96 224 103.2 224 112V144zM368 96C359.2 96 352 103.2 352 112V144C352 152.8 359.2 160 368 160H400C408.8 160 416 152.8 416 144V112C416 103.2 408.8 96 400 96H368zM96 240C96 248.8 103.2 256 112 256H144C152.8 256 160 248.8 160 240V208C160 199.2 152.8 192 144 192H112C103.2 192 96 199.2 96 208V240zM240 192C231.2 192 224 199.2 224 208V240C224 248.8 231.2 256 240 256H272C280.8 256 288 248.8 288 240V208C288 199.2 280.8 192 272 192H240zM352 240C352 248.8 359.2 256 368 256H400C408.8 256 416 248.8 416 240V208C416 199.2 408.8 192 400 192H368C359.2 192 352 199.2 352 208V240zM256 288C211.2 288 173.5 318.7 162.1 360.2C159.7 373.1 170.7 384 184 384H328C341.3 384 352.3 373.1 349 360.2C338.5 318.7 300.8 288 256 288z", "M480 0C497.7 0 512 14.33 512 32C512 49.67 497.7 64 480 64H32C14.33 64 0 49.67 0 32C0 14.33 14.33 0 32 0H480zM144 96C152.8 96 160 103.2 160 112V144C160 152.8 152.8 160 144 160H112C103.2 160 96 152.8 96 144V112C96 103.2 103.2 96 112 96H144zM272 96C280.8 96 288 103.2 288 112V144C288 152.8 280.8 160 272 160H240C231.2 160 224 152.8 224 144V112C224 103.2 231.2 96 240 96H272zM352 112C352 103.2 359.2 96 368 96H400C408.8 96 416 103.2 416 112V144C416 152.8 408.8 160 400 160H368C359.2 160 352 152.8 352 144V112zM144 192C152.8 192 160 199.2 160 208V240C160 248.8 152.8 256 144 256H112C103.2 256 96 248.8 96 240V208C96 199.2 103.2 192 112 192H144zM224 208C224 199.2 231.2 192 240 192H272C280.8 192 288 199.2 288 208V240C288 248.8 280.8 256 272 256H240C231.2 256 224 248.8 224 240V208zM400 192C408.8 192 416 199.2 416 208V240C416 248.8 408.8 256 400 256H368C359.2 256 352 248.8 352 240V208C352 199.2 359.2 192 368 192H400zM184 384C170.7 384 159.7 373.1 162.1 360.2C173.5 318.7 211.2 288 256 288C300.8 288 338.5 318.7 349 360.2C352.3 373.1 341.3 384 328 384H184z"]],
    "hourglass": [384, 512, [62032, 9203, "hourglass-empty"], "f254", ["M32 74.98V64H96V74.98C96 100.4 106.1 124.9 124.1 142.9L192 210.7L259.9 142.9C277.9 124.9 288 100.4 288 74.98V64H352V74.98C352 117.4 335.1 158.1 305.1 188.1L237.3 256L305.1 323.9C335.1 353.9 352 394.6 352 437V448H288V437C288 411.6 277.9 387.1 259.9 369.1L192 301.3L124.1 369.1C106.1 387.1 96 411.6 96 437V448H32V437C32 394.6 48.86 353.9 78.86 323.9L146.7 256L78.86 188.1C48.86 158.1 32 117.4 32 74.98V74.98zM101.5 165.5L78.86 188.1z", "M352 0C369.7 0 384 14.33 384 32C384 49.67 369.7 64 352 64H32C14.33 64 0 49.67 0 32C0 14.33 14.33 0 32 0H352zM352 448C369.7 448 384 462.3 384 480C384 497.7 369.7 512 352 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H352z"]],
    "hourglass-clock": [576, 512, [], "e41b", ["M0 32C0 14.33 14.33 0 32 0H352C369.7 0 384 14.33 384 32C384 49.67 369.7 64 352 64V74.98C352 117.4 335.1 158.1 305.1 188.1L237.3 256L273.2 291.1C262.2 314.1 256 340.8 256 368C256 427.5 285.6 480.1 330.8 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448V437C32 394.6 48.86 353.9 78.86 323.9L146.7 256L78.86 188.1C48.86 158.1 32 117.4 32 74.98V64C14.33 64 0 49.67 0 32V32zM96 64V74.98C96 93.98 101.6 112.4 111.1 128H272C282.4 112.4 288 93.98 288 74.98V64H96z", "M288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM447.1 304C447.1 295.2 440.8 288 431.1 288C423.2 288 415.1 295.2 415.1 304V368C415.1 376.8 423.2 384 431.1 384H480C488.8 384 496 376.8 496 368C496 359.2 488.8 352 480 352H447.1V304z"]],
    "hourglass-end": [384, 512, [8987, "hourglass-3"], "f253", ["M32 74.98V64H96V74.98C96 100.4 106.1 124.9 124.1 142.9L192 210.7L259.9 142.9C277.9 124.9 288 100.4 288 74.98V64H352V74.98C352 117.4 335.1 158.1 305.1 188.1L237.3 256L305.1 323.9C335.1 353.9 352 394.6 352 437V448H288V437C288 411.6 277.9 387.1 259.9 369.1L192 301.3L124.1 369.1C106.1 387.1 96 411.6 96 437V448H32V437C32 394.6 48.86 353.9 78.86 323.9L146.7 256L78.86 188.1C48.86 158.1 32 117.4 32 74.98V74.98zM101.5 165.5L78.86 188.1z", "M0 32C0 14.33 14.33 0 32 0H352C369.7 0 384 14.33 384 32C384 49.67 369.7 64 352 64H32C14.33 64 0 49.67 0 32zM0 480C0 462.3 14.33 448 32 448H96V437C96 411.6 106.1 387.1 124.1 369.1L192 301.3L259.9 369.1C277.9 387.1 288 411.6 288 437V448H352C369.7 448 384 462.3 384 480C384 497.7 369.7 512 352 512H32C14.33 512 0 497.7 0 480z"]],
    "hourglass-half": [384, 512, ["hourglass-2"], "f252", ["M78.86 323.9L146.7 256L78.86 188.1C48.86 158.1 32 117.4 32 74.98V64H96V74.98C96 100.4 106.1 124.9 124.1 142.9L192 210.7L259.9 142.9C277.9 124.9 288 100.4 288 74.98V64H352V74.98C352 117.4 335.1 158.1 305.1 188.1L237.3 256L305.1 323.9C335.1 353.9 352 394.6 352 437V448H288V437C288 411.6 277.9 387.1 259.9 369.1L192 301.3L124.1 369.1C106.1 387.1 96 411.6 96 437V448H32V437C32 394.6 48.86 353.9 78.86 323.9V323.9zM101.5 346.5L78.86 323.9z", "M32 0H352C369.7 0 384 14.33 384 32C384 49.67 369.7 64 352 64H32C14.33 64 0 49.67 0 32C0 14.33 14.33 0 32 0zM32 448H96V437C96 418 101.6 399.6 111.1 384H272C282.4 399.6 288 418 288 437V448H352C369.7 448 384 462.3 384 480C384 497.7 369.7 512 352 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448zM192 210.7L124.1 142.9C119.5 138.3 115.5 133.3 111.1 128H272C268.5 133.3 264.5 138.3 259.9 142.9L192 210.7z"]],
    "hourglass-start": [384, 512, ["hourglass-1"], "f251", ["M78.86 323.9L146.7 256L78.86 188.1C48.86 158.1 32 117.4 32 74.98V64H96V74.98C96 100.4 106.1 124.9 124.1 142.9L192 210.7L259.9 142.9C277.9 124.9 288 100.4 288 74.98V64H352V74.98C352 117.4 335.1 158.1 305.1 188.1L237.3 256L305.1 323.9C335.1 353.9 352 394.6 352 437V448H288V437C288 411.6 277.9 387.1 259.9 369.1L192 301.3L124.1 369.1C106.1 387.1 96 411.6 96 437V448H32V437C32 394.6 48.86 353.9 78.86 323.9V323.9zM101.5 346.5L78.86 323.9z", "M32 448H352C369.7 448 384 462.3 384 480C384 497.7 369.7 512 352 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448zM32 0H352C369.7 0 384 14.33 384 32C384 49.67 369.7 64 352 64H288V74.98C288 100.4 277.9 124.9 259.9 142.9L192 210.7L124.1 142.9C106.1 124.9 96 100.4 96 74.98V64H32C14.33 64 0 49.67 0 32C0 14.33 14.33 0 32 0V0z"]],
    "house": [576, 512, [63498, 63500, 127968, "home", "home-alt", "home-lg-alt"], "f015", ["M288 74.52L512.1 270.6L512.5 471.9C512.6 494 494.7 512 472.5 512H392C369.9 512 352 494.1 352 472V383.7C352 366 337.7 351.7 320 351.7H256C238.3 351.7 224 366 224 383.7V472C224 494.1 206.1 512 184 512H104.1C81.1 512 64.09 494.1 64.08 472L64.02 270.5L288 74.52z", "M266.9 7.918C278.1-2.639 297-2.639 309.1 7.918L565.1 231.9C578.4 243.6 579.7 263.8 568.1 277.1C556.4 290.4 536.2 291.7 522.9 280.1L288 74.52L53.07 280.1C39.77 291.7 19.56 290.4 7.918 277.1C-3.72 263.8-2.372 243.6 10.93 231.9L266.9 7.918z"]],
    "house-blank": [576, 512, ["home-blank"], "e487", ["M288 74.52L512.1 270.6L512.5 447.9C512.6 483.3 483.9 512 448.5 512H128.1C92.74 512 64.09 483.4 64.07 448L64.02 270.5L288 74.52z", "M266.9 7.918C278.1-2.639 297-2.639 309.1 7.918L565.1 231.9C578.4 243.6 579.7 263.8 568.1 277.1C556.4 290.4 536.2 291.7 522.9 280.1L288 74.52L53.07 280.1C39.77 291.7 19.56 290.4 7.917 277.1C-3.72 263.8-2.372 243.6 10.93 231.9L266.9 7.918z"]],
    "house-building": [640, 512, [], "e1b1", ["M320 48C320 21.49 341.5 0 368 0H592C618.5 0 640 21.49 640 48V464C640 490.5 618.5 512 592 512H400C410 498.6 416 482 416 464V352H432C440.8 352 448 344.8 448 336V304C448 295.2 440.8 288 432 288H416V277.1C416 269.9 415 262.8 413.2 256H432C440.8 256 448 248.8 448 240V208C448 199.2 440.8 192 432 192H400C391.2 192 384 199.2 384 208V212.6L320 153.9V48zM528 192C519.2 192 512 199.2 512 208V240C512 248.8 519.2 256 528 256H560C568.8 256 576 248.8 576 240V208C576 199.2 568.8 192 560 192H528zM512 336C512 344.8 519.2 352 528 352H560C568.8 352 576 344.8 576 336V304C576 295.2 568.8 288 560 288H528C519.2 288 512 295.2 512 304V336zM384 144C384 152.8 391.2 160 400 160H432C440.8 160 448 152.8 448 144V112C448 103.2 440.8 96 432 96H400C391.2 96 384 103.2 384 112V144zM528 96C519.2 96 512 103.2 512 112V144C512 152.8 519.2 160 528 160H560C568.8 160 576 152.8 576 144V112C576 103.2 568.8 96 560 96H528z", "M.0003 464V277.1C.0003 263.7 5.647 250.8 15.57 241.7L159.6 109.7C177.9 92.91 206.1 92.91 224.4 109.7L368.4 241.7C378.4 250.8 384 263.7 384 277.1V464C384 490.5 362.5 512 336 512H48C21.49 512 0 490.5 0 464H.0003zM168 272C154.7 272 144 282.7 144 296V344C144 357.3 154.7 368 168 368H216C229.3 368 240 357.3 240 344V296C240 282.7 229.3 272 216 272H168z"]],
    "house-chimney": [576, 512, [63499, "home-lg"], "e3af", ["M288 74.52L512.1 270.6L512.5 471.9C512.6 494 494.7 512 472.5 512H392C369.9 512 352 494.1 352 472V383.7C352 366 337.7 351.7 320 351.7H256C238.3 351.7 224 366 224 383.7V472C224 494.1 206.1 512 184 512H104.1C81.99 512 64.09 494.1 64.08 472L64.02 270.5L288 74.52z", "M416 101.5V64C416 46.33 430.3 32 448 32H480C497.7 32 512 46.33 512 64V185.5L565.1 231.9C578.4 243.6 579.7 263.8 568.1 277.1C556.4 290.4 536.2 291.7 522.9 280.1L288 74.52L53.07 280.1C39.77 291.7 19.56 290.4 7.917 277.1C-3.72 263.8-2.372 243.6 10.93 231.9L266.9 7.918C278.1-2.639 297-2.639 309.1 7.918L416 101.5z"]],
    "house-chimney-blank": [576, 512, [], "e3b0", ["M288 74.52L512.1 270.6L512.5 447.9C512.6 483.3 483.9 512 448.5 512H128.1C92.74 512 64.09 483.4 64.07 448L64.02 270.5L288 74.52z", "M416 101.5V64C416 46.33 430.3 32 448 32H480C497.7 32 512 46.33 512 64V185.5L565.1 231.9C578.4 243.6 579.7 263.8 568.1 277.1C556.4 290.4 536.2 291.7 522.9 280.1L288 74.52L53.07 280.1C39.77 291.7 19.56 290.4 7.917 277.1C-3.72 263.8-2.372 243.6 10.93 231.9L266.9 7.918C278.1-2.639 297-2.639 309.1 7.918L416 101.5z"]],
    "house-chimney-crack": [576, 512, ["house-damage"], "f6f1", ["M64.07 448L64.02 270.5L288 74.52L512.1 270.6L512.5 447.9C512.6 483.3 483.9 512 448.5 512H326.4L288 448L368.8 380.7C376.6 374.1 376.5 362.1 368.5 355.8L250.6 263.2C235.1 251.7 216.8 270.1 227.8 285.2L288 368L202.5 439.2C196.5 444.3 194.1 452.1 199.1 459.8L230.4 512H128.1C92.74 512 64.09 483.4 64.07 448V448z", "M416 101.5V64C416 46.33 430.3 32 448 32H480C497.7 32 512 46.33 512 64V185.5L565.1 231.9C578.4 243.6 579.7 263.8 568.1 277.1C556.4 290.4 536.2 291.7 522.9 280.1L288 74.52L53.07 280.1C39.77 291.7 19.56 290.4 7.918 277.1C-3.72 263.8-2.372 243.6 10.93 231.9L266.9 7.918C278.1-2.639 297-2.639 309.1 7.918L416 101.5z"]],
    "house-chimney-heart": [576, 512, [], "e1b2", ["M64.07 448L64.02 270.5L288 74.52L512.1 270.6L512.5 447.9C512.6 483.3 483.9 512 448.5 512H128.1C92.74 512 64.09 483.4 64.07 448L64.07 448zM299.3 428.7L392 336C414.1 313.9 414.1 278.1 392 256C369.9 233.9 334.1 233.9 312 256L288 280L264 256C241.9 233.9 206.1 233.9 184 256C161.9 278.1 161.9 313.9 184 336L276.7 428.7C282.9 434.9 293.1 434.9 299.3 428.7H299.3z", "M266.9 7.918C278.1-2.639 297-2.639 309.1 7.918L416 101.5V64C416 46.33 430.3 32 448 32H480C497.7 32 512 46.33 512 64V185.5L565.1 231.9C578.4 243.6 579.7 263.8 568.1 277.1C556.4 290.4 536.2 291.7 522.9 280.1L288 74.52L53.07 280.1C39.77 291.7 19.56 290.4 7.917 277.1C-3.72 263.8-2.372 243.6 10.93 231.9L266.9 7.918zM184 256C206.1 233.9 241.9 233.9 264 256L288 280L312 256C334.1 233.9 369.9 233.9 392 256C414.1 278.1 414.1 313.9 392 336L299.3 428.7C293.1 434.9 282.9 434.9 276.7 428.7L184 336C161.9 313.9 161.9 278.1 184 256H184z"]],
    "house-chimney-medical": [576, 512, ["clinic-medical"], "f7f2", ["M288 74.52L512.1 270.6L512.5 447.9C512.6 483.3 483.9 512 448.5 512H128.1C92.74 512 64.09 483.4 64.07 448L64.02 270.5L288 74.52zM400 280C400 271.2 392.8 264 384 264H328V208C328 199.2 320.8 192 312 192H264C255.2 192 248 199.2 248 208V264H192C183.2 264 176 271.2 176 280V328C176 336.8 183.2 344 192 344H248V400C248 408.8 255.2 416 264 416H312C320.8 416 328 408.8 328 400V344H384C392.8 344 400 336.8 400 328V280z", "M416 101.5V64C416 46.33 430.3 32 448 32H480C497.7 32 512 46.33 512 64V185.5L565.1 231.9C578.4 243.6 579.7 263.8 568.1 277.1C556.4 290.4 536.2 291.7 522.9 280.1L288 74.52L53.07 280.1C39.77 291.7 19.56 290.4 7.918 277.1C-3.72 263.8-2.372 243.6 10.93 231.9L266.9 7.918C278.1-2.639 297-2.639 309.1 7.918L416 101.5zM400 328C400 336.8 392.8 344 384 344H328V400C328 408.8 320.8 416 312 416H264C255.2 416 248 408.8 248 400V344H192C183.2 344 176 336.8 176 328V280C176 271.2 183.2 264 192 264H248V208C248 199.2 255.2 192 264 192H312C320.8 192 328 199.2 328 208V264H384C392.8 264 400 271.2 400 280V328z"]],
    "house-chimney-user": [576, 512, [], "e065", ["M288 74.52L512.1 270.6L512.5 447.9C512.6 483.3 483.9 512 448.5 512H128.1C92.74 512 64.09 483.4 64.07 448L64.02 270.5L288 74.52zM288 320C323.3 320 352 291.3 352 256C352 220.7 323.3 192 288 192C252.7 192 224 220.7 224 256C224 291.3 252.7 320 288 320zM192 448H384C392.8 448 400 440.8 400 432C400 387.8 364.2 352 320 352H256C211.8 352 176 387.8 176 432C176 440.8 183.2 448 192 448z", "M416 101.5V64C416 46.33 430.3 32 448 32H480C497.7 32 512 46.33 512 64V185.5L565.1 231.9C578.4 243.6 579.7 263.8 568.1 277.1C556.4 290.4 536.2 291.7 522.9 280.1L288 74.52L53.07 280.1C39.77 291.7 19.56 290.4 7.917 277.1C-3.72 263.8-2.372 243.6 10.93 231.9L266.9 7.918C278.1-2.639 297-2.639 309.1 7.918L416 101.5zM352 256C352 291.3 323.3 320 288 320C252.7 320 224 291.3 224 256C224 220.7 252.7 192 288 192C323.3 192 352 220.7 352 256zM320 352C364.2 352 400 387.8 400 432C400 440.8 392.8 448 384 448H192C183.2 448 176 440.8 176 432C176 387.8 211.8 352 256 352H320z"]],
    "house-chimney-window": [576, 512, [], "e00d", ["M64.07 448L64.02 270.5L288 74.52L512.1 270.6L512.5 447.9C512.6 483.3 483.9 512 448.5 512H128.1C92.74 512 64.09 483.4 64.07 448L64.07 448zM248 240C234.7 240 224 250.7 224 264V344C224 357.3 234.7 368 248 368H328C341.3 368 352 357.3 352 344V264C352 250.7 341.3 240 328 240H248z", "M416 101.5V64C416 46.33 430.3 32 448 32H480C497.7 32 512 46.33 512 64V185.5L565.1 231.9C578.4 243.6 579.7 263.8 568.1 277.1C556.4 290.4 536.2 291.7 522.9 280.1L288 74.52L53.07 280.1C39.77 291.7 19.56 290.4 7.917 277.1C-3.72 263.8-2.372 243.6 10.93 231.9L266.9 7.918C278.1-2.639 297-2.639 309.1 7.918L416 101.5z"]],
    "house-circle-check": [640, 512, [], "e509", ["M496 192C404.2 192 328.8 262.3 320.7 352L320 352H256C238.3 352 224 366.3 224 384V472C224 494.1 206.1 512 184 512H128.1C126.6 512 125.1 511.9 123.6 511.8C122.4 511.9 121.2 512 120 512H104C81.91 512 64 494.1 64 472V360C64 359.1 64.03 358.1 64.09 357.2V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L522.1 193.9C513.6 192.7 504.9 192 496 192L496 192z", "M352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM563.3 347.3C569.6 341.1 569.6 330.9 563.3 324.7C557.1 318.4 546.9 318.4 540.7 324.7L480 385.4L451.3 356.7C445.1 350.4 434.9 350.4 428.7 356.7C422.4 362.9 422.4 373.1 428.7 379.3L468.7 419.3C474.9 425.6 485.1 425.6 491.3 419.3L563.3 347.3z"]],
    "house-circle-exclamation": [640, 512, [], "e50a", ["M496 192C404.2 192 328.8 262.3 320.7 352L320 352H256C238.3 352 224 366.3 224 384V472C224 494.1 206.1 512 184 512H128.1C126.6 512 125.1 511.9 123.6 511.8C122.4 511.9 121.2 512 120 512H104C81.91 512 64 494.1 64 472V360C64 359.1 64.03 358.1 64.09 357.2V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L522.1 193.9C513.6 192.7 504.9 192 496 192L496 192z", "M640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 416C482.7 416 472 426.7 472 440C472 453.3 482.7 464 496 464C509.3 464 520 453.3 520 440C520 426.7 509.3 416 496 416zM511.1 288C511.1 279.2 504.8 272 495.1 272C487.2 272 479.1 279.2 479.1 288V368C479.1 376.8 487.2 384 495.1 384C504.8 384 511.1 376.8 511.1 368V288z"]],
    "house-circle-xmark": [640, 512, [], "e50b", ["M496 192C404.2 192 328.8 262.3 320.7 352L320 352H256C238.3 352 224 366.3 224 384V472C224 494.1 206.1 512 184 512H128.1C126.6 512 125.1 511.9 123.6 511.8C122.4 511.9 121.2 512 120 512H104C81.91 512 64 494.1 64 472V360C64 359.1 64.03 358.1 64.09 357.2V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L522.1 193.9C513.6 192.7 504.9 192 496 192L496 192z", "M640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM532.7 308.7L496 345.4L459.3 308.7C453.1 302.4 442.9 302.4 436.7 308.7C430.4 314.9 430.4 325.1 436.7 331.3L473.4 368L436.7 404.7C430.4 410.9 430.4 421.1 436.7 427.3C442.9 433.6 453.1 433.6 459.3 427.3L496 390.6L532.7 427.3C538.9 433.6 549.1 433.6 555.3 427.3C561.6 421.1 561.6 410.9 555.3 404.7L518.6 368L555.3 331.3C561.6 325.1 561.6 314.9 555.3 308.7C549.1 302.4 538.9 302.4 532.7 308.7z"]],
    "house-crack": [576, 512, [], "e3b1", ["M64.07 448L64.02 270.5L288 74.52L512.1 270.6L512.5 447.9C512.6 483.3 483.9 512 448.5 512H326.4L288 448L368.8 380.7C376.6 374.1 376.5 362.1 368.5 355.8L250.6 263.2C235.1 251.7 216.8 270.1 227.8 285.2L288 368L202.5 439.2C196.5 444.3 194.1 452.1 199.1 459.8L230.4 512H128.1C92.74 512 64.09 483.4 64.07 448V448z", "M266.9 7.918C278.1-2.639 297-2.639 309.1 7.918L565.1 231.9C578.4 243.6 579.7 263.8 568.1 277.1C556.4 290.4 536.2 291.7 522.9 280.1L288 74.52L53.07 280.1C39.77 291.7 19.56 290.4 7.918 277.1C-3.72 263.8-2.372 243.6 10.93 231.9L266.9 7.918z"]],
    "house-day": [640, 512, [], "e00e", ["M160.2 0C166.1 0 171.5 3.231 174.3 8.412L201.8 59.61L257.5 42.92C263.2 41.23 269.3 42.77 273.4 46.93C277.6 51.09 279.1 57.2 277.5 62.84L260.8 118.6L296.1 137.6L231.4 197.3C236.1 186.4 240.1 174.1 240.1 160.1C240.1 116.8 204.3 80.95 160.1 80.95C115.9 80.95 80.07 116.8 80.07 160.1C80.07 205.2 115.9 241 160.1 241C170.9 241 181.2 238.9 190.6 235L133.2 288L118.5 260.9L62.82 277.5C57.19 279.2 51.08 277.7 46.92 273.5C42.75 269.4 41.21 263.3 42.9 257.6L59.59 201.9L8.407 174.3C3.229 171.5 0 165.9 0 160.1C0 154.2 3.229 148.9 8.407 146.2L59.59 118.6L42.9 62.84C41.21 57.2 42.76 51.09 46.92 46.93C51.08 42.77 57.19 41.23 62.82 42.92L118.5 59.61L146.1 8.412C148.9 3.231 154.3 0 160.2 0zM112.1 160.1C112.1 133.6 133.6 112.1 160.1 112.1C186.6 112.1 208.1 133.6 208.1 160.1C208.1 186.6 186.6 208.1 160.1 208.1C133.6 208.1 112.1 186.6 112.1 160.1z", "M378.3 104.5C390.6 93.17 409.4 93.17 421.7 104.5L629.7 296.5C636.4 302.7 639.1 311.2 640 320C640 337.3 625.5 352 608 352H576V464C576 490.5 554.5 512 528 512H272C245.5 512 224 490.5 224 464V352H192C174.5 352 159.1 337.3 160 320C160 311.2 163.6 302.7 170.3 296.5L378.3 104.5zM368 288C359.2 288 352 295.2 352 304V368C352 376.8 359.2 384 368 384H432C440.8 384 448 376.8 448 368V304C448 295.2 440.8 288 432 288H368z"]],
    "house-fire": [640, 512, [], "e50c", ["M256 352C238.3 352 224 366.3 224 384V472C224 494.1 206.1 512 184 512H128.1C126.6 512 125.1 511.9 123.6 511.8C122.4 511.9 121.2 512 120 512H104C81.91 512 64 494.1 64 472V360C64 359.1 64.03 358.1 64.09 357.2V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L447.3 128.1C434.9 127.2 422.3 131.1 412.5 139.9C377.1 171.5 346.9 207.6 325.2 242.7C304.3 276.5 288 314.9 288 350.1C288 350.7 288 351.4 288 352H256z", "M433.8 163.7C439.4 158.7 447.1 158.8 453.5 163.8C473.3 181.6 491.8 200.7 509 221.5C516.9 211.6 525.8 200.8 535.5 191.1C541.1 186.9 549.9 186.9 555.5 192C580.2 214.7 601.1 244.7 615.8 273.2C630.4 301.2 640 329.9 640 350.1C640 437.9 568.7 512 480 512C390.3 512 320 437.8 320 350.1C320 323.7 332.7 291.5 352.4 259.5C372.4 227.2 400.5 193.4 433.8 163.7V163.7zM480.1 448C499 448 515 442.1 530 432.1C560 412 568 370 550 336.1C548 332.1 546 328.1 543 324.1L507 366.1C507 366.1 448.1 292.1 444.1 287.1C415 324.1 400 346 400 370C400 418.1 436 448 480.1 448z"]],
    "house-flag": [640, 512, [], "e50d", ["M416 512H416.1C416.9 512 416.8 512 416.8 512H352C334.3 512 320 497.7 320 480V384C320 366.3 305.7 352 288 352H224C206.3 352 192 366.3 192 384V480C192 497.7 177.7 512 160 512H96C78.33 512 64 497.7 64 480V287.1H31.1C18.6 287.1 6.629 279.7 1.983 267.1C-2.663 254.5 1.003 240.4 11.17 231.7L235.2 39.7C247.2 29.43 264.8 29.43 276.8 39.7L416 159V512z", "M624 32C632.8 32 640 39.16 640 48V176C640 184.8 632.8 192 624 192H512V512H448V32C448 14.33 462.3 0 480 0C497.7 0 512 14.33 512 32H624z"]],
    "house-flood-water": [576, 512, [], "e50e", ["M384 336C410.9 336 439.4 325.2 461.4 309.9L461.5 309.9C473.4 301.4 489.5 302.1 500.7 311.6C515 323.5 533.2 332.6 551.3 336.8C568.5 340.8 579.2 358.1 575.2 375.3C571.2 392.5 553.1 403.2 536.7 399.2C512.2 393.4 491.9 382.6 478.5 374.2C449.5 389.7 417 400 384 400C352.1 400 323.4 390.1 303.6 381.1C297.7 378.5 292.5 375.8 288 373.4C283.5 375.8 278.3 378.5 272.4 381.1C252.6 390.1 223.9 400 192 400C158.1 400 126.5 389.7 97.5 374.2C84.12 382.6 63.79 393.4 39.27 399.2C22.06 403.2 4.853 392.5 .8422 375.3C-3.169 358.1 7.532 340.8 24.74 336.8C42.84 332.6 60.96 323.5 75.31 311.6C86.46 302.1 102.6 301.4 114.5 309.9L114.6 309.9C136.7 325.2 165.1 336 192 336C219.5 336 247 325.4 269.5 309.9C280.6 302 295.4 302 306.5 309.9C328.1 325.4 356.5 336 384 336H384zM461.4 421.9L461.5 421.9C473.4 413.4 489.5 414.1 500.7 423.6C515 435.5 533.2 444.6 551.3 448.8C568.5 452.8 579.2 470.1 575.2 487.3C571.2 504.5 553.1 515.2 536.7 511.2C512.2 505.4 491.9 494.6 478.5 486.2C449.5 501.7 417 512 384 512C352.1 512 323.4 502.1 303.6 493.1C297.7 490.5 292.5 487.8 288 485.4C283.5 487.8 278.3 490.5 272.4 493.1C252.6 502.1 223.9 512 192 512C158.1 512 126.5 501.7 97.5 486.2C84.12 494.6 63.79 505.4 39.27 511.2C22.06 515.2 4.853 504.5 .8422 487.3C-3.169 470.1 7.532 452.8 24.74 448.8C42.84 444.6 60.96 435.5 75.31 423.6C86.46 414.1 102.6 413.4 114.5 421.9L114.6 421.9C136.7 437.2 165.1 448 192 448C219.5 448 247 437.4 269.5 421.9C280.6 414 295.4 414 306.5 421.9C328.1 437.4 356.5 448 384 448C410.9 448 439.4 437.2 461.4 421.9H461.4z", "M482.8 134.1C494 142.3 498.7 156.7 494.4 169.9C490.1 183.1 477.9 192 464 192H447.4L447.7 265.2C446.1 266.1 444.6 267.1 443.2 268.1C425.2 280.5 403 288.5 384 288.5C364.4 288.5 343.2 280.8 324.8 268.1C302.8 252.6 273.3 252.6 251.2 268.1C234 279.9 213.2 288.5 192 288.5C172.1 288.5 150.8 280.5 132.9 268.1C131.3 267 129.7 265.1 128 265V192H112C98.14 192 85.86 183.1 81.57 169.9C77.28 156.7 81.97 142.3 93.18 134.1L269.2 6.12C280.4-2.04 295.6-2.04 306.8 6.12L482.8 134.1z"]],
    "house-flood-water-circle-arrow-right": [640, 512, [], "e50f", ["M250.2 284.3C292.6 252.2 319.1 201.3 319.1 144C319.1 115.4 313.2 88.32 301 64.42L381.2 6.12C392.4-2.04 407.6-2.04 418.8 6.12L594.8 134.1C606 142.3 610.7 156.7 606.4 169.9C602.1 183.1 589.9 192 576 192H559.4L559.7 276.4C557.5 274.8 555.3 273.2 553.2 271.5C531 252.8 498.9 251.4 475.2 268.1C457.2 280.5 435 288.5 416 288.5C396.4 288.5 375.2 280.8 356.8 268.1C334.8 252.6 305.3 252.6 283.2 268.1C273.2 274.1 262 280.7 250.2 284.3V284.3zM301.5 309.9C312.6 302 327.4 302 338.5 309.9C360.1 325.4 388.5 336 416 336C442.9 336 471.4 325.2 493.4 309.9L493.5 309.9C505.4 301.4 521.5 302.1 532.7 311.6C547 323.5 565.2 332.6 583.3 336.8C600.5 340.8 611.2 358.1 607.2 375.3C603.2 392.5 585.1 403.2 568.7 399.2C544.2 393.4 523.9 382.6 510.5 374.2C481.5 389.7 449 400 416 400C384.1 400 355.4 390.1 335.6 381.1C329.7 378.5 324.5 375.8 320 373.4C315.5 375.8 310.3 378.5 304.4 381.1C284.6 390.1 255.9 400 224 400C190.1 400 158.5 389.7 129.5 374.2C116.1 382.6 95.79 393.4 71.27 399.2C54.06 403.2 36.85 392.5 32.84 375.3C28.83 358.1 39.53 340.8 56.74 336.8C74.84 332.6 92.96 323.5 107.3 311.6C118.5 302.1 134.6 301.4 146.5 309.9L146.6 309.9C168.7 325.2 197.1 336 224 336C251.5 336 279 325.4 301.5 309.9H301.5zM493.4 421.9L493.5 421.9C505.4 413.4 521.5 414.1 532.7 423.6C547 435.5 565.2 444.6 583.3 448.8C600.5 452.8 611.2 470.1 607.2 487.3C603.2 504.5 585.1 515.2 568.7 511.2C544.2 505.4 523.9 494.6 510.5 486.2C481.5 501.7 449 512 416 512C384.1 512 355.4 502.1 335.6 493.1C329.7 490.5 324.5 487.8 320 485.4C315.5 487.8 310.3 490.5 304.4 493.1C284.6 502.1 255.9 512 224 512C190.1 512 158.5 501.7 129.5 486.2C116.1 494.6 95.79 505.4 71.27 511.2C54.06 515.2 36.85 504.5 32.84 487.3C28.83 470.1 39.53 452.8 56.74 448.8C74.84 444.6 92.96 435.5 107.3 423.6C118.5 414.1 134.6 413.4 146.5 421.9L146.6 421.9C168.7 437.2 197.1 448 224 448C251.5 448 279 437.4 301.5 421.9C312.6 414 327.4 414 338.5 421.9C360.1 437.4 388.5 448 416 448C442.9 448 471.4 437.2 493.4 421.9H493.4z", "M0 144C0 64.47 64.47 0 144 0C223.5 0 288 64.47 288 144C288 223.5 223.5 288 144 288C64.47 288 0 223.5 0 144zM163.3 76.69C157.1 70.44 146.9 70.44 140.7 76.69C134.4 82.93 134.4 93.07 140.7 99.31L169.4 128H80C71.16 128 64 135.2 64 144C64 152.8 71.16 160 80 160H169.4L140.7 188.7C134.4 194.9 134.4 205.1 140.7 211.3C146.9 217.6 157.1 217.6 163.3 211.3L219.3 155.3C225.6 149.1 225.6 138.9 219.3 132.7L163.3 76.69z"]],
    "house-heart": [576, 512, ["home-heart"], "f4c9", ["M64.07 448L64.02 270.5L288 74.52L512.1 270.6L512.5 447.9C512.6 483.3 483.9 512 448.5 512H128.1C92.74 512 64.09 483.4 64.07 448L64.07 448zM299.3 428.7L392 336C414.1 313.9 414.1 278.1 392 256C369.9 233.9 334.1 233.9 312 256L288 280L264 256C241.9 233.9 206.1 233.9 184 256C161.9 278.1 161.9 313.9 184 336L276.7 428.7C282.9 434.9 293.1 434.9 299.3 428.7H299.3z", "M565.1 231.9C578.4 243.6 579.7 263.8 568.1 277.1C556.4 290.4 536.2 291.7 522.9 280.1L288 74.52L53.07 280.1C39.77 291.7 19.56 290.4 7.917 277.1C-3.72 263.8-2.372 243.6 10.93 231.9L266.9 7.918C278.1-2.639 297-2.639 309.1 7.918L565.1 231.9zM276.7 428.7L184 336C161.9 313.9 161.9 278.1 184 256C206.1 233.9 241.9 233.9 264 256L288 280L312 256C334.1 233.9 369.9 233.9 392 256C414.1 278.1 414.1 313.9 392 336L299.3 428.7C293.1 434.9 282.9 434.9 276.7 428.7H276.7z"]],
    "house-laptop": [640, 512, ["laptop-house"], "e066", ["M469.7 200.5C476.4 206.7 480 215.2 480 224H336C316.9 224 299.7 232.4 288 245.7V208C288 199.2 280.8 192 272 192H208C199.2 192 192 199.2 192 208V272C192 280.8 199.2 288 208 288H271.1V416H112C85.49 416 64 394.5 64 368V256H32C18.83 256 6.996 247.9 2.198 235.7C-2.6 223.4 .6145 209.4 10.3 200.5L218.3 8.486C230.6-2.829 249.4-2.829 261.7 8.486L469.7 200.5z", "M304 448V288C304 270.3 318.3 256 336 256H560C577.7 256 592 270.3 592 288V448H624C632.8 448 640 455.2 640 464C640 490.5 618.5 512 592 512H304C277.5 512 256 490.5 256 464C256 455.2 263.2 448 272 448H304zM544 448V304H352V448H544z"]],
    "house-lock": [640, 512, [], "e510", ["M392 512C369.9 512 352 494.1 352 472V384C352 366.3 337.7 352 320 352H256C238.3 352 224 366.3 224 384V472C224 494.1 206.1 512 184 512H128.1C126.6 512 125.1 511.9 123.6 511.8C122.4 511.9 121.2 512 120 512H104C81.91 512 64 494.1 64 472V360C64 359.1 64.03 358.1 64.09 357.2V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L490.7 166.3C447.2 181.7 416 223.2 416 272V296.6C396.9 307.6 384 328.3 384 352V480C384 491.7 387.1 502.6 392.6 512L392 512z", "M448 320V272C448 227.8 483.8 192 528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320zM496 320H560V272C560 254.3 545.7 240 528 240C510.3 240 496 254.3 496 272V320z"]],
    "house-medical": [576, 512, [], "e3b2", ["M288 74.52L512.1 270.6L512.5 447.9C512.6 483.3 483.9 512 448.5 512H128.1C92.74 512 64.09 483.4 64.07 448L64.02 270.5L288 74.52zM400 280C400 271.2 392.8 264 384 264H328V208C328 199.2 320.8 192 312 192H264C255.2 192 248 199.2 248 208V264H192C183.2 264 176 271.2 176 280V328C176 336.8 183.2 344 192 344H248V400C248 408.8 255.2 416 264 416H312C320.8 416 328 408.8 328 400V344H384C392.8 344 400 336.8 400 328V280z", "M266.9 7.918C278.1-2.639 297-2.639 309.1 7.918L565.1 231.9C578.4 243.6 579.7 263.8 568.1 277.1C556.4 290.4 536.2 291.7 522.9 280.1L288 74.52L53.07 280.1C39.77 291.7 19.56 290.4 7.918 277.1C-3.72 263.8-2.372 243.6 10.93 231.9L266.9 7.918zM384 264C392.8 264 400 271.2 400 280V328C400 336.8 392.8 344 384 344H328V400C328 408.8 320.8 416 312 416H264C255.2 416 248 408.8 248 400V344H192C183.2 344 176 336.8 176 328V280C176 271.2 183.2 264 192 264H248V208C248 199.2 255.2 192 264 192H312C320.8 192 328 199.2 328 208V264H384z"]],
    "house-medical-circle-check": [640, 512, [], "e511", ["M496 192C453.6 192 414.7 207 384.3 232C384.2 232 384.1 232 384 232H328V176C328 167.2 320.8 160 312 160H264C255.2 160 248 167.2 248 176V232H192C183.2 232 176 239.2 176 248V296C176 304.8 183.2 312 192 312H248V368C248 376.8 255.2 384 264 384H312C315.1 384 318 383.1 320.5 381.5C324.6 435.5 353 482.6 394.8 512H128.1C92.75 512 64.09 483.3 64.09 448V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L522.1 193.9C513.6 192.7 504.9 192 496 192H496z", "M352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM563.3 347.3C569.6 341.1 569.6 330.9 563.3 324.7C557.1 318.4 546.9 318.4 540.7 324.7L480 385.4L451.3 356.7C445.1 350.4 434.9 350.4 428.7 356.7C422.4 362.9 422.4 373.1 428.7 379.3L468.7 419.3C474.9 425.6 485.1 425.6 491.3 419.3L563.3 347.3z"]],
    "house-medical-circle-exclamation": [640, 512, [], "e512", ["M496 192C453.6 192 414.7 207 384.3 232C384.2 232 384.1 232 384 232H328V176C328 167.2 320.8 160 312 160H264C255.2 160 248 167.2 248 176V232H192C183.2 232 176 239.2 176 248V296C176 304.8 183.2 312 192 312H248V368C248 376.8 255.2 384 264 384H312C315.1 384 318 383.1 320.5 381.5C324.6 435.5 353 482.6 394.8 512H128.1C92.75 512 64.09 483.3 64.09 448V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L522.1 193.9C513.6 192.7 504.9 192 496 192H496z", "M640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 416C482.7 416 472 426.7 472 440C472 453.3 482.7 464 496 464C509.3 464 520 453.3 520 440C520 426.7 509.3 416 496 416zM511.1 288C511.1 279.2 504.8 272 495.1 272C487.2 272 479.1 279.2 479.1 288V368C479.1 376.8 487.2 384 495.1 384C504.8 384 511.1 376.8 511.1 368V288z"]],
    "house-medical-circle-xmark": [640, 512, [], "e513", ["M496 192C453.6 192 414.7 207 384.3 232C384.2 232 384.1 232 384 232H328V176C328 167.2 320.8 160 312 160H264C255.2 160 248 167.2 248 176V232H192C183.2 232 176 239.2 176 248V296C176 304.8 183.2 312 192 312H248V368C248 376.8 255.2 384 264 384H312C315.1 384 318 383.1 320.5 381.5C324.6 435.5 353 482.6 394.8 512H128.1C92.75 512 64.09 483.3 64.09 448V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L522.1 193.9C513.6 192.7 504.9 192 496 192H496z", "M640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM532.7 308.7L496 345.4L459.3 308.7C453.1 302.4 442.9 302.4 436.7 308.7C430.4 314.9 430.4 325.1 436.7 331.3L473.4 368L436.7 404.7C430.4 410.9 430.4 421.1 436.7 427.3C442.9 433.6 453.1 433.6 459.3 427.3L496 390.6L532.7 427.3C538.9 433.6 549.1 433.6 555.3 427.3C561.6 421.1 561.6 410.9 555.3 404.7L518.6 368L555.3 331.3C561.6 325.1 561.6 314.9 555.3 308.7C549.1 302.4 538.9 302.4 532.7 308.7z"]],
    "house-medical-flag": [640, 512, [], "e514", ["M416 512H416.1L416.8 512H96C78.33 512 64 497.7 64 480V287.1H31.1C18.61 287.1 6.631 279.7 1.985 267.1C-2.661 254.5 1.005 240.4 11.17 231.7L235.2 39.7C247.2 29.43 264.8 29.43 276.8 39.7L416 159V512zM223.1 255.1H175.1C167.2 255.1 159.1 263.2 159.1 271.1V303.1C159.1 312.8 167.2 319.1 175.1 319.1H223.1V368C223.1 376.8 231.2 384 239.1 384H271.1C280.8 384 287.1 376.8 287.1 368V319.1H336C344.8 319.1 352 312.8 352 303.1V271.1C352 263.2 344.8 255.1 336 255.1H287.1V207.1C287.1 199.2 280.8 191.1 271.1 191.1H239.1C231.2 191.1 223.1 199.2 223.1 207.1V255.1z", "M624 32C632.8 32 640 39.16 640 48V176C640 184.8 632.8 192 624 192H512V512H448V32C448 14.33 462.3 0 480 0C497.7 0 512 14.33 512 32H624z"]],
    "house-night": [640, 512, [], "e010", ["M88 88C88 136.6 127.4 176 176 176C179 176 182 175.8 184.1 175.6C192.6 174.8 198.8 183.2 193.5 188.8C173.1 210.5 144.1 224 112 224C50.14 224 0 173.9 0 112C0 50.14 50.14 0 112 0C115.7 0 119.4 .1805 123 .5334C130.6 1.275 131.5 11.71 125.2 16.12C102.7 32.06 88 58.31 88 88L88 88zM248.5 12.28C251.1 5.312 260.9 5.312 263.5 12.28L275.4 44.55L307.7 56.5C314.7 59.07 314.7 68.93 307.7 71.5L275.4 83.45L263.5 115.7C260.9 122.7 251.1 122.7 248.5 115.7L236.6 83.45L204.3 71.5C197.3 68.93 197.3 59.07 204.3 56.5L236.6 44.55L248.5 12.28zM88.5 332.3C91.07 325.3 100.9 325.3 103.5 332.3L115.4 364.6L147.7 376.5C154.7 379.1 154.7 388.9 147.7 391.5L115.4 403.4L103.5 435.7C100.9 442.7 91.07 442.7 88.5 435.7L76.55 403.4L44.28 391.5C37.31 388.9 37.31 379.1 44.28 376.5L76.55 364.6L88.5 332.3z", "M378.3 104.5C390.6 93.17 409.4 93.17 421.7 104.5L629.7 296.5C639.4 305.4 642.6 319.4 637.8 331.7C633 343.9 621.2 352 608 352H576V464C576 490.5 554.5 512 528 512H272C245.5 512 224 490.5 224 464V352H192C178.8 352 166.1 343.9 162.2 331.7C157.4 319.4 160.6 305.4 170.3 296.5L378.3 104.5zM368 288C359.2 288 352 295.2 352 304V368C352 376.8 359.2 384 368 384H432C440.8 384 448 376.8 448 368V304C448 295.2 440.8 288 432 288H368z"]],
    "house-person-leave": [640, 512, ["house-leave", "house-person-depart"], "e00f", ["M337.2 284.5C305.9 268.8 293.3 230.4 308.8 198.9l6.743-13.61c13.88-28 37.57-50.02 66.45-61.77l7.397-2.967L263.5 8.906c-13.38-11.88-33.5-11.88-46.88 0L4.715 196.4c-5.752 5.25-6.377 14.12-1.127 20l18.75 21.38c5.125 5.75 14.13 6.375 20 1.25l21.63-19.13v164.2c0 17.63 14.38 32.01 32 32.01l229.5-.0566l31.28-31.39c3-3 5.411-6.729 7.036-10.73l32.46-80.76c-.5-3-.748-6.033-.998-9.033C377.2 293.6 355.4 293.8 337.2 284.5zM223.1 272c0 8.875-7.127 16-16 16h-64c-8.877 0-16-7.125-16-16V208c0-8.875 7.124-16 16-16h64c8.875 0 16 7.125 16 16V272zM528 96.02c26.5 0 48-21.5 48-48.01c0-26.5-21.5-48.01-48-48.01c-26.5 0-48 21.5-48 48.01C479.1 74.52 501.5 96.02 528 96.02z", "M393.5 385.9c-3.125 8.125-8 15.38-14.13 21.5l-50 50.14c-11.88 12.5-11.63 32.26 .625 44.51c12.25 12.25 32 12.63 44.5 .75l59.5-59.39c6.127-6.125 10.88-13.5 14.13-21.5l13.5-33.76c-55.26-60.39-38.63-41.88-47.38-53.76L393.5 385.9zM622.4 245.1l-23.25-11.75l-9.752-29.38c-14.62-44.63-55.63-75.77-102.1-75.89c-36-.125-55.88 10.13-93.26 25.13c-21.75 8.875-39.38 25.26-49.75 46.26l-6.75 13.63c-7.75 15.76-1.375 34.88 14.25 42.89c7.502 3.75 16.25 4.375 24.25 1.75c8.002-2.754 14.5-8.504 18.25-16l6.75-13.63c3.375-7.004 9.252-12.51 16.5-15.38l26.75-10.88l-15.13 60.76c-5.25 20.88 .375 42.89 14.88 58.76l59.88 65.39c7.25 7.875 12.38 17.38 14.88 27.75l18.25 73.27c4.25 17.13 21.63 27.63 38.75 23.26c17.25-4.25 27.63-21.63 23.38-38.76l-22.25-89.02c-2.5-10.38-7.625-19.88-14.88-27.75L516.5 305.8l17.25-68.77l5.5 16.5c5.252 16.13 16.63 29.38 31.63 37.01l23.38 11.88c7.502 3.754 16.25 4.379 24.13 1.625c8.002-2.625 14.63-8.375 18.38-16C644.4 272.3 638.1 253.2 622.4 245.1z"]],
    "house-person-return": [640, 512, ["house-person-arrive", "house-return"], "e011", ["M375.2 333.4c-30.78 12.13-65.94-1.47-80.45-31.1c-15.52-31.63-2.626-69.92 28.53-85.67l11.62-5.818l5.521-16.88c9.385-28.5 27.64-53.35 52.04-71.1l-128.8-113.9c-13.39-11.88-33.54-11.88-46.92 0L4.719 196.4c-5.756 5.25-6.382 14.13-1.126 20l18.77 21.38c5.13 5.75 14.14 6.375 20.02 1.25l21.65-19.13v164.1c0 17.63 14.39 32 32.03 32l246.2-.0256l10.12-40.52c3.879-15.5 11.49-29.81 22.37-41.56L375.2 333.4zM224.1 272c0 8.875-7.124 16-16.01 16H144.1c-8.884 0-16.01-7.125-16.01-16V208c0-8.875 7.124-16 16.01-16h64.03c8.884 0 16.01 7.125 16.01 16V272zM432.2 96.02c26.53 0 48.18-21.5 48.18-47.1s-21.65-48.01-48.18-48.01s-48.05 21.5-48.05 48S405.7 96.02 432.2 96.02z", "M531.5 262.5l-15.27-60.75l26.91 10.88c7.133 2.875 13.02 8.375 16.4 15.38l6.76 13.63c3.629 7.5 10.27 13.25 18.28 16c8.008 2.625 16.65 2 24.29-1.75c15.64-8 22.03-27.13 14.15-42.88l-6.634-13.63c-10.39-20.88-28.17-37.38-49.82-46.13c-37.41-15.13-57.35-25.38-93.39-25.25c-46.55 .125-87.63 31.25-102.4 75.88l-9.639 29.38l-23.41 11.88c-15.64 8-22.03 27.13-14.27 43c3.754 7.5 10.27 13.25 18.28 16c8.008 2.625 16.78 2 24.29-1.75l23.28-11.75c15.14-7.75 26.54-21 31.8-37l5.508-16.5l17.15 68.63l-45.44 49.75c-7.258 7.75-12.39 17.38-14.9 27.63l-22.28 89.01c-4.254 17.13 6.141 34.5 23.41 38.88c17.14 4.25 34.55-6.251 38.81-23.38l18.28-73.26c2.628-10.38 7.764-19.88 14.9-27.75l60.09-65.38C531.1 305.4 536.6 283.4 531.5 262.5zM631.2 457.4l-50.07-50.13c-6.131-6.125-11.02-13.38-14.15-21.5l-20.78-51.5c-8.759 11.88 7.864-6.624-47.44 53.75l13.52 33.75c3.253 8 8.014 15.38 14.15 21.5l59.59 59.38c12.51 11.88 32.3 11.5 44.56-.75C642.9 489.7 643.1 469.9 631.2 457.4z"]],
    "house-signal": [576, 512, [], "e012", ["M565.7 200.5C575.4 209.4 578.6 223.4 573.8 235.7C569 247.9 557.2 256 544 256H512V368C512 394.5 490.5 416 464 416H296.4C272.7 317.5 195.4 239.1 97.06 215.8C98.58 210.1 101.7 204.7 106.3 200.5L314.3 8.486C326.6-2.829 345.4-2.829 357.7 8.486L565.7 200.5zM288 272C288 280.8 295.2 288 304 288H368C376.8 288 384 280.8 384 272V208C384 199.2 376.8 192 368 192H304C295.2 192 288 199.2 288 208V272z", "M0 280C0 266.7 10.75 256 24 256C152.1 256 256 359.9 256 488C256 501.3 245.3 512 232 512C218.7 512 208 501.3 208 488C208 386.4 125.6 304 24 304C10.75 304 0 293.3 0 280zM64 480C64 497.7 49.67 512 32 512C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448C49.67 448 64 462.3 64 480zM160 488C160 501.3 149.3 512 136 512C122.7 512 112 501.3 112 488C112 439.4 72.6 400 24 400C10.75 400 0 389.3 0 376C0 362.7 10.75 352 24 352C99.11 352 160 412.9 160 488z"]],
    "house-tree": [640, 512, [], "e1b3", ["M566.6 137.4C575.8 146.5 578.5 160.3 573.6 172.2C568.6 184.2 556.9 192 544 192H514.6L600.1 300C608.7 309.6 610.2 322.8 604.8 333.9C599.5 344.1 588.3 352 576 352H546.6L632.1 460C640.7 469.6 642.2 482.8 636.8 493.9C631.5 504.1 620.3 512 608 512H400C410 498.6 416 482 416 464V277.1C416 254.7 406.6 233.3 390.1 218.1L282.9 119.9L393.4 9.372C405.9-3.124 426.1-3.124 438.6 9.372L566.6 137.4z", "M.0003 464V277.1C.0003 263.7 5.647 250.8 15.57 241.7L159.6 109.7C177.9 92.91 206.1 92.91 224.4 109.7L368.4 241.7C378.4 250.8 384 263.7 384 277.1V464C384 490.5 362.5 512 336 512H48C21.49 512 0 490.5 0 464H.0003zM168 272C154.7 272 144 282.7 144 296V344C144 357.3 154.7 368 168 368H216C229.3 368 240 357.3 240 344V296C240 282.7 229.3 272 216 272H168z"]],
    "house-tsunami": [576, 512, [], "e515", ["M184.4 96C207.4 96 229.3 101.1 248.1 110.3C264.1 117.7 271.9 136.8 264.4 152.8C256.1 168.8 237.9 175.7 221.9 168.3C210.6 162.1 197.9 160 184.4 160C135.5 160 95.1 199.5 95.1 248C95.1 287 121.6 320.2 157.1 331.7C167.1 334.5 179.7 336 192 336C219.5 336 247 325.4 269.5 309.9C280.6 302 295.4 302 306.5 309.9C328.1 325.4 356.5 336 384 336C410.9 336 439.4 325.2 461.4 309.9L461.5 309.9C473.4 301.4 489.5 302.1 500.7 311.6C515 323.5 533.2 332.6 551.3 336.8C568.5 340.8 579.2 358.1 575.2 375.3C571.2 392.5 553.1 403.2 536.7 399.2C512.2 393.4 491.9 382.6 478.5 374.2C449.5 389.7 417 400 384 400C352.1 400 323.4 390.1 303.6 381.1C297.7 378.5 292.5 375.8 288 373.4C283.5 375.8 278.3 378.5 272.4 381.1C252.6 390.1 223.1 399.1 192.1 400C192.1 400 192 400 192 400C190.2 400 188.3 399.1 186.5 399.9C185.8 399.1 185.1 400 184.4 400C169.8 400 155.6 397.9 142.2 394.1C53.52 372.1 .0006 291.6 .0006 200C.0006 87.99 95.18 0 209 0C232.8 0 255.8 3.823 277.2 10.9C294 16.44 303.1 34.54 297.6 51.32C292 68.1 273.9 77.21 257.2 71.67C242.2 66.72 225.1 64 209 64C152.6 64 104.9 93.82 80.81 136.5C108 111.4 144.4 96 184.4 96H184.4zM461.4 421.9L461.5 421.9C473.4 413.4 489.5 414.1 500.7 423.6C515 435.5 533.2 444.6 551.3 448.8C568.5 452.8 579.2 470.1 575.2 487.3C571.2 504.5 553.1 515.2 536.7 511.2C512.2 505.4 491.9 494.6 478.5 486.2C449.5 501.7 417 512 384 512C352.1 512 323.4 502.1 303.6 493.1C297.7 490.5 292.5 487.8 288 485.4C283.5 487.8 278.3 490.5 272.4 493.1C252.6 502.1 223.9 512 192 512C158.1 512 126.5 501.7 97.5 486.2C84.12 494.6 63.79 505.4 39.27 511.2C22.06 515.2 4.853 504.5 .8422 487.3C-3.169 470.1 7.532 452.8 24.74 448.8C42.84 444.6 60.96 435.5 75.31 423.6C86.46 414.1 102.6 413.4 114.5 421.9L114.6 421.9C136.7 437.2 165.1 448 192 448C219.5 448 247 437.4 269.5 421.9C280.6 414 295.4 414 306.5 421.9C328.1 437.4 356.5 448 384 448C410.9 448 439.4 437.2 461.4 421.9H461.4z", "M428.8 46.43C440.2 37.88 455.8 37.9 467.2 46.47L562.7 118.4C570.7 124.5 575.4 133.9 575.5 143.9L575.8 287.9C575.8 290.8 575.4 293.6 574.7 296.3C569.8 293.6 564.3 291.5 558.5 290.1C545.4 287.1 531.8 280.3 521.2 271.5C499 252.8 466.9 251.4 443.2 268.1C425.2 280.5 403 288.5 384 288.5C364.4 288.5 343.2 280.8 324.8 268.1C323.3 267 321.7 265.1 320 265V143.1C320 133.9 324.7 124.4 332.8 118.4L428.8 46.43z"]],
    "house-turret": [640, 512, [], "e1b4", ["M72 0C85.25 0 96 10.75 96 24V96H128V24C128 10.75 138.7 0 152 0H200C213.3 0 224 10.75 224 24V96H256V24C256 10.75 266.7 0 280 0H328C341.3 0 352 10.75 352 24V124.6L249.9 218.1C233.4 233.3 224 254.7 224 277.1V464C224 482 229.1 498.6 239.1 512H112C85.49 512 64 490.5 64 464V288L18.75 242.7C6.743 230.7 0 214.5 0 197.5V24C0 10.75 10.75 .0006 24 .0006L72 0zM176 160C153.9 160 136 177.9 136 200V224C136 232.8 143.2 240 152 240H200C208.8 240 216 232.8 216 224V200C216 177.9 198.1 160 176 160z", "M256 464V277.1C256 263.7 261.6 250.8 271.6 241.7L415.6 109.7C433.9 92.91 462.1 92.91 480.4 109.7L624.4 241.7C634.4 250.8 640 263.7 640 277.1V464C640 490.5 618.5 512 592 512H304C277.5 512 256 490.5 256 464H256zM424 272C410.7 272 400 282.7 400 296V344C400 357.3 410.7 368 424 368H472C485.3 368 496 357.3 496 344V296C496 282.7 485.3 272 472 272H424z"]],
    "house-user": [576, 512, ["home-user"], "e1b0", ["M288 74.52L512.1 270.6L512.5 447.9C512.6 483.3 483.9 512 448.5 512H128.1C92.74 512 64.09 483.4 64.07 448L64.02 270.5L288 74.52zM288 320C323.3 320 352 291.3 352 256C352 220.7 323.3 192 288 192C252.7 192 224 220.7 224 256C224 291.3 252.7 320 288 320zM192 448H384C392.8 448 400 440.8 400 432C400 387.8 364.2 352 320 352H256C211.8 352 176 387.8 176 432C176 440.8 183.2 448 192 448z", "M266.9 7.918C278.1-2.639 297-2.639 309.1 7.918L565.1 231.9C578.4 243.6 579.7 263.8 568.1 277.1C556.4 290.4 536.2 291.7 522.9 280.1L288 74.52L53.07 280.1C39.77 291.7 19.56 290.4 7.917 277.1C-3.72 263.8-2.372 243.6 10.93 231.9L266.9 7.918zM352 256C352 291.3 323.3 320 288 320C252.7 320 224 291.3 224 256C224 220.7 252.7 192 288 192C323.3 192 352 220.7 352 256zM320 352C364.2 352 400 387.8 400 432C400 440.8 392.8 448 384 448H192C183.2 448 176 440.8 176 432C176 387.8 211.8 352 256 352H320z"]],
    "house-water": [576, 512, ["house-flood"], "f74f", ["M565.1 231.9l-255.1-223.1c-6.029-5.283-13.55-7.92-21.08-7.92c-6.199 0-14.15 1.85-21.08 7.92l-255.1 223.1C-11.25 251.3 2.604 287.1 32 287.1h32.02v100.9c8.527-7.877 19.54-12.51 31.35-12.51c40.88 0 34.45 39.62 97.04 39.62c64.52 0 53.23-39.66 95.32-40.02c42.2 .3652 31.4 40.02 95.9 40.02c62.63 0 55.89-39.62 97.04-39.62c11.79 0 22.8 4.617 31.32 12.47V287.1H544c17.73 0 31.1-14.4 31.1-32C575.1 246.9 572.2 238.1 565.1 231.9zM352 298.6c0 11.88-9.625 21.38-21.38 21.38H245.4c-11.75 0-21.38-9.625-21.38-21.38V213.4c0-11.88 9.625-21.38 21.38-21.38h85.25c11.75 0 21.38 9.5 21.38 21.38V298.6z", "M549.8 445.7c-31.23-5.719-46.84-20.06-47.13-20.31c-12.22-12.19-32.31-12.09-44.91-.375c-1.062 .9062-25.17 23-73.77 23s-72.73-22.06-73.38-22.62c-12.22-12.25-32.31-12.12-44.89-.375c-1.031 .9062-25.14 23-73.73 23s-72.73-22.06-73.38-22.62c-12.22-12.25-32.28-12.16-44.89-.3438c-.6562 .5938-16.28 14.94-47.5 20.66c-17.39 3.188-28.89 19.84-25.72 37.22c3.203 17.41 19.8 29.09 37.27 25.69c25.31-4.594 44.7-13.28 58.17-21.19C115.4 498.9 147.4 512 192 512c44.55 0 76.44-13.06 95.95-24.59c19.5 11.47 51.52 24.58 96.12 24.58s76.48-13.11 95.09-24.64c13.47 7.938 32.86 16.62 58.19 21.25c18.41 3.375 34.91-8.312 38.11-25.72S567.2 448.9 549.8 445.7z"]],
    "house-window": [576, 512, [], "e3b3", ["M64.07 448L64.02 270.5L288 74.52L512.1 270.6L512.5 447.9C512.6 483.3 483.9 512 448.5 512H128.1C92.74 512 64.09 483.4 64.07 448L64.07 448zM248 240C234.7 240 224 250.7 224 264V344C224 357.3 234.7 368 248 368H328C341.3 368 352 357.3 352 344V264C352 250.7 341.3 240 328 240H248z", "M266.9 7.918C278.1-2.639 297-2.639 309.1 7.918L565.1 231.9C578.4 243.6 579.7 263.8 568.1 277.1C556.4 290.4 536.2 291.7 522.9 280.1L288 74.52L53.07 280.1C39.77 291.7 19.56 290.4 7.917 277.1C-3.72 263.8-2.372 243.6 10.93 231.9L266.9 7.918z"]],
    "hryvnia-sign": [384, 512, [8372, "hryvnia"], "f6f2", ["M247.3 187.5L155.5 240H32C14.33 240 0 225.7 0 208C0 190.3 14.33 176 32 176H260.9C257.2 180.6 252.6 184.5 247.3 187.5zM52.33 336H32C14.33 336 .0003 321.7 .0003 304C.0003 286.3 14.33 272 32 272H99.82C76.51 287 59.79 309.9 52.33 336V336zM123.1 336C126.8 331.4 131.4 327.5 136.7 324.5L228.5 272H352C369.7 272 384 286.3 384 304C384 321.7 369.7 336 352 336H123.1zM284.2 240C307.5 224.1 324.2 202.1 331.7 176H352C369.7 176 384 190.3 384 208C384 225.7 369.7 240 352 240H284.2z", "M179.6 96C158.7 96 138.3 103.1 121.9 116.2L115.1 120.1C102.2 132 82.05 129.8 71.01 115.1C59.97 102.2 62.21 82.05 76.01 71.01L81.94 66.27C109.7 44.08 144.1 32 179.6 32H223C285.4 32 336 82.59 336 144.1C336 185.5 314.3 222.1 279.1 243.1L136.7 324.5C121.4 333.2 112 349.4 112 367C112 394.1 133.9 416 160.1 416H204.4C225.3 416 245.7 408.9 262.1 395.8L268 391C281.8 379.1 301.9 382.2 312.1 396C324 409.8 321.8 429.9 307.1 440.1L302.1 445.7C274.3 467.9 239.9 480 204.4 480H160.1C98.59 480 48 429.4 48 367C48 326.5 69.73 289 104.9 268.9L247.3 187.5C262.6 178.8 272 162.6 272 144.1C272 117.9 250.1 96 223 96H179.6z"]],
    "hundred-points": [512, 512, [128175, "100"], "e41c", ["M36.52 415.7C19.03 418.2 2.817 406 .3178 388.5C-2.181 371 9.975 354.8 27.47 352.3L475.5 288.3C492.1 285.8 509.2 297.1 511.7 315.5C514.2 332.1 502 349.2 484.5 351.7L36.52 415.7zM260.5 479.7C243 482.2 226.8 470 224.3 452.5C221.8 435 233.1 418.8 251.5 416.3L475.5 384.3C492.1 381.8 509.2 393.1 511.7 411.5C514.2 428.1 502 445.2 484.5 447.7L260.5 479.7z", "M163 101.8C168 61.9 201.9 32 242 32C289.9 32 326.1 73.98 321.1 121.5L308.1 218.2C303.1 258.1 270.1 288 229.1 288C182.1 288 144.1 246 150.9 198.5L163 101.8zM242 96C234.2 96 227.5 101.9 226.5 109.7L214.4 206.4C213.3 215.8 220.5 224 229.1 224C237.8 224 244.5 218.1 245.5 210.3L257.6 113.6C258.7 104.2 251.4 96 242 96H242zM123.5 38.29C132.7 45.18 137.3 56.54 135.7 68.01L103.7 292C101.2 309.5 84.96 321.1 67.46 319.7C49.96 317.5 37.81 301.5 40.32 283.1L64.25 116.5L44.59 125.2C28.34 132.4 9.53 125.2 2.575 109.1C-4.381 92.95 3.154 74.02 19.4 66.8L91.4 34.8C102 30.07 114.3 31.41 123.5 38.29H123.5zM507.1 119L499.8 199.4C496.1 240.5 461.6 272 420.3 272C373.4 272 336.6 231.7 340.9 184.1L348.2 104.6C351.9 63.47 386.4 32 427.7 32C474.6 32 511.4 72.29 507.1 119zM404.6 190.8C403.8 200 411 208 420.3 208C428.5 208 435.3 201.8 436.1 193.6L443.4 113.2C444.2 103.1 436.9 96 427.7 96C419.5 96 412.7 102.2 411.9 110.4L404.6 190.8z"]],
    "hurricane": [448, 512, [], "f751", ["M208 95.98l24.5-74.74c3.75-11.25-5.615-22.49-17.36-21.11C112 12.38 32 101.6 32 208c0 114.9 93.13 208 208 208l-24.5 74.73c-3.75 11.25 5.615 22.5 17.36 21.12C335.1 499.6 416 410.4 416 304C416 189.1 322.9 95.98 208 95.98zM224 351.1c-53 0-96-43-96-96s43-96 96-96s96 43 96 96S277 351.1 224 351.1z", "M224 223.1c-17.75 0-32 14.25-32 32c0 17.75 14.25 32 32 32s32-14.25 32-32C256 238.2 241.8 223.1 224 223.1zM224 351.1c-53 0-96-43-96-96s43-96 96-96s96 43 96 96S277 351.1 224 351.1z"]],
    "hyphen": [320, 512, [], "2d", ["M288 288H32c-17.69 0-32-14.32-32-32.01s14.31-31.99 32-31.99h256c17.69 0 32 14.3 32 31.99S305.7 288 288 288z", ""]],
    "i": [320, 512, [105], "49", ["M320 448c0 17.67-14.31 32-32 32H32c-17.69 0-32-14.33-32-32s14.31-32 32-32h96v-320H32c-17.69 0-32-14.33-32-32s14.31-32 32-32h256c17.69 0 32 14.33 32 32s-14.31 32-32 32h-96v320h96C305.7 416 320 430.3 320 448z", ""]],
    "i-cursor": [256, 512, [], "f246", ["M32 256c0 17.69 14.33 32 32 32h32V224H64C46.33 224 32 238.3 32 256zM192 224h-32v64h32c17.67 0 32-14.31 32-32S209.7 224 192 224z", "M256 480c0 17.69-14.33 31.1-32 31.1c-38.41 0-72.52-17.35-96-44.23c-23.48 26.88-57.59 44.23-96 44.23c-17.67 0-32-14.31-32-31.1s14.33-32 32-32c35.3 0 64-28.72 64-64V128c0-35.28-28.7-64-64-64C14.33 64 0 49.69 0 32s14.33-32 32-32c38.41 0 72.52 17.35 96 44.23c23.48-26.88 57.59-44.23 96-44.23c17.67 0 32 14.31 32 32s-14.33 32-32 32c-35.3 0-64 28.72-64 64v256c0 35.28 28.7 64 64 64C241.7 448 256 462.3 256 480z"]],
    "ice-cream": [448, 512, [127848], "f810", ["M386.4 164.2C392.2 166.6 397.5 170.1 401.1 174.6C406.4 179 409.1 184.3 412.4 190.1C414.8 195.9 416.1 202.2 416.1 208.5C416.1 214.8 414.9 221 412.5 226.9C410.1 232.7 406.6 237.1 402.1 242.4C397.7 246.9 392.4 250.5 386.6 252.9C380.7 255.3 374.5 256.6 368.2 256.6H79.81C67.08 256.6 54.88 251.5 45.89 242.4C36.91 233.4 31.88 221.2 31.9 208.5C31.93 195.7 37.01 183.6 46.03 174.6C55.05 165.6 67.27 160.6 79.1 160.6H80.99C80.33 155.1 79.99 149.5 79.97 144C79.97 105.8 95.14 69.18 122.1 42.18C149.1 15.17 185.8 0 223.1 0C262.2 0 298.8 15.17 325.8 42.18C352.8 69.18 367.1 105.8 367.1 144C367.1 149.5 367.6 155.1 367 160.6H368C374.3 160.6 380.5 161.8 386.4 164.2z", "M368.2 256L252.8 493.8C250.3 499.2 246.2 503.8 241.1 507C236.1 510.3 230.2 511.1 224.2 511.1C218.1 511.1 212.3 510.3 207.2 507C202.1 503.8 198.1 499.2 195.5 493.8L79.81 256H368.2z"]],
    "ice-skate": [576, 512, [9976], "f7ac", ["M272 128h48V96h-48c-8.836 0-16 7.164-16 16S263.2 128 272 128zM552 416c-13.2 0-24 10.8-24 23.1C528 453.3 517.3 464 504 464h-71.1L432 384H384l0 80h-240L144 384H96l0 80H32c-17.6 0-31.1 14.4-31.1 31.1C.0001 510 13.18 512 16 512h496c35.2 0 64-28.8 64-64L576 439.1C576 426.8 565.2 416 552 416zM272 192h48V160h-48c-8.836 0-16 7.164-16 16S263.2 192 272 192z", "M512 315L512 352c0 17.67-14.33 32-31.1 32h-416c-17.67 0-32-14.33-32-32l0-207.8c0-28.5 18.88-53.63 46.38-61.5L256 32V16c0-8.801 7.199-16 16-16l31.1 0c8.801 0 16 7.199 16 16V96h-48c-8.801 0-16 7.199-16 16c0 8.797 7.199 16 16 16h48v32h-48c-8.801 0-16 7.199-16 16c0 8.797 7.199 16 16 16h48L439.3 221.9C482 232.6 512 270.9 512 315z"]],
    "icicles": [512, 512, [], "f7ad", ["M511.4 37.87l-87.54 467.6c-1.625 8.625-14.04 8.635-15.67 .0104L341.6 142.3l27.25-102.1C374.3 19.94 359 0 337.1 0h142C500 0 515.2 18.25 511.4 37.87z", "M337.1 0c21.03 0 36.34 19.94 30.92 40.26l-27.25 102.1l-.2114-.5764l-45.52 171.9c-.0078 .0391 .0078-.0391 0 0L295.7 314.2c-2.375 7.625-12.98 7.625-15.36 0L246.3 180.9l-46.49 196.9c-1.875 8.375-13.64 8.375-15.51 0L139.1 190.5L103.6 314.5c-2.375 7.125-12.64 7.199-15.14 .0744L1.357 41.24C-4.768 20.75 10.61 0 31.98 0H337.1z"]],
    "icons": [512, 512, ["heart-music-camera-bolt"], "f86d", ["M116.7 219.1L19.85 119.2C-8.113 90.26-6.615 42.31 24.85 15.34C51.81-8.138 93.26-3.643 118.2 21.83L128.2 32.32L137.7 21.83C162.7-3.643 203.6-8.138 231.6 15.34C262.6 42.31 264.1 90.26 236.1 119.2L139.7 219.1C133.2 225.6 122.7 225.6 116.7 219.1H116.7zM473.4 259.1C479.4 263.4 481.6 271.4 478.7 278.3L440.3 367.1H495.1C502.7 367.1 508.6 372.1 510.1 378.4C513.3 384.6 511.6 391.6 506.5 396L378.5 508C372.9 512.1 364.6 513.3 358.6 508.9C352.6 504.6 350.3 496.6 353.3 489.7L391.7 399.1H335.1C329.3 399.1 323.4 395.9 321 389.6C318.7 383.4 320.4 376.3 325.5 371.1L453.5 259.1C459.1 255 467.4 254.7 473.4 259.1V259.1z", "M500.3 7.251C507.7 13.33 512 22.41 512 31.1V175.1C512 202.5 483.3 223.1 447.1 223.1C412.7 223.1 383.1 202.5 383.1 175.1C383.1 149.5 412.7 127.1 447.1 127.1V71.03L351.1 90.23V207.1C351.1 234.5 323.3 255.1 287.1 255.1C252.7 255.1 223.1 234.5 223.1 207.1C223.1 181.5 252.7 159.1 287.1 159.1V63.1C287.1 48.74 298.8 35.61 313.7 32.62L473.7 .6198C483.1-1.261 492.9 1.173 500.3 7.251H500.3zM74.66 303.1L86.5 286.2C92.43 277.3 102.4 271.1 113.1 271.1H174.9C185.6 271.1 195.6 277.3 201.5 286.2L213.3 303.1H255.1C273.7 303.1 287.1 318.3 287.1 335.1V479.1C287.1 497.7 273.7 511.1 255.1 511.1H31.1C14.33 511.1-.0019 497.7-.0019 479.1V335.1C-.0019 318.3 14.33 303.1 31.1 303.1H74.66zM143.1 359.1C117.5 359.1 95.1 381.5 95.1 407.1C95.1 434.5 117.5 455.1 143.1 455.1C170.5 455.1 191.1 434.5 191.1 407.1C191.1 381.5 170.5 359.1 143.1 359.1z"]],
    "id-badge": [384, 512, [], "f2c1", ["M336 0h-288C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48v-416C384 21.49 362.5 0 336 0zM144 64h96C248.8 64 256 71.16 256 80S248.8 96 240 96h-96C135.2 96 128 88.84 128 80S135.2 64 144 64zM192 160c35.35 0 64 28.66 64 64s-28.65 64-64 64S128 259.3 128 224S156.7 160 192 160zM288 416H96c-8.836 0-16-7.164-16-16C80 355.8 115.8 320 160 320h64c44.18 0 80 35.82 80 80C304 408.8 296.8 416 288 416z", "M192 160c35.35 0 64 28.65 64 64s-28.65 64-64 64S128 259.3 128 224S156.7 160 192 160zM288 416H96c-8.836 0-16-7.164-16-16C80 355.8 115.8 320 160 320h64c44.18 0 80 35.82 80 80C304 408.8 296.8 416 288 416z"]],
    "id-card": [576, 512, [62147, "drivers-license"], "f2c2", ["M0 128v304C0 458.5 21.49 480 48 480h480c26.51 0 48-21.49 48-48V128H0zM176 192c35.35 0 64 28.66 64 64s-28.65 64-64 64s-64-28.66-64-64S140.7 192 176 192zM272 416h-192C71.16 416 64 408.8 64 400C64 373.5 85.49 352 112 352h128c26.51 0 48 21.49 48 48C288 408.8 280.8 416 272 416zM496 352h-128c-8.836 0-16-7.164-16-16s7.164-16 16-16h128c8.836 0 16 7.164 16 16S504.8 352 496 352zM496 288h-128C359.2 288 352 280.8 352 272S359.2 256 368 256h128C504.8 256 512 263.2 512 272S504.8 288 496 288zM496 224h-128C359.2 224 352 216.8 352 208S359.2 192 368 192h128C504.8 192 512 199.2 512 208S504.8 224 496 224z", "M240 352h-128C85.49 352 64 373.5 64 400C64 408.8 71.16 416 80 416h192c8.836 0 16-7.164 16-16C288 373.5 266.5 352 240 352zM240 256c0-35.34-28.65-64-64-64s-64 28.66-64 64s28.65 64 64 64S240 291.3 240 256zM528 32h-480C21.49 32 0 53.49 0 80V128h576V80C576 53.49 554.5 32 528 32z"]],
    "id-card-clip": [576, 512, ["id-card-alt"], "f47f", ["M528 64H352v64h16C377.6 128 384 134.4 384 144S377.6 160 368 160h-160C198.4 160 192 153.6 192 144S198.4 128 208 128H224V64H48C22.4 64 0 86.4 0 112v352C0 489.6 22.4 512 48 512h480c25.6 0 48-22.4 48-48v-352C576 86.4 553.6 64 528 64zM288 224c35.35 0 64 28.66 64 64s-28.65 64-64 64s-64-28.66-64-64S252.7 224 288 224zM384 448H192c-8.836 0-16-7.164-16-16C176 405.5 197.5 384 224 384h128c26.51 0 48 21.49 48 48C400 440.8 392.8 448 384 448z", "M352 32c0-19.2-12.8-32-32-32H256C236.8 0 224 12.8 224 32v96h128V32zM288 352c35.35 0 64-28.66 64-64s-28.65-64-64-64S224 252.7 224 288S252.7 352 288 352zM352 384H224c-26.51 0-48 21.49-48 48C176 440.8 183.2 448 192 448h192c8.836 0 16-7.164 16-16C400 405.5 378.5 384 352 384z"]],
    "igloo": [576, 512, [], "f7ae", ["M288 32C298.8 32 309.5 32.6 320 33.76V160H48.5C100.2 82.82 188.1 32 288 32zM527.5 160H352V39.14C424.9 55.67 487.2 99.82 527.5 160zM0 320C0 274 10.77 230.6 29.94 192H96V320H0zM197.5 320H128V192H448V320H378.5C365.4 282.7 329.8 256 288 256C246.2 256 210.6 282.7 197.5 320zM576 352V432C576 458.5 554.5 480 528 480H384V352H576zM48 480C21.49 480 0 458.5 0 432V352H192V480H48zM576 320H480V192H546.1C565.2 230.6 576 274 576 320z", "M320 33.76C330.9 34.96 341.5 36.76 352 39.14V160H527.5C534.3 170.2 540.6 180.9 546.1 192H480V320H576V352H384V480H352V352C352 316.7 323.3 288 288 288C252.7 288 224 316.7 224 352V480H192V352H0V320H96V192H29.94C35.45 180.9 41.65 170.2 48.5 160H320V33.76zM197.5 320C210.6 282.7 246.2 256 288 256C329.8 256 365.4 282.7 378.5 320H448V192H128V320H197.5z"]],
    "image": [512, 512, [], "f03e", ["M464 32h-416C21.49 32 0 53.49 0 80v352C0 458.5 21.49 480 48 480h416c26.51 0 48-21.49 48-48v-352C512 53.49 490.5 32 464 32zM111.1 96c26.51 0 48 21.49 48 48S138.5 192 111.1 192s-48-21.49-48-48S85.48 96 111.1 96zM446.1 407.6C443.3 412.8 437.9 416 432 416H82.01c-6.021 0-11.53-3.379-14.26-8.75c-2.73-5.367-2.215-11.81 1.334-16.68l70-96C142.1 290.4 146.9 288 152 288s9.916 2.441 12.93 6.574l32.46 44.51l93.3-139.1C293.7 194.7 298.7 192 304 192s10.35 2.672 13.31 7.125l128 192C448.6 396 448.9 402.3 446.1 407.6z", "M446.1 407.6C443.3 412.8 437.9 416 432 416H82.01c-6.021 0-11.53-3.379-14.26-8.75c-2.73-5.367-2.215-11.81 1.334-16.68l70-96C142.1 290.4 146.9 288 152 288s9.916 2.441 12.93 6.574l32.46 44.51l93.3-139.1C293.7 194.7 298.7 192 304 192s10.35 2.672 13.31 7.125l128 192C448.6 396 448.9 402.3 446.1 407.6z"]],
    "image-landscape": [576, 512, ["landscape"], "e1b5", ["M528 64h-480C21.49 64 0 85.49 0 112v288C0 426.5 21.49 448 48 448h480c26.51 0 48-21.49 48-48v-288C576 85.49 554.5 64 528 64zM175.1 160c17.68 0 32 14.33 32 32s-14.32 32-32 32c-17.67 0-32-14.33-32-32S158.3 160 175.1 160zM446.1 375.6C443.3 380.8 437.9 384 432 384h-288c-6.023 0-11.53-3.379-14.26-8.75c-2.73-5.367-2.215-11.81 1.332-16.68l70-96C204.1 258.4 208.9 256 213.1 256c5.11 0 9.914 2.441 12.93 6.574l22.35 30.66l62.74-94.11C314.1 194.7 319.1 192 325.3 192c5.348 0 10.34 2.672 13.31 7.125l106.7 160C448.6 364 448.9 370.3 446.1 375.6z", "M446.1 375.6C443.3 380.8 437.9 384 432 384h-288c-6.023 0-11.53-3.379-14.26-8.75c-2.73-5.367-2.215-11.81 1.332-16.68l70-96C204.1 258.4 208.9 256 213.1 256c5.11 0 9.914 2.441 12.93 6.574l22.35 30.66l62.74-94.11C314.1 194.7 319.1 192 325.3 192c5.348 0 10.34 2.672 13.31 7.125l106.7 160C448.6 364 448.9 370.3 446.1 375.6z"]],
    "image-polaroid": [448, 512, [], "f8c4", ["M400 32h-352C21.6 32 0 53.6 0 80v352C0 458.4 21.6 480 48 480h352c26.4 0 48-21.6 48-48v-352C448 53.6 426.4 32 400 32zM384 352H64V96h320V352z", "M64 96v256h320V96H64zM128 128c17.62 0 32 14.38 32 32S145.6 192 128 192S96 177.6 96 160S110.4 128 128 128zM350.1 311.6C347.3 316.8 341.9 320 336 320h-224c-6.021 0-11.53-3.379-14.26-8.75c-2.73-5.367-2.215-11.81 1.334-16.68l46.67-64C148.8 226.4 153.6 224 158.7 224s9.916 2.441 12.93 6.574l12.26 16.81l53.5-80.26C240.3 162.7 245.3 160 250.7 160s10.35 2.672 13.31 7.125l85.33 128C352.6 300 352.9 306.3 350.1 311.6z"]],
    "image-polaroid-user": [448, 512, [], "e1b6", ["M400 32h-352C21.6 32 0 53.6 0 80v352C0 458.4 21.6 480 48 480h352c26.4 0 48-21.6 48-48v-352C448 53.6 426.4 32 400 32zM384 352H64V96h320V352z", "M224 256c35.35 0 64-28.66 64-64s-28.65-64-64-64S160 156.7 160 192S188.7 256 224 256zM384 352h-48c0-35.35-28.65-64-63.1-64H175.1C140.7 288 112 316.7 112 351.1L64 352V96h320V352z"]],
    "image-portrait": [384, 512, ["portrait"], "f3e0", ["M336 0h-288c-26.51 0-48 21.49-48 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48v-416C384 21.49 362.5 0 336 0zM192 128c35.35 0 64 28.65 64 64s-28.65 64-64 64S128 227.3 128 192S156.7 128 192 128zM288 384H96c-8.836 0-16-7.164-16-16C80 323.8 115.8 288 160 288h64c44.18 0 80 35.82 80 80C304 376.8 296.8 384 288 384z", "M224 288H160c-44.18 0-80 35.82-80 80C80 376.8 87.16 384 96 384h192c8.836 0 16-7.164 16-16C304 323.8 268.2 288 224 288zM192 256c35.35 0 64-28.65 64-64s-28.65-64-64-64S128 156.7 128 192S156.7 256 192 256z"]],
    "image-slash": [640, 512, [], "e1b7", ["M145.1 416c-6.021 0-11.53-3.379-14.26-8.75c-2.73-5.367-2.215-11.81 1.334-16.68l70-96C206.1 290.4 210.9 288 216 288s9.916 2.441 12.93 6.574l32.46 44.51l16.43-24.65L63.99 146.8L63.99 416c0 35.35 28.65 64 64 64h361.1l-81.66-64H145.1zM511.1 32H127.1C113.6 32 100.4 36.98 89.78 45.06l69.08 54.14C164.2 97.15 169.9 96 175.1 96c26.51 0 48 21.49 48 48c0 1.945-.6211 3.701-.8457 5.586l108.1 84.72l23.45-35.18C357.7 194.7 362.7 192 368 192s10.35 2.672 13.31 7.125l103.9 155.9l89.63 70.25C575.3 422.2 575.1 419.2 575.1 416l.0034-320C575.1 60.65 547.3 32 511.1 32z", "M630.8 469.1L38.81 5.113C28.34-3.058 13.31-1.246 5.109 9.192c-8.172 10.44-6.344 25.53 4.078 33.7L601.2 506.9C605.6 510.3 610.8 512 615.1 512c7.125 0 14.17-3.156 18.91-9.188C643.1 492.4 641.2 477.3 630.8 469.1z"]],
    "image-user": [512, 512, [], "e1b8", ["M464 32h-416C21.49 32 0 53.49 0 80v352C0 458.5 21.49 480 48 480h416c26.51 0 48-21.49 48-48v-352C512 53.49 490.5 32 464 32zM256 128c35.35 0 64 28.66 64 64s-28.65 64-64 64s-64-28.66-64-64S220.7 128 256 128zM352 384H160c-8.836 0-16-7.164-16-16c0-44.18 35.82-80 80-80h64c44.18 0 80 35.82 80 80C368 376.8 360.8 384 352 384z", "M256 256c35.35 0 64-28.66 64-64s-28.65-64-64-64s-64 28.66-64 64S220.7 256 256 256zM288 288h-64c-44.18 0-80 35.82-80 80c0 8.836 7.164 16 16 16h192c8.836 0 16-7.164 16-16C368 323.8 332.2 288 288 288z"]],
    "images": [576, 512, [], "f302", ["M527.1 32H144C117.5 32 96 53.49 96 80v256c0 26.51 21.49 48 48 48h383.1C554.5 384 576 362.5 576 336v-256C576 53.49 554.5 32 527.1 32zM223.1 96c17.68 0 32 14.33 32 32S241.7 160 223.1 160C206.3 160 191.1 145.7 191.1 128S206.3 96 223.1 96zM494.1 311.6C491.3 316.8 485.9 320 480 320H192C185.1 320 180.5 316.6 177.7 311.3C175 305.9 175.5 299.4 179.1 294.6l70-96C252.1 194.4 256.9 192 262 192C267.1 192 271.9 194.4 274.9 198.6l22.35 30.66l62.74-94.11C362.1 130.7 367.1 128 373.3 128c5.348 0 10.34 2.672 13.31 7.125l106.7 160C496.6 300 496.9 306.3 494.1 311.6z", "M493.3 295.1l-106.7-160C383.7 130.7 378.7 128 373.3 128c-5.352 0-10.35 2.672-13.31 7.125l-62.74 94.11L274.9 198.6C271.9 194.4 267.1 192 262 192C256.9 192 252.1 194.4 249.1 198.6l-70 96C175.5 299.4 175 305.9 177.7 311.3C180.5 316.6 185.1 320 192 320h288c5.899 0 11.32-3.246 14.11-8.449C496.9 306.3 496.6 300 493.3 295.1zM456 480H120C53.83 480 0 426.2 0 360v-240C0 106.8 10.75 96 24 96S48 106.8 48 120v240c0 39.7 32.3 72 72 72h336c13.25 0 24 10.75 24 24S469.3 480 456 480z"]],
    "images-user": [576, 512, [], "e1b9", ["M528 32h-384C117.5 32 96 53.49 96 80v256C96 362.5 117.5 384 144 384h384c26.51 0 48-21.49 48-48v-256C576 53.49 554.5 32 528 32zM336 96c35.35 0 64 28.66 64 64s-28.65 64-64 64s-64-28.66-64-64S300.7 96 336 96zM432 320h-192c-8.836 0-16-7.164-16-16c0-26.51 21.49-48 48-48h128c26.51 0 48 21.49 48 48C448 312.8 440.8 320 432 320z", "M240 320h192c8.836 0 16-7.164 16-16c0-26.51-21.49-48-48-48h-128c-26.51 0-48 21.49-48 48C224 312.8 231.2 320 240 320zM336 224c35.35 0 64-28.66 64-64s-28.65-64-64-64s-64 28.66-64 64S300.7 224 336 224zM456 480H120C53.83 480 0 426.2 0 360v-240C0 106.8 10.75 96 24 96S48 106.8 48 120v240c0 39.7 32.3 72 72 72h336c13.25 0 24 10.75 24 24S469.3 480 456 480z"]],
    "inbox": [512, 512, [], "f01c", ["M439 288H384l-32 64H160L128 288H72.97L121 96h270L439 288z", "M447 56.25C443.5 42 430.7 31.1 416 31.1H96c-14.69 0-27.47 10-31.03 24.25L3.715 304.9C1.247 314.9 0 325.2 0 335.5v96.47c0 26.51 21.49 48 48 48h416c26.51 0 48-21.49 48-48v-96.47c0-10.32-1.247-20.6-3.715-30.61L447 56.25zM352 352H160L128 288H72.97L121 96h270l48.03 192H384L352 352z"]],
    "inbox-full": [512, 512, [], "e1ba", ["M391 96h-270L72.97 288H128l32 64h192l32-64h55.03L391 96zM176 144h160C344.8 144 352 151.2 352 160c0 8.836-7.164 16-16 16h-160C167.2 176 160 168.8 160 160C160 151.2 167.2 144 176 144zM368 256h-224C135.2 256 128 248.8 128 240C128 231.2 135.2 224 144 224h224C376.8 224 384 231.2 384 240C384 248.8 376.8 256 368 256z", "M447 56.25C443.5 42 430.7 32 416 32H96C81.31 32 68.53 42 64.97 56.25l-61.25 248.7C1.247 314.9 0 325.2 0 335.5V432C0 458.5 21.49 480 48 480h416c26.51 0 48-21.49 48-48v-96.47c0-10.32-1.247-20.6-3.715-30.61L447 56.25zM352 352H160L128 288H72.97L121 96h270l48.03 192H384L352 352z"]],
    "inbox-in": [512, 512, [128229, "inbox-arrow-down"], "f310", ["M480 320h-96L352 384H160l-32-64H32c-17.67 0-32 14.33-32 32v112C0 490.5 21.49 512 48 512h416c26.51 0 48-21.49 48-48V352C512 334.3 497.7 320 480 320z", "M374.6 169.4c12.5 12.5 12.5 32.75 0 45.25l-96 96c-12.5 12.5-32.75 12.5-45.25 0l-96-96c-12.5-12.5-12.5-32.75 0-45.25C143.6 163.1 151.8 160 160 160s16.38 3.125 22.62 9.375L224 210.8V32c0-17.69 14.31-32 32-32S288 14.31 288 32v178.8l41.38-41.38C341.9 156.9 362.1 156.9 374.6 169.4z"]],
    "inbox-out": [512, 512, [128228, "inbox-arrow-up"], "f311", ["M480 320h-96L352 384H160l-32-64H32c-17.67 0-32 14.33-32 32v112C0 490.5 21.49 512 48 512h416c26.51 0 48-21.49 48-48V352C512 334.3 497.7 320 480 320z", "M137.4 150.6c-12.5-12.5-12.5-32.75 0-45.25l96-96c12.5-12.5 32.75-12.5 45.25 0l96 96c12.5 12.5 12.5 32.75 0 45.25C368.4 156.9 360.2 160 352 160s-16.38-3.125-22.62-9.375L288 109.3V288c0 17.69-14.31 32-32 32S224 305.7 224 288V109.3L182.6 150.6C170.1 163.1 149.9 163.1 137.4 150.6z"]],
    "inboxes": [512, 512, [], "e1bb", ["M480 352h-96L352 416H160l-32-64H32c-17.67 0-32 14.33-32 32v80C0 490.5 21.49 512 48 512h416c26.51 0 48-21.49 48-48V384C512 366.3 497.7 352 480 352zM160 224h192l32-64h48.73l-38.39-96H117.7l-38.39 96H128L160 224z", "M507.7 180.9l-61.99-160.8C440.8 7.969 429.1 0 416 0H96c-13.09 0-24.84 7.969-29.72 20.12L4.287 180.9C1.453 188.2 0 196 0 203.9V271.1c0 26.51 21.49 48 48 48h416c26.51 0 48-21.49 48-48V203.9C512 196 510.5 188.2 507.7 180.9zM384 160l-32 64H160L128 160H79.27l38.39-96h276.7l38.39 96H384z"]],
    "indent": [448, 512, [], "f03c", ["M416 32C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H416zM416 160C433.7 160 448 174.3 448 192C448 209.7 433.7 224 416 224H224C206.3 224 192 209.7 192 192C192 174.3 206.3 160 224 160H416zM192 320C192 302.3 206.3 288 224 288H416C433.7 288 448 302.3 448 320C448 337.7 433.7 352 416 352H224C206.3 352 192 337.7 192 320zM416 416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480H32C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416H416z", "M127.8 243.4C135.1 249.8 135.1 262.2 127.8 268.6L25.82 347.9C15.31 356.1 0 348.6 0 335.3V176.7C0 163.4 15.31 155.9 25.82 164.1L127.8 243.4z"]],
    "indian-rupee-sign": [320, 512, ["indian-rupee", "inr"], "e1bc", ["M192 176C192 187.4 189.6 198.2 185.3 208H32C14.33 208 0 193.7 0 176C0 158.3 14.33 144 32 144H185.3C189.6 153.8 192 164.6 192 176zM252.4 208C254.8 197.7 256 186.1 256 176C256 165 254.8 154.3 252.4 144H288C305.7 144 320 158.3 320 176C320 193.7 305.7 208 288 208H252.4z", "M288 32C305.7 32 320 46.33 320 64C320 81.67 305.7 96 288 96H231.8C247.1 118.9 256 146.4 256 176C256 249.3 201.2 309.9 130.3 318.9L274.6 421.1C288.1 432.2 292.3 452.2 282 466.6C271.8 480.1 251.8 484.3 237.4 474L13.4 314C2.083 305.1-2.716 291.5 1.529 278.2C5.774 264.1 18.09 256 32 256H112C156.2 256 192 220.2 192 176C192 131.8 156.2 96 112 96H32C14.33 96 .0022 81.67 .0022 64C.0022 46.33 14.33 32 32 32L288 32z"]],
    "industry": [576, 512, [], "f275", ["M128 32C145.7 32 160 46.33 160 64V265.4L352 155.6V265.4L544 155.6V432C544 458.5 522.5 480 496 480H80C53.49 480 32 458.5 32 432V64C32 46.33 46.33 32 64 32H128z", "M372.8 116.1C379.4 127.6 375.4 142.3 363.9 148.8L160 265.4V210.1L340.1 107.2C351.6 100.6 366.3 104.6 372.8 116.1H372.8zM564.8 116.1C571.4 127.6 567.4 142.3 555.9 148.8L352 265.4V210.1L532.1 107.2C543.6 100.6 558.3 104.6 564.8 116.1H564.8z"]],
    "industry-windows": [576, 512, [127981, "industry-alt"], "f3b3", ["M32 64C32 46.33 46.33 32 64 32H128C145.7 32 160 46.33 160 64V265.4L352 155.6V265.4L544 155.6V432C544 458.5 522.5 480 496 480H80C53.49 480 32 458.5 32 432V64zM136 312C127.2 312 120 319.2 120 328V376C120 384.8 127.2 392 136 392H184C192.8 392 200 384.8 200 376V328C200 319.2 192.8 312 184 312H136zM264 312C255.2 312 248 319.2 248 328V376C248 384.8 255.2 392 264 392H312C320.8 392 328 384.8 328 376V328C328 319.2 320.8 312 312 312H264zM376 376C376 384.8 383.2 392 392 392H440C448.8 392 456 384.8 456 376V328C456 319.2 448.8 312 440 312H392C383.2 312 376 319.2 376 328V376z", "M160 265.4V210.1L340.1 107.2C351.6 100.6 366.3 104.6 372.8 116.1C379.4 127.6 375.4 142.3 363.9 148.8L160 265.4zM352 265.4V210.1L532.1 107.2C543.6 100.6 558.3 104.6 564.8 116.1C571.4 127.6 567.4 142.3 555.9 148.8L352 265.4zM184 312C192.8 312 200 319.2 200 328V376C200 384.8 192.8 392 184 392H136C127.2 392 120 384.8 120 376V328C120 319.2 127.2 312 136 312H184zM312 312C320.8 312 328 319.2 328 328V376C328 384.8 320.8 392 312 392H264C255.2 392 248 384.8 248 376V328C248 319.2 255.2 312 264 312H312zM376 328C376 319.2 383.2 312 392 312H440C448.8 312 456 319.2 456 328V376C456 384.8 448.8 392 440 392H392C383.2 392 376 384.8 376 376V328z"]],
    "infinity": [640, 512, [9854, 8734], "f534", ["M494.9 96.01c-38.78 0-75.22 15.09-102.6 42.5L320 210.8L247.8 138.5c-27.41-27.41-63.84-42.5-102.6-42.5C65.11 96.01 0 161.1 0 241.1v29.75c0 80.03 65.11 145.1 145.1 145.1c38.78 0 75.22-15.09 102.6-42.5L320 301.3l72.23 72.25c27.41 27.41 63.84 42.5 102.6 42.5C574.9 416 640 350.9 640 270.9v-29.75C640 161.1 574.9 96.01 494.9 96.01zM202.5 328.3c-15.31 15.31-35.69 23.75-57.38 23.75C100.4 352 64 315.6 64 270.9v-29.75c0-44.72 36.41-81.13 81.14-81.13c21.69 0 42.06 8.438 57.38 23.75l72.23 72.25L202.5 328.3zM576 270.9c0 44.72-36.41 81.13-81.14 81.13c-21.69 0-42.06-8.438-57.38-23.75l-72.23-72.25l72.23-72.25c15.31-15.31 35.69-23.75 57.38-23.75C539.6 160 576 196.4 576 241.1V270.9z", ""]],
    "info": [192, 512, [], "f129", ["M96 128c26.51 0 48-21.49 48-48S122.5 32.01 96 32.01s-48 21.49-48 48S69.49 128 96 128z", "M160 448h-32V224c0-17.69-14.33-32-32-32L32 192c-17.67 0-32 14.31-32 32s14.33 31.1 32 31.1h32v192H32c-17.67 0-32 14.31-32 32s14.33 32 32 32h128c17.67 0 32-14.31 32-32S177.7 448 160 448z"]],
    "inhaler": [576, 512, [], "f5f9", ["M31.99 320C14.37 320 0 334.4 0 352s14.37 31.1 31.99 31.1s31.99-14.37 31.99-31.1S49.62 320 31.99 320zM31.99 224C14.37 224 0 238.4 0 256s14.37 31.1 31.99 31.1s31.99-14.37 31.99-31.1S49.62 224 31.99 224zM31.99 416C14.37 416 0 430.4 0 448s14.37 31.1 31.99 31.1S63.99 465.6 63.99 448S49.62 416 31.99 416zM555.2 65.24l-120.5-32.26c-14.98-4.047-30.3 4.812-34.34 19.8l-22.27 81.09l147.4 147.4l49.55-181.7C579.1 84.6 570.2 69.29 555.2 65.24zM127.1 368c-17.62 0-31.99 14.37-31.99 31.1s14.37 31.1 31.99 31.1s31.99-14.37 31.99-31.1S145.6 368 127.1 368zM127.1 272c-17.62 0-31.99 14.37-31.99 31.1s14.37 31.1 31.99 31.1s31.99-14.37 31.99-31.1S145.6 272 127.1 272z", "M327.6 224H223.1c-17.67 0-32 14.33-32 31.1v191.1c0 17.6 14.4 31.1 31.1 31.1h246.4c12.8 0 23.95-8.531 27.13-20.89l42.79-163.1l-183.5-183.5L327.6 224z"]],
    "input-numeric": [640, 512, [], "e1bd", ["M576 64C611.3 64 640 92.65 640 128V384C640 419.3 611.3 448 576 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H576zM576 128H64V384H576V128z", "M283.5 229.9C275.8 240.7 260.8 243.2 250.1 235.5C239.3 227.8 236.8 212.8 244.5 202.1L255.6 186.5C279.3 153.2 327.9 150.8 354.8 181.6C376.1 205.1 375.6 242.5 353.7 266.3L318.8 304H352C365.3 304 376 314.7 376 328C376 341.3 365.3 352 352 352H264C254.5 352 245.8 346.4 242 337.6C238.2 328.9 239.9 318.7 246.4 311.7L318.4 233.7C323.7 227.9 323.8 219.1 318.7 213.2C312.1 205.8 300.4 206.3 294.6 214.4L283.5 229.9zM160 160C173.3 160 184 170.7 184 184V304H200C213.3 304 224 314.7 224 328C224 341.3 213.3 352 200 352H120C106.7 352 96 341.3 96 328C96 314.7 106.7 304 120 304H136V208H128C114.7 208 104 197.3 104 184C104 170.7 114.7 160 128 160H160z"]],
    "input-pipe": [640, 512, [], "e1be", ["M576 64C611.3 64 640 92.65 640 128V384C640 419.3 611.3 448 576 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H576zM576 128H64V384H576V128z", "M104 184C104 170.7 114.7 160 128 160C141.3 160 152 170.7 152 184V328C152 341.3 141.3 352 128 352C114.7 352 104 341.3 104 328V184z"]],
    "input-text": [640, 512, [], "e1bf", ["M576 64C611.3 64 640 92.65 640 128V384C640 419.3 611.3 448 576 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H576zM576 128H64V384H576V128z", "M269.9 318.3C275.3 330.4 269.9 344.5 257.7 349.9C245.6 355.3 231.5 349.9 226.1 337.7L221.7 328H146.3L141.9 337.7C136.5 349.9 122.4 355.3 110.3 349.9C98.14 344.5 92.69 330.4 98.07 318.3L162.1 174.3C165.9 165.6 174.5 160 184 160C193.5 160 202.1 165.6 205.9 174.3L269.9 318.3zM200.4 280L184 243.1L167.6 280H200.4zM303.1 184C303.1 170.7 314.7 160 328 160H380C413.1 160 440 186.9 440 220C440 229.2 437.9 237.9 434.2 245.7C447.5 256.7 456 273.4 456 292C456 325.1 429.1 352 396 352H328C314.7 352 303.1 341.3 303.1 328V184zM352 208V232H380C386.6 232 392 226.6 392 220C392 213.4 386.6 208 380 208H352zM352 304H396C402.6 304 408 298.6 408 292C408 285.4 402.6 280 396 280H352V304z"]],
    "integral": [320, 512, [], "f667", ["M104 512c-48.53 0-88-39.46-88-87.1v-8c0-17.69 14.33-32 32-32s32 14.31 32 32v8c0 13.22 10.77 24 24 24s24-10.78 24-24v-336c0-48.53 39.47-88 88-88s88 39.47 88 88v8c0 17.69-14.33 32-32 32s-32-14.31-32-32v-8c0-13.22-10.77-24-24-24s-24 10.78-24 24v336C192 472.5 152.5 512 104 512z", ""]],
    "intersection": [384, 512, [8898], "f668", ["M352 480c-17.69 0-32-14.31-32-32V224c0-70.59-57.41-128-128-128s-128 57.41-128 128v223.1c0 17.69-14.31 32-32 32s-32-14.31-32-32V224c0-105.9 86.13-192 192-192s192 86.13 192 192v224C384 465.7 369.7 480 352 480z", ""]],
    "island-tropical": [448, 512, [127965, "island-tree-palm"], "f811", ["M196.1 352c9.957-42.69 24.84-122.2 21.02-201.5L240 128h26.23c11.22 48.01 28.64 142.7 18.54 231.2C270.9 354.8 256.4 352 241.3 352H196.1z", "M336.5 32c-34.87 0-65.63 13.87-86.25 35.13C235.7 28.25 193.7 0 143.5 0C86.99 0 40.29 35.37 32.17 81.62C31.67 85.25 32.62 89 34.99 91.75C37.37 94.5 40.87 96 44.62 96h35.38L95.1 64l15.99 32h30.12c-34.12 35-39.62 86.87-14.5 122.6C131.1 224.7 140.7 225.9 146.1 220.5L240 128h128l15.97-32l16 32h35.37c3.752 0 7.251-1.5 9.626-4.25s3.375-6.5 2.875-10.13C439.7 67.37 393 32 336.5 32zM383.6 474.8C386.5 494.3 371.7 512 351.1 512H32.08c-19.75 0-34.59-17.75-31.72-37.25C10.86 404.3 71.49 352 142.7 352h98.52C312.5 352 373.1 404.3 383.6 474.8z"]],
    "italic": [384, 512, [], "f033", ["M384 64.01c0 17.69-14.31 32-32 32h-58.67l-133.3 320H224c17.69 0 32 14.31 32 32s-14.31 32-32 32H32c-17.69 0-32-14.31-32-32s14.31-32 32-32h58.67l133.3-320H160c-17.69 0-32-14.31-32-32s14.31-32 32-32h192C369.7 32.01 384 46.33 384 64.01z", ""]],
    "j": [320, 512, [106], "4a", ["M320 64.01v259.4c0 86.36-71.78 156.6-160 156.6s-160-70.26-160-156.6V288c0-17.67 14.31-32 32-32s32 14.33 32 32v35.38c0 51.08 43.06 92.63 96 92.63s96-41.55 96-92.63V64.01c0-17.67 14.31-32 32-32S320 46.34 320 64.01z", ""]],
    "jack-o-lantern": [576, 512, [127875], "f30e", ["M425.5 128.4c-10.01 0-20.05 1.27-29.77 3.788c18.82 16.9 18.62 19.65 25.38 31.88c-31.75-23.62-75.63-36.11-133.1-36.11s-101.4 12.49-133.1 36.11c6.82-12.34 6.585-15 25.38-31.88C170.5 129.7 160.5 128.4 150.5 128.4C51 128.4-.0021 254.4 0 319.9c.0021 64.45 51.26 192 151.5 192c24.97 0 49.96-7.939 69.4-23.8c17.75 15.38 39.89 23.86 67.14 23.86c27.25 0 49.38-8.487 67.25-23.86c19.38 15.86 44.34 23.8 69.3 23.8c100.1 0 151.4-126.1 151.4-192C576 255.7 525.1 128.4 425.5 128.4zM320.1 281.3c0-1.244 .2848-2.44 .7786-3.357l41.13-66.63c1.179-2.297 3.301-3.409 5.566-3.409c2.296 0 4.737 1.144 6.436 3.409l41.13 66.63c.4553 .9105 .7241 2.096 .7241 3.33c0 3.172-1.775 6.67-6.724 6.67h-82.26C321.9 287.1 320.1 284.5 320.1 281.3zM160.1 281.3c0-1.244 .2848-2.44 .7786-3.357l41.13-66.63c1.179-2.297 3.315-3.422 5.579-3.422c2.296 0 4.724 1.157 6.423 3.422L255.1 277.1c.4552 .9105 .7241 2.096 .7241 3.33c0 3.172-1.775 6.67-6.724 6.67H166.9C161.9 287.1 160.1 284.5 160.1 281.3zM470.7 340.3c0 6.788-9.237 27.74-19.55 42.23c-9.375 13-21.38 23.88-35.25 33c-.25-8.625-7.25-15.5-15.88-15.5h-16c-8.875 0-16 7.125-16 16v21.5C344.5 444.4 317.9 447.1 288 447.1s-56.51-3.627-80.01-10.5v-21.5c0-8.875-7.127-16-16-16H175.1c-8.752 0-15.75 7-15.88 15.63c-13.75-9.125-25.63-19.75-34.75-32.5c-11.69-16.45-20.05-37.03-20.05-42.76c0-8.691 7.585-15.65 16.05-15.65c12.33 0 41.48 29.38 118.6 41.16v18.13c0 8.875 7.127 16 16 16h16C280.9 399.1 288 392.9 288 383.1v-14.25c100.1 0 155.7-45.03 166.7-45.03C463.3 324.7 470.7 331.9 470.7 340.3z", "M320.1 281.3c0 3.165 1.844 6.643 6.779 6.643h82.26c4.949 0 6.724-3.498 6.724-6.67c0-1.234-.2689-2.42-.7241-3.33l-41.13-66.63c-1.699-2.265-4.14-3.409-6.436-3.409c-2.264 0-4.386 1.113-5.566 3.409l-41.13 66.63C320.4 278.9 320.1 280.1 320.1 281.3zM352 106.6l-.0025-70.88c0-5.1-3.376-11.5-8.876-14.25l-39.63-19.75C301.2 .5541 298.8-.0001 296.4-.0001c-9.821 0-13.96 7.836-14.87 10.11L245.5 100.2C258.6 97.61 272.6 95.98 288 95.98C312.3 95.98 333.3 99.98 352 106.6zM160.1 281.3c0 3.165 1.844 6.643 6.779 6.643h82.26c4.949 0 6.724-3.498 6.724-6.67c0-1.234-.2689-2.42-.7241-3.33L213.1 211.4c-1.699-2.265-4.127-3.422-6.423-3.422c-2.264 0-4.4 1.125-5.579 3.422l-41.13 66.63C160.4 278.9 160.1 280.1 160.1 281.3zM454.7 324.7c-10.66 0-65.92 45.03-166.7 45.03v14.25c0 8.875-7.125 16-16 16H255.1c-8.875 0-16-7.126-16-16v-18.13c-77.83-11.88-106.2-41.16-118.6-41.16c-8.462 0-16.05 6.959-16.05 15.65c0 5.745 8.361 26.3 20.05 42.76c9.125 12.75 21 23.38 34.75 32.5c.125-8.625 7.125-15.63 15.88-15.63h16c8.875 0 16 7.125 16 16v21.5C231.5 444.4 258.1 447.1 288 447.1s56.51-3.627 80.01-10.5v-21.5c0-8.875 7.127-16 16-16h16c8.627 0 15.63 6.875 15.88 15.5c13.88-9.125 25.88-20 35.25-33c10.31-14.48 19.55-35.44 19.55-42.23C470.7 331.9 463.3 324.7 454.7 324.7z"]],
    "jar": [320, 512, [], "e516", ["M256 96C291.3 96 320 124.7 320 160V448C320 483.3 291.3 512 256 512H64C28.65 512 0 483.3 0 448V160C0 124.7 28.65 96 64 96H256zM256 224H64V384H256V224z", "M256 0C273.7 0 288 14.33 288 32C288 49.67 273.7 64 256 64H64C46.33 64 32 49.67 32 32C32 14.33 46.33 0 64 0H256zM256 384H64V224H256V384z"]],
    "jar-wheat": [320, 512, [], "e517", ["M256 80C291.3 80 320 108.7 320 144V448C320 483.3 291.3 512 256 512H64C28.65 512 0 483.3 0 448V144C0 108.7 28.65 80 64 80H256zM208 160C188.9 160 171.7 168.4 160 181.7C148.3 168.4 131.1 160 112 160H64C64 195.3 92.65 224 128 224H192C227.3 224 256 195.3 256 160H208zM192 320C227.3 320 256 291.3 256 256H208C188.9 256 171.7 264.4 160 277.7C148.3 264.4 131.1 256 112 256H64C64 291.3 92.65 320 128 320H192zM208 352C188.9 352 171.7 360.4 160 373.7C148.3 360.4 131.1 352 112 352H64C64 387.3 92.65 416 128 416H144V448C144 456.8 151.2 464 160 464C168.8 464 176 456.8 176 448V416H192C227.3 416 256 387.3 256 352H208z", "M248 0C261.3 0 272 10.75 272 24C272 37.25 261.3 48 248 48H72C58.75 48 48 37.25 48 24C48 10.75 58.75 0 72 0H248zM256 160C256 195.3 227.3 224 192 224H128C92.65 224 64 195.3 64 160H112C131.1 160 148.3 168.4 160 181.7C171.7 168.4 188.9 160 208 160H256zM128 320C92.65 320 64 291.3 64 256H112C131.1 256 148.3 264.4 160 277.7C171.7 264.4 188.9 256 208 256H256C256 291.3 227.3 320 192 320H128zM256 352C256 387.3 227.3 416 192 416H176V448C176 456.8 168.8 464 160 464C151.2 464 144 456.8 144 448V416H128C92.65 416 64 387.3 64 352H112C131.1 352 148.3 360.4 160 373.7C171.7 360.4 188.9 352 208 352H256z"]],
    "jedi": [576, 512, [], "f669", ["M371.2 343.9l-42.13 8.627l20.13 33.75c1.875 3.25 1.375 7.375-1.375 10c-2.75 2.5-6.876 2.75-10 .75l-27.13-18.5l2.16 66.99C304.8 447.1 296.5 448 288 448s-16.85-.8711-24.89-2.508l2.16-66.99l-27.13 18.5c-3.125 2-7.251 1.75-10-.75c-2.75-2.625-3.25-6.75-1.375-10l20.13-33.75l-42.13-8.627c-3.625-.875-6.375-4.125-6.375-7.875s2.75-7 6.375-7.875l42.13-8.75L226.8 285.6C224.9 282.5 225.4 278.4 228.1 275.7c2.75-2.5 6.876-2.875 10-.75l30.38 20.63l11.49-287.8C280.3 3.461 283.7 .0156 287.1 0c4.236 .0156 7.759 3.461 8.009 7.828l11.49 287.8l30.38-20.63c3.125-2.125 7.251-1.75 10 .75c2.75 2.625 3.25 6.75 1.375 9.875l-20.13 33.75l42.13 8.75c3.625 .875 6.375 4.125 6.375 7.875S374.9 342.1 371.2 343.9z", "M554.9 293.1l-58.88 58.88h40C493.2 446.1 398.2 511.1 287.1 512c-110.3-.0078-205.2-65.88-247.1-160h40L21.13 293.1C17.75 275.1 16 258.6 16 241.2c0-5.75 .75-11.5 1-17.25h47L22.75 182.7c14.63-65.62 53.11-123.4 107.9-162.2c2.75-2 6.022-3.005 9.272-3.005c5.502 0 10.5 2.75 13.5 7.25C156.5 29.12 157 34.87 155 39.87c-6.5 16.25-9.875 33.75-9.875 51.25c0 45.13 21.13 86.63 57.75 113.8c4 2.875 6.501 7.5 6.626 12.38c.25 5-1.751 9.752-5.501 13c-32.75 29.38-47.5 74-38.5 117.1c1.725 8.551 4.659 16.66 8.108 24.5c.1484 .3594 .3242 .6953 .4766 1.047c2.502 5.551 5.383 10.86 8.658 15.95c1.479 2.398 2.924 4.77 4.559 7.055c.9336 1.258 2.002 2.391 2.982 3.613C212.1 428.8 248.1 448 288 448s75.02-19.18 97.7-48.46c.9805-1.223 2.049-2.355 2.982-3.613c1.635-2.285 3.08-4.656 4.559-7.055c3.275-5.094 6.156-10.4 8.658-15.95c.1523-.3516 .3281-.6875 .4766-1.047c3.449-7.84 6.383-15.94 8.108-24.5c9.002-43.13-5.751-87.75-38.5-117.1c-3.75-3.25-5.751-8.002-5.501-13c.125-4.875 2.626-9.5 6.626-12.38c36.63-27.12 57.75-68.63 57.75-113.8c0-17.5-3.375-35-9.875-51.25c-2-5-1.5-10.75 1.625-15.13c3-4.5 7.1-7.25 13.5-7.25c3.25 0 6.474 .9546 9.224 2.955c54.75 38.88 93.28 96.67 107.9 162.3l-41.25 41.25h47c.25 5.754 .9965 11.5 .9965 17.25C559.1 258.6 558.2 275.1 554.9 293.1z"]],
    "jet-fighter": [640, 512, ["fighter-jet"], "f0fb", ["M192 192V48H280L384 192H192zM384 320L280 464H192V320H384z", "M160 24C160 10.75 170.7 0 184 0H296C309.3 0 320 10.75 320 24C320 37.25 309.3 48 296 48H184C170.7 48 160 37.25 160 24zM500.4 192C508.1 192 515.7 193.4 522.9 196.1L625 234.4C634 237.8 640 246.4 640 256C640 265.6 634 274.2 625 277.6L522.9 315.9C515.7 318.6 508.1 320 500.4 320H160L105.4 374.6C99.37 380.6 91.23 384 82.75 384H48C39.16 384 32 376.8 32 368V288C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224V144C32 135.2 39.16 128 48 128H82.75C91.23 128 99.37 131.4 105.4 137.4L160 192H500.4zM80 240C71.16 240 64 247.2 64 256C64 264.8 71.16 272 80 272H144C152.8 272 160 264.8 160 256C160 247.2 152.8 240 144 240H80zM296 464C309.3 464 320 474.7 320 488C320 501.3 309.3 512 296 512H184C170.7 512 160 501.3 160 488C160 474.7 170.7 464 184 464H296z"]],
    "jet-fighter-up": [576, 512, [], "e518", ["M80 384V296L224 216V384H80zM352 384V216L496 296V384H352z", "M346.8 112.6C350.2 120.6 352 129.2 352 137.9V416.7L410.5 467.1C414 470.1 416 475.4 416 480V496C416 504.8 408.8 512 400 512H304V448C304 439.2 296.8 432 288 432C279.2 432 272 439.2 272 448V512H176C167.2 512 160 504.8 160 496V480C160 475.4 161.1 470.1 165.5 467.1L224 416.7V137.9C224 129.2 225.8 120.6 229.2 112.6L273.3 9.697C275.8 3.814 281.6 0 288 0C294.4 0 300.2 3.814 302.7 9.697L346.8 112.6zM56 256C69.25 256 80 266.7 80 280V392C80 405.3 69.25 416 56 416C42.75 416 32 405.3 32 392V280C32 266.7 42.75 256 56 256zM544 392C544 405.3 533.3 416 520 416C506.7 416 496 405.3 496 392V280C496 266.7 506.7 256 520 256C533.3 256 544 266.7 544 280V392z"]],
    "joint": [640, 512, [], "f595", ["M444.4 181.1C466.8 196.8 480 222.2 480 249.8V280C480 284.4 483.6 288 488 288h48C540.4 288 544 284.4 544 280V249.8c0-43.25-21-83.5-56.38-108.1C463.9 125 448 99.38 448 70.25V8C448 3.625 444.4 0 440 0h-48C387.6 0 384 3.625 384 8v66.38C384 118.1 408.5 156 444.4 181.1zM553.3 87.12C547.6 83.25 544 77.12 544 70.25V8C544 3.625 540.4 0 536 0h-48C483.6 0 480 3.625 480 8v62.25c0 22.13 10.12 43.5 28.62 55.5C550.8 153 576 199.5 576 249.8V280C576 284.4 579.6 288 584 288h48C636.4 288 640 284.4 640 280V249.8C640 184.2 607.6 123.5 553.3 87.12z", "M195 359C125.1 370.1 59.75 394.8 0 432C83.62 484.2 180.2 512 279 512h88.5l-112.7-131.5C240 363.2 217.4 355.4 195 359zM360.9 352c-34.38 .125-86.75 .25-88.25 .25l117.9 137.4C402.6 503.9 420.4 512 439.1 512h88.38l-117.9-137.6C397.4 360.1 379.6 352 360.9 352zM616 352H432l117.1 137.6C562.1 503.9 579.9 512 598.6 512H616c13.25 0 24-10.75 24-24v-112C640 362.8 629.3 352 616 352z"]],
    "joystick": [448, 512, [128377], "f8c5", ["M128 352V336C128 327.1 120.9 320 112 320h-32C71.12 320 64 327.1 64 336v16.01H128zM256 218.8V352H192V218.8C202.2 221.8 212.8 224 224 224S245.8 221.8 256 218.8z", "M416 352H32c-17.62 0-32 14.38-32 32v96c0 17.62 14.38 32 32 32h384c17.62 0 32-14.38 32-32v-96C448 366.4 433.6 352 416 352zM224 224c61.86 0 112-50.15 112-112S285.9-.0002 224-.0002S111.1 50.14 111.1 111.1S162.1 224 224 224zM200 48C213.3 48 224 58.75 224 72S213.3 96 200 96S176 85.25 176 72S186.8 48 200 48z"]],
    "jug": [448, 512, [], "f8c6", ["M303.1 63.92h-160c-8.837 0-16-7.163-16-16L127.1 16c0-8.837 7.164-16 16-16h159.1c8.837 0 15.1 7.163 15.1 16l-.0003 31.92C319.1 56.76 312.8 63.92 303.1 63.92zM415.1 287.1H32L31.1 415.1h384V287.1z", "M31.1 415.1h384l.0002 32.01c0 35.35-28.65 64-64 64h-256c-35.35 0-64-28.65-64-64L31.1 415.1zM404.9 233.9c7.25 16.13 10.1 36.6 11.12 54.1H32c.0273-29.11 9.875-60.32 28.05-83.05l76.93-96.16c4.541-5.673 7.011-12.73 7.011-19.1L143.1 63.92h160l.0005 24.9c0 7.423 2.58 14.77 7.3 20.51l10.07 12.32c19.38-23.13 51.12-31.68 79.5-21.31c28.38 10.38 47.25 37.39 47.13 67.64C447.1 196.6 431.1 222.4 404.9 233.9zM399.9 167.2c-.375-13-11-23.25-23.88-23.25c-11 0-19.88 7.499-22.75 17.63l24.13 30.13C390.2 190.1 400.2 180.1 399.9 167.2z"]],
    "jug-detergent": [384, 512, [], "e519", ["M200 0C213.3 0 224 10.75 224 24V48H232C245.3 48 256 58.75 256 72C256 85.25 245.3 96 232 96H88C74.75 96 64 85.25 64 72C64 58.75 74.75 48 88 48H96V24C96 10.75 106.7 0 120 0H200z", "M256 128C326.7 128 384 185.3 384 256V480C384 497.7 369.7 512 352 512H32C14.33 512 0 497.7 0 480V256C0 185.3 57.31 128 128 128H256zM288 224C270.3 224 256 238.3 256 256V352C256 369.7 270.3 384 288 384C305.7 384 320 369.7 320 352V256C320 238.3 305.7 224 288 224z"]],
    "k": [320, 512, [107], "4b", ["M314.3 429.8c10.06 14.53 6.438 34.47-8.094 44.53c-5.562 3.844-11.91 5.688-18.19 5.688c-10.16 0-20.12-4.812-26.34-13.78L128.1 273.3L64 338.9v109.1c0 17.67-14.31 32-32 32s-32-14.33-32-32v-384C0 46.34 14.31 32.01 32 32.01S64 46.34 64 64.01v183.3l201.1-205.7c12.31-12.61 32.63-12.86 45.25-.5c12.62 12.34 12.88 32.61 .5 45.25l-137.2 140.3L314.3 429.8z", ""]],
    "kaaba": [576, 512, [128331], "f66b", ["M60.04 119.1L287.1 48.76L515.1 119.1L287.1 191.2L60.04 119.1zM52.78 245.7C61.21 248.4 65.91 257.3 63.28 265.8C60.64 274.2 51.67 278.9 43.23 276.3L0 262.8V229.2L52.78 245.7zM532.8 276.3C524.3 278.9 515.4 274.2 512.7 265.8C510.1 257.3 514.8 248.4 523.2 245.7L576 229.2V262.8L532.8 276.3zM96.73 276.2C99.37 267.8 108.3 263.1 116.8 265.7L180.8 285.7C189.2 288.4 193.9 297.3 191.3 305.8C188.6 314.2 179.7 318.9 171.2 316.3L107.2 296.3C98.8 293.6 94.1 284.7 96.73 276.2zM479.3 276.2C481.9 284.7 477.2 293.6 468.8 296.3L404.8 316.3C396.3 318.9 387.4 314.2 384.7 305.8C382.1 297.3 386.8 288.4 395.2 285.7L459.2 265.7C467.7 263.1 476.6 267.8 479.3 276.2zM224.7 316.2C227.4 307.8 236.3 303.1 244.8 305.7L283.2 317.7C286.3 318.7 289.7 318.7 292.8 317.7L331.2 305.7C339.7 303.1 348.6 307.8 351.3 316.2C353.9 324.7 349.2 333.6 340.8 336.3L302.3 348.3C292.1 351.2 283 351.2 273.7 348.3L235.2 336.3C226.8 333.6 222.1 324.7 224.7 316.2V316.2z", "M278.5 1.457C284.7-.4856 291.3-.4856 297.5 1.457L553.5 81.46C566.9 85.63 576 98 576 112V149.2L292.8 237.7C289.7 238.7 286.3 238.7 283.2 237.7L.0006 149.2V112C.0006 98.01 9.097 85.63 22.46 81.46L278.5 1.457zM288 191.2L515.1 120L288 48.76L60.04 120L288 191.2zM302.3 268.3L576 182.8V229.2L523.2 245.7C514.8 248.4 510.1 257.3 512.7 265.8C515.4 274.2 524.3 278.9 532.8 276.3L576 262.8V400C576 413.1 566.9 426.4 553.5 430.5L297.5 510.5C291.3 512.5 284.7 512.5 278.5 510.5L22.46 430.5C9.096 426.4 0 413.1 0 399.1V262.8L43.23 276.3C51.67 278.9 60.64 274.2 63.28 265.8C65.91 257.3 61.21 248.4 52.78 245.7L0 229.2V182.8L273.7 268.3C283 271.2 292.1 271.2 302.3 268.3L302.3 268.3zM116.8 265.7C108.3 263.1 99.37 267.8 96.73 276.2C94.1 284.7 98.8 293.6 107.2 296.3L171.2 316.3C179.7 318.9 188.6 314.2 191.3 305.8C193.9 297.3 189.2 288.4 180.8 285.7L116.8 265.7zM468.8 296.3C477.2 293.6 481.9 284.7 479.3 276.2C476.6 267.8 467.7 263.1 459.2 265.7L395.2 285.7C386.8 288.4 382.1 297.3 384.7 305.8C387.4 314.2 396.3 318.9 404.8 316.3L468.8 296.3zM244.8 305.7C236.3 303.1 227.4 307.8 224.7 316.2C222.1 324.7 226.8 333.6 235.2 336.3L273.7 348.3C283 351.2 292.1 351.2 302.3 348.3L340.8 336.3C349.2 333.6 353.9 324.7 351.3 316.2C348.6 307.8 339.7 303.1 331.2 305.7L292.8 317.7C289.7 318.7 286.3 318.7 283.2 317.7L244.8 305.7z"]],
    "kazoo": [640, 512, [], "f8c7", ["M448 160c52.93 0 96 43.07 96 96s-43.07 96-96 96s-96-43.07-96-96S395.1 160 448 160zM448 112c-79.53 0-144 64.47-144 144s64.47 144 144 144s144-64.47 144-144S527.5 112 448 112z", "M498.9 216.4l-11.25-11.25c-1.5-1.5-3.5-2.375-5.625-2.375c-2.125 0-4.25 .875-5.75 2.375L448 233.4l-28.25-28.25c-3.125-3.125-8.25-3.125-11.38 0l-11.25 11.25c-3.125 3.125-3.125 8.25 0 11.38L425.4 256l-28.25 28.25c-1.5 1.5-2.375 3.625-2.375 5.75c0 2.125 .875 4.125 2.375 5.625l11.25 11.25c3.125 3.125 8.25 3.125 11.38 0L448 278.6l28.25 28.25c1.5 1.5 3.625 2.375 5.75 2.375c2.125 0 4.125-.875 5.625-2.375l11.25-11.25c1.5-1.5 2.375-3.5 2.375-5.625c0-2.125-.875-4.25-2.375-5.75L470.6 256l28.25-28.25C501.1 224.6 501.1 219.5 498.9 216.4zM383.3 384H241.9c-11.88 0-23.62-1.625-35.13-4.875l-183.5-52.5C9.5 322.8 0 310.1 0 295.9V216.1c0-14.25 9.5-26.88 23.25-30.75l183.5-52.5C218.3 129.6 229.1 128 241.9 128h141.5C336.5 151.8 304 199.9 304 256S336.5 360.3 383.3 384zM640 160v192c0 17.62-14.38 32-32 32h-95.35C559.5 360.3 592 312.1 592 256s-32.47-104.3-79.35-128H608C625.6 128 640 142.4 640 160z"]],
    "kerning": [640, 512, [], "f86f", ["M302.3 99.38C286.5 91.5 267.3 97.88 259.4 113.7L160 312.4L60.63 113.7C52.73 97.88 33.56 91.5 17.69 99.38C1.875 107.3-4.531 126.5 3.375 142.3l128 256c5.422 10.84 16.5 17.69 28.63 17.69s23.2-6.843 28.62-17.69l128-256C324.5 126.5 318.1 107.3 302.3 99.38zM636.6 369.7l-128-256c-10.84-21.69-46.41-21.69-57.25 0l-128 256c-7.906 15.81-1.5 35.03 14.31 42.94c15.86 7.875 35.02 1.5 42.94-14.31L403.8 352h152.4l23.19 46.31C584.1 409.5 596.3 416 608 416c4.797 0 9.688-1.094 14.28-3.375C638.1 404.7 644.5 385.5 636.6 369.7zM435.8 288L480 199.6L524.2 288H435.8z", "M199.1 512c-2.406 0-4.844-.5312-7.141-1.687c-7.906-3.969-11.11-13.56-7.156-21.47l239.1-479.1c3.969-7.875 13.55-11.16 21.47-7.156c7.906 3.969 11.11 13.56 7.156 21.47l-239.1 479.1C211.5 508.8 205.9 512 199.1 512z"]],
    "key": [512, 512, [128273], "f084", ["M168.3 229.7L282.3 343.7C282.3 343.7 282.3 343.7 282.3 343.7L248.1 376.1C244.5 381.5 238.4 384 232 384H192V424C192 437.3 181.3 448 168 448H128V488C128 501.3 117.3 512 104 512H24C10.75 512 0 501.3 0 488V408C0 401.6 2.529 395.5 7.029 391L168.3 229.7C168.3 229.7 168.3 229.7 168.3 229.7V229.7z", "M160 176C160 78.8 238.8 0 336 0C433.2 0 512 78.8 512 176C512 273.2 433.2 352 336 352C317.3 352 299.2 349.1 282.3 343.7L168.3 229.7C162.9 212.8 160 194.7 160 176V176zM376 96C353.9 96 336 113.9 336 136C336 158.1 353.9 176 376 176C398.1 176 416 158.1 416 136C416 113.9 398.1 96 376 96z"]],
    "key-skeleton": [448, 512, [128477], "f6f3", ["M227.3 265.9L141.3 352L182.6 393.4C195.1 405.9 195.1 426.1 182.6 438.6C170.1 451.1 149.9 451.1 137.4 438.6L96 397.3L77.25 416L118.6 457.4C131.1 469.9 131.1 490.1 118.6 502.6C106.1 515.1 85.87 515.1 73.37 502.6L9.372 438.6C-3.124 426.1-3.124 405.9 9.372 393.4L182.1 220.7C193.6 238.9 209.1 254.4 227.3 265.9V265.9z", "M160 144C160 64.47 224.5 0 304 0C383.5 0 448 64.47 448 144C448 223.5 383.5 288 304 288C224.5 288 160 223.5 160 144zM304 224C348.2 224 384 188.2 384 144C384 99.82 348.2 64 304 64C259.8 64 224 99.82 224 144C224 188.2 259.8 224 304 224z"]],
    "key-skeleton-left-right": [640, 512, [], "e3b4", ["M251.1 352H320V320C320 302.3 334.3 288 352 288C369.7 288 384 302.3 384 320V352H416L416 319.1C416 302.3 430.3 287.1 448 288C465.7 288 480 302.3 480 320L480 384C480 401.7 465.7 416 448 416H251.1C237.8 471.2 187.6 512 128 512C57.31 512 0 454.7 0 384C0 313.3 57.31 256 128 256C187.6 256 237.8 296.8 251.1 352V352zM128 320C92.65 320 64 348.7 64 384C64 419.3 92.65 448 128 448C163.3 448 192 419.3 192 384C192 348.7 163.3 320 128 320z", "M388 159.1H319.1V192C319.1 209.7 305.7 224 287.1 224C270.3 224 255.1 209.7 255.1 192V159.1H223.1L223.1 192C223.1 209.7 209.7 224 191.1 224C174.3 223.1 159.1 209.7 159.1 191.1L159.1 127.1C159.1 110.3 174.3 95.1 191.1 95.1H388C402.2 40.79 452.4 0 511.1 0C582.7 0 639.1 57.31 639.1 128C639.1 198.7 582.7 256 511.1 256C452.4 256 402.2 215.2 388 159.1V159.1zM511.1 192C547.3 192 575.1 163.3 575.1 128C575.1 92.65 547.3 64 511.1 64C476.7 64 447.1 92.65 447.1 128C447.1 163.3 476.7 192 511.1 192V192z"]],
    "keyboard": [576, 512, [9000], "f11c", ["M512 448H64c-35.35 0-64-28.65-64-64V128c0-35.35 28.65-64 64-64h448c35.35 0 64 28.65 64 64v256C576 419.3 547.3 448 512 448zM128 180v-40C128 133.4 122.6 128 116 128h-40C69.38 128 64 133.4 64 140v40C64 186.6 69.38 192 76 192h40C122.6 192 128 186.6 128 180zM224 180v-40C224 133.4 218.6 128 212 128h-40C165.4 128 160 133.4 160 140v40C160 186.6 165.4 192 172 192h40C218.6 192 224 186.6 224 180zM320 180v-40C320 133.4 314.6 128 308 128h-40C261.4 128 256 133.4 256 140v40C256 186.6 261.4 192 268 192h40C314.6 192 320 186.6 320 180zM416 180v-40C416 133.4 410.6 128 404 128h-40C357.4 128 352 133.4 352 140v40C352 186.6 357.4 192 364 192h40C410.6 192 416 186.6 416 180zM512 180v-40C512 133.4 506.6 128 500 128h-40C453.4 128 448 133.4 448 140v40C448 186.6 453.4 192 460 192h40C506.6 192 512 186.6 512 180zM176 276v-40C176 229.4 170.6 224 164 224h-40C117.4 224 112 229.4 112 236v40C112 282.6 117.4 288 124 288h40C170.6 288 176 282.6 176 276zM272 276v-40C272 229.4 266.6 224 260 224h-40C213.4 224 208 229.4 208 236v40C208 282.6 213.4 288 220 288h40C266.6 288 272 282.6 272 276zM368 276v-40C368 229.4 362.6 224 356 224h-40C309.4 224 304 229.4 304 236v40C304 282.6 309.4 288 316 288h40C362.6 288 368 282.6 368 276zM464 276v-40C464 229.4 458.6 224 452 224h-40C405.4 224 400 229.4 400 236v40C400 282.6 405.4 288 412 288h40C458.6 288 464 282.6 464 276zM128 372v-40C128 325.4 122.6 320 116 320h-40C69.38 320 64 325.4 64 332v40C64 378.6 69.38 384 76 384h40C122.6 384 128 378.6 128 372zM416 372v-40C416 325.4 410.6 320 404 320h-232C165.4 320 160 325.4 160 332v40C160 378.6 165.4 384 172 384h232C410.6 384 416 378.6 416 372zM512 372v-40C512 325.4 506.6 320 500 320h-40C453.4 320 448 325.4 448 332v40C448 378.6 453.4 384 460 384h40C506.6 384 512 378.6 512 372z", "M128 180v-40C128 133.4 122.6 128 116 128h-40C69.38 128 64 133.4 64 140v40C64 186.6 69.38 192 76 192h40C122.6 192 128 186.6 128 180zM224 180v-40C224 133.4 218.6 128 212 128h-40C165.4 128 160 133.4 160 140v40C160 186.6 165.4 192 172 192h40C218.6 192 224 186.6 224 180zM320 180v-40C320 133.4 314.6 128 308 128h-40C261.4 128 256 133.4 256 140v40C256 186.6 261.4 192 268 192h40C314.6 192 320 186.6 320 180zM416 180v-40C416 133.4 410.6 128 404 128h-40C357.4 128 352 133.4 352 140v40C352 186.6 357.4 192 364 192h40C410.6 192 416 186.6 416 180zM512 180v-40C512 133.4 506.6 128 500 128h-40C453.4 128 448 133.4 448 140v40C448 186.6 453.4 192 460 192h40C506.6 192 512 186.6 512 180zM176 276v-40C176 229.4 170.6 224 164 224h-40C117.4 224 112 229.4 112 236v40C112 282.6 117.4 288 124 288h40C170.6 288 176 282.6 176 276zM272 276v-40C272 229.4 266.6 224 260 224h-40C213.4 224 208 229.4 208 236v40C208 282.6 213.4 288 220 288h40C266.6 288 272 282.6 272 276zM368 276v-40C368 229.4 362.6 224 356 224h-40C309.4 224 304 229.4 304 236v40C304 282.6 309.4 288 316 288h40C362.6 288 368 282.6 368 276zM464 276v-40C464 229.4 458.6 224 452 224h-40C405.4 224 400 229.4 400 236v40C400 282.6 405.4 288 412 288h40C458.6 288 464 282.6 464 276zM128 372v-40C128 325.4 122.6 320 116 320h-40C69.38 320 64 325.4 64 332v40C64 378.6 69.38 384 76 384h40C122.6 384 128 378.6 128 372zM512 372v-40C512 325.4 506.6 320 500 320h-40C453.4 320 448 325.4 448 332v40C448 378.6 453.4 384 460 384h40C506.6 384 512 378.6 512 372z"]],
    "keyboard-brightness": [640, 512, [], "e1c0", ["M198.6 217.4C211.1 229.9 211.1 250.1 198.6 262.6C186.1 275.1 165.9 275.1 153.4 262.6L89.37 198.6C76.88 186.1 76.88 165.9 89.37 153.4C101.9 140.9 122.1 140.9 134.6 153.4L198.6 217.4zM288 96C288 78.33 302.3 64 320 64C337.7 64 352 78.33 352 96V192C352 209.7 337.7 224 320 224C302.3 224 288 209.7 288 192V96zM505.4 153.4C517.9 140.9 538.1 140.9 550.6 153.4C563.1 165.9 563.1 186.1 550.6 198.6L486.6 262.6C474.1 275.1 453.9 275.1 441.4 262.6C428.9 250.1 428.9 229.9 441.4 217.4L505.4 153.4zM0 384C0 366.3 14.33 352 32 352H96C113.7 352 128 366.3 128 384C128 401.7 113.7 416 96 416H32C14.33 416 0 401.7 0 384zM512 384C512 366.3 526.3 352 544 352H608C625.7 352 640 366.3 640 384C640 401.7 625.7 416 608 416H544C526.3 416 512 401.7 512 384z", "M192 384C192 366.3 206.3 352 224 352H416C433.7 352 448 366.3 448 384C448 401.7 433.7 416 416 416H224C206.3 416 192 401.7 192 384z"]],
    "keyboard-brightness-low": [512, 512, [], "e1c1", ["M288 160C288 177.7 273.7 192 256 192C238.3 192 224 177.7 224 160C224 142.3 238.3 128 256 128C273.7 128 288 142.3 288 160zM128 224C128 241.7 113.7 256 96 256C78.33 256 64 241.7 64 224C64 206.3 78.33 192 96 192C113.7 192 128 206.3 128 224zM384 224C384 206.3 398.3 192 416 192C433.7 192 448 206.3 448 224C448 241.7 433.7 256 416 256C398.3 256 384 241.7 384 224zM512 384C512 401.7 497.7 416 480 416C462.3 416 448 401.7 448 384C448 366.3 462.3 352 480 352C497.7 352 512 366.3 512 384zM0 384C0 366.3 14.33 352 32 352C49.67 352 64 366.3 64 384C64 401.7 49.67 416 32 416C14.33 416 0 401.7 0 384z", "M128 384C128 366.3 142.3 352 160 352H352C369.7 352 384 366.3 384 384C384 401.7 369.7 416 352 416H160C142.3 416 128 401.7 128 384z"]],
    "keyboard-down": [576, 512, [], "e1c2", ["M512 .0001H64c-35.35 0-64 28.65-64 64v160c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64v-160C576 28.65 547.3 .0001 512 .0001zM256 76c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12v40c0 6.625-5.375 12-12 12h-40C261.4 128 256 122.6 256 116V76zM160 76c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12v40c0 6.625-5.375 12-12 12h-40C165.4 128 160 122.6 160 116V76zM128 212c0 6.625-5.375 12-12 12h-40c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12V212zM128 116c0 6.625-5.375 12-12 12h-40C69.38 128 64 122.6 64 116v-40c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12V116zM416 212c0 6.625-5.375 12-12 12h-232c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h232c6.625 0 12 5.375 12 12V212zM416 116c0 6.625-5.375 12-12 12h-40c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12V116zM512 212c0 6.625-5.375 12-12 12h-40c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12V212zM512 116c0 6.625-5.375 12-12 12h-40c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12V116z", "M268 128h40c6.625 0 12-5.375 12-12v-40c0-6.625-5.375-12-12-12h-40c-6.625 0-12 5.375-12 12v40C256 122.6 261.4 128 268 128zM172 128h40c6.625 0 12-5.375 12-12v-40c0-6.625-5.375-12-12-12h-40c-6.625 0-12 5.375-12 12v40C160 122.6 165.4 128 172 128zM116 160h-40c-6.625 0-12 5.375-12 12v40c0 6.625 5.375 12 12 12h40c6.625 0 12-5.375 12-12v-40C128 165.4 122.6 160 116 160zM116 64h-40c-6.625 0-12 5.375-12 12v40c0 6.625 5.375 12 12 12h40c6.625 0 12-5.375 12-12v-40C128 69.38 122.6 64 116 64zM500 64h-40c-6.625 0-12 5.375-12 12v40c0 6.625 5.375 12 12 12h40c6.625 0 12-5.375 12-12v-40C512 69.38 506.6 64 500 64zM500 160h-40c-6.625 0-12 5.375-12 12v40c0 6.625 5.375 12 12 12h40c6.625 0 12-5.375 12-12v-40C512 165.4 506.6 160 500 160zM404 64h-40c-6.625 0-12 5.375-12 12v40c0 6.625 5.375 12 12 12h40c6.625 0 12-5.375 12-12v-40C416 69.38 410.6 64 404 64zM392 351.9h-208c-9.549 0-18.19 5.66-22 14.42c-3.814 8.756-2.079 18.97 4.405 25.96l104 112.1c9.498 10.24 25.69 10.24 35.19 0l104-112.1c6.484-6.988 8.219-17.2 4.409-25.96C410.2 357.6 401.5 351.9 392 351.9z"]],
    "keyboard-left": [640, 512, [], "e1c3", ["M575.1 64h-352c-35.35 0-64 28.65-64 64v256c0 35.35 28.65 64 64 64h352c35.35 0 64-28.65 64-64V128C639.1 92.65 611.3 64 575.1 64zM319.1 140c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12v40c0 6.625-5.375 12-12 12h-40c-6.625 0-12-5.375-12-12V140zM319.1 236c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12v40c0 6.625-5.375 12-12 12h-40c-6.625 0-12-5.375-12-12V236zM287.1 372c0 6.625-5.375 12-12 12H235.1c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h39.1c6.625 0 12 5.375 12 12V372zM287.1 276c0 6.625-5.375 12-12 12H235.1c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h39.1c6.625 0 12 5.375 12 12V276zM287.1 180c0 6.625-5.375 12-12 12H235.1c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h39.1c6.625 0 12 5.375 12 12V180zM479.1 372c0 6.625-5.375 12-12 12h-136c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h136c6.625 0 12 5.375 12 12V372zM479.1 276c0 6.625-5.375 12-12 12h-40c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12V276zM479.1 180c0 6.625-5.375 12-12 12h-40c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12V180zM575.1 372c0 6.625-5.375 12-12 12h-40c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12V372zM575.1 276c0 6.625-5.375 12-12 12h-40c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12V276zM575.1 180c0 6.625-5.375 12-12 12h-40c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12V180z", "M371.1 224h-40c-6.625 0-12 5.375-12 12v40c0 6.625 5.375 12 12 12h40c6.625 0 12-5.375 12-12v-40C383.1 229.4 378.6 224 371.1 224zM275.1 128H235.1c-6.625 0-12 5.375-12 12v40c0 6.625 5.375 12 12 12h39.1c6.625 0 12-5.375 12-12v-40C287.1 133.4 282.6 128 275.1 128zM275.1 320H235.1c-6.625 0-12 5.375-12 12v40c0 6.625 5.375 12 12 12h39.1c6.625 0 12-5.375 12-12v-40C287.1 325.4 282.6 320 275.1 320zM371.1 128h-40c-6.625 0-12 5.375-12 12v40c0 6.625 5.375 12 12 12h40c6.625 0 12-5.375 12-12v-40C383.1 133.4 378.6 128 371.1 128zM275.1 224H235.1c-6.625 0-12 5.375-12 12v40c0 6.625 5.375 12 12 12h39.1c6.625 0 12-5.375 12-12v-40C287.1 229.4 282.6 224 275.1 224zM563.1 128h-40c-6.625 0-12 5.375-12 12v40c0 6.625 5.375 12 12 12h40c6.625 0 12-5.375 12-12v-40C575.1 133.4 570.6 128 563.1 128zM467.1 224h-40c-6.625 0-12 5.375-12 12v40c0 6.625 5.375 12 12 12h40c6.625 0 12-5.375 12-12v-40C479.1 229.4 474.6 224 467.1 224zM563.1 320h-40c-6.625 0-12 5.375-12 12v40c0 6.625 5.375 12 12 12h40c6.625 0 12-5.375 12-12v-40C575.1 325.4 570.6 320 563.1 320zM563.1 224h-40c-6.625 0-12 5.375-12 12v40c0 6.625 5.375 12 12 12h40c6.625 0 12-5.375 12-12v-40C575.1 229.4 570.6 224 563.1 224zM467.1 128h-40c-6.625 0-12 5.375-12 12v40c0 6.625 5.375 12 12 12h40c6.625 0 12-5.375 12-12v-40C479.1 133.4 474.6 128 467.1 128zM116.5 155.2c-7-3.051-15.15-1.664-20.74 3.523L6.138 241.9C2.046 245.7 .0002 250.9 .0002 255.1c-.002 5.137 2.046 10.28 6.137 14.08L95.74 353.3c5.588 5.188 13.74 6.576 20.74 3.527c7-3.051 11.53-9.965 11.53-17.6V172.8C127.1 165.2 123.5 158.3 116.5 155.2z"]],
    "keynote": [512, 512, [], "f66c", ["M336 448H288v-96H224v96H175.1C149.5 448 128 469.5 128 495.1C128 504.8 135.2 512 144 512h224c8.837 0 16-7.163 16-16C384 469.5 362.5 448 336 448zM144 160c0-37.62 26.25-69 62.62-77.5C215.2 90.75 227 96 240 96h64C330.5 96 352 74.5 352 48S330.5 0 304 0h-64C217.6 0 199 15.38 193.8 36C137.8 49.75 96 99.88 96 160H144z", "M508.6 281.2L456.9 177.8C451.4 166.9 440.4 160 428.2 160H83.75C71.62 160 60.62 166.9 55.12 177.8L3.375 281.2C1.125 285.6 0 290.6 0 295.5V320c0 17.62 14.38 32 32 32h448c17.62 0 32-14.38 32-32V295.5C512 290.6 510.9 285.8 508.6 281.2z"]],
    "khanda": [576, 512, [9772], "f66d", ["M303.9 452.9v-30.12l-15.82-11.07l-16.17 11.31v29.91c-9.387 5.57-15.97 15.4-15.97 27.12c0 17.67 14.33 31.1 31.1 31.1c17.67 0 31.1-14.33 31.1-31.1C319.9 468.2 313.2 458.4 303.9 452.9zM350.7 290.2l-33.31-73.25c-8.75-24.42-8.811-51.19-.061-75.61l33.02-72.51c2.309-5.547 .9335-11.96-3.518-15.1L287.9 .0074l-59.05 52.77c-4.445 4.043-5.914 10.54-3.611 16.09l33.11 72.52C267.1 165.8 267.1 192.6 258.4 216.1L224.1 290.2C222.9 295.4 223.1 301.4 227.9 305.5l43.1 36.11v19.91l16.16 11.2l15.82-10.98v-20.12l44.01-36.12C351.8 301.4 352.9 295.4 350.7 290.2z", "M385.5 120.9c-9.574-16.95-23.4-31.12-40.12-41.1l-20.11 44.18c28.71 20.54 35.33 60.45 14.79 89.16c-4.609 6.445-10.43 11.94-17.06 16.28l20.05 44.05C396.9 243 415.9 174.7 385.5 120.9zM232.7 273.4l20.02-44.02C223.3 209.9 215.2 170.3 234.6 140.8c4.266-6.469 9.63-12.07 15.91-16.61l-20.06-44.03c-53.03 31.82-70.28 100.4-38.46 153.4C201.9 250.2 215.1 263.9 232.7 273.4zM447.7 65.1c-7.732-4.27-17.39-1.474-21.66 6.257c-2.82 5.105-2.697 11.33 .4125 16.26c16.5 26.18 25.27 56.52 25.23 87.46c-.1816 53.25-26.89 102.9-71.24 132.4l-92.44 64.33l-92.5-64.4C151.2 278.8 124.4 229.2 124.2 175.1C124.2 145.1 132.1 114.7 149.5 88.52c4.756-7.445 2.532-17.29-4.914-22.04c-4.959-3.168-11.17-3.348-16.31-.4883c-73.69 40.23-111.8 123.8-90.18 207.5c7.248 28.08 22.38 53.58 41.24 75.59l52.46 61.3c4.875 5.68 13.1 7.244 19.71 3.732l79.25-42.25l29.26 20.37l-47.09 32.75c-1.623-.5195-3.302-.8555-4.1-1c-13.25 0-23.97 10.75-23.97 24s10.72 23.1 23.97 23.1c12.1 0 21.72-9.106 23.36-20.75l56.77-39.56l56.69 39.55c1.6 11.64 11.26 20.75 23.35 20.75c13.25 0 23.98-10.74 23.98-23.99c0-13.25-10.73-24-23.98-24c-1.699 .1484-3.375 .4844-5 1l-47.09-32.75l29.25-20.37l79.26 42.25c6.609 3.508 14.84 1.948 19.71-3.732l52.51-61.27c18.87-22 34-47.53 41.25-75.61C559.5 189.9 521.4 106.2 447.7 65.1z"]],
    "kidneys": [640, 512, [], "f5fb", ["M274 217.7L209.1 183.6c-12.35 16.28-16.45 32.14-16.97 45.33l59.56 31.35c2.637 1.387 4.289 4.125 4.287 7.106l-.0678 228.7c-.0039 8.84 7.16 16 16 16l15.96-.0002c8.834 0 15.1-7.164 16-15.1L303.1 267.4C303.1 246.5 292.5 227.4 274 217.7zM430.9 183.6l-64.93 34.17c-18.43 9.699-29.97 28.81-29.96 49.64l-.0137 228.6c.0039 8.832 7.166 15.1 16 15.1l16 .0002c8.84 0 16-7.163 16-16l.0113-228.7c-.002-2.98 1.65-5.719 4.287-7.106l59.53-31.33C447.4 215.7 443.3 199.9 430.9 183.6z", "M95.99 24.35c-59.88 53.5-93.62 125.6-95.87 199.6c-1.25 42 7.5 70.94 12.88 90.06c12 42.38 50.5 69.94 92.38 69.94c64.25 0 109.6-61.42 92.5-122c-1.125-3.75-23.11-50.44 26.02-94.31c39.63-35.38 42.99-96.02 7.734-135.5C196.2-7.51 135.5-10.9 95.99 24.35zM543.9 24.27c-39.5-35.13-100.4-31.78-135.7 7.972c-35.25 39.5-31.68 100.2 7.942 135.5c49.5 44.13 26.56 91.15 25.81 93.65c-17.5 60.63 27.63 122.6 92.25 122.6c41.75 0 80.13-27.38 92.25-69.5c5.625-19.25 14.63-48 13.38-90.5C637.8 149.1 604.2 77.89 543.9 24.27z"]],
    "kip-sign": [384, 512, [], "e1c4", ["M64 288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H64V288zM182.5 288L145.2 256L182.5 224H352C369.7 224 384 238.3 384 256C384 273.7 369.7 288 352 288H182.5z", "M145.2 256L340.8 423.7C354.2 435.2 355.8 455.4 344.3 468.8C332.8 482.2 312.6 483.8 299.2 472.3L128 325.6V448C128 465.7 113.7 480 96 480C78.33 480 64 465.7 64 448V64C64 46.33 78.33 32 96 32C113.7 32 128 46.33 128 64V186.4L299.2 39.7C312.6 28.2 332.8 29.76 344.3 43.18C355.8 56.59 354.2 76.8 340.8 88.3L145.2 256z"]],
    "kit-medical": [576, 512, ["first-aid"], "f479", ["M96 480h32V32H96V480zM448 32v448h32V32H448z", "M512 32h-32v448h32c35.35 0 64-28.66 64-64V96C576 60.66 547.3 32 512 32zM0 96v320c0 35.34 28.65 64 64 64h32V32H64C28.65 32 0 60.66 0 96zM128 480h320V32H128V480zM176 230c0-8.837 7.164-16 16-16h53.1V160c0-8.836 7.165-16 16-16h52c8.836 0 16 7.164 16 16v54H384c8.836 0 16 7.163 16 16v52c0 8.835-7.164 16-16 16h-54V352c0 8.836-7.164 16-16 16h-52c-8.835 0-16-7.164-16-16V298H192c-8.836 0-16-7.165-16-16V230z"]],
    "kitchen-set": [576, 512, [], "e51a", ["M64 144C64 99.82 99.82 64 144 64C188.2 64 224 99.82 224 144C224 188.2 188.2 224 144 224C99.82 224 64 188.2 64 144zM208 480C216.8 480 224 487.2 224 496C224 504.8 216.8 512 208 512H16C7.164 512 0 504.8 0 496C0 487.2 7.164 480 16 480H208zM256 296C256 282.7 266.7 272 280 272H376V264C376 250.7 386.7 240 400 240C413.3 240 424 250.7 424 264V272H520C533.3 272 544 282.7 544 296C544 309.3 533.3 320 520 320H280C266.7 320 256 309.3 256 296z", "M284.4 176C269.9 240.1 212.5 288 144 288C64.47 288 0 223.5 0 144C0 64.47 64.47 0 144 0C212.5 0 269.9 47.87 284.4 112H356.2C365 102.2 377.8 96 392 96H496C522.5 96 544 117.5 544 144C544 170.5 522.5 192 496 192H392C377.8 192 365 185.8 356.2 176H284.4zM144 64C99.82 64 64 99.82 64 144C64 188.2 99.82 224 144 224C188.2 224 224 188.2 224 144C224 99.82 188.2 64 144 64zM176 320C202.5 320 224 341.5 224 368C224 394.5 202.5 416 176 416H160C160 433.7 145.7 448 128 448H64C46.33 448 32 433.7 32 416V336C32 327.2 39.16 320 48 320H176zM192 368C192 359.2 184.8 352 176 352H160V384H176C184.8 384 192 376.8 192 368zM512 464C512 490.5 490.5 512 464 512H336C309.5 512 288 490.5 288 464V320H512V464z"]],
    "kite": [640, 512, [129665], "f6f4", ["M71.1 251l24 15.86l24-15.86L120 224C120 175.4 80.6 136 32 136L16 136c-8.837 0-16 7.161-16 15.1v16c0 8.837 7.163 16 16 16L32 184c22.09 0 40 17.91 40 40L71.1 251zM640 31.99c0-8.473-3.371-16.63-9.37-22.62l-155.6 155.6l153.9 153.8C635.1 312.6 640 303.8 640 294.5V31.99zM321.3 11.11C317.9 15.04 315.5 19.72 314.3 24.79L234.2 371.1l-87.52 87.49c-3.046 3.045-6.957 4.586-10.95 4.586c-7.417 0-15.64-5.809-15.66-15.6l-.035-123.4l-24.01-15.84l-24 15.84L72 443.3C72 484.1 101.1 512 135.6 512c16.76 0 33.14-6.785 44.97-18.63l87.47-87.51l-6.66 1.516c-1.787 .4117-3.593 .6128-5.386 .6128c-6.294 0-12.42-2.479-16.97-7.033l235.1-235.1L321.3 11.11z", "M167.9 223.1c-4.455 0-9.023 1.253-13.22 4.016L95.1 266.9L37.31 228C33.09 225.2 28.51 223.1 24.04 223.1C11.56 223.1 0 233.8 0 247.8v80.32c0 13.99 11.59 23.84 24.07 23.84c4.463 0 9.041-1.259 13.24-4.039l58.69-38.76l58.69 38.84c4.203 2.78 8.783 4.04 13.25 4.04c12.48 0 24.06-9.84 24.06-23.84V247.8C191.1 233.8 180.4 223.1 167.9 223.1zM630.6 9.37c-5.985-5.999-14.14-9.37-22.61-9.37l-262.5 0c-9.306 .0137-18.13 4.068-24.22 11.11l153.8 153.8L239.1 400.1c4.552 4.554 10.68 7.033 16.97 7.033c1.793 0 3.599-.2011 5.386-.6128l353.8-81.62c5.078-1.172 9.775-3.606 13.7-7.03l-153.9-153.8L630.6 9.37z"]],
    "kiwi-bird": [576, 512, [], "f535", ["M576 224.3V464C576 471.3 571.1 477.7 564 479.5C556.1 481.3 549.6 478.1 546 471.8L477.6 348.6C533.9 335.2 575.9 284.7 576 224.3V224.3zM208 415.3C224.7 413.1 240.8 410.5 256 405.1V456C256 469.3 245.3 480 232 480C218.7 480 208 469.3 208 456V415.3zM96 390.3C110.9 398.9 126.1 405.6 144 409.1V456C144 469.3 133.3 480 120 480C106.7 480 96 469.3 96 456V390.3z", "M192 416C85.96 416 0 330 0 224C0 117.1 85.96 32 192 32C228.3 32 262.3 42.08 291.2 59.6C322.4 78.44 355.9 96 392.3 96H448C518.7 96 576 153.3 576 224C576 294.7 518.7 352 448 352H392.3C355.9 352 322.4 369.6 291.2 388.4C262.3 405.9 228.3 416 192 416V416zM448 248C461.3 248 472 237.3 472 224C472 210.7 461.3 200 448 200C434.7 200 424 210.7 424 224C424 237.3 434.7 248 448 248z"]],
    "kiwi-fruit": [448, 512, [], "e30c", ["M224 32C100.3 32 0 96.47 0 176S100.3 320 224 320s224-64.47 224-144S347.7 32 224 32zM292.7 108.7l16-16c6.25-6.25 16.38-6.25 22.62 0s6.25 16.38 0 22.62l-16 16C312.2 134.4 308.1 136 304 136s-8.188-1.562-11.31-4.688C286.4 125.1 286.4 114.9 292.7 108.7zM208 80C208 71.16 215.2 64 224 64s16 7.156 16 16v24c0 8.844-7.156 16-16 16s-16-7.156-16-16V80zM64 176C64 167.2 71.16 160 80 160h32C120.8 160 128 167.2 128 176S120.8 192 112 192h-32C71.16 192 64 184.8 64 176zM155.3 243.3l-16 16C136.2 262.4 132.1 264 128 264S119.8 262.4 116.7 259.3c-6.25-6.25-6.25-16.38 0-22.62l16-16c6.25-6.25 16.38-6.25 22.62 0S161.6 237.1 155.3 243.3zM155.3 131.3C152.2 134.4 148.1 136 144 136S135.8 134.4 132.7 131.3l-16-16c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0l16 16C161.6 114.9 161.6 125.1 155.3 131.3zM240 272C240 280.8 232.8 288 224 288S208 280.8 208 272V248c0-8.844 7.156-16 16-16s16 7.156 16 16V272zM224 203c-30.93 0-56-12.09-56-27S193.1 149 224 149S280 161.1 280 176S254.9 203 224 203zM331.3 259.3C328.2 262.4 324.1 264 320 264s-8.188-1.562-11.31-4.688l-16-16c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0l16 16C337.6 242.9 337.6 253.1 331.3 259.3zM368 192h-32C327.2 192 320 184.8 320 176S327.2 160 336 160h32C376.8 160 384 167.2 384 176S376.8 192 368 192z", "M224 320c-123.7 0-224-64.47-224-144V256c0 123.7 100.3 224 224 224s224-100.3 224-224V176C448 255.5 347.7 320 224 320zM224 120c8.844 0 16-7.156 16-16V80C240 71.16 232.8 64 224 64S208 71.16 208 80v24C208 112.8 215.2 120 224 120zM320 176C320 184.8 327.2 192 336 192h32C376.8 192 384 184.8 384 176S376.8 160 368 160h-32C327.2 160 320 167.2 320 176zM304 136c4.094 0 8.188-1.562 11.31-4.688l16-16c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0l-16 16c-6.25 6.25-6.25 16.38 0 22.62C295.8 134.4 299.9 136 304 136zM308.7 259.3C311.8 262.4 315.9 264 320 264s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62l-16-16c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L308.7 259.3zM80 192h32C120.8 192 128 184.8 128 176S120.8 160 112 160h-32C71.16 160 64 167.2 64 176S71.16 192 80 192zM224 288c8.844 0 16-7.156 16-16V248c0-8.844-7.156-16-16-16s-16 7.156-16 16V272C208 280.8 215.2 288 224 288zM132.7 220.7l-16 16c-6.25 6.25-6.25 16.38 0 22.62C119.8 262.4 123.9 264 128 264s8.188-1.562 11.31-4.688l16-16c6.25-6.25 6.25-16.38 0-22.62S138.9 214.4 132.7 220.7zM132.7 131.3C135.8 134.4 139.9 136 144 136s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62l-16-16c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L132.7 131.3z"]],
    "knife": [512, 512, ["utensil-knife"], "f2e4", ["M445 9.377C448.7 5.68 453.3 2.947 458.3 1.414C463.3-.119 468.6-.4035 473.7 .5847C478.8 1.573 483.6 3.804 487.7 7.083C491.8 10.36 494.1 14.59 497.1 19.39C511.6 53.33 515.6 90.84 508.7 127.1C501.7 163.3 483.1 196.7 457.9 222.8L353.6 327.1C347.7 333 340.6 337.7 332.8 340.1C325.1 344.2 316.7 345.8 308.3 345.8C299.9 345.8 291.6 344.2 283.8 340.1C276.1 337.7 269 333 263.1 327.1L195.2 259.2L445 9.377z", "M252.3 316.3L68.29 500.3C60.79 507.8 50.61 512 40 512C29.39 512 19.22 507.8 11.71 500.3C4.211 492.8-.0039 482.6-.0039 472C-.0039 461.4 4.211 451.2 11.71 443.7L195.7 259.7L252.3 316.3z"]],
    "knife-kitchen": [576, 512, [128298], "f6f5", ["M291.9 194.7L4.888 469.9c-8.75 8.375-5.25 22.62 6.5 26.5c113.9 36.5 239.4 7.999 324.2-73.87l85.37-80.75c6.5-6.25 6.5-16.37 0-22.62L291.9 194.7z", "M566.3 43.24l-35.12-33.88c-12.1-12.5-33.1-12.5-46.1-.0007l-192.2 185.4l111.1 108.1l34.37-27.75c6.25-5.1 9.75-14.12 9.75-22.62V207.1l118.2-119.4C579.2 76.12 579.2 55.74 566.3 43.24zM443.3 155.3c-6.256 6.25-16.36 6.25-22.62 0c-6.256-6.25-6.256-16.37 0-22.62c6.256-6.25 16.36-6.25 22.62 0C449.6 138.9 449.6 149.1 443.3 155.3zM507.3 91.3c-6.256 6.25-16.36 6.25-22.62 0c-6.256-6.25-6.256-16.37 0-22.62c6.256-6.25 16.36-6.25 22.62 0C513.6 74.93 513.6 85.18 507.3 91.3z"]],
    "l": [320, 512, [108], "4c", ["M320 448c0 17.67-14.31 32-32 32H64c-17.69 0-32-14.33-32-32v-384C32 46.34 46.31 32.01 64 32.01S96 46.34 96 64.01v352h192C305.7 416 320 430.3 320 448z", ""]],
    "lacrosse-stick": [640, 512, [], "e3b5", ["M225.9 303.1l-182.6 151.5c-7.548 6.265-11.58 15.26-11.58 24.27c0 21.39 18.72 31.64 32.24 31.64c6.024 0 13.79-1.708 20.76-7.452l183.6-152.3C250 339.7 235.3 323.4 225.9 303.1z", "M433.9 63.32c.1205-.0007 .241-.0011 .3616-.0011c51.81 0 109.2 63.95 109.2 120.9c0 68.83-64.2 31.17-160.5 106.9l-6.093 4.821c-12.3 9.683-24.25 12.76-37.13 12.76c-55.45 0-61.32-45.8-61.32-55.5c0-35.78 22.62-51.32 23.56-52.06L308.4 196.2C400.2 123.8 382.8 63.62 433.9 63.32zM433.6-.682c-95.81 .5716-86.71 85.04-164.8 146.6L262.5 150.8C252.7 158.5 214.4 190.1 214.4 253.2c0 59.57 46.16 119.8 125.2 119.8c33.33 0 59.44-13.03 76.82-26.72l6.208-4.911c26.95-21.2 61.19-36.86 107.7-49.28c37.46-9.953 77.19-44.58 77.19-108.2c0-74.42-70.53-184.5-173.3-184.5C434-.6842 433.8-.6834 433.6-.682z"]],
    "lacrosse-stick-ball": [640, 512, [], "e3b6", ["M528 352c-44.18 0-79.1 35.82-79.1 80c0 44.18 35.82 80 79.1 80S608 476.2 608 432C608 387.8 572.2 352 528 352zM225.9 303.1l-182.6 151.5c-7.548 6.265-11.58 15.26-11.58 24.27c0 21.39 18.74 31.64 32.24 31.64c6.022 0 13.78-1.707 20.75-7.452l183.6-152.3C250 339.7 235.3 323.4 225.9 303.1z", "M433.9 63.32c.1205-.0007 .241-.0011 .3616-.0011c51.81 0 109.2 63.95 109.2 120.9c0 68.83-64.2 31.17-160.5 106.9l-6.093 4.821c-12.3 9.683-24.26 12.76-37.13 12.76c-55.45 0-61.31-45.8-61.31-55.5c0-35.78 22.62-51.32 23.56-52.06L308.4 196.2C400.2 123.8 382.8 63.62 433.9 63.32zM433.6-.682c-95.81 .5716-86.71 85.04-164.8 146.6L262.5 150.8C252.7 158.5 214.4 190.1 214.4 253.2c0 59.57 46.16 119.8 125.2 119.8c33.33 0 59.44-13.03 76.82-26.72l6.208-4.911c26.95-21.2 61.19-36.86 107.7-49.28c37.46-9.953 77.19-44.58 77.19-108.2c0-74.42-70.53-184.5-173.3-184.5C434-.6842 433.8-.6834 433.6-.682z"]],
    "lambda": [448, 512, [], "f66e", ["M448 448c0 17.69-14.31 32-32 32h-64c-12.12 0-23.19-6.844-28.62-17.69l-130.6-261.2l-115.5 259.9c-5.312 11.94-17 19-29.28 19c-4.344 0-8.75-.875-12.97-2.75c-16.16-7.188-23.41-26.09-16.25-42.25l136.9-308.1L140.2 96.01H32c-17.69 0-32-14.31-32-32s14.31-32 32-32l128-.0049c12.12 0 23.19 6.849 28.62 17.69l183.2 366.3H416C433.7 416 448 430.3 448 448z", ""]],
    "lamp": [448, 512, [], "f4ca", ["M351.1 428.8c0 28.5-11.5 54.25-30.5 74.37C315.7 509.1 307.6 512 299.2 512h-150.5c-8.375 0-16.5-2.875-22.25-8.875c-19-20-30.5-45.87-30.5-74.37c0-42 26.78-103.5 64.03-140.8V256h128v32C325.3 325.3 351.1 386.8 351.1 428.8z", "M445.5 211.4L367.1 19.38C363.2 7.625 352.4 0 340.4 0H120.6C109.2 0 98.72 6.75 93.6 17.75l-90.38 192C-6.782 230.1 7.718 256 30.22 256h387.6C439.5 256 454.1 232.5 445.5 211.4z"]],
    "lamp-desk": [512, 512, [], "e014", ["M221.8 119.8l-118.8 118.9C98.45 243.2 95.97 249.4 95.97 255.7c0 2.178 .2967 4.374 .907 6.528l53 185.7h50l-52.88-185.2l108.8-108.8L221.8 119.8zM471.1 223.9c0-13-4.516-26.03-13.61-36.51l-78.63 78.72c10.47 9.109 23.48 13.63 36.47 13.63c14.31 0 28.6-5.491 39.41-16.38C466.5 252.5 471.1 238.2 471.1 223.9z", "M319.1 447.9H63.97C18.94 447.9 0 486.8 0 496.5C0 504.7 7.311 512 16.14 512h351.7c8.83 0 16.12-7.252 16.12-15.51C383.9 486.7 364.6 447.9 319.1 447.9zM512 81.2c0-9.067-7.032-17.76-17.63-17.76h-147.9l-45.25-45.31C288.8 6.039 272.7 0 256.6 0C222.1 0 192.6 27.89 192.6 64.05c0 16.11 6.032 32.23 18.11 44.7l45.11 45.14l.154 148.3c0 10.61 8.642 17.64 17.7 17.64c4.3 0 8.721-1.584 12.3-5.13l220.9-221.2C510.4 89.89 512 85.5 512 81.2z"]],
    "lamp-floor": [384, 512, [], "e015", ["M224 448H160l.0098-224h64.01L224 448z", "M256 448H127.1c-28.38 0-55.01 18.5-63.26 44.13C61.49 502 69.78 512 80.16 512h223.7c10.38 0 18.67-9.1 15.42-19.88C311 466.5 284.4 448 256 448zM381.4 179.4l-68.63-160C307.8 7.625 296.3 0 283.4 0H100.6c-12.88 0-24.38 7.625-29.38 19.38l-68.63 160C-1.645 189.3-.6442 200.6 5.231 209.6C11.23 218.6 21.23 224 31.98 224h320c10.75 0 20.75-5.375 26.75-14.38C384.6 200.6 385.6 189.3 381.4 179.4z"]],
    "lamp-street": [512, 512, [], "e1c5", ["M288 128v99.45l64-.0137V128c0-70.58-57.4-128-127.1-128H128C57.41 0 0 57.42 0 128v384h64V128c0-35.3 28.72-64 64-64h96C259.3 64 288 92.7 288 128zM256 448c0 35.38 28.62 64 63.99 64s64.01-28.62 64.01-64H256z", "M511.8 388.8C513.8 403.2 502.1 416 487.6 416H152.4c-14.53 0-26.16-12.81-24.19-27.16C140 306.2 205.3 241.2 288 227.5l64-.0137C434.8 241.2 499.1 306.1 511.8 388.8z"]],
    "land-mine-on": [576, 512, [], "e51b", ["M384 288C401.7 288 416 302.3 416 320V352H159.1V320C159.1 302.3 174.3 288 191.1 288H384zM450.3 384C468.5 384 485.1 394.3 493.3 410.5L520.8 465.7C531.5 486.1 516 512 492.2 512H83.78C59.99 512 44.52 486.1 55.15 465.7L82.73 410.5C90.86 394.3 107.5 384 125.7 384H450.3z", "M287.1 0C301.3 0 311.1 10.75 311.1 24V168C311.1 181.3 301.3 192 287.1 192C274.7 192 263.1 181.3 263.1 168V24C263.1 10.75 274.7 0 287.1 0zM4.266 138.3C11.81 127.4 26.76 124.7 37.66 132.3L141.7 204.3C152.6 211.8 155.3 226.8 147.7 237.7C140.2 248.6 125.2 251.3 114.3 243.7L10.34 171.7C-.5607 164.2-3.279 149.2 4.266 138.3V138.3zM538.3 132.3C549.2 124.7 564.2 127.4 571.7 138.3C579.3 149.2 576.6 164.2 565.7 171.7L461.7 243.7C450.8 251.3 435.8 248.6 428.3 237.7C420.7 226.8 423.4 211.8 434.3 204.3L538.3 132.3z"]],
    "landmark": [512, 512, [127963], "f66f", ["M127.1 416H167.1V224H231.1V416H280V224H344V416H384V224H448V420.3C448.6 420.6 449.2 420.1 449.8 421.4L497.8 453.4C509.5 461.2 514.7 475.8 510.6 489.3C506.5 502.8 494.1 512 480 512H31.1C17.9 512 5.458 502.8 1.372 489.3C-2.715 475.8 2.515 461.2 14.25 453.4L62.25 421.4C62.82 420.1 63.4 420.6 63.1 420.3V224H127.1V416z", "M495.9 132.2C508.5 139.4 514.7 154.2 510.9 168.2C507.2 182.2 494.5 192 480 192H32C17.49 192 4.799 182.2 1.075 168.2C-2.649 154.2 3.528 139.4 16.13 132.2L240.1 4.216C249.1-1.405 262-1.405 271.9 4.216L495.9 132.2z"]],
    "landmark-dome": [512, 512, ["landmark-alt"], "f752", ["M127.1 416H167.1V288H231.1V416H280V288H344V416H384V288H448V420.3C448.6 420.6 449.2 420.1 449.8 421.4L497.8 453.4C509.5 461.2 514.7 475.8 510.6 489.3C506.5 502.8 494.1 512 480 512H31.1C17.9 512 5.458 502.8 1.372 489.3C-2.715 475.8 2.515 461.2 14.25 453.4L62.25 421.4C62.82 420.1 63.4 420.6 63.1 420.3V288H127.1V416z", "M264 0C277.3 0 288 10.75 288 24V34.65C368.4 48.14 431.9 111.6 445.3 192H448C465.7 192 480 206.3 480 224C480 241.7 465.7 256 448 256H64C46.33 256 32 241.7 32 224C32 206.3 46.33 192 64 192H66.65C80.14 111.6 143.6 48.14 224 34.65V24C224 10.75 234.7 0 248 0H264z"]],
    "landmark-flag": [512, 512, [], "e51c", ["M127.1 416H167.1V224H231.1V416H280V224H344V416H384V224H448V420.3C448.6 420.6 449.2 420.1 449.8 421.4L497.8 453.4C509.5 461.2 514.7 475.8 510.6 489.3C506.5 502.8 494.1 512 480 512H31.1C17.9 512 5.458 502.8 1.372 489.3C-2.715 475.8 2.515 461.2 14.25 453.4L62.25 421.4C62.82 420.1 63.4 420.6 63.1 420.3V224H127.1V416z", "M352 0C360.8 0 368 7.164 368 16V80C368 88.84 360.8 96 352 96H272V128H464C481.7 128 496 142.3 496 160C496 177.7 481.7 192 464 192H48C30.33 192 16 177.7 16 160C16 142.3 30.33 128 48 128H240V16C240 7.164 247.2 0 256 0H352z"]],
    "language": [640, 512, [], "f1ab", ["M160 233.2L179 276H140.1L160 233.2zM0 128C0 92.65 28.65 64 64 64H320V448H64C28.65 448 0 419.3 0 384V128zM141.7 175.9L77.72 319.9C73.24 329.1 77.78 341.8 87.88 346.3C97.97 350.8 109.8 346.2 114.3 336.1L123.2 315.1H196.8L205.7 336.1C210.2 346.2 222 350.8 232.1 346.3C242.2 341.8 246.8 329.1 242.3 319.9L178.3 175.9C175.1 168.7 167.9 164 160 164C152.1 164 144.9 168.7 141.7 175.9H141.7z", "M640 384C640 419.3 611.3 448 576 448H320V64H576C611.3 64 640 92.65 640 128V384zM500 184C500 172.1 491 164 480 164C468.1 164 460 172.1 460 184V188H408C396.1 188 388 196.1 388 208C388 219 396.1 228 408 228H515.1C507.8 244.7 497.7 259.9 485.3 272.1L484.7 272.4L470.1 257.9C462.3 250 449.7 250 441.9 257.9C434 265.7 434 278.3 441.9 286.1L454 298.3C448.1 301.1 441.9 305.2 435.5 308.1L431.9 309.7C421.8 314.2 417.2 326 421.7 336.1C426.2 346.2 438 350.8 448.1 346.3L451.8 344.7C463.8 339.3 475.2 332.8 485.7 325.3C489.1 328.3 494.4 331.1 498.8 333.8L517.7 345.1C527.2 350.8 539.5 347.8 545.2 338.3C550.8 328.8 547.8 316.5 538.3 310.9L519.4 299.5C518.5 298.1 517.6 298.4 516.7 297.9C533.9 279.1 547.5 256.1 556.4 232.5L558 228H560C571 228 580 219 580 208C580 196.1 571 188 560 188H500V184zM160 164C167.9 164 175.1 168.7 178.3 175.9L242.3 319.9C246.8 329.1 242.2 341.8 232.1 346.3C222 350.8 210.2 346.2 205.7 336.1L196.8 315.1H123.2L114.3 336.1C109.8 346.2 97.97 350.8 87.88 346.3C77.78 341.8 73.24 329.1 77.72 319.9L141.7 175.9C144.9 168.7 152.1 164 160 164H160zM140.1 276H179L160 233.2L140.1 276z"]],
    "laptop": [640, 512, [128187], "f109", ["M624 383.1h-608c-8.75 0-16 7.25-16 16v16c0 35.25 28.75 64 64 64h512c35.25 0 64-28.75 64-64v-16C640 391.2 632.8 383.1 624 383.1zM128 96h384v256h64v-272c0-26.38-21.62-48-48-48h-416c-26.38 0-48 21.62-48 48V352h64V96z", "M512 352H128V96h384V352z"]],
    "laptop-arrow-down": [640, 512, [], "e1c6", ["M624 384h-608C7.25 384 0 391.3 0 400V416c0 35.25 28.75 64 64 64h512c35.25 0 64-28.75 64-64v-16C640 391.3 632.8 384 624 384zM512 352h64V80C576 53.63 554.4 32 528 32h-184v64H512V352zM128 96h168V32H112C85.63 32 64 53.63 64 80V352h64V96z", "M512 96v256H128V96h168v126.1L256.1 183C252.3 178.3 246.2 176 240 176S227.7 178.3 223 183c-9.375 9.375-9.375 24.56 0 33.94l80 80c9.375 9.375 24.56 9.375 33.94 0l80-80c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0L344 222.1V96H512z"]],
    "laptop-code": [640, 512, [], "f5fc", ["M128 96h384v256h64V80C576 53.63 554.4 32 528 32h-416C85.63 32 64 53.63 64 80V352h64V96zM624 384h-608C7.25 384 0 391.3 0 400V416c0 35.25 28.75 64 64 64h512c35.25 0 64-28.75 64-64v-16C640 391.3 632.8 384 624 384z", "M128 96v256h384V96H128zM274.1 257.9c7.812 7.812 7.812 20.5 0 28.31C270.2 290.1 265.1 292 260 292S249.8 290.1 245.9 286.2l-48-48c-7.812-7.812-7.812-20.5 0-28.31l48-48c7.812-7.812 20.47-7.812 28.28 0s7.812 20.5 0 28.31L240.3 224L274.1 257.9zM442.1 238.2l-48 48C390.2 290.1 385.1 292 380 292s-10.23-1.938-14.14-5.844c-7.812-7.812-7.812-20.5 0-28.31l33.86-33.84l-33.86-33.84c-7.812-7.812-7.812-20.5 0-28.31s20.47-7.812 28.28 0l48 48C449.1 217.7 449.1 230.4 442.1 238.2z"]],
    "laptop-file": [640, 512, [], "e51d", ["M192 96C192 113.7 206.3 128 224 128H320V192H288C243.8 192 208 227.8 208 272V384C187.1 384 169.3 397.4 162.7 416H48C21.49 416 0 394.5 0 368V48C0 21.49 21.49 0 48 0H192V96zM320 96H224V0L320 96z", "M240 416V272C240 245.5 261.5 224 288 224H544C570.5 224 592 245.5 592 272V416H624C632.8 416 640 423.2 640 432V448C640 483.3 611.3 512 576 512H256C220.7 512 192 483.3 192 448V432C192 423.2 199.2 416 208 416H240zM528 416V288H304V416H528z"]],
    "laptop-medical": [640, 512, [], "f812", ["M128 96h384v256h64V80C576 53.63 554.4 32 528 32h-416C85.63 32 64 53.63 64 80V352h64V96zM624 384h-608C7.25 384 0 391.3 0 400V416c0 35.25 28.75 64 64 64h512c35.25 0 64-28.75 64-64v-16C640 391.3 632.8 384 624 384z", "M128 96v256h384V96H128zM416 240c0 8.8-7.2 15.1-16 15.1H352V303.1C352 312.8 344.8 320 336 320h-32C295.2 320 288 312.8 288 303.1V255.1H240C231.2 255.1 224 248.8 224 240V207.1C224 199.2 231.2 192 240 192H288V144C288 135.2 295.2 128 304 128h32C344.8 128 352 135.2 352 144V192h48C408.8 192 416 199.2 416 207.1V240z"]],
    "laptop-mobile": [640, 512, ["phone-laptop"], "f87a", ["M448 192v256h128V192H448zM128 64h320v32h64V48c0-26.5-21.5-47.88-47.88-48H111.9C85.5 .125 64 21.5 64 48V288H16C7.125 288 0 295.1 0 304V320c.125 35.25 28.63 63.88 63.88 64H352V288H128V64z", "M604 127.1h-184C400.1 127.1 384 144.1 384 164v312C384 495.9 400.1 512 420 512h184C623.9 512 640 495.9 640 476v-312C640 144.1 623.9 127.1 604 127.1zM576 448h-128V192h128V448z"]],
    "laptop-slash": [640, 512, [], "e1c7", ["M128 196.6L64 146.4V352h64V196.6zM16 383.1c-8.75 0-16 7.25-16 16v16c0 35.25 28.75 64 64 64L489.6 480l-122.5-96L16 383.1zM623.1 384h-101.8l98.76 77.4C632.7 449.8 639.1 433.7 639.1 416v-16C639.1 391.3 632.7 384 623.1 384zM575.1 352l.0007-272c0-26.38-21.62-48-48-48H112C101.8 32 92.27 35.33 84.45 40.88L154.8 96H512v256H575.1z", "M615.1 512c-5.156 0-10.38-1.674-14.79-5.112L9.188 42.89C-1.249 34.72-3.067 19.63 5.12 9.189C13.25-1.217 28.28-3.092 38.81 5.111l591.1 463.1c10.44 8.172 12.26 23.27 4.068 33.7C630.2 508.8 623.1 512 615.1 512z"]],
    "lari-sign": [384, 512, [], "e1c8", ["M144 32C161.7 32 176 46.33 176 64V96.66C153.3 98.53 131.8 104.3 112 113.4V64C112 46.33 126.3 32 144 32V32zM176 160.1V256C176 273.7 161.7 288 144 288C126.3 288 112 273.7 112 256V188.1C129.1 173.7 151.1 163.1 176 160.1V160.1zM272 188.1V256C272 273.7 257.7 288 240 288C222.3 288 208 273.7 208 256V160.1C232 163.1 254 173.7 272 188.1zM208 96.66V64C208 46.33 222.3 32 240 32C257.7 32 272 46.33 272 64V113.4C252.2 104.3 230.7 98.53 208 96.66z", "M192 416H352C369.7 416 384 430.3 384 448C384 465.7 369.7 480 352 480H32C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416H48.89C18.49 382 0 337.2 0 288C0 181.1 85.96 96 192 96C284.9 96 362.4 161.1 380.2 249.6C383.7 266.1 372.5 283.8 355.2 287.4C337.8 290.9 320.1 279.7 317.4 262.4C305.6 203.1 253.9 160 192 160C121.3 160 64 217.3 64 288C64 358.7 121.3 416 192 416V416z"]],
    "lasso": [576, 512, [], "f8c8", ["M576 176C576 273.2 447.1 352 288 352C273.1 352 258.4 351.3 244.1 349.1C251.8 365.3 256 382.4 256 400.2C256 461.9 205.9 512 144.2 512H56C42.75 512 32 501.3 32 488C32 474.7 42.75 464 56 464H144.2C179.4 464 208 435.4 208 400.2C208 375.3 193.5 352.7 170.9 342.2L126.6 321.8C50.2 290.1 0 236.6 0 176C0 78.8 128.9 0 288 0C447.1 0 576 78.8 576 176zM288 304C420.5 304 528 246.7 528 176C528 105.3 420.5 48 288 48C155.5 48 48 105.3 48 176C48 246.7 155.5 304 288 304z", ""]],
    "lasso-sparkles": [576, 512, [], "e1c9", ["M281.4 25.36L255.3 34.98C240.2 40.58 229.2 53.26 225.4 68.43C132.2 81.97 64 125 64 176C64 237.9 164.3 288 288 288C411.7 288 512 237.9 512 176C512 144.8 486.4 116.5 445.2 96.21C447 91.1 448 85.63 448 80C448 59.92 435.5 41.95 416.7 34.98L390.6 25.36L385 10.24C496.4 34.58 576 99.61 576 176C576 273.2 447.1 352 288 352C274.8 352 261.7 351.5 248.1 350.4C253.6 363.2 256 376.9 256 391C256 457.8 201.8 512 135 512H64C46.33 512 32 497.7 32 480C32 462.3 46.33 448 64 448H135C166.5 448 192 422.5 192 391C192 369.4 179.8 349.7 160.5 340L113.7 316.6L113.9 316.2C44.69 284.1 0 233.2 0 176C0 78.8 128.9 0 288 0C288.9 0 289.8 .0026 290.7 .0077L281.4 25.36z", "M336 0C342.7 0 348.7 4.168 351 10.45L365.7 50.26L405.6 64.99C411.8 67.32 416 73.3 416 80C416 86.7 411.8 92.68 405.6 95.01L365.7 109.7L351 149.6C348.7 155.8 342.7 160 336 160C329.3 160 323.3 155.8 320.1 149.6L306.3 109.7L266.4 95.01C260.2 92.68 256 86.7 256 80C256 73.3 260.2 67.32 266.4 64.99L306.3 50.26L320.1 10.45C323.3 4.168 329.3 0 336 0V0zM496 352C502.7 352 508.7 356.2 511 362.4L525.7 402.3L565.6 416.1C571.8 419.3 576 425.3 576 432C576 438.7 571.8 444.7 565.6 447L525.7 461.7L511 501.6C508.7 507.8 502.7 512 496 512C489.3 512 483.3 507.8 480.1 501.6L466.3 461.7L426.4 447C420.2 444.7 416 438.7 416 432C416 425.3 420.2 419.3 426.4 416.1L466.3 402.3L480.1 362.4C483.3 356.2 489.3 352 496 352z"]],
    "layer-group": [512, 512, [], "f5fd", ["M292.9 279.8L444.9 209.6L498.1 234.2C506.6 238.1 512 246.6 512 255.1C512 265.3 506.6 273.8 498.1 277.8L279.5 378.8C264.6 385.7 247.4 385.7 232.5 378.8L13.93 277.8C5.438 273.8 0 265.3 0 255.1C0 246.6 5.437 238.1 13.93 234.2L67.13 209.6L219.1 279.8C242.5 290.7 269.5 290.7 292.9 279.8V279.8z", "M232.5 5.167C247.4-1.722 264.6-1.722 279.5 5.167L498.1 106.2C506.6 110.1 512 118.6 512 127.1C512 137.3 506.6 145.8 498.1 149.8L279.5 250.8C264.6 257.7 247.4 257.7 232.5 250.8L13.93 149.8C5.438 145.8 0 137.3 0 127.1C0 118.6 5.437 110.1 13.93 106.2L232.5 5.167zM498.1 362.2C506.6 366.1 512 374.6 512 383.1C512 393.3 506.6 401.8 498.1 405.8L279.5 506.8C264.6 513.7 247.4 513.7 232.5 506.8L13.93 405.8C5.438 401.8 0 393.3 0 383.1C0 374.6 5.437 366.1 13.93 362.2L67.13 337.6L219.1 407.8C242.5 418.7 269.5 418.7 292.9 407.8L444.9 337.6L498.1 362.2z"]],
    "layer-minus": [512, 512, ["layer-group-minus"], "f5fe", ["M232.5 133.2C247.4 126.3 264.6 126.3 279.5 133.2L498.1 234.2C506.6 238.1 512 246.6 512 255.1C512 265.3 506.6 273.8 498.1 277.8L279.5 378.8C264.6 385.7 247.4 385.7 232.5 378.8L13.93 277.8C5.438 273.8 0 265.3 0 255.1C0 246.6 5.437 238.1 13.93 234.2L232.5 133.2zM498.1 362.2C506.6 366.1 512 374.6 512 383.1C512 393.3 506.6 401.8 498.1 405.8L279.5 506.8C264.6 513.7 247.4 513.7 232.5 506.8L13.93 405.8C5.438 401.8 0 393.3 0 383.1C0 374.6 5.437 366.1 13.93 362.2L67.13 337.6L219.1 407.8C242.5 418.7 269.5 418.7 292.9 407.8L444.9 337.6L498.1 362.2z", "M352 80C352 66.75 362.7 56 376 56H488C501.3 56 512 66.75 512 80C512 93.25 501.3 104 488 104H376C362.7 104 352 93.25 352 80z"]],
    "layer-plus": [512, 512, ["layer-group-plus"], "f5ff", ["M232.5 133.2C247.4 126.3 264.6 126.3 279.5 133.2L498.1 234.2C506.6 238.1 512 246.6 512 255.1C512 265.3 506.6 273.8 498.1 277.8L279.5 378.8C264.6 385.7 247.4 385.7 232.5 378.8L13.93 277.8C5.438 273.8 0 265.3 0 255.1C0 246.6 5.437 238.1 13.93 234.2L232.5 133.2zM498.1 362.2C506.6 366.1 512 374.6 512 383.1C512 393.3 506.6 401.8 498.1 405.8L279.5 506.8C264.6 513.7 247.4 513.7 232.5 506.8L13.93 405.8C5.438 401.8 0 393.3 0 383.1C0 374.6 5.437 366.1 13.93 362.2L67.13 337.6L219.1 407.8C242.5 418.7 269.5 418.7 292.9 407.8L444.9 337.6L498.1 362.2z", "M456 56H488C501.3 56 512 66.75 512 80C512 93.25 501.3 104 488 104H456V136C456 149.3 445.3 160 432 160C418.7 160 408 149.3 408 136V104H376C362.7 104 352 93.25 352 80C352 66.75 362.7 56 376 56H408V24C408 10.75 418.7 0 432 0C445.3 0 456 10.75 456 24V56z"]],
    "leaf": [512, 512, [], "f06c", ["M512 165.4c0 127.9-70.06 235.3-175.3 270.1c-20.04 7.938-41.83 12.46-64.69 12.46c-68.27 0-127.3-38.92-156.5-95.75c42.63-42.12 109.4-80.24 212.5-80.24c13.25 0 23.1-10.75 23.1-24s-10.75-24-23.1-24c-105.8 0-178.9 36.21-229 79.54C97.13 293.3 96.01 282.8 96.01 272c0-97.21 78.81-176.1 176-176.1c13.84 0 27.29 1.411 40.18 4.481c55.1 13.33 118.2-7.409 149.3-61.24c5.664-9.829 20.02-9.516 24.66 .8282C502.7 76.76 512 121.9 512 165.4z", "M24.02 480c-2.062 0-4.192-.2813-6.316-.8438c-12.75-3.469-20.31-16.59-16.87-29.38C1.454 447.5 64.67 224 328 224c13.25 0 23.1 10.75 23.1 24s-10.75 24-23.1 24c-225.8 0-278.7 182.5-280.8 190.3C44.23 472.1 34.58 480 24.02 480z"]],
    "leaf-heart": [512, 512, [], "f4cb", ["M486.2 39.98c-4.639-10.34-18.99-10.66-24.66-.8281c-31.09 53.82-93.33 74.56-149.3 61.23c-25.25-6.008-52.6-6.555-80.93 .0078c-65.4 15.14-117.1 68.35-131.4 134.2C94.81 259.1 95.13 282.9 99.44 305.2C21.89 368.2 .9922 449 .668 450.4c-3.094 12.88 4.859 25.86 17.75 28.96C20.29 479.8 22.19 480 24.03 480c10.85 0 20.69-7.414 23.33-18.42c.2461-1.016 14.82-58.13 68.96-108.1c30.51 57.96 90.8 94.46 155.7 94.46c22.87 0 44.65-4.518 64.69-12.46C441.9 400.7 512 293.2 512 165.4C512 121.9 502.7 76.76 486.2 39.98zM382.9 277.2l-70.63 71.36c-4.584 4.582-11.88 4.582-16.46 0L225.1 277.2c-20.52-20.73-19.27-55.11 3.646-74.28c20-16.67 49.59-13.65 67.92 4.898l7.188 7.188l7.188-7.188c18.34-18.55 48.13-21.57 68.03-4.898C402.1 222.1 403.4 256.5 382.9 277.2z", "M382.9 277.2l-70.63 71.36c-4.584 4.582-11.88 4.582-16.46 0L225.1 277.2c-20.52-20.73-19.27-55.11 3.646-74.28c20-16.67 49.59-13.65 67.92 4.898l7.188 7.188l7.188-7.188c18.34-18.55 48.13-21.57 68.03-4.898C402.1 222.1 403.4 256.5 382.9 277.2z"]],
    "leaf-maple": [512, 512, [127809], "f6f6", ["M503.1 196.1l-141.3 89.89l65.07-16.67c12.66-2.758 23.82 8.648 20.69 21.19l-13.92 25.83l51.53 45.51c8.65 6.895 8.65 20.18 0 27.08l-51.53 45.51l13.92 25.7c3.133 12.54-8.023 24.07-20.69 21.19l-160.6-33.1l-16.05 37.24c-3.009 7.019-9.465 10.53-15.94 10.53c-6.473 .0001-12.96-3.509-16.03-10.53l-48.69-109.9l142.6-142.6c9.375-9.375 9.375-24.56 0-33.94c-9.375-9.375-24.56-9.375-33.94 0L136.5 341.6L26.53 292.9C19.51 289.8 16 283.3 16 276.9C15.1 270.4 19.51 263.9 26.53 260.9l37.24-16.05L30.67 84.27C27.79 71.6 39.32 60.45 51.86 63.58l25.7 13.92l45.51-51.53c6.896-8.652 20.19-8.652 27.08 0l45.51 51.53l25.83-13.92C234 60.45 245.4 71.6 242.7 84.27L226 149.3l89.9-141.3c3.053-4.829 7.829-7.511 12.86-7.999c6.332-.6135 13.03 2.227 16.73 8.374l22.31 37.36L456.8 35.88c5.596-.6289 10.71 1.43 14.28 5.02c3.596 3.574 5.652 8.691 5.023 14.29l-9.904 89.02l37.36 22.32c4.842 2.914 7.607 7.64 8.264 12.61C512.7 185.5 510.1 192.2 503.1 196.1z", "M312.1 232.1l-272 271.1C36.28 509.7 30.14 511.1 24 511.1s-12.28-2.344-16.97-7.031C2.344 500.3 0 494.1 0 487.1c0-6.141 2.344-12.28 7.031-16.97l272-271.1c9.375-9.375 24.56-9.375 33.94 0S322.3 223.6 312.1 232.1z"]],
    "leaf-oak": [512, 512, [], "f6f7", ["M498 232.8c-6.246 6.75-14.62 11.76-22.62 16.63c-12.62 7.871-25.62 14.98-39.86 23.11c4.457 5.469 8.092 9.71 11.44 13.85c22.32 27.61 15.85 65.11-15.49 81.78c-22.07 11.74-45.52 10.24-69.42 7.221c-12.75-1.625-25.74-2.625-42.24-4.375c4.248 6.125 6.246 8.624 7.748 11.25c14.99 26.11 4.246 55.37-24.62 63.23c-11.87 3.129-25.62 3.497-37.61 .7513c-17.24-3.875-33.36-12.87-50.61-17.5c-20.68-5.783-30.03-.5801-35.67 1.266c-19.51 6.422-40 3.705-57.74-5.345l191.7-191.7c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0l-191.7 191.7c-9.049-17.74-11.72-38.21-5.298-57.71c1.857-5.646 7.077-14.9 1.265-35.67C78.71 280.1 69.71 263.9 65.84 246.7c-2.748-12-2.374-25.75 .7506-37.62C74.46 180.2 103.7 169.5 129.8 184.5c2.625 1.5 5.124 3.501 11.25 7.747C139.3 175.7 138.3 162.7 136.7 149.1C133.7 126.1 132.2 102.6 143.9 80.54c16.67-31.34 54.17-37.82 81.78-15.49C229.8 68.39 234.1 72.03 239.5 76.48c8.121-14.25 15.24-27.24 23.11-39.86c4.871-7.996 9.872-16.38 16.62-22.62c23.74-22.12 59.1-17.36 77.85 9.624c6.799 10.37 10.35 25.29 26.87 20.5c32.99-9.742 57.02-2.832 71.52 12.41c15.24 14.5 22.14 38.52 12.39 71.5c-4.738 16.34 9.73 19.8 20.5 26.87C515.4 173.6 520.1 209 498 232.8z", "M312.1 232.1l-272 272C36.28 509.7 30.14 512 23.1 512s-12.28-2.344-16.97-7.031c-9.375-9.375-9.375-24.56 0-33.94l272-272c9.375-9.375 24.56-9.375 33.94 0S322.3 223.6 312.1 232.1z"]],
    "leafy-green": [576, 512, [129388], "e41d", ["M448 208h-57.38l68.69-68.69c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0L304 249.4V192c0-8.844-7.156-16-16-16S272 183.2 272 192v89.38l-59.31 59.31c-6.25 6.25-6.25 16.38 0 22.62C215.8 366.4 219.9 368 224 368s8.188-1.562 11.31-4.688L358.6 240H448c8.844 0 16-7.156 16-16S456.8 208 448 208zM209.1 50.16c-6.756-14.12-16.79-26.72-30.68-36.05C163.9 4.337 147.4 .1842 131.2 1.436C114.1 1.833 98.9 7.641 85.16 18.85C72.03 29.57 63.01 43.13 57.37 57.88C51.24 73.91 41.92 87.31 30.14 96.75c-5.34 4.283-10.21 9.412-14.43 15.44c-18.43 26.33-20.01 60.79-8.064 89.38c15.27 36.55-.5 82.62 27.35 111.9c45.69 48.04 40.4 69.47 46.28 90.76l14.97-14.97c1.482-79.13 14.61-103.3 31.68-125.5C136 253.2 142.1 244.1 142.1 190.7c0-43.31 26.17-70.82 47.2-92.92c11.12-11.69 21.45-22.81 27.13-34.71C214.5 58.87 211.4 54.95 209.1 50.16z", "M573.4 93.82c-4.891-22.76-16.55-42.92-32.72-58.4c-15.44-16.2-35.56-27.89-58.27-32.79C460.7-2.043 440.3-.2305 421.1 6c-19.89 6.762-40.42 8.139-59.74 3.807c-8.758-1.967-17.77-2.95-27.03-2.353c-40.45 2.588-72.48 29.15-86.66 64.53C230.4 117.2 174.1 138.5 174.1 190.7c0 134.2-45.96 48.25-46.97 207.9c-.0078 1.297 .2871 2.494 .3809 3.762l-55.01 55.01c-12.5 12.5-12.5 32.75 0 45.25C79.63 508.9 87.81 512 96 512s16.38-3.125 22.62-9.375l55.2-55.2C175.8 447.7 177.8 448 179.9 448c157.7 0 70.43-46.07 205.8-46.07c52.03-.0039 73.3-55.57 118.4-73.75c35.29-14.22 61.7-46.2 64.28-86.74c.5938-9.287-.2884-18.43-2.249-27.21c-4.322-19.37-2.951-39.94 3.799-59.87C576.2 136 578 115.6 573.4 93.82zM448 208c8.844 0 16 7.156 16 16S456.8 240 448 240h-89.38l-123.3 123.3C232.2 366.4 228.1 368 224 368s-8.188-1.562-11.31-4.688c-6.25-6.25-6.25-16.38 0-22.62L272 281.4V192c0-8.844 7.156-16 16-16s16 7.156 16 16v57.38l132.7-132.7c6.25-6.25 16.38-6.25 22.62 0s6.25 16.38 0 22.62L390.6 208H448z"]],
    "left": [448, 512, ["arrow-alt-left"], "f355", ["M448 224v64c0 17.67-14.33 32-32 32h-192V192h192C433.7 192 448 206.3 448 224z", "M224 416c0 12.94-7.797 24.61-19.75 29.56c-11.97 4.953-25.72 2.219-34.88-6.938l-160-160C3.125 272.4 0 264.2 0 256s3.125-16.38 9.375-22.62l160-160c9.156-9.156 22.91-11.89 34.88-6.938C216.2 71.39 224 83.06 224 96V416z"]],
    "left-from-line": [448, 512, ["arrow-alt-from-right"], "f348", ["M415.1 63.99C398.3 63.99 384 78.32 384 95.99v320C384 433.7 398.3 448 415.1 448C433.7 448 448 433.7 448 416V95.99C448 78.32 433.7 63.99 415.1 63.99z", "M351.9 223.1v64c0 17.67-14.35 32-32.04 32H191.8v72c0 9.58-5.708 18.25-14.51 22.05c-8.803 3.781-19.03 1.984-26-4.594L7.201 273.5c-9.602-9.062-9.602-25.84 0-34.91l144.1-136C158.3 95.96 168.5 94.17 177.3 97.95C186.1 101.7 191.8 110.4 191.8 119.1v72h128.1C337.6 191.1 351.9 206.3 351.9 223.1z"]],
    "left-long": [512, 512, ["long-arrow-alt-left"], "f30a", ["M512 256C512 273.7 497.7 288 480 288H160.1V224H480C497.7 224 512 238.3 512 256z", "M145.7 130c-8.754-3.812-18.95-2.079-25.94 4.406L7.678 238.4c-10.24 9.5-10.24 25.69 0 35.19l112.1 104c6.992 6.484 17.18 8.219 25.94 4.407c8.758-3.812 14.42-12.45 14.42-22V151.1C160.1 142.5 154.4 133.8 145.7 130z"]],
    "left-long-to-line": [640, 512, [], "e41e", ["", "M247.8 377.6L135.7 273.6C125.4 264.1 125.4 247.9 135.7 238.4L247.8 134.4C254.7 127.9 264.9 126.2 273.7 129.1C282.4 133.8 288.1 142.5 288.1 151.1V208H608C625.7 208 640 222.3 640 240V272C640 289.7 625.7 304 608 304H288.1V360C288.1 369.5 282.4 378.2 273.7 382C264.9 385.8 254.7 384.1 247.8 377.6V377.6zM64 96V416C64 433.7 49.67 448 32 448C14.33 448 0 433.7 0 416V96C0 78.33 14.33 64 32 64C49.67 64 64 78.33 64 96z"]],
    "left-right": [512, 512, [8596, "arrows-alt-h"], "f337", ["M256 208h96.34V152c0-9.547 5.656-18.19 14.41-22s18.94-2.078 25.92 4.406l112 104c9.781 9.094 9.781 26.09 0 35.19l-112 104c-6.984 6.484-17.17 8.219-25.92 4.406S352.3 369.5 352.3 360V304H256V208z", "M256 304L159.7 303.1V360c0 9.547-5.656 18.19-14.41 22s-18.94 2.078-25.92-4.406l-112-104c-9.781-9.094-9.781-26.09 0-35.19l112-104c6.984-6.484 17.17-8.219 25.92-4.406C154 133.8 159.7 142.5 159.7 152v55.1L256 208V304z"]],
    "left-to-line": [448, 512, ["arrow-alt-to-left"], "f34b", ["M32 64C14.33 64 0 78.33 0 95.1V416C0 433.7 14.33 448 31.1 448S64 433.7 64 416V95.1C64 78.33 49.67 64 32 64z", "M103.3 238.5l144.1-136c6.975-6.578 17.2-8.375 26-4.594C282.2 101.8 287.9 110.4 287.9 120L287.9 192h128.1c17.69 0 32.02 14.33 32.02 32v64c0 17.67-14.34 32-32.02 32h-128.1l-.0314 72c0 9.578-5.708 18.25-14.51 22.05c-8.805 3.781-19.03 1.984-26-4.594l-144.1-136C93.66 264.4 93.66 247.6 103.3 238.5z"]],
    "lemon": [448, 512, [127819], "f094", ["M427.9 52.1c-20.13-20.23-47.58-25.27-65.63-14.77c-51.63 30.08-158.6-46.49-281 75.91c-122.4 122.4-45.83 229.4-75.91 281c-10.5 18.05-5.471 45.5 14.77 65.63c20.13 20.24 47.58 25.27 65.63 14.77c51.63-30.08 158.6 46.49 281-75.91c122.4-122.4 45.83-229.4 75.91-281C453.2 99.69 448.1 72.23 427.9 52.1zM211.9 127.5C167.6 138.7 106.7 199.6 95.53 243.9C93.69 251.2 87.19 255.1 79.1 255.1c-1.281 0-2.594-.1562-3.906-.4687C67.53 253.4 62.34 244.7 64.47 236.1c14.16-56.28 83.31-125.4 139.6-139.6c8.656-2.031 17.25 3.062 19.44 11.62C225.7 116.7 220.5 125.3 211.9 127.5z", "M211.9 127.5C167.6 138.7 106.7 199.6 95.53 243.9C93.69 251.2 87.19 255.1 79.1 255.1c-1.281 0-2.594-.1562-3.906-.4687C67.53 253.4 62.34 244.7 64.47 236.1c14.16-56.28 83.31-125.4 139.6-139.6c8.656-2.031 17.25 3.062 19.44 11.62C225.7 116.7 220.5 125.3 211.9 127.5z"]],
    "less-than": [384, 512, [62774], "3c", ["M351.1 448c-4.797 0-9.688-1.094-14.28-3.375l-320-160C6.844 279.2 0 268.1 0 256c0-12.13 6.844-23.18 17.69-28.62l320-160c15.88-7.875 35.05-1.5 42.94 14.31c7.906 15.81 1.5 35.03-14.31 42.94L103.5 256l262.8 131.4c15.81 7.906 22.22 27.12 14.31 42.94C375 441.5 363.7 448 351.1 448z", ""]],
    "less-than-equal": [448, 512, [], "f537", ["M52.11 208.2l320 118.8c3.906 1.451 7.922 2.118 11.88 2.118c12.7 0 24.72-7.051 29.73-18.69c6.562-15.23-1.422-32.53-17.83-38.62L150.2 180.6L395.9 89.34c16.41-6.093 24.39-23.39 17.83-38.62S388.6 28.15 372.1 34.21l-320 118.8C39.97 157.5 32 168.4 32 180.6S39.97 203.7 52.11 208.2z", "M416 388.6H32c-17.67 0-32 13.29-32 29.71S14.33 448 32 448h384c17.67 0 32-13.29 32-29.71S433.7 388.6 416 388.6z"]],
    "life-ring": [512, 512, [], "f1cd", ["M214.7 169.5L99.2 53.95C142.5 20.26 196.8 0 256 0C315.2 0 369.5 20.26 412.8 53.95L297.3 169.5C297.4 169.4 297.2 169.6 297.3 169.5C284.8 163.5 270.8 160 256 160C241.2 160 227.2 163.5 214.7 169.5C214.8 169.6 214.6 169.4 214.7 169.5H214.7zM169.5 297.3L53.95 412.8C20.26 369.5 0 315.2 0 255.1C0 196.8 20.26 142.5 53.95 99.19L169.5 214.7C169.4 214.6 169.6 214.8 169.5 214.7C163.5 227.2 160 241.2 160 255.1C160 270.8 163.5 284.8 169.5 297.3C169.6 297.2 169.4 297.4 169.5 297.3V297.3zM512 256C512 315.2 491.7 369.5 458.1 412.8L342.5 297.3C342.6 297.4 342.4 297.2 342.5 297.3C348.5 284.8 352 270.8 352 256C352 241.2 348.5 227.2 342.5 214.7C342.4 214.8 342.6 214.6 342.5 214.7L458.1 99.2C491.7 142.5 512 196.9 512 256V256zM297.3 342.5L412.8 458.1C369.5 491.7 315.1 512 255.1 512C196.8 512 142.5 491.7 99.19 458.1L214.7 342.5C214.6 342.6 214.8 342.4 214.7 342.5C227.2 348.5 241.2 352 255.1 352C270.8 352 284.8 348.5 297.3 342.5C297.2 342.4 297.4 342.6 297.3 342.5H297.3z", "M297.3 169.5C297.2 169.6 297.4 169.4 297.3 169.5L425.4 41.37C437.9 28.88 458.1 28.88 470.6 41.37C483.1 53.88 483.1 74.13 470.6 86.62L342.5 214.7C342.6 214.6 342.4 214.8 342.5 214.7C333 194.9 317.1 178.1 297.3 169.5L297.3 169.5zM214.7 342.5C214.8 342.4 214.6 342.6 214.7 342.5L86.62 470.6C80.38 476.9 72.19 480 64 480C55.81 480 47.63 476.9 41.38 470.6C28.88 458.1 28.88 437.9 41.38 425.4L169.5 297.3C169.4 297.4 169.6 297.2 169.5 297.3C178.1 317.1 194.9 333 214.7 342.5L214.7 342.5zM470.6 425.4C483.1 437.9 483.1 458.1 470.6 470.6C464.4 476.9 456.2 480 448 480C439.8 480 431.6 476.9 425.4 470.6L297.3 342.5C297.4 342.6 297.2 342.4 297.3 342.5C317.1 333 333 317.1 342.5 297.3C342.4 297.2 342.6 297.4 342.5 297.3L470.6 425.4zM214.7 169.5C214.6 169.4 214.8 169.6 214.7 169.5C194.9 178.1 178.1 194.9 169.5 214.7C169.6 214.8 169.4 214.6 169.5 214.7L41.37 86.63C28.88 74.13 28.88 53.88 41.37 41.38C53.88 28.88 74.12 28.88 86.62 41.38L214.7 169.5z"]],
    "light-ceiling": [512, 512, [], "e016", ["M192 447.1c0 35.38 28.62 64 63.1 64s64.01-28.62 64.01-64H192zM288 162.3V0h-64v162.3C234.6 160.1 245.2 160 256 160S277.5 160.1 288 162.3z", "M512 380.8V384c0 19.2-12.87 32-32.17 32L32.41 415.1C13.11 415.1 0 403.2 0 384v-3.203C16.01 253.4 128 160 256 160S495.1 253.4 512 380.8z"]],
    "light-emergency": [448, 512, [], "e41f", ["M224 32C135.7 32 64 103.6 64 192v160h320V192C384 103.6 312.3 32 224 32zM224 112C179.8 112 144 147.9 144 192c0 8.832-7.039 16-16 16S112 200.8 112 192c0-61.76 50.24-112 112-112c8.961 0 16 7.168 16 16S232.1 112 224 112z", "M448 416v32c0 17.66-14.4 32-32 32H32c-17.6 0-32-14.34-32-32v-32c0-17.66 14.4-32 32-32h384C433.6 384 448 398.3 448 416z"]],
    "light-emergency-on": [640, 512, [], "e420", ["M320 32C231.7 32 160 103.6 160 192V352H480V192C480 103.6 408.3 32 320 32zM320 112C275.8 112 240 147.9 240 192C240 200.8 232.1 208 224 208C215 208 208 200.8 208 192C208 130.2 258.2 80 320 80C328.1 80 336 87.17 336 96C336 104.8 328.1 112 320 112z", "M549.4 107.1L597.4 75.97C608.3 68.61 611.2 53.73 603.8 42.69C596.5 31.65 581.8 28.67 570.6 36.03L522.6 68.03C511.7 75.39 508.8 90.27 516.2 101.3C523.5 112.4 538.2 115.3 549.4 107.1zM112 224C112 210.8 101.1 200 88 200H24C10.88 200 0 210.8 0 224C0 237.2 10.88 248 24 248H88C101.1 248 112 237.2 112 224zM90.56 107.1C101.8 115.3 116.5 112.4 123.8 101.3C131.2 90.27 128.3 75.39 117.4 68.03L69.44 36.03C58.24 28.67 43.52 31.65 36.16 42.69C28.8 53.73 31.68 68.61 42.56 75.97L90.56 107.1zM616 200H552C538.9 200 528 210.8 528 224C528 237.2 538.9 248 552 248H616C629.1 248 640 237.2 640 224C640 210.8 629.1 200 616 200zM512 384H128C110.4 384 96 398.3 96 416V448C96 465.7 110.4 480 128 480H512C529.6 480 544 465.7 544 448V416C544 398.3 529.6 384 512 384z"]],
    "light-switch": [384, 512, [], "e017", ["M288 272H96v-32h192V272z", "M320 0H64c-35.38 0-64 28.62-64 64v384c0 35.38 28.62 64 64 64h256c35.38 0 64-28.62 64-64v-384C384 28.62 355.4 0 320 0zM192 32c8.875 0 16 7.125 16 16S200.9 64 192 64S176 56.88 176 48S183.1 32 192 32zM192 480c-8.875 0-16-7.125-16-16S183.1 448 192 448s16 7.125 16 16S200.9 480 192 480zM288 367.1c0 26.5-21.5 48-48 48h-96c-26.5 0-48-21.5-48-48v-224c0-26.5 21.5-47.1 48-47.1h96c26.5 0 48 21.5 48 47.1V367.1z"]],
    "light-switch-off": [384, 512, [], "e018", ["M144 415.1h96c26.4 0 48-21.6 48-48V256H96v111.1C96 394.4 117.6 415.1 144 415.1z", "M320 0H64c-35.38 0-64 28.62-64 64v384c0 35.38 28.62 64 64 64h256c35.38 0 64-28.62 64-64v-384C384 28.62 355.4 0 320 0zM192 32c8.875 0 16 7.125 16 16S200.9 64 192 64S176 56.88 176 48S183.1 32 192 32zM192 480c-8.875 0-16-7.125-16-16S183.1 448 192 448s16 7.125 16 16S200.9 480 192 480zM288 288v79.1c0 26.5-21.5 48-48 48h-96c-26.5 0-48-21.5-48-48v-224c0-26.5 21.5-47.1 48-47.1h96c26.5 0 48 21.5 48 47.1V288z"]],
    "light-switch-on": [384, 512, [], "e019", ["M240 95.1h-96c-26.4 0-48 21.6-48 48V256h192V143.1C288 117.6 266.4 95.1 240 95.1z", "M320 0H64c-35.38 0-64 28.62-64 64v384c0 35.38 28.62 64 64 64h256c35.38 0 64-28.62 64-64v-384C384 28.62 355.4 0 320 0zM192 32c8.875 0 16 7.125 16 16S200.9 64 192 64S176 56.88 176 48S183.1 32 192 32zM192 480c-8.875 0-16-7.125-16-16S183.1 448 192 448s16 7.125 16 16S200.9 480 192 480zM288 240v127.1c0 26.5-21.5 48-48 48h-96c-26.5 0-48-21.5-48-48V143.1c0-26.5 21.5-48 48-48h96c26.5 0 48 21.5 48 48V240z"]],
    "lightbulb": [384, 512, [128161], "f0eb", ["M191.4 .0132C89.44 .3257 16 82.97 16 175.1c0 44.38 16.44 84.84 43.56 115.8c16.53 18.84 42.34 58.23 52.22 91.45c.0313 .25 .0938 .5166 .125 .7823h160.2c.0313-.2656 .0938-.5166 .125-.7823c9.875-33.22 35.69-72.61 52.22-91.45C351.6 260.8 368 220.4 368 175.1C368 78.61 288.9-.2837 191.4 .0132zM192 96.01c-44.13 0-80 35.89-80 79.1C112 184.8 104.8 192 96 192S80 184.8 80 176c0-61.76 50.25-111.1 112-111.1c8.844 0 16 7.159 16 16S200.8 96.01 192 96.01z", "M272.1 384l-.2156 70.34c0 5.328-2.411 13.26-5.348 17.7l-17.08 25.68c-5.25 7.875-17.17 14.28-26.61 14.28H161.2c-9.469 0-21.39-6.406-26.64-14.28l-17.14-25.69c-3.469-5.25-5.284-11.39-5.284-17.69l-.2156-70.34H272.1z"]],
    "lightbulb-cfl": [320, 512, [], "e5a6", ["M39.76 95.04C22.62 99.33 5.242 88.91 .9555 71.76C-3.331 54.62 7.093 37.24 24.24 32.96L152.2 .9552C169.4-3.331 186.8 7.093 191 24.24C195.3 41.38 184.9 58.76 167.8 63.04L39.76 95.04zM319 88.24C323.3 105.4 312.9 122.8 295.8 127L39.76 191C22.62 195.3 5.242 184.9 .9552 167.8C-3.331 150.6 7.093 133.2 24.24 128.1L280.2 64.96C297.4 60.67 314.8 71.09 319 88.24V88.24zM319 184.2C323.3 201.4 312.9 218.8 295.8 223L39.76 287C22.62 291.3 5.242 280.9 .9552 263.8C-3.331 246.6 7.093 229.2 24.24 224.1L280.2 160.1C297.4 156.7 314.8 167.1 319 184.2V184.2zM144 293.1V384H96V305.1L144 293.1zM319 280.2C323.3 297.4 312.9 314.8 295.8 319L224 336.1V384H176V308.7C175.1 308.2 175.1 307.7 176 307.3V304L176.2 303.1C177.9 291.3 187.1 280.2 200.2 276.1L280.2 256.1C297.4 252.7 314.8 263.1 319 280.2V280.2z", "M224 384C241.7 384 256 398.3 256 416V448C256 465.7 241.7 480 224 480H192C192 497.7 177.7 512 160 512C142.3 512 128 497.7 128 480H96C78.33 480 64 465.7 64 448V416C64 398.3 78.33 384 96 384H224z"]],
    "lightbulb-cfl-on": [640, 512, [], "e5a7", ["M199.8 95.04C182.6 99.33 165.2 88.91 160.1 71.76C156.7 54.62 167.1 37.24 184.2 32.96L312.2 .9552C329.4-3.331 346.8 7.093 351 24.24C355.3 41.38 344.9 58.76 327.8 63.04L199.8 95.04zM479 88.24C483.3 105.4 472.9 122.8 455.8 127L199.8 191C182.6 195.3 165.2 184.9 160.1 167.8C156.7 150.6 167.1 133.2 184.2 128.1L440.2 64.96C457.4 60.67 474.8 71.09 479 88.24V88.24zM479 184.2C483.3 201.4 472.9 218.8 455.8 223L199.8 287C182.6 291.3 165.2 280.9 160.1 263.8C156.7 246.6 167.1 229.2 184.2 224.1L440.2 160.1C457.4 156.7 474.8 167.1 479 184.2V184.2zM304 293.1V384H256V305.1L304 293.1zM479 280.2C483.3 297.4 472.9 314.8 455.8 319L384 336.1V384H336V308.7C335.1 308.2 335.1 307.7 336 307.3V304L336.2 303.1C337.9 291.3 347.1 280.2 360.2 276.1L440.2 256.1C457.4 252.7 474.8 263.1 479 280.2V280.2z", "M101.3 36.03C112.3 43.38 115.3 58.28 107.1 69.31C100.6 80.34 85.72 83.32 74.69 75.97L26.69 43.97C15.66 36.62 12.68 21.71 20.03 10.69C27.38-.3429 42.28-3.323 53.31 4.03L101.3 36.03zM565.3 75.97C554.3 83.32 539.4 80.34 532 69.31C524.7 58.28 527.7 43.38 538.7 36.03L586.7 4.03C597.7-3.322 612.6-.3423 619.1 10.69C627.3 21.72 624.3 36.62 613.3 43.97L565.3 75.97zM88 159.1C101.3 159.1 112 170.7 112 183.1C112 197.3 101.3 207.1 88 207.1H24C10.75 207.1 0 197.3 0 183.1C0 170.7 10.75 159.1 24 159.1H88zM616 159.1C629.3 159.1 640 170.7 640 183.1C640 197.3 629.3 207.1 616 207.1H552C538.7 207.1 528 197.3 528 183.1C528 170.7 538.7 159.1 552 159.1H616zM53.31 363.1C42.28 371.3 27.38 368.3 20.03 357.3C12.68 346.3 15.66 331.4 26.69 324L74.69 292C85.72 284.7 100.6 287.7 107.1 298.7C115.3 309.7 112.3 324.6 101.3 331.1L53.31 363.1zM613.3 324C624.3 331.4 627.3 346.3 619.1 357.3C612.6 368.3 597.7 371.3 586.7 363.1L538.7 331.1C527.7 324.6 524.7 309.7 532 298.7C539.4 287.7 554.3 284.7 565.3 292L613.3 324zM224 416C224 398.3 238.3 384 256 384H384C401.7 384 416 398.3 416 416V448C416 465.7 401.7 480 384 480H352C352 497.7 337.7 512 320 512C302.3 512 288 497.7 288 480H256C238.3 480 224 465.7 224 448V416z"]],
    "lightbulb-dollar": [384, 512, [], "f670", ["M191.5 .0127C89.47 .2627 16 82.1 16 175.1c0 44.38 16.52 84.89 43.52 115.8c16.62 18.88 42.36 58.23 52.24 91.48c0 .25 .1458 .5101 .1458 .7601h160.2c0-.25 .1458-.5101 .1458-.7601c9.875-33.25 35.61-72.61 52.24-91.48C351.5 260.9 368 220.4 368 175.1C368 78.62 288.8-.2373 191.5 .0127zM253.8 226.3C250.2 247.2 234.4 260.1 212 265.7V272c0 11.03-8.953 20-20 20S172 283 172 272V265.2c-12.03-2.662-23.14-6.836-29.33-9.012C132.3 252.5 126.8 241.1 130.5 230.7c3.688-10.41 15.11-15.81 25.52-12.22C175 225.4 179.6 226.5 184.1 227.1c13.72 2.125 28.94 .1875 30.31-7.625c1.398-8.139-8.713-10.71-33.73-17.97c-17.33-5.094-57.92-17-50.52-59.84C133.8 120.8 149.6 106.8 172 101.1V96c0-11.03 8.953-20 20-20S212 84.97 212 96v6.633c5.453 1.195 11.34 2.789 18.56 5.273c10.44 3.625 15.95 15.03 12.33 25.47c-3.625 10.41-15.06 15.94-25.45 12.34c-5.859-2.031-12-4-17.59-4.844C186.2 138.8 170.1 140.7 169.6 148.5c-1.514 8.832 14.89 12.51 27.92 16.25C219.8 171.1 261.3 183 253.8 226.3z", "M184.1 227.1C179.6 226.5 175 225.4 155.1 218.5C145.6 214.9 134.2 220.3 130.5 230.7C126.8 241.1 132.3 252.5 142.7 256.2C148.9 258.4 159.1 262.6 172 265.2V272c0 11.03 8.953 20 20 20s20-8.969 20-20V265.7c22.36-4.793 38.21-18.53 41.83-39.43c7.484-43.28-34.03-55.19-56.33-61.56C184.5 161 168.1 157.3 169.6 148.5c1.375-7.812 16.59-9.719 30.27-7.625c5.594 .8438 11.73 2.812 17.59 4.844c10.39 3.594 21.83-1.938 25.45-12.34c3.625-10.44-1.891-21.84-12.33-25.47C223.3 105.4 217.5 103.8 212 102.6V96c0-11.03-8.953-20-20-20S172 84.97 172 96v5.992C149.6 106.8 133.8 120.8 130.2 141.7C122.8 184.5 163.4 196.4 180.7 201.5c25.02 7.264 35.13 9.83 33.73 17.97C213 227.3 197.8 229.3 184.1 227.1zM111.9 384l.1906 70.36c.125 6.25 1.794 12.4 5.294 17.65l17.15 25.71C140.5 506.6 150.5 512 161.2 512h61.68c10.75 0 20.73-5.388 26.61-14.26l17.09-25.7c3.5-5.25 5.361-11.42 5.361-17.67l.1906-70.36H111.9z"]],
    "lightbulb-exclamation": [384, 512, [], "f671", ["M191.5 .0127C89.47 .2627 16 82.1 16 175.1c0 44.38 16.52 84.89 43.52 115.8c16.62 18.88 42.36 58.23 52.24 91.48c0 .25 .1146 .5104 .1146 .7604l160.3 .0006c0-.25 .0833-.5111 .0833-.7611c9.875-33.25 35.61-72.61 52.24-91.48C351.5 260.9 368 220.4 368 175.1C368 78.62 288.8-.2373 191.5 .0127zM168 88C168 74.75 178.8 64 192 64s24 10.75 24 24v112C216 213.3 205.3 224 192 224S168 213.3 168 200V88zM192 320c-17.67 0-32-14.33-32-32s14.33-32 32-32s32 14.33 32 32S209.7 320 192 320z", "M192 224c13.25 0 24-10.75 24-24v-112C216 74.75 205.3 64 192 64S168 74.75 168 88v112C168 213.3 178.8 224 192 224zM192 320c17.67 0 32-14.33 32-32s-14.33-32-32-32S160 270.3 160 288S174.3 320 192 320zM112.3 384l-.0906 70.35c0 6.297 1.886 12.43 5.355 17.68l17.08 25.69C139.8 505.6 151.8 512 161.2 512h61.67c9.438 0 21.36-6.395 26.61-14.27l17.34-25.7c2.938-4.438 5.097-12.35 5.097-17.68l.2156-70.35L112.3 384z"]],
    "lightbulb-exclamation-on": [640, 512, [], "e1ca", ["M319.5 .0127C217.5 .2627 144 82.1 144 175.1c0 44.38 16.52 84.89 43.52 115.8c16.62 18.88 42.36 58.23 52.24 91.48c0 .25 .1146 .5104 .1146 .7604l160.3 .0006c0-.25 .0833-.5111 .0833-.7611c9.875-33.25 35.61-72.61 52.24-91.48C479.5 260.9 496 220.4 496 175.1C496 78.62 416.8-.2373 319.5 .0127zM296 88C296 74.75 306.8 64 320 64s24 10.75 24 24v112C344 213.3 333.3 224 320 224S296 213.3 296 200V88zM320 320c-17.67 0-32-14.33-32-32s14.33-32 32-32s32 14.33 32 32S337.7 320 320 320z", "M107.1 287.3l-55.5 32c-7.5 4.125-12.25 12.12-12.38 20.88c0 8.625 4.625 16.62 12.12 21c7.625 4.25 16.88 4.125 24.25-.375l55.5-32C142.3 322 145.1 307.5 139.5 296.3C133 284.9 118.5 280.9 107.1 287.3zM112 192c0-13.25-10.75-24-24-24h-64c-13.25 0-24 10.75-24 24c0 13.25 10.75 24 24 24h64C101.3 216 112 205.3 112 192zM131.1 55.25l-55.5-32C68.25 18.75 59 18.62 51.38 22.88c-7.5 4.375-12.12 12.38-12.12 21c.125 8.75 4.875 16.75 12.38 20.88l55.5 32C114.5 101.3 123.8 101.4 131.4 97.13c7.5-4.375 12.12-12.38 12.12-21C143.4 67.38 138.6 59.38 131.1 55.25zM616 168h-64c-13.25 0-24 10.75-24 24c0 13.25 10.75 24 24 24h64c13.25 0 24-10.75 24-24C640 178.8 629.3 168 616 168zM588.4 319.3l-55.5-32c-7.375-4.5-16.62-4.625-24.25-.375c-7.5 4.375-12.12 12.38-12.12 21c.125 8.75 4.875 16.75 12.38 20.88l55.5 32c11.38 6.375 25.88 2.375 32.38-9C603.3 340.5 599.5 326 588.4 319.3zM521 100c4.125 0 8.25-1.125 12-3.25l55.38-32c11.25-6.752 14.88-21.25 8.375-32.5c-6.5-11.38-21-15.38-32.38-9l-55.38 32c-9.5 5.375-14 16.5-11.25 27C500.6 92.75 510.1 100 521 100zM320 224c13.25 0 24-10.75 24-24v-112C344 74.75 333.3 64 320 64S296 74.75 296 88v112C296 213.3 306.8 224 320 224zM320 320c17.67 0 32-14.33 32-32s-14.33-32-32-32S288 270.3 288 288S302.3 320 320 320zM240.1 415.1l.0761 38.36c0 6.297 1.886 12.43 5.355 17.68l17.08 25.69C267.8 505.6 279.8 512 289.2 512h61.67c9.438 0 21.36-6.395 26.61-14.27l17.34-25.7c2.938-4.438 5.097-12.35 5.097-17.68l.2156-70.35l-159.9 .002L240.1 415.1z"]],
    "lightbulb-on": [640, 512, [], "f672", ["M319.5 .0154C217.5 .2654 144 82.1 144 175.1c0 42.63 15.4 83.76 43.52 115.8c16.62 18.88 42.36 58.23 52.24 91.48c0 .25 .1146 .5105 .1146 .7604l160.3 .0007c0-.25 .0833-.5111 .0833-.7611c9.875-33.25 35.61-72.61 52.24-91.48C480.6 259.8 496 218.6 496 175.1C496 78.62 416.8-.2346 319.5 .0154zM320 96.01c-44.13 0-80 35.87-80 79.1c0 8.875-7.125 16-16 16s-16-7.125-16-16C208.1 114.1 258.1 64.14 320 64.01c8.875 0 16 7.126 16 16S328.9 96.01 320 96.01z", "M240.1 415.1l.0167 38.36c0 6.297 1.89 12.43 5.359 17.68l17.09 25.69c5.25 7.875 17.18 14.28 26.65 14.28h61.72c9.438 0 21.38-6.394 26.63-14.27l17.09-25.69C397.6 467.6 400 459.7 400 454.4l.1562-70.35l-159.9 .002L240.1 415.1zM112 192c0-13.25-10.75-24-24-24h-64c-13.25 0-24 10.75-24 24s10.75 24 24 24h64C101.3 216 112 205.3 112 192zM616 168h-64c-13.25 0-24 10.75-24 24s10.75 24 24 24h64c13.25 0 24-10.75 24-24S629.3 168 616 168zM131.1 55.25l-55.5-32C68.25 18.75 59 18.63 51.38 22.88c-7.5 4.375-12.13 12.37-12.13 21c.125 8.75 4.875 16.75 12.38 20.88L107.1 96.75C114.5 101.3 123.8 101.4 131.4 97.13c7.5-4.375 12.12-12.37 12.12-21C143.4 67.38 138.6 59.38 131.1 55.25zM588.4 319.3l-55.5-32c-7.375-4.5-16.62-4.625-24.25-.375c-7.5 4.375-12.12 12.37-12.12 21c.125 8.75 4.875 16.75 12.38 20.88l55.5 32c11.38 6.375 25.88 2.375 32.38-9C603.3 340.5 599.5 326 588.4 319.3zM107.1 287.3L51.62 319.3c-7.5 4.125-12.25 12.12-12.38 20.88c0 8.625 4.625 16.63 12.13 21c7.625 4.25 16.87 4.125 24.25-.375l55.5-32c11.12-6.75 14.87-21.25 8.375-32.5C133 284.9 118.5 280.9 107.1 287.3zM521 100c4.125 0 8.25-1.125 12-3.25l55.38-32c11.25-6.75 14.88-21.25 8.375-32.5c-6.5-11.38-21-15.38-32.38-9L509 55.25c-9.5 5.375-14 16.5-11.25 27C500.6 92.75 510.1 100 521 100z"]],
    "lightbulb-slash": [640, 512, [], "f673", ["M187.6 291.8c16.53 18.84 42.34 58.23 52.22 91.45c.0313 .25 .0625 .5156 .0938 .7812l.1876 70.35c0 6.297 1.875 12.43 5.344 17.68l17.14 25.69c5.25 7.875 17.17 14.28 26.64 14.28h61.66c9.438 0 21.36-6.401 26.61-14.28l17.08-25.68c2.938-4.437 5.348-12.37 5.348-17.7l.0973-44.18L148.2 212.9C154.6 242.6 168.2 269.7 187.6 291.8zM319.5 .0131C246.5 .1927 188.4 42.74 161.1 100.9l52.84 41.41c14.41-45.23 56.08-78.23 106.1-78.33c8.875 0 15.99 7.127 15.99 16S328.9 96.01 319.1 96.01c-39.94 0-72.83 29.46-78.76 67.76l193.4 151.6c6.348-9.328 12.52-17.57 17.82-23.59c28.12-31.1 43.54-73.15 43.54-115.8C495.1 78.62 416.8-.2369 319.5 .0131z", "M615.1 512c-5.188 0-10.39-1.648-14.8-5.117L9.188 42.89c-10.42-8.156-12.24-23.26-4.073-33.7c8.188-10.41 23.23-12.29 33.7-4.073l591.1 463.1c10.42 8.156 12.24 23.26 4.073 33.7C630.2 508.8 623.1 512 615.1 512z"]],
    "lights-holiday": [640, 512, [], "f7b2", ["M146.1 236c-14.66-5.499-69.17-19.1-93.77 45.55c-18.61 49.61 12.1 129.2 26.53 134.3c13.53 5.059 89.65-33.99 108.3-83.69C214.2 262.4 153.1 238.7 146.1 236zM319.1 256c-15.67 0-71.8 5.539-71.8 75.58C248.2 384.6 305.7 448 320.1 448s72.08-63.29 72.08-116.4C392.2 257 327.5 256 319.1 256zM586.8 281.6c-24.6-65.58-79.12-51.05-93.81-45.58c-6.1 2.64-67.24 26.31-41.06 96.11c18.65 49.72 94.81 88.75 108.3 83.69C573.7 410.8 605.4 331.2 586.8 281.6z", "M621.9 127.5c-34.56 18.52-72.57 33.46-112.7 44.92l21.94 58.97c-.002 0 .002 0 0 0c-8.287-1.066-16.17-.5488-22.8 .5879c-.0449 .0078 .0449-.0078 0 0c-3.25 .5625-6.417 1.283-8.968 1.994c-.1074 .0273 .1055-.0273 0 0c-2.469 .6992-4.77 1.449-6.377 2.047c-.6504 .2422-1.993 .7891-3.448 1.418c-.0918 .0391 .0957-.0469 0 0c-4.775 2.074-13.04 6.289-21.14 13.17L444.9 187.3c-29.1 5.398-60.89 8.734-92.43 10.15v65.54c-14.93-6.418-29.15-6.992-32.44-6.992c-6.332 0-19.26 1.16-32.43 6.855V197.5C256 196.1 225.1 192.7 195.1 187.3L172.2 251.2c-.002 0 .002 0 0 0C163.9 244 155.5 239.7 150.6 237.5c-.0215-.0078 .0215 .0078 0 0c-1.564-.6797-2.896-1.223-3.578-1.48c-1.553-.582-3.635-1.266-6-1.945C140.8 234 140.7 234 140.6 233.1C138.2 233.3 135.4 232.7 132.4 232.1c-.2227-.0391-.4219-.0781-.6445-.1172C128.6 231.5 125.3 231.1 121.7 230.9C121.5 230.9 121.4 230.9 121.2 230.9c-3.68-.1641-7.521-.082-11.5 .3828l21.07-58.83c-40.16-11.46-78.17-26.4-112.7-44.92c-17.34-9.289-23.42-31.28-12.83-47.95c9.152-14.4 27.86-19.94 42.8-11.8C123.9 109.1 219.2 131.6 320 131.6s196.1-22.45 271.1-63.81c14.94-8.145 33.65-2.605 42.8 11.8C645.4 96.23 639.3 118.2 621.9 127.5z"]],
    "line-columns": [512, 512, [], "f870", ["M480 96H320C302.3 96 288 81.67 288 64C288 46.33 302.3 32 320 32H480C497.7 32 512 46.33 512 64C512 81.67 497.7 96 480 96zM480 224H320C302.3 224 288 209.7 288 192C288 174.3 302.3 160 320 160H480C497.7 160 512 174.3 512 192C512 209.7 497.7 224 480 224zM288 320C288 302.3 302.3 288 320 288H480C497.7 288 512 302.3 512 320C512 337.7 497.7 352 480 352H320C302.3 352 288 337.7 288 320zM480 480H320C302.3 480 288 465.7 288 448C288 430.3 302.3 416 320 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480z", "M192 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H192C209.7 32 224 46.33 224 64C224 81.67 209.7 96 192 96zM192 224H32C14.33 224 0 209.7 0 192C0 174.3 14.33 160 32 160H192C209.7 160 224 174.3 224 192C224 209.7 209.7 224 192 224zM0 320C0 302.3 14.33 288 32 288H192C209.7 288 224 302.3 224 320C224 337.7 209.7 352 192 352H32C14.33 352 0 337.7 0 320zM192 480H32C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416H192C209.7 416 224 430.3 224 448C224 465.7 209.7 480 192 480z"]],
    "line-height": [576, 512, [], "f871", ["M256 96C256 78.33 270.3 64 288 64H544C561.7 64 576 78.33 576 96C576 113.7 561.7 128 544 128H288C270.3 128 256 113.7 256 96zM256 256C256 238.3 270.3 224 288 224H544C561.7 224 576 238.3 576 256C576 273.7 561.7 288 544 288H288C270.3 288 256 273.7 256 256zM544 384C561.7 384 576 398.3 576 416C576 433.7 561.7 448 544 448H288C270.3 448 256 433.7 256 416C256 398.3 270.3 384 288 384H544z", "M73.37 41.37C85.87 28.88 106.1 28.88 118.6 41.37L182.6 105.4C195.1 117.9 195.1 138.1 182.6 150.6C170.1 163.1 149.9 163.1 137.4 150.6L127.1 141.3V370.7L137.4 361.4C149.9 348.9 170.1 348.9 182.6 361.4C195.1 373.9 195.1 394.1 182.6 406.6L118.6 470.6C106.1 483.1 85.87 483.1 73.37 470.6L9.372 406.6C-3.125 394.1-3.125 373.9 9.372 361.4C21.87 348.9 42.13 348.9 54.63 361.4L63.1 370.7V141.3L54.63 150.6C42.13 163.1 21.87 163.1 9.372 150.6C-3.125 138.1-3.125 117.9 9.372 105.4L73.37 41.37z"]],
    "lines-leaning": [384, 512, [], "e51e", ["", "M62.36 458.1C56.77 474.9 38.65 483.9 21.88 478.4C5.116 472.8-3.946 454.6 1.643 437.9L129.6 53.88C135.2 37.12 153.4 28.05 170.1 33.64C186.9 39.23 195.9 57.35 190.4 74.12L62.36 458.1zM261.3 32.44C278.7 35.34 290.5 51.83 287.6 69.26L223.6 453.3C220.7 470.7 204.2 482.5 186.7 479.6C169.3 476.7 157.5 460.2 160.4 442.7L224.4 58.74C227.3 41.31 243.8 29.53 261.3 32.44H261.3zM352 32C369.7 32 384 46.33 384 64V448C384 465.7 369.7 480 352 480C334.3 480 320 465.7 320 448V64C320 46.33 334.3 32 352 32V32z"]],
    "link": [640, 512, [128279, "chain"], "f0c1", ["M579.8 63.24C636.3 119.7 636.3 211.3 579.8 267.7L467.5 380C411 436.5 319.5 436.5 263 380C213 330 206.5 251.2 247.6 193.7L248.7 192.1C258.1 177.8 278.1 174.4 293.3 184.7C307.7 194.1 311.1 214.1 300.8 229.3L299.7 230.9C276.8 262.1 280.4 306.9 308.3 334.8C339.7 366.2 390.8 366.2 422.3 334.8L534.5 222.5C566 191 566 139.1 534.5 108.5C506.7 80.63 462.7 76.99 430.7 99.9L429.1 101C414.7 111.3 394.7 107.1 384.5 93.58C374.2 79.2 377.5 59.21 391.9 48.94L393.5 47.82C451 6.731 529.8 13.25 579.8 63.24L579.8 63.24z", "M60.21 448.8C3.741 392.3 3.741 300.7 60.21 244.3L172.5 131.1C228.1 75.51 320.5 75.51 376.1 131.1C426.1 181.1 433.5 260.8 392.4 318.3L391.3 319.9C381 334.2 361 337.6 346.7 327.3C332.3 317 328.9 297 339.2 282.7L340.3 281.1C363.2 249 359.6 205.1 331.7 177.2C300.3 145.8 249.2 145.8 217.7 177.2L105.5 289.5C73.99 320.1 73.99 372 105.5 403.5C133.3 431.4 177.3 435 209.3 412.1L210.9 410.1C225.3 400.7 245.3 404 255.5 418.4C265.8 432.8 262.5 452.8 248.1 463.1L246.5 464.2C188.1 505.3 110.2 498.7 60.21 448.8L60.21 448.8z"]],
    "link-horizontal": [640, 512, ["chain-horizontal"], "e1cb", ["M640 303.4C640 383.3 575.3 448 495.4 448H336.6C256.7 448 192 383.3 192 303.4C192 232.7 243.1 172.4 312.8 160.8L314.7 160.4C332.2 157.5 348.7 169.3 351.6 186.7C354.5 204.2 342.7 220.7 325.3 223.6L323.4 223.9C284.5 230.4 256 263.1 256 303.4C256 347.9 292.1 384 336.6 384H495.4C539.9 384 576 347.9 576 303.4C576 263.1 547.5 230.4 508.6 223.9L506.7 223.6C489.3 220.7 477.5 204.2 480.4 186.7C483.3 169.3 499.8 157.5 517.3 160.4L519.2 160.8C588.9 172.4 640 232.7 640 303.4V303.4z", "M0 208.6C0 128.7 64.74 64 144.6 64H303.4C383.3 64 448 128.7 448 208.6C448 279.3 396.9 339.6 327.2 351.2L325.3 351.6C307.8 354.5 291.3 342.7 288.4 325.3C285.5 307.8 297.3 291.3 314.7 288.4L316.6 288.1C355.5 281.6 384 248 384 208.6C384 164.1 347.9 128 303.4 128H144.6C100.1 128 64 164.1 64 208.6C64 248 92.49 281.6 131.4 288.1L133.3 288.4C150.7 291.3 162.5 307.8 159.6 325.3C156.7 342.7 140.2 354.5 122.7 351.6L120.8 351.2C51.11 339.6 0 279.3 0 208.6H0z"]],
    "link-horizontal-slash": [640, 512, ["chain-horizontal-slash"], "e1cc", ["M518.1 380.8C551.6 370.1 576 340 576 303.4C576 263.1 547.5 230.4 508.6 223.9L506.7 223.6C489.3 220.7 477.5 204.2 480.4 186.7C483.3 169.3 499.8 157.5 517.3 160.4L519.2 160.8C588.9 172.4 640 232.7 640 303.4C640 354.2 613.8 398.9 574.1 424.7L518.1 380.8zM364.9 260.7C376.9 246.6 384 228.3 384 208.6C384 164.1 347.9 128 303.4 128H195.6L117.2 66.59C126.1 64.89 135.3 64 144.6 64H303.4C383.3 64 448 128.7 448 208.6C448 243.1 435.8 275.1 415.3 300.2L364.9 260.7zM336.6 448C256.7 448 192 383.3 192 303.4C192 286.2 195 269.5 200.6 254.1L256.2 297.8C256.1 299.7 256 301.5 256 303.4C256 347.9 292.1 384 336.6 384H365.5L446.8 448H336.6zM30.37 119.9L80.65 159.5C70.21 173.1 64 190.1 64 208.6C64 248 92.49 281.6 131.4 288.1L133.3 288.4C150.7 291.3 162.5 307.8 159.6 325.3C156.7 342.7 140.2 354.5 122.7 351.6L120.8 351.2C51.11 339.6 0 279.3 0 208.6C0 175.2 11.34 144.4 30.37 119.9V119.9z", "M5.112 9.194C13.29-1.238 28.37-3.067 38.81 5.11L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.194V9.194z"]],
    "link-simple": [640, 512, [], "e1cd", ["M192 256C192 238.3 206.3 224 224 224H416C433.7 224 448 238.3 448 256C448 273.7 433.7 288 416 288H224C206.3 288 192 273.7 192 256z", "M256 96C273.7 96 288 110.3 288 128C288 145.7 273.7 160 256 160H160C106.1 160 64 202.1 64 256C64 309 106.1 352 160 352H256C273.7 352 288 366.3 288 384C288 401.7 273.7 416 256 416H160C71.63 416 0 344.4 0 256C0 167.6 71.63 96 160 96H256zM480 96C568.4 96 640 167.6 640 256C640 344.4 568.4 416 480 416H384C366.3 416 352 401.7 352 384C352 366.3 366.3 352 384 352H480C533 352 576 309 576 256C576 202.1 533 160 480 160H384C366.3 160 352 145.7 352 128C352 110.3 366.3 96 384 96H480z"]],
    "link-simple-slash": [640, 512, [], "e1ce", ["M481.4 351.1C533.8 351.3 576 308.6 576 256C576 202.1 533 160 480 160H384C366.3 160 352 145.7 352 128C352 110.3 366.3 96 384 96H480C568.4 96 640 167.6 640 256C640 321.1 601.1 377.1 545.3 402.1L481.4 351.1zM318.1 224H416C433.7 224 448 238.3 448 256C448 273.7 433.7 288 416 288H399.7L318.1 224zM154.9 96.08C156.6 96.03 158.3 96 160 96H256C273.7 96 288 110.3 288 128C288 145.7 273.7 160 256 160H236.4L154.9 96.08zM0 256C0 208.1 20.28 166.7 52.57 137.4L104.1 177.1C79.8 195.4 64 223.9 64 256C64 309 106.1 352 160 352H256C273.7 352 288 366.3 288 384C288 401.7 273.7 416 256 416H160C71.63 416 0 344.4 0 256z", "M5.112 9.194C13.29-1.238 28.37-3.067 38.81 5.11L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.194V9.194z"]],
    "link-slash": [640, 512, ["chain-broken", "chain-slash", "unlink"], "f127", ["M438.6 318.4L534.5 222.5C566 191 566 139.1 534.5 108.5C506.7 80.63 462.7 76.99 430.7 99.9L429.1 101C414.7 111.3 394.7 107.1 384.5 93.58C374.2 79.2 377.5 59.21 391.9 48.94L393.5 47.82C451 6.731 529.8 13.25 579.8 63.24C636.3 119.7 636.3 211.3 579.8 267.7L489.3 358.2L438.6 318.4zM353.4 251.7C359.3 225.5 351.7 197.2 331.7 177.2C306.6 152.1 269.1 147 238.1 161.1L185.7 120.3C242.5 75.82 324.7 79.73 376.1 131.1C420.1 175.1 430.9 239.6 406.7 293.5L353.4 251.7zM263 380C233.1 350.1 218.7 309.8 220.9 270L406.6 416.4C357.4 431 301.9 418.9 263 380H263zM116.6 187.9L167.2 227.8L105.5 289.5C73.99 320.1 73.99 372 105.5 403.5C133.3 431.4 177.3 435 209.3 412.1L210.9 410.1C225.3 400.7 245.3 404 255.5 418.4C265.8 432.8 262.5 452.8 248.1 463.1L246.5 464.2C188.1 505.3 110.2 498.7 60.21 448.8C3.741 392.3 3.741 300.7 60.21 244.3L116.6 187.9z", "M5.112 9.194C13.29-1.238 28.37-3.067 38.81 5.11L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.194V9.194z"]],
    "lips": [576, 512, [128482, 128068], "f600", ["M.3947 224H63.89c0 0 74.7 96 224.1 96s224.1-96 224.1-96h63.49c1.093 9.531-.2141 19.29-4.059 28.4C546.3 312.3 470.3 448 324.7 448H251.3c-145.6 0-221.6-135.8-246.9-195.6C.6086 243.3-.6979 233.5 .3947 224z", "M63.89 224h-63.5c.8913-7.773 3.349-15.41 7.547-22.34C54.44 124.6 156.3 64 200 64c0 0 29.33 0 87.99 45C346.7 64 375.1 64 375.1 64c43.68 0 145.6 60.6 192.1 137.7C572.3 208.6 574.7 216.2 575.6 224h-63.49c0 0-56.03-32-140.1-32l-30.96 8.875C324.5 205.5 306.4 208 288 208c-18.39 0-36.53-2.5-53.06-7.125L203.1 192C119.9 192 63.89 224 63.89 224z"]],
    "lira-sign": [320, 512, [8356], "f195", ["M48 256H32C14.33 256 0 241.7 0 224C0 206.3 14.33 192 32 192H48V256zM48 332.5C48 339.1 47.33 345.6 46.01 352H32C14.33 352 0 337.7 0 320C0 302.3 14.33 288 32 288H48V332.5zM110.8 352C111.6 345.6 112 339.1 112 332.5V288H224C241.7 288 256 302.3 256 320C256 337.7 241.7 352 224 352H110.8zM112 256V192H224C241.7 192 256 206.3 256 224C256 241.7 241.7 256 224 256H112z", "M176.4 95.1C140.8 95.1 112 124.8 112 160.4V332.5C112 361.5 104.1 390 89.2 414.9L88.52 416H288C305.7 416 320 430.3 320 448C320 465.7 305.7 480 288 480H32C20.47 480 9.834 473.8 4.154 463.8C-1.527 453.7-1.371 441.4 4.56 431.5L34.32 381.9C43.27 367 48 349.9 48 332.5V160.4C48 89.47 105.5 32 176.4 32C190.2 32 203.9 34.22 216.1 38.59L298.1 65.64C314.9 71.23 323.9 89.35 318.4 106.1C312.8 122.9 294.6 131.9 277.9 126.4L196.7 99.3C190.2 97.12 183.3 96 176.4 96V95.1z"]],
    "list": [512, 512, ["list-squares"], "f03a", ["M160 96C160 78.33 174.3 64 192 64H480C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128H192C174.3 128 160 113.7 160 96zM160 256C160 238.3 174.3 224 192 224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H192C174.3 288 160 273.7 160 256zM480 384C497.7 384 512 398.3 512 416C512 433.7 497.7 448 480 448H192C174.3 448 160 433.7 160 416C160 398.3 174.3 384 192 384H480z", "M16 72C16 58.75 26.75 48 40 48H88C101.3 48 112 58.75 112 72V120C112 133.3 101.3 144 88 144H40C26.75 144 16 133.3 16 120V72zM16 232C16 218.7 26.75 208 40 208H88C101.3 208 112 218.7 112 232V280C112 293.3 101.3 304 88 304H40C26.75 304 16 293.3 16 280V232zM88 368C101.3 368 112 378.7 112 392V440C112 453.3 101.3 464 88 464H40C26.75 464 16 453.3 16 440V392C16 378.7 26.75 368 40 368H88z"]],
    "list-check": [512, 512, ["tasks"], "f0ae", ["M192 384H480C497.7 384 512 398.3 512 416C512 433.7 497.7 448 480 448H192C174.3 448 160 433.7 160 416C160 398.3 174.3 384 192 384zM256 224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H256C238.3 288 224 273.7 224 256C224 238.3 238.3 224 256 224zM256 128C238.3 128 224 113.7 224 96C224 78.33 238.3 64 256 64H480C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128H256z", "M81.84 152.1C77.43 156.9 71.21 159.8 64.63 159.1C58.05 160.2 51.69 157.6 47.03 152.1L7.029 112.1C-2.343 103.6-2.343 88.4 7.029 79.03C16.4 69.66 31.6 69.66 40.97 79.03L63.08 101.1L118.2 39.94C127 30.09 142.2 29.29 152.1 38.16C161.9 47.03 162.7 62.2 153.8 72.06L81.84 152.1zM81.84 312.1C77.43 316.9 71.21 319.8 64.63 319.1C58.05 320.2 51.69 317.6 47.03 312.1L7.029 272.1C-2.343 263.6-2.343 248.4 7.029 239C16.4 229.7 31.6 229.7 40.97 239L63.08 261.1L118.2 199.9C127 190.1 142.2 189.3 152.1 198.2C161.9 207 162.7 222.2 153.8 232.1L81.84 312.1zM0 416C0 389.5 21.49 368 48 368C74.51 368 96 389.5 96 416C96 442.5 74.51 464 48 464C21.49 464 0 442.5 0 416z"]],
    "list-dropdown": [512, 512, [], "e1cf", ["M384 232C397.3 232 408 242.7 408 256C408 269.3 397.3 280 384 280H128C114.7 280 104 269.3 104 256C104 242.7 114.7 232 128 232H384zM384 320C397.3 320 408 330.7 408 344C408 357.3 397.3 368 384 368H128C114.7 368 104 357.3 104 344C104 330.7 114.7 320 128 320H384z", "M0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM64 416H448V192H64V416zM357.7 109.7L394.3 146.3C397.5 149.5 402.5 149.5 405.7 146.3L442.3 109.7C447.4 104.6 443.8 96 436.7 96H363.3C356.2 96 352.6 104.6 357.7 109.7V109.7z"]],
    "list-music": [512, 512, [], "f8c9", ["M31.97 255.1h224.1C273.7 255.1 288 241.7 288 224c0-17.66-14.32-32.02-31.97-32.02H31.97C14.32 191.1 0 206.3 0 223.1C0 241.6 14.32 255.1 31.97 255.1zM31.97 127.1h224.1C273.7 127.1 288 113.6 288 95.99c0-17.66-14.31-32.01-31.97-32.01H31.97C14.32 63.98 0 78.31 0 95.97C0 113.6 14.32 127.1 31.97 127.1zM128 319.1H31.97C14.32 319.1 0 334.3 0 351.1c0 17.66 14.32 32.02 31.97 32.02H128C145.7 383.1 160 369.7 160 352C160 334.4 145.7 319.1 128 319.1z", "M471 1.323l-96.63 28.5C361.1 33.95 352 46.33 352 60.33v299.7c-15.5-5.251-31.62-8.001-48-8.001c-61.88 0-112 35.88-112 80.01S242.1 512 304 512s112-35.88 112-80.01V148.1l73-21.38C502.6 122.7 512 110.2 512 95.96V31.96c0-10.13-4.75-19.64-12.88-25.64C491.1 .323 480.6-1.552 471 1.323z"]],
    "list-ol": [576, 512, ["list-1-2", "list-numeric"], "f0cb", ["M224 96C224 78.33 238.3 64 256 64H512C529.7 64 544 78.33 544 96C544 113.7 529.7 128 512 128H256C238.3 128 224 113.7 224 96zM224 256C224 238.3 238.3 224 256 224H520C537.7 224 552 238.3 552 256C552 273.7 537.7 288 520 288H256C238.3 288 224 273.7 224 256zM512 384C529.7 384 544 398.3 544 416C544 433.7 529.7 448 512 448H256C238.3 448 224 433.7 224 416C224 398.3 238.3 384 256 384H512z", "M111.1 32.04C125.3 32.04 135.1 42.78 135.1 56.04V176H151.1C165.3 176 175.1 186.8 175.1 200C175.1 213.3 165.3 224 151.1 224H71.1C58.74 224 47.1 213.3 47.1 200C47.1 186.8 58.74 176 71.1 176H87.1V80.04H79.1C66.74 80.04 55.1 69.29 55.1 56.04C55.1 42.78 66.74 32.04 79.1 32.04H111.1zM83.53 357.9C75.83 368.7 60.84 371.2 50.05 363.5C39.26 355.8 36.77 340.8 44.47 330.1L55.59 314.5C79.33 281.2 127.9 278.8 154.8 309.6C176.1 333.1 175.6 370.5 153.7 394.3L118.8 432H152C165.3 432 176 442.7 176 456C176 469.3 165.3 480 152 480H64C54.47 480 45.84 474.4 42.02 465.6C38.19 456.9 39.9 446.7 46.36 439.7L118.4 361.7C123.7 355.9 123.8 347.1 118.7 341.2C112.1 333.8 100.4 334.3 94.65 342.4L83.53 357.9z"]],
    "list-radio": [512, 512, [], "e1d0", ["M160 96C160 78.33 174.3 64 192 64H480C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128H192C174.3 128 160 113.7 160 96zM160 256C160 238.3 174.3 224 192 224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H192C174.3 288 160 273.7 160 256zM480 384C497.7 384 512 398.3 512 416C512 433.7 497.7 448 480 448H192C174.3 448 160 433.7 160 416C160 398.3 174.3 384 192 384H480z", "M0 96C0 60.65 28.65 32 64 32C99.35 32 128 60.65 128 96C128 131.3 99.35 160 64 160C28.65 160 0 131.3 0 96zM0 256C0 220.7 28.65 192 64 192C99.35 192 128 220.7 128 256C128 291.3 99.35 320 64 320C28.65 320 0 291.3 0 256zM64 280C77.25 280 88 269.3 88 256C88 242.7 77.25 232 64 232C50.75 232 40 242.7 40 256C40 269.3 50.75 280 64 280zM0 416C0 380.7 28.65 352 64 352C99.35 352 128 380.7 128 416C128 451.3 99.35 480 64 480C28.65 480 0 451.3 0 416zM64 440C77.25 440 88 429.3 88 416C88 402.7 77.25 392 64 392C50.75 392 40 402.7 40 416C40 429.3 50.75 440 64 440z"]],
    "list-timeline": [512, 512, [], "e1d1", ["M153.1 83.2L191.5 54.4C197 50.25 203.7 48 210.7 48H424C437.3 48 448 58.75 448 72V120C448 133.3 437.3 144 424 144H210.7C203.7 144 197 141.8 191.5 137.6L153.1 108.8C144.5 102.4 144.5 89.6 153.1 83.2V83.2zM210.7 208H488C501.3 208 512 218.7 512 232V280C512 293.3 501.3 304 488 304H210.7C203.7 304 197 301.8 191.5 297.6L153.1 268.8C144.5 262.4 144.5 249.6 153.1 243.2L191.5 214.4C197 210.2 203.7 208 210.7 208zM210.7 368H424C437.3 368 448 378.7 448 392V440C448 453.3 437.3 464 424 464H210.7C203.7 464 197 461.8 191.5 457.6L153.1 428.8C144.5 422.4 144.5 409.6 153.1 403.2L191.5 374.4C197 370.2 203.7 368 210.7 368z", "M16 96C16 69.49 37.49 48 64 48C90.51 48 112 69.49 112 96C112 122.5 90.51 144 64 144C37.49 144 16 122.5 16 96zM112 256C112 282.5 90.51 304 64 304C37.49 304 16 282.5 16 256C16 229.5 37.49 208 64 208C90.51 208 112 229.5 112 256zM112 416C112 442.5 90.51 464 64 464C37.49 464 16 442.5 16 416C16 389.5 37.49 368 64 368C90.51 368 112 389.5 112 416z"]],
    "list-tree": [512, 512, [], "e1d2", ["M160 96C160 78.33 174.3 64 192 64H480C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128H192C174.3 128 160 113.7 160 96zM288 256C288 238.3 302.3 224 320 224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H320C302.3 288 288 273.7 288 256zM480 384C497.7 384 512 398.3 512 416C512 433.7 497.7 448 480 448H320C302.3 448 288 433.7 288 416C288 398.3 302.3 384 320 384H480z", "M72 48C85.25 48 96 58.75 96 72V120C96 133.3 85.25 144 72 144V232H128C128 218.7 138.7 208 152 208H200C213.3 208 224 218.7 224 232V280C224 293.3 213.3 304 200 304H152C138.7 304 128 293.3 128 280H72V384C72 388.4 75.58 392 80 392H128C128 378.7 138.7 368 152 368H200C213.3 368 224 378.7 224 392V440C224 453.3 213.3 464 200 464H152C138.7 464 128 453.3 128 440H80C49.07 440 24 414.9 24 384V144C10.75 144 0 133.3 0 120V72C0 58.75 10.75 48 24 48H72z"]],
    "list-ul": [512, 512, ["list-dots"], "f0ca", ["M160 96C160 78.33 174.3 64 192 64H480C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128H192C174.3 128 160 113.7 160 96zM160 256C160 238.3 174.3 224 192 224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H192C174.3 288 160 273.7 160 256zM480 384C497.7 384 512 398.3 512 416C512 433.7 497.7 448 480 448H192C174.3 448 160 433.7 160 416C160 398.3 174.3 384 192 384H480z", "M16 96C16 69.49 37.49 48 64 48C90.51 48 112 69.49 112 96C112 122.5 90.51 144 64 144C37.49 144 16 122.5 16 96zM112 256C112 282.5 90.51 304 64 304C37.49 304 16 282.5 16 256C16 229.5 37.49 208 64 208C90.51 208 112 229.5 112 256zM112 416C112 442.5 90.51 464 64 464C37.49 464 16 442.5 16 416C16 389.5 37.49 368 64 368C90.51 368 112 389.5 112 416z"]],
    "litecoin-sign": [384, 512, [], "e1d3", ["M64 280.1L40.79 286.8C23.8 291.6 6.087 281.8 1.232 264.8C-3.623 247.8 6.216 230.1 23.21 225.2L64 213.6L64 280.1zM128 195.3L247.2 161.2C264.2 156.4 281.9 166.2 286.8 183.2C291.6 200.2 281.8 217.9 264.8 222.8L128 261.9L128 195.3z", "M96 32C113.7 32 128 46.33 128 64V416H352C369.7 416 384 430.3 384 448C384 465.7 369.7 480 352 480H96C78.33 480 64 465.7 64 448V64C64 46.33 78.33 32 96 32z"]],
    "loader": [576, 512, [], "e1d4", ["M423.8 74.97C436.3 62.48 456.5 62.48 469 74.97C481.5 87.47 481.5 107.7 469 120.2L423.8 165.5C411.3 177.1 391 177.1 378.5 165.5C366 152.1 366 132.7 378.5 120.2L423.8 74.97zM416 255.1C416 238.3 430.3 223.1 448 223.1H512C529.7 223.1 544 238.3 544 255.1C544 273.7 529.7 287.1 512 287.1H448C430.3 287.1 416 273.7 416 255.1zM287.1 383.1C305.7 383.1 320 398.3 320 415.1V479.1C320 497.7 305.7 511.1 287.1 511.1C270.3 511.1 255.1 497.7 255.1 479.1V415.1C255.1 398.3 270.3 383.1 287.1 383.1zM469 391.8C481.5 404.3 481.5 424.5 469 437C456.5 449.5 436.3 449.5 423.8 437L378.5 391.8C366 379.3 366 359 378.5 346.5C391 334 411.3 334 423.8 346.5L469 391.8zM106.1 437C94.48 424.5 94.48 404.3 106.1 391.8L152.2 346.5C164.7 334 184.1 334 197.5 346.5C209.1 359 209.1 379.3 197.5 391.8L152.2 437C139.7 449.5 119.5 449.5 106.1 437z", "M288 0C305.7 0 320 14.33 320 32V96C320 113.7 305.7 128 288 128C270.3 128 256 113.7 256 96V32C256 14.33 270.3 0 288 0zM32 256C32 238.3 46.33 224 64 224H128C145.7 224 160 238.3 160 256C160 273.7 145.7 288 128 288H64C46.33 288 32 273.7 32 256zM197.5 120.2C209.1 132.7 209.1 152.1 197.5 165.5C184.1 177.1 164.7 177.1 152.2 165.5L106.1 120.2C94.48 107.7 94.48 87.48 106.1 74.98C119.5 62.49 139.7 62.49 152.2 74.98L197.5 120.2z"]],
    "lobster": [512, 512, [129438], "e421", ["M192 352H175.1c-12.34 0-24.72 2.922-35.75 8.438l-18.5 9.25c-7.906 3.953-11.09 13.56-7.156 21.47C116.5 396.8 122.2 400 128 400c2.406 0 4.844-.5469 7.156-1.688l18.5-9.25C160.3 385.8 167.7 384 175.1 384h18.2C192.4 378.9 192 373.6 192 368.4V352zM72.84 262.3l34.5 17.25C118.4 285.1 130.8 288 143.1 288H192V256H143.1C135.7 256 128.3 254.3 121.7 250.9l-34.5-17.25c-7.875-3.891-17.5-.7656-21.47 7.156C61.75 248.8 64.94 258.4 72.84 262.3zM192 336v-32H122.4c-5.156 0-10.25-.8281-15.16-2.453L69.06 288.8c-8.344-2.734-17.44 1.719-20.25 10.11C46.03 307.3 50.56 316.4 58.94 319.2l38.16 12.73C105.3 334.6 113.8 336 122.4 336H192zM463.2 298.9c-2.812-8.391-11.91-12.86-20.25-10.11l-38.16 12.71C399.9 303.2 394.8 304 389.6 304H320v32h69.63c8.594 0 17.09-1.37 25.28-4.104l38.16-12.72C461.4 316.4 465.1 307.3 463.2 298.9zM320 288h48.91c12.34 0 24.72-2.922 35.75-8.438l34.5-17.25c7.906-3.953 11.09-13.56 7.156-21.47c-3.969-7.922-13.53-11.08-21.47-7.156l-34.5 17.25C383.7 254.3 376.3 256 368.9 256H320V288zM391.2 369.7l-18.5-9.25C361.6 354.9 349.3 352 336.9 352H320v16.42C320 373.6 319.6 378.9 318.7 384h18.2c7.406 0 14.81 1.75 21.44 5.062l18.5 9.25C379.2 399.5 381.6 400 384 400c5.844 0 11.5-3.234 14.31-8.844C402.3 383.3 399.1 373.6 391.2 369.7zM352 32c0-8.844-7.156-16-16-16c-35.28 0-64 28.7-64 64v58.57c9.861 7.475 22.22 19.01 32 34.44V80c0-17.64 14.34-32 32-32C344.8 48 352 40.84 352 32zM176 16C167.2 16 160 23.16 160 32s7.156 16 16 16c17.66 0 32 14.36 32 32v93.01c9.779-15.44 22.14-26.97 32-34.44V80C240 44.7 211.3 16 176 16z", "M512 79.1V128c0 36.37-30.43 65.24-67.18 63.51l-46.54 32.58C383.4 234.5 365.1 240 347.8 240H320v128.4c0 10.32-1.664 20.57-4.926 30.36l-16.75 50.26C328.7 454 352 480.2 352 512l-192 0c0-31.81 23.27-57.1 53.68-62.96l-16.76-50.26C193.7 388.1 192 378.7 192 368.4V240H164.2c-18.19 0-35.63-5.5-50.5-15.91L67.17 191.5C30.42 193.2 0 164.4 0 128V79.1C0 35.82 35.82 0 79.1 0L80 96L128 32v92.57c0 15.16-5.045 29.7-13.6 41.43l26.81 18.78C147.1 189.5 155.9 192 164.2 192h34.09C214.1 149.6 256 128 256 128s41.95 21.58 57.72 64h34.09c8.281 0 16.22-2.5 22.94-7.219l26.84-18.78C389 154.3 384 139.7 384 124.6V32l48 64l0-96C476.2 0 512 35.82 512 79.1z"]],
    "location-arrow": [448, 512, [], "f124", ["M285.6 444.1C279.8 458.3 264.8 466.3 249.8 463.4C234.8 460.4 223.1 447.3 223.1 432V256H47.1C32.71 256 19.55 245.2 16.6 230.2C13.65 215.2 21.73 200.2 35.88 194.4L387.9 50.38C399.8 45.5 413.5 48.26 422.6 57.37C431.7 66.49 434.5 80.19 429.6 92.12L285.6 444.1z", ""]],
    "location-check": [384, 512, ["map-marker-check"], "f606", ["M168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2H168.3zM288.1 160.1C298.3 151.6 298.3 136.4 288.1 127C279.6 117.7 264.4 117.7 255 127L160 222.1L120.1 183C111.6 173.7 96.4 173.7 87.03 183C77.66 192.4 77.66 207.6 87.03 216.1L143 272.1C152.4 282.3 167.6 282.3 176.1 272.1L288.1 160.1z", "M288.1 127C298.3 136.4 298.3 151.6 288.1 160.1L176.1 272.1C167.6 282.3 152.4 282.3 143 272.1L87.03 216.1C77.66 207.6 77.66 192.4 87.03 183C96.4 173.7 111.6 173.7 120.1 183L160 222.1L255 127C264.4 117.7 279.6 117.7 288.1 127V127z"]],
    "location-crosshairs": [512, 512, ["location"], "f601", ["M336 256C336 300.2 300.2 336 256 336C211.8 336 176 300.2 176 256C176 211.8 211.8 176 256 176C300.2 176 336 211.8 336 256z", "M256 0C273.7 0 288 14.33 288 32V66.65C368.4 80.14 431.9 143.6 445.3 224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H445.3C431.9 368.4 368.4 431.9 288 445.3V480C288 497.7 273.7 512 256 512C238.3 512 224 497.7 224 480V445.3C143.6 431.9 80.14 368.4 66.65 288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H66.65C80.14 143.6 143.6 80.14 224 66.65V32C224 14.33 238.3 0 256 0zM128 256C128 326.7 185.3 384 256 384C326.7 384 384 326.7 384 256C384 185.3 326.7 128 256 128C185.3 128 128 185.3 128 256z"]],
    "location-crosshairs-slash": [640, 512, ["location-slash"], "f603", ["M509.3 288C505.3 312 496.8 334.5 484.8 354.6L433.8 314.7C442.9 297.1 448 277.2 448 256C448 185.3 390.7 128 320 128C287.8 128 258.3 139.9 235.8 159.5L184.9 119.6C212.4 92.34 248.1 73.35 288 66.65V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V66.65C432.4 80.14 495.9 143.6 509.3 224H544C561.7 224 576 238.3 576 256C576 273.7 561.7 288 544 288H509.3zM400 256C400 265.9 398.2 275.4 394.9 284.2L274.7 190C287.6 181.2 303.2 176 320 176C364.2 176 400 211.8 400 256zM352 445.3V480C352 497.7 337.7 512 320 512C302.3 512 288 497.7 288 480V445.3C207.6 431.9 144.1 368.4 130.7 288H96C78.33 288 64 273.7 64 256C64 238.3 78.33 224 96 224H130.7C131.9 216.8 133.5 209.7 135.5 202.7L192.3 247.5C192.1 250.3 192 253.1 192 256C192 326.7 249.3 384 320 384C333.3 384 346.1 381.1 358.2 378.2L414.9 422.9C395.8 433.8 374.6 441.6 352 445.3V445.3z", "M5.112 9.194C13.29-1.238 28.37-3.067 38.81 5.11L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.194V9.194z"]],
    "location-dot": [384, 512, ["map-marker-alt"], "f3c5", ["M168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2H168.3zM192 272C236.2 272 272 236.2 272 192C272 147.8 236.2 112 192 112C147.8 112 112 147.8 112 192C112 236.2 147.8 272 192 272z", "M240 192C240 218.5 218.5 240 192 240C165.5 240 144 218.5 144 192C144 165.5 165.5 144 192 144C218.5 144 240 165.5 240 192z"]],
    "location-dot-slash": [640, 512, ["map-marker-alt-slash"], "f605", ["M363.2 259.4C385.3 245.1 400 220.3 400 192C400 147.8 364.2 112 319.1 112C284.9 112 255 134.7 244.3 166.1L154 95.42C187.3 38.35 249.2 0 319.1 0C426 0 512 85.96 512 192C512 230.7 489 282.8 459 334.5L363.2 259.4zM296.3 499.2C245.9 436.2 132.3 285.2 128.1 196.9L406.2 416.1C382.7 449.5 359.9 478.9 343.7 499.2C331.4 514.5 308.6 514.5 296.3 499.2V499.2z", "M5.112 9.194C13.29-1.238 28.37-3.067 38.81 5.11L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.194V9.194z"]],
    "location-exclamation": [384, 512, ["map-marker-exclamation"], "f608", ["M168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2H168.3zM168 120V232C168 245.3 178.7 256 192 256C205.3 256 216 245.3 216 232V120C216 106.7 205.3 96 192 96C178.7 96 168 106.7 168 120zM192 288C174.3 288 160 302.3 160 320C160 337.7 174.3 352 192 352C209.7 352 224 337.7 224 320C224 302.3 209.7 288 192 288z", "M216 232C216 245.3 205.3 256 192 256C178.7 256 168 245.3 168 232V120C168 106.7 178.7 96 192 96C205.3 96 216 106.7 216 120V232zM160 320C160 302.3 174.3 288 192 288C209.7 288 224 302.3 224 320C224 337.7 209.7 352 192 352C174.3 352 160 337.7 160 320z"]],
    "location-minus": [384, 512, ["map-marker-minus"], "f609", ["M168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2H168.3zM120 168C106.7 168 96 178.7 96 192C96 205.3 106.7 216 120 216H264C277.3 216 288 205.3 288 192C288 178.7 277.3 168 264 168H120z", "M96 192C96 178.7 106.7 168 120 168H264C277.3 168 288 178.7 288 192C288 205.3 277.3 216 264 216H120C106.7 216 96 205.3 96 192z"]],
    "location-pen": [384, 512, ["map-marker-edit"], "f607", ["M168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2H168.3zM276.8 107C262.1 92.31 238.2 92.31 223.5 107L208.6 121.1L261.9 175.3L276.8 160.4C291.5 145.6 291.5 121.8 276.8 107V107zM105.6 231.4L96.48 268C95.12 273.5 96.71 279.3 100.7 283.2C104.7 287.2 110.4 288.8 115.9 287.4L152.5 278.3C158.1 276.9 163.3 273.1 167.4 269.9L239.3 197.9L185.1 144.6L114.1 216.5C109.1 220.6 107 225.8 105.6 231.4H105.6z", "M223.5 107C238.2 92.31 262.1 92.31 276.8 107C291.5 121.8 291.5 145.6 276.8 160.4L261.9 175.3L208.6 121.1L223.5 107zM239.3 197.9L167.4 269.9C163.3 273.1 158.1 276.9 152.5 278.3L115.9 287.4C110.4 288.8 104.7 287.2 100.7 283.2C96.71 279.3 95.12 273.5 96.48 268L105.6 231.4C107 225.8 109.1 220.6 114.1 216.5L185.1 144.6L239.3 197.9z"]],
    "location-pin": [384, 512, ["map-marker"], "f041", ["M384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192H384z", ""]],
    "location-pin-lock": [512, 512, [], "e51f", ["M256 446.8C240.7 467.4 226.7 485.4 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C287.7 0 366.1 69.96 381.6 161.5C328.5 170.3 288 216.4 288 272V296.6C268.9 307.6 256 328.3 256 352L256 446.8zM192 128C156.7 128 128 156.7 128 192C128 227.3 156.7 256 192 256C227.3 256 256 227.3 256 192C256 156.7 227.3 128 192 128z", "M320 320V272C320 227.8 355.8 192 400 192C444.2 192 480 227.8 480 272V320C497.7 320 512 334.3 512 352V480C512 497.7 497.7 512 480 512H320C302.3 512 288 497.7 288 480V352C288 334.3 302.3 320 320 320zM368 320H432V272C432 254.3 417.7 240 400 240C382.3 240 368 254.3 368 272V320z"]],
    "location-pin-slash": [640, 512, ["map-marker-slash"], "f60c", ["M154 95.42C187.3 38.35 249.2 0 319.1 0C426 0 512 85.96 512 192C512 230.7 489 282.8 459 334.5L154 95.42zM296.3 499.2C245.9 436.2 132.3 285.2 128.1 196.9L406.2 416.1C382.7 449.5 359.9 478.9 343.7 499.2C331.4 514.5 308.6 514.5 296.3 499.2V499.2z", "M5.112 9.194C13.29-1.238 28.37-3.067 38.81 5.11L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.194V9.194z"]],
    "location-plus": [384, 512, ["map-marker-plus"], "f60a", ["M168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2H168.3zM168 120V168H120C106.7 168 96 178.7 96 192C96 205.3 106.7 216 120 216H168V264C168 277.3 178.7 288 192 288C205.3 288 216 277.3 216 264V216H264C277.3 216 288 205.3 288 192C288 178.7 277.3 168 264 168H216V120C216 106.7 205.3 96 192 96C178.7 96 168 106.7 168 120z", "M216 168H264C277.3 168 288 178.7 288 192C288 205.3 277.3 216 264 216H216V264C216 277.3 205.3 288 192 288C178.7 288 168 277.3 168 264V216H120C106.7 216 96 205.3 96 192C96 178.7 106.7 168 120 168H168V120C168 106.7 178.7 96 192 96C205.3 96 216 106.7 216 120V168z"]],
    "location-question": [384, 512, ["map-marker-question"], "f60b", ["M168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2H168.3zM105.4 134.5C100.9 147 107.5 160.7 119.1 165.2C132.5 169.6 146.2 163.1 150.6 150.6L151.1 149.3C152.2 146.1 155.2 144 158.6 144H216.9C225.2 144 232 150.8 232 159.1C232 164.6 229.1 169.6 224.4 172.3L180.1 197.7C172.6 202 168 209.9 168 218.5V232C168 245.3 178.7 256 192 256C205.1 256 215.8 245.5 215.1 232.4L248.3 213.9C267.9 202.7 280 181.8 280 159.1C280 124.3 251.7 96 216.9 96H158.6C134.9 96 113.8 110.9 105.8 133.3L105.4 134.5zM192 288C174.3 288 160 302.3 160 320C160 337.7 174.3 352 192 352C209.7 352 224 337.7 224 320C224 302.3 209.7 288 192 288z", "M216.9 96C251.7 96 280 124.3 280 159.1C280 181.8 267.9 202.7 248.3 213.9L215.1 232.4C215.8 245.5 205.1 256 192 256C178.7 256 168 245.3 168 232V218.5C168 209.9 172.6 202 180.1 197.7L224.4 172.3C229.1 169.6 232 164.6 232 159.1C232 150.8 225.2 144 216.9 144H158.6C155.2 144 152.2 146.1 151.1 149.3L150.6 150.6C146.2 163.1 132.5 169.6 119.1 165.2C107.5 160.7 100.9 147 105.4 134.5L105.8 133.3C113.8 110.9 134.9 96 158.6 96L216.9 96zM159.1 320C159.1 302.3 174.3 288 191.1 288C209.7 288 224 302.3 224 320C224 337.7 209.7 352 191.1 352C174.3 352 159.1 337.7 159.1 320z"]],
    "location-smile": [384, 512, ["map-marker-smile"], "f60d", ["M168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2H168.3zM128 192C145.7 192 160 177.7 160 160C160 142.3 145.7 128 128 128C110.3 128 96 142.3 96 160C96 177.7 110.3 192 128 192zM256 128C238.3 128 224 142.3 224 160C224 177.7 238.3 192 256 192C273.7 192 288 177.7 288 160C288 142.3 273.7 128 256 128zM128.6 244.9C122.5 235.7 110.1 233.2 100.9 239.4C91.72 245.5 89.23 257.9 95.36 267.1C106.9 284.4 140.9 316 192 316C243.1 316 277.1 284.4 288.6 267.1C294.8 257.9 292.3 245.5 283.1 239.4C273.9 233.2 261.5 235.7 255.4 244.9C249.1 254.3 226.3 276 192 276C157.7 276 134.9 254.3 128.6 244.9z", "M160 160C160 177.7 145.7 192 128 192C110.3 192 96 177.7 96 160C96 142.3 110.3 128 128 128C145.7 128 160 142.3 160 160zM288 160C288 177.7 273.7 192 256 192C238.3 192 224 177.7 224 160C224 142.3 238.3 128 256 128C273.7 128 288 142.3 288 160zM192 276C226.3 276 249.1 254.3 255.4 244.9C261.5 235.7 273.9 233.2 283.1 239.4C292.3 245.5 294.8 257.9 288.6 267.1C277.1 284.4 243.1 316 192 316C140.9 316 106.9 284.4 95.36 267.1C89.23 257.9 91.72 245.5 100.9 239.4C110.1 233.2 122.5 235.7 128.6 244.9C134.9 254.3 157.7 276 192 276z"]],
    "location-xmark": [384, 512, ["map-marker-times", "map-marker-xmark"], "f60e", ["M168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2H168.3zM116.1 150.1L158.1 191.1L116.1 233.9C106.7 243.3 106.7 258.5 116.1 267.9C125.5 277.3 140.7 277.3 150.1 267.9L191.1 225.9L233.9 267.9C243.3 277.3 258.5 277.3 267.9 267.9C277.3 258.5 277.3 243.3 267.9 233.9L225.9 191.1L267.9 150.1C277.3 140.7 277.3 125.5 267.9 116.1C258.5 106.7 243.3 106.7 233.9 116.1L191.1 158.1L150.1 116.1C140.7 106.7 125.5 106.7 116.1 116.1C106.7 125.5 106.7 140.7 116.1 150.1z", "M191.1 158.1L233.9 116.1C243.3 106.7 258.5 106.7 267.9 116.1C277.3 125.5 277.3 140.7 267.9 150.1L225.9 191.1L267.9 233.9C277.3 243.3 277.3 258.5 267.9 267.9C258.5 277.3 243.3 277.3 233.9 267.9L191.1 225.9L150.1 267.9C140.7 277.3 125.5 277.3 116.1 267.9C106.7 258.5 106.7 243.3 116.1 233.9L158.1 191.1L116.1 150.1C106.7 140.7 106.7 125.5 116.1 116.1C125.5 106.7 140.7 106.7 150.1 116.1L191.1 158.1z"]],
    "lock": [448, 512, [128274], "f023", ["M224 64C179.8 64 144 99.82 144 144V192H80V144C80 64.47 144.5 0 224 0C303.5 0 368 64.47 368 144V192H304V144C304 99.82 268.2 64 224 64z", "M0 256C0 220.7 28.65 192 64 192H384C419.3 192 448 220.7 448 256V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V256z"]],
    "lock-a": [448, 512, [], "e422", ["M224 307.8L254.1 368H193.9L224 307.8zM224 0C303.5 0 368 64.47 368 144V192H384C419.3 192 448 220.7 448 256V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V256C0 220.7 28.65 192 64 192H80V144C80 64.47 144.5 0 224 0zM224 64C179.8 64 144 99.82 144 144V192H304V144C304 99.82 268.2 64 224 64zM136.8 446.3C144.7 450.3 154.4 447.1 158.3 439.2L177.9 400H270.1L289.7 439.2C293.6 447.1 303.3 450.3 311.2 446.3C319.1 442.4 322.3 432.7 318.3 424.8L238.4 264.1C237.6 263.4 236.6 261.1 235.3 260.7C233.9 259.2 232.2 258.1 230.4 257.3C228.3 256.4 226.1 255.1 224 255.1C221.9 255.1 219.7 256.4 217.6 257.3C215.8 258.1 214.1 259.3 212.6 260.7C211.4 261.1 210.4 263.4 209.6 264.1L129.7 424.8C125.7 432.7 128.9 442.4 136.8 446.3V446.3z", "M238.4 264.1L318.3 424.8C322.3 432.7 319.1 442.4 311.2 446.3C303.3 450.3 293.6 447.1 289.7 439.2L270.1 400H177.9L158.3 439.2C154.4 447.1 144.7 450.3 136.8 446.3C128.9 442.4 125.7 432.7 129.7 424.8L209.6 264.1C210.4 263.4 211.4 261.1 212.7 260.7C214.1 259.2 215.8 258.1 217.6 257.3C219.7 256.4 221.9 255.1 223.1 255.1C226.1 255.1 228.3 256.4 230.4 257.3C232.2 258.1 233.9 259.2 235.3 260.7C236.6 261.1 237.6 263.4 238.4 264.1V264.1zM254.1 368L223.1 307.8L193.9 368H254.1z"]],
    "lock-hashtag": [448, 512, [], "e423", ["M192 320H256V384H192V320zM80 192V144C80 64.47 144.5 0 224 0C303.5 0 368 64.47 368 144V192H384C419.3 192 448 220.7 448 256V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V256C0 220.7 28.65 192 64 192H80zM144 192H304V144C304 99.82 268.2 64 224 64C179.8 64 144 99.82 144 144V192zM160 256V288H128C119.2 288 112 295.2 112 304C112 312.8 119.2 320 128 320H160V384H128C119.2 384 112 391.2 112 400C112 408.8 119.2 416 128 416H160V448C160 456.8 167.2 464 176 464C184.8 464 192 456.8 192 448V416H256V448C256 456.8 263.2 464 272 464C280.8 464 288 456.8 288 448V416H320C328.8 416 336 408.8 336 400C336 391.2 328.8 384 320 384H288V320H320C328.8 320 336 312.8 336 304C336 295.2 328.8 288 320 288H288V256C288 247.2 280.8 240 272 240C263.2 240 256 247.2 256 256V288H192V256C192 247.2 184.8 240 176 240C167.2 240 160 247.2 160 256z", "M192 288H256V256C256 247.2 263.2 240 272 240C280.8 240 288 247.2 288 256V288H320C328.8 288 336 295.2 336 304C336 312.8 328.8 320 320 320H288V384H320C328.8 384 336 391.2 336 400C336 408.8 328.8 416 320 416H288V448C288 456.8 280.8 464 272 464C263.2 464 256 456.8 256 448V416H192V448C192 456.8 184.8 464 176 464C167.2 464 160 456.8 160 448V416H128C119.2 416 112 408.8 112 400C112 391.2 119.2 384 128 384H160V320H128C119.2 320 112 312.8 112 304C112 295.2 119.2 288 128 288H160V256C160 247.2 167.2 240 176 240C184.8 240 192 247.2 192 256V288zM256 384V320H192V384H256z"]],
    "lock-keyhole": [448, 512, ["lock-alt"], "f30d", ["M224 64C179.8 64 144 99.82 144 144V192H80V144C80 64.47 144.5 0 224 0C303.5 0 368 64.47 368 144V192H304V144C304 99.82 268.2 64 224 64z", "M384 192C419.3 192 448 220.7 448 256V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V256C0 220.7 28.65 192 64 192H384zM256 320C256 302.3 241.7 288 224 288C206.3 288 192 302.3 192 320V384C192 401.7 206.3 416 224 416C241.7 416 256 401.7 256 384V320z"]],
    "lock-keyhole-open": [576, 512, ["lock-open-alt"], "f3c2", ["M432 64C387.8 64 352 99.82 352 144V192H288V144C288 64.47 352.5 0 432 0C511.5 0 576 64.47 576 144V192C576 209.7 561.7 224 544 224C526.3 224 512 209.7 512 192V144C512 99.82 476.2 64 432 64z", "M384 192C419.3 192 448 220.7 448 256V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V256C0 220.7 28.65 192 64 192H384zM256 384C273.7 384 288 369.7 288 352C288 334.3 273.7 320 256 320H192C174.3 320 160 334.3 160 352C160 369.7 174.3 384 192 384H256z"]],
    "lock-open": [576, 512, [], "f3c1", ["M432 64C387.8 64 352 99.82 352 144V192H288V144C288 64.47 352.5 0 432 0C511.5 0 576 64.47 576 144V192C576 209.7 561.7 224 544 224C526.3 224 512 209.7 512 192V144C512 99.82 476.2 64 432 64z", "M0 256C0 220.7 28.65 192 64 192H384C419.3 192 448 220.7 448 256V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V256z"]],
    "locust": [576, 512, [], "e520", ["M328 32C464.1 32 576 143 576 280V320C576 286.1 554.9 257 525 245.4C508.6 151.4 426.7 80 328 80H312C298.7 80 288 69.25 288 56C288 42.75 298.7 32 312 32H328z", "M307.8 193.3L348.7 137.8C353.8 130.8 362.2 127.2 370.8 128.2C379.3 129.1 386.7 134.6 390.1 142.5L431.8 240H496C540.2 240 576 275.8 576 320C576 364.2 540.2 400 496 400H483.6L508.8 444.1C515.4 455.6 511.4 470.3 499.9 476.8C488.4 483.4 473.7 479.4 467.2 467.9L428.4 400H347.1L299.7 469.7C292.2 480.6 277.2 483.3 266.3 475.7C255.4 468.2 252.7 453.2 260.3 442.3L289.6 400H215.1L163.3 470.2C155.5 480.9 140.4 483.2 129.8 475.3C119.1 467.5 116.8 452.4 124.7 441.8L165.2 386.7L122.2 370.4L42.84 470.9C34.62 481.3 19.53 483 9.13 474.8C-1.274 466.6-3.049 451.5 5.164 441.1L245.2 137.1C250.4 130.5 258.8 127.1 267.2 128.2C275.5 129.3 282.7 134.8 286.1 142.5L307.8 193.3zM379.6 240L362.5 199.1L332.1 240H379.6zM273.3 240L274.8 238.1L257.8 198.5L225.1 240H273.3zM496 304C487.2 304 480 311.2 480 320C480 328.8 487.2 336 496 336C504.8 336 512 328.8 512 320C512 311.2 504.8 304 496 304zM48.9 337.3C38.31 326.8 32 312.3 32 296.8C32 265.4 57.45 240 88.83 240H126.7L48.9 337.3z"]],
    "lollipop": [512, 512, [127853, "lollypop"], "e424", ["M502.6 502.6C496.6 508.6 488.5 511.1 479.1 511.1C471.5 511.1 463.4 508.6 457.4 502.6L303.1 348.3C320.6 335.9 335.9 320.6 348.3 303.1L502.6 457.4C508.6 463.4 511.1 471.5 511.1 479.1C511.1 488.5 508.6 496.6 502.6 502.6z", "M327.7 56.29C363.7 92.29 383.9 141.1 384 192C384 229.1 372.7 267.1 351.6 298.7C330.5 330.2 300.6 354.9 265.5 369.4C230.4 383.9 191.8 387.7 154.5 380.3C117.3 372.9 83.09 354.6 56.24 327.8C29.38 300.9 11.1 266.7 3.689 229.5C-3.719 192.2 .0832 153.6 14.62 118.5C29.15 83.44 53.76 53.46 85.33 32.36C116.9 11.26 154 0 192 0C242.9 .0509 291.7 20.3 327.7 56.29zM278.9 306.2C301.3 289.2 318.3 266.1 327.7 239.6C337.1 213.1 338.6 184.5 331.9 157.2C325.2 129.9 310.7 105.1 290.1 85.98C269.6 66.83 243.9 54.11 216.2 49.4C188.5 44.69 159.1 48.18 134.2 59.45C108.5 70.72 86.62 89.28 71.3 112.8C55.97 136.4 47.88 163.9 48 191.1C48 219.6 58.96 246 78.46 265.5C97.96 285 124.4 295.1 152 295.1C179.6 295.1 206 285 225.5 265.5C245 246 256 219.6 256 191.1C256 175 249.3 158.7 237.3 146.7C225.3 134.7 208.1 127.1 192 127.1C175 127.1 158.7 134.7 146.7 146.7C134.7 158.7 128 175 128 191.1C128 198.4 130.5 204.5 135 208.1C139.5 213.5 145.6 215.1 152 215.1C158.4 215.1 164.5 213.5 168.1 208.1C173.5 204.5 176 198.4 176 191.1C176 185.6 178.5 179.5 183 175C187.5 170.5 193.6 167.1 200 167.1C206.4 167.1 212.5 170.5 216.1 175C221.5 179.5 224 185.6 224 191.1C224 211.1 216.4 229.4 202.9 242.9C189.4 256.4 171.1 263.1 152 263.1C132.9 263.1 114.6 256.4 101.1 242.9C87.59 229.4 80 211.1 80 191.1C80 162.3 91.8 133.8 112.8 112.8C133.8 91.8 162.3 79.1 192 79.1C221.7 79.1 250.2 91.8 271.2 112.8C292.2 133.8 304 162.3 304 191.1C303.9 223.5 293.1 254.2 275.6 279.9C257.3 305.5 231.4 324.8 201.6 335C229.6 333.2 256.5 323.1 278.9 306.2L278.9 306.2z"]],
    "loveseat": [512, 512, ["couch-small"], "f4cc", ["M64 226.9V160c0-70.7 57.31-128 128-128h128c70.7 0 128 57.3 128 128v66.94C429.4 233.5 416 251.1 416 272V352H96V272C96 251.1 82.6 233.5 64 226.9z", "M464 224C437.5 224 416 245.5 416 272V352H96V272C96 245.5 74.51 224 48 224S0 245.5 0 272v192C0 472.8 7.164 480 16 480h64C88.84 480 96 472.8 96 464V448h320v16c0 8.836 7.164 16 16 16h64c8.836 0 16-7.164 16-16v-192C512 245.5 490.5 224 464 224z"]],
    "luchador-mask": [448, 512, ["luchador", "mask-luchador"], "f455", ["M372 160h-67.97c-37.1 0-67.85 27.17-76.85 64H220.7C211.8 187.2 181.2 160 143.1 160L76 160C69.38 160 64 165.4 64 172v30.75C64 249.8 99.75 288 144 288h22.38C159 300.3 153.9 311.5 150.6 320.9C119.8 325.5 96 351.9 96 384c0 35.5 29.38 64 64.88 64H287c35.5 0 64.88-28.5 64.88-64c0-32.13-23.62-58.5-54.63-63.13C293.1 311.4 288.9 300.3 281.5 288H304C348.3 288 384 249.8 384 202.8V172C384 165.4 378.6 160 372 160zM224 266.8C244.3 286.6 255.9 305.3 262.8 320h-77.5C192.1 305.3 203.8 286.6 224 266.8zM144 256C117.5 256 96 232.1 96 202.8V192h48C170.5 192 192 215.9 192 245.2V256H144zM288 352c17.62 0 32 14.38 32 32s-14.38 32-32 32H160c-17.62 0-32-14.38-32-32s14.38-32 32-32H288zM352 202.8C352 232.1 330.5 256 304 256h-47.98c.1406 .1875 .3125 .375 0 0L256 245.2C256 215.9 277.5 192 304 192H352V202.8z", "M224 0C100.3 0 0 100.3 0 224v96c0 106 85.96 192 192 192h64c106 0 192-85.96 192-192V224C448 100.3 347.7 0 224 0zM384 202.8C384 249.8 348.3 288 304 288h-22.5c7.375 12.25 12.5 23.38 15.75 32.88c31 4.625 54.63 31 54.63 63.13c0 35.5-29.38 64-64.88 64H160.9C125.4 448 96 419.5 96 384c0-32.13 23.75-58.5 54.63-63.13C153.9 311.5 159 300.3 166.4 288H144C99.75 288 64 249.8 64 202.8V172C64 165.4 69.38 160 76 160l67.97 .0417c37.22 0 67.86 27.13 76.73 63.96h6.477c9-36.83 39.75-64 76.85-64H372C378.6 160 384 165.4 384 172V202.8z"]],
    "lungs": [640, 512, [129729], "f604", ["M186 96c-44 0-57.1 28.5-80.12 63.13C59.91 231 25.5 308.9 3.875 390.1C1.25 399.9 0 409.8 0 419.8c0 61.25 62.5 105.5 125.2 88.63l59.53-15.88c42.13-11.38 71.25-47.5 71.25-88.63L256 279.5l-101.4 67.58c-7.352 4.902-17.29 2.914-22.19-4.438l-8.875-13.31C118.7 321.1 120.6 312.1 128 307.2l128-85.31v-60.1C256 125.4 224.7 96 186 96zM636.1 390.1C614.5 308.9 580.1 231 534.1 159.1c-22.12-34.63-36.13-63.13-80.13-63.13C415.3 96 384 125.4 384 161.8v60.1l128 85.31c7.354 4.902 9.34 14.84 4.438 22.19l-8.875 13.31c-4.9 7.352-14.83 9.34-22.19 4.438L384 279.5l-.0313 124.4c0 41.13 29.12 77.25 71.25 88.63l59.53 15.88C577.5 525.3 640 481 640 419.8C640 409.8 638.8 399.9 636.1 390.1z", "M516.4 329.3l-8.875 13.31c-4.9 7.352-14.83 9.34-22.19 4.438l-147.6-98.42c-10.75-7.166-24.75-7.166-35.5 0l-147.6 98.42c-7.352 4.902-17.29 2.914-22.19-4.438l-8.875-13.31C118.7 321.1 120.6 312.1 128 307.2l153.8-102.5C290.7 198.7 296 188.7 296 178V16C296 7.164 303.2 0 312 0h16c8.838 0 16 7.164 16 16v162c0 10.7 5.347 20.69 14.25 26.63L512 307.2C519.4 312.1 521.3 321.1 516.4 329.3z"]],
    "lungs-virus": [640, 512, [], "e067", ["M328 0h-16c-8.875 0-16 7.125-16 16L295.1 150.7c7.088-4.137 15.22-6.675 23.1-6.675s16.91 2.538 24 6.675L344 16C344 7.125 336.9 0 328 0zM185.1 96c-44 0-57.97 28.5-80.09 63.13c-46 71.88-80.39 149.8-102 231C1.257 399.9 0 409.8 0 419.8c0 61.25 62.5 105.5 125.3 88.62l59.5-15.9c21.74-5.875 39.91-18.39 52.51-34.73c-2.553 .4141-5.137 .7591-7.774 .7591c-12.82 0-24.87-4.994-33.94-14.06c-18.71-18.72-18.71-49.16 .0033-67.87l8.576-8.576H192c-26.47 0-48-21.54-48-48c0-26.47 21.53-48 48-48l12.12-.0055L195.5 263.4c-18.71-18.72-18.71-49.16 0-67.88C204.6 186.5 216.7 181.5 229.5 181.5c9.576 0 18.72 2.799 26.52 7.986l.04-27.75C256 125.3 224.6 96 185.1 96zM636.1 390.1c-21.62-81.25-56.02-159.1-102-231c-22.12-34.63-36.09-63.13-80.09-63.13c-38.62 0-70.01 29.35-70.01 65.73v27.74c7.795-5.188 16.94-7.986 26.52-7.986c12.82 0 24.88 4.999 33.95 14.07c18.71 18.72 18.71 49.16 0 67.88l-8.576 8.571L448 272c26.47 0 48 21.53 48 48c0 26.47-21.53 48-48 48h-12.12l8.576 8.576c18.71 18.72 18.71 49.16-.0072 67.87c-9.066 9.066-21.12 14.06-33.94 14.06c-2.637 0-5.211-.3438-7.764-.7578c12.6 16.34 30.77 28.85 52.51 34.73l59.5 15.9C577.5 525.3 640 481 640 419.8C640 409.8 638.7 399.9 636.1 390.1z", "M448 303.1h-12.12c-28.51 0-42.79-34.46-22.63-54.63l8.576-8.577c6.25-6.25 6.25-16.37 0-22.62s-16.38-6.25-22.62 0l-8.576 8.577C370.5 246.9 336 232.6 336 204.1v-12.12c0-8.844-7.156-15.1-16-15.1s-16 7.156-16 15.1v12.12c0 28.51-34.47 42.79-54.63 22.63L240.8 218.2c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.37 0 22.62l8.576 8.577c20.16 20.16 5.881 54.63-22.63 54.63H192c-8.844 0-16 7.156-16 16c0 8.844 7.156 16 16 16h12.12c28.51 0 42.79 34.47 22.63 54.63l-8.576 8.576c-6.25 6.25-6.25 16.37 0 22.62c3.125 3.125 7.219 4.688 11.31 4.688s8.188-1.562 11.31-4.688l8.576-8.575C269.5 393.1 304 407.4 304 435.9v12.12c0 8.844 7.156 16 16 16s16-7.156 16-16v-12.12c0-28.51 34.47-42.78 54.63-22.63l8.576 8.575c3.125 3.125 7.219 4.688 11.31 4.688s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.37 0-22.62l-8.576-8.576c-20.16-20.16-5.881-54.63 22.63-54.63H448c8.844 0 16-7.156 16-16C464 311.1 456.8 303.1 448 303.1zM288 303.1c-8.836 0-16-7.162-16-15.1C272 279.2 279.2 271.1 288 271.1s16 7.158 16 15.1C304 296.8 296.8 303.1 288 303.1zM352 367.1c-8.836 0-16-7.166-16-16c0-8.84 7.164-15.1 16-15.1s16 7.163 16 16C368 360.8 360.8 367.1 352 367.1z"]],
    "m": [448, 512, [109], "4d", ["M448 64.01v384c0 17.67-14.31 32-32 32s-32-14.33-32-32V169.7l-133.4 200.1c-11.88 17.81-41.38 17.81-53.25 0L64 169.7v278.3c0 17.67-14.31 32-32 32s-32-14.33-32-32v-384c0-14.09 9.219-26.55 22.72-30.63c13.47-4.156 28.09 1.141 35.91 12.88L224 294.3l165.4-248.1c7.812-11.73 22.47-17.03 35.91-12.88C438.8 37.47 448 49.92 448 64.01z", ""]],
    "mace": [512, 512, [], "f6f8", ["M216.3 340.7L54.61 502.6c-12.49 12.53-32.75 12.53-45.25 .0118c-12.48-12.5-12.48-32.92 0-45.42l161.7-161.1C182.4 313.7 197.8 329.3 216.3 340.7z", "M500.1 209.4l-80.75-25.32c-13.59-45.03-49.13-80.32-94.35-92.1l-27.32-80.43C295.5 4.179 291.8 1.049 288 0c-3.83 1.049-7.514 4.179-9.699 10.7L250.1 91.12C205.8 103.8 170.2 138.9 156.6 183.1L75.88 209.4c-15.75 4.99-15.88 18.47-.1348 23.73l80.08 27.38c12.65 45.3 47.64 80.9 92.6 94.52l25.57 80.9C276.9 445.2 282.6 448.4 288 446.9c5.369 1.487 11.1-1.659 14.01-10.87l25.57-80.97c44.95-13.62 79.95-49.22 92.6-94.52l80.08-27.38C516 227.9 515.9 214.4 500.1 209.4zM288 255.5c-17.62 0-32-14.4-32-32.06s14.38-32.06 32-32.06s32 14.4 32 32.06S305.6 255.5 288 255.5z"]],
    "magnet": [448, 512, [129522], "f076", ["M0 64C0 46.33 14.33 32 32 32H96C113.7 32 128 46.33 128 64V160H0V64zM320 64C320 46.33 334.3 32 352 32H416C433.7 32 448 46.33 448 64V160H320V64z", "M128 160V256C128 309 170.1 352 224 352C277 352 320 309 320 256V160H448V256C448 379.7 347.7 480 224 480C100.3 480 0 379.7 0 256V160H128z"]],
    "magnifying-glass": [512, 512, [128269, "search"], "f002", ["M207.1 0C93.12 0-.0002 93.13-.0002 208S93.12 416 207.1 416s208-93.13 208-208S322.9 0 207.1 0zM207.1 336c-70.58 0-128-57.42-128-128c0-70.58 57.42-128 128-128s128 57.42 128 128C335.1 278.6 278.6 336 207.1 336z", "M500.3 443.7l-119.7-119.7c-15.03 22.3-34.26 41.54-56.57 56.57l119.7 119.7c15.62 15.62 40.95 15.62 56.57 0C515.9 484.7 515.9 459.3 500.3 443.7z"]],
    "magnifying-glass-arrow-right": [512, 512, [], "e521", ["M0 208C0 93.12 93.12 0 208 0C322.9 0 416 93.12 416 208C416 322.9 322.9 416 208 416C93.12 416 0 322.9 0 208zM240.1 119C231.6 109.7 216.4 109.7 207 119C197.7 128.4 197.7 143.6 207 152.1L238.1 184H120C106.7 184 96 194.7 96 208C96 221.3 106.7 232 120 232H238.1L207 263C197.7 272.4 197.7 287.6 207 296.1C216.4 306.3 231.6 306.3 240.1 296.1L312.1 224.1C322.3 215.6 322.3 200.4 312.1 191L240.1 119z", "M312.1 191C322.3 200.4 322.3 215.6 312.1 224.1L240.1 296.1C231.6 306.3 216.4 306.3 207 296.1C197.7 287.6 197.7 272.4 207 263L238.1 232H120C106.7 232 96 221.3 96 208C96 194.7 106.7 184 120 184H238.1L207 152.1C197.7 143.6 197.7 128.4 207 119C216.4 109.7 231.6 109.7 240.1 119L312.1 191zM457.4 502.6L330.7 375.1C348 363.3 363.3 348 375.1 330.7L502.6 457.4C515.1 469.9 515.1 490.1 502.6 502.6C490.1 515.1 469.9 515.1 457.4 502.6z"]],
    "magnifying-glass-chart": [512, 512, [], "e522", ["M0 208C0 93.12 93.12 0 208 0C322.9 0 416 93.12 416 208C416 322.9 322.9 416 208 416C93.12 416 0 322.9 0 208zM104 280C104 293.3 114.7 304 128 304C141.3 304 152 293.3 152 280V216C152 202.7 141.3 192 128 192C114.7 192 104 202.7 104 216V280zM184 280C184 293.3 194.7 304 208 304C221.3 304 232 293.3 232 280V120C232 106.7 221.3 96 208 96C194.7 96 184 106.7 184 120V280zM264 280C264 293.3 274.7 304 288 304C301.3 304 312 293.3 312 280V184C312 170.7 301.3 160 288 160C274.7 160 264 170.7 264 184V280z", "M104 216C104 202.7 114.7 192 128 192C141.3 192 152 202.7 152 216V280C152 293.3 141.3 304 128 304C114.7 304 104 293.3 104 280V216zM184 120C184 106.7 194.7 96 208 96C221.3 96 232 106.7 232 120V280C232 293.3 221.3 304 208 304C194.7 304 184 293.3 184 280V120zM264 184C264 170.7 274.7 160 288 160C301.3 160 312 170.7 312 184V280C312 293.3 301.3 304 288 304C274.7 304 264 293.3 264 280V184zM457.4 502.6L330.7 375.1C348 363.3 363.3 348 375.1 330.7L502.6 457.4C515.1 469.9 515.1 490.1 502.6 502.6C490.1 515.1 469.9 515.1 457.4 502.6z"]],
    "magnifying-glass-dollar": [512, 512, ["search-dollar"], "f688", ["M208 0C93.13 0 0 93.13 0 208S93.13 416 208 416S416 322.9 416 208S322.9 0 208 0zM273.7 253.8C269.8 276.4 252.6 291.3 228 296.1V304c0 11.03-8.953 20-20 20S188 315 188 304V295.2C178.2 293.2 168.4 289.9 159.6 286.8L154.8 285.1C144.4 281.4 138.9 269.9 142.6 259.5C146.2 249.1 157.6 243.7 168.1 247.3l5.062 1.812c8.562 3.094 18.25 6.562 25.91 7.719c16.23 2.5 33.47-.0313 35.17-9.812c1.219-7.094 .4062-10.62-31.8-19.84L196.2 225.4C177.8 219.1 134.5 207.3 142.3 162.2C146.2 139.6 163.5 124.8 188 120V112c0-11.03 8.953-20 20-20S228 100.1 228 112v8.695c6.252 1.273 13.06 3.07 21.47 5.992c10.42 3.625 15.95 15.03 12.33 25.47C258.2 162.6 246.8 168.1 236.3 164.5C228.2 161.7 221.8 159.9 216.8 159.2c-16.11-2.594-33.38 .0313-35.08 9.812c-1 5.812-1.719 10 25.7 18.03l6 1.719C238.9 196 281.5 208.2 273.7 253.8z", "M213.5 188.7l-6-1.719C180 178.1 180.8 174.8 181.8 168.1c1.703-9.781 18.97-12.41 35.08-9.812c4.969 .75 11.36 2.5 19.52 5.344c10.44 3.594 21.83-1.938 25.45-12.34c3.625-10.44-1.906-21.84-12.33-25.47C241.1 123.8 234.3 121.1 228 120.7V112c0-11.03-8.953-20-20-20S188 100.1 188 112v8.043c-24.53 4.746-41.77 19.6-45.66 42.11C134.5 207.3 177.8 219.1 196.2 225.4l6.266 1.812c32.2 9.219 33.02 12.75 31.8 19.84C232.5 256.8 215.3 259.3 199.1 256.8C191.4 255.7 181.7 252.2 173.2 249.1L168.1 247.3C157.6 243.7 146.2 249.1 142.6 259.5C138.9 269.9 144.4 281.4 154.8 285.1l4.844 1.719C168.4 289.9 178.2 293.2 188 295.2V304c0 11.03 8.953 20 20 20S228 315 228 304V296.1c24.55-4.73 41.77-19.68 45.66-42.21C281.5 208.2 238.9 196 213.5 188.7zM500.3 443.7l-119.7-119.7c-15.03 22.3-34.26 41.54-56.57 56.57l119.7 119.7c15.62 15.62 40.95 15.63 56.57 .0004C515.9 484.7 515.9 459.3 500.3 443.7z"]],
    "magnifying-glass-location": [512, 512, ["search-location"], "f689", ["M208 0C93.13 0 0 93.13 0 208S93.13 416 208 416S416 322.9 416 208S322.9 0 208 0zM216.3 316.2C214.2 318.5 211.2 320 207.1 320c-3.209 0-6.164-1.459-8.207-3.791c-21.58-25.52-77.87-95.67-77.87-134C121.9 134.5 160.4 96 207.1 96c47.69 0 86.18 38.5 86.18 86.19C294.1 220.5 237.8 290.7 216.3 316.2z", "M207.1 96C160.4 96 121.9 134.5 121.9 182.2c0 38.35 56.29 108.5 77.87 134C201.8 318.5 204.7 320 207.1 320c3.207 0 6.26-1.459 8.303-3.791c21.58-25.52 77.88-95.67 77.88-134C294.1 134.5 255.6 96 207.1 96zM208 204c-15.46 0-28-12.54-28-28S192.5 148 208 148S236 160.5 236 176S223.5 204 208 204zM500.3 443.7l-119.7-119.7c-15.03 22.3-34.26 41.54-56.57 56.57l119.7 119.7c15.62 15.62 40.95 15.62 56.57 0C515.9 484.7 515.9 459.3 500.3 443.7z"]],
    "magnifying-glass-minus": [512, 512, ["search-minus"], "f010", ["M208 0C93.13 0 0 93.13 0 208S93.13 416 208 416S416 322.9 416 208S322.9 0 208 0zM288 232H127.1C114.7 232 104 221.3 104 208s10.74-24 23.1-24h160C301.3 184 312 194.7 312 208S301.3 232 288 232z", "M500.3 443.7l-119.7-119.7c-15.03 22.3-34.26 41.54-56.57 56.57l119.7 119.7c15.62 15.62 40.95 15.63 56.57 .0003C515.9 484.7 515.9 459.3 500.3 443.7zM288 184H127.1C114.7 184 104 194.7 104 208s10.73 24 23.1 24h160C301.3 232 312 221.3 312 208S301.3 184 288 184z"]],
    "magnifying-glass-plus": [512, 512, ["search-plus"], "f00e", ["M208 0C93.13 0 0 93.13 0 208S93.13 416 208 416S416 322.9 416 208S322.9 0 208 0zM288 232H231.1V288c0 13.26-10.74 24-23.1 24C194.7 312 184 301.3 184 288V232H127.1C114.7 232 104 221.3 104 208s10.74-24 23.1-24H184V128c0-13.26 10.74-24 23.1-24S231.1 114.7 231.1 128v56h56C301.3 184 312 194.7 312 208S301.3 232 288 232z", "M500.3 443.7l-119.7-119.7c-15.03 22.3-34.26 41.54-56.57 56.57l119.7 119.7c15.62 15.62 40.95 15.63 56.57 .0003C515.9 484.7 515.9 459.3 500.3 443.7zM288 184H231.1V128c0-13.26-10.74-24-23.1-24S184 114.7 184 128v56H127.1C114.7 184 104 194.7 104 208s10.73 24 23.1 24H184V288c0 13.26 10.73 24 23.1 24c13.26 0 23.1-10.74 23.1-24V232h56C301.3 232 312 221.3 312 208S301.3 184 288 184z"]],
    "mailbox": [576, 512, [128234], "f813", ["M576 208V416C576 433.6 561.6 448 544 448L256 448C273.7 448 288 433.7 288 416V208C288 128.9 223.9 65.44 144.9 64.84C144.6 64.6 144.3 64.22 144 64H432C511.5 64 576 128.5 576 208V208zM512 208C512 199.2 504.8 192 496 192H400C391.2 192 384 199.2 384 208C384 216.8 391.2 224 400 224H448V272C448 280.8 455.2 288 464 288H496C504.8 288 512 280.8 512 272V208z", "M512 208V272C512 280.8 504.8 288 496 288H464C455.2 288 448 280.8 448 272V224H400C391.2 224 384 216.8 384 208C384 199.2 391.2 192 400 192H496C504.8 192 512 199.2 512 208V208zM288 208V416C288 433.7 273.7 448 256 448L32 448C14.4 448 0 433.6 0 416V214.2C0 139 54.95 71.86 129.8 64.68C215.7 56.45 288 123.8 288 208zM224 208C224 199.2 216.8 192 208 192H80C71.16 192 64 199.2 64 208C64 216.8 71.16 224 80 224H208C216.8 224 224 216.8 224 208z"]],
    "manat-sign": [384, 512, [], "e1d5", ["M224 64V98.65C213.6 96.91 202.9 96 192 96C181.1 96 170.4 96.91 160 98.65V64C160 46.33 174.3 32 192 32C209.7 32 224 46.33 224 64zM224 448C224 465.7 209.7 480 192 480C174.3 480 160 465.7 160 448V164C170.2 161.4 180.1 160 192 160C203 160 213.8 161.4 224 164V448z", "M0 288C0 181.1 85.96 96 192 96C298 96 384 181.1 384 288V448C384 465.7 369.7 480 352 480C334.3 480 320 465.7 320 448V288C320 217.3 262.7 160 192 160C121.3 160 64 217.3 64 288V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V288z"]],
    "mandolin": [512, 512, [], "f6f9", ["M294.6 262.6L249.4 217.4l25.13-25.13C90.39 190.6 46.01 240.1 30.76 256.2c-46.88 46.87-39.5 150.4 17.5 207.5c57.13 57.12 160.6 64.37 207.5 17.5c15.25-15.25 65.64-59.64 64.01-243.7L294.6 262.6zM208 351.1c-26.5 0-48-21.49-48-47.99c0-26.49 21.5-47.99 48-47.99s48 21.5 48 47.99C256 330.5 234.5 351.1 208 351.1z", "M509.5 70.52l-40.01 63.99C465.1 141.4 458.3 146.5 450.4 148.5l-56.12 14.49l-99.64 99.63L249.4 217.4l99.64-99.63l14.5-56.1c2-8 7-14.75 14-19.12l64-40.11c6.375-3.875 14.51-2.998 19.76 2.252l46 46C512.6 56.03 513.5 64.15 509.5 70.52z"]],
    "mango": [512, 512, [], "e30f", ["M509.4 253.1C497.8 176.4 440.4 120.1 368 102.4v49.52C368 165.2 357.3 176 344 176S320 165.3 320 152l-.0752-55.99c-.0723 0 .0723 0 0 0c-171.5 .1602-208.7 177.9-301.7 268.4C6.512 375.8 0 391.5 0 407.9c0 25.1 15.28 47.62 38.73 56.57C88.42 483.4 181.1 512 287.1 512C423.2 512 530.4 392.3 509.4 253.1zM304 432c-8.844 0-16-7.156-16-16s7.156-16 16-16c52.94 0 96-43.06 96-96C400 295.2 407.2 288 416 288s16 7.156 16 16C432 374.6 374.6 432 304 432z", "M511.6 76.72C513.9 86.64 505.3 96 494.1 96h-51.05C411.5 96 385.5 83.31 368 63.56v88.4C368 165.2 357.3 176 344 176S320 165.3 320 152v-128C320 10.75 330.8 0 344 0h63.68C458.1 0 501.8 32.94 511.6 76.72z"]],
    "manhole": [512, 512, [], "e1d6", ["M287.4 99.17C285.7 115.3 272.5 128 256 128S226.3 115.3 224.6 99.17C151.4 113.8 96 178.5 96 256s55.39 142.2 128.6 156.8C226.3 396.7 239.5 384 256 384s29.69 12.72 31.36 28.83C360.6 398.2 416 333.5 416 256S360.6 113.8 287.4 99.17zM208 336h-32v-32h32V336zM208 272h-32v-32h32V272zM208 208h-32v-32h32V208zM272 336h-32v-32h32V336zM272 272h-32v-32h32V272zM272 208h-32v-32h32V208zM336 336h-32v-32h32V336zM336 272h-32v-32h32V272zM336 208h-32v-32h32V208z", "M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM256 448c-106 0-192-85.96-192-192s85.96-192 192-192s192 85.96 192 192S362 448 256 448z"]],
    "map": [576, 512, [62072, 128506], "f279", ["M192 32L384 96V480L192.1 416L192 32z", "M10.06 99.61L191.9 32.01L192 416L22 478.8C11.49 483.1 0 475.3 0 464V114.5C0 107.9 3.984 102 10.06 99.61V99.61zM576 48.02V397.6C576 404.1 572 409.1 565.9 412.4L384 480V96.01L554 33.16C564.6 28.96 576 36.7 576 48.02V48.02z"]],
    "map-location": [576, 512, ["map-marked"], "f59f", ["M416 503V200.4C419.5 193.5 422.7 186.7 425.6 179.9C426.1 178.6 426.6 177.4 427.1 176.1L543.1 129.7C558.9 123.4 576 135 576 152V422.8C576 432.6 570 441.4 560.9 445.1L416 503zM15.09 187.3L137.6 138.3C140 152.5 144.9 166.6 150.4 179.9C153.3 186.7 156.5 193.5 160 200.4V451.8L32.91 502.7C17.15 508.1 0 497.4 0 480.4V209.6C0 199.8 5.975 190.1 15.09 187.3H15.09zM384 504.3L191.1 449.4V255C212.5 286.3 234.3 314.6 248.2 331.1C268.7 357.6 307.3 357.6 327.8 331.1C341.7 314.6 363.5 286.3 384 255L384 504.3z", "M408 120C408 174.6 334.9 271.9 302.8 311.1C295.1 321.6 280.9 321.6 273.2 311.1C241.1 271.9 168 174.6 168 120C168 53.73 221.7 0 288 0C354.3 0 408 53.73 408 120z"]],
    "map-location-dot": [576, 512, ["map-marked-alt"], "f5a0", ["M416 503V200.4C419.5 193.5 422.7 186.7 425.6 179.9C426.1 178.6 426.6 177.4 427.1 176.1L543.1 129.7C558.9 123.4 576 135 576 152V422.8C576 432.6 570 441.4 560.9 445.1L416 503zM15.09 187.3L137.6 138.3C140 152.5 144.9 166.6 150.4 179.9C153.3 186.7 156.5 193.5 160 200.4V451.8L32.91 502.7C17.15 508.1 0 497.4 0 480.4V209.6C0 199.8 5.975 190.1 15.09 187.3H15.09zM384 504.3L191.1 449.4V255C212.5 286.3 234.3 314.6 248.2 331.1C268.7 357.6 307.3 357.6 327.8 331.1C341.7 314.6 363.5 286.3 384 255L384 504.3z", "M273.2 311.1C241.1 271.9 168 174.6 168 120C168 53.73 221.7 0 288 0C354.3 0 408 53.73 408 120C408 174.6 334.9 271.9 302.8 311.1C295.1 321.6 280.9 321.6 273.2 311.1V311.1zM288 152C310.1 152 328 134.1 328 112C328 89.91 310.1 72 288 72C265.9 72 248 89.91 248 112C248 134.1 265.9 152 288 152z"]],
    "map-pin": [320, 512, [128205], "f276", ["M176 288C186.1 288 197.7 286.8 208 284.4V480C208 497.7 193.7 512 176 512C158.3 512 144 497.7 144 480V284.4C154.3 286.8 165 288 176 288V288z", "M32 144C32 64.47 96.47 0 176 0C255.5 0 320 64.47 320 144C320 223.5 255.5 288 176 288C96.47 288 32 223.5 32 144zM112 144C112 108.7 140.7 80 176 80C184.8 80 192 72.84 192 64C192 55.16 184.8 48 176 48C122.1 48 80 90.98 80 144C80 152.8 87.16 160 96 160C104.8 160 112 152.8 112 144z"]],
    "marker": [512, 512, [], "f5a1", ["M229.5 412.5C181.5 460.5 120.3 493.2 53.7 506.5L28.71 511.5C20.84 513.1 12.7 510.6 7.03 504.1C1.356 499.3-1.107 491.2 .4662 483.3L5.465 458.3C18.78 391.7 51.52 330.5 99.54 282.5L175 207L304.1 336.1L229.5 412.5z", "M480.1 160.1L304.1 336.1L175 207L302.1 80L288.1 66.91C279.6 57.54 264.4 57.54 255 66.91L168.1 152.1C159.6 162.3 144.4 162.3 135 152.1C125.7 143.6 125.7 128.4 135 119L221.1 32.97C249.2 4.853 294.8 4.853 322.9 32.97L336 46.06L351 31.03C386.9-4.849 445.1-4.849 480.1 31.03C516.9 66.91 516.9 125.1 480.1 160.1V160.1z"]],
    "mars": [448, 512, [9794], "f222", ["M240 304c0 35.35-28.65 64-64 64s-64-28.65-64-64s28.65-64 64-64S240 268.7 240 304z", "M431.1 31.1l-112.6 0c-21.42 0-32.15 25.85-17 40.97l29.61 29.56l-56.65 56.55c-30.03-20.66-65.04-31-100-31c-47.99-.002-95.96 19.44-131.1 58.39c-60.86 67.51-58.65 175 4.748 240.1C83.66 462.2 129.6 480 175.5 480c45.12 0 90.34-17.18 124.8-51.55c61.11-60.99 67.77-155.6 20.42-224.1l56.65-56.55l29.61 29.56C411.9 182.2 417.9 184.4 423.8 184.4C436.1 184.4 448 174.8 448 160.4V47.1C448 39.16 440.8 31.1 431.1 31.1zM243.5 371.9c-18.75 18.71-43.38 28.07-68 28.07c-24.63 0-49.25-9.355-68.01-28.07c-37.5-37.43-37.5-98.33 0-135.8c18.75-18.71 43.38-28.07 68.01-28.07c24.63 0 49.25 9.357 68 28.07C281 273.5 281 334.5 243.5 371.9z"]],
    "mars-and-venus": [512, 512, [9893], "f224", ["M256 176C229.5 176 208 197.5 208 224c0 26.51 21.49 48 48 48s48-21.49 48-48C304 197.5 282.5 176 256 176z", "M480 .0002l-112.4 .0001c-21.38 0-32.09 25.85-16.97 40.97l29.56 29.56l-27.11 27.11C326.1 76.85 292.7 64 256 64c-88.37 0-160 71.63-160 160c0 77.4 54.97 141.9 128 156.8v19.22H192c-8.836 0-16 7.162-16 16v31.1c0 8.836 7.164 16 16 16l32 .0001v32c0 8.836 7.164 16 16 16h32c8.838 0 16-7.164 16-16v-32l32-.0001c8.838 0 16-7.164 16-16v-31.1c0-8.838-7.162-16-16-16h-32v-19.22c73.03-14.83 128-79.37 128-156.8c0-28.38-8.018-54.65-20.98-77.77l30.45-30.45l29.56 29.56C470.1 160.5 496 149.8 496 128.4V16C496 7.164 488.8 .0002 480 .0002zM256 304c-44.11 0-80-35.89-80-80c0-44.11 35.89-80 80-80c44.11 0 80 35.89 80 80C336 268.1 300.1 304 256 304z"]],
    "mars-and-venus-burst": [640, 512, [], "e523", ["M176 8C182.6 8 188.5 11.1 190.9 18.09L220.3 92.05L280.4 73.81C236.3 108.1 208 163.2 208 224C208 269.2 223.6 310.8 249.8 343.6C244.5 345 238.7 343.7 234.6 339.9L176 286.1L117.4 339.9C112.6 344.4 105.5 345.4 99.64 342.6C93.74 339.7 90.16 333.6 90.62 327L96.21 247.6L17.56 235.4C11.08 234.4 5.876 229.6 4.418 223.2C2.959 216.8 5.545 210.1 10.94 206.4L76.51 161.3L37.02 92.18C33.77 86.49 34.32 79.39 38.4 74.27C42.49 69.14 49.29 67.03 55.56 68.93L131.7 92.05L161.1 18.09C163.6 11.1 169.5 8 176 8V8z", "M480 32C480 14.33 494.3 0 512 0H608C625.7 0 640 14.33 640 32V120C640 137.7 625.7 152 608 152C590.3 152 576 137.7 576 120V109.3L539.6 145.7C552.6 168.8 560 195.6 560 224C560 301.4 505 365.1 432 380.8V400H448C465.7 400 480 414.3 480 432C480 449.7 465.7 464 448 464H432V480C432 497.7 417.7 512 400 512C382.3 512 368 497.7 368 480V464H352C334.3 464 320 449.7 320 432C320 414.3 334.3 400 352 400H368V380.8C294.1 365.1 240 301.4 240 224C240 135.6 311.6 64 400 64C436.7 64 470.6 76.37 497.6 97.18L530.7 64H512C494.3 64 480 49.67 480 32V32zM400 320C453 320 496 277 496 224C496 170.1 453 128 400 128C346.1 128 304 170.1 304 224C304 277 346.1 320 400 320z"]],
    "mars-double": [640, 512, [9891], "f227", ["M176 240c-35.35 0-64 28.66-64 64s28.65 64 64 64c35.35 0 64-28.66 64-64S211.3 240 176 240zM623.1 32h-112.6c-21.42 0-32.15 25.85-17 40.97l29.61 29.56L480 146.5v13.91C480 191.3 454.8 216.4 423.8 216.4C421.2 216.4 418.6 216 416 215.6v5.862c6.922 4.051 13.58 8.691 19.51 14.61c37.5 37.43 37.5 98.33 0 135.8c-18.75 18.71-43.38 28.07-68 28.07c-2.277 0-4.523-.4883-6.795-.6484c-9.641 18.69-22.1 36.24-37.64 51.77c-6.059 6.059-12.49 11.53-19.13 16.73C324.4 475.7 345.9 480 367.5 480c45.12 0 90.34-17.19 124.8-51.55c61.11-60.1 67.77-155.6 20.42-224.1l56.65-56.55l29.61 29.56c4.898 4.887 10.92 7.075 16.83 7.075C628.1 184.4 640 174.8 640 160.4V48C640 39.16 632.8 32 623.1 32z", "M320.7 204.3l56.65-56.55l29.61 29.56C422.1 192.5 448 181.7 448 160.4V47.1c0-8.838-7.176-15.1-16.03-15.1H319.4c-21.42 0-32.15 25.85-17 40.97l29.61 29.56L275.4 159.1c-71.21-48.99-170.4-39.96-231.1 27.39c-60.86 67.51-58.65 175 4.748 240.1c68.7 70.57 181.8 71.19 251.3 1.847C361.4 367.5 368 272.9 320.7 204.3zM243.5 371.9c-37.5 37.43-98.51 37.43-136 0s-37.5-98.33 0-135.8c37.5-37.43 98.51-37.43 136 0C281 273.5 281 334.5 243.5 371.9z"]],
    "mars-stroke": [512, 512, [9894], "f229", ["M272 304c0 35.35-28.65 64-64 64s-64-28.65-64-64s28.65-64 64-64S272 268.7 272 304z", "M496 .0002l-112.4 .0001c-21.38 0-32.09 25.85-16.97 40.97l29.56 29.56l-24.33 24.34l-33.94-33.94c-6.248-6.25-16.38-6.248-22.63 0l-22.63 22.63c-6.25 6.25-6.25 16.38 0 22.63l33.94 33.94l-18.96 18.96C239.1 111.8 144.5 118.6 83.55 179.5c-68.73 68.73-68.73 180.2 0 248.9c68.73 68.73 180.2 68.73 248.9 0c60.99-60.99 67.73-155.6 20.47-224.1l18.96-18.96l33.94 33.94c6.248 6.248 16.38 6.25 22.63 0l22.63-22.63c6.248-6.248 6.248-16.38 0-22.63l-33.94-33.94l24.34-24.33l29.56 29.56C486.1 160.5 512 149.8 512 128.4v-112.4C512 7.162 504.8 .0002 496 .0002zM275.9 371.9c-37.43 37.43-98.33 37.43-135.8 0c-37.43-37.43-37.43-98.33 0-135.8c37.43-37.43 98.33-37.43 135.8 0C313.3 273.5 313.3 334.5 275.9 371.9z"]],
    "mars-stroke-right": [640, 512, [9897, "mars-stroke-h"], "f22b", ["M272 256c0 35.35-28.65 64-64 64s-64-28.65-64-64s28.65-64 64-64S272 220.7 272 256z", "M619.3 244.7l-82.34-77.61c-15.12-15.12-40.97-4.41-40.97 16.97V223.1L463.1 224V176c.002-8.838-7.162-16-15.1-16h-32c-8.84 0-16 7.16-16 16V224h-19.05c-15.07-81.9-86.7-144-172.1-144C110.8 80 32 158.8 32 256c0 97.2 78.8 176 176 176c86.26 0 157.9-62.1 172.1-144h19.05V336c0 8.836 7.162 16 16 16h32c8.836 0 15.1-7.164 15.1-16V287.1L496 288v39.95c0 21.38 25.85 32.09 40.97 16.97l82.34-77.61C625.6 261.1 625.6 250.9 619.3 244.7zM208 352c-52.94 0-96-43.07-96-96c-.002-52.94 43.06-96 96-96c52.93 0 95.1 43.06 95.1 96C304 308.9 260.9 352 208 352z"]],
    "mars-stroke-up": [384, 512, [9896, "mars-stroke-v"], "f22a", ["M256 335.1c0 35.35-28.65 63.1-64 63.1s-64-28.65-64-63.1s28.65-63.1 64-63.1S256 300.7 256 335.1z", "M224 163V144h24c4.418 0 8-3.578 8-7.1V120c0-4.418-3.582-7.1-8-7.1H224V96h24.63c16.41 0 24.62-19.84 13.02-31.44l-60.97-60.97c-4.795-4.793-12.57-4.793-17.36 0L122.3 64.56c-11.6 11.6-3.383 31.44 13.02 31.44H160v15.1H136c-4.418 0-8 3.582-8 7.1v15.1c0 4.422 3.582 7.1 8 7.1H160v19.05c-84.9 15.62-148.5 92.01-143.7 182.5c4.783 90.69 82.34 165.1 173.2 166.5C287.8 513.4 368 434.1 368 336C368 249.7 305.9 178.1 224 163zM192 431.1c-52.94 0-96-43.06-96-95.1s43.06-95.1 96-95.1c52.93 0 96 43.06 96 95.1S244.9 431.1 192 431.1z"]],
    "martini-glass": [512, 512, [127864, "glass-martini-alt"], "f57b", ["M502 57.63C523.3 36.38 508.3 0 478.3 0H33.72C3.711 0-11.29 36.38 9.962 57.63l214 214V448H175.1c-26.51 0-47.1 21.49-47.1 48c0 8.836 7.164 16 16 16h224c8.836 0 16-7.164 16-16c0-26.51-21.49-48-48-48h-47.1V271.6L502 57.63zM256 213.1L106.9 64h298.3L256 213.1z", "M341.1 128L256 213.1L170.9 128H341.1z"]],
    "martini-glass-citrus": [576, 512, ["cocktail"], "f561", ["M296.2 192L208 280.2L119.8 192H296.2zM391.4 128H24.63C2.751 128-8.249 154.5 7.251 170l168.7 168.7V464H128c-17.67 0-32 14.33-32 32c0 8.836 7.164 16 15.1 16h191.1c8.836 0 15.1-7.164 15.1-16c0-17.67-14.33-32-31.1-32H240v-125.3l168.8-168.7C424.3 154.5 413.3 128 391.4 128z", "M432 0c-62.62 0-115.4 40.25-135.1 96h52.5c16.62-28.5 47.25-48 82.62-48c52.87 0 95.1 43 95.1 96s-43.13 96-95.1 96c-14 0-27.25-3.25-39.37-8.625l-35.25 35.25c21.87 13.25 47.25 21.38 74.62 21.38c79.5 0 143.1-64.5 143.1-144S511.5 0 432 0zM208 280.2L264.2 224H151.8L208 280.2z"]],
    "martini-glass-empty": [512, 512, ["glass-martini"], "f000", ["M502 57.63C523.3 36.38 508.3 0 478.3 0H33.72C3.711 0-11.29 36.38 9.962 57.63l214 214V448H176c-26.51 0-48 21.49-48 48c0 8.836 7.164 16 16 16h224c8.836 0 16-7.164 16-16c0-26.51-21.49-48-47.1-48h-47.1V271.6L502 57.63zM256 213.1L106.9 64h298.3L256 213.1z", "M405.1 64l-149.1 149.1L106.9 64H405.1z"]],
    "mask": [576, 512, [], "f6fa", ["M288 64C39.52 64 0 182.1 0 273.5C0 379.5 78.8 448 176 448c27.33 0 51.21-6.514 66.11-36.79l19.93-40.5C268.3 358.6 278.1 352.4 288 352.1c9.9 .3672 19.7 6.501 25.97 18.63l19.93 40.5C348.8 441.5 372.7 448 400 448c97.2 0 176-68.51 176-174.5C576 182.1 536.5 64 288 64zM160 320c-35.35 0-64-28.66-64-64s28.65-64 64-64c35.35 0 64 28.66 64 64S195.3 320 160 320zM416 320c-35.35 0-64-28.66-64-64s28.65-64 64-64c35.35 0 64 28.66 64 64S451.3 320 416 320z", "M160 192C124.7 192 96 220.7 96 256s28.65 64 64 64c35.35 0 64-28.66 64-64S195.3 192 160 192zM416 192c-35.35 0-64 28.66-64 64s28.65 64 64 64c35.35 0 64-28.66 64-64S451.3 192 416 192z"]],
    "mask-face": [640, 512, [], "e1d7", ["M96 160V176H56C51.58 176 48 179.6 48 184V269C48 302.1 70.49 330.9 102.5 338.9L132.3 346.3C149.6 372.8 172.3 395.4 198.9 412.5L90.9 385.5C37.48 372.1 0 324.1 0 269V184C0 153.1 25.07 128 56 128H128C110.3 128 96 142.3 96 160L96 160zM507.7 346.3L537.5 338.9C569.5 330.9 592 302.1 592 269V184C592 179.6 588.4 176 584 176H544V160C544 142.3 529.7 128 512 128H584C614.9 128 640 153.1 640 184V269C640 324.1 602.5 372.1 549.1 385.5L441.1 412.5C467.7 395.4 490.4 372.8 507.7 346.3V346.3z", "M396.4 87.12L433.5 111.9C449.3 122.4 467.8 128 486.8 128H512C529.7 128 544 142.3 544 160V224C544 347.7 443.7 448 320 448C196.3 448 96 347.7 96 224V160C96 142.3 110.3 128 128 128H153.2C172.2 128 190.7 122.4 206.5 111.9L243.6 87.12C266.2 72.05 292.8 64 320 64C347.2 64 373.8 72.05 396.4 87.12zM208 224H432C440.8 224 448 216.8 448 208C448 199.2 440.8 192 432 192H208C199.2 192 192 199.2 192 208C192 216.8 199.2 224 208 224zM208 256C199.2 256 192 263.2 192 272C192 280.8 199.2 288 208 288H432C440.8 288 448 280.8 448 272C448 263.2 440.8 256 432 256H208zM240 352H400C408.8 352 416 344.8 416 336C416 327.2 408.8 320 400 320H240C231.2 320 224 327.2 224 336C224 344.8 231.2 352 240 352z"]],
    "mask-snorkel": [576, 512, [], "e3b7", ["M544 32c-17.69 0-32 14.31-32 32v96h64V64C576 46.31 561.7 32 544 32zM512 367.4C512 411.9 475.9 448 431.4 448c-39.84 0-74.13-29.47-79.75-68.56c-2.332-15.9-15.74-27.47-31.51-27.47c-27.19 0-32.19 25.67-32.19 32.02C287.1 390.9 308.4 512 431.4 512C511.2 512 576 447.2 576 367.4V192h-64V367.4z", "M384 288c35.35 0 64-28.65 64-64V128c0-35.35-28.65-64-64-64H64C28.65 64 0 92.65 0 128v96c0 35.35 28.65 64 64 64h78.03c29.37 0 54.96-19.99 62.09-48.48l4.359-17.43C210.5 214 217.2 209.1 224 209.1s13.5 4.041 15.52 12.12l4.359 17.43C251 268 276.6 288 305.1 288H384z"]],
    "mask-ventilator": [640, 512, [], "e524", ["M584 128C614.9 128 640 153.1 640 184V269C640 324.1 602.5 372.1 549.1 385.5L477.5 403.4C490.1 386.5 499.8 367.4 505.6 346.9L537.5 338.9C569.5 330.9 592 302.1 592 269V184C592 179.6 588.4 176 584 176H480.7C473.1 159.5 464.3 143.2 454.5 128L584 128zM90.9 385.5C37.48 372.1 0 324.1 0 269V184C0 153.1 25.07 128 56 128H185.1C175.3 143.2 166.6 159.5 159.1 176H55.1C51.58 176 47.1 179.6 47.1 184V269C47.1 302.1 70.49 330.9 102.5 338.9L134.3 346.8C140.1 367.3 149.6 386.4 162.2 403.3L90.9 385.5zM352 320V512H288V320C288 302.3 302.3 288 320 288C337.7 288 352 302.3 352 320z", "M128 300.8C128 201.9 214 32 320 32C424.1 32 512 201.9 512 300.8C512 379.4 458.1 445.3 384 469.8V393.2C403.6 376.8 416 353.1 416 326.4C416 276.9 372.5 192 320 192C267 192 224 276.9 224 326.4C224 353 236.3 376.9 256 393.3V469.9C181 445.4 128 378.9 128 300.8V300.8z"]],
    "masks-theater": [640, 512, [127917, "theater-masks"], "f630", ["M232.8 282.2l6.266-35.41c-9.891-2.692-20.47-3.561-31.35-1.66C171.2 251.7 146.4 284 149.3 319.3c13.54-16.81 36.86-30.31 65.25-35.32C220.8 282.9 226.8 282.4 232.8 282.2zM379.2 60.04c-5-28.12-26.72-49.93-54.09-54.3C301.3 1.935 277.3-.0001 253.4-.0001c-76.69 0-152.3 19.43-220.1 57.07C9.021 70.44-3.854 98.51 1.021 126.6L32.77 306c14.22 80.55 136.4 142 204.5 142c5.539 0 10.66-.4372 15.4-1.275c8.463-1.478 17.82-4.848 27.59-9.579c-14.4-16.7-26.94-35.13-36.25-54.18c-.791 .2226-1.787 .6404-2.465 .7595c-.3555 .0625-1.721 .2675-4.326 .2675c-48.47 0-134.2-48.61-141.4-89.14L64.11 115.5c-.2754-1.58 .2207-2.565 .2598-2.626c57.7-32.05 123-48.99 189-48.99c20.55 0 41.31 1.694 61.48 4.887c.0723 .0351 .3369 .5504 .5068 .73c21.53-3.405 43.07-4.893 64.63-5.205L379.2 60.04zM193.4 157.6C192.6 153.4 191.1 149.7 189.3 146.2C181 155.1 168.6 161.9 154 164.6C139.4 167.1 125.3 164.9 114.5 159.3c-.5 3.999-.625 7.999 .125 12.12c3.75 21.74 24.5 36.24 46.25 32.37C182.6 200.1 197.3 179.3 193.4 157.6z", "M606.8 121c-88.87-49.36-191.4-67.38-291.9-51.38C287.5 73.1 265.8 95.86 260.8 123.1L229 303.5c-15.37 87.1 95.33 196.3 158.3 207.3c62.1 11.12 204.5-53.72 219.9-140.8l31.75-179.5C643.9 162.3 631 134.4 606.8 121zM333.5 217.8c3.873-21.74 24.62-36.24 46.37-32.37c21.75 3.749 36.25 24.5 32.5 46.12c-.75 4.124-2.25 7.874-4.125 11.5c-8.25-8.997-20.62-15.75-35.25-18.37c-14.75-2.624-28.75-.3739-39.5 5.124C332.1 225.9 332.9 221.9 333.5 217.8zM403.1 416.5c-55.62-9.871-93.49-59.25-88.99-112.1c20.62 25.62 56.25 46.24 99.49 53.87c43.25 7.622 83.74 .3719 111.9-16.62C512.2 392.6 459.7 426.3 403.1 416.5zM534.4 265.2c-8.25-8.872-20.75-15.75-35.37-18.37c-14.62-2.499-28.62-.3739-39.5 5.249c-.5-3.999-.625-7.999 .125-12.12c3.875-21.74 24.62-36.24 46.37-32.37c21.75 3.874 36.25 24.5 32.37 46.24C537.6 257.9 536.1 261.7 534.4 265.2z"]],
    "mattress-pillow": [640, 512, [], "e525", ["M0 384V128C0 92.65 28.65 64 64 64H256V448H64C28.65 448 0 419.3 0 384zM96 128C78.33 128 64 142.3 64 160V352C64 369.7 78.33 384 96 384H160C177.7 384 192 369.7 192 352V160C192 142.3 177.7 128 160 128H96z", "M256 64H576C611.3 64 640 92.65 640 128V384C640 419.3 611.3 448 576 448H256V64z"]],
    "maximize": [448, 512, ["expand-arrows-alt"], "f31e", ["M152.6 116.7l30.06-30.06C191.8 77.47 194.5 63.72 189.6 51.75c-4.938-11.95-16.62-19.75-29.56-19.75H24c-13.26 0-23.1 10.75-23.1 23.1v135.1c0 12.94 7.781 24.61 19.75 29.56c12 4.906 25.72 2.203 34.87-6.937l30.06-30.06l71.44 71.44l67.87-67.88L152.6 116.7zM428.2 290.4C424.3 288.8 420.1 288 415.1 288c-8.312 0-16.5 3.248-22.62 9.373L363.3 327.4l-71.44-71.44L224 323.9l71.44 71.44l-30.06 30.06c-9.156 9.156-11.91 22.91-6.937 34.87c4.938 11.95 16.62 19.75 29.56 19.75h135.1c13.25 0 23.1-10.75 23.1-23.1V319.1C447.1 307.1 440.2 295.4 428.2 290.4z", "M152.6 395.3l30.06 30.06c9.156 9.156 11.91 22.91 6.937 34.87C184.6 472.2 172.9 479.1 160 479.1H24c-13.25 0-23.1-10.74-23.1-23.1v-135.1c0-12.94 7.781-24.61 19.75-29.56C23.72 288.8 27.88 288 32 288c8.312 0 16.5 3.242 22.63 9.367l30.06 30.06l210.7-210.8l-30.06-30.06c-9.156-9.156-11.91-22.91-6.937-34.87c4.937-11.95 16.62-19.75 29.56-19.75h135.1c13.26 0 23.1 10.75 23.1 23.1v135.1c0 12.94-7.781 24.61-19.75 29.56c-11.1 4.906-25.72 2.203-34.87-6.937l-30.06-30.06L152.6 395.3z"]],
    "meat": [576, 512, [127830], "f814", ["M160 311.9L160 309.8l-8.556 8.544c-9.711 9.688-23.97 11.07-36.76 5.999c-30.95-12.36-66.05 2.706-78.41 33.64c-8.951 22.41-3.677 48.04 13.41 65.09c15.3 15.28 36.51 19.61 56.13 15.12c-4.49 19.59-.1676 40.78 15.12 56.05c23.51 23.63 61.72 23.71 85.35 .2079c17.16-17.07 22.43-42.73 13.43-65.2c-5.102-12.73-3.72-26.1 6-36.74l8.582-8.522l-2.31-.049C192.2 383.9 160 351.7 160 311.9zM408.2 136.1c-14.72-14.7-34.54-18.64-44.39-8.871c-9.852 9.77-5.853 29.67 8.878 44.37s34.67 18.68 44.48 8.871S422.1 150.8 408.2 136.1z", "M476 68.42C431.4 23.96 377 0 331.1 0C307.4 0 286.4 6.79 269.7 19.1c-2.645 1.66-5.156 3.657-7.365 5.86c-38.72 38.67-102.3 113.8-102.3 183.6l-.0552 102.5c0 39.76 32.24 71.98 72 71.98l102.8 .0273c69.89 0 144.1-63.43 183.7-102.1c2.627-2.68 5.032-5.727 6.823-9.02C562.8 223.4 542.7 135.1 476 68.42zM484.7 247.8c-9.76 9.75-24.25 11.85-34.74 11.85c-34.72 0-77.23-20.88-110.9-54.48c-27.19-27.15-46.33-60.31-52.47-90.98c-4.74-23.7-1.202-43.57 9.73-54.48c9.68-9.711 24.27-11.75 34.76-11.75c34.72 0 77.21 20.89 110.9 54.47C495.9 156.3 509 223.6 484.7 247.8z"]],
    "medal": [512, 512, [127941], "f5a2", ["M136.3 0H16.03c-12.95 0-20.53 14.58-13.1 25.18l130.3 184.8c28.74-27.99 67-46.13 109.5-49.3L149.1 7.77C147.1 2.949 141.9 0 136.3 0zM495.1 0H375.7c-5.621 0-10.83 2.949-13.72 7.77L269.2 160.7c42.5 3.168 80.76 21.31 109.5 49.3l130.3-184.8C516.5 14.58 508.9 0 495.1 0z", "M256 160c-97.25 0-176 78.75-176 176S158.8 512 256 512s176-78.75 176-176S353.3 160 256 160zM348.5 317.3l-37.88 37l8.875 52.25c1.625 9.25-8.25 16.5-16.63 12l-46.88-24.62L209.1 418.5c-8.375 4.5-18.25-2.75-16.63-12l8.875-52.25l-37.88-37C156.6 310.6 160.5 299 169.9 297.6l52.38-7.625L245.7 242.5c2-4.25 6.125-6.375 10.25-6.375S264.2 238.3 266.2 242.5l23.5 47.5l52.38 7.625C351.6 299 355.4 310.6 348.5 317.3z"]],
    "megaphone": [576, 512, [128227], "f675", ["M63.96 190.3L480 64V448L63.96 321.7C63.07 338.6 49.1 352 32 352C14.33 352 0 337.7 0 320V192C0 174.3 14.33 160 32 160C49.1 160 63.07 173.4 63.96 190.3V190.3z", "M576 64V448C576 465.7 561.7 480 544 480C526.3 480 512 465.7 512 448V64C512 46.33 526.3 32 544 32C561.7 32 576 46.33 576 64zM160 384C160 372.1 161.9 362.3 165.3 352.5L211.3 366.4C209.2 371.9 208 377.8 208 384C208 410.5 229.5 432 256 432C278.1 432 298.2 415.8 302.9 394.2L348.9 408.2C338.2 449.5 300.7 480 256 480C202.1 480 160 437 160 384H160z"]],
    "melon": [512, 512, [], "e310", ["M362.8 23.56C330.3 8.584 294.2 0 256 0C114.6 0 0 114.6 0 256c0 38.05 8.527 74.04 23.42 106.5c1.332-14.39 4.246-29.59 9.037-45.56c17.58-58.63 56.79-120.4 110.4-174.1C211.8 73.9 294.4 29.68 362.8 23.56zM448.9 185.9c14.73-49.1 10.5-88.49-11.87-110.9c-.0098-.0215 .0156 .0215 0 0c-14.05-14.02-34.29-20.67-58.28-20.67c-59.84 0-143.2 41.14-213.2 111.2C115.6 215.4 79.2 272.5 63.11 326.1c-14.73 49.1-10.49 88.5 11.89 110.9c.0137 .0195-.0137-.0156 0 0c.002 .002-.002-.002 0 0c14.05 14.01 34.27 20.64 58.25 20.64c59.84 0 143.2-41.14 213.3-111.1C396.4 296.6 432.8 239.6 448.9 185.9zM488.6 149.6c-1.334 14.38-4.281 29.57-9.066 45.52c-17.58 58.63-56.79 120.4-110.4 174.1c-68.98 68.95-151.5 113.2-219.9 119.3C181.7 503.4 217.8 512 256 512c141.4 0 256-114.6 256-256C512 217.1 503.5 182 488.6 149.6z", "M74.1 437C75 437 74.1 437 74.1 437C74.1 437 75 437 74.1 437C75 437 74.1 437 74.1 437zM74.1 437C75.01 437.1 74.99 437 74.1 437C74.98 437 75.02 437.1 74.1 437C75 437 74.1 437 74.1 437zM438.2 76.76c21.11 22.63 25.1 61.1 10.69 109.1c-16.09 53.67-52.46 110.7-102.4 160.6c-70.04 70-153.4 111.1-213.3 111.1c-23.98 0-44.21-6.632-58.25-20.64c21.31 21.3 46.49 38.65 74.2 51.4c68.39-6.119 150.9-50.33 219.9-119.3c53.63-53.63 92.83-115.5 110.4-174.1c4.785-15.95 7.732-31.14 9.066-45.52C476.1 122.3 458.9 97.81 438.2 76.76zM63.11 326.1c16.09-53.67 52.46-110.7 102.4-160.6c70.03-70.02 153.4-111.2 213.2-111.2c20.81 0 38.51 5.326 52.08 15.8c-20.03-18.84-42.71-34.91-68.03-46.57c-68.39 6.119-150.1 50.34-219.9 119.3C89.25 196.5 50.04 258.3 32.46 316.9c-4.791 15.97-7.705 31.17-9.037 45.56c12.77 27.83 30.21 53.15 51.58 74.53C52.64 414.6 48.38 375.2 63.11 326.1z"]],
    "melon-slice": [512, 512, [], "e311", ["M448 217.6c0 61.55-23.97 119.4-67.5 162.9C336.1 424 279.1 448 217.6 448c-61.53 0-119.4-23.97-162.9-67.48L32 357.9l44.96-44.96C93.24 317.4 110.3 320 128 320c106 0 192-85.96 192-192c0-17.7-2.592-34.77-7.076-51.05L357.9 32l22.62 22.62C424 98.16 448 156 448 217.6z", "M425.8 9.375c-12.5-12.5-32.75-12.5-45.25 0L357.9 32l22.62 22.62C424 98.16 448 156 448 217.6c0 61.55-23.97 119.4-67.5 162.9C336.1 424 279.1 448 217.6 448c-61.53 0-119.4-23.97-162.9-67.48L32 357.9l-22.62 22.62C3.375 386.5 0 394.7 0 403.1s3.375 16.62 9.375 22.62C65 481.4 138.9 512 217.6 512c78.66 0 152.6-30.62 208.2-86.23C481.4 370.2 512 296.2 512 217.6C512 138.9 481.4 64.98 425.8 9.375z"]],
    "memo": [384, 512, [], "e1d8", ["M320 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h256c35.35 0 64-28.65 64-64V64C384 28.65 355.3 0 320 0zM208 352h-128C71.16 352 64 344.8 64 336S71.16 320 80 320h128c8.838 0 16 7.164 16 16S216.8 352 208 352zM304 256h-224C71.16 256 64 248.8 64 240S71.16 224 80 224h224C312.8 224 320 231.2 320 240S312.8 256 304 256zM304 160h-224C71.16 160 64 152.8 64 144S71.16 128 80 128h224C312.8 128 320 135.2 320 144S312.8 160 304 160z", "M208 320h-128C71.16 320 64 327.2 64 336S71.16 352 80 352h128c8.838 0 16-7.164 16-16S216.8 320 208 320zM304 224h-224C71.16 224 64 231.2 64 240S71.16 256 80 256h224C312.8 256 320 248.8 320 240S312.8 224 304 224zM304 128h-224C71.16 128 64 135.2 64 144S71.16 160 80 160h224C312.8 160 320 152.8 320 144S312.8 128 304 128z"]],
    "memo-circle-check": [576, 512, [], "e1d9", ["M320 0C355.3 0 384 28.65 384 64V198.6C310.1 219.5 256 287.4 256 368C256 427.1 285.1 479.3 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H320zM80 128C71.16 128 64 135.2 64 144C64 152.8 71.16 160 80 160H304C312.8 160 320 152.8 320 144C320 135.2 312.8 128 304 128H80zM80 256H240C248.8 256 256 248.8 256 240C256 231.2 248.8 224 240 224H80C71.16 224 64 231.2 64 240C64 248.8 71.16 256 80 256zM80 352H176C184.8 352 192 344.8 192 336C192 327.2 184.8 320 176 320H80C71.16 320 64 327.2 64 336C64 344.8 71.16 352 80 352z", "M288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM499.3 347.3C505.6 341.1 505.6 330.9 499.3 324.7C493.1 318.4 482.9 318.4 476.7 324.7L416 385.4L387.3 356.7C381.1 350.4 370.9 350.4 364.7 356.7C358.4 362.9 358.4 373.1 364.7 379.3L404.7 419.3C410.9 425.6 421.1 425.6 427.3 419.3L499.3 347.3z"]],
    "memo-circle-info": [576, 512, [], "e49a", ["M320 0C355.3 0 384 28.65 384 64V198.6C310.1 219.5 256 287.4 256 368C256 427.1 285.1 479.3 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H320zM80 128C71.16 128 64 135.2 64 144C64 152.8 71.16 160 80 160H304C312.8 160 320 152.8 320 144C320 135.2 312.8 128 304 128H80zM80 256H240C248.8 256 256 248.8 256 240C256 231.2 248.8 224 240 224H80C71.16 224 64 231.2 64 240C64 248.8 71.16 256 80 256zM80 352H176C184.8 352 192 344.8 192 336C192 327.2 184.8 320 176 320H80C71.16 320 64 327.2 64 336C64 344.8 71.16 352 80 352z", "M576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 272C418.7 272 408 282.7 408 296C408 309.3 418.7 320 432 320C445.3 320 456 309.3 456 296C456 282.7 445.3 272 432 272zM416 352C407.2 352 400 359.2 400 368C400 376.8 407.2 384 416 384L416 432C407.2 432 400 439.2 400 448C400 456.8 407.2 464 416 464H448C456.8 464 464 456.8 464 448C464 439.2 456.8 432 448 432V368C448 359.2 440.8 352 432 352H416z"]],
    "memo-pad": [448, 512, [], "e1da", ["M0 128v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V128H0zM208 432h-96C103.2 432 96 424.8 96 416c0-8.838 7.164-16 16-16h96c8.836 0 16 7.162 16 16C224 424.8 216.8 432 208 432zM336 336h-224C103.2 336 96 328.8 96 320c0-8.838 7.164-16 16-16h224c8.836 0 16 7.162 16 16C352 328.8 344.8 336 336 336zM336 240h-224C103.2 240 96 232.8 96 224c0-8.838 7.164-16 16-16h224C344.8 208 352 215.2 352 224C352 232.8 344.8 240 336 240z", "M384 0H64C28.65 0 0 28.65 0 64v64h448V64C448 28.65 419.3 0 384 0zM208 400h-96C103.2 400 96 407.2 96 416c0 8.836 7.164 16 16 16h96c8.836 0 16-7.164 16-16C224 407.2 216.8 400 208 400zM336 208h-224C103.2 208 96 215.2 96 224c0 8.836 7.164 16 16 16h224C344.8 240 352 232.8 352 224C352 215.2 344.8 208 336 208zM336 304h-224C103.2 304 96 311.2 96 320c0 8.836 7.164 16 16 16h224c8.836 0 16-7.164 16-16C352 311.2 344.8 304 336 304z"]],
    "memory": [576, 512, [], "f538", ["M576 146.9V112C576 85.49 554.5 64 528 64h-480C21.49 64 0 85.49 0 112v34.94C18.6 153.5 32 171.1 32 192S18.6 230.5 0 237.1V320h576V237.1C557.4 230.5 544 212.9 544 192S557.4 153.5 576 146.9zM192 240C192 248.8 184.8 256 176 256h-32C135.2 256 128 248.8 128 240v-96C128 135.2 135.2 128 144 128h32C184.8 128 192 135.2 192 144V240zM320 240C320 248.8 312.8 256 304 256h-32C263.2 256 256 248.8 256 240v-96C256 135.2 263.2 128 272 128h32C312.8 128 320 135.2 320 144V240zM448 240C448 248.8 440.8 256 432 256h-32C391.2 256 384 248.8 384 240v-96C384 135.2 391.2 128 400 128h32C440.8 128 448 135.2 448 144V240z", "M400 256h32C440.8 256 448 248.8 448 240v-96C448 135.2 440.8 128 432 128h-32C391.2 128 384 135.2 384 144v96C384 248.8 391.2 256 400 256zM272 256h32C312.8 256 320 248.8 320 240v-96C320 135.2 312.8 128 304 128h-32C263.2 128 256 135.2 256 144v96C256 248.8 263.2 256 272 256zM144 256h32C184.8 256 192 248.8 192 240v-96C192 135.2 184.8 128 176 128h-32C135.2 128 128 135.2 128 144v96C128 248.8 135.2 256 144 256zM0 320v128h80v-32c0-8.836 7.164-16 16-16c8.838 0 16 7.164 16 16v32h96v-32c0-8.836 7.164-16 16-16c8.838 0 16 7.164 16 16v32h96v-32c0-8.836 7.164-16 16-16c8.838 0 16 7.164 16 16v32h96v-32c0-8.836 7.164-16 16-16c8.838 0 16 7.164 16 16v32H576v-128H0z"]],
    "menorah": [640, 512, [], "f676", ["M416 95.1c17.62 0 32-14.38 32-32s-32-63.1-32-63.1s-32 46.37-32 63.1S398.4 95.1 416 95.1zM608 95.1c17.62 0 32-14.38 32-32s-32-63.1-32-63.1s-32 46.37-32 63.1S590.4 95.1 608 95.1zM320 95.1c17.62 0 32-14.38 32-32s-32-63.1-32-63.1S288 46.37 288 63.1S302.4 95.1 320 95.1zM512 95.1c17.62 0 32-14.38 32-32s-32-63.1-32-63.1s-32 46.37-32 63.1S494.4 95.1 512 95.1zM224 95.1c17.62 0 32-14.38 32-32S224 0 224 0S192 46.37 192 63.1S206.4 95.1 224 95.1zM32 95.1c17.62 0 32-14.38 32-32S32 0 32 0S0 46.37 0 63.1S14.38 95.1 32 95.1zM128 95.1c17.62 0 32-14.38 32-32S128 0 128 0S96 46.37 96 63.1S110.4 95.1 128 95.1z", "M544 144C544 135.1 536.9 128 528 128h-32C487.1 128 480 135.1 480 144V288h64V144zM448 144C448 135.1 440.9 128 432 128h-32C391.1 128 384 135.1 384 144V288h64V144zM624 128h-32C583.2 128 576 135.2 576 144V288c0 17.6-14.4 32-32 32h-192V144C352 135.2 344.8 128 336 128h-32C295.2 128 288 135.2 288 144V320H96c-17.6 0-32-14.4-32-32V144C64 135.2 56.84 128 48 128h-32C7.164 128 0 135.2 0 144V288c0 53.02 42.98 96 96 96h192v64H176C149.5 448 128 469.5 128 496C128 504.8 135.2 512 144 512h352c8.836 0 16-7.164 16-16c0-26.51-21.49-48-48-48H352v-64h192c53.02 0 96-42.98 96-96V144C640 135.2 632.8 128 624 128zM160 144C160 135.1 152.9 128 144 128h-32C103.1 128 96 135.1 96 144V288h64V144zM256 144C256 135.1 248.9 128 240 128h-32C199.1 128 192 135.1 192 144V288h64V144z"]],
    "mercury": [384, 512, [9791], "f223", ["M256 224c0 35.35-28.65 64-64 64S128 259.3 128 224s28.65-64 64-64S256 188.7 256 224z", "M368 223.1c0-55.32-25.57-104.6-65.49-136.9c20.49-17.32 37.2-39.11 48.1-64.21c4.656-10.72-2.9-22.89-14.45-22.89h-54.31c-5.256 0-9.93 2.828-12.96 7.188C251.8 31.77 223.8 47.1 192 47.1c-31.85 0-59.78-16.23-76.88-40.81C112.1 2.828 107.4 0 102.2 0H47.84c-11.55 0-19.11 12.17-14.45 22.89C44.29 47.1 60.1 69.79 81.49 87.11C41.57 119.4 16 168.7 16 223.1c0 86.26 62.1 157.9 144 172.1V416H128c-8.836 0-16 7.164-16 16v32C112 472.8 119.2 480 128 480h32v16C160 504.8 167.2 512 176 512h32c8.838 0 16-7.164 16-16V480h32c8.838 0 16-7.164 16-16v-32c0-8.836-7.162-16-16-16h-32v-19.05C305.9 381.9 368 310.3 368 223.1zM192 320c-52.93 0-96-43.07-96-96c0-52.94 43.07-95.1 96-95.1c52.94 0 96 43.06 96 95.1C288 276.9 244.9 320 192 320z"]],
    "merge": [512, 512, [], "e526", ["M253.4 263.1C265.5 279.2 283.9 288 303.4 288L194.6 423.1C182.5 439.2 164.1 448 144.6 448H32C14.33 448 0 433.7 0 416C0 398.3 14.33 384 32 384H144.6L247 256L253.4 263.1z", "M144.6 64C164.1 64 182.4 72.84 194.6 88.02L303.4 224H384V176C384 166.3 389.8 157.5 398.8 153.8C407.8 150.1 418.1 152.2 424.1 159L504.1 239C514.3 248.4 514.3 263.6 504.1 272.1L424.1 352.1C418.1 359.8 407.8 361.9 398.8 358.2C389.8 354.5 384 345.7 384 336V288H303.4C283.9 288 265.5 279.2 253.4 263.1L144.6 128H32C14.33 128 0 113.7 0 96C0 78.33 14.33 64 32 64H144.6z"]],
    "message": [512, 512, ["comment-alt"], "f27a", ["M511.1 63.1v287.1c0 35.25-28.75 63.1-64 63.1h-144l-124.9 93.68c-7.875 5.75-19.12 .0497-19.12-9.7v-83.98h-96c-35.25 0-64-28.75-64-63.1V63.1c0-35.25 28.75-63.1 64-63.1h384C483.2 0 511.1 28.75 511.1 63.1z", ""]],
    "message-arrow-down": [512, 512, ["comment-alt-arrow-down"], "e1db", ["M448 0H64C28.75 0 0 28.75 0 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.75 11.25 15.45 19.12 9.7L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM350.6 224.1l-80 80c-9.375 9.375-24.56 9.375-33.94 0l-80-80c-9.375-9.375-9.375-24.56 0-33.94C161.4 186.3 167.5 184 173.7 184s12.28 2.344 16.97 7.031l39.03 39.03V128c0-13.25 10.75-24 24-24s24 10.75 24 24v102.1l39.03-39.03c9.375-9.375 24.56-9.375 33.94 0S359.1 215.6 350.6 224.1z", "M350.6 224.1l-80 80c-9.375 9.375-24.56 9.375-33.94 0l-80-80c-9.375-9.375-9.375-24.56 0-33.94C161.4 186.3 167.5 184 173.7 184s12.28 2.344 16.97 7.031l39.03 39.03V128c0-13.25 10.75-24 24-24s24 10.75 24 24v102.1l39.03-39.03c9.375-9.375 24.56-9.375 33.94 0S359.1 215.6 350.6 224.1z"]],
    "message-arrow-up": [512, 512, ["comment-alt-arrow-up"], "e1dc", ["M448 0H64C28.75 0 0 28.75 0 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.75 11.25 15.45 19.12 9.7L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM350.6 224.1C345.9 229.7 339.8 232 333.7 232s-12.28-2.344-16.97-7.031l-39.03-39.03V288c0 13.25-10.75 24-24 24s-24-10.75-24-24V185.9L190.6 224.1c-9.375 9.375-24.56 9.375-33.94 0s-9.375-24.56 0-33.94l80-80c9.375-9.375 24.56-9.375 33.94 0l80 80C359.1 200.4 359.1 215.6 350.6 224.1z", "M350.6 224.1C345.9 229.7 339.8 232 333.7 232s-12.28-2.344-16.97-7.031l-39.03-39.03V288c0 13.25-10.75 24-24 24s-24-10.75-24-24V185.9L190.6 224.1c-9.375 9.375-24.56 9.375-33.94 0s-9.375-24.56 0-33.94l80-80c9.375-9.375 24.56-9.375 33.94 0l80 80C359.1 200.4 359.1 215.6 350.6 224.1z"]],
    "message-arrow-up-right": [512, 512, [], "e1dd", ["M448 0H64C28.75 0 0 28.75 0 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96V499.1c0 9.748 11.25 15.45 19.12 9.699L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM368 264C368 277.3 357.3 288 344 288S320 277.3 320 264V193.9l-96 96c-9.381 9.381-24.56 9.373-33.94 0C180.7 280.6 180.7 265.4 190.1 256l96-96H216C202.8 160 192 149.3 192 136S202.8 112 216 112h128c13.25 0 24 10.75 24 24V264z", "M344 112h-128C202.8 112 192 122.8 192 136S202.8 160 216 160h70.06l-96 96c-9.375 9.375-9.375 24.56 0 33.94c9.373 9.373 24.56 9.381 33.94 0l96-96V264C320 277.3 330.8 288 344 288s24-10.75 24-24v-128C368 122.8 357.3 112 344 112z"]],
    "message-bot": [640, 512, [], "e3b8", ["M464 0h-288C131.8 0 96 35.81 96 80v255.1c0 44.18 35.82 80 80 80L224 415.1v83.99C224 503.3 226.7 512 236 512c2.523 0 4.998-.8086 7.096-2.328L368 415.1l96 .0059c44.18 0 80-35.82 80-80V80C544 35.81 508.2 0 464 0zM480 256c0 17.67-14.33 32-32 32H192C174.3 288 160 273.7 160 256V128c0-17.67 14.33-32 32-32h256c17.67 0 32 14.33 32 32V256z", "M224 159.1c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S241.7 159.1 224 159.1zM32 159.1c-18.3 0-32 14.97-32 32c0 17.06 13.73 31.1 32 31.1c18.85 0 25.44-13.3 27.03-15.1H96v-32H59.03C57.44 173.3 50.85 159.1 32 159.1zM416 159.1c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S433.7 159.1 416 159.1zM608 159.1c-18.85 0-25.44 13.31-27.03 16H544v32h36.98C582.6 210.7 589.2 223.1 608 223.1c18.28 0 32-14.94 32-31.1S626.3 159.1 608 159.1z"]],
    "message-captions": [512, 512, ["comment-alt-captions"], "e1de", ["M447.1 0h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.75 11.25 15.45 19.12 9.7l124.9-93.7h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 0 447.1 0zM135.1 320h-15.1C106.7 320 96 309.3 96 296S106.7 272 119.1 272h15.1c13.25 0 23.1 10.75 23.1 24S149.2 320 135.1 320zM119.1 240C106.7 240 96 229.3 96 216S106.7 192 119.1 192h95.99c13.25 0 23.1 10.75 23.1 24S229.2 239.1 215.1 239.1L119.1 240zM295.1 320H215.1c-13.25 0-23.1-10.75-23.1-24S202.7 272 215.1 272h79.99c13.25 0 23.1 10.75 23.1 24S309.2 320 295.1 320zM391.1 320h-15.1c-13.25 0-23.1-10.75-23.1-24s10.75-24 23.1-24h15.1c13.25 0 23.1 10.75 23.1 24S405.2 320 391.1 320zM391.1 240h-95.99c-13.25 0-23.1-10.75-23.1-24S282.7 192 295.1 192h95.99c13.25 0 23.1 10.75 23.1 24S405.2 240 391.1 240z", "M135.1 272h-15.1C106.7 272 96 282.8 96 296S106.7 320 119.1 320h15.1c13.25 0 23.1-10.75 23.1-24S149.2 272 135.1 272zM295.1 272H215.1c-13.25 0-23.1 10.75-23.1 24S202.7 320 215.1 320h79.99c13.25 0 23.1-10.75 23.1-24S309.2 272 295.1 272zM119.1 240l95.99-.0038c13.25 0 23.99-10.75 23.99-23.1S229.2 192 215.1 192H119.1C106.7 192 96 202.8 96 216S106.7 240 119.1 240zM391.1 272h-15.1c-13.25 0-23.1 10.75-23.1 24S362.7 320 375.1 320h15.1c13.25 0 23.1-10.75 23.1-24S405.2 272 391.1 272zM295.1 240h95.99c13.25 0 23.1-10.75 23.1-24S405.2 192 391.1 192h-95.99c-13.25 0-23.1 10.75-23.1 24S282.7 240 295.1 240z"]],
    "message-check": [512, 512, ["comment-alt-check"], "f4a2", ["M447.1 0h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.75 11.25 15.45 19.12 9.7l124.9-93.7h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 0 447.1 0zM347.7 167.6l-96 112C247.4 284.7 241.1 287.7 234.4 287.1C234.1 287.1 233.8 287.1 233.5 287.1c-6.344 0-12.47-2.531-16.97-7.031l-48-48c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0l29.69 29.69l79.13-92.34c8.656-10.06 23.81-11.19 33.84-2.594C355.2 142.4 356.3 157.5 347.7 167.6z", "M347.7 167.6l-96 112C247.4 284.7 241.1 287.7 234.4 287.1C234.1 287.1 233.8 287.1 233.5 287.1c-6.344 0-12.47-2.531-16.97-7.031l-48-48c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0l29.69 29.69l79.13-92.34c8.656-10.06 23.81-11.19 33.84-2.594C355.2 142.4 356.3 157.5 347.7 167.6z"]],
    "message-code": [512, 512, [], "e1df", ["M448 0H64C28.75 0 0 28.75 0 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96V499.1c0 9.748 11.25 15.45 19.12 9.699L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM216.1 262.2c9.844 8.875 10.64 24.03 1.781 33.91C213.1 301.3 206.6 304 200 304c-5.734 0-11.47-2.031-16.06-6.156l-80-72C98.89 221.3 96 214.8 96 208s2.891-13.28 7.938-17.84l80-72c9.875-8.844 25.03-8.031 33.91 1.781c8.859 9.875 8.062 25.03-1.781 33.91L155.9 208L216.1 262.2zM408.1 225.8l-80 72C323.5 301.1 317.7 304 312 304c-6.562 0-13.09-2.688-17.84-7.938c-8.859-9.875-8.062-25.03 1.781-33.91L356.1 208l-60.19-54.16c-9.844-8.875-10.64-24.03-1.781-33.91c8.875-9.844 24.05-10.62 33.91-1.781l80 72C413.1 194.7 416 201.2 416 208S413.1 221.3 408.1 225.8z", "M408.1 190.2l-80-72c-9.859-8.844-25.03-8.062-33.91 1.781c-8.859 9.875-8.062 25.03 1.781 33.91L356.1 208l-60.19 54.16c-9.844 8.875-10.64 24.03-1.781 33.91C298.9 301.3 305.4 304 312 304c5.734 0 11.47-2.031 16.06-6.156l80-72C413.1 221.3 416 214.8 416 208S413.1 194.7 408.1 190.2zM217.8 119.9C208.1 110.1 193.8 109.3 183.9 118.2l-80 72C98.89 194.7 96 201.2 96 208s2.891 13.28 7.938 17.84l80 72C188.5 301.1 194.3 304 200 304c6.562 0 13.09-2.688 17.84-7.938c8.859-9.875 8.062-25.03-1.781-33.91L155.9 208l60.19-54.16C225.9 144.1 226.7 129.8 217.8 119.9z"]],
    "message-dollar": [512, 512, ["comment-alt-dollar"], "f650", ["M448 0H64C28.63 0 0 28.62 0 63.1v287.1C0 387.4 28.63 415.1 64 415.1h96v83.1c0 9.873 11.25 15.52 19.12 9.649L304 415.1H448c35.38 0 64-28.63 64-63.1V63.1C512 28.62 483.4 0 448 0zM326.7 256.4c-4.141 23.89-22.25 39.59-47.8 45.07v11.72c0 12.61-10.23 22.86-22.85 22.86s-22.86-10.25-22.86-22.86V300.8C223.2 298.6 213.4 295.4 204.5 292.3L199.6 290.5C187.7 286.3 181.5 273.3 185.7 261.4c4.215-11.89 17.27-18.07 29.16-13.96l5.107 1.857C228.9 252.5 239.1 256.1 246.1 257.3c15.68 2.428 33.07 .2148 34.64-8.715c1-5.82 1.553-9.035-31.91-18.61L243.1 228C223.3 222.2 176.9 208.6 185.3 159.6C189.5 135.7 207.5 119.7 233.1 114.3V102.9C233.1 90.25 243.4 80 256 80s22.85 10.25 22.85 22.86v12.15c6.23 1.367 12.96 3.188 21.21 6.027c11.93 4.143 18.23 17.18 14.09 29.11c-4.143 11.89-17.21 18.21-29.09 14.11c-6.695-2.322-13.71-4.572-20.11-5.537C249.3 156.3 231.9 158.5 230.4 167.4C229.5 172.5 228.9 176.2 255.9 184.2L262.3 186C287.8 193.3 335.2 206.9 326.7 256.4z", "M326.7 256.4c-4.141 23.89-22.25 39.59-47.8 45.07v11.72c0 12.61-10.23 22.86-22.85 22.86s-22.86-10.25-22.86-22.86V300.8C223.2 298.6 213.4 295.4 204.5 292.3L199.6 290.5C187.7 286.3 181.5 273.3 185.7 261.4c4.215-11.89 17.27-18.07 29.16-13.96l5.107 1.857C228.9 252.5 239.1 256.1 246.1 257.3c15.68 2.428 33.07 .2148 34.64-8.715c1-5.82 1.553-9.035-31.91-18.61L243.1 228C223.3 222.2 176.9 208.6 185.3 159.6C189.5 135.7 207.5 119.7 233.1 114.3V102.9C233.1 90.25 243.4 80 256 80s22.85 10.25 22.85 22.86v12.15c6.23 1.367 12.96 3.188 21.21 6.027c11.93 4.143 18.23 17.18 14.09 29.11c-4.143 11.89-17.21 18.21-29.09 14.11c-6.695-2.322-13.71-4.572-20.11-5.537C249.3 156.3 231.9 158.5 230.4 167.4C229.5 172.5 228.9 176.2 255.9 184.2L262.3 186C287.8 193.3 335.2 206.9 326.7 256.4z"]],
    "message-dots": [512, 512, ["comment-alt-dots", "messaging"], "f4a3", ["M447.1 0h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.749 11.25 15.45 19.12 9.7l124.9-93.7h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 0 447.1 0zM127.1 239.1c-17.75 0-32-14.25-32-31.1s14.25-31.1 32-31.1s32 14.25 32 31.1S145.7 239.1 127.1 239.1zM255.1 239.1c-17.75 0-32-14.25-32-31.1s14.25-31.1 32-31.1s32 14.25 32 31.1S273.7 239.1 255.1 239.1zM383.1 239.1c-17.75 0-32-14.25-32-31.1s14.25-31.1 32-31.1s32 14.25 32 31.1S401.7 239.1 383.1 239.1z", "M127.1 239.1c-17.75 0-32-14.25-32-31.1s14.25-31.1 32-31.1s32 14.25 32 31.1S145.7 239.1 127.1 239.1zM255.1 239.1c-17.75 0-32-14.25-32-31.1s14.25-31.1 32-31.1s32 14.25 32 31.1S273.7 239.1 255.1 239.1zM383.1 239.1c-17.75 0-32-14.25-32-31.1s14.25-31.1 32-31.1s32 14.25 32 31.1S401.7 239.1 383.1 239.1z"]],
    "message-exclamation": [512, 512, ["comment-alt-exclamation"], "f4a5", ["M447.1 0h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.75 11.25 15.45 19.12 9.7l124.9-93.7h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 0 447.1 0zM232 104C232 90.75 242.8 80 256 80s24 10.75 24 24v112c0 13.25-10.75 24-24 24S232 229.3 232 216V104zM256 336c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32s32 14.33 32 32C288 321.7 273.7 336 256 336z", "M256 240c13.25 0 24-10.75 24-24v-112c0-13.25-10.75-24-24-24S232 90.75 232 104v112C232 229.3 242.8 240 256 240zM256 272c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32s32-14.33 32-32C288 286.3 273.7 272 256 272z"]],
    "message-image": [512, 512, ["comment-alt-image"], "e1e0", ["M447.1 .0041h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.98c0 9.75 11.25 15.45 19.12 9.7l124.9-93.68h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 .0041 447.1 .0041zM128 96c17.67 0 32 14.33 32 32S145.7 160 128 160S96 145.7 96 128S110.3 96 128 96zM414.1 311.6c-2.785 5.203-8.211 8.442-14.11 8.442h-288c-6.021 0-11.53-3.371-14.26-8.742c-2.73-5.367-2.215-11.81 1.334-16.68l70-96C172.1 194.4 176.9 192 182 192s9.916 2.441 12.93 6.574l22.36 30.66l62.74-94.11C283 130.7 287.1 128 293.3 128s10.35 2.672 13.31 7.125l106.7 160C416.6 300 416.9 306.3 414.1 311.6z", "M414.1 311.6c-2.785 5.203-8.211 8.442-14.11 8.442h-288c-6.021 0-11.53-3.371-14.26-8.742c-2.73-5.367-2.215-11.81 1.334-16.68l70-96C172.1 194.4 176.9 192 182 192s9.916 2.441 12.93 6.574l22.36 30.66l62.74-94.11C283 130.7 287.1 128 293.3 128s10.35 2.672 13.31 7.125l106.7 160C416.6 300 416.9 306.3 414.1 311.6z"]],
    "message-lines": [512, 512, ["comment-alt-lines"], "f4a6", ["M447.1 0h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.75 11.25 15.45 19.12 9.7l124.9-93.7h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 0 447.1 0zM264 288h-112C138.8 288 128 277.3 128 264S138.8 240 152 240h112C277.3 240 288 250.8 288 264S277.3 288 264 288zM360 192h-208C138.8 192 128 181.3 128 168S138.8 144 152 144h208C373.3 144 384 154.8 384 168S373.3 192 360 192z", "M360 144h-208C138.8 144 128 154.8 128 168S138.8 192 152 192h208C373.3 192 384 181.3 384 168S373.3 144 360 144zM264 240h-112C138.8 240 128 250.8 128 264S138.8 288 152 288h112C277.3 288 288 277.3 288 264S277.3 240 264 240z"]],
    "message-medical": [512, 512, ["comment-alt-medical"], "f7f4", ["M447.1 0h-384c-35.38 0-64 28.62-64 63.1v287.1c0 35.38 28.62 63.1 64 63.1h96v83.1c0 4.5 2.5 8.624 6.625 10.75c4 2 8.875 1.651 12.5-1.099l124.9-93.65h144c35.38 0 64-28.62 64-63.1V63.1C511.1 28.62 483.4 0 447.1 0zM368 234c0 8.836-7.164 16-16 16h-54V304c0 8.836-7.163 16-16 16h-52c-8.835 0-16-7.164-16-16V250H160c-8.836 0-16-7.164-16-16v-52c0-8.838 7.164-16 16-16h53.1V112c0-8.838 7.165-16 16-16h52c8.837 0 16 7.162 16 16v54H352c8.836 0 16 7.162 16 16V234z", "M368 234c0 8.836-7.164 16-16 16h-54V304c0 8.836-7.163 16-16 16h-52c-8.835 0-16-7.164-16-16V250H160c-8.836 0-16-7.164-16-16v-52c0-8.838 7.164-16 16-16h53.1V112c0-8.838 7.165-16 16-16h52c8.837 0 16 7.162 16 16v54H352c8.836 0 16 7.162 16 16V234z"]],
    "message-middle": [512, 512, ["comment-middle-alt"], "e1e1", ["M512 63.99v287.1c0 35.25-28.75 63.1-64 63.1h-111.1l-67.22 89.63c-6.4 8.533-19.2 8.533-25.6 0l-67.22-89.63H64c-35.25 0-64-28.75-64-63.1V63.99C0 28.75 28.75 0 64 0h384C483.3 0 512 28.75 512 63.99z", ""]],
    "message-middle-top": [512, 512, ["comment-middle-top-alt"], "e1e2", ["M512 160v287.1C512 483.3 483.3 512 448 512H64c-35.25 0-64-28.75-64-63.99V160c0-35.25 28.75-63.1 64-63.1h111.1l67.22-89.63C246.4 2.134 251.2 .0002 256 .0002s9.601 2.134 12.8 6.4l67.22 89.63H448C483.3 96.03 512 124.8 512 160z", ""]],
    "message-minus": [512, 512, ["comment-alt-minus"], "f4a7", ["M448 0H64C28.75 0 0 28.75 0 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.75 11.25 15.45 19.12 9.7L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM336 231.1h-160C162.7 231.1 152 221.3 152 208c0-13.26 10.74-23.1 23.1-23.1h160C349.3 184 360 194.7 360 208S349.3 231.1 336 231.1z", "M360 208c0 13.26-10.74 23.1-23.1 23.1h-160C162.7 231.1 152 221.3 152 208c0-13.26 10.74-23.1 23.1-23.1h160C349.3 184 360 194.7 360 208z"]],
    "message-music": [512, 512, ["comment-alt-music"], "f8af", ["M447.1 .0072h-384c-35.38 0-64 28.62-64 63.1v287.1c0 35.37 28.62 63.1 64 63.1h96v83.1c0 4.5 2.5 8.618 6.625 10.74c4 1.1 8.875 1.581 12.5-1.044l124.9-93.7h144c35.38 0 64-28.62 64-63.1V64C511.1 28.63 483.4 .0072 447.1 .0072zM351.1 255.1c0 17.62-21.5 31.1-48 31.1s-48-14.37-48-31.1s21.5-31.1 48-31.1c5.375 0 10.75 .7556 16 2.005v-76.37L224 187.1L223.1 287.1c0 17.62-21.5 31.1-47.1 31.1s-48-14.37-48-31.1s21.5-31.1 48-31.1C181.4 255.1 186.8 256.7 192 257.1V143.3c0-6.999 4.5-13.12 11.25-15.25l128-47.25C336 79.26 341.4 80.14 345.5 83.14C349.6 86.14 352 90.89 352 96.01L351.1 255.1z", "M351.1 255.1c0 17.62-21.5 31.1-48 31.1s-48-14.37-48-31.1s21.5-31.1 48-31.1c5.375 0 10.75 .7556 16 2.005v-76.37L224 187.1L223.1 287.1c0 17.62-21.5 31.1-47.1 31.1s-48-14.37-48-31.1s21.5-31.1 48-31.1C181.4 255.1 186.8 256.7 192 257.1V143.3c0-6.999 4.5-13.12 11.25-15.25l128-47.25C336 79.26 341.4 80.14 345.5 83.14C349.6 86.14 352 90.89 352 96.01L351.1 255.1z"]],
    "message-pen": [512, 512, ["comment-alt-edit", "message-edit"], "f4a4", ["M447.1 0h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.749 11.25 15.45 19.12 9.7l124.9-93.7h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 0 447.1 0zM215.1 304.9c-1.955 1.957-4.443 3.285-7.152 3.828L152.4 319.9c-4.896 .9804-9.216-3.34-8.238-8.234l11.11-55.53c.543-2.711 1.875-5.203 3.83-7.156l97.61-97.61l56.01 56L215.1 304.9zM359.8 160.2l-24.48 24.47l-56.01-56l24.48-24.48c10.93-10.93 28.66-10.93 39.6 0l16.41 16.41C370.7 131.6 370.7 149.3 359.8 160.2z", "M215.1 304.9c-1.955 1.957-4.443 3.285-7.152 3.828L152.4 319.9c-4.896 .9804-9.216-3.34-8.238-8.234l11.11-55.53c.543-2.711 1.875-5.203 3.83-7.156l97.61-97.61l56.01 56L215.1 304.9zM359.8 160.2l-24.48 24.47l-56.01-56l24.48-24.48c10.93-10.93 28.66-10.93 39.6 0l16.41 16.41C370.7 131.6 370.7 149.3 359.8 160.2z"]],
    "message-plus": [512, 512, ["comment-alt-plus"], "f4a8", ["M448 0H64C28.75 0 0 28.75 0 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.75 11.25 15.45 19.12 9.7L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM336 231.1h-56V288C279.1 301.3 269.3 312 256 312c-13.27 0-23.1-10.74-23.1-23.1V231.1H175.1C162.7 231.1 152 221.3 152 208c0-13.26 10.74-23.1 23.1-23.1h56V127.1C232 114.7 242.7 104 256 104s23.1 10.74 23.1 23.1V184h56C349.3 184 360 194.7 360 208S349.3 231.1 336 231.1z", "M360 208c0 13.26-10.74 23.1-23.1 23.1h-56V288C279.1 301.3 269.3 312 256 312c-13.27 0-23.1-10.74-23.1-23.1V231.1H175.1C162.7 231.1 152 221.3 152 208c0-13.26 10.74-23.1 23.1-23.1h56V127.1C232 114.7 242.7 104 256 104s23.1 10.74 23.1 23.1V184h56C349.3 184 360 194.7 360 208z"]],
    "message-question": [512, 512, [], "e1e3", ["M448 0H64C28.63 0 0 28.62 0 63.1v287.1C0 387.4 28.63 415.1 64 415.1h96v83.1c0 9.873 11.25 15.52 19.12 9.649L304 415.1H448c35.38 0 64-28.63 64-63.1V63.1C512 28.62 483.4 0 448 0zM249.1 320C235.4 320 224 308.6 224 294S235.4 268 249.1 268C264.6 268 276 279.4 276 294S264.6 320 249.1 320zM307.7 203.4l-38.33 23.13v1.652c0 10.74-9.168 19.83-20 19.83c-10.83 0-20-9.088-20-19.83V214.1c0-6.609 3.332-13.22 10-17.35l47.5-28.09C292.7 166.2 296 160.4 296 153.8c0-9.914-8.334-18.17-18.33-18.17H234.3c-10 0-18.33 8.26-18.33 18.17c0 10.74-9.166 19.83-20 19.83S176 164.6 176 153.8C176 121.6 201.8 96 234.3 96h43.33C310.2 96 336 121.6 336 153.8C336 173.7 325.2 192.7 307.7 203.4z", "M249.1 268C235.4 268 224 279.4 224 294S235.4 320 249.1 320C264.6 320 276 308.6 276 294S264.6 268 249.1 268zM277.7 96H234.3C201.8 96 176 121.6 176 153.8c0 10.74 9.166 19.83 20 19.83S216 164.6 216 153.8c0-9.914 8.334-18.17 18.33-18.17h43.33c10 0 18.33 8.26 18.33 18.17c0 6.607-3.334 12.39-9.166 15.7L239.3 197.6c-6.668 4.131-10 10.74-10 17.35v13.22c0 10.74 9.166 19.83 20 19.83c10.83 0 20-9.088 20-19.83V226.5l38.33-23.13C325.2 192.7 336 173.7 336 153.8C336 121.6 310.2 96 277.7 96z"]],
    "message-quote": [512, 512, ["comment-alt-quote"], "e1e4", ["M447.1 .0041h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.98c0 9.75 11.25 15.45 19.12 9.7l124.9-93.68h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 .0041 447.1 .0041zM239.1 232c0 39.7-32.3 71.1-71.1 71.1C154.7 303.1 144 293.3 144 280S154.8 256 168 256C181.2 256 192 245.2 192 232V223.2C189.4 223.6 186.7 224 183.1 224c-30.93 0-56-25.07-56-55.1s25.07-55.1 56-55.1S239.1 137.1 239.1 168L239.1 232zM383.1 232c0 39.7-32.3 71.1-72 71.1C298.7 303.1 288 293.3 288 280S298.8 256 312 256c13.23 0 24-10.77 24-24V223.2c-2.635 .3809-5.269 .8071-8.01 .8071c-30.93 0-56-25.07-56-55.1s25.07-55.1 56-55.1s56 25.07 56 55.1L383.1 232z", "M327.1 112c-30.93 0-56 25.07-56 55.1s25.07 55.1 56 55.1c2.74 0 5.375-.4262 8.01-.8071V232C336 245.2 325.2 256 312 256C298.8 256 288 266.8 288 280s10.75 23.1 23.1 23.1c39.7 0 72-32.3 72-71.1l-.0094-63.1C383.1 137.1 358.9 112 327.1 112zM183.1 112c-30.93 0-56 25.07-56 55.1s25.07 55.1 56 55.1c2.74 0 5.375-.4262 8.01-.8071V232C192 245.2 181.2 256 168 256C154.8 256 144 266.8 144 280s10.75 23.1 23.1 23.1c39.7 0 71.1-32.3 71.1-71.1L239.1 168C239.1 137.1 214.9 112 183.1 112z"]],
    "message-slash": [640, 512, ["comment-alt-slash"], "f4a9", ["M63.1 351.1c0 35.25 28.75 63.1 63.1 63.1h95.1v83.99c0 9.75 11.25 15.45 19.12 9.7l124.9-93.69l39.37-.0117L63.1 146.9L63.1 351.1zM511.1 .0041H127.1c-23.51 0-43.94 12.89-55.07 31.86l475.4 372.6c16.66-11.57 27.63-30.78 27.63-52.52V63.1C575.1 28.75 547.2 .0041 511.1 .0041z", "M601.2 506.9L9.188 42.9C-1.234 34.74-3.056 19.64 5.115 9.201c8.188-10.41 23.23-12.29 33.7-4.073l591.1 463.1c10.42 8.156 12.24 23.26 4.073 33.7C626.7 513.2 611.6 515.1 601.2 506.9z"]],
    "message-smile": [512, 512, ["comment-alt-smile"], "f4aa", ["M448 .0039H64C28.75 .0039 0 28.75 0 64v287.1c0 35.25 28.75 63.1 64 63.1h96v83.99c0 9.75 11.25 15.45 19.12 9.699L304 415.1H448c35.25 0 64-28.75 64-63.1V64C512 28.75 483.3 .0039 448 .0039zM320 112c17.75 0 31.1 14.25 31.1 32s-14.25 31.1-32 31.1S288 161.8 288 144S302.3 112 320 112zM192 112c17.75 0 31.1 14.25 31.1 32S209.8 175.1 192 175.1S160 161.8 160 144S174.3 112 192 112zM362.3 271.3c-26.5 31-65.14 48.74-106.3 48.74c-41.12 0-79.72-17.74-106.2-48.74c-8.5-10-7.5-25.12 2.625-33.75c9.998-8.5 25.25-7.375 33.87 2.75C203.5 260.4 228.9 272 256 272c27.12 0 52.49-11.62 69.74-31.75c8.623-10.12 23.75-11.38 33.74-2.75C369.6 246.1 370.8 261.3 362.3 271.3z", "M320 175.1c17.75 0 32-14.25 32-31.1s-14.25-32-31.1-32s-31.1 14.25-31.1 32S302.3 175.1 320 175.1zM359.5 237.5c-9.998-8.625-25.12-7.375-33.74 2.75C308.5 260.4 283.2 272 256 272c-27.12 0-52.49-11.62-69.74-31.75C177.7 230.1 162.4 229 152.4 237.5C142.3 246.1 141.3 261.3 149.8 271.3c26.5 31 65.09 48.74 106.2 48.74c41.12 0 79.76-17.74 106.3-48.74C370.8 261.3 369.6 246.1 359.5 237.5zM192 175.1c17.75 0 32-14.25 32-31.1s-14.25-32-31.1-32s-31.1 14.25-31.1 32S174.3 175.1 192 175.1z"]],
    "message-sms": [512, 512, [], "e1e5", ["M448-.0004H64c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.98c0 9.75 11.25 15.45 19.12 9.7L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3-.0004 448-.0004zM167.3 239.9C163.9 259.1 146.3 272 121.1 272c-4.031 0-8.25-.3125-12.59-1C101.1 269.8 92.81 266.8 85.5 264.1c-8.312-3-14.06-12.66-11.09-20.97S85 229.1 93.38 232.9c6.979 2.498 14.53 5.449 20.88 6.438C125.7 241.1 135 239 135.8 234.4c1.053-5.912-10.84-8.396-24.56-12.34c-12.12-3.531-44.28-12.97-38.63-46c4.062-23.38 27.31-35.91 58-31.09c5.906 .9062 12.44 2.844 18.59 4.969c8.344 2.875 12.78 12 9.906 20.34C156.3 178.7 147.2 183.1 138.8 180.2c-4.344-1.5-8.938-2.938-13.09-3.594c-11.22-1.656-20.72 .4062-21.5 4.906C103.2 187.2 113.6 189.5 124.4 192.6C141.4 197.5 173.1 206.5 167.3 239.9zM320 256c0 8.844-7.156 16-16 16S288 264.8 288 256V208l-19.19 25.59c-6.062 8.062-19.56 8.062-25.62 0L224 208V256c0 8.844-7.156 16-16 16S192 264.8 192 256V160c0-6.875 4.406-13 10.94-15.19c6.5-2.094 13.72 .0625 17.88 5.594L256 197.3l35.19-46.94c4.156-5.531 11.41-7.656 17.88-5.594C315.6 147 320 153.1 320 160V256zM439.3 239.9C435.9 259.1 418.3 272 393.1 272c-4.031 0-8.25-.3125-12.59-1c-8.25-1.25-16.56-4.25-23.88-6.906c-8.312-3-14.06-12.66-11.09-20.97s10.59-13.16 18.97-10.19c6.979 2.498 14.53 5.449 20.88 6.438c11.44 1.719 20.78-.375 21.56-4.938c1.053-5.912-10.84-8.396-24.56-12.34c-12.12-3.531-44.28-12.97-38.63-46c4.031-23.38 27.25-35.91 58-31.09c5.906 .9062 12.44 2.844 18.59 4.969c8.344 2.875 12.78 12 9.906 20.34c-2.875 8.344-11.94 12.81-20.34 9.906c-4.344-1.5-8.938-2.938-13.09-3.594c-11.19-1.656-20.72 .4062-21.5 4.906C375.2 187.2 385.6 189.5 396.4 192.6C413.4 197.5 445.1 206.5 439.3 239.9z", "M124.4 192.6C113.6 189.5 103.2 187.2 104.2 181.5c.7813-4.5 10.28-6.562 21.5-4.906c4.156 .6562 8.75 2.094 13.09 3.594c8.375 2.906 17.47-1.562 20.34-9.906c2.875-8.344-1.562-17.47-9.906-20.34C143.1 147.8 136.5 145.9 130.6 145c-30.69-4.812-53.94 7.719-58 31.09c-5.656 33.03 26.5 42.47 38.63 46c13.72 3.947 25.62 6.432 24.56 12.34C135 239 125.7 241.1 114.3 239.4C107.9 238.4 100.4 235.4 93.38 232.9c-8.375-2.969-16 1.875-18.97 10.19S77.19 261.1 85.5 264.1C92.81 266.8 101.1 269.8 109.4 271C113.7 271.7 117.9 272 121.1 272c24.28 0 41.94-12.03 45.38-32.13C173.1 206.5 141.4 197.5 124.4 192.6zM309.1 144.8c-6.469-2.062-13.72 .0625-17.88 5.594L256 197.3L220.8 150.4C216.7 144.9 209.4 142.7 202.9 144.8C196.4 147 192 153.1 192 160v96c0 8.844 7.156 16 16 16S224 264.8 224 256V208l19.19 25.59c6.062 8.062 19.56 8.062 25.62 0L288 208V256c0 8.844 7.156 16 16 16S320 264.8 320 256V160C320 153.1 315.6 147 309.1 144.8zM396.4 192.6C385.6 189.5 375.2 187.2 376.2 181.5c.7813-4.5 10.31-6.562 21.5-4.906c4.156 .6562 8.75 2.094 13.09 3.594c8.406 2.906 17.47-1.562 20.34-9.906c2.875-8.344-1.562-17.47-9.906-20.34c-6.156-2.125-12.69-4.062-18.59-4.969c-30.75-4.812-53.97 7.719-58 31.09c-5.656 33.03 26.5 42.47 38.63 46c13.72 3.947 25.62 6.432 24.56 12.34c-.7813 4.562-10.12 6.656-21.56 4.938c-6.342-.9883-13.9-3.939-20.88-6.438c-8.375-2.969-16 1.875-18.97 10.19s2.781 17.97 11.09 20.97c7.312 2.656 15.62 5.656 23.88 6.906C385.7 271.7 389.9 272 393.1 272c24.28 0 41.94-12.03 45.38-32.13C445.1 206.5 413.4 197.5 396.4 192.6z"]],
    "message-text": [512, 512, ["comment-alt-text"], "e1e6", ["M448-.0004H64c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.98c0 9.75 11.25 15.45 19.12 9.7L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3-.0004 448-.0004zM344 159.1L280 160v136C280 309.3 269.3 320 256 320S232 309.3 232 296V160l-64-.0004c-13.25 0-24-10.75-24-23.1S154.8 112 168 112h176c13.25 0 24 10.75 24 24S357.3 159.1 344 159.1z", "M368 136c0 13.25-10.75 23.1-24 23.1L280 160v136C280 309.3 269.3 320 256 320S232 309.3 232 296V160l-64-.0004c-13.25 0-24-10.75-24-23.1S154.8 112 168 112h176C357.3 112 368 122.8 368 136z"]],
    "message-xmark": [512, 512, ["comment-alt-times", "message-times"], "f4ab", ["M448 0H64C28.75 0 0 28.75 0 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.75 11.25 15.45 19.12 9.7L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM336.1 255c9.375 9.375 9.375 24.56 0 33.94c-9.383 9.379-24.56 9.371-33.94 0L256 241.9L208.1 288.1c-9.383 9.379-24.56 9.371-33.94 0c-9.375-9.375-9.375-24.56 0-33.94L222.1 208L175 160.1c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0L256 174.1l47.03-47.03c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94L289.9 208L336.1 255z", "M175 288.1c9.373 9.371 24.56 9.379 33.94 0L256 241.9l47.03 47.03c9.373 9.371 24.56 9.379 33.94 0c9.375-9.375 9.375-24.56 0-33.94L289.9 208l47.03-47.03c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0L256 174.1L208.1 127c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L222.1 208L175 255C165.7 264.4 165.7 279.6 175 288.1z"]],
    "messages": [640, 512, ["comments-alt"], "f4b6", ["M352 0H64C28.75 0 0 28.75 0 63.1V256C0 291.2 28.75 320 64 320l32 .0098v54.25c0 7.998 9.125 12.62 15.5 7.875l82.75-62.12L352 319.9c35.25 .125 64-28.68 64-63.92V63.1C416 28.75 387.3 0 352 0z", "M640 191.1v191.1c0 35.25-28.75 63.1-64 63.1h-32v54.24c0 7.998-9.125 12.62-15.5 7.873l-82.75-62.12L319.1 447.1C284.7 447.1 256 419.2 256 383.1v-31.98l96-.002c52.88 0 96-43.12 96-95.99V128h128C611.3 128 640 156.7 640 191.1z"]],
    "messages-dollar": [640, 512, ["comments-alt-dollar"], "f652", ["M352 0H64C28.75 0 0 28.75 0 63.1v192C0 291.2 28.75 320 64 320l32 .0106v54.25c0 7.998 9.125 12.62 15.5 7.875l82.75-62.12L352 319.9c35.25 .125 64-28.68 64-63.92V63.1C416 28.75 387.3 0 352 0zM269.8 202.3C266.2 223.2 250.4 236.1 228 241.7V252c0 11.03-8.953 20-20 20s-20-8.969-20-20V241.2c-8.682-1.922-17.3-4.723-25.06-7.512l-4.266-1.5C148.3 228.5 142.8 217.1 146.5 206.7c3.688-10.41 15.11-15.81 25.52-12.22l4.469 1.625c7.844 2.812 16.72 6 23.66 7.031C213.8 205.3 229 203.3 230.4 195.5C231.3 190.4 231.8 187.6 202.5 179.2L196.7 177.5c-17.33-5.094-57.92-17-50.52-59.84C149.8 96.75 165.6 82.76 188 77.99V68c0-11.03 8.953-20 20-20s20 8.969 20 20v10.63c5.453 1.195 11.34 2.789 18.56 5.273C257 87.53 262.5 98.94 258.9 109.4C255.3 119.8 243.8 125.3 233.4 121.7c-5.859-2.031-12-4-17.59-4.844C202.2 114.8 186.1 116.7 185.6 124.5C184.8 128.1 184.3 132.2 207.1 139.2L213.5 140.8C235.8 147.1 277.3 159 269.8 202.3z", "M576 128H448v128c0 52.87-43.13 95.99-96 95.99l-96 .0013v31.98c0 35.25 28.75 63.1 63.1 63.1l125.8-.0073l82.75 62.12C534.9 514.8 544 510.2 544 502.2v-54.24h32c35.25 0 64-28.75 64-63.1V191.1C640 156.7 611.3 128 576 128zM213.5 140.8L207.1 139.2C184.3 132.2 184.8 128.1 185.6 124.5c1.375-7.812 16.59-9.719 30.27-7.625c5.594 .8438 11.73 2.812 17.59 4.844c10.39 3.594 21.83-1.938 25.45-12.34c3.625-10.44-1.891-21.84-12.33-25.47C239.3 81.42 233.5 79.83 228 78.63V68c0-11.03-8.953-20-20-20s-20 8.969-20 20v9.992C165.6 82.76 149.8 96.75 146.2 117.7C138.8 160.5 179.4 172.4 196.7 177.5L202.5 179.2C231.8 187.6 231.3 190.4 230.4 195.5C229 203.3 213.8 205.3 200.1 203.1C193.2 202.1 184.3 198.9 176.5 196.1L171.1 194.5C161.6 190.9 150.2 196.3 146.5 206.7C142.8 217.1 148.3 228.5 158.7 232.2l4.266 1.5C170.7 236.5 179.3 239.3 188 241.2V252c0 11.03 8.953 20 20 20s20-8.969 20-20V241.7c22.36-4.793 38.21-18.53 41.83-39.43C277.3 159 235.8 147.1 213.5 140.8z"]],
    "messages-question": [640, 512, [], "e1e7", ["M352 0H64C28.75 0 0 28.75 0 63.1v192C0 291.2 28.75 320 64 320l32 .0106v54.25c0 7.998 9.125 12.62 15.5 7.875l82.75-62.12L352 319.9c35.25 .125 64-28.68 64-63.92V63.1C416 28.75 387.3 0 352 0zM208.5 268.5C194.7 268.5 184 257.8 184 244c0-13.77 10.71-24.47 24.47-24.47c13.77 0 24.47 10.71 24.47 24.47C232.9 257.8 222.2 268.5 208.5 268.5zM261.1 158.9l-35.18 21.41v1.529c0 9.941-8.412 18.35-18.35 18.35S190.1 191.8 190.1 181.9V169.6c0-6.117 3.059-12.23 9.176-16.06l43.59-26c5.354-3.059 8.412-8.412 8.412-14.53c0-9.178-7.648-16.82-16.82-16.82H194.7c-9.178 0-16.82 7.646-16.82 16.82c0 9.941-8.412 18.35-18.35 18.35c-9.941 0-18.35-8.412-18.35-18.35c0-29.82 23.71-53.53 53.53-53.53h39.76C264.3 59.53 288 83.23 288 113.1C288 131.4 278.1 149 261.1 158.9z", "M234.5 96.23c9.176 0 16.82 7.646 16.82 16.82c0 6.117-3.059 11.47-8.412 14.53l-43.59 26C193.2 157.4 190.1 163.5 190.1 169.6v12.23c0 9.941 8.41 18.35 18.35 18.35s18.35-8.412 18.35-18.35V180.4l35.18-21.41C278.1 149 288 131.4 288 113.1c0-29.82-23.71-53.53-53.53-53.53H194.7c-29.82 0-53.53 23.71-53.53 53.53c0 9.941 8.412 18.35 18.35 18.35c9.939 0 18.35-8.412 18.35-18.35c0-9.178 7.646-16.82 16.82-16.82H234.5zM576 128H448v128c0 52.87-43.13 95.99-96 95.99l-96 .0013v31.98c0 35.25 28.75 63.1 63.1 63.1l125.8-.0073l82.75 62.12C534.9 514.8 544 510.2 544 502.2v-54.24h32c35.25 0 64-28.75 64-63.1V191.1C640 156.7 611.3 128 576 128zM208.5 219.5C194.7 219.5 184 230.2 184 244c0 13.76 10.71 24.47 24.47 24.47c13.77 0 24.47-10.71 24.47-24.47C232.9 230.2 222.2 219.5 208.5 219.5z"]],
    "meteor": [512, 512, [9732], "f753", ["M507.2 4.718c-4.25-4.25-10.38-5.75-16.13-4c-38.75 11.5-111.8 34.25-187.6 61.25c-2.125-7-4-13.5-5.625-18.63c-1.375-4.5-4.75-8.252-9.25-10.13c-4.375-1.875-9.375-1.625-13.63 .625C232.5 55.97 122.1 116.5 60.6 176.4c-1.125 1-2.5 2-3.5 3c-76.13 76.13-76.13 199.5 0 275.7c76.13 76.01 199.5 76.01 275.5-.125c1.002-1 2.001-2.375 3.001-3.5c59.88-61.63 120.4-172.1 142.5-214.4c2.25-4.254 2.5-9.252 .625-13.75c-1.75-4.375-5.5-7.748-10.13-9.127c-5.25-1.625-11.63-3.5-18.63-5.625c27-76.01 49.75-149 61.38-187.8C512.1 15.09 511.5 8.843 507.2 4.718zM191.1 448c-70.75 0-128-57.26-128-128c0-70.63 57.25-128 128-128c70.63 0 128 57.38 128 128C319.1 390.8 262.6 448 191.1 448z", "M191.1 191.1c-70.75 0-128 57.38-128 128c0 70.75 57.25 128 128 128c70.63 0 128-57.26 128-128C319.1 249.4 262.6 191.1 191.1 191.1zM159.1 319.1c-17.75 0-32-14.37-32-32c0-17.62 14.25-32 32-32c8.5 0 16.63 3.375 22.63 9.375S191.1 279.5 191.1 287.1C191.1 305.6 177.6 319.1 159.1 319.1zM207.1 384c-8.877 0-16-7.128-16-16s7.099-16 15.98-16c8.75 0 15.1 7.126 15.1 16S216.7 384 207.1 384z"]],
    "meter": [512, 512, [], "e1e8", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM192 160C192 142.3 177.7 128 160 128C142.3 128 128 142.3 128 160V192C128 209.7 142.3 224 160 224C177.7 224 192 209.7 192 192V160zM288 160C288 142.3 273.7 128 256 128C238.3 128 224 142.3 224 160V192C224 209.7 238.3 224 256 224C273.7 224 288 209.7 288 192V160zM384 160C384 142.3 369.7 128 352 128C334.3 128 320 142.3 320 160V192C320 209.7 334.3 224 352 224C369.7 224 384 209.7 384 192V160z", "M160 128C177.7 128 192 142.3 192 160V192C192 209.7 177.7 224 160 224C142.3 224 128 209.7 128 192V160C128 142.3 142.3 128 160 128zM256 128C273.7 128 288 142.3 288 160V192C288 209.7 273.7 224 256 224C238.3 224 224 209.7 224 192V160C224 142.3 238.3 128 256 128zM352 128C369.7 128 384 142.3 384 160V192C384 209.7 369.7 224 352 224C334.3 224 320 209.7 320 192V160C320 142.3 334.3 128 352 128z"]],
    "meter-bolt": [640, 512, [], "e1e9", ["M442.8 431C396.1 480.9 329.7 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C392.1 0 504.8 107.5 511.7 242.8L402 330.5C386.1 343.3 379.1 364.7 386.7 383.9C393.5 403.1 411.6 416 432 416H450.3L442.8 431zM128 160V192C128 209.7 142.3 224 160 224C177.7 224 192 209.7 192 192V160C192 142.3 177.7 128 160 128C142.3 128 128 142.3 128 160zM224 160V192C224 209.7 238.3 224 256 224C273.7 224 288 209.7 288 192V160C288 142.3 273.7 128 256 128C238.3 128 224 142.3 224 160zM320 160V192C320 209.7 334.3 224 352 224C369.7 224 384 209.7 384 192V160C384 142.3 369.7 128 352 128C334.3 128 320 142.3 320 160z", "M553.9 352H624C630.8 352 636.9 356.3 639.1 362.7C641.3 369.1 639.3 376.2 633.1 380.5L473.1 508.5C468.1 513.2 459.8 513.2 453.9 508.4C448.1 503.7 446.3 495.6 449.7 488.8L502.1 384H432C425.2 384 419.2 379.7 416.9 373.3C414.7 366.9 416.7 359.8 422 355.5L582 227.5C587.9 222.8 596.2 222.8 602.1 227.6C607.9 232.3 609.7 240.4 606.3 247.2L553.9 352z"]],
    "meter-droplet": [640, 512, [], "e1ea", ["M400.6 467.3C359.5 495.5 309.7 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C366.8 0 461.2 70.43 496.8 168.1C488.3 174.3 481.1 181.9 476.2 191.1L400.9 332.2C389.8 353.1 384 376.4 384 400C384 424.3 390 447.2 400.6 467.3V467.3zM128 160V192C128 209.7 142.3 224 160 224C177.7 224 192 209.7 192 192V160C192 142.3 177.7 128 160 128C142.3 128 128 142.3 128 160zM224 160V192C224 209.7 238.3 224 256 224C273.7 224 288 209.7 288 192V160C288 142.3 273.7 128 256 128C238.3 128 224 142.3 224 160zM320 160V192C320 209.7 334.3 224 352 224C369.7 224 384 209.7 384 192V160C384 142.3 369.7 128 352 128C334.3 128 320 142.3 320 160z", "M429.2 347.3L504.5 206.1C509.1 197.4 518.2 192 528 192C537.8 192 546.9 197.4 551.5 206.1L626.8 347.3C635.5 363.5 640 381.6 640 400C640 461.9 589.9 512 528 512C466.1 512 416 461.9 416 400C416 381.6 420.5 363.5 429.2 347.3H429.2z"]],
    "meter-fire": [640, 512, [], "e1eb", ["M351.1 493.7C321.7 505.5 289.6 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C361.7 0 452.5 64.07 491.5 155.5C486.1 150.2 480.6 145.1 474.1 139.1C457.3 124 430.2 123.1 412.5 139.9C402.5 148.7 393 157.9 384 167.4V160C384 142.3 369.7 128 352 128C334.3 128 320 142.3 320 160V192C320 205.2 327.9 216.5 339.3 221.4C334.3 228.5 329.5 235.6 325.2 242.7C304.3 276.5 288 314.9 288 350.1C288 406.2 312.1 457.9 351.1 493.7V493.7zM128 160V192C128 209.7 142.3 224 160 224C177.7 224 192 209.7 192 192V160C192 142.3 177.7 128 160 128C142.3 128 128 142.3 128 160zM224 160V192C224 209.7 238.3 224 256 224C273.7 224 288 209.7 288 192V160C288 142.3 273.7 128 256 128C238.3 128 224 142.3 224 160z", "M433.8 163.6C439.4 158.6 447.1 158.6 453.5 163.6C473.3 181.4 491.8 200.6 509 221.3C516.9 211.5 525.8 200.6 535.5 191.8C541.1 186.7 549.9 186.7 555.5 191.9C580.2 214.6 601.1 244.5 615.8 273C630.4 301.1 640 329.8 640 349.9C640 437.8 568.7 511.9 480 511.9C390.3 511.9 320 437.7 320 349.9C320 323.5 332.7 291.3 352.4 259.4C372.4 227 400.5 193.3 433.8 163.6V163.6zM480.1 447.9C499 447.9 515 442.9 530 432.9C560 411.9 568 369.9 550 336.9C548 332.9 546 328.9 543 324.9L507 366.9C507 366.9 448.1 292.9 444.1 287.9C415 324.9 400 345.9 400 369.9C400 418.9 436 447.9 480.1 447.9z"]],
    "microchip": [512, 512, [], "f2db", ["M0 160c0 8.836 7.164 16 16 16H64v-32H16C7.164 144 0 151.2 0 160zM0 256c0 8.836 7.164 16 16 16H64v-32H16C7.164 240 0 247.2 0 256zM176 16C176 7.164 168.8 0 160 0C151.2 0 144 7.164 144 16V64h32V16zM0 352c0 8.836 7.164 16 16 16H64v-32H16C7.164 336 0 343.2 0 352zM272 16C272 7.164 264.8 0 256 0C247.2 0 240 7.164 240 16V64h32V16zM512 160c0-8.836-7.162-16-16-16H448v32h48C504.8 176 512 168.8 512 160zM496 336H448v32h48c8.838 0 16-7.164 16-16S504.8 336 496 336zM352 0c-8.836 0-16 7.164-16 16V64h32V16C368 7.164 360.8 0 352 0zM496 240H448v32h48C504.8 272 512 264.8 512 256S504.8 240 496 240zM144 496C144 504.8 151.2 512 160 512c8.838 0 16-7.164 16-16V448h-32V496zM336 496c0 8.836 7.164 16 16 16c8.838 0 16-7.164 16-16V448h-32V496zM240 496c0 8.836 7.164 16 16 16c8.838 0 16-7.164 16-16V448h-32V496zM160 352h192V160H160V352z", "M384 64H128C92.65 64 64 92.66 64 128v256c0 35.34 28.65 64 64 64h256c35.35 0 64-28.66 64-64V128C448 92.66 419.3 64 384 64zM384 368c0 8.836-7.162 16-16 16h-224C135.2 384 128 376.8 128 368v-224C128 135.2 135.2 128 144 128h224C376.8 128 384 135.2 384 144V368z"]],
    "microchip-ai": [512, 512, [], "e1ec", ["M0 256c0 8.836 7.164 16 16 16H64v-32H16C7.164 240 0 247.2 0 256zM0 352c0 8.836 7.164 16 16 16H64v-32H16C7.164 336 0 343.2 0 352zM0 160c0 8.836 7.164 16 16 16H64v-32H16C7.164 144 0 151.2 0 160zM512 160c0-8.836-7.162-16-16-16H448v32h48C504.8 176 512 168.8 512 160zM176 16C176 7.164 168.8 0 160 0C151.2 0 144 7.164 144 16V64h32V16zM272 16C272 7.164 264.8 0 256 0C247.2 0 240 7.164 240 16V64h32V16zM144 496C144 504.8 151.2 512 160 512c8.838 0 16-7.164 16-16V448h-32V496zM352 0c-8.836 0-16 7.164-16 16V64h32V16C368 7.164 360.8 0 352 0zM240 496c0 8.836 7.164 16 16 16c8.838 0 16-7.164 16-16V448h-32V496zM496 240H448v32h48C504.8 272 512 264.8 512 256S504.8 240 496 240zM336 496c0 8.836 7.164 16 16 16c8.838 0 16-7.164 16-16V448h-32V496zM496 336H448v32h48c8.838 0 16-7.164 16-16S504.8 336 496 336z", "M190.5 272h35.07L208 231.9L190.5 272zM384 64H128C92.65 64 64 92.65 64 128v256c0 35.35 28.65 64 64 64h256c35.35 0 64-28.65 64-64V128C448 92.65 419.3 64 384 64zM270.4 334.7C268.3 335.6 266.2 336 264 336c-6.156 0-12.04-3.578-14.66-9.594L239.5 304H176.5l-9.805 22.41c-3.531 8.125-12.94 11.83-21.06 8.25C137.5 331.1 133.8 321.7 137.3 313.6l56-128c5.062-11.66 24.25-11.66 29.31 0l56 128C282.2 321.7 278.5 331.1 270.4 334.7zM352 320c0 8.844-7.156 16-16 16S320 328.8 320 320V192c0-8.844 7.156-16 16-16S352 183.2 352 192V320z"]],
    "microphone": [384, 512, [], "f130", ["M368 215.1V256c0 88.91-66.28 162.5-152 174.2V464H256c18.2 0 32.84 15.19 31.96 33.57C287.6 505.8 280.2 512 272 512h-160c-8.222 0-15.57-6.216-15.96-14.43C95.16 479.2 109.8 464 128 464h40v-34.15C79.97 417.7 16 337.8 16 248.1V215.1C16 202.7 26.75 192 40 192S64 202.7 64 215.1L63.1 250.9c0 66.21 53.66 128.6 119.7 132.8C258 388.4 320 329.3 320 256V215.1C320 202.7 330.7 192 344 192S368 202.7 368 215.1z", "M192 352c53.03 0 96-42.97 96-96v-160c0-53.03-42.97-96-96-96s-96 42.97-96 96v160C96 309 138.1 352 192 352z"]],
    "microphone-lines": [384, 512, [127897, "microphone-alt"], "f3c9", ["M208 127.1H288V96l-80 0c-8.836 0-16 7.164-16 16S199.2 127.1 208 127.1zM208 192H288V160h-80C199.2 160 192 167.2 192 176S199.2 192 208 192zM344 192C330.7 192 320 202.7 320 215.1V256c0 73.33-61.97 132.4-136.3 127.7c-66.08-4.168-119.7-66.59-119.7-132.8L64 215.1C64 202.7 53.25 192 40 192S16 202.7 16 215.1v32.15c0 89.66 63.97 169.6 152 181.7V464H128c-18.19 0-32.84 15.19-31.96 33.57C96.43 505.8 103.8 512 112 512h160c8.222 0 15.57-6.216 15.96-14.43C288.8 479.2 274.2 464 256 464h-40v-33.77C301.7 418.5 368 344.9 368 256V215.1C368 202.7 357.3 192 344 192zM208 256H288V224h-80C199.2 224 192 231.2 192 240S199.2 256 208 256z", "M192 352c53.03 0 96-42.97 96-96h-80C199.2 256 192 248.8 192 240S199.2 224 208 224H288V192h-80C199.2 192 192 184.8 192 176S199.2 160 208 160H288V127.1h-80c-8.836 0-16-7.164-16-16s7.164-16 16-16L288 96c0-53.03-42.97-96-96-96s-96 42.97-96 96v160C96 309 138.1 352 192 352z"]],
    "microphone-lines-slash": [640, 512, ["microphone-alt-slash"], "f539", ["M383.1 464l-39.1-.0001v-33.77c20.6-2.824 39.99-9.402 57.69-18.72l-43.26-33.91c-14.66 4.652-30.28 7.179-46.68 6.144C245.7 379.6 191.1 317.1 191.1 250.9v-3.777L143.1 209.5l.0001 38.61c0 89.66 63.97 169.6 151.1 181.7v34.15l-40 .0001c-17.67 0-31.1 14.33-31.1 31.1C223.1 504.8 231.2 512 239.1 512h159.1c8.838 0 15.1-7.164 15.1-15.1C415.1 478.3 401.7 464 383.1 464zM407.5 294.1c5.234-11.68 8.493-24.42 8.493-38.08l-57.07 .0006L407.5 294.1zM471.1 192c-13.25 0-24 10.75-24 24l-.0001 39.1c0 21.12-5.557 40.77-14.77 58.24l38.23 29.97c15.37-25.94 24.53-55.91 24.53-88.21V216C495.1 202.7 485.3 192 471.1 192zM335.1 96l80-.0003C415.1 42.97 373 0 319.1 0s-96 42.97-96 96L223.1 150.3l100.5 78.75c2.914-3.055 6.969-4.999 11.52-4.999h79.1V192L335.1 192c-8.836 0-15.1-7.164-15.1-15.1s7.164-16 15.1-16l79.1 .0013V128l-79.1-.0015c-8.836 0-15.1-7.164-15.1-15.1S327.2 96 335.1 96z", "M630.8 469.1L38.81 5.111C34.41 1.673 29.19 0 24.03 0C16.91 0 9.84 3.158 5.121 9.189C-3.067 19.63-1.249 34.72 9.189 42.89l591.1 463.1c10.5 8.203 25.57 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1z"]],
    "microphone-slash": [640, 512, [], "f131", ["M383.1 464l-39.1-.0001v-33.77c20.6-2.824 39.98-9.402 57.69-18.72l-43.26-33.91c-14.66 4.652-30.28 7.179-46.68 6.144C245.7 379.6 191.1 317.1 191.1 250.9V247.2L143.1 209.5l.0001 38.61c0 89.66 63.97 169.6 151.1 181.7v34.15l-40 .0001c-17.67 0-31.1 14.33-31.1 31.1C223.1 504.8 231.2 512 239.1 512h159.1c8.838 0 15.1-7.164 15.1-15.1C415.1 478.3 401.7 464 383.1 464zM471.1 192c-13.25 0-24 10.75-24 24l-.0001 39.1c0 21.12-5.559 40.77-14.77 58.24l38.24 29.97c15.37-25.94 24.53-55.91 24.53-88.21V216C495.1 202.7 485.3 192 471.1 192zM319.1 0C266.1 0 223.1 42.97 223.1 96l0 54.25l183.5 143.8c5.234-11.69 8.493-24.42 8.493-38.08L415.1 96C415.1 42.97 373 0 319.1 0z", "M630.8 469.1L38.81 5.111C34.41 1.673 29.19 0 24.03 0C16.91 0 9.839 3.158 5.12 9.189C-3.067 19.63-1.25 34.72 9.188 42.89l591.1 463.1c10.5 8.203 25.57 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1z"]],
    "microphone-stand": [512, 512, [127908], "f8cb", ["M6.73 423.1c-9.375 10.63-8.875 26.63 1 36.63l44.51 44.38c9.875 10 26 10.5 36.63 1.125l275.9-249.8L256.5 147.2L6.73 423.1zM314.4 35.72l-22.63 22.63l161.9 161.9l22.63-22.63L314.4 35.72z", "M289.5 60.47C265.8 84.35 255 116.1 256.5 147.2l108.3 108.3c31.13 1.5 62.88-9.251 86.76-33l2.125-2.25L291.8 58.35L289.5 60.47zM478.5 33.47c-44.76-44.63-117.3-44.63-162 0l-2.125 2.25l161.9 161.9l2.251-2.125C523.2 150.7 523.2 78.22 478.5 33.47zM224 495.1C224 504.9 231.1 512 240 512l31.98-.0023c8.875 0 16.02-7.146 16.02-16.02l.0027-171l-64.01 57.95L224 495.1z"]],
    "microscope": [512, 512, [128300], "f610", ["M312 384h-208C99.63 384 96 387.6 96 392v16C96 412.4 99.63 416 104 416h208c4.375 0 8-3.625 8-8v-16C320 387.6 316.4 384 312 384zM256 16C256 7.164 248.8 0 240 0h-64C167.2 0 160 7.164 160 16V32h96V16z", "M160 320h12v16c0 8.875 7.125 16 16 16h40c8.875 0 16-7.125 16-16V320H256c17.62 0 32-14.38 32-32V64c0-17.62-14.38-32-32-32H160C142.4 32 128 46.38 128 64v224C128 305.6 142.4 320 160 320zM464 448h-1.25C493.3 414 512 369.3 512 320c0-105.9-86.13-192-192-192v64c70.63 0 128 57.38 128 128s-57.38 128-128 128H48C21.5 448 0 469.5 0 496C0 504.9 7.125 512 16 512h480c8.875 0 16-7.125 16-16C512 469.5 490.5 448 464 448z"]],
    "microwave": [576, 512, [], "e01b", ["M0 96C0 60.65 28.65 32 64 32H512C547.3 32 576 60.65 576 96V384C576 419.3 547.3 448 512 448C512 465.7 497.7 480 480 480C462.3 480 448 465.7 448 448H128C128 465.7 113.7 480 96 480C78.33 480 64 465.7 64 448C28.65 448 0 419.3 0 384V96zM96 328C96 341.3 106.7 352 120 352H392C405.3 352 416 341.3 416 328V152C416 138.7 405.3 128 392 128H120C106.7 128 96 138.7 96 152V328zM496 112C487.2 112 480 119.2 480 128V352C480 360.8 487.2 368 496 368C504.8 368 512 360.8 512 352V128C512 119.2 504.8 112 496 112z", "M96 152C96 138.7 106.7 128 120 128H392C405.3 128 416 138.7 416 152V328C416 341.3 405.3 352 392 352H120C106.7 352 96 341.3 96 328V152z"]],
    "mill-sign": [384, 512, [], "e1ed", ["M282.9 96.53C279.3 96.18 275.7 96 272 96C248.2 96 226.1 103.4 207.1 116.1L241.9 21.24C247.8 4.595 266.1-4.079 282.8 1.865C299.4 7.809 308.1 26.12 302.1 42.76L282.9 96.53zM224 261.5V208C224 185.7 239.1 167 259.7 161.6L224 261.5zM142.1 490.8C136.2 507.4 117.9 516.1 101.2 510.1C84.59 504.2 75.92 485.9 81.86 469.2L160 250.5V416C160 421.3 161.3 426.3 163.6 430.7L142.1 490.8z", "M112 160C85.49 160 64 181.5 64 208V416C64 433.7 49.67 448 32 448C14.33 448 0 433.7 0 416V128C0 110.3 14.33 96 32 96C42.87 96 52.48 101.4 58.26 109.7C74.21 100.1 92.53 96 112 96C143.3 96 171.7 108.9 192 129.6C212.3 108.9 240.7 96 272 96C333.9 96 384 146.1 384 208V416C384 433.7 369.7 448 352 448C334.3 448 320 433.7 320 416V208C320 181.5 298.5 160 272 160C245.5 160 224 181.5 224 208V416C224 433.7 209.7 448 192 448C174.3 448 160 433.7 160 416V208C160 181.5 138.5 160 112 160z"]],
    "minimize": [512, 512, ["compress-arrows-alt"], "f78c", ["M200 287.1H64c-12.94 0-24.62 7.797-29.56 19.75c-4.969 11.97-2.219 25.72 6.937 34.87l30.06 30.06l-62.06 62.07c-12.49 12.5-12.5 32.75-.0012 45.25l22.62 22.62c12.5 12.5 32.76 12.5 45.26 .0012l62.06-62.07l30.06 30.06c6.125 6.125 14.31 9.375 22.62 9.375c4.125 0 8.281-.7969 12.25-2.437c11.97-4.953 19.75-16.62 19.75-29.56V311.1C224 298.7 213.3 287.1 200 287.1zM312 224h135.1c12.94 0 24.62-7.797 29.56-19.75c4.969-11.97 2.219-25.72-6.937-34.87l-30.06-30.06l62.06-62.07c12.5-12.5 12.5-32.76 .0003-45.26l-22.62-22.62c-12.5-12.5-32.76-12.5-45.26-.0003l-62.06 62.07l-30.06-30.06c-9.156-9.141-22.87-11.84-34.87-6.937C295.8 39.39 288 51.06 288 64v135.1C288 213.3 298.7 224 312 224z", "M204.3 34.44C192.3 29.47 178.5 32.22 169.4 41.38L139.3 71.44L77.25 9.374c-12.5-12.5-32.76-12.5-45.26 .0003l-22.63 22.63c-12.49 12.5-12.49 32.75 .0018 45.25l62.07 62.06L41.38 169.4C35.25 175.5 32 183.7 32 192c0 4.125 .7969 8.281 2.438 12.25C39.39 216.2 51.07 224 64 224h135.1c13.25 0 23.1-10.74 23.1-23.1V64C224 51.06 216.2 39.38 204.3 34.44zM502.6 434.8l-62.06-62.06l30.06-30.06c9.141-9.156 11.84-22.87 6.938-34.87c-4.953-11.97-16.62-19.75-29.56-19.75h-135.1c-13.26 0-23.1 10.74-23.1 23.1v135.1c0 12.94 7.797 24.62 19.75 29.56c11.97 4.969 25.72 2.219 34.87-6.937l30.06-30.06l62.06 62.06c12.5 12.5 32.76 12.5 45.26 .0002l22.62-22.62C515.1 467.5 515.1 447.3 502.6 434.8z"]],
    "minus": [448, 512, [8722, 10134, 8211, "subtract"], "f068", ["M400 288h-352c-17.69 0-32-14.32-32-32.01s14.31-31.99 32-31.99h352c17.69 0 32 14.3 32 31.99S417.7 288 400 288z", ""]],
    "mistletoe": [576, 512, [], "f7b4", ["M554.1 394.2c-33.38 33.26-92.76 27.88-132.8-12.12c-26-26.01-38.63-89.65-44.13-130.9l-65.26-65.27l-.0039 96.38c28.38 32.63 72.01 89.18 72.01 127.3C383.1 466.2 340.1 512 287.1 512c-53.01 0-96.03-45.75-96.03-102.4c0-8.629 2.502-18.27 6.252-28.14c14.18 3.779 29.93 4.385 49.29-6.183c22.47-12.26 39.18-34.37 40.39-59.93c1.066-22.49-8.516-42.84-23.92-56.67v-72.89L198.7 251.1c-1 8.625-2.562 18.22-4.437 28.22c.0586-.0391-.0605 .0391 0 0C183.4 286.5 176 298.1 176 312c0 7.609 2.693 14.32 6.381 20.38c-.2773-.4609-.6816-.8281-.9414-1.297c-6.752 20.76-15.5 39.64-26.88 51.02c-39.88 40.01-99.38 45.38-132.8 12.12C-11.45 360.8-6.078 301.4 33.93 261.4c26-26.01 89.63-38.63 130.9-44.13L263.9 118.2l.0234-94.15C263.1 10.8 274.8 0 287.1 0c13.2 0 23.99 10.8 23.99 24l-.0215 8.256c-8.252 12.13-13.25 26.63-13.25 42.51c0 15.76 4.875 30.26 13.25 42.39l99.26 100.1c41.25 5.5 104.9 18.12 130.9 44.13C582.1 301.4 587.5 360.8 554.1 394.2z", "M371.1 32C347.7 32 328 51.73 328 76.04S347.7 119.9 371.1 119.9S416 100.3 416 75.97S396.3 32 371.1 32zM215.1 271.1C193.9 271.1 176 289.9 176 312S193.9 352 216 352S256 334.1 256 312S238.1 271.1 215.1 271.1z"]],
    "mitten": [448, 512, [], "f7b5", ["M352 384H64c-17.6 0-31.1 14.4-31.1 32l-.0079 64C31.1 497.6 46.4 512 63.1 512h288c17.6 0 32-14.4 32-31.1L384 416C384 398.4 369.6 384 352 384z", "M425 206.9c-27.25-22.62-67.5-19-90.13 8.25l-20.88 25L284.4 111.8c-18-77.5-95.38-125.1-172.8-108C34.26 21.63-14.25 98.88 3.754 176.4L64 384h288l81.14-86.1C455.8 269.8 452.1 229.5 425 206.9z"]],
    "mobile": [384, 512, [128241, "mobile-android", "mobile-phone"], "f3ce", ["M32 384v80C32 490.5 53.5 512 80 512h224c26.5 0 48-21.5 48-48V384H32zM240 447.1C240 456.8 232.8 464 224 464H159.1C151.2 464 144 456.8 144 448S151.2 432 160 432h64C232.8 432 240 439.2 240 447.1z", "M352 48V384H32V48C32 21.5 53.5 0 80 0h224C330.5 0 352 21.5 352 48z"]],
    "mobile-button": [384, 512, [], "f10b", ["M32 384v80C32 490.5 53.49 512 80 512h224c26.51 0 48-21.49 48-48V384H32zM192 480c-17.75 0-32-14.25-32-32s14.25-32 32-32s32 14.25 32 32S209.8 480 192 480z", "M352 48V384H32V48C32 21.49 53.49 0 80 0h224C330.5 0 352 21.49 352 48z"]],
    "mobile-notch": [384, 512, ["mobile-iphone"], "e1ee", ["M288 0H96C51.82 0 16 35.82 16 80v352C16 476.2 51.82 512 96 512h192c44.18 0 80-35.82 80-80v-352C368 35.82 332.2 0 288 0zM304 432c0 8.822-7.178 16-16 16H96c-8.822 0-16-7.178-16-16v-352C80 71.18 87.18 64 96 64h32v16C128 88.84 135.2 96 144 96h96C248.8 96 256 88.84 256 80V64h32c8.822 0 16 7.178 16 16V432z", "M288 64h-32v16C256 88.84 248.8 96 240 96h-96C135.2 96 128 88.84 128 80V64H96C87.18 64 80 71.18 80 80v352C80 440.8 87.18 448 96 448h192c8.822 0 16-7.178 16-16v-352C304 71.18 296.8 64 288 64zM240 416h-96C135.2 416 128 408.8 128 400C128 391.2 135.2 384 144 384h96c8.838 0 16 7.162 16 16C256 408.8 248.8 416 240 416z"]],
    "mobile-retro": [320, 512, [], "e527", ["M0 64C0 28.65 28.65 0 64 0H256C291.3 0 320 28.65 320 64V448C320 483.3 291.3 512 256 512H64C28.65 512 0 483.3 0 448V64zM64 232C64 245.3 74.75 256 88 256H232C245.3 256 256 245.3 256 232V152C256 138.7 245.3 128 232 128H88C74.75 128 64 138.7 64 152V232zM80 352C93.25 352 104 341.3 104 328C104 314.7 93.25 304 80 304C66.75 304 56 314.7 56 328C56 341.3 66.75 352 80 352zM80 384C66.75 384 56 394.7 56 408C56 421.3 66.75 432 80 432C93.25 432 104 421.3 104 408C104 394.7 93.25 384 80 384zM160 352C173.3 352 184 341.3 184 328C184 314.7 173.3 304 160 304C146.7 304 136 314.7 136 328C136 341.3 146.7 352 160 352zM160 384C146.7 384 136 394.7 136 408C136 421.3 146.7 432 160 432C173.3 432 184 421.3 184 408C184 394.7 173.3 384 160 384zM240 352C253.3 352 264 341.3 264 328C264 314.7 253.3 304 240 304C226.7 304 216 314.7 216 328C216 341.3 226.7 352 240 352zM240 384C226.7 384 216 394.7 216 408C216 421.3 226.7 432 240 432C253.3 432 264 421.3 264 408C264 394.7 253.3 384 240 384zM128 48C119.2 48 112 55.16 112 64C112 72.84 119.2 80 128 80H192C200.8 80 208 72.84 208 64C208 55.16 200.8 48 192 48H128z", "M64 152C64 138.7 74.75 128 88 128H232C245.3 128 256 138.7 256 152V232C256 245.3 245.3 256 232 256H88C74.75 256 64 245.3 64 232V152z"]],
    "mobile-screen": [384, 512, ["mobile-android-alt"], "f3cf", ["M304 0h-224C53.5 0 32 21.5 32 48v416C32 490.5 53.5 512 80 512h224c26.5 0 48-21.5 48-48v-416C352 21.5 330.5 0 304 0zM240 447.1C240 456.8 232.8 464 224 464H159.1C151.2 464 144 456.8 144 448S151.2 432 160 432h64C232.8 432 240 439.2 240 447.1zM288 384H96V64h192V384z", "M288 384H96V64h192V384z"]],
    "mobile-screen-button": [384, 512, ["mobile-alt"], "f3cd", ["M288 0H96c-35.35 0-64 28.65-64 64v384c0 35.35 28.65 64 64 64h192c35.35 0 64-28.65 64-64v-384C352 28.65 323.3 0 288 0zM192 480c-17.75 0-32-14.25-32-32s14.25-32 32-32s32 14.25 32 32S209.8 480 192 480zM288 63.1v320H96v-320H288z", "M288 63.1v320H96v-320H288z"]],
    "mobile-signal": [512, 512, [], "e1ef", ["M227.3 448H64V64h224v251.1c4.303-4.988 8.613-9.977 13.32-14.68C316.7 285.9 333.8 272.9 352 261.1V48C352 21.5 330.5 0 304 0h-256C21.5 0 0 21.5 0 48v416C0 490.5 21.5 512 48 512h181.6C226.1 504.7 224 496.6 224 487.1C223.1 474.5 225.3 461.1 227.3 448zM144 384C135.2 384 128 391.2 128 400S135.2 416 144 416h64C216.8 416 224 408.8 224 400S216.8 384 208 384H144z", "M487.1 303.1c13.26 0 23.1-10.74 23.1-23.1c0-13.26-10.74-23.1-23.1-23.1c-61.97-.0117-120.2 24.13-164 67.95C280.1 367.8 255.1 426 256 487.1c0 13.26 10.74 24 23.1 24c13.26 0 23.1-10.74 23.1-24c0-49.14 19.15-95.36 53.9-130.1C392.6 323.1 438.9 303.1 487.1 303.1zM457.4 457.4c-12.5 12.5-12.5 32.76 0 45.25c12.5 12.5 32.76 12.5 45.25 0c12.5-12.5 12.5-32.76 0-45.25C490.1 444.9 469.9 444.9 457.4 457.4zM512 375.1c0-13.26-10.74-23.1-23.1-23.1c-37.5 0-71.51 15.25-96.13 39.88S352 450.5 352 488C352 501.3 362.7 512 375.1 512s23.1-10.74 23.1-23.1c0-48.53 39.49-88.01 88.01-88.01C501.3 399.1 512 389.3 512 375.1z"]],
    "mobile-signal-out": [512, 512, [], "e1f0", ["M144 384C135.2 384 128 391.2 128 400S135.2 416 144 416h64C216.8 416 224 408.8 224 400S216.8 384 208 384H144zM287.1 448h-224V64H224V0H47.1c-26.5 0-48 21.5-48 48v416c0 26.5 21.5 48 48 48h255.1c26.5 0 48-21.5 48-48l.002-176h-64L287.1 448z", "M444.1 67.95C400.2 24.14 341.1 0 280 0c-13.26 0-24.03 10.74-24.03 23.1c0 13.26 10.74 23.1 23.1 23.1c49.14 0 95.36 19.15 130.1 53.89c34.75 34.75 53.89 80.96 53.89 130.1c0 13.26 10.74 23.1 23.1 23.1C501.3 255.1 512 245.3 512 231.1C512 170 487.9 111.8 444.1 67.95zM288 191.1c-8.189 0-16.38 3.123-22.63 9.373c-12.5 12.5-12.5 32.76 0 45.25c6.248 6.248 14.44 9.373 22.63 9.373s16.38-3.125 22.63-9.373c12.5-12.5 12.5-32.76 0-45.25C304.4 195.1 296.2 191.1 288 191.1zM279.1 96c-13.26 0-24 10.74-24 23.1s10.74 23.1 23.1 23.1c48.53 0 88.01 39.49 88.01 88.01c0 13.26 10.74 23.1 23.1 23.1S416 245.3 416 232c0-37.5-15.25-71.5-39.88-96.13S317.5 96 279.1 96z"]],
    "money-bill": [576, 512, [], "f0d6", ["M512 192V320C476.7 320 448 348.7 448 384H128C128 348.7 99.35 320 64 320V192C99.35 192 128 163.3 128 128H448C448 163.3 476.7 192 512 192zM288 352C341 352 384 309 384 256C384 202.1 341 160 288 160C234.1 160 192 202.1 192 256C192 309 234.1 352 288 352z", "M512 64C547.3 64 576 92.65 576 128V384C576 419.3 547.3 448 512 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H512zM448 128H128C128 163.3 99.35 192 64 192V320C99.35 320 128 348.7 128 384H448C448 348.7 476.7 320 512 320V192C476.7 192 448 163.3 448 128z"]],
    "money-bill-1": [576, 512, ["money-bill-alt"], "f3d1", ["M512 192V320C476.7 320 448 348.7 448 384H128C128 348.7 99.35 320 64 320V192C99.35 192 128 163.3 128 128H448C448 163.3 476.7 192 512 192zM288 352C341 352 384 309 384 256C384 202.1 341 160 288 160C234.1 160 192 202.1 192 256C192 309 234.1 352 288 352z", "M288 188C299 188 308 196.1 308 208V276H312C323 276 332 284.1 332 296C332 307 323 316 312 316H264C252.1 316 244 307 244 296C244 284.1 252.1 276 264 276H268V227.6C258.9 225.7 252 217.7 252 208C252 196.1 260.1 188 272 188H288zM0 128C0 92.65 28.65 64 64 64H512C547.3 64 576 92.65 576 128V384C576 419.3 547.3 448 512 448H64C28.65 448 0 419.3 0 384V128zM64 192V320C99.35 320 128 348.7 128 384H448C448 348.7 476.7 320 512 320V192C476.7 192 448 163.3 448 128H128C128 163.3 99.35 192 64 192z"]],
    "money-bill-1-wave": [576, 512, ["money-bill-wave-alt"], "f53b", ["M512 304C480.6 304 454.5 326.6 449 356.4C386.6 357.2 327.2 372.1 276.2 384.1C271.4 386.2 266.7 387.4 262 388.5C211.3 401.1 167.9 410.7 127.9 411.7C125.6 378.3 97.89 352 64 352V208C95.38 208 121.5 185.4 126.1 155.6C189.4 154.8 248.8 139.9 299.8 127C304.6 125.8 309.3 124.6 313.1 123.5C364.7 110.9 408.1 101.3 448.1 100.3C450.4 133.7 478.1 160 512 160V304zM288 352C332.2 352 368 309 368 256C368 202.1 332.2 160 288 160C243.8 160 208 202.1 208 256C208 309 243.8 352 288 352z", "M288 187.1C299 187.1 308 196.1 308 207.1V275.1H312C323 275.1 332 284.1 332 295.1C332 307 323 315.1 312 315.1H264C252.1 315.1 244 307 244 295.1C244 284.1 252.1 275.1 264 275.1H268V227.6C258.9 225.7 252 217.7 252 207.1C252 196.1 260.1 187.1 272 187.1H288zM0 418.3V115.8C0 91.99 25.38 76.24 48.35 82.43C128.2 103.9 208.1 83.97 288 64C374.9 42.27 461.8 20.55 548.7 52.23C565.8 58.46 576 75.48 576 93.67V396.2C576 420 550.6 435.8 527.7 429.6C447.8 408.1 367.9 428 288 448C201.1 469.7 114.2 491.4 27.29 459.8C10.21 453.5 0 436.5 0 418.3V418.3zM313.1 123.5C309.3 124.6 304.6 125.8 299.8 127C248.8 139.9 189.4 154.8 126.1 155.6C121.5 185.4 95.38 207.1 64 207.1V352C97.89 352 125.6 378.3 127.9 411.7C167.9 410.7 211.3 401.1 262 388.5C266.7 387.4 271.4 386.2 276.2 384.1C327.2 372.1 386.6 357.2 449 356.4C454.5 326.6 480.6 303.1 512 303.1V159.1C478.1 159.1 450.4 133.7 448.1 100.3C408.1 101.3 364.7 110.9 313.1 123.5H313.1z"]],
    "money-bill-simple": [576, 512, [], "e1f1", ["M384 256C384 309 341 352 288 352C234.1 352 192 309 192 256C192 202.1 234.1 160 288 160C341 160 384 202.1 384 256z", "M512 64C547.3 64 576 92.65 576 128V384C576 419.3 547.3 448 512 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H512zM288 352C341 352 384 309 384 256C384 202.1 341 160 288 160C234.1 160 192 202.1 192 256C192 309 234.1 352 288 352z"]],
    "money-bill-simple-wave": [576, 512, [], "e1f2", ["M368 256C368 309 332.2 352 288 352C243.8 352 208 309 208 256C208 202.1 243.8 160 288 160C332.2 160 368 202.1 368 256z", "M48.66 79.13C128.4 100.9 208.2 80.59 288 60.25C375 38.08 462 15.9 549 48.38C565.9 54.69 576 71.62 576 89.66V399.5C576 423.4 550.4 439.2 527.3 432.9C447.6 411.1 367.8 431.4 288 451.7C200.1 473.9 113.1 496.1 26.97 463.6C10.06 457.3 0 440.4 0 422.3V112.5C0 88.59 25.61 72.83 48.66 79.13L48.66 79.13zM287.1 352C332.2 352 368 309 368 255.1C368 202.1 332.2 159.1 287.1 159.1C243.8 159.1 207.1 202.1 207.1 255.1C207.1 309 243.8 352 287.1 352z"]],
    "money-bill-transfer": [640, 512, [], "e528", ["M332 87.99C332 116.7 355.3 139.1 384 139.1L481.1 139.1C484.5 157.5 494.9 172.5 509.4 181.9C511.1 184.3 513.1 186.6 515.2 188.8C535.5 209.1 568.5 209.1 588.8 188.8L608 169.5V384C608 419.3 579.3 448 544 448H302.1C305.9 440.8 307.1 432.7 307.1 423.1C307.1 395.3 284.7 371.1 255.1 371.1L158.9 371.1C155.5 354.5 145.1 339.5 130.6 330.1C128.9 327.7 126.9 325.4 124.8 323.2C104.5 302.9 71.54 302.9 51.23 323.2L32 342.5V128C32 92.65 60.65 64 96 64H337.9C334.1 71.18 332 79.34 332 87.99V87.99zM96 127.1V191.1C131.3 191.1 160 163.3 160 127.1H96zM544 319.1C508.7 319.1 480 348.7 480 384H544V319.1zM320 159.1C266.1 159.1 224 202.1 224 255.1C224 309 266.1 352 320 352C373 352 416 309 416 255.1C416 202.1 373 159.1 320 159.1z", "M558.1 63.1L535 40.97C525.7 31.6 525.7 16.4 535 7.03C544.4-2.343 559.6-2.343 568.1 7.029L632.1 71.02C637.5 75.52 640 81.63 640 87.99C640 94.36 637.5 100.5 632.1 104.1L568.1 168.1C559.6 178.3 544.4 178.3 535 168.1C525.7 159.6 525.7 144.4 535 135L558.1 111.1L384 111.1C370.7 111.1 360 101.2 360 87.99C360 74.74 370.7 63.99 384 63.99L558.1 63.1zM255.1 399.1C269.3 399.1 279.1 410.7 279.1 423.1C279.1 437.2 269.3 447.1 255.1 447.1L81.95 448L104.1 471C114.3 480.4 114.3 495.6 104.1 504.1C95.6 514.3 80.4 514.3 71.03 504.1L7.029 440.1C2.528 436.5-.0003 430.4 0 423.1C0 417.6 2.529 411.5 7.03 407L71.03 343C80.4 333.7 95.6 333.7 104.1 343C114.3 352.4 114.3 367.6 104.1 376.1L81.94 400L255.1 399.1z"]],
    "money-bill-trend-up": [512, 512, [], "e529", ["M464 256C490.5 256 512 277.5 512 304V464C512 490.5 490.5 512 464 512H48C21.49 512 0 490.5 0 464V304C0 277.5 21.49 256 48 256H464zM96 464C96 437.5 74.51 416 48 416V464H96zM48 352C74.51 352 96 330.5 96 304H48V352zM464 464V416C437.5 416 416 437.5 416 464H464zM464 304H416C416 330.5 437.5 352 464 352V304zM256 448C291.3 448 320 419.3 320 384C320 348.7 291.3 320 256 320C220.7 320 192 348.7 192 384C192 419.3 220.7 448 256 448z", "M480 31.9C480 31.94 480 31.99 480 32.02V128C480 145.7 465.7 160 448 160C430.3 160 416 145.7 416 128V109.3L310.6 214.6C298.8 226.5 279.9 227.2 267.2 216.3L176 138.1L84.83 216.3C71.41 227.8 51.21 226.2 39.7 212.8C28.2 199.4 29.76 179.2 43.18 167.7L155.2 71.7C167.2 61.43 184.8 61.43 196.8 71.7L286.3 148.4L370.7 64H352C334.3 64 320 49.67 320 32C320 14.33 334.3 0 352 0H448C456.8 0 464.8 3.554 470.6 9.305C470.6 9.35 470.6 9.395 470.7 9.441C473.7 12.49 476 16 477.6 19.75C479.1 23.5 479.1 27.6 480 31.9V31.9z"]],
    "money-bill-wave": [576, 512, [], "f53a", ["M512 304C480.6 304 454.5 326.6 449 356.4C386.6 357.2 327.2 372.1 276.2 384.1C271.4 386.2 266.7 387.4 262 388.5C211.3 401.1 167.9 410.7 127.9 411.7C125.6 378.3 97.89 352 64 352V208C95.38 208 121.5 185.4 126.1 155.6C189.4 154.8 248.8 139.9 299.8 127C304.6 125.8 309.3 124.6 313.1 123.5C364.7 110.9 408.1 101.3 448.1 100.3C450.4 133.7 478.1 160 512 160V304zM288 352C332.2 352 368 309 368 256C368 202.1 332.2 160 288 160C243.8 160 208 202.1 208 256C208 309 243.8 352 288 352z", "M48.66 79.13C128.4 100.9 208.2 80.59 288 60.25C375 38.08 462 15.9 549 48.38C565.9 54.69 576 71.62 576 89.66V399.5C576 423.4 550.4 439.2 527.3 432.9C447.6 411.1 367.8 431.4 288 451.7C200.1 473.9 113.1 496.1 26.97 463.6C10.06 457.3 0 440.4 0 422.3V112.5C0 88.59 25.61 72.83 48.66 79.13L48.66 79.13zM512 159.1C478.1 159.1 450.4 133.7 448.1 100.3C408.1 101.3 364.7 110.9 313.1 123.5C309.3 124.6 304.6 125.8 299.8 127C248.8 139.9 189.4 154.8 126.1 155.6C121.5 185.4 95.38 207.1 63.1 207.1V352C97.89 352 125.6 378.3 127.9 411.7C167.9 410.7 211.3 401.1 262 388.5C266.7 387.4 271.4 386.2 276.2 384.1C327.2 372.1 386.6 357.2 449 356.4C454.5 326.6 480.6 304 512 304V159.1z"]],
    "money-bill-wheat": [512, 512, [], "e52a", ["M464 256C490.5 256 512 277.5 512 304V464C512 490.5 490.5 512 464 512H48C21.49 512 0 490.5 0 464V304C0 277.5 21.49 256 48 256H464zM96 464C96 437.5 74.51 416 48 416V464H96zM48 352C74.51 352 96 330.5 96 304H48V352zM464 464V416C437.5 416 416 437.5 416 464H464zM464 304H416C416 330.5 437.5 352 464 352V304zM256 448C291.3 448 320 419.3 320 384C320 348.7 291.3 320 256 320C220.7 320 192 348.7 192 384C192 419.3 220.7 448 256 448z", "M160 16C160 7.164 167.2 0 176 0C220.2 0 256 35.82 256 80C256 88.84 248.8 96 240 96C195.8 96 160 60.18 160 16zM32 40C32 26.75 42.75 16 56 16H104C117.3 16 128 26.75 128 40C128 53.25 117.3 64 104 64H56C42.75 64 32 53.25 32 40zM0 112C0 98.75 10.75 88 24 88H136C149.3 88 160 98.75 160 112C160 125.3 149.3 136 136 136H24C10.75 136 0 125.3 0 112zM104 160C117.3 160 128 170.7 128 184C128 197.3 117.3 208 104 208H56C42.75 208 32 197.3 32 184C32 170.7 42.75 160 56 160H104zM368 80C368 88.84 360.8 96 352 96C307.8 96 272 60.18 272 16C272 7.164 279.2 0 288 0C332.2 0 368 35.82 368 80zM384 16C384 7.164 391.2 0 400 0C444.2 0 480 35.82 480 80C480 88.84 472.8 96 464 96C419.8 96 384 60.18 384 16zM464 128C472.8 128 480 135.2 480 144C480 188.2 444.2 224 400 224C391.2 224 384 216.8 384 208C384 163.8 419.8 128 464 128zM288 224C279.2 224 272 216.8 272 208C272 163.8 307.8 128 352 128C360.8 128 368 135.2 368 144C368 188.2 332.2 224 288 224zM240 128C248.8 128 256 135.2 256 144C256 188.2 220.2 224 176 224C167.2 224 160 216.8 160 208C160 163.8 195.8 128 240 128z"]],
    "money-bills": [640, 512, [], "e1f3", ["M48 360C48 399.8 80.24 432 120 432H520C533.3 432 544 442.7 544 456C544 469.3 533.3 480 520 480H120C53.73 480 0 426.3 0 360V120C0 106.7 10.75 96 24 96C37.25 96 48 106.7 48 120V360zM224 96H512C512 131.3 540.7 160 576 160V256C540.7 256 512 284.7 512 320H224C224 284.7 195.3 256 160 256V160C195.3 160 224 131.3 224 96zM368 128C323.8 128 288 163.8 288 208C288 252.2 323.8 288 368 288C412.2 288 448 252.2 448 208C448 163.8 412.2 128 368 128z", "M576 32C611.3 32 640 60.65 640 96V320C640 355.3 611.3 384 576 384H160C124.7 384 96 355.3 96 320V96C96 60.65 124.7 32 160 32H576zM512 96H224C224 131.3 195.3 160 160 160V256C195.3 256 224 284.7 224 320H512C512 284.7 540.7 256 576 256V160C540.7 160 512 131.3 512 96z"]],
    "money-bills-simple": [640, 512, ["money-bills-alt"], "e1f4", ["M48 360C48 399.8 80.24 432 120 432H520C533.3 432 544 442.7 544 456C544 469.3 533.3 480 520 480H120C53.73 480 0 426.3 0 360V120C0 106.7 10.75 96 24 96C37.25 96 48 106.7 48 120V360zM288 208C288 163.8 323.8 128 368 128C412.2 128 448 163.8 448 208C448 252.2 412.2 288 368 288C323.8 288 288 252.2 288 208z", "M576 32C611.3 32 640 60.65 640 96V320C640 355.3 611.3 384 576 384H160C124.7 384 96 355.3 96 320V96C96 60.65 124.7 32 160 32H576zM368 288C412.2 288 448 252.2 448 208C448 163.8 412.2 128 368 128C323.8 128 288 163.8 288 208C288 252.2 323.8 288 368 288z"]],
    "money-check": [576, 512, [], "f53c", ["M512 64C547.3 64 576 92.65 576 128V384C576 419.3 547.3 448 512 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H512zM112 224C103.2 224 96 231.2 96 240C96 248.8 103.2 256 112 256H304C312.8 256 320 248.8 320 240C320 231.2 312.8 224 304 224H112zM112 352H464C472.8 352 480 344.8 480 336C480 327.2 472.8 320 464 320H112C103.2 320 96 327.2 96 336C96 344.8 103.2 352 112 352zM408 160C394.7 160 384 170.7 384 184V232C384 245.3 394.7 256 408 256H456C469.3 256 480 245.3 480 232V184C480 170.7 469.3 160 456 160H408z", "M456 160C469.3 160 480 170.7 480 184V232C480 245.3 469.3 256 456 256H408C394.7 256 384 245.3 384 232V184C384 170.7 394.7 160 408 160H456zM304 224C312.8 224 320 231.2 320 240C320 248.8 312.8 256 304 256H112C103.2 256 96 248.8 96 240C96 231.2 103.2 224 112 224H304z"]],
    "money-check-dollar": [576, 512, ["money-check-alt"], "f53d", ["M512 64C547.3 64 576 92.65 576 128V384C576 419.3 547.3 448 512 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H512zM272 192C263.2 192 256 199.2 256 208C256 216.8 263.2 224 272 224H496C504.8 224 512 216.8 512 208C512 199.2 504.8 192 496 192H272zM272 320H496C504.8 320 512 312.8 512 304C512 295.2 504.8 288 496 288H272C263.2 288 256 295.2 256 304C256 312.8 263.2 320 272 320zM164.1 160C164.1 148.9 155.1 139.9 143.1 139.9C132.9 139.9 123.9 148.9 123.9 160V166C118.3 167.2 112.1 168.9 108 171.1C93.06 177.9 80.07 190.5 76.91 208.8C75.14 219 76.08 228.9 80.32 237.8C84.47 246.6 91 252.8 97.63 257.3C109.2 265.2 124.5 269.8 136.2 273.3L138.4 273.9C152.4 278.2 161.8 281.3 167.7 285.6C170.2 287.4 171.1 288.8 171.4 289.7C171.8 290.5 172.4 292.3 171.7 296.3C171.1 299.8 169.2 302.8 163.7 305.1C157.6 307.7 147.7 309 134.9 307C128.9 306 118.2 302.4 108.7 299.2C106.5 298.4 104.3 297.7 102.3 297C91.84 293.5 80.51 299.2 77.02 309.7C73.53 320.2 79.2 331.5 89.68 334.1C90.89 335.4 92.39 335.9 94.11 336.5C101.1 339.2 114.4 343.4 123.9 345.6V352C123.9 363.1 132.9 372.1 143.1 372.1C155.1 372.1 164.1 363.1 164.1 352V346.5C169.4 345.5 174.6 343.1 179.4 341.9C195.2 335.2 207.8 322.2 211.1 303.2C212.9 292.8 212.1 282.8 208.1 273.7C204.2 264.7 197.9 258.1 191.2 253.3C179.1 244.4 162.9 239.6 150.8 235.9L149.1 235.7C135.8 231.4 126.2 228.4 120.1 224.2C117.5 222.4 116.7 221.2 116.5 220.7C116.3 220.3 115.7 219.1 116.3 215.7C116.7 213.7 118.2 210.4 124.5 207.6C130.1 204.7 140.9 203.1 153.1 204.1C157.5 205.7 171 208.3 174.9 209.3C185.5 212.2 196.5 205.8 199.3 195.1C202.2 184.5 195.8 173.5 185.1 170.7C180.7 169.5 170.7 167.5 164.1 166.3L164.1 160z", "M164.1 166.3C170.7 167.5 180.7 169.5 185.1 170.7C195.8 173.5 202.2 184.5 199.3 195.1C196.5 205.8 185.5 212.2 174.9 209.3C171 208.3 157.5 205.7 153.1 204.1C140.9 203.1 130.1 204.7 124.5 207.6C118.2 210.4 116.7 213.7 116.3 215.7C115.7 219.1 116.3 220.3 116.5 220.7C116.7 221.2 117.5 222.4 120.1 224.2C126.2 228.4 135.8 231.4 149.1 235.7L150.8 235.9C162.9 239.6 179.1 244.4 191.2 253.3C197.9 258.1 204.2 264.7 208.1 273.7C212.1 282.8 212.9 292.8 211.1 303.2C207.8 322.2 195.2 335.2 179.4 341.9C174.6 343.1 169.4 345.5 164.1 346.5V352C164.1 363.1 155.1 372.1 143.1 372.1C132.9 372.1 123.9 363.1 123.9 352V345.6C114.4 343.4 101.1 339.2 94.11 336.5C92.39 335.9 90.89 335.4 89.68 334.1C79.2 331.5 73.53 320.2 77.02 309.7C80.51 299.2 91.84 293.5 102.3 297C104.3 297.7 106.5 298.4 108.7 299.2C118.2 302.4 128.9 306 134.9 307C147.7 309 157.6 307.7 163.7 305.1C169.2 302.8 171.1 299.8 171.7 296.3C172.4 292.3 171.8 290.5 171.4 289.7C171.1 288.8 170.2 287.4 167.7 285.6C161.8 281.3 152.4 278.2 138.4 273.9L136.2 273.3C124.5 269.8 109.2 265.2 97.62 257.3C90.1 252.8 84.47 246.6 80.32 237.8C76.08 228.9 75.14 219 76.9 208.8C80.07 190.5 93.06 177.9 108 171.1C112.1 168.9 118.3 167.2 123.9 166V160C123.9 148.9 132.9 139.9 143.1 139.9C155.1 139.9 164.1 148.9 164.1 160L164.1 166.3zM495.1 192C504.8 192 511.1 199.2 511.1 208C511.1 216.8 504.8 224 495.1 224H271.1C263.2 224 255.1 216.8 255.1 208C255.1 199.2 263.2 192 271.1 192H495.1z"]],
    "money-check-dollar-pen": [640, 512, ["money-check-edit-alt"], "f873", ["M512 64C547.3 64 576 92.65 576 128V192.6C560.8 194.6 546.2 201.4 534.6 213.1L353.3 394.3C345.1 402.5 339.3 412.8 336.5 424.1L330.5 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H512zM272 288C263.2 288 256 295.2 256 304C256 312.8 263.2 320 272 320H336C344.8 320 352 312.8 352 304C352 295.2 344.8 288 336 288H272zM272 224H432C440.8 224 448 216.8 448 208C448 199.2 440.8 192 432 192H272C263.2 192 256 199.2 256 208C256 216.8 263.2 224 272 224zM164.1 160C164.1 148.9 155.1 139.9 144 139.9C132.9 139.9 123.9 148.9 123.9 160V166C118.3 167.2 112.1 168.9 108 171.1C93.06 177.9 80.07 190.5 76.91 208.8C75.15 219 76.08 228.9 80.32 237.8C84.47 246.6 91 252.8 97.63 257.3C109.2 265.2 124.5 269.8 136.2 273.3L138.4 273.9C152.4 278.2 161.8 281.3 167.7 285.6C170.2 287.4 171.1 288.8 171.4 289.7C171.8 290.5 172.4 292.3 171.7 296.3C171.1 299.8 169.2 302.8 163.7 305.1C157.6 307.7 147.7 309 134.9 307C128.9 306 118.2 302.4 108.7 299.2C106.5 298.4 104.3 297.7 102.3 297C91.84 293.5 80.51 299.2 77.02 309.7C73.53 320.2 79.2 331.5 89.68 334.1C90.89 335.4 92.39 335.9 94.11 336.5C101.1 339.2 114.4 343.4 123.9 345.6V352C123.9 363.1 132.9 372.1 143.1 372.1C155.1 372.1 164.1 363.1 164.1 352V346.5C169.4 345.5 174.6 343.1 179.4 341.9C195.2 335.2 207.8 322.2 211.1 303.2C212.9 292.8 212.1 282.8 208.1 273.7C204.2 264.7 197.9 258.1 191.2 253.3C179.1 244.4 162.9 239.6 150.8 235.9L149.1 235.7C135.8 231.4 126.2 228.4 120.1 224.2C117.5 222.4 116.7 221.2 116.5 220.7C116.3 220.3 115.7 219.1 116.3 215.7C116.7 213.7 118.2 210.4 124.5 207.6C130.1 204.7 140.9 203.1 153.1 204.1C157.5 205.7 171 208.3 174.9 209.3C185.5 212.2 196.5 205.8 199.3 195.1C202.2 184.5 195.8 173.5 185.1 170.7C180.7 169.5 170.7 167.5 164.1 166.3L164.1 160z", "M557.2 235.7C572.8 220.1 598.1 220.1 613.8 235.7L628.1 250.1C643.8 265.7 643.8 291 628.1 306.7L598.7 336.1L527.8 265.1L557.2 235.7zM576.1 358.7L446.9 487.9C442.8 492 437.6 494.9 432 496.3L371.9 511.4C366.4 512.7 360.7 511.1 356.7 507.2C352.7 503.2 351.1 497.4 352.5 491.1L367.5 431.8C368.9 426.2 371.8 421.1 375.9 416.1L505.1 287.8L576.1 358.7z"]],
    "money-check-pen": [640, 512, ["money-check-edit"], "f872", ["M.0003 128C.0003 92.65 28.65 64 64 64H512C547.3 64 576 92.65 576 128V192.6C560.8 194.6 546.2 201.4 534.6 213.1L353.3 394.3C345.1 402.5 339.3 412.8 336.5 424.1L330.5 448H64C28.65 448 0 419.3 0 384L.0003 128zM112 320H336C344.8 320 352 312.8 352 304C352 295.2 344.8 288 336 288H112C103.2 288 96 295.2 96 304C96 312.8 103.2 320 112 320zM112 192C103.2 192 96 199.2 96 208C96 216.8 103.2 224 112 224H432C440.8 224 448 216.8 448 208C448 199.2 440.8 192 432 192H112z", "M557.2 235.7C572.8 220.1 598.1 220.1 613.8 235.7L628.1 250.1C643.8 265.7 643.8 291 628.1 306.7L598.7 336.1L527.8 265.1L557.2 235.7zM576.1 358.7L446.9 487.9C442.8 492 437.6 494.9 432 496.3L371.9 511.4C366.4 512.7 360.7 511.1 356.7 507.2C352.7 503.2 351.1 497.4 352.5 491.1L367.5 431.8C368.9 426.2 371.8 421.1 375.9 416.1L505.1 287.8L576.1 358.7z"]],
    "money-from-bracket": [640, 512, [], "e312", ["M448 512H192C156.7 512 128 483.3 128 448V96H512V448C512 483.3 483.3 512 448 512zM192 448H256C256 412.7 227.3 384 192 384V448zM448 448V384C412.7 384 384 412.7 384 448H448zM224 272C224 316.2 266.1 352 320 352C373 352 416 316.2 416 272C416 227.8 373 192 320 192C266.1 192 224 227.8 224 272z", "M96 64C78.33 64 64 78.33 64 96V160C64 177.7 49.67 192 32 192C14.33 192 0 177.7 0 160V96C0 42.98 42.98 0 96 0H544C597 0 640 42.98 640 96V160C640 177.7 625.7 192 608 192C590.3 192 576 177.7 576 160V96C576 78.33 561.7 64 544 64H96z"]],
    "money-simple-from-bracket": [640, 512, [], "e313", ["M448 512H192C156.7 512 128 483.3 128 448V96H512V448C512 483.3 483.3 512 448 512zM224 272C224 316.2 266.1 352 320 352C373 352 416 316.2 416 272C416 227.8 373 192 320 192C266.1 192 224 227.8 224 272z", "M96 64C78.33 64 64 78.33 64 96V160C64 177.7 49.67 192 32 192C14.33 192 0 177.7 0 160V96C0 42.98 42.98 0 96 0H544C597 0 640 42.98 640 96V160C640 177.7 625.7 192 608 192C590.3 192 576 177.7 576 160V96C576 78.33 561.7 64 544 64H96z"]],
    "monitor-waveform": [576, 512, ["monitor-heart-rate"], "f611", ["M512 96v320H64V288l118.1-.0313l27.62 55.17c5.875 11.88 22.65 11.86 28.52-.0104L288 243.8L310.1 288H400C408.9 288 416 280.9 416 272S408.9 256 400 256h-70.13l-27.62-55.13c-5.875-11.88-22.62-11.88-28.5 0L224 300.3L204.1 260.4C202.8 257.8 200 256 197 256H64V96H512z", "M528 32h-480C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h480c26.5 0 48-21.5 48-48v-352C576 53.5 554.5 32 528 32zM512 416H64V96h448V416z"]],
    "monkey": [576, 512, [128018], "f6fb", ["M448 64C474.5 64 496 85.49 496 112C496 135.8 478.7 155.5 456 159.3V168C456 190.1 438.1 208 416 208C393.9 208 376 190.1 376 168V159.3C353.3 155.5 336 135.8 336 112C336 85.49 357.5 64 384 64H448zM384 96C375.2 96 368 103.2 368 112C368 120.8 375.2 128 384 128C392.8 128 400 120.8 400 112C400 103.2 392.8 96 384 96zM448 128C456.8 128 464 120.8 464 112C464 103.2 456.8 96 448 96C439.2 96 432 103.2 432 112C432 120.8 439.2 128 448 128z", "M160 416C160 326.3 221.4 251 304.5 229.9C329.1 265 369.9 288 416 288C425.8 288 435.4 286.1 444.7 284.1L526.5 363C558.1 393.2 576 435 576 478.8V480C576 497.7 561.7 512 544 512C526.3 512 512 497.7 512 480V478.8C512 452.5 501.3 427.4 482.3 409.3L416 346.1V448H448C465.7 448 480 462.3 480 480C480 497.7 465.7 512 448 512H160C71.63 512 0 440.4 0 352V110.1C0 49.31 49.3 .0003 110.1 .0003H120.5C177.7 .0003 223.3 47.77 220.6 104.9C218.4 153.1 182 192.8 134.2 199.4L132.4 199.7C114.9 202.1 98.71 189.9 96.3 172.4C93.89 154.9 106.1 138.7 123.6 136.3L125.5 136C142.8 133.7 155.9 119.3 156.7 101.9C157.7 81.26 141.2 64 120.5 64H110.1C84.65 64 63.1 84.65 63.1 110.1V352C63.1 405 106.1 448 159.1 448L160 416zM416 256C386.7 256 360.1 243.8 341.2 224.3C332.3 215 325 204.1 319.1 192C284.6 191.1 256 163.3 256 128C256 92.66 284.6 64.02 319.1 64C335.6 26.42 372.7 0 416 0C459.3 0 496.4 26.42 512 64C547.4 64.02 576 92.66 576 128C576 163.3 547.4 191.1 512 192C496.4 229.6 459.3 256 416 256zM384 64C357.5 64 336 85.49 336 112C336 135.8 353.3 155.5 376 159.3V168C376 190.1 393.9 208 416 208C438.1 208 456 190.1 456 168V159.3C478.7 155.5 496 135.8 496 112C496 85.49 474.5 64 448 64H384z"]],
    "monument": [384, 512, [], "f5a6", ["M0 480C0 462.3 14.33 448 32 448H352C369.7 448 384 462.3 384 480C384 497.7 369.7 512 352 512H32C14.33 512 0 497.7 0 480z", "M283.3 84.69C285.8 87.2 287.4 90.48 287.9 94.02L332.1 448H51.88L96.12 94.02C96.57 90.48 98.17 87.2 100.7 84.69L180.7 4.686C186.9-1.562 197.1-1.562 203.3 4.686L283.3 84.69zM151.1 320H232C245.3 320 256 309.3 256 296C256 282.7 245.3 272 232 272H151.1C138.7 272 127.1 282.7 127.1 296C127.1 309.3 138.7 320 151.1 320z"]],
    "moon": [512, 512, [127769, 9214], "f186", ["", "M32 256c0-123.8 100.3-224 223.8-224c11.36 0 29.7 1.668 40.9 3.746c9.616 1.777 11.75 14.63 3.279 19.44C245 86.5 211.2 144.6 211.2 207.8c0 109.7 99.71 193 208.3 172.3c9.561-1.805 16.28 9.324 10.11 16.95C387.9 448.6 324.8 480 255.8 480C132.1 480 32 379.6 32 256z"]],
    "moon-cloud": [640, 512, [], "f754", ["M627.5 380.1c-108.7 20.7-208.4-62.62-208.4-172.3c0-63.19 33.8-121.3 88.79-152.6c8.477-4.812 6.344-17.66-3.281-19.44c-11.21-2.078-29.55-3.746-40.92-3.746c-111.4 0-203.7 81.47-220.9 188.2c.7793 1.51 1.727 2.901 2.439 4.452C248.8 224.2 252.4 224 256 224c52.94 0 96 43.06 96 96c0 37.94-22.23 70.47-54.25 86.04C338.7 451.3 397.7 480 463.7 480c69.1 0 132.1-31.45 173.9-82.93C643.8 389.4 637.1 378.3 627.5 380.1z", "M320 320c0-35.25-28.75-64-64-64C244 256 232.9 259.5 223.3 265.3C219.8 224.3 185.9 192 144 192C105.3 192 72.88 219.6 65.63 256.3C65.13 256.3 64.63 256 64 256c-35.25 0-64 28.75-64 64s28.75 64 64 64h192C291.3 384 320 355.3 320 320z"]],
    "moon-over-sun": [512, 512, ["eclipse-alt"], "f74a", ["M507.8 339L450.2 256l57.6-83.01c9.703-13.98 1.693-33.32-15.05-36.34l-99.43-17.97l-17.97-99.43c-3.027-16.75-22.36-24.76-36.34-15.05L256 61.79L172.1 4.194C159-5.51 139.7 2.498 136.6 19.25L118.7 118.7L19.25 136.6c-16.75 3.027-24.76 22.36-15.05 36.34L61.8 256l-57.6 83.01c-9.703 13.98-1.695 33.32 15.05 36.35l99.43 17.97l17.97 99.43c3.027 16.75 22.36 24.76 36.34 15.05L256 450.2l83.01 57.6c13.98 9.703 33.32 1.695 36.34-15.05l17.97-99.43l99.43-17.97C509.5 372.3 517.5 352.1 507.8 339zM357.8 357.1c-56.15 56.15-147.6 56.15-203.8 0s-56.15-147.6 0-203.8c56.15-56.15 147.6-56.15 203.8 0C413.9 210.4 413.9 301.8 357.8 357.1z", "M342.8 326.6c-20.86 25.67-52.34 41.45-86.9 41.45C194 368 144 317.8 144 256c0-61.98 50.17-111.1 111.9-111.1c6.855 0 13.69 .5755 20.4 1.888c4.812 .7305 5.839 7.111 1.611 9.59c-27.42 15.61-44.33 44.77-44.33 76.27c0 54.98 50.02 96.69 104.3 86.33C342.6 317.1 345.1 322.8 342.8 326.6z"]],
    "moon-stars": [512, 512, [], "f755", ["M288 63.1l12.42 29.78c.6094 1.225 2.211 2.219 3.578 2.219s2.967-.9941 3.576-2.219l12.42-29.78l29.79-12.42C351 50.97 352 49.36 352 47.1c0-1.365-.9922-2.967-2.211-3.576l-29.79-12.42l-12.42-29.79c-.6094-1.227-2.209-2.217-3.576-2.217s-2.969 .9902-3.578 2.217l-12.42 29.79L258.2 44.42c-1.217 .6094-2.209 2.211-2.209 3.576c0 1.359 .9922 2.971 2.209 3.58L288 63.1zM507.6 216.9L448 192l-24.88-59.63C421.8 129.8 419 127.1 416 127.1s-5.75 1.75-7.125 4.375L384 192l-59.63 24.88C321.8 218.3 320 221 320 224s1.75 5.75 4.375 7.125L384 256l24.88 59.63C410.3 318.3 413 320 416 320s5.75-1.75 7.125-4.375L448 256l59.63-24.88C510.3 229.8 512 227 512 224S510.3 218.3 507.6 216.9z", "M332.3 426.4c-93.13 17.75-178.5-53.63-178.5-147.6c0-54.25 29-104 76-130.9c7.375-4.125 5.45-15.12-2.8-16.62C108.7 109.4 0 200 0 320c0 106 85.76 192 191.8 192c59.25 0 113.2-26.79 148.9-71.04C346.1 434.5 340.3 424.8 332.3 426.4z"]],
    "moped": [640, 512, [], "e3b9", ["M224 96C241.7 96 256 110.3 256 128C256 145.7 241.7 160 224 160H128C110.3 160 96 145.7 96 128C96 110.3 110.3 96 128 96H224zM416 384C416 330.1 458.1 288 512 288C565 288 608 330.1 608 384C608 437 565 480 512 480C458.1 480 416 437 416 384zM512 432C538.5 432 560 410.5 560 384C560 357.5 538.5 336 512 336C485.5 336 464 357.5 464 384C464 410.5 485.5 432 512 432zM112 384C112 410.5 133.5 432 160 432C186.5 432 208 410.5 208 384H256C256 437 213 480 160 480C106.1 480 64 437 64 384H112z", "M328 56C328 42.75 338.7 32 352 32H393.3C417.1 32 438.3 47.09 446.1 69.6L454.2 92.88L505.2 67.38C509.7 65.16 514.6 64 519.6 64H528C536.8 64 544 71.16 544 80V144C544 152.8 536.8 160 528 160H519.6C514.6 160 509.7 158.8 505.2 156.6L470.3 139.2L500 224.4C503.1 224.1 507.1 224 512 224C555.7 224 595.3 241.5 624.1 269.8C633.6 279.1 633.7 294.3 624.4 303.8C615.1 313.2 599.9 313.4 590.5 304.1C570.2 284.2 542.6 272 512 272C459.3 272 414.1 308.5 403.1 357.6C401.1 366.1 400 374.9 400 384H32C14.33 384 0 369.7 0 352V320C0 249.3 57.31 192 128 192H224C241.7 192 256 206.3 256 224V288C256 305.7 270.3 320 288 320H365.3C382.2 281.5 413.7 250.8 452.9 235.3L400.8 85.37C399.7 82.16 396.7 80 393.3 80H352C338.7 80 328 69.26 328 56L328 56z"]],
    "mortar-pestle": [512, 512, [], "f5a7", ["M402.5 159.1H251.1l203.8-152.9c10.88-8.125 25.25-9.375 37.38-3.375c21.75 10.88 26.5 40 9.25 57.13L402.5 159.1z", "M496 191.1h-480c-8.875 0-16 7.125-16 16v32c0 8.875 7.125 16 16 16L31.1 256c0 81 50.25 150.1 121.1 178.4c-12.75 16.88-21.75 36.75-25 58.63C126.8 502.9 134.2 512 144.2 512h223.5c10 0 17.51-9.125 16.13-19c-3.25-21.88-12.25-41.75-25-58.63C429.8 406.1 479.1 337 479.1 256L496 255.1c8.875 0 16-7.125 16-16v-32C512 199.1 504.9 191.1 496 191.1z"]],
    "mosque": [640, 512, [128332], "f678", ["M546.3 117.9C551.5 121.4 556.9 124.9 562.3 128.5C591.3 147.7 608 180.2 608 214.6C608 243.1 596.7 269 578.2 288H221.8C203.3 269 191.1 243.1 191.1 214.6C191.1 180.2 208.7 147.7 237.7 128.5C243.1 124.9 248.5 121.4 253.7 117.9C309.1 81.34 352.5 52.7 387.2 6.4C390.2 2.371 394.1 0 400 0C405 0 409.8 2.371 412.8 6.4C447.5 52.7 490.9 81.34 546.3 117.9H546.3zM105.6 17.2C139.8 42.88 160 83.19 160 126V160H0V126C0 83.19 20.15 42.88 54.4 17.2L70.4 5.2C76.09 .9334 83.91 .9334 89.6 5.2L105.6 17.2z", "M160 264.6C140.9 275.6 128 296.3 128 320V480C128 489.6 130.1 498.6 133.8 506.8C127.3 510.1 119.9 512 112 512H48C21.49 512 0 490.5 0 464V160H160V264.6zM352 512H288V440C288 426.7 277.3 416 264 416C250.7 416 240 426.7 240 440V512H192C174.3 512 160 497.7 160 480V320C160 302.3 174.3 288 192 288H608C625.7 288 640 302.3 640 320V480C640 497.7 625.7 512 608 512H560V440C560 426.7 549.3 416 536 416C522.7 416 512 426.7 512 440V512H448V453.1C448 434.1 439.6 416.1 424.1 404.8L400 384L375 404.8C360.4 416.1 352 434.1 352 453.1V512z"]],
    "mosquito": [640, 512, [], "e52b", ["M319.1 237.1L154.6 388.3C97.58 448.2 .0003 405.8 0 321.1C0 273.1 34.02 232.7 79.35 226.7L298.7 192.4H341.3L560.6 226.7C605.1 232.7 640 273.1 640 321.1C640 405.8 542.4 448.2 485.4 388.3L319.1 237.1z", "M430.2 503.4L382.3 447.6C378.5 443.1 376.4 437.4 376.4 431.5V376.1L351.1 344.4V407.6C351.1 425.3 337.7 439.6 319.1 439.6C302.3 439.6 287.1 425.3 287.1 407.6V344.4L263.6 376.1V431.5C263.6 437.4 261.5 443.1 257.7 447.6L209.7 503.4C201.1 513.5 186.1 514.5 176.3 505.6C166.5 496.7 165.6 481.3 174.2 471.2L216.3 422.2V367.6C216.3 362.1 218.1 356.8 221.4 352.5L287.1 266L319.1 236.8L351.1 266L418.6 352.5C421.9 356.8 423.7 362.1 423.7 367.6V422.2L465.7 471.2C474.4 481.3 473.4 496.7 463.6 505.6C453.8 514.5 438.9 513.5 430.2 503.4L430.2 503.4zM191.5 161.7C183.7 153.9 182 141.6 187.6 131.1L211.5 90.29L173.2 39.48C165.3 28.85 167.2 13.58 177.5 5.371C187.9-2.839 202.7-.8787 210.7 9.751L258.7 73.58C264.6 81.44 265.3 92.22 260.4 100.8L237.8 140.2L287.1 190.3V152.3C287.1 137.4 298.2 124.8 311.1 121.3V64.18C311.1 59.77 315.6 56.18 319.1 56.18C324.4 56.18 327.1 59.77 327.1 64.18V121.3C341.8 124.8 351.1 137.4 351.1 152.3V190.4L402.2 140.2L379.6 100.8C374.7 92.22 375.3 81.44 381.2 73.58L429.2 9.751C437.2-.878 452.1-2.839 462.5 5.372C472.8 13.58 474.7 28.86 466.7 39.48L428.5 90.29L452.4 131.1C457.9 141.6 456.3 153.9 448.5 161.7L407.7 202.6L341.3 192.2H298.7L232.3 202.6L191.5 161.7z"]],
    "mosquito-net": [640, 512, [], "e52c", ["M191.1 380.2V336C191.1 331.8 193.7 327.7 196.7 324.7L255.1 265.4V242.3L139.2 343.1C87.82 395.3 0 358.9 0 286.3C0 245.2 30.62 210.6 71.41 205.5L231.3 181.6L181.8 140.3C176.7 136.1 174.7 129.2 176.8 122.9L190.7 81.23L161.7 23.16C157.7 15.26 160.9 5.645 168.8 1.693C176.7-2.259 186.4 .9447 190.3 8.848L222.3 72.85C224.2 76.64 224.5 81.04 223.2 85.06L210.6 122.7L255.1 160.5V137.9C255.1 123.1 266.1 110.6 279.8 106.1V63.68C279.8 59.18 283.5 55.52 287.1 55.52C292.5 55.52 296.2 59.18 296.2 63.68V106.1C309.9 110.6 319.1 123.1 319.1 137.9V160.5L365.4 122.7L352.8 85.06C351.5 81.04 351.8 76.64 353.7 72.85L385.7 8.848C389.6 .9444 399.3-2.259 407.2 1.693C415.1 5.644 418.3 15.26 414.3 23.16L385.3 81.23L399.2 122.9C401.3 129.2 399.3 136.1 394.2 140.3L344.7 181.6L504.6 205.5C527 208.3 546.4 220 559.3 236.9C556.5 239.4 554.1 242.3 552 245.5C543.4 232.5 528.7 224 512 224C495.3 224 480.6 232.5 472 245.5C463.4 232.5 448.7 224 432 224C410.3 224 392 238.4 386.1 258.1C375.4 261.3 366.3 268.2 360.2 277.2L319.1 242.3V265.4L352.4 297.8C352.1 299.8 352 301.9 352 304C352 320.7 360.5 335.4 373.5 344C369.5 346.6 365.9 349.9 362.9 353.5L319.1 310.6V360.6C319.1 378.3 305.7 392.6 287.1 392.6C270.3 392.6 255.1 378.3 255.1 360.6V310.6L224 342.6V384C224 386.5 223.4 388.9 222.3 391.2L190.3 455.2C186.4 463.1 176.7 466.3 168.8 462.3C160.9 458.4 157.7 448.8 161.7 440.8L191.1 380.2z", "M528 288H576V272C576 263.2 583.2 256 592 256C600.8 256 608 263.2 608 272V288H624C632.8 288 640 295.2 640 304C640 312.8 632.8 320 624 320H608V368H624C632.8 368 640 375.2 640 384C640 392.8 632.8 400 624 400H608V448H624C632.8 448 640 455.2 640 464C640 472.8 632.8 480 624 480H608V496C608 504.8 600.8 512 592 512C583.2 512 576 504.8 576 496V480H528V496C528 504.8 520.8 512 512 512C503.2 512 496 504.8 496 496V480H448V496C448 504.8 440.8 512 432 512C423.2 512 416 504.8 416 496V480H400C391.2 480 384 472.8 384 464C384 455.2 391.2 448 400 448H416V400H400C391.2 400 384 392.8 384 384C384 375.2 391.2 368 400 368H416V320H400C391.2 320 384 312.8 384 304C384 295.2 391.2 288 400 288H416V272C416 263.2 423.2 256 432 256C440.8 256 448 263.2 448 272V288H496V272C496 263.2 503.2 256 512 256C520.8 256 528 263.2 528 272V288zM576 320H528V368H576V320zM576 400H528V448H576V400zM496 368V320H448V368H496zM496 448V400H448V448H496z"]],
    "motorcycle": [640, 512, [127949], "f21c", ["M128 416C154.9 416 177.9 399.5 187.3 376H253.8C242.5 435.2 190.5 480 128 480C57.31 480 0 422.7 0 352C0 281.3 57.31 224 128 224C190.5 224 242.5 268.8 253.8 328H187.3C177.9 304.5 154.9 288 128 288C92.65 288 64 316.7 64 352C64 387.3 92.65 416 128 416V416zM384 352C384 311.1 402.4 276.3 431.1 252.8L462.7 311.2C453.5 322.3 448 336.5 448 352C448 387.3 476.7 416 512 416C547.3 416 576 387.3 576 352C576 316.7 547.3 288 512 288C509.6 288 507.2 288.1 504.9 288.4L473.3 229.1C485.5 226.1 498.5 224 512 224C582.7 224 640 281.3 640 352C640 422.7 582.7 480 512 480C441.3 480 384 422.7 384 352V352z", "M342.5 32C357.2 32 370.7 40.05 377.6 52.98L391.7 78.93L439.1 39.42C444.9 34.62 452.1 32 459.6 32H480C497.7 32 512 46.33 512 64V96C512 113.7 497.7 128 480 128H418.2L533.1 340.6C539.4 352.2 535.1 366.8 523.4 373.1C511.8 379.4 497.2 375.1 490.9 363.4L415.7 224.2C376.1 253.4 352 299.8 352 352C352 362.1 353.1 373.7 355.2 384H284.8C286.9 373.7 288 362.1 288 352C288 263.6 216.4 192 128 192H32V160C32 142.3 46.33 128 64 128H165.5C182.5 128 198.7 134.7 210.7 146.7L255.1 192L354.1 110.3L337.7 80H279.1C266.7 80 255.1 69.25 255.1 56C255.1 42.75 266.7 32 279.1 32L342.5 32zM96 352C96 334.3 110.3 320 128 320C145.7 320 160 334.3 160 352C160 369.7 145.7 384 128 384C110.3 384 96 369.7 96 352z"]],
    "mound": [576, 512, [], "e52d", ["M144.1 179.2C173.8 127.7 228.6 96 288 96C347.4 96 402.2 127.7 431.9 179.2L540.4 368C552.7 389.4 537.3 416 512.7 416H63.31C38.7 416 23.31 389.4 35.57 368L144.1 179.2z", ""]],
    "mountain": [512, 512, [127956], "f6fc", ["M208 288L136.9 193.2l95.06-148.9c10.42-16.33 37.73-16.33 48.15 0L394.8 224H256L208 288z", "M503.2 393.8c11.11 17.4 11.75 39.41 1.668 57.45C494.9 468.1 476.1 480 455.7 480H56.31c-20.39 0-39.24-11.03-49.17-28.77c-10.09-18.03-9.447-40.04 1.666-57.45l128.1-200.6L208 288L256 224h138.8L503.2 393.8z"]],
    "mountain-city": [640, 512, [], "e52e", ["M432 0C458.5 0 480 21.49 480 48V192H520V120C520 106.7 530.7 96 544 96C557.3 96 568 106.7 568 120V192H592C618.5 192 640 213.5 640 240V464C640 490.5 618.5 512 592 512H470.2C470.7 511.2 471.2 510.5 471.6 509.7C483.2 488.6 482.8 462.9 470.3 442.4L396.5 320H400C408.8 320 416 312.8 416 304V272C416 263.2 408.8 256 400 256H368C364.8 256 361.9 256.9 359.4 258.5L288 140.1V48C288 21.49 309.5 0 336 0L432 0zM368 64C359.2 64 352 71.16 352 80V112C352 120.8 359.2 128 368 128H400C408.8 128 416 120.8 416 112V80C416 71.16 408.8 64 400 64H368zM352 208C352 216.8 359.2 224 368 224H400C408.8 224 416 216.8 416 208V176C416 167.2 408.8 160 400 160H368C359.2 160 352 167.2 352 176V208zM512 304C512 312.8 519.2 320 528 320H560C568.8 320 576 312.8 576 304V272C576 263.2 568.8 256 560 256H528C519.2 256 512 263.2 512 272V304zM528 352C519.2 352 512 359.2 512 368V400C512 408.8 519.2 416 528 416H560C568.8 416 576 408.8 576 400V368C576 359.2 568.8 352 560 352H528z", "M223.1 128C236 128 247.1 134.3 253.4 144.7L442.9 458.9C449.4 469.7 449.7 483.2 443.6 494.2C437.5 505.2 426 512 413.5 512H34.46C21.1 512 10.5 505.2 4.404 494.2C-1.693 483.2-1.444 469.7 5.056 458.9L194.6 144.7C200.9 134.3 211.1 128 224 128H223.1zM174.1 352L222.1 288H283.8L223.1 188.9L150.4 310.8L174.1 352z"]],
    "mountain-sun": [640, 512, [], "e52f", ["M640 80C640 124.2 604.2 160 560 160C515.8 160 480 124.2 480 80C480 35.82 515.8 0 560 0C604.2 0 640 35.82 640 80z", "M55.91 512C25.03 512 0 486.1 0 456.1C0 445.6 2.964 435.3 8.551 426.4L225.3 81.01C231.9 70.42 243.5 64 256 64C268.5 64 280.1 70.42 286.8 81.01L412.7 281.7L460.9 202.7C464.1 196.1 472.2 192 480 192C487.8 192 495 196.1 499.1 202.7L631.1 419.1C636.9 428.6 640 439.7 640 450.9C640 484.6 612.6 512 578.9 512L55.91 512z"]],
    "mountains": [640, 512, [9968], "f6fd", ["M412.7 249.7L460.9 170.7C464.1 164.1 472.2 160 480 160C487.8 160 495 164.1 499.1 170.7L631.1 387.1C636.9 396.6 640 407.7 640 418.9C640 452.6 612.6 480 578.9 480H456.1C486.1 480 512 454.1 512 424.1C512 413.6 509 403.3 503.4 394.4L412.7 249.7z", "M0 424.1C0 413.6 2.964 403.3 8.551 394.4L225.3 49.01C231.9 38.42 243.5 32 256 32C268.5 32 280.1 38.42 286.8 49.01L503.4 394.4C509 403.3 512 413.6 512 424.1C512 454.1 486.1 480 456.1 480H55.91C25.03 480 .001 454.1 .001 424.1H0z"]],
    "mouse-field": [512, 512, [], "e5a8", ["M272 88C272 65.91 289.9 48 312 48C334.1 48 352 65.91 352 88V112C352 120.8 344.8 128 336 128H312C289.9 128 272 110.1 272 88z", "M424.8 119.5C429.5 107.2 432 93.9 432 80C432 48.79 419.2 20.56 398.6 .2464C444.1 3.638 480 41.63 480 88C480 107.7 473.5 125.8 462.6 140.5C492.7 164.5 512 201.4 512 242.9C512 258.1 498.1 272 482.9 272H380.1C378.1 272 376.1 271.9 374.1 271.8L350.3 335.3L394 351.2C407.2 355.1 416 368.5 416 382.6C416 401 401 416 382.6 416H72C58.75 416 48 426.7 48 440C48 453.3 58.75 464 72 464H456C469.3 464 480 474.7 480 488C480 501.3 469.3 512 456 512H72C32.24 512 0 479.8 0 440C0 400.2 32.24 368 72 368H103.5C98.69 357.5 96 345.9 96 333.6C96 240.4 169.5 164.3 261.6 160.2C238.9 144.3 224 117.9 224 88C224 39.4 263.4 0 312 0C360.6 0 400 39.4 400 88C400 96.64 398.8 104.1 396.4 112.9C406.3 114 415.8 116.3 424.8 119.5V119.5zM420 176C408.1 176 400 184.1 400 196C400 207 408.1 216 420 216C431 216 440 207 440 196C440 184.1 431 176 420 176zM312 48C289.9 48 272 65.91 272 88C272 110.1 289.9 128 312 128H336C344.8 128 352 120.8 352 112V88C352 65.91 334.1 48 312 48z"]],
    "mp3-player": [384, 512, [], "f8ce", ["M336 0h-288C21.5 0 0 21.5 0 48v416C0 490.5 21.5 512 48 512h288c26.5 0 48-21.5 48-48v-416C384 21.5 362.5 0 336 0zM192 448c-53 0-96-43-96-96s43-96 96-96s96 43 96 96S245 448 192 448zM320 192H64V64h256V192z", "M64 64v128h256V64H64zM192 256c-53 0-96 43-96 96s43 96 96 96s96-43 96-96S245 256 192 256zM192 384c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S209.6 384 192 384z"]],
    "mug": [576, 512, [], "f874", ["M416 128V64h32c70.75 0 128 57.25 128 128s-57.25 128-128 128h-32V256h32c35.38 0 64-28.62 64-64s-28.62-64-64-64H416z", "M416 352c0 53-43 96-96 96H128c-53 0-96-43-96-96V88C32 72.98 44.42 64 56 64H416V352z"]],
    "mug-hot": [512, 512, [9749], "f7b6", ["M132.1 59.27C119.7 52.03 112 38.63 112 24.28c0-13.25-10.75-24.14-24-24.14S64 11.03 64 24.28c0 31.34 16.83 60.64 43.91 76.45C120.3 107.1 128 121.4 128 136c0 13.25 10.75 23.89 24 23.89S176 148.1 176 135.7C176 104.4 159.2 75.08 132.1 59.27zM244.1 59.27C231.7 52.03 224 38.63 224 24.28c0-13.25-10.75-24.18-24-24.18S176 11.03 176 24.28c0 31.34 16.83 60.64 43.91 76.45C232.3 107.1 240 121.4 240 136c0 13.25 10.75 23.86 24 23.86S288 148.1 288 135.7C288 104.4 271.2 75.08 244.1 59.27z", "M400 192H32C14.25 192 0 206.3 0 224v192c0 53 43 96 96 96h192c53 0 96-43 96-96h16c61.75 0 112-50.25 112-112S461.8 192 400 192zM400 352H384V256h16C426.5 256 448 277.5 448 304S426.5 352 400 352z"]],
    "mug-marshmallows": [512, 512, [], "f7b7", ["M200.9 44.75C195 37.5 186.4 32.38 176.3 32.38H64c-17.75 0-32 14.38-32 32v63.81l130.1 .0625c-5.5-21-.25-44.5 16.38-61L200.9 44.75zM343.3 89.75l-48.5-48.38c-12.5-12.5-32.75-12.5-45.25 0L201 89.75c-10.38 10.5-11.5 26.38-4.25 38.63h151C354.9 116.1 353.8 100.3 343.3 89.75zM96 223.8c0 17.67 14.33 32 32 32c17.67 0 32-14.33 32-32v-63.67H96V223.8z", "M400 160.1L160 160.2v63.67c0 17.75-14.25 32-32 32s-32-14.25-32-32v-63.67L32 160.1c-17.75 0-32 14.38-32 32v191.9C0 437 43 480 96 480h192c53 0 96-42.95 96-95.95l16 .0125c61.75 0 112-50.31 112-111.9C512 210.4 461.8 160.1 400 160.1zM400 320.3H384v-96h16c26.5 0 48 21.5 48 48C448 298.6 426.5 320.3 400 320.3z"]],
    "mug-saucer": [640, 512, ["coffee"], "f0f4", ["M560 416h-544C7.164 416 0 423.2 0 432C0 458.5 21.49 480 48 480h480c26.51 0 48-21.49 48-48C576 423.2 568.8 416 560 416z", "M512 32H120c-13.25 0-24 10.75-24 24L96.01 288c0 53 43 96 96 96h192C437 384 480 341 480 288h32c70.63 0 128-57.38 128-128S582.6 32 512 32zM512 224h-32V96h32c35.25 0 64 28.75 64 64S547.3 224 512 224z"]],
    "mug-tea": [576, 512, [], "f875", ["M447.1 64H416l-.002 64h32c35.38 0 64 28.62 64 64s-28.62 64-64 64H415.1L416 320h31.1C518.7 320 576 262.8 576 192S518.7 64 447.1 64zM175.1 128V64H143.1v64L105.4 166.6c-6 6-9.375 14.13-9.375 22.63L95.1 256c0 17.62 14.38 32 32 32h64c17.62 0 32-14.38 32-32l-.0003-66.75c0-8.5-3.374-16.63-9.374-22.63L175.1 128z", "M416 64l-.0008 288c0 53-43 96-96 96H127.1c-53 0-96-43-96-96L31.1 88c0-15.02 12.42-24 24-24h88v64L105.4 166.6c-6 6-9.375 14.13-9.375 22.63L95.1 256c0 17.62 14.38 32 32 32h64c17.62 0 32-14.38 32-32l-.0003-66.75c0-8.5-3.374-16.63-9.374-22.63L175.1 128V64H416z"]],
    "mug-tea-saucer": [640, 512, [], "e1f5", ["M563.6 416H12.36c-25 0-11.63 64 36 64h479.5C575.5 480 588.6 416 563.6 416zM191.1 256h64c17.63 0 32-14.38 32-32L287.1 157.3c0-8.5-3.374-16.63-9.374-22.63L239.1 96V32H207.1v64L169.4 134.6c-6 6-9.375 14.13-9.375 22.63L159.1 224C159.1 241.6 174.4 256 191.1 256z", "M511.1 32H239.1v64l38.63 38.63c6 6 9.374 14.13 9.374 22.63L287.1 224c0 17.62-14.37 32-32 32h-64C174.4 256 159.1 241.6 159.1 224L159.1 157.3c0-8.5 3.375-16.63 9.375-22.63L207.1 96V32H119.1c-6.375 0-12.5 2.5-17 7C98.49 43.5 95.99 49.63 95.99 56L95.1 288c0 53 42.1 96 96 96h192c53 0 96-43 96-96h31.1c70.75 0 128-57.25 128-128S582.7 32 511.1 32zM511.1 224h-31.1l-.0012-128h32c35.38 0 64 28.62 64 64S547.4 224 511.1 224z"]],
    "mushroom": [512, 512, [127812], "e425", ["M304.3 96c0-25.45-12.17-47.85-30.78-62.5C267.6 33.06 261.9 32 256 32C219.8 32 185.6 40.91 154.7 55.79C147.7 67.65 143.4 81.27 143.4 96c0 44.18 36.01 80 80.43 80S304.3 140.2 304.3 96zM127.3 192C109.5 192 95.14 206.3 95.14 224c0 17.67 14.4 32 32.17 32c17.77 0 32.17-14.33 32.17-32C159.5 206.3 145.1 192 127.3 192zM484.2 214.1c-7.045-31.54-20.93-59.89-38.1-84.86C441.2 128.5 437.2 128 432.9 128c-35.54 0-64.34 28.65-64.34 64c0 35.35 28.81 64 64.34 64c22.73 0 42.6-11.79 54.05-29.49L484.2 214.1zM191.7 320l-24.48 121.7C163.2 461.5 178.4 480 198.7 480h114.5c20.3 0 35.53-18.47 31.55-38.28L320.3 320H191.7z", "M490.5 242l-3.471-15.53c-14.25 22.03-41.55 34.9-71.17 27.28c-22.66-5.83-40.88-24.95-45.74-47.83C361.3 164.5 392.8 128 432.9 128c4.203 0 8.295 .4648 12.28 1.23c-39.59-54.71-101.7-90.48-171.7-95.73c24.14 19 37.44 51.04 27.42 85.84c-7.48 25.97-29.02 46.91-55.16 53.78C191.9 187.3 143.4 147.3 143.4 96c0-14.73 4.285-28.35 11.27-40.21C91.88 85.99 43.7 142.8 27.78 214.1L21.53 242C12.6 282 43.02 320 83.99 320h344C468.1 320 499.4 282 490.5 242zM127.3 256C109.5 256 95.14 241.7 95.14 224c0-17.67 14.4-32 32.17-32c17.77 0 32.17 14.33 32.17 32C159.5 241.7 145.1 256 127.3 256z"]],
    "music": [512, 512, [127925], "f001", ["M192 224V83.69l256-75.6v140.9L192 224z", "M480 0c-2.719 0-7.031 .6615-9.625 1.49L448 8.092v284.8c-10.05-2.979-20.72-4.898-32.01-4.898c-53.02 0-95.1 35.82-95.1 79.1c0 44.18 42.98 79.1 95.1 79.1s95.1-35.82 95.1-80L512 31.99C511.1 14.34 497.7 0 480 0zM128 126.5v230.4c-10.05-2.979-20.72-4.898-32-4.898C42.98 352 0 387.8 0 432C0 476.2 42.98 512 95.1 512s95.1-35.77 95.1-79.95L192 83.69L150.4 95.97C138.1 99.87 128 113.5 128 126.5z"]],
    "music-note": [384, 512, ["music-alt"], "f8cf", ["M256 148.1V17.55l55-16.22c9.625-2.875 20.12-1.001 28.12 5.001C347.3 12.32 352 21.84 352 31.96V95.96c0 14.25-9.375 26.75-23 30.75L256 148.1z", "M256 431.1C256 476.1 205.9 512 144 512S32 476.1 32 431.1s50.13-80.01 112-80.01c16.38 0 32.5 2.75 48 8V60.33c0-14 9.125-26.38 22.38-30.5L256 17.55V431.1z"]],
    "music-note-slash": [640, 512, ["music-alt-slash"], "f8d0", ["M467.1 6.325c-7.1-6.002-18.5-7.877-28.12-5.002l-96.62 28.5c-13.25 4.125-22.37 16.5-22.37 30.5v165.2l63.1 50.16v-127.6l72.1-21.38c13.62-3.1 22.1-16.5 22.1-30.75l.0004-63.99C479.1 21.84 475.2 12.32 467.1 6.325zM271.1 351.1c-61.86 0-111.1 35.82-111.1 80s50.14 79.1 111.1 79.1s111.1-35.82 111.1-79.1S333.9 351.1 271.1 351.1z", "M630.8 469.1L38.81 5.111C34.41 1.674 29.19 .0006 24.03 .0006c-7.125 0-14.19 3.157-18.91 9.188c-8.187 10.44-6.37 25.53 4.068 33.7L601.2 506.9c10.5 8.203 25.57 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1z"]],
    "music-slash": [640, 512, [], "f8d1", ["M191.1 356.9c-10.05-2.978-20.72-4.895-32.01-4.895c-53.02 0-95.1 35.82-95.1 79.1c0 44.18 42.98 79.1 95.1 79.1s95.1-35.77 95.1-79.95l.0268-134.8L191.1 247.2V356.9zM543.1 0c-2.719 0-7.031 .6615-9.625 1.49L214.4 95.97c-11.98 3.775-21.62 16.75-22.2 29.36l108.1 85.42l210.8-61.76V292.9c-10.05-2.978-20.72-4.895-32.01-4.895c-22.15 0-42.23 6.574-58.42 17.11l137.1 107.5c10.58-12.76 17.33-27.86 17.33-44.57l.0004-336C575.1 14.34 561.7 0 543.1 0z", "M634.9 502.8c-8.125 10.41-23.19 12.28-33.69 4.078L9.189 42.89c-10.44-8.172-12.26-23.27-4.068-33.7C9.84 3.156 16.91 0 24.03 0c5.156 0 10.37 1.672 14.78 5.109l591.1 463.1C641.2 477.3 643.1 492.4 634.9 502.8z"]],
    "n": [384, 512, [110], "4e", ["M384 64.01v384c0 13.47-8.438 25.5-21.09 30.09C359.3 479.4 355.7 480 352 480c-9.312 0-18.38-4.078-24.59-11.52L64 152.4v295.6c0 17.67-14.31 32-32 32s-32-14.33-32-32v-384c0-13.47 8.438-25.5 21.09-30.09c12.62-4.516 26.84-.75 35.5 9.609L320 359.6v-295.6c0-17.67 14.31-32 32-32S384 46.34 384 64.01z", ""]],
    "naira-sign": [448, 512, [], "e1f6", ["M64 320H32C14.33 320 0 305.7 0 288C0 270.3 14.33 256 32 256H64V320zM128 256H185.5L228.2 320H128V256zM320 256V320H305.1L262.5 256H320zM416 256C433.7 256 448 270.3 448 288C448 305.7 433.7 320 416 320H384V256H416z", "M86.73 33.37C100.2 29.29 114.8 34.52 122.6 46.25L320 342.3V64C320 46.33 334.3 32 352 32C369.7 32 384 46.33 384 64V448C384 462.1 374.8 474.5 361.3 478.6C347.8 482.7 333.2 477.5 325.4 465.8L128 169.7V448C128 465.7 113.7 480 96 480C78.33 480 64 465.7 64 448V64C64 49.9 73.23 37.46 86.73 33.37V33.37z"]],
    "narwhal": [640, 512, [], "f6fe", ["M464 159.1c-72.28 0-142.2 25.84-197.1 72.85l-112.5 96.35C144 338.1 128 330.7 128 317V282.1L177.8 251.6C186.6 245.7 192 235.7 192 224.1V143.1c0-12.75-14.21-20.36-24.82-13.29l-71.17 47.4L24.88 130.7C14.24 123.7 0 131.3 0 144.1v80.93C.002 235.7 5.375 245.7 14.25 251.6L64 282.1v69.88C64 440.4 135.6 512 224 512h240c97.2 0 176-78.8 176-176S561.2 159.1 464 159.1zM504 319.1c-13.25 0-24-10.75-24-24c0-13.26 10.75-24 24-24s24 10.74 24 24C528 309.3 517.3 319.1 504 319.1z", "M504 271.1c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24s24-10.75 24-24C528 282.7 517.3 271.1 504 271.1zM622.6 0c-6.012-.0195-11.61 3.059-14.81 8.148l-99.31 157.7c-.0059-.002 .0059 .002 0 0c31.82 8.301 60.11 25.16 82.23 48.14l48.75-192.3C642.2 10.73 633.1 .0371 622.6 0z"]],
    "nesting-dolls": [640, 512, [], "e3ba", ["M191.9 0c-61.86 0-112 50.14-112 112V224h224V112C303.9 50.14 253.8 0 191.9 0zM191.9 160c-35.35 0-64-28.65-64-64c0-1.107 .2715-2.141 .3262-3.234c26.61-.1133 49.98-13.76 63.67-34.41c13.7 20.65 37.06 34.29 63.67 34.41C255.6 93.86 255.9 94.89 255.9 96C255.9 131.3 227.2 160 191.9 160zM463.9 308.9C446.8 334.9 417.4 352 383.9 352c0 44.18 35.83 80 80.02 80c44.2 0 80.02-35.82 80.02-80C510.5 352 481.1 334.9 463.9 308.9z", "M303.9 352c0-36.16 12.52-69.18 32.83-96H39.72c-4.387 11.3-9.455 22.29-15.33 32.73C7.949 317.7-31.74 423.4 48.74 512h199.1l14.4-19.2C289.1 457 303.9 412.7 303.9 368V352zM591.1 368V352c0-70.69-57.32-128-128-128c-70.71 0-128 57.31-128 128v16c0 51.93-16.85 102.5-48.01 144H640C608.8 470.5 591.1 419.9 591.1 368zM463.9 432c-44.2 0-80.02-35.82-80.02-80c33.44 0 62.83-17.13 80.02-43.05C481.1 334.9 510.5 352 543.1 352C543.1 396.2 508.1 432 463.9 432z"]],
    "network-wired": [640, 512, [], "f6ff", ["M352 224H608C625.7 224 640 238.3 640 256C640 273.7 625.7 288 608 288H512V320H448V288H192V320H128V288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H288V192H352V224z", "M400 0C426.5 0 448 21.49 448 48V144C448 170.5 426.5 192 400 192H240C213.5 192 192 170.5 192 144V48C192 21.49 213.5 0 240 0H400zM256 64V128H384V64H256zM240 320C266.5 320 288 341.5 288 368V464C288 490.5 266.5 512 240 512H80C53.49 512 32 490.5 32 464V368C32 341.5 53.49 320 80 320H240zM96 384V448H224V384H96zM352 368C352 341.5 373.5 320 400 320H560C586.5 320 608 341.5 608 368V464C608 490.5 586.5 512 560 512H400C373.5 512 352 490.5 352 464V368zM544 448V384H416V448H544z"]],
    "neuter": [384, 512, [9906], "f22c", ["M256 176c0 35.29-28.71 64-64 64c-35.29 0-64-28.71-64-64c0-35.29 28.71-64 64-64C227.3 112 256 140.7 256 176z", "M368 176c0-97.2-78.8-176-176-176c-97.2 0-176 78.8-176 176c0 86.26 62.1 157.9 144 172.1V496C160 504.8 167.2 512 176 512h32c8.838 0 16-7.164 16-16v-147C305.9 333.9 368 262.3 368 176zM192 272c-52.93 0-96-43.07-96-96c0-52.94 43.07-95.1 96-95.1c52.94 0 96 43.06 96 95.1C288 228.9 244.9 272 192 272z"]],
    "newspaper": [512, 512, [128240], "f1ea", ["M480 32H128C110.3 32 96 46.33 96 64v368C96 458.5 74.51 480 48 480H448c35.35 0 64-28.65 64-64V64C512 46.33 497.7 32 480 32zM272 416h-96C167.2 416 160 408.8 160 400C160 391.2 167.2 384 176 384h96c8.836 0 16 7.162 16 16C288 408.8 280.8 416 272 416zM272 320h-96C167.2 320 160 312.8 160 304C160 295.2 167.2 288 176 288h96C280.8 288 288 295.2 288 304C288 312.8 280.8 320 272 320zM432 416h-96c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16h96c8.836 0 16 7.162 16 16C448 408.8 440.8 416 432 416zM432 320h-96C327.2 320 320 312.8 320 304C320 295.2 327.2 288 336 288h96C440.8 288 448 295.2 448 304C448 312.8 440.8 320 432 320zM448 208C448 216.8 440.8 224 432 224h-256C167.2 224 160 216.8 160 208v-96C160 103.2 167.2 96 176 96h256C440.8 96 448 103.2 448 112V208z", "M0 128v304C0 458.5 21.49 480 48 480S96 458.5 96 432V96H32C14.33 96 0 110.3 0 128zM272 288h-96C167.2 288 160 295.2 160 304C160 312.8 167.2 320 176 320h96c8.836 0 16-7.164 16-16C288 295.2 280.8 288 272 288zM336 320h96c8.836 0 16-7.164 16-16C448 295.2 440.8 288 432 288h-96C327.2 288 320 295.2 320 304C320 312.8 327.2 320 336 320zM272 384h-96C167.2 384 160 391.2 160 400C160 408.8 167.2 416 176 416h96c8.836 0 16-7.164 16-16C288 391.2 280.8 384 272 384zM432 384h-96c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16h96c8.836 0 16-7.164 16-16C448 391.2 440.8 384 432 384z"]],
    "nfc": [448, 512, [], "e1f7", ["M352 384H96V128h112v82.94C189.4 217.6 176 235.1 176 256c0 26.51 21.49 48 48 48s48-21.49 48-48c0-20.87-13.4-38.45-32-45.06V128H352V384z", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM384 384c0 17.64-14.36 32-32 32H96c-17.64 0-32-14.36-32-32V128c0-17.64 14.36-32 32-32h48C152.8 96 160 103.2 160 112S152.8 128 144 128h64V112C208 103.2 215.2 96 224 96h128c17.64 0 32 14.36 32 32V384z"]],
    "nfc-lock": [576, 512, [], "e1f8", ["M448 96v48c-23.82 0-45.83 7.602-64 20.33V128c0-17.64-14.36-32-32-32H224C215.2 96 208 103.2 208 112v98.94C189.4 217.6 176 235.1 176 256c0 26.51 21.49 48 48 48S272 282.5 272 256c0-20.87-13.4-38.45-32-45.06V128H352v71.22C342.1 215.9 336 235.2 336 256v38.68C307.8 307 288 335.3 288 368V384H96V128h48C152.8 128 160 120.8 160 112S152.8 96 144 96H96C78.36 96 64 110.4 64 128v256c0 17.64 14.36 32 32 32h192v48c0 5.479 .5645 10.83 1.619 16H64c-35.35 0-64-28.65-64-64V96c0-35.35 28.65-64 64-64h320C419.3 32 448 60.65 448 96z", "M528 320V256c0-44.11-35.89-80-80-80S368 211.9 368 256v64c-26.51 0-48 21.49-48 48v96c0 26.51 21.49 48 48 48h160c26.51 0 48-21.49 48-48v-96C576 341.5 554.5 320 528 320zM448 448c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32s32 14.33 32 32C480 433.7 465.7 448 448 448zM480 320h-64V256c0-17.64 14.36-32 32-32s32 14.36 32 32V320z"]],
    "nfc-magnifying-glass": [640, 512, [], "e1f9", ["M384 173.5V128c0-17.64-14.36-32-32-32H224C215.2 96 208 103.2 208 112v98.94C189.4 217.6 176 235.1 176 256c0 26.51 21.49 48 48 48S272 282.5 272 256c0-20.87-13.4-38.45-32-45.06V128H352v64.72C313.4 221.9 288 267.8 288 320c0 22.79 4.92 44.38 13.51 64H96V128h48C152.8 128 160 120.8 160 112S152.8 96 144 96H96C78.36 96 64 110.4 64 128v256c0 17.64 14.36 32 32 32h224.7c21.51 28.47 52.17 49.38 87.77 58.49C400.9 477.7 392.8 480 384 480H64c-35.35 0-64-28.65-64-64V96c0-35.35 28.65-64 64-64h320c35.35 0 64 28.65 64 64v64C425.2 160 403.6 164.9 384 173.5z", "M630.6 457.4l-72.73-72.73C569.1 365.6 576 343.7 576 320c0-70.69-57.31-128-128-128c-70.69 0-128 57.31-128 128c0 70.69 57.31 128 128 128c23.7 0 45.61-6.879 64.65-18.1l72.73 72.73C591.6 508.9 599.8 512 608 512s16.38-3.125 22.62-9.375C643.1 490.1 643.1 469.9 630.6 457.4zM448 384c-35.29 0-64-28.71-64-64s28.71-64 64-64c35.29 0 64 28.71 64 64S483.3 384 448 384z"]],
    "nfc-pen": [576, 512, [], "e1fa", ["M64 384V128c0-17.64 14.36-32 32-32h48C152.8 96 160 103.2 160 112S152.8 128 144 128H96v256h202.7L352 330.8V128H240v82.94C258.6 217.6 272 235.1 272 256c0 26.51-21.49 48-48 48S176 282.5 176 256c0-20.87 13.4-38.45 32-45.06V112C208 103.2 215.2 96 224 96h128c17.64 0 32 14.36 32 32v170.8l64-64V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h195.8l11.32-56.56C271.6 420.8 272.9 418.5 273.8 416H96C78.36 416 64 401.6 64 384z", "M307.4 420.6c-2.5 2.521-4.209 5.729-4.918 9.208l-14.29 71.42c-1.25 6.291 4.335 11.83 10.59 10.58l71.45-14.29c3.459-.6875 6.675-2.396 9.175-4.917l125.3-125.3l-72-72L307.4 420.6zM565.5 255.7l-21.09-21.1c-14.08-14.06-36.87-14.06-50.92 0l-38.12 38.15l72 72l38.12-38.13C579.5 292.5 579.5 269.7 565.5 255.7z"]],
    "nfc-signal": [512, 512, [], "e1fb", ["M144 128H96v256h149.4C267.3 333.1 304.1 290.6 352 262.2V128H240v82.94c18.6 6.611 32 24.19 32 45.06c0 26.51-21.49 48-48 48S176 282.5 176 256c0-20.87 13.4-38.45 32-45.06V112C208 103.2 215.2 96 224 96h128c17.64 0 32 14.36 32 32v117.4c20.15-8.672 41.65-14.64 64-18.06V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h160.4c.668-22.12 4.02-43.55 9.83-64H96c-17.64 0-32-14.36-32-32V128c0-17.64 14.36-32 32-32h48C152.8 96 160 103.2 160 112S152.8 128 144 128z", "M488 304C501.3 304 512 293.3 512 280S501.3 256 488 256C360.1 256 256 360.1 256 488c0 13.25 10.75 24 24 24s24-10.75 24-24C304 386.5 386.5 304 488 304zM457.4 457.4c-12.5 12.5-12.5 32.76 0 45.25c12.5 12.5 32.76 12.5 45.25 0c12.5-12.5 12.5-32.76 0-45.25C490.1 444.9 469.9 444.9 457.4 457.4zM488 352C413 352 352 413 352 488c0 13.25 10.75 24 24 24s24-10.75 24-24c0-48.53 39.47-88 88-88c13.25 0 24-10.75 24-24S501.3 352 488 352z"]],
    "nfc-slash": [640, 512, [], "e1fc", ["M448 325.8V128h-112v82.94c18.6 6.611 32 24.19 32 45.06c0 2.262-.3633 4.424-.666 6.602L448 325.8zM192 416c-17.64 0-32-14.36-32-32V222.1L96 171.9V416c0 35.35 28.65 64 64 64h320c2.746 0 5.361-.4727 8.018-.8086L407.4 416H192zM192 384h174.6L192 247.2V384zM480 32H160C138.4 32 119.4 42.78 107.8 59.18l60.68 47.56C174.3 100.3 182.6 96 192 96h48C248.8 96 256 103.2 256 112S248.8 128 240 128H195.6l106.9 83.75C303 211.5 303.4 211.1 304 210.9V112C304 103.2 311.2 96 320 96h128c17.64 0 32 14.36 32 32v222.9l64 50.16V96C544 60.65 515.3 32 480 32z", "M630.8 469.1l-592-463.1c-10.47-8.172-25.5-6.359-33.7 4.078C-3.062 19.63-1.234 34.72 9.188 42.89l592 463.1C605.6 510.3 610.8 512 615.1 512c7.125 0 14.17-3.156 18.91-9.188C643.1 492.4 641.2 477.3 630.8 469.1z"]],
    "nfc-symbol": [512, 512, [], "e531", ["M386.3 475.7C374.3 482.6 359.2 481.1 348.9 471.8L170.6 311.8C157.5 300 156.4 279.8 168.2 266.6C179.1 253.5 200.2 252.4 213.4 264.2L373.2 407.7C418.5 373.2 447.1 317.4 447.1 256C447.1 186.4 410.1 124 354.3 91.7C338.1 82.86 333.7 63.28 342.6 47.98C351.4 32.68 371 27.46 386.3 36.31C461.6 79.89 511.1 163.2 511.1 256C511.1 348.8 461.6 432.1 386.3 475.7L386.3 475.7z", "M125.7 36.32C137.7 29.38 152.8 30.95 163.1 40.2L341.4 200.2C354.5 211.1 355.6 232.2 343.8 245.4C332 258.5 311.8 259.6 298.6 247.8L138.8 104.4C93.49 138.8 64 194.6 64 256C64 325.7 101.9 388 157.7 420.3C173 429.2 178.3 448.7 169.4 464C160.6 479.3 140.1 484.6 125.7 475.7C50.35 432.1 0 348.8 0 256C0 163.2 50.35 79.9 125.7 36.32V36.32z"]],
    "nfc-trash": [640, 512, [], "e1fd", ["M352 416H96c-17.64 0-32-14.36-32-32V128c0-17.64 14.36-32 32-32h48C152.8 96 160 103.2 160 112S152.8 128 144 128H96v256h256V128H240v82.94C258.6 217.6 272 235.1 272 256c0 26.51-21.49 48-48 48S176 282.5 176 256c0-20.87 13.4-38.45 32-45.06V112C208 103.2 215.2 96 224 96h128c17.64 0 32 14.36 32 32v66.95C389 193.2 394.4 192 400 192h17.89l2.771-6.219C426.4 174.4 436.3 166.2 448 162.5V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h316.8l-4.719-75.5C370.2 411.4 361.7 416 352 416z", "M412.9 481.1C413.1 498.1 428.8 512 445.8 512h132.5c17.02 0 31.81-13.9 32.88-30.89L623.2 288h-222.4L412.9 481.1zM624 224h-38.67l-10.61-23.89C572.2 195.1 567.2 192 561.6 192h-99.2c-5.557 0-10.63 3.139-13.12 8.105L438.7 224H400C391.2 224 384 231.2 384 240C384 248.8 391.2 256 400 256h224C632.8 256 640 248.8 640 240C640 231.2 632.8 224 624 224z"]],
    "not-equal": [448, 512, [], "f53e", ["M400 304h-169.6l-42.67 64H400c17.69 0 32-14.32 32-32.01S417.7 304 400 304zM48 208h169.5l42.67-64H48c-17.69 0-32 14.31-32 31.99S30.31 208 48 208zM432 176c0-17.69-14.31-31.99-32-31.99h-62.89l-42.67 64H400C417.7 208 432 193.7 432 176zM16 336c0 17.69 14.31 32.01 32 32.01h62.87l42.67-64H48C30.31 304 16 318.3 16 336z", "M122.6 465.7C116.5 475 106.3 480 95.97 480c-6.093 0-12.25-1.75-17.72-5.375c-14.72-9.813-18.69-29.66-8.875-44.38l255.1-384c9.781-14.69 29.62-18.66 44.37-8.875c14.72 9.813 18.69 29.66 8.875 44.38L122.6 465.7z"]],
    "notdef": [384, 512, [], "e1fe", ["M64 390.3L153.5 256L64 121.7V64h38.46L192 198.3L281.5 64H320v57.69L230.5 256L320 390.3V448h-38.46L192 313.7L102.5 448H64V390.3z", "M336 0h-288C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48v-416C384 21.49 362.5 0 336 0zM320 448H64V64h256V448z"]],
    "note": [448, 512, [], "e1ff", ["M400 31.1h-352c-26.51 0-48 21.49-48 48v352C0 458.5 21.49 480 48 480H320v-128h128v-272C448 53.49 426.5 31.1 400 31.1z", "M448 352l-128 128v-128H448z"]],
    "note-medical": [448, 512, [], "e200", ["M400 32h-352C21.49 32 0 53.49 0 80v352C0 458.5 21.49 480 48 480H320v-128h128V80C448 53.49 426.5 32 400 32zM320 248C320 252.4 316.4 256 312 256L256 255.1V312C256 316.4 252.4 320 248 320h-48C195.6 320 192 316.4 192 312V255.1L136 256C131.6 256 128 252.4 128 248v-48C128 195.6 131.6 192 136 192H192V136C192 131.6 195.6 128 200 128h48C252.4 128 256 131.6 256 136V192h56C316.4 192 320 195.6 320 200V248z", "M320 352v128l128-128H320zM320 200C320 195.6 316.4 192 312 192H256V136C256 131.6 252.4 128 248 128h-48C195.6 128 192 131.6 192 136V192H136C131.6 192 128 195.6 128 200v48C128 252.4 131.6 256 136 256L192 255.1V312C192 316.4 195.6 320 200 320h48C252.4 320 256 316.4 256 312V255.1L312 256C316.4 256 320 252.4 320 248V200z"]],
    "note-sticky": [448, 512, [62026, "sticky-note"], "f249", ["M448 80V320h-64L384 96H64v320h224v64H48C21.49 480 0 458.5 0 432v-352C0 53.49 21.49 32 48 32h352C426.5 32 448 53.49 448 80z", "M448 320v5.49c0 16.97-6.742 33.25-18.75 45.25l-90.51 90.51C326.7 473.3 310.5 480 293.5 480H288v-128c0-17.67 14.33-32 32-32H448z"]],
    "notebook": [512, 512, [], "e201", ["M416 0H192v512h224c35.35 0 64-28.65 64-64V64C480 28.65 451.3 0 416 0z", "M192 0v512H128c-35.35 0-64-28.65-64-64v-40H24C10.75 408 0 397.3 0 384c0-13.26 10.75-24 24-24H64v-80H24C10.75 280 0 269.3 0 256c0-13.26 10.75-24 24-24H64v-80H24C10.75 152 0 141.3 0 128c0-13.26 10.75-24 24-24H64V64c0-35.35 28.65-64 64-64H192z"]],
    "notes": [512, 512, [], "e202", ["M432 95.1h-288c-26.51 0-48 21.49-48 47.1v288C96 458.5 117.5 480 144 480H384v-96h96V143.1C480 117.5 458.5 95.1 432 95.1z", "M384 384v96l96-96H384zM0 360v-240C0 53.83 53.83 0 120 0h240C373.3 0 384 10.75 384 24S373.3 48 360 48h-240C80.3 48 48 80.3 48 120v240C48 373.3 37.25 384 24 384S0 373.3 0 360z"]],
    "notes-medical": [512, 512, [], "f481", ["M432 96h-288C117.5 96 96 117.5 96 144v288C96 458.5 117.5 480 144 480H384l96-96V144C480 117.5 458.5 96 432 96zM384 312C384 316.4 380.4 320 376 320H320v56c0 4.375-3.625 8-8 8h-48C259.6 384 256 380.4 256 376V320H200C195.6 320 192 316.4 192 312v-48C192 259.6 195.6 256 200 256H256V200C256 195.6 259.6 192 264 192h48C316.4 192 320 195.6 320 200V256h56C380.4 256 384 259.6 384 264V312z", "M376 256H320V200C320 195.6 316.4 192 312 192h-48C259.6 192 256 195.6 256 200V256H200C195.6 256 192 259.6 192 264v48C192 316.4 195.6 320 200 320H256v56c0 4.375 3.625 8 8 8h48c4.375 0 8-3.625 8-8V320h56C380.4 320 384 316.4 384 312v-48C384 259.6 380.4 256 376 256zM0 360v-240C0 53.83 53.83 0 120 0h240C373.3 0 384 10.75 384 24S373.3 48 360 48h-240C80.3 48 48 80.3 48 120v240C48 373.3 37.25 384 24 384S0 373.3 0 360z"]],
    "o": [448, 512, [111], "4f", ["M224 32.01c-123.5 0-224 100.5-224 224s100.5 224 224 224s224-100.5 224-224S347.5 32.01 224 32.01zM224 416c-88.22 0-160-71.78-160-160s71.78-159.1 160-159.1s160 71.78 160 159.1S312.2 416 224 416z", ""]],
    "object-exclude": [512, 512, [], "e49c", ["M352 160V288C352 323.3 323.3 352 288 352H160V224C160 188.7 188.7 160 224 160H352zM304 208H208V304H304V208z", "M288 0C323.3 0 352 28.65 352 64V160H448C483.3 160 512 188.7 512 224V448C512 483.3 483.3 512 448 512H224C188.7 512 160 483.3 160 448V352H64C28.65 352 0 323.3 0 288V64C0 28.65 28.65 0 64 0H288zM224 160C188.7 160 160 188.7 160 224V352H288C323.3 352 352 323.3 352 288V160H224z"]],
    "object-group": [576, 512, [], "f247", ["M64 0C87.69 0 108.4 12.87 119.4 32H456.6C467.6 12.87 488.3 0 512 0C547.3 0 576 28.65 576 64C576 87.69 563.1 108.4 544 119.4V392.6C563.1 403.6 576 424.3 576 448C576 483.3 547.3 512 512 512C488.3 512 467.6 499.1 456.6 480H119.4C108.4 499.1 87.69 512 64 512C28.65 512 0 483.3 0 448C0 424.3 12.87 403.6 32 392.6V119.4C12.87 108.4 0 87.69 0 64C0 28.65 28.65 0 64 0V0zM480 392.6V119.4C470.3 113.8 462.2 105.7 456.6 95.1H119.4C113.8 105.7 105.7 113.8 95.1 119.4V392.6C105.7 398.2 113.8 406.3 119.4 416H456.6C462.2 406.3 470.3 398.2 480 392.6z", "M288 128C305.7 128 320 142.3 320 160V256C320 273.7 305.7 288 288 288H160C142.3 288 128 273.7 128 256V160C128 142.3 142.3 128 160 128H288zM256 352V320H288C323.3 320 352 291.3 352 256V224H416C433.7 224 448 238.3 448 256V352C448 369.7 433.7 384 416 384H288C270.3 384 256 369.7 256 352z"]],
    "object-intersect": [512, 512, [], "e49d", ["M64 352C28.65 352 0 323.3 0 288V64C0 28.65 28.65 0 64 0H288C323.3 0 352 28.65 352 64V160H448C483.3 160 512 188.7 512 224V448C512 483.3 483.3 512 448 512H224C188.7 512 160 483.3 160 448V352H64zM64 288H160V352H224V448H448V224H352V160H288V64H64V288z", "M160 224C160 188.7 188.7 160 224 160H352V288C352 323.3 323.3 352 288 352H160V224z"]],
    "object-subtract": [512, 512, [], "e49e", ["M64 352C28.65 352 0 323.3 0 288V64C0 28.65 28.65 0 64 0H288C323.3 0 352 28.65 352 64V288C352 323.3 323.3 352 288 352H64zM64 288H288V64H64V288z", "M224 512C188.7 512 160 483.3 160 448V352H288C323.3 352 352 323.3 352 288V160H448C483.3 160 512 188.7 512 224V448C512 483.3 483.3 512 448 512H224z"]],
    "object-ungroup": [640, 512, [], "f248", ["M608 392.6C627.1 403.6 640 424.3 640 448C640 483.3 611.3 512 576 512C552.3 512 531.6 499.1 520.6 480H311.4C300.4 499.1 279.7 512 256 512C220.7 512 192 483.3 192 448C192 424.3 204.9 403.6 224 392.6V352H288V392.6C297.7 398.2 305.8 406.3 311.4 416H520.6C526.2 406.3 534.3 398.2 544 392.6V279.4C534.3 273.8 526.2 265.7 520.6 256H474.5C469.1 240.6 459.9 227.1 448 216.4V192H520.6C531.6 172.9 552.3 160 576 160C611.3 160 640 188.7 640 224C640 247.7 627.1 268.4 608 279.4V392.6z", "M64 0C87.69 0 108.4 12.87 119.4 32H328.6C339.6 12.87 360.3 0 384 0C419.3 0 448 28.65 448 64C448 87.69 435.1 108.4 416 119.4V232.6C435.1 243.6 448 264.3 448 288C448 323.3 419.3 352 384 352C360.3 352 339.6 339.1 328.6 320H119.4C108.4 339.1 87.69 352 64 352C28.65 352 0 323.3 0 288C0 264.3 12.87 243.6 32 232.6V119.4C12.87 108.4 0 87.69 0 64C0 28.65 28.65 0 64 0V0zM328.6 96H119.4C113.8 105.7 105.7 113.8 95.1 119.4V232.6C105.7 238.2 113.8 246.3 119.4 256H328.6C334.2 246.3 342.3 238.2 352 232.6V119.4C342.3 113.8 334.2 105.7 328.6 96V96z"]],
    "object-union": [512, 512, [], "e49f", ["", "M288 0C323.3 0 352 28.65 352 64V160H448C483.3 160 512 188.7 512 224V448C512 483.3 483.3 512 448 512H224C188.7 512 160 483.3 160 448V352H64C28.65 352 0 323.3 0 288V64C0 28.65 28.65 0 64 0H288z"]],
    "objects-align-bottom": [512, 512, [], "e3bb", ["M112 384C85.49 384 64 362.5 64 336V48C64 21.49 85.49 0 112 0H176C202.5 0 224 21.49 224 48V336C224 362.5 202.5 384 176 384H112zM336 384C309.5 384 288 362.5 288 336V176C288 149.5 309.5 128 336 128H400C426.5 128 448 149.5 448 176V336C448 362.5 426.5 384 400 384H336z", "M24 464H488C501.3 464 512 474.7 512 488C512 501.3 501.3 512 488 512H24C10.75 512 0 501.3 0 488C0 474.7 10.75 464 24 464z"]],
    "objects-align-center-horizontal": [448, 512, [], "e3bc", ["M400 64C426.5 64 448 85.49 448 112V176C448 202.5 426.5 224 400 224H48C21.49 224 0 202.5 0 176V112C0 85.49 21.49 64 48 64H400zM336 288C362.5 288 384 309.5 384 336V400C384 426.5 362.5 448 336 448H112C85.49 448 64 426.5 64 400V336C64 309.5 85.49 288 112 288H336z", "M200 24C200 10.75 210.7 0 224 0C237.3 0 248 10.75 248 24V64H200V24zM200 288V224H248V288H200zM248 448V488C248 501.3 237.3 512 224 512C210.7 512 200 501.3 200 488V448H248z"]],
    "objects-align-center-vertical": [512, 512, [], "e3bd", ["M64 80C64 53.49 85.49 32 112 32H176C202.5 32 224 53.49 224 80V432C224 458.5 202.5 480 176 480H112C85.49 480 64 458.5 64 432V80zM288 144C288 117.5 309.5 96 336 96H400C426.5 96 448 117.5 448 144V368C448 394.5 426.5 416 400 416H336C309.5 416 288 394.5 288 368V144z", "M24 280C10.75 280 0 269.3 0 256C0 242.7 10.75 232 24 232H64V280H24zM288 280H224V232H288V280zM448 232H488C501.3 232 512 242.7 512 256C512 269.3 501.3 280 488 280H448V232z"]],
    "objects-align-left": [512, 512, [], "e3be", ["M128 112C128 85.49 149.5 64 176 64H464C490.5 64 512 85.49 512 112V176C512 202.5 490.5 224 464 224H176C149.5 224 128 202.5 128 176V112zM128 336C128 309.5 149.5 288 176 288H336C362.5 288 384 309.5 384 336V400C384 426.5 362.5 448 336 448H176C149.5 448 128 426.5 128 400V336z", "M48 24V488C48 501.3 37.25 512 24 512C10.75 512 0 501.3 0 488V24C0 10.75 10.75 0 24 0C37.25 0 48 10.75 48 24z"]],
    "objects-align-right": [512, 512, [], "e3bf", ["M384 176C384 202.5 362.5 224 336 224H48C21.49 224 0 202.5 0 176V112C0 85.49 21.49 64 48 64H336C362.5 64 384 85.49 384 112V176zM384 400C384 426.5 362.5 448 336 448H176C149.5 448 128 426.5 128 400V336C128 309.5 149.5 288 176 288H336C362.5 288 384 309.5 384 336V400z", "M488 0C501.3 0 512 10.75 512 24V488C512 501.3 501.3 512 488 512C474.7 512 464 501.3 464 488V24C464 10.75 474.7 0 488 0z"]],
    "objects-align-top": [512, 512, [], "e3c0", ["M176 128C202.5 128 224 149.5 224 176V464C224 490.5 202.5 512 176 512H112C85.49 512 64 490.5 64 464V176C64 149.5 85.49 128 112 128H176zM400 128C426.5 128 448 149.5 448 176V336C448 362.5 426.5 384 400 384H336C309.5 384 288 362.5 288 336V176C288 149.5 309.5 128 336 128H400z", "M0 24C0 10.75 10.75 0 24 0H488C501.3 0 512 10.75 512 24C512 37.25 501.3 48 488 48H24C10.75 48 0 37.25 0 24z"]],
    "objects-column": [448, 512, [], "e3c1", ["M400 32C426.5 32 448 53.49 448 80V112C448 138.5 426.5 160 400 160H304C277.5 160 256 138.5 256 112V80C256 53.49 277.5 32 304 32H400zM400 224C426.5 224 448 245.5 448 272V432C448 458.5 426.5 480 400 480H304C277.5 480 256 458.5 256 432V272C256 245.5 277.5 224 304 224H400z", "M144 32C170.5 32 192 53.49 192 80V240C192 266.5 170.5 288 144 288H48C21.49 288 0 266.5 0 240V80C0 53.49 21.49 32 48 32H144zM144 352C170.5 352 192 373.5 192 400V432C192 458.5 170.5 480 144 480H48C21.49 480 0 458.5 0 432V400C0 373.5 21.49 352 48 352H144z"]],
    "octagon": [512, 512, [128721], "f306", ["M320.5 .0667C339.6 .0667 357.9 7.652 371.4 21.16L490.8 140.6C504.3 154.1 511.9 172.4 511.9 191.5V320.5C511.9 339.6 504.3 357.9 490.8 371.4L371.4 490.8C357.9 504.3 339.6 511.9 320.5 511.9H191.5C172.4 511.9 154.1 504.3 140.6 490.8L21.15 371.4C7.652 357.9 .0666 339.6 .0666 320.5V191.5C.0666 172.4 7.652 154.1 21.15 140.6L140.6 21.15C154.1 7.652 172.4 .0664 191.5 .0664L320.5 .0667z", ""]],
    "octagon-check": [512, 512, [], "e426", ["M140.6 21.15C154.1 7.652 172.4 .0664 191.5 .0664H320.5C339.6 .0664 357.9 7.652 371.4 21.15L490.8 140.6C504.3 154.1 511.9 172.4 511.9 191.5V320.5C511.9 339.6 504.3 357.9 490.8 371.4L371.4 490.8C357.9 504.3 339.6 511.9 320.5 511.9H191.5C172.4 511.9 154.1 504.3 140.6 490.8L21.15 371.4C7.652 357.9 .0666 339.6 .0666 320.5V191.5C.0666 172.4 7.652 154.1 21.15 140.6L140.6 21.15zM368.1 208.1C378.3 199.6 378.3 184.4 368.1 175C359.6 165.7 344.4 165.7 335 175L224 286.1L176.1 239C167.6 229.7 152.4 229.7 143 239C133.7 248.4 133.7 263.6 143 272.1L207 336.1C216.4 346.3 231.6 346.3 240.1 336.1L368.1 208.1z", "M368.1 175C378.3 184.4 378.3 199.6 368.1 208.1L240.1 336.1C231.6 346.3 216.4 346.3 207 336.1L143 272.1C133.7 263.6 133.7 248.4 143 239C152.4 229.7 167.6 229.7 176.1 239L224 286.1L335 175C344.4 165.7 359.6 165.7 368.1 175V175z"]],
    "octagon-divide": [512, 512, [], "e203", ["M140.6 21.15C154.1 7.648 172.4 .0625 191.5 .0625H320.5C339.6 .0625 357.9 7.648 371.4 21.15L490.8 140.6C504.3 154.1 511.9 172.4 511.9 191.5V320.5C511.9 339.6 504.3 357.9 490.8 371.4L371.4 490.8C357.9 504.3 339.6 511.9 320.5 511.9H191.5C172.4 511.9 154.1 504.3 140.6 490.8L21.15 371.4C7.652 357.9 .0666 339.6 .0666 320.5V191.5C.0666 172.4 7.652 154.1 21.15 140.6L140.6 21.15zM256 191.1C273.7 191.1 288 177.7 288 159.1C288 142.3 273.7 127.1 256 127.1C238.3 127.1 224 142.3 224 159.1C224 177.7 238.3 191.1 256 191.1zM168 231.1C154.7 231.1 144 242.7 144 255.1C144 269.3 154.7 279.1 168 279.1H344C357.3 279.1 368 269.3 368 255.1C368 242.7 357.3 231.1 344 231.1H168zM256 319.1C238.3 319.1 224 334.3 224 351.1C224 369.7 238.3 383.1 256 383.1C273.7 383.1 288 369.7 288 351.1C288 334.3 273.7 319.1 256 319.1z", "M288 160C288 177.7 273.7 192 256 192C238.3 192 224 177.7 224 160C224 142.3 238.3 128 256 128C273.7 128 288 142.3 288 160zM144 256C144 242.7 154.7 232 168 232H344C357.3 232 368 242.7 368 256C368 269.3 357.3 280 344 280H168C154.7 280 144 269.3 144 256zM224 352C224 334.3 238.3 320 256 320C273.7 320 288 334.3 288 352C288 369.7 273.7 384 256 384C238.3 384 224 369.7 224 352z"]],
    "octagon-exclamation": [512, 512, [], "e204", ["M140.6 21.15C154.1 7.648 172.4 .0625 191.5 .0625H320.5C339.6 .0625 357.9 7.648 371.4 21.15L490.8 140.6C504.3 154.1 511.9 172.4 511.9 191.5V320.5C511.9 339.6 504.3 357.9 490.8 371.4L371.4 490.8C357.9 504.3 339.6 511.9 320.5 511.9H191.5C172.4 511.9 154.1 504.3 140.6 490.8L21.15 371.4C7.652 357.9 .0666 339.6 .0666 320.5V191.5C.0666 172.4 7.652 154.1 21.15 140.6L140.6 21.15zM232 151.1V263.1C232 277.3 242.7 287.1 256 287.1C269.3 287.1 280 277.3 280 263.1V151.1C280 138.7 269.3 127.1 256 127.1C242.7 127.1 232 138.7 232 151.1V151.1zM256 319.1C238.3 319.1 224 334.3 224 351.1C224 369.7 238.3 383.1 256 383.1C273.7 383.1 288 369.7 288 351.1C288 334.3 273.7 319.1 256 319.1z", "M280 264C280 277.3 269.3 288 256 288C242.7 288 232 277.3 232 264V152C232 138.7 242.7 128 256 128C269.3 128 280 138.7 280 152V264zM224 352C224 334.3 238.3 320 256 320C273.7 320 288 334.3 288 352C288 369.7 273.7 384 256 384C238.3 384 224 369.7 224 352z"]],
    "octagon-minus": [512, 512, ["minus-octagon"], "f308", ["M140.6 21.15C154.1 7.648 172.4 .0625 191.5 .0625H320.5C339.6 .0625 357.9 7.648 371.4 21.15L490.8 140.6C504.3 154.1 511.9 172.4 511.9 191.5V320.5C511.9 339.6 504.3 357.9 490.8 371.4L371.4 490.8C357.9 504.3 339.6 511.9 320.5 511.9H191.5C172.4 511.9 154.1 504.3 140.6 490.8L21.15 371.4C7.652 357.9 .0666 339.6 .0666 320.5V191.5C.0666 172.4 7.652 154.1 21.15 140.6L140.6 21.15zM168 231.1C154.7 231.1 144 242.7 144 255.1C144 269.3 154.7 279.1 168 279.1H344C357.3 279.1 368 269.3 368 255.1C368 242.7 357.3 231.1 344 231.1H168z", "M144 256C144 242.7 154.7 232 168 232H344C357.3 232 368 242.7 368 256C368 269.3 357.3 280 344 280H168C154.7 280 144 269.3 144 256z"]],
    "octagon-plus": [512, 512, ["plus-octagon"], "f301", ["M140.6 21.15C154.1 7.648 172.4 .0625 191.5 .0625H320.5C339.6 .0625 357.9 7.648 371.4 21.15L490.8 140.6C504.3 154.1 511.9 172.4 511.9 191.5V320.5C511.9 339.6 504.3 357.9 490.8 371.4L371.4 490.8C357.9 504.3 339.6 511.9 320.5 511.9H191.5C172.4 511.9 154.1 504.3 140.6 490.8L21.15 371.4C7.652 357.9 .0666 339.6 .0666 320.5V191.5C.0666 172.4 7.652 154.1 21.15 140.6L140.6 21.15zM256 367.1C269.3 367.1 280 357.3 280 343.1V279.1H344C357.3 279.1 368 269.3 368 255.1C368 242.7 357.3 231.1 344 231.1H280V167.1C280 154.7 269.3 143.1 256 143.1C242.7 143.1 232 154.7 232 167.1V231.1H168C154.7 231.1 144 242.7 144 255.1C144 269.3 154.7 279.1 168 279.1H232V343.1C232 357.3 242.7 367.1 256 367.1z", "M168 280C154.7 280 144 269.3 144 256C144 242.7 154.7 232 168 232H232V168C232 154.7 242.7 144 256 144C269.3 144 280 154.7 280 168V232H344C357.3 232 368 242.7 368 256C368 269.3 357.3 280 344 280H280V344C280 357.3 269.3 368 256 368C242.7 368 232 357.3 232 344V280H168z"]],
    "octagon-xmark": [512, 512, ["times-octagon", "xmark-octagon"], "f2f0", ["M140.6 21.15C154.1 7.648 172.4 .0625 191.5 .0625H320.5C339.6 .0625 357.9 7.648 371.4 21.15L490.8 140.6C504.3 154.1 511.9 172.4 511.9 191.5V320.5C511.9 339.6 504.3 357.9 490.8 371.4L371.4 490.8C357.9 504.3 339.6 511.9 320.5 511.9H191.5C172.4 511.9 154.1 504.3 140.6 490.8L21.15 371.4C7.652 357.9 .0666 339.6 .0666 320.5V191.5C.0666 172.4 7.652 154.1 21.15 140.6L140.6 21.15zM175 208.1L222.1 255.1L175 303C165.7 312.4 165.7 327.6 175 336.1C184.4 346.3 199.6 346.3 208.1 336.1L256 289.9L303 336.1C312.4 346.3 327.6 346.3 336.1 336.1C346.3 327.6 346.3 312.4 336.1 303L289.9 255.1L336.1 208.1C346.3 199.6 346.3 184.4 336.1 175C327.6 165.7 312.4 165.7 303 175L256 222.1L208.1 175C199.6 165.7 184.4 165.7 175 175C165.7 184.4 165.7 199.6 175 208.1V208.1z", "M255.1 222.1L303 175C312.4 165.7 327.6 165.7 336.1 175C346.3 184.4 346.3 199.6 336.1 208.1L289.9 255.1L336.1 303C346.3 312.4 346.3 327.6 336.1 336.1C327.6 346.3 312.4 346.3 303 336.1L255.1 289.9L208.1 336.1C199.6 346.3 184.4 346.3 175 336.1C165.7 327.6 165.7 312.4 175 303L222.1 255.1L175 208.1C165.7 199.6 165.7 184.4 175 175C184.4 165.7 199.6 165.7 208.1 175L255.1 222.1z"]],
    "oil-can": [640, 512, [], "f613", ["M288 128V160H224V128H192C174.3 128 160 113.7 160 96C160 78.33 174.3 64 192 64H320C337.7 64 352 78.33 352 96C352 113.7 337.7 128 320 128H288z", "M368.9 159.1C378.8 159.1 388.6 162.3 397.5 166.8L448 191.1L615 156.2C633.1 152.3 645.7 173.8 633.5 187.7L451.1 394.3C438.1 408.1 421.5 416 403.1 416H144C117.5 416 96 394.5 96 368V346.7L28.51 316.7C11.17 308.1 0 291.8 0 272.8V207.1C0 181.5 21.49 159.1 48 159.1L368.9 159.1zM96 207.1H48V272.8L96 294.1V207.1z"]],
    "oil-can-drip": [640, 512, [], "e205", ["M352 96C352 113.7 337.7 128 320 128H288V160H224V128H192C174.3 128 160 113.7 160 96C160 78.33 174.3 64 192 64H320C337.7 64 352 78.33 352 96zM544 400C544 379 564.6 337.4 578.9 311.2C584.6 300.6 599.4 300.6 605.1 311.2C619.4 337.4 640 379 640 400C640 432 618.5 448 592 448C565.5 448 544 426.5 544 400z", "M368.9 159.1C378.8 159.1 388.6 162.3 397.5 166.8L448 191.1L615 156.2C633.1 152.3 645.7 173.8 633.5 187.7L451.1 394.3C438.1 408.1 421.5 416 403.1 416H144C117.5 416 96 394.5 96 368V346.7L28.51 316.7C11.17 308.1 0 291.8 0 272.8V207.1C0 181.5 21.49 159.1 48 159.1L368.9 159.1zM96 207.1H48V272.8L96 294.1V207.1z"]],
    "oil-temperature": [576, 512, ["oil-temp"], "f614", ["M379.1 367.9C392.6 349.8 400 327.8 400 304C400 303.6 399.1 303.2 399.1 302.8C421.9 299.6 443.7 290.2 461.4 277.9L461.5 277.9C473.4 269.4 489.5 270.1 500.7 279.6C515 291.5 533.2 300.6 551.3 304.8C568.5 308.8 579.2 326.1 575.2 343.3C571.2 360.5 553.1 371.2 536.7 367.2C512.2 361.4 491.9 350.6 478.5 342.2C449.5 357.7 417 368 384 368C382.6 368 381.3 367.1 379.1 367.9L379.1 367.9zM196 367.9C194.7 367.1 193.4 368 192 368C158.1 368 126.5 357.7 97.5 342.2C84.12 350.6 63.79 361.4 39.27 367.2C22.06 371.2 4.853 360.5 .8422 343.3C-3.169 326.1 7.532 308.8 24.74 304.8C42.84 300.6 60.96 291.5 75.31 279.6C86.46 270.1 102.6 269.4 114.5 277.9L114.6 277.9C132.3 290.2 154.1 299.6 176 302.8C176 303.2 176 303.6 176 304C176 327.8 183.4 349.8 196 367.9L196 367.9zM306.5 421.9C328.1 437.4 356.5 448 384 448C410.9 448 439.4 437.2 461.4 421.9L461.5 421.9C473.4 413.4 489.5 414.1 500.7 423.6C515 435.5 533.2 444.6 551.3 448.8C568.5 452.8 579.2 470.1 575.2 487.3C571.2 504.5 553.1 515.2 536.7 511.2C512.2 505.4 491.9 494.6 478.5 486.2C449.5 501.7 417 512 384 512C352.1 512 323.4 502.1 303.6 493.1C297.7 490.5 292.5 487.8 288 485.4C283.5 487.8 278.3 490.5 272.4 493.1C252.6 502.1 223.9 512 192 512C158.1 512 126.5 501.7 97.5 486.2C84.12 494.6 63.79 505.4 39.27 511.2C22.06 515.2 4.853 504.5 .8422 487.3C-3.169 470.1 7.532 452.8 24.74 448.8C42.84 444.6 60.96 435.5 75.31 423.6C86.46 414.1 102.6 413.4 114.5 421.9L114.6 421.9C136.7 437.2 165.1 448 192 448C219.5 448 247 437.4 269.5 421.9C280.6 414 295.4 414 306.5 421.9H306.5z", "M352 0C369.7 0 384 14.33 384 32C384 49.67 369.7 64 352 64H320V96H352C369.7 96 384 110.3 384 128C384 145.7 369.7 160 352 160H320V230.7C348.3 243 368 271.2 368 304C368 348.2 332.2 384 288 384C243.8 384 208 348.2 208 304C208 271.2 227.7 243 256 230.7V32C256 14.33 270.3 0 288 0L352 0z"]],
    "oil-well": [576, 512, [], "e532", ["M302.2 149.4L308.5 167.5L228.2 188.4L241.8 149.4C246.3 136.6 258.4 128 272 128C285.6 128 297.7 136.6 302.2 149.4H302.2zM137.3 448L190.4 296.3L264.1 276.1L238.7 352H305.3L277.9 273.6L340 257.5L406.7 448H338.9L327.7 416H216.3L205.1 448L137.3 448z", "M569.8 215.8C581.2 258.5 555.9 302.4 513.2 313.8L497.7 317.9C480.7 322.5 463.1 312.4 458.5 295.3L433.4 201.3L96 288.8V448H544C561.7 448 576 462.3 576 480C576 497.7 561.7 512 544 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H48V184C48 170.7 58.75 160 72 160C85.25 160 96 170.7 96 184V222.6L416.8 139.5L392.3 48.04C387.7 30.97 397.8 13.42 414.9 8.848L430.4 4.707C473-6.729 516.9 18.6 528.3 61.28L569.8 215.8z"]],
    "olive": [448, 512, [], "e316", ["M374.9 214.9c-18.18 18.18-57.49 8.355-87.79-21.95c-30.3-30.3-40.13-69.61-21.95-87.79c18.18-18.18 57.49-8.354 87.79 21.95C383.2 157.4 393.1 196.7 374.9 214.9z", "M392.5 89.39c-94.93-99.56-213.1-58.11-308.5 36.84c-95.42 94.96-112 232.4-37.02 307c74.98 74.61 213.1 58.12 308.5-36.84C450.9 301.5 487.5 188.1 392.5 89.39zM374.9 214.9c-18.18 18.18-57.49 8.355-87.79-21.95c-30.3-30.3-40.13-69.61-21.95-87.79c18.18-18.18 57.49-8.354 87.79 21.95C383.2 157.4 393.1 196.7 374.9 214.9z"]],
    "olive-branch": [640, 512, [], "e317", ["M336 128c-79.53 0-143.1 85.96-143.1 192s64.47 192 143.1 192s143.1-85.96 143.1-192S415.5 128 336 128zM569.6 198.5c-42.23-42.29-93.92-65.54-141.8-69.26C478.2 168.7 512 239.5 512 320.3c0 59.01-18.11 112.6-47.45 152.7c53.26 14.72 105.8 6.727 140.2-27.74C663.1 386.8 647.3 276.4 569.6 198.5z", "M449.9 48H616c13.25 0 24-10.75 24-24S629.3 0 616 0h-166.1c-65.87 0-131.2 16.47-189.5 47.06C244.2 34.17 195.5 0 136 0c-71.56 0-128.3 49.94-130.7 52.07C1.948 55.11 .0107 59.44 .0107 64c0 4.563 1.938 8.891 5.344 11.94c1.721 1.541 32.19 28.04 75.96 42.6C69.25 124.8 57.4 132.6 46.99 142.1c-48.46 48.47-47.06 126.1-46.96 129.4C.2402 280.9 7.085 287.8 15.61 287.1c.25 0 .8984 .0156 1.93 .0156c12.84 0 82.66-2.142 127.5-46.98c30.93-30.94 41.48-73.57 45.09-101.4l87.41-47.7C330.3 63.21 389.9 48 449.9 48z"]],
    "om": [512, 512, [128329], "f679", ["M360.6 61C362.5 62.88 365.3 64 368 64s5.375-1.125 7.375-3l21.5-21.62C398.9 37.38 400 34.75 400 32s-1.125-5.375-3.125-7.375L375.4 3c-4.125-4-10.75-4-14.75 0L339 24.62C337 26.62 336 29.25 336 32s1 5.375 3 7.375L360.6 61zM454.3 67.25c-85.5 65.12-169 2.751-172.5 .125c-6-4.625-14.5-4.375-20.13 .5C255.9 72.75 254.3 81 257.9 87.63C259.5 90.63 298.3 160 376.8 160c79.88 0 98.75-31.38 101.8-37.63C479.5 120.3 480 117.9 480 115.5V80C480 66.75 464.9 59.25 454.3 67.25z", "M412.1 191.1c-26.75 0-51.75 10.38-70.63 29.25l-24.25 24.25c-6.75 6.75-15.75 10.5-25.37 10.5H245c10.5-22.12 14.12-48.12 7.75-75.25C242.6 138.2 206.4 104.6 163.2 97.62c-36.25-6-71 5-96 28.75c-7.375 7-7 18.87 1.125 24.87L94.5 170.9c5.75 4.375 13.62 4.375 19.12-.125C122.1 163.8 132.8 159.1 144 159.1c26.38 0 48 21.5 48 48S170.4 255.9 143.1 255.9L112 255.1c-11.88 0-19.75 12.63-14.38 23.25L113.8 311.5C116.2 316.5 121.4 319.5 126.9 320H160c35.25 0 64 28.75 64 64s-28.75 64-64 64c-96.12 0-122.4-53.1-145.2-92C10.25 348.4 0 352.4 0 361.2C-.125 416 41.12 512 160 512c70.5 0 127.1-57.44 127.1-128.1c0-23.38-6.874-45.06-17.87-63.94h21.75c26.62 0 51.75-10.38 70.63-29.25l24.25-24.25c6.75-6.75 15.75-10.5 25.37-10.5C431.9 255.1 448 272.1 448 291.9V392c0 13.25-18.75 24-32 24c-39.38 0-66.75-24.25-81.88-42.88C329.4 367.2 320 370.6 320 378.1V416c0 0 0 64 96 64c48.5 0 96-39.5 96-88V291.9C512 236.8 467.3 191.1 412.1 191.1z"]],
    "omega": [448, 512, [], "f67a", ["M416 480l-96-.0049c-17.67 0-32-14.4-32-32.08v-25.6c0-11.44 6.094-21.97 15.98-27.69C353.3 366.1 384 312.1 384 256c0-88.22-71.78-159.1-160-159.1S64 167.8 64 256c0 56.97 30.66 110.1 80.02 138.6C153.9 400.4 160 410.9 160 422.3v25.6c0 17.69-14.33 32.08-32 32.08l-96 .0049c-17.67 0-32-14.31-32-32s14.33-32 32-32h35.3C24.89 374.4 0 316.8 0 256c0-123.5 100.5-224 224-224s224 100.5 224 223.1c0 60.75-24.89 118.4-67.3 160H416c17.67 0 32 14.31 32 32S433.7 480 416 480zM320.2 422.3L320.2 422.3L320.2 422.3z", ""]],
    "onion": [448, 512, [129477], "e427", ["M355.1 133.6c0 0 0 0 0-.0156c-.6562-.375-65.66-39.27-85.81-121.4c-1.406-5.828-5.969-10.36-11.81-11.75c-5.688-1.406-11.97 .5781-15.84 5.125L224 26.02L206.4 5.562C202.5 1.016 196.3-.9687 190.6 .4375c-5.844 1.391-10.41 5.922-11.81 11.75C158.6 94.27 93.59 133.2 92.94 133.6C34.75 167.7 0 223 0 281.5C0 382.1 100.5 464 224 464s224-81.88 224-182.5C448 223 413.3 167.7 355.1 133.6zM129 198.2C98.84 269.7 96 287.1 96 315.5c0 12.22 1.438 22.86 4.406 32.53c2.594 8.453-2.125 17.41-10.59 20c-1.562 .4844-3.125 .7031-4.688 .7031c-6.844 0-13.19-4.422-15.28-11.3C65.91 344.7 64 330.1 64 315.5C64 280.2 68.66 258.9 99.5 185.8c3.469-8.156 12.91-11.92 20.97-8.516C128.6 180.7 132.4 190.1 129 198.2zM237.4 132c-43.78 169.9-45.47 188.1-36.03 224.3c1.906 7.375 4.312 13.83 7.344 19.73c4.062 7.859 .9687 17.52-6.906 21.55c-2.344 1.219-4.844 1.781-7.312 1.781c-5.781 0-11.38-3.156-14.22-8.672c-4.094-7.938-7.406-16.8-9.906-26.34C158.7 319.4 162.4 294.7 206.4 124c2.219-8.516 10.88-13.7 19.5-11.5C234.4 114.7 239.6 123.4 237.4 132zM361.8 357.6c-2.188 6.797-8.469 11.14-15.25 11.14c-1.594 0-3.25-.2344-4.875-.75c-8.406-2.688-13.06-11.69-10.38-20.11C334.5 338 336 327.2 336 314.7c0-33.16-4.594-52.06-46.66-148.3c-3.531-8.094 .1562-17.53 8.25-21.06c8.094-3.516 17.53 .1406 21.06 8.25C363.2 255.4 368 276.3 368 314.7C368 330.5 365.1 344.5 361.8 357.6z", "M121.2 480.4c-4.188 12.58 2.625 26.17 15.19 30.36C138.9 511.6 141.5 512 144 512c10.06 0 19.41-6.359 22.78-16.41l11.79-35.38c-16.23-2.736-31.73-7.029-46.47-12.46L121.2 480.4zM326.8 480.4l-10.88-32.66c-14.74 5.434-30.25 9.729-46.47 12.46l11.79 35.38C284.6 505.6 293.9 512 304 512c2.5 0 5.062-.3906 7.594-1.234C324.2 506.6 330.1 492.1 326.8 480.4zM200 462.9V488C200 501.3 210.8 512 224 512s24-10.75 24-24v-25.08C240.1 463.6 232.1 464 224 464S207.9 463.6 200 462.9z"]],
    "option": [640, 512, [], "e318", ["M448 128h160c17.69 0 32-14.31 32-32s-14.31-32-32-32h-160c-17.69 0-32 14.31-32 32S430.3 128 448 128z", "M640 416c0 17.69-14.31 32-32 32h-160c-9.719 0-18.91-4.406-25-12L176.6 128H32C14.31 128 0 113.7 0 96s14.31-32 32-32h160c9.719 0 18.91 4.406 25 12L463.4 384H608C625.7 384 640 398.3 640 416z"]],
    "ornament": [384, 512, [], "f7b8", ["M372.6 256H11.39C4.255 276.1 0 297.5 0 320c0 22.48 4.091 43.96 11.19 64h361.6C379.9 363.1 384 342.5 384 320C384 297.5 379.7 276.1 372.6 256zM191.9 96C174.4 96 159.9 81.5 159.9 64s14.51-32 32.01-32s31.97 14.5 31.97 32S209.4 96 191.9 96h55.13c5.498-9.375 8.887-20.25 8.887-32c0-35.25-28.75-64-63.98-64S127.1 28.75 127.1 64c0 11.75 3.368 22.62 8.866 32H191.9z", "M287.1 153.9L287.1 112c0-8.836-7.168-16-16.01-16H111.1c-8.836 0-15.1 7.164-15.1 16l.0016 41.94C56.84 176.6 26.76 212.8 11.39 256h361.2C357.2 212.8 327.1 176.6 287.1 153.9zM11.19 384c26.38 74.52 97.24 128 180.8 128s154.4-53.48 180.8-128H11.19z"]],
    "otter": [640, 512, [129446], "f700", ["M124.1 205.4l32.88-14.08C154.4 191.1 151.8 190.8 149.4 189.7l-8.314-3.777C133.1 182.3 128 174.9 128 166.7V160c0-6.723 5.996-12.17 13.39-12.17h37.21C186 147.8 192 153.3 192 160v6.701c0 8.15-5.068 15.6-13.09 19.25l-8.314 3.777c-2.391 1.088-5.012 1.324-7.598 1.631L195.9 205.4C199.8 207.1 204 208 208.3 208C234.6 208 256 186.6 256 160.3v-16C256 108.9 227.1 80 191.7 80H128.3C92.86 80 64 108.9 64 144.3v16C64 186.6 85.38 208 111.7 208C115.1 208 120.2 207.1 124.1 205.4zM224 128c8.836 0 16 7.162 16 16C240 152.8 232.8 160 224 160S208 152.8 208 144C208 135.2 215.2 128 224 128zM96 160C87.16 160 80 152.8 80 144C80 135.2 87.16 128 96 128s16 7.162 16 16C112 152.8 104.8 160 96 160zM356.6 319.1L320 320c-42.56 0-78.32-27.99-90.83-66.43C222.4 255.1 215.5 256 208.3 256C197.6 256 186.9 253.8 176.1 249.6L160 242.3L143 249.6C133.1 253.8 122.4 256 111.7 256C106.3 256 101.1 255.3 96 254.4V256c0 13.98 1.863 27.52 5.297 40.43C105 310.4 117.9 320 132.4 320H224c17.67 0 32 14.33 32 32c0 17.67-14.33 32-32 32h128v-32C352 340.1 353.6 330.3 356.6 319.1C356.5 320 356.6 319.9 356.6 319.1z", "M474.4 64.12C466.8 63.07 460 69.07 460 76.73c0 5.959 4.188 10.1 9.991 12.36C514.2 99.46 544 160 544 192v112c0 8.844-7.156 16-16 16S512 312.8 512 304V212c0-14.87-15.65-24.54-28.94-17.89c-28.96 14.48-47.83 42.99-50.51 74.88C403.7 285.6 384 316.3 384 352v32H224c17.67 0 32-14.33 32-32c0-17.67-14.33-32-32-32H132.4c-14.46 0-27.37-9.598-31.08-23.57C97.86 283.5 96 269.1 96 256V254.4C101.1 255.3 106.3 256 111.7 256c10.78 0 21.45-2.189 31.36-6.436L160 242.3l16.98 7.271C186.9 253.8 197.6 256 208.3 256c7.176 0 14.11-.9277 20.83-2.426C241.7 292 277.4 320 320 320l36.56-.0366C363.1 294.7 377.1 272.7 396.2 256H320c0-25.73 17.56-31.61 32.31-32C369.8 223.8 384 209.6 384 192c0-17.67-14.31-32-32-32c-15.09 0-32.99 4.086-49.28 13.06C303.3 168.9 304 164.7 304 160.3v-16c0-1.684-.4238-3.248-.4961-4.912C313.2 133.9 320 123.9 320 112C320 103.2 312.8 96 304 96H292.7C274.6 58.26 236.3 32 191.7 32H128.3C83.68 32 45.44 58.26 27.33 96H16C7.164 96 0 103.2 0 112c0 11.93 6.816 21.93 16.5 27.43C16.42 141.1 16 142.7 16 144.3v16c0 19.56 5.926 37.71 16 52.86V256c0 123.7 100.3 224 224 224h160c123.9-1.166 224-101.1 224-226.2C639.9 156.9 567.8 76.96 474.4 64.12zM64 160.3v-16C64 108.9 92.86 80 128.3 80h63.32C227.1 80 256 108.9 256 144.3v16C256 186.6 234.6 208 208.3 208c-4.309 0-8.502-.8608-12.46-2.558L162.1 191.4c2.586-.3066 5.207-.543 7.598-1.631l8.314-3.777C186.9 182.3 192 174.9 192 166.7V160c0-6.723-5.996-12.17-13.39-12.17H141.4C133.1 147.8 128 153.3 128 160v6.701c0 8.15 5.068 15.6 13.09 19.25l8.314 3.777c2.391 1.088 5.012 1.324 7.598 1.631l-32.88 14.08C120.2 207.1 115.1 208 111.7 208C85.38 208 64 186.6 64 160.3z"]],
    "outdent": [512, 512, ["dedent"], "f03b", ["M448 32C465.7 32 480 46.33 480 64C480 81.67 465.7 96 448 96H64C46.33 96 32 81.67 32 64C32 46.33 46.33 32 64 32H448zM448 160C465.7 160 480 174.3 480 192C480 209.7 465.7 224 448 224H256C238.3 224 224 209.7 224 192C224 174.3 238.3 160 256 160H448zM224 320C224 302.3 238.3 288 256 288H448C465.7 288 480 302.3 480 320C480 337.7 465.7 352 448 352H256C238.3 352 224 337.7 224 320zM448 416C465.7 416 480 430.3 480 448C480 465.7 465.7 480 448 480H64C46.33 480 32 465.7 32 448C32 430.3 46.33 416 64 416H448z", "M134.2 164.1C144.7 155.9 160 163.4 160 176.7V335.3C160 348.6 144.7 356.1 134.2 347.9L32.24 268.6C24 262.2 24 249.8 32.24 243.4L134.2 164.1z"]],
    "outlet": [448, 512, [], "e01c", ["M224 288C210.8 288 200 298.8 200 312v24h48V312C248 298.8 237.2 288 224 288zM160 192C151.2 192 144 199.2 144 208V256c0 8.836 7.164 16 16 16c8.838 0 16-7.164 16-16V208C176 199.2 168.8 192 160 192zM288 192c-8.836 0-16 7.164-16 16V256c0 8.836 7.164 16 16 16c8.838 0 16-7.164 16-16V208C304 199.2 296.8 192 288 192zM332.5 378.6c-3.646 3.5-8.543 5.4-13.65 5.4H129.1c-5.105 0-10-1.9-13.65-5.4C83.79 347.4 64 304.1 64 255.1c0-48.1 19.79-91.4 51.46-122.6C119.1 129.9 124 127.9 129.1 128h189.8c5.104-.0996 10 1.9 13.65 5.4C364.2 164.6 384 207.9 384 255.1C384 304.1 364.2 347.4 332.5 378.6z", "M384 31.1H64c-35.35 0-64 28.65-64 63.1v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64v-320C448 60.65 419.3 31.1 384 31.1zM332.5 378.6c-3.646 3.5-8.543 5.4-13.65 5.4H129.1c-5.105 0-10-1.9-13.65-5.4C83.79 347.4 64 304.1 64 255.1c0-48.1 19.79-91.4 51.46-122.6C119.1 129.9 124 127.9 129.1 128h189.8c5.104-.0996 10 1.9 13.65 5.4C364.2 164.6 384 207.9 384 255.1C384 304.1 364.2 347.4 332.5 378.6z"]],
    "oven": [448, 512, [], "e01d", ["M64 448h320V256H64V448zM112 288h224C344.8 288 352 295.2 352 304S344.8 320 336 320h-224C103.2 320 96 312.8 96 304S103.2 288 112 288zM0 160v32h448V160H0z", "M0 480c0 17.62 14.38 32 32 32h384c17.62 0 32-14.38 32-32V192H0V480zM64 256h320v192H64V256zM336 288h-224C103.2 288 96 295.2 96 304S103.2 320 112 320h224c8.838 0 16-7.164 16-16S344.8 288 336 288zM384 0H64C28.63 0 0 28.62 0 64v96h448V64C448 28.62 419.4 0 384 0zM80 104c-13.25 0-24-10.75-24-24S66.75 56 80 56S104 66.75 104 80S93.25 104 80 104zM176 104c-13.25 0-24-10.75-24-24S162.8 56 176 56S200 66.75 200 80S189.3 104 176 104zM272 104c-13.25 0-24-10.75-24-24s10.75-24 24-24s24 10.75 24 24S285.3 104 272 104zM368 104c-13.25 0-24-10.75-24-24s10.75-24 24-24s24 10.75 24 24S381.3 104 368 104z"]],
    "overline": [448, 512, [], "f876", ["M224 128c-97.84 0-177.5 79.63-177.5 177.5v29.06c0 97.84 79.63 177.5 177.5 177.5s177.5-79.62 177.5-177.5V305.5C401.5 207.6 321.8 128 224 128zM337.5 334.5c0 62.56-50.91 113.5-113.5 113.5s-113.5-50.91-113.5-113.5V305.5c0-62.56 50.91-113.5 113.5-113.5s113.5 50.91 113.5 113.5V334.5z", "M416 .0147H32c-17.69 0-32 14.31-32 31.1s14.31 32 32 32h384c17.69 0 32-14.31 32-32S433.7 .0147 416 .0147z"]],
    "p": [320, 512, [112], "50", ["M160 32.01H32c-17.69 0-32 14.33-32 32v384c0 17.67 14.31 32 32 32s32-14.33 32-32v-96h96c88.22 0 160-71.78 160-159.1S248.2 32.01 160 32.01zM160 288H64V96.01h96c52.94 0 96 43.06 96 96S212.9 288 160 288z", ""]],
    "page": [384, 512, [], "e428", ["M0 448V64C0 28.65 28.65 0 64 0H245.5C262.5 0 278.7 6.743 290.7 18.75L365.3 93.26C377.3 105.3 384 121.5 384 138.5V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448z", ""]],
    "page-caret-down": [384, 512, ["file-caret-down"], "e429", ["M64 512C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H245.5C262.5 0 278.7 6.743 290.7 18.75L365.3 93.26C377.3 105.3 384 121.5 384 138.5V448C384 483.3 355.3 512 320 512H64zM203.8 346.8L279.5 264.2C293.6 248.8 282.7 224 261.8 224H122.2C101.3 224 90.38 248.8 104.5 264.2L180.2 346.8C183.2 350.1 187.5 352 192 352C196.5 352 200.8 350.1 203.8 346.8z", "M104.5 264.2C90.38 248.8 101.3 224 122.2 224H261.8C282.7 224 293.6 248.8 279.5 264.2L203.8 346.8C200.8 350.1 196.5 352 191.1 352C187.5 352 183.2 350.1 180.2 346.8L104.5 264.2z"]],
    "page-caret-up": [384, 512, ["file-caret-up"], "e42a", ["M64 512C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H245.5C262.5 0 278.7 6.743 290.7 18.75L365.3 93.26C377.3 105.3 384 121.5 384 138.5V448C384 483.3 355.3 512 320 512H64zM180.2 197.2L104.5 279.8C90.38 295.2 101.3 320 122.2 320H261.8C282.7 320 293.6 295.2 279.5 279.8L203.8 197.2C200.8 193.9 196.5 192 192 192C187.5 192 183.2 193.9 180.2 197.2V197.2z", "M279.5 279.8C293.6 295.2 282.7 320 261.8 320H122.2C101.3 320 90.38 295.2 104.5 279.8L180.2 197.2C183.2 193.9 187.5 192 191.1 192C196.5 192 200.8 193.9 203.8 197.2L279.5 279.8z"]],
    "pager": [512, 512, [128223], "f815", ["M448 224c0 17.62-14.38 32-32 32H96C78.38 256 64 241.6 64 224V160c0-17.62 14.38-32 32-32h320c17.62 0 32 14.38 32 32V224z", "M448 64H64C28.63 64 0 92.63 0 128v256c0 35.38 28.62 64 64 64h384c35.38 0 64-28.62 64-64V128C512 92.63 483.4 64 448 64zM160 368H80C71.13 368 64 360.9 64 352v-16C64 327.1 71.13 320 80 320H160V368zM288 352c0 8.875-7.125 16-16 16H192V320h80c8.875 0 16 7.125 16 16V352zM448 224c0 17.62-14.38 32-32 32H96C78.38 256 64 241.6 64 224V160c0-17.62 14.38-32 32-32h320c17.62 0 32 14.38 32 32V224z"]],
    "paint-roller": [512, 512, [], "f5aa", ["M512 192C512 245 469 288 416 288H272C263.2 288 256 295.2 256 304V320C273.7 320 288 334.3 288 352V480C288 497.7 273.7 512 256 512H192C174.3 512 160 497.7 160 480V352C160 334.3 174.3 320 192 320V304C192 259.8 227.8 224 272 224H416C433.7 224 448 209.7 448 192V160C448 142.3 433.7 128 416 128V64C469 64 512 106.1 512 160V192z", "M0 64C0 28.65 28.65 0 64 0H352C387.3 0 416 28.65 416 64V128C416 163.3 387.3 192 352 192H64C28.65 192 0 163.3 0 128V64z"]],
    "paintbrush": [576, 512, [128396, "paint-brush"], "f1fc", ["M320 400C320 461.9 269.9 512 208 512H64C46.33 512 32 497.7 32 480C32 462.3 46.33 448 64 448H68.81C86.44 448 98.4 429.1 96.59 411.6C96.2 407.8 96 403.9 96 400C96 338.1 146.1 288 208 288C212.4 288 216.8 288.3 221.1 288.8L315.7 369.1C318.5 378.9 320 389.3 320 400H320z", "M320 368C318.4 368 316.9 367.1 315.3 367.9C315.5 368.3 315.6 368.7 315.7 369.1L221.1 288.8C222.6 288.9 224.1 289.1 225.6 289.4C224.5 283.7 223.1 277.9 223.1 272V263.1C223.1 233.8 238.2 205.3 262.4 187.2L499.1 9.605C517.7-4.353 543.6-2.965 560.7 12.9C577.7 28.76 580.8 54.54 568.2 74.07L406.5 324.1C388.8 351.5 358.5 368 325.9 368H320zM208 512H64L63.85 512H208.3C208.2 512 208.1 512 208 512H208z"]],
    "paintbrush-fine": [576, 512, ["paint-brush-alt", "paint-brush-fine", "paintbrush-alt"], "f5a9", ["M205.2 291.9L284.1 370.8C284.2 370.8 284.2 370.9 284.2 371C286.7 380.3 288 389.1 288 400C288 461.9 237.9 512 176 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H36.81C54.44 448 66.4 429.1 64.59 411.6C64.2 407.8 64 403.9 64 400C64 338.1 114.1 288 176 288C186 288 195.8 289.3 205 291.8C205.1 291.8 205.2 291.8 205.2 291.9H205.2z", "M284.3 370.9L205.1 291.7L480.4 16.4C502.3-5.467 537.7-5.467 559.6 16.4C581.5 38.27 581.5 73.73 559.6 95.6L284.3 370.9z"]],
    "paintbrush-pencil": [576, 512, [], "e206", ["M164.7 19.32L298.5 153.1L194.4 257.2C188.4 256.4 182.2 256 176 256C175.2 256 174.3 256 173.5 256L50.75 133.3C25.75 108.3 25.75 67.74 50.75 42.75L74.18 19.32C99.17-5.678 139.7-5.678 164.7 19.32V19.32zM384.6 467.1L319.1 402.5C319.1 401.7 320 400.8 320 400C320 393.8 319.6 387.6 318.8 381.6L422.9 277.5L498.5 353.2C505.3 359.9 510.2 368.2 512.8 377.4L542.5 481.4C544.9 489.8 542.6 498.8 536.4 504.1C530.2 511.1 521.2 513.5 512.8 511.1L408.8 481.4C399.7 478.7 391.3 473.8 384.6 467.1H384.6z", "M559.6 16.4C581.5 38.27 581.5 73.73 559.6 95.6L306.9 348.3L227.7 269.1L480.4 16.4C502.3-5.467 537.7-5.467 559.6 16.4H559.6zM284.3 370.9L284.2 370.1C286.7 380.2 288 389.1 288 400C288 461.9 237.9 512 176 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H36.81C54.44 448 66.4 429.1 64.59 411.6C64.2 407.8 64 403.9 64 400C64 338.1 114.1 288 176 288C186 288 195.8 289.3 205 291.8L205.1 291.7L284.3 370.9z"]],
    "palette": [512, 512, [127912], "f53f", ["M512 255.1C512 256.9 511.1 257.8 511.1 258.7C511.6 295.2 478.4 319.1 441.9 319.1H344C317.5 319.1 296 341.5 296 368C296 371.4 296.4 374.7 297 377.9C299.2 388.1 303.5 397.1 307.9 407.8C313.9 421.6 320 435.3 320 449.8C320 481.7 298.4 510.5 266.6 511.8C263.1 511.9 259.5 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256V255.1zM96 255.1C78.33 255.1 64 270.3 64 287.1C64 305.7 78.33 319.1 96 319.1C113.7 319.1 128 305.7 128 287.1C128 270.3 113.7 255.1 96 255.1zM128 191.1C145.7 191.1 160 177.7 160 159.1C160 142.3 145.7 127.1 128 127.1C110.3 127.1 96 142.3 96 159.1C96 177.7 110.3 191.1 128 191.1zM256 63.1C238.3 63.1 224 78.33 224 95.1C224 113.7 238.3 127.1 256 127.1C273.7 127.1 288 113.7 288 95.1C288 78.33 273.7 63.1 256 63.1zM384 191.1C401.7 191.1 416 177.7 416 159.1C416 142.3 401.7 127.1 384 127.1C366.3 127.1 352 142.3 352 159.1C352 177.7 366.3 191.1 384 191.1z", "M288 96C288 113.7 273.7 128 256 128C238.3 128 224 113.7 224 96C224 78.33 238.3 64 256 64C273.7 64 288 78.33 288 96zM96 160C96 142.3 110.3 128 128 128C145.7 128 160 142.3 160 160C160 177.7 145.7 192 128 192C110.3 192 96 177.7 96 160zM64 288C64 270.3 78.33 256 96 256C113.7 256 128 270.3 128 288C128 305.7 113.7 320 96 320C78.33 320 64 305.7 64 288zM352 160C352 142.3 366.3 128 384 128C401.7 128 416 142.3 416 160C416 177.7 401.7 192 384 192C366.3 192 352 177.7 352 160z"]],
    "pallet": [640, 512, [], "f482", ["M624 384c8.75 0 16-7.25 16-16v-32c0-8.75-7.25-16-16-16h-608C7.25 320 0 327.3 0 336v32C0 376.8 7.25 384 16 384H64v64H16C7.25 448 0 455.3 0 464v32C0 504.8 7.25 512 16 512h608c8.75 0 16-7.25 16-16v-32c0-8.75-7.25-16-16-16H576v-64H624zM288 448H128v-64h160V448zM512 448h-160v-64h160V448z", ""]],
    "pallet-box": [640, 512, [], "e208", ["M624 384c8.75 0 16-7.25 16-16v-32c0-8.75-7.25-16-16-16h-608C7.25 320 0 327.3 0 336v32C0 376.8 7.25 384 16 384H64v64H16C7.25 448 0 455.3 0 464v32C0 504.8 7.25 512 16 512h608c8.75 0 16-7.25 16-16v-32c0-8.75-7.25-16-16-16H576v-64H624zM288 448H128v-64h160V448zM512 448h-160v-64h160V448zM384 0v128l-64-32l-64 32v-128H384z", "M160 255.1h320c17.6 0 32-14.4 32-31.1V31.1c0-17.6-14.4-32-32-32l-96 0v128l-64-32l-64 32v-128L160 0c-17.6 0-32 14.4-32 32V224C128 241.6 142.4 255.1 160 255.1z"]],
    "pallet-boxes": [640, 512, [57863, "palette-boxes", "pallet-alt"], "f483", ["M624 384c8.75 0 16-7.25 16-16v-32c0-8.75-7.25-16-16-16h-608C7.25 320 0 327.3 0 336v32C0 376.8 7.25 384 16 384H64v64H16C7.25 448 0 455.3 0 464v32C0 504.8 7.25 512 16 512h608c8.75 0 16-7.25 16-16v-32c0-8.75-7.25-16-16-16H576v-64H624zM288 448H128v-64h160V448zM512 448h-160v-64h160V448z", "M96 255.1L288 256c17.6 0 32-14.4 32-32V31.1c0-17.6-14.4-31.1-32-31.1L96 0c-17.6 0-32 14.4-32 32V224C64 241.6 78.4 255.1 96 255.1zM416 255.1h128c17.6 0 32-14.4 32-31.1v-128c0-17.6-14.4-32-32-32h-128c-17.6 0-32 14.4-32 32v128C384 241.6 398.4 255.1 416 255.1z"]],
    "pan-food": [576, 512, [129368], "e42b", ["M449.6 152.4C414.1 97.04 353.6 64 287.8 64C251.2 64 215.4 74.51 184.4 94.38C141.2 122.1 111.4 164.9 100.5 214.1C89.51 265.1 98.71 316.4 126.4 359.6C161.9 414.1 222.4 448 288.2 448c36.62 0 72.37-10.51 103.4-30.38c43.17-27.67 72.98-70.5 83.94-120.6C486.5 246.9 477.3 195.6 449.6 152.4zM288 88c35.28 0 64 28.7 64 64c0 4.422-3.594 8-8 8h-112c-4.406 0-8-3.578-8-8C224 116.7 252.7 88 288 88zM296 240c0 13.25-10.75 24-24 24s-24-10.75-24-24c0-13.26 10.75-24 24-24S296 226.7 296 240zM145.8 238.1c-7.781-7.812-7.781-20.47 0-28.28l32-32c7.812-7.812 20.5-7.812 28.31 0c7.781 7.812 7.781 20.47 0 28.28l-32 32C170.3 242 165.1 244 160 244S149.8 242 145.8 238.1zM272 416c-26.47 0-48-21.53-48-48v-25.38L197.5 316.1C194.6 318.3 191.3 319.6 187.9 319.6c-4.094 0-8.188-1.562-11.31-4.688c-6.25-6.234-6.25-16.38 0-22.62l19.69-19.7c6.25-6.25 16.38-6.25 22.62 0c5.732 5.717 5.949 14.59 1.166 20.87l26.55 26.55H272c26.47 0 48 21.53 48 48S298.5 416 272 416zM368 392c-13.25 0-24-10.75-24-24c0-13.26 10.75-24 24-24s24 10.74 24 24C392 381.3 381.3 392 368 392zM429.1 301.1c-12.59 12.58-29.12 18.88-45.66 18.88s-33.06-6.297-45.66-18.88c-1.5-1.5-2.344-3.531-2.344-5.656s.8438-4.156 2.344-5.656l80-80c3.094-3.094 8.156-3.156 11.31 0c12.19 12.19 18.91 28.41 18.91 45.66S441.3 288.9 429.1 301.1z", "M177.8 177.9l-32 32c-7.781 7.812-7.781 20.47 0 28.28C149.8 242 154.9 244 160 244s10.25-1.953 14.16-5.859l32-32c7.781-7.812 7.781-20.47 0-28.28C198.3 170 185.7 170 177.8 177.9zM567.2 125l-43.16-67.34c-16.69-25.95-51.38-33.64-77.34-16.92l-23.84 16.92C382.8 30.53 335.6 16 287.8 16c-44.34 0-89.18 12.27-129.3 37.97C75.83 106.1 36.73 202.2 51.03 293.3L25.79 309.5c-26 16.64-33.63 51.34-16.94 77.38l43.16 67.34c10.69 16.66 28.78 25.77 47.25 25.77c10.31-.0156 20.78-2.859 30.09-8.844l23.79-16.89C193.2 481.5 240.3 496 288.2 496c44.34 0 89.18-12.27 129.3-37.97c82.68-53 121.8-148.2 107.5-239.4l25.25-16.21C576.2 185.8 583.8 151.1 567.2 125zM103.5 430.8c-2.469 1.531-4.844 1.328-6.031 1.078c-1.219-.2656-3.469-1.078-5.031-3.5L49.25 361c-2.375-3.719-1.312-8.688 2.438-11.08l12.26-7.857c5.744 14.91 13.07 29.46 22.03 43.44c8.814 13.75 19.1 25.91 30.04 37.21L103.5 430.8zM475.5 297c-10.96 50.09-40.77 92.92-83.94 120.6C360.6 437.5 324.8 448 288.2 448c-65.86 0-126.4-33.04-161.8-88.4C98.71 316.4 89.51 265.1 100.5 214.1C111.4 164.9 141.2 122.1 184.4 94.38C215.4 74.51 251.2 64 287.8 64c65.86 0 126.4 33.04 161.8 88.4C477.3 195.6 486.5 246.9 475.5 297zM524.3 162L512 169.9c-5.742-14.89-13.06-29.43-22.01-43.39c-8.824-13.77-19.12-25.94-30.07-37.25l12.58-8.061c2.438-1.547 4.781-1.359 6.031-1.078c1.219 .2656 3.469 1.078 5.031 3.5l43.16 67.33C529.1 154.7 528.1 159.6 524.3 162zM272 216c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24s24-10.75 24-24C296 226.7 285.3 216 272 216zM417.8 209.8l-80 80c-1.5 1.5-2.344 3.531-2.344 5.656s.8438 4.156 2.344 5.656c12.59 12.58 29.12 18.88 45.66 18.88s33.06-6.297 45.66-18.88C441.3 288.9 448 272.7 448 255.4s-6.719-33.47-18.91-45.66C425.9 206.6 420.9 206.7 417.8 209.8z"]],
    "pan-frying": [576, 512, [127859], "e42c", ["M224 176C197.5 176 176 197.5 176 224S197.5 272 224 272S272 250.5 272 224S250.5 176 224 176z", "M574.4 439.2c-3.844-15.95-14.12-29.53-28.34-37.58l-120.3-80.74C439.9 291.5 447.1 258.7 447.1 224c0-123.7-100.3-224-223.1-224C100.3 0 0 100.3 0 224c0 123.7 100.3 224 223.1 224c54.29 0 104-19.33 142.8-51.46l109.5 99.16C487.3 506.2 501.9 512 516.1 512c1.875 0 3.719-.0938 5.594-.2656c17.03-1.625 32.5-10.53 42.44-24.45S578.4 455.8 574.4 439.2zM342.4 267.3c-23.77 18.12-48.64 16.25-70.45 37c-28.84 27.31-55.8 59.88-102.3 43.19C138.6 336.3 114.3 305 112.1 272.1c-2.188-32.95 19.44-64.27 25-96.45c6.594-38.55 19.11-71.55 62.5-78.55C234.8 91.37 254 109.6 278.9 130.1c21.84 17.94 52.5 20.75 72.25 41.13C378.2 196.5 370.5 245.9 342.4 267.3zM514.5 465.1c-8.715 1.457-16.96-4.428-18.42-13.14c-1.457-8.715 4.428-16.96 13.14-18.42c8.715-1.457 16.96 4.428 18.42 13.14C529.1 455.4 523.2 463.6 514.5 465.1z"]],
    "pancakes": [512, 512, [129374], "e42d", ["M68.44 294.3C65.58 286.9 64 278.9 64 270.6V246.4C42.53 239.7 23.03 231.4 7.408 221.2C2.742 227.2 0 233.5 0 240C0 260.1 26.09 280 68.44 294.3zM64 212.8v-48.95C42.03 155.3 25.78 144.9 15.1 133.1C5.5 141.5 0 150.6 0 160C0 180.3 24.28 198.7 64 212.8zM512 160c0-9.426-5.488-18.43-15.07-26.83C455.2 179.2 337.8 189.2 288 191.3V224c0 5.34-.8516 10.45-2.09 15.41C413.2 234.8 512 201 512 160zM256 351.1c-76.1 0-189.4-12.06-248.6-50.78C2.742 307.2 0 313.5 0 320c0 44.18 114.6 79.1 256 79.1S512 364.2 512 320c0-6.488-2.742-12.76-7.408-18.8C445.4 339.9 332.1 351.1 256 351.1zM256 431.1c-76.1 0-189.4-12.05-248.6-50.77C2.742 387.2 0 393.5 0 400c0 44.18 114.6 80 256 80s256-35.82 256-80c0-6.488-2.742-12.76-7.408-18.8C445.4 419.9 332.1 431.1 256 431.1zM266.1 271.8C254.8 281.8 240.2 287.1 224 287.1c-2.037 0-4.1-.0957-6.176-.293C208.3 286.8 199.4 283.7 191.6 278.1C190.1 293.2 183.7 305.9 174.3 315.8C199.1 318.5 227.4 319.1 256 319.1c141.4 0 256-35.81 256-79.99c0-6.488-2.742-12.76-7.408-18.8C447.9 258.3 341.9 270.8 266.1 271.8z", "M256 32C132.3 32 32 60.7 32 96.05c0 15.77 20.02 30.22 53.14 41.37C91.62 139.6 96 145.7 96 152.5v118.1c0 16.71 12.22 31.64 28.86 33.23C143.9 305.7 160 290.7 160 272V171.7c0-9.447 8.182-16.76 17.57-15.74l.3203 .0352C185.9 156.9 192 163.7 192 171.8v50.85c0 16.71 12.22 31.64 28.86 33.22C239.9 257.7 256 242.7 256 224V175.9c0-8.656 6.885-15.83 15.54-16C388 157.7 480 129.9 480 96.05C480 60.7 379.7 32 256 32zM304 96.01h-96c-8.836 0-16-7.161-16-15.1c0-8.838 7.164-16 16-16h96c8.836 0 16 7.162 16 16C320 88.85 312.8 96.01 304 96.01z"]],
    "panel-ews": [512, 512, [], "e42e", ["M448 0H64C28.64 0 0 28.64 0 64v224h32c35.36 0 64 28.64 64 64v32c0 17.66 14.34 32 32 32s32-14.34 32-32v-32c-17.66 0-32-14.34-32-32V288c0-17.66 14.34-32 32-32h32c17.66 0 32 14.34 32 32v32c0 17.66-14.34 32-32 32v32c0 35.36-28.64 64-64 64s-64-28.64-64-64v-32c0-17.66-14.34-32-32-32H0v128c0 35.36 28.64 64 64 64h384c35.36 0 64-28.64 64-64V64C512 28.64 483.4 0 448 0zM208 160h-96C103.2 160 96 152.8 96 144S103.2 128 112 128h96C216.8 128 224 135.2 224 144S216.8 160 208 160zM208 96h-96C103.2 96 96 88.83 96 80S103.2 64 112 64h96C216.8 64 224 71.17 224 80S216.8 96 208 96zM416 416c0 17.66-14.34 32-32 32h-32c-17.66 0-32-14.34-32-32V288c0-17.66 14.34-32 32-32h32c17.66 0 32 14.34 32 32V416zM400 160h-96C295.2 160 288 152.8 288 144S295.2 128 304 128h96C408.8 128 416 135.2 416 144S408.8 160 400 160zM400 96h-96C295.2 96 288 88.83 288 80S295.2 64 304 64h96C408.8 64 416 71.17 416 80S408.8 96 400 96z", "M192 256H160C142.3 256 128 270.3 128 288v32c0 17.66 14.34 32 32 32v32c0 17.66-14.34 32-32 32s-32-14.34-32-32v-32c0-35.36-28.64-64-64-64H0v32h32c17.66 0 32 14.34 32 32v32c0 35.36 28.64 64 64 64s64-28.64 64-64v-32c17.66 0 32-14.34 32-32V288C224 270.3 209.7 256 192 256zM384 256h-32c-17.66 0-32 14.34-32 32v128c0 17.66 14.34 32 32 32h32c17.66 0 32-14.34 32-32V288C416 270.3 401.7 256 384 256z"]],
    "panel-fire": [640, 512, [], "e42f", ["M384 32C419.3 32 448 60.65 448 96V128.2C435.4 127 422.5 130.9 412.5 139.9C402.5 148.7 393 157.9 384 167.4V128C384 110.3 369.7 96 352 96H96C78.33 96 64 110.3 64 128V192C64 209.7 78.33 224 96 224H337.5C333.1 230.2 328.1 236.5 325.2 242.7C314.3 260.3 304.7 279.2 297.9 298.1C294.9 296.8 291.5 296 288 296C274.7 296 264 306.7 264 320C264 333.3 274.7 344 288 344L288.2 344C288.1 346 288 348.1 288 350.1C288 399.4 306.6 445.3 337.6 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM96 344C109.3 344 120 333.3 120 320C120 306.7 109.3 296 96 296C82.75 296 72 306.7 72 320C72 333.3 82.75 344 96 344zM192 296C178.7 296 168 306.7 168 320C168 333.3 178.7 344 192 344C205.3 344 216 333.3 216 320C216 306.7 205.3 296 192 296z", "M433.8 163.6C439.4 158.6 447.1 158.6 453.5 163.6C473.3 181.4 491.8 200.6 509 221.3C516.9 211.5 525.8 200.6 535.5 191.8C541.1 186.7 549.9 186.7 555.5 191.9C580.2 214.6 601.1 244.5 615.8 273C630.4 301.1 640 329.8 640 349.9C640 437.8 568.7 511.9 480 511.9C390.3 511.9 320 437.7 320 349.9C320 323.5 332.7 291.3 352.4 259.4C372.4 227 400.5 193.3 433.8 163.6V163.6zM480.1 447.9C499 447.9 515 442.9 530 432.9C560 411.9 568 369.9 550 336.9C548 332.9 546 328.9 543 324.9L507 366.9C507 366.9 448.1 292.9 444.1 287.9C415 324.9 400 345.9 400 369.9C400 418.9 436 447.9 480.1 447.9z"]],
    "panorama": [640, 512, [], "e209", ["M578.2 66.06C409.8 116.6 230.2 116.6 61.8 66.06C31 56.82 0 79.88 0 112v319.9c0 32.15 30.1 55.21 61.79 45.97c168.4-50.53 347.1-50.53 516.4-.002C608.1 487.2 640 464.1 640 431.1V112C640 79.88 609 56.82 578.2 66.06zM128 224C110.3 224 96 209.7 96 192s14.33-32 32-32c17.68 0 32 14.33 32 32S145.7 224 128 224zM474.3 388.6C423.4 380.3 371.8 376 320 376c-50.45 0-100.7 4.043-150.3 11.93c-14.14 2.246-24.11-13.19-15.78-24.84l49.18-68.56C206.1 290.4 210.9 288 216 288s9.916 2.441 12.93 6.574l32.46 44.51l93.3-139.1C357.7 194.7 362.7 192 368 192s10.35 2.672 13.31 7.125l109.1 165.1C498.1 375.9 488.1 390.8 474.3 388.6z", "M474.3 388.6C423.4 380.3 371.8 376 320 376c-50.45 0-100.7 4.043-150.3 11.93c-14.14 2.246-24.11-13.19-15.78-24.84l49.18-68.56C206.1 290.4 210.9 288 216 288s9.916 2.441 12.93 6.574l32.46 44.51l93.3-139.1C357.7 194.7 362.7 192 368 192s10.35 2.672 13.31 7.125l109.1 165.1C498.1 375.9 488.1 390.8 474.3 388.6z"]],
    "paper-plane": [512, 512, [61913], "f1d8", ["M511.6 36.86l-64 415.1c-1.5 9.734-7.375 18.22-15.97 23.05c-4.844 2.719-10.27 4.097-15.68 4.097c-4.188 0-8.319-.8154-12.29-2.472l-122.6-51.1L191.1 512L192 394.1c0-7.115 2.372-14.03 6.742-19.64L416 96l-293.7 264.3L19.69 317.5C8.438 312.8 .8125 302.2 .0625 289.1s5.469-23.72 16.06-29.77l448-255.1c10.69-6.109 23.88-5.547 34 1.406S513.5 24.72 511.6 36.86z", "M416 96l-217.3 279.3C194.4 380.1 192 387.9 192 394.1L191.1 512L122.3 360.3L416 96z"]],
    "paper-plane-top": [512, 512, ["paper-plane-alt", "send"], "e20a", ["M511.1 255.1c0 12.8-7.625 24.38-19.41 29.41L44.6 477.4c-4.062 1.75-8.344 2.594-12.59 2.594c-8.625 0-17.09-3.5-23.28-10.05c-9.219-9.766-11.34-24.25-5.344-36.27l73.66-147.3l306.1-30.37L77.03 225.6l-73.66-147.3C-2.623 66.3-.4982 51.81 8.72 42.05c9.25-9.766 23.56-12.75 35.87-7.453L492.6 226.6C504.4 231.6 511.1 243.2 511.1 255.1z", "M383.1 255.1L77.03 286.4V225.6L383.1 255.1z"]],
    "paperclip": [448, 512, [128206], "f0c6", ["M364.2 83.8C339.8 59.39 300.2 59.39 275.8 83.8L91.8 267.8C49.71 309.9 49.71 378.1 91.8 420.2C133.9 462.3 202.1 462.3 244.2 420.2L396.2 268.2C407.1 257.3 424.9 257.3 435.8 268.2C446.7 279.1 446.7 296.9 435.8 307.8L283.8 459.8C219.8 523.8 116.2 523.8 52.2 459.8C-11.75 395.8-11.75 292.2 52.2 228.2L236.2 44.2C282.5-2.08 357.5-2.08 403.8 44.2C450.1 90.48 450.1 165.5 403.8 211.8L227.8 387.8C199.2 416.4 152.8 416.4 124.2 387.8C95.59 359.2 95.59 312.8 124.2 284.2L268.2 140.2C279.1 129.3 296.9 129.3 307.8 140.2C318.7 151.1 318.7 168.9 307.8 179.8L163.8 323.8C157.1 330.5 157.1 341.5 163.8 348.2C170.5 354.9 181.5 354.9 188.2 348.2L364.2 172.2C388.6 147.8 388.6 108.2 364.2 83.8V83.8z", ""]],
    "paperclip-vertical": [384, 512, [], "e3c2", ["M32 128C32 57.31 89.31 0 160 0C230.7 0 288 57.31 288 128V320C288 364.2 252.2 400 208 400C163.8 400 128 364.2 128 320V160C128 142.3 142.3 128 160 128C177.7 128 192 142.3 192 160V320C192 328.8 199.2 336 208 336C216.8 336 224 328.8 224 320V128C224 92.65 195.3 64 160 64C124.7 64 96 92.65 96 128V336C96 397.9 146.1 448 208 448C269.9 448 320 397.9 320 336V160C320 142.3 334.3 128 352 128C369.7 128 384 142.3 384 160V336C384 433.2 305.2 512 208 512C110.8 512 32 433.2 32 336V128z", ""]],
    "parachute-box": [512, 512, [], "f4cd", ["M68.17 192L188.3 324.2C194.3 321.5 200.1 320 208 320H240V192H272V320H304C311 320 317.7 321.5 323.7 324.2L443.8 192H487.1L346.8 346.3C350.1 352.8 352 360.2 352 368V464C352 490.5 330.5 512 304 512H208C181.5 512 160 490.5 160 464V368C160 360.2 161.9 352.8 165.2 346.3L24.92 192H68.17z", "M127.1 176C127.1 125 143.9 80.01 168.2 48.43C192.5 16.89 223.8 0 255.1 0C288.2 0 319.5 16.89 343.8 48.43C368.1 80.01 384 125 384 176C384 181.4 383.8 186.7 383.5 192H128.5C128.2 186.7 127.1 181.4 127.1 176H127.1zM507.8 173.6C510.5 183.1 502.1 192 493.1 192H415.5C415.8 186.7 416 181.4 416 176C416 112.1 393.8 54.84 358.9 16.69C450 49.27 493.4 122.6 507.8 173.6H507.8zM153.1 16.69C118.2 54.84 95.1 112.1 95.1 176C95.1 181.4 96.16 186.7 96.47 192H18.89C9 192 1.483 183.1 4.181 173.6C18.64 122.6 61.97 49.27 153.1 16.69H153.1z"]],
    "paragraph": [448, 512, [182], "f1dd", ["M384 96v352c0 17.67-14.33 32-31.1 32S320 465.7 320 448V96H384z", "M448 63.1C448 81.67 433.7 96 416 96H288v352c0 17.67-14.33 32-31.1 32S224 465.7 224 448v-96H198.9c-83.57 0-158.2-61.11-166.1-144.3C23.66 112.3 98.44 32 191.1 32h224C433.7 32 448 46.33 448 63.1z"]],
    "paragraph-left": [384, 512, ["paragraph-rtl"], "f878", ["M147.8 224h12.11v64C159.9 305.7 174.3 320 191.1 320c17.67 0 31.98-14.33 31.98-31.1V64h32v224c0 17.67 14.35 31.1 32.02 31.1c17.67 0 31.98-14.33 31.98-31.1V64c17.67 0 32-14.33 32-31.1C351.9 14.33 337.6 0 319.9 0h-175.1C80.36 0 32.53 47.41 31.94 110.8C31.37 173.1 85.57 224 147.8 224z", "M352 384H128v-48c0-6.203-3.595-11.86-9.22-14.48c-5.548-2.594-12.24-1.781-17.04 2.188l-96.01 80C2.109 406.8 0 411.3 0 416s2.109 9.25 5.75 12.3l96.01 80C104.7 510.7 108.3 512 112 512c2.297 0 4.632-.5 6.789-1.516C124.4 507.9 128 502.2 128 496V448h223.1C369.7 448 384 433.7 384 415.1C384 398.3 369.7 384 352 384z"]],
    "party-bell": [512, 512, [], "e31a", ["M64 448c-17.67 0-31.1 14.33-31.1 31.1C32 497.7 46.33 512 64 512s31.1-14.33 31.1-31.1C95.1 462.3 81.67 448 64 448zM479.1 96c17.67 0 31.1-14.33 31.1-31.1c0-17.67-14.33-31.1-31.1-31.1s-31.1 14.33-31.1 31.1C448 81.67 462.3 96 479.1 96zM199.4 357.6c-10.22-8.5-25.31-7.125-33.81 3.062s-7.125 25.31 3.062 33.81c25.03 20.84 39.37 51.47 39.37 84.03V488c0 13.25 10.75 24 23.1 24S256 501.3 256 488v-9.531C256 431.6 235.3 387.6 199.4 357.6zM351.1 448c-17.67 0-31.1 14.33-31.1 31.1C319.1 497.7 334.3 512 351.1 512s31.1-14.33 31.1-31.1C383.1 462.3 369.7 448 351.1 448zM487.1 208h-9.531c-32.56 0-63.19-14.34-84.03-39.38c-8.5-10.19-23.66-11.56-33.81-3.062c-10.19 8.5-11.56 23.62-3.062 33.81C387.6 235.3 431.6 256 478.5 256h9.531c13.25 0 24-10.75 24-24S501.2 208 487.1 208zM492.1 440.1c-1.562-17.25-3.687-40.91-28.16-61.84c-24.47-20.88-48.16-19.28-65.5-18.25c-14.84 .9687-21.97 1.094-31.22-6.844c-9.188-7.844-10.16-14.75-11.5-29.59c-1.531-17.25-3.625-40.91-28.09-61.81c-10.06-8.625-25.19-7.438-33.84 2.656c-8.594 10.09-7.406 25.25 2.656 33.84c9.188 7.844 10.16 14.75 11.5 29.56c1.531 17.28 3.625 40.91 28.09 61.84c24.44 20.88 48.16 19.25 65.5 18.25c14.84-.9687 21.97-1.094 31.22 6.844c9.219 7.875 10.19 14.78 11.53 29.66c1.562 17.25 3.687 40.91 28.16 61.84C476.9 510.1 482.5 512 487.1 512c6.75 0 13.5-2.844 18.25-8.406c8.594-10.06 7.438-25.22-2.656-33.84C494.4 461.9 493.4 454.1 492.1 440.1z", "M341.5 91.63L91.63 341.5c-16.35 16.35-43.46 13.21-56.17-6.113C4.782 288.7-8.34 229.4 5.498 166.1C23.14 87.38 87.38 23.14 166.1 5.498c62.43-13.84 121.7-.7149 168.4 29.97C354.7 48.17 357.8 75.28 341.5 91.63z"]],
    "party-horn": [512, 512, [], "e31b", ["M389.7 176c20.87-24.47 19.37-48.19 18.25-65.5c-.9687-14.97-1.062-21.97 6.844-31.22c7.875-9.219 14.78-10.19 29.66-11.53c17.25-1.562 40.91-3.688 61.84-28.16c8.594-10.06 7.437-25.22-2.656-33.84c-10.03-8.5-25.16-7.438-33.84 2.656c-7.875 9.219-14.78 10.19-29.66 11.53c-17.25 1.562-40.91 3.688-61.84 28.16c-20.87 24.47-19.37 48.19-18.25 65.5c.9687 14.97 1.062 21.97-6.844 31.22c-7.844 9.188-14.75 10.16-29.59 11.5c-17.25 1.531-40.91 3.625-61.81 28.09C253.2 194.5 254.3 209.7 264.4 218.3C268.9 222.1 274.5 224 279.1 224c6.781 0 13.5-2.844 18.25-8.406c7.844-9.188 14.75-10.16 29.56-11.5C345.1 202.6 368.7 200.5 389.7 176zM231.1 0c-13.25 0-23.1 10.75-23.1 24v9.531c0 32.56-14.34 63.19-39.37 84.03C158.4 126.1 157.1 141.2 165.6 151.4C170.3 157.1 177.1 160 184 160c5.437 0 10.87-1.812 15.37-5.562c35.97-30 56.62-74.06 56.62-120.9V24C255.1 10.75 245.2 0 231.1 0zM64 .0013c-17.67 0-31.1 14.33-31.1 31.1c0 17.67 14.33 31.1 31.1 31.1s31.1-14.33 31.1-31.1C96 14.33 81.68 .0013 64 .0013zM487.1 256h-9.531C431.6 256 387.6 276.7 357.6 312.6c-8.5 10.19-7.125 25.31 3.062 33.81C365.1 350.2 370.6 352 375.1 352c6.875 0 13.69-2.938 18.44-8.625C415.3 318.3 445.9 304 478.5 304h9.531c13.25 0 23.1-10.75 23.1-24S501.2 256 487.1 256zM479.1 128c-17.67 0-31.1 14.33-31.1 31.1c0 17.67 14.33 31.1 31.1 31.1c17.67 0 31.1-14.33 31.1-31.1C511.1 142.3 497.7 128 479.1 128zM479.1 416c-17.67 0-31.1 14.33-31.1 31.1c0 17.67 14.33 31.1 31.1 31.1c17.67 0 31.1-14.33 31.1-31.1C511.1 430.3 497.7 416 479.1 416z", "M2.035 468.7c-4.406 11.75-1.531 24.1 7.344 33.88C15.47 508.8 23.66 512 32 512c3.781 0 7.594-.6562 11.25-2.031l90.25-33.84l-97.63-97.63L2.035 468.7zM48.22 345.6l118.2 118.2l60.18-22.57L70.79 285.4L48.22 345.6zM310.6 361.4L150.6 201.4C142.9 193.7 131.8 190.5 121.2 192.7C110.6 195 101.8 202.6 98.03 212.7L83.13 252.5l176.4 176.4l39.75-14.9c10.19-3.813 17.72-12.56 20.03-23.19C321.6 380.2 318.3 369.1 310.6 361.4z"]],
    "passport": [448, 512, [], "f5ab", ["M224 64C153.3 64 96 121.3 96 192s57.25 128 128 128s128-57.25 128-128S294.8 64 224 64zM318.4 176h-39.13c-1.5-27-6.5-51.38-14.12-70.38C292.8 118.9 313.1 144.8 318.4 176zM129.6 208h39.13c1.5 27 6.5 51.38 14.12 70.38C155.3 265.1 134.9 239.3 129.6 208zM168.8 176H129.6c5.25-31.25 25.62-57.13 53.25-70.38C175.3 124.6 170.3 149 168.8 176zM224 286.8C216.3 279.3 203.3 252.3 200.5 208h46.84C244.8 252.3 231.8 279.3 224 286.8zM200.6 176C203.2 131.8 216.3 104.8 224 97.25C231.8 104.8 244.7 131.8 247.5 176H200.6zM265.1 278.4C272.8 259.4 277.8 235 279.3 208h39.13C313.1 239.3 292.8 265.1 265.1 278.4z", "M265.1 105.6C272.8 124.6 277.8 149 279.3 176h39.13C313.1 144.8 292.8 118.9 265.1 105.6zM129.6 208c5.25 31.25 25.62 57.13 53.25 70.38C175.3 259.4 170.3 235 168.8 208H129.6zM384 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h320c35.2 0 64-28.8 64-64V64C448 28.8 419.2 0 384 0zM336 416h-224C103.3 416 96 408.8 96 400S103.3 384 112 384h224c8.75 0 16 7.25 16 16S344.8 416 336 416zM224 320c-70.75 0-128-57.25-128-128s57.25-128 128-128s128 57.25 128 128S294.8 320 224 320zM129.6 176h39.13c1.5-27 6.5-51.38 14.12-70.38C155.3 118.9 134.9 144.8 129.6 176zM265.1 278.4c27.62-13.25 48-39.13 53.25-70.38h-39.13C277.8 235 272.8 259.4 265.1 278.4zM224 286.8C231.8 279.3 244.8 252.3 247.4 208H200.5C203.3 252.3 216.3 279.3 224 286.8zM200.6 176h46.88C244.7 131.8 231.8 104.8 224 97.25C216.3 104.8 203.2 131.8 200.6 176z"]],
    "paste": [512, 512, ["file-clipboard"], "f0ea", ["M512 224v240c0 26.51-21.49 48-48 48h-192C245.5 512 224 490.5 224 464v-288C224 149.5 245.5 128 272 128H416v96H512z", "M272 32H215.4C204.3 12.89 183.6 0 160 0S115.7 12.89 104.6 32H48C21.49 32 0 53.49 0 80v320C0 426.5 21.49 448 48 448h144L192 176C192 131.8 227.8 96 272 96H320V80C320 53.49 298.5 32 272 32zM160 88C146.8 88 136 77.25 136 64S146.8 40 160 40S184 50.75 184 64S173.3 88 160 88zM416 128v96h96L416 128z"]],
    "pause": [320, 512, [9208], "f04c", ["", "M272 63.1c-26.51 0-48 21.49-48 48v288c0 26.51 21.49 48 48 48s48-21.49 48-48v-288C320 85.49 298.5 63.1 272 63.1zM48 63.1c-26.51 0-48 21.49-48 48v288C0 426.5 21.49 448 48 448S96 426.5 96 400v-288C96 85.49 74.51 63.1 48 63.1z"]],
    "paw": [512, 512, [], "f1b0", ["M226.5 92.85C240.8 135.7 226.2 179.1 193.9 189.7C161.6 200.2 123.8 174 109.5 131.1C95.19 88.26 109.8 44.92 142.1 34.34C174.4 23.77 212.2 49.96 226.5 92.85zM11.63 249.4C-7.237 216.1-2.664 179.3 21.84 165.3C46.35 151.2 81.51 166.1 100.4 198.6C119.2 231 114.7 268.7 90.16 282.7C65.65 296.8 30.49 281.9 11.63 249.4zM421.8 282.7C397.3 268.7 392.8 231 411.6 198.6C430.5 166.1 465.7 151.2 490.2 165.3C514.7 179.3 519.2 216.1 500.4 249.4C481.5 281.9 446.3 296.8 421.8 282.7zM310.1 189.7C277.8 179.1 263.2 135.7 277.5 92.85C291.8 49.96 329.6 23.77 361.9 34.34C394.2 44.92 408.8 88.26 394.5 131.1C380.2 174 342.4 200.2 310.1 189.7z", "M69.21 401.2C121.6 259.9 214.7 224 255.1 224C297.3 224 390.4 259.9 442.8 401.2C446.4 410.9 448 421.3 448 431.7V433.3C448 459.1 427.1 480 401.3 480C389.8 480 378.4 478.6 367.3 475.8L279.3 453.8C263.1 450 248 450 232.7 453.8L144.7 475.8C133.6 478.6 122.2 480 110.7 480C84.93 480 64 459.1 64 433.3V431.7C64 421.3 65.6 410.9 69.21 401.2H69.21z"]],
    "paw-claws": [512, 512, [], "f702", ["M320 0L373.1 58.4C390.4 77.45 400 102.3 400 128C400.2 139.3 398.5 151.2 394.5 163.1C380.2 206 342.4 232.2 310.1 221.7C277.8 211.1 263.2 167.7 277.5 124.9C285.7 100.2 301.7 81.02 320 71.23L320 0zM226.5 124.9C240.8 167.7 226.2 211.1 193.9 221.7C161.6 232.2 123.8 206 109.5 163.1C105.5 151.2 103.8 139.3 104 128C104 102.3 113.6 77.45 130.9 58.4L183.1 0V71.23C202.3 81.02 218.3 100.2 226.5 124.9H226.5zM11.63 281.4C3.718 267.8-.0723 253.3 0 240V236.8C0 223.3 4.285 210.1 12.24 199.2L64 128V196.8C77.93 202.1 91.11 214.7 100.4 230.6C119.2 263 114.7 300.7 90.16 314.7C65.65 328.8 30.49 313.9 11.63 281.4V281.4zM421.8 314.7C397.3 300.7 392.8 263 411.6 230.6C420.9 214.7 434.1 202.1 448 196.8V127.1L499.8 199.2C507.7 210.1 512 223.3 512 236.8V239.1C512.1 253.3 508.3 267.8 500.4 281.4C481.5 313.9 446.3 328.8 421.8 314.7V314.7z", "M69.21 433.2C121.6 291.9 214.7 256 255.1 256C297.3 256 390.4 291.9 442.8 433.2C446.4 442.9 448 453.3 448 463.7V465.3C448 491.1 427.1 512 401.3 512C389.8 512 378.4 510.6 367.3 507.8L279.3 485.8C263.1 482 248 482 232.7 485.8L144.7 507.8C133.6 510.6 122.2 512 110.7 512C84.93 512 64 491.1 64 465.3V463.7C64 453.3 65.6 442.9 69.21 433.2H69.21z"]],
    "paw-simple": [448, 512, ["paw-alt"], "f701", ["M96 80C96 53.49 117.5 32 144 32C170.5 32 192 53.49 192 80C192 106.5 170.5 128 144 128C117.5 128 96 106.5 96 80zM256 80C256 53.49 277.5 32 304 32C330.5 32 352 53.49 352 80C352 106.5 330.5 128 304 128C277.5 128 256 106.5 256 80zM448 192C448 218.5 426.5 240 400 240C373.5 240 352 218.5 352 192C352 165.5 373.5 144 400 144C426.5 144 448 165.5 448 192zM0 192C0 165.5 21.49 144 48 144C74.51 144 96 165.5 96 192C96 218.5 74.51 240 48 240C21.49 240 0 218.5 0 192z", "M97.72 286C103.1 283.8 109.5 279.7 112.7 273.9L152.7 201.1C167.1 176.1 194.4 160 224 160C253.6 160 280.9 176.1 295.3 201.1L335.3 273.9C338.5 279.7 344 283.8 350.3 286C388.6 300 416 336.8 416 380C416 435.2 371.2 480 316 480C294.8 480 275.2 473.4 259.1 462.2C241.7 450.2 206.3 450.2 188.9 462.2C172.8 473.4 153.2 480 132 480C76.77 480 32 435.2 32 380C32 336.8 59.38 300 97.72 286H97.72z"]],
    "peace": [512, 512, [9774], "f67c", ["M288 240.6l135.7 108.6c-10.51 18.83-24.16 35.62-40.14 49.88L288 322.6v122.5C277.6 446.9 266.9 448 256 448s-21.57-1.129-32-2.891v-122.5l-95.59 76.47c-15.98-14.27-29.64-31.05-40.14-49.88L224 240.6V66.89C234.4 65.13 245.1 64 256 64s21.57 1.129 32 2.891V240.6z", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 448c-105.9 0-192-86.13-192-192s86.13-192 192-192s192 86.13 192 192S361.9 448 256 448z"]],
    "peach": [512, 512, [], "e20b", ["M512 272c0 154.6-241.7 235.5-256 240c0 0-256-74.94-256-240c0-88.36 77.6-159.1 173.3-160c82.1 0 157.3 60.38 157.3 144c0 8.844 7.156 16 16 16s16-7.156 16-16c0-55.72-28.08-105.4-71.69-137.7C306.2 114.3 322.1 112 338.7 112C434.4 112 512 183.6 512 272z", "M146.6 81.81c21.07-2.574 60.48-4.828 104.8 13.89c31.46-8.309 63.25-20.09 113.1-13.89C386.3 67.38 400 43.32 400 16V0h-63.1c-44.18 0-79.1 35.82-79.1 80C256 35.82 204.2 0 160 0H112v16C112 43.32 125.7 67.38 146.6 81.81z"]],
    "peanut": [512, 512, [], "e430", ["M510.2 79.27c-1.264-41.37-36.15-76.26-77.52-77.52c0 0-58.3-1.752-60.09-1.752c-84.2 0-151.4 60.65-161.4 141.7c-7.943 64.34-68.28 69.4-69.56 69.56c-81.03 9.976-141.7 77.19-141.7 161.4c0 1.786 .0273 3.58 .0823 5.381l1.672 54.71c1.264 41.37 36.15 76.26 77.52 77.52c0 0 58.3 1.754 60.08 1.754c84.2 0 151.4-60.65 161.4-141.7c7.944-64.35 68.27-69.4 69.56-69.55c81.04-9.976 141.7-77.2 141.7-161.4c0-1.785-.0273-3.578-.0822-5.377L510.2 79.27zM128 435.1c-11.03 0-19.1-8.969-19.1-20s8.968-20 19.1-20s19.1 8.969 19.1 20S139 435.1 128 435.1zM192 435.1c-11.03 0-19.1-8.969-19.1-20s8.968-20 19.1-20c11.03 0 19.1 8.969 19.1 20S203 435.1 192 435.1zM192 371.1c-11.03 0-19.1-8.969-19.1-20s8.968-20 19.1-20c11.03 0 19.1 8.969 19.1 20S203 371.1 192 371.1zM351.1 211.1c-11.03 0-19.1-8.969-19.1-20s8.968-20 19.1-20s19.1 8.969 19.1 20S363 211.1 351.1 211.1zM415.1 211.1c-11.03 0-19.1-8.969-19.1-20s8.968-20 19.1-20s19.1 8.969 19.1 20S427 211.1 415.1 211.1zM415.1 147.1c-11.03 0-19.1-8.97-19.1-20s8.968-20 19.1-20s19.1 8.969 19.1 20S427 147.1 415.1 147.1z", "M415.1 147.1c11.03 0 19.1-8.97 19.1-20s-8.968-20-19.1-20s-19.1 8.969-19.1 20S404.1 147.1 415.1 147.1zM128 395.1c-11.03 0-19.1 8.969-19.1 20s8.968 20 19.1 20s19.1-8.969 19.1-20S139 395.1 128 395.1zM192 395.1c-11.03 0-19.1 8.969-19.1 20s8.968 20 19.1 20c11.03 0 19.1-8.969 19.1-20S203 395.1 192 395.1zM415.1 171.1c-11.03 0-19.1 8.969-19.1 20s8.968 20 19.1 20s19.1-8.969 19.1-20S427 171.1 415.1 171.1zM351.1 171.1c-11.03 0-19.1 8.969-19.1 20s8.968 20 19.1 20s19.1-8.969 19.1-20S363 171.1 351.1 171.1zM192 331.1c-11.03 0-19.1 8.969-19.1 20s8.968 20 19.1 20c11.03 0 19.1-8.969 19.1-20S203 331.1 192 331.1z"]],
    "peanuts": [640, 512, [129372], "e431", ["M638.2 79.27c-1.264-41.37-36.15-76.26-77.52-77.52c0 0-58.3-1.752-60.09-1.752c-84.2 0-151.4 60.65-161.4 141.7c-7.943 64.34-68.28 69.4-69.56 69.56c-81.04 9.976-141.7 77.19-141.7 161.4c0 1.786 .0273 3.58 .0823 5.381l1.672 54.71c1.264 41.37 36.15 76.26 77.52 77.52c0 0 58.3 1.754 60.08 1.754c84.2 0 151.4-60.65 161.4-141.7c7.944-64.35 68.27-69.4 69.56-69.55C579.3 290.8 640 223.6 640 139.4c0-1.786-.0273-3.58-.0823-5.381L638.2 79.27zM255.9 436c-11.03 0-20-8.969-20-20s8.973-20 20-20s20 8.969 20 20S266.1 436 255.9 436zM319.9 436c-11.03 0-20-8.969-20-20s8.972-20 20-20s20 8.969 20 20S330.1 436 319.9 436zM319.9 372c-11.03 0-20-8.969-20-20s8.972-19.1 20-19.1s20 8.968 20 19.1S330.1 372 319.9 372zM479.1 212c-11.03 0-20-8.969-20-20s8.971-20 20-20s20 8.969 20 20S490.1 212 479.1 212zM543.1 212c-11.03 0-20-8.969-20-20s8.972-20 20-20s20 8.969 20 20S555 212 543.1 212zM543.1 148c-11.03 0-20-8.969-20-20s8.972-20 20-20s20 8.969 20 20S555 148 543.1 148z", "M255.9 396c-11.03 0-20 8.969-20 20s8.973 20 20 20s20-8.969 20-20S266.1 396 255.9 396zM306.3 77.4L287.1 36.82C276.2 13.84 252.8-.002 228.9-.002c-8.01 0-16.08 1.555-23.74 4.842l-40.39 17.31C113.7 44.01 83.89 92.89 83.89 145.1c0 32.42 9.154 40.15 9.154 61.38C93.05 273.1 0 264.2 0 374.2c0 20.08 4.416 40.65 13.74 60.37l19.2 40.57C43.81 498.2 67.23 512 91.13 512c8.008 0 16.07-1.555 23.74-4.84l10.64-4.561c-16.34-18.9-26.95-42.8-27.74-68.9c0 0-1.768-58.87-1.768-60.93c0-98.71 71.99-181.2 169.8-193.3c45.8-5.646 39.74-46.6 49.5-77.49C313.1 93.71 310.1 85.48 306.3 77.4zM543.1 148c11.03 0 20-8.969 20-20s-8.971-20-20-20S523.1 116.1 523.1 128S532.9 148 543.1 148zM543.1 172c-11.03 0-20 8.969-20 20s8.973 20 20 20s20-8.969 20-20S555 172 543.1 172zM479.1 172c-11.03 0-20 8.969-20 20s8.971 20 20 20S499.1 203 499.1 192S491 172 479.1 172zM319.9 396C308.9 396 299.9 404.1 299.9 416s8.973 20 20 20s20-8.969 20-20S330.1 396 319.9 396zM319.9 332C308.9 332 299.9 340.1 299.9 352s8.973 20 20 20s20-8.969 20-20S330.1 332 319.9 332z"]],
    "peapod": [512, 512, [], "e31c", ["M128 327.1c-30.94 0-56 25.06-56 56c0 30.93 25.06 56 56 56c30.93 0 56-25.07 56-56C184 353.1 158.9 327.1 128 327.1zM384 71.1C353.1 71.1 328 97.06 328 128c0 30.93 25.07 56 56 56C414.9 184 440 158.9 440 128C440 97.06 414.9 71.1 384 71.1zM256 199.1C225.1 199.1 200 225.1 200 256S225.1 312 256 312S312 286.9 312 256S286.9 199.1 256 199.1z", "M511.1 32.54c.4512-18.11-14.41-32.98-32.53-32.53c-61.21 1.524-195.9 15.29-282.5 101.9L101.9 196.9c-86.6 86.6-100.4 221.3-101.9 282.5c-.4513 18.11 14.41 32.98 32.53 32.53c61.21-1.525 195.9-15.3 282.5-101.9l95.06-95.03C496.7 228.5 510.5 93.75 511.1 32.54zM128 440c-30.93 0-56-25.07-56-56S97.07 327.1 128 327.1c30.93 0 56 25.07 56 56S158.9 440 128 440zM256 312c-30.93 0-56-25.07-56-56c0-30.93 25.07-56 56-56S312 225.1 312 256C312 286.9 286.9 312 256 312zM384 184C353.1 184 328 158.9 328 128s25.07-56 56-56C414.9 71.1 440 97.07 440 128S414.9 184 384 184z"]],
    "pear": [512, 512, [], "e20c", ["M479.6 166.2c0-26.69-7.883-53.41-23.55-76.39l-31.13 31.13c-4.687 4.687-10.83 7.032-16.97 7.032C395.2 128 384 117.7 384 104c0-6.141 2.344-12.28 7.031-16.97l31.41-31.41c-22.49-15.73-48.69-23.25-74.98-23.25c-36.48 0-73.17 14.54-100.5 41.99c-75.59 75.84-246.9 63.19-246.9 245.2c0 106.3 86.58 192.5 192.2 192.5c179.9 0 173.2-175.9 248.5-251.4C466.7 234.5 479.6 200.4 479.6 166.2zM192 448c-8.844 0-16-7.156-16-16S183.2 416 192 416c52.94 0 96-43.06 96-96c0-8.844 7.156-16 16-16S320 311.2 320 320C320 390.6 262.6 448 192 448z", "M407.1 128C395.2 128 384 117.7 384 104c0-6.141 2.344-12.28 7.031-16.97l80-80C475.7 2.344 481.9 0 488 0C500.8 0 512 10.3 512 24c0 6.141-2.344 12.28-7.031 16.97l-80 80C420.3 125.7 414.1 128 407.1 128z"]],
    "pedestal": [448, 512, [], "e20d", ["M352 0H96C60.65 0 32 28.65 32 64v384h384V64C416 28.65 387.3 0 352 0zM112 96C103.2 96 96 88.84 96 80C96 71.16 103.2 64 112 64S128 71.16 128 80C128 88.84 120.8 96 112 96zM336 96C327.2 96 320 88.84 320 80C320 71.16 327.2 64 336 64S352 71.16 352 80C352 88.84 344.8 96 336 96z", "M432 448h-416C7.164 448 0 455.2 0 464v32c0 8.836 7.151 15.99 15.99 15.99h416C440.8 511.1 448 504.8 448 496v-32C448 455.2 440.8 448 432 448zM112 96C120.8 96 128 88.84 128 80C128 71.16 120.8 64 112 64S96 71.16 96 80C96 88.84 103.2 96 112 96zM336 96C344.8 96 352 88.84 352 80C352 71.16 344.8 64 336 64S320 71.16 320 80C320 88.84 327.2 96 336 96z"]],
    "pegasus": [576, 512, [], "f703", ["M64.36 215.7C54.07 223.3 47.99 235.3 47.1 248L47.1 304c0 8.837-7.163 16-15.1 16H15.1C7.163 320 0 312.8 0 304V248C0 199.4 39.4 160 87.1 160H88.46C74.58 175.5 66.12 195 64.36 215.7z", "M575.9 76.61c.0176-8.098-3.009-15.93-8.55-21.84c-3.779-4-8.61-9.121-13.72-14.5c11.06-6.84 19.53-17.46 22.21-30.63c.8555-4.387-2.011-8.636-6.396-9.491c-.5078-.0996-1.062-.1503-1.578-.1503L447.9 0c-70.69 0-127.1 57.31-127.1 128C255.1 128 215.7 91.23 192.3 37.74C188.9 30.2 178.7 30.01 175.1 37.46c-9.98 21.14-15.16 44.27-15.15 67.65c0 67 50.1 133.1 127.1 147.7V256C205.1 256 144.7 198.5 130.1 133.1C129.1 133.5 129 133.8 128 134.1V133.4C78.12 150.9 51.87 205.6 69.38 255.5c5.145 14.66 13.76 27.84 25.14 38.42l-25.67 68.61C66.25 369.4 65.21 376.7 65.11 384c-.0996 5.654 .2347 11.34 1.623 16.88l21.75 86.88C92.04 502 104.8 512 119.5 512h32.98c20.81 0 36.09-19.55 31.05-39.74l-21.29-85.38l23.74-63.62l133.1 22.35V480c0 17.67 14.33 32 32 32h31.1c17.67 0 32-14.33 32-32V318.2C436.5 297.4 447.1 269.3 447.1 240c0-.2207-.0928-.4121-.1025-.6328V136.9L463.9 144l18.99 37.8c7.453 14.87 24.95 21.47 40.39 15.3l32.58-13.06c12.17-4.863 20.14-16.69 20.13-29.8L575.9 76.61zM511.9 96c-8.836 0-15.1-7.164-15.1-16S503 64 511.9 64s15.1 7.164 15.1 16S520.7 96 511.9 96z"]],
    "pen": [512, 512, [128394], "f304", ["M362.7 19.32C387.7-5.678 428.3-5.678 453.3 19.32L492.7 58.75C517.7 83.74 517.7 124.3 492.7 149.3L432.1 208.1L303 79.03L362.7 19.32z", "M182.7 459.2C176.1 465.8 167.9 470.7 158.9 473.3L30.77 511C22.35 513.5 13.24 511.2 7.03 504.1C.8198 498.8-1.502 489.7 .976 481.2L38.67 353.1C41.32 344.1 46.17 335.9 52.8 329.3L303 79.03L432.1 208.1L182.7 459.2z"]],
    "pen-circle": [512, 512, [], "e20e", ["M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM357.8 139.7C342.1 124.1 316.8 124.1 301.2 139.7L279.8 161.1L350.7 232.1L372.1 210.7C387.8 195 387.8 169.7 372.1 154.1L357.8 139.7zM143.5 303.8L128.5 363.1C127.1 369.4 128.7 375.2 132.7 379.2C136.7 383.1 142.4 384.7 147.9 383.4L208 368.3C213.6 366.9 218.8 364 222.9 359.9L328.1 254.7L257.1 183.8L151.9 288.1C147.8 293.1 144.9 298.2 143.5 303.8z", "M301.2 139.7C316.8 124.1 342.1 124.1 357.8 139.7L372.1 154.1C387.8 169.7 387.8 195 372.1 210.7L350.7 232.1L279.8 161.1L301.2 139.7zM328.1 254.7L222.9 359.9C218.8 364 213.6 366.9 208 368.3L147.9 383.4C142.4 384.7 136.7 383.1 132.7 379.2C128.7 375.2 127.1 369.4 128.5 363.1L143.5 303.8C144.9 298.2 147.8 293.1 151.9 288.1L257.1 183.8L328.1 254.7z"]],
    "pen-clip": [512, 512, ["pen-alt"], "f305", ["M362.7 19.32C387.7-5.678 428.3-5.678 453.3 19.32L492.7 58.75C517.7 83.74 517.7 124.3 492.7 149.3L417.9 224L288 94.06L362.7 19.32z", "M104.1 216.1C95.6 226.3 80.4 226.3 71.03 216.1C61.66 207.6 61.66 192.4 71.03 183L173.1 80.97C201.2 52.85 246.8 52.85 274.9 80.97L417.9 224L229.5 412.5C181.5 460.5 120.3 493.2 53.7 506.5L28.71 511.5C20.84 513.1 12.7 510.6 7.03 504.1C1.356 499.3-1.107 491.2 .4662 483.3L5.465 458.3C18.78 391.7 51.52 330.5 99.54 282.5L254.1 128L240.1 114.9C231.6 105.5 216.4 105.5 207 114.9L104.1 216.1z"]],
    "pen-clip-slash": [640, 512, ["pen-alt-slash"], "e20f", ["M264.3 181.8L318.1 128L304.1 114.9C295.6 105.5 280.4 105.5 271 114.9L230.5 155.4L192.5 125.6L237.1 80.97C265.2 52.85 310.8 52.85 338.9 80.97L481.9 224L409.9 296L264.3 181.8zM163.5 282.5L195.8 250.3L341.2 364.8L293.5 412.5C245.5 460.5 184.3 493.2 117.7 506.5L92.71 511.5C84.84 513.1 76.7 510.6 71.03 504.1C65.36 499.3 62.89 491.2 64.47 483.3L69.46 458.3C82.78 391.7 115.5 330.5 163.5 282.5L163.5 282.5zM556.7 58.75C581.7 83.74 581.7 124.3 556.7 149.3L504.6 201.4L374.6 71.43L426.7 19.32C451.7-5.678 492.3-5.678 517.3 19.32L556.7 58.75z", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "pen-fancy": [512, 512, [128395, 10002], "f5ac", ["M255.1 337.9L233.7 434.3C231.1 445.8 222.4 454.8 211.2 457.1L24.35 510.3L119.7 414.9C122.4 415.6 125.1 416 128 416C145.7 416 160 401.7 160 384C160 366.3 145.7 352 128 352C110.3 352 96 366.3 96 384C96 386.9 96.38 389.6 97.08 392.3L1.724 487.7L54.03 300.8C57.19 289.6 66.25 280.9 77.65 278.3L174.1 256L255.1 337.9zM512 78.61C512 78.74 512 78.86 512 78.98C512 79.1 512 79.22 512 79.34V78.61z", "M373.5 27.11C388.5 9.885 410.2 0 433 0C476.6 0 512 35.36 512 78.98C512 101.8 502.1 123.5 484.9 138.5L255.1 337.9L174.1 256L373.5 27.11z"]],
    "pen-fancy-slash": [640, 512, [], "e210", ["M287.1 199.7L437.5 27.11C452.5 9.885 474.2 0 497 0C540.6 0 576 35.36 576 78.98C576 101.8 566.1 123.5 548.9 138.5L387.9 278.7L287.1 199.7zM299.9 425.1C295.9 442.2 282.9 455.8 266 460.5L88.35 510.3L183.7 414.9C186.4 415.6 189.1 416 192 416C209.7 416 224 401.7 224 384C224 366.3 209.7 352 192 352C174.3 352 160 366.3 160 384C160 386.9 160.4 389.6 161.1 392.3L65.72 487.6L115.5 309.1C120.2 293.1 133.8 280.1 150.9 276.1L211 262.3L317.1 346.5L299.9 425.1z", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "pen-field": [640, 512, [], "e211", ["M0 208C0 163.8 35.82 128 80 128H272C289.7 128 304 142.3 304 160C304 177.7 289.7 192 272 192H80C71.16 192 64 199.2 64 208V432C64 440.8 71.16 448 80 448H496C504.8 448 512 440.8 512 432V304C512 286.3 526.3 272 544 272C561.7 272 576 286.3 576 304V432C576 476.2 540.2 512 496 512H80C35.82 512 0 476.2 0 432V208z", "M534.1 16.02C552.8-2.736 583.2-2.742 601.9 16.01L623.8 37.88C642.7 56.77 642.5 87.43 623.5 106.1L583.7 145.1L494.4 55.74L534.1 16.02zM560.8 167.5L415.6 309.6C408.7 316.4 400.3 321.5 391.1 324.6L319.6 348.5C310.1 351.4 301.5 349.1 295 342.7C288.6 336.3 286.4 326.8 289.2 318.1L313 246.8C316.1 237.4 321.4 228.8 328.5 221.8L471.7 78.37L560.8 167.5zM160 320C160 337.7 145.7 352 128 352C110.3 352 96 337.7 96 320C96 302.3 110.3 288 128 288C145.7 288 160 302.3 160 320zM192 320C192 302.3 206.3 288 224 288C241.7 288 256 302.3 256 320C256 337.7 241.7 352 224 352C206.3 352 192 337.7 192 320z"]],
    "pen-line": [576, 512, [], "e212", ["M492.7 58.75C517.7 83.74 517.7 124.3 492.7 149.3L432.1 208.1L303 79.03L362.7 19.32C387.7-5.678 428.3-5.678 453.3 19.32L492.7 58.75zM552 464C565.3 464 576 474.7 576 488C576 501.3 565.3 512 552 512H248C234.7 512 224 501.3 224 488C224 474.7 234.7 464 248 464H552z", "M182.7 459.2C176.1 465.8 167.9 470.7 158.9 473.3L30.77 511C22.35 513.5 13.24 511.2 7.03 504.1C.8198 498.8-1.502 489.7 .976 481.2L38.67 353.1C41.32 344.1 46.17 335.9 52.8 329.3L303 79.03L432.1 208.1L182.7 459.2z"]],
    "pen-nib": [512, 512, [10001], "f5ad", ["M293.9 92.81L419.2 218.1L371.4 377.3C365.4 397.2 350.2 413 330.5 419.6L66.17 508.2C54.83 512 42.32 509.2 33.74 500.9L187.3 347.3C193.6 350.3 200.6 352 207.1 352C234.5 352 255.1 330.5 255.1 304C255.1 277.5 234.5 256 207.1 256C181.5 256 159.1 277.5 159.1 304C159.1 311.4 161.7 318.4 164.7 324.7L11.11 478.3C2.809 469.7-.04 457.2 3.765 445.8L92.39 181.5C98.1 161.8 114.8 146.6 134.7 140.6L293.9 92.81z", "M368.4 18.34C390.3-3.526 425.7-3.526 447.6 18.34L493.7 64.4C515.5 86.27 515.5 121.7 493.7 143.6L419.2 218.1L293.9 92.81L368.4 18.34z"]],
    "pen-nib-slash": [640, 512, [], "e4a1", ["M208.1 137.8L351.1 94.6L481.4 224L450.3 327.6L208.1 137.8zM67.76 445.8L146.4 211.3L231.4 278.3C226.7 285.8 223.1 294.6 223.1 304C223.1 311.4 225.7 318.4 228.7 324.7L75.11 478.3C66.81 469.7 63.96 457.2 67.76 445.8V445.8zM271.1 352C285.5 352 297.7 346.4 306.4 337.4L404.9 415C401.6 416.8 398.1 418.4 394.5 419.6L130.2 508.2C118.8 512 106.3 509.2 97.74 500.9L251.3 347.3C257.6 350.3 264.6 352 271.1 352H271.1zM432.4 18.34C454.3-3.526 489.7-3.526 511.6 18.34L557.7 64.4C579.5 86.27 579.5 121.7 557.7 143.6L501.9 199.3L376.7 74.06L432.4 18.34z", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "pen-paintbrush": [576, 512, ["pencil-paintbrush"], "f618", ["M147.1 226.3L16.4 95.6C-5.467 73.73-5.467 38.27 16.4 16.4C38.27-5.467 73.73-5.467 95.6 16.4L226.3 147.1L147.1 226.3zM423.9 290.6C474.3 301.5 512 346.4 512 400C512 403.9 511.8 407.8 511.4 411.6C509.6 429.1 521.6 448 539.2 448H544C561.7 448 576 462.3 576 480C576 497.7 561.7 512 544 512H400C346.4 512 301.5 474.3 290.6 423.9L423.9 290.6z", "M410.7 19.32C435.7-5.678 476.3-5.678 501.3 19.32L524.7 42.75C549.7 67.74 549.7 108.3 524.7 133.3L468.3 189.7L354.3 75.72L410.7 19.32zM445.7 212.3L190.8 467.1C184.1 473.8 175.8 478.7 166.6 481.4L62.59 511.1C54.21 513.5 45.19 511.1 39.03 504.1C32.87 498.8 30.53 489.8 32.92 481.4L62.65 377.4C65.26 368.2 70.16 359.9 76.89 353.2L331.7 98.34L445.7 212.3z"]],
    "pen-ruler": [512, 512, ["pencil-ruler"], "f5ae", ["M249.4 103.4L103.4 249.4L16 161.9C-2.745 143.2-2.745 112.8 16 94.06L94.06 16C112.8-2.745 143.2-2.745 161.9 16L181.7 35.76C181.4 36.05 181 36.36 180.7 36.69L116.7 100.7C110.4 106.9 110.4 117.1 116.7 123.3C122.9 129.6 133.1 129.6 139.3 123.3L203.3 59.31C203.6 58.99 203.1 58.65 204.2 58.3L249.4 103.4zM453.7 307.8C453.4 308 453 308.4 452.7 308.7L388.7 372.7C382.4 378.9 382.4 389.1 388.7 395.3C394.9 401.6 405.1 401.6 411.3 395.3L475.3 331.3C475.6 330.1 475.1 330.6 476.2 330.3L496 350.1C514.7 368.8 514.7 399.2 496 417.9L417.9 496C399.2 514.7 368.8 514.7 350.1 496L262.6 408.6L408.6 262.6L453.7 307.8z", "M378.7 19.32C403.7-5.678 444.3-5.678 469.3 19.32L492.7 42.75C517.7 67.74 517.7 108.3 492.7 133.3L436.3 189.7L322.3 75.72L378.7 19.32zM413.7 212.3L158.8 467.1C152.1 473.8 143.8 478.7 134.6 481.4L30.59 511.1C22.21 513.5 13.19 511.1 7.03 504.1C.8669 498.8-1.47 489.8 .9242 481.4L30.65 377.4C33.26 368.2 38.16 359.9 44.89 353.2L299.7 98.34L413.7 212.3z"]],
    "pen-slash": [640, 512, [], "e213", ["M264.3 181.8L355.7 90.34L485.7 220.3L409.9 296L264.3 181.8zM122.6 323.5L195.8 250.3L341.2 364.8L252.5 453.4C242.1 463.8 229.2 471.5 215.1 475.6L94.77 511C86.35 513.5 77.24 511.2 71.03 504.1C64.82 498.8 62.5 489.7 64.98 481.2L100.4 360.9C104.5 346.8 112.2 333.9 122.6 323.5L122.6 323.5zM426.7 19.32C451.7-5.678 492.3-5.678 517.3 19.32L556.7 58.75C581.7 83.74 581.7 124.3 556.7 149.3L508.3 197.7L378.3 67.72L426.7 19.32z", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "pen-swirl": [512, 512, [], "e214", ["M256 8C286.1 8 314.1 13.37 341.7 23.19L303.6 61.7C288.3 57.97 272.4 56 256 56C145.5 56 56 145.5 56 256C56 366.5 145.5 456 256 456C269.3 456 280 466.7 280 480C280 493.3 269.3 504 256 504C119 504 8 392.1 8 256C8 119 119 8 256 8H256zM456 256C456 239.1 454.1 224.3 450.5 209.4L489 170.9C498.7 197.4 504 226.1 504 256C504 339.9 435.9 408 352 408C338.9 408 326.2 406.3 314 403.2C301.2 399.9 293.5 386.8 296.8 373.1C300.1 361.1 313.1 353.4 325.1 356.7C334.3 358.9 342.1 360 352 360C409.4 360 456 313.4 456 256L456 256z", "M406.1 16.02C424.8-2.736 455.2-2.742 473.9 16.01L495.8 37.88C514.7 56.77 514.5 87.43 495.5 106.1L455.7 145.1L366.4 55.74L406.1 16.02zM432.8 167.5L287.6 309.6C280.7 316.4 272.3 321.5 263.1 324.6L191.6 348.5C182.1 351.4 173.5 349.1 167 342.7C160.6 336.3 158.4 326.8 161.2 318.1L185 246.8C188.1 237.4 193.4 228.8 200.5 221.8L343.7 78.37L432.8 167.5z"]],
    "pen-to-square": [512, 512, ["edit"], "f044", ["M0 160C0 106.1 42.98 64 96 64H192C209.7 64 224 78.33 224 96C224 113.7 209.7 128 192 128H96C78.33 128 64 142.3 64 160V416C64 433.7 78.33 448 96 448H352C369.7 448 384 433.7 384 416V320C384 302.3 398.3 288 416 288C433.7 288 448 302.3 448 320V416C448 469 405 512 352 512H96C42.98 512 0 469 0 416V160z", "M392.4 21.66C414.3-.2135 449.7-.2135 471.6 21.66L490.3 40.4C512.2 62.27 512.2 97.73 490.3 119.6L460.3 149.7L362.3 51.72L392.4 21.66zM437.7 172.3L270.3 339.6C264.2 345.8 256.7 350.4 248.4 353.2L159.6 382.8C150.1 385.6 141.5 383.4 135 376.1C128.6 370.5 126.4 361 129.2 352.4L158.8 263.6C161.6 255.3 166.2 247.8 172.4 241.7L339.7 74.34L437.7 172.3z"]],
    "pencil": [512, 512, [61504, 9999, "pencil-alt"], "f303", ["M362.7 19.32C387.7-5.678 428.3-5.678 453.3 19.32L492.7 58.75C517.7 83.74 517.7 124.3 492.7 149.3L432.1 208.1L303 79.03L362.7 19.32z", "M182.7 459.2C176.1 465.8 167.9 470.7 158.9 473.3L30.77 511C22.35 513.5 13.24 511.2 7.03 504.1C.8198 498.8-1.502 489.7 .976 481.2L38.67 353.1C41.32 344.1 46.17 335.9 52.8 329.3L86.74 363.2C85.79 364.2 85.1 365.3 84.72 366.6L59.44 452.6L145.4 427.3C146.7 426.9 147.9 426.2 148.8 425.3L158.6 415.4H112C103.2 415.4 96 408.3 96 399.4V353.9L86.74 363.2L52.8 329.3L303 79.03L432.1 208.1L182.7 459.2z"]],
    "pencil-slash": [640, 512, [], "e215", ["M264.3 181.8L355.7 90.34L485.7 220.3L409.9 296L264.3 181.8zM122.6 323.5L195.8 250.3L341.2 364.8L252.5 453.4L218.6 419.5L222.1 416H176C167.2 416 160 408.8 160 400V353.9L156.5 357.4C151.8 362.2 148.3 368 146.4 374.4L123.4 452.6L201.6 429.6C207.1 427.7 213.8 424.2 218.6 419.5L252.5 453.4C242.1 463.8 229.2 471.5 215.1 475.6L94.77 511C86.35 513.5 77.24 511.2 71.03 504.1C64.82 498.8 62.5 489.7 64.98 481.2L100.4 360.9C104.5 346.8 112.2 333.9 122.6 323.5V323.5zM556.7 58.75C581.7 83.74 581.7 124.3 556.7 149.3L508.3 197.7L378.3 67.72L426.7 19.32C451.7-5.678 492.3-5.678 517.3 19.32L556.7 58.75z", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "people": [640, 512, [], "e216", ["M160 0C133.5 0 111.1 21.5 111.1 48S133.5 96 159.1 96s47.1-21.5 47.1-48S186.5 0 160 0zM479.1 0c-26.5 0-47.1 21.5-47.1 48S453.5 96 479.1 96s48-21.5 48-48S506.5 0 479.1 0z", "M244.6 158.1C232.8 139.3 212.5 128 190.3 128h-60.5C107.5 128 87.22 139.3 75.47 158.1L4.873 271C-4.502 286 .0605 305.8 15.03 315.1c15 9.375 34.75 4.812 44.1-10.19L88 258.8L87.1 480c0 17.67 14.33 32 31.1 32S152 497.7 152 480v-144h16V480c0 17.67 14.32 32 31.1 32S232 497.7 232 480V258.8l28.88 46.2C266.9 314.7 277.4 320 288 320c5.781 0 11.66-1.562 16.94-4.859c14.97-9.375 19.53-29.11 10.16-44.09L244.6 158.1zM635.1 271l-61.19-97.95C556.3 144.9 525.8 128 492.5 128h-25.06c-33.28 0-63.72 16.86-81.41 45.13l-61.19 97.92c-9.375 14.98-4.812 34.72 10.16 44.09c15.03 9.375 34.75 4.812 44.1-10.19l32.62-52.19L367.1 384H408v96c0 17.67 14.33 32 31.1 32S472 497.7 472 480v-96h16v96c0 17.67 14.33 32 31.1 32s32-14.33 32-32v-96h39.1l-43.75-131.3l32.63 52.22C586.9 314.7 597.4 320 608 320c5.781 0 11.66-1.562 16.94-4.859C639.9 305.8 644.5 286 635.1 271z"]],
    "people-arrows": [576, 512, ["people-arrows-left-right"], "e068", ["M96 128c35.38 0 64-28.62 64-64S131.4 0 96 0S32 28.62 32 64S60.63 128 96 128zM128 160H64C28.65 160 0 188.7 0 224v96c0 17.67 14.33 32 31.1 32L32 480c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-96.39l-50.36-47.53C100.1 327.9 96 316.2 96 304.1c0-12.16 4.971-23.83 13.64-32.01l72.13-68.08c1.65-1.555 3.773-2.311 5.611-3.578C177.1 176.8 155 160 128 160zM480 128c35.38 0 64-28.62 64-64s-28.62-64-64-64s-64 28.62-64 64S444.6 128 480 128zM512 160h-64c-26.1 0-49.98 16.77-59.38 40.42c1.842 1.271 3.969 2.027 5.623 3.588l72.12 68.06C475 280.2 480 291.9 480 304.1c.002 12.16-4.969 23.83-13.64 32.01L416 383.6V480c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-128c17.67 0 32-14.33 32-32V224C576 188.7 547.3 160 512 160z", "M444.4 310.4l-72.12 68.07c-3.49 3.291-8.607 4.191-13.01 2.299C354.9 378.9 352 374.6 352 369.8v-36.14H224v36.14c0 4.795-2.857 9.135-7.262 11.03c-4.406 1.895-9.523 .9941-13.01-2.297L131.6 310.4c-4.805-4.535-4.805-12.94 0-17.47L203.7 224.9C207.2 221.6 212.3 220.7 216.7 222.6C221.1 224.5 224 228.8 224 233.6v35.99h128V233.6c0-4.793 2.857-9.135 7.262-11.03c4.406-1.895 9.523-.9941 13.01 2.299l72.12 68.07C449.2 297.5 449.2 305.9 444.4 310.4z"]],
    "people-carry-box": [640, 512, ["people-carry"], "f4ce", ["M128 0C101.5 0 80.01 21.5 80.01 47.1s21.5 47.1 47.1 47.1s47.1-21.5 47.1-47.1S154.5 0 128 0zM511.1 0c-26.5 0-48 21.5-48 47.1s21.5 47.1 47.1 47.1s47.1-21.5 47.1-47.1S538.5 0 511.1 0zM415.1 144c0-8.75-7.25-16-16-16H240c-8.75 0-16 7.25-16 16L224 315.4C228.6 317.9 235.3 319.5 240 319.9h159.1C404.7 319.5 411.4 317.9 416 315.4L415.1 144z", "M196.6 195.9c-8.375-25-25.38-46-48.12-59.38c-17.25-10-37.63-11.25-56.12-3.25c-18.88 8-32.88 24.88-37.5 44.88l-18.37 80.13c-4.625 20 .7506 41.25 14.37 56.75l67.25 75.88l10.12 92.63C130 499.8 143.8 512 160 512c1.25 0 2.25-.125 3.5-.25c17.62-1.875 30.25-17.62 28.25-35.25l-10-92.75c-1.5-13-7-25.12-15.62-35l-43.37-49l17.62-70.38l6.876 20.38c4 12.5 11.87 23.5 24.5 32.63l51 32.5C223.1 315.1 223.6 315.2 224 315.4l.001-75.38l-16.12-10.25L196.6 195.9zM46.26 358.1l-44 110c-6.5 16.38 1.5 35 17.88 41.63c16.75 6.5 35.12-1.75 41.62-17.88l27.62-69.13l-2-18.25L46.26 358.1zM603.5 258.3l-18.5-80.13c-4.625-20-18.62-36.88-37.5-44.88c-18.5-8-38.1-6.75-56.12 3.25c-22.62 13.38-39.62 34.5-48.12 59.38l-11.25 33.88l-15.1 10.25L416 315.4c.3711-.1992 .9043-.2949 1.246-.5078l51-32.5c12.62-9.125 20.5-20 24.5-32.63l6.875-20.38l17.63 70.38l-43.37 49c-8.625 9.875-14.12 22-15.62 35l-10 92.75c-2 17.62 10.75 33.38 28.25 35.25C477.7 511.9 478.7 512 479.1 512c16.12 0 29.1-12.12 31.75-28.5l10.12-92.63L589.1 315C602.7 299.5 608.1 278.3 603.5 258.3zM637.7 468.1l-43.1-110l-41.13 46.38l-2 18.25l27.62 69.13C583.2 504.4 595.2 512 607.1 512c3.998 0 7.998-.75 11.87-2.25C636.2 503.1 644.2 484.5 637.7 468.1z"]],
    "people-dress": [640, 512, [], "e217", ["M159.1 0c-26.5 0-48 21.5-48 48S133.5 96 159.1 96s48-21.5 48-48S186.5 0 159.1 0zM480 0c-26.5 0-47.1 21.5-47.1 48S453.5 96 480 96s48-21.5 48-48S506.5 0 480 0z", "M253.9 173.1C236.3 144.9 205.8 128 172.5 128H147.5C114.2 128 83.75 144.9 66.06 173.1L4.873 271C-4.502 286 .0605 305.8 15.03 315.1c15.03 9.375 34.75 4.812 44.1-10.19l32.62-52.19L47.1 384h40v96c0 17.67 14.33 32 31.1 32s32-14.33 32-32v-96h16v96c0 17.67 14.32 32 31.1 32s32-14.33 32-32v-96H271.1L228.2 252.7l32.63 52.22C266.9 314.7 277.4 320 288 320c5.781 0 11.66-1.562 16.94-4.859c14.97-9.375 19.53-29.11 10.16-44.09L253.9 173.1zM635.1 271l-61.19-97.95C556.3 144.9 525.8 128 492.5 128h-25.06c-33.28 0-63.72 16.86-81.41 45.13l-61.19 97.92c-9.375 14.98-4.812 34.72 10.16 44.09c15.03 9.375 34.75 4.812 44.09-10.19l32.62-52.19L368 384H408v96c0 17.67 14.33 32 32 32S472 497.7 472 480v-96h16v96c0 17.67 14.33 32 32 32s31.1-14.33 31.1-32v-96h40l-43.76-131.3l32.63 52.22C586.9 314.7 597.4 320 608 320c5.781 0 11.66-1.562 16.94-4.859C639.9 305.8 644.5 286 635.1 271z"]],
    "people-dress-simple": [512, 512, [], "e218", ["M128 0C92.63 0 64 28.62 64 64s28.62 64 64 64s64-28.62 64-64S163.4 0 128 0zM384 0c-35.38 0-64 28.62-64 64s28.62 64 64 64s64-28.62 64-64S419.4 0 384 0z", "M511.4 363.6l-48.22-168.8C457.3 174.2 438.4 160 416.1 160h-65.99c-21.43 0-40.27 14.21-46.15 34.81l-48.23 168.8C253.7 373.8 261.4 384 272 384H320v96c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-96h47.99C506.6 384 514.3 373.8 511.4 363.6zM207.1 194.8C201.3 174.2 182.4 160 160.1 160H95C73.57 160 54.74 174.2 48.85 194.8l-48.22 168.8C-2.295 373.8 5.379 384 16.01 384H64v96c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-96h47.99c10.63 0 18.3-10.18 15.38-20.4L207.1 194.8z"]],
    "people-group": [640, 512, [], "e533", ["M64 96C64 60.65 92.65 32 128 32C163.3 32 192 60.65 192 96C192 131.3 163.3 160 128 160C92.65 160 64 131.3 64 96zM192 394.5V448C192 465.7 177.7 480 160 480H96C78.33 480 64 465.7 64 448V405.2C26.16 387.2 0 348.7 0 304C0 242.1 50.14 192 112 192H144C163.7 192 182.3 197.1 198.4 206.1C174.6 231.8 160 266.2 160 304C160 338.3 171.1 369.8 192 394.5zM64 346.3V261.7C54.04 272.9 48 287.8 48 304C48 320.2 54.04 335.1 64 346.3zM448 394.5C468 369.8 480 338.3 480 304C480 266.2 465.4 231.8 441.6 206.1C457.7 197.1 476.3 192 496 192H528C589.9 192 640 242.1 640 304C640 348.7 613.8 387.2 576 405.2V448C576 465.7 561.7 480 544 480H480C462.3 480 448 465.7 448 448V394.5zM592 304C592 287.8 585.1 272.9 576 261.7V346.3C585.1 335 592 320.2 592 304zM448 96C448 60.65 476.7 32 512 32C547.3 32 576 60.65 576 96C576 131.3 547.3 160 512 160C476.7 160 448 131.3 448 96z", "M384 96C384 131.3 355.3 160 320 160C284.7 160 256 131.3 256 96C256 60.65 284.7 32 320 32C355.3 32 384 60.65 384 96zM384 448C384 465.7 369.7 480 352 480H288C270.3 480 256 465.7 256 448V405.2C218.2 387.2 192 348.7 192 304C192 242.1 242.1 192 304 192H336C397.9 192 448 242.1 448 304C448 348.7 421.8 387.2 384 405.2V448zM256 261.7C246 272.9 240 287.8 240 304C240 320.2 246 335.1 256 346.3V261.7zM400 304C400 287.8 393.1 272.9 384 261.7V346.3C393.1 335 400 320.2 400 304z"]],
    "people-line": [640, 512, [], "e534", ["M359.1 72C359.1 94.09 342.1 112 319.1 112C297.9 112 279.1 94.09 279.1 72C279.1 49.91 297.9 32 319.1 32C342.1 32 359.1 49.91 359.1 72zM183.1 168C183.1 190.1 166.1 208 143.1 208C121.9 208 103.1 190.1 103.1 168C103.1 145.9 121.9 128 143.1 128C166.1 128 183.1 145.9 183.1 168zM455.1 168C455.1 145.9 473.9 128 495.1 128C518.1 128 535.1 145.9 535.1 168C535.1 190.1 518.1 208 495.1 208C473.9 208 455.1 190.1 455.1 168zM199.1 352C199.1 369.7 185.7 384 167.1 384H119.1C102.3 384 87.1 369.7 87.1 352V313.5L61.13 363.4C54.84 375 40.29 379.4 28.62 373.1C16.95 366.8 12.58 352.3 18.87 340.6L56.74 270.3C72.09 241.8 101.9 224 134.2 224H153.8C170.1 224 185.7 228.5 199.2 236.6L232.7 174.3C248.1 145.8 277.9 128 310.2 128H329.8C362.1 128 391.9 145.8 407.3 174.3L440.8 236.6C454.3 228.5 469.9 224 486.2 224H505.8C538.1 224 567.9 241.8 583.3 270.3L621.1 340.6C627.4 352.3 623 366.8 611.4 373.1C599.7 379.4 585.1 375 578.9 363.4L551.1 313.5V352C551.1 369.7 537.7 384 519.1 384H471.1C454.3 384 439.1 369.7 439.1 352V313.5L413.1 363.4C406.8 375 392.3 379.4 380.6 373.1C368.9 366.8 364.6 352.3 370.9 340.6L407.2 273.1C405.5 271.5 404 269.6 402.9 267.4L375.1 217.5V272C375.1 289.7 361.7 304 343.1 304H295.1C278.3 304 263.1 289.7 263.1 272V217.5L237.1 267.4C235.1 269.6 234.5 271.5 232.8 273.1L269.1 340.6C275.4 352.3 271 366.8 259.4 373.1C247.7 379.4 233.1 375 226.9 363.4L199.1 313.5L199.1 352z", "M0 448C0 430.3 14.33 416 32 416H608C625.7 416 640 430.3 640 448C640 465.7 625.7 480 608 480H32C14.33 480 0 465.7 0 448z"]],
    "people-pants": [640, 512, [], "e219", ["M159.1 0c-26.5 0-47.1 21.5-47.1 48S133.5 96 159.1 96s47.1-21.5 47.1-48S186.5 0 159.1 0zM479.1 0c-26.5 0-48 21.5-48 48S453.5 96 479.1 96s47.1-21.5 47.1-48S506.5 0 479.1 0z", "M244.6 158.1C232.8 139.3 212.5 128 190.3 128h-60.5C107.5 128 87.22 139.3 75.47 158.1L4.873 271C-4.502 286 .0605 305.8 15.03 315.1c15 9.375 34.75 4.812 44.1-10.19L88 258.8L87.1 480c0 17.67 14.33 32 31.1 32S152 497.7 152 480v-144h16V480c0 17.67 14.32 32 31.1 32S232 497.7 232 480V258.8l28.88 46.2C266.9 314.7 277.4 320 288 320c5.781 0 11.66-1.562 16.94-4.859c14.97-9.375 19.53-29.11 10.16-44.09L244.6 158.1zM635.1 271l-70.56-112.1C552.8 139.3 532.5 128 510.3 128h-60.5c-22.22 0-42.53 11.25-54.28 30.09l-70.6 112.1c-9.375 14.98-4.812 34.72 10.16 44.09c15 9.375 34.75 4.812 44.09-10.19L408 258.8L407.1 480c0 17.67 14.33 32 31.1 32s32-14.33 32-32L472 336h16L487.1 480c0 17.67 14.32 32 31.1 32s32-14.33 32-32L552 258.8l28.88 46.2C586.9 314.7 597.4 320 608 320c5.781 0 11.66-1.562 16.94-4.859C639.9 305.8 644.5 286 635.1 271z"]],
    "people-pants-simple": [448, 512, [], "e21a", ["M96 0C60.63 0 32 28.62 32 64s28.62 64 64 64s64-28.62 64-64S131.4 0 96 0zM352 0c-35.38 0-64 28.62-64 64s28.62 64 64 64s64-28.62 64-64S387.4 0 352 0z", "M128 160H64C28.65 160 0 188.7 0 224v96c0 17.67 14.33 32 32 32v128c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-128c17.67 0 32-14.33 32-32V224C192 188.7 163.3 160 128 160zM384 160h-64c-35.35 0-64 28.65-64 64v96c0 17.67 14.33 32 32 32v128c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-128c17.67 0 32-14.33 32-32V224C448 188.7 419.3 160 384 160z"]],
    "people-pulling": [576, 512, [], "e535", ["M32 48C32 21.49 53.49 0 80 0C106.5 0 128 21.49 128 48C128 74.51 106.5 96 80 96C53.49 96 32 74.51 32 48V48zM118.3 128C130.1 128 143.5 130.5 155.2 135.4L289.3 191.2C283.9 198.1 279.4 207.4 275.8 216.3L274.3 220.1C267.8 236.4 275.5 254.8 291.6 261.5L173.3 212.2L231.2 473.1C235.1 490.3 224.2 507.4 206.9 511.2C189.7 515.1 172.6 504.2 168.8 486.9L138.8 352H123.1L143.6 474.7C146.5 492.2 134.7 508.7 117.3 511.6C99.83 514.5 83.34 502.7 80.44 485.3L56.35 340.8C50.48 347.6 41.75 352 32 352C14.33 352 0 337.7 0 320V192C0 156.7 28.65 128 64 128H118.3zM333.6 244.1C333.7 244 333.7 243.1 333.7 243.9L333.7 243.8C333.7 243.9 333.7 243.1 333.6 244.1z", "M512 48C512 74.51 490.5 96 464 96C437.5 96 416 74.51 416 48C416 21.49 437.5 0 464 0C490.5 0 512 21.49 512 48zM382.5 199.3C381.6 199.7 380.6 200.1 379.7 200.5L368.6 205.4C353.4 212.2 341.4 224.6 335.2 240.1L333.7 243.9C327.1 260.3 308.5 268.3 292.1 261.7C275.7 255.1 267.7 236.5 274.3 220.1L275.8 216.3C288.2 185.4 312.2 160.5 342.7 146.9L353.7 142C374.5 132.8 396.1 128 419.7 128C464.3 128 504.5 154.8 521.6 195.9L536.1 232.7L558.3 243.4C574.1 251.3 580.5 270.5 572.6 286.3C564.7 302.1 545.5 308.5 529.7 300.6L503 287.3C492.7 282.1 484.6 273.4 480.2 262.8L470.6 239.8L451.3 305.3L500.8 359.4C506.2 365.3 510.1 372.4 512 380.2L535 472.2C539.3 489.4 528.9 506.8 511.8 511C494.6 515.3 477.2 504.9 472.1 487.8L450.9 399.6L380.3 322.5C365.5 306.4 359.1 283.9 365.6 262.8L382.5 199.3zM324.7 398L349.7 335.6C351.8 338.6 354.2 341.4 356.7 344.2L397.4 388.6L382.9 424.8C380.5 430.9 376.9 436.4 372.3 440.9L310.6 502.6C298.1 515.1 277.9 515.1 265.4 502.6C252.9 490.1 252.9 469.9 265.4 457.4L324.7 398z"]],
    "people-robbery": [576, 512, [], "e536", ["M400 127.1C441.7 127.1 478.1 99.59 488.2 59.1L496.1 24.24C501.2 7.093 518.6-3.331 535.8 .9552C552.9 5.242 563.3 22.62 559 39.76L550.3 74.63C539.3 118.6 510.1 154.2 472 174.3V480C472 497.7 457.7 512 440 512C422.3 512 408 497.7 408 480V352H392V480C392 497.7 377.7 512 360 512C342.3 512 328 497.7 328 480V174.3C289.9 154.2 260.7 118.6 249.7 74.63L240.1 39.76C236.7 22.62 247.1 5.242 264.2 .9552C281.4-3.331 298.8 7.093 303 24.24L311.8 59.1C321.9 99.59 358.3 127.1 400 127.1H400zM448 47.1C448 74.51 426.5 95.1 400 95.1C373.5 95.1 352 74.51 352 47.1C352 21.49 373.5-.0006 400-.0006C426.5-.0006 448 21.49 448 47.1V47.1z", "M128 48C128 74.51 106.5 96 80.01 96C53.5 96 32.01 74.51 32.01 48C32.01 21.49 53.5 0 80.01 0C106.5 0 128 21.49 128 48zM8 192C8 156.7 36.65 128 72 128H104.7C132.1 128 157.6 142 172.2 165.1L209.6 224H240C257.7 224 272 238.3 272 256C272 273.7 257.7 288 240 288H192C181 288 170.9 282.4 164.1 273.1L152 252.7V480C152 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480V352H72V480C72 497.7 57.68 512 40 512C22.33 512 8.005 497.7 8.005 480V288.6L8 287.1L8 192z"]],
    "people-roof": [640, 512, [], "e537", ["M359.1 200C359.1 222.1 342.1 240 319.1 240C297.9 240 279.1 222.1 279.1 200C279.1 177.9 297.9 160 319.1 160C342.1 160 359.1 177.9 359.1 200zM183.1 296C183.1 318.1 166.1 336 143.1 336C121.9 336 103.1 318.1 103.1 296C103.1 273.9 121.9 256 143.1 256C166.1 256 183.1 273.9 183.1 296zM455.1 296C455.1 273.9 473.9 256 495.1 256C518.1 256 535.1 273.9 535.1 296C535.1 318.1 518.1 336 495.1 336C473.9 336 455.1 318.1 455.1 296zM199.1 480C199.1 497.7 185.7 512 167.1 512H119.1C102.3 512 87.1 497.7 87.1 480V441.5L61.13 491.4C54.84 503 40.29 507.4 28.62 501.1C16.95 494.8 12.58 480.3 18.87 468.6L56.74 398.3C72.09 369.8 101.9 352 134.2 352H153.8C170.1 352 185.7 356.5 199.2 364.6L232.7 302.3C248.1 273.8 277.9 256 310.2 256H329.8C362.1 256 391.9 273.8 407.3 302.3L440.8 364.6C454.3 356.5 469.9 352 486.2 352H505.8C538.1 352 567.9 369.8 583.3 398.3L621.1 468.6C627.4 480.3 623 494.8 611.4 501.1C599.7 507.4 585.1 503 578.9 491.4L551.1 441.5V480C551.1 497.7 537.7 512 519.1 512H471.1C454.3 512 439.1 497.7 439.1 480V441.5L413.1 491.4C406.8 503 392.3 507.4 380.6 501.1C368.9 494.8 364.6 480.3 370.9 468.6L407.2 401.1C405.5 399.5 404 397.6 402.9 395.4L375.1 345.5V400C375.1 417.7 361.7 432 343.1 432H295.1C278.3 432 263.1 417.7 263.1 400V345.5L237.1 395.4C235.1 397.6 234.5 399.5 232.8 401.1L269.1 468.6C275.4 480.3 271 494.8 259.4 501.1C247.7 507.4 233.1 503 226.9 491.4L199.1 441.5L199.1 480z", "M304.5 4.027C314.1-1.342 325.9-1.342 335.5 4.027L623.5 164C638.1 172.6 644.6 192.1 635.1 207.5C627.4 222.1 607.9 228.6 592.5 219.1L319.1 68.61L47.54 219.1C32.09 228.6 12.61 222.1 4.025 207.5C-4.558 192.1 1.008 172.6 16.46 164L304.5 4.027z"]],
    "people-simple": [512, 512, [], "e21b", ["M128 0C92.63 0 64 28.62 64 64s28.62 64 64 64s64-28.62 64-64S163.4 0 128 0zM384 0c-35.38 0-64 28.62-64 64s28.62 64 64 64s64-28.62 64-64S419.4 0 384 0z", "M160 160H96C60.65 160 32 188.7 32 224v96c0 17.67 14.33 32 32 32v128c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-128c17.67 0 32-14.33 32-32V224C224 188.7 195.3 160 160 160zM511.4 363.6l-48.22-168.8C457.3 174.2 438.4 160 416.1 160h-65.99c-21.43 0-40.27 14.21-46.15 34.81l-48.23 168.8C253.7 373.8 261.4 384 272 384H320v96c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-96h47.99C506.6 384 514.3 373.8 511.4 363.6z"]],
    "pepper": [512, 512, [129745], "e432", ["M438.2 98.56c-24.98-5.939-49.9-1.373-70.45 10.6c-23.75-13.75-47.3-13.21-47.79-13.21c-.0703 0-.1328 .0664-.2031 .0703C295.2 96.07 272.1 105.6 256 120.9C239 105.6 216.8 96.05 192.1 96.01C192.1 96.01 192.1 95.95 192 95.95c-55.48 0-89.33 53.57-77.47 99.93l44.94 167.1c2.281 8.547-2.812 17.31-11.34 19.59C146.8 383.8 145.3 384 144 384c-7.062 0-13.53-4.719-15.47-11.86L83.56 203.1C73.43 164.4 86.07 124.6 112.8 97.48C100.2 95.24 87.01 95.4 73.76 98.56C22.2 110.8-9.646 162.6 2.633 214.2l53.34 224C66.47 482.3 105.8 512 149.3 512c7.375 0 14.84-.8438 22.34-2.625c11.38-2.711 21.59-7.611 30.79-13.74C217.7 505.1 236.1 512 256 512s38.31-6.035 53.62-16.37c9.195 6.131 19.41 11.03 30.79 13.74C347.9 511.2 355.4 512 362.7 512c43.4 0 82.78-29.68 93.28-73.79l53.34-224C521.6 162.6 489.8 110.8 438.2 98.56z", "M274.9 107.8c-6.814 3.711-13.32 7.918-19.05 13.08c-8.701-7.838-18.81-14.11-29.89-18.43C214.8 48.99 192 41.79 192 24C192 7.078 206.7 0 215.1 0C240.8 0 265.3 52.55 274.9 107.8z"]],
    "pepper-hot": [512, 512, [127798], "f816", ["M467.7 314.8C406.1 407 248.3 512 56 512C25.13 512 0 486.9 0 456s25.12-56 56-56c151.5 0 152.9-188.1 236.1-260.2L352 165.5V256h90.56L467.7 314.8z", "M465 134.2c21.46-38.38 19.87-87.17-5.65-123.1c-7.541-10.83-22.31-13.53-33.2-5.938c-10.77 7.578-13.44 22.55-5.896 33.41c14.41 20.76 15.13 47.69 4.098 69.77C407.1 100.1 388 95.1 368 95.1c-36.23 0-68.93 13.83-94.24 35.92L352 165.5V256h90.56l33.53 78.23C498.2 308.9 512 276.2 512 239.1C512 198 493.7 160.6 465 134.2z"]],
    "percent": [384, 512, [62101, 62785, "percentage"], "25", ["M374.6 73.39c-12.5-12.5-32.75-12.5-45.25 0l-320 320c-12.5 12.5-12.5 32.75 0 45.25C15.63 444.9 23.81 448 32 448s16.38-3.125 22.62-9.375l320-320C387.1 106.1 387.1 85.89 374.6 73.39z", "M64 192c35.3 0 64-28.72 64-64S99.3 64.01 64 64.01S0 92.73 0 128S28.7 192 64 192zM320 320c-35.3 0-64 28.72-64 64s28.7 64 64 64s64-28.72 64-64S355.3 320 320 320z"]],
    "period": [128, 512, [], "2e", ["", "M64 352c-35.35 0-64 28.65-64 64c0 35.35 28.65 64 64 64s64-28.65 64-64C128 380.7 99.35 352 64 352z"]],
    "person": [320, 512, [129485, "male"], "f183", ["M208 48C208 74.51 186.5 96 160 96C133.5 96 112 74.51 112 48C112 21.49 133.5 0 160 0C186.5 0 208 21.49 208 48z", "M88 256.9L59.43 304.5C50.33 319.6 30.67 324.5 15.52 315.4C.3696 306.3-4.531 286.7 4.573 271.5L62.85 174.6C80.2 145.7 111.4 128 145.1 128H174.9C208.6 128 239.8 145.7 257.2 174.6L315.4 271.5C324.5 286.7 319.6 306.3 304.5 315.4C289.3 324.5 269.7 319.6 260.6 304.5L232 256.9V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V352H152V480C152 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480L88 256.9z"]],
    "person-arrow-down-to-line": [640, 512, [], "e538", ["M144 48C144 21.49 165.5 0 192 0C218.5 0 240 21.49 240 48C240 74.51 218.5 96 192 96C165.5 96 144 74.51 144 48zM120 448V256.9L91.43 304.5C82.33 319.6 62.67 324.5 47.52 315.4C32.37 306.3 27.47 286.7 36.57 271.5L94.85 174.6C112.2 145.7 143.4 128 177.1 128H206.9C240.6 128 271.8 145.7 289.2 174.6L347.4 271.5C356.5 286.7 351.6 306.3 336.5 315.4C321.3 324.5 301.7 319.6 292.6 304.5L264 256.9V448H200V352H184V448L120 448z", "M528 64V306.7L553.4 281.4C565.9 268.9 586.1 268.9 598.6 281.4C611.1 293.9 611.1 314.1 598.6 326.6L518.6 406.6C506.1 419.1 485.9 419.1 473.4 406.6L393.4 326.6C380.9 314.1 380.9 293.9 393.4 281.4C405.9 268.9 426.1 268.9 438.6 281.4L464 306.7V64C464 46.33 478.3 32 496 32C513.7 32 528 46.33 528 64zM608 448C625.7 448 640 462.3 640 480C640 497.7 625.7 512 608 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H608z"]],
    "person-arrow-up-from-line": [640, 512, [], "e539", ["M144 48C144 21.49 165.5 0 192 0C218.5 0 240 21.49 240 48C240 74.51 218.5 96 192 96C165.5 96 144 74.51 144 48zM120 448V256.9L91.43 304.5C82.33 319.6 62.67 324.5 47.52 315.4C32.37 306.3 27.47 286.7 36.57 271.5L94.85 174.6C112.2 145.7 143.4 128 177.1 128H206.9C240.6 128 271.8 145.7 289.2 174.6L347.4 271.5C356.5 286.7 351.6 306.3 336.5 315.4C321.3 324.5 301.7 319.6 292.6 304.5L264 256.9V448H200V352H184V448L120 448z", "M553.4 166.6L528 141.3V384C528 401.7 513.7 416 496 416C478.3 416 464 401.7 464 384V141.3L438.6 166.6C426.1 179.1 405.9 179.1 393.4 166.6C380.9 154.1 380.9 133.9 393.4 121.4L473.4 41.37C485.9 28.88 506.1 28.88 518.6 41.37L598.6 121.4C611.1 133.9 611.1 154.1 598.6 166.6C586.1 179.1 565.9 179.1 553.4 166.6V166.6zM608 448C625.7 448 640 462.3 640 480C640 497.7 625.7 512 608 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H608z"]],
    "person-biking": [640, 512, [128692, "biking"], "f84a", ["M256 384C256 454.7 198.7 512 128 512C57.31 512 0 454.7 0 384C0 313.3 57.31 256 128 256C198.7 256 256 313.3 256 384zM128 312C88.24 312 56 344.2 56 384C56 423.8 88.24 456 128 456C167.8 456 200 423.8 200 384C200 344.2 167.8 312 128 312zM640 384C640 454.7 582.7 512 512 512C441.3 512 384 454.7 384 384C384 313.3 441.3 256 512 256C582.7 256 640 313.3 640 384zM512 312C472.2 312 440 344.2 440 384C440 423.8 472.2 456 512 456C551.8 456 584 423.8 584 384C584 344.2 551.8 312 512 312z", "M352 48C352 21.49 373.5 0 400 0C426.5 0 448 21.49 448 48C448 74.51 426.5 96 400 96C373.5 96 352 74.51 352 48zM365.4 111.2L427.2 159.1H480C497.7 159.1 512 174.3 512 191.1C512 209.7 497.7 223.1 480 223.1H416C408.7 223.1 401.7 221.5 396 216.1L355.3 184.4L295 232.9L337.8 261.4C346.7 267.3 352 277.3 352 288V416C352 433.7 337.7 448 320 448C302.3 448 288 433.7 288 416V305.1L227.5 266.8C194.7 245.1 192.5 198.9 223.2 175.2L306.3 110.9C323.8 97.45 348.1 97.58 365.4 111.2H365.4z"]],
    "person-biking-mountain": [640, 512, [128693, "biking-mountain"], "f84b", ["M96.24 276.6C97.91 264.9 107.9 256 120 256H136C148.1 256 158.1 264.9 159.8 276.6C167.4 278.8 174.7 281.9 181.5 285.6C190.9 278.5 204.3 279.3 212.9 287.8L224.2 299.1C232.7 307.7 233.5 321.1 226.4 330.5C230.1 337.3 233.2 344.6 235.4 352.2C247.1 353.9 255.1 363.9 255.1 376V392C255.1 404.1 247.1 414.1 235.4 415.8C233.2 423.4 230.1 430.7 226.4 437.5C233.5 446.9 232.7 460.3 224.2 468.9L212.9 480.2C204.3 488.7 190.9 489.5 181.5 482.4C174.7 486.1 167.4 489.2 159.8 491.4C158.1 503.1 148.1 512 135.1 512H119.1C107.9 512 97.91 503.1 96.24 491.4C88.62 489.2 81.34 486.1 74.49 482.4C65.09 489.5 51.7 488.7 43.15 480.2L31.83 468.9C23.28 460.3 22.53 446.9 29.58 437.5C25.85 430.7 22.81 423.4 20.57 415.8C8.938 414.1 0 404.1 0 392V376C0 363.9 8.938 353.9 20.57 352.2C22.81 344.6 25.85 337.3 29.58 330.5C22.53 321.1 23.28 307.7 31.83 299.1L43.15 287.8C51.7 279.3 65.09 278.5 74.49 285.6C81.34 281.9 88.62 278.8 96.24 276.6L96.24 276.6zM128 320C92.65 320 64 348.7 64 384C64 419.3 92.65 448 128 448C163.3 448 192 419.3 192 384C192 348.7 163.3 320 128 320zM480.2 276.6C481.9 264.9 491.9 256 504 256H520C532.1 256 542.1 264.9 543.8 276.6C551.4 278.8 558.7 281.9 565.5 285.6C574.9 278.5 588.3 279.3 596.9 287.8L608.2 299.1C616.7 307.7 617.5 321.1 610.4 330.5C614.1 337.3 617.2 344.6 619.4 352.2C631.1 353.9 640 363.9 640 376V392C640 404.1 631.1 414.1 619.4 415.8C617.2 423.4 614.1 430.7 610.4 437.5C617.5 446.9 616.7 460.3 608.2 468.9L596.9 480.2C588.3 488.7 574.9 489.5 565.5 482.4C558.7 486.1 551.4 489.2 543.8 491.4C542.1 503.1 532.1 512 520 512H504C491.9 512 481.9 503.1 480.2 491.4C472.6 489.2 465.3 486.1 458.5 482.4C449.1 489.5 435.7 488.7 427.1 480.2L415.8 468.9C407.3 460.3 406.5 446.9 413.6 437.5C409.8 430.7 406.8 423.4 404.6 415.8C392.9 414.1 384 404.1 384 392V376C384 363.9 392.9 353.9 404.6 352.2C406.8 344.6 409.8 337.3 413.6 330.5C406.5 321.1 407.3 307.7 415.8 299.1L427.1 287.8C435.7 279.3 449.1 278.5 458.5 285.6C465.3 281.9 472.6 278.8 480.2 276.6L480.2 276.6zM512 320C476.7 320 448 348.7 448 384C448 419.3 476.7 448 512 448C547.3 448 576 419.3 576 384C576 348.7 547.3 320 512 320z", "M448 48C448 74.51 426.5 96 400 96C373.5 96 352 74.51 352 48C352 21.49 373.5 0 400 0C426.5 0 448 21.49 448 48zM480 159.1C497.7 159.1 512 174.3 512 191.1C512 209.7 497.7 223.1 480 223.1H416C408.7 223.1 401.7 221.5 396 216.1L355.3 184.4L295 232.9L337.8 261.4C346.7 267.3 352 277.3 352 288V416C352 433.7 337.7 448 320 448C302.3 448 288 433.7 288 416V305.1L227.5 266.8C194.7 245.1 192.5 198.9 223.2 175.2L306.3 110.9C323.8 97.45 348.1 97.58 365.4 111.2L427.2 159.1H480zM166.3 163.9L122.3 108.9C116.7 101.8 117.1 91.51 125.2 86.1L190.4 37.22C218 16.48 257.2 21.45 278.8 48.44L293.7 67.11C299.3 74.16 298 84.49 290.8 89.9L188.4 166.7C181.5 171.9 171.7 170.6 166.3 163.9V163.9z"]],
    "person-booth": [576, 512, [], "f756", ["M192 496C192 504.8 199.3 512 208 512h32C248.8 512 256 504.8 256 496V320H192V496zM544 0h-32v496c0 8.75 7.25 16 16 16h32c8.75 0 16-7.25 16-16V32C576 14.25 561.8 0 544 0zM192 32v160h64V0H224C206.3 0 192 14.25 192 32zM288 32l31.5 223.1l-30.88 154.6C284.3 431.3 301.6 448 320 448c15.25 0 27.99-9.125 32.24-30.38C353.3 434.5 366.9 448 384 448c17.75 0 32-14.25 32-32c0 17.75 14.25 32 32 32s32-14.25 32-32V0h-192V32zM64 128c26.5 0 48-21.5 48-48S90.5 32 64 32S16 53.5 16 80S37.5 128 64 128z", "M224 224H173.1L127.9 178.8C115.8 166.6 99.75 160 82.75 160H64C46.88 160 30.75 166.8 18.75 178.8c-12 12.12-18.72 28.22-18.72 45.35L0 480c0 17.75 14.25 32 31.88 32s32-14.25 32-32L64 379.3c.875 .5 1.625 1.375 2.5 1.75L95.63 424V480c0 17.75 14.25 32 32 32c17.62 0 32-14.25 32-32v-56.5c0-9.875-2.375-19.75-6.75-28.62l-41.13-61.25V253l20.88 20.88C141.8 283 153.8 288 166.5 288H224c17.75 0 32-14.25 32-32S241.8 224 224 224z"]],
    "person-breastfeeding": [448, 512, [], "e53a", ["M160 288C177.7 288 192 302.3 192 320V356.8C217.4 386.5 252.8 406.1 291.7 411.6L292.5 411.7C283.3 431.3 288.4 455.4 306 469.5C312.4 474.6 319.7 477.8 327.2 479.2C323.4 480.1 319.5 480.3 315.5 479.7L282.7 474.1C273.5 473.7 264.5 471.8 255.7 469.4C257.9 449.1 248 430.3 229.5 421.1L128.1 370.4C128 369.6 128 368.8 128 368V320C128 302.3 142.3 288 160 288H160zM320 332C320 356.3 300.3 376 276 376C251.7 376 232 356.3 232 332C232 307.7 251.7 288 276 288C300.3 288 320 307.7 320 332z", "M144 80C144 35.82 179.8 0 224 0C268.2 0 304 35.82 304 80C304 124.2 268.2 160 224 160C179.8 160 144 124.2 144 80zM436.8 382.8L373.5 461.1C356.9 482.7 326.7 486 306 469.5C288.4 455.4 283.3 431.3 292.5 411.7L291.7 411.6C252.8 406.1 217.4 386.5 192 356.8V320C192 302.3 177.7 288 160 288C142.3 288 128 302.3 128 320V368C128 368.8 128 369.6 128.1 370.4L229.5 421.1C253.2 432.9 262.8 461.8 250.9 485.5C239.1 509.2 210.2 518.8 186.5 506.9L27.21 427.3C26.11 426.7 25.02 426.2 23.95 425.5C19.04 422.7 14.79 419.1 11.3 414.1C6.732 409.5 3.492 403.3 1.683 396.6C-1.576 384.6-.1811 371.4 6.459 359.9C7.098 358.8 7.776 357.8 8.489 356.7L75.56 256.1C102.3 216.1 147.2 192 195.4 192H270.6C317.1 192 360.7 214.5 387.8 252.3L438.5 323.2C440.7 326.2 442.5 329.4 443.9 332.7C446.9 339.3 448.2 346.4 447.1 353.5C447.7 364.1 443.8 374.5 436.8 382.8V382.8zM276 288C251.7 288 232 307.7 232 332C232 356.3 251.7 376 276 376C300.3 376 320 356.3 320 332C320 307.7 300.3 288 276 288z"]],
    "person-burst": [640, 512, [], "e53b", ["M176 8C182.6 8 188.5 11.1 190.9 18.09L220.3 92.05L296.5 68.93C302.7 67.03 309.5 69.14 313.6 74.27C317.7 79.39 318.2 86.49 314.1 92.18L275.5 161.3L330.7 199.3L306.3 239.8L255.8 247.6L261.4 327C261.8 333.6 258.3 339.7 252.4 342.6C246.5 345.4 239.4 344.4 234.6 339.9L176 286.1L117.4 339.9C112.6 344.4 105.5 345.4 99.64 342.6C93.74 339.7 90.16 333.6 90.62 327L96.21 247.6L17.56 235.4C11.08 234.4 5.876 229.6 4.418 223.2C2.959 216.8 5.545 210.1 10.94 206.4L76.51 161.3L37.02 92.18C33.77 86.49 34.32 79.39 38.4 74.27C42.49 69.14 49.29 67.03 55.56 68.93L131.7 92.05L161.1 18.09C163.6 11.1 169.5 8 176 8V8z", "M528 48C528 74.51 506.5 96 480 96C453.5 96 432 74.51 432 48C432 21.49 453.5 0 480 0C506.5 0 528 21.49 528 48zM472 352V480C472 497.7 457.7 512 440 512C422.3 512 408 497.7 408 480V256.9L379.4 304.5C370.3 319.6 350.7 324.5 335.5 315.4C320.4 306.3 315.5 286.7 324.6 271.5L382.9 174.6C400.2 145.7 431.4 128 465.1 128H494.9C528.6 128 559.8 145.7 577.2 174.6L635.4 271.5C644.5 286.7 639.6 306.3 624.5 315.4C609.3 324.5 589.7 319.6 580.6 304.5L552 256.9V480C552 497.7 537.7 512 520 512C502.3 512 488 497.7 488 480V352L472 352z"]],
    "person-cane": [384, 512, [], "e53c", ["M328 368C323.6 368 320 371.6 320 376V384C320 397.3 309.3 408 296 408C282.7 408 272 397.3 272 384V376C272 345.1 297.1 320 328 320C358.9 320 384 345.1 384 376V488C384 501.3 373.3 512 360 512C346.7 512 336 501.3 336 488V376C336 371.6 332.4 368 328 368z", "M240 48C240 74.51 218.5 96 192 96C165.5 96 144 74.51 144 48C144 21.49 165.5 0 192 0C218.5 0 240 21.49 240 48zM88 256.9L59.43 304.5C50.33 319.6 30.67 324.5 15.52 315.4C.3696 306.3-4.531 286.7 4.573 271.5L62.85 174.6C80.2 145.7 111.4 128 145.1 128H181C209.6 128 236.7 140.7 254.9 162.7L328.6 251.6C339.9 265.2 338 285.3 324.4 296.6C310.8 307.9 290.7 306 279.4 292.4L232 235.3V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V352H152V480C152 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480L88 256.9z"]],
    "person-carry-box": [384, 512, ["person-carry"], "f4cf", ["M80 .0003c-26.5 0-48 21.5-48 47.1C32 74.5 53.5 95.1 80 95.1S128 74.5 128 47.1C128 21.5 106.5 .0003 80 .0003zM352 95.1h-128c-17.6 0-32 14.4-32 32v159.1l160 .002c17.6 0 32-14.4 32-32V127.1C384 110.4 369.6 95.1 352 95.1z", "M0 479.9c0 17.75 14.25 31.1 32 31.1s32-14.2 32-31.95v-74.54c-16-13.62-63.38-54.63-64-55.13V479.9zM118.1 271.1C124.5 281.5 135.4 287.1 147.2 287.1H192v-63.1H166.6L133.3 162.2C122.3 141.1 100.5 127.1 76.75 127.1H48c-26.51 0-48 21.49-48 48v102.1c0 18.75 8.25 36.38 22.38 48.62l76 65.13l14.12 92.5c1 5.625 10.12 30.62 36.75 26.25c17.5-2.875 29.25-19.37 26.38-36.75l-14.12-92.5C159 367.4 151.4 353.9 140 344.1L96 306.4V228.1L118.1 271.1z"]],
    "person-chalkboard": [640, 512, [], "e53d", ["M240 48C240 74.51 218.5 96 192 96C165.5 96 144 74.51 144 48C144 21.49 165.5 0 192 0C218.5 0 240 21.49 240 48zM184 352V480C184 497.7 169.7 512 152 512C134.3 512 120 497.7 120 480V256.9L91.43 304.5C82.33 319.6 62.67 324.5 47.52 315.4C32.37 306.3 27.47 286.7 36.58 271.5L94.85 174.6C112.2 145.7 143.4 128 177.1 128H400C417.7 128 432 142.3 432 160C432 177.7 417.7 192 400 192H264V480C264 497.7 249.7 512 232 512C214.3 512 200 497.7 200 480V352L184 352z", "M320 128V48C320 21.49 341.5 0 368 0H592C618.5 0 640 21.49 640 48V272C640 298.5 618.5 320 592 320H368C341.5 320 320 298.5 320 272V224H384V256H576V64H384V128H320z"]],
    "person-circle-check": [576, 512, [], "e53e", ["M112 48C112 21.49 133.5 0 160 0C186.5 0 208 21.49 208 48C208 74.51 186.5 96 160 96C133.5 96 112 74.51 112 48zM120 512C102.3 512 88 497.7 88 480V256.9L59.43 304.5C50.33 319.6 30.67 324.5 15.52 315.4C.3696 306.3-4.531 286.7 4.573 271.5L62.85 174.6C80.2 145.7 111.4 128 145.1 128H174.9C208.6 128 239.8 145.7 257.2 174.6L302.1 249.3C285.1 266.9 273.4 287.7 265.5 310.8C263.6 308.9 261.1 306.8 260.6 304.5L232 256.9V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V352H152V480C152 497.7 137.7 512 120 512L120 512z", "M288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM499.3 347.3C505.6 341.1 505.6 330.9 499.3 324.7C493.1 318.4 482.9 318.4 476.7 324.7L416 385.4L387.3 356.7C381.1 350.4 370.9 350.4 364.7 356.7C358.4 362.9 358.4 373.1 364.7 379.3L404.7 419.3C410.9 425.6 421.1 425.6 427.3 419.3L499.3 347.3z"]],
    "person-circle-exclamation": [576, 512, [], "e53f", ["M112 48C112 21.49 133.5 0 160 0C186.5 0 208 21.49 208 48C208 74.51 186.5 96 160 96C133.5 96 112 74.51 112 48zM120 512C102.3 512 88 497.7 88 480V256.9L59.43 304.5C50.33 319.6 30.67 324.5 15.52 315.4C.3696 306.3-4.531 286.7 4.573 271.5L62.85 174.6C80.2 145.7 111.4 128 145.1 128H174.9C208.6 128 239.8 145.7 257.2 174.6L302.1 249.3C285.1 266.9 273.4 287.7 265.5 310.8C263.6 308.9 261.1 306.8 260.6 304.5L232 256.9V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V352H152V480C152 497.7 137.7 512 120 512L120 512z", "M576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 416C418.7 416 408 426.7 408 440C408 453.3 418.7 464 432 464C445.3 464 456 453.3 456 440C456 426.7 445.3 416 432 416zM447.1 288C447.1 279.2 440.8 272 431.1 272C423.2 272 415.1 279.2 415.1 288V368C415.1 376.8 423.2 384 431.1 384C440.8 384 447.1 376.8 447.1 368V288z"]],
    "person-circle-minus": [576, 512, [], "e540", ["M112 48C112 21.49 133.5 0 160 0C186.5 0 208 21.49 208 48C208 74.51 186.5 96 160 96C133.5 96 112 74.51 112 48zM120 512C102.3 512 88 497.7 88 480V256.9L59.43 304.5C50.33 319.6 30.67 324.5 15.52 315.4C.3696 306.3-4.531 286.7 4.573 271.5L62.85 174.6C80.2 145.7 111.4 128 145.1 128H174.9C208.6 128 239.8 145.7 257.2 174.6L302.1 249.3C285.1 266.9 273.4 287.7 265.5 310.8C263.6 308.9 261.1 306.8 260.6 304.5L232 256.9V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V352H152V480C152 497.7 137.7 512 120 512L120 512z", "M288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM496 383.1C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H496z"]],
    "person-circle-plus": [576, 512, [], "e541", ["M112 48C112 21.49 133.5 0 160 0C186.5 0 208 21.49 208 48C208 74.51 186.5 96 160 96C133.5 96 112 74.51 112 48zM120 512C102.3 512 88 497.7 88 480V256.9L59.43 304.5C50.33 319.6 30.67 324.5 15.52 315.4C.3696 306.3-4.531 286.7 4.573 271.5L62.85 174.6C80.2 145.7 111.4 128 145.1 128H174.9C208.6 128 239.8 145.7 257.2 174.6L302.1 249.3C285.1 266.9 273.4 287.7 265.5 310.8C263.6 308.9 261.1 306.8 260.6 304.5L232 256.9V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V352H152V480C152 497.7 137.7 512 120 512L120 512z", "M576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM416 303.1V351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H416V431.1C416 440.8 423.2 447.1 432 447.1C440.8 447.1 448 440.8 448 431.1V383.1H496C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1H448V303.1C448 295.2 440.8 287.1 432 287.1C423.2 287.1 416 295.2 416 303.1z"]],
    "person-circle-question": [576, 512, [], "e542", ["M112 48C112 21.49 133.5 0 160 0C186.5 0 208 21.49 208 48C208 74.51 186.5 96 160 96C133.5 96 112 74.51 112 48zM120 512C102.3 512 88 497.7 88 480V256.9L59.43 304.5C50.33 319.6 30.67 324.5 15.52 315.4C.3696 306.3-4.531 286.7 4.573 271.5L62.85 174.6C80.2 145.7 111.4 128 145.1 128H174.9C208.6 128 239.8 145.7 257.2 174.6L302.1 249.3C285.1 266.9 273.4 287.7 265.5 310.8C263.6 308.9 261.1 306.8 260.6 304.5L232 256.9V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V352H152V480C152 497.7 137.7 512 120 512L120 512z", "M576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 416C418.7 416 408 426.7 408 440C408 453.3 418.7 464 432 464C445.3 464 456 453.3 456 440C456 426.7 445.3 416 432 416zM409.6 280C386.6 280 368 298.6 368 321.6V328C368 336.8 375.2 344 384 344C392.8 344 400 336.8 400 328V321.6C400 316.3 404.3 312 409.6 312H450.1C457.8 312 464 318.2 464 325.9C464 331.1 461.1 335.8 456.6 338.3L424.6 355.1C419.3 357.9 416 363.3 416 369.2V384C416 392.8 423.2 400 432 400C440.8 400 448 392.8 448 384V378.9L471.5 366.6C486.6 358.6 496 342.1 496 325.9C496 300.6 475.4 280 450.1 280H409.6z"]],
    "person-circle-xmark": [576, 512, [], "e543", ["M112 48C112 21.49 133.5 0 160 0C186.5 0 208 21.49 208 48C208 74.51 186.5 96 160 96C133.5 96 112 74.51 112 48zM120 512C102.3 512 88 497.7 88 480V256.9L59.43 304.5C50.33 319.6 30.67 324.5 15.52 315.4C.3696 306.3-4.531 286.7 4.573 271.5L62.85 174.6C80.2 145.7 111.4 128 145.1 128H174.9C208.6 128 239.8 145.7 257.2 174.6L302.1 249.3C285.1 266.9 273.4 287.7 265.5 310.8C263.6 308.9 261.1 306.8 260.6 304.5L232 256.9V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V352H152V480C152 497.7 137.7 512 120 512L120 512z", "M576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM468.7 308.7L432 345.4L395.3 308.7C389.1 302.4 378.9 302.4 372.7 308.7C366.4 314.9 366.4 325.1 372.7 331.3L409.4 368L372.7 404.7C366.4 410.9 366.4 421.1 372.7 427.3C378.9 433.6 389.1 433.6 395.3 427.3L432 390.6L468.7 427.3C474.9 433.6 485.1 433.6 491.3 427.3C497.6 421.1 497.6 410.9 491.3 404.7L454.6 368L491.3 331.3C497.6 325.1 497.6 314.9 491.3 308.7C485.1 302.4 474.9 302.4 468.7 308.7V308.7z"]],
    "person-digging": [576, 512, ["digging"], "f85e", ["M311.1 416c-13.88 0-25.95 8.862-30.33 21.86l-24.75 74.07h319.9l-101.9-206.3c-11.38-22.5-43.1-23.63-56.1-2.01l-31.89 54.21L82.2 192.4L67.67 209.1C57.79 220.4 41.36 223.4 28.15 216.2l333.7 182.1l-9.837 16.87H311.1zM272 95.93c26.5 0 47.99-21.47 47.99-47.97S298.5 0 272 0S224 21.47 224 47.97S245.5 95.93 272 95.93z", "M320.9 322.2l-24-121.2c-7.875-39.62-33.63-73.23-69.75-91.23c-1-.5-2.125-.6249-3.125-1.125C221.7 107.5 219.2 106.6 216.7 105.1C201.5 99.85 185.2 95.98 168.7 95.98H95.1c-9.285 0-18.06 3.946-24.18 10.93L19.34 166.9C5.805 182.4 10.1 206.4 28.15 216.2C41.36 223.4 57.79 220.4 67.67 209.1l42.82-49.14h34.38L105.8 205.3l93.68 50.85l34.9-41.28l13.5 67.61L247.4 282.3L320.9 322.2zM209.7 357.3c-25.75-17.25-52.25-33.24-79.5-48.11L58.62 270.2L1.246 471.1c-4.875 16.1 5 34.74 22 39.62c17 4.875 34.63-4.998 39.5-21.99l36.63-128.1l60.63 40.37v78.86c0 17.62 14.38 31.99 32 31.99s32-14.37 32-31.99l.0022-95.93C224 373.2 218.6 363.2 209.7 357.3z"]],
    "person-dolly": [512, 512, [], "f4d0", ["M331.2 360.6c2.25 8.502 11.13 13.63 19.63 11.25l117-31.26c8.502-2.25 13.5-11.13 11.25-19.63l-31.38-116.9c-2.377-8.502-11.13-13.63-19.63-11.25L311.1 224.1c-8.502 2.25-13.63 11.13-11.25 19.63L331.2 360.6zM503.5 373.8c-1.125-4.252-5.5-6.752-9.752-5.627l-154.2 41.26c-9.752-12.88-24.26-21.88-40.88-24.51l-59.39-221.7C238.2 159 233.8 156.5 229.4 157.7L198.5 165.9C194.3 167 191.8 171.4 192.8 175.8l59.01 220c-19.83 13.82-31.36 38.47-25.9 65.5c4.867 24.11 24.57 44.13 48.65 49.18c38.95 8.166 72.72-18.62 77.28-54.66l154.2-41.26c4.375-1.125 6.876-5.5 5.751-9.752L503.5 373.8zM288.7 463.1c-8.877 0-16-7.127-16-16c0-8.752 7.127-16 16-16c8.752 0 16 7.252 16 16C304.7 456.9 297.6 463.1 288.7 463.1zM80.01 0C53.38 0 32 21.5 32 48.01s21.5 48.01 48.01 48.01c26.51 0 48.01-21.5 48.01-48.01S106.6 0 80.01 0z", "M0 479.1c0 17.75 14.25 32.01 32.01 32.01c17.75 0 32-14.25 32-31.1L64.01 405.5C48.01 391.8 .5 350.8 0 350.3V479.1zM118.1 271c5.564 10.41 16.41 16.92 28.22 16.92l75.6-.0183L205.8 223.9L166.7 223.9L133.4 162.2C122.2 141.1 100.6 127.9 76.76 127.9h-28.75C21.49 127.9 0 149.4 0 175.9v103c0 18.75 8.251 36.38 22.38 48.63l76.01 65.14l14.13 92.51c1 5.627 10.12 30.63 36.76 26.25c17.5-2.875 29.25-19.38 26.38-36.75l-14.13-92.51c-2.5-14.88-10.13-28.38-21.5-38.13L96.01 306.3V228.1L118.1 271z"]],
    "person-dolly-empty": [512, 512, [], "f4d1", ["M503.5 373.8c-1.125-4.252-5.5-6.752-9.752-5.627l-154.2 41.26c-9.752-12.88-24.26-21.88-40.88-24.51l-59.39-221.7C238.2 159 233.8 156.5 229.4 157.7L198.5 165.9C194.3 167 191.8 171.4 192.8 175.8l59.01 220c-19.83 13.82-31.36 38.47-25.9 65.5c4.867 24.11 24.57 44.13 48.65 49.18c38.95 8.166 72.72-18.62 77.28-54.66l154.2-41.26c4.375-1.125 6.876-5.5 5.751-9.752L503.5 373.8zM288.7 463.1c-8.877 0-16-7.127-16-16c0-8.752 7.127-16 16-16c8.752 0 16 7.252 16 16C304.7 456.9 297.6 463.1 288.7 463.1zM80.01 96.01c26.51 0 48.01-21.5 48.01-48.01S106.6 0 80.01 0C53.38 0 32 21.5 32 48.01S53.5 96.01 80.01 96.01z", "M0 479.1c0 17.75 14.25 32.01 32.01 32.01c17.75 0 32-14.25 32-31.1L64.01 405.5C48.01 391.8 .5 350.8 0 350.3V479.1zM140 344.1L96.01 306.3V228.1l22.96 42.97c5.564 10.41 16.41 16.92 28.22 16.92l75.6-.0183L205.8 223.9L166.7 223.9L133.4 162.2C122.2 141.1 100.6 127.9 76.76 127.9h-28.75C21.49 127.9 0 149.4 0 175.9v103c0 18.75 8.251 36.38 22.38 48.63l76.01 65.14l14.13 92.51c1 5.627 10.12 30.63 36.76 26.25c17.5-2.875 29.25-19.38 26.38-36.75l-14.13-92.51C159 367.3 151.4 353.8 140 344.1z"]],
    "person-dots-from-line": [576, 512, ["diagnoses"], "f470", ["M287.1 176c48.5 0 87.1-39.5 87.1-88S336.5 0 287.1 0S200 39.5 200 88S239.5 176 287.1 176zM555.9 296.9c-1.955-1.391-21.1-14.83-51.83-30.85C495.5 279.2 480.7 288 463.1 288c-26.25 0-47.1-21.75-47.1-48c0-3.549 .4648-6.992 1.217-10.33C378.6 217.2 334.4 208 288 208c-59.37 0-114.1 15.01-160.1 32.67C127.6 266.6 106 288 80 288C69.02 288 58.94 284 50.8 277.7c-18.11 10.45-29.25 18.22-30.7 19.26c-21.56 15.41-26.56 45.38-11.16 66.97c15.39 21.56 45.36 26.5 66.97 11.16c.6289-.459 41.62-29.26 100.1-50.05L176 432h223.1l-.0004-106.8c58.32 20.8 99.51 49.49 100.1 49.91C508.6 381.1 518.3 384 527.9 384c14.98 0 29.73-7 39.11-20.09C582.5 342.3 577.5 312.3 555.9 296.9zM240 296c-13.25 0-23.1-10.75-23.1-24S226.8 248 240 248c13.25 0 23.1 10.75 23.1 24S253.3 296 240 296zM335.1 392c-13.25 0-23.1-10.75-23.1-24s10.75-24 23.1-24c13.25 0 23.1 10.75 23.1 24S349.2 392 335.1 392z", "M463.1 256c8.75 0 15.1-7.25 15.1-16S472.7 224 463.1 224c-8.75 0-15.1 7.25-15.1 16S455.2 256 463.1 256zM80 256c8.75 0 15.1-7.25 15.1-16S88.75 224 80 224S64 231.3 64 240S71.25 256 80 256zM559.1 464H16c-8.75 0-15.1 7.25-15.1 16l-.0016 16c0 8.75 7.25 16 15.1 16h543.1c8.75 0 15.1-7.25 15.1-16L575.1 480C575.1 471.3 568.7 464 559.1 464z"]],
    "person-dress": [320, 512, ["female"], "f182", ["M208 48C208 74.51 186.5 96 160 96C133.5 96 112 74.51 112 48C112 21.49 133.5 0 160 0C186.5 0 208 21.49 208 48z", "M88 384H70.2C59.28 384 51.57 373.3 55.02 362.9L93.28 248.1L59.43 304.5C50.33 319.6 30.67 324.5 15.52 315.4C.3696 306.3-4.531 286.7 4.573 271.5L58.18 182.3C78.43 148.6 114.9 128 154.2 128H165.8C205.1 128 241.6 148.6 261.8 182.3L315.4 271.5C324.5 286.7 319.6 306.3 304.5 315.4C289.3 324.5 269.7 319.6 260.6 304.5L226.7 248.1L264.1 362.9C268.4 373.3 260.7 384 249.8 384H232V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V384H152V480C152 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480L88 384z"]],
    "person-dress-burst": [640, 512, [], "e544", ["M175.1 8C182.6 8 188.4 11.1 190.9 18.09L220.3 92.05L296.4 68.93C302.7 67.03 309.5 69.14 313.6 74.27C317.7 79.39 318.2 86.49 314.1 92.18L275.5 161.3L330.7 199.3L306.3 239.8L255.8 247.6L261.4 327C261.8 333.6 258.3 339.7 252.4 342.6C246.5 345.4 239.4 344.4 234.6 339.9L175.1 286.1L117.4 339.9C112.6 344.4 105.5 345.4 99.63 342.6C93.73 339.7 90.15 333.6 90.62 327L96.21 247.6L17.55 235.4C11.08 234.4 5.868 229.6 4.41 223.2C2.951 216.8 5.538 210.1 10.94 206.4L76.5 161.3L37.01 92.18C33.76 86.49 34.31 79.39 38.39 74.27C42.48 69.14 49.28 67.03 55.55 68.93L131.7 92.05L161.1 18.09C163.6 11.1 169.4 8 175.1 8V8z", "M432 48C432 21.49 453.5 0 480 0C506.5 0 528 21.49 528 48C528 74.51 506.5 96 480 96C453.5 96 432 74.51 432 48V48zM408 384H390.2C379.3 384 371.6 373.3 375 362.9L413.3 248.1L379.4 304.5C370.3 319.6 350.7 324.5 335.5 315.4C320.4 306.3 315.5 286.7 324.6 271.5L378.2 182.3C398.4 148.6 434.9 128 474.2 128H485.8C525.1 128 561.6 148.6 581.8 182.3L635.4 271.5C644.5 286.7 639.6 306.3 624.5 315.4C609.3 324.5 589.7 319.6 580.6 304.5L546.7 248.1L584.1 362.9C588.4 373.3 580.7 384 569.8 384H552V480C552 497.7 537.7 512 520 512C502.3 512 488 497.7 488 480V384H472V480C472 497.7 457.7 512 440 512C422.3 512 408 497.7 408 480L408 384z"]],
    "person-dress-simple": [256, 512, [], "e21c", ["M128 128c35.38 0 64-28.62 64-64S163.4 0 128 0S63.1 28.62 63.1 64S92.63 128 128 128z", "M207.1 194.8l48.23 168.8C258.3 373.8 250.6 384 239.1 384h-47.99L192 480c0 17.67-14.33 32-32 32H96c-17.67 0-32-14.33-32-32l-.0002-96H16.01c-10.63 0-18.3-10.17-15.38-20.4l48.23-168.8C54.74 174.2 73.57 160 95 160h65.99C182.4 160 201.3 174.2 207.1 194.8z"]],
    "person-drowning": [576, 512, [], "e545", ["M269.5 389.9C280.6 382 295.4 382 306.5 389.9C328.1 405.4 356.5 416 384 416C410.9 416 439.4 405.2 461.4 389.9L461.5 389.9C473.4 381.4 489.5 382.1 500.7 391.6C515 403.5 533.2 412.6 551.3 416.8C568.5 420.8 579.2 438.1 575.2 455.3C571.2 472.5 553.1 483.2 536.7 479.2C512.2 473.4 491.9 462.6 478.5 454.2C449.5 469.7 417 480 384 480C352.1 480 323.4 470.1 303.6 461.1C297.7 458.5 292.5 455.8 288 453.4C283.5 455.8 278.3 458.5 272.4 461.1C252.6 470.1 223.9 480 192 480C158.1 480 126.5 469.7 97.5 454.2C84.12 462.6 63.79 473.4 39.27 479.2C22.06 483.2 4.853 472.5 .8422 455.3C-3.169 438.1 7.532 420.8 24.74 416.8C42.84 412.6 60.96 403.5 75.31 391.6C86.46 382.1 102.6 381.4 114.5 389.9L114.6 389.9C136.7 405.2 165.1 416 192 416C219.5 416 247 405.4 269.5 389.9H269.5z", "M160 32C177.7 32 192 46.33 192 64V96.16C192 148.8 226.1 195.4 276.3 211.4C316.3 224.2 358.1 225.1 399.1 216.6L504.9 192.8C522.1 188.9 539.3 199.7 543.2 216.9C547.1 234.1 536.3 251.3 519.1 255.2L414.1 279.1C403.6 281.5 392.9 283.3 382.2 284.5L364.5 382.1C350.9 378.9 337.2 372.7 324.8 364.1C302.8 348.6 273.3 348.6 251.2 364.1C234 375.9 213.2 384.5 192 384.5C184.7 384.5 177 383.3 169.2 381.2L190.2 234.5C151.5 200.1 128 150.2 128 96.16V64C128 46.33 142.3 32 160 32V32zM384 128C384 163.3 355.3 192 320 192C284.7 192 256 163.3 256 128C256 92.65 284.7 64 320 64C355.3 64 384 92.65 384 128z"]],
    "person-falling": [448, 512, [], "e546", ["M128 80C128 106.5 106.5 128 80 128C53.49 128 32 106.5 32 80C32 53.49 53.49 32 80 32C106.5 32 128 53.49 128 80z", "M288 41.84C288 96.45 260.1 146.5 215.5 175.4L215.7 175.8L272.5 255.1H344C359.1 255.1 373.3 263.1 382.4 275.2L425.6 332.8C436.2 346.9 433.3 366.1 419.2 377.6C405.1 388.2 385 385.3 374.4 371.2L336 319.1H254.6L346.9 462.6C356.5 477.5 352.2 497.3 337.4 506.9C322.5 516.5 302.7 512.2 293.1 497.4L132.5 249.2C129.6 258.4 128 268.1 128 278.2V351.1C128 369.7 113.7 383.1 96 383.1C78.33 383.1 64 369.7 64 351.1V278.2C64 213 103.6 154.5 164.1 130.3C200.3 115.8 224 80.79 224 41.84V32C224 14.33 238.3 0 256 0C273.7 0 288 14.33 288 32L288 41.84z"]],
    "person-falling-burst": [640, 512, [], "e547", ["M419.2 313.6L382.1 265.3L384.2 247.6L365.8 244.8C351.2 231.5 332.1 223.1 312 223.1H292.6C292.6 223.7 292.5 223.4 292.4 223.2C290.1 216.8 293.5 210.1 298.9 206.4L364.5 161.3L325 92.18C321.8 86.49 322.3 79.39 326.4 74.27C330.5 69.14 337.3 67.03 343.6 68.93L419.7 92.05L449.1 18.09C451.6 11.1 457.4 8 464 8C470.6 8 476.5 11.1 478.9 18.09L508.3 92.05L584.5 68.93C590.7 67.03 597.5 69.14 601.6 74.27C605.7 79.39 606.2 86.49 602.1 92.18L563.5 161.3L629.1 206.4C634.5 210.1 637 216.8 635.6 223.2C634.1 229.6 628.9 234.4 622.4 235.4L543.8 247.6L549.4 327C549.8 333.6 546.3 339.7 540.4 342.6C534.5 345.4 527.4 344.4 522.6 339.9L464 286.1L424.7 322.2C423.1 319.3 421.3 316.4 419.2 313.6L419.2 313.6z", "M224 0C241.7 0 256 14.33 256 32V41.84C256 96.45 228.1 146.5 183.5 175.4L183.7 175.8L240.5 255.1H311.1C327.1 255.1 341.3 263.1 350.4 275.2L393.6 332.8C404.2 346.9 401.3 366.1 387.2 377.6C373.1 388.2 353 385.3 342.4 371.2L303.1 319.1H222.6L314.9 462.6C324.5 477.5 320.2 497.3 305.4 506.9C290.5 516.5 270.7 512.2 261.1 497.4L100.5 249.2C97.57 258.4 95.1 268.1 95.1 278.2V351.1C95.1 369.7 81.67 383.1 63.1 383.1C46.33 383.1 31.1 369.7 31.1 351.1V278.2C31.1 213 71.65 154.5 132.1 130.3C168.3 115.8 191.1 80.79 191.1 41.84V32C191.1 14.33 206.3 .0003 223.1 .0003L224 0zM0 80C0 53.49 21.49 32 48 32C74.51 32 96 53.49 96 80C96 106.5 74.51 128 48 128C21.49 128 0 106.5 0 80z"]],
    "person-from-portal": [512, 512, ["portal-exit"], "e023", ["M150.6 191.1C141.1 178.6 142.6 161.7 152.9 150.5C140.3 61.81 112.4 0 80 0C35.82 0 0 114.6 0 255.1c0 141.4 35.82 255.1 80 255.1c25.25 0 47.72-37.53 62.39-96L128 415.1c-17.64-.0215-31.96-14.34-31.98-31.98c-.0215-17.67 14.31-32 31.98-32.02l26.13 .002C158.1 320.2 160 288.1 160 255.1c0-20.22-.8359-39.78-2.223-58.64C155.1 195.6 152.7 193.5 150.6 191.1zM368 0c-26.51 0-48.01 21.49-48.01 48c0 0 0-.002 0 0C320 74.51 341.5 96 368 96s48-21.49 48-47.1S394.6 0 368 0z", "M209.7 317.5l-14.84 34.51L128 351.1c-17.67 .0215-32 14.35-31.98 32.02C96.04 401.7 110.4 415.1 128 415.1l77.47 .002c19.21 .0254 36.51-11.44 44.06-29.1l8.828-20.52l-10.64-6.273C230.1 350.1 217.7 335.2 209.7 317.5zM480 223.1h-44.01l-26.1-53.25c-12.5-25.55-35.45-44.26-61.76-50.98l-71.1-21.13c-28.16-6.826-57.82-.5351-80.79 17.13l-39.71 30.47C142.5 156.1 139.9 177.1 150.6 191.1C161.4 205.1 181.5 207.7 195.5 196.1L235.1 166.6c7.656-5.891 17.52-8.031 25.33-6.172l14.65 4.333L237.7 252.2C225.1 281.8 236.3 316.1 264 332.5l84.98 50.18L321.5 470.4c-5.297 16.84 4.119 34.82 20.96 40.11c.0117 .002-.0098-.0039 0 0c16.82 5.314 34.77-4.123 40.09-20.94c.0137-.0449 31.68-101.1 31.68-101.1c5.9-20.93-3.003-43.21-21.67-54.38l-61.21-36.13l31.27-78.34l20.26 41.48c8.105 16.41 24.81 26.81 43.11 26.88H480c17.67 0 32-14.33 32-31.1C512 238.3 497.7 223.1 480 223.1z"]],
    "person-half-dress": [320, 512, [], "e548", ["M174.9 128C208.6 128 239.8 145.7 257.2 174.6L315.4 271.5C324.5 286.7 319.6 306.3 304.5 315.4C289.3 324.5 269.7 319.6 260.6 304.5L232 256.9V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480L168 128H174.9zM168 .6641C190.7 4.472 208 24.22 208 48C208 71.78 190.7 91.53 168 95.34V.6641z", "M112 48C112 24.22 129.3 4.473 152 .6641V95.34C129.3 91.53 112 71.78 112 48V48zM152 480.2C151.9 497.8 137.6 512 120 512C102.3 512 88 497.7 88 480V384H70.2C59.28 384 51.57 373.3 55.02 362.9L93.28 248.1L59.43 304.5C50.33 319.6 30.67 324.5 15.52 315.4C.3696 306.3-4.531 286.7 4.573 271.5L58.18 182.3C78.06 149.2 113.5 128.8 152 128V480.2z"]],
    "person-harassing": [576, 512, [], "e549", ["M384 240C384 213.5 405.5 192 432 192C458.5 192 480 213.5 480 240C480 266.5 458.5 288 432 288C405.5 288 384 266.5 384 240zM576 344V446.1C576 482.5 546.5 512 510.1 512C492.6 512 475.8 505.1 463.4 492.7L408.8 438L380.6 494.3C372.7 510.1 353.5 516.5 337.7 508.6C321.9 500.7 315.5 481.5 323.4 465.7L371.4 369.7C375.1 360.5 384.7 354.1 394.9 352.4C405 350.8 415.4 354.1 422.6 361.4L464 402.7V344C464 313.1 489.1 288 520 288C550.9 288 576 313.1 576 344z", "M240 48C240 74.51 218.5 96 192 96C165.5 96 144 74.51 144 48C144 21.49 165.5 0 192 0C218.5 0 240 21.49 240 48zM88 256.9L59.43 304.5C50.33 319.6 30.67 324.5 15.52 315.4C.3696 306.3-4.531 286.7 4.573 271.5L62.85 174.6C80.2 145.7 111.4 128 145.1 128H181C209.6 128 236.7 140.7 254.9 162.7L328.6 251.6C339.9 265.2 338 285.3 324.4 296.6C310.8 307.9 290.7 306 279.4 292.4L232 235.3V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V352H152V480C152 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480L88 256.9zM288 48C288 39.16 295.2 32 304 32H360C368.8 32 376 39.16 376 48C376 56.84 368.8 64 360 64H304C295.2 64 288 56.84 288 48zM335.2 121.7C343.1 125.6 346.3 135.3 342.3 143.2C338.4 151.1 328.7 154.3 320.8 150.3L272.8 126.3C264.9 122.4 261.7 112.7 265.7 104.8C269.6 96.94 279.3 93.74 287.2 97.69L335.2 121.7z"]],
    "person-hiking": [384, 512, ["hiking"], "f6ec", ["M137.5 113.1c0-7.011-4.986-13.44-12.39-15.13C118.4 96.38 111.7 95.6 105.1 95.6c-36.65 0-70 23.84-79.32 59.53L.5119 253.3C.1636 254.6-.0025 255.9-.0025 257.2c0 7.003 4.96 13.42 12.36 15.11L76.01 287.5c1.339 .3251 2.681 .4806 4.001 .4806c7.31 0 13.97-4.762 15.87-11.86L137 117C137.4 115.7 137.5 114.4 137.5 113.1zM352 256h-15.1v240c0 8.875 7.125 16 15.1 16h15.1C376.9 512 384 504.9 384 496V224C384 241.7 369.7 256 352 256zM368 160h-15.1c-8.875 0-15.1 7.125-15.1 16V192H352c17.67 0 32 14.33 32 32V176C384 167.1 376.9 160 368 160z", "M352 192h-50.75l-46.75-46.75C243.4 134.1 228.6 128 212.9 128c-27 0-50.37 18.25-56.1 44.5L129 280.3C128.4 282.8 128 285.5 128 288.1c0 8.325 3.265 16.44 9.354 22.53l86.62 86.63V480c0 17.62 14.37 32 31.1 32s32-14.38 32-32v-82.75c0-17.12-6.625-33.13-18.75-45.25l-46.87-46.88c.25-.5 .5-.875 .625-1.375l19.1-79.5l22.37 22.38C271.4 252.6 279.5 256 288 256H352c17.67 0 32-14.33 32-32C384 206.3 369.7 192 352 192zM81.01 472.3c-.672 2.63-.993 5.267-.993 7.86c0 14.29 9.748 27.29 24.24 30.89C106.9 511.8 109.5 512 112 512c14.37 0 27.37-9.75 30.1-24.25l25.25-101l-52.75-52.75L81.01 472.3zM240 96c26.5 0 48-21.5 48-48S266.5 0 240 0c-26.5 0-47.1 21.5-47.1 48S213.5 96 240 96z"]],
    "person-military-pointing": [512, 512, [], "e54a", ["M208 112C208 106.5 208.6 101.2 209.6 96H366.4C367.5 101.2 368 106.5 368 112C368 156.2 332.2 192 288 192C243.8 192 208 156.2 208 112V112zM354.8 230.5C365.7 234 376.1 238.9 385.7 244.9L214.6 416H384V448H192V393.4L354.8 230.5z", "M366.7 1.443C376 .6658 384 8.027 384 17.39V47.1C384 56.84 376.8 63.1 368 63.1H216.1C203.2 63.1 192 52.81 192 39C192 25.1 201.1 15.17 214.9 14.09L366.7 1.443zM313.2 223.1C327.6 223.1 341.6 226.3 354.8 230.5L192 393.4V303.1H40.01C17.92 303.1 .0077 286.1 .0077 263.1C.0077 241.9 17.92 223.1 40.01 223.1H313.2zM192 480V448H384V480C384 497.7 369.7 512 352 512H224C206.3 512 192 497.7 192 480zM385.7 244.9C403.7 256.3 419.1 271.9 430.3 290.8L506.4 419.7C517.7 438.7 511.4 463.2 492.4 474.4C473.3 485.7 448.8 479.4 437.6 460.3L384 369.7V416H214.6L385.7 244.9z"]],
    "person-military-rifle": [448, 512, [], "e54b", ["M433.6 56C441.2 60.42 443.8 70.21 439.4 77.86L383.1 173.9L385.6 174.9C400.9 183.7 406.1 203.3 397.3 218.6L366.9 271.3C364.1 274.5 362.6 277.3 359.9 279.6C343.8 257 321.3 240.1 295.7 230.8L389.9 67.71C382.2 63.3 379.6 53.51 384 45.86C388.4 38.21 398.2 35.58 405.9 40L433.6 56zM302.4 94.61C303.5 99.78 304 105.1 304 110.6C304 154.8 268.2 190.6 224 190.6C179.8 190.6 144 154.8 144 110.6C144 105.1 144.6 99.78 145.6 94.61H302.4zM299.1 508.6L117.7 249.5C126.3 243 135.6 237.7 145.5 233.5L319.8 482.4C318.4 494.5 310.2 504.6 299.1 508.6V508.6z", "M302.7 .0564C312-.7209 320 6.64 320 16V46.61C320 55.45 312.8 62.61 304 62.61H152.1C139.2 62.61 128 51.42 128 37.61C128 24.61 137.1 13.78 150.9 12.7L302.7 .0564zM81.7 289.4C91.06 273.6 103.4 260.1 117.7 249.5L299.1 508.6C295.6 509.9 291.9 510.6 288 510.6H160C142.3 510.6 128 496.3 128 478.6V368.3L74.44 458.1C63.21 477.1 38.68 484.3 19.66 473C.6381 461.8-5.669 437.3 5.569 418.3L81.7 289.4zM320 478.6C320 479.9 319.9 481.2 319.8 482.4L145.5 233.5C162.1 226.4 180.2 222.6 198.8 222.6H249.2C297.3 222.6 341.8 248 366.3 289.4L442.4 418.3C453.7 437.3 447.4 461.8 428.4 473C409.3 484.3 384.8 477.1 373.6 458.1L320 368.3V478.6zM264 318.6C277.3 318.6 288 307.9 288 294.6C288 281.4 277.3 270.6 264 270.6C250.7 270.6 240 281.4 240 294.6C240 307.9 250.7 318.6 264 318.6z"]],
    "person-military-to-person": [512, 512, [], "e54c", ["M320 96C320 60.65 348.7 32 384 32C419.3 32 448 60.65 448 96C448 131.3 419.3 160 384 160C348.7 160 320 131.3 320 96V96zM416 192C451.3 192 480 220.7 480 256V288C480 305.7 465.7 320 448 320H320C302.3 320 288 305.7 288 288V256C288 220.7 316.7 192 352 192H416zM296.2 413.9L360.2 357.9C370.2 349.2 385.3 350.2 394.1 360.2C402.8 370.2 401.8 385.3 391.8 394.1L375.9 407.1L488 407.1C501.3 407.1 512 418.7 512 431.1C512 445.2 501.3 455.1 488 455.1L375.9 455.1L391.8 469.9C401.8 478.7 402.8 493.8 394.1 503.8C385.3 513.8 370.2 514.8 360.2 506.1L296.2 450.1C290.1 445.5 288 438.9 288 431.1C288 425.1 290.1 418.5 296.2 413.9L296.2 413.9z", "M182.2 .0998C191.7-.9534 200 6.466 200 16V30.13C200 38.91 192.9 46.05 184.1 46.13H72.74C63.48 46.04 56 38.52 56 29.24C56 20.64 62.47 13.41 71.02 12.46L182.2 .0998zM192 96C192 131.3 163.3 160 128 160C92.66 160 64 131.3 64 96C64 89.8 64.88 83.8 66.53 78.13H189.5C191.1 83.8 192 89.8 192 96zM32 256C32 237.2 40.09 220.3 52.97 208.6L197.2 319.6C195.5 319.9 193.8 320 192 320H64C46.33 320 32 305.7 32 288L32 256zM222.3 298.5L85.06 192.9C88.61 192.3 92.27 191.1 96 191.1H160C195.3 191.1 224 220.7 224 255.1V287.1C224 291.7 223.4 295.2 222.3 298.5V298.5zM224 431.1C224 438.9 221 445.5 215.8 450.1L151.8 506.1C141.8 514.8 126.7 513.8 117.9 503.8C109.2 493.8 110.2 478.7 120.2 469.9L136.1 455.1L23.1 455.1C10.74 455.1-.0003 445.2 0 431.1C.0003 418.7 10.75 407.1 24 407.1L136.1 407.1L120.2 394.1C110.2 385.3 109.2 370.2 117.9 360.2C126.7 350.2 141.8 349.2 151.8 357.9L215.8 413.9C221 418.5 224 425.1 224 431.1H224z"]],
    "person-pinball": [640, 512, [], "e21d", ["M624 0h-96C519.2 0 512 7.162 512 16v42.81c0 3.439 .5547 6.855 1.643 10.12l40.79 122.4L253.8 244.1c-.002-.0039 .002 .0039 0 0C255.1 248.4 256 252.1 256 256c0 17.67-14.33 32-32 32L192 287.1v208C192 504.8 199.2 512 208 512h32C248.8 512 256 504.8 256 496V384h320v112c0 8.836 7.164 16 16 16h32c8.836 0 16-7.164 16-15.1V16C640 7.162 632.8 0 624 0zM80 95.1c26.5 0 48-21.5 48-47.1c0-26.5-21.5-47.1-48-47.1S32 21.5 32 47.1C32 74.5 53.5 95.1 80 95.1zM280 328C266.7 328 256 317.3 256 304c0-13.26 10.75-24 24-24S304 290.7 304 304C304 317.3 293.3 328 280 328z", "M224 224H163.8L129 154.5C120.8 138.2 104.4 128 86.13 128L48 127.1c-26.47 0-48 21.53-48 47.1V281C0 300 8.375 317.9 23.03 330.2L96 391V480c0 17.69 14.31 32 32 32s32-14.31 32-32v-89c0-19-8.375-36.91-23.03-49.19L96 307.7V231.5l19.38 38.78C120.8 281.2 131.9 288 144 288H224c17.67 0 32-14.33 32-32C256 238.3 241.7 224 224 224zM0 352.1V480c0 17.67 14.33 32 32 32s32-14.33 32-32v-74.01l-61.52-51.27C1.551 353.9 .8945 352.9 0 352.1z"]],
    "person-praying": [384, 512, [128720, "pray"], "f683", ["M255.1 128c35.38 0 63.1-28.62 63.1-64s-28.62-64-63.1-64S191.1 28.62 191.1 64S220.6 128 255.1 128z", "M225.4 297.8c14 16.75 39 19.12 56.01 5.25l88.01-72c17-14 19.5-39.25 5.625-56.38c-14-17.12-39.25-19.5-56.38-5.625L261.3 216l-39-46.25c-15.38-18.38-39.13-27.88-64.01-25.38c-24.13 2.5-45.25 16.25-56.38 37l-49.38 92C29.13 317 43.88 369.8 86.76 397.1L131.5 432H40C17.88 432 0 449.9 0 472S17.88 512 40 512h208c34.13 0 53.76-42.75 28.25-68.25L166.4 333.9L201.3 269L225.4 297.8z"]],
    "person-pregnant": [320, 512, [], "e31e", ["M208 48C208 74.51 186.5 96 160 96C133.5 96 112 74.51 112 48C112 21.49 133.5 0 160 0C186.5 0 208 21.49 208 48z", "M164.1 128.3C199.8 131.2 229.5 157.6 236.2 193.3L242.3 225.7C286.6 234.3 320 273.2 320 319.1V352C320 369.7 305.7 384 288 384H232V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V384H152V480C152 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480V382.1C74.2 379.4 64 366.9 64 352V296.9L59.43 304.5C50.33 319.6 30.67 324.5 15.52 315.4C.3696 306.3-4.531 286.7 4.573 271.5L62.85 174.6C77.84 149.6 103.2 133 131.5 128.1C135.6 128.3 139.8 128 144 128H160C161.4 128 162.8 128.1 164.1 128.3L164.1 128.3z"]],
    "person-rays": [512, 512, [], "e54d", ["M304 48C304 74.51 282.5 96 256 96C229.5 96 208 74.51 208 48C208 21.49 229.5 0 256 0C282.5 0 304 21.49 304 48zM248 352V480C248 497.7 233.7 512 216 512C198.3 512 184 497.7 184 480V256.9L155.4 304.5C146.3 319.6 126.7 324.5 111.5 315.4C96.37 306.3 91.47 286.7 100.6 271.5L158.8 174.6C176.2 145.7 207.4 128 241.1 128H270.9C304.6 128 335.8 145.7 353.2 174.6L411.4 271.5C420.5 286.7 415.6 306.3 400.5 315.4C385.3 324.5 365.7 319.6 356.6 304.5L328 256.9V480C328 497.7 313.7 512 296 512C278.3 512 264 497.7 264 480V352L248 352z", "M120.1 87.03C130.3 96.4 130.3 111.6 120.1 120.1C111.6 130.3 96.4 130.3 87.03 120.1L7.029 40.97C-2.343 31.6-2.343 16.4 7.029 7.029C16.4-2.343 31.6-2.343 40.97 7.029L120.1 87.03zM471 7.029C480.4-2.343 495.6-2.343 504.1 7.029C514.3 16.4 514.3 31.6 504.1 40.97L424.1 120.1C415.6 130.3 400.4 130.3 391 120.1C381.7 111.6 381.7 96.4 391 87.03L471 7.029zM7.029 471L87.03 391C96.4 381.7 111.6 381.7 120.1 391C130.3 400.4 130.3 415.6 120.1 424.1L40.97 504.1C31.6 514.3 16.4 514.3 7.029 504.1C-2.343 495.6-2.343 480.4 7.029 471V471zM391 424.1C381.7 415.6 381.7 400.4 391 391C400.4 381.7 415.6 381.7 424.1 391L504.1 471C514.3 480.4 514.3 495.6 504.1 504.1C495.6 514.3 480.4 514.3 471 504.1L391 424.1z"]],
    "person-rifle": [576, 512, [], "e54e", ["M336 512H144V337.7L90.44 428.3C79.21 447.4 54.68 453.7 35.66 442.4C16.64 431.2 10.33 406.7 21.57 387.7L97.7 258.8C122.2 217.4 166.7 192 214.8 192H265.2C290.6 192 315 199.1 336 211.9L336 512zM160 80C160 35.82 195.8 0 240 0C284.2 0 320 35.82 320 80C320 124.2 284.2 160 240 160C195.8 160 160 124.2 160 80z", "M448 .0003C456.8 .0003 464 7.164 464 16V132.3C473.6 137.8 480 148.2 480 160V269.3L496 264V208C496 199.2 503.2 192 512 192H528C536.8 192 544 199.2 544 208V292.5C544 299.4 539.6 305.5 533.1 307.6L480 325.3V352H528C536.8 352 544 359.2 544 368V384C544 392.8 536.8 400 528 400H484L507 492.1C509.6 502.2 501.9 512 491.5 512H432C423.2 512 416 504.8 416 496V400H400C382.3 400 368 385.7 368 368V224C368 206.3 382.3 192 400 192V160C400 148.2 406.4 137.8 416 132.3V32C407.2 32 400 24.84 400 16C400 7.164 407.2 0 416 0L448 .0003z"]],
    "person-running": [448, 512, [127939, "running"], "f70c", ["M129.8 317.5L114.9 352H48c-17.62 0-32 14.38-32 32s14.38 32 32 32h77.5c19.25 0 36.5-11.5 44-29.12l8.875-20.5l-10.75-6.25C150.4 349.9 137.6 334.8 129.8 317.5z", "M288 96c26.5 0 48-21.5 48-48s-21.5-48-48-48s-48 21.5-48 48S261.5 96 288 96zM400 224h-44l-26.12-53.25c-12.5-25.5-35.38-44.25-61.75-51L197 98.63C189.5 96.84 181.1 95.97 174.5 95.97c-20.88 0-41.33 6.81-58.26 19.78L76.5 146.3C68.31 152.5 64.01 162 64.01 171.6c0 17.11 13.67 32.02 32.02 32.02c6.808 0 13.67-2.158 19.47-6.616l39.63-30.38c5.92-4.488 13.01-6.787 19.53-6.787c2.017 0 3.981 .2196 5.841 .6623l14.62 4.25l-37.5 87.5C154.1 260.3 152.5 268.8 152.5 277.2c0 22.09 11.49 43.52 31.51 55.29l85 50.13l-27.5 87.75c-.9875 3.174-1.458 6.388-1.458 9.55c0 13.65 8.757 26.31 22.46 30.58C265.6 511.5 268.9 512 272 512c13.62 0 26.25-8.75 30.5-22.5l31.75-101c1.211-4.278 1.796-8.625 1.796-12.93c0-16.57-8.661-32.51-23.55-41.44l-61.13-36.12l31.25-78.38l20.25 41.5C310.9 277.4 327.9 288 345.1 288H400c17.62 0 32-14.38 32-32C432 238.3 417.6 224 400 224z"]],
    "person-seat": [384, 512, [], "e21e", ["M144 96c26.51 0 48-21.49 48-48s-21.49-48-48-48S96 21.49 96 48S117.5 96 144 96zM192 384H128c-35.3 0-64-28.72-64-64V160c0-17.69-14.33-32-32-32S0 142.3 0 160v160c0 70.59 57.42 128 128 128h64c17.67 0 32-14.31 32-32S209.7 384 192 384z", "M352 416h-19.75l-12.5-99.97C317.8 300 304.1 288 288 288h-96V256h64c17.67 0 32-14.33 32-32c0-17.67-14.33-32-32-32h-64V176C192 149.5 170.5 128 144 128S96 149.5 96 176v128C96 330.5 117.5 352 144 352c1.826 0 3.559-.3398 5.332-.5391C150.3 351.5 151.1 352 152 352h107.8l12.5 99.97C274.3 467.1 287.9 480 304 480H352c17.67 0 32-14.31 32-32S369.7 416 352 416z"]],
    "person-seat-reclined": [448, 512, [], "e21f", ["M144 96c26.51 0 47.1-21.49 47.1-48S170.5 0 144 0S96.01 21.49 96.01 48S117.5 96 144 96zM248 384H159.7c-30.78 0-57.23-21.97-62.91-52.22L63.46 154.1C60.19 136.7 43.52 125.3 26.11 128.6C8.739 131.8-2.698 148.5 .5523 165.9l33.31 177.7C45.21 404.1 98.11 448 159.7 448h88.34c17.67 0 31.1-14.31 31.1-32S265.7 384 248 384z", "M416 416h-25.83l-40.2-107.3C345.3 296.3 333.3 288 320 288H221.8L215.8 256h80.17c17.67 0 31.1-14.33 31.1-32c0-17.67-14.33-32-31.1-32H203.8L199.2 167.2C194.3 141.1 169.3 123.9 143.2 128.8C117.1 133.7 99.94 158.8 104.8 184.8l23.1 128C133.1 335.9 153.3 352 175.1 352c1.82 0 3.685-.2969 5.539-.5059C182.4 351.6 183.1 352 184 352h113.8l40.2 107.3C342.7 471.7 354.7 480 368 480h47.1c17.67 0 31.1-14.31 31.1-32S433.7 416 416 416z"]],
    "person-shelter": [512, 512, [], "e54f", ["M296 168C296 190.1 278.1 208 256 208C233.9 208 216 190.1 216 168C216 145.9 233.9 128 256 128C278.1 128 296 145.9 296 168zM224 512C210.7 512 200 501.3 200 488V313.5L173.1 363.4C166.8 375 152.3 379.4 140.6 373.1C128.1 366.8 124.6 352.3 130.9 340.6L168.7 270.3C184.1 241.8 213.9 224 246.2 224H265.8C298.1 224 327.9 241.8 343.3 270.3L381.1 340.6C387.4 352.3 383 366.8 371.4 373.1C359.7 379.4 345.2 375 338.9 363.4L312 313.5V488C312 501.3 301.3 512 288 512C274.7 512 264 501.3 264 488V400H248V488C248 501.3 237.3 512 224 512V512z", "M240.1 4.216C249.1-1.405 262-1.405 271.9 4.216L495.9 132.2C505.8 137.9 512 148.5 512 160V480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480V178.6L256 68.86L64 178.6V480C64 497.7 49.67 512 32 512C14.33 512 0 497.7 0 480V160C0 148.5 6.153 137.9 16.12 132.2L240.1 4.216z"]],
    "person-sign": [512, 512, [], "f757", ["M501.5 66.65l-67.7-24.63L439.2 27c3-8.25-1.25-17.5-9.498-20.5l-15-5.5c-8.375-3-17.5 1.25-20.5 9.625L388.7 25.65l-67.63-24.62c-8.375-3-17.5 1.219-20.5 9.594l-43.87 120.3c-3 8.375 1.375 17.5 9.625 20.5l67.62 24.62l-46.08 126.9c-3 8.375 1.331 17.51 9.706 20.51l14.92 5.495c8.25 3 17.5-1.25 20.5-9.625l44.4-127.5l69.39 25.24c8.375 3 17.5-1.25 20.5-9.625l43.66-120.2C514.1 78.77 509.7 69.77 501.5 66.65zM143.1 .021c-26.38 0-47.1 21.51-47.1 48.01s21.5 48 47.1 48S191.1 74.53 191.1 48.03S170.4 .021 143.1 .021z", "M228.1 241.3c7 7 15.62 12.25 25 15.5l46.13 15.38L320.1 212l-47.75-16L223.9 146.8C211.7 134.6 195.7 127.9 178.7 127.9H115.8c-24.37 0-46.28 13.6-57.16 35.35l-55.25 110.5c-7.875 15.75-1.5 35 14.38 42.88C22.25 318.9 27.25 320 31.1 320c11.75 0 23-6.5 28.62-17.75l19.38-38.63v54.75l-15.88 158.4c-1.75 17.62 11.16 33.38 28.66 35C93.78 511.9 94.91 512 95.91 512c16.25 0 30.09-12.25 31.84-28.75L140.9 352h15.38l35.75 71.5V480c0 17.75 14.25 32 31.1 32c17.75 0 32-14.25 32-32v-56.5c0-9.875-2.25-19.75-6.75-28.62l-41.12-82.5V221.3L228.1 241.3z"]],
    "person-simple": [256, 512, [], "e220", ["M128 128c35.38 0 64-28.62 64-64s-28.62-64-64-64S64 28.62 64 64S92.63 128 128 128z", "M160 160H96C60.65 160 32 188.7 32 224v96c0 17.67 14.33 32 32 32v128c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-128c17.67 0 32-14.33 32-32V224C224 188.7 195.3 160 160 160z"]],
    "person-skating": [448, 512, ["skating"], "f7c5", ["M399.1 448c-8.752 0-16 7.25-16 16S376.7 480 367.1 480h-96.01c-8.75 0-16 7.25-16 16s7.252 16 16 16h96.01c26.5 0 48.01-21.5 48.01-48C415.1 455.3 408.7 448 399.1 448zM129.1 451.9c-11.34 0-11.2 9.36-22.65 9.36c-4.074 0-8.163-1.516-11.21-4.625l-67.98-67.89c-3.063-3.125-7.165-4.688-11.27-4.688c-4.102 0-8.203 1.562-11.27 4.688C1.563 391.8-.0001 395.9-.0001 400s1.563 8.203 4.688 11.27l67.88 67.98c9.377 9.375 21.59 14 33.96 14c13.23 0 38.57-8.994 38.57-25.36C145.1 456.7 135.2 451.9 129.1 451.9z", "M173.8 276.8L80.2 370.5c-6.251 6.25-9.376 14.44-9.376 22.62c0 24.75 22.57 32 31.88 32c8.252 0 16.5-3.125 22.63-9.375l91.89-92l-30.13-30.12C182.1 288.6 177.7 282.9 173.8 276.8zM332.6 96.03L127.1 96C110.2 96 95.96 110.3 95.96 128s14.24 32 31.99 32h105.5L213.3 177.3C192.2 195.3 191 218.1 191 225.9c0 16.93 6.8 33.22 18.68 45.1l78.26 78.25V432c0 17.75 14.25 32 32 32s32-14.25 32-32v-89.38c0-12.62-5.125-25-14.13-33.88l-61.01-61c.5-.5 1.25-.625 1.75-1.125l82.26-82.38c7.703-7.702 11.76-17.87 11.76-28.25C372.6 113.1 354.8 96.03 332.6 96.03zM399.1 0c-26.5 0-48.01 21.5-48.01 48S373.5 96 399.1 96C426.5 96 448 74.5 448 48S426.5 0 399.1 0z"]],
    "person-ski-jumping": [512, 512, ["ski-jump"], "f7c7", ["M511.1 205.7c0-.1252 .0637-1.063 .0637-2.631c0-8.303-1.841-32.1-25.06-32.1c-14.45 0-24.08 12.03-24.08 24.11c0 4.072 1.002 5.566 1.002 11.84c0 16.57-8.796 32.25-22.71 40.21L12.95 466.7c-8.232 4.275-12.95 12.61-12.95 21.26C-.0002 506.7 17.18 512 24.06 512c2.305 0 6.381-.3578 10.97-2.733l429.2-220.9C494.1 271.1 511.1 239.4 511.1 205.7z", "M311.1 96.01L127.1 96.01c-17.67 0-32 14.33-32 31.99S110.3 160 127.1 160h97.5l-58.88 76.48c-3.401 4.397-62.62 144.3-62.62 155.3c0 8.474 3.402 16.76 9.734 22.89l60.27-30.99l44.88-108.1l121.4-110.5c7.511-7.499 11.78-17.64 11.78-28.25C352 113.9 334.1 96.01 311.1 96.01zM399.1 0c-26.51 0-48 21.49-48 48S373.5 96 399.1 96s48-21.49 48-48S426.5 0 399.1 0z"]],
    "person-ski-lift": [512, 512, ["ski-lift"], "f7c8", ["M255.1 0H223.1L223.1 183.9L255.1 175.9L255.1 0zM191.6 381.3c10.06-3.353 16.43-12.66 16.43-22.71c0-13.29-10.75-24.15-23.99-24.15c-2.511 0-5.147 .4142-7.661 1.252l-18.39 6.231c-4.16 1.382-8.404 2.053-12.59 2.053c-15.06 0-29.35-8.557-36.15-22.78L45.69 188.2C41.58 179.6 32.97 174.6 24.02 174.6c-13.48 0-24.02 10.98-24.02 24.05c0 3.458 .7301 6.975 2.321 10.3l63.64 132.1c14.71 30.53 45.61 49.96 79.51 49.99C158 391.9 162.5 390.1 191.6 381.3zM488 287.1c-11.97 0-23.95 8.059-23.1 23.92c-.0488 13.94-8.7 26.38-21.77 31.26L111.6 465.4c-10.13 3.297-16.57 12.56-16.57 22.62c0 2.449 .3821 4.944 1.186 7.411c3.3 10.13 12.7 16.57 22.81 16.57c1.873 0 5.281-.2175 9.175-1.826l330.5-121.9C490.7 376.4 511.9 345.9 512 311.9C512 295.1 500 287.1 488 287.1z", "M319.9 247.1c0-9.822-4.513-19.17-12.3-25.17c-5.629-4.446-12.62-6.779-19.64-6.779c-2.649 0-5.233 .3286-7.851 1.005L211.8 234L187.7 180.3C179.7 162.6 162.2 152 143.9 152c-37.34 0-48.03 34.2-48.03 48.03c0 6.593 1.387 13.31 4.266 19.71l27.79 68.03c6.553 15.84 17.87 24.41 31.3 24.41c2.748 0 5.562-.3526 8.466-1.083l88.2-22.11v123.2l63.98-23.72L319.9 247.1zM159.1 79.98c0-26.49-21.5-47.99-48.01-47.99S63.96 53.48 63.96 79.98s21.5 47.99 48.01 47.99S159.1 106.5 159.1 79.98z"]],
    "person-skiing": [512, 512, [9975, "skiing"], "f7c9", ["M511.1 469.1c0-12.73-10.17-23.95-23.89-23.95c-19 0-19.16 19.11-46.15 19.11c-5.476 0-10.89-1.101-15.87-3.389L35.95 258.8C32.18 256.6 28.05 255.5 23.98 255.5c-9.602 0-23.98 7.503-23.98 23.99c0 6.176 2.88 16.75 13.99 21.85l390.1 202.5c11.55 5.339 24.37 8.119 37.08 8.119l0 0C480.7 512 511.1 486.8 511.1 469.1zM94.63 68.6C94.63 68.6 94.63 68.6 94.63 68.6C94.63 68.6 94.63 68.6 94.63 68.6C94.63 68.6 94.63 68.6 94.63 68.6C94.63 68.6 94.63 68.6 94.63 68.6l26.16 23.01L109.3 114.1c5.604 2.858 11.68 4.258 17.71 4.258c8.954 0 17.83-3.081 25-9.059l215.9 109.8c-7.453-5.791-13.14-13.71-16.1-22.68l-10.75-28.99l-175.5-87c.0122-.398 .0182-.7953 .0182-1.192c0-14.44-8.025-27.73-20.88-34.42L133.7 66.51l-34.53-7.002c-.3626-.0796-.6031-.0793-.9653-.0793c-3.565 0-5.318 3.168-5.318 5.223C92.85 67.26 94.63 68.55 94.63 68.6z", "M480 224.1c0-11.77-6.512-23.06-17.74-28.7l-52.03-26.1l-17.12-51.15c-6.499-19.42-28.92-44.16-60.06-44.16c-7.648 0-15.84 1.505-24.43 4.934L227.4 111.3l113.7 56.09l10.75 28.99c3.979 12.06 12.49 21.1 23.86 27.65l58.06 28.98c4.554 2.228 9.373 3.284 14.12 3.284C465.4 256.3 480 242.1 480 224.1zM293.1 215.8l-106.1-53.1C185.6 165.8 185.4 169 185.4 172.2c0 16.66 6.536 32.83 18.42 44.86l75.03 75.21l-45.88 68.76l57.32 29.61l49.15-73.82c5.419-8.12 8.09-17.42 8.09-26.63c0-12.38-4.807-24.63-14.09-33.9L293.1 215.8zM432.1 96.02c26.46 0 47.99-21.5 47.99-48.01C480.1 21.49 458.5 0 432.1 0c-26.46 0-47.98 21.49-47.98 48.01C384.1 74.52 405.6 96.02 432.1 96.02z"]],
    "person-skiing-nordic": [576, 512, ["skiing-nordic"], "f7ca", ["M575.8 443.7c0-15.56-7.674-27.62-23.78-27.67c-13.25 0-24 10.75-24 24c-.0391 13.24-10.76 23.96-24 24h-69.5L460 285.6c-3.798 1.539-7.869 2.284-11.97 2.284C448 287.9 427.3 288 427.3 288l-25.16 176H99.5l52.21-260.9C149.2 203.7 146.7 203.1 144.1 203.1c-8.653 0-17.17-3.477-23.29-9.903L66.88 464H24C10.75 464 0 474.7 0 488S10.75 512 24 512h480C550.3 511.9 575.8 472 575.8 443.7z", "M186.3 332.1l-62.48 131.7h70.86l43.1-90.97l-21.99-12.1C204.1 352.9 194.1 343.4 186.3 332.1zM448 224l-43.9-.0393l-26.11-53.22c-12.49-25.48-35.47-44.18-61.75-50.87l-71.22-21.15c-7.466-1.806-15.06-2.693-22.59-2.693c-20.83 0-41.31 6.79-58.16 19.72L124.6 146.2C116.3 152.5 111.1 162 111.1 171.6c0 17.03 13.6 32.32 32.15 32.32c12.99 0 20.96-7.649 22.79-9.491l36.38-27.89c5.864-4.492 12.89-6.771 19.38-6.771c2.029 0 3.999 .2038 5.878 .6556l14.73 4.383L205.8 252.2C202.3 260.4 200.7 268.9 200.7 277.3c0 22.06 11.41 43.35 31.41 55.22l84.97 50.15l-25.49 81.2h66.98l23.6-75.48c1.213-4.32 1.805-8.705 1.805-13.03c0-16.62-8.635-32.46-23.41-41.34l-61.21-36.1l31.32-78.23l20.26 41.36c8.113 16.39 24.83 26.8 43.11 26.89l54.02-.0223c17.66 0 32.01-14.31 32.01-31.97C480 238.3 465.7 224 448 224zM336 96C362.5 96 384 74.51 384 48S362.5 0 336 0S288 21.49 288 48S309.5 96 336 96z"]],
    "person-sledding": [512, 512, ["sledding"], "f7cb", ["M512 437.1c0-12.92-10.35-23.97-23.91-23.97c-18.94 0-19.24 19.1-46.18 19.1c-5.477 0-10.9-1.101-15.88-3.389L34.98 226.7C31.45 224.9 27.68 223.1 23.97 223.1c-14.07 0-23.97 11.55-23.97 23.99c0 8.681 4.725 17.04 12.98 21.3l391.9 202.6c11.57 5.337 24.36 8.117 37.1 8.117l0 0C480.8 480 512 454.7 512 437.1z", "M352.1 256h-50.86l46.12-46.12c7.124-7.141 14.07-18.7 14.07-33.81c0-26.47-21.47-48.04-47.95-48.08H160c-17.67 0-32 14.33-32 32s14.33 32 32 32h82.78L169.4 265.4C165.1 268.8 160.4 275.9 160.4 287.2c0 1.516 .1059 3.034 .3184 4.54L215.6 320l104.5 .02v53.98l56.89 29.39c4.199-5.4 7.232-11.85 7.232-19.35l-.0003-96.02C384.1 270.3 369.8 256 352.1 256zM400 32c-26.51 0-48.01 21.49-48.01 48s21.5 48 48.01 48s48.01-21.49 48.01-48S426.5 32 400 32z"]],
    "person-snowboarding": [512, 512, [127938, "snowboarding"], "f7ce", ["M496 481.1c0-18.62-17.14-23.96-24.06-23.96c-3.388 0-6.715 .7166-9.998 2.248c-.0004 0 0 .0001 0 0c0-.0002-.0003 0 0 0c.0001 0 0-.0001 0 0c0 .0001 .0004-.0004 0 0c-5.172 2.437-10.85 3.662-16.49 3.662c-4.463 0-8.887-.7627-13.13-2.324L67.6 328.9C41.34 319.4 48.8 295 23.97 295c-18.84 0-23.97 17.37-23.97 24.09c0 8.423 13.33 41.29 51.13 54.88l364.1 132.8C418.1 507.8 430.4 512 445.7 512C454.7 512 496 509.4 496 481.1z", "M511.1 224c0-9.738-4.417-19.37-12.8-25.65l-111.5-83.48c-13.76-10.32-29.11-18.35-45.42-23.79l-63.66-21.23l-26.12-52.12C246.8 7.238 235.8 1.202 224.5 1.202c-24.82 0-32.04 22.62-32.04 32.03c0 4.404 .9153 8.88 2.849 13.16l29.12 58.12c5.691 11.35 15.62 19.96 27.67 23.98l16.45 5.522L227.3 154.6C205.6 165.4 191.9 187.6 191.9 211.8L191.9 264.9L117.8 289.6C104.4 294.1 95.95 306.5 95.95 319.9c0 14.07 8.819 21.76 10.33 23.09l23.96 8.68c2.645-.0801 5.26-.523 7.793-1.292l85-28.38c19.56-6.511 32.77-24.87 32.77-45.48l0-20.53l60.51 45.27l-19.66 92c-.3806 1.956-.5923 3.932-.5923 5.911c0 4.837 1.147 9.66 3.333 14.01l42.27 15.31c9.035-4.113 15.6-12.21 17.78-21.89l21.88-101.1c.704-3.321 1.05-6.691 1.05-10c0-14.91-6.957-29.19-19.17-38.4l-52.01-39l66.01-30.5l83.52 62.88c5.763 4.321 12.52 6.393 19.22 6.393C497.5 256 511.1 241.9 511.1 224zM431.9 95.99c26.52 0 48-21.49 48-47.1S458.5 0 431.9 0s-48 21.49-48 47.1S405.4 95.99 431.9 95.99z"]],
    "person-snowmobiling": [640, 512, ["snowmobile"], "f7d1", ["M288 48C288 74.51 266.5 96 240 96C213.5 96 192 74.51 192 48C192 21.49 213.5 0 240 0C266.5 0 288 21.49 288 48zM106.7 220.6L141.1 154.1C153.1 133.1 174.8 120 198.5 120H199.4C215.3 120 230.5 125.9 242.3 136.4L304 192H360L312 256H298.5C281.5 256 265.3 249.3 253.3 237.3L224 208L192 256L264 288H112C97.35 268.5 95.29 242.2 106.7 220.6L106.7 220.6zM450 416H480L500 402.7L546 464H566.1L599 431C608.4 421.7 623.6 421.7 632.1 431C642.3 440.4 642.3 455.6 632.1 464.1L592.1 504.1C588.5 509.5 582.4 512 576 512H440C426.7 512 416 501.3 416 488C416 474.7 426.7 464 440 464H486L450 416zM0 464C0 437.5 21.49 416 48 416H272C298.5 416 320 437.5 320 464C320 490.5 298.5 512 272 512H48C21.49 512 0 490.5 0 464z", "M419.8 177.9L567.2 251.6C572.6 254.3 576 259.8 576 265.9V343.4C576 348.8 573.3 353.8 568.9 356.7L480 416H336C321.4 396.6 298.2 384 271.1 384H47.1C43.83 384 39.74 384.3 35.75 384.9C35.6 379.9 36.66 374.7 39.16 369.7L71.16 305.7C76.58 294.8 87.66 287.1 99.78 287.1H288L367.9 181.5L330.5 106.7C324.6 94.88 329.4 80.46 341.3 74.53C353.1 68.61 367.5 73.41 373.5 85.27L419.8 177.9z"]],
    "person-swimming": [576, 512, [127946, "swimmer"], "f5c4", ["M544.3 429.1c-9.498 0-39.52-7.265-64.24-21.83C460.6 418.8 428.6 431.9 384 431.9c-44.53 0-76.47-13.06-96-24.59C268.5 418.9 236.6 431.1 192 431.1s-76.53-13.16-96.03-24.69c-24.6 14.5-54.49 21.84-64.26 21.84c-18.94 0-31.71-15.99-31.71-32.07c0-39.54 44.73-25.83 73.75-52.08c6.264-5.876 14.31-8.901 22.38-8.901c8.156 0 16.34 3.088 22.46 9.245C119.3 345.9 143.4 367.9 192 367.9c64.61 0 71.45-31.81 96.2-31.81c8.16 0 16.28 3.031 22.42 9.188C311.3 345.9 335.4 367.9 384 367.9c64.99 0 71.17-31.79 96.18-31.79c24.1 0 21.08 20.59 69.6 29.48c15.43 2.83 26.25 16.28 26.25 31.42C576 413.3 563.2 429.1 544.3 429.1z", "M95.1 96c-35.35 0-64 28.65-64 64c0 35.35 28.65 64 64 64s64-28.65 64-64C159.1 124.7 131.3 96 95.1 96zM496 141.9c0-14.58-10.03-27.77-24.84-31.16l-38.59-8.844c-17.06-3.904-34.46-5.837-51.81-5.837c-120.1 0-177.4 85.87-178.1 88.02L179.1 213.3C158.1 241.3 147.4 273.8 145 307.7c12.48 7.748 29.35 12.36 47.38 12.36c63.38 0 54.09-39.67 95.33-40.02c42.54 .3672 31.81 40.02 95.91 40.02c39.27 0 55.72-18.41 62.21-24.83l-140.4-116.1c3.292-1.689 31.66-18.2 75.25-18.2c12.57 0 25.18 1.397 37.53 4.21l38.59 8.844c2.412 .5592 4.824 .8272 7.2 .8272C479.1 173.9 496 161.1 496 141.9z"]],
    "person-through-window": [640, 512, [], "e5a9", ["M279.5 207.4C279.8 207.9 280.1 208.4 280.4 208.9L321.4 271.1H392.5C406.8 271.1 420.3 278.3 429.4 289.3L508.3 384H425L385 336H310.5L394.6 462.2C404.4 476.1 400.5 496.8 385.8 506.6C371 516.4 351.2 512.5 341.4 497.8L196.7 280.7C193.6 290 192 299.1 192 310.2V383.1C192 401.7 177.7 415.1 160 415.1C142.3 415.1 128 401.7 128 383.1V310.2C128 245 167.6 186.5 228.1 162.3C264.3 147.8 288 112.8 288 73.84V64H352V73.84C352 128.5 324.1 178.5 279.5 207.4H279.5zM192 128C192 154.5 170.5 176 144 176C117.5 176 96 154.5 96 128C96 101.5 117.5 80 144 80C170.5 80 192 101.5 192 128z", "M64 64V384H128C128 401.7 142.3 415.1 160 415.1C177.7 415.1 191.1 401.7 192 384H265.5L308.2 448H48C21.49 448 0 426.5 0 400V48C0 21.49 21.49 0 48 0H592C618.5 0 640 21.49 640 48V400C640 426.5 618.5 448 592 448H421.9L379.2 384H576V64H64z"]],
    "person-to-door": [640, 512, [58704], "e433", ["M608 47.84v416c0 26.5-21.5 48-48 48h-96c-26.5 0-48-21.5-48-48v-176c17.66 0 32-14.34 32-32s-14.34-32-32-32v-176c0-26.5 21.5-48 48-48h96C586.5-.1602 608 21.34 608 47.84z", "M304 95.84c26.5 0 48-21.5 48-48s-21.5-48-48-48s-48 21.5-48 48S277.5 95.84 304 95.84zM145.5 318.9l-14.4 32.9H64c-17.66 0-32 14.34-32 32s14.34 32 32 32h77.54c19.07 0 36.32-11.3 43.97-28.77l9.568-21.86l-15.62-9.76C164.7 346.2 153.2 333.5 145.5 318.9zM416 223.8h-44.22L344.8 169.9c-11.68-23.36-32.32-40.93-57.25-48.7L219.8 100C187.9 90.02 153.1 97.38 127.9 119.4L90.94 151.7C77.63 163.4 76.29 183.6 87.9 196.9c11.65 13.28 31.87 14.62 45.18 3.008l36.99-32.38c8.352-7.295 19.87-9.76 30.46-6.527l-30.95 92.8c-9.344 28.03 1.729 58.85 26.82 74.5l86.21 53.89l-25.41 88.83c-4.832 16.99 4.992 34.72 21.98 39.58c16.99 4.832 34.72-4.992 39.58-21.98l28.67-100.4c5.887-20.57-2.561-42.56-20.71-53.89L270 298.9l28.99-77.38L318.9 261.3c8.129 16.26 24.77 26.53 42.95 26.53H416c17.66 0 32-14.34 32-32S433.7 223.8 416 223.8z"]],
    "person-to-portal": [512, 512, ["portal-enter"], "e022", ["M431.1 0c-40.79 0-74.35 97.75-79.28 223.1l31.28-.0023c17.68 0 32 14.33 32 32s-14.33 31.1-32 31.1l-31.28 .0016c4.93 126.2 38.49 224 79.29 224C476.2 511.1 512 397.4 512 255.1C512 114.6 476.2 0 431.1 0zM272 0C245.5 0 224 21.49 224 48c0 0 0-.002 0 0C224 74.51 245.5 96 272 96c26.51 0 48-21.49 48-47.1S298.6 0 272 0z", "M383.1 223.1l-44.01 .0045l-26.1-53.25c-12.5-25.55-35.45-44.26-61.76-50.98L181 98.64C152.8 91.81 123.2 98.1 100.2 115.8l-39.71 30.47C46.49 156.1 43.87 177.1 54.62 191.1c10.75 14.02 30.85 16.64 44.87 5.891L139.1 166.6c7.658-5.891 17.48-8.031 25.29-6.172l14.69 4.333L141.7 252.2c-12.59 29.58-1.343 63.87 26.31 80.27l84.98 50.18L225.5 470.4c-5.297 16.84 4.114 34.82 20.96 40.11c.0098 .002-.0098-.0039 0 0c16.82 5.314 34.73-4.123 40.05-20.94c.0137-.0449 31.72-101.1 31.72-101.1c5.9-20.93-3.043-43.21-21.71-54.38L235.3 297.1l31.31-78.34l20.26 41.48c8.105 16.41 24.81 26.81 43.11 26.88l53.1-.0045c17.68 0 32-14.32 32-31.1C415.1 238.3 401.7 223.1 383.1 223.1zM113.6 317.5L98.86 351.1l-66.87 .002C14.31 352-.0215 366.3 0 384c.0215 17.64 14.34 31.97 31.99 31.99l77.47-.002c19.21 .0254 36.51-11.44 44.06-29.1l8.828-20.52l-10.64-6.273C134.1 350.1 121.7 335.2 113.6 317.5z"]],
    "person-walking": [320, 512, [128694, "walking"], "f554", ["M100.7 344.2L141.4 388.6L126.9 424.8C124.5 430.9 120.9 436.4 116.3 440.1L54.63 502.6C42.13 515.1 21.87 515.1 9.372 502.6C-3.124 490.1-3.124 469.9 9.372 457.4L68.73 398L93.69 335.6C95.84 338.6 98.17 341.4 100.7 344.2H100.7z", "M160 48C160 21.49 181.5 0 208 0C234.5 0 256 21.49 256 48C256 74.51 234.5 96 208 96C181.5 96 160 74.51 160 48zM112.7 205.4C97.41 212.2 85.42 224.6 79.22 240.1L77.71 243.9C71.15 260.3 52.53 268.3 36.12 261.7C19.71 255.1 11.73 236.5 18.29 220.1L19.8 216.3C32.19 185.4 56.18 160.5 86.66 146.9L97.66 142C118.5 132.8 140.1 128 163.7 128C208.3 128 248.5 154.8 265.6 195.9L280.1 232.7L302.3 243.4C318.1 251.3 324.5 270.5 316.6 286.3C308.7 302.1 289.5 308.5 273.7 300.6L247 287.3C236.7 282.1 228.6 273.4 224.2 262.8L214.6 239.8L195.3 305.3L244.8 359.4C250.2 365.3 254.1 372.4 256 380.2L279 472.2C283.3 489.4 272.9 506.8 255.8 511C238.6 515.3 221.2 504.9 216.1 487.8L194.9 399.6L124.3 322.5C109.5 306.4 103.1 283.9 109.6 262.8L126.5 199.3C125.6 199.7 124.6 200.1 123.7 200.5L112.7 205.4z"]],
    "person-walking-arrow-loop-left": [640, 512, [], "e551", ["M256 48C256 74.51 234.5 96 208 96C181.5 96 160 74.51 160 48C160 21.49 181.5 0 208 0C234.5 0 256 21.49 256 48zM126.5 199.3C125.6 199.7 124.6 200.1 123.7 200.5L112.7 205.4C97.41 212.2 85.42 224.6 79.22 240.1L77.71 243.9C71.15 260.3 52.53 268.3 36.12 261.7C19.71 255.1 11.73 236.5 18.29 220.1L19.8 216.3C32.19 185.4 56.18 160.5 86.66 146.9L97.66 142C118.5 132.8 140.1 128 163.7 128C208.3 128 248.5 154.8 265.6 195.9L280.1 232.7L302.3 243.4C318.1 251.3 324.5 270.5 316.6 286.3C308.7 302.1 289.5 308.5 273.7 300.6L247 287.3C236.7 282.1 228.6 273.4 224.2 262.8L214.6 239.8L195.3 305.3L244.8 359.4C250.2 365.3 254.1 372.4 256 380.2L279 472.2C283.3 489.4 272.9 506.8 255.8 511C238.6 515.3 221.2 504.9 216.1 487.8L194.9 399.6L124.3 322.5C109.5 306.4 103.1 283.9 109.6 262.8L126.5 199.3zM68.73 398L93.69 335.6C95.84 338.6 98.16 341.4 100.7 344.2L141.4 388.6L126.9 424.8C124.5 430.9 120.9 436.4 116.3 440.9L54.63 502.6C42.13 515.1 21.87 515.1 9.372 502.6C-3.124 490.1-3.124 469.9 9.372 457.4L68.73 398z", "M486.6 454.6C474.1 467.1 453.9 467.1 441.4 454.6L361.4 374.6C348.9 362.1 348.9 341.9 361.4 329.4L441.4 249.4C453.9 236.9 474.1 236.9 486.6 249.4C499.1 261.9 499.1 282.1 486.6 294.6L461.3 320H480C533 320 576 277 576 224C576 170.1 533 128 480 128H352C334.3 128 320 113.7 320 96C320 78.33 334.3 64 352 64H480C568.4 64 640 135.6 640 224C640 312.4 568.4 384 480 384H461.3L486.6 409.4C499.1 421.9 499.1 442.1 486.6 454.6V454.6z"]],
    "person-walking-arrow-right": [640, 512, [], "e552", ["M256 48C256 74.51 234.5 96 208 96C181.5 96 160 74.51 160 48C160 21.49 181.5 0 208 0C234.5 0 256 21.49 256 48zM126.5 199.3C125.6 199.7 124.6 200.1 123.7 200.5L112.7 205.4C97.41 212.2 85.42 224.6 79.22 240.1L77.71 243.9C71.15 260.3 52.53 268.3 36.12 261.7C19.71 255.1 11.73 236.5 18.29 220.1L19.8 216.3C32.19 185.4 56.18 160.5 86.66 146.9L97.66 142C118.5 132.8 140.1 128 163.7 128C208.3 128 248.5 154.8 265.6 195.9L280.1 232.7L302.3 243.4C318.1 251.3 324.5 270.5 316.6 286.3C308.7 302.1 289.5 308.5 273.7 300.6L247 287.3C236.7 282.1 228.6 273.4 224.2 262.8L214.6 239.8L195.3 305.3L244.8 359.4C250.2 365.3 254.1 372.4 256 380.2L279 472.2C283.3 489.4 272.9 506.8 255.8 511C238.6 515.3 221.2 504.9 216.1 487.8L194.9 399.6L124.3 322.5C109.5 306.4 103.1 283.9 109.6 262.8L126.5 199.3zM68.73 398L93.69 335.6C95.84 338.6 98.16 341.4 100.7 344.2L141.4 388.6L126.9 424.8C124.5 430.9 120.9 436.4 116.3 440.9L54.63 502.6C42.13 515.1 21.87 515.1 9.372 502.6C-3.124 490.1-3.124 469.9 9.372 457.4L68.73 398z", "M505.4 153.4C517.9 140.9 538.1 140.9 550.6 153.4L630.6 233.4C643.1 245.9 643.1 266.1 630.6 278.6L550.6 358.6C538.1 371.1 517.9 371.1 505.4 358.6C492.9 346.1 492.9 325.9 505.4 313.4L530.7 288H384C366.3 288 352 273.7 352 256C352 238.3 366.3 224 384 224H530.7L505.4 198.6C492.9 186.1 492.9 165.9 505.4 153.4V153.4z"]],
    "person-walking-dashed-line-arrow-right": [640, 512, [], "e553", ["M256 48C256 74.51 234.5 96 208 96C181.5 96 160 74.51 160 48C160 21.49 181.5 0 208 0C234.5 0 256 21.49 256 48zM126.5 199.3C125.6 199.7 124.6 200.1 123.7 200.5L112.7 205.4C97.41 212.2 85.42 224.6 79.22 240.1L77.71 243.9C71.15 260.3 52.53 268.3 36.12 261.7C19.71 255.1 11.73 236.5 18.29 220.1L19.8 216.3C32.19 185.4 56.18 160.5 86.66 146.9L97.66 142C118.5 132.8 140.1 128 163.7 128C208.3 128 248.5 154.8 265.6 195.9L280.1 232.7L302.3 243.4C318.1 251.3 324.5 270.5 316.6 286.3C308.7 302.1 289.5 308.5 273.7 300.6L247 287.3C236.7 282.1 228.6 273.4 224.2 262.8L214.6 239.8L195.3 305.3L244.8 359.4C250.2 365.3 254.1 372.4 256 380.2L279 472.2C283.3 489.4 272.9 506.8 255.8 511C238.6 515.3 221.2 504.9 216.1 487.8L194.9 399.6L124.3 322.5C109.5 306.4 103.1 283.9 109.6 262.8L126.5 199.3zM68.73 398L93.69 335.6C95.84 338.6 98.16 341.4 100.7 344.2L141.4 388.6L126.9 424.8C124.5 430.9 120.9 436.4 116.3 440.9L54.63 502.6C42.13 515.1 21.87 515.1 9.372 502.6C-3.124 490.1-3.124 469.9 9.372 457.4L68.73 398z", "M392 0C405.3 0 416 10.75 416 24V72C416 85.25 405.3 96 392 96C378.7 96 368 85.25 368 72V24C368 10.75 378.7 0 392 0zM505.4 153.4C517.9 140.9 538.1 140.9 550.6 153.4L630.6 233.4C643.1 245.9 643.1 266.1 630.6 278.6L550.6 358.6C538.1 371.1 517.9 371.1 505.4 358.6C492.9 346.1 492.9 325.9 505.4 313.4L530.7 288H384C366.3 288 352 273.7 352 256C352 238.3 366.3 224 384 224H530.7L505.4 198.6C492.9 186.1 492.9 165.9 505.4 153.4V153.4zM416 168C416 181.3 405.3 192 392 192C378.7 192 368 181.3 368 168V152C368 138.7 378.7 128 392 128C405.3 128 416 138.7 416 152V168zM392 320C405.3 320 416 330.7 416 344V360C416 373.3 405.3 384 392 384C378.7 384 368 373.3 368 360V344C368 330.7 378.7 320 392 320zM416 488C416 501.3 405.3 512 392 512C378.7 512 368 501.3 368 488V440C368 426.7 378.7 416 392 416C405.3 416 416 426.7 416 440V488z"]],
    "person-walking-luggage": [512, 512, [], "e554", ["M186.1 371.8C185.4 374.5 184.3 377.2 182.9 379.7L118.9 490.6C110 505.9 90.44 511.1 75.14 502.3L19.71 470.3C4.407 461.4-.8371 441.9 7.999 426.6L71.1 315.7C80.84 300.4 100.4 295.2 115.7 304L170.1 335.4L202.1 280C206.6 272.3 216.3 269.7 223.1 274.1C231.7 278.6 234.3 288.4 229.9 296L186.1 371.8z", "M448 48C448 74.51 426.5 96 400 96C373.5 96 352 74.51 352 48C352 21.49 373.5 0 400 0C426.5 0 448 21.49 448 48zM318.5 199.3C317.6 199.7 316.6 200.1 315.7 200.5L304.6 205.4C289.4 212.2 277.4 224.6 271.2 240.1L269.7 243.9C263.1 260.3 244.5 268.3 228.1 261.7C211.7 255.1 203.7 236.5 210.3 220.1L211.8 216.3C224.2 185.4 248.2 160.5 278.7 146.9L289.7 142C310.5 132.8 332.1 128 355.7 128C400.3 128 440.5 154.8 457.6 195.9L472.1 232.7L494.3 243.4C510.1 251.3 516.5 270.5 508.6 286.3C500.7 302.1 481.5 308.5 465.7 300.6L439 287.3C428.7 282.1 420.6 273.4 416.2 262.8L406.6 239.8L387.3 305.3L436.8 359.4C442.2 365.3 446.1 372.4 448 380.2L471 472.2C475.3 489.4 464.9 506.8 447.8 511C430.6 515.3 413.2 504.9 408.1 487.8L386.9 399.6L316.3 322.5C301.5 306.4 295.1 283.9 301.6 262.8L318.5 199.3zM260.7 398L285.7 335.6C287.8 338.6 290.2 341.4 292.7 344.2L333.4 388.6L318.9 424.8C316.5 430.9 312.9 436.4 308.3 440.9L246.6 502.6C234.1 515.1 213.9 515.1 201.4 502.6C188.9 490.1 188.9 469.9 201.4 457.4L260.7 398z"]],
    "person-walking-with-cane": [448, 512, ["blind"], "f29d", ["M445.2 486.1l-117.3-172.6c-3.002 4.529-6.646 8.652-11.12 12c-4.414 3.318-9.299 5.689-14.43 7.307l116.4 171.3c3.094 4.547 8.127 7.008 13.22 7.008c3.125 0 6.247-.8984 8.997-2.773C448.3 504.2 450.2 494.3 445.2 486.1zM143.1 95.1c26.51 0 48.01-21.49 48.01-47.1S170.5 0 144 0S96 21.49 96 48S117.5 95.1 143.1 95.1z", "M96.01 348.1l-31.03 124.2c-4.312 17.16 6.125 34.53 23.28 38.81C90.86 511.7 93.48 512 96.04 512c14.34 0 27.38-9.703 31-24.23l22.04-88.18L96.01 346.5V348.1zM313.6 268.8l-76.78-102.4C218.8 142.3 190.1 128 160 128L135.6 127.1c-36.59 0-69.5 20.33-85.87 53.06L3.387 273.7C-4.518 289.5 1.887 308.7 17.7 316.6c4.594 2.297 9.469 3.375 14.28 3.375c11.75 0 23.03-6.469 28.66-17.69l35.38-70.76v56.45c0 8.484 3.375 16.63 9.375 22.63l86.63 86.63v82.75c0 17.67 14.31 32 32 32s32-14.33 32-32v-82.75c0-17.1-6.656-33.16-18.75-45.25L192 306.8V213.3l70.38 93.88c10.59 14.11 30.62 16.98 44.78 6.406C321.3 303 324.2 282.9 313.6 268.8z"]],
    "peseta-sign": [384, 512, [], "e221", ["M32 224C14.33 224 0 209.7 0 192C0 174.3 14.33 160 32 160V224zM282.5 224H96V160H282.5C286.1 170 288 180.8 288 192C288 203.2 286.1 213.1 282.5 224zM352 192C352 181 350.9 170.3 348.8 160H352C369.7 160 384 174.3 384 192C384 209.7 369.7 224 352 224H348.8C350.9 213.7 352 202.1 352 192z", "M32 64C32 46.33 46.33 32 64 32H192C280.4 32 352 103.6 352 192C352 280.4 280.4 352 192 352H96V448C96 465.7 81.67 480 64 480C46.33 480 32 465.7 32 448V64zM96 288H192C245 288 288 245 288 192C288 138.1 245 96 192 96H96V288z"]],
    "peso-sign": [384, 512, [], "e222", ["M32 192C14.33 192 0 177.7 0 160C0 142.3 14.33 128 32 128V192zM32 288C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224V288zM96 288V224H286.9C283.3 248.9 271.5 271.2 254.4 288H96zM351.3 224H352C369.7 224 384 238.3 384 256C384 273.7 369.7 288 352 288H332.8C342.8 268.5 349.2 246.9 351.3 224zM332.8 128H352C369.7 128 384 142.3 384 160C384 177.7 369.7 192 352 192H351.3C349.2 169.1 342.8 147.5 332.8 128zM96 128H254.4C271.5 144.8 283.3 167.1 286.9 192H95.1L96 128z", "M32 64C32 46.33 46.33 32 64 32H176C273.2 32 352 110.8 352 208C352 305.2 273.2 384 176 384H96V448C96 465.7 81.67 480 64 480C46.33 480 32 465.7 32 448V64zM96 320H176C237.9 320 288 269.9 288 208C288 146.1 237.9 96 176 96H96V320z"]],
    "phone": [512, 512, [128379, 128222], "f095", ["M497.3 447.1l9.786-42.41l-175.1-70.4l-27.1 33.18L497.3 447.1zM144.5 207.1L177.6 180.8L107.3 4.884L64.88 14.67L144.5 207.1z", "M507.1 404.7l4.086-17.7c3.405-14.69-4.207-29.69-18.12-35.79L384.6 304.7c-12.78-5.436-27.69-1.774-36.47 8.975l-16.98 20.62L507.1 404.7zM0 54.5c-.0014 252.2 205.2 457.5 457.5 457.5c14.65 0 27.21-9.969 30.46-24.22l9.378-40.66l-193.3-79.63C234.8 333.5 178.5 277.2 144.5 207.1L64.88 14.67L24.22 24.05C9.967 27.32-.0014 39.83 0 54.5zM198.3 163.9c10.78-8.687 14.51-23.67 8.98-36.45L160.8 18.92C154.8 5.017 139.6-2.568 124.1 .8048L107.3 4.884L177.6 180.8L198.3 163.9z"]],
    "phone-arrow-down-left": [512, 512, ["phone-arrow-down", "phone-incoming"], "e223", ["M493.1 351.2L384.6 304.7c-12.78-5.531-27.8-1.813-36.48 8.969l-44.05 53.81c-69.25-34-125.5-90.28-159.5-159.5l53.83-44.09c10.75-8.781 14.42-23.66 8.984-36.44L160.8 18.93C154.7 5.027 139.7-2.598 124.1 .8079L24.22 24.06C9.969 27.31 0 39.84 0 54.5C0 306.8 205.2 512 457.5 512c14.67 0 27.2-9.969 30.47-24.22l23.25-100.8C514.6 372.4 507 357.2 493.1 351.2z", "M502.6 54.63L397.3 160H416c17.67 0 32 14.33 32 32s-14.33 32-32 32h-96c-17.67 0-32-14.33-32-32V96c0-17.67 14.33-32 32-32s32 14.33 32 32v18.75l105.4-105.4c12.5-12.5 32.75-12.5 45.25 0S515.1 42.13 502.6 54.63z"]],
    "phone-arrow-up-right": [512, 512, ["phone-arrow-up", "phone-outgoing"], "e224", ["M493.1 351.2L384.6 304.7c-12.78-5.531-27.8-1.813-36.48 8.969l-44.05 53.81c-69.25-34-125.5-90.28-159.5-159.5l53.83-44.09c10.75-8.781 14.42-23.66 8.984-36.44L160.8 18.93C154.7 5.027 139.7-2.598 124.1 .8079L24.22 24.06C9.969 27.31 0 39.84 0 54.5C0 306.8 205.2 512 457.5 512c14.67 0 27.2-9.969 30.47-24.22l23.25-100.8C514.6 372.4 507 357.2 493.1 351.2z", "M297.4 169.4L402.8 64H384c-17.67 0-32-14.33-32-32s14.33-32 32-32h96c17.67 0 32 14.33 32 32v96c0 17.67-14.33 32-32 32s-32-14.33-32-32V109.3l-105.4 105.4c-12.5 12.5-32.75 12.5-45.25 0S284.9 181.9 297.4 169.4z"]],
    "phone-flip": [512, 512, [128381, "phone-alt"], "f879", ["M208 367.5l-27.12-33.16l-175.1 70.4l9.786 42.41L208 367.5zM447.1 14.67l-42.41-9.784L334.4 180.8l33.14 27.17L447.1 14.67z", "M180.9 334.3L163.9 313.7c-8.782-10.75-23.67-14.42-36.45-8.98l-108.5 46.52c-13.91 6.094-21.52 21.14-18.12 35.82l4.082 17.69L180.9 334.3zM487.8 24.05l-40.66-9.383l-79.62 193.3c-34 69.25-90.27 125.5-159.5 159.5l-193.3 79.65l9.382 40.66c3.251 14.25 15.79 24.22 30.45 24.22c252.3 0 457.5-205.2 457.5-457.5C512 39.84 502 27.32 487.8 24.05zM334.4 180.8l70.36-175.9l-17.7-4.083c-14.59-3.373-29.79 4.207-35.79 18.11L304.7 127.4c-5.53 12.78-1.806 27.78 8.974 36.47L334.4 180.8z"]],
    "phone-hangup": [640, 512, [], "e225", ["M25.89 327.6l22.19 35.45l167.6-71.72L211.6 250.4L25.89 327.6zM428.5 250.4l-4.093 40.97l167.5 71.68l22.19-35.45L428.5 250.4z", "M48.08 363.1l9.246 14.78c7.674 12.29 23.11 17.35 36.72 12.04l105.5-42.13c12.39-4.99 20.01-17.59 18.67-30.85L215.7 291.4L48.08 363.1zM631.1 256.5C459.6 85.17 180.4 85.16 8.85 256.5c-9.967 9.954-11.71 25.24-4.23 37.12l21.27 33.99l185.7-77.22c70.19-23.93 146.8-23.91 216.1 .0281l185.6 77.2l21.27-33.99C642.9 281.8 641.1 266.5 631.1 256.5zM421.9 316.9c-1.424 13.22 6.259 25.95 18.71 30.87l105.4 42.1c13.54 5.372 28.1 .2223 36.63-11.98l9.266-14.8l-167.5-71.68L421.9 316.9z"]],
    "phone-intercom": [512, 512, [], "e434", ["M448 32H224C188.6 32 160 60.64 160 96v320c0 35.36 28.64 64 64 64h224c35.36 0 64-28.64 64-64V96C512 60.64 483.4 32 448 32zM272 416C245.5 416 224 394.5 224 368S245.5 320 272 320s48 21.5 48 48S298.5 416 272 416zM432 416h-64c-8.832 0-16-7.168-16-16s7.168-16 16-16h64c8.832 0 16 7.168 16 16S440.8 416 432 416zM432 352h-64c-8.832 0-16-7.168-16-16s7.168-16 16-16h64c8.832 0 16 7.168 16 16S440.8 352 432 352zM448 256H224V96h224V256z", "M80 32h-32C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h32C106.5 480 128 458.5 128 432v-352C128 53.5 106.5 32 80 32zM368 352h64c8.832 0 16-7.168 16-16S440.8 320 432 320h-64c-8.832 0-16 7.168-16 16S359.2 352 368 352zM432 384h-64c-8.832 0-16 7.168-16 16s7.168 16 16 16h64c8.832 0 16-7.168 16-16S440.8 384 432 384z"]],
    "phone-missed": [640, 512, [], "e226", ["M631.1 376.4c-171.6-171.6-450.7-171.6-622.3 .0085c-9.967 9.969-11.71 25.26-4.23 37.16l52.71 84.3c7.674 12.3 23.11 17.37 36.72 12.06l105.5-42.17c12.39-4.994 20.01-17.6 18.67-30.88l-6.621-66.57c70.19-23.96 146.8-23.95 216.1 .0202l-6.641 66.53c-1.424 13.24 6.26 25.97 18.71 30.9l105.4 42.14c13.54 5.377 28.1 .2285 36.63-11.99l52.73-84.32C642.9 401.6 641.1 386.4 631.1 376.4z", "M112.5 157.1c12.16 5.027 23.31-.0273 29.06-5.781L172.2 121.5l53.71 53.71C246.9 196.2 273.8 211.5 303.3 215.2C343.6 220.2 382.4 206.8 410.5 178.7l128.8-128.8c6.248-6.248 6.248-16.38 0-22.63L516.7 4.686c-6.248-6.248-16.38-6.248-22.63 0l-128.8 128.8c-24.89 24.89-65.61 24.89-90.5 0l-57.28-57.28L248.2 45.52c7.629-7.631 9.922-19.09 5.781-29.06C249.8 6.498 240.1 0 229.3 0H115.1C104.1 0 96 8.953 96 19.1v113.3C96 144.1 102.5 153.8 112.5 157.1z"]],
    "phone-office": [576, 512, [], "f67d", ["M192 0H96C78.38 0 64 14.38 64 32v352c0 17.62 14.38 32 32 32h96c17.62 0 32-14.38 32-32V32C224 14.38 209.6 0 192 0zM368 384h-32c-8.875 0-16 7.125-16 16v32c0 8.875 7.125 16 16 16h32c8.875 0 16-7.125 16-16v-32C384 391.1 376.9 384 368 384zM368 256h-32C327.1 256 320 263.1 320 272v32c0 8.875 7.125 16 16 16h32c8.875 0 16-7.125 16-16v-32C384 263.1 376.9 256 368 256zM496 384h-32c-8.875 0-16 7.125-16 16v32c0 8.875 7.125 16 16 16h32c8.875 0 16-7.125 16-16v-32C512 391.1 504.9 384 496 384zM496 256h-32C455.1 256 448 263.1 448 272v32c0 8.875 7.125 16 16 16h32c8.875 0 16-7.125 16-16v-32C512 263.1 504.9 256 496 256z", "M528 32H224v352c0 17.62-14.38 32-32 32H96c-17.62 0-32-14.38-32-32V32H48C21.5 32 0 53.5 0 80v384C0 490.5 21.5 512 48 512h480c26.5 0 48-21.5 48-48v-384C576 53.5 554.5 32 528 32zM384 432c0 8.875-7.125 16-16 16h-32c-8.875 0-16-7.125-16-16v-32c0-8.875 7.125-16 16-16h32c8.875 0 16 7.125 16 16V432zM384 304c0 8.875-7.125 16-16 16h-32C327.1 320 320 312.9 320 304v-32C320 263.1 327.1 256 336 256h32C376.9 256 384 263.1 384 272V304zM512 432c0 8.875-7.125 16-16 16h-32c-8.875 0-16-7.125-16-16v-32c0-8.875 7.125-16 16-16h32c8.875 0 16 7.125 16 16V432zM512 304c0 8.875-7.125 16-16 16h-32C455.1 320 448 312.9 448 304v-32C448 263.1 455.1 256 464 256h32C504.9 256 512 263.1 512 272V304zM512 192h-192V96h192V192z"]],
    "phone-plus": [512, 512, [], "f4d2", ["M493.1 351.2L384.6 304.7c-12.78-5.531-27.8-1.813-36.48 8.969l-44.05 53.81c-69.25-34-125.5-90.28-159.5-159.5l53.83-44.09c10.75-8.781 14.42-23.66 8.984-36.44L160.8 18.93C154.7 5.027 139.7-2.598 124.1 .8079L24.22 24.06C9.969 27.31 0 39.84 0 54.5C0 306.8 205.2 512 457.5 512c14.67 0 27.2-9.969 30.47-24.22l23.25-100.8C514.6 372.4 507 357.2 493.1 351.2z", "M512 96c0 13.26-10.74 23.1-23.1 23.1H439.1v48C439.1 181.3 429.3 192 416 192c-13.27 0-23.1-10.74-23.1-23.1V119.1H343.1C330.7 119.1 320 109.3 320 96c0-13.26 10.74-23.1 23.1-23.1H392V23.1C392 10.74 402.7 0 416 0s23.1 10.74 23.1 23.1v48h48C501.3 72 512 82.74 512 96z"]],
    "phone-rotary": [512, 512, [9742], "f8d3", ["M506.1 123C436.8 65 347.4 32 256 32S75.25 65 5.875 123C2.125 126.1 0 130.7 0 135.6V192c0 8.875 7.125 16 16 16h70.13c6 0 11.62-3.375 14.25-8.875L128 128c39.88-17.25 83.25-24 128-24S344.1 110.8 384 128l27.62 71.12C414.3 204.6 419.9 208 425.9 208H496C504.9 208 512 200.9 512 192V135.6C512 130.7 509.9 126.1 506.1 123zM256 240c-39.75 0-72 32.25-72 72S216.3 384 256 384s72-32.25 72-72S295.8 240 256 240z", "M475.8 376.6L370.4 192.2C358.1 172.2 337.9 160 314.9 160H197.1c-23 0-44.12 12.25-55.5 32.25l-105.4 184.4C33.5 381.5 32 386.9 32 392.5V448c0 17.62 14.38 32 32 32h384c17.62 0 32-14.38 32-32v-55.5C480 386.9 478.5 381.5 475.8 376.6zM256 384c-39.75 0-72-32.25-72-72S216.3 240 256 240s72 32.25 72 72S295.8 384 256 384z"]],
    "phone-slash": [640, 512, [], "f3dd", ["M271.1 367.5L227.9 313.7C219.2 302.9 204.2 299.2 191.4 304.7L82.92 351.2c-13.91 6-21.49 21.19-18.12 35.79l23.25 100.8C91.32 502 103.8 512 118.5 512c107.4 0 206.1-37.46 284.2-99.65l-88.75-69.56C300.6 351.9 286.6 360.3 271.1 367.5zM551.8 24.06l-100.8-23.25c-14.69-3.406-29.73 4.213-35.82 18.12l-46.52 108.5c-5.438 12.78-1.771 27.67 8.979 36.45l53.82 44.08c-12.27 24.99-27.6 48.23-45.29 69.37l85.07 66.67C536.3 265.1 576 164.6 576 54.51C576 39.85 566 27.31 551.8 24.06z", "M630.8 469.1L38.81 5.109C34.41 1.672 29.19 0 24.03 0C16.91 0 9.84 3.156 5.121 9.188C-3.066 19.62-1.248 34.72 9.189 42.89l591.1 463.1c10.5 8.203 25.57 6.328 33.69-4.078C643.1 492.4 641.3 477.3 630.8 469.1z"]],
    "phone-volume": [512, 512, ["volume-control-phone"], "f2a0", ["M284.6 181.9c-10.28-8.344-25.41-6.875-33.75 3.406c-8.406 10.25-6.906 25.37 3.375 33.78C265.5 228.4 272 241.8 272 255.1s-6.5 27.62-17.81 36.88c-10.28 8.406-11.78 23.53-3.375 33.78c4.719 5.812 11.62 8.812 18.56 8.812c5.344 0 10.75-1.781 15.19-5.406C307.1 311.6 320 284.6 320 255.1S307.1 200.4 284.6 181.9zM345.1 107.1c-10.22-8.344-25.34-6.906-33.78 3.344c-8.406 10.25-6.906 25.37 3.344 33.78C348.6 172.9 368 213.3 368 255.1s-19.44 83.09-53.31 110.9c-10.25 8.406-11.75 23.53-3.344 33.78c4.75 5.781 11.62 8.781 18.56 8.781c5.375 0 10.75-1.781 15.22-5.438C390.2 367.1 416 313.1 416 255.1S390.2 144.9 345.1 107.1zM406.4 33.14c-10.22-8.344-25.34-6.875-33.78 3.344c-8.406 10.25-6.906 25.37 3.344 33.78C431.9 116.1 464 183.8 464 255.1s-32.09 139.9-88.06 185.7c-10.25 8.406-11.75 23.53-3.344 33.78c4.75 5.781 11.62 8.781 18.56 8.781c5.375 0 10.75-1.781 15.22-5.438C473.5 423.8 512 342.6 512 255.1S473.5 88.14 406.4 33.14z", "M176 352.5c-3.945-9.963-14.14-16.11-24.73-14.97l-53.24 5.314C78.89 286.7 78.89 225.4 98.06 169.3L151.3 174.6c10.63 1.07 20.72-5.025 24.71-14.94l33.75-84.38C214 64.35 209.1 52 200.2 45.86l-67.47-42.17C123.2-2.289 110.9-.8945 102.9 7.08C-34.32 144.3-34.31 367.7 102.9 504.9c7.982 7.984 20.22 9.379 29.75 3.402l67.48-42.19c9.775-6.104 13.9-18.47 9.598-29.3L176 352.5z"]],
    "phone-xmark": [512, 512, [], "e227", ["M493.1 351.2L384.6 304.7c-12.78-5.531-27.8-1.813-36.48 8.969l-44.05 53.81c-69.25-34-125.5-90.28-159.5-159.5l53.83-44.09c10.75-8.781 14.42-23.66 8.984-36.44L160.8 18.93C154.7 5.027 139.7-2.598 124.1 .8079L24.22 24.06C9.969 27.31 0 39.84 0 54.5C0 306.8 205.2 512 457.5 512c14.67 0 27.2-9.969 30.47-24.22l23.25-100.8C514.6 372.4 507 357.2 493.1 351.2z", "M483.9 163.9c-9.375 9.375-24.56 9.376-33.94-.0005l-33.94-33.94l-33.94 33.94c-9.376 9.376-24.57 9.374-33.94-.0005c-9.38-9.38-9.374-24.57-.0005-33.94l33.94-33.94l-33.94-33.94c-9.382-9.382-9.374-24.57-.0005-33.94c9.375-9.375 24.56-9.376 33.94 .0005l33.94 33.94l33.94-33.94c9.376-9.376 24.57-9.374 33.94 .0005s9.377 24.56 .0004 33.94l-33.94 33.94l33.94 33.94C493.3 139.3 493.3 154.5 483.9 163.9z"]],
    "photo-film": [640, 512, ["photo-video"], "f87c", ["M591.1 0H239.1C213.5 0 191.1 21.49 191.1 48v256c0 26.51 21.49 48 48 48h352c26.51 0 48-21.49 48-48v-256C640 21.49 618.5 0 591.1 0zM303.1 64c17.68 0 32 14.33 32 32s-14.32 32-32 32C286.3 128 271.1 113.7 271.1 96S286.3 64 303.1 64zM574.1 279.6C571.3 284.8 565.9 288 560 288H271.1C265.1 288 260.5 284.6 257.7 279.3C255 273.9 255.5 267.4 259.1 262.6l70-96C332.1 162.4 336.9 160 341.1 160c5.11 0 9.914 2.441 12.93 6.574l22.35 30.66l62.74-94.11C442.1 98.67 447.1 96 453.3 96c5.348 0 10.34 2.672 13.31 7.125l106.7 160C576.6 268 576.9 274.3 574.1 279.6z", "M352 432c0 8.836-7.164 16-16 16H176c-8.838 0-16-7.164-16-16L160 128H48C21.49 128 .0003 149.5 .0003 176v288c0 26.51 21.49 48 48 48h416c26.51 0 48-21.49 48-48L512 384h-160L352 432zM104 439c0 4.969-4.031 9-9 9h-30c-4.969 0-9-4.031-9-9v-30c0-4.969 4.031-9 9-9h30c4.969 0 9 4.031 9 9V439zM104 335c0 4.969-4.031 9-9 9h-30c-4.969 0-9-4.031-9-9v-30c0-4.969 4.031-9 9-9h30c4.969 0 9 4.031 9 9V335zM104 231c0 4.969-4.031 9-9 9h-30c-4.969 0-9-4.031-9-9v-30C56 196 60.03 192 65 192h30c4.969 0 9 4.031 9 9V231zM408 409c0-4.969 4.031-9 9-9h30c4.969 0 9 4.031 9 9v30c0 4.969-4.031 9-9 9h-30c-4.969 0-9-4.031-9-9V409zM573.3 263.1l-106.7-160C463.7 98.67 458.7 96 453.3 96c-5.352 0-10.35 2.672-13.31 7.125l-62.74 94.11l-22.35-30.66C351.9 162.4 347.1 160 341.1 160c-5.109 0-9.914 2.441-12.93 6.574l-70 96C255.5 267.4 255 273.9 257.7 279.3C260.5 284.6 265.1 288 271.1 288h288c5.899 0 11.32-3.246 14.11-8.449C576.9 274.3 576.6 268 573.3 263.1z"]],
    "photo-film-music": [640, 512, [], "e228", ["M176 392c-8.836 0-16-7.164-16-16V96H40.2C17.1 96 0 113.1 0 136.2v271.7C0 430.1 17.93 448 40.13 448h249.8c5.904-25.11 25.54-45.43 52.31-56H176zM104 384c0 4.418-3.582 8-8 8H64c-4.418 0-8-3.582-8-8v-32c0-4.418 3.582-8 8-8h32c4.418 0 8 3.582 8 8V384zM104 288c0 4.418-3.582 8-8 8H64C59.58 296 56 292.4 56 288V256c0-4.418 3.582-8 8-8h32c4.418 0 8 3.582 8 8V288zM104 192c0 4.418-3.582 8-8 8H64C59.58 200 56 196.4 56 192V160c0-4.418 3.582-8 8-8h32c4.418 0 8 3.582 8 8V192zM618.9 160.8l-208 69.33C404.4 232.3 400 238.5 400 245.3v172.4C394.9 416.7 389.6 416 384 416c-35.35 0-64 21.49-64 48s28.65 48 64 48c35.35 0 64-21.49 64-48V319l144-48v82.7C586.9 352.7 581.6 352 576 352c-35.35 0-64 21.49-64 48s28.65 48 64 48c35.35 0 64-21.49 64-48V176C640 165.1 629.3 157.4 618.9 160.8zM301.3 256L368 255.1V245.3c0-20.69 13.2-38.99 32.83-45.53l104.7-34.9l-41.98-62.97C461.1 98.23 456.9 96 452.4 96c-4.459 0-8.623 2.227-11.09 5.938l-52.29 78.42L370.4 154.8c-2.512-3.445-6.517-5.479-10.77-5.479s-8.262 2.033-10.78 5.479l-58.33 80c-2.955 4.053-3.386 9.424-1.111 13.9C291.7 253.2 296.3 256 301.3 256z", "M564.4 0H235.6C211.5 0 192 19.1 192 44.67v230.7C192 300 211.5 320 235.6 320H368V255.1L301.3 256C296.3 256 291.7 253.2 289.4 248.7c-2.275-4.473-1.846-9.844 1.111-13.9l58.33-80c2.514-3.445 6.518-5.479 10.78-5.479s8.261 2.033 10.77 5.479l18.63 25.55l52.29-78.42C443.8 98.23 447.1 96 452.4 96c4.457 0 8.621 2.227 11.09 5.938l41.98 62.97L608 130.8V44.67C608 19.1 588.5 0 564.4 0zM288 128C270.3 128 256 113.7 256 96s14.33-32 32-32c17.68 0 32 14.33 32 32S305.7 128 288 128z"]],
    "pi": [448, 512, [], "f67e", ["M438.6 361.4c12.5 12.5 12.5 32.75 0 45.25l-18.75 18.75c-14.41 14.38-34.31 22.62-54.63 22.62C322.7 448 288 413.4 288 370.8v-242.7H160v152.4c0 51.75-12.23 103.6-35.38 149.9c-5.609 11.22-16.91 17.69-28.66 17.69c-4.797 0-9.688-1.094-14.28-3.375c-15.81-7.906-22.22-27.12-14.31-42.94C86.11 364.3 96 322.3 96 280.5V128H32c-17.67 0-32-14.31-32-32s14.33-32 32-32h384c17.67 0 32 14.31 32 32s-14.33 32-32 32h-64v242.7c.0156 10.78 14.94 17.06 22.64 9.344l18.73-18.72C405.9 348.9 426.1 348.9 438.6 361.4z", ""]],
    "piano": [512, 512, [], "f8d4", ["M0 480v-128h64v96h384v-96h64v128c0 17.62-14.38 32-32 32H32C14.38 512 0 497.6 0 480z", "M0 352V184.5C0 82.63 82.5 0 184.5 0h15C301.5 0 384 82.63 384 184.5c0 24.25 13.75 46.38 35.38 57.25l57.18 28.47C498.2 281.1 512 303.3 512 327.5V352h-96v56c0 4.375-3.625 8-8 8h-16C387.6 416 384 412.4 384 408V352h-32v56c0 4.375-3.625 8-8 8h-16C323.6 416 320 412.4 320 408V352h-64v56C256 412.4 252.4 416 248 416h-16C227.6 416 224 412.4 224 408V352H192v56C192 412.4 188.4 416 184 416h-16C163.6 416 160 412.4 160 408V352H128v56C128 412.4 124.4 416 120 416h-16C99.63 416 96 412.4 96 408V352H0z"]],
    "piano-keyboard": [576, 512, [127929], "f8d5", ["M576 224v192c0 17.62-14.38 32-32 32H32c-17.62 0-32-14.38-32-32V224h64v160h448V224H576z", "M576 96v128h-128v80c0 8.875-7.125 16-16 16h-32C391.1 320 384 312.9 384 304V224h-64v80c0 8.875-7.125 16-16 16h-32C263.1 320 256 312.9 256 304V224H192v80C192 312.9 184.9 320 176 320h-32C135.1 320 128 312.9 128 304V224H0V96c0-17.62 14.38-32 32-32h512C561.6 64 576 78.38 576 96z"]],
    "pickleball": [576, 512, [], "e435", ["M304 384C304 313.3 361.3 256 432 256C502.7 256 560 313.3 560 384C560 454.7 502.7 512 432 512C361.3 512 304 454.7 304 384zM352 352C343.2 352 336 359.2 336 368C336 376.8 343.2 384 352 384C360.8 384 368 376.8 368 368C368 359.2 360.8 352 352 352zM416 480C424.8 480 432 472.8 432 464C432 455.2 424.8 448 416 448C407.2 448 400 455.2 400 464C400 472.8 407.2 480 416 480zM432 368C423.2 368 416 375.2 416 384C416 392.8 423.2 400 432 400C440.8 400 448 392.8 448 384C448 375.2 440.8 368 432 368zM512 416C520.8 416 528 408.8 528 400C528 391.2 520.8 384 512 384C503.2 384 496 391.2 496 400C496 408.8 503.2 416 512 416zM448 288C439.2 288 432 295.2 432 304C432 312.8 439.2 320 448 320C456.8 320 464 312.8 464 304C464 295.2 456.8 288 448 288z", "M499.9 141.3C529.1 170.5 535.6 213.7 519.3 249.1C494.4 233.3 464.9 224.1 433.2 224.1C361.1 224.1 300.2 271.5 279.9 336.6L155.7 212.8C149.4 206.6 139.3 206.6 133 212.8C126.8 219.1 126.8 229.2 133.1 235.5L272.1 374.9C272.8 377.9 272.7 380.1 272.7 384.1C272.7 411.8 279.8 437.9 292.3 460.7C283 461.1 273.6 459.6 264.6 455.9L207.9 432.7C184 422.9 156.5 428.4 138.3 446.6L84.44 500.3C68.79 515.9 43.42 515.8 27.78 500.2C12.13 484.7 12.14 459.4 27.79 443.8L81.33 390.4C99.7 372.1 105.2 344.6 95.21 320.7L71.05 262.8C61.08 238.9 66.56 211.3 84.91 193L250.4 28.02C287.9-9.414 348.8-9.414 386.3 28.02L499.9 141.3z"]],
    "pie": [576, 512, [129383], "f705", ["M528.5 302.4l-41.28 123.7C483 439.1 470.8 448 457 448H119.1c-13.88 0-25.1-8.875-30.37-21.88L47.47 302.4c22.32-3.504 36.66-13.48 46.4-20.76C103 274.8 106.8 272 117.5 272c10.62 0 14.38 2.75 23.5 9.625C152.9 290.5 170.9 304 202.9 304s50-13.5 61.88-22.38C273.8 274.8 277.6 272 288.3 272s14.38 2.75 23.38 9.625C323.6 290.5 341.5 304 373.5 304s50-13.5 61.88-22.38C444.4 274.8 448.1 272 458.9 272c10.62 0 14.25 2.75 23.38 9.625C491.9 288.9 506.2 298.9 528.5 302.4z", "M544 240c-6.5 0-10.38-1.25-14.5-3.5C494.9 136.1 400.1 64 288 64S81 136.3 46.5 236.5C42.38 238.9 38.5 240 32 240c-17.62 0-32 14.38-32 32s14.38 32 32 32c32 0 49.1-13.5 61.88-22.38C103 274.8 106.8 272 117.5 272c10.62 0 14.38 2.75 23.5 9.625C152.9 290.5 170.9 304 202.9 304s50-13.5 61.88-22.38C273.8 274.8 277.6 272 288.3 272s14.38 2.75 23.38 9.625C323.6 290.5 341.5 304 373.5 304s50-13.5 61.88-22.38C444.4 274.8 448.1 272 458.9 272c10.62 0 14.25 2.75 23.38 9.625C493.1 290.5 512 304 544 304c17.62 0 32-14.38 32-32S561.6 240 544 240zM206.3 151.1l-16 32C180.9 202 152.1 187.1 161.7 168.9l16-32C187.2 117.1 215.8 132.3 206.3 151.1zM304 176c0 21.12-32 21.12-32 0v-32c0-21.12 32-21.12 32 0V176zM385.7 183.1l-16-32c-9.5-18.88 19.19-33.14 28.56-14.27l16 32C423.9 187.9 395.1 202 385.7 183.1z"]],
    "pig": [640, 512, [128022], "f706", ["M513.5 32C521.5 32 528 38.48 528 46.47V78.03C528 97.78 518.1 115.8 504.4 127.7C510.8 132.6 517 137.8 522.1 143.3C540.5 127.5 551.4 104.8 551.1 80H592C600.8 80 608 87.16 608 96V112C608 144.8 583.4 171.8 551.7 175.5L558.4 184.6C569.1 199.1 584.1 212.5 602.2 221.1L608 224H616C629.3 224 640 234.7 640 248V344C640 357.3 629.3 368 616 368H572.5C550.3 389.2 522.8 404.2 492.8 411.3L479.8 456.8C475.8 470.5 463.3 480 449 480H416C398.3 480 384 465.7 384 448V416H272V448C272 465.7 257.7 480 240 480H206.1C192.7 480 180.2 470.5 176.2 456.8L154.1 382.4C110.3 357.1 80 310.5 80 256V240C80 151.6 151.6 80 240 80H362.4C376.8 80 391.1 81.33 405.1 83.91C413.2 64.44 430.5 49.47 452.1 44.83L510.5 32.32C511.5 32.11 512.5 32 513.5 32L513.5 32zM476 256C487 256 496 247 496 236C496 224.1 487 216 476 216C464.1 216 456 224.1 456 236C456 247 464.1 256 476 256z", "M47.45 240C21.24 240 0 218.8 0 192.6C0 170.8 14.82 151.8 35.94 146.5L44.12 144.5C52.69 142.3 61.38 147.5 63.52 156.1C65.67 164.7 60.45 173.4 51.88 175.5L43.7 177.6C36.82 179.3 32 185.5 32 192.6C32 201.1 38.92 207.1 47.45 207.1H83.2C81.1 218.3 80 229 80 239.1L47.45 240zM456 236C456 224.1 464.1 216 476 216C487 216 496 224.1 496 236C496 247 487 256 476 256C464.1 256 456 247 456 236z"]],
    "piggy-bank": [576, 512, [], "f4d3", ["M400 96L399.1 96.66C394.7 96.22 389.4 96 384 96H256C239.5 96 223.5 98.08 208.2 102C208.1 100 208 98.02 208 96C208 42.98 250.1 0 304 0C357 0 400 42.98 400 96z", "M512 96L493.2 171.1C509.1 185.9 521.9 203.9 530.7 224H544C561.7 224 576 238.3 576 256V352C576 369.7 561.7 384 544 384H512C502.9 396.1 492.1 406.9 480 416V480C480 497.7 465.7 512 448 512H416C398.3 512 384 497.7 384 480V448H256V480C256 497.7 241.7 512 224 512H192C174.3 512 160 497.7 160 480V416C125.1 389.8 101.3 349.8 96.79 304H68C30.44 304 0 273.6 0 236C0 198.4 30.44 168 68 168H72C85.25 168 96 178.7 96 192C96 205.3 85.25 216 72 216H68C56.95 216 48 224.1 48 236C48 247 56.95 256 68 256H99.2C114 182.1 178.6 128 256 128H384C391.8 128 399.5 128.6 407 129.6C424.6 109.1 450.8 96 480 96H512zM424 288C437.3 288 448 277.3 448 264C448 250.7 437.3 240 424 240C410.7 240 400 250.7 400 264C400 277.3 410.7 288 424 288z"]],
    "pills": [576, 512, [], "f484", ["M299.8 226.2c-3.5-3.5-9.5-3-12.38 .875c-45.25 62.5-40.38 150.1 15.88 206.4c56.38 56.25 144 61.25 206.5 15.88c4-2.875 4.25-8.75 .75-12.25L299.8 226.2zM529.5 207.2c-56.25-56.25-143.9-61.12-206.4-15.87C319.1 194.3 318.8 200.3 322.3 203.8l210.9 210.7c3.5 3.501 9.375 3.125 12.25-.75C590.8 351.1 585.9 263.6 529.5 207.2zM112 32C50.12 32 0 82.12 0 143.1V256h224L224 143.1C224 82.12 173.9 32 112 32z", "M224 256l-.0022 111.1c0 61.88-50.12 111.1-112 111.1S0 429.9 0 367.1V256H224z"]],
    "pinata": [512, 512, [], "e3c3", ["M146.5 270.6L176 257.5l29.5 13.12C207.6 271.5 209.8 272 212 272s4.438-.4687 6.5-1.375L251.4 256H240V226L212 238.5L182.5 225.4c-4.125-1.812-8.875-1.812-13 0L140 238.5L112 226v35.03l21.5 9.555C137.6 272.4 142.4 272.4 146.5 270.6zM175.2 401.7c-4.5-2.25-9.812-2.25-14.31 0L136 414.1L112 402.1v35.78l16.84 8.422c4.5 2.25 9.812 2.25 14.31 0L168 433.9l24.84 12.44C195.1 447.4 197.6 448 200 448s4.906-.5625 7.156-1.688L224 437.9V402.1l-24 12.02L175.2 401.7zM510.7 314.7l-25.31 11.69l-28-12.91c-4.25-1.938-9.156-1.938-13.41 0L416 326.4l-27.94-12.91c-4.25-1.938-9.156-1.938-13.41 0l-28 12.91l-27.94-12.91c-4.25-1.938-9.188-1.938-13.44 0l-27.94 12.91l-28-12.91c-4.25-1.938-9.156-1.938-13.41 0L208 326.4L180.1 313.5c-4.25-1.938-9.156-1.938-13.41 0l-28 12.91L112 314.1v35.27l19.94 9.205c4.25 1.938 9.156 1.938 13.41 0l28-12.91l27.94 12.91c4.25 1.938 9.188 1.938 13.44 0l27.94-12.91l28 12.91c4.25 1.938 9.156 1.938 13.41 0L312 345.6l27.94 12.91c4.25 1.938 9.156 1.938 13.41 0l28-12.91l27.94 12.91C411.4 359.5 413.7 360 416 360s4.594-.5 6.719-1.469l27.94-12.91l28 12.91c4.25 1.938 9.156 1.938 13.41 0L512 349.3V328C512 323.4 511.5 319 510.7 314.7zM463.2 401.7c-4.5-2.25-9.812-2.25-14.31 0L424 414.1L400 402.1v35.78l16.84 8.422c4.5 2.25 9.812 2.25 14.31 0L456 433.9l24.84 12.44C483.1 447.4 485.6 448 488 448s4.906-.5625 7.156-1.688L512 437.9V402.1l-24 12.02L463.2 401.7z", "M480.8 446.3L456 433.9l-24.84 12.44c-4.5 2.25-9.812 2.25-14.31 0L400 437.9V472c0 22.06 17.94 40 40 40h32c22.06 0 40-17.94 40-40v-34.11l-16.84 8.422C488.5 449.7 482.5 447.2 480.8 446.3zM205.5 270.6L176 257.5L146.5 270.6c-4.125 1.812-8.875 1.812-13 0L112 261.1v52.99l26.66 12.31l28-12.91c4.25-1.938 9.156-1.938 13.41 0L208 326.4l27.94-12.91c4.25-1.938 9.156-1.938 13.41 0l28 12.91l27.94-12.91c4.25-1.938 9.188-1.938 13.44 0l27.94 12.91l28-12.91c4.25-1.938 9.156-1.938 13.41 0L416 326.4l27.94-12.91c4.25-1.938 9.156-1.938 13.41 0l28 12.91l25.31-11.69C504.4 281.3 475.1 256 440 256H251.4L218.5 270.6C212.9 273.1 207.9 271.7 205.5 270.6zM492.1 358.5c-4.25 1.938-9.156 1.938-13.41 0l-28-12.91l-27.94 12.91c-6.389 2.912-11.84 .7266-13.44 0l-27.94-12.91l-28 12.91c-4.25 1.938-9.156 1.938-13.41 0L312 345.6l-27.94 12.91c-4.25 1.938-9.156 1.938-13.41 0l-28-12.91l-27.94 12.91c-4.25 1.938-9.188 1.938-13.44 0l-27.94-12.91l-28 12.91c-4.25 1.938-9.156 1.938-13.41 0L112 349.3v52.78l24 12.02l24.84-12.44c4.5-2.25 9.812-2.25 14.31 0L200 414.1C211.6 408.3 227.4 400 230.2 400h163.6c2.82 0 18.8 8.424 30.19 14.12l24.84-12.44c4.5-2.25 9.812-2.25 14.31 0L488 414.1L512 402.1v-52.78L492.1 358.5zM192.8 446.3L168 433.9l-24.84 12.44c-4.5 2.25-9.812 2.25-14.31 0L112 437.9V472C112 494.1 129.9 512 152 512h32C206.1 512 224 494.1 224 472v-34.11l-16.84 8.422C200.5 449.7 194.5 447.2 192.8 446.3zM112 226L140 238.5l29.5-13.12c4.125-1.812 8.875-1.812 13 0L212 238.5L240 226V32c0-17.66-14.34-32-32-32s-32 14.34-32 32v32H62.72C28.13 64 0 92.13 0 126.7c0 27.84 18.72 52.66 45.5 60.31L112 206V226zM176 120c13.25 0 24 10.74 24 24c0 13.25-10.75 24-24 24S152 157.3 152 144C152 130.7 162.7 120 176 120z"]],
    "pinball": [448, 512, [], "e229", ["M352 32c-53.02 0-96 42.98-96 96s42.98 96 96 96s96-42.98 96-96S405 32 352 32z", "M145.4 211.6C123.9 194.5 101.9 191.1 90.1 191.1c-49.65 0-90.1 41.71-90.1 93.11c0 39.17 24.13 75.61 62.12 88.44l310.3 104.8c3.349 1.123 6.824 1.677 10.29 1.677c17.94 0 33.3-14.85 33.3-34.3c0-10.24-4.414-20.37-12.85-27.14L145.4 211.6zM96.17 319.7c-17.58 0-31.89-14.31-31.89-31.89c0-17.58 14.31-31.89 31.89-31.89c17.58 0 31.89 14.31 31.89 31.89C128.1 305.4 113.8 319.7 96.17 319.7z"]],
    "pineapple": [512, 512, [], "e31f", ["M404.3 152.3L359.7 107.7c-58.22-58.22-152.6-58.22-210.8 .001L43.67 212.8c-58.22 58.22-58.22 152.6-.002 210.8l44.66 44.66c58.22 58.22 152.6 58.23 210.8 .002l105.2-105.2C462.6 304.9 462.6 210.5 404.3 152.3zM164.7 212.7c6.25-6.25 16.38-6.25 22.62 0L208 233.4l20.69-20.69c6.25-6.25 16.38-6.25 22.62 0s6.25 16.38 0 22.62l-32 32C216.2 270.4 212.1 272 208 272S199.8 270.4 196.7 267.3l-32-32C158.4 229.1 158.4 218.9 164.7 212.7zM128 352c-4.094 0-8.188-1.562-11.31-4.688l-32-32c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0L128 313.4l20.69-20.69c6.25-6.25 16.38-6.25 22.62 0s6.25 16.38 0 22.62l-32 32C136.2 350.4 132.1 352 128 352zM251.3 395.3l-32 32C216.2 430.4 212.1 432 208 432s-8.188-1.562-11.31-4.688l-32-32c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0L208 393.4l20.69-20.69c6.25-6.25 16.38-6.25 22.62 0S257.6 389.1 251.3 395.3zM331.3 315.3l-32 32C296.2 350.4 292.1 352 288 352s-8.188-1.562-11.31-4.688l-32-32c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0L288 313.4l20.69-20.69c6.25-6.25 16.38-6.25 22.62 0S337.6 309.1 331.3 315.3z", "M511.6 98.91c1.574-4.977-1.377-10.39-6.588-12.1L479.8 78.57C489.8 68.28 496 54.31 496 38.85V27.43c0-6.311-5.117-11.43-11.43-11.43h-11.43c-15.01 0-28.56 5.91-38.76 15.38l-7.668-24.24c-1.678-5.305-7-8.309-11.89-6.707c-17.27 5.662-30.42 18.48-37.74 34.55l-18.21-18.19c-3.762-3.756-9.672-3.947-13.2-.4238c-18.73 18.71-22.41 46.97-11.63 71.02c9.059 5.758 17.72 12.38 25.62 20.28l44.66 44.66c7.881 7.881 14.49 16.51 20.23 25.54c24.13 10.87 52.53 7.238 71.31-11.52c3.529-3.523 3.338-9.424-.4258-13.18L478.9 136.7C494.1 129.1 506.2 116 511.6 98.91zM171.3 292.7c-6.25-6.25-16.38-6.25-22.62 0L128 313.4L107.3 292.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l32 32C119.8 350.4 123.9 352 128 352s8.188-1.562 11.31-4.688l32-32C177.6 309.1 177.6 298.9 171.3 292.7zM308.7 292.7L288 313.4l-20.69-20.69c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l32 32C279.8 350.4 283.9 352 288 352s8.188-1.562 11.31-4.688l32-32c6.25-6.25 6.25-16.38 0-22.62S314.9 286.4 308.7 292.7zM196.7 267.3C199.8 270.4 203.9 272 208 272s8.188-1.562 11.31-4.688l32-32c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0L208 233.4L187.3 212.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L196.7 267.3zM228.7 372.7L208 393.4l-20.69-20.69c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l32 32C199.8 430.4 203.9 432 208 432s8.188-1.562 11.31-4.688l32-32c6.25-6.25 6.25-16.38 0-22.62S234.9 366.4 228.7 372.7z"]],
    "pipe": [64, 512, [], "7c", ["M32 512c-17.67 0-32-14.33-32-32V32c0-17.67 14.33-32 32-32s32 14.33 32 32v448C64 497.7 49.67 512 32 512z", ""]],
    "pipe-circle-check": [640, 512, [], "e436", ["M96 384h224.7C320.3 378.7 320 373.4 320 368c0-68.38 39.01-127.7 96-156.8V128H96V384zM32 96C14.34 96 0 110.3 0 128v256c0 17.66 14.34 32 32 32s32-14.34 32-32V128C64 110.3 49.66 96 32 96zM480 96c-17.66 0-32 14.34-32 32v70.62C463.3 194.3 479.4 192 496 192c5.408 0 10.72 .2559 16 .7031V128C512 110.3 497.7 96 480 96z", "M496 224C416.5 224 352 288.5 352 368s64.48 144 144 144s144-64.48 144-144S575.5 224 496 224zM563.9 338.7l-72 80c-2.943 3.264-7.104 5.184-11.49 5.312c-4.385 .0957-8.641-1.568-11.74-4.672l-40-40c-6.24-6.273-6.24-16.38 0-22.66c6.271-6.24 16.38-6.24 22.66 0l28.06 28.1l60.7-67.46c5.92-6.592 16.03-7.104 22.59-1.215C569.3 322 569.8 332.1 563.9 338.7z"]],
    "pipe-collar": [512, 512, [], "e437", ["M476.6 386c22.53-38.11 35.46-82.56 35.46-130S499.1 164.1 476.6 125.9l16.7-16.7c24.99-24.99 24.99-65.5 0-90.5s-65.5-24.99-90.5 0L386.1 35.45c-38.11-22.53-82.56-35.46-130-35.46S164.1 12.92 125.1 35.45L109.3 18.74c-24.99-24.99-65.5-24.99-90.5 0s-24.99 65.5 0 90.5L35.46 125.9C12.94 164.1 .0078 208.5 .0078 255.1s12.93 91.94 35.46 130l-16.7 16.71c-24.99 24.99-24.99 65.5 0 90.5s65.5 24.99 90.5 0l16.7-16.71c38.11 22.53 82.56 35.46 130 35.46s91.94-12.93 130-35.46l16.7 16.71c24.99 24.99 65.5 24.99 90.5 0s24.99-65.5 0-90.5L476.6 386zM64.01 463.1c-8.832 0-16-7.168-16-16s7.168-16 16-16s16 7.168 16 16S72.84 463.1 64.01 463.1zM64.01 79.99c-8.832 0-16-7.168-16-16s7.168-16 16-16s16 7.168 16 16S72.84 79.99 64.01 79.99zM405 314.5c-16.26 41.34-49.18 74.27-90.53 90.53c-18.11 7.104-37.82 11.01-58.46 11.01s-40.35-3.904-58.46-11.01c-41.34-16.26-74.27-49.19-90.53-90.53c-7.104-18.11-11.01-37.82-11.01-58.46c0-20.64 3.904-40.35 11.01-58.46C123.3 156.2 156.2 123.3 197.5 107c18.11-7.104 37.82-11.01 58.46-11.01s40.35 3.904 58.46 11.01c41.34 16.26 74.27 49.18 90.53 90.53c7.104 18.11 11.01 37.82 11.01 58.46C416 276.6 412.1 296.3 405 314.5zM448 463.1c-8.832 0-16-7.168-16-16s7.168-16 16-16s16 7.168 16 16S456.8 463.1 448 463.1zM448 79.99c-8.832 0-16-7.168-16-16s7.168-16 16-16s16 7.168 16 16S456.8 79.99 448 79.99z", "M64.01 431.1c-8.832 0-16 7.168-16 16s7.168 16 16 16s16-7.168 16-16S72.84 431.1 64.01 431.1zM448 79.99c8.832 0 16-7.168 16-16s-7.168-16-16-16s-16 7.168-16 16S439.2 79.99 448 79.99zM64.01 47.99c-8.832 0-16 7.168-16 16s7.168 16 16 16s16-7.168 16-16S72.84 47.99 64.01 47.99zM448 431.1c-8.832 0-16 7.168-16 16s7.168 16 16 16s16-7.168 16-16S456.8 431.1 448 431.1zM256 127.1c-70.69 0-128 57.31-128 128c0 70.69 57.31 128 128 128s128-57.31 128-128C384 185.3 326.7 127.1 256 127.1z"]],
    "pipe-section": [640, 512, [], "e438", ["M576 128v256H64V128H576z", "M32 96C14.34 96 0 110.3 0 128v256c0 17.66 14.34 32 32 32s32-14.34 32-32V128C64 110.3 49.66 96 32 96zM608 96c-17.66 0-32 14.34-32 32v256c0 17.66 14.34 32 32 32s32-14.34 32-32V128C640 110.3 625.7 96 608 96z"]],
    "pipe-smoking": [640, 512, [], "e3c4", ["M640 32c0 17.69-14.31 32-32 32h-26.12c-32.81 0-63 16.47-80.72 44.09L407 252.7c-1.246-2.158-2.855-4.125-5.127-5.554l-54.34-34.21c-2.322-1.463-4.869-2.03-7.432-2.199L448 64c30.06-40.09 77.9-64 127.1-64H608C625.7 0 640 14.31 640 32z", "M401.9 247.1c7.73 4.865 9.747 15.15 4.522 22.65l-117.7 168.8C259.1 484.5 208.8 512 154.1 512H128c-70.69 0-128-57.31-128-128V256c0-17.67 14.33-32 32-32h192c17.67 0 32 14.33 32 32v64l69.8-102.6c4.847-7.122 14.45-9.137 21.74-4.545L401.9 247.1z"]],
    "pipe-valve": [512, 512, [], "e439", ["M288 192V147.6l-32-3.553L224 147.6V192H64v256h384V192H288zM288 76.35V64c0-17.66-14.34-32-32-32S224 46.34 224 64v12.35l32 3.553L288 76.35z", "M32 160C14.34 160 0 174.3 0 192v256c0 17.66 14.34 32 32 32s32-14.34 32-32V192C64 174.3 49.66 160 32 160zM480 160c-17.66 0-32 14.34-32 32v256c0 17.66 14.34 32 32 32s32-14.34 32-32V192C512 174.3 497.7 160 480 160zM398.2 64.1L256 79.9L113.8 64.1C109.2 63.58 104.7 65.06 101.3 68.06C97.95 71.1 96 75.46 96 80v32c0 4.543 1.951 8.896 5.344 11.94C104.7 126.9 109.2 128.4 113.8 127.9L256 112.1l142.2 15.81c4.512 .5117 9.023-.9609 12.42-3.969C414 120.9 416 116.5 416 112v-32c0-4.545-1.951-8.896-5.344-11.94C407.3 65.06 402.8 63.58 398.2 64.1z"]],
    "pizza": [576, 512, [127829], "f817", ["M477.9 120.4L342.3 256l135.6 135.6c33.37-38.94 50.06-87.29 50.06-135.6C527.9 207.7 511.2 159.3 477.9 120.4zM448.1 304c-17.74 0-31.99-14.25-31.99-31.1C416.1 254.3 430.4 240 448.1 240c17.5 0 31.99 14.25 31.99 32C480.1 289.8 465.6 304 448.1 304zM403.2 108.9c-40.6-40.6-93.67-60.88-146.9-60.87c-54.08 .0188-108.3 21.02-149.1 62.99C68.77 150.6 49.53 203.3 49.53 255.1c0 52.69 19.25 105.4 57.74 145c40.5 41.63 94.02 62.63 147.7 62.99c53.63 .3594 107.4-19.92 148.3-60.86L256.3 256L403.2 108.9zM160.3 288c-17.75 0-32-14.26-32-32.01c0-8.502 3.5-16.75 9.502-22.75c5.969-5.969 14.16-9.199 22.62-9.23c17.69 .0703 31.88 14.28 31.88 31.98C192.3 273.7 178 288 160.3 288zM192 143.1c0-8.502 3.496-16.75 9.498-22.75C207.5 115.2 215.5 111.1 224 111.1c17.75 0 32 14.26 32 32.01S241.7 176 224 176C206.2 176 192 161.7 192 143.1zM288.3 368c0 17.75-14.33 32-32.08 32c-17.75 0-31.92-14.25-31.92-32c0-17.76 14.25-32.01 32-32.01C274 336 288.3 350.3 288.3 368z", "M523.2 100.1c-5.748-7.5-17.25-7.917-23.1-1.167l-21.37 21.42c66.74 77.88 66.74 193.4 0 271.3l21.37 21.37c6.75 6.75 18.25 6.375 23.1-1.125c35.18-46 52.77-100.9 52.78-155.9C576 201.1 558.4 146.1 523.2 100.1zM224 176c17.75 0 32-14.25 32-32S241.7 111.1 224 111.1c-8.502 0-16.5 3.25-22.5 9.254C195.5 127.2 192 135.5 192 143.1C192 161.7 206.2 176 224 176zM403.2 403.1c-81.87 81.88-214.1 81.13-295.1-2.125c-76.99-79.26-76.99-210.8 0-290c80.99-83.25 214.1-84 295.1-2.125l21.1-22c6.373-6.502 6.373-17.38-.5-23.38c-48.08-42.33-108.2-63.49-168.5-63.49C175.3 .0047 94.33 38.27 42.72 114.8C14.28 156.1 .0005 206.5 .0005 255.1c0 49.5 14.28 99.02 42.72 141.2c50.62 75.1 129.4 113.4 208.9 114.8c61.78 1.128 123.1-20.02 173.3-63.45c6.873-6 6.79-16.87 .2923-23.37L403.2 403.1zM448.1 240c-17.74 0-31.99 14.25-31.99 32C416.1 289.8 430.4 304 448.1 304c17.5 0 31.99-14.25 31.99-31.1C480.1 254.3 465.6 240 448.1 240zM160.4 224C151.9 224 143.7 227.3 137.8 233.2c-6.002 6.002-9.502 14.25-9.502 22.75c0 17.75 14.25 32.01 32 32.01c17.75 0 32-14.26 32-32.01C192.3 238.3 178.1 224.1 160.4 224zM256.2 400c17.75 0 32.08-14.25 32.08-32c0-17.76-14.25-32.01-32-32.01c-17.75 0-32 14.25-32 32.01C224.3 385.8 238.4 400 256.2 400z"]],
    "pizza-slice": [512, 512, [], "f818", ["M108.7 80.52L.5101 491.7c-1.375 5.625 .1622 11.6 4.287 15.6c4.127 4.125 10.13 5.744 15.63 4.119l410.8-113.9C423.3 211.1 296.4 86.02 108.7 80.52zM127.1 416c-17.62 0-32-14.37-32-31.1c0-17.62 14.39-32 32.01-32c17.63 0 32 14.38 32 31.1C160 401.6 145.6 416 127.1 416zM175.1 271.1c-17.63 0-32-14.38-32-32c0-17.62 14.38-31.1 32-31.1c17.62 0 32 14.37 32 31.1C208 257.6 193.6 271.1 175.1 271.1zM272 367.1c-17.62 0-32-14.38-32-31.1c0-17.62 14.38-32 32-32c17.63 0 32 14.38 32 32C304 353.6 289.6 367.1 272 367.1z", "M158.9 .1406c-16.13-1.5-31.25 8.501-35.38 24.12L108.7 80.52c187.6 5.5 314.5 130.6 322.5 316.1l56.88-15.75c15.75-4.375 25.5-19.62 23.63-35.87C490.9 165.1 340.8 17.39 158.9 .1406zM127.1 352c-17.62 0-32.01 14.38-32.01 32c0 17.62 14.38 31.1 32 31.1c17.63 0 32.01-14.38 32.01-32C160 366.4 145.6 352 127.1 352zM175.1 207.1c-17.63 0-32 14.37-32 31.1c0 17.62 14.38 32 32 32c17.62 0 32-14.38 32-32C208 222.4 193.6 207.1 175.1 207.1zM272 304c-17.62 0-32 14.38-32 32c0 17.62 14.38 31.1 32 31.1c17.63 0 32-14.38 32-31.1C304 318.4 289.6 304 272 304z"]],
    "place-of-worship": [640, 512, [], "f67f", ["M160 512H48C21.49 512 0 490.5 0 464V375C0 356.2 11.08 339 28.3 331.3L160 272V512zM480 272L611.7 331.3C628.9 339 640 356.1 640 375V464C640 490.5 618.5 512 592 512H480V272z", "M224 201.6V109.3C224 100.8 227.4 92.63 233.4 86.63L308.7 11.32C314.9 5.067 325.1 5.067 331.3 11.32L406.6 86.63C412.6 92.63 416 100.8 416 109.3V201.6L456.7 226C471.2 234.7 480 250.3 480 267.2V512H384V416C384 380.7 355.3 352 320 352C284.7 352 256 380.7 256 416V512H160V267.2C160 250.3 168.8 234.7 183.3 226L224 201.6z"]],
    "plane": [576, 512, [], "f072", ["M214.9 320H365.7L265.2 495.9C259.5 505.8 248.9 512 237.4 512H181.2C170.6 512 162.9 501.8 165.8 491.6L214.9 320zM365.7 192H214.9L165.8 20.4C162.9 10.17 170.6 0 181.2 0H237.4C248.9 0 259.5 6.153 265.2 16.12L365.7 192z", "M482.3 192C516.5 192 576 221 576 256C576 292 516.5 320 482.3 320H112L68.8 377.6C65.78 381.6 61.04 384 56 384H14.03C6.284 384 0 377.7 0 369.1C0 368.7 .1818 367.4 .5398 366.1L32 256L.5398 145.9C.1818 144.6 0 143.3 0 142C0 134.3 6.284 128 14.03 128H56C61.04 128 65.78 130.4 68.8 134.4L112 192L482.3 192z"]],
    "plane-arrival": [640, 512, [128748], "f5af", ["M192 368C192 385.7 177.7 400 160 400C142.3 400 128 385.7 128 368C128 350.3 142.3 336 160 336C177.7 336 192 350.3 192 368zM0 480C0 462.3 14.33 448 32 448H608C625.7 448 640 462.3 640 480C640 497.7 625.7 512 608 512H32C14.33 512 0 497.7 0 480zM224 384C224 366.3 238.3 352 256 352C273.7 352 288 366.3 288 384C288 401.7 273.7 416 256 416C238.3 416 224 401.7 224 384z", "M19.51 52.34L55.07 60.24C65.63 62.59 74.29 70.11 78.09 80.24L95.1 127.1L223.3 165.6L181.8 20.4C178.9 10.18 186.6 .0015 197.2 .0015H237.3C248.8 .0015 259.5 6.237 265.2 16.31L374.2 210.2L481.5 241.8C497.4 246.5 512.2 254.3 525.2 264.7L559.6 292.2C583.7 311.4 577.7 349.5 548.9 360.5C507.7 376.1 462.7 378.5 420.1 367.4L121.7 289.8C110.6 286.9 100.5 281.1 92.4 272.9L9.536 189.4C3.606 183.4 .2707 175.3 .2528 166.9L.0425 67.99C.0208 57.74 9.507 50.11 19.51 52.34V52.34z"]],
    "plane-circle-check": [640, 512, [], "e555", ["M192 93.68C192 59.53 221 0 256 0C292 0 320 59.53 320 93.68V178.3L397.1 222.4C350.6 254 320 307.4 320 368C320 422.2 344.5 470.7 383.1 502.1C381 508.3 375.9 512 369.1 512C368.7 512 367.4 511.8 366.1 511.5L256 480L145.9 511.5C144.6 511.8 143.3 512 142 512C134.3 512 128 505.7 128 497.1V456C128 450.1 130.4 446.2 134.4 443.2L192 400V329.1L20.4 378.2C10.17 381.1 0 373.4 0 362.8V297.3C0 291.5 3.076 286.2 8.062 283.4L192 178.3L192 93.68z", "M352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM563.3 347.3C569.6 341.1 569.6 330.9 563.3 324.7C557.1 318.4 546.9 318.4 540.7 324.7L480 385.4L451.3 356.7C445.1 350.4 434.9 350.4 428.7 356.7C422.4 362.9 422.4 373.1 428.7 379.3L468.7 419.3C474.9 425.6 485.1 425.6 491.3 419.3L563.3 347.3z"]],
    "plane-circle-exclamation": [640, 512, [], "e556", ["M192 93.68C192 59.53 221 0 256 0C292 0 320 59.53 320 93.68V178.3L397.1 222.4C350.6 254 320 307.4 320 368C320 422.2 344.5 470.7 383.1 502.1C381 508.3 375.9 512 369.1 512C368.7 512 367.4 511.8 366.1 511.5L256 480L145.9 511.5C144.6 511.8 143.3 512 142 512C134.3 512 128 505.7 128 497.1V456C128 450.1 130.4 446.2 134.4 443.2L192 400V329.1L20.4 378.2C10.17 381.1 0 373.4 0 362.8V297.3C0 291.5 3.076 286.2 8.062 283.4L192 178.3L192 93.68z", "M640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 416C482.7 416 472 426.7 472 440C472 453.3 482.7 464 496 464C509.3 464 520 453.3 520 440C520 426.7 509.3 416 496 416zM511.1 288C511.1 279.2 504.8 272 495.1 272C487.2 272 479.1 279.2 479.1 288V368C479.1 376.8 487.2 384 495.1 384C504.8 384 511.1 376.8 511.1 368V288z"]],
    "plane-circle-xmark": [640, 512, [], "e557", ["M192 93.68C192 59.53 221 0 256 0C292 0 320 59.53 320 93.68V178.3L397.1 222.4C350.6 254 320 307.4 320 368C320 422.2 344.5 470.7 383.1 502.1C381 508.3 375.9 512 369.1 512C368.7 512 367.4 511.8 366.1 511.5L256 480L145.9 511.5C144.6 511.8 143.3 512 142 512C134.3 512 128 505.7 128 497.1V456C128 450.1 130.4 446.2 134.4 443.2L192 400V329.1L20.4 378.2C10.17 381.1 0 373.4 0 362.8V297.3C0 291.5 3.076 286.2 8.062 283.4L192 178.3L192 93.68z", "M640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM532.7 308.7L496 345.4L459.3 308.7C453.1 302.4 442.9 302.4 436.7 308.7C430.4 314.9 430.4 325.1 436.7 331.3L473.4 368L436.7 404.7C430.4 410.9 430.4 421.1 436.7 427.3C442.9 433.6 453.1 433.6 459.3 427.3L496 390.6L532.7 427.3C538.9 433.6 549.1 433.6 555.3 427.3C561.6 421.1 561.6 410.9 555.3 404.7L518.6 368L555.3 331.3C561.6 325.1 561.6 314.9 555.3 308.7C549.1 302.4 538.9 302.4 532.7 308.7z"]],
    "plane-departure": [640, 512, [128747], "f5b0", ["M0 480C0 462.3 14.33 448 32 448H608C625.7 448 640 462.3 640 480C640 497.7 625.7 512 608 512H32C14.33 512 0 497.7 0 480z", "M484.6 62C502.6 52.8 522.6 48 542.8 48H600.2C627.2 48 645.9 74.95 636.4 100.2C618.2 148.9 582.1 188.9 535.6 212.2L262.8 348.6C258.3 350.8 253.4 352 248.4 352H110.7C101.4 352 92.5 347.9 86.42 340.8L13.34 255.6C6.562 247.7 9.019 235.5 18.33 230.8L50.49 214.8C59.05 210.5 69.06 210.2 77.8 214.1L135.1 239.1L234.6 189.7L87.64 95.2C77.21 88.49 78.05 72.98 89.14 67.43L135 44.48C150.1 36.52 169.5 35.55 186.1 41.8L381 114.9L484.6 62z"]],
    "plane-engines": [576, 512, [9992, "plane-alt"], "f3de", ["M215.1 192L165.1 20.48C162.1 10.24 170.7 0 181.3 0H237.6C249 0 259.5 6.045 265.3 15.88L368 192H215.1zM368 320L265.3 496.1C259.5 505.1 249 512 237.6 512H181.3C170.7 512 162.1 501.8 165.1 491.5L215.1 320H368z", "M482.3 320H112L68.8 377.6C65.78 381.6 61.04 384 56 384H14.03C6.284 384 .0003 377.7 .0003 369.1C.0003 368.7 .1821 367.4 .5402 366.1L23.21 286.8C9.809 282.1 0 270.6 0 255.1C0 241.4 9.809 229 23.21 225.2L.5402 145.9C.1821 144.6 .0003 143.3 .0003 142C.0003 134.3 6.284 127.1 14.03 127.1H56C61.04 127.1 65.78 130.4 68.8 134.4L112 191.1H482.3C516.5 191.1 576 220.1 576 255.1C576 291.1 516.5 319.1 482.3 319.1V320zM293.3 64H320C337.7 64 352 78.33 352 96C352 110.3 342.7 122.3 329.8 126.5L293.3 64zM329.8 385.5C342.7 389.7 352 401.7 352 416C352 433.7 337.7 448 320 448H293.3L329.8 385.5z"]],
    "plane-lock": [640, 512, [], "e558", ["M320 93.68V178.3L421.8 236.4C418 247.6 416 259.6 416 272V296.6C398.1 306.9 385.7 325.7 384.2 347.5L320 329.1V400L377.6 443.2C381.6 446.2 384 450.1 384 456V497.1C384 505.7 377.7 512 369.1 512C368.7 512 367.4 511.8 366.1 511.5L256 480L145.9 511.5C144.6 511.8 143.3 512 142 512C134.3 512 128 505.7 128 497.1V456C128 450.1 130.4 446.2 134.4 443.2L192 400V329.1L20.4 378.2C10.17 381.1 0 373.4 0 362.8V297.3C0 291.5 3.076 286.2 8.062 283.4L192 178.3V93.68C192 59.53 221 0 256 0C292 0 320 59.53 320 93.68H320z", "M448 320V272C448 227.8 483.8 192 528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320zM496 320H560V272C560 254.3 545.7 240 528 240C510.3 240 496 254.3 496 272V320z"]],
    "plane-prop": [576, 512, [], "e22b", ["M256 320H344L321.8 497.1C320.8 505.1 313.9 512 305.9 512H270.1C262.1 512 255.2 505.1 254.2 497.1L231.7 317.6L256 320zM254.2 14.02C255.2 6.009 262.1 0 270.1 0H305.9C313.9 0 320.8 6.009 321.8 14.02L344 192H256L231.7 194.4L254.2 14.02z", "M121.7 306.6L113.8 369.1C112.8 377.1 105.9 384 97.88 384H62.12C54.06 384 47.25 377.1 46.25 369.1L35.97 287.8C34.67 287.9 33.34 288 32 288C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224C33.34 224 34.67 224.1 35.97 224.2L46.25 142C47.25 134 54.06 128 62.12 128H97.88C105.9 128 112.8 134 113.8 142L121.7 205.4L256 192H482.3C516.5 192 576 221 576 256C576 292 516.5 320 482.3 320H256L121.7 306.6zM328 64H368V48C368 39.16 375.2 32 384 32C392.8 32 400 39.16 400 48V80C408.8 80 416 87.16 416 96C416 104.8 408.8 112 400 112V144C400 152.8 392.8 160 384 160C375.2 160 368 152.8 368 144V128H336L328 64zM248 64L240 128H224C206.3 128 192 113.7 192 96C192 78.33 206.3 64 224 64H248zM248 448H224C206.3 448 192 433.7 192 416C192 398.3 206.3 384 224 384H240L248 448zM328 448L336 384H368V368C368 359.2 375.2 352 384 352C392.8 352 400 359.2 400 368V400C408.8 400 416 407.2 416 416C416 424.8 408.8 432 400 432V464C400 472.8 392.8 480 384 480C375.2 480 368 472.8 368 464V448H328z"]],
    "plane-slash": [640, 512, [], "e069", ["M238.1 161.3L197.8 20.4C194.9 10.17 202.6 0 213.2 0H269.4C280.9 0 291.5 6.153 297.2 16.12L397.7 192H514.3C548.5 192 608 221 608 256C608 292 548.5 320 514.3 320H440.6L238.1 161.3zM41.54 128.7L362.5 381.6L297.2 495.9C291.5 505.8 280.9 512 269.4 512H213.2C202.6 512 194.9 501.8 197.8 491.6L246.9 320H144L100.8 377.6C97.78 381.6 93.04 384 88 384H46.03C38.28 384 32 377.7 32 369.1C32 368.7 32.18 367.4 32.54 366.1L64 256L32.54 145.9C32.18 144.6 32 143.3 32 142C32 135.9 35.1 130.6 41.54 128.7z", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "plane-tail": [576, 512, [], "e22c", ["M93.49 308.8L32.8 39.02C28.29 19.02 43.51 0 64.02 0H140.9C158.2 0 174.8 7.025 186.9 19.47L416 256H296.7C288.8 256 280.9 257.1 273.3 259.2L93.49 308.8z", "M544 512H299.7C289.1 512 278.5 510.1 268.5 506.3L72.4 431.9C48.09 422.7 32.01 399.4 32.01 373.4C32.01 345.2 50.81 320.5 77.95 313.1L273.3 259.2C280.9 257.1 288.8 256 296.7 256H544V512zM248 352C234.8 352 224 362.7 224 376C224 389.3 234.8 400 248 400H392C405.3 400 416 389.3 416 376C416 362.7 405.3 352 392 352H248z"]],
    "plane-up": [512, 512, [], "e22d", ["M192 320L21.06 376.1C10.7 380.4 0 372.7 0 361.8V305.1C0 294.4 5.347 284.4 14.25 278.5L192 160V320zM320 160L497.8 278.5C506.7 284.4 512 294.4 512 305.1V361.8C512 372.7 501.3 380.4 490.9 376.1L320 319.1V160z", "M192 93.68C192 59.53 221 0 256 0C292 0 320 59.53 320 93.68V400L377.6 443.2C381.6 446.2 384 450.1 384 456V497.1C384 505.7 377.7 512 369.1 512C368.7 512 367.4 511.8 366.1 511.5L256 480L145.9 511.5C144.6 511.8 143.3 512 142 512C134.3 512 128 505.7 128 497.1V456C128 450.1 130.4 446.2 134.4 443.2L192 400L192 93.68z"]],
    "plane-up-slash": [640, 512, [], "e22e", ["M245.4 167.1L256 160V93.68C256 59.53 285 0 320 0C356 0 384 59.53 384 93.68V160L561.8 278.5C570.7 284.4 576 294.4 576 305.1V361.8C576 372.7 565.3 380.4 554.9 376.1L482.4 352.8L245.4 167.1zM161.3 223.1L445.9 447.3C447.3 449.7 448 452.4 448 455.3V497.1C448 505.7 441.7 512 433.1 512C432.7 512 431.4 511.8 430.1 511.5L320 480L209.9 511.5C208.6 511.8 207.3 512 206 512C198.3 512 192 505.7 192 497.1V456C192 450.1 194.4 446.2 198.4 443.2L256 400V320L85.06 376.1C74.7 380.4 64 372.7 64 361.8V305.1C64 294.4 69.35 284.4 78.25 278.5L161.3 223.1z", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "planet-moon": [576, 512, [], "e01f", ["M448 288c0 123.8-100.3 224-224 224s-224-100.3-224-224c0-31.94 6.783-62.26 18.82-89.75C41.25 225.6 76.71 256 89.75 256h24.1c8.5 0 16.62 3.375 22.62 9.375L192 320v32c0 17.62 14.38 32 32 32v63.13c0 4.5 1.875 8.75 5.25 11.88c3.375 3.001 7.875 4.5 12.38 4c3.5-.375 7-.75 10.38-1.375c9-1.5 16.88-7.25 20.88-15.5l40.38-80.63C317.6 356.6 320 346.9 320 336.9V320c0-17.62-14.38-32-32-32H223.5c-10 0-19.38-3.875-26.38-10.88C185.3 265.3 184.5 246.1 195.5 233.5l49.75-57.38C267.8 142.2 242.8 95.21 220 64.2C221.4 64.18 222.7 64 224 64C347.8 64 448 164.3 448 288z", "M512 0c-35.38 0-64 28.62-64 64s28.62 63.1 64 63.1s64-28.62 64-63.1S547.4 0 512 0zM89.75 256h24.1c8.5 0 16.62 3.375 22.62 9.375L192 320v32c0 17.62 14.38 32 32 32v63.13c0 4.5 1.875 8.75 5.25 11.88c3.375 3.001 7.875 4.5 12.38 4c3.5-.375 7-.75 10.38-1.375c9-1.5 16.88-7.25 20.88-15.5l40.38-80.63C317.6 356.6 320 346.9 320 336.9V320c0-17.62-14.38-32-32-32H223.5c-10 0-19.38-3.875-26.38-10.88C185.3 265.3 184.5 246.1 195.5 233.5l49.75-57.38C267.8 142.2 242.8 95.21 220 64.2C129.9 65.79 52.92 120.4 18.82 198.3C41.25 225.6 76.71 256 89.75 256z"]],
    "planet-ringed": [512, 512, [129680], "e020", ["M323.4 323.4c-136.4 136.4-277.2 216.7-314.3 179.5c-23.5-23.47-.01-88.2 54.84-167.1c6.229 14.92 14.7 28.43 24.05 41.37c-9.807 19.82-12.64 34.3-6.399 40.54c18.56 18.56 108.9-41.63 201.7-134.5c92.82-92.82 153-183.1 134.5-201.7c-6.24-6.24-20.72-3.406-40.54 6.401c-12.94-9.348-26.45-17.82-41.37-24.05c78.95-54.85 143.7-78.34 167.1-54.84C540.1 46.19 459.7 186.1 323.4 323.4z", "M412.6 119.4c-38.13-43.69-94.09-71.41-156.6-71.41c-114.9 0-207.1 93.1-207.1 207.1c0 62.54 27.71 118.5 71.4 156.6c39.04-18.52 100.8-66.4 163.8-129.4C346.2 220.2 394.1 158.5 412.6 119.4zM448.1 176.3c-31.97 46.03-74.53 96.85-124.8 147.1s-101.1 92.81-147.1 124.8c24.56 10.21 51.47 15.83 79.73 15.83c114.9 0 207.1-93.1 207.1-207.1C463.1 227.7 458.3 200.8 448.1 176.3z"]],
    "plant-wilt": [512, 512, [], "e5aa", ["M288 512H224V248C224 217.1 198.9 192 168 192C137.1 192 112 217.1 112 248V260.1C102.4 257.7 91.62 256 80 256C68.38 256 57.62 257.7 48 260.1V248C48 181.7 101.7 128 168 128C188.2 128 207.3 133 224 141.8V120C224 53.73 277.7 0 344 0C410.3 0 464 53.73 464 120V132.1C454.4 129.7 443.6 128 432 128C420.4 128 409.6 129.7 400 132.1V120C400 89.07 374.9 64 344 64C313.1 64 288 89.07 288 120V512z", "M512 203.1C512 231.1 476.2 282.5 432 320C387.8 282.5 352 232.4 352 203.1C352 155.8 384.9 128 432 128C479.1 128 512 155.8 512 203.1zM160 331.1C160 359.1 124.2 410.5 80 448C35.83 410.5 0 360.4 0 331.1C0 283.8 32.92 256 80 256C127.1 256 160 283.8 160 331.1z"]],
    "plate-utensils": [640, 512, [58713], "e43b", ["M221 136.5L206.9 72.86C249.5 42.74 301.3 28.49 353.4 32.58C405.4 36.67 454.3 58.85 491.7 95.26C484.4 115.4 480.6 136.7 480.5 158.1V188.3C469.6 164.9 453.3 144.5 432.8 128.8C412.3 113.2 388.3 102.7 362.9 98.31C337.5 93.93 311.4 95.79 286.9 103.7C262.4 111.6 240.1 125.4 222.1 143.8C221.7 141.4 221.8 139 221 136.5zM426.5 165.5C450.5 189.5 464 222.1 464 255.1C464 281.3 456.5 306.1 442.4 327.1C428.4 348.2 408.4 364.6 384.1 374.3C361.6 383.9 335.9 386.5 311 381.5C286.2 376.6 263.4 364.4 245.5 346.5C227.6 328.6 215.4 305.8 210.5 280.1C205.5 256.1 208.1 230.4 217.7 207C227.4 183.6 243.8 163.6 264.9 149.6C285.9 135.5 310.7 127.1 336 127.1C369.9 127.1 402.5 141.5 426.5 165.5zM538.4 351.6C521.7 387.2 495.9 417.7 463.6 440.1C431.3 462.5 393.6 476.1 354.5 479.3C315.3 482.5 275.9 475.4 240.4 458.6C204.9 441.8 174.4 415.9 152 383.6V260.9C160.7 257.8 169 253.6 176.8 248.4C176.6 250.1 176 253.4 176 255.1C175.1 293.4 189 329.6 212.9 358.4C236.9 387.1 270.1 406.5 306.9 413.3C343.7 420.1 381.6 413.7 414.2 395.3C446.8 376.1 471.9 347.8 485.1 312.8C488.3 320.4 492.1 327.3 498.8 333.2C509.4 343.8 523.5 350.3 538.4 351.6H538.4z", "M130.3 233.8H120V472C120 478.4 117.5 484.5 112.1 488.1C108.5 493.5 102.4 496 96 496C89.63 496 83.53 493.5 79.03 488.1C74.53 484.5 72 478.4 72 472V233.8H61.86C43.86 230.3 27.64 220.7 15.1 206.6C9.007 197.8 4.107 187.6 1.678 176.7C-.7521 165.8-.6475 154.5 1.984 143.6L27.87 26.75C28.63 23.48 30.56 20.59 33.3 18.64C36.04 16.7 39.4 15.83 42.75 16.19C46.09 16.56 49.18 18.14 51.43 20.64C53.69 23.13 54.95 26.37 54.98 29.73V153.2H69.89L84.54 26.21C84.88 23.4 86.23 20.81 88.34 18.93C90.46 17.05 93.19 16.01 96.02 16.01C98.84 16.01 101.6 17.05 103.7 18.93C105.8 20.81 107.2 23.4 107.5 26.21L122.1 153.2H137V29.73C137.1 26.37 138.3 23.13 140.6 20.64C142.8 18.14 145.9 16.56 149.3 16.19C152.6 15.83 155.1 16.7 158.7 18.64C161.4 20.59 163.4 23.48 164.1 26.75L190 143.6C192.7 154.4 192.8 165.7 190.4 176.6C188 187.5 183.1 197.7 176.2 206.5C164.5 220.6 148.3 230.3 130.3 233.8zM624.3 18.08C627.4 19.41 630.3 21.35 632.6 23.79C635 26.22 636.9 29.1 638.2 32.26C639.4 35.43 640 38.8 640 42.21V472C640 478.4 637.5 484.5 632.1 488.1C628.5 493.5 622.4 496 616 496C609.6 496 603.5 493.5 599 488.1C594.5 484.5 592 478.4 592 472V320H544C535.5 320 527.4 316.6 521.4 310.6C515.4 304.6 512 296.5 512 288L512.4 158.2C512.2 128.3 520.8 99 537.3 74.02C553.7 49.05 577.2 29.51 604.8 17.89C607.8 16.64 611.1 15.1 614.4 16C617.8 16.03 621.2 16.74 624.3 18.07V18.08z"]],
    "plate-wheat": [512, 512, [], "e55a", ["M160 48C160 39.16 167.2 32 176 32C220.2 32 256 67.82 256 112V128C256 136.8 248.8 144 240 144C195.8 144 160 108.2 160 64V48zM32 88C32 74.75 42.75 64 56 64H104C117.3 64 128 74.75 128 88C128 101.3 117.3 112 104 112H56C42.75 112 32 101.3 32 88zM0 160C0 146.7 10.75 136 24 136H136C149.3 136 160 146.7 160 160C160 173.3 149.3 184 136 184H24C10.75 184 0 173.3 0 160zM104 208C117.3 208 128 218.7 128 232C128 245.3 117.3 256 104 256H56C42.75 256 32 245.3 32 232C32 218.7 42.75 208 56 208H104zM368 112V128C368 136.8 360.8 144 352 144C307.8 144 272 108.2 272 64V48C272 39.16 279.2 32 288 32C332.2 32 368 67.82 368 112zM384 48C384 39.16 391.2 32 400 32C444.2 32 480 67.82 480 112V128C480 136.8 472.8 144 464 144C419.8 144 384 108.2 384 64V48zM464 176C472.8 176 480 183.2 480 192V208C480 252.2 444.2 288 400 288C391.2 288 384 280.8 384 272V256C384 211.8 419.8 176 464 176zM368 208C368 252.2 332.2 288 288 288C279.2 288 272 280.8 272 272V256C272 211.8 307.8 176 352 176C360.8 176 368 183.2 368 192V208zM240 176C248.8 176 256 183.2 256 192V208C256 252.2 220.2 288 176 288C167.2 288 160 280.8 160 272V256C160 211.8 195.8 176 240 176z", "M484.2 320C498.1 320 510.4 332.9 508.6 347.6C502.3 397.8 464.2 437 416 446V448C416 465.7 401.7 480 384 480H128C110.3 480 96 465.7 96 448V446C47.84 437 9.725 397.8 3.451 347.6C1.619 332.9 13.05 320 27.82 320H484.2z"]],
    "play": [384, 512, [9654], "f04b", ["", "M361 215C375.3 223.8 384 239.3 384 256C384 272.7 375.3 288.2 361 296.1L73.03 472.1C58.21 482 39.66 482.4 24.52 473.9C9.377 465.4 0 449.4 0 432V80C0 62.64 9.377 46.63 24.52 38.13C39.66 29.64 58.21 29.99 73.03 39.04L361 215z"]],
    "play-pause": [512, 512, [], "e22f", ["M352 64c-17.67 0-32.03 14.33-32.03 32v320c0 17.67 14.33 32 32 32C369.6 448 384 433.7 384 416V96C384 78.33 369.7 64 352 64zM480 64c-17.67 0-32.03 14.33-32.03 32v320c0 17.67 14.33 32 32 32C497.6 448 512 433.7 512 416V96C512 78.33 497.7 64 480 64z", "M52.51 71.41C31.88 54.28 0 68.66 0 96.03v319.9c0 27.37 31.88 41.74 52.51 24.62l192-159.1c15.25-12.87 15.25-36.37 0-49.24L52.51 71.41z"]],
    "plug": [384, 512, [128268], "f1e6", ["M128 160H64V32C64 14.33 78.33 0 96 0C113.7 0 128 14.33 128 32V160zM320 160H256V32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32V160z", "M0 192C0 174.3 14.33 160 32 160H352C369.7 160 384 174.3 384 192C384 209.7 369.7 224 352 224V256C352 333.4 297 397.1 224 412.8V512H160V412.8C86.97 397.1 32 333.4 32 256V224C14.33 224 0 209.7 0 192V192z"]],
    "plug-circle-bolt": [576, 512, [], "e55b", ["M128 128H64V32C64 14.33 78.33 0 96 0C113.7 0 128 14.33 128 32V128zM320 128H256V32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32V128zM0 192C0 174.3 14.33 160 32 160H352C369.7 160 384 174.3 384 192C384 194.3 383.7 196.6 383.3 198.8C309.8 219.1 256 287.7 256 368C256 379.4 257.1 390.5 259.1 401.3C248.1 406.4 236.3 410.3 224 412.8V512H160V412.8C86.97 397.1 32 333.4 32 256V224C14.33 224 0 209.7 0 192V192z", "M576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM482.5 301.8C485.2 296.9 484.2 290.7 479.9 286.1C475.6 283.2 469.3 283 464.8 286.4L368.8 358.4C364.7 361.5 362.1 366.9 364.6 371.8C366.2 376.7 370.8 380 376 380H411.6L381.5 434.2C378.8 439.1 379.8 445.3 384.1 449C388.4 452.8 394.7 452.1 399.2 449.6L495.2 377.6C499.3 374.5 501 369.1 499.4 364.2C497.8 359.3 493.2 356 488 356H452.4L482.5 301.8z"]],
    "plug-circle-check": [576, 512, [], "e55c", ["M128 128H64V32C64 14.33 78.33 0 96 0C113.7 0 128 14.33 128 32V128zM320 128H256V32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32V128zM0 192C0 174.3 14.33 160 32 160H352C369.7 160 384 174.3 384 192C384 194.3 383.7 196.6 383.3 198.8C309.8 219.1 256 287.7 256 368C256 379.4 257.1 390.5 259.1 401.3C248.1 406.4 236.3 410.3 224 412.8V512H160V412.8C86.97 397.1 32 333.4 32 256V224C14.33 224 0 209.7 0 192V192z", "M288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM499.3 347.3C505.6 341.1 505.6 330.9 499.3 324.7C493.1 318.4 482.9 318.4 476.7 324.7L416 385.4L387.3 356.7C381.1 350.4 370.9 350.4 364.7 356.7C358.4 362.9 358.4 373.1 364.7 379.3L404.7 419.3C410.9 425.6 421.1 425.6 427.3 419.3L499.3 347.3z"]],
    "plug-circle-exclamation": [576, 512, [], "e55d", ["M128 128H64V32C64 14.33 78.33 0 96 0C113.7 0 128 14.33 128 32V128zM320 128H256V32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32V128zM0 192C0 174.3 14.33 160 32 160H352C369.7 160 384 174.3 384 192C384 194.3 383.7 196.6 383.3 198.8C309.8 219.1 256 287.7 256 368C256 379.4 257.1 390.5 259.1 401.3C248.1 406.4 236.3 410.3 224 412.8V512H160V412.8C86.97 397.1 32 333.4 32 256V224C14.33 224 0 209.7 0 192V192z", "M576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 416C418.7 416 408 426.7 408 440C408 453.3 418.7 464 432 464C445.3 464 456 453.3 456 440C456 426.7 445.3 416 432 416zM447.1 288C447.1 279.2 440.8 272 431.1 272C423.2 272 415.1 279.2 415.1 288V368C415.1 376.8 423.2 384 431.1 384C440.8 384 447.1 376.8 447.1 368V288z"]],
    "plug-circle-minus": [576, 512, [], "e55e", ["M128 128H64V32C64 14.33 78.33 0 96 0C113.7 0 128 14.33 128 32V128zM320 128H256V32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32V128zM0 192C0 174.3 14.33 160 32 160H352C369.7 160 384 174.3 384 192C384 194.3 383.7 196.6 383.3 198.8C309.8 219.1 256 287.7 256 368C256 379.4 257.1 390.5 259.1 401.3C248.1 406.4 236.3 410.3 224 412.8V512H160V412.8C86.97 397.1 32 333.4 32 256V224C14.33 224 0 209.7 0 192V192z", "M288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM496 383.1C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H496z"]],
    "plug-circle-plus": [576, 512, [], "e55f", ["M128 128H64V32C64 14.33 78.33 0 96 0C113.7 0 128 14.33 128 32V128zM320 128H256V32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32V128zM0 192C0 174.3 14.33 160 32 160H352C369.7 160 384 174.3 384 192C384 194.3 383.7 196.6 383.3 198.8C309.8 219.1 256 287.7 256 368C256 379.4 257.1 390.5 259.1 401.3C248.1 406.4 236.3 410.3 224 412.8V512H160V412.8C86.97 397.1 32 333.4 32 256V224C14.33 224 0 209.7 0 192V192z", "M576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM416 303.1V351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H416V431.1C416 440.8 423.2 447.1 432 447.1C440.8 447.1 448 440.8 448 431.1V383.1H496C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1H448V303.1C448 295.2 440.8 287.1 432 287.1C423.2 287.1 416 295.2 416 303.1z"]],
    "plug-circle-xmark": [576, 512, [], "e560", ["M128 128H64V32C64 14.33 78.33 0 96 0C113.7 0 128 14.33 128 32V128zM320 128H256V32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32V128zM0 192C0 174.3 14.33 160 32 160H352C369.7 160 384 174.3 384 192C384 194.3 383.7 196.6 383.3 198.8C309.8 219.1 256 287.7 256 368C256 379.4 257.1 390.5 259.1 401.3C248.1 406.4 236.3 410.3 224 412.8V512H160V412.8C86.97 397.1 32 333.4 32 256V224C14.33 224 0 209.7 0 192V192z", "M576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM468.7 308.7L432 345.4L395.3 308.7C389.1 302.4 378.9 302.4 372.7 308.7C366.4 314.9 366.4 325.1 372.7 331.3L409.4 368L372.7 404.7C366.4 410.9 366.4 421.1 372.7 427.3C378.9 433.6 389.1 433.6 395.3 427.3L432 390.6L468.7 427.3C474.9 433.6 485.1 433.6 491.3 427.3C497.6 421.1 497.6 410.9 491.3 404.7L454.6 368L491.3 331.3C497.6 325.1 497.6 314.9 491.3 308.7C485.1 302.4 474.9 302.4 468.7 308.7V308.7z"]],
    "plus": [448, 512, [10133, 61543, "add"], "2b", ["M432 256c0 17.69-14.33 32.01-32 32.01H256v144c0 17.69-14.33 31.99-32 31.99s-32-14.3-32-31.99v-144H48c-17.67 0-32-14.32-32-32.01s14.33-31.99 32-31.99H192v-144c0-17.69 14.33-32.01 32-32.01s32 14.32 32 32.01v144h144C417.7 224 432 238.3 432 256z", ""]],
    "plus-large": [512, 512, [], "e59e", ["M288 224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H288V480C288 497.7 273.7 512 256 512C238.3 512 224 497.7 224 480V288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H224V32C224 14.33 238.3 0 256 0C273.7 0 288 14.33 288 32V224z", ""]],
    "plus-minus": [384, 512, [], "e43c", ["M352 448H32c-17.69 0-32 14.31-32 32s14.31 31.1 32 31.1h320c17.69 0 32-14.31 32-31.1S369.7 448 352 448z", "M48 208H160v111.1c0 17.69 14.31 31.1 32 31.1s32-14.31 32-31.1V208h112c17.69 0 32-14.32 32-32.01s-14.31-31.99-32-31.99H224v-112c0-17.69-14.31-32.01-32-32.01S160 14.33 160 32.01v112H48c-17.69 0-32 14.31-32 31.99S30.31 208 48 208z"]],
    "podcast": [448, 512, [], "f2ce", ["M368 224c0-79.53-64.47-144-144-144S80 144.5 80 224c0 44.83 20.92 84.38 53.04 110.8c4.857-12.65 14.13-25.88 32.05-35.04C165.1 299.7 165.4 299.7 165.6 299.7C142.9 282.1 128 254.9 128 224c0-53.02 42.98-96 96-96s96 42.98 96 96c0 30.92-14.87 58.13-37.57 75.68c.1309 .0254 .5078 .0488 .4746 .0742c17.93 9.16 27.19 22.38 32.05 35.04C347.1 308.4 368 268.8 368 224zM224 0C100.3 0 0 100.3 0 224c0 92.22 55.77 171.4 135.4 205.7c-3.48-20.75-6.17-41.59-6.998-58.15C80.08 340.1 48 285.8 48 224c0-97.05 78.95-176 176-176s176 78.95 176 176c0 61.79-32.08 116.1-80.39 147.6c-.834 16.5-3.541 37.37-7.035 58.17C392.2 395.4 448 316.2 448 224C448 100.3 347.7 0 224 0z", "M224 312c-32.88 0-64 8.625-64 43.75c0 33.13 12.88 104.3 20.62 132.8C185.8 507.6 205.1 512 224 512s38.25-4.375 43.38-23.38C275.1 459.9 288 388.8 288 355.8C288 320.6 256.9 312 224 312zM224 280c30.95 0 56-25.05 56-56S254.1 168 224 168S168 193 168 224S193 280 224 280z"]],
    "podium": [448, 512, [], "f680", ["M400 191.1l-29.12 291.2c-1.636 16.36-15.24 28.82-31.68 28.82H108.8c-16.44 0-30.05-12.46-31.68-28.82L48 191.1H400z", "M448 167.1c0 13.25-10.75 24-24 24h-400C10.75 191.1 0 181.3 0 167.1c0-13.25 10.75-24 23.1-24L79.38 143.1c6.75-53.75 46.5-97.13 98.5-108.8C183.5 14.1 201.1 0 224 0l62.2-.0001c23.21 0 44.5 15.69 48.89 38.48C340.1 69.15 317.6 95.1 288 95.1h-64c-13.25 0-25.25-5.375-33.88-13.1c-32 6.749-56.38 31.12-62.75 61.1L424 143.1C437.3 143.1 448 154.7 448 167.1z"]],
    "podium-star": [448, 512, [], "f758", ["M48 191.1l29.12 291.2c1.636 16.36 15.24 28.82 31.68 28.82h230.4c16.44 0 30.05-12.46 31.68-28.82L400 191.1H48zM304.5 326.7l-32.1 32.1l7.773 45.55c1.5 8.25-7.139 14.37-14.51 10.49L223.1 393.3l-40.77 21.53c-7.25 3.875-16.01-2.242-14.51-10.49l7.772-45.55l-32.94-32.1C137.7 320.8 140.8 310.7 149 309.6L194.7 302.9l20.36-41.4c3.75-7.5 14.29-7.375 17.91 0l20.36 41.4l45.64 6.688C307.2 310.7 310.4 320.8 304.5 326.7z", "M298.9 309.6l-45.64-6.688l-20.36-41.4c-3.625-7.375-14.16-7.5-17.91 0L194.7 302.9L149 309.6c-8.25 1.125-11.37 11.22-5.491 17.1l32.94 32.1l-7.772 45.55c-1.5 8.25 7.264 14.37 14.51 10.49l40.77-21.53l40.77 21.53c7.375 3.875 16.01-2.242 14.51-10.49l-7.773-45.55l32.1-32.1C310.4 320.8 307.2 310.7 298.9 309.6zM424 143.1L127.4 143.1c6.375-30.88 30.75-55.25 62.75-61.1C198.8 90.62 210.8 95.1 224 95.1l62.2 .0001c23.21 0 44.5-15.69 48.89-38.48C340.1 26.85 317.6 0 288 0h-64c-22 0-40.5 15-46.13 35.25c-52 11.62-91.75 55-98.5 108.8L23.1 143.1C10.75 143.1 0 154.7 0 167.1c0 13.25 10.75 24 23.1 24h400c13.25 0 24-10.75 24-24C448 154.7 437.3 143.1 424 143.1z"]],
    "police-box": [384, 512, [], "e021", ["M208 32H176V16C176 7.164 183.2 0 192 0C200.8 0 208 7.164 208 16V32zM128 128V160H96V136C96 131.6 99.58 128 104 128H128zM128 208H104C99.58 208 96 204.4 96 200V176H128V208zM144 128H168C172.4 128 176 131.6 176 136V160H144V128zM176 200C176 204.4 172.4 208 168 208H144V176H176V200zM360 464C373.3 464 384 474.7 384 488C384 501.3 373.3 512 360 512H24C10.75 512 0 501.3 0 488C0 474.7 10.75 464 24 464H360zM208 136C208 131.6 211.6 128 216 128H240V160H208V136zM208 176H240V208H216C211.6 208 208 204.4 208 200V176zM288 136V160H256V128H280C284.4 128 288 131.6 288 136zM256 176H288V200C288 204.4 284.4 208 280 208H256V176z", "M288 32C305.7 32 320 46.33 320 64C337.7 64 352 78.33 352 96V464H32V96C32 78.33 46.33 64 64 64C64 46.33 78.33 32 96 32H288zM96 160H128V128H104C99.58 128 96 131.6 96 136V160zM96 200C96 204.4 99.58 208 104 208H128V176H96V200zM168 128H144V160H176V136C176 131.6 172.4 128 168 128zM144 208H168C172.4 208 176 204.4 176 200V176H144V208zM216 128C211.6 128 208 131.6 208 136V160H240V128H216zM240 176H208V200C208 204.4 211.6 208 216 208H240V176zM256 160H288V136C288 131.6 284.4 128 280 128H256V160zM288 176H256V208H280C284.4 208 288 204.4 288 200V176zM96 304C96 312.8 103.2 320 112 320H160C168.8 320 176 312.8 176 304V256C176 247.2 168.8 240 160 240H112C103.2 240 96 247.2 96 256V304z"]],
    "poll-people": [640, 512, [], "f759", ["M480 128H576V96H480V32H592C618.5 32 640 53.49 640 80V144C640 170.5 618.5 192 592 192H480V128zM384 416H576V384H384V320H592C618.5 320 640 341.5 640 368V432C640 458.5 618.5 480 592 480H384V416z", "M32 48C32 21.49 53.49 0 80 0C106.5 0 128 21.49 128 48C128 74.51 106.5 96 80 96C53.49 96 32 74.51 32 48zM96 128C131.3 128 160 156.7 160 192C160 209.7 145.7 224 128 224H32C14.33 224 0 209.7 0 192C0 156.7 28.65 128 64 128H96zM128 336C128 362.5 106.5 384 80 384C53.49 384 32 362.5 32 336C32 309.5 53.49 288 80 288C106.5 288 128 309.5 128 336zM96 416C131.3 416 160 444.7 160 480C160 497.7 145.7 512 128 512H32C14.33 512 0 497.7 0 480C0 444.7 28.65 416 64 416H96zM224 80C224 53.49 245.5 32 272 32H480V192H272C245.5 192 224 170.5 224 144V80zM224 368C224 341.5 245.5 320 272 320H384V480H272C245.5 480 224 458.5 224 432V368z"]],
    "pompebled": [512, 512, [], "e43d", ["M482.9 372.2C397.4 498.5 222.5 557.8 101.1 470.8C-20.76 383.8-28.62 196.7 56.88 70.4C103.1 1.486 188.6-20.65 247.5 21.1C294.2 53.3 302.1 127.7 265.2 194.6C259.3 203.2 261.3 214.8 269.7 220.8C278 226.8 289.3 224.8 295.2 216.3C343.4 157.9 414.1 138.8 460.3 172C519.3 213.8 529.1 303.8 482.9 372.2V372.2z", ""]],
    "poo": [512, 512, [128169], "f2fe", ["M192 256C174.3 256 160 270.3 160 288s14.25 32 32 32s32-14.25 32-32S209.8 256 192 256zM320 256c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S337.8 256 320 256z", "M451.4 369.1C468.8 356 480 335.4 480 312c0-39.75-32.25-72-72-72h-14.12C407.3 228.2 416 211.2 416 191.1c0-35.25-28.75-63.1-64-63.1h-5.875C349.8 117.9 352 107.2 352 95.1c0-53-43-96-96-96c-5.25 0-10.25 .75-15.12 1.5C250.3 14.62 256 30.62 256 47.1c0 44.25-35.75 80-80 80H160c-35.25 0-64 28.75-64 63.1c0 19.25 8.75 36.25 22.12 48H104C64.25 239.1 32 272.3 32 312c0 23.38 11.25 44 28.62 57.13C26.25 374.6 0 404.1 0 440C0 479.8 32.25 512 72 512h368c39.75 0 72-32.25 72-72C512 404.1 485.8 374.6 451.4 369.1zM192 256c17.75 0 32 14.25 32 32s-14.25 32-32 32S160 305.8 160 288S174.3 256 192 256zM351.5 395C340.1 422.9 292.1 448 256 448c-36.99 0-84.98-25.12-95.48-53C158.5 389.8 162.5 384 168.3 384h175.5C349.5 384 353.5 389.8 351.5 395zM320 320c-17.75 0-32-14.25-32-32s14.25-32 32-32s32 14.25 32 32S337.8 320 320 320z"]],
    "poo-storm": [448, 512, ["poo-bolt"], "f75a", ["M304 368H248.3l38.45-89.7c2.938-6.859 .7187-14.84-5.312-19.23c-6.096-4.422-14.35-4.031-19.94 .8906l-128 111.1c-5.033 4.391-6.783 11.44-4.439 17.67c2.346 6.25 8.314 10.38 14.97 10.38H199.7l-38.45 89.7c-2.938 6.859-.7187 14.84 5.312 19.23C169.4 510.1 172.7 512 175.1 512c3.781 0 7.531-1.328 10.53-3.953l128-111.1c5.033-4.391 6.783-11.44 4.439-17.67C316.6 372.1 310.7 368 304 368z", "M373.3 226.6C379.9 216.6 384 204.9 384 192c0-35.38-28.62-64-64-64h-5.875C317.8 118 320 107.3 320 96c0-53-43-96-96-96C218.9 0 213.9 .75 208.9 1.5C218.3 14.62 224 30.62 224 48C224 92.13 188.1 128 144 128H128C92.63 128 64 156.6 64 192c0 12.88 4.117 24.58 10.72 34.55C31.98 236.3 0 274.3 0 320c0 53.02 42.98 96 96 96h12.79c-4.033-4.414-7.543-9.318-9.711-15.1c-7.01-18.64-1.645-39.96 13.32-53.02l127.9-111.9C249.1 228.2 260.3 223.1 271.1 224c10.19 0 19.95 3.174 28.26 9.203c18.23 13.27 24.76 36.1 15.89 57.71l-19.33 45.1h7.195c19.89 0 37.95 12.51 44.92 31.11C355.3 384 351 402.8 339.1 416H352c53.02 0 96-42.98 96-96C448 274.3 416 236.3 373.3 226.6z"]],
    "pool-8-ball": [512, 512, [], "e3c5", ["M292.1 174.3C299.8 165.1 304 155.5 304 144C304 117.5 282.5 96 256 96S208 117.5 208 144c0 11.53 4.25 21.97 11.04 30.26C207.5 184.5 200 199.3 200 216C200 246.9 225.1 272 256 272s56-25.12 56-56C312 199.3 304.5 184.5 292.1 174.3zM240 144C240 135.2 247.2 128 256 128s16 7.188 16 16S264.8 160 256 160S240 152.8 240 144zM256 240c-13.23 0-24-10.78-24-24S242.8 192 256 192s24 10.78 24 24S269.2 240 256 240z", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 320c-70.69 0-128-57.31-128-128c0-70.69 57.31-128 128-128s128 57.31 128 128C384 262.7 326.7 320 256 320z"]],
    "poop": [512, 512, [], "f619", ["M479.1 311v2c.0199 21.89-10.07 42.55-27.35 55.1c-3.854-.6527-7.755-.9873-11.66-1H70.84c-3.909 .0128-7.81 .3474-11.66 1c-17.27-13.45-27.37-34.11-27.35-55.1v-2c0-39.21 31.8-70.1 71.02-70.1h306.1C448.2 240 479.1 271.8 479.1 311z", "M393.9 240c26.65-23.03 29.62-63.29 6.586-89.93C388.3 135.1 370.6 127.9 351.1 128h-5.879c5.898-16.25 7.366-33.76 4.323-50.78c-9.375-51.14-58.4-85.04-109.6-75.7c25.78 35.74 17.67 85.63-18.08 111.4C209.1 122.8 192.8 128 175.9 128H159.9c-35.22-.1699-63.98 28.24-64.15 63.45C95.69 210.1 103.9 227.8 117.1 240H393.9zM451.4 369.1l.3926-.2988c-3.574-.5547-7.187-.8339-10.8-.8398H70.84c-3.605 .0059-7.203 .287-10.76 .8398c.1387 .1094 .332 .208 .4824 .3076c-39.2 6.297-65.94 43.19-59.64 82.38C6.518 486.4 36.64 511.1 71.92 512h368.1C479.7 512.1 511.9 479.8 512 440.1C512.1 404.7 486.3 374.7 451.4 369.1z"]],
    "popcorn": [448, 512, [127871], "f819", ["M411.6 138.9c-7-11.88-19.38-19.63-33.13-20.75c6.5-11.75 6.375-25.88-.25-37.5c-9.125-16-28-23.63-45.63-20.13c-.25-16.63-11.5-32-29-37.5c-13.25-4.25-27.88-1.875-39.13 6.5c0-.75-.25-1.375-.625-2C256.7 6.343 232.7-4.782 210.5 1.969C197.5 5.969 187.2 16.22 183.1 29.22C171.1 21.09 157.5 18.84 144.4 23.09c-17.5 5.375-28.62 20.75-29 37.38c-17.62-3.5-36.5 4.125-45.63 20.13C62.1 92.1 62.87 106.5 69.5 118.1C55.1 119.4 43.12 126.7 36.37 138.9C32.5 145.6 31.62 152.9 32.12 159.1h383.8C416.4 152.9 415.5 145.6 411.6 138.9z", "M0 188.5c0 2.329 .2855 4.649 .85 6.909l73.06 292.4C77.45 501.1 90.24 512 104.9 512l238.3-.0098c14.62-.0011 27.36-10.01 30.91-24.2l73.06-292.4C447.7 193.2 448 190.8 448 188.5c0-15.74-12.76-28.5-28.49-28.5H28.49C12.76 160 0 172.8 0 188.5zM145.1 463.9c-.6719 .0782-1.344 .125-2 .125c-7.953 0-14.84-5.922-15.86-14.02L100.1 225.1C98.93 216.4 106.4 208 115.1 208c8.068 0 14.87 6.008 15.88 14.02l28 224C160.1 454.8 154.8 462.8 145.1 463.9zM224 464c-8.844 0-16-7.157-16-16V224c0-8.836 7.163-15.99 15.1-15.99C232.8 208 240 215.2 240 224v224C240 456.9 232.8 464 224 464zM319.9 450c-1.016 8.094-7.906 14.02-15.86 14.02c-.6562 0-1.328-.0469-2-.125c-8.766-1.094-14.98-9.094-13.89-17.86l28-224c1.001-8.007 7.807-14.02 15.88-14.02c9.623 0 17.07 8.435 15.88 17.98L319.9 450z"]],
    "popsicle": [320, 512, [], "e43e", ["M320 160V352C320 360.5 316.6 368.6 310.6 374.6C304.6 380.6 296.5 384 288 384H192V192C192 183.5 188.6 175.4 182.6 169.4C176.6 163.4 168.5 160 160 160C151.5 160 143.4 163.4 137.4 169.4C131.4 175.4 128 183.5 128 192V384H32C23.51 384 15.37 380.6 9.372 374.6C3.371 368.6 0 360.5 0 352V160C0 117.6 16.86 76.87 46.86 46.86C76.87 16.86 117.6 0 160 0C202.4 0 243.1 16.86 273.1 46.86C303.1 76.87 320 117.6 320 160z", "M160 512C151.5 512 143.4 508.6 137.4 502.6C131.4 496.6 128 488.5 128 480V192C128 183.5 131.4 175.4 137.4 169.4C143.4 163.4 151.5 160 160 160C168.5 160 176.6 163.4 182.6 169.4C188.6 175.4 192 183.5 192 192V480C192 488.5 188.6 496.6 182.6 502.6C176.6 508.6 168.5 512 160 512z"]],
    "pot-food": [640, 512, [127858], "e43f", ["M244.1 75.37C231.7 68.14 224 54.73 224 40.39V24C224 10.74 213.3 0 200 0S176 10.74 176 24v16.39c0 31.34 16.81 60.64 43.91 76.45C232.3 124.1 240 137.5 240 152.1V168C240 181.3 250.7 192 264 192S288 181.3 288 168V151.8C288 120.5 271.2 91.18 244.1 75.37zM432 112c-50.66 0-92.96 33.85-106.8 80h213.6C524.1 145.8 482.7 112 432 112zM132.1 75.37C119.7 68.14 112 54.73 112 40.39V24C112 10.74 101.3 0 88 0S64 10.74 64 24v16.39c0 31.34 16.81 60.64 43.91 76.45C120.3 124.1 128 137.5 128 152.1V168C128 181.3 138.7 192 152 192S176 181.3 176 168V151.8C176 120.5 159.2 91.18 132.1 75.37z", "M624 288c0 17.67-14.33 31.1-32 31.1h-24.18c-17.19 68.15-60.97 125.5-119.8 159.1c0 17.67-14.33 31.1-32 31.1H224c-17.67 0-32-14.33-32-31.1c-58.85-34.47-102.6-91.85-119.8-159.1H48c-17.67 0-32-14.33-32-31.1c0-17.67 14.33-31.1 32-31.1h16.04C64.15 238.3 78.44 224 96 224H256v.0039h288c17.55 .0117 31.84 14.3 31.94 31.1H592C609.7 256 624 270.3 624 288z"]],
    "potato": [576, 512, [129364], "e440", ["M396.2 0C319.5 0 283.7 78.93 241.1 93.7c-48.8 15.31-79 57.07-105.9 94.16C93.38 246.9 32 289.6 32 368.8C32 441.6 93.46 512 175.2 512c27.65 0 54.59-8.455 77.88-24.47c41.96-28.86 126.3-31.88 165.6-93.17c13.24-20.78 22.18-40.1 30.85-60.6C490.5 241 544 227.1 544 147.5C544 65.79 464.1 0 396.2 0zM192 440c-13.24 0-24-10.76-24-24c0-13.24 10.76-24 24-24S216 402.8 216 416C216 429.2 205.2 440 192 440zM224 248C210.8 248 200 237.2 200 224c0-13.24 10.76-24 24-24S248 210.8 248 224C248 237.2 237.2 248 224 248zM416 216c-13.24 0-24-10.76-24-24c0-13.24 10.76-24 24-24S440 178.8 440 192C440 205.2 429.2 216 416 216z", "M192 392c-13.24 0-24 10.76-24 24c0 13.24 10.76 24 24 24S216 429.2 216 416C216 402.8 205.2 392 192 392zM224 200C210.8 200 200 210.8 200 224c0 13.24 10.76 24 24 24S248 237.2 248 224C248 210.8 237.2 200 224 200zM416 168c-13.24 0-24 10.76-24 24c0 13.24 10.76 24 24 24S440 205.2 440 192C440 178.8 429.2 168 416 168z"]],
    "power-off": [512, 512, [9211], "f011", ["M256 0C273.7 0 288 14.33 288 32V256C288 273.7 273.7 288 256 288C238.3 288 224 273.7 224 256V32C224 14.33 238.3 0 256 0z", "M147.7 75.54C158.1 89.13 157.1 109.3 143.5 120.6C104.7 152.9 80 201.6 80 256C80 353.2 158.8 432 256 432C353.2 432 432 353.2 432 256C432 201.6 407.3 152.9 368.5 120.6C354.9 109.3 353 89.13 364.3 75.54C375.6 61.95 395.8 60.1 409.4 71.4C462.2 115.4 496 181.8 496 256C496 388.6 388.5 496 256 496C123.5 496 16 388.6 16 256C16 181.8 49.75 115.4 102.6 71.4C116.2 60.1 136.4 61.95 147.7 75.54V75.54z"]],
    "prescription": [448, 512, [], "f5b1", ["M440.6 256.2c9.373-9.381 9.373-24.59 0-33.97l-22.62-22.64c-9.373-9.381-24.57-9.381-33.94 0L135.4 448.4c-9.373 9.381-9.373 24.59 0 33.97l22.62 22.64c9.373 9.38 24.57 9.38 33.94 0L440.6 256.2z", "M440.1 448.4l-96.28-96.21l-56.56 56.61l96.28 96.21c9.373 9.381 24.57 9.381 33.94 0l22.62-22.64C450.3 472.9 450.3 457.7 440.1 448.4zM285.4 94.89C273.9 38.74 221.8 0 164.6 0H31.1C14.33 0 0 14.34 0 32.03v264.1c0 13.26 10.75 24.01 23.1 24.01l31.1 .085c13.25 0 23.1-10.75 23.1-24.02V240.2H119.4l112.1 112l56.56-56.61L220.5 228C267.3 205.1 297.2 152.6 285.4 94.89zM167.1 160.1H79.1V80.06h87.1c22.06 0 39.1 17.95 39.1 40.03S190.1 160.1 167.1 160.1z"]],
    "prescription-bottle": [384, 512, [], "f485", ["M32 176l112 0c8.801 0 16 7.199 16 16c0 8.799-7.199 16-16 16H32V272h112C152.8 272 160 279.2 160 288c0 8.799-7.199 16-16 16H32v64h112C152.8 368 160 375.2 160 384c0 8.799-7.199 16-16 16H32V448c0 35.2 28.8 64 64 64h192c35.2 0 64-28.8 64-64V96H32V176z", "M360 0H24C10.75 0 0 10.75 0 24v48C0 85.25 10.75 96 24 96h336C373.3 96 384 85.25 384 72v-48C384 10.75 373.3 0 360 0zM144 175.1L32 176v31.1h112c8.836 0 16-7.164 16-16S152.8 175.1 144 175.1zM144 272H32v32h112C152.8 304 160 296.8 160 288S152.8 272 144 272zM144 368H32v32h112C152.8 400 160 392.8 160 384S152.8 368 144 368z"]],
    "prescription-bottle-medical": [384, 512, ["prescription-bottle-alt"], "f486", ["M32 448c0 35.2 28.8 64 64 64h192c35.2 0 64-28.8 64-64V96H32V448zM96 288c0-8.801 7.199-16 16-16H160V223.1c0-8.801 7.199-16 16-16h32c8.801 0 16 7.199 16 16V272h48C280.8 272 288 279.2 288 288v32c0 8.799-7.199 16-16 16H224V384c0 8.799-7.199 16-16 16h-32C167.2 400 160 392.8 160 384v-48H112C103.2 336 96 328.8 96 320V288z", "M272 272H224V223.1c0-8.801-7.199-16-16-16h-32c-8.801 0-16 7.199-16 16V272H112C103.2 272 96 279.2 96 288v32c0 8.799 7.199 16 16 16H160V384c0 8.799 7.199 16 16 16h32c8.801 0 16-7.201 16-16v-48h48c8.801 0 16-7.201 16-16V288C288 279.2 280.8 272 272 272zM360 0H24C10.75 0 0 10.75 0 24v48C0 85.25 10.75 96 24 96h336C373.3 96 384 85.25 384 72v-48C384 10.75 373.3 0 360 0z"]],
    "presentation-screen": [576, 512, ["presentation"], "f685", ["M512 352H64C46.38 352 32 337.7 32 320L31.1 64.01H96v224h384V64.01h63.1L544 320C544 337.7 529.6 352 512 352z", "M543.1 0h-512C14.33 0 0 14.33 0 31.1s14.33 32.01 31.1 32.01h512C561.7 64.01 576 49.68 576 32.01S561.7 0 543.1 0zM320 386.8v-34.75H256v34.75L180.7 462.1c-6.25 6.25-6.271 16.46-.0208 22.71l22.54 22.54c6.25 6.251 16.48 6.249 22.73-.0018L288 445.3l61.1 62.01c6.25 6.251 16.48 6.252 22.73 .0018l22.54-22.54c6.25-6.251 6.229-16.46-.0208-22.71L320 386.8z"]],
    "pretzel": [576, 512, [129384], "e441", ["M535.3 243.1C541.1 222.2 544 200.7 544 179.3C544 98.09 477.6 32 396 32C353.4 32 315 49.97 288 78.69C260.1 49.97 222.6 32 180 32C98.41 32 32 98.09 32 179.3c0 21.38 2.906 42.83 8.688 63.8c14.69 53.25 48 98.23 92.31 129.3l-31.75 44.2c-12.91 17.94-8.812 42.94 9.125 55.83c17.91 12.86 42.88 8.797 55.81-9.141l39.94-55.56c23.72 7.094 48.88 10.89 74.75 10.89h14.25c25.88 0 51.03-3.797 74.75-10.89l39.94 55.56C417.6 474.2 429.9 480 442.3 480c8.094 0 16.25-2.438 23.31-7.516c17.94-12.89 22.03-37.89 9.125-55.83L443 372.5C487.3 341.3 520.6 296.4 535.3 243.1zM228.6 239.4L179.7 307.5C149.8 286.9 127.5 257.1 117.8 221.9C113.1 207.9 112 193.5 112 179.3C112 142.2 142.5 112 180 112S248 142.2 248 179.3C248 201 241.3 221.8 228.6 239.4zM295.1 338.7H280.9c-8.094 0-16.09-.5313-23.94-1.562L288 293.9l31.06 43.23C311.2 338.1 303.2 338.7 295.1 338.7zM458.2 221.9c-9.719 35.22-32.03 64.98-61.84 85.67l-48.97-68.13C334.7 221.8 328 201 328 179.3C328 142.2 358.5 112 396 112S464 142.2 464 179.3C464 193.5 462 207.9 458.2 221.9z", ""]],
    "print": [512, 512, [128424, 128438, 9113], "f02f", ["M384 448H128v-64H64v96c0 17.67 14.33 32 32 32h320c17.67 0 32-14.33 32-32v-96h-64V448zM438.6 54.63l-45.25-45.25C387.4 3.375 379.2 0 370.8 0H96C78.34 0 64 14.33 64 32v160h64V64h229.5L384 90.51V192h64V77.25C448 68.77 444.6 60.63 438.6 54.63z", "M448 192H64C28.65 192 0 220.7 0 256v96c0 17.67 14.33 32 32 32h96v-32h256v32h96c17.67 0 32-14.33 32-32V256C512 220.7 483.3 192 448 192zM432 296c-13.25 0-24-10.75-24-24c0-13.27 10.75-24 24-24s24 10.73 24 24C456 285.3 445.3 296 432 296z"]],
    "print-magnifying-glass": [640, 512, ["print-search"], "f81a", ["M384 173.5l.0186-82.1L357.5 64h-229.5L128 192h224.9c-39.17 29.17-64.92 75.41-64.92 128c0 10.98 1.149 21.66 3.294 32H128v96h225c26.65 19.84 59.23 32 95.01 32c0 17.67-14.32 32-31.99 32H96c-17.67 0-32-14.33-32-32l.001-96H32C14.33 384 0 369.7 0 352V256c0-35.35 28.66-64 64-64l.0015-160c0-17.67 14.35-32 32-32h274.8c8.469 0 16.63 3.375 22.63 9.375l45.25 45.25c6 6 9.375 14.14 9.375 22.62L448 160C425.2 160 403.6 164.9 384 173.5z", "M635.3 462l-77.38-77.38c11.25-19 18.09-40.88 18.09-64.63c0-70.75-57.25-128-128-128c-70.76 0-128 57.25-128 128s57.25 128 128 128c23.75 0 45.66-6.875 64.66-18.12l77.38 77.38c6.25 6.25 16.46 6.271 22.71 .0208l22.54-22.54C641.6 478.5 641.6 468.3 635.3 462zM448 384c-35.38 0-64.01-28.62-64.01-64s28.63-64 64.01-64c35.38 0 64.01 28.63 64.01 64S483.4 384 448 384z"]],
    "print-slash": [640, 512, [], "f686", ["M448 447.8L192 448v-96h133.8L122.4 192.6C89.7 195.5 64 222.6 64 256v96c0 17.67 14.33 32 32 32h32v96c0 17.67 14.33 32 32 32h320c12.25 0 22.54-7.119 27.92-17.23L448 447.8zM192 64h229.5L448 90.51V160h64V77.25c0-8.484-3.375-16.62-9.375-22.62l-45.25-45.25C451.4 3.375 443.2 0 434.8 0H160C142.3 0 128 14.33 128 32v43.01l64 50.16V64zM512 192H277.3l244.1 192H544c17.67 0 32-14.33 32-32V256C576 220.7 547.3 192 512 192zM496 296c-13.25 0-24-10.75-24-24c0-13.27 10.75-24 24-24s24 10.73 24 24C520 285.3 509.3 296 496 296z", "M634.9 502.8c-8.125 10.41-23.19 12.28-33.69 4.078L9.188 42.89c-10.44-8.172-12.26-23.27-4.068-33.7C9.839 3.158 16.91 0 24.03 0c5.156 0 10.37 1.673 14.78 5.111l591.1 463.1C641.2 477.3 643.1 492.4 634.9 502.8z"]],
    "projector": [640, 512, [], "f8d6", ["M512 136c6.156 0 12.28-2.344 16.97-7.031l56-56c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0l-56 56c-9.375 9.375-9.375 24.56 0 33.94C499.7 133.7 505.8 136 512 136zM320.9 192H48C21.5 192 0 213.5 0 240v160C0 426.5 21.5 448 48 448H64l13 51.88C78.75 507 85.13 512 92.5 512h39c7.375 0 13.75-5 15.5-12.12L160 448h160.9C281.7 418.8 256 372.6 256 320S281.7 221.2 320.9 192zM96 352c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S113.6 352 96 352zM192 352c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S209.6 352 192 352zM280.1 39.03c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94l56 56C307.7 133.7 313.8 136 320 136s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94L280.1 39.03zM592 192h-80.88C550.3 221.2 576 267.4 576 320c0 63.93-37.75 118.7-91.95 144.3l8.945 35.58C494.8 507 501.1 512 508.5 512h39c7.375 0 13.75-5 15.5-12.12L576 448h16c26.5 0 48-21.5 48-48v-160C640 213.5 618.5 192 592 192zM416 0c-13.25 0-24 10.75-24 24v80C392 117.3 402.8 128 416 128s24-10.75 24-24v-80C440 10.75 429.3 0 416 0z", "M416 160c-88.37 0-160 71.63-160 160s71.63 160 160 160s160-71.63 160-160S504.4 160 416 160zM416 416c-53.02 0-96-42.98-96-96s42.98-96 96-96s96 42.98 96 96S469 416 416 416zM96 288c-17.67 0-32 14.33-32 32s14.33 32 32 32c17.67 0 32-14.33 32-32S113.7 288 96 288z"]],
    "pump": [640, 512, [], "e442", ["M320 64v160v160H160H64V224h96V64H320z", "M32 192C14.4 192 0 206.3 0 224v160c0 17.66 14.4 32 32 32s32-14.34 32-32V224C64 206.3 49.6 192 32 192zM320 0H160C142.4 0 128 14.34 128 32s14.4 32 32 32h160c17.6 0 32-14.34 32-32S337.6 0 320 0zM608 96h-140.5C454.7 96 442.2 99.74 432 106.8l-65.6 43.74C357.4 156.4 352 166.4 352 177.1v253.8c0 10.69 5.441 20.67 14.4 26.62L432 501.2C442.2 508.3 454.7 512 467.5 512H608c17.6 0 32-14.34 32-32V128C640 110.3 625.6 96 608 96zM560 416h-96c-8.961 0-16-7.168-16-16s7.039-16 16-16h96c8.961 0 16 7.168 16 16S568.1 416 560 416zM560 320h-96C455 320 448 312.8 448 304S455 288 464 288h96C568.1 288 576 295.2 576 304S568.1 320 560 320zM560 224h-96C455 224 448 216.8 448 208S455 192 464 192h96C568.1 192 576 199.2 576 208S568.1 224 560 224z"]],
    "pump-medical": [384, 512, [], "e06a", ["M299.4 218.2C296.4 185.2 268.7 160 235.6 160H84.37C51.27 160 23.63 185.2 20.63 218.2l-20.36 224C-3.139 479.7 26.37 512 64.01 512h191.1c37.63 0 67.14-32.31 63.74-69.79L299.4 218.2zM239.1 333.3c0 7.363-5.971 13.33-13.33 13.33h-40v40c0 7.363-5.969 13.33-13.33 13.33h-26.67c-7.363 0-13.33-5.971-13.33-13.33v-40H93.33c-7.363 0-13.33-5.971-13.33-13.33V306.7c0-7.365 5.971-13.33 13.33-13.33h40v-40C133.3 245.1 139.3 240 146.7 240h26.67c7.363 0 13.33 5.969 13.33 13.33v40h40c7.363 0 13.33 5.969 13.33 13.33V333.3z", "M226.7 293.3h-40v-40C186.7 245.1 180.7 240 173.3 240h-26.67c-7.363 0-13.33 5.969-13.33 13.33v40H93.33c-7.363 0-13.33 5.969-13.33 13.33v26.67c0 7.363 5.971 13.33 13.33 13.33h40v40c0 7.363 5.969 13.33 13.33 13.33h26.67c7.363 0 13.33-5.971 13.33-13.33v-40h40c7.363 0 13.33-5.971 13.33-13.33V306.7C239.1 299.3 234 293.3 226.7 293.3zM379.3 94.06l-43.32-43.32C323.1 38.74 307.7 32 290.8 32h-66.75c0-17.67-14.33-32-32-32H127.1c-17.67 0-32 14.33-32 32l-.0003 128h128l.0002-64h66.75l43.31 43.31c6.248 6.248 16.38 6.248 22.63 0l22.62-22.62C385.6 110.4 385.6 100.3 379.3 94.06z"]],
    "pump-soap": [384, 512, [], "e06b", ["M299.4 218.2C296.4 185.2 268.7 160 235.6 160H84.37C51.27 160 23.63 185.2 20.63 218.2l-20.36 224C-3.139 479.7 26.37 512 64.01 512h191.1c37.63 0 67.14-32.31 63.74-69.79L299.4 218.2zM159.1 416c-33.13 0-60-26.33-60-58.75c0-25 35.7-75.47 52.03-97.27c3.984-5.312 11.95-5.312 15.94 0c16.33 21.8 52.03 72.27 52.03 97.27C219.1 389.7 193.1 416 159.1 416z", "M379.3 94.06l-43.32-43.32C323.1 38.74 307.7 32 290.8 32h-66.75c0-17.67-14.33-32-32-32H127.1c-17.67 0-32 14.33-32 32l-.0003 128h128l.0002-64h66.75l43.31 43.31c6.248 6.248 16.38 6.248 22.63 0l22.62-22.62C385.6 110.4 385.6 100.3 379.3 94.06zM152 259.1c-16.33 21.8-52.03 72.27-52.03 97.27C99.1 389.7 126.9 416 159.1 416s59.1-26.33 59.1-58.75c0-25-35.7-75.47-52.03-97.27C163.1 254.7 156 254.7 152 259.1z"]],
    "pumpkin": [576, 512, [], "f707", ["M576 319.1c0 64.45-51.24 191.9-151.4 191.9c-24.95 0-49.91-7.939-69.3-23.8c-17.88 15.38-39.99 23.86-67.25 23.86c-27.25 0-49.39-8.485-67.14-23.86c-19.44 15.86-44.44 23.8-69.41 23.8c-100.1 0-151.5-125.1-151.5-191.9c0-64.18 50.9-191.5 150.5-191.5c10.01 0 20.05 1.27 29.77 3.789C161.4 149.1 161.6 151.9 154.9 164.1c31.75-23.62 75.63-36.11 133.1-36.11s101.4 12.49 133.1 36.11c-6.801-12.31-6.585-15.01-25.38-31.88c9.718-2.518 19.76-3.789 29.77-3.789C524.1 128.4 576 254.5 576 319.1z", "M352 106.6L352 35.73c0-6-3.375-11.5-8.876-14.25l-39.63-19.75c-2.284-1.177-4.722-1.731-7.127-1.731c-6.282 0-12.34 3.778-14.87 10.11L245.5 100.2C258.6 97.61 272.6 95.98 288 95.98C312.3 95.98 333.3 99.98 352 106.6z"]],
    "puzzle": [512, 512, [], "e443", ["M144 256c0-17.67-14.33-32-32-32s-32 14.33-32 32v32H0v160c0 35.35 28.65 64 64 64h160v-80H192c-17.67 0-32-14.33-32-32s14.33-32 32-32h32V288H144V256zM448 0h-96c-17.67 0-32 14.33-32 32v32h32c17.67 0 32 14.33 32 32s-14.33 32-32 32h-32v64h64v16c0 17.67 14.33 32 32 32s32-14.33 32-32V192h32c17.67 0 32-14.33 32-32V64C512 28.65 483.3 0 448 0z", "M256 208c17.67 0 32-14.33 32-32s-14.33-32-32-32H224V96c0-17.67-14.33-32-32-32H64C28.65 64 0 92.65 0 128v160h80V256c0-17.67 14.33-32 32-32s32 14.33 32 32v32H224V208H256zM416 288h-48v32c0 17.67-14.33 32-32 32s-32-14.33-32-32V288H224v80H192c-17.67 0-32 14.33-32 32s14.33 32 32 32h32V512h160c35.35 0 64-28.65 64-64v-128C448 302.3 433.7 288 416 288z"]],
    "puzzle-piece": [512, 512, [129513], "f12e", ["", "M512 288c0 35.35-21.49 64-48 64c-32.43 0-31.72-32-55.64-32C394.9 320 384 330.9 384 344.4V480c0 17.67-14.33 32-32 32h-71.64C266.9 512 256 501.1 256 487.6C256 463.1 288 464.4 288 432c0-26.51-28.65-48-64-48s-64 21.49-64 48c0 32.43 32 31.72 32 55.64C192 501.1 181.1 512 167.6 512H32c-17.67 0-32-14.33-32-32v-135.6C0 330.9 10.91 320 24.36 320C48.05 320 47.6 352 80 352C106.5 352 128 323.3 128 288S106.5 223.1 80 223.1c-32.43 0-31.72 32-55.64 32C10.91 255.1 0 245.1 0 231.6v-71.64c0-17.67 14.33-31.1 32-31.1h135.6C181.1 127.1 192 117.1 192 103.6c0-23.69-32-23.24-32-55.64c0-26.51 28.65-47.1 64-47.1s64 21.49 64 47.1c0 32.43-32 31.72-32 55.64c0 13.45 10.91 24.36 24.36 24.36H352c17.67 0 32 14.33 32 31.1v71.64c0 13.45 10.91 24.36 24.36 24.36c23.69 0 23.24-32 55.64-32C490.5 223.1 512 252.7 512 288z"]],
    "puzzle-piece-simple": [640, 512, ["puzzle-piece-alt"], "e231", ["", "M640 256c0 35.35-21.49 64-48 64c-32.43 0-31.72-32-55.64-32C522.9 288 512 298.9 512 312.4V416c0 17.67-14.33 32-32 32h-103.6C362.9 448 352 437.1 352 423.6C352 399.1 384 400.4 384 368c0-26.51-28.65-48-64-48s-64 21.49-64 48c0 32.43 32 31.72 32 55.64C288 437.1 277.1 448 263.6 448H160c-17.67 0-32-14.33-32-32V312.4C128 298.9 117.1 288 103.6 288C79.95 288 80.4 320 48 320c-26.51 0-47.1-28.65-47.1-64S21.49 191.1 48 191.1c32.43 0 31.72 32 55.64 32C117.1 223.1 128 213.1 128 199.6V95.1C128 78.33 142.3 63.1 160 63.1l103.6 0C277.1 63.1 288 74.9 288 88.36C288 112 256 111.6 256 143.1C256 170.5 284.7 192 320 192s64-21.49 64-48c0-32.43-32-31.72-32-55.64c0-13.45 10.91-24.36 24.36-24.36L480 63.1c17.67 0 32 14.33 32 32v103.6c0 13.45 10.91 24.36 24.36 24.36c23.69 0 23.24-32 55.64-32C618.5 191.1 640 220.7 640 256z"]],
    "q": [448, 512, [113], "51", ["M393.1 402.5c34.12-39.32 54.93-90.48 54.93-146.5c0-123.5-100.5-224-223.1-224S.0001 132.5 .0001 256s100.5 224 223.1 224c44.45 0 85.81-13.16 120.7-35.58l46.73 56.08c6.328 7.594 15.42 11.52 24.59 11.52c21.35 0 31.98-18.26 31.98-32.01c0-7.223-2.433-14.49-7.419-20.47L393.1 402.5zM224 416c-88.22 0-160-71.78-160-160s71.78-159.1 160-159.1s160 71.78 160 159.1c0 36.21-12.55 69.28-32.92 96.12L280.6 267.5c-6.338-7.597-15.44-11.53-24.61-11.53c-21.27 0-31.96 18.22-31.96 32.02c0 7.223 2.433 14.49 7.419 20.47l71.53 85.83C279.6 407.7 252.8 416 224 416z", ""]],
    "qrcode": [448, 512, [], "f029", ["M144 32C170.5 32 192 53.49 192 80V176C192 202.5 170.5 224 144 224H48C21.49 224 0 202.5 0 176V80C0 53.49 21.49 32 48 32H144zM128 96H64V160H128V96zM144 288C170.5 288 192 309.5 192 336V432C192 458.5 170.5 480 144 480H48C21.49 480 0 458.5 0 432V336C0 309.5 21.49 288 48 288H144zM128 352H64V416H128V352zM256 80C256 53.49 277.5 32 304 32H400C426.5 32 448 53.49 448 80V176C448 202.5 426.5 224 400 224H304C277.5 224 256 202.5 256 176V80zM320 160H384V96H320V160z", "M256 288H352V320H416V288H448V416H352V384H320V480H256V288zM384 480H352V448H384V480zM448 480H416V448H448V480z"]],
    "question": [320, 512, [10067, 10068, 61736], "3f", ["M144 400c-22.09 0-40 17.91-40 40s17.91 39.1 40 39.1s40-17.9 40-39.1S166.1 400 144 400z", "M204.3 32.01H96c-52.94 0-96 43.06-96 96c0 17.67 14.31 31.1 32 31.1s32-14.32 32-31.1c0-17.64 14.34-32 32-32h108.3C232.8 96.01 256 119.2 256 147.8c0 19.72-10.97 37.47-30.5 47.33L127.8 252.4C117.1 258.2 112 268.7 112 280v40c0 17.67 14.31 31.99 32 31.99s32-14.32 32-31.99V298.3L256 251.3c39.47-19.75 64-59.42 64-103.5C320 83.95 268.1 32.01 204.3 32.01z"]],
    "quote-left": [448, 512, [8220, "quote-left-alt"], "f10d", ["M352 224c-11.28 0-21.95 2.305-32 5.879V224c0-35.3 28.7-64 64-64c17.67 0 32-14.33 32-32s-14.33-32-32-32c-70.58 0-128 57.42-128 128v96c0 53.02 42.98 96 96 96s96-42.98 96-96S405 224 352 224z", "M96 224C84.72 224 74.05 226.3 64 229.9V224c0-35.3 28.7-64 64-64c17.67 0 32-14.33 32-32S145.7 96 128 96C57.42 96 0 153.4 0 224v96c0 53.02 42.98 96 96 96s96-42.98 96-96S149 224 96 224z"]],
    "quote-right": [448, 512, [8221, "quote-right-alt"], "f10e", ["M96 96C42.98 96 0 138.1 0 192s42.98 96 96 96c11.28 0 21.95-2.305 32-5.879V288c0 35.3-28.7 64-64 64c-17.67 0-32 14.33-32 32s14.33 32 32 32c70.58 0 128-57.42 128-128V192C192 138.1 149 96 96 96z", "M448 192c0-53.02-42.98-96-96-96s-96 42.98-96 96s42.98 96 96 96c11.28 0 21.95-2.305 32-5.879V288c0 35.3-28.7 64-64 64c-17.67 0-32 14.33-32 32s14.33 32 32 32c70.58 0 128-57.42 128-128V192z"]],
    "quotes": [576, 512, [], "e234", ["M328 272C288.2 272 256 304.2 256 344C256 383.8 288.2 416 328 416c2.68-.1172 5.352-.3867 8-.8066V416c-.0234 17.66-14.34 31.98-32 32c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32c52.1-.0586 95.94-43.01 96-96v-72C400 304.2 367.8 272 328 272zM504 272c-39.76 0-72 32.23-72 72c0 39.76 32.24 72 72 72c2.68-.1172 5.352-.3867 8-.8066V416c-.0234 17.66-14.34 31.98-32 32c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32c52.1-.0586 95.94-43.01 96-96v-72C576 304.2 543.8 272 504 272z", "M320 168C320 128.2 287.8 96 248 96C245.3 96.12 242.6 96.38 240 96.81V96c.0234-17.66 14.34-31.98 32-32c17.67 0 32-14.33 32-32c0-17.67-14.33-32-32-32c-52.1 .0566-95.94 43-96 96v72c0 39.76 32.24 72 72 72S320 207.8 320 168zM72 96C69.32 96.12 66.65 96.38 64 96.81V96c.0234-17.66 14.34-31.98 32-32c17.67 0 32-14.33 32-32c0-17.67-14.33-32-32-32C43 .0566 .0586 43 0 96v72C0 207.8 32.24 240 72 240S144 207.8 144 168C144 128.2 111.8 96 72 96z"]],
    "r": [320, 512, [114], "52", ["M228.7 309.7C282 288.6 320 236.8 320 176c0-79.41-64.59-144-144-144H32c-17.67 0-32 14.33-32 32v384c0 17.67 14.33 32 32 32s32-14.33 32-32v-128h93.43l104.5 146.6c6.25 8.75 16.09 13.42 26.09 13.42c6.422 0 12.91-1.922 18.55-5.938c14.39-10.27 17.73-30.25 7.484-44.64L228.7 309.7zM64 96.01h112c44.11 0 80 35.89 80 80s-35.89 79.1-80 79.1H64V96.01z", ""]],
    "rabbit": [512, 512, [128007], "f708", ["M321.4 128C326.3 128 331 128.3 335.8 128.9C336.9 104.9 333.1 81.08 324.8 58.8C332.5 41.04 343.5 24.6 357.6 10.47L362.2 5.826C365.9 2.096 370.1 .0003 376.2 0C385.5-.0003 393.5 6.373 395.5 15.37L396.6 19.82C406.4 62.26 398.4 106.3 375.6 142.2C381 145.3 386.3 148.8 391.2 152.8L425.8 181C439.8 192.5 448 209.6 448 227.7C448 261 421 288 387.7 288H352V313.8L413.7 468.1C420.3 484.5 412.3 503.1 395.9 509.7C379.5 516.3 360.9 508.3 354.3 491.9L314.8 393.3L265.6 448H288C305.7 448 320 462.3 320 480C320 497.7 305.7 512 288 512H160C124.7 512 96 483.3 96 448V432C96 336.9 165.2 257.9 256 242.7V193.4C256 182.5 258.7 172.2 263.4 163.2C229.1 126.7 213.1 76.37 220.2 26.39L220.9 21.48C222.7 9.154 233.2 0 245.7 .0003C252.3 .0003 258.6 2.609 263.3 7.257L266.4 10.33C298.2 41.83 314.3 85.09 311.8 128.7C314.1 128.2 318.2 127.1 321.4 127.1L321.4 128zM368 224C376.8 224 384 216.8 384 208C384 199.2 376.8 192 368 192C359.2 192 352 199.2 352 208C352 216.8 359.2 224 368 224z", "M352 208C352 199.2 359.2 192 368 192C376.8 192 384 199.2 384 208C384 216.8 376.8 224 368 224C359.2 224 352 216.8 352 208zM96 432V448C96 454.9 97.09 461.5 99.11 467.8C88.83 480.1 73.34 488 56 488C25.07 488 0 462.9 0 432C0 401.1 25.07 376 56 376C73.44 376 89.01 383.1 99.28 396.5C97.13 407.1 96 419.9 96 432z"]],
    "rabbit-running": [576, 512, ["rabbit-fast"], "f709", ["M458.6 37.2L460.7 39.35C496.9 74.8 513.1 125.5 504.7 174.8C509.8 177.7 514.6 181.1 519.2 184.8L553.8 213C567.8 224.5 576 241.6 576 259.7C576 293 549 320 515.7 320H414.4L352 356.1V340.5C352 283.3 314.1 233.1 259.2 217.4L228.4 208.6C219.9 206.2 211 211.1 208.6 219.6C206.2 228.1 211.1 236.1 219.6 239.4L250.4 248.2C291.6 259.1 320 297.6 320 340.5V384H416C433.7 384 448 398.3 448 416C448 433.7 433.7 448 416 448H300.4C284.4 448 269 442 257.2 431.2L114.1 300.8C80.14 268.9 72.58 216.8 96.9 176.3L98.97 172.9C115.7 145 145.7 128 178.2 128C213.8 128 248.8 137.3 279.7 154.9L384.8 215C386.1 207.2 388.7 199.9 392.4 193.3C355.3 174.1 325.9 143.1 311 103.6C306.6 91.94 311.5 78.68 322.2 72.46C327.8 69.23 334.5 68.27 340.8 69.85L344.2 70.7C391.3 82.58 429.4 115.1 447.8 160C448.3 160 448.9 160 449.4 160C457.9 160 466.3 160.1 474.5 162.9C464.1 131.8 445.5 104.7 421.2 84.08C421.6 72.18 423.5 60.22 426.7 48.46L427.6 45.51C429.3 39.16 434.3 34.22 440.7 32.51C447.1 30.81 453.9 32.59 458.6 37.2L458.6 37.2zM496 224C487.2 224 480 231.2 480 240C480 248.8 487.2 256 496 256C504.8 256 512 248.8 512 240C512 231.2 504.8 224 496 224zM142.2 421.4L175.2 399.4L223.8 443.9L177.8 474.6C163 484.4 143.2 480.5 133.4 465.8C123.6 451 127.5 431.2 142.3 421.4H142.2z", "M96.9 176.3C82.3 200.6 79.19 229.1 86.58 254.9C77.79 260.7 67.28 264 56 264C25.07 264 0 238.9 0 208C0 177.1 25.07 152 56 152C73.41 152 88.97 159.9 99.24 172.4L98.97 172.9L96.9 176.3zM480 240C480 231.2 487.2 224 496 224C504.8 224 512 231.2 512 240C512 248.8 504.8 256 496 256C487.2 256 480 248.8 480 240z"]],
    "racquet": [640, 512, [], "f45a", ["M11.85 420.5c-7.756 5.56-11.86 14.28-11.86 23.09c0 5.701 1.713 11.45 5.272 16.38l28.51 40.01C39.36 507.9 48.17 512 57.01 512c5.596 0 11.22-1.647 16-5.03l98.21-66.56c4.566-3.097 7.015-8.126 7.015-13.24c0-3.205-.9627-6.443-2.97-9.258l-44.04-61.76c-3.121-4.377-8.048-6.713-13.05-6.713c-3.183 0-6.398 .9459-9.198 2.914L11.85 420.5zM575.7 139.6c0-45.95-33.45-75.99-90-75.99c-106.1 0-201.1 100.6-201.1 178c0 45.1 33.33 75.95 89.79 75.95C444.5 317.5 575.7 246.1 575.7 139.6z", "M640 140c0-108.9-95.93-140-153.7-140c-85.7 0-230.4 65.81-261.1 203.2C200.1 311.9 132.5 353 130.2 354.6l45.72 64.39l1.506-1.054c24-16.79 65.33-39.87 138.9-39.87c26.19 0 45.72 3.332 58.75 3.332c49.52 0 104.4-16.95 153.6-51.79C599.6 279.5 640 205.1 640 140zM576 140c0 96.68-115.7 177.5-201.3 177.5c-56.63 0-90.12-29.95-90.12-75.95c0-62.8 80.34-177.5 201.3-177.5C542.5 64.02 576 94.1 576 140z"]],
    "radar": [512, 512, [], "e024", ["M350.9 127.2L304.8 173.3C290.5 164.8 273.8 160 256 160C202.1 160 160 202.1 160 256C160 309 202.1 352 256 352C309 352 352 309 352 256H416C416 329.5 366.4 391.5 298.8 410.2C290.8 394.7 274.7 384 256 384C237.3 384 221.2 394.7 213.2 410.2C161.6 395.9 120.4 356.4 103.9 305.7C118.3 297.4 128 281.8 128 264C128 244.6 116.5 227.9 99.99 220.3C116.2 149.1 179.9 96 256 96C291.5 96 324.3 107.6 350.9 127.2V127.2zM373.7 104.3C341.2 79.05 300.4 64 256 64C163.1 64 85.66 129.9 67.85 217.6C47.22 222.9 32 241.7 32 264C32 287.8 49.35 307.6 72.1 311.4C91.43 375.7 143.6 425.8 209.1 442.2C213.8 463.8 233 480 256 480C278.1 480 298.2 463.8 302.9 442.2C386.3 421.3 448 345.9 448 256H512C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C318.1 0 374.9 22.08 419.3 58.8L373.7 104.3z", "M314.9 231C318.2 238.7 320 247.1 320 256C320 291.3 291.3 320 256 320C220.7 320 192 291.3 192 256C192 220.7 220.7 192 256 192C264.9 192 273.3 193.8 280.1 197.1L463 15.03C472.4 5.657 487.6 5.657 496.1 15.03C506.3 24.4 506.3 39.6 496.1 48.97L314.9 231z"]],
    "radiation": [512, 512, [], "f7b9", ["M256 303.1c26.5 0 48-21.5 48-48S282.5 207.1 256 207.1S208 229.5 208 255.1S229.5 303.1 256 303.1z", "M213.6 188L142.7 74.71C132.5 58.41 109.9 54.31 95.25 66.75c-44.94 38.1-76.19 91.82-85.17 152.8C7.266 238.7 22.67 255.8 42.01 255.8h133.8C175.8 227.2 191 202.3 213.6 188zM298.4 323.5C286.1 331.2 271.6 335.9 256 335.9s-30.1-4.701-42.4-12.4L142.7 436.9c-10.14 16.21-4.16 38.2 13.32 45.95C186.6 496.4 220.4 504 256 504s69.42-7.611 100-21.18c17.48-7.752 23.46-29.74 13.32-45.95L298.4 323.5zM416.8 66.75c-14.67-12.44-37.21-8.338-47.41 7.965L298.4 188c22.6 14.3 37.8 39.2 37.8 67.8h133.8c19.34 0 34.74-17.13 31.93-36.26C492.9 158.6 461.7 104.8 416.8 66.75z"]],
    "radio": [512, 512, [128251], "f8d7", ["M447.1 128H64c-35.35 0-63.1 28.65-63.1 63.1v255.1c0 35.35 28.65 63.1 63.1 63.1h383.1c35.35 0 63.1-28.65 63.1-63.1V192C511.1 156.7 483.3 128 447.1 128zM80 248c0-4.406 3.594-7.1 7.1-7.1h111.1c4.406 0 7.1 3.594 7.1 7.1V263.1c0 4.406-3.594 7.1-7.1 7.1h-111.1c-4.406 0-7.1-3.594-7.1-7.1V248zM208 391.1c0 4.406-3.594 7.1-7.1 7.1h-111.1c-4.406 0-7.1-3.594-7.1-7.1v-15.1c0-4.406 3.594-7.1 7.1-7.1h111.1c4.406 0 7.1 3.594 7.1 7.1V391.1zM224 327.1c0 4.406-3.594 7.1-7.1 7.1H72c-4.406 0-7.1-3.594-7.1-7.1V311.1c0-4.406 3.594-7.1 7.1-7.1h143.1c4.406 0 7.1 3.594 7.1 7.1V327.1zM367.1 399.1c-44.16 0-80-35.84-80-79.1s35.84-80 80-80s79.1 35.85 79.1 80S412.2 399.1 367.1 399.1z", "M511 17.25c-3.719-12.7-16.1-19.1-29.78-16.28L51.75 126.9C43.7 129.2 36.52 133.2 30 137.1c9.869-6.223 21.47-9.953 33.1-9.953l154.5-.0081l276.2-80.97C507.5 43.3 514.7 29.97 511 17.25zM367.1 240c-44.16 0-80 35.84-80 80s35.84 79.1 80 79.1s79.1-35.84 79.1-79.1S412.2 240 367.1 240z"]],
    "radio-tuner": [512, 512, ["radio-alt"], "f8d8", ["M447.1 128H63.1c-35.35 0-63.1 28.65-63.1 63.1v255.1c0 35.35 28.65 63.1 63.1 63.1h383.1c35.35 0 63.1-28.65 63.1-63.1v-255.1C511.1 156.7 483.3 128 447.1 128zM208 423.1c0 4.406-3.594 7.1-7.1 7.1h-111.1c-4.406 0-7.1-3.594-7.1-7.1v-15.1c0-4.406 3.594-8 7.1-8h111.1c4.406 0 7.1 3.594 7.1 8V423.1zM224 359.1c0 4.406-3.594 7.1-7.1 7.1H72c-4.406 0-7.1-3.594-7.1-7.1v-15.1c0-4.406 3.594-7.1 7.1-7.1h143.1c4.406 0 7.1 3.594 7.1 7.1V359.1zM383.1 447.1c-35.32 0-63.1-28.68-63.1-63.1s28.68-63.1 63.1-63.1c35.33 0 63.1 28.68 63.1 63.1S419.3 447.1 383.1 447.1zM415.1 256H96C78.33 256 64 241.7 64 224s14.33-31.1 31.1-31.1h319.1c17.67 0 31.1 14.33 31.1 31.1S433.7 256 415.1 256z", "M511 17.25c-3.719-12.7-16.1-19.1-29.78-16.28L51.75 126.9C43.7 129.2 36.52 133.2 29.1 137.1c9.87-6.223 21.47-9.953 33.1-9.953L218.5 128l276.2-80.97C507.5 43.3 514.7 29.97 511 17.25zM415.1 192H96c-17.67 0-31.1 14.33-31.1 31.1S78.33 256 96 256h319.1c17.67 0 31.1-14.33 31.1-31.1S433.7 192 415.1 192zM383.1 319.1c-35.32 0-63.1 28.68-63.1 63.1s28.68 63.1 63.1 63.1c35.33 0 63.1-28.68 63.1-63.1S419.3 319.1 383.1 319.1z"]],
    "rainbow": [640, 512, [127752], "f75b", ["M544 352v112c0 8.836-7.162 16-16 16h-32c-8.836 0-16-7.164-16-16V352c0-90.27-75.16-163.3-166.2-159.9C227.2 195.4 160 269.3 160 355.9V464C160 472.8 152.8 480 144 480h-32C103.2 480 96 472.8 96 464v-107.2c0-121.9 95.39-225 217.2-228.7C439.8 124.3 544 226.2 544 352z", "M313.5 224.2C244.8 227.6 192 286.9 192 355.7V464C192 472.8 199.2 480 208 480h32C248.8 480 256 472.8 256 464v-109.7c0-34.06 25.65-63.85 59.64-66.11C352.9 285.7 384 315.3 384 352v112c0 8.836 7.164 16 16 16h32c8.838 0 16-7.164 16-16V352C448 279.3 387 220.5 313.5 224.2zM312.3 32.09C137.6 36.22 0 183.3 0 358V464C0 472.8 7.164 480 16 480h32C56.84 480 64 472.8 64 464v-106.9c0-143.2 117.2-263.5 260.4-261.1C463.5 98.4 576 212.3 576 352v112c0 8.836 7.164 16 16 16h32c8.838 0 16-7.164 16-16V352C640 172.1 492.3 27.84 312.3 32.09z"]],
    "raindrops": [448, 512, [], "f75c", ["M50.56 231.9C31.79 263.4 0 320.6 0 347.4C0 385.3 28.65 416 64 416s64-30.73 64-68.64c0-26.72-31.79-83.96-50.56-115.4C71.14 221.4 56.86 221.4 50.56 231.9zM224 155.4c0-26.72-31.79-83.96-50.56-115.4c-6.307-10.57-20.58-10.57-26.89 0C127.8 71.4 96 128.6 96 155.4C96 193.3 124.7 224 160 224S224 193.3 224 155.4z", "M334.6 135.5c-6.916-10.01-22.27-10.01-29.19 0C271.8 184.1 192 305.2 192 358.3C192 425.5 249.3 480 320 480s128-54.5 128-121.7C448 305.2 368.2 184.1 334.6 135.5z"]],
    "ram": [640, 512, [128015], "f70a", ["M416 392C412.7 392 409.4 391.7 406.2 391.3C399.3 419.2 374.1 440 344 440C328.1 440 315.1 434.8 304.2 426.1C292.5 439.5 275.2 448 256 448C236.8 448 219.5 439.5 207.8 426.1C196.9 434.8 183 440 168 440C137.9 440 112.7 419.2 105.8 391.3C102.6 391.7 99.34 392 96 392C60.65 392 32 363.3 32 328C32 322.7 32.66 317.5 33.89 312.5C13.72 301.7 0 280.5 0 256C0 231.5 13.72 210.3 33.89 199.5C32.66 194.5 32 189.3 32 184C32 148.7 60.65 120 96 120C99.34 120 102.6 120.3 105.8 120.8C112.7 92.77 137.9 72 168 72C183 72 196.9 77.19 207.8 85.88C219.5 72.47 236.8 64 256 64C286.7 64 312.3 85.56 318.5 114.3C304.3 130.1 299.6 153.3 308.5 174.1C316.5 192.7 333.3 204.7 352 207.4V239.1C352 301.9 402.1 352 464 352H475.3C465.9 375.5 442.9 392 416 392V392z", "M464 64V65.33C469.2 64.45 474.6 64 480 64C485.5 64 490.8 64.45 496 65.33V64C496 28.65 524.7 0 560 0C595.3 0 624 28.65 624 64V72C624 85.25 613.3 96 600 96C586.7 96 576 85.25 576 72V64C576 55.16 568.8 48 560 48C551.2 48 544 55.16 544 64V88.44C550.8 94.55 556.8 101.6 561.6 109.4L609.5 129.9C621.6 135.2 627.3 149.3 622.1 161.5C616.8 173.6 602.7 179.3 590.5 174.1L576 167.8V240C576 284.2 540.2 320 496 320H464C419.8 320 384 284.2 384 240V167.8L369.5 174.1C357.3 179.3 343.2 173.6 337.9 161.5C332.7 149.3 338.4 135.2 350.5 129.9L398.4 109.4C403.2 101.6 409.2 94.55 416 88.45V64C416 55.16 408.8 48 400 48C391.2 48 384 55.16 384 64V72C384 85.25 373.3 96 360 96C346.7 96 336 85.25 336 72V64C336 28.65 364.7 0 400 0C435.3 0 464 28.65 464 64H464zM464 192C472.8 192 480 184.8 480 176C480 167.2 472.8 160 464 160C455.2 160 448 167.2 448 176C448 184.8 455.2 192 464 192zM528 160C519.2 160 512 167.2 512 176C512 184.8 519.2 192 528 192C536.8 192 544 184.8 544 176C544 167.2 536.8 160 528 160zM115.1 485.9L97.5 391.1C100.3 391.9 103.1 391.7 105.8 391.3C112.7 419.2 137.9 440 167.1 440C183 440 196.9 434.8 207.8 426.1L207.1 426.3V480C207.1 497.7 193.7 512 175.1 512H146.6C131.2 512 117.9 501 115.1 485.9V485.9zM303.1 480V426.3L304.2 426.1C315.1 434.8 328.1 440 344 440C374.1 440 399.3 419.2 406.2 391.3C408.9 391.7 411.7 391.9 414.5 391.1L396.9 485.9C394.1 501 380.8 512 365.4 512H336C318.3 512 303.1 497.7 303.1 480V480z"]],
    "ramp-loading": [384, 512, [], "f4d4", ["M0 48C0 21.49 21.49 0 48 0H336C362.5 0 384 21.49 384 48V440.4L320 312.4V64H64V312.4L0 440.4V48z", "M95.1 320H288L372.4 488.8C377.7 499.5 370 512 358.1 512H25.89C13.99 512 6.258 499.5 11.58 488.8L95.1 320z"]],
    "ranking-star": [640, 512, [], "e561", ["M224 288C224 270.3 238.3 256 256 256H384C401.7 256 416 270.3 416 288V480C416 497.7 401.7 512 384 512H256C238.3 512 224 497.7 224 480V288zM0 352C0 334.3 14.33 320 32 320H160C177.7 320 192 334.3 192 352V480C192 497.7 177.7 512 160 512H32C14.33 512 0 497.7 0 480V352zM608 384C625.7 384 640 398.3 640 416V480C640 497.7 625.7 512 608 512H480C462.3 512 448 497.7 448 480V416C448 398.3 462.3 384 480 384H608z", "M330.2 6.332L353.8 54.11L406.1 61.65C415.4 63.09 419.4 74.59 412.6 81.41L374.6 118.1L383.6 170.1C384.1 179.5 375.3 186.7 366.7 182.4L320.2 157.9L273.3 182.7C264.7 187 255 179.8 256.4 170.5L265.4 118.4L227.4 81.41C220.6 74.59 224.6 63.09 233.9 61.65L286.2 54.11L309.8 6.332C314.1-2.289 326.3-1.93 330.2 6.332H330.2z"]],
    "raygun": [576, 512, [], "e025", ["M320 31.97h-16c-8.75 0-16 7.128-16 16v256c0 8.752 7.25 16 16 16H320c8.75 0 15.88-6.999 16-15.75V47.72C335.9 38.97 328.8 31.97 320 31.97zM400 63.99L384 63.97c-8.75 0-16 7.126-16 16v192c0 8.752 7.25 16 16 16L400 288c8.875 0 16-7.25 16-16V79.99C416 71.12 408.9 63.99 400 63.99zM64 16.01v59.22c14.6-6.969 30.75-11.22 48-11.22l79.06-.0078L88.23 2.309C77.57-4.09 64 3.573 64 16.01z", "M569.4 119.4c-4.25-3.002-9.5-3.877-14.38-2.25L480 142.2h-64v64.01h64.13l74.75 25c4.875 1.625 10.25 .751 14.5-2.251C573.5 225.9 576 221.1 576 215.9V132.4C576 127.2 573.5 122.4 569.4 119.4zM112 64.01c-61.86 0-112 50.14-112 111.1c0 59.26 46.17 107.3 104.4 111.2l-70.48 120.8c-6.375 11-8.125 24.13-4.75 36.38c3.25 12.38 11.38 22.88 22.38 29.13l55.38 32c11.12 6.375 24.12 8.125 36.5 4.875c12.25-3.375 22.75-11.38 29.12-22.38L288 288V75.21C273.4 68.24 257.3 64.01 240 64.01L112 64.01zM112 199.1c-13.25 0-24-10.75-24-24c0-13.25 10.75-24 24-24s24 10.75 24 24C136 189.2 125.3 199.1 112 199.1zM208 199.1c-13.25 0-24-10.75-24-24c0-13.25 10.75-24 24-24s24 10.75 24 24C232 189.2 221.3 199.1 208 199.1z"]],
    "receipt": [384, 512, [129534], "f543", ["M13.97 2.196C22.49-1.72 32.5-.3214 39.62 5.778L80 40.39L120.4 5.778C129.4-1.926 142.6-1.926 151.6 5.778L192 40.39L232.4 5.778C241.4-1.926 254.6-1.926 263.6 5.778L304 40.39L344.4 5.778C351.5-.3214 361.5-1.72 370 2.196C378.5 6.113 384 14.63 384 24V488C384 497.4 378.5 505.9 370 509.8C361.5 513.7 351.5 512.3 344.4 506.2L304 471.6L263.6 506.2C254.6 513.9 241.4 513.9 232.4 506.2L192 471.6L151.6 506.2C142.6 513.9 129.4 513.9 120.4 506.2L80 471.6L39.62 506.2C32.5 512.3 22.49 513.7 13.97 509.8C5.456 505.9 0 497.4 0 488V24C0 14.63 5.456 6.112 13.97 2.196V2.196zM96 144C87.16 144 80 151.2 80 160C80 168.8 87.16 176 96 176H288C296.8 176 304 168.8 304 160C304 151.2 296.8 144 288 144H96zM96 368H288C296.8 368 304 360.8 304 352C304 343.2 296.8 336 288 336H96C87.16 336 80 343.2 80 352C80 360.8 87.16 368 96 368zM96 240C87.16 240 80 247.2 80 256C80 264.8 87.16 272 96 272H288C296.8 272 304 264.8 304 256C304 247.2 296.8 240 288 240H96z", "M80 160C80 151.2 87.16 144 96 144H288C296.8 144 304 151.2 304 160C304 168.8 296.8 176 288 176H96C87.16 176 80 168.8 80 160zM80 352C80 343.2 87.16 336 96 336H288C296.8 336 304 343.2 304 352C304 360.8 296.8 368 288 368H96C87.16 368 80 360.8 80 352zM288 240C296.8 240 304 247.2 304 256C304 264.8 296.8 272 288 272H96C87.16 272 80 264.8 80 256C80 247.2 87.16 240 96 240H288z"]],
    "record-vinyl": [512, 512, [], "f8d9", ["M256 127.1c-70.69 0-128 57.31-128 128s57.31 128 128 128s128-57.31 128-128S326.7 127.1 256 127.1zM256 288C238.3 288 224 273.7 224 256s14.33-32 32-32c17.67 0 32 14.33 32 32S273.7 288 256 288z", "M256 0c-141.4 0-256 114.6-256 256s114.6 256 256 256c141.4 0 256-114.6 256-256S397.4 0 256 0zM256 384c-70.75 0-128-57.25-128-128s57.25-128 128-128s128 57.25 128 128S326.8 384 256 384z"]],
    "rectangle": [512, 512, [9644, "rectangle-landscape"], "f2fa", ["M0 128C0 92.65 28.65 64 64 64H448C483.3 64 512 92.65 512 128V384C512 419.3 483.3 448 448 448H64C28.65 448 0 419.3 0 384V128z", ""]],
    "rectangle-ad": [576, 512, ["ad"], "f641", ["M208 237.7L229.2 280H186.8L208 237.7zM416 280C416 293.3 405.3 304 392 304C378.7 304 368 293.3 368 280C368 266.7 378.7 256 392 256C405.3 256 416 266.7 416 280zM512 32C547.3 32 576 60.65 576 96V416C576 451.3 547.3 480 512 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H512zM229.5 173.3C225.4 165.1 217.1 160 208 160C198.9 160 190.6 165.1 186.5 173.3L114.5 317.3C108.6 329.1 113.4 343.5 125.3 349.5C137.1 355.4 151.5 350.6 157.5 338.7L162.8 328H253.2L258.5 338.7C264.5 350.6 278.9 355.4 290.7 349.5C302.6 343.5 307.4 329.1 301.5 317.3L229.5 173.3zM416 212.1C408.5 209.4 400.4 208 392 208C352.2 208 320 240.2 320 280C320 319.8 352.2 352 392 352C403.1 352 413.6 349.5 423 344.1C427.4 349.3 433.4 352 440 352C453.3 352 464 341.3 464 328V184C464 170.7 453.3 160 440 160C426.7 160 416 170.7 416 184V212.1z", "M208 160C217.1 160 225.4 165.1 229.5 173.3L301.5 317.3C307.4 329.1 302.6 343.5 290.7 349.5C278.9 355.4 264.5 350.6 258.5 338.7L253.2 328H162.8L157.5 338.7C151.5 350.6 137.1 355.4 125.3 349.5C113.4 343.5 108.6 329.1 114.5 317.3L186.5 173.3C190.6 165.1 198.9 160 208 160H208zM229.2 280L208 237.7L186.8 280H229.2zM416 184C416 170.7 426.7 160 440 160C453.3 160 464 170.7 464 184V328C464 341.3 453.3 352 440 352C433.4 352 427.4 349.3 423 344.1C413.6 349.5 403.1 352 392 352C352.2 352 320 319.8 320 280C320 240.2 352.2 208 392 208C400.4 208 408.5 209.4 416 212.1V184zM392 256C378.7 256 368 266.7 368 280C368 293.3 378.7 304 392 304C405.3 304 416 293.3 416 280C416 266.7 405.3 256 392 256z"]],
    "rectangle-barcode": [576, 512, ["barcode-alt"], "f463", ["M512 32C547.3 32 576 60.65 576 96V416C576 451.3 547.3 480 512 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H512zM120 128C106.7 128 96 138.7 96 152V360C96 373.3 106.7 384 120 384C133.3 384 144 373.3 144 360V152C144 138.7 133.3 128 120 128zM176 368C176 376.8 183.2 384 192 384C200.8 384 208 376.8 208 368V144C208 135.2 200.8 128 192 128C183.2 128 176 135.2 176 144V368zM264 128C250.7 128 240 138.7 240 152V360C240 373.3 250.7 384 264 384C277.3 384 288 373.3 288 360V152C288 138.7 277.3 128 264 128zM352 360C352 373.3 362.7 384 376 384C389.3 384 400 373.3 400 360V152C400 138.7 389.3 128 376 128C362.7 128 352 138.7 352 152V360zM464 128C455.2 128 448 135.2 448 144V368C448 376.8 455.2 384 464 384C472.8 384 480 376.8 480 368V144C480 135.2 472.8 128 464 128z", "M96 152C96 138.7 106.7 128 120 128C133.3 128 144 138.7 144 152V360C144 373.3 133.3 384 120 384C106.7 384 96 373.3 96 360V152zM176 144C176 135.2 183.2 128 192 128C200.8 128 208 135.2 208 144V368C208 376.8 200.8 384 192 384C183.2 384 176 376.8 176 368V144zM288 152V360C288 373.3 277.3 384 264 384C250.7 384 240 373.3 240 360V152C240 138.7 250.7 128 264 128C277.3 128 288 138.7 288 152zM352 152C352 138.7 362.7 128 376 128C389.3 128 400 138.7 400 152V360C400 373.3 389.3 384 376 384C362.7 384 352 373.3 352 360V152zM480 144V368C480 376.8 472.8 384 464 384C455.2 384 448 376.8 448 368V144C448 135.2 455.2 128 464 128C472.8 128 480 135.2 480 144z"]],
    "rectangle-code": [512, 512, [], "e322", ["M0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM294.2 167.9C285.3 177.8 286.1 192.1 295.9 201.8L356.1 256L295.9 310.2C286.1 319 285.3 334.2 294.2 344.1C303 353.9 318.2 354.7 328.1 345.8L408.1 273.8C413.1 269.3 416 262.8 416 256C416 249.2 413.1 242.7 408.1 238.2L328.1 166.2C318.2 157.3 303 158.1 294.2 167.9V167.9zM216.1 201.8C225.9 192.1 226.7 177.8 217.8 167.9C208.1 158.1 193.8 157.3 183.9 166.2L103.9 238.2C98.89 242.7 96 249.2 96 256C96 262.8 98.89 269.3 103.9 273.8L183.9 345.8C193.8 354.7 208.1 353.9 217.8 344.1C226.7 334.2 225.9 319 216.1 310.2L155.9 256L216.1 201.8z", "M155.9 256L216.1 310.2C225.9 319 226.7 334.2 217.8 344.1C208.1 353.9 193.8 354.7 183.9 345.8L103.9 273.8C98.89 269.3 96 262.8 96 256C96 249.2 98.89 242.7 103.9 238.2L183.9 166.2C193.8 157.3 208.1 158.1 217.8 167.9C226.7 177.8 225.9 192.1 216.1 201.8L155.9 256zM295.9 201.8C286.1 192.1 285.3 177.8 294.2 167.9C303 158.1 318.2 157.3 328.1 166.2L408.1 238.2C413.1 242.7 416 249.2 416 256C416 262.8 413.1 269.3 408.1 273.8L328.1 345.8C318.2 354.7 303 353.9 294.2 344.1C285.3 334.2 286.1 319 295.9 310.2L356.1 256L295.9 201.8z"]],
    "rectangle-history": [512, 512, [], "e4a2", ["M440 128H72C58.75 128 48 117.3 48 104C48 90.75 58.75 80 72 80H440C453.3 80 464 90.75 464 104C464 117.3 453.3 128 440 128zM392 48H120C106.7 48 96 37.25 96 24C96 10.75 106.7 0 120 0H392C405.3 0 416 10.75 416 24C416 37.25 405.3 48 392 48z", "M448 160C483.3 160 512 188.7 512 224V448C512 483.3 483.3 512 448 512H64C28.65 512 0 483.3 0 448V224C0 188.7 28.65 160 64 160H448z"]],
    "rectangle-history-circle-plus": [640, 512, [], "e4a3", ["M64 512C28.65 512 0 483.3 0 448V224C0 188.7 28.65 160 64 160H448C471.8 160 492.5 172.9 503.5 192.2C501 192.1 498.5 192 496 192C398.8 192 320 270.8 320 368C320 427.5 349.5 480.1 394.8 512H64zM440 128H72C58.75 128 48 117.3 48 104C48 90.75 58.75 80 72 80H440C453.3 80 464 90.75 464 104C464 117.3 453.3 128 440 128zM392 48H120C106.7 48 96 37.25 96 24C96 10.75 106.7 0 120 0H392C405.3 0 416 10.75 416 24C416 37.25 405.3 48 392 48z", "M640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM480 303.1V351.1H432C423.2 351.1 416 359.2 416 367.1C416 376.8 423.2 383.1 432 383.1H480V431.1C480 440.8 487.2 447.1 496 447.1C504.8 447.1 512 440.8 512 431.1V383.1H560C568.8 383.1 576 376.8 576 367.1C576 359.2 568.8 351.1 560 351.1H512V303.1C512 295.2 504.8 287.1 496 287.1C487.2 287.1 480 295.2 480 303.1z"]],
    "rectangle-history-circle-user": [640, 512, [], "e4a4", ["M64 512C28.65 512 0 483.3 0 448V224C0 188.7 28.65 160 64 160H448C471.8 160 492.5 172.9 503.5 192.2C501 192.1 498.5 192 496 192C398.8 192 320 270.8 320 368C320 427.5 349.5 480.1 394.8 512H64zM440 128H72C58.75 128 48 117.3 48 104C48 90.75 58.75 80 72 80H440C453.3 80 464 90.75 464 104C464 117.3 453.3 128 440 128zM392 48H120C106.7 48 96 37.25 96 24C96 10.75 106.7 0 120 0H392C405.3 0 416 10.75 416 24C416 37.25 405.3 48 392 48z", "M352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 480C526.2 480 553.5 468.1 573.7 448.7C567.5 429.7 549.6 416 528.6 416H463.4C442.4 416 424.5 429.7 418.3 448.7C438.5 468.1 465.8 480 496 480zM496 384C522.5 384 544 362.5 544 336C544 309.5 522.5 288 496 288C469.5 288 448 309.5 448 336C448 362.5 469.5 384 496 384z"]],
    "rectangle-list": [576, 512, ["list-alt"], "f022", ["M0 96C0 60.65 28.65 32 64 32H512C547.3 32 576 60.65 576 96V416C576 451.3 547.3 480 512 480H64C28.65 480 0 451.3 0 416V96zM160 256C160 238.3 145.7 224 128 224C110.3 224 96 238.3 96 256C96 273.7 110.3 288 128 288C145.7 288 160 273.7 160 256zM160 160C160 142.3 145.7 128 128 128C110.3 128 96 142.3 96 160C96 177.7 110.3 192 128 192C145.7 192 160 177.7 160 160zM160 352C160 334.3 145.7 320 128 320C110.3 320 96 334.3 96 352C96 369.7 110.3 384 128 384C145.7 384 160 369.7 160 352zM224 136C210.7 136 200 146.7 200 160C200 173.3 210.7 184 224 184H448C461.3 184 472 173.3 472 160C472 146.7 461.3 136 448 136H224zM224 376H448C461.3 376 472 365.3 472 352C472 338.7 461.3 328 448 328H224C210.7 328 200 338.7 200 352C200 365.3 210.7 376 224 376zM224 232C210.7 232 200 242.7 200 256C200 269.3 210.7 280 224 280H448C461.3 280 472 269.3 472 256C472 242.7 461.3 232 448 232H224z", "M200 160C200 146.7 210.7 136 224 136H448C461.3 136 472 146.7 472 160C472 173.3 461.3 184 448 184H224C210.7 184 200 173.3 200 160zM200 352C200 338.7 210.7 328 224 328H448C461.3 328 472 338.7 472 352C472 365.3 461.3 376 448 376H224C210.7 376 200 365.3 200 352zM448 232C461.3 232 472 242.7 472 256C472 269.3 461.3 280 448 280H224C210.7 280 200 269.3 200 256C200 242.7 210.7 232 224 232H448z"]],
    "rectangle-pro": [640, 512, ["pro"], "e235", ["M160 240H128V208H160C168.8 208 176 215.2 176 224C176 232.8 168.8 240 160 240zM288 208H320C328.8 208 336 215.2 336 224C336 232.8 328.8 240 320 240H288V208zM448 248C448 225.9 465.9 208 488 208C510.1 208 528 225.9 528 248V264C528 286.1 510.1 304 488 304C465.9 304 448 286.1 448 264V248zM576 32C611.3 32 640 60.65 640 96V416C640 451.3 611.3 480 576 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H576zM104 160C90.75 160 80 170.7 80 184V328C80 341.3 90.75 352 104 352C117.3 352 128 341.3 128 328V288H160C195.3 288 224 259.3 224 224C224 188.7 195.3 160 160 160H104zM240 328C240 341.3 250.7 352 264 352C277.3 352 288 341.3 288 328V288H306.7L339.6 340.7C346.7 351.1 361.5 355.4 372.7 348.4C383.1 341.3 387.4 326.5 380.4 315.3L356.3 276.7C373 265.2 384 245.9 384 224C384 188.7 355.3 160 320 160H264C250.7 160 240 170.7 240 184V328zM488 160C439.4 160 400 199.4 400 248V264C400 312.6 439.4 352 488 352C536.6 352 576 312.6 576 264V248C576 199.4 536.6 160 488 160z", "M80 184C80 170.7 90.75 160 104 160H160C195.3 160 224 188.7 224 224C224 259.3 195.3 288 160 288H128V328C128 341.3 117.3 352 104 352C90.75 352 80 341.3 80 328V184zM128 240H160C168.8 240 176 232.8 176 224C176 215.2 168.8 208 160 208H128V240zM240 184C240 170.7 250.7 160 264 160H320C355.3 160 384 188.7 384 224C384 245.9 373 265.2 356.3 276.7L380.4 315.3C387.4 326.5 383.1 341.3 372.7 348.4C361.5 355.4 346.7 351.1 339.6 340.7L306.7 288H288V328C288 341.3 277.3 352 264 352C250.7 352 240 341.3 240 328V184zM288 240H320C328.8 240 336 232.8 336 224C336 215.2 328.8 208 320 208H288V240zM576 248V264C576 312.6 536.6 352 488 352C439.4 352 400 312.6 400 264V248C400 199.4 439.4 160 488 160C536.6 160 576 199.4 576 248zM448 264C448 286.1 465.9 304 488 304C510.1 304 528 286.1 528 264V248C528 225.9 510.1 208 488 208C465.9 208 448 225.9 448 248V264z"]],
    "rectangle-terminal": [512, 512, [], "e236", ["M0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM102.3 151.8C93.35 161.6 94.01 176.7 103.8 185.7L180.5 256L103.8 326.3C94.01 335.3 93.35 350.4 102.3 360.2C111.3 369.1 126.4 370.6 136.2 361.7L232.2 273.7C237.2 269.1 240 262.7 240 255.1C240 249.3 237.2 242.9 232.2 238.3L136.2 150.3C126.4 141.4 111.3 142 102.3 151.8V151.8zM248 336C234.7 336 224 346.7 224 360C224 373.3 234.7 384 248 384H392C405.3 384 416 373.3 416 360C416 346.7 405.3 336 392 336H248z", "M103.8 185.7C94.01 176.7 93.35 161.6 102.3 151.8C111.3 142 126.4 141.4 136.2 150.3L232.2 238.3C237.2 242.9 240 249.3 240 256C240 262.7 237.2 269.1 232.2 273.7L136.2 361.7C126.4 370.6 111.3 369.1 102.3 360.2C93.35 350.4 94.01 335.3 103.8 326.3L180.5 256L103.8 185.7zM392 336C405.3 336 416 346.7 416 360C416 373.3 405.3 384 392 384H248C234.7 384 224 373.3 224 360C224 346.7 234.7 336 248 336H392z"]],
    "rectangle-vertical": [384, 512, ["rectangle-portrait"], "f2fb", ["M320 0C355.3 0 384 28.65 384 64V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H320z", ""]],
    "rectangle-vertical-history": [576, 512, [], "e237", ["M144 72V440C144 453.3 133.3 464 120 464C106.7 464 96 453.3 96 440V72C96 58.75 106.7 48 120 48C133.3 48 144 58.75 144 72zM48 120V392C48 405.3 37.25 416 24 416C10.75 416 0 405.3 0 392V120C0 106.7 10.75 96 24 96C37.25 96 48 106.7 48 120z", "M192 64C192 28.65 220.7 0 256 0H512C547.3 0 576 28.65 576 64V448C576 483.3 547.3 512 512 512H256C220.7 512 192 483.3 192 448V64z"]],
    "rectangle-wide": [640, 512, [], "f2fc", ["M0 128C0 92.65 28.65 64 64 64H576C611.3 64 640 92.65 640 128V384C640 419.3 611.3 448 576 448H64C28.65 448 0 419.3 0 384V128z", ""]],
    "rectangle-xmark": [512, 512, [62164, "rectangle-times", "times-rectangle", "window-close"], "f410", ["M448 32C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448zM175 208.1L222.1 255.1L175 303C165.7 312.4 165.7 327.6 175 336.1C184.4 346.3 199.6 346.3 208.1 336.1L255.1 289.9L303 336.1C312.4 346.3 327.6 346.3 336.1 336.1C346.3 327.6 346.3 312.4 336.1 303L289.9 255.1L336.1 208.1C346.3 199.6 346.3 184.4 336.1 175C327.6 165.7 312.4 165.7 303 175L255.1 222.1L208.1 175C199.6 165.7 184.4 165.7 175 175C165.7 184.4 165.7 199.6 175 208.1V208.1z", "M256 222.1L303 175C312.4 165.7 327.6 165.7 336.1 175C346.3 184.4 346.3 199.6 336.1 208.1L289.9 255.1L336.1 303C346.3 312.4 346.3 327.6 336.1 336.1C327.6 346.3 312.4 346.3 303 336.1L256 289.9L208.1 336.1C199.6 346.3 184.4 346.3 175 336.1C165.7 327.6 165.7 312.4 175 303L222.1 255.1L175 208.1C165.7 199.6 165.7 184.4 175 175C184.4 165.7 199.6 165.7 208.1 175L256 222.1z"]],
    "rectangles-mixed": [576, 512, [], "e323", ["M528 32C554.5 32 576 53.49 576 80V336C576 362.5 554.5 384 528 384H432C405.5 384 384 362.5 384 336V80C384 53.49 405.5 32 432 32H528zM288 304C314.5 304 336 325.5 336 352V432C336 458.5 314.5 480 288 480H112C85.49 480 64 458.5 64 432V352C64 325.5 85.49 304 112 304H288z", "M0 80C0 53.49 21.49 32 48 32H272C298.5 32 320 53.49 320 80V208C320 234.5 298.5 256 272 256H48C21.49 256 0 234.5 0 208V80z"]],
    "recycle": [512, 512, [9850, 9851, 9842], "f1b8", ["M378.6 111.1L337.4 45.14c-37.58-60.15-125.2-60.18-162.8-.0617L167.2 56.9c-9.322 14.9-4.789 34.65 10.09 43.99c14.97 9.395 34.74 4.942 44.11-10.04l7.442-11.89c12.75-20.38 41.1-19.63 54.25 0l41.25 66.14L378.6 111.1zM128 384H96c-25.14 0-40.47-27.66-27.15-48.98l50.9-81.43L65.51 219.8L14.68 301.3c-39.86 63.94 6.117 146.8 81.47 146.8h31.88c17.68 0 31.98-14.38 31.98-32.05C160 398.3 145.7 384 128 384zM497.3 301.3l-16.99-27.26c-9.336-14.99-29.06-19.56-44.04-10.21c-14.94 9.319-19.52 29.15-10.18 44.08l16.99 27.15c13.35 21.33-1.982 49-27.14 49h-95.99v64.02h95.86C491.2 448.1 537.2 365.2 497.3 301.3z", "M159.2 151.6C157.2 142.9 148.5 137.7 139.9 139.6L48.48 160.7C27.66 165.5 23.04 193.1 41.15 204.5l102.9 64.36c18.12 11.35 40.92-4.889 36.12-25.73L159.2 151.6zM402.1 95.89l-102.9 64.29c-18.16 11.31-13.56 38.94 7.278 43.77l91.4 21.15c8.622 1.995 17.23-3.383 19.21-12.01l21.04-91.43C443.8 100.8 421.1 84.6 402.1 95.89zM279.1 338.3l-66.41 66.43c-6.124 6.127-6.12 16.37 .0044 22.63l66.42 66.34c15.12 15.1 40.95 4.395 40.95-16.98v-121.4C320 333.9 294.2 323.2 279.1 338.3z"]],
    "reel": [448, 512, [], "e238", ["M384 144H64v32h320V144zM64 448h320v-48H64V448zM432 208H64v32h368C440.8 240 448 232.8 448 224C448 215.2 440.8 208 432 208zM384 64H64v48h320V64zM64 304h320v-32H64V304zM64 368h320v-32H64V368z", "M32 64h384c17.67 0 32-14.33 32-32c0-17.67-14.33-32-32-32H32C14.33 0 0 14.33 0 32C0 49.67 14.33 64 32 64zM416 448H32c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32h384c17.67 0 32-14.33 32-32C448 462.3 433.7 448 416 448z"]],
    "refrigerator": [384, 512, [], "e026", ["M0 192h288V160H0V192zM320 160v32h64V160H320z", "M320 368c0 8.801-7.199 16-16 16S288 376.8 288 368V192H0v288c0 17.67 14.33 32 32 32h320c17.67 0 32-14.33 32-32V192h-64V368zM320 0H64C28.65 0 0 28.65 0 64v96h288V79.1C288 71.2 295.2 64 304 64S320 71.2 320 79.1V160h64V64C384 28.65 355.3 0 320 0z"]],
    "registered": [512, 512, [174], "f25d", ["M272 176h-64v64h64c17.66 0 32-14.34 32-32S289.7 176 272 176zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM349.8 349.8c5.594 12.03 .4375 26.31-11.56 31.94c-3.312 1.531-6.75 2.25-10.19 2.25c-9 0-17.66-5.125-21.75-13.81l-38.46-82.19H208v72c0 13.25-10.75 24-24 24s-24-10.75-24-24V152c0-13.25 10.75-24 24-24l88 .0044c44.13 0 80 35.88 80 80c0 28.32-14.87 53.09-37.12 67.31L349.8 349.8z", "M272 176h-64v64h64c17.66 0 32-14.34 32-32S289.7 176 272 176zM349.8 349.8c5.594 12.03 .4375 26.31-11.56 31.94c-3.312 1.531-6.75 2.25-10.19 2.25c-9 0-17.66-5.125-21.75-13.81l-38.46-82.19H208v72c0 13.25-10.75 24-24 24s-24-10.75-24-24V152c0-13.25 10.75-24 24-24l88 .0044c44.13 0 80 35.88 80 80c0 28.32-14.87 53.09-37.12 67.31L349.8 349.8z"]],
    "repeat": [512, 512, [128257], "f363", ["M512 288c0 88.22-71.78 160-160 160H192l.0073 40c0 9.469-5.585 18.06-14.24 21.94C174.6 511.3 171.3 512 168 512c-5.812 0-11.57-2.125-16.07-6.156l-80-72C66.89 429.3 64 422.8 64 416s2.891-13.28 7.938-17.84l80-72C159 319.8 169.1 318.3 177.8 322.1C186.4 325.9 192 334.5 192 344L192 384H352c52.94 0 96-43.06 96-96c0-17.69 14.33-32 32-32S512 270.3 512 288z", "M448 95.1c0 6.812-2.891 13.28-7.938 17.85l-80 72C355.6 189.9 349.8 192 343.1 192c-3.312 0-6.618-.6875-9.759-2.062C325.6 186.1 320 177.5 320 168L319.1 128H160C107.1 128 64 171.1 64 224c0 17.69-14.33 32-32 32S0 241.7 0 224c0-88.22 71.78-160 160-160h160l-.0049-40c0-9.469 5.583-18.06 14.24-21.94c8.641-3.781 18.78-2.219 25.83 4.094l80 72C445.1 82.72 448 89.19 448 95.1z"]],
    "repeat-1": [512, 512, [128258], "f365", ["M480 256c-17.67 0-32 14.31-32 32c0 52.94-43.06 96-96 96H192L192 344c0-9.469-5.578-18.06-14.23-21.94c-8.641-3.781-18.75-2.219-25.83 4.094l-80 72C66.89 402.7 64 409.2 64 416s2.891 13.28 7.938 17.84l80 72C156.4 509.9 162.2 512 168 512c3.312 0 6.615-.6875 9.756-2.062C186.4 506.1 192 497.5 192 488L192 448h160c88.22 0 160-71.78 160-160C512 270.3 497.7 256 480 256zM160 128h159.1L320 168c0 9.469 5.578 18.06 14.23 21.94c12.41 5.431 22.38-1.007 25.83-4.094l80-72C445.1 109.3 448 102.8 448 95.1s-2.891-13.28-7.938-17.84l-80-72C353-.1562 342.9-1.719 334.2 2.062C325.6 5.938 319.1 14.53 319.1 24L320 64H160C71.78 64 0 135.8 0 224c0 17.69 14.33 32 32 32s32-14.31 32-32C64 171.1 107.1 128 160 128z", "M264 320C277.3 320 288 309.3 288 296v-80c0-7.719-3.703-14.97-9.969-19.47C271.8 192 263.7 190.8 256.4 193.2l-24 8C219.8 205.4 213 219 217.2 231.6C220.6 241.7 229.1 248 240 248v48C240 309.3 250.8 320 264 320z"]],
    "reply": [512, 512, [61714, "mail-reply"], "f3e5", ["M223.1 136.1C384.6 137.9 512 170.1 512 322.3c0 61.44-39.59 122.3-83.34 154.1c-13.66 9.938-33.09-2.531-28.06-18.62c45.34-145-21.5-183.5-176.6-185.8V136.1z", "M8.31 189.9l176-151.1c15.41-13.3 39.69-2.509 39.69 18.16v303.1c0 20.7-24.31 31.45-39.69 18.16l-176-151.1C-2.753 216.6-2.784 199.4 8.31 189.9z"]],
    "reply-all": [576, 512, ["mail-reply-all"], "f122", ["M8.31 226.2l176 151.1c15.38 13.3 39.69 2.545 39.69-18.16v-15.83L66.33 208l157.7-136.2V56.02c0-20.67-24.28-31.46-39.69-18.16l-176 151.1C-2.77 199.4-2.77 216.6 8.31 226.2z", "M136.3 226.2l176 151.1c15.38 13.3 39.69 2.545 39.69-18.16V275.1c108.5 12.58 151.1 58.79 112.6 181.9c-5.031 16.09 14.41 28.56 28.06 18.62c43.75-31.81 83.34-92.69 83.34-154.1c0-131.3-94.86-173.2-224-183.5V56.02c0-20.67-24.28-31.46-39.69-18.16L136.3 189.9C125.2 199.4 125.2 216.6 136.3 226.2z"]],
    "reply-clock": [640, 512, ["reply-time"], "e239", ["M496 320c-86.73 0-158.6-62.8-173.2-145.4C292 170.4 258.9 168.5 223.1 168.1V88.02c0-20.67-24.28-31.47-39.69-18.17l-176 152c-11.09 9.562-11.06 26.75 0 36.31l176 152c15.38 13.3 39.69 2.547 39.69-18.16V304.1c155.1 2.234 221.9 40.73 176.6 185.8c-5.031 16.09 14.41 28.56 28.06 18.62C472.4 476.6 512 415.8 512 354.3c0-12.56-1.17-24.02-2.852-34.99C504.8 319.7 500.4 320 496 320z", "M496 0C416.4 0 352 64.38 352 144S416.4 288 496 288S640 223.6 640 144S575.6 0 496 0zM544 160h-54.25C484.4 160 480 155.6 480 150.3V80C480 71.16 487.2 64 496 64C504.8 64 512 71.16 512 80V128h32c8.838 0 16 7.164 16 16S552.8 160 544 160z"]],
    "republican": [640, 512, [], "f75e", ["M624 319.1L592 319.1c-8.799 0-15.1 7.199-15.1 15.1v63.99c0 8.748-7.25 15.1-15.1 15.1c-8.75 0-15.1-7.25-15.1-15.1l-.0313-111.1L.025 287.1v159.1c0 17.6 14.4 31.1 31.1 31.1L95.98 479.1c17.6 0 32.04-14.4 32.04-32v-63.98l191.1-.0169v63.99c0 17.6 14.36 32 31.96 32l64.04 .013c17.6 0 31.1-14.4 31.1-31.1l-.0417-96.01l32.04 .0006v43.25c0 41.79 29.91 80.03 71.48 84.35C599.3 484.5 640 446.9 640 399.1v-63.98C640 327.2 632.8 319.1 624 319.1z", "M384 32.01L159.1 32C71.62 32 0 103.6 0 191.1l.025 95.99l543.9-.0049l.0313-95.98C544 103.6 472.4 32.01 384 32.01zM176.3 170.4l-19.75 19.37l4.75 27.25c.7498 4.875-4.375 8.625-8.75 6.25l-24.5-12.87L103.5 223.2C99.27 225.6 94.02 221.9 94.77 216.1l4.75-27.25l-19.75-19.37C76.15 166.9 78.15 160.9 83.02 160.2L110.4 156.2l12.25-24.87c2.125-4.5 8.625-4.375 10.62 0L145.5 156.2L172.9 160.2C177.9 160.9 179.8 166.9 176.3 170.4zM320.3 170.4l-19.75 19.37l4.75 27.25c.7498 4.875-4.375 8.625-8.75 6.25L272 210.4l-24.5 12.87C243.3 225.6 238 221.9 238.8 216.1L243.5 189.7l-19.75-19.37c-3.625-3.5-1.625-9.498 3.25-10.12L254.4 156.2l12.25-24.87c2.125-4.5 8.625-4.375 10.62 0L289.5 156.2l27.37 4C321.9 160.9 323.8 166.9 320.3 170.4zM464.3 170.4l-19.75 19.37l4.75 27.25c.7498 4.875-4.375 8.625-8.75 6.25l-24.5-12.87l-24.5 12.87c-4.25 2.375-9.5-1.375-8.75-6.25l4.75-27.25l-19.75-19.37c-3.625-3.5-1.625-9.498 3.25-10.12l27.37-4l12.25-24.87c2.125-4.5 8.625-4.375 10.62 0l12.25 24.87l27.37 4C465.9 160.9 467.8 166.9 464.3 170.4z"]],
    "restroom": [640, 512, [], "f7bd", ["M319.1 0C306.8 0 296 10.8 296 24v464c0 13.2 10.8 24 23.1 24s24-10.8 24-24V24C344 10.8 333.2 0 319.1 0zM128 0C101.5 0 80 21.5 80 48S101.5 96 128 96s47.1-21.5 47.1-48S154.5 0 128 0zM511.1 0c-26.5 0-47.1 21.5-47.1 48S485.5 96 511.1 96s48-21.5 48-48S538.5 0 511.1 0z", "M213.7 171.8C204.9 145.6 180.5 128 152.9 128H103.1C75.47 128 51.06 145.6 42.37 171.8L1.653 293.9c-5.594 16.77 3.469 34.89 20.22 40.48c12.68 4.211 25.93 .1426 34.13-9.18V480c0 17.67 14.33 32 32 32s31.1-14.33 31.1-32l-.0003-144h16l.0003 144c0 17.67 14.33 32 32 32s31.1-14.33 31.1-32l-.0003-155.2c6.041 6.971 14.7 11.25 24 11.25c3.344 0 6.75-.5313 10.13-1.656c16.75-5.594 25.81-23.72 20.22-40.48L213.7 171.8zM638.3 293.9l-40.69-122.1C588.9 145.6 564.5 128 536.9 128h-49.88c-27.59 0-52 17.59-60.69 43.75l-40.72 122.1c-5.594 16.77 3.469 34.89 20.22 40.48c3.422 1.137 6.856 1.273 10.25 1.264L399.1 384h40v96c0 17.67 14.32 32 31.1 32s32-14.33 32-32v-96h16v96c0 17.67 14.32 32 31.1 32s32-14.33 32-32v-96h39.1l-15.99-47.98c3.342 0 6.747-.5313 10.12-1.656C634.9 328.8 643.9 310.6 638.3 293.9z"]],
    "restroom-simple": [576, 512, [], "e23a", ["M256 0C242.8 0 232 10.8 232 24v464C232 501.2 242.8 512 256 512s24-10.8 24-24V24C280 10.8 269.2 0 256 0zM448 0c-35.38 0-64 28.62-64 64s28.62 64 64 64s64-28.62 64-64S483.4 0 448 0zM96 0C60.63 0 32 28.62 32 64s28.62 64 64 64s64-28.62 64-64S131.4 0 96 0z", "M575.4 363.6L527.1 194.8C521.3 174.2 502.4 160 480.1 160h-65.99c-21.43 0-40.27 14.21-46.15 34.81l-48.23 168.8C317.7 373.8 325.4 384 336 384H384v96c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-96h47.99C570.6 384 578.3 373.8 575.4 363.6zM128 160H64C28.65 160 0 188.7 0 224v96c0 17.67 14.33 32 32 32v128c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-128c17.67 0 32-14.33 32-32V224C192 188.7 163.3 160 128 160z"]],
    "retweet": [640, 512, [], "f079", ["M608.1 360.1l-80 80.02C524.3 445.7 518.1 448 512 448s-12.28-2.344-16.97-7.031l-80-80.02c-6.859-6.875-8.922-17.19-5.203-26.16S422.3 319.1 432 319.1H480V176C480 167.2 472.8 160 464 160h-128c-17.67 0-32-14.31-32-32s14.33-32 32-32h128C508.1 96 544 131.9 544 176v143.1h48c9.703 0 18.45 5.844 22.17 14.82S615.8 354.1 608.1 360.1z", "M304 352h-128C167.2 352 160 344.8 160 336V192h48c9.703 0 18.45-5.844 22.17-14.82s1.656-19.29-5.203-26.16l-80-80.02C140.3 66.34 134.1 64 128 64S115.7 66.34 111 71.03l-80 80.02C24.17 157.9 22.11 168.2 25.83 177.2S38.3 192 48 192H96V336C96 380.1 131.9 416 176 416h128c17.67 0 32-14.31 32-32S321.7 352 304 352z"]],
    "rhombus": [448, 512, [], "e23b", ["M438.4 230.1C451.2 245 451.2 266.1 438.4 281.9L254.4 497.9C246.8 506.9 235.7 512 224 512C212.3 512 201.2 506.9 193.6 497.9L9.55 281.9C-3.183 266.1-3.183 245 9.55 230.1L193.6 14.06C201.2 5.14 212.3 0 224 0C235.7 0 246.9 5.14 254.4 14.06L438.4 230.1z", ""]],
    "ribbon": [448, 512, [127895], "f4d6", ["M225 379.3l-114.3 124.8c-8 8.75-21.5 10.5-31.38 3.75l-68.76-27.87c-12-8.123-14.13-24.87-4.5-35.75l139.8-152.8L225 379.3z", "M441.8 444.3c0 0-292-324.5-295.4-329.1c15.38-8.5 40.25-17.1 77.51-17.1s62.13 9.5 77.51 17.1c-3.25 5.5-56.01 64.5-56.01 64.5l79.13 87.75l34.13-37.1c28.75-31.87 33.38-78.62 11.5-115.5L326.5 39.52c-4.25-7.25-9.876-13.25-16.75-17.1c-40.75-27.62-127.5-29.75-171.5 0C131.3 26.27 125.7 32.27 121.4 39.52L77.81 112.8C76.31 115.3 40.68 174.9 89.31 228.8l248.1 275.2c8.001 8.875 21.38 10.5 31.25 3.75l68.88-27.87C449.5 471.9 451.6 455.1 441.8 444.3z"]],
    "right": [448, 512, [11157, "arrow-alt-right"], "f356", ["M224 320H32c-17.67 0-32-14.33-32-32V224c0-17.67 14.33-32 32-32h192V320z", "M448 256c0 8.188-3.125 16.38-9.375 22.62l-160 160c-9.156 9.156-22.91 11.89-34.88 6.938C231.8 440.6 224 428.9 224 416V96c0-12.94 7.797-24.61 19.75-29.56c11.97-4.953 25.72-2.219 34.88 6.938l160 160C444.9 239.6 448 247.8 448 256z"]],
    "right-from-bracket": [512, 512, ["sign-out-alt"], "f2f5", ["M96 480h64C177.7 480 192 465.7 192 448S177.7 416 160 416H96c-17.67 0-32-14.33-32-32V128c0-17.67 14.33-32 32-32h64C177.7 96 192 81.67 192 64S177.7 32 160 32H96C42.98 32 0 74.98 0 128v256C0 437 42.98 480 96 480z", "M504.8 273.5l-144.1 136c-6.975 6.578-17.2 8.375-26 4.594c-8.803-3.797-14.51-12.47-14.51-22.05l-.0918-71.1l-128-.001c-17.69 0-32.02-14.33-32.02-32v-64c0-17.67 14.34-32 32.02-32l128 .001l.0918-72c0-9.578 5.707-18.25 14.51-22.05c8.803-3.781 19.03-1.984 26 4.594l144.1 136C514.4 247.6 514.4 264.4 504.8 273.5z"]],
    "right-from-line": [448, 512, ["arrow-alt-from-left"], "f347", ["M32 64C14.33 64 0 78.33 0 95.1V416C0 433.7 14.33 448 31.1 448S64 433.7 64 416V95.1C64 78.33 49.67 64 32 64z", "M440.8 273.5l-144.1 136c-6.975 6.578-17.2 8.375-26 4.594C261.9 410.3 256.2 401.6 256.2 392V320H128.1c-17.69 0-32.04-14.33-32.04-32V224c0-17.67 14.35-32 32.04-32h128.1V120c0-9.578 5.708-18.25 14.51-22.05c8.805-3.781 19.03-1.984 26 4.594l144.1 136C450.4 247.6 450.4 264.4 440.8 273.5z"]],
    "right-left": [512, 512, ["exchange-alt"], "f362", ["M512 383.1C512 401.7 497.7 416 480 416H160.1L160 488c0 9.547-5.652 18.19-14.41 22c-8.754 3.812-18.93 2.078-25.93-4.406l-112-104c-10.24-9.5-10.24-25.69 0-35.19l112-104c6.992-6.484 17.17-8.219 25.93-4.406c8.758 3.812 14.41 12.45 14.41 22L160.1 352H480C497.7 352 512 366.3 512 383.1z", "M504.3 110.4l-112-104c-6.992-6.484-17.17-8.217-25.93-4.408c-8.758 3.816-14.41 12.46-14.41 22L351.9 96H32C14.31 96 0 110.3 0 127.1S14.31 160 32 160h319.9l.0791 72c0 9.547 5.652 18.19 14.41 22c8.754 3.812 18.93 2.078 25.93-4.406l112-104C514.6 136.1 514.6 119.9 504.3 110.4z"]],
    "right-long": [512, 512, ["long-arrow-alt-right"], "f30b", ["M351.9 288H32C14.33 288 .0002 273.7 .0002 255.1S14.33 224 32 224h319.9V288z", "M392.3 134.4c-6.992-6.484-17.18-8.218-25.94-4.41c-8.758 3.816-14.42 12.46-14.42 22v208c0 9.547 5.66 18.19 14.42 21.1c8.754 3.812 18.95 2.079 25.94-4.406l112.1-104c10.24-9.5 10.24-25.69 0-35.19L392.3 134.4z"]],
    "right-long-to-line": [640, 512, [], "e444", ["", "M366.3 382C357.6 378.2 351.9 369.5 351.9 360V304H32C14.33 304 0 289.7 0 272V240C0 222.3 14.33 208 32 208H351.9V151.1C351.9 142.5 357.6 133.8 366.3 129.1C375.1 126.2 385.3 127.9 392.2 134.4L504.3 238.4C514.6 247.9 514.6 264.1 504.3 273.6L392.2 377.6C385.3 384.1 375.1 385.8 366.3 382V382zM608 64C625.7 64 640 78.33 640 96V416C640 433.7 625.7 448 608 448C590.3 448 576 433.7 576 416V96C576 78.33 590.3 64 608 64z"]],
    "right-to-bracket": [512, 512, ["sign-in-alt"], "f2f6", ["M416 32h-64c-17.67 0-32 14.33-32 32s14.33 32 32 32h64c17.67 0 32 14.33 32 32v256c0 17.67-14.33 32-32 32h-64c-17.67 0-32 14.33-32 32s14.33 32 32 32h64c53.02 0 96-42.98 96-96V128C512 74.98 469 32 416 32z", "M344.7 273.5l-144.1 136c-6.975 6.578-17.2 8.375-26 4.594C165.8 410.3 160.1 401.6 160.1 392V320H32.02C14.33 320 0 305.7 0 288V224c0-17.67 14.33-32 32.02-32h128.1V120c0-9.578 5.707-18.25 14.51-22.05c8.803-3.781 19.03-1.984 26 4.594l144.1 136C354.3 247.6 354.3 264.4 344.7 273.5z"]],
    "right-to-line": [448, 512, ["arrow-alt-to-right"], "f34c", ["M415.1 63.99C398.3 63.99 384 78.32 384 95.99v320C384 433.7 398.3 448 415.1 448C433.7 448 448 433.7 448 416V95.99C448 78.32 433.7 63.99 415.1 63.99z", "M.0228 287.1V223.1c0-17.67 14.34-32 32.02-32L160.1 191.1l.0343-72c0-9.58 5.708-18.25 14.51-22.05c8.803-3.781 19.03-1.984 26 4.594l144.1 136c9.602 9.062 9.602 25.84 0 34.91l-144.1 136c-6.973 6.578-17.2 8.375-26 4.594C165.8 410.3 160.1 401.6 160.1 392L160.1 319.1L32.05 319.1C14.36 319.1 .0228 305.7 .0228 287.1z"]],
    "ring": [512, 512, [], "f70b", ["M64 208C64 163.8 149.1 128 256 128c105.1 0 192 35.82 192 80c0 21.81-20.95 41.57-54.9 56C358.3 249.2 309.7 240 256 240S153.8 249.2 118.9 264C85 249.6 64 229.8 64 208z", "M256 64C110.1 64 0 125.9 0 208v98.13C0 384.5 114.6 448 256 448c141.4 0 256-63.52 256-141.9V208C512 125.9 401.9 64 256 64zM256 288C149.1 288 64 252.2 64 208S149.1 128 256 128c105.1 0 192 35.82 192 80S361.1 288 256 288z"]],
    "ring-diamond": [384, 512, [], "e5ab", ["M122.5 13.27C126.6 5.136 134.9 0 144 0H240C249.1 0 257.4 5.136 261.5 13.27L285.5 61.27C289 68.35 288.8 76.73 284.1 83.66L254.6 138.4C234.9 131.7 213.9 128 192 128C170.1 128 149.1 131.7 129.4 138.4L99.02 83.66C95.17 76.73 94.99 68.35 98.53 61.27L122.5 13.27z", "M0 320C0 213.1 85.96 128 192 128C298 128 384 213.1 384 320C384 426 298 512 192 512C85.96 512 0 426 0 320zM192 192C121.3 192 64 249.3 64 320C64 390.7 121.3 448 192 448C262.7 448 320 390.7 320 320C320 249.3 262.7 192 192 192z"]],
    "rings-wedding": [512, 512, [], "f81b", ["M221 101.9l34.96-69.92L223.1 0h-95.1l-32 31.1l34.96 69.92C160.5 94.13 191.5 94.13 221 101.9zM473.1 225.6c-30.34-37.69-74.86-61.23-123.1-65.07c14.14 21.95 23.1 46.38 29.06 71.1c57.04 23.78 83.99 89.29 60.21 146.3c-23.78 57.03-89.29 83.99-146.3 60.21s-83.99-89.29-60.21-146.3c9.828-23.57 27.43-43.07 49.87-55.26c-1-3.1-2.133-6.147-3.398-9.139c-.3906-.9004-.8613-2-1.271-2.891c-.0469-.1172-.0996-.2305-.1582-.3399c-.4102-.9004-.8418-1.791-1.271-2.68c-.959-1.941-2.068-4.031-3.148-5.91c-.5-.8692-1-1.791-1.521-2.641c-.1094-.1797-.2187-.3594-.3398-.5391c-.4297-.7109-.8691-1.41-1.33-2.109c-.1289-.2109-.2695-.4219-.4102-.6309c-.459-.6992-.9199-1.391-1.398-2.07l-.3516-.5605c-1.199-1.719-2.445-3.385-3.738-4.998l-2.621-3.201c-.4492-.5293-2.09-2.41-2.09-2.41c-.4902-.5293-1-1.059-1.469-1.59l-.6602-.7187c-.7109-.75-1.441-1.5-2.17-2.24c-2.887-2.871-5.924-5.584-9.1-8.131c-68.42 40.7-101 122.2-79.62 198.9C170.6 397.1 176.4 411.8 184 424.7c.7402 1.273 1.492 2.529 2.26 3.77c.7598 1.24 1.539 2.491 2.34 3.71c-.002 .0195-.002-.0195 0 0c.7871 1.213 1.594 2.444 2.42 3.63c.8184 1.193 1.707 2.443 2.561 3.609c.8496 1.182 1.729 2.352 2.609 3.5c.8867 1.168 1.838 2.385 2.765 3.526c60.95 75.71 171.7 87.61 247.4 26.66C522.1 412.1 534 301.3 473.1 225.6z", "M198.1 446.4c-96.37 12.69-184.7-55.07-197.4-151.4s55.14-184.8 151.5-197.5s184.8 55.14 197.5 151.5c7.619 57.84-13.92 115.6-57.5 154.3c-4.899-3.138-9.447-6.659-13.56-10.77c-11.8-11.74-19.61-26.9-22.32-43.33c42.66-44.79 40.92-115.7-3.869-158.3S137.6 149.1 94.91 194.8s-40.92 115.7 3.869 158.3c18.46 17.58 42.35 28.32 67.75 30.48C172.1 406.6 183.1 427.9 198.1 446.4z"]],
    "road": [576, 512, [128739], "f018", ["M320 32V96C320 113.7 305.7 128 288 128C270.3 128 256 113.7 256 96V32H320zM288 192C305.7 192 320 206.3 320 224V288C320 305.7 305.7 320 288 320C270.3 320 256 305.7 256 288V224C256 206.3 270.3 192 288 192zM288 384C305.7 384 320 398.3 320 416V480H256V416C256 398.3 270.3 384 288 384z", "M256 96C256 113.7 270.3 128 288 128C305.7 128 320 113.7 320 96V32H394.8C421.9 32 446 49.08 455.1 74.63L572.9 407.2C574.9 413 576 419.2 576 425.4C576 455.5 551.5 480 521.4 480H320V416C320 398.3 305.7 384 288 384C270.3 384 256 398.3 256 416V480H54.61C24.45 480 0 455.5 0 425.4C0 419.2 1.06 413 3.133 407.2L120.9 74.63C129.1 49.08 154.1 32 181.2 32H255.1L256 96zM320 224C320 206.3 305.7 192 288 192C270.3 192 256 206.3 256 224V288C256 305.7 270.3 320 288 320C305.7 320 320 305.7 320 288V224z"]],
    "road-barrier": [640, 512, [], "e562", ["M309.2 288H234.8L330.8 96H405.2L309.2 288zM458.8 96H533.2L437.2 288H362.8L458.8 96zM202.8 96H277.2L181.2 288H106.8L202.8 96zM576 117.7V288H490.8L576 117.7zM64 96H149.2L64 266.3V96z", "M64 448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64V448zM640 448C640 465.7 625.7 480 608 480C590.3 480 576 465.7 576 448V64C576 46.33 590.3 32 608 32C625.7 32 640 46.33 640 64V448z"]],
    "road-bridge": [640, 512, [], "e563", ["M288 160H248V224H288V320C234.1 320 192 362.1 192 416V480C192 497.7 177.7 512 160 512H128C110.3 512 96 497.7 96 480V416C96 362.1 53.02 320 0 320V224H72V160H32C14.33 160 0 145.7 0 128C0 110.3 14.33 96 32 96H288V160zM120 224H200V160H120V224z", "M640 32V480C640 497.7 625.7 512 608 512H352C334.3 512 320 497.7 320 480V32C320 14.33 334.3 0 352 0H608C625.7 0 640 14.33 640 32zM504 224C504 210.7 493.3 200 480 200C466.7 200 456 210.7 456 224V288C456 301.3 466.7 312 480 312C493.3 312 504 301.3 504 288V224zM456 384V448C456 461.3 466.7 472 480 472C493.3 472 504 461.3 504 448V384C504 370.7 493.3 360 480 360C466.7 360 456 370.7 456 384zM504 64C504 50.75 493.3 40 480 40C466.7 40 456 50.75 456 64V128C456 141.3 466.7 152 480 152C493.3 152 504 141.3 504 128V64z"]],
    "road-circle-check": [640, 512, [], "e564", ["M288 96C288 113.7 302.3 128 320 128C337.7 128 352 113.7 352 96V32H426.8C453.9 32 478 49.08 487.1 74.63L529.8 195.2C518.9 193.1 507.6 192 496 192C436.5 192 383.9 221.6 352 266.8V224C352 206.3 337.7 192 320 192C302.3 192 288 206.3 288 224V288C288 305.7 302.3 320 320 320C322.3 320 324.6 319.7 326.8 319.3C322.4 334.7 320 351.1 320 368C320 373.4 320.2 378.7 320.7 384L320 384C302.3 384 288 398.3 288 416V480H86.61C56.45 480 32 455.5 32 425.4C32 419.2 33.06 413 35.13 407.2L152.9 74.63C161.1 49.08 186.1 32 213.2 32H287.1L288 96z", "M352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM563.3 347.3C569.6 341.1 569.6 330.9 563.3 324.7C557.1 318.4 546.9 318.4 540.7 324.7L480 385.4L451.3 356.7C445.1 350.4 434.9 350.4 428.7 356.7C422.4 362.9 422.4 373.1 428.7 379.3L468.7 419.3C474.9 425.6 485.1 425.6 491.3 419.3L563.3 347.3z"]],
    "road-circle-exclamation": [640, 512, [], "e565", ["M288 96C288 113.7 302.3 128 320 128C337.7 128 352 113.7 352 96V32H426.8C453.9 32 478 49.08 487.1 74.63L529.8 195.2C518.9 193.1 507.6 192 496 192C436.5 192 383.9 221.6 352 266.8V224C352 206.3 337.7 192 320 192C302.3 192 288 206.3 288 224V288C288 305.7 302.3 320 320 320C322.3 320 324.6 319.7 326.8 319.3C322.4 334.7 320 351.1 320 368C320 373.4 320.2 378.7 320.7 384L320 384C302.3 384 288 398.3 288 416V480H86.61C56.45 480 32 455.5 32 425.4C32 419.2 33.06 413 35.13 407.2L152.9 74.63C161.1 49.08 186.1 32 213.2 32H287.1L288 96z", "M640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 416C482.7 416 472 426.7 472 440C472 453.3 482.7 464 496 464C509.3 464 520 453.3 520 440C520 426.7 509.3 416 496 416zM511.1 288C511.1 279.2 504.8 272 495.1 272C487.2 272 479.1 279.2 479.1 288V368C479.1 376.8 487.2 384 495.1 384C504.8 384 511.1 376.8 511.1 368V288z"]],
    "road-circle-xmark": [640, 512, [], "e566", ["M288 96C288 113.7 302.3 128 320 128C337.7 128 352 113.7 352 96V32H426.8C453.9 32 478 49.08 487.1 74.63L529.8 195.2C518.9 193.1 507.6 192 496 192C436.5 192 383.9 221.6 352 266.8V224C352 206.3 337.7 192 320 192C302.3 192 288 206.3 288 224V288C288 305.7 302.3 320 320 320C322.3 320 324.6 319.7 326.8 319.3C322.4 334.7 320 351.1 320 368C320 373.4 320.2 378.7 320.7 384L320 384C302.3 384 288 398.3 288 416V480H86.61C56.45 480 32 455.5 32 425.4C32 419.2 33.06 413 35.13 407.2L152.9 74.63C161.1 49.08 186.1 32 213.2 32H287.1L288 96z", "M640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM532.7 308.7L496 345.4L459.3 308.7C453.1 302.4 442.9 302.4 436.7 308.7C430.4 314.9 430.4 325.1 436.7 331.3L473.4 368L436.7 404.7C430.4 410.9 430.4 421.1 436.7 427.3C442.9 433.6 453.1 433.6 459.3 427.3L496 390.6L532.7 427.3C538.9 433.6 549.1 433.6 555.3 427.3C561.6 421.1 561.6 410.9 555.3 404.7L518.6 368L555.3 331.3C561.6 325.1 561.6 314.9 555.3 308.7C549.1 302.4 538.9 302.4 532.7 308.7z"]],
    "road-lock": [640, 512, [], "e567", ["M213.2 32H288V96C288 113.7 302.3 128 320 128C337.7 128 352 113.7 352 96V32H426.8C453.9 32 478 49.08 487.1 74.63L517.5 160.5C460.6 165.8 416 213.7 416 272V296.6C396.9 307.6 384 328.3 384 352V480H352V416C352 398.3 337.7 384 320 384C302.3 384 288 398.3 288 416V480H86.61C56.45 480 32 455.5 32 425.4C32 419.2 33.06 413 35.13 407.2L152.9 74.63C161.1 49.08 186.1 32 213.2 32H213.2zM288 224V288C288 305.7 302.3 320 320 320C337.7 320 352 305.7 352 288V224C352 206.3 337.7 192 320 192C302.3 192 288 206.3 288 224z", "M448 320V272C448 227.8 483.8 192 528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320zM496 320H560V272C560 254.3 545.7 240 528 240C510.3 240 496 254.3 496 272V320z"]],
    "road-spikes": [640, 512, [], "e568", ["M416 246.9V114.8C416 99.11 436.1 92.77 445.1 105.6L581.8 300.8C598.8 325.2 608 354.2 608 384H32V114.8C32 99.11 52.14 92.77 61.11 105.6L160 246.9V114.8C160 99.11 180.1 92.77 189.1 105.6L288 246.9V114.8C288 99.11 308.1 92.77 317.1 105.6L416 246.9z", "M0 416C0 398.3 14.33 384 32 384H608C625.7 384 640 398.3 640 416C640 433.7 625.7 448 608 448H32C14.33 448 0 433.7 0 416z"]],
    "robot": [640, 512, [129302], "f544", ["M41.38 233.4C35.38 239.4 32 247.5 32 256v128c0 8.5 3.375 16.62 9.375 22.62S55.5 416 64 416h32V224H64C55.5 224 47.38 227.4 41.38 233.4zM598.6 233.4C592.6 227.4 584.5 224 576 224h-32v192h32c8.5 0 16.62-3.375 22.62-9.375S608 392.5 608 384V256C608 247.5 604.6 239.4 598.6 233.4zM320 0C302.4 0 288 14.38 288 32v64h64V32C352 14.38 337.6 0 320 0zM192 416h64v-32H192V416zM288 416h64v-32H288V416zM384 416h64v-32h-64V416z", "M464 96h-288C131.8 96 96 131.8 96 176V448c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V176C544 131.8 508.3 96 464 96zM256 416H192v-32h64V416zM224 296C201.9 296 184 278.1 184 256S201.9 216 224 216S264 233.9 264 256S246.1 296 224 296zM352 416H288v-32h64V416zM448 416h-64v-32h64V416zM416 296c-22.12 0-40-17.88-40-40S393.9 216 416 216S456 233.9 456 256S438.1 296 416 296z"]],
    "robot-astromech": [512, 512, [], "e2d2", ["M496 496c0-2.226-.4633-4.46-1.402-6.548l-30.59-68.14V240c0-26.47-21.53-48-48-48H95.1c-26.47 0-48 21.53-48 48v181.3l-30.59 68.14C16.46 491.5 16 493.8 16 496c0 12.89 11.99 15.1 15.1 15.1l80 .0001c8.844 0 15.1-7.156 15.1-16l-.0026-111.1l54.63 54.63c6.002 6 14.14 9.373 22.63 9.373h101.5c8.487 0 16.63-3.373 22.63-9.373l54.63-54.63l.0018 111.1c0 8.844 7.156 16 16 16l79.1-.0001C484 512 496 508.8 496 496zM304 320H207.1c-8.836 0-16-7.164-16-15.1c0-8.838 7.164-16 16-16h96c8.836 0 16 7.162 16 16C320 312.8 312.8 320 304 320zM304 256H207.1c-8.836 0-16-7.164-16-15.1c0-8.838 7.164-16 16-16h96c8.836 0 16 7.162 16 16C320 248.8 312.8 256 304 256z", "M256 0c-91.04 0-128 83.22-128 133.5l.0036 58.5h256l-.0038-64C384 57.31 326.7 0 256 0zM224 128c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32s32 14.33 32 32C256 113.7 241.7 128 224 128zM304 128c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16c8.836 0 16 7.162 16 16C320 120.8 312.8 128 304 128zM304 224H207.1c-8.836 0-16 7.162-16 16c0 8.836 7.164 15.1 16 15.1h96c8.836 0 16-7.164 16-15.1C320 231.2 312.8 224 304 224zM304 288H207.1c-8.836 0-16 7.162-16 16c0 8.836 7.164 15.1 16 15.1h96c8.836 0 16-7.164 16-15.1C320 295.2 312.8 288 304 288z"]],
    "rocket": [512, 512, [], "f135", ["M198.6 130C170.1 175.9 137.9 244.5 118.5 288H23.1C15.33 288 7.334 283.3 3.083 275.8C-1.168 268.2-1.014 258.1 3.487 251.5L56.26 164.7C69.31 143.2 92.64 130 117.8 130H198.6zM223.1 391.8C267.9 372.8 336.4 341.5 381.1 313.4V394.2C381.1 419.4 368.8 442.7 347.3 455.8L260.5 508.5C253 513 243.8 513.2 236.2 508.9C228.7 504.7 223.1 496.7 223.1 488L223.1 391.8z", "M166.5 394.8L115.8 344.1C106.6 334.9 103.9 321.1 109.1 309.2C127.4 267.4 171.8 169 207.2 116.7C289.1-4.07 411.1-8.142 483.9 5.275C495.6 7.414 504.6 16.43 506.7 28.06C520.1 100.9 516.1 222.9 395.3 304.8C342.6 340.5 243 383.9 200.1 401.7C189.1 406.6 175.5 403.9 166.5 394.8L166.5 394.8zM384 168C406.1 168 424 150.1 424 128C424 105.9 406.1 88 384 88C361.9 88 344 105.9 344 128C344 150.1 361.9 168 384 168z"]],
    "rocket-launch": [512, 512, [128640], "e027", ["M23.1 288C15.33 288 7.334 283.3 3.083 275.8C-1.168 268.2-1.014 258.1 3.487 251.5L56.26 164.7C69.31 143.2 92.64 130 117.8 130H198.6C170.1 175.9 137.9 244.5 118.5 288H23.1zM381.1 394.2C381.1 419.4 368.8 442.7 347.3 455.8L260.5 508.5C253 513 243.8 513.2 236.2 508.9C228.7 504.7 223.1 496.7 223.1 488V391.8C267.9 372.8 336.4 341.5 381.1 313.4L381.1 394.2zM166.5 470C117 519.5 .4765 511.5 .4765 511.5C.4765 511.5-7.516 394.1 41.98 345.5C76.37 311.1 132.1 311.1 166.5 345.5C200.9 379.9 200.9 435.6 166.5 470zM119.8 392.2C108.3 380.8 89.81 380.8 78.38 392.2C61.92 408.7 64.58 447.4 64.58 447.4C64.58 447.4 103.3 450.1 119.8 433.6C131.2 422.2 131.2 403.7 119.8 392.2z", "M223.7 391.9C219.7 335.1 174.6 291.3 118.4 288.2C139.8 240.3 176.8 161.6 207.2 116.7C289.1-4.07 411.1-8.142 483.9 5.275C495.6 7.414 504.6 16.43 506.7 28.06C520.1 100.9 516.1 222.9 395.3 304.8C350.6 335 272.2 370.9 223.7 391.9V391.9zM384 88C361.9 88 344 105.9 344 128C344 150.1 361.9 168 384 168C406.1 168 424 150.1 424 128C424 105.9 406.1 88 384 88z"]],
    "roller-coaster": [640, 512, [], "e324", ["M235.3 136.4L248 154.7V456C248 469.3 237.3 480 224 480C210.7 480 200 469.3 200 456V105.9C213.1 112.8 226.2 123.2 235.3 136.4V136.4zM344 292.9V456C344 469.3 333.3 480 320 480C306.7 480 296 469.3 296 456V223.8L344 292.9zM440 377.6V456C440 469.3 429.3 480 416 480C402.7 480 392 469.3 392 456V351.9C406.2 363.5 422.5 372.2 440 377.6V377.6zM496 384C509.9 384 523.3 382 536 378.4V456C536 469.3 525.3 480 512 480C498.7 480 488 469.3 488 456V384H496zM104 113.1C117.7 103.4 134.2 97.32 152 96.19V456C152 469.3 141.3 480 128 480C114.7 480 104 469.3 104 456V113.1z", "M158.1 96C106.1 96 64 138.1 64 190.1V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V190.1C0 102.8 70.77 32 158.1 32C209.9 32 258.4 57.37 287.9 99.9L416.9 285.6C431.8 307.2 456.4 320 482.6 320H496C540.2 320 576 284.2 576 240C576 207.2 556.3 179 528 166.7V264C528 277.3 517.3 288 504 288C490.7 288 480 277.3 480 264V160.6C465.8 162.2 451.1 166.4 439.3 173.2L432 177.1V251.3L357.6 144.2L409.2 116.7C434.7 103.1 463.1 96 492 96H496C575.5 96 640 160.5 640 240C640 242.7 639.9 245.4 639.8 248H640V448C640 465.7 625.7 480 608 480C590.3 480 576 465.7 576 448V359.8C553.1 375.1 525.6 384 496 384H482.6C435.4 384 391.2 360.9 364.3 322.1L235.3 136.4C217.7 111.1 188.9 96 158.1 96H158.1z"]],
    "rotate": [512, 512, [128260, "sync-alt"], "f2f1", ["M462.4 329.8C433.4 419.7 350.4 480 255.1 480c-55.41 0-106.5-21.19-145.4-56.49l-48.5 48.53C45.07 489 16 477 16 452.1V307.1C16 296.7 24.32 288.3 34.66 288h146.9c23.57 .5781 35.26 29.15 18.43 46l-44.18 44.2C183 401.8 218 416 256 416c66.58 0 125.1-42.53 145.5-105.8c5.422-16.78 23.36-26.03 40.3-20.59C458.6 294.1 467.9 313 462.4 329.8z", "M449.9 39.96l-48.5 48.53C362.5 53.19 311.4 32 256 32C161.5 32 78.59 92.34 49.58 182.2c-5.438 16.81 3.797 34.88 20.61 40.28c16.97 5.5 34.86-3.812 40.3-20.59C130.9 138.5 189.4 96 256 96c37.96 0 73 14.18 100.2 37.8L311.1 178C295.1 194.8 306.8 223.4 330.4 224h146.9C487.7 223.7 496 215.3 496 204.9V59.04C496 34.99 466.9 22.95 449.9 39.96z"]],
    "rotate-exclamation": [512, 512, [], "e23c", ["M432 117.4V80C432 62.33 446.3 48 464 48C481.7 48 496 62.33 496 80V192C496 209.7 481.7 224 464 224H437.8C437.3 224 436.8 224 436.3 224H352C334.3 224 320 209.7 320 192C320 174.3 334.3 160 352 160H384C354.8 121.1 308.3 96 255.1 96C186.4 96 127.1 140.5 105.1 202.7C99.21 219.3 80.92 228.1 64.26 222.2C47.6 216.3 38.86 197.1 44.75 181.3C75.49 94.38 158.4 32 255.1 32C327.4 32 390.1 65.42 432 117.4V117.4zM256 480C184.6 480 121 446.6 80 394.6V432C80 449.7 65.67 464 48 464C30.33 464 16 449.7 16 432V320C16 302.3 30.33 288 48 288H160C177.7 288 192 302.3 192 320C192 337.7 177.7 352 160 352H127.1C157.2 390.9 203.7 416 256 416C325.6 416 384.9 371.5 406.9 309.3C412.8 292.7 431.1 283.9 447.7 289.8C464.4 295.7 473.1 314 467.2 330.7C436.5 417.6 353.6 480 256 480z", "M280 264C280 277.3 269.3 288 256 288C242.7 288 232 277.3 232 264V152C232 138.7 242.7 128 256 128C269.3 128 280 138.7 280 152V264zM224 352C224 334.3 238.3 320 256 320C273.7 320 288 334.3 288 352C288 369.7 273.7 384 256 384C238.3 384 224 369.7 224 352z"]],
    "rotate-left": [512, 512, ["rotate-back", "rotate-backward", "undo-alt"], "f2ea", ["M480 256c0 123.4-100.5 223.9-223.9 223.9c-48.84 0-95.17-15.58-134.2-44.86c-14.12-10.59-16.97-30.66-6.375-44.81c10.59-14.12 30.62-16.94 44.81-6.375c27.84 20.91 61 31.94 95.88 31.94C344.3 415.8 416 344.1 416 256s-71.69-159.8-159.8-159.8c-37.46 0-73.09 13.49-101.3 36.64L109.7 87.59C149.9 52.71 201.5 32.11 256.1 32.11C379.5 32.11 480 132.6 480 256z", "M62.07 39.96l137.1 138c17.01 17.02 4.955 46.1-19.1 46.1H35.17C24.58 224.1 16 215.5 16 204.9V59.04C16 34.99 45.07 22.95 62.07 39.96z"]],
    "rotate-right": [512, 512, ["redo-alt", "rotate-forward"], "f2f9", ["M371 377.6c18.48 0 31.97 15.04 31.97 31.96c0 35.04-81.59 70.41-147 70.41c-123.4 0-223.9-100.5-223.9-223.9s100.5-223.1 223.9-223.1c54.6 0 106.3 20.75 146.5 55.63l-45.24 45.27c-28.22-23.14-63.85-36.64-101.3-36.64c-88.09 0-159.8 71.69-159.8 159.8S167.8 415.9 255.9 415.9C329 415.9 345.3 377.6 371 377.6z", "M468.9 32.11c13.87 0 27.18 10.77 27.18 27.04v145.9c0 10.59-8.584 19.17-19.17 19.17h-145.7c-16.28 0-27.06-13.32-27.06-27.2c0-6.634 2.461-13.4 7.96-18.9l137.1-138C455.5 34.57 462.3 32.11 468.9 32.11z"]],
    "route": [512, 512, [], "f4d7", ["M416 256H320C302.3 256 288 270.3 288 288C288 305.7 302.3 320 320 320H416C469 320 512 362.1 512 416C512 469 469 512 416 512H96C96 512 124.1 483.9 149.9 448H416C433.7 448 448 433.7 448 416C448 398.3 433.7 384 416 384H320C266.1 384 224 341 224 288C224 234.1 266.1 192 320 192H362.1C387.9 227.9 416 256 416 256z", "M512 96C512 160 416 256 416 256C416 256 320 160 320 96C320 42.98 362.1 0 416 0C469 0 512 42.98 512 96zM416 64C398.3 64 384 78.33 384 96C384 113.7 398.3 128 416 128C433.7 128 448 113.7 448 96C448 78.33 433.7 64 416 64zM192 352C192 416 96 512 96 512C96 512 0 416 0 352C0 298.1 42.98 256 96 256C149 256 192 298.1 192 352zM96 320C78.33 320 64 334.3 64 352C64 369.7 78.33 384 96 384C113.7 384 128 369.7 128 352C128 334.3 113.7 320 96 320z"]],
    "route-highway": [448, 512, [], "f61a", ["M31.96 192H416C416 193.1 416 194.2 416 195.2C416 210.2 418.8 224.1 424.4 238.8L438.7 274.5C444.8 289.9 448 306.4 448 323C448 372.5 420 417.8 375.8 439.9L238.3 508.6C229.3 513.1 218.7 513.1 209.7 508.6L72.24 439.9C27.97 417.8 0 372.5 0 323C0 306.4 3.172 289.9 9.348 274.5L23.61 238.8C29.15 224.1 32 210.2 32 195.2C32 194.2 31.98 193.1 31.96 192V192zM384 322.9V323.1V323V322.9z", "M245.1 7.371C282.7 29.89 329.1 31.67 368.2 12.1L369.7 11.38C384.9 3.783 403.4 9.378 411.8 24.12L443.8 80.12C449.1 89.41 449.4 100.7 444.6 110.3L428.4 142.8C420.7 158.1 416.5 174.9 416 192H31.96C31.48 174.9 27.28 158.1 19.62 142.8L3.378 110.3C-1.407 100.7-1.092 89.41 4.216 80.12L36.22 24.12C44.64 9.378 63.12 3.783 78.31 11.38L79.75 12.1C118.9 31.67 165.3 29.89 202.9 7.371L207.5 4.56C217.7-1.52 230.3-1.52 240.5 4.56L245.1 7.371z"]],
    "route-interstate": [512, 512, [], "f61b", ["M21.25 192H490.3C489.4 243.2 481.3 289.7 463.1 331.8C430.6 406.8 368.5 462.7 272.8 507.5C262.6 512.3 250.7 512.5 240.3 508.1C141.9 466.7 79.34 410.6 47.29 334.2C29.34 291.5 21.69 244 21.25 192V192z", "M235.1 7.308C247.9-.5141 264.1-.5141 276.9 7.308C304.4 24.07 327.2 33.27 350.3 37.28C373.6 41.3 399.6 40.44 433.1 34.11C456.1 30.03 477.6 45.07 480.9 67.7C487.4 111.9 490.9 153.3 490.3 191.1H21.25C20.92 153.1 24.63 111.6 31.09 67.68C34.41 45.04 55.9 30.04 78.02 34.11C112.4 40.44 138.4 41.3 161.7 37.28C184.8 33.27 207.6 24.07 235.1 7.308V7.308z"]],
    "router": [576, 512, [], "f8da", ["M96 384c-17.67 0-32 14.32-32 31.1s14.33 31.1 32 31.1s32-14.32 32-31.1S113.7 384 96 384zM536.3 70.14c-101.6-93.52-266.9-93.52-368.5 0C157.1 79.1 157.4 94.32 166.3 104.1C175.3 113.9 190.5 114.5 200.3 105.5c83.69-77.05 219.8-77.05 303.5 0c9.75 8.979 24.94 8.338 33.91-1.424C541.9 99.49 544 93.65 544 87.83C544 81.36 541.4 74.88 536.3 70.14zM248.2 149.9C238.2 158.6 237.2 173.8 245.1 183.8C254.7 193.7 269.9 194.7 279.8 185.1c39.78-34.97 104.5-34.97 144.3 0c9.969 8.76 25.12 7.775 33.88-2.189C462 179.2 464 173.6 464 167.9c0-6.678-2.75-13.33-8.154-18.07C398.6 99.53 305.4 99.53 248.2 149.9z", "M528 320H376V247.1c0-13.25-10.74-23.1-23.1-23.1C338.7 223.1 328 234.7 328 247.1v72.01H48c-26.51 0-48 21.48-48 47.99v96C0 490.5 21.49 512 47.1 512H528c26.51 0 48-21.49 48-48v-96C576 341.5 554.5 320 528 320zM96 448c-17.62 0-32-14.38-32-31.1c0-17.62 14.38-31.1 32-31.1s32 14.37 32 31.1C128 433.6 113.6 448 96 448zM192 448c-17.62 0-32-14.38-32-31.1c0-17.62 14.38-31.1 32-31.1s32 14.37 32 31.1C224 433.6 209.6 448 192 448z"]],
    "rss": [448, 512, ["feed"], "f09e", ["M32 32C14.33 32 0 46.31 0 64s14.33 32 32 32c194.1 0 352 157.9 352 352c0 17.69 14.33 32 32 32s32-14.31 32-32C448 218.6 261.4 32 32 32zM25.57 176.1c-13.16-.7187-24.66 9.156-25.51 22.37C-.8071 211.7 9.223 223.1 22.44 223.9c120.1 7.875 225.7 112.7 233.6 233.6C256.9 470.3 267.4 480 279.1 480c.5313 0 1.062-.0313 1.594-.0625c13.22-.8437 23.25-12.28 22.39-25.5C294.6 310.3 169.7 185.4 25.57 176.1z", "M63.1 351.9C28.63 351.9 0 380.6 0 416s28.63 64 63.1 64s64.08-28.62 64.08-64S99.37 351.9 63.1 351.9z"]],
    "ruble-sign": [384, 512, [8381, "rouble", "rub", "ruble"], "f158", ["M64 416H32C14.33 416 0 401.7 0 384C0 366.3 14.33 352 32 352H64V416zM128 352H288C305.7 352 320 366.3 320 384C320 401.7 305.7 416 288 416H128V352z", "M64 64C64 46.33 78.33 32 96 32H240C319.5 32 384 96.47 384 176C384 255.5 319.5 320 240 320H128V448C128 465.7 113.7 480 96 480C78.33 480 64 465.7 64 448V320H32C14.33 320 0 305.7 0 288C0 270.3 14.33 256 32 256H64V64zM128 256H240C284.2 256 320 220.2 320 176C320 131.8 284.2 96 240 96H128V256z"]],
    "rug": [640, 512, [], "e569", ["M80 64H160V448H80V64zM480 64H560V448H480V64zM448 448H192V64H448V448z", "M80 64V448H24C10.75 448 0 437.3 0 424C0 410.7 10.75 400 24 400H32V360H24C10.75 360 0 349.3 0 336C0 322.7 10.75 312 24 312H32V280H24C10.75 280 0 269.3 0 256C0 242.7 10.75 232 24 232H32V200H24C10.75 200 0 189.3 0 176C0 162.7 10.75 152 24 152H32V112H24C10.75 112 0 101.3 0 88C0 74.75 10.75 64 24 64H80zM616 64C629.3 64 640 74.75 640 88C640 101.3 629.3 112 616 112H608V152H616C629.3 152 640 162.7 640 176C640 189.3 629.3 200 616 200H608V232H616C629.3 232 640 242.7 640 256C640 269.3 629.3 280 616 280H608V312H616C629.3 312 640 322.7 640 336C640 349.3 629.3 360 616 360H608V400H616C629.3 400 640 410.7 640 424C640 437.3 629.3 448 616 448H560V64H616zM160 64H192V448H160V64zM480 448H448V64H480V448z"]],
    "rugby-ball": [512, 512, [], "e3c6", ["M495.1 174.8c0-45.12-7.712-83.76-14.15-108.2c-4.688-17.54-18.34-31.23-36.04-35.95C435.5 27.91 392.9 16 337 16C149 16 15.1 154.6 15.1 337.2c0 45.12 7.714 83.77 14.15 108.2C35.22 464.3 50.46 496 174.9 496C362.1 496 495.1 357.4 495.1 174.8zM384 144c0 4.094-1.562 8.188-4.688 11.31l-52.67 52.67l20.69 20.69c3.125 3.125 4.688 7.219 4.688 11.31c0 9.133-7.468 16-16 16c-4.094 0-8.189-1.562-11.31-4.688L304 230.6l-25.38 25.38l20.69 20.69c3.125 3.125 4.688 7.219 4.688 11.31c0 9.141-7.474 16-16 16c-4.094 0-8.188-1.564-11.31-4.689l-20.69-20.69L230.6 303.1l20.69 20.69c3.125 3.125 4.688 7.219 4.688 11.31c0 9.141-7.474 16-16 16c-4.094 0-8.188-1.564-11.31-4.689l-20.69-20.69l-52.69 52.69C152.2 382.4 148.1 384 144 384C135.5 384 128 377.1 128 368c0-4.094 1.562-8.188 4.688-11.31l52.69-52.69L164.7 283.3C161.6 280.2 160 276.1 160 271.1c0-8.529 6.865-16 16-16c4.095 0 8.189 1.562 11.31 4.688l20.69 20.69l25.38-25.38L212.7 235.3C209.6 232.2 208 228.1 208 223.1c0-8.528 6.865-16 16-16c4.094 0 8.188 1.562 11.31 4.688l20.69 20.69l25.38-25.38l-20.69-20.69c-3.125-3.125-4.688-7.219-4.688-11.31c0-9.141 7.473-16 16-16c4.094 0 8.188 1.562 11.31 4.688l20.69 20.69l52.67-52.67C359.8 129.6 363.9 128 368 128C376.5 128 384 134.9 384 144z", "M235.3 212.7C232.2 209.6 228.1 207.1 224 207.1c-9.141 0-16 7.473-16 16c0 4.094 1.562 8.188 4.688 11.31l64.01 64.01c3.125 3.125 7.219 4.689 11.31 4.689c8.526 0 16-6.867 16-16c0-4.094-1.562-8.188-4.688-11.31L235.3 212.7zM352 239.1c0-4.094-1.562-8.188-4.688-11.31l-64.01-64.01c-3.125-3.125-7.219-4.688-11.31-4.688c-8.528 0-16 6.865-16 16c0 4.094 1.562 8.188 4.688 11.31l64.01 64.01c3.125 3.125 7.221 4.688 11.31 4.688C344.6 255.1 352 249.1 352 239.1zM187.3 260.7C184.2 257.6 180.1 255.1 176 255.1c-9.142 0-16 7.472-16 16c0 4.094 1.562 8.188 4.688 11.31l64.01 64c3.125 3.125 7.219 4.689 11.31 4.689c8.526 0 16-6.867 16-16c0-4.094-1.562-8.188-4.688-11.31L187.3 260.7z"]],
    "ruler": [512, 512, [128207], "f545", ["M177.9 494.1C159.2 512.8 128.8 512.8 110.1 494.1L17.94 401.9C-.8054 383.2-.8054 352.8 17.94 334.1L68.69 283.3L116.7 331.3C122.9 337.6 133.1 337.6 139.3 331.3C145.6 325.1 145.6 314.9 139.3 308.7L91.31 260.7L132.7 219.3L180.7 267.3C186.9 273.6 197.1 273.6 203.3 267.3C209.6 261.1 209.6 250.9 203.3 244.7L155.3 196.7L196.7 155.3L244.7 203.3C250.9 209.6 261.1 209.6 267.3 203.3C273.6 197.1 273.6 186.9 267.3 180.7L219.3 132.7L260.7 91.31L308.7 139.3C314.9 145.6 325.1 145.6 331.3 139.3C337.6 133.1 337.6 122.9 331.3 116.7L283.3 68.69L334.1 17.94C352.8-.8035 383.2-.8035 401.9 17.94L494.1 110.1C512.8 128.8 512.8 159.2 494.1 177.9L177.9 494.1z", "M260.7 91.31L283.3 68.69L331.3 116.7C337.6 122.9 337.6 133.1 331.3 139.3C325.1 145.6 314.9 145.6 308.7 139.3L260.7 91.31zM196.7 155.3L219.3 132.7L267.3 180.7C273.6 186.9 273.6 197.1 267.3 203.3C261.1 209.6 250.9 209.6 244.7 203.3L196.7 155.3zM132.7 219.3L155.3 196.7L203.3 244.7C209.6 250.9 209.6 261.1 203.3 267.3C197.1 273.6 186.9 273.6 180.7 267.3L132.7 219.3zM68.69 283.3L91.31 260.7L139.3 308.7C145.6 314.9 145.6 325.1 139.3 331.3C133.1 337.6 122.9 337.6 116.7 331.3L68.69 283.3z"]],
    "ruler-combined": [512, 512, [], "f546", ["M0 464V48C0 21.49 21.49 0 48 0H144C170.5 0 192 21.49 192 48V96H112C103.2 96 96 103.2 96 112C96 120.8 103.2 128 112 128H192V192H112C103.2 192 96 199.2 96 208C96 216.8 103.2 224 112 224H192V288H112C103.2 288 96 295.2 96 304C96 312.8 103.2 320 112 320H192V400C192 408.8 199.2 416 208 416C216.8 416 224 408.8 224 400V320H288V400C288 408.8 295.2 416 304 416C312.8 416 320 408.8 320 400V320H384V400C384 408.8 391.2 416 400 416C408.8 416 416 408.8 416 400V320H464C490.5 320 512 341.5 512 368V464C512 490.5 490.5 512 464 512H48C23.15 512 2.706 493.1 .2477 468.9C.0838 467.3 0 465.7 0 464z", "M112 96H192V128H112C103.2 128 96 120.8 96 112C96 103.2 103.2 96 112 96zM192 224H112C103.2 224 96 216.8 96 208C96 199.2 103.2 192 112 192H192V224zM192 320H224V400C224 408.8 216.8 416 208 416C199.2 416 192 408.8 192 400V320H112C103.2 320 96 312.8 96 304C96 295.2 103.2 288 112 288H192V320zM320 320V400C320 408.8 312.8 416 304 416C295.2 416 288 408.8 288 400V320H320zM400 416C391.2 416 384 408.8 384 400V320H416V400C416 408.8 408.8 416 400 416z"]],
    "ruler-horizontal": [640, 512, [], "f547", ["M0 176C0 149.5 21.49 128 48 128H112V208C112 216.8 119.2 224 128 224C136.8 224 144 216.8 144 208V128H208V208C208 216.8 215.2 224 224 224C232.8 224 240 216.8 240 208V128H304V208C304 216.8 311.2 224 320 224C328.8 224 336 216.8 336 208V128H400V208C400 216.8 407.2 224 416 224C424.8 224 432 216.8 432 208V128H496V208C496 216.8 503.2 224 512 224C520.8 224 528 216.8 528 208V128H592C618.5 128 640 149.5 640 176V336C640 362.5 618.5 384 592 384H48C21.49 384 0 362.5 0 336V176z", "M128 224C119.2 224 112 216.8 112 208V128H144V208C144 216.8 136.8 224 128 224zM240 128V208C240 216.8 232.8 224 224 224C215.2 224 208 216.8 208 208V128H240zM320 224C311.2 224 304 216.8 304 208V128H336V208C336 216.8 328.8 224 320 224zM432 128V208C432 216.8 424.8 224 416 224C407.2 224 400 216.8 400 208V128H432zM528 128V208C528 216.8 520.8 224 512 224C503.2 224 496 216.8 496 208V128H528z"]],
    "ruler-triangle": [512, 512, [128208], "f61c", ["M107.3 62.06L84.69 84.69C78.44 90.93 78.44 101.1 84.69 107.3C90.93 113.6 101.1 113.6 107.3 107.3L129.9 84.69L187.3 142.1L164.7 164.7C158.4 170.9 158.4 181.1 164.7 187.3C170.9 193.6 181.1 193.6 187.3 187.3L209.9 164.7L267.3 222.1L244.7 244.7C238.4 250.9 238.4 261.1 244.7 267.3C250.9 273.6 261.1 273.6 267.3 267.3L289.9 244.7L347.3 302.1L324.7 324.7C318.4 330.9 318.4 341.1 324.7 347.3C330.9 353.6 341.1 353.6 347.3 347.3L369.9 324.7L427.3 382.1L404.7 404.7C398.4 410.9 398.4 421.1 404.7 427.3C410.9 433.6 421.1 433.6 427.3 427.3L449.9 404.7L502.6 457.4C511.8 466.5 514.5 480.3 509.6 492.2C504.6 504.2 492.9 512 480 512H64C28.65 512 0 483.3 0 448V32C0 19.06 7.796 7.39 19.75 2.437C31.71-2.516 45.48 .2215 54.63 9.373L107.3 62.06zM128 256V384H256L128 256z", "M129.9 84.69L107.3 107.3C101.1 113.6 90.94 113.6 84.69 107.3C78.44 101.1 78.44 90.93 84.69 84.69L107.3 62.06L129.9 84.69zM209.9 164.7L187.3 187.3C181.1 193.6 170.9 193.6 164.7 187.3C158.4 181.1 158.4 170.9 164.7 164.7L187.3 142.1L209.9 164.7zM289.9 244.7L267.3 267.3C261.1 273.6 250.9 273.6 244.7 267.3C238.4 261.1 238.4 250.9 244.7 244.7L267.3 222.1L289.9 244.7zM369.9 324.7L347.3 347.3C341.1 353.6 330.9 353.6 324.7 347.3C318.4 341.1 318.4 330.9 324.7 324.7L347.3 302.1L369.9 324.7zM449.9 404.7L427.3 427.3C421.1 433.6 410.9 433.6 404.7 427.3C398.4 421.1 398.4 410.9 404.7 404.7L427.3 382.1L449.9 404.7z"]],
    "ruler-vertical": [256, 512, [], "f548", ["M0 48C0 21.49 21.49 0 48 0H208C234.5 0 256 21.49 256 48V96H176C167.2 96 160 103.2 160 112C160 120.8 167.2 128 176 128H256V192H176C167.2 192 160 199.2 160 208C160 216.8 167.2 224 176 224H256V288H176C167.2 288 160 295.2 160 304C160 312.8 167.2 320 176 320H256V384H176C167.2 384 160 391.2 160 400C160 408.8 167.2 416 176 416H256V464C256 490.5 234.5 512 208 512H48C21.49 512 0 490.5 0 464V48z", "M256 96V128H176C167.2 128 160 120.8 160 112C160 103.2 167.2 96 176 96H256zM160 208C160 199.2 167.2 192 176 192H256V224H176C167.2 224 160 216.8 160 208zM256 288V320H176C167.2 320 160 312.8 160 304C160 295.2 167.2 288 176 288H256zM256 384V416H176C167.2 416 160 408.8 160 400C160 391.2 167.2 384 176 384H256z"]],
    "rupee-sign": [448, 512, [8360, "rupee"], "f156", ["", "M0 64C0 46.33 14.33 32 32 32H112C191.5 32 256 96.47 256 176C256 255.5 191.5 320 112 320H64V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V64zM64 256H112C156.2 256 192 220.2 192 176C192 131.8 156.2 96 112 96H64V256zM162.3 459.9L98.29 299.9L157.7 276.1L221.7 436.1C228.3 452.5 220.3 471.1 203.9 477.7C187.5 484.3 168.9 476.3 162.3 459.9H162.3zM329.1 260.4C323.7 263.7 321.1 267.1 320.5 272.4C319.6 278.4 320.4 281.2 320.8 282.2C321.3 283.3 322.2 284.8 325 287.1C332.2 292.8 343.7 297.1 362.9 303.8C363.4 303.1 363.8 304.2 364.2 304.3C380.3 309.1 402.9 317.9 419.1 332.4C429.5 340.5 437.9 351 443 364.7C448.1 378.4 449.1 393.2 446.8 408.7C442.7 436.8 426.4 457.1 403.1 469.6C381 480.7 354.9 482.1 329.9 477.6L329.7 477.5C320.4 475.8 309.2 471.8 300.5 468.6C294.4 466.3 287.9 463.7 282.7 461.6C280.2 460.6 278.1 459.8 276.4 459.1C259.9 452.7 251.8 434.2 258.2 417.7C264.6 401.2 283.1 393.1 299.6 399.5C302.2 400.5 304.8 401.5 307.5 402.6C312.3 404.5 317.4 406.5 322.9 408.6C331.7 411.9 338.2 413.1 341.6 414.6C357.2 417.5 368.3 415.5 374.5 412.4C379.4 409.9 382.5 406.3 383.5 399.3C384.5 392.4 383.7 388.8 383.1 387.1C382.4 385.4 381.3 383.5 378.6 381.2C371.7 375.4 360.4 370.8 341.6 364.2C340.6 363.8 339.6 363.5 338.6 363.1C323.1 357.7 301.6 350.2 285.3 337.2C275.8 329.7 266.1 319.7 261.5 306.3C256.1 292.8 254.9 278.2 257.2 263.1C265.6 205.1 324.2 185.1 374.1 194.2C380.1 195.5 401.4 200 409.5 202.6C426.4 207.8 435.8 225.7 430.6 242.6C425.3 259.5 407.4 268.9 390.5 263.7C385.8 262.2 368.2 258.2 362.6 257.2C347.1 254.5 336.8 256.8 329.1 260.4V260.4z"]],
    "rupiah-sign": [512, 512, [], "e23d", ["", "M0 64C0 46.33 14.33 32 32 32H112C191.5 32 256 96.47 256 176C256 255.5 191.5 320 112 320H64V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V64zM64 256H112C156.2 256 192 220.2 192 176C192 131.8 156.2 96 112 96H64V256zM162.3 459.9L98.29 299.9L157.7 276.1L221.7 436.1C228.3 452.5 220.3 471.1 203.9 477.7C187.5 484.3 168.9 476.3 162.3 459.9H162.3zM288 192C288 174.3 302.3 160 320 160H400C461.9 160 512 210.1 512 272C512 333.9 461.9 384 400 384H352V480C352 497.7 337.7 512 320 512C302.3 512 288 497.7 288 480V192zM352 320H400C426.5 320 448 298.5 448 272C448 245.5 426.5 224 400 224H352V320z"]],
    "rv": [640, 512, [], "f7be", ["M112 448C112 412.7 140.7 384 176 384C211.3 384 240 412.7 240 448C240 483.3 211.3 512 176 512C140.7 512 112 483.3 112 448zM432 448C432 412.7 460.7 384 496 384C531.3 384 560 412.7 560 448C560 483.3 531.3 512 496 512C460.7 512 432 483.3 432 448z", "M224 16C224 7.164 231.2 0 240 0H368C376.8 0 384 7.164 384 16V32H512C565 32 608 74.98 608 128C608 145.7 593.7 160 576 160H384V416H266.5C253.4 378.7 217.8 352 176 352C137.1 352 103.5 375.2 88.48 408.5L18.75 338.7C6.743 326.7 0 310.5 0 293.5V96C0 60.65 28.65 32 64 32H224V16zM96 208C96 216.8 103.2 224 112 224H240C248.8 224 256 216.8 256 208V144C256 135.2 248.8 128 240 128H112C103.2 128 96 135.2 96 144V208zM416 192H516.6C529.5 192 542 196.5 552 204.7L619.5 259.8C632.5 270.5 640 286.4 640 303.2V384C640 401.7 625.7 416 608 416H586.5C573.4 378.7 537.8 352 496 352C462.6 352 433.2 369 416 394.9V192zM521.6 241.8C520.2 240.6 518.4 240 516.6 240H464V288H578.1L521.6 241.8z"]],
    "s": [384, 512, [115], "53", ["M349.9 379.1c-6.281 36.63-25.89 65.02-56.69 82.11c-24.91 13.83-54.08 18.98-83.73 18.98c-61.86 0-125.8-22.42-157.5-35.38c-16.38-6.672-24.22-25.34-17.55-41.7c6.641-16.36 25.27-24.28 41.7-17.55c77.56 31.64 150.6 39.39 186.1 19.69c13.83-7.672 21.67-19.42 24.69-36.98c7.25-42.31-18.2-56.75-103.7-81.38C112.6 266.6 15.98 238.7 34.11 133.2c5.484-32 23.64-59.36 51.14-77.02c45.59-29.33 115-31.87 206.4-7.688c17.09 4.531 27.27 22.05 22.75 39.13s-22.06 27.23-39.13 22.75C184 86.17 140.4 96.81 119.8 110c-12.55 8.062-20.17 19.5-22.66 34c-7.266 42.31 18.19 56.75 103.7 81.38C271.4 245.7 368 273.5 349.9 379.1z", ""]],
    "sack": [512, 512, [], "f81c", ["M144.6 24.88C137.5 14.24 145.1 0 157.9 0H354.1C366.9 0 374.5 14.24 367.4 24.88L320 96H192L144.6 24.88zM332.1 136.4C389.7 172.7 512 250.9 512 416C512 469 469 512 416 512H96C42.98 512 0 469 0 416C0 250.9 122.3 172.7 179 136.4C183.9 133.3 188.2 130.5 192 128H320C323.8 130.5 328.1 133.3 332.1 136.4z", "M176 112C176 103.2 183.2 96 192 96H320C328.8 96 336 103.2 336 112C336 120.8 328.8 128 320 128H192C183.2 128 176 120.8 176 112z"]],
    "sack-dollar": [512, 512, [128176], "f81d", ["M144.6 24.88C137.5 14.24 145.1 0 157.9 0H354.1C366.9 0 374.5 14.24 367.4 24.88L320 96H192L144.6 24.88zM332.1 136.4C389.7 172.7 512 250.9 512 416C512 469 469 512 416 512H96C42.98 512 0 469 0 416C0 250.9 122.3 172.7 179 136.4C183.9 133.3 188.2 130.5 192 128H320C323.8 130.5 328.1 133.3 332.1 136.4V136.4zM235.9 224V230C230.3 231.2 224.1 232.9 220 235.1C205.1 241.9 192.1 254.5 188.9 272.8C187.1 283 188.1 292.9 192.3 301.8C196.5 310.6 203 316.8 209.6 321.3C221.2 329.2 236.5 333.8 248.2 337.3L250.4 337.9C264.4 342.2 273.8 345.3 279.7 349.6C282.2 351.4 283.1 352.8 283.4 353.7C283.8 354.5 284.4 356.3 283.7 360.3C283.1 363.8 281.2 366.8 275.7 369.1C269.6 371.7 259.7 373 246.9 371C240.9 370 230.2 366.4 220.7 363.2C218.5 362.4 216.3 361.7 214.3 361C203.8 357.5 192.5 363.2 189 373.7C185.5 384.2 191.2 395.5 201.7 398.1C202.9 399.4 204.4 399.9 206.1 400.5C213.1 403.2 226.4 407.4 235.9 409.6V416C235.9 427.1 244.9 436.1 255.1 436.1C267.1 436.1 276.1 427.1 276.1 416V410.5C281.4 409.5 286.6 407.1 291.4 405.9C307.2 399.2 319.8 386.2 323.1 367.2C324.9 356.8 324.1 346.8 320.1 337.7C316.2 328.7 309.9 322.1 303.2 317.3C291.1 308.4 274.9 303.6 262.8 299.9L261.1 299.7C247.8 295.4 238.2 292.4 232.1 288.2C229.5 286.4 228.7 285.2 228.5 284.7C228.3 284.3 227.7 283.1 228.3 279.7C228.7 277.7 230.2 274.4 236.5 271.6C242.1 268.7 252.9 267.1 265.1 268.1C269.5 269.7 283 272.3 286.9 273.3C297.5 276.2 308.5 269.8 311.3 259.1C314.2 248.5 307.8 237.5 297.1 234.7C292.7 233.5 282.7 231.5 276.1 230.3V224C276.1 212.9 267.1 203.9 255.1 203.9C244.9 203.9 235.9 212.9 235.9 224L235.9 224z", "M320 96C328.8 96 336 103.2 336 112C336 120.8 328.8 128 320 128H192C183.2 128 176 120.8 176 112C176 103.2 183.2 96 192 96H320zM276.1 230.3C282.7 231.5 292.7 233.5 297.1 234.7C307.8 237.5 314.2 248.5 311.3 259.1C308.5 269.8 297.5 276.2 286.9 273.3C283 272.3 269.5 269.7 265.1 268.1C252.9 267.1 242.1 268.7 236.5 271.6C230.2 274.4 228.7 277.7 228.3 279.7C227.7 283.1 228.3 284.3 228.5 284.7C228.7 285.2 229.5 286.4 232.1 288.2C238.2 292.4 247.8 295.4 261.1 299.7L262.8 299.9C274.9 303.6 291.1 308.4 303.2 317.3C309.9 322.1 316.2 328.7 320.1 337.7C324.1 346.8 324.9 356.8 323.1 367.2C319.8 386.2 307.2 399.2 291.4 405.9C286.6 407.1 281.4 409.5 276.1 410.5V416C276.1 427.1 267.1 436.1 255.1 436.1C244.9 436.1 235.9 427.1 235.9 416V409.6C226.4 407.4 213.1 403.2 206.1 400.5C204.4 399.9 202.9 399.4 201.7 398.1C191.2 395.5 185.5 384.2 189 373.7C192.5 363.2 203.8 357.5 214.3 361C216.3 361.7 218.5 362.4 220.7 363.2C230.2 366.4 240.9 370 246.9 371C259.7 373 269.6 371.7 275.7 369.1C281.2 366.8 283.1 363.8 283.7 360.3C284.4 356.3 283.8 354.5 283.4 353.7C283.1 352.8 282.2 351.4 279.7 349.6C273.8 345.3 264.4 342.2 250.4 337.9L248.2 337.3C236.5 333.8 221.2 329.2 209.6 321.3C203 316.8 196.5 310.6 192.3 301.8C188.1 292.9 187.1 283 188.9 272.8C192.1 254.5 205.1 241.9 220 235.1C224.1 232.9 230.3 231.2 235.9 230V223.1C235.9 212.9 244.9 203.9 256 203.9C267.1 203.9 276.1 212.9 276.1 223.1L276.1 230.3z"]],
    "sack-xmark": [512, 512, [], "e56a", ["M144.6 24.88C137.5 14.24 145.1 0 157.9 0H354.1C366.9 0 374.5 14.24 367.4 24.88L320 96H192L144.6 24.88zM332.1 136.4C389.7 172.7 512 250.9 512 416C512 469 469 512 416 512H96C42.98 512 0 469 0 416C0 250.9 122.3 172.7 179 136.4C183.9 133.3 188.2 130.5 192 128H320C323.8 130.5 328.1 133.3 332.1 136.4V136.4zM336.1 272.1C346.3 263.6 346.3 248.4 336.1 239C327.6 229.7 312.4 229.7 303 239L256 286.1L208.1 239C199.6 229.7 184.4 229.7 175 239C165.7 248.4 165.7 263.6 175 272.1L222.1 320L175 367C165.7 376.4 165.7 391.6 175 400.1C184.4 410.3 199.6 410.3 208.1 400.1L256 353.9L303 400.1C312.4 410.3 327.6 410.3 336.1 400.1C346.3 391.6 346.3 376.4 336.1 367L289.9 320L336.1 272.1z", "M320 96C328.8 96 336 103.2 336 112C336 120.8 328.8 128 320 128H192C183.2 128 176 120.8 176 112C176 103.2 183.2 96 192 96H320zM175 400.1C165.7 391.6 165.7 376.4 175 367L222.1 320L175 272.1C165.7 263.6 165.7 248.4 175 239C184.4 229.7 199.6 229.7 208.1 239L256 286.1L303 239C312.4 229.7 327.6 229.7 336.1 239C346.3 248.4 346.3 263.6 336.1 272.1L289.9 320L336.1 367C346.3 376.4 346.3 391.6 336.1 400.1C327.6 410.3 312.4 410.3 303 400.1L256 353.9L208.1 400.1C199.6 410.3 184.4 410.3 175 400.1V400.1z"]],
    "sailboat": [576, 512, [], "e445", ["M256 16C256 9.018 260.5 2.841 267.2 .7414C273.9-1.358 281.1 1.105 285.1 6.826L509.1 326.8C512.5 331.7 512.9 338.1 510.2 343.4C507.4 348.7 501.1 352 496 352H272C263.2 352 256 344.8 256 336V16zM224 336C224 344.8 216.8 352 208 352H80C74.3 352 69.02 348.1 66.16 344C63.3 339.1 63.28 333 66.11 328.1L194.1 104.1C197.7 97.76 205.1 94.68 212.1 96.54C219.1 98.4 224 104.7 224 112V336z", "M5.718 404.3C2.848 394.1 10.52 384 21.12 384H554.9C565.5 384 573.2 394.1 570.3 404.3L566.3 418.7C550.7 473.9 500.4 512 443 512H132.1C75.62 512 25.27 473.9 9.747 418.7L5.718 404.3z"]],
    "salad": [512, 512, [129367, "bowl-salad"], "f81e", ["M416.2 96c2.625 0 5.127 .625 7.752 .75C406.3 76.88 380.9 64 352.2 64c-8.504 .125-17.1 1.411-25.23 3.786C309.3 26.66 268.9 0 224.1 0C179.4 0 138.9 26.62 121.2 67.75C113.1 65.38 104.6 64.13 96.09 64C43.07 64 .0508 107 .0508 160s43.02 96 96.04 96h73.29L84.69 171.3c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0L208 249.4V112C208 103.2 215.2 96 224 96s16 7.156 16 16V256h52.66c-2.875-10.38-4.375-21.12-4.5-32C288.3 153.4 345.6 96.13 416.2 96zM416 128c-53.02 0-96 42.98-96 96c0 11.28 2.305 21.95 5.879 32h180.2C509.7 245.9 512 235.3 512 224C512 170.1 469 128 416 128z", "M495.8 288H16.19C7.055 288-.6992 295.8 .0508 304.9c6.758 76.38 58.28 139.4 128.1 163.9V480c0 17.62 14.45 32 32.09 32h192.2c17.65 0 32.04-14.38 32.04-32v-11.5c69.46-24.62 120.8-87.5 127.4-163.6C512.7 295.8 505.1 288 495.8 288zM169.4 256H240V112C240 103.2 232.8 96 224 96S208 103.2 208 112v137.4L107.3 148.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L169.4 256z"]],
    "salt-shaker": [384, 512, [129474], "e446", ["M383.3 438.9c2.693 18.39-2.951 36.97-15.43 51C355.4 503.1 337.4 512 318.3 512H65.69c-19.05 0-37.13-8.047-49.61-22.06c-12.47-14.03-18.12-32.61-15.43-50.98L36.87 192h66.36l-37.54 256h41.84l29.54-256h48.32l-29.54 256h72.29l-29.54-256h48.32l29.54 256h41.84l-37.54-256h66.36L383.3 438.9z", "M336.9 122.5C326.7 52.67 264.4 0 192 0S57.29 52.67 47.06 122.5V122.5L36.87 192h310.3L336.9 122.5zM144 112C135.2 112 128 104.8 128 96c0-8.838 7.164-16 16-16S160 87.16 160 96C160 104.8 152.8 112 144 112zM192 80C183.2 80 176 72.84 176 64c0-8.838 7.164-16 16-16s16 7.162 16 16C208 72.84 200.8 80 192 80zM240 112C231.2 112 224 104.8 224 96c0-8.838 7.164-16 16-16S256 87.16 256 96C256 104.8 248.8 112 240 112z"]],
    "sandwich": [512, 512, [129386], "f81f", ["M497.9 239.3c-15-1.625-24-6.125-35.5-11.88C445.1 218.8 423.6 208 384.1 208s-61 10.75-78.25 19.38C291.3 234.8 280.6 240 256.3 240c-24.5 0-35.13-5.25-49.75-12.62C189.3 218.8 167.8 208 128.1 208S67 218.8 49.75 227.4c-11.5 5.75-20.5 10.25-35.63 11.88C6.125 240.3 0 247 0 255.1v32.13c0 4.5 1.1 8.875 5.375 11.88c3.375 3.125 8 4.5 12.5 4.125c28.5-2.625 46-11.38 60.5-18.62C93 277.3 103.6 272 128.1 272s35.13 5.25 49.75 12.62C195.1 293.3 216.6 304 256.3 304c39.5 0 61-10.75 78.25-19.38C349.1 277.3 359.8 272 384.1 272s35 5.25 49.63 12.62c14.5 7.25 31.88 16 60.38 18.62c4.5 .375 9.125-1.125 12.5-4.125C509.1 296.1 512 291.8 512 287.3V255.1C512 247 505.9 240.3 497.9 239.3zM319.1 384L416 336H224L319.1 384z", "M480 336h-64L319.1 384L224 336H32c-17.62 0-31.1 14.38-31.1 32L0 416c0 17.62 14.38 32 32 32h448c17.62 0 32-14.38 32-32l-.0038-48C511.1 350.4 497.6 336 480 336zM480 64H32C14.38 64 0 78.38 0 96l.0038 48c0 17.62 14.37 32 31.1 32h448c17.62 0 31.1-14.38 31.1-32L512 96C512 78.38 497.6 64 480 64z"]],
    "satellite": [512, 512, [128752], "f7bf", ["M247.1 9.25C241 3.375 232.9 0 224.5 0c-8.5 0-16.62 3.375-22.5 9.25l-96.75 96.75c-12.38 12.5-12.38 32.62 0 45.12L185.5 231.5l141.9-141.9L247.1 9.25zM502.8 264.1l-80.37-80.37l-141.8 141.8l80.25 80.36c12.5 12.38 32.62 12.38 44.1 0l96.75-96.75C508.6 304.1 512 295.1 512 287.5C512 279.1 508.6 270.1 502.8 264.1zM112 377.5l-17.88 17.75c-2.625-.75-5-1.625-7.75-1.625c-17.75 0-32 14.38-32 32c0 17.75 14.25 32 32 32c17.62 0 32-14.25 32-32c0-2.75-.875-5.125-1.625-7.75l17.75-17.88L112 377.5z", "M470.3 136.7c13-13.12 13-34.37 0-47.5l-47.5-47.5c-13.12-13.12-34.38-13.12-47.5 0l-199.5 199.6c-54-24.5-116.3-22.5-168.5 5.375c-8.498 4.625-9.623 16.38-2.873 23.25l237.7 237.6c6.75 6.75 18.62 5.625 23.12-2.875c27.88-52.25 29.88-114.5 5.375-168.5L470.3 136.7z"]],
    "satellite-dish": [512, 512, [128225], "f7c0", ["M224 256.1c-17.62 0-31.99 14.38-31.99 32.01c0 2.875 .8099 5.25 1.56 7.875L166.2 323.4l22.62 22.62l27.37-27.37c2.625 .625 5.059 1.506 7.809 1.506c17.75 0 31.99-14.26 31.99-32C256 270.5 241.8 256.1 224 256.1zM224 0C206.3 0 192 14.31 192 32s14.33 32 32 32c123.5 0 224 100.5 224 224c0 17.69 14.33 32 32 32s32-14.31 32-32C512 129.2 382.8 0 224 0zM216 104C202.8 104 192 114.8 192 128s10.75 24 24 24c79.41 0 144 64.59 144 144C360 309.3 370.8 320 384 320s24-10.75 24-24C408 190.1 321.9 104 216 104z", "M49.37 206.5c-7.25-7.248-20.12-5.998-24.1 3c-41.75 77.87-29.88 176.7 35.75 242.4c65.62 65.62 164.6 77.5 242.4 35.75c9.125-5 10.38-17.75 3-25L49.37 206.5z"]],
    "sausage": [512, 512, [], "f820", ["M416 63.1C362.1 63.1 320 106.1 320 160c0 88.22-71.78 160-160 160c-53.02 0-96 42.98-96 95.1S106.1 512 159.1 512c194.3 .116 351.9-157.3 352-351.6L512 160C512 106.1 469 63.1 416 63.1zM160 400c-8.837 0-16-7.163-16-16C144 375.2 151.2 368 160 368c114.7 0 208-93.31 208-208c0-8.837 7.163-16 15.1-16C392.8 144 400 151.2 400 160C400 292.3 292.3 400 160 400z", "M24.14 369C14.54 365.8 4.217 371 1 380.6C.3535 382.5 .0156 384.4 0 386.4v59.25c.0332 10.15 8.289 18.35 18.44 18.32c1.949-.0078 3.85-.3242 5.702-.9395l45.3-15.08c-7.26-20.67-7.26-43.21 0-63.88L24.14 369zM451.4 1C449.5 .3535 447.6 .0156 445.6 0h-59.25c-10.14 .0156-18.34 8.25-18.33 18.39c.0098 1.967 .3301 3.885 .9492 5.753l15.08 45.3c20.67-7.26 43.21-7.26 63.88 0l15.03-45.3C466.2 14.55 460.1 4.232 451.4 1zM383.1 144C375.2 144 368 151.2 368 160c0 114.7-93.31 208-208 208c-8.836 0-16 7.164-16 15.1S151.2 400 160 400c132.3 0 240-107.7 240-240C400 151.2 392.8 144 383.1 144z"]],
    "saxophone": [640, 512, [127927], "f8dc", ["M635.2 68.75l-27.25-27.37c-5.1-5.1-14.12-9.375-22.62-9.375h-46.87c-16.1 0-33.25 6.75-45.25 18.75l-283.2 283.2c-9.125 8.1-23.5 9.875-33.5 2C166.4 328.1 163.7 313.1 170.2 302.1l76.12-126.1h25.62c8.875 0 15.1-7.125 15.1-15.1V143.1c0-8.875-7.124-15.1-15.1-15.1H15.1c-8.875 0-16 7.125-16 15.1v15.1c0 8.875 7.125 15.1 15.1 15.1h11.5c-8.875 31.87-27.5 104.1-27.5 143.1c0 61.37 35 114.1 85.75 140.9c22.62 12.75 48.25 19.25 74.25 19.13c77.12 0 116.5-51.38 128-64l246.4-307.1c6.125-7.625 15.25-11.1 24.1-11.1h64.62C638.2 95.1 645.4 78.75 635.2 68.75zM95.1 343.1c-13.25 0-23.1-10.75-23.1-23.1c0-13.25 10.75-23.1 23.1-23.1s23.1 10.75 23.1 23.1C119.1 333.2 109.2 343.1 95.1 343.1zM128 247.1c-13.25 0-24-10.75-24-23.1c0-13.25 10.75-23.1 24-23.1s24 10.75 24 23.1C152 237.2 141.3 247.1 128 247.1z", "M128 199.1c-13.25 0-24 10.75-24 23.1c0 13.25 10.75 23.1 24 23.1S152 237.2 152 223.1C152 210.7 141.3 199.1 128 199.1zM95.1 295.1c-13.25 0-23.1 10.75-23.1 23.1c0 13.25 10.75 23.1 23.1 23.1s23.1-10.75 23.1-23.1C119.1 306.7 109.2 295.1 95.1 295.1zM367.1 132.6l-11.25 11.37c-6.25 6.25-6.25 16.37 0 22.62l10.25 10.37l33.1-33.1l-10.37-10.37C384.4 126.4 374.2 126.4 367.1 132.6zM319.1 180.6L308.7 191.1c-6.25 6.25-6.25 16.37 0 22.62L318.1 224.1l33.1-33.1l-10.37-10.37C336.4 174.4 326.2 174.4 319.1 180.6zM438.6 84.75c-6.25-6.25-16.37-6.25-22.62 0l-11.25 11.25c-6.25 6.25-6.25 16.37 0 22.62l10.25 10.37l33.1-33.1L438.6 84.75z"]],
    "saxophone-fire": [640, 512, ["sax-hot"], "f8db", ["M635.2 100.8l-27.25-27.37c-5.1-5.1-14.12-9.375-22.62-9.375h-46.87c-16.1 0-33.25 6.75-45.25 18.75l-283.2 283.2c-9.125 8.1-23.5 9.875-33.5 1.1c-10.12-7.875-12.75-21.1-6.25-32.1l47.37-78.1h22.37c8.875 0 15.1-7.125 15.1-15.1V223.1c0-8.875-7.125-15.1-15.1-15.1H15.1c-8.875 0-15.1 7.125-15.1 15.1l.0001 16c0 8.5 6.75 15.5 15.25 15.87c-7.75 32.62-15.25 70.88-15.25 96.12c0 61.37 34.1 114.1 85.75 140.9c22.62 12.75 48.25 19.25 74.25 19.13c77.12 0 116.5-51.38 127.1-64l246.4-307.1C540.5 132.4 549.6 128 559.4 128h64.62C638.2 128 645.4 110.8 635.2 100.8zM87.1 391.1c-13.25 0-24-10.75-24-24c0-13.25 10.75-23.1 23.1-23.1s23.1 10.75 23.1 23.1C111.1 381.2 101.2 391.1 87.1 391.1zM119.1 303.1c-13.25 0-23.1-10.75-23.1-24c0-13.25 10.75-23.1 23.1-23.1S143.1 266.7 143.1 279.1C143.1 293.2 133.2 303.1 119.1 303.1z", "M119.1 255.1c-13.25 0-23.1 10.75-23.1 23.1c0 13.25 10.75 24 23.1 24s23.1-10.75 23.1-24C143.1 266.7 133.2 255.1 119.1 255.1zM149.6 55.63C135 35.5 118.3 16.88 100 .0003c-49.12 45.62-84 104.1-84 140.7c.125 11.1 2.126 23.87 5.876 35.25l61.37-.0001C75.87 165.7 71.1 153.4 71.1 140.7c0-7.625 8.625-30.25 28.5-57.5c1.25 1.75 2.625 3.5 3.875 5.25l42.62 58.75l26.1-33.12c6.125 12.12 9.625 22.25 9.1 26.62c0 12.62-3.1 24.1-11.25 35.25l61.38 .0001c3.75-11.37 5.75-23.25 5.875-35.25c0-26.62-26-81.5-62.25-115.1C167.8 35 158.4 45 149.6 55.63zM87.1 343.1c-13.25 0-23.1 10.75-23.1 23.1c0 13.25 10.75 24 24 24s23.1-10.75 23.1-24C111.1 354.7 101.2 343.1 87.1 343.1zM367.1 164.6l-11.25 11.37c-6.25 6.25-6.25 16.37 0 22.62l10.25 10.37l33.1-33.1l-10.37-10.37C384.4 158.4 374.2 158.4 367.1 164.6zM438.6 116.6c-6.25-6.25-16.37-6.25-22.62 0L404.7 128c-6.25 6.25-6.25 16.37 0 22.62l10.25 10.37L448.1 127L438.6 116.6zM319.1 212.6L308.7 223.1c-6.25 6.25-6.25 16.37 0 22.62L318.1 256.1l33.1-33.1l-10.37-10.37C336.4 206.4 326.2 206.4 319.1 212.6z"]],
    "scale-balanced": [640, 512, [9878, "balance-scale"], "f24e", ["M495.1 448h-143.1V153.3C375.5 143 393.1 121.8 398.4 96h113.6c17.67 0 31.1-14.33 31.1-32s-14.33-32-31.1-32h-128.4c-14.62-19.38-37.5-32-63.62-32S270.1 12.62 256.4 32H128C110.3 32 96 46.33 96 64S110.3 96 127.1 96h113.6C246.9 121.8 264.5 143 287.1 153.3V448H144c-26.51 0-48.01 21.49-48.01 48c0 8.836 7.165 16 16 16h416c8.836 0 16-7.164 16-16C544 469.5 522.5 448 495.1 448z", "M554.9 154.5c-17.62-35.25-68.12-35.38-85.87 0c-86.1 174.3-84.1 165.9-84.1 181.5c0 44.13 57.25 80 128 80s127.1-35.88 127.1-80C639.1 319.9 641.4 327.3 554.9 154.5zM439.1 320l71.96-144l72.17 144H439.1zM85 154.5C-1.998 328.8 .0019 320.4 .0019 336c0 44.13 57.25 80 127.1 80s128-35.88 128-80c0-16.12 1.375-8.75-85.12-181.5C153.3 119.3 102.8 119.1 85 154.5zM55.96 320l71.96-144L200.1 320H55.96z"]],
    "scale-unbalanced": [640, 512, ["balance-scale-left"], "f515", ["M495.1 448h-143.1V153.3c20.83-9.117 36.72-26.93 43.78-48.77l126.3-42.11c16.77-5.594 25.83-23.72 20.23-40.48c-5.578-16.73-23.62-25.86-40.48-20.23l-113.3 37.76c-13.94-23.49-39.29-39.41-68.58-39.41c-44.18 0-79.1 35.82-79.1 80c0 2.961 .5587 5.771 .8712 8.648L117.9 129.7C101.1 135.3 92.05 153.4 97.64 170.1c4.469 13.41 16.95 21.88 30.36 21.88c3.344 0 6.768-.5186 10.13-1.644L273.8 145.1c4.436 3.15 9.148 5.908 14.19 8.115V496C288 504.8 295.2 512 304 512h223.1c8.838 0 16-7.164 16-15.1C543.1 469.5 522.5 448 495.1 448z", "M85 250.5c-86.1 174.2-84.1 165.9-84.1 181.5C.0035 476.1 57.25 512 128 512s128-35.87 128-79.1c0-16.12 1.375-8.751-85.12-181.5C153.3 215.3 102.8 215.1 85 250.5zM55.96 416l71.98-143.1l72.15 143.1H55.96zM554.9 122.5c-17.62-35.25-68.08-35.37-85.83 0c-86.1 174.2-85.04 165.9-85.04 181.5c0 44.12 57.25 79.1 128 79.1s127.1-35.87 127.1-79.1C639.1 287.9 641.4 295.3 554.9 122.5zM439.1 288l72.04-143.1l72.08 143.1H439.1z"]],
    "scale-unbalanced-flip": [640, 512, ["balance-scale-right"], "f516", ["M512 192c13.41 0 25.89-8.471 30.36-21.88c5.594-16.76-3.469-34.89-20.23-40.48l-122.1-40.1c.3125-2.877 .8712-5.687 .8712-8.648c0-44.18-35.81-80-79.1-80c-29.29 0-54.65 15.92-68.58 39.41l-113.3-37.76C121.3-3.963 103.2 5.162 97.64 21.9C92.05 38.66 101.1 56.78 117.9 62.38l126.3 42.11c7.06 21.84 22.95 39.65 43.78 48.77v294.7H144c-26.51 0-47.1 21.49-47.1 47.1C96 504.8 103.2 512 112 512h223.1c8.836 0 15.1-7.164 15.1-15.1V153.3c5.043-2.207 9.756-4.965 14.19-8.115l135.7 45.23C505.2 191.5 508.7 192 512 192z", "M554.9 250.5c-17.62-35.37-68.12-35.25-85.87 0c-86.37 172.7-85.04 165.4-85.04 181.5C383.1 476.1 441.3 512 512 512s127.1-35.87 127.1-79.1C639.1 416.4 642 424.8 554.9 250.5zM439.9 416l72.15-143.1l71.98 143.1H439.9zM85.04 122.5c-86.37 172.7-85.04 165.4-85.04 181.5c0 44.12 57.25 79.1 127.1 79.1s128-35.87 128-79.1c0-15.62 1.999-7.253-85.12-181.5C153.3 87.14 102.8 87.26 85.04 122.5zM55.92 288l72.08-143.1l72.04 143.1H55.92z"]],
    "scalpel": [512, 512, [], "f61d", ["M0 512c88.97 .125 174.1-29.12 239.6-81.13c.2559-.25 .3828-.375 .6387-.5C272.3 404.6 288 366.4 288 328V320H179.1L0 512z", "M482.7 11.86c-29.23-20.88-70.21-13-93.44 14.25L155.9 293.5c-8.994 10.5-1.498 26.5 12.12 26.5h131.9c9.369 0 18.24-4.125 24.36-11.25l170.9-194.4C521.6 83.49 516.5 35.86 482.7 11.86z"]],
    "scalpel-line-dashed": [576, 512, ["scalpel-path"], "f61e", ["M288 320v8c0 38.38-15.72 76.63-47.81 102.4c-.2559 .125-.3828 .25-.6387 .5C174.1 482.9 88.97 512.1 0 512l179.1-192H288z", "M495.2 114.4c26.36-30.88 21.24-78.5-12.49-102.5c-29.23-20.88-70.21-13-93.44 14.25L155.9 293.5c-8.994 10.5-1.498 26.5 12.12 26.5h131.9c9.369 0 18.24-4.125 24.36-11.25L495.2 114.4zM304 480h-64C231.2 480 224 487.2 224 496S231.2 512 240 512h64c8.836 0 16-7.164 16-16S312.8 480 304 480zM432 480h-64c-8.836 0-16 7.164-16 16s7.164 16 16 16h64c8.836 0 16-7.164 16-16S440.8 480 432 480zM560 480h-64c-8.836 0-16 7.164-16 16s7.164 16 16 16h64c8.836 0 16-7.164 16-16S568.8 480 560 480z"]],
    "scanner-gun": [576, 512, ["scanner"], "f488", ["M304 32C330.5 32 352 53.49 352 80V208C352 234.5 330.5 256 304 256H261.2L144.3 454.6C130.9 477.5 101.5 485.1 78.63 471.7L25.22 440.2C2.431 426.8-5.225 397.5 8.098 374.7L80.03 251.4C33.75 237.6 0 194.7 0 144C0 82.14 50.14 32 112 32H304z", "M552 32C565.3 32 576 42.75 576 56V72C576 85.25 565.3 96 552 96H440C426.7 96 416 85.25 416 72V56C416 42.75 426.7 32 440 32H552zM552 192C565.3 192 576 202.7 576 216V232C576 245.3 565.3 256 552 256H440C426.7 256 416 245.3 416 232V216C416 202.7 426.7 192 440 192H552zM416 440C416 426.7 426.7 416 440 416H552C565.3 416 576 426.7 576 440V456C576 469.3 565.3 480 552 480H440C426.7 480 416 469.3 416 456V440zM560 128C568.8 128 576 135.2 576 144C576 152.8 568.8 160 560 160H432C423.2 160 416 152.8 416 144C416 135.2 423.2 128 432 128H560zM416 304C416 295.2 423.2 288 432 288H560C568.8 288 576 295.2 576 304C576 312.8 568.8 320 560 320H432C423.2 320 416 312.8 416 304zM560 352C568.8 352 576 359.2 576 368C576 376.8 568.8 384 560 384H432C423.2 384 416 376.8 416 368C416 359.2 423.2 352 432 352H560z"]],
    "scanner-image": [576, 512, [], "f8f3", ["M551.7 288L47.98 287.1C21.49 288 0 309.5 0 335.1v96C0 458.5 21.49 480 48 480H528c26.51 0 48-21.49 48-48v-102.4C576 312.3 566.6 296.5 551.7 288zM127.1 399.1c0 8.801-7.199 16-16 16H80.01c-8.801 0-16-7.199-16-16v-31.99c0-8.803 7.199-16 16-16h31.99c8.801 0 16 7.199 16 16V399.1zM223.1 399.1c0 8.801-7.199 16-16 16H176c-8.801 0-16-7.199-16-16v-31.99c0-8.803 7.199-16 16-16h31.99c8.801 0 16 7.198 16 16V399.1z", "M47.98 287.1L551.7 288c-.3887-.2207-.6725-.5628-1.069-.7738L79.06 35.74c-15.59-8.25-35-2.407-43.3 13.19c-8.312 15.59-2.422 34.97 13.17 43.31l367.1 195.8L47.98 287.1C47.97 287.1 47.99 287.1 47.98 287.1zM111.1 351.1H80.01c-8.801 0-16 7.199-16 16v31.99c0 8.801 7.199 16 16 16h31.99c8.801 0 16-7.199 16-16v-31.99C127.1 359.2 120.8 351.1 111.1 351.1z"]],
    "scanner-keyboard": [512, 512, [], "f489", ["M288 96C323.3 96 352 124.7 352 160V448C352 483.3 323.3 512 288 512H64C28.65 512 0 483.3 0 448V160C0 124.7 28.65 96 64 96H288zM88 160C74.75 160 64 170.7 64 184V200C64 213.3 74.75 224 88 224H264C277.3 224 288 213.3 288 200V184C288 170.7 277.3 160 264 160H88zM80 288C71.16 288 64 295.2 64 304V336C64 344.8 71.16 352 80 352H144C152.8 352 160 344.8 160 336V304C160 295.2 152.8 288 144 288H80zM64 432C64 440.8 71.16 448 80 448H144C152.8 448 160 440.8 160 432V400C160 391.2 152.8 384 144 384H80C71.16 384 64 391.2 64 400V432zM208 288C199.2 288 192 295.2 192 304V336C192 344.8 199.2 352 208 352H272C280.8 352 288 344.8 288 336V304C288 295.2 280.8 288 272 288H208zM192 432C192 440.8 199.2 448 208 448H272C280.8 448 288 440.8 288 432V400C288 391.2 280.8 384 272 384H208C199.2 384 192 391.2 192 400V432z", "M168 0C181.3 0 192 10.75 192 24V64H128V24C128 10.75 138.7 0 152 0H168zM328 0C341.3 0 352 10.75 352 24V64H288V24C288 10.75 298.7 0 312 0H328zM224 16C224 7.164 231.2 0 240 0C248.8 0 256 7.164 256 16V64H224V16zM416 16V272C416 280.8 408.8 288 400 288C391.2 288 384 280.8 384 272V16C384 7.164 391.2 0 400 0C408.8 0 416 7.164 416 16zM448 24C448 10.75 458.7 0 472 0H488C501.3 0 512 10.75 512 24V264C512 277.3 501.3 288 488 288H472C458.7 288 448 277.3 448 264V24zM264 160C277.3 160 288 170.7 288 184V200C288 213.3 277.3 224 264 224H88C74.75 224 64 213.3 64 200V184C64 170.7 74.75 160 88 160H264z"]],
    "scanner-touchscreen": [512, 512, [], "f48a", ["M288 96C323.3 96 352 124.7 352 160V448C352 483.3 323.3 512 288 512H64C28.65 512 0 483.3 0 448V160C0 124.7 28.65 96 64 96H288zM88 160C74.75 160 64 170.7 64 184V424C64 437.3 74.75 448 88 448H264C277.3 448 288 437.3 288 424V184C288 170.7 277.3 160 264 160H88z", "M168 0C181.3 0 192 10.75 192 24V64H128V24C128 10.75 138.7 0 152 0H168zM328 0C341.3 0 352 10.75 352 24V64H288V24C288 10.75 298.7 0 312 0H328zM224 16C224 7.164 231.2 0 240 0C248.8 0 256 7.164 256 16V64H224V16zM416 16V272C416 280.8 408.8 288 400 288C391.2 288 384 280.8 384 272V16C384 7.164 391.2 0 400 0C408.8 0 416 7.164 416 16zM448 24C448 10.75 458.7 0 472 0H488C501.3 0 512 10.75 512 24V264C512 277.3 501.3 288 488 288H472C458.7 288 448 277.3 448 264V24zM264 160C277.3 160 288 170.7 288 184V424C288 437.3 277.3 448 264 448H88C74.75 448 64 437.3 64 424V184C64 170.7 74.75 160 88 160H264z"]],
    "scarecrow": [512, 512, [], "f70d", ["M248.8 414.2L223.1 401L223.1 496c0 8.836 7.164 16 16 16h32c8.836 0 16-7.164 16-16l-.001-95l-24.88 13.22C258.7 416.6 253.3 416.6 248.8 414.2zM256 0C202.1 0 160 42.98 160 96s42.98 96 95.1 96s96.01-42.98 96.01-96S309 0 256 0zM224 96c-8.836 0-16-7.164-16-16S215.2 64 224 64s16 7.164 16 16S232.8 96 224 96zM288 112c-8.836 0-16-7.164-16-16s7.165-16 16-16s16 7.164 16 16S296.8 112 288 112z", "M288 112c8.836 0 16-7.164 16-16s-7.164-16-16-16S272 87.16 272 96S279.2 112 288 112zM224 96c8.836 0 16-7.164 16-16s-7.164-16-16-16S208 71.16 208 80S215.2 96 224 96zM477.8 186.3L451.3 160l18.36-18.26c3.148-3.1 3.13-8.209 .0303-11.36c-1.525-1.549-3.597-2.406-5.771-2.382L346.5 128c-17.69 49.98-72.55 76.16-122.5 58.47C196.6 176.8 175.1 155.3 165.5 128L48 128C43.58 127.1 39.96 131.5 39.91 135.9C39.89 138.1 40.71 140.2 42.26 141.7l18.49 18.26l-26.48 26.26c-3.115 3.121-3.115 8.237 0 11.36l26.48 26.38L42.38 242.3C39.24 245.4 39.23 250.5 42.33 253.6c1.525 1.549 3.622 2.413 5.794 2.39h106.1l-26 141.3c-1.416 8.721 4.469 16.98 13.19 18.4c3.297 .5352 6.722 .0672 9.714-1.417l32.64-24.21c4.961-3.702 11.63-4.163 17.09-1.256L248.8 414.2c4.461 2.4 9.871 2.4 14.33 0l47.92-25.49c5.471-2.916 12.1-2.472 17.06 1.238l32.67 24.24c7.852 3.971 17.46 .8074 21.43-7.044c1.541-3.047 2.097-6.572 1.521-9.935l-25.84-141.2h106.1c4.445-.0234 7.969-3.651 7.944-8.097c-.0117-2.1-.7311-4.149-2.206-5.643L451.3 224l26.36-26.26C480.8 194.7 480.8 189.5 477.8 186.3z"]],
    "scarf": [512, 512, [129507], "f7c1", ["M166 323.8l-118.4 118.1c-3.125 3.125-3.125 8.249 0 11.37l11.25 11.25c3.125 3.125 8.25 3.125 11.38 0l118.4-118.2L166 323.8zM120.8 278.6l-118.5 118.1c-2.1 3-2.1 8.125 0 11.25l11.38 11.25c3.127 3.125 8.126 3.125 11.25 0l118.4-118.1L120.8 278.6zM92.88 487.1c-3.125 3.125-3.125 8.125 0 11.25l11.38 11.37c3 3 8.125 3 11.25 0l118.4-118.2l-22.63-22.62L92.88 487.1zM301.8 368.9l-22.54 22.71l117.4 117.2c3.125 3 8.124 3 11.25 0l11.38-11.37c3-3.125 3-8.125 0-11.25L301.8 368.9zM509.8 395.8l-117.5-117.1l-22.5 22.62l117.3 116.1c3.125 3.123 8.25 3.123 11.25 0l11.38-11.25C512.8 403.9 512.8 398.9 509.8 395.8zM347 323.8l-22.63 22.5l117.4 117.2c3.125 3.125 8.25 3.125 11.38 0l11.25-11.25c3.125-3.125 3.125-8.249 0-11.37L347 323.8z", "M214.3 100.9c36.88-8.624 68-3.625 84.38 .25l-19.5 19.37l109.8 109.6c46.63-51.75 20.38-105.4 13.25-117.4l-43.67-73.43c-4.25-7.124-9.917-13.25-16.79-17.1c-40.63-27.5-127.4-29.58-171.4 .1667c-6.875 4.75-12.5 10.75-16.75 17.1l-43.63 73.12C108.4 115.1 72.75 174.8 121.4 228.4l157.8 163.2l113-112.1L214.3 100.9z"]],
    "school": [640, 512, [127979], "f549", ["M476.8 98.06L602.4 125.1C624.4 130.9 640 150.3 640 172.8V464C640 490.5 618.5 512 592 512H48C21.49 512 0 490.5 0 464V172.8C0 150.3 15.63 130.9 37.59 125.1L163.2 98.06L302.2 5.374C312.1-1.791 327-1.791 337.8 5.374L476.8 98.06zM256 512H384V416C384 380.7 355.3 352 320 352C284.7 352 256 380.7 256 416V512zM96 192C87.16 192 80 199.2 80 208V272C80 280.8 87.16 288 96 288H128C136.8 288 144 280.8 144 272V208C144 199.2 136.8 192 128 192H96zM496 272C496 280.8 503.2 288 512 288H544C552.8 288 560 280.8 560 272V208C560 199.2 552.8 192 544 192H512C503.2 192 496 199.2 496 208V272zM96 320C87.16 320 80 327.2 80 336V400C80 408.8 87.16 416 96 416H128C136.8 416 144 408.8 144 400V336C144 327.2 136.8 320 128 320H96zM496 400C496 408.8 503.2 416 512 416H544C552.8 416 560 408.8 560 400V336C560 327.2 552.8 320 544 320H512C503.2 320 496 327.2 496 336V400zM320 264C368.6 264 408 224.6 408 176C408 127.4 368.6 88 320 88C271.4 88 232 127.4 232 176C232 224.6 271.4 264 320 264z", "M336 160H352C360.8 160 368 167.2 368 176C368 184.8 360.8 192 352 192H320C311.2 192 304 184.8 304 176V144C304 135.2 311.2 128 320 128C328.8 128 336 135.2 336 144V160zM80 208C80 199.2 87.16 192 96 192H128C136.8 192 144 199.2 144 208V272C144 280.8 136.8 288 128 288H96C87.16 288 80 280.8 80 272V208zM496 208C496 199.2 503.2 192 512 192H544C552.8 192 560 199.2 560 208V272C560 280.8 552.8 288 544 288H512C503.2 288 496 280.8 496 272V208zM128 320C136.8 320 144 327.2 144 336V400C144 408.8 136.8 416 128 416H96C87.16 416 80 408.8 80 400V336C80 327.2 87.16 320 96 320H128zM496 336C496 327.2 503.2 320 512 320H544C552.8 320 560 327.2 560 336V400C560 408.8 552.8 416 544 416H512C503.2 416 496 408.8 496 400V336z"]],
    "school-circle-check": [640, 512, [], "e56b", ["M302.2 5.374C312.1-1.791 327-1.791 337.8 5.374L476.8 98.06L602.4 125.1C624.4 130.9 640 150.3 640 172.8V266.8C608.1 221.6 555.5 191.1 496 191.1C457.5 191.1 421.8 204.4 392.9 225.4C402.4 211.3 408 194.3 408 175.1C408 127.4 368.6 87.1 320 87.1C271.4 87.1 232 127.4 232 175.1C232 224.6 271.4 263.1 320 263.1C335.6 263.1 350.2 259.1 362.9 252.9C339.4 279.9 324.1 314.3 320.7 352H320.3L320 352C284.7 352 256 380.7 256 416V512H320L48 512C21.49 512 0 490.5 0 464V172.8C0 150.3 15.63 130.9 37.59 125.1L163.2 98.06L302.2 5.374zM80 272C80 280.8 87.16 288 96 288H128C136.8 288 144 280.8 144 272V208C144 199.2 136.8 192 128 192H96C87.16 192 80 199.2 80 208V272zM80 400C80 408.8 87.16 416 96 416H128C136.8 416 144 408.8 144 400V336C144 327.2 136.8 320 128 320H96C87.16 320 80 327.2 80 336V400zM336 160H352C360.8 160 368 167.2 368 176C368 184.8 360.8 192 352 192H320C311.2 192 304 184.8 304 176V144C304 135.2 311.2 128 320 128C328.8 128 336 135.2 336 144V160z", "M352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM563.3 347.3C569.6 341.1 569.6 330.9 563.3 324.7C557.1 318.4 546.9 318.4 540.7 324.7L480 385.4L451.3 356.7C445.1 350.4 434.9 350.4 428.7 356.7C422.4 362.9 422.4 373.1 428.7 379.3L468.7 419.3C474.9 425.6 485.1 425.6 491.3 419.3L563.3 347.3z"]],
    "school-circle-exclamation": [640, 512, [], "e56c", ["M302.2 5.374C312.1-1.791 327-1.791 337.8 5.374L476.8 98.06L602.4 125.1C624.4 130.9 640 150.3 640 172.8V266.8C608.1 221.6 555.5 191.1 496 191.1C457.5 191.1 421.8 204.4 392.9 225.4C402.4 211.3 408 194.3 408 175.1C408 127.4 368.6 87.1 320 87.1C271.4 87.1 232 127.4 232 175.1C232 224.6 271.4 263.1 320 263.1C335.6 263.1 350.2 259.1 362.9 252.9C339.4 279.9 324.1 314.3 320.7 352H320.3L320 352C284.7 352 256 380.7 256 416V512H320L48 512C21.49 512 0 490.5 0 464V172.8C0 150.3 15.63 130.9 37.59 125.1L163.2 98.06L302.2 5.374zM80 272C80 280.8 87.16 288 96 288H128C136.8 288 144 280.8 144 272V208C144 199.2 136.8 192 128 192H96C87.16 192 80 199.2 80 208V272zM80 400C80 408.8 87.16 416 96 416H128C136.8 416 144 408.8 144 400V336C144 327.2 136.8 320 128 320H96C87.16 320 80 327.2 80 336V400zM336 160H352C360.8 160 368 167.2 368 176C368 184.8 360.8 192 352 192H320C311.2 192 304 184.8 304 176V144C304 135.2 311.2 128 320 128C328.8 128 336 135.2 336 144V160z", "M640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 416C482.7 416 472 426.7 472 440C472 453.3 482.7 464 496 464C509.3 464 520 453.3 520 440C520 426.7 509.3 416 496 416zM511.1 288C511.1 279.2 504.8 272 495.1 272C487.2 272 479.1 279.2 479.1 288V368C479.1 376.8 487.2 384 495.1 384C504.8 384 511.1 376.8 511.1 368V288z"]],
    "school-circle-xmark": [640, 512, [], "e56d", ["M302.2 5.374C312.1-1.791 327-1.791 337.8 5.374L476.8 98.06L602.4 125.1C624.4 130.9 640 150.3 640 172.8V266.8C608.1 221.6 555.5 191.1 496 191.1C457.5 191.1 421.8 204.4 392.9 225.4C402.4 211.3 408 194.3 408 175.1C408 127.4 368.6 87.1 320 87.1C271.4 87.1 232 127.4 232 175.1C232 224.6 271.4 263.1 320 263.1C335.6 263.1 350.2 259.1 362.9 252.9C339.4 279.9 324.1 314.3 320.7 352H320.3L320 352C284.7 352 256 380.7 256 416V512H320L48 512C21.49 512 0 490.5 0 464V172.8C0 150.3 15.63 130.9 37.59 125.1L163.2 98.06L302.2 5.374zM80 272C80 280.8 87.16 288 96 288H128C136.8 288 144 280.8 144 272V208C144 199.2 136.8 192 128 192H96C87.16 192 80 199.2 80 208V272zM80 400C80 408.8 87.16 416 96 416H128C136.8 416 144 408.8 144 400V336C144 327.2 136.8 320 128 320H96C87.16 320 80 327.2 80 336V400zM336 160H352C360.8 160 368 167.2 368 176C368 184.8 360.8 192 352 192H320C311.2 192 304 184.8 304 176V144C304 135.2 311.2 128 320 128C328.8 128 336 135.2 336 144V160z", "M640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM532.7 308.7L496 345.4L459.3 308.7C453.1 302.4 442.9 302.4 436.7 308.7C430.4 314.9 430.4 325.1 436.7 331.3L473.4 368L436.7 404.7C430.4 410.9 430.4 421.1 436.7 427.3C442.9 433.6 453.1 433.6 459.3 427.3L496 390.6L532.7 427.3C538.9 433.6 549.1 433.6 555.3 427.3C561.6 421.1 561.6 410.9 555.3 404.7L518.6 368L555.3 331.3C561.6 325.1 561.6 314.9 555.3 308.7C549.1 302.4 538.9 302.4 532.7 308.7z"]],
    "school-flag": [576, 512, [], "e56e", ["M410.3 160H512C547.3 160 576 188.7 576 224V448C576 483.3 547.3 512 512 512H336V400C336 373.5 314.5 352 288 352C261.5 352 240 373.5 240 400V512H64C28.65 512 0 483.3 0 448V224C0 188.7 28.65 160 64 160H165.7L269.4 85.96C280.5 78.01 295.5 78.01 306.6 85.96L410.3 160zM288 192C261.5 192 240 213.5 240 240C240 266.5 261.5 288 288 288C314.5 288 336 266.5 336 240C336 213.5 314.5 192 288 192zM80 224C71.16 224 64 231.2 64 240V304C64 312.8 71.16 320 80 320H112C120.8 320 128 312.8 128 304V240C128 231.2 120.8 224 112 224H80zM448 304C448 312.8 455.2 320 464 320H496C504.8 320 512 312.8 512 304V240C512 231.2 504.8 224 496 224H464C455.2 224 448 231.2 448 240V304zM80 352C71.16 352 64 359.2 64 368V432C64 440.8 71.16 448 80 448H112C120.8 448 128 440.8 128 432V368C128 359.2 120.8 352 112 352H80zM464 352C455.2 352 448 359.2 448 368V432C448 440.8 455.2 448 464 448H496C504.8 448 512 440.8 512 432V368C512 359.2 504.8 352 496 352H464z", "M288 0H400C408.8 0 416 7.164 416 16V64C416 72.84 408.8 80 400 80H320V95.53L306.6 85.96C295.5 78.01 280.5 78.01 269.4 85.96L256 95.53V32C256 14.33 270.3 0 288 0V0zM64 240C64 231.2 71.16 224 80 224H112C120.8 224 128 231.2 128 240V304C128 312.8 120.8 320 112 320H80C71.16 320 64 312.8 64 304V240zM448 240C448 231.2 455.2 224 464 224H496C504.8 224 512 231.2 512 240V304C512 312.8 504.8 320 496 320H464C455.2 320 448 312.8 448 304V240zM112 352C120.8 352 128 359.2 128 368V432C128 440.8 120.8 448 112 448H80C71.16 448 64 440.8 64 432V368C64 359.2 71.16 352 80 352H112zM448 368C448 359.2 455.2 352 464 352H496C504.8 352 512 359.2 512 368V432C512 440.8 504.8 448 496 448H464C455.2 448 448 440.8 448 432V368z"]],
    "school-lock": [640, 512, [], "e56f", ["M320 128C328.8 128 336 135.2 336 144V160H352C360.8 160 368 167.2 368 176C368 184.8 360.8 192 352 192H320C311.2 192 304 184.8 304 176V144C304 135.2 311.2 128 320 128zM476.8 98.06L602.4 125.1C624.4 130.9 640 150.3 640 172.8V271.1C640 210.1 589.9 159.1 528 159.1C466.1 159.1 416 210.1 416 271.1V296.6C396.9 307.6 384 328.3 384 352H320.3L320 352C284.7 352 256 380.7 256 416V512L320 512H48C21.49 512 0 490.5 0 464V172.8C0 150.3 15.63 130.9 37.59 125.1L163.2 98.06L302.2 5.374C312.1-1.791 327-1.791 337.8 5.374L476.8 98.06zM96 192C87.16 192 80 199.2 80 208V272C80 280.8 87.16 288 96 288H128C136.8 288 144 280.8 144 272V208C144 199.2 136.8 192 128 192H96zM96 320C87.16 320 80 327.2 80 336V400C80 408.8 87.16 416 96 416H128C136.8 416 144 408.8 144 400V336C144 327.2 136.8 320 128 320H96zM320 88C271.4 88 232 127.4 232 176C232 224.6 271.4 264 320 264C368.6 264 408 224.6 408 176C408 127.4 368.6 88 320 88z", "M448 320V272C448 227.8 483.8 192 528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320zM496 320H560V272C560 254.3 545.7 240 528 240C510.3 240 496 254.3 496 272V320z"]],
    "scissors": [512, 512, [9986, 9988, 9984, "cut"], "f0c4", ["M191.1 255.1L152.5 216.5C139.9 221.3 126.3 224 112 224C50.14 224 0 173.9 0 112C0 50.14 50.14 0 112 0C173.9 0 224 50.14 224 112C224 126.3 221.3 139.9 216.5 152.5L255.1 191.1L191.1 255.1zM63.1 111.1C63.1 138.5 85.49 159.1 111.1 159.1C138.5 159.1 159.1 138.5 159.1 111.1C159.1 85.49 138.5 63.1 111.1 63.1C85.49 63.1 63.1 85.49 63.1 111.1zM499.2 435.2C506.3 442.3 506.3 453.7 499.2 460.8C470.9 489.1 425.1 489.1 396.8 460.8L255.1 319.1L320 255.1L499.2 435.2z", "M224 400C224 461.9 173.9 512 112 512C50.14 512 0 461.9 0 400C0 338.1 50.14 288 112 288C126.3 288 139.9 290.7 152.5 295.5L396.8 51.2C425.1 22.92 470.9 22.92 499.2 51.2C506.3 58.27 506.3 69.73 499.2 76.8L216.5 359.5C221.3 372.1 224 385.7 224 400zM112 352C85.49 352 64 373.5 64 400C64 426.5 85.49 448 112 448C138.5 448 160 426.5 160 400C160 373.5 138.5 352 112 352z"]],
    "screen-users": [640, 512, ["users-class"], "f63d", ["M96 64h448v160c24.62 0 47 9.625 64 25V49.63c0-27.38-21.5-49.63-48-49.63h-480c-26.5 0-48 22.25-48 49.63v199.4c17-15.38 39.38-25 64-25V64z", "M320 383.1C355.2 383.8 383.8 355.3 383.8 320S355.2 256.2 320 256C284.8 256.2 256.2 284.7 256.2 320S284.8 383.8 320 383.1zM343.8 416h-47.5C256.4 416 224 449.5 224 490.7C224 502.4 233.3 512 244.8 512h150.3C406.7 512 416 502.4 416 490.7C416 449.5 383.6 416 343.8 416zM567.8 416h-47.5C480.4 416 448 449.5 448 490.7C448 502.4 457.3 512 468.8 512h150.3C630.7 512 640 502.4 640 490.7C640 449.5 607.6 416 567.8 416zM544 383.1C579.2 383.8 607.8 355.3 607.8 320S579.2 256.2 544 256C508.8 256.2 480.2 284.7 480.2 320S508.8 383.8 544 383.1zM96 383.1C131.2 383.8 159.8 355.3 159.8 320S131.2 256.2 96 256C60.78 256.2 32.21 284.7 32.21 320S60.78 383.8 96 383.1zM119.8 416h-47.5C32.42 416 0 449.5 0 490.7C0 502.4 9.34 512 20.83 512h150.3C182.7 512 192 502.4 192 490.7C192 449.5 159.6 416 119.8 416z"]],
    "screencast": [576, 512, [], "e23e", ["M496.1 32H80.54C36.46 32 .625 67.82 .625 111.9v65.95c10.5-1.234 21.13-2.043 31.96-2.043S54.05 176.6 64.55 177.8V111.9c0-8.805 7.18-15.98 15.98-15.98h415.5c8.805 0 15.98 7.176 15.98 15.98v287.6c0 8.805-7.18 15.98-15.98 15.98h-193.8c1.232 10.5 2.041 21.13 2.041 31.96s-.8086 21.45-2.041 31.95h193.8C540.2 479.4 576 443.6 576 399.5V111.9C576 67.82 540.2 32 496.1 32z", "M32.59 415.5c-17.65 0-31.96 14.31-31.96 31.96s14.31 31.95 31.96 31.95s31.96-14.3 31.96-31.95S50.24 415.5 32.59 415.5zM32.59 223.7c-17.67 0-31.96 14.29-31.96 31.95s14.3 31.95 31.96 31.95c88.12 0 159.8 71.68 159.8 159.8c0 17.66 14.3 31.95 31.96 31.95c17.67 0 31.97-14.29 31.97-31.95C256.3 324.1 155.1 223.7 32.59 223.7zM31.96 320.2C14.3 320.2 0 334.5 0 352.2c0 17.66 14.3 31.95 31.96 31.95c35.24 0 63.93 28.68 63.93 63.91C95.9 465.7 110.2 480 127.9 480s31.96-14.29 31.96-31.95C159.8 377.5 102.5 320.2 31.96 320.2z"]],
    "screwdriver": [512, 512, [129691], "f54a", ["M511.1 64l-95.1 128h-61.99l-106.7 106.6C243.8 291.4 239.3 284.6 233.4 278.6S220.6 268.2 213.4 264.7L320 158L319.1 96l128-96L511.1 64z", "M128 278.6l-117.1 116.9c-14.5 14.62-14.5 38.29 0 52.79l52.75 52.75c14.5 14.5 38.17 14.5 52.79 0L233.4 384c29.12-29.12 29.12-76.25 0-105.4S157.1 249.5 128 278.6z"]],
    "screwdriver-wrench": [512, 512, ["tools"], "f7d9", ["M227.9 307L168.7 247.9l-148.9 148.9c-26.37 26.37-26.37 69.08 0 95.45C32.96 505.4 50.21 512 67.5 512s34.54-6.592 47.72-19.78l119.1-119.1C225.5 352.3 222.6 329.4 227.9 307zM64 472c-13.25 0-24-10.75-24-24c0-13.26 10.75-24 24-24S88 434.7 88 448C88 461.3 77.25 472 64 472zM507.7 109.3c-1.641-6.43-8.184-10.31-14.61-8.67c-2.094 .5352-4.006 1.623-5.533 3.152l-74.45 74.5l-67.96-11.32l-11.32-68.01l74.45-74.45c4.697-4.688 4.707-12.29 .0195-16.99c-1.564-1.568-3.531-2.674-5.686-3.193c-49.09-12.22-100.1 2.191-136.7 37.98C226.2 81.94 215.2 139.5 231.8 189.6L227.7 193.7l70.95 70.97c28.5-14.14 62.84-8.55 85.39 13.9l7.516 7.474c29.64-4.719 57.03-18.67 78.22-39.93C505.6 210.3 519.1 158.4 507.7 109.3z", "M384 278.6c-23.16-23.16-57.57-27.57-85.39-13.9L191.1 158L191.1 95.99l-127.1-95.99L0 63.1l96 127.1l62.04 .0077l106.7 106.6c-13.67 27.82-9.251 62.23 13.91 85.39l117 117.1c14.62 14.5 38.21 14.5 52.71-.0016l52.75-52.75c14.5-14.5 14.5-38.08-.0016-52.71L384 278.6z"]],
    "scribble": [512, 512, [], "e23f", ["M169.1 23.33C186.5 8.317 207.1 0 230.3 0H231.4C280.3 0 320 39.65 320 88.57C320 112.1 310.7 134.6 294.1 151.2L103.2 342.1C98.59 346.7 96 352.9 96 359.4C96 373 107 384 120.6 384C127.1 384 133.3 381.4 137.9 376.8L360.8 153.9C377.4 137.3 399.9 128 423.4 128C472.3 128 512 167.7 512 216.6C512 240.1 502.7 262.6 486.1 279.2L397.8 367.4C388.1 376.3 384 388.3 384 400.9C384 426.9 405.1 448 430.1 448C437.2 448 443.4 446.5 448.9 443.8L465.7 435.4C481.5 427.5 500.7 433.9 508.6 449.7C516.5 465.5 510.1 484.7 494.3 492.6L477.6 500.1C463.1 508.2 447.1 512 430.1 512C369.6 512 320 462.1 320 400.9C320 371.4 331.7 343.1 352.6 322.2L440.8 233.9C445.4 229.3 448 223.1 448 216.6C448 203 437 192 423.4 192C416.9 192 410.7 194.6 406.1 199.2L183.2 422.1C166.6 438.7 144.1 448 120.6 448C71.65 448 32 408.3 32 359.4C32 335.9 41.33 313.4 57.94 296.8L248.8 105.9C253.4 101.3 256 95.08 256 88.57C256 75 245 64 231.4 64H230.3C223.9 64 217.8 66.38 213 70.68L53.53 215.7C40.45 227.6 20.21 226.6 8.322 213.5C-3.566 200.4-2.602 180.2 10.47 168.3L169.1 23.33z", ""]],
    "scroll": [576, 512, [128220], "f70e", ["M480 128v224h-192v48c0 44.18-35.82 80-80 80C163.8 480 128 444.2 128 400V96c0-35.35-28.65-64-64-64h320C437 32 480 75 480 128z", "M64 32C28.65 32 0 60.65 0 96v48C0 152.8 7.164 160 16 160H128V96C128 60.65 99.35 32 64 32zM560 352H288v48c0 44.18-35.82 80-80 80h256c61.88 0 112-50.13 112-112C576 359.1 568.9 352 560 352z"]],
    "scroll-old": [576, 512, [], "f70f", ["M480 128l-31.1 32l31.1 31.1v32L448 256l31.1 31.1L480 352h-63.1l-32 32l-31.1-32h-64L288 400c0 44.18-35.82 80-80 80C163.8 480 128 444.2 128 400L128 256l32-32l-32-32L128 96c0-35.35-28.65-64-64-64h320C437 32 480 75 480 128z", "M128 96v64H16c-8.836 0-15.1-7.164-15.1-16L0 96c0-35.35 28.65-64 64-64C99.35 32 128 60.65 128 96zM560 352H416l-32 32l-31.1-32h-64L288 400c0 44.18-35.82 80-80 80h256C525.9 480 576 429.9 576 368C576 359.1 568.9 352 560 352z"]],
    "scroll-torah": [640, 512, ["torah"], "f6a0", ["M257.5 200.5L220.8 200.5l18.38 30.83L257.5 200.5zM220.8 311.5l36.87-.0012l-18.5-30.87L220.8 311.5zM319.1 145.5L302.2 175.1l35.37-.0011L319.1 145.5zM419.2 200.5L382.4 200.5l18.5 30.79L419.2 200.5zM382.5 311.5l36.75-.0011l-18.38-30.75L382.5 311.5zM96 32v448h448V32H96zM445.2 326.1c-3.75 6.625-10.87 10.75-18.5 10.75l-59.5 .0019l-29.12 48.67c-3.75 6.5-10.62 10.33-18.12 10.46c-7.375 0-14.25-3.874-18-10.25l-29.25-48.87l-59.5 .0019c-7.625 0-14.62-4.124-18.37-10.75S191.3 311.4 195.1 304.9l29.25-48.87L195 207c-3.875-6.5-4.001-14.62-.2507-21.12c3.75-6.625 10.87-10.75 18.5-10.75L272.7 175.1l29.12-48.67C305.6 119.1 312.6 116.1 319.1 116.1c7.375-.125 14.25 3.916 17.1 10.17l29.25 48.87l59.5-.0019c7.625 0 14.62 4.124 18.38 10.75s3.626 14.75-.2493 21.25l-29.25 48.87l29.38 48.1C448.1 311.5 448.1 319.6 445.2 326.1zM320 366.5l17.75-29.62l-35.5 .0011L320 366.5zM352.9 200.5L287.1 200.5L253.9 256l33.25 55.5L352.9 311.5l33.25-55.5L352.9 200.5z", "M48 0C21.5 0 0 14.38 0 32v448c0 17.62 21.5 32 48 32S96 497.6 96 480V32C96 14.38 74.5 0 48 0zM592 0C565.5 0 544 14.38 544 32v448c0 17.62 21.5 32 48 32s48-14.38 48-32V32C640 14.38 618.5 0 592 0z"]],
    "scrubber": [512, 512, [], "f2f8", ["M256 320c-35.33 0-64-28.75-64-64s28.67-64 64-64s64 28.75 64 64S291.3 320 256 320z", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 320c-35.33 0-64-28.75-64-64s28.67-64 64-64s64 28.75 64 64S291.3 320 256 320z"]],
    "scythe": [640, 512, [], "f710", ["M583.9 0l-245 0C191.1 0 63.1 63.1 0 191.1h544L583.9 0z", "M632.6 11.62c-6-7.375-15.12-11.62-24.62-11.62l-25.5 0l-59.75 288h-106.7c-17.67 0-31.99 14.33-31.99 32s14.32 32 31.99 32h93.49l-29.25 141c-.875 4.75 .375 9.5 3.5 13.25C486.7 509.9 491.2 512 495.1 512h31.5c7.623 0 14.25-5.5 15.62-13L639.5 38C641.2 28.62 638.7 18.1 632.6 11.62z"]],
    "sd-card": [384, 512, [], "f7c2", ["M320 0H128L0 128v320c0 35.25 28.75 64 64 64h256c35.25 0 64-28.75 64-64V64C384 28.75 355.3 0 320 0zM160 160H112V64H160V160zM240 160H192V64h48V160zM320 160h-48V64H320V160z", "M112 160H160V64H112V160zM192 160h48V64H192V160zM272 64v96H320V64H272z"]],
    "sd-cards": [448, 512, [], "e240", ["M384 0H208L96 112V352c0 35.25 28.75 64 64 64h224c35.25 0 64-28.75 64-64V64C448 28.75 419.3 0 384 0zM304 160H256V64h48V160zM384 160h-48V64H384V160z", "M304 64H256v96h48V64zM336 64v96H384V64H336zM328 512h-208C53.83 512 0 458.2 0 392v-272C0 106.8 10.75 96 24 96S48 106.8 48 120v272c0 39.7 32.3 72 72 72h208c13.25 0 24 10.75 24 24S341.3 512 328 512z"]],
    "seal": [512, 512, [], "e241", ["M335.5 64H400C426.5 64 448 85.49 448 112V176.5L493.6 222.1C512.3 240.8 512.3 271.2 493.6 289.9L448 335.5V400C448 426.5 426.5 448 400 448H335.5L289.9 493.6C271.2 512.3 240.8 512.3 222.1 493.6L176.5 448H112C85.49 448 64 426.5 64 400V335.5L18.41 289.9C-.3328 271.2-.3328 240.8 18.41 222.1L64 176.5V112C64 85.49 85.49 64 112 64H176.5L222.1 18.41C240.8-.3309 271.2-.3309 289.9 18.41L335.5 64z", ""]],
    "seal-exclamation": [512, 512, [], "e242", ["M222.1 18.41C240.8-.3309 271.2-.3309 289.9 18.41L335.5 64H400C426.5 64 448 85.49 448 112V176.5L493.6 222.1C512.3 240.8 512.3 271.2 493.6 289.9L448 335.5V400C448 426.5 426.5 448 400 448H335.5L289.9 493.6C271.2 512.3 240.8 512.3 222.1 493.6L176.5 448H112C85.49 448 64 426.5 64 400V335.5L18.41 289.9C-.3328 271.2-.3328 240.8 18.41 222.1L64 176.5V112C64 85.49 85.49 64 112 64H176.5L222.1 18.41zM232 152V264C232 277.3 242.7 288 256 288C269.3 288 280 277.3 280 264V152C280 138.7 269.3 128 256 128C242.7 128 232 138.7 232 152zM256 320C238.3 320 224 334.3 224 352C224 369.7 238.3 384 256 384C273.7 384 288 369.7 288 352C288 334.3 273.7 320 256 320z", "M280 264C280 277.3 269.3 288 256 288C242.7 288 232 277.3 232 264V152C232 138.7 242.7 128 256 128C269.3 128 280 138.7 280 152V264zM224 352C224 334.3 238.3 320 256 320C273.7 320 288 334.3 288 352C288 369.7 273.7 384 256 384C238.3 384 224 369.7 224 352z"]],
    "seal-question": [512, 512, [], "e243", ["M222.1 18.41C240.8-.3309 271.2-.3309 289.9 18.41L335.5 64H400C426.5 64 448 85.49 448 112V176.5L493.6 222.1C512.3 240.8 512.3 271.2 493.6 289.9L448 335.5V400C448 426.5 426.5 448 400 448H335.5L289.9 493.6C271.2 512.3 240.8 512.3 222.1 493.6L176.5 448H112C85.49 448 64 426.5 64 400V335.5L18.41 289.9C-.3328 271.2-.3328 240.8 18.41 222.1L64 176.5V112C64 85.49 85.49 64 112 64H176.5L222.1 18.41zM169.4 166.5C164.9 179 171.5 192.7 183.1 197.2C196.5 201.6 210.2 195.1 214.6 182.6L215.1 181.3C216.2 178.1 219.2 176 222.6 176H280.9C289.2 176 296 182.8 296 191.1C296 196.6 293.1 201.6 288.4 204.3L244.1 229.7C236.6 234 232 241.9 232 250.5V264C232 277.3 242.7 288 256 288C269.1 288 279.8 277.5 279.1 264.4L312.3 245.9C331.9 234.7 344 213.8 344 191.1C344 156.3 315.7 128 280.9 128H222.6C198.9 128 177.8 142.9 169.8 165.3L169.4 166.5zM256 320C238.3 320 224 334.3 224 352C224 369.7 238.3 384 256 384C273.7 384 288 369.7 288 352C288 334.3 273.7 320 256 320z", "M280.9 128C315.7 128 344 156.3 344 191.1C344 213.8 331.9 234.7 312.3 245.9L279.1 264.4C279.8 277.5 269.1 288 256 288C242.7 288 232 277.3 232 264V250.5C232 241.9 236.6 234 244.1 229.7L288.4 204.3C293.1 201.6 296 196.6 296 191.1C296 182.8 289.2 176 280.9 176H222.6C219.2 176 216.2 178.1 215.1 181.3L214.6 182.6C210.2 195.1 196.5 201.6 183.1 197.2C171.5 192.7 164.9 179 169.4 166.5L169.8 165.3C177.8 142.9 198.9 128 222.6 128L280.9 128zM224 352C224 334.3 238.3 320 256 320C273.7 320 288 334.3 288 352C288 369.7 273.7 384 256 384C238.3 384 224 369.7 224 352z"]],
    "seat-airline": [448, 512, [], "e244", ["M264 416V464H360C373.3 464 384 474.7 384 488C384 501.3 373.3 512 360 512H120C106.7 512 96 501.3 96 488C96 474.7 106.7 464 120 464H216V416H264zM80.53 192H320C337.7 192 352 206.3 352 224C352 241.7 337.7 256 320 256H107.1L80.53 192z", "M32 0C49.67 0 64 14.33 64 32V143.6C64 150.1 65.32 156.5 67.88 162.5L121.7 288H416C428.1 288 439.2 294.8 444.6 305.7C450 316.5 448.9 329.5 441.6 339.2L398.4 396.8C389.3 408.9 375.1 416 360 416H170.2C131.8 416 97.09 393.1 81.96 357.8L9.056 187.7C3.081 173.8 0 158.7 0 143.6V32C0 14.33 14.33 .0003 32 .0003V0z"]],
    "section": [256, 512, [], "e447", ["M254.3 425.5c-5.496 33.38-26.07 59.69-58.02 74.12c-18.11 8.188-39.22 12.34-62.4 12.34c-11.4 0-23.33-1-35.54-3.032c-23.08-3.625-46.97-12.75-68.02-20.75l-9.463-3.594c-16.55-6.188-24.92-24.62-18.74-41.19c6.215-16.5 24.64-24.91 41.16-18.75l9.773 3.719c18.18 6.906 38.76 14.75 55.49 17.41c24.39 3.938 46.13 2.438 61.4-4.469c16.39-7.406 19.96-18.47 21.23-26.16c4.498-27.5-7.713-37.03-72.42-56.59l-12.99-3.967C67.36 342.7-12.59 317.9 1.686 230.5c3.721-22.71 14.18-41.5 29.78-55.83c22.29 19.18 51.51 28.89 71.45 35.1C86.05 212.7 68.13 220.5 64.83 240.8C61.11 263.4 65.67 275.2 124.7 293.5l12.52 3.812C189.6 313.2 268.7 337.1 254.3 425.5z", "M254.3 281.5c-3.717 22.7-14.14 41.55-29.8 55.82c-20.25-17.14-47.07-27.4-71.27-35.1c16.81-2.969 34.64-10.83 37.93-31.04c4.529-27.53-7.682-37.06-72.39-56.62c0 0-14.88-4.562-15.81-4.852C98.08 208.2 92.67 206.5 86.97 204.5C86.69 204.4 86.39 204.3 86.11 204.2c-5.762-2.045-11.89-4.407-18.03-7.138c-.0469-.0215 .0469 .0195 0 0C55.52 191.5 42.6 184.2 31.47 174.7c-21.63-18.61-36.65-46.08-29.78-88.17c4.279-26.09 17.77-47.97 39.07-63.25c28.79-20.72 70.42-27.97 116.9-20.19c14.93 2.438 31.88 7.219 53.28 15.06c16.58 6.094 25.11 24.47 19.05 41.06c-6.059 16.62-24.45 25.06-41.04 19.06c-17.3-6.344-30.92-10.28-41.66-12.03C117.1 61.36 92.78 64.67 78.04 75.23C70.54 80.61 66.36 87.45 64.83 96.79C61.11 119.4 65.67 131.2 124.7 149.5l12.52 3.812C189.6 169.2 268.7 193.1 254.3 281.5z"]],
    "seedling": [512, 512, [127793, "sprout"], "f4d8", ["M512 32c0 123.8-100.3 224-224 224v64c0-53.52-18.81-102.6-50.1-141.1C269.4 93.21 351.4 32 448 32H512z", "M64 95.1H0c0 123.8 100.3 224 224 224v128C224 465.6 238.4 480 255.1 480S288 465.6 288 448V320C288 196.3 187.7 95.1 64 95.1z"]],
    "semicolon": [192, 512, [], "3b", ["M68.55 295.5c-15.66 9.051-26.41 24.44-29.45 42.25l-22.57 131.7c-2.986 17.32 6.9 34.29 23.49 40.31s35.11-.6485 43.99-15.83l67.69-115.4c9.119-15.58 10.81-34.25 4.652-51.21C144.1 293.5 99.82 277.4 68.55 295.5z", "M96 192c35.35 0 64-28.65 64-64c0-35.35-28.65-64-64-64s-63.1 28.65-63.1 64C32 163.3 60.66 192 96 192z"]],
    "send-back": [640, 512, [], "f87e", ["M0 64C0 28.65 28.65 0 64 0H192C227.3 0 256 28.65 256 64V192C256 227.3 227.3 256 192 256H64C28.65 256 0 227.3 0 192V64zM64 192H192V64H64V192zM384 320C384 284.7 412.7 256 448 256H576C611.3 256 640 284.7 640 320V448C640 483.3 611.3 512 576 512H448C412.7 512 384 483.3 384 448V320zM448 448H576V320H448V448z", "M160 352V288H192C245 288 288 245 288 192V96H416C451.3 96 480 124.7 480 160V224H448C394.1 224 352 266.1 352 320V416H224C188.7 416 160 387.3 160 352z"]],
    "send-backward": [512, 512, [], "f87f", ["M160 224C160 188.7 188.7 160 224 160H448C483.3 160 512 188.7 512 224V448C512 483.3 483.3 512 448 512H224C188.7 512 160 483.3 160 448V224zM224 224V448H448V224H224z", "M0 64C0 28.65 28.65 0 64 0H288C323.3 0 352 28.65 352 64V128H224C170.1 128 128 170.1 128 224V352H64C28.65 352 0 323.3 0 288V64z"]],
    "sensor": [448, 512, [], "e028", ["M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM112 120C112 106.7 101.3 96 88 96C74.75 96 64 106.7 64 120V264C64 277.3 74.75 288 88 288C101.3 288 112 277.3 112 264V120zM208 120C208 106.7 197.3 96 184 96C170.7 96 160 106.7 160 120V264C160 277.3 170.7 288 184 288C197.3 288 208 277.3 208 264V120z", "M88 96C101.3 96 112 106.7 112 120V264C112 277.3 101.3 288 88 288C74.75 288 64 277.3 64 264V120C64 106.7 74.75 96 88 96zM184 96C197.3 96 208 106.7 208 120V264C208 277.3 197.3 288 184 288C170.7 288 160 277.3 160 264V120C160 106.7 170.7 96 184 96z"]],
    "sensor-cloud": [640, 512, ["sensor-smoke"], "e02c", ["M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V234.8C433.5 227.9 417.2 224 400 224C339.9 224 290.9 271.3 288.1 330.7C250.2 348.7 224 387.3 224 432C224 449.2 227.9 465.5 234.8 480H64C28.65 480 0 451.3 0 416V96zM64 120V264C64 277.3 74.75 288 88 288C101.3 288 112 277.3 112 264V120C112 106.7 101.3 96 88 96C74.75 96 64 106.7 64 120zM160 120V264C160 277.3 170.7 288 184 288C197.3 288 208 277.3 208 264V120C208 106.7 197.3 96 184 96C170.7 96 160 106.7 160 120z", "M321.9 353.2C320.6 347.7 320 341.9 320 336C320 291.8 355.8 256 400 256C435 256 464.8 278.5 475.6 309.8C485.9 296.6 501.9 288 520 288C550.9 288 576 313.1 576 344C576 347.2 575.7 350.4 575.2 353.4C612.1 360.5 640 393 640 432C640 476.2 604.2 512 560 512H336C291.8 512 256 476.2 256 432C256 392.6 284.4 359.9 321.9 353.2z"]],
    "sensor-fire": [640, 512, [], "e02a", ["M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V128.2C435.4 127 422.5 130.9 412.5 139.9C377.1 171.5 346.9 207.6 325.2 242.7C304.3 276.5 288 314.9 288 350.1C288 399.4 306.6 445.3 337.6 480H64C28.65 480 0 451.3 0 416V96zM64 120V264C64 277.3 74.75 288 88 288C101.3 288 112 277.3 112 264V120C112 106.7 101.3 96 88 96C74.75 96 64 106.7 64 120zM160 120V264C160 277.3 170.7 288 184 288C197.3 288 208 277.3 208 264V120C208 106.7 197.3 96 184 96C170.7 96 160 106.7 160 120z", "M433.8 163.6C439.4 158.6 447.1 158.6 453.5 163.6C473.3 181.4 491.8 200.6 509 221.3C516.9 211.5 525.8 200.6 535.5 191.8C541.1 186.7 549.9 186.7 555.5 191.9C580.2 214.6 601.1 244.5 615.8 273C630.4 301.1 640 329.8 640 349.9C640 437.8 568.7 511.9 480 511.9C390.3 511.9 320 437.7 320 349.9C320 323.5 332.7 291.3 352.4 259.4C372.4 227 400.5 193.3 433.8 163.6V163.6zM480.1 447.9C499 447.9 515 442.9 530 432.9C560 411.9 568 369.9 550 336.9C548 332.9 546 328.9 543 324.9L507 366.9C507 366.9 448.1 292.9 444.1 287.9C415 324.9 400 345.9 400 369.9C400 418.9 436 447.9 480.1 447.9z"]],
    "sensor-on": [640, 512, [], "e02b", ["M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM112 120C112 106.7 101.3 96 88 96C74.75 96 64 106.7 64 120V264C64 277.3 74.75 288 88 288C101.3 288 112 277.3 112 264V120zM208 120C208 106.7 197.3 96 184 96C170.7 96 160 106.7 160 120V264C160 277.3 170.7 288 184 288C197.3 288 208 277.3 208 264V120z", "M603.1 74.69C611.3 85.71 608.3 100.6 597.3 107.1L549.3 139.1C538.3 147.3 523.4 144.3 516 133.3C508.7 122.3 511.7 107.4 522.7 100L570.7 68.03C581.7 60.68 596.6 63.66 603.1 74.69zM512 255.1C512 242.7 522.7 231.1 536 231.1H616C629.3 231.1 640 242.7 640 255.1C640 269.3 629.3 279.1 616 279.1H536C522.7 279.1 512 269.3 512 255.1zM516 378.7C523.4 367.7 538.3 364.7 549.3 372L597.3 404C608.3 411.4 611.3 426.3 603.1 437.3C596.6 448.3 581.7 451.3 570.7 443.1L522.7 411.1C511.7 404.6 508.7 389.7 516 378.7z"]],
    "sensor-triangle-exclamation": [640, 512, ["sensor-alert"], "e029", ["M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V128C421.6 128 397.3 142.2 384.3 165.1L233.9 430C227.4 441.5 224 454.5 224 467.7C224 471.9 224.3 475.1 224.1 480H64C28.65 480 0 451.3 0 416L0 96zM64 120V264C64 277.3 74.75 288 88 288C101.3 288 112 277.3 112 264V120C112 106.7 101.3 96 88 96C74.75 96 64 106.7 64 120zM160 120V264C160 277.3 170.7 288 184 288C197.3 288 208 277.3 208 264V120C208 106.7 197.3 96 184 96C170.7 96 160 106.7 160 120z", "M448 160C462.8 160 476.5 167.1 483.8 180.9L634.2 445.8C638 452.5 640 460 640 467.7C640 492.2 620.2 512 595.7 512H300.3C275.8 512 256 492.2 256 467.7C256 460 257.1 452.5 261.8 445.8L412.2 180.9C419.5 167.1 433.2 160 448 160V160zM431.1 272V360C431.1 368.8 439.2 376 447.1 376C456.8 376 463.1 368.8 463.1 360V272C463.1 263.2 456.8 256 447.1 256C439.2 256 431.1 263.2 431.1 272zM448 408C434.7 408 424 418.7 424 432C424 445.3 434.7 456 448 456C461.3 456 472 445.3 472 432C472 418.7 461.3 408 448 408z"]],
    "server": [512, 512, [], "f233", ["M480 288H32c-17.62 0-32 14.38-32 32v128c0 17.62 14.38 32 32 32h448c17.62 0 32-14.38 32-32v-128C512 302.4 497.6 288 480 288zM352 408c-13.25 0-24-10.75-24-24s10.75-24 24-24s24 10.75 24 24S365.3 408 352 408zM416 408c-13.25 0-24-10.75-24-24s10.75-24 24-24s24 10.75 24 24S429.3 408 416 408zM416 152c13.25 0 24-10.75 24-24S429.3 104 416 104S392 114.8 392 128S402.8 152 416 152z", "M480 32H32C14.38 32 0 46.38 0 64v128c0 17.62 14.38 32 32 32h448c17.62 0 32-14.38 32-32V64C512 46.38 497.6 32 480 32zM352 152c-13.25 0-24-10.75-24-24S338.8 104 352 104S376 114.8 376 128S365.3 152 352 152zM416 152c-13.25 0-24-10.75-24-24S402.8 104 416 104S440 114.8 440 128S429.3 152 416 152zM416 360c-13.25 0-24 10.75-24 24s10.75 24 24 24c13.26 0 24-10.75 24-24S429.3 360 416 360z"]],
    "shapes": [512, 512, ["triangle-circle-square"], "f61f", ["M288 0C299.2 0 309.7 5.898 315.4 15.54L411.4 175.5C417.4 185.4 417.5 197.7 411.8 207.8C406.2 217.8 395.5 223.1 384 223.1H192C180.5 223.1 169.8 217.8 164.2 207.8C158.5 197.7 158.6 185.4 164.6 175.5L260.6 15.54C266.3 5.897 276.8 0 288 0V0zM0 384C0 313.3 57.31 256 128 256C198.7 256 256 313.3 256 384C256 454.7 198.7 512 128 512C57.31 512 0 454.7 0 384z", "M288 312C288 289.9 305.9 272 328 272H472C494.1 272 512 289.9 512 312V456C512 478.1 494.1 496 472 496H328C305.9 496 288 478.1 288 456V312z"]],
    "share": [512, 512, ["arrow-turn-right", "mail-forward"], "f064", ["M288 272.1C132.9 274.3 66.06 312.8 111.4 457.8c5.031 16.09-14.41 28.56-28.06 18.62C39.59 444.6 0 383.8 0 322.3c0-152.2 127.4-184.4 288-186.3V272.1z", "M503.7 226.2l-176 151.1c-15.38 13.3-39.69 2.545-39.69-18.16V56.02c0-20.67 24.28-31.46 39.69-18.16l176 151.1C514.8 199.4 514.8 216.6 503.7 226.2z"]],
    "share-all": [576, 512, [], "f367", ["M567.7 189.9l-176-151.1c-15.41-13.3-39.69-2.509-39.69 18.16V71.83l157.7 136.2l-157.7 136.2v15.83c0 20.7 24.31 31.45 39.69 18.16l176-151.1C578.8 216.6 578.8 199.4 567.7 189.9z", "M439.7 189.9l-176-151.1c-15.41-13.3-39.69-2.509-39.69 18.16v82.84C94.86 149.1 0 191 0 322.3c0 61.44 39.59 122.3 83.34 154.1c13.66 9.938 33.09-2.531 28.06-18.62c-38.48-123.1 4.102-169.3 112.6-181.9v84.04c0 20.7 24.31 31.45 39.69 18.16l176-151.1C450.8 216.6 450.8 199.4 439.7 189.9z"]],
    "share-from-square": [576, 512, [61509, "share-square"], "f14d", ["M416 384c-17.67 0-32 14.33-32 32v31.1l-320-.0013V128h32c17.67 0 32-14.32 32-32S113.7 64 96 64H64C28.65 64 0 92.65 0 128v319.1c0 35.34 28.65 64 64 64l320-.0013c35.35 0 64-28.66 64-64V416C448 398.3 433.7 384 416 384z", "M568.9 176.5l-150.9 138.2C404.8 326.8 384 316.1 384 298.2V223.1C256 224 186.7 252.2 227 380.4c4.473 14.22-12.8 25.24-24.94 16.46C163.2 368.8 128 314.9 128 260.6C128 126.1 241.2 97.63 384 96V21.84c0-18.8 20.81-28.61 34.02-16.52l150.9 138.2C578.4 152.2 578.4 167.8 568.9 176.5z"]],
    "share-nodes": [448, 512, ["share-alt"], "f1e0", ["M191.3 244.1C188.5 221.8 178.1 201.8 162.6 186.9L256.7 139.9C259.5 162.2 269.9 182.2 285.4 197.1L191.3 244.1zM285.4 314.9C269.9 329.8 259.5 349.8 256.7 372.1L162.6 325.1C178.1 310.2 188.5 290.2 191.3 267.9L285.4 314.9z", "M448 128C448 181 405 224 352 224C298.1 224 256 181 256 128C256 74.98 298.1 32 352 32C405 32 448 74.98 448 128zM192 256C192 309 149 352 96 352C42.98 352 0 309 0 256C0 202.1 42.98 160 96 160C149 160 192 202.1 192 256zM256 384C256 330.1 298.1 288 352 288C405 288 448 330.1 448 384C448 437 405 480 352 480C298.1 480 256 437 256 384z"]],
    "sheep": [640, 512, [128017], "f711", ["M308.5 142.1C316.5 160.7 333.3 172.7 352 175.4V208C352 269.9 402.1 320 464 320H479.5C479.8 322.6 480 325.3 480 328C480 363.3 451.3 392 416 392C412.7 392 409.4 391.7 406.2 391.3C399.3 419.2 374.1 440 344 440C328.1 440 315.1 434.8 304.2 426.1C292.5 439.5 275.2 448 256 448C236.8 448 219.5 439.5 207.8 426.1C196.9 434.8 183 440 168 440C137.9 440 112.7 419.2 105.8 391.3C102.6 391.7 99.34 392 96 392C60.65 392 32 363.3 32 328C32 322.7 32.66 317.5 33.89 312.5C13.72 301.7 0 280.5 0 256C0 231.5 13.72 210.3 33.89 199.5C32.66 194.5 32 189.3 32 184C32 148.7 60.65 120 96 120C99.34 120 102.6 120.3 105.8 120.8C112.7 92.77 137.9 72 168 72C183 72 196.9 77.19 207.8 85.88C219.5 72.47 236.8 64 256 64C278.9 64 299 76.04 310.3 94.15C302.9 108.5 301.6 126 308.5 142.1V142.1z", "M384 135.8L369.5 142.1C357.3 147.3 343.2 141.6 337.9 129.5C332.7 117.3 338.4 103.2 350.5 97.94L398.4 77.44C415.3 50.16 445.5 32 480 32C514.5 32 544.7 50.16 561.6 77.44L609.5 97.94C621.6 103.2 627.3 117.3 622.1 129.5C616.8 141.6 602.7 147.3 590.5 142.1L576 135.8V208C576 252.2 540.2 288 496 288H464C419.8 288 384 252.2 384 208L384 135.8zM464 160C472.8 160 480 152.8 480 144C480 135.2 472.8 128 464 128C455.2 128 448 135.2 448 144C448 152.8 455.2 160 464 160zM528 128C519.2 128 512 135.2 512 144C512 152.8 519.2 160 528 160C536.8 160 544 152.8 544 144C544 135.2 536.8 128 528 128zM115.1 485.9L97.5 391.1C100.3 391.9 103.1 391.7 105.8 391.3C112.7 419.2 137.9 440 167.1 440C183 440 196.9 434.8 207.8 426.1L207.1 426.3V480C207.1 497.7 193.7 512 175.1 512H146.6C131.2 512 117.9 501 115.1 485.9V485.9zM303.1 480V426.3L304.2 426.1C315.1 434.8 328.1 440 344 440C374.1 440 399.3 419.2 406.2 391.3C408.9 391.7 411.7 391.9 414.5 391.1L396.9 485.9C394.1 501 380.8 512 365.4 512H336C318.3 512 303.1 497.7 303.1 480V480z"]],
    "sheet-plastic": [384, 512, [], "e571", ["M64 512C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V352H256C238.3 352 224 366.3 224 384V512H64zM171.3 52.69C165.1 46.44 154.9 46.44 148.7 52.69L52.69 148.7C46.44 154.9 46.44 165.1 52.69 171.3C58.93 177.6 69.06 177.6 75.31 171.3L171.3 75.31C177.6 69.07 177.6 58.94 171.3 52.69V52.69zM267.3 107.3C273.6 101.1 273.6 90.93 267.3 84.69C261.1 78.44 250.9 78.44 244.7 84.69L84.69 244.7C78.44 250.9 78.44 261.1 84.69 267.3C90.93 273.6 101.1 273.6 107.3 267.3L267.3 107.3z", "M224 384C224 366.3 238.3 352 256 352H384L224 512V384z"]],
    "shekel-sign": [448, 512, [8362, "ils", "shekel", "sheqel", "sheqel-sign"], "f20b", ["", "M0 64C0 46.33 14.33 32 32 32H192C262.7 32 320 89.31 320 160V320C320 337.7 305.7 352 288 352C270.3 352 256 337.7 256 320V160C256 124.7 227.3 96 192 96H64V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V64zM448 352C448 422.7 390.7 480 320 480H160C142.3 480 128 465.7 128 448V192C128 174.3 142.3 160 160 160C177.7 160 192 174.3 192 192V416H320C355.3 416 384 387.3 384 352V64C384 46.33 398.3 32 416 32C433.7 32 448 46.33 448 64V352z"]],
    "shelves": [640, 512, ["inventory"], "f480", ["M608 0c-17.6 0-32 14.4-32 31.1V160H64V31.1C64 14.4 49.6 0 32 0S0 14.4 0 31.1v480h64v-32h512v32h64v-480C640 14.4 625.6 0 608 0zM576 416H64V224h512V416z", "M368 256h-96C263.3 256 256 263.3 256 272v96C256 376.8 263.3 384 272 384h96c8.75 0 16-7.25 16-16v-96C384 263.3 376.8 256 368 256zM208 256h-96C103.3 256 96 263.3 96 272v96C96 376.8 103.3 384 112 384h96C216.8 384 224 376.8 224 368v-96C224 263.3 216.8 256 208 256zM464 0h-96C359.3 0 352 7.25 352 16v96C352 120.8 359.3 128 368 128h96C472.8 128 480 120.8 480 112v-96C480 7.25 472.8 0 464 0z"]],
    "shelves-empty": [640, 512, [], "e246", ["M608 0c-17.6 0-32 14.4-32 31.1V160H64V31.1C64 14.4 49.6 0 32 0S0 14.4 0 31.1v480h64v-32h512v32h64v-480C640 14.4 625.6 0 608 0zM576 416H64V224h512V416z", ""]],
    "shield": [512, 512, [128737, "shield-blank"], "f132", ["M256-.0078C260.7-.0081 265.2 1.008 269.4 2.913L457.7 82.79C479.7 92.12 496.2 113.8 496 139.1C495.5 239.2 454.7 420.7 282.4 503.2C265.7 511.1 246.3 511.1 229.6 503.2C57.25 420.7 16.49 239.2 15.1 139.1C15.87 113.8 32.32 92.12 54.3 82.79L242.7 2.913C246.8 1.008 251.4-.0081 256-.0078V-.0078z", ""]],
    "shield-cat": [512, 512, [], "e572", ["M256.3-.0068C261.9-.0507 267.3 1.386 272.1 4.066L476.5 90.53C487.7 95.27 495.2 105.1 495.9 118.1C501.6 213.6 466.7 421.9 272.5 507.7C267.6 510.5 261.1 512.1 256.3 512C250.5 512.1 244.9 510.5 239.1 507.7C45.8 421.9 10.95 213.6 16.57 118.1C17.28 105.1 24.83 95.27 36.04 90.53L240.4 4.066C245.2 1.386 250.7-.0507 256.3-.0068H256.3zM223.1 208L159.1 144V272C159.1 325 202.1 368 255.1 368C309 368 352 325 352 272V144L288 208H223.1z", "M160 144L224 208H288L352 144V272C352 325 309 368 256 368C202.1 368 160 325 160 272V144zM216 256C207.2 256 200 263.2 200 272C200 280.8 207.2 288 216 288C224.8 288 232 280.8 232 272C232 263.2 224.8 256 216 256zM296 288C304.8 288 312 280.8 312 272C312 263.2 304.8 256 296 256C287.2 256 280 263.2 280 272C280 280.8 287.2 288 296 288z"]],
    "shield-check": [512, 512, [], "f2f7", ["M466.5 83.71l-192-80c-4.875-2.031-13.16-3.703-18.44-3.703c-5.312 0-13.55 1.672-18.46 3.703L45.61 83.71C27.7 91.1 16 108.6 16 127.1C16 385.2 205.2 512 255.9 512C307.1 512 496 383.8 496 127.1C496 108.6 484.3 91.1 466.5 83.71zM378.4 192.1c0 4.095-1.562 8.189-4.688 11.31L235.4 342.6c-3.125 3.124-7.22 4.686-11.31 4.686S215.9 345.7 212.8 342.6L138.4 268.3C135.3 265.2 133.7 261.1 133.7 256.1c0-4.095 1.562-8.189 4.688-11.31l11.31-11.31C152.9 231.2 156.1 229.7 161 229.7S169.2 231.2 172.4 234.3l51.72 51.72l115.7-115.7c3.125-3.124 7.22-4.686 11.31-4.686s8.189 1.562 11.31 4.686l11.31 11.31C376.9 184.8 378.4 188.9 378.4 192.1z", "M378.4 192.1c0 4.095-1.562 8.189-4.688 11.31L235.4 342.6c-3.125 3.124-7.22 4.686-11.31 4.686S215.9 345.7 212.8 342.6L138.4 268.3C135.3 265.2 133.7 261.1 133.7 256.1c0-4.095 1.562-8.189 4.688-11.31l11.31-11.31C152.9 231.2 156.1 229.7 161 229.7S169.2 231.2 172.4 234.3l51.72 51.72l115.7-115.7c3.125-3.124 7.22-4.686 11.31-4.686s8.189 1.562 11.31 4.686l11.31 11.31C376.9 184.8 378.4 188.9 378.4 192.1z"]],
    "shield-cross": [512, 512, [9960], "f712", ["M16 127.1C16 138.9 16.48 149.5 17.15 160H224V9.336L45.61 83.71C27.7 91.1 16 108.6 16 127.1zM224 501.1V224H25.63C53.61 363.1 139.4 460.8 224 501.1zM288 501.1C359.7 466.5 456.5 375.5 486.5 224H288V501.1zM466.5 83.71L288 9.297V160h206.8C495.4 149.5 496 138.1 496 127.1C496 108.6 484.3 91.1 466.5 83.71z", "M494.8 160c-1.381 22.46-4.256 43.72-8.27 64H288v277.1C275.6 508.1 267.8 512 255.9 512C243.7 512 236.4 508 224 501.1V224H25.63C21.51 203.5 18.57 182.2 17.15 160H224V9.336l13.61-5.633C242.5 1.672 250.8 0 256.1 0c5.281 0 13.56 1.672 18.44 3.703L288 9.297V160H494.8z"]],
    "shield-dog": [512, 512, [], "e573", ["M256.3-.0068C261.9-.0507 267.3 1.386 272.1 4.066L476.5 90.53C487.7 95.27 495.2 105.1 495.9 118.1C501.6 213.6 466.7 421.9 272.5 507.7C267.6 510.5 261.1 512.1 256.3 512C250.5 512.1 244.9 510.5 239.1 507.7C45.8 421.9 10.95 213.6 16.57 118.1C17.28 105.1 24.83 95.27 36.04 90.53L240.4 4.066C245.2 1.386 250.7-.0507 256.3-.0068H256.3zM159.1 160C151.2 160 143.1 167.2 143.1 176V232C143.1 248.9 154.5 263.4 169.4 269.2L143.1 320L272 384V320H320C364.2 320 400 284.2 400 240V208C400 199.2 392.8 192 384 192H320L312.8 177.7C307.4 166.8 296.3 160 284.2 160H159.1z", "M223.1 160H284.2C296.3 160 307.4 166.8 312.8 177.7L320 192H384C392.8 192 400 199.2 400 208V240C400 284.2 364.2 320 320 320H272V384L144 320L169.4 269.2C173.9 271 178.8 272 184 272C206.1 272 224 254.1 224 232L223.1 160zM272 192C263.2 192 255.1 199.2 255.1 208C255.1 216.8 263.2 224 272 224C280.8 224 288 216.8 288 208C288 199.2 280.8 192 272 192z"]],
    "shield-exclamation": [512, 512, [], "e247", ["M466.5 83.69l-192-80.01C269.6 1.656 261.3 0 256.1 0C250.8 0 242.5 1.656 237.6 3.688l-192 80.01C27.69 91.08 16 108.6 16 127.1C16 385.2 205.2 512 255.1 512C307.1 512 496 383.8 496 127.1C496 108.6 484.3 91.08 466.5 83.69zM232 152C232 138.8 242.8 128 256 128s24 10.75 24 24v112C280 277.3 269.3 288 256 288S232 277.3 232 264V152zM256 384c-17.67 0-32-14.33-32-32s14.33-32 32-32s32 14.33 32 32S273.7 384 256 384z", "M256 288c13.25 0 24-10.75 24-24v-112C280 138.8 269.3 128 256 128S232 138.8 232 152v112C232 277.3 242.8 288 256 288zM256 320c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S273.7 320 256 320z"]],
    "shield-halved": [512, 512, ["shield-alt"], "f3ed", ["M256 .0002C256.2-.0053 256.5-.0078 256.7-.0078C261.4-.0081 265.9 1.008 270.1 2.913L458.4 82.79C480.4 92.12 496.9 113.8 496.7 139.1C496.2 239.2 455.5 420.7 283.1 503.2C274.8 507.1 265.8 509.1 256.7 509.1L256.7-.0078L256 .0002z", "M256-.0078L256 509.1C246.1 509.1 237.9 507.1 229.6 503.2C57.25 420.7 16.49 239.2 15.1 139.1C15.87 113.8 32.32 92.12 54.3 82.79L242.7 2.913C246.8 1.008 251.4-.0081 256-.0078C256.3-.0078 256.5-.0053 256.7 .0002L256-.0078z"]],
    "shield-heart": [512, 512, [], "e574", ["M256.3-.0068C261.9-.0507 267.3 1.386 272.1 4.066L476.5 90.53C487.7 95.27 495.2 105.1 495.9 118.1C501.6 213.6 466.7 421.9 272.5 507.7C267.6 510.5 261.1 512.1 256.3 512C250.5 512.1 244.9 510.5 239.1 507.7C45.8 421.9 10.95 213.6 16.57 118.1C17.28 105.1 24.83 95.27 36.04 90.53L240.4 4.066C245.2 1.386 250.7-.0507 256.3-.0068H256.3zM266.1 363.4L364.2 263.6C392.2 234.7 390.5 186.6 358.1 159.5C331.8 135.8 291.5 140.2 266.1 166.5L256.4 176.1L245.9 166.5C221.4 140.2 180.2 135.8 153 159.5C121.5 186.6 119.8 234.7 147.8 263.6L244.2 363.4C251.2 369.5 260.8 369.5 266.1 363.4V363.4z", "M364.2 263.6L266.1 363.4C260.8 369.5 251.2 369.5 244.2 363.4L147.8 263.6C119.8 234.7 121.5 186.6 153 159.5C180.2 135.8 221.4 140.2 245.9 166.5L256.4 176.1L266.1 166.5C291.5 140.2 331.8 135.8 358.1 159.5C390.5 186.6 392.2 234.7 364.2 263.6H364.2z"]],
    "shield-keyhole": [512, 512, [], "e248", ["M466.5 83.69l-192-80.01C269.6 1.656 261.3 0 256.1 0C250.8 0 242.5 1.656 237.6 3.688l-192 80.01C27.69 91.08 16 108.6 16 127.1C16 385.2 205.2 512 255.1 512C307.1 512 496 383.8 496 127.1C496 108.6 484.3 91.08 466.5 83.69zM280 258.4V328c0 13.25-10.75 24-24 24s-24-10.75-24-24V258.4C213.1 249.4 200 230.3 200 208c0-30.93 25.07-56 56-56s56 25.07 56 56C312 230.3 298.9 249.4 280 258.4z", "M280 258.4V328c0 13.25-10.75 24-24 24s-24-10.75-24-24V258.4C213.1 249.4 200 230.3 200 208c0-30.93 25.07-56 56-56s56 25.07 56 56C312 230.3 298.9 249.4 280 258.4z"]],
    "shield-minus": [512, 512, [], "e249", ["M466.5 83.69l-192-80.01C269.6 1.656 261.3 0 256.1 0C250.8 0 242.5 1.656 237.6 3.688l-192 80.01C27.69 91.08 16 108.6 16 127.1C16 385.2 205.2 512 255.1 512C307.1 512 496 383.8 496 127.1C496 108.6 484.3 91.08 466.5 83.69zM336 279.1H176c-13.27 0-23.1-10.74-23.1-23.1C152 242.7 162.7 232 176 232h160c13.26 0 23.1 10.74 23.1 23.1S349.3 279.1 336 279.1z", "M360 255.1c0 13.26-10.74 23.1-23.1 23.1H176c-13.27 0-23.1-10.74-23.1-23.1C152 242.7 162.7 232 176 232h160C349.3 232 360 242.7 360 255.1z"]],
    "shield-plus": [512, 512, [], "e24a", ["M466.5 83.69l-192-80.01C269.6 1.656 261.3 0 256.1 0C250.8 0 242.5 1.656 237.6 3.688l-192 80.01C27.69 91.08 16 108.6 16 127.1C16 385.2 205.2 512 255.1 512C307.1 512 496 383.8 496 127.1C496 108.6 484.3 91.08 466.5 83.69zM336 279.1H280V336c0 13.26-10.74 23.1-23.1 23.1c-13.27 0-23.1-10.74-23.1-23.1V279.1H176c-13.27 0-23.1-10.74-23.1-23.1C152 242.7 162.7 232 176 232h56V175.1c0-13.26 10.74-23.1 23.1-23.1S280 162.7 280 175.1V232h56c13.26 0 23.1 10.74 23.1 23.1S349.3 279.1 336 279.1z", "M360 255.1c0 13.26-10.74 23.1-23.1 23.1H280V336c0 13.26-10.74 23.1-23.1 23.1c-13.27 0-23.1-10.74-23.1-23.1V279.1H176c-13.27 0-23.1-10.74-23.1-23.1C152 242.7 162.7 232 176 232h56V175.1c0-13.26 10.74-23.1 23.1-23.1S280 162.7 280 175.1V232h56C349.3 232 360 242.7 360 255.1z"]],
    "shield-quartered": [576, 512, [], "e575", ["M288 224H56.74C50.6 192.9 48.12 164 47.1 139.1C47.87 113.8 64.32 92.12 86.3 82.79L274.7 2.913C278.8 1.008 283.4-.0081 288-.0078L288 224zM315.1 503.2C306.8 507.1 297.8 509.1 288.7 509.1V224H519.1C500.8 321.3 445.7 440.7 315.1 503.2H315.1zM288-.0078L288.7 .0002z", "M288.7-.0078C293.4-.0081 297.9 1.008 302.1 2.913L490.4 82.79C512.4 92.12 528.9 113.8 528.7 139.1C528.6 164 526.1 192.9 519.1 224H288.7L288.7-.0078zM261.6 503.2C131 440.7 75.96 321.3 56.74 224H288V509.1C278.1 509.1 269.9 507.1 261.6 503.2H261.6zM288.7-.0078L287.1 .0002H287.3"]],
    "shield-slash": [640, 512, [], "e24b", ["M319.9 512c37.26 0 102.9-58.24 117.3-72.57L81.16 160.3C96.42 398.1 272.1 512 319.9 512zM530.5 83.71l-192-80C333.6 1.672 325.3 0 320.1 0C314.8 0 306.5 1.672 301.6 3.703L128.9 75.68l367.6 288.1C533.4 303.5 560 225.5 560 127.1C560 108.6 548.3 91.1 530.5 83.71z", "M639.1 487.1C639.1 500.6 629.8 512 615.1 512c-5.174 0-10.4-1.667-14.81-5.117L9.189 42.89C3.152 38.16 .0008 31.12 .0008 24C.0008 11.21 10.28 0 24.03 0c5.156 0 10.38 1.672 14.78 5.109l591.1 463.1C636.8 473.8 639.1 480.9 639.1 487.1z"]],
    "shield-virus": [512, 512, [], "e06c", ["M466.5 83.68l-192-80.01C269.6 1.641 261.4 0 256.1 0S242.5 1.641 237.6 3.672l-192 80.01c-17.89 7.393-29.59 24.89-29.59 44.3C16 385.2 205.2 512 255.9 512c52.02 0 240.1-128.2 240.1-384C496 108.6 484.3 91.07 466.5 83.68zM384 255.1h-12.12c-19.29 0-32.06 15.78-32.06 32.23c0 7.862 2.918 15.88 9.436 22.4l8.576 8.576c3.125 3.125 4.688 7.218 4.688 11.31c0 8.527-6.865 15.1-16 15.1c-4.094 0-8.188-1.562-11.31-4.688l-8.576-8.576c-6.519-6.519-14.53-9.436-22.4-9.436c-16.45 0-32.23 12.77-32.23 32.06v12.12c0 8.844-7.156 16-16 16s-16-7.156-16-16v-12.12c0-19.29-15.78-32.06-32.23-32.06c-7.862 0-15.87 2.917-22.39 9.436l-8.576 8.576c-3.125 3.125-7.219 4.688-11.31 4.688c-9.139 0-16-7.473-16-15.1c0-4.094 1.562-8.187 4.688-11.31l8.576-8.576c6.519-6.519 9.436-14.53 9.436-22.4c0-16.45-12.77-32.23-32.06-32.23H128c-8.844 0-16-7.156-16-16s7.156-16 16-16h12.12c19.29 0 32.06-15.78 32.06-32.23c0-7.862-2.918-15.88-9.436-22.4L154.2 160.8C151 157.7 149.5 153.6 149.5 149.5c0-8.527 6.865-15.1 16-15.1c4.094 0 8.188 1.562 11.31 4.688L185.4 146.7C191.9 153.3 199.9 156.2 207.8 156.2c16.45 0 32.23-12.77 32.23-32.07V111.1c0-8.844 7.156-16 16-16s16 7.156 16 16v12.12c0 19.29 15.78 32.07 32.23 32.07c7.862 0 15.88-2.917 22.4-9.436l8.576-8.577c3.125-3.125 7.219-4.688 11.31-4.688c9.139 0 16 7.473 16 15.1c0 4.094-1.562 8.187-4.688 11.31l-8.576 8.577c-6.519 6.519-9.436 14.53-9.436 22.4c0 16.45 12.77 32.23 32.06 32.23h12.12c8.844 0 16 7.156 16 16S392.8 255.1 384 255.1z", "M384 223.1h-12.12c-19.29 0-32.06-15.78-32.06-32.23c0-7.862 2.918-15.88 9.436-22.4l8.576-8.577c3.125-3.125 4.688-7.218 4.688-11.31c0-8.527-6.865-15.1-16-15.1c-4.094 0-8.188 1.562-11.31 4.688L326.6 146.7c-6.519 6.519-14.53 9.436-22.4 9.436c-16.45 0-32.23-12.77-32.23-32.07V111.1c0-8.844-7.156-16-16-16s-16 7.156-16 16v12.12c0 19.29-15.78 32.07-32.23 32.07c-7.862 0-15.88-2.917-22.4-9.436L176.8 138.2C173.7 135 169.6 133.5 165.5 133.5c-9.139 0-16 7.473-16 15.1c0 4.094 1.562 8.187 4.688 11.31l8.576 8.577C169.3 175.9 172.2 183.9 172.2 191.8c0 16.45-12.77 32.23-32.06 32.23H128c-8.844 0-16 7.156-16 16s7.156 16 16 16h12.12c19.29 0 32.06 15.78 32.06 32.23c0 7.862-2.918 15.88-9.436 22.4L154.2 319.2c-3.125 3.125-4.688 7.218-4.688 11.31c0 8.527 6.865 15.1 16 15.1c4.094 0 8.188-1.562 11.31-4.688l8.576-8.576c6.519-6.519 14.53-9.436 22.39-9.436c16.45 0 32.23 12.77 32.23 32.06v12.12c0 8.844 7.156 16 16 16s16-7.156 16-16v-12.12c0-19.29 15.78-32.06 32.23-32.06c7.862 0 15.88 2.917 22.4 9.436l8.576 8.576c3.125 3.125 7.219 4.688 11.31 4.688c9.139 0 16-7.473 16-15.1c0-4.094-1.562-8.187-4.688-11.31l-8.576-8.576c-6.519-6.519-9.436-14.53-9.436-22.4c0-16.45 12.77-32.23 32.06-32.23h12.12c8.844 0 16-7.156 16-16S392.8 223.1 384 223.1zM224 223.1c-8.836 0-15.1-7.165-15.1-16c0-8.838 7.164-16 16-16s15.1 7.163 15.1 16C240 216.8 232.8 223.1 224 223.1zM288 287.1c-8.836 0-16-7.162-16-15.1c0-8.838 7.164-16 16-16s16 7.161 16 15.1C304 280.8 296.8 287.1 288 287.1z"]],
    "shield-xmark": [512, 512, ["shield-times"], "e24c", ["M466.5 83.69l-192-80.01C269.6 1.656 261.3 0 256.1 0C250.8 0 242.5 1.656 237.6 3.688l-192 80.01C27.69 91.08 16 108.6 16 127.1C16 385.2 205.2 512 255.1 512C307.1 512 496 383.8 496 127.1C496 108.6 484.3 91.08 466.5 83.69zM336.1 303C341.7 307.7 344 313.9 344 320c0 13.7-11.2 24-23.1 24c-6.141 0-12.28-2.345-16.97-7.031L256 289.9l-47.03 47.03C204.3 341.7 198.1 344 192 344C178.3 344 168 332.8 168 320c0-6.141 2.344-12.28 7.031-16.97L222.1 256L175 208.1C170.3 204.3 168 198.1 168 192c0-12.79 10.3-24 24-24c6.141 0 12.28 2.344 16.97 7.031L256 222.1l47.03-47.03C307.7 170.3 313.9 168 320 168c13.71 0 24 11.21 24 24c0 6.141-2.344 12.28-7.031 16.97L289.9 256L336.1 303z", "M336.1 303C341.7 307.7 344 313.9 344 320c0 13.7-11.2 24-23.1 24c-6.141 0-12.28-2.345-16.97-7.031L256 289.9l-47.03 47.03C204.3 341.7 198.1 344 192 344C178.3 344 168 332.8 168 320c0-6.141 2.344-12.28 7.031-16.97L222.1 256L175 208.1C170.3 204.3 168 198.1 168 192c0-12.79 10.3-24 24-24c6.141 0 12.28 2.344 16.97 7.031L256 222.1l47.03-47.03C307.7 170.3 313.9 168 320 168c13.71 0 24 11.21 24 24c0 6.141-2.344 12.28-7.031 16.97L289.9 256L336.1 303z"]],
    "ship": [576, 512, [128674], "f21a", ["M269.5 421.9C280.6 414 295.4 414 306.5 421.9C328.1 437.4 356.5 448 384 448C410.9 448 439.4 437.2 461.4 421.9L461.5 421.9C473.4 413.4 489.5 414.1 500.7 423.6C515 435.5 533.2 444.6 551.3 448.8C568.5 452.8 579.2 470.1 575.2 487.3C571.2 504.5 553.1 515.2 536.7 511.2C512.2 505.4 491.9 494.6 478.5 486.2C449.5 501.7 417 512 384 512C352.1 512 323.4 502.1 303.6 493.1C297.7 490.5 292.5 487.8 288 485.4C283.5 487.8 278.3 490.5 272.4 493.1C252.6 502.1 223.9 512 192 512C158.1 512 126.5 501.7 97.5 486.2C84.12 494.6 63.79 505.4 39.27 511.2C22.06 515.2 4.853 504.5 .8422 487.3C-3.169 470.1 7.532 452.8 24.74 448.8C42.84 444.6 60.96 435.5 75.31 423.6C86.46 414.1 102.6 413.4 114.5 421.9L114.6 421.9C136.7 437.2 165.1 448 192 448C219.5 448 247 437.4 269.5 421.9H269.5z", "M352 .0003C369.7 .0003 384 14.33 384 32V64H432C458.5 64 480 85.49 480 112V240L524.4 254.8C547.6 262.5 553.9 292.3 535.9 308.7L434.9 401.4C418.7 410.7 400.2 416.5 384 416.5C364.4 416.5 343.2 408.8 324.8 396.1C302.8 380.6 273.3 380.6 251.2 396.1C234 407.9 213.2 416.5 192 416.5C175.8 416.5 157.3 410.7 141.1 401.3L40.09 308.7C22.1 292.3 28.45 262.5 51.59 254.8L96 240V112C96 85.49 117.5 64 144 64H192V32C192 14.33 206.3 0 224 0L352 .0003zM308.2 182.7L416 218.7V128H160V218.7L267.8 182.7C280.9 178.4 295.1 178.4 308.2 182.7z"]],
    "shirt": [640, 512, [128085, "t-shirt", "tshirt"], "f553", ["M640 162.8c0 6.917-2.293 13.88-7.012 19.7l-49.96 61.63c-6.32 7.796-15.62 11.85-25.01 11.85c-7.01 0-14.07-2.262-19.97-6.919L480 203.3V464c0 26.51-21.49 48-48 48H208C181.5 512 160 490.5 160 464V203.3L101.1 249.1C96.05 253.7 88.99 255.1 81.98 255.1c-9.388 0-18.69-4.057-25.01-11.85L7.012 182.5C2.292 176.7-.0003 169.7-.0003 162.8c0-9.262 4.111-18.44 12.01-24.68l135-106.6C159.8 21.49 175.7 16 191.1 16h17.62C217.5 70.13 263.7 112 320 112s102.5-41.87 110.4-96h17.6c16.35 0 32.22 5.49 44.99 15.57l135 106.6C635.9 144.4 640 153.6 640 162.8z", "M209.6 16h32C249.1 52.47 281.4 80 320 80s70.95-27.53 78.38-64h32C422.5 70.13 376.3 112 320 112S217.5 70.13 209.6 16z"]],
    "shirt-long-sleeve": [640, 512, [], "e3c7", ["M320 128C258.3 128 208 77.75 208 16h32C240 60.11 275.9 96 320 96s80-35.89 80-80h32C432 77.75 381.8 128 320 128z", "M640 240.3V384c0 17.67-14.33 32-32 32h-32c-17.67 0-32-14.33-32-32V240.3l-2.062-7.898L496 150.4V448c0 35.35-28.65 64-64 64h-224c-35.35 0-64-28.65-64-64V150.4L98.03 232.5L96 240.3V384c0 17.67-14.33 32-32 32H32c-17.67 0-32-14.33-32-32V240.3c0-19.16 4.918-38 14.28-54.72l71.03-126.8C100.1 32.36 128 16 158.3 16H208C208 77.75 258.3 128 320 128s112-50.25 112-112h49.53c30.38 0 58.39 16.41 73.24 42.92l70.95 126.6C635.1 202.3 640 221.1 640 240.3z"]],
    "shirt-running": [384, 512, [], "e3c8", ["M360.1 215.5L.0723 464.7C.0684 464.5 0 464.2 0 464v-77.08l339.5-235C343.2 174 350.4 195.3 360.1 215.5z", "M360.1 215.5L.0723 464.7C.4688 490.9 21.74 512 48 512h288c26.51 0 48-21.49 48-48V256C374.5 243.3 366.8 229.6 360.1 215.5zM336 112v-96C336 7.162 328.8 0 320 0h-32c-8.836 0-16 7.162-16 16v64C272 124.2 236.2 160 192 160S112 124.2 112 80v-64C112 7.162 104.8 0 96 0H64C55.16 0 48 7.162 48 16v96C48 163.9 31.16 214.5 0 256v130.9l339.5-235C337.2 138.8 336 125.5 336 112z"]],
    "shirt-tank-top": [384, 512, [], "e3c9", ["M272 96v32c0 44.18-35.82 80-80 80S112 172.2 112 128V96H272z", "M384 256v208c0 26.51-21.49 48-48 48h-288C21.49 512 0 490.5 0 464V256c31.16-41.54 48-92.07 48-144v-96C48 7.162 55.16 0 64 0h32c8.836 0 16 7.162 16 16V128c0 44.18 35.82 80 80 80s80-35.82 80-80V16C272 7.162 279.2 0 288 0h32c8.836 0 16 7.162 16 16v96C336 163.9 352.8 214.5 384 256z"]],
    "shish-kebab": [512, 512, [], "f821", ["M174.6 303.7l33.95 33.92L231.2 315.1L197.2 281.1L174.6 303.7zM7.054 470.1c-9.396 9.375-9.403 24.61-.0166 33.99c9.381 9.383 24.6 9.388 33.98 .0049l81.91-81.9l-33.94-33.94L7.054 470.1zM511.2 84.12c-3.875-29.75-21.13-55.75-47.5-71.25c-30.37-17.62-67.1-17.13-97.87 1.375c-42.62 26.75-58.12 79.75-35.87 124.6c1.5 2.875 2.25 7.125 0 9.5l-47.12 47.12l33.94 33.94l47.14-47.19c16.62-16.75 20.29-42.13 9.042-64.63c-9.625-19.5-5.999-48.25 19.62-63.37c14.12-8.5 31.62-8.583 45.87-.5833c14.25 8 23.21 20.96 25.21 36.46c1.25 10.38-.855 20.96-5.978 30.09c-3.75 6.375-3.354 14.29 1.896 19.54l12.25 12.29c6.75 6.75 18.12 6.126 23.5-1.749C508.6 130.9 514.2 107.4 511.2 84.12z", "M364.6 277.2L234.7 147.4c-11.87-12-31.37-12-43.25 0L149.1 189.6c-11.87 12-11.87 31.38 0 43.38L278.1 362.9c12 11.88 31.37 11.88 43.25 0l42.37-42.38C376.5 308.6 376.5 289.1 364.6 277.2zM126.5 255.6c-11.87-12-31.25-12-43.25 0l-42.25 42.25c-11.1 12-11.1 31.38 0 43.25l129.9 129.9c11.87 12 31.25 12 43.25 0l42.25-42.25c12-12 12-31.38 0-43.38L126.5 255.6z"]],
    "shoe-prints": [640, 512, [], "f54b", ["M0 415.1c0 35.37 28.62 64.01 64 64.01l32-.0103v-127.1l-32-.0005C28.62 351.1 0 380.6 0 415.1zM337.5 287.1c-35 0-76.25 13.12-104.8 31.1C208 336.4 188.3 351.1 128 351.1v128l57.5 15.98c26.25 7.25 53 13.13 80.38 15.01c32.63 2.375 65.63 .743 97.5-6.132C472.9 481.2 512 429.2 512 383.1C512 319.1 427.9 287.1 337.5 287.1z", "M128 95.1c0 35.37 28.62 63.1 64 63.1L224 159.1V32L192 32C156.6 32 128 60.62 128 95.1zM491.4 7.252c-31.88-6.875-64.88-8.625-97.5-6.25C366.5 2.877 339.8 8.752 313.5 16L256 32V159.1c60.25 0 80 15.62 104.8 31.1c28.5 18.87 69.75 31.1 104.8 31.1C555.9 223.1 640 191.1 640 127.1C640 82.75 600.9 30.75 491.4 7.252z"]],
    "shop": [640, 512, ["store-alt"], "f54f", ["M64 192H576V480C576 497.7 561.7 512 544 512C526.3 512 512 497.7 512 480V224H384V464C384 490.5 362.5 512 336 512H112C85.49 512 64 490.5 64 464V192zM320 224H128V384H320V224z", "M603.2 192H36.84C16.5 192 0 175.5 0 155.2C0 147.9 2.153 140.8 6.188 134.7L81.75 21.37C90.65 8.021 105.6 0 121.7 0H518.3C534.4 0 549.3 8.021 558.2 21.37L633.8 134.7C637.8 140.8 640 147.9 640 155.2C640 175.5 623.5 192 603.2 192H603.2z"]],
    "shop-lock": [640, 512, [], "e4a5", ["M449.6 192H36.84C16.5 192 0 175.5 0 155.2C0 147.9 2.153 140.8 6.188 134.7L81.75 21.37C90.65 8.021 105.6 0 121.7 0H518.3C534.4 0 549.3 8.021 558.2 21.37L633.8 134.7C637.8 140.8 640 147.9 640 155.2C640 174.5 625.2 190.3 606.3 191.9C586.1 172.2 558.5 160 528 160C497.5 160 469.8 172.2 449.6 192H449.6zM384 464C384 490.5 362.5 512 336 512H112C85.49 512 64 490.5 64 464V224H128V384H320V224H384V464z", "M448 320V272C448 227.8 483.8 192 528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320zM496 320H560V272C560 254.3 545.7 240 528 240C510.3 240 496 254.3 496 272V320z"]],
    "shop-slash": [640, 512, ["store-alt-slash"], "e070", ["M512 375.1V224H576V426.2L512 375.1zM320 225.5V224H384V275.7L320 225.5zM74.13 32.8L81.75 21.37C90.65 8.021 105.6 0 121.7 0H518.3C534.4 0 549.3 8.021 558.2 21.37L633.8 134.7C637.8 140.8 640 147.9 640 155.2C640 175.5 623.5 192 603.2 192H277.3L74.13 32.8zM0 155.2C0 147.9 2.153 140.8 6.188 134.7L20.98 112.5L121.8 192H36.84C16.5 192 .0003 175.5 .0003 155.2H0zM320 384V348.1L384 398.5V464C384 490.5 362.5 512 336 512H112C85.49 512 64 490.5 64 464V224H128V384H320z", "M5.112 9.194C13.29-1.238 28.37-3.067 38.81 5.11L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.194V9.194z"]],
    "shovel": [512, 512, [], "f713", ["M502.6 99.88l-90.51-90.51c-12.5-12.5-32.75-12.51-45.26 0l-45.25 45.25c-29.46 29.46-35.37 73.31-18.46 108.1L197.4 269.4l45.26 45.26l105.8-105.8c35.65 16.91 79.51 11 108.1-18.46l45.26-45.25C515.1 132.6 515.1 112.4 502.6 99.88zM412.1 145.1c-12.48 12.48-32.78 12.47-45.26 0c-12.47-12.47-12.48-32.77 0-45.26l22.63-22.63l45.25 45.26L412.1 145.1z", "M152.1 224.1c-12.5-12.5-32.75-12.5-45.25 0L38.97 291.1c-50.01 50-45.26 181-22.63 203.7c22.63 22.63 153.6 27.38 203.6-22.63l67.88-67.89c12.5-12.5 12.5-32.75 0-45.25L152.1 224.1z"]],
    "shovel-snow": [512, 512, [], "f7c3", ["M504.1 81.77l-74.98-75.01c-9.016-9.037-24.95-9.006-33.94 0l-29.02 29.05c-14.55 14.54-22.56 33.89-22.56 54.47c0 12.28 3.17 23.97 8.561 34.62l-93.53 93.69l33.88 33.9l93.6-93.64c10.62 5.359 22.27 8.508 34.51 8.508c20.59 0 39.94-8.004 54.47-22.57l29.02-29.05C514.3 106.3 514.3 91.15 504.1 81.77zM441.1 110.8c-10.94 11.01-30.08 11.01-41.02 0c-5.484-5.473-8.516-12.79-8.516-20.54s3.016-15.04 8.5-20.51l12.05-12.07l41.05 41.05L441.1 110.8zM203.3 244.6c-6.125-6.379-16.38-6.379-22.5 0l-80.01 80.04c-6.25 6.129-6.25 16.38 0 22.51c3 3.129 7.124 4.753 11.25 4.753c4.125 0 8.25-1.624 11.25-4.753l80.01-80.04C209.5 261 209.5 250.8 203.3 244.6zM244.8 308.7l-80 80.04c-6.252 6.129-6.252 16.38 0 22.51c3 3.127 7.125 4.753 11.25 4.753c4.127 0 8.251-1.626 11.25-4.753l80.01-80.04c6.375-6.129 6.25-16.38 0-22.51C261.1 302.4 250.9 302.4 244.8 308.7z", "M342.8 301.8L210.2 169.2C198.9 157.9 180.9 156.7 168.2 166.5l-155.9 120.3c-15.13 11.76-16.63 34.15-3 47.66l168 168.1c13.63 13.63 35.88 12.13 47.63-3.001l120.4-155.1C355.3 331 354 313.1 342.8 301.8zM111.1 351.9c-4.127 0-8.251-1.624-11.25-4.753c-6.25-6.129-6.25-16.38 0-22.51L180.7 244.6c6.125-6.379 16.38-6.379 22.5 0c6.25 6.131 6.25 16.38 0 22.51l-80.01 80.04C120.2 350.3 116.1 351.9 111.1 351.9zM267.3 331.2l-80.01 80.04c-3 3.127-7.124 4.753-11.25 4.753c-4.125 0-8.25-1.626-11.25-4.753c-6.252-6.129-6.252-16.38 0-22.51l80-80.04c6.127-6.252 16.38-6.252 22.5 0C273.5 314.8 273.6 325.1 267.3 331.2z"]],
    "shower": [512, 512, [128703], "f2cc", ["M288 320c0-17.67-14.33-32-32-32s-32 14.33-32 32c0 17.67 14.33 32 32 32S288 337.7 288 320zM320 288c17.67 0 32-14.33 32-32c0-17.67-14.33-32-32-32s-32 14.33-32 32C288 273.7 302.3 288 320 288zM384 224c17.67 0 32-14.33 32-32c0-17.67-14.33-32-32-32s-32 14.33-32 32C352 209.7 366.3 224 384 224zM288 384c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32s32-14.33 32-32C320 398.3 305.7 384 288 384zM416 256c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32s32-14.33 32-32C448 270.3 433.7 256 416 256zM352 320c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32s32-14.33 32-32C384 334.3 369.7 320 352 320zM480 192c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32s32-14.33 32-32C512 206.3 497.7 192 480 192z", "M347.3 91.31l-11.31-11.31c-6.248-6.248-16.38-6.248-22.63 0l-6.631 6.631c-35.15-26.29-81.81-29.16-119.6-8.779L170.5 61.25C132.2 22.95 63.65 18.33 21.98 71.16C7.027 90.11 0 114.3 0 138.4V464C0 472.8 7.164 480 16 480h32C56.84 480 64 472.8 64 464V131.9c0-19.78 16.09-35.87 35.88-35.87c9.438 0 18.69 3.828 25.38 10.5l16.61 16.61C121.5 160.9 124.3 207.6 150.6 242.7L144 249.4c-6.248 6.248-6.248 16.38 0 22.63l11.31 11.31c6.248 6.25 16.38 6.25 22.63 0l169.4-169.4C353.6 107.7 353.6 97.56 347.3 91.31z"]],
    "shower-down": [384, 512, ["shower-alt"], "e24d", ["M122.7 418.8C118.3 425.7 96 461.1 96 477.7C96 496.6 110.3 512 127.1 512S160 496.6 160 477.7c0-16.5-22.28-51.93-26.74-58.88C130.9 415.1 125.1 415.1 122.7 418.8zM197.3 290.9c-2.375-3.703-8.148-3.703-10.52 0C182.3 297.8 160 333.3 160 349.8c0 18.95 14.35 34.31 31.1 34.31S224 368.7 224 349.8C224 333.3 201.7 297.8 197.3 290.9zM69.26 290.9c-2.375-3.703-8.148-3.703-10.52 0C54.28 297.8 32 333.3 32 349.8c0 18.95 14.35 34.31 31.1 34.31S96 368.7 96 349.8C96 333.3 73.72 297.8 69.26 290.9zM325.3 290.9c-2.375-3.703-8.148-3.703-10.52 0C310.3 297.8 288 333.3 288 349.8c0 18.95 14.35 34.31 31.1 34.31S352 368.7 352 349.8C352 333.3 329.7 297.8 325.3 290.9zM250.7 418.8C246.3 425.7 224 461.1 224 477.7C224 496.6 238.4 512 256 512S288 496.6 288 477.7c0-16.5-22.28-51.93-26.74-58.88C258.9 415.1 253.1 415.1 250.7 418.8z", "M368 192H352c0-77.4-54.97-141.9-128-156.8v-19.22c0-8.838-7.164-15.1-16-15.1h-32c-8.836 0-16 7.162-16 15.1v19.22C86.97 50.05 32 114.6 32 192H16C7.164 192 0 199.2 0 207.1v32c0 8.836 7.164 16 16 16h352c8.836 0 16-7.164 16-16V208C384 199.2 376.8 192 368 192z"]],
    "shredder": [512, 512, [], "f68a", ["M424 416v72C424 501.3 434.7 512 448 512s24-10.75 24-23.1V416H424zM40 488C40 501.3 50.75 512 63.1 512S88 501.3 88 488V416h-48V488zM232 488C232 501.3 242.7 512 256 512s24-10.75 24-23.1V416h-48V488zM136 488C136 501.3 146.7 512 159.1 512S184 501.3 184 488V416h-48V488zM328 488C328 501.3 338.7 512 352 512s24-10.75 24-23.1V416h-48V488zM448 192V77.25c0-8.484-3.375-16.62-9.375-22.62l-45.25-45.25C387.4 3.375 379.2 0 370.8 0H96C78.34 0 64 14.33 64 32v160h64V64h229.5L384 90.51V192H448z", "M448 192H64C28.65 192 0 220.7 0 256v96c0 17.67 14.33 32 32 32h448c17.67 0 32-14.33 32-32V256C512 220.7 483.3 192 448 192zM432 296c-13.25 0-24-10.75-24-24c0-13.27 10.75-24 24-24s24 10.73 24 24C456 285.3 445.3 296 432 296z"]],
    "shrimp": [512, 512, [129424], "e448", ["M32.01 96c0-17.64 14.34-32 32-32h368c8.844 0 16-7.156 16-16S440.8 32 432 32h-368C28.72 32 .0055 60.7 .0055 96s28.72 64 64 64h2.879C65.13 149.6 64.01 138.9 64.01 128C46.35 128 32.01 113.6 32.01 96zM320 128h-32v192h32V128zM320.2 409.1l-.2324-.0898V480h16c5.406 0 10.72-.375 16-.8516v-68.39C342 413.1 330.9 414 320.2 409.1zM507.9 270c-2.242-11.28-5.492-22.08-9.824-32.41l-130.6 94.97c8.258 7.17 13.93 16.96 15.71 28.13L507.9 270zM368.2 401.6l81.75 36.34c8.668-7.383 16.57-15.6 23.66-24.51l-90.15-40.06C382.1 384.9 376.4 394.6 368.2 401.6z", "M352 410.8v68.39c37.23-3.363 71.05-18.3 97.96-41.21l-81.75-36.34C363.5 405.6 358 408.8 352 410.8zM288 320V128h-224c0 106 85.96 192 192 192H288zM192 216c-13.25 0-24-10.75-24-24c0-13.26 10.75-24 24-24s24 10.74 24 24C216 205.3 205.3 216 192 216zM507.9 270l-124.7 90.69c.3066 1.918 .7266 3.799 .7871 5.793c.0469 1.576 .0176 3.135-.084 4.676c-.0508 .7598-.334 1.418-.4219 2.164l90.15 40.06c26.95-33.84 41.82-77.71 37.69-125.2C510.8 281.1 509.1 276.1 507.9 270zM225.2 400.5c-4.121 12.37 3.225 25.72 15.39 30.4l4.467 1.719c-12.45 1.596-22.08 12.29-20.98 25.45C225.2 470.7 236.5 480 249.2 480h70.78v-70.13l-63.38-24.28C243.9 380.8 229.6 387.4 225.2 400.5zM498.1 237.6C470.9 172.7 405.6 128 331.8 128h-11.78v192h13.99c12.67 0 24.49 4.785 33.49 12.6L498.1 237.6z"]],
    "shuffle": [512, 512, [128256, "random"], "f074", ["M112 352H32c-17.69 0-32 14.31-32 32s14.31 32 32 32h96c10.06 0 19.56-4.75 25.59-12.81L224 309.3L184 256L112 352zM504.1 111l-79.1-79.98c-15.13-15.12-40.99-4.391-40.99 17V96H320c-10.06 0-19.56 4.75-25.59 12.81L224 202.7L263.1 256L336 160h47.97v48.03c0 21.39 25.87 32.09 40.1 16.97l79.1-79.98C514.4 135.6 514.3 120.4 504.1 111z", "M504.1 400.1l-79.1 79.98c-15.13 15.12-40.99 4.391-40.99-17V416H320c-10.06 0-19.56-4.75-25.59-12.81L112 160H32C14.31 160 0 145.7 0 128s14.31-32 32-32h96c10.06 0 19.56 4.75 25.59 12.81L336 352h47.97V303.1c0-21.39 25.87-32.09 40.1-16.97l79.99 79.98C514.3 376.4 514.3 391.6 504.1 400.1z"]],
    "shutters": [512, 512, [], "e449", ["M20.48 224h471c10.4 0 18.05-9.793 15.52-19.87L488 128H24L4.961 204.1C2.432 214.2 10.08 224 20.48 224zM488 256H24l-19.04 76.13C2.432 342.2 10.08 352 20.48 352h471c10.4 0 18.05-9.793 15.52-19.87L488 256zM488 384H24l-19.04 76.13C2.432 470.2 10.08 480 20.48 480h471c10.4 0 18.05-9.793 15.52-19.87L488 384z", "M512 64c0 17.66-14.34 32-32 32H32C14.34 96 0 81.66 0 64s14.34-32 32-32h448C497.7 32 512 46.34 512 64z"]],
    "shuttle-space": [640, 512, ["space-shuttle"], "f197", ["M96 128H32V80C32 53.49 53.49 32 80 32H96V128zM96 480H80C53.49 480 32 458.5 32 432V384H96V480zM128 480V380.3C144.1 375.3 158.1 365.2 168 352H405.3L245.2 448.1C210.4 468.1 170.6 480 129.1 480H128zM128 131.7V32H129.1C170.6 32 210.4 43.03 245.2 63.92L405.3 160H168C158.1 146.8 144.1 136.7 127.1 131.7H128z", "M0 168C0 145.9 17.91 128 40 128H104C130.2 128 153.4 140.6 168 160H456C525.3 160 591 182.7 635.2 241.6C641.6 250.1 641.6 261.9 635.2 270.4C591 329.3 525.3 352 456 352H168C153.4 371.4 130.2 384 104 384H40C17.91 384 0 366.1 0 344L0 168zM512 268.4V243.6C512 223.9 496.1 208 476.4 208C473.1 208 472 209.1 472 212.4V299.6C472 302 473.1 304 476.4 304C496.1 304 512 288.1 512 268.4z"]],
    "shuttlecock": [512, 512, [], "f45b", ["M31.03 330.1c-20.69 20.69-31.04 47.84-31.04 74.1c0 56.66 45.53 106 106 106c27.16 0 54.32-10.35 75.01-31.04l25.16-25.21L56.19 305.8L31.03 330.1z", "M483.1 191.1h-20c0 .8869 .0929 2.73 .0929 5.277c0 14.68-3.087 52.76-44.85 65.97l-91.14 28.75l-26.45 45.34l-77.97 36.42l-25.75-25.87l70.76-70.75l140.9-44.5c13.25-4.25 22.38-16.62 22.38-30.5V107.1c0-15.5-12.5-27.1-28.01-27.1h-94.14c-14 0-26.25 9.124-30.51 22.37L234.8 243.2L164 313.1l-25.75-25.75L174.6 210.3l45.44-26.42l28.76-91.12c13.76-43.63 54.39-44.75 68.1-44.75l2.142 .0033V27.1c0-15.37-12.63-27.1-28.01-27.1H237.3c-10.75 0-20.75 6.25-25.38 16.25l-116.5 250.2L56.19 305.8l150 149.1l39.26-39.26l250.3-116.5C505.6 295.4 512 285.5 512 274.6V219.1C512 204.6 499.4 191.1 483.1 191.1z"]],
    "sickle": [512, 512, [], "f822", ["M511.8 153.7c1.643 8.283-9.221 13.23-14.4 6.429c-12.76-16.82-29.05-30.79-47.75-40.93c-44.97-24.73-102.1-22.1-145.7 3.957c-71.5 44.14-86.28 130.3-47.37 193.9l-59.17 59.17l-64.05-63.95l25.98-25.98c-26.35-40.44-38.06-89.06-27.53-136.4C149.1 68.52 220.1 0 318 0C447.4 0 500.1 99.65 511.8 153.7z", "M129.9 308.7C123.7 302.5 113.4 302.5 107.2 308.8l-22.5 22.5c-6.25 6.25-6.25 16.5 0 22.75l2.625 2.75L9.373 434.8c-12.5 12.5-12.5 32.76 0 45.26l22.62 22.62c12.5 12.5 32.76 12.5 45.26 0l78.07-78.13l2.75 2.75c6.25 6.25 16.38 6.25 22.63 0l22.63-22.62c6.252-6.251 6.248-16.39-.009-22.63L129.9 308.7z"]],
    "sidebar": [512, 512, [], "e24e", ["M512 416C512 451.3 483.3 480 448 480H224V32H448C483.3 32 512 60.65 512 96V416z", "M224 32V480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H224zM88 96C74.75 96 64 106.7 64 120C64 133.3 74.75 144 88 144H136C149.3 144 160 133.3 160 120C160 106.7 149.3 96 136 96H88zM88 240H136C149.3 240 160 229.3 160 216C160 202.7 149.3 192 136 192H88C74.75 192 64 202.7 64 216C64 229.3 74.75 240 88 240zM88 288C74.75 288 64 298.7 64 312C64 325.3 74.75 336 88 336H136C149.3 336 160 325.3 160 312C160 298.7 149.3 288 136 288H88z"]],
    "sidebar-flip": [512, 512, [], "e24f", ["M0 96C0 60.65 28.65 32 64 32H288V480H64C28.65 480 0 451.3 0 416V96z", "M448 32C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H288V32H448zM376 96C362.7 96 352 106.7 352 120C352 133.3 362.7 144 376 144H424C437.3 144 448 133.3 448 120C448 106.7 437.3 96 424 96H376zM448 216C448 202.7 437.3 192 424 192H376C362.7 192 352 202.7 352 216C352 229.3 362.7 240 376 240H424C437.3 240 448 229.3 448 216zM376 288C362.7 288 352 298.7 352 312C352 325.3 362.7 336 376 336H424C437.3 336 448 325.3 448 312C448 298.7 437.3 288 424 288H376z"]],
    "sigma": [384, 512, [8721], "f68b", ["M352 480H32c-12.94 0-24.62-7.781-29.56-19.75c-4.969-11.97-2.219-25.72 6.938-34.88l169.4-169.4L9.375 86.64C.2188 77.48-2.531 63.73 2.438 51.76C7.375 39.8 19.06 32.01 32 32.01h320c17.69 0 32 14.31 32 32v64c0 17.69-14.31 31.1-32 31.1S320 145.7 320 128v-32H109.3l137.4 137.4c12.5 12.5 12.5 32.75 0 45.25l-137.4 137.4H320v-32c0-17.69 14.31-32 31.1-32S384 366.3 384 384v64C384 465.7 369.7 480 352 480z", ""]],
    "sign-hanging": [512, 512, ["sign"], "f4d9", ["M128 64H480C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128H128V480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480V128H32C14.33 128 0 113.7 0 96C0 78.33 14.33 64 32 64H64V32C64 14.33 78.33 0 96 0C113.7 0 128 14.33 128 32V64z", "M160 192C160 174.3 174.3 160 192 160H448C465.7 160 480 174.3 480 192V352C480 369.7 465.7 384 448 384H192C174.3 384 160 369.7 160 352V192z"]],
    "signal": [576, 512, [128246, "signal-5", "signal-perfect"], "f012", ["", "M160 288C142.3 288 128 302.3 128 319.1v160C128 497.7 142.3 512 160 512s32-14.33 32-31.1V319.1C192 302.3 177.7 288 160 288zM32 384C14.33 384 0 398.3 0 415.1v64C0 497.7 14.33 512 31.1 512S64 497.7 64 480V415.1C64 398.3 49.67 384 32 384zM288 192C270.3 192 256 206.3 256 223.1v256C256 497.7 270.3 512 288 512s32-14.33 32-31.1V223.1C320 206.3 305.7 192 288 192zM416 96c-17.67 0-32 14.33-32 31.1V480C384 497.7 398.3 512 416 512s32-14.33 32-31.1V127.1C448 110.3 433.7 96 416 96zM544 0c-17.67 0-32 14.33-32 31.1V480C512 497.7 526.3 512 544 512s32-14.33 32-31.1V31.1C576 14.33 561.7 0 544 0z"]],
    "signal-bars": [640, 512, ["signal-alt", "signal-alt-4", "signal-bars-strong"], "f690", ["", "M240 256C213.6 256 192 277.6 192 303.1v160C192 490.4 213.6 512 239.1 512S288 490.4 288 464V303.1C288 277.6 266.4 256 240 256zM80 384C53.6 384 32 405.6 32 431.1v32C32 490.4 53.6 512 79.1 512S128 490.4 128 464v-32C128 405.6 106.4 384 80 384zM400 128C373.6 128 352 149.6 352 175.1v288C352 490.4 373.6 512 399.1 512C426.4 512 448 490.4 448 464V175.1C448 149.6 426.4 128 400 128zM560 0C533.6 0 512 21.6 512 47.1v416C512 490.4 533.6 512 559.1 512S608 490.4 608 464V47.1C608 21.6 586.4 0 560 0z"]],
    "signal-bars-fair": [576, 512, ["signal-alt-2"], "f692", ["M368 128C341.6 128 320 149.6 320 175.1v288C320 490.4 341.6 512 367.1 512C394.4 512 416 490.4 416 464V175.1C416 149.6 394.4 128 368 128zM528 0C501.6 0 480 21.6 480 47.1v416C480 490.4 501.6 512 527.1 512S576 490.4 576 464V47.1C576 21.6 554.4 0 528 0z", "M208 256C181.6 256 160 277.6 160 303.1v160C160 490.4 181.6 512 207.1 512S256 490.4 256 464V303.1C256 277.6 234.4 256 208 256zM48 384C21.6 384 0 405.6 0 431.1v32C0 490.4 21.6 512 47.1 512S96 490.4 96 464v-32C96 405.6 74.4 384 48 384z"]],
    "signal-bars-good": [576, 512, ["signal-alt-3"], "f693", ["M528 0C501.6 0 480 21.6 480 47.1v416C480 490.4 501.6 512 527.1 512S576 490.4 576 464V47.1C576 21.6 554.4 0 528 0z", "M208 256C181.6 256 160 277.6 160 303.1v160C160 490.4 181.6 512 207.1 512S256 490.4 256 464V303.1C256 277.6 234.4 256 208 256zM368 128C341.6 128 320 149.6 320 175.1v288C320 490.4 341.6 512 367.1 512C394.4 512 416 490.4 416 464V175.1C416 149.6 394.4 128 368 128zM48 384C21.6 384 0 405.6 0 431.1v32C0 490.4 21.6 512 47.1 512S96 490.4 96 464v-32C96 405.6 74.4 384 48 384z"]],
    "signal-bars-slash": [640, 512, ["signal-alt-slash"], "f694", ["M351.1 463.1c0 26.4 21.6 48 48 48s48-21.6 48-48v-16.19l-96-75.24V463.1zM80 383.1c-26.4 0-48 21.6-48 48v31.1c0 26.4 21.6 48 48 48s48-21.6 48-48v-31.1C128 405.6 106.4 383.1 80 383.1zM399.1 127.1c-26.4 0-48 21.6-48 48v74.58l96 75.24V175.1C447.1 149.6 426.4 127.1 399.1 127.1zM559.1 0c-26.4 0-48 21.6-48 48v327.1l96 75.24V48C607.1 21.6 586.4 0 559.1 0zM192 304v160C192 490.4 213.6 512 240 512S288 490.4 288 464v-141.4L213.4 264.1C200.5 272.8 192 287.4 192 304z", "M634.9 502.8c-8.125 10.41-23.19 12.28-33.69 4.078L9.187 42.89c-10.44-8.172-12.26-23.26-4.068-33.7C9.839 3.158 16.91 0 24.03 0c5.156 0 10.38 1.673 14.78 5.111l591.1 463.1C641.2 477.3 643.1 492.4 634.9 502.8z"]],
    "signal-bars-weak": [576, 512, ["signal-alt-1"], "f691", ["M208 256C181.6 256 160 277.6 160 303.1v160C160 490.4 181.6 512 207.1 512S256 490.4 256 464V303.1C256 277.6 234.4 256 208 256zM368 128C341.6 128 320 149.6 320 175.1v288C320 490.4 341.6 512 367.1 512C394.4 512 416 490.4 416 464V175.1C416 149.6 394.4 128 368 128zM528 0C501.6 0 480 21.6 480 47.1v416C480 490.4 501.6 512 527.1 512S576 490.4 576 464V47.1C576 21.6 554.4 0 528 0z", "M48 384C21.6 384 0 405.6 0 431.1v32C0 490.4 21.6 512 47.1 512S96 490.4 96 464v-32C96 405.6 74.4 384 48 384z"]],
    "signal-fair": [576, 512, ["signal-2"], "f68d", ["M288 192C270.3 192 256 206.3 256 223.1v256C256 497.7 270.3 512 287.1 512S320 497.7 320 480V223.1C320 206.3 305.7 192 288 192zM416 96C398.3 96 384 110.3 384 127.1V480C384 497.7 398.3 512 415.1 512S448 497.7 448 480V127.1C448 110.3 433.7 96 416 96zM544 0C526.3 0 512 14.33 512 31.1V480C512 497.7 526.3 512 543.1 512S576 497.7 576 480V31.1C576 14.33 561.7 0 544 0z", "M32 384C14.33 384 0 398.3 0 415.1v64C0 497.7 14.33 512 31.1 512S64 497.7 64 480V415.1C64 398.3 49.67 384 32 384zM160 288C142.3 288 128 302.3 128 319.1v160C128 497.7 142.3 512 160 512s32-14.33 32-31.1V319.1C192 302.3 177.7 288 160 288z"]],
    "signal-good": [576, 512, ["signal-3"], "f68e", ["M416 96C398.3 96 384 110.3 384 127.1V480C384 497.7 398.3 512 415.1 512S448 497.7 448 480V127.1C448 110.3 433.7 96 416 96zM544 0C526.3 0 512 14.33 512 31.1V480C512 497.7 526.3 512 543.1 512S576 497.7 576 480V31.1C576 14.33 561.7 0 544 0z", "M32 384C14.33 384 0 398.3 0 415.1v64C0 497.7 14.33 512 31.1 512S64 497.7 64 480V415.1C64 398.3 49.67 384 32 384zM288 192C270.3 192 256 206.3 256 223.1v256C256 497.7 270.3 512 288 512s32-14.33 32-31.1V223.1C320 206.3 305.7 192 288 192zM160 288C142.3 288 128 302.3 128 319.1v160C128 497.7 142.3 512 160 512s32-14.33 32-31.1V319.1C192 302.3 177.7 288 160 288z"]],
    "signal-slash": [640, 512, [], "f695", ["M192 287.1c-17.67 0-32 14.32-32 31.1v159.1c0 17.67 14.33 32 32 32c17.67 0 32-14.33 32-32v-159.1C224 302.3 209.7 287.1 192 287.1zM288 480c0 17.67 14.33 32 32 32s32-14.33 32-32v-107.4l-64-50.16V480zM64 383.1c-17.67 0-32 14.32-32 31.1v63.1c0 17.67 14.33 32 32 32c17.67 0 32-14.33 32-32v-63.1C96 398.3 81.67 383.1 64 383.1zM320 192C309.3 192 300.4 197.5 294.6 205.6L352 250.6V224C352 206.3 337.7 192 320 192zM575.1 0c-17.67 0-32 14.33-32 32v369.1l64 50.16V32C607.1 14.33 593.7 0 575.1 0zM416 480c0 17.67 14.33 32 32 32s32-14.33 32-32v-7.102l-64-50.16V480zM448 96c-17.67 0-32 14.33-32 32v172.7l64 50.16V128C480 110.3 465.7 96 448 96z", "M630.8 469.1L38.81 5.111C34.41 1.673 29.19 0 24.03 0C16.91 0 9.84 3.158 5.121 9.189C-3.066 19.63-1.249 34.72 9.189 42.89l591.1 463.1c10.5 8.203 25.57 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1z"]],
    "signal-stream": [576, 512, [], "f8dd", ["M64 256c0-51.5 16.98-99.91 49.13-139.1c11.05-13.78 8.844-33.94-4.953-45c-13.75-10.97-33.89-8.812-44.98 4.938C22.44 126.8 0 190.7 0 256c0 65.28 22.44 129.2 63.19 180C69.52 443.9 78.8 448 88.17 448c7.031 0 14.09-2.312 20-7.031c13.8-11.06 16-31.22 4.953-45C80.98 355.9 64 307.5 64 256zM512.8 75.96c-11.09-13.78-31.23-15.97-44.98-4.938c-13.8 11.06-16 31.22-4.953 45C495 156.1 512 204.5 512 256c0 51.5-16.98 99.91-49.13 139.1c-11.05 13.78-8.844 33.94 4.953 45C473.7 445.7 480.8 448 487.8 448c9.375 0 18.66-4.094 24.98-11.97C553.6 385.2 576 321.3 576 256C576 190.7 553.6 126.8 512.8 75.96zM392.3 149.1c-9.962 8.75-10.95 23.91-2.19 33.87c34.97 39.78 34.97 104.5 0 144.3c-8.758 9.969-7.772 25.12 2.19 33.87c4.567 3.1 10.21 5.969 15.84 5.969c6.678 0 13.32-2.75 18.06-8.156c50.33-57.25 50.33-150.4 0-207.7C417.4 142.2 402.3 141.2 392.3 149.1zM183.7 149.1C173.8 141.2 158.6 142.2 149.8 152.2c-50.33 57.25-50.33 150.4 0 207.7c4.739 5.406 11.39 8.156 18.06 8.156c5.614 0 11.28-1.969 15.84-5.969c9.962-8.75 10.95-23.91 2.19-33.87c-34.97-39.78-34.97-104.5 0-144.3C194.7 173.9 193.7 158.7 183.7 149.1z", "M288 200C257.1 200 232 225.1 232 256S257.1 312 288 312S344 286.9 344 256S318.9 200 288 200z"]],
    "signal-stream-slash": [640, 512, [], "e250", ["M96 256c0-25.75 4.246-50.72 12.51-74.26L56.21 140.8C40.45 176.9 32 216.2 32 256c0 65.28 22.44 129.2 63.19 180C101.5 443.9 110.8 448 120.2 448c7.031 0 14.09-2.312 20-7.031c13.8-11.06 16-31.22 4.953-45C112.1 355.9 96 307.5 96 256zM192.4 247.5L150 214.3c-12.1 49.99-2.779 106.2 31.83 145.6C186.6 365.3 193.2 368 199.9 368c5.615 0 11.28-1.969 15.84-5.969c9.963-8.75 10.95-23.91 2.191-33.88C198.6 306.1 190.3 276.4 192.4 247.5zM424.3 149.1c-9.963 8.75-10.95 23.91-2.191 33.88c31.01 35.27 34.38 90.09 10.41 129.8l37.66 29.51c37.48-57.45 33.8-138.9-11.97-191C449.4 142.2 434.3 141.2 424.3 149.1zM544.8 75.96c-11.09-13.78-31.23-15.97-44.98-4.938c-13.8 11.06-16 31.22-4.953 45C527 156.1 544 204.5 544 256c0 42.57-12.22 82.73-34.4 118.1l51.02 39.99C591.3 367.4 608 312.2 608 256C608 190.7 585.6 126.8 544.8 75.96zM320 200c-8.949 0-17.3 2.307-24.81 6.057l79.36 62.2C375.4 264.3 376 260.2 376 256C376 225.1 350.9 200 320 200z", "M630.8 469.1L38.81 5.113C28.34-3.058 13.31-1.246 5.109 9.191c-8.172 10.44-6.344 25.53 4.078 33.7L601.2 506.9C605.6 510.3 610.8 512 615.1 512c7.125 0 14.17-3.156 18.91-9.187C643.1 492.4 641.2 477.3 630.8 469.1z"]],
    "signal-strong": [576, 512, ["signal-4"], "f68f", ["M544 0C526.3 0 512 14.33 512 31.1V480C512 497.7 526.3 512 543.1 512S576 497.7 576 480V31.1C576 14.33 561.7 0 544 0z", "M32 384C14.33 384 0 398.3 0 415.1v64C0 497.7 14.33 512 31.1 512S64 497.7 64 480V415.1C64 398.3 49.67 384 32 384zM416 96c-17.67 0-32 14.33-32 31.1V480C384 497.7 398.3 512 416 512s32-14.33 32-31.1V127.1C448 110.3 433.7 96 416 96zM160 288C142.3 288 128 302.3 128 319.1v160C128 497.7 142.3 512 160 512s32-14.33 32-31.1V319.1C192 302.3 177.7 288 160 288zM288 192C270.3 192 256 206.3 256 223.1v256C256 497.7 270.3 512 288 512s32-14.33 32-31.1V223.1C320 206.3 305.7 192 288 192z"]],
    "signal-weak": [576, 512, ["signal-1"], "f68c", ["M160 288C142.3 288 128 302.3 128 319.1v160C128 497.7 142.3 512 159.1 512S192 497.7 192 480V319.1C192 302.3 177.7 288 160 288zM288 192C270.3 192 256 206.3 256 223.1v256C256 497.7 270.3 512 287.1 512S320 497.7 320 480V223.1C320 206.3 305.7 192 288 192zM416 96C398.3 96 384 110.3 384 127.1V480C384 497.7 398.3 512 415.1 512S448 497.7 448 480V127.1C448 110.3 433.7 96 416 96zM544 0C526.3 0 512 14.33 512 31.1V480C512 497.7 526.3 512 543.1 512S576 497.7 576 480V31.1C576 14.33 561.7 0 544 0z", "M32 384C14.33 384 0 398.3 0 415.1v64C0 497.7 14.33 512 31.1 512S64 497.7 64 480V415.1C64 398.3 49.67 384 32 384z"]],
    "signature": [640, 512, [], "f5b7", ["M64 407.5C64 410.4 64.11 413.2 64.34 416H24C10.75 416 0 405.3 0 392C0 378.7 10.75 368 24 368H64V407.5zM305.9 368H616C629.3 368 640 378.7 640 392C640 405.3 629.3 416 616 416H283.5C291.7 400.3 299.2 384.3 305.9 368z", "M224 96C206.3 96 192 110.3 192 128V160C192 177.7 177.7 192 160 192C142.3 192 128 177.7 128 160V128C128 74.98 170.1 32 224 32C277 32 320 74.98 320 128V135.8C320 156.6 318.8 177.4 316.4 198.1L438.8 161.3C450.2 157.9 462.6 161.1 470.1 169.7C479.3 178.3 482.1 190.8 478.4 202.1L460.4 255.1H544C561.7 255.1 576 270.3 576 287.1C576 305.7 561.7 319.1 544 319.1H416C405.7 319.1 396.1 315.1 390 306.7C384 298.4 382.4 287.6 385.6 277.9L398.1 240.4L303.7 268.7C291.9 321.5 272.2 372.2 245.3 419.2L231.4 443.5C218.5 466.1 194.5 480 168.5 480C128.5 480 96 447.5 96 407.5V335.6C96 293.2 123.8 255.8 164.4 243.7L248.9 218.3C253.6 191.1 256 163.5 256 135.8V128C256 110.3 241.7 96 224 96L224 96zM231.8 290.3L182.8 304.1C169.3 309 160 321.5 160 335.6V407.5C160 412.2 163.8 416 168.5 416C171.5 416 174.4 414.4 175.9 411.7L189.8 387.4C207.3 356.6 221.4 324.1 231.8 290.3V290.3z"]],
    "signature-lock": [640, 512, [], "e3ca", ["M128 96C110.3 96 96 110.3 96 128V160C96 177.7 81.67 192 64 192C46.33 192 32 177.7 32 160V128C32 74.98 74.98 32 128 32C181 32 224 74.98 224 128V135.8C224 156.6 222.8 177.4 220.4 198.1L342.8 161.3C354.2 157.9 366.6 161.1 374.1 169.7C383.3 178.3 386.1 190.8 382.4 202.1L364.4 255.1H417.1C416.4 261.2 416 266.6 416 271.1V296.6C406.3 302.2 398.2 310.3 392.6 319.1H320C309.7 319.1 300.1 315.1 294 306.7C288 298.4 286.4 287.6 289.6 277.9L302.1 240.4L207.7 268.7C195.9 321.5 176.2 372.2 149.3 419.2L135.4 443.5C122.5 466.1 98.51 480 72.5 480C32.46 480 0 447.5 0 407.5V335.6C0 293.2 27.81 255.8 68.41 243.7L152.9 218.3C157.6 191.1 160 163.5 160 135.8V128C160 110.3 145.7 96 128 96V96zM135.8 290.3L86.81 304.1C73.27 309 64 321.5 64 335.6V407.5C64 412.2 67.81 416 72.5 416C75.55 416 78.36 414.4 79.88 411.7L93.76 387.4C111.3 356.6 125.4 324.1 135.8 290.3V290.3zM384 416H187.5C195.7 400.3 203.2 384.3 209.9 368H384V416z", "M448 320V272C448 227.8 483.8 192 528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320zM496 320H560V272C560 254.3 545.7 240 528 240C510.3 240 496 254.3 496 272V320z"]],
    "signature-slash": [640, 512, [], "e3cb", ["M501.8 368H616C629.3 368 640 378.7 640 392C640 405.3 629.3 416 616 416H563L501.8 368zM385.9 277.1L398.1 240.4L355.3 253.2L254.5 174.1C255.5 161.4 255.1 148.6 255.1 135.8V128C255.1 110.3 241.7 96 223.1 96C207.2 96 193.5 108.9 192.1 125.3L138.9 83.55C154.9 52.91 187 32 223.1 32C277 32 319.1 74.98 319.1 128V135.8C319.1 156.6 318.8 177.4 316.4 198.1L438.8 161.3C450.2 157.9 462.6 161.1 470.1 169.7C479.3 178.3 482.1 190.8 478.4 202.1L460.4 255.1H544C561.7 255.1 576 270.3 576 287.1C576 305.7 561.7 319.1 544 319.1H440.6L385.9 277.1zM164.4 243.7L181.1 238.7L288.4 323.3C277.2 356.5 262.8 388.6 245.3 419.2L231.4 443.5C218.5 466.1 194.5 480 168.5 480C128.5 480 96 447.5 96 407.5V335.6C96 293.2 123.8 255.8 164.4 243.7V243.7zM231.8 290.3L182.8 304.1C169.3 309 160 321.5 160 335.6V407.5C160 412.2 163.8 416 168.5 416C171.5 416 174.4 414.4 175.9 411.7L189.8 387.4C207.3 356.6 221.4 324.1 231.8 290.3V290.3zM24 368H64V407.5C64 410.4 64.11 413.2 64.34 416H24C10.75 416 0 405.3 0 392C0 378.7 10.75 368 24 368z", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "signs-post": [512, 512, ["map-signs"], "f277", ["M224 32C224 14.33 238.3 0 256 0C273.7 0 288 14.33 288 32V64H224V32zM288 192V224H224V192H288zM256 512C238.3 512 224 497.7 224 480V352H288V480C288 497.7 273.7 512 256 512z", "M441.4 64C445.6 64 449.7 65.69 452.7 68.69L500.7 116.7C506.9 122.9 506.9 133.1 500.7 139.3L452.7 187.3C449.7 190.3 445.6 192 441.4 192H63.1C46.33 192 31.1 177.7 31.1 160V96C31.1 78.33 46.33 64 63.1 64L441.4 64zM448 224C465.7 224 480 238.3 480 256V320C480 337.7 465.7 352 448 352H70.63C66.38 352 62.31 350.3 59.31 347.3L11.31 299.3C5.065 293.1 5.065 282.9 11.31 276.7L59.31 228.7C62.31 225.7 66.38 223.1 70.63 223.1L448 224z"]],
    "sim-card": [384, 512, [], "f7c4", ["M256 0H64C28.75 0 0 28.75 0 64v384c0 35.25 28.75 64 64 64h256c35.25 0 64-28.75 64-64V128L256 0zM320 416c0 17.67-14.33 32-32 32H96c-17.67 0-32-14.33-32-32V224c0-17.67 14.33-32 32-32h192c17.67 0 32 14.33 32 32V416z", "M64 416c0 17.75 14.25 32 32 32h32v-64H64V416zM128 192H96C78.25 192 64 206.3 64 224v32h64V192zM224 192H160v64h64V192zM160 448h64v-64H160V448zM288 192h-32v64h64V224C320 206.3 305.8 192 288 192zM64 352h256V288H64V352zM256 448h32c17.75 0 32-14.25 32-32v-32h-64V448z"]],
    "sim-cards": [448, 512, [], "e251", ["M336 0H160C124.8 0 96 28.75 96 64v288c0 35.25 28.75 64 64 64h224c35.25 0 64-28.75 64-64V112L336 0zM384 320c0 17.75-14.25 32-32 32H192c-17.75 0-32-14.25-32-32V176c0-17.75 14.25-32 32-32h160c17.75 0 32 14.25 32 32V320z", "M192 352h16V304H160V320C160 337.8 174.3 352 192 352zM208 144H192c-17.75 0-32 14.25-32 32V192h48V144zM304 144h-64V192h64V144zM240 304V352h64V304H240zM336 352H352c17.75 0 32-14.25 32-32V304h-48V352zM352 144h-16V192H384V176C384 158.3 369.8 144 352 144zM160 272h224V224H160V272zM328 512h-208C53.83 512 0 458.2 0 392v-272C0 106.8 10.75 96 24 96S48 106.8 48 120v272c0 39.7 32.3 72 72 72h208c13.25 0 24 10.75 24 24S341.3 512 328 512z"]],
    "sink": [512, 512, [], "e06d", ["M32 416c0 53.02 42.98 96 96 96h256c53.02 0 96-42.98 96-96v-32H32V416zM496 288h-480c-8.836 0-16 7.164-16 16v32c0 8.836 7.164 16 16 16h480c8.836 0 16-7.164 16-16V304C512 295.2 504.8 288 496 288z", "M352 112c0 8.836 7.164 16 16 16h32c8.838 0 16-7.164 16-16v-16c0-59.2-53.85-106-115.1-94.14C255.3 10.71 224 53.36 224 99.79v188.2h64v-192c0-17.64 14.36-32 32-32s32 14.36 32 32V112zM128 208L48 208c-8.836 0-16 7.162-16 16v15.1C32 248.8 39.16 256 48 256l64-.0002V288L160 288V240C160 222.3 145.7 208 128 208zM464 208L384 208c-17.67 0-32 14.33-32 32v47.1L400 288V256l64 .0002c8.838 0 16-7.164 16-15.1v-15.1C480 215.2 472.8 208 464 208z"]],
    "siren": [448, 512, [], "e02d", ["M128.3 166.1c.25-2.125 1.375-4.125 3-5.375c1.75-1.25 3.875-1.875 6-1.5L153.1 162.2c2 .25 4 1.375 5.25 3C159.6 166.1 160.3 169.1 160 171.2L135.9 352H400l-25-200c-4-31.1-31.25-55.1-63.5-55.1h-175c-32.25 0-59.5 24-63.5 55.1L48 352h55.5L128.3 166.1z", "M424 352H24C10.75 352 0 362.7 0 376v79.1c0 13.25 10.75 24 24 24h400c13.25 0 24-10.75 24-24V376C448 362.7 437.3 352 424 352z"]],
    "siren-on": [640, 512, [], "e02e", ["M224.3 167.2c.25-2.123 1.375-4.121 3-5.371c1.75-1.248 3.875-1.873 6-1.498l15.88 2.123c2 .25 4 1.373 5.25 2.998C255.6 167.2 256.3 169.4 256 171.5l-24.12 180.6H496l-25-199.8c-4-31.97-31.25-56.06-63.5-56.06h-175c-32.25 0-59.5 24.08-63.5 56.06L144 352.1h55.5L224.3 167.2z", "M536 112.2c4.75 0 9.375-1.374 13.25-3.997l48-31.98c7.375-4.621 11.62-12.76 11.12-21.5c-.5-8.744-5.625-16.49-13.5-20.23c-7.75-3.748-17-2.998-24.12 1.873l-48 31.97c-8.875 5.871-12.75 16.76-9.625 26.88C516.1 105.2 525.5 112.2 536 112.2zM90.75 108.2C97.88 113.2 107.1 114.1 115 110.2C122.9 106.4 128 98.7 128.5 89.95C129 81.21 124.8 73.07 117.3 68.45l-48-31.97C62.13 31.35 52.88 30.6 45 34.35C37.13 38.22 32 45.97 31.5 54.71C31 63.45 35.25 71.59 42.75 76.21L90.75 108.2zM112 224.1c0-13.24-10.75-23.99-24-23.99h-64c-13.25 0-24 10.71-24 23.95s10.75 24.03 24 24.03h64C101.3 248.1 112 237.4 112 224.1zM616 200.1h-64c-13.25 0-24 10.75-24 23.99s10.75 23.99 24 23.99h64c13.25 0 24-10.79 24-24.03S629.3 200.1 616 200.1zM520 352H120C106.7 352 96 362.7 96 376v80C96 469.3 106.7 480 120 480h400c13.25 0 24-10.75 24-24v-80C544 362.7 533.3 352 520 352z"]],
    "sitemap": [576, 512, [], "f0e8", ["M112 280C107.6 280 104 283.6 104 288V320H56V288C56 257.1 81.07 232 112 232H264V192H312V232H464C494.9 232 520 257.1 520 288V320H472V288C472 283.6 468.4 280 464 280H312V320H264V280H112z", "M208 80C208 53.49 229.5 32 256 32H320C346.5 32 368 53.49 368 80V144C368 170.5 346.5 192 320 192H256C229.5 192 208 170.5 208 144V80zM112 320C138.5 320 160 341.5 160 368V432C160 458.5 138.5 480 112 480H48C21.49 480 0 458.5 0 432V368C0 341.5 21.49 320 48 320H112zM320 320C346.5 320 368 341.5 368 368V432C368 458.5 346.5 480 320 480H256C229.5 480 208 458.5 208 432V368C208 341.5 229.5 320 256 320H320zM528 320C554.5 320 576 341.5 576 368V432C576 458.5 554.5 480 528 480H464C437.5 480 416 458.5 416 432V368C416 341.5 437.5 320 464 320H528z"]],
    "skeleton": [512, 512, [], "f620", ["M224 160H16C7.125 160 0 167.1 0 176v32C0 216.9 7.125 224 16 224H224V160zM432 256H288v64h144c8.875 0 16-7.125 16-16v-32C448 263.1 440.9 256 432 256zM80 128H224V64H80C71.13 64 64 71.13 64 80v32C64 120.9 71.13 128 80 128zM448 112v-32C448 71.13 440.9 64 432 64H288v64h144C440.9 128 448 120.9 448 112zM64 272v32C64 312.9 71.13 320 80 320H224V256H80C71.13 256 64 263.1 64 272zM399.9 352H112.1c-37.31 0-60.36 40.7-41.16 72.7l43.06 71.77C119.8 506.1 130.2 512 141.4 512h229.2c11.24 0 21.66-5.898 27.44-15.54l43.06-71.77C460.3 392.7 437.2 352 399.9 352zM200 464c-13.25 0-24-10.75-24-24S186.7 416 200 416S224 426.7 224 440S213.3 464 200 464zM312 464c-13.25 0-24-10.75-24-24S298.7 416 312 416s24 10.75 24 24S325.3 464 312 464zM496 160H288v64h208C504.9 224 512 216.9 512 208v-32C512 167.1 504.9 160 496 160z", "M288 16V352H224V16C224 7.125 231.1 0 240 0h32C280.9 0 288 7.125 288 16z"]],
    "ski-boot": [512, 512, [], "e3cc", ["M207.2 120.1L233.6 32l-118.4 .1221c-15.25 0-28.39 10.76-31.38 25.72L37 291.9C117.2 266.8 182.1 203.7 207.2 120.1zM480 448L5.777 448l-5.145 25.73c-.4275 2.137-.6324 4.257-.6324 6.342C.0004 497.3 13.1 512 32.01 512H480c17.67 0 32-14.32 32-31.99C512 462.3 497.7 448 480 448z", "M480 373.7v74.33L5.777 448l31.22-156.1c80.16-25.11 145.1-88.19 170.2-171.8L233.6 32l107.2 .159l4.147-14.97c3.003-10.54 12.62-17.27 23.09-17.27c18.01 0 24.02 16.29 24.02 23.99c0 2.172-.2718 4.288-.895 6.48l-36.92 129.7L272 160C263.2 160 256 167.2 256 175.1C256 184.8 263.2 192 272 192l73.09 .082l-9.01 31.66L328 256.1L256 256C247.2 256 240 263.2 240 272C240 280.8 247.2 288 256 288l64.16 .0923l139.7 55.89C472 348.8 480 360.6 480 373.7z"]],
    "ski-boot-ski": [640, 512, [], "e3cd", ["M256.8 95.35L275.8 32L186.2 32.01c-15.2 0-28.3 10.69-31.35 25.59L118.4 235.7C183.6 214.1 236.3 163.5 256.8 95.35zM616 384c-13.25 0-24 10.75-24 24c0 30.88-25.12 56-56 56h-512C10.75 464 0 474.8 0 488S10.75 512 24 512h512c57.34 0 104-46.66 104-104C640 394.8 629.3 384 616 384z", "M480 306.8v77.25c0 17.67-14.33 31.1-32 31.1L120.7 416c-18.02 0-32.01-14.71-32.01-31.93c0-2.13 .2139-4.298 .6606-6.481l29.02-141.9c65.2-20.73 117.9-72.23 138.4-140.3L275.8 32h88.98l4.146-14.56c3.005-10.55 12.63-17.44 23.11-17.44c17.95 0 23.1 16.12 23.1 23.99c0 2.17-.2972 4.377-.9204 6.569L385.7 128H336C327.2 128 320 135.2 320 144C320 152.8 327.2 160 336 160h40.1l-14.46 48H320C311.2 208 304 215.2 304 224c0 8.836 7.164 16 16 16h32l107.9 37.04C472 281.9 480 293.7 480 306.8z"]],
    "skull": [512, 512, [128128], "f54c", ["M416 400V464C416 490.5 394.5 512 368 512H320V464C320 455.2 312.8 448 304 448C295.2 448 288 455.2 288 464V512H224V464C224 455.2 216.8 448 208 448C199.2 448 192 455.2 192 464V512H144C117.5 512 96 490.5 96 464V400C96 399.6 96 399.3 96.01 398.9C37.48 357.8 0 294.7 0 224C0 100.3 114.6 0 256 0C397.4 0 512 100.3 512 224C512 294.7 474.5 357.8 415.1 398.9C415.1 399.3 416 399.6 416 400V400zM160 192C124.7 192 96 220.7 96 256C96 291.3 124.7 320 160 320C195.3 320 224 291.3 224 256C224 220.7 195.3 192 160 192zM352 320C387.3 320 416 291.3 416 256C416 220.7 387.3 192 352 192C316.7 192 288 220.7 288 256C288 291.3 316.7 320 352 320z", "M96 256C96 220.7 124.7 192 160 192C195.3 192 224 220.7 224 256C224 291.3 195.3 320 160 320C124.7 320 96 291.3 96 256zM288 256C288 220.7 316.7 192 352 192C387.3 192 416 220.7 416 256C416 291.3 387.3 320 352 320C316.7 320 288 291.3 288 256z"]],
    "skull-cow": [640, 512, [], "f8de", ["M576.8 21.06C574.4 13.71 577.5 5.651 584.4 1.946C591.2-1.759 599.7-.0479 604.5 6.006L611.1 15.33C630.1 38.04 640 66.44 640 95.47C640 166.1 582.8 224 512 224H480V175.1C480 157.1 474.1 141.4 464 128H534.1C563.7 128 587.7 106.3 590.6 77.7C591.3 69.86 590.5 61.95 587.1 54.48L576.8 21.06zM160 175.1V224H128C57.21 224 0 166.1 0 95.47C0 66.44 9.875 38.04 28.05 15.33L35.51 6.006C40.35-.0482 48.84-1.759 55.65 1.946C62.46 5.651 65.63 13.71 63.18 21.06L52.04 54.48C49.55 61.95 48.67 69.86 49.45 77.7C52.31 106.3 76.33 128 105 128H175.1C165.1 141.4 160 157.1 160 175.1z", "M400 96C444.2 96 480 131.8 480 176V288C480 325 454.8 356.2 420.7 365.3L393.1 475.6C387.7 497 368.5 512 346.5 512H293.5C271.5 512 252.3 497 246.9 475.6L219.3 365.3C185.2 356.2 160 325 160 288V176C160 131.8 195.8 96 240 96H400zM255.1 224C238.3 224 223.1 238.3 223.1 256C223.1 273.7 238.3 288 255.1 288C273.7 288 287.1 273.7 287.1 256C287.1 238.3 273.7 224 255.1 224zM384 288C401.7 288 416 273.7 416 256C416 238.3 401.7 224 384 224C366.3 224 352 238.3 352 256C352 273.7 366.3 288 384 288z"]],
    "skull-crossbones": [448, 512, [128369, 9760], "f714", ["M223.1 348.2L401.7 259.4C417.5 251.5 436.7 257.9 444.6 273.7C452.5 289.5 446.1 308.7 430.3 316.6L295.6 384L430.3 451.4C446.1 459.3 452.5 478.5 444.6 494.3C436.7 510.1 417.5 516.5 401.7 508.6L223.1 419.8L46.31 508.6C30.5 516.5 11.28 510.1 3.378 494.3C-4.526 478.5 1.881 459.3 17.69 451.4L152.4 384L17.69 316.6C1.881 308.7-4.526 289.5 3.378 273.7C11.28 257.9 30.5 251.5 46.31 259.4L223.1 348.2z", "M304 256C304 273.7 289.7 288 272 288H176C158.3 288 144 273.7 144 256V234.4C105.4 211.5 80 172.4 80 128C80 57.31 144.5 0 224 0C303.5 0 368 57.31 368 128C368 172.4 342.6 211.5 304 234.4V256zM168 112C150.3 112 136 126.3 136 144C136 161.7 150.3 176 168 176C185.7 176 200 161.7 200 144C200 126.3 185.7 112 168 112zM280 176C297.7 176 312 161.7 312 144C312 126.3 297.7 112 280 112C262.3 112 248 126.3 248 144C248 161.7 262.3 176 280 176z"]],
    "slash": [640, 512, [], "f715", ["", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "slash-back": [320, 512, [], "5c", ["M288 512c-11.12 0-21.91-5.781-27.81-16.12l-256-448c-8.781-15.34-3.438-34.89 11.91-43.66C31.47-4.594 51 .7656 59.78 16.12l256 448c8.781 15.34 3.438 34.89-11.91 43.66C298.9 510.6 293.4 512 288 512z", ""]],
    "slash-forward": [320, 512, [], "2f", ["M31.97 512c-5.375 0-10.84-1.359-15.84-4.219c-15.34-8.766-20.69-28.31-11.91-43.66l256-448c8.75-15.36 28.28-20.72 43.66-11.91c15.34 8.766 20.69 28.31 11.91 43.66l-256 448C53.88 506.2 43.09 512 31.97 512z", ""]],
    "sleigh": [640, 512, [], "f7cc", ["M608 352C625.7 352 640 366.3 640 384V392C640 440.6 600.6 480 552 480H64C46.33 480 32 465.7 32 448C32 430.3 46.33 416 64 416H552C565.3 416 576 405.3 576 392V384C576 366.3 590.3 352 608 352z", "M0 64C0 46.33 14.33 32 32 32H64C66.31 32 68.56 32.24 70.74 32.71C124.1 37.61 174.2 67.59 203.4 114.3L207.7 121.1C247.7 185.1 317.8 224 393.3 224C423.5 224 448 199.5 448 169.3V128C448 110.3 462.3 96 480 96H544C561.7 96 576 110.3 576 128C576 145.7 561.7 160 544 160V256C544 309 501 352 448 352V416H384V352H192V416H128V352C74.98 352 32 309 32 256V96C14.33 96 .0003 81.67 .0003 64H0z"]],
    "slider": [512, 512, [], "e252", ["M32 288C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H224V288H32zM416 288V224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H416z", "M352 96C387.3 96 416 124.7 416 160V352C416 387.3 387.3 416 352 416H320C284.7 416 256 387.3 256 352V160C256 124.7 284.7 96 320 96H352zM352 160H320V352H352V160z"]],
    "sliders": [512, 512, ["sliders-h"], "f1de", ["M0 416C0 398.3 14.33 384 32 384H86.66C82.38 393.8 80 404.6 80 416C80 427.4 82.38 438.2 86.66 448H32C14.33 448 0 433.7 0 416zM240 416C240 404.6 237.6 393.8 233.3 384H480C497.7 384 512 398.3 512 416C512 433.7 497.7 448 480 448H233.3C237.6 438.2 240 427.4 240 416V416zM0 256C0 238.3 14.33 224 32 224H278.7C274.4 233.8 272 244.6 272 256C272 267.4 274.4 278.2 278.7 288H32C14.33 288 0 273.7 0 256V256zM432 256C432 244.6 429.6 233.8 425.3 224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H425.3C429.6 278.2 432 267.4 432 256zM118.7 64C114.4 73.8 112 84.62 112 96C112 107.4 114.4 118.2 118.7 128H32C14.33 128 0 113.7 0 96C0 78.33 14.33 64 32 64H118.7zM265.3 128C269.6 118.2 272 107.4 272 96C272 84.62 269.6 73.8 265.3 64H480C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128H265.3z", "M160 496C115.8 496 80 460.2 80 416C80 371.8 115.8 336 160 336C204.2 336 240 371.8 240 416C240 460.2 204.2 496 160 496zM192 416C192 398.3 177.7 384 160 384C142.3 384 128 398.3 128 416C128 433.7 142.3 448 160 448C177.7 448 192 433.7 192 416zM352 336C307.8 336 272 300.2 272 256C272 211.8 307.8 176 352 176C396.2 176 432 211.8 432 256C432 300.2 396.2 336 352 336zM384 256C384 238.3 369.7 224 352 224C334.3 224 320 238.3 320 256C320 273.7 334.3 288 352 288C369.7 288 384 273.7 384 256zM192 16C236.2 16 272 51.82 272 96C272 140.2 236.2 176 192 176C147.8 176 112 140.2 112 96C112 51.82 147.8 16 192 16zM160 96C160 113.7 174.3 128 192 128C209.7 128 224 113.7 224 96C224 78.33 209.7 64 192 64C174.3 64 160 78.33 160 96z"]],
    "sliders-simple": [512, 512, [], "e253", ["M325.5 192H32C14.33 192 0 177.7 0 160C0 142.3 14.33 128 32 128H325.5C321.9 138 320 148.8 320 160C320 171.2 321.9 181.1 325.5 192zM192 352C192 340.8 190.1 330 186.5 320H480C497.7 320 512 334.3 512 352C512 369.7 497.7 384 480 384H186.5C190.1 373.1 192 363.2 192 352z", "M512 160C512 213 469 256 416 256C362.1 256 320 213 320 160C320 106.1 362.1 64 416 64C469 64 512 106.1 512 160zM416 128C398.3 128 384 142.3 384 160C384 177.7 398.3 192 416 192C433.7 192 448 177.7 448 160C448 142.3 433.7 128 416 128zM96 256C149 256 192 298.1 192 352C192 405 149 448 96 448C42.98 448 0 405 0 352C0 298.1 42.98 256 96 256zM64 352C64 369.7 78.33 384 96 384C113.7 384 128 369.7 128 352C128 334.3 113.7 320 96 320C78.33 320 64 334.3 64 352z"]],
    "sliders-up": [512, 512, ["sliders-v"], "f3f1", ["M96 0C113.7 0 128 14.33 128 32V86.66C118.2 82.38 107.4 80 96 80C84.62 80 73.8 82.38 64 86.66V32C64 14.33 78.33 0 96 0V0zM96 240C107.4 240 118.2 237.6 128 233.3V480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480V233.3C73.8 237.6 84.62 240 96 240zM256 0C273.7 0 288 14.33 288 32V278.7C278.2 274.4 267.4 272 256 272C244.6 272 233.8 274.4 224 278.7V32C224 14.33 238.3 0 256 0V0zM256 432C267.4 432 278.2 429.6 288 425.3V480C288 497.7 273.7 512 256 512C238.3 512 224 497.7 224 480V425.3C233.8 429.6 244.6 432 256 432zM448 118.7C438.2 114.4 427.4 112 416 112C404.6 112 393.8 114.4 384 118.7V32C384 14.33 398.3 0 416 0C433.7 0 448 14.33 448 32V118.7zM384 265.3C393.8 269.6 404.6 272 416 272C427.4 272 438.2 269.6 448 265.3V480C448 497.7 433.7 512 416 512C398.3 512 384 497.7 384 480V265.3z", "M16 160C16 115.8 51.82 80 96 80C140.2 80 176 115.8 176 160C176 204.2 140.2 240 96 240C51.82 240 16 204.2 16 160zM96 192C113.7 192 128 177.7 128 160C128 142.3 113.7 128 96 128C78.33 128 64 142.3 64 160C64 177.7 78.33 192 96 192zM176 352C176 307.8 211.8 272 256 272C300.2 272 336 307.8 336 352C336 396.2 300.2 432 256 432C211.8 432 176 396.2 176 352zM256 384C273.7 384 288 369.7 288 352C288 334.3 273.7 320 256 320C238.3 320 224 334.3 224 352C224 369.7 238.3 384 256 384zM496 192C496 236.2 460.2 272 416 272C371.8 272 336 236.2 336 192C336 147.8 371.8 112 416 112C460.2 112 496 147.8 496 192zM416 160C398.3 160 384 174.3 384 192C384 209.7 398.3 224 416 224C433.7 224 448 209.7 448 192C448 174.3 433.7 160 416 160z"]],
    "slot-machine": [640, 512, [], "e3ce", ["M448 96H64C28.65 96 0 124.7 0 160v192c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V160C512 124.7 483.3 96 448 96zM166.6 208.1l-40 112C123.1 329.9 113.8 336 104 336c-2.688 0-5.406-.4375-8.062-1.406c-12.5-4.438-19-18.19-14.53-30.66L109.9 224H80C66.75 224 56 213.3 56 200S66.75 176 80 176h64c7.812 0 15.12 3.781 19.62 10.19C168.1 192.6 169.2 200.7 166.6 208.1zM310.6 208.1l-40 112C267.1 329.9 257.8 336 248 336c-2.688 0-5.406-.4375-8.062-1.406c-12.5-4.438-19-18.19-14.53-30.66L253.9 224H224C210.8 224 200 213.3 200 200S210.8 176 224 176h64c7.812 0 15.12 3.781 19.62 10.19C312.1 192.6 313.2 200.7 310.6 208.1zM454.6 208.1l-40 112C411.1 329.9 401.8 336 392 336c-2.688 0-5.406-.4375-8.062-1.406c-12.5-4.438-19-18.19-14.53-30.66L397.9 224H368c-13.25 0-24-10.75-24-24S354.8 176 368 176h64c7.812 0 15.12 3.781 19.62 10.19C456.1 192.6 457.2 200.7 454.6 208.1z", "M592 128C565.5 128 544 149.5 544 176c0 14.16 6.246 26.76 16 35.54V416c0 17.66-14.34 32-32 32H448v-32H64v32c0 35.35 28.65 64 64 64h400c52.94 0 96-43.06 96-96V211.5C633.8 202.8 640 190.2 640 176C640 149.5 618.5 128 592 128zM384 0H128C92.65 0 64 28.65 64 64h384C448 28.65 419.3 0 384 0z"]],
    "smog": [640, 512, [], "f75f", ["M136 464H23.1C10.8 464 0 474.8 0 487.1S10.8 512 23.1 512H136C149.2 512 160 501.2 160 488S149.2 464 136 464zM616 368h-528C74.8 368 64 378.8 64 391.1S74.8 416 87.1 416h528c13.2 0 24-10.8 24-23.1S629.2 368 616 368zM552 464H231.1C218.8 464 208 474.8 208 487.1S218.8 512 231.1 512H552c13.2 0 24-10.8 24-23.1S565.2 464 552 464z", "M144 288h156.1C322.6 307.8 351.8 320 384 320s61.25-12.25 83.88-32H528C589.9 288 640 237.9 640 176s-50.13-112-112-112c-18 0-34.75 4.625-49.75 12.12C453.1 30.1 406.8 0 352 0c-41 0-77.75 17.25-104 44.75C221.8 17.25 185 0 144 0c-79.5 0-144 64.5-144 144S64.5 288 144 288z"]],
    "smoke": [640, 512, [], "f760", ["M320 96c26.25 0 52 6.75 75.13 19.25c9.25-10.25 20.12-18.5 31.62-25.88C403.8 54.88 364.6 32 320 32C288.4 32 259.9 43.88 237.6 62.75C215.3 25.25 174.8 0 128 0C57.25 0 0 57.25 0 128c0 38.25 17.12 72.13 43.75 95.63C72.25 203.8 106.8 192 144 192c9.875 0 19.5 .875 29.12 2.5C197.3 136.8 253.8 96 320 96zM512 96c-46.75 0-87.25 25.25-109.6 62.75C380.1 139.9 351.6 128 320 128C268.3 128 224.1 158.8 203.9 202.8C219.5 208.5 234.5 216.3 248 226.3C277.1 204 313.1 192 352 192c54.88 0 105.1 25.88 139 69.13C503.1 257.8 515.5 256 528 256c35.5 0 67.63 13.38 92.75 34.75C632.8 271.3 640 248.6 640 224C640 153.3 582.8 96 512 96z", "M528 288c-18 0-34.75 4.625-49.75 12.12C453.1 254.1 406.8 224 352 224C311 224 274.3 241.3 248 268.8C221.8 241.3 185 224 144 224C64.5 224 0 288.5 0 368S64.5 512 144 512h384c61.88 0 112-50.13 112-112S589.9 288 528 288z"]],
    "smoking": [640, 512, [128684], "f48d", ["M553.3 87.13C547.6 83.25 544 77.12 544 70.25V8C544 3.625 540.4 0 536 0h-48C483.6 0 480 3.625 480 8v62.25c0 22 10.25 43.5 28.62 55.5C550.8 153 576 199.5 576 249.8V280C576 284.4 579.6 288 584 288h48C636.4 288 640 284.4 640 280V249.8C640 184.3 607.6 123.5 553.3 87.13zM487.8 141.6C463.8 125 448 99.25 448 70.25V8C448 3.625 444.4 0 440 0h-48C387.6 0 384 3.625 384 8v66.38C384 118.1 408.6 156 444.3 181.1C466.8 196.8 480 222.3 480 249.8V280C480 284.4 483.6 288 488 288h48C540.4 288 544 284.4 544 280V249.8C544 206.4 523 166.3 487.8 141.6z", "M432 352h-384C21.5 352 0 373.5 0 400v64C0 490.5 21.5 512 48 512h384c8.75 0 16-7.25 16-16v-128C448 359.3 440.8 352 432 352zM400 464H224v-64h176V464zM536 352h-48C483.6 352 480 355.6 480 360v144c0 4.375 3.625 8 8 8h48c4.375 0 8-3.625 8-8v-144C544 355.6 540.4 352 536 352zM632 352h-48C579.6 352 576 355.6 576 360v144c0 4.375 3.625 8 8 8h48c4.375 0 8-3.625 8-8v-144C640 355.6 636.4 352 632 352z"]],
    "snake": [512, 512, [128013], "f716", ["M192 64V112C192 120.8 184.8 128 176 128C167.2 128 160 120.8 160 112V64.88C165.3 64.3 170.6 64 176 64H192zM288 64V112C288 120.8 280.8 128 272 128C263.2 128 256 120.8 256 112V64H288zM81.22 420.9C86.05 419.3 90.99 418.1 96 417.3V464C96 472.8 88.84 480 80 480C71.16 480 64 472.8 64 464V426.7L81.22 420.9zM192 416V464C192 472.8 184.8 480 176 480C167.2 480 160 472.8 160 464V416H192zM288 416V464C288 472.8 280.8 480 272 480C263.2 480 256 472.8 256 464V416H288zM350.9 392.3L379.3 420.7C385.6 426.9 385.6 437.1 379.3 443.3C373.1 449.6 362.9 449.6 356.7 443.3L328.3 414.9C339.3 411.1 347.1 403.3 350.9 392.3zM328.3 353.1L356.7 324.7C362.9 318.4 373.1 318.4 379.3 324.7C385.6 330.9 385.6 341.1 379.3 347.3L350.9 375.7C347.1 364.7 339.3 356 328.3 353.1zM256 352V304C256 295.2 263.2 288 272 288C280.8 288 288 295.2 288 304V352H256zM176 352C170.6 352 165.3 351.7 160 351.1V304C160 295.2 167.2 288 176 288C184.8 288 192 295.2 192 304V352H176zM63.49 297.9L84.69 276.7C90.93 270.4 101.1 270.4 107.3 276.7C113.6 282.9 113.6 293.1 107.3 299.3L86.12 320.5C77.76 313.8 70.17 306.2 63.49 297.9zM32 208C32 202.6 32.3 197.3 32.88 192H80C88.84 192 96 199.2 96 208C96 216.8 88.84 224 80 224H32.88C32.3 218.7 32 213.4 32 208zM107.3 116.7C113.6 122.9 113.6 133.1 107.3 139.3C101.1 145.6 90.93 145.6 84.69 139.3L63.49 118.1C70.17 109.8 77.76 102.2 86.12 95.49L107.3 116.7z", "M403.6 25.79L483.4 65.69C500.9 74.46 512 92.39 512 111.1C512 131.6 500.9 149.5 483.4 158.3L403.6 198.2C372.8 213.6 335.6 207.6 311.2 183.2L288 159.1H176C149.5 159.1 128 181.5 128 207.1C128 234.5 149.5 255.1 176 255.1H320C390.7 255.1 448 313.3 448 384C448 454.7 390.7 512 320 512H176L175.9 512H111.6C101.3 512 91.01 510.3 81.22 507.1L15.18 485.1C6.114 482 0 473.6 0 464C0 454.4 6.114 445.1 15.18 442.9L64 426.7V464C64 472.8 71.16 480 80 480C88.84 480 96 472.8 96 464V417.3C101.1 416.4 106.4 416 111.6 416H160V464C160 472.8 167.2 480 176 480C184.8 480 192 472.8 192 464V416H256V464C256 472.8 263.2 480 272 480C280.8 480 288 472.8 288 464V416H320C322.9 416 325.6 415.6 328.3 414.9L356.7 443.3C362.9 449.6 373.1 449.6 379.3 443.3C385.6 437.1 385.6 426.9 379.3 420.7L350.9 392.3C351.6 389.6 352 386.9 352 384C352 381.1 351.6 378.4 350.9 375.7L379.3 347.3C385.6 341.1 385.6 330.9 379.3 324.7C373.1 318.4 362.9 318.4 356.7 324.7L328.3 353.1C325.6 352.4 322.9 352 320 352H288V304C288 295.2 280.8 288 272 288C263.2 288 255.1 295.2 255.1 304V352H191.1V304C191.1 295.2 184.8 288 175.1 288C167.2 288 159.1 295.2 159.1 304V351.1C132.2 348.1 106.8 337.1 86.12 320.5L107.3 299.3C113.6 293.1 113.6 282.9 107.3 276.7C101.1 270.4 90.93 270.4 84.69 276.7L63.49 297.9C46.92 277.2 35.95 251.8 32.88 224H79.1C88.84 224 95.1 216.8 95.1 208C95.1 199.2 88.84 192 79.1 192H32.88C35.95 164.2 46.92 138.8 63.49 118.1L84.69 139.3C90.93 145.6 101.1 145.6 107.3 139.3C113.6 133.1 113.6 122.9 107.3 116.7L86.12 95.49C106.8 78.92 132.2 67.95 159.1 64.88V112C159.1 120.8 167.2 128 175.1 128C184.8 128 191.1 120.8 191.1 112V63.1H255.1V112C255.1 120.8 263.2 128 272 128C280.8 128 288 120.8 288 112V63.1L311.2 40.77C335.6 16.42 372.8 10.39 403.6 25.79L403.6 25.79zM368 96C376.8 96 384 88.84 384 80C384 71.16 376.8 64 368 64C359.2 64 352 71.16 352 80C352 88.84 359.2 96 368 96zM368 128C359.2 128 352 135.2 352 144C352 152.8 359.2 160 368 160C376.8 160 384 152.8 384 144C384 135.2 376.8 128 368 128V128z"]],
    "snooze": [448, 512, [128164, "zzz"], "f880", ["M303.1 176v-32c0-8.875-7.125-16-16-16h-34.75l57.38-57.38C316.6 64.63 320 56.5 320 48V32c0-17.62-14.38-32-32-32H184C175.1 0 168 7.125 168 16v32c0 8.875 7.125 16 16 16h42.75L169.4 121.4C163.4 127.4 160 135.5 160 144V160c0 17.62 14.38 32 32 32h96C296.9 192 303.1 184.9 303.1 176zM448 272V256c0-17.62-14.38-32-32-32h-96c-8.875 0-16 7.125-16 16v32C303.1 280.9 311.1 288 320 288h34.75l-57.38 57.38C291.4 351.4 288 359.5 288 368V384c0 17.62 14.38 32 32 32h104c8.875 0 16-7.125 16-16v-32c0-8.875-7.125-16-16-16h-42.75l57.38-57.38C444.6 288.6 448 280.5 448 272z", "M192 223.1L39.1 224C26.75 224 15.1 234.8 15.1 248L16 296C16 309.3 26.75 320 40 320h50.5l-82.38 92.63C2.875 418.5 0 426.1 0 433.9V480c0 17.62 14.38 32 32 32h151.1c13.25 0 24-10.75 24-24L208 440C208 426.8 197.3 416 184 416H133.5l82.38-92.63C221.1 317.5 224 309.9 224 302.1V255.1C224 238.4 209.6 223.1 192 223.1z"]],
    "snow-blowing": [640, 512, [], "f761", ["M416 240h136C600.5 240 640 200.5 640 152S600.5 64 552 64H544c-17.67 0-32 14.31-32 32s14.33 32 32 32h8C565.2 128 576 138.8 576 152S565.2 176 552 176H416c-17.67 0-32 14.31-32 32S398.3 240 416 240zM552 272H416c-17.67 0-32 14.31-32 32s14.33 32 32 32h136c13.23 0 24 10.78 24 24S565.2 384 552 384H544c-17.67 0-32 14.31-32 32s14.33 32 32 32h8c48.53 0 88-39.47 88-88S600.5 272 552 272z", "M344 159c-6.609-11.47-21.34-15.41-32.78-8.781L294.1 160.1l.6816-2.545c2.859-10.69-3.469-21.66-14.14-24.5C270 130.2 259.1 136.5 256.2 147.2L245.2 188.4L200 214.4V156.3l30.14-30.13c7.812-7.812 7.812-20.5 0-28.31s-20.47-7.812-28.28 0L200 99.71V88C200 74.75 189.3 64 176 64S152 74.75 152 88v11.71L150.1 97.84c-7.812-7.812-20.47-7.812-28.28 0s-7.812 20.5 0 28.31L152 156.3v58.15L101.6 185.4L90.61 144.2C87.75 133.5 76.83 127.2 66.13 130c-10.67 2.844-17 13.81-14.14 24.5l.6855 2.559L42.5 151.2C31.06 144.6 16.33 148.5 9.72 160C3.095 171.5 7.016 186.2 18.5 192.8l10.18 5.875L26.11 199.3c-10.66 2.844-16.98 13.81-14.12 24.5c2.391 8.938 10.47 14.81 19.3 14.81c1.719 0 3.469-.2187 5.203-.6875l41.15-11.04L128 255.1L79.37 284.1L38.22 273C27.66 270.2 16.58 276.5 13.72 287.2c-2.859 10.69 3.469 21.66 14.12 24.5l2.566 .6875L20.23 318.2c-11.48 6.625-15.41 21.31-8.781 32.78c4.438 7.688 12.52 12 20.8 12c4.078 0 8.203-1.031 11.98-3.219l10.17-5.871l-.6855 2.559c-2.859 10.69 3.469 21.66 14.14 24.5c1.734 .4687 3.469 .6875 5.188 .6875c8.828 0 16.91-5.875 19.3-14.81l11.04-41.21L152 297.6v50.15l-30.14 30.13c-7.812 7.812-7.812 20.5 0 28.31s20.47 7.812 28.28 0L152 404.3V424C152 437.3 162.8 448 176 448s24-10.75 24-24v-19.71l1.859 1.861C205.8 410.1 210.9 412 216 412s10.23-1.938 14.14-5.844c7.812-7.812 7.812-20.5 0-28.31L200 347.7V297.6l43.43 25.07l11.04 41.21c2.391 8.938 10.47 14.81 19.3 14.81c1.719 0 3.453-.2187 5.188-.6875c10.67-2.844 17-13.81 14.14-24.5l-.6836-2.555l17.09 9.867C313.3 362.1 317.4 364 321.5 364c8.281 0 16.36-4.312 20.8-12c6.625-11.47 2.704-26.16-8.78-32.78L316.4 309.3l2.572-.6895c10.66-2.844 16.98-13.81 14.12-24.5c-2.859-10.66-13.78-17-24.5-14.12L267.4 281.1L223.1 255.1l45.17-26.08l41.17 11.05c1.734 .4687 3.484 .6875 5.203 .6875c8.828 0 16.91-5.875 19.3-14.81c2.859-10.69-3.469-21.66-14.12-24.5L318.1 201.7l17.1-9.871C346.7 185.2 350.6 170.5 344 159z"]],
    "snowflake": [512, 512, [10054, 10052], "f2dc", ["M66.09 273.4C53.23 270 40.09 277.5 36.62 290.3s4.082 25.97 16.89 29.44l20.33 5.508L132 291.3L66.09 273.4zM116.1 81.38C104.2 84.75 96.51 97.91 99.9 110.7l5.379 20.29l58.82 34.32L146.4 98.41C142.1 85.63 129.9 77.91 116.1 81.38zM59.78 239.4c2.08 0 4.193-.2813 6.305-.8438L132 220.7L73.85 186.8l-20.33 5.508C40.7 195.8 33.15 208.9 36.62 221.7C39.51 232.4 49.21 239.4 59.78 239.4zM99.9 401.3c-3.393 12.81 4.256 25.97 17.08 29.34c2.064 .5625 4.129 .8125 6.164 .8125c10.63 0 20.36-7.094 23.21-17.84l17.74-66.92l-58.82 34.32L99.9 401.3zM445.9 238.6c2.111 .5625 4.225 .8438 6.305 .8438c10.57 0 20.27-7.031 23.16-17.72c3.473-12.78-4.082-25.97-16.89-29.44l-20.33-5.508L379.1 220.7L445.9 238.6zM412.1 110.7c3.393-12.81-4.256-25.97-17.08-29.34c-12.81-3.469-25.98 4.25-29.38 17.03l-17.74 66.92l58.82-34.32L412.1 110.7zM406.7 380.1l-58.82-34.32l17.74 66.92c2.848 10.75 12.58 17.84 23.21 17.84c2.035 0 4.1-.25 6.164-.8125c12.82-3.375 20.47-16.53 17.08-29.34L406.7 380.1zM445.9 273.4L379.1 291.3l58.19 33.95l20.33-5.508c12.81-3.469 20.37-16.66 16.89-29.44C471.9 277.5 458.8 270 445.9 273.4zM302.3 47.13l-14.22 14.37v68.26l48.38-48.88c9.338-9.438 9.244-24.62-.1875-33.94C326.8 37.59 311.6 37.72 302.3 47.13zM288 382.2v68.26l14.22 14.37C306.9 469.6 313.1 472 319.3 472c6.1 0 12.2-2.312 16.89-6.938c9.432-9.312 9.525-24.5 .1875-33.94L288 382.2zM175.8 46.94c-9.432 9.312-9.525 24.5-.1875 33.94l48.38 48.88V61.5L209.8 47.13C200.4 37.72 185.2 37.59 175.8 46.94zM175.8 465.1c9.447 9.312 24.65 9.25 33.97-.1875l14.22-14.37v-68.26l-48.38 48.88C166.3 440.6 166.3 455.8 175.8 465.1z", "M475.6 384.1C469.7 394.3 458.9 400 447.9 400c-5.49 0-11.04-1.406-16.13-4.375L288 311.7V480c0 17.69-14.34 32-32.03 32s-32.03-14.31-32.03-32V311.7l-143.8 83.88C75.11 398.6 69.56 400 64.07 400c-11.01 0-21.74-5.688-27.69-15.88c-8.931-15.25-3.785-34.84 11.5-43.75L192.5 256L47.88 171.6c-15.28-8.906-20.43-28.5-11.5-43.75c8.884-15.28 28.5-20.44 43.81-11.5L223.1 200.3V32c0-17.69 14.34-32 32.03-32s32.03 14.31 32.03 32v168.3l143.8-83.88c15.28-8.906 34.91-3.75 43.81 11.5c8.931 15.25 3.785 34.84-11.5 43.75L319.5 256l144.6 84.38C479.4 349.3 484.5 368.9 475.6 384.1z"]],
    "snowflakes": [640, 512, [], "f7cf", ["M67.96 401.3c-3.392 12.81 4.132 26 16.96 29.38c2.064 .5625 4.129 .8125 6.164 .8125c10.63 0 20.47-7.094 23.32-17.84l17.74-66.92l-58.76 34.17L67.96 401.3zM84.92 81.38C72.1 84.75 64.57 97.94 67.96 110.8l5.416 20.41l58.76 34.17L114.4 98.41C111 85.63 97.82 77.91 84.92 81.38zM143.8 465c9.447 9.312 24.66 9.297 33.98-.1406l14.22-14.37v-68.26l-48.29 48.84C134.4 440.5 134.4 455.7 143.8 465zM143.8 46.98c-9.431 9.312-9.431 24.5-.0937 33.94l48.29 48.84V61.5L177.8 47.13C168.5 37.72 153.3 37.64 143.8 46.98zM380.1 110.8c3.392-12.81-4.132-26-16.96-29.38c-12.81-3.469-26.09 4.25-29.48 17.03L315.9 165.3l58.76-34.17L380.1 110.8zM27.67 239.4c2.08 0 4.352-.2813 6.463-.8438l65.89-17.89L41.8 186.8L21.46 192.3c-12.81 3.469-20.33 16.64-16.85 29.42C7.505 232.4 17.1 239.4 27.67 239.4zM34.14 273.4C21.28 270 8.083 277.5 4.61 290.3s4.045 25.95 16.85 29.42l20.34 5.505l58.23-33.95L34.14 273.4zM270.3 47.13L256.1 61.5v68.26l48.3-48.84c9.337-9.438 9.337-24.62-.0938-33.94C294.8 37.64 279.6 37.72 270.3 47.13zM413.9 273.4l-65.89 17.89l58.23 33.95l20.34-5.505c12.81-3.469 20.33-16.64 16.85-29.42C440 277.5 426.8 270 413.9 273.4zM426.6 192.3l-20.34-5.505l-58.23 33.95l65.89 17.89c2.111 .5625 4.383 .8438 6.463 .8438c10.57 0 20.17-7.062 23.06-17.75C446.9 208.9 439.4 195.7 426.6 192.3zM256.1 382.2v68.26l14.22 14.37C274.1 469.6 281.2 472 287.4 472c6.099 0 12.16-2.359 16.85-6.984c9.431-9.312 9.431-24.5 .0938-33.94L256.1 382.2zM374.7 380.8l-58.76-34.17l17.74 66.92c2.847 10.75 12.68 17.84 23.32 17.84c2.035 0 4.099-.25 6.164-.8125c12.82-3.375 20.35-16.56 16.96-29.38L374.7 380.8zM609.9 256l23.03-23.03c9.374-9.375 9.374-24.56 0-33.94c-9.374-9.375-24.56-9.375-33.93 0l-23.03 23.03l-23.03-23.03c-9.374-9.375-24.56-9.375-33.93 0c-9.374 9.375-9.374 24.56 0 33.94L542.1 256l-23.03 23.03c-9.374 9.375-9.374 24.56 0 33.94C523.7 317.7 529.9 320 536 320c6.14 0 12.28-2.344 16.97-7.031l23.03-23.03l23.03 23.03C603.7 317.7 609.9 320 616 320s12.28-2.344 16.97-7.031c9.374-9.375 9.374-24.56 0-33.94L609.9 256zM544 97.94l23.03 23.03C571.7 125.7 577.9 128 584 128c6.14 0 12.28-2.344 16.97-7.031c9.374-9.375 9.374-24.56 0-33.94L577.9 64l23.03-23.03c9.374-9.375 9.374-24.56 0-33.94c-9.374-9.375-24.56-9.375-33.93 0l-23.03 23.03l-23.03-23.03c-9.374-9.375-24.56-9.375-33.93 0s-9.374 24.56 0 33.94L510.1 64l-23.03 23.03c-9.374 9.375-9.374 24.56 0 33.94C491.7 125.7 497.9 128 504 128s12.28-2.344 16.97-7.031L544 97.94z", "M443.7 384.1C437.8 394.3 427.1 400 416.1 400c-5.49 0-11.2-1.406-16.28-4.375L256.1 311.7L255.9 480c0 17.69-14.19 32-31.87 32s-32.03-14.31-32.03-32V311.7l-143.8 83.88C43.16 398.6 37.45 400 31.96 400c-11.01 0-21.65-5.75-27.59-15.94c-8.93-15.25-3.725-34.83 11.55-43.73L160.6 256L15.92 171.7C.6437 162.8-4.561 143.2 4.369 127.9c8.883-15.28 28.56-20.5 43.87-11.56L192 200.3V32c0-17.69 14.34-32 32.03-32s31.87 14.31 31.87 32l.1539 168.3l143.8-83.88c15.28-8.906 34.98-3.688 43.87 11.56c8.93 15.25 3.725 34.83-11.55 43.73L287.5 256l144.6 84.33C447.4 349.2 452.6 368.8 443.7 384.1z"]],
    "snowman": [512, 512, [9924, 9731], "f7d0", ["M152.8 180.7L103.8 160c0-.5 .25-1 .25-1.5V111.6C104 103 96.76 96 88.01 96h-16c-8.75 0-16 7-16 15.62v29l-28.25-11.5c-8.125-3.25-17.5 .625-20.75 8.625l-5.875 14.5C-2.119 160.4 1.881 169.5 10.01 172.6L144.4 228.4c-.0664-1.5-.4428-2.915-.4428-4.432C144 208.6 147.2 193.1 152.8 180.7zM510.9 152.3l-5.875-14.5c-3.25-8-12.62-11.88-20.75-8.625l-28.25 11.5v-29C455.1 103 448.7 96 439.1 96h-16c-8.75 0-16 7-16 15.62V158.5c0 .5 .25 1 .25 1.5l-48.98 20.6c5.684 13.33 8.74 27.98 8.74 43.4c0 1.518-.3764 2.932-.4428 4.432l134.4-55.8C510.1 169.5 514.1 160.4 510.9 152.3zM256 335.1c-8.75 0-15.1 7.25-15.1 15.1S247.3 367.1 256 367.1s15.1-7.25 15.1-15.1S264.8 335.1 256 335.1zM256 207.1c-8.75 0-15.1 7.25-15.1 15.1S247.3 239.1 256 239.1s15.1-7.25 15.1-15.1S264.8 207.1 256 207.1zM256 271.1c-8.75 0-15.1 7.25-15.1 15.1S247.3 303.1 256 303.1s15.1-7.25 15.1-15.1S264.8 271.1 256 271.1z", "M360.5 263.7c4.705-12.37 7.534-25.69 7.534-39.71c0-29.89-11.9-56.87-30.98-76.95c9.35-14.81 14.98-32.23 14.98-51.04C351.1 42.98 309 0 255.1 0S160 42.98 160 95.1c0 18.81 5.626 36.23 14.98 51.04c-19.08 20.08-30.98 47.07-30.98 76.95c0 14.02 2.829 27.34 7.534 39.71c-33.78 29.34-55.53 72.04-55.53 120.3c0 52.59 25.71 98.84 64.88 128h190.2c39.17-29.17 64.88-75.42 64.88-128C415.1 335.7 394.2 293 360.5 263.7zM224 95.1c-8.75 0-15.1-7.25-15.1-15.1s7.25-15.1 15.1-15.1s15.1 7.25 15.1 15.1S232.8 95.1 224 95.1zM256 367.1c-8.75 0-15.1-7.25-15.1-15.1S247.3 335.1 256 335.1s15.1 7.25 15.1 15.1S264.8 367.1 256 367.1zM256 303.1c-8.75 0-15.1-7.25-15.1-15.1S247.3 271.1 256 271.1s15.1 7.25 15.1 15.1S264.8 303.1 256 303.1zM256 239.1c-8.75 0-15.1-7.25-15.1-15.1S247.3 207.1 256 207.1s15.1 7.25 15.1 15.1S264.8 239.1 256 239.1zM256 152c0 0-15.1-23.25-15.1-32S247.3 104 256 104s15.1 7.25 15.1 16S256 152 256 152zM287.1 95.1c-8.75 0-15.1-7.25-15.1-15.1s7.25-15.1 15.1-15.1s15.1 7.25 15.1 15.1S296.7 95.1 287.1 95.1z"]],
    "snowman-head": [448, 512, ["frosty-head"], "f79b", ["M390.1 256H58.38C41.86 284.3 32 316.9 32 352c0 57.28 25.11 108.7 64.89 143.8C108.7 506.3 123.1 512 139.8 512h168.5c15.54 0 30.68-5.508 42.35-15.76c49.72-43.66 76.71-112.6 60.8-186.7C407.3 290.4 399.8 272.5 390.1 256zM152 336c-13.37 0-24.07-10.84-24.07-24.07C127.1 298.7 138.8 288 152 288s23.93 10.84 23.93 23.93C175.1 325.2 165.1 336 152 336zM224 448c0 0-32-46.25-32-64s14.25-32 31.1-32s32 14.25 32 32S224 448 224 448zM295.9 336c-13.23 0-23.93-10.84-23.93-24.07C272 298.7 282.8 288 295.9 288c13.37 0 24.07 10.84 24.07 23.93C320.1 325.2 309.3 336 295.9 336z", "M384 32c0-17.6-14.4-32-32-32H96c-17.6 0-32 14.4-32 32v128h320V32zM432 192h-416c-8.836 0-16 7.164-16 16c0 26.51 21.49 48 48 48h352c26.51 0 48-21.49 48-48C448 199.2 440.8 192 432 192zM224 352c-17.75 0-31.1 14.25-31.1 32s32 64 32 64s32-46.25 32-64S241.8 352 224 352z"]],
    "snowplow": [640, 512, [], "f7d2", ["M368 288C429.9 288 480 338.1 480 400C480 461.9 429.9 512 368 512H112C50.14 512 0 461.9 0 400C0 338.1 50.14 288 112 288H368zM368 352H112C85.49 352 64 373.5 64 400C64 426.5 85.49 448 112 448H368C394.5 448 416 426.5 416 400C416 373.5 394.5 352 368 352z", "M447.4 249.6C447.8 251.9 448.1 254.3 448 256.7V288H512V235.2C512 220.7 516.9 206.6 526 195.2L583 124C594.1 110.2 614.2 107.1 627.1 119C641.8 130.1 644 150.2 632.1 163.1L576 235.2V402.7L630.6 457.4C643.1 469.9 643.1 490.1 630.6 502.6C618.1 515.1 597.9 515.1 585.4 502.6L530.7 448C518.7 435.1 512 419.7 512 402.7V352H469.2C451.2 314.2 412.7 288 368 288H112C94.82 288 78.55 291.9 64 298.8V192C64 174.3 78.33 160 96 160H128V48C128 21.49 149.5 0 176 0H298.9C324.5 0 347.6 15.26 357.7 38.79L445.1 242.7C446.1 244.9 446.9 247.2 447.4 249.6H447.4zM298.9 64H192V160L256 224H367.5L298.9 64zM144 400C144 413.3 133.3 424 120 424C106.7 424 96 413.3 96 400C96 386.7 106.7 376 120 376C133.3 376 144 386.7 144 400zM336 400C336 386.7 346.7 376 360 376C373.3 376 384 386.7 384 400C384 413.3 373.3 424 360 424C346.7 424 336 413.3 336 400zM304 400C304 413.3 293.3 424 280 424C266.7 424 256 413.3 256 400C256 386.7 266.7 376 280 376C293.3 376 304 386.7 304 400zM176 400C176 386.7 186.7 376 200 376C213.3 376 224 386.7 224 400C224 413.3 213.3 424 200 424C186.7 424 176 413.3 176 400z"]],
    "soap": [512, 512, [129532], "e06e", ["M320 128c-35.35 0-64 28.65-64 64c0 35.35 28.65 64 64 64s64-28.65 64-64C384 156.7 355.3 128 320 128zM208 0C181.5 0 160 21.49 160 48S181.5 96 208 96S256 74.51 256 48S234.5 0 208 0zM384 0c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32s32-14.33 32-32C416 14.33 401.7 0 384 0z", "M416 192c0 27.82-12.02 52.68-30.94 70.21C421.7 275.7 448 310.7 448 352c0 53.02-42.98 96-96 96H160c-53.02 0-96-42.98-96-96s42.98-96 96-96h88.91C233.6 238.1 224 216.7 224 192H96C42.98 192 0 234.1 0 288v128c0 53.02 42.98 96 96 96h320c53.02 0 96-42.98 96-96V288C512 234.1 469 192 416 192zM96 352c0 35.35 28.65 64 64 64h192c35.35 0 64-28.65 64-64c0-35.35-28.65-64-64-64H160C124.7 288 96 316.7 96 352z"]],
    "socks": [576, 512, [129510], "f696", ["M160 127.1h160l-.0023-31.1h-160L160 127.1zM159.1 271.1l-86.64 64.61c-39.35 29.55-53.89 84.37-29.24 127c17.32 29.97 49.36 48.42 83.97 48.36c20.75 .0098 40.93-6.754 57.51-19.22l21.87-16.38c-29.85-55.41-13.58-125.8 39.16-165.4l73.36-55l.0049-96h-160L159.1 271.1zM192 0C174.3 0 159.1 14.33 159.1 32l.0042 32h160l-.0029-32c.0645-10.64 2.816-21.09 8-30.38C325.4 .9229 322.8 0 319.1 0H192zM351.1 64v31.1H544V64H351.1zM352 159.1h192v-32h-192V159.1z", "M319.1 64H159.1v31.1h160L319.1 64zM320 127.1h-160v32h160V127.1zM512 0h-128c-17.67 0-32 14.33-32 32l-.0003 32H544V32C544 14.33 529.7 0 512 0zM352 127.1h192V95.1h-192L352 127.1zM351.1 271.1l-86.13 64.61c-39.41 29.55-53.88 84.37-29.23 127c26.32 46.02 84.99 62 131 35.68c.002-.002-.002 0 0 0c7.295-4.184 .2979 .6797 125.1-92.94C525 382.2 543.1 344.3 544 303.1v-144h-192L351.1 271.1z"]],
    "soft-serve": [384, 512, [127846, "creemee"], "e400", ["M368 224C368 259.3 339.3 288 304 288H80C44.65 288 16 259.3 16 224C16 191.1 40.84 163.1 72.8 160.4C67.21 150.9 64 139.8 64 128C64 92.65 92.65 64 128 64H174.1C192.8 64 208 48.8 208 30.06C208 21.06 204.4 12.42 198.1 6.059L192 0C262.7 0 320 57.31 320 128C320 139.8 316.8 150.9 311.2 160.4C343.2 163.1 368 191.1 368 224z", "M336 352C336 369.7 321.7 384 304 384H302.2L291.2 483.5C289.4 499.7 275.7 512 259.4 512H124.6C108.3 512 94.64 499.7 92.84 483.5L81.78 384H80C62.33 384 48 369.7 48 352V320H336L336 352z"]],
    "solar-panel": [640, 512, [], "f5ba", ["M575.4 25.72C572.4 10.78 559.2 0 543.1 0H96c-15.25 0-28.39 10.78-31.38 25.72l-63.1 320c-1.891 9.406 .5469 19.16 6.625 26.56S22.41 384 32 384h575.1c9.594 0 18.67-4.312 24.75-11.72s8.516-17.16 6.625-26.56L575.4 25.72zM71.16 320l51.08-256h395.5l51.08 256H71.16z", "M536.1 160l-19.2-96h-98.1l10.67 96H536.1zM447.9 320h120.9l-25.48-128h-109.5L447.9 320zM387.5 64H252.5l-10.67 96h156.2L387.5 64zM206.1 192H96.7l-25.54 128h120.9L206.1 192zM400.2 448h-48.28v-64H287.1v64.25H239.8c-26.26 0-47.75 21.49-47.75 47.75c0 8.844 7.168 16.01 16.01 16l223.1-.1667c8.828-.0098 15.99-7.17 15.99-16C447.1 469.5 426.6 448 400.2 448zM220.3 64H122.2L103.1 160h106.6L220.3 64zM401.7 192H238.3l-14.22 128h191.8L401.7 192z"]],
    "solar-system": [512, 512, [], "e02f", ["M391.8 188.1c-10.58 10.58-24.82 14.51-38.64 13.14c23.99 42.67 18.37 97.7-17.9 133.1c-43.5 44.32-114.7 44.95-159 1.455S131.2 221.1 174.7 177.7c35.79-36.46 91.67-44.25 136-18.9c-1.357-13.8 2.577-27.97 13.15-38.54c2.102-2.104 4.746-3.095 7.113-4.726c-23.46-12.52-49.05-19.51-74.97-19.51C167.7 96.01 96 167.6 96.01 256c.0059 88.36 71.64 159.1 160 159.1c42.43-.0039 83.11-16.87 113.1-46.87c51.02-51.02 59.67-127.6 27.37-188.1C394.9 183.4 393.9 186 391.8 188.1zM336.9 447.6c-78 32.85-168.1 15.28-228-44.53c-69.58-69.57-79.29-176.5-29.5-256.7C62.7 142.8 48.73 131.5 41.62 116c-64.97 99.28-53.88 233.8 33.34 320.1c76.11 76.31 191.9 96.57 289.4 50.62c-2.191-1.803-4.477-3.326-6.529-5.375C348.3 472.5 341 460.6 336.9 447.6zM437.1 75c-76.11-76.31-191.1-96.57-289.5-50.62c2.188 1.803 4.48 3.327 6.527 5.374c9.602 9.725 16.82 21.59 20.98 34.61c78-32.85 168.1-15.28 228 44.53c69.58 69.57 79.29 176.5 29.5 256.7c16.69 3.578 30.67 14.85 37.77 30.36C535.3 296.7 524.3 162.2 437.1 75z", "M52.33 52.35C52.33 52.36 52.34 52.35 52.33 52.35C30.47 74.23 30.46 109.7 52.33 131.6C74.2 153.4 109.7 153.4 131.5 131.6c21.87-21.87 21.87-57.32 0-79.19C109.7 30.49 74.21 30.49 52.33 52.35zM255.1 192C220.7 192 191.1 220.7 192 256C192 291.3 220.7 320 256 319.1S320 291.3 320 256C319.1 220.7 291.3 192 255.1 192zM391.8 188.1c18.74-18.75 18.72-49.12-.0194-67.87c-18.75-18.75-49.12-18.76-67.87-.0168c-18.75 18.75-18.76 49.14-.0121 67.89C342.6 206.9 373 206.9 391.8 188.1C391.8 188.1 391.8 188.1 391.8 188.1zM459.7 380.4c-21.87-21.87-57.33-21.87-79.2-.0039s-21.87 57.33-.0039 79.2s57.33 21.87 79.2 .002c0-.002 0 0 0 0C481.5 437.8 481.5 402.3 459.7 380.4z"]],
    "sort": [320, 512, ["unsorted"], "f0dc", ["M292.3 288H27.66c-24.6 0-36.89 29.77-19.54 47.12l132.5 136.8C145.9 477.3 152.1 480 160 480c7.053 0 14.12-2.703 19.53-8.109l132.3-136.8C329.2 317.8 316.9 288 292.3 288z", "M27.66 224h264.7c24.6 0 36.89-29.78 19.54-47.12l-132.3-136.8c-5.406-5.406-12.47-8.107-19.53-8.107c-7.055 0-14.09 2.701-19.45 8.107L8.119 176.9C-9.229 194.2 3.055 224 27.66 224z"]],
    "sort-down": [320, 512, ["sort-desc"], "f0dd", ["M27.66 223.1h264.7c24.6 0 36.89-29.77 19.54-47.12l-132.5-136.8c-5.352-5.406-12.39-8.109-19.45-8.109c-7.053 0-14.12 2.703-19.53 8.109L8.119 176.9C-9.229 194.2 3.055 223.1 27.66 223.1zM159.9 111.1l46.5 48.01H113.5L159.9 111.1z", "M292.3 288H27.66c-24.6 0-36.89 29.77-19.54 47.12l132.4 136.8C145.9 477.3 152.1 480 160 480c7.055 0 14.15-2.702 19.5-8.109l132.4-136.8C329.2 317.8 316.9 288 292.3 288z"]],
    "sort-up": [320, 512, ["sort-asc"], "f0de", ["M292.3 288H27.66c-24.6 0-36.89 29.77-19.54 47.12l132.5 136.8C145.9 477.3 152.1 480 160 480c7.053 0 14.12-2.703 19.53-8.109l132.3-136.8C329.2 317.8 316.9 288 292.3 288zM160.1 400L113.6 352h92.95L160.1 400z", "M27.66 224h264.7c24.6 0 36.89-29.78 19.54-47.12l-132.3-136.8c-5.406-5.406-12.47-8.107-19.53-8.107c-7.055 0-14.09 2.701-19.45 8.107L8.119 176.9C-9.229 194.2 3.055 224 27.66 224z"]],
    "spa": [576, 512, [], "f5bb", ["M288 302.6c12.75-18.87 27.62-35.75 44.13-50.5c19-18.62 39.5-33.37 60.25-45.25c-16.5-70.5-51.75-133-96.75-172.3c-4.125-3.5-11-3.5-15.12 0c-45 39.25-80.25 101.6-96.75 172.1c20.37 11.75 40.5 26.12 59.25 44.37C260 266.4 275.1 283.7 288 302.6z", "M568.3 192c-29 .125-135 6.124-213.9 82.1C321.2 304.7 301 338.3 288 369.9c-13-31.63-33.25-65.25-66.38-94.87C142.8 198.2 36.75 192.2 7.75 192C3.375 192 0 195.4 0 199.9c.25 27.88 7.125 126.2 88.75 199.3C172.8 481 256 479.1 288 479.1s115.2 1.025 199.3-80.85C568.9 326 575.8 227.7 576 199.9C576 195.4 572.6 192 568.3 192z"]],
    "space-station-moon": [512, 512, [], "e033", ["M512 256C512 263.8 511.7 271.5 510.1 279.1C438.8 304.7 351.2 320 256 320C160.8 320 73.15 304.7 1.027 279.1C.3472 271.5 0 263.8 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256V256zM192 240C236.2 240 272 204.2 272 160C272 115.8 236.2 80 192 80C147.8 80 112 115.8 112 160C112 204.2 147.8 240 192 240zM256 512C134.9 512 33.38 427.9 6.794 314.8C79.44 338.4 164.7 352 256 352C347.3 352 432.6 338.4 505.2 314.8C478.6 427.9 377.1 512 256 512V512z", "M272 160C272 204.2 236.2 240 192 240C147.8 240 112 204.2 112 160C112 115.8 147.8 80 192 80C236.2 80 272 115.8 272 160zM192 128C174.3 128 160 142.3 160 160C160 177.7 174.3 192 192 192C209.7 192 224 177.7 224 160C224 142.3 209.7 128 192 128zM6.794 314.8C4.059 303.2 2.116 291.3 1.027 279.1C73.15 304.7 160.8 320 256 320C351.2 320 438.8 304.7 510.1 279.1C509.9 291.3 507.9 303.2 505.2 314.8C432.6 338.4 347.3 352 256 352C164.7 352 79.44 338.4 6.794 314.8V314.8z"]],
    "space-station-moon-construction": [512, 512, ["space-station-moon-alt"], "e034", ["M256 320C160.8 320 73.15 304.7 1.027 279.1C.3472 271.5 0 263.8 0 256C0 114.6 114.6 0 256 0C316.5 0 372.2 21.02 416 56.15V96H368V160H448V224H510C511.3 234.5 512 245.2 512 256C512 263.8 511.7 271.5 510.1 279.1C438.8 304.7 351.2 320 256 320zM192 80C147.8 80 112 115.8 112 160C112 204.2 147.8 240 192 240C236.2 240 272 204.2 272 160C272 115.8 236.2 80 192 80zM256 352C300.3 352 343.3 348.8 384 342.8V384H448V425.3C401.1 478.5 332.5 512 256 512C134.9 512 33.38 427.9 6.794 314.8C79.44 338.4 164.7 352 256 352z", "M272 160C272 204.2 236.2 240 192 240C147.8 240 112 204.2 112 160C112 115.8 147.8 80 192 80C236.2 80 272 115.8 272 160zM192 128C174.3 128 160 142.3 160 160C160 177.7 174.3 192 192 192C209.7 192 224 177.7 224 160C224 142.3 209.7 128 192 128zM6.794 314.8C4.059 303.2 2.116 291.3 1.027 279.1C73.15 304.7 160.8 320 256 320C351.2 320 438.8 304.7 510.1 279.1C509.9 291.3 507.9 303.2 505.2 314.8C432.6 338.4 347.3 352 256 352C164.7 352 79.44 338.4 6.794 314.8V314.8z"]],
    "spade": [512, 512, [9824], "f2f4", ["M472 196.3C523.4 244.9 525.5 325.1 476.9 377.3C428.3 428.6 347.3 430.8 295.1 382.2L288 374.6V255.1C288 238.3 273.7 223.1 256 223.1C238.3 223.1 224 238.3 224 255.1V374.6L216 382.2C164.7 430.8 83.69 428.6 35.07 377.3C-13.54 325.1-11.35 244.9 39.97 196.3L233.1 12.53C246.3 .8427 265.7 .843 278 12.53L472 196.3z", "M256 224C273.7 224 288 238.3 288 256V448H320C337.7 448 352 462.3 352 480C352 497.7 337.7 512 320 512H192C174.3 512 160 497.7 160 480C160 462.3 174.3 448 192 448H224V256C224 238.3 238.3 224 256 224z"]],
    "spaghetti-monster-flying": [640, 512, ["pastafarianism"], "f67b", ["M638.4 378.7c-4.625 12.35-18.5 18.61-30.88 13.87c-8.125-2.995-14.42-.112-31.42 11.37c-13.62 9.11-30.83 20.86-52.46 20.86c-7.125 0-14.75-1.253-23-4.373c-32.63-12.48-39.88-41.38-45.25-62.46c-2.25-8.735-4-14.5-6-18.86c-16.62 13.6-36.88 25.83-61.63 34.19C397.8 410.2 420 464 448 464c13.25 0 24 10.76 24 23.99C472 501.2 461.3 512 448 512c-66.75 0-97-88.62-107.4-129.1C333.9 383.6 327.1 384 320 384s-13.88-.4716-20.62-1.096C289 423.4 258.8 512 192 512c-13.25 0-24-10.76-24-23.99c0-13.23 10.75-23.99 24-23.99c28.12 0 50.25-53.76 60.25-90.7c-24.62-8.361-45-20.63-61.63-34.23c-2 4.368-3.75 10.13-6 18.86C179.4 379.1 172 407.9 139.4 420.4c-8.125 3.12-15.88 4.373-23 4.373c-21.62 0-38.88-11.75-52.38-20.86c-17.12-11.48-23.25-14.36-31.5-11.37c-12.25 4.742-26.25-1.513-30.88-13.87c-4.75-12.35 1.5-26.24 13.88-30.98c32.63-12.35 57.25 4.261 75.38 16.49c17 11.48 23.25 14.36 31.37 11.37c8.125-3.12 10.88-9.392 15.88-29.36c3.375-13.1 7.5-29.14 18-42.37c-2.25-2.995-4.5-5.865-6.375-8.61C139.5 304.9 126.3 312.3 108 312.3c-34 0-50.88-25.71-62-42.8C35.38 253.4 31 248.4 24 248.4c-13.25 0-24-10.73-24-23.96S10.75 200.5 24 200.5c33.1 0 50.88 25.71 61.1 42.8C96.63 259.4 101 264.4 108 264.4c17.12 0 37.63-61.4 97.25-101.7L186.1 127.3C188.7 127.4 190.3 127.9 192 127.9c21.96 0 41.31-11.17 52.84-27.99l18.66 36.24C280.5 131.5 299.1 128.6 320 128.6s39.5 2.87 56.5 7.487l18.66-36.24C406.7 116.7 426 127.9 448 127.9c1.715 0 3.324-.4784 5.006-.611l-18.26 35.43c59.75 40.43 80 101.7 97.25 101.7c7 0 11.38-4.992 21.1-21.09c11.13-17.1 28-42.8 62-42.8c13.25 0 24 10.73 24 23.96s-10.75 23.96-24 23.96c-7 0-11.38 4.992-22 21.09c-11.12 17.1-28 42.8-61.1 42.8c-18.25 0-31.5-7.487-41.75-17.1c-1.875 2.745-4.125 5.616-6.375 8.61c10.5 13.23 14.62 29.26 18 42.37c5 19.97 7.75 26.24 15.88 29.36c8.125 2.995 14.38 .112 31.38-11.37c18-12.23 42.75-28.97 75.38-16.49C637 352.5 643.1 366.3 638.4 378.7z", "M192 0C156.7 0 128 28.69 128 63.97s28.65 63.92 64 63.92s64-28.63 64-63.92S227.3 0 192 0zM192 79.97c-8.822 0-16-7.193-16-16S183.2 47.98 192 47.98s16 7.186 16 15.99S200.8 79.97 192 79.97zM448 0c-35.35 0-64 28.69-64 63.97s28.65 63.92 64 63.92s64-28.63 64-63.92S483.3 0 448 0zM448 79.97c-8.822 0-16-7.193-16-16s7.178-15.99 16-15.99s16 7.186 16 15.99S456.8 79.97 448 79.97z"]],
    "sparkles": [512, 512, [10024], "f890", ["M327.5 85.19L384 64L405.2 7.491C406.9 2.985 411.2 0 416 0C420.8 0 425.1 2.985 426.8 7.491L448 64L504.5 85.19C509 86.88 512 91.19 512 96C512 100.8 509 105.1 504.5 106.8L448 128L426.8 184.5C425.1 189 420.8 192 416 192C411.2 192 406.9 189 405.2 184.5L384 128L327.5 106.8C322.1 105.1 320 100.8 320 96C320 91.19 322.1 86.88 327.5 85.19V85.19zM327.5 405.2L384 384L405.2 327.5C406.9 322.1 411.2 320 416 320C420.8 320 425.1 322.1 426.8 327.5L448 384L504.5 405.2C509 406.9 512 411.2 512 416C512 420.8 509 425.1 504.5 426.8L448 448L426.8 504.5C425.1 509 420.8 512 416 512C411.2 512 406.9 509 405.2 504.5L384 448L327.5 426.8C322.1 425.1 320 420.8 320 416C320 411.2 322.1 406.9 327.5 405.2z", "M257.8 187.3L371.8 240C377.5 242.6 381.1 248.3 381.1 254.6C381.1 260.8 377.5 266.5 371.8 269.1L257.8 321.8L205.1 435.8C202.5 441.5 196.8 445.1 190.6 445.1C184.3 445.1 178.6 441.5 176 435.8L123.3 321.8L9.292 269.1C3.627 266.5 0 260.8 0 254.6C0 248.3 3.627 242.6 9.292 240L123.3 187.3L176 73.29C178.6 67.63 184.3 64 190.6 64C196.8 64 202.5 67.63 205.1 73.29L257.8 187.3z"]],
    "speaker": [384, 512, [], "f8df", ["M336 0h-288C21.5 0 0 21.5 0 48v416C0 490.5 21.5 512 48 512h288c26.5 0 48-21.5 48-48v-416C384 21.5 362.5 0 336 0zM192 64c26.5 0 48 21.5 48 48S218.5 160 192 160S144 138.5 144 112S165.5 64 192 64zM192 448c-61.81 0-112-50.17-112-112S130.2 224 192 224s112 50.17 112 112S253.8 448 192 448z", "M192 160c26.5 0 48-21.5 48-48S218.5 64 192 64S144 85.5 144 112S165.5 160 192 160zM192 224c-61.81 0-112 50.17-112 112S130.2 448 192 448s112-50.17 112-112S253.8 224 192 224zM192 400c-35.31 0-64-28.67-64-64s28.69-64 64-64s64 28.67 64 64S227.3 400 192 400z"]],
    "speakers": [640, 512, [], "f8e0", ["M175.9 224C201.1 224 237.8 239.1 256 257.8V48C256.1 33.22 263.4 11.72 272.4 0H48C21.5 0 0 21.5 0 48v416C0 490.5 21.5 512 48 512h224.4C263.4 500.3 256.1 478.8 256 464v-49.79C237.8 432.9 201.1 448 175.9 448c-61.84 0-112-50.17-112-112S114.1 224 175.9 224zM176 64C202.5 64 224 85.5 224 112S202.5 160 176 160S128 138.5 128 112S149.5 64 176 64zM592 0h-256C309.5 0 288 21.5 288 48v416c0 26.5 21.5 48 48 48h256c26.5 0 48-21.5 48-48v-416C640 21.5 618.5 0 592 0zM464 64C490.5 64 512 85.5 512 112S490.5 160 464 160S416 138.5 416 112S437.5 64 464 64zM464 448c-61.81 0-112-50.17-112-112S402.2 224 464 224S576 274.2 576 336S525.8 448 464 448z", "M464 160C490.5 160 512 138.5 512 112S490.5 64 464 64S416 85.5 416 112S437.5 160 464 160zM464 224C402.2 224 352 274.2 352 336s50.19 112 112 112s112-50.17 112-112S525.8 224 464 224zM464 400c-35.31 0-64-28.67-64-64s28.69-64 64-64s64 28.67 64 64S499.3 400 464 400zM176 160C202.5 160 224 138.5 224 112S202.5 64 176 64S128 85.5 128 112S149.5 160 176 160zM63.92 336c0 61.83 50.2 112 112 112C207.3 448 235.7 435 256 414.2V257.8C235.7 236.1 207.3 224 175.9 224C114.1 224 63.92 274.2 63.92 336zM240 336c0 35.33-28.69 64-64 64s-64-28.67-64-64s28.69-64 64-64S240 300.7 240 336z"]],
    "spell-check": [576, 512, [], "f891", ["M221.5 211.7l-80-192C136.6 7.796 124.9 .0147 112 .0147S87.44 7.796 82.47 19.7l-80 192C-4.328 228 3.375 246.8 19.69 253.5c16.36 6.812 35.06-.9375 41.84-17.22l5.131-12.31h90.68l5.131 12.31c5.109 12.28 17.02 19.69 29.55 19.69c4.094 0 8.266-.7812 12.3-2.469C220.6 246.8 228.3 228 221.5 211.7zM93.33 160L112 115.2l18.67 44.81H93.33zM288 256h80c44.11 0 80-35.87 80-79.1c0-23.15-10.03-43.85-25.79-58.47C428.3 106.3 432 93.65 432 80.01c0-44.13-35.89-80-79.1-80L288 .0147c-17.67 0-32 14.31-32 31.1v192C256 241.7 270.3 256 288 256zM320 64.01h32c8.828 0 16 7.188 16 16s-7.172 16-16 16h-32V64.01zM320 160h48c8.828 0 16 7.188 16 16s-7.172 16-16 16H320V160z", "M566.6 265.4c-12.5-12.5-32.75-12.5-45.25 0L352 434.8l-73.38-73.38c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25l96 96c6.25 6.25 14.44 9.368 22.62 9.368s16.38-3.118 22.63-9.368l192-192C579.1 298.1 579.1 277.9 566.6 265.4z"]],
    "spider": [576, 512, [128375], "f717", ["M178.1 23.76C181.1 15.18 175.9 6.494 167.3 4.354L151.7 .4805C143.1-1.66 134.4 3.553 132.2 12.12L104 122.2c-1.892 7.543 0 15.53 5.08 21.44l53.47 62.15L191.6 224H207.7V184.4l-53.91-62.66L178.1 23.76zM471.1 122.2L443.8 12.12c-2.151-8.57-10.87-13.78-19.47-11.64l-15.58 3.873c-8.607 2.141-13.84 10.83-11.69 19.4l25.2 98.02L368.3 184.4V224h16.06l29.06-18.23l53.47-62.15C471.1 137.7 473.9 129.7 471.1 122.2z", "M563.3 401.6c2.608 8.443-2.149 17.4-10.62 19.1l-15.35 4.709c-8.48 2.6-17.47-2.139-20.08-10.59L493.2 338l-79.79-31.8l53.47 62.15c5.08 5.904 6.972 13.89 5.08 21.44l-28.23 110.1c-2.151 8.57-10.87 13.78-19.47 11.64l-15.58-3.873c-8.609-2.141-13.84-10.83-11.69-19.4l25.2-98.02l-38.51-44.77c.1529 2.205 .6627 4.307 .6627 6.549c0 53.02-43.15 96-96.37 96S191.6 405 191.6 352c0-2.242 .5117-4.34 .6627-6.543l-38.51 44.76l25.2 98.02c2.151 8.574-3.084 17.26-11.69 19.4l-15.58 3.873c-8.603 2.141-17.32-3.072-19.47-11.64l-28.23-110.1c-1.894-7.543 0-15.53 5.08-21.44l53.47-62.15l-79.79 31.8l-24.01 77.74c-2.608 8.447-11.6 13.19-20.08 10.59l-15.35-4.709c-8.478-2.6-13.23-11.55-10.63-19.1l27.4-88.69c2.143-6.939 7.323-12.54 14.09-15.24L158.9 256l-104.7-41.73C47.43 211.6 42.26 205.1 40.11 199.1L12.72 110.4c-2.608-8.443 2.149-17.4 10.62-19.1l15.35-4.709c8.48-2.6 17.47 2.139 20.08 10.59l24.01 77.74l79.79 31.8L191.6 224H207.7l.1542-63.99C206.1 123.4 228.9 91.77 261.4 80.43c5.141-1.793 10.5 2.215 10.5 7.641V112h32.12V88.09c0-5.443 5.394-9.443 10.55-7.641C345.9 91.39 368.3 121 368.3 155.9c0 1.393-.1786 2.689-.2492 4.064L368.3 224h16.06l29.06-18.23l79.79-31.8l24.01-77.74c2.608-8.447 11.6-13.19 20.08-10.59l15.35 4.709c8.478 2.6 13.23 11.55 10.63 19.1l-27.4 88.69c-2.143 6.939-7.323 12.54-14.09 15.24L417.1 256l104.7 41.73c6.754 2.691 11.92 8.283 14.07 15.21L563.3 401.6z"]],
    "spider-black-widow": [576, 512, [], "f718", ["M178.1 23.76C181.1 15.18 175.9 6.494 167.3 4.354L151.7 .4805C143.1-1.66 134.4 3.553 132.2 12.12L104 122.2c-1.892 7.543 0 15.53 5.08 21.44l53.47 62.15L191.6 224H207.7V184.4l-53.91-62.66L178.1 23.76zM471.1 122.2L443.8 12.12c-2.151-8.57-10.87-13.78-19.47-11.64l-15.58 3.873c-8.607 2.141-13.84 10.83-11.69 19.4l25.2 98.02L368.3 184.4V224h16.06l29.06-18.23l53.47-62.15C471.1 137.7 473.9 129.7 471.1 122.2zM320.1 288H255.9c-6.65 0-10.41 7.5-6.394 12.75L275.1 336l-26.46 35.25C245.5 376.5 249.2 384 255.9 384h64.2c6.65 0 10.41-7.5 6.395-12.75L300 336l26.46-35.25C330.5 295.5 326.8 288 320.1 288z", "M535.9 312.9c-2.141-6.928-7.311-12.52-14.07-15.21L417.1 256l104.7-41.72c6.768-2.697 11.95-8.299 14.09-15.24l27.4-88.69c2.608-8.443-2.149-17.4-10.63-19.1l-15.35-4.709c-8.48-2.6-17.47 2.139-20.08 10.59l-24.01 77.74l-79.79 31.8L384.4 224H368.3L368.1 160c.0706-1.375 .2491-2.672 .2491-4.064c0-34.89-22.42-64.55-53.7-75.49c-5.154-1.803-10.55 2.197-10.55 7.641V112H271.9V88.07c0-5.426-5.36-9.434-10.5-7.641C228.9 91.77 206.2 123.4 208 160L207.7 224H191.6l-29.06-18.23L82.78 173.1L58.77 96.23C56.16 87.79 47.17 83.05 38.69 85.65l-15.35 4.709C14.86 92.96 10.11 101.9 12.72 110.4l27.4 88.71c2.141 6.928 7.311 12.52 14.07 15.21L158.9 256l-104.7 41.72C47.43 300.4 42.25 306 40.11 312.1l-27.4 88.69c-2.608 8.443 2.149 17.4 10.63 19.1l15.35 4.709c8.48 2.6 17.47-2.139 20.08-10.59l24.01-77.74l79.79-31.8l-53.47 62.15c-5.08 5.904-6.974 13.89-5.08 21.44l28.23 110.1c2.151 8.57 10.87 13.78 19.47 11.64l15.58-3.873c8.607-2.141 13.84-10.83 11.69-19.4l-25.2-98.02l38.51-44.76C192.1 347.7 191.6 349.8 191.6 352c0 53.02 43.15 96 96.37 96S384.4 405 384.4 352c0-2.242-.5098-4.344-.6627-6.549l38.51 44.77l-25.2 98.02c-2.153 8.574 3.082 17.26 11.69 19.4l15.58 3.873c8.605 2.141 17.32-3.072 19.47-11.64l28.23-110.1c1.892-7.543 0-15.53-5.08-21.44l-53.47-62.15l79.79 31.8l24.01 77.74c2.61 8.447 11.6 13.19 20.08 10.59l15.35-4.709c8.476-2.6 13.23-11.55 10.62-19.1L535.9 312.9zM326.5 371.3C330.5 376.5 326.8 384 320.1 384H255.9c-6.65 0-10.41-7.5-6.394-12.75L275.1 336L249.5 300.8C245.5 295.5 249.2 288 255.9 288h64.2c6.65 0 10.41 7.5 6.395 12.75L300 336L326.5 371.3z"]],
    "spider-web": [576, 512, [128376], "f719", ["M165.3 97.67L177.1 63.86L214.4 70.68L235.1 107L235.1 107.2C270.4 113.3 305.6 113.3 340 107.2L340.9 107L361.6 70.68L398 63.86L410.7 97.67L388.5 136.6L389.2 138.6C400.6 171.1 417.7 201.4 439.6 227.1H484.2L507.6 256L484.2 283.1H439.6C417.7 310.6 400.7 340.9 389.2 373.4L388.5 375.4L410.7 414.3L398 448.1L361.6 441.3L340.9 404.1L340 404.8C305.6 398.7 270.4 398.7 235.1 404.8L235.1 404.1L214.4 441.3L177.1 448.1L165.3 414.3L187.5 375.4L186.8 373.4C175.3 340.9 158.3 310.6 136.4 283.1H91.78L68.45 256L91.78 227.1H136.4C158.3 201.4 175.3 171.1 186.8 138.6L187.5 136.6L165.3 97.67zM239.8 228L217.6 189.3C211.2 202.7 203.9 215.6 195.8 228H239.8zM311.2 159C295.7 160.1 280.3 160.1 264.8 159L287.1 199.6L311.2 159zM380.2 228C372.1 215.6 364.8 202.7 358.4 189.3L336.2 228H380.2zM358.4 322.7C364.8 309.3 372.1 296.4 380.2 284H336.2L358.4 322.7zM264.8 352.1C280.3 351.9 295.7 351.9 311.2 352.1L287.1 312.4L264.8 352.1zM195.8 284C203.9 296.4 211.2 309.3 217.6 322.7L239.8 284H195.8z", "M133.8 22.17C138.6 9.433 151.8 1.972 165.2 4.478L234.2 17.42C269.8 24.09 306.2 24.09 341.8 17.42L410.8 4.478C424.2 1.972 437.4 9.433 442.2 22.17L471.2 99.36C482.7 130 499.3 158.6 520.2 183.8L565.5 238.1C574.2 248.5 574.2 263.5 565.5 273.9L520.2 328.2C499.3 353.4 482.7 381.1 471.2 412.6L442.2 489.8C437.4 502.6 424.2 510 410.8 507.5L341.8 494.6C306.2 487.9 269.8 487.9 234.2 494.6L165.2 507.5C151.8 510 138.6 502.6 133.8 489.8L104.8 412.6C93.33 381.1 76.73 353.4 55.75 328.2L10.49 273.9C1.837 263.5 1.837 248.5 10.49 238.1L55.75 183.8C76.73 158.6 93.33 130 104.8 99.36L133.8 22.17zM177.1 63.85L157.3 119C143.6 155.6 123.8 189.6 98.77 219.6L68.45 255.1L98.77 292.4C123.8 322.4 143.6 356.4 157.3 392.1L177.1 448.1L223.9 439.5C266.3 431.6 309.7 431.6 352.1 439.5L398 448.1L418.7 392.1C432.4 356.4 452.2 322.4 477.2 292.4L507.6 255.1L477.2 219.6C452.2 189.6 432.4 155.6 418.7 119L398 63.85L352.1 72.46C309.7 80.41 266.3 80.41 223.9 72.46L177.1 63.85z"]],
    "spinner": [512, 512, [], "f110", ["M437 142.9C418.3 161.6 387.9 161.6 369.1 142.9C350.4 124.1 350.4 93.73 369.1 74.98C387.9 56.24 418.3 56.24 437 74.98C455.8 93.73 455.8 124.1 437 142.9V142.9zM512 256C512 282.5 490.5 304 464 304C437.5 304 416 282.5 416 256C416 229.5 437.5 208 464 208C490.5 208 512 229.5 512 256zM304 464C304 490.5 282.5 512 256 512C229.5 512 208 490.5 208 464C208 437.5 229.5 416 256 416C282.5 416 304 437.5 304 464zM74.98 437C56.24 418.3 56.24 387.9 74.98 369.1C93.73 350.4 124.1 350.4 142.9 369.1C161.6 387.9 161.6 418.3 142.9 437C124.1 455.8 93.73 455.8 74.98 437V437zM437 437C418.3 455.8 387.9 455.8 369.1 437C350.4 418.3 350.4 387.9 369.1 369.1C387.9 350.4 418.3 350.4 437 369.1C455.8 387.9 455.8 418.3 437 437V437z", "M304 48C304 74.51 282.5 96 256 96C229.5 96 208 74.51 208 48C208 21.49 229.5 0 256 0C282.5 0 304 21.49 304 48zM96 256C96 282.5 74.51 304 48 304C21.49 304 0 282.5 0 256C0 229.5 21.49 208 48 208C74.51 208 96 229.5 96 256zM74.98 74.98C93.73 56.23 124.1 56.23 142.9 74.98C161.6 93.73 161.6 124.1 142.9 142.9C124.1 161.6 93.73 161.6 74.98 142.9C56.24 124.1 56.24 93.73 74.98 74.98V74.98z"]],
    "spinner-third": [576, 512, [], "f3f4", ["M287.1 64C181.1 64 95.1 149.1 95.1 256C95.1 362 181.1 448 287.1 448C358.1 448 419.3 410.5 452.9 354.4L453 354.5C446.1 369.4 451.5 387.3 465.1 395.7C481.3 404.6 500.9 399.3 509.7 384C509.9 383.7 510.1 383.4 510.2 383.1C466.1 460.1 383.1 512 288 512C146.6 512 32 397.4 32 256C32 114.6 146.6 0 288 0C270.3 0 256 14.33 256 32C256 49.67 270.3 64 288 64H287.1z", "M256 32C256 14.33 270.3 0 288 0C429.4 0 544 114.6 544 256C544 302.6 531.5 346.4 509.7 384C500.9 399.3 481.3 404.6 465.1 395.7C450.7 386.9 445.5 367.3 454.3 351.1C470.6 323.8 480 291 480 255.1C480 149.1 394 63.1 288 63.1C270.3 63.1 256 49.67 256 31.1V32z"]],
    "split": [512, 512, [], "e254", ["M504.1 416.9l-80 79.98c-15.13 15.12-40.99 4.406-40.99-16.98V432H320c-9.125 0-17.84-3.906-23.91-10.75L177.6 288H192c9.125 0 17.84-3.906 23.91-10.75L234.8 256l99.58 112h49.59V319.1c0-21.39 25.87-32.11 40.1-16.98l79.99 79.97C514.3 392.3 514.3 407.6 504.1 416.9z", "M504.1 129l-79.99 79.97c-15.13 15.12-40.1 4.406-40.1-16.98V144h-49.59L215.9 277.3C209.8 284.1 201.1 288 192 288H32C14.31 288 0 273.7 0 256s14.31-32 32-32h145.6l118.5-133.3C302.2 83.91 310.9 80 320 80h63.97V32.06c0-21.39 25.86-32.11 40.99-16.98l80 79.98C514.3 104.4 514.3 119.7 504.1 129z"]],
    "splotch": [512, 512, [], "f5bc", ["M349.3 47.38L367.9 116.1C374.6 142.1 393.2 162.3 417.6 171.2L475.8 192.4C497.5 200.3 512 221 512 244.2C512 261.8 503.6 278.4 489.4 288.8L406.9 348.1C393.3 358.9 385.7 374.1 386.7 391.8L389.8 442.4C392.1 480.1 362.2 511.9 324.4 511.9C308.8 511.9 293.8 506.4 281.1 496.4L236.1 458.2C221.1 444.7 200.9 437.3 180 437.3H171.6C165.1 437.3 160.4 437.8 154.8 438.9L87.81 451.9C63.82 456.6 39.53 445.5 27.41 424.3C17.39 406.7 17.39 385.2 27.41 367.7L55.11 319.2C60.99 308.9 64.09 297.3 64.09 285.4C64.09 272.3 60.33 259.6 53.27 248.6L8.796 179.4C-6.738 155.2-1.267 123.2 21.41 105.6C32.12 97.25 45.52 93.13 59.07 94.01L130.8 98.66C159.8 100.5 187.1 87.91 205.9 64.93L237.3 24.66C249.4 9.133 267.9 .0566 287.6 .0566C316.5 .0566 341.8 19.47 349.3 47.38V47.38z", ""]],
    "spoon": [512, 512, [61873, 129348, "utensil-spoon"], "f2e5", ["M449.6 242.2C436.5 257.8 419.9 270 401.1 277.8C382.2 285.6 361.8 288.8 341.5 287C319.1 283 298.6 271.9 283 255.3L256.8 229.1C240.2 213.5 229.1 192.1 225.1 170.6C223.3 150.3 226.5 129.9 234.3 111C242.1 92.22 254.3 75.56 269.9 62.47C337.8-5.437 433.1-20.28 482.7 29.35C532.3 78.95 517.4 174.2 449.6 242.2z", "M299.5 269.1L68.29 500.3C60.79 507.8 50.61 512 40 512C29.39 512 19.22 507.8 11.71 500.3C4.211 492.8-.0039 482.6-.0039 472C-.0039 461.4 4.211 451.2 11.71 443.7L242.9 212.5C247.1 218.4 251.7 223.9 256.7 229.1L282.9 255.3C288.1 260.3 293.6 264.9 299.5 269.1z"]],
    "sportsball": [512, 512, [], "e44b", ["M487.6 48.92C497.6 97.67 502.3 160.2 492.1 223.2C444.3 219.1 400.1 199.5 365.3 169.3L487.2 47.42C487.3 47.92 487.5 48.42 487.6 48.92V48.92zM464.8 24.57L342.7 146.7C312.3 111.6 292.6 66.95 288.7 17.87C338.5 11.37 395.9 12.87 461.5 23.83C462.6 24.02 463.7 24.26 464.8 24.57V24.57zM418.5 395.9L278.6 256L342.6 191.1C381.9 226.7 431.9 249.5 487.1 254.8C478.9 290.7 465.8 326.1 445.1 358.4C437.9 371.5 428.8 384.1 418.5 395.9zM255.1 233.4L115.8 93.16C141.1 70.11 171.9 50.88 208.9 37.14C223.1 31.54 240 26.89 257 23.27C262.1 79.05 284.1 129.7 320 169.4L255.1 233.4zM169.4 320C130.1 285.3 80.06 262.5 24.93 257.2C33.07 221.3 46.24 185.9 66.04 153.6C74.08 140.5 83.19 127.9 93.45 116.1L233.4 256L169.4 320zM191.1 342.6L255.1 278.6L396.2 418.8C370.9 441.9 340.1 461.1 303.1 474.9C288 480.5 271.1 485.1 254.1 488.7C249.9 432.9 227 382.3 191.1 342.6zM146.7 342.7L24.79 464.6C24.66 464.1 24.55 463.6 24.44 463.1C14.38 414.3 9.735 351.8 19.05 288.8C67.67 292.9 111.9 312.5 146.7 342.7H146.7zM169.3 365.3C199.7 400.4 219.4 445 223.3 494.1C173.5 500.6 116.1 499.1 50.51 488.2C49.38 487.1 48.28 487.7 47.2 487.4L169.3 365.3z", "M487.2 47.41L278.6 255.1L418.5 395.9C411.6 403.9 404.2 411.6 396.2 418.8L255.1 278.6L47.19 487.4C36.23 484.4 27.65 475.7 24.79 464.6L233.4 255.1L93.45 116.1C100.4 108.1 107.8 100.4 115.8 93.16L255.1 233.4L464.8 24.56C475.8 27.61 484.3 36.3 487.2 47.41H487.2z"]],
    "spray-can": [512, 512, [], "f5bd", ["M320 64C320 81.67 305.7 96 288 96C270.3 96 256 81.67 256 64C256 46.33 270.3 32 288 32C305.7 32 320 46.33 320 64zM240 336C240 380.2 204.2 416 160 416C115.8 416 80 380.2 80 336C80 291.8 115.8 256 160 256C204.2 256 240 291.8 240 336zM352 64C352 46.33 366.3 32 384 32C401.7 32 416 46.33 416 64C416 81.67 401.7 96 384 96C366.3 96 352 81.67 352 64zM512 64C512 81.67 497.7 96 480 96C462.3 96 448 81.67 448 64C448 46.33 462.3 32 480 32C497.7 32 512 46.33 512 64zM448 160C448 142.3 462.3 128 480 128C497.7 128 512 142.3 512 160C512 177.7 497.7 192 480 192C462.3 192 448 177.7 448 160zM512 256C512 273.7 497.7 288 480 288C462.3 288 448 273.7 448 256C448 238.3 462.3 224 480 224C497.7 224 512 238.3 512 256zM352 160C352 142.3 366.3 128 384 128C401.7 128 416 142.3 416 160C416 177.7 401.7 192 384 192C366.3 192 352 177.7 352 160z", "M192 0C209.7 0 224 14.33 224 32V128H96V32C96 14.33 110.3 0 128 0H192zM0 256C0 202.1 42.98 160 96 160H224C277 160 320 202.1 320 256V464C320 490.5 298.5 512 272 512H48C21.49 512 0 490.5 0 464V256zM160 256C115.8 256 80 291.8 80 336C80 380.2 115.8 416 160 416C204.2 416 240 380.2 240 336C240 291.8 204.2 256 160 256z"]],
    "spray-can-sparkles": [512, 512, ["air-freshener"], "f5d0", ["M384 48C384 49.36 383 50.97 381.8 51.58L352 64L339.6 93.78C338.1 95 337.4 96 336 96C334.6 96 333 95 332.4 93.78L320 64L290.2 51.58C288.1 50.97 288 49.36 288 48C288 46.62 288.1 45.03 290.2 44.42L320 32L332.4 2.219C333 1 334.6 0 336 0C337.4 0 338.1 1 339.6 2.219L352 32L381.8 44.42C383 45.03 384 46.62 384 48zM460.4 93.78L448 64L418.2 51.58C416.1 50.97 416 49.36 416 48C416 46.62 416.1 45.03 418.2 44.42L448 32L460.4 2.219C461 1 462.6 0 464 0C465.4 0 466.1 1 467.6 2.219L480 32L509.8 44.42C511 45.03 512 46.62 512 48C512 49.36 511 50.97 509.8 51.58L480 64L467.6 93.78C466.1 95 465.4 96 464 96C462.6 96 461 95 460.4 93.78zM467.6 194.2L480 224L509.8 236.4C511 237 512 238.6 512 240C512 241.4 511 242.1 509.8 243.6L480 256L467.6 285.8C466.1 287 465.4 288 464 288C462.6 288 461 287 460.4 285.8L448 256L418.2 243.6C416.1 242.1 416 241.4 416 240C416 238.6 416.1 237 418.2 236.4L448 224L460.4 194.2C461 193 462.6 192 464 192C465.4 192 466.1 193 467.6 194.2zM448 144C448 145.4 447 146.1 445.8 147.6L416 160L403.6 189.8C402.1 191 401.4 192 400 192C398.6 192 397 191 396.4 189.8L384 160L354.2 147.6C352.1 146.1 352 145.4 352 144C352 142.6 352.1 141 354.2 140.4L384 128L396.4 98.22C397 97 398.6 96 400 96C401.4 96 402.1 97 403.6 98.22L416 128L445.8 140.4C447 141 448 142.6 448 144zM80 336C80 291.8 115.8 256 160 256C204.2 256 240 291.8 240 336C240 380.2 204.2 416 160 416C115.8 416 80 380.2 80 336z", "M192 0C209.7 0 224 14.33 224 32V128H96V32C96 14.33 110.3 0 128 0H192zM0 256C0 202.1 42.98 160 96 160H224C277 160 320 202.1 320 256V464C320 490.5 298.5 512 272 512H48C21.49 512 0 490.5 0 464V256zM160 256C115.8 256 80 291.8 80 336C80 380.2 115.8 416 160 416C204.2 416 240 380.2 240 336C240 291.8 204.2 256 160 256z"]],
    "sprinkler": [512, 512, [], "e035", ["M152 104C138.8 104 128 114.8 128 128s10.75 24 24 24S176 141.3 176 128S165.3 104 152 104zM88 48C74.75 48 64 58.75 64 72S74.75 96 88 96S112 85.25 112 72S101.3 48 88 48zM88 160C74.75 160 64 170.8 64 184S74.75 208 88 208S112 197.3 112 184S101.3 160 88 160zM24 104C10.75 104 0 114.8 0 128s10.75 24 24 24S48 141.3 48 128S37.25 104 24 104zM24 0C10.75 0 0 10.75 0 24S10.75 48 24 48S48 37.25 48 24S37.25 0 24 0zM24 208C10.75 208 0 218.8 0 232S10.75 256 24 256S48 245.3 48 232S37.25 208 24 208zM360 104c-13.25 0-24 10.75-24 24s10.75 24 24 24S384 141.3 384 128S373.3 104 360 104zM424 160c-13.25 0-24 10.75-24 24s10.75 24 24 24S448 197.3 448 184S437.3 160 424 160zM424 48c-13.25 0-24 10.75-24 24S410.8 96 424 96S448 85.25 448 72S437.3 48 424 48zM488 104c-13.25 0-24 10.75-24 24s10.75 24 24 24S512 141.3 512 128S501.3 104 488 104zM488 208c-13.25 0-24 10.75-24 24S474.8 256 488 256S512 245.3 512 232S501.3 208 488 208zM488 48C501.3 48 512 37.25 512 24S501.3 0 488 0S464 10.75 464 24S474.8 48 488 48z", "M398.3 256L288 255.1v-160c0-17.67-14.33-31.1-32-31.1S224 78.33 224 95.1v160L113.8 256C107.1 256 100.9 259.8 97.88 265.9c-3 6-2.375 13.12 1.75 18.62l67.5 78.13L192 387.5V512h128v-124.5l24.88-24.88l67.5-78.13c4.125-5.5 4.75-12.62 1.75-18.62C411.1 259.8 404.9 256 398.3 256z"]],
    "sprinkler-ceiling": [384, 512, [], "e44c", ["M24 448C10.75 448 0 458.8 0 472s10.82 24 24 24s24-10.79 24-24C48 458.8 37.25 448 24 448zM88 384C74.75 384 64 394.8 64 408c0 13.21 10.82 24 24 24s24-10.69 24-24C112 394.8 101.2 384 88 384zM136 448c-13.25 0-24 10.75-24 24s10.82 24 24 24S160 485.2 160 472C160 458.8 149.2 448 136 448zM248 368c13.25 0 24-10.79 24-24c0-13.25-10.75-24-24-24S224 330.8 224 344C224 357.2 234.8 368 248 368zM296 384c-13.25 0-24 10.78-24 24c0 13.31 10.75 24 24 24S320 421.3 320 408S309.2 384 296 384zM248 448C234.8 448 224 458.8 224 472c0 13.21 10.75 24 24 24s24-10.79 24-24C272 458.8 261.2 448 248 448zM136 320c-13.25 0-24 10.75-24 24s10.82 24 24 24S160 357.2 160 344C160 330.8 149.2 320 136 320zM360 448c-13.25 0-24 10.78-24 24c0 13.21 10.75 24 24 24S384 485.2 384 472C384 458.8 373.2 448 360 448zM192 384c-13.25 0-24 10.75-24 24S178.8 432 192 432s24-10.69 24-24C216 394.8 205.2 384 192 384z", "M128 82.56L64 69.76V0H0v96c0 15.26 10.75 28.38 25.73 31.39L128 147.8V82.56zM320 0v69.76l-64 12.8v65.28l102.3-20.45C373.2 124.4 384 111.3 384 96V0H320zM288 192h-64V64c0-17.66-14.34-32-32-32S160 46.34 160 64v128H96C78.34 192 64 206.3 64 224s14.34 32 32 32h192c17.66 0 32-14.34 32-32S305.7 192 288 192z"]],
    "square": [448, 512, [9723, 9724, 61590, 9632], "f0c8", ["M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96z", ""]],
    "square-0": [448, 512, [], "e255", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM320 288c0 52.94-43.06 96-96 96s-96-43.06-96-96V224c0-52.94 43.06-96 96-96s96 43.06 96 96V288zM224 176C197.5 176 176 197.5 176 224v64c0 26.47 21.53 48 48 48s48-21.53 48-48V224C272 197.5 250.5 176 224 176z", "M224 128C171.1 128 128 171.1 128 224v64c0 52.94 43.06 96 96 96s96-43.06 96-96V224C320 171.1 276.9 128 224 128zM272 288c0 26.47-21.53 48-48 48S176 314.5 176 288V224c0-26.47 21.53-48 48-48s48 21.53 48 48V288z"]],
    "square-1": [448, 512, [], "e256", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM288 384H160c-13.25 0-24-10.75-24-24S146.8 336 160 336h40V196.8L185.3 206.6C174.3 213.9 159.4 210.1 152 199.1C144.7 188.9 147.7 174 158.7 166.7l52-34.66c7.391-4.938 16.86-5.375 24.64-1.188C243.1 135 248 143.2 248 152v184H288c13.25 0 24 10.75 24 24S301.3 384 288 384z", "M312 360c0 13.25-10.75 24-24 24H160c-13.25 0-24-10.75-24-24S146.8 336 160 336h40V196.8L185.3 206.6C174.3 213.9 159.4 210.1 152 199.1C144.7 188.9 147.7 174 158.7 166.7l52-34.66c7.391-4.938 16.86-5.375 24.64-1.188C243.1 135 248 143.2 248 152v184H288C301.3 336 312 346.8 312 360z"]],
    "square-2": [448, 512, [], "e257", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM296 384h-144c-9.922 0-18.81-6.094-22.39-15.38c-3.578-9.25-1.078-19.75 6.266-26.41l108.4-98.31c7.047-6.938 11.31-17 11.31-27.66s-4.266-20.72-12-28.31C227.4 172 200.9 172 184.6 187.9L173.6 198.7C164.1 208.1 148.1 207.9 139.7 198.4C130.4 188.9 130.5 173.7 140 164.5l11-10.78c34.8-34.19 91.45-34.19 126.3 0c17 16.69 26.38 38.91 26.38 62.56s-9.375 45.88-26.38 62.56L214.2 336H296c13.25 0 24 10.75 24 24S309.3 384 296 384z", "M320 360c0 13.25-10.75 24-24 24h-144c-9.922 0-18.81-6.094-22.39-15.38c-3.578-9.25-1.078-19.75 6.266-26.41l108.4-98.31c7.047-6.938 11.31-17 11.31-27.66s-4.266-20.72-12-28.31C227.4 172 200.9 172 184.6 187.9L173.6 198.7C164.1 208.1 148.1 207.9 139.7 198.4C130.4 188.9 130.5 173.7 140 164.5l11-10.78c34.8-34.19 91.45-34.19 126.3 0c17 16.69 26.38 38.91 26.38 62.56s-9.375 45.88-26.38 62.56L214.2 336H296C309.3 336 320 346.8 320 360z"]],
    "square-3": [448, 512, [], "e258", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM236 384H191.4c-28.23 0-53.2-17.1-62.13-44.78c-4.188-12.59 2.609-26.19 15.19-30.38C157 304.8 170.6 311.5 174.8 324C177.2 331.2 183.8 336 191.4 336H236c19.84 0 36-16.16 36-36S255.8 264 236 264H184c-9.891 0-18.78-6.062-22.38-15.31C158 239.5 160.5 229 167.8 222.3L218.3 176H152C138.8 176 128 165.3 128 152S138.8 128 152 128h128c9.891 0 18.78 6.062 22.38 15.31c3.578 9.219 1.141 19.69-6.156 26.38L245.2 216.5C287.2 221.1 320 256.8 320 300C320 346.3 282.3 384 236 384z", "M320 300C320 346.3 282.3 384 236 384H191.4c-28.23 0-53.2-17.1-62.13-44.78c-4.188-12.59 2.609-26.19 15.19-30.38C157 304.8 170.6 311.5 174.8 324C177.2 331.2 183.8 336 191.4 336H236c19.84 0 36-16.16 36-36S255.8 264 236 264H184c-9.891 0-18.78-6.062-22.38-15.31C158 239.5 160.5 229 167.8 222.3L218.3 176H152C138.8 176 128 165.3 128 152S138.8 128 152 128h128c9.891 0 18.78 6.062 22.38 15.31c3.578 9.219 1.141 19.69-6.156 26.38L245.2 216.5C287.2 221.1 320 256.8 320 300z"]],
    "square-4": [448, 512, [], "e259", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM296 320H288v40c0 13.25-10.75 24-24 24s-24-10.75-24-24V320H138c-8.078 0-15.61-4.062-20.05-10.81s-5.188-15.25-2-22.69l62-144c5.234-12.16 19.31-17.84 31.53-12.53c12.19 5.219 17.8 19.34 12.56 31.53L174.5 272H240V221.3c0-13.25 10.75-24 24-24s24 10.75 24 24V272h8C309.3 272 320 282.8 320 296S309.3 320 296 320z", "M320 296C320 309.3 309.3 320 296 320H288v40c0 13.25-10.75 24-24 24s-24-10.75-24-24V320H138c-8.078 0-15.61-4.062-20.05-10.81s-5.188-15.25-2-22.69l62-144c5.234-12.16 19.31-17.84 31.53-12.53c12.19 5.219 17.8 19.34 12.56 31.53L174.5 272H240V221.3c0-13.25 10.75-24 24-24s24 10.75 24 24V272h8C309.3 272 320 282.8 320 296z"]],
    "square-5": [448, 512, [], "e25a", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM240.1 384H191.4c-28.23 0-53.2-17.1-62.13-44.78c-4.188-12.59 2.609-26.19 15.19-30.38c12.53-4.062 26.16 2.625 30.34 15.19C177.2 331.2 183.8 336 191.4 336h49.59C258.1 336 272 322.1 272 304.9c0-15.75-11.78-29-27.41-30.81l-87.39-10.28c-6.625-.7813-12.61-4.281-16.56-9.656C136.7 248.8 135.2 242.1 136.4 235.5l16.73-88C155.3 136.2 165.2 128 176.7 128H280c13.25 0 24 10.75 24 24S293.3 176 280 176H196.6L188.4 219.2l61.8 7.25C289.1 231.1 320 264.8 320 304.9C320 348.5 284.5 384 240.1 384z", "M320 304.9C320 348.5 284.5 384 240.1 384H191.4c-28.23 0-53.2-17.1-62.13-44.78c-4.188-12.59 2.609-26.19 15.19-30.38c12.53-4.062 26.16 2.625 30.34 15.19C177.2 331.2 183.8 336 191.4 336h49.59C258.1 336 272 322.1 272 304.9c0-15.75-11.78-29-27.41-30.81l-87.39-10.28c-6.625-.7813-12.61-4.281-16.56-9.656C136.7 248.8 135.2 242.1 136.4 235.5l16.73-88C155.3 136.2 165.2 128 176.7 128H280c13.25 0 24 10.75 24 24S293.3 176 280 176H196.6L188.4 219.2l61.8 7.25C289.1 231.1 320 264.8 320 304.9z"]],
    "square-6": [448, 512, [], "e25b", ["M224 240c-21.06 0-40 14.09-46.03 34.28C176.7 278.7 176 283.3 176 288c0 26.47 21.53 48 48 48s48-21.53 48-48S250.5 240 224 240zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM224 384c-52.94 0-96-43.06-96-96c0-41.3 27.55-73.29 40.28-84.41l79.94-69.69C252.8 129.9 258.4 128 264 128c6.688 0 13.34 2.781 18.09 8.219c8.719 10 7.656 25.16-2.312 33.88l-29.76 25.94C290.3 207.5 320 244.1 320 288C320 340.9 276.9 384 224 384z", "M224 384c52.94 0 96-43.06 96-96c0-43.86-29.73-80.53-69.98-91.96l29.76-25.94c9.969-8.719 11.03-23.88 2.312-33.88C277.3 130.8 270.7 128 264 128c-5.594 0-11.22 1.938-15.78 5.906L168.3 203.6C155.5 214.7 128 246.7 128 288C128 340.9 171.1 384 224 384zM177.1 274.3C184 254.1 202.9 240 224 240c26.47 0 48 21.53 48 48s-21.53 48-48 48S176 314.5 176 288C176 283.3 176.7 278.7 177.1 274.3z"]],
    "square-7": [448, 512, [], "e25c", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM317.1 163.4l-112 208C200.8 379.4 192.5 384 183.1 384c-3.844 0-7.719-.9062-11.34-2.875c-11.69-6.281-16.03-20.84-9.75-32.5L255.8 176H152C138.8 176 128 165.3 128 152S138.8 128 152 128h144c8.438 0 16.28 4.438 20.59 11.69C320.9 146.9 321.1 155.9 317.1 163.4z", "M316.6 139.7c4.344 7.25 4.531 16.25 .5313 23.69l-112 208C200.8 379.4 192.5 384 183.1 384c-3.844 0-7.719-.9062-11.34-2.875c-11.69-6.281-16.03-20.84-9.75-32.5L255.8 176H152C138.8 176 128 165.3 128 152S138.8 128 152 128h144C304.4 128 312.3 132.4 316.6 139.7z"]],
    "square-8": [448, 512, [], "e25d", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM240 384h-32C163.9 384 128 348.1 128 304c0-25.06 11.81-47.19 29.9-61.87C149.3 230.3 144 215.8 144 200C144 160.3 176.3 128 216 128h16c39.69 0 72 32.31 72 72c0 15.77-5.254 30.26-13.9 42.13C308.2 256.8 320 278.9 320 304C320 348.1 284.1 384 240 384zM216 224h16C245.2 224 256 213.2 256 200S245.2 176 232 176h-16C202.8 176 192 186.8 192 200S202.8 224 216 224zM240 272h-32c-17.66 0-32 14.34-32 32s14.34 32 32 32h32c17.66 0 32-14.34 32-32S257.7 272 240 272z", "M290.1 242.1C298.7 230.3 304 215.8 304 200C304 160.3 271.7 128 232 128h-16C176.3 128 144 160.3 144 200c0 15.77 5.254 30.26 13.9 42.13C139.8 256.8 128 278.9 128 304C128 348.1 163.9 384 208 384h32c44.13 0 80-35.88 80-80C320 278.9 308.2 256.8 290.1 242.1zM216 176h16C245.2 176 256 186.8 256 200S245.2 224 232 224h-16C202.8 224 192 213.2 192 200S202.8 176 216 176zM240 336h-32c-17.66 0-32-14.34-32-32s14.34-32 32-32h32c17.66 0 32 14.34 32 32S257.7 336 240 336z"]],
    "square-9": [448, 512, [], "e25e", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM279.7 308.4l-79.94 69.69C195.2 382.1 189.6 384 184 384c-6.688 0-13.34-2.781-18.09-8.219c-8.719-10-7.656-25.16 2.312-33.88l29.76-25.94C157.7 304.5 128 267.9 128 224c0-52.94 43.06-96 96-96s96 43.06 96 96C320 265.3 292.5 297.3 279.7 308.4zM224 176C197.5 176 176 197.5 176 224S197.5 272 224 272c21.06 0 40-14.09 46.03-34.28C271.3 233.3 272 228.7 272 224C272 197.5 250.5 176 224 176z", "M224 128C171.1 128 128 171.1 128 224c0 43.86 29.73 80.53 69.98 91.96l-29.76 25.94c-9.969 8.719-11.03 23.88-2.312 33.88C170.7 381.2 177.3 384 184 384c5.594 0 11.22-1.938 15.78-5.906l79.94-69.69C292.5 297.3 320 265.3 320 224C320 171.1 276.9 128 224 128zM270 237.7C264 257.9 245.1 272 224 272C197.5 272 176 250.5 176 224S197.5 176 224 176s48 21.53 48 48C272 228.7 271.3 233.3 270 237.7z"]],
    "square-a": [448, 512, [], "e25f", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM330.1 381.8c-3.266 1.506-6.688 2.229-10.05 2.229c-9.078 0-17.75-5.18-21.81-14l-12.03-26.18H161.8l-12.03 26.18c-5.578 12.09-19.77 17.36-31.86 11.77c-12.03-5.557-17.28-19.9-11.73-31.99l95.99-208.1c7.844-17.08 35.75-17.08 43.59 0l95.99 208.1C347.3 361.9 342.1 376.2 330.1 381.8zM183.1 295.6h80.04L224 208.5L183.1 295.6z", "M245.8 140.8c-7.844-17.08-35.75-17.08-43.59 0L106.2 349.8c-5.547 12.09-.2969 26.44 11.73 31.99c12.09 5.588 26.28 .3145 31.86-11.77l12.03-26.18h124.3l12.03 26.18c4.062 8.822 12.73 14 21.81 14c3.359 0 6.781-.7227 10.05-2.229c12.03-5.557 17.28-19.9 11.73-31.99L245.8 140.8zM183.1 295.6L224 208.5l40.02 87.14H183.1z"]],
    "square-a-lock": [576, 512, [], "e44d", ["M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V161.1C393.7 168.9 351.1 215.6 351.1 272V296.6C342.1 302.3 333.9 310.6 328.2 320.6L245.8 141.9C241.9 133.4 233.4 127.1 224 127.1C214.6 127.1 206.1 133.4 202.2 141.9L106.2 349.9C100.7 361.1 105.9 376.2 117.9 381.8C129.1 387.3 144.2 382.1 149.8 370.1L161.8 343.1H286.2L298.2 370.1C302.3 378.8 310.9 384 319.1 384V480H64C28.65 480 0 451.3 0 416V96zM183.1 295.1L224 209.3L264 295.1H183.1z", "M384 320V272C384 227.8 419.8 192 464 192C508.2 192 544 227.8 544 272V320C561.7 320 576 334.3 576 352V480C576 497.7 561.7 512 544 512H384C366.3 512 352 497.7 352 480V352C352 334.3 366.3 320 384 320V320zM432 320H496V272C496 254.3 481.7 240 464 240C446.3 240 432 254.3 432 272V320z"]],
    "square-ampersand": [448, 512, [], "e260", ["M167 302.5C162.5 306.1 160 311.4 160 317.2C160 327.5 168.5 336 178.8 336h32.47c10.03 0 19.38-4.938 25-13.2l2.117-3.105L199.1 276.6L167 302.5zM204 210.9l21.94-17.73c2.281-1.828 3.594-4.578 3.594-7.516C229.6 180.3 225.2 176 219.9 176H196.8c-5.312 0-9.656 4.328-9.656 9.656c0 4.359 1.625 8.547 4.562 11.78L204 210.9zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM324 377.7C319.4 381.9 313.6 384 307.8 384c-6.5 0-12.97-2.625-17.72-7.812l-18.62-20.38C256.7 373.6 234.7 384 211.3 384H178.8C141.1 384 112 354 112 317.2c0-20.3 9.062-39.25 24.84-51.98l29.75-24.05L156.3 229.8c-11.06-12.11-17.12-27.78-17.12-44.14C139.1 153.9 165 128 196.8 128h23.12c31.78 0 57.66 25.86 57.66 57.66c0 17.5-7.812 33.86-21.41 44.86l-19.69 15.89l29.74 32.53L287.1 247c7.5-10.92 22.41-13.8 33.38-6.312c10.94 7.453 13.78 22.39 6.312 33.34L299.5 315.3l26.03 28.47C334.5 353.6 333.8 368.8 324 377.7z", "M299.5 315.3l28.15-41.31c7.469-10.95 4.625-25.89-6.312-33.34c-10.97-7.484-25.88-4.609-33.38 6.312l-21.76 31.93l-29.74-32.53l19.69-15.89c13.59-11 21.41-27.36 21.41-44.86C277.6 153.9 251.7 128 219.9 128H196.8C165 128 139.1 153.9 139.1 185.7c0 16.36 6.062 32.03 17.12 44.14l10.34 11.33L136.8 265.2C121.1 277.9 112 296.9 112 317.2C112 354 141.1 384 178.8 384h32.47c23.41 0 45.38-10.41 60.16-28.19l18.62 20.38C294.8 381.4 301.3 384 307.8 384c5.781 0 11.59-2.078 16.19-6.281c9.781-8.953 10.47-24.12 1.531-33.91L299.5 315.3zM196.8 176h23.12c5.312 0 9.656 4.328 9.656 9.656c0 2.938-1.312 5.688-3.594 7.516L204 210.9L191.7 197.4C188.8 194.2 187.1 190 187.1 185.7C187.1 180.3 191.5 176 196.8 176zM236.3 322.8C230.7 331.1 221.3 336 211.3 336H178.8C168.5 336 160 327.5 160 317.2c0-5.719 2.531-11.06 7-14.64L199.1 276.6l39.37 43.08L236.3 322.8z"]],
    "square-arrow-down": [448, 512, ["arrow-square-down"], "f339", ["M384 32H64C28.66 32 0 60.66 0 96v320c0 35.34 28.66 64 64 64h320c35.34 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM350.6 302.6l-103.1 103.1C238.7 414.6 228.9 416 224 416c-4.881 0-14.65-1.391-22.65-9.398L97.38 302.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L192 306.8V128c0-17.69 14.33-32 32-32s32 14.31 32 32v178.8l49.38-49.38c12.5-12.5 32.75-12.5 45.25 0S363.1 290.1 350.6 302.6z", "M350.6 302.6l-103.1 103.1C238.7 414.6 228.9 416 224 416c-4.881 0-14.65-1.391-22.65-9.398L97.38 302.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L192 306.8V128c0-17.69 14.33-32 32-32s32 14.31 32 32v178.8l49.38-49.38c12.5-12.5 32.75-12.5 45.25 0S363.1 290.1 350.6 302.6z"]],
    "square-arrow-down-left": [448, 512, [], "e261", ["M384 32H64C28.66 32 0 60.66 0 96v320c0 35.34 28.66 64 64 64h320c35.34 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM334.6 190.6L213.3 312H280c17.69 0 32 14.31 32 32s-14.31 32-32 32h-144c-17.69 0-32-14.31-32-32v-144c0-17.69 14.31-32 32-32s32 14.31 32 32v66.75l121.4-121.4c12.5-12.5 32.75-12.5 45.25 0S347.1 178.1 334.6 190.6z", "M334.6 190.6L213.3 312H280c17.69 0 32 14.31 32 32s-14.31 32-32 32h-144c-17.69 0-32-14.31-32-32v-144c0-17.69 14.31-32 32-32s32 14.31 32 32v66.75l121.4-121.4c12.5-12.5 32.75-12.5 45.25 0S347.1 178.1 334.6 190.6z"]],
    "square-arrow-down-right": [448, 512, [], "e262", ["M384 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM344 344c0 17.69-14.31 32-32 32h-144c-17.69 0-32-14.31-32-32s14.31-32 32-32h66.75L113.4 190.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L280 266.8V200c0-17.69 14.31-32 32-32s32 14.31 32 32V344z", "M344 344c0 17.69-14.31 32-32 32h-144c-17.69 0-32-14.31-32-32s14.31-32 32-32h66.75L113.4 190.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L280 266.8V200c0-17.69 14.31-32 32-32s32 14.31 32 32V344z"]],
    "square-arrow-left": [448, 512, ["arrow-square-left"], "f33a", ["M384 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM352 288H173.3l49.38 49.38c12.5 12.5 12.5 32.75 0 45.25s-32.75 12.5-45.25 0L73.4 278.6C65.4 270.7 64 260.9 64 256c0-4.883 1.391-14.66 9.398-22.65l103.1-103.1c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L173.3 224H352c17.69 0 32 14.33 32 32S369.7 288 352 288z", "M352 288H173.3l49.38 49.38c12.5 12.5 12.5 32.75 0 45.25s-32.75 12.5-45.25 0L73.4 278.6C65.4 270.7 64 260.9 64 256c0-4.883 1.391-14.66 9.398-22.65l103.1-103.1c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L173.3 224H352c17.69 0 32 14.33 32 32S369.7 288 352 288z"]],
    "square-arrow-right": [448, 512, ["arrow-square-right"], "f33b", ["M384 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM374.6 278.6l-103.1 103.1c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25L274.8 288H96C78.31 288 64 273.7 64 256s14.31-32 32-32h178.8l-49.38-49.38c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0l103.1 103.1C382.6 241.3 384 251.1 384 256C384 260.9 382.6 270.7 374.6 278.6z", "M374.6 278.6l-103.1 103.1c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25L274.8 288H96C78.31 288 64 273.7 64 256s14.31-32 32-32h178.8l-49.38-49.38c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0l103.1 103.1C382.6 241.3 384 251.1 384 256C384 260.9 382.6 270.7 374.6 278.6z"]],
    "square-arrow-up": [448, 512, ["arrow-square-up"], "f33c", ["M384 32H64C28.66 32 0 60.66 0 96v320c0 35.34 28.66 64 64 64h320c35.34 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM350.6 254.6c-12.5 12.5-32.75 12.5-45.25 0L256 205.3V384c0 17.69-14.33 32-32 32s-32-14.31-32-32V205.3L142.6 254.6c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l103.1-103.1C209.3 97.4 219.1 96 224 96c4.881 0 14.65 1.391 22.65 9.398l103.1 103.1C363.1 221.9 363.1 242.1 350.6 254.6z", "M350.6 254.6c-12.5 12.5-32.75 12.5-45.25 0L256 205.3V384c0 17.69-14.33 32-32 32s-32-14.31-32-32V205.3L142.6 254.6c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l103.1-103.1C209.3 97.4 219.1 96 224 96c4.881 0 14.65 1.391 22.65 9.398l103.1 103.1C363.1 221.9 363.1 242.1 350.6 254.6z"]],
    "square-arrow-up-left": [448, 512, [], "e263", ["M384 32H64C28.66 32 0 60.66 0 96v320c0 35.34 28.66 64 64 64h320c35.34 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM334.6 366.6C328.4 372.9 320.2 376 312 376s-16.38-3.125-22.62-9.375L168 245.3V312c0 17.69-14.31 32-32 32s-32-14.31-32-32v-144c0-17.69 14.31-32 32-32h144c17.69 0 32 14.31 32 32s-14.31 32-32 32H213.3l121.4 121.4C347.1 333.9 347.1 354.1 334.6 366.6z", "M334.6 366.6C328.4 372.9 320.2 376 312 376s-16.38-3.125-22.62-9.375L168 245.3V312c0 17.69-14.31 32-32 32s-32-14.31-32-32v-144c0-17.69 14.31-32 32-32h144c17.69 0 32 14.31 32 32s-14.31 32-32 32H213.3l121.4 121.4C347.1 333.9 347.1 354.1 334.6 366.6z"]],
    "square-arrow-up-right": [448, 512, ["external-link-square"], "f14c", ["M384 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM344 312c0 17.69-14.31 32-32 32s-32-14.31-32-32V245.3l-121.4 121.4C152.4 372.9 144.2 376 136 376s-16.38-3.125-22.62-9.375c-12.5-12.5-12.5-32.75 0-45.25L234.8 200H168c-17.69 0-32-14.31-32-32s14.31-32 32-32h144c17.69 0 32 14.31 32 32V312z", "M344 312c0 17.69-14.31 32-32 32s-32-14.31-32-32V245.3l-121.4 121.4C152.4 372.9 144.2 376 136 376s-16.38-3.125-22.62-9.375c-12.5-12.5-12.5-32.75 0-45.25L234.8 200H168c-17.69 0-32-14.31-32-32s14.31-32 32-32h144c17.69 0 32 14.31 32 32V312z"]],
    "square-b": [448, 512, [], "e264", ["M272 204c0-15.44-12.56-28-28-28H176v56h68C259.4 232 272 219.4 272 204zM260 280H176v56h84C275.4 336 288 323.4 288 308S275.4 280 260 280zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM260 384H152C138.8 384 128 373.3 128 360v-208C128 138.8 138.8 128 152 128h92C285.9 128 320 162.1 320 204c0 16.35-5.301 31.41-14.12 43.82C324.1 261.7 336 283.4 336 308C336 349.9 301.9 384 260 384z", "M305.9 247.8C314.7 235.4 320 220.3 320 204C320 162.1 285.9 128 244 128H152C138.8 128 128 138.8 128 152v208C128 373.3 138.8 384 152 384h108c41.91 0 76-34.09 76-76C336 283.4 324.1 261.7 305.9 247.8zM176 176h68c15.44 0 28 12.56 28 28S259.4 232 244 232H176V176zM260 336H176V280h84C275.4 280 288 292.6 288 308S275.4 336 260 336z"]],
    "square-bolt": [448, 512, [], "e265", ["M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM261.8 131.6L125.8 243.6C120.6 247.9 118.7 255 120.9 261.4C123.2 267.8 129.2 271.1 136 271.1H199.7L161.3 361.7C158.4 368.5 160.5 376.4 166.4 380.8C172.3 385.2 180.5 385 186.2 380.4L322.2 268.4C327.4 264.1 329.3 256.1 327.1 250.6C324.8 244.2 318.8 240 312 240H248.3L286.7 150.3C289.6 143.5 287.5 135.6 281.6 131.2C275.7 126.8 267.5 126.1 261.8 131.6V131.6z", "M248.3 240H312C318.8 240 324.8 244.2 327.1 250.6C329.3 256.1 327.4 264.1 322.2 268.4L186.2 380.4C180.5 385 172.3 385.2 166.4 380.8C160.5 376.4 158.4 368.5 161.3 361.7L199.7 271.1H136C129.2 271.1 123.2 267.8 120.9 261.4C118.7 255 120.6 247.9 125.8 243.6L261.8 131.6C267.5 126.1 275.7 126.8 281.6 131.2C287.5 135.6 289.6 143.5 286.7 150.3L248.3 240z"]],
    "square-c": [448, 512, [], "e266", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM167.2 312.3c14.93 15.13 34.76 23.49 55.86 23.49s40.94-8.32 55.88-23.49c9.33-9.418 24.55-9.545 33.95-.125c9.426 9.357 9.488 24.62 .1562 34.1C289 370.6 257 384 223.1 384c0 0 .0156 0 0 0c-33.1 0-65.95-13.41-89.96-37.74c-49.46-50.08-49.46-131.6 0-181.7c48-48.7 131.9-48.7 179.1 0c9.332 9.451 9.27 24.71-.1562 34.1c-9.395 9.357-24.59 9.326-33.95-.1562c-29.89-30.27-81.89-30.24-111.7 0C136.2 229.9 136.2 280.9 167.2 312.3z", "M278.9 198.5c9.361 9.482 24.55 9.514 33.95 .1562c9.426-9.389 9.488-24.65 .1562-34.1C289.2 140.4 256.7 128.2 223.1 128C190.7 127.8 157.3 139.9 133.1 164.5C108.2 189.7 95.85 222.9 96 255.1c.1485 32.71 12.51 65.37 37.09 90.26C157.1 370.6 189.1 384 223.1 384c.0156 0 0 0 0 0c33.1 0 65.97-13.41 89.99-37.74c9.332-9.482 9.27-24.74-.1562-34.1c-9.395-9.42-24.62-9.293-33.95 .125c-14.94 15.17-34.78 23.49-55.88 23.49s-40.94-8.352-55.86-23.49c-30.98-31.37-30.98-82.42 0-113.8C197.1 168.2 249.1 168.2 278.9 198.5z"]],
    "square-caret-down": [448, 512, ["caret-square-down"], "f150", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.65 419.3 32 384 32zM345.6 232.3l-104 112C237 349.2 230.7 352 224 352s-13.03-2.781-17.59-7.656l-104-112c-6.5-7-8.219-17.19-4.407-25.94C101.8 197.7 110.5 192 120 192h208c9.531 0 18.19 5.656 21.1 14.41C353.8 215.2 352.1 225.3 345.6 232.3z", "M345.6 232.3l-104 112C237 349.2 230.7 352 224 352s-13.03-2.781-17.59-7.656l-104-112c-6.5-7-8.219-17.19-4.407-25.94C101.8 197.7 110.5 192 120 192h208c9.531 0 18.19 5.656 21.1 14.41C353.8 215.2 352.1 225.3 345.6 232.3z"]],
    "square-caret-left": [448, 512, ["caret-square-left"], "f191", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.65 419.3 32 384 32zM288 360c0 9.531-5.656 18.19-14.41 22C270.5 383.3 267.3 384 264 384c-5.938 0-11.81-2.219-16.34-6.406l-112-104C130.8 269 128 262.7 128 256s2.781-13.03 7.656-17.59l112-104c7.031-6.469 17.22-8.156 25.94-4.406C282.3 133.8 288 142.5 288 152V360z", "M288 360c0 9.531-5.656 18.19-14.41 22C270.5 383.3 267.3 384 264 384c-5.938 0-11.81-2.219-16.34-6.406l-112-104C130.8 269 128 262.7 128 256s2.781-13.03 7.656-17.59l112-104c7.031-6.469 17.22-8.156 25.94-4.406C282.3 133.8 288 142.5 288 152V360z"]],
    "square-caret-right": [448, 512, ["caret-square-right"], "f152", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.65 419.3 32 384 32zM312.3 273.6l-112 104C195.8 381.8 189.9 384 184 384c-3.25 0-6.5-.6562-9.594-2C165.7 378.2 160 369.5 160 360v-208c0-9.531 5.656-18.19 14.41-22c8.75-3.75 18.94-2.062 25.94 4.406l112 104C317.2 242.1 320 249.3 320 256S317.2 269 312.3 273.6z", "M312.3 273.6l-112 104C195.8 381.8 189.9 384 184 384c-3.25 0-6.5-.6562-9.594-2C165.7 378.2 160 369.5 160 360v-208c0-9.531 5.656-18.19 14.41-22c8.75-3.75 18.94-2.062 25.94 4.406l112 104C317.2 242.1 320 249.3 320 256S317.2 269 312.3 273.6z"]],
    "square-caret-up": [448, 512, ["caret-square-up"], "f151", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.65 419.3 32 384 32zM349.1 305.6C346.2 314.3 337.5 320 328 320h-208c-9.531 0-18.19-5.656-22-14.41C94.19 296.8 95.91 286.7 102.4 279.7l104-112c9.125-9.75 26.06-9.75 35.19 0l104 112C352.1 286.7 353.8 296.8 349.1 305.6z", "M349.1 305.6C346.2 314.3 337.5 320 328 320h-208c-9.531 0-18.19-5.656-22-14.41C94.19 296.8 95.91 286.7 102.4 279.7l104-112c9.125-9.75 26.06-9.75 35.19 0l104 112C352.1 286.7 353.8 296.8 349.1 305.6z"]],
    "square-check": [448, 512, [9989, 61510, 9745, "check-square"], "f14a", ["M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM339.8 211.8C350.7 200.9 350.7 183.1 339.8 172.2C328.9 161.3 311.1 161.3 300.2 172.2L192 280.4L147.8 236.2C136.9 225.3 119.1 225.3 108.2 236.2C97.27 247.1 97.27 264.9 108.2 275.8L172.2 339.8C183.1 350.7 200.9 350.7 211.8 339.8L339.8 211.8z", "M339.8 172.2C350.7 183.1 350.7 200.9 339.8 211.8L211.8 339.8C200.9 350.7 183.1 350.7 172.2 339.8L108.2 275.8C97.27 264.9 97.27 247.1 108.2 236.2C119.1 225.3 136.9 225.3 147.8 236.2L192 280.4L300.2 172.2C311.1 161.3 328.9 161.3 339.8 172.2V172.2z"]],
    "square-chevron-down": [448, 512, ["chevron-square-down"], "f329", ["M384 32H64C28.66 32 0 60.65 0 96v320c0 35.34 28.66 64 64 64h320c35.34 0 64-28.66 64-64V96C448 60.65 419.3 32 384 32zM358.6 230.6l-112 112C240.4 348.9 232.2 352 224 352s-16.38-3.125-22.62-9.375l-112-112c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L224 274.8l89.38-89.38c12.5-12.5 32.75-12.5 45.25 0S371.1 218.1 358.6 230.6z", "M358.6 230.6l-112 112C240.4 348.9 232.2 352 224 352s-16.38-3.125-22.62-9.375l-112-112c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L224 274.8l89.38-89.38c12.5-12.5 32.75-12.5 45.25 0S371.1 218.1 358.6 230.6z"]],
    "square-chevron-left": [448, 512, ["chevron-square-left"], "f32a", ["M384 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM294.6 345.4c12.5 12.5 12.5 32.75 0 45.25s-32.75 12.5-45.25 0l-112-112C131.1 272.4 128 264.2 128 256s3.125-16.38 9.375-22.62l112-112c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L205.3 256L294.6 345.4z", "M294.6 345.4c12.5 12.5 12.5 32.75 0 45.25s-32.75 12.5-45.25 0l-112-112C131.1 272.4 128 264.2 128 256s3.125-16.38 9.375-22.62l112-112c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L205.3 256L294.6 345.4z"]],
    "square-chevron-right": [448, 512, ["chevron-square-right"], "f32b", ["M384 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM310.6 278.6l-112 112c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25L242.8 256L153.4 166.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0l112 112C316.9 239.6 320 247.8 320 256S316.9 272.4 310.6 278.6z", "M310.6 278.6l-112 112c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25L242.8 256L153.4 166.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0l112 112C316.9 239.6 320 247.8 320 256S316.9 272.4 310.6 278.6z"]],
    "square-chevron-up": [448, 512, ["chevron-square-up"], "f32c", ["M384 32H64C28.66 32 0 60.66 0 96v320c0 35.35 28.66 64 64 64h320c35.34 0 64-28.65 64-64V96C448 60.66 419.3 32 384 32zM358.6 326.6c-12.5 12.5-32.75 12.5-45.25 0L224 237.3l-89.38 89.38c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l112-112C207.6 163.1 215.8 160 224 160s16.38 3.125 22.62 9.375l112 112C371.1 293.9 371.1 314.1 358.6 326.6z", "M358.6 326.6c-12.5 12.5-32.75 12.5-45.25 0L224 237.3l-89.38 89.38c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l112-112C207.6 163.1 215.8 160 224 160s16.38 3.125 22.62 9.375l112 112C371.1 293.9 371.1 314.1 358.6 326.6z"]],
    "square-code": [448, 512, [], "e267", ["M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM262.2 167.9C253.3 177.8 254.1 192.1 263.9 201.8L324.1 256L263.9 310.2C254.1 319 253.3 334.2 262.2 344.1C271 353.9 286.2 354.7 296.1 345.8L376.1 273.8C381.1 269.3 384 262.8 384 256C384 249.2 381.1 242.7 376.1 238.2L296.1 166.2C286.2 157.3 271 158.1 262.2 167.9V167.9zM184.1 201.8C193.9 192.1 194.7 177.8 185.8 167.9C176.1 158.1 161.8 157.3 151.9 166.2L71.94 238.2C66.89 242.7 64 249.2 64 256C64 262.8 66.89 269.3 71.94 273.8L151.9 345.8C161.8 354.7 176.1 353.9 185.8 344.1C194.7 334.2 193.9 319 184.1 310.2L123.9 256L184.1 201.8z", "M123.9 256L184.1 310.2C193.9 319 194.7 334.2 185.8 344.1C176.1 353.9 161.8 354.7 151.9 345.8L71.94 273.8C66.89 269.3 64 262.8 64 256C64 249.2 66.89 242.7 71.94 238.2L151.9 166.2C161.8 157.3 176.1 158.1 185.8 167.9C194.7 177.8 193.9 192.1 184.1 201.8L123.9 256zM263.9 201.8C254.1 192.1 253.3 177.8 262.2 167.9C271 158.1 286.2 157.3 296.1 166.2L376.1 238.2C381.1 242.7 384 249.2 384 256C384 262.8 381.1 269.3 376.1 273.8L296.1 345.8C286.2 354.7 271 353.9 262.2 344.1C253.3 334.2 254.1 319 263.9 310.2L324.1 256L263.9 201.8z"]],
    "square-d": [448, 512, [], "e268", ["M304 256c0 44.13-36.61 80-81.59 80H176v-160h46.41C267.4 176 304 211.9 304 256zM448 96v320c0 35.35-28.65 64-64 64H64c-35.35 0-64-28.65-64-64V96c0-35.35 28.65-64 64-64h320C419.3 32 448 60.65 448 96zM352 256c0-70.58-58.14-128-129.6-128H152C138.8 128 128 138.8 128 152v208C128 373.3 138.8 384 152 384h70.41C293.9 384 352 326.6 352 256z", "M222.4 128H152C138.8 128 128 138.8 128 152v208C128 373.3 138.8 384 152 384h70.41C293.9 384 352 326.6 352 256C352 185.4 293.9 128 222.4 128zM222.4 336H176v-160h46.41C267.4 176 304 211.9 304 256C304 300.1 267.4 336 222.4 336z"]],
    "square-dashed": [448, 512, [], "e269", ["M96 32H128V96H96C78.33 96 64 110.3 64 128V160H0V128C0 74.98 42.98 32 96 32zM96 416H128V480H96C42.98 480 0 437 0 384V352H64V384C64 401.7 78.33 416 96 416zM352 480H320V416H352C369.7 416 384 401.7 384 384V352H448V384C448 437 405 480 352 480zM448 160H384V128C384 110.3 369.7 96 352 96H320V32H352C405 32 448 74.98 448 128V160z", "M64 192V320H0V192H64zM448 192V320H384V192H448zM160 480V416H288V480H160zM160 32H288V96H160V32z"]],
    "square-divide": [448, 512, [], "e26a", ["M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM224 192C241.7 192 256 177.7 256 160C256 142.3 241.7 128 224 128C206.3 128 192 142.3 192 160C192 177.7 206.3 192 224 192zM136 232C122.7 232 112 242.7 112 256C112 269.3 122.7 280 136 280H312C325.3 280 336 269.3 336 256C336 242.7 325.3 232 312 232H136zM224 320C206.3 320 192 334.3 192 352C192 369.7 206.3 384 224 384C241.7 384 256 369.7 256 352C256 334.3 241.7 320 224 320z", "M256 160C256 177.7 241.7 192 224 192C206.3 192 192 177.7 192 160C192 142.3 206.3 128 224 128C241.7 128 256 142.3 256 160zM112 256C112 242.7 122.7 232 136 232H312C325.3 232 336 242.7 336 256C336 269.3 325.3 280 312 280H136C122.7 280 112 269.3 112 256zM192 352C192 334.3 206.3 320 224 320C241.7 320 256 334.3 256 352C256 369.7 241.7 384 224 384C206.3 384 192 369.7 192 352z"]],
    "square-dollar": [448, 512, ["dollar-square", "usd-square"], "f2e9", ["M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM244.8 133.6C244.8 121.7 235.1 112 223.2 112C211.3 112 201.6 121.7 201.6 133.6V149.7C195.5 151.1 189.6 152.1 184.1 155.4C166.1 163.1 149.1 177.6 145.1 199.4C140.9 222.5 150.9 243.3 170.4 255.8C184.6 264.9 203.4 270.2 218.5 274.5C220.7 275.1 222.1 275.7 225.3 276.4C237.2 279.6 249.7 282.1 259.8 289.9C271.5 297.9 265.9 312.1 253.9 316.1C244.1 320.6 231.4 322.1 214.4 319.6C202.8 317.8 191.2 313.8 179.9 310C177.4 309.2 174.9 308.3 172.4 307.5C161.1 303.7 148.8 309.9 145.1 321.2C141.3 332.5 147.5 344.8 158.8 348.5C172.9 353.1 187.1 357.8 201.6 361L201.6 378.4C201.6 390.3 211.3 400 223.2 400C235.1 400 244.8 390.3 244.8 378.4L244.8 363.2C253.7 362.2 262.2 360.2 270 357C288.8 349.5 304.3 334.8 308.5 312.4C312.7 289.2 303.6 267.5 284.2 254.2C269.3 244 249.4 238.4 233.8 233.9C231.5 233.3 229.1 232.6 226.8 231.1C215.4 228.9 203.5 225.7 193.6 219.4C181.1 211.4 190.2 199.8 201.2 195C213.6 189.7 228.9 188.5 242.1 191C249.2 192.4 256.2 194.4 263.2 196.3C264.7 196.8 266.3 197.2 267.8 197.6C279.3 200.8 291.2 194.1 294.4 182.6C297.6 171.1 290.8 159.2 279.3 155.1C277.5 155.5 275.6 154.9 273.8 154.4C264.2 151.7 254.5 149 244.8 147.8L244.8 133.6z", "M223.2 112C235.1 112 244.8 121.7 244.8 133.6V147.8C256.4 149.2 267.1 152.8 279.3 155.1C290.8 159.2 297.6 171.1 294.4 182.6C291.2 194.1 279.3 200.8 267.8 197.6C259.3 195.3 250.7 192.7 242.1 191C228.9 188.5 213.6 189.7 201.2 195C190.2 199.8 181.1 211.4 193.6 219.4C205.5 226.1 220.4 230.1 233.8 233.9C249.4 238.4 269.3 244 284.2 254.2C303.6 267.5 312.7 289.2 308.5 312.4C304.3 334.8 288.8 349.5 270 357C262.2 360.2 253.7 362.2 244.8 363.2L244.8 378.4C244.8 390.3 235.1 400 223.2 400C211.3 400 201.6 390.3 201.6 378.4L201.6 361C187.1 357.8 172.9 353.1 158.8 348.5C147.5 344.8 141.3 332.5 145.1 321.2C148.8 309.9 161.1 303.7 172.4 307.5C186.1 312 200.2 317.4 214.4 319.6C231.4 322.1 244.1 320.6 253.9 316.1C265.9 312.1 271.5 297.9 259.8 289.9C247.8 281.6 232.3 278.4 218.5 274.5C203.4 270.2 184.6 264.9 170.4 255.8C150.9 243.3 140.9 222.5 145.1 199.4C149.1 177.6 166.1 163.1 184.1 155.4C189.6 152.1 195.4 151.1 201.6 149.7V133.6C201.6 121.7 211.3 112 223.2 112L223.2 112z"]],
    "square-down": [448, 512, [11015, "arrow-alt-square-down"], "f350", ["M64 480h320c35.35 0 64-28.65 64-64V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320C0 451.3 28.65 480 64 480zM97.22 265.9C99.69 259.9 105.5 256 112 256h64V160c0-17.67 14.33-32 32-32h32c17.67 0 32 14.33 32 32v96h64c6.469 0 12.31 3.891 14.78 9.875c2.484 5.984 1.109 12.86-3.469 17.44l-112 112c-6.248 6.248-16.38 6.248-22.62 0l-112-112C96.11 278.7 94.73 271.9 97.22 265.9z", "M97.22 265.9C99.69 259.9 105.5 256 112 256h64V160c0-17.67 14.33-32 32-32h32c17.67 0 32 14.33 32 32v96h64c6.469 0 12.31 3.891 14.78 9.875c2.484 5.984 1.109 12.86-3.469 17.44l-112 112c-6.248 6.248-16.38 6.248-22.62 0l-112-112C96.11 278.7 94.73 271.9 97.22 265.9z"]],
    "square-down-left": [448, 512, [], "e26b", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.65 419.3 32 384 32zM325.9 222l-67.94 67.94l45.25 45.25c4.574 4.574 5.955 11.46 3.471 17.44c-2.477 5.984-8.309 9.875-14.78 9.875H133.5c-8.835 0-15.1-7.163-15.1-15.1v-158.4c0-6.477 3.889-12.31 9.877-14.78c5.979-2.488 12.86-1.109 17.44 3.469l45.25 45.25l67.94-67.94c12.5-12.5 32.7-12.44 45.2 .0548l22.63 22.63C338.3 189.3 338.4 209.5 325.9 222z", "M331.5 216.4l-73.54 73.54l45.25 45.25c4.574 4.574 5.955 11.46 3.471 17.44c-2.477 5.984-8.309 9.875-14.78 9.875H133.5c-8.836 0-15.1-7.163-15.1-15.1v-158.4c0-6.477 3.889-12.31 9.877-14.78c5.979-2.488 12.86-1.109 17.44 3.469l45.25 45.25l73.54-73.54c9.373-9.371 24.57-9.371 33.94 0l33.94 33.94C340.9 191.8 340.9 207 331.5 216.4z"]],
    "square-down-right": [448, 512, [], "e26c", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.65 419.3 32 384 32zM330.5 346.5c0 8.837-7.163 16-16 16h-158.4c-6.475 0-12.31-3.891-14.78-9.875c-2.484-5.98-1.104-12.86 3.471-17.44l45.25-45.25L122.1 222C109.6 209.5 109.7 189.3 122.2 176.8l22.63-22.63C157.3 141.7 177.5 141.6 190 154.1l67.92 67.92l45.25-45.25c4.574-4.578 11.46-5.957 17.44-3.469c5.988 2.473 9.877 8.305 9.877 14.78V346.5z", "M330.5 346.5c0 8.837-7.163 16-16 16h-158.4c-6.475 0-12.31-3.891-14.78-9.875c-2.484-5.98-1.104-12.86 3.471-17.44l45.25-45.25L122.1 222C109.6 209.5 109.7 189.3 122.2 176.8l22.63-22.63C157.3 141.7 177.5 141.6 190 154.1l67.92 67.92l45.25-45.25c4.574-4.578 11.46-5.957 17.44-3.469c5.988 2.473 9.877 8.305 9.877 14.78V346.5z"]],
    "square-e": [448, 512, [], "e26d", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM264 232C277.3 232 288 242.8 288 256s-10.75 24-24 24H176v56h120c13.25 0 24 10.75 24 24S309.3 384 296 384h-144C138.8 384 128 373.3 128 360v-208C128 138.8 138.8 128 152 128h144C309.3 128 320 138.8 320 152S309.3 176 296 176H176v56H264z", "M296 176C309.3 176 320 165.3 320 152S309.3 128 296 128h-144C138.8 128 128 138.8 128 152v208C128 373.3 138.8 384 152 384h144c13.25 0 24-10.75 24-24s-10.75-24-24-24H176V280h88C277.3 280 288 269.3 288 256s-10.75-24-24-24H176V176H296z"]],
    "square-ellipsis": [448, 512, [], "e26e", ["M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM256 256C256 238.3 241.7 224 224 224C206.3 224 192 238.3 192 256C192 273.7 206.3 288 224 288C241.7 288 256 273.7 256 256zM96 256C96 273.7 110.3 288 128 288C145.7 288 160 273.7 160 256C160 238.3 145.7 224 128 224C110.3 224 96 238.3 96 256zM352 256C352 238.3 337.7 224 320 224C302.3 224 288 238.3 288 256C288 273.7 302.3 288 320 288C337.7 288 352 273.7 352 256z", "M128 224C145.7 224 160 238.3 160 256C160 273.7 145.7 288 128 288C110.3 288 96 273.7 96 256C96 238.3 110.3 224 128 224zM224 224C241.7 224 256 238.3 256 256C256 273.7 241.7 288 224 288C206.3 288 192 273.7 192 256C192 238.3 206.3 224 224 224zM320 288C302.3 288 288 273.7 288 256C288 238.3 302.3 224 320 224C337.7 224 352 238.3 352 256C352 273.7 337.7 288 320 288z"]],
    "square-ellipsis-vertical": [448, 512, [], "e26f", ["M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM224 288C241.7 288 256 273.7 256 256C256 238.3 241.7 224 224 224C206.3 224 192 238.3 192 256C192 273.7 206.3 288 224 288zM224 128C206.3 128 192 142.3 192 160C192 177.7 206.3 192 224 192C241.7 192 256 177.7 256 160C256 142.3 241.7 128 224 128zM224 384C241.7 384 256 369.7 256 352C256 334.3 241.7 320 224 320C206.3 320 192 334.3 192 352C192 369.7 206.3 384 224 384z", "M256 160C256 177.7 241.7 192 224 192C206.3 192 192 177.7 192 160C192 142.3 206.3 128 224 128C241.7 128 256 142.3 256 160zM256 256C256 273.7 241.7 288 224 288C206.3 288 192 273.7 192 256C192 238.3 206.3 224 224 224C241.7 224 256 238.3 256 256zM192 352C192 334.3 206.3 320 224 320C241.7 320 256 334.3 256 352C256 369.7 241.7 384 224 384C206.3 384 192 369.7 192 352z"]],
    "square-envelope": [448, 512, ["envelope-square"], "f199", ["M384 32H64C28.63 32 0 60.63 0 96v320c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V96C448 60.63 419.4 32 384 32zM384 336c0 17.67-14.33 32-32 32H96c-17.67 0-32-14.33-32-32v-160c0-17.67 14.33-32 32-32h256c17.67 0 32 14.33 32 32V336z", "M224 300.2c-7.375 0-14.75-1.688-21.47-5.047L64 225.9V336c0 17.67 14.33 32 32 32h256c17.67 0 32-14.33 32-32V225.9l-138.5 69.27C238.8 298.5 231.4 300.2 224 300.2zM352 144H96c-17.67 0-32 14.33-32 32v14.11l152.8 76.42c4.5 2.25 9.812 2.25 14.31 0L384 190.1V176C384 158.3 369.7 144 352 144z"]],
    "square-exclamation": [448, 512, ["exclamation-square"], "f321", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM200 152C200 138.8 210.8 128 224 128s24 10.75 24 24v128c0 13.25-10.75 24-24 24S200 293.3 200 280V152zM224 400c-17.36 0-31.44-14.08-31.44-31.44c0-17.36 14.07-31.44 31.44-31.44s31.44 14.08 31.44 31.44C255.4 385.9 241.4 400 224 400z", "M224 337.1c-17.36 0-31.44 14.08-31.44 31.44C192.6 385.9 206.6 400 224 400s31.44-14.08 31.44-31.44C255.4 351.2 241.4 337.1 224 337.1zM224 304c13.25 0 24-10.75 24-24v-128C248 138.8 237.3 128 224 128S200 138.8 200 152v128C200 293.3 210.8 304 224 304z"]],
    "square-f": [448, 512, [], "e270", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM296 176H176v64h88C277.3 240 288 250.8 288 264S277.3 288 264 288H176v72C176 373.3 165.3 384 152 384S128 373.3 128 360v-208C128 138.8 138.8 128 152 128h144C309.3 128 320 138.8 320 152S309.3 176 296 176z", "M296 128h-144C138.8 128 128 138.8 128 152v208C128 373.3 138.8 384 152 384s24-10.75 24-24V288h88C277.3 288 288 277.3 288 264S277.3 240 264 240H176v-64h120C309.3 176 320 165.3 320 152S309.3 128 296 128z"]],
    "square-fragile": [448, 512, ["box-fragile", "square-wine-glass-crack"], "f49b", ["M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM150.3 96C137.1 96 128 105.1 128 118.3V208C128 255.6 162.6 295.1 208 302.7V384H160C151.2 384 144 391.2 144 400C144 408.8 151.2 416 160 416H288C296.8 416 304 408.8 304 400C304 391.2 296.8 384 288 384H240V302.7C285.4 295.1 320 255.6 320 208V118.3C320 105.1 310 96 297.7 96H150.3z", "M176 96L208 160L176 192L256 256L224 192L272 160L240 96H297.7C310 96 320 105.1 320 118.3V208C320 255.6 285.4 295.1 240 302.7V384H288C296.8 384 304 391.2 304 400C304 408.8 296.8 416 288 416H160C151.2 416 144 408.8 144 400C144 391.2 151.2 384 160 384H208V302.7C162.6 295.1 128 255.6 128 208V118.3C128 105.1 137.1 96 150.3 96H176z"]],
    "square-full": [512, 512, [128997, 128998, 128999, 129000, 129001, 129002, 129003, 11036, 11035], "f45c", ["M0 0H512V512H0V0z", ""]],
    "square-g": [448, 512, [], "e271", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM352 274.9c0 1.453-.125 2.922-.4062 4.344c-4.375 23.83-17.56 47.7-37.09 67.27C290.3 370.7 258.2 384 224 384s-66.34-13.31-90.5-37.48c-49.91-49.91-49.91-131.1 0-181C181.4 117.5 261.5 115.3 312 160.6c9.875 8.844 10.72 24.02 1.875 33.89C305 204.4 289.8 205.2 280 196.4c-31.91-28.56-82.34-27.19-112.6 3.062c-31.19 31.2-31.19 81.95 0 113.2c30.19 30.22 82.94 30.22 113.1 0c7.594-7.609 13.69-16 17.91-24.58H248C234.8 288 224 277.3 224 264s10.75-24 24-24h80C341.3 240 352 250.8 352 264V274.9z", "M328 240h-80C234.8 240 224 250.8 224 264S234.8 288 248 288h50.47c-4.219 8.578-10.31 16.97-17.91 24.58c-30.19 30.22-82.94 30.22-113.1 0c-31.19-31.2-31.19-81.95 0-113.2C197.7 169.2 248.1 167.8 280 196.4c9.812 8.859 25 8.078 33.88-1.859c8.844-9.875 8-25.05-1.875-33.89c-50.53-45.3-130.6-43.06-178.5 4.875c-49.91 49.91-49.91 131.1 0 181C157.7 370.7 189.8 384 224 384s66.34-13.31 90.5-37.48c19.53-19.56 32.72-43.44 37.09-67.27C351.9 277.8 352 276.4 352 274.9V264C352 250.8 341.3 240 328 240z"]],
    "square-h": [448, 512, ["h-square"], "f0fd", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM336 360c0 13.25-10.75 24-24 24S288 373.3 288 360v-80H160v80C160 373.3 149.3 384 136 384S112 373.3 112 360v-208C112 138.8 122.8 128 136 128S160 138.8 160 152v80h128v-80C288 138.8 298.8 128 312 128s24 10.75 24 24V360z", "M312 128C298.8 128 288 138.8 288 152v80H160v-80C160 138.8 149.3 128 136 128S112 138.8 112 152v208C112 373.3 122.8 384 136 384S160 373.3 160 360v-80h128v80c0 13.25 10.75 24 24 24s24-10.75 24-24v-208C336 138.8 325.3 128 312 128z"]],
    "square-heart": [448, 512, [128159, "heart-square"], "f4c8", ["M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM201.5 384.2C207.7 390.5 215.9 393.6 224 393.6C232.1 393.6 240.3 390.5 246.5 384.2L348.1 280.1C377.5 251.2 377.5 202.8 348.1 173C318.8 143.2 271.1 143.2 241.7 173L224 191L206.3 173C176.9 143.2 129.2 143.2 99.87 173C70.48 202.8 70.48 251.2 99.87 280.1L201.5 384.2z", "M206.3 173L224 191L241.7 173C271.1 143.2 318.8 143.2 348.1 173C377.5 202.8 377.5 251.2 348.1 280.1L246.5 384.2C240.3 390.5 232.1 393.6 224 393.6C215.9 393.6 207.7 390.5 201.5 384.2L99.87 280.1C70.48 251.2 70.48 202.8 99.87 173C129.2 143.2 176.9 143.2 206.3 173H206.3z"]],
    "square-i": [448, 512, [], "e272", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM296 336c13.25 0 24 10.75 24 24S309.3 384 296 384h-144C138.8 384 128 373.3 128 360s10.75-24 24-24h48v-160h-48C138.8 176 128 165.3 128 152S138.8 128 152 128h144C309.3 128 320 138.8 320 152S309.3 176 296 176h-48v160H296z", "M296 176C309.3 176 320 165.3 320 152S309.3 128 296 128h-144C138.8 128 128 138.8 128 152S138.8 176 152 176h48v160h-48C138.8 336 128 346.8 128 360S138.8 384 152 384h144c13.25 0 24-10.75 24-24s-10.75-24-24-24h-48v-160H296z"]],
    "square-info": [448, 512, [8505, "info-square"], "f30f", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.65 419.3 32 384 32zM224 128c17.67 0 32 14.33 32 32c0 17.67-14.33 32-32 32S192 177.7 192 160C192 142.3 206.3 128 224 128zM264 384h-80C170.8 384 160 373.3 160 360s10.75-24 24-24h16v-64H192c-13.25 0-24-10.75-24-24S178.8 224 192 224h32c13.25 0 24 10.75 24 24v88h16c13.25 0 24 10.75 24 24S277.3 384 264 384z", "M224 192c17.67 0 32-14.33 32-32c0-17.67-14.33-32-32-32S192 142.3 192 160C192 177.7 206.3 192 224 192zM264 336h-16V248C248 234.8 237.3 224 224 224H192C178.8 224 168 234.8 168 248S178.8 272 192 272h8v64h-16C170.8 336 160 346.8 160 360S170.8 384 184 384h80c13.25 0 24-10.75 24-24S277.3 336 264 336z"]],
    "square-j": [448, 512, [], "e273", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM304 290.7C304 342.1 260.9 384 208 384s-96-41.86-96-93.33V280C112 266.8 122.8 256 136 256S160 266.8 160 280v10.67C160 315.7 181.5 336 208 336S256 315.7 256 290.7V152C256 138.8 266.8 128 280 128s24 10.75 24 24V290.7z", "M280 128C266.8 128 256 138.8 256 152v138.7C256 315.7 234.5 336 208 336S160 315.7 160 290.7V280C160 266.8 149.3 256 136 256S112 266.8 112 280v10.67C112 342.1 155.1 384 208 384s96-41.86 96-93.33V152C304 138.8 293.3 128 280 128z"]],
    "square-k": [448, 512, [], "e274", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM243.7 242.3l72 104c7.547 10.89 4.828 25.84-6.078 33.39C305.5 382.6 300.7 384 296 384c-7.609 0-15.09-3.609-19.75-10.34L206.9 273.4L176 303.9V360C176 373.3 165.3 384 152 384S128 373.3 128 360v-208C128 138.8 138.8 128 152 128S176 138.8 176 152v84.5l103.2-101.6c9.453-9.297 24.67-9.172 33.94 .25c9.312 9.453 9.188 24.64-.25 33.94l-71.78 70.69C241.9 240.7 243 241.3 243.7 242.3z", "M313.1 135.2c-9.266-9.422-24.48-9.547-33.94-.25L176 236.5V152C176 138.8 165.3 128 152 128S128 138.8 128 152v208C128 373.3 138.8 384 152 384s24-10.75 24-24V303.9l30.89-30.42l69.38 100.2C280.9 380.4 288.4 384 296 384c4.719 0 9.484-1.375 13.64-4.266c10.91-7.547 13.62-22.5 6.078-33.39l-72-104c-.7324-1.057-1.805-1.662-2.666-2.564l71.78-70.69C322.3 159.8 322.4 144.6 313.1 135.2z"]],
    "square-kanban": [448, 512, [], "e488", ["M64 480C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64zM160 288V160C160 142.3 145.7 128 128 128C110.3 128 96 142.3 96 160V288C96 305.7 110.3 320 128 320C145.7 320 160 305.7 160 288zM288 352C288 369.7 302.3 384 320 384C337.7 384 352 369.7 352 352V160C352 142.3 337.7 128 320 128C302.3 128 288 142.3 288 160V352zM256 224V160C256 142.3 241.7 128 224 128C206.3 128 192 142.3 192 160V224C192 241.7 206.3 256 224 256C241.7 256 256 241.7 256 224z", "M288 160C288 142.3 302.3 128 320 128C337.7 128 352 142.3 352 160V352C352 369.7 337.7 384 320 384C302.3 384 288 369.7 288 352V160zM96 160C96 142.3 110.3 128 128 128C145.7 128 160 142.3 160 160V288C160 305.7 145.7 320 128 320C110.3 320 96 305.7 96 288V160zM224 256C206.3 256 192 241.7 192 224V160C192 142.3 206.3 128 224 128C241.7 128 256 142.3 256 160V224C256 241.7 241.7 256 224 256z"]],
    "square-l": [448, 512, [], "e275", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM296 384h-144C138.8 384 128 373.3 128 360v-208C128 138.8 138.8 128 152 128S176 138.8 176 152v184h120c13.25 0 24 10.75 24 24S309.3 384 296 384z", "M296 336H176V152C176 138.8 165.3 128 152 128S128 138.8 128 152v208C128 373.3 138.8 384 152 384h144c13.25 0 24-10.75 24-24S309.3 336 296 336z"]],
    "square-left": [448, 512, [11013, "arrow-alt-square-left"], "f351", ["M0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96zM214.1 129.2C220.1 131.7 224 137.5 224 144v64h96c17.67 0 32 14.33 32 32v32c0 17.67-14.33 32-32 32h-96v64c0 6.469-3.891 12.31-9.875 14.78c-5.984 2.484-12.86 1.109-17.44-3.469l-112-112c-6.248-6.248-6.248-16.38 0-22.62l112-112C201.3 128.1 208.1 126.7 214.1 129.2z", "M214.1 129.2C220.1 131.7 224 137.5 224 144v64h96c17.67 0 32 14.33 32 32v32c0 17.67-14.33 32-32 32h-96v64c0 6.469-3.891 12.31-9.875 14.78c-5.984 2.484-12.86 1.109-17.44-3.469l-112-112c-6.248-6.248-6.248-16.38 0-22.62l112-112C201.3 128.1 208.1 126.7 214.1 129.2z"]],
    "square-list": [448, 512, [], "e489", ["M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM128 256C128 238.3 113.7 224 96 224C78.33 224 64 238.3 64 256C64 273.7 78.33 288 96 288C113.7 288 128 273.7 128 256zM128 160C128 142.3 113.7 128 96 128C78.33 128 64 142.3 64 160C64 177.7 78.33 192 96 192C113.7 192 128 177.7 128 160zM128 352C128 334.3 113.7 320 96 320C78.33 320 64 334.3 64 352C64 369.7 78.33 384 96 384C113.7 384 128 369.7 128 352zM192 136C178.7 136 168 146.7 168 160C168 173.3 178.7 184 192 184H352C365.3 184 376 173.3 376 160C376 146.7 365.3 136 352 136H192zM192 376H352C365.3 376 376 365.3 376 352C376 338.7 365.3 328 352 328H192C178.7 328 168 338.7 168 352C168 365.3 178.7 376 192 376zM192 232C178.7 232 168 242.7 168 256C168 269.3 178.7 280 192 280H352C365.3 280 376 269.3 376 256C376 242.7 365.3 232 352 232H192z", "M168 160C168 146.7 178.7 136 192 136H352C365.3 136 376 146.7 376 160C376 173.3 365.3 184 352 184H192C178.7 184 168 173.3 168 160zM168 352C168 338.7 178.7 328 192 328H352C365.3 328 376 338.7 376 352C376 365.3 365.3 376 352 376H192C178.7 376 168 365.3 168 352zM352 232C365.3 232 376 242.7 376 256C376 269.3 365.3 280 352 280H192C178.7 280 168 269.3 168 256C168 242.7 178.7 232 192 232H352z"]],
    "square-m": [448, 512, [], "e276", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM352 360c0 13.25-10.75 24-24 24s-24-10.75-24-24V226.2l-60.55 83.83c-9.031 12.5-29.88 12.5-38.91 0L144 226.2V360C144 373.3 133.3 384 120 384S96 373.3 96 360v-208c0-10.41 6.719-19.64 16.61-22.83c9.859-3.25 20.75 .3125 26.84 8.781L224 255l84.55-117.1c6.094-8.469 16.89-12.03 26.84-8.781C345.3 132.4 352 141.6 352 152V360z", "M335.4 129.2c-9.953-3.25-20.75 .3125-26.84 8.781L224 255L139.5 137.1C133.4 129.5 122.5 125.9 112.6 129.2C102.7 132.4 96 141.6 96 152v208C96 373.3 106.8 384 120 384s24-10.75 24-24V226.2l60.55 83.83c9.031 12.5 29.88 12.5 38.91 0L304 226.2V360c0 13.25 10.75 24 24 24S352 373.3 352 360v-208C352 141.6 345.3 132.4 335.4 129.2z"]],
    "square-minus": [448, 512, [61767, "minus-square"], "f146", ["M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM136 232C122.7 232 112 242.7 112 256C112 269.3 122.7 280 136 280H312C325.3 280 336 269.3 336 256C336 242.7 325.3 232 312 232H136z", "M112 256C112 242.7 122.7 232 136 232H312C325.3 232 336 242.7 336 256C336 269.3 325.3 280 312 280H136C122.7 280 112 269.3 112 256z"]],
    "square-n": [448, 512, [], "e277", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM320 360c0 10.5-6.828 19.78-16.84 22.91C300.8 383.6 298.4 384 296 384c-7.719 0-15.17-3.734-19.73-10.34L176 228.8V360C176 373.3 165.3 384 152 384S128 373.3 128 360v-208c0-10.5 6.828-19.78 16.84-22.91c10.02-3.062 20.94 .6094 26.89 9.25L272 283.2V152C272 138.8 282.8 128 296 128S320 138.8 320 152V360z", "M296 128c-13.25 0-24 10.75-24 24v131.2L171.7 138.3c-5.953-8.641-16.88-12.31-26.89-9.25C134.8 132.2 128 141.5 128 152v208C128 373.3 138.8 384 152 384s24-10.75 24-24V228.8l100.3 144.8C280.8 380.3 288.3 384 296 384c2.391 0 4.797-.3594 7.156-1.094C313.2 379.8 320 370.5 320 360v-208C320 138.8 309.3 128 296 128z"]],
    "square-nfi": [448, 512, [], "e576", ["M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM64 176V336C64 344.8 71.16 352 80 352C88.84 352 96 344.8 96 336V233.8L162.3 344.2C165.1 350.4 173.3 353.3 180.3 351.4C187.2 349.5 191.1 343.2 191.1 336V176C191.1 167.2 184.8 160 175.1 160C167.2 160 159.1 167.2 159.1 176V278.2L93.72 167.8C90.02 161.6 82.66 158.7 75.73 160.6C68.8 162.5 64 168.8 64 176V176zM224 336C224 344.8 231.2 352 240 352C248.8 352 256 344.8 256 336V256H304C312.8 256 320 248.8 320 240C320 231.2 312.8 224 304 224H256V192H304C312.8 192 320 184.8 320 176C320 167.2 312.8 160 304 160H240C231.2 160 224 167.2 224 176V336zM384 176C384 167.2 376.8 160 368 160C359.2 160 352 167.2 352 176V336C352 344.8 359.2 352 368 352C376.8 352 384 344.8 384 336V176z", "M159.1 278.2V176C159.1 167.2 167.2 160 175.1 160C184.8 160 191.1 167.2 191.1 176V336C191.1 343.2 187.2 349.5 180.3 351.4C173.3 353.3 165.1 350.4 162.3 344.2L96 233.8V336C96 344.8 88.84 352 80 352C71.16 352 64 344.8 64 336V176C64 168.8 68.8 162.5 75.73 160.6C82.66 158.7 90.02 161.6 93.72 167.8L159.1 278.2zM304 160C312.8 160 320 167.2 320 176C320 184.8 312.8 192 304 192H256V224H304C312.8 224 320 231.2 320 240C320 248.8 312.8 256 304 256H256V336C256 344.8 248.8 352 240 352C231.2 352 223.1 344.8 223.1 336V176C223.1 167.2 231.2 160 240 160H304zM384 336C384 344.8 376.8 352 368 352C359.2 352 352 344.8 352 336V176C352 167.2 359.2 160 368 160C376.8 160 384 167.2 384 176V336z"]],
    "square-o": [448, 512, [], "e278", ["M224 176C179.9 176 144 211.9 144 256s35.89 80 80 80s80-35.89 80-80S268.1 176 224 176zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM224 384c-70.58 0-128-57.42-128-128s57.42-128 128-128s128 57.42 128 128S294.6 384 224 384z", "M224 128C153.4 128 96 185.4 96 256s57.42 128 128 128s128-57.42 128-128S294.6 128 224 128zM224 336c-44.11 0-80-35.89-80-80S179.9 176 224 176s80 35.89 80 80S268.1 336 224 336z"]],
    "square-p": [448, 512, [], "e279", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM248 304H176v56C176 373.3 165.3 384 152 384S128 373.3 128 360v-208C128 138.8 138.8 128 152 128h96c48.53 0 88 39.47 88 88S296.5 304 248 304zM248 176H176V256h72C270.1 256 288 238.1 288 216S270.1 176 248 176z", "M248 128h-96C138.8 128 128 138.8 128 152v208C128 373.3 138.8 384 152 384s24-10.75 24-24V304h72c48.53 0 88-39.47 88-88S296.5 128 248 128zM248 256H176V176h72C270.1 176 288 193.9 288 216S270.1 256 248 256z"]],
    "square-parking": [448, 512, [127359, "parking"], "f540", ["M192 256V192H240C257.7 192 272 206.3 272 224C272 241.7 257.7 256 240 256H192zM384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM336 224C336 170.1 293 128 240 128H168C145.9 128 128 145.9 128 168V352C128 369.7 142.3 384 160 384C177.7 384 192 369.7 192 352V320H240C293 320 336 277 336 224z", "M192 352C192 369.7 177.7 384 160 384C142.3 384 128 369.7 128 352V168C128 145.9 145.9 128 168 128H240C293 128 336 170.1 336 224C336 277 293 320 240 320H192V352zM192 192V256H240C257.7 256 272 241.7 272 224C272 206.3 257.7 192 240 192H192z"]],
    "square-parking-slash": [640, 512, ["parking-slash"], "f617", ["M404.2 291.5C421.4 274.2 432 250.3 432 224C432 170.1 389 128 336 128H264C247.3 128 233.1 138.2 227.1 152.7L107.7 59.11C119.3 42.71 138.4 32 160 32H480C515.3 32 544 60.65 544 96V401.1L404.2 291.5zM288 200.4V192H336C353.7 192 368 206.3 368 224C368 235.5 361.9 245.6 352.8 251.2L288 200.4zM224 352C224 369.7 238.3 384 256 384C273.7 384 288 369.7 288 352V322.9L486.9 479.6C484.6 479.9 482.3 480 480 480H160C124.7 480 96 451.3 96 416V171.6L224 272.5V352z", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "square-pen": [448, 512, ["pen-square", "pencil-square"], "f14b", ["M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM325.8 139.7C310.1 124.1 284.8 124.1 269.2 139.7L247.8 161.1L318.7 232.1L340.1 210.7C355.8 195 355.8 169.7 340.1 154.1L325.8 139.7zM111.5 303.8L96.48 363.1C95.11 369.4 96.71 375.2 100.7 379.2C104.7 383.1 110.4 384.7 115.9 383.4L176 368.3C181.6 366.9 186.8 364 190.9 359.9L296.1 254.7L225.1 183.8L119.9 288.1C115.8 293.1 112.9 298.2 111.5 303.8z", "M269.2 139.7C284.8 124.1 310.1 124.1 325.8 139.7L340.1 154.1C355.8 169.7 355.8 195 340.1 210.7L318.7 232.1L247.8 161.1L269.2 139.7zM296.1 254.7L190.9 359.9C186.8 364 181.6 366.9 176 368.3L115.9 383.4C110.4 384.7 104.7 383.1 100.7 379.2C96.71 375.2 95.12 369.4 96.48 363.1L111.5 303.8C112.9 298.2 115.8 293.1 119.9 288.1L225.1 183.8L296.1 254.7z"]],
    "square-person-confined": [448, 512, [], "e577", ["M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM208 96C181.5 96 160 117.5 160 144C160 170.5 181.5 192 208 192C234.5 192 256 170.5 256 144C256 117.5 234.5 96 208 96zM240 306.7L198.6 265.4C191.4 258.1 181 254.8 170.9 256.4C160.7 258.1 151.1 264.5 147.4 273.7L99.39 369.7C91.48 385.5 97.89 404.7 113.7 412.6C129.5 420.5 148.7 414.1 156.6 398.3L184.8 342L239.4 396.7C251.8 409.1 268.6 416 286.1 416C322.5 416 352 386.5 352 350.1V248C352 217.1 326.9 192 296 192C265.1 192 240 217.1 240 248V306.7z", "M160 144C160 117.5 181.5 96 208 96C234.5 96 256 117.5 256 144C256 170.5 234.5 192 208 192C181.5 192 160 170.5 160 144zM352 248V350.1C352 386.5 322.5 416 286.1 416C268.6 416 251.8 409.1 239.4 396.7L184.8 342L156.6 398.3C148.7 414.1 129.5 420.5 113.7 412.6C97.89 404.7 91.48 385.5 99.39 369.7L147.4 273.7C151.1 264.5 160.7 258.1 170.9 256.4C181 254.8 191.4 258.1 198.6 265.4L240 306.7V248C240 217.1 265.1 192 296 192C326.9 192 352 217.1 352 248V248z"]],
    "square-phone": [448, 512, ["phone-square"], "f098", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM351.6 321.5l-11.62 50.39C338.3 379 332.1 384 324.7 384c-126.1 0-228.7-102.6-228.7-228.8c0-7.328 4.984-13.59 12.11-15.22l50.38-11.62c7.344-1.703 14.88 2.109 17.93 9.062l23.27 54.28c2.719 6.391 .8828 13.83-4.492 18.22L168.3 232c16.99 34.61 45.14 62.75 79.77 79.75l22.02-26.91c4.344-5.391 11.85-7.25 18.24-4.484l54.24 23.25C349.5 306.6 353.3 314.2 351.6 321.5z", "M351.6 321.5l-11.62 50.39c-1.633 7.125-7.9 12.11-15.24 12.11c-126.1 0-228.7-102.6-228.7-228.8c0-7.328 4.984-13.59 12.11-15.22l50.38-11.63c7.344-1.703 14.88 2.109 17.93 9.062l23.27 54.28c2.719 6.391 .8828 13.83-4.492 18.22L168.3 232c16.99 34.61 45.14 62.75 79.77 79.75l22.02-26.91c4.344-5.391 11.85-7.25 18.24-4.484l54.24 23.25C349.5 306.6 353.3 314.2 351.6 321.5z"]],
    "square-phone-flip": [448, 512, ["phone-square-alt"], "f87b", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM123.3 384c-7.336 0-13.6-4.984-15.24-12.11l-11.62-50.39C94.71 314.2 98.5 306.6 105.5 303.6l54.24-23.25c6.391-2.766 13.9-.9062 18.24 4.484l22.02 26.91c34.63-17 62.77-45.14 79.77-79.75l-26.91-22.05c-5.375-4.391-7.211-11.83-4.492-18.22l23.27-54.28c3.047-6.953 10.59-10.77 17.93-9.062l50.38 11.62c7.125 1.625 12.11 7.891 12.11 15.22C352 281.4 249.4 384 123.3 384z", "M105.5 303.6l54.24-23.25c6.391-2.766 13.9-.9063 18.24 4.484l22.02 26.91c34.63-17 62.77-45.14 79.77-79.75l-26.91-22.05c-5.375-4.391-7.211-11.83-4.492-18.22l23.27-54.28c3.047-6.953 10.59-10.77 17.93-9.062l50.38 11.63c7.125 1.625 12.11 7.891 12.11 15.22c0 126.1-102.6 228.8-228.7 228.8c-7.336 0-13.6-4.984-15.24-12.11l-11.62-50.39C94.71 314.2 98.5 306.6 105.5 303.6z"]],
    "square-phone-hangup": [448, 512, ["phone-square-down"], "e27a", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM387.1 278.2l-27.41 43.85c-3.967 6.354-12.02 9.043-19.06 6.248l-54.81-21.92c-6.475-2.562-10.46-9.184-9.721-16.07l3.447-34.61C243.9 243.3 204.1 243.3 167.6 255.7L171.1 290.3c.6953 6.906-3.271 13.47-9.713 16.06l-54.82 21.93c-7.07 2.764-15.08 .1387-19.07-6.258L60.04 278.2c-3.889-6.188-2.979-14.15 2.203-19.33c89.2-89.2 234.3-89.19 323.5-.002C390.9 264.1 391.8 272 387.1 278.2z", "M341.5 328.3l-54.81-21.92c-6.474-2.563-10.46-9.183-9.721-16.07l3.449-34.61c-36.5-12.46-76.31-12.46-112.8-.0034l3.445 34.61C171.8 297.2 167.8 303.8 161.3 306.4l-54.82 21.93c-7.071 2.762-15.08 .1383-19.07-6.259l-27.4-43.85C56.16 272 57.07 264.1 62.25 258.9c89.2-89.2 234.3-89.19 323.5-.0019c5.187 5.187 6.091 13.14 2.207 19.33l-27.41 43.85C356.6 328.4 348.5 331.1 341.5 328.3z"]],
    "square-plus": [448, 512, [61846, "plus-square"], "f0fe", ["M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM224 368C237.3 368 248 357.3 248 344V280H312C325.3 280 336 269.3 336 256C336 242.7 325.3 232 312 232H248V168C248 154.7 237.3 144 224 144C210.7 144 200 154.7 200 168V232H136C122.7 232 112 242.7 112 256C112 269.3 122.7 280 136 280H200V344C200 357.3 210.7 368 224 368z", "M136 280C122.7 280 112 269.3 112 256C112 242.7 122.7 232 136 232H200V168C200 154.7 210.7 144 224 144C237.3 144 248 154.7 248 168V232H312C325.3 232 336 242.7 336 256C336 269.3 325.3 280 312 280H248V344C248 357.3 237.3 368 224 368C210.7 368 200 357.3 200 344V280H136z"]],
    "square-poll-horizontal": [448, 512, ["poll-h"], "f682", ["M448 416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416zM256 160C256 142.3 241.7 128 224 128H128C110.3 128 96 142.3 96 160C96 177.7 110.3 192 128 192H224C241.7 192 256 177.7 256 160zM128 224C110.3 224 96 238.3 96 256C96 273.7 110.3 288 128 288H320C337.7 288 352 273.7 352 256C352 238.3 337.7 224 320 224H128zM192 352C192 334.3 177.7 320 160 320H128C110.3 320 96 334.3 96 352C96 369.7 110.3 384 128 384H160C177.7 384 192 369.7 192 352z", "M224 128C241.7 128 256 142.3 256 160C256 177.7 241.7 192 224 192H128C110.3 192 96 177.7 96 160C96 142.3 110.3 128 128 128H224zM320 224C337.7 224 352 238.3 352 256C352 273.7 337.7 288 320 288H128C110.3 288 96 273.7 96 256C96 238.3 110.3 224 128 224H320zM160 384H128C110.3 384 96 369.7 96 352C96 334.3 110.3 320 128 320H160C177.7 320 192 334.3 192 352C192 369.7 177.7 384 160 384z"]],
    "square-poll-vertical": [448, 512, ["poll"], "f681", ["M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM128 224C110.3 224 96 238.3 96 256V352C96 369.7 110.3 384 128 384C145.7 384 160 369.7 160 352V256C160 238.3 145.7 224 128 224zM192 352C192 369.7 206.3 384 224 384C241.7 384 256 369.7 256 352V160C256 142.3 241.7 128 224 128C206.3 128 192 142.3 192 160V352zM320 288C302.3 288 288 302.3 288 320V352C288 369.7 302.3 384 320 384C337.7 384 352 369.7 352 352V320C352 302.3 337.7 288 320 288z", "M192 160C192 142.3 206.3 128 224 128C241.7 128 256 142.3 256 160V352C256 369.7 241.7 384 224 384C206.3 384 192 369.7 192 352V160zM96 256C96 238.3 110.3 224 128 224C145.7 224 160 238.3 160 256V352C160 369.7 145.7 384 128 384C110.3 384 96 369.7 96 352V256zM352 320V352C352 369.7 337.7 384 320 384C302.3 384 288 369.7 288 352V320C288 302.3 302.3 288 320 288C337.7 288 352 302.3 352 320z"]],
    "square-q": [448, 512, [], "e27b", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM344.1 343c9.375 9.375 9.375 24.56 0 33.94C340.3 381.7 334.2 384 328 384s-12.28-2.344-16.97-7.031l-15.15-15.15C275.4 375.8 250.6 384 224 384c-70.59 0-128-57.42-128-128s57.41-128 128-128s128 57.42 128 128c0 26.63-8.211 51.37-22.19 71.88L344.1 343zM224 176C179.9 176 144 211.9 144 256s35.88 80 80 80c13.31 0 25.67-3.576 36.72-9.344l-29.69-29.69c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0l29.69 29.69C300.4 281.7 304 269.3 304 256C304 211.9 268.1 176 224 176z", "M224 128C153.4 128 96 185.4 96 256s57.41 128 128 128c26.64 0 51.37-8.209 71.88-22.18l15.15 15.15C315.7 381.7 321.8 384 328 384s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94l-15.15-15.15C343.8 307.4 352 282.6 352 256C352 185.4 294.6 128 224 128zM294.7 292.7l-29.69-29.69c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94l29.69 29.69C249.7 332.4 237.3 336 224 336c-44.13 0-80-35.89-80-80S179.9 176 224 176s80 35.89 80 80C304 269.3 300.4 281.7 294.7 292.7z"]],
    "square-quarters": [448, 512, [], "e44e", ["M64 416l160-160L64 96V416zM224 256l160 160V96L224 256z", "M384 32H64C28.64 32 0 60.64 0 96v320c0 35.36 28.64 64 64 64h320c35.36 0 64-28.64 64-64V96C448 60.64 419.4 32 384 32zM384 416H64V96h320V416z"]],
    "square-question": [448, 512, ["question-square"], "f2fd", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM224 400c-18 0-32-14-32-32s13.1-32 32-32c17.1 0 32 14 32 32S241.1 400 224 400zM293.1 258L248 286V288c0 13-11 24-24 24S200 301 200 288V272c0-8 4-16 12-21l57-34C276 213 280 206 280 198c0-12-10-22-22-22h-52C193.1 176 184 186 184 198c0 13-11 24-24 24s-24-11-24-24C136 159 167 128 205.1 128h52C297 128 328 159 328 198C328 222 315 245 293.1 258z", "M257.1 128h-52C167 128 136 159 136 198c0 13 11 24 24 24s24-11 24-24C184 186 193.1 176 205.1 176h52C269.1 176 280 186 280 198c0 8-4 15-11 19L212 251C204 256 200 264 200 272V288c0 13 11 24 24 24S248 301 248 288V286l45.1-28C315 245 328 222 328 198C328 159 297 128 257.1 128zM224 336c-18 0-32 14-32 32s13.1 32 32 32c17.1 0 32-14 32-32S241.1 336 224 336z"]],
    "square-quote": [448, 512, [], "e329", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM208 280C208 319.7 175.7 352 136 352c-13.25 0-24-10.75-24-24S122.8 304 136 304C149.2 304 160 293.2 160 280V271.2C157.4 271.6 154.7 272 152 272C121.1 272 96 246.9 96 216S121.1 160 152 160S208 185.1 208 216V280zM352 280C352 319.7 319.7 352 280 352C266.8 352 256 341.3 256 328s10.75-24 24-24c13.23 0 24-10.77 24-24V271.2C301.4 271.6 298.7 272 296 272c-30.93 0-56-25.07-56-56S265.1 160 296 160S352 185.1 352 216V280z", "M152 160C121.1 160 96 185.1 96 216S121.1 272 152 272C154.7 272 157.4 271.6 160 271.2V280C160 293.2 149.2 304 136 304c-13.25 0-24 10.75-24 24S122.8 352 136 352C175.7 352 208 319.7 208 280v-64C208 185.1 182.9 160 152 160zM296 160c-30.93 0-56 25.07-56 56s25.07 56 56 56c2.74 0 5.365-.4258 8-.8066V280c0 13.23-10.77 24-24 24C266.8 304 256 314.8 256 328S266.8 352 280 352C319.7 352 352 319.7 352 280v-64C352 185.1 326.9 160 296 160z"]],
    "square-r": [448, 512, [], "e27c", ["M256 176H176v64H256c17.66 0 32-14.36 32-32S273.7 176 256 176zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM323.4 345.9c7.812 10.72 5.438 25.72-5.281 33.52C313.8 382.5 308.9 384 304 384c-7.438 0-14.75-3.422-19.44-9.891L221.1 288H176v72C176 373.3 165.3 384 152 384S128 373.3 128 360v-208C128 138.8 138.8 128 152 128H256c44.13 0 80 35.89 80 80c0 36.2-24.31 66.5-57.36 76.34L323.4 345.9z", "M336 208C336 163.9 300.1 128 256 128H152C138.8 128 128 138.8 128 152v208C128 373.3 138.8 384 152 384s24-10.75 24-24V288h45.97l62.63 86.11C289.3 380.6 296.6 384 304 384c4.875 0 9.812-1.484 14.09-4.594c10.72-7.797 13.09-22.8 5.281-33.52l-44.77-61.55C311.7 274.5 336 244.2 336 208zM256 240H176v-64H256c17.66 0 32 14.36 32 32S273.7 240 256 240z"]],
    "square-right": [448, 512, [10145, "arrow-alt-square-right"], "f352", ["M448 416V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320C419.3 480 448 451.3 448 416zM233.9 382.8C227.9 380.3 224 374.5 224 368v-64H128c-17.67 0-32-14.33-32-32v-32c0-17.67 14.33-32 32-32h96v-64c0-6.469 3.891-12.31 9.875-14.78c5.984-2.484 12.86-1.109 17.44 3.469l112 112c6.248 6.248 6.248 16.38 0 22.62l-112 112C246.7 383.9 239.9 385.3 233.9 382.8z", "M233.9 382.8C227.9 380.3 224 374.5 224 368v-64H128c-17.67 0-32-14.33-32-32v-32c0-17.67 14.33-32 32-32h96v-64c0-6.469 3.891-12.31 9.875-14.78c5.984-2.484 12.86-1.109 17.44 3.469l112 112c6.248 6.248 6.248 16.38 0 22.62l-112 112C246.7 383.9 239.9 385.3 233.9 382.8z"]],
    "square-ring": [448, 512, [], "e44f", ["M384 32H64C28.64 32 0 60.64 0 96v320c0 35.36 28.64 64 64 64h320c35.36 0 64-28.64 64-64V96C448 60.64 419.4 32 384 32zM224 416c-88.35 0-160-71.65-160-160s71.65-160 160-160s160 71.65 160 160S312.4 416 224 416z", "M224 96C135.6 96 64 167.6 64 256s71.65 160 160 160s160-71.65 160-160S312.4 96 224 96zM224 352c-53.02 0-96-42.98-96-96s42.98-96 96-96s96 42.98 96 96S277 352 224 352z"]],
    "square-root": [576, 512, [8730], "f697", ["M207.1 512c-12.02 0-23.15-6.776-28.61-17.68L76.22 288H32c-17.67 0-32-14.31-32-32s14.33-31.1 32-31.1l64-.0049c12.12 0 23.2 6.849 28.62 17.69l73.31 146.6l91.02-364.1C292.5 10.01 305.3 .0098 320 .0098l224 .0049c17.67 0 32 14.31 32 31.1s-14.33 32-32 32h-199L239 487.8c-3.25 13-14.25 22.59-27.56 24.06C210.3 511.1 209.2 512 207.1 512z", ""]],
    "square-root-variable": [576, 512, ["square-root-alt"], "f698", ["M576 32.01c0-17.69-14.33-31.1-32-31.1l-224-.0049c-14.69 0-27.48 10-31.05 24.25L197.9 388.3L124.6 241.7C119.2 230.9 108.1 224 96 224L32 224c-17.67 0-32 14.31-32 31.1s14.33 32 32 32h44.22l103.2 206.3c5.469 10.91 16.6 17.68 28.61 17.68c1.172 0 2.323-.0576 3.495-.1826c13.31-1.469 24.31-11.06 27.56-24.06l105.9-423.8H544C561.7 64.01 576 49.7 576 32.01z", "M566.6 233.4c-12.5-12.5-32.75-12.5-45.25 0L480 274.8l-41.38-41.37c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25l41.38 41.38l-41.38 41.38c-12.5 12.5-12.5 32.75 0 45.25C399.6 412.9 407.8 416 416 416s16.38-3.125 22.62-9.375L480 365.3l41.38 41.38C527.6 412.9 535.8 416 544 416s16.38-3.125 22.62-9.375c12.5-12.5 12.5-32.75 0-45.25l-41.38-41.38L566.6 278.6C579.1 266.1 579.1 245.9 566.6 233.4z"]],
    "square-rss": [448, 512, ["rss-square"], "f143", ["M384 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM150.6 374.6C144.4 380.9 136.2 384 128 384s-16.38-3.121-22.63-9.371c-12.5-12.5-12.5-32.76 0-45.26C111.6 323.1 119.8 320 128 320s16.38 3.121 22.63 9.371C163.1 341.9 163.1 362.1 150.6 374.6zM249.6 383.9C249 383.1 248.5 384 247.1 384c-12.53 0-23.09-9.75-23.92-22.44C220.5 306.9 173.1 259.5 118.4 255.9c-13.22-.8438-23.25-12.28-22.39-25.5c.8594-13.25 12.41-22.81 25.52-22.38c77.86 5.062 145.3 72.5 150.4 150.4C272.8 371.7 262.8 383.1 249.6 383.9zM345 383.1C344.7 384 344.3 384 343.1 384c-12.8 0-23.42-10.09-23.97-23C315.6 254.6 225.4 164.4 119 159.1C105.8 159.4 95.47 148.3 96.02 135C96.58 121.8 107.9 111.2 121 112c130.7 5.469 241.5 116.3 246.1 246.1C368.5 372.3 358.3 383.4 345 383.1z", "M128 320c-8.189 0-16.38 3.121-22.63 9.371c-12.5 12.5-12.5 32.76 0 45.26C111.6 380.9 119.8 384 128 384s16.38-3.121 22.63-9.371c12.5-12.5 12.5-32.76 0-45.26C144.4 323.1 136.2 320 128 320zM121.6 208.1c-13.11-.4375-24.66 9.125-25.52 22.38c-.8594 13.22 9.172 24.66 22.39 25.5c54.69 3.562 102.1 50.94 105.6 105.6C224.9 374.3 235.4 384 247.1 384c.5313 0 1.062-.0313 1.594-.0625c13.22-.8438 23.25-12.28 22.39-25.5C266.9 280.6 199.4 213.1 121.6 208.1zM121 112C107.9 111.2 96.58 121.8 96.02 135C95.47 148.3 105.8 159.4 119 159.1c106.4 4.469 196.6 94.66 201 201C320.6 373.9 331.2 384 343.1 384c.3438 0 .6719 0 1.016-.0313c13.25-.5313 23.53-11.72 22.98-24.97C362.5 228.3 251.7 117.5 121 112z"]],
    "square-s": [448, 512, [], "e27d", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM318.7 323.9c-3.844 21.47-15.56 38.25-33.94 48.53c-15.16 8.469-32.94 11.58-50.94 11.58c-35.75 0-72.31-12.31-90.63-19.48c-12.34-4.844-18.41-18.78-13.56-31.11c4.844-12.39 18.91-18.33 31.12-13.58c42.06 16.55 82.47 20.8 100.6 10.7c5.781-3.25 8.812-7.75 10.12-15.06c2.812-15.78-3.938-22.45-53.88-36.31c-39.66-11-99.59-27.62-88.31-91c3.375-18.83 14.22-35 30.59-45.55c27.03-17.38 67.84-19.25 121.5-5.562c12.84 3.266 20.59 16.34 17.31 29.19c-3.25 12.84-16.38 20.61-29.19 17.31C216.7 170.1 194.5 177.5 185.9 183c-5.188 3.344-8.312 7.922-9.344 13.61c-2.812 15.78 3.938 22.45 53.88 36.31C270.1 243.9 329.1 260.6 318.7 323.9z", "M230.4 232.9C180.5 219.1 173.7 212.4 176.5 196.6c1.031-5.688 4.156-10.27 9.344-13.61c8.594-5.547 30.84-12.88 83.63 .5781c12.81 3.297 25.94-4.469 29.19-17.31c3.281-12.84-4.469-25.92-17.31-29.19c-53.66-13.69-94.47-11.81-121.5 5.562C143.5 153.2 132.7 169.4 129.3 188.2c-11.28 63.38 48.66 80 88.31 91c49.94 13.86 56.69 20.53 53.88 36.31c-1.312 7.312-4.344 11.81-10.12 15.06c-18.09 10.09-58.5 5.844-100.6-10.7c-12.22-4.75-26.28 1.188-31.12 13.58c-4.844 12.33 1.219 26.27 13.56 31.11c18.31 7.172 54.88 19.48 90.63 19.48c18 0 35.78-3.109 50.94-11.58c18.38-10.28 30.09-27.06 33.94-48.53C329.1 260.6 270.1 243.9 230.4 232.9z"]],
    "square-share-nodes": [448, 512, ["share-alt-square"], "f1e1", ["M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM320 96C284.7 96 256 124.7 256 160C256 162.5 256.1 164.9 256.4 167.3L174.5 212C162.8 199.7 146.3 192 128 192C92.65 192 64 220.7 64 256C64 291.3 92.65 320 128 320C146.3 320 162.8 312.3 174.5 299.1L256.4 344.7C256.1 347.1 256 349.5 256 352C256 387.3 284.7 416 320 416C355.3 416 384 387.3 384 352C384 316.7 355.3 288 320 288C304.6 288 290.5 293.4 279.4 302.5L194.1 256L279.4 209.5C290.5 218.6 304.6 224 320 224C355.3 224 384 195.3 384 160C384 124.7 355.3 96 320 96V96z", "M279.4 209.5L194.1 256L279.4 302.5C290.5 293.4 304.6 288 320 288C355.3 288 384 316.7 384 352C384 387.3 355.3 416 320 416C284.7 416 256 387.3 256 352C256 349.5 256.1 347.1 256.4 344.7L174.5 299.1C162.8 312.3 146.3 320 128 320C92.65 320 64 291.3 64 256C64 220.7 92.65 192 128 192C146.3 192 162.8 199.7 174.5 212L256.4 167.3C256.1 164.9 256 162.5 256 160C256 124.7 284.7 96 320 96C355.3 96 384 124.7 384 160C384 195.3 355.3 224 320 224C304.6 224 290.5 218.6 279.4 209.5V209.5z"]],
    "square-sliders": [448, 512, ["sliders-h-square"], "f3f0", ["M64 480C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64zM384 336C384 318.3 369.7 304 352 304H320V288C320 270.3 305.7 256 288 256C270.3 256 256 270.3 256 288V304H96C78.33 304 64 318.3 64 336C64 353.7 78.33 368 96 368H256V384C256 401.7 270.3 416 288 416C305.7 416 320 401.7 320 384V368H352C369.7 368 384 353.7 384 336zM192 144V128C192 110.3 177.7 96 160 96C142.3 96 128 110.3 128 128V144H96C78.33 144 64 158.3 64 176C64 193.7 78.33 208 96 208H128V224C128 241.7 142.3 256 160 256C177.7 256 192 241.7 192 224V208H352C369.7 208 384 193.7 384 176C384 158.3 369.7 144 352 144H192z", "M192 224C192 241.7 177.7 256 160 256C142.3 256 128 241.7 128 224V128C128 110.3 142.3 96 160 96C177.7 96 192 110.3 192 128V224zM320 384C320 401.7 305.7 416 288 416C270.3 416 256 401.7 256 384V288C256 270.3 270.3 256 288 256C305.7 256 320 270.3 320 288V384z"]],
    "square-sliders-vertical": [448, 512, ["sliders-v-square"], "f3f2", ["M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM112 128V160H96C78.33 160 64 174.3 64 192C64 209.7 78.33 224 96 224H112V384C112 401.7 126.3 416 144 416C161.7 416 176 401.7 176 384V224H192C209.7 224 224 209.7 224 192C224 174.3 209.7 160 192 160H176V128C176 110.3 161.7 96 144 96C126.3 96 112 110.3 112 128zM336 128C336 110.3 321.7 96 304 96C286.3 96 272 110.3 272 128V288H256C238.3 288 224 302.3 224 320C224 337.7 238.3 352 256 352H272V384C272 401.7 286.3 416 304 416C321.7 416 336 401.7 336 384V352H352C369.7 352 384 337.7 384 320C384 302.3 369.7 288 352 288H336V128z", "M192 160C209.7 160 224 174.3 224 192C224 209.7 209.7 224 192 224H96C78.33 224 64 209.7 64 192C64 174.3 78.33 160 96 160H192zM352 288C369.7 288 384 302.3 384 320C384 337.7 369.7 352 352 352H256C238.3 352 224 337.7 224 320C224 302.3 238.3 288 256 288H352z"]],
    "square-small": [320, 512, [], "e27e", ["M0 160C0 124.7 28.65 96 64 96H256C291.3 96 320 124.7 320 160V352C320 387.3 291.3 416 256 416H64C28.65 416 0 387.3 0 352V160z", ""]],
    "square-star": [448, 512, [], "e27f", ["M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM209.7 112.9L173.4 186.4L92.36 198.1C86.33 199 81.32 203.2 79.44 209C77.56 214.8 79.13 221.2 83.49 225.4L142.1 282.6L128.3 363.3C127.3 369.3 129.7 375.4 134.7 378.1C139.6 382.6 146.1 383 151.5 380.2L223.1 342.1L296.5 380.2C301.9 383 308.4 382.6 313.3 378.1C318.3 375.4 320.7 369.3 319.7 363.3L305.9 282.6L364.5 225.4C368.9 221.2 370.4 214.8 368.6 209C366.7 203.2 361.7 199 355.6 198.1L274.6 186.4L238.3 112.9C235.7 107.5 230.1 104 223.1 104C217.9 104 212.3 107.5 209.7 112.9H209.7z", "M274.6 186.4L355.6 198.1C361.7 199 366.7 203.2 368.6 209C370.4 214.8 368.9 221.2 364.5 225.4L305.9 282.6L319.7 363.3C320.7 369.3 318.3 375.4 313.3 378.1C308.4 382.6 301.9 383 296.5 380.2L224 342.1L151.5 380.2C146.1 383 139.6 382.6 134.7 378.1C129.7 375.4 127.3 369.3 128.3 363.3L142.1 282.6L83.49 225.4C79.13 221.2 77.56 214.8 79.44 209C81.32 203.2 86.33 199 92.36 198.1L173.4 186.4L209.7 112.9C212.3 107.5 217.9 104 224 104C230.1 104 235.7 107.5 238.3 112.9L274.6 186.4z"]],
    "square-t": [448, 512, [], "e280", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM328 176h-80v184c0 13.25-10.75 24-24 24s-24-10.75-24-24V176h-80C106.8 176 96 165.3 96 152S106.8 128 120 128h208C341.3 128 352 138.8 352 152S341.3 176 328 176z", "M328 128h-208C106.8 128 96 138.8 96 152S106.8 176 120 176h80v184C200 373.3 210.8 384 224 384s24-10.75 24-24V176h80C341.3 176 352 165.3 352 152S341.3 128 328 128z"]],
    "square-terminal": [448, 512, [], "e32a", ["M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM70.31 151.8C61.35 161.6 62.01 176.7 71.78 185.7L148.5 256L71.78 326.3C62.01 335.3 61.35 350.4 70.31 360.2C79.26 369.1 94.45 370.6 104.2 361.7L200.2 273.7C205.2 269.1 208 262.7 208 255.1C208 249.3 205.2 242.9 200.2 238.3L104.2 150.3C94.45 141.4 79.26 142 70.31 151.8V151.8zM216 336C202.7 336 192 346.7 192 360C192 373.3 202.7 384 216 384H360C373.3 384 384 373.3 384 360C384 346.7 373.3 336 360 336H216z", "M71.78 185.7C62.01 176.7 61.35 161.6 70.31 151.8C79.26 142 94.45 141.4 104.2 150.3L200.2 238.3C205.2 242.9 208 249.3 208 256C208 262.7 205.2 269.1 200.2 273.7L104.2 361.7C94.45 370.6 79.27 369.1 70.31 360.2C61.35 350.4 62.01 335.3 71.78 326.3L148.5 256L71.78 185.7zM360 336C373.3 336 384 346.7 384 360C384 373.3 373.3 384 360 384H216C202.7 384 192 373.3 192 360C192 346.7 202.7 336 216 336H360z"]],
    "square-this-way-up": [448, 512, ["box-up"], "f49f", ["M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM80 384C71.16 384 64 391.2 64 400C64 408.8 71.16 416 80 416H368C376.8 416 384 408.8 384 400C384 391.2 376.8 384 368 384H80zM288 192V304C288 312.8 295.2 320 304 320H336C344.8 320 352 312.8 352 304V192H374.6C384.2 192 392 184.2 392 174.6C392 170.4 390.4 166.2 387.6 163.1L333.3 101.1C329.9 98.18 325.1 96 320 96C314.9 96 310.1 98.18 306.7 101.1L252.4 163.1C249.6 166.2 248 170.4 248 174.6C248 184.2 255.8 192 265.4 192H288zM96 192V304C96 312.8 103.2 320 112 320H144C152.8 320 160 312.8 160 304V192H182.6C192.2 192 200 184.2 200 174.6C200 170.4 198.4 166.2 195.6 163.1L141.3 101.1C137.9 98.18 133.1 96 128 96C122.9 96 118.1 98.18 114.7 101.1L60.39 163.1C57.56 166.2 56 170.4 56 174.6C56 184.2 63.79 192 73.39 192H96z", "M73.39 192C63.79 192 56 184.2 56 174.6C56 170.4 57.56 166.2 60.39 163.1L114.7 101.1C118.1 98.18 122.9 96 128 96C133.1 96 137.9 98.18 141.3 101.1L195.6 163.1C198.4 166.2 200 170.4 200 174.6C200 184.2 192.2 192 182.6 192H160V304C160 312.8 152.8 320 144 320H112C103.2 320 96 312.8 96 304V192H73.39zM352 304C352 312.8 344.8 320 336 320H304C295.2 320 288 312.8 288 304V192H265.4C255.8 192 248 184.2 248 174.6C248 170.4 249.6 166.2 252.4 163.1L306.7 101.1C310.1 98.18 314.9 96 320 96C325.1 96 329.9 98.18 333.3 101.1L387.6 163.1C390.4 166.2 392 170.4 392 174.6C392 184.2 384.2 192 374.6 192H352V304z"]],
    "square-u": [448, 512, [], "e281", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM336 274.9C336 335.1 285.8 384 224 384s-112-48.94-112-109.1V152C112 138.8 122.8 128 136 128S160 138.8 160 152v122.9C160 308.6 188.7 336 224 336s64-27.41 64-61.09V152C288 138.8 298.8 128 312 128s24 10.75 24 24V274.9z", "M312 128C298.8 128 288 138.8 288 152v122.9C288 308.6 259.3 336 224 336S160 308.6 160 274.9V152C160 138.8 149.3 128 136 128S112 138.8 112 152v122.9C112 335.1 162.3 384 224 384s112-48.94 112-109.1V152C336 138.8 325.3 128 312 128z"]],
    "square-up": [448, 512, [11014, "arrow-alt-square-up"], "f353", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM350.8 246.1C348.3 252.1 342.5 256 336 256h-64v96c0 17.67-14.33 32-32 32h-32c-17.67 0-32-14.33-32-32V256h-64C105.5 256 99.69 252.1 97.22 246.1C94.73 240.1 96.11 233.3 100.7 228.7l112-112c6.248-6.248 16.38-6.248 22.62 0l112 112C351.9 233.3 353.3 240.1 350.8 246.1z", "M350.8 246.1C348.3 252.1 342.5 256 336 256h-64v104c0 13.25-10.75 24-24 24h-48c-13.25 0-24-10.75-24-24V256h-64C105.5 256 99.69 252.1 97.22 246.1C94.73 240.1 96.11 233.3 100.7 228.7l112-112c6.248-6.248 16.38-6.248 22.62 0l112 112C351.9 233.3 353.3 240.1 350.8 246.1z"]],
    "square-up-left": [448, 512, [], "e282", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.65 419.3 32 384 32zM325.8 335.2l-22.63 22.63c-12.5 12.5-32.72 12.54-45.21 .0411L190.1 289.9l-45.25 45.25c-4.574 4.574-11.46 5.953-17.44 3.469c-5.988-2.477-9.877-8.309-9.877-14.78v-158.4c0-8.837 7.163-16 16-16h158.4c6.475 0 12.31 3.891 14.78 9.875c2.484 5.977 1.104 12.86-3.471 17.44l-45.25 45.25l67.92 67.92C338.4 302.5 338.3 322.7 325.8 335.2z", "M325.8 335.2l-22.63 22.63c-12.5 12.5-32.72 12.54-45.21 .0411L190.1 289.9l-45.25 45.25c-4.574 4.574-11.46 5.953-17.44 3.469c-5.988-2.477-9.877-8.309-9.877-14.78v-158.4c0-8.837 7.163-16 16-16h158.4c6.475 0 12.31 3.891 14.78 9.875c2.484 5.977 1.104 12.86-3.471 17.44l-45.25 45.25l67.92 67.92C338.4 302.5 338.3 322.7 325.8 335.2z"]],
    "square-up-right": [448, 512, [8599, "external-link-square-alt"], "f360", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.65 419.3 32 384 32zM330.5 323.9c0 6.473-3.889 12.3-9.877 14.78c-5.979 2.484-12.86 1.105-17.44-3.469l-45.25-45.25l-67.92 67.92c-12.5 12.5-32.72 12.46-45.21-.0411l-22.63-22.63C109.7 322.7 109.6 302.5 122.1 289.1l67.92-67.92L144.8 176.8C140.2 172.2 138.8 165.3 141.3 159.4c2.477-5.984 8.309-9.875 14.78-9.875h158.4c8.835 0 15.1 7.163 15.1 15.1V323.9z", "M330.5 323.9c0 6.473-3.889 12.3-9.877 14.78c-5.979 2.484-12.86 1.105-17.44-3.469l-45.25-45.25l-67.92 67.92c-12.5 12.5-32.72 12.46-45.21-.0411l-22.63-22.63C109.7 322.7 109.6 302.5 122.1 289.1l67.92-67.92L144.8 176.8C140.2 172.2 138.8 165.3 141.3 159.4c2.477-5.984 8.309-9.875 14.78-9.875h158.4c8.835 0 15.1 7.163 15.1 15.1V323.9z"]],
    "square-user": [448, 512, [], "e283", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM224 128c39.77 0 72 32.23 72 72c0 39.76-32.23 72-72 72c-39.76 0-72-32.24-72-72C152 160.2 184.2 128 224 128zM81.61 416C89.44 361.8 135.6 320 192 320h64c56.38 0 102.6 41.79 110.4 96H81.61z", "M224 272c39.77 0 72-32.24 72-72C296 160.2 263.8 128 224 128C184.2 128 152 160.2 152 200C152 239.8 184.2 272 224 272zM256 320H192c-56.38 0-102.6 41.79-110.4 96h284.8C358.6 361.8 312.4 320 256 320z"]],
    "square-v": [448, 512, [], "e284", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM349.5 162.7l-104 208C241.4 378.9 233.1 384 224 384s-17.41-5.141-21.47-13.27l-104-208C92.61 150.9 97.41 136.5 109.3 130.5c11.92-5.891 26.28-1.125 32.2 10.73L224 306.3l82.53-165.1c5.938-11.86 20.34-16.62 32.2-10.73C350.6 136.5 355.4 150.9 349.5 162.7z", "M338.7 130.5c-11.86-5.891-26.27-1.125-32.2 10.73L224 306.3L141.5 141.3C135.5 129.4 121.2 124.6 109.3 130.5C97.41 136.5 92.61 150.9 98.53 162.7l104 208C206.6 378.9 214.9 384 224 384s17.41-5.141 21.47-13.27l104-208C355.4 150.9 350.6 136.5 338.7 130.5z"]],
    "square-virus": [448, 512, [], "e578", ["M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM199.8 117.7C199.8 146.9 164.5 161.6 143.8 140.9C134.4 131.5 119.2 131.5 109.8 140.9C100.5 150.2 100.5 165.4 109.8 174.8C130.5 195.5 115.9 230.9 86.61 230.9C73.35 230.9 62.61 241.6 62.61 254.9C62.61 268.1 73.35 278.9 86.61 278.9C115.9 278.9 130.5 314.3 109.8 334.9C100.5 344.3 100.5 359.5 109.8 368.9C119.2 378.3 134.4 378.3 143.8 368.9C164.5 348.2 199.8 362.9 199.8 392.1C199.8 405.4 210.6 416.1 223.8 416.1C237.1 416.1 247.8 405.4 247.8 392.1C247.8 362.9 283.2 348.2 303.9 368.9C313.3 378.3 328.5 378.3 337.8 368.9C347.2 359.5 347.2 344.3 337.8 334.9C317.2 314.3 331.8 278.9 361.1 278.9C374.3 278.9 385.1 268.1 385.1 254.9C385.1 241.6 374.3 230.9 361.1 230.9C331.8 230.9 317.2 195.5 337.8 174.8C347.2 165.4 347.2 150.2 337.8 140.9C328.5 131.5 313.3 131.5 303.9 140.9C283.2 161.6 247.8 146.9 247.8 117.7C247.8 104.4 237.1 93.65 223.8 93.65C210.6 93.65 199.8 104.4 199.8 117.7H199.8z", "M303.9 140.9C313.3 131.5 328.5 131.5 337.8 140.9C347.2 150.2 347.2 165.4 337.8 174.8C317.2 195.5 331.8 230.9 361.1 230.9C374.3 230.9 385.1 241.6 385.1 254.9C385.1 268.1 374.3 278.9 361.1 278.9C331.8 278.9 317.2 314.3 337.8 334.9C347.2 344.3 347.2 359.5 337.8 368.9C328.5 378.3 313.3 378.3 303.9 368.9C283.2 348.2 247.8 362.8 247.8 392.1C247.8 405.4 237.1 416.1 223.8 416.1C210.6 416.1 199.8 405.4 199.8 392.1C199.8 362.8 164.5 348.2 143.8 368.9C134.4 378.3 119.2 378.3 109.8 368.9C100.5 359.5 100.5 344.3 109.8 334.9C130.5 314.3 115.9 278.9 86.61 278.9C73.35 278.9 62.61 268.1 62.61 254.9C62.61 241.6 73.35 230.9 86.61 230.9C115.9 230.9 130.5 195.5 109.8 174.8C100.5 165.4 100.5 150.2 109.8 140.9C119.2 131.5 134.4 131.5 143.8 140.9C164.5 161.6 199.8 146.9 199.8 117.6C199.8 104.4 210.6 93.65 223.8 93.65C237.1 93.65 247.8 104.4 247.8 117.6C247.8 146.9 283.2 161.6 303.9 140.9H303.9zM191.1 191.1C174.3 191.1 159.1 206.3 159.1 223.1C159.1 241.7 174.3 255.1 191.1 255.1C209.7 255.1 223.1 241.7 223.1 223.1C223.1 206.3 209.7 191.1 191.1 191.1zM256 311.1C269.3 311.1 280 301.3 280 287.1C280 274.7 269.3 263.1 256 263.1C242.7 263.1 232 274.7 232 287.1C232 301.3 242.7 311.1 256 311.1z"]],
    "square-w": [448, 512, [], "e285", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM366.9 159.1l-64 208C299.8 377.1 290.5 384 280 384h-.4219c-10.7-.1875-19.97-7.438-22.75-17.77L224 244.3l-32.83 121.9C188.4 376.6 179.1 383.8 168.4 384c-10.73-.0156-20.22-6.734-23.36-16.94l-64-208c-3.906-12.67 3.203-26.11 15.88-30c12.66-3.859 26.09 3.203 30 15.88L166.5 273.4l34.36-127.6C203.6 135.3 213.1 128 224 128s20.36 7.281 23.17 17.77l34.36 127.6l39.53-128.5c3.891-12.67 17.34-19.7 30-15.88C363.7 132.1 370.8 146.4 366.9 159.1z", "M351.1 129.1c-12.66-3.828-26.11 3.203-30 15.88L281.5 273.4l-34.36-127.6C244.4 135.3 234.9 128 224 128S203.6 135.3 200.8 145.8L166.5 273.4L126.9 144.9c-3.906-12.67-17.34-19.73-30-15.88c-12.67 3.891-19.78 17.33-15.88 30l64 208C148.2 377.3 157.7 383.1 168.4 384c10.7-.1875 19.97-7.438 22.75-17.77L224 244.3l32.83 121.9C259.6 376.6 268.9 383.8 279.6 384H280c10.52 0 19.84-6.859 22.94-16.94l64-208C370.8 146.4 363.7 132.1 351.1 129.1z"]],
    "square-x": [448, 512, [], "e286", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM330.3 344.5c8.562 10.11 7.297 25.27-2.828 33.83C323 382.1 317.5 384 312 384c-6.812 0-13.59-2.891-18.34-8.5L224 293.2L154.3 375.5C149.6 381.1 142.8 384 135.1 384C130.5 384 125 382.1 120.5 378.3c-10.12-8.562-11.39-23.72-2.828-33.83L192.6 256L117.7 167.5C109.1 157.4 110.4 142.2 120.5 133.7C130.6 125.1 145.8 126.4 154.3 136.5L224 218.8l69.67-82.34c8.547-10.12 23.72-11.41 33.83-2.828c10.12 8.562 11.39 23.72 2.828 33.83L255.4 256L330.3 344.5z", "M327.5 133.7c-10.11-8.578-25.28-7.297-33.83 2.828L224 218.8L154.3 136.5C145.8 126.4 130.6 125.1 120.5 133.7C110.4 142.2 109.1 157.4 117.7 167.5L192.6 256l-74.88 88.5c-8.562 10.11-7.297 25.27 2.828 33.83C125 382.1 130.5 384 135.1 384c6.812 0 13.59-2.891 18.34-8.5L224 293.2l69.67 82.34C298.4 381.1 305.2 384 312 384c5.469 0 10.98-1.859 15.48-5.672c10.12-8.562 11.39-23.72 2.828-33.83L255.4 256l74.88-88.5C338.9 157.4 337.6 142.2 327.5 133.7z"]],
    "square-xmark": [448, 512, [10062, "times-square", "xmark-square"], "f2d3", ["M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM143 208.1L190.1 255.1L143 303C133.7 312.4 133.7 327.6 143 336.1C152.4 346.3 167.6 346.3 176.1 336.1L223.1 289.9L271 336.1C280.4 346.3 295.6 346.3 304.1 336.1C314.3 327.6 314.3 312.4 304.1 303L257.9 255.1L304.1 208.1C314.3 199.6 314.3 184.4 304.1 175C295.6 165.7 280.4 165.7 271 175L223.1 222.1L176.1 175C167.6 165.7 152.4 165.7 143 175C133.7 184.4 133.7 199.6 143 208.1V208.1z", "M223.1 222.1L271 175C280.4 165.7 295.6 165.7 304.1 175C314.3 184.4 314.3 199.6 304.1 208.1L257.9 255.1L304.1 303C314.3 312.4 314.3 327.6 304.1 336.1C295.6 346.3 280.4 346.3 271 336.1L223.1 289.9L176.1 336.1C167.6 346.3 152.4 346.3 143 336.1C133.7 327.6 133.7 312.4 143 303L190.1 255.1L143 208.1C133.7 199.6 133.7 184.4 143 175C152.4 165.7 167.6 165.7 176.1 175L223.1 222.1z"]],
    "square-y": [448, 512, [], "e287", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM346.2 167.6L248 282.2V360c0 13.25-10.75 24-24 24s-24-10.75-24-24V282.2L101.8 167.6C93.16 157.6 94.31 142.4 104.4 133.8c10.08-8.625 25.22-7.438 33.84 2.594L224 236.5l85.78-100.1c8.641-10.05 23.77-11.27 33.84-2.594C353.7 142.4 354.8 157.6 346.2 167.6z", "M309.8 136.4L224 236.5L138.2 136.4C129.6 126.3 114.5 125.2 104.4 133.8C94.31 142.4 93.16 157.6 101.8 167.6L200 282.2V360C200 373.3 210.8 384 224 384s24-10.75 24-24V282.2l98.22-114.6c8.625-10.06 7.469-25.22-2.594-33.84C333.5 125.1 318.4 126.3 309.8 136.4z"]],
    "square-z": [448, 512, [], "e288", ["M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM296 384h-144c-8.938 0-17.12-4.953-21.25-12.86c-4.156-7.906-3.562-17.47 1.531-24.8L250.2 176H152C138.8 176 128 165.3 128 152S138.8 128 152 128h144c8.938 0 17.12 4.953 21.25 12.86c4.156 7.906 3.562 17.47-1.531 24.8L197.8 336H296c13.25 0 24 10.75 24 24S309.3 384 296 384z", "M296 336H197.8l117.9-170.3c5.094-7.328 5.688-16.89 1.531-24.8C313.1 132.1 304.9 128 296 128h-144C138.8 128 128 138.8 128 152S138.8 176 152 176h98.19l-117.9 170.3c-5.094 7.328-5.688 16.89-1.531 24.8C134.9 379 143.1 384 152 384h144c13.25 0 24-10.75 24-24S309.3 336 296 336z"]],
    "squid": [512, 512, [129425], "e450", ["M155.3 62.08C156.8 63.55 157.1 65.31 158.8 67.25C159.6 69.19 160 71.27 159.1 73.37C159.1 75.49 159.6 77.58 158.8 79.53C157.9 81.48 156.7 83.25 155.2 84.73L109.6 130.7C95.17 112.5 87.91 89.6 89.2 66.37C90.5 43.15 100.3 21.2 116.7 4.702C116.9 4.446 117.2 4.382 117.5 4.158C115.8 5.642 114.5 7.461 113.6 9.498C112.6 11.53 112.1 13.74 112.1 15.98C112.1 18.22 112.5 20.43 113.4 22.49C114.3 24.54 115.6 26.39 117.3 27.9L155.3 62.08zM491.8 255.5L433.4 239.5C461.1 198.1 483.5 153.9 497.1 106.2C500.9 117.2 503.3 128.6 504.4 140.2L512 238.8C512.2 240.1 511.9 243.2 511.1 245.3C510.4 247.4 509.3 249.3 507.8 250.9C506.3 252.5 504.4 253.8 502.4 254.7C500.4 255.6 498.2 256 496 255.1C494.6 256 493.2 255.9 491.8 255.5H491.8zM405.8 14.88C358.2 28.5 313.1 50.02 272.6 78.56L256.6 20.13C255.9 17.66 255.8 15.06 256.4 12.56C256.9 10.06 258.1 7.73 259.7 5.758C261.3 3.787 263.4 2.235 265.8 1.233C268.1 .2304 270.7-.1933 273.2-.0022L371.8 7.614C383.4 8.667 394.8 11.11 405.8 14.88zM511.2 388.9C510.7 390.7 509.7 392.5 508.5 393.1C509.7 392.4 510.6 390.7 511.2 388.9zM489.7 398.7C491.8 399.6 494.1 400 496.5 399.1C498.8 399.9 501 399.3 503.1 398.3C505.2 397.3 507 395.8 508.5 393.1C508.1 394.7 507.8 395.4 507.3 396.1C490.8 412.7 468.7 422.6 445.3 423.9C421.1 425.1 398.1 417.6 380.8 402.8L427.3 356.7C430.3 353.7 434.4 351.1 438.6 351.1C442.9 351.1 446.9 353.7 449.9 356.7L484.1 394.7C485.6 396.4 487.6 397.8 489.7 398.7H489.7z", "M507.4 372.6C510.1 375.4 511.7 379.1 511.9 383C512.1 386.9 510.9 390.7 508.6 393.9C507.1 395.7 505.3 397.2 503.2 398.2C501.1 399.2 498.9 399.8 496.5 399.9C494.2 399.9 491.9 399.5 489.8 398.6C487.6 397.7 485.7 396.3 484.2 394.6L449.1 356.5C446.1 353.5 442.9 351.9 438.7 351.9C434.4 351.9 430.4 353.5 427.4 356.5L366.6 416.9C361.6 421.9 355.5 425.8 348.9 428.2C342.3 430.6 335.2 431.5 328.2 430.8C316.4 429.5 305.5 424.1 297.3 415.6L265.9 384.2C262.5 380.9 257.9 379.1 253.2 379.1C248.4 379.2 243.9 381.1 240.5 384.5C238.9 386.2 237.6 388.1 236.7 390.3C235.8 392.4 235.3 394.7 235.3 397.1C235.3 399.4 235.8 401.7 236.7 403.9C237.6 406 238.9 407.1 240.5 409.6L260.8 429.9C269.8 438.9 274.9 451.1 274.9 463.8C274.9 476.6 269.8 488.8 260.8 497.8L252 506.5C249.3 509.3 245.7 511.1 241.9 511.5C238 511.1 234.1 511 230.9 508.9C228.1 507.5 227.4 505.8 226.2 503.8C225.1 501.7 224.4 499.5 224.2 497.2C223.1 494.8 224.3 492.5 225.1 490.3C225.9 488.1 227.2 486.1 228.8 484.5L238.2 475.1C241.2 472.1 242.9 468.1 242.9 463.8C242.9 459.6 241.2 455.5 238.2 452.5L198.7 413.1C196.8 411.2 194.5 409.8 192 408.1C189.5 408.1 186.9 407.9 184.3 408.2C181.6 408.5 179.1 409.4 176.9 410.8C174.7 412.2 172.8 414 171.3 416.3L148.4 445.5C145.3 449.7 143.9 454.8 144.2 459.9C144.6 465.1 146.8 469.9 150.4 473.6C152.4 475.6 154.7 477.2 157.3 478.3C159.9 479.4 162.7 479.1 165.6 480H175.2C179.1 479.9 182.9 481.2 185.9 483.6C188.9 486.1 191 489.5 191.8 493.3C192.2 495.6 192.1 497.1 191.4 500.2C190.8 502.5 189.7 504.5 188.2 506.3C186.7 508.1 184.9 509.5 182.7 510.5C180.6 511.5 178.3 512 176 512H165.4C155.5 511.1 145.8 509.2 137.4 503.9C128.1 498.7 122.2 491.2 117.8 482.3C113.4 473.5 111.5 463.5 112.4 453.6C113.3 443.8 116.1 434.4 122.9 426.4L145.3 397.6C148.3 393.4 149.7 388.2 149.2 382.1C148.8 377.8 146.5 372.9 142.8 369.2C139.1 365.6 134.3 363.3 129.1 362.8C123.9 362.4 118.7 363.7 114.4 366.7L85.79 389.1C77.87 395.1 68.41 398.8 58.5 399.8C48.59 400.7 38.61 398.9 29.69 394.5C20.77 390 13.26 383.2 8.019 374.7C2.772 366.3-.0048 356.5 0 346.6V336C.0179 333.7 .5395 331.4 1.529 329.3C2.518 327.2 3.95 325.3 5.728 323.9C7.505 322.4 9.585 321.3 11.82 320.7C14.06 320.1 16.4 319.1 18.69 320.4C22.5 321.1 25.93 323.2 28.36 326.2C30.8 329.3 32.08 333.1 32 336.1V346.6C32.06 352.2 34.36 357.6 38.4 361.6C42.05 365.2 46.87 367.4 51.1 367.8C57.12 368.2 62.22 366.7 66.37 363.7L95.55 340.9C97.77 339.4 99.65 337.5 101.1 335.3C102.4 333 103.3 330.5 103.6 327.9C103.9 325.3 103.7 322.6 102.8 320.1C101.1 317.6 100.6 315.3 98.75 313.4L59.3 273.1C56.3 270.1 52.23 269.3 47.98 269.3C43.74 269.3 39.67 270.1 36.67 273.1L27.33 283.3C25.68 284.1 23.69 286.2 21.5 287C19.31 287.8 16.97 288.2 14.65 287.1C12.33 287.8 10.08 287.1 8.056 285.9C6.034 284.7 4.289 283.2 2.944 281.2C.783 278-.1674 274.1 .2598 270.2C.687 266.4 2.465 262.8 5.28 260.1L14.05 251.3C23.05 242.3 35.26 237.3 47.98 237.3C60.71 237.3 72.92 242.3 81.92 251.3L102.2 271.6C105.6 274.9 110.2 276.8 114.1 276.7C119.7 276.7 124.3 274.7 127.6 271.3C129.2 269.7 130.6 267.7 131.5 265.6C132.4 263.4 132.8 261.1 132.8 258.8C132.8 256.4 132.4 254.1 131.5 251.1C130.6 249.8 129.2 247.9 127.6 246.2L96.16 214.8C87.66 206.6 82.3 195.7 80.99 184C80.34 176.1 81.25 169.9 83.65 163.3C86.05 156.6 89.88 150.6 94.88 145.6L155.2 84.74C156.7 83.25 157.9 81.48 158.8 79.53C159.6 77.58 159.1 75.49 160 73.38C160 71.28 159.6 69.19 158.8 67.25C157.1 65.31 156.8 63.55 155.3 62.08L117.3 27.9C115.5 26.35 114.2 24.43 113.3 22.29C112.3 20.15 111.9 17.83 111.1 15.5C112.1 13.17 112.6 10.89 113.7 8.809C114.7 6.728 116.2 4.902 118 3.456C121.2 1.123 125-.0381 128.9 .1786C132.8 .3952 136.5 1.975 139.3 4.64L177.2 38.91C181.8 43.34 185.5 48.63 188 54.49C190.5 60.34 191.9 66.64 191.9 73.02C191.1 79.39 190.8 85.72 188.4 91.62C185.1 97.52 182.4 102.9 177.9 107.4L117.5 168.2C116 169.7 114.8 171.4 114 173.4C113.2 175.3 112.8 177.4 112.8 179.5C112.8 181.6 113.2 183.7 114 185.7C114.8 187.6 116 189.4 117.5 190.9L153.4 226.6C155.9 229.1 159.3 230.5 162.8 230.5C166.4 230.5 169.8 229.1 172.3 226.6C173.6 225.3 174.5 223.8 175.2 222.2C175.8 220.5 176.1 218.8 176 216.1C176.6 183.6 190.1 151.7 213.6 128C288.5 51.7 389.2 6.066 496 0C500.2 0 504.3 1.686 507.3 4.686C510.3 7.687 512 11.76 512 16C505.9 122.8 460.3 223.5 384 298.4C360.3 322 328.4 335.5 294.9 336.1C293.2 336 291.4 336.3 289.8 336.9C288.1 337.6 286.6 338.5 285.3 339.8C282.9 342.3 281.5 345.7 281.5 349.2C281.5 352.8 282.9 356.2 285.3 358.7L321.2 394.4C322.7 395.9 324.4 397.1 326.4 397.9C328.3 398.7 330.4 399.1 332.5 399.1C334.6 399.1 336.7 398.7 338.7 397.9C340.6 397.1 342.4 395.9 343.9 394.4L404.7 334.1C409.2 329.6 414.5 326 420.4 323.6C426.3 321.2 432.7 319.1 439 320C445.4 320.1 451.7 321.4 457.6 323.9C463.4 326.4 468.7 330.1 473.2 334.7L507.4 372.6zM195.3 291.3C198.3 288.3 199.1 284.2 199.1 280C199.1 276.8 199.1 273.7 197.3 271.1C195.5 268.5 193 266.4 190.1 265.2C187.2 264 183.1 263.7 180.9 264.3C177.8 264.9 174.9 266.4 172.7 268.7C170.4 270.9 168.9 273.8 168.3 276.9C167.7 279.1 168 283.2 169.2 286.1C170.4 289 172.5 291.5 175.1 293.3C177.7 295.1 180.8 296 183.1 296C188.2 296 192.3 294.3 195.3 291.3zM243.3 339.3C246.3 336.3 247.1 332.2 247.1 328C247.1 324.8 247.1 321.7 245.3 319.1C243.5 316.5 241 314.4 238.1 313.2C235.2 312 231.1 311.7 228.9 312.3C225.8 312.9 222.9 314.4 220.7 316.7C218.4 318.9 216.9 321.8 216.3 324.9C215.7 327.1 216 331.2 217.2 334.1C218.4 337 220.5 339.5 223.1 341.3C225.7 343.1 228.8 344 231.1 344C236.2 344 240.3 342.3 243.3 339.3z"]],
    "squirrel": [576, 512, [], "f71a", ["M192 296.2C192 291.4 187.8 287.6 182.9 287.8C180.6 287.9 178.3 288 176 288C96.47 288 32 223.5 32 144C32 64.47 96.47 0 176 0C255.5 0 320 64.47 320 144V232.9C305.2 262.9 285.5 290.5 261.5 314.5L254.5 321.5C234.1 341 224 367.5 224 395.1V398.9C224 461.3 274.7 512 337.1 512H288C217.3 512 160 454.7 160 384C160 352.6 171.3 323.9 189.1 301.7C191.3 300.2 192 298.2 192 296.2V296.2z", "M352 75.2C352 69.01 357 64 363.2 64C378.4 64 391.9 71.61 400 83.24C408.1 71.61 421.6 64 436.8 64C442.1 64 448 69.01 448 75.2V96C501 96 544 138.1 544 192L535.8 204.4C520.9 226.6 495.9 240 469.2 240H448V298.8C433.5 291.9 417.2 288 400 288C386.9 288 374.4 290.2 362.7 294.4C354.3 297.3 349.1 306.5 352.9 314.8C355.9 323.1 365 327.5 373.3 324.5C381.7 321.6 390.6 320 400 320C418 320 434.6 325.1 448 335.1C467.4 350.6 480 373.8 480 400C480 418 474 434.6 464 448H480C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512H336C274 511.4 224 460.1 224 398.9V395.1C224 367.5 234.1 341 254.5 321.5L261.5 314.5C319.4 256.6 352 177.1 352 96V75.2zM448 176C456.8 176 464 168.8 464 160C464 151.2 456.8 144 448 144C439.2 144 432 151.2 432 160C432 168.8 439.2 176 448 176z"]],
    "staff": [512, 512, [], "f71b", ["M96.02 303.1v44.12l60.12-60.12H112C103.1 287.1 96.02 295.1 96.02 303.1zM369.9 284.7l32.25 18.63c7.625 4.498 17.49 1.85 21.87-5.774l19.51-33.85L369.9 284.7z", "M512 79.1v103.9c0 35.75-23.74 67.12-57.99 76.87L285.1 308.1c-13.12 3.75-24.1 10.76-34.62 20.38l-175.6 175.6c-9.375 9.375-24.5 9.375-33.87 0l-33.1-33.1c-9.375-9.373-9.375-24.5 0-33.87l175.6-175.6c21.12-21.13 47.33-36.48 76.08-44.73l157.3-45.01V95.1h-50.37l-11.5 23.12c-4 7.875-13.62 11.13-21.5 7.125L275.4 97.62c-7.873-3.875-11.12-13.5-7.123-21.37l16.01-32.02c13.5-27.12 41.23-44.23 71.48-44.23h76.25C476.1 0 512 35.88 512 79.1z"]],
    "staff-snake": [384, 512, ["rod-asclepius", "rod-snake", "staff-aesculapius"], "e579", ["M288 48C341 48 384 90.98 384 144C384 197 341 240 288 240H216.5L218.1 160H288C296.8 160 304 152.8 304 144C304 135.2 296.8 128 288 128H122.6C113.6 146.9 94.34 160 72 160H56C25.07 160 0 134.9 0 104C0 73.07 25.07 48 56 48H288zM80 96C80 87.16 72.84 80 64 80C55.16 80 48 87.16 48 96C48 104.8 55.16 112 64 112C72.84 112 80 104.8 80 96zM152 240C143.2 240 136 247.2 136 256C136 264.8 143.2 272 152 272H256C309 272 352 314.1 352 368C352 421 309 464 256 464H209.5L212 384H256C264.8 384 272 376.8 272 368C272 359.2 264.8 352 256 352H152C98.98 352 56 309 56 256C56 202.1 98.98 160 152 160H164.1L167.5 240H152zM174.5 464H136C113.9 464 96 446.1 96 424C96 401.9 113.9 384 136 384H171.1L174.5 464z", "M222.5 48H161.5L160.1 31.98C160.1 31.33 160.1 30.69 160.1 30.05C161.5 13.43 175.1 0 192 0C208.9 0 222.5 13.43 223 30.05C223 30.69 223 31.33 223 31.98L222.5 48zM168.5 272L164 128H220L215.5 272H168.5zM213 352L208.5 496C208.2 504.9 200.9 512 192 512C183.1 512 175.8 504.9 175.5 496L171 352H213z"]],
    "stairs": [576, 512, [], "e289", ["", "M576 64c0 17.67-14.31 32-32 32h-96v96c0 17.67-14.31 32-32 32h-96v96c0 17.67-14.31 32-32 32H192v96c0 17.67-14.31 32-32 32H32c-17.69 0-32-14.33-32-32s14.31-32 32-32h96v-96c0-17.67 14.31-32 32-32h96V192c0-17.67 14.31-32 32-32h96V64c0-17.67 14.31-32 32-32h128C561.7 32 576 46.33 576 64z"]],
    "stamp": [512, 512, [], "f5bf", ["M96 416V448H416V416H480V464C480 490.5 458.5 512 432 512H80C53.49 512 32 490.5 32 464V416H96z", "M366.2 256H400C461.9 256 512 306.1 512 368V376C512 398.1 494.1 416 472 416H40C17.91 416 0 398.1 0 376V368C0 306.1 50.14 256 112 256H145.8C175.7 256 200 231.7 200 201.8C200 184.3 190.8 168.5 180.1 154.8C167.5 138.5 160 118.1 160 96C160 42.98 202.1 0 256 0C309 0 352 42.98 352 96C352 118.1 344.5 138.5 331.9 154.8C321.2 168.5 312 184.3 312 201.8C312 231.7 336.3 256 366.2 256z"]],
    "standard-definition": [576, 512, ["rectangle-sd"], "e28a", ["M512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM268.9 305.2c-5.781 29.53-33.64 46.81-73.2 46.81c-6.656 0-13.71-.4844-20.96-1.484c-13.41-1.781-27.31-6.172-39.59-10.06l-5.656-1.797c-11.59-3.609-18.09-15.94-14.47-27.53c3.625-11.62 15.78-18.19 27.53-14.47l5.906 1.844c10.53 3.344 22.47 7.125 32.16 8.406c25.97 3.641 43.59-2.484 45.09-10.17c1.281-6.453-3.906-10.58-39.16-19.45L179.1 275.4C157 269.7 105.4 256.3 115.1 206.8c6.75-34.5 43.75-52.28 94.16-45.31C220.6 163 232.4 166.4 240.4 168.8C252 172.3 258.6 184.6 255.1 196.3C251.5 207.8 239.3 214.5 227.6 210.9C221.1 208.9 211.5 206.2 203.3 205.1c-25.75-3.531-43.53 2.5-45 10.19C157.5 219.4 156.6 224.1 190.1 232.8l7.188 1.828C227.8 242.3 278.7 255.1 268.9 305.2zM384 352h-56c-13.25 0-24-10.75-24-24v-144C304 170.8 314.8 160 328 160H384c52.94 0 96 43.06 96 96S436.9 352 384 352zM384 208h-32v96h32c26.47 0 48-21.53 48-48S410.5 208 384 208z", "M384 160h-56c-13.25 0-24 10.75-24 24v144c0 13.25 10.75 24 24 24H384c52.94 0 96-43.06 96-96S436.9 160 384 160zM384 304h-32v-96h32c26.47 0 48 21.53 48 48S410.5 304 384 304zM197.3 234.6L190.1 232.8C156.6 224.1 157.5 219.4 158.3 215.3c1.469-7.688 19.25-13.72 45-10.19C211.5 206.2 221.1 208.9 227.6 210.9C239.3 214.5 251.5 207.8 255.1 196.3C258.6 184.6 252 172.3 240.4 168.8C232.4 166.4 220.6 163 209.3 161.5C158.9 154.5 121.9 172.3 115.1 206.8C105.4 256.3 157 269.7 179.1 275.4l7.469 1.906c35.25 8.875 40.44 13 39.16 19.45c-1.5 7.688-19.12 13.81-45.09 10.17C170.9 305.6 158.1 301.9 148.4 298.5L142.5 296.7C130.8 292.1 118.6 299.5 115 311.1c-3.625 11.59 2.875 23.92 14.47 27.53l5.656 1.797c12.28 3.891 26.19 8.281 39.59 10.06c7.25 1 14.3 1.484 20.96 1.484c39.56 0 67.42-17.28 73.2-46.81C278.7 255.1 227.8 242.3 197.3 234.6z"]],
    "stapler": [640, 512, [], "e5af", ["M448 288V352H96C78.33 352 64 337.7 64 320V219.4L448 288z", "M640 432C640 458.5 618.5 480 592 480H64C46.33 480 32 465.7 32 448C32 430.3 46.33 416 64 416H448V288L33.8 214C14.24 210.5 0 193.5 0 173.7C0 164.8 2.878 156.2 8.201 149.1L43.83 101.6C76.67 57.77 128.2 32 182.9 32C209.9 32 236.6 38.29 260.7 50.36L586.9 213.5C619.5 229.7 640 262.1 640 299.3L640 432z"]],
    "star": [576, 512, [61446, 11088], "f005", ["M381.2 150.3L524.9 171.5C536.8 173.2 546.8 181.6 550.6 193.1C554.4 204.7 551.3 217.3 542.7 225.9L438.5 328.1L463.1 474.7C465.1 486.7 460.2 498.9 450.2 506C440.3 513.1 427.2 514 416.5 508.3L288.1 439.8L159.8 508.3C149 514 135.9 513.1 126 506C116.1 498.9 111.1 486.7 113.2 474.7L137.8 328.1L33.58 225.9C24.97 217.3 21.91 204.7 25.69 193.1C29.46 181.6 39.43 173.2 51.42 171.5L195 150.3L259.4 17.97C264.7 6.954 275.9-.0391 288.1-.0391C300.4-.0391 311.6 6.954 316.9 17.97L381.2 150.3z", ""]],
    "star-and-crescent": [512, 512, [9770], "f699", ["M509 230.9l-55.25 53.88l13 76c1.125 6.5-4 11.75-9.75 11.75c-1.625 0-3.125-.375-4.75-1.25l-68.25-35.88l-68.38 35.88c-1.5 .875-3.125 1.25-4.625 1.25c-5.75 0-10.88-5.25-9.75-11.75l13-76l-55.25-53.88c-5.875-5.75-2.625-15.88 5.5-17l76.38-11.12l34.13-69.25C376.9 129.9 380.5 128 384 128c3.5 0 7.125 1.875 8.875 5.5l34.25 69.25l76.38 11.12C511.6 215 514.9 225.1 509 230.9z", "M340.5 466.4c-1.5 0-6.875 .5-9.25 .5c-116.3 0-210.8-94.63-210.8-210.9s94.5-210.9 210.8-210.9c2.375 0 7.75 .5 9.25 .5c7.125 0 13.25-5 14.75-12c1.375-7.25-2.625-14.5-9.5-17.12c-29.13-11-59.38-16.5-89.75-16.5c-141.1 0-256 114.9-256 256s114.9 256 256 256c30.25 0 60.25-5.5 89.38-16.38c5.875-2 10.25-7.625 10.25-14.25C355.6 473.4 349.3 466.4 340.5 466.4z"]],
    "star-christmas": [512, 512, [], "f7d4", ["M136 352c-6.156 0-12.28 2.344-16.97 7.031l-48 48c-9.375 9.375-9.375 24.56 0 33.94s24.56 9.375 33.94 0l48-48c9.375-9.375 9.375-24.56 0-33.94C148.3 354.3 142.2 352 136 352zM376 160c6.156 0 12.28-2.344 16.97-7.031l48-48c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0l-48 48c-9.375 9.375-9.375 24.56 0 33.94C363.7 157.7 369.8 160 376 160zM104.1 71.03c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94l48 48C123.7 157.7 129.8 160 136 160s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94L104.1 71.03zM392.1 359C388.3 354.3 382.2 352 376 352s-12.28 2.344-16.97 7.031c-9.375 9.375-9.375 24.56 0 33.94l48 48c9.375 9.375 24.56 9.375 33.94 0s9.375-24.56 0-33.94L392.1 359z", "M512 255.1c0 11.34-7.406 20.86-18.44 23.64l-171.3 42.78l-42.78 171.1C276.7 504.6 267.2 512 255.9 512s-20.84-7.406-23.62-18.44l-42.66-171.2L18.47 279.6C7.406 276.8 0 267.3 0 255.1c0-11.34 7.406-20.83 18.44-23.61l171.2-42.78l42.78-171.1C235.2 7.406 244.7 0 256 0s20.84 7.406 23.62 18.44l42.78 171.2l171.2 42.78C504.6 235.2 512 244.6 512 255.1z"]],
    "star-exclamation": [576, 512, [], "f2f3", ["M288.1-.0391C300.4-.0391 311.6 6.954 316.9 17.97L381.2 150.3L524.9 171.5C536.8 173.2 546.8 181.6 550.6 193.1C554.4 204.7 551.3 217.3 542.7 225.9L438.5 328.1L463.1 474.7C465.1 486.7 460.2 498.9 450.2 506C440.3 513.1 427.2 514 416.5 508.3L288.1 439.8L159.8 508.3C149 514 135.9 513.1 126 506C116.1 498.9 111.1 486.7 113.2 474.7L137.8 328.1L33.58 225.9C24.97 217.3 21.91 204.7 25.69 193.1C29.46 181.6 39.43 173.2 51.42 171.5L195 150.3L259.4 17.97C264.7 6.954 275.9-.0391 288.1-.0391H288.1zM264 152V264C264 277.3 274.7 288 288 288C301.3 288 312 277.3 312 264V152C312 138.7 301.3 128 288 128C274.7 128 264 138.7 264 152zM288 320C270.3 320 256 334.3 256 352C256 369.7 270.3 384 288 384C305.7 384 320 369.7 320 352C320 334.3 305.7 320 288 320z", "M312 264C312 277.3 301.3 288 288 288C274.7 288 264 277.3 264 264V152C264 138.7 274.7 128 288 128C301.3 128 312 138.7 312 152V264zM256 352C256 334.3 270.3 320 288 320C305.7 320 320 334.3 320 352C320 369.7 305.7 384 288 384C270.3 384 256 369.7 256 352z"]],
    "star-half": [576, 512, [61731], "f089", ["M146.3 512C145.3 512.1 144.2 512.1 143.1 512H146.3zM288 439.8V-.0387L288.1-.0391C300.4-.0391 311.6 6.954 316.9 17.97L381.2 150.3L524.9 171.5C536.8 173.2 546.8 181.6 550.6 193.1C554.4 204.7 551.3 217.3 542.7 225.9L438.5 328.1L463.1 474.7C465.1 486.7 460.1 498.9 450.2 506C440.3 513.1 427.2 514 416.5 508.3L288.1 439.8L288 439.8z", "M288 439.8L159.8 508.3C149 514 135.9 513.1 126 506C116.1 498.9 111.1 486.7 113.2 474.7L137.8 328.1L33.58 225.9C24.97 217.3 21.91 204.7 25.69 193.1C29.46 181.6 39.43 173.2 51.42 171.5L195 150.3L259.4 17.97C264.7 6.995 275.8 .0131 287.1-.0391L288 439.8zM433.2 512C432.1 512.1 431 512.1 429.9 512H433.2z"]],
    "star-half-stroke": [576, 512, ["star-half-alt"], "f5c0", ["M399.7 435.9L378.4 309.6L469.2 219.8L343.8 201.4L288.1 86.85L287.1 87.14V0H286.6C287.1-.0259 287.6-.0391 288.1-.0391C300.4-.0391 311.6 6.954 316.9 17.97L381.2 150.3L524.9 171.5C536.8 173.2 546.8 181.6 550.6 193.1C554.4 204.7 551.3 217.3 542.7 225.9L438.5 328.1L463.1 474.7C465.1 486.7 460.1 498.9 450.2 506C440.3 513.1 427.2 514 416.5 508.3L288.1 439.8L287.1 439.8V376.4L288.1 376.3L399.7 435.9zM146.3 512C145.3 512.1 144.2 512.1 143.1 512H146.3z", "M289.7-.0003H288V439.8L159.8 508.3C149 514 135.9 513.1 126 506C116.1 498.9 111.1 486.7 113.2 474.7L137.8 328.1L33.58 225.9C24.97 217.3 21.91 204.7 25.69 193.1C29.46 181.6 39.43 173.2 51.42 171.5L195 150.3L259.4 17.97C264.7 6.954 275.9-.0391 288.1-.0391C288.7-.0391 289.2-.0259 289.7 0V-.0003zM429.9 512H433.2C432.1 512.1 431 512.1 429.9 512z"]],
    "star-of-david": [512, 512, [10017], "f69a", ["M198 343.1L89.48 168h41.04l34.49-56H54.39c-29.59 0-48.04 30.41-33.12 54.62l109.3 177.4H198zM256 438.2l-23.59-38.25l-67.4 .0013l57.87 93.1c11.1 17.67 34.94 23.29 53.22 12.56c5.313-3.119 9.785-7.421 13.01-12.56l112.9-183.3L368.3 256L256 438.2zM457.6 112L232.5 112L197.1 168h224.5l-20.53 33.29L435.6 256l55.1-89.38C505.6 142.4 487.2 112 457.6 112z", "M110.1 310.6L76.37 256l-55.1 89.38C6.366 369.6 24.81 399.1 54.39 399.1l225.1-.0013l34.4-55.1H89.48L110.1 310.6zM256 73.77l23.59 38.23l67.39-.0013l-57.87-93.1c-11.1-17.67-34.94-23.29-53.22-12.56c-5.313 3.119-9.784 7.422-13.01 12.56L110 201.3L143.8 256L256 73.77zM490.7 345.4l-109.3-177.4h-67.48l108.5 175.1h-41.19l-34.39 56h110.7C487.2 399.1 505.6 369.6 490.7 345.4z"]],
    "star-of-life": [512, 512, [], "f621", ["M207.1 172.9L78.87 98.33c-11.49-6.645-26.19-2.711-32.82 8.781L22.02 148.7C15.4 160.2 19.34 174.8 30.8 181.5L159.5 256l48.43-28.07L207.1 172.9zM207.1 339.1V488c0 13.25 10.76 24 24.02 24h48.04c13.26 0 24.02-10.75 24.02-24v-148.9l-48.03-27.8L207.1 339.1zM489.1 148.7l-24.02-41.59c-6.634-11.49-21.34-15.43-32.82-8.78l-129.1 74.56l-.0154 55.05L352.5 256l128.8-74.53C492.7 174.8 496.6 160.2 489.1 148.7z", "M489.1 363.3l-24.03 41.59c-6.634 11.49-21.34 15.43-32.82 8.78l-177.1-102.4L78.87 413.7c-11.49 6.646-26.19 2.712-32.82-8.78l-24.03-41.59c-6.617-11.46-2.68-26.13 8.774-32.77l177.2-102.6L207.1 24c0-13.25 10.76-24 24.02-24h48.04c13.26 0 24.02 10.75 24.02 24l-.015 203.9l177.2 102.6C492.7 337.2 496.6 351.8 489.1 363.3z"]],
    "star-sharp": [512, 512, [], "e28b", ["M329.6 176H488C498.3 176 507.4 182.5 510.7 192.2C514 201.9 510.8 212.6 502.7 218.9L371.9 320.7L422.9 480.7C426.1 490.7 422.4 501.7 413.7 507.7C405.1 513.7 393.6 513.4 385.3 506.9L256 406.4L126.7 506.9C118.4 513.4 106.9 513.7 98.27 507.7C89.65 501.7 85.94 490.7 89.13 480.7L140.1 320.7L9.267 218.9C1.174 212.6-2.027 201.9 1.3 192.2C4.628 182.5 13.75 176 24 176H182.5L233.1 16.72C236.3 6.764 245.6 0 256 0C266.5 0 275.7 6.764 278.9 16.72L329.6 176z", ""]],
    "star-sharp-half": [512, 512, [], "e28c", ["M278.9 16.72C275.7 6.764 266.5 .0006 255.1 0V406.4L385.3 506.9C393.6 513.4 405.1 513.7 413.7 507.7C422.4 501.7 426.1 490.7 422.9 480.7L371.9 320.7L502.7 218.9C510.8 212.6 514 201.9 510.7 192.2C507.4 182.5 498.3 175.1 488 175.1H329.5L278.9 16.72z", "M233.1 16.72C236.3 6.764 245.5 .0006 256 0V406.4L126.7 506.9C118.4 513.4 106.9 513.7 98.27 507.7C89.65 501.7 85.94 490.7 89.13 480.7L140.1 320.7L9.267 218.9C1.174 212.6-2.027 201.9 1.3 192.2C4.628 182.5 13.75 175.1 24 175.1H182.5L233.1 16.72z"]],
    "star-sharp-half-stroke": [512, 512, ["star-sharp-half-alt"], "e28d", ["M256 335.5L338.2 399.4L306.7 300.4L394.7 232H288.6L256 129.5L256 0C256 0 256 0 256 0C266.5 0 275.7 6.764 278.9 16.72L329.5 176H488C498.3 176 507.4 182.5 510.7 192.2C514 201.9 510.8 212.6 502.7 218.9L371.9 320.7L422.9 480.7C426.1 490.7 422.4 501.7 413.7 507.7C405.1 513.7 393.6 513.4 385.3 506.9L256 406.4L256 335.5z", "M233.1 16.72C236.3 6.764 245.5 .0006 256 0V406.4L126.7 506.9C118.4 513.4 106.9 513.7 98.27 507.7C89.65 501.7 85.94 490.7 89.13 480.7L140.1 320.7L9.267 218.9C1.174 212.6-2.027 201.9 1.3 192.2C4.628 182.5 13.75 175.1 24 175.1H182.5L233.1 16.72z"]],
    "star-shooting": [512, 512, [127776], "e036", ["M312.1 7.031c-9.375-9.375-24.56-9.375-33.94 0l-48 48c-9.375 9.375-9.375 24.56 0 33.94C235.7 93.66 241.9 96 248 96s12.28-2.344 16.97-7.031l48-48C322.3 31.59 322.3 16.41 312.1 7.031zM504.1 7.031c-9.375-9.375-24.56-9.375-33.94 0l-160 160c-9.375 9.375-9.375 24.56 0 33.94C315.7 205.7 321.9 208 328 208s12.28-2.344 16.97-7.031l160-160C514.3 31.59 514.3 16.41 504.1 7.031zM471 199l-48 48c-9.375 9.375-9.375 24.56 0 33.94C427.7 285.7 433.9 288 440 288s12.28-2.344 16.97-7.031l48-48c9.375-9.375 9.375-24.56 0-33.94S480.4 189.7 471 199z", "M364.2 267.2l-104.8-15.28L212.6 156.7c-8.375-17-32.72-17.13-41.22 0l-46.87 95.25L19.73 267.2C.8552 269.1-6.744 293.2 7.006 306.5L82.88 380.5l-17.1 104.6c-3.125 18.88 16.72 33.05 33.35 24.18l93.77-49.38l93.75 49.38c7.75 4.126 17.14 3.363 24.26-1.762c7-5.126 10.61-13.89 9.108-22.39l-17.9-104.6l75.9-74C390.7 293.3 383.1 269.1 364.2 267.2z"]],
    "starfighter": [640, 512, [], "e037", ["M48 72C61.25 72 72 82.75 72 96V120C85.25 120 96 130.7 96 144C96 157.3 85.25 168 72 168V448C72 461.3 61.25 472 48 472C34.75 472 24 461.3 24 448V168C10.75 168 0 157.3 0 144C0 130.7 10.75 120 24 120V96C24 82.75 34.75 72 48 72zM592 72C605.3 72 616 82.75 616 96V120C629.3 120 640 130.7 640 144C640 157.3 629.3 168 616 168V448C616 461.3 605.3 472 592 472C578.7 472 568 461.3 568 448V168C554.7 168 544 157.3 544 144C544 130.7 554.7 120 568 120V96C568 82.75 578.7 72 592 72zM352 256V304C352 312.8 344.8 320 336 320H304C295.2 320 288 312.8 288 304V256C288 238.3 302.3 224 320 224C337.7 224 352 238.3 352 256zM128 320C128 302.3 142.3 288 160 288H192C209.7 288 224 302.3 224 320V416C224 433.7 209.7 448 192 448H160C142.3 448 128 433.7 128 416V320zM480 288C497.7 288 512 302.3 512 320V416C512 433.7 497.7 448 480 448H448C430.3 448 416 433.7 416 416V320C416 302.3 430.3 288 448 288H480z", "M384 256V352H416V416C416 433.7 430.3 448 448 448H480C497.7 448 512 433.7 512 416V352H568V444L480 470.4V480C480 497.7 465.7 512 448 512C430.3 512 416 497.7 416 480H224C224 497.7 209.7 512 192 512C174.3 512 160 497.7 160 480V470.4L72 444V352H128V416C128 433.7 142.3 448 160 448H192C209.7 448 224 433.7 224 416V352H256V256L286.2 14.02C287.2 6.009 294.1 0 302.1 0H337.9C345.9 0 352.8 6.009 353.8 14.02L384 256zM288 304C288 312.8 295.2 320 304 320H336C344.8 320 352 312.8 352 304V256C352 238.3 337.7 224 320 224C302.3 224 288 238.3 288 256V304z"]],
    "starfighter-twin-ion-engine": [576, 512, ["starfighter-alt"], "e038", ["M139.6 196.1C132.1 214.6 128 234.8 128 255.1C128 277.2 132.1 297.4 139.6 315.9L64 300.8V211.2L139.6 196.1zM436.4 315.9C443.9 297.4 448 277.2 448 255.1C448 234.8 443.9 214.6 436.4 196.1L512 211.2V300.8L436.4 315.9z", "M32 32C49.67 32 64 46.33 64 64V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V64C0 46.33 14.33 32 32 32zM544 32C561.7 32 576 46.33 576 64V448C576 465.7 561.7 480 544 480C526.3 480 512 465.7 512 448V64C512 46.33 526.3 32 544 32zM448 256C448 344.4 376.4 416 288 416C199.6 416 128 344.4 128 256C128 167.6 199.6 96 288 96C376.4 96 448 167.6 448 256zM272 350.7V317.1C266.1 316.5 260.6 314.1 255.5 311.1L232.4 334.3C243.9 342.5 257.4 348.2 271.1 350.7H272zM209.7 311.6L232.9 288.5C229.9 283.4 227.5 277.9 226 272H193.3C195.8 286.6 201.5 300.1 209.7 311.6V311.6zM193.3 240H226C227.5 234.1 229.9 228.6 232.9 223.5L209.7 200.4C201.5 211.9 195.8 225.4 193.3 240V240zM232.4 177.7L255.5 200.9C260.6 197.9 266.1 195.5 271.1 194V161.3C257.4 163.8 243.9 169.5 232.4 177.7H232.4zM320.5 311.1C315.4 314.1 309.9 316.5 304 317.1V350.7C318.6 348.2 332.1 342.5 343.6 334.3L320.5 311.1zM366.3 311.6C374.5 300.1 380.2 286.6 382.7 272H349.1C348.5 277.9 346.1 283.4 343.1 288.5L366.3 311.6zM349.1 240H382.7C380.2 225.4 374.5 211.9 366.3 200.4L343.1 223.5C346.1 228.6 348.5 234.1 349.1 239.1V240zM304 161.3V194C309.9 195.5 315.4 197.9 320.5 200.9L343.6 177.7C332.1 169.5 318.6 163.8 304 161.3H304zM310.8 278.5C316.5 272.7 320 264.8 320 256C320 238.3 305.7 224 288 224C270.3 224 256 238.3 256 256C256 273.7 270.3 288 288 288C296.8 288 304.7 284.5 310.5 278.8L310.8 278.5z"]],
    "starfighter-twin-ion-engine-advanced": [640, 512, ["starfighter-alt-advanced"], "e28e", ["M171.6 196.1C164.1 214.6 160 234.8 160 255.1C160 277.2 164.1 297.4 171.6 315.9L64 294.4V217.6L171.6 196.1zM468.4 196.1L576 217.6V294.4L468.4 315.9C475.9 297.4 480 277.2 480 255.1C480 234.8 475.9 214.6 468.4 196.1V196.1z", "M148.8 7.704C162.2 19.21 163.8 39.41 152.3 52.83L64 155.8V356.2L152.3 459.2C163.8 472.6 162.2 492.8 148.8 504.3C135.4 515.8 115.2 514.2 103.7 500.8L15.41 397.8C5.465 386.2 0 371.4 0 356.2V155.8C0 140.6 5.465 125.8 15.41 114.2L103.7 11.18C115.2-2.243 135.4-3.797 148.8 7.704V7.704zM160 256C160 167.6 231.6 96 320 96C408.4 96 480 167.6 480 256C480 344.4 408.4 416 320 416C231.6 416 160 344.4 160 256zM414.7 272H381.1C380.5 277.9 378.1 283.4 375.1 288.5L398.3 311.6C406.5 300.1 412.2 286.6 414.7 272V272zM375.6 334.3L352.5 311.1C347.4 314.1 341.9 316.5 336 317.1V350.7C350.6 348.2 364.1 342.5 375.6 334.3H375.6zM304 350.7V317.1C298.1 316.5 292.6 314.1 287.5 311.1L264.4 334.3C275.9 342.5 289.4 348.2 304 350.7H304zM241.7 311.6L264.9 288.5C261.9 283.4 259.5 277.9 258 272H225.3C227.8 286.6 233.5 300.1 241.7 311.6V311.6zM398.3 200.4L375.1 223.5C378.1 228.6 380.5 234.1 381.1 240H414.7C412.2 225.4 406.5 211.9 398.3 200.4V200.4zM375.6 177.7C364.1 169.5 350.6 163.8 336 161.3V194C341.9 195.5 347.4 197.9 352.5 200.9L375.6 177.7zM304 194V161.3C289.4 163.8 275.9 169.5 264.4 177.7L287.5 200.9C292.6 197.9 298.1 195.5 304 194H304zM264.9 223.5L241.7 200.4C233.5 211.9 227.8 225.4 225.3 240H258C259.5 234.1 261.9 228.6 264.9 223.5V223.5zM342.8 278.5C348.5 272.7 352 264.8 352 256C352 238.3 337.7 224 320 224C302.3 224 288 238.3 288 256C288 273.7 302.3 288 320 288C328.8 288 336.7 284.5 342.5 278.8L342.8 278.5zM488.5 53.71C476.5 40.72 477.3 20.47 490.3 8.487C503.3-3.5 523.5-2.691 535.5 10.3L623 105.1C633.9 116.9 640 132.4 640 148.5V348.8C640 363.3 635.1 377.4 625.1 388.8L536.1 499.1C525.9 513.8 505.8 516 492 504.1C478.2 493.9 475.1 473.8 487 460L576 348.8V148.5L488.5 53.71z"]],
    "stars": [512, 512, [], "f762", ["M509 219.3l-39.62-16.63l-16.62-39.63c-.875-1.875-2.751-3.003-4.751-3.003s-3.874 1.128-4.749 3.003l-16.62 39.63L387 219.3c-1.875 .875-3.002 2.746-3.002 4.746s1.127 3.879 3.002 4.754l39.62 16.63l16.62 39.63c.875 1.875 2.749 2.995 4.749 2.995s3.876-1.12 4.751-2.995l16.62-39.63l39.62-16.63C510.9 227.9 512 226 512 224S510.9 220.1 509 219.3zM416 80c0-2.5-1.373-4.874-3.748-5.999L362.6 53.38l-20.62-49.63C340.9 1.375 338.5 0 336 0s-4.872 1.375-5.997 3.75l-20.62 49.63l-49.66 20.63c-2.375 1.125-3.712 3.499-3.712 5.999s1.337 4.877 3.712 6.002l49.66 20.63l20.62 49.67c1.125 2.375 3.498 3.707 5.998 3.707s4.876-1.332 6.001-3.707l20.62-49.67l49.62-20.63C414.6 84.88 416 82.5 416 80z", "M364.2 267.2l-104.8-15.28L212.6 156.7c-8.375-17-32.72-17.13-41.22 0L124.5 251.1L19.71 267.2C.8322 269.1-6.742 293.2 7.007 306.5l75.87 74l-17.1 104.6c-3.125 18.88 16.7 33.05 33.32 24.18l93.79-49.38l93.74 49.38c7.75 4.125 17.13 3.386 24.25-1.739c6.1-5.125 10.62-13.91 9.119-22.41L301.2 380.5l75.92-74C390.7 293.3 383.1 269.1 364.2 267.2z"]],
    "starship": [640, 512, [], "e039", ["M256 256C256 149.1 341.1 64 448 64C554 64 640 149.1 640 256C640 362 554 448 448 448C341.1 448 256 362 256 256zM448 320C483.3 320 512 291.3 512 256C512 220.7 483.3 192 448 192C412.7 192 384 220.7 384 256C384 291.3 412.7 320 448 320zM0 128C0 110.3 14.33 96 32 96H208C225.7 96 240 110.3 240 128C240 145.7 225.7 160 208 160H32C14.33 160 0 145.7 0 128zM208 352C225.7 352 240 366.3 240 384C240 401.7 225.7 416 208 416H32C14.33 416 0 401.7 0 384C0 366.3 14.33 352 32 352H208z", "M129.1 216.8L64.13 160H137L187.4 204.1L269 186.4C260.6 207.1 256 231.4 256 256C256 280.6 260.6 304 269 325.6L187.4 307.9L137 352H64.13L129.1 295.2L127.3 294.8C109 290.8 96 274.7 96 255.1C96 237.3 109 221.2 127.3 217.2L129.1 216.8zM512 256C512 291.3 483.3 320 448 320C412.7 320 384 291.3 384 256C384 220.7 412.7 192 448 192C483.3 192 512 220.7 512 256zM448 288C465.7 288 480 273.7 480 256C480 238.3 465.7 224 448 224C430.3 224 416 238.3 416 256C416 273.7 430.3 288 448 288z"]],
    "starship-freighter": [576, 512, [], "e03a", ["M224 32C266.3 32 308.2 39.87 347.6 55.2L555.6 136.1C567.9 140.8 576 152.7 576 165.9V208C576 216.8 568.8 224 560 224H432C423.2 224 416 231.2 416 240V272C416 280.8 423.2 288 432 288H560C568.8 288 576 295.2 576 304V346.1C576 359.3 567.9 371.2 555.6 375.9L473.5 407.9C465.2 393.6 449.7 384 432 384H383.6L301.1 277.3C303 270.5 304 263.4 304 255.1C304 211.8 268.2 175.1 224 175.1C179.8 175.1 144 211.8 144 255.1C144 300.2 179.8 336 224 336L225.2 335.1L322 461.4C322.9 462.5 323.9 463.7 324.9 464.7C292.3 474.8 258.3 480 224 480C100.3 480 0 379.7 0 256C0 132.3 100.3 32 224 32V32zM80 240C71.16 240 64 247.2 64 256C64 264.8 71.16 272 80 272C88.84 272 96 264.8 96 256C96 247.2 88.84 240 80 240zM112 176C120.8 176 128 168.8 128 160C128 151.2 120.8 144 112 144C103.2 144 96 151.2 96 160C96 168.8 103.2 176 112 176zM112 336C103.2 336 96 343.2 96 352C96 360.8 103.2 368 112 368C120.8 368 128 360.8 128 352C128 343.2 120.8 336 112 336z", "M128 160C128 168.8 120.8 176 112 176C103.2 176 96 168.8 96 160C96 151.2 103.2 144 112 144C120.8 144 128 151.2 128 160zM383.6 384H432C458.5 384 480 405.5 480 432C480 458.5 458.5 480 432 480H360C345.1 480 331.1 473.1 322 461.4L225.2 335.1L224 336C179.8 336 144 300.2 144 255.1C144 211.8 179.8 175.1 224 175.1C268.2 175.1 304 211.8 304 255.1C304 263.4 303 270.5 301.1 277.3L383.6 384zM224 224C206.3 224 192 238.3 192 256C192 273.7 206.3 288 224 288C241.7 288 256 273.7 256 256C256 238.3 241.7 224 224 224zM64 256C64 247.2 71.16 240 80 240C88.84 240 96 247.2 96 256C96 264.8 88.84 272 80 272C71.16 272 64 264.8 64 256zM96 352C96 343.2 103.2 336 112 336C120.8 336 128 343.2 128 352C128 360.8 120.8 368 112 368C103.2 368 96 360.8 96 352z"]],
    "steak": [576, 512, [129385], "f824", ["M514.9 76.63C467.9 23.12 416.3 0 368.9 0c-70.63 0-131.9 51.12-154.8 129.4c-49.13 139.9-212.8 82.1-214.1 222.3c-1.25 121.6 139.3 164.6 256 160c87.75-3.375 187.4-37.07 270.5-131.8C596.8 299.8 591.6 164 514.9 76.63zM478.4 337.6c-76.13 86.76-164.2 107.8-224.7 110.1c-37.75 1.375-131.6-6.5-171.3-46.63c-2.5-2.5-59.53-61.76 37.97-104.1c71.63-31.25 132.3-71.25 155.2-149.6c14.88-50.63 51.5-83.38 93.38-83.38c32.5 0 66.35 18.1 97.98 54.88C521.1 181.8 527.3 281.9 478.4 337.6z", "M466.9 118.9c-31.62-35.88-65.48-54.88-97.98-54.88c-41.88 0-78.5 32.75-93.38 83.38C252.6 225.8 191.1 265.8 120.4 297c-97.5 42.38-40.47 101.6-37.97 104.1c39.62 40.13 133.5 48 171.3 46.63c60.5-2.375 148.6-23.38 224.7-110.1C527.3 281.9 521.1 181.8 466.9 118.9zM384 255.9c-17.62 0-32-14.25-32-32c0-17.63 14.38-32 32-32s32 14.37 32 32C416 241.6 401.6 255.9 384 255.9z"]],
    "steering-wheel": [512, 512, [], "f622", ["M288 445.3C277.6 447.1 266.9 448 256 448C245.1 448 234.4 447.1 224 445.3V358.9L168.9 288H66.65C64.91 277.6 64 266.9 64 256C64 245.1 64.91 234.4 66.65 224H160L167.2 209.7C172.6 198.8 183.7 192 195.8 192H316.2C328.3 192 339.4 198.8 344.8 209.7L352 224H445.3C447.1 234.4 448 245.1 448 256C448 266.9 447.1 277.6 445.3 288H343.1L288 358.9L288 445.3z", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 448C362 448 448 362 448 256C448 149.1 362 64 256 64C149.1 64 64 149.1 64 256C64 362 149.1 448 256 448z"]],
    "sterling-sign": [320, 512, [163, "gbp", "pound-sign"], "f154", ["M48 288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H48V288zM112 224H224C241.7 224 256 238.3 256 256C256 273.7 241.7 288 224 288H112V224z", "M176.4 95.1C140.8 95.1 112 124.8 112 160.4V332.5C112 361.5 104.1 390 89.2 414.9L88.52 416H288C305.7 416 320 430.3 320 448C320 465.7 305.7 480 288 480H32C20.47 480 9.834 473.8 4.154 463.8C-1.527 453.7-1.371 441.4 4.56 431.5L34.32 381.9C43.27 367 48 349.9 48 332.5V160.4C48 89.47 105.5 32 176.4 32C190.2 32 203.9 34.22 216.1 38.59L298.1 65.64C314.9 71.23 323.9 89.35 318.4 106.1C312.8 122.9 294.6 131.9 277.9 126.4L196.7 99.3C190.2 97.12 183.3 96 176.4 96V95.1z"]],
    "stethoscope": [576, 512, [129658], "f0f1", ["M512 265.3v78.75c0 92.6-79 168-176 168c-95.39 0-173.3-72.82-175.9-163.2l.5342 .0439C170.8 350.9 181.3 352 192 352s21.2-1.143 31.35-3.17l.8711-.0439c2.701 55.1 51.89 99.23 111.9 99.23c61.8 0 112-46.7 112-104V265.3C457.9 269.6 468.6 272 480 272C491.4 272 502.2 269.5 512 265.3z", "M332.7 13.09L269.8 .4775c-12.96-2.607-25.56 5.803-28.16 18.77c-.002 .0156 .0039-.0156 0 0L238.4 34.99c-2.607 12.96 5.849 25.61 18.81 28.22c.0156 .0039-.0156-.002 0 0l30.69 6.059L288 192c0 53.02-42.98 96-96 96S95.94 244.1 95.94 191.9L95.89 69.37l30.72-6.112C139.6 60.68 147.1 48.07 145.4 35.1c-.0039-.0176 .0039 .0176 0 0L142.3 19.37C139.7 6.397 127.1-1.997 114.1 .5814c-.0176 .0039 .0176-.0039 0 0L51.28 12.99C40.06 15.27 32.02 25.15 32 36.59v155.4C32 280.2 103.8 352 192 352s160-71.78 160-160V36.59C351.1 25.16 343.9 15.33 332.7 13.09zM480 112c-44.18 0-80 35.82-80 80S435.8 272 480 272c44.18 0 80-35.81 80-79.1S524.2 112 480 112zM480 216c-13.23 0-24-10.77-24-24S466.8 168 480 168c13.23 0 24 10.77 24 24S493.2 216 480 216z"]],
    "stocking": [384, 512, [], "f7d5", ["M351.1 0H96.01C78.41 0 64.01 14.4 64.01 32L64.01 64c0 17.6 14.41 32 32 32h255.1C369.6 96 384 81.6 384 64V32C384 14.4 369.6 0 351.1 0zM224 368c0 32.42 13.99 61.38 36 81.83L280.8 436c44.5-29.75 71.14-79.5 71.14-133.1l-.0597-45.28C346.6 256.9 341.4 256 336 256C274.1 256 224 306.1 224 368z", "M260 449.8l-60.97 40.67C177.3 505 152.5 512 128.2 512c-41.37 0-81.89-20-106.6-57c-39.25-58.75-23.24-138.3 35.5-177.5l39.01-26L96.01 96h255.1l-.0977 161.6C346.6 256.9 341.4 256 336 256c-61.85 0-111.1 50.14-111.1 112C224 400.4 237.1 429.4 260 449.8z"]],
    "stomach": [512, 512, [], "f623", ["M273.1 160L256 159.1c-35.35 0-64-28.65-64-63.1V15.1C192 7.164 184.8 0 176 0h-32C135.2 0 128 7.164 128 15.1V95.1c0 70.69 57.31 128 128 128C255.1 201.5 261.9 179.4 273.1 160zM384 319.1c-17.27-17.27-42.62-22.06-65.21-14.06c-7.129 52.25-44.66 86.39-77.19 100.1c-6.682 2.744-9.877 10.39-7.133 17.08c1.109 2.703 3.087 4.972 5.628 6.417c9.092 5.232 18.72 9.462 28.73 12.61c43.37 13.59 98.26 4.59 137.7-34.41c19.83-19.71 33.33-44.98 38.71-72.41C423.7 341.3 400.3 336.2 384 319.1z", "M384 95.1C366.7 95.1 307.8 100 273.1 160c-9.092 15.73-14.72 33.23-16.5 51.31C256.1 217 256 222.1 256 223.1v63.1c0 35.35-28.65 63.1-64 63.1H128c-70.69 0-128 57.31-128 128v15.1c0 8.836 7.164 15.1 15.1 15.1L48 511.1c8.836 0 16-7.163 16-15.1v-15.1c0-37.63 33.97-51.24 53.89-51.24c17.11 0 29.63 6.743 41.11 18.23c63.07 63.07 129.8 65 146.7 65l2.694-.0038C420.9 512 512 420.8 512 308.4V223.1C512 153.3 454.7 95.1 384 95.1zM448 307c0 37.73-14.65 74.18-41.48 100.7c-39.44 39-94.33 48-137.7 34.41c-10.01-3.15-19.64-7.378-28.73-12.61c-6.293-3.545-8.526-11.51-4.981-17.8c1.453-2.582 3.74-4.584 6.486-5.695C277.7 390.8 320 350.4 320 287.1V224c.8301-21.86 20.15-64 64-64c35.33 .0391 63.96 28.67 64 63.1V307z"]],
    "stop": [384, 512, [9209], "f04d", ["", "M384 128v255.1c0 35.35-28.65 64-64 64H64c-35.35 0-64-28.65-64-64V128c0-35.35 28.65-64 64-64H320C355.3 64 384 92.65 384 128z"]],
    "stopwatch": [448, 512, [9201], "f2f2", ["M16 304C16 189.1 109.1 96 224 96C338.9 96 432 189.1 432 304C432 418.9 338.9 512 224 512C109.1 512 16 418.9 16 304zM248 192C248 178.7 237.3 168 224 168C210.7 168 200 178.7 200 192V320C200 333.3 210.7 344 224 344C237.3 344 248 333.3 248 320V192z", "M144 32C144 14.33 158.3 0 176 0H272C289.7 0 304 14.33 304 32C304 49.67 289.7 64 272 64H256V98.45C245.6 96.84 234.9 96 224 96C213.1 96 202.4 96.84 192 98.45V64H176C158.3 64 144 49.67 144 32zM377.4 121.4C389.9 108.9 410.1 108.9 422.6 121.4C435.1 133.9 435.1 154.1 422.6 166.6L398.5 190.8C386.8 172.7 372.3 156.6 355.7 143L377.4 121.4zM248 320C248 333.3 237.3 344 224 344C210.7 344 200 333.3 200 320V192C200 178.7 210.7 168 224 168C237.3 168 248 178.7 248 192V320z"]],
    "stopwatch-20": [448, 512, [], "e06f", ["M276 256C276 249.4 281.4 244 288 244C294.6 244 300 249.4 300 256V352C300 358.6 294.6 364 288 364C281.4 364 276 358.6 276 352V256zM272 0C289.7 0 304 14.33 304 32C304 49.67 289.7 64 272 64H256V98.45C293.5 104.2 327.7 120 355.7 143L377.4 121.4C389.9 108.9 410.1 108.9 422.6 121.4C435.1 133.9 435.1 154.1 422.6 166.6L398.5 190.8C419.7 223.3 432 262.2 432 304C432 418.9 338.9 512 224 512C109.1 512 16 418.9 16 304C16 200 92.32 113.8 192 98.45V64H176C158.3 64 144 49.67 144 32C144 14.33 158.3 0 176 0L272 0zM288 204C259.3 204 236 227.3 236 256V352C236 380.7 259.3 404 288 404C316.7 404 340 380.7 340 352V256C340 227.3 316.7 204 288 204zM172 256.5V258.8C172 262.4 170.7 265.9 168.3 268.6L129.2 312.5C115.5 327.9 108 347.8 108 368.3V384C108 395 116.1 404 128 404H192C203 404 212 395 212 384C212 372.1 203 364 192 364H148.2C149.1 354.8 152.9 346.1 159.1 339.1L198.2 295.2C207.1 285.1 211.1 272.2 211.1 258.8V256.5C211.1 227.5 188.5 204 159.5 204C136.8 204 116.8 218.5 109.6 239.9L109 241.7C105.5 252.2 111.2 263.5 121.7 266.1C132.2 270.5 143.5 264.8 146.1 254.3L147.6 252.6C149.3 247.5 154.1 244 159.5 244C166.4 244 171.1 249.6 171.1 256.5L172 256.5z", "M146.1 254.3C143.5 264.8 132.2 270.5 121.7 266.1C111.2 263.5 105.5 252.2 109 241.7L109.6 239.9C116.8 218.5 136.8 204 159.5 204C188.5 204 211.1 227.5 211.1 256.5V258.8C211.1 272.2 207.1 285.1 198.2 295.2L159.1 339.1C152.9 346.1 149.1 354.8 148.2 364H191.1C203 364 211.1 372.1 211.1 384C211.1 395 203 404 191.1 404H127.1C116.1 404 107.1 395 107.1 384V368.3C107.1 347.8 115.5 327.9 129.2 312.5L168.3 268.6C170.7 265.9 171.1 262.4 171.1 258.8V256.5C171.1 249.6 166.4 244 159.5 244C154.1 244 149.3 247.5 147.6 252.6L146.1 254.3zM340 256V352C340 380.7 316.7 404 288 404C259.3 404 236 380.7 236 352V256C236 227.3 259.3 204 288 204C316.7 204 340 227.3 340 256zM276 352C276 358.6 281.4 364 288 364C294.6 364 300 358.6 300 352V256C300 249.4 294.6 244 288 244C281.4 244 276 249.4 276 256V352z"]],
    "store": [576, 512, [], "f54e", ["M80.23 223.2C84.21 223.7 88.3 224 92.36 224C105.1 224 117.2 221.3 128 216.5V384H448V216.5C458.8 221.3 470.8 224 483.4 224C487.6 224 491.6 223.7 495.5 223.2C501.4 222.4 506.9 221 512 219.1V448C512 483.3 483.3 512 448 512H128C92.65 512 64 483.3 64 448V219.1C69.08 221 74.5 222.4 80.24 223.2H80.23z", "M490.3 13.13L547.6 103.8C577.3 150.7 551 215.8 495.5 223.2C491.6 223.7 487.6 224 483.4 224C457.4 224 434.2 212.6 418.3 195C402.4 212.6 379.2 224 353.1 224C327 224 303.8 212.6 287.9 195C272 212.6 248.9 224 222.7 224C196.7 224 173.5 212.6 157.6 195C141.7 212.6 118.5 224 92.36 224C88.3 224 84.21 223.7 80.24 223.2C24.92 215.8-1.255 150.6 28.33 103.8L85.66 13.13C90.76 4.979 99.87 0 109.6 0H466.4C476.1 0 485.2 4.978 490.3 13.13H490.3z"]],
    "store-lock": [640, 512, [], "e4a6", ["M490.3 13.13L547.6 103.8C559.5 122.6 562.4 144.3 558.1 164.1C548.5 161.4 538.4 160 528 160C489.3 160 455.2 179.6 435.1 209.5C428.9 205.3 423.2 200.5 418.3 195C402.4 212.6 379.2 224 353.1 224C327 224 303.8 212.6 287.9 195C272 212.6 248.9 224 222.7 224C196.7 224 173.5 212.6 157.6 195C141.7 212.6 118.5 224 92.36 224C88.3 224 84.21 223.7 80.24 223.2C24.92 215.8-1.256 150.6 28.33 103.8L85.66 13.13C90.76 4.979 99.87 0 109.6 0H466.4C476.1 0 485.2 4.978 490.3 13.13L490.3 13.13zM384 480C384 491.7 387.1 502.6 392.6 512H128C92.65 512 64 483.3 64 448V252.6C67.87 253.6 71.86 254.4 75.97 254.9L76.09 254.9C81.35 255.6 86.83 256 92.36 256C104.8 256 116.8 254.1 128 250.6V384H384V480z", "M448 320V272C448 227.8 483.8 192 528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320zM496 320H560V272C560 254.3 545.7 240 528 240C510.3 240 496 254.3 496 272V320z"]],
    "store-slash": [640, 512, [], "e071", ["M480 350.9V250.7C491.2 254.1 503.1 256 515.4 256C521 256 526.4 255.6 531.7 254.9L531.7 254.9C535.1 254.4 540 253.6 544 252.6V401.1L480 350.9zM94.92 49.09L117.7 13.13C122.8 4.979 131.9 0 141.6 0H498.4C508.1 0 517.2 4.978 522.3 13.13L579.6 103.8C609.3 150.7 583 215.8 527.5 223.2C523.6 223.7 519.6 224 515.4 224C489.4 224 466.2 212.6 450.3 195C434.4 212.6 411.2 224 385.1 224C359 224 335.8 212.6 319.9 195C314.4 201.1 308.1 206.4 301.2 210.7L94.92 49.09zM112.2 223.2C68.36 217.3 42.82 175.1 48.9 134.5L155.3 218.4C145.7 222 135.3 224 124.4 224C120.3 224 116.2 223.7 112.2 223.2V223.2zM160 384H365.5L514.9 501.7C504.8 508.2 492.9 512 480 512H160C124.7 512 96 483.3 96 448V252.6C99.87 253.6 103.9 254.4 107.1 254.9L108.1 254.9C113.3 255.6 118.8 256 124.4 256C136.8 256 148.8 254.1 160 250.6V384z", "M5.112 9.194C13.29-1.238 28.37-3.067 38.81 5.11L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.194V9.194z"]],
    "strawberry": [512, 512, [], "e32b", ["M447.1 322.3c0-45.81-26.67-83.47-53.4-109.7l-95.16-95.16c-26.28-26.73-63.94-53.4-109.8-53.4c-81.09 0-189.7 91.01-189.7 264.7c0 140.8 33.9 183.3 183.3 183.3C357.5 512 447.1 402.7 447.1 322.3zM199.1 234.5c0-16.02 18.64-34.54 34.54-34.54c5.431 0 13.46 2.823 13.46 13.46c0 16.03-18.65 34.54-34.54 34.54C202.8 247.1 199.1 239.1 199.1 234.5zM135.1 170.5c0-16.02 18.64-34.54 34.54-34.54c5.431 0 13.46 2.823 13.46 13.46c0 16.03-18.65 34.54-34.54 34.54C138.8 183.1 135.1 175.1 135.1 170.5zM103.1 266.5c0-16.02 18.64-34.54 34.54-34.54c5.431 0 13.46 2.823 13.46 13.46c0 16.03-18.65 34.54-34.54 34.54C106.8 279.1 103.1 271.1 103.1 266.5zM119.1 341.5c0 16.03-18.65 34.54-34.54 34.54c-10.66 0-13.46-8.049-13.46-13.46c0-16.02 18.64-34.54 34.54-34.54C111.1 327.1 119.1 330.8 119.1 341.5zM183.1 405.5c0 16.03-18.65 34.54-34.54 34.54c-10.66 0-13.46-8.049-13.46-13.46c0-16.02 18.64-34.54 34.54-34.54C175.1 391.1 183.1 394.8 183.1 405.5zM215.1 309.5c0 16.03-18.65 34.54-34.54 34.54c-10.66 0-13.46-8.049-13.46-13.46c0-16.02 18.64-34.54 34.54-34.54C207.1 295.1 215.1 298.8 215.1 309.5zM279.1 373.5c0 16.03-18.65 34.54-34.54 34.54c-10.66 0-13.46-8.049-13.46-13.46c0-16.02 18.64-34.54 34.54-34.54C271.1 359.1 279.1 362.8 279.1 373.5zM311.1 277.5c0 16.03-18.65 34.54-34.54 34.54c-10.66 0-13.46-8.049-13.46-13.46c0-16.02 18.64-34.54 34.54-34.54C303.1 263.1 311.1 266.8 311.1 277.5zM375.1 341.5c0 16.03-18.65 34.54-34.54 34.54c-10.66 0-13.46-8.049-13.46-13.46c0-16.02 18.64-34.54 34.54-34.54C367.1 327.1 375.1 330.8 375.1 341.5z", "M170.5 392C154.5 392 136 410.7 136 426.5C136 431.9 138.8 440 149.5 440C165.5 440 184 421.4 184 405.5C184 394.8 175.1 392 170.5 392zM117.5 280C133.5 280 152 261.4 152 245.5C152 234.8 143.1 232 138.5 232C122.5 232 104 250.7 104 266.5C104 271.9 106.8 280 117.5 280zM106.5 328C90.5 328 72 346.7 72 362.5C72 367.9 74.8 376 85.46 376C101.5 376 120 357.4 120 341.5C120 330.8 111.1 328 106.5 328zM149.5 184C165.5 184 184 165.4 184 149.5C184 138.8 175.1 136 170.5 136C154.5 136 136 154.7 136 170.5C136 175.9 138.8 184 149.5 184zM213.5 248C229.5 248 248 229.4 248 213.5C248 202.8 239.1 200 234.5 200C218.5 200 200 218.7 200 234.5C200 239.9 202.8 248 213.5 248zM362.5 328C346.5 328 328 346.7 328 362.5C328 367.9 330.8 376 341.5 376C357.5 376 376 357.4 376 341.5C376 330.8 367.1 328 362.5 328zM298.5 264C282.5 264 264 282.7 264 298.5C264 303.9 266.8 312 277.5 312C293.5 312 312 293.4 312 277.5C312 266.8 303.1 264 298.5 264zM266.5 360C250.5 360 232 378.7 232 394.5C232 399.9 234.8 408 245.5 408C261.5 408 280 389.4 280 373.5C280 362.8 271.1 360 266.5 360zM202.5 296C186.5 296 168 314.7 168 330.5C168 335.9 170.8 344 181.5 344C197.5 344 216 325.4 216 309.5C216 298.8 207.1 296 202.5 296zM447.4 108.9c26.14-27.63 48.64-64.69 48.64-84.88c0-13.35-10.89-24.05-24.11-24.05c-32.46 0-16.75 44.21-66.63 82.54C403.6 43.24 373.6 0 360.3 0C347.8 0 320 38.39 320 78.36c0 9.305 .8223 10.95 1.404 15.79c.2773 .2813 .5684 .5137 .8457 .7969l94.97 94.98c.2344 .2305 .4297 .4727 .6621 .7031C422.6 191.2 424 192 433.5 192C471.1 192 512 164.9 512 151.6C512 139.8 477.1 115.4 447.4 108.9z"]],
    "street-view": [512, 512, [], "f21d", ["M151.6 366.3C153.1 379.3 145.4 391.8 132.3 394.2C102.1 399.8 78.57 407 63.27 414.7C60.09 416.3 57.47 417.8 55.33 419.2C51.7 421.6 51.72 426.4 55.34 428.8C64.15 434.6 78.48 440.6 98.33 446.1C137.7 456.1 193.5 464 256 464C318.5 464 374.3 456.1 413.7 446.1C433.5 440.6 447.9 434.6 456.7 428.8C460.3 426.4 460.3 421.6 456.7 419.2C454.5 417.8 451.9 416.3 448.7 414.7C433.4 407 409.9 399.8 379.7 394.2C366.6 391.8 358 379.3 360.4 366.3C362.8 353.3 375.3 344.6 388.3 347C420.8 352.9 449.2 361.2 470.3 371.8C480.8 377.1 490.6 383.5 498 391.4C505.6 399.5 512 410.5 512 424C512 445.4 496.5 460.1 482.9 469C468.2 478.6 448.6 486.3 426.4 492.4C381.8 504.7 321.6 512 256 512C190.4 512 130.2 504.7 85.57 492.4C63.44 486.3 43.79 478.6 29.12 469C15.46 460.1 0 445.4 0 424C0 410.5 6.376 399.5 13.96 391.4C21.44 383.5 31.24 377.1 41.72 371.8C62.75 361.2 91.24 352.9 123.7 347C136.7 344.6 149.2 353.3 151.6 366.3H151.6z", "M192 64C192 28.65 220.7 0 256 0C291.3 0 320 28.65 320 64C320 99.35 291.3 128 256 128C220.7 128 192 99.35 192 64zM160 224C160 188.7 188.7 160 224 160H288C323.3 160 352 188.7 352 224V272C352 289.7 337.7 304 320 304H318.2L307.2 403.5C305.4 419.7 291.7 432 275.4 432H236.6C220.3 432 206.6 419.7 204.8 403.5L193.8 304H192C174.3 304 160 289.7 160 272L160 224z"]],
    "stretcher": [640, 512, [], "f825", ["M480 384c-12.61 0-24.29 3.773-34.2 10.07L409.3 368l109.5-80h-82.24L368 338.5L299.4 288H217.2l109.5 80l-36.5 26.07C280.3 387.8 268.6 384 255.1 384c-35.35 0-64 28.65-64 63.1c0 35.35 28.65 64 64 64S319.1 483.3 319.1 448c0-5.137-.765-10.07-1.908-14.85L368 397.5l49.91 35.65C416.8 437.9 415.1 442.9 415.1 448c0 35.35 28.65 64 64 64s64-28.65 64-64C544 412.7 515.3 384 480 384zM255.1 464c-8.822 0-16-7.178-16-16s7.178-16 15.1-16C264.8 432 271.1 439.2 271.1 448S264.8 464 255.1 464zM480 464c-8.822 0-16-7.178-16-16S471.2 432 480 432s16 7.178 16 16S488.8 464 480 464z", "M640 223.1v32C640 273.6 625.6 288 608 288H177.6C159.4 288 141.9 280.1 129.7 266.5L8.115 138.5c-11.75-13.25-10.62-33.38 2.625-45.13l23.88-21.25c13.25-11.75 33.5-10.62 45.25 2.625l112.1 117.3H608C625.6 191.1 640 206.4 640 223.1z"]],
    "strikethrough": [512, 512, [], "f0cc", ["M332.2 319.9c17.22 12.17 22.33 26.51 18.61 48.21c-3.031 17.59-10.88 29.34-24.72 36.99c-35.44 19.75-108.5 11.96-186-19.68c-16.34-6.686-35.03 1.156-41.72 17.53s1.188 35.05 17.53 41.71c31.75 12.93 95.69 35.37 157.6 35.37c29.62 0 58.81-5.156 83.72-18.96c30.81-17.09 50.44-45.46 56.72-82.11c3.998-23.27 2.168-42.58-3.488-59.05H332.2zM311.5 239.9c-15.85-5.613-31.83-10.34-46.7-14.62c-85.47-24.62-110.9-39.05-103.7-81.33c2.5-14.53 10.16-25.96 22.72-34.03c20.47-13.15 64.06-23.84 155.4 .3438c17.09 4.531 34.59-5.654 39.13-22.74c4.531-17.09-5.656-34.59-22.75-39.12c-91.31-24.18-160.7-21.62-206.3 7.654C121.8 73.72 103.6 101.1 98.09 133.1C89.26 184.5 107.9 217.3 137.2 239.9H311.5z", "M488 239.9H24c-13.25 0-24 10.75-24 23.1c0 13.25 10.75 23.1 24 23.1h464c13.25 0 24-10.75 24-23.1C512 250.7 501.3 239.9 488 239.9z"]],
    "stroopwafel": [512, 512, [], "f551", ["M188.1 210.8l-45.25 45.25l45.25 45.25l45.25-45.25L188.1 210.8zM301.2 188.1l-45.25-45.25L210.7 188.1l45.25 45.25L301.2 188.1zM210.7 323.9l45.25 45.25l45.25-45.25L255.1 278.6L210.7 323.9zM256 16c-132.5 0-240 107.5-240 240s107.5 240 240 240s240-107.5 240-240S388.5 16 256 16zM442.6 295.6l-11.25 11.25c-3.125 3.125-8.25 3.125-11.38 0L391.8 278.6l-45.25 45.25l34 33.88l16.88-16.88c3.125-3.125 8.251-3.125 11.38 0l11.25 11.25c3.125 3.125 3.125 8.25 0 11.38l-16.88 16.88l16.88 17c3.125 3.125 3.125 8.25 0 11.38l-11.25 11.25c-3.125 3.125-8.251 3.125-11.38 0l-16.88-17l-17 17c-3.125 3.125-8.25 3.125-11.38 0l-11.25-11.25c-3.125-3.125-3.125-8.25 0-11.38l17-17l-34-33.88l-45.25 45.25l28.25 28.25c3.125 3.125 3.125 8.25 0 11.38l-11.25 11.25c-3.125 3.125-8.25 3.125-11.38 0l-28.25-28.25L227.7 442.6c-3.125 3.125-8.25 3.125-11.38 0l-11.25-11.25c-3.125-3.125-3.125-8.25 0-11.38l28.25-28.25l-45.25-45.25l-33.88 34l16.88 16.88c3.125 3.125 3.125 8.25 0 11.38l-11.25 11.25c-3.125 3.125-8.25 3.125-11.38 0L131.6 403.1l-16.1 16.88c-3.125 3.125-8.25 3.125-11.38 0l-11.25-11.25c-3.125-3.125-3.125-8.25 0-11.38l17-16.88l-17-17c-3.125-3.125-3.125-8.25 0-11.38l11.25-11.25c3.125-3.125 8.25-3.125 11.38 0l16.1 17l33.88-34L120.2 278.6l-28.25 28.25c-3.125 3.125-8.25 3.125-11.38 0L69.37 295.6c-3.125-3.125-3.125-8.25 0-11.38l28.25-28.25l-28.25-28.25c-3.125-3.125-3.125-8.25 0-11.38l11.25-11.25c3.125-3.125 8.25-3.125 11.38 0l28.25 28.25l45.25-45.25l-34-34l-16.88 17c-3.125 3.125-8.25 3.125-11.38 0l-11.25-11.25c-3.125-3.125-3.125-8.25 0-11.38l16.88-17l-16.88-16.88c-3.125-3.125-3.125-8.25 0-11.38l11.25-11.25c3.125-3.125 8.25-3.125 11.38 0l16.88 17l17-17c3.125-3.125 8.25-3.125 11.38 0l11.25 11.25c3.125 3.125 3.125 8.25 0 11.38l-17 16.88l34 34l45.25-45.25L205.1 92c-3.125-3.125-3.125-8.25 0-11.38l11.25-11.25c3.125-3.125 8.25-3.125 11.38 0l28.25 28.25l28.25-28.25c3.125-3.125 8.25-3.125 11.38 0l11.25 11.25c3.125 3.125 3.125 8.25 0 11.38l-28.25 28.25l45.25 45.25l34-34l-17-16.88c-3.125-3.125-3.125-8.25 0-11.38l11.25-11.25c3.125-3.125 8.25-3.125 11.38 0l17 16.88l16.88-16.88c3.125-3.125 8.251-3.125 11.38 0l11.25 11.25c3.125 3.125 3.125 8.25 0 11.38l-17 16.88l17 17c3.125 3.125 3.125 8.25 0 11.38l-11.25 11.25c-3.125 3.125-8.251 3.125-11.38 0l-16.88-17l-34 34l45.25 45.25l28.25-28.25c3.125-3.125 8.25-3.125 11.38 0l11.25 11.25c3.125 3.125 3.125 8.25 0 11.38l-28.25 28.25l28.25 28.25C445.7 287.4 445.7 292.5 442.6 295.6zM278.6 256l45.25 45.25l45.25-45.25l-45.25-45.25L278.6 256z", "M414.4 256l28.25-28.25c3.127-3.125 3.127-8.25 0-11.38l-11.25-11.25c-3.125-3.125-8.25-3.125-11.38 0l-28.25 28.25l-45.25-45.25l34-34l16.88 17c3.125 3.125 8.249 3.125 11.38 0l11.25-11.25c3.125-3.125 3.125-8.25 0-11.38l-17-17l17-16.88c3.125-3.125 3.125-8.25 0-11.38L408.8 92c-3.127-3.125-8.251-3.125-11.38 0l-16.88 16.88l-17-16.88c-3.125-3.125-8.25-3.125-11.38 0l-11.25 11.25c-3.123 3.125-3.123 8.25 0 11.38l17 16.88l-34 34l-45.25-45.25l28.25-28.25c3.125-3.125 3.125-8.25 0-11.38l-11.25-11.25c-3.125-3.125-8.25-3.125-11.38 0L255.1 97.63L227.7 69.38c-3.125-3.125-8.25-3.125-11.38 0L205.1 80.63c-3.125 3.125-3.125 8.25 0 11.38l28.25 28.25l-45.25 45.25l-34-34l17-16.88c3.125-3.125 3.125-8.25 0-11.38L159.9 92c-3.125-3.125-8.25-3.125-11.38 0l-17 17l-16.88-17c-3.125-3.125-8.25-3.125-11.38 0l-11.25 11.25c-3.125 3.125-3.125 8.25 0 11.38l16.88 16.88l-16.88 17c-3.125 3.125-3.125 8.25 0 11.38l11.25 11.25c3.125 3.125 8.25 3.125 11.38 0l16.88-17l34 34l-45.25 45.25l-28.25-28.25c-3.125-3.125-8.25-3.125-11.38 0l-11.25 11.25c-3.125 3.125-3.125 8.25 0 11.38l28.25 28.25L69.37 284.3c-3.125 3.125-3.125 8.25 0 11.38l11.25 11.25c3.125 3.125 8.25 3.125 11.38 0l28.25-28.25l45.25 45.25l-33.88 34l-16.1-17c-3.125-3.125-8.25-3.125-11.38 0l-11.25 11.25c-3.125 3.125-3.125 8.25 0 11.38l17 17l-17 16.88c-3.125 3.125-3.125 8.25 0 11.38l11.25 11.25c3.125 3.125 8.25 3.125 11.38 0l16.1-16.88l16.88 16.88c3.125 3.125 8.25 3.125 11.38 0l11.25-11.25c3.125-3.125 3.125-8.25 0-11.38l-16.88-16.88l33.88-34l45.25 45.25l-28.25 28.25c-3.125 3.125-3.125 8.25 0 11.38l11.25 11.25c3.125 3.125 8.25 3.125 11.38 0l28.25-28.25l28.25 28.25c3.125 3.125 8.25 3.125 11.38 0l11.25-11.25c3.125-3.125 3.125-8.25 0-11.38l-28.25-28.25l45.25-45.25l34 33.88l-17 17c-3.123 3.125-3.123 8.25 0 11.38l11.25 11.25c3.125 3.125 8.25 3.125 11.38 0l17-17l16.88 17c3.125 3.125 8.249 3.125 11.38 0l11.25-11.25c3.125-3.125 3.125-8.25 0-11.38l-16.88-17l16.88-16.88c3.125-3.125 3.125-8.25 0-11.38l-11.25-11.25c-3.127-3.125-8.251-3.125-11.38 0l-16.88 16.88l-34-33.88l45.25-45.25l28.25 28.25c3.125 3.125 8.25 3.125 11.38 0l11.25-11.25c3.127-3.125 3.127-8.25 0-11.38L414.4 256zM255.1 142.9l45.25 45.25l-45.25 45.25L210.7 188.1L255.1 142.9zM142.9 256l45.25-45.25l45.25 45.25l-45.25 45.25L142.9 256zM255.1 369.1l-45.25-45.25L255.1 278.6l45.25 45.25L255.1 369.1zM323.9 301.3l-45.25-45.25l45.25-45.25l45.25 45.25L323.9 301.3z"]],
    "subscript": [512, 512, [], "f12c", ["M320 128c17.67 0 32-14.31 32-32s-14.33-32-32-32l-32-.0024c-10.44 0-20.23 5.101-26.22 13.66L176 200.2L90.22 77.67C84.23 69.11 74.44 64.01 64 64.01L32 64.01c-17.67 0-32 14.32-32 32s14.33 32 32 32h15.34L136.9 256l-89.6 128H32c-17.67 0-32 14.31-32 32s14.33 31.1 32 31.1l32-.0024c10.44 0 20.23-5.086 26.22-13.65L176 311.8l85.78 122.5C267.8 442.9 277.6 448 288 448l32 .0024c17.67 0 32-14.31 32-31.1s-14.33-32-32-32h-15.34l-89.6-128l89.6-127.1H320z", "M480 448v-128c0-11.09-5.75-21.38-15.17-27.22c-9.422-5.875-21.25-6.344-31.14-1.406l-32 16c-15.81 7.906-22.22 27.12-14.31 42.94c5.609 11.22 16.89 17.69 28.62 17.69v80c-17.67 0-32 14.31-32 32s14.33 32 32 32h64c17.67 0 32-14.31 32-32S497.7 448 480 448z"]],
    "suitcase": [512, 512, [129523], "f0f2", ["M128 480H96V96H128V480zM416 480H384V96H416V480z", "M128 56C128 25.07 153.1 0 184 0H328C358.9 0 384 25.07 384 56V480H128V56zM176 96H336V56C336 51.58 332.4 48 328 48H184C179.6 48 176 51.58 176 56V96zM64 96H96V480H64C28.65 480 0 451.3 0 416V160C0 124.7 28.65 96 64 96zM448 480H416V96H448C483.3 96 512 124.7 512 160V416C512 451.3 483.3 480 448 480z"]],
    "suitcase-medical": [512, 512, ["medkit"], "f0fa", ["M64 480h64V96H64V480zM384 96v384h64V96H384z", "M0 144v288C0 457.6 22.41 480 48 480H64V96H48C22.41 96 0 118.4 0 144zM336 0h-160C150.4 0 128 22.41 128 48V480h256V48C384 22.41 361.6 0 336 0zM176 48h160V96h-160V48zM352 312C352 316.4 348.4 320 344 320H288v56c0 4.375-3.625 8-8 8h-48C227.6 384 224 380.4 224 376V320H168C163.6 320 160 316.4 160 312v-48C160 259.6 163.6 256 168 256H224V200C224 195.6 227.6 192 232 192h48C284.4 192 288 195.6 288 200V256h56C348.4 256 352 259.6 352 264V312zM464 96H448v384h16c25.59 0 48-22.41 48-48v-288C512 118.4 489.6 96 464 96z"]],
    "suitcase-rolling": [448, 512, [], "f5c1", ["M176.1 48h96V128h47.97l.0123-80c0-26.5-21.5-48-48-48h-96c-26.5 0-48 21.5-48 48L128 128h48.03V48zM96 496C96 504.9 103.1 512 112 512h32C152.9 512 160 504.9 160 496L160.1 480H96.05L96 496zM288 496c0 8.875 7.125 16 16 16h32c8.875 0 16-7.125 16-16l.0492-16h-63.99L288 496zM336 352h-224C103.2 352 96 359.2 96 368C96 376.8 103.2 384 112 384h224c8.801 0 16-7.201 16-16C352 359.2 344.8 352 336 352zM112 256h224C344.8 256 352 248.8 352 240C352 231.2 344.8 224 336 224h-224C103.2 224 96 231.2 96 240C96 248.8 103.2 256 112 256z", "M368 128h-288C53.5 128 32 149.5 32 176v256C32 458.5 53.5 480 80 480h288c26.5 0 48-21.5 48-48v-256C416 149.5 394.5 128 368 128zM336 384h-224C103.2 384 96 376.8 96 368C96 359.2 103.2 352 112 352h224c8.801 0 16 7.199 16 16C352 376.8 344.8 384 336 384zM336 256h-224C103.2 256 96 248.8 96 240C96 231.2 103.2 224 112 224h224C344.8 224 352 231.2 352 240C352 248.8 344.8 256 336 256z"]],
    "sun": [512, 512, [9728], "f185", ["M509.3 347L446.1 255.1l63.15-91.01c6.332-9.125 1.104-21.74-9.826-23.72l-109-19.7l-19.7-109c-1.975-10.93-14.59-16.16-23.72-9.824L256 65.89L164.1 2.736c-9.125-6.332-21.74-1.107-23.72 9.824L121.6 121.6L12.56 141.3C1.633 143.2-3.596 155.9 2.736 164.1L65.89 256l-63.15 91.01c-6.332 9.125-1.105 21.74 9.824 23.72l109 19.7l19.7 109c1.975 10.93 14.59 16.16 23.72 9.824L256 446.1l91.01 63.15c9.127 6.334 21.75 1.107 23.72-9.822l19.7-109l109-19.7C510.4 368.8 515.6 356.1 509.3 347zM256 383.1c-70.69 0-127.1-57.31-127.1-127.1c0-70.69 57.31-127.1 127.1-127.1s127.1 57.3 127.1 127.1C383.1 326.7 326.7 383.1 256 383.1z", "M256 159.1c-53.02 0-95.1 42.98-95.1 95.1S202.1 351.1 256 351.1s95.1-42.98 95.1-95.1S309 159.1 256 159.1z"]],
    "sun-bright": [512, 512, ["sun-alt"], "e28f", ["M108.9 74.97c-9.344-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94l45.25 45.28c4.672 4.688 10.83 7.031 16.97 7.031S149.5 158.9 154.2 154.2c9.375-9.375 9.375-24.56 0-33.93L108.9 74.97zM256 0C242.8 0 232 10.75 232 24v64C232 101.3 242.8 112 256 112s24-10.75 24-24v-64C280 10.75 269.3 0 256 0zM112 256c0-13.25-10.75-24-24-24h-64C10.75 232 0 242.8 0 256s10.75 24 24 24h64C101.3 280 112 269.3 112 256zM374.8 161.2c6.141 0 12.3-2.344 16.97-7.031l45.25-45.28c9.375-9.375 9.375-24.56 0-33.94s-24.59-9.375-33.94 0l-45.25 45.28c-9.375 9.375-9.375 24.56 0 33.93C362.5 158.9 368.7 161.2 374.8 161.2zM256 400c-13.25 0-24 10.75-24 24v64C232 501.3 242.8 512 256 512s24-10.75 24-24v-64C280 410.8 269.3 400 256 400zM120.2 357.8l-45.25 45.28c-9.375 9.375-9.375 24.56 0 33.94c4.688 4.688 10.83 7.031 16.97 7.031s12.3-2.344 16.97-7.031l45.25-45.28c9.375-9.375 9.375-24.56 0-33.93S129.6 348.4 120.2 357.8zM488 232h-64c-13.25 0-24 10.75-24 24s10.75 24 24 24h64C501.3 280 512 269.3 512 256S501.3 232 488 232zM391.8 357.8c-9.344-9.375-24.56-9.372-33.94 .0031s-9.375 24.56 0 33.93l45.25 45.28c4.672 4.688 10.83 7.031 16.97 7.031s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94L391.8 357.8z", "M256 144C194.1 144 144 194.1 144 256c0 61.86 50.14 112 112 112s112-50.14 112-112C368 194.1 317.9 144 256 144z"]],
    "sun-cloud": [640, 512, [127780], "f763", ["M325.3 363.4C305.3 376.3 281.6 384 256 384c-70.69 0-128-57.31-128-128c0-70.69 57.31-128 128-128c46.04 0 86.06 24.52 108.6 60.1c15.28-29.75 43.27-51.29 76.25-58.31l-50.44-9.115l-19.7-109c-1.975-10.93-14.59-16.16-23.72-9.824L256 65.89L164.1 2.736c-9.125-6.332-21.74-1.107-23.72 9.824L121.6 121.6L12.56 141.3C1.633 143.2-3.596 155.9 2.736 164.1L65.89 256l-63.15 91.01c-6.332 9.125-1.105 21.74 9.824 23.72l109 19.7l19.7 109c1.975 10.93 14.59 16.16 23.72 9.824L256 446.1l91.01 63.15c9.127 6.334 21.75 1.107 23.72-9.822l21.47-115.5L384 383.1C361.8 383.1 341.6 376.1 325.3 363.4zM336.9 204.7C319.8 177.9 290.1 160 256 160c-53.02 0-96 42.98-96 96s42.98 96 96 96c17.21 0 33.13-4.896 47.1-12.83C293.7 324.3 288 306.8 288 287.1C288 252.2 307.8 221.2 336.9 204.7z", "M576 223.1c-12 0-23.12 3.5-32.75 9.25C539.8 192.2 505.9 159.1 464 159.1c-38.75 0-71.13 27.63-78.38 64.25c-.5 0-1-.25-1.625-.25c-35.25 0-64 28.75-64 64s28.75 64 64 64h192c35.25 0 64-28.75 64-64S611.3 223.1 576 223.1z"]],
    "sun-dust": [512, 512, [], "f764", ["M160 256c0 26.51 10.74 50.51 28.11 67.88l135.8-135.8C306.5 170.7 282.5 160 256 160C202.1 160 160 202.1 160 256zM370.7 12.56c-1.975-10.93-14.59-16.16-23.72-9.824L256 65.89L164.1 2.738c-9.125-6.332-21.74-1.107-23.72 9.824L121.6 121.6L12.56 141.3C1.633 143.2-3.596 155.9 2.736 164.1L65.89 256l-63.15 91.01c-6.332 9.125-1.105 21.74 9.824 23.72l109 19.7l43.92-43.92C142.3 323.3 128 291.3 128 256c0-70.69 57.31-128 128-128c35.35 0 67.35 14.33 90.51 37.49l43.92-43.92L370.7 12.56z", "M320 448c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S337.8 448 320 448zM240 368c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S257.8 368 240 368zM160 448c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S177.8 448 160 448zM480 192c17.75 0 32-14.25 32-32s-14.25-32-32-32s-32 14.25-32 32S462.3 192 480 192zM320 288c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S337.8 288 320 288zM480 288c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S497.8 288 480 288zM480 448c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S497.8 448 480 448zM400 368c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S417.8 368 400 368zM400 208c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S417.8 208 400 208z"]],
    "sun-haze": [640, 512, [], "f765", ["M563.4 141.3l-109-19.7l-19.7-109c-1.975-10.93-14.59-16.16-23.72-9.824L320 65.89L228.1 2.738c-9.125-6.332-21.74-1.107-23.72 9.824L185.6 121.6L76.56 141.3C65.63 143.2 60.4 155.9 66.74 164.1L129.9 256H192c0-70.69 57.31-127.1 128-127.1S448 185.3 448 256h62.11l63.15-91.01C579.6 155.9 574.4 143.2 563.4 141.3zM320 160C266.1 160 224 202.1 224 256h192C416 202.1 373 160 320 160z", "M87.1 336h320c13.2 0 24-10.8 24-23.1s-10.8-23.1-24-23.1h-320C74.8 288 64 298.8 64 312S74.8 336 87.1 336zM504 336h112c13.2 0 24-10.8 24-23.1s-10.8-23.1-24-23.1h-112c-13.2 0-24 10.8-24 23.1S490.8 336 504 336zM200 464H87.1C74.8 464 64 474.8 64 488S74.8 512 87.1 512h112C213.2 512 224 501.2 224 488S213.2 464 200 464zM616 464h-320c-13.2 0-24 10.8-24 23.1S282.8 512 296 512h320c13.2 0 24-10.8 24-23.1S629.2 464 616 464zM576 400c0-13.2-10.8-23.1-24-23.1h-528C10.8 376 0 386.8 0 400s10.8 23.1 23.1 23.1h528C565.2 424 576 413.2 576 400z"]],
    "sun-plant-wilt": [640, 512, [], "e57a", ["M128 160C128 142.3 142.3 128 160 128C177.7 128 192 142.3 192 160C192 177.7 177.7 192 160 192C142.3 192 128 177.7 128 160zM199.4 64.89L256.1 43.23C262 40.98 268.7 42.4 273.1 46.86C277.6 51.32 279 57.99 276.8 63.88L255.1 120.6L310.5 145.4C316.3 147.1 320 153.7 320 160C320 166.3 316.3 172 310.5 174.6L255.1 199.4L276.8 256.1C279 262 277.6 268.7 273.1 273.1C268.7 277.6 262 279 256.1 276.8L199.4 255.1L174.6 310.5C172 316.3 166.3 320 160 320C153.7 320 147.1 316.3 145.4 310.5L120.6 255.1L63.88 276.8C57.99 279 51.32 277.6 46.86 273.1C42.4 268.7 40.98 262 43.23 256.1L64.89 199.4L9.467 174.6C3.708 172 0 166.3 0 160C0 153.7 3.708 147.1 9.467 145.4L64.89 120.6L43.23 63.88C40.98 57.99 42.4 51.32 46.86 46.86C51.32 42.4 57.99 40.98 63.88 43.23L120.6 64.89L145.4 9.467C147.1 3.708 153.7 0 160 0C166.3 0 172 3.708 174.6 9.467L199.4 64.89zM160 96C124.7 96 96 124.7 96 160C96 195.3 124.7 224 160 224C195.3 224 224 195.3 224 160C224 124.7 195.3 96 160 96z", "M536 144C518.3 144 504 158.3 504 176V448H608C625.7 448 640 462.3 640 480C640 497.7 625.7 512 608 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H456V272C456 254.3 441.7 240 424 240C406.3 240 392 254.3 392 272V293.4C406.8 301.1 416 316.5 416 338C416 357.3 394.5 390.1 368 416C341.5 390.1 320 357.6 320 338C320 316.5 329.2 301.1 344 293.4V272C344 227.8 379.8 192 424 192C435.4 192 446.2 194.4 456 198.7V176C456 131.8 491.8 96 536 96C580.2 96 616 131.8 616 176V229.4C630.8 237.1 640 252.5 640 274C640 293.3 618.5 326.1 592 352C565.5 326.1 544 293.6 544 274C544 252.5 553.2 237.1 568 229.4V176C568 158.3 553.7 144 536 144V144z"]],
    "sunglasses": [576, 512, [128374], "f892", ["M574.1 280.4l-45.38-181.7c-5.875-23.63-21.62-43.1-43-55.75c-21.5-11.75-47-14.13-70.25-6.375L400.3 41.64c-8.375 2.75-12.88 11.87-10 20.25l5 15.12c2.75 8.375 11.88 12.87 20.25 10.12l13.12-4.375c10.88-3.625 22.92-3.625 33.17 1.75c10.25 5.375 17.58 14.5 20.46 25.75l38.38 153.9C498.5 257.3 470.9 251.6 439.5 251.6c-34.88 0-74 6.996-114.9 26.75H251.4C210.5 258.6 171.4 251.6 136.5 251.6c-31.38 0-59.04 5.624-81.17 12.5l38.38-153.9c2.875-11.25 10.12-20.37 20.5-25.75C124.4 79.14 136.5 79.14 147.4 82.76L160.5 87.14c8.375 2.75 17.5-1.75 20.25-10.12l5-15.21C188.6 53.43 184.2 44.39 175.7 41.64l-15.25-5.125c-23.12-7.75-48.83-5.375-70.21 6.375s-37.13 32.12-43 55.75L1.875 280.4C.625 285.4 0 290.6 0 295.9v70.25C0 429 51.62 480 115.3 480h37.04c60.25 0 110.5-45.1 114.1-105.4l2.875-38.62h35.75l2.875 38.62C313.3 434 363.5 480 423.7 480h37.04C524.4 480 576 429 576 366.1v-70.25C576 290.6 575.4 285.5 574.1 280.4zM222.1 370.8c-2.551 33.15-31.09 58.98-65.04 58.98H109.7c-36.03 0-65.36-28.53-65.36-63.6V318.4c23.11-8.289 55.31-16.58 92.61-16.58c30.45 0 60.25 5.578 89.11 16.58L222.1 370.8zM531.6 366.2c0 35.07-29.33 63.6-65.36 63.6h-47.34c-33.95 0-62.49-25.82-65.04-58.98L349.9 318.4c28.85-11 58.82-16.58 89.27-16.58c36.98 0 69.34 8.289 92.45 16.58V366.2z", "M44.39 318.4v47.82c0 35.07 29.33 63.6 65.36 63.6h47.34c33.95 0 62.49-25.82 65.04-58.98L226.1 318.4C197.3 307.4 167.4 301.8 137 301.8C99.7 301.8 67.5 310.1 44.39 318.4zM64.25 367.9C64.25 367.3 64 366.8 64 366.1v-37.62c23.25-8.373 47.88-12.75 72.63-12.87c9.125 0 18.12 1.25 27.12 2.5L64.25 367.9zM439.2 301.8c-30.45 0-60.41 5.578-89.27 16.58l3.984 52.45c2.551 33.15 31.09 58.98 65.04 58.98h47.34c36.03 0 65.36-28.53 65.36-63.6V318.4C508.5 310.1 476.1 301.8 439.2 301.8zM372.4 365.9l-2.875-37.37c22.38-8.498 46-12.87 70-12.87c9.5 .125 19.12 .875 28.62 2.25L372.4 365.9z"]],
    "sunrise": [576, 512, [127749], "f766", ["M285.8 384c-35.43 0-65.97 19.41-82.52 48.01h165C351.8 403.4 321.3 384 285.8 384zM529.3 365.3l-109-19.7L400.6 236.5c-1.975-10.93-14.59-16.16-23.72-9.826l-91.01 63.16l-91.01-63.16C185.7 220.4 173.1 225.6 171.1 236.5l-19.7 109L42.39 365.3c-10.93 1.977-16.16 14.6-9.826 23.72l29.85 43.02h105.5c18.99-46.79 64.29-80.01 117.9-80.01s98.9 33.23 117.9 80.01h105.5l29.85-43.02C545.4 379.9 540.2 367.3 529.3 365.3z", "M551.1 463.1H24C10.8 463.1 0 474.8 0 487.1C0 501.2 10.8 512 24 512H551.1C565.2 512 576 501.2 576 487.1C576 474.8 565.2 463.1 551.1 463.1zM227.1 121L256 98.58V192c0 17.69 14.33 32 32 32s32-14.31 32-32V98.58L348 121c13.77 11.03 33.92 8.75 44.97-5c11.05-13.81 8.812-33.94-5-45l-80-64c-1.459-1.162-3.166-1.746-4.76-2.621c-1.266-.7012-2.385-1.535-3.748-2.062C295.8 .8867 291.9 0 288 0S280.2 .8867 276.5 2.316C275.2 2.844 274 3.678 272.8 4.379C271.2 5.254 269.5 5.838 268 7l-80 64C174.2 82.06 171.1 102.2 183 116C194 129.8 214.2 132 227.1 121z"]],
    "sunset": [576, 512, [127751], "f767", ["M529.3 365.3l-109-19.7L400.6 236.5c-1.975-10.93-14.59-16.16-23.72-9.826l-91.01 63.16l-91.01-63.16C185.7 220.4 173.1 225.6 171.1 236.5l-19.7 109L42.39 365.3c-10.93 1.977-16.16 14.6-9.826 23.72l29.85 43.02h105.5c18.99-46.79 64.29-80.01 117.9-80.01s98.9 33.23 117.9 80.01h105.5l29.85-43.02C545.4 379.9 540.2 367.3 529.3 365.3zM285.8 384c-35.43 0-65.97 19.41-82.52 48.01h165C351.8 403.4 321.3 384 285.8 384z", "M551.1 463.1H24C10.8 463.1 0 474.8 0 487.1C0 501.2 10.8 511.1 24 511.1H551.1c13.2 0 24-10.8 24-24C576 474.8 565.2 463.1 551.1 463.1zM268 217c1.459 1.162 3.166 1.746 4.76 2.621c1.266 .7012 2.385 1.535 3.748 2.062C280.2 223.1 284.1 224 288 224s7.771-.8867 11.48-2.316c1.363-.5273 2.482-1.361 3.748-2.062c1.594-.875 3.301-1.459 4.76-2.621l80-64c13.81-11.06 16.05-31.19 5-45c-11.02-13.81-31.19-16.03-44.97-5L320 125.4V32c0-17.69-14.33-32-32-32S256 14.31 256 32v93.42L227.1 103C214.2 91.97 194.1 94.25 183 108c-11.05 13.81-8.812 33.94 5 45L268 217z"]],
    "superscript": [512, 512, [], "f12b", ["M320 128c17.67 0 32-14.31 32-32s-14.33-32-32-32l-32-.0024c-10.44 0-20.23 5.101-26.22 13.66L176 200.2L90.22 77.67C84.23 69.11 74.44 64.01 64 64.01L32 64.01c-17.67 0-32 14.32-32 32s14.33 32 32 32h15.34L136.9 256l-89.6 128H32c-17.67 0-32 14.31-32 32s14.33 31.1 32 31.1l32-.0024c10.44 0 20.23-5.086 26.22-13.65L176 311.8l85.78 122.5C267.8 442.9 277.6 448 288 448l32 .0024c17.67 0 32-14.31 32-31.1s-14.33-32-32-32h-15.34l-89.6-128l89.6-127.1H320z", "M480 160v-128c0-11.09-5.75-21.37-15.17-27.22C455.4-1.048 443.6-1.548 433.7 3.39l-32 16c-15.81 7.906-22.22 27.12-14.31 42.94C392.1 73.55 404.3 80.01 416 80.01v80c-17.67 0-32 14.31-32 32s14.33 32 32 32h64c17.67 0 32-14.31 32-32S497.7 160 480 160z"]],
    "sushi": [576, 512, [127843, "nigiri"], "e48a", ["M32 384V369C40.55 369.7 49.47 368.7 58.35 365.6L251.3 298.8C271.3 291.9 292.1 291.7 313 298.4L518.5 366.6C527.1 369.5 535.7 370.4 544 369.7V384C544 419.3 515.3 448 480 448C460.9 448 443.7 439.6 432 426.3C420.3 439.6 403.1 448 384 448C364.9 448 347.7 439.6 336 426.3C324.3 439.6 307.1 448 288 448C268.9 448 251.7 439.6 240 426.3C228.3 439.6 211.1 448 192 448C172.9 448 155.7 439.6 144 426.3C132.3 439.6 115.1 448 96 448C60.65 448 32 419.3 32 384V384z", "M506.3 125.6C531 152.3 548.4 186.3 554.7 224.4L567.3 299.6C571.2 323.4 548.5 342.9 525.6 335.3L405.9 295.5L506.3 125.6zM374.8 285.2L323.1 268C308.5 263.1 293.2 261 277.9 261.6L393.5 66.05C426.3 70.9 456.7 84.09 482.1 103.6L374.8 285.2zM246.6 64H357.5L235.6 270.4L96.14 318.7L246.6 64zM49.42 334.8C26.98 341.5 4.951 322.3 8.857 298.9L21.26 224.4C36.63 132.2 116.1 64.57 209.5 64L49.42 334.8z"]],
    "sushi-roll": [448, 512, ["maki-roll", "makizushi"], "e48b", ["M308.2 198.4C272.9 184.9 244.4 162.4 226.2 135C210.2 138.9 189.9 145.6 169.4 155.9C150.8 165.2 132.8 177.1 117.1 191.9C102.8 186.6 90.28 180.1 81.09 172.8C101.5 149.6 126.1 132.4 151.4 120.1C171.5 110 191.6 102.9 208.9 98.19C207.2 92.37 205.1 86.44 205.1 80.44C211.3 80.15 217.6 80 223.1 80C231.4 80 238.7 80.2 245.8 80.59C255.1 123 299.1 165.9 368.6 171.4C355.4 182.6 334.3 191.1 308.2 198.4V198.4z", "M224 480C100.3 480 0 429.9 0 368V144C0 82.14 100.3 32 224 32C347.7 32 448 82.14 448 144V368C448 429.9 347.7 480 224 480zM224 208C312.4 208 384 179.3 384 144C384 108.7 312.4 80 224 80C135.6 80 64 108.7 64 144C64 179.3 135.6 208 224 208z"]],
    "swatchbook": [512, 512, [], "f5c3", ["M64 64H128V128H64V64zM435.2 214.4L223.6 425.9C223.9 422.7 224 419.3 224 416V154L299.4 78.63C311.9 66.13 332.2 66.13 344.7 78.63L435.2 169.1C447.7 181.6 447.7 201.9 435.2 214.4V214.4zM480 512H182.8L374.8 320H480C497.7 320 512 334.3 512 352V480C512 497.7 497.7 512 480 512zM128 256H64V192H128V256z", "M160 0C177.7 0 192 14.33 192 32V416C192 469 149 512 96 512C42.98 512 0 469 0 416V32C0 14.33 14.33 0 32 0H160zM128 64H64V128H128V64zM64 256H128V192H64V256zM96 440C109.3 440 120 429.3 120 416C120 402.7 109.3 392 96 392C82.75 392 72 402.7 72 416C72 429.3 82.75 440 96 440z"]],
    "sword": [512, 512, [128481], "f71c", ["M511.8 18.28l-15.87 93.75l-250.7 250.7L149.2 266.8l250.7-250.7l93.74-15.88C504.2-1.35 513.3 7.781 511.8 18.28z", "M110.1 227.6c-6.25-6.248-16.37-6.248-22.62 0l-18.75 18.75c-5.498 5.373-6.249 13.87-1.999 20.25l53.37 79.99l-53.5 53.5l-29.25-14.62c-5.375-2.748-11.75-1.623-16 2.625l-17.25 17.25c-5.5 5.375-5.5 14.25 0 19.62l82.87 82.87c5.375 5.5 14.25 5.5 19.62 0l17.25-17.25c4.25-4.25 5.375-10.62 2.625-16l-14.62-29.25l53.5-53.5l79.99 53.41c6.375 4.25 14.87 3.5 20.25-2l18.75-18.79c6.25-6.25 6.25-16.37 0-22.62L110.1 227.6z"]],
    "sword-laser": [512, 512, [], "e03b", ["M505.6 40.27L263.1 303.9L208.1 248.9l263.6-242.5c9.375-8.75 24.12-8.5 33.25 .625C514.1 16.14 514.4 30.89 505.6 40.27z", "M9.375 412.1c-12.5 12.5-12.5 32.75 0 45.25l45.25 45.25c12.5 12.5 32.75 12.5 45.25 0l79.12-79.12l-90.5-90.5L9.375 412.1zM105.5 327.3l79.25 79.25l22.62-22.62L128.1 304.6L105.5 327.3zM195.1 236.8c-3.125-3.125-8.125-3.125-11.25 0L173.4 248.1c-3.125 3.125-3.125 8.125 0 11.25l79.25 79.25c3.125 3.125 8.125 3.125 11.25 0l11.38-11.38c3.125-3.125 3.125-8.123 0-11.25L195.1 236.8zM139.5 293.4l79.12 79.12l22.62-22.62L162.1 270.8L139.5 293.4z"]],
    "sword-laser-alt": [512, 512, [], "e03c", ["M505.6 40.39l-196.7 215.6H198.1l273.5-249.6c9.5-8.75 24.25-8.5 33.37 .625C514.1 16.14 514.4 30.89 505.6 40.39z", "M94.25 327.3l-84.87 84.87c-12.5 12.5-12.5 32.75 0 45.25l107.5-107.5L94.25 327.3zM128.1 361.3l-107.5 107.4l22.62 22.75l107.5-107.5L128.1 361.3zM308.9 256H171.1c-4.25 0-8.25 1.75-11.25 4.75L105.5 315.9l90.62 90.62l124.1-123.1C330.5 273.4 323.3 256 308.9 256zM54.62 502.6c12.5 12.5 32.75 12.5 45.25 0l84.87-84.87l-22.62-22.62L54.62 502.6z"]],
    "swords": [512, 512, [9876], "f71d", ["M15.26 .1367c-8.875-1.25-16.37 6.25-15.12 15.13l13.25 78.13l318.6 318.7l79.1-80.01L93.38 13.39L15.26 .1367zM496.7 .1367l-78.12 13.25l-139.1 140l79.1 80.01l139.1-140l13.25-78.13C513.1 6.387 505.6-1.113 496.7 .1367zM100 332l79.1 80.01l53.37-53.38l-79.1-80.01L100 332z", "M507.2 462.1l-59.25-59.26l31.62-59.01c3.375-6.252 2.25-13.88-2.75-18.88L459.2 307.4c-6.25-6.252-16.37-6.252-22.62 0L307.3 436.8c-6.25 6.252-6.25 16.42 0 22.54l17.58 17.63c5 5.002 12.62 6.127 18.87 2.75l58.1-31.63l59.25 59.26c6.25 6.25 16.5 6.25 22.75 0l22.5-22.5C513.5 478.6 513.5 468.3 507.2 462.1zM75.3 307.3c-6.25-6.252-16.41-6.252-22.54 0l-17.62 17.58c-5 5-6.125 12.62-2.75 18.88l31.62 59.01L4.768 462.1c-6.25 6.25-6.25 16.5 0 22.75l22.5 22.5c6.25 6.25 16.5 6.25 22.75 0l59.25-59.26l58.1 31.63c6.25 3.377 13.87 2.252 18.87-2.75l17.5-17.63c6.25-6.25 6.25-16.42 0-22.54L75.3 307.3z"]],
    "swords-laser": [640, 512, [], "e03d", ["M223.2 233.2C223.3 234.1 224 234.8 224 235.9v113.1l74.34-81.44L247.1 211.3L223.2 233.2zM135 7.019C125.9 16.14 125.6 30.89 134.4 40.39l249.6 273.5l.0002-110.8L168.4 6.394C158.9-2.356 144.1-2.106 135 7.019zM505 7.019c-9.125-9.125-23.88-9.375-33.25-.625l-128.1 117.6l37.88 34.75c5.875-2.5 12.25-3.875 18.62-3.875c.25 0 .375 .125 .625 .125l104.9-114.7C514.4 30.89 514.1 16.14 505 7.019z", "M411.3 191.8c-10.01-10.25-27.26-3.067-27.26 11.31l.0001 136.9c-.125 4.25 1.627 8.25 4.627 11.25l55.28 55.25l90.54-90.62L411.3 191.8zM196.6 224.6l-28.75 29.12c-12.5-12.5-32.75-12.5-45.25 0C110.1 266.3 110.1 286.5 122.5 299l-113.1 113.1c-12.5 12.5-12.5 32.75 0 45.25l45.25 45.25c12.5 12.5 32.75 12.5 45.25 0l119.4-118.4C222.2 381.3 224 377.1 224 372.9V235.9C224 221.6 206.6 214.5 196.6 224.6zM168.5 360.5c-8.75 0-16-7.25-16-15.1c0-8.873 7.25-15.1 16-15.1c8.875 0 16 7.126 16 15.1C184.5 353.3 177.4 360.5 168.5 360.5zM630.6 412.1l-84.91-84.87l-22.64 22.62l107.6 107.5C643.1 444.9 643.1 424.6 630.6 412.1zM455.2 417.8l84.91 84.87c12.51 12.5 32.77 12.5 45.27 0l-107.6-107.5L455.2 417.8zM489.2 383.9l107.4 107.5l22.76-22.62l-107.5-107.5L489.2 383.9z"]],
    "symbols": [512, 512, [128291, "icons-alt"], "f86e", ["M192 0C209.7 0 224 14.33 224 32C224 49.67 209.7 64 192 64H32C14.33 64 0 49.67 0 32C0 14.33 14.33 0 32 0H192zM342.6 502.6C330.1 515.1 309.9 515.1 297.4 502.6C284.9 490.1 284.9 469.9 297.4 457.4L457.4 297.4C469.9 284.9 490.1 284.9 502.6 297.4C515.1 309.9 515.1 330.1 502.6 342.6L342.6 502.6zM0 128C0 110.3 14.33 96 32 96H192C209.7 96 224 110.3 224 128C224 145.7 209.7 160 192 160H144V192C144 209.7 129.7 224 112 224C94.33 224 80 209.7 80 192V160H32C14.33 160 0 145.7 0 128zM368 328C368 350.1 350.1 368 328 368C305.9 368 288 350.1 288 328C288 305.9 305.9 288 328 288C350.1 288 368 305.9 368 328zM432 472C432 449.9 449.9 432 472 432C494.1 432 512 449.9 512 472C512 494.1 494.1 512 472 512C449.9 512 432 494.1 432 472z", "M500.3 7.253C507.7 13.33 512 22.41 512 32V176C512 202.5 483.3 224 448 224C412.7 224 384 202.5 384 176C384 149.5 412.7 128 448 128V71.03L352 90.23V208C352 234.5 323.3 256 288 256C252.7 256 224 234.5 224 208C224 181.5 252.7 160 288 160V64C288 48.75 298.8 35.61 313.7 32.62L473.7 .6218C483.1-1.259 492.9 1.175 500.3 7.253H500.3zM145.9 384.8L169.4 361.4C181.9 348.9 202.1 348.9 214.6 361.4C227.1 373.9 227.1 394.1 214.6 406.6L189.9 431.3L215.2 457.1C227.4 470.8 226.8 491.1 214 503.2C201.2 515.4 180.9 514.8 168.8 502L144.7 476.6L131.9 489.4C117.4 503.9 97.74 512 77.25 512C34.59 512 0 477.4 0 434.7V433.8C0 414.4 7.247 395.7 20.33 381.3L34.82 365.3C23.19 353.7 16 337.7 16 320C16 284.7 44.65 256 80 256C115.3 256 144 284.7 144 320C144 337.1 137.3 352.7 126.3 364.2L145.9 384.8zM64 433.8V434.7C64 442.1 69.94 448 77.26 448C80.77 448 84.14 446.6 86.63 444.1L100.6 430.1L81.14 409.5L67.68 424.3C65.31 426.9 64 430.3 64 433.8H64zM96 320C96 311.2 88.84 304 80 304C71.16 304 64 311.2 64 320C64 328.8 71.16 336 80 336C88.84 336 96 328.8 96 320z"]],
    "synagogue": [640, 512, [128333], "f69b", ["M160 512H64C28.65 512 0 483.3 0 448V309.3C0 296.5 5.057 284.3 14.06 275.3L76.69 212.7C82.93 206.4 93.07 206.4 99.31 212.7L160 273.4L160 512zM480 273.4L540.7 212.7C546.9 206.4 557.1 206.4 563.3 212.7L625.9 275.3C634.9 284.3 640 296.5 640 309.3V464C640 490.5 618.5 512 592 512H480L480 273.4z", "M451.2 104.5C469.5 119.7 480 142.2 480 165.1V512H384V384C384 348.7 355.3 320 320 320C284.7 320 256 348.7 256 384V512H160V165.1C160 142.2 170.5 119.7 188.8 104.5L309.8 3.708C315.7-1.236 324.3-1.236 330.2 3.708L451.2 104.5zM297.2 152.4L264.9 152.1C258.7 152.1 254.8 158.8 257.9 164.2L274.3 191.1L257.9 219.8C254.8 225.2 258.7 231.9 264.9 231.9L297.2 231.6L313 259.7C316.1 265.1 323.9 265.1 326.1 259.7L342.8 231.6L375.1 231.9C381.3 231.9 385.2 225.2 382.1 219.8L365.7 191.1L382.1 164.2C385.2 158.8 381.3 152.1 375.1 152.1L342.8 152.4L326.1 124.3C323.9 118.9 316.1 118.9 313 124.3L297.2 152.4z"]],
    "syringe": [512, 512, [128137], "f48e", ["M208.8 154.1l58.56 58.56c6.25 6.25 6.25 16.38 0 22.62C264.2 238.4 260.1 240 256 240S247.8 238.4 244.7 235.3L186.1 176.8L144.8 218.1l58.56 58.56c6.25 6.25 6.25 16.38 0 22.62C200.2 302.4 196.1 304 192 304S183.8 302.4 180.7 299.3L122.1 240.8L82.75 280.1C70.74 292.1 64 308.4 64 325.4v88.68l-56.97 56.97C2.344 475.7 0 481.9 0 487.1c0 6.141 2.344 12.28 7.031 16.97C11.72 509.7 17.86 512 24 512s12.28-2.344 16.97-7.031L97.94 448h88.69c16.97 0 33.25-6.744 45.26-18.75l210.2-210.2L292.1 69.89L208.8 154.1z", "M504.1 71.03l-64-64C436.3 2.344 430.1 0 424 0c-6.141 0-12.28 2.344-16.97 7.031c-9.375 9.375-9.375 24.56 0 33.94L422.1 56L384 94.06l-55.03-55.03c-9.375-9.375-24.56-9.375-33.94 0c-4.233 4.233-6.451 9.601-6.757 15.08c-.3062 5.483 1.297 11.08 4.71 15.78l149.1 149.1C446.3 222.1 451.1 224 456 224c6.141 0 12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94L417.9 128L456 89.94l15.03 15.03C475.7 109.7 481.9 112 488 112s12.28-2.344 16.97-7.031C509.7 100.3 511.1 94.14 512 88C512 81.86 509.7 75.72 504.1 71.03zM144.8 218.1L122.1 240.8l58.56 58.56C183.8 302.4 187.9 304 192 304s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L144.8 218.1zM208.8 154.1L186.1 176.8l58.56 58.56C247.8 238.4 251.9 240 256 240s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L208.8 154.1z"]],
    "t": [384, 512, [116], "54", ["M384 64.01c0 17.67-14.33 32-32 32h-128v352c0 17.67-14.33 31.99-32 31.99s-32-14.32-32-31.99v-352H32c-17.67 0-32-14.33-32-32s14.33-32 32-32h320C369.7 32.01 384 46.34 384 64.01z", ""]],
    "table": [512, 512, [], "f0ce", ["M64 320V256H224V160H288V256H448V320H288V416H224V320H64z", "M0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM64 160V416H448V160H64z"]],
    "table-cells": [512, 512, ["th"], "f00a", ["M144 160V96H208V160H304V96H368V160H448V224H368V288H448V352H368V416H304V352H208V416H144V352H64V288H144V224H64V160H144zM208 224V288H304V224H208z", "M448 32C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448zM448 96H64V416H448V96z"]],
    "table-cells-large": [512, 512, ["th-large"], "f009", ["M64 288V224H224V96H288V224H448V288H288V416H224V288H64z", "M448 32C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448zM448 96H64V416H448V96z"]],
    "table-columns": [512, 512, ["columns"], "f0db", ["M288 160V416H224V160H288z", "M64 480C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64zM64 160V416H448V160H64z"]],
    "table-layout": [512, 512, [], "e290", ["M448 160V224H192V416H128V224H64V160H448z", "M448 32C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448zM448 96H64V416H448V96z"]],
    "table-list": [512, 512, ["th-list"], "f00b", ["M128 160V96H192V160H448V224H192V288H448V352H192V416H128V352H64V288H128V224H64V160H128z", "M448 32C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448zM448 96H64V416H448V96z"]],
    "table-picnic": [512, 512, [], "e32d", ["M106.3 224h68.94L213.7 128H144.7L106.3 224zM34.28 404.1c-6.562 16.41 1.438 35.03 17.84 41.59C56 447.3 60.03 448 64 448c12.69 0 24.72-7.594 29.72-20.12L149.7 288H80.73L34.28 404.1zM367.3 128H298.3l38.4 96h68.94L367.3 128zM477.7 404.1L431.3 288H362.3l55.95 139.9C423.3 440.4 435.3 448 448 448c3.969 0 8-.7187 11.88-2.281C476.3 439.2 484.3 420.5 477.7 404.1z", "M96 128h320c17.67 0 32-14.33 32-32c0-17.67-14.33-32-32-32H96C78.33 64 64 78.33 64 96C64 113.7 78.33 128 96 128zM480 224H32C14.33 224 0 238.3 0 256c0 17.67 14.33 32 32 32h448c17.67 0 32-14.33 32-32C512 238.3 497.7 224 480 224z"]],
    "table-pivot": [512, 512, [], "e291", ["M128 192V416H448V160H160V32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V192H128z", "M128 32V160H0V96C0 60.65 28.65 32 64 32H128zM414.8 246.1C412.3 252.1 406.5 256 400 256H384V304C384 330.5 362.5 352 336 352H288V368C288 374.5 284.1 380.3 278.1 382.8C272.1 385.3 265.3 383.9 260.7 379.3L228.7 347.3C222.4 341.1 222.4 330.9 228.7 324.7L260.7 292.7C265.3 288.1 272.1 286.7 278.1 289.2C284.1 291.7 288 297.5 288 303.1V319.1H336C344.8 319.1 352 312.8 352 303.1V255.1H336C329.5 255.1 323.7 252.1 321.2 246.1C318.7 240.1 320.1 233.3 324.7 228.7L356.7 196.7C362.9 190.4 373.1 190.4 379.3 196.7L411.3 228.7C415.9 233.3 417.3 240.1 414.8 246.1L414.8 246.1z"]],
    "table-rows": [512, 512, ["rows"], "e292", ["M128 224H448V288H128V224z", "M64 480C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64zM128 416H448V96H128V416z"]],
    "table-tennis-paddle-ball": [512, 512, [127955, "ping-pong-paddle-ball", "table-tennis"], "f45d", ["M415.1 320c-52.99 0-95.99 42.1-95.99 95.1c0 52.1 42.99 95.99 95.99 95.99c52.1 0 95.99-42.1 95.99-95.99C511.1 363 468.1 320 415.1 320zM416 287.1c27.99 0 53.68 9.254 74.76 24.51c14.03-29.82 21.06-62.13 21.06-94.43c0-103.1-79.37-218.1-216.5-218.1c-59.94 0-120.4 23.71-165.5 68.95l-54.66 54.8c-8.354 8.375-15.06 17.3-20.95 26.44l237.3 237.3C304.5 330.6 355.2 287.1 416 287.1z", "M305.1 478.8c-4.604 .5198-9.091 .7597-13.72 .7597c-30.86 0-61.79-11.58-85.37-35.23l-35.95-36.04l-81.03 92.85c-6.227 7.208-14.95 10.86-23.7 10.86c-7.993 0-16-3.045-22.15-9.205l-34.05-34.2c-6.132-6.171-9.164-14.22-9.164-22.24c0-8.787 3.634-17.55 10.81-23.81l92.38-81.32L66.59 304.5C43.96 281.8 32.3 252.6 32.3 221.9c0-23.99 7.122-48.86 21.88-71.76l237.3 237.3c-2.105 9.205-3.45 18.69-3.45 28.53C288 438.1 294.5 460.2 305.1 478.8z"]],
    "table-tree": [512, 512, [], "e293", ["M144 368C117.5 368 96 346.5 96 320V160H128V224C128 232.8 135.2 240 144 240H176C184.8 240 192 247.2 192 256C192 264.8 184.8 272 176 272H144C138.4 272 133 271 128 269.3V320C128 328.8 135.2 336 144 336H240C248.8 336 256 343.2 256 352C256 360.8 248.8 368 240 368H144zM400 224C408.8 224 416 231.2 416 240V272C416 280.8 408.8 288 400 288H240C231.2 288 224 280.8 224 272V240C224 231.2 231.2 224 240 224H400zM400 320C408.8 320 416 327.2 416 336V368C416 376.8 408.8 384 400 384H304C295.2 384 288 376.8 288 368V336C288 327.2 295.2 320 304 320H400z", "M448 32C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448zM448 160H64V416H448V160z"]],
    "tablet": [448, 512, ["tablet-android"], "f3fb", ["M0 384v64c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64v-64H0zM288 447.1C288 456.8 280.8 464 272 464H175.1C167.2 464 160 456.8 160 448S167.2 432 175.1 432h96C280.8 432 288 439.2 288 447.1z", "M448 64v320H0V64c0-35.35 28.65-64 64-64h320C419.3 0 448 28.65 448 64z"]],
    "tablet-button": [448, 512, [], "f10a", ["M0 384v64c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64v-64H0zM224 480c-17.75 0-32-14.25-32-32s14.25-32 32-32s32 14.25 32 32S241.8 480 224 480z", "M448 64v320H0V64c0-35.35 28.65-64 64-64h320C419.3 0 448 28.65 448 64z"]],
    "tablet-rugged": [448, 512, [], "f48f", ["M439.3 164.4c5.375-2.625 8.75-8.125 8.75-14.25v-76.25c0-6.125-3.375-11.63-8.75-14.25l-23.25-11.62c0-26.5-21.5-48-47.1-48h-288c-26.5 0-48 21.5-48 48L8.799 59.63C3.424 62.25 .0492 67.75 .0492 73.88v76.25c0 6.125 3.375 11.63 8.75 14.25l23.25 11.62v16L8.799 203.6C3.424 206.3 .0492 211.8 .0492 217.9v76.25c0 6.125 3.375 11.62 8.75 14.25l23.25 11.62v16l-23.25 11.62C3.424 350.3 .0492 355.8 .0492 361.9v76.25c0 6.125 3.375 11.62 8.75 14.25l23.25 11.62c0 26.5 21.5 48 48 48h288c26.5 0 47.1-21.5 47.1-48l23.25-11.62c5.375-2.625 8.75-8.125 8.75-14.25v-76.25c0-6.125-3.375-11.62-8.75-14.25l-23.25-11.62v-16l23.25-11.62c5.375-2.625 8.75-8.125 8.75-14.25V217.9c0-6.125-3.375-11.63-8.75-14.25l-23.25-11.62v-16L439.3 164.4zM352 432c0 8.75-7.25 16-16 16h-224c-8.75 0-16-7.25-16-16v-352c0-8.75 7.25-16 16-16h224c8.75 0 16 7.25 16 16V432z", "M352 432c0 8.75-7.25 16-16 16h-224c-8.75 0-16-7.25-16-16v-352c0-8.75 7.25-16 16-16h224c8.75 0 16 7.25 16 16V432z"]],
    "tablet-screen": [448, 512, ["tablet-android-alt"], "f3fc", ["M384 .0001H64c-35.35 0-64 28.65-64 64v384c0 35.35 28.65 63.1 64 63.1h320c35.35 0 64-28.65 64-63.1v-384C448 28.65 419.3 .0001 384 .0001zM288 448c0 8.837-7.163 16-15.1 16H175.1c-8.837 0-15.1-7.163-15.1-16s7.163-16 15.1-16h96C280.8 432 288 439.2 288 448zM384 384H64v-320h320V384z", "M384 384H64v-320h320V384z"]],
    "tablet-screen-button": [448, 512, ["tablet-alt"], "f3fa", ["M384 .0001H64c-35.35 0-64 28.65-64 64v384c0 35.35 28.65 63.1 64 63.1h320c35.35 0 64-28.65 64-63.1v-384C448 28.65 419.3 .0001 384 .0001zM224 480c-17.75 0-32-14.25-32-32s14.25-32 32-32s32 14.25 32 32S241.8 480 224 480zM384 384H64v-320h320V384z", "M384 384H64v-320h320V384z"]],
    "tablets": [640, 512, [], "f490", ["M593.4 46.61c-56.52-56.51-144.2-61.39-206.1-16c-4.002 2.877-4.252 8.877-.75 12.25l211.3 211.4c3.5 3.502 9.504 3.252 12.25-.75C654.8 190.8 649.9 103.1 593.4 46.61zM362.9 65.74c-3.502-3.502-9.504-3.252-12.25 .75c-45.52 62.76-40.52 150.4 15.88 206.9c56.52 56.51 144.2 61.39 206.1 15.88c4.002-2.875 4.252-8.877 .75-12.25L362.9 65.74z", "M8.365 336h303.3c4.998 0 8.996-4.5 8.248-9.25C307.4 250.5 241.1 191.1 159.1 191.1S12.49 250.5 .1172 326.8C-.7578 331.5 3.367 336 8.365 336zM311.5 368H8.365c-4.998 0-9.123 4.5-8.248 9.25C12.49 453.5 78.88 512 159.1 512s147.4-58.5 159.8-134.8C320.7 372.5 316.5 368 311.5 368z"]],
    "tachograph-digital": [640, 512, ["digital-tachograph"], "f566", ["M576 64H64C28.8 64 0 92.8 0 128v256c0 35.2 28.8 64 64 64h512c35.2 0 64-28.8 64-64V128C640 92.8 611.2 64 576 64zM64 296C64 291.6 67.63 288 72 288h16C92.38 288 96 291.6 96 296v16C96 316.4 92.38 320 88 320h-16C67.63 320 64 316.4 64 312V296zM352 368c0 8.8-7.2 16-16 16h-256C71.2 384 64 376.8 64 368S71.2 352 79.1 352h256C344.8 352 352 359.2 352 368zM128 312v-16C128 291.6 131.6 288 136 288h16C156.4 288 160 291.6 160 296v16C160 316.4 156.4 320 152 320h-16C131.6 320 128 316.4 128 312zM192 312v-16C192 291.6 195.6 288 200 288h16C220.4 288 224 291.6 224 296v16C224 316.4 220.4 320 216 320h-16C195.6 320 192 316.4 192 312zM256 312v-16C256 291.6 259.6 288 264 288h16C284.4 288 288 291.6 288 296v16C288 316.4 284.4 320 280 320h-16C259.6 320 256 316.4 256 312zM352 312C352 316.4 348.4 320 344 320h-16C323.6 320 320 316.4 320 312v-16C320 291.6 323.6 288 328 288h16C348.4 288 352 291.6 352 296V312zM352 237.7C352 247.9 344.4 256 334.9 256H81.07C71.6 256 64 247.9 64 237.7V146.3C64 136.1 71.6 128 81.07 128h253.9C344.4 128 352 136.1 352 146.3V237.7zM576 368c0 8.8-7.2 16-16 16h-160c-8.8 0-16-7.2-16-16s7.2-16 16-16h160C568.8 352 576 359.2 576 368z", "M560 352h-160c-8.8 0-16 7.2-16 16s7.2 16 16 16h160c8.8 0 16-7.2 16-16S568.8 352 560 352zM336 352h-256C71.2 352 64 359.2 64 368S71.2 384 79.1 384h256c8.8 0 16-7.2 16-16S344.8 352 336 352zM334.9 128H81.07C71.6 128 64 136.1 64 146.3v91.43C64 247.9 71.6 256 81.07 256h253.9C344.4 256 352 247.9 352 237.7V146.3C352 136.1 344.4 128 334.9 128z"]],
    "taco": [512, 512, [127790], "f826", ["M255.1 191.1c-130.1 0-237.9 107.4-255.7 247.1C-2.432 460.6 12.94 480 32.45 480h447c19.5 0 35-19.38 32.13-40.88C493.9 299.4 386.1 191.1 255.1 191.1zM111.1 415.1c-8.875 0-15.1-7.127-15.1-16s7.122-15.1 15.1-15.1s16 7.124 16 15.1S120.9 415.1 111.1 415.1zM175.1 351.1c-8.875 0-15.1-7.127-15.1-16S167.1 319.1 175.1 319.1s16 7.122 16 15.1S184.9 351.1 175.1 351.1z", "M7.32 279.4C2.195 262.1-3.682 242.4 3.195 224.2C10.32 205.1 27.95 194.9 43.45 185.7c9.5-5.5 19.38-11.25 23.75-17.5c4.75-6.75 7.251-18.5 9.751-30c4-18.13 8.457-38.67 23.58-50.67c15.75-12.5 36.05-11.08 54.05-9.829c10.88 .75 22 1.5 29.25-1c6.877-2.5 15.13-10.25 23-17.5c47.75-44.5 69.38-27.12 98.39 0c7.875 7.375 16 15 23 17.5c7.127 2.625 18.38 1.875 29.13 1.125c18-1.25 38.42-2.671 54.05 9.704c15.25 12.12 19.71 32.67 23.59 50.67c2.5 11.5 5.125 23.38 9.876 30c4.375 6.25 14.25 12 23.75 17.63c15.5 9 33.13 19.38 40.25 38.38c6.875 18.12 .9373 37.87-4.188 55.13c0 .125 0 0 0 0c-2.012 7.445-16.32 43.52-22.12 62.35c-43.87-89.25-128.9-149.7-226.6-149.7c-97.64 0-182.7 60.46-226.6 149.7C23.58 322.8 9.33 286.7 7.32 279.4C7.195 279.2 7.195 279.4 7.32 279.4z"]],
    "tag": [448, 512, [127991], "f02b", ["M48 32H197.5C214.5 32 230.7 38.74 242.7 50.75L418.7 226.7C443.7 251.7 443.7 292.3 418.7 317.3L285.3 450.7C260.3 475.7 219.7 475.7 194.7 450.7L18.75 274.7C6.743 262.7 0 246.5 0 229.5V80C0 53.49 21.49 32 48 32L48 32zM112 176C129.7 176 144 161.7 144 144C144 126.3 129.7 112 112 112C94.33 112 80 126.3 80 144C80 161.7 94.33 176 112 176z", ""]],
    "tags": [512, 512, [], "f02c", ["M311.1 38.93C320.5 29.61 335.7 29.7 344.1 39.13L472.8 168.4C525.1 221.4 525.1 306.6 472.8 359.6L360.8 472.9C351.5 482.3 336.3 482.4 326.9 473.1C317.4 463.8 317.4 448.6 326.7 439.1L438.6 325.9C472.5 291.6 472.5 236.4 438.6 202.1L310.9 72.87C301.5 63.44 301.6 48.25 311.1 38.93V38.93z", "M48 32H197.5C214.5 32 230.7 38.74 242.7 50.75L410.7 218.7C435.7 243.7 435.7 284.3 410.7 309.3L277.3 442.7C252.3 467.7 211.7 467.7 186.7 442.7L18.75 274.7C6.743 262.7 0 246.5 0 229.5V80C0 53.49 21.49 32 48 32L48 32zM112 176C129.7 176 144 161.7 144 144C144 126.3 129.7 112 112 112C94.33 112 80 126.3 80 144C80 161.7 94.33 176 112 176z"]],
    "tally": [640, 512, ["tally-5"], "f69c", ["M128 32C145.7 32 160 46.33 160 64V275.6L96 296.9V64C96 46.33 110.3 32 128 32zM160 343.1V448C160 465.7 145.7 480 128 480C110.3 480 96 465.7 96 448V364.4L160 343.1zM288 300.4V448C288 465.7 273.7 480 256 480C238.3 480 224 465.7 224 448V321.7L288 300.4zM416 257.7V448C416 465.7 401.7 480 384 480C366.3 480 352 465.7 352 448V279.1L416 257.7zM416 190.3L352 211.6V64C352 46.33 366.3 32 384 32C401.7 32 416 46.33 416 64V190.3zM544 215.1V448C544 465.7 529.7 480 512 480C494.3 480 480 465.7 480 448V236.4L544 215.1zM544 147.6L480 168.9V64C480 46.33 494.3 32 512 32C529.7 32 544 46.33 544 64V147.6zM288 232.9L224 254.3V64C224 46.33 238.3 32 256 32C273.7 32 288 46.33 288 64V232.9z", "M638.4 149.9C643.9 166.6 634.9 184.8 618.1 190.4L42.12 382.4C25.35 387.9 7.231 378.9 1.642 362.1C-3.947 345.4 5.114 327.2 21.88 321.6L597.9 129.6C614.6 124.1 632.8 133.1 638.4 149.9V149.9z"]],
    "tally-1": [448, 512, [], "e294", ["", "M32 32C49.67 32 64 46.33 64 64V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V64C0 46.33 14.33 32 32 32z"]],
    "tally-2": [448, 512, [], "e295", ["M32 32C49.67 32 64 46.33 64 64V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V64C0 46.33 14.33 32 32 32z", "M160 32C177.7 32 192 46.33 192 64V448C192 465.7 177.7 480 160 480C142.3 480 128 465.7 128 448V64C128 46.33 142.3 32 160 32z"]],
    "tally-3": [448, 512, [], "e296", ["M64 448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64V448zM192 448C192 465.7 177.7 480 160 480C142.3 480 128 465.7 128 448V64C128 46.33 142.3 32 160 32C177.7 32 192 46.33 192 64V448z", "M288 32C305.7 32 320 46.33 320 64V448C320 465.7 305.7 480 288 480C270.3 480 256 465.7 256 448V64C256 46.33 270.3 32 288 32z"]],
    "tally-4": [448, 512, [], "e297", ["M32 32C49.67 32 64 46.33 64 64V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V64C0 46.33 14.33 32 32 32zM160 32C177.7 32 192 46.33 192 64V448C192 465.7 177.7 480 160 480C142.3 480 128 465.7 128 448V64C128 46.33 142.3 32 160 32zM320 448C320 465.7 305.7 480 288 480C270.3 480 256 465.7 256 448V64C256 46.33 270.3 32 288 32C305.7 32 320 46.33 320 64V448z", "M416 32C433.7 32 448 46.33 448 64V448C448 465.7 433.7 480 416 480C398.3 480 384 465.7 384 448V64C384 46.33 398.3 32 416 32z"]],
    "tamale": [320, 512, [129748], "e451", ["M221.4 311.1c.6074 .9102 .4863 1.996 .877 2.982L218.1 272h-29.07L221.4 311.1zM87.49 240l.541-6.953l-16-159.3C71.59 69.33 74.81 65.42 79.22 64.98C83.5 64.36 87.53 67.75 87.97 72.14l16 160.7L103.4 240H152V64c0-4.422 3.594-8 8-8S168 59.58 168 64v176h48.47l-.4434-5.703l16-162.2c.4375-4.391 4.344-7.734 8.75-7.156c4.406 .4375 7.625 4.344 7.188 8.75l-16 160.7L232.4 240h63.15L320 64c0-35.35-71.63-64-160-64S0 28.65 0 64l24.44 176H87.49zM234.9 272l13.06 166.4c.3438 4.406-2.938 8.25-7.344 8.594C240.4 447.1 240.2 447.1 240 447.1c-4.156 0-7.656-3.188-7.969-7.375l-8.959-115C221.1 331.2 215.2 336 208.1 336c-5.156 0-10.22-2.5-13.31-7.125L168 294.1V448c0 4.422-3.594 8-8 8S152 452.4 152 448V294.1l-26.69 33.88C122.2 333.5 117.2 336 112 336c-7.307 0-13.23-4.979-15.1-11.75l-8.932 115.4C87.66 443.9 84.16 447.1 80 447.1c-.1875 0-.4062 0-.625-.0313c-4.406-.3438-7.688-4.188-7.344-8.594L84.1 272H24.44L0 448c0 35.35 71.63 64 160 64s160-28.65 160-64l-24.44-176H234.9zM97.64 314.7C98.06 313.5 97.96 312.2 98.69 311.1L130.1 272H100.9L97.64 314.7z", "M23.1 272h106.1L98.69 311.1c-1.819 2.729-2.628 5.891-2.628 8.937C96.06 328.1 103.2 336 112 336c5.156 0 10.22-2.5 13.31-7.125L160 284.8l34.75 44.03C197.8 333.5 202.9 336 208.1 336C216.8 336 224 328.1 224 320.1c0-3.047-.809-6.209-2.628-8.937L189.9 272h106.1C304.8 272 312 264.8 312 256V255.1C312 247.2 304.8 240 296 240H23.1C15.16 240 8 247.2 8 255.1V256C8 264.8 15.16 272 23.1 272z"]],
    "tank-water": [448, 512, [], "e452", ["M224 224c30.94 0 56-24.03 56-53.66S223.1 64 223.1 64S168 140.7 168 170.3S193.1 224 224 224zM312 307.2L297.1 296c-5.824-4.672-14.14-4.672-19.97 0l-14.05 11.23c-23.36 18.69-56.58 18.69-79.94 0L169.1 296c-5.824-4.672-14.14-4.672-19.97 0L135.1 307.2C115.2 323.9 86.53 325.7 64 312.7V416h320V312.7C361.5 325.7 332.8 323.9 312 307.2z", "M448 96v320c0 35.36-28.64 64-64 64H64c-35.36 0-64-28.64-64-64V96c0-35.36 28.64-64 64-64h135.7C186.6 49.5 173.8 67.17 162.1 85.63C159.9 88.96 157.8 92.45 155.6 96H64v320h320V96h-91.65c-2.145-3.553-4.32-7.039-6.432-10.37C274.2 67.17 261.4 49.5 248.3 32H384C419.4 32 448 60.64 448 96z"]],
    "tape": [576, 512, [], "f4db", ["M64 256C64 167.6 135.6 96 224 96C312.4 96 384 167.6 384 256C384 344.4 312.4 416 224 416C135.6 416 64 344.4 64 256zM224 320C259.3 320 288 291.3 288 256C288 220.7 259.3 192 224 192C188.7 192 160 220.7 160 256C160 291.3 188.7 320 224 320z", "M544 416C561.7 416 576 430.3 576 448C576 465.7 561.7 480 544 480H224C100.3 480 0 379.7 0 256C0 132.3 100.3 32 224 32C347.7 32 448 132.3 448 256C448 318.7 422.3 375.3 380.8 416H544zM224 96C135.6 96 64 167.6 64 256C64 344.4 135.6 416 224 416C312.4 416 384 344.4 384 256C384 167.6 312.4 96 224 96z"]],
    "tarp": [576, 512, [], "e57b", ["M512 64C547.3 64 576 92.65 576 128V288H448C430.3 288 416 302.3 416 320V448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H512zM96 192C113.7 192 128 177.7 128 160C128 142.3 113.7 128 96 128C78.33 128 64 142.3 64 160C64 177.7 78.33 192 96 192z", "M576 288L416 448V320C416 302.3 430.3 288 448 288H576z"]],
    "tarp-droplet": [576, 512, [], "e57c", ["M64 128H197.5C210.6 165.3 246.2 192 288 192C329.8 192 365.4 165.3 378.5 128H512C547.3 128 576 156.7 576 192V352H448C430.3 352 416 366.3 416 384V512H64C28.65 512 0 483.3 0 448V192C0 156.7 28.65 128 64 128zM96 256C113.7 256 128 241.7 128 224C128 206.3 113.7 192 96 192C78.33 192 64 206.3 64 224C64 241.7 78.33 256 96 256z", "M224 100C224 75.95 257.7 29.93 276.2 6.49C282.3-1.226 293.7-1.226 299.8 6.49C318.3 29.93 352 75.95 352 100C352 133.1 323.3 160 288 160C252.7 160 224 133.1 224 100V100zM416 384C416 366.3 430.3 352 448 352H576L416 512V384z"]],
    "taxi": [576, 512, [128662, "cab"], "f1ba", ["M352 0C369.7 0 384 14.33 384 32V64H192V32C192 14.33 206.3 0 224 0H352zM167.2 149.4C171.7 136.6 183.8 128 197.4 128H378.6C392.2 128 404.3 136.6 408.8 149.4L434.9 224H141.1L167.2 149.4zM128 480C128 497.7 113.7 512 96 512H64C46.33 512 32 497.7 32 480V432H128V480zM448 432H544V480C544 497.7 529.7 512 512 512H480C462.3 512 448 497.7 448 480V432z", "M0 224C0 206.3 14.33 192 32 192H84.5L106.8 128.3C120.3 89.78 156.6 64 197.4 64H378.6C419.4 64 455.7 89.78 469.2 128.3L491.5 192H544C561.7 192 576 206.3 576 224C576 241.7 561.7 256 544 256H535.4C540.9 265.4 544 276.3 544 288V432H32V288C32 276.3 35.12 265.4 40.56 256H32C14.33 256 0 241.7 0 224zM141.1 224H434.9L408.8 149.4C404.3 136.6 392.2 128 378.6 128H197.4C183.8 128 171.7 136.6 167.2 149.4L141.1 224zM128 288C110.3 288 96 302.3 96 320C96 337.7 110.3 352 128 352C145.7 352 160 337.7 160 320C160 302.3 145.7 288 128 288zM448 352C465.7 352 480 337.7 480 320C480 302.3 465.7 288 448 288C430.3 288 416 302.3 416 320C416 337.7 430.3 352 448 352z"]],
    "taxi-bus": [640, 512, [], "e298", ["M.0006 384V74.46C.0006 58.25 9.164 43.42 23.67 36.16C71.24 12.38 123.7 0 176.9 0H207.1C260.3 0 312.8 12.38 360.3 36.16C374.8 43.42 384 58.25 384 74.46V96C362.1 96 343.6 110.7 337.8 130.8C331.7 132.1 325.7 134 320 136.4V120C320 106.7 309.3 96 296 96H208V224H249.9L233.6 272.9C208.5 290.2 192 319.2 192 352V416H128V448C128 465.7 113.7 480 96 480H80C62.33 480 48 465.7 48 448V416H32C14.33 416 0 401.7 0 384H.0006zM88 96C74.75 96 64 106.7 64 120V200C64 213.3 74.75 224 88 224H176V96H88zM96 344C109.3 344 120 333.3 120 320C120 306.7 109.3 296 96 296C82.75 296 72 306.7 72 320C72 333.3 82.75 344 96 344z", "M472 128C485.3 128 496 138.7 496 152V160H501.4C535.8 160 566.4 182 577.3 214.7L603.9 294.4C625.2 304.7 640 326.6 640 352L640 480C640 497.7 625.7 512 608 512H592C574.3 512 560 497.7 560 480V448H304V480C304 497.7 289.7 512 272 512H256C238.3 512 224 497.7 224 480L224 352C224 326.6 238.8 304.7 260.1 294.4L286.7 214.7C297.6 182 328.2 160 362.6 160H368V152C368 138.7 378.7 128 392 128L472 128zM362.6 224C355.7 224 349.6 228.4 347.4 234.9L329.7 288H534.3L516.6 234.9C514.4 228.4 508.3 224 501.4 224H362.6zM304 392C317.3 392 328 381.3 328 368C328 354.7 317.3 344 304 344C290.7 344 280 354.7 280 368C280 381.3 290.7 392 304 392zM560 344C546.7 344 536 354.7 536 368C536 381.3 546.7 392 560 392C573.3 392 584 381.3 584 368C584 354.7 573.3 344 560 344z"]],
    "teddy-bear": [576, 512, [], "e3cf", ["M217.1 40.43c6.113-1.494 12.34-2.266 18.52-3.363C228.7 15.5 208.2 0 184 0C153.1 0 128 25.07 128 56c0 20.11 10.69 37.6 26.61 47.48c7.373-30.43 31.27-55.21 63.36-63.05H217.1zM224 176C224 202.5 252.7 224 288 224s63.1-21.49 63.1-48S323.3 128 288 128S224 149.5 224 176zM288 144c17.67 0 31.1 10.74 31.1 24C319.1 181.3 305.7 192 288 192S256 181.3 256 168C256 154.7 270.3 144 288 144zM392 0c-24.25 0-44.7 15.5-52.49 37.06c6.178 1.098 12.4 1.869 18.52 3.363h.002c32.09 7.844 55.98 32.62 63.36 63.05C437.3 93.6 448 76.11 448 56C448 25.07 422.9 0 392 0zM319.1 352H256c-35.34 0-63.1 28.65-63.1 64h191.1C383.1 380.7 355.3 352 319.1 352z", "M537.7 354.9c-29.34-9.812-61.09 6.062-70.84 35.41L463.6 400h-15.62v-64.83c33.16-23.18 63.23-53.74 88.12-91.67c14.56-22.19 8.375-51.94-13.78-66.47c-22.12-14.56-51.9-8.406-66.46 13.78C415.3 252.6 358.4 288 299.6 288H276.4C217.6 288 160.7 252.6 120.1 190.8C105.6 168.7 75.89 162.4 53.67 177C31.51 191.6 25.33 221.3 39.89 243.5c24.89 37.92 54.96 68.49 88.12 91.67V400H112.4l-3.25-9.719c-9.75-29.34-41.47-45.16-70.84-35.41c-29.34 9.781-45.19 41.5-35.4 70.84l16 48C26.51 496.6 47.92 512 72.01 512h431.1c24.09 0 45.5-15.44 53.12-38.28l16-48C582.9 396.4 567 364.7 537.7 354.9zM192 416c0-35.35 28.65-64 63.1-64h63.1c35.34 0 63.1 28.65 63.1 64H192zM288 256c75.11 0 136-59.53 136-132.1c0-39.07-27.2-73.13-65.97-82.61h-.002c-45.98-11.24-94.08-11.24-140.1 0h-.002C179.2 49.9 152 83.96 152 123C152 196.5 212.9 256 288 256zM336 96C344.8 96 352 103.2 352 112C352 120.8 344.8 128 336 128S320 120.8 320 112C320 103.2 327.2 96 336 96zM240 96C248.8 96 256 103.2 256 112C256 120.8 248.8 128 240 128S224 120.8 224 112C224 103.2 231.2 96 240 96zM288 128c35.35 0 64 21.49 64 48S323.3 224 288 224C252.7 224 224 202.5 224 176S252.7 128 288 128zM288 192c17.67 0 32-10.75 32-24c0-13.26-14.33-24-32-24S256 154.7 256 168C256 181.3 270.3 192 288 192z"]],
    "teeth": [576, 512, [], "f62e", ["M128 288H64C55.13 288 48 295.1 48 304v32C48 362.5 69.5 384 96 384s48-21.5 48-48v-32C144 295.1 136.9 288 128 288zM96 160C69.5 160 48 181.5 48 208v32C48 248.9 55.13 256 64 256h64c8.875 0 16-7.125 16-16v-32C144 181.5 122.5 160 96 160zM256 288H192C183.1 288 176 295.1 176 304v32C176 362.5 197.5 384 224 384s48-21.5 48-48v-32C272 295.1 264.9 288 256 288zM224 128C197.5 128 176 149.5 176 176v66.29C176 249.9 182.1 256 189.7 256h68.57C265.9 256 272 249.9 272 242.3V176C272 149.5 250.5 128 224 128zM384 288h-64c-8.875 0-16 7.125-16 16v32c0 26.5 21.5 48 48 48s48-21.5 48-48v-32C400 295.1 392.9 288 384 288zM352 128c-26.46 0-48 21.54-48 48v66.29C304 249.9 310.1 256 317.7 256h68.57C393.9 256 400 249.9 400 242.3V176C400 149.5 378.5 128 352 128zM512 288h-64c-8.875 0-16 7.125-16 16v32c0 26.5 21.5 48 48 48s48-21.5 48-48v-32C528 295.1 520.9 288 512 288zM480 160c-26.5 0-48 21.5-48 48v32C432 248.9 439.1 256 448 256h64c8.875 0 16-7.125 16-16v-32C528 181.5 506.5 160 480 160z", "M480 32H96C42.98 32 0 74.98 0 128v256c0 53.02 42.98 96 96 96h384c53.02 0 96-42.98 96-96V128C576 74.98 533 32 480 32zM144 336C144 362.5 122.5 384 96 384s-48-21.5-48-48v-32C48 295.1 55.13 288 64 288h64c8.875 0 16 7.125 16 16V336zM144 240C144 248.9 136.9 256 128 256H64C55.13 256 48 248.9 48 240v-32C48 181.5 69.5 160 96 160s48 21.5 48 48V240zM272 336C272 362.5 250.5 384 224 384s-48-21.5-48-48v-32C176 295.1 183.1 288 192 288h64c8.875 0 16 7.125 16 16V336zM272 242.3C272 249.9 265.9 256 258.3 256H189.7C182.1 256 176 249.9 176 242.3V176C176 149.5 197.5 128 224 128s48 21.54 48 48V242.3zM400 336c0 26.5-21.5 48-48 48s-48-21.5-48-48v-32C304 295.1 311.1 288 320 288h64c8.875 0 16 7.125 16 16V336zM400 242.3C400 249.9 393.9 256 386.3 256h-68.57C310.1 256 304 249.9 304 242.3V176C304 149.5 325.5 128 352 128s48 21.54 48 48V242.3zM528 336c0 26.5-21.5 48-48 48s-48-21.5-48-48v-32C432 295.1 439.1 288 448 288h64c8.875 0 16 7.125 16 16V336zM528 240C528 248.9 520.9 256 512 256h-64c-8.875 0-16-7.125-16-16v-32C432 181.5 453.5 160 480 160s48 21.5 48 48V240z"]],
    "teeth-open": [576, 512, [], "f62f", ["M256 320H192c-8.875 0-16 7.125-16 16v32C176 394.5 197.5 416 224 416s48-21.5 48-48v-32C272 327.1 264.9 320 256 320zM96 128C69.5 128 48 149.5 48 176v32C48 216.9 55.13 224 64 224h64c8.875 0 16-7.125 16-16v-32C144 149.5 122.5 128 96 128zM224 96C197.5 96 176 117.5 176 144v66.29C176 217.9 182.1 224 189.7 224h68.57C265.9 224 272 217.9 272 210.3V144C272 117.5 250.5 96 224 96zM128 320H64c-8.875 0-16 7.125-16 16v32C48 394.5 69.5 416 96 416s48-21.5 48-48v-32C144 327.1 136.9 320 128 320zM512 320h-64c-8.875 0-16 7.125-16 16v32c0 26.5 21.5 48 48 48s48-21.5 48-48v-32C528 327.1 520.9 320 512 320zM480 128c-26.5 0-48 21.5-48 48v32C432 216.9 439.1 224 448 224h64c8.875 0 16-7.125 16-16v-32C528 149.5 506.5 128 480 128zM352 96c-26.46 0-48 21.54-48 48v66.29C304 217.9 310.1 224 317.7 224h68.57C393.9 224 400 217.9 400 210.3V144C400 117.5 378.5 96 352 96zM384 320h-64c-8.875 0-16 7.125-16 16v32c0 26.5 21.5 48 48 48s48-21.5 48-48v-32C400 327.1 392.9 320 384 320z", "M512 288H64c-35.35 0-64 28.65-64 64v32c0 53.02 42.98 96 96 96h384c53.02 0 96-42.98 96-96v-32C576 316.7 547.3 288 512 288zM144 368C144 394.5 122.5 416 96 416s-48-21.5-48-48v-32C48 327.1 55.13 320 64 320h64c8.875 0 16 7.125 16 16V368zM272 368C272 394.5 250.5 416 224 416s-48-21.5-48-48v-32C176 327.1 183.1 320 192 320h64c8.875 0 16 7.125 16 16V368zM400 368c0 26.5-21.5 48-48 48s-48-21.5-48-48v-32c0-8.875 7.125-16 16-16h64c8.875 0 16 7.125 16 16V368zM528 368c0 26.5-21.5 48-48 48s-48-21.5-48-48v-32c0-8.875 7.125-16 16-16h64c8.875 0 16 7.125 16 16V368zM480 32H96C42.98 32 0 74.98 0 128v64c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V128C576 74.98 533 32 480 32zM144 208C144 216.9 136.9 224 128 224H64C55.13 224 48 216.9 48 208v-32C48 149.5 69.5 128 96 128s48 21.5 48 48V208zM272 210.3C272 217.9 265.9 224 258.3 224H189.7C182.1 224 176 217.9 176 210.3V144C176 117.5 197.5 96 224 96s48 21.54 48 48V210.3zM400 210.3C400 217.9 393.9 224 386.3 224h-68.57C310.1 224 304 217.9 304 210.3V144C304 117.5 325.5 96 352 96s48 21.54 48 48V210.3zM528 208C528 216.9 520.9 224 512 224h-64c-8.875 0-16-7.125-16-16v-32C432 149.5 453.5 128 480 128s48 21.5 48 48V208z"]],
    "telescope": [640, 512, [128301], "e03e", ["M488.6 269.9l-96.7 33.73c-.1914-39.75-32.58-71.82-72.33-71.63C279.1 232.2 247.1 264.4 247.1 304c.0801 15.91 5.387 31.29 15.27 43.76l-127 43.69c-8.754 3.008-18.05-.7051-21.27-8.479L106.2 361.9L42.18 388.4c-8.162 3.381-17.52-.4935-20.9-8.658l-20.06-48.42c-3.377-8.166 .4967-17.52 8.659-20.91l64.08-26.55L65.21 262.8C61.99 254.1 65.93 245.8 74.25 241.7l335.1-163.2L488.6 269.9z", "M638.8 216.8C638.8 216.8 638.8 216.8 638.8 216.8l-85.7-206.1c-3.381-8.162-12.77-12.03-20.94-8.647l-117.3 48.61c-8.162 3.381-12.06 12.73-8.68 20.89c.002 .002 0-.002 0 0l85.73 206.9c3.383 8.164 12.73 12.07 20.9 8.689l117.3-48.61C638.3 234.4 642.2 225 638.8 216.8zM422.6 479.1l-46.42-131.5c9.734-12.28 15.79-27.6 15.79-44.49c0-39.77-32.24-72-72.01-72c-39.76 0-71.99 32.24-71.99 72.01c0 16.89 6.06 32.18 15.79 44.46L217.4 479.1c-4.406 12.5 2.126 26.22 14.63 30.63C234.6 511.6 237.3 512 239.1 512c9.875 0 19.16-6.157 22.63-16l42.9-121.6c4.686 .959 9.507 1.551 14.48 1.551s9.822-.5039 14.51-1.463l42.87 121.5C380.8 505.8 390.1 512 399.1 512c2.656 0 5.344-.4375 8.001-1.375C420.5 506.2 427 492.5 422.6 479.1zM295.1 303.1c0-13.23 10.77-24 24-24c13.23 0 24 10.77 24 24c0 13.23-10.77 24-24 24C306.8 327.1 295.1 317.2 295.1 303.1z"]],
    "temperature-arrow-down": [512, 512, ["temperature-down"], "e03f", ["M255.1 278.5V112C255.1 50.13 205.9 0 144 0C82.13 0 32 50.13 32 112v166.5C12.25 303.3 0 334 0 368C0 447.5 64.5 512 144 512c79.5 0 143.1-64.5 143.1-144C287.1 334 275.7 303.1 255.1 278.5zM219.9 393.4C208.1 426.1 178.4 447.1 144 447.1c-34.38 0-65-21.84-75.88-54.59C57.25 360.8 68.5 324.9 96 304.3V112C96 85.5 117.5 64 144 64c26.5 0 47.1 21.5 47.1 48v192.3C219.5 324.9 230.7 360.8 219.9 393.4z", "M159.1 322.9l-.0002-18.92C159.1 295.1 152.9 287.1 144 287.1c-8.875 0-15.1 7.115-15.1 15.99L128 322.9c-22 7.875-35.25 30.38-31.25 53.38C100.6 399.4 120.6 416.1 144 416.1c23.37 0 43.37-16.71 47.25-39.83C195.2 353.3 181.1 330.8 159.1 322.9zM499.1 343c-13.77-11.03-33.92-8.75-44.97 5L448 356.8V64c0-17.69-14.33-32-32-32s-32 14.31-32 32v292.8L376.1 348c-11.03-13.81-31.19-16.03-44.97-5c-13.81 11.06-16.05 31.19-5 45l64 80C397.1 475.6 406.3 480 416 480s18.92-4.406 24.98-12l64-80C516 374.2 513.8 354.1 499.1 343z"]],
    "temperature-arrow-up": [512, 512, ["temperature-up"], "e040", ["M255.1 278.5V112C255.1 50.13 205.9 0 144 0C82.13 0 32 50.13 32 112v166.5C12.25 303.3 0 334 0 368C0 447.5 64.5 512 144 512c79.5 0 143.1-64.5 143.1-144C287.1 334 275.7 303.1 255.1 278.5zM219.9 393.4C208.1 426.1 178.4 447.1 144 447.1c-34.38 0-65-21.84-75.88-54.59C57.25 360.8 68.5 324.9 96 304.3V112c0-26.5 21.5-48.01 48-48.01c26.5 0 47.1 21.51 47.1 48.01v192.3C219.5 324.9 230.7 360.8 219.9 393.4z", "M159.1 322.9V112C159.1 103.1 152.9 96 144 96C135.1 96 128 103.1 128 112v210.9c-22 7.875-35.25 30.38-31.25 53.38C100.6 399.4 120.6 416.1 144 416.1c23.37 0 43.37-16.71 47.25-39.83C195.2 353.3 181.1 330.8 159.1 322.9zM504.1 124l-64-80c-12.12-15.19-37.84-15.19-49.97 0l-64 80c-11.05 13.81-8.812 33.94 5 45c13.75 11.03 33.94 8.781 44.97-5L384 155.2V448c0 17.69 14.33 32 32 32s32-14.31 32-32V155.2L455 164c6.312 7.906 15.61 12 25 12c7.016 0 14.08-2.281 19.97-7C513.8 157.9 516 137.8 504.1 124z"]],
    "temperature-empty": [320, 512, ["temperature-0", "thermometer-0", "thermometer-empty"], "f2cb", ["M272 278.5V112c0-61.87-50.12-112-111.1-112S48 50.13 48 112v166.5c-19.75 24.75-32 55.5-32 89.5c0 79.5 64.5 143.1 144 143.1S304 447.5 304 368C304 334 291.8 303.1 272 278.5zM160 448c-44.13 0-80-35.87-80-79.1c0-25.5 12.25-48.88 32-63.75v-192.3c0-26.5 21.5-48 48-48s48 21.5 48 48v192.3c19.75 14.75 32 38.25 32 63.75C240 412.1 204.1 448 160 448z", "M160 320c-26.51 0-48 21.49-48 48s21.49 48 48 48s48-21.49 48-48S186.5 320 160 320z"]],
    "temperature-full": [320, 512, ["temperature-4", "thermometer-4", "thermometer-full"], "f2c7", ["M272 278.5V112c0-61.87-50.12-112-111.1-112S48 50.13 48 112v166.5c-19.75 24.75-32 55.5-32 89.5c0 79.5 64.5 143.1 144 143.1S304 447.5 304 368C304 334 291.8 303.1 272 278.5zM160 448c-44.13 0-80-35.87-80-79.1c0-25.5 12.25-48.88 32-63.75v-192.3c0-26.5 21.5-48 48-48s48 21.5 48 48v192.3c19.75 14.75 32 38.25 32 63.75C240 412.1 204.1 448 160 448z", "M176 322.9V112c0-8.75-7.25-16-16-16s-16 7.25-16 16v210.9c-18.62 6.625-32 24.25-32 45.13c0 26.5 21.5 48 48 48s48-21.5 48-48C208 347.1 194.6 329.5 176 322.9z"]],
    "temperature-half": [320, 512, [127777, "temperature-2", "thermometer-2", "thermometer-half"], "f2c9", ["M272 278.5V112c0-61.87-50.12-112-111.1-112S48 50.13 48 112v166.5c-19.75 24.75-32 55.5-32 89.5c0 79.5 64.5 143.1 144 143.1S304 447.5 304 368C304 334 291.8 303.1 272 278.5zM160 448c-44.13 0-80-35.87-80-79.1c0-25.5 12.25-48.88 32-63.75v-192.3c0-26.5 21.5-48 48-48s48 21.5 48 48v192.3c19.75 14.75 32 38.25 32 63.75C240 412.1 204.1 448 160 448z", "M176 322.9l.0002-114.9c0-8.75-7.25-16-16-16s-15.1 7.25-15.1 16L144 322.9c-18.62 6.625-32 24.25-32 45.13c0 26.5 21.5 48 48 48s48-21.5 48-48C208 347.1 194.6 329.5 176 322.9z"]],
    "temperature-high": [512, 512, [], "f769", ["M256 112c0-61.88-50.13-112-112-112s-112 50.13-112 112v166.5c-19.75 24.75-32 55.5-32 89.5c0 79.5 64.5 144 144 144s144-64.5 144-144c0-34-12.25-64.88-32-89.5V112zM144 448c-44.13 0-80-35.88-80-80c0-25.5 12.25-48.88 32-63.75v-192.3c0-26.5 21.5-48 48-48S192 85.5 192 112V304.3c19.75 14.75 32 38.25 32 63.75C224 412.1 188.1 448 144 448z", "M160 322.9V112C160 103.3 152.8 96 144 96S128 103.3 128 112v210.9C109.4 329.5 96 347.1 96 368C96 394.5 117.5 416 144 416S192 394.5 192 368C192 347.1 178.6 329.5 160 322.9zM416 0c-52.88 0-96 43.13-96 96s43.13 96 96 96s96-43.13 96-96S468.9 0 416 0zM416 128c-17.75 0-32-14.25-32-32s14.25-32 32-32s32 14.25 32 32S433.8 128 416 128z"]],
    "temperature-list": [512, 512, [], "e299", ["M256 278.5V112c0-61.87-50.13-112-112-112S32 50.13 32 112v166.5c-19.75 24.75-32 55.5-32 89.5c0 79.5 64.5 143.1 144 143.1s144-64.5 144-143.1C288 334 275.8 303.1 256 278.5zM144 448c-44.13 0-80-35.87-80-79.1c0-25.5 12.25-48.88 32-63.75v-192.3c0-26.5 21.5-48 48-48s48 21.5 48 48v192.3c19.75 14.75 32 38.25 32 63.75C224 412.1 188.1 448 144 448z", "M160 322.9V160c0-8.75-7.25-16-16-16S128 151.3 128 160v162.9C109.4 329.5 96 347.1 96 368C96 394.5 117.5 416 144 416S192 394.5 192 368C192 347.1 178.6 329.5 160 322.9zM352 96h128c17.67 0 32-14.33 32-32s-14.33-32-32-32h-128c-17.67 0-32 14.33-32 32S334.3 96 352 96zM480 160h-128c-17.67 0-32 14.33-32 32s14.33 32 32 32h128c17.67 0 32-14.33 32-32S497.7 160 480 160zM480 288h-96c-17.67 0-32 14.33-32 32s14.33 32 32 32h96c17.67 0 32-14.33 32-32S497.7 288 480 288z"]],
    "temperature-low": [512, 512, [], "f76b", ["M256 112c0-61.88-50.13-112-112-112s-112 50.13-112 112v166.5c-19.75 24.75-32 55.5-32 89.5c0 79.5 64.5 144 144 144s144-64.5 144-144c0-34-12.25-64.88-32-89.5V112zM144 448c-44.13 0-80-35.88-80-80c0-25.5 12.25-48.88 32-63.75v-192.3c0-26.5 21.5-48 48-48s48 21.5 48 48v192.1c19.75 14.75 32 38.38 32 63.88C224 412.1 188.1 448 144 448z", "M160 322.9V304C160 295.3 152.8 288 144 288S128 295.3 128 304v18.88C109.4 329.5 96 347.1 96 368C96 394.5 117.5 416 144 416S192 394.5 192 368C192 347.1 178.6 329.5 160 322.9zM416 0c-52.88 0-96 43.13-96 96s43.13 96 96 96s96-43.13 96-96S468.9 0 416 0zM416 128c-17.75 0-32-14.25-32-32s14.25-32 32-32s32 14.25 32 32S433.8 128 416 128z"]],
    "temperature-quarter": [320, 512, ["temperature-1", "thermometer-1", "thermometer-quarter"], "f2ca", ["M272 278.5V112c0-61.87-50.12-112-111.1-112S48 50.13 48 112v166.5c-19.75 24.75-32 55.5-32 89.5c0 79.5 64.5 143.1 144 143.1S304 447.5 304 368C304 334 291.8 303.1 272 278.5zM160 448c-44.13 0-80-35.87-80-79.1c0-25.5 12.25-48.88 32-63.75v-192.3c0-26.5 21.5-48 48-48s48 21.5 48 48v192.3c19.75 14.75 32 38.25 32 63.75C240 412.1 204.1 448 160 448z", "M176 322.9l.0002-50.88c0-8.75-7.25-16-16-16s-15.1 7.25-15.1 16L144 322.9c-18.62 6.625-32 24.25-32 45.13c0 26.5 21.5 48 48 48s48-21.5 48-48C208 347.1 194.6 329.5 176 322.9z"]],
    "temperature-snow": [576, 512, ["temperature-frigid"], "f768", ["M544 278.5V112c0-61.88-50.13-112-111.1-112s-111.1 50.13-111.1 112v166.5c-19.75 24.62-31.1 55.5-31.1 89.5c0 79.5 64.5 143.1 143.1 143.1S576 447.5 576 368C576 334 563.8 303.1 544 278.5zM432 448c-44.12 0-79.99-35.87-79.99-79.1c0-25.5 12.25-48.88 31.1-63.75v-192.2c0-26.5 21.5-48 47.1-48s47.1 21.5 47.1 48v192.2c19.75 14.75 31.1 38.25 31.1 63.75C512 412.1 476.1 448 432 448z", "M200 125.3L240.3 85c4.623-4.75 4.623-12.25 0-17l-8.5-8.5c-4.75-4.75-12.38-4.75-17 0L200 74.25V44c0-6.625-5.375-12-12-12h-23.1c-6.625 0-12 5.375-12 12v30.25L137.3 59.5c-4.75-4.75-12.38-4.75-16.1 0L111.8 68c-4.75 4.75-4.75 12.25 0 17L151.9 125.3v56.88L101.6 153l-15-55.75C84.89 90.75 78.27 87 71.77 88.75L60.02 91.88c-6.5 1.75-10.25 8.375-8.625 14.88l5.5 20.5L30.27 111.9C24.52 108.5 17.14 110.5 13.77 116.3l-12.12 21C-1.73 143.1 .2695 150.5 6.018 153.9l26.62 15.38l-20.38 5.5c-6.5 1.625-10.37 8.375-8.625 14.88l3.125 11.62c1.625 6.5 8.375 10.38 14.88 8.625L77.27 195L127.5 224L77.27 253L21.64 238c-6.5-1.75-13.12 2.125-14.88 8.625L3.643 258.3c-1.748 6.5 2.125 13.12 8.625 15l20.38 5.5l-26.5 15.38C.2695 297.5-1.73 304.9 1.77 310.8l11.1 21c3.5 5.75 10.88 7.75 16.62 4.375l26.62-15.38l-5.5 20.5c-1.75 6.5 2.125 13 8.625 14.88l11.62 3.125c6.5 1.625 13.12-2.125 15-8.625L101.6 295l50.37-29.12v56.88L111.8 363c-4.625 4.75-4.625 12.25 0 17l8.5 8.5c4.748 4.75 12.37 4.75 16.1 0l14.88-14.75V404c0 6.625 5.375 12 12 12h23.1c6.625 0 12-5.375 12-12v-30.25L214.9 388.5c4.75 4.75 12.38 4.75 17 0L240.4 380c4.748-4.75 4.748-12.25 0-17l-40.38-40.25V265.9l68.26 39.55c5.125-13 11.49-25.7 19.74-37.57l-.0036-7.058L224.6 224l63.37-36.73l.0078-56.08L200 182.1V125.3zM448 322.9V304c0-8.75-7.251-16-16-16c-8.748 0-15.1 7.25-15.1 16v18.88c-18.62 6.625-32 24.25-32 45.13c0 26.5 21.5 48 47.1 48c26.5 0 48-21.5 48-48C480 347.1 466.6 329.5 448 322.9z"]],
    "temperature-sun": [640, 512, ["temperature-hot"], "f76a", ["M607.1 278.5V112c0-61.88-50.12-112-112-112c-61.88 0-112 50.13-112 112v166.5C364.2 303.1 351.1 334 351.1 368c0 79.5 64.5 144 144 144S640 447.5 640 368C640 334 627.8 303.1 607.1 278.5zM495.1 448c-44.13 0-80.01-35.88-80.01-80c0-25.5 12.25-48.88 32-63.75V112c0-26.5 21.51-48 48.01-48c26.5 0 48 21.5 48 48v192.3c19.75 14.75 32 38.25 32 63.75C575.1 412.1 540.1 448 495.1 448z", "M159.1 224c0 35.25 28.75 64 64 64c35.25 0 64-28.75 64-64s-28.75-64-64-64C188.7 160 159.1 188.8 159.1 224zM511.1 322.9V112c0-8.75-7.249-16-16-16c-8.75 0-16 7.25-16 16v210.9C461.4 329.5 447.1 347.1 447.1 368c0 26.5 21.5 48 48 48c26.5 0 48-21.5 48-48C543.1 347.1 530.6 329.5 511.1 322.9zM237.6 8.375c-5.625-11.12-21.63-11.12-27.25 0L168.1 91.25L81.1 61.88C69.22 58 57.97 69.25 61.85 81.13L91.22 169L8.344 210.4c-11.12 5.625-11.12 21.5 0 27.12L91.22 279l-29.38 87.88C57.85 378.8 69.22 390 81.1 386.1l87.88-29.38l41.38 82.88c5.625 11.12 21.63 11.12 27.13 0l41.38-82.88l41.13 13.62c0-.75-.125-1.625-.125-2.5c.125-35.75 11.12-70.13 32.13-100V112c0-16.88 3.5-33 8.875-48.13L278.1 91.25L237.6 8.375zM291.9 291.9c-37.38 37.38-98.25 37.38-135.8 0s-37.38-98.38 0-135.8s98.25-37.38 135.8 0C329.2 193.5 329.2 254.5 291.9 291.9z"]],
    "temperature-three-quarters": [320, 512, ["temperature-3", "thermometer-3", "thermometer-three-quarters"], "f2c8", ["M272 278.5V112c0-61.87-50.12-112-111.1-112S48 50.13 48 112v166.5c-19.75 24.75-32 55.5-32 89.5c0 79.5 64.5 143.1 144 143.1S304 447.5 304 368C304 334 291.8 303.1 272 278.5zM160 448c-44.13 0-80-35.87-80-79.1c0-25.5 12.25-48.88 32-63.75v-192.3c0-26.5 21.5-48 48-48s48 21.5 48 48v192.3c19.75 14.75 32 38.25 32 63.75C240 412.1 204.1 448 160 448z", "M176 322.9V160c0-8.75-7.25-16-16-16s-16 7.25-16 16v162.9c-18.62 6.625-32 24.25-32 45.13c0 26.5 21.5 48 48 48s48-21.5 48-48C208 347.1 194.6 329.5 176 322.9z"]],
    "tenge-sign": [384, 512, [8376, "tenge"], "f7d7", ["M352 160C369.7 160 384 174.3 384 192C384 209.7 369.7 224 352 224H224V448C224 465.7 209.7 480 192 480C174.3 480 160 465.7 160 448V224H32C14.33 224 0 209.7 0 192C0 174.3 14.33 160 32 160H352z", "M0 64C0 46.33 14.33 32 32 32H352C369.7 32 384 46.33 384 64C384 81.67 369.7 96 352 96H32C14.33 96 0 81.67 0 64z"]],
    "tennis-ball": [512, 512, [127934], "f45e", ["M363.1 319.8c-48.7 34.11-74.45 88.51-74.45 143.8c0 15.11 1.922 30.29 5.823 45.15c110.6-16.7 197.9-104 214.4-214.7c-14.72-3.875-29.85-6.031-45.1-6.031C428.9 288.1 393.7 298.4 363.1 319.8zM255.1-.0031c-1.928 0-3.793 .244-5.711 .287C253.1 15.98 255.8 31.95 255.8 47.85c0 97.43-76.7 208.1-207.5 208.1c-16.18 0-32.29-1.914-48-5.613c-.041 1.902-.285 3.756-.285 5.67c0 141.4 114.6 256 256 256c1.932 0 3.797-.2482 5.719-.2912c-3.677-15.69-5.488-31.65-5.488-47.55c0-96.97 76.25-207.9 207.1-207.9c16.3 0 32.55 1.901 48.39 5.631c.0449-1.977 .299-3.896 .299-5.881C511.1 114.6 397.4-.0031 255.1-.0031zM49.59 223.3c110.6 0 173.8-93.19 173.8-174.1c0-15.12-1.924-30.31-5.828-45.17c-110.4 16.67-197.5 103.7-214.3 214.1C18.35 221.3 33.95 223.3 49.59 223.3z", "M217.6 3.19c3.905 14.86 5.828 30.05 5.828 45.17c0 81.8-63.64 174.1-173.8 174.1c-15.65 0-31.24-2.055-46.36-6.041C1.585 228.1 .528 239.1 .2819 250.3c15.71 3.699 31.82 5.613 48 5.613c132.1 0 207.5-111.3 207.5-208.1c0-15.91-1.812-31.87-5.493-47.57C239.2 .526 228.3 1.573 217.6 3.19zM463.3 256.2c-127.2 0-207.1 106-207.1 207.9c0 15.9 1.811 31.86 5.488 47.55c11.11-.2461 22-1.285 32.72-2.906c-3.901-14.85-5.823-30.04-5.823-45.15c0-55.33 25.76-109.7 74.45-143.8c30.66-21.44 65.84-31.75 100.7-31.75c15.25 0 30.38 2.156 45.1 6.031c1.58-10.55 2.596-21.28 2.846-32.22C495.9 258.1 479.6 256.2 463.3 256.2z"]],
    "tent": [576, 512, [], "e57d", ["M269.4 5.961C280.5-1.987 295.5-1.987 306.6 5.961L530.6 165.1C538 171.2 542.8 179.4 543.8 188.5L575.8 476.5C576.8 485.5 573.9 494.6 567.8 501.3C561.8 508.1 553.1 512 544 512H448L288 256V512H32C22.9 512 14.23 508.1 8.156 501.3C2.086 494.6-.8093 485.5 .1958 476.5L32.2 188.5C33.2 179.4 38 171.2 45.4 165.1L269.4 5.961z", "M448 512H288V256L448 512z"]],
    "tent-arrow-down-to-line": [640, 512, [], "e57e", ["M571.4 262.5C578 267.6 582.4 275 583.6 283.3L608.4 448C608.2 448 608.1 448 608 448H460.8L384 320V448H159.6L184.4 283.3C185.6 275 189.1 267.6 196.6 262.5L364.6 134.5C376.1 125.8 391.9 125.8 403.4 134.5L571.4 262.5z", "M160.1 217.8C150.9 226.1 137.1 226.1 127.9 217.8L47.94 145.8C38.09 136.1 37.29 121.8 46.16 111.9C55.03 102.1 70.2 101.3 80.05 110.2L119.1 146.1V24C119.1 10.75 130.7 0 143.1 0C157.3 0 167.1 10.75 167.1 24V146.1L207.9 110.2C217.8 101.3 232.1 102.1 241.8 111.9C250.7 121.8 249.9 136.1 240.1 145.8L160.1 217.8zM608 448C625.7 448 640 462.3 640 480C640 497.7 625.7 512 608 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H608z"]],
    "tent-arrow-left-right": [576, 512, [], "e57f", ["M268.6 166.5C280.1 157.8 295.9 157.8 307.4 166.5L475.4 294.5C482 299.6 486.4 307 487.6 315.3L511.6 475.3C513 484.5 510.3 493.8 504.2 500.9C498.2 507.9 489.3 512 480 512H384L287.1 352V512H96C86.68 512 77.83 507.9 71.75 500.9C65.67 493.8 62.97 484.5 64.35 475.3L88.35 315.3C89.59 307 93.98 299.6 100.6 294.5L268.6 166.5z", "M454.2 7.945C463-1.907 478.2-2.706 488.1 6.161L568.1 78.16C573.1 82.71 576 89.2 576 96C576 102.8 573.1 109.3 568.1 113.8L488.1 185.8C478.2 194.7 463 193.9 454.2 184.1C445.3 174.2 446.1 159 455.9 150.2L489.5 120H86.54L120.1 150.2C129.9 159 130.7 174.2 121.8 184.1C112.1 193.9 97.8 194.7 87.94 185.8L7.945 113.8C2.888 109.3 0 102.8 0 96C0 89.2 2.888 82.71 7.945 78.16L87.94 6.161C97.8-2.706 112.1-1.907 121.8 7.945C130.7 17.8 129.9 32.97 120.1 41.84L86.54 72H489.5L455.9 41.84C446.1 32.97 445.3 17.8 454.2 7.945H454.2z"]],
    "tent-arrow-turn-left": [576, 512, [], "e580", ["M268.6 166.5C280.1 157.8 295.9 157.8 307.4 166.5L475.4 294.5C482 299.6 486.4 307 487.6 315.3L511.6 475.3C513 484.5 510.3 493.8 504.2 500.9C498.2 507.9 489.3 512 480 512H384L287.1 352V512H96C86.68 512 77.83 507.9 71.75 500.9C65.67 493.8 62.97 484.5 64.35 475.3L88.35 315.3C89.59 307 93.98 299.6 100.6 294.5L268.6 166.5z", "M121.8 7.945C130.7 17.8 129.9 32.97 120.1 41.84L86.54 72H456C522.3 72 576 125.7 576 192V232C576 245.3 565.3 256 552 256C538.7 256 528 245.3 528 232V192C528 152.2 495.8 120 456 120H86.54L120.1 150.2C129.9 159 130.7 174.2 121.8 184.1C112.1 193.9 97.8 194.7 87.94 185.8L7.945 113.8C2.888 109.3 0 102.8 0 96C0 89.2 2.888 82.71 7.945 78.16L87.94 6.161C97.8-2.706 112.1-1.907 121.8 7.945H121.8z"]],
    "tent-arrows-down": [576, 512, [], "e581", ["M268.6 166.5C280.1 157.8 295.9 157.8 307.4 166.5L475.4 294.5C482 299.6 486.4 307 487.6 315.3L511.6 475.3C513 484.5 510.3 493.8 504.2 500.9C498.2 507.9 489.3 512 480 512H384L287.1 352V512H96C86.68 512 77.83 507.9 71.75 500.9C65.67 493.8 62.97 484.5 64.35 475.3L88.35 315.3C89.59 307 93.98 299.6 100.6 294.5L268.6 166.5z", "M128.1 217.8C118.9 226.1 105.1 226.1 95.94 217.8L15.94 145.8C6.093 136.1 5.294 121.8 14.16 111.9C23.03 102.1 38.2 101.3 48.06 110.2L88 146.1V24C88 10.75 98.75 0 112 0C125.3 0 136 10.75 136 24V146.1L175.9 110.2C185.8 101.3 200.1 102.1 209.8 111.9C218.7 121.8 217.9 136.1 208.1 145.8L128.1 217.8zM480.1 217.8C470.9 226.1 457.1 226.1 447.9 217.8L367.9 145.8C358.1 136.1 357.3 121.8 366.2 111.9C375 102.1 390.2 101.3 400.1 110.2L440 146.1V24C440 10.75 450.7 0 464 0C477.3 0 488 10.75 488 24V146.1L527.9 110.2C537.8 101.3 552.1 102.1 561.8 111.9C570.7 121.8 569.9 136.1 560.1 145.8L480.1 217.8z"]],
    "tents": [640, 512, [], "e582", ["M603.4 134.5C610 139.6 614.4 147 615.6 155.3L639.6 315.3C641 324.5 638.3 333.8 632.2 340.9C626.2 347.9 617.3 352 608 352H461.5L455.3 310.5C452.8 294 444 279.2 430.8 269.1L262.8 141.1C254.6 134.9 245.4 130.9 235.8 129.1L396.6 6.546C408.1-2.182 423.9-2.182 435.4 6.546L603.4 134.5z", "M204.6 166.5C216.1 157.8 231.9 157.8 243.4 166.5L411.4 294.5C418 299.6 422.4 307 423.6 315.3L447.6 475.3C449 484.5 446.3 493.8 440.2 500.9C434.2 507.9 425.3 512 416 512H319.1L223.1 352V512H32C22.68 512 13.83 507.9 7.753 500.9C1.674 493.8-1.028 484.5 .3542 475.3L24.35 315.3C25.59 307 29.98 299.6 36.61 294.5L204.6 166.5z"]],
    "terminal": [576, 512, [], "f120", ["M224 448C224 430.3 238.3 416 256 416H544C561.7 416 576 430.3 576 448C576 465.7 561.7 480 544 480H256C238.3 480 224 465.7 224 448z", "M54.63 41.37L246.6 233.4C259.1 245.9 259.1 266.1 246.6 278.6L54.63 470.6C42.13 483.1 21.87 483.1 9.372 470.6C-3.124 458.1-3.124 437.9 9.372 425.4L178.7 255.1L9.372 86.63C-3.124 74.13-3.124 53.87 9.372 41.37C21.87 28.88 42.13 28.88 54.63 41.37V41.37z"]],
    "text": [448, 512, [], "f893", ["M448 64.01v64c0 17.69-14.31 32-32 32s-32-14.31-32-32v-32h-128v320h48c17.69 0 32 14.31 32 32s-14.31 31.1-32 31.1h-160c-17.69 0-32-14.31-32-31.1s14.31-32 32-32H192v-320H64v32c0 17.69-14.31 32-32 32s-32-14.31-32-32v-64c0-17.69 14.31-32 32-32h384C433.7 32.01 448 46.33 448 64.01z", ""]],
    "text-height": [576, 512, [], "f034", ["M288 32.01H32c-17.67 0-32 14.31-32 32v64c0 17.69 14.33 32 32 32s32-14.31 32-32v-32h64v320H96c-17.67 0-32 14.31-32 32s14.33 32 32 32h128c17.67 0 32-14.31 32-32s-14.33-32-32-32H192v-320h64v32c0 17.69 14.33 32 32 32s32-14.31 32-32v-64C320 46.33 305.7 32.01 288 32.01z", "M521.4 361.4L512 370.8V141.3l9.375 9.375C527.6 156.9 535.8 160 544 160s16.38-3.125 22.62-9.375c12.5-12.5 12.5-32.75 0-45.25l-64-64c-12.5-12.5-32.75-12.5-45.25 0l-64 64c-12.5 12.5-12.5 32.75 0 45.25s32.75 12.5 45.25 0L448 141.3v229.5l-9.375-9.375c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25l64 64C463.6 476.9 471.8 480 480 480s16.38-3.118 22.62-9.368l64-64c12.5-12.5 12.5-32.75 0-45.25S533.9 348.9 521.4 361.4z"]],
    "text-size": [640, 512, [], "f894", ["M256 416H224v-320h96v32c0 17.69 14.33 32 32 32s32-14.31 32-32v-64c0-17.69-14.33-32-32-32H32c-17.67 0-32 14.31-32 32v64c0 17.69 14.33 32 32 32s32-14.31 32-32v-32h96v320H128c-17.67 0-32 14.31-32 32s14.33 32 32 32h128c17.67 0 32-14.31 32-32S273.7 416 256 416z", "M608 224h-256c-17.67 0-32 14.31-32 31.1v32c0 17.69 14.33 32 32 32s32-14.31 32-32h64v128h-16c-17.67 0-32 14.31-32 32s14.33 32 32 32h96c17.67 0 32-14.31 32-32s-14.33-32-32-32H512v-128h64c0 17.69 14.33 32 32 32s32-14.31 32-32v-32C640 238.3 625.7 224 608 224z"]],
    "text-slash": [640, 512, ["remove-format"], "f87d", ["M351.1 416H306.7l18.96-64.1L271.4 308.5l-31.36 107.5h-48c-17.67 0-32 14.31-32 32s14.33 31.99 32 31.99h160c17.67 0 32-14.31 32-31.99S369.7 416 351.1 416zM544 32.01H191.1c-17.67 0-32 14.31-32 32V100.1l58.03 45.48C221.5 140.5 223.1 134.7 223.1 128v-32h109.3l-33.22 113.9l54.26 42.53L400 96.01H512v32c0 17.69 14.33 32 32 32s32-14.31 32-32v-64C576 46.33 561.7 32.01 544 32.01z", "M630.8 469.1L38.81 5.13c-10.47-8.219-25.53-6.37-33.7 4.068s-6.349 25.54 4.073 33.69l591.1 463.1c4.406 3.469 9.61 5.127 14.8 5.127c7.125 0 14.17-3.164 18.9-9.195C643.1 492.4 641.2 477.3 630.8 469.1z"]],
    "text-width": [448, 512, [], "f035", ["M416 32.01H32c-17.67 0-32 14.31-32 32v63.1c0 17.69 14.33 32 32 32s32-14.31 32-32v-32h128v128H176c-17.67 0-32 14.31-32 31.1s14.33 32 32 32h96c17.67 0 32-14.31 32-32s-14.33-31.1-32-31.1H256v-128h128v32c0 17.69 14.33 32 32 32s32-14.32 32-32V64.01C448 46.33 433.7 32.01 416 32.01z", "M374.6 297.4c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25l9.375 9.375h-229.5L118.6 342.6c12.5-12.5 12.5-32.75 0-45.25s-32.75-12.5-45.25 0l-64 64c-12.5 12.5-12.5 32.75 0 45.25l64 64C79.63 476.9 87.81 480 96 480s16.38-3.118 22.62-9.368c12.5-12.5 12.5-32.75 0-45.25l-9.375-9.375h229.5l-9.375 9.375c-12.5 12.5-12.5 32.75 0 45.25C335.6 476.9 343.8 480 352 480s16.38-3.118 22.62-9.368l64-64c12.5-12.5 12.5-32.75 0-45.25L374.6 297.4z"]],
    "thermometer": [512, 512, [], "f491", ["M483.1 162.6L229.8 415.9l-99.87-.0001l-88.99 89.02c-9.249 9.377-24.5 9.377-33.87 0c-9.374-9.252-9.374-24.51 0-33.88l88.99-89.02l.0003-100.9l49.05-49.39l51.6 51.59c3.125 3.126 7.218 4.688 11.31 4.688s8.187-1.563 11.31-4.688c6.249-6.252 6.249-16.38 0-22.63L167.6 209.1l41.24-41.52l51.81 51.81c3.125 3.126 7.218 4.688 11.31 4.688s8.187-1.563 11.31-4.688c6.249-6.252 6.249-16.38 0-22.63L231.4 144.8l41.24-41.52l52.02 52.02c3.125 3.126 7.218 4.688 11.31 4.688s8.187-1.563 11.31-4.688c6.249-6.252 6.249-16.38 0-22.63l-52.09-52.09l49.68-50.02c36.37-36.51 94.37-40.88 131.9-10.25C526.2 61.11 518.9 127.8 483.1 162.6z", "M231.4 144.8L208.9 167.5l51.81 51.81c3.125 3.126 7.218 4.688 11.31 4.688s8.187-1.563 11.31-4.688c6.249-6.252 6.249-16.38 0-22.63L231.4 144.8zM167.6 209.1L145.1 231.8l51.6 51.59c3.125 3.126 7.218 4.688 11.31 4.688s8.187-1.563 11.31-4.688c6.249-6.252 6.249-16.38 0-22.63L167.6 209.1zM347.3 132.7l-52.09-52.09l-22.55 22.7l52.02 52.02c3.125 3.126 7.218 4.688 11.31 4.688s8.187-1.563 11.31-4.688C353.5 149.1 353.5 138.1 347.3 132.7z"]],
    "theta": [384, 512, [], "f69e", ["M192 16.01c-105.9 0-192 107.7-192 240s86.13 239.1 192 239.1s192-107.6 192-239.1S297.9 16.01 192 16.01zM192 80.01c62.62 0 114.8 62.21 125.8 144H66.22C77.21 142.2 129.4 80.01 192 80.01zM192 432c-62.62 0-114.8-62.21-125.8-144h251.6C306.8 369.8 254.6 432 192 432z", ""]],
    "thought-bubble": [512, 512, [], "e32e", ["M32 448c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32s32-14.33 32-32C64 462.3 49.67 448 32 448zM144 384C117.5 384 96 405.5 96 432S117.5 480 144 480S192 458.5 192 432S170.5 384 144 384z", "M384 80c-3.281 0-6.438 .3125-9.594 .7187C355.1 32.17 308.3 0 256 0C204.4 0 157.8 31.59 138.2 79.27C134.8 78.84 131.4 78.5 128 78.5c-70.59 0-128 57.48-128 128.1s57.41 127.9 128 127.9c12.62 0 25.41-2.062 38.13-6.125C182.9 362.7 217.4 384.5 256 384.5c38.03 0 72.31-21.27 89.31-54.77C358.2 333.9 371.2 336 384 336c70.59 0 128-57.37 128-127.9S454.6 80 384 80z"]],
    "thumbs-down": [512, 512, [61576, 128078], "f165", ["M467.3 240.2C475.1 231.7 480 220.4 480 207.9c0-23.47-16.87-42.92-39.14-47.09C445.3 153.6 448 145.1 448 135.1c0-21.32-14-39.18-33.25-45.43C415.5 87.12 416 83.61 416 79.98C416 53.47 394.5 32 368 32h-58.69c-34.61 0-68.28 11.22-95.97 31.98L179.2 89.57C167.1 98.63 160 112.9 160 127.1l.1074 160c0 0-.0234-.0234 0 0c.0703 13.99 6.123 27.94 17.91 37.36l16.3 13.03C276.2 403.9 239.4 480 302.5 480c30.96 0 49.47-24.52 49.47-48.11c0-15.15-11.76-58.12-34.52-96.02H464c26.52 0 48-21.47 48-47.98C512 262.5 492.2 241.9 467.3 240.2z", "M96 32.04H32c-17.67 0-32 14.32-32 31.1v223.1c0 17.67 14.33 31.1 32 31.1h64c17.67 0 32-14.33 32-31.1V64.03C128 46.36 113.7 32.04 96 32.04z"]],
    "thumbs-up": [512, 512, [61575, 128077], "f164", ["M512 224.1c0-26.5-21.48-47.98-48-47.98h-146.5c22.77-37.91 34.52-80.88 34.52-96.02C352 56.52 333.5 32 302.5 32c-63.13 0-26.36 76.15-108.2 141.6L178 186.6C166.2 196.1 160.2 210 160.1 224c-.0234 .0234 0 0 0 0L160 384c0 15.1 7.113 29.33 19.2 38.39l34.14 25.59C241 468.8 274.7 480 309.3 480H368c26.52 0 48-21.47 48-47.98c0-3.635-.4805-7.143-1.246-10.55C434 415.2 448 397.4 448 376c0-9.148-2.697-17.61-7.139-24.88C463.1 347 480 327.5 480 304.1c0-12.5-4.893-23.78-12.72-32.32C492.2 270.1 512 249.5 512 224.1z", "M128 447.1V223.1c0-17.67-14.33-31.1-32-31.1H32c-17.67 0-32 14.33-32 31.1v223.1c0 17.67 14.33 31.1 32 31.1h64C113.7 479.1 128 465.6 128 447.1z"]],
    "thumbtack": [384, 512, [128392, 128204, "thumb-tack"], "f08d", ["M32 32C32 14.33 46.33 0 64 0H320C337.7 0 352 14.33 352 32C352 49.67 337.7 64 320 64H290.5L301.9 212.2C338.6 232.1 367.5 265.4 381.4 306.9L382.4 309.9C385.6 319.6 383.1 330.4 377.1 338.7C371.9 347.1 362.3 352 352 352H224V256C224 238.3 209.7 224 191.1 224C174.3 224 159.1 238.3 159.1 256V352H32C21.71 352 12.05 347.1 6.04 338.7C.0259 330.4-1.611 319.6 1.642 309.9L2.644 306.9C16.47 265.4 45.42 232.1 82.14 212.2L93.54 64H64C46.33 64 32 49.67 32 32z", "M192 224C209.7 224 224 238.3 224 256V480C224 497.7 209.7 512 192 512C174.3 512 160 497.7 160 480V256C160 238.3 174.3 224 192 224z"]],
    "tick": [128, 512, [], "e32f", ["M126.1 109.8L101.7 255C98.43 274.1 82.55 288 63.99 288S29.55 274.1 26.25 255L1.044 109.9c-3.416-19.63 1.648-39.64 13.85-54.93c24.34-30.57 73.86-30.57 98.2 0C125.3 70.21 130.4 90.22 126.1 109.8z", ""]],
    "ticket": [576, 512, [127903], "f145", ["M128 160H448V352H128V160zM512 64C547.3 64 576 92.65 576 128V208C549.5 208 528 229.5 528 256C528 282.5 549.5 304 576 304V384C576 419.3 547.3 448 512 448H64C28.65 448 0 419.3 0 384V304C26.51 304 48 282.5 48 256C48 229.5 26.51 208 0 208V128C0 92.65 28.65 64 64 64H512zM96 352C96 369.7 110.3 384 128 384H448C465.7 384 480 369.7 480 352V160C480 142.3 465.7 128 448 128H128C110.3 128 96 142.3 96 160V352z", "M448 128C465.7 128 480 142.3 480 160V352C480 369.7 465.7 384 448 384H128C110.3 384 96 369.7 96 352V160C96 142.3 110.3 128 128 128H448zM448 160H128V352H448V160z"]],
    "ticket-airline": [640, 512, [], "e29a", ["M576 64C611.3 64 640 92.65 640 128V192C604.7 192 576 220.7 576 256C576 291.3 604.7 320 640 320V384C640 419.3 611.3 448 576 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H576zM432 144C440.8 144 448 136.8 448 128C448 119.2 440.8 112 432 112C423.2 112 416 119.2 416 128C416 136.8 423.2 144 432 144zM432 208C440.8 208 448 200.8 448 192C448 183.2 440.8 176 432 176C423.2 176 416 183.2 416 192C416 200.8 423.2 208 432 208zM432 240C423.2 240 416 247.2 416 256C416 264.8 423.2 272 432 272C440.8 272 448 264.8 448 256C448 247.2 440.8 240 432 240zM432 336C440.8 336 448 328.8 448 320C448 311.2 440.8 304 432 304C423.2 304 416 311.2 416 320C416 328.8 423.2 336 432 336zM432 368C423.2 368 416 375.2 416 384C416 392.8 423.2 400 432 400C440.8 400 448 392.8 448 384C448 375.2 440.8 368 432 368zM120 224L100.8 198.4C97.78 194.4 93.04 192 88 192H74.25C69.04 192 65.22 196.9 66.48 201.9L79.03 252.1C79.67 254.7 79.67 257.3 79.03 259.9L66.48 310.1C65.22 315.1 69.04 320 74.25 320H88C93.04 320 97.78 317.6 100.8 313.6L120 288H176L147.5 373.5C145.8 378.6 149.6 384 155.1 384H186.2C194.8 384 202.6 379.5 206.9 372.1L256 288H302.9C318.1 288 334.4 281.6 345.7 270.3C353.6 262.4 353.6 249.6 345.7 241.7C334.4 230.4 318.1 223.1 302.9 223.1H256L206.9 139.9C202.6 132.5 194.8 127.1 186.2 127.1H155.1C149.6 127.1 145.8 133.3 147.5 138.5L176 223.1L120 224z", "M155.1 128H186.2C194.8 128 202.6 132.5 206.9 139.9L256 224H302.9C318.1 224 334.4 230.4 345.7 241.7C353.6 249.6 353.6 262.4 345.7 270.3C334.4 281.6 318.1 288 302.9 288H256L206.9 372.1C202.6 379.5 194.8 384 186.2 384H155.1C149.6 384 145.8 378.6 147.5 373.5L176 288H120L100.8 313.6C97.78 317.6 93.04 320 88 320H74.25C69.04 320 65.22 315.1 66.49 310.1L79.03 259.9C79.67 257.3 79.67 254.7 79.03 252.1L66.49 201.9C65.22 196.9 69.04 192 74.25 192H88C93.04 192 97.78 194.4 100.8 198.4L120 224H176L147.5 138.5C145.8 133.4 149.6 128 155.1 128V128z"]],
    "ticket-simple": [576, 512, ["ticket-alt"], "f3ff", ["M0 128C0 92.65 28.65 64 64 64H512C547.3 64 576 92.65 576 128V208C549.5 208 528 229.5 528 256C528 282.5 549.5 304 576 304V384C576 419.3 547.3 448 512 448H64C28.65 448 0 419.3 0 384V304C26.51 304 48 282.5 48 256C48 229.5 26.51 208 0 208V128z", ""]],
    "tickets-airline": [640, 512, [], "e29b", ["M576 32C611.3 32 640 60.65 640 96V160C613.5 160 592 181.5 592 208C592 234.5 613.5 256 640 256V320C640 355.3 611.3 384 576 384H160C124.7 384 96 355.3 96 320V96C96 60.65 124.7 32 160 32H576zM528 96C519.2 96 512 103.2 512 112C512 120.8 519.2 128 528 128C536.8 128 544 120.8 544 112C544 103.2 536.8 96 528 96zM528 160C519.2 160 512 167.2 512 176C512 184.8 519.2 192 528 192C536.8 192 544 184.8 544 176C544 167.2 536.8 160 528 160zM528 256C536.8 256 544 248.8 544 240C544 231.2 536.8 224 528 224C519.2 224 512 231.2 512 240C512 248.8 519.2 256 528 256zM528 288C519.2 288 512 295.2 512 304C512 312.8 519.2 320 528 320C536.8 320 544 312.8 544 304C544 295.2 536.8 288 528 288zM245.8 176L226.6 150.4C223.5 146.4 218.8 144 213.8 144H200C194.8 144 190.1 148.9 192.2 153.9L204.8 204.1C205.4 206.7 205.4 209.3 204.8 211.9L192.2 262.1C190.1 267.1 194.8 272 200 272H213.8C218.8 272 223.5 269.6 226.6 265.6L245.8 240H288.4L265.3 309.5C263.5 314.7 267.4 320 272.9 320H303.1C312.5 320 320.4 315.5 324.7 308.1L364.4 240H404.7C420.7 240 436.1 233.6 447.5 222.3C455.4 214.4 455.4 201.6 447.5 193.7C436.1 182.4 420.7 175.1 404.7 175.1H364.4L324.7 107.9C320.4 100.5 312.5 95.1 303.1 95.1H272.9C267.4 95.1 263.5 101.3 265.3 106.5L288.4 175.1L245.8 176z", "M48 360C48 399.8 80.24 432 120 432H520C533.3 432 544 442.7 544 456C544 469.3 533.3 480 520 480H120C53.73 480 0 426.3 0 360V120C0 106.7 10.75 96 24 96C37.25 96 48 106.7 48 120V360zM288.4 176L265.3 106.5C263.5 101.3 267.4 96 272.9 96H303.1C312.5 96 320.4 100.5 324.7 107.9L364.4 176H404.7C420.7 176 436.1 182.4 447.5 193.7C455.4 201.6 455.4 214.4 447.5 222.3C436.1 233.6 420.7 240 404.7 240H364.4L324.7 308.1C320.4 315.5 312.5 320 303.1 320H272.9C267.4 320 263.5 314.7 265.3 309.5L288.4 240H245.8L226.6 265.6C223.5 269.6 218.8 272 213.8 272H200C194.8 272 190.1 267.1 192.2 262.1L204.8 211.9C205.4 209.3 205.4 206.7 204.8 204.1L192.2 153.9C190.1 148.9 194.8 144 200 144H213.8C218.8 144 223.5 146.4 226.6 150.4L245.8 176L288.4 176z"]],
    "tilde": [448, 512, [63135], "7e", ["M348.1 384c-26.31 0-52.03-10.66-70.63-29.25l-152.3-152.2c-6.688-6.688-15.94-10.5-25.38-10.5C80.09 192 64 208.1 64 227.9v92.12c0 17.69-14.31 32-32 32s-32-14.31-32-32V227.9c0-55.06 44.81-99.88 99.88-99.88c26.31 0 52.03 10.66 70.63 29.25l152.3 152.2c6.688 6.688 15.94 10.5 25.38 10.5C367.9 320 384 303.9 384 284.1V192c0-17.69 14.31-32 32-32s32 14.31 32 32V284.1C448 339.2 403.2 384 348.1 384z", ""]],
    "timeline": [640, 512, [], "e29c", ["M512 176C523.4 176 534.2 173.6 544 169.3V224H608C625.7 224 640 238.3 640 256C640 273.7 625.7 288 608 288H352V342.7C342.2 338.4 331.4 336 320 336C308.6 336 297.8 338.4 288 342.7V288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H96V169.3C105.8 173.6 116.6 176 128 176C139.4 176 150.2 173.6 160 169.3V224H480V169.3C489.8 173.6 500.6 176 512 176z", "M48 96C48 51.82 83.82 16 128 16C172.2 16 208 51.82 208 96C208 140.2 172.2 176 128 176C83.82 176 48 140.2 48 96zM128 120C141.3 120 152 109.3 152 96C152 82.75 141.3 72 128 72C114.7 72 104 82.75 104 96C104 109.3 114.7 120 128 120zM432 96C432 51.82 467.8 16 512 16C556.2 16 592 51.82 592 96C592 140.2 556.2 176 512 176C467.8 176 432 140.2 432 96zM512 120C525.3 120 536 109.3 536 96C536 82.75 525.3 72 512 72C498.7 72 488 82.75 488 96C488 109.3 498.7 120 512 120zM400 416C400 460.2 364.2 496 320 496C275.8 496 240 460.2 240 416C240 371.8 275.8 336 320 336C364.2 336 400 371.8 400 416zM320 392C306.7 392 296 402.7 296 416C296 429.3 306.7 440 320 440C333.3 440 344 429.3 344 416C344 402.7 333.3 392 320 392z"]],
    "timeline-arrow": [640, 512, [], "e29d", ["M352 175.1C363.4 175.1 374.2 173.6 384 169.3V223.1H530.7L489.4 182.6C476.9 170.1 476.9 149.9 489.4 137.4C501.9 124.9 522.1 124.9 534.6 137.4L630.6 233.4C643.1 245.9 643.1 266.1 630.6 278.6L534.6 374.6C522.1 387.1 501.9 387.1 489.4 374.6C476.9 362.1 476.9 341.9 489.4 329.4L530.7 288H256V342.7C246.2 338.4 235.4 336 224 336C212.6 336 201.8 338.4 192 342.7V288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H96V169.3C105.8 173.6 116.6 176 128 176C139.4 176 150.2 173.6 160 169.3V224H320V169.3C329.8 173.6 340.6 176 352 176V175.1z", "M48 96C48 51.82 83.82 16 128 16C172.2 16 208 51.82 208 96C208 140.2 172.2 176 128 176C83.82 176 48 140.2 48 96zM128 120C141.3 120 152 109.3 152 96C152 82.75 141.3 72 128 72C114.7 72 104 82.75 104 96C104 109.3 114.7 120 128 120zM272 96C272 51.82 307.8 16 352 16C396.2 16 432 51.82 432 96C432 140.2 396.2 176 352 176C307.8 176 272 140.2 272 96zM352 120C365.3 120 376 109.3 376 96C376 82.75 365.3 72 352 72C338.7 72 328 82.75 328 96C328 109.3 338.7 120 352 120zM304 416C304 460.2 268.2 496 224 496C179.8 496 144 460.2 144 416C144 371.8 179.8 336 224 336C268.2 336 304 371.8 304 416zM224 392C210.7 392 200 402.7 200 416C200 429.3 210.7 440 224 440C237.3 440 248 429.3 248 416C248 402.7 237.3 392 224 392z"]],
    "timer": [512, 512, [], "e29e", ["M224 32C224 14.33 238.3 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 184.4 29.46 119.6 76.84 73.14C89.46 60.78 109.7 60.98 122.1 73.6C134.5 86.23 134.3 106.5 121.6 118.9C86.03 153.7 64 202.3 64 256C64 362 149.1 448 256 448C362 448 448 362 448 256C448 160.9 378.8 81.89 288 66.65V96C288 113.7 273.7 128 256 128C238.3 128 224 113.7 224 96V32z", "M159 159C168.4 149.7 183.6 149.7 192.1 159L272.1 239C282.3 248.4 282.3 263.6 272.1 272.1C263.6 282.3 248.4 282.3 239 272.1L159 192.1C149.7 183.6 149.7 168.4 159 159V159z"]],
    "tire": [512, 512, [], "f631", ["M96 256C96 167.6 167.6 96 256 96C344.4 96 416 167.6 416 256C416 344.4 344.4 416 256 416C167.6 416 96 344.4 96 256zM202.1 290.4L140.2 310.6C158.5 349.4 195.7 377.5 239.1 383L239.9 317.1C224.1 313.9 210.6 303.9 202.1 290.4V290.4zM271.9 317.1L271.1 383C316.2 377.5 353.5 349.4 371.8 310.6L309.9 290.4C301.3 303.9 287.8 313.9 271.9 317.1L271.9 317.1zM319.9 260L381.7 280.2C383.2 272.3 384 264.3 384 255.1C384 219.2 368.5 186.1 343.7 162.7L305.5 215.4C314.5 226.4 320 240.6 320 255.1C320 257.4 319.1 258.7 319.9 260L319.9 260zM279.6 196.5L317.8 143.9C299.5 133.8 278.4 128 256 128C233.6 128 212.5 133.8 194.2 143.9L232.4 196.5C239.7 193.6 247.7 192 256 192C264.3 192 272.3 193.6 279.6 196.5zM206.5 215.4L168.3 162.7C143.5 186.1 128 219.2 128 255.1C128 264.3 128.8 272.3 130.3 280.2L192.1 260C192 258.7 191.1 257.4 191.1 256C191.1 240.6 197.5 226.4 206.5 215.4H206.5zM256 224C238.3 224 224 238.3 224 256C224 273.7 238.3 288 256 288C273.7 288 288 273.7 288 256C288 238.3 273.7 224 256 224z", "M224 256C224 238.3 238.3 224 256 224C273.7 224 288 238.3 288 256C288 273.7 273.7 288 256 288C238.3 288 224 273.7 224 256zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 96C167.6 96 96 167.6 96 256C96 344.4 167.6 416 256 416C344.4 416 416 344.4 416 256C416 167.6 344.4 96 256 96z"]],
    "tire-flat": [512, 512, [], "f632", ["M96 288C96 199.6 167.6 128 256 128C344.4 128 416 199.6 416 288C416 376.4 344.4 448 256 448C167.6 448 96 376.4 96 288zM202.1 322.4L140.2 342.6C158.5 381.4 195.7 409.5 239.1 415L239.9 349.1C224.1 345.9 210.6 335.9 202.1 322.4V322.4zM271.9 350L271.1 415C316.2 409.5 353.5 381.4 371.8 342.6L309.9 322.4C301.3 335.9 287.8 345.9 271.9 350L271.9 350zM319.9 292L381.7 312.2C383.2 304.3 384 296.3 384 287.1C384 251.2 368.5 218.1 343.7 194.7L305.5 247.4C314.5 258.4 320 272.6 320 287.1C320 289.4 319.1 290.7 319.9 292L319.9 292zM279.6 228.5L317.8 175.9C299.5 165.8 278.4 160 256 160C233.6 160 212.5 165.8 194.2 175.9L232.4 228.5C239.7 225.6 247.7 224 256 224C264.3 224 272.3 225.6 279.6 228.5zM206.5 247.4L168.3 194.7C143.5 218.1 128 251.2 128 287.1C128 296.3 128.8 304.3 130.3 312.2L192.1 292C192 290.7 191.1 289.4 191.1 288C191.1 272.6 197.5 258.4 206.5 247.4H206.5zM256 256C238.3 256 224 270.3 224 288C224 305.7 238.3 320 256 320C273.7 320 288 305.7 288 288C288 270.3 273.7 256 256 256z", "M224 288C224 270.3 238.3 256 256 256C273.7 256 288 270.3 288 288C288 305.7 273.7 320 256 320C238.3 320 224 305.7 224 288zM0 288C0 146.6 114.6 32 256 32C397.4 32 512 146.6 512 288C512 335.3 499.2 379.7 476.8 417.7C497.1 423.3 512 441.9 512 464C512 490.5 490.5 512 464 512H48C21.49 512 0 490.5 0 464C0 441.9 14.93 423.3 35.25 417.7C12.85 379.7 0 335.3 0 288zM256 128C167.6 128 96 199.6 96 288C96 340.3 121.1 386.8 159.1 416C186.7 436.1 219.1 448 256 448C289.1 448 319.9 437.9 345.5 420.7C347.7 419.2 349.9 417.6 352 416C390.9 386.8 416 340.3 416 288C416 199.6 344.4 128 256 128z"]],
    "tire-pressure-warning": [512, 512, [], "f633", ["M384 32C384 14.33 398.3 .0003 416 .0003C433.7 .0003 448 14.33 448 32V54.46C448 78.53 451.9 102.5 459.5 125.3L461.1 132.7C466.8 147.2 473.5 161.4 481.3 177.1C498.8 212.7 514.7 259.7 508.8 313.3C503.4 361.9 480.7 412.3 432 461.1V496C432 504.8 424.8 512 416 512H384C375.2 512 368 504.8 368 496V488H336V496C336 504.8 328.8 512 320 512H288C279.2 512 272 504.8 272 496V488H239.1V496C239.1 504.8 232.8 512 223.1 512H191.1C183.2 512 175.1 504.8 175.1 496V488H143.1V496C143.1 504.8 136.8 512 127.1 512H95.1C87.16 512 79.1 504.8 79.1 496V461.1C31.34 412.3 8.575 361.9 3.236 313.3C-2.658 259.7 13.17 212.7 30.72 177.1C38.5 161.4 45.21 147.2 50.02 132.7L52.5 125.3C60.12 102.5 63.1 78.53 63.1 54.46V32C63.1 14.33 78.33 0 95.1 0C113.7 0 127.1 14.33 127.1 32V54.46C127.1 85.41 123 116.2 113.2 145.5L110.7 152.1C104.4 171.1 95.93 189.6 88.12 205.5C73.46 235.2 62.8 269.4 66.85 306.3C70.59 340.3 87.26 380.4 132.6 424H379.4C424.7 380.4 441.4 340.3 445.1 306.3C449.2 269.4 438.5 235.2 423.9 205.5C416.1 189.6 407.6 171.1 401.3 152.1L398.8 145.5C388.1 116.2 384 85.41 384 54.46V32z", "M280 232C280 245.3 269.3 256 255.1 256C242.7 256 231.1 245.3 231.1 232V120C231.1 106.7 242.7 96 255.1 96C269.3 96 280 106.7 280 120V232zM223.1 320C223.1 302.3 238.3 288 255.1 288C273.7 288 288 302.3 288 320C288 337.7 273.7 352 255.1 352C238.3 352 223.1 337.7 223.1 320z"]],
    "tire-rugged": [512, 512, [], "f634", ["M128 256C128 185.3 185.3 128 256 128C326.7 128 384 185.3 384 256C384 326.7 326.7 384 256 384C185.3 384 128 326.7 128 256zM256 208C269.3 208 280 197.3 280 184C280 170.7 269.3 160 256 160C242.7 160 232 170.7 232 184C232 197.3 242.7 208 256 208zM164.7 226.3C160.6 238.9 167.5 252.5 180.1 256.6C192.7 260.7 206.3 253.8 210.3 241.2C214.4 228.6 207.5 215 194.9 210.9C182.3 206.8 168.8 213.7 164.7 226.3V226.3zM301.7 241.2C305.7 253.8 319.3 260.7 331.9 256.6C344.5 252.5 351.4 238.9 347.3 226.3C343.2 213.7 329.7 206.8 317.1 210.9C304.5 215 297.6 228.6 301.7 241.2V241.2zM312.4 333.7C323.2 325.9 325.5 310.9 317.7 300.1C309.9 289.4 294.9 287 284.2 294.8C273.5 302.6 271.1 317.6 278.9 328.4C286.7 339.1 301.7 341.5 312.4 333.7V333.7zM227.8 294.8C217.1 287 202.1 289.4 194.3 300.1C186.5 310.9 188.8 325.9 199.6 333.7C210.3 341.5 225.3 339.1 233.1 328.4C240.9 317.6 238.5 302.6 227.8 294.8V294.8z", "M296 0C309.3 0 320 10.75 320 24V40C320 40.42 319.1 40.85 319.1 41.27C334.9 45.7 349.2 51.66 362.6 58.94C362.9 58.63 363.2 58.31 363.5 58.01L374.8 46.7C384.2 37.32 399.4 37.32 408.7 46.7L465.3 103.3C474.7 112.6 474.7 127.8 465.3 137.2L453.1 148.5C453.7 148.8 453.4 149.1 453.1 149.4C460.3 162.8 466.3 177.1 470.7 192C471.2 192 471.6 192 472 192H488C501.3 192 512 202.7 512 216V296C512 309.3 501.3 320 488 320H472C471.6 320 471.2 319.1 470.7 319.1C466.3 334.9 460.3 349.2 453.1 362.6C453.4 362.9 453.7 363.2 453.1 363.5L465.3 374.8C474.7 384.2 474.7 399.4 465.3 408.7L408.7 465.3C399.4 474.7 384.2 474.7 374.8 465.3L363.5 453.1C363.2 453.7 362.9 453.4 362.6 453.1C349.2 460.3 334.9 466.3 319.1 470.7C319.1 471.2 320 471.6 320 472V488C320 501.3 309.3 512 296 512H216C202.7 512 192 501.3 192 488V472C192 471.6 192 471.2 192 470.7C177.1 466.3 162.8 460.3 149.4 453.1C149.1 453.4 148.8 453.7 148.5 453.1L137.2 465.3C127.8 474.7 112.6 474.7 103.3 465.3L46.7 408.7C37.32 399.4 37.32 384.2 46.7 374.8L58.01 363.5C58.31 363.2 58.62 362.9 58.94 362.6C51.66 349.2 45.7 334.9 41.27 319.1C40.85 319.1 40.42 320 40 320H24C10.75 320 0 309.3 0 296V216C0 202.7 10.75 192 24 192H40C40.42 192 40.85 192 41.27 192C45.7 177.1 51.66 162.8 58.94 149.4C58.62 149.1 58.31 148.8 58.01 148.5L46.7 137.2C37.32 127.8 37.32 112.6 46.7 103.3L103.3 46.7C112.6 37.32 127.8 37.32 137.2 46.7L148.5 58.01C148.8 58.31 149.1 58.63 149.4 58.94C162.8 51.66 177.1 45.7 192 41.27C192 40.85 192 40.42 192 40V24C192 10.75 202.7 0 216 0H296zM256 128C185.3 128 128 185.3 128 256C128 326.7 185.3 384 256 384C326.7 384 384 326.7 384 256C384 185.3 326.7 128 256 128z"]],
    "toggle-large-off": [576, 512, [], "e5b0", ["M384 64C490 64 576 149.1 576 256C576 362 490 448 384 448H192C85.96 448 0 362 0 256C0 149.1 85.96 64 192 64H384zM64 256C64 326.7 121.3 384 192 384H384C454.7 384 512 326.7 512 256C512 185.3 454.7 128 384 128H192C121.3 128 64 185.3 64 256z", "M320 256C320 326.7 262.7 384 192 384C121.3 384 64 326.7 64 256C64 185.3 121.3 128 192 128C262.7 128 320 185.3 320 256z"]],
    "toggle-large-on": [576, 512, [], "e5b1", ["M384 64C490 64 576 149.1 576 256C576 362 490 448 384 448H192C85.96 448 0 362 0 256C0 149.1 85.96 64 192 64H384zM384 384C454.7 384 512 326.7 512 256C512 185.3 454.7 128 384 128C313.3 128 256 185.3 256 256C256 326.7 313.3 384 384 384z", "M512 256C512 326.7 454.7 384 384 384C313.3 384 256 326.7 256 256C256 185.3 313.3 128 384 128C454.7 128 512 185.3 512 256z"]],
    "toggle-off": [576, 512, [], "f204", ["M384 64C490 64 576 149.1 576 256C576 362 490 448 384 448H192C85.96 448 0 362 0 256C0 149.1 85.96 64 192 64H384zM64 256C64 326.7 121.3 384 192 384H384C454.7 384 512 326.7 512 256C512 185.3 454.7 128 384 128H192C121.3 128 64 185.3 64 256z", "M192 160C245 160 288 202.1 288 256C288 309 245 352 192 352C138.1 352 96 309 96 256C96 202.1 138.1 160 192 160z"]],
    "toggle-on": [576, 512, [], "f205", ["M384 64C490 64 576 149.1 576 256C576 362 490 448 384 448H192C85.96 448 0 362 0 256C0 149.1 85.96 64 192 64H384zM384 352C437 352 480 309 480 256C480 202.1 437 160 384 160C330.1 160 288 202.1 288 256C288 309 330.1 352 384 352z", "M480 256C480 309 437 352 384 352C330.1 352 288 309 288 256C288 202.1 330.1 160 384 160C437 160 480 202.1 480 256z"]],
    "toilet": [448, 512, [128701], "f7d8", ["M432 0h-416C7.25 0 0 7.25 0 16V32c0 8.75 7.25 16 16 16h416C440.8 48 448 40.75 448 32V16C448 7.25 440.8 0 432 0zM152 80h-48C99.63 80 96 83.63 96 88v16C96 108.4 99.63 112 104 112h48C156.4 112 160 108.4 160 104v-16C160 83.63 156.4 80 152 80z", "M448 256c0-18.04-11.82-34.85-32-49.26V48H32v158.7C11.82 221.2 0 237.1 0 256c0 60.98 33.28 115.2 84.1 150.4l-19.59 64.36C59.16 491.3 74.53 512 96.03 512h255.9c21.5 0 36.88-20.75 30.62-41.25L363 406.4C414.7 371.2 448 316.1 448 256zM96 88C96 83.63 99.63 80 104 80h48C156.4 80 160 83.63 160 88v16C160 108.4 156.4 112 152 112h-48C99.63 112 96 108.4 96 104V88zM224 288C135.6 288 64 273.7 64 256c0-17.67 71.63-32 160-32s160 14.33 160 32C384 273.7 312.4 288 224 288z"]],
    "toilet-paper": [576, 512, [129531], "f71e", ["M479.1 0H127.1C74.98 0 31.98 86 31.98 192v172.1c0 41.13-9.75 62.75-31.13 126.9C-2.65 501.3 5.099 512 15.98 512h312.9c13.88 0 26-8.75 30.38-21.88C372.1 451.6 384 417.8 384 364.1l-.0063-172.1C383.1 86.06 426.1 0 479.1 0zM111.1 224C103.1 224 95.99 216.9 95.99 208S103.1 192 111.1 192C120.9 192 127.1 199.1 127.1 207.1S120.9 224 111.1 224zM175.1 224C167.1 224 159.1 216.9 159.1 207.1S167.1 192 175.1 192s16 7.123 16 15.1S184.9 224 175.1 224zM239.1 224c-8.875 0-16-7.127-16-16S231.1 192 239.1 192s16.01 7.127 16.01 16S248.9 224 239.1 224zM303.1 224c-8.877 0-16-7.123-16-15.1S295.1 192 303.1 192c8.875 0 16 7.125 16 16S312.9 224 303.1 224z", "M479.1 0c-53 0-96 86.06-96 192.1c0 .1035 0-.1035 0 0c0 0-.2085 185.6-.5835 191.9h96.59C532.1 383.1 576 297.1 576 192C576 86 532.1 0 479.1 0zM479.1 256c-17.63 0-32-28.62-32-64s14.37-64 32-64c17.62 0 32 28.62 32 64S497.6 256 479.1 256zM175.1 192C167.1 192 159.1 199.1 159.1 207.1S167.1 224 175.1 224s16-7.127 16-16S184.9 192 175.1 192zM111.1 192C103.1 192 95.99 199.1 95.99 208S103.1 224 111.1 224C120.9 224 127.1 216.9 127.1 207.1S120.9 192 111.1 192zM303.1 192c-8.877 0-16 7.127-16 16S295.1 224 303.1 224c8.875 0 16-7.125 16-16S312.9 192 303.1 192zM239.1 192c-8.875 0-16 7.123-16 15.1S231.1 224 239.1 224s16.01-7.123 16.01-15.1S248.9 192 239.1 192z"]],
    "toilet-paper-blank": [576, 512, ["toilet-paper-alt"], "f71f", ["M479.1 0H127.1C74.98 0 31.98 86 31.98 192v172.1c0 41.13-9.75 62.75-31.13 126.9C-2.65 501.3 5.099 512 15.98 512h312.9c13.88 0 26-8.75 30.38-21.88C372.1 451.6 384 417.8 384 364.1l-.0063-172.1C383.1 86.06 426.1 0 479.1 0z", "M479.1 0c-53 0-96 86.06-96 192.1c0 .1035 0-.1035 0 0c0 0-.2085 185.6-.5835 191.9h96.59C532.1 383.1 576 297.1 576 192C576 86 532.1 0 479.1 0zM479.1 256c-17.63 0-32-28.62-32-64s14.37-64 32-64c17.62 0 32 28.62 32 64S497.6 256 479.1 256z"]],
    "toilet-paper-blank-under": [512, 512, ["toilet-paper-reverse-alt"], "e29f", ["M416 384H96c-53 0-96-85.1-96-192c0-105.1 43-192 96-192h320c-53 0-96 86-96 192C320 298 363 384 416 384z", "M416 0c-53 0-96 86-96 192c0 84.04 27.07 155.3 64.68 181.3C394.5 380.1 405 384 416 384H128v96c0 17.67 14.33 32 32 32h320c17.67 0 32-14.33 32-32V192C512 86 469 0 416 0zM383.1 192c0-35.38 14.38-64 32-64s31.1 28.62 31.1 64S433.6 256 416 256S383.1 227.4 383.1 192z"]],
    "toilet-paper-check": [640, 512, [], "e5b2", ["M20.53 463.6C63.55 385.7 64 277.3 64 192C64 85.96 106.1 0 160 0H512C458.1 0 416 85.96 416 192C416 350.8 388.7 438.1 373.3 475.9C363.3 499.9 340.2 512 317.9 512H48C36.47 512 25.84 505.8 20.16 495.8C14.47 485.7 14.59 473.5 20.53 463.6V463.6zM312.1 192.1C322.3 183.6 322.3 168.4 312.1 159C303.6 149.7 288.4 149.7 279 159L224 214.1L200.1 191C191.6 181.7 176.4 181.7 167 191C157.7 200.4 157.7 215.6 167 224.1L207 264.1C216.4 274.3 231.6 274.3 240.1 264.1L312.1 192.1zM20.53 463.6L20.5 463.6z", "M416 192C416 85.96 458.1 .0003 512 0C565 .0003 607.1 85.96 607.1 192C607.1 298 565 384 511.1 384H399.6C408.7 337 416 273.9 416 192zM511.1 128C494.3 128 479.1 156.7 479.1 192C479.1 227.3 494.3 256 511.1 256C529.7 256 543.1 227.3 543.1 192C543.1 156.7 529.7 128 511.1 128V128z"]],
    "toilet-paper-slash": [640, 512, [], "e072", ["M511.1 0H159.1c-24.75 0-47.23 18.93-64.26 49.72l425.3 333.4c48.75-9.143 86.94-91.2 86.94-191.1C607.1 85.1 564.1 0 511.1 0zM511.1 255.1c-17.63 0-32-28.62-32-63.1s14.37-64 32-64c17.62 0 32 28.62 32 64S529.6 255.1 511.1 255.1zM63.98 191.1v172.1c0 41.13-9.75 62.75-31.13 126.9c-3.5 10.25 4.25 20.1 15.13 20.1L360.9 512c13.88 0 26-8.75 30.38-21.88c7.875-23.54 15.21-45.57 19.85-71.24L66.51 148.8C64.91 162.7 63.98 177.1 63.98 191.1z", "M24.03 0c5.156 0 10.37 1.672 14.78 5.109l591.1 463.1c10.44 8.172 12.25 23.27 4.062 33.7c-8.125 10.41-23.19 12.28-33.69 4.078L9.189 42.89c-10.44-8.172-12.25-23.26-4.062-33.7C9.845 3.156 16.91 0 24.03 0z"]],
    "toilet-paper-under": [512, 512, ["toilet-paper-reverse"], "e2a0", ["M320 192c0-105.1 43-192 96-192H96C43 0 0 86 0 192c0 106 43 192 96 192h320C363 384 320 298 320 192zM63.98 224c-8.875 0-16-7.125-16-16s7.125-16 16-16s15.1 7.125 15.1 16S72.86 224 63.98 224zM127.1 224C119.1 224 111.1 216.9 111.1 208S119.1 192 127.1 192s16 7.125 16 16S136.8 224 127.1 224zM191.1 224C183.1 224 175.1 216.9 175.1 208S183.1 192 191.1 192s16.01 7.125 16.01 16S200.8 224 191.1 224zM255.1 224C247.1 224 239.1 216.9 239.1 208S247.1 192 255.1 192s16 7.125 16 16S264.8 224 255.1 224z", "M416 0c-53 0-96 86-96 192c0 84.04 27.07 155.3 64.68 181.3C394.5 380.1 405 384 416 384H128v96c0 17.67 14.33 32 32 32h320c17.67 0 32-14.33 32-32V192C512 86 469 0 416 0zM416 256c-17.62 0-32-28.62-32-64S398.4 128 416 128s31.1 28.62 31.1 64S433.6 256 416 256zM191.1 224c8.875 0 16.01-7.125 16.01-16S200.8 192 191.1 192S175.1 199.1 175.1 208S183.1 224 191.1 224zM255.1 224c8.875 0 16-7.125 16-16s-7.125-16-16-16S239.1 199.1 239.1 208S247.1 224 255.1 224zM143.1 208c0-8.875-7.128-16-16-16S111.1 199.1 111.1 208S119.1 224 127.1 224S143.1 216.9 143.1 208zM63.98 192c-8.875 0-16 7.125-16 16s7.125 16 16 16s15.1-7.125 15.1-16S72.86 192 63.98 192z"]],
    "toilet-paper-under-slash": [640, 512, ["toilet-paper-reverse-slash"], "e2a1", ["M480 0H160C135.2 0 112.8 18.98 95.8 49.77L576 426.1L576 192C576 86 533 0 480 0zM480 256c-17.62 0-32-28.62-32-64S462.4 128 480 128s31.1 28.62 31.1 64S497.6 256 480 256zM64 192c0 106 42.1 192 95.1 192h32v96c0 17.67 14.33 32 32 32h305.9L66.53 148.8C64.93 162.7 64 177.1 64 192z", "M24.03 0c5.156 0 10.38 1.672 14.78 5.109l591.1 463.1c10.44 8.172 12.25 23.27 4.062 33.7c-8.125 10.41-23.19 12.28-33.69 4.078L9.189 42.89C-1.248 34.72-3.061 19.62 5.127 9.187C9.845 3.156 16.91 0 24.03 0z"]],
    "toilet-paper-xmark": [512, 512, [], "e5b3", ["M96 384C42.98 384 0 298 0 192C0 85.96 42.98 0 96 0H416C362.1 0 320 85.96 320 192C320 298 362.1 384 416 384H96zM232.1 223L201.9 192L232.1 160.1C242.3 151.6 242.3 136.4 232.1 127C223.6 117.7 208.4 117.7 199 127L168 158.1L136.1 127C127.6 117.7 112.4 117.7 103 127C93.66 136.4 93.66 151.6 103 160.1L134.1 192L103 223C93.66 232.4 93.66 247.6 103 256.1C112.4 266.3 127.6 266.3 136.1 256.1L168 225.9L199 256.1C208.4 266.3 223.6 266.3 232.1 256.1C242.3 247.6 242.3 232.4 232.1 223V223z", "M416 384C363.6 384 321.1 300.2 320 195.9C320 194.6 320 193.3 320 192C320 85.96 362.1 0 416 0C469 0 512 85.96 512 192V464C512 490.5 490.5 512 464 512H208C181.5 512 160 490.5 160 464V384H416zM416 256C433.7 256 448 227.3 448 192C448 156.7 433.7 128 416 128C398.3 128 384 156.7 384 192C384 227.3 398.3 256 416 256z"]],
    "toilet-portable": [320, 512, [], "e583", ["M0 64H320V488C320 501.3 309.3 512 296 512C282.7 512 272 501.3 272 488V480H48V488C48 501.3 37.25 512 24 512C10.75 512 0 501.3 0 488V64zM256 240C256 231.2 248.8 224 240 224C231.2 224 224 231.2 224 240V304C224 312.8 231.2 320 240 320C248.8 320 256 312.8 256 304V240z", "M288 0C305.7 0 320 14.33 320 32V64H0V32C0 14.33 14.33 0 32 0H288zM256 304C256 312.8 248.8 320 240 320C231.2 320 224 312.8 224 304V240C224 231.2 231.2 224 240 224C248.8 224 256 231.2 256 240V304z"]],
    "toilets-portable": [576, 512, [], "e584", ["M256 64V488C256 501.3 245.3 512 232 512C218.7 512 208 501.3 208 488V480H48V488C48 501.3 37.25 512 24 512C10.75 512 0 501.3 0 488V64H256zM176 240V304C176 312.8 183.2 320 192 320C200.8 320 208 312.8 208 304V240C208 231.2 200.8 224 192 224C183.2 224 176 231.2 176 240zM576 64V488C576 501.3 565.3 512 552 512C538.7 512 528 501.3 528 488V480H368V488C368 501.3 357.3 512 344 512C330.7 512 320 501.3 320 488V64H576zM496 240V304C496 312.8 503.2 320 512 320C520.8 320 528 312.8 528 304V240C528 231.2 520.8 224 512 224C503.2 224 496 231.2 496 240z", "M224 0C241.7 0 256 14.33 256 32V64H0V32C0 14.33 14.33 0 32 0H224zM544 0C561.7 0 576 14.33 576 32V64H320V32C320 14.33 334.3 0 352 0H544zM192 224C200.8 224 208 231.2 208 240V304C208 312.8 200.8 320 192 320C183.2 320 176 312.8 176 304V240C176 231.2 183.2 224 192 224zM528 304C528 312.8 520.8 320 512 320C503.2 320 496 312.8 496 304V240C496 231.2 503.2 224 512 224C520.8 224 528 231.2 528 240V304z"]],
    "tomato": [512, 512, [], "e330", ["M512 303.6C512 454.1 365.7 512 275.7 512H236.3C145.1 512 0 455.3 0 303.6c0-85.19 43.27-138.4 98.5-161.7c2.121 2.889 5.34 5.164 9.83 5.164c1.924 0-.4141 .3047 41.58-7.441L128.9 176.6C124.9 185.8 135.1 195.1 145.3 190.1l110.7-48.79l110.6 48.79c10.28 4.148 20.46-5.221 16.45-14.37l-20.96-36.98c42.08 7.836 39.77 7.535 41.71 7.535c4.486 0 7.693-2.268 9.814-5.146C468.8 165.4 512 218.7 512 303.6z", "M403.9 147.2c-1.947 0 .3691 .3008-41.71-7.535l20.96 36.98c4.01 9.15-6.174 18.52-16.45 14.37l-110.6-48.79l-110.7 48.79C135.1 195.1 124.9 185.8 128.9 176.6l21.02-37.02C107.9 147.3 110.3 147 108.3 147c-10.92 0-16.47-12.06-8.709-19.11c1.967-1.789 45.89-39.94 131.6-46.56c-1.836-15.03-9.393-28.99-21.62-38.16C199 35.26 196.8 20.21 204.8 9.617c7.938-10.61 23-12.81 33.63-4.812c24.21 18.16 38.79 46.42 40.8 76.48c86.78 6.279 131.4 44.98 133.4 46.78C420.3 135.1 414.8 147.2 403.9 147.2z"]],
    "tombstone": [448, 512, [], "f720", ["M223.1 0C117.1 0 31.1 86 31.1 192L32 448h384l-.0012-256C415.1 85.99 329.1 0 223.1 0zM320 192c0 8.875-7.125 16-16 16l-56.01-.0005L248 336c0 8.875-7.125 16-16 16h-16c-8.875 0-16-7.125-16-16L199.1 208L144 208C135.1 208 128 200.9 128 192V176C128 167.1 135.1 160 144 160l55.99 .0005L200 112c0-8.875 7.125-16 16-16h16c8.875 0 16 7.125 16 16l-.0073 47.1L304 160C312.9 160 320 167.1 320 176V192z", "M432 448h-416C7.125 448 0 455.1 0 464v32C0 504.9 7.125 512 16 512h416c8.875 0 16-7.125 16-16v-32C448 455.1 440.9 448 432 448zM144 208l55.99 .0005L200 336c0 8.875 7.125 16 16 16h16c8.875 0 16-7.125 16-16l-.0063-128L304 208C312.9 208 320 200.9 320 192V176C320 167.1 312.9 160 304 160l-56.01-.0005L248 112c0-8.875-7.125-16-16-16h-16c-8.875 0-16 7.125-16 16L199.1 160L144 160C135.1 160 128 167.1 128 176V192C128 200.9 135.1 208 144 208z"]],
    "tombstone-blank": [448, 512, [129702, "tombstone-alt"], "f721", ["M415.1 191.1c0-106-86-191.1-192-191.1c-106 0-191.1 86-191.1 192L32 448h384L415.1 191.1z", "M432 448h-416c-8.875 0-16 7.125-16 16v31.1c0 8.875 7.125 16 16 16h416c8.875 0 16-7.125 16-16v-31.1C448 455.1 440.9 448 432 448z"]],
    "toolbox": [512, 512, [129520], "f552", ["M384 320v48c0 8.875-7.125 16-16 16h-32c-8.875 0-16-7.125-16-16V320H192v48C192 376.9 184.9 384 176 384h-32C135.1 384 128 376.9 128 368V320H0v128c0 17.62 14.38 32 32 32h448c17.62 0 32-14.38 32-32v-128H384zM176 80h160V128H384V80C384 53.5 362.5 32 336 32h-160C149.5 32 128 53.5 128 80V128h48V80z", "M512 205.3V320h-128V272C384 263.1 376.9 256 368 256h-32C327.1 256 320 263.1 320 272V320H192V272C192 263.1 184.9 256 176 256h-32C135.1 256 128 263.1 128 272V320H0V205.3c0-8.5 3.375-16.62 9.375-22.62l45.25-45.25C60.63 131.4 68.75 128 77.25 128h357.5c8.5 0 16.62 3.375 22.62 9.375l45.25 45.25C508.6 188.6 512 196.8 512 205.3z"]],
    "tooth": [448, 512, [129463], "f5c9", ["M394.1 212.8c-20.04 27.67-28.07 60.15-31.18 93.95c-3.748 41.34-8.785 82.46-17.89 122.8l-6.75 29.64c-2.68 12.14-13.29 20.78-25.39 20.78c-12 0-22.39-8.311-25.29-20.23l-29.57-121.2C254.1 322.6 240.1 311.4 224 311.4c-16.18 0-30.21 11.26-34.07 27.23l-29.57 121.2c-2.893 11.92-13.39 20.23-25.29 20.23c-12.21 0-22.71-8.639-25.5-20.78l-6.643-29.64c-9.105-40.36-14.14-81.48-17.1-122.8C81.93 272.1 73.9 240.5 53.86 212.8c-18.75-25.92-27.11-60.15-18.43-96.57c9.428-39.59 40.39-71.75 78.85-82.03c20.14-5.25 39.54-.4375 57.32 9.077l86.14 56.54c6.643 4.375 15.11 1.86 18.96-4.264c4.07-6.454 2.25-15.09-4.18-19.36l-24.21-15.86c3-1.531 6.215-2.735 9-4.813c22.39-16.84 48.75-28.65 76.39-21.33c38.46 10.28 69.43 42.43 78.85 82.03C421.2 152.7 412.9 187 394.1 212.8z", ""]],
    "toothbrush": [576, 512, [129701], "f635", ["M184 256h-16C163.6 256 160 259.6 160 264V416h32V264C192 259.6 188.4 256 184 256zM120 256h-16C99.63 256 96 259.6 96 264V416h32V264C128 259.6 124.4 256 120 256zM56 256h-16C35.63 256 32 259.6 32 264V416h32V264C64 259.6 60.38 256 56 256zM376 256h-16C355.6 256 352 259.6 352 264V416h32V264C384 259.6 380.4 256 376 256zM440 256h-16C419.6 256 416 259.6 416 264V416h32V264C448 259.6 444.4 256 440 256zM248 256h-16C227.6 256 224 259.6 224 264V416h32V264C256 259.6 252.4 256 248 256zM312 256h-16C291.6 256 288 259.6 288 264V416h32V264C320 259.6 316.4 256 312 256z", "M64 224h352c35.38 0 64-28.62 64-64c0-70.75-57.25-128-128-128c23.62 23.62 6.875 64-26.5 64H64C28.63 96 0 124.6 0 160S28.63 224 64 224zM560 416h-544C7.125 416 0 423.1 0 432v32C0 472.9 7.125 480 16 480h544c8.875 0 16-7.125 16-16v-32C576 423.1 568.9 416 560 416z"]],
    "torii-gate": [512, 512, [9961], "f6a1", ["M128 128V192H64V128H128zM288 128V192H224V128H288zM448 128V192H384V128H448zM64 480V256H128V480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480zM384 480V256H448V480C448 497.7 433.7 512 416 512C398.3 512 384 497.7 384 480z", "M71.37 23.79C87.68 29.23 104.8 32 121.1 32H390C407.2 32 424.3 29.23 440.6 23.79L512 0V80C512 106.5 490.5 128 464 128H48C21.49 128 0 106.5 0 80V0L71.37 23.79zM480 224C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H480z"]],
    "tornado": [448, 512, [127786], "f76f", ["M387.7 195.9c-22-25.31-38.93-44.9-39-67.93H12.05c11.48 40.4 30.36 71.34 53.15 96h345.8C403.4 214.1 395.4 204.8 387.7 195.9zM407.8 42.09c7.531-6.562 10.22-17.12 6.688-26.5C410.1 6.219 401.1 0 391.1 0L24.16 .0313c-13 0-23.66 10.38-24 23.38c-.7051 26.94 1.188 50.8 4.789 72.57h353.9C367.9 80.74 383.4 63.37 407.8 42.09zM431.7 255.1H100.5C127 276.2 155.8 291.6 182.4 305.8c28.17 15.03 54.03 28.87 74.73 46.14h186.8C446.4 341.1 447.1 330.4 448 320C448 295.4 441.4 274.6 431.7 255.1zM303.6 485.3c-1.125 10.12 4.251 19.84 13.44 24.28C320.3 511.2 323.9 512 327.4 512c6.219 0 12.34-2.406 16.94-7c43.71-43.59 73.32-83.65 89.35-121h-148.6C300.8 408.6 308.6 440 303.6 485.3z", "M358.8 95.98H4.945c1.869 11.29 4.246 21.95 7.104 32h336.6C348.6 118.2 351.8 107.7 358.8 95.98zM257.1 351.1c11.15 9.299 20.34 19.99 27.99 32h148.6c4.68-10.91 7.824-21.53 10.19-32H257.1zM410.1 223.1H65.2c11.04 11.95 22.87 22.57 35.26 32h331.2C425.7 244.5 418.6 233.9 410.1 223.1z"]],
    "tower-broadcast": [576, 512, ["broadcast-tower"], "f519", ["M160.9 59.01C149.3 52.6 134.7 56.76 128.3 68.39C117.6 87.6 112 109.4 112 131.4c0 19.03 4.031 37.44 11.98 54.62c4.047 8.777 12.73 13.93 21.8 13.93c3.375 0 6.797-.7187 10.05-2.219C167.9 192.2 173.1 177.1 167.5 165.9C162.5 155.1 160 143.5 160 131.4c0-13.93 3.547-27.69 10.25-39.81C176.7 80.04 172.5 65.42 160.9 59.01zM420.2 58.23c-12.03 5.562-17.28 19.81-11.72 31.84C413.5 100.9 416 112.5 416 124.6c0 13.94-3.547 27.69-10.25 39.81c-6.422 11.59-2.219 26.22 9.375 32.62c3.688 2.031 7.672 3 11.61 3c8.438 0 16.64-4.47 21.02-12.37C458.4 168.4 464 146.6 464 124.6c0-19.03-4.031-37.43-11.98-54.62C446.5 57.89 432.1 52.7 420.2 58.23zM62.61 2.363C46.17-4.32 27.58 3.676 20.95 20.02C7.047 54.36 0 90.69 0 127.1C0 165.3 7.047 201.7 20.95 236C25.98 248.5 37.97 256 50.63 256C54.61 256 58.69 255.3 62.61 253.7C79 247 86.91 228.4 80.27 212C69.47 185.3 64 157.1 64 128c0-29.06 5.469-57.3 16.27-83.99C86.91 27.64 79 8.988 62.61 2.363zM555 20.02c-6.609-16.41-25.23-24.31-41.66-17.66c-16.39 6.625-24.3 25.28-17.66 41.65C506.5 70.7 512 98.95 512 128c0 29.06-5.469 57.31-16.27 83.1C489.1 228.4 497 247 513.4 253.7C517.3 255.3 521.4 256 525.4 256c12.66 0 24.64-7.562 29.67-20C568.1 201.7 576 165.3 576 127.1C576 90.69 568.1 54.36 555 20.02z", "M350 111.9C357.4 142.2 343.3 169.6 320 183.1v296.9c0 17.67-14.33 32-32 32s-32-14.33-32-32V183.1C236.1 172 224 151.6 224 128c0-39.87 36.45-71.22 77.84-62.55C325 70.31 344.4 88.92 350 111.9z"]],
    "tower-cell": [576, 512, [], "e585", ["M64 128C64 157.8 69.79 186.1 80.27 211.1C86.9 228.4 78.1 247 62.62 253.7C46.23 260.3 27.58 252.4 20.95 236C7.428 202.6 0 166.1 0 128C0 89.87 7.428 53.39 20.95 19.99C27.58 3.612 46.23-4.293 62.62 2.339C78.1 8.97 86.9 27.63 80.27 44.01C69.79 69.9 64 98.24 64 128V128zM576 128C576 166.1 568.6 202.6 555.1 236C548.4 252.4 529.8 260.3 513.4 253.7C497 247 489.1 228.4 495.7 211.1C506.2 186.1 512 157.8 512 128C512 98.24 506.2 69.9 495.7 44.01C489.1 27.63 497 8.97 513.4 2.339C529.8-4.293 548.4 3.612 555.1 19.99C568.6 53.39 576 89.87 576 128V128zM152 128C152 147.4 156 165.8 163.3 182.4C168.6 194.5 163.1 208.7 150.9 213.1C138.8 219.3 124.6 213.8 119.3 201.6C109.5 179 104 154.1 104 128C104 101.9 109.5 76.96 119.3 54.39C124.6 42.25 138.8 36.7 150.9 42.01C163.1 47.31 168.6 61.46 163.3 73.61C156 90.23 152 108.6 152 128V128zM472 128C472 154.1 466.5 179 456.7 201.6C451.4 213.8 437.2 219.3 425.1 213.1C412.9 208.7 407.4 194.5 412.7 182.4C419.1 165.8 424 147.4 424 128C424 108.6 419.1 90.24 412.7 73.61C407.4 61.46 412.9 47.32 425.1 42.01C437.2 36.7 451.4 42.25 456.7 54.39C466.5 76.96 472 101.9 472 128V128z", "M477.1 466.8C484.4 482.8 477.3 501.8 461.2 509.1C445.2 516.4 426.2 509.3 418.9 493.2L398.3 448H177.7L157.1 493.2C149.8 509.3 130.8 516.4 114.8 509.1C98.67 501.8 91.56 482.8 98.87 466.8L235.9 165.2C228.4 154.7 224 141.9 224 128C224 92.65 252.7 64 288 64C323.3 64 352 92.65 352 128C352 141.9 347.6 154.7 340.1 165.2L477.1 466.8zM369.2 384L354.7 352H221.3L206.8 384H369.2zM250.4 287.1H325.6L288 205.3L250.4 287.1z"]],
    "tower-control": [448, 512, [], "e2a2", ["M42.61 128H405.4C431.1 128 451.2 153.4 443.9 178.1L403.5 320.2C419.5 321.9 432 335.5 432 352C432 369.7 417.7 384 400 384H48C30.33 384 16 369.7 16 352C16 335.5 28.47 321.9 44.49 320.2L4.145 178.1C-3.156 153.4 16.03 128 42.61 128H42.61zM74.42 192L110.8 319.2C110.8 319.5 110.9 319.7 110.1 320H128V192H74.42zM176 192V320H272V192H176zM320 192V320H337C337.1 319.7 337.2 319.5 337.2 319.2L373.6 192H320z", "M160 24C160 10.75 170.7 0 184 0H264C277.3 0 288 10.75 288 24C288 37.25 277.3 48 264 48H248V96H288C305.7 96 320 110.3 320 128H128C128 110.3 142.3 96 160 96H200V48H184C170.7 48 160 37.25 160 24zM368 384V480C368 497.7 353.7 512 336 512H112C94.33 512 80 497.7 80 480V384H368z"]],
    "tower-observation": [512, 512, [], "e586", ["M100.9 448L132.9 256H197.8L193.1 284.3L255.1 336.8L318.9 284.3L314.2 256H379.1L411.1 448H314.5L255.1 399.2L197.5 448H100.9zM183.9 339.2L172.8 406.1L218.5 368L183.9 339.2zM293.5 368L339.2 406.1L328.1 339.2L293.5 368zM128.6 512C128.2 512 127.8 512 127.5 512H128.6zM384.5 512C384.1 512 383.8 512 383.4 512H384.5z", "M430.3 83.38C446.1 91.28 452.5 110.5 444.6 126.3C439 137.5 427.7 143.1 416 144V224C416 241.7 401.7 256 384 256H127.1C110.3 256 95.1 241.7 95.1 224V144C84.27 143.1 72.98 137.5 67.38 126.3C59.47 110.5 65.88 91.28 81.69 83.38L241.7 3.378C250.7-1.126 261.3-1.126 270.3 3.378L430.3 83.38zM176 160H336C344.8 160 352 152.8 352 144C352 135.2 344.8 128 336 128H176C167.2 128 160 135.2 160 144C160 152.8 167.2 160 176 160zM512 480C512 497.7 497.7 512 480 512H384.5C384.2 512 383.8 512 383.4 512H128.6C128.2 512 127.9 512 127.5 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H480C497.7 448 512 462.3 512 480z"]],
    "tractor": [640, 512, [128668], "f722", ["M128 192C128 174.3 142.3 160 160 160H192C209.7 160 224 174.3 224 192V200.2C228.8 201.9 233.5 203.8 238.1 206L243.9 200.2C256.4 187.7 276.6 187.7 289.1 200.2L311.8 222.9C324.3 235.4 324.3 255.6 311.8 268.1L305.1 273.9C308.2 278.5 310.1 283.2 311.8 288H320C337.7 288 352 302.3 352 320V352C352 369.7 337.7 384 320 384H311.8C310.1 388.8 308.2 393.5 305.1 398.1L311.8 403.9C324.3 416.4 324.3 436.6 311.8 449.1L289.1 471.8C276.6 484.3 256.4 484.3 243.9 471.8L238.1 465.1C233.5 468.2 228.8 470.1 224 471.8V480C224 497.7 209.7 512 192 512H160C142.3 512 128 497.7 128 480V471.8C123.2 470.1 118.5 468.2 113.9 465.1L108.1 471.8C95.62 484.3 75.36 484.3 62.86 471.8L40.24 449.1C27.74 436.6 27.74 416.4 40.24 403.9L46.03 398.1C43.85 393.5 41.9 388.8 40.19 384H32C14.33 384 0 369.7 0 352V320C0 302.3 14.33 288 32 288H40.19C41.9 283.2 43.85 278.5 46.03 273.9L40.24 268.1C27.74 255.6 27.74 235.4 40.24 222.9L62.86 200.2C75.36 187.7 95.62 187.7 108.1 200.2L113.9 206C118.5 203.8 123.2 201.9 128 200.2V192zM176 256C131.8 256 96 291.8 96 336C96 380.2 131.8 416 176 416C220.2 416 256 380.2 256 336C256 291.8 220.2 256 176 256zM616 424C616 472.6 576.6 512 528 512C479.4 512 440 472.6 440 424C440 375.4 479.4 336 528 336C576.6 336 616 375.4 616 424zM528 400C514.7 400 504 410.7 504 424C504 437.3 514.7 448 528 448C541.3 448 552 437.3 552 424C552 410.7 541.3 400 528 400z", "M266.3 0C292.5 0 316 15.93 325.8 40.23L373.7 160H480V126.2C480 101.4 485.8 76.88 496.9 54.66L499.4 49.69C507.3 33.88 526.5 27.47 542.3 35.38C558.1 43.28 564.5 62.5 556.6 78.31L554.1 83.28C547.5 96.61 544 111.3 544 126.2V160H600C622.1 160 640 177.9 640 200V245.4C640 261.9 631.5 277.3 617.4 286.1L574.1 313.2C559.9 307.3 544.3 304 528 304C488.7 304 453.9 322.9 431.1 352H352V320C352 302.3 337.7 288 320 288H311.8C310.1 283.2 308.2 278.5 305.1 273.9L311.8 268.1C324.3 255.6 324.3 235.4 311.8 222.9L289.1 200.2C276.6 187.7 256.4 187.7 243.9 200.2L238.1 206C233.5 203.8 228.8 201.9 224 200.2V192C224 174.3 209.7 160 192 160H304.7L266.3 64H160V160C142.3 160 128 174.3 128 192V200.2C123.2 201.9 118.5 203.8 113.9 206L108.1 200.2C104.6 196.7 100.4 194.2 96 192.6V64C96 28.65 124.7 .0006 160 .0006L266.3 0z"]],
    "trademark": [640, 512, [8482], "f25c", ["M640 128v256c0 17.69-14.33 32-32 32s-32-14.31-32-32v-160l-86.41 115.2c-12.06 16.12-39.13 16.12-51.19 0L352 224v160c0 17.69-14.33 32-32 32s-32-14.31-32-32v-256c0-13.78 8.812-26 21.88-30.34c13.08-4.406 27.45 .125 35.72 11.16L464 266.7l118.4-157.8c8.266-11 22.7-15.53 35.72-11.16C631.2 102 640 114.2 640 128z", "M224 96.01H32c-17.67 0-32 14.31-32 32s14.33 32 32 32h64v223.1c0 17.69 14.33 31.99 32 31.99s32-14.3 32-31.99V160h64c17.67 0 32-14.31 32-32S241.7 96.01 224 96.01z"]],
    "traffic-cone": [512, 512, [], "f636", ["M173.7 128H338.3L363.4 192H148.6L173.7 128zM110.9 288H401.1L426.3 352H85.71L110.9 288z", "M173.7 128L216 20.3C220.8 8.053 232.7 0 245.8 0H266.2C279.3 0 291.2 8.053 295.1 20.3L338.3 128H173.7zM363.4 192L401.1 288H110.9L148.6 192H363.4zM48 448L85.71 352H426.3L464 448H480C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H48z"]],
    "traffic-light": [320, 512, [128678], "f637", ["M112 112C112 85.5 133.5 64 160 64C186.5 64 208 85.5 208 112C208 138.5 186.5 160 160 160C133.5 160 112 138.5 112 112zM208 240C208 266.5 186.5 288 160 288C133.5 288 112 266.5 112 240C112 213.5 133.5 192 160 192C186.5 192 208 213.5 208 240zM208 368C208 394.5 186.5 416 160 416C133.5 416 112 394.5 112 368C112 341.5 133.5 320 160 320C186.5 320 208 341.5 208 368z", "M256 0C291.3 0 320 28.65 320 64V352C320 440.4 248.4 512 160 512C71.63 512 0 440.4 0 352V64C0 28.65 28.65 0 64 0H256zM160 320C133.5 320 112 341.5 112 368C112 394.5 133.5 416 160 416C186.5 416 208 394.5 208 368C208 341.5 186.5 320 160 320zM160 288C186.5 288 208 266.5 208 240C208 213.5 186.5 192 160 192C133.5 192 112 213.5 112 240C112 266.5 133.5 288 160 288zM160 64C133.5 64 112 85.49 112 112C112 138.5 133.5 160 160 160C186.5 160 208 138.5 208 112C208 85.49 186.5 64 160 64z"]],
    "traffic-light-go": [320, 512, [], "f638", ["M160 416C133.5 416 112 394.5 112 368C112 341.5 133.5 320 160 320C186.5 320 208 341.5 208 368C208 394.5 186.5 416 160 416z", "M256 0C291.3 0 320 28.65 320 64V352C320 440.4 248.4 512 160 512C71.63 512 0 440.4 0 352V64C0 28.65 28.65 0 64 0H256zM160 320C133.5 320 112 341.5 112 368C112 394.5 133.5 416 160 416C186.5 416 208 394.5 208 368C208 341.5 186.5 320 160 320zM160 288C186.5 288 208 266.5 208 240C208 213.5 186.5 192 160 192C133.5 192 112 213.5 112 240C112 266.5 133.5 288 160 288zM160 64C133.5 64 112 85.49 112 112C112 138.5 133.5 160 160 160C186.5 160 208 138.5 208 112C208 85.49 186.5 64 160 64z"]],
    "traffic-light-slow": [320, 512, [], "f639", ["M160 288C133.5 288 112 266.5 112 240C112 213.5 133.5 192 160 192C186.5 192 208 213.5 208 240C208 266.5 186.5 288 160 288z", "M256 0C291.3 0 320 28.65 320 64V352C320 440.4 248.4 512 160 512C71.63 512 0 440.4 0 352V64C0 28.65 28.65 0 64 0H256zM160 320C133.5 320 112 341.5 112 368C112 394.5 133.5 416 160 416C186.5 416 208 394.5 208 368C208 341.5 186.5 320 160 320zM160 288C186.5 288 208 266.5 208 240C208 213.5 186.5 192 160 192C133.5 192 112 213.5 112 240C112 266.5 133.5 288 160 288zM160 64C133.5 64 112 85.49 112 112C112 138.5 133.5 160 160 160C186.5 160 208 138.5 208 112C208 85.49 186.5 64 160 64z"]],
    "traffic-light-stop": [320, 512, [], "f63a", ["M160 160C133.5 160 112 138.5 112 112C112 85.5 133.5 64 160 64C186.5 64 208 85.5 208 112C208 138.5 186.5 160 160 160z", "M256 0C291.3 0 320 28.65 320 64V352C320 440.4 248.4 512 160 512C71.63 512 0 440.4 0 352V64C0 28.65 28.65 0 64 0H256zM160 320C133.5 320 112 341.5 112 368C112 394.5 133.5 416 160 416C186.5 416 208 394.5 208 368C208 341.5 186.5 320 160 320zM160 288C186.5 288 208 266.5 208 240C208 213.5 186.5 192 160 192C133.5 192 112 213.5 112 240C112 266.5 133.5 288 160 288zM160 64C133.5 64 112 85.49 112 112C112 138.5 133.5 160 160 160C186.5 160 208 138.5 208 112C208 85.49 186.5 64 160 64z"]],
    "trailer": [640, 512, [], "e041", ["M80 96C88.84 96 96 103.2 96 112V243.2C84.55 249 73.83 256.1 64 264.2V112C64 103.2 71.16 96 80 96V96zM160 224.7V112C160 103.2 167.2 96 176 96C184.8 96 192 103.2 192 112V224.7C186.7 224.2 181.4 224 176 224C170.6 224 165.3 224.2 160 224.7zM256 112C256 103.2 263.2 96 272 96C280.8 96 288 103.2 288 112V264.2C278.2 256.1 267.4 249 256 243.2V112zM368 96C376.8 96 384 103.2 384 112V304C384 312.8 376.8 320 368 320C359.2 320 352 312.8 352 304V112C352 103.2 359.2 96 368 96zM480 304C480 312.8 472.8 320 464 320C455.2 320 448 312.8 448 304V112C448 103.2 455.2 96 464 96C472.8 96 480 103.2 480 112V304zM96 400C96 355.8 131.8 320 176 320C220.2 320 256 355.8 256 400C256 444.2 220.2 480 176 480C131.8 480 96 444.2 96 400z", "M496 32C522.5 32 544 53.49 544 80V320H608C625.7 320 640 334.3 640 352C640 369.7 625.7 384 608 384H286.9C279.1 329.7 232.4 288 176 288C119.6 288 72.9 329.7 65.13 384H48C21.49 384 0 362.5 0 336V80C0 53.49 21.49 32 48 32H496zM64 112V264.2C73.83 256.1 84.55 249 96 243.2V112C96 103.2 88.84 96 80 96C71.16 96 64 103.2 64 112V112zM176 224C181.4 224 186.7 224.2 192 224.7V112C192 103.2 184.8 96 176 96C167.2 96 160 103.2 160 112V224.7C165.3 224.2 170.6 224 176 224zM256 243.2C267.4 249 278.2 256.1 288 264.2V112C288 103.2 280.8 96 272 96C263.2 96 256 103.2 256 112V243.2zM352 112V304C352 312.8 359.2 320 368 320C376.8 320 384 312.8 384 304V112C384 103.2 376.8 96 368 96C359.2 96 352 103.2 352 112zM480 112C480 103.2 472.8 96 464 96C455.2 96 448 103.2 448 112V304C448 312.8 455.2 320 464 320C472.8 320 480 312.8 480 304V112z"]],
    "train": [448, 512, [128646], "f238", ["M352 64C369.7 64 384 78.33 384 96V192C384 209.7 369.7 224 352 224H96C78.33 224 64 209.7 64 192V96C64 78.33 78.33 64 96 64H352zM35.12 492.9L81.14 446.9C85.99 447.6 90.95 448 96 448H160L105.4 502.6C99.37 508.6 91.23 512 82.75 512H43.04C33.06 512 28.06 499.9 35.12 492.9H35.12zM342.6 502.6L288 447.1H352C357.1 447.1 362 447.6 366.9 446.9L412.9 492.9C419.9 499.9 414.9 511.1 404.1 511.1H365.3C356.8 511.1 348.6 508.6 342.6 502.6H342.6z", "M0 96C0 42.98 42.98 0 96 0H352C405 0 448 42.98 448 96V352C448 405 405 448 352 448H96C42.98 448 0 405 0 352V96zM64 192C64 209.7 78.33 224 96 224H352C369.7 224 384 209.7 384 192V96C384 78.33 369.7 64 352 64H96C78.33 64 64 78.33 64 96V192zM224 384C250.5 384 272 362.5 272 336C272 309.5 250.5 288 224 288C197.5 288 176 309.5 176 336C176 362.5 197.5 384 224 384z"]],
    "train-subway": [448, 512, ["subway"], "f239", ["M64 128C64 110.3 78.33 96 96 96H176C193.7 96 208 110.3 208 128V224C208 241.7 193.7 256 176 256H96C78.33 256 64 241.7 64 224V128zM96 447.1H160L105.4 502.6C99.37 508.6 91.23 511.1 82.75 511.1H43.04C33.06 511.1 28.06 499.9 35.12 492.9L81.14 446.9C85.98 447.6 90.95 447.1 96 447.1H96zM352 447.1C357.1 447.1 362 447.6 366.9 446.9L412.9 492.9C419.9 499.9 414.9 511.1 404.1 511.1H365.3C356.8 511.1 348.6 508.6 342.6 502.6L288 447.1H352zM352 96C369.7 96 384 110.3 384 128V224C384 241.7 369.7 256 352 256H272C254.3 256 240 241.7 240 224V128C240 110.3 254.3 96 272 96H352z", "M0 96C0 42.98 42.98 0 96 0H352C405 0 448 42.98 448 96V352C448 405 405 448 352 448H96C42.98 448 0 405 0 352V96zM64 224C64 241.7 78.33 256 96 256H176C193.7 256 208 241.7 208 224V128C208 110.3 193.7 96 176 96H96C78.33 96 64 110.3 64 128V224zM272 96C254.3 96 240 110.3 240 128V224C240 241.7 254.3 256 272 256H352C369.7 256 384 241.7 384 224V128C384 110.3 369.7 96 352 96H272zM96 320C78.33 320 64 334.3 64 352C64 369.7 78.33 384 96 384C113.7 384 128 369.7 128 352C128 334.3 113.7 320 96 320zM352 384C369.7 384 384 369.7 384 352C384 334.3 369.7 320 352 320C334.3 320 320 334.3 320 352C320 369.7 334.3 384 352 384z"]],
    "train-subway-tunnel": [512, 512, ["subway-tunnel"], "e2a3", ["M512 256V448C512 483.3 483.3 512 448 512H406.6L342.3 447.7C374.7 444.5 400 417.2 400 384V192C400 156.7 371.3 128 336 128H176C140.7 128 112 156.7 112 192V384C112 417.2 137.3 444.5 169.7 447.7L105.4 512H64C28.65 512 0 483.3 0 448V256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM150.6 512L214.6 448H297.4L361.4 512H150.6zM216 192C229.3 192 240 202.7 240 216V296C240 309.3 229.3 320 216 320H184C170.7 320 160 309.3 160 296V216C160 202.7 170.7 192 184 192H216zM272 216C272 202.7 282.7 192 296 192H328C341.3 192 352 202.7 352 216V296C352 309.3 341.3 320 328 320H296C282.7 320 272 309.3 272 296V216z", "M112 192C112 156.7 140.7 128 176 128H336C371.3 128 400 156.7 400 192V384C400 419.3 371.3 448 336 448H176C140.7 448 112 419.3 112 384V192zM160 296C160 309.3 170.7 320 184 320H216C229.3 320 240 309.3 240 296V216C240 202.7 229.3 192 216 192H184C170.7 192 160 202.7 160 216V296zM296 192C282.7 192 272 202.7 272 216V296C272 309.3 282.7 320 296 320H328C341.3 320 352 309.3 352 296V216C352 202.7 341.3 192 328 192H296zM184 352C170.7 352 160 362.7 160 376C160 389.3 170.7 400 184 400C197.3 400 208 389.3 208 376C208 362.7 197.3 352 184 352zM328 400C341.3 400 352 389.3 352 376C352 362.7 341.3 352 328 352C314.7 352 304 362.7 304 376C304 389.3 314.7 400 328 400z"]],
    "train-track": [576, 512, [], "e453", ["M126.3 160H112C94.33 160 80 145.7 80 128C80 110.3 94.33 96 112 96H147.6L126.3 160zM83.6 288H72C54.33 288 40 273.7 40 256C40 238.3 54.33 224 72 224H104.9L83.6 288zM151.1 288L172.4 224H403.6L424.9 288H151.1zM40.94 416H32C14.33 416 0 401.7 0 384C0 366.3 14.33 352 32 352H62.27L40.94 416zM108.4 416L129.7 352H446.3L467.6 416H108.4zM513.7 352H544C561.7 352 576 366.3 576 384C576 401.7 561.7 416 544 416H535.1L513.7 352zM471.1 224H504C521.7 224 536 238.3 536 256C536 273.7 521.7 288 504 288H492.4L471.1 224zM428.4 96H464C481.7 96 496 110.3 496 128C496 145.7 481.7 160 464 160H449.7L428.4 96zM382.3 160H193.7L215.1 96H360.9L382.3 160z", "M202.1 33.64C218.9 39.23 227.9 57.35 222.4 74.12L94.36 458.1C88.77 474.9 70.65 483.9 53.88 478.4C37.11 472.8 28.05 454.6 33.64 437.9L161.6 53.88C167.2 37.12 185.4 28.05 202.1 33.64V33.64zM373.9 33.64C390.6 28.05 408.8 37.12 414.4 53.88L542.4 437.9C547.9 454.6 538.9 472.8 522.1 478.4C505.4 483.9 487.2 474.9 481.6 458.1L353.6 74.12C348.1 57.35 357.1 39.23 373.9 33.64V33.64z"]],
    "train-tram": [448, 512, [128650], "e5b4", ["M86.76 48C74.61 48 63.12 53.52 55.53 63.01L42.74 78.99C34.46 89.34 19.36 91.02 9.007 82.74C-1.343 74.46-3.021 59.36 5.259 49.01L18.04 33.03C34.74 12.15 60.03 0 86.76 0H361.2C387.1 0 413.3 12.15 429.1 33.03L442.7 49.01C451 59.36 449.3 74.46 438.1 82.74C428.6 91.02 413.5 89.34 405.3 78.99L392.5 63.01C384.9 53.52 373.4 48 361.2 48H248V96H200V48H86.76zM35.12 492.9L100.6 427.4C116.9 440.3 137.6 447.1 160 447.1L105.4 502.6C99.37 508.6 91.23 511.1 82.74 511.1H43.04C33.06 511.1 28.06 499.9 35.12 492.9V492.9zM342.6 502.6L288 447.1C310.4 447.1 331.1 440.3 347.4 427.4L412.9 492.9C419.9 499.9 414.9 512 404.1 512H365.3C356.8 512 348.6 508.6 342.6 502.6V502.6zM288 160C305.7 160 320 174.3 320 192V224C320 241.7 305.7 256 288 256H160C142.3 256 128 241.7 128 224V192C128 174.3 142.3 160 160 160H288z", "M288 96C341 96 384 138.1 384 192V352C384 405 341 448 288 448H160C106.1 448 64 405 64 352V192C64 138.1 106.1 96 160 96H288zM160 160C142.3 160 128 174.3 128 192V224C128 241.7 142.3 256 160 256H288C305.7 256 320 241.7 320 224V192C320 174.3 305.7 160 288 160H160zM160 320C142.3 320 128 334.3 128 352C128 369.7 142.3 384 160 384C177.7 384 192 369.7 192 352C192 334.3 177.7 320 160 320zM288 384C305.7 384 320 369.7 320 352C320 334.3 305.7 320 288 320C270.3 320 256 334.3 256 352C256 369.7 270.3 384 288 384z"]],
    "train-tunnel": [512, 512, [], "e454", ["M512 256V448C512 483.3 483.3 512 448 512H406.6L342.3 447.7C374.7 444.5 400 417.2 400 384V192C400 156.7 371.3 128 336 128H176C140.7 128 112 156.7 112 192V384C112 417.2 137.3 444.5 169.7 447.7L105.4 512H64C28.65 512 0 483.3 0 448V256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM150.6 512L214.6 448H297.4L361.4 512H150.6zM160 216C160 202.7 170.7 192 184 192H328C341.3 192 352 202.7 352 216V296C352 309.3 341.3 320 328 320H184C170.7 320 160 309.3 160 296V216z", "M112 192C112 156.7 140.7 128 176 128H336C371.3 128 400 156.7 400 192V384C400 419.3 371.3 448 336 448H176C140.7 448 112 419.3 112 384V192zM160 296C160 309.3 170.7 320 184 320H328C341.3 320 352 309.3 352 296V216C352 202.7 341.3 192 328 192H184C170.7 192 160 202.7 160 216V296zM256 416C273.7 416 288 401.7 288 384C288 366.3 273.7 352 256 352C238.3 352 224 366.3 224 384C224 401.7 238.3 416 256 416z"]],
    "transformer-bolt": [384, 512, [], "e2a4", ["M224 64h96c8.836 0 16-7.164 16-16C336 39.16 328.8 32 320 32h-24V24C296 10.74 285.3 0 272 0s-24 10.74-24 24V32H224c-8.836 0-16 7.162-16 16C208 56.84 215.2 64 224 64zM320 96h-96c-8.836 0-16 7.162-16 16C208 120.8 215.2 128 224 128h96c8.836 0 16-7.164 16-16C336 103.2 328.8 96 320 96zM262 320h-48.76l33.64-76.48c2.57-6.002 .6289-12.99-4.648-16.83c-5.334-3.869-12.55-3.527-17.45 .7793l-112 99.99c-4.404 3.842-5.936 10.01-3.885 15.46C110.1 348.4 116.2 352 121.1 352h48.76l-33.64 76.49c-2.57 6.002-.6289 12.99 4.648 16.83C144.2 447.1 147.1 448 149.1 448c3.309 0 6.59-1.162 9.215-3.459l112-100c4.404-3.842 5.936-10.01 3.885-15.46C273 323.6 267.8 320 262 320zM64 64h96c8.836 0 16-7.164 16-16C176 39.16 168.8 32 160 32H136V24C136 10.74 125.3 0 112 0S88 10.74 88 24V32H64C55.16 32 48 39.16 48 48C48 56.84 55.16 64 64 64zM176 112C176 103.2 168.8 96 160 96H64C55.16 96 48 103.2 48 112C48 120.8 55.16 128 64 128h96C168.8 128 176 120.8 176 112z", "M384 208v-32C384 167.2 376.8 160 368 160h-352C7.164 160 0 167.2 0 176v32C0 216.8 7.164 224 16 224v224C7.164 448 0 455.2 0 464v32C0 504.8 7.164 512 16 512h352c8.836 0 16-7.164 16-16v-32c0-8.838-7.164-16-16-16V224C376.8 224 384 216.8 384 208zM271.2 344.5l-112 100C156.6 446.8 153.3 448 149.1 448c-2.871 0-5.769-.8887-8.232-2.68c-5.277-3.842-7.219-10.83-4.648-16.83L170.8 352H121.1c-5.824 0-11.05-3.609-13.1-9.078c-2.051-5.455-.5195-11.62 3.885-15.46l112-99.99c4.895-4.307 12.11-4.648 17.45-.7793c5.277 3.842 7.219 10.83 4.648 16.83L213.2 320h48.76c5.824 0 11.05 3.609 13.1 9.078C277.2 334.5 275.6 340.7 271.2 344.5z"]],
    "transgender": [512, 512, [9895, "transgender-alt"], "f225", ["M256 208C229.5 208 208 229.5 208 256c0 26.51 21.49 48 48 48s48-21.49 48-48C304 229.5 282.5 208 256 208z", "M498.6 .0003h-94.37c-17.96 0-26.95 21.71-14.25 34.41L411.1 55.61l-67.01 67.01C318.8 105.9 288.6 96 256 96S193.2 105.9 167.9 122.6L151.6 106.3l6.061-6.062c6.25-6.248 6.25-16.38 0-22.63L146.3 66.34c-6.25-6.248-16.38-6.248-22.63 0L117.7 72.41L100.9 55.61L122.1 34.41c12.7-12.7 3.703-34.41-14.25-34.41H13.44C6.016 .0003 0 6.016 0 13.44v94.37c0 17.96 21.71 26.95 34.41 14.25l21.2-21.2l16.8 16.8L66.35 123.7c-6.25 6.248-6.25 16.38 0 22.63l11.31 11.31c6.25 6.248 16.38 6.248 22.63 0l6.061-6.061L122.6 167.9C105.9 193.2 96 223.4 96 256c0 77.4 54.97 141.9 128 156.8v19.23l-16-.0014c-8.836 0-16 7.165-16 16v15.1c0 8.836 7.164 16 16 16L224 480v16c0 8.836 7.164 16 16 16h32c8.836 0 16-7.164 16-16v-16l16-.0001c8.836 0 16-7.164 16-16v-15.1c0-8.836-7.164-16-16-16L288 432v-19.23c73.03-14.83 128-79.37 128-156.8c0-32.6-9.867-62.85-26.61-88.14l67.01-67.01l21.2 21.2C490.3 134.8 512 125.8 512 107.8V13.44C512 6.016 505.1 .0003 498.6 .0003zM256 336c-44.11 0-80-35.89-80-80c0-44.11 35.89-80 80-80c44.11 0 80 35.89 80 80C336 300.1 300.1 336 256 336z"]],
    "transporter": [512, 512, [], "e042", ["M509.8 44.38L480 32l-12.38-29.75C466.9 .875 465.5 0 464 0s-2.875 .875-3.625 2.25L448 32l-29.75 12.38C416.9 45.13 416 46.5 416 48s.875 2.875 2.25 3.625L448 64l12.38 29.75C461.1 95.13 462.5 96 464 96s2.875-.875 3.625-2.25L480 64l29.75-12.38C511.1 50.88 512 49.5 512 48S511.1 45.13 509.8 44.38zM64 96L51.63 66.25C50.88 64.88 49.5 64 48 64S45.13 64.88 44.38 66.25L32 96L2.25 108.4C.875 109.1 0 110.5 0 112s.875 2.875 2.25 3.625L32 128l12.38 29.75C45.13 159.1 46.5 160 48 160s2.875-.875 3.625-2.25L64 128l29.75-12.38C95.13 114.9 96 113.5 96 112S95.13 109.1 93.75 108.4L64 96z", "M256 96c26.5 0 48-21.5 48-48S282.5 0 256 0S208 21.5 208 48S229.5 96 256 96zM152.6 276.5l31.38-37.75L184 416h64v-96h16v96h64l.0065-177.3l31.38 37.75c11.38 13.5 31.5 15.38 45.13 4.125c13.5-11.38 15.38-31.5 4.125-45.13l-70.5-84.5C326 136.4 308 128 289 128h-66c-19 0-37 8.375-49.12 23l-70.5 84.5c-11.25 13.62-9.5 33.75 4.125 45.13C121.1 291.9 141.3 290 152.6 276.5zM384 448H128c-17.62 0-32 14.38-32 32v32h320v-32C416 462.4 401.6 448 384 448z"]],
    "transporter-1": [512, 512, [], "e043", ["M93.75 364.4L64 352l-12.38-29.75C50.88 320.9 49.5 320 48 320s-2.875 .875-3.625 2.25L32 352l-29.75 12.38C.875 365.1 0 366.5 0 368s.875 2.875 2.25 3.625L32 384l12.38 29.75C45.13 415.1 46.5 416 48 416s2.875-.875 3.625-2.25L64 384l29.75-12.38C95.13 370.9 96 369.5 96 368S95.13 365.1 93.75 364.4zM509.8 172.4L480 160l-12.38-29.75C466.9 128.9 465.5 128 464 128s-2.875 .875-3.625 2.25L448 160l-29.75 12.38C416.9 173.1 416 174.5 416 176s.875 2.875 2.25 3.625L448 192l12.38 29.75C461.1 223.1 462.5 224 464 224s2.875-.875 3.625-2.25L480 192l29.75-12.38C511.1 178.9 512 177.5 512 176S511.1 173.1 509.8 172.4zM336 320h-160C167.2 320 160 327.2 160 336S167.2 352 176 352h160c8.844 0 16-7.156 16-16S344.8 320 336 320zM336 384h-160C167.2 384 160 391.2 160 400S167.2 416 176 416h160c8.844 0 16-7.156 16-16S344.8 384 336 384z", "M256 96c26.5 0 48-21.5 48-48S282.5 0 256 0S208 21.5 208 48S229.5 96 256 96zM152.6 276.5l31.38-37.75L184 288h144l.0065-49.25l31.38 37.75c11.38 13.5 31.5 15.38 45.13 4.125c13.5-11.38 15.38-31.5 4.125-45.13l-70.5-84.5C326 136.4 308 128 289 128h-66c-19 0-37 8.375-49.12 23l-70.5 84.5c-11.25 13.62-9.5 33.75 4.125 45.13C121.1 291.9 141.3 290 152.6 276.5zM384 448H128c-17.62 0-32 14.38-32 32v32h320v-32C416 462.4 401.6 448 384 448z"]],
    "transporter-2": [512, 512, [], "e044", ["M93.75 44.38L64 32L51.63 2.25C50.88 .875 49.5 0 48 0S45.13 .875 44.38 2.25L32 32L2.25 44.38C.875 45.13 0 46.5 0 48s.875 2.875 2.25 3.625L32 64l12.38 29.75C45.13 95.13 46.5 96 48 96s2.875-.875 3.625-2.25L64 64l29.75-12.38C95.13 50.88 96 49.5 96 48S95.13 45.13 93.75 44.38zM509.8 364.4L480 352l-12.38-29.75C466.9 320.9 465.5 320 464 320s-2.875 .875-3.625 2.25L448 352l-29.75 12.38C416.9 365.1 416 366.5 416 368s.875 2.875 2.25 3.625L448 384l12.38 29.75C461.1 415.1 462.5 416 464 416s2.875-.875 3.625-2.25L480 384l29.75-12.38C511.1 370.9 512 369.5 512 368S511.1 365.1 509.8 364.4zM400 256h-288C103.2 256 96 263.2 96 272S103.2 288 112 288h288C408.8 288 416 280.8 416 272S408.8 256 400 256zM176 352h160c8.844 0 16-7.156 16-16S344.8 320 336 320h-160C167.2 320 160 327.2 160 336S167.2 352 176 352zM176 416h160c8.844 0 16-7.156 16-16S344.8 384 336 384h-160C167.2 384 160 391.2 160 400S167.2 416 176 416z", "M384 448H128c-17.62 0-32 14.38-32 32v32h320v-32C416 462.4 401.6 448 384 448zM338.2 151C325.1 136.4 308 128 289 128h-66C204 128 185.1 136.4 173.9 151L113 224h286L338.2 151zM256 96c26.5 0 48-21.5 48-48S282.5 0 256 0S208 21.5 208 48S229.5 96 256 96z"]],
    "transporter-3": [512, 512, [], "e045", ["M93.75 140.4L64 128L51.63 98.25C50.88 96.88 49.5 96 48 96S45.13 96.88 44.38 98.25L32 128L2.25 140.4C.875 141.1 0 142.5 0 144s.875 2.875 2.25 3.625L32 160l12.38 29.75C45.13 191.1 46.5 192 48 192s2.875-.875 3.625-2.25L64 160l29.75-12.38C95.13 146.9 96 145.5 96 144S95.13 141.1 93.75 140.4zM509.8 44.38L480 32l-12.38-29.75C466.9 .875 465.5 0 464 0s-2.875 .875-3.625 2.25L448 32l-29.75 12.38C416.9 45.13 416 46.5 416 48s.875 2.875 2.25 3.625L448 64l12.38 29.75C461.1 95.13 462.5 96 464 96s2.875-.875 3.625-2.25L480 64l29.75-12.38C511.1 50.88 512 49.5 512 48S511.1 45.13 509.8 44.38zM400 256h-288C103.2 256 96 263.2 96 272S103.2 288 112 288h288C408.8 288 416 280.8 416 272S408.8 256 400 256zM176 352h160c8.844 0 16-7.156 16-16S344.8 320 336 320h-160C167.2 320 160 327.2 160 336S167.2 352 176 352zM176 416h160c8.844 0 16-7.156 16-16S344.8 384 336 384h-160C167.2 384 160 391.2 160 400S167.2 416 176 416zM144 224h224C376.8 224 384 216.8 384 208S376.8 192 368 192h-224C135.2 192 128 199.2 128 208S135.2 224 144 224zM176 160h160C344.8 160 352 152.8 352 144S344.8 128 336 128h-160C167.2 128 160 135.2 160 144S167.2 160 176 160z", "M384 448H128c-17.62 0-32 14.38-32 32v32h320v-32C416 462.4 401.6 448 384 448zM256 96c26.5 0 48-21.5 48-48S282.5 0 256 0S208 21.5 208 48S229.5 96 256 96z"]],
    "transporter-4": [512, 512, [], "e2a5", ["M509.8 172.4L480 160l-12.38-29.75C466.9 128.9 465.5 128 464 128s-2.875 .875-3.625 2.25L448 160l-29.75 12.38C416.9 173.1 416 174.5 416 176s.875 2.875 2.25 3.625L448 192l12.38 29.75C461.1 223.1 462.5 224 464 224s2.875-.875 3.625-2.25L480 192l29.75-12.38C511.1 178.9 512 177.5 512 176S511.1 173.1 509.8 172.4zM93.75 396.4L64 384l-12.38-29.75C50.88 352.9 49.5 352 48 352s-2.875 .875-3.625 2.25L32 384l-29.75 12.38C.875 397.1 0 398.5 0 400s.875 2.875 2.25 3.625L32 416l12.38 29.75C45.13 447.1 46.5 448 48 448s2.875-.875 3.625-2.25L64 416l29.75-12.38C95.13 402.9 96 401.5 96 400S95.13 397.1 93.75 396.4zM144 224h224C376.8 224 384 216.8 384 208S376.8 192 368 192h-224C135.2 192 128 199.2 128 208S135.2 224 144 224zM224 32h64c8.844 0 16-7.156 16-16S296.8 0 288 0H224C215.2 0 208 7.156 208 16S215.2 32 224 32zM224 96h64c8.844 0 16-7.156 16-16S296.8 64 288 64H224C215.2 64 208 71.16 208 80S215.2 96 224 96zM176 160h160C344.8 160 352 152.8 352 144S344.8 128 336 128h-160C167.2 128 160 135.2 160 144S167.2 160 176 160zM400 256h-288C103.2 256 96 263.2 96 272S103.2 288 112 288h288C408.8 288 416 280.8 416 272S408.8 256 400 256zM176 352h160c8.844 0 16-7.156 16-16S344.8 320 336 320h-160C167.2 320 160 327.2 160 336S167.2 352 176 352zM176 416h160c8.844 0 16-7.156 16-16S344.8 384 336 384h-160C167.2 384 160 391.2 160 400S167.2 416 176 416z", "M384 448H128c-17.62 0-32 14.38-32 32v32h320v-32C416 462.4 401.6 448 384 448z"]],
    "transporter-5": [512, 512, [], "e2a6", ["M509.8 44.38L480 32l-12.38-29.75C466.9 .875 465.5 0 464 0s-2.875 .875-3.625 2.25L448 32l-29.75 12.38C416.9 45.13 416 46.5 416 48s.875 2.875 2.25 3.625L448 64l12.38 29.75C461.1 95.13 462.5 96 464 96s2.875-.875 3.625-2.25L480 64l29.75-12.38C511.1 50.88 512 49.5 512 48S511.1 45.13 509.8 44.38zM93.75 172.4L64 160L51.63 130.3C50.88 128.9 49.5 128 48 128S45.13 128.9 44.38 130.3L32 160L2.25 172.4C.875 173.1 0 174.5 0 176s.875 2.875 2.25 3.625L32 192l12.38 29.75C45.13 223.1 46.5 224 48 224s2.875-.875 3.625-2.25L64 192l29.75-12.38C95.13 178.9 96 177.5 96 176S95.13 173.1 93.75 172.4zM224 32h64c8.844 0 16-7.156 16-16S296.8 0 288 0H224C215.2 0 208 7.156 208 16S215.2 32 224 32zM176 160h160C344.8 160 352 152.8 352 144S344.8 128 336 128h-160C167.2 128 160 135.2 160 144S167.2 160 176 160zM400 256h-288C103.2 256 96 263.2 96 272S103.2 288 112 288h288C408.8 288 416 280.8 416 272S408.8 256 400 256zM176 416h160c8.844 0 16-7.156 16-16S344.8 384 336 384h-160C167.2 384 160 391.2 160 400S167.2 416 176 416z", "M384 448H128c-17.62 0-32 14.38-32 32v32h320v-32C416 462.4 401.6 448 384 448z"]],
    "transporter-6": [512, 512, [], "e2a7", ["M509.8 396.4L480 384l-12.38-29.75C466.9 352.9 465.5 352 464 352s-2.875 .875-3.625 2.25L448 384l-29.75 12.38C416.9 397.1 416 398.5 416 400s.875 2.875 2.25 3.625L448 416l12.38 29.75C461.1 447.1 462.5 448 464 448s2.875-.875 3.625-2.25L480 416l29.75-12.38C511.1 402.9 512 401.5 512 400S511.1 397.1 509.8 396.4zM93.75 44.38L64 32L51.63 2.25C50.88 .875 49.5 0 48 0S45.13 .875 44.38 2.25L32 32L2.25 44.38C.875 45.13 0 46.5 0 48s.875 2.875 2.25 3.625L32 64l12.38 29.75C45.13 95.13 46.5 96 48 96s2.875-.875 3.625-2.25L64 64l29.75-12.38C95.13 50.88 96 49.5 96 48S95.13 45.13 93.75 44.38zM224 32h64c8.844 0 16-7.156 16-16S296.8 0 288 0H224C215.2 0 208 7.156 208 16S215.2 32 224 32zM400 256h-288C103.2 256 96 263.2 96 272S103.2 288 112 288h288C408.8 288 416 280.8 416 272S408.8 256 400 256z", "M384 448H128c-17.62 0-32 14.38-32 32v32h320v-32C416 462.4 401.6 448 384 448z"]],
    "transporter-7": [512, 512, [], "e2a8", ["M509.8 76.38L480 64l-12.38-29.75C466.9 32.88 465.5 32 464 32s-2.875 .875-3.625 2.25L448 64l-29.75 12.38C416.9 77.13 416 78.5 416 80s.875 2.875 2.25 3.625L448 96l12.38 29.75C461.1 127.1 462.5 128 464 128s2.875-.875 3.625-2.25L480 96l29.75-12.38C511.1 82.88 512 81.5 512 80S511.1 77.13 509.8 76.38zM93.75 300.4L64 288L51.63 258.3C50.88 256.9 49.5 256 48 256S45.13 256.9 44.38 258.3L32 288L2.25 300.4C.875 301.1 0 302.5 0 304s.875 2.875 2.25 3.625L32 320l12.38 29.75C45.13 351.1 46.5 352 48 352s2.875-.875 3.625-2.25L64 320l29.75-12.38C95.13 306.9 96 305.5 96 304S95.13 301.1 93.75 300.4z", "M384 448H128c-17.62 0-32 14.38-32 32v32h320v-32C416 462.4 401.6 448 384 448z"]],
    "transporter-empty": [320, 512, [], "e046", ["", "M288 448H32c-17.62 0-32 14.38-32 32v32h320v-32C320 462.4 305.6 448 288 448z"]],
    "trash": [448, 512, [], "f1f8", ["M32 96H416L394.6 466.8C393.1 492.2 372.1 512 346.7 512H101.3C75.87 512 54.86 492.2 53.39 466.8L32 96z", "M284.2 0C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2z"]],
    "trash-arrow-up": [448, 512, ["trash-restore"], "f829", ["M32 96H416L394.6 466.8C393.1 492.2 372.1 512 346.7 512H101.3C75.87 512 54.86 492.2 53.39 466.8L32 96zM248 241.9L287 280.1C296.4 290.3 311.6 290.3 320.1 280.1C330.3 271.6 330.3 256.4 320.1 247L240.1 167C236.5 162.5 230.4 159.1 224 159.1C217.6 159.1 211.5 162.5 207 167L127 247C117.7 256.4 117.7 271.6 127 280.1C136.4 290.3 151.6 290.3 160.1 280.1L200 241.9V376C200 389.3 210.7 400 224 400C237.3 400 248 389.3 248 376V241.9z", "M284.2 0C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2zM248 376C248 389.3 237.3 400 223.1 400C210.7 400 199.1 389.3 199.1 376V241.9L160.1 280.1C151.6 290.3 136.4 290.3 127 280.1C117.7 271.6 117.7 256.4 127 247L207 167C211.5 162.5 217.6 159.1 223.1 159.1C230.4 159.1 236.5 162.5 240.1 167L320.1 247C330.3 256.4 330.3 271.6 320.1 280.1C311.6 290.3 296.4 290.3 287 280.1L248 241.9V376z"]],
    "trash-can": [448, 512, [61460, "trash-alt"], "f2ed", ["M416 448C416 483.3 387.3 512 352 512H96C60.65 512 32 483.3 32 448V96H416V448zM144 176C144 167.2 136.8 160 128 160C119.2 160 112 167.2 112 176V400C112 408.8 119.2 416 128 416C136.8 416 144 408.8 144 400V176zM240 176C240 167.2 232.8 160 224 160C215.2 160 208 167.2 208 176V400C208 408.8 215.2 416 224 416C232.8 416 240 408.8 240 400V176zM336 176C336 167.2 328.8 160 320 160C311.2 160 304 167.2 304 176V400C304 408.8 311.2 416 320 416C328.8 416 336 408.8 336 400V176z", "M284.2 0C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2z"]],
    "trash-can-arrow-up": [448, 512, ["trash-restore-alt"], "f82a", ["M32 96H416V448C416 483.3 387.3 512 352 512H96C60.65 512 32 483.3 32 448V96zM248 241.9L287 280.1C296.4 290.3 311.6 290.3 320.1 280.1C330.3 271.6 330.3 256.4 320.1 247L240.1 167C236.5 162.5 230.4 159.1 224 159.1C217.6 159.1 211.5 162.5 207 167L127 247C117.7 256.4 117.7 271.6 127 280.1C136.4 290.3 151.6 290.3 160.1 280.1L200 241.9V376C200 389.3 210.7 400 224 400C237.3 400 248 389.3 248 376V241.9z", "M284.2 0C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2zM248 376C248 389.3 237.3 400 223.1 400C210.7 400 199.1 389.3 199.1 376V241.9L160.1 280.1C151.6 290.3 136.4 290.3 127 280.1C117.7 271.6 117.7 256.4 127 247L207 167C211.5 162.5 217.6 159.1 223.1 159.1C230.4 159.1 236.5 162.5 240.1 167L320.1 247C330.3 256.4 330.3 271.6 320.1 280.1C311.6 290.3 296.4 290.3 287 280.1L248 241.9V376z"]],
    "trash-can-check": [448, 512, [], "e2a9", ["M416 448C416 483.3 387.3 512 352 512H96C60.65 512 32 483.3 32 448V96H416V448zM339.8 243.8C350.7 232.9 350.7 215.1 339.8 204.2C328.9 193.3 311.1 193.3 300.2 204.2L192 312.4L147.8 268.2C136.9 257.3 119.1 257.3 108.2 268.2C97.27 279.1 97.27 296.9 108.2 307.8L172.2 371.8C183.1 382.7 200.9 382.7 211.8 371.8L339.8 243.8z", "M135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69zM211.8 371.8C200.9 382.7 183.1 382.7 172.2 371.8L108.2 307.8C97.27 296.9 97.27 279.1 108.2 268.2C119.1 257.3 136.9 257.3 147.8 268.2L192 312.4L300.2 204.2C311.1 193.3 328.9 193.3 339.8 204.2C350.7 215.1 350.7 232.9 339.8 243.8L211.8 371.8z"]],
    "trash-can-clock": [576, 512, [], "e2aa", ["M32 96H416V192.7C386.7 195.4 359.4 205.2 336 220.5V175.1C336 167.2 328.8 159.1 320 159.1C311.2 159.1 304 167.2 304 175.1V247.2C274.2 278.7 256 321.2 256 368C256 427.5 285.6 480.1 330.8 512H96C60.65 512 32 483.3 32 448V96zM112 176V400C112 408.8 119.2 416 128 416C136.8 416 144 408.8 144 400V176C144 167.2 136.8 160 128 160C119.2 160 112 167.2 112 176zM208 176V400C208 408.8 215.2 416 224 416C232.8 416 240 408.8 240 400V176C240 167.2 232.8 160 224 160C215.2 160 208 167.2 208 176z", "M135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69zM576 368C576 447.5 511.5 512 432 512C352.5 512 287.1 447.5 287.1 368C287.1 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM415.1 304V368C415.1 376.8 423.2 384 431.1 384H480C488.8 384 496 376.8 496 368C496 359.2 488.8 352 480 352H447.1V304C447.1 295.2 440.8 288 431.1 288C423.2 288 415.1 295.2 415.1 304V304z"]],
    "trash-can-list": [640, 512, [], "e2ab", ["M384 464C384 490.5 362.5 512 336 512H80C53.49 512 32 490.5 32 464V96H384V464zM160 192C160 183.2 152.8 176 144 176C135.2 176 128 183.2 128 192V416C128 424.8 135.2 432 144 432C152.8 432 160 424.8 160 416V192zM288 192C288 183.2 280.8 176 272 176C263.2 176 256 183.2 256 192V416C256 424.8 263.2 432 272 432C280.8 432 288 424.8 288 416V192z", "M119.2 17.69C124.6 6.848 135.7 0 147.8 0H268.2C280.3 0 291.4 6.848 296.8 17.69L304 32H384C401.7 32 416 46.33 416 64C416 81.67 401.7 96 384 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H112L119.2 17.69zM608 128C625.7 128 640 142.3 640 160C640 177.7 625.7 192 608 192H480C462.3 192 448 177.7 448 160C448 142.3 462.3 128 480 128H608zM576 256C593.7 256 608 270.3 608 288C608 305.7 593.7 320 576 320H480C462.3 320 448 305.7 448 288C448 270.3 462.3 256 480 256H576zM448 416C448 398.3 462.3 384 480 384H512C529.7 384 544 398.3 544 416C544 433.7 529.7 448 512 448H480C462.3 448 448 433.7 448 416z"]],
    "trash-can-plus": [448, 512, [], "e2ac", ["M416 448C416 483.3 387.3 512 352 512H96C60.65 512 32 483.3 32 448V96H416V448zM224 400C237.3 400 248 389.3 248 376V312H312C325.3 312 336 301.3 336 288C336 274.7 325.3 264 312 264H248V200C248 186.7 237.3 176 224 176C210.7 176 200 186.7 200 200V264H136C122.7 264 112 274.7 112 288C112 301.3 122.7 312 136 312H200V376C200 389.3 210.7 400 224 400z", "M135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69zM199.1 376V312H135.1C122.7 312 111.1 301.3 111.1 288C111.1 274.7 122.7 264 135.1 264H199.1V200C199.1 186.7 210.7 176 223.1 176C237.3 176 248 186.7 248 200V264H312C325.3 264 336 274.7 336 288C336 301.3 325.3 312 312 312H248V376C248 389.3 237.3 400 223.1 400C210.7 400 199.1 389.3 199.1 376z"]],
    "trash-can-slash": [640, 512, ["trash-alt-slash"], "e2ad", ["M432 313.3V208C432 199.2 424.8 192 416 192C407.2 192 400 199.2 400 208V288.2L336 238V207.1C336 199.2 328.8 191.1 320 191.1C311.2 191.1 304 199.2 304 207.1V212.1L195.6 127.1H512V375.1L432 313.3zM98.4 51.82C103.2 40.19 114.6 32 128 32H224L231.2 17.69C236.6 6.848 247.7 0 259.8 0H380.2C392.3 0 403.4 6.848 408.8 17.69L416 32H512C529.7 32 544 46.33 544 64C544 81.67 529.7 96 512 96H154.8L98.4 51.82zM128 448V196.9L208 259.9V432C208 440.8 215.2 448 224 448C232.8 448 240 440.8 240 432V285.1L304 335.5V432C304 440.8 311.2 448 320 448C328.8 448 336 440.8 336 432V360.7L400 411.2V432C400 440.8 407.2 448 416 448C423.5 448 429.7 442.9 431.5 435.1L497.8 488.2C486.1 502.7 468.1 512 448 512H192C156.7 512 128 483.3 128 448V448z", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "trash-can-undo": [448, 512, ["trash-can-arrow-turn-left", "trash-undo-alt"], "f896", ["M32 96H416V448C416 483.3 387.3 512 352 512H96C60.65 512 32 483.3 32 448V96zM183.9 166.2L103.9 238.2C98.89 242.7 96 249.2 96 256C96 262.8 98.89 269.3 103.9 273.8L183.9 345.8C193.8 354.7 208.1 353.9 217.8 344.1C226.7 334.2 225.9 319 216.1 310.2L182.5 280H240C262.1 280 280 297.9 280 320V360C280 373.3 290.7 384 304 384C317.3 384 328 373.3 328 360V320C328 271.4 288.6 232 240 232H182.5L216.1 201.8C225.9 192.1 226.7 177.8 217.8 167.9C208.1 158.1 193.8 157.3 183.9 166.2V166.2z", "M284.2 0C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2zM217.8 167.9C226.7 177.8 225.9 192.1 216.1 201.8L182.5 232H240C288.6 232 328 271.4 328 320V360C328 373.3 317.3 384 304 384C290.7 384 280 373.3 280 360V320C280 297.9 262.1 280 240 280H182.5L216.1 310.2C225.9 319 226.7 334.2 217.8 344.1C208.1 353.9 193.8 354.7 183.9 345.8L103.9 273.8C98.89 269.3 96 262.8 96 256C96 249.2 98.89 242.7 103.9 238.2L183.9 166.2C193.8 157.3 208.1 158.1 217.8 167.9H217.8z"]],
    "trash-can-xmark": [448, 512, [], "e2ae", ["M416 448C416 483.3 387.3 512 352 512H96C60.65 512 32 483.3 32 448V96H416V448zM136 264C122.7 264 112 274.7 112 288C112 301.3 122.7 312 136 312H312C325.3 312 336 301.3 336 288C336 274.7 325.3 264 312 264H136z", "M135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69zM312 264C325.3 264 336 274.7 336 288C336 301.3 325.3 312 312 312H135.1C122.7 312 111.1 301.3 111.1 288C111.1 274.7 122.7 264 135.1 264H312z"]],
    "trash-check": [448, 512, [], "e2af", ["M394.6 466.8C393.1 492.2 372.1 512 346.7 512H101.3C75.87 512 54.86 492.2 53.39 466.8L32 96H416L394.6 466.8zM339.8 243.8C350.7 232.9 350.7 215.1 339.8 204.2C328.9 193.3 311.1 193.3 300.2 204.2L192 312.4L147.8 268.2C136.9 257.3 119.1 257.3 108.2 268.2C97.27 279.1 97.27 296.9 108.2 307.8L172.2 371.8C183.1 382.7 200.9 382.7 211.8 371.8L339.8 243.8z", "M135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69zM211.8 371.8C200.9 382.7 183.1 382.7 172.2 371.8L108.2 307.8C97.27 296.9 97.27 279.1 108.2 268.2C119.1 257.3 136.9 257.3 147.8 268.2L192 312.4L300.2 204.2C311.1 193.3 328.9 193.3 339.8 204.2C350.7 215.1 350.7 232.9 339.8 243.8L211.8 371.8z"]],
    "trash-clock": [576, 512, [], "e2b0", ["M410.4 193.3C323.4 203.1 256 278.1 256 368C256 427.5 285.6 480.1 330.8 512H101.3C75.87 512 54.86 492.2 53.39 466.8L32 96H416L410.4 193.3z", "M135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69zM576 368C576 447.5 511.5 512 432 512C352.5 512 287.1 447.5 287.1 368C287.1 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM415.1 304V368C415.1 376.8 423.2 384 431.1 384H480C488.8 384 496 376.8 496 368C496 359.2 488.8 352 480 352H447.1V304C447.1 295.2 440.8 288 431.1 288C423.2 288 415.1 295.2 415.1 304V304z"]],
    "trash-list": [640, 512, [], "e2b1", ["M32 96H384L362.6 466.8C361.1 492.2 340.1 512 314.7 512H101.3C75.87 512 54.86 492.2 53.39 466.8L32 96z", "M268.2 0C280.3 0 291.4 6.848 296.8 17.69L304 32H384C401.7 32 416 46.33 416 64C416 81.67 401.7 96 384 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H112L119.2 17.69C124.6 6.848 135.7 0 147.8 0H268.2zM448 160C448 142.3 462.3 128 480 128H608C625.7 128 640 142.3 640 160C640 177.7 625.7 192 608 192H480C462.3 192 448 177.7 448 160zM448 288C448 270.3 462.3 256 480 256H576C593.7 256 608 270.3 608 288C608 305.7 593.7 320 576 320H480C462.3 320 448 305.7 448 288zM512 384C529.7 384 544 398.3 544 416C544 433.7 529.7 448 512 448H480C462.3 448 448 433.7 448 416C448 398.3 462.3 384 480 384H512z"]],
    "trash-plus": [448, 512, [], "e2b2", ["M394.6 466.8C393.1 492.2 372.1 512 346.7 512H101.3C75.87 512 54.86 492.2 53.39 466.8L32 96H416L394.6 466.8zM224 400C237.3 400 248 389.3 248 376V312H312C325.3 312 336 301.3 336 288C336 274.7 325.3 264 312 264H248V200C248 186.7 237.3 176 224 176C210.7 176 200 186.7 200 200V264H136C122.7 264 112 274.7 112 288C112 301.3 122.7 312 136 312H200V376C200 389.3 210.7 400 224 400z", "M135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69zM199.1 376V312H135.1C122.7 312 111.1 301.3 111.1 288C111.1 274.7 122.7 264 135.1 264H199.1V200C199.1 186.7 210.7 176 223.1 176C237.3 176 248 186.7 248 200V264H312C325.3 264 336 274.7 336 288C336 301.3 325.3 312 312 312H248V376C248 389.3 237.3 400 223.1 400C210.7 400 199.1 389.3 199.1 376z"]],
    "trash-slash": [640, 512, [], "e2b3", ["M195.6 128H512L497.2 364.4L195.6 128zM98.4 51.82C103.2 40.19 114.6 32 127.1 32H223.1L231.2 17.69C236.6 6.848 247.7 0 259.8 0H380.2C392.3 0 403.4 6.848 408.8 17.69L416 32H512C529.7 32 544 46.33 544 64C544 81.67 529.7 96 512 96H154.8L98.4 51.82zM149.2 466.1L132.5 200.4L487.1 480.5C481.2 498.1 463.5 512 442.9 512H197.1C171.7 512 150.8 492.3 149.2 466.1H149.2z", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "trash-undo": [448, 512, ["trash-arrow-turn-left"], "f895", ["M32 96H416L394.6 466.8C393.1 492.2 372.1 512 346.7 512H101.3C75.87 512 54.86 492.2 53.39 466.8L32 96zM183.9 166.2L103.9 238.2C98.89 242.7 96 249.2 96 256C96 262.8 98.89 269.3 103.9 273.8L183.9 345.8C193.8 354.7 208.1 353.9 217.8 344.1C226.7 334.2 225.9 319 216.1 310.2L182.5 280H240C262.1 280 280 297.9 280 320V360C280 373.3 290.7 384 304 384C317.3 384 328 373.3 328 360V320C328 271.4 288.6 232 240 232H182.5L216.1 201.8C225.9 192.1 226.7 177.8 217.8 167.9C208.1 158.1 193.8 157.3 183.9 166.2V166.2z", "M284.2 0C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2zM217.8 167.9C226.7 177.8 225.9 192.1 216.1 201.8L182.5 232H240C288.6 232 328 271.4 328 320V360C328 373.3 317.3 384 304 384C290.7 384 280 373.3 280 360V320C280 297.9 262.1 280 240 280H182.5L216.1 310.2C225.9 319 226.7 334.2 217.8 344.1C208.1 353.9 193.8 354.7 183.9 345.8L103.9 273.8C98.89 269.3 96 262.8 96 256C96 249.2 98.89 242.7 103.9 238.2L183.9 166.2C193.8 157.3 208.1 158.1 217.8 167.9H217.8z"]],
    "trash-xmark": [448, 512, [], "e2b4", ["M394.6 466.8C393.1 492.2 372.1 512 346.7 512H101.3C75.87 512 54.86 492.2 53.39 466.8L32 96H416L394.6 466.8zM143 240.1L190.1 287.1L143 335C133.7 344.4 133.7 359.6 143 368.1C152.4 378.3 167.6 378.3 176.1 368.1L223.1 321.9L271 368.1C280.4 378.3 295.6 378.3 304.1 368.1C314.3 359.6 314.3 344.4 304.1 335L257.9 287.1L304.1 240.1C314.3 231.6 314.3 216.4 304.1 207C295.6 197.7 280.4 197.7 271 207L223.1 254.1L176.1 207C167.6 197.7 152.4 197.7 143 207C133.7 216.4 133.7 231.6 143 240.1V240.1z", "M135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69zM143 207C152.4 197.7 167.6 197.7 176.1 207L223.1 254.1L271 207C280.4 197.7 295.6 197.7 304.1 207C314.3 216.4 314.3 231.6 304.1 240.1L257.9 287.1L304.1 335C314.3 344.4 314.3 359.6 304.1 368.1C295.6 378.3 280.4 378.3 271 368.1L223.1 321.9L176.1 368.1C167.6 378.3 152.4 378.3 143 368.1C133.7 359.6 133.7 344.4 143 335L190.1 287.1L143 240.1C133.7 231.6 133.7 216.4 143 207V207z"]],
    "treasure-chest": [576, 512, [], "f723", ["M352 336c0 8.836-7.164 16-16 16h-96C231.2 352 224 344.8 224 336V288H160v192h256V288h-64V336zM0 128v128h96V32C42.98 32 0 74.98 0 128zM0 448c0 17.67 14.33 32 32 32h64V288H0V448zM160 256h64V208C224 199.2 231.2 192 240 192h96C344.8 192 352 199.2 352 208V256h64V32H160V256zM480 32v224h96V128C576 74.98 533 32 480 32zM480 480h64c17.67 0 32-14.33 32-32V288h-96V480z", "M96 256h64V32H96V256zM96 480h64V288H96V480zM416 480h64V288h-64V480zM416 32v224h64V32H416zM336 192h-96C231.2 192 224 199.2 224 208v128C224 344.8 231.2 352 240 352h96c8.836 0 16-7.164 16-16v-128C352 199.2 344.8 192 336 192zM304 304c0 8.836-7.164 16-16 16S272 312.8 272 304v-64C272 231.2 279.2 224 288 224s16 7.162 16 16V304z"]],
    "tree": [448, 512, [127794], "f1bb", ["M414.8 448L256 448l-.0103-79.93l31.14-52.39c2.66-5.315-1.207-11.57-7.154-11.57h-23.99V224.2c0-17.66-14.33-31.98-32-31.98s-32 14.32-32 31.98v15.99H168c-5.947 0-9.814 6.254-7.154 11.57l31.14 52.39l.0116 143.9l-158.9-.0099c-28.5 0-43.69-34.51-24.69-56.4l68.98-79.59H62.22c-25.59 0-39.5-29.18-23.19-48.48l60.92-71.51H89.21c-21.28 0-32.87-22.51-19.28-37.31l134.8-146.5c10.39-11.29 28.23-11.29 38.62-.0033l134.9 146.5c13.62 14.8 1.1 37.31-19.28 37.31h-10.77l60.86 71.51c16.31 19.3 2.406 48.48-23.19 48.48h-15.2l68.98 79.59C458.5 413.4 443.4 448 414.8 448z", "M168 240.2h23.99V224.2c0-17.66 14.33-31.98 32-31.98c17.67 0 32 14.32 32 31.98v79.95h23.99c5.947 0 9.814 6.254 7.154 11.57l-31.14 52.39l.0103 111.9C256 497.7 241.8 512 224.1 512c-17.67 0-32.1-14.33-32.1-31.99L192 304.1L160.9 251.7C158.2 246.4 162.1 240.2 168 240.2z"]],
    "tree-christmas": [512, 512, [127876], "f7db", ["M471.6 455.6l-89.87-103.6h35.1c25.62 0 39.5-29.25 23.25-48.5l-155.1-190.1l-20.89 41.58C262.5 158.3 259.2 160 255.1 160S249.5 158.3 247.9 154.1L226.1 113.4L71.04 303.5c-16.25 19.25-2.375 48.5 23.25 48.5h35.1l-89.87 103.6C21.42 477.5 36.67 512 65.17 512h381.6C475.4 512 490.5 477.4 471.6 455.6zM192 312C178.8 312 168 301.3 168 288s10.75-24 23.1-24c13.25 0 23.1 10.75 23.1 24S205.2 312 192 312zM319.1 440c-13.25 0-23.1-10.75-23.1-24s10.75-24 23.1-24s23.1 10.75 23.1 24S333.2 440 319.1 440z", "M330.1 71.85L286.5 49.51l-22.35-44.48c-3.367-6.701-12.93-6.701-16.3 0L225.5 49.51L181 71.85c-6.701 3.367-6.701 12.93 0 16.3l44.48 22.35l22.35 44.48C249.5 158.3 252.8 160 255.1 160s6.465-1.677 8.149-5.027L286.5 110.5l44.48-22.35C337.7 84.78 337.7 75.22 330.1 71.85zM192 264C178.8 264 168 274.8 168 288s10.75 24 23.1 24c13.25 0 23.1-10.75 23.1-24S205.2 264 192 264z"]],
    "tree-city": [640, 512, [], "e587", ["M432 0C458.5 0 480 21.49 480 48V192H520V120C520 106.7 530.7 96 544 96C557.3 96 568 106.7 568 120V192H592C618.5 192 640 213.5 640 240V464C640 490.5 618.5 512 592 512H336C309.5 512 288 490.5 288 464V48C288 21.49 309.5 0 336 0H432zM368 64C359.2 64 352 71.16 352 80V112C352 120.8 359.2 128 368 128H400C408.8 128 416 120.8 416 112V80C416 71.16 408.8 64 400 64H368zM352 208C352 216.8 359.2 224 368 224H400C408.8 224 416 216.8 416 208V176C416 167.2 408.8 160 400 160H368C359.2 160 352 167.2 352 176V208zM368 256C359.2 256 352 263.2 352 272V304C352 312.8 359.2 320 368 320H400C408.8 320 416 312.8 416 304V272C416 263.2 408.8 256 400 256H368zM512 304C512 312.8 519.2 320 528 320H560C568.8 320 576 312.8 576 304V272C576 263.2 568.8 256 560 256H528C519.2 256 512 263.2 512 272V304zM528 352C519.2 352 512 359.2 512 368V400C512 408.8 519.2 416 528 416H560C568.8 416 576 408.8 576 400V368C576 359.2 568.8 352 560 352H528z", "M256 240C256 285 220 320 176 320H160V480C160 498 145 512 128 512C110 512 96 498 96 480V320H80C35 320 0 285 0 240C0 214 13 190 33 176C32 171 32 166 32 160C32 107 74 64 128 64C181 64 224 107 224 160C224 166 223 171 222 176C242 190 256 214 256 240z"]],
    "tree-deciduous": [512, 512, [127795, "tree-alt"], "f400", ["M512 288c0 26.62-9.375 49.38-28 68s-41.38 28-68 28h-128l0-15.1l31.14-52.42c2.66-5.318-1.207-11.58-7.154-11.58H288V224c0-17.67-14.33-32-32-32s-32 14.33-32 32v16H200c-5.947 0-9.814 6.258-7.154 11.58L223.1 304L224 384H96c-26.62 0-49.38-9.375-68-28S0 314.6 0 288c0-19.38 5.375-36.1 16-52.1s25-27.62 43-35c-9.375-16-12.88-32.5-10.5-49.5s9.125-31.62 20.5-44s25.12-20.5 41.5-24.5S143.4 79.63 160 87c2.682-25.16 13.58-46.27 32.7-63.07C209.9 8.851 232.3 .1757 255.2 .0031c24.97-.1888 46.75 8.187 65.33 24.1C338.9 41.63 349.4 62.38 352 87c16.62-7.375 33.13-8.1 49.5-4.1s30.12 12.12 41.5 24.5s18.12 27 20.5 44s-.875 33.5-9.5 49.5H453c18 7.375 32.38 19 43 35S512 268.6 512 288z", "M200 240H223.1v-16c0-17.67 14.33-32 32-32s32 14.33 32 32v79.1h23.99c5.947 0 9.814 6.258 7.154 11.58l-31.14 52.42v112C288 497.7 273.8 512 256.1 512c-17.67 0-32.1-14.33-32.1-31.1v-176L192.9 251.6C190.2 246.3 194.1 240 200 240z"]],
    "tree-decorated": [512, 512, [], "f7dc", ["M471.6 455.6l-89.87-103.6h35.1c25.62 0 39.5-29.25 23.25-48.5L346.1 192h44.75c21.37 0 32.87-22.5 19.37-37.25l-134.1-146.5c-9.999-10.1-28.5-10.1-38.5 0l-134.9 146.5c-13.62 14.75-1.1 37.25 19.37 37.25h44.75L71.04 303.5c-16.25 19.25-2.375 48.5 23.25 48.5h35.1L40.42 455.6c-18.1 21.88-3.75 56.38 24.75 56.38h381.6C475.4 512 490.5 477.4 471.6 455.6zM192 312c-13.25 0-23.1-10.75-23.1-24s10.75-24 23.1-24c13.25 0 23.1 10.75 23.1 24S205.2 312 192 312zM264 160c0-13.25 10.75-24 23.1-24s23.1 10.75 23.1 24s-10.75 24-23.1 24S264 173.3 264 160zM320 440c-13.25 0-23.1-10.75-23.1-24s10.75-24 23.1-24s23.1 10.75 23.1 24S333.2 440 320 440z", "M311.1 160c0-13.25-10.75-24-23.1-24s-23.1 10.75-23.1 24s10.75 24 23.1 24S311.1 173.3 311.1 160zM320 392c-13.25 0-23.1 10.75-23.1 24s10.75 24 23.1 24s23.1-10.75 23.1-24S333.2 392 320 392z"]],
    "tree-large": [512, 512, [], "f7dd", ["M446.8 512H288v-144l31.14-52.42C321.8 310.3 317.9 304 311.1 304H288V208C288 199.2 280.8 192 272 192H239.1c-8.836 0-16 7.162-16 16v32H200c-5.947 0-9.814 6.258-7.154 11.58L223.1 304V512h-158.8c-28.5 0-43.75-34.5-24.75-56.38L130.3 352H94.29c-25.62 0-39.5-29.25-23.25-48.5L166 192H121.3C99.92 192 88.29 169.5 101.9 154.8l134.9-146.5c9.998-11 28.5-11 38.5 0l134.1 146.5C423.8 169.5 412.3 192 390.9 192h-44.75l94.87 111.5C457.3 322.8 443.4 352 417.8 352H381.8l89.87 103.6C490.5 477.4 475.4 512 446.8 512z", "M200 240H223.1v-32c0-8.837 7.163-16 16-16h32c8.837 0 16 7.163 16 16V304h23.99c5.947 0 9.814 6.258 7.154 11.58L288 368V512H223.1V304L192.9 251.6C190.2 246.3 194.1 240 200 240z"]],
    "tree-palm": [576, 512, [127796], "f82b", ["M575.7 172.9c1.875 9.875-6.501 19.12-17.75 19.12L503.1 192l-23.1-48L455.1 192H264.6c-.0156-.1504-155.1 154.4-155.1 154.4c-8 8-20.37 7.375-26.12-1C48.01 293.6 61.76 212.1 118.8 155.1c3.375-3.375 7.125-5.1 10.75-9.125L96.01 79.1L72.01 128L18.01 127.1c-11.25 0-19.62-9.25-17.75-19.12C11.89 47.25 78.63 0 159.3 0c74.12 0 135.9 40.12 154.5 94.5c28-18.75 63.62-30.5 102.1-30.5C497.4 63.1 564.1 111.2 575.7 172.9z", "M229.8 472.4C244.1 415.3 275.1 296.6 264.6 192h56.6c14.88 56.63 41.12 179.5 26.37 293C345.6 500.6 331.6 512 315.9 512H260.8C240 512 224.6 492.5 229.8 472.4z"]],
    "trees": [640, 512, [], "f724", ["M298.4 288H329c9 0 17-5 20.88-13c3.75-8.125 2.5-17.38-3.375-24.12L268.4 160h28.88c9.127 0 17.38-5.375 20.88-13.62c3.625-8.125 1.875-17.62-4.25-24.12L203.6 4.875c-6-6.5-17.25-6.5-23.25 0L69.97 122.3c-6 6.5-7.75 16-4.125 24.12C69.34 154.6 77.59 160 86.72 160h28.88L37.46 250.9c-5.875 6.875-7.125 16-3.375 24.12C37.96 283 45.84 288 54.96 288h30.63l-79.88 90.5c-6 6.75-7.377 16.12-3.625 24.25C5.834 410.8 14.08 416 23.09 416H160V223.1C160 206.3 174.3 192 192 192s32 14.33 32 31.1V416h136.9c9 0 17.25-5.25 21-13.25c3.75-8.125 2.5-17.5-3.5-24.25L298.4 288zM634.3 378.5L554.4 288h30.63c9 0 17-5 20.88-13c3.75-8.125 2.5-17.38-3.375-24.12L524.4 160h28.88c9.125 0 17.38-5.375 20.88-13.62c3.625-8.125 1.875-17.62-4.25-24.12l-110.3-117.4c-6-6.5-17.25-6.5-23.25 0l-95.14 101.3c11.13 15.38 14 35.25 6.377 52.88c-4 9.375-10.38 17.12-18.25 22.75l41.5 48.25c14 16.25 17.13 39.25 8.002 58.62c-4.25 8.875-10.5 16.12-18.13 21.5l41.63 47.13c8.6 9.846 13.34 14.29 13.62 26.7L416 351.1C416 334.3 430.3 320 448 320s32 14.33 32 31.1V416h136.9c9.002 0 17.25-5.25 21-13.25C641.7 394.6 640.3 385.3 634.3 378.5z", "M192 192C174.3 192 160 206.3 160 223.1v256C160 497.7 174.3 512 192 512S224 497.7 224 480V223.1C224 206.3 209.7 192 192 192zM448 320c-17.67 0-32 14.33-32 31.1v128C416 497.7 430.3 512 448 512C465.7 512 480 497.7 480 480V351.1C480 334.3 465.7 320 448 320z"]],
    "triangle": [512, 512, [9650], "f2ec", ["M506.5 419.8C513.8 432.1 513.8 447.4 506.7 459.9C499.6 472.3 486.3 480 472 480H40C25.66 480 12.41 472.3 5.287 459.9C-1.839 447.4-1.756 432.1 5.503 419.8L221.5 51.75C228.7 39.52 241.8 32 256 32C270.2 32 283.3 39.52 290.5 51.75L506.5 419.8z", ""]],
    "triangle-exclamation": [512, 512, [9888, "exclamation-triangle", "warning"], "f071", ["M506.3 417l-213.3-364c-16.33-28-57.54-28-73.98 0l-213.2 364C-10.59 444.9 9.849 480 42.74 480h426.6C502.1 480 522.6 445 506.3 417zM232 168c0-13.25 10.75-24 24-24S280 154.8 280 168v128c0 13.25-10.75 24-23.1 24S232 309.3 232 296V168zM256 416c-17.36 0-31.44-14.08-31.44-31.44c0-17.36 14.07-31.44 31.44-31.44s31.44 14.08 31.44 31.44C287.4 401.9 273.4 416 256 416z", "M256 320C269.3 320 280 309.3 280 296v-128c0-13.25-10.75-24-23.1-24S232 154.8 232 168v128C232 309.3 242.8 320 256 320zM256 353.1c-17.36 0-31.44 14.08-31.44 31.44C224.6 401.9 238.6 416 256 416s31.44-14.08 31.44-31.44C287.4 367.2 273.4 353.1 256 353.1z"]],
    "triangle-instrument": [512, 512, ["triangle-music"], "f8e2", ["M499.1 462.9c-17.13 30.5-49.25 49.25-84.13 49.12H96.12c-34.88 .125-66.97-18.56-84.09-49.06c-16.75-29.5-15.94-66.06 2.187-94.81L173.1 109.3c11.75-19 29.63-32.19 50.01-39.31v-37.1C223.1 14.33 238.3 0 255.1 0c17.67 0 32.05 14.33 32.05 32v37.1C308.4 77.12 326.2 90.34 337.1 109.3l36.15 58.55l-46.53 46.51L283.5 143.1C275.1 129.4 261.5 128 256 128S236.9 129.5 228.5 143.1l-159.9 258.6c-5.75 9.125-6.125 20.62-.75 29.1c5.75 10.25 16.63 16.5 28.25 16.25h319.8c11.62 .25 22.5-5.1 28.25-16.25c5.375-9.375 5-20.87-.75-29.1l-89.88-145.4l46.53-46.52l97.73 158.3C515.9 396.9 516.7 433.4 499.1 462.9z", "M255.1 263.9c-24.75-.375-46.1 15.47-54.75 39.09c-7.624 23.62 .8755 49.5 21.12 63.87c20.25 14.5 47.5 13.1 67.24-1.125c19.87-14.1 27.5-41.13 18.1-64.5l196.3-196.3c9.352-9.352 9.393-24.5 .0937-33.91c-9.314-9.419-24.6-9.461-33.97-.0938l-196.3 196.3C268.7 265.1 262.4 264 255.1 263.9z"]],
    "triangle-person-digging": [640, 512, ["construction"], "f85d", ["M640 463.9c0-9.199-2.645-18.39-7.845-26.36l-271.1-417.1c-8.859-13.6-24.51-20.4-40.17-20.4c-15.66 0-31.31 6.799-40.17 20.4l-271.1 417.1c-5.2 7.978-7.848 17.17-7.848 26.37C-.0001 489.4 20.55 512 48.02 512h543.1C619.2 512 640 489.8 640 463.9zM292 159.1c15.5 0 27.1 12.5 27.1 28s-12.5 28-27.1 28c-15.5 0-27.1-12.5-27.1-28S276.5 159.1 292 159.1zM288 431.1c0 8.875-7.124 16-15.1 16s-15.1-7.125-15.1-16v-32.75l-46.25-30l-18.25 67c-2 6.875-8.249 11.75-15.5 11.75c-12.16 0-16.04-10.8-16.04-16.08c0-1.376 .1742-2.776 .5386-4.173l29.75-109l83.12 53.63c9.125 5.875 14.62 16 14.62 26.88V431.1zM336 447.1l12.01-30.01c2.375-6 8.249-10 14.87-10h35.62l-94.93-58.38c0 0 .125 0 0 0l-103.9-64c-1.433-.8782-7.616-5.071-7.616-13.51c0-3.504 1.08-6.893 3.241-9.741l11.5-15.5c9.211-12.25 23.5-19.17 38.36-19.17c3.492 0 7.015 .3821 10.51 1.167l24.62 7.25C297.7 239.1 312 254.7 315.8 273.2l10.62 52.75l87.62 54l21.12-42.5c2.668-5.208 7.961-8.783 14.5-8.783c5.38 0 10.43 2.81 13.37 7.283l71.75 112L336 447.1z", "M292 215.1c15.5 0 27.1-12.5 27.1-28s-12.5-28-27.1-28c-15.5 0-27.1 12.5-27.1 28S276.5 215.1 292 215.1zM273.4 372.3L190.3 318.7l-29.75 109c-.3644 1.397-.5386 2.797-.5386 4.173c0 5.253 3.861 16.08 16.04 16.08c7.25 0 13.5-4.875 15.5-11.75l18.25-67l46.25 30v32.75c0 8.875 7.124 16 15.1 16s15.1-7.125 15.1-16v-32.75C288 388.3 282.5 378.2 273.4 372.3zM348 417.1l-12.01 30.01l198.8-.0091l-71.75-112c-2.942-4.473-7.99-7.283-13.37-7.283c-6.523 0-11.83 3.559-14.5 8.783l-21.12 42.5l-87.62-54L315.8 273.2C312 254.7 297.7 239.1 280.3 236.1L255.7 228.8c-3.496-.7849-7.019-1.167-10.51-1.167c-14.86 0-29.15 6.92-38.36 19.17l-11.5 15.5C193.1 265.2 192.1 268.6 192.1 272.1c0 8.438 6.183 12.63 7.616 13.51l103.9 64c.125 0 0 0 0 0l94.93 58.38h-35.62C356.3 407.1 350.4 411.1 348 417.1z"]],
    "trillium": [512, 512, [], "e588", ["M379.2 123.4C417.8 110.6 447.4 111.5 462.1 113.4C477 115.3 485.8 130.5 480 144.3C474.4 157.6 461 182.7 432.3 208.1C424.2 201.3 415.2 194.4 405.3 188.7C397.1 184.4 390.4 181 382.7 178.4C383.6 172.4 384 166.2 384 160C384 147.5 382.2 135.2 379.2 123.4V123.4zM129.3 178.3C121.5 180.1 113.9 184.4 106.6 188.7C96.67 194.4 87.72 201.3 79.62 208.9C50.95 182.7 37.57 157.6 31.98 144.3C26.17 130.5 34.96 115.3 49.85 113.4C64.56 111.5 94.21 110.6 132.8 123.4C129.8 135.2 127.1 147.5 127.1 160C127.1 166.2 128.4 172.3 129.3 178.3H129.3zM237.1 497.1C228.7 484.5 214.2 458.9 206.1 422.8C215.9 419.7 225.4 415.6 234.6 410.4C242.3 405.9 249.5 400.7 255.9 394.9C262.4 400.7 269.5 405.9 277.3 410.4C286.4 415.7 296.1 419.8 305.9 422.9C297.7 458.1 283.3 484.5 274.9 497.1C265.8 510.8 246.2 510.8 237.1 497.1V497.1z", "M265.9 8.866C290.4 31.82 352 95.91 352 160C352 175.7 348.2 190.4 341.6 203.5C357.8 203.5 374.2 207.7 389.3 216.4C444.8 248.4 469.5 333.8 477.1 366.5C478.9 374.1 474.6 381.4 467.2 383.6C435.1 393.4 348.8 414.7 293.3 382.7C276.7 373.1 264.1 359.3 255.9 343.5C247.8 359.3 235.1 373.1 218.6 382.7C163.1 414.7 76.75 393.4 44.61 383.7C37.22 381.4 32.98 374.1 34.73 366.5C42.36 333.8 67.05 248.4 122.6 216.4C137.7 207.7 154.1 203.5 170.4 203.5C163.7 190.4 159.1 175.7 159.1 160C159.1 95.91 221.6 31.82 246.1 8.867C251.8 3.586 260.2 3.586 265.9 8.866L265.9 8.866zM255.1 279.1C278.1 279.1 296 262.1 296 239.1C296 217.9 278.1 199.1 255.1 199.1C233.9 199.1 215.1 217.9 215.1 239.1C215.1 262.1 233.9 279.1 255.1 279.1z"]],
    "trophy": [576, 512, [127942], "f091", ["M193.7 316.9C189.8 311.1 186.2 305.3 182.8 299.4c-47.14-19.35-82.56-45.83-105.4-79.52C49.47 178.6 47.01 135.7 48.38 112h80.39C128.1 101.9 128 96 128 96L128.1 64H27.26C16.16 64 6.537 71.59 3.912 82.38C3.1 85.78-15.71 167.2 37.07 245.9c37.45 55.82 100.6 95.03 187.5 117.4c8.828 2.268 17.76 9.74 15.51 7.75C211.9 346 194.2 317.4 193.7 316.9zM572.1 82.38C569.5 71.59 559.8 64 548.7 64h-100.8l.0811 32c0 0-.0953 5.926-.7652 16h80.39c1.375 23.66-1.093 66.63-29.03 107.8c-22.82 33.69-58.25 60.17-105.4 79.52c-3.402 5.91-7.023 11.73-10.86 17.5c-.5352 .5352-18.2 29.14-46.45 54.16c-2.248 1.99 6.687-5.482 15.51-7.75c86.96-22.34 150.1-61.55 187.5-117.4C591.7 167.2 572.9 85.78 572.1 82.38z", "M335.9 371c-9.715 8.604-15.9 20.65-15.9 33.62C319.1 428.7 339.3 448 363.4 448h4.644c26.51 0 47.99 21.49 47.99 48c0 8.836-7.162 16-15.1 16H176c-8.836 0-15.1-7.164-15.1-16c0-26.51 21.48-48 47.99-48h4.644c24.03 0 43.36-19.33 43.36-43.35c0-12.98-6.184-25.02-15.9-33.62C128 271.7 128 96 128 96L128 32c0-17.67 14.5-32 32.17-32h255.7C433.5 0 448 14.33 448 32l-.0059 64C447.1 96 447.1 271.7 335.9 371z"]],
    "trophy-star": [576, 512, ["trophy-alt"], "f2eb", ["M193.7 316.9C189.8 311.1 186.2 305.3 182.8 299.4c-47.14-19.35-82.56-45.83-105.4-79.52C49.47 178.6 47.01 135.7 48.38 112h80.39C128.1 101.9 128 96 128 96l.0836-32H27.26C16.16 64 6.537 71.59 3.912 82.38C3.1 85.78-15.71 167.2 37.07 245.9c37.45 55.82 100.6 95.03 187.5 117.4c8.828 2.268 17.76 9.74 15.51 7.75C211.9 346 194.2 317.4 193.7 316.9zM572.1 82.38C569.5 71.59 559.8 64 548.7 64h-100.8l.0812 32c0 0-.0955 5.926-.7654 16h80.39c1.375 23.66-1.093 66.63-29.03 107.8c-22.82 33.69-58.25 60.17-105.4 79.52c-3.402 5.91-7.023 11.73-10.86 17.5c-.5352 .5352-18.2 29.14-46.45 54.16c-2.248 1.99 6.686-5.482 15.51-7.75c86.96-22.34 150.1-61.55 187.5-117.4C591.7 167.2 572.9 85.78 572.1 82.38zM342.2 231.6l-8.58-49.98l36.34-35.3c3.801-3.691 1.715-10.14-3.529-10.91l-50.08-7.316l-22.43-45.43c-2.344-4.75-9.117-4.75-11.46 0l-22.43 45.43L209.8 135.4C204.6 136.2 202.5 142.6 206.3 146.3l36.31 35.27L234 231.6c-.8965 5.227 4.582 9.207 9.271 6.742l44.85-23.57l44.85 23.57C337.7 240.8 343.1 236.8 342.2 231.6z", "M447.1 96L448 32c0-17.67-14.49-32-32.17-32H160.2C142.5 0 128 14.33 128 32l.0059 64c0 0 0 175.7 112.1 275c9.715 8.604 15.9 20.65 15.9 33.62C256 428.7 236.7 448 212.6 448H208c-26.51 0-47.99 21.49-47.99 48c0 8.836 7.162 16 15.1 16H399.1c8.836 0 15.1-7.164 15.1-16c0-26.51-21.48-48-47.99-48h-4.644c-24.03 0-43.36-19.33-43.36-43.35c0-12.98 6.184-25.02 15.9-33.62C447.1 271.7 447.1 96 447.1 96zM288.1 214.7L243.3 238.3c-4.689 2.465-10.17-1.516-9.271-6.742l8.578-49.98L206.3 146.3C202.5 142.6 204.6 136.2 209.8 135.4l50.26-7.344l22.43-45.43c2.346-4.75 9.119-4.75 11.46 0l22.43 45.43l50.08 7.316c5.244 .7656 7.33 7.219 3.529 10.91l-36.34 35.3l8.58 49.98c.8945 5.227-4.584 9.207-9.273 6.742L288.1 214.7z"]],
    "trowel": [512, 512, [], "e589", ["M298.6 168.1C298.7 168.2 298.8 168.3 298.9 168.4L343.6 213.1C343.7 213.2 343.8 213.3 343.9 213.4L245.3 311.1L310.6 377.4C318.5 385.3 321.8 396.8 319.1 407.6C316.4 418.5 308.2 427.2 297.5 430.5L41.55 510.5C30.18 514.1 17.79 511 9.373 502.6C.9565 494.2-2.093 481.8 1.458 470.5L81.46 214.5C84.8 203.8 93.48 195.6 104.4 192.9C115.2 190.2 126.7 193.5 134.6 201.4L200 266.7L298.6 168.1z", "M394.4 20.18C421.3-6.728 464.9-6.728 491.8 20.18C518.7 47.1 518.7 90.73 491.8 117.6L396.4 213.1C381.8 227.6 358.2 227.6 343.6 213.1L298.9 168.4C284.4 153.8 284.4 130.2 298.9 115.6L394.4 20.18z"]],
    "trowel-bricks": [512, 512, [], "e58a", ["M480 224C497.7 224 512 238.3 512 256V320C512 337.7 497.7 352 480 352H320C302.3 352 288 337.7 288 320V256C288 238.3 302.3 224 320 224H480zM0 416C0 398.3 14.33 384 32 384H128C145.7 384 160 398.3 160 416V480C160 497.7 145.7 512 128 512H32C14.33 512 0 497.7 0 480V416zM192 416C192 398.3 206.3 384 224 384H480C497.7 384 512 398.3 512 416V480C512 497.7 497.7 512 480 512H224C206.3 512 192 497.7 192 480V416z", "M256 104H345C348.6 90.2 361.1 80 376 80H464C490.5 80 512 101.5 512 128C512 154.5 490.5 176 464 176H376C361.1 176 348.6 165.8 345 152H256V224C256 235.1 250.3 245.4 240.8 251.2C231.4 257.1 219.6 257.6 209.7 252.6L17.69 156.6C6.848 151.2 0 140.1 0 128C0 115.9 6.848 104.8 17.69 99.38L209.7 3.378C219.6-1.581 231.4-1.051 240.8 4.779C250.3 10.61 256 20.91 256 32V104z"]],
    "truck": [640, 512, [128666, 9951], "f0d1", ["M96 432C96 387.8 131.8 352 176 352C220.2 352 256 387.8 256 432C256 476.2 220.2 512 176 512C131.8 512 96 476.2 96 432zM384 432C384 387.8 419.8 352 464 352C508.2 352 544 387.8 544 432C544 476.2 508.2 512 464 512C419.8 512 384 476.2 384 432z", "M368 0C394.5 0 416 21.49 416 48V96H466.7C483.7 96 499.1 102.7 512 114.7L589.3 192C601.3 204 608 220.3 608 237.3V352C625.7 352 640 366.3 640 384C640 401.7 625.7 416 608 416H574.9C567.1 361.7 520.4 320 464 320C407.6 320 360.9 361.7 353.1 416H286.9C279.1 361.7 232.4 320 176 320C119.6 320 72.9 361.7 65.13 416H48C21.49 416 0 394.5 0 368V48C0 21.49 21.49 0 48 0H368zM416 160V256H544V237.3L466.7 160H416z"]],
    "truck-arrow-right": [640, 512, [], "e58b", ["M223 79.03C232.4 69.66 247.6 69.66 256.1 79.03L336.1 159C346.3 168.4 346.3 183.6 336.1 192.1L256.1 272.1C247.6 282.3 232.4 282.3 223 272.1C213.7 263.6 213.7 248.4 223 239L262.1 200H96C82.75 200 72 189.3 72 176C72 162.7 82.75 152 96 152H262.1L223 112.1C213.7 103.6 213.7 88.4 223 79.03V79.03zM256 432C256 476.2 220.2 512 176 512C131.8 512 96 476.2 96 432C96 387.8 131.8 352 176 352C220.2 352 256 387.8 256 432zM384 432C384 387.8 419.8 352 464 352C508.2 352 544 387.8 544 432C544 476.2 508.2 512 464 512C419.8 512 384 476.2 384 432z", "M.0003 48C.0003 21.49 21.49 0 48 0H368C394.5 0 416 21.49 416 48V96H466.7C483.7 96 499.1 102.7 512 114.7L589.3 192C601.3 204 608 220.3 608 237.3V352C625.7 352 640 366.3 640 384C640 401.7 625.7 416 608 416H574.9C567.1 361.7 520.4 320 464 320C407.6 320 360.9 361.7 353.1 416H286.9C279.1 361.7 232.4 320 176 320C119.6 320 72.9 361.7 65.13 416H48C21.49 416 0 394.5 0 368L.0003 48zM544 256V237.3L466.7 160H416V256H544zM256.1 79.03C247.6 69.66 232.4 69.66 223 79.03C213.7 88.4 213.7 103.6 223 112.1L262.1 152H96C82.75 152 72 162.7 72 176C72 189.3 82.75 200 96 200H262.1L223 239C213.7 248.4 213.7 263.6 223 272.1C232.4 282.3 247.6 282.3 256.1 272.1L336.1 192.1C346.3 183.6 346.3 168.4 336.1 159L256.1 79.03z"]],
    "truck-bolt": [640, 512, [], "e3d0", ["M266.3 51.72C271.9 56.47 273.6 64.52 270.3 71.16L233.9 143.1H288C294.9 143.1 301 148.4 303.2 154.9C305.4 161.5 303.1 168.7 297.6 172.8L169.6 268.8C163.7 273.3 155.4 273 149.7 268.3C144.1 263.5 142.4 255.5 145.7 248.8L182.1 176H128C121.1 176 114.1 171.6 112.8 165.1C110.6 158.5 112.9 151.3 118.4 147.2L246.4 51.2C252.3 46.75 260.6 46.96 266.3 51.72V51.72zM256 432C256 476.2 220.2 512 176 512C131.8 512 96 476.2 96 432C96 387.8 131.8 352 176 352C220.2 352 256 387.8 256 432zM544 432C544 476.2 508.2 512 464 512C419.8 512 384 476.2 384 432C384 387.8 419.8 352 464 352C508.2 352 544 387.8 544 432z", "M.0003 48C.0003 21.49 21.49 0 48 0H368C394.5 0 416 21.49 416 48V96H466.7C483.7 96 499.1 102.7 512 114.7L589.3 192C601.3 204 608 220.3 608 237.3V352C625.7 352 640 366.3 640 384C640 401.7 625.7 416 608 416H574.9C567.1 361.7 520.4 320 464 320C407.6 320 360.9 361.7 353.1 416H286.9C279.1 361.7 232.4 320 176 320C119.6 320 72.9 361.7 65.13 416H48C21.49 416 0 394.5 0 368L.0003 48zM544 256V237.3L466.7 160H416V256H544zM246.4 51.2L118.4 147.2C112.9 151.3 110.6 158.5 112.8 165.1C114.1 171.6 121.1 176 128 176H182.1L145.7 248.8C142.4 255.5 144.1 263.5 149.7 268.3C155.4 273 163.7 273.3 169.6 268.8L297.6 172.8C303.1 168.7 305.4 161.5 303.2 154.9C301 148.4 294.9 143.1 288 143.1H233.9L270.3 71.16C273.6 64.52 271.9 56.47 266.3 51.72C260.6 46.96 252.3 46.75 246.4 51.2V51.2z"]],
    "truck-clock": [640, 512, ["shipping-timed"], "f48c", ["M224 160H240C248.8 160 256 167.2 256 176C256 184.8 248.8 192 240 192H208C199.2 192 192 184.8 192 176V112C192 103.2 199.2 96 208 96C216.8 96 224 103.2 224 112V160zM256 432C256 476.2 220.2 512 176 512C131.8 512 96 476.2 96 432C96 387.8 131.8 352 176 352C220.2 352 256 387.8 256 432zM544 432C544 476.2 508.2 512 464 512C419.8 512 384 476.2 384 432C384 387.8 419.8 352 464 352C508.2 352 544 387.8 544 432z", "M.0003 48C.0003 21.49 21.49 0 48 0H368C394.5 0 416 21.49 416 48V96H466.7C483.7 96 499.1 102.7 512 114.7L589.3 192C601.3 204 608 220.3 608 237.3V352C625.7 352 640 366.3 640 384C640 401.7 625.7 416 608 416H574.9C567.1 361.7 520.4 320 464 320C407.6 320 360.9 361.7 353.1 416H286.9C279.1 361.7 232.4 320 176 320C119.6 320 72.9 361.7 65.13 416H48C21.49 416 0 394.5 0 368L.0003 48zM544 256V237.3L466.7 160H416V256H544zM208 288C269.9 288 320 237.9 320 176C320 114.1 269.9 64 208 64C146.1 64 96 114.1 96 176C96 237.9 146.1 288 208 288z"]],
    "truck-container": [640, 512, [], "f4dc", ["M352 32C378.5 32 400 53.49 400 80V224C400 250.5 378.5 272 352 272H48C21.49 272 0 250.5 0 224V80C0 53.49 21.49 32 48 32H352zM80 72C71.16 72 64 79.16 64 88V216C64 224.8 71.16 232 80 232C88.84 232 96 224.8 96 216V88C96 79.16 88.84 72 80 72zM224 216C224 224.8 231.2 232 240 232C248.8 232 256 224.8 256 216V88C256 79.16 248.8 72 240 72C231.2 72 224 79.16 224 88V216zM160 72C151.2 72 144 79.16 144 88V216C144 224.8 151.2 232 160 232C168.8 232 176 224.8 176 216V88C176 79.16 168.8 72 160 72zM304 216C304 224.8 311.2 232 320 232C328.8 232 336 224.8 336 216V88C336 79.16 328.8 72 320 72C311.2 72 304 79.16 304 88V216zM32 416C32 380.7 60.65 352 96 352C131.3 352 160 380.7 160 416C160 451.3 131.3 480 96 480C60.65 480 32 451.3 32 416zM192 416C192 380.7 220.7 352 256 352C291.3 352 320 380.7 320 416C320 451.3 291.3 480 256 480C220.7 480 192 451.3 192 416zM480 416C480 380.7 508.7 352 544 352C579.3 352 608 380.7 608 416C608 451.3 579.3 480 544 480C508.7 480 480 451.3 480 416z", "M528.8 144C545.6 144 561.5 151.5 572.2 164.5L630.1 236.4C636.8 243.5 640 252.5 640 261.7V352C640 360.8 636.4 368.8 630.6 374.6C615.2 342.3 582.2 320 544 320C502.2 320 466.6 346.7 453.5 384H346.5C333.4 346.7 297.8 320 256 320C222.6 320 193.2 337 176 362.9C158.8 337 129.4 320 96 320C57.8 320 24.81 342.3 9.356 374.6C3.575 368.8 0 360.8 0 352V336C0 318.3 14.33 304 32 304H432V168C432 154.7 442.7 144 456 144H528.8zM535 194.9C533.5 193.1 531.2 192 528.8 192H480V256H584.1L535 194.9z"]],
    "truck-container-empty": [640, 512, [], "e2b5", ["M160 416C160 451.3 131.3 480 96 480C60.65 480 32 451.3 32 416C32 380.7 60.65 352 96 352C131.3 352 160 380.7 160 416zM320 416C320 451.3 291.3 480 256 480C220.7 480 192 451.3 192 416C192 380.7 220.7 352 256 352C291.3 352 320 380.7 320 416zM608 416C608 451.3 579.3 480 544 480C508.7 480 480 451.3 480 416C480 380.7 508.7 352 544 352C579.3 352 608 380.7 608 416z", "M528.8 144C545.6 144 561.5 151.5 572.2 164.5L630.1 236.4C636.8 243.5 640 252.5 640 261.7V352C640 360.8 636.4 368.8 630.6 374.6C615.2 342.3 582.2 320 544 320C502.2 320 466.6 346.7 453.5 384H346.5C333.4 346.7 297.8 320 256 320C222.6 320 193.2 337 176 362.9C158.8 337 129.4 320 96 320C57.8 320 24.81 342.3 9.356 374.6C3.575 368.8 0 360.8 0 352V336C0 318.3 14.33 304 32 304H432V168C432 154.7 442.7 144 456 144H528.8zM535 194.9C533.5 193.1 531.2 192 528.8 192H480V256H584.1L535 194.9z"]],
    "truck-droplet": [640, 512, [], "e58c", ["M280 189.1C280 226.4 247.8 256 208 256C168.2 256 136 226.4 136 189.1C136 163 175.4 107 195.9 79.71C202 71.54 213.1 71.54 220.1 79.71C240.6 107 280 163 280 189.1zM256 432C256 476.2 220.2 512 176 512C131.8 512 96 476.2 96 432C96 387.8 131.8 352 176 352C220.2 352 256 387.8 256 432zM384 432C384 387.8 419.8 352 464 352C508.2 352 544 387.8 544 432C544 476.2 508.2 512 464 512C419.8 512 384 476.2 384 432z", "M.0003 48C.0003 21.49 21.49 0 48 0H368C394.5 0 416 21.49 416 48V96H466.7C483.7 96 499.1 102.7 512 114.7L589.3 192C601.3 204 608 220.3 608 237.3V352C625.7 352 640 366.3 640 384C640 401.7 625.7 416 608 416H574.9C567.1 361.7 520.4 320 464 320C407.6 320 360.9 361.7 353.1 416H286.9C279.1 361.7 232.4 320 176 320C119.6 320 72.9 361.7 65.13 416H48C21.49 416 0 394.5 0 368L.0003 48zM544 256V237.3L466.7 160H416V256H544zM208 256C247.8 256 280 226.4 280 189.1C280 163 240.6 107 220.1 79.71C213.1 71.54 202 71.54 195.9 79.71C175.4 107 136 163 136 189.1C136 226.4 168.2 256 208 256V256z"]],
    "truck-fast": [640, 512, ["shipping-fast"], "f48b", ["M272 128H16C7.164 128 0 120.8 0 112C0 103.2 7.164 96 16 96H272C280.8 96 288 103.2 288 112C288 120.8 280.8 128 272 128zM240 160C248.8 160 256 167.2 256 176C256 184.8 248.8 192 240 192H48C39.16 192 32 184.8 32 176C32 167.2 39.16 160 48 160H240zM208 224C216.8 224 224 231.2 224 240C224 248.8 216.8 256 208 256H16C7.164 256 0 248.8 0 240C0 231.2 7.164 224 16 224H208zM256 432C256 476.2 220.2 512 176 512C131.8 512 96 476.2 96 432C96 387.8 131.8 352 176 352C220.2 352 256 387.8 256 432zM544 432C544 476.2 508.2 512 464 512C419.8 512 384 476.2 384 432C384 387.8 419.8 352 464 352C508.2 352 544 387.8 544 432z", "M64 48C64 21.49 85.49 0 112 0H368C394.5 0 416 21.49 416 48V96H466.7C483.7 96 499.1 102.7 512 114.7L589.3 192C601.3 204 608 220.3 608 237.3V352C625.7 352 640 366.3 640 384C640 401.7 625.7 416 608 416H574.9C567.1 361.7 520.4 320 464 320C407.6 320 360.9 361.7 353.1 416H286.9C279.1 361.7 232.4 320 176 320C127.9 320 86.84 350.4 70.99 392.1C66.56 385.7 64 377.1 64 368V256H208C216.8 256 224 248.8 224 240C224 231.2 216.8 224 208 224H64V192H240C248.8 192 256 184.8 256 176C256 167.2 248.8 160 240 160H64V128H272C280.8 128 288 120.8 288 112C288 103.2 280.8 96 272 96H64L64 48zM544 256V237.3L466.7 160H416V256H544z"]],
    "truck-field": [640, 512, [], "e58d", ["M96 400C96 355.8 131.8 320 176 320C220.2 320 256 355.8 256 400C256 444.2 220.2 480 176 480C131.8 480 96 444.2 96 400zM384 400C384 355.8 419.8 320 464 320C508.2 320 544 355.8 544 400C544 444.2 508.2 480 464 480C419.8 480 384 444.2 384 400z", "M32 96C32 60.65 60.65 32 96 32H320C343.7 32 364.4 44.87 375.4 64H427.2C452.5 64 475.4 78.9 485.7 102L538.5 220.8C538.1 221.9 539.4 222.9 539.8 223.1H544C579.3 223.1 608 252.7 608 287.1V319.1C625.7 319.1 640 334.3 640 352C640 369.7 625.7 384 608 384H574.9C567.1 329.7 520.4 287.1 464 287.1C407.6 287.1 360.9 329.7 353.1 384H286.9C279.1 329.7 232.4 287.1 176 287.1C119.6 287.1 72.9 329.7 65.13 384H32C14.33 384 0 369.7 0 352C0 334.3 14.33 319.1 32 319.1V287.1C14.33 287.1 0 273.7 0 255.1V159.1C0 142.3 14.33 127.1 32 127.1L32 96zM469.9 224L427.2 128H384V224H469.9z"]],
    "truck-field-un": [640, 512, [], "e58e", ["M96 400C96 355.8 131.8 320 176 320C220.2 320 256 355.8 256 400C256 444.2 220.2 480 176 480C131.8 480 96 444.2 96 400zM384 400C384 355.8 419.8 320 464 320C508.2 320 544 355.8 544 400C544 444.2 508.2 480 464 480C419.8 480 384 444.2 384 400z", "M320 32C343.7 32 364.4 44.87 375.4 64H427.2C452.5 64 475.4 78.9 485.7 102L538.5 220.8C538.1 221.9 539.4 222.9 539.8 224H544C579.3 224 608 252.7 608 288V320C625.7 320 640 334.3 640 352C640 369.7 625.7 384 608 384H574.9C567.1 329.7 520.4 288 464 288C407.6 288 360.9 329.7 353.1 384H286.9C279.1 329.7 232.4 288 176 288C119.6 288 72.9 329.7 65.13 384H32C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320V288C14.33 288 0 273.7 0 256V160C0 142.3 14.33 128 32 128V96C32 60.65 60.65 32 96 32L320 32zM384 128V224H469.9L427.2 128H384zM253.3 135.1C249.4 129.3 242.1 126.6 235.4 128.7C228.6 130.7 224 136.9 224 144V240C224 248.8 231.2 256 240 256C248.8 256 256 248.8 256 240V196.8L290.7 248.9C294.6 254.7 301.9 257.4 308.6 255.3C315.4 253.3 320 247.1 320 240V144C320 135.2 312.8 128 304 128C295.2 128 288 135.2 288 144V187.2L253.3 135.1zM128 144C128 135.2 120.8 128 112 128C103.2 128 96 135.2 96 144V208C96 234.5 117.5 256 144 256C170.5 256 192 234.5 192 208V144C192 135.2 184.8 128 176 128C167.2 128 160 135.2 160 144V208C160 216.8 152.8 224 144 224C135.2 224 128 216.8 128 208V144z"]],
    "truck-flatbed": [640, 512, [], "e2b6", ["M96 432C96 387.8 131.8 352 176 352C220.2 352 256 387.8 256 432C256 476.2 220.2 512 176 512C131.8 512 96 476.2 96 432zM384 432C384 387.8 419.8 352 464 352C508.2 352 544 387.8 544 432C544 476.2 508.2 512 464 512C419.8 512 384 476.2 384 432z", "M640 384C640 401.7 625.7 416 608 416H574.9C567.1 361.7 520.4 320 464 320C407.6 320 360.9 361.7 353.1 416H286.9C283.3 391.1 271.5 368.8 254.4 352H352V128C352 110.3 366.3 96 384 96H466.7C483.7 96 499.1 102.7 512 114.7L589.3 192C601.3 204 608 220.3 608 237.3V352C625.7 352 640 366.3 640 384V384zM544 256V237.3L466.7 160H416V256H544zM97.62 352C80.47 368.8 68.7 391.1 65.13 416H32C14.33 416 0 401.7 0 384C0 366.3 14.33 352 32 352H97.62z"]],
    "truck-front": [512, 512, [], "e2b7", ["M112 224L129.9 152.2C133.5 137.1 146.3 128 160.1 128H351C365.7 128 378.5 137.1 382.1 152.2L400 224H112zM32 480V432C45.37 442 61.99 448 80 448H128V480C128 497.7 113.7 512 96 512H64C46.33 512 32 497.7 32 480zM384 480V448H432C450 448 466.6 442 480 432V480C480 497.7 465.7 512 448 512H416C398.3 512 384 497.7 384 480z", "M432 0C476.2 0 512 35.82 512 80V368C512 412.2 476.2 448 432 448H80C35.82 448 0 412.2 0 368V80C0 35.82 35.82 0 80 0H432zM400 224L382.1 152.2C378.5 137.1 365.7 128 351 128H160.1C146.3 128 133.5 137.1 129.9 152.2L112 224H400zM96 288C78.33 288 64 302.3 64 320C64 337.7 78.33 352 96 352C113.7 352 128 337.7 128 320C128 302.3 113.7 288 96 288zM416 352C433.7 352 448 337.7 448 320C448 302.3 433.7 288 416 288C398.3 288 384 302.3 384 320C384 337.7 398.3 352 416 352z"]],
    "truck-medical": [640, 512, [128657, "ambulance"], "f0f9", ["M224 64C232.8 64 240 71.16 240 80V128H288C296.8 128 304 135.2 304 144V176C304 184.8 296.8 192 288 192H240V240C240 248.8 232.8 256 224 256H192C183.2 256 176 248.8 176 240V192H128C119.2 192 112 184.8 112 176V144C112 135.2 119.2 128 128 128H176V80C176 71.16 183.2 64 192 64H224zM256 432C256 476.2 220.2 512 176 512C131.8 512 96 476.2 96 432C96 387.8 131.8 352 176 352C220.2 352 256 387.8 256 432zM544 432C544 476.2 508.2 512 464 512C419.8 512 384 476.2 384 432C384 387.8 419.8 352 464 352C508.2 352 544 387.8 544 432z", "M.0003 48C.0003 21.49 21.49 0 48 0H368C394.5 0 416 21.49 416 48V96H466.7C483.7 96 499.1 102.7 512 114.7L589.3 192C601.3 204 608 220.3 608 237.3V352C625.7 352 640 366.3 640 384C640 401.7 625.7 416 608 416H574.9C567.1 361.7 520.4 320 464 320C407.6 320 360.9 361.7 353.1 416H286.9C279.1 361.7 232.4 320 176 320C119.6 320 72.9 361.7 65.13 416H48C21.49 416 0 394.5 0 368L.0003 48zM544 256V237.3L466.7 160H416V256H544zM192 64C183.2 64 176 71.16 176 80V128H128C119.2 128 112 135.2 112 144V176C112 184.8 119.2 192 128 192H176V240C176 248.8 183.2 256 192 256H224C232.8 256 240 248.8 240 240V192H288C296.8 192 304 184.8 304 176V144C304 135.2 296.8 128 288 128H240V80C240 71.16 232.8 64 224 64H192z"]],
    "truck-monster": [640, 512, [], "f63b", ["M130.3 275.1C135.1 264.3 146.6 256 160 256C173.4 256 184.9 264.3 189.7 275.1C198.8 278.5 207.4 282.1 215.4 286.6C227 281.7 241 284 250.5 293.5C260 302.1 262.3 316.1 257.4 328.6C261.9 336.6 265.5 345.2 268 354.3C279.7 359.1 288 370.6 288 384C288 397.4 279.7 408.9 268 413.7C265.5 422.8 261.9 431.4 257.4 439.4C262.3 451 260 465 250.5 474.5C241 484 227.1 486.3 215.4 481.4C207.4 485.9 198.8 489.5 189.7 492C184.9 503.7 173.4 512 160 512C146.6 512 135.1 503.7 130.3 492C121.2 489.5 112.6 485.9 104.6 481.4C92.95 486.3 78.98 484 69.49 474.5C59.1 465 57.72 451 62.64 439.4C58.07 431.4 54.46 422.8 51.97 413.7C40.26 408.9 32 397.4 32 384C32 370.6 40.26 359.1 51.97 354.3C54.46 345.2 58.07 336.6 62.64 328.6C57.72 316.1 59.1 302.1 69.49 293.5C78.98 283.1 92.95 281.7 104.6 286.6C112.6 282.1 121.2 278.5 130.3 275.1V275.1zM160 336C133.5 336 112 357.5 112 384C112 410.5 133.5 432 160 432C186.5 432 208 410.5 208 384C208 357.5 186.5 336 160 336zM450.3 275.1C455.1 264.3 466.6 256 480 256C493.4 256 504.9 264.3 509.7 275.1C518.8 278.5 527.4 282.1 535.4 286.6C547 281.7 561 284 570.5 293.5C580 302.1 582.3 316.1 577.4 328.6C581.9 336.6 585.5 345.2 588 354.3C599.7 359.1 608 370.6 608 384C608 397.4 599.7 408.9 588 413.7C585.5 422.8 581.9 431.4 577.4 439.4C582.3 451 580 465 570.5 474.5C561 484 547 486.3 535.4 481.4C527.4 485.9 518.8 489.5 509.7 492C504.9 503.7 493.4 512 480 512C466.6 512 455.1 503.7 450.3 492C441.2 489.5 432.6 485.9 424.6 481.4C412.1 486.3 398.1 484 389.5 474.5C380 465 377.7 451 382.6 439.4C378.1 431.4 374.5 422.8 371.1 413.7C360.3 408.9 352 397.4 352 384C352 370.6 360.3 359.1 371.1 354.3C374.5 345.2 378.1 336.6 382.6 328.6C377.7 316.1 380 302.1 389.5 293.5C398.1 283.1 412.1 281.7 424.6 286.6C432.6 282.1 441.2 278.5 450.3 275.1zM480 336C453.5 336 432 357.5 432 384C432 410.5 453.5 432 480 432C506.5 432 528 410.5 528 384C528 357.5 506.5 336 480 336z", "M419.2 25.6L496 128H576C593.7 128 608 142.3 608 160V224C625.7 224 640 238.3 640 256C640 273.7 625.7 287.1 608 288C578.8 249.1 532.3 224 480 224C427.7 224 381.2 249.1 351.1 288H288C258.8 249.1 212.3 224 160 224C107.7 224 61.18 249.1 31.99 288C14.32 287.1 0 273.7 0 256C0 238.3 14.33 224 32 224V160C32 142.3 46.33 128 64 128H224V48C224 21.49 245.5 0 272 0H368C388.1 0 407.1 9.484 419.2 25.6H419.2zM288 128H416L368 64H288V128z"]],
    "truck-moving": [640, 512, [], "f4df", ["M160 416C160 451.3 131.3 480 96 480C60.65 480 32 451.3 32 416C32 380.7 60.65 352 96 352C131.3 352 160 380.7 160 416zM320 416C320 451.3 291.3 480 256 480C220.7 480 192 451.3 192 416C192 380.7 220.7 352 256 352C291.3 352 320 380.7 320 416zM608 416C608 451.3 579.3 480 544 480C508.7 480 480 451.3 480 416C480 380.7 508.7 352 544 352C579.3 352 608 380.7 608 416z", "M416 32C451.3 32 480 60.65 480 96V144H528.8C545.6 144 561.5 151.5 572.2 164.5L630.1 236.4C636.8 243.5 640 252.5 640 261.7V352C640 360.8 636.4 368.8 630.6 374.6C615.2 342.3 582.2 320 544 320C502.2 320 466.6 346.7 453.5 384H346.5C333.4 346.7 297.8 320 256 320C222.6 320 193.2 337 176 362.9C158.8 337 129.4 320 96 320C54.2 320 18.64 346.7 5.463 384H0V96C0 60.65 28.65 32 64 32H416zM535 194.9C533.5 193.1 531.2 192 528.8 192H480V256H584.1L535 194.9z"]],
    "truck-pickup": [640, 512, [128763], "f63c", ["M80 400C80 355.8 115.8 320 160 320C204.2 320 240 355.8 240 400C240 444.2 204.2 480 160 480C115.8 480 80 444.2 80 400zM400 400C400 355.8 435.8 320 480 320C524.2 320 560 355.8 560 400C560 444.2 524.2 480 480 480C435.8 480 400 444.2 400 400z", "M418.6 56.02L527.4 192H576C593.7 192 608 206.3 608 224V288C625.7 288 640 302.3 640 320C640 337.7 625.7 352 608 352H581.2C563.2 314.2 524.7 288 480 288C435.3 288 396.8 314.2 378.8 352H261.2C243.2 314.2 204.7 288 160 288C115.3 288 76.75 314.2 58.78 352H32C14.33 352 0 337.7 0 320C0 302.3 14.33 288 32 288V224C32 206.3 46.33 192 64 192H224V80C224 53.49 245.5 32 272 32H368.6C388.1 32 406.5 40.84 418.6 56.02zM288 192H445.4L368.6 96H288L288 192z"]],
    "truck-plane": [640, 512, [], "e58f", ["M144 86.06C144 54.68 169.4 0 200 0C231.5 0 256 54.68 256 86.06V182.9C255.1 183.3 256 183.6 256 184V411.5L256.1 411.6C257.3 433.8 269.8 452.9 288 463.4V496C288 501.2 288.8 506.3 290.4 510.1L200 480.9L109.1 511.2C104.2 512.8 98.82 511.1 94.64 508.1C90.47 505.1 88 501.1 88 496V464C88 459.1 90.21 454.5 94 451.5L144 411.5V330.3L20.6 367.3C15.75 368.8 10.51 367.9 6.449 364.8C2.391 361.8 0 357.1 0 352V288C0 282.4 2.949 277.2 7.768 274.3L144 192.5V86.06z", "M592 128C618.5 128 640 149.5 640 176V400C640 420.9 626.6 438.7 608 445.3V488C608 501.3 597.3 512 584 512H568C554.7 512 544 501.3 544 488V448H384V488C384 501.3 373.3 512 360 512H344C330.7 512 320 501.3 320 488V445.3C301.4 438.7 288 420.9 288 400V176C288 149.5 309.5 128 336 128H592zM576 304L560.2 254.7C556.9 246 548.9 240 539.7 240H388.3C379.1 240 371.1 246 367.8 254.7L352 304H576zM568 352C554.7 352 544 362.7 544 376C544 389.3 554.7 400 568 400C581.3 400 592 389.3 592 376C592 362.7 581.3 352 568 352zM360 400C373.3 400 384 389.3 384 376C384 362.7 373.3 352 360 352C346.7 352 336 362.7 336 376C336 389.3 346.7 400 360 400z"]],
    "truck-plow": [640, 512, [], "f7de", ["M48 400C48 355.8 83.82 320 128 320C172.2 320 208 355.8 208 400C208 444.2 172.2 480 128 480C83.82 480 48 444.2 48 400zM272 400C272 355.8 307.8 320 352 320C396.2 320 432 355.8 432 400C432 444.2 396.2 480 352 480C307.8 480 272 444.2 272 400z", "M448 191.1C465.7 191.1 480 206.3 480 223.1V287.1H512V175.1C512 168.7 514.5 161.7 519 156L583 76.01C594.1 62.21 614.2 59.97 627.1 71.01C641.8 82.05 644 102.2 632.1 115.1L576 187.2V356.8L632.1 428C644 441.8 641.8 461.9 627.1 472.1C614.2 484 594.1 481.8 583 467.1L519 387.1C514.5 382.3 512 375.3 512 368V352H453.2C435.2 314.2 396.7 288 352 288C307.3 288 268.8 314.2 250.8 352H229.2C211.2 314.2 172.7 288 128 288C83.48 288 45.02 313.1 26.97 351.6C11.68 349.2 0 335.1 0 320V224C0 206.3 14.33 192 32 192H128V80C128 53.49 149.5 32 176 32H269.9C292.4 32 313.2 43.8 324.8 63.07L402.1 192L448 191.1zM269.9 95.1H191.1V191.1H327.5L269.9 95.1z"]],
    "truck-ramp": [640, 512, [], "f4e0", ["M640 416C640 469 597 512 544 512C490.1 512 448 469 448 416C448 362.1 490.1 320 544 320C597 320 640 362.1 640 416z", "M48.41 502.9C31.36 507.5 13.77 497.5 9.126 480.4C4.48 463.4 14.54 445.8 31.59 441.1L352 353.8V64C352 28.65 380.7 0 416 0H640V331.3C616.5 304.8 582.2 288 544 288C477.9 288 423.4 338.2 416.7 402.5L48.41 502.9z"]],
    "truck-ramp-box": [640, 512, ["truck-loading"], "f4de", ["M23.11 207.7C18.54 190.6 28.67 173.1 45.74 168.5L200.3 127.1C217.4 122.5 234.9 132.7 239.5 149.7L280.9 304.3C285.5 321.4 275.3 338.9 258.3 343.5L103.7 384.9C86.64 389.5 69.1 379.3 64.52 362.3L23.11 207.7zM112.8 233.4C115.1 241.9 123.9 246.1 132.4 244.7L163.3 236.4C171.8 234.1 176.9 225.3 174.6 216.8L153.9 139.5L92.1 156.1L112.8 233.4zM448 416C448 362.1 490.1 320 544 320C597 320 640 362.1 640 416C640 469 597 512 544 512C490.1 512 448 469 448 416z", "M544 288C477.9 288 423.4 338.2 416.7 402.5L48.41 502.9C31.36 507.5 13.77 497.5 9.126 480.4C4.48 463.4 14.54 445.8 31.59 441.1L352 353.8V64C352 28.65 380.7 0 416 0H640V331.3C616.5 304.8 582.2 288 544 288H544zM174.6 216.8C176.9 225.3 171.8 234.1 163.3 236.4L132.4 244.7C123.9 246.1 115.1 241.9 112.8 233.4L92.1 156.1L153.9 139.5L174.6 216.8z"]],
    "truck-ramp-couch": [640, 512, ["truck-couch"], "f4dd", ["M294.5 209.2C303.2 206.8 311.9 207 320 209.3V334.8L33.98 411.5L13.27 334.2C6.412 308.6 21.61 282.3 47.21 275.4C72.82 268.5 99.14 283.7 106 309.3L110.1 324.8L264.7 283.4L260.6 267.9C253.7 242.3 268.9 216 294.5 209.2V209.2zM8.023 252.8C-1.125 218.6 19.14 183.5 53.28 174.4L238.7 124.7C272.9 115.6 307.1 135.8 317.1 169.1L318.8 176.4C308.3 174.8 297.2 175.3 286.2 178.2C248.8 188.3 224.8 223.2 227 260.4L131.2 286C114.6 252.7 76.32 234.5 38.93 244.5C27.94 247.4 18.1 252.5 9.745 259.2L8.023 252.8zM448 416C448 362.1 490.1 319.1 544 319.1C597 319.1 640 362.1 640 416C640 469 597 512 544 512C490.1 512 448 469 448 416z", "M48.41 502.9C31.36 507.5 13.77 497.5 9.126 480.4C4.48 463.4 14.54 445.8 31.59 441.1L352 353.8V64C352 28.65 380.7 0 416 0H640V331.3C616.5 304.8 582.2 288 544 288C477.9 288 423.4 338.2 416.7 402.5L48.41 502.9z"]],
    "truck-tow": [640, 512, [], "e2b8", ["M96 0H145.5C154.7 0 163.5 3.983 169.6 10.93L384 256H192L96 64V176C96 202.5 74.51 224 48 224C21.49 224 0 202.5 0 176V160C0 151.2 7.164 144 16 144C24.84 144 32 151.2 32 160V176C32 184.8 39.16 192 48 192C56.84 192 64 184.8 64 176V32C64 14.33 78.33 0 96 0zM256 432C256 476.2 220.2 512 176 512C131.8 512 96 476.2 96 432C96 387.8 131.8 352 176 352C220.2 352 256 387.8 256 432zM416 432C416 387.8 451.8 352 496 352C540.2 352 576 387.8 576 432C576 476.2 540.2 512 496 512C451.8 512 416 476.2 416 432z", "M498.7 96C515.7 96 531.1 102.7 544 114.7L621.3 192C633.3 204 640 220.3 640 237.3V376C640 395.8 625.6 412.2 606.8 415.4C598.8 361.4 552.2 320 496 320C439.6 320 392.9 361.7 385.1 416H286.9C279.1 361.7 232.4 320 176 320C119.6 320 72.9 361.7 65.13 416H48C21.49 416 0 394.5 0 368V304C0 277.5 21.49 256 48 256H384V128C384 110.3 398.3 96 416 96H498.7zM576 256V237.3L498.7 160H448V256H576z"]],
    "trumpet": [640, 512, [127930], "f8e3", ["M312 160c0-8.838-7.164-16-16-16h-16c-8.836 0-16 7.162-16 16v32h48V160zM400 160c0-8.838-7.164-16-16-16h-16c-8.836 0-16 7.162-16 15.1L352 192h48V160zM492.3 269.6C487.7 267.2 472.4 259.8 448 257.2V352c0 17.67-14.33 32-32 32h-16V256H352v128H312V256h-48v128H224V256H81.75C70.75 274.9 64 296.6 64 320c0 70.69 57.31 128 128 128h224c53.02 0 96-42.98 96-96V281.7C505.6 277.5 499.2 273.3 492.3 269.6zM176 381.7c-34.09-8.66-54.71-43.33-46.05-77.42C135.7 281.7 153.4 264 176 258.3V381.7zM223.1 159.1C223.1 151.2 216.8 144 208 144H192C183.2 144 176 151.2 176 160v32H224L223.1 159.1z", "M640 79.1V368c0 12-10.81 16-16 16c-5.146-.0352-9.971-2.512-13-6.67c-19.92-25.79-42.07-49.78-66.19-71.68c-15.38-13-32.94-25.67-52.55-36.01c-5.549-2.932-25.88-13.6-60.13-13.63L48 256c0 8.836-7.164 16.01-16 16.01H16c-8.836 0-16-7.164-16-16l-.0001-64.01c0-8.838 7.181-15.1 16.02-15.1L32 176c8.836 0 16 7.162 16 16h384.3c34.25 0 54.45-10.69 60-13.63c19.61-10.35 37.14-23.05 52.52-36c24.12-21.91 46.3-45.93 66.22-71.72C614 66.49 618.9 64.04 624 64C629.2 64 640 67.1 640 79.1z"]],
    "tty": [512, 512, ["teletype"], "f1e4", ["M187.1 352c-6.625 0-12 5.375-12 12v40c0 6.625 5.375 12 12 12h40c6.625 0 12-5.375 12-12v-40c0-6.625-5.375-12-12-12H187.1zM235.1 320h39.1c6.625 0 12-5.375 12-12v-40c0-6.625-5.375-12-12-12h-40c-6.625 0-12 5.375-12 12v40C223.1 314.6 229.3 320 235.1 320zM331.1 320h39.1c6.625 0 12-5.375 12-12v-40c0-6.625-5.375-12-12-12h-40c-6.625 0-12 5.375-12 12v40C319.1 314.6 325.3 320 331.1 320zM139.1 320h39.1c6.625 0 11.1-5.375 11.1-12v-40c0-6.625-5.375-12-12-12h-40c-6.625 0-12 5.375-12 12v40C127.1 314.6 133.3 320 139.1 320zM367.1 364v40c0 6.625 5.375 12 12 12h40c6.625 0 12-5.375 12-12v-40c0-6.625-5.375-12-12-12h-40C373.3 352 367.1 357.4 367.1 364zM283.1 352c-6.625 0-12 5.375-12 12v40c0 6.625 5.375 12 12 12h40c6.625 0 12-5.375 12-12v-40c0-6.625-5.375-12-12-12H283.1zM467.1 448h-40c-6.625 0-12 5.375-12 12v40c0 6.625 5.375 12 12 12h40c6.625 0 12-5.375 12-12v-40C479.1 453.4 474.6 448 467.1 448zM467.1 256h-40c-6.625 0-12 5.375-12 12v40c0 6.625 5.369 12 11.99 12h39.1c6.625 0 12.01-5.375 12.01-12v-40C479.1 261.4 474.6 256 467.1 256zM371.1 448h-232c-6.625 0-12 5.375-12 12v40c0 6.625 5.375 12 12 12h232c6.625 0 12-5.375 12-12v-40C383.1 453.4 378.6 448 371.1 448zM43.97 320H83.97c6.625 0 11.99-5.375 11.99-12v-40c0-6.625-5.375-12-12-12h-40c-6.625 0-12 5.375-12 12v40C31.96 314.6 37.35 320 43.97 320zM91.96 352c-6.625 0-12 5.375-12 12v40c0 6.625 5.375 12 12 12h40c6.625 0 12-5.375 12-12v-40c0-6.625-5.375-12-12-12H91.96zM83.96 448h-40c-6.625 0-12 5.375-12 12v40c0 6.625 5.375 12 12 12h40c6.625 0 12-5.375 12-12v-40C95.96 453.4 90.59 448 83.96 448z", "M504.9 102.9C367.7-34.31 144.3-34.32 7.083 102.9c-7.975 7.973-9.375 20.22-3.391 29.74l42.17 67.47c6.141 9.844 18.47 13.88 29.35 9.632l84.36-33.74C169.5 172.1 175.6 161.1 174.5 151.3l-5.303-53.27c56.15-19.17 117.4-19.17 173.6 .0059L337.5 151.3c-1.139 10.59 4.997 20.78 14.96 24.73l84.35 33.73c10.83 4.303 23.22 .1608 29.33-9.615l42.18-67.48C514.3 123.2 512.9 110.9 504.9 102.9z"]],
    "tty-answer": [640, 512, ["teletype-answer"], "e2b9", ["M444 96C437.4 96 432 101.4 432 108v40C432 154.6 437.4 160 444 160h40C490.6 160 496 154.6 496 148v-40C496 101.4 490.6 96 484 96H444zM492 64h39.1c6.625 0 11.1-5.375 11.1-12v-40c0-6.625-5.374-12-11.1-12h-39.1c-6.625 0-11.1 5.375-11.1 12v40C480 58.63 485.4 64 492 64zM588 64h39.1C634.6 64 640 58.63 640 52v-40C640 5.375 634.6 0 628 0H588c-6.625 0-11.1 5.375-11.1 12v40C576 58.63 581.4 64 588 64zM396 64h39.1c6.625 0 11.1-5.375 11.1-12v-40c0-6.625-5.374-12-11.1-12h-39.1c-6.625 0-11.1 5.375-11.1 12v40C384 58.63 389.4 64 396 64zM540 96C533.4 96 528 101.4 528 108v40C528 154.6 533.4 160 540 160h40C586.6 160 592 154.6 592 148v-40C592 101.4 586.6 96 580 96H540zM628 192h-40C581.4 192 576 197.4 576 204v40C576 250.6 581.4 256 588 256h40C634.6 256 640 250.6 640 244v-40C640 197.4 634.6 192 628 192zM532 192h-136C389.4 192 384 197.4 384 204v40C384 250.6 389.4 256 396 256h136C538.6 256 544 250.6 544 244v-40C544 197.4 538.6 192 532 192zM300 64h39.1c6.625 0 11.1-5.375 11.1-12v-40c0-6.625-5.374-12-11.1-12H300c-6.625 0-11.1 5.375-11.1 12v40C288 58.63 293.4 64 300 64zM348 96C341.4 96 336 101.4 336 108v40C336 154.6 341.4 160 348 160h40C394.6 160 400 154.6 400 148v-40C400 101.4 394.6 96 388 96H348zM340 192h-40C293.4 192 288 197.4 288 204v40C288 250.6 293.4 256 300 256h40C346.6 256 352 250.6 352 244v-40C352 197.4 346.6 192 340 192z", "M493.1 351.2L384.6 304.7c-12.78-5.531-27.8-1.813-36.48 8.969l-44.05 53.81c-69.25-34-125.5-90.28-159.5-159.5l53.83-44.09c10.75-8.781 14.42-23.66 8.984-36.44L160.8 18.93C154.7 5.026 139.7-2.599 124.1 .8073L24.22 24.06C9.969 27.31 0 39.84 0 54.49C0 306.8 205.2 512 457.5 512c14.67 0 27.2-9.969 30.47-24.22l23.25-100.8C514.6 372.4 507 357.2 493.1 351.2z"]],
    "tugrik-sign": [384, 512, [], "e2ba", ["M159.1 264.1L71.76 287C54.62 291.3 37.24 280.9 32.96 263.8C28.67 246.6 39.09 229.2 56.24 224.1L160 199L159.1 264.1zM159.1 360.1L71.76 383C54.62 387.3 37.24 376.9 32.96 359.8C28.67 342.6 39.09 325.2 56.24 320.1L160 295L159.1 360.1zM224 344.1V279L312.2 256.1C329.4 252.7 346.8 263.1 351 280.2C355.3 297.4 344.9 314.8 327.8 319L224 344.1zM224 248.1V183L312.2 160.1C329.4 156.7 346.8 167.1 351 184.2C355.3 201.4 344.9 218.8 327.8 223L224 248.1z", "M0 64C0 46.33 14.33 32 32 32H352C369.7 32 384 46.33 384 64C384 81.67 369.7 96 352 96H224V448C224 465.7 209.7 480 192 480C174.3 480 160 465.7 160 448V96H32C14.33 96 0 81.67 0 64z"]],
    "turkey": [640, 512, [], "f725", ["M488.7 193.9c53.78 58.14 87.32 131.6 87.32 190.1C576 498.9 447.1 512 288 512S0 498.9 0 383.1c0-114.9 128.9-288 287.1-288c45.93 .002 89.2 14.74 127.7 38.05c-6.441 2.711-13.21 5.283-20.45 7.598C327.4 163.3 310.9 146.8 266.2 163.4c-81.84 29.89-93.58 125.4-47.2 179.6c56.68 66.91 173.3 51.92 202.8-44.45c3.586-11.72 18.57-46.05 42.01-77.35C472.1 210.2 480.4 201.5 488.7 193.9z", "M639.4 140.3c-7.152 45.32-51.3 51.79-83.76 35.38c-20.1-10.96-40.86-2.188-55.21 8.041c-12.11 8.623-24.38 21.21-36.5 37.4c-23.44 31.3-38.42 65.63-42.01 77.35c-29.52 96.37-146.2 111.4-202.8 44.45C172.7 288.8 184.4 193.3 266.2 163.4c44.7-16.61 61.14-.0449 129-21.75c31.16-9.971 55.5-23.91 68.54-39.26c10.19-12.03 13.65-24.81 10.47-39.11c-7.316-33.55 20.14-64.83 54.73-63.21c42.39 1.957 66.34 48.1 41.49 82.3C607.8 70.59 645.4 101.5 639.4 140.3z"]],
    "turkish-lira-sign": [384, 512, ["try", "turkish-lira"], "e2bb", ["M64 184.1L40.79 190.8C23.8 195.6 6.087 185.8 1.232 168.8C-3.623 151.8 6.216 134.1 23.21 129.2L64 117.6L64 184.1zM64 280.1L40.79 286.8C23.8 291.6 6.087 281.8 1.232 264.8C-3.623 247.8 6.216 230.1 23.21 225.2L64 213.6L64 280.1zM128 261.9V195.3L247.2 161.2C264.2 156.4 281.9 166.2 286.8 183.2C291.6 200.2 281.8 217.9 264.8 222.8L128 261.9zM128 165.9V99.29L247.2 65.23C264.2 60.38 281.9 70.22 286.8 87.21C291.6 104.2 281.8 121.9 264.8 126.8L128 165.9z", "M95.1 32C113.7 32 127.1 46.33 127.1 64V416H191.8C260 416 316.2 362.5 319.6 294.4L320 286.4C320.9 268.8 335.9 255.2 353.6 256C371.2 256.9 384.8 271.9 383.1 289.6L383.6 297.6C378.5 399.8 294.1 480 191.8 480H96C78.33 480 64 465.7 64 448V64C64 46.33 78.33 32 96 32H95.1z"]],
    "turn-down": [384, 512, [10549, "level-down-alt"], "f3be", ["M144 64H32C14.33 64 0 49.69 0 32s14.33-32 32-32h112C188.1 0 224 35.88 224 80V352H160V80C160 71.19 152.8 64 144 64z", "M296 352h-208c-9.547 0-18.19 5.656-22 14.41s-2.078 18.94 4.406 25.92l104 112c9.498 10.23 25.69 10.23 35.19 0l104-112c6.484-6.984 8.219-17.17 4.406-25.92S305.5 352 296 352z"]],
    "turn-down-left": [512, 512, [], "e331", ["M160 256h272C440.8 256 448 248.8 448 240V64c0-17.67 14.31-32 32-32s32 14.33 32 32V240c0 44.11-35.88 80-80 80H160V256z", "M119.7 409.6c6.984 6.484 17.17 8.219 25.92 4.406s14.41-12.45 14.41-22v-208c0-9.547-5.656-18.19-14.41-22S126.7 159.9 119.7 166.4l-112 104c-10.23 9.498-10.23 25.69 0 35.19L119.7 409.6z"]],
    "turn-down-right": [512, 512, [], "e455", ["M352 319.1H80C35.87 319.1 0 284.1 0 239.1V64C0 46.33 14.31 32 32 32C49.69 32 64 46.33 64 64V239.1C64 248.8 71.19 255.1 80 255.1H352V319.1z", "M392.3 409.6C385.3 416.1 375.2 417.8 366.4 414C357.7 410.2 352 401.5 352 392V183.1C352 174.5 357.7 165.8 366.4 161.1C375.2 158.2 385.3 159.9 392.3 166.4L504.3 270.4C514.6 279.9 514.6 296.1 504.3 305.6L392.3 409.6z"]],
    "turn-up": [384, 512, [10548, "level-up-alt"], "f3bf", ["M224 160v272c0 44.13-35.89 80-80 80H32c-17.67 0-32-14.31-32-32s14.33-32 32-32h112C152.8 448 160 440.8 160 432V160H224z", "M209.6 7.671c-9.5-10.23-25.69-10.23-35.19 0l-104 112C63.92 126.7 62.19 136.8 66 145.6s12.45 14.41 22 14.41h208c9.547 0 18.19-5.656 22-14.41s2.078-18.94-4.406-25.92L209.6 7.671z"]],
    "turntable": [576, 512, [], "f8e4", ["M512 32H64C28.63 32 0 60.63 0 96v320c0 35.38 28.62 64 64 64h448c35.38 0 64-28.62 64-64V96C576 60.63 547.4 32 512 32zM224 416c-88.38 0-160-71.63-160-160s71.63-160 160-160s160 71.63 160 160S312.4 416 224 416zM512 267.9c0 9.875-2.375 19.62-6.75 28.62l-19 37.75c8 4 11.12 13.62 7.25 21.5l-25.75 51.38c-3.875 7.875-13.5 11.12-21.5 7.125L417.8 400c-8-4-11.12-13.5-7.25-21.5l25.75-51.38C440.1 319.3 449.8 316 457.8 320l18.88-37.88C478.8 277.7 480 272.8 480 267.8V112C480 103.2 487.2 96 496 96S512 103.2 512 112V267.9z", "M496 96C487.2 96 480 103.2 480 112v155.8c0 4.977-1.156 9.885-3.375 14.34L457.8 320c-8-4-17.62-.75-21.5 7.125L410.5 378.5c-3.875 8-.75 17.5 7.25 21.5l28.5 14.25c8 4 17.62 .75 21.5-7.125l25.75-51.38c3.875-7.875 .75-17.5-7.25-21.5l19-37.75C509.6 287.5 512 277.8 512 267.9V112C512 103.2 504.8 96 496 96zM224 96C135.6 96 64 167.6 64 256s71.63 160 160 160s160-71.63 160-160S312.4 96 224 96zM224 288C206.4 288 192 273.6 192 256s14.38-32 32-32s32 14.38 32 32S241.6 288 224 288z"]],
    "turtle": [576, 512, [128034], "f726", ["M352 383.8V440C352 462.1 334.1 480 312 480H264C241.9 480 224 462.1 224 440V384H192V440C192 462.1 174.1 480 152 480H104C81.91 480 64 462.1 64 440V384H32C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320H344C383.8 320 416 287.8 416 248V176C416 140.7 444.7 112 480 112C533 112 576 154.1 576 208V224C576 259.3 547.3 288 512 288H480C478 288 476 287.9 474.1 287.7C457.9 341 409.8 380.4 352 383.8zM496 224C504.8 224 512 216.8 512 208C512 199.2 504.8 192 496 192C487.2 192 480 199.2 480 208C480 216.8 487.2 224 496 224z", "M345.2 288H70.79C49.37 288 32 270.6 32 249.2V208C32 110.8 110.8 32 208 32C305.2 32 384 110.8 384 208V249.2C384 270.6 366.6 288 345.2 288z"]],
    "tv": [640, 512, [63717, "television", "tv-alt"], "f26c", ["M512 448H127.1C110.3 448 96 462.3 96 479.1S110.3 512 127.1 512h384C529.7 512 544 497.7 544 480S529.7 448 512 448zM592 0h-544C21.5 0 0 21.5 0 48v320C0 394.5 21.5 416 48 416h544c26.5 0 48-21.5 48-48v-320C640 21.5 618.5 0 592 0zM576 352H64v-288h512V352z", "M576 352H64v-288h512V352z"]],
    "tv-music": [640, 512, [], "f8e6", ["M512 448H127.1C110.3 448 96 462.3 96 479.1S110.3 512 127.1 512h384C529.7 512 544 497.7 544 480S529.7 448 512 448zM592 0h-544C21.5 0 0 21.5 0 48v320C0 394.5 21.5 416 48 416h544c26.5 0 48-21.5 48-48v-320C640 21.5 618.5 0 592 0zM576 352H64V64h512V352z", "M64 64v288h512V64H64zM416 256c0 17.62-21.5 32-48 32S320 273.6 320 256s21.5-32 48-32c5.375 0 10.75 .75 16 2V165.6l-96 37.5V288c0 17.62-21.5 32-48 32S192 305.6 192 288s21.5-32 48-32C245.4 256 250.8 256.8 256 258V159.3C256 152.3 260.5 146.1 267.3 144l128-47.25C400 95.25 405.4 96.13 409.5 99.13S416 106.9 416 112V256z"]],
    "tv-retro": [512, 512, [128250], "f401", ["M448 96L322 96l55.03-55.03c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0l-87.05 86.95L169 7.031c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L190.1 96L64 96c-35.35 0-64 28.65-64 63.1v287.1C0 483.3 28.65 512 64 512h384c35.35 0 64-28.65 64-63.1V160C512 124.7 483.3 96 448 96zM384.1 384c0 35.35-28.67 64-64.01 64L128.1 448c-35.35 0-64-28.65-64-64V224c0-35.35 28.65-64 64-64l191.1 .0011c35.35 0 64.01 28.65 64.01 63.1V384zM448.1 336c-13.25 0-24-10.75-24-24c0-13.26 10.75-24 24-24s24 10.74 24 24C472.1 325.3 461.3 336 448.1 336zM448.1 256c-13.25 0-24-10.75-24-24c0-13.26 10.71-23.1 23.97-23.1S472.1 218.7 472.1 232C472.1 245.3 461.3 256 448.1 256z", "M384.1 224v160c0 35.35-28.67 64-64.01 64L128.1 448c-35.35 0-64-28.65-64-64V224c0-35.35 28.65-64 64-64l191.1 .0011C355.4 160 384.1 188.7 384.1 224z"]],
    "typewriter": [512, 512, [], "f8e7", ["M64 192V48C64 21.49 85.49 0 112 0H352v96h96v96h-82.75c-8.5 0-16.62 3.375-22.62 9.375l-13.25 13.25C323.4 220.6 315.3 224 306.8 224h-101.5c-8.5 0-16.62-3.375-22.62-9.375L169.4 201.4C163.4 195.4 155.3 192 146.8 192H64z", "M352 0v96h96L352 0zM480 192h-114.8c-8.5 0-16.62 3.375-22.62 9.375l-13.25 13.25C323.4 220.6 315.3 224 306.8 224h-101.5c-8.5 0-16.62-3.375-22.62-9.375L169.4 201.4C163.4 195.4 155.3 192 146.8 192H32C14.4 192 0 206.4 0 224v32c0 17.62 14.38 32 32 32v176C32 490.5 53.49 512 80 512h352c26.51 0 48-21.49 48-48V288c17.62 0 32-14.38 32-32V224C512 206.4 497.6 192 480 192zM336 296C336 291.6 339.6 288 344 288h16c4.375 0 8 3.625 8 8v16c0 4.375-3.625 8-8 8h-16c-4.375 0-8-3.625-8-8V296zM312 352h16c4.375 0 8 3.625 8 8v16c0 4.375-3.625 8-8 8h-16c-4.375 0-8-3.625-8-8v-16C304 355.6 307.6 352 312 352zM272 296C272 291.6 275.6 288 280 288h16c4.375 0 8 3.625 8 8v16c0 4.375-3.625 8-8 8h-16c-4.375 0-8-3.625-8-8V296zM248 352h16c4.375 0 8 3.625 8 8v16c0 4.375-3.625 8-8 8h-16c-4.375 0-8-3.625-8-8v-16C240 355.6 243.6 352 248 352zM208 296C208 291.6 211.6 288 216 288h16C236.4 288 240 291.6 240 296v16C240 316.4 236.4 320 232 320h-16C211.6 320 208 316.4 208 312V296zM184 352h16c4.375 0 8 3.625 8 8v16C208 380.4 204.4 384 200 384h-16c-4.375 0-8-3.625-8-8v-16C176 355.6 179.6 352 184 352zM144 296C144 291.6 147.6 288 152 288h16C172.4 288 176 291.6 176 296v16C176 316.4 172.4 320 168 320h-16C147.6 320 144 316.4 144 312V296zM104 320h-16C83.63 320 80 316.4 80 312v-16C80 291.6 83.63 288 88 288h16C108.4 288 112 291.6 112 296v16C112 316.4 108.4 320 104 320zM136 384h-16c-4.375 0-8-3.625-8-8v-16C112 355.6 115.6 352 120 352h16c4.375 0 8 3.625 8 8v16C144 380.4 140.4 384 136 384zM368 440c0 4.375-3.625 8-8 8h-208c-4.375 0-8-3.625-8-8v-16C144 419.6 147.6 416 152 416h208c4.375 0 8 3.625 8 8V440zM400 376c0 4.375-3.625 8-8 8h-16c-4.375 0-8-3.625-8-8v-16c0-4.375 3.625-8 8-8h16c4.375 0 8 3.625 8 8V376zM432 312c0 4.375-3.625 8-8 8h-16c-4.375 0-8-3.625-8-8v-16C400 291.6 403.6 288 408 288h16c4.375 0 8 3.625 8 8V312z"]],
    "u": [384, 512, [117], "55", ["M384 64.01v225.7c0 104.1-86.13 190.3-192 190.3s-192-85.38-192-190.3V64.01C0 46.34 14.33 32.01 32 32.01S64 46.34 64 64.01v225.7c0 69.67 57.42 126.3 128 126.3s128-56.67 128-126.3V64.01c0-17.67 14.33-32 32-32S384 46.34 384 64.01z", ""]],
    "ufo": [640, 512, [128760], "e047", ["M496 237.1C496 237.1 444.2 288 320 288C195.8 288 144 237.1 144 237.1C144 141.5 222.8 64 320 64C417.2 64 496 141.5 496 237.1z", "M320 288C444.2 288 496 237.1 496 237.1C496 228.8 495.4 220.6 494.3 212.6C581.1 235.5 640 275 640 320C640 390.7 496.7 448 320 448C143.3 448 0 390.7 0 320C0 275 58.01 235.5 145.7 212.6C144.6 220.6 144 228.8 144 237.1C144 237.1 195.8 288 320 288zM320 352C306.7 352 296 362.7 296 376C296 389.3 306.7 400 320 400C333.3 400 344 389.3 344 376C344 362.7 333.3 352 320 352zM128 352C141.3 352 152 341.3 152 328C152 314.7 141.3 304 128 304C114.7 304 104 314.7 104 328C104 341.3 114.7 352 128 352zM512 304C498.7 304 488 314.7 488 328C488 341.3 498.7 352 512 352C525.3 352 536 341.3 536 328C536 314.7 525.3 304 512 304z"]],
    "ufo-beam": [576, 512, [], "e048", ["M144 138.7C144 74.67 190.1 0 288 0C385.9 0 432 74.67 432 138.7C432 138.7 398.8 192 288 192C177.2 192 144 138.7 144 138.7zM78.51 316.9C92.8 322.4 108.2 327.4 124.5 331.8L45.69 498.3C40.02 510.3 25.71 515.4 13.73 509.7C1.748 504-3.363 489.7 2.311 477.7L78.51 316.9zM451.5 331.8C467.8 327.4 483.2 322.4 497.5 316.9L573.7 477.7C579.4 489.7 574.3 504 562.3 509.7C550.3 515.4 535.1 510.3 530.3 498.3L451.5 331.8z", "M287.1 191.1C398.8 191.1 432 138.7 432 138.7C432 129.4 431 119.8 429.1 110.3C516.8 129.5 576 166.1 576 207.1C576 269.9 447.1 320 288 320C128.9 320 0 269.9 0 207.1C0 166.1 59.24 129.5 146.9 110.3C144.1 119.8 143.1 129.4 143.1 138.7C143.1 138.7 177.2 191.1 287.1 191.1zM96 183.1C82.75 183.1 72 194.7 72 207.1C72 221.3 82.75 231.1 96 231.1C109.3 231.1 120 221.3 120 207.1C120 194.7 109.3 183.1 96 183.1zM480 231.1C493.3 231.1 504 221.3 504 207.1C504 194.7 493.3 183.1 480 183.1C466.7 183.1 456 194.7 456 207.1C456 221.3 466.7 231.1 480 231.1zM288 231.1C274.7 231.1 264 242.7 264 256C264 269.3 274.7 280 288 280C301.3 280 312 269.3 312 256C312 242.7 301.3 231.1 288 231.1z"]],
    "umbrella": [576, 512, [], "f0e9", ["M320 264v167.1C320 476.1 284.1 512 239.1 512c-33.81 0-64.19-21.41-75.41-53.32c-5.906-16.6 2.812-34.91 19.5-40.79c16.72-5.908 34.91 2.781 40.81 19.5c1.906 5.375 7.281 10.69 15.1 10.69c8.812 0 16-7.189 16-16V263.3C265.4 258.8 275.9 256 287.1 256C299.1 256 310.4 259.4 320 264z", "M575.7 280.9C547.1 144.5 437.3 62.61 320 49.91V32.01c0-17.69-14.31-32.01-32-32.01S255.1 14.31 255.1 32.01v17.91C138.3 62.61 29.48 144.5 .2949 280.9C-1.926 290.1 8.795 302.1 18.98 292.2c52-55.01 107.7-52.39 158.6 37.01c5.312 9.502 14.91 8.625 19.72 0C217.5 293.9 242.2 256 287.1 256c58.5 0 88.19 68.82 90.69 73.2c4.812 8.625 14.41 9.502 19.72 0c51-89.52 107.1-91.39 158.6-37.01C567.3 302.2 577.9 290.1 575.7 280.9z"]],
    "umbrella-beach": [640, 512, [127958], "f5ca", ["M396.4 239.2l-75.34 208.8H253l83.22-230.7L396.4 239.2z", "M528 448H48C21.49 448 0 469.5 0 496C0 504.8 7.164 512 16 512h544c8.838 0 16-7.164 16-15.1C576 469.5 554.5 448 528 448zM247.6 185l238.5 86.87c35.75-121.4 18.62-231.6-42.63-253.9c-7.375-2.625-15.12-4.062-23.12-4.062C362.4 13.88 292.1 83.13 247.6 185zM115.4 136.8l102.1 37.35c35.13-81.62 86.25-144.4 139-173.7c-95.88-4.875-188.8 36.96-248.5 111.7C101.2 120.6 105.2 133.2 115.4 136.8zM521.5 60.51c6.25 16.25 10.75 34.62 13.13 55.25c5.75 49.87-1.375 108.1-18.88 166.9l102.6 37.37c10.12 3.75 21.25-3.375 21.5-14.12C642.3 210.1 598 118.4 521.5 60.51z"]],
    "umbrella-simple": [512, 512, ["umbrella-alt"], "e2bc", ["M223.1 432.1c0 8.814-7.188 16-16 16c-7.814 0-13.19-5.314-15.1-10.69c-5.906-16.72-24.1-25.41-40.81-19.5c-16.69 5.875-25.41 24.19-19.5 40.79C143.8 490.6 174.2 512 207.1 512C252.1 512 288 476.1 288 431.1V288H223.1V432.1z", "M288 34.19V32c0-17.67-14.33-32-32-32S224 14.33 224 32v2.188C108.6 48.36 16.65 137.8 .3184 251.6C-2.436 270.8 13 288 32.55 288h446.9c19.55 0 34.99-17.19 32.24-36.38C495.3 137.8 403.4 48.36 288 34.19z"]],
    "underline": [448, 512, [], "f0cd", ["M48 64.01H64v160c0 88.22 71.78 159.1 160 159.1s160-71.78 160-159.1v-160h16c17.69 0 32-14.32 32-32s-14.31-31.1-32-31.1l-96-.0049c-17.69 0-32 14.32-32 32s14.31 32 32 32H320v160c0 52.94-43.06 95.1-96 95.1S128 276.1 128 224v-160h16c17.69 0 32-14.31 32-32s-14.31-32-32-32l-96 .0049c-17.69 0-32 14.31-32 31.1S30.31 64.01 48 64.01z", "M448 480c0 17.69-14.31 32-32 32H32c-17.69 0-32-14.31-32-32s14.31-32 32-32h384C433.7 448 448 462.3 448 480z"]],
    "unicorn": [640, 512, [129412], "f727", ["M0 248V304C0 312.8 7.164 320 16 320h16c8.836 0 16-7.164 16-16L48 248C47.98 234.8 54.48 222.5 65.36 215C67.26 194.6 75.69 175.3 89.39 160H88C39.4 160 0 199.4 0 248zM638.7 35.55C638.7 35.55 638.7 35.55 638.7 35.55C637.2 33.34 634.7 32.01 632 32h-100.2c-3.064 3.188-6.455 5.977-10.22 8.299c5.109 5.381 9.925 10.5 13.7 14.5c5.539 5.906 8.619 13.71 8.6 21.8l.0394 6.705l92.46-36.67C640.1 44.18 641.1 39.23 638.7 35.55z", "M543.9 76.6c.0215-8.096-3.051-15.89-8.6-21.8c-3.789-4-8.583-9.119-13.7-14.5c11.08-6.84 19.57-17.49 22.26-30.66c.8613-4.377-2.039-8.631-6.427-9.492c-.0059 0 .0078 0 0 0c-.5078-.0996-.9932-.1514-1.511-.1514L415.6 0c-70.84 0-128.3 57.31-128.3 128H160c-53.13 .0039-96.05 42.98-96.05 96c.002 26.58 11.05 51.85 30.5 69.1l-25.76 68.87c-4.496 12.04-5.232 25.16-2.111 37.63l21.85 87.27C92.04 502 104.8 512 119.5 512h32.99c20.81 0 36.09-19.55 31.05-39.74l-21.3-85.38l23.87-63.62l102 22.37V480c0 17.67 14.33 32 32 32h32c17.6 0 32-14.4 32-32V318.3C403.8 298 416.1 270.5 416.1 240c0-.25-.125-.375-.125-.625V136.9L431.7 144l19.07 37.72c7.467 14.87 25.1 21.53 40.57 15.36l32.53-13.05c12.2-4.863 20.17-16.69 20.15-29.8L543.9 76.6zM479.9 96C471.1 96 463.9 88.84 463.9 80c0-8.838 7.161-16 16.02-16s16.02 7.162 16.02 16C495.9 88.84 488.8 96 479.9 96z"]],
    "uniform-martial-arts": [640, 512, [], "e3d1", ["M409.7 384H496v64c0 35.35-28.65 64-64 64h-224c-35.35 0-64-28.65-64-64v-64h86.31l-14.25 21.38c-5.439 8.158-8.042 17.4-8.042 26.54C208 458.7 229.6 480 256 480c16.05 0 30.97-7.975 39.91-21.33L320 422.5l24.06 36.09C353 472 367.9 480 384 480c26.47 0 47.98-21.44 47.98-48.09c0-9.143-2.603-18.38-8.041-26.54L409.7 384zM144 288h113.5l51.91-133.4L240.8 16H158.3c-30.28 0-58.2 16.36-73 42.78L14.28 185.6C4.918 202.3 0 221.2 0 240.3V384c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32V240.3L98.03 232.5L144 150.4V288zM625.7 185.6l-70.95-126.6C539.9 32.41 511.9 16 481.5 16h-82.31L291.8 288H496V150.4l45.94 81.99L544 240.3V384c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32V240.3C640 221.1 635.1 202.3 625.7 185.6z", "M144 288h352v64h-146.1l47.42 71.13c1.819 2.729 2.628 5.891 2.628 8.937C399.9 440.1 392.8 448 384 448c-5.156 0-10.22-2.5-13.31-7.125L320 364.8l-50.69 76.03C266.2 445.5 261.2 448 256 448c-8.776 0-15.94-7.023-15.94-15.94c0-3.047 .809-6.209 2.628-8.937L290.1 352H144V288z"]],
    "union": [384, 512, [8899], "f6a2", ["M192 480c-105.9 0-192-86.12-192-191.1V64.01c0-17.69 14.31-32 32-32s32 14.31 32 32v223.1c0 70.59 57.41 128 128 128s128-57.41 128-128V64.01c0-17.69 14.31-32 32-32s32 14.31 32 32v223.1C384 393.9 297.9 480 192 480z", ""]],
    "universal-access": [512, 512, [], "f29a", ["M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM256 80c22.09 0 40 17.91 40 40S278.1 160 256 160S216 142.1 216 120S233.9 80 256 80zM374.6 215.1L315.3 232C311.6 233.1 307.8 233.6 304 234.4v62.32l30.64 87.34c4.391 12.5-2.188 26.19-14.69 30.59C317.3 415.6 314.6 416 312 416c-9.906 0-19.19-6.188-22.64-16.06l-25.85-70.65c-2.562-7.002-12.46-7.002-15.03 0l-25.85 70.65C219.2 409.8 209.9 416 200 416c-2.641 0-5.312-.4375-7.953-1.344c-12.5-4.406-19.08-18.09-14.69-30.59L208 296.7V234.4C204.2 233.6 200.4 233.1 196.7 232L137.4 215.1C124.7 211.4 117.3 198.2 120.9 185.4S137.9 165.2 150.6 168.9l59.25 16.94c30.17 8.623 62.15 8.623 92.31 0l59.25-16.94c12.7-3.781 26.02 3.719 29.67 16.47C394.7 198.2 387.3 211.4 374.6 215.1z", "M256 160c22.09 0 40-17.91 40-40S278.1 80 256 80S216 97.91 216 120S233.9 160 256 160zM391.1 185.4c-3.656-12.75-16.97-20.25-29.67-16.47l-59.25 16.94c-30.17 8.623-62.15 8.623-92.31 0L150.6 168.9C137.9 165.2 124.6 172.7 120.9 185.4s3.734 26.03 16.48 29.66l59.25 16.97C200.4 233.1 204.2 233.6 208 234.4v62.29l-30.64 87.34c-4.391 12.5 2.188 26.19 14.69 30.59C194.7 415.6 197.4 416 200 416c9.906 0 19.19-6.188 22.64-16.06l25.85-70.65c2.562-7.002 12.46-7.002 15.03 0l25.85 70.65C292.8 409.8 302.1 416 312 416c2.641 0 5.312-.4375 7.953-1.344c12.5-4.406 19.08-18.09 14.69-30.59L304 296.7V234.4C307.8 233.6 311.6 233.1 315.3 232l59.25-16.94C387.3 211.4 394.7 198.2 391.1 185.4z"]],
    "unlock": [448, 512, [128275], "f09c", ["M224 64C179.8 64 144 99.82 144 144V192H80V144C80 64.47 144.5 0 224 0C281.5 0 331 33.69 354.1 82.27C361.7 98.23 354.9 117.3 338.1 124.9C322.1 132.5 303.9 125.7 296.3 109.7C283.4 82.63 255.9 64 224 64H224z", "M0 256C0 220.7 28.65 192 64 192H384C419.3 192 448 220.7 448 256V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V256z"]],
    "unlock-keyhole": [448, 512, ["unlock-alt"], "f13e", ["M224 64C179.8 64 144 99.82 144 144V192H80V144C80 64.47 144.5 0 224 0C281.5 0 331 33.69 354.1 82.27C361.7 98.23 354.9 117.3 338.1 124.9C322.1 132.5 303.9 125.7 296.3 109.7C283.4 82.63 255.9 64 224 64H224z", "M384 192C419.3 192 448 220.7 448 256V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V256C0 220.7 28.65 192 64 192H384zM256 384C273.7 384 288 369.7 288 352C288 334.3 273.7 320 256 320H192C174.3 320 160 334.3 160 352C160 369.7 174.3 384 192 384H256z"]],
    "up": [384, 512, ["arrow-alt-up"], "f357", ["M256 256v192c0 17.67-14.33 32-32 32h-64c-17.67 0-32-14.33-32-32V256H256z", "M381.6 236.3C376.6 248.2 364.9 256 352 256h-320c-12.94 0-24.61-7.797-29.56-19.75C-2.516 224.3 .2188 210.5 9.375 201.4l159.1-160C175.6 35.13 183.8 32 192 32s16.38 3.125 22.62 9.375l160 160C383.8 210.5 386.5 224.3 381.6 236.3z"]],
    "up-down": [256, 512, [11021, 8597, "arrows-alt-v"], "f338", ["M254 366.7c3.812 8.75 2.078 18.94-4.406 25.92l-104 112c-9.094 9.781-26.09 9.781-35.19 0l-104-112C-.0781 385.7-1.813 375.5 2 366.7S14.45 352.3 24 352.3H80v-96h96v96h56C241.5 352.3 250.2 357.1 254 366.7z", "M1.999 145.6C-1.813 136.8-.0781 126.7 6.406 119.7l104-112c9.094-9.781 26.09-9.781 35.19 0l104 112c6.484 6.984 8.219 17.17 4.406 25.92C250.2 154.3 241.5 160 232 160H176v96h-96V160H24C14.45 160 5.812 154.3 1.999 145.6z"]],
    "up-down-left-right": [512, 512, ["arrows-alt"], "f0b2", ["M183.1 128l39.1 .0013V224h64V128l40-.0013c9.484 0 18.06-5.578 21.92-14.23c1.391-3.141 2.072-6.448 2.072-9.76c0-5.812-2.103-11.57-6.15-16.07l-72-80c-4.562-5.047-11.05-7.936-17.85-7.936S242.7 2.893 238.2 7.94l-71.1 80c-6.344 7.062-7.891 17.17-4.078 25.83C165.9 122.4 174.5 128 183.1 128zM327.1 384l-40 .0013V288h-64v96l-39.1-.0013c-9.484 0-18.06 5.578-21.92 14.23c-3.812 8.641-2.266 18.77 4.078 25.83l71.1 80c4.562 5.047 11.05 7.937 17.84 7.937s13.28-2.89 17.84-7.937l72-80c4.047-4.5 6.15-10.24 6.15-16.06c0-3.312-.681-6.63-2.072-9.771C346.1 389.6 337.5 384 327.1 384z", "M512 256c0 6.797-2.891 13.28-7.938 17.84l-80 72C419.6 349.9 413.8 352 408 352c-3.312 0-6.625-.6875-9.766-2.078C389.6 346.1 384 337.5 384 328V288H128v40c0 9.484-5.578 18.06-14.23 21.92C110.6 351.3 107.3 352 104 352c-5.812 0-11.56-2.109-16.06-6.156l-80-72C2.891 269.3 0 262.8 0 256s2.891-13.28 7.938-17.84l80-72C95 159.8 105.1 158.3 113.8 162.1C122.4 165.9 128 174.5 128 184V224h256V184c0-9.484 5.578-18.06 14.23-21.92c8.656-3.812 18.77-2.266 25.83 4.078l80 72C509.1 242.7 512 249.2 512 256z"]],
    "up-from-bracket": [448, 512, [], "e590", ["M352 512H96C42.98 512 0 469 0 416V352C0 334.3 14.33 320 32 320C49.67 320 64 334.3 64 352V416C64 433.7 78.33 448 96 448H352C369.7 448 384 433.7 384 416V352C384 334.3 398.3 320 416 320C433.7 320 448 334.3 448 352V416C448 469 405 512 352 512z", "M241.4 7.197L377.4 151.3C384 158.3 385.8 168.5 382 177.3C378.2 186.1 369.6 191.8 359.1 191.8L287.1 191.9L287.1 319.9C287.1 337.6 273.7 351.9 255.1 351.9H191.1C174.3 351.9 159.1 337.6 159.1 319.9L159.1 191.9L87.1 191.8C78.42 191.8 69.75 186.1 65.95 177.3C62.17 168.5 63.97 158.3 70.54 151.3L206.5 7.197C215.6-2.404 232.4-2.404 241.4 7.197V7.197z"]],
    "up-from-dotted-line": [448, 512, [], "e456", ["M64 448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416C49.67 416 64 430.3 64 448zM160 448C160 465.7 145.7 480 128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416C145.7 416 160 430.3 160 448zM192 448C192 430.3 206.3 416 224 416C241.7 416 256 430.3 256 448C256 465.7 241.7 480 224 480C206.3 480 192 465.7 192 448zM352 448C352 465.7 337.7 480 320 480C302.3 480 288 465.7 288 448C288 430.3 302.3 416 320 416C337.7 416 352 430.3 352 448zM384 448C384 430.3 398.3 416 416 416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480C398.3 480 384 465.7 384 448z", "M224 32C230.6 32 236.9 34.72 241.4 39.52L377.4 183.5C384 190.5 385.8 200.7 382 209.5C378.2 218.3 369.6 224 360 224H288V352C288 369.7 273.7 384 256 384H192C174.3 384 160 369.7 160 352V224H88C78.42 224 69.75 218.3 65.96 209.5C62.17 200.7 63.97 190.5 70.55 183.5L206.6 39.52C211.1 34.72 217.4 32 224 32V32z"]],
    "up-from-line": [384, 512, ["arrow-alt-from-bottom"], "f346", ["M352 416H31.1C14.33 416 0 430.3 0 447.1S14.33 480 31.1 480H352C369.7 480 384 465.7 384 448S369.7 416 352 416z", "M33.95 209.3c-3.781-8.803-1.984-19.03 4.594-26l136-144.1c9.062-9.601 25.84-9.601 34.91 0l136 144.1c6.578 6.974 8.375 17.2 4.594 26C346.3 218.1 337.6 223.8 328 223.8H256v128.1c0 17.69-14.33 32.04-32 32.04H160c-17.67 0-32-14.35-32-32.04V223.8H56C46.42 223.8 37.75 218.1 33.95 209.3z"]],
    "up-left": [384, 512, [], "e2bd", ["M358.6 377.4l-45.26 45.25c-12.5 12.5-32.76 12.5-45.25 0L138.5 293l90.51-90.51l129.6 129.6C371.1 344.6 371.1 364.9 358.6 377.4z", "M70.62 360.9c-9.148 9.148-22.92 11.89-34.87 6.938C23.79 362.9 16 351.2 16 338.3l0-226.3c0-8.836 3.58-16.84 9.369-22.63C31.16 83.58 39.16 80 47.1 80h226.3c12.95 0 24.61 7.789 29.57 19.75c4.949 11.95 2.209 25.72-6.939 34.87L70.62 360.9z"]],
    "up-long": [320, 512, ["long-arrow-alt-up"], "f30c", ["M192 160.1V480c0 17.69-14.33 32-32 32s-32-14.31-32-32V160.1H192z", "M281.6 119.8l-104-112.1c-9.5-10.24-25.69-10.24-35.19 0l-104 112.1C31.92 126.7 30.19 136.9 33.1 145.7c3.814 8.758 12.46 14.42 22 14.42h208c9.547 0 18.19-5.658 21.1-14.42C289.8 136.9 288.1 126.7 281.6 119.8z"]],
    "up-right": [384, 512, [], "e2be", ["M70.63 422.6l-45.25-45.26c-12.5-12.5-12.5-32.76 0-45.25l129.6-129.6l90.51 90.51l-129.6 129.6C103.4 435.1 83.13 435.1 70.63 422.6z", "M87.1 134.6c-9.148-9.148-11.89-22.92-6.938-34.87C85.12 87.79 96.78 80 109.7 80h226.3c8.836 0 16.84 3.58 22.63 9.369c5.789 5.791 9.371 13.79 9.371 22.63L368 338.3c0 12.95-7.789 24.61-19.75 29.57c-11.95 4.949-25.72 2.209-34.87-6.939L87.1 134.6z"]],
    "up-right-and-down-left-from-center": [512, 512, ["expand-alt"], "f424", ["M208 281.4c-12.5-12.5-32.76-12.5-45.26-.002l-78.06 78.07l-30.06-30.06c-6.125-6.125-14.31-9.367-22.63-9.367c-4.125 0-8.279 .7891-12.25 2.43c-11.97 4.953-19.75 16.62-19.75 29.56v135.1C.0013 501.3 10.75 512 24 512h136c12.94 0 24.63-7.797 29.56-19.75c4.969-11.97 2.219-25.72-6.938-34.87l-30.06-30.06l78.06-78.07c12.5-12.49 12.5-32.75 .002-45.25L208 281.4z", "M487.1 0h-136c-12.94 0-24.63 7.797-29.56 19.75c-4.969 11.97-2.219 25.72 6.938 34.87l30.06 30.06l-78.06 78.07c-12.5 12.5-12.5 32.76 0 45.26l22.62 22.62c12.5 12.5 32.76 12.5 45.26 0l78.06-78.07l30.06 30.06c9.156 9.141 22.87 11.84 34.87 6.937C504.2 184.6 512 172.9 512 159.1V23.1C512 10.74 501.3 0 487.1 0z"]],
    "up-right-from-square": [512, 512, ["external-link-alt"], "f35d", ["M384 320c-17.67 0-32 14.33-32 32v96H64V160h96c17.67 0 32-14.32 32-32s-14.33-32-32-32L64 96c-35.35 0-64 28.65-64 64V448c0 35.34 28.65 64 64 64h288c35.35 0 64-28.66 64-64v-96C416 334.3 401.7 320 384 320z", "M512 24V160c0 12.94-7.781 24.61-19.75 29.56c-12 4.906-25.72 2.203-34.88-6.938L416 141.3l-201.4 201.4C208.4 348.9 200.2 352 192 352s-16.38-3.125-22.62-9.375c-12.5-12.5-12.5-32.75 0-45.25L370.8 96l-41.38-41.38c-9.156-9.156-11.91-22.91-6.938-34.88C327.4 7.797 339.1 0 352 0h136C501.3 0 512 10.74 512 24z"]],
    "up-to-dotted-line": [448, 512, [], "e457", ["M384 64C384 46.33 398.3 32 416 32C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96C398.3 96 384 81.67 384 64zM288 64C288 46.33 302.3 32 320 32C337.7 32 352 46.33 352 64C352 81.67 337.7 96 320 96C302.3 96 288 81.67 288 64zM256 64C256 81.67 241.7 96 224 96C206.3 96 192 81.67 192 64C192 46.33 206.3 32 224 32C241.7 32 256 46.33 256 64zM96 64C96 46.33 110.3 32 128 32C145.7 32 160 46.33 160 64C160 81.67 145.7 96 128 96C110.3 96 96 81.67 96 64zM64 64C64 81.67 49.67 96 32 96C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64z", "M224 128C230.6 128 236.9 130.7 241.4 135.5L377.4 279.5C384 286.5 385.8 296.7 382 305.5C378.2 314.3 369.6 320 360 320H288V448C288 465.7 273.7 480 256 480H192C174.3 480 160 465.7 160 448V320H88C78.42 320 69.75 314.3 65.96 305.5C62.17 296.7 63.97 286.5 70.55 279.5L206.6 135.5C211.1 130.7 217.4 128 224 128V128z"]],
    "up-to-line": [384, 512, ["arrow-alt-to-top"], "f34d", ["M351.1 32H31.1C14.33 32 0 46.33 0 63.1C0 81.67 14.33 96 32 96h320C369.7 96 384 81.67 384 64C384 46.33 369.7 32 351.1 32z", "M33.95 305.4C30.17 296.6 31.97 286.3 38.55 279.4l136-144.1c9.062-9.602 25.84-9.602 34.91 0l136 144.1c6.578 6.973 8.375 17.2 4.594 26C346.3 314.2 337.6 319.9 328 319.9L256 319.9v128.1c0 17.69-14.33 32.02-32 32.02H160c-17.67 0-32-14.34-32-32.02V319.9L56 319.9C46.42 319.9 37.75 314.2 33.95 305.4z"]],
    "upload": [512, 512, [], "f093", ["M480 352h-160c0 35.35-28.65 64-64 64s-64-28.65-64-64H32c-17.67 0-32 14.33-32 32v96c0 17.67 14.33 32 32 32h448c17.67 0 32-14.33 32-32v-96C512 366.3 497.7 352 480 352zM432 456c-13.2 0-24-10.8-24-24c0-13.2 10.8-24 24-24s24 10.8 24 24C456 445.2 445.2 456 432 456z", "M105.4 182.6c-12.49-12.49-12.49-32.75 0-45.25l128-128C239.6 3.125 247.8 0 256 0s16.38 3.125 22.62 9.375l128 128c12.49 12.49 12.49 32.75 0 45.25c-12.5 12.49-32.76 12.5-45.25 .001L288 109.3V352c0 17.67-14.33 32-32 32c-17.67 0-32-14.33-32-32V109.3L150.6 182.6C138.1 195.1 117.9 195.1 105.4 182.6z"]],
    "usb-drive": [640, 512, [], "f8e9", ["M608 128h-128v256h128c17.67 0 32-14.33 32-32V160C640 142.3 625.7 128 608 128zM584 312c0 8.875-7.125 16-16 16h-16c-8.875 0-16-7.125-16-16v-16c0-8.875 7.125-16 16-16h16c8.875 0 16 7.125 16 16V312zM584 216c0 8.875-7.125 16-16 16h-16c-8.875 0-16-7.125-16-16v-16c0-8.875 7.125-16 16-16h16c8.875 0 16 7.125 16 16V216z", "M0 160v192c0 35.35 28.65 64 64 64l416 .0005v-320L64 96C28.65 96 0 124.7 0 160z"]],
    "user": [448, 512, [62144, 128100], "f007", ["M352 128c0 70.69-57.3 128-128 128C153.3 256 96 198.7 96 128s57.31-128 128-128C294.7 0 352 57.31 352 128z", "M274.7 304H173.3C77.61 304 0 381.6 0 477.3c0 19.14 15.52 34.67 34.66 34.67h378.7C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304z"]],
    "user-alien": [448, 512, [], "e04a", ["M206.7 378.1c10.23 7.832 24.32 7.832 34.55 0C282.6 346.3 384 259.6 384 173.6C384 65.83 312.3 0 224 0C135.6 0 64 65.83 64 173.6C64 259.6 165.4 346.3 206.7 378.1zM240 236c0-33.13 26.88-60 60-60h24c6.625 0 12 5.375 12 12v8C336 229.1 309.1 256 276 256h-24C245.4 256 240 250.6 240 244V236zM112 196v-8C112 181.4 117.4 176 124 176h24C181.1 176 208 202.9 208 236v8C208 250.6 202.6 256 196 256h-24C138.9 256 112 229.1 112 196zM319.7 352.5c-20.72 20.3-41.57 37.69-58.92 51.03C250.2 411.6 237.2 416 224 416s-26.23-4.43-36.78-12.51c-17.33-13.33-38.17-30.7-58.88-50.99C57.07 355.2 0 413.4 0 485.3C0 500.1 11.94 512 26.66 512H421.3C436.1 512 448 500.1 448 485.3C448 413.4 390.9 355.2 319.7 352.5z", "M148 176h-24C117.4 176 112 181.4 112 188v8C112 229.1 138.9 256 172 256h24C202.6 256 208 250.6 208 244v-8C208 202.9 181.1 176 148 176zM324 176h-24c-33.13 0-60 26.88-60 60v8C240 250.6 245.4 256 252 256h24C309.1 256 336 229.1 336 196v-8C336 181.4 330.6 176 324 176z"]],
    "user-astronaut": [448, 512, [], "f4fb", ["M296 96h-144c-26.5 0-48 17.88-48 40V160c0 53 43 96 96 96h48c53 0 96-43 96-96V136C344 113.9 322.5 96 296 96zM212.6 163.8L188 172L179.8 196.6c-1.215 3.645-6.375 3.645-7.59 0L164 172L139.4 163.8c-3.646-1.219-3.646-6.375 0-7.594L164 148l8.205-24.62c1.215-3.648 6.375-3.648 7.59 0L188 148l24.62 8.203C216.3 157.4 216.3 162.6 212.6 163.8zM288 416H160c-17.67 0-32 14.33-32 32v64h32v-48C160 455.3 167.3 448 176 448S192 455.3 192 464V512h128v-64C320 430.3 305.7 416 288 416zM272 480c-8.75 0-16-7.25-16-16s7.25-16 16-16s16 7.25 16 16S280.8 480 272 480z", "M64 224h13.5C102.3 280.5 158.4 320 224 320s121.8-39.5 146.5-96H384c8.75 0 16-7.25 16-16v-96C400 103.3 392.8 96 384 96h-13.5C345.8 39.5 289.6 0 224 0S102.3 39.5 77.5 96H64C55.25 96 48 103.3 48 112v96C48 216.8 55.25 224 64 224zM104 136C104 113.9 125.5 96 152 96h144c26.5 0 48 17.88 48 40V160c0 53-43 96-96 96h-48c-53 0-96-43-96-96V136zM336.1 315.4C304 338.6 265.1 352 224 352s-80.03-13.43-112.1-36.59C46.55 340.2 0 403.3 0 477.3C0 496.5 15.52 512 34.66 512H128v-64c0-17.75 14.25-32 32-32h128c17.75 0 32 14.25 32 32v64h93.34C432.5 512 448 496.5 448 477.3C448 403.3 401.5 340.2 336.1 315.4zM272 448c-8.75 0-16 7.25-16 16s7.25 16 16 16s16-7.25 16-16S280.8 448 272 448z"]],
    "user-bounty-hunter": [448, 512, [], "e2bf", ["M330.5 169.9c-25.14 13.92-64.23 43.82-72.69 97.02l77.41-17.04L330.5 169.9zM96 0H80C71.16 0 64 7.164 64 16v248l.3984-.3848C64.37 262.7 64 261.8 64.06 260.8l6.906-117C72.43 116.2 81.71 90.9 96 69.22V32c8.836 0 16-7.164 16-16S104.8 0 96 0zM117.5 169.9l-4.721 79.98l77.41 17.04C181.7 213.8 142.6 183.9 117.5 169.9zM160 464V512h128v-48L224 416L160 464z", "M320 352H128c-70.69 0-128 57.31-128 128c0 17.67 14.33 32 32 32h128v-48l64-48l64 48V512h128c17.67 0 32-14.33 32-32C448 409.3 390.7 352 320 352zM89.3 293.9L207.8 320h32.31l118.5-26.09c15.48-3.408 26.17-17.43 25.24-33.11l-6.906-117C372.8 63.19 305.5 0 224 0S75.25 63.19 70.96 143.8L64.06 260.8C63.13 276.5 73.82 290.5 89.3 293.9zM329.7 156.2l5.533 93.74L248 269.1V171.5L329.7 156.2zM224 48c46.57 0 85.95 30.06 99.72 72H124.2C137.9 78.14 177.4 48 224 48zM118.3 156.2L200 171.5v97.63L112.8 249.9L118.3 156.2z"]],
    "user-check": [640, 512, [], "f4fc", ["M274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512H413.3C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256z", "M632.3 134.4c-9.703-9-24.91-8.453-33.92 1.266l-87.05 93.75l-38.39-38.39c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94l56 56C499.5 285.5 505.6 288 512 288h.4375c6.531-.125 12.72-2.891 17.16-7.672l104-112C642.6 158.6 642 143.4 632.3 134.4z"]],
    "user-chef": [448, 512, [], "e3d2", ["M352 160v16c0 70.75-57.25 128-128 128s-128-57.25-128-128V160H352z", "M96 93.06V160h256V93.06C370.6 86.45 384 68.87 384 48C384 21.49 362.5 0 336 0c-14.42 0-27.2 6.488-36 16.55C291.2 6.488 278.4 0 264 0C247.3 0 232.6 8.564 224 21.53C215.4 8.564 200.7 0 184 0C169.6 0 156.8 6.488 148 16.55C139.2 6.488 126.4 0 112 0C85.49 0 64 21.49 64 48C64 68.87 77.4 86.45 96 93.06zM352 356.5v-35.29l-224 89.59V512h288c17.67 0 32-14.33 32-32C448 420.4 407.1 370.8 352 356.5zM208 448C199.2 448 192 440.8 192 432C192 423.2 199.2 416 208 416s16 7.162 16 16C224 440.8 216.8 448 208 448zM304 448c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16s16 7.162 16 16C320 440.8 312.8 448 304 448zM96 320v36.53C40.89 370.8 0 420.4 0 480c0 17.67 14.33 32 32 32h64v-122.8l106.4-42.57L96 320z"]],
    "user-clock": [640, 512, [], "f4fd", ["M224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM320 368c0-19.3 3.221-37.82 8.961-55.2C311.9 307.2 293.6 304 274.7 304H173.3C77.61 304 0 381.7 0 477.4C0 496.5 15.52 512 34.66 512H395C349.7 480.2 320 427.6 320 368z", "M496 224c-79.63 0-144 64.38-144 144s64.38 144 144 144s144-64.38 144-144S575.6 224 496 224zM544 384h-54.25C484.4 384 480 379.6 480 374.3V304c0-8.836 7.164-16 16-16c8.838 0 16 7.164 16 16v48h32c8.838 0 16 7.164 16 15.1S552.8 384 544 384z"]],
    "user-cowboy": [448, 512, [], "f8ea", ["M351.1 224c0 70.69-57.3 128-127.1 128S96 294.8 96 224.1c0-.9766 .2646-1.986 .2861-2.957C132.9 242.2 176.6 256 224 256s91.05-13.78 127.7-34.85C351.7 222.1 351.1 223 351.1 224z", "M223.1 132.6c53.24 0 91.02-8.625 117.1-18.5C330 64.5 309.5 0 276.6 0c-10.37 0-19.62 4.5-27.37 10.5C241.8 16.28 232.9 19.13 224 19.29C215.1 19.13 206.2 16.28 198.8 10.5C191 4.5 181.8 0 171.4 0C138.6 0 118 64.5 106.9 114.1C133 124 170.7 132.6 223.1 132.6zM224 256c106.7 0 196.3-67.43 223.1-138.9c2.75-7.625-.938-15.94-8.686-19.44c-7.623-3.5-16.81-1.312-21.93 5.312c-.875 1.25-45.63 61.63-192.5 61.63S32.39 104.3 31.52 103C26.39 96.38 17.27 94.13 9.647 97.63c-7.75 3.5-11.5 11.88-8.749 19.5C27.66 188.6 117.3 256 224 256zM334 384H114c-53.44 0-100.1 36.38-113 88.24C-4.044 492.4 11.19 512 32 512h383.1c20.81 0 36.09-19.56 31.04-39.76C434.1 420.4 387.5 384 334 384z"]],
    "user-crown": [448, 512, [], "f6a4", ["M96 144V128h256v16c0 70.75-57.25 128-128 128S96 214.8 96 144z", "M352 0l-64 32l-64-32L160 32L96 0v128h256V0zM274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512H413.3C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304z"]],
    "user-doctor": [448, 512, ["user-md"], "f0f0", ["M96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128C352 198.7 294.7 256 224 256C153.3 256 96 198.7 96 128z", "M280 304C282.7 304 285.3 304.1 288 304.2V362C260.4 369.1 240 394.2 240 424V464C240 472.8 247.2 480 256 480H272C280.8 480 288 472.8 288 464C288 455.2 280.8 448 272 448V424C272 406.3 286.3 392 304 392C321.7 392 336 406.3 336 424V448C327.2 448 320 455.2 320 464C320 472.8 327.2 480 336 480H352C360.8 480 368 472.8 368 464V424C368 394.2 347.6 369.1 320 362V308.8C393.5 326.7 448 392.1 448 472V480C448 497.7 433.7 512 416 512H32C14.33 512 0 497.7 0 480V472C0 393 54.53 326.7 128 308.8V370.3C104.9 377.2 88 398.6 88 424C88 454.9 113.1 480 144 480C174.9 480 200 454.9 200 424C200 398.6 183.1 377.2 160 370.3V304.2C162.7 304.1 165.3 304 168 304H280zM120 424C120 410.7 130.7 400 144 400C157.3 400 168 410.7 168 424C168 437.3 157.3 448 144 448C130.7 448 120 437.3 120 424z"]],
    "user-doctor-hair": [448, 512, [], "e458", ["M257.9 66.16C269.2 84.1 289.2 96 312 96H347.1C350.6 106.2 352 116.1 352 128C352 198.7 294.7 256 224 256C153.3 256 96 198.7 96 128C96 120.1 96.57 114.1 97.65 107.4C104.5 110.4 112.1 112 120 112H176C210.6 112 240.1 93.66 257.9 66.16V66.16z", "M97.66 107.4C107.5 46.48 160.3 0 224 0C283.6 0 333.8 40.79 347.1 96H312C289.2 96 269.2 84.09 257.9 66.16C240.1 93.66 210.6 112 176 112H120C112.1 112 104.5 110.3 97.66 107.4V107.4zM288 362C260.4 369.1 240 394.2 240 424V464C240 472.8 247.2 480 256 480H272C280.8 480 288 472.8 288 464C288 455.2 280.8 448 272 448V424C272 406.3 286.3 392 304 392C321.7 392 336 406.3 336 424V448C327.2 448 320 455.2 320 464C320 472.8 327.2 480 336 480H352C360.8 480 368 472.8 368 464V424C368 394.2 347.6 369.1 320 362V308.8C393.5 326.7 448 392.1 448 472V480C448 497.7 433.7 512 416 512H32C14.33 512 0 497.7 0 480V472C0 393 54.53 326.7 128 308.8V370.3C104.9 377.2 88 398.6 88 424C88 454.9 113.1 480 144 480C174.9 480 200 454.9 200 424C200 398.6 183.1 377.2 160 370.3V304.2C162.7 304.1 165.3 304 168 304H280C282.7 304 285.3 304.1 288 304.2V362zM168 424C168 437.3 157.3 448 144 448C130.7 448 120 437.3 120 424C120 410.7 130.7 400 144 400C157.3 400 168 410.7 168 424z"]],
    "user-doctor-hair-long": [448, 512, [], "e459", ["M312 96H320L320 160C320 213 277 256 224 256C170.1 256 128 213 128 160L128 112H176C210.6 112 240.1 93.66 257.9 66.16C269.2 84.1 289.2 96 312 96V96z", "M70.63 272C58.13 272 48 261.9 48 249.4C48 243.4 50.38 237.6 54.63 233.4L58.51 229.5C82.51 205.5 96 172.9 96 138.1V128C96 57.31 153.3 0 224 0C294.6 0 351.8 57.1 352 127.6V128.4L352 128.6V138.1C352 172.9 365.5 205.5 389.5 229.5L393.4 233.4C397.6 237.6 400 243.4 400 249.4C400 261.9 389.9 272 377.4 272H70.63zM128 112V160C128 213 170.1 256 224 256C277 256 320 213 320 160L320 96H312C289.2 96 269.2 84.09 257.9 66.16C240.1 93.66 210.6 112 176 112H128zM288 362C260.4 369.1 240 394.2 240 424V464C240 472.8 247.2 480 256 480H272C280.8 480 288 472.8 288 464C288 455.2 280.8 448 272 448V424C272 406.3 286.3 392 304 392C321.7 392 336 406.3 336 424V448C327.2 448 320 455.2 320 464C320 472.8 327.2 480 336 480H352C360.8 480 368 472.8 368 464V424C368 394.2 347.6 369.1 320 362V308.8C393.5 326.7 448 393 448 472V480C448 497.7 433.7 512 416 512H32C14.33 512 0 497.7 0 480V472C0 393 54.53 326.7 128 308.8V370.3C104.9 377.2 88 398.6 88 424C88 454.9 113.1 480 144 480C174.9 480 200 454.9 200 424C200 398.6 183.1 377.2 160 370.3V304.2C162.7 304.1 165.3 304 168 304H280C282.7 304 285.3 304.1 288 304.2V362zM168 424C168 437.3 157.3 448 144 448C130.7 448 120 437.3 120 424C120 410.7 130.7 400 144 400C157.3 400 168 410.7 168 424z"]],
    "user-doctor-message": [640, 512, ["user-md-chat"], "f82e", ["M96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128C352 198.7 294.7 256 224 256C153.3 256 96 198.7 96 128zM128 370.3C104.9 377.2 88 398.6 88 424C88 454.9 113.1 480 144 480C174.9 480 200 454.9 200 424C200 398.6 183.1 377.2 160 370.3V304.9C166 304.3 172.1 304 178.3 304H269.7C275.9 304 281.1 304.3 288 304.9V362C260.4 369.1 240 394.2 240 424V464C240 472.8 247.2 480 256 480H272C280.8 480 288 472.8 288 464C288 455.2 280.8 448 272 448V424C272 406.3 286.3 392 304 392C321.7 392 336 406.3 336 424V448C327.2 448 320 455.2 320 464C320 472.8 327.2 480 336 480H352C360.8 480 368 472.8 368 464V424C368 394.2 347.6 369.1 320 362V311.2C393.1 332.9 448 401.3 448 482.3C448 498.7 434.7 512 418.3 512H29.71C13.3 512 0 498.7 0 482.3C0 401.3 54.02 332.9 128 311.2V370.3zM120 424C120 410.7 130.7 400 144 400C157.3 400 168 410.7 168 424C168 437.3 157.3 448 144 448C130.7 448 120 437.3 120 424z", "M384 48C384 21.49 405.5 0 432 0H592C618.5 0 640 21.49 640 48V176C640 202.5 618.5 224 592 224H544L460.8 286.4C458.4 288.2 455.1 288.5 452.4 287.2C449.7 285.8 448 283 448 280V224H432C405.5 224 384 202.5 384 176V48z"]],
    "user-gear": [640, 512, ["user-cog"], "f4fe", ["M224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM425.1 491.8v-9.172c-2.303-1.25-4.572-2.559-6.809-3.93l-7.818 4.493c-6.002 3.504-12.83 5.352-19.75 5.352c-10.71 0-21.13-4.492-28.97-12.75c-18.41-20.09-32.29-44.15-40.22-69.9c-5.352-18.06 2.343-36.87 17.83-45.24l8.018-4.669c-.0664-2.621-.0664-5.242 0-7.859l-7.655-4.461c-12.3-6.953-19.4-19.66-19.64-33.38C305.6 306.3 290.4 304 274.7 304H173.3C77.61 304 0 381.7 0 477.4C0 496.5 15.52 512 34.66 512H413.3c5.727 0 10.9-1.727 15.66-4.188C426.7 502.8 425.1 497.5 425.1 491.8z", "M610.5 373.3c2.625-14 2.625-28.5 0-42.5l25.75-15c3-1.625 4.375-5.125 3.375-8.5c-6.75-21.5-18.25-41.13-33.25-57.38c-2.25-2.5-6-3.125-9-1.375l-25.75 14.88c-10.88-9.25-23.38-16.5-36.88-21.25V212.3c0-3.375-2.5-6.375-5.75-7c-22.25-5-45-4.875-66.25 0c-3.25 .625-5.625 3.625-5.625 7v29.88c-13.5 4.75-26 12-36.88 21.25L394.4 248.5c-2.875-1.75-6.625-1.125-9 1.375c-15 16.25-26.5 35.88-33.13 57.38c-1 3.375 .3751 6.875 3.25 8.5l25.75 15c-2.5 14-2.5 28.5 0 42.5l-25.75 15c-3 1.625-4.25 5.125-3.25 8.5c6.625 21.5 18.13 41 33.13 57.38c2.375 2.5 6 3.125 9 1.375l25.88-14.88c10.88 9.25 23.38 16.5 36.88 21.25v29.88c0 3.375 2.375 6.375 5.625 7c22.38 5 45 4.875 66.25 0c3.25-.625 5.75-3.625 5.75-7v-29.88c13.5-4.75 26-12 36.88-21.25l25.75 14.88c2.875 1.75 6.75 1.125 9-1.375c15-16.25 26.5-35.88 33.25-57.38c1-3.375-.3751-6.875-3.375-8.5L610.5 373.3zM496 400.5c-26.75 0-48.5-21.75-48.5-48.5s21.75-48.5 48.5-48.5c26.75 0 48.5 21.75 48.5 48.5S522.8 400.5 496 400.5z"]],
    "user-graduate": [512, 512, [], "f501", ["M384 159.1c0 70.75-57.25 128-127.1 128S128 230.7 128 159.1H384z", "M359.2 312.8l-103.2 103.2l-103.2-103.2c-69.93 22.3-120.8 87.2-120.8 164.5C32 496.5 47.53 512 66.67 512h378.7C464.5 512 480 496.5 480 477.3C480 400 429.1 335.1 359.2 312.8zM45.63 79.75L52 81.25v58.5C45 143.9 40 151.3 40 160c0 8.375 4.625 15.38 11.12 19.75L35.5 242C33.75 248.9 37.63 256 43.13 256h41.75c5.5 0 9.375-7.125 7.625-13.1L76.88 179.8C83.38 175.4 88 168.4 88 160c0-8.75-5-16.12-12-20.25V87.13L128 99.63l.001 60.37h255.1L384 99.62l82.25-19.87c18.25-4.375 18.25-27 0-31.5l-190.4-46c-13-3-26.62-3-39.63 0l-190.6 46C27.5 52.63 27.5 75.38 45.63 79.75z"]],
    "user-group": [640, 512, [128101, "user-friends"], "f500", ["M479.1 320h-73.85C451.2 357.7 480 414.1 480 477.3C480 490.1 476.2 501.9 470 512h138C625.7 512 640 497.6 640 479.1C640 391.6 568.4 320 479.1 320zM432 256C493.9 256 544 205.9 544 144S493.9 32 432 32c-25.11 0-48.04 8.555-66.72 22.51C376.8 76.63 384 101.4 384 128c0 35.52-11.93 68.14-31.59 94.71C372.7 243.2 400.8 256 432 256z", "M224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM274.7 304H173.3c-95.73 0-173.3 77.6-173.3 173.3C0 496.5 15.52 512 34.66 512H413.3C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304z"]],
    "user-group-crown": [640, 512, ["users-crown"], "f6a5", ["M544 144C544 82.14 493.9 32 432 32c-17.3 0-33.45 4.285-48 11.38V144c0 31.09-9.285 59.89-24.69 84.47C378.9 245.4 404.1 256 432 256C493.9 256 544 205.9 544 144zM479.1 320h-73.85C451.2 357.7 480 414.1 480 477.3C480 490.1 476.2 501.9 470 512h137.1C625.7 512 640 497.6 640 479.1C640 391.6 568.4 320 479.1 320zM96 144c0 70.75 57.25 128 128 128s128-57.25 128-128V128H96V144z", "M352 0L288 32L224 0L160 32L96 0v128h256V0zM274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512H413.3C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304z"]],
    "user-hair": [448, 512, [], "e45a", ["M257.9 66.16C269.2 84.1 289.2 96 312 96H347.1C350.6 106.2 352 116.1 352 128C352 198.7 294.7 256 224 256C153.3 256 96 198.7 96 128C96 120.1 96.57 114.1 97.65 107.4C104.5 110.4 112.1 112 120 112H176C210.6 112 240.1 93.66 257.9 66.16V66.16z", "M97.66 107.4C107.5 46.48 160.3 0 224 0C283.6 0 333.8 40.79 347.1 96H312C289.2 96 269.2 84.09 257.9 66.16C240.1 93.66 210.6 112 176 112H120C112.1 112 104.5 110.3 97.66 107.4V107.4zM286.7 320C375.8 320 448 392.2 448 481.3C448 498.2 434.2 512 417.3 512H30.72C13.75 512 0 498.2 0 481.3C0 392.2 72.21 320 161.3 320H286.7z"]],
    "user-hair-buns": [448, 512, [], "e3d3", ["M288 112c17.38 0 33.36-5.688 46.48-15.11C335.2 101.9 336 106.8 336 112V160c0 61.86-50.14 112-112 112S112 221.9 112 160V112c0-5.174 .8438-10.12 1.523-15.11C126.6 106.3 142.6 112 160 112c26.29 0 49.42-12.85 64-32.44C238.6 99.15 261.7 112 288 112z", "M274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512H413.3C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM96 192c7.096 0 13.78-1.633 19.84-4.396C113.6 178.7 112 169.6 112 160V112c0-5.174 .8438-10.12 1.523-15.11c8.908 6.395 19.2 10.88 30.29 13.22C149.1 111.2 154.4 112 160 112c26.29 0 49.42-12.85 64-32.44C238.6 99.15 261.7 112 288 112c5.582 0 10.95-.7773 16.19-1.885c11.09-2.344 21.38-6.826 30.29-13.22C335.2 101.9 336 106.8 336 112V160c0 9.582-1.572 18.73-3.836 27.6C338.2 190.4 344.9 192 352 192c26.51 0 48-21.49 48-48v-32C400 85.49 378.5 64 352 64c-9.059 0-17.44 2.658-24.67 7.02C311 29.57 271.3 0 224 0S136.1 29.57 120.7 71.02C113.4 66.66 105.1 64 96 64C69.49 64 48 85.49 48 112v32C48 170.5 69.49 192 96 192z"]],
    "user-hair-long": [448, 512, [], "e45b", ["M312 96H320L320 160C320 213 277 256 224 256C170.1 256 128 213 128 160L128 112H176C210.6 112 240.1 93.66 257.9 66.16C269.2 84.1 289.2 96 312 96V96z", "M70.63 272C58.13 272 48 261.9 48 249.4C48 243.4 50.38 237.6 54.63 233.4L58.51 229.5C82.51 205.5 96 172.9 96 138.1V128C96 57.31 153.3 0 224 0C294.6 0 351.8 57.1 352 127.6V128.4L352 128.6V138.1C352 172.9 365.5 205.5 389.5 229.5L393.4 233.4C397.6 237.6 400 243.4 400 249.4C400 261.9 389.9 272 377.4 272H70.63zM128 112V160C128 213 170.1 256 224 256C277 256 320 213 320 160L320 96H312C289.2 96 269.2 84.09 257.9 66.16C240.1 93.66 210.6 112 176 112H128zM286.7 320C375.8 320 448 392.2 448 481.3C448 498.2 434.2 512 417.3 512H30.72C13.75 512 0 498.2 0 481.3C0 392.2 72.21 320 161.3 320H286.7z"]],
    "user-hair-mullet": [448, 512, ["business-front", "party-back", "trian-balbot"], "e45c", ["M340.5 95.1C342.8 106.2 344 116.1 344 127.1C344 198.7 294.7 255.1 224 255.1C153.3 255.1 104 198.7 104 127.1C104 122.6 104.3 117.2 104.9 111.1H144C181.1 111.1 213.2 90.99 229.2 60.22C246.8 82.04 273.8 95.1 304 95.1H340.5z", "M304 96C273.8 95.1 246.8 82.04 229.2 60.22C213.2 90.99 181.1 112 144 112H104C95.16 112 88 104.8 88 96V93.93C88 85.32 92.61 77.36 100.1 73.09L111.8 66.42C133.5 26.83 175.6 0 224 0C262.8 0 297.6 17.26 321 44.52L346.7 57.37C354.9 61.43 360 69.74 360 78.83V79.1C360 88.84 352.8 95.1 344 95.1L304 96zM343.5 204.4C346.5 217.2 352.3 227.1 366.1 241.9C373.1 248.8 373.1 259.7 368.2 267.7C362.5 275.7 351.8 278.3 343.1 273.9L325.1 265.4L312 284C308.7 288.4 303.7 291.3 298.2 291.9C292.7 292.5 287.2 290.8 282.1 287.2L244.6 254.3C293.1 246.2 328.6 209.6 340.1 161.9C340.2 180.5 340.9 193.4 343.5 204.4H343.5zM164.8 287.4C160.5 290.9 155.1 292.5 149.6 291.9C144.2 291.2 139.3 288.4 136 284L122 265.4L104.9 273.9C96.17 278.3 85.51 275.7 79.78 267.7C74.04 259.7 74.92 248.8 81.86 241.9C95.74 227.1 101.5 217.2 104.5 204.4C107.1 193.4 107.8 180.5 107.9 161.9C119.5 209.1 155.4 246.8 204.5 254.5L164.8 287.4zM286.7 320C375.8 320 448 392.2 448 481.3C448 498.2 434.2 512 417.3 512H30.72C13.75 512 0 498.2 0 481.3C0 392.2 72.21 320 161.3 320H286.7z"]],
    "user-headset": [448, 512, [], "f82d", ["M208 224h32c22.88 0 43.98 12.2 55.36 31.95L304 256c26.5 0 48-21.5 48-47.1V192c0-70.75-57.25-128-128-128s-128 57.25-128 128c0 40.38 19.12 75.99 48.37 99.49C144.2 290.2 144 289.3 144 288C144 252.6 172.6 224 208 224z", "M48 224C56.88 224 64 216.9 64 208V192c0-88.25 71.75-160 160-160s160 71.75 160 160v16C384 252.1 348.1 288 304 288h-32c0-17.62-14.38-32-32-32h-32c-17.62 0-32 14.38-32 32s14.38 32 32 32h96c61.88-.125 111.9-50.13 112-112V192c0-105.9-86.13-192-192-192S32 86.13 32 192v16C32 216.9 39.13 224 48 224zM314.7 352H133.3C59.7 352 0 411.7 0 485.3C0 500.1 11.94 512 26.66 512H421.3C436.1 512 448 500.1 448 485.3C448 411.7 388.3 352 314.7 352z"]],
    "user-helmet-safety": [448, 512, [128119, "user-construction", "user-hard-hat"], "f82c", ["M352 192c0 70.69-57.31 128-128 128S96 262.7 96 192c0-5.48 .9453-10.7 1.613-16h252.8C351.1 181.3 352 186.5 352 192z", "M88 176h272c4.375 0 8-3.625 8-8V136c0-4.375-3.625-8-8-8H352c0-45-26.88-85.62-68.38-103.2L256 80V16c0-8.875-7.125-16-16-16h-32c-8.875 0-16 7.125-16 16V80L164.4 24.75C122.9 42.38 96 83 96 128H88c-4.375 0-8 3.625-8 8v31.1C80 172.4 83.63 176 88 176zM314.7 352H133.3C59.7 352 0 411.7 0 485.3c0 14.73 11.94 26.67 26.66 26.67H421.3c14.72 0 26.66-11.94 26.66-26.67C448 411.7 388.3 352 314.7 352z"]],
    "user-injured": [448, 512, [], "f728", ["M352 128c0-5.48-.9453-10.7-1.613-16H97.61C96.95 117.3 96 122.5 96 128c0 70.69 57.31 128 128 128C294.7 256 352 198.7 352 128zM0 477.3C0 496.5 15.52 512 34.66 512H64v-169.1C24.97 374.7 0 423.1 0 477.3zM274.7 304H173.3c-5.393 0-10.71 .3242-15.98 .8047L206.9 384H272c44.13 0 80 35.88 80 80c0 18.08-6.252 34.59-16.4 48h77.73C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM272 416h-45.14l58.64 93.83C305.4 503.1 320 485.8 320 464C320 437.5 298.5 416 272 416z", "M277.4 11.98C261.1 4.469 243.1 0 224 0C170.3 0 124.5 33.13 105.5 80h81.07L277.4 11.98zM342.5 80c-7.895-19.47-20.66-36.19-36.48-49.51L240 80H342.5zM96 322.4V512h153.1L123.7 311.3C114.1 314.2 104.8 317.9 96 322.4z"]],
    "user-large": [512, 512, ["user-alt"], "f406", ["M256 288c79.53 0 144-64.47 144-144s-64.47-144-144-144c-79.52 0-144 64.47-144 144S176.5 288 256 288z", "M351.1 320H160c-88.36 0-160 71.63-160 160c0 17.67 14.33 32 31.1 32H480c17.67 0 31.1-14.33 31.1-32C512 391.6 440.4 320 351.1 320z"]],
    "user-large-slash": [640, 512, ["user-alt-slash"], "f4fa", ["M463.1 144c0-79.53-64.47-143.1-143.1-143.1c-69.64 0-127.3 49.57-140.6 115.3l201.1 158.3C430.1 250.6 463.1 201.5 463.1 144zM529.9 511.1l-244.1-191.1l-60.9-.0002c-88.36 0-160 71.63-160 159.1C63.1 497.7 78.33 512 95.1 512l448-.0039c.0137 0-.0137 0 0 0L529.9 511.1z", "M630.8 469.1L38.81 5.109C34.41 1.672 29.19 0 24.03 0C16.91 0 9.845 3.156 5.127 9.187c-8.187 10.44-6.375 25.53 4.062 33.7L601.2 506.9c10.5 8.203 25.56 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1z"]],
    "user-lock": [640, 512, [], "f502", ["M224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM320 336c0-8.672 1.738-16.87 4.303-24.7C308.6 306.6 291.9 304 274.7 304H173.3C77.61 304 0 381.7 0 477.4C0 496.5 15.52 512 34.66 512h301.7C326.3 498.6 320 482.1 320 464V336z", "M592 288H576V212.7c0-41.84-30.03-80.04-71.66-84.27C456.5 123.6 416 161.1 416 208V288h-16C373.6 288 352 309.6 352 336v128c0 26.4 21.6 48 48 48h192c26.4 0 48-21.6 48-48v-128C640 309.6 618.4 288 592 288zM496 432c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S513.6 432 496 432zM528 288h-64V208c0-17.62 14.38-32 32-32s32 14.38 32 32V288z"]],
    "user-minus": [640, 512, [], "f503", ["M274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512h378.7C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256z", "M616 200h-144C458.8 200 448 210.8 448 224s10.75 24 24 24h144C629.3 248 640 237.3 640 224S629.3 200 616 200z"]],
    "user-music": [640, 512, [], "f8eb", ["M224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM389.4 347.7C358.8 320.6 318.7 304 274.7 304H173.3C77.61 304 0 381.7 0 477.4C0 496.5 15.52 512 34.66 512h320.5C333.4 493.4 320 468.3 320 440C320 399 348 364.7 389.4 347.7z", "M640 192v62.73c0 15.25-10.77 28.39-25.72 31.38L544 300.2V440c0 39.76-42.98 72-96 72s-96-32.24-96-72c0-39.77 42.98-72 96-72c11.28 0 21.95 1.727 32 4.408V211.2c0-15.25 10.77-28.39 25.72-31.38l96-19.2C621.5 156.7 640 171.8 640 192z"]],
    "user-ninja": [512, 512, [129399], "f504", ["M208 96h95.1C321.7 96 336 110.3 336 128h-160C176 110.3 190.3 96 208 96z", "M64 192c27.25 0 51.75-11.5 69.25-29.75c15 54 64 93.75 122.8 93.75c70.75 0 127.1-57.25 127.1-128s-57.25-128-127.1-128c-50.38 0-93.63 29.38-114.5 71.75C124.1 47.75 96 32 64 32c0 33.37 17.12 62.75 43.13 80C81.13 129.3 64 158.6 64 192zM208 96h95.1C321.7 96 336 110.3 336 128h-160C176 110.3 190.3 96 208 96zM337.8 306.9L256 416L174.2 306.9C93.36 321.6 32 392.2 32 477.3c0 19.14 15.52 34.67 34.66 34.67H445.3c19.14 0 34.66-15.52 34.66-34.67C480 392.2 418.6 321.6 337.8 306.9z"]],
    "user-nurse": [448, 512, [], "f82f", ["M96 176c0 70.75 57.25 128 128 128s128-57.25 128-128V160H96V176z", "M327.2 312.8L224 416L120.8 312.8c-69.93 22.3-120.8 87.25-120.8 164.6C.0006 496.5 15.52 512 34.66 512H413.3c19.14 0 34.66-15.46 34.66-34.61C447.1 400.1 397.1 335.1 327.2 312.8zM352 65.88c0-13.38-8.25-25.38-20.75-30L246.5 4.125C239.3 1.375 231.6 0 224 0S208.8 1.375 201.5 4.125L116.8 35.88C104.3 40.5 96 52.5 96 65.88V160h256V65.88zM264 88.38c0 2.75-2.25 5-5 5h-21.62V115c0 2.75-2.25 5-5 5H215.6c-2.75 0-5-2.25-5-5V93.38H189c-2.75 0-5-2.25-5-5V71.63c0-2.75 2.25-5 5-5h21.62V45c0-2.75 2.25-5 5-5h16.75c2.75 0 5 2.25 5 5v21.62H259c2.75 0 5 2.25 5 5V88.38z"]],
    "user-nurse-hair": [448, 512, [], "e45d", ["M273.9 130.2C285.2 148.1 305.2 160 328 160H351.7C351.9 162.6 352 165.3 352 168V176C352 246.7 294.7 304 224 304C153.3 304 96 246.7 96 176V170.6C103.3 174.1 111.4 176 120 176H192C226.6 176 256.1 157.7 273.9 130.2V130.2z", "M96 70.17C96 56.83 104.3 44.89 116.8 40.21L212.8 4.209C220 1.493 227.1 1.493 235.2 4.209L331.2 40.21C343.7 44.89 352 56.83 352 70.17V160H328C305.2 160 285.2 148.1 273.9 130.2C256.1 157.7 226.6 176 191.1 176H119.1C111.4 176 103.3 174.1 96 170.6L96 70.17zM221.3 31.1C216.9 31.1 213.3 35.58 213.3 39.1V53.33H200C195.6 53.33 192 56.92 192 61.33V66.67C192 71.09 195.6 74.67 200 74.67H213.3V87.1C213.3 92.42 216.9 95.1 221.3 95.1H226.7C231.1 95.1 234.7 92.42 234.7 87.1V74.67H248C252.4 74.67 256 71.09 256 66.67V61.33C256 56.92 252.4 53.33 248 53.33H234.7V39.1C234.7 35.58 231.1 31.1 226.7 31.1H221.3zM318.9 323.2C392.5 338.1 448 403.2 448 481.3C448 498.2 434.2 511.1 417.3 511.1H30.72C13.75 511.1 0 498.2 0 481.3C0 403.2 55.46 338.1 129.1 323.2L224 423.1L318.9 323.2z"]],
    "user-nurse-hair-long": [448, 512, [], "e45e", ["M312 128H320L320 160C320 213 277 256 224 256C170.1 256 128 213 128 160L128 144H176C210.6 144 240.1 125.7 257.9 98.16C269.2 116.1 289.2 128 312 128V128z", "M116.8 38.04L212.8 2.037C220-.6791 227.1-.6791 235.2 2.037L331.2 38.04C343.7 42.72 352 54.66 352 68V136.8C352 170.8 365.5 203.3 389.5 227.3L393.4 231.2C397.6 235.4 400 241.2 400 247.2C400 259.7 389.9 269.8 377.4 269.8H70.63C58.13 269.8 48 259.7 48 247.2C48 241.2 50.38 235.4 54.63 231.2L58.51 227.3C82.51 203.3 96 170.8 96 136.8V68C96 54.66 104.3 42.72 116.8 38.04V38.04zM221.3 29.83C216.9 29.83 213.3 33.41 213.3 37.83V51.16H200C195.6 51.16 192 54.75 192 59.16V64.5C192 68.92 195.6 72.5 200 72.5H213.3V85.83C213.3 90.25 216.9 93.83 221.3 93.83H226.7C231.1 93.83 234.7 90.25 234.7 85.83V72.5H248C252.4 72.5 256 68.92 256 64.5V59.16C256 54.75 252.4 51.16 248 51.16H234.7V37.83C234.7 33.41 231.1 29.83 226.7 29.83H221.3zM128 144L128 160C128 213 170.1 256 224 256C277 256 320 213 320 160L320 128H312C289.2 128 269.2 116.1 257.9 98.16C240.1 125.7 210.6 144 176 144H128zM318.9 321C392.5 335.9 448 401 448 479.1C448 496.1 434.2 509.8 417.3 509.8H30.72C13.75 509.8 0 496.1 0 479.1C0 401 55.46 335.9 129.1 321L224 421.8L318.9 321z"]],
    "user-pen": [640, 512, ["user-edit"], "f4ff", ["M223.1 256c70.7 0 128-57.31 128-128s-57.3-128-128-128C153.3 0 96 57.31 96 128S153.3 256 223.1 256zM274.7 304H173.3C77.61 304 0 381.7 0 477.4C0 496.5 15.52 512 34.66 512h286.4c-1.246-5.531-1.43-11.31-.2832-17.04l14.28-71.41c1.943-9.723 6.676-18.56 13.68-25.56l45.72-45.72C363.3 322.4 321.2 304 274.7 304z", "M371.4 420.6c-2.514 2.512-4.227 5.715-4.924 9.203l-14.28 71.41c-1.258 6.289 4.293 11.84 10.59 10.59l71.42-14.29c3.482-.6992 6.682-2.406 9.195-4.922l125.3-125.3l-72.01-72.01L371.4 420.6zM629.5 255.7l-21.1-21.11c-14.06-14.06-36.85-14.06-50.91 0l-38.13 38.14l72.01 72.01l38.13-38.13C643.5 292.5 643.5 269.7 629.5 255.7z"]],
    "user-pilot": [448, 512, [], "e2c0", ["M346 155.5C349.5 167.1 351.1 179.2 351.1 192c0 70.75-57.22 128-127.1 128S96 262.8 96 192c0-12.79 2.488-24.87 5.998-36.5C137.9 168.3 179.3 176 224 176S310.1 168.3 346 155.5z", "M319.7 352.5L224 416l-95.7-63.49C57.05 355.2 0 413.4 0 485.3C0 500.1 11.94 512 26.66 512H421.3C436.1 512 448 500.1 448 485.3C448 413.4 390.1 355.2 319.7 352.5zM368 448h-32c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16h32c8.836 0 16 7.162 16 16C384 440.8 376.8 448 368 448zM78.54 102.4v44.04C119.1 164.9 169.4 176 224 176s104.9-11.08 145.5-29.55V102.4l21.96-22.3c4.564-4.635 7.129-10.93 7.129-17.48c0-11.35-7.602-21.24-18.44-23.99l-148.3-37.67c-5.096-1.295-10.43-1.295-15.52 0l-148.3 37.67C57.06 41.39 49.46 51.28 49.46 62.62c0 6.555 2.564 12.85 7.129 17.48L78.54 102.4zM161.7 72.85c3.969-7.875 13.56-11.09 21.47-7.156L224 86.13l40.84-20.44c7.938-3.969 17.5-.7505 21.47 7.156c3.938 7.906 .75 17.5-7.156 21.47l-48 23.1C228.9 119.4 226.4 120 224 120S219.1 119.4 216.8 118.3l-48-23.1C160.9 90.35 157.8 80.75 161.7 72.85z"]],
    "user-pilot-tie": [448, 512, [], "e2c1", ["M346 155.5C310.1 168.3 268.7 176 224 176S137.9 168.3 101.1 155.5C98.49 167.1 96 179.2 96 192c0 70.75 57.25 128 127.1 128s127.1-57.25 127.1-128C351.1 179.2 349.5 167.1 346 155.5zM176 352l32 56l-16.64 70.71L208 512h32l16.64-33.29L240 408l32-56H176z", "M0 485.3C0 500.1 11.94 512 26.66 512H208l-79.7-159.5C57.05 355.2 0 413.4 0 485.3zM369.5 102.4l21.96-22.3c4.564-4.635 7.129-10.93 7.129-17.48c0-11.35-7.602-21.24-18.44-23.99l-148.3-37.67c-5.096-1.295-10.43-1.295-15.52 0l-148.3 37.67C57.06 41.39 49.46 51.28 49.46 62.62c0 6.555 2.564 12.85 7.129 17.48l21.96 22.3v44.04C119.1 164.9 169.4 176 224 176s104.9-11.08 145.5-29.55V102.4zM279.2 94.31l-48 24C228.9 119.4 226.4 120 224 120S219.1 119.4 216.8 118.3l-48-24C160.9 90.34 157.8 80.75 161.7 72.84c3.969-7.875 13.56-11.09 21.47-7.156L224 86.13l40.84-20.44c7.938-3.969 17.5-.75 21.47 7.156C290.3 80.75 287.1 90.34 279.2 94.31zM319.7 352.5L240 512h181.3C436.1 512 448 500.1 448 485.3C448 413.4 390.1 355.2 319.7 352.5zM368 448h-32c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16h32c8.836 0 16 7.162 16 16C384 440.8 376.8 448 368 448z"]],
    "user-plus": [640, 512, [], "f234", ["M224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512h378.7C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304z", "M616 200h-48v-48C568 138.8 557.3 128 544 128s-24 10.75-24 24v48h-48C458.8 200 448 210.8 448 224s10.75 24 24 24h48v48C520 309.3 530.8 320 544 320s24-10.75 24-24v-48h48C629.3 248 640 237.3 640 224S629.3 200 616 200z"]],
    "user-police": [448, 512, [], "e333", ["M346 155.5C349.5 167.1 351.1 179.2 351.1 192c0 70.75-57.22 128-127.1 128S96 262.8 96 192c0-12.79 2.488-24.87 5.998-36.5C137.9 168.3 179.3 176 223.1 176S310.1 168.3 346 155.5z", "M320 352h-32l-64 64l-64-64H128c-70.69 0-128 57.31-128 128c0 17.67 14.33 32 32 32h384c17.67 0 32-14.33 32-32C448 409.3 390.7 352 320 352zM358.5 437.3l-15.81 15.37l3.736 21.71c.6719 3.926-3.469 6.852-6.939 5.029L320 469.2l-19.54 10.25c-3.471 1.836-7.611-1.104-6.939-5.029l3.736-21.71l-15.81-15.37c-2.844-2.76-1.27-7.58 2.648-8.146L305.9 426l9.764-19.76c1.766-3.566 6.834-3.521 8.582 0L334.1 426l21.85 3.18C359.8 429.7 361.4 434.6 358.5 437.3zM78.54 102.4v44.04C119.1 164.9 169.4 176 223.1 176s104.9-11.08 145.5-29.55V102.4l21.96-22.3c4.564-4.635 7.129-10.93 7.129-17.48c0-11.35-7.602-21.24-18.44-23.99l-148.3-37.67c-5.096-1.295-10.43-1.295-15.52 0l-148.3 37.67C57.06 41.39 49.46 51.28 49.46 62.62c0 6.555 2.564 12.85 7.129 17.48L78.54 102.4zM191.1 61.08l30-12.5C221.9 48.26 223.2 48 224 48c.8281 0 2.122 .2559 2.884 .5723l30 12.5c2.779 1.152 4.609 3.889 4.609 6.92C261.5 107.1 232.1 128 223.1 128C216.1 128 186.5 108.2 186.5 67.1C186.5 64.96 188.3 62.23 191.1 61.08z"]],
    "user-police-tie": [448, 512, [], "e334", ["M346 155.5C310.1 168.3 268.7 176 223.1 176S137.9 168.3 101.1 155.5C98.49 167.1 96 179.2 96 192c0 70.75 57.25 128 127.1 128s127.1-57.25 127.1-128C351.1 179.2 349.5 167.1 346 155.5zM176 352l32 56l-16.64 70.71L208 512h32l16.64-33.29L240 408l32-56H176z", "M0 485.3C0 500.1 11.94 512 26.66 512H208l-79.7-159.5C57.05 355.2 0 413.4 0 485.3zM369.5 102.4l21.96-22.3c4.564-4.635 7.129-10.93 7.129-17.48c0-11.35-7.602-21.24-18.44-23.99l-148.3-37.67c-5.096-1.295-10.43-1.295-15.52 0l-148.3 37.67C57.06 41.39 49.46 51.28 49.46 62.62c0 6.555 2.564 12.85 7.129 17.48l21.96 22.3v44.04C119.1 164.9 169.4 176 223.1 176s104.9-11.08 145.5-29.55V102.4zM223.1 128C216.1 128 186.5 108.2 186.5 67.1c0-3.031 1.83-5.768 4.623-6.92l30-12.5C221.9 48.26 223.2 48 224 48c.8281 0 2.122 .2559 2.884 .5723l30 12.5c2.779 1.152 4.609 3.889 4.609 6.92C261.5 107.1 232.1 128 223.1 128zM319.7 352.5L240 512h181.3C436.1 512 448 500.1 448 485.3C448 413.4 390.1 355.2 319.7 352.5zM390.5 437.3l-15.81 15.37l3.736 21.71c.6719 3.926-3.469 6.852-6.939 5.029L352 469.2l-19.54 10.25c-3.471 1.836-7.611-1.104-6.939-5.029l3.736-21.71l-15.81-15.37c-2.844-2.76-1.27-7.58 2.648-8.146L337.9 426l9.764-19.76c1.766-3.566 6.834-3.521 8.582 0L366.1 426l21.85 3.18C391.8 429.7 393.4 434.6 390.5 437.3z"]],
    "user-robot": [448, 512, [], "e04b", ["M240 64H208V16C208 7.164 215.2 0 224 0C232.8 0 240 7.164 240 16V64zM48 144V240C48 248.8 40.84 256 32 256C23.16 256 16 248.8 16 240V144C16 135.2 23.16 128 32 128C40.84 128 48 135.2 48 144zM176 512H144V464C144 455.2 151.2 448 160 448C168.8 448 176 455.2 176 464V512zM240 512H208V464C208 455.2 215.2 448 224 448C232.8 448 240 455.2 240 464V512zM288 448C296.8 448 304 455.2 304 464V512H272V464C272 455.2 279.2 448 288 448zM432 240C432 248.8 424.8 256 416 256C407.2 256 400 248.8 400 240V144C400 135.2 407.2 128 416 128C424.8 128 432 135.2 432 144V240z", "M80 128C80 92.65 108.7 64 144 64H304C339.3 64 368 92.65 368 128V256C368 291.3 339.3 320 304 320H144C108.7 320 80 291.3 80 256V128zM160 128C142.3 128 128 142.3 128 160C128 177.7 142.3 192 160 192C177.7 192 192 177.7 192 160C192 142.3 177.7 128 160 128zM288 192C305.7 192 320 177.7 320 160C320 142.3 305.7 128 288 128C270.3 128 256 142.3 256 160C256 177.7 270.3 192 288 192zM160 272C168.8 272 176 264.8 176 256C176 247.2 168.8 240 160 240C151.2 240 144 247.2 144 256C144 264.8 151.2 272 160 272zM224 240C215.2 240 208 247.2 208 256C208 264.8 215.2 272 224 272C232.8 272 240 264.8 240 256C240 247.2 232.8 240 224 240zM288 272C296.8 272 304 264.8 304 256C304 247.2 296.8 240 288 240C279.2 240 272 247.2 272 256C272 264.8 279.2 272 288 272zM0 448C0 394.1 42.98 352 96 352H352C405 352 448 394.1 448 448V480C448 497.7 433.7 512 416 512H352V448C352 430.3 337.7 416 320 416H128C110.3 416 96 430.3 96 448V512H32C14.33 512 0 497.7 0 480V448z"]],
    "user-robot-xmarks": [448, 512, [], "e4a7", ["M240 64H208V16C208 7.164 215.2 0 224 0C232.8 0 240 7.164 240 16V64zM48 144V240C48 248.8 40.84 256 32 256C23.16 256 16 248.8 16 240V144C16 135.2 23.16 128 32 128C40.84 128 48 135.2 48 144zM176 512H144V464C144 455.2 151.2 448 160 448C168.8 448 176 455.2 176 464V512zM240 512H208V464C208 455.2 215.2 448 224 448C232.8 448 240 455.2 240 464V512zM288 448C296.8 448 304 455.2 304 464V512H272V464C272 455.2 279.2 448 288 448zM432 240C432 248.8 424.8 256 416 256C407.2 256 400 248.8 400 240V144C400 135.2 407.2 128 416 128C424.8 128 432 135.2 432 144V240z", "M80 128C80 92.65 108.7 64 144 64H304C339.3 64 368 92.65 368 128V256C368 291.3 339.3 320 304 320H144C108.7 320 80 291.3 80 256V128zM160 272C168.8 272 176 264.8 176 256C176 247.2 168.8 240 160 240C151.2 240 144 247.2 144 256C144 264.8 151.2 272 160 272zM224 240C215.2 240 208 247.2 208 256C208 264.8 215.2 272 224 272C232.8 272 240 264.8 240 256C240 247.2 232.8 240 224 240zM288 272C296.8 272 304 264.8 304 256C304 247.2 296.8 240 288 240C279.2 240 272 247.2 272 256C272 264.8 279.2 272 288 272zM136.5 119.5C131.8 114.8 124.2 114.8 119.5 119.5C114.8 124.2 114.8 131.8 119.5 136.5L143 159.1L119.5 183.5C114.8 188.2 114.8 195.8 119.5 200.5C124.2 205.2 131.8 205.2 136.5 200.5L160 176.1L183.5 200.5C188.2 205.2 195.8 205.2 200.5 200.5C205.2 195.8 205.2 188.2 200.5 183.5L176.1 160L200.5 136.5C205.2 131.8 205.2 124.2 200.5 119.5C195.8 114.8 188.2 114.8 183.5 119.5L160 143L136.5 119.5zM247.5 136.5L271 160L247.5 183.5C242.8 188.2 242.8 195.8 247.5 200.5C252.2 205.2 259.8 205.2 264.5 200.5L288 176.1L311.5 200.5C316.2 205.2 323.8 205.2 328.5 200.5C333.2 195.8 333.2 188.2 328.5 183.5L304.1 160L328.5 136.5C333.2 131.8 333.2 124.2 328.5 119.5C323.8 114.8 316.2 114.8 311.5 119.5L288 143L264.5 119.5C259.8 114.8 252.2 114.8 247.5 119.5C242.8 124.2 242.8 131.8 247.5 136.5V136.5zM0 448C0 394.1 42.98 352 96 352H352C405 352 448 394.1 448 448V480C448 497.7 433.7 512 416 512H352V448C352 430.3 337.7 416 320 416H128C110.3 416 96 430.3 96 448V512H32C14.33 512 0 497.7 0 480V448z"]],
    "user-secret": [448, 512, [128373], "f21b", ["M176 320l32 56l-31.99 103.1L184 512h80l7.988-32.05L240 376l32-56H176zM350.8 163.9C341.2 166 331.1 167.9 320 169.5v16.52C320 207 302.8 224 281.6 224h-12.33c-16.46 0-30.29-10.39-35.63-24.99C232.1 194.9 228.4 192 224 192S215.9 194.9 214.4 199C209 213.6 195.2 224 178.8 224h-12.33C145.2 224 128 207 128 186V169.5C116.9 167.9 106.8 166 97.22 163.9C96.83 167.1 96 171.8 96 176c0 70.69 57.31 128 127.1 128S352 246.7 352 176C352 171.8 351.2 167.1 350.8 163.9z", "M105.5 224H48.02C36.7 224 28.96 235.4 33.16 245.9l37.15 92.87C27.87 370.4 0 420.4 0 477.3C0 496.5 15.52 512 34.66 512H184L117.9 247.6C112.9 240.3 108.9 232.3 105.5 224zM377.7 338.8l37.15-92.87C419 235.4 411.3 224 399.1 224h-57.48c-3.375 8.322-7.447 16.28-12.41 23.62L264 512h149.3C432.5 512 448 496.5 448 477.3C448 420.4 420.1 370.4 377.7 338.8zM281.6 224C302.8 224 320 207 320 186V169.5C377.3 161.2 416 145.8 416 128c0-16.08-31.75-30.28-80.31-38.99C323.8 45.15 304.9 0 277.4 0c-10.38 0-19.62 4.5-27.38 10.5c-15.25 11.88-36.75 11.88-52 0C190.3 4.5 181.1 0 170.7 0C143.2 0 124.4 45.16 112.5 88.98C63.83 97.68 32 111.9 32 128c0 17.76 38.67 33.22 96 41.53v16.52C128 207 145.2 224 166.4 224h12.33c16.46 0 30.29-10.39 35.63-24.99C215.9 194.9 219.6 192 224 192s8.105 2.887 9.615 7.008C238.1 213.6 252.8 224 269.3 224H281.6z"]],
    "user-shakespeare": [448, 512, [], "e2c2", ["M282.8 305.1C269.6 311.9 255.3 316.5 240 318.4v66.56c50 4.518 86.76 28.13 87.16 28.38c2.656 1.766 5.75 2.656 8.844 2.656c2.594 0 5.188-.625 7.562-1.906C348.8 411.3 352 405.9 352 400V384C352 343.6 321.8 310.4 282.8 305.1zM96 384v16c0 5.891 3.25 11.3 8.438 14.08c5.188 2.797 11.53 2.516 16.41-.75C121.2 413.1 157.1 389.5 208 384.9V318.4C192.7 316.5 178.4 311.9 165.2 305.1C126.2 310.4 96 343.6 96 384zM320 168V96c0-53.02-42.98-96-96-96S128 42.98 128 96v72c0 48.91 36.71 88.82 84 94.79V240c0-6.625 5.375-12 12-12s12 5.375 12 12v22.79C283.3 256.8 320 216.9 320 168zM264 112c8.836 0 16 7.162 16 16c0 8.836-7.164 16-16 16s-16-7.164-16-16C248 119.2 255.2 112 264 112zM168 128c0-8.838 7.164-16 16-16s16 7.162 16 16c0 8.836-7.164 16-16 16S168 136.8 168 128zM224 191.1C215.8 196.7 202.3 204 188 204C181.4 204 176 198.6 176 191.1c0-6.627 5.375-12 12-12c10.91 0 23.94-9.379 28.06-12.99c4.5-4 11.38-4 15.88 0C236.1 170.6 249.1 179.1 260 179.1c6.625 0 12 5.377 12 12C272 198.6 266.6 204 260 204C245.7 204 232.2 196.7 224 191.1z", "M322.7 256C347.7 256 368 235.7 368 210.7c0-12-4.768-23.51-13.25-32C342.7 166.7 336 150.5 336 133.5V112C336 103.2 328.8 96 320 96v72c0 39.42-23.81 73.22-57.79 88H322.7zM125.3 256h60.54C151.8 241.2 128 207.4 128 168V96C119.2 96 112 103.2 112 112v21.49c0 16.97-6.742 33.25-18.75 45.25C84.77 187.2 80 198.7 80 210.7C80 235.7 100.3 256 125.3 256zM323.6 323.3C340.8 338 352 359.6 352 384v16c0 5.891-3.25 11.3-8.438 14.08C341.2 415.4 338.6 415.1 336 415.1c-3.094 0-6.188-.8906-8.844-2.656C326.7 413 282.1 384 224 384s-102.7 29.05-103.2 29.33c-4.875 3.266-11.22 3.547-16.41 .75C99.25 411.3 96 405.9 96 400V384c0-24.38 11.19-45.97 28.44-60.66C53.25 339.6 0 402.1 0 479.1c0 17.67 14.33 32 32 32h176.2C208.7 502.7 215.5 496 224 496s15.3 6.649 15.81 15.03H416c17.67 0 32-14.33 32-32C448 402.1 394.8 339.6 323.6 323.3zM224 463.1c-8.836 0-16-7.164-16-16s7.164-16 16-16s16 7.164 16 16S232.8 463.1 224 463.1zM264 144c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16s-16 7.162-16 16C248 136.8 255.2 144 264 144zM212 240v32c0 6.625 5.375 12 12 12s12-5.375 12-12v-32c0-6.625-5.375-12-12-12S212 233.4 212 240zM184 144c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16S168 119.2 168 128C168 136.8 175.2 144 184 144zM176 191.1C176 198.6 181.4 204 188 204c14.34 0 27.78-7.316 36-12.91C232.2 196.7 245.7 204 260 204c6.625 0 12-5.377 12-12.01c0-6.627-5.375-12-12-12c-10.91 0-23.94-9.379-28.06-12.99c-4.5-4-11.38-4-15.88 0C211.9 170.6 198.9 179.1 188 179.1C181.4 179.1 176 185.4 176 191.1z"]],
    "user-shield": [640, 512, [], "f505", ["M224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM320.6 310.3C305.9 306.3 290.6 304 274.7 304H173.3C77.61 304 0 381.7 0 477.4C0 496.5 15.52 512 34.66 512H413.3c3.143 0 5.967-1.004 8.861-1.789C369.7 469.8 324.1 400.3 320.6 310.3z", "M622.3 271.1l-115.1-45.01c-4.125-1.629-12.62-3.754-22.25 0L369.8 271.1C359 275.2 352 285.1 352 295.1c0 111.6 68.75 188.8 132.9 213.9c9.625 3.75 18 1.625 22.25 0C558.4 489.9 640 420.5 640 295.1C640 285.1 633 275.2 622.3 271.1zM496 462.4V273.2l95.5 37.38C585.9 397.8 530.6 446 496 462.4z"]],
    "user-slash": [640, 512, [], "f506", ["M447.1 127.1C447.1 57.31 390.7 0 319.1 0C250.2 0 193.7 55.93 192.3 125.4l160.6 125.8C407.5 236.7 447.1 187.3 447.1 127.1zM264.9 304.3c-93.62 2.422-168.9 78.87-168.9 173.1c0 19.14 15.52 34.67 34.66 34.67h378.7c5.625 0 10.73-1.65 15.42-4.029L264.9 304.3z", "M630.8 469.1L38.81 5.109C34.41 1.672 29.19 0 24.03 0C16.91 0 9.845 3.156 5.127 9.187c-8.187 10.44-6.375 25.53 4.062 33.7L601.2 506.9c10.5 8.203 25.56 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1z"]],
    "user-tag": [640, 512, [], "f507", ["M224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM379.8 435c-18.06-18.05-28-42.12-28-67.75v-44.1C328.5 310.7 302.4 304 274.7 304H173.3c-95.73 0-173.3 77.65-173.3 173.4C.0005 496.5 15.52 512 34.66 512h378.7c11.86 0 21.82-6.337 28.07-15.43L379.8 435z", "M630.6 364.8L540.3 274.8C528.3 262.8 512 256 495 256h-79.23c-17.75 0-31.99 14.25-31.99 32l.0147 79.2c0 17 6.647 33.15 18.65 45.15l90.31 90.27c12.5 12.5 32.74 12.5 45.24 0l92.49-92.5C643.1 397.6 643.1 377.3 630.6 364.8zM447.8 343.9c-13.25 0-24-10.62-24-24c0-13.25 10.75-24 24-24c13.38 0 24 10.75 24 24S461.1 343.9 447.8 343.9z"]],
    "user-tie": [448, 512, [], "f508", ["M96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128C352 198.7 294.7 256 224 256C153.3 256 96 198.7 96 128z", "M272 304L238.9 359.2L272.2 483.1L311.7 321.9C388.9 333.9 448 400.7 448 481.3C448 498.2 434.2 512 417.3 512H30.72C13.75 512 0 498.2 0 481.3C0 400.7 59.09 333.9 136.3 321.9L175.8 483.1L209.1 359.2L176 304L272 304z"]],
    "user-tie-hair": [448, 512, [], "e45f", ["M257.9 66.16C269.2 84.1 289.2 96 312 96H347.1C350.6 106.2 352 116.1 352 128C352 198.7 294.7 256 224 256C153.3 256 96 198.7 96 128C96 120.1 96.57 114.1 97.65 107.4C104.5 110.4 112.1 112 120 112H176C210.6 112 240.1 93.66 257.9 66.16V66.16z", "M97.66 107.4C107.5 46.48 160.3 0 224 0C283.6 0 333.8 40.79 347.1 96H312C289.2 96 269.2 84.09 257.9 66.16C240.1 93.66 210.6 112 176 112H120C112.1 112 104.5 110.3 97.66 107.4V107.4zM209.1 359.2L176 304H272L238.9 359.2L272.2 483.1L311.7 321.9C388.9 333.9 448 400.7 448 481.3C448 498.2 434.2 512 417.3 512H30.72C13.75 512 0 498.2 0 481.3C0 400.7 59.09 333.9 136.3 321.9L175.8 483.1L209.1 359.2z"]],
    "user-tie-hair-long": [448, 512, [], "e460", ["M312 96H320L320 160C320 213 277 256 224 256C170.1 256 128 213 128 160L128 112H176C210.6 112 240.1 93.66 257.9 66.16C269.2 84.1 289.2 96 312 96V96z", "M70.63 272C58.13 272 48 261.9 48 249.4C48 243.4 50.38 237.6 54.63 233.4L58.51 229.5C82.51 205.5 96 172.9 96 138.1V128C96 57.31 153.3 0 224 0C294.6 0 351.8 57.1 352 127.6V128.4L352 128.6V138.1C352 172.9 365.5 205.5 389.5 229.5L393.4 233.4C397.6 237.6 400 243.4 400 249.4C400 261.9 389.9 272 377.4 272H70.63zM128 112V160C128 213 170.1 256 224 256C277 256 320 213 320 160L320 96H312C289.2 96 269.2 84.09 257.9 66.16C240.1 93.66 210.6 112 176 112H128zM209.1 359.2L176 304H272L238.9 359.2L272.2 483.1L311.7 321.9C388.9 333.9 448 400.7 448 481.3C448 498.2 434.2 512 417.3 512H30.72C13.75 512 0 498.2 0 481.3C0 400.7 59.09 333.9 136.3 321.9L175.8 483.1L209.1 359.2z"]],
    "user-unlock": [640, 512, [], "e058", ["M224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM320 336c0-8.672 1.738-16.87 4.303-24.7C308.6 306.6 291.9 304 274.7 304H173.3C77.61 304 0 381.7 0 477.4C0 496.5 15.52 512 34.66 512h301.7C326.3 498.6 320 482.1 320 464V336z", "M592 288h-128V208c0-17.62 14.38-32 32-32s32 14.38 32 32V224H576V212.7c0-41.84-30.03-80.04-71.66-84.27C456.5 123.6 416 161.1 416 208V288h-16C373.6 288 352 309.6 352 336v128c0 26.4 21.6 48 48 48h192c26.4 0 48-21.6 48-48v-128C640 309.6 618.4 288 592 288zM496 432c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S513.6 432 496 432z"]],
    "user-visor": [448, 512, [], "e04c", ["M224 0C183.8 0 148.3 18.95 124.8 48h198.3C299.7 18.95 264.3 0 224 0zM342.1 174.6C340.7 175.1 338.5 176 336 176h-224c-2.463 0-4.66-.8659-6.962-1.393C123.7 222.2 169.8 256 224 256S324.3 222.2 342.1 174.6zM325.9 369.6c-.625-1-1.75-1.5-3-1.625c-1.25 0-2.375 .625-3.125 1.5c-19.88 23-31.88 53-35.75 89.5c-.125 1.5 .6252 3.125 1.1 3.875c1.501 .75 3.125 .625 4.5-.375c24.75-19.25 33.75-23.75 37-24.75c.5-.25 .875-.375 1.375-.375c2.25 2 7.625 7.75 19.88 25C349.5 463.4 350.8 464 352 464c.375 0 .875 0 1.25-.125c1.75-.625 2.75-2.125 2.75-4C354.9 424.6 344.8 394.3 325.9 369.6z", "M112 176h224c17.67 0 32-14.33 32-32v-64c0-17.67-14.33-32-32-32h-224c-17.67 0-32 14.33-32 32v64C80 161.7 94.33 176 112 176zM128 96h192v32H128V96zM274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512H413.3C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM353.3 463.9C352.9 464 352.4 464 352 464c-1.25 0-2.5-.625-3.25-1.625c-12.25-17.25-17.62-23-19.88-25c-.5 0-.875 .125-1.375 .375c-3.25 1-12.25 5.5-37 24.75c-1.375 1-2.1 1.125-4.5 .375C284.6 462.1 283.9 460.5 284 459c3.875-36.5 15.88-66.5 35.75-89.5C320.5 368.6 321.6 368 322.9 368c1.25 .125 2.375 .625 3 1.625c18.88 24.62 29 55 30.12 90.25C356 461.8 355 463.3 353.3 463.9z"]],
    "user-vneck": [448, 512, [], "e461", ["M96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128C352 198.7 294.7 256 224 256C153.3 256 96 198.7 96 128z", "M140.2 306.3L224 431.1L307.8 306.3C387.4 319.5 448 388.7 448 471.1V479.1C448 497.7 433.7 511.1 416 511.1H32C14.33 511.1 0 497.7 0 479.1V471.1C0 388.7 60.64 319.5 140.2 306.3z"]],
    "user-vneck-hair": [448, 512, [], "e462", ["M257.9 66.16C269.2 84.1 289.2 96 312 96H347.1C350.6 106.2 352 116.1 352 128C352 198.7 294.7 256 224 256C153.3 256 96 198.7 96 128C96 120.1 96.57 114.1 97.65 107.4C104.5 110.4 112.1 112 120 112H176C210.6 112 240.1 93.66 257.9 66.16V66.16z", "M97.66 107.4C107.5 46.48 160.3 0 224 0C283.6 0 333.8 40.79 347.1 96H312C289.2 96 269.2 84.09 257.9 66.16C240.1 93.66 210.6 112 176 112H120C112.1 112 104.5 110.3 97.66 107.4V107.4zM297.2 320.3C381.4 325.7 448 395.7 448 481.3C448 498.2 434.2 512 417.3 512H30.72C13.75 512 0 498.2 0 481.3C0 395.7 66.62 325.7 150.8 320.3L224 424L297.2 320.3z"]],
    "user-vneck-hair-long": [448, 512, [], "e463", ["M312 96H320L320 160C320 213 277 256 224 256C170.1 256 128 213 128 160L128 112H176C210.6 112 240.1 93.66 257.9 66.16C269.2 84.1 289.2 96 312 96V96z", "M70.63 272C58.13 272 48 261.9 48 249.4C48 243.4 50.38 237.6 54.63 233.4L58.51 229.5C82.51 205.5 96 172.9 96 138.1V128C96 57.31 153.3 0 224 0C294.6 0 351.8 57.1 352 127.6V128.4L352 128.6V138.1C352 172.9 365.5 205.5 389.5 229.5L393.4 233.4C397.6 237.6 400 243.4 400 249.4C400 261.9 389.9 272 377.4 272H70.63zM128 112V160C128 213 170.1 256 224 256C277 256 320 213 320 160L320 96H312C289.2 96 269.2 84.09 257.9 66.16C240.1 93.66 210.6 112 176 112H128zM295.8 320.2C380.7 324.1 448 395.3 448 481.3C448 498.2 434.2 511.1 417.3 511.1H30.72C13.75 511.1 0 498.2 0 481.3C0 395.3 67.34 324.1 152.2 320.2L224 416L295.8 320.2z"]],
    "user-xmark": [640, 512, ["user-times"], "f235", ["M224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512h378.7C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304z", "M577.9 223.1l47.03-47.03c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0L544 190.1l-47.03-47.03c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94l47.03 47.03l-47.03 47.03c-9.375 9.375-9.375 24.56 0 33.94c9.373 9.373 24.56 9.381 33.94 0L544 257.9l47.03 47.03c9.373 9.373 24.56 9.381 33.94 0c9.375-9.375 9.375-24.56 0-33.94L577.9 223.1z"]],
    "users": [640, 512, [], "f0c0", ["M128 160c44.18 0 80-35.82 80-80S172.2 0 128 0C83.82 0 48 35.82 48 80S83.82 160 128 160zM512 160c44.18 0 80-35.82 80-80S556.2 0 512 0c-44.18 0-80 35.82-80 80S467.8 160 512 160zM551.9 192h-61.84c-12.8 0-24.88 3.037-35.86 8.24C454.8 205.5 455.8 210.6 455.8 216c0 33.71-12.78 64.21-33.16 88h199.7C632.1 304 640 295.6 640 285.3C640 233.8 600.6 192 551.9 192zM185.5 200.1C174.6 194.1 162.6 192 149.9 192H88.08C39.44 192 0 233.8 0 285.3C0 295.6 7.887 304 17.62 304h199.5c-20.38-23.79-33.16-54.29-33.16-88C183.9 210.6 184.9 205.4 185.5 200.1z", "M319.9 320c57.41 0 103.1-46.56 103.1-104c0-57.44-46.54-104-103.1-104c-57.41 0-103.1 46.56-103.1 104C215.9 273.4 262.5 320 319.9 320zM369.9 352H270.1C191.6 352 128 411.7 128 485.3C128 500.1 140.7 512 156.4 512h327.2C499.3 512 512 500.1 512 485.3C512 411.7 448.4 352 369.9 352z"]],
    "users-between-lines": [640, 512, [], "e591", ["M83.2 160C83.2 124.7 111.9 96 147.2 96C182.5 96 211.2 124.7 211.2 160C211.2 195.3 182.5 224 147.2 224C111.9 224 83.2 195.3 83.2 160zM192 256C204.2 256 215.7 259.4 225.4 265.4C188.2 280.5 159.8 312.6 149.6 352H64C46.33 352 32 337.7 32 320C32 284.7 60.65 256 96 256H192zM576 352H493.6C483.2 311.9 453.1 279.4 415.9 264.6C425.3 259.1 436.3 256 448 256H544C579.3 256 608 284.7 608 320C608 337.7 593.7 352 576 352zM465.6 384C465.6 401.7 451.3 416 433.6 416H209.6C191.9 416 177.6 401.7 177.6 384C177.6 372.8 179.5 362 183.1 352C193.6 322.3 218.3 299.2 249.1 291.1C256.1 289.1 265.1 288 273.6 288H369.6C377 288 384.3 288.8 391.2 290.4C423.3 297.8 449.3 321.3 460.1 352C463.7 362 465.6 372.8 465.6 384zM435.2 160C435.2 124.7 463.9 96 499.2 96C534.5 96 563.2 124.7 563.2 160C563.2 195.3 534.5 224 499.2 224C463.9 224 435.2 195.3 435.2 160V160zM401.6 176C401.6 220.2 365.8 256 321.6 256C277.4 256 241.6 220.2 241.6 176C241.6 131.8 277.4 96 321.6 96C365.8 96 401.6 131.8 401.6 176z", "M616 0C629.3 0 640 10.75 640 24C640 37.25 629.3 48 616 48H24C10.75 48 0 37.25 0 24C0 10.75 10.75 0 24 0H616zM616 464C629.3 464 640 474.7 640 488C640 501.3 629.3 512 616 512H24C10.75 512 0 501.3 0 488C0 474.7 10.75 464 24 464H616z"]],
    "users-gear": [640, 512, ["users-cog"], "f509", ["M183.9 216c0-5.449 .9824-10.63 1.609-15.91C174.6 194.1 162.6 192 149.9 192H88.08C39.44 192 0 233.8 0 285.3C0 295.6 7.887 304 17.62 304h199.5C196.7 280.2 183.9 249.7 183.9 216zM128 160c44.18 0 80-35.82 80-80S172.2 0 128 0C83.82 0 48 35.82 48 80S83.82 160 128 160zM368 400c0-16.69 3.398-32.46 8.619-47.36C374.3 352.5 372.2 352 369.9 352H270.1C191.6 352 128 411.7 128 485.3C128 500.1 140.7 512 156.4 512h266.1C389.5 485.6 368 445.5 368 400zM551.9 192h-61.84c-12.8 0-24.88 3.037-35.86 8.24C454.8 205.5 455.8 210.6 455.8 216c0 21.47-5.625 41.38-14.65 59.34C462.2 263.4 486.1 256 512 256c42.48 0 80.27 18.74 106.6 48h3.756C632.1 304 640 295.6 640 285.3C640 233.8 600.6 192 551.9 192zM512 160c44.18 0 80-35.82 80-80S556.2 0 512 0c-44.18 0-80 35.82-80 80S467.8 160 512 160zM319.9 112c-57.41 0-103.1 46.56-103.1 104c0 57.44 46.55 104 103.1 104c57.41 0 103.1-46.56 103.1-104C423.8 158.6 377.3 112 319.9 112z", "M597.3 415.8c1.953-10.42 1.953-21.22 0-31.64l19.17-11.17c2.234-1.209 3.256-3.814 2.512-6.326c-5.025-16.01-13.59-30.62-24.75-42.71c-1.674-1.861-4.467-2.326-6.699-1.023l-19.17 11.07c-8.096-6.887-17.4-12.28-27.45-15.82V295.1c0-2.514-1.861-4.746-4.281-5.213c-16.56-3.723-33.5-3.629-49.32 0C484.9 291.2 483.1 293.5 483.1 295.1v22.24c-10.05 3.537-19.36 8.932-27.45 15.82l-19.26-11.07c-2.139-1.303-4.932-.8379-6.697 1.023c-11.17 12.1-19.73 26.71-24.66 42.71c-.7441 2.512 .2793 5.117 2.42 6.326l19.17 11.17c-1.859 10.42-1.859 21.21 0 31.64l-19.17 11.17c-2.234 1.209-3.164 3.816-2.42 6.328c4.932 16.01 13.49 30.52 24.66 42.71c1.766 1.863 4.467 2.328 6.697 1.025l19.26-11.07c8.094 6.887 17.4 12.28 27.45 15.82v22.24c0 2.514 1.77 4.746 4.188 5.211c16.66 3.723 33.5 3.629 49.32 0c2.42-.4648 4.281-2.697 4.281-5.211v-22.24c10.05-3.535 19.36-8.932 27.45-15.82l19.17 11.07c2.141 1.303 5.025 .8379 6.699-1.025c11.17-12.1 19.73-26.7 24.75-42.71c.7441-2.512-.2773-5.119-2.512-6.328L597.3 415.8zM512 432c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32s32 14.33 32 32C544 417.7 529.7 432 512 432z"]],
    "users-line": [640, 512, [], "e592", ["M83.2 96C83.2 60.65 111.9 32 147.2 32C182.5 32 211.2 60.65 211.2 96C211.2 131.3 182.5 160 147.2 160C111.9 160 83.2 131.3 83.2 96zM192 192C204.2 192 215.7 195.4 225.4 201.4C188.2 216.5 159.8 248.6 149.6 288H64C46.33 288 32 273.7 32 256C32 220.7 60.65 192 96 192H192zM576 288H493.6C483.2 247.9 453.1 215.4 415.9 200.6C425.3 195.1 436.3 192 448 192H544C579.3 192 608 220.7 608 256C608 273.7 593.7 288 576 288zM465.6 320C465.6 337.7 451.3 352 433.6 352H209.6C191.9 352 177.6 337.7 177.6 320C177.6 308.8 179.5 298 183.1 288C193.6 258.3 218.3 235.2 249.1 227.1C256.1 225.1 265.1 224 273.6 224H369.6C377 224 384.3 224.8 391.2 226.4C423.3 233.8 449.3 257.3 460.1 288C463.7 298 465.6 308.8 465.6 320zM435.2 96C435.2 60.65 463.9 32 499.2 32C534.5 32 563.2 60.65 563.2 96C563.2 131.3 534.5 160 499.2 160C463.9 160 435.2 131.3 435.2 96V96zM401.6 112C401.6 156.2 365.8 192 321.6 192C277.4 192 241.6 156.2 241.6 112C241.6 67.82 277.4 32 321.6 32C365.8 32 401.6 67.82 401.6 112z", "M0 448C0 430.3 14.33 416 32 416H608C625.7 416 640 430.3 640 448C640 465.7 625.7 480 608 480H32C14.33 480 0 465.7 0 448z"]],
    "users-medical": [640, 512, [], "f830", ["M128 160c44.18 0 80-35.82 80-80S172.2 0 128 0C83.82 0 48 35.82 48 80S83.82 160 128 160zM319.9 320c57.41 0 103.1-46.56 103.1-104c0-57.44-46.54-104-103.1-104c-57.41 0-103.1 46.56-103.1 104C215.9 273.4 262.5 320 319.9 320zM512 160c44.18 0 80-35.82 80-80S556.2 0 512 0c-44.18 0-80 35.82-80 80S467.8 160 512 160zM476 484h-16c-24.26 0-44-19.74-44-44v-48c0-10.1 4.199-20.94 10.89-28.66C409.4 356.1 390.2 352 369.9 352H270.1C191.6 352 128 411.7 128 485.3C128 500.1 140.7 512 156.4 512h321.5C476.8 508.2 476 504.2 476 500V484zM551.9 192h-61.84c-12.8 0-24.88 3.037-35.86 8.24C454.8 205.5 455.8 210.6 455.8 216c0 33.71-12.78 64.21-33.16 88h63.7C494.4 294.3 506.4 288 520 288h48c13.57 0 25.58 6.309 33.65 16h20.73C632.1 304 640 295.6 640 285.3C640 233.8 600.6 192 551.9 192zM183.9 216c0-5.449 .9824-10.63 1.609-15.91C174.6 194.1 162.6 192 149.9 192H88.08C39.44 192 0 233.8 0 285.3C0 295.6 7.887 304 17.62 304h199.5C196.7 280.2 183.9 249.7 183.9 216z", "M628 380h-48v-48c0-6.627-5.373-12-12-12h-48c-6.627 0-12 5.373-12 12v48h-48c-6.627 0-12 5.373-12 12v48c0 6.627 5.373 12 12 12h48v48c0 6.627 5.373 12 12 12h48c6.627 0 12-5.373 12-12v-48h48c6.627 0 12-5.373 12-12v-48C640 385.4 634.6 380 628 380z"]],
    "users-rays": [640, 512, [], "e593", ["M127.8 176C127.8 149.5 149.3 128 175.8 128C202.3 128 223.8 149.5 223.8 176C223.8 202.5 202.3 224 175.8 224C149.3 224 127.8 202.5 127.8 176V176zM218.7 256C227.8 256 236.5 258.3 244 262.4C211.6 274.3 186.8 301.9 178.8 336H122.7C107.9 336 96 324.1 96 309.3C96 279.9 119.9 256 149.3 256H218.7zM517.3 336H461.2C453.2 301.9 428.4 274.3 395.1 262.4C403.5 258.3 412.2 256 421.3 256H490.7C520.1 256 544 279.9 544 309.3C544 324.1 532.1 336 517.3 336H517.3zM432 360C432 373.3 421.3 384 408 384H232C218.7 384 208 373.3 208 360C208 351.6 209.4 343.5 212.1 336C220.7 311.7 241.1 293.4 267.1 288.1C271.9 288.3 275.9 288 280 288H360C364.1 288 368.1 288.3 372 288.1C398 293.4 419.3 311.7 427.9 336C430.6 343.5 432 351.6 432 360zM416 176C416 149.5 437.5 128 464 128C490.5 128 512 149.5 512 176C512 202.5 490.5 224 464 224C437.5 224 416 202.5 416 176zM384 192C384 227.3 355.3 256 320 256C284.7 256 256 227.3 256 192C256 156.7 284.7 128 320 128C355.3 128 384 156.7 384 192z", "M112.1 79.03C122.3 88.4 122.3 103.6 112.1 112.1C103.6 122.3 88.4 122.3 79.03 112.1L7.029 40.97C-2.343 31.6-2.343 16.4 7.029 7.029C16.4-2.343 31.6-2.343 40.97 7.029L112.1 79.03zM599 7.029C608.4-2.343 623.6-2.343 632.1 7.029C642.3 16.4 642.3 31.6 632.1 40.97L560.1 112.1C551.6 122.3 536.4 122.3 527 112.1C517.7 103.6 517.7 88.4 527 79.03L599 7.029zM7.029 471L79.03 399C88.4 389.7 103.6 389.7 112.1 399C122.3 408.4 122.3 423.6 112.1 432.1L40.97 504.1C31.6 514.3 16.4 514.3 7.029 504.1C-2.343 495.6-2.343 480.4 7.029 471V471zM527 432.1C517.7 423.6 517.7 408.4 527 399C536.4 389.7 551.6 389.7 560.1 399L632.1 471C642.3 480.4 642.3 495.6 632.1 504.1C623.6 514.3 608.4 514.3 599 504.1L527 432.1z"]],
    "users-rectangle": [640, 512, [], "e594", ["M127.8 176C127.8 149.5 149.3 128 175.8 128C202.3 128 223.8 149.5 223.8 176C223.8 202.5 202.3 224 175.8 224C149.3 224 127.8 202.5 127.8 176V176zM218.7 256C227.8 256 236.5 258.3 244 262.4C211.6 274.3 186.8 301.9 178.8 336H122.7C107.9 336 96 324.1 96 309.3C96 279.9 119.9 256 149.3 256H218.7zM517.3 336H461.2C453.2 301.9 428.4 274.3 395.1 262.4C403.5 258.3 412.2 256 421.3 256H490.7C520.1 256 544 279.9 544 309.3C544 324.1 532.1 336 517.3 336H517.3zM432 360C432 373.3 421.3 384 408 384H232C218.7 384 208 373.3 208 360C208 351.6 209.4 343.5 212.1 336C220.7 311.7 241.1 293.4 267.1 288.1C271.9 288.3 275.9 288 280 288H360C364.1 288 368.1 288.3 372 288.1C398 293.4 419.3 311.7 427.9 336C430.6 343.5 432 351.6 432 360zM416 176C416 149.5 437.5 128 464 128C490.5 128 512 149.5 512 176C512 202.5 490.5 224 464 224C437.5 224 416 202.5 416 176zM384 192C384 227.3 355.3 256 320 256C284.7 256 256 227.3 256 192C256 156.7 284.7 128 320 128C355.3 128 384 156.7 384 192z", "M0 96C0 42.98 42.98 0 96 0H544C597 0 640 42.98 640 96V416C640 469 597 512 544 512H96C42.98 512 0 469 0 416V96zM96 64C78.33 64 64 78.33 64 96V416C64 433.7 78.33 448 96 448H544C561.7 448 576 433.7 576 416V96C576 78.33 561.7 64 544 64H96z"]],
    "users-slash": [640, 512, [], "e073", ["M208 80C208 35.82 172.2 0 128 0C103.8 0 82.52 10.97 67.96 27.95l125.2 98.1C202.4 113.1 208 97.24 208 80zM423.8 216c0-57.44-46.54-104-103.1-104c-35.93 0-67.07 18.53-85.59 46.3l162.3 127.2C413.4 267.2 423.8 242.9 423.8 216zM512 160c44.18 0 80-35.82 80-80S556.2 0 512 0c-44.18 0-80 35.82-80 80S467.8 160 512 160zM270.1 352C191.6 352 128 411.7 128 485.3C128 500.1 140.7 512 156.4 512h327.2c11.62 0 21.54-6.583 25.95-15.96L325.7 352H270.1zM186.1 243.2L121.6 192H88.08C39.44 192 0 233.8 0 285.3C0 295.6 7.887 304 17.62 304h199.5C202.4 286.8 191.8 266.1 186.1 243.2zM551.9 192h-61.84c-12.8 0-24.88 3.037-35.86 8.24C454.8 205.5 455.8 210.6 455.8 216c0 33.71-12.78 64.21-33.16 88h199.7C632.1 304 640 295.6 640 285.3C640 233.8 600.6 192 551.9 192z", "M634.9 502.8c-8.125 10.41-23.19 12.28-33.69 4.078L9.189 42.89c-10.44-8.172-12.25-23.26-4.062-33.7C9.846 3.156 16.91 0 24.03 0c5.156 0 10.38 1.672 14.78 5.109l591.1 463.1C641.2 477.3 643.1 492.4 634.9 502.8z"]],
    "users-viewfinder": [640, 512, [], "e595", ["M127.8 176C127.8 149.5 149.3 128 175.8 128C202.3 128 223.8 149.5 223.8 176C223.8 202.5 202.3 224 175.8 224C149.3 224 127.8 202.5 127.8 176V176zM218.7 256C227.8 256 236.5 258.3 244 262.4C211.6 274.3 186.8 301.9 178.8 336H122.7C107.9 336 96 324.1 96 309.3C96 279.9 119.9 256 149.3 256H218.7zM517.3 336H461.2C453.2 301.9 428.4 274.3 395.1 262.4C403.5 258.3 412.2 256 421.3 256H490.7C520.1 256 544 279.9 544 309.3C544 324.1 532.1 336 517.3 336H517.3zM432 360C432 373.3 421.3 384 408 384H232C218.7 384 208 373.3 208 360C208 351.6 209.4 343.5 212.1 336C220.7 311.7 241.1 293.4 267.1 288.1C271.9 288.3 275.9 288 280 288H360C364.1 288 368.1 288.3 372 288.1C398 293.4 419.3 311.7 427.9 336C430.6 343.5 432 351.6 432 360zM416 176C416 149.5 437.5 128 464 128C490.5 128 512 149.5 512 176C512 202.5 490.5 224 464 224C437.5 224 416 202.5 416 176zM384 192C384 227.3 355.3 256 320 256C284.7 256 256 227.3 256 192C256 156.7 284.7 128 320 128C355.3 128 384 156.7 384 192z", "M136 48H48V136C48 149.3 37.25 160 24 160C10.75 160 0 149.3 0 136V32C0 14.33 14.33 0 32 0H136C149.3 0 160 10.75 160 24C160 37.25 149.3 48 136 48zM480 24C480 10.75 490.7 0 504 0H608C625.7 0 640 14.33 640 32V136C640 149.3 629.3 160 616 160C602.7 160 592 149.3 592 136V48H504C490.7 48 480 37.25 480 24zM48 464H136C149.3 464 160 474.7 160 488C160 501.3 149.3 512 136 512H32C14.33 512 0 497.7 0 480V376C0 362.7 10.75 352 24 352C37.25 352 48 362.7 48 376V464zM504 464H592V376C592 362.7 602.7 352 616 352C629.3 352 640 362.7 640 376V480C640 497.7 625.7 512 608 512H504C490.7 512 480 501.3 480 488C480 474.7 490.7 464 504 464z"]],
    "utensils": [448, 512, [61685, 127860, "cutlery"], "f2e7", ["M221.6 148.8C224.7 161.4 224.8 174.6 222.1 187.3C219.3 200.1 213.7 211.1 205.6 222.2C197.1 232.6 186.5 240.1 174.5 246.8C162.4 252.7 149.2 255.8 135.8 256H88.16C74.77 255.9 61.57 252.8 49.5 246.1C37.43 241.2 26.78 232.8 18.31 222.4C10.2 212.2 4.542 200.2 1.769 187.5C-1.005 174.7-.821 161.5 2.306 148.8L32.55 12.45C33.4 8.598 35.64 5.197 38.85 2.9C42.06 .602 46-.4297 49.92 .0026C53.85 .4375 57.48 2.314 60.11 5.268C62.74 8.223 64.19 12.05 64.16 16V160H81.54L98.63 11.94C99.02 8.667 100.6 5.653 103.1 3.466C105.5 1.28 108.7 .0721 112 .0721C115.3 .0721 118.5 1.28 120.9 3.466C123.4 5.653 124.1 8.667 125.4 11.94L142.5 160H160V16C159.1 12.07 161.4 8.268 163.1 5.317C166.6 2.366 170.2 .474 174.1 .0026C178-.4262 181.1 .619 185.2 2.936C188.4 5.253 190.6 8.677 191.5 12.55L221.6 148.8zM419.3 .2602C424.5 .8279 429.4 2.66 433.7 5.594C437.1 8.528 441.5 12.47 443.9 17.08C446.3 21.69 447.5 26.81 447.4 32V352H351.2C342.8 351.1 334.5 350.3 326.7 347.1C318.1 343.8 311.9 339 305.1 333.1C300.1 327.1 295.4 319.1 292.3 312.2C289.1 304.4 287.5 296 287.6 287.6V173.8C287.7 136.9 298.8 100.8 319.6 70.23C340.4 39.67 369.8 16.02 404.1 2.339C408.9 .4062 414.2-.3078 419.3 .2599V.2602z", "M136.2 255.1C141.5 255.9 146.9 255.2 152.2 254V472C152.2 482.6 147.9 492.8 140.4 500.3C132.9 507.8 122.8 512 112.2 512C101.6 512 91.38 507.8 83.88 500.3C76.37 492.8 72.16 482.6 72.16 472V254.1C77.42 255.2 82.78 255.9 88.16 255.1H136.2zM448 472C448 482.6 443.8 492.8 436.3 500.3C428.8 507.8 418.6 512 408 512C397.4 512 387.2 507.8 379.7 500.3C372.2 492.8 368 482.6 368 472V352H446.8L448 472z"]],
    "utensils-slash": [640, 512, [], "e464", ["M96.35 172.2L247.1 291.2V472C247.1 482.6 243.8 492.8 236.3 500.3C228.8 507.8 218.6 512 207.1 512C197.4 512 187.2 507.8 179.7 500.3C172.2 492.8 167.1 482.6 167.1 472V254.1C147 250.1 128.1 238.8 114.5 222.3C103.1 208.1 96.73 190.5 96.35 172.2zM160.2 100.2L116.6 66.11L128.5 12.42C129.3 8.547 131.6 5.128 134.8 2.829C138 .5309 141.1-.4791 145.9-.001C149.8 .4265 153.5 2.3 156.1 5.255C158.7 8.211 160.2 12.04 160.2 15.1V100.2zM317.7 148.8C320.3 160 320.7 171.6 318.7 182.9C316.7 194.3 312.5 205.1 306.3 214.7L182.4 117.7L194.6 11.9C195 8.632 196.6 5.617 199.1 3.431C201.5 1.244 204.7 .0365 207.1 .0365C211.3 .0365 214.5 1.244 216.9 3.431C219.4 5.617 220.1 8.632 221.4 11.9L238.5 159.1H255.1V15.1C255.1 12.07 257.4 8.264 259.1 5.313C262.6 2.362 266.2 .4704 270.1-.001C274-.4823 278 .5424 281.2 2.868C284.4 5.193 286.7 8.648 287.5 12.54L317.7 148.8zM544 401.1L383.3 275.2L384 173.8C384 136.9 395.1 100.8 415.8 70.27C436.5 39.7 465.8 16.04 500.1 2.335C504.1 .3971 510.2-.3242 515.4 .2352C520.6 .7942 525.6 2.616 529.9 5.542C534.2 8.468 537.8 12.41 540.2 17.02C542.7 21.63 543.1 26.78 544 31.1V401.1z", "M639.8 485.1C640.6 491.4 638.8 497.8 634.9 502.8C630.1 507.8 625.2 511.1 618.9 511.8C612.6 512.6 606.2 510.8 601.2 506.9L9.184 42.88C4.231 38.93 1.038 33.19 .3029 26.89C-.4322 20.6 1.35 14.28 5.26 9.293C9.171 4.31 14.89 1.075 21.18 .293C27.46-.4888 33.8 1.246 38.82 5.12L630.8 469.1C635.8 473 639.1 478.8 639.8 485.1L639.8 485.1z"]],
    "utility-pole": [512, 512, [], "e2c3", ["M128 55.1C128 42.74 117.3 32 104 32S80 42.74 80 55.1V64H128V55.1zM24 32C10.75 32 0 42.74 0 55.1V64h48V55.1C48 42.74 37.25 32 24 32zM83.16 128L224 221.9V183.4L140.8 128H83.16zM488 32c-13.25 0-24 10.74-24 23.1V64H512V55.1C512 42.74 501.3 32 488 32zM408 32C394.7 32 384 42.74 384 55.1V64h48V55.1C432 42.74 421.3 32 408 32zM288 183.4v38.46L428.8 128h-57.69L288 183.4z", "M512 64v32c0 17.67-14.33 32-32 32h-192v384H224V128H32C14.33 128 0 113.7 0 96V64h224V16C224 7.162 231.2 0 240 0h32C280.8 0 288 7.162 288 16V64H512z"]],
    "utility-pole-double": [512, 512, [], "e2c4", ["M24 32C10.75 32 0 42.74 0 55.1V64h48V55.1C48 42.74 37.25 32 24 32zM128 55.1C128 42.74 117.3 32 104 32S80 42.74 80 55.1V64H128V55.1zM83.16 128L224 221.9V183.4L140.8 128H83.16zM488 32c-13.25 0-24 10.74-24 23.1V64H512V55.1C512 42.74 501.3 32 488 32zM408 32C394.7 32 384 42.74 384 55.1V64h48V55.1C432 42.74 421.3 32 408 32zM371.2 128L288 183.4v38.46L428.8 128H371.2zM24 224C10.75 224 0 234.7 0 247.1V256h48V247.1C48 234.7 37.25 224 24 224zM83.16 320L224 413.9v-38.46L140.8 320H83.16zM488 224c-13.25 0-24 10.74-24 23.1V256H512V247.1C512 234.7 501.3 224 488 224zM408 224C394.7 224 384 234.7 384 247.1V256h48V247.1C432 234.7 421.3 224 408 224zM288 375.4v38.46L428.8 320h-57.69L288 375.4zM128 247.1C128 234.7 117.3 224 104 224S80 234.7 80 247.1V256H128V247.1z", "M288 128v128h224v32c0 17.67-14.33 32-32 32h-192v192H224v-192H32c-17.67 0-32-14.33-32-32V256h224V128H32C14.33 128 0 113.7 0 96V64h224V16C224 7.162 231.2 0 240 0h32C280.8 0 288 7.162 288 16V64h224v32c0 17.67-14.33 32-32 32H288z"]],
    "v": [384, 512, [118], "56", ["M381.5 76.33l-160 384C216.6 472.2 204.9 480 192 480s-24.56-7.757-29.53-19.68l-160-384c-6.797-16.31 .9062-35.05 17.22-41.84c16.38-6.859 35.08 .9219 41.84 17.22L192 364.8l130.5-313.1c6.766-16.3 25.47-24.09 41.84-17.22C380.6 41.28 388.3 60.01 381.5 76.33z", ""]],
    "vacuum": [640, 512, [], "e04d", ["M576 320v128c0 35.35-28.65 64-64 64h-65.78c44.91-41.51 47.66-111.6 6.148-156.5C426.8 327.9 389 315.1 352 321.6V160c0-17.67 14.33-32 32-32C489.1 128 576 214 576 320z", "M368 352C323.8 352 288 387.8 288 432c0 44.18 35.82 80 80 80s80-35.82 80-80C448 387.8 412.2 352 368 352zM368 448c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16s16 7.162 16 16C384 440.8 376.8 448 368 448zM640 128c-.0762-70.66-57.34-127.9-128-128H301.6C241.6 0 189 42.59 176.5 101.2L102.1 448H48C21.49 448 0 469.5 0 496C0 504.8 7.164 512 16 512h160C184.8 512 192 504.8 192 496v-32C192 455.2 184.8 448 176 448H167.6L239 114.6C245.4 85.16 271.5 64.11 301.6 64H512c35.35 .1406 63.88 28.91 63.74 64.26c-.1211 29.96-20.1 55.82-50.26 62.25c15.14 16.43 27.27 35.39 35.88 56c-.1484-.3711-.2402-.7666-.3887-1.138C607.2 226.1 640 181.1 640 128z"]],
    "vacuum-robot": [512, 512, [], "e04e", ["M139.3 308.7c-6.25-6.25-16.38-6.25-22.63 0C113.6 311.8 112 315.9 112 319.1c0 4.094 1.562 8.187 4.687 11.31l64 64c3.125 3.125 7.219 4.688 11.31 4.688s8.188-1.563 11.31-4.688c6.25-6.25 6.25-16.38 0-22.63L139.3 308.7zM155.3 228.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.63l128 128c3.125 3.125 7.219 4.688 11.31 4.688s8.188-1.563 11.31-4.688c6.25-6.25 6.25-16.38 0-22.63L155.3 228.7zM299.3 276.7l-64-64C232.2 209.6 228.1 208 224 208C219.9 207.1 215.8 209.6 212.7 212.7C206.4 218.9 206.4 229.1 212.7 235.3l64 64C279.8 302.4 283.9 303.1 288 303.1s8.188-1.563 11.31-4.688C302.4 296.2 303.1 292.1 304 288C304 283.9 302.4 279.8 299.3 276.7z", "M437 74.99C337-24.1 174.1-24.1 74.99 74.99C-24.99 174.1-24.99 337 74.99 437c99.99 99.99 262 99.99 362 .0027C536.1 337 536.1 174.1 437 74.99zM203.3 395.3c-3.125 3.125-7.219 4.688-11.31 4.688s-8.188-1.562-11.31-4.688l-64-64c-6.25-6.25-6.25-16.37 0-22.63c6.25-6.25 16.38-6.25 22.63 0l64 64C209.6 378.9 209.6 389.1 203.3 395.3zM283.3 379.3C280.2 382.4 276.1 383.1 272 383.1s-8.188-1.562-11.31-4.688L132.7 251.3c-6.25-6.25-6.25-16.37 0-22.63s16.37-6.25 22.62 0l128 128C289.6 362.9 289.6 373.1 283.3 379.3zM299.3 299.3C296.2 302.4 292.1 303.1 288 303.1c-4.094 0-8.188-1.562-11.31-4.687l-64-64c-6.25-6.25-6.25-16.38 0-22.63c6.25-6.25 16.38-6.25 22.63 0l64 64C305.6 282.9 305.6 293.1 299.3 299.3zM379.3 379.3c-3.125 3.125-7.219 4.688-11.31 4.688c-4.094 0-8.188-1.562-11.31-4.688c-6.25-6.25-6.25-16.38 0-22.63c27.47-27.47 42.84-63.31 43.31-100.9c.4687-38.13-14.44-74.31-41.98-101.8c-27.52-27.53-62.72-41.97-101.8-41.97c-37.58 .4688-73.41 15.84-100.9 43.31c-6.25 6.25-16.38 6.25-22.63 0c-6.25-6.25-6.25-16.38 0-22.63c33.41-33.41 77.12-52.13 123.1-52.69c45.98-1.094 91.14 17.66 124.8 51.34c33.69 33.69 51.92 78.03 51.36 124.8C431.4 302.2 412.7 345.9 379.3 379.3z"]],
    "value-absolute": [512, 512, [], "f6a6", ["M32 32.01c-17.67 0-32 14.31-32 32v384c0 17.69 14.33 32 32 32s32-14.31 32-32v-384C64 46.33 49.67 32.01 32 32.01zM480 32.01c-17.67 0-32 14.31-32 32v384c0 17.69 14.33 32 32 32s32-14.31 32-32v-384C512 46.33 497.7 32.01 480 32.01z", "M374.6 137.4c-12.5-12.5-32.75-12.5-45.25 0L256 210.8L182.6 137.4c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25l73.38 73.37l-73.38 73.38c-12.5 12.5-12.5 32.75 0 45.25C143.6 380.9 151.8 384 160 384s16.38-3.125 22.62-9.375L256 301.3l73.38 73.38C335.6 380.9 343.8 384 352 384s16.38-3.125 22.62-9.375c12.5-12.5 12.5-32.75 0-45.25l-73.38-73.38l73.38-73.37C387.1 170.1 387.1 149.9 374.6 137.4z"]],
    "van-shuttle": [640, 512, [128656, "shuttle-van"], "f5b6", ["M80 400C80 355.8 115.8 320 160 320C204.2 320 240 355.8 240 400C240 444.2 204.2 480 160 480C115.8 480 80 444.2 80 400zM400 400C400 355.8 435.8 320 480 320C524.2 320 560 355.8 560 400C560 444.2 524.2 480 480 480C435.8 480 400 444.2 400 400z", "M465.1 32C483.1 32 501.9 40.34 514.1 54.78L624.1 186.5C634.7 197.1 640 212.6 640 227.7V336C640 362.5 618.5 384 592 384H590.9C583.1 329.7 536.4 288 480 288C423.6 288 376.9 329.7 369.1 384H270.9C263.1 329.7 216.4 288 160 288C103.6 288 56.9 329.7 49.13 384H48C21.49 384 0 362.5 0 336V104C0 64.24 32.24 32 72 32H465.1zM64 192H160V96H72C67.58 96 64 99.58 64 104V192zM545.1 192L465.1 96H384V192H545.1zM320 192V96H224V192H320z"]],
    "vault": [576, 512, [], "e2c5", ["M512 0C547.3 0 576 28.65 576 64V416C576 451.3 547.3 480 512 480H496L480 512H416L400 480H176L160 512H96L80 480H64C28.65 480 0 451.3 0 416V64C0 28.65 28.65 0 64 0H512zM224 80C135.6 80 64 151.6 64 240C64 328.4 135.6 400 224 400C312.4 400 384 328.4 384 240C384 151.6 312.4 80 224 80zM480 221.3C498.6 214.7 512 196.9 512 176C512 149.5 490.5 128 464 128C437.5 128 416 149.5 416 176C416 196.9 429.4 214.7 448 221.3V336C448 344.8 455.2 352 464 352C472.8 352 480 344.8 480 336V221.3z", "M384 240C384 328.4 312.4 400 224 400C135.6 400 64 328.4 64 240C64 151.6 135.6 80 224 80C312.4 80 384 151.6 384 240zM224 160C179.8 160 144 195.8 144 240C144 284.2 179.8 320 224 320C268.2 320 304 284.2 304 240C304 195.8 268.2 160 224 160zM512 176C512 196.9 498.6 214.7 480 221.3V336C480 344.8 472.8 352 464 352C455.2 352 448 344.8 448 336V221.3C429.4 214.7 416 196.9 416 176C416 149.5 437.5 128 464 128C490.5 128 512 149.5 512 176z"]],
    "vector-circle": [512, 512, [], "e2c6", ["M41.28 191.1C62.78 119.8 119.8 62.78 192 41.28V95.1C192 100.3 192.9 104.5 194.4 108.3C155.6 124.5 124.5 155.6 108.3 194.4C104.5 192.9 100.3 191.1 96 191.1H41.28zM96 319.1C100.3 319.1 104.5 319.1 108.3 317.6C124.5 356.4 155.6 387.5 194.4 403.7C192.9 407.5 192 411.7 192 416V470.7C119.8 449.2 62.78 392.2 41.28 319.1H96zM470.7 319.1C449.2 392.2 392.2 449.2 320 470.7V416C320 411.7 319.1 407.5 317.6 403.7C356.4 387.5 387.5 356.4 403.7 317.6C407.5 319.1 411.7 319.1 416 319.1H470.7zM470.7 191.1H416C411.7 191.1 407.5 192.9 403.7 194.4C387.5 155.6 356.4 124.5 317.6 108.3C319.1 104.5 320 100.3 320 95.1V41.28C392.2 62.78 449.2 119.8 470.7 191.1z", "M192 32C192 14.33 206.3 0 224 0H288C305.7 0 320 14.33 320 32V96C320 113.7 305.7 128 288 128H224C206.3 128 192 113.7 192 96V32zM272 80V48H240V80H272zM0 224C0 206.3 14.33 192 32 192H96C113.7 192 128 206.3 128 224V288C128 305.7 113.7 320 96 320H32C14.33 320 0 305.7 0 288V224zM80 272V240H48V272H80zM288 384C305.7 384 320 398.3 320 416V480C320 497.7 305.7 512 288 512H224C206.3 512 192 497.7 192 480V416C192 398.3 206.3 384 224 384H288zM240 432V464H272V432H240zM384 224C384 206.3 398.3 192 416 192H480C497.7 192 512 206.3 512 224V288C512 305.7 497.7 320 480 320H416C398.3 320 384 305.7 384 288V224zM464 272V240H432V272H464z"]],
    "vector-polygon": [448, 512, [], "e2c7", ["M320 64V128H128V64H320zM322.2 139.7C326.9 151.6 338.4 160 352 160H384.3L351.4 217.6C348.4 203 335.5 192 320 192H292.3L322.2 139.7zM320 320C335.5 320 348.4 308.1 351.4 294.4L384.3 352H352C338.4 352 326.9 360.4 322.2 372.3L292.3 320H320zM128 448V384H320V448H128zM32 352V160H96V352H32z", "M96 32C113.7 32 128 46.33 128 64V128C128 145.7 113.7 160 96 160H32C14.33 160 0 145.7 0 128V64C0 46.33 14.33 32 32 32H96zM80 80H48V112H80V80zM416 32C433.7 32 448 46.33 448 64V128C448 145.7 433.7 160 416 160H352C334.3 160 320 145.7 320 128V64C320 46.33 334.3 32 352 32H416zM400 80H368V112H400V80zM0 384C0 366.3 14.33 352 32 352H96C113.7 352 128 366.3 128 384V448C128 465.7 113.7 480 96 480H32C14.33 480 0 465.7 0 448V384zM48 432H80V400H48V432zM416 352C433.7 352 448 366.3 448 384V448C448 465.7 433.7 480 416 480H352C334.3 480 320 465.7 320 448V384C320 366.3 334.3 352 352 352H416zM400 400H368V432H400V400zM224 224C224 206.3 238.3 192 256 192H320C337.7 192 352 206.3 352 224V288C352 305.7 337.7 320 320 320H256C238.3 320 224 305.7 224 288V224zM272 272H304V240H272V272z"]],
    "vector-square": [448, 512, [], "f5cb", ["M320 128H128V64H320V128zM320 448H128V384H320V448zM32 160H96V352H32V160zM416 352H352V160H416V352z", "M416 32C433.7 32 448 46.33 448 64V128C448 145.7 433.7 160 416 160H352C334.3 160 320 145.7 320 128V64C320 46.33 334.3 32 352 32H416zM368 80V112H400V80H368zM0 384C0 366.3 14.33 352 32 352H96C113.7 352 128 366.3 128 384V448C128 465.7 113.7 480 96 480H32C14.33 480 0 465.7 0 448V384zM80 432V400H48V432H80zM320 384C320 366.3 334.3 352 352 352H416C433.7 352 448 366.3 448 384V448C448 465.7 433.7 480 416 480H352C334.3 480 320 465.7 320 448V384zM400 432V400H368V432H400zM0 64C0 46.33 14.33 32 32 32H96C113.7 32 128 46.33 128 64V128C128 145.7 113.7 160 96 160H32C14.33 160 0 145.7 0 128V64zM80 112V80H48V112H80z"]],
    "vent-damper": [640, 512, [], "e465", ["M464 304h-288C167.2 304 160 311.2 160 320s7.168 16 16 16h288c8.832 0 16-7.168 16-16S472.8 304 464 304zM0 192v128c0 17.66 14.34 32 32 32h32V160H32C14.34 160 0 174.3 0 192zM464 240h-288C167.2 240 160 247.2 160 256s7.168 16 16 16h288C472.8 272 480 264.8 480 256S472.8 240 464 240zM608 160h-32v192h32c17.66 0 32-14.34 32-32V192C640 174.3 625.7 160 608 160zM464 176h-288C167.2 176 160 183.2 160 192s7.168 16 16 16h288C472.8 208 480 200.8 480 192S472.8 176 464 176z", "M512 64H128C92.64 64 64 92.64 64 128v256c0 35.36 28.64 64 64 64h384c35.36 0 64-28.64 64-64V128C576 92.64 547.4 64 512 64zM512 384H128V128h384V384z"]],
    "venus": [384, 512, [9792], "f221", ["M256 176c0 35.35-28.65 64-64 64s-64-28.65-64-64s28.65-64 64-64S256 140.7 256 176z", "M368 176c0-97.2-78.8-176-176-176c-97.2 0-176 78.8-176 176c0 86.26 62.1 157.9 144 172.1v35.05H112c-8.836 0-16 7.162-16 16v32c0 8.836 7.164 16 16 16H160v48c0 8.836 7.164 16 16 16h32c8.838 0 16-7.164 16-16v-48h48c8.838 0 16-7.164 16-16v-32c0-8.838-7.162-16-16-16H224v-35.05C305.9 333.9 368 262.3 368 176zM192 272c-52.93 0-96-43.07-96-96c0-52.94 43.07-96 96-96c52.94 0 96 43.06 96 96C288 228.9 244.9 272 192 272z"]],
    "venus-double": [640, 512, [9890], "f226", ["M192 112c-35.35 0-64 28.65-64 64c0 35.35 28.65 64 64 64s64-28.65 64-64C256 140.7 227.3 112 192 112zM624 176C624 78.8 545.2 0 448 0c-39.02 0-74.95 12.85-104.1 34.34c18.38 19.7 32.94 42.91 42.62 68.58C403.2 88.83 424.5 80 448 80c52.94 0 96 43.06 96 96c0 52.93-43.06 96-96 96c-23.57 0-44.91-8.869-61.63-23.02c-9.572 25.45-23.95 48.54-42.23 68.23C365.1 332.7 389.3 344 416 348.1V384h-48c-8.836 0-16 7.162-16 16v32c0 8.836 7.164 16 16 16H416v48c0 8.836 7.164 16 16 16h32c8.838 0 16-7.164 16-16V448h48c8.838 0 16-7.164 16-16v-32c0-8.838-7.162-16-16-16H480v-35.05C561.9 333.9 624 262.3 624 176z", "M368 176c0-97.2-78.8-176-176-176c-97.2 0-176 78.8-176 176c0 86.26 62.1 157.9 144 172.1v35.05H112c-8.836 0-16 7.162-16 16v32c0 8.836 7.164 16 16 16H160v48c0 8.836 7.164 16 16 16h32c8.838 0 16-7.164 16-16v-48h48c8.838 0 16-7.164 16-16v-32c0-8.838-7.162-16-16-16H224v-35.05C305.9 333.9 368 262.3 368 176zM192 272c-52.93 0-96-43.07-96-96c0-52.94 43.07-96 96-96c52.94 0 96 43.06 96 96C288 228.9 244.9 272 192 272z"]],
    "venus-mars": [640, 512, [9892], "f228", ["M624 0h-112.4c-21.38 0-32.09 25.85-16.97 40.97l29.56 29.56l-24.55 24.55c-29.97-20.66-64.81-31.05-99.74-31.05c-15.18 0-30.42 2.225-45.19 6.132c13.55 22.8 22.82 48.36 26.82 75.67c6.088-1.184 12.27-1.785 18.45-1.785c24.58 0 49.17 9.357 67.88 28.07c37.43 37.43 37.43 98.33 0 135.8c-18.71 18.71-43.3 28.07-67.88 28.07c-23.55 0-46.96-8.832-65.35-26.01c-15.92 18.84-34.93 35.1-56.75 47.35c11.45 5.898 20.17 16.3 23.97 28.82C331.5 406 365.7 416 400 416c45.04 0 90.08-17.18 124.5-51.55c60.99-60.99 67.73-155.6 20.47-224.1l24.55-24.55l29.56 29.56c4.889 4.889 10.9 7.078 16.8 7.078C628.2 152.4 640 142.8 640 128.4V16C640 7.164 632.8 0 624 0zM176 112c-35.35 0-64 28.65-64 64c0 35.35 28.65 64 64 64s64-28.65 64-64C240 140.7 211.3 112 176 112z", "M256 384H208v-35.05C289.9 333.9 352 262.3 352 176c0-97.2-78.8-176-176-176c-97.2 0-176 78.8-176 176c0 86.26 62.1 157.9 144 172.1v35.05H96c-8.836 0-16 7.162-16 16v32c0 8.836 7.164 16 16 16h48v48c0 8.836 7.164 16 16 16h32c8.838 0 16-7.164 16-16v-48H256c8.838 0 16-7.164 16-16v-32C272 391.2 264.8 384 256 384zM176 272c-52.93 0-96-43.07-96-96c0-52.94 43.07-96 96-96c52.94 0 96 43.06 96 96C272 228.9 228.9 272 176 272z"]],
    "vest": [448, 512, [], "e085", ["M306.7 4.031l-25 16.66c-35.03 23.38-80.28 23.38-115.4 0l-25-16.66C137.4 1.406 132.8 0 128 0l22.19 66.56C173.2 79.43 198.5 86.25 224 86.25s50.79-6.824 73.81-19.69L320 0C315.3 0 310.6 1.406 306.7 4.031zM108.7 348.7l-48 48c-6.25 6.25-6.25 16.38 0 22.62C63.81 422.4 67.91 424 72 424s8.188-1.562 11.31-4.688l48-48c6.25-6.25 6.25-16.38 0-22.62S114.9 342.4 108.7 348.7zM387.3 396.7l-48-48c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l48 48C367.8 422.4 371.9 424 376 424s8.188-1.562 11.31-4.688C393.6 413.1 393.6 402.9 387.3 396.7z", "M437.3 239.9L384 160V32c0-17.67-14.33-32-32-32h-32l-96 288v224h192c17.67 0 32-14.33 32-32V275.4C448 262.7 444.3 250.4 437.3 239.9zM387.3 419.3C384.2 422.4 380.1 424 376 424s-8.188-1.562-11.31-4.688l-48-48c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0l48 48C393.6 402.9 393.6 413.1 387.3 419.3zM96 0C78.33 0 64 14.33 64 32v128L10.75 239.9C3.74 250.4 0 262.7 0 275.4V480c0 17.67 14.33 32 32 32h160V282.8l15.13-45.4L128 0H96zM131.3 371.3l-48 48C80.19 422.4 76.09 424 72 424s-8.188-1.562-11.31-4.688c-6.25-6.25-6.25-16.38 0-22.62l48-48c6.25-6.25 16.38-6.25 22.62 0S137.6 365.1 131.3 371.3z"]],
    "vest-patches": [448, 512, [], "e086", ["M306.7 4.031l-25 16.66c-35.03 23.38-80.28 23.38-115.4 0l-25-16.66C137.4 1.406 132.8 0 128 0l22.19 66.56C173.2 79.43 198.5 86.25 224 86.25s50.79-6.824 73.81-19.69L320 0C315.3 0 310.6 1.406 306.7 4.031zM358.5 286.5l-5.069 .0566l.0557-5.076c.0723-12.8-9.268-24.26-22.06-25.42c-14.68-1.311-27.07 10.26-27.21 24.67L304 329.3C303.1 333 306.1 336 310.7 336l48.53-.2148c14.43-.1094 25.98-12.47 24.67-27.17C382.7 295.8 371.3 286.5 358.5 286.5zM96 376c-22.09 0-40 17.91-40 40S73.91 456 96 456S136 438.1 136 416S118.1 376 96 376z", "M96 0C78.33 0 64 14.33 64 32v128L10.75 239.9C3.74 250.4 0 262.7 0 275.4V480c0 17.67 14.33 32 32 32h160V282.8l15.13-45.4L128 0H96zM96 456c-22.09 0-40-17.91-40-40S73.91 376 96 376S136 393.9 136 416S118.1 456 96 456zM128.5 272.5L113 288l15.5 15.5c4.656 4.688 4.656 12.31 0 17C126.2 322.8 123.1 324 120 324s-6.156-1.156-8.5-3.5L96 305l-15.5 15.5C78.16 322.8 75.06 324 72 324s-6.156-1.156-8.5-3.5c-4.656-4.688-4.656-12.31 0-17L79 288L63.5 272.5c-4.656-4.688-4.656-12.31 0-17c4.688-4.688 12.31-4.688 17 0L96 271l15.5-15.5c4.688-4.688 12.31-4.688 17 0C133.2 260.2 133.2 267.8 128.5 272.5zM437.3 239.9L384 160V32c0-17.67-14.33-32-32-32h-32l-96 288v224h192c17.67 0 32-14.33 32-32V275.4C448 262.7 444.3 250.4 437.3 239.9zM359.2 335.8L310.7 336C306.1 336 303.1 333 304 329.3l.2158-48.53c.1445-14.4 12.53-25.98 27.21-24.67c12.79 1.162 22.13 12.62 22.06 25.42l-.0557 5.076l5.069-.0566c12.83-.0352 24.24 9.275 25.4 22.08C385.2 323.3 373.7 335.7 359.2 335.8z"]],
    "vial": [512, 512, [129514], "f492", ["M502.6 169.4l-160-160C336.4 3.125 328.2 0 320 0s-16.38 3.125-22.62 9.375c-12.5 12.5-12.5 32.75 0 45.25l6.975 6.977l-271.4 271c-38.75 38.75-45.13 102-9.375 143.5C44.08 500 72.76 512 101.5 512h.4473c26.38 0 52.75-9.1 72.88-30.12l275.2-274.6l7.365 7.367C463.6 220.9 471.8 224 480 224s16.38-3.125 22.62-9.375C515.1 202.1 515.1 181.9 502.6 169.4zM129.6 436.6C122.2 443.1 112.4 448 101.5 448c-6.615 0-19.23-1.766-29.44-13.65c-12.85-14.91-10.09-40.24 6.107-56.44l271.4-271l55.18 55.12L129.6 436.6z", "M310.6 256L129.6 436.6C122.2 443.1 112.4 448 101.5 448c-6.615 0-19.23-1.766-29.44-13.65c-12.85-14.91-10.09-40.24 6.107-56.44L200.2 256H310.6z"]],
    "vial-circle-check": [512, 512, [], "e596", ["M224 32C241.7 32 256 46.33 256 64C256 81.67 241.7 96 224 96V266.8C203.8 295.4 192 330.3 192 368C192 393.2 197.3 417.1 206.8 438.8C189.5 463.7 160.6 480 128 480C74.98 480 32 437 32 384V96C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H224zM160 96H96V192H160V96z", "M224 368C224 288.5 288.5 224 368 224C447.5 224 512 288.5 512 368C512 447.5 447.5 512 368 512C288.5 512 224 447.5 224 368zM435.3 347.3C441.6 341.1 441.6 330.9 435.3 324.7C429.1 318.4 418.9 318.4 412.7 324.7L352 385.4L323.3 356.7C317.1 350.4 306.9 350.4 300.7 356.7C294.4 362.9 294.4 373.1 300.7 379.3L340.7 419.3C346.9 425.6 357.1 425.6 363.3 419.3L435.3 347.3z"]],
    "vial-virus": [576, 512, [], "e597", ["M32 64C32 46.33 46.33 32 64 32H256C273.7 32 288 46.33 288 64C288 81.67 273.7 96 256 96V207.1C252.9 209.1 249.9 211.5 247.2 214.2C225.3 236.1 225.3 271.6 247.2 293.4C247.4 293.6 247.4 293.7 247.5 293.8L247.5 293.8C247.5 293.9 247.5 294.1 247.4 294.4C247.3 294.6 247.1 294.8 247.1 294.8L247 294.9C246.1 294.9 246.8 294.9 246.6 294.9C215.7 294.9 190.6 319.1 190.6 350.9C190.6 381.8 215.7 406.9 246.6 406.9C246.8 406.9 246.1 406.9 247 406.9L247.1 406.9C247.1 406.1 247.3 407.1 247.4 407.4C247.5 407.7 247.5 407.9 247.5 407.1L247.5 408C247.4 408.1 247.4 408.2 247.2 408.3C236 419.5 230.6 434.2 230.8 448.8C213.3 467.1 188 480 160 480C106.1 480 64 437 64 384V96C46.33 96 32 81.67 32 64V64zM128 96V192H192V96H128z", "M463.3 238.9C472.7 229.5 487.8 229.5 497.2 238.9C506.6 248.3 506.6 263.5 497.2 272.8C476.9 293.2 491.3 328 520.1 328C533.4 328 544.1 338.8 544.1 352C544.1 365.3 533.4 376 520.1 376C491.2 376 476.8 410.9 497.2 431.3C506.6 440.7 506.6 455.9 497.2 465.3C487.8 474.6 472.6 474.6 463.2 465.3C442.9 444.9 408 459.3 408 488.1C408 501.3 397.3 512.1 384 512.1C370.8 512.1 360 501.3 360 488.1C360 459.3 325.2 444.9 304.8 465.3C295.5 474.6 280.3 474.6 270.9 465.3C261.5 455.9 261.5 440.7 270.9 431.3C291.3 410.9 276.8 376 248 376C234.7 376 224 365.3 224 352C224 338.8 234.7 328 248 328C276.8 328 291.2 293.2 270.9 272.8C261.5 263.5 261.5 248.3 270.9 238.9C280.3 229.5 295.4 229.5 304.8 238.9C325.2 259.3 360 244.8 360 216C360 202.7 370.8 192 384 192C397.3 192 408 202.7 408 216C408 244.8 442.9 259.3 463.3 238.9V238.9zM352.5 289.7C334.1 289.7 320.8 303.9 320.8 321.4C320.8 338.1 334.1 353.2 352.5 353.2C370 353.2 384.2 338.1 384.2 321.4C384.2 303.9 370 289.7 352.5 289.7zM415.9 408.7C429.1 408.7 439.7 398 439.7 384.9C439.7 371.7 429.1 361.1 415.9 361.1C402.8 361.1 392.1 371.7 392.1 384.9C392.1 398 402.8 408.7 415.9 408.7z"]],
    "vials": [512, 512, [], "f493", ["M200 32h-176C10.75 32 0 42.74 0 56C0 69.25 10.75 80 24 80H32v320C32 444.1 67.88 480 112 480S192 444.1 192 400v-320h8C213.3 80 224 69.25 224 56C224 42.74 213.3 32 200 32zM144 400c0 17.67-14.33 32-32 32s-32-14.33-32-32v-320h64V400zM488 32h-176C298.7 32 288 42.74 288 56c0 13.25 10.75 24 24 24H320v320c0 44.13 35.88 80 80 80s80-35.88 80-80v-320h8C501.3 80 512 69.25 512 56C512 42.74 501.3 32 488 32zM432 400c0 17.67-14.33 32-32 32s-32-14.33-32-32v-320h64V400z", "M80 400c0 17.67 14.33 32 32 32s32-14.33 32-32V256h-64V400zM368 256v144c0 17.67 14.33 32 32 32s32-14.33 32-32V256H368z"]],
    "video": [576, 512, ["video-camera"], "f03d", ["M384 112v288c0 26.51-21.49 48-48 48h-288c-26.51 0-48-21.49-48-48v-288c0-26.51 21.49-48 48-48h288C362.5 64 384 85.49 384 112z", "M576 127.5v256.9c0 25.5-29.17 40.39-50.39 25.79L416 334.7V177.3l109.6-75.56C546.9 87.13 576 102.1 576 127.5z"]],
    "video-arrow-down-left": [576, 512, [], "e2c8", ["M336 64h-288C21.49 64 0 85.49 0 112v288C0 426.5 21.49 448 48 448h288c26.51 0 48-21.49 48-48v-288C384 85.49 362.5 64 336 64zM296.1 184.1l-135 135H216c13.25 0 24 10.75 24 23.1s-10.75 24-24 24h-112c-13.25 0-24-10.75-24-24v-112c0-13.25 10.75-24 24-24S128 218.8 128 232v54.06l135-135C267.7 146.4 273.8 144 280 144s12.28 2.344 16.97 7.031C306.3 160.4 306.3 175.6 296.1 184.1z", "M280 144c-6.156 0-12.28 2.344-16.97 7.031L128 286.1V232c0-13.25-10.75-24-24-24S80 218.8 80 232v112c0 13.25 10.75 24 24 24h112c13.25 0 24-10.75 24-24c0-13.25-10.75-23.1-24-23.1H161.9l135-135c9.375-9.375 9.375-24.56 0-33.94C292.3 146.4 286.2 144 280 144zM525.6 101.8L416 177.3v157.4l109.6 75.49C546.8 424.8 576 409.9 576 384.4V127.5C576 102.1 546.9 87.14 525.6 101.8z"]],
    "video-arrow-up-right": [576, 512, [], "e2c9", ["M336 64h-288C21.49 64 0 85.49 0 112v288C0 426.5 21.49 448 48 448h288c26.51 0 48-21.49 48-48v-288C384 85.49 362.5 64 336 64zM304 280c0 13.25-10.75 23.1-24 23.1S256 293.3 256 280V225.1l-135 135C116.3 365.7 110.2 368 104 368s-12.28-2.344-16.97-7.031c-9.375-9.375-9.375-24.56 0-33.94l135-135H168c-13.25 0-24-10.75-24-24s10.75-23.1 24-23.1h112c13.25 0 24 10.75 24 24V280z", "M280 144h-112c-13.25 0-24 10.75-24 23.1c0 13.25 10.75 24 24 24h54.06l-135 135c-9.375 9.375-9.375 24.56 0 33.94C91.72 365.7 97.84 368 104 368s12.28-2.344 16.97-7.031L256 225.1v54.06C256 293.3 266.8 304 280 304s24-10.74 24-23.1V168C304 154.8 293.3 144 280 144zM525.6 101.8L416 177.3v157.4l109.6 75.49C546.8 424.8 576 409.9 576 384.4V127.5C576 102.1 546.9 87.14 525.6 101.8z"]],
    "video-plus": [576, 512, [], "f4e1", ["M336 64h-288C21.49 64 0 85.49 0 112v288C0 426.5 21.49 448 48 448h288c26.51 0 48-21.49 48-48v-288C384 85.49 362.5 64 336 64zM272 279.1H215.1v56C215.1 349.3 205.3 360 192 360c-13.27 0-23.1-10.74-23.1-23.1V279.1H111.1C98.73 279.1 88 269.3 88 256c0-13.26 10.74-23.1 23.1-23.1H168V175.1C168 162.7 178.7 152 192 152s23.1 10.74 23.1 23.1V232H272C285.3 232 296 242.7 296 256S285.3 279.1 272 279.1z", "M525.6 101.7L416 177.3v157.4l109.6 75.49C546.8 424.8 576 409.9 576 384.4V127.5C576 102.1 546.9 87.13 525.6 101.7zM272 232H215.1V175.1C215.1 162.7 205.3 152 192 152S168 162.7 168 175.1V232H111.1C98.74 232 88 242.7 88 256c0 13.26 10.73 23.1 23.1 23.1H168v56C168 349.3 178.7 360 192 360c13.26 0 23.1-10.74 23.1-23.1V279.1H272C285.3 279.1 296 269.3 296 256S285.3 232 272 232z"]],
    "video-slash": [640, 512, [], "f4e2", ["M32 399.1c0 26.51 21.49 47.1 47.1 47.1h287.1c19.57 0 36.34-11.75 43.81-28.56L32 121.8L32 399.1zM557.6 101.7l-109.6 75.56l.0001 148.5l93.6 73.36l15.99 11.02c21.22 14.59 50.41-.2967 50.41-25.8V127.5C607.1 102.1 578.9 87.13 557.6 101.7zM367.1 63.1H113.9l302.1 236.7l.0001-188.7C415.1 85.49 394.5 63.1 367.1 63.1z", "M630.8 469.1L38.81 5.111C34.41 1.673 29.19 0 24.03 0C16.91 0 9.84 3.158 5.121 9.189C-3.066 19.63-1.249 34.72 9.189 42.89l591.1 463.1c10.5 8.203 25.57 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1z"]],
    "vihara": [640, 512, [], "f6a7", ["M160 192V128H224V192H160zM96 352V288H160V352H96zM64 480V448H128V480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480zM512 480V448H576V480C576 497.7 561.7 512 544 512C526.3 512 512 497.7 512 480zM352 448V480C352 497.7 337.7 512 320 512C302.3 512 288 497.7 288 480V448H352zM544 288V352H480V288H544zM480 128V192H416V128H480z", "M309.9 2.246C313.1 .7309 316.6-.0029 320 0C323.4-.0029 326.9 .7309 330.1 2.246C331.6 2.909 332.9 3.716 334.2 4.661L359 22.03C392.1 45.8 430.8 63.52 470.8 74.42L493.8 80.71C495.6 81.17 497.4 81.83 499 82.68C502.2 84.33 504.1 86.66 507.1 89.43C510.8 94.38 512.7 100.7 511.8 107.2C511.4 109.1 510.6 112.6 509.3 115C507.7 118.2 505.3 120.1 502.6 123.1C498.3 126.3 493 128.1 487.5 128H152.5C147 128.1 141.7 126.3 137.4 123.1C134.7 120.1 132.3 118.2 130.7 115C129.4 112.6 128.6 109.1 128.2 107.2C127.3 100.7 129.2 94.38 132.9 89.43C135 86.66 137.8 84.33 140.1 82.68C142.6 81.83 144.4 81.17 146.2 80.71L169.2 74.42C209.2 63.52 247 45.8 280.1 22.03L305.8 4.661C307.1 3.715 308.4 2.908 309.9 2.246V2.246zM479.3 192L496.4 203.4C518.5 218.2 543 229 568.8 235.5L589.8 240.7C601.6 243.7 609.3 254.9 607.8 266.9C606.3 278.1 596.1 288 584 288H56C43.88 288 33.66 278.1 32.18 266.9C30.7 254.9 38.42 243.7 50.18 240.7L71.16 235.5C96.96 229 121.5 218.2 143.6 203.4L160.7 192H479.3zM95.58 352H544.4L561.4 365.6C579.2 379.8 598.1 391.3 620.1 399.8L624.9 401.7C635.6 405.1 641.7 417.2 639.6 428.5C637.4 439.8 627.5 448 616 448H24C12.5 448 2.611 439.8 .4354 428.5C-1.74 417.2 4.407 405.1 15.09 401.7L19.87 399.8C41.03 391.3 60.83 379.8 78.63 365.6L95.58 352z"]],
    "violin": [640, 512, [127931], "f8ed", ["M457.8 227.5l-39.84 39.84c-6.256 6.256-16.38 6.267-22.64 .0127c-.002 0 0 0 0 0l-22.64-22.66c-6.258-6.256-6.256-16.37-.0026-22.63l39.83-39.84c-12.18-8.779-25.53-15.75-40.16-19.15c-32.91-7.658-65.75-.9678-88.65 21.04c2.66 7.834 4.102 16.01 4.223 24.28c.1113 44.11-35.6 79.97-79.71 80.08C192.7 288.5 177.6 284 164.6 275.5C162.1 277.4 159.7 279.4 157.4 281.5c-38.11 38.04-38.29 101.3-5.184 153.5l51.73-34.59c6.354-4.236 14.8-3.4 20.2 2l13.45 13.47c5.4 5.398 6.237 13.81 2.001 20.16l-34.48 51.79c52.22 33.04 115.4 32.77 153.4-5.238c2.215-2.383 4.303-4.887 6.244-7.494c-24.18-36.56-14.12-85.67 22.44-109.8c20.31-13.43 45.62-16.87 68.73-9.203c21.95-22.87 28.62-55.6 21.01-88.44C473.6 253 466.6 239.7 457.8 227.5zM471.1 48.01c-13.25 0-24 10.75-24 24c0 13.25 10.75 24 24 24c13.26 0 24-10.75 24-24C495.1 58.75 485.2 48.01 471.1 48.01zM567.1 144c-13.25 0-24 10.75-24 24c0 13.25 10.75 24 24 24c13.26 0 24-10.75 24-24C591.1 154.8 581.3 144 567.1 144zM519.1 .0088c-13.26 0-24 10.74-24 24s10.75 24 24 24c13.25 0 24-10.74 24-24S533.2 .0088 519.1 .0088zM615.1 96.01c-13.26 0-24 10.74-24 24s10.75 24 24 24C629.3 144 640 133.3 640 120S629.3 96.01 615.1 96.01z", "M224.1 402.5c-5.393-5.395-13.85-6.233-20.2-2l-68.83 45.83c-7.352 4.902-9.305 14.85-4.4 22.2c.582 .873 1.261 1.681 2.004 2.426l36.39 36.38c6.252 6.246 16.39 6.264 22.63 .012c.7441-.7422 1.411-1.534 1.995-2.409l45.86-68.81c4.23-6.346 3.394-14.77-2.001-20.16L224.1 402.5zM635.3 27.29C635.3 27.29 635.3 27.3 635.3 27.29l-22.59-22.59c-6.248-6.25-16.42-6.249-22.67-.0007c-.002 0 0-.002 0 0l-217.4 217.4c-6.248 6.248-6.245 16.38 .0026 22.63c0 .002 0-.002 0 0l22.64 22.66c6.248 6.25 16.39 6.235 22.64-.0127l217.3-217.4C641.5 43.72 641.5 33.54 635.3 27.29zM345 7.031c-9.376-9.375-24.56-9.375-33.94 0L7.032 311c-9.376 9.375-9.376 24.56 0 33.94c4.688 4.688 10.83 7.031 16.97 7.031s12.28-2.344 16.97-7.031l304-304C354.4 31.59 354.4 16.41 345 7.031z"]],
    "virus": [512, 512, [], "e074", ["M288 43.55C288 93.44 348.3 118.4 383.6 83.15L391.8 74.98C404.3 62.48 424.5 62.48 437 74.98C449.5 87.48 449.5 107.7 437 120.2L428.9 128.4C393.6 163.7 418.6 224 468.5 224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H468.5C418.6 288 393.6 348.3 428.9 383.6L437 391.8C449.5 404.3 449.5 424.5 437 437C424.5 449.5 404.3 449.5 391.8 437L383.6 428.9C348.3 393.6 288 418.6 288 468.5V480C288 497.7 273.7 512 256 512C238.3 512 224 497.7 224 480V468.5C224 418.6 163.7 393.6 128.4 428.9L120.2 437C107.7 449.5 87.48 449.5 74.98 437C62.48 424.5 62.48 404.3 74.98 391.8L83.15 383.6C118.4 348.3 93.44 288 43.55 288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H43.55C93.44 224 118.4 163.7 83.15 128.4L74.98 120.2C62.48 107.7 62.48 87.48 74.98 74.98C87.48 62.48 107.7 62.48 120.2 74.98L128.4 83.15C163.7 118.4 224 93.44 224 43.55V32C224 14.33 238.3 0 256 0C273.7 0 288 14.33 288 32V43.55zM224 176C197.5 176 176 197.5 176 224C176 250.5 197.5 272 224 272C250.5 272 272 250.5 272 224C272 197.5 250.5 176 224 176zM304 328C317.3 328 328 317.3 328 304C328 290.7 317.3 280 304 280C290.7 280 280 290.7 280 304C280 317.3 290.7 328 304 328z", "M272 224C272 250.5 250.5 272 224 272C197.5 272 176 250.5 176 224C176 197.5 197.5 176 224 176C250.5 176 272 197.5 272 224z"]],
    "virus-covid": [512, 512, [], "e4a8", ["M192 24C192 10.75 202.7 0 216 0H296C309.3 0 320 10.75 320 24C320 37.25 309.3 48 296 48H280V73.55C312.9 77.83 342.1 90.78 368 110L386.1 91.95L374.8 80.64C365.4 71.26 365.4 56.07 374.8 46.7C384.2 37.32 399.4 37.32 408.7 46.7L465.3 103.3C474.7 112.6 474.7 127.8 465.3 137.2C455.9 146.6 440.7 146.6 431.4 137.2L420 125.9L401.1 143.1C421.2 169 434.2 199.1 438.4 231.1H464V215.1C464 202.7 474.7 191.1 488 191.1C501.3 191.1 512 202.7 512 215.1V295.1C512 309.3 501.3 319.1 488 319.1C474.7 319.1 464 309.3 464 295.1V279.1H438.4C434.2 312.9 421.2 342.1 401.1 368L420 386.1L431.4 374.8C440.7 365.4 455.9 365.4 465.3 374.8C474.7 384.2 474.7 399.4 465.3 408.7L408.7 465.3C399.4 474.7 384.2 474.7 374.8 465.3C365.4 455.9 365.4 440.7 374.8 431.4L386.1 420L368 401.1C342.1 421.2 312.9 434.2 280 438.4V464H296C309.3 464 320 474.7 320 488C320 501.3 309.3 512 296 512H216C202.7 512 192 501.3 192 488C192 474.7 202.7 464 216 464H232V438.4C199.1 434.2 169 421.2 143.1 401.1L125.9 420L137.2 431.4C146.6 440.7 146.6 455.9 137.2 465.3C127.8 474.7 112.6 474.7 103.3 465.3L46.7 408.7C37.32 399.4 37.32 384.2 46.7 374.8C56.07 365.4 71.26 365.4 80.64 374.8L91.95 386.1L110 368C90.78 342.1 77.83 312.9 73.55 279.1H48V295.1C48 309.3 37.25 319.1 24 319.1C10.75 319.1 0 309.3 0 295.1V215.1C0 202.7 10.75 191.1 24 191.1C37.25 191.1 48 202.7 48 215.1V231.1H73.55C77.83 199.1 90.78 169 110 143.1L91.95 125.9L80.64 137.2C71.26 146.6 56.07 146.6 46.7 137.2C37.32 127.8 37.32 112.6 46.7 103.3L103.3 46.7C112.6 37.32 127.8 37.32 137.2 46.7C146.6 56.07 146.6 71.27 137.2 80.64L125.9 91.95L143.1 110C169 90.78 199.1 77.83 232 73.55V47.1H216C202.7 47.1 192 37.25 192 23.1V24zM192 176C165.5 176 144 197.5 144 224C144 250.5 165.5 272 192 272C218.5 272 240 250.5 240 224C240 197.5 218.5 176 192 176zM304 328C317.3 328 328 317.3 328 304C328 290.7 317.3 280 304 280C290.7 280 280 290.7 280 304C280 317.3 290.7 328 304 328z", "M240 224C240 250.5 218.5 272 192 272C165.5 272 144 250.5 144 224C144 197.5 165.5 176 192 176C218.5 176 240 197.5 240 224z"]],
    "virus-covid-slash": [640, 512, [], "e4a9", ["M134.1 79.83L167.3 46.7C176.6 37.32 191.8 37.32 201.2 46.7C210.6 56.07 210.6 71.27 201.2 80.64L189.9 91.95L213.7 115.7C237.2 97.88 265.3 85.8 296 81.62V48H280C266.7 48 256 37.25 256 24C256 10.75 266.7 0 280 0H360C373.3 0 384 10.75 384 24C384 37.25 373.3 48 360 48H344V81.62C374.7 85.8 402.8 97.88 426.3 115.7L450.1 91.95L438.8 80.64C429.4 71.26 429.4 56.07 438.8 46.7C448.2 37.32 463.4 37.32 472.7 46.7L529.3 103.3C538.7 112.6 538.7 127.8 529.3 137.2C519.9 146.6 504.7 146.6 495.4 137.2L484 125.9L460.3 149.7C478.1 173.2 490.2 201.3 494.4 232H528V216C528 202.7 538.7 192 552 192C565.3 192 576 202.7 576 216V296C576 309.3 565.3 320 552 320C538.7 320 528 309.3 528 296V280H494.4C491.2 303.3 483.4 325.2 472.1 344.7L134.1 79.83zM149.2 213.5L401.3 412.2C383.7 421.3 364.4 427.6 344 430.4V464H360C373.3 464 384 474.7 384 488C384 501.3 373.3 512 360 512H280C266.7 512 256 501.3 256 488C256 474.7 266.7 464 280 464H296V430.4C265.3 426.2 237.2 414.1 213.7 396.3L189.9 420L201.2 431.4C210.6 440.7 210.6 455.9 201.2 465.3C191.8 474.7 176.6 474.7 167.3 465.3L110.7 408.7C101.3 399.4 101.3 384.2 110.7 374.8C120.1 365.4 135.3 365.4 144.6 374.8L155.1 386.1L179.7 362.3C161.9 338.8 149.8 310.7 145.6 280H112V296C112 309.3 101.3 320 88 320C74.75 320 64 309.3 64 296V216C64 202.7 74.75 192 88 192C101.3 192 112 202.7 112 216V232H145.6C146.5 225.7 147.7 219.6 149.2 213.5L149.2 213.5z", "M5.112 9.196C13.29-1.237 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "virus-slash": [640, 512, [], "e075", ["M334.3 236.7C335.4 232.7 336 228.4 336 224C336 197.5 314.5 176 288 176C279.5 176 271.5 178.2 264.6 182.1L134.7 80.27C135.9 78.4 137.3 76.62 138.1 74.98C151.5 62.48 171.7 62.48 184.2 74.98L192.4 83.15C227.7 118.4 287.1 93.44 287.1 43.55V32C287.1 14.33 302.3 0 319.1 0C337.7 0 352 14.33 352 32V43.55C352 93.44 412.3 118.4 447.6 83.15L455.8 74.98C468.3 62.48 488.5 62.48 501 74.98C513.5 87.48 513.5 107.7 501 120.2L492.9 128.4C457.6 163.7 482.6 224 532.5 224H544C561.7 224 576 238.3 576 256C576 273.7 561.7 288 544 288H532.5C497.2 288 474.4 318.1 476.5 348.1L334.3 236.7zM107.5 224C122.5 224 135.2 218.6 144.7 210L401.1 412.7C375.6 415.7 352 437.2 352 468.5V480C352 497.7 337.7 512 320 512C302.3 512 288 497.7 288 480V468.5C288 418.6 227.7 393.6 192.4 428.9L184.2 437C171.7 449.5 151.5 449.5 138.1 437C126.5 424.5 126.5 404.3 138.1 391.8L147.1 383.6C182.4 348.3 157.4 288 107.5 288H96C78.33 288 64 273.7 64 256C64 238.3 78.33 224 96 224H107.5z", "M5.112 9.196C13.29-1.237 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"]],
    "viruses": [640, 512, [], "e076", ["M362.7 170.7h-16.16c-38.01 0-57.05-45.96-30.17-72.84l11.44-11.44c8.332-8.332 8.331-21.83-.0012-30.17c-8.334-8.334-21.83-8.332-30.17 .002L286.2 67.66C259.3 94.54 213.3 75.51 213.3 37.49V21.33C213.3 9.542 203.8 0 192 0S170.7 9.542 170.7 21.33v16.16c0 38.01-45.96 57.05-72.84 30.17L86.4 56.23c-8.334-8.334-21.83-8.336-30.17-.002c-8.332 8.334-8.333 21.84-.0012 30.17L67.66 97.83c26.88 26.88 7.842 72.84-30.17 72.84H21.33C9.541 170.7 0 180.2 0 192c0 11.79 9.541 21.33 21.33 21.33h16.16c38.01 0 57.05 45.96 30.17 72.84L56.23 297.6c-8.332 8.334-8.328 21.84 .0043 30.17c4.168 4.168 9.621 6.248 15.08 6.248s10.92-2.082 15.08-6.25L97.83 316.3c26.88-26.88 72.84-7.842 72.84 30.17v16.16C170.7 374.5 180.2 384 192 384s21.33-9.543 21.33-21.33v-16.16c0-38.01 45.96-57.05 72.84-30.17l11.43 11.43c4.168 4.168 9.625 6.25 15.08 6.25s10.91-2.08 15.08-6.248c8.332-8.332 8.333-21.83 .0012-30.17L316.3 286.2c-26.88-26.88-7.842-72.84 30.17-72.84h16.16C374.5 213.3 384 203.8 384 192C384 180.2 374.5 170.7 362.7 170.7zM160 192C142.3 192 128 177.7 128 160c0-17.67 14.33-32 32-32s32 14.33 32 32C192 177.7 177.7 192 160 192zM240 224C231.2 224 224 216.8 224 208C224 199.2 231.2 192 240 192S256 199.2 256 208C256 216.8 248.8 224 240 224zM480 320c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32s32-14.33 32-32C512 334.3 497.7 320 480 320z", "M160 128C142.3 128 128 142.3 128 160c0 17.67 14.33 32 32 32s32-14.33 32-32C192 142.3 177.7 128 160 128zM624 352h-12.12c-28.51 0-42.79-34.47-22.63-54.63l8.576-8.576c6.25-6.25 6.25-16.37 0-22.62s-16.38-6.253-22.62-.0031l-8.576 8.576C546.5 294.9 512 280.6 512 252.1V240C512 231.2 504.8 224 496 224S480 231.2 480 240v12.12c0 28.51-34.47 42.79-54.63 22.63l-8.576-8.576c-6.25-6.25-16.37-6.253-22.62-.0031s-6.253 16.38-.0031 22.63l8.576 8.576C422.9 317.5 408.6 352 380.1 352H368c-8.844 0-16 7.156-16 16s7.156 16 16 16h12.12c28.51 0 42.79 34.47 22.63 54.63l-8.576 8.576c-6.25 6.25-6.253 16.37-.0031 22.62c3.125 3.125 7.222 4.691 11.32 4.691s8.188-1.562 11.31-4.688l8.576-8.576C445.5 441.1 480 455.4 480 483.9V496c0 8.844 7.156 16 16 16s16-7.156 16-16v-12.12c0-28.51 34.47-42.79 54.63-22.63l8.576 8.576c3.125 3.125 7.219 4.688 11.31 4.688s8.184-1.559 11.31-4.684c6.25-6.25 6.253-16.38 .0031-22.63l-8.576-8.576C569.1 418.5 583.4 384 611.9 384H624c8.844 0 16-7.156 16-16S632.8 352 624 352zM480 384c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32s32 14.33 32 32C512 369.7 497.7 384 480 384z"]],
    "voicemail": [640, 512, [], "f897", ["M144 192C117.5 192 96 213.5 96 240S117.5 288 144 288s48-21.49 48-48S170.5 192 144 192zM496 192c-26.51 0-48 21.49-48 48S469.5 288 496 288c26.51 0 48-21.49 48-48S522.5 192 496 192z", "M495.1 96c-53.13 0-102 29.25-127 76.13c-25 46.88-22.25 103.8 7.25 147.9H263.7c36.63-54.88 31.25-127.8-13-176.8c-44.38-48.87-116.4-61.37-174.6-30.25s-87.88 97.88-71.75 162c16 64 73.63 108.1 139.6 108.1h352C575.5 384 640 319.5 640 240S575.5 96 495.1 96zM63.99 240c0-44.12 35.88-80 80-80s80 35.88 80 80s-35.88 79.1-80 79.1S63.99 284.1 63.99 240zM495.1 320c-44.13 0-80-35.88-80-79.1s35.88-80 80-80s80 35.88 80 80S540.1 320 495.1 320z"]],
    "volcano": [512, 512, [127755], "f770", ["M480 512H32.1c-26.38 0-41.5-30.12-25.63-51.25l120.3-153.5l13.25 16.5C149.7 336 170.2 336 180.1 323.8c10.75-13.5 26.75-21.25 44.13-21.5c17.13-1.5 33.5 7 44.75 20l31.63 36.88c9.751 11.38 29.13 11.38 39 0l45.13-52.62l120.8 154.2C521.4 481.9 506.3 512 480 512z", "M304.4 224H207.6C197.7 224 188.5 228.5 182.4 236.3l-55.63 71l13.25 16.5C149.7 336 170.2 336 180.1 323.8c10.75-13.5 26.75-21.25 44.13-21.5c17.13-1.5 33.5 7 44.75 20l31.63 36.88c9.751 11.38 29.13 11.38 39 0l45.13-52.62l-55-70.25C323.5 228.5 314.3 224 304.4 224zM352 16c-15.75 0-30 5.875-41.25 15.38C299.6 12.75 279.4 0 255.1 0C232.6 0 212.4 12.75 201.2 31.38C189.1 21.88 175.7 16 159.1 16c-35.25 0-64 28.75-64 64s28.75 64 64 64c12.88 0 24.75-3.875 34.75-10.38L223.1 192h64l29.25-58.38C327.3 140.1 339.1 144 352 144c35.25 0 64-28.75 64-64S387.3 16 352 16z"]],
    "volleyball": [512, 512, [127952, "volleyball-ball"], "f45f", ["M255.7 274.5c-15.24 8.977-51.68 33.34-84.32 77.86c26.34 20.33 93.51 63.27 189.5 63.27c32.82 0 69.02-5.022 108.1-17.69c19.1-28.61 32.4-61.3 38.71-96.47C474.5 311.1 443 315 414.4 315C334.7 315 276.5 286.3 255.7 274.5zM200.3 106C185.4 80.25 165.1 53.88 137.4 29.26C55.76 72.05 0 157.5 0 256c0 21.2 2.861 41.69 7.721 61.39C53.51 181.8 156 124.8 200.3 106zM326.9 10.16c74.54 84.67 89.19 175.5 89.19 233.5c0 15.62-1.059 28.86-2.298 38.99l.5501 .0005c29.53 0 62.27-4.413 97.16-15.99C511.6 263.1 512 259.6 512 256C512 139.2 433.7 40.91 326.9 10.16zM381.7 281.1c1.24-9.218 2.414-22.09 2.414-37.65c0-59.1-16.93-157.2-111.5-242.6C267.1 .4818 261.6 0 256 0C225.5 0 196.5 5.599 169.4 15.36c93.77 90.08 102.6 198.4 102.8 231.7C287.6 255.8 326.9 275.1 381.7 281.1zM240.1 246.5C239.1 228.8 237.1 185.1 214.9 134.6C173.6 151.6 60.4 211.8 26.67 369.2c15.66 31.66 37.51 59.65 64.22 82.23C121.1 325.1 211.4 263.3 240.1 246.5zM153.1 379.3C139.1 404.9 126.9 436.1 119.4 472.3C158.1 497.3 205.7 512 256 512c69 0 131.5-27.43 177.5-71.82c-25.42 5.105-49.71 7.668-72.38 7.668C258.6 447.8 185.5 402.1 153.1 379.3z", "M433.5 440.2c-25.42 5.105-49.71 7.668-72.38 7.668c-102.6 0-175.7-44.87-207.2-68.58C139.1 404.9 126.9 436.1 119.4 472.3c-9.994-6.32-19.57-13.2-28.56-20.8c31.12-126.3 120.5-188.1 149.3-204.1C239.1 228.8 237.1 185.1 214.9 134.6C173.6 151.6 60.4 211.8 26.67 369.2C18.57 352.9 12.19 335.5 7.721 317.4C53.51 181.8 156 124.8 200.3 106C185.4 80.25 165.1 53.88 137.4 29.26C147.6 23.88 158.3 19.33 169.4 15.36c93.77 90.08 102.6 198.4 102.8 231.7c15.44 8.73 54.71 28.05 109.5 34.04c1.24-9.218 2.414-22.09 2.414-37.65c0-59.1-16.93-157.2-111.5-242.6c18.68 1.203 36.84 4.315 54.21 9.315c74.54 84.67 89.19 175.5 89.19 233.5c0 15.62-1.059 28.86-2.298 38.99l.5501 .0005c29.53 0 62.27-4.413 97.16-15.99c-.4883 11.8-1.687 23.39-3.72 34.73C474.5 311.1 443 315 414.4 315c-79.69 0-137.9-28.67-158.6-40.55c-15.24 8.977-51.68 33.34-84.32 77.86c26.34 20.33 93.51 63.27 189.5 63.27c32.82 0 69.02-5.022 108.1-17.69C458.8 413.3 446.8 427.4 433.5 440.2z"]],
    "volume": [576, 512, [128265, "volume-medium"], "f6a8", ["M444.6 181.9c-10.28-8.344-25.41-6.875-33.75 3.406c-8.406 10.25-6.906 25.37 3.375 33.78C425.5 228.4 432 241.8 432 256c0 14.19-6.5 27.62-17.81 36.87c-10.28 8.406-11.78 23.53-3.375 33.78c4.719 5.812 11.62 8.812 18.56 8.812c5.344 0 10.75-1.781 15.19-5.406C467.1 311.6 480 284.7 480 256S467.1 200.4 444.6 181.9zM505.1 108c-10.22-8.344-25.34-6.906-33.78 3.344c-8.406 10.25-6.906 25.37 3.344 33.78C508.6 172.9 528 213.3 528 256s-19.44 83.09-53.31 110.9c-10.25 8.406-11.75 23.53-3.344 33.78c4.75 5.781 11.62 8.781 18.56 8.781c5.375 0 10.75-1.781 15.22-5.437C550.2 367.1 576 313.1 576 256S550.2 144.9 505.1 108z", "M352 64v383.1c0 12.59-7.337 24.01-18.84 29.16C328.1 479.1 324.4 480 320 480c-7.688 0-15.28-2.781-21.27-8.094l-134.9-119.9H80c-26.51 0-48-21.49-48-47.1V208c0-26.51 21.49-47.1 48-47.1h83.84l134.9-119.9c9.422-8.375 22.93-10.45 34.43-5.259C344.7 39.1 352 51.41 352 64z"]],
    "volume-high": [640, 512, [128266, "volume-up"], "f028", ["M473.1 108.2c-10.22-8.334-25.34-6.898-33.78 3.34c-8.406 10.24-6.906 25.35 3.344 33.74C476.6 172.1 496 213.3 496 255.1s-19.44 82.1-53.31 110.7c-10.25 8.396-11.75 23.5-3.344 33.74c4.75 5.775 11.62 8.771 18.56 8.771c5.375 0 10.75-1.779 15.22-5.431C518.2 366.9 544 313 544 255.1S518.2 145 473.1 108.2zM412.6 182c-10.28-8.334-25.41-6.867-33.75 3.402c-8.406 10.24-6.906 25.35 3.375 33.74C393.5 228.4 400 241.8 400 255.1c0 14.17-6.5 27.59-17.81 36.83c-10.28 8.396-11.78 23.5-3.375 33.74c4.719 5.806 11.62 8.802 18.56 8.802c5.344 0 10.75-1.779 15.19-5.399C435.1 311.5 448 284.6 448 255.1S435.1 200.4 412.6 182zM534.4 33.4c-10.22-8.334-25.34-6.867-33.78 3.34c-8.406 10.24-6.906 25.35 3.344 33.74C559.9 116.3 592 183.9 592 255.1s-32.09 139.7-88.06 185.5c-10.25 8.396-11.75 23.5-3.344 33.74C505.3 481 512.2 484 519.2 484c5.375 0 10.75-1.779 15.22-5.431C601.5 423.6 640 342.5 640 255.1S601.5 88.34 534.4 33.4z", "M320 64.12v383.7c0 12.58-7.337 23.99-18.84 29.14C296.1 478.9 292.4 479.8 288 479.8c-7.688 0-15.28-2.822-21.27-8.128l-134.9-119.8H48c-26.51 0-48-21.48-48-47.96V208C0 181.6 21.49 160.1 48 160.1h83.84l134.9-119.8c9.422-8.365 22.93-10.47 34.43-5.29C312.7 40.13 320 51.55 320 64.12z"]],
    "volume-low": [448, 512, [128264, "volume-down"], "f027", ["M412.6 181.9c-10.28-8.344-25.41-6.875-33.75 3.406c-8.406 10.25-6.906 25.37 3.375 33.78C393.5 228.4 400 241.8 400 256c0 14.19-6.5 27.62-17.81 36.87c-10.28 8.406-11.78 23.53-3.375 33.78c4.719 5.812 11.62 8.812 18.56 8.812c5.344 0 10.75-1.781 15.19-5.406C435.1 311.6 448 284.7 448 256S435.1 200.4 412.6 181.9z", "M320 64v383.1c0 12.59-7.337 24.01-18.84 29.16C296.1 479.1 292.4 480 288 480c-7.688 0-15.28-2.781-21.27-8.094l-134.9-119.9H48c-26.51 0-48-21.49-48-47.1V208c0-26.51 21.49-47.1 48-47.1h83.84l134.9-119.9c9.422-8.375 22.93-10.45 34.43-5.259C312.7 39.1 320 51.41 320 64z"]],
    "volume-off": [320, 512, [], "f026", ["", "M320 64v383.1c0 12.59-7.337 24.01-18.84 29.16C296.1 479.1 292.4 480 288 480c-7.688 0-15.28-2.781-21.27-8.094l-134.9-119.9H48c-26.51 0-48-21.49-48-47.1V208c0-26.51 21.49-47.1 48-47.1h83.84l134.9-119.9c9.422-8.375 22.93-10.45 34.43-5.259C312.7 39.1 320 51.41 320 64z"]],
    "volume-slash": [640, 512, [128263], "f2e2", ["M64 208V304c0 26.51 21.49 47.1 48 47.1h83.84l134.9 119.9C336.7 477.2 344.3 480 352 480c4.438 0 8.959-.9312 13.16-2.837C376.7 472 384 460.6 384 448v-50.34L88.75 166.3C74.05 174.5 64 189.1 64 208zM365.2 34.84c-11.5-5.188-25.01-3.116-34.43 5.259L214.9 143.1L384 275.7V64C384 51.41 376.7 39.1 365.2 34.84zM476.6 181.9c-10.28-8.344-25.41-6.875-33.75 3.406c-8.406 10.25-6.906 25.38 3.375 33.78C457.5 228.4 464 241.8 464 256s-6.5 27.62-17.81 36.88c-7.719 6.311-10.48 16.41-7.824 25.39l21.53 16.88c.5039 .0313 .9713 .3249 1.477 .3249c5.344 0 10.75-1.781 15.19-5.406C499.1 311.6 512 284.7 512 256C512 227.3 499.1 200.4 476.6 181.9zM537.1 108c-10.22-8.344-25.34-6.906-33.78 3.344c-8.406 10.25-6.906 25.38 3.344 33.78C540.6 172.9 560 213.3 560 256c0 42.69-19.44 83.09-53.31 110.9c-1.045 .8574-1.599 2.029-2.46 3.013l37.8 29.63C583.9 362.8 608 310.9 608 256C608 198.9 582.2 144.9 537.1 108z", "M634.9 502.8c-8.125 10.41-23.19 12.28-33.69 4.078L9.188 42.89c-10.44-8.172-12.26-23.26-4.068-33.7C9.839 3.158 16.91 0 24.03 0C29.19 0 34.41 1.673 38.81 5.111l591.1 463.1C641.2 477.3 643.1 492.4 634.9 502.8z"]],
    "volume-xmark": [576, 512, ["volume-mute", "volume-times"], "f6a9", ["M560.1 303c9.375 9.375 9.375 24.56 0 33.94c-9.381 9.381-24.56 9.373-33.94 0L480 289.9l-47.03 47.03c-9.381 9.381-24.56 9.373-33.94 0c-9.375-9.375-9.375-24.56 0-33.94l47.03-47.03l-47.03-47.03c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0L480 222.1l47.03-47.03c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94l-47.03 47.03L560.1 303z", "M319.1 64v383.1c0 12.59-7.325 24-18.82 29.16c-4.203 1.906-8.737 2.844-13.17 2.844c-7.688 0-15.28-2.781-21.26-8.094l-134.9-119.9H48c-26.51 0-48-21.49-48-47.1v-95.1c0-26.51 21.49-47.1 48-47.1h83.84l134.9-119.9c9.422-8.375 22.94-10.44 34.44-5.253C312.7 40 319.1 51.41 319.1 64z"]],
    "vr-cardboard": [640, 512, [], "f729", ["M576 64H64c-35.2 0-64 28.8-64 64v256c0 35.2 28.8 64 64 64l128.3 .0001c25.18 0 48.03-14.77 58.37-37.73l27.76-61.65c7.875-17.5 24-28.63 41.63-28.63s33.75 11.13 41.63 28.63l27.75 61.63c10.35 22.98 33.2 37.75 58.4 37.75L576 448c35.2 0 64-28.8 64-64v-256C640 92.8 611.2 64 576 64zM160 304c-35.38 0-64-28.63-64-64s28.62-63.1 64-63.1s64 28.62 64 63.1S195.4 304 160 304zM480 304c-35.38 0-64-28.63-64-64s28.62-63.1 64-63.1s64 28.62 64 63.1S515.4 304 480 304z", "M160 304c-35.38 0-64-28.63-64-64s28.62-63.1 64-63.1s64 28.62 64 63.1S195.4 304 160 304zM480 304c-35.38 0-64-28.63-64-64s28.62-63.1 64-63.1s64 28.62 64 63.1S515.4 304 480 304z"]],
    "w": [576, 512, [119], "57", ["M573.1 75.25l-144 384c-4.703 12.53-16.67 20.77-29.95 20.77c-.4062 0-.8125 0-1.219-.0156c-13.77-.5156-25.66-9.797-29.52-23.03L288 178.3l-81.28 278.7c-3.859 13.23-15.75 22.52-29.52 23.03c-13.75 .4687-26.33-7.844-31.17-20.75l-144-384c-6.203-16.55 2.188-34.98 18.73-41.2C37.31 27.92 55.75 36.23 61.97 52.78l110.2 293.1l85.08-291.7C261.3 41.41 273.8 32.01 288 32.01s26.73 9.396 30.72 23.05l85.08 291.7l110.2-293.1c6.219-16.55 24.67-24.86 41.2-18.73C571.8 40.26 580.2 58.7 573.1 75.25z", ""]],
    "waffle": [512, 512, [129479], "e466", ["M176 176v64h64L240 176H176zM272 336h64v-64h-63.1L272 336zM176 336h64l.002-64H176V336zM511.7 225.4c-13.94-118.7-106.7-211.2-225.5-225.1c-10.49-1.242-21.1 1.08-30.16 6.346C246.9 1.406 236.3-.9219 225.8 .334C106.1 14.21 14.26 106.8 .3184 225.4c-1.221 10.55 1.096 21.1 6.359 30.12C1.414 264.6-.9023 275.1 .3184 285.7c14.38 122.6 114.3 217.7 237.7 226.2C238.9 511.1 239.8 512 240.7 512C245.1 512 251.1 510.7 256 508.6C260.9 510.7 266 512 271.3 512c.875 0 1.75-.0313 2.625-.0938c123.4-8.5 223.3-103.6 237.7-226.2c1.221-10.54-1.094-21.08-6.357-30.11C510.6 246.5 512.9 235.1 511.7 225.4zM416 240c8.844 0 16 7.156 16 16S424.8 272 416 272h-48v64H416c8.844 0 16 7.156 16 16s-7.156 16-16 16h-48V416c0 8.844-7.156 16-16 16s-16-7.156-16-16v-48h-64V416c0 8.844-7.156 16-16 16S240 424.8 240 416v-48h-64V416c0 8.844-7.156 16-16 16S144 424.8 144 416v-48H96c-8.844 0-16-7.156-16-16s7.156-16 16-16h48v-64H96C87.16 272 80 264.8 80 256S87.16 240 96 240h48v-64H96C87.16 176 80 168.8 80 160S87.16 144 96 144h48V96c0-8.844 7.156-16 16-16S176 87.16 176 96v48h64V96c0-8.844 7.156-16 16-16s16 7.156 16 16v48h64V96c0-8.844 7.156-16 16-16s16 7.156 16 16v48H416c8.844 0 16 7.156 16 16S424.8 176 416 176h-48v64H416zM272 240H336v-64h-64L272 240z", "M416 272c8.844 0 16-7.156 16-16S424.8 240 416 240h-48v-64H416c8.844 0 16-7.156 16-16S424.8 144 416 144h-48V96c0-8.844-7.156-16-16-16S336 87.16 336 96v48h-64V96c0-8.844-7.156-16-16-16S240 87.16 240 96v48h-64V96c0-8.844-7.156-16-16-16S144 87.16 144 96v48H96C87.16 144 80 151.2 80 160S87.16 176 96 176h48v64H96C87.16 240 80 247.2 80 256S87.16 272 96 272h48v64H96c-8.844 0-16 7.156-16 16s7.156 16 16 16h48V416c0 8.844 7.156 16 16 16s16-7.156 16-16v-48h64V416c0 8.844 7.156 16 16 16s16-7.156 16-16v-48h64V416c0 8.844 7.156 16 16 16s16-7.156 16-16v-48H416c8.844 0 16-7.156 16-16s-7.156-16-16-16h-48v-64H416zM336 176v64l-63.1 .0004L272 176H336zM176 176h64l.0012 64L176 240V176zM176 336v-64l64 .0004L240 336H176zM336 336h-64l.0012-63.1L336 272V336z"]],
    "wagon-covered": [640, 512, [], "f8ee", ["M4.508 57.42C-5.178 30.3 16.1 2.14 44.84 4.056L194.1 14.01C210.9 15.13 224 29.09 224 45.94V224H64L4.508 57.42zM352 15.1C369.7 15.1 384 30.33 384 47.1V223.1H256V47.1C256 30.33 270.3 15.1 288 15.1H352zM288 400C288 461.9 237.9 512 176 512C114.1 512 64 461.9 64 400C64 338.1 114.1 287.1 176 287.1C237.9 287.1 288 338.1 288 400zM160 461.1V416H114C119.8 438.5 137.5 456.2 160 461.1zM114 384H160V338C137.5 343.8 119.8 361.5 114 384zM192 416V461.1C214.5 456.2 232.2 438.5 237.1 416H192zM237.1 384C232.2 361.5 214.5 343.8 192 338V384H237.1zM576 400C576 461.9 525.9 512 464 512C402.1 512 352 461.9 352 400C352 338.1 402.1 287.1 464 287.1C525.9 287.1 576 338.1 576 400zM448 461.1V416H402C407.8 438.5 425.5 456.2 448 461.1zM402 384H448V338C425.5 343.8 407.8 361.5 402 384zM480 416V461.1C502.5 456.2 520.2 438.5 525.1 416H480zM525.1 384C520.2 361.5 502.5 343.8 480 338V384H525.1zM595.2 4.055C623.9 2.14 645.2 30.3 635.5 57.42L576 223.1H416V45.94C416 29.09 429.1 15.13 445.9 14.01L595.2 4.055z", "M544 256C561.7 256 576 270.3 576 288C576 305.7 561.7 320 544 320H542.4C522.2 300.2 494.5 288 464 288C402.1 288 352 338.1 352 400C352 405.4 352.4 410.8 353.1 416H286.9C287.6 410.8 288 405.4 288 400C288 338.1 237.9 288 176 288C145.5 288 117.8 300.2 97.62 320H96C78.33 320 64 305.7 64 288C64 270.3 78.33 256 96 256H544z"]],
    "walker": [448, 512, [], "f831", ["M448 448C448 483.3 419.3 512 384 512C348.7 512 320 483.3 320 448C320 412.7 348.7 384 384 384C419.3 384 448 412.7 448 448z", "M24.24 511C7.093 506.8-3.331 489.4 .9552 472.2L100.8 72.72C111.5 29.98 149.9 0 193.1 0H320C373 0 416 42.98 416 96V392.6C406.6 387.1 395.7 384 384 384C372.3 384 361.4 387.1 352 392.6V224H128.1L63.04 487.8C58.76 504.9 41.38 515.3 24.24 511L24.24 511zM193.1 64C179.3 64 166.5 73.99 162.9 88.24L144.1 160H352V96C352 78.33 337.7 64 320 64H193.1z"]],
    "walkie-talkie": [384, 512, [], "f8ef", ["M352 96h-32V80C320 71.16 312.8 64 304 64h-32C263.2 64 256 71.16 256 80V96h-32V80C224 71.16 216.8 64 208 64h-32C167.2 64 160 71.16 160 80V96H32C14.4 96 0 110.4 0 128v178.7c0 8.484 3.373 16.62 9.371 22.62L32 352v112C32 490.5 53.49 512 80 512h224c26.51 0 48-21.49 48-48V352l22.63-22.63C380.6 323.4 384 315.2 384 306.7V128C384 110.4 369.6 96 352 96zM288 312C288 316.4 284.4 320 280 320h-176C99.63 320 96 316.4 96 312v-16C96 291.6 99.63 288 104 288h176C284.4 288 288 291.6 288 296V312zM288 248C288 252.4 284.4 256 280 256h-176C99.63 256 96 252.4 96 248v-16C96 227.6 99.63 224 104 224h176C284.4 224 288 227.6 288 232V248zM288 184C288 188.4 284.4 192 280 192h-176C99.63 192 96 188.4 96 184v-16C96 163.6 99.63 160 104 160h176C284.4 160 288 163.6 288 168V184z", "M280 288h-176C99.63 288 96 291.6 96 296v16C96 316.4 99.63 320 104 320h176C284.4 320 288 316.4 288 312v-16C288 291.6 284.4 288 280 288zM280 224h-176C99.63 224 96 227.6 96 232v16C96 252.4 99.63 256 104 256h176C284.4 256 288 252.4 288 248v-16C288 227.6 284.4 224 280 224zM280 160h-176C99.63 160 96 163.6 96 168v16C96 188.4 99.63 192 104 192h176C284.4 192 288 188.4 288 184v-16C288 163.6 284.4 160 280 160zM112 23.1C112 10.74 101.3 0 88 0S64 10.74 64 23.1V96h48V23.1z"]],
    "wallet": [512, 512, [], "f555", ["M0 80C0 53.49 21.49 32 48 32H432C458.5 32 480 53.49 480 80V136.6C470.6 131.1 459.7 128 448 128L48 128C21.49 128 0 106.5 0 80V80z", "M48 127.1L448 128C448.4 128 448.9 128 449.3 128C460.5 128.3 470.9 131.6 480 136.9V136.6C499.1 147.6 512 168.3 512 192V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V80C0 106.5 21.49 128 48 128L48 127.1zM416 336C433.7 336 448 321.7 448 304C448 286.3 433.7 272 416 272C398.3 272 384 286.3 384 304C384 321.7 398.3 336 416 336z"]],
    "wand": [512, 512, [], "f72a", ["", "M376.3 191.1l-279.2 309.5c-12.25 13.5-33.38 14.13-46.37 1.133l-41.4-41.41c-12.1-12.1-12.35-34.09 1.145-46.34l117.5-106V271.1c0-8.874 7.124-16 15.1-16h42.62l279.1-251.8c6.374-5.75 15.1-5.5 22.12 .625l19.5 19.37c5.999 6.125 6.249 15.75 .5 22.12L415.1 147.1v28c0 8.874-7.124 16-15.1 16H376.3z"]],
    "wand-magic": [512, 512, ["magic"], "f0d0", ["M347.6 187.6L452.6 82.58L429.4 59.31L324.3 164.3L284.7 124.7L395.4 14.06C414.2-4.686 444.6-4.686 463.3 14.06L497.9 48.64C516.6 67.38 516.6 97.78 497.9 116.5L387.2 227.2L347.6 187.6z", "M116.5 497.9C97.78 516.6 67.38 516.6 48.64 497.9L14.06 463.3C-4.686 444.6-4.686 414.2 14.06 395.4L284.7 124.7L387.2 227.2L116.5 497.9z"]],
    "wand-magic-sparkles": [576, 512, ["magic-wand-sparkles"], "e2ca", ["M248.8 4.994C249.9 1.99 252.8 .0001 256 .0001C259.2 .0001 262.1 1.99 263.2 4.994L277.3 42.67L315 56.79C318 57.92 320 60.79 320 64C320 67.21 318 70.08 315 71.21L277.3 85.33L263.2 123C262.1 126 259.2 128 256 128C252.8 128 249.9 126 248.8 123L234.7 85.33L196.1 71.21C193.1 70.08 192 67.21 192 64C192 60.79 193.1 57.92 196.1 56.79L234.7 42.67L248.8 4.994zM529.9 116.5L419.2 227.2L379.6 187.6L484.6 82.58L461.4 59.31L356.3 164.3L316.7 124.7L427.4 14.06C446.2-4.686 476.6-4.686 495.3 14.06L529.9 48.64C548.6 67.38 548.6 97.78 529.9 116.5H529.9zM7.491 117.2L64 96L85.19 39.49C86.88 34.98 91.19 32 96 32C100.8 32 105.1 34.98 106.8 39.49L128 96L184.5 117.2C189 118.9 192 123.2 192 128C192 132.8 189 137.1 184.5 138.8L128 160L106.8 216.5C105.1 221 100.8 224 96 224C91.19 224 86.88 221 85.19 216.5L64 160L7.491 138.8C2.985 137.1 0 132.8 0 128C0 123.2 2.985 118.9 7.491 117.2zM359.5 373.2L416 352L437.2 295.5C438.9 290.1 443.2 288 448 288C452.8 288 457.1 290.1 458.8 295.5L480 352L536.5 373.2C541 374.9 544 379.2 544 384C544 388.8 541 393.1 536.5 394.8L480 416L458.8 472.5C457.1 477 452.8 480 448 480C443.2 480 438.9 477 437.2 472.5L416 416L359.5 394.8C354.1 393.1 352 388.8 352 384C352 379.2 354.1 374.9 359.5 373.2z", "M148.5 497.9C129.8 516.6 99.38 516.6 80.64 497.9L46.06 463.3C27.31 444.6 27.31 414.2 46.06 395.4L316.7 124.7L419.2 227.2L148.5 497.9z"]],
    "wand-sparkles": [512, 512, [], "f72b", ["M156.3 138L106.9 117.4L106.5 117L85.94 67.7C84.93 65.66 82.27 64.02 80 64c-.0078 0 .0078 0 0 0c-2.279 0-4.966 1.649-5.981 3.692L53.32 117.3L3.682 138C1.652 139.1 0 141.7 0 144c0 2.266 1.652 4.945 3.682 5.961L53.32 170.7L74.02 220.3c1.016 2.043 3.698 3.696 5.977 3.696c.0078 0-.0078 0 0 0c2.271-.0156 4.934-1.661 5.946-3.696l20.72-49.63l49.62-20.71c2.023-1.008 3.68-3.681 3.691-5.947C159.1 141.7 158.3 139 156.3 138zM511.1 368c-.0039-2.273-1.658-4.95-3.687-5.966l-49.57-20.67l-20.77-49.67C436.9 289.7 434.3 288 432 288c-2.281 0-4.948 1.652-5.964 3.695l-20.7 49.63l-49.64 20.71c-2.027 1.016-3.684 3.683-3.687 5.956c.0039 2.262 1.662 4.954 3.687 5.966l49.57 20.67l20.77 49.67C427.1 446.3 429.7 448 432 448c2.277 0 4.944-1.656 5.96-3.699l20.69-49.63l49.65-20.71C510.3 372.9 511.1 370.3 511.1 368zM239.1 32L227.6 2.219C226.1 .9922 225.4 0 223.1 0S221 .9922 220.4 2.219L207.1 32L178.2 44.42C176.1 45.03 176 46.63 176 48c0 1.359 .9928 2.969 2.21 3.578L207.1 64l12.42 29.78C221 95.01 222.6 96 223.1 96s2.965-.9922 3.575-2.219L239.1 64l29.78-12.42c1.219-.6094 2.215-2.219 2.215-3.578c0-1.367-.996-2.969-2.215-3.578L239.1 32z", "M399.1 191.1c8.875 0 15.1-7.127 15.1-16v-28l91.87-101.7c5.75-6.371 5.5-15.1-.4999-22.12L487.8 4.774c-6.125-6.125-15.75-6.375-22.12-.625L186.6 255.1H144c-8.875 0-15.1 7.125-15.1 15.1v36.88l-117.5 106c-13.5 12.25-14.14 33.34-1.145 46.34l41.4 41.41c12.1 12.1 34.13 12.36 46.37-1.133l279.2-309.5H399.1z"]],
    "warehouse": [640, 512, [], "f494", ["M512 488C512 501.3 501.3 512 488 512H152C138.7 512 128 501.3 128 488V432H512V488zM512 400H128V336H512V400zM512 304H128V224H512V304z", "M40.23 111.9L308.1 4.753C315.7 1.702 324.3 1.702 331.9 4.753L599.8 111.9C624.1 121.6 640 145.2 640 171.3V488C640 501.3 629.3 512 616 512H568C554.7 512 544 501.3 544 488V223.1C544 206.3 529.7 191.1 512 191.1H128C110.3 191.1 96 206.3 96 223.1V488C96 501.3 85.25 512 72 512H24C10.75 512 0 501.3 0 488V171.3C0 145.2 15.93 121.6 40.23 111.9z"]],
    "warehouse-full": [640, 512, ["warehouse-alt"], "f495", ["M128 248C128 234.7 138.7 224 152 224H296C309.3 224 320 234.7 320 248V328C320 341.3 309.3 352 296 352H152C138.7 352 128 341.3 128 328V248zM352 408C352 394.7 362.7 384 376 384H488C501.3 384 512 394.7 512 408V488C512 501.3 501.3 512 488 512H376C362.7 512 352 501.3 352 488V408zM296 384C309.3 384 320 394.7 320 408V488C320 501.3 309.3 512 296 512H152C138.7 512 128 501.3 128 488V408C128 394.7 138.7 384 152 384H296z", "M40.23 111.9L308.1 4.753C315.7 1.702 324.3 1.702 331.9 4.753L599.8 111.9C624.1 121.6 640 145.2 640 171.3V488C640 501.3 629.3 512 616 512H568C554.7 512 544 501.3 544 488V223.1C544 206.3 529.7 191.1 512 191.1H128C110.3 191.1 96 206.3 96 223.1V488C96 501.3 85.25 512 72 512H24C10.75 512 0 501.3 0 488V171.3C0 145.2 15.93 121.6 40.23 111.9z"]],
    "washing-machine": [448, 512, ["washer"], "f898", ["M334.1 285.3c-20.53 20-53.26 19.62-73.3-1C251.3 294.3 237.9 300 224 300S196.7 294.4 187.2 284.4c-20.04 20.5-52.76 20.88-73.3 1C112.7 291.5 112.1 297.8 112 304c0 61.88 50.15 112 112 112s112-50.13 112-112C335.9 297.8 335.3 291.5 334.1 285.3zM184 112C197.3 112 208 101.3 208 88c0-13.26-10.7-24-23.96-24S160 74.74 160 88C160 101.3 170.8 112 184 112z", "M384 .0002H63.98C28.63 .0002 0 28.63 0 64v416c0 17.62 14.31 32 31.98 32h384c17.67 0 31.98-14.38 31.98-32V64C448 28.63 419.4 .0002 384 .0002zM184 64C197.3 64 208 74.75 208 88s-10.74 24-23.96 24C170.7 112 160 101.3 160 88S170.7 64 184 64zM64 88c0-13.25 10.82-24 24-24c13.31 0 24 10.75 24 24s-10.69 24-24 24C74.82 112 64 101.3 64 88zM224 448c-79.52 0-143.1-64.5-143.1-144S144.5 160 224 160s143.1 64.5 143.1 144S303.5 448 224 448z"]],
    "watch": [384, 512, [8986], "f2e1", ["M0 256C0 149.1 85.96 64 192 64C298 64 384 149.1 384 256C384 362 298 448 192 448C85.96 448 0 362 0 256zM216 176C216 162.7 205.3 152 192 152C178.7 152 168 162.7 168 176V256C168 264 172 271.5 178.7 275.1L226.7 307.1C237.7 315.3 252.6 312.3 259.1 301.3C267.3 290.3 264.3 275.4 253.3 268L216 243.2L216 176z", "M64 48C64 21.49 85.49 0 112 0H272C298.5 0 320 21.49 320 48V112.9C286 82.49 241.2 64 192 64C142.8 64 97.97 82.49 64 112.9V48zM192 448C241.2 448 286 429.5 320 399.1V464C320 490.5 298.5 512 272 512H112C85.49 512 64 490.5 64 464V399.1C97.97 429.5 142.8 448 192 448zM216 243.2L253.3 268C264.3 275.4 267.3 290.3 259.1 301.3C252.6 312.3 237.7 315.3 226.7 307.1L178.7 275.1C172 271.5 168 264 168 255.1V175.1C168 162.7 178.7 151.1 192 151.1C205.3 151.1 216 162.7 216 175.1L216 243.2z"]],
    "watch-apple": [384, 512, [], "e2cb", ["M304 64C348.2 64 384 99.82 384 144V368C384 412.2 348.2 448 304 448H80C35.82 448 0 412.2 0 368V144C0 99.82 35.82 64 80 64H304zM192 298.7C215.6 298.7 234.7 279.6 234.7 256C234.7 232.4 215.6 213.3 192 213.3C168.4 213.3 149.3 232.4 149.3 256C149.3 279.6 168.4 298.7 192 298.7zM245.3 320C227.7 320 213.3 334.3 213.3 352C213.3 369.7 227.7 384 245.3 384C263 384 277.3 369.7 277.3 352C277.3 334.3 263 320 245.3 320zM138.7 384C156.3 384 170.7 369.7 170.7 352C170.7 334.3 156.3 320 138.7 320C120.1 320 106.7 334.3 106.7 352C106.7 369.7 120.1 384 138.7 384zM245.3 128C227.7 128 213.3 142.3 213.3 160C213.3 177.7 227.7 192 245.3 192C263 192 277.3 177.7 277.3 160C277.3 142.3 263 128 245.3 128zM138.7 192C156.3 192 170.7 177.7 170.7 160C170.7 142.3 156.3 128 138.7 128C120.1 128 106.7 142.3 106.7 160C106.7 177.7 120.1 192 138.7 192zM96 224C78.33 224 64 238.3 64 256C64 273.7 78.33 288 96 288C113.7 288 128 273.7 128 256C128 238.3 113.7 224 96 224zM288 288C305.7 288 320 273.7 320 256C320 238.3 305.7 224 288 224C270.3 224 256 238.3 256 256C256 273.7 270.3 288 288 288z", "M271.7 0C298.4 0 320 21.63 320 48.32V65.6C314.8 64.55 309.5 64 304 64H80C74.52 64 69.17 64.55 64 65.6V48.32C64 21.63 85.63 0 112.3 0L271.7 0zM64 464V446.4C69.17 447.4 74.52 448 80 448H304C309.5 448 314.8 447.4 320 446.4V464C320 490.5 298.5 512 272 512H112C85.49 512 64 490.5 64 464zM213.3 352C213.3 334.3 227.7 320 245.3 320C263 320 277.3 334.3 277.3 352C277.3 369.7 263 384 245.3 384C227.7 384 213.3 369.7 213.3 352zM277.3 160C277.3 177.7 263 192 245.3 192C227.7 192 213.3 177.7 213.3 160C213.3 142.3 227.7 128 245.3 128C263 128 277.3 142.3 277.3 160zM64 256C64 238.3 78.33 224 96 224C113.7 224 128 238.3 128 256C128 273.7 113.7 288 96 288C78.33 288 64 273.7 64 256z"]],
    "watch-calculator": [384, 512, [], "f8f0", ["M304 64C348.2 64 384 99.82 384 144V368C384 412.2 348.2 448 304 448H80C35.82 448 0 412.2 0 368V144C0 99.82 35.82 64 80 64H304zM80 128C71.16 128 64 135.2 64 144V176C64 184.8 71.16 192 80 192H304C312.8 192 320 184.8 320 176V144C320 135.2 312.8 128 304 128H80zM88 296C101.3 296 112 285.3 112 272C112 258.7 101.3 248 88 248C74.75 248 64 258.7 64 272C64 285.3 74.75 296 88 296zM192 248C178.7 248 168 258.7 168 272C168 285.3 178.7 296 192 296C205.3 296 216 285.3 216 272C216 258.7 205.3 248 192 248zM296 296C309.3 296 320 285.3 320 272C320 258.7 309.3 248 296 248C282.7 248 272 258.7 272 272C272 285.3 282.7 296 296 296zM88 336C74.75 336 64 346.7 64 360C64 373.3 74.75 384 88 384C101.3 384 112 373.3 112 360C112 346.7 101.3 336 88 336zM192 384C205.3 384 216 373.3 216 360C216 346.7 205.3 336 192 336C178.7 336 168 346.7 168 360C168 373.3 178.7 384 192 384zM296 336C282.7 336 272 346.7 272 360C272 373.3 282.7 384 296 384C309.3 384 320 373.3 320 360C320 346.7 309.3 336 296 336z", "M271.7 0C298.4 0 320 21.63 320 48.32V65.6C314.8 64.55 309.5 64 304 64H80C74.52 64 69.17 64.55 64 65.6V48.32C64 21.63 85.63 0 112.3 0L271.7 0zM64 464V446.4C69.17 447.4 74.52 448 80 448H304C309.5 448 314.8 447.4 320 446.4V464C320 490.5 298.5 512 272 512H112C85.49 512 64 490.5 64 464zM64 272C64 258.7 74.75 248 88 248C101.3 248 112 258.7 112 272C112 285.3 101.3 296 88 296C74.75 296 64 285.3 64 272zM168 272C168 258.7 178.7 248 192 248C205.3 248 216 258.7 216 272C216 285.3 205.3 296 192 296C178.7 296 168 285.3 168 272zM320 272C320 285.3 309.3 296 296 296C282.7 296 272 285.3 272 272C272 258.7 282.7 248 296 248C309.3 248 320 258.7 320 272zM64 360C64 346.7 74.75 336 88 336C101.3 336 112 346.7 112 360C112 373.3 101.3 384 88 384C74.75 384 64 373.3 64 360zM216 360C216 373.3 205.3 384 192 384C178.7 384 168 373.3 168 360C168 346.7 178.7 336 192 336C205.3 336 216 346.7 216 360zM272 360C272 346.7 282.7 336 296 336C309.3 336 320 346.7 320 360C320 373.3 309.3 384 296 384C282.7 384 272 373.3 272 360z"]],
    "watch-fitness": [384, 512, [], "f63e", ["M304 64C348.2 64 384 99.82 384 144V368C384 412.2 348.2 448 304 448H80C35.82 448 0 412.2 0 368V144C0 99.82 35.82 64 80 64H304zM203.1 333.3L283.2 256.1C303.3 236.7 303.3 204.5 283.2 185C264 166.6 233.7 166.6 214.6 185L192 206.9L169.4 185C150.3 166.6 119.1 166.6 100.8 185C80.72 204.5 80.72 236.7 100.8 256.1L180.9 333.3C187.1 339.3 196.9 339.3 203.1 333.3V333.3z", "M271.7 0C298.4 0 320 21.63 320 48.32V65.6C314.8 64.55 309.5 64 304 64H80C74.52 64 69.17 64.55 64 65.6V48.32C64 21.63 85.63 0 112.3 0L271.7 0zM64 464V446.4C69.17 447.4 74.52 448 80 448H304C309.5 448 314.8 447.4 320 446.4V464C320 490.5 298.5 512 272 512H112C85.49 512 64 490.5 64 464zM180.9 333.3L100.8 256.1C80.72 236.7 80.72 204.5 100.8 185C119.1 166.6 150.3 166.6 169.4 185L192 206.9L214.6 185C233.7 166.6 264 166.6 283.2 185C303.3 204.5 303.3 236.7 283.2 256.1L203.1 333.3C196.9 339.3 187.1 339.3 180.9 333.3V333.3z"]],
    "watch-smart": [384, 512, [], "e2cc", ["M304 64C348.2 64 384 99.82 384 144V368C384 412.2 348.2 448 304 448H80C35.82 448 0 412.2 0 368V144C0 99.82 35.82 64 80 64H304zM216 160C216 146.7 205.3 136 192 136C178.7 136 168 146.7 168 160V256C168 262.4 170.5 268.5 175 272.1L223 320.1C232.4 330.3 247.6 330.3 256.1 320.1C266.3 311.6 266.3 296.4 256.1 287L216 246.1V160z", "M271.7 0C298.4 0 320 21.63 320 48.32V65.6C314.8 64.55 309.5 64 304 64H80C74.52 64 69.17 64.55 64 65.6V48.32C64 21.63 85.63 0 112.3 0L271.7 0zM64 464V446.4C69.17 447.4 74.52 448 80 448H304C309.5 448 314.8 447.4 320 446.4V464C320 490.5 298.5 512 272 512H112C85.49 512 64 490.5 64 464zM216 246.1L256.1 287C266.3 296.4 266.3 311.6 256.1 320.1C247.6 330.3 232.4 330.3 223 320.1L175 272.1C170.5 268.5 168 262.4 168 256V160C168 146.7 178.7 136 192 136C205.3 136 216 146.7 216 160V246.1z"]],
    "water": [576, 512, [], "f773", ["M384 303.8c-44.55 0-76.48-13.06-96-24.59c-19.52 11.53-51.46 24.65-96 24.65c-44.58 0-76.54-13.15-96.04-24.68C82.49 287.1 63.1 295.8 37.78 300.4C20.31 303.8 3.713 292.1 .5254 274.7C-2.646 257.4 8.869 240.7 26.24 237.5c31.23-5.719 46.84-20.06 47.5-20.66c12.61-11.81 32.67-11.91 44.89 .3438C119.3 217.8 143.4 239.8 192 239.8s72.73-22.06 73.73-23c12.59-11.75 32.67-11.88 44.89 .375c.6406 .5625 24.78 22.62 73.38 22.62s72.73-22.06 73.73-23c12.59-11.75 32.69-11.81 44.91 .375c.2813 .25 15.89 14.59 47.13 20.31c17.38 3.188 28.89 19.84 25.72 37.22c-3.188 17.38-19.69 29.09-37.25 25.72c-25.33-4.625-44.72-13.31-58.19-21.25C460.6 290.7 428.6 303.8 384 303.8z", "M37.78 156.4c25.33-4.625 44.72-13.31 58.19-21.25c19.5 11.53 51.47 24.68 96.04 24.68c44.55 0 76.49-13.12 96-24.65c19.52 11.53 51.45 24.59 96 24.59c44.58 0 76.55-13.09 96.05-24.62c13.47 7.938 32.86 16.62 58.19 21.25c17.56 3.375 34.06-8.344 37.25-25.72c3.172-17.38-8.344-34.03-25.72-37.22c-31.23-5.719-46.84-20.06-47.13-20.31c-12.22-12.19-32.31-12.12-44.91-.375c-1 .9375-25.14 23-73.73 23s-72.73-22.06-73.38-22.62c-12.22-12.25-32.3-12.12-44.89-.375c-1 .9375-25.14 23-73.73 23S119.3 73.76 118.6 73.2C106.4 60.95 86.35 61.04 73.74 72.85C73.09 73.45 57.48 87.79 26.24 93.51c-17.38 3.188-28.89 19.84-25.72 37.22C3.713 148.1 20.31 159.8 37.78 156.4zM549.8 381.7c-31.23-5.719-46.84-20.06-47.13-20.31c-12.22-12.19-32.31-12.12-44.91-.375C456.7 361.9 432.6 384 384 384s-72.73-22.06-73.38-22.62c-12.22-12.25-32.3-12.12-44.89-.375C264.7 361.9 240.6 384 192 384s-72.73-22.06-73.38-22.62c-12.22-12.25-32.28-12.16-44.89-.3438c-.6562 .5938-16.27 14.94-47.5 20.66c-17.38 3.188-28.89 19.84-25.72 37.22C3.713 436.3 20.31 448 37.78 444.6C63.1 440 82.49 431.3 95.96 423.4c19.5 11.53 51.51 24.62 96.08 24.62c44.55 0 76.45-13.06 95.96-24.59C307.5 434.9 339.5 448 384.1 448c44.58 0 76.5-13.09 95.1-24.62c13.47 7.938 32.86 16.62 58.19 21.25C555.8 448 572.3 436.3 575.5 418.9C578.7 401.5 567.2 384.9 549.8 381.7z"]],
    "water-arrow-down": [576, 512, ["water-lower"], "f774", ["M549.8 445.7c-31.23-5.719-46.84-20.06-47.13-20.31c-12.22-12.19-32.31-12.12-44.91-.375C456.7 425.9 432.6 448 384 448s-72.73-22.06-73.38-22.62c-12.22-12.25-32.3-12.12-44.89-.375C264.7 425.9 240.6 448 192 448s-72.73-22.06-73.38-22.62c-12.22-12.25-32.28-12.16-44.89-.3438c-.6562 .5938-16.27 14.94-47.5 20.66c-17.38 3.188-28.89 19.84-25.72 37.22C3.713 500.3 20.31 512 37.78 508.6C63.1 504 82.49 495.3 95.96 487.4c19.5 11.53 51.51 24.62 96.08 24.62c44.55 0 76.45-13.06 95.96-24.59C307.5 498.9 339.5 512 384.1 512c44.58 0 76.5-13.09 95.1-24.62c13.47 7.938 32.86 16.62 58.19 21.25C555.8 512 572.3 500.3 575.5 482.9C578.7 465.5 567.2 448.9 549.8 445.7zM37.76 380.4c25.33-4.625 44.72-13.31 58.19-21.25c19.5 11.53 51.53 24.71 96.11 24.71c44.55 0 76.42-13.15 95.94-24.68c19.52 11.53 51.51 24.68 96.06 24.68c44.58 0 76.49-13.18 95.99-24.71c13.47 7.938 32.86 16.62 58.19 21.25c17.56 3.375 34.06-8.344 37.25-25.72c3.172-17.38-8.344-34.03-25.72-37.22c-31.23-5.719-46.84-20.06-47.13-20.31c-12.22-12.19-32.31-12.12-44.91-.375c-1 .9375-25.14 23-73.73 23s-72.74-22.07-73.38-22.63C298.4 284.9 278.3 285.1 265.7 296.8c-1 .9375-25.14 23-73.73 23S119.3 297.8 118.6 297.2C106.4 284.9 86.33 285 73.72 296.9C73.07 297.4 57.46 311.8 26.22 317.5c-17.38 3.188-28.89 19.84-25.72 37.22C3.693 372.1 20.29 383.8 37.76 380.4z", "M268 217c1.459 1.162 3.166 1.746 4.76 2.621c1.266 .7012 2.385 1.535 3.748 2.062C280.2 223.1 284.1 224 288 224s7.771-.8867 11.48-2.316c1.363-.5273 2.482-1.361 3.748-2.062c1.594-.875 3.301-1.459 4.76-2.621l80-64c13.81-11.06 16.05-31.19 5-45c-11.02-13.81-31.19-16.03-44.97-5L320 125.4V32c0-17.69-14.33-32-32-32S256 14.31 256 32v93.42L227.1 103C214.2 91.97 194.1 94.25 183 108c-11.05 13.81-8.812 33.94 5 45L268 217z"]],
    "water-arrow-up": [576, 512, ["water-rise"], "f775", ["M549.8 445.7c-31.23-5.719-46.84-20.06-47.13-20.31c-12.22-12.19-32.31-12.12-44.91-.375C456.7 425.9 432.6 448 383.1 448s-72.73-22.06-73.38-22.62c-12.22-12.25-32.3-12.12-44.89-.375C264.7 425.9 240.6 448 191.1 448s-72.73-22.06-73.38-22.62c-12.22-12.25-32.28-12.16-44.89-.3438c-.6562 .5938-16.27 14.94-47.5 20.66c-17.38 3.188-28.89 19.84-25.72 37.22C3.693 500.3 20.29 512 37.76 508.6C63.08 504 82.47 495.3 95.94 487.4c19.5 11.53 51.52 24.62 96.1 24.62c44.55 0 76.43-13.06 95.95-24.59C307.5 498.9 339.5 512 384 512c44.58 0 76.49-13.09 95.99-24.62c13.47 7.938 32.86 16.62 58.19 21.25C555.8 512 572.3 500.3 575.5 482.9C578.6 465.5 567.1 448.9 549.8 445.7zM37.74 380.4c25.33-4.625 44.72-13.31 58.19-21.25c19.5 11.53 51.54 24.71 96.12 24.71c44.55 0 76.42-13.15 95.93-24.68c19.52 11.53 51.52 24.68 96.07 24.68c44.58 0 76.48-13.18 95.98-24.71c13.47 7.938 32.86 16.62 58.19 21.25c17.56 3.375 34.06-8.344 37.25-25.72c3.172-17.38-8.344-34.03-25.72-37.22C518.5 311.8 502.9 297.4 502.6 297.2c-12.22-12.19-32.31-12.12-44.91-.375c-1 .9375-25.13 23-73.72 23s-72.74-22.07-73.38-22.63c-12.22-12.25-32.3-12.12-44.89-.375c-1 .9375-25.13 23-73.72 23S119.2 297.8 118.6 297.2C106.4 284.9 86.31 285 73.71 296.9C73.05 297.4 57.44 311.8 26.21 317.5c-17.38 3.188-28.89 19.84-25.72 37.22C3.674 372.1 20.27 383.8 37.74 380.4z", "M307.1 7c-1.459-1.162-3.166-1.746-4.76-2.621c-1.266-.7012-2.385-1.535-3.748-2.062C295.8 .8867 291.9 0 288 0S280.2 .8867 276.5 2.316C275.2 2.844 274 3.678 272.8 4.379C271.2 5.254 269.5 5.838 268 7l-80 64C174.2 82.06 171.1 102.2 183 116c11.02 13.81 31.19 16.03 44.97 5L256 98.58V192c0 17.69 14.33 32 32 32s32-14.31 32-32V98.58L348 121c13.77 11.03 33.92 8.75 44.97-5c11.05-13.81 8.812-33.94-5-45L307.1 7z"]],
    "water-ladder": [576, 512, ["ladder-water", "swimming-pool"], "f5c5", ["M576 445c0 16.07-12.7 32.1-31.73 32.1c-9.224 0-39.09-7.008-64.24-21.83c-19.5 11.53-51.41 24.66-96.01 24.66c-44.53 0-76.52-13.09-96.06-24.62c-19.5 11.53-51.39 24.66-95.96 24.66s-76.58-13.16-96.08-24.69c-24.71 14.56-54.82 21.84-64.26 21.84c-18.86 0-31.71-15.82-31.71-32.07c0-15.14 10.82-28.59 26.25-31.42c48.03-8.797 45.88-29.51 69.95-29.51c8.156 0 16.27 3.039 22.4 9.196c.7187 .5625 24.81 22.59 73.41 22.59c64.76 0 71.23-31.81 96.2-31.81c8.16 0 16.28 3.031 22.42 9.188c.6562 .5625 24.78 22.62 73.38 22.62c64.76 0 71.14-31.79 96.18-31.79c8.179 0 16.32 3.031 22.47 9.164C531.6 419.1 576 405.7 576 445z", "M192 383.1V288h192v95.99c39.6-.1448 53.95-17.98 64-26.83V128c0-17.62 14.38-32 32-32s32 14.38 32 32c0 17.67 14.33 32 32 32s32-14.33 32-32c0-53-42.1-95.1-95.1-95.1C420.1 32 384 81.94 384 131.6V224H192V128c0-17.62 14.38-32 32-32s32 14.38 32 32c0 17.67 14.33 32 32 32c17.3 0 31.2-13.79 31.79-30.94c-1.227-49.01-37.99-97.06-95.79-97.06C170.1 32 128 74.1 128 128v229.2C138.5 366.4 151.4 383.8 192 383.1zM320 128c0 .375-.1992 .6855-.2129 1.057C319.8 129.9 320 130.7 320 131.6V128z"]],
    "watermelon-slice": [512, 512, [], "e337", ["M380.5 54.63L357.9 32L32 357.9l22.62 22.62C98.16 424 156 448 217.6 448c61.56 0 119.4-23.97 162.9-67.48C424 336.1 448 279.1 448 217.6C448 156 424 98.16 380.5 54.63zM187.3 347.3c-6.246 6.246-16.36 6.277-22.61 .0234l-16.01-16.03c-6.25-6.25-6.25-16.38 0-22.63s16.38-6.25 22.62 0L187.3 324.7C193.6 330.1 193.6 341.1 187.3 347.3zM228.7 228.7c6.25-6.252 16.38-6.252 22.62 0l16.02 16.02c6.25 6.25 6.231 16.36-.0194 22.61C261.1 273.6 250.1 273.6 244.7 267.4L228.7 251.3C222.4 245.1 222.4 234.1 228.7 228.7zM275.3 355.3c-6.246 6.246-16.35 6.278-22.61 .0239l-16.02-16.03c-6.25-6.25-6.25-16.38 0-22.63c6.25-6.252 16.38-6.252 22.62 0l16.02 16.02C281.6 338.1 281.6 349.1 275.3 355.3zM308.7 148.7c6.25-6.25 16.38-6.25 22.62 0l16.03 16.01c6.25 6.252 6.225 16.37-.0252 22.62c-6.244 6.248-16.35 6.269-22.6 .0129l-16.02-16.01C302.4 165.1 302.4 154.1 308.7 148.7zM355.3 275.3c-6.246 6.246-16.35 6.272-22.6 .0184l-16.02-16.02c-6.25-6.252-6.25-16.38 0-22.63c6.25-6.252 16.38-6.252 22.62 0l16.03 16.02C361.6 258.1 361.6 269.1 355.3 275.3z", "M236.7 316.7c-6.25 6.25-6.25 16.38 0 22.63l16.02 16.03c6.254 6.254 16.36 6.222 22.61-.0239c6.25-6.25 6.27-16.35 .02-22.6l-16.02-16.02C253.1 310.4 242.9 310.4 236.7 316.7zM316.7 236.7c-6.25 6.25-6.25 16.38 0 22.63l16.02 16.02c6.254 6.254 16.35 6.228 22.6-.0184c6.25-6.252 6.276-16.36 .0258-22.61l-16.03-16.02C333.1 230.5 322.9 230.5 316.7 236.7zM324.7 187.3c6.252 6.256 16.36 6.235 22.6-.0129c6.25-6.25 6.275-16.36 .0252-22.62l-16.03-16.01c-6.25-6.25-16.38-6.25-22.62 0c-6.25 6.252-6.25 16.38 0 22.63L324.7 187.3zM425.8 9.375c-12.5-12.5-32.75-12.5-45.25 0L357.9 32l22.62 22.62C424 98.16 448 156 448 217.6c0 61.55-23.97 119.4-67.5 162.9C336.1 424 279.1 448 217.6 448c-61.53 0-119.4-23.97-162.9-67.48L32 357.9l-22.62 22.62C3.375 386.5 0 394.7 0 403.1s3.375 16.62 9.375 22.62C65 481.4 138.9 512 217.6 512c78.66 0 152.6-30.62 208.2-86.23C481.4 370.2 512 296.2 512 217.6C512 138.9 481.4 64.98 425.8 9.375zM244.7 267.4c6.254 6.254 16.36 6.228 22.61-.0179c6.25-6.252 6.269-16.36 .0194-22.61L251.3 228.7c-6.25-6.252-16.38-6.252-22.62 0c-6.25 6.25-6.25 16.38 0 22.63L244.7 267.4zM164.7 347.4c6.254 6.254 16.37 6.223 22.61-.0234c6.25-6.25 6.264-16.36 .0136-22.61L171.3 308.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.63L164.7 347.4z"]],
    "wave-pulse": [640, 512, ["heart-rate"], "f5f8", ["", "M640 240v32c0 8.875-7.125 15.1-16 15.1h-124.2l-55.13 110.2c-5.875 11.87-18.63 18.75-31.75 17.62c-13.25-1.375-24.25-10.62-27.75-23.5L323.8 167.3L255.2 486.8C252.2 501 239.8 511.5 225.1 512H224c-14.25 0-26.88-9.5-30.75-23.25L135.9 288H16c-8.875 0-16-7.125-16-15.1V240c0-8.875 7.125-15.1 16-15.1H160c14.25 0 26.88 9.503 30.75 23.25l28.75 100.7L288.8 25.27c3-14.37 15.62-24.87 30.37-25.25c14.75-.5 27.88 9.375 31.75 23.62l74 271.1l26.5-52.1C456.8 230.9 467.9 224 480 224h144C632.9 224 640 231.1 640 240z"]],
    "wave-sine": [640, 512, [8767], "f899", ["M638.6 297.2C633 315.9 580.4 480 463.1 480C346.4 480 294.5 285.9 288.1 263.8C275.2 209 229.5 96 176 96C117.1 96 73.34 197.6 62.67 233.2C57.57 250.1 39.75 259.7 22.83 254.7C5.889 249.6-3.72 231.7 1.358 214.8C6.983 196.1 59.56 32 176 32c117.6 0 169.5 194.1 175 216.3C364.8 302.1 410.5 416 463.1 416c58.92 0 102.7-101.6 113.3-137.2c5.109-16.94 22.97-26.44 39.84-21.47C634.1 262.4 643.7 280.3 638.6 297.2z", ""]],
    "wave-square": [640, 512, [], "f83e", ["M476 480h-152c-19.88 0-36-16.12-36-36v-348H192v156c0 19.88-16.12 36-36 36H31.1C14.33 288 0 273.7 0 256s14.33-31.1 31.1-31.1H128v-156c0-19.88 16.12-36 36-36h152c19.88 0 36 16.12 36 36v348h96v-156c0-19.88 16.12-36 36-36h124C625.7 224 640 238.3 640 256s-14.33 32-31.1 32H512v156C512 463.9 495.9 480 476 480z", ""]],
    "wave-triangle": [640, 512, [], "f89a", ["M633.6 274.9l-143.1 192.3C483.6 475.2 474.1 480 463.1 480s-19.56-4.758-25.59-12.83L176 116.8L57.6 274.9C47.02 289.1 26.99 291.9 12.8 281.3c-14.14-10.61-16.1-30.71-6.391-44.85l143.1-192.3c12.06-16.15 39.12-16.15 51.19 0l262.4 350.4l118.4-158.1c10.59-14.18 30.62-16.1 44.8-6.417C641.3 240.6 644.2 260.7 633.6 274.9z", ""]],
    "waveform": [640, 512, [], "f8f1", ["M67.51 178.7C66.96 179.8 66.05 180.7 65.64 181.9L40.94 256H31.1C14.33 256 0 270.3 0 287.1c0 17.67 14.33 32.02 31.1 32.02H64c9.547 0 18.34-4.218 24.31-11.19L64.72 198.7C63.19 191.6 64.64 184.8 67.51 178.7zM160.8 89.74c-.0879 .4492-.3652 .7984-.4336 1.255L138.4 237.4l36.84 171.9c.8828 4.105 .8184 8.177 .1543 12.08c.0371-.2168 .1719-.3956 .2051-.6143l18.02-120.1L160.4 101.3C159.8 97.32 160.1 93.46 160.8 89.74zM608 256h-8.94l-24.18-72.54c-3.727-11.18-12.7-20.42-24.26-22.77c-17.89-3.632-34.32 7.829-37.93 24.59L501.6 237.3l26.09 173.9c.625 4.152 .3027 8.21-.6094 12.07c.0508-.2168 .2031-.3818 .25-.6006l24.39-113.9C557.7 315.8 566.5 320 576 320h32C625.7 320 640 305.7 640 287.1C640 270.3 625.7 256 608 256zM416.9 89.42c-.1016 .4746-.3966 .8423-.4767 1.325l-30 180l29.25 204.7c.5547 3.877 .1387 7.628-.6445 11.24c.1113-.5136 .4297-.9266 .5176-1.448l30.78-184.6l-29.1-199.9C415.8 96.87 416.1 93.08 416.9 89.42zM288.9 25.82C288.8 26.42 288.4 26.87 288.3 27.48L253.6 270.8l34 203.1c.6445 3.865 .3203 7.63-.3848 11.27c.1016-.5253 .418-.9539 .4941-1.489L319.1 258.3L288.3 36.56C287.8 32.86 288.2 29.29 288.9 25.82z", "M186.8 64.47c-17.44 2.906-29.22 19.4-26.31 36.81l64 383.1c2.594 15.66 16.09 26.7 31.47 26.7c1.75 0 3.562-.0833 5.344-.3958c17.44-2.906 29.22-19.4 26.31-36.81L223.6 90.76C220.7 73.32 204.1 61.41 186.8 64.47zM127.3 185.3c-3.719-17.25-20.59-28.5-38-24.56C72 164.4 61 181.5 64.72 198.7l47.99 223.1c3.219 14.1 16.48 25.28 31.26 25.28c2.219 0 4.469-.2187 6.75-.7187C168 443.6 179 426.6 175.3 409.3L127.3 185.3zM479.6 91.13c-2.594-17.47-18.54-29.07-36.38-26.76c-17.47 2.625-29.53 18.94-26.91 36.4l48.01 319.1c2.375 15.87 16.02 27.25 31.62 27.25c1.562 0 3.156-.125 4.781-.3437c17.47-2.625 29.53-18.94 26.91-36.4L479.6 91.13zM315.5 .3466c-17.5 2.5-29.66 18.72-27.16 36.22l64.01 447.1C354.6 500.5 368.2 512 383.9 512c1.5 0 3.125-.0937 4.656-.3124c17.5-2.5 29.66-18.72 27.16-36.22l-64-447.1C349.2 10 332.1-2.247 315.5 .3466z"]],
    "waveform-lines": [640, 512, ["waveform-path"], "f8f2", ["M224 96C206.3 96 192 110.3 192 127.1v256C192 401.7 206.3 416 223.1 416S256 401.7 256 384V127.1C256 110.3 241.7 96 224 96zM32 224C14.33 224 0 238.3 0 255.1S14.33 288 31.1 288S64 273.7 64 256S49.67 224 32 224zM608 224c-17.67 0-32 14.33-32 31.1S590.3 288 608 288s32-14.33 32-31.1S625.7 224 608 224zM416 128C398.3 128 384 142.3 384 159.1v192C384 369.7 398.3 384 415.1 384S448 369.7 448 352V159.1C448 142.3 433.7 128 416 128z", "M128 192C110.3 192 96 206.3 96 223.1V288C96 305.7 110.3 320 127.1 320S160 305.7 160 288V223.1C160 206.3 145.7 192 128 192zM320 0C302.3 0 288 14.33 288 31.1V480C288 497.7 302.3 512 319.1 512S352 497.7 352 480V31.1C352 14.33 337.7 0 320 0zM512 64c-17.67 0-32 14.33-32 31.1V416C480 433.7 494.3 448 511.1 448C529.7 448 544 433.7 544 416V95.1C544 78.33 529.7 64 512 64z"]],
    "weight-hanging": [512, 512, [], "f5cd", ["M165.9 128C162.2 118 159.1 107.3 159.1 96c0-53 43-96 96-96s96 43 96 96c0 11.25-2.25 22-5.875 32H256c17.63 0 32-14.38 32-32S273.6 64 256 64S223.1 78.38 223.1 96S238.4 128 256 128H165.9z", "M464 512H47.99c-31.63 0-54.63-32.88-46.25-66.13L74.74 153.8C78.49 138.5 91.24 128 105.6 128h300.8c14.38 0 27.13 10.5 30.88 25.75l73.01 292.1C518.6 479.1 495.6 512 464 512z"]],
    "weight-scale": [512, 512, ["weight"], "f496", ["M256 0C158.8 0 80 78.8 80 176C80 273.2 158.8 352 256 352s176-78.8 176-176C432 78.8 353.2 0 256 0zM256 304c-70.58 0-128-57.42-128-128s57.42-128 128-128s128 57.42 128 128S326.6 304 256 304z", "M448 64h-56.23c-.1387-.168-.3008-.3125-.4395-.4805C416.7 94.02 432 133.2 432 176c0 97.2-78.8 176-176 176S80 273.2 80 176c0-42.78 15.29-81.98 40.67-112.5C120.5 63.69 120.4 63.83 120.2 64H64C28.75 64 0 92.75 0 128v320c0 35.25 28.75 64 64 64h384c35.25 0 64-28.75 64-64V128C512 92.75 483.3 64 448 64zM256 264c22.12 0 40-17.88 40-40c0-10.5-4.25-20-11-27.12l33.75-78.63c3.5-8.125-.375-17.5-8.5-21c-8-3.5-17.5 .25-21 8.5L255.8 184C233.8 184.3 216 202 216 224C216 246.1 233.9 264 256 264z"]],
    "whale": [640, 512, [128011], "f72c", ["M480 128c-91.09 0-176.7 35.47-241.1 99.87l-85.66 82.69c-6.312 6.094-14.62 9.437-23.41 9.437C111.2 320 96 304.8 96 286.2c0-31.56 12.28-61.2 34.58-83.52l9.811-9.811l56.75 13.61C207.6 208.6 218.4 205.3 226 197.7l57.28-57.28c9.016-9.016 4.332-24.48-8.221-26.96L191.3 96.7L174.5 12.9C172 .3524 156.6-4.333 147.6 4.682L90.28 61.96C82.68 69.56 79.41 80.43 81.53 90.86l13.61 56.74L49.13 193.6C17.44 225.3 0 267.4 0 312.3c0 92.5 75.25 167.7 167.8 167.7H544c52.94 0 96-43.06 96-95.1V288C640 199.8 568.2 128 480 128zM384 312c-13.25 0-24-10.75-24-24c0-13.26 10.75-24 24-24s24 10.74 24 24C408 301.3 397.3 312 384 312z", "M384 312c-13.25 0-24-10.75-24-24c0-13.26 10.75-24 24-24s24 10.74 24 24C408 301.3 397.3 312 384 312z"]],
    "wheat": [512, 512, [], "f72d", ["M415.9 141.3L54.62 502.6C48.37 508.9 40.19 512 32 512s-16.38-3.128-22.62-9.378c-12.5-12.5-12.5-32.75 0-45.25L369.7 97.03c-3.07 22.78-1.234 42.01-.6035 46.36C384.9 144.5 400.6 143.5 415.9 141.3z", "M144.1 306.4C144.9 259.5 98.87 221.4 92.62 216.6c-27.87 24.38-50.75 55.1-51.87 89.5c1 28.49 18.62 56.37 40.87 78.99l60.37-60.37C143.6 318.8 144.7 312.8 144.1 306.4zM32 512c6.15 0 12.03-2.35 17.36-5.877c-6.021 3.988-13.02 5.758-19.89 5.385C30.33 511.6 31.14 512 32 512zM243.7 223c1.625-5.996 2.874-12.12 3.124-18.5C246.7 157.8 200.7 119.5 194.5 114.9c-27.88 24.37-50.75 55.1-51.1 89.49C143.6 232.9 161.2 260.8 183.5 283.3L243.7 223zM345.6 121.1c1.625-5.994 2.75-11.99 3-18.37c-.125-46.87-46.06-84.99-52.31-89.74c-27.87 24.38-50.81 55.1-51.94 89.49c1 28.49 18.62 56.37 40.87 78.99L345.6 121.1zM410.1 163.6c-6.625 0-13 1.125-19.25 2.75l-60.37 60.37c22.75 22.75 50.37 40.12 79.37 41.12c33.25-1.25 65.75-24.87 89.75-52.25C482.6 196.1 449.4 165 410.1 163.6zM308.2 265.5c-6.625 0-13 .1-19.12 2.625l-60.37 60.37c22.62 22.88 50.25 40.25 79.37 41.25c33.12-1.25 65.62-24.87 89.75-52.37C380.9 298 347.5 266.8 308.2 265.5zM206.5 367.3c-6.625 0-13 1.125-19.25 2.75l-60.37 60.37c22.75 22.75 50.37 40.12 79.37 41.12c33.25-1.25 65.75-24.87 89.75-52.24C278.1 399.8 245.7 368.6 206.5 367.3zM481.7 113.5c25.38-27.38 32.37-71.1 29.75-112.1c-29-1.875-80.25-.2501-112.6 29.87c-37.12 37.37-30.1 104.4-29.75 112.1C410.7 146.3 454.1 139.3 481.7 113.5z"]],
    "wheat-awn": [512, 512, ["wheat-alt"], "e2cd", ["M504.1 7.029C514.3 16.4 514.3 31.6 504.1 40.97L416.1 128.1C407.6 138.3 392.4 138.3 383 128.1C373.7 119.6 373.7 104.4 383 95.03L471 7.029C480.4-2.343 495.6-2.343 504.1 7.029V7.029zM295.3 261.1C279.3 260.4 263.1 261.8 247.5 266.3C252.3 249.7 253.6 232.3 251.5 215.3L281.9 184.8L327.2 230.1L295.3 261.1zM411.7 162.4L471 103C480.4 93.66 495.6 93.66 504.1 103C514.3 112.4 514.3 127.6 504.1 136.1L458.8 183.2C444.4 172.9 428.3 165.1 411.7 162.4zM329.1 52.93L375 7.029C384.4-2.343 399.6-2.343 408.1 7.029C418.3 16.4 418.3 31.6 408.1 40.97L350.7 99.2C346.8 82.8 339.6 67.03 329.1 52.93V52.93zM193.5 363.8C177.5 362.2 161.2 363.7 145.7 368.1C150.4 351.5 151.8 334.1 149.7 317.1L180.1 286.6L225.4 331.9L193.5 363.8zM54.63 502.6C42.13 515.1 21.87 515.1 9.372 502.6C-3.124 490.1-3.124 469.9 9.372 457.4L78.29 388.5L123.5 433.7L54.63 502.6z", "M294.2 16L316.8 38.63C350.9 72.7 361.7 121.2 349.3 164.5C392.6 152.1 441.1 162.9 475.2 197L497.8 219.6L475.2 242.3C437.7 279.8 376.9 279.8 339.4 242.3L271.5 174.4C234 136.9 234 76.12 271.5 38.63L294.2 16zM247.5 266.3C290.8 253.9 339.3 264.8 373.4 298.8L395.1 321.5L373.4 344.1C335.9 381.6 275.1 381.6 237.6 344.1L169.7 276.2C132.2 238.7 132.2 177.9 169.7 140.5L192.3 117.8L214.1 140.5C249 174.5 259.9 223 247.5 266.3L247.5 266.3zM90.51 219.6L113.1 242.3C147.2 276.4 158.1 324.9 145.7 368.1C188.9 355.7 237.5 366.6 271.5 400.7L294.2 423.3L271.5 445.9C234 483.4 173.3 483.4 135.8 445.9L113.1 423.3C113.1 423.3 113.1 423.3 113.1 423.3L67.88 378C30.39 340.6 30.39 279.8 67.88 242.3L90.51 219.6z"]],
    "wheat-awn-circle-exclamation": [640, 512, [], "e598", ["M504.1 7.029C514.3 16.4 514.3 31.6 504.1 40.97L416.1 128.1C407.6 138.3 392.4 138.3 383 128.1C373.7 119.6 373.7 104.4 383 95.03L471 7.029C480.4-2.343 495.6-2.343 504.1 7.029V7.029zM345 277.4C329.1 303.9 320 334.9 320 368C320 369 320 370.1 320 371.1C290.9 375.6 260 366.6 237.6 344.1L225.4 331.9L193.5 363.8C221.1 366.5 249.7 378.8 271.5 400.7L294.2 423.3L271.5 445.9C234 483.4 173.3 483.4 135.8 445.9L123.5 433.7L54.63 502.6C42.13 515.1 21.87 515.1 9.372 502.6C-3.124 490.1-3.124 469.9 9.372 457.4L78.29 388.5L67.88 378C30.39 340.6 30.39 279.8 67.88 242.3L90.51 219.6L113.1 242.3C134.1 263.3 146.3 289.7 149.7 317.1L180.1 286.6L169.7 276.2C132.2 238.7 132.2 177.9 169.7 140.5L192.3 117.8L214.1 140.5C235.1 161.4 248.1 187.9 251.5 215.3L281.9 184.8L271.5 174.4C234 136.9 234 76.12 271.5 38.63L294.2 15.1L316.8 38.63C321.3 43.15 325.4 47.94 329.1 52.93L375 7.029C384.4-2.343 399.6-2.343 408.1 7.029C418.3 16.4 418.3 31.6 408.1 40.97L350.7 99.2C355.9 120.7 355.4 143.2 349.3 164.5C369.6 158.7 391.1 157.1 411.7 162.4L471 103C480.4 93.66 495.6 93.66 504.1 103C514.3 112.4 514.3 127.6 504.1 136.1L458.8 183.1C463.3 186.3 467.6 189.8 471.7 193.7C426.4 199.9 386.5 223.5 359.1 257.4C352 253.3 345.4 248.3 339.4 242.3L327.2 230.1L295.3 261.1C312.5 263.6 329.5 268.8 345.1 277.4L345 277.4z", "M640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 416C482.7 416 472 426.7 472 440C472 453.3 482.7 464 496 464C509.3 464 520 453.3 520 440C520 426.7 509.3 416 496 416zM511.1 288C511.1 279.2 504.8 272 495.1 272C487.2 272 479.1 279.2 479.1 288V368C479.1 376.8 487.2 384 495.1 384C504.8 384 511.1 376.8 511.1 368V288z"]],
    "wheat-awn-slash": [640, 512, [], "e338", ["M310.9 204.5C310.7 157.8 264.7 119.5 258.5 114.9c-12.5 10.93-23.79 23.39-32.72 36.75L308.8 216.7C309.7 212.7 310.7 208.7 310.9 204.5zM424 128c0 6.861 5.367 24 24 24c6.156 0 12.28-2.344 16.97-7.031l104-104C573.7 36.28 576 30.14 576 24C576 10.29 564.8 0 552 0c-6.141 0-12.28 2.344-16.97 7.031l-104 104C426.3 115.7 424 121.9 424 128zM552 96c-6.141 0-12.28 2.344-16.97 7.031l-72.07 72.11c-.0625 .0625 .0605-.0625 0 0c-5.77 .3672-11.35 .6211-16.62 .6211c-15.55 0-29.07-1.295-41.22-2.117c-.6016-4.271-4.867-24.05-4.867-50.47c0-3.191 .0625-6.48 .2012-9.852c.1562-.1484 .3672-.1914 .5215-.3457l72-72C477.7 36.28 480 30.14 480 24C480 10.29 468.8 0 456 0c-6.141 0-12.28 2.344-16.97 7.031l-44.08 44.08c-13.7-20.87-30.96-35.31-34.59-38.08c-27.87 24.37-50.87 55.99-51.1 89.49c1.125 28.5 18.62 56.49 40.87 78.99l-37.5 37.5l50.73 39.77l32.02-32.02C417.2 249.5 444.9 266.9 473.9 267.9c33.25-1.25 65.75-24.88 89.75-52.25c-8.939-10.25-22.55-23.62-38.1-34.31l44.36-44.36C573.7 132.3 576 126.1 576 120C576 106.3 564.8 96 552 96zM270.5 367.3c-6.625 0-13 1.125-19.25 2.75l42.83-42.83L243.3 287.4l-37.35 37.34c1.625-5.996 2.75-11.1 3-18.37C208.9 276.5 190.2 250.3 175.1 233.9L154.1 218.2c-27.11 24.17-49.13 55.15-50.24 87.97c1 28.5 18.62 56.37 40.88 78.99l-72.25 72.24C67.13 463.6 64 471.8 64 479.1C64 498.2 78.91 512 96 512c8.184 0 16.37-3.127 22.62-9.381l72.25-72.25c22.75 22.75 50.37 40.12 79.37 41.12c33.25-1.25 65.75-24.87 89.75-52.24C342.1 399.8 309.7 368.6 270.5 367.3zM372.2 265.5c-.3496 0-.6602 .1328-1.008 .1387l80.14 62.81c3.633-3.59 7.158-7.281 10.49-11.08C444.9 298 411.5 266.8 372.2 265.5z", "M634.9 502.8c-8.125 10.41-23.19 12.28-33.69 4.078L9.189 42.89c-10.44-8.172-12.25-23.26-4.062-33.7C9.845 3.156 16.91 0 24.03 0c5.156 0 10.37 1.672 14.78 5.109l591.1 463.1C641.2 477.3 643.1 492.4 634.9 502.8z"]],
    "wheat-slash": [640, 512, [], "e339", ["M270.5 367.3c-6.625 0-13 1.125-19.25 2.75l42.83-42.83L243.3 287.4l-37.35 37.34c1.625-5.996 2.75-11.1 3-18.37C208.9 276.5 190.2 250.3 175.1 233.9L154.1 218.2c-27.11 24.17-49.13 55.15-50.24 87.97c1 28.5 18.62 56.37 40.88 78.99l-72.25 72.24c-12.5 12.5-12.5 32.75 0 45.25c12.51 12.51 32.74 12.51 45.25 0l72.25-72.25c22.75 22.75 50.37 40.12 79.37 41.12c33.25-1.25 65.75-24.87 89.75-52.24C342.1 399.8 309.7 368.6 270.5 367.3zM545.7 113.5c25.38-27.38 32.37-71.1 29.75-112.1c-29-1.875-80.25-.25-112.6 29.87c-37.12 37.37-30.1 104.4-29.75 112.1C474.7 146.3 518.1 139.3 545.7 113.5zM310.9 204.5C310.7 157.8 264.7 119.5 258.5 114.9c-12.5 10.93-23.79 23.39-32.72 36.75L308.8 216.7C309.7 212.7 310.7 208.7 310.9 204.5zM502.2 169.5c-42.88 10.3-72.32 5.803-97.12 4.125c-.9512-6.76-11.35-52.07 1-101.6c-12.87-31.87-40.1-55.37-45.75-58.99c-27.87 24.37-50.87 55.99-51.1 89.49c1.125 28.5 18.62 56.49 40.87 78.99l-37.5 37.5l50.73 39.77l32.02-32.02C417.2 249.5 444.9 266.9 473.9 267.9c33.25-1.25 65.75-24.88 89.75-52.25C550.9 201 528.1 179.8 502.2 169.5zM372.2 265.5c-.3496 0-.6602 .1328-1.008 .1387l80.14 62.81c3.633-3.59 7.158-7.281 10.49-11.08C444.9 298 411.5 266.8 372.2 265.5z", "M634.9 502.8c-8.125 10.41-23.19 12.28-33.69 4.078L9.189 42.89c-10.44-8.172-12.25-23.26-4.062-33.7C9.845 3.156 16.91 0 24.03 0c5.156 0 10.37 1.672 14.78 5.109l591.1 463.1C641.2 477.3 643.1 492.4 634.9 502.8z"]],
    "wheelchair": [512, 512, [], "f193", ["M320 352c0 88.37-71.63 160-159.1 160S0 440.4 0 352s71.63-160 160-160c.7129 0 1.369 .1992 2.08 .209l8.232 48.83C166.9 240.7 163.5 240 160 240c-61.76 0-111.1 50.24-111.1 112s50.24 112 112 112S272 413.8 272 352H320zM240 48c0-26.51-21.49-48-48-48S144 21.49 144 48S165.5 96 192 96S240 74.51 240 48z", "M510.3 421.9c-5.594-16.75-23.53-25.84-40.47-20.22l-19.38 6.438l-41.7-99.97C403.9 295.1 392.2 288 379.1 288h-97.78l-10.4-48h65.11c17.69 0 32-14.31 32-32s-14.31-32-32-32h-78.98L255.6 169.2c-3.781-26.25-28.34-44.47-54.31-40.75C174.1 132.2 156.7 156.5 160.5 182.8l23.68 140.4C185.8 339.6 199.6 352 216 352h141.4l44.86 107.9C407.3 472.3 419.3 480 432 480c3.344 0 6.781-.5313 10.12-1.656l48-16C506.9 456.8 515.9 438.7 510.3 421.9z"]],
    "wheelchair-move": [448, 512, ["wheelchair-alt"], "e2ce", ["M0 352C0 263.6 71.63 192 160 192C248.4 192 320 263.6 320 352C320 440.4 248.4 512 160 512C71.63 512 0 440.4 0 352zM160 448C213 448 256 405 256 352C256 298.1 213 256 160 256C106.1 256 64 298.1 64 352C64 405 106.1 448 160 448z", "M416 48C416 74.51 394.5 96 368 96C341.5 96 320 74.51 320 48C320 21.49 341.5 0 368 0C394.5 0 416 21.49 416 48zM172.8 54.4C182.3 47.29 194.9 46 205.6 51.05L322.1 105.9C351.3 119.6 358.9 157.5 337.4 181.4L299.1 224H416C425.6 224 434.7 228.3 440.7 235.7C446.8 243.1 449.3 252.9 447.4 262.3L415.4 422.3C411.9 439.6 395.1 450.8 377.7 447.4C360.4 443.9 349.2 427.1 352.6 409.7L376.1 288H306.7C286.2 241.1 243.8 205.9 192.4 195.3L246.6 141.1L195.8 117.2L147.2 153.6C133.1 164.2 113 161.3 102.4 147.2C91.8 133.1 94.66 113 108.8 102.4L172.8 54.4z"]],
    "whiskey-glass": [512, 512, [129347, "glass-whiskey"], "f7a0", ["M479.1 32H32.04C12.55 32-2.324 49.25 .3008 68.51L56.29 425.1C60.79 456.6 87.78 480 119.8 480h272.9c31.74 0 58.86-23.38 63.36-54.89l55.61-356.6C514.3 49.25 499.5 32 479.1 32zM392.7 416l-273.2-.8164L69.39 96h373.2L392.7 416z", "M422.7 224l-29.95 192l-273.2-.8164L89.49 224H422.7z"]],
    "whiskey-glass-ice": [512, 512, ["glass-whiskey-rocks"], "f7a1", ["M176 336h66.2l-8.492-8.516c-12.94-12.94-12.94-33.9 0-46.84l46.84-46.97c1.605-1.605 3.623-2.406 5.449-3.609C281.8 217.3 270.1 208 256 208H176c-17.67 0-32 14.33-32 32v64C144 321.7 158.3 336 176 336zM479.1 32H32.04C12.55 32-2.324 49.25 .3008 68.51L56.29 425.1C60.79 456.6 87.78 480 119.8 480h272.9c31.74 0 58.86-23.38 63.36-54.89l55.61-356.6C514.3 49.25 499.5 32 479.1 32zM392.7 416l-273.2-.8164L69.39 96h373.2L392.7 416z", "M79.44 160l40.07 255.2L392.7 416l39.93-256H79.44zM374.4 327.5L327.5 374.5c-12.94 12.94-34.03 12.94-46.97 0L242.2 336h-66.2c-17.67 0-32-14.33-32-32v-64c0-17.67 14.33-32 32-32h80c14.15 0 25.77 9.332 29.99 22.06c12.89-8.523 30.19-7.723 41.52 3.609l46.84 46.97C387.3 293.6 387.3 314.5 374.4 327.5z"]],
    "whistle": [640, 512, [], "f460", ["M627.7 326.8L491.5 220.8L448 248L416 224l22.27-44.55l-98.62-76.7C307.5 78.43 267.4 64 224 64C117.1 64 31.1 149.1 31.1 256s85.96 192 192 192c63.65 0 119.9-31.1 154.8-78.8l150.9 75.43C534.3 446.9 539.1 448 544 448c8.281 0 16.47-3.219 22.63-9.375l64-64c6.5-6.5 9.875-15.44 9.312-24.62C639.4 340.8 634.9 332.4 627.7 326.8zM224 320c-35.35 0-64-28.66-64-64c0-35.35 28.65-64 64-64s64 28.65 64 64C288 291.3 259.3 320 224 320z", "M63.1 64C28.65 64-.0003 92.65-.0003 128c0 28.46 18.7 52.31 44.4 60.62c-.002 .0039 .002-.0039 0 0c6.16-16.41 14.46-31.71 24.63-45.64C67.42 143.5 65.78 144 63.1 144C55.18 144 47.1 136.8 47.1 128s7.178-16 16-16S79.1 119.2 79.1 128c0 .5938-.2754 1.094-.3379 1.668c11.46-13.08 24.58-24.63 39.17-34.2C107.7 76.7 87.41 64 63.1 64zM224 192C188.7 192 159.1 220.7 159.1 256c0 35.34 28.65 64 64 64s64-28.66 64-64C288 220.7 259.3 192 224 192z"]],
    "wifi": [640, 512, ["wifi-3", "wifi-strong"], "f1eb", ["", "M319.1 351.1c-35.35 0-64 28.66-64 64.01s28.66 64.01 64 64.01c35.34 0 64-28.66 64-64.01S355.3 351.1 319.1 351.1zM320 191.1c-70.25 0-137.9 25.6-190.5 72.03C116.3 275.7 115 295.9 126.7 309.2C138.5 322.4 158.7 323.7 171.9 312C212.8 275.9 265.4 256 320 256s107.3 19.88 148.1 56C474.2 317.4 481.8 320 489.3 320c8.844 0 17.66-3.656 24-10.81C525 295.9 523.8 275.7 510.5 264C457.9 217.6 390.3 191.1 320 191.1zM630.2 156.7C546.3 76.28 436.2 32 320 32S93.69 76.28 9.844 156.7c-12.75 12.25-13.16 32.5-.9375 45.25c12.22 12.78 32.47 13.12 45.25 .9375C125.1 133.1 220.4 96 320 96s193.1 37.97 265.8 106.9C592.1 208.8 600 211.8 608 211.8c8.406 0 16.81-3.281 23.09-9.844C643.3 189.2 642.9 168.1 630.2 156.7z"]],
    "wifi-exclamation": [640, 512, [], "e2cf", ["M8.906 201.1c12.22 12.78 32.47 13.12 45.25 .9375c52.51-50.38 117.1-84 186.9-98.57L240.1 76.31C239.6 62.6 242.8 49.73 248.3 38.16c-89.22 14.35-172.1 54.92-238.4 118.6C-2.906 168.1-3.312 189.2 8.906 201.1zM129.5 264C116.3 275.7 115 295.9 126.7 309.2C138.5 322.4 158.7 323.7 171.9 312c22.15-19.58 47.83-34.2 75.33-43.65l-2.465-66.28C202.4 213.5 162.9 234.5 129.5 264zM630.2 156.7c-66.24-63.55-148.1-104.1-238.1-118.5c4.609 9.73 7.434 20.49 7.852 31.97l.0313 5.781l-1.055 28.37c69.82 14.57 134.4 48.19 186.9 98.57C592.1 208.8 600 211.8 608 211.8c8.406 0 16.81-3.281 23.09-9.844C643.3 189.2 642.9 168.1 630.2 156.7zM395.3 202.1l-2.461 66.28C420.3 277.8 445.1 292.4 468.1 312C474.2 317.4 481.8 320 489.3 320c8.844 0 17.66-3.656 24-10.81C525 295.9 523.8 275.7 510.5 264C477.1 234.5 437.6 213.5 395.3 202.1z", "M318.5 327.1c22.12 .8652 40.73-16.83 41.57-39.53c0 0 7.965-215.8 7.922-217.1C366.1 44.2 344.7 22.1 318.2 24.04C291.7 25.07 271 47.95 272 75.13l7.92 213.3C280.8 309.7 297.4 327.1 318.5 327.1zM320 368c-30.93 0-56 25.07-56 56S289.1 480 319.1 480S376 454.9 376 424S350.9 368 320 368z"]],
    "wifi-fair": [640, 512, ["wifi-2"], "f6ab", ["M630.2 156.7C546.3 76.28 436.2 32 320 32S93.69 76.28 9.844 156.7c-12.75 12.25-13.16 32.5-.9375 45.25c12.22 12.78 32.47 13.12 45.25 .9375C125.1 133.1 220.4 96 320 96s193.1 37.97 265.8 106.9C592.1 208.8 600 211.8 608 211.8c8.406 0 16.81-3.281 23.09-9.844C643.3 189.2 642.9 168.1 630.2 156.7z", "M319.1 352c-35.35 0-64 28.66-64 63.1s28.66 64 64 64c35.34 0 64-28.66 64-64S355.3 352 319.1 352zM320 192C249.8 192 182.1 217.6 129.5 264C116.3 275.7 115 295.9 126.7 309.2C138.5 322.4 158.7 323.7 171.9 312C212.8 275.9 265.4 256 320 256s107.3 19.88 148.1 56C474.2 317.4 481.8 320 489.3 320c8.844 0 17.66-3.656 24-10.81C525 295.9 523.8 275.7 510.5 264C457.9 217.6 390.3 192 320 192z"]],
    "wifi-slash": [640, 512, [], "f6ac", ["M9.838 156.7c-12.75 12.25-13.16 32.5-.9375 45.25c12.22 12.78 32.47 13.12 45.25 .9375c12.48-11.98 25.86-22.66 39.61-32.73L41.44 129.2C30.56 137.8 19.99 146.1 9.838 156.7zM326.6 352.7c-2.203-.2285-4.345-.6829-6.608-.6829c-35.35 0-64 28.66-64 64.01s28.66 64.01 64 64.01c35.34 0 64-28.66 64-64.01c0-7.564-1.545-14.71-3.956-21.44L326.6 352.7zM129.5 264c-13.25 11.72-14.5 31.94-2.812 45.19C138.5 322.4 158.7 323.7 171.9 312C188.9 296.9 208.1 284.9 228.5 275.8l-55.39-43.41C157.7 241.5 143.1 252 129.5 264zM630.2 156.7C546.3 76.28 436.2 32 319.1 32C252.7 32 187.7 47.19 128.4 75.35l57.71 45.23C228.5 104.7 273.6 96 319.1 96c99.59 0 194 37.97 265.8 106.9c6.219 5.938 14.19 8.906 22.16 8.906c8.406 0 16.81-3.281 23.09-9.844C643.3 189.2 642.9 168.1 630.2 156.7zM319.1 192C306.9 192 293.9 193.2 281 194.1l83.88 65.74C402.1 268.5 438.6 285.9 468.1 312C474.2 317.4 481.8 320 489.3 320c8.844 0 17.66-3.656 24-10.81C524.1 295.9 523.7 275.7 510.5 264C457.9 217.6 390.2 192 319.1 192z", "M38.81 5.111C34.41 1.673 29.19 0 24.03 0C16.91 0 9.84 3.158 5.121 9.189c-8.187 10.44-6.37 25.53 4.068 33.7L601.2 506.9c10.5 8.203 25.57 6.328 33.69-4.078c8.188-10.44 6.37-25.53-4.068-33.7L38.81 5.111z"]],
    "wifi-weak": [640, 512, ["wifi-1"], "f6aa", ["M320 192C249.8 192 182.1 217.6 129.5 264C116.3 275.7 115 295.9 126.7 309.2C138.5 322.4 158.7 323.7 171.9 312C212.8 275.9 265.4 256 320 256s107.3 19.88 148.1 56C474.2 317.4 481.8 320 489.3 320c8.844 0 17.66-3.656 24-10.81C525 295.9 523.8 275.7 510.5 264C457.9 217.6 390.3 192 320 192zM630.2 156.7C546.3 76.28 436.2 32 320 32S93.69 76.28 9.844 156.7c-12.75 12.25-13.16 32.5-.9375 45.25c12.22 12.78 32.47 13.12 45.25 .9375C125.1 133.1 220.4 96 320 96s193.1 37.97 265.8 106.9C592.1 208.8 600 211.8 608 211.8c8.406 0 16.81-3.281 23.09-9.844C643.3 189.2 642.9 168.1 630.2 156.7z", "M319.1 352c-35.35 0-64 28.66-64 63.1s28.66 64 64 64c35.34 0 64-28.66 64-64S355.3 352 319.1 352z"]],
    "wind": [512, 512, [], "f72e", ["M416 224H32C14.31 224 0 238.3 0 256s14.31 32 32 32h384c17.66 0 32 14.34 32 32s-14.34 32-32 32h-32c-17.69 0-32 14.31-32 32s14.31 32 32 32h32c52.94 0 96-43.06 96-96S468.9 224 416 224z", "M160 320H32c-17.69 0-32 14.31-32 32s14.31 32 32 32h128c17.66 0 32 14.34 32 32s-14.34 32-32 32H128c-17.69 0-32 14.31-32 32s14.31 32 32 32h32c52.94 0 96-43.06 96-96S212.9 320 160 320zM352 0h-32c-17.69 0-32 14.31-32 32s14.31 32 32 32h32c17.66 0 32 14.34 32 32s-14.34 32-32 32H32C14.31 128 0 142.3 0 160s14.31 32 32 32h320c52.94 0 96-43.06 96-96S404.9 0 352 0z"]],
    "wind-turbine": [512, 512, [], "f89b", ["M383.2 500.4c.5568 1.109 .8462 2.335 .8462 3.578c.0039 4.418-3.578 8.001-7.997 8.003H135.1c-1.225-.0078-2.44-.299-3.536-.8458c-3.952-1.979-5.552-6.783-3.573-10.73c6.252-12.5 19.02-20.4 33-20.42h48.33l12.68-206.2C229.9 277.4 236.3 282.3 241.4 288.6l52.43 61.77l7.979 129.6h48.33C364.1 479.1 376.9 487.9 383.2 500.4z", "M398.7 425.8l-88.35-182.3c-5.928-13.6-6.191-28.1-.7305-42.79l73.28-179.1c3.217-8.111-.75-17.29-8.861-20.51c-6.725-2.668-14.4-.4258-18.64 5.443L241.3 163.2c-8.692 12.02-21.82 20.08-36.47 22.4L13.32 215.9C5.521 217.2-.1652 224 .0028 231.9c.1797 7.93 6.214 14.69 14.1 15.54l189.7 20.53c14.75 1.594 28.26 8.1 37.53 20.58l130.3 153.5c4.963 6.189 13.74 7.742 20.53 3.629C398.1 441.6 401.8 433 398.7 425.8zM255.1 248c-13.26 0-24-10.74-24-23.1c0-13.26 10.74-23.1 24-23.1c13.25 0 23.1 10.74 23.1 23.1C279.1 237.3 269.3 248 255.1 248z"]],
    "wind-warning": [640, 512, ["wind-circle-exclamation"], "f776", ["M384 271.1l31.12-.0169c.2852-3.719 .7344-7.389 .8223-11.16c2.658-114.8-88.29-210.1-203.1-212.8C97.97 45.4 2.713 136.3 .0566 251.2c-2.658 114.8 88.29 210.1 203.1 212.8c88.18 2.041 164.6-51.19 196.7-127.1l-15.84 .0117C366.3 335.1 352 321.7 352 303.1C352 286.3 366.3 271.1 384 271.1zM184 152C184 138.8 194.8 128 208 128S232 138.8 232 152v112C232 277.3 221.3 288 208 288S184 277.3 184 264V152zM208 384C190.3 384 176 369.7 176 352c0-17.67 14.33-32 32-32s32 14.33 32 32C240 369.7 225.7 384 208 384z", "M208 288c13.25 0 24-10.75 24-24v-112C232 138.8 221.3 128 208 128S184 138.8 184 152v112C184 277.3 194.8 288 208 288zM208 320c-17.67 0-32 14.33-32 32c0 17.67 14.34 32 32.02 32S240 369.7 240 352C240 334.3 225.7 320 208 320zM552 272l-167.1-.0085C366.3 271.1 352 286.3 352 303.1s14.33 32 32 32L552 336c13.23 0 24 10.78 24 24S565.2 384 552 384H512c-17.67 0-32 14.31-32 32s14.33 32 32 32h40c48.53 0 88-39.47 88-88S600.5 272 552 272zM480 240h72C600.5 240 640 200.5 640 152S600.5 64 552 64H512c-17.67 0-32 14.31-32 32s14.33 32 32 32h40C565.2 128 576 138.8 576 152S565.2 176 552 176H480c-17.67 0-32 14.31-32 32S462.3 240 480 240z"]],
    "window": [512, 512, [], "f40e", ["M224 128C224 145.7 209.7 160 192 160C174.3 160 160 145.7 160 128C160 110.3 174.3 96 192 96C209.7 96 224 110.3 224 128zM512 416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V224H512V416zM256 128C256 110.3 270.3 96 288 96C305.7 96 320 110.3 320 128C320 145.7 305.7 160 288 160C270.3 160 256 145.7 256 128z", "M448 32C483.3 32 512 60.65 512 96V224H0V96C0 60.65 28.65 32 64 32H448zM96 160C113.7 160 128 145.7 128 128C128 110.3 113.7 96 96 96C78.33 96 64 110.3 64 128C64 145.7 78.33 160 96 160zM192 96C174.3 96 160 110.3 160 128C160 145.7 174.3 160 192 160C209.7 160 224 145.7 224 128C224 110.3 209.7 96 192 96zM288 160C305.7 160 320 145.7 320 128C320 110.3 305.7 96 288 96C270.3 96 256 110.3 256 128C256 145.7 270.3 160 288 160z"]],
    "window-flip": [512, 512, ["window-alt"], "f40f", ["M416 96C433.7 96 448 110.3 448 128C448 145.7 433.7 160 416 160C398.3 160 384 145.7 384 128C384 110.3 398.3 96 416 96zM0 224H512V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V224zM320 160C302.3 160 288 145.7 288 128C288 110.3 302.3 96 320 96C337.7 96 352 110.3 352 128C352 145.7 337.7 160 320 160z", "M448 32C483.3 32 512 60.65 512 96V224H0V96C0 60.65 28.65 32 64 32H448zM448 128C448 110.3 433.7 96 416 96C398.3 96 384 110.3 384 128C384 145.7 398.3 160 416 160C433.7 160 448 145.7 448 128zM288 128C288 145.7 302.3 160 320 160C337.7 160 352 145.7 352 128C352 110.3 337.7 96 320 96C302.3 96 288 110.3 288 128zM256 128C256 110.3 241.7 96 224 96C206.3 96 192 110.3 192 128C192 145.7 206.3 160 224 160C241.7 160 256 145.7 256 128z"]],
    "window-frame": [512, 512, [129695], "e04f", ["M272 64v160H416V64H272zM96 224h144V64H96V224zM96 448h144V288H96V448zM272 448H416V288h-144V448z", "M496 448H480V32c0-17.62-14.38-32-32-32H64C46.38 0 32 14.38 32 32v416H16C7.125 448 0 455.1 0 464v32C0 504.9 7.125 512 16 512h480c8.875 0 16-7.125 16-16v-32C512 455.1 504.9 448 496 448zM240 448H96V288h144V448zM240 224H96V64h144V224zM416 448h-144V288H416V448zM416 224h-144V64H416V224z"]],
    "window-frame-open": [512, 512, [], "e050", ["M240 224H96v-160h144V224zM416 224h-144v-160H416V224z", "M480 32c0-17.62-14.38-32-32-32H64C46.38 0 32 14.38 32 32v256h448V32zM240 224H96v-160h144V224zM416 224h-144v-160H416V224zM496 448H480v-128h-64v128H96v-128H32v128H16C7.125 448 0 455.1 0 464v32C0 504.9 7.125 512 16 512h480c8.875 0 16-7.125 16-16v-32C512 455.1 504.9 448 496 448z"]],
    "window-maximize": [512, 512, [128470], "f2d0", ["M64 128C64 110.3 78.33 96 96 96H416C433.7 96 448 110.3 448 128C448 145.7 433.7 160 416 160H96C78.33 160 64 145.7 64 128z", "M64 480C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64zM96 96C78.33 96 64 110.3 64 128C64 145.7 78.33 160 96 160H416C433.7 160 448 145.7 448 128C448 110.3 433.7 96 416 96H96z"]],
    "window-minimize": [512, 512, [128469], "f2d1", ["M0 448C0 430.3 14.33 416 32 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H32C14.33 480 0 465.7 0 448z", ""]],
    "window-restore": [512, 512, [], "f2d2", ["M192 80V96H128V80C128 35.82 163.8 0 208 0H432C476.2 0 512 35.82 512 80V304C512 348.2 476.2 384 432 384H416V320H432C440.8 320 448 312.8 448 304V80C448 71.16 440.8 64 432 64H208C199.2 64 192 71.16 192 80z", "M320 128C355.3 128 384 156.7 384 192V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V192C0 156.7 28.65 128 64 128H320zM96 192C78.33 192 64 206.3 64 224C64 241.7 78.33 256 96 256H288C305.7 256 320 241.7 320 224C320 206.3 305.7 192 288 192H96z"]],
    "windsock": [512, 512, [], "f777", ["M272 335.1l96-19.2V99.2L272 80V335.1zM128 96H64v48h64v128H64V320h64v44.8l80-16V67.2l-80-16V96zM492.7 124.1L432 112v191.1l60.71-12.14C503.9 289.6 512 279.8 512 268.3V147.7C512 136.2 503.9 126.4 492.7 124.1z", "M32 0C14.33 0 0 14.33 0 32v464C0 504.8 7.164 512 16 512h32C56.84 512 64 504.8 64 496V32C64 14.33 49.67 0 32 0zM208 348.8l64-12.8V80l-64-12.8V348.8zM368 99.2v217.6l64-12.8V112L368 99.2z"]],
    "wine-bottle": [512, 512, [], "f72f", ["M179.3 423.2L43.5 287.5l122-122l135.8 135.8L179.3 423.2zM507.3 72.57l-67.88-67.88c-6.252-6.25-16.38-6.25-22.63 0l-22.63 22.62c-6.248 6.252-6.245 16.38-.0006 22.63c.002 .002-.002-.002 0 0L350.1 94.05l67.88 67.88l44.11-44.11c6.254 6.25 16.5 6.25 22.75 0l22.63-22.63C513.5 88.95 513.5 78.82 507.3 72.57z", "M417.9 161.9l-32.53 32.53c19.75 46.63 10.75 102.4-27.25 140.4l-158.4 158.4c-25 25-65.51 25-90.51 0l-90.51-90.52c-25-25-25-65.51 0-90.51l24.75-24.75l135.8 135.8l122-122L165.5 165.5l11.63-11.63c38-38 93.76-47 140.4-27.25l32.53-32.53L417.9 161.9z"]],
    "wine-glass": [320, 512, [127863], "f4e3", ["M232 464h-40.01v-117.3c68.51-15.88 118-79.86 111.4-154.1L287.5 14.5C286.8 6.25 279.9 0 271.8 0H48.23C40.1 0 33.22 6.25 32.47 14.5L16.6 192.6c-6.626 74.25 42.88 138.2 111.4 154.2V464H87.98c-22.13 0-40.01 17.88-40.01 40c0 4.375 3.626 8 8.002 8h208c4.376 0 8.002-3.625 8.002-8C272 481.9 254.1 464 232 464zM180.4 300.2c-13.65 3.16-27.84 3.148-41.48-.0371c-47.03-10.98-78.82-54.95-74.53-103L77.72 48h164.6l13.35 149.2c4.278 48.01-27.5 91.93-74.46 102.8L180.4 300.2z", "M252.3 160l3.332 37.18c4.278 48.01-27.5 91.93-74.46 102.8l-.7755 .1797c-13.65 3.16-27.84 3.148-41.48-.0371c-47.03-10.98-78.82-54.95-74.53-103L67.7 160H252.3z"]],
    "wine-glass-crack": [320, 512, ["fragile"], "f4bb", ["M272 504c0 4.375-3.625 8-8.002 8H55.98c-4.377 0-8.002-3.625-8.002-8c0-22.12 17.88-40 40.01-40h40.01v-117.1c-68.52-16-118-79.99-111.4-154.2L32.47 14.5C33.22 6.25 40.1 0 48.23 0h85.6l32.88 48.25l-85.52 56L202.7 224L153.2 119.8l85.52-56L208.2 0h63.56c8.127 0 15 6.25 15.75 14.5l15.88 178.1c6.625 74.25-42.88 138.2-111.4 154.1V464h40.01C254.1 464 272 481.9 272 504z", "M208.2 0l30.51 63.75l-85.52 56L202.7 224L81.19 104.3l85.52-56L133.8 0H208.2z"]],
    "wine-glass-empty": [320, 512, ["wine-glass-alt"], "f5ce", ["M232 464h-40.01v-117.3c68.51-15.88 118-79.86 111.4-154.1L287.5 14.5C286.8 6.25 279.9 0 271.8 0H48.23C40.1 0 33.22 6.25 32.47 14.5L16.6 192.6c-6.626 74.25 42.88 138.2 111.4 154.2V464H87.98c-22.13 0-40.01 17.88-40.01 40c0 4.375 3.626 8 8.002 8h208c4.376 0 8.002-3.625 8.002-8C272 481.9 254.1 464 232 464zM180.4 300.2C166.7 303.3 152.6 303.3 138.9 300.1c-47.03-10.98-78.82-54.95-74.53-103L77.7 48h164.6L255.6 197.2c4.278 48.01-27.5 91.93-74.46 102.8L180.4 300.2z", ""]],
    "won-sign": [512, 512, [8361, "krw", "won"], "f159", ["M72.94 288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H51.6L72.94 288zM167 288H140.4L119.1 224H183L167 288zM248.1 224H263L279 288H232.1L248.1 224zM392.9 224L371.6 288H344.1L328.1 224H392.9zM480 224C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H439.1L460.4 224H480z", "M21.88 33.64C38.65 28.05 56.77 37.12 62.36 53.88L155.6 333.6L224.1 56.24C228.5 41.99 241.3 32 256 32C270.7 32 283.5 41.99 287 56.24L356.4 333.6L449.6 53.88C455.2 37.12 473.4 28.05 490.1 33.64C506.9 39.23 515.9 57.35 510.4 74.12L382.4 458.1C377.9 471.6 364.1 480.5 350.8 479.1C336.6 479.4 324.4 469.6 320.1 455.8L256 195.9L191 455.8C187.6 469.6 175.4 479.4 161.2 479.1C147 480.5 134.1 471.6 129.6 458.1L1.643 74.12C-3.946 57.35 5.115 39.23 21.88 33.64V33.64z"]],
    "worm": [512, 512, [], "e599", ["M288 96C288 42.98 330.1 0 384 0H422.4C471.9 0 512 40.12 512 89.6V360C512 443.9 443.9 512 360 512C276.1 512 208 443.9 208 360V312C208 281.1 182.9 256 152 256C121.1 256 96 281.1 96 312V464C96 490.5 74.51 512 48 512C21.49 512 0 490.5 0 464V312C0 228.1 68.05 160 152 160C235.9 160 304 228.1 304 312V360C304 390.9 329.1 416 360 416C390.9 416 416 390.9 416 360V192H384C330.1 192 288 149 288 96zM408 64C394.7 64 384 74.75 384 88C384 101.3 394.7 112 408 112C421.3 112 432 101.3 432 88C432 74.75 421.3 64 408 64z", "M432 88C432 101.3 421.3 112 408 112C394.7 112 384 101.3 384 88C384 74.75 394.7 64 408 64C421.3 64 432 74.75 432 88z"]],
    "wreath": [448, 512, [], "f7e2", ["M447.1 224c0-16.88-8.749-31.66-21.87-40.29c8.875-12.88 11.22-29.88 4.72-45.5c-6.625-15.88-20.59-26.11-36.34-28.86c3.25-15.37-.3079-31.87-12.18-43.74s-28.44-15.38-43.69-12.13c-2.75-15.75-13.02-29.87-28.89-36.37c-15.5-6.496-32.48-3.998-45.48 4.748c-8.625-13.12-23.39-21.87-40.27-21.87s-31.61 8.749-40.23 21.87c-13-8.871-30.02-11.28-45.52-4.779C122.5 23.72 112.1 37.74 109.5 53.49C94.13 50.24 77.6 53.71 65.72 65.58c-12 11.87-15.47 28.41-12.1 43.78c-15.88 2.75-29.93 12.99-36.43 28.86C10.69 153.7 13.25 170.7 21.1 183.7c-13.25 8.621-21.1 23.39-21.1 40.26c0 .0137 0-.0137 0 0s0-.0137 0 0c0 16.88 8.749 31.64 21.87 40.26C13 277.1 10.63 294.1 17.13 309.7c6.625 15.88 20.62 26.17 36.37 28.92c-3.25 15.37 .3275 31.78 12.2 43.65c11.88 11.87 28.42 15.46 43.67 12.21C111.5 406.5 117.1 417.5 128 424.1l-.0089-25.07c0-10.88 10.75-18.75 21.12-15.25l74.87 31.25l74.87-31.25c10.38-3.375 21.12 4.374 21.12 15.25L320 424.9c9.951-7.479 16.5-18.41 18.5-30.41c15.38 3.25 31.88-.2884 43.76-12.16c12-11.87 15.49-28.33 12.12-43.7c15.88-2.75 29.94-13.03 36.44-28.91c6.5-15.5 3.935-32.45-4.815-45.45C439.3 255.7 447.1 240.9 447.1 224C447.1 223.1 447.1 224 447.1 224S447.1 224 447.1 224zM311.1 223.1c0 9.5-7.749 17.63-10.5 26.25c-2.75 8.871-1.125 20.12-6.25 27.5c-5.25 7.5-16.12 9.375-23.38 14.87c-7.125 5.375-12.12 15.62-20.62 18.5C243 313.9 233.1 308.7 224 308.7S205 313.9 196.8 311.1c-8.5-2.875-13.5-13.12-20.62-18.5C168.9 287.2 157.1 285.2 152.8 277.7C147.6 270.4 149.3 259.1 146.5 250.2C143.8 241.6 136 233.5 136 223.1c0-.0137 0 .0137 0 0s0 .0137 0 0c0-9.5 7.749-17.66 10.5-26.28c2.75-8.871 1.146-20.22 6.271-27.6c5.25-7.5 16.1-9.274 23.35-14.77c7.125-5.375 12.12-15.62 20.62-18.5C205 134.1 214.9 139.2 224 139.2s19-5.125 27.25-2.375c8.5 2.875 13.5 13.12 20.62 18.5c7.25 5.371 18.12 7.371 23.38 14.87c5.125 7.375 3.5 18.63 6.25 27.5C304.3 206.3 311.1 214.5 311.1 223.1C311.1 224 311.1 223.1 311.1 223.1S311.1 223.1 311.1 223.1z", "M298.9 384.7l-74.87 31.25L149.1 384.7c-10.38-3.5-21.12 4.374-21.12 15.25l-.003 95.98c0 10.87 10.75 18.62 21.12 15.24l74.87-31.24l74.87 31.24c10.38 3.5 21.12-4.373 21.12-15.24l.0074-95.98C319.1 389.1 309.2 381.3 298.9 384.7z"]],
    "wrench": [512, 512, [128295], "f0ad", ["M200.6 209.6l-179.5 179.5c-28.12 28.12-28.12 73.69 0 101.8C35.16 504.1 53.56 512 71.1 512s36.84-7.031 50.91-21.09l179.5-179.5C254.2 295.6 216.4 257.8 200.6 209.6zM80 456c-13.25 0-24-10.75-24-24c0-13.26 10.75-24 24-24s24 10.74 24 24C104 445.3 93.25 456 80 456z", "M507.4 198.7c-15.09 62.18-68.32 110.5-131.7 119.6c-106.9 15.34-197.3-75.1-181.1-181.1c9.088-63.33 57.42-116.6 119.6-131.7c27.13-6.582 53.4-5.89 77.37 .1745c11.99 3.033 15.94 18.27 7.197 27.02L320 109.7l-.0001 82.29L402.3 192l77.88-77.88c8.746-8.746 23.98-4.793 27.02 7.197C513.2 145.3 513.9 171.6 507.4 198.7z"]],
    "wrench-simple": [384, 512, [], "e2d1", ["M384 172.4c0 71.02-38.7 132.8-96 166V352H96v-13.55c-57.3-33.22-96-94.99-96-166c0-74.41 42.4-138.8 104.3-170.6C115.1-3.711 128 3.992 128 16.1v143.9l64 64l64-64V16.1c0-12.11 12.93-19.81 23.7-14.27C341.6 33.67 384 98.04 384 172.4z", "M96 463.1V352h192v111.1C288 490.5 266.5 512 240 512h-96C117.5 512 96 490.5 96 463.1z"]],
    "x": [384, 512, [120], "58", ["M376.6 427.5c11.31 13.58 9.484 33.75-4.094 45.06c-5.984 4.984-13.25 7.422-20.47 7.422c-9.172 0-18.27-3.922-24.59-11.52L192 305.1l-135.4 162.5c-6.328 7.594-15.42 11.52-24.59 11.52c-7.219 0-14.48-2.438-20.47-7.422c-13.58-11.31-15.41-31.48-4.094-45.06l142.9-171.5L7.422 84.5C-3.891 70.92-2.063 50.75 11.52 39.44c13.56-11.34 33.73-9.516 45.06 4.094L192 206l135.4-162.5c11.3-13.58 31.48-15.42 45.06-4.094c13.58 11.31 15.41 31.48 4.094 45.06l-142.9 171.5L376.6 427.5z", ""]],
    "x-ray": [512, 512, [], "f497", ["M208 320C199.2 320 192 327.2 192 336C192 344.8 199.2 352 208 352S224 344.8 224 336C224 327.2 216.8 320 208 320zM304 352c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16S288 327.2 288 336C288 344.8 295.2 352 304 352zM32 96v320h448V96H32zM416 184C416 188.4 412.4 192 408 192H272v32h104C380.4 224 384 227.6 384 232v16C384 252.4 380.4 256 376 256H272v32h69.33c25.56 0 40.8 28.48 26.62 49.75l-21.33 32C340.7 378.7 330.7 384 319.1 384l-127.1 .0006c-10.7 0-20.69-5.348-26.63-14.25l-21.33-32C129.9 316.5 145.1 288 170.7 288H240V256H136C131.6 256 128 252.4 128 248v-16C128 227.6 131.6 224 136 224H240V192H104C99.6 192 96 188.4 96 184v-16C96 163.6 99.6 160 104 160H240V136C240 131.6 243.6 128 248 128h16c4.418 0 8 3.58 8 8V160h136C412.4 160 416 163.6 416 168V184z", "M496 416h-480C7.164 416 0 423.2 0 432v32C0 472.8 7.164 480 16 480h480c8.836 0 16-7.164 16-16v-32C512 423.2 504.8 416 496 416zM496 32h-480C7.164 32 0 39.16 0 48v32C0 88.84 7.164 96 16 96h480C504.8 96 512 88.84 512 80v-32C512 39.16 504.8 32 496 32z"]],
    "xmark": [320, 512, [128473, 10005, 10006, 10060, 215, "close", "multiply", "remove", "times"], "f00d", ["M310.6 361.4c12.5 12.5 12.5 32.75 0 45.25C304.4 412.9 296.2 416 288 416s-16.38-3.125-22.62-9.375L160 301.3L54.63 406.6C48.38 412.9 40.19 416 32 416S15.63 412.9 9.375 406.6c-12.5-12.5-12.5-32.75 0-45.25l105.4-105.4L9.375 150.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L160 210.8l105.4-105.4c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25l-105.4 105.4L310.6 361.4z", ""]],
    "xmark-large": [448, 512, [], "e59b", ["M393.4 41.37C405.9 28.88 426.1 28.88 438.6 41.37C451.1 53.87 451.1 74.13 438.6 86.63L269.3 255.1L438.6 425.4C451.1 437.9 451.1 458.1 438.6 470.6C426.1 483.1 405.9 483.1 393.4 470.6L223.1 301.3L54.63 470.6C42.13 483.1 21.87 483.1 9.372 470.6C-3.124 458.1-3.124 437.9 9.372 425.4L178.7 255.1L9.372 86.63C-3.124 74.13-3.124 53.87 9.372 41.37C21.87 28.88 42.13 28.88 54.63 41.37L223.1 210.7L393.4 41.37z", ""]],
    "xmark-to-slot": [576, 512, ["times-to-slot", "vote-nay"], "f771", ["M432 32h-288C117.5 32 96 53.49 96 80v320h384v-320C480 53.49 458.5 32 432 32zM368.1 263c9.375 9.375 9.375 24.56 0 33.94c-9.381 9.379-24.56 9.371-33.94 0L288 249.9L240.1 296.1c-9.381 9.379-24.56 9.371-33.94 0c-9.375-9.375-9.375-24.56 0-33.94L254.1 216L207 168.1c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0L288 182.1l47.03-47.03c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94L321.9 216L368.1 263z", "M528 288H480v80h16c8.836 0 16 7.164 16 16s-7.164 16-16 16h-416C71.16 400 64 392.8 64 384s7.164-16 16-16H96V288H48C21.49 288 0 309.5 0 336v96C0 458.5 21.49 480 48 480h480c26.51 0 48-21.49 48-48v-96C576 309.5 554.5 288 528 288zM207 296.1c9.373 9.371 24.56 9.379 33.94 0L288 249.9l47.03 47.03c9.373 9.371 24.56 9.379 33.94 0c9.375-9.375 9.375-24.56 0-33.94L321.9 216l47.03-47.03c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0L288 182.1L240.1 135c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L254.1 216L207 263C197.7 272.4 197.7 287.6 207 296.1z"]],
    "xmarks-lines": [640, 512, [], "e59a", ["M608 32C625.7 32 640 46.33 640 64C640 81.67 625.7 96 608 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H608zM608 416C625.7 416 640 430.3 640 448C640 465.7 625.7 480 608 480H32C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416H608z", "M129.9 256L176.1 303C186.3 312.4 186.3 327.6 176.1 336.1C167.6 346.3 152.4 346.3 143 336.1L96 289.9L48.97 336.1C39.6 346.3 24.4 346.3 15.03 336.1C5.657 327.6 5.657 312.4 15.03 303L62.06 256L15.03 208.1C5.657 199.6 5.657 184.4 15.03 175C24.4 165.7 39.6 165.7 48.97 175L96 222.1L143 175C152.4 165.7 167.6 165.7 176.1 175C186.3 184.4 186.3 199.6 176.1 208.1L129.9 256zM320 222.1L367 175C376.4 165.7 391.6 165.7 400.1 175C410.3 184.4 410.3 199.6 400.1 208.1L353.9 256L400.1 303C410.3 312.4 410.3 327.6 400.1 336.1C391.6 346.3 376.4 346.3 367 336.1L320 289.9L272.1 336.1C263.6 346.3 248.4 346.3 239 336.1C229.7 327.6 229.7 312.4 239 303L286.1 256L239 208.1C229.7 199.6 229.7 184.4 239 175C248.4 165.7 263.6 165.7 272.1 175L320 222.1zM463 175C472.4 165.7 487.6 165.7 496.1 175L544 222.1L591 175C600.4 165.7 615.6 165.7 624.1 175C634.3 184.4 634.3 199.6 624.1 208.1L577.9 256L624.1 303C634.3 312.4 634.3 327.6 624.1 336.1C615.6 346.3 600.4 346.3 591 336.1L544 289.9L496.1 336.1C487.6 346.3 472.4 346.3 463 336.1C453.7 327.6 453.7 312.4 463 303L510.1 256L463 208.1C453.7 199.6 453.7 184.4 463 175V175z"]],
    "y": [384, 512, [121], "59", ["M378 82.61L224 298.3v149.8c0 17.67-14.31 31.1-32 31.1S160 465.7 160 448V298.3L5.969 82.61C-4.313 68.23-.9688 48.25 13.41 37.97c14.34-10.27 34.38-6.922 44.63 7.453L192 232.1l133.1-187.5c10.28-14.37 30.28-17.7 44.63-7.453C384.1 48.25 388.3 68.23 378 82.61z", ""]],
    "yen-sign": [320, 512, [165, "cny", "jpy", "rmb", "yen"], "f157", ["M128 265.7V288H48C30.33 288 16 273.7 16 256C16 238.3 30.33 224 48 224H100.2L128 265.7zM192 288V265.7L219.8 224H272C289.7 224 304 238.3 304 256C304 273.7 289.7 288 272 288H192zM128 384H48C30.33 384 16 369.7 16 352C16 334.3 30.33 320 48 320H128V384zM192 384V320H272C289.7 320 304 334.3 304 352C304 369.7 289.7 384 272 384H192z", "M159.1 198.3L261.4 46.25C271.2 31.54 291 27.57 305.8 37.37C320.5 47.18 324.4 67.04 314.6 81.75L192 265.7V448C192 465.7 177.7 480 159.1 480C142.3 480 127.1 465.7 127.1 448V265.7L5.374 81.75C-4.429 67.04-.456 47.18 14.25 37.37C28.95 27.57 48.82 31.54 58.62 46.25L159.1 198.3z"]],
    "yin-yang": [512, 512, [9775], "f6ad", ["M256 0c70.69 0 128 57.31 128 128c0 70.7-57.31 128-128 128s-128 57.31-128 128c0 70.7 57.31 128 128 128c141.4 0 256-114.6 256-256S397.4 0 256 0zM256 416c-17.67 0-32-14.33-32-32s14.33-32 32-32s32 14.33 32 32S273.7 416 256 416zM256 160c17.67 0 32-14.33 32-32s-14.33-32-32-32S224 110.3 224 128S238.3 160 256 160z", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256c-70.69 0-128-57.31-128-128c0-70.7 57.31-128 128-128s128-57.31 128-128C384 57.3 326.7 0 256 0zM256 160C238.3 160 224 145.7 224 128s14.33-32 32-32s32 14.33 32 32S273.7 160 256 160zM256 352c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S273.7 352 256 352z"]],
    "z": [384, 512, [122], "5a", ["M384 448c0 17.67-14.31 32-32 32H32c-12.41 0-23.72-7.188-28.97-18.42c-5.281-11.25-3.562-24.53 4.375-34.06l276.3-331.5H32c-17.69 0-32-14.33-32-32s14.31-32 32-32h320c12.41 0 23.72 7.188 28.97 18.42c5.281 11.25 3.562 24.53-4.375 34.06L100.3 416H352C369.7 416 384 430.3 384 448z", ""]]
  };

  bunker(function () {
    defineIcons('fad', icons);
    defineIcons('fa-duotone', icons);
  });

}());
(function () {
  'use strict';

  var _WINDOW = {};
  var _DOCUMENT = {};

  try {
    if (typeof window !== 'undefined') _WINDOW = window;
    if (typeof document !== 'undefined') _DOCUMENT = document;
  } catch (e) {}

  var _ref = _WINDOW.navigator || {},
      _ref$userAgent = _ref.userAgent,
      userAgent = _ref$userAgent === void 0 ? '' : _ref$userAgent;
  var WINDOW = _WINDOW;
  var DOCUMENT = _DOCUMENT;
  var IS_BROWSER = !!WINDOW.document;
  var IS_DOM = !!DOCUMENT.documentElement && !!DOCUMENT.head && typeof DOCUMENT.addEventListener === 'function' && typeof DOCUMENT.createElement === 'function';
  var IS_IE = ~userAgent.indexOf('MSIE') || ~userAgent.indexOf('Trident/');

  function ownKeys(object, enumerableOnly) {
    var keys = Object.keys(object);

    if (Object.getOwnPropertySymbols) {
      var symbols = Object.getOwnPropertySymbols(object);
      enumerableOnly && (symbols = symbols.filter(function (sym) {
        return Object.getOwnPropertyDescriptor(object, sym).enumerable;
      })), keys.push.apply(keys, symbols);
    }

    return keys;
  }

  function _objectSpread2(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = null != arguments[i] ? arguments[i] : {};
      i % 2 ? ownKeys(Object(source), !0).forEach(function (key) {
        _defineProperty(target, key, source[key]);
      }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }

    return target;
  }

  function _defineProperty(obj, key, value) {
    if (key in obj) {
      Object.defineProperty(obj, key, {
        value: value,
        enumerable: true,
        configurable: true,
        writable: true
      });
    } else {
      obj[key] = value;
    }

    return obj;
  }

  function _toConsumableArray(arr) {
    return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread();
  }

  function _arrayWithoutHoles(arr) {
    if (Array.isArray(arr)) return _arrayLikeToArray(arr);
  }

  function _iterableToArray(iter) {
    if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
  }

  function _unsupportedIterableToArray(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _arrayLikeToArray(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(o);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen);
  }

  function _arrayLikeToArray(arr, len) {
    if (len == null || len > arr.length) len = arr.length;

    for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i];

    return arr2;
  }

  function _nonIterableSpread() {
    throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
  }

  var NAMESPACE_IDENTIFIER = '___FONT_AWESOME___';
  var PRODUCTION = function () {
    try {
      return "production" === 'production';
    } catch (e) {
      return false;
    }
  }();
  var STYLE_TO_PREFIX = {
    'solid': 'fas',
    'regular': 'far',
    'light': 'fal',
    'thin': 'fat',
    'duotone': 'fad',
    'brands': 'fab',
    'kit': 'fak'
  };
  var oneToTen = [1, 2, 3, 4, 5, 6, 7, 8, 9, 10];
  var oneToTwenty = oneToTen.concat([11, 12, 13, 14, 15, 16, 17, 18, 19, 20]);
  var DUOTONE_CLASSES = {
    GROUP: 'duotone-group',
    SWAP_OPACITY: 'swap-opacity',
    PRIMARY: 'primary',
    SECONDARY: 'secondary'
  };
  var RESERVED_CLASSES = [].concat(_toConsumableArray(Object.keys(STYLE_TO_PREFIX)), ['2xs', 'xs', 'sm', 'lg', 'xl', '2xl', 'beat', 'border', 'fade', 'beat-fade', 'bounce', 'flip-both', 'flip-horizontal', 'flip-vertical', 'flip', 'fw', 'inverse', 'layers-counter', 'layers-text', 'layers', 'li', 'pull-left', 'pull-right', 'pulse', 'rotate-180', 'rotate-270', 'rotate-90', 'rotate-by', 'shake', 'spin-pulse', 'spin-reverse', 'spin', 'stack-1x', 'stack-2x', 'stack', 'ul', DUOTONE_CLASSES.GROUP, DUOTONE_CLASSES.SWAP_OPACITY, DUOTONE_CLASSES.PRIMARY, DUOTONE_CLASSES.SECONDARY]).concat(oneToTen.map(function (n) {
    return "".concat(n, "x");
  })).concat(oneToTwenty.map(function (n) {
    return "w-".concat(n);
  }));

  function bunker(fn) {
    try {
      for (var _len = arguments.length, args = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
        args[_key - 1] = arguments[_key];
      }

      fn.apply(void 0, args);
    } catch (e) {
      if (!PRODUCTION) {
        throw e;
      }
    }
  }

  var w = WINDOW || {};
  if (!w[NAMESPACE_IDENTIFIER]) w[NAMESPACE_IDENTIFIER] = {};
  if (!w[NAMESPACE_IDENTIFIER].styles) w[NAMESPACE_IDENTIFIER].styles = {};
  if (!w[NAMESPACE_IDENTIFIER].hooks) w[NAMESPACE_IDENTIFIER].hooks = {};
  if (!w[NAMESPACE_IDENTIFIER].shims) w[NAMESPACE_IDENTIFIER].shims = [];
  var namespace = w[NAMESPACE_IDENTIFIER];

  function normalizeIcons(icons) {
    return Object.keys(icons).reduce(function (acc, iconName) {
      var icon = icons[iconName];
      var expanded = !!icon.icon;

      if (expanded) {
        acc[icon.iconName] = icon.icon;
      } else {
        acc[iconName] = icon;
      }

      return acc;
    }, {});
  }

  function defineIcons(prefix, icons) {
    var params = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
    var _params$skipHooks = params.skipHooks,
        skipHooks = _params$skipHooks === void 0 ? false : _params$skipHooks;
    var normalized = normalizeIcons(icons);

    if (typeof namespace.hooks.addPack === 'function' && !skipHooks) {
      namespace.hooks.addPack(prefix, normalizeIcons(icons));
    } else {
      namespace.styles[prefix] = _objectSpread2(_objectSpread2({}, namespace.styles[prefix] || {}), normalized);
    }
    /**
     * Font Awesome 4 used the prefix of `fa` for all icons. With the introduction
     * of new styles we needed to differentiate between them. Prefix `fa` is now an alias
     * for `fas` so we'll ease the upgrade process for our users by automatically defining
     * this as well.
     */


    if (prefix === 'fas') {
      defineIcons('fa', icons);
    }
  }

  var icons = {
    "0": [320, 512, [], "30", "M160 32.01c-88.22 0-160 71.78-160 160v127.1c0 88.22 71.78 160 160 160s160-71.78 160-160V192C320 103.8 248.2 32.01 160 32.01zM288 320c0 70.59-57.41 128-128 128s-128-57.41-128-128V192c0-70.59 57.41-128 128-128s128 57.41 128 128V320z"],
    "1": [256, 512, [], "31", "M256 464c0 8.844-7.156 16-16 16h-224C7.156 480 0 472.8 0 464S7.156 448 16 448h96V78.72L57.17 117.1C49.95 122.2 39.95 120.4 34.89 113.2C29.83 105.9 31.58 95.97 38.83 90.91l80-55.1c4.891-3.438 11.28-3.875 16.56-1.094C140.7 36.57 144 42.04 144 48.01V448h96C248.8 448 256 455.2 256 464z"],
    "2": [320, 512, [], "32", "M320 463.1C320 472.8 312.8 480 304 480H16c-6.607 0-12.53-4.064-14.92-10.22s-.7344-13.16 4.156-17.63l213.2-194.2c45.7-40.07 51.02-107.7 12.28-154.2C211.5 80.66 184.4 66.66 154.4 64.29c-29.75-2.221-58.89 7.25-81.53 27.03L40.86 119.4C34.22 125.1 24.13 124.5 18.28 117.9C12.47 111.2 13.14 101.1 19.8 95.29l32.05-28.04C81 41.72 118.6 29.66 156.9 32.38c38.64 3.064 73.58 21.13 98.39 50.88c49.94 59.95 43.09 147.2-15.55 198.6l-182.4 166.1H304C312.8 447.1 320 455.2 320 463.1z"],
    "3": [320, 512, [], "33", "M320 352c0 70.59-57.42 128-128 128H93.09c-41.94 0-79.02-26.72-92.27-66.5c-2.797-8.375 1.734-17.44 10.11-20.25c8.422-2.812 17.44 1.75 20.23 10.12C40.08 430.1 64.95 448 93.09 448H192c52.94 0 96-43.06 96-96s-43.06-96-96-96H80C73.41 256 67.5 251.1 65.09 245.8c-2.391-6.125-.7813-13.09 4.047-17.56L247.1 64H16C7.156 64 0 56.84 0 48S7.156 32 16 32h272c6.594 0 12.5 4.031 14.91 10.19c2.391 6.125 .7813 13.09-4.047 17.56L120.9 224H192C262.6 224 320 281.4 320 352z"],
    "4": [384, 512, [], "34", "M384 336c0 8.843-7.156 15.1-15.1 15.1l-47.1-.005l.0006 111.1c0 8.843-7.156 15.1-15.1 15.1s-15.1-7.156-15.1-15.1v-111.1H16c-5.547 0-10.69-2.875-13.61-7.593C-.5267 339.7-.7923 333.8 1.692 328.9l143.1-287.1c3.969-7.875 13.55-11.16 21.47-7.156c7.906 3.969 11.11 13.56 7.156 21.47l-132.4 264.8h246.1V144c0-8.843 7.156-15.1 15.1-15.1s15.1 7.156 15.1 15.1v175.1h47.1C376.8 320 384 327.2 384 336z"],
    "5": [320, 512, [], "35", "M320 352c0 70.59-57.42 128-128 128H94.7c-42.66 0-80.39-27.19-93.88-67.66c-2.797-8.375 1.734-17.44 10.11-20.25c8.484-2.844 17.45 1.75 20.23 10.12C40.31 429.6 65.84 448 94.7 448H192c52.94 0 96-43.06 96-96s-43.06-96-96-96H16C11.08 256 6.422 253.7 3.391 249.8s-4.109-8.938-2.906-13.72l48-192C50.27 37 56.66 32.01 64 32.01L272 32C280.8 32 288 39.16 288 48S280.8 64 272 64H76.5l-40 160H192C262.6 224 320 281.4 320 352z"],
    "6": [320, 512, [], "36", "M0 320c0 88.22 71.78 160 160 160s160-71.78 160-160S248.2 160 160 160C147.5 160 135.4 161.8 123.7 164.5l96.17-105.8c5.938-6.531 5.469-16.66-1.094-22.59C215.7 33.38 211.8 32.01 208 32.01c-4.344 0-8.688 1.74-11.84 5.24C51.7 196.1 0 238.6 0 320zM288 320c0 70.59-57.41 128-128 128s-128-57.41-128-128s57.41-128 128-128S288 249.4 288 320z"],
    "7": [320, 512, [], "37", "M317.6 56.38l-256 416C58.6 477.3 53.35 480 48 480c-2.875 0-5.781-.75-8.375-2.375c-7.531-4.625-9.875-14.5-5.25-22L275.4 64H16C7.156 64 0 56.84 0 48S7.156 32 16 32h288c5.781 0 11.13 3.125 13.97 8.188C320.8 45.25 320.7 51.44 317.6 56.38z"],
    "8": [320, 512, [], "38", "M250.7 251.7C282.8 230.1 304 193.5 304 152C304 85.84 250.2 32 184 32h-48C69.84 32 16 85.84 16 152c0 41.48 21.19 78.09 53.29 99.65C28.5 270.8 0 312 0 360C0 426.2 53.84 480 120 480h80c66.16 0 120-53.84 120-120C320 312 291.5 270.8 250.7 251.7zM48 152C48 103.5 87.47 64 136 64h48c48.53 0 88 39.47 88 88S232.5 240 184 240h-48C87.47 240 48 200.5 48 152zM200 448h-80C71.47 448 32 408.5 32 360S71.47 272 120 272h80c48.53 0 88 39.47 88 88S248.5 448 200 448z"],
    "9": [320, 512, [], "39", "M320 192c0-88.22-71.78-160-160-160s-160 71.78-160 160S71.78 352 160 352c12.54 0 24.61-1.797 36.33-4.539l-96.17 105.8c-5.938 6.531-5.469 16.66 1.094 22.59C104.3 478.6 108.2 480 112 480c4.344 0 8.688-1.76 11.84-5.26C268.3 315.9 320 273.4 320 192zM32 192c0-70.59 57.41-128 128-128s128 57.41 128 128s-57.41 128-128 128S32 262.6 32 192z"],
    "00": [640, 512, [], "e467", "M288 176V336C288 415.5 223.5 480 144 480C64.47 480 0 415.5 0 336V176C0 96.47 64.47 32 144 32C223.5 32 288 96.47 288 176zM32 336C32 397.9 82.14 448 144 448C205.9 448 256 397.9 256 336V176C256 114.1 205.9 64 144 64C82.14 64 32 114.1 32 176V336zM640 176V336C640 415.5 575.5 480 496 480C416.5 480 352 415.5 352 336V176C352 96.47 416.5 32 496 32C575.5 32 640 96.47 640 176zM384 336C384 397.9 434.1 448 496 448C557.9 448 608 397.9 608 336V176C608 114.1 557.9 64 496 64C434.1 64 384 114.1 384 176V336z"],
    "360-degrees": [640, 512, [], "e2dc", "M496 64c-44.12 0-79.1 35.89-79.1 80v224c0 44.11 35.88 80 79.1 80s79.1-35.89 79.1-80v-224C576 99.89 540.1 64 496 64zM544 368c0 26.47-21.53 48-47.1 48c-26.47 0-47.1-21.53-47.1-48v-224c0-26.47 21.53-48 47.1-48c26.47 0 47.1 21.53 47.1 48V368zM304 192C285.9 192 269.4 198.3 256 208.4V204.6c0-46.78 29.53-89.05 73.44-105.2l12.06-4.422c8.312-3.031 12.56-12.22 9.531-20.52c-3.031-8.312-12.31-12.56-20.53-9.516L318.4 69.41C261.9 90.11 224 144.4 224 204.6L224 368c0 44.11 35.88 80 79.1 80s79.1-35.89 79.1-80l.0001-96C384 227.9 348.1 192 304 192zM352 368c0 26.47-21.53 48-47.1 48c-26.47 0-47.1-21.53-47.1-48v-96c0-26.47 21.53-48 47.1-48c26.47 0 48 21.53 48 48V368zM608 0c-17.67 0-31.1 14.33-31.1 32c0 17.67 14.33 32 31.1 32C625.7 64 640 49.67 640 32C640 14.33 625.7 0 608 0zM81.44 208l95.03-117.1C180.3 85.23 181.1 78.66 178.4 73.09C175.8 67.53 170.2 64 164 64H16C7.161 64 .0047 71.16 .0047 80S7.161 96 16 96h114.6L35.54 213.1c-3.844 4.797-4.625 11.38-1.969 16.94S41.85 240 48 240h32.72c43.72 0 79.28 35.56 79.28 79.28v17.44C160 380.4 124.4 416 80.72 416c-21.53 0-41.47-10.64-50.81-27.11c-4.375-7.703-14.16-10.38-21.81-6.016c-7.687 4.375-10.37 14.14-5.1 21.83C17.25 431.4 47.38 448 80.72 448c61.37 0 111.3-49.92 111.3-111.3V319.3C192 258.2 142.5 208.4 81.44 208z"],
    "a": [384, 512, [97], "41", "M382.7 457.7L206.7 40.92c-4.1-11.9-24.47-11.9-29.47 0L1.267 457.7c-3.437 8.141 .3594 17.53 8.5 21.01c8.078 3.319 17.52-.3757 20.97-8.548l36.48-86.39h249.6l36.48 86.39C355.8 476.3 361.8 480 367.1 480c2.078 0 4.203-.407 6.234-1.252C382.4 475.3 386.2 465.9 382.7 457.7zM80.75 351.7L192 88.3l111.2 263.5H80.75z"],
    "abacus": [576, 512, [129518], "f640", "M512 32H64c-35.35 0-64 28.65-64 64v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64v-320C576 60.65 547.3 32 512 32zM512 64c17.64 0 32 14.36 32 32v96h-96l0-31.1L464 160C472.8 160 480 152.8 480 144s-7.156-15.1-16-15.1L448 128V64H512zM416 64v64l-16 .0002c-8.844 0-16 7.156-16 15.1S391.2 160 400 160l15.1 .0004L416 192h-128l0-31.1L304 160C312.8 160 320 152.8 320 144s-7.156-15.1-16-15.1L288 128V64H416zM256 64v64L240 128C231.2 128 224 135.2 224 144S231.2 160 240 160l15.1 .0004L256 192H160l0-31.1L176 160C184.8 160 192 152.8 192 144S184.8 128 176 128L160 128V64H256zM32 96c0-17.64 14.36-32 32-32h64v64L112 128C103.2 128 96 135.2 96 144S103.2 160 112 160l15.1 .0004L128 192H32V96zM64 448c-17.64 0-32-14.36-32-32V224h96v64L112 288C103.2 288 96 295.2 96 304S103.2 320 112 320l15.1 .0004v32L112 352C103.2 352 96 359.2 96 368s7.156 16 16 16L128 384v64H64zM160 448v-64l16 .0002c8.844 0 16-7.156 16-16S184.8 352 176 352l-15.1 .0004v-32L176 320C184.8 320 192 312.8 192 304S184.8 288 176 288L160 288V224h96v64L240 288C231.2 288 224 295.2 224 304S231.2 320 240 320l15.1 .0004v32L240 352C231.2 352 224 359.2 224 368s7.156 16 16 16L256 384v64H160zM288 448v-64l16 .0002c8.844 0 16-7.156 16-16S312.8 352 304 352l-15.1 .0004v-32L304 320c8.844 0 16-7.156 16-16s-7.156-15.1-16-15.1L288 288V224h128l0 128L400 352c-8.844 0-16 7.156-16 16s7.156 16 16 16L416 384v64H288zM544 416c0 17.64-14.36 32-32 32h-64v-64l16 .0002c8.844 0 16-7.156 16-16S472.8 352 464 352l-15.1 .0004L448 224h96V416z"],
    "accent-grave": [192, 512, [], "60", "M40.3 90.61l67.69 115.4c6.688 11.43 18.84 18.03 31.51 18.03c4.164 0 8.381-.7115 12.48-2.2c16.59-6.018 26.48-22.99 23.49-40.31l-22.57-131.7c-3.045-17.81-13.79-33.2-29.45-42.25c-8.891-5.154-18.84-7.542-28.8-7.544c-.0039 0 .002 0 0 0c-25.06 0-50.23 15.13-58.1 39.39C29.5 56.36 31.18 75.03 40.3 90.61zM65.73 50.31C69.51 39.86 81.94 32 94.65 32c4.77 .002 9.062 1.088 12.76 3.229c7.449 4.307 12.52 11.57 13.96 19.96l22.57 131.7c.3594 2.076-.8457 4.092-2.861 4.822c-.457 .0449-.8828 .0684-1.283 .0684c-2.074 0-3.387-.625-4.18-1.98L67.9 74.42C63.63 67.11 62.83 58.31 65.73 50.31z"],
    "acorn": [448, 512, [], "f6ae", "M352 64.04l-106.6-.0063c4.447-13.69 11.63-26.44 21.9-36.72c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0C228.4 21 217.2 41.76 211.9 64.03L96 64.04c-53 0-95.1 42.97-95.1 95.97L0 176c0 17.62 14.38 32 32 32V224c0 98 55.38 187.8 143.1 231.5L224 480l48.88-24.5C360.6 411.8 416 322 416 224V208c17.62 0 32-14.38 32-32l-.001-16.01C447.1 107 405 64.04 352 64.04zM384 224c0 86.5-48 164.3-125.4 202.9L224 444.3l-34.63-17.38C112 388.3 64 310.5 64 224V208h320V224zM416 176H32V160c0-35.25 28.75-64 64-64h256c35.25 0 64 28.75 64 64V176z"],
    "address-book": [512, 512, [62138, "contact-book"], "f2b9", "M272 288h-64C163.8 288 128 323.8 128 368C128 376.8 135.2 384 144 384C152.8 384 160 376.8 160 368C160 341.5 181.5 320 208 320h64c26.51 0 48 21.49 48 48c0 8.836 7.164 16 16 16c8.837 0 16-7.164 16-16C352 323.8 316.2 288 272 288zM496 192H480v96h16C504.8 288 512 280.8 512 272v-64C512 199.2 504.8 192 496 192zM240 256c35.35 0 64-28.65 64-64s-28.65-64-64-64s-64 28.65-64 64S204.7 256 240 256zM240 160c17.64 0 32 14.36 32 32s-14.36 32-32 32s-32-14.36-32-32S222.4 160 240 160zM496 320H480v96h16c8.837 0 16-7.164 16-16v-64C512 327.2 504.8 320 496 320zM496 64H480v96h16C504.8 160 512 152.8 512 144v-64C512 71.16 504.8 64 496 64zM384 0H96C60.65 0 32 28.65 32 64v384c0 35.35 28.65 64 64 64h288c35.35 0 64-28.65 64-64V64C448 28.65 419.3 0 384 0zM416 448c0 17.64-14.36 32-32 32H96c-17.64 0-32-14.36-32-32V64c0-17.64 14.36-32 32-32h288c17.64 0 32 14.36 32 32V448z"],
    "address-card": [576, 512, [62140, "contact-card", "vcard"], "f2bb", "M480 288h-128c-8.836 0-16 7.164-16 16S343.2 320 352 320h128c8.836 0 16-7.164 16-16S488.8 288 480 288zM192 256c35.35 0 64-28.65 64-64S227.3 128 192 128S128 156.7 128 192S156.7 256 192 256zM192 160c17.64 0 32 14.36 32 32S209.6 224 192 224S160 209.6 160 192S174.4 160 192 160zM224 288H160c-44.18 0-80 35.82-80 80C80 376.8 87.16 384 96 384s16-7.164 16-16C112 341.5 133.5 320 160 320h64c26.51 0 48 21.49 48 48c0 8.836 7.164 16 16 16s16-7.164 16-16C304 323.8 268.2 288 224 288zM512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM544 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h448c17.64 0 32 14.36 32 32V416zM480 224h-128c-8.836 0-16 7.164-16 16S343.2 256 352 256h128c8.836 0 16-7.164 16-16S488.8 224 480 224zM480 160h-128c-8.836 0-16 7.164-16 16S343.2 192 352 192h128c8.836 0 16-7.164 16-16S488.8 160 480 160z"],
    "air-conditioner": [576, 512, [], "f8f4", "M224 416c0 35.3-28.7 64-64 64c-26.47 0-48-21.53-48-48S133.5 384 160 384c8.836 0 16-7.164 16-16S168.8 352 160 352c-44.11 0-80 35.89-80 79.1S115.9 512 160 512c52.94 0 96-43.06 96-96V288H224V416zM416 320c-8.836 0-16 7.164-16 15.1S407.2 352 416 352c26.47 0 48 21.53 48 48S442.5 448 416 448c-35.3 0-64-28.7-64-64V288h-32v96c0 52.94 43.06 96 96 96c44.11 0 80-35.89 80-80S460.1 320 416 320zM512 .0002H64c-35.2 0-64 28.8-64 64V192c0 35.2 28.8 64 64 64h448c35.2 0 64-28.8 64-64V64C576 28.8 547.2 .0002 512 .0002zM544 192c0 17.67-14.33 32-32 32H64C46.33 224 32 209.7 32 192V64c0-17.67 14.33-32 32-32h448c17.67 0 32 14.33 32 32V192zM464 128h-352C103.2 128 96 135.2 96 144S103.2 160 112 160h352C472.8 160 480 152.8 480 144S472.8 128 464 128z"],
    "airplay": [576, 512, [], "e089", "M496 32h-416C35.88 32 0 67.88 0 112v224C0 380.1 35.88 416 80 416C88.84 416 96 408.8 96 400S88.84 384 80 384C53.53 384 32 362.5 32 336v-224C32 85.53 53.53 64 80 64h416C522.5 64 544 85.53 544 112v224c0 26.47-21.53 48-48 48c-8.844 0-16 7.156-16 16s7.156 16 16 16c44.13 0 80-35.88 80-80v-224C576 67.88 540.1 32 496 32zM310.6 297.4c-12.5-12.5-32.86-12.5-45.36 0l-127.1 128C117.3 445.5 131.7 480 160 480h255.9c28.37 0 42.73-34.5 22.62-54.63L310.6 297.4zM160 448l127.1-128L415.1 448H160z"],
    "alarm-clock": [512, 512, [9200], "f34e", "M92.19 0C116.4 0 138.4 9.345 154.9 24.59C161.4 30.6 161.7 40.73 155.7 47.2C149.7 53.68 139.6 54.06 133.1 48.05C122.4 38.08 108 32 92.19 32C58.95 32 32 58.95 32 92.19C32 104.1 35.44 115.2 41.38 124.5C46.13 131.9 43.94 141.8 36.49 146.6C29.03 151.3 19.14 149.1 14.4 141.7C5.28 127.4 0 110.4 0 92.19C0 41.28 41.28 .0003 92.19 .0003L92.19 0zM357.1 24.59C373.6 9.345 395.6 0 419.8 0C470.7 0 512 41.28 512 92.19C512 110.4 506.7 127.4 497.6 141.7C492.9 149.1 482.1 151.3 475.5 146.6C468.1 141.8 465.9 131.9 470.6 124.5C476.6 115.2 480 104.1 480 92.19C480 58.95 453 32 419.8 32C403.1 32 389.6 38.08 378.9 48.05C372.4 54.06 362.3 53.68 356.3 47.2C350.3 40.73 350.6 30.6 357.1 24.59L357.1 24.59zM272 296L329.6 339.2C336.7 344.5 338.1 354.5 332.8 361.6C327.5 368.7 317.5 370.1 310.4 364.8L246.4 316.8C242.4 313.8 239.1 309 239.1 304V176C239.1 167.2 247.2 160 255.1 160C264.8 160 272 167.2 272 176V296zM36.69 507.3C30.44 501.1 30.44 490.9 36.69 484.7L86.7 434.7C52.62 395.4 32 344.1 32 287.1C32 164.3 132.3 63.1 256 63.1C379.7 63.1 480 164.3 480 287.1C480 344.1 459.4 395.4 425.3 434.7L475.3 484.7C481.6 490.9 481.6 501.1 475.3 507.3C469.1 513.6 458.9 513.6 452.7 507.3L402.7 457.3C363.4 491.4 312.1 512 256 512C199.9 512 148.6 491.4 109.3 457.3L59.31 507.3C53.07 513.6 42.93 513.6 36.69 507.3V507.3zM255.1 480C362 480 448 394 448 288C448 181.1 362 96 255.1 96C149.1 96 63.1 181.1 63.1 288C63.1 394 149.1 480 255.1 480z"],
    "alarm-exclamation": [512, 512, [], "f843", "M92.19 0C116.4 0 138.4 9.345 154.9 24.59C161.4 30.6 161.7 40.73 155.7 47.2C149.7 53.68 139.6 54.06 133.1 48.05C122.4 38.08 108 32 92.19 32C58.95 32 32 58.95 32 92.19C32 104.1 35.44 115.2 41.38 124.5C46.13 131.9 43.94 141.8 36.49 146.6C29.03 151.3 19.14 149.1 14.4 141.7C5.28 127.4 0 110.4 0 92.19C0 41.28 41.28 .0003 92.19 .0003L92.19 0zM357.1 24.59C373.6 9.345 395.6 0 419.8 0C470.7 0 512 41.28 512 92.19C512 110.4 506.7 127.4 497.6 141.7C492.9 149.1 482.1 151.3 475.5 146.6C468.1 141.8 465.9 131.9 470.6 124.5C476.6 115.2 480 104.1 480 92.19C480 58.95 453 32 419.8 32C403.1 32 389.6 38.08 378.9 48.05C372.4 54.06 362.3 53.68 356.3 47.2C350.3 40.73 350.6 30.6 357.1 24.59L357.1 24.59zM255.1 160C264.8 160 272 167.2 272 176V320C272 328.8 264.8 336 255.1 336C247.2 336 239.1 328.8 239.1 320V176C239.1 167.2 247.2 160 255.1 160zM280 384C280 397.3 269.3 408 255.1 408C242.7 408 231.1 397.3 231.1 384C231.1 370.7 242.7 360 255.1 360C269.3 360 280 370.7 280 384zM36.69 507.3C30.44 501.1 30.44 490.9 36.69 484.7L86.7 434.7C52.62 395.4 32 344.1 32 287.1C32 164.3 132.3 63.1 256 63.1C379.7 63.1 480 164.3 480 287.1C480 344.1 459.4 395.4 425.3 434.7L475.3 484.7C481.6 490.9 481.6 501.1 475.3 507.3C469.1 513.6 458.9 513.6 452.7 507.3L402.7 457.3C363.4 491.4 312.1 512 256 512C199.9 512 148.6 491.4 109.3 457.3L59.31 507.3C53.07 513.6 42.93 513.6 36.69 507.3V507.3zM255.1 480C362 480 448 394 448 288C448 181.1 362 96 255.1 96C149.1 96 63.1 181.1 63.1 288C63.1 394 149.1 480 255.1 480z"],
    "alarm-plus": [512, 512, [], "f844", "M92.19 0C116.4 0 138.4 9.345 154.9 24.59C161.4 30.6 161.7 40.73 155.7 47.2C149.7 53.68 139.6 54.06 133.1 48.05C122.4 38.08 108 32 92.19 32C58.95 32 32 58.95 32 92.19C32 104.1 35.44 115.2 41.38 124.5C46.13 131.9 43.94 141.8 36.49 146.6C29.03 151.3 19.14 149.1 14.4 141.7C5.28 127.4 0 110.4 0 92.19C0 41.28 41.28 .0003 92.19 .0003L92.19 0zM357.1 24.59C373.6 9.345 395.6 0 419.8 0C470.7 0 512 41.28 512 92.19C512 110.4 506.7 127.4 497.6 141.7C492.9 149.1 482.1 151.3 475.5 146.6C468.1 141.8 465.9 131.9 470.6 124.5C476.6 115.2 480 104.1 480 92.19C480 58.95 453 32 419.8 32C403.1 32 389.6 38.08 378.9 48.05C372.4 54.06 362.3 53.68 356.3 47.2C350.3 40.73 350.6 30.6 357.1 24.59L357.1 24.59zM255.1 176C264.8 176 272 183.2 272 192V272H352C360.8 272 368 279.2 368 288C368 296.8 360.8 304 352 304H272V384C272 392.8 264.8 400 255.1 400C247.2 400 239.1 392.8 239.1 384V304H159.1C151.2 304 143.1 296.8 143.1 288C143.1 279.2 151.2 272 159.1 272H239.1V192C239.1 183.2 247.2 176 255.1 176zM36.69 507.3C30.44 501.1 30.44 490.9 36.69 484.7L86.7 434.7C52.62 395.4 32 344.1 32 287.1C32 164.3 132.3 63.1 256 63.1C379.7 63.1 480 164.3 480 287.1C480 344.1 459.4 395.4 425.3 434.7L475.3 484.7C481.6 490.9 481.6 501.1 475.3 507.3C469.1 513.6 458.9 513.6 452.7 507.3L402.7 457.3C363.4 491.4 312.1 512 256 512C199.9 512 148.6 491.4 109.3 457.3L59.31 507.3C53.07 513.6 42.93 513.6 36.69 507.3V507.3zM255.1 480C362 480 448 394 448 288C448 181.1 362 96 255.1 96C149.1 96 63.1 181.1 63.1 288C63.1 394 149.1 480 255.1 480z"],
    "alarm-snooze": [512, 512, [], "f845", "M92.19 0C116.4 0 138.4 9.345 154.9 24.59C161.4 30.6 161.7 40.73 155.7 47.2C149.7 53.68 139.6 54.06 133.1 48.05C122.4 38.08 108 32 92.19 32C58.95 32 32 58.95 32 92.19C32 104.1 35.44 115.2 41.38 124.5C46.13 131.9 43.94 141.8 36.49 146.6C29.03 151.3 19.14 149.1 14.4 141.7C5.28 127.4 0 110.4 0 92.19C0 41.28 41.28 .0003 92.19 .0003L92.19 0zM357.1 24.59C373.6 9.345 395.6 0 419.8 0C470.7 0 512 41.28 512 92.19C512 110.4 506.7 127.4 497.6 141.7C492.9 149.1 482.1 151.3 475.5 146.6C468.1 141.8 465.9 131.9 470.6 124.5C476.6 115.2 480 104.1 480 92.19C480 58.95 453 32 419.8 32C403.1 32 389.6 38.08 378.9 48.05C372.4 54.06 362.3 53.68 356.3 47.2C350.3 40.73 350.6 30.6 357.1 24.59L357.1 24.59zM320 192C326.2 192 331.8 195.5 334.4 201.1C337.1 206.6 336.3 213.2 332.5 217.1L225.3 352H320C328.8 352 336 359.2 336 368C336 376.8 328.8 384 320 384H191.1C185.8 384 180.2 380.5 177.6 374.9C174.9 369.4 175.7 362.8 179.5 358L286.7 224H191.1C183.2 224 175.1 216.8 175.1 208C175.1 199.2 183.2 192 191.1 192H320zM36.69 507.3C30.44 501.1 30.44 490.9 36.69 484.7L86.7 434.7C52.62 395.4 32 344.1 32 287.1C32 164.3 132.3 63.1 256 63.1C379.7 63.1 480 164.3 480 287.1C480 344.1 459.4 395.4 425.3 434.7L475.3 484.7C481.6 490.9 481.6 501.1 475.3 507.3C469.1 513.6 458.9 513.6 452.7 507.3L402.7 457.3C363.4 491.4 312.1 512 256 512C199.9 512 148.6 491.4 109.3 457.3L59.31 507.3C53.07 513.6 42.93 513.6 36.69 507.3V507.3zM255.1 480C362 480 448 394 448 288C448 181.1 362 96 255.1 96C149.1 96 63.1 181.1 63.1 288C63.1 394 149.1 480 255.1 480z"],
    "album": [448, 512, [128189], "f89f", "M200 256C200 242.7 210.7 232 224 232C237.3 232 248 242.7 248 256C248 269.3 237.3 280 224 280C210.7 280 200 269.3 200 256zM64 256C64 167.6 135.6 96 224 96C312.4 96 384 167.6 384 256C384 344.4 312.4 416 224 416C135.6 416 64 344.4 64 256zM224 384C294.7 384 352 326.7 352 256C352 185.3 294.7 128 224 128C153.3 128 96 185.3 96 256C96 326.7 153.3 384 224 384zM384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM384 64H64C46.33 64 32 78.33 32 96V416C32 433.7 46.33 448 64 448H384C401.7 448 416 433.7 416 416V96C416 78.33 401.7 64 384 64z"],
    "album-circle-plus": [576, 512, [], "e48c", "M384 64H64C46.33 64 32 78.33 32 96V416C32 433.7 46.33 448 64 448H275.2C281 459.4 288.1 470.2 296.2 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V192.7C442.7 192.2 437.4 192 432 192C426.6 192 421.3 192.2 416 192.7V96C416 78.33 401.7 64 384 64V64zM224 96C293.3 96 352.3 140 374.5 201.6C364.3 205.1 354.5 209.6 345.2 214.8C328.1 164.3 280.3 128 224 128C153.3 128 96 185.3 96 256C96 326.7 153.3 384 224 384C235.2 384 246 382.6 256.4 379.9C257.1 390.7 258.8 401.3 261.4 411.6C249.4 414.5 236.9 416 223.1 416C135.6 416 63.1 344.4 63.1 256C63.1 167.6 135.6 96 223.1 96L224 96zM200 256C200 242.7 210.7 232 224 232C237.3 232 248 242.7 248 256C248 269.3 237.3 280 224 280C210.7 280 200 269.3 200 256zM448 351.1H496C504.8 351.1 512 359.2 512 367.1C512 376.8 504.8 383.1 496 383.1H448V431.1C448 440.8 440.8 447.1 432 447.1C423.2 447.1 416 440.8 416 431.1V383.1H368C359.2 383.1 352 376.8 352 367.1C352 359.2 359.2 351.1 368 351.1H416V303.1C416 295.2 423.2 287.1 432 287.1C440.8 287.1 448 295.2 448 303.1V351.1zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 256C370.1 256 320 306.1 320 368C320 429.9 370.1 480 432 480C493.9 480 544 429.9 544 368C544 306.1 493.9 256 432 256z"],
    "album-circle-user": [576, 512, [], "e48d", "M384 64H64C46.33 64 32 78.33 32 96V416C32 433.7 46.33 448 64 448H275.2C281 459.4 288.1 470.2 296.2 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V192.7C442.7 192.2 437.4 192 432 192C426.6 192 421.3 192.2 416 192.7V96C416 78.33 401.7 64 384 64V64zM224 96C293.3 96 352.3 140 374.5 201.6C364.3 205.1 354.5 209.6 345.2 214.8C328.1 164.3 280.3 128 224 128C153.3 128 96 185.3 96 256C96 326.7 153.3 384 224 384C235.2 384 246 382.6 256.4 379.9C257.1 390.7 258.8 401.3 261.4 411.6C249.4 414.5 236.9 416 223.1 416C135.6 416 63.1 344.4 63.1 256C63.1 167.6 135.6 96 223.1 96L224 96zM200 256C200 242.7 210.7 232 224 232C237.3 232 248 242.7 248 256C248 269.3 237.3 280 224 280C210.7 280 200 269.3 200 256zM376 344C376 313.1 401.1 288 432 288C462.9 288 488 313.1 488 344C488 374.9 462.9 400 432 400C401.1 400 376 374.9 376 344zM432 368C445.3 368 456 357.3 456 344C456 330.7 445.3 320 432 320C418.7 320 408 330.7 408 344C408 357.3 418.7 368 432 368zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM460.2 448H403.8C391.4 448 379.9 453.5 372 462.6C389.3 473.6 409.9 480 432 480C454.1 480 474.7 473.6 491.1 462.6C484.1 453.5 472.6 448 460.2 448H460.2zM544 368C544 306.1 493.9 256 432 256C370.1 256 320 306.1 320 368C320 396.2 330.5 422.1 347.7 441.8C361.6 425.6 381.9 416 403.8 416H460.2C482.1 416 502.4 425.6 516.3 441.8C533.5 422.1 544 396.2 544 368H544z"],
    "album-collection": [512, 512, [], "f8a0", "M32 16C32 7.164 39.16 0 48 0H464C472.8 0 480 7.164 480 16C480 24.84 472.8 32 464 32H48C39.16 32 32 24.84 32 16zM16 80C16 71.16 23.16 64 32 64H480C488.8 64 496 71.16 496 80C496 88.84 488.8 96 480 96H32C23.16 96 16 88.84 16 80zM232 324C232 312.1 242.7 304 256 304C269.3 304 280 312.1 280 324C280 335 269.3 344 256 344C242.7 344 232 335 232 324zM96 320C96 249.3 167.6 192 256 192C344.4 192 416 249.3 416 320C416 390.7 344.4 448 256 448C167.6 448 96 390.7 96 320zM256 416C333.7 416 384 366.7 384 320C384 273.3 333.7 224 256 224C178.3 224 128 273.3 128 320C128 366.7 178.3 416 256 416zM452.2 128C485.1 128 510.1 156.3 507.1 189.1L483.2 461.1C480.6 489.9 456.4 512 427.5 512H84.53C55.57 512 31.38 489.9 28.76 461.1L4.031 189.1C1.05 156.3 26.87 128 59.8 128H452.2zM60.63 458.2C61.75 470.5 72.12 480 84.53 480H427.5C439.9 480 450.2 470.5 451.4 458.2L476.1 186.2C477.4 172.1 466.3 160 452.2 160H59.8C45.69 160 34.62 172.1 35.9 186.2L60.63 458.2z"],
    "album-collection-circle-plus": [640, 512, [], "e48e", "M32 16C32 7.164 39.16 0 48 0H464C472.8 0 480 7.164 480 16C480 24.84 472.8 32 464 32H48C39.16 32 32 24.84 32 16zM16 80C16 71.16 23.16 64 32 64H480C488.8 64 496 71.16 496 80C496 88.84 488.8 96 480 96H32C23.16 96 16 88.84 16 80zM452.2 128C485.1 128 510.1 156.3 507.1 189.1L507.7 192.4C503.8 192.1 499.9 192 496 192C489.1 192 482.2 192.4 475.5 193.2L476.1 186.2C477.4 172.1 466.3 160 452.2 160H59.8C45.69 160 34.62 172.1 35.9 186.2L60.63 458.2C61.75 470.5 72.12 480 84.53 480H360.2C370.3 492.1 381.9 502.9 394.8 512H84.53C55.57 512 31.38 489.9 28.76 461.1L4.031 189.1C1.05 156.3 26.87 128 59.8 128L452.2 128zM256 192C304.1 192 348.8 209.6 378.1 237.3C370.2 244.5 362.9 252.4 356.3 260.9C334 239.3 299.3 223.1 256 223.1C178.3 223.1 128 273.3 128 319.1C128 366.7 178.3 416 256 416C281.7 416 304.4 410.6 323.2 401.7C325.3 412.4 328.3 422.7 332.2 432.6C309.6 442.4 283.6 448 256 448C167.6 448 96 390.7 96 319.1C96 249.3 167.6 191.1 256 191.1V192zM232 324C232 312.1 242.7 304 256 304C269.3 304 280 312.1 280 324C280 335 269.3 344 256 344C242.7 344 232 335 232 324zM512 351.1H560C568.8 351.1 576 359.2 576 367.1C576 376.8 568.8 383.1 560 383.1H512V431.1C512 440.8 504.8 447.1 496 447.1C487.2 447.1 480 440.8 480 431.1V383.1H432C423.2 383.1 416 376.8 416 367.1C416 359.2 423.2 351.1 432 351.1H480V303.1C480 295.2 487.2 287.1 496 287.1C504.8 287.1 512 295.2 512 303.1V351.1zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 256C434.1 256 384 306.1 384 368C384 429.9 434.1 480 496 480C557.9 480 608 429.9 608 368C608 306.1 557.9 256 496 256z"],
    "album-collection-circle-user": [640, 512, [], "e48f", "M32 16C32 7.164 39.16 0 48 0H464C472.8 0 480 7.164 480 16C480 24.84 472.8 32 464 32H48C39.16 32 32 24.84 32 16zM16 80C16 71.16 23.16 64 32 64H480C488.8 64 496 71.16 496 80C496 88.84 488.8 96 480 96H32C23.16 96 16 88.84 16 80zM452.2 128C485.1 128 510.1 156.3 507.1 189.1L507.7 192.4C503.8 192.1 499.9 192 496 192C489.1 192 482.2 192.4 475.5 193.2L476.1 186.2C477.4 172.1 466.3 160 452.2 160H59.8C45.69 160 34.62 172.1 35.9 186.2L60.63 458.2C61.75 470.5 72.12 480 84.53 480H360.2C370.3 492.1 381.9 502.9 394.8 512H84.53C55.57 512 31.38 489.9 28.76 461.1L4.031 189.1C1.05 156.3 26.87 128 59.8 128L452.2 128zM256 192C304.1 192 348.8 209.6 378.1 237.3C370.2 244.5 362.9 252.4 356.3 260.9C334 239.3 299.3 223.1 256 223.1C178.3 223.1 128 273.3 128 319.1C128 366.7 178.3 416 256 416C281.7 416 304.4 410.6 323.2 401.7C325.3 412.4 328.3 422.7 332.2 432.6C309.6 442.4 283.6 448 256 448C167.6 448 96 390.7 96 319.1C96 249.3 167.6 191.1 256 191.1V192zM232 324C232 312.1 242.7 304 256 304C269.3 304 280 312.1 280 324C280 335 269.3 344 256 344C242.7 344 232 335 232 324zM440 344C440 313.1 465.1 288 496 288C526.9 288 552 313.1 552 344C552 374.9 526.9 400 496 400C465.1 400 440 374.9 440 344zM496 368C509.3 368 520 357.3 520 344C520 330.7 509.3 320 496 320C482.7 320 472 330.7 472 344C472 357.3 482.7 368 496 368zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM524.2 448H467.8C455.4 448 443.9 453.5 436 462.6C453.3 473.6 473.9 480 496 480C518.1 480 538.7 473.6 555.1 462.6C548.2 453.5 536.6 448 524.2 448H524.2zM608 368C608 306.1 557.9 256 496 256C434.1 256 384 306.1 384 368C384 396.2 394.5 422.1 411.7 441.8C425.6 425.6 445.9 416 467.8 416H524.2C546.1 416 566.4 425.6 580.3 441.8C597.5 422.1 608 396.2 608 368H608z"],
    "alicorn": [640, 512, [], "f6b0", "M632 64h-97c5.721-10.11 8.626-22.03 8.212-34.2C542.7 13.03 528 0 511.3 0l-111.3 .0003c-69.13 0-125.4 55.25-127.6 123.9C236.8 114.8 209.3 89.25 190.9 47.25c-4-9.125-13-15.12-23-15.25c-10.5 .25-18.88 5.375-23.13 14.38C133.6 70 128 95.13 128 121.1c0 75.38 56.5 143.6 132.9 161.9c4.377 1 8.877-2 9.752-6.5l2.875-15.62c.875-4.25-1.875-8.125-6-9.25c-61.75-15.12-107.5-70-107.5-130.5c0-16.38 2.75-32.25 8-47.38c29.38 56.5 76.13 86.25 136 86.25v-32c0-53.02 42.98-96 96-96h111.3c0 13.25-8.125 24.62-19.63 29.5l20.38 24.75v93.88c0 6.875-4.375 13-10.88 15.12l-25.5 8.75c-9.25 3.25-16.12-2.75-18.5-6.25l-25.13-37.75l-48-16v100.3c0 26.62-12.63 50.12-32 65.5v154.3c0 8.837-7.163 16-16 16h-32c-8.837 0-16-7.163-16-16V318.8L183.6 295.5l-32.13 89.5l18.97 75.08c2.554 10.11-5.087 19.92-15.51 19.92H130.6c-7.396 0-13.83-5.069-15.56-12.26l-18.18-75.61c-1.29-5.366-1.146-10.98 .4179-16.27l27.58-93.35c-17.38-12.12-28.88-32.25-28.88-55.12c0-15.88 5.625-30.12 14.88-41.63c-5-10.88-9-22.12-11.5-33.75c-8 6.875-15.13 15-20.75 24.12C35.13 176.9 0 212.3 0 256v47.1c0 8.801 7.2 16 16 16S32 312.8 32 304v-48c0-21.5 14.25-39.5 33.75-45.62c-1 5.625-1.75 11.12-1.75 17c0 24.25 8.875 47.37 24.5 65.25l-21.93 74.42c-3.123 10.6-3.408 21.83-.8246 32.58l18.17 75.59c5.186 21.57 24.48 36.78 46.67 36.78h24.35c31.28 0 54.21-29.44 46.53-59.77l-16.59-65.6l19.25-53.75l51.88 11.5v119.6c0 26.4 21.6 48 47.1 48l32.01-.0002c26.4 0 48.03-21.6 48.03-48l-.0277-140.2c20.5-21.5 32-49.75 32-79.5v-50.5l14.5 21.75c19.13 28.62 50 20.62 55.5 18.75l25.5-8.625c19.43-6.57 32.5-24.79 32.5-45.3V115.4l92.38-36.75C643 74.25 639.9 64 632 64zM464 96c0-8.875-7.125-16-16-16s-16 7.125-16 16s7.127 16 16 16S464 104.9 464 96z"],
    "alien": [448, 512, [128125], "f8f5", "M224 .0001c-123.8 0-224 87.99-224 232.5c0 111.7 134.2 224.5 194.9 269.9c17.25 12.87 41 12.87 58.25 0C313.8 456.1 448 344.2 448 232.5C448 87.99 347.8 .0001 224 .0001zM233.1 476.6c-5.874 4.5-14.12 4.5-20 0C171.2 444.7 32 332.1 32 232.5C32 114.4 111 31.1 224 31.1s192 82.37 192 200.5C416 332.1 276.8 444.7 233.1 476.6zM368 211.1H320c-44.13 0-80 35.87-80 79.1v11.1c0 8.874 7.125 15.1 16 15.1h48c44.13 0 80-35.87 80-79.1V227.1C384 219.1 376.9 211.1 368 211.1zM304 287.1h-31.88C274.2 263.1 295 243.1 320 243.1h31.88C349.8 268.9 329 287.1 304 287.1zM128 211.1H80c-8.875 0-16 7.125-16 15.1v11.1c0 44.12 35.88 79.1 80 79.1H192c8.875 0 16-7.125 16-15.1V291.1C208 247.9 172.1 211.1 128 211.1zM144 287.1c-25 0-45.75-19.12-47.88-43.1H128c25 0 45.75 19.12 47.88 43.1H144z"],
    "alien-8bit": [576, 512, [128126, "alien-monster"], "f8f6", "M192 320h32V224H192V320zM352 320h32V224h-32V320zM544 112h-32c-17.62 0-32 14.38-32 32V160l-64 .0002V128h32c17.62 0 32-14.38 32-32V64c0-17.62-14.38-31.1-32-31.1L416 32c-17.62 0-32 14.38-32 32L352 64c-17.62 0-32 14.38-32 32v32H256V96c0-17.62-14.38-32-32-32L192 64C192 46.38 177.6 32 160 32L128 32C110.4 32 96 46.38 96 64v32c0 17.62 14.38 32 32 32h32v32L96 160V144c0-17.62-14.38-32-32-32H32c-17.62 0-32 14.38-32 32V288c0 17.62 14.38 32 32 32h32v32c0 17.62 14.38 32 32 32l32 .0002V448c0 17.62 14.38 32 32 32l80 .0002c17.62 0 32-14.38 32-32v-32c0-17.62-14.38-32-32-32h96c-17.62 0-32 14.38-32 32v32c0 17.62 14.38 32 32 32L416 480c17.62 0 32-14.38 32-32v-63.1L480 384c17.62 0 32-14.38 32-32v-32h32c17.62 0 32-14.38 32-32V144C576 126.4 561.6 112 544 112zM416 64h32v32l-32-.0002V64zM128 96V64h32v32L128 96zM240 448H160v-64l32 .0002v32h48V448zM416 448h-80v-31.1H384v-32L416 384V448zM544 288h-64v64H96V288H32V144l32 .0002V256h32V192h96V96h32v64h128V96h32v96h96v64h32V144L544 144V288z"],
    "align-center": [448, 512, [], "f037", "M336 48C344.8 48 352 55.16 352 64C352 72.84 344.8 80 336 80H112C103.2 80 96 72.84 96 64C96 55.16 103.2 48 112 48H336zM432 176C440.8 176 448 183.2 448 192C448 200.8 440.8 208 432 208H16C7.164 208 0 200.8 0 192C0 183.2 7.164 176 16 176H432zM96 320C96 311.2 103.2 304 112 304H336C344.8 304 352 311.2 352 320C352 328.8 344.8 336 336 336H112C103.2 336 96 328.8 96 320zM432 432C440.8 432 448 439.2 448 448C448 456.8 440.8 464 432 464H16C7.164 464 0 456.8 0 448C0 439.2 7.164 432 16 432H432z"],
    "align-justify": [448, 512, [], "f039", "M432 48C440.8 48 448 55.16 448 64C448 72.84 440.8 80 432 80H16C7.164 80 0 72.84 0 64C0 55.16 7.164 48 16 48H432zM0 192C0 183.2 7.164 176 16 176H432C440.8 176 448 183.2 448 192C448 200.8 440.8 208 432 208H16C7.164 208 0 200.8 0 192zM432 304C440.8 304 448 311.2 448 320C448 328.8 440.8 336 432 336H16C7.164 336 0 328.8 0 320C0 311.2 7.164 304 16 304H432zM432 432C440.8 432 448 439.2 448 448C448 456.8 440.8 464 432 464H16C7.164 464 0 456.8 0 448C0 439.2 7.164 432 16 432H432z"],
    "align-left": [448, 512, [], "f036", "M272 48C280.8 48 288 55.16 288 64C288 72.84 280.8 80 272 80H16C7.164 80 0 72.84 0 64C0 55.16 7.164 48 16 48H272zM432 176C440.8 176 448 183.2 448 192C448 200.8 440.8 208 432 208H16C7.164 208 0 200.8 0 192C0 183.2 7.164 176 16 176H432zM0 320C0 311.2 7.164 304 16 304H272C280.8 304 288 311.2 288 320C288 328.8 280.8 336 272 336H16C7.164 336 0 328.8 0 320zM432 432C440.8 432 448 439.2 448 448C448 456.8 440.8 464 432 464H16C7.164 464 0 456.8 0 448C0 439.2 7.164 432 16 432H432z"],
    "align-right": [448, 512, [], "f038", "M432 48C440.8 48 448 55.16 448 64C448 72.84 440.8 80 432 80H176C167.2 80 160 72.84 160 64C160 55.16 167.2 48 176 48H432zM432 176C440.8 176 448 183.2 448 192C448 200.8 440.8 208 432 208H16C7.164 208 0 200.8 0 192C0 183.2 7.164 176 16 176H432zM432 336H176C167.2 336 160 328.8 160 320C160 311.2 167.2 304 176 304H432C440.8 304 448 311.2 448 320C448 328.8 440.8 336 432 336zM432 432C440.8 432 448 439.2 448 448C448 456.8 440.8 464 432 464H16C7.164 464 0 456.8 0 448C0 439.2 7.164 432 16 432H432z"],
    "align-slash": [640, 512, [], "f846", "M633.9 483.4C640.9 488.9 642 498.1 636.6 505.9C631.1 512.9 621 514 614.1 508.6L6.086 28.56C-.8493 23.08-2.033 13.02 3.443 6.086C8.918-.8493 18.98-2.033 25.91 3.443L633.9 483.4zM528 336H524.6L484.1 303.1H528C536.8 303.1 544 311.2 544 319.1C544 328.8 536.8 336 528 336zM528 207.1H362.5L321.1 175.1H528C536.8 175.1 544 183.2 544 191.1C544 200.8 536.8 207.1 528 207.1zM111.1 207.1C103.2 207.1 95.1 200.8 95.1 191.1C95.1 183.2 103.2 175.1 111.1 175.1H115.4L155.9 207.1H111.1zM544 63.1C544 72.84 536.8 79.1 528 79.1H200.4L159.8 47.1H528C536.8 47.1 544 55.16 544 63.1zM111.1 336C103.2 336 95.1 328.8 95.1 319.1C95.1 311.2 103.2 303.1 111.1 303.1H277.5L318 336H111.1zM439.6 432L480.2 464H111.1C103.2 464 95.1 456.8 95.1 448C95.1 439.2 103.2 432 111.1 432H439.6z"],
    "alt": [640, 512, [], "e08a", "M416 432c0 8.838 7.164 16 16 16h192c8.836 0 16-7.162 16-16c0-8.836-7.164-16-16-16h-192C423.2 416 416 423.2 416 432zM640 80C640 71.16 632.8 64 624 64h-129.7c-24.09 0-46.69 10.69-61.94 29.34l-249.6 305.1C173.7 409.6 160.1 416 145.7 416H16C7.156 416 0 423.2 0 432S7.156 448 16 448h129.7c24.09 0 46.69-10.69 61.94-29.34l249.6-305.1C466.3 102.4 479.9 96 494.3 96H624C632.8 96 640 88.84 640 80z"],
    "amp-guitar": [512, 512, [], "f8a1", "M416 352c8.875 0 16-7.125 16-16S424.9 320 416 320s-16 7.125-16 16S407.1 352 416 352zM352 352c8.875 0 16-7.125 16-16S360.9 320 352 320s-16 7.125-16 16S343.1 352 352 352zM384 400c8.875 0 16-7.125 16-16s-7.125-16-16-16s-16 7.125-16 16S375.1 400 384 400zM288 352c8.875 0 16-7.125 16-16S296.9 320 288 320s-16 7.125-16 16S279.1 352 288 352zM320 400c8.875 0 16-7.125 16-16s-7.125-16-16-16s-16 7.125-16 16S311.1 400 320 400zM160 416c-8.875 0-16 7.125-16 16S151.1 448 160 448s16-7.125 16-16S168.9 416 160 416zM416 416c-8.875 0-16 7.125-16 16S407.1 448 416 448s16-7.125 16-16S424.9 416 416 416zM224 416c-8.875 0-16 7.125-16 16S215.1 448 224 448s16-7.125 16-16S232.9 416 224 416zM256 400c8.875 0 16-7.125 16-16s-7.125-16-16-16S240 375.1 240 384S247.1 400 256 400zM288 416c-8.875 0-16 7.125-16 16S279.1 448 288 448s16-7.125 16-16S296.9 416 288 416zM352 416c-8.875 0-16 7.125-16 16S343.1 448 352 448s16-7.125 16-16S360.9 416 352 416zM224 352c8.875 0 16-7.125 16-16S232.9 320 224 320s-16 7.125-16 16S215.1 352 224 352zM464 64h-77.25C357.9 36.13 310.3 0 256 0S154.1 36.13 125.3 64H48C21.5 64 0 85.5 0 112v352C0 490.5 21.5 512 48 512h416c26.5 0 48-21.5 48-48v-352C512 85.5 490.5 64 464 64zM256 32c30.12 0 58.63 14.88 81.63 32H174.4C197.4 46.88 225.9 32 256 32zM480 464c0 8.875-7.125 16-16 16h-416C39.13 480 32 472.9 32 464V288h448V464zM480 256H32V112C32 103.1 39.13 96 48 96h416C472.9 96 480 103.1 480 112V256zM96 352c8.875 0 16-7.125 16-16S104.9 320 96 320s-16 7.125-16 16S87.13 352 96 352zM96 448c8.875 0 16-7.125 16-16S104.9 416 96 416s-16 7.125-16 16S87.13 448 96 448zM160 352c8.875 0 16-7.125 16-16S168.9 320 160 320s-16 7.125-16 16S151.1 352 160 352zM192 400c8.875 0 16-7.125 16-16S200.9 368 192 368S176 375.1 176 384S183.1 400 192 400zM128 400c8.875 0 16-7.125 16-16S136.9 368 128 368S112 375.1 112 384S119.1 400 128 400zM96 152c-13.25 0-24 10.75-24 24S82.75 200 96 200c13.26 0 24-10.75 24-24S109.3 152 96 152zM192 152c-13.25 0-24 10.75-24 24S178.7 200 192 200c13.26 0 24-10.75 24-24S205.3 152 192 152zM320 152c-13.25 0-24 10.75-24 24S306.7 200 320 200c13.26 0 24-10.75 24-24S333.3 152 320 152zM416 152c-13.25 0-24 10.75-24 24S402.7 200 416 200c13.26 0 24-10.75 24-24S429.3 152 416 152z"],
    "ampersand": [384, 512, [], "26", "M379.5 452.9l-71.4-74.19l72.99-104.5c5.062-7.234 3.281-17.22-3.969-22.28c-7.156-5.016-17.19-3.312-22.28 3.969l-69.36 99.32L170.4 235.6l69.87-55.36c20.16-15.88 31.72-39.55 31.72-64.94C271.1 69.38 233.9 32 187.1 32H132.9C86.09 32 47.1 69.38 47.1 115.3c0 24.81 9.437 48.55 26.69 67l48.22 50.09L38.72 299.1C14.12 318.5 0 347.4 0 378.3C0 434.4 46.48 480 103.7 480h66.61c41.1 0 81.25-20.27 104.1-54.23l14.17-20.3l67.01 69.63C359.6 478.4 363.8 480 367.1 480c3.1 0 7.1-1.484 11.09-4.469C385.5 469.4 385.6 459.3 379.5 452.9zM97.9 160.3c-11.56-12.33-17.91-28.31-17.91-44.97C79.1 87.02 103.7 64 132.9 64h54.12c29.19 0 52.94 23.02 52.94 51.31c0 15.52-7.125 30.03-19.56 39.83L148.1 212.5L97.9 160.3zM249 407.5C231.3 432.8 201.9 448 170.3 448H103.7c-39.56 0-71.75-31.25-71.75-69.67c0-21.08 9.656-40.8 26.56-54.11l86.62-68.64l121.6 126.4L249 407.5z"],
    "anchor": [576, 512, [9875], "f13d", "M368 80C368 118.7 340.5 151 303.9 158.4C303.1 158.9 304 159.5 304 160V192H368C376.8 192 384 199.2 384 208C384 216.8 376.8 224 368 224H304V480H336C415.5 480 480 415.5 480 336V310.6L443.3 347.3C437.1 353.6 426.9 353.6 420.7 347.3C414.4 341.1 414.4 330.9 420.7 324.7L484.7 260.7C490.9 254.4 501.1 254.4 507.3 260.7L571.3 324.7C577.6 330.9 577.6 341.1 571.3 347.3C565.1 353.6 554.9 353.6 548.7 347.3L512 310.6V336C512 433.2 433.2 512 336 512H240C142.8 512 63.1 433.2 63.1 336V310.6L27.31 347.3C21.07 353.6 10.94 353.6 4.686 347.3C-1.562 341.1-1.562 330.9 4.686 324.7L68.69 260.7C74.93 254.4 85.06 254.4 91.31 260.7L155.3 324.7C161.6 330.9 161.6 341.1 155.3 347.3C149.1 353.6 138.9 353.6 132.7 347.3L95.1 310.6V336C95.1 415.5 160.5 480 239.1 480H272V224H207.1C199.2 224 191.1 216.8 191.1 208C191.1 199.2 199.2 192 207.1 192H272V160C272 159.5 272 158.9 272.1 158.4C235.5 151 207.1 118.7 207.1 80C207.1 35.82 243.8 0 287.1 0C332.2 0 368 35.82 368 80H368zM288 128C314.5 128 336 106.5 336 80C336 53.49 314.5 32 288 32C261.5 32 240 53.49 240 80C240 106.5 261.5 128 288 128z"],
    "anchor-circle-check": [640, 512, [], "e4aa", "M368 80C368 118.7 340.5 151 303.9 158.4C303.1 158.9 304 159.5 304 160V192H368C376.8 192 384 199.2 384 208C384 216.8 376.8 224 368 224H304V480H336C343.7 480 351.4 479.4 358.8 478.2C366.7 488.1 375.6 497 385.5 504.1C369.8 509.5 353.2 512 336 512H239.1C142.8 512 63.1 433.2 63.1 336V310.6L27.31 347.3C21.07 353.6 10.93 353.6 4.686 347.3C-1.562 341.1-1.562 330.9 4.686 324.7L68.69 260.7C74.93 254.4 85.06 254.4 91.31 260.7L155.3 324.7C161.6 330.9 161.6 341.1 155.3 347.3C149.1 353.6 138.9 353.6 132.7 347.3L95.1 310.6V336C95.1 415.5 160.5 480 239.1 480H272V224H207.1C199.2 224 191.1 216.8 191.1 208C191.1 199.2 199.2 192 207.1 192H272V160C272 159.5 272 158.9 272.1 158.4C235.5 151 207.1 118.7 207.1 80C207.1 35.82 243.8 0 287.1 0C332.2 0 368 35.82 368 80H368zM288 128C314.5 128 336 106.5 336 80C336 53.49 314.5 32 288 32C261.5 32 239.1 53.49 239.1 80C239.1 106.5 261.5 128 288 128zM540.7 324.7C546.9 318.4 557.1 318.4 563.3 324.7C569.6 330.9 569.6 341.1 563.3 347.3L491.3 419.3C485.1 425.6 474.9 425.6 468.7 419.3L428.7 379.3C422.4 373.1 422.4 362.9 428.7 356.7C434.9 350.4 445.1 350.4 451.3 356.7L480 385.4L540.7 324.7zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 480C557.9 480 608 429.9 608 368C608 306.1 557.9 256 496 256C434.1 256 384 306.1 384 368C384 429.9 434.1 480 496 480z"],
    "anchor-circle-exclamation": [640, 512, [], "e4ab", "M368 80C368 118.7 340.5 151 303.9 158.4C303.1 158.9 304 159.5 304 160V192H368C376.8 192 384 199.2 384 208C384 216.8 376.8 224 368 224H304V480H336C343.7 480 351.4 479.4 358.8 478.2C366.7 488.1 375.6 497 385.5 504.1C369.8 509.5 353.2 512 336 512H239.1C142.8 512 63.1 433.2 63.1 336V310.6L27.31 347.3C21.07 353.6 10.93 353.6 4.686 347.3C-1.562 341.1-1.562 330.9 4.686 324.7L68.69 260.7C74.93 254.4 85.06 254.4 91.31 260.7L155.3 324.7C161.6 330.9 161.6 341.1 155.3 347.3C149.1 353.6 138.9 353.6 132.7 347.3L95.1 310.6V336C95.1 415.5 160.5 480 239.1 480H272V224H207.1C199.2 224 191.1 216.8 191.1 208C191.1 199.2 199.2 192 207.1 192H272V160C272 159.5 272 158.9 272.1 158.4C235.5 151 207.1 118.7 207.1 80C207.1 35.82 243.8 0 287.1 0C332.2 0 368 35.82 368 80H368zM288 128C314.5 128 336 106.5 336 80C336 53.49 314.5 32 288 32C261.5 32 239.1 53.49 239.1 80C239.1 106.5 261.5 128 288 128zM472 424C472 410.7 482.7 400 496 400C509.3 400 520 410.7 520 424C520 437.3 509.3 448 496 448C482.7 448 472 437.3 472 424zM495.1 288C504.8 288 511.1 295.2 511.1 304V368C511.1 376.8 504.8 384 495.1 384C487.2 384 479.1 376.8 479.1 368V304C479.1 295.2 487.2 288 495.1 288zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 256C434.1 256 384 306.1 384 368C384 429.9 434.1 480 496 480C557.9 480 608 429.9 608 368C608 306.1 557.9 256 496 256z"],
    "anchor-circle-xmark": [640, 512, [], "e4ac", "M368 80C368 118.7 340.5 151 303.9 158.4C303.1 158.9 304 159.5 304 160V192H368C376.8 192 384 199.2 384 208C384 216.8 376.8 224 368 224H304V480H336C343.7 480 351.4 479.4 358.8 478.2C366.7 488.1 375.6 497 385.5 504.1C369.8 509.5 353.2 512 336 512H239.1C142.8 512 63.1 433.2 63.1 336V310.6L27.31 347.3C21.07 353.6 10.93 353.6 4.686 347.3C-1.562 341.1-1.562 330.9 4.686 324.7L68.69 260.7C74.93 254.4 85.06 254.4 91.31 260.7L155.3 324.7C161.6 330.9 161.6 341.1 155.3 347.3C149.1 353.6 138.9 353.6 132.7 347.3L95.1 310.6V336C95.1 415.5 160.5 480 239.1 480H272V224H207.1C199.2 224 191.1 216.8 191.1 208C191.1 199.2 199.2 192 207.1 192H272V160C272 159.5 272 158.9 272.1 158.4C235.5 151 207.1 118.7 207.1 80C207.1 35.82 243.8 0 287.1 0C332.2 0 368 35.82 368 80H368zM288 128C314.5 128 336 106.5 336 80C336 53.49 314.5 32 288 32C261.5 32 239.1 53.49 239.1 80C239.1 106.5 261.5 128 288 128zM518.6 368L555.3 404.7C561.6 410.9 561.6 421.1 555.3 427.3C549.1 433.6 538.9 433.6 532.7 427.3L496 390.6L459.3 427.3C453.1 433.6 442.9 433.6 436.7 427.3C430.4 421.1 430.4 410.9 436.7 404.7L473.4 368L436.7 331.3C430.4 325.1 430.4 314.9 436.7 308.7C442.9 302.4 453.1 302.4 459.3 308.7L496 345.4L532.7 308.7C538.9 302.4 549.1 302.4 555.3 308.7C561.6 314.9 561.6 325.1 555.3 331.3L518.6 368zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 256C434.1 256 384 306.1 384 368C384 429.9 434.1 480 496 480C557.9 480 608 429.9 608 368C608 306.1 557.9 256 496 256z"],
    "anchor-lock": [640, 512, [], "e4ad", "M368 80C368 118.7 340.5 151 303.9 158.4C303.1 158.9 304 159.5 304 160V192H368C376.8 192 384 199.2 384 208C384 216.8 376.8 224 368 224H304V480H336C352.8 480 368.1 477.1 384 471.8V480C384 488.5 385.7 496.6 388.6 503.1C372 509.2 354.3 512 336 512H239.1C142.8 512 63.1 433.2 63.1 336V310.6L27.31 347.3C21.07 353.6 10.93 353.6 4.686 347.3C-1.562 341.1-1.562 330.9 4.686 324.7L68.69 260.7C74.93 254.4 85.06 254.4 91.31 260.7L155.3 324.7C161.6 330.9 161.6 341.1 155.3 347.3C149.1 353.6 138.9 353.6 132.7 347.3L95.1 310.6V336C95.1 415.5 160.5 480 239.1 480H272V224H207.1C199.2 224 191.1 216.8 191.1 208C191.1 199.2 199.2 192 207.1 192H272V160C272 159.5 272 158.9 272.1 158.4C235.5 151 207.1 118.7 207.1 80C207.1 35.82 243.8 0 287.1 0C332.2 0 368 35.82 368 80H368zM288 128C314.5 128 336 106.5 336 80C336 53.49 314.5 32 288 32C261.5 32 239.1 53.49 239.1 80C239.1 106.5 261.5 128 288 128zM528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320V272C448 227.8 483.8 192 528 192zM528 224C501.5 224 480 245.5 480 272V320H576V272C576 245.5 554.5 224 528 224zM448 352V480H608V352H448z"],
    "angel": [640, 512, [], "f779", "M240 144c0 44.25 35.75 80 79.1 80s79.1-35.75 79.1-80S364.3 64 320 64S240 99.75 240 144zM367.1 144c0 26.5-21.5 48-48 48s-48-21.5-48-48s21.5-48 48-48S367.1 117.5 367.1 144zM604.5 464.6l-38.25-78.62c-7.502-15.75-7.502-34.38 0-50.13c16.75-34.13 25.63-36.5 25.63-71.75c0-46.88-43.13-88-92.38-88c-23 0-44.5 9.125-60.76 25.62l-67.51 68.13C355.1 261 338.4 256.1 320 256.1S284.1 261 268.7 269.8l-67.51-68C185.1 185.3 163.5 176 140.5 176c-49.26 0-92.38 41.13-92.38 88c0 35.38 9.002 37.88 25.63 71.75c7.502 15.75 7.502 34.5 0 50.13l-38.13 78.75C23.83 488.5 42.96 512 64.58 512H575.4C597.6 512 615.9 487.9 604.5 464.6zM64.58 480l37.88-80.13c11.88-24.5 11.88-53.63 0-78.13C84.59 285 80.21 289.9 80.21 264c0-29.25 28.75-56 60.38-56c14.13 0 27.63 5.75 37.75 16.25l65.13 65.63C237.2 296.8 231.8 304.7 227.4 313.2L144.1 480H64.58zM179.8 480l76.13-152.4C268.2 303.3 292.7 288 319.1 288c27.25 0 51.75 15.25 64.01 39.63L460.3 480H179.8zM495.9 479.9L412.6 313.2c-4.377-8.625-9.872-16.5-16.12-23.5l65.13-65.63c10.13-10.38 23.63-16.25 37.75-16.25c31.63 0 60.38 26.75 60.38 56c0 26-4.5 21-22.38 57.88c-11.88 24.5-11.88 53.5 0 78l37.88 80.13H495.9zM217.6 123.3c6.234-6.266 6.331-16.41 .0652-22.64C211.3 94.38 208 88.05 208 81.81C208 58.3 255.9 32 320 32s112 26.3 112 49.81c0 6.234-3.203 12.56-9.5 18.83c-6.266 6.234-6.297 16.38-.063 22.64C425.6 126.4 429.7 128 433.8 128c4.078 0 8.156-1.547 11.28-4.656C457.5 111 464 96.66 464 81.81C464 35.94 400.8 0 320 0S176 35.94 176 81.81c0 14.84 6.547 29.2 18.94 41.53C201.2 129.6 211.4 129.6 217.6 123.3z"],
    "angle": [448, 512, [], "e08c", "M41.89 448H432C440.8 448 448 455.2 448 464C448 472.8 440.8 480 432 480H16C10.46 480 5.305 477.1 2.39 472.4C-.5254 467.7-.7907 461.8 1.689 456.8L209.7 40.84C213.6 32.94 223.3 29.74 231.2 33.69C239.1 37.64 242.3 47.25 238.3 55.15L41.89 448zM294.1 238.9C300.7 246.1 298.7 256.6 290.9 261.5C283.7 266 274.3 264.2 269 257.6C254.8 239.9 238.6 223.8 220.8 209.7C214.6 204.8 212.5 196.3 216 189.2C220.4 180.4 231.6 177.5 239.4 183.6C259.1 199.8 278.7 218.3 294.1 238.9V238.9zM309.5 323.7C306.1 316.1 308.6 307.1 315.6 302.7C323.5 297.6 334.1 300.5 338 309.1C349.6 334.5 358.1 361.7 363 390.1C364.7 399.6 357.2 408 347.5 408C339.4 408 332.7 401.1 331.2 394C326.8 369.4 319.5 345.9 309.5 323.7L309.5 323.7z"],
    "angle-90": [448, 512, [], "e08d", "M267.3 268.4c3.156 4.109 7.922 6.281 12.73 6.281c3.391 0 6.797-1.078 9.703-3.281c7.016-5.375 8.359-15.41 3-22.44c-17.69-23.14-38.39-43.86-61.56-61.61c-7-5.359-17.05-4.016-22.44 2.969C203.4 197.4 204.7 207.4 211.7 212.8C232.7 228.8 251.4 247.5 267.3 268.4zM324.5 402.4C325.7 410.3 332.5 416 340.3 416c.8125 0 1.625-.0625 2.453-.1875c8.734-1.344 14.72-9.531 13.38-18.25c-3.844-24.94-10.61-49.44-20.11-72.88c-3.328-8.188-12.7-12.25-20.84-8.812c-8.188 3.312-12.12 12.62-8.812 20.81C314.1 357.8 321 379.1 324.5 402.4zM432 448H32V48C32 39.16 24.84 32 16 32S0 39.16 0 48v416C0 472.8 7.156 480 16 480h416c8.844 0 16-7.156 16-16S440.8 448 432 448zM77.56 155.5c22.48 3.469 44.59 9.562 65.72 18.14c1.969 .7969 4 1.172 6.016 1.172c6.312 0 12.3-3.766 14.83-9.984C167.4 156.6 163.5 147.3 155.3 143.1c-23.42-9.5-47.94-16.27-72.88-20.11C73.7 122.6 65.55 128.5 64.19 137.2C62.84 145.1 68.83 154.1 77.56 155.5z"],
    "angle-down": [384, 512, [8964], "f107", "M362.7 203.9l-159.1 144c-6.125 5.469-15.31 5.469-21.44 0L21.29 203.9C14.73 197.1 14.2 187.9 20.1 181.3C26.38 174.4 36.5 174.5 42.73 180.1L192 314.5l149.3-134.4c6.594-5.877 16.69-5.361 22.62 1.188C369.8 187.9 369.3 197.1 362.7 203.9z"],
    "angle-left": [256, 512, [8249], "f104", "M203.9 405.3c5.877 6.594 5.361 16.69-1.188 22.62c-6.562 5.906-16.69 5.375-22.59-1.188L36.1 266.7c-5.469-6.125-5.469-15.31 0-21.44l144-159.1c5.906-6.562 16.03-7.094 22.59-1.188c6.918 6.271 6.783 16.39 1.188 22.62L69.53 256L203.9 405.3z"],
    "angle-right": [256, 512, [8250], "f105", "M219.9 266.7L75.89 426.7c-5.906 6.562-16.03 7.094-22.59 1.188c-6.918-6.271-6.783-16.39-1.188-22.62L186.5 256L52.11 106.7C46.23 100.1 46.75 90.04 53.29 84.1C59.86 78.2 69.98 78.73 75.89 85.29l144 159.1C225.4 251.4 225.4 260.6 219.9 266.7z"],
    "angle-up": [384, 512, [8963], "f106", "M363.9 330.7c-6.271 6.918-16.39 6.783-22.62 1.188L192 197.5l-149.3 134.4c-6.594 5.877-16.69 5.361-22.62-1.188C14.2 324.1 14.73 314 21.29 308.1l159.1-144c6.125-5.469 15.31-5.469 21.44 0l159.1 144C369.3 314 369.8 324.1 363.9 330.7z"],
    "angles-down": [384, 512, ["angle-double-down"], "f103", "M181.3 251.9c6.125 5.469 15.31 5.469 21.44 0l159.1-144c6.562-5.906 7.094-16.03 1.188-22.59c-5.938-6.549-16.03-7.064-22.62-1.188L192 218.5L42.73 84.11C36.5 78.51 26.38 78.38 20.1 85.29C14.2 91.86 14.73 101.1 21.29 107.9L181.3 251.9zM341.3 276.1L192 410.5L42.73 276.1C36.5 270.5 26.38 270.4 20.1 277.3C14.2 283.9 14.73 293.1 21.29 299.9l159.1 144c6.125 5.469 15.31 5.469 21.44 0l159.1-144c6.562-5.906 7.094-16.03 1.188-22.59C357.1 270.7 347.9 270.2 341.3 276.1z"],
    "angles-left": [448, 512, [171, "angle-double-left"], "f100", "M202.7 84.1C196.1 78.2 186 78.73 180.1 85.29L36.1 245.3c-5.469 6.125-5.469 15.31 0 21.44l144 159.1c5.906 6.562 16.03 7.094 22.59 1.188c6.549-5.938 7.064-16.03 1.188-22.62L69.53 256l134.4-149.3C209.5 100.5 209.6 90.38 202.7 84.1zM261.5 256l134.4-149.3c5.596-6.23 5.73-16.35-1.188-22.62c-6.562-5.906-16.69-5.375-22.59 1.188l-144 159.1c-5.469 6.125-5.469 15.31 0 21.44l144 159.1c5.906 6.562 16.03 7.094 22.59 1.188c6.549-5.938 7.064-16.03 1.188-22.62L261.5 256z"],
    "angles-right": [448, 512, [187, "angle-double-right"], "f101", "M75.89 85.29C69.98 78.73 59.86 78.2 53.29 84.1C46.75 90.04 46.23 100.1 52.11 106.7L186.5 256l-134.4 149.3c-5.596 6.23-5.73 16.35 1.188 22.62c6.562 5.906 16.69 5.375 22.59-1.188l144-159.1c5.469-6.125 5.469-15.31 0-21.44L75.89 85.29zM411.9 245.3L267.9 85.29c-5.906-6.562-16.03-7.094-22.59-1.188c-6.549 5.938-7.064 16.03-1.188 22.62L378.5 256l-134.4 149.3c-5.596 6.23-5.73 16.35 1.188 22.62c6.562 5.906 16.69 5.375 22.59-1.188l144-159.1C417.4 260.6 417.4 251.4 411.9 245.3z"],
    "angles-up": [384, 512, ["angle-double-up"], "f102", "M42.73 235.9L192 101.5l149.3 134.4c6.23 5.596 16.35 5.73 22.62-1.188c5.906-6.562 5.375-16.69-1.188-22.59l-159.1-144c-6.125-5.469-15.31-5.469-21.44 0L21.29 212.1C14.73 218 14.2 228.1 20.1 234.7C26.04 241.3 36.13 241.8 42.73 235.9zM202.7 260.1c-6.125-5.469-15.31-5.469-21.44 0L21.29 404.1c-6.562 5.906-7.094 16.03-1.188 22.59c5.938 6.549 16.03 7.064 22.62 1.188L192 293.5l149.3 134.4c6.23 5.596 16.35 5.73 22.62-1.188c5.906-6.562 5.375-16.69-1.188-22.59L202.7 260.1z"],
    "ankh": [320, 512, [9765], "f644", "M304 288h-88.63C252.3 252 288 191.6 288 137.1C288 53 230.8 0 160 0S32 53 32 137.1C32 191.6 67.75 252 104.6 288H16C7.199 288 0 295.2 0 304S7.199 320 16 320h128v176c0 8.801 7.199 16 16 16s16-7.199 16-16V320h128c8.801 0 16-7.199 16-16S312.8 288 304 288zM160.3 288C139.4 286.1 64 208.9 64 137.1C64 75.25 103.5 32 160 32s96 43.25 96 105.1C256 208.9 180.8 286.1 160.3 288z"],
    "apartment": [576, 512, [], "e468", "M384 264C384 277.3 373.3 288 360 288H216C202.7 288 192 277.3 192 264V216C192 202.7 202.7 192 216 192H360C373.3 192 384 202.7 384 216V264zM352 256V224H304V256H352zM272 256V224H224V256H272zM440 448C426.7 448 416 437.3 416 424V376C416 362.7 426.7 352 440 352H488C501.3 352 512 362.7 512 376V424C512 437.3 501.3 448 488 448H440zM448 384V416H480V384H448zM160 360C160 373.3 149.3 384 136 384H88C74.75 384 64 373.3 64 360V312C64 298.7 74.75 288 88 288H136C149.3 288 160 298.7 160 312V360zM128 352V320H96V352H128zM440 320C426.7 320 416 309.3 416 296V248C416 234.7 426.7 224 440 224H488C501.3 224 512 234.7 512 248V296C512 309.3 501.3 320 488 320H440zM448 256V288H480V256H448zM160 232C160 245.3 149.3 256 136 256H88C74.75 256 64 245.3 64 232V184C64 170.7 74.75 160 88 160H136C149.3 160 160 170.7 160 184V232zM128 224V192H96V224H128zM216 160C202.7 160 192 149.3 192 136V88C192 74.75 202.7 64 216 64H360C373.3 64 384 74.75 384 88V136C384 149.3 373.3 160 360 160H216zM304 96V128H352V96H304zM224 96V128H272V96H224zM64 512C28.65 512 0 483.3 0 448V160C0 124.7 28.65 96 64 96H128V64C128 28.65 156.7 0 192 0H384C419.3 0 448 28.65 448 64V160H512C547.3 160 576 188.7 576 224V448C576 483.3 547.3 512 512 512H64zM64 128C46.33 128 32 142.3 32 160V448C32 465.7 46.33 480 64 480H224V416C224 380.7 252.7 352 288 352C323.3 352 352 380.7 352 416V480H512C529.7 480 544 465.7 544 448V224C544 206.3 529.7 192 512 192H416V64C416 46.33 401.7 32 384 32H192C174.3 32 160 46.33 160 64V128H64zM320 416C320 398.3 305.7 384 288 384C270.3 384 256 398.3 256 416V480H320V416z"],
    "aperture": [512, 512, [], "e2df", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM458.1 160H237.5l70.27-121.7C374.3 54.12 429.3 99.59 458.1 160zM292.9 320H219.1L182.1 256L219.1 192h73.89l36.95 64L292.9 320zM256 32c6.059 0 12.01 .4336 17.95 .9082L163.6 223.1L93.41 102.4C134.3 59.15 191.1 32 256 32zM71.76 128.9L182.1 320h-140.7C35.37 299.7 32 278.2 32 256C32 208.8 46.75 165 71.76 128.9zM53.92 352h220.5l-70.27 121.7C137.7 457.9 82.74 412.4 53.92 352zM256 480c-6.059 0-12.01-.4336-17.95-.9082l110.3-191.1l70.22 121.6C377.7 452.8 320 480 256 480zM440.2 383.1L329.9 192h140.7C476.6 212.3 480 233.8 480 256C480 303.2 465.3 346.1 440.2 383.1z"],
    "apostrophe": [192, 512, [], "27", "M112 32C67.82 32 32 67.82 32 112C32 156.2 67.82 192 112 192c18.1 0 34.6-6.232 48-16.36V208C160 252.1 124.1 288 80 288C71.16 288 64 295.2 64 304S71.16 320 80 320c61.75 0 112-50.25 112-112v-96C192 67.82 156.2 32 112 32zM112 160C85.53 160 64 138.5 64 112S85.53 64 112 64S160 85.53 160 112S138.5 160 112 160z"],
    "apple-core": [384, 512, [], "e08f", "M174.6 127.4c0 0 5.344 .6855 13.75 .6855c18.09 0 51.75-3.326 74-25.57c31.44-31.31 25.22-85.48 24.94-87.78c-.875-7.264-6.656-13.01-13.94-13.93c0 0-5.674-.791-14.45-.791c-18.6 0-51.15 3.547-73.3 25.68c-31.44 31.31-25.22 85.48-24.94 87.78C161.6 120.7 167.3 126.5 174.6 127.4zM208.2 48.31c13.16-13.15 35.66-15.76 47.75-16.15c-.5 14.83-3.1 35.56-16.19 47.71c-13.16 13.15-35.66 15.76-47.75 16.15C192.5 81.2 196 60.46 208.2 48.31zM287.1 304c0-62.43 32.67-117.2 81.69-148.4c-13.6-13.4-30.41-22.82-50.56-26.38c-34.91-5.984-96.57 13.61-127.1 30.83c-30.33-17.09-91.64-36.77-127.3-30.83c-20.08 3.559-36.85 12.98-50.42 26.38C63.34 186.8 95.1 241.6 95.1 304c0 61.17-31.16 114.1-78.52 146.5C43.08 486.3 79.22 512 128.4 512c27.58 0 35.23-17.87 63.63-17.87C220.5 494.1 227.1 512 255.6 512c49.16 0 85.3-25.66 110.9-61.5C319.2 418.1 287.1 365.2 287.1 304zM255.6 480c-16.01 0-27.36-17.87-63.63-17.87C155.7 462.1 144.3 480 128.4 480c-24.79 0-46.26-8.33-65.01-25.33C104.3 415.7 128 361.6 128 304c0-54.23-20.84-105.1-57.37-143.3C114.3 154.1 179.3 192.1 191.1 192.1c12.36 0 79.14-38.33 121.4-31.39C276.8 198.9 256 249.8 256 304c0 57.56 23.66 111.7 64.64 150.7C301.9 471.7 280.4 480 255.6 480z"],
    "apple-whole": [448, 512, [127823, 127822, "apple-alt"], "f5d1", "M206.6 127.4c0 0 5.344 .6855 13.75 .6855c18.09 0 51.75-3.326 74-25.57c31.44-31.31 25.22-85.48 24.94-87.78c-.875-7.264-6.656-13.01-13.94-13.93c0 0-55.16-7.688-87.75 24.88c-31.44 31.31-25.22 85.48-24.94 87.78C193.6 120.7 199.3 126.5 206.6 127.4zM240.2 48.31c13.16-13.15 35.66-15.76 47.75-16.15c-.5 14.83-4 35.56-16.19 47.71c-13.16 13.15-35.66 15.76-47.75 16.15C224.5 81.2 228 60.46 240.2 48.31zM351 129.1c-4.375-.75-9.161-1.036-14.41-1.036c-36.13 0-87.12 17.58-112.6 31.95c-25.5-14.37-76.51-31.95-112.6-31.95c-5.25 0-10.12 .375-14.62 1.125c-81.13 14.37-107.4 124.5-93 205.6C17.99 415.9 64.99 512 160.4 512c12.12 0 24.12-4.625 34.5-10.37c9.002-4.998 19.13-7.498 29.13-7.498c10.12 0 20.12 2.5 29.12 7.498C263.5 507.4 275.5 512 287.6 512c95.38 0 142.4-96.11 156.6-177.2C458.6 253.7 432.4 143.5 351 129.1zM412.7 329.3c-4.426 25.17-31.24 150.8-125.1 150.8c-16.01 0-27.36-17.87-63.63-17.87c-36.33 0-47.68 17.87-63.63 17.87c-93.87 0-120.7-125.6-125.1-150.8c-6.557-36.99-3.15-78.46 9.113-110.9C53.1 195.1 70.25 166.4 102 160.8c29.9-4.979 86.47 16.02 106.3 27.18c4.877 2.75 10.3 4.125 15.71 4.125s10.84-1.375 15.71-4.125c19.05-10.73 76.64-32.22 105.8-27.23c32.2 5.688 49.37 34.44 58.1 57.56C415.9 250.7 419.3 292.2 412.7 329.3z"],
    "archway": [512, 512, [], "f557", "M0 48C0 39.16 7.164 32 16 32H496C504.8 32 512 39.16 512 48C512 56.84 504.8 64 496 64H480V448H496C504.8 448 512 455.2 512 464C512 472.8 504.8 480 496 480H352V352C352 298.1 309 256 256 256C202.1 256 160 298.1 160 352V480H16C7.164 480 0 472.8 0 464C0 455.2 7.164 448 16 448H32V64H16C7.164 64 0 56.84 0 48zM64 128H448V64H64V128zM64 160V448H128V352C128 281.3 185.3 224 256 224C326.7 224 384 281.3 384 352V448H448V160H64z"],
    "arrow-down": [384, 512, [8595], "f063", "M378.8 309.8l-176 165.9C199.7 478.6 195.9 480 192 480s-7.719-1.426-10.77-4.31l-176-165.9C-1.297 303.6-1.781 293.1 4.156 286.3c5.953-6.838 16.09-7.259 22.61-1.134L176 425.9V48.59c0-9.171 7.156-16.59 15.1-16.59S208 39.42 208 48.59v377.3l149.2-140.7c6.516-6.125 16.66-5.704 22.61 1.134C385.8 293.1 385.3 303.6 378.8 309.8z"],
    "arrow-down-1-9": [512, 512, ["sort-numeric-asc", "sort-numeric-down"], "f162", "M336 224l96-.0039c8.844 0 16-7.152 16-15.1S440.8 192 432 192h-32V48C400 39.16 392.8 32 384 32h-32c-8.844 0-16 7.156-16 16S343.2 64 352 64h16v128h-32C327.2 192 320 199.2 320 208S327.2 224 336 224zM384 256c-44.13 0-80 35.88-80 80S339.9 416 384 416c16.73 0 32.25-5.199 45.11-14.01C421.3 428.5 396.1 448 368 448c-8.844 0-16 7.156-16 16s7.156 16 16 16c52.94 0 96-43.06 96-96v-48C464 291.9 428.1 256 384 256zM384 384c-26.47 0-48-21.53-48-48S357.5 288 384 288s48 21.53 48 48S410.5 384 384 384zM224 352c-4.094 0-8.188 1.562-11.31 4.688L144 425.4V48C144 39.16 136.8 32 128 32S112 39.16 112 48v377.4l-68.69-68.69c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l96 96c6.25 6.25 16.38 6.25 22.62 0l96-96c6.25-6.25 6.25-16.38 0-22.62C232.2 353.6 228.1 352 224 352z"],
    "arrow-down-9-1": [512, 512, ["sort-numeric-desc", "sort-numeric-down-alt"], "f886", "M432 448h-32V304C400 295.2 392.8 288 384 288h-32c-8.844 0-16 7.156-16 16S343.2 320 352 320h16v128h-32c-8.844 0-16 7.156-16 16s7.156 16 16 16h96c8.844 0 16-7.156 16-16S440.8 448 432 448zM384 32c-44.13 0-80 35.88-80 80S339.9 192 384 192c16.73 0 32.25-5.199 45.11-14.01C421.3 204.5 396.1 224 368 224C359.2 224 352 231.2 352 240S359.2 256 368 256c52.94 0 96-43.06 96-96V112C464 67.88 428.1 32 384 32zM384 160c-26.47 0-48-21.53-48-48S357.5 64 384 64s48 21.53 48 48S410.5 160 384 160zM224 352c-4.094 0-8.188 1.562-11.31 4.688L144 425.4V48C144 39.16 136.8 32 128 32S112 39.16 112 48v377.4l-68.69-68.69c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l96 96c6.25 6.25 16.38 6.25 22.62 0l96-96c6.25-6.25 6.25-16.38 0-22.62C232.2 353.6 228.1 352 224 352z"],
    "arrow-down-a-z": [512, 512, ["sort-alpha-asc", "sort-alpha-down"], "f15d", "M478.3 200.8l-79.1-160c-5.438-10.81-23.19-10.81-28.62 0l-79.1 160c-3.953 7.906-.75 17.5 7.156 21.47c7.906 4 17.52 .7187 21.47-7.156L329.9 192h108.2l11.58 23.16c3.096 6.156 12.08 11.88 21.47 7.156C479.1 218.3 482.3 208.8 478.3 200.8zM345.9 160l38.11-76.22L422.1 160H345.9zM447.1 448h-94.7l107.2-134c3.844-4.812 4.578-11.38 1.922-16.94C459.7 291.5 454.2 288 447.1 288H319.1c-8.844 0-16 7.156-16 16s7.156 16 16 16h94.7l-107.2 134c-3.844 4.812-4.578 11.38-1.922 16.94C308.2 476.5 313.8 480 319.1 480h127.1c8.844 0 15.1-7.156 15.1-16S456.8 448 447.1 448zM224 352c-4.094 0-8.188 1.562-11.31 4.688L144 425.4V48c0-8.844-7.156-16-16-16S112 39.16 112 48v377.4l-68.69-68.69c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l96 96c6.25 6.25 16.38 6.25 22.62 0l96-96c6.25-6.25 6.25-16.38 0-22.62C232.2 353.6 228.1 352 224 352z"],
    "arrow-down-arrow-up": [448, 512, ["sort-alt"], "f883", "M224 352c-4.094 0-8.188 1.562-11.31 4.688L144 425.4V48C144 39.16 136.8 32 128 32S112 39.16 112 48v377.4l-68.69-68.69c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l96 96c6.25 6.25 16.38 6.25 22.62 0l96-96c6.25-6.25 6.25-16.38 0-22.62C232.2 353.6 228.1 352 224 352zM427.3 132.7l-96-96c-6.25-6.25-16.38-6.25-22.62 0l-96 96c-6.25 6.25-6.25 16.38 0 22.62s16.38 6.25 22.62 0L304 86.63V464c0 8.844 7.156 16 16 16s16-7.156 16-16V86.63l68.69 68.69C407.8 158.4 411.9 160 416 160s8.188-1.562 11.31-4.688C433.6 149.1 433.6 138.9 427.3 132.7z"],
    "arrow-down-big-small": [512, 512, ["sort-size-down"], "f88c", "M399.1 320H336c-26.4 0-48 21.6-48 48v64c0 26.4 21.6 48 48 48h63.1c26.4 0 48-21.6 48-48v-64C447.1 341.6 426.4 320 399.1 320zM415.1 432c0 8.672-7.326 16-16 16H336c-8.674 0-16-7.328-16-16v-64c0-8.672 7.326-16 16-16h63.1c8.674 0 16 7.328 16 16V432zM464 32h-128C309.5 32 288 53.49 288 80v128C288 234.5 309.5 256 336 256h128C490.5 256 512 234.5 512 208v-128C512 53.49 490.5 32 464 32zM480 208C480 216.8 472.8 224 464 224h-128C327.2 224 320 216.8 320 208v-128C320 71.18 327.2 64 336 64h128C472.8 64 480 71.18 480 80V208zM224 352c-4.094 0-8.188 1.562-11.31 4.688L144 425.4V48C144 39.16 136.8 32 128 32S112 39.16 112 48v377.4l-68.69-68.69c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l96 96c6.25 6.25 16.38 6.25 22.62 0l96-96c6.25-6.25 6.25-16.38 0-22.62C232.2 353.6 228.1 352 224 352z"],
    "arrow-down-from-dotted-line": [448, 512, [], "e090", "M320 87.1c13.26 0 24-10.75 24-24s-10.74-24-24-24s-24 10.75-24 24S306.7 87.1 320 87.1zM224 87.1c13.26 0 24-10.75 24-24s-10.74-24-24-24s-24 10.75-24 24S210.7 87.1 224 87.1zM416 87.1c13.26 0 24-10.75 24-24s-10.74-24-24-24s-24 10.75-24 24S402.7 87.1 416 87.1zM128 87.1c13.26 0 24-10.75 24-24s-10.74-24-24-24s-24 10.75-24 24S114.7 87.1 128 87.1zM32 87.1c13.26 0 24-10.75 24-24s-10.74-24-24-24s-24 10.75-24 24S18.74 87.1 32 87.1zM212.7 475.3C215.8 478.4 219.9 479.1 224 479.1s8.188-1.562 11.31-4.688l144-144c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0L240 425.4V159.1c0-8.844-7.156-16-16-16s-16 7.156-16 16v265.4L91.31 308.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L212.7 475.3z"],
    "arrow-down-from-line": [384, 512, [8615, "arrow-from-top"], "f345", "M324.7 308.7L208 425.4V128c0-8.844-7.156-16-16-16S176 119.2 176 128v297.4L59.31 308.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l144 144C183.8 478.4 187.9 480 192 480s8.188-1.562 11.31-4.688l144-144c6.25-6.25 6.25-16.38 0-22.62S330.9 302.4 324.7 308.7zM368 32h-352C7.156 32 0 39.16 0 48S7.156 64 16 64h352C376.8 64 384 56.84 384 48S376.8 32 368 32z"],
    "arrow-down-left": [320, 512, [], "e091", "M315.3 122.6L54.43 383.4L240 384C248.9 384 256 391.2 256 400C255.1 408.9 248.8 416 240 416l-224-.6562C7.141 415.3 0 408.2 0 399.3V176C0 167.2 7.156 160 16 160S32 167.2 32 176v184.6l260.7-260.7c6.25-6.25 16.38-6.25 22.62 0S321.6 116.3 315.3 122.6z"],
    "arrow-down-left-and-arrow-up-right-to-center": [512, 512, [], "e092", "M208 288h-160C39.16 288 32 295.2 32 304S39.16 320 48 320h121.4l-148.7 148.7c-6.25 6.25-6.25 16.38 0 22.62s16.38 6.25 22.62 0L192 342.6V464C192 472.8 199.2 480 208 480S224 472.8 224 464v-160C224 295.2 216.8 288 208 288zM491.3 20.69c-6.25-6.25-16.38-6.25-22.62 0L320 169.4V48C320 39.16 312.8 32 304 32S288 39.16 288 48v160C288 216.8 295.2 224 304 224h160C472.8 224 480 216.8 480 208S472.8 192 464 192h-121.4l148.7-148.7C497.6 37.06 497.6 26.94 491.3 20.69z"],
    "arrow-down-long": [320, 512, ["long-arrow-down"], "f175", "M315.3 363.3l-144 144C168.2 510.4 164.1 512 160 512s-8.188-1.562-11.31-4.688l-144-144c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0L144 457.4V16C144 7.156 151.2 0 160 0s16 7.156 16 16v441.4l116.7-116.7c6.25-6.25 16.38-6.25 22.62 0S321.6 357.1 315.3 363.3z"],
    "arrow-down-right": [320, 512, [], "e093", "M320 176v223.3c0 8.812-7.141 15.97-15.95 16l-224 .6562C71.23 416 64.03 408.9 64 400c-.0313-8.812 7.109-16 15.95-16.03l185.6-.5547L4.688 122.6c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0L288 360.6V176C288 167.2 295.2 160 304 160S320 167.2 320 176z"],
    "arrow-down-short-wide": [576, 512, ["sort-amount-desc", "sort-amount-down-alt"], "f884", "M304 208h128C440.8 208 448 200.8 448 192s-7.156-16-16-16h-128c-8.844 0-15.1 7.156-15.1 16S295.2 208 304 208zM304 336h192c8.844 0 16-7.156 16-16s-7.156-16-16-16h-192c-8.844 0-15.1 7.156-15.1 16S295.2 336 304 336zM304 80h64c8.844 0 16-7.156 16-16S376.8 48 368 48h-64c-8.844 0-15.1 7.156-15.1 16S295.2 80 304 80zM560 432h-256c-8.844 0-15.1 7.156-15.1 16S295.2 464 304 464h256c8.844 0 16-7.156 16-16S568.8 432 560 432zM224 352c-4.094 0-8.188 1.562-11.31 4.688L144 425.4V48C144 39.16 136.8 32 128 32S112 39.16 112 48v377.4l-68.69-68.69c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l96 96c6.25 6.25 16.38 6.25 22.62 0l96-96c6.25-6.25 6.25-16.38 0-22.62C232.2 353.6 228.1 352 224 352z"],
    "arrow-down-small-big": [512, 512, ["sort-size-down-alt"], "f88d", "M336 192h63.1c26.4 0 48-21.6 48-48v-64c0-26.4-21.6-48-48-48H336C309.6 32 288 53.6 288 80v64C288 170.4 309.6 192 336 192zM320 80C320 71.33 327.3 64 336 64h63.1c8.674 0 16 7.328 16 16v64c0 8.672-7.326 16-16 16H336C327.3 160 320 152.7 320 144V80zM464 256h-128C309.5 256 288 277.5 288 304v128c0 26.51 21.49 48 48 48h128c26.51 0 48-21.49 48-48v-128C512 277.5 490.5 256 464 256zM480 432c0 8.824-7.178 16-16 16h-128c-8.822 0-16-7.176-16-16v-128C320 295.2 327.2 288 336 288h128C472.8 288 480 295.2 480 304V432zM224 352c-4.094 0-8.188 1.562-11.31 4.688L144 425.4V48C144 39.16 136.8 32 128 32S112 39.16 112 48v377.4l-68.69-68.69c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l96 96c6.25 6.25 16.38 6.25 22.62 0l96-96c6.25-6.25 6.25-16.38 0-22.62C232.2 353.6 228.1 352 224 352z"],
    "arrow-down-square-triangle": [512, 512, ["sort-shapes-down-alt"], "f889", "M336 223.1l96 .0059c26.51 0 48-21.49 48-48.01V80c0-26.51-21.49-48-48-48h-96c-26.51 0-48 21.49-48 48v95.99C288 202.5 309.5 223.1 336 223.1zM320 80c0-8.824 7.178-16 16-16h96c8.822 0 16 7.176 16 16v95.99c0 8.824-7.178 16-16 16h-96c-8.822 0-16-7.176-16-16V80zM492.1 438.9l-83.13-137.1c-5.562-9.188-15.28-13.76-24.97-13.76s-19.34 4.573-24.91 13.76l-83.25 137.1c-11 18.25 2.75 41.13 25 41.13h166.3C489.4 480 503.1 457.1 492.1 438.9zM307.8 448l76.29-125.6l76.18 125.6H307.8zM224 352c-4.094 0-8.188 1.562-11.31 4.688L144 425.4V48c0-8.844-7.156-15.1-16-15.1S112 39.16 112 48v377.4l-68.69-68.69c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l96 96c6.25 6.25 16.38 6.25 22.62 0l96-96c6.25-6.25 6.25-16.38 0-22.62C232.2 353.6 228.1 352 224 352z"],
    "arrow-down-to-arc": [512, 512, [], "e4ae", "M256 480C379.7 480 480 379.7 480 256C480 247.2 487.2 240 496 240C504.8 240 512 247.2 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 247.2 7.164 240 16 240C24.84 240 32 247.2 32 256C32 379.7 132.3 480 256 480zM267.1 346.6C264.9 350 260.6 352 256 352C251.4 352 247.1 350 244 346.6L116 202.6C110.2 196 110.8 185.9 117.4 180C123.1 174.2 134.1 174.8 139.1 181.4L240 293.9V16C240 7.164 247.2 0 256 0C264.8 0 272 7.164 272 16V293.9L372 181.4C377.9 174.8 388 174.2 394.6 180C401.2 185.9 401.8 196 395.1 202.6L267.1 346.6z"],
    "arrow-down-to-bracket": [448, 512, [], "e094", "M224 352c4.094 0 8.188-1.562 11.31-4.688l144-144c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0L240 297.4V16C240 7.156 232.8 0 224 0S208 7.156 208 16v281.4L91.31 180.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l144 144C215.8 350.4 219.9 352 224 352zM448 432v-96c0-8.844-7.156-16-16-16S416 327.2 416 336v96c0 26.47-21.53 48-48 48h-288C53.53 480 32 458.5 32 432v-96C32 327.2 24.84 320 16 320S0 327.2 0 336v96C0 476.1 35.88 512 80 512h288C412.1 512 448 476.1 448 432z"],
    "arrow-down-to-dotted-line": [448, 512, [], "e095", "M128 424c-13.26 0-24 10.75-24 24S114.7 472 128 472S152 461.3 152 448S141.3 424 128 424zM224 424c-13.26 0-24 10.75-24 24s10.74 24 24 24s24-10.75 24-24S237.3 424 224 424zM32 424c-13.26 0-24 10.75-24 24S18.74 472 32 472S56 461.3 56 448S45.26 424 32 424zM320 424c-13.26 0-24 10.75-24 24s10.74 24 24 24s24-10.75 24-24S333.3 424 320 424zM416 424c-13.26 0-24 10.75-24 24s10.74 24 24 24s24-10.75 24-24S429.3 424 416 424zM212.7 363.3C215.8 366.4 219.9 367.1 224 367.1s8.188-1.562 11.31-4.688l144-144c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0L240 313.4V47.1c0-8.844-7.156-16-16-16s-16 7.156-16 16v265.4L91.31 196.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L212.7 363.3z"],
    "arrow-down-to-line": [384, 512, ["arrow-to-bottom"], "f33d", "M180.7 395.3C183.8 398.4 187.9 400 192 400s8.188-1.562 11.31-4.688l144-144c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0L208 345.4V48C208 39.16 200.8 32 192 32S176 39.16 176 48v297.4L59.31 228.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L180.7 395.3zM368 448h-352C7.156 448 0 455.2 0 464S7.156 480 16 480h352c8.844 0 16-7.156 16-16S376.8 448 368 448z"],
    "arrow-down-to-square": [512, 512, [], "e096", "M432 128h-64C359.2 128 352 135.2 352 144S359.2 160 368 160h64C440.8 160 448 167.2 448 176v288c0 8.812-7.188 16-16 16h-352C71.19 480 64 472.8 64 464v-288C64 167.2 71.19 160 80 160h64C152.8 160 160 152.8 160 144S152.8 128 144 128h-64C53.53 128 32 149.5 32 176v288C32 490.5 53.53 512 80 512h352c26.47 0 48-21.53 48-48v-288C480 149.5 458.5 128 432 128zM148.7 260.7c-6.25 6.25-6.25 16.38 0 22.62l96 96C247.8 382.4 251.9 384 256 384s8.188-1.562 11.31-4.688l96-96c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0L272 329.4V16C272 7.156 264.8 0 256 0S240 7.156 240 16v313.4L171.3 260.7C165.1 254.4 154.9 254.4 148.7 260.7z"],
    "arrow-down-triangle-square": [512, 512, ["sort-shapes-down"], "f888", "M432 288l-96-.0107c-26.51 0-48 21.49-48 48v95.99c0 26.51 21.49 48 48 48l96 .0098c26.51 0 48-21.5 48-48.01v-95.99C480 309.5 458.5 288 432 288zM448 431.1c0 8.824-7.178 16-16 16h-96c-8.822 0-16-7.176-16-16v-95.99c0-8.824 7.178-16 16-16h96c8.822 0 16 7.176 16 16V431.1zM492.1 182.9l-83.13-137.1C403.4 36.58 393.7 31.99 384 31.99s-19.34 4.591-24.91 13.78l-83.25 137.1c-11 18.25 2.75 41.12 25 41.12h166.3C489.4 224 503.1 201.1 492.1 182.9zM307.8 192l76.29-125.6L460.2 192H307.8zM224 352c-4.094 0-8.188 1.562-11.31 4.688L144 425.4V48c0-8.844-7.156-15.1-16-15.1S112 39.16 112 48v377.4l-68.69-68.69c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l96 96c6.25 6.25 16.38 6.25 22.62 0l96-96c6.25-6.25 6.25-16.38 0-22.62C232.2 353.6 228.1 352 224 352z"],
    "arrow-down-up-across-line": [576, 512, [], "e4af", "M52.69 411.3C46.44 405.1 46.44 394.9 52.69 388.7C58.93 382.4 69.06 382.4 75.31 388.7L144 457.4V272H16C7.164 272 0 264.8 0 256C0 247.2 7.164 240 16 240H400V54.63L331.3 123.3C325.1 129.6 314.9 129.6 308.7 123.3C302.4 117.1 302.4 106.9 308.7 100.7L404.7 4.686C410.9-1.562 421.1-1.562 427.3 4.686L523.3 100.7C529.6 106.9 529.6 117.1 523.3 123.3C517.1 129.6 506.9 129.6 500.7 123.3L432 54.63V240H560C568.8 240 576 247.2 576 256C576 264.8 568.8 272 560 272H175.1V457.4L244.7 388.7C250.9 382.4 261.1 382.4 267.3 388.7C273.6 394.9 273.6 405.1 267.3 411.3L171.3 507.3C165.1 513.6 154.9 513.6 148.7 507.3L52.69 411.3zM143.1 47.1C143.1 39.16 151.2 31.1 159.1 31.1C168.8 31.1 175.1 39.16 175.1 47.1V192H143.1V47.1zM432 320V464C432 472.8 424.8 480 416 480C407.2 480 400 472.8 400 464V320H432z"],
    "arrow-down-up-lock": [640, 512, [], "e4b0", "M116.7 507.3L20.69 411.3C14.44 405.1 14.44 394.9 20.69 388.7C26.93 382.4 37.06 382.4 43.31 388.7L112 457.4V272H16C7.164 272 0 264.8 0 256C0 247.2 7.164 240 16 240H304V54.63L235.3 123.3C229.1 129.6 218.9 129.6 212.7 123.3C206.4 117.1 206.4 106.9 212.7 100.7L308.7 4.686C314.9-1.562 325.1-1.562 331.3 4.686L427.3 100.7C433.6 106.9 433.6 117.1 427.3 123.3C421.1 129.6 410.9 129.6 404.7 123.3L336 54.63V240H420.6C417.6 250.1 416 260.9 416 272H143.1V457.4L212.7 388.7C218.9 382.4 229.1 382.4 235.3 388.7C241.6 394.9 241.6 405.1 235.3 411.3L139.3 507.3C133.1 513.6 122.9 513.6 116.7 507.3V507.3zM111.1 200V47.1C111.1 39.16 119.2 31.1 127.1 31.1C136.8 31.1 143.1 39.16 143.1 47.1V200H111.1zM336 312V464C336 472.8 328.8 480 319.1 480C311.2 480 303.1 472.8 303.1 464V312H336zM528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320V272C448 227.8 483.8 192 528 192zM528 224C501.5 224 480 245.5 480 272V320H576V272C576 245.5 554.5 224 528 224zM448 352V480H608V352H448z"],
    "arrow-down-wide-short": [576, 512, ["sort-amount-asc", "sort-amount-down"], "f160", "M368 432h-64c-8.844 0-15.1 7.156-15.1 16S295.2 464 304 464h64c8.844 0 16-7.156 16-16S376.8 432 368 432zM432 304h-128c-8.844 0-15.1 7.156-15.1 16S295.2 336 304 336h128c8.844 0 16-7.156 16-16S440.8 304 432 304zM496 176h-192c-8.844 0-15.1 7.156-15.1 16S295.2 208 304 208h192C504.8 208 512 200.8 512 192S504.8 176 496 176zM560 48h-256c-8.844 0-15.1 7.156-15.1 16S295.2 80 304 80h256C568.8 80 576 72.84 576 64S568.8 48 560 48zM224 352c-4.094 0-8.188 1.562-11.31 4.688L144 425.4V48C144 39.16 136.8 32 128 32S112 39.16 112 48v377.4l-68.69-68.69c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l96 96c6.25 6.25 16.38 6.25 22.62 0l96-96c6.25-6.25 6.25-16.38 0-22.62C232.2 353.6 228.1 352 224 352z"],
    "arrow-down-z-a": [512, 512, ["sort-alpha-desc", "sort-alpha-down-alt"], "f881", "M478.3 456.8l-79.99-159.1c-5.438-10.81-23.19-10.81-28.62 0l-79.99 159.1c-3.953 7.906-.75 17.5 7.156 21.47c7.906 4 17.51 .7187 21.47-7.156l11.58-23.16h108.2l11.58 23.16c3.094 6.156 12.08 11.88 21.47 7.156C479.1 474.3 482.3 464.7 478.3 456.8zM345.9 415.1L384 339.7l38.11 76.21H345.9zM320 63.1h94.7l-107.2 133.1c-3.842 4.812-4.576 11.38-1.92 16.94c2.67 5.531 8.261 9.078 14.42 9.078h127.1c8.844 0 15.1-7.172 15.1-16.02s-7.154-15.1-15.1-15.1h-94.7l107.2-133.1c3.842-4.812 4.576-11.37 1.92-16.93C459.7 35.53 454.2 32 447.1 32h-127.1c-8.844 0-15.1 7.156-15.1 16C304 56.84 311.2 63.1 320 63.1zM224 352c-4.094 0-8.188 1.562-11.31 4.688L144 425.4V48c0-8.844-7.156-16-16-16S112 39.16 112 48v377.4l-68.69-68.69c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l96 96c6.25 6.25 16.38 6.25 22.62 0l96-96c6.25-6.25 6.25-16.38 0-22.62C232.2 353.6 228.1 352 224 352z"],
    "arrow-left": [448, 512, [8592], "f060", "M448 256C448 264.8 440.6 272 431.4 272H54.11l140.7 149.3c6.157 6.531 5.655 16.66-1.118 22.59C190.5 446.6 186.5 448 182.5 448c-4.505 0-9.009-1.75-12.28-5.25l-165.9-176c-5.752-6.094-5.752-15.41 0-21.5l165.9-176c6.19-6.562 16.69-7 23.45-1.094c6.773 5.938 7.275 16.06 1.118 22.59L54.11 240h377.3C440.6 240 448 247.2 448 256z"],
    "arrow-left-from-line": [448, 512, [8612, "arrow-from-right"], "f344", "M352 240H54.63l116.7-116.7c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0l-144 144C1.563 247.8 0 251.9 0 256s1.562 8.188 4.688 11.31l144 144c6.25 6.25 16.38 6.25 22.62 0s6.25-16.38 0-22.62L54.63 272H352c8.844 0 16-7.156 16-16S360.8 240 352 240zM432 64C423.2 64 416 71.16 416 80v352c0 8.844 7.156 16 16 16s16-7.156 16-16v-352C448 71.16 440.8 64 432 64z"],
    "arrow-left-long": [512, 512, ["long-arrow-left"], "f177", "M148.7 411.3l-144-144C1.563 264.2 0 260.1 0 256s1.562-8.188 4.688-11.31l144-144c6.25-6.25 16.38-6.25 22.62 0s6.25 16.38 0 22.62L54.63 240H496C504.8 240 512 247.2 512 256s-7.156 16-16 16H54.63l116.7 116.7c6.25 6.25 6.25 16.38 0 22.62S154.9 417.6 148.7 411.3z"],
    "arrow-left-long-to-line": [640, 512, [], "e3d4", "M0 80C0 71.16 7.164 64 16 64C24.84 64 32 71.16 32 80V432C32 440.8 24.84 448 16 448C7.164 448 0 440.8 0 432V80zM100.7 244.7L244.7 100.7C250.9 94.44 261.1 94.44 267.3 100.7C273.6 106.9 273.6 117.1 267.3 123.3L150.6 239.1H624C632.8 239.1 640 247.2 640 255.1C640 264.8 632.8 271.1 624 271.1H150.6L267.3 388.7C273.6 394.9 273.6 405.1 267.3 411.3C261.1 417.6 250.9 417.6 244.7 411.3L100.7 267.3C97.56 264.2 96 260.1 96 255.1C96 251.9 97.56 247.8 100.7 244.7V244.7z"],
    "arrow-left-to-line": [448, 512, [8676, "arrow-to-left"], "f33e", "M432 240H134.6l116.7-116.7c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0l-144 144C81.56 247.8 80 251.9 80 256s1.562 8.188 4.688 11.31l144 144c6.25 6.25 16.38 6.25 22.62 0s6.25-16.38 0-22.62L134.6 272H432C440.8 272 448 264.8 448 256S440.8 240 432 240zM16 64C7.156 64 0 71.16 0 80v352C0 440.8 7.156 448 16 448S32 440.8 32 432v-352C32 71.16 24.84 64 16 64z"],
    "arrow-pointer": [320, 512, ["mouse-pointer"], "f245", "M.0003 425.1V55.18C.0003 42.38 10.38 32 23.19 32C28.86 32 34.34 34.08 38.59 37.86L312.6 281.4C317.3 285.6 320 291.6 320 297.9C320 310.1 310.1 320 297.9 320H161.5L222.6 457.5C226.2 465.6 222.6 475 214.5 478.6C206.4 482.2 196.1 478.6 193.4 470.5L132.4 333.3L38.58 440.5C34.4 445.3 28.36 448 22.01 448C9.855 448 0 438.1 0 425.1L.0003 425.1zM32 72V400L118.4 299.2C124.5 292.1 133.4 288 142.7 288H272L32 72z"],
    "arrow-right": [448, 512, [8594], "f061", "M443.7 266.8l-165.9 176C274.5 446.3 269.1 448 265.5 448c-3.986 0-7.988-1.375-11.16-4.156c-6.773-5.938-7.275-16.06-1.118-22.59L393.9 272H16.59c-9.171 0-16.59-7.155-16.59-15.1S7.421 240 16.59 240h377.3l-140.7-149.3c-6.157-6.531-5.655-16.66 1.118-22.59c6.789-5.906 17.27-5.469 23.45 1.094l165.9 176C449.4 251.3 449.4 260.7 443.7 266.8z"],
    "arrow-right-arrow-left": [512, 512, [8644, "exchange"], "f0ec", "M16 160h441.4l-100.7 100.7c-6.25 6.25-6.25 16.38 0 22.62s16.38 6.25 22.62 0l128-128C510.4 152.2 512 148.1 512 144s-1.562-8.188-4.688-11.31l-128-128c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L457.4 128H16C7.156 128 0 135.2 0 144S7.156 160 16 160zM496 352H54.63l100.7-100.7c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0l-128 128C1.563 359.8 0 363.9 0 368s1.562 8.188 4.688 11.31l128 128c6.25 6.25 16.38 6.25 22.62 0s6.25-16.38 0-22.62L54.63 384H496c8.844 0 16-7.156 16-16S504.8 352 496 352z"],
    "arrow-right-from-arc": [512, 512, [], "e4b1", "M256 480C264.8 480 272 487.2 272 496C272 504.8 264.8 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C264.8 0 272 7.164 272 16C272 24.84 264.8 32 256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480zM506.6 244C510 247.1 512 251.4 512 256C512 260.6 510 264.9 506.6 267.1L362.6 395.1C356 401.8 345.9 401.2 340 394.6C334.2 388 334.8 377.9 341.4 372L453.9 271.1H175.1C167.2 271.1 159.1 264.8 159.1 255.1C159.1 247.2 167.2 239.1 175.1 239.1H453.9L341.4 139.1C334.8 134.1 334.2 123.1 340 117.4C345.9 110.8 356 110.2 362.6 116L506.6 244z"],
    "arrow-right-from-bracket": [512, 512, ["sign-out"], "f08b", "M507.3 244.7l-144-144c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L457.4 240H176C167.2 240 160 247.2 160 256s7.156 16 16 16h281.4l-116.7 116.7c-6.25 6.25-6.25 16.38 0 22.62s16.38 6.25 22.62 0l144-144C510.4 264.2 512 260.1 512 256S510.4 247.8 507.3 244.7zM176 448h-96C53.53 448 32 426.5 32 400v-288C32 85.53 53.53 64 80 64h96C184.8 64 192 56.84 192 48S184.8 32 176 32h-96C35.88 32 0 67.88 0 112v288C0 444.1 35.88 480 80 480h96C184.8 480 192 472.8 192 464S184.8 448 176 448z"],
    "arrow-right-from-line": [448, 512, [8614, "arrow-from-left"], "f343", "M443.3 244.7l-144-144c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L393.4 240H96C87.16 240 80 247.2 80 256S87.16 272 96 272h297.4l-116.7 116.7c-6.25 6.25-6.25 16.38 0 22.62s16.38 6.25 22.62 0l144-144C446.4 264.2 448 260.1 448 256S446.4 247.8 443.3 244.7zM16 64C7.156 64 0 71.16 0 80v352C0 440.8 7.156 448 16 448S32 440.8 32 432v-352C32 71.16 24.84 64 16 64z"],
    "arrow-right-long": [512, 512, ["long-arrow-right"], "f178", "M363.3 100.7l144 144C510.4 247.8 512 251.9 512 255.1s-1.562 8.188-4.688 11.31l-144 144c-6.25 6.25-16.38 6.25-22.62 0s-6.25-16.38 0-22.62l116.7-116.7H16c-8.844 0-16-7.156-16-15.1c0-8.844 7.156-16 16-16h441.4l-116.7-116.7c-6.25-6.25-6.25-16.38 0-22.62S357.1 94.44 363.3 100.7z"],
    "arrow-right-long-to-line": [640, 512, [], "e3d5", "M640 432C640 440.8 632.8 448 624 448C615.2 448 608 440.8 608 432V80C608 71.16 615.2 64 624 64C632.8 64 640 71.16 640 80V432zM544 256C544 260.1 542.4 264.2 539.3 267.3L395.3 411.3C389.1 417.6 378.9 417.6 372.7 411.3C366.4 405.1 366.4 394.9 372.7 388.7L489.4 272H16C7.156 272 0 264.8 0 256C0 247.2 7.156 240 16 240H489.4L372.7 123.3C366.4 117.1 366.4 106.9 372.7 100.7C378.9 94.44 389.1 94.44 395.3 100.7L539.3 244.7C542.4 247.8 544 251.9 544 256V256z"],
    "arrow-right-to-arc": [512, 512, [], "e4b2", "M480 256C480 132.3 379.7 32 256 32C247.2 32 240 24.84 240 16C240 7.164 247.2 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C247.2 512 240 504.8 240 496C240 487.2 247.2 480 256 480C379.7 480 480 379.7 480 256zM346.6 244C350 247.1 352 251.4 352 256C352 260.6 350 264.9 346.6 267.1L202.6 395.1C196 401.8 185.9 401.2 180 394.6C174.2 388 174.8 377.9 181.4 372L293.9 271.1H16C7.164 271.1 0 264.8 0 255.1C0 247.2 7.164 239.1 16 239.1H293.9L181.4 139.1C174.8 134.1 174.2 123.1 180 117.4C185.9 110.8 196 110.2 202.6 116L346.6 244z"],
    "arrow-right-to-bracket": [512, 512, ["sign-in"], "f090", "M352 256c0-4.094-1.562-8.188-4.688-11.31l-144-144c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L297.4 240H16C7.156 240 0 247.2 0 256s7.156 16 16 16h281.4l-116.7 116.7c-6.25 6.25-6.25 16.38 0 22.62s16.38 6.25 22.62 0l144-144C350.4 264.2 352 260.1 352 256zM432 32h-96C327.2 32 320 39.16 320 48S327.2 64 336 64h96C458.5 64 480 85.53 480 112v288c0 26.47-21.53 48-48 48h-96c-8.844 0-16 7.156-16 16s7.156 16 16 16h96c44.13 0 80-35.88 80-80v-288C512 67.88 476.1 32 432 32z"],
    "arrow-right-to-city": [640, 512, [], "e4b3", "M320 496C320 504.8 312.8 512 304 512C295.2 512 288 504.8 288 496V48C288 21.49 309.5 0 336 0H464C490.5 0 512 21.49 512 48V192H544V112C544 103.2 551.2 96 560 96C568.8 96 576 103.2 576 112V192H592C618.5 192 640 213.5 640 240V496C640 504.8 632.8 512 624 512C615.2 512 608 504.8 608 496V240C608 231.2 600.8 224 592 224H480V48C480 39.16 472.8 32 464 32H336C327.2 32 320 39.16 320 48V496zM352 96C352 78.33 366.3 64 384 64H416C433.7 64 448 78.33 448 96V128C448 145.7 433.7 160 416 160H384C366.3 160 352 145.7 352 128V96zM416 96H384V128H416V96zM544 256C561.7 256 576 270.3 576 288V320C576 337.7 561.7 352 544 352H512C494.3 352 480 337.7 480 320V288C480 270.3 494.3 256 512 256H544zM512 320H544V288H512V320zM480 416C480 398.3 494.3 384 512 384H544C561.7 384 576 398.3 576 416V448C576 465.7 561.7 480 544 480H512C494.3 480 480 465.7 480 448V416zM544 416H512V448H544V416zM416 192C433.7 192 448 206.3 448 224V256C448 273.7 433.7 288 416 288H384C366.3 288 352 273.7 352 256V224C352 206.3 366.3 192 384 192H416zM384 256H416V224H384V256zM352 352C352 334.3 366.3 320 384 320H416C433.7 320 448 334.3 448 352V384C448 401.7 433.7 416 416 416H384C366.3 416 352 401.7 352 384V352zM416 352H384V384H416V352zM251.3 244.7C257.6 250.9 257.6 261.1 251.3 267.3L155.3 363.3C149.1 369.6 138.9 369.6 132.7 363.3C126.4 357.1 126.4 346.9 132.7 340.7L201.4 272H16C7.164 272 0 264.8 0 256C0 247.2 7.164 240 16 240H201.4L132.7 171.3C126.4 165.1 126.4 154.9 132.7 148.7C138.9 142.4 149.1 142.4 155.3 148.7L251.3 244.7z"],
    "arrow-right-to-line": [448, 512, [8677, "arrow-to-right"], "f340", "M432 64C423.2 64 416 71.16 416 80v352c0 8.844 7.156 16 16 16s16-7.156 16-16v-352C448 71.16 440.8 64 432 64zM219.3 100.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L313.4 240H16C7.156 240 0 247.2 0 256s7.156 16 16 16h297.4l-116.7 116.7c-6.25 6.25-6.25 16.38 0 22.62s16.38 6.25 22.62 0l144-144C366.4 264.2 368 260.1 368 256s-1.562-8.188-4.688-11.31L219.3 100.7z"],
    "arrow-rotate-left": [512, 512, [8634, "arrow-left-rotate", "arrow-rotate-back", "arrow-rotate-backward", "undo"], "f0e2", "M480 256c0 123.5-100.4 223.9-223.9 223.9c-69.41 0-133.9-31.3-176.7-86.05c-5.438-6.938-4.203-17 2.75-22.44c6.984-5.531 17.03-4.25 22.47 2.75C141.3 421.1 196.5 448 256 448c105.9 0 192-86.13 192-192s-86.13-192-192-192C187.1 64 124.5 100.7 90.15 160H176C184.8 160 192 167.2 192 176S184.8 192 176 192h-128C39.16 192 32 184.8 32 176v-128C32 39.16 39.16 32 48 32S64 39.16 64 48v93.56C104.4 73.87 176.6 32.11 256.1 32.11C379.6 32.11 480 132.5 480 256z"],
    "arrow-rotate-right": [512, 512, [8635, "arrow-right-rotate", "arrow-rotate-forward", "redo"], "f01e", "M255.9 32.11c79.47 0 151.8 41.76 192.1 109.4V48C448 39.16 455.2 32 464 32S480 39.16 480 48v128C480 184.8 472.8 192 464 192h-128C327.2 192 320 184.8 320 176S327.2 160 336 160h85.85C387.5 100.7 324.9 64 256 64C150.1 64 64 150.1 64 256s86.13 192 192 192c59.48 0 114.7-26.91 151.3-73.84c5.438-7 15.48-8.281 22.47-2.75c6.953 5.438 8.187 15.5 2.75 22.44c-42.8 54.75-107.3 86.05-176.7 86.05C132.4 479.9 32 379.5 32 256S132.4 32.11 255.9 32.11z"],
    "arrow-trend-down": [576, 512, [], "e097", "M384 384H521.4L320 182.6L203.3 299.3C197.1 305.6 186.9 305.6 180.7 299.3L4.686 123.3C-1.562 117.1-1.562 106.9 4.686 100.7C10.93 94.44 21.06 94.44 27.31 100.7L192 265.4L308.7 148.7C314.9 142.4 325.1 142.4 331.3 148.7L544 361.4V224C544 215.2 551.2 208 560 208C568.8 208 576 215.2 576 224V400C576 408.8 568.8 416 560 416H384C375.2 416 368 408.8 368 400C368 391.2 375.2 384 384 384L384 384z"],
    "arrow-trend-up": [576, 512, [], "e098", "M368 112C368 103.2 375.2 96 384 96H560C568.8 96 576 103.2 576 112V288C576 296.8 568.8 304 560 304C551.2 304 544 296.8 544 288V150.6L331.3 363.3C325.1 369.6 314.9 369.6 308.7 363.3L192 246.6L27.31 411.3C21.07 417.6 10.94 417.6 4.686 411.3C-1.562 405.1-1.562 394.9 4.686 388.7L180.7 212.7C186.9 206.4 197.1 206.4 203.3 212.7L320 329.4L521.4 128H384C375.2 128 368 120.8 368 112L368 112z"],
    "arrow-turn-down": [384, 512, ["level-down"], "f149", "M347.3 363.3l-144 144C200.2 510.4 196.1 512 191.1 512s-8.187-1.562-11.31-4.688l-144-144c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0L176 457.4V80C176 53.53 154.5 32 128 32H16C7.156 32 0 24.84 0 16S7.156 0 16 0l112 0C172.1 0 208 35.88 208 80v377.4l116.7-116.7c6.25-6.25 16.38-6.25 22.62 0S353.6 357.1 347.3 363.3z"],
    "arrow-turn-down-left": [512, 512, [], "e2e1", "M148.7 443.3l-144-144C1.563 296.2 0 292.1 0 288s1.562-8.188 4.688-11.31l144-144c6.25-6.25 16.38-6.25 22.62 0s6.25 16.38 0 22.62L54.63 272H432C458.5 272 480 250.5 480 224V48C480 39.16 487.2 32 496 32S512 39.16 512 48v175.1C512 268.1 476.1 304 432 304H54.63l116.7 116.7c6.25 6.25 6.25 16.38 0 22.62S154.9 449.6 148.7 443.3z"],
    "arrow-turn-down-right": [512, 512, [], "e3d6", "M340.7 443.3C334.4 437.1 334.4 426.9 340.7 420.7L457.4 304H80C35.87 304 0 268.1 0 223.1V48C0 39.16 7.156 32 16 32C24.84 32 32 39.16 32 48V224C32 250.5 53.53 272 80 272H457.4L340.7 155.3C334.4 149.1 334.4 138.9 340.7 132.7C346.9 126.4 357.1 126.4 363.3 132.7L507.3 276.7C510.4 279.8 512 283.9 512 288C512 292.1 510.4 296.2 507.3 299.3L363.3 443.3C357.1 449.6 346.9 449.6 340.7 443.3V443.3z"],
    "arrow-turn-up": [384, 512, ["level-up"], "f148", "M347.3 171.3c-6.25 6.25-16.38 6.25-22.62 0L208 54.63V432c0 44.13-35.89 80-80 80H16C7.156 512 0 504.8 0 496S7.156 480 16 480H128c26.47 0 48-21.53 48-48V54.63L59.31 171.3c-6.25 6.25-16.38 6.25-22.62 0s-6.25-16.38 0-22.62l144-144C183.8 1.562 187.9 0 192 0c4.094 0 8.188 1.562 11.31 4.688l144 144C353.6 154.9 353.6 165.1 347.3 171.3z"],
    "arrow-up": [384, 512, [8593], "f062", "M379.8 225.7C376.7 229.3 372.3 231.1 368 231.1c-3.844 0-7.703-1.426-10.77-4.31L208 86.12v377.3c0 9.171-7.156 16.59-15.1 16.59S176 472.6 176 463.4V86.12l-149.2 140.7C20.25 232.1 10.14 232.5 4.156 225.7C-1.781 218.9-1.297 208.4 5.234 202.2l176-165.9c6.094-5.768 15.44-5.768 21.53 0l176 165.9C385.3 208.4 385.8 218.9 379.8 225.7z"],
    "arrow-up-1-9": [512, 512, ["sort-numeric-up"], "f163", "M384 256c-44.13 0-80 35.88-80 80S339.9 416 384 416c16.73 0 32.25-5.199 45.11-14.01C421.3 428.5 396.1 448 368 448c-8.844 0-16 7.156-16 16s7.156 16 16 16c52.94 0 96-43.06 96-96v-48C464 291.9 428.1 256 384 256zM384 384c-26.47 0-48-21.53-48-48S357.5 288 384 288s48 21.53 48 48S410.5 384 384 384zM336 224l96-.0039c8.844 0 16-7.152 16-15.1S440.8 192 432 192h-32V48C400 39.16 392.8 32 384 32h-32c-8.844 0-16 7.156-16 16S343.2 64 352 64h16v128h-32C327.2 192 320 199.2 320 208S327.2 224 336 224zM139.3 36.69c-6.25-6.25-16.38-6.25-22.62 0l-96 96c-6.25 6.25-6.25 16.38 0 22.62s16.38 6.25 22.62 0L112 86.63V464c0 8.844 7.157 15.1 16 15.1S144 472.8 144 464V86.63l68.69 68.69C215.8 158.4 219.9 160 224 160s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L139.3 36.69z"],
    "arrow-up-9-1": [512, 512, ["sort-numeric-up-alt"], "f887", "M432 448h-32V304C400 295.2 392.8 288 384 288h-32c-8.844 0-16 7.156-16 16S343.2 320 352 320h16v128h-32c-8.844 0-16 7.156-16 16s7.156 16 16 16h96c8.844 0 16-7.156 16-16S440.8 448 432 448zM384 32c-44.13 0-80 35.88-80 80S339.9 192 384 192c16.73 0 32.25-5.199 45.11-14.01C421.3 204.5 396.1 224 368 224C359.2 224 352 231.2 352 240S359.2 256 368 256c52.94 0 96-43.06 96-96V112C464 67.88 428.1 32 384 32zM384 160c-26.47 0-48-21.53-48-48S357.5 64 384 64s48 21.53 48 48S410.5 160 384 160zM139.3 36.69c-6.25-6.25-16.38-6.25-22.62 0l-96 96c-6.25 6.25-6.25 16.38 0 22.62s16.38 6.25 22.62 0L112 86.63V464c0 8.844 7.157 15.1 16 15.1S144 472.8 144 464V86.63l68.69 68.69C215.8 158.4 219.9 160 224 160s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L139.3 36.69z"],
    "arrow-up-a-z": [512, 512, ["sort-alpha-up"], "f15e", "M478.3 200.4l-79.1-160.3c-5.438-10.84-23.19-10.84-28.62 0l-79.1 160.3c-3.953 7.922-.75 17.53 7.156 21.51c7.906 4.004 17.52 .7187 21.47-7.172l11.58-23.19h108.2l11.58 23.19c3.096 6.168 12.08 11.91 21.47 7.172C479.1 217.9 482.3 208.3 478.3 200.4zM345.9 159.5l38.11-76.34l38.11 76.34H345.9zM447.1 447.9h-94.7l107.2-134.2c3.844-4.82 4.578-11.39 1.922-16.96c-2.672-5.543-8.262-8.867-14.42-8.867H319.1c-8.844 0-16 6.957-16 15.82s7.156 16.02 16 16.02h94.7l-107.2 134.2c-3.844 4.82-4.578 11.39-1.922 16.96C308.2 476.5 313.8 480 319.1 480h127.1c8.844 0 15.1-7.168 15.1-16.03C463.1 455.1 456.8 447.9 447.1 447.9zM139.3 36.69c-6.25-6.25-16.38-6.25-22.62 0l-96 96c-6.25 6.25-6.25 16.38 0 22.62s16.38 6.25 22.62 0L112 86.63V464c0 8.844 7.156 16 16 16S144 472.8 144 464V86.63l68.69 68.69C215.8 158.4 219.9 160 224 160s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L139.3 36.69z"],
    "arrow-up-arrow-down": [448, 512, ["sort-up-down"], "e099", "M224 160c4.094 0 8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62l-96-96c-6.25-6.25-16.38-6.25-22.62 0l-96 96c-6.25 6.25-6.25 16.38 0 22.62s16.38 6.25 22.62 0L112 86.63V464C112 472.8 119.2 480 128 480s16-7.156 16-16V86.63l68.69 68.69C215.8 158.4 219.9 160 224 160zM427.3 356.7C424.2 353.6 420.1 352 416 352s-8.188 1.562-11.31 4.688L336 425.4V48C336 39.16 328.8 32 320 32s-16 7.156-16 16v377.4l-68.69-68.69c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l96 96c6.25 6.25 16.38 6.25 22.62 0l96-96C433.6 373.1 433.6 362.9 427.3 356.7z"],
    "arrow-up-big-small": [512, 512, ["sort-size-up"], "f88e", "M399.1 320H336c-26.4 0-48 21.6-48 48v64c0 26.4 21.6 48 48 48h63.1c26.4 0 48-21.6 48-48v-64C447.1 341.6 426.4 320 399.1 320zM415.1 432c0 8.672-7.326 16-16 16H336c-8.672 0-16-7.328-16-16v-64c0-8.672 7.328-16 16-16h63.1c8.674 0 16 7.328 16 16V432zM464 32h-128C309.5 32 288 53.49 288 80v128C288 234.5 309.5 256 336 256h128C490.5 256 512 234.5 512 208v-128C512 53.49 490.5 32 464 32zM480 208C480 216.8 472.8 224 464 224h-128C327.2 224 320 216.8 320 208v-128C320 71.18 327.2 64 336 64h128C472.8 64 480 71.18 480 80V208zM139.3 36.69c-6.25-6.25-16.38-6.25-22.62 0l-96 96c-6.25 6.25-6.25 16.38 0 22.62s16.38 6.25 22.62 0L112 86.63V464C112 472.8 119.2 480 128 480s16-7.156 16-16V86.63l68.69 68.69C215.8 158.4 219.9 160 224 160s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L139.3 36.69z"],
    "arrow-up-from-arc": [512, 512, [], "e4b4", "M480 256C480 247.2 487.2 240 496 240C504.8 240 512 247.2 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 247.2 7.164 240 16 240C24.84 240 32 247.2 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256zM244 5.37C247.1 1.955 251.4 0 255.1 0C260.6 0 264.9 1.954 267.1 5.37L395.1 149.4C401.8 155.1 401.2 166.1 394.6 171.1C388 177.8 377.9 177.2 372 170.6L272 58.08V336C272 344.8 264.8 352 255.1 352C247.2 352 239.1 344.8 239.1 336V58.08L139.1 170.6C134.1 177.2 123.1 177.8 117.4 171.1C110.8 166.1 110.2 155.1 116 149.4L244 5.37z"],
    "arrow-up-from-bracket": [448, 512, [], "e09a", "M212.7 4.688l-144 144c-6.25 6.25-6.25 16.38 0 22.62s16.38 6.25 22.62 0L208 54.63V336c0 8.844 7.156 16 16 16s16-7.156 16-16V54.63l116.7 116.7c6.25 6.25 16.38 6.25 22.62 0s6.25-16.38 0-22.62l-144-144C232.2 1.562 228.1 0 224 0S215.8 1.562 212.7 4.688zM416 336v96c0 26.47-21.53 48-48 48h-288C53.53 480 32 458.5 32 432v-96C32 327.2 24.84 320 16 320S0 327.2 0 336v96C0 476.1 35.88 512 80 512h288c44.13 0 80-35.88 80-80v-96c0-8.844-7.156-16-16-16S416 327.2 416 336z"],
    "arrow-up-from-dotted-line": [448, 512, [], "e09b", "M128 424c-13.26 0-24 10.75-24 24S114.7 472 128 472S152 461.3 152 448S141.3 424 128 424zM224 424c-13.26 0-24 10.75-24 24s10.74 24 24 24s24-10.75 24-24S237.3 424 224 424zM32 424c-13.26 0-24 10.75-24 24S18.74 472 32 472S56 461.3 56 448S45.26 424 32 424zM320 424c-13.26 0-24 10.75-24 24s10.74 24 24 24s24-10.75 24-24S333.3 424 320 424zM416 424c-13.26 0-24 10.75-24 24s10.74 24 24 24s24-10.75 24-24S429.3 424 416 424zM235.3 36.69C232.2 33.56 228.1 32 224 32S215.8 33.56 212.7 36.69l-144 144c-6.25 6.25-6.25 16.38 0 22.62s16.38 6.25 22.62 0L208 86.63V352c0 8.844 7.156 16 16 16s16-7.156 16-16V86.63l116.7 116.7c6.25 6.25 16.38 6.25 22.62 0s6.25-16.38 0-22.62L235.3 36.69z"],
    "arrow-up-from-ground-water": [576, 512, [], "e4b5", "M272 336V54.63L203.3 123.3C197.1 129.6 186.9 129.6 180.7 123.3C174.4 117.1 174.4 106.9 180.7 100.7L276.7 4.686C282.9-1.562 293.1-1.562 299.3 4.686L395.3 100.7C401.6 106.9 401.6 117.1 395.3 123.3C389.1 129.6 378.9 129.6 372.7 123.3L304 54.63V336C304 344.8 296.8 352 287.1 352C279.2 352 271.1 344.8 271.1 336H272zM64 191.1H192V223.1H64C46.33 223.1 32 238.3 32 255.1V413.3C27.21 415.4 22.32 416.1 17.49 418.1C11.19 419.6 5.326 421.9 0 425V255.1C0 220.7 28.65 191.1 64 191.1V191.1zM558.5 418.1C553.7 416.1 548.8 415.4 544 413.3V255.1C544 238.3 529.7 223.1 512 223.1H384V191.1H512C547.3 191.1 576 220.7 576 255.1V425C570.7 421.9 564.8 419.6 558.5 418.1V418.1zM250.1 458.8C259.9 452.1 268.2 444.8 276.1 436.9C282.6 430.4 293.3 430.4 299.8 436.9C307.8 444.8 315.1 452.1 325.8 458.8C342.3 470 363.1 479.1 383.1 479.1C404.9 479.1 425.6 470 442.2 458.8C451.9 452.1 460.2 444.8 468.1 436.9C474.6 430.4 485.3 430.4 491.8 436.9C499.8 444.8 507.1 452.1 517.8 458.8C530.6 467.5 545.9 475.4 561.9 478.6C569.6 480.1 576 486.4 576 494.2C576 504 567.1 512.1 558.3 510.4C535.2 506.5 514.7 495.4 499.8 485.2C491.8 479.8 485.1 474.4 479.1 469.1C474.8 474.4 468.1 479.8 460.2 485.2C441.5 497.9 414.3 511.1 383.1 511.1C353.7 511.1 326.4 497.9 307.8 485.2C299.8 479.8 293.1 474.4 287.1 469.1C282.8 474.4 276.1 479.8 268.2 485.2C249.5 497.9 222.3 511.1 191.1 511.1C161.7 511.1 134.4 497.9 115.8 485.2C107.8 479.8 101.1 474.4 95.96 469.1C90.82 474.4 84.12 479.8 76.19 485.2C61.25 495.4 40.81 506.5 17.69 510.4C8.016 512.1 .0003 504 .0003 494.2C.0003 486.4 6.421 480.1 14.13 478.6C30.07 475.4 45.38 467.5 58.16 458.8C67.94 452.1 76.16 444.8 84.07 436.9C90.64 430.4 101.3 430.4 107.8 436.9C115.8 444.8 124.1 452.2 133.8 458.8C150.3 470 171.1 479.1 191.1 479.1C212.9 479.1 233.6 470 250.1 458.8H250.1z"],
    "arrow-up-from-line": [384, 512, [8613, "arrow-from-bottom"], "f342", "M59.31 203.3L176 86.63V384c0 8.844 7.156 16 16 16s16-7.156 16-16V86.63l116.7 116.7c6.25 6.25 16.38 6.25 22.62 0s6.25-16.38 0-22.62l-144-144C200.2 33.56 196.1 32 192 32S183.8 33.56 180.7 36.69l-144 144c-6.25 6.25-6.25 16.38 0 22.62S53.06 209.6 59.31 203.3zM368 448h-352C7.156 448 0 455.2 0 464S7.156 480 16 480h352c8.844 0 16-7.156 16-16S376.8 448 368 448z"],
    "arrow-up-from-square": [512, 512, [], "e09c", "M432 160h-32C391.2 160 384 167.2 384 176S391.2 192 400 192h32C440.8 192 448 199.2 448 208v256c0 8.812-7.188 16-16 16h-352C71.19 480 64 472.8 64 464v-256C64 199.2 71.19 192 80 192h32C120.8 192 128 184.8 128 176S120.8 160 112 160h-32C53.53 160 32 181.5 32 208v256C32 490.5 53.53 512 80 512h352c26.47 0 48-21.53 48-48v-256C480 181.5 458.5 160 432 160zM160 128c4.094 0 8.188-1.562 11.31-4.688L240 54.63V336c0 8.844 7.156 16.02 16 16.02S272 344.8 272 336V54.63l68.69 68.69C343.8 126.4 347.9 128 352 128c9.139 0 16-7.473 16-16c0-4.094-1.562-8.188-4.688-11.31l-96-96C264.2 1.562 260.1-.0002 256-.0002S247.8 1.562 244.7 4.688l-96 96C145.6 103.8 144 107.9 144 112C144 120.5 150.9 128 160 128z"],
    "arrow-up-from-water-pump": [576, 512, [], "e4b6", "M288 48V256H432V54.63L363.3 123.3C357.1 129.6 346.9 129.6 340.7 123.3C334.4 117.1 334.4 106.9 340.7 100.7L436.7 4.687C442.9-1.562 453.1-1.562 459.3 4.687L555.3 100.7C561.6 106.9 561.6 117.1 555.3 123.3C549.1 129.6 538.9 129.6 532.7 123.3L464 54.63V256H512C547.3 256 576 284.7 576 320V425C570.7 421.9 564.8 419.6 558.5 418.1C553.7 416.1 548.8 415.4 544 413.3V320C544 302.3 529.7 288 512 288H64C46.33 288 32 302.3 32 320V413.3C27.21 415.4 22.32 416.1 17.49 418.1C11.19 419.6 5.326 421.9 0 425V320C0 284.7 28.65 256 64 256V48C64 21.49 85.49 0 112 0H240C266.5 0 288 21.49 288 48L288 48zM96 48V256H256V48C256 39.16 248.8 32 240 32H112C103.2 32 96 39.16 96 48zM250.1 458.8C259.9 452.1 268.2 444.8 276.1 436.9C282.6 430.4 293.3 430.4 299.8 436.9C307.8 444.8 315.1 452.1 325.8 458.8C342.3 470 363.1 479.1 383.1 479.1C404.9 479.1 425.6 470 442.2 458.8C451.9 452.1 460.2 444.8 468.1 436.9C474.6 430.4 485.3 430.4 491.8 436.9C499.8 444.8 507.1 452.1 517.8 458.8C530.6 467.5 545.9 475.4 561.9 478.6C569.6 480.1 576 486.4 576 494.2C576 504 567.1 512.1 558.3 510.4C535.2 506.5 514.7 495.4 499.8 485.2C491.8 479.8 485.1 474.4 479.1 469.1C474.8 474.4 468.1 479.8 460.2 485.2C441.5 497.9 414.3 511.1 383.1 511.1C353.7 511.1 326.4 497.9 307.8 485.2C299.8 479.8 293.1 474.4 287.1 469.1C282.8 474.4 276.1 479.8 268.2 485.2C249.5 497.9 222.3 511.1 191.1 511.1C161.7 511.1 134.4 497.9 115.8 485.2C107.8 479.8 101.1 474.4 95.96 469.1C90.82 474.4 84.12 479.8 76.19 485.2C61.25 495.4 40.81 506.5 17.69 510.4C8.016 512.1 .0006 504 .0006 494.2C.0006 486.4 6.422 480.1 14.13 478.6C30.07 475.4 45.38 467.5 58.16 458.8C67.94 452.1 76.16 444.8 84.07 436.9C90.64 430.4 101.3 430.4 107.8 436.9C115.8 444.8 124.1 452.2 133.8 458.8C150.3 470 171.1 479.1 191.1 479.1C212.9 479.1 233.6 470 250.1 458.8H250.1z"],
    "arrow-up-left": [320, 512, [], "e09d", "M315.3 411.3C312.2 414.4 308.1 416 304 416s-8.188-1.562-11.31-4.688L32 150.6v184.6c0 8.844-7.156 16-16 16s-16-7.156-16-16V111.9c0-8.812 7.141-15.97 15.95-16c0 0 224-.6562 224-.6562c8.812 0 15.97 7.125 16 15.97c.0313 8.812-7.109 16-15.95 16.03l-185.6 .5547l260.9 260.9C321.6 394.9 321.6 405.1 315.3 411.3z"],
    "arrow-up-left-from-circle": [512, 512, [], "e09e", "M320 336c4.094 0 8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L54.63 32H176C184.8 32 192 24.84 192 16S184.8 0 176 0h-160C7.156 0 0 7.156 0 16v160C0 184.8 7.156 192 16 192S32 184.8 32 176V54.63l276.7 276.7C311.8 334.4 315.9 336 320 336zM288 64c-23.5 0-46.69 3.625-68.91 10.81C210.7 77.5 206.1 86.53 208.8 94.94S220.5 108 228.9 105.3C247.1 99.13 267.8 96 288 96c105.9 0 192 86.13 192 192s-86.13 192-192 192s-192-86.13-192-192c0-20.16 3.125-40.03 9.25-59.09C107.1 220.5 103.3 211.5 94.94 208.8C86.63 206.1 77.53 210.7 74.81 219.1C67.63 241.3 64 264.5 64 288c0 123.5 100.5 224 224 224s224-100.5 224-224S411.5 64 288 64z"],
    "arrow-up-long": [320, 512, ["long-arrow-up"], "f176", "M4.688 148.7l144-144C151.8 1.562 155.9 0 160 0s8.188 1.562 11.31 4.688l144 144c6.25 6.25 6.25 16.38 0 22.62s-16.38 6.25-22.62 0L176 54.63V496c0 8.844-7.156 16-16 16s-16-7.156-16-16V54.63L27.31 171.3c-6.25 6.25-16.38 6.25-22.62 0S-1.563 154.9 4.688 148.7z"],
    "arrow-up-right": [320, 512, [], "e09f", "M320 111.9v223.3c0 8.844-7.156 16-16 16s-16-7.156-16-16V150.6l-260.7 260.7C24.19 414.4 20.09 416 16 416s-8.188-1.562-11.31-4.688c-6.25-6.25-6.25-16.38 0-22.62l260.9-260.9l-185.6-.5547C71.11 127.2 63.97 120 64 111.2c.0313-8.844 7.188-15.97 16-15.97l224 .6562C312.9 95.94 320 103.1 320 111.9z"],
    "arrow-up-right-and-arrow-down-left-from-center": [512, 512, [], "e0a0", "M496 0h-160C327.2 0 320 7.156 320 16S327.2 32 336 32h121.4l-164.7 164.7c-6.25 6.25-6.25 16.38 0 22.62s16.38 6.25 22.62 0L480 54.63V176C480 184.8 487.2 192 496 192S512 184.8 512 176v-160C512 7.156 504.8 0 496 0zM196.7 292.7L32 457.4V336C32 327.2 24.84 320 16 320S0 327.2 0 336v160C0 504.8 7.156 512 16 512h160C184.8 512 192 504.8 192 496S184.8 480 176 480H54.63l164.7-164.7c6.25-6.25 6.25-16.38 0-22.62S202.9 286.4 196.7 292.7z"],
    "arrow-up-right-dots": [576, 512, [], "e4b7", "M304 0C312.8 0 320 7.164 320 16V176C320 184.8 312.8 192 304 192C295.2 192 288 184.8 288 176V54.63L27.31 315.3C21.07 321.6 10.94 321.6 4.686 315.3C-1.562 309.1-1.562 298.9 4.686 292.7L265.4 32H144C135.2 32 128 24.84 128 16C128 7.164 135.2 0 144 0H304zM480 80C480 53.49 501.5 32 528 32C554.5 32 576 53.49 576 80C576 106.5 554.5 128 528 128C501.5 128 480 106.5 480 80zM528 96C536.8 96 544 88.84 544 80C544 71.16 536.8 64 528 64C519.2 64 512 71.16 512 80C512 88.84 519.2 96 528 96zM352 208C352 181.5 373.5 160 400 160C426.5 160 448 181.5 448 208C448 234.5 426.5 256 400 256C373.5 256 352 234.5 352 208zM400 224C408.8 224 416 216.8 416 208C416 199.2 408.8 192 400 192C391.2 192 384 199.2 384 208C384 216.8 391.2 224 400 224zM448 336C448 362.5 426.5 384 400 384C373.5 384 352 362.5 352 336C352 309.5 373.5 288 400 288C426.5 288 448 309.5 448 336zM400 320C391.2 320 384 327.2 384 336C384 344.8 391.2 352 400 352C408.8 352 416 344.8 416 336C416 327.2 408.8 320 400 320zM352 464C352 437.5 373.5 416 400 416C426.5 416 448 437.5 448 464C448 490.5 426.5 512 400 512C373.5 512 352 490.5 352 464zM400 480C408.8 480 416 472.8 416 464C416 455.2 408.8 448 400 448C391.2 448 384 455.2 384 464C384 472.8 391.2 480 400 480zM480 464C480 437.5 501.5 416 528 416C554.5 416 576 437.5 576 464C576 490.5 554.5 512 528 512C501.5 512 480 490.5 480 464zM528 480C536.8 480 544 472.8 544 464C544 455.2 536.8 448 528 448C519.2 448 512 455.2 512 464C512 472.8 519.2 480 528 480zM320 336C320 362.5 298.5 384 272 384C245.5 384 224 362.5 224 336C224 309.5 245.5 288 272 288C298.5 288 320 309.5 320 336zM272 320C263.2 320 256 327.2 256 336C256 344.8 263.2 352 272 352C280.8 352 288 344.8 288 336C288 327.2 280.8 320 272 320zM224 464C224 437.5 245.5 416 272 416C298.5 416 320 437.5 320 464C320 490.5 298.5 512 272 512C245.5 512 224 490.5 224 464zM272 480C280.8 480 288 472.8 288 464C288 455.2 280.8 448 272 448C263.2 448 256 455.2 256 464C256 472.8 263.2 480 272 480zM192 464C192 490.5 170.5 512 144 512C117.5 512 96 490.5 96 464C96 437.5 117.5 416 144 416C170.5 416 192 437.5 192 464zM144 448C135.2 448 128 455.2 128 464C128 472.8 135.2 480 144 480C152.8 480 160 472.8 160 464C160 455.2 152.8 448 144 448zM480 336C480 309.5 501.5 288 528 288C554.5 288 576 309.5 576 336C576 362.5 554.5 384 528 384C501.5 384 480 362.5 480 336zM528 352C536.8 352 544 344.8 544 336C544 327.2 536.8 320 528 320C519.2 320 512 327.2 512 336C512 344.8 519.2 352 528 352zM576 208C576 234.5 554.5 256 528 256C501.5 256 480 234.5 480 208C480 181.5 501.5 160 528 160C554.5 160 576 181.5 576 208zM528 192C519.2 192 512 199.2 512 208C512 216.8 519.2 224 528 224C536.8 224 544 216.8 544 208C544 199.2 536.8 192 528 192z"],
    "arrow-up-right-from-square": [448, 512, ["external-link"], "f08e", "M272 64C263.2 64 256 56.84 256 48C256 39.16 263.2 32 272 32H432C440.8 32 448 39.16 448 48V208C448 216.8 440.8 224 432 224C423.2 224 416 216.8 416 208V86.63L187.3 315.3C181.1 321.6 170.9 321.6 164.7 315.3C158.4 309.1 158.4 298.9 164.7 292.7L393.4 64H272zM0 112C0 85.49 21.49 64 48 64H176C184.8 64 192 71.16 192 80C192 88.84 184.8 96 176 96H48C39.16 96 32 103.2 32 112V432C32 440.8 39.16 448 48 448H368C376.8 448 384 440.8 384 432V304C384 295.2 391.2 288 400 288C408.8 288 416 295.2 416 304V432C416 458.5 394.5 480 368 480H48C21.49 480 0 458.5 0 432V112z"],
    "arrow-up-short-wide": [576, 512, ["sort-amount-up-alt"], "f885", "M304 336h192c8.844 0 16-7.156 16-16s-7.156-16-16-16h-192c-8.844 0-15.1 7.156-15.1 16S295.2 336 304 336zM304 208h128C440.8 208 448 200.8 448 192s-7.156-16-16-16h-128c-8.844 0-15.1 7.156-15.1 16S295.2 208 304 208zM304 80h64c8.844 0 16-7.156 16-16S376.8 48 368 48h-64c-8.844 0-15.1 7.156-15.1 16S295.2 80 304 80zM560 432h-256c-8.844 0-15.1 7.156-15.1 16S295.2 464 304 464h256c8.844 0 16-7.156 16-16S568.8 432 560 432zM139.3 36.69c-6.25-6.25-16.38-6.25-22.62 0l-96 96c-6.25 6.25-6.25 16.38 0 22.62s16.38 6.25 22.62 0L112 86.63V464c0 8.844 7.157 16 16 16S144 472.8 144 464V86.63l68.69 68.69C215.8 158.4 219.9 160 224 160s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L139.3 36.69z"],
    "arrow-up-small-big": [512, 512, ["sort-size-up-alt"], "f88f", "M336 192h63.1c26.4 0 48-21.6 48-48v-64c0-26.4-21.6-48-48-48H336C309.6 32 288 53.6 288 80v64C288 170.4 309.6 192 336 192zM320 80C320 71.33 327.3 64 336 64h63.1c8.674 0 16 7.328 16 16v64c0 8.672-7.326 16-16 16H336C327.3 160 320 152.7 320 144V80zM464 256h-128C309.5 256 288 277.5 288 304v128c0 26.51 21.49 48 48 48h128c26.51 0 48-21.49 48-48v-128C512 277.5 490.5 256 464 256zM480 432c0 8.824-7.178 16-16 16h-128c-8.822 0-16-7.176-16-16v-128C320 295.2 327.2 288 336 288h128C472.8 288 480 295.2 480 304V432zM139.3 36.69c-6.25-6.25-16.38-6.25-22.62 0l-96 96c-6.25 6.25-6.25 16.38 0 22.62s16.38 6.25 22.62 0L112 86.63V464C112 472.8 119.2 480 128 480s16-7.156 16-16V86.63l68.69 68.69C215.8 158.4 219.9 160 224 160s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L139.3 36.69z"],
    "arrow-up-square-triangle": [512, 512, ["sort-shapes-up-alt"], "f88b", "M336 223.1l96 .0059c26.51 0 48-21.49 48-48.01V80c0-26.51-21.49-48-48-48h-96c-26.51 0-48 21.49-48 48v95.99C288 202.5 309.5 223.1 336 223.1zM320 80c0-8.824 7.178-16 16-16h96c8.822 0 16 7.176 16 16v95.99c0 8.824-7.178 16-16 16h-96c-8.822 0-16-7.176-16-16V80zM139.3 36.69c-6.25-6.25-16.38-6.25-22.62 0l-96 96c-6.25 6.25-6.25 16.38 0 22.62s16.38 6.25 22.62 0L112 86.63V464C112 472.8 119.2 480 128 480s16-7.156 16-16V86.63l68.69 68.69C215.8 158.4 219.9 160 224 160s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L139.3 36.69zM492.1 438.9l-83.13-137.1c-5.562-9.188-15.28-13.76-24.97-13.76s-19.34 4.573-24.91 13.76l-83.25 137.1c-11 18.25 2.75 41.13 25 41.13h166.3C489.4 480 503.1 457.1 492.1 438.9zM307.8 448l76.29-125.6l76.18 125.6H307.8z"],
    "arrow-up-to-dotted-line": [448, 512, [], "e0a1", "M320 87.1c13.26 0 24-10.75 24-24s-10.74-24-24-24s-24 10.75-24 24S306.7 87.1 320 87.1zM224 87.1c13.26 0 24-10.75 24-24s-10.74-24-24-24s-24 10.75-24 24S210.7 87.1 224 87.1zM416 87.1c13.26 0 24-10.75 24-24s-10.74-24-24-24s-24 10.75-24 24S402.7 87.1 416 87.1zM128 87.1c13.26 0 24-10.75 24-24s-10.74-24-24-24s-24 10.75-24 24S114.7 87.1 128 87.1zM32 87.1c13.26 0 24-10.75 24-24s-10.74-24-24-24s-24 10.75-24 24S18.74 87.1 32 87.1zM235.3 148.7C232.2 145.6 228.1 144 224 144S215.8 145.6 212.7 148.7l-144 144c-6.25 6.25-6.25 16.38 0 22.62s16.38 6.25 22.62 0L208 198.6V464c0 8.844 7.156 16 16 16s16-7.156 16-16V198.6l116.7 116.7c6.25 6.25 16.38 6.25 22.62 0s6.25-16.38 0-22.62L235.3 148.7z"],
    "arrow-up-to-line": [384, 512, ["arrow-to-top"], "f341", "M203.3 116.7C200.2 113.6 196.1 112 192 112S183.8 113.6 180.7 116.7l-144 144c-6.25 6.25-6.25 16.38 0 22.62s16.38 6.25 22.62 0L176 166.6V464c0 8.844 7.156 16 16 16s16-7.156 16-16V166.6l116.7 116.7c6.25 6.25 16.38 6.25 22.62 0s6.25-16.38 0-22.62L203.3 116.7zM368 32h-352C7.156 32 0 39.16 0 48S7.156 64 16 64h352C376.8 64 384 56.84 384 48S376.8 32 368 32z"],
    "arrow-up-triangle-square": [512, 512, ["sort-shapes-up"], "f88a", "M492.1 182.9l-83.13-137.1C403.4 36.58 393.7 31.99 384 31.99s-19.34 4.591-24.91 13.78l-83.25 137.1c-11 18.25 2.75 41.12 25 41.12h166.3C489.4 224 503.1 201.1 492.1 182.9zM307.8 192l76.29-125.6L460.2 192H307.8zM432 288l-96-.0107c-26.51 0-48 21.49-48 48v95.99c0 26.51 21.49 48 48 48l96 .0098c26.51 0 48-21.5 48-48.01v-95.99C480 309.5 458.5 288 432 288zM448 431.1c0 8.824-7.178 16-16 16h-96c-8.822 0-16-7.176-16-16v-95.99c0-8.824 7.178-16 16-16h96c8.822 0 16 7.176 16 16V431.1zM139.3 36.69c-6.25-6.25-16.38-6.25-22.62 0l-96 96c-6.25 6.25-6.25 16.38 0 22.62s16.38 6.25 22.62 0L112 86.63V464C112 472.8 119.2 480 128 480s16-7.156 16-16V86.63l68.69 68.69C215.8 158.4 219.9 160 224 160s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L139.3 36.69z"],
    "arrow-up-wide-short": [576, 512, ["sort-amount-up"], "f161", "M368 432h-64c-8.844 0-15.1 7.156-15.1 16S295.2 464 304 464h64c8.844 0 16-7.156 16-16S376.8 432 368 432zM432 304h-128c-8.844 0-15.1 7.156-15.1 16S295.2 336 304 336h128c8.844 0 16-7.156 16-16S440.8 304 432 304zM560 48h-256c-8.844 0-15.1 7.156-15.1 16S295.2 80 304 80h256C568.8 80 576 72.84 576 64S568.8 48 560 48zM496 176h-192c-8.844 0-15.1 7.156-15.1 16S295.2 208 304 208h192C504.8 208 512 200.8 512 192S504.8 176 496 176zM139.3 36.69c-6.25-6.25-16.38-6.25-22.62 0l-96 96c-6.25 6.25-6.25 16.38 0 22.62s16.38 6.25 22.62 0L112 86.63V464c0 8.844 7.157 16 16 16S144 472.8 144 464V86.63l68.69 68.69C215.8 158.4 219.9 160 224 160s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L139.3 36.69z"],
    "arrow-up-z-a": [512, 512, ["sort-alpha-up-alt"], "f882", "M478.3 456.8l-79.99-159.1c-5.438-10.81-23.19-10.81-28.62 0l-79.99 159.1c-3.953 7.902-.75 17.5 7.156 21.46c7.906 4 17.51 .7187 21.47-7.152l11.58-23.15h108.2l11.58 23.15c3.094 6.152 12.08 11.88 21.47 7.152C479.1 474.3 482.3 464.7 478.3 456.8zM345.9 415.9L384 339.7l38.11 76.21H345.9zM320 63.1h94.7l-107.2 133.1c-3.842 4.812-4.576 11.38-1.92 16.94c2.67 5.531 8.261 9.078 14.42 9.078h127.1c8.844 0 15.1-7.172 15.1-16.02s-7.154-16-15.1-16h-94.7l107.2-133.1c3.842-4.812 4.576-11.37 1.92-16.93C459.7 35.53 454.2 32 447.1 32h-127.1c-8.844 0-15.1 7.156-15.1 16C304 56.84 311.2 63.1 320 63.1zM139.3 36.69c-6.25-6.25-16.38-6.25-22.62 0l-96 96c-6.25 6.25-6.25 16.38 0 22.62s16.38 6.25 22.62 0L112 86.63V464c0 8.844 7.157 16 16 16S144 472.8 144 464V86.63l68.69 68.69C215.8 158.4 219.9 160 224 160s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L139.3 36.69z"],
    "arrows-cross": [448, 512, [], "e0a2", "M429.3 288.4C421.5 289.7 416 297.1 416 305v120.5L291.9 301.4c-6.248-6.25-16.38-6.352-22.63-.1016s-6.246 16.48 .002 22.73l124.1 124.1H272.8c-7.969 0-15.35 5.453-16.62 13.32C254.6 471.5 262.3 480.2 272 480.2h160c8.836 0 16-7.164 16-16v-160C448 294.5 439.4 286.8 429.3 288.4zM156.1 210.9C162.4 217.2 172.5 217.1 178.8 210.8s6.247-16.28-.001-22.53L27.91 37.48c-5.635-5.637-14.71-7-21.17-2.34C-1.5 41.08-2.184 52.64 4.688 59.51L156.1 210.9zM432 32h-160C263.2 32 256 39.16 256 48S263.2 64 272 64h121.4L4.688 452.7c-6.25 6.25-6.25 16.38 0 22.62s16.38 6.25 22.62 0L416 86.63V208C416 216.8 423.2 224 432 224S448 216.8 448 208v-160C448 39.16 440.8 32 432 32z"],
    "arrows-down-to-line": [576, 512, [], "e4b8", "M560 448C568.8 448 576 455.2 576 464C576 472.8 568.8 480 560 480H16C7.164 480 0 472.8 0 464C0 455.2 7.164 448 16 448H560zM459.3 395.3C453.1 401.6 442.9 401.6 436.7 395.3L324.7 283.3C318.4 277.1 318.4 266.9 324.7 260.7C330.9 254.4 341.1 254.4 347.3 260.7L432 345.4V48C432 39.16 439.2 32 448 32C456.8 32 464 39.16 464 48V345.4L548.7 260.7C554.9 254.4 565.1 254.4 571.3 260.7C577.6 266.9 577.6 277.1 571.3 283.3L459.3 395.3zM251.3 283.3L139.3 395.3C133.1 401.6 122.9 401.6 116.7 395.3L4.686 283.3C-1.562 277.1-1.562 266.9 4.686 260.7C10.93 254.4 21.06 254.4 27.31 260.7L111.1 345.4V48C111.1 39.16 119.2 32 127.1 32C136.8 32 143.1 39.16 143.1 48V345.4L228.7 260.7C234.9 254.4 245.1 254.4 251.3 260.7C257.6 266.9 257.6 277.1 251.3 283.3z"],
    "arrows-down-to-people": [640, 512, [], "e4b9", "M128 16C128 7.164 135.2 0 144 0C152.8 0 160 7.164 160 16V145.4L196.7 108.7C202.9 102.4 213.1 102.4 219.3 108.7C225.6 114.9 225.6 125.1 219.3 131.3L155.3 195.3C149.1 201.6 138.9 201.6 132.7 195.3L68.69 131.3C62.44 125.1 62.44 114.9 68.69 108.7C74.93 102.4 85.07 102.4 91.31 108.7L128 145.4L128 16zM443.3 108.7L480 145.4V16C480 7.164 487.2 0 496 0C504.8 0 512 7.164 512 16V145.4L548.7 108.7C554.9 102.4 565.1 102.4 571.3 108.7C577.6 114.9 577.6 125.1 571.3 131.3L507.3 195.3C501.1 201.6 490.9 201.6 484.7 195.3L420.7 131.3C414.4 125.1 414.4 114.9 420.7 108.7C426.9 102.4 437.1 102.4 443.3 108.7H443.3zM368 192C368 218.5 346.5 240 320 240C293.5 240 272 218.5 272 192C272 165.5 293.5 144 320 144C346.5 144 368 165.5 368 192zM320 176C311.2 176 304 183.2 304 192C304 200.8 311.2 208 320 208C328.8 208 336 200.8 336 192C336 183.2 328.8 176 320 176zM418.4 384.4L376 315.5V400C376 417.7 361.7 432 344 432H296C278.3 432 264 417.7 264 400V315.5L221.6 384.4C221.5 384.7 221.3 384.9 221.1 385.2C222.3 386.8 223.3 388.4 224.4 390.1L269.6 463.6C274.3 471.1 271.9 480.1 264.4 485.6C256.9 490.3 247 487.9 242.4 480.4L200 411.5V480C200 497.7 185.7 512 168 512H120C102.3 512 88 497.7 88 480V411.5L45.63 480.4C40.1 487.9 31.14 490.3 23.62 485.6C16.09 480.1 13.74 471.1 18.38 463.6L63.63 390.1C78.19 366.4 103.1 352 131.8 352H156.2C170.9 352 184.9 355.1 197.1 363.2L239.6 294.1C254.2 270.4 279.1 256 307.8 256H332.2C360 256 385.8 270.4 400.4 294.1L442.9 363.2C455.1 355.1 469.2 352 483.8 352H508.2C536 352 561.8 366.4 576.4 390.1L621.6 463.6C626.3 471.1 623.9 480.1 616.4 485.6C608.9 490.3 599 487.9 594.4 480.4L552 411.5V480C552 497.7 537.7 512 520 512H472C454.3 512 440 497.7 440 480V411.5L397.6 480.4C392.1 487.9 383.1 490.3 375.6 485.6C368.1 480.1 365.7 471.1 370.4 463.6L415.6 390.1C416.7 388.4 417.8 386.8 418.9 385.2C418.7 384.9 418.5 384.7 418.4 384.4H418.4zM344 400V289.5C340.2 288.5 336.3 288 332.2 288H307.8C303.7 288 299.8 288.5 296 289.5V400H344zM120 385.5V480H168V385.5C164.2 384.5 160.3 384 156.2 384H131.8C127.7 384 123.8 384.5 120 385.5zM520 480V385.5C516.2 384.5 512.3 384 508.2 384H483.8C479.8 384 475.8 384.5 472 385.5V480H520zM96 288C96 261.5 117.5 240 144 240C170.5 240 192 261.5 192 288C192 314.5 170.5 336 144 336C117.5 336 96 314.5 96 288zM144 304C152.8 304 160 296.8 160 288C160 279.2 152.8 272 144 272C135.2 272 128 279.2 128 288C128 296.8 135.2 304 144 304zM544 288C544 314.5 522.5 336 496 336C469.5 336 448 314.5 448 288C448 261.5 469.5 240 496 240C522.5 240 544 261.5 544 288zM496 272C487.2 272 480 279.2 480 288C480 296.8 487.2 304 496 304C504.8 304 512 296.8 512 288C512 279.2 504.8 272 496 272V272z"],
    "arrows-from-dotted-line": [448, 512, [], "e0a3", "M32 231.1c-13.26 0-24 10.74-24 24c0 13.25 10.74 24 24 24s24-10.75 24-24C56 242.7 45.26 231.1 32 231.1zM200 255.1c0 13.25 10.74 24 24 24s24-10.75 24-24c0-13.26-10.74-24-24-24S200 242.7 200 255.1zM152 255.1c0-13.26-10.74-24-24-24S104 242.7 104 255.1c0 13.25 10.74 24 24 24S152 269.2 152 255.1zM416 231.1c-13.26 0-24 10.74-24 24c0 13.25 10.74 24 24 24s24-10.75 24-24C440 242.7 429.3 231.1 416 231.1zM320 231.1c-13.26 0-24 10.74-24 24c0 13.25 10.74 24 24 24s24-10.75 24-24C344 242.7 333.3 231.1 320 231.1zM144 111.1c4.094 0 8.188-1.563 11.31-4.688L208 54.61v121.4c0 8.844 7.156 15.1 16 15.1s16-7.151 16-15.1V54.61l52.69 52.69C295.8 110.4 299.9 111.1 304 111.1c9.139 0 16-7.48 16-16.01c0-4.094-1.562-8.181-4.688-11.31L235.3 4.69C231.3 .6451 226.5 0 223.1 0S216.7 .6451 212.7 4.69L132.7 84.67C129.6 87.8 128 91.89 128 95.98C128 104.5 134.9 111.1 144 111.1zM304 399.1c-4.094 0-8.188 1.563-11.31 4.688L240 457.4v-121.4c0-8.844-7.156-16-16-16s-16 7.16-16 16v121.4L155.3 404.7C152.2 401.6 148.1 399.1 144 399.1c-9.139 0-16 7.471-16 15.1c0 4.094 1.562 8.19 4.688 11.31l79.98 79.98C214.4 509 218.3 512 224 512s9.609-2.98 11.33-4.707l79.98-79.98C318.4 424.2 320 420.1 320 415.1C320 407.5 313.1 399.1 304 399.1z"],
    "arrows-from-line": [448, 512, [], "e0a4", "M144 111.1c4.094 0 8.188-1.562 11.31-4.688L208 54.61v121.4c0 8.844 7.156 15.1 16 15.1s16-7.152 16-15.1V54.61l52.69 52.69C295.8 110.4 299.9 111.1 304 111.1c9.139 0 16-7.478 16-16.01c0-4.094-1.562-8.182-4.688-11.31L235.3 4.688C231.3 .6445 226.5 0 223.1 0S216.7 .6445 212.7 4.688L132.7 84.67C129.6 87.8 128 91.89 128 95.98C128 104.5 134.9 111.1 144 111.1zM304 399.1c-4.094 0-8.188 1.562-11.31 4.688L240 457.4v-121.4c0-8.844-7.156-16-16-16s-16 7.159-16 16v121.4l-52.69-52.69C152.2 401.6 148.1 399.1 144 399.1c-9.139 0-16 7.471-16 15.1c0 4.094 1.562 8.189 4.688 11.31l79.98 79.98C214.4 509 218.3 512 224 512s9.609-2.98 11.33-4.707l79.98-79.98C318.4 424.2 320 420.1 320 415.1C320 407.5 313.1 399.1 304 399.1zM432 240h-416C7.156 240 0 247.1 0 255.1S7.156 272 16 272h416c8.844 0 16-7.165 16-16.01S440.8 240 432 240z"],
    "arrows-left-right": [512, 512, ["arrows-h"], "f07e", "M507.3 267.3l-112 112C392.2 382.4 388.1 384 384 384s-8.188-1.562-11.31-4.688c-6.25-6.25-6.25-16.38 0-22.62L457.4 272H54.63l84.69 84.69c6.25 6.25 6.25 16.38 0 22.62C136.2 382.4 132.1 384 128 384s-8.188-1.562-11.31-4.688l-112-112c-6.25-6.25-6.25-16.38 0-22.62l112-112c6.25-6.25 16.38-6.25 22.62 0s6.25 16.38 0 22.62L54.63 240h402.8l-84.69-84.69c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0l112 112C513.6 250.9 513.6 261.1 507.3 267.3z"],
    "arrows-left-right-to-line": [640, 512, [], "e4ba", "M16 64C24.84 64 32 71.16 32 80V432C32 440.8 24.84 448 16 448C7.164 448 0 440.8 0 432V80C0 71.16 7.164 64 16 64zM219.3 148.7C225.6 154.9 225.6 165.1 219.3 171.3L150.6 240H489.4L420.7 171.3C414.4 165.1 414.4 154.9 420.7 148.7C426.9 142.4 437.1 142.4 443.3 148.7L539.3 244.7C545.6 250.9 545.6 261.1 539.3 267.3L443.3 363.3C437.1 369.6 426.9 369.6 420.7 363.3C414.4 357.1 414.4 346.9 420.7 340.7L489.4 272H150.6L219.3 340.7C225.6 346.9 225.6 357.1 219.3 363.3C213.1 369.6 202.9 369.6 196.7 363.3L100.7 267.3C94.44 261.1 94.44 250.9 100.7 244.7L196.7 148.7C202.9 142.4 213.1 142.4 219.3 148.7H219.3zM640 432C640 440.8 632.8 448 624 448C615.2 448 608 440.8 608 432V80C608 71.16 615.2 64 624 64C632.8 64 640 71.16 640 80V432z"],
    "arrows-maximize": [448, 512, ["expand-arrows"], "f31d", "M416 176V86.63L246.6 256L416 425.4V336c0-8.844 7.156-16 16-16s16 7.156 16 16v128c0 8.844-7.156 16-16 16h-128c-8.844 0-16-7.156-16-16s7.156-16 16-16h89.38L224 278.6L54.63 448H144C152.8 448 160 455.2 160 464S152.8 480 144 480h-128C7.156 480 0 472.8 0 464v-128C0 327.2 7.156 320 16 320S32 327.2 32 336v89.38L201.4 256L32 86.63V176C32 184.8 24.84 192 16 192S0 184.8 0 176v-128C0 39.16 7.156 32 16 32h128C152.8 32 160 39.16 160 48S152.8 64 144 64H54.63L224 233.4L393.4 64H304C295.2 64 288 56.84 288 48S295.2 32 304 32h128C440.8 32 448 39.16 448 48v128C448 184.8 440.8 192 432 192S416 184.8 416 176z"],
    "arrows-minimize": [512, 512, ["compress-arrows"], "e0a5", "M208 288h-160C39.16 288 32 295.2 32 304S39.16 320 48 320h121.4l-148.7 148.7c-6.25 6.25-6.25 16.38 0 22.62s16.38 6.25 22.62 0L192 342.6V464C192 472.8 199.2 480 208 480S224 472.8 224 464v-160C224 295.2 216.8 288 208 288zM304 224h160C472.8 224 480 216.8 480 208S472.8 192 464 192h-121.4l148.7-148.7c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0L320 169.4V48C320 39.16 312.8 32 304 32S288 39.16 288 48v160C288 216.8 295.2 224 304 224zM342.6 320H464c8.844 0 16-7.156 16-16S472.8 288 464 288h-160C295.2 288 288 295.2 288 304v160c0 8.844 7.156 16 16 16s16-7.156 16-16v-121.4l148.7 148.7c6.25 6.25 16.38 6.25 22.62 0s6.25-16.38 0-22.62L342.6 320zM208 32C199.2 32 192 39.16 192 48v121.4L43.31 20.69c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L169.4 192H48C39.16 192 32 199.2 32 208S39.16 224 48 224h160C216.8 224 224 216.8 224 208v-160C224 39.16 216.8 32 208 32z"],
    "arrows-repeat": [512, 512, ["repeat-alt"], "f364", "M176 112h211.8l-62.05 51.72c-6.781 5.656-7.703 15.75-2.047 22.53C326.9 190 331.4 192 336 192c3.609 0 7.234-1.219 10.23-3.719l96-80C445.9 105.3 448 100.7 448 95.1s-2.109-9.248-5.75-12.28l-96-80c-6.797-5.688-16.89-4.719-22.55 2.031c-5.656 6.781-4.734 16.88 2.047 22.53L387.8 80H176C78.95 80 0 158.1 0 255.1C0 264.8 7.156 272 16 272S32.01 264.8 32.01 256C32.01 176.6 96.59 112 176 112zM496 240c-8.844 0-16.01 7.156-16.01 16c0 79.41-64.59 144-143.1 144H124.2l62.05-51.72c6.781-5.656 7.703-15.75 2.047-22.53C182.7 319 172.6 318.1 165.8 323.7l-96 80C66.11 406.8 64 411.2 64 415.1s2.109 9.25 5.75 12.28l96 80C168.8 510.8 172.4 512 175.1 512c4.594 0 9.141-1.969 12.31-5.75c5.656-6.781 4.734-16.88-2.047-22.53L124.2 432H336c97.05 0 176-78.97 176-176C512 247.2 504.8 240 496 240z"],
    "arrows-repeat-1": [512, 512, ["repeat-1-alt"], "f366", "M176 112h211.8l-62.05 51.72c-3.794 3.164-5.754 7.718-5.754 12.3C319.1 186.8 329.3 192 336 192c3.609 0 7.234-1.219 10.23-3.719l96-80C445.9 105.3 448 100.7 448 95.1s-2.109-9.248-5.75-12.28l-96-80c-2.99-2.502-6.619-3.716-10.23-3.716c-6.754 0-16.03 5.286-16.03 15.98c0 4.585 1.96 9.139 5.754 12.3L387.8 80H176C78.95 80 0 158.1 0 255.1C0 264.8 7.156 272 16 272S32.01 264.8 32.01 256C32.01 176.6 96.59 112 176 112zM272 320c8.844 0 16-7.156 16-16v-96C288 199.2 280.8 192 272 192h-32C231.2 192 224 199.2 224 208S231.2 224 240 224H256v80C256 312.8 263.2 320 272 320zM496 240c-8.844 0-16.01 7.156-16.01 16c0 79.41-64.59 144-143.1 144H124.2l62.05-51.72c3.794-3.164 5.754-7.718 5.754-12.3c0-10.72-9.208-15.96-15.1-15.96c-3.611 0-7.249 1.212-10.26 3.703l-96 80C66.11 406.8 64 411.3 64 416s2.109 9.25 5.75 12.28l96 80C168.8 510.8 172.4 512 175.1 512c6.715 0 16.02-5.265 16.02-15.98c0-4.585-1.96-9.139-5.754-12.3L124.2 432H336c97.05 0 176-78.97 176-176C512 247.2 504.8 240 496 240z"],
    "arrows-retweet": [640, 512, ["retweet-alt"], "f361", "M336 368h-192V118.6l84.69 84.69C231.8 206.4 235.9 208 240 208s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62l-112-112c-6.25-6.25-16.38-6.25-22.62 0l-112 112c-6.25 6.25-6.25 16.38 0 22.62s16.38 6.25 22.62 0L112 118.6V384c0 8.844 7.156 16 16 16h208c8.844 0 16-7.156 16-16S344.8 368 336 368zM635.3 308.7c-6.25-6.25-16.38-6.25-22.62 0L528 393.4V128c0-8.844-7.156-16-16-16H304C295.2 112 288 119.2 288 128s7.156 16 16 16h192v249.4l-84.69-84.69c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l112 112C503.8 446.4 507.9 448 512 448s8.187-1.562 11.31-4.688l112-112C641.6 325.1 641.6 314.9 635.3 308.7z"],
    "arrows-rotate": [512, 512, [128472, "refresh", "sync"], "f021", "M464 32C455.2 32 448 39.16 448 48v129.3C416.2 99.72 340.6 48 256 48c-102 0-188.3 72.91-205.1 173.3C49.42 230.1 55.3 238.3 64.02 239.8C64.91 239.9 65.8 240 66.67 240c7.672 0 14.45-5.531 15.77-13.34C96.69 141.7 169.7 80 256 80c72.49 0 137.3 44.88 163.6 112H304C295.2 192 288 199.2 288 208S295.2 224 304 224h160C472.8 224 480 216.8 480 208v-160C480 39.16 472.8 32 464 32zM447.1 272.2c-8.766-1.562-16.97 4.406-18.42 13.12C415.3 370.3 342.3 432 255.1 432c-72.49 0-137.3-44.88-163.6-112H208C216.8 320 224 312.8 224 304S216.8 288 208 288h-160C39.16 288 32 295.2 32 304v160C32 472.8 39.16 480 48 480S64 472.8 64 464v-129.3C95.84 412.3 171.4 464 256 464c101.1 0 188.3-72.91 205.1-173.3C462.6 281.9 456.7 273.7 447.1 272.2z"],
    "arrows-spin": [512, 512, [], "e4bb", "M257.1 79.53C245.8 79.53 234.7 80.6 223.1 82.65V50.16C234.8 48.43 245.9 47.53 257.1 47.53C310.9 47.53 359.9 67.94 396.8 101.4L423.9 74.35C439 59.23 464.9 69.93 464.9 91.32V177.4C464.9 186.2 457.7 193.4 448.9 193.4H362.8C341.5 193.4 330.8 167.5 345.9 152.4L374.2 124.1C343.1 96.37 302.1 79.53 257.1 79.53V79.53zM432.9 161.4V110.6L382.2 161.4H432.9zM81.14 255.5C81.14 266.6 82.16 277.5 84.13 288H51.66C49.1 277.4 49.14 266.6 49.14 255.5C49.14 202.6 68.93 154.2 101.5 117.5L74.34 90.35C59.22 75.23 69.93 49.38 91.31 49.38H177.4C186.2 49.38 193.4 56.54 193.4 65.38V151.4C193.4 172.8 167.5 183.5 152.4 168.4L124.2 140.2C97.37 171.1 81.14 211.4 81.14 255.5H81.14zM161.4 81.38H110.6L161.4 132.1V81.38zM433.1 255.5C433.1 244.8 432.2 234.2 430.3 224H462.8C464.3 234.3 465.1 244.8 465.1 255.5C465.1 309.3 444.7 358.3 411.2 395.2L439.9 423.9C455 439.1 444.3 464.9 422.1 464.9H336.9C328.1 464.9 320.9 457.7 320.9 448.9V362.8C320.9 341.5 346.8 330.8 361.9 345.9L388.6 372.6C416.3 341.5 433.1 300.5 433.1 255.5H433.1zM403.6 432.9L352.9 382.2V432.9H403.6zM288 461.3C277.9 462.8 267.6 463.5 257.1 463.5C204.2 463.5 155.8 443.7 119.1 411.2L90.34 439.9C75.22 455.1 49.37 444.3 49.37 422.1V336.9C49.37 328.1 56.54 320.9 65.37 320.9H151.4C172.8 320.9 183.5 346.8 168.4 361.9L141.8 388.5C172.7 415.3 213 431.5 257.1 431.5C267.7 431.5 277.1 430.6 288 428.8V461.3zM81.37 403.7L132.1 352.9H81.37V403.7z"],
    "arrows-split-up-and-left": [512, 512, [], "e4bc", "M235.3 123.3C229.1 129.6 218.9 129.6 212.7 123.3C206.4 117.1 206.4 106.9 212.7 100.7L308.7 4.686C314.9-1.562 325.1-1.562 331.3 4.686L427.3 100.7C433.6 106.9 433.6 117.1 427.3 123.3C421.1 129.6 410.9 129.6 404.7 123.3L336 54.63V400C336 444.2 371.8 480 416 480H496C504.8 480 512 487.2 512 496C512 504.8 504.8 512 496 512H416C354.1 512 304 461.9 304 400V384C304 339.8 268.2 304 224 304H54.63L123.3 372.7C129.6 378.9 129.6 389.1 123.3 395.3C117.1 401.6 106.9 401.6 100.7 395.3L4.686 299.3C1.686 296.3 0 292.2 0 288C0 283.8 1.686 279.7 4.686 276.7L100.7 180.7C106.9 174.4 117.1 174.4 123.3 180.7C129.6 186.9 129.6 197.1 123.3 203.3L54.63 272H224C255.3 272 283.7 284.9 304 305.6V54.63L235.3 123.3z"],
    "arrows-to-circle": [640, 512, [], "e4bd", "M160 137.4V80C160 71.16 167.2 64 176 64C184.8 64 192 71.16 192 80V176C192 184.8 184.8 192 176 192H80C71.16 192 64 184.8 64 176C64 167.2 71.16 160 80 160H137.4L4.686 27.31C-1.562 21.07-1.562 10.93 4.686 4.686C10.93-1.562 21.07-1.562 27.31 4.686L160 137.4zM224 256C224 202.1 266.1 160 320 160C373 160 416 202.1 416 256C416 309 373 352 320 352C266.1 352 224 309 224 256zM320 320C355.3 320 384 291.3 384 256C384 220.7 355.3 192 320 192C284.7 192 256 220.7 256 256C256 291.3 284.7 320 320 320zM480 80V137.4L612.7 4.686C618.9-1.562 629.1-1.562 635.3 4.686C641.6 10.93 641.6 21.07 635.3 27.31L502.6 160H560C568.8 160 576 167.2 576 176C576 184.8 568.8 192 560 192H464C455.2 192 448 184.8 448 176V80C448 71.16 455.2 64 464 64C472.8 64 480 71.16 480 80V80zM160 432V374.6L27.31 507.3C21.07 513.6 10.93 513.6 4.686 507.3C-1.562 501.1-1.562 490.9 4.686 484.7L137.4 352H80C71.16 352 64 344.8 64 336C64 327.2 71.16 320 80 320H176C184.8 320 192 327.2 192 336V432C192 440.8 184.8 448 176 448C167.2 448 160 440.8 160 432zM464 448C455.2 448 448 440.8 448 432V336C448 327.2 455.2 320 464 320H560C568.8 320 576 327.2 576 336C576 344.8 568.8 352 560 352H502.6L635.3 484.7C641.6 490.9 641.6 501.1 635.3 507.3C629.1 513.6 618.9 513.6 612.7 507.3L480 374.6V432C480 440.8 472.8 448 464 448V448z"],
    "arrows-to-dot": [512, 512, [], "e4be", "M272 137.4L324.7 84.69C330.9 78.44 341.1 78.44 347.3 84.69C353.6 90.93 353.6 101.1 347.3 107.3L267.3 187.3C261.1 193.6 250.9 193.6 244.7 187.3L164.7 107.3C158.4 101.1 158.4 90.93 164.7 84.69C170.9 78.44 181.1 78.44 187.3 84.69L240 137.4V16C240 7.164 247.2 0 256 0C264.8 0 272 7.164 272 16L272 137.4zM288 256C288 273.7 273.7 288 256 288C238.3 288 224 273.7 224 256C224 238.3 238.3 224 256 224C273.7 224 288 238.3 288 256zM324.7 427.3L272 374.6V496C272 504.8 264.8 512 256 512C247.2 512 240 504.8 240 496V374.6L187.3 427.3C181.1 433.6 170.9 433.6 164.7 427.3C158.4 421.1 158.4 410.9 164.7 404.7L244.7 324.7C250.9 318.4 261.1 318.4 267.3 324.7L347.3 404.7C353.6 410.9 353.6 421.1 347.3 427.3C341.1 433.6 330.9 433.6 324.7 427.3L324.7 427.3zM84.69 164.7C90.94 158.4 101.1 158.4 107.3 164.7L187.3 244.7C193.6 250.9 193.6 261.1 187.3 267.3L107.3 347.3C101.1 353.6 90.94 353.6 84.69 347.3C78.44 341.1 78.44 330.9 84.69 324.7L137.4 271.1H16C7.165 271.1 .0019 264.8 .0019 255.1C.0019 247.2 7.165 239.1 16 239.1H137.4L84.69 187.3C78.44 181.1 78.44 170.9 84.69 164.7L84.69 164.7zM427.3 187.3L374.6 239.1H496C504.8 239.1 512 247.2 512 255.1C512 264.8 504.8 271.1 496 271.1H374.6L427.3 324.7C433.6 330.9 433.6 341.1 427.3 347.3C421.1 353.6 410.9 353.6 404.7 347.3L324.7 267.3C318.4 261.1 318.4 250.9 324.7 244.7L404.7 164.7C410.9 158.4 421.1 158.4 427.3 164.7C433.6 170.9 433.6 181.1 427.3 187.3L427.3 187.3z"],
    "arrows-to-dotted-line": [448, 512, [], "e0a6", "M200 256c0 13.25 10.74 24 24 24S248 269.3 248 256c0-13.26-10.74-24-24-24S200 242.7 200 256zM152 256c0-13.26-10.74-24-24-24S104 242.7 104 256c0 13.25 10.74 24 24 24S152 269.3 152 256zM32 232C18.74 232 8 242.7 8 256c0 13.25 10.74 24 24 24S56 269.3 56 256C56 242.7 45.26 232 32 232zM416 232c-13.26 0-24 10.74-24 24c0 13.25 10.74 24 24 24S440 269.3 440 256C440 242.7 429.3 232 416 232zM320 232c-13.26 0-24 10.74-24 24c0 13.25 10.74 24 24 24S344 269.3 344 256C344 242.7 333.3 232 320 232zM212.7 187.3C214.4 189 218.3 192 224 192s9.609-2.98 11.33-4.707l79.98-79.98C318.4 104.2 320 100.1 320 96c0-8.527-6.865-16-16-16c-4.094 0-8.188 1.562-11.31 4.688L240 137.4V16C240 7.156 232.8 0 224 0S208 7.156 208 16v121.4L155.3 84.69C152.2 81.56 148.1 80 144 80C134.9 80 128 87.47 128 96c0 4.094 1.562 8.188 4.688 11.31L212.7 187.3zM235.3 324.7C231.3 320.7 226.5 320 224 320s-7.298 .6529-11.33 4.697l-79.98 79.98C129.6 407.8 128 411.9 128 416c0 8.527 6.865 16 16 16c4.094 0 8.188-1.562 11.31-4.688L208 374.6V496c0 8.844 7.156 16 16 16s16-7.156 16-16v-121.4l52.69 52.69C295.8 430.4 299.9 432 304 432c9.139 0 16-7.473 16-16c0-4.094-1.562-8.188-4.688-11.31L235.3 324.7z"],
    "arrows-to-eye": [640, 512, [], "e4bf", "M127.1 105.4V48C127.1 39.16 135.2 32 143.1 32C152.8 32 159.1 39.16 159.1 48V144C159.1 152.8 152.8 160 143.1 160H47.1C39.16 160 31.1 152.8 31.1 144C31.1 135.2 39.16 128 47.1 128H105.4L20.68 43.31C14.44 37.07 14.44 26.93 20.68 20.69C26.93 14.44 37.06 14.44 43.31 20.69L127.1 105.4zM596.7 20.69C602.9 14.44 613.1 14.44 619.3 20.69C625.6 26.93 625.6 37.07 619.3 43.31L534.6 128H591.1C600.8 128 607.1 135.2 607.1 144C607.1 152.8 600.8 160 591.1 160H495.1C487.2 160 479.1 152.8 479.1 144V48C479.1 39.16 487.2 32 495.1 32C504.8 32 511.1 39.16 511.1 48V105.4L596.7 20.69zM400 256C400 300.2 364.2 336 319.1 336C275.8 336 239.1 300.2 239.1 256C239.1 211.8 275.8 176 319.1 176C364.2 176 400 211.8 400 256zM319.1 208C293.5 208 271.1 229.5 271.1 256C271.1 282.5 293.5 304 319.1 304C346.5 304 368 282.5 368 256C368 229.5 346.5 208 319.1 208zM506.5 243.9C510.3 251.6 510.3 260.4 506.5 268.1C481.4 318.4 417.3 400 319.1 400C222.7 400 158.6 318.4 133.5 268.1C129.7 260.4 129.7 251.6 133.5 243.9C158.6 193.6 222.7 112 319.1 112C417.3 112 481.4 193.6 506.5 243.9V243.9zM476.7 256C452.6 209 397.3 144 319.1 144C242.7 144 187.4 209 163.3 256C187.4 302.1 242.7 368 319.1 368C397.3 368 452.6 302.1 476.7 256zM596.7 491.3L511.1 406.6V464C511.1 472.8 504.8 480 495.1 480C487.2 480 479.1 472.8 479.1 464V368C479.1 359.2 487.2 352 495.1 352H591.1C600.8 352 607.1 359.2 607.1 368C607.1 376.8 600.8 384 591.1 384H534.6L619.3 468.7C625.6 474.9 625.6 485.1 619.3 491.3C613.1 497.6 602.9 497.6 596.7 491.3V491.3zM105.4 384H47.1C39.16 384 31.1 376.8 31.1 368C31.1 359.2 39.16 352 47.1 352H143.1C152.8 352 159.1 359.2 159.1 368V464C159.1 472.8 152.8 480 143.1 480C135.2 480 127.1 472.8 127.1 464V406.6L43.31 491.3C37.06 497.6 26.93 497.6 20.68 491.3C14.44 485.1 14.44 474.9 20.68 468.7L105.4 384z"],
    "arrows-to-line": [448, 512, [], "e0a7", "M235.3 324.7C231.3 320.7 226.5 320 224 320s-7.299 .6547-11.33 4.698l-79.98 79.98C129.6 407.8 128 411.9 128 416c0 8.523 6.865 16 16 16c4.094 0 8.188-1.562 11.31-4.688L208 374.6V496c0 8.844 7.156 16 16 16s16-7.156 16-16v-121.4l52.69 52.69C295.8 430.4 299.9 432 304 432c9.139 0 16-7.477 16-16c0-4.094-1.562-8.188-4.688-11.31L235.3 324.7zM212.7 187.3C214.4 189 218.3 192 224 192s9.609-2.98 11.33-4.707l79.98-79.98C318.4 104.2 320 100.1 320 96c0-8.527-6.865-16-16-16c-4.094 0-8.188 1.562-11.31 4.688L240 137.4V16C240 7.156 232.8 0 224 0S208 7.156 208 16v121.4L155.3 84.69C152.2 81.56 148.1 80 144 80C134.9 80 128 87.47 128 96c0 4.094 1.562 8.188 4.688 11.31L212.7 187.3zM432 240h-416C7.156 240 0 247.1 0 255.1S7.156 272 16 272h416c8.844 0 16-7.165 16-16.01S440.8 240 432 240z"],
    "arrows-turn-right": [448, 512, [], "e4c0", "M291.1 5.464C297.8-1.186 307.9-1.86 314.5 3.959L442.5 115.1C446 118.1 448 123.4 448 128C448 132.6 446 137 442.5 140L314.5 252C307.9 257.9 297.8 257.2 291.1 250.5C286.1 243.9 286.8 233.8 293.5 227.1L389.4 143.1H112C67.82 143.1 32 179.8 32 223.1V271.1C32 280.8 24.84 287.1 16 287.1C7.164 287.1 .0006 280.8 .0006 271.1V223.1C.0006 162.1 50.14 111.1 112 111.1H389.4L293.5 28.04C286.8 22.22 286.1 12.11 291.1 5.464V5.464zM195.1 261.5C201.8 254.8 211.9 254.1 218.5 259.1L346.5 371.1C350 374.1 352 379.4 352 384C352 388.6 350 393 346.5 396L218.5 508C211.9 513.9 201.8 513.2 195.1 506.5C190.1 499.9 190.8 489.8 197.5 483.1L293.4 400H80C53.49 400 32 421.5 32 448V496C32 504.8 24.84 512 16 512C7.164 512 0 504.8 0 496V448C0 403.8 35.82 368 80 368H293.4L197.5 284C190.8 278.2 190.1 268.1 195.1 261.5L195.1 261.5z"],
    "arrows-turn-to-dots": [512, 512, [], "e4c1", "M260.7 36.69C266.9 30.44 277.1 30.44 283.3 36.69C289.6 42.93 289.6 53.06 283.3 59.31L230.6 112H432C476.2 112 512 147.8 512 192V240C512 248.8 504.8 256 496 256C487.2 256 480 248.8 480 240V192C480 165.5 458.5 144 432 144H230.6L283.3 196.7C289.6 202.9 289.6 213.1 283.3 219.3C277.1 225.6 266.9 225.6 260.7 219.3L180.7 139.3C174.4 133.1 174.4 122.9 180.7 116.7L260.7 36.69zM331.3 372.7C337.6 378.9 337.6 389.1 331.3 395.3L251.3 475.3C245.1 481.6 234.9 481.6 228.7 475.3C222.4 469.1 222.4 458.9 228.7 452.7L281.4 400H80C53.49 400 32 421.5 32 448V496C32 504.8 24.84 512 16 512C7.164 512 0 504.8 0 496V448C0 403.8 35.82 368 80 368H281.4L228.7 315.3C222.4 309.1 222.4 298.9 228.7 292.7C234.9 286.4 245.1 286.4 251.3 292.7L331.3 372.7zM384 384C384 348.7 412.7 320 448 320C483.3 320 512 348.7 512 384C512 419.3 483.3 448 448 448C412.7 448 384 419.3 384 384zM448 416C465.7 416 480 401.7 480 384C480 366.3 465.7 352 448 352C430.3 352 416 366.3 416 384C416 401.7 430.3 416 448 416zM0 127.1C0 92.65 28.65 63.1 64 63.1C99.35 63.1 128 92.65 128 127.1C128 163.3 99.35 191.1 64 191.1C28.65 191.1 0 163.3 0 127.1zM64 159.1C81.67 159.1 96 145.7 96 127.1C96 110.3 81.67 95.1 64 95.1C46.33 95.1 32 110.3 32 127.1C32 145.7 46.33 159.1 64 159.1z"],
    "arrows-up-down": [256, 512, ["arrows-v"], "f07d", "M139.3 4.688l112 112C254.4 119.8 256 123.9 256 128s-1.562 8.188-4.688 11.31c-6.25 6.25-16.38 6.25-22.62 0L144 54.63v402.8l84.69-84.69c6.25-6.25 16.38-6.25 22.62 0C254.4 375.8 256 379.9 256 384s-1.562 8.188-4.688 11.31l-112 112c-6.25 6.25-16.38 6.25-22.62 0l-112-112c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0L112 457.4V54.63L27.31 139.3c-6.25 6.25-16.38 6.25-22.62 0s-6.25-16.38 0-22.62l112-112C122.9-1.562 133.1-1.562 139.3 4.688z"],
    "arrows-up-down-left-right": [512, 512, ["arrows"], "f047", "M512 255.1c0 4.094-1.562 8.222-4.688 11.35l-80 80C424.2 350.4 420.1 352 416 352c-9.139 0-16-7.473-16-16c0-4.094 1.562-8.188 4.688-11.31L457.4 272H272v185.4l52.69-52.69C327.8 401.6 331.9 400 336 400c9.139 0 16 7.473 16 16c0 4.094-1.562 8.188-4.688 11.31l-80 80C264.2 510.4 260.1 512 256 512s-8.188-1.562-11.31-4.688l-80-80C161.6 424.2 160 420.1 160 416c0-8.527 6.865-16 16-16c4.094 0 8.188 1.562 11.31 4.688L240 457.4V272H54.63l52.69 52.69C110.4 327.8 112 331.9 112 336C112 344.5 105.1 352 96 352c-4.094 0-8.188-1.562-11.31-4.688l-80-80C1.563 264.2 0 260.1 0 255.1s1.562-8.153 4.688-11.28l80-80C87.81 161.6 91.91 160 96 160c9.139 0 16 7.473 16 16c0 4.094-1.562 8.188-4.688 11.31L54.63 240H240V54.63L187.3 107.3C184.2 110.4 180.1 112 176 112C166.9 112 160 104.5 160 96c0-4.094 1.562-8.188 4.688-11.31l80-80C247.8 1.562 251.9 0 256 0s8.188 1.562 11.31 4.688l80 80C350.4 87.81 352 91.91 352 96c0 8.527-6.865 16-16 16c-4.094 0-8.188-1.562-11.31-4.688L272 54.63V240h185.4l-52.69-52.69C401.6 184.2 400 180.1 400 176C400 167.5 406.9 160 416 160c4.094 0 8.188 1.562 11.31 4.688l80 80C510.4 247.8 512 251.9 512 255.1z"],
    "arrows-up-to-line": [576, 512, [], "e4c2", "M16 64C7.164 64 0 56.84 0 48C0 39.16 7.164 32 16 32H560C568.8 32 576 39.16 576 48C576 56.84 568.8 64 560 64H16zM116.7 116.7C122.9 110.4 133.1 110.4 139.3 116.7L251.3 228.7C257.6 234.9 257.6 245.1 251.3 251.3C245.1 257.6 234.9 257.6 228.7 251.3L144 166.6V464C144 472.8 136.8 480 128 480C119.2 480 112 472.8 112 464V166.6L27.31 251.3C21.07 257.6 10.94 257.6 4.686 251.3C-1.562 245.1-1.562 234.9 4.686 228.7L116.7 116.7zM324.7 228.7L436.7 116.7C442.9 110.4 453.1 110.4 459.3 116.7L571.3 228.7C577.6 234.9 577.6 245.1 571.3 251.3C565.1 257.6 554.9 257.6 548.7 251.3L464 166.6V464C464 472.8 456.8 480 448 480C439.2 480 432 472.8 432 464V166.6L347.3 251.3C341.1 257.6 330.9 257.6 324.7 251.3C318.4 245.1 318.4 234.9 324.7 228.7V228.7z"],
    "asterisk": [448, 512, [10033, 61545], "2a", "M413.8 368.1C410.8 373.2 405.5 376 399.1 376c-2.766 0-5.562-.7187-8.125-2.219L240 284V464c0 8.844-7.156 16-15.1 16S208 472.8 208 464V284l-151.9 89.73C53.58 375.3 50.79 376 48.02 376c-5.469 0-10.8-2.812-13.8-7.859c-4.484-7.609-1.969-17.42 5.641-21.92L192.5 256L39.86 165.8c-7.609-4.5-10.12-14.31-5.641-21.92c4.531-7.578 14.31-10.06 21.92-5.641L208 227.1V48C208 39.16 215.2 32 224 32S240 39.16 240 48v179.1l151.9-89.73c7.641-4.422 17.42-1.938 21.92 5.641c4.484 7.609 1.969 17.42-5.641 21.92L255.5 256l152.7 90.22C415.7 350.7 418.3 360.5 413.8 368.1z"],
    "at": [512, 512, [61946], "40", "M259.7 16.03C116.5 13.94 2.766 140.5 17.25 283.1c11.96 117.8 102.2 205.2 221.5 212.8c9.275 .5957 17.18-6.739 17.18-16.04c0-8.395-6.552-15.39-14.92-15.92c-106.1-6.828-185.7-86.38-192.7-192.5c-7.852-119.6 82.95-220.8 202.6-223.4c118.1-2.607 212.1 89.77 212.1 208.2V278.7c0 26.43-17.55 50.57-43.34 56.27c-36.37 8.039-68.67-19.59-68.67-54.64v-120.1c0-8.846-7.168-16.02-16.01-16.02c-8.838 0-16.02 7.165-16.02 16.01v17.88c-24.95-25.56-61.83-39.39-101.6-31.85C173.5 154.7 137.8 190.7 129.8 235.6c-12.72 70.86 41.68 132.8 110.2 132.8c37.39 0 70.32-18.63 90.68-46.9c16.48 30.84 50.34 51.03 88.7 46.15c44.44-5.656 76.63-45.58 76.63-90.42V256.3C495.1 122.8 392.5 17.96 259.7 16.03zM239.9 336.3c-44.13 0-80.02-35.93-80.02-80.09S195.8 176.2 239.9 176.2s80.02 35.93 80.02 80.09S284.1 336.3 239.9 336.3z"],
    "atom": [512, 512, [9883], "f5d2", "M444.9 256c15.5-20.25 26.56-40.63 31.68-60c6-22.62 4-43.38-6-60.25c-18.25-30.5-60.38-42.88-113.5-38.38C333.9 37.75 297.6 0 256 0S178.1 37.75 155 97.38c-53.25-4.5-95.38 7.875-113.5 38.38C31.38 152.6 29.38 173.4 35.38 196C40.5 215.4 51.56 235.8 67.06 256C51.56 276.3 40.5 296.6 35.38 316c-6 22.62-4 43.38 6 60.25c15.88 26.5 49.63 39.5 93.13 39.5c6.375 0 13.5-1.25 20.25-1.75C177.1 473.9 214.3 512 256 512s77.1-38.13 101.3-97.1c6.75 .4997 13.88 1.75 20.25 1.75c43.5 0 77.25-13 93-39.5c10.12-16.88 12.12-37.63 6.125-60.25C471.5 296.6 460.4 276.3 444.9 256zM68.88 359.8c-5.5-9.25-6.375-21.25-2.625-35.5C69.1 310.5 77.88 295.9 88.63 281c13.5 13.88 28 26.62 43.25 38.38c2.625 21.62 6.875 43 12.62 64C106.8 385.3 79.13 376.9 68.88 359.8zM128.4 274.8C121.6 268.5 115.3 262.3 109.3 256c6-6.25 12.38-12.5 19.12-18.75C128.3 243.5 128 249.6 128 256S128.3 268.5 128.4 274.8zM131.9 192.5C116.6 204.3 102.1 217.1 88.63 231C77.88 216.1 69.1 201.4 66.25 187.8C62.5 173.5 63.38 161.5 68.88 152.3c9.25-15.5 32.75-24 65.25-24c3.25 0 6.875 .25 10.38 .375C138.8 149.6 134.5 171 131.9 192.5zM343.8 167c-8.375-5.25-16.88-10.5-25.88-15.5C311.5 147.9 305 144.6 298.6 141.4c12-3.625 24.25-6.5 36.5-8.875C337.1 142 341.9 157.4 343.8 167zM256 32c24.12 0 49.5 26 68.25 70C300.9 106.8 278.1 113.5 256 122.3C233.9 113.5 211.1 106.8 187.8 102C206.5 58 231.9 32 256 32zM176.9 132.5c12.25 2.375 24.5 5.25 36.5 8.875C207 144.6 200.5 148 194.1 151.5c-9 5-17.5 10.25-25.88 15.5C170.1 157.4 173.1 142 176.9 132.5zM168.3 345c8.375 5.25 16.88 10.5 25.88 15.5c6.75 3.75 13.38 6.5 20.12 9.875c-12.25 3.75-24.75 6.75-37.38 9.125C173.4 368.1 170.6 356.6 168.3 345zM256 480c-24.12 0-49.75-26.25-68.38-70.5C211 404.8 233.9 398 256 389.3c22.12 8.75 45 15.5 68.38 20.25C305.8 453.8 280.1 480 256 480zM335.1 379.5c-12.62-2.375-25-5.375-37.25-9.125c6.625-3.375 13.38-6.125 20-9.875c9-5 17.5-10.25 25.88-15.5C341.4 357.1 338.4 368.6 335.1 379.5zM349.9 302c-15.25 11.12-31.12 21.37-47.5 30.5c-15.12 8.375-30.5 16-46.38 22.62c-15.88-6.625-31.25-14.25-46.38-22.62c-16.38-9.125-32.25-19.38-47.5-30.38C160.8 287.4 160 272 160 256s.7443-31.38 2.119-45.1c15.25-11.13 31.12-21.38 47.5-30.5C224.8 171 240.1 163.5 256 156.8C271.9 163.5 287.3 171 302.4 179.5c16.38 9.125 32.25 19.38 47.5 30.38C351.3 224.6 351.1 240 351.1 256S351.3 287.4 349.9 302zM377.1 128.3c32.38 0 55.88 8.5 65.13 24c5.5 9.25 6.375 21.25 2.625 35.5c-3.75 13.62-11.62 28.38-22.38 43.25c-13.5-13.88-28-26.75-43.25-38.38c-2.625-21.62-6.875-43-12.62-63.88C371 128.5 374.6 128.3 377.1 128.3zM383.6 237.3C390.4 243.5 396.8 249.8 402.8 256c-6 6.25-12.38 12.5-19.12 18.75C383.8 268.5 384 262.4 384 256S383.8 243.5 383.6 237.3zM443.1 359.8c-10.25 17.12-37.88 25.5-75.63 23.62c5.75-21 10-42.38 12.62-64c15.25-11.62 29.75-24.5 43.25-38.38c10.75 14.88 18.62 29.5 22.38 43.25C449.5 338.5 448.6 350.5 443.1 359.8zM256 232C242.8 232 232 242.8 232 256S242.8 280 256 280S280 269.3 280 256S269.3 232 256 232z"],
    "atom-simple": [448, 512, ["atom-alt"], "f5d3", "M426.9 53.49c-26.75-26.63-73.37-28.63-131.4-5.377c-23.25 9.252-47.37 22.63-71.5 38.5c-24.12-15.88-48.25-29.25-71.37-38.5C94.51 24.87 47.88 26.87 21.13 53.49c-38.37 38.25-22.75 118 32.75 202.5c-55.5 84.5-71.12 164.3-32.75 202.5C35.51 472.9 55.63 480 80.13 480c21.12 0 45.62-5.375 72.5-16c23.12-9.25 47.25-22.75 71.37-38.63C248.1 441.3 272.3 454.8 295.5 464c26.75 10.62 51.13 16 72.37 16c24.5 0 44.62-7.125 58.1-21.5c38.38-38.25 22.75-118-32.87-202.5C449.6 171.5 465.2 91.74 426.9 53.49zM307.4 77.74c44.75-17.75 79.1-18.38 96.87-1.625c22.87 22.88 12.87 82.38-30 151.6c-17.38-23-36.37-44.63-56.87-65c-20.38-20.12-42.12-38.88-65.12-56C271 95.12 289.5 84.87 307.4 77.74zM43.76 76.12c8.25-8.125 20.62-12.12 36.5-12.12c16.75 0 37.37 4.625 60.37 13.75c17.88 7.125 36.5 17.38 55.12 29c-46.25 34.38-87.25 75.13-121.1 121C30.88 158.5 20.88 99.12 43.76 76.12zM140.6 434.3c-44.62 17.88-79.87 18.38-96.87 1.625c-22.88-22.88-12.88-82.38 29.1-151.6c17.38 23 36.38 44.63 56.87 65c20.38 20.12 42.13 38.88 65.12 56.13C177.1 416.9 158.5 427.1 140.6 434.3zM153.3 326.6c-22-21.88-42.25-45.5-60.37-70.63c18.12-25.12 38.37-48.75 60.37-70.63c21.88-21.88 45.62-42 70.75-60.13c25.12 18.12 48.75 38.25 70.75 60.13c22 21.88 42.25 45.5 60.37 70.63c-18.12 25.12-38.37 48.75-60.37 70.63c-21.1 21.88-45.62 42-70.75 60.13C198.9 368.6 175.3 348.5 153.3 326.6zM404.2 435.9c-16.88 16.75-52.25 16.25-96.87-1.625c-17.87-7.125-36.5-17.38-55.12-28.88c23-17.25 44.75-36 65.12-56.13c20.5-20.38 39.5-42 56.87-65C417.1 353.5 427.1 412.1 404.2 435.9zM224 232c-13.25 0-24 10.72-24 24.06C199.9 269.3 210.8 280 224 280c6.375 0 12.5-2.494 17-6.982S248 262.4 248 256.1C248 242.8 237.3 232 224 232z"],
    "audio-description": [576, 512, [], "f29e", "M206.3 168.8c-5.438-10.84-23.19-10.84-28.62 0l-80 160c-3.953 7.906-.75 17.52 7.156 21.47c7.922 3.906 17.5 .7344 21.47-7.156L145.9 304H238.1l19.58 39.16C260.5 348.8 266.1 352 272 352c2.406 0 4.844-.5469 7.141-1.688c7.906-3.953 11.11-13.56 7.156-21.47L206.3 168.8zM161.9 272L192 211.8L222.1 272H161.9zM384 160h-64c-8.844 0-16 7.156-16 16v160c0 8.844 7.156 16 16 16h64c52.94 0 96-43.06 96-96S436.9 160 384 160zM384 320h-48V192H384c35.3 0 64 28.7 64 64S419.3 320 384 320zM512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM544 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h448c17.64 0 32 14.36 32 32V416z"],
    "audio-description-slash": [640, 512, [], "e0a8", "M493.9 311.7c11.3-15.74 18.13-34.89 18.13-55.71c0-52.94-43.06-96-96-96L352 160c-8.844 0-16 7.156-16 16v11.07l32 25.26V192H416c35.3 0 64 28.7 64 64c0 13.34-4.119 25.71-11.12 35.98L493.9 311.7zM544 64c17.64 0 32 14.36 32 32v280.5l32 25.26l.0001-305.8c0-35.35-28.65-64-64-64L139.6 32l40.53 32H544zM180.4 227.4l-50.74 101.5c-3.953 7.906-.75 17.52 7.156 21.47c7.922 3.906 17.5 .7344 21.47-7.156L177.9 304H270.1l19.58 39.16C292.5 348.8 298.1 352 304 352c2.406 0 4.844-.5469 7.141-1.688c5.18-2.59 8.064-7.652 8.518-13.03L236.1 272H193.9l12.2-24.39L180.4 227.4zM96 448c-17.64 0-32-14.36-32-32V135.4L32 110.2l0 305.8c0 35.35 28.65 64 64 64L500.4 480l-40.53-32H96zM633.9 483.4l-608-480c-6.938-5.453-17-4.25-22.48 2.641c-5.469 6.938-4.281 17 2.641 22.48l608 480C617 510.9 620.5 512 623.1 512c4.734 0 9.422-2.094 12.58-6.078C642 498.1 640.8 488.9 633.9 483.4z"],
    "austral-sign": [448, 512, [], "e0a9", "M315.8 224H432C440.8 224 448 231.2 448 240C448 248.8 440.8 256 432 256H329.4L356.4 320H432C440.8 320 448 327.2 448 336C448 344.8 440.8 352 432 352H369.1L414.7 457.8C418.2 465.9 414.4 475.3 406.2 478.7C398.1 482.2 388.7 478.4 385.3 470.2L335.2 352H112.8L62.74 470.2C59.29 478.4 49.9 482.2 41.77 478.7C33.63 475.3 29.82 465.9 33.26 457.8L78.01 352H16C7.164 352 0 344.8 0 336C0 327.2 7.164 320 16 320H91.55L118.6 256H16C7.164 256 0 248.8 0 240C0 231.2 7.164 224 16 224H132.2L209.3 41.77C211.8 35.85 217.6 32 224 32C230.4 32 236.2 35.85 238.7 41.77L315.8 224zM281.1 224L223.1 89.06L166.9 224H281.1zM153.4 256L126.3 320H321.7L294.6 256H153.4z"],
    "avocado": [512, 512, [], "e0aa", "M512 142.3c0-72.05-56.44-142.3-140.5-142.3c-39.21 0-78.71 15.73-108.1 45.17C232.4 76.31 192.1 97.3 150.6 108.9C115.4 118.6 .0005 170.8 .0005 306.7c0 113.8 92.76 205.3 205.1 205.3c52.37 0 104.7-20.04 144.7-60.13c67.65-67.87 42.56-130 115.1-203.7l4.357-4.371C498 215.8 512 179.1 512 142.3zM479.1 142.3c0 29.51-11.7 58.04-32.57 78.98l-4.357 4.371c-32.82 32.93-57.16 76.5-72.33 129.5C356.6 404.6 304.3 480 205.1 480c-75.36 0-173-60.5-173-173.3c0-80.95 55.22-147.2 127.1-166.9C287.8 104.5 283.4 32 371.5 32C439.4 32 479.1 89.86 479.1 142.3zM247 176c-68.1 0-134.9 65.3-134.9 135.4c0 59.15 44.98 88.59 88.34 88.59c.0313 0 0 0 0 0c69 0 134.9-65.3 134.9-135.4C335.3 205.4 290.4 176 247 176zM303.6 264.7c0 50.51-49.57 102.7-103.7 102.7c-43.79 0-56.09-33.89-56.09-56.1C143.8 260.2 194.8 208 247 208C281.5 208 303.6 231.7 303.6 264.7z"],
    "award": [384, 512, [], "f559", "M288 358.3c13.98-8.088 17.53-30.04 28.88-41.39c11.35-11.35 33.3-14.88 41.39-28.87c7.98-13.79 .1658-34.54 4.373-50.29C366.7 222.5 383.1 208.5 383.1 192c0-16.5-17.27-30.52-21.34-45.73c-4.207-15.75 3.612-36.5-4.365-50.29c-8.086-13.98-30.03-17.52-41.38-28.87c-11.35-11.35-14.89-33.3-28.87-41.39c-13.76-7.963-34.61-.1852-50.29-4.375C222.5 17.27 208.5 0 192 0C175.5 0 161.5 17.27 146.3 21.34C130.5 25.54 109.7 17.74 95.98 25.7C82 33.79 78.46 55.74 67.11 67.08C55.77 78.43 33.81 81.97 25.72 95.95C17.74 109.7 25.56 130.5 21.35 146.2C17.27 161.5 .0008 175.5 .0008 192c0 16.5 17.27 30.52 21.34 45.73c4.207 15.75-3.615 36.5 4.361 50.29C33.8 302 55.74 305.5 67.08 316.9c11.35 11.35 14.89 33.3 28.88 41.4c13.74 7.951 34.61 .1699 50.28 4.369C161.5 366.7 175.5 384 192 384c16.5 0 30.52-17.27 45.74-21.34C253.5 358.5 274.2 366.3 288 358.3zM191.1 351.5c-8.029-4.002-20.8-15.34-37.48-19.79c-16.71-4.477-33.04-1.301-42.29-1.717c-4.953-7.838-10.39-23.65-22.51-35.76c-12.11-12.12-27.85-17.5-35.77-22.52C53.59 262.5 56.7 246.1 52.26 229.5c-4.465-16.71-15.77-29.39-19.79-37.48c3.996-8.025 15.33-20.77 19.8-37.5c4.434-16.6 1.33-32.88 1.697-42.27c7.854-4.971 23.63-10.37 35.78-22.52C101.8 77.68 107.3 61.72 112.3 53.95C121.4 53.58 137.9 56.69 154.5 52.25c16.74-4.475 29.33-15.74 37.48-19.79c8.027 3.992 20.77 15.33 37.49 19.8c16.74 4.471 33.01 1.295 42.28 1.711c4.84 7.65 10.45 23.71 22.51 35.76c12.03 12.04 28 17.61 35.77 22.52c.3555 9.273-2.752 25.64 1.693 42.28c4.469 16.71 15.77 29.38 19.79 37.47c-3.977 8-15.32 20.78-19.8 37.5c-4.404 16.49-1.34 32.1-1.695 42.27c-7.857 4.969-23.64 10.38-35.78 22.52c-12.03 12.03-17.59 27.99-22.5 35.75c-9.195 .4141-25.54-2.775-42.28 1.703C212.8 336.2 200.1 347.5 191.1 351.5zM279.1 192c0-48.7-39.39-88-87.1-88S104 143.3 104 192c0 48.58 39.39 88 87.1 88S279.1 240.6 279.1 192zM192 248C161.1 248 136 222.9 136 192c0-30.88 25.12-56 55.1-56S247.1 161.1 247.1 192C247.1 222.9 222.9 248 192 248zM357.4 370.1c-3.25-8.219-12.58-12.2-20.76-8.984c-8.203 3.25-12.23 12.55-8.984 20.77l24.22 61.25l-47.48-6.562l-24.64 42.28l-24.92-61.2c-3.328-8.203-12.72-12.14-20.84-8.781c-8.188 3.328-12.12 12.66-8.781 20.84l24.9 61.19C255.2 503.4 266.6 511.4 281.4 512c12.83 0 24.38-7.125 30.12-18.59l10.42-20.64l21.51 4.312c12.12 2.547 24.69-1.906 32.67-11.5c7.953-9.547 10.03-22.66 5.453-34.22L357.4 370.1zM150 408.9c-8.139-3.375-17.53 .5938-20.84 8.781l-24.92 61.2l-24.64-42.28l-47.44 6.547l24.17-61.23c3.25-8.219-.7813-17.52-8.984-20.77C39.14 357.9 29.86 361.9 26.61 370.1l-24.22 61.25c-4.578 11.56-2.5 24.67 5.453 34.22c8.016 9.625 20.52 14 32.61 11.52l21.58-4.328l10.41 20.62c5.766 11.45 17.27 18.58 31.42 18.58c13.42-.5313 24.98-8.609 30.03-21.05l24.92-61.2C162.2 421.5 158.2 412.2 150 408.9z"],
    "award-simple": [384, 512, [], "e0ab", "M192 104C143.4 104 104 143.3 104 192c0 48.58 39.39 88 87.1 88S279.1 240.6 279.1 192C279.1 143.3 240.6 104 192 104zM192 248C161.1 248 136 222.9 136 192c0-30.88 25.12-56 55.1-56S247.1 161.1 247.1 192C247.1 222.9 222.9 248 192 248zM384 192c0-16.5-17.27-30.52-21.34-45.73c-4.207-15.75 3.608-36.5-4.369-50.29c-8.086-13.98-30.03-17.52-41.37-28.87c-11.35-11.35-14.88-33.29-28.87-41.39c-13.76-7.963-34.62-.1888-50.29-4.378C222.5 17.27 208.5 0 192 0C175.5 0 161.5 17.27 146.3 21.34C130.5 25.54 109.7 17.74 95.98 25.71C81.1 33.79 78.46 55.74 67.11 67.08C55.77 78.43 33.82 81.96 25.73 95.95C17.74 109.7 25.55 130.5 21.35 146.2C17.27 161.5 0 175.5 0 192c0 16.5 17.27 30.52 21.34 45.73c4.207 15.75-3.612 36.5 4.365 50.29C33.8 302 55.74 305.5 67.08 316.9c11.35 11.35 14.88 33.29 28.86 41.39c13.74 7.951 34.62 .1803 50.29 4.38C161.5 366.7 175.5 384 192 384c16.5 0 30.52-17.27 45.74-21.34c15.72-4.207 36.5 3.603 50.29-4.368c13.98-8.088 17.52-30.03 28.87-41.38c11.35-11.35 33.29-14.88 41.39-28.86c7.981-13.79 .1698-34.54 4.377-50.29C366.7 222.5 384 208.5 384 192zM331.7 229.5c-4.404 16.49-1.34 32.1-1.695 42.27c-7.858 4.969-23.64 10.38-35.78 22.52c-12.03 12.03-17.59 27.99-22.5 35.75c-9.195 .4141-25.54-2.775-42.28 1.703c-16.71 4.467-29.4 15.76-37.48 19.79c-8.029-4.002-20.8-15.34-37.48-19.79c-16.71-4.477-33.04-1.301-42.29-1.717C107.3 322.2 101.8 306.4 89.71 294.3C77.6 282.1 61.86 276.8 53.94 271.7C53.59 262.5 56.7 246.1 52.25 229.5c-4.465-16.71-15.77-29.39-19.8-37.48c3.996-8.025 15.33-20.77 19.8-37.5c4.434-16.6 1.33-32.88 1.697-42.27c7.854-4.971 23.64-10.37 35.78-22.52C101.8 77.68 107.3 61.72 112.2 53.95c9.194-.377 25.64 2.738 42.28-1.701c16.74-4.475 29.33-15.74 37.48-19.79c8.027 3.992 20.77 15.33 37.49 19.8c16.74 4.471 33.01 1.295 42.28 1.711c4.84 7.65 10.45 23.71 22.51 35.76c12.03 12.04 28 17.61 35.77 22.52c.3555 9.273-2.752 25.64 1.693 42.28c4.469 16.71 15.77 29.38 19.79 37.47C347.6 200 336.2 212.8 331.7 229.5zM303.7 399.7c-1.813-8.656-10.16-14.23-18.94-12.39c-8.625 1.797-14.19 10.27-12.38 18.92l17.47 73.84l-90.66-45.33c-4.5-2.25-9.813-2.25-14.31 0l-88.88 46.72l15.69-75.23c1.813-8.656-3.75-17.12-12.38-18.92c-8.688-1.844-17.16 3.734-18.94 12.39l-15.69 75.25c-2.438 11.64 1.938 23.38 11.34 30.62c9.438 7.234 21.84 8.438 32.5 3.125L192 466.1l83.5 41.75C279.9 510.9 284.6 512 289.3 512c6.625 0 13.16-2.172 18.69-6.406c9.406-7.25 13.78-18.98 11.34-30.64L303.7 399.7z"],
    "axe": [640, 512, [129683], "f6b2", "M65.1 480L32 446L255 223L232.4 200.4l-223 223c-12.5 12.5-12.5 32.88 0 45.38l33.88 33.88C49.5 508.9 57.75 512 65.1 512c8.125 0 16.38-3.125 22.63-9.375l223-223L289 257L65.1 480zM525.7 160L478.5 112.8l24.12-24.12c12.5-12.5 12.5-32.88 0-45.38l-33.88-33.88C462.5 3.125 454.3 0 445.1 0c-8.125 0-16.37 3.125-22.62 9.375L399.3 33.5l-24.13-24.12c-6.25-6.25-14.5-9.375-22.63-9.375c-8.25 0-16.38 3.125-22.63 9.375L233.4 105.9C220.9 118.4 220.9 138.6 233.4 151.1l150.6 150.6L384 416l31.1-.0032C539.7 416 640 315.8 640 192V160L525.7 160zM445.1 32L480 66l-24.12 24.12l-34-34L445.1 32zM416 384V288.5l-160-160L352.5 32l160 160H608C608 297.9 521.9 384 416 384z"],
    "axe-battle": [512, 512, [], "f6b3", "M101 13.61C99.03 5.105 92.19 0 85.06 0C81.31 0 77.38 1.479 74.25 4.729C28.63 50.85 0 117.6 0 192s28.62 141.1 74.25 187.3C77.38 382.5 81.31 384 85.06 384c7.125 0 13.97-5.105 15.97-13.61C114.4 314.8 156.3 272.9 208 265.5V233.3C117.1 246.1 85.63 318.5 78.63 335.5C48.75 295.9 32 244.9 32 192s16.75-103.9 46.63-143.5C85.63 65.5 117.1 137.9 208 150.8V118.5C156.3 111.1 114.4 69.23 101 13.61zM512 160.9c-6.75-61.75-35.13-116.6-74.25-156.1C434.6 1.5 430.8 0 427 0c-7.125 0-14 5.125-16 13.62C397.6 69.25 355.8 111.1 304 118.5v32.25c90.88-12.88 122.4-85.25 129.4-102.3c21.75 28.88 36.62 63.75 43 101.4L435.4 192l41 42.13c-6.375 37.63-21.25 72.5-43 101.5C426.4 318.5 394.9 246.1 304 233.3V265.5c51.75 7.375 93.63 49.25 107 104.9c2 8.5 8.727 13.63 15.85 13.63c3.75 0 7.773-1.502 10.9-4.752C476.9 339.8 505.3 284.9 512 223.1L480 192L512 160.9zM256 32c-8.836 0-16 7.161-16 15.1v448C240 504.8 247.2 512 256 512s16-7.164 16-15.1V48C272 39.16 264.8 32 256 32z"],
    "b": [320, 512, [98], "42", "M241.9 234.1C269.7 213.7 288 181.1 288 144C288 82.25 237.8 32 176 32h-160C7.156 32 0 39.16 0 48v416C0 472.8 7.156 480 16 480l176 .0098c70.58 0 128-57.42 128-128C320 299.1 287.7 253.6 241.9 234.1zM32 64h144C220.1 64 256 99.89 256 144S220.1 224 176 224H32V64zM192 448H32V256h160c52.94 0 96 43.06 96 96S244.9 448 192 448z"],
    "baby": [448, 512, [], "f77c", "M406.2 160.2c-17.5-25.25-52.13-32-77.88-14.5l-36.38 25c-32.88 22.66-87.05 33.63-135.8 0l-36.38-25c-25.75-17.5-60.38-10.75-77.88 14.5c-17.5 25.5-11 60.5 14.5 78l36.38 24.88c10.88 7.5 22.75 14.12 35.38 19.75v22.62l-54.25 56.25c-19.25 17.75-23.5 46.38-10 69.25l38.25 56.13C112.3 502.5 129.9 512 148.7 512c10 0 19.78-2.75 28.4-7.75c13-7.75 52.25-40.5 2-96.5l18.38-11.62c17.5 6.072 40.47 4.379 53.09 0l18.38 11.62c-50.25 56-11 88.75 2 96.5C279.5 509.3 289.3 512 299.3 512c18.75 0 36.33-9.5 46.58-24.88l38.25-56.13c13.5-22.88 9.25-51.5-10-69.25l-54.25-56.25V282.9c12.63-5.625 24.5-12.25 35.38-19.75l36.38-24.88C417.2 220.7 423.7 185.7 406.2 160.2zM169.3 443.7c6.625 11.5 2.875 26.13-8.5 33c-10.77 6.254-25.8 3.496-33-8.5l-36.5-53.5c-6-10.12-3.75-23.25 5.5-30.75l38.75-41.25c.75 .875 27.55 28.51 36.88 37.88l-29.38 27.62L169.3 443.7zM252 358.6c-13.07 13.07-43.34 12.75-56.09 0l-35.88-35.88V303.1h127.8v18.75L252 358.6zM351.2 383.1c9.25 7.5 11.5 20.62 5.5 30.75l-36.5 53.5c-7.262 12.1-22.32 14.7-33 8.5c-11.38-6.875-15.13-21.5-8.5-33l26.25-35.5l-29.38-27.62c9.328-9.361 36.13-37 36.88-37.88L351.2 383.1zM373.5 211.7l-36.38 25c-12.48 8.521-25.78 15.4-39.57 20.83c-5.889 2.318-9.678 8.094-9.678 14.42H160.1c0-6.33-3.789-12.11-9.68-14.42c-13.79-5.43-27.09-12.3-39.57-20.83l-36.38-25c-26.38-18.12 1.25-57.25 27.25-39.5l36.25 24.88c1.762 1.207 83.97 60.38 172.1 0l36.25-24.88C372.3 154.5 399.9 193.6 373.5 211.7zM224 159.1c44.21-.043 79.99-35.78 79.99-79.1c0-44.22-35.78-79.96-79.99-79.1C179.8 .043 144 35.77 144 79.1C144 124.2 179.8 159.1 224 159.1zM224 32c26.46 .043 47.92 21.52 47.92 47.99c0 26.47-21.46 47.95-47.92 47.99C197.5 127.9 176.1 106.5 176.1 79.99C176.1 53.52 197.5 32.04 224 32z"],
    "baby-carriage": [512, 512, ["carriage-baby"], "f77d", "M.6624 223.1C.4243 221.1 .2502 218.3 .1405 215.4C.0467 212.9 0 210.5 0 208V192H.1405C2.742 117.9 41.34 52.95 98.99 14.1C112.2 5.175 129.8 9.784 138.9 22.92L256 192L416 192V144C416 117.5 437.5 96 464 96H496C504.8 96 512 103.2 512 112C512 120.8 504.8 128 496 128H464C455.2 128 448 135.2 448 144V216H447.8C447.7 218.7 447.6 221.3 447.3 224C445.5 246.2 439.8 268 430.5 288.5C419.1 313.1 402.3 336.9 381.4 356C360.5 375.2 335.8 390.3 308.8 400.5C281.9 410.8 253 416 224 416C194.1 416 166.1 410.8 139.2 400.5C112.2 390.3 87.52 375.2 66.61 356C45.7 336.9 28.94 313.1 17.45 288.5C8.178 268 2.506 246.2 .6627 223.1H.6624zM217.1 192L113.7 42.8C66.27 76.16 34.68 130.4 32.16 192H217.1zM46.61 275.4C56.26 296.7 70.41 316.1 88.24 332.5C106.1 348.8 127.2 361.8 150.5 370.6C173.8 379.4 198.8 384 223.1 384C249.2 384 274.2 379.4 297.5 370.6C320.8 361.8 341.9 348.8 359.8 332.5C377.6 316.1 391.7 296.7 401.4 275.4C408.8 258.9 413.4 241.6 415.2 224H256C255.9 224 255.9 224 255.8 224H32.79C34.55 241.6 39.2 258.9 46.62 275.4H46.61zM31.1 464C31.1 437.5 53.49 416 79.1 416C106.5 416 127.1 437.5 127.1 464C127.1 490.5 106.5 512 79.1 512C53.49 512 31.1 490.5 31.1 464zM79.1 480C88.84 480 95.1 472.8 95.1 464C95.1 455.2 88.84 448 79.1 448C71.16 448 63.1 455.2 63.1 464C63.1 472.8 71.16 480 79.1 480zM416 464C416 490.5 394.5 512 368 512C341.5 512 320 490.5 320 464C320 437.5 341.5 416 368 416C394.5 416 416 437.5 416 464zM368 448C359.2 448 352 455.2 352 464C352 472.8 359.2 480 368 480C376.8 480 384 472.8 384 464C384 455.2 376.8 448 368 448z"],
    "backpack": [448, 512, [127890], "f5d4", "M320 64h-16V48C304 21.5 282.5 0 256 0H192C165.5 0 144 21.5 144 48V64H128C57.25 64 0 121.2 0 192v256c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V192C448 121.2 390.8 64 320 64zM176 48C176 39.12 183.2 32 192 32h64c8.75 0 16 7.125 16 16V64h-96V48zM336 480h-224v-96h224V480zM336 352h-224v-32c0-17.62 14.38-32 32-32h160c17.62 0 32 14.38 32 32V352zM416 448c0 17.62-14.38 32-32 32h-16v-160c0-35.25-28.75-64-64-64h-160c-35.25 0-64 28.75-64 64v160H64c-17.62 0-32-14.38-32-32V192c0-53 43-96 96-96h192c53 0 96 43 96 96V448zM304 160H143.1C135.2 160 128 167.2 128 175.1C128 184.8 135.2 192 143.1 192h160C312.8 192 320 184.8 320 176C320 167.2 312.8 160 304 160z"],
    "backward": [512, 512, [9194], "f04a", "M481.4 64c-6.75 0-13.41 2.344-18.91 6.875l-152.6 125.3c-6.812 5.609-7.812 15.69-2.219 22.52c5.656 6.828 15.75 7.797 22.53 2.203L480 95.59v320.8l-149.8-125.3c-6.781-5.594-16.88-4.625-22.53 2.203c-5.594 6.828-4.594 16.91 2.219 22.52l152.6 125.3C467.1 445.7 474.6 448 481.4 448C497.5 448 512 434.6 512 415.1V96.03C512 77.44 497.5 64 481.4 64zM225.4 64C218.6 64 211.1 66.34 206.5 70.88L11.69 230.8C4.25 236.9 0 246.1 0 256s4.25 19.06 11.69 25.16l194.8 159.1C211.1 445.7 218.6 448 225.4 448c10.35 0 30.6-8.122 30.6-32.03v-319.9C255.1 72.12 235.7 64 225.4 64zM224 416.4L32.52 256L224 95.59V416.4z"],
    "backward-fast": [512, 512, [9198, "fast-backward"], "f049", "M225.4 64C218.6 64 211.1 66.34 206.5 70.88L32 214.2V80C32 71.16 24.84 64 16 64S0 71.16 0 80v352C0 440.8 7.156 448 16 448S32 440.8 32 432V297.8l174.5 143.3C211.1 445.7 218.6 448 225.4 448C235.7 448 256 439.9 256 415.1V96.03C256 72.13 235.7 64 225.4 64zM224 416.4L32.52 256L224 95.59V416.4zM481.4 64c-6.75 0-13.41 2.344-18.91 6.875l-152.6 125.3c-6.812 5.609-7.812 15.69-2.219 22.52c5.656 6.828 15.75 7.797 22.53 2.203L480 95.59v320.8l-149.8-125.3c-6.781-5.594-16.88-4.625-22.53 2.203c-5.594 6.828-4.594 16.91 2.219 22.52l152.6 125.3C467.1 445.7 474.6 448 481.4 448C497.5 448 512 434.6 512 415.1V96.03C512 77.44 497.5 64 481.4 64z"],
    "backward-step": [320, 512, ["step-backward"], "f048", "M257.4 64c-6.75 0-13.41 2.344-18.91 6.875L64 214.2V80C64 71.16 56.84 64 48 64S32 71.16 32 80v352C32 440.8 39.16 448 48 448S64 440.8 64 432V297.8l174.5 143.3C243.1 445.7 250.6 448 257.4 448C267.7 448 288 439.9 288 415.1V96.03C288 72.13 267.7 64 257.4 64zM256 416.4L64.52 256L256 95.59V416.4z"],
    "bacon": [576, 512, [129363], "f7e5", "M564.7 99.68l-77.83-86.8C479.4 4.459 469 0 458.5 0c-5.193 0-10.42 1.1-15.34 3.36l-92.75 42.99c-51.13 23.69-93.34 64.03-122.1 116.6L207.7 200.7c-27.11 49.56-66.8 87.5-114.8 109.8l-68.88 31.94c-11.86 5.486-20.28 16.52-23.09 30.23c-2.938 14.35 .9063 29.18 10.31 39.65l77.83 86.8C96.64 507.5 106.1 512 117.5 512c5.188 0 10.41-1.11 15.33-3.375l92.75-42.99c51.13-23.69 93.34-64.03 122.1-116.6l20.66-37.76c27.11-49.56 66.8-87.5 114.8-109.8l68.88-31.94c11.86-5.484 20.28-16.52 23.09-30.23C577.1 124.1 574.1 110.1 564.7 99.68zM35.08 390.9c-5.148-5.736-3.506-16.71 2.441-19.46l68.88-31.95c54.22-25.16 98.95-67.84 129.4-123.4l20.66-37.76c25.47-46.56 62.64-82.15 107.5-102.9l92.64-42.95c.1719-.0781 3.387-1.691 6.514 1.799l30.39 33.89L408.2 107.6c-52.66 24.41-96.13 65.91-125.7 119.1L261.9 265.4C235.6 313.4 197.2 350.2 150.7 371.7l-93.88 43.5L35.08 390.9zM538.5 140.5l-68.88 31.95c-54.22 25.16-98.95 67.84-129.4 123.4l-20.66 37.76c-25.47 46.56-62.64 82.15-107.5 102.9L119.4 479.6c-2.572 1.188-5.051-.2168-6.48-1.812l-33.74-37.62l84.99-39.39c52.7-24.42 96.19-65.92 125.8-120l20.66-37.75c26.28-48.03 64.7-84.8 111.1-106.3l94.08-43.63l25.12 28.02C546.1 126.8 544.4 137.8 538.5 140.5z"],
    "bacteria": [640, 512, [], "e059", "M208 128c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16s16-7.164 16-16C224 135.2 216.8 128 208 128zM128 200C114.7 200 104 210.7 104 224S114.7 248 128 248c13.25 0 24-10.75 24-24S141.3 200 128 200zM615.7 230.8l11.58-3.425c9.439-2.781 14.81-12.65 12-22.04c-3.041-10.21-13.57-14.52-22.14-11.95l-11.27 3.33c-8.088-15.15-20.68-27.55-36.4-35.43l2.888-11.06c2.469-9.477-3.248-19.15-12.77-21.62c-10.36-2.639-19.46 4.048-21.72 12.71l-2.865 10.97c-1.027-.0371-2.073-.2574-3.096-.2574c-16.64 0-32.32 5.173-45.66 13.89L477.6 157.1c-3.777-3.873-15.44-9.779-25.19-.3691c-7.062 6.822-7.225 18.04-.3711 25.07l9.14 9.373c-5.854 9.221-10.17 19.6-12.08 31.05c-.8887 5.328-2.244 10.49-3.801 15.56L436.2 233.5c-8.855-4.139-19.48-.4082-23.69 8.508c-4.186 8.854-.3599 19.42 8.546 23.58l8.797 4.115c-14.92 22.07-34.42 33.57-34.83 33.83l-3.922-8.855c-3.922-8.822-14.33-13.05-23.49-9.074c-9 3.959-13.08 14.42-9.115 23.39l4.041 9.127c-4.078 1.135-8.14 2.324-12.38 3.031c-12.6 2.098-23.91 7.092-33.76 13.9l-9.996-9.012C299.5 319.7 288.1 319.7 281.3 327.3c-6.611 7.262-6.055 18.47 1.24 25.04l9.713 8.756c-8.49 14.18-12.74 30.77-11.64 48.17l-11.86 3.512c-9.428 2.793-14.8 12.66-11.99 22.05c2.783 9.385 12.69 14.71 22.15 11.94l11.34-3.359c8.287 15.49 20.99 27.86 36.38 35.57l-2.839 10.85c-2.48 9.479 3.224 19.16 12.75 21.62c9.566 2.482 19.25-3.221 21.72-12.69l2.82-10.78c5.508 .1875 11.11-.1523 16.75-1.102c11.37-1.893 22.23-5.074 33.1-8.24l3.379 9.455c3.305 9.223 13.5 14.11 22.75 10.76c9.266-3.277 14.1-13.41 10.81-22.65l-3.498-9.792c15.41-6.654 30.08-14.46 43.95-23.57l6.321 8.429c5.891 7.838 17.05 9.443 24.93 3.602c7.885-5.863 9.496-16.97 3.617-24.82l-6.457-8.611c12.66-10.78 24.33-22.54 34.96-35.33l8.816 6.413c7.932 5.795 19.08 4.076 24.89-3.855c5.811-7.906 4.07-19-3.874-24.77l-8.885-6.465c8.893-13.88 16.54-28.52 22.99-43.91l10.47 3.59c9.334 3.188 19.44-1.719 22.64-10.99c3.213-9.258-1.739-19.35-11.04-22.53l-10.33-3.541c2.791-9.961 5.793-19.84 7.521-30.21C615.9 243.4 616.1 237 615.7 230.8zM583.3 244.5c-18 108-102.7 192.7-210.8 210.8c-2.855 .4805-5.754 .7246-8.617 .7246c-25.04 0-47.03-18.69-51.16-43.48c-2.285-13.7 .9043-27.47 8.977-38.77s20.06-18.78 33.77-21.06c64.21-10.71 114.5-61.04 125.3-125.3c4.195-25.18 25.72-43.46 51.18-43.46c25.96 0 39.44 17.62 42.42 21.79C582.4 217.1 585.6 230.8 583.3 244.5zM416 360c-13.26 0-24 10.74-24 24c0 13.25 10.74 24 24 24c13.25 0 24-10.75 24-24C440 370.7 429.3 360 416 360zM272.3 226.4c9-3.957 13.08-14.42 9.115-23.39L277.4 193.9c4.078-1.135 8.14-2.324 12.38-3.031c12.6-2.098 23.91-7.094 33.76-13.9l9.996 9.012c6.969 6.303 18.28 6.326 25.15-1.236c6.609-7.26 6.053-18.47-1.24-25.04l-9.713-8.756c8.49-14.18 12.74-30.77 11.64-48.18l11.86-3.511c9.428-2.793 14.8-12.66 11.99-22.05c-2.781-9.385-12.69-14.71-22.15-11.94l-11.34 3.357C341.5 53.13 328.8 40.76 313.4 33.05l2.838-10.85c2.482-9.477-3.223-19.16-12.74-21.62C293.9-1.901 284.2 3.801 281.8 13.27l-2.82 10.78C273.4 23.86 267.8 24.2 262.2 25.15C250.8 27.04 239.1 30.22 229.1 33.39L225.7 23.93c-3.305-9.225-13.5-14.11-22.75-10.76c-9.266 3.279-14.1 13.41-10.81 22.65l3.498 9.793C180.2 52.27 165.6 60.07 151.7 69.19L145.4 60.76C139.5 52.92 128.3 51.32 120.5 57.16C112.6 63.02 110.1 74.13 116.8 81.98l6.457 8.611c-12.66 10.78-24.33 22.54-34.96 35.33L79.52 119.5C71.59 113.7 60.44 115.4 54.63 123.4C48.82 131.3 50.56 142.4 58.51 148.1l8.885 6.465C58.5 168.5 50.86 183.1 44.41 198.5L33.93 194.9c-9.334-3.186-19.44 1.721-22.64 10.99C8.086 215.2 13.04 225.3 22.34 228.4l10.33 3.541C29.88 241.9 26.88 251.8 25.15 262.2C24.07 268.6 23.94 274.1 24.33 281.2L12.75 284.7C3.309 287.4-2.061 297.3 .7441 306.7c3.041 10.21 13.57 14.52 22.14 11.95l11.27-3.33c8.086 15.15 20.68 27.55 36.39 35.43l-2.887 11.06c-1.865 7.158 1.902 22.19 17.26 22.19c7.92 0 15.14-5.287 17.23-13.28l2.863-10.97c1.027 .0371 2.074 .2577 3.098 .2577c16.64 0 32.32-5.174 45.66-13.89l8.59 8.809c3.777 3.873 15.44 9.779 25.19 .3691c7.062-6.822 7.225-18.04 .3711-25.07l-9.14-9.373C184.6 311.6 188.9 301.3 190.9 289.8c.8887-5.332 2.244-10.5 3.801-15.56L203.8 278.5C212.6 282.6 223.2 278.9 227.4 269.1C231.6 261.1 227.8 250.6 218.9 246.4L210.1 242.3C225 220.2 244.5 208.7 244.9 208.5l3.922 8.856C252.8 226.2 263.3 230.3 272.3 226.4zM159.3 284.5c-4.193 25.19-25.72 43.46-51.18 43.46c-2.875 0-5.773-.2422-8.656-.7266c-13.7-2.279-25.69-9.758-33.76-21.06S54.43 281.2 56.71 267.5c18-108 102.7-192.7 210.8-210.7c42.96-7.229 58.13 32.87 59.78 42.75c2.283 13.7-.9043 27.47-8.977 38.77s-20.06 18.78-33.77 21.06C220.3 169.1 169.1 220.3 159.3 284.5z"],
    "bacterium": [576, 512, [], "e05a", "M544 100.3c-2.299-7.684-10.94-13.66-20.29-10.86l-22.39 6.625c-18.12-39.6-54.76-53.83-55.48-54.16l5.707-21.75C454.3 9.85 446.4 0 435.8 0c-7.27-.002-13.83 4.824-15.73 12.06l-5.557 21.27c-3.264-.3477-8.205-1.344-15.68-1.344c-4.568 0-10.08 .373-16.74 1.49c-16.67 2.773-32.86 6.854-48.72 11.67l-6.332-17.71c-3.062-8.504-12.45-12.84-20.75-9.809c-8.678 3.066-12.88 12.34-9.934 20.63l6.312 17.6C276.4 66.32 251.7 79.58 228.7 95.24L217.5 80.31C212.1 73.18 201.9 71.71 194.7 77.04c-7.273 5.369-8.58 15.5-3.295 22.57L202.6 114.6C180.9 132.2 161.3 152.2 143.9 174.1L128.5 162.9c-7.217-5.281-17.45-3.764-22.78 3.516C100.4 173.6 101.1 183.7 109.2 188.9l15.57 11.31C109.5 223.3 96.62 248 86.48 274.2L67.82 267.8C56.22 263.9 48.83 272.9 47.11 277.8c-2.908 8.404 1.539 17.56 10.08 20.5L76.11 304.8c-4.275 14.6-8.013 29.46-10.56 44.73c-2.016 12.07-1.476 23.87 .292 35.34l-22.21 6.566c-8.699 2.541-13.49 11.57-10.97 20.04c2.734 9.152 12.75 13.11 20.24 10.9l22.07-6.512c11.32 23.78 30.98 43.01 55.73 54.02l-5.752 21.92C122.2 502.3 130.4 512 140.5 512c7.201 0 14.11-4.916 16-12.06l5.527-21.12c4.791 .6152 9.479 1.193 14.21 1.193c23.07 0 44.85-7.467 63.08-19.93l14.1 14.45c3.426 3.514 14.51 8.586 23.05 .3242c6.441-6.199 6.602-16.41 .3242-22.81l-13.45-13.79c11.77-14.54 20.19-32.11 23.49-51.86c1.475-8.83 3.736-17.37 6.574-25.64l14.66 6.852c7.887 3.691 17.98 .0352 21.68-7.758c3.777-7.945 .3945-17.62-7.816-21.46l-14.67-6.855c14.55-24.65 35.3-45.05 60.4-58.95l6.613 14.95c3.521 7.869 13.35 11.71 21.53 8.26c8.316-3.695 11.87-13.25 8.301-21.29l-6.535-14.73c6.965-2.17 14.04-4.1 21.39-5.322c21.3-3.541 39.96-13.12 55.1-26.35l14.95 13.46c6.736 6.082 17.51 4.953 23.02-1.113c6.031-6.619 5.523-16.77-1.131-22.78l-15.83-14.26c13.91-22.06 20.46-48.82 16.17-76.54l21.85-6.455C541.7 117.9 546.6 108.1 544 100.3zM413.7 222.9c-80.29 13.36-145.1 78.13-158.5 158.3c-8.223 49.3-61.6 81.74-111.5 59.57c-17.58-7.82-31.73-21.5-39.83-38.52c-32.75-68.82 61.06-300.1 283.5-337.1c10.5-1.762 62.82-3.686 84.81 44.37C506.1 183.4 435.9 219.2 413.7 222.9zM192 272c-26.55 0-48.01 21.49-48.01 48s21.47 48 48.01 48s48.01-21.49 48.01-48S218.6 272 192 272zM192.2 336c-8.834 0-16.02-7.178-16.02-16S183.4 304 192.2 304S208.2 311.2 208.2 320S201.1 336 192.2 336zM272.3 184c-13.27 0-24.26 10.75-24.26 24S259.1 232 272.3 232c13.28 0 24.04-10.75 24.04-24S285.6 184 272.3 184z"],
    "badge": [512, 512, [], "f335", "M168.9 45.63C187.1 18.08 219.9 0 256 0C292.1 0 324 18.08 343.1 45.63C376.1 39.67 411.5 49.43 437 74.98C462.6 100.5 472.3 135.9 466.4 168.9C493.9 187.1 512 219.9 512 256C512 292.1 493.9 324 466.4 343.1C472.3 376.1 462.6 411.5 437 437C411.5 462.6 376.1 472.3 343.1 466.4C324 493.9 292.1 512 256 512C219.9 512 187.1 493.9 168.9 466.4C135.9 472.3 100.5 462.6 74.98 437C49.43 411.5 39.67 376.1 45.63 343.1C18.08 324 0 292.1 0 256C0 219.9 18.08 187.1 45.63 168.9C39.67 135.9 49.43 100.5 74.98 74.98C100.5 49.43 135.9 39.67 168.9 45.63L168.9 45.63zM256 32C227.7 32 203 47.93 190.6 71.4L184.4 83.08L171.7 79.2C146.3 71.4 117.6 77.57 97.61 97.61C77.57 117.6 71.4 146.3 79.2 171.7L83.08 184.4L71.4 190.6C47.93 203 32 227.7 32 255.1C32 284.3 47.93 308.1 71.4 321.4L83.08 327.6L79.2 340.3C71.4 365.7 77.57 394.4 97.61 414.4C117.6 434.4 146.3 440.6 171.7 432.8L184.4 428.9L190.6 440.6C203 464.1 227.7 480 256 480C284.3 480 308.1 464.1 321.4 440.6L327.6 428.9L340.3 432.8C365.7 440.6 394.3 434.4 414.4 414.4C434.4 394.4 440.6 365.7 432.8 340.3L428.9 327.6L440.6 321.4C464.1 308.1 480 284.3 480 255.1C480 227.7 464.1 203 440.6 190.6L428.9 184.4L432.8 171.7C440.6 146.3 434.4 117.6 414.4 97.61C394.4 77.56 365.7 71.4 340.3 79.2L327.6 83.08L321.4 71.4C308.1 47.93 284.3 31.1 256 31.1V32z"],
    "badge-check": [512, 512, [], "f336", "M235.3 331.3C229.1 337.6 218.9 337.6 212.7 331.3L156.7 275.3C150.4 269.1 150.4 258.9 156.7 252.7C162.9 246.4 173.1 246.4 179.3 252.7L224 297.4L324.7 196.7C330.9 190.4 341.1 190.4 347.3 196.7C353.6 202.9 353.6 213.1 347.3 219.3L235.3 331.3zM343.1 45.63C376.1 39.67 411.5 49.43 437 74.98C462.6 100.5 472.3 135.9 466.4 168.9C493.9 187.1 512 219.9 512 255.1C512 292.1 493.9 324 466.4 343.1C472.3 376.1 462.6 411.5 437 437C411.5 462.6 376.1 472.3 343.1 466.4C324 493.9 292.1 512 256 512C219.9 512 187.1 493.9 168.9 466.4C135.9 472.3 100.5 462.6 74.98 437C49.43 411.5 39.67 376.1 45.63 343.1C18.08 324 0 292.1 0 255.1C0 219.9 18.08 187.1 45.63 168.9C39.67 135.9 49.43 100.5 74.98 74.98C100.5 49.43 135.9 39.67 168.9 45.63C187.1 18.08 219.9 0 255.1 0C292.1 0 324 18.08 343.1 45.63L343.1 45.63zM184.4 83.08L171.7 79.2C146.3 71.4 117.6 77.57 97.61 97.61C77.57 117.6 71.4 146.3 79.2 171.7L83.08 184.4L71.4 190.6C47.93 203 32 227.7 32 255.1C32 284.3 47.93 308.1 71.4 321.4L83.08 327.6L79.2 340.3C71.4 365.7 77.57 394.3 97.61 414.4C117.6 434.4 146.3 440.6 171.7 432.8L184.4 428.9L190.6 440.6C203 464.1 227.7 480 256 480C284.3 480 308.1 464.1 321.4 440.6L327.6 428.9L340.3 432.8C365.7 440.6 394.3 434.4 414.4 414.4C434.4 394.3 440.6 365.7 432.8 340.3L428.9 327.6L440.6 321.4C464.1 308.1 480 284.3 480 255.1C480 227.7 464.1 203 440.6 190.6L428.9 184.4L432.8 171.7C440.6 146.3 434.4 117.6 414.4 97.6C394.4 77.56 365.7 71.4 340.3 79.2L327.6 83.08L321.4 71.4C308.1 47.93 284.3 31.1 256 31.1C227.7 31.1 203 47.93 190.6 71.4L184.4 83.08z"],
    "badge-dollar": [512, 512, [], "f645", "M272.9 161.5L272.1 161.6C278.4 162.4 294.9 165.6 301 167.2C309.5 169.5 314.6 178.2 312.4 186.8C310.1 195.3 301.3 200.4 292.8 198.1C288.2 196.9 272.9 193.9 268 193.2C253.5 190.9 241.1 192.7 232.7 196.5C224.3 200.3 220.8 205.4 220 210.1C219.2 214.9 219.9 217.7 220.7 219.4C221.6 221.3 223.3 223.4 226.8 225.8C234.6 231.1 246.4 234.7 261.7 239.4L262.2 239.5C275.1 243.6 293.1 248.8 305.7 257.1C312.5 262.9 318.6 269.4 322.4 278.2C326.3 287 327.1 296.8 325.3 307.3C322.1 326.1 309.7 338.9 293.8 345.7C287.4 348.5 280.3 350.3 272.9 351.2V362.7C272.9 371.5 265.7 378.7 256.9 378.7C248.1 378.7 240.9 371.5 240.9 362.7V350.5L240.8 350.4L240.7 350.4C230.5 348.8 214 343.1 203.7 339.6C201.7 338.9 199.9 338.3 198.5 337.8C190.1 335.1 185.6 325.1 188.4 317.6C191.2 309.2 200.2 304.7 208.6 307.5C210.7 308.2 212.1 308.1 215.4 309.8C225.9 313.4 238.6 317.7 245.8 318.8C260.8 321.2 273 319.8 281.2 316.3C288.9 313 292.7 308.2 293.8 301.9C294.7 296.4 294 293.1 293.1 290.9C292.1 288.7 290.3 286.4 286.9 283.9C279.3 278.4 267.7 274.6 252.5 269.1L250.3 269.3C237 265.3 220.9 260.5 208.9 252.3C202.1 247.7 195.8 241.6 191.8 233.1C187.7 224.5 186.7 214.9 188.5 204.7C191.5 186.9 204.2 174.3 219.5 167.4C226 164.4 233.2 162.4 240.9 161.2V149.3C240.9 140.5 248.1 133.3 256.9 133.3C265.7 133.3 272.9 140.5 272.9 149.3L272.9 161.5zM343.1 45.63C376.1 39.67 411.5 49.43 437 74.98C462.6 100.5 472.3 135.9 466.4 168.9C493.9 187.1 512 219.9 512 255.1C512 292.1 493.9 324 466.4 343.1C472.3 376.1 462.6 411.5 437 437C411.5 462.6 376.1 472.3 343.1 466.4C324 493.9 292.1 512 256 512C219.9 512 187.1 493.9 168.9 466.4C135.9 472.3 100.5 462.6 74.98 437C49.43 411.5 39.67 376.1 45.63 343.1C18.08 324 0 292.1 0 255.1C0 219.9 18.08 187.1 45.63 168.9C39.67 135.9 49.43 100.5 74.98 74.98C100.5 49.43 135.9 39.67 168.9 45.63C187.1 18.08 219.9 0 255.1 0C292.1 0 324 18.08 343.1 45.63L343.1 45.63zM184.4 83.08L171.7 79.2C146.3 71.4 117.6 77.57 97.61 97.61C77.57 117.6 71.4 146.3 79.2 171.7L83.08 184.4L71.4 190.6C47.93 203 32 227.7 32 255.1C32 284.3 47.93 308.1 71.4 321.4L83.08 327.6L79.2 340.3C71.4 365.7 77.57 394.3 97.61 414.4C117.6 434.4 146.3 440.6 171.7 432.8L184.4 428.9L190.6 440.6C203 464.1 227.7 480 256 480C284.3 480 308.1 464.1 321.4 440.6L327.6 428.9L340.3 432.8C365.7 440.6 394.3 434.4 414.4 414.4C434.4 394.3 440.6 365.7 432.8 340.3L428.9 327.6L440.6 321.4C464.1 308.1 480 284.3 480 255.1C480 227.7 464.1 203 440.6 190.6L428.9 184.4L432.8 171.7C440.6 146.3 434.4 117.6 414.4 97.6C394.4 77.56 365.7 71.4 340.3 79.2L327.6 83.08L321.4 71.4C308.1 47.93 284.3 31.1 256 31.1C227.7 31.1 203 47.93 190.6 71.4L184.4 83.08z"],
    "badge-percent": [512, 512, [], "f646", "M347.3 164.7C353.6 170.9 353.6 181.1 347.3 187.3L187.3 347.3C181.1 353.6 170.9 353.6 164.7 347.3C158.4 341.1 158.4 330.9 164.7 324.7L324.7 164.7C330.9 158.4 341.1 158.4 347.3 164.7zM168 191.1C168 178.7 178.7 167.1 192 167.1C205.3 167.1 216 178.7 216 191.1C216 205.3 205.3 215.1 192 215.1C178.7 215.1 168 205.3 168 191.1zM296 319.1C296 306.7 306.7 295.1 320 295.1C333.3 295.1 344 306.7 344 319.1C344 333.3 333.3 344 320 344C306.7 344 296 333.3 296 319.1zM343.1 45.63C376.1 39.67 411.5 49.43 437 74.98C462.6 100.5 472.3 135.9 466.4 168.9C493.9 187.1 512 219.9 512 255.1C512 292.1 493.9 324 466.4 343.1C472.3 376.1 462.6 411.5 437 437C411.5 462.6 376.1 472.3 343.1 466.4C324 493.9 292.1 512 256 512C219.9 512 187.1 493.9 168.9 466.4C135.9 472.3 100.5 462.6 74.98 437C49.43 411.5 39.67 376.1 45.63 343.1C18.08 324 0 292.1 0 255.1C0 219.9 18.08 187.1 45.63 168.9C39.67 135.9 49.43 100.5 74.98 74.98C100.5 49.43 135.9 39.67 168.9 45.63C187.1 18.08 219.9 0 255.1 0C292.1 0 324 18.08 343.1 45.63L343.1 45.63zM184.4 83.08L171.7 79.2C146.3 71.4 117.6 77.57 97.61 97.61C77.57 117.6 71.4 146.3 79.2 171.7L83.08 184.4L71.4 190.6C47.93 203 32 227.7 32 255.1C32 284.3 47.93 308.1 71.4 321.4L83.08 327.6L79.2 340.3C71.4 365.7 77.57 394.3 97.61 414.4C117.6 434.4 146.3 440.6 171.7 432.8L184.4 428.9L190.6 440.6C203 464.1 227.7 480 256 480C284.3 480 308.1 464.1 321.4 440.6L327.6 428.9L340.3 432.8C365.7 440.6 394.3 434.4 414.4 414.4C434.4 394.3 440.6 365.7 432.8 340.3L428.9 327.6L440.6 321.4C464.1 308.1 480 284.3 480 255.1C480 227.7 464.1 203 440.6 190.6L428.9 184.4L432.8 171.7C440.6 146.3 434.4 117.6 414.4 97.6C394.4 77.56 365.7 71.4 340.3 79.2L327.6 83.08L321.4 71.4C308.1 47.93 284.3 31.1 256 31.1C227.7 31.1 203 47.93 190.6 71.4L184.4 83.08z"],
    "badge-sheriff": [512, 512, [], "f8a2", "M420.3 283.7c-.748 0-1.5 .0176-2.256 .0488L401.3 256l16.67-27.78c.7559 .0332 1.508 .0488 2.256 .0488c34.11 0 61.87-27.75 61.87-61.87s-27.75-61.87-61.87-61.87c-21.78 0-41.71 11.61-52.76 29.87h-39.13l-22.08-36.79c7.451-10.39 11.56-22.86 11.56-35.74C317.9 27.75 290.1 0 256 0S194.1 27.75 194.1 61.87c0 12.88 4.109 25.35 11.56 35.74L183.6 134.4H144.5C133.4 116.1 113.5 104.5 91.73 104.5c-34.12 0-61.87 27.75-61.87 61.87s27.75 61.87 61.87 61.87c.7461 0 1.498-.0156 2.254-.0488L110.7 256L93.99 283.8C93.23 283.8 92.48 283.7 91.73 283.7c-34.12 0-61.87 27.75-61.87 61.87s27.75 61.87 61.87 61.87c21.78 0 41.71-11.62 52.76-29.87h39.13l22.08 36.79c-7.453 10.39-11.56 22.86-11.56 35.74C194.1 484.2 221.9 512 256 512s61.87-27.75 61.87-61.87c0-12.88-4.107-25.35-11.56-35.74l22.08-36.79h39.13c11.05 18.25 30.98 29.87 52.76 29.87c34.11 0 61.87-27.75 61.87-61.87S454.4 283.7 420.3 283.7zM420.3 375.5c-10.26 0-19.99-5.535-25.38-14.44l-9.34-15.42h-75.28l-42.21 70.36l12.25 17.09c3.639 5.074 5.562 10.98 5.562 17.09C285.9 466.6 272.5 480 256 480s-29.87-13.4-29.87-29.87c0-6.104 1.924-12.01 5.564-17.09l12.25-17.09l-42.22-70.36h-75.28l-9.34 15.43c-5.393 8.908-15.12 14.44-25.38 14.44c-16.47 0-29.87-13.4-29.87-29.87c0-16.46 13.38-29.85 30.77-29.85l19.02 .7793L147.1 256L121.4 211.8L110.8 195.4L91.73 196.3c-16.47 0-29.87-13.4-29.87-29.87c0-16.47 13.4-29.87 29.87-29.87c10.26 0 19.99 5.533 25.38 14.44l9.34 15.43h75.28l42.22-70.36L231.7 78.96C228.1 73.88 226.1 67.97 226.1 61.87C226.1 45.4 239.5 32 256 32s29.87 13.4 29.87 29.87c0 6.105-1.924 12.02-5.562 17.09l-12.25 17.08l42.21 70.36h75.28L394.9 150.1c5.391-8.906 15.12-14.44 25.38-14.44c16.47 0 29.87 13.4 29.87 29.87c0 16.46-13.38 29.85-30.68 29.85l-19.08-.8398L364 256l26.55 44.25l10.72 16.27l18.98-.7793c16.47 0 29.87 13.4 29.87 29.87S436.7 375.5 420.3 375.5zM256 184C216.3 184 184 216.3 184 256s32.3 72 72 72S328 295.7 328 256S295.7 184 256 184zM256 296C233.9 296 216 278.1 216 256c0-22.06 17.94-40 40-40S296 233.9 296 256C296 278.1 278.1 296 256 296z"],
    "badger-honey": [640, 512, [129441], "f6b4", "M622.3 142.5L619.5 140.1c-20.62-11.25-40.59-24.05-59.56-37.9c-59.03-43.12-93.54-39.07-94.44-39.07c-19.12 0-38.13 5.255-55.5 15.26c-17.12 9.75-36 16.75-54.1 16.75H128c-70.69 0-128 57.32-128 128v15.95c0 8.875 7.125 16 16 16h20c2.625 11.25 9.875 46.61 54.13 79.74l-23.75 52.38c-3.125 7.625-3.125 16.13-.125 23.75l25.25 58.01C93.88 476 99.88 480 106.4 480H158.3c23.29 0 38.78-24.08 29.12-45.27l-12.18-26.74l33-56.01h73.63l20.55 102.3C305.4 469.2 318.6 480 333.8 480h46.63c20.19 0 35.33-18.46 31.38-38.26l-23.06-115.8c45.25-30.5 101.2-61.14 152.4-75.64L560 287.1l22.74-45.54C636.1 238.1 640 178.5 640 175.3C640 161.3 633.1 148.7 622.3 142.5zM128 128.1h227c22.75 0 46.63-7.125 70.1-21.12C438.4 99.86 452 96.11 465.5 96.11c3.875 0 26.38-1.627 70.5 29.25c4.875 3.375 10.12 7 15.62 10.75H460c-30.88 0-60.25 9.627-91.5 20.88L267.8 202.9C258.1 206.2 247.9 208.1 237.5 208.1H192c-45.13 0-78.88-41.13-79.88-78.38C117.4 128.9 122.6 128.1 128 128.1zM353.1 311.2l27.38 136.8h-46.75L308.1 319.1H189.9l-50.63 86.13l19 41.88h-41L96 400.2l33.13-75.38L109.3 310.1c-20.12-15.12-34.88-30.62-42-61.38L61.38 224.1H32c0-36 20.12-67 49.38-83.38C88.13 194.9 136.6 240.1 192 240.1l45.47-.0433c14.12 0 28.03-2.399 42.28-7.524L380.5 186.6c27.25-9.752 53.75-18.5 79.5-18.5h20.38C477.8 171.5 476 175.5 476 180.1c0 11 9 20 20 20s20-9 20-20c0-4.625-1.75-8.625-4.375-12h90.88C605.1 170.1 608 170.6 608 174.1C602.8 248.7 586.6 154.2 353.1 311.2z"],
    "badminton": [640, 512, [], "e33a", "M623.2 490.9l-8.979-26.94h-33.75l12.35 37.07c2.25 6.688 8.5 10.94 15.19 10.94c8.98 0 16-7.32 16-16.02C624 494.3 623.7 492.6 623.2 490.9zM511.1 399.1l-.0023 48.03h96l.0027-48.03c0-26.51-21.49-48.01-48-48.01S511.1 373.5 511.1 399.1zM575.1 399.1v16h-32v-16c0-8.822 7.178-16 16-16S575.1 391.2 575.1 399.1zM576 151.4C576 74.02 519.3 0 417.1 0c-92.11 0-225.1 81.34-225.1 217c0 33.22 9.797 64.11 28.62 89.83l-80.06 62.9l-2.926-3.66c-6.209-7.852-15.38-12.07-24.7-12.07c-7.26 0-14.46 2.328-20.27 6.941l-74.56 59.47C6.191 429.9 0 443.9 0 458c0 10.5 3.418 21.07 10.47 29.9l4.75 5.969c15.17 19.03 36.68 18.09 37.66 18.09c10.81 0 21.22-3.625 29.81-10.47l74.56-59.44c.5117-.4082 12.06-8.791 12.06-25.15c0-7.201-2.418-14.13-6.963-19.85l-1.842-2.305l81.77-64.24c42.87 37.45 93.6 38.24 107.7 38.24C445.6 368.8 576 285.3 576 151.4zM62.75 476.5c-2.967 2.363-6.803 3.469-10.34 3.469c-.3223 0-7.146 .2324-12.19-6.031l-4.752-5.969c-2.348-2.945-3.488-6.473-3.488-9.977c0-4.705 2.061-9.369 6.021-12.52l74.56-59.44l24.75 31L62.75 476.5zM350 336.8c-46.95 0-126.1-27.61-126.1-119.6C223.1 94.81 346.7 32 417.1 32h2.062c74.67 .9648 123.1 52.39 123.1 119.6C544 259.8 436.7 336.8 350 336.8zM544 495.1c0 8.844 7.153 16 15.1 16s16-7.159 16-16l-.0029-32h-32L544 495.1zM496.8 490.9c-.5547 1.672-.8185 3.371-.8185 5.043c0 8.688 7.01 16.02 16 16.02c6.688 0 12.94-4.251 15.19-10.94l12.35-37.07h-33.75L496.8 490.9z"],
    "bag-shopping": [448, 512, ["shopping-bag"], "f290", "M128 128V96C128 42.98 170.1 0 224 0C277 0 320 42.98 320 96V128H400C426.5 128 448 149.5 448 176V416C448 469 405 512 352 512H96C42.98 512 0 469 0 416V176C0 149.5 21.49 128 48 128H128zM160 128H288V96C288 60.65 259.3 32 224 32C188.7 32 160 60.65 160 96V128zM48 160C39.16 160 32 167.2 32 176V416C32 451.3 60.65 480 96 480H352C387.3 480 416 451.3 416 416V176C416 167.2 408.8 160 400 160H320V240C320 248.8 312.8 256 304 256C295.2 256 288 248.8 288 240V160H160V240C160 248.8 152.8 256 144 256C135.2 256 128 248.8 128 240V160H48z"],
    "bagel": [640, 512, [129391], "e3d7", "M465 111.7c7.062 2.203 14.31 2.703 20.72 3.141c6 .4062 12.78 .8594 15.5 2.766c2.656 1.859 5.062 7.531 7.375 13.02c2.438 5.781 5.188 12.34 9.594 18.12c4.344 5.75 9.938 10.2 14.84 14.14c4.594 3.641 9.75 7.781 10.75 10.7c.8438 2.531-.7813 8.797-2.062 13.84C540.1 193.6 538.3 200.5 538.3 208c0 7.438 1.812 14.41 3.406 20.56C543 233.6 544.6 239.9 543.8 242.4c-1 2.984-6.188 7.125-10.78 10.78c-4.906 3.922-10.47 8.359-14.81 14.08c-4.406 5.812-7.156 12.36-9.594 18.14c-2.312 5.5-4.719 11.17-7.344 13.02c-2.75 1.906-9.531 2.375-15.53 2.781c-6.406 .4375-13.69 .9375-20.72 3.141c-8.438 2.641-13.12 11.61-10.5 20.05c2.156 6.844 8.469 11.22 15.28 11.22c1.594 0 3.188-.2344 4.781-.7344c3.406-1.062 8.25-1.391 13.34-1.75c10.12-.6875 21.62-1.469 31.69-8.469c10.22-7.156 14.78-18.06 18.47-26.83c1.875-4.422 3.625-8.609 5.625-11.2c1.906-2.547 5.5-5.406 9.281-8.438c7.625-6.062 17.09-13.62 21.12-25.5c3.906-11.58 .9687-22.97-1.406-32.13C571.5 215.8 570.3 211.4 570.3 208c0-3.391 1.156-7.859 2.375-12.58c2.375-9.156 5.312-20.55 1.406-32.16c-4.031-11.8-13.5-19.34-21.09-25.41c-3.781-3.031-7.375-5.906-9.344-8.484c-1.969-2.594-3.719-6.781-5.594-11.2c-3.688-8.75-8.25-19.66-18.5-26.83c-10.03-7-21.53-7.781-31.66-8.469c-5.094-.3438-9.907-.6719-13.34-1.734c-3.094-.9687-6.969-3.328-11.09-5.828C455.1 70.28 444.8 64 432 64s-23.12 6.281-31.47 11.31c-4.125 2.5-8 4.859-11.06 5.812c-3.438 1.062-8.25 1.391-13.31 1.75c-3.469 .2344-6.906 .4844-10.25 .9219c-8.75 1.156-14.94 9.188-13.78 17.95s9.188 14.81 17.97 13.77c2.688-.3438 5.469-.5313 8.25-.7187c6.375-.4375 13.62-.9375 20.66-3.125c6.781-2.125 12.81-5.766 18.09-8.984C422.5 99.41 428.2 96 432 96s9.469 3.406 14.91 6.688C452.2 105.9 458.2 109.5 465 111.7zM208 224C163.9 224 128 259.9 128 304C128 348.1 163.9 384 208 384S288 348.1 288 304C288 259.9 252.1 224 208 224zM208 352C181.5 352 160 330.5 160 304S181.5 256 208 256S256 277.5 256 304S234.5 352 208 352zM208 96C93.13 96 0 189.1 0 304S93.13 512 208 512S416 418.9 416 304S322.9 96 208 96zM208 480C110.1 480 32 401 32 304S110.1 128 208 128S384 206.1 384 304S305 480 208 480zM432 0c-50.72 0-99.59 18.47-137.6 52C287.8 57.86 287.2 67.97 293 74.59C298.8 81.23 308.9 81.84 315.6 76C347.7 47.63 389.1 32 432 32C529.1 32 608 110.1 608 208c0 90.89-70.84 167.9-161.3 175.4c-8.812 .7344-15.34 8.469-14.62 17.27c.6875 8.359 7.688 14.69 15.91 14.69c.4687 0 .9062-.0156 1.344-.0469C556.3 406.5 640 315.4 640 208C640 93.31 546.7 0 432 0zM144 208C152.8 208 160 200.8 160 192c0-8.838-7.164-16-16-16S128 183.2 128 192C128 200.8 135.2 208 144 208zM80 256C71.16 256 64 263.2 64 272C64 280.8 71.16 288 80 288S96 280.8 96 272C96 263.2 88.84 256 80 256zM240 416C231.2 416 224 423.2 224 432C224 440.8 231.2 448 240 448S256 440.8 256 432C256 423.2 248.8 416 240 416zM304 384C295.2 384 288 391.2 288 400C288 408.8 295.2 416 304 416s16-7.164 16-16C320 391.2 312.8 384 304 384zM320 224C311.2 224 304 231.2 304 240C304 248.8 311.2 256 320 256s16-7.164 16-16C336 231.2 328.8 224 320 224zM112 384C103.2 384 96 391.2 96 400C96 408.8 103.2 416 112 416S128 408.8 128 400C128 391.2 120.8 384 112 384z"],
    "bags-shopping": [576, 512, [128717], "f847", "M128 96C128 42.98 170.1 0 224 0C277 0 320 42.98 320 96V160H384C419.3 160 448 188.7 448 224H416C416 206.3 401.7 192 384 192H64C46.33 192 32 206.3 32 224V416C32 433.7 46.33 448 64 448H160V480H64C28.65 480 0 451.3 0 416V224C0 188.7 28.65 160 64 160H128V96zM160 160H288V96C288 60.65 259.3 32 224 32C188.7 32 160 60.65 160 96V160zM320 352C320 387.3 348.7 416 384 416C419.3 416 448 387.3 448 352V336C448 327.2 455.2 320 464 320C472.8 320 480 327.2 480 336V352C480 405 437 448 384 448C330.1 448 288 405 288 352V336C288 327.2 295.2 320 304 320C312.8 320 320 327.2 320 336V352zM192 320C192 284.7 220.7 256 256 256H512C547.3 256 576 284.7 576 320V448C576 483.3 547.3 512 512 512H256C220.7 512 192 483.3 192 448V320zM256 288C238.3 288 224 302.3 224 320V448C224 465.7 238.3 480 256 480H512C529.7 480 544 465.7 544 448V320C544 302.3 529.7 288 512 288H256z"],
    "baguette": [640, 512, [129366], "e3d8", "M622 49.6c-13.4-20.16-33.4-35.27-56.29-42.54C550.8 2.303 534.7 0 518.2 0c-36.6 0-74.87 11.38-105.9 32.65L80.88 259.7c-44.86 30.74-76.46 83.44-80.53 134.3c-1.979 24.08 4.307 48.37 17.61 68.4c13.4 20.16 33.41 35.27 56.29 42.54C89.24 509.7 105.4 512 121.8 512c36.58 0 74.82-11.41 105.9-32.68l331.4-227.1c44.87-30.74 76.46-83.44 80.53-134.3C641.6 93.92 635.3 69.63 622 49.6zM541 225.9L209.6 452.9C184.5 470.1 152.5 480 121.8 480c-13.52 0-26.27-1.877-37.91-5.582c-15.98-5.074-29.94-15.64-39.31-29.74c-9.371-14.12-13.77-31.2-12.37-48.16c3.273-40.95 30.08-85.33 66.71-110.4l21.66-14.84l60.05 60.05C183.8 334.4 187.9 336 192 336s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L147.5 252.9l87.09-59.66l58.12 58.12C295.8 254.4 299.9 256 304 256s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62l-53.89-53.89l87.09-59.66l56.18 56.18C407.8 174.4 411.9 176 416 176s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62l-51.95-51.95l55.02-37.7C455.5 41.86 487.5 32 518.2 32c13.51 0 26.24 1.869 37.85 5.553c15.98 5.074 29.95 15.64 39.31 29.74c9.369 14.12 13.76 31.2 12.37 48.16C604.5 156.4 577.7 200.8 541 225.9z"],
    "bahai": [512, 512, ["haykal"], "f666", "M511.5 217.2c-2.547-14.44-13.52-25.11-27.94-27.17l-82.93-11.59l31.65-78.91c5.422-13.59 1.5-28.97-9.75-38.28c-11.22-9.25-26.4-10.19-38.67-2.359l-70.61 44.98l-25.67-80.63C283 9.109 270.7 0 255.1 0S228.1 9.109 224.5 23.22L198.8 103.8l-70.65-45c-12.28-7.797-27.48-6.812-38.72 2.5C78.07 70.78 74.28 85.75 79.78 99.53l31.64 78.88L28.48 190C14.11 192.1 3.154 202.7 .5605 217.1c-2.609 14.5 4.031 28.39 17 35.44l74.09 39.73l-56.36 63.17c-8.875 10.02-10.98 23.81-5.5 35.98c5.375 11.97 17.16 19.69 30.02 19.69c2.125 0 4.484-.3125 7.139-.8281L148.7 392.5l-3.109 84.77c-.3906 9.219 2.828 17.88 9.076 24.41c13.31 13.91 37.95 13.09 50.2-2.734l51.19-66.78l51.19 66.64C313.5 507.2 322.1 512 333.2 512c9.062 0 17.86-3.766 24.14-10.33c6.25-6.531 9.467-15.19 9.078-24.28l-3.016-84.89l81.62 17.77c14.25 3.109 28.19-3.078 35.54-15.73c7.344-12.59 5.75-28.33-3.922-39.16l-56.34-63.14l74.09-39.83C507.3 245.5 514 231.7 511.5 217.2zM387.3 273.7c-9.211 4.973-11.16 17.14-4.359 24.75l68.9 80.58l-101.7-22.14c-10.22-2.23-19.78 5.824-19.39 16.2l1.953 106.4l-63.1-83.33c-6.43-8.352-19.01-8.307-25.39 .0156l-65.78 82.41l3.875-105.5c.377-9.986-8.607-18.42-19.39-16.23l-102.8 19.84L129.1 298.4c6.902-7.729 4.717-19.88-4.375-24.75L32.01 224l104.1-16.73c10.3-1.42 16.5-12.21 12.62-21.8l-37.73-99.61l88.14 56.14c8.695 5.58 20.61 1.472 23.84-8.641l34.08-100.4l31.98 100.4c3.254 10.16 15.19 14.19 23.84 8.641l89.67-54.38L363.3 185.5c-3.9 9.65 2.395 20.39 12.62 21.8L479.1 224L387.3 273.7z"],
    "baht-sign": [320, 512, [], "e0ac", "M160 16V64H184C241.4 64 288 110.6 288 168C288 199.3 274.1 227.4 252.2 246.5C291.8 261.2 320 299.3 320 344C320 401.4 273.4 448 216 448H160V496C160 504.8 152.8 512 144 512C135.2 512 128 504.8 128 496V448H41.74C18.69 448 0 429.3 0 406.3V101.6C0 80.82 16.82 64 37.57 64H128V16C128 7.164 135.2 0 144 0C152.8 0 160 7.164 160 16V16zM128 96H37.57C34.49 96 32 98.49 32 101.6V240H128V96zM184 240C223.8 240 256 207.8 256 168C256 128.2 223.8 96 184 96H160V240H184zM128 272H32V406.3C32 411.6 36.36 416 41.74 416H128V272zM216 416C255.8 416 288 383.8 288 344C288 304.2 255.8 272 216 272H160V416H216z"],
    "ball-pile": [576, 512, [], "f77e", "M480 320c-10.41 0-20.3 2.081-29.68 5.174C468.5 307.7 480 283.3 480 256c0-53-43-96-96-96c-10.41 0-20.3 2.081-29.68 5.174C372.6 147.7 384 123.2 384 96c0-53-43-96-96-96S192 43 192 96c0 27.19 11.4 51.67 29.68 69.17C212.3 162.1 202.5 160 192 160C139 160 96 203 96 256c0 27.19 11.4 51.67 29.68 69.17C116.3 322.1 106.5 320 96 320c-53 0-96 43-96 96s43 96 96 96s96-43 96-96c0-27.19-11.4-51.67-29.68-69.17C171.7 349.9 181.5 352 192 352s20.3-2.081 29.68-5.174C203.4 364.3 192 388.8 192 416c0 53 43 96 96 96s96-43 96-96c0-27.19-11.4-51.67-29.68-69.17C363.7 349.9 373.5 352 384 352s20.3-2.081 29.68-5.174C395.4 364.3 384 388.8 384 416c0 53 43 96 96 96s96-43 96-96S533 320 480 320zM288 32c35.31 0 64 28.69 64 64s-28.69 64-64 64S224 131.3 224 96S252.7 32 288 32zM317.7 325.2C308.3 322.1 298.4 320 288 320s-20.3 2.081-29.68 5.174C276.5 307.7 288 283.3 288 256S276.6 204.3 258.3 186.8C267.7 189.9 277.5 192 288 192s20.3-2.081 29.68-5.174C299.4 204.3 288 228.8 288 256S299.4 307.7 317.7 325.2zM96 480c-35.31 0-64-28.69-64-64s28.69-64 64-64s64 28.69 64 64S131.3 480 96 480zM192 320c-35.31 0-64-28.69-64-64s28.69-64 64-64s64 28.69 64 64S227.3 320 192 320zM288 480c-35.31 0-64-28.69-64-64s28.69-64 64-64s64 28.69 64 64S323.3 480 288 480zM384 320c-35.31 0-64-28.69-64-64s28.69-64 64-64s64 28.69 64 64S419.3 320 384 320zM480 480c-35.31 0-64-28.69-64-64s28.69-64 64-64s64 28.69 64 64S515.3 480 480 480z"],
    "balloon": [384, 512, [], "e2e3", "M176 80c-52.94 0-96 43.06-96 96C80 184.8 87.16 192 96 192s16-7.156 16-16c0-35.28 28.72-64 64-64C184.8 112 192 104.8 192 96S184.8 80 176 80zM384 187.4C384 84.09 297.9 0 192 0S0 84.09 0 187.4c0 81.31 98.06 189.1 157.2 228.8l-42.9 71.49c-2.969 4.938-3.031 11.09-.2187 16.09C116.9 508.9 122.3 512 128 512h128c5.75 0 11.09-3.094 13.94-8.125c2.812-5 2.75-11.16-.2187-16.09l-42.9-71.49C285.9 376.5 384 268.7 384 187.4zM227.8 480h-71.5l28.8-48h13.9L227.8 480zM192.6 400C169.7 396.2 32 272.9 32 187.4C32 101.7 103.8 32 192 32s160 69.72 160 155.4C352 272.9 214.4 396.2 192.6 400z"],
    "balloons": [640, 512, [], "e2e4", "M160 80C115.9 80 80 115.9 80 160c0 8.844 7.156 16 16 16S112 168.8 112 160c0-26.47 21.53-48 48-48c8.844 0 16-7.156 16-16S168.8 80 160 80zM160 0C71.78 0 0 74.84 0 166.8c0 69.53 76.04 164.7 126.8 201.5l-35.69 54.92c-3.219 4.906-3.469 11.19-.6562 16.34S98.66 448 104.5 448h110.9c5.875 0 11.25-3.219 14.06-8.375s2.562-11.44-.6562-16.34l-35.69-54.92C243.1 331.5 320 236.4 320 166.8C320 74.84 248.2 0 160 0zM133.1 416l20.8-32h10.4l20.8 32H133.1zM161.4 352H161C139.3 346.2 32 239.5 32 166.8C32 92.5 89.41 32 160 32s128 60.5 128 134.8C288 239.5 180.7 346.2 161.4 352zM432 224c0-26.47 21.53-48 48-48c8.844 0 16-7.156 16-16S488.8 144 480 144c-44.13 0-80 35.88-80 80c0 8.844 7.156 16 16 16S432 232.8 432 224zM640 230.8C640 138.8 568.2 64 480 64c-39.56 0-77.53 15.19-106.9 42.72c-6.438 6.062-6.781 16.19-.75 22.62c6.094 6.531 16.19 6.75 22.62 .75C418.4 108.1 448.6 96 480 96c70.59 0 128 60.5 128 134.8C608 303.4 500.9 410 481.5 416h-.5098c-14.75-3.977-84.6-66.21-115.9-134.7c-3.688-8.062-13.28-11.5-21.22-7.906C335.9 277.1 332.3 286.6 336 294.7c23.8 52.07 74.26 109.1 111.1 137.3l-35.94 55.3c-3.219 4.906-3.469 11.19-.6562 16.34S418.7 512 424.5 512h110.9c5.875 0 11.25-3.219 14.06-8.375s2.562-11.44-.6562-16.34l-35.69-54.92C563.1 395.5 640 300.4 640 230.8zM453.1 480l20.8-32h10.4l20.8 32H453.1z"],
    "ballot": [448, 512, [], "f732", "M96 232C82.75 232 72 242.7 72 256c0 13.25 10.75 24 24 24c13.26 0 24-10.75 24-24C120 242.7 109.3 232 96 232zM96 360c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24c13.26 0 24-10.75 24-24C120 370.7 109.3 360 96 360zM96 104C82.75 104 72 114.7 72 128c0 13.25 10.75 24 24 24c13.26 0 24-10.75 24-24C120 114.7 109.3 104 96 104zM384 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V64C448 28.65 419.3 0 384 0zM416 448c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V64c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V448zM352 368H176C167.2 368 160 375.2 160 384s7.156 16 16 16H352c8.844 0 16-7.156 16-16S360.8 368 352 368zM352 112H176C167.2 112 160 119.2 160 128s7.156 16 16 16H352c8.844 0 16-7.156 16-16S360.8 112 352 112zM352 240H176C167.2 240 160 247.2 160 256s7.156 16 16 16H352c8.844 0 16-7.156 16-16S360.8 240 352 240z"],
    "ballot-check": [448, 512, [], "f733", "M96 360c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24c13.26 0 24-10.75 24-24C120 370.7 109.3 360 96 360zM352 368H176C167.2 368 160 375.2 160 384s7.156 16 16 16H352c8.844 0 16-7.156 16-16S360.8 368 352 368zM101.3 288c4.094 0 8.188-1.562 11.31-4.688l58.67-58.67c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0L101.3 249.4L83.31 231.4c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l29.33 29.33C93.14 286.4 97.23 288 101.3 288zM96 152c13.26 0 24-10.75 24-24c0-13.26-10.74-24-24-24C82.75 104 72 114.7 72 128C72 141.3 82.75 152 96 152zM352 240H208C199.2 240 192 247.2 192 256s7.156 16 16 16H352c8.844 0 16-7.156 16-16S360.8 240 352 240zM384 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V64C448 28.65 419.3 0 384 0zM416 448c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V64c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V448zM352 112H176C167.2 112 160 119.2 160 128s7.156 16 16 16H352c8.844 0 16-7.156 16-16S360.8 112 352 112z"],
    "ban": [512, 512, [128683, "cancel"], "f05e", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM86.7 109.3C52.62 148.6 32 199.9 32 256C32 379.7 132.3 480 256 480C312.1 480 363.4 459.4 402.7 425.3L86.7 109.3zM480 256C480 132.3 379.7 32 256 32C199.9 32 148.6 52.62 109.3 86.7L425.3 402.7C459.4 363.4 480 312.1 480 255.1V256z"],
    "ban-bug": [512, 512, ["debug"], "f7f9", "M175.1 265.9V243.9L207.1 275.9V279.7C208 279.9 208 280.1 207.1 280.3V303.1C207.1 330.5 229.5 352 255.1 352C264.1 352 271.8 349.1 278.5 346.4L301.8 369.6C288.8 378.7 273 384 255.1 384C230.8 384 208.3 372.3 193.6 354.1L152.9 381.3C145.5 386.2 135.6 384.2 130.7 376.9C125.8 369.5 127.8 359.6 135.1 354.7L178.9 325.5C177 318.7 175.1 311.4 175.1 303.1V298.1L129.1 303.9C121.2 304.1 113.2 298.8 112.1 289.1C111 281.2 117.2 273.2 126 272.1L175.1 265.9zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 480C312.1 480 363.4 459.4 402.7 425.3L86.7 109.3C52.62 148.6 32 199.9 32 256C32 379.7 132.3 480 256 480H256zM335.5 312.9L425.3 402.7C459.4 363.4 480 312.1 480 255.1C480 132.3 379.7 31.1 255.1 31.1C199.9 31.1 148.6 52.62 109.3 86.7L188.2 165.5C202.3 142.1 227.4 127.1 255.1 127.1C281.2 127.1 303.7 139.7 318.3 157.9L359.1 130.7C366.5 125.8 376.4 127.8 381.3 135.1C386.2 142.5 384.2 152.4 376.9 157.3L333.1 186.5C334.1 193.3 335.1 200.6 335.1 207.1V211.5L380.1 200.5C388.7 198.3 397.4 203.5 399.5 212.1C401.7 220.7 396.5 229.4 387.9 231.5L335.1 244.5V265.9L385.1 272.1C394.8 273.2 400.1 281.2 399.9 289.1C398.8 298.8 390.8 304.1 382 303.9L335.1 298.1V303.1C335.1 307 335.8 309.1 335.5 312.9H335.5zM303.1 281.4V207.1C303.1 181.5 282.5 159.1 255.1 159.1C236.2 159.1 219.1 172 211.8 189.2L303.1 281.4z"],
    "ban-parking": [512, 512, ["parking-circle-slash"], "f616", "M176 257.9L238.1 320H208V368C208 376.8 200.8 384 192 384C183.2 384 176 376.8 176 368V257.9zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 480C312.1 480 363.4 459.4 402.7 425.3L86.7 109.3C52.62 148.6 32 199.9 32 256C32 379.7 132.3 480 256 480H256zM331.1 309.4L425.3 402.7C459.4 363.4 480 312.1 480 255.1C480 132.3 379.7 31.1 256 31.1C199.9 31.1 148.6 52.62 109.3 86.7L176 153.4V151.1C176 138.7 186.7 127.1 200 127.1H288C341 127.1 384 170.1 384 223.1C384 261.2 362.9 293.4 331.1 309.4V309.4zM307.6 284.1C333.3 276.7 352 252.5 352 224C352 188.7 323.3 160 288 160H208V185.4L307.6 284.1z"],
    "ban-smoking": [512, 512, [128685, "smoking-ban"], "f54d", "M256 0C114.8 0 0 114.8 0 256s114.8 256 256 256s256-114.8 256-256S397.2 0 256 0zM256 480c-123.5 0-224-100.5-224-224c0-56 20.81-107.1 54.91-146.5L201.4 224H128C110.3 224 96 238.3 96 256v32c0 17.66 14.34 32 32 32h169.4l105.1 105.1C363.1 459.2 312 480 256 480zM233.4 256l32 32H128V256H233.4zM425.1 402.5L341.5 318.9C347.6 316.6 352 310.9 352 304C352 295.2 344.8 288 336 288h-25.38l-32-32H336C344.8 256 352 248.8 352 240S344.8 224 336 224H246.6L109.5 86.91C148.9 52.81 199.1 32 256 32c123.5 0 224 100.5 224 224C480 312 459.2 363.1 425.1 402.5zM400 224C391.2 224 384 231.2 384 240v64c0 8.844 7.156 16 16 16S416 312.8 416 304v-64C416 231.2 408.8 224 400 224zM398.9 193.1c8.844 0 16-7.156 16-16c0-35.28-31.44-64-70.06-64h-34.75c-11.41 0-22.16-4.281-29.44-11.78c-5.746-5.902-8.807-13.33-8.592-20.89l.0918-2.795l-.5859-.0195C270.4 70.14 264.3 64.22 256.5 64h-.4518C247.4 64 240.3 70.88 240 79.56c-.4375 16.31 5.844 31.97 17.66 44.09c13.28 13.66 32.38 21.47 52.38 21.47h34.75c21 0 38.06 14.34 38.06 32C382.9 185.1 390 193.1 398.9 193.1z"],
    "banana": [576, 512, [], "e2e5", "M294.3 250.7c0 6.924 5.461 15.93 15.98 15.93c6.325 0 12.32-3.75 14.84-9.933c13.12-32.17 17.34-58.39 18.59-68.4c1.713-13.05 2.567-26.03 2.567-38.91c0-57.82-15.57-86.7-15.57-96.62c0-15.91 15.81-20.93 21.96-20.93c23.52 0 95.3 86.48 95.3 192.5c0 17.94-1.663 27.62-1.663 30.59c0 2.745 2.245 15.94 16.03 15.94c16.44 0 17.64-15.75 17.64-46.62c0-116.7-78.95-224.3-127.5-224.3c-27.97 0-53.75 22.8-53.75 52.9c0 20.25 15.47 39.6 15.47 96.45c0 11.66-.7781 23.45-2.339 35.34C307.6 220.2 294.3 243.5 294.3 250.7zM576 398.5c0-2.57-.6256-5.176-1.944-7.593l-23.28-42.77c-19.29-35.48-54.23-55.88-90.83-55.88c-12.37 0-24.93 2.329-37.14 7.192l-81.59 32.45L299.2 288.4C279.3 267.7 252.5 256.8 225.5 256.8c-14.7 0-29.47 3.234-43.25 9.887L137 288.5c-5.718 2.759-9.038 8.442-9.038 14.36c0 8.409 6.817 15.95 16.02 15.95c2.34 0 4.714-.517 6.955-1.607l45.22-21.84c9.313-4.5 19.08-6.652 28.77-6.652c13.13 0 26.12 3.953 37.64 11.37C218.5 355.5 118.1 388.3 45.91 388.3C20.59 388.3 0 408.1 0 434.4v29.56c0 25.42 20.69 46.09 46.12 46.09h55.75c40.35 0 285.8 34.48 361.2-185.6c23.98 1.236 46.71 15.16 59.58 38.81l23.28 42.77c1.616 2.96 6.915 8.465 14.09 8.465C567.7 414.5 576 408.2 576 398.5zM91.03 478.2H46.12c-7.781 0-14.12-6.382-14.12-14.21v-29.56c0-7.845 6.25-14.23 13.91-14.23c82.34 0 190.5-36.75 240.7-98.92l39.06 40.46c3.068 3.184 7.256 4.877 11.53 4.877c1.995 0 4.009-.3685 5.937-1.126l82.47-32.81C352.3 506.5 154.3 478.1 91.03 478.2z"],
    "bandage": [640, 512, [129657, "band-aid"], "f462", "M248 208C248 194.7 258.7 184 272 184C285.3 184 296 194.7 296 208C296 221.3 285.3 232 272 232C258.7 232 248 221.3 248 208zM392 208C392 221.3 381.3 232 368 232C354.7 232 344 221.3 344 208C344 194.7 354.7 184 368 184C381.3 184 392 194.7 392 208zM248 304C248 290.7 258.7 280 272 280C285.3 280 296 290.7 296 304C296 317.3 285.3 328 272 328C258.7 328 248 317.3 248 304zM392 304C392 317.3 381.3 328 368 328C354.7 328 344 317.3 344 304C344 290.7 354.7 280 368 280C381.3 280 392 290.7 392 304zM560 96C604.2 96 640 131.8 640 176V336C640 380.2 604.2 416 560 416H80C35.82 416 0 380.2 0 336V176C0 131.8 35.82 96 80 96H560zM480 384H560C586.5 384 608 362.5 608 336V176C608 149.5 586.5 128 560 128H480V384zM448 128H192V384H448V128zM160 384V128H80C53.49 128 32 149.5 32 176V336C32 362.5 53.49 384 80 384H160z"],
    "bangladeshi-taka-sign": [384, 512, [], "e2e6", "M57.92 33.11C97.96 38.12 128 72.15 128 112.5V191.1H176C184.8 191.1 192 199.2 192 207.1C192 216.8 184.8 223.1 176 223.1H128V399.1C128 426.5 149.5 447.1 176 447.1H208C287.5 447.1 352 383.5 352 303.1V271.1C352 245.5 330.5 223.1 304 223.1H272C263.2 223.1 256 216.8 256 207.1C256 199.2 263.2 191.1 272 191.1H304C348.2 191.1 384 227.8 384 271.1V303.1C384 401.2 305.2 479.1 208 479.1H176C131.8 479.1 96 444.2 96 399.1V223.1H48C39.17 223.1 32 216.8 32 207.1C32 199.2 39.17 191.1 48 191.1H96V112.5C96 88.29 77.98 67.87 53.96 64.87L46.02 63.87C37.25 62.78 31.03 54.78 32.13 46.01C33.22 37.24 41.22 31.03 49.99 32.12L57.92 33.11z"],
    "banjo": [512, 512, [129685], "f8a3", "M147.3 316.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l48 48C175.8 390.4 179.9 392 184 392s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L147.3 316.7zM501.3 37.47l-26.71-26.7C467.7 3.871 458.3 0 448.5 0c-9.83 0-19.09 3.844-26.23 11l-41.08 44.2c-3.021 3.252-5.084 7.279-5.955 11.63l-11.82 59.09L298.3 191C273.2 170.3 242.2 156.9 208 153.6V144C208 135.2 200.8 128 192 128S176 135.2 176 144v9.619C141.8 156.9 110.8 170.3 85.67 191L78.88 184.2c-6.25-6.25-16.38-6.25-22.62 0c-6.25 6.25-6.25 16.38 0 22.62l6.789 6.789C42.27 238.8 28.91 269.8 25.62 304H16C7.156 304 0 311.2 0 320s7.156 16 16 16h9.617c3.297 34.22 16.66 65.22 37.42 90.35l-6.789 6.789c-6.25 6.25-6.25 16.38 0 22.62c6.246 6.246 16.37 6.254 22.62 0l6.791-6.791C110.8 469.7 141.8 483.1 176 486.4V496c0 8.844 7.161 16 16 16S208 504.8 208 496v-9.619c34.21-3.297 65.21-16.65 90.33-37.41l6.791 6.791c6.246 6.246 16.37 6.254 22.62 0c6.25-6.25 6.25-16.38 0-22.62l-6.789-6.789C341.7 401.2 355.1 370.2 358.4 336H368c8.844 0 16.01-7.156 16.01-16S376.8 304 368 304h-9.617c-3.297-34.22-16.66-65.22-37.42-90.35l65.16-65.15l59.04-11.8c4.354-.8711 8.381-2.934 11.63-5.957l44.47-41.33C515.6 75.09 515.6 51.78 501.3 37.47zM328 320c0 74.98-61 136-136 136S56 394.1 56 320S117 184 192 184S328 245 328 320zM479.5 65.97L436.7 105.8l-38.07 7.611l7.613-38.05l38.75-41.72c2.926-2.934 5.998-1.178 6.975-.2012l26.7 26.7C480.4 61.87 480.3 65.07 479.5 65.97z"],
    "barcode": [512, 512, [], "f02a", "M0 48C0 39.16 7.164 32 16 32C24.84 32 32 39.16 32 48V464C32 472.8 24.84 480 16 480C7.164 480 0 472.8 0 464V48zM64 48C64 39.16 71.16 32 80 32C88.84 32 96 39.16 96 48V464C96 472.8 88.84 480 80 480C71.16 480 64 472.8 64 464V48zM160 48V464C160 472.8 152.8 480 144 480C135.2 480 128 472.8 128 464V48C128 39.16 135.2 32 144 32C152.8 32 160 39.16 160 48zM224 48C224 39.16 231.2 32 240 32C248.8 32 256 39.16 256 48V464C256 472.8 248.8 480 240 480C231.2 480 224 472.8 224 464V48zM320 48V464C320 472.8 312.8 480 304 480C295.2 480 288 472.8 288 464V48C288 39.16 295.2 32 304 32C312.8 32 320 39.16 320 48zM384 48C384 39.16 391.2 32 400 32C408.8 32 416 39.16 416 48V464C416 472.8 408.8 480 400 480C391.2 480 384 472.8 384 464V48zM512 48V464C512 472.8 504.8 480 496 480C487.2 480 480 472.8 480 464V48C480 39.16 487.2 32 496 32C504.8 32 512 39.16 512 48z"],
    "barcode-read": [576, 512, [], "f464", "M48 32C39.16 32 32 39.16 32 48V144C32 152.8 24.84 160 16 160C7.164 160 0 152.8 0 144V48C0 21.49 21.49 0 48 0H144C152.8 0 160 7.164 160 16C160 24.84 152.8 32 144 32H48zM160 144V368C160 376.8 152.8 384 144 384C135.2 384 128 376.8 128 368V144C128 135.2 135.2 128 144 128C152.8 128 160 135.2 160 144zM192 144C192 135.2 199.2 128 208 128C216.8 128 224 135.2 224 144V368C224 376.8 216.8 384 208 384C199.2 384 192 376.8 192 368V144zM416 144C416 135.2 423.2 128 432 128C440.8 128 448 135.2 448 144V368C448 376.8 440.8 384 432 384C423.2 384 416 376.8 416 368V144zM288 144V368C288 376.8 280.8 384 272 384C263.2 384 256 376.8 256 368V144C256 135.2 263.2 128 272 128C280.8 128 288 135.2 288 144zM336 144C336 135.2 343.2 128 352 128C360.8 128 368 135.2 368 144V368C368 376.8 360.8 384 352 384C343.2 384 336 376.8 336 368V144zM544 48C544 39.16 536.8 32 528 32H432C423.2 32 416 24.84 416 16C416 7.164 423.2 0 432 0H528C554.5 0 576 21.49 576 48V144C576 152.8 568.8 160 560 160C551.2 160 544 152.8 544 144V48zM144 480C152.8 480 160 487.2 160 496C160 504.8 152.8 512 144 512H48C21.49 512 0 490.5 0 464V368C0 359.2 7.164 352 16 352C24.84 352 32 359.2 32 368V464C32 472.8 39.16 480 48 480H144zM544 368C544 359.2 551.2 352 560 352C568.8 352 576 359.2 576 368V464C576 490.5 554.5 512 528 512H432C423.2 512 416 504.8 416 496C416 487.2 423.2 480 432 480H528C536.8 480 544 472.8 544 464V368z"],
    "barcode-scan": [640, 512, [], "f465", "M64 48C64 39.16 71.16 32 80 32C88.84 32 96 39.16 96 48V192H64V48zM64 464V320H96V464C96 472.8 88.84 480 80 480C71.16 480 64 472.8 64 464zM144 480C135.2 480 128 472.8 128 464V320H160V464C160 472.8 152.8 480 144 480zM144 32C152.8 32 160 39.16 160 48V192H128V48C128 39.16 135.2 32 144 32zM192 464V320H224V464C224 472.8 216.8 480 208 480C199.2 480 192 472.8 192 464zM208 32C216.8 32 224 39.16 224 48V192H192V48C192 39.16 199.2 32 208 32zM288 464V320H320V464C320 472.8 312.8 480 304 480C295.2 480 288 472.8 288 464zM304 32C312.8 32 320 39.16 320 48V192H288V48C288 39.16 295.2 32 304 32zM352 464V320H384V464C384 472.8 376.8 480 368 480C359.2 480 352 472.8 352 464zM368 32C376.8 32 384 39.16 384 48V192H352V48C352 39.16 359.2 32 368 32zM448 464V320H480V464C480 472.8 472.8 480 464 480C455.2 480 448 472.8 448 464zM464 32C472.8 32 480 39.16 480 48V192H448V48C448 39.16 455.2 32 464 32zM544 464V320H576V464C576 472.8 568.8 480 560 480C551.2 480 544 472.8 544 464zM560 32C568.8 32 576 39.16 576 48V192H544V48C544 39.16 551.2 32 560 32zM16 240H624C632.8 240 640 247.2 640 256C640 264.8 632.8 272 624 272H16C7.164 272 0 264.8 0 256C0 247.2 7.164 240 16 240z"],
    "bars": [448, 512, ["navicon"], "f0c9", "M0 80C0 71.16 7.164 64 16 64H432C440.8 64 448 71.16 448 80C448 88.84 440.8 96 432 96H16C7.164 96 0 88.84 0 80zM0 240C0 231.2 7.164 224 16 224H432C440.8 224 448 231.2 448 240C448 248.8 440.8 256 432 256H16C7.164 256 0 248.8 0 240zM432 416H16C7.164 416 0 408.8 0 400C0 391.2 7.164 384 16 384H432C440.8 384 448 391.2 448 400C448 408.8 440.8 416 432 416z"],
    "bars-filter": [448, 512, [], "e0ad", "M0 80C0 71.16 7.164 64 16 64H432C440.8 64 448 71.16 448 80C448 88.84 440.8 96 432 96H16C7.164 96 0 88.84 0 80zM64 240C64 231.2 71.16 224 80 224H368C376.8 224 384 231.2 384 240C384 248.8 376.8 256 368 256H80C71.16 256 64 248.8 64 240zM272 416H176C167.2 416 160 408.8 160 400C160 391.2 167.2 384 176 384H272C280.8 384 288 391.2 288 400C288 408.8 280.8 416 272 416z"],
    "bars-progress": [512, 512, ["tasks-alt"], "f828", "M464 64C490.5 64 512 85.49 512 112V176C512 202.5 490.5 224 464 224H48C21.49 224 0 202.5 0 176V112C0 85.49 21.49 64 48 64H464zM464 96H320V192H464C472.8 192 480 184.8 480 176V112C480 103.2 472.8 96 464 96zM32 112V176C32 184.8 39.16 192 48 192H288V96H48C39.16 96 32 103.2 32 112zM464 288C490.5 288 512 309.5 512 336V400C512 426.5 490.5 448 464 448H48C21.49 448 0 426.5 0 400V336C0 309.5 21.49 288 48 288H464zM464 320H192V416H464C472.8 416 480 408.8 480 400V336C480 327.2 472.8 320 464 320zM32 336V400C32 408.8 39.16 416 48 416H160V320H48C39.16 320 32 327.2 32 336z"],
    "bars-sort": [448, 512, [], "e0ae", "M0 80C0 71.16 7.164 64 16 64H432C440.8 64 448 71.16 448 80C448 88.84 440.8 96 432 96H16C7.164 96 0 88.84 0 80zM0 240C0 231.2 7.164 224 16 224H304C312.8 224 320 231.2 320 240C320 248.8 312.8 256 304 256H16C7.164 256 0 248.8 0 240zM176 416H16C7.164 416 0 408.8 0 400C0 391.2 7.164 384 16 384H176C184.8 384 192 391.2 192 400C192 408.8 184.8 416 176 416z"],
    "bars-staggered": [512, 512, ["reorder", "stream"], "f550", "M0 80C0 71.16 7.164 64 16 64H432C440.8 64 448 71.16 448 80C448 88.84 440.8 96 432 96H16C7.164 96 0 88.84 0 80zM64 240C64 231.2 71.16 224 80 224H496C504.8 224 512 231.2 512 240C512 248.8 504.8 256 496 256H80C71.16 256 64 248.8 64 240zM432 416H16C7.164 416 0 408.8 0 400C0 391.2 7.164 384 16 384H432C440.8 384 448 391.2 448 400C448 408.8 440.8 416 432 416z"],
    "baseball": [512, 512, [129358, 9918, "baseball-ball"], "f433", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM455.2 296.8c7.027-.7109 14.03-.7422 21.01-.4687c-16.68 91.2-88.66 163.2-179.9 179.8C296.3 474.8 296 473.5 296 472.2c0-4.812 .1875-9.562 .5938-14.34c.75-8.812-5.781-16.56-14.59-17.28c-8.687-.5938-16.53 5.781-17.28 14.59C264.3 460.8 264 466.5 264 472.2c0 2.488 .4121 4.914 .5645 7.379C261.7 479.7 258.9 480 256 480c-123.5 0-224-100.5-224-224c0-2.883 .3242-5.688 .4336-8.547c2.58 .1562 5.117 .5781 7.723 .5781c6.281 0 12.5-.2813 18.75-.8438c8.812-.8125 15.28-8.625 14.47-17.41C72.53 220.1 64.5 214.7 55.97 215.3C49.22 215.9 42.51 215.1 35.82 215.7C52.48 124.5 124.5 52.48 215.7 35.82c.0566 1.352 .3066 2.668 .3066 4.023c0 5.125-.2187 10.22-.6562 15.31C214.6 63.97 221.2 71.69 229.1 72.44C230.4 72.47 230.9 72.5 231.3 72.5c8.219 0 15.22-6.312 15.91-14.66c.5-5.969 .7813-12 .7813-18c0-2.5-.4121-4.938-.5645-7.414C250.3 32.32 253.1 32 256 32c123.5 0 224 100.5 224 224c0 2.93-.3281 5.777-.4395 8.68c-9.139-.4844-18.31-.6094-27.53 .2578c-8.781 .875-15.22 8.688-14.38 17.5C438.5 291.2 446.6 297.6 455.2 296.8zM220.9 106.3C212.9 102.7 203.4 106.1 199.7 114.1c-12.94 28-33.25 52.25-58.75 70.03C132.7 189.9 123.9 195 114.8 199.3C106.8 203.1 103.4 212.7 107.2 220.7c2.75 5.781 8.5 9.156 14.47 9.156c2.312 0 4.625-.5 6.844-1.531c10.72-5.062 21.09-11.09 30.78-17.88c30.12-21.06 54.13-49.69 69.47-82.84C232.4 119.5 228.1 110 220.9 106.3zM382.6 284.2c-10.34 4.906-20.38 10.78-29.91 17.47c-30.34 21.25-54.5 50.22-69.84 83.75c-3.656 8.031-.125 17.53 7.906 21.22c2.156 .9687 4.406 1.438 6.656 1.438c6.062 0 11.88-3.469 14.56-9.344c12.97-28.34 33.41-52.88 59.09-70.88c8.062-5.656 16.56-10.62 25.28-14.78c8-3.812 11.38-13.34 7.562-21.31C400.1 283.7 390.5 280.3 382.6 284.2z"],
    "baseball-bat-ball": [640, 512, [], "f432", "M627.3 60.18l-23.63-32.5c-22.63-31.12-64.75-35.87-93.63-14.87L307.8 159.7c-45.63 33.12-87.37 71.25-124.4 113.7c-29 33.37-72.53 78.59-130.3 120.6l-21.63 15.75c-.25-.375-11.25-17.5-25.5-6.248c-6.875 5.498-8 15.62-2.5 22.5l64 79.99c5.25 6.5 15.25 8.25 22.5 2.5c.5-.375 12.88-9.498 .125-25.5l18.12-13.25c66.01-47.87 122.4-72.46 155.2-86.46c51.88-21.1 101.2-49.88 146.9-82.1l202.3-146.7C642.3 131.8 648.9 90.05 627.3 60.18zM70.12 458l-18.62-23.25c28.88-20.87 71.75-50.62 125-106.2l32.25 44.37C140.6 405.8 99.25 436.8 70.12 458zM593.7 127.7c-247 179.1-243.1 182.5-359.9 233.7L195 308.3c84.88-94.99 86.51-90.12 333.8-269.5c14.88-10.75 37-8.75 49 7.623l23.5 32.5C612.8 94.54 609.3 116.3 593.7 127.7zM496.1 352C451.1 352 416 387.9 416 432c0 44.13 35.97 80 80.09 80s79.91-35.88 79.91-80C576 387.9 540.2 352 496.1 352zM496 480c-26.5 0-48-21.5-48-48c0-26.5 21.5-47.1 48-47.1c26.5 0 48 21.5 48 47.1C544 458.5 522.5 480 496 480z"],
    "basket-shopping": [576, 512, ["shopping-basket"], "f291", "M224 400C224 408.8 216.8 416 208 416C199.2 416 192 408.8 192 400V304C192 295.2 199.2 288 208 288C216.8 288 224 295.2 224 304V400zM288 288C296.8 288 304 295.2 304 304V400C304 408.8 296.8 416 288 416C279.2 416 272 408.8 272 400V304C272 295.2 279.2 288 288 288zM384 400C384 408.8 376.8 416 368 416C359.2 416 352 408.8 352 400V304C352 295.2 359.2 288 368 288C376.8 288 384 295.2 384 304V400zM349.8 7.943L457.2 192H560C568.8 192 576 199.2 576 208C576 216.8 568.8 224 560 224H536L476.1 463.5C468.1 492 443.4 512 414 512H161.1C132.6 512 107 492 99.88 463.5L40 224H16C7.164 224 0 216.8 0 208C0 199.2 7.164 192 16 192H118.8L226.2 7.943C230.6 .3098 240.4-2.268 248.1 2.184C255.7 6.637 258.3 16.43 253.8 24.07L155.9 192H420.1L322.2 24.07C317.7 16.43 320.3 6.637 327.9 2.184C335.6-2.268 345.4 .3098 349.8 7.943V7.943zM130.9 455.8C134.5 470 147.3 480 161.1 480H414C428.7 480 441.5 470 445.1 455.8L503 224H72.98L130.9 455.8z"],
    "basket-shopping-simple": [576, 512, ["shopping-basket-alt"], "e0af", "M192 296C192 309.3 181.3 320 168 320C154.7 320 144 309.3 144 296C144 282.7 154.7 272 168 272C181.3 272 192 282.7 192 296zM384 296C384 282.7 394.7 272 408 272C421.3 272 432 282.7 432 296C432 309.3 421.3 320 408 320C394.7 320 384 309.3 384 296zM322.2 24.07C317.7 16.43 320.3 6.637 327.9 2.184C335.6-2.268 345.4 .3098 349.8 7.943L457.2 192H560C568.8 192 576 199.2 576 208C576 216.8 568.8 224 560 224H536L476.1 463.5C468.1 492 443.4 512 414 512H161.1C132.6 512 107 492 99.88 463.5L40 224H16C7.164 224 0 216.8 0 208C0 199.2 7.164 192 16 192H118.8L226.2 7.943C230.6 .3098 240.4-2.268 248.1 2.184C255.7 6.637 258.3 16.43 253.8 24.07L155.9 192H420.1L322.2 24.07zM503 224H72.98L130.9 455.8C134.5 470 147.3 480 161.1 480H414C428.7 480 441.5 470 445.1 455.8L503 224z"],
    "basketball": [512, 512, [127936, "basketball-ball"], "f434", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM480 256c0 .9766-.1348 1.922-.1465 2.896C469.4 257.1 458.7 256 448 256c-47.19 0-90.39 17.18-123.9 45.52L278.6 256l146.5-146.5C459.2 148.8 480 199.1 480 256zM288 448c0-38.34 14.12-73.1 36.69-100.7l77.78 77.78c-31.03 26.91-69.46 45.33-111.8 51.95C288.9 467.5 288 457.7 288 448zM402.5 86.91L256 233.4L210.5 187.9C238.8 154.4 256 111.2 256 64c0-10.68-1.139-21.36-2.896-31.85C254.1 32.13 255 32 256 32C312 32 363.2 52.81 402.5 86.91zM109.5 86.91c31.03-26.91 69.46-45.33 111.8-51.95C223.1 44.49 224 54.26 224 64c0 38.34-14.12 73.1-36.69 100.7L109.5 86.91zM86.91 109.5l77.78 77.78C137.1 209.9 102.3 224 64 224C54.26 224 44.49 223.1 34.96 221.4C41.58 178.1 59.1 140.6 86.91 109.5zM32 256c0-.9766 .1348-1.922 .1465-2.896C42.64 254.9 53.32 256 64 256c47.19 0 90.39-17.18 123.9-45.52L233.4 256l-146.5 146.5C52.81 363.2 32 312 32 256zM109.5 425.1L256 278.6l45.52 45.52C273.2 357.6 256 400.8 256 448c0 10.68 1.139 21.36 2.896 31.85C257.9 479.9 256.1 480 256 480C199.1 480 148.8 459.2 109.5 425.1zM425.1 402.5l-77.78-77.78C374.9 302.1 409.7 288 448 288c9.742 0 19.51 .8926 29.04 2.635C470.4 333 452 371.4 425.1 402.5z"],
    "basketball-hoop": [640, 512, [], "f435", "M631.5 175.8C572.6 71.38 455.4 0 320 0S67.37 71.38 8.504 175.8C2.955 185.7 0 196.8 0 208.1v118c0 25.43 15.05 48.44 38.35 58.63l67.03 29.32c11.29 4.939 23.7-4.207 22.31-16.46c-.6406-5.674-4.256-10.58-9.486-12.86l-67.03-29.32C39.53 350.4 32 338.9 32 326.1V208.1c0-5.664 1.189-10.8 3.439-14.86C90.61 93.79 199.6 32 320 32s229.4 61.79 284.6 161.2C606.8 197.3 608 202.4 608 208.1v118c0 12.71-7.525 24.22-19.17 29.32l-67.03 29.32c-5.23 2.287-8.846 7.189-9.486 12.86c-1.383 12.25 11.02 21.39 22.31 16.46l67.03-29.32C624.9 374.6 640 351.6 640 326.1V208.1C640 196.8 637 185.7 631.5 175.8zM464 208C472.8 208 480 200.8 480 192V160c0-17.67-14.33-32-32-32H192C174.3 128 160 142.3 160 160v32c0 8.836 7.164 16 16 16C184.8 208 192 200.8 192 192V160h256v32C448 200.8 455.2 208 464 208zM528 256c0-8.836-7.162-16-16-16H128C119.2 240 112 247.2 112 256S119.2 272 128 272h18.6l25.49 225.8c.6562 5.875 4.531 10.86 10 13.04c1.9 .7441 3.914 1.121 5.902 1.121c3.732 0 7.412-1.301 10.35-3.809l55.11-46.8l56.29 46.91C312.7 510.8 316.4 512 320 512s7.281-1.234 10.25-3.703l56.29-46.91l55.11 46.8C444.6 510.7 448.3 512 452 512c1.999 0 4-.375 5.906-1.125c5.469-2.172 9.344-7.162 10-13.04L493.4 272H512C520.8 272 528 264.8 528 256zM439.5 464.4l-32.22-27.36c-5.971-5.07-13.34-7.607-20.71-7.607c-7.273 0-14.55 2.469-20.49 7.416L320 475.2l-46.06-38.38c-5.938-4.947-13.21-7.416-20.49-7.416c-7.371 0-14.74 2.539-20.71 7.607l-32.22 27.36L178.8 272h282.4L439.5 464.4zM240 344c13.26 0 24-10.75 24-24c0-13.26-10.74-24-24-24c-13.25 0-24 10.74-24 24C216 333.3 226.7 344 240 344zM256 384c0 13.25 10.75 24 24 24c13.26 0 24-10.75 24-24c0-13.26-10.74-24-24-24C266.7 360 256 370.7 256 384zM336 384c0 13.25 10.75 24 24 24c13.26 0 24-10.75 24-24c0-13.26-10.74-24-24-24C346.7 360 336 370.7 336 384zM400 344c13.26 0 24-10.75 24-24c0-13.26-10.74-24-24-24c-13.25 0-24 10.74-24 24C376 333.3 386.7 344 400 344zM320 344c13.26 0 24-10.75 24-24c0-13.26-10.74-24-24-24c-13.25 0-24 10.74-24 24C296 333.3 306.7 344 320 344z"],
    "bat": [576, 512, [], "f6b5", "M380.9 159.2L452.6 125C468.8 117.3 488.1 121.4 499.7 135C548.9 192.4 576 265.6 576 341.2V378.8C576 388.6 565.8 394.9 557.1 390.5L493.3 358.6C485.8 354.9 476.7 357.5 472.4 364.7L442.5 414.4C437.2 423.4 424.9 424.9 417.5 417.5L380.9 380.9C374.1 374.1 362.8 374.8 356.9 382.4L300.7 455.5C294.3 463.8 281.7 463.8 275.3 455.5L219.1 382.4C213.2 374.8 201.9 374.1 195.1 380.9L158.5 417.5C151.1 424.9 138.8 423.4 133.5 414.4L103.6 364.7C99.32 357.5 90.23 354.9 82.75 358.6L18.93 390.5C10.23 394.9 0 388.6 0 378.8V341.2C0 265.6 27.05 192.4 76.27 135C87.91 121.4 107.2 117.3 123.4 125L195.1 159.2L213.8 59.52C215.1 52.84 220.9 48 227.7 48C230.5 48 233.2 48.83 235.6 50.37L280 80H296L340.4 50.37C342.8 48.83 345.5 48 348.3 48C355.1 48 360.9 52.84 362.2 59.52L380.9 159.2zM270.3 112L240.3 91.1L218.9 205.1L109.6 153.9C106.5 152.4 102.8 153.2 100.6 155.8C56.32 207.5 31.1 273.2 31.1 341.2V348.2L68.44 330C90.87 318.8 118.2 326.7 131.1 348.2L150.4 380.4L172.5 358.3C192.1 337.8 226.8 339.1 244.5 362.9L287.1 419.5L331.5 362.9C349.2 339.1 383 337.8 403.5 358.3L425.6 380.4L444.9 348.2C457.8 326.7 485.1 318.8 507.6 330L544 348.2V341.2C544 273.2 519.7 207.5 475.4 155.8C473.2 153.2 469.5 152.4 466.4 153.9L357.1 205.1L335.7 91.1L305.7 112H270.3z"],
    "bath": [512, 512, [128705, "bathtub"], "f2cd", "M464 320c-8.844 0-16 7.156-16 16v32c0 44.11-35.89 80-80 80h-224C99.89 448 64 412.1 64 368v-32C64 327.2 56.84 320 48 320S32 327.2 32 336v32c0 30.4 12.27 57.93 32 78.13V496C64 504.8 71.16 512 80 512C88.84 512 96 504.8 96 496v-27.23C110.6 475.8 126.8 480 144 480h224c17.24 0 33.39-4.242 48-11.23V496c0 8.836 7.164 16 16 16c8.838 0 16-7.164 16-16v-49.87c19.73-20.2 32-47.74 32-78.13v-32C480 327.2 472.8 320 464 320zM496 256H64V61.25C64 45.13 77.13 32 93.25 32C100.1 32 108.5 35.13 113.9 40.56l25.32 25.32C121.6 93.88 124.8 131.3 149.2 155.7l12.88 12.88C158.9 174.6 159.6 182.2 164.7 187.3C167.8 190.4 171.9 192 176 192s8.188-1.562 11.31-4.688l96-96c6.25-6.25 6.25-16.38 0-22.62c-5.104-5.104-12.69-5.811-18.74-2.582L251.7 53.22C237.5 39.07 218.1 32 200.5 32C187 32 173.6 35.83 161.9 43.26L136.6 17.94C125 6.375 109.6 0 93.25 0C59.48 0 32 27.47 32 61.25v194.8L16 256C7.164 256 0 263.2 0 272S7.164 288 16 288h480C504.8 288 512 280.8 512 272S504.8 256 496 256zM171.8 75.85C179.5 68.21 189.6 64 200.5 64s20.96 4.207 28.61 11.85l12.23 12.23L184.1 145.3L171.8 133.1C156.1 117.3 156.1 91.62 171.8 75.85z"],
    "battery-bolt": [576, 512, [], "f376", "M355.8 96H432C476.2 96 512 131.8 512 176V336C512 380.2 476.2 416 432 416H244.2L280.2 384H432C458.5 384 480 362.5 480 336V176C480 149.5 458.5 128 432 128H368C368 116.7 364 105.3 355.9 96.11L355.8 96zM283.8 96L247.8 128H80C53.49 128 32 149.5 32 176V336C32 362.5 53.49 384 80 384H159.1C159.1 395.3 163.1 406.7 172.1 415.9L172.2 416H80C35.82 416 0 380.2 0 336V176C0 131.8 35.82 96 80 96H283.8zM560 192C568.8 192 576 199.2 576 208V304C576 312.8 568.8 320 560 320C551.2 320 544 312.8 544 304V208C544 199.2 551.2 192 560 192zM218.1 240H352C358.6 240 364.6 244.1 366.1 250.3C369.3 256.5 367.6 263.5 362.6 267.1L218.6 395.1C212 401.8 201.9 401.2 196 394.6C190.2 388 190.8 377.9 197.4 372L309.9 271.1H176C169.4 271.1 163.4 267.9 161 261.7C158.7 255.5 160.4 248.5 165.4 244L309.4 116C315.1 110.2 326.1 110.8 331.1 117.4C337.8 123.1 337.2 134.1 330.6 139.1L218.1 240z"],
    "battery-empty": [576, 512, ["battery-0"], "f244", "M432 96C476.2 96 512 131.8 512 176V336C512 380.2 476.2 416 432 416H80C35.82 416 0 380.2 0 336V176C0 131.8 35.82 96 80 96H432zM32 336C32 362.5 53.49 384 80 384H432C458.5 384 480 362.5 480 336V176C480 149.5 458.5 128 432 128H80C53.49 128 32 149.5 32 176V336zM560 192C568.8 192 576 199.2 576 208V304C576 312.8 568.8 320 560 320C551.2 320 544 312.8 544 304V208C544 199.2 551.2 192 560 192z"],
    "battery-exclamation": [576, 512, [], "e0b0", "M208 128H80C53.49 128 32 149.5 32 176V336C32 362.5 53.49 384 80 384H208.5C209.1 396 214.8 407 222 416H80C35.82 416 0 380.2 0 336V176C0 131.8 35.82 96 80 96H208L208 128zM336 96H432C476.2 96 512 131.8 512 176V336C512 380.2 476.2 416 432 416H321.1C329.2 407 334 396 335.5 384H432C458.5 384 480 362.5 480 336V176C480 149.5 458.5 128 432 128H336L336 96zM560 192C568.8 192 576 199.2 576 208V304C576 312.8 568.8 320 560 320C551.2 320 544 312.8 544 304V208C544 199.2 551.2 192 560 192zM296 376C296 389.3 285.3 400 272 400C258.7 400 248 389.3 248 376C248 362.7 258.7 352 272 352C285.3 352 296 362.7 296 376zM288 304C288 312.8 280.8 320 272 320C263.2 320 256 312.8 256 304V112C256 103.2 263.2 96 272 96C280.8 96 288 103.2 288 112V304z"],
    "battery-full": [576, 512, [128267, "battery", "battery-5"], "f240", "M64 208C64 181.5 85.49 160 112 160H400C426.5 160 448 181.5 448 208V304C448 330.5 426.5 352 400 352H112C85.49 352 64 330.5 64 304V208zM96 208V304C96 312.8 103.2 320 112 320H400C408.8 320 416 312.8 416 304V208C416 199.2 408.8 192 400 192H112C103.2 192 96 199.2 96 208zM0 176C0 131.8 35.82 96 80 96H432C476.2 96 512 131.8 512 176V336C512 380.2 476.2 416 432 416H80C35.82 416 0 380.2 0 336V176zM80 128C53.49 128 32 149.5 32 176V336C32 362.5 53.49 384 80 384H432C458.5 384 480 362.5 480 336V176C480 149.5 458.5 128 432 128H80zM576 304C576 312.8 568.8 320 560 320C551.2 320 544 312.8 544 304V208C544 199.2 551.2 192 560 192C568.8 192 576 199.2 576 208V304z"],
    "battery-half": [576, 512, ["battery-3"], "f242", "M64 208C64 181.5 85.49 160 112 160H240C266.5 160 288 181.5 288 208V304C288 330.5 266.5 352 240 352H112C85.49 352 64 330.5 64 304V208zM96 208V304C96 312.8 103.2 320 112 320H240C248.8 320 256 312.8 256 304V208C256 199.2 248.8 192 240 192H112C103.2 192 96 199.2 96 208zM0 176C0 131.8 35.82 96 80 96H432C476.2 96 512 131.8 512 176V336C512 380.2 476.2 416 432 416H80C35.82 416 0 380.2 0 336V176zM80 128C53.49 128 32 149.5 32 176V336C32 362.5 53.49 384 80 384H432C458.5 384 480 362.5 480 336V176C480 149.5 458.5 128 432 128H80zM576 304C576 312.8 568.8 320 560 320C551.2 320 544 312.8 544 304V208C544 199.2 551.2 192 560 192C568.8 192 576 199.2 576 208V304z"],
    "battery-low": [576, 512, ["battery-1"], "e0b1", "M64 208C64 181.5 85.49 160 112 160C138.5 160 160 181.5 160 208V304C160 330.5 138.5 352 112 352C85.49 352 64 330.5 64 304V208zM112 192C103.2 192 96 199.2 96 208V304C96 312.8 103.2 320 112 320C120.8 320 128 312.8 128 304V208C128 199.2 120.8 192 112 192zM0 176C0 131.8 35.82 96 80 96H432C476.2 96 512 131.8 512 176V336C512 380.2 476.2 416 432 416H80C35.82 416 0 380.2 0 336V176zM80 128C53.49 128 32 149.5 32 176V336C32 362.5 53.49 384 80 384H432C458.5 384 480 362.5 480 336V176C480 149.5 458.5 128 432 128H80zM576 304C576 312.8 568.8 320 560 320C551.2 320 544 312.8 544 304V208C544 199.2 551.2 192 560 192C568.8 192 576 199.2 576 208V304z"],
    "battery-quarter": [576, 512, ["battery-2"], "f243", "M64 208C64 181.5 85.49 160 112 160H144C170.5 160 192 181.5 192 208V304C192 330.5 170.5 352 144 352H112C85.49 352 64 330.5 64 304V208zM96 208V304C96 312.8 103.2 320 112 320H144C152.8 320 160 312.8 160 304V208C160 199.2 152.8 192 144 192H112C103.2 192 96 199.2 96 208zM0 176C0 131.8 35.82 96 80 96H432C476.2 96 512 131.8 512 176V336C512 380.2 476.2 416 432 416H80C35.82 416 0 380.2 0 336V176zM80 128C53.49 128 32 149.5 32 176V336C32 362.5 53.49 384 80 384H432C458.5 384 480 362.5 480 336V176C480 149.5 458.5 128 432 128H80zM576 304C576 312.8 568.8 320 560 320C551.2 320 544 312.8 544 304V208C544 199.2 551.2 192 560 192C568.8 192 576 199.2 576 208V304z"],
    "battery-slash": [640, 512, [], "f377", "M633.9 483.4C640.9 488.9 642 498.1 636.6 505.9C631.1 512.9 621 514 614.1 508.6L6.086 28.56C-.8493 23.08-2.033 13.02 3.443 6.086C8.918-.8493 18.98-2.033 25.91 3.443L633.9 483.4zM544 336C544 340.9 543.6 345.7 542.7 350.3L512 326V176C512 149.5 490.5 128 464 128H261.2L220.6 96H464C508.2 96 544 131.8 544 176V336zM50.53 124.8L75.66 144.6C68.39 153.1 64 164 64 176V336C64 362.5 85.49 384 112 384H378.8L419.4 416H112C67.82 416 32 380.2 32 336V176C32 156.5 38.96 138.7 50.53 124.8V124.8zM592 192C600.8 192 608 199.2 608 208V304C608 312.8 600.8 320 592 320C583.2 320 576 312.8 576 304V208C576 199.2 583.2 192 592 192V192z"],
    "battery-three-quarters": [576, 512, ["battery-4"], "f241", "M64 208C64 181.5 85.49 160 112 160H304C330.5 160 352 181.5 352 208V304C352 330.5 330.5 352 304 352H112C85.49 352 64 330.5 64 304V208zM96 208V304C96 312.8 103.2 320 112 320H304C312.8 320 320 312.8 320 304V208C320 199.2 312.8 192 304 192H112C103.2 192 96 199.2 96 208zM0 176C0 131.8 35.82 96 80 96H432C476.2 96 512 131.8 512 176V336C512 380.2 476.2 416 432 416H80C35.82 416 0 380.2 0 336V176zM80 128C53.49 128 32 149.5 32 176V336C32 362.5 53.49 384 80 384H432C458.5 384 480 362.5 480 336V176C480 149.5 458.5 128 432 128H80zM576 304C576 312.8 568.8 320 560 320C551.2 320 544 312.8 544 304V208C544 199.2 551.2 192 560 192C568.8 192 576 199.2 576 208V304z"],
    "bed": [640, 512, [128716], "f236", "M32 320H256V176C256 149.5 277.5 128 304 128H528C589.9 128 640 178.1 640 240V464C640 472.8 632.8 480 624 480C615.2 480 608 472.8 608 464V416H32V464C32 472.8 24.84 480 16 480C7.164 480 0 472.8 0 464V48C0 39.16 7.164 32 16 32C24.84 32 32 39.16 32 48V320zM608 352H32V384H608V352zM528 160H304C295.2 160 288 167.2 288 176V320H608V240C608 195.8 572.2 160 528 160zM224 208C224 252.2 188.2 288 144 288C99.82 288 64 252.2 64 208C64 163.8 99.82 128 144 128C188.2 128 224 163.8 224 208zM144 160C117.5 160 96 181.5 96 208C96 234.5 117.5 256 144 256C170.5 256 192 234.5 192 208C192 181.5 170.5 160 144 160z"],
    "bed-bunk": [576, 512, [], "f8f8", "M64 320C64 284.7 92.65 256 128 256C163.3 256 192 284.7 192 320C192 355.3 163.3 384 128 384C92.65 384 64 355.3 64 320zM128 352C145.7 352 160 337.7 160 320C160 302.3 145.7 288 128 288C110.3 288 96 302.3 96 320C96 337.7 110.3 352 128 352zM32 160H224V32C224 14.33 238.3 0 256 0H464C525.9 0 576 50.14 576 112V496C576 504.8 568.8 512 560 512C551.2 512 544 504.8 544 496V447.7H32V496C32 504.8 24.84 512 16 512C7.164 512 0 504.8 0 496V16C0 7.164 7.164 0 16 0C24.84 0 32 7.164 32 16V160zM256 256H544V192H32V415.7H224V288C224 270.3 238.3 256 256 256zM464 32H256V160H544V112C544 67.82 508.2 32 464 32zM256 415.7H544V288H256V415.7zM64 64C64 28.65 92.65 0 128 0C163.3 0 192 28.65 192 64C192 99.35 163.3 128 128 128C92.65 128 64 99.35 64 64zM128 96C145.7 96 160 81.67 160 64C160 46.33 145.7 32 128 32C110.3 32 96 46.33 96 64C96 81.67 110.3 96 128 96z"],
    "bed-empty": [640, 512, [128719], "f8f9", "M16 32C24.84 32 32 39.16 32 48V192H528C589.9 192 640 242.1 640 304V464C640 472.8 632.8 480 624 480C615.2 480 608 472.8 608 464V416H32V464C32 472.8 24.84 480 16 480C7.164 480 0 472.8 0 464V48C0 39.16 7.164 32 16 32zM32 384H608V352H32V384zM32 320H608V304C608 259.8 572.2 224 528 224H32V320z"],
    "bed-front": [512, 512, ["bed-alt"], "f8f7", "M480 239.1C499.4 254.6 512 277.8 512 304V464C512 472.8 504.8 480 496 480C487.2 480 480 472.8 480 464V416H32V464C32 472.8 24.84 480 16 480C7.164 480 0 472.8 0 464V304C0 277.8 12.57 254.6 32 239.1V96C32 60.65 60.65 32 96 32H416C451.3 32 480 60.65 480 96V239.1zM64 136.6C73.41 131.1 84.34 128 96 128H208C227.1 128 244.3 136.4 256 149.7C267.7 136.4 284.9 128 304 128H416C427.7 128 438.6 131.1 448 136.6V96C448 78.33 433.7 64 416 64H96C78.33 64 64 78.33 64 96V136.6zM448 225.6V192C448 174.3 433.7 160 416 160H304C286.3 160 272 174.3 272 192V224H432C437.5 224 442.8 224.6 448 225.6zM240 224V192C240 174.3 225.7 160 208 160H96C78.33 160 64 174.3 64 192V225.6C69.17 224.6 74.52 224 80 224H240zM432 256H80C53.49 256 32 277.5 32 304V384H480V304C480 277.5 458.5 256 432 256z"],
    "bed-pulse": [640, 512, ["procedures"], "f487", "M505.9 64H624C632.8 64 640 71.16 640 80C640 88.84 632.8 96 624 96H496C489.9 96 484.4 92.58 481.7 87.16L465.6 55.02L414.9 181.9C412.5 187.8 406.1 191.7 400.7 191.1C394.4 192.2 388.5 188.8 385.7 183.2L342.1 95.1H208C199.2 95.1 192 88.84 192 79.1C192 71.16 199.2 63.1 208 63.1H352C358.1 63.1 363.6 67.42 366.3 72.84L398.4 136.1L449.1 10.06C451.5 4.208 457 .2756 463.3 .0139C469.6-.2479 475.5 3.209 478.3 8.845L505.9 64zM304 160H338.3L354.3 192H304C295.2 192 288 199.2 288 208V352H608V272C608 227.8 572.2 192 528 192H445.3L458.1 160H528C589.9 160 640 210.1 640 272V496C640 504.8 632.8 512 624 512C615.2 512 608 504.8 608 496V448H32V496C32 504.8 24.84 512 16 512C7.164 512 0 504.8 0 496V80C0 71.16 7.164 64 16 64C24.84 64 32 71.16 32 80V352H256V208C256 181.5 277.5 160 304 160zM608 384H32V416H608V384zM224 240C224 284.2 188.2 320 144 320C99.82 320 64 284.2 64 240C64 195.8 99.82 160 144 160C188.2 160 224 195.8 224 240zM144 192C117.5 192 96 213.5 96 240C96 266.5 117.5 288 144 288C170.5 288 192 266.5 192 240C192 213.5 170.5 192 144 192z"],
    "bee": [576, 512, [], "e0b2", "M448 95.1c-27.7 0-55.36 9.455-80.73 22.73C367.5 116.5 368 114.3 368 111.1c0-20.4-7.832-38.84-20.4-52.97l31.11-31.11c5.635-5.635 7.001-14.71 2.341-21.17c-5.94-8.239-17.5-8.923-24.37-2.051l-34.99 34.99C311.4 34.88 300.1 31.1 288 31.1S264.6 34.88 254.3 39.68L219.9 5.286C214.3-.349 205.2-1.715 198.7 2.945C190.5 8.884 189.8 20.44 196.7 27.31L228.4 58.99C215.8 73.12 208 91.6 208 111.1c0 2.293 .4883 4.483 .6777 6.727C183.3 105.5 155.7 95.1 128 95.1C57.34 95.1 0 146.1 0 207.1c0 50.96 39.05 93.63 92.31 107.1C102.3 317.6 112 309.9 112 299.6c0-7.354-5.111-13.57-12.23-15.39C60.6 274.2 32 243.9 32 207.1C32 163.9 75.04 128 127.1 128c34.99 0 72.8 20.26 104.4 43.5c-50.07 21.58-85.17 71.31-85.15 129.3C147.2 406.4 288 512 288 512s140.8-105.6 140.8-211.2c.0195-57.99-35.07-107.7-85.14-129.3C375.3 148.3 413 128 448 128c52.9 0 96 35.87 96 80.04c0 35.89-28.59 66.14-67.77 76.19C469.1 286.1 464 292.3 464 299.6c0 10.3 9.703 17.94 19.69 15.42C536.1 301.6 576 258.1 576 208C576 146.2 518.7 95.99 448 95.1zM336 112c0 26.47-21.51 47.99-47.97 47.99S240 138.5 240 112S261.5 64 288 64S336 85.53 336 112zM234.1 416c-8.516-10.15-16.43-20.95-23.77-32h155.4c-7.336 11.05-15.25 21.85-23.77 32H234.1zM192.1 352c-4.891-10.68-8.402-21.37-10.51-32h212.8c-2.105 10.63-5.617 21.32-10.51 32H192.1zM395.6 288H180.4c1.305-11.16 4.076-21.91 8.646-32h197.8C391.5 266.1 394.2 276.8 395.6 288zM263.7 448h48.52C303.8 456.4 295.4 464.3 288 470.7C280.6 464.3 272.2 456.4 263.7 448zM365 223.9H210.1c.041-.041-.041 .041 0 0C231.5 203.4 258.9 192 287.9 192S344.5 203.4 365 223.9C365.1 223.1 364.1 223.9 365 223.9z"],
    "beer-mug": [512, 512, ["beer-foam"], "e0b3", "M256 208v192c0 8.844 7.156 16 16 16s16-7.156 16-16v-192C288 199.2 280.8 192 272 192S256 199.2 256 208zM115.2 133.3c13.07-8.768 28.93-3.621 38.31 5.164C167.8 151.8 186.9 160 207.1 160s40.23-8.188 54.49-21.54c9.393-8.793 25.28-13.91 38.31-5.164C310.9 140 322.9 144 335.1 144c39.88 0 71.24-36.47 62.54-77.88c-4.861-23.15-23.39-42.46-46.36-48.12C346.7 16.64 341.3 16 335.1 16c-11.1 0-23.17 3.338-32.71 9.117c-13.17 7.979-29.32 7.166-40.82-3.598C248.2 8.178 229.1 0 207.1 0S167.8 8.178 153.5 21.52C142 32.29 125.9 33.09 112.7 25.12C103.2 19.34 91.1 16 80 16c-5.25 0-10.68 .6426-16.18 1.998c-22.96 5.658-41.5 24.97-46.36 48.12C8.761 107.5 40.12 144 79.1 144C93.06 144 105.1 140 115.2 133.3zM48.78 72.69C53.18 51.75 77.84 41.4 96.14 52.49C106.9 59 119 62.45 131.2 62.45c16.4 0 32.09-6.236 44.19-17.56c18.36-17.18 46.85-17.19 65.21-.002c12.1 11.32 27.79 17.56 44.19 17.56c12.19 0 24.32-3.443 35.07-9.959c18.27-11.06 42.95-.7773 47.36 20.21c2.85 13.56-2.758 23.01-6.354 27.44c-23.71 29.21-45.94-3.365-75.1-3.365c-16.26 0-32.71 6.678-45.15 18.33c-18.38 17.21-46.87 17.2-65.23-.002C162.9 103.5 146.5 96.77 130.2 96.77c-11.8 0-23.16 3.439-32.86 9.947C74.22 122.3 42.63 101.9 48.78 72.69zM192 208v192C192 408.8 199.2 416 208 416S224 408.8 224 400v-192C224 199.2 216.8 192 207.1 192S192 199.2 192 208zM432 160h-64C359.2 160 352 167.2 352 176V416c0 35.35-28.65 64-64 64H128c-35.35 0-64-28.65-64-64V176C64 167.2 56.84 160 48 160S32 167.2 32 176V416c0 53.02 42.98 96 96 96h160c43.12 0 79.16-28.62 91.29-67.75L467.8 400C494.9 386.4 512 358.8 512 328.5V240C512 195.8 476.2 160 432 160zM480 328.5c0 18.3-10.16 34.73-26.53 42.92L384 406.1V192h48C458.5 192 480 213.5 480 240V328.5zM128 208v192C128 408.8 135.2 416 144 416S160 408.8 160 400v-192C160 199.2 152.8 192 144 192S128 199.2 128 208z"],
    "beer-mug-empty": [512, 512, ["beer"], "f0fc", "M144 128C135.2 128 128 135.2 128 144v224C128 376.8 135.2 384 144 384S160 376.8 160 368v-224C160 135.2 152.8 128 144 128zM272 128C263.2 128 256 135.2 256 144v224c0 8.844 7.156 16 16 16s16-7.156 16-16v-224C288 135.2 280.8 128 272 128zM208 128C199.2 128 192 135.2 192 144v224C192 376.8 199.2 384 208 384S224 376.8 224 368v-224C224 135.2 216.8 128 208 128zM432 96H384V80C384 53.49 362.5 32 336 32h-256C53.49 32 32 53.49 32 80V384c0 53.02 42.98 96 96 96h160c53.02 0 96-43.06 96-96.08V377.9L467.8 336C495.1 322.4 512 294.1 512 264.5V176C512 131.9 476.1 96 432 96zM352 384c0 35.29-28.71 64-64 64H128c-35.29 0-64-28.71-64-64V80C64 71.18 71.18 64 80 64h256C344.8 64 352 71.18 352 80V384zM480 264.5c0 18.3-10.16 34.73-26.53 42.92L384 342.1V128h48C458.5 128 480 149.5 480 176V264.5z"],
    "bell": [448, 512, [61602, 128276], "f0f3", "M207.1 16C207.1 7.164 215.2 0 223.1 0C232.8 0 240 7.164 240 16V32.79C320.9 40.82 384 109 384 192V221.1C384 264.8 401.4 306.7 432.3 337.7L435 340.4C443.3 348.7 448 359.1 448 371.7C448 396.2 428.2 416 403.7 416H44.28C19.83 416 0 396.2 0 371.7C0 359.1 4.666 348.7 12.97 340.4L15.72 337.7C46.63 306.7 64 264.8 64 221.1V192C64 109 127.1 40.82 208 32.79L207.1 16zM223.1 64C153.3 64 95.1 121.3 95.1 192V221.1C95.1 273.3 75.26 323.4 38.35 360.3L35.6 363C33.29 365.3 31.1 368.5 31.1 371.7C31.1 378.5 37.5 384 44.28 384H403.7C410.5 384 416 378.5 416 371.7C416 368.5 414.7 365.3 412.4 363L409.7 360.3C372.7 323.4 352 273.3 352 221.1V192C352 121.3 294.7 64 223.1 64H223.1zM223.1 480C237.9 480 249.8 471.1 254.2 458.7C257.1 450.3 266.3 445.1 274.6 448.9C282.9 451.9 287.3 461 284.4 469.3C275.6 494.2 251.9 512 223.1 512C196.1 512 172.4 494.2 163.6 469.3C160.7 461 165.1 451.9 173.4 448.9C181.7 445.1 190.9 450.3 193.8 458.7C198.2 471.1 210.1 480 223.1 480z"],
    "bell-concierge": [512, 512, [128718, "concierge-bell"], "f562", "M48 384C56.84 384 64 376.8 64 368c0-105.9 86.13-192 192-192s192 86.13 192 192c0 8.844 7.156 16 16 16s16-7.156 16-16c0-118.1-91.97-214.9-208-223.2V96h32C312.8 96 320 88.84 320 80S312.8 64 304 64h-96C199.2 64 192 71.16 192 80S199.2 96 208 96h32v48.81C123.1 153.1 32 249.9 32 368C32 376.8 39.16 384 48 384zM496 416h-480C7.156 416 0 423.2 0 432S7.156 448 16 448h480c8.844 0 16-7.156 16-16S504.8 416 496 416z"],
    "bell-exclamation": [448, 512, [], "f848", "M248 304C248 317.3 237.3 328 223.1 328C210.7 328 199.1 317.3 199.1 304C199.1 290.7 210.7 280 223.1 280C237.3 280 248 290.7 248 304zM240 240C240 248.8 232.8 256 223.1 256C215.2 256 207.1 248.8 207.1 240V128C207.1 119.2 215.2 112 223.1 112C232.8 112 240 119.2 240 128V240zM207.1 16C207.1 7.164 215.2 0 223.1 0C232.8 0 240 7.164 240 16V32.79C320.9 40.82 384 109 384 192V221.1C384 264.8 401.4 306.7 432.3 337.7L435 340.4C443.3 348.7 448 359.1 448 371.7C448 396.2 428.2 416 403.7 416H44.28C19.83 416 0 396.2 0 371.7C0 359.1 4.666 348.7 12.97 340.4L15.72 337.7C46.63 306.7 64 264.8 64 221.1V192C64 109 127.1 40.82 208 32.79L207.1 16zM223.1 64C153.3 64 95.1 121.3 95.1 192V221.1C95.1 273.3 75.26 323.4 38.35 360.3L35.6 363C33.29 365.3 31.1 368.5 31.1 371.7C31.1 378.5 37.5 384 44.28 384H403.7C410.5 384 416 378.5 416 371.7C416 368.5 414.7 365.3 412.4 363L409.7 360.3C372.7 323.4 352 273.3 352 221.1V192C352 121.3 294.7 64 223.1 64H223.1zM223.1 480C237.9 480 249.8 471.1 254.2 458.7C257.1 450.3 266.3 445.1 274.6 448.9C282.9 451.9 287.3 461 284.4 469.3C275.6 494.2 251.9 512 223.1 512C196.1 512 172.4 494.2 163.6 469.3C160.7 461 165.1 451.9 173.4 448.9C181.7 445.1 190.9 450.3 193.8 458.7C198.2 471.1 210.1 480 223.1 480z"],
    "bell-on": [640, 512, [128365], "f8fa", "M606.3 8.844C610.3 16.75 607.1 26.36 599.2 30.31L535.2 62.31C527.3 66.26 517.6 63.06 513.7 55.15C509.7 47.25 512.9 37.64 520.8 33.69L584.8 1.689C592.7-2.263 602.4 .9405 606.3 8.844V8.844zM304 15.1C304 7.163 311.2-.0003 320-.0003C328.8-.0003 336 7.163 336 15.1V32.79C416.9 40.82 480 109 480 191.1V221.1C480 264.8 497.4 306.7 528.3 337.7L531 340.4C539.3 348.7 544 359.1 544 371.7C544 396.2 524.2 416 499.7 416H140.3C115.8 416 96 396.2 96 371.7C96 359.1 100.7 348.7 108.1 340.4L111.7 337.7C142.6 306.7 160 264.8 160 221.1V191.1C160 109 223.1 40.82 304 32.79L304 15.1zM320 63.1C249.3 63.1 192 121.3 192 191.1V221.1C192 273.3 171.3 323.4 134.3 360.3L131.6 363C129.3 365.3 128 368.5 128 371.7C128 378.5 133.5 384 140.3 384H499.7C506.5 384 512 378.5 512 371.7C512 368.5 510.7 365.3 508.4 363L505.7 360.3C468.7 323.4 448 273.3 448 221.1V191.1C448 121.3 390.7 63.1 319.1 63.1H320zM320 480C333.9 480 345.8 471.1 350.2 458.7C353.1 450.3 362.3 445.1 370.6 448.9C378.9 451.9 383.3 461 380.4 469.3C371.6 494.2 347.9 512 320 512C292.1 512 268.4 494.2 259.6 469.3C256.7 461 261.1 451.9 269.4 448.9C277.7 445.1 286.9 450.3 289.8 458.7C294.2 471.1 306.1 480 320 480zM0 175.1C0 167.2 7.164 159.1 16 159.1H96C104.8 159.1 112 167.2 112 175.1C112 184.8 104.8 191.1 96 191.1H16C7.164 191.1 0 184.8 0 175.1zM624 159.1C632.8 159.1 640 167.2 640 175.1C640 184.8 632.8 191.1 624 191.1H544C535.2 191.1 528 184.8 528 175.1C528 167.2 535.2 159.1 544 159.1H624zM40.84 30.31C32.94 26.36 29.74 16.75 33.69 8.844C37.64 .9405 47.25-2.263 55.16 1.689L119.2 33.69C127.1 37.64 130.3 47.25 126.3 55.15C122.4 63.06 112.7 66.26 104.8 62.31L40.84 30.31z"],
    "bell-plus": [448, 512, [], "f849", "M223.1 160C232.8 160 240 167.2 240 176V224H288C296.8 224 304 231.2 304 240C304 248.8 296.8 256 288 256H240V304C240 312.8 232.8 320 223.1 320C215.2 320 207.1 312.8 207.1 304V256H159.1C151.2 256 143.1 248.8 143.1 240C143.1 231.2 151.2 224 159.1 224H207.1V176C207.1 167.2 215.2 160 223.1 160zM207.1 16C207.1 7.164 215.2 0 223.1 0C232.8 0 240 7.164 240 16V32.79C320.9 40.82 384 109 384 192V221.1C384 264.8 401.4 306.7 432.3 337.7L435 340.4C443.3 348.7 448 359.1 448 371.7C448 396.2 428.2 416 403.7 416H44.28C19.83 416 0 396.2 0 371.7C0 359.1 4.666 348.7 12.97 340.4L15.72 337.7C46.63 306.7 64 264.8 64 221.1V192C64 109 127.1 40.82 208 32.79L207.1 16zM223.1 64C153.3 64 95.1 121.3 95.1 192V221.1C95.1 273.3 75.26 323.4 38.35 360.3L35.6 363C33.29 365.3 31.1 368.5 31.1 371.7C31.1 378.5 37.5 384 44.28 384H403.7C410.5 384 416 378.5 416 371.7C416 368.5 414.7 365.3 412.4 363L409.7 360.3C372.7 323.4 352 273.3 352 221.1V192C352 121.3 294.7 64 223.1 64H223.1zM223.1 480C237.9 480 249.8 471.1 254.2 458.7C257.1 450.3 266.3 445.1 274.6 448.9C282.9 451.9 287.3 461 284.4 469.3C275.6 494.2 251.9 512 223.1 512C196.1 512 172.4 494.2 163.6 469.3C160.7 461 165.1 451.9 173.4 448.9C181.7 445.1 190.9 450.3 193.8 458.7C198.2 471.1 210.1 480 223.1 480z"],
    "bell-school": [512, 512, [], "f5d5", "M288 208C288 252.2 252.2 288 208 288C163.8 288 128 252.2 128 208C128 163.8 163.8 128 208 128C252.2 128 288 163.8 288 208zM208 160C181.5 160 160 181.5 160 208C160 234.5 181.5 256 208 256C234.5 256 256 234.5 256 208C256 181.5 234.5 160 208 160zM128 512C92.65 512 64 483.3 64 448V358.1C24.55 320.2 0 266.1 0 208C0 93.12 93.12 0 208 0C322.9 0 416 93.12 416 208C416 266.1 391.4 320.2 352 358.1V448C352 459.7 348.9 470.6 343.4 480H416C433.7 480 448 465.7 448 448V445.3C429.4 438.7 416 420.9 416 400C416 373.5 437.5 352 464 352C490.5 352 512 373.5 512 400C512 420.9 498.6 438.7 480 445.3V448C480 483.3 451.3 512 416 512H128zM208 384C305.2 384 384 305.2 384 208C384 110.8 305.2 32 208 32C110.8 32 32 110.8 32 208C32 305.2 110.8 384 208 384zM96 383.3V448C96 465.7 110.3 480 128 480H288C305.7 480 320 465.7 320 448V383.3C287.7 404 249.2 416 208 416C166.8 416 128.3 404 96 383.3zM464 416C472.8 416 480 408.8 480 400C480 391.2 472.8 384 464 384C455.2 384 448 391.2 448 400C448 408.8 455.2 416 464 416z"],
    "bell-school-slash": [640, 512, [], "f5d6", "M480 208C480 236.4 474.3 263.5 463.1 288.1L437.7 267.4C444.4 248.8 447.1 228.8 447.1 208C447.1 110.8 369.2 32 271.1 32C236.5 32 203.4 42.52 175.8 60.6L149.5 39.87C183.9 14.8 226.2 0 271.1 0C386.9 0 479.1 93.12 479.1 208H480zM271.1 384C301.4 384 329.2 376.8 353.5 364L380.6 385.4C349 404.8 311.8 416 271.1 416C230.8 416 192.3 404 159.1 383.3V448C159.1 465.7 174.3 480 191.1 480H352C369.7 480 384 465.7 384 448V388.1L416 413.3V448C416 459.7 412.9 470.6 407.4 480H480C485.6 480 490.9 478.6 495.4 476L521.6 496.7C510.4 506.2 495.9 512 480 512H191.1C156.7 512 127.1 483.3 127.1 448V358.1C88.55 320.2 63.1 266.1 63.1 208C63.1 185.5 67.58 163.8 74.2 143.5L101.3 164.9C97.84 178.7 95.1 193.1 95.1 208C95.1 305.2 174.8 384 271.1 384H271.1zM271.1 128C313.3 128 347.2 159.2 351.5 199.4L261.9 128.6C265.2 128.2 268.6 128 271.1 128H271.1zM633.9 483.4C640.9 488.9 642 498.1 636.6 505.9C631.1 512.9 621 514 614.1 508.6L6.086 28.56C-.8493 23.08-2.033 13.02 3.443 6.087C8.918-.849 18.98-2.033 25.91 3.443L633.9 483.4z"],
    "bell-slash": [640, 512, [61943, 128277], "f1f6", "M378.8 384L419.4 416H140.3C115.8 416 95.1 396.2 95.1 371.7C95.1 359.1 100.7 348.7 108.1 340.4L111.7 337.7C142.6 306.7 159.1 264.8 159.1 221.1V211.2L191.4 236C187.9 282.8 167.7 326.9 134.3 360.3L131.6 363C129.3 365.3 127.1 368.5 127.1 371.7C127.1 378.5 133.5 384 140.3 384H378.8zM303.1 16C303.1 7.164 311.2 0 319.1 0C328.8 0 336 7.164 336 16V32.79C416.9 40.82 480 109 480 192V221.1C480 264.8 497.4 306.7 528.3 337.7L531 340.4C531.8 341.2 532.6 342 533.3 342.9L458.2 283.5C451.5 263.6 448 242.5 448 221.1V191.1C448 121.3 390.7 63.1 319.1 63.1C284.2 63.1 251.9 78.68 228.6 102.3L203.4 82.42C229.2 55.03 264.5 36.71 303.1 32.79L303.1 16zM319.1 480C333.9 480 345.8 471.1 350.2 458.7C353.1 450.3 362.3 445.1 370.6 448.9C378.9 451.9 383.3 461 380.4 469.3C371.6 494.2 347.9 512 319.1 512C292.1 512 268.4 494.2 259.6 469.3C256.7 461 261.1 451.9 269.4 448.9C277.7 445.1 286.9 450.3 289.8 458.7C294.2 471.1 306.1 480 319.1 480zM633.9 483.4C640.9 488.9 642 498.1 636.6 505.9C631.1 512.9 621 514 614.1 508.6L6.086 28.56C-.8493 23.08-2.033 13.02 3.443 6.087C8.918-.849 18.98-2.033 25.91 3.443L633.9 483.4z"],
    "bells": [640, 512, [], "f77f", "M282.6 40.08C287.4 41.82 292.1 43.82 296.5 46.04C286.3 52.77 276.9 60.51 268.6 69.07C217.4 52.23 161.6 78.99 142.9 129.1L128.2 169.1C111.7 215.2 80.92 253.9 40.58 280.4L32.41 285.8L258.4 368C257.5 377.4 255.7 386.6 253.1 395.8L251.9 399.7L21.4 315.8C10.03 311.7 1.976 301.5 .5931 289.5C-.7903 277.5 4.729 265.7 14.86 259L23.04 253.7C57.61 230.1 83.95 197.8 98.16 159L112.8 119C137.1 50.44 213.1 15.09 282.6 40.08V40.08zM519.3 140.5L538 191.7C552 229.9 577.8 262.7 611.6 285.3L625.4 294.5C635.4 301.2 640.8 312.1 639.4 324.9C637.9 336.9 629.9 346.1 618.6 351.1L321.1 459.4C309.8 463.5 297.1 460.9 288.3 452.7C279.5 444.5 276 432 279.3 420.5L283.9 404.6C295.1 365.6 293.6 323.1 279.6 285.8L260.8 234.6C234.7 163.3 271.4 84.41 342.8 58.43C414.1 32.46 493.2 69.21 519.3 140.5H519.3zM309.7 274.8C326 319.4 327.7 367.9 314.7 413.5L310.1 429.3L607.6 321.1L593.8 311.9C554.4 285.4 524.3 247.2 507.1 202.6L489.2 151.5C469.2 96.75 408.5 68.55 353.8 88.48C299 108.4 270.9 168.9 290.9 223.6L309.7 274.8zM434.8 437.6C441.5 431.8 451.6 432.5 457.4 439.2C466 449.2 480.3 453.1 493.3 448C506.2 442.9 514 430.3 513.5 417.1C513.2 408.3 520.1 400.9 528.1 400.5C537.8 400.2 545.2 407.1 545.5 415.1C546.4 442.3 530.9 467.6 504.1 477.8C479 487.1 450.5 480.1 433.2 460.2C427.4 453.5 428.1 443.4 434.8 437.6H434.8zM179.9 406.7C185.7 400 195.8 399.3 202.5 405.1C209.1 410.9 209.8 420.1 204.1 427.6C186.8 447.5 158.2 455.5 132.3 445.2C106.3 435 90.8 409.8 91.73 383.4C92.04 374.6 99.45 367.7 108.3 368C117.1 368.3 124 375.7 123.7 384.6C123.2 397.8 131 410.4 143.1 415.5C156.9 420.6 171.2 416.6 179.9 406.7H179.9z"],
    "bench-tree": [640, 512, [], "e2e7", "M368 368H320V320c17.67 0 32-14.33 32-32V224c0-17.67-14.33-32-32-32H64C46.33 192 32 206.3 32 224v64c0 17.67 14.33 32 32 32v48H16C7.156 368 0 375.2 0 384s7.156 16 16 16H32v96C32 504.8 39.16 512 48 512S64 504.8 64 496v-96h256v96c0 8.844 7.156 16 16 16s16-7.156 16-16v-96h16c8.844 0 16-7.156 16-16S376.8 368 368 368zM288 368H96V320h192V368zM64 288V224h256v64H64zM606.5 111.1C607.3 106.2 608 101.2 608 96c0-53.02-42.98-96-96-96s-96 42.98-96 96c0 5.174 .7363 10.15 1.523 15.11C397.3 125.6 384 149.2 384 176C384 220.2 419.8 256 464 256h32v232c0 8.844 7.156 16 16 16s16-7.156 16-16V256h32C604.2 256 640 220.2 640 176C640 149.2 626.7 125.6 606.5 111.1zM560 224h-32V96c0-8.844-7.156-16-16-16S496 87.16 496 96v128h-32C437.5 224 416 202.5 416 176c0-15.52 7.355-29.69 20.18-38.9c9.836-7.059 14.85-19.06 12.95-31.02C448.5 102.2 448 98.77 448 96c0-35.29 28.71-64 64-64s64 28.71 64 64c0 2.766-.5098 6.203-1.127 10.08c-1.9 11.96 3.109 23.96 12.95 31.02C600.6 146.3 608 160.5 608 176C608 202.5 586.5 224 560 224z"],
    "bezier-curve": [640, 512, [], "f55b", "M544 320L560 320C586.5 320 608 341.5 608 368V432C608 458.5 586.5 480 560 480H496C469.5 480 448 458.5 448 432V368C448 341.5 469.5 320 496 320L512 320C512 242.5 466.1 175.7 399.1 145.4C399.2 171.3 378 192 352 192H288C261.1 192 240.8 171.3 240 145.4C173.9 175.7 128 242.5 128 320L144 320C170.5 320 192 341.5 192 368V432C192 458.5 170.5 480 144 480H80C53.49 480 32 458.5 32 432V368C32 341.5 53.49 320 80 320L96 320C96 238.5 139.5 167.2 204.6 128H125.1C118.9 155.6 93.82 176 64 176C28.65 176 0 147.3 0 112C0 76.65 28.65 48 64 48C93.82 48 118.9 68.4 125.1 96H240V80C240 53.49 261.5 32 288 32H352C378.5 32 400 53.49 400 80V96H514C521.1 68.4 546.2 48 576 48C611.3 48 640 76.65 640 112C640 147.3 611.3 176 576 176C546.2 176 521.1 155.6 514 128H435.4C500.5 167.2 544 238.5 544 320zM352 64H288C279.2 64 272 71.16 272 80V144C272 152.8 279.2 160 288 160H352C360.8 160 368 152.8 368 144V80C368 71.16 360.8 64 352 64zM496 352C487.2 352 480 359.2 480 368V432C480 440.8 487.2 448 496 448H560C568.8 448 576 440.8 576 432V368C576 359.2 568.8 352 560 352H496zM80 352C71.16 352 64 359.2 64 368V432C64 440.8 71.16 448 80 448H144C152.8 448 160 440.8 160 432V368C160 359.2 152.8 352 144 352H80zM64 80C46.33 80 32 94.33 32 112C32 129.7 46.33 144 64 144C81.67 144 96 129.7 96 112C96 94.33 81.67 80 64 80zM576 80C558.3 80 544 94.33 544 112C544 129.7 558.3 144 576 144C593.7 144 608 129.7 608 112C608 94.33 593.7 80 576 80z"],
    "bicycle": [640, 512, [128690], "f206", "M347.2 32C356.1 32 364.3 36.94 368.4 44.82L466.1 232.1C480.1 226.9 496.2 224 512 224C582.7 224 640 281.3 640 352C640 422.7 582.7 480 512 480C441.3 480 384 422.7 384 352C384 308.6 405.6 270.2 438.7 247.1L417.5 206.7L334 359.7C331.2 364.8 325.9 368 320 368H255C247.1 431.1 193.3 480 128 480C57.31 480 0 422.7 0 352C0 281.3 57.31 223.1 128 223.1C142.9 223.1 157.2 226.5 170.5 231.2L197 178.2L166.9 128H112C103.2 128 96 120.8 96 112C96 103.2 103.2 96 112 96H176C181.6 96 186.8 98.95 189.7 103.8L223.5 160H392.9L342.3 64H304C295.2 64 288 56.84 288 48C288 39.16 295.2 32 304 32H347.2zM416 352C416 405 458.1 448 512 448C565 448 608 405 608 352C608 298.1 565 256 512 256C501.5 256 491.5 257.7 482.1 260.8L526.2 344.5C530.3 352.4 527.3 362 519.5 366.2C511.6 370.3 501.1 367.3 497.8 359.5L453.8 275.7C430.8 293.2 416 320.9 416 352V352zM156 260.2C147.2 257.5 137.8 256 127.1 256C74.98 256 31.1 298.1 31.1 352C31.1 405 74.98 448 127.1 448C175.6 448 215.1 413.4 222.7 368H133.2C118.9 368 109.6 352.1 116 340.2L156 260.2zM291.7 336L216.5 210.7L153.9 336H291.7zM242.7 192L319.3 319.8L389 192H242.7z"],
    "binary": [384, 512, [], "e33b", "M320 192H368C376.8 192 384 199.2 384 208C384 216.8 376.8 224 368 224H240C231.2 224 224 216.8 224 208C224 199.2 231.2 192 240 192H288V38.2L261.1 47.18C252.7 49.97 243.6 45.44 240.8 37.06C238 28.68 242.6 19.62 250.9 16.82L298.9 .8212C303.8-.8051 309.2 .0128 313.4 3.02C317.5 6.028 320 10.86 320 16V192zM96 480H144C152.8 480 160 487.2 160 496C160 504.8 152.8 512 144 512H16C7.164 512 0 504.8 0 496C0 487.2 7.164 480 16 480H64V326.2L37.06 335.2C28.68 337.1 19.62 333.4 16.82 325.1C14.03 316.7 18.56 307.6 26.94 304.8L74.94 288.8C79.82 287.2 85.18 288 89.36 291C93.53 294 95.1 298.9 95.1 304L96 480zM0 80C0 35.82 35.82 .0004 80 .0004H112C156.2 .0004 192 35.82 192 80V144C192 188.2 156.2 224 112 224H80C35.82 224 0 188.2 0 144V80zM80 32C53.49 32 32 53.49 32 80V144C32 170.5 53.49 192 80 192H112C138.5 192 160 170.5 160 144V80C160 53.49 138.5 32 112 32H80zM304 288C348.2 288 384 323.8 384 368V432C384 476.2 348.2 512 304 512H272C227.8 512 192 476.2 192 432V368C192 323.8 227.8 288 272 288H304zM224 432C224 458.5 245.5 480 272 480H304C330.5 480 352 458.5 352 432V368C352 341.5 330.5 320 304 320H272C245.5 320 224 341.5 224 368V432z"],
    "binary-circle-check": [640, 512, [], "e33c", "M320 192H368C376.8 192 384 199.2 384 208C384 216.8 376.8 224 368 224H240C231.2 224 224 216.8 224 208C224 199.2 231.2 192 240 192H288V38.2L261.1 47.18C252.7 49.97 243.6 45.44 240.8 37.06C238 28.68 242.6 19.62 250.9 16.82L298.9 .8212C303.8-.8051 309.2 .0128 313.4 3.02C317.5 6.028 320 10.86 320 16V192zM96 480H144C152.8 480 160 487.2 160 496C160 504.8 152.8 512 144 512H16C7.164 512 0 504.8 0 496C0 487.2 7.164 480 16 480H64V326.2L37.06 335.2C28.68 337.1 19.62 333.4 16.82 325.1C14.03 316.7 18.56 307.6 26.94 304.8L74.94 288.8C79.82 287.2 85.18 288 89.36 291C93.53 294 95.1 298.9 95.1 304L96 480zM0 80C0 35.82 35.82 .0004 80 .0004H112C156.2 .0004 192 35.82 192 80V144C192 188.2 156.2 224 112 224H80C35.82 224 0 188.2 0 144V80zM80 32C53.49 32 32 53.49 32 80V144C32 170.5 53.49 192 80 192H112C138.5 192 160 170.5 160 144V80C160 53.49 138.5 32 112 32H80zM304 288C312.5 288 320.8 289.3 328.5 291.8C324.1 301.5 320.5 311.6 317.8 322C313.4 320.7 308.8 320 304 320H272C245.5 320 224 341.5 224 368V432C224 458.5 245.5 480 272 480H304C317.1 480 330.5 474 339.3 464.5C344.1 473.7 351.5 482.4 358.6 490.4C344.3 503.8 325.1 512 304 512H272C227.8 512 192 476.2 192 432V368C192 323.8 227.8 288 272 288H304zM563.3 324.7C569.6 330.9 569.6 341.1 563.3 347.3L491.3 419.3C485.1 425.6 474.9 425.6 468.7 419.3L428.7 379.3C422.4 373.1 422.4 362.9 428.7 356.7C434.9 350.4 445.1 350.4 451.3 356.7L480 385.4L540.7 324.7C546.9 318.4 557.1 318.4 563.3 324.7H563.3zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 480C557.9 480 608 429.9 608 368C608 306.1 557.9 256 496 256C434.1 256 384 306.1 384 368C384 429.9 434.1 480 496 480z"],
    "binary-lock": [640, 512, [], "e33d", "M313.4 3.021C317.5 6.028 320 10.86 320 16V192H368C376.8 192 384 199.2 384 208C384 216.8 376.8 224 368 224H240C231.2 224 224 216.8 224 208C224 199.2 231.2 192 240 192H288V38.2L261.1 47.18C252.7 49.97 243.6 45.44 240.8 37.06C238 28.68 242.6 19.62 250.9 16.82L298.9 .8212C303.8-.8051 309.2 .0128 313.4 3.02V3.021zM89.36 291C93.53 294 96 298.9 96 304V480H144C152.8 480 160 487.2 160 496C160 504.8 152.8 512 144 512H16C7.164 512 0 504.8 0 496C0 487.2 7.164 480 16 480H64V326.2L37.06 335.2C28.68 337.1 19.62 333.4 16.82 325.1C14.03 316.7 18.56 307.6 26.94 304.8L74.94 288.8C79.82 287.2 85.18 288 89.36 291H89.36zM112 .0004C156.2 .0004 192 35.82 192 80V144C192 188.2 156.2 224 112 224H80C35.82 224 0 188.2 0 144V80C0 35.82 35.82 .0004 80 .0004H112zM32 144C32 170.5 53.49 192 80 192H112C138.5 192 160 170.5 160 144V80C160 53.49 138.5 32 112 32H80C53.49 32 32 53.49 32 80V144zM192 368C192 323.8 227.8 288 272 288H304C348.2 288 384 323.8 384 368V432C384 476.2 348.2 512 304 512H272C227.8 512 192 476.2 192 432V368zM272 320C245.5 320 224 341.5 224 368V432C224 458.5 245.5 480 272 480H304C330.5 480 352 458.5 352 432V368C352 341.5 330.5 320 304 320H272zM528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320V272C448 227.8 483.8 192 528 192zM528 224C501.5 224 480 245.5 480 272V320H576V272C576 245.5 554.5 224 528 224zM448 352V480H608V352H448z"],
    "binary-slash": [640, 512, [], "e33e", "M633.9 483.4C640.9 488.9 642 498.1 636.6 505.9C631.1 512.9 621 514 614.1 508.6L6.086 28.56C-.8493 23.08-2.033 13.02 3.443 6.086C8.918-.8493 18.98-2.033 25.91 3.443L633.9 483.4zM448 192H496C504.8 192 512 199.2 512 208C512 216.8 504.8 224 496 224H382.8L353.6 200.1C356.2 195.7 361.7 192 368 192H416V38.2L389.1 47.18C380.7 49.97 371.6 45.44 368.8 37.06C366 28.68 370.6 19.62 378.9 16.82L426.9 .8214C431.8-.8048 437.2 .0131 441.4 3.02C445.5 6.028 448 10.86 448 16L448 192zM319.1 144C319.1 153.4 318.4 162.4 315.4 170.8L287.7 148.1C287.9 147.4 288 145.7 288 144V80C288 53.49 266.5 32 240 32H208C191 32 176.1 40.82 167.6 54.12L142.4 34.23C156.8 13.54 180.8 .0006 208 .0006H240C284.2 .0006 320 35.82 320 80L319.1 144zM319.1 368C319.1 358.6 321.6 349.6 324.6 341.2L352.3 363C352.1 364.6 352 366.3 352 368V432C352 458.5 373.5 480 400 480H432C448.1 480 463.9 471.2 472.4 457.9L497.6 477.8C483.2 498.5 459.2 512 432 512H400C355.8 512 319.1 476.2 319.1 432V368zM223.1 480H271.1C280.8 480 287.1 487.2 287.1 496C287.1 504.8 280.8 512 271.1 512H143.1C135.2 512 127.1 504.8 127.1 496C127.1 487.2 135.2 480 143.1 480H191.1V326.2L165.1 335.2C156.7 337.1 147.6 333.4 144.8 325.1C142 316.7 146.6 307.6 154.9 304.8L202.9 288.8C207.8 287.2 213.2 288 217.4 291C221.5 294 223.1 298.9 223.1 304L223.1 480z"],
    "binoculars": [512, 512, [], "f1e5", "M112 64h96C216.8 64 224 56.84 224 48S216.8 32 208 32h-96C103.2 32 96 39.16 96 48S103.2 64 112 64zM304 64h96C408.8 64 416 56.84 416 48S408.8 32 400 32h-96C295.2 32 288 39.16 288 48S295.2 64 304 64zM511.6 404c-3.375-129.8-61-182.1-63.5-276c-.5-17.62-14.46-32-32.08-32H95.96c-17.62 0-31.58 14.38-32.08 32c-2.5 93.88-60.13 146.3-63.5 276L0 432C0 458.5 21.5 480 48 480h128C202.5 480 224 458.5 224 432V288h64v144c0 26.5 21.5 48 48 48h128c26.5 0 48-21.5 48-48L511.6 404zM192 432C192 440.8 184.8 448 176 448h-128c-8.822 0-16-7.178-16-15.57l.3672-27.6c1.686-64.81 17.99-108.7 33.76-151C80.11 216.2 94.57 177.3 95.88 128H192V432zM288 256H224V128h64V256zM464 448h-128c-8.822 0-16-7.178-16-16V128h96.13l.0098 .6924c1.291 48.45 15.76 87.49 29.74 125.1c15.77 42.39 32.07 86.23 33.75 150.6L480 432C480 440.8 472.8 448 464 448z"],
    "biohazard": [576, 512, [9763], "f780", "M288 248c-13.31 0-24 10.69-24 24c0 13.22 10.69 24 24 24s24-10.78 24-24C312 258.7 301.3 248 288 248zM288.2 95.99c17.62 0 34.75 2.75 50.87 7.623c6.5-8.498 11.12-18.37 13.12-29.37C331.9 67.75 310.3 63.94 288.1 63.94c-22.37 0-43.9 3.809-64.15 10.31c1.875 10.1 6.625 20.99 13.12 29.49C253.3 98.74 270.3 95.99 288.2 95.99zM407.4 401c5.5 9.123 12.88 17.12 22.5 22.74c32.75-30.49 55.37-71.36 63.12-117.3c-9.375-5.123-19.75-7.998-30.25-7.998c-.25 0-.5 .125-.875 .125C455.8 338.7 436 374.5 407.4 401zM574.8 276.6c-13.88-40.36-41.25-74.11-77.24-95.35c-12.25-7.123-25.62-12.75-40.12-16.62c3.5-13.87 5.25-27.37 5.25-40.86c0-42.11-15.12-83.1-42.37-115.5c-7.375-8.498-19.75-10.87-29.75-5.123c-9.748 5.623-14.12 17.37-10.62 27.87c3.748 11.25 5.498 21.49 5.498 31.12c0 54.61-43.62 99.22-97.24 99.22c-53.75 0-97.37-44.49-97.37-99.22c0-9.623 1.875-19.87 5.5-30.99c3.5-10.75-1-22.49-10.75-27.99c-9.748-5.623-22.25-3.5-29.62 5.123c-27.37 32.37-42.5 73.35-42.5 115.5c0 13.5 1.75 26.99 5.25 40.86C104.2 168.6 90.79 174.2 78.54 181.2c-35.1 21.12-63.37 54.98-77.24 95.35c-3.625 10.62 .5 22.12 10.25 28.12c9.75 5.75 22.25 3.75 29.75-4.873c7.625-8.748 15.37-15.5 23.5-20.24C87.17 266.4 113.2 262.9 138 269.7c25.25 6.748 46.37 23.12 59.5 46.11c26.87 47.49 10.87 108.3-35.75 135.8C153.7 456.4 144.2 459.9 132.8 462.3c-10.1 2.375-18.75 12.12-18.62 23.37s8.125 20.99 19.12 23.12C144.3 510.9 155.3 512 166.3 512c30.5 0 60.5-7.998 86.99-23.62c12.5-7.246 23.1-16.49 34.62-27.24c10.75 10.87 22.37 19.1 34.75 27.24c35.1 21.24 78.62 28.49 119.9 20.37c11.12-2.123 18.87-11.62 19.12-23.12c.125-11.25-7.873-20.99-18.75-23.37c-11.38-2.373-20.75-5.873-28.1-10.62c-46.62-27.49-62.62-88.35-35.62-135.8c12.1-22.99 34.12-39.36 59.49-46.11c24.87-6.748 50.87-3.25 73.12 9.871c8.25 4.748 15.88 11.37 23.62 20.24c7.5 8.623 20 10.5 29.75 4.748C574.3 298.7 578.3 287.2 574.8 276.6zM429.6 238.7c-33.75 8.998-61.75 30.87-78.99 61.36c-35.62 62.61-14.38 142.1 47.12 179.1c.25 0 .375 .125 .5 .125c-20.87-1.625-41.12-7.998-59.37-18.62c-14.12-8.373-26.1-19.75-38.37-33.87l-12.5-15.37l-12.5 15.49c-11.38 14.12-24.25 25.49-38.37 33.74c-18.25 10.75-38.5 16.99-59.37 18.74c.125-.125 .375-.25 .5-.25c61.49-36.12 82.74-116.5 47.25-178.9C208.3 269.7 180.2 247.8 146.4 238.8c-11-2.998-22.12-4.373-33.12-4.373c-22.37 0-44.37 5.873-64.12 17.37c11.87-17.49 27.37-32.12 45.62-42.86C108.7 200.8 123.9 195.3 141.7 192.2l18.5-3.125L154 171.2C148.3 154.6 145.4 139.1 145.4 123.7c0-20.99 4.625-41.86 13.37-60.86c.375 71.98 58.12 130.5 129.2 130.5c70.99 0 128.9-58.48 129.2-130.5c8.75 18.99 13.38 39.86 13.38 60.86c0 15.25-2.875 30.74-8.5 47.49l-6.125 17.74l18.5 3.25c17.75 3 32.1 8.498 46.87 16.62c18.25 10.75 33.75 25.37 45.62 42.86C497.3 234.6 462.8 229.8 429.6 238.7zM168.8 400.8c-28.5-26.37-48.25-62.11-54.5-102.3c-.375 0-.75-.25-1.125-.25c-10.37 0-20.75 3-29.1 7.998c7.625 45.99 30.37 86.85 62.1 117.3C155.8 417.9 163.3 409.9 168.8 400.8z"],
    "bird": [512, 512, [], "e469", "M304 120C304 106.7 314.7 96 328 96C341.3 96 352 106.7 352 120C352 133.3 341.3 144 328 144C314.7 144 304 133.3 304 120zM28.44 160H192C209.7 160 224 145.7 224 128V104C224 46.56 270.6 0 328 0C372.3 0 410.2 27.75 425.2 66.84L504.2 114.3C509.1 117.2 512 122.4 512 128C512 133.6 509.1 138.8 504.2 141.7L432 185.1V200C432 288.6 378.6 364.8 302.3 398.1L350.1 488.5C354.3 496.3 351.3 506 343.5 510.1C335.7 514.3 325.1 511.3 321.9 503.5L271.7 408.7C253.9 413.5 235.3 416 216 416H215.8L254.1 488.5C258.3 496.3 255.3 506 247.5 510.1C239.7 514.3 229.1 511.3 225.9 503.5L177.8 412.6C76.7 394.6 0 306.2 0 200V188.4C0 172.7 12.74 160 28.44 160L28.44 160zM32 192V200C32 301.6 114.4 384 216 384C317.6 384 400 301.6 400 200V104C400 64.24 367.8 32 328 32C288.2 32 256 64.24 256 104V128C256 163.3 227.3 192 192 192H32zM432 108.3V147.7L464.9 128L432 108.3z"],
    "bitcoin-sign": [320, 512, [], "e0b4", "M64 16C64 7.164 71.16 0 80 0C88.84 0 96 7.164 96 16V64H160V16C160 7.164 167.2 0 176 0C184.8 0 192 7.164 192 16V64.3C245.7 68.39 288 113.3 288 168C288 199.3 274.1 227.4 252.2 246.5C291.8 261.2 320 299.3 320 344C320 401.4 273.4 448 216 448H192V496C192 504.8 184.8 512 176 512C167.2 512 160 504.8 160 496V448H96V496C96 504.8 88.84 512 80 512C71.16 512 64 504.8 64 496V448H41.74C18.69 448 0 429.3 0 406.3V101.6C0 80.82 16.82 64 37.57 64H64V16zM216 416C255.8 416 288 383.8 288 344C288 304.2 255.8 272 216 272H32V406.3C32 411.6 36.36 416 41.74 416H216zM37.57 96C34.49 96 32 98.49 32 101.6V240H184C223.8 240 256 207.8 256 168C256 128.2 223.8 96 184 96H37.57z"],
    "blanket": [448, 512, [], "f498", "M392 368H96c-8.844 0-16 7.156-16 16s7.156 16 16 16h296c30.88 0 56-25.12 56-56V112C448 67.89 412.1 32 368 32h-288C35.88 32 0 67.89 0 112V384c0 52.94 43.06 96 96 96h336c8.844 0 16-7.156 16-16S440.8 448 432 448H96c-35.28 0-64-28.7-64-64s28.72-64 64-64h296c13.22 0 24 10.77 24 24S405.2 368 392 368zM392 288H96C71.32 288 49.02 297.6 32 312.1V112C32 85.53 53.53 64 80 64h288C394.5 64 416 85.53 416 112v181.6C408.7 290.1 400.6 288 392 288z"],
    "blanket-fire": [640, 512, [], "e3da", "M272 224h-160C80.64 224 52.48 236.9 32 257.6V80C32 53.5 53.44 32 80 32h296C398.1 32 416 49.92 416 72c0 8.832 7.039 16 16 16S448 80.83 448 72C448 32.22 415.7 0 376 0H80C35.84 0 0 35.81 0 80v256C0 397.9 50.24 448 112 448H256c8.961 0 16-7.168 16-16S264.1 416 256 416H112C67.84 416 32 380.2 32 336S67.84 256 112 256h160C280.1 256 288 248.8 288 240S280.1 224 272 224zM613.4 240.6c-16.32-32.35-39.36-66.43-66.56-92.22c-6.078-5.824-15.68-5.857-21.76-.0332C514.6 158.3 504.6 170.7 496 181.9c-19.2-23.58-39.36-45.41-61.12-65.6c-6.078-5.695-15.68-5.727-21.76-.0313c-36.48 33.73-67.52 72.06-89.6 108.8C302.1 261.4 288 298 288 328C288 427.7 365.4 512 464 512c97.6 0 176-84.19 176-184C640 305.1 629.4 272.5 613.4 240.6zM464 480c-79.36 0-144-68.22-144-152c0-21.44 10.56-52.03 31.04-86.5C369.3 211.1 394.2 179.2 424 150.1c21.12 20.71 40.96 43.14 59.2 67.52C486.1 221.6 490.9 223.9 495.7 224c5.121 .0645 9.922-2.176 12.8-6.049C512 213.8 515.2 209.5 518.4 205.3C524.2 197.6 529.9 190 536 183C555.2 204 572.2 229.8 584.1 254.9C600 285.4 608 312.6 608 328C608 411.7 542.4 480 464 480zM112 320C103 320 96 327.2 96 336S103 352 112 352h128C248.1 352 256 344.8 256 336S248.1 320 240 320H112zM548.2 313.5c-1.922-3.84-4.48-8.928-8.32-14.11c-2.879-3.873-7.359-6.24-12.16-6.369c-5.121-.1602-9.602 1.889-12.8 5.568l-23.36 27.17l-17.28-22.27c-15.04-19.04-30.72-38.91-32.64-41.47C438.4 258.2 433.9 256 429.1 256s-9.602 2.176-12.48 5.92c-15.04 18.4-26.88 33.79-35.2 47.9C373.1 324.3 368 338.3 368 353.1c0 28.67 10.56 52.58 28.8 69.18C414.7 439.6 439 448 464.1 448c21.44 0 40.32-5.984 57.92-17.7l.3203-.1934c37.12-26.11 46.4-77.15 24.96-116.5V313.5zM504.1 403.8C492.5 412 479.7 416 464.1 416c-19.2 0-35.2-6.145-46.4-16.45C407.4 389.4 400 374.3 400 353.1c0-8.289 2.559-16.74 8.961-28.06c4.801-8.096 11.2-17.15 19.84-28.16l20.16 25.5l20.48 25.95l6.398 8.479l1.922 2.336l.6367 .6406v.1914c2.883 3.777 7.363 6.018 12.16 6.145c4.801 .0957 9.602-1.951 12.48-5.6l20.8-24.13C532.8 361.1 525.1 389.6 504.1 403.8z"],
    "blender": [512, 512, [], "f517", "M288 400c-13.25 0-24 10.75-24 24S274.8 448 288 448s24-10.75 24-24S301.3 400 288 400zM470.6 0H48C21.49 0 0 21.49 0 48v160C0 234.5 21.49 256 48 256h102.3l7.5 86.5C121.8 356.4 96 391.1 96 432L96 480c0 17.6 14.4 32 32 32h320c17.6 0 32-14.4 32-32L480 432c0-39.38-23.75-73.13-57.75-88l79.29-303.9C506.8 19.8 491.5 0 470.6 0zM48 224C39.25 224 32 216.9 32 208v-160C32 39.13 39.25 32 48 32h82.75L147.5 224H48zM448 432V480H128v-48c0-35.25 28.75-64 64-64h192C419.3 368 448 396.8 448 432zM453.9 96H304C295.2 96 288 103.2 288 111.1S295.2 128 304 128h141.5l-16.62 64H304C295.2 192 288 199.2 288 207.1S295.2 224 304 224h116.5l-29.25 112H189.4L162.9 32h307.8L453.9 96z"],
    "blender-phone": [576, 512, [], "f6b6", "M534.6 0H226.9C208.1 0 193.4 16.07 195 34.77l26.73 307.7c-36 13.88-61.75 48.63-61.75 89.5l.0088 47.1c0 17.6 14.4 31.1 31.1 31.1L511.1 512c17.6 0 32-14.4 32-31.1L543.1 432c0-39.38-23.75-73.13-57.75-88l79.29-303.9C570.8 19.8 555.5 0 534.6 0zM511.1 432V480h-320v-48c0-35.25 28.75-63.1 64-63.1h192C483.2 368 511.1 396.8 511.1 432zM517.9 96l-149.9 .0049c-8.801 0-16 7.199-16 16s7.199 15.1 16 15.1L509.5 128l-16.62 64l-124.9 .0039c-8.801 0-16 7.198-16 15.1s7.199 16 16 16L484.5 224l-29.25 112H253.4L226.9 32h307.8L517.9 96zM176.4 317.1l-23.62-58c-5.125-12.75-18-20.88-32.13-19.38l-28.5 2.875C82.37 209.6 82.37 174.5 91.99 141.5l28.62 2.875c13.75 1.375 27-6.625 32.13-19.38l23.75-58c5.625-14.12 .375-30.12-12.62-38l-36-22.12c-19.5-11.88-45-8-60.63 9.5c-90.5 101.3-89.5 253.4 2.125 353.6C77.62 379.1 90.37 384 103.1 384c8.625 0 17.25-2.25 24.62-6.75l36.13-22.12C176.9 347.1 182.1 331.1 176.4 317.1zM110.1 350c-5.25 3.25-14.38 2.5-18-1.5C12.37 260.3 11.62 126.6 91.12 37.63C94.49 34 98.99 32 103.4 32c2.75 0 5.375 .75 7.75 2.125L146.7 55l-23 57.5L70.12 107.3L65.87 118.9c-17.38 47.13-17.38 99.13 0 146.4l4.25 11.62l53-5.75l23.38 57.13L110.1 350zM351.1 400c-13.25 0-24 10.75-24 24s10.75 24 24 24s24-10.75 24-24S365.2 400 351.1 400z"],
    "blinds": [512, 512, [], "f8fb", "M495.1 0H16c-8.836 0-15.1 7.164-15.1 16l.0065 64c0 8.836 7.162 16 15.1 16h111.1v96H36.51l11.03-44.12C50.06 137.8 42.42 128 32.01 128C24.67 128 18.26 133 16.48 140.1l-15.97 63.1C-2.021 213.7 5.16 224 16.01 224h111.1v35C114.4 263.8 103.8 274.4 99.01 288h-62.5l3.029-12.12C42.06 265.8 34.42 256 24.01 256C16.66 256 10.26 261 8.484 268.1L.5098 300.1C-2.021 309.7 5.16 320 16.01 320h82.1c9.051 25.92 38.62 39.8 65.6 27.54c10.08-4.58 18.35-12.85 22.93-22.93c12.26-26.99-1.611-56.56-27.54-65.61V96h335.1c8.836 0 16-7.164 16-16l.0052-64C511.1 7.164 504.8 0 495.1 0zM144 320c-8.875 0-16-7.125-16-16s7.125-16 16-16s16 7.125 16 16S152.9 320 144 320zM479.1 64H32.01V32h447.1V64zM503.5 460.1C501.7 453 495.3 448 487.1 448c-10.41 0-18.05 9.783-15.52 19.88L475.5 480H36.51l3.029-12.12C42.06 457.8 34.42 448 24.01 448c-7.348 0-13.75 5.004-15.53 12.13l-7.975 31.99C-2.021 501.7 5.16 512 16.01 512h479.1c10.86 0 18.03-10.27 15.5-19.88L503.5 460.1zM503.5 364.1C501.7 357 495.3 352 487.1 352c-10.41 0-18.05 9.783-15.52 19.88L475.5 384H36.51l3.029-12.12C42.06 361.8 34.42 352 24.01 352c-7.348 0-13.75 5.004-15.53 12.13l-7.975 31.99C-2.021 405.7 5.155 416 16 416H495.1c10.86 0 18.02-10.27 15.49-19.88L503.5 364.1zM495.5 140.1C493.7 133 487.3 128 479.1 128c-10.41 0-18.05 9.783-15.53 19.88L475.5 192H192L192 224h303.1c10.86 0 18.03-10.27 15.5-19.88L495.5 140.1zM503.5 268.1C501.7 261 495.3 256 487.1 256c-10.41 0-18.05 9.783-15.53 19.88L475.5 288H222.4c2.125 10.5 2.125 21.5 0 32h273.6c10.86 0 18.03-10.27 15.5-19.88L503.5 268.1z"],
    "blinds-open": [512, 512, [], "f8fc", "M496 480h-480C7.125 480 0 487.1 0 496S7.125 512 16 512h480c8.875 0 16-7.125 16-16S504.9 480 496 480zM16 352h64.38c-7.25-9.375-12.25-20.38-14.75-32H16C7.125 320 0 327.1 0 336S7.125 352 16 352zM496 320H222.4c-2.5 11.62-7.5 22.62-14.75 32H496c8.875 0 16-7.125 16-16S504.9 320 496 320zM496 0h-480C7.125 0 0 7.125 0 16v64C0 88.88 7.125 96 16 96H128v64H16C7.125 160 0 167.1 0 176S7.125 192 16 192H128v67C105.1 266.8 92.75 289.2 96.75 312.2C100.6 335.4 120.6 352.1 144 352.1s43.38-16.75 47.25-39.88C195.2 289.2 181.1 266.8 160 259V96h336C504.9 96 512 88.88 512 80v-64C512 7.125 504.9 0 496 0zM144 320C135.1 320 128 312.9 128 304S135.1 288 144 288S160 295.1 160 304S152.9 320 144 320zM480 64H32V32h448V64zM496 160H192v32h304C504.9 192 512 184.9 512 176S504.9 160 496 160z"],
    "blinds-raised": [512, 512, [], "f8fd", "M495.1 0H16c-8.836 0-15.1 7.163-15.1 15.99l.0065 63.97c0 8.832 7.162 15.99 15.1 15.99h111.1L128 159.9l-91.49 .0573l3.029-12.11c2.525-10.1-5.118-19.84-15.53-19.84c-7.348 0-13.75 4.969-15.52 12.1L.5098 172c-2.531 9.615 4.65 19.87 15.5 19.87h111.1v63.97H36.51l3.029-12.11C42.06 233.7 34.42 223.9 24.01 223.9c-7.348 0-13.75 5-15.53 12.13L.5098 267.1C-2.021 277.6 5.16 287.9 16.01 287.9h111.1l-.0026 130.9c-21.1 7.746-35.25 30.25-31.25 53.24C100.6 495.1 120.6 512 144 512s43.38-16.87 47.25-39.98c4-22.99-9.25-45.48-31.25-53.22V95.95h335.1c8.836 0 16-7.16 16-15.99l.0052-63.97C511.1 7.163 504.8 0 495.1 0zM144 479.8c-8.875 0-16-7.121-16-15.99s7.125-15.99 16-15.99s16 7.121 16 15.99S152.9 479.8 144 479.8zM479.1 63.97H32.01V31.98h447.1V63.97zM503.5 236C501.7 228.9 495.3 223.9 487.1 223.9c-10.41 0-18.05 9.779-15.52 19.88l3.027 12.11H192l-.001 32.05l303.1-.0703c10.86 0 18.03-10.26 15.5-19.87L503.5 236zM503.5 140.1c-1.777-7.127-8.177-12.1-15.52-12.1c-10.41 0-18.05 9.748-15.53 19.84l3.027 12.11H192L192 191.1l303.1-.0469c10.86 0 18.03-10.26 15.5-19.87L503.5 140.1z"],
    "block": [448, 512, [], "e46a", "M112 120C112 133.3 101.3 144 88 144C74.75 144 64 133.3 64 120C64 106.7 74.75 96 88 96C101.3 96 112 106.7 112 120zM336 120C336 106.7 346.7 96 360 96C373.3 96 384 106.7 384 120C384 133.3 373.3 144 360 144C346.7 144 336 133.3 336 120zM112 392C112 405.3 101.3 416 88 416C74.75 416 64 405.3 64 392C64 378.7 74.75 368 88 368C101.3 368 112 378.7 112 392zM336 392C336 378.7 346.7 368 360 368C373.3 368 384 378.7 384 392C384 405.3 373.3 416 360 416C346.7 416 336 405.3 336 392zM384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM384 64H64C46.33 64 32 78.33 32 96V416C32 433.7 46.33 448 64 448H384C401.7 448 416 433.7 416 416V96C416 78.33 401.7 64 384 64z"],
    "block-brick": [448, 512, ["wall-brick"], "e3db", "M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM136 128H312V64H136V128zM104 64H64C46.33 64 32 78.33 32 96V128H104V64zM32 160V240H208V160H32zM104 352V272H32V352H104zM32 384V416C32 433.7 46.33 448 64 448H208V384H32zM136 352H312V272H136V352zM416 352V272H344V352H416zM416 384H240V448H384C401.7 448 416 433.7 416 416V384zM240 160V240H416V160H240zM416 128V96C416 78.33 401.7 64 384 64H344V128H416z"],
    "block-brick-fire": [640, 512, ["firewall"], "e3dc", "M168 352H288C288.1 362.9 289.1 373.6 290.1 384H272V448H314.4C321 459.4 328.8 470.2 337.6 480H96C60.65 480 32 451.3 32 416V96C32 60.65 60.65 32 96 32H416C451.3 32 480 60.65 480 96V144.6C478.3 143 476.7 141.5 474.1 139.1C467.2 133 457.7 129.1 448 128.2V96C448 78.33 433.7 64 416 64H376V160H272V240H326.9C326.3 240.9 325.7 241.8 325.2 242.7C319.3 252.2 313.8 261.1 308.1 272H168V352zM168 128H344V64H168V128zM136 64H96C78.33 64 64 78.33 64 96V128H136V64zM64 160V240H240V160H64zM136 352V272H64V352H136zM64 384V416C64 433.7 78.33 448 96 448H240V384H64zM445.1 256C449.9 256 454.5 258.2 457.5 262C459.6 264.6 475.1 284.4 490.1 303.5L507.6 325.8L530.9 298.6C534 294.9 538.7 292.9 543.5 293C548.4 293.2 552.9 295.5 555.8 299.4C559.7 304.6 562.2 309.7 564.1 313.5L564.2 313.6C585.5 352.1 576.5 404 539.2 430.1L538.9 430.3C521.3 442 502.3 448 480.1 448C455.1 448 430.8 439.6 412.8 423.2C394.7 406.6 384 382.7 384 354C384 338.3 389 324.3 397.4 309.8C405.6 295.7 417.7 280.3 432.6 261.9C435.6 258.2 440.2 255.1 445.1 255.1V256zM539.8 337.3L519.1 361.4C516 365.1 511.4 367.1 506.6 366.1C501.9 366.9 497.4 364.6 494.4 360.9L444.9 297.8C436.3 308.8 429.8 317.8 425.1 325.9C418.5 337.2 416 345.7 416 354C416 374.3 423.3 389.4 434.4 399.6C445.7 409.9 461.9 416 481 416C495.7 416 508.6 412 520.1 403.8C541.1 389.6 548.8 361.1 539.8 337.3H539.8zM487.5 197.1C494.9 205 502.1 213.1 509 221.5C515.5 213.4 522.6 204.7 530.3 197C531.1 195.3 533.7 193.6 535.5 191.1C541.1 186.9 549.9 186.9 555.5 192C580.2 214.7 601.1 244.7 615.8 273.2C630.4 301.2 640 329.9 640 350.1C640 437.9 568.7 512 480 512C390.3 512 319.1 437.8 319.1 350.1C319.1 323.7 332.7 291.5 352.4 259.5C372.4 227.2 400.5 193.4 433.8 163.7C439.4 158.7 447.1 158.8 453.5 163.8C465.3 174.4 476.7 185.5 487.5 197.1V197.1zM509.4 253.5C499.8 253.6 490.6 249.4 484.4 241.1C471.6 226.5 457.1 211.9 443.6 198.2C417.6 223.2 395.6 250.5 379.6 276.3C361 306.4 352 332.5 352 350.1C352 420.9 408.7 480 480 480C550.4 480 608 420.8 608 350.1C608 337.7 601.2 314.5 587.4 287.9C576.5 266.8 562.1 245.3 545.6 227.4C541.8 231.8 537.1 236.5 534.1 241.4C528.1 248.9 519 253.4 509.4 253.5V253.5zM507 351L494.4 360.9z"],
    "block-question": [448, 512, [], "e3dd", "M192 160C174.3 160 160 174.3 160 192V200C160 208.8 152.8 216 144 216C135.2 216 128 208.8 128 200V192C128 156.7 156.7 128 192 128H256C291.3 128 320 156.7 320 192V196.8C320 219.3 308.2 240.1 288.9 251.7L240 281.1V296C240 304.8 232.8 312 224 312C215.2 312 208 304.8 208 296V272C208 266.4 210.9 261.2 215.8 258.3L272.5 224.3C282.1 218.5 287.1 208.1 287.1 196.8V192C287.1 174.3 273.7 160 255.1 160H192zM200 368C200 354.7 210.7 344 224 344C237.3 344 248 354.7 248 368C248 381.3 237.3 392 224 392C210.7 392 200 381.3 200 368zM112 120C112 133.3 101.3 144 88 144C74.75 144 64 133.3 64 120C64 106.7 74.75 96 88 96C101.3 96 112 106.7 112 120zM336 120C336 106.7 346.7 96 360 96C373.3 96 384 106.7 384 120C384 133.3 373.3 144 360 144C346.7 144 336 133.3 336 120zM112 392C112 405.3 101.3 416 88 416C74.75 416 64 405.3 64 392C64 378.7 74.75 368 88 368C101.3 368 112 378.7 112 392zM336 392C336 378.7 346.7 368 360 368C373.3 368 384 378.7 384 392C384 405.3 373.3 416 360 416C346.7 416 336 405.3 336 392zM384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM384 64H64C46.33 64 32 78.33 32 96V416C32 433.7 46.33 448 64 448H384C401.7 448 416 433.7 416 416V96C416 78.33 401.7 64 384 64z"],
    "block-quote": [448, 512, [], "e0b5", "M432 80C440.8 80 448 87.16 448 96C448 104.8 440.8 112 432 112H16C7.164 112 0 104.8 0 96C0 87.16 7.164 80 16 80H432zM432 240C440.8 240 448 247.2 448 256C448 264.8 440.8 272 432 272H144C135.2 272 128 264.8 128 256C128 247.2 135.2 240 144 240H432zM128 416C128 407.2 135.2 400 144 400H432C440.8 400 448 407.2 448 416C448 424.8 440.8 432 432 432H144C135.2 432 128 424.8 128 416zM0 240C0 231.2 7.164 224 16 224C24.84 224 32 231.2 32 240V432C32 440.8 24.84 448 16 448C7.164 448 0 440.8 0 432V240z"],
    "blog": [512, 512, [], "f781", "M160 224C151.2 224 144 231.2 144 240S151.2 256 160 256c52.94 0 96 43.06 96 96s-43.06 96-96 96s-96-43.06-96-96V112C64 103.2 56.84 96 48 96S32 103.2 32 112V352c0 70.58 57.41 128 128 128s128-57.42 128-128S230.6 224 160 224zM208 32C199.2 32 192 39.16 192 48S199.2 64 208 64C340.3 64 448 171.7 448 304c0 8.844 7.156 16 16 16S480 312.8 480 304C480 154 357.1 32 208 32zM208 128C199.2 128 192 135.2 192 144S199.2 160 208 160C287.4 160 352 224.6 352 304c0 8.844 7.156 16 16 16S384 312.8 384 304C384 206.1 305 128 208 128z"],
    "blueberries": [512, 512, [], "e2e8", "M176 160C78.8 160 0 238.8 0 336C0 433.2 78.8 512 176 512s176-78.8 176-176C352 238.8 273.2 160 176 160zM176 480C96.6 480 32 415.4 32 336S96.6 192 176 192S320 256.6 320 336S255.4 480 176 480zM336 0c-67.97 0-128.7 38.02-158.4 99.2C173.8 107.1 177.1 116.7 185 120.6c7.969 3.844 17.53 .5469 21.41-7.406C230.7 63.11 280.4 32 336 32C415.4 32 480 96.59 480 176c0 54.78-31.88 105.7-81.19 129.6c-7.938 3.859-11.25 13.44-7.406 21.38C394.2 332.7 399.9 336 405.8 336c2.344 0 4.75-.5156 7-1.609C473.1 305.1 512 242.1 512 176C512 78.95 433 0 336 0zM208 272h-32v-32C176 231.2 168.8 224 160 224S144 231.2 144 240v32h-32C103.2 272 96 279.2 96 288s7.156 16 16 16h32v32C144 344.8 151.2 352 160 352s16-7.156 16-16v-32h32C216.8 304 224 296.8 224 288S216.8 272 208 272zM416 128c0-8.844-7.156-16-16-16h-32v-32C368 71.16 360.8 64 352 64s-16 7.156-16 16v32h-32C295.2 112 288 119.2 288 128s7.156 16 16 16h32v32C336 184.8 343.2 192 352 192s16-7.156 16-16v-32h32C408.8 144 416 136.8 416 128z"],
    "bluetooth": [320, 512, [], "f293", "M184.1 255.1l129.3-107.7C317.9 145.2 320 140.7 320 135.1s-2.094-9.25-5.75-12.28l-144-120c-4.781-4.008-11.44-4.789-17.03-2.219c-5.625 2.656-9.221 8.281-9.221 14.5V221.8L26.24 123.7C19.49 118.1 9.4 118.1 3.713 125.7C-1.943 132.5-1.037 142.6 5.744 148.3l129.3 107.7l-129.3 107.7c-6.781 5.656-7.688 15.75-2.031 22.53s15.75 7.656 22.53 2.031l117.8-98.13V496c0 6.219 3.596 11.84 9.221 14.5C155.4 511.5 157.7 512 160 512c3.688 0 7.31-1.25 10.25-3.719l144-120C317.9 385.2 320 380.7 320 375.1s-2.094-9.25-5.75-12.28L184.1 255.1zM175.1 50.14l103 85.84L175.1 221.8V50.14zM175.1 461.8V290.1l103 85.84L175.1 461.8z"],
    "bold": [384, 512, [], "f032", "M314.7 251.7C346.8 230.1 368 193.5 368 152C368 85.84 314.2 32 248 32H16C7.156 32 0 39.16 0 48S7.156 64 16 64H32v384H16C7.156 448 0 455.2 0 464S7.156 480 16 480h248c66.17 0 120-53.84 120-120C384 312 355.5 270.8 314.7 251.7zM64 64h184c48.53 0 88 39.47 88 88S296.5 240 248 240H64V64zM264 448H64V272h200c48.53 0 88 39.47 88 88S312.5 448 264 448z"],
    "bolt": [384, 512, [9889, "zap"], "f0e7", "M274.8 6.288C279.4 2.237 285.3 0 291.4 0C308.6 0 320.6 17.05 314.8 33.27L246.7 224H356.1C371.9 224 384 236.1 384 251C384 258.8 380.7 266.2 374.9 271.3L109.1 505.8C104.6 509.8 98.7 512 92.63 512C75.41 512 63.39 494.9 69.18 478.7L137.3 288H25.81C11.56 288 0 276.4 0 262.2C0 254.8 3.153 247.8 8.664 242.9L274.8 6.288zM275.4 48.65L42.08 256H160C165.2 256 170.1 258.5 173.1 262.8C176.1 267 176.8 272.5 175.1 277.4L108.6 463.6L343.8 256H224C218.8 256 213.9 253.5 210.9 249.2C207.9 244.1 207.2 239.5 208.9 234.6L275.4 48.65z"],
    "bolt-auto": [576, 512, [], "e0b6", "M314.8 33.27L246.7 224H356.1C371.9 224 384 236.1 384 251C384 258.8 380.7 266.2 374.9 271.3L109.1 505.8C104.6 509.8 98.7 512 92.63 512C75.41 512 63.39 494.9 69.18 478.7L137.3 288H25.81C11.56 288 0 276.4 0 262.2C0 254.8 3.153 247.8 8.664 242.9L274.8 6.288C279.4 2.237 285.3 0 291.4 0C308.6 0 320.6 17.05 314.8 33.27H314.8zM160 256C165.2 256 170.1 258.5 173.1 262.8C176.1 267 176.8 272.5 175.1 277.4L108.6 463.6L343.8 256H224C218.8 256 213.9 253.5 210.9 249.2C207.9 244.1 207.2 239.5 208.9 234.6L275.3 48.65L42.08 256L160 256zM464 288C470.1 288 475.6 291.4 478.3 296.8L574.3 488.8C578.3 496.7 575.1 506.4 567.2 510.3C559.3 514.3 549.6 511.1 545.7 503.2L526.1 464H401.9L382.3 503.2C378.4 511.1 368.7 514.3 360.8 510.3C352.9 506.4 349.7 496.7 353.7 488.8L449.7 296.8C452.4 291.4 457.9 288 464 288V288zM417.9 432H510.1L464 339.8L417.9 432z"],
    "bolt-lightning": [384, 512, [], "e0b7", "M379.8 197.6c5.031-7.344 5.563-16.88 1.406-24.75C377.1 164.9 368.9 160 360 160h-156.6l50.84-127.1c2.969-7.375 2.062-15.78-2.406-22.38S239.1 0 232 0h-176C43.97 0 33.81 8.906 32.22 20.84l-32 240C-.7179 267.7 1.376 274.6 5.938 279.8C10.5 285 17.09 288 24 288h146.3l-41.78 194.1c-2.406 11.22 3.469 22.56 14 27.09C145.6 511.4 148.8 512 152 512c7.719 0 15.22-3.75 19.81-10.44L379.8 197.6zM190.1 256H33.15l29.87-224h157.2L164.9 170.1C160.7 180.6 168.5 192 179.8 192h165l-176.5 257.1l37.43-174.6C207.9 265.4 200.3 256 190.1 256z"],
    "bolt-slash": [640, 512, [], "e0b8", "M351.4 362.3L376.9 382.4L237.1 505.8C232.6 509.8 226.7 512 220.6 512C203.4 512 191.4 494.9 197.2 478.7L263.5 292.1L290 313.9L236.6 463.6L351.4 362.3zM216.7 256L257.2 288H153.8C139.6 288 128 276.4 128 262.2C128 254.8 131.2 247.8 136.7 242.9L166.5 216.4L192 236.5L170.1 256H216.7zM289.2 150.1L263.7 129.1L402.8 6.288C407.4 2.237 413.3 0 419.4 0C436.6 0 448.6 17.05 442.8 33.27L376.5 219L349.1 198.1L403.4 48.65L289.2 150.1zM512 251C512 258.8 508.7 266.2 502.9 271.3L474.4 296.4L448.9 276.2L471.8 256H423.3L382.8 224H484.1C499.9 224 512 236.1 512 251zM633.9 483.4C640.9 488.9 642 498.1 636.6 505.9C631.1 512.9 621 514 614.1 508.6L6.086 28.56C-.8493 23.08-2.033 13.02 3.443 6.087C8.918-.849 18.98-2.033 25.91 3.443L633.9 483.4z"],
    "bomb": [512, 512, [128163], "f1e2", "M464 48H496C504.8 48 512 55.16 512 64C512 72.84 504.8 80 496 80H464V112C464 120.8 456.8 128 448 128C439.2 128 432 120.8 432 112V80H400C391.2 80 384 72.84 384 64C384 55.16 391.2 48 400 48H432V16C432 7.164 439.2 0 448 0C456.8 0 464 7.164 464 16V48zM199.1 192C142.6 192 95.1 238.6 95.1 296V304C95.1 312.8 88.84 320 79.1 320C71.16 320 63.1 312.8 63.1 304V296C63.1 220.9 124.9 160 199.1 160H207.1C216.8 160 223.1 167.2 223.1 176C223.1 184.8 216.8 192 207.1 192H199.1zM278.5 108.3L281.4 105.4C293.9 92.88 314.1 92.88 326.6 105.4L355.3 134.1L372.7 116.7C378.9 110.4 389.1 110.4 395.3 116.7C401.6 122.9 401.6 133.1 395.3 139.3L377.9 156.7L406.6 185.4C419.1 197.9 419.1 218.1 406.6 230.6L403.8 233.5C411.7 255.5 416 279.3 416 304C416 418.9 322.9 512 208 512C93.12 512 0 418.9 0 304C0 189.1 93.12 96 208 96C232.7 96 256.5 100.3 278.5 108.3L278.5 108.3zM301.1 130.9C292.4 139.6 279.3 142.6 267.7 138.4C249.1 131.7 228.1 128 207.1 128C110.8 128 31.1 206.8 31.1 304C31.1 401.2 110.8 480 207.1 480C305.2 480 384 401.2 384 304C384 283 380.3 262.9 373.6 244.3C369.4 232.7 372.4 219.6 381.1 210.9L384 208L304 128L301.1 130.9z"],
    "bone": [576, 512, [129460], "f5d7", "M536.5 256C565.4 238.3 576 211.6 576 179C576 133.3 537.1 96 491.3 96c-36.5 0-68.88 22.75-80.5 56.63C403.3 175.3 403.6 176 392 176h-208c-11.62 0-11.25-.75-18.75-23.38C153.6 118.8 121.3 96 84.75 96C37.1 96 0 133.3 0 179C0 211.6 10.63 238.3 39.5 256C10.63 273.8 0 300.4 0 333C0 378.8 37.1 416 84.75 416c36.5 0 68.88-22.75 80.5-56.63C172.8 336.8 172.4 336 184 336h208c11.62 0 11.25 .75 18.75 23.38C422.4 393.3 454.8 416 491.3 416C537.1 416 576 378.8 576 333C576 300.4 565.4 273.8 536.5 256zM491.3 384c-22.88 0-43-13.1-50.25-35C432.1 322.4 424.5 304 392 304h-208c-32.5 0-40.13 18.38-49 45C127.8 370 107.6 384 84.75 384C55.75 384 32 361.1 32 333c0-23.38 6.875-41.5 29-52.25C70.63 276.1 76.5 266.5 76.5 256S70.63 236 61 231.4C38.88 220.6 32 202.4 32 179C32 150.9 55.75 128 84.75 128c22.88 0 43 14 50.25 35C143.9 189.6 151.5 208 184 208h208c32.5 0 40.13-18.38 49-45C448.3 142 468.4 128 491.3 128C520.3 128 544 150.9 544 179c0 23.38-6.875 41.5-29 52.25C505.4 235.9 499.5 245.5 499.5 256s5.875 20 15.5 24.62C537.1 291.4 544 309.6 544 333C544 361.1 520.3 384 491.3 384z"],
    "bone-break": [640, 512, [], "f5d8", "M278.3 358.6l-69.71 19.13c-31.73 7.084-35.22 26.88-38.14 55.1c-2.551 22.31-19.18 40.51-41.52 45.5c-28.32 6.32-56.44-11.08-62.51-38.84c-5.041-23.07-2.236-42.46 17.05-57.89c8.402-6.664 12.06-17.44 9.799-27.81c-2.264-10.36-10.05-18.46-20.45-20.93c-23.92-5.789-34.57-22.3-39.61-45.38C27.11 259.7 45.37 231.1 73.68 225.7c22.34-4.984 45.01 4.447 56.62 23.6C144.7 273.6 156.1 290.1 187.8 282.1L273.8 263.8c8.629-1.926 14.08-10.56 12.17-19.28c-1.904-8.723-10.45-14.23-19.07-12.31L180.9 251.4C169.6 253.9 169.8 253.1 157.6 232.4C138.9 201.5 102.4 186.1 66.78 194.1c-45.65 10.19-74.72 55.24-64.86 100.4c7.033 32.2 23.15 56.17 55.17 67.39c-24.37 23.81-29 52.41-21.97 84.61c9.865 45.16 55 73.64 100.7 63.46c35.64-7.955 62.35-37.47 66.4-73.44c2.443-23.97 1.916-24.62 13.27-27.16l69.85-19.16c8.686-1.939 14.17-10.53 12.27-19.23C295.7 362.2 286.1 356.7 278.3 358.6zM573.2 194.1c-35.64-7.953-72.16 7.443-90.82 38.35c-12.2 20.7-11.1 21.52-23.35 18.99L373.1 232.2c-8.629-1.926-17.17 3.584-19.07 12.3c-1.904 8.723 3.545 17.36 12.17 19.28l85.93 19.18c31.74 7.084 43.14-9.393 57.55-33.74c11.61-19.15 34.28-28.58 56.62-23.59c28.32 6.32 46.58 34.08 40.51 61.84c-5.039 23.07-15.66 39.46-39.58 45.25c-10.39 2.465-18.21 10.69-20.47 21.05c-2.264 10.36 1.426 21.02 9.826 27.69c19.29 15.43 22.06 34.94 17.03 58.02c-6.064 27.76-34.19 45.16-62.51 38.84c-22.34-4.986-38.97-23.19-41.52-45.5c-2.926-28.22-6.408-48.02-38.14-55.1l-69.71-19.13c-8.74-1.951-17.4 3.576-19.31 12.33c-1.898 8.693 3.586 17.29 12.27 19.23l69.85 19.16c11.35 2.533 10.82 3.191 13.27 27.16c4.047 35.97 30.75 65.48 66.4 73.44c45.65 10.19 90.79-18.3 100.7-63.46c7.035-32.2 2.4-60.8-21.97-84.61c32.02-11.23 48.14-35.19 55.17-67.39C647.9 249.3 618.9 204.3 573.2 194.1zM319.1 0C311.2 0 304 7.156 304 16v96c0 8.844 7.154 15.1 15.1 15.1S336 120.8 336 112v-96C336 7.156 328.8 0 319.1 0zM228.7 155.3C231.8 158.4 235.9 160 240 160s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62l-64-64c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L228.7 155.3zM400 160c4.094 0 8.188-1.562 11.31-4.688l64-64c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0l-64 64c-6.25 6.25-6.25 16.38 0 22.62C391.8 158.4 395.9 160 400 160z"],
    "bong": [512, 512, [], "f55c", "M475.3 228.7l-64-64c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L409.4 208L364 253.4c-12.88-13.88-27.49-26-43.99-35.5L320 80C320 71.16 312.8 64 304 64S288 71.16 288 80v156.4l16 9.25C333.9 262.9 356.8 289.3 370.3 320h-292.5C91.25 289.3 114.1 262.9 144 245.6L160 236.4V80C160 71.16 152.8 64 144 64S128 71.16 128 80l.0045 137.9C70.63 251.1 32 313 32 384c0 43.07 14.29 82.87 38.35 114.9C75.73 506 87.33 512 96.28 512h255.4c9.023 0 20.65-6.02 26.07-13.24C401.7 466.8 416 427 416 384c0-39-12.01-75.13-32.01-105.4l48-48l20.69 20.69c6.246 6.246 16.37 6.254 22.62 0C481.6 245.1 481.6 234.9 475.3 228.7zM351.8 480H96.88C75.38 451.9 64 419.3 64 384c0-10.88 1.5-21.5 3.625-32h312.8C382.5 362.5 384 373.1 384 384C384 419.3 372.6 452.8 351.8 480zM111.1 32h224.1c8.775 0 15.97-7.21 15.97-15.99S344.8 0 336 0L111.1 .1667c-8.775 0-15.99 7.21-15.99 15.99S103.2 32 111.1 32z"],
    "book": [448, 512, [128212], "f02d", "M448 368v-320C448 21.49 426.5 0 400 0h-320C35.82 0 0 35.82 0 80V448c0 35.35 28.65 64 64 64h368c8.844 0 16-7.156 16-16S440.8 480 432 480H416v-66.95C434.6 406.4 448 388.8 448 368zM32 80C32 53.49 53.49 32 80 32H96v352H64c-11.71 0-22.55 3.389-32 8.9V80zM384 480H64c-17.64 0-32-14.36-32-32s14.36-32 32-32h320V480zM400 384H128V32h272C408.8 32 416 39.17 416 48v320C416 376.8 408.8 384 400 384zM352 128H192C183.2 128 176 135.2 176 144S183.2 160 192 160h160c8.844 0 16-7.156 16-16S360.8 128 352 128zM352 224H192C183.2 224 176 231.2 176 240S183.2 256 192 256h160c8.844 0 16-7.156 16-16S360.8 224 352 224z"],
    "book-arrow-right": [640, 512, [], "e0b9", "M432 272C423.2 272 416 279.2 416 288v80c0 8.836-7.164 16-16 16H64c-11.71 0-22.55 3.389-32 8.9V80C32 53.49 53.49 32 80 32h320C408.8 32 416 39.16 416 48V128c0 8.836 7.164 16 16 16S448 136.8 448 128V48C448 21.49 426.5 0 400 0h-320C35.82 0 0 35.82 0 80V448c0 35.35 28.66 64 64 64h367.2c7.969 0 15.35-5.455 16.62-13.32C449.4 488.6 441.7 480 432 480H416v-66.95c18.59-6.627 32-24.22 32-45.05V288C448 279.2 440.8 272 432 272zM384 480H64c-17.64 0-32-14.36-32-32s14.36-32 32-32h320V480zM635.3 196.7l-96-96c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L585.4 192H272C263.2 192 256 199.2 256 208S263.2 224 272 224h313.4l-68.69 68.69c-6.25 6.25-6.25 16.38 0 22.62C519.8 318.4 523.9 320 528 320s8.188-1.562 11.31-4.688l96-96C641.6 213.1 641.6 202.9 635.3 196.7z"],
    "book-arrow-up": [448, 512, [], "e0ba", "M347.3 251.3C350.4 248.2 352 244.1 352 240s-1.562-8.188-4.688-11.31l-96-96c-6.25-6.25-16.38-6.25-22.62 0l-96 96c-6.25 6.25-6.25 16.38 0 22.62s16.38 6.25 22.62 0L224 182.6V496c0 8.844 7.156 16 16 16s16-7.156 16-16V182.6l68.69 68.69C330.9 257.6 341.1 257.6 347.3 251.3zM448 368v-320C448 21.49 426.5 0 400 0h-320C35.82 0 0 35.82 0 80V448c0 35.35 28.66 64 64 64h112C184.8 512 192 504.8 192 496C192 487.2 184.8 480 176 480H65.81c-15.95 0-30.77-10.85-33.37-26.59C29.14 433.4 44.59 416 64 416h112C184.8 416 192 408.8 192 400C192 391.2 184.8 384 176 384H64c-11.71 0-22.55 3.389-32 8.9V80C32 53.49 53.49 32 80 32h320C408.8 32 416 39.16 416 48v320c0 8.836-7.164 16-16 16h-96c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16H384v64h-80c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16h128c8.844 0 16-7.156 16-16S440.8 480 432 480H416v-66.95C434.6 406.4 448 388.8 448 368z"],
    "book-atlas": [448, 512, ["atlas"], "f558", "M224 80c-70.75 0-128 57.25-128 128s57.25 128 128 128s128-57.25 128-128S294.8 80 224 80zM129.6 224h39.13c1.5 27 6.5 51.38 14.12 70.38C155.3 281.1 134.9 255.3 129.6 224zM168.8 192H129.6c5.25-31.25 25.62-57.13 53.25-70.38C175.3 140.6 170.3 165 168.8 192zM224 302.8C216.3 295.3 203.3 268.3 200.6 224h46.75C244.8 268.3 231.8 295.3 224 302.8zM200.5 192C203.3 147.8 216.3 120.8 224 113.3C231.8 120.8 244.8 147.8 247.4 192H200.5zM265.1 294.4C272.8 275.4 277.8 251 279.3 224h39.13C313.1 255.3 292.8 281.1 265.1 294.4zM279.3 192c-1.5-27-6.5-51.38-14.12-70.38c27.62 13.25 48 39.13 53.25 70.38H279.3zM448 368v-320C448 21.49 426.5 0 400 0h-320C35.82 0 0 35.82 0 80V448c0 35.35 28.65 64 64 64h368c8.844 0 16-7.156 16-16S440.8 480 432 480H416v-66.95C434.6 406.4 448 388.8 448 368zM384 480H64c-17.64 0-32-14.36-32-32s14.36-32 32-32h320V480zM400 384H64c-11.71 0-22.55 3.389-32 8.9V80C32 53.49 53.49 32 80 32h320C408.8 32 416 39.16 416 48v320C416 376.8 408.8 384 400 384z"],
    "book-bible": [448, 512, ["bible"], "f647", "M448 368v-320C448 21.49 426.5 0 400 0h-320C35.82 0 0 35.82 0 80V448c0 35.35 28.65 64 64 64h368c8.844 0 16-7.156 16-16S440.8 480 432 480H416v-66.95C434.6 406.4 448 388.8 448 368zM384 480H64c-17.64 0-32-14.36-32-32s14.36-32 32-32h320V480zM400 384H64c-11.71 0-22.55 3.389-32 8.9V80C32 53.49 53.49 32 80 32h320C408.8 32 416 39.16 416 48v320C416 376.8 408.8 384 400 384zM304 144h-64v-64c0-8.844-7.156-15.1-16-15.1S208 71.16 208 80v64h-64C135.2 144 128 151.2 128 160s7.156 16 16 16h64v128c0 8.844 7.156 16 16 16S240 312.8 240 304v-128h64C312.8 176 320 168.8 320 160S312.8 144 304 144z"],
    "book-blank": [448, 512, [128215, 128216, 128217, 128213, "book-alt"], "f5d9", "M448 368v-320C448 21.49 426.5 0 400 0h-320C35.82 0 0 35.82 0 80V448c0 35.35 28.65 64 64 64h368c8.844 0 16-7.156 16-16S440.8 480 432 480H416v-66.95C434.6 406.4 448 388.8 448 368zM32 80C32 53.49 53.49 32 80 32H96v352H64c-11.71 0-22.55 3.389-32 8.9V80zM384 480H64c-17.64 0-32-14.36-32-32s14.36-32 32-32h320V480zM400 384H128V32h272C408.8 32 416 39.17 416 48v320C416 376.8 408.8 384 400 384z"],
    "book-bookmark": [448, 512, [], "e0bb", "M448 368v-320C448 21.49 426.5 0 400 0h-320C35.82 0 0 35.82 0 80V448c0 35.35 28.66 64 64 64h368c8.844 0 16-7.156 16-16S440.8 480 432 480H416v-66.95C434.6 406.4 448 388.8 448 368zM320 32v174.7L265.1 163.5C263.1 161.2 259.5 160 256 160s-7.062 1.172-10 3.5L192 206.7V32H320zM384 480H64c-17.64 0-32-14.36-32-32s14.36-32 32-32h320V480zM400 384H64c-11.71 0-22.55 3.389-32 8.9V80C32 53.49 53.49 32 80 32H160v208c0 6.156 3.531 11.75 9.062 14.42c5.562 2.672 12.09 1.891 16.94-1.922L256 196.5l69.1 56.02C328.9 254.8 332.4 256 336 256c2.344 0 4.719-.5156 6.938-1.578C348.5 251.8 352 246.2 352 240V32h48C408.8 32 416 39.16 416 48v320C416 376.8 408.8 384 400 384z"],
    "book-circle-arrow-right": [640, 512, [], "e0bc", "M336 480H65.81c-15.95 0-30.77-10.85-33.37-26.59C29.14 433.4 44.59 416 64 416h240c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16H64c-11.71 0-22.55 3.389-32 8.9V80C32 53.49 53.49 32 80 32h320C408.8 32 416 39.16 416 48v128C416 184.8 423.2 192 432 192S448 184.8 448 176v-128C448 21.49 426.5 0 400 0h-320C35.82 0 0 35.82 0 80V448c0 35.35 28.66 64 64 64h272c8.836 0 16-7.164 16-16C352 487.2 344.8 480 336 480zM496 224C416.5 224 352 288.5 352 368s64.46 144 144 144s144-64.46 144-144S575.5 224 496 224zM496 480c-61.76 0-112-50.24-112-112S434.2 256 496 256S608 306.2 608 368S557.8 480 496 480zM571.3 356.7l-56-56c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L521.4 352H432c-8.836 0-15.1 7.164-15.1 16S423.2 384 432 384h89.38l-28.69 28.69c-6.25 6.25-6.25 16.38 0 22.62C495.8 438.4 499.9 440 504 440s8.188-1.562 11.31-4.688l56-56C577.6 373.1 577.6 362.9 571.3 356.7z"],
    "book-circle-arrow-up": [640, 512, [], "e0bd", "M336 480H65.81c-15.95 0-30.77-10.85-33.37-26.59C29.14 433.4 44.59 416 64 416h240c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16H64c-11.71 0-22.55 3.389-32 8.9V80C32 53.49 53.49 32 80 32h320C408.8 32 416 39.16 416 48v128C416 184.8 423.2 192 432 192S448 184.8 448 176v-128C448 21.49 426.5 0 400 0h-320C35.82 0 0 35.82 0 80V448c0 35.35 28.66 64 64 64h272c8.836 0 16-7.164 16-16C352 487.2 344.8 480 336 480zM496 224C416.5 224 352 288.5 352 367.1C352 447.5 416.5 512 496 512s144-64.46 144-144C640 288.5 575.5 224 496 224zM496 480c-61.76 0-112-50.24-112-112C384 306.2 434.2 256 496 256S608 306.2 608 367.1C608 429.8 557.8 480 496 480zM507.3 292.7c-6.25-6.25-16.38-6.25-22.62 0l-56 56c-6.25 6.25-6.25 16.38 0 22.62s16.38 6.25 22.62 0L480 342.6V432c0 8.836 7.164 15.1 16 15.1S512 440.8 512 432v-89.38l28.69 28.69c6.25 6.25 16.38 6.25 22.62 0C566.4 368.2 568 364.1 568 360s-1.562-8.188-4.688-11.31L507.3 292.7z"],
    "book-copy": [576, 512, [], "e0be", "M576 272v-224C576 21.49 554.5 0 528 0h-256C227.8 0 192 35.82 192 80V352c0 35.35 28.66 64 64 64h304c8.844 0 16-7.156 16-16S568.8 384 560 384H544V317.1C562.6 310.4 576 292.8 576 272zM512 384H256c-17.64 0-32-14.36-32-32s14.36-32 32-32h256V384zM528 288H256C244.3 288 233.5 291.4 224 296.9V80C224 53.49 245.5 32 272 32h256C536.8 32 544 39.16 544 48v224C544 280.8 536.8 288 528 288zM368 480H352v-16c0-8.838-7.164-16-16-16S320 455.2 320 464V480H65.81c-15.95 0-30.77-10.85-33.37-26.59C29.14 433.4 44.59 416 64 416h80C152.8 416 160 408.8 160 400C160 391.2 152.8 384 144 384H64c-11.71 0-22.55 3.389-32 8.9V176C32 149.5 53.49 128 80 128h64C152.8 128 160 120.8 160 112C160 103.2 152.8 96 144 96h-64C35.82 96 0 131.8 0 176V448c0 35.35 28.66 64 64 64h304c8.844 0 16-7.156 16-16S376.8 480 368 480z"],
    "book-font": [448, 512, [], "e0bf", "M448 368v-320C448 21.49 426.5 0 400 0h-320C35.82 0 0 35.82 0 80V448c0 35.35 28.65 64 64 64h368c8.844 0 16-7.156 16-16S440.8 480 432 480H416v-66.95C434.6 406.4 448 388.8 448 368zM384 480H64c-17.64 0-32-14.36-32-32s14.36-32 32-32h320V480zM400 384H64c-11.71 0-22.55 3.389-32 8.9V80C32 53.49 53.49 32 80 32h320C408.8 32 416 39.16 416 48v320C416 376.8 408.8 384 400 384zM238.3 104.8c-5.438-10.84-23.19-10.84-28.62 0l-96 192C109.7 304.8 112.9 314.4 120.8 318.3c7.906 3.906 17.52 .75 21.47-7.156L169.9 256h108.2l27.58 55.16C308.5 316.8 314.1 320 320 320c2.406 0 4.844-.5469 7.141-1.688c7.906-3.953 11.11-13.56 7.156-21.47L238.3 104.8zM185.9 224L224 147.8L262.1 224H185.9z"],
    "book-heart": [448, 512, [], "f499", "M224.1 139.8c-42.63-43-76.38-26.12-90.25-14.5c-27.5 23-28.88 64.13-4.25 89l84.5 85.63c5.5 5.5 14.25 5.5 19.75 0l84.75-85.63c24.62-24.88 23.12-66-4.375-89C300.3 113.6 266.6 96.75 224.1 139.8zM295.1 191.8l-72 72.63L152.2 191.8c-10.38-10.38-12.38-30 2-42c13.75-11.5 31.25-3.375 38.5 3.75l31.38 31.75l31.38-31.75c7.125-7.25 24.62-15.25 38.38-3.75C308.2 161.8 306.2 181.4 295.1 191.8zM448 368v-320C448 21.49 426.5 0 400 0h-320C35.82 0 0 35.82 0 80V448c0 35.35 28.65 64 64 64h368c8.844 0 16-7.156 16-16S440.8 480 432 480H416v-66.95C434.6 406.4 448 388.8 448 368zM384 480H64c-17.64 0-32-14.36-32-32s14.36-32 32-32h320V480zM400 384H64c-11.71 0-22.55 3.389-32 8.9V80C32 53.49 53.49 32 80 32h320C408.8 32 416 39.16 416 48v320C416 376.8 408.8 384 400 384z"],
    "book-journal-whills": [448, 512, ["journal-whills"], "f66a", "M308 85.25c-4.75-2.625-10.62-1.75-14.5 2.125c-3.75 4-4.375 10-1.5 14.63c16.25 25.87 10.38 59.87-13.5 78.87c-2.5 2.25-4 5.25-4.375 8.625c-.25 3.25 1 6.5 3.25 9c13 13.38 17.75 32.63 12.5 50.5S270.1 280.6 252 284.9V259.3l6.25 6.375c3.125 3.125 8.25 3.125 11.38 0s3.125-8.125 0-11.25L259.3 244H272c4.375 0 8-3.625 8-8s-3.625-8-8-8h-12.75l10.38-10.38c3.125-3.125 3.125-8.125 0-11.25s-8.125-3.125-11.25 0L252 212.8V84c0-6.625-5.375-12-12-12s-12 5.375-12 12v128.8L221.6 206.4c-3.125-3.125-8.125-3.125-11.25 0s-3.125 8.125 0 11.25L220.6 228H208c-4.375 0-8 3.625-8 8s3.625 8 8 8h12.62L210.4 254.4c-3.125 3.125-3.125 8.125 0 11.25s8.125 3.125 11.25 0L228 259.3v25.62C209.9 280.6 195.4 267 190.1 249.1S189.6 211.9 202.5 198.5C204.9 196 206.1 192.8 205.9 189.5C205.6 186.1 204.1 183 201.5 180.9c-24-19-29.75-53-13.5-78.87c1.125-1.875 1.75-4.125 1.75-6.25c-.125-3.125-1.25-6-3.375-8.375C182.6 83.5 176.8 82.63 171.9 85.25C127.5 110.1 100 156.8 100 207c0 77.13 62.88 140 140 140s140-62.88 140-140C380 156.8 352.4 110.1 308 85.25zM330.4 197.6c3.125 3.125 8.125 3.125 11.25 0l12.25-12.25C355.3 192.5 356 199.8 356 207c0 4.75-.875 9.375-1.5 14.12l-23.88 20.88c-2.125 1.875-3.125 4.75-2.5 7.625c.5 2.75 2.5 5 5.25 6c2.75 .875 5.75 .25 7.875-1.625L348.1 248C331.4 291.8 289.5 323 240 323S148.5 291.8 131.9 248l6.875 6c3.249 2.875 8.375 2.625 11.25-.7501C151.4 251.6 152.1 249.6 152 247.5S150.9 243.4 149.3 242L125.5 221.1C124.9 216.4 124 211.8 124 207c0-7.25 .625-14.5 1.999-21.62l12.38 12.25c3.125 3.125 8.125 3.125 11.25 0s3.125-8.25 0-11.38L131.3 167.9C136.5 153.4 144.5 140.1 155 128.8c-.125 1.625-.25 3.375-.25 5C154.9 155.1 163 175.6 177.5 191.3c-21.88 31.62-16.75 74.63 12 100.1c28.88 25.62 72.13 25.62 101 0c28.75-25.5 33.88-68.5 11.88-100.1c14.62-15.62 22.75-36.13 22.75-57.5c0-1.625 0-3.375-.125-5C335.4 140 343.5 153.4 348.8 167.9l-18.44 18.38C327.3 189.4 327.3 194.5 330.4 197.6zM448 368v-320C448 21.49 426.5 0 400 0h-320C35.82 0 0 35.82 0 80V448c0 35.35 28.65 64 64 64h368c8.844 0 16-7.156 16-16S440.8 480 432 480H416v-66.95C434.6 406.4 448 388.8 448 368zM384 480H64c-17.64 0-32-14.36-32-32s14.36-32 32-32h320V480zM400 384H64c-11.71 0-22.55 3.389-32 8.9V80C32 53.49 53.49 32 80 32h320C408.8 32 416 39.16 416 48v320C416 376.8 408.8 384 400 384z"],
    "book-medical": [448, 512, [], "f7e6", "M448 368v-320C448 21.49 426.5 0 400 0h-320C35.82 0 0 35.82 0 80V448c0 35.34 28.65 64 64 64h368c8.844 0 16-7.156 16-16S440.8 480 432 480H416v-66.95C434.6 406.4 448 388.8 448 368zM384 480H64c-17.64 0-32-14.36-32-32s14.36-32 32-32h320V480zM400 384H64c-11.71 0-22.55 3.391-32 8.898V80C32 53.49 53.49 32 80 32h320C408.8 32 416 39.16 416 48v320C416 376.8 408.8 384 400 384zM320 159.1h-48V111.1c0-8.836-7.164-16-16-16L224 96C215.2 96 208 103.2 208 111.1V160H160C151.2 160 144 167.2 144 175.1V208c0 8.836 7.164 15.1 16 15.1l48-.002v48C208 280.8 215.2 288 224 288l32-.0031c8.836 0 16-7.163 16-15.1v-48l48-.002c8.836 0 16-7.16 16-15.1V175.1C336 167.2 328.8 159.1 320 159.1z"],
    "book-open": [576, 512, [128366, 128214], "f518", "M540.9 56.77c-45.95-16.66-90.23-24.09-129.1-24.75C351.1 32.96 309.1 49.47 288 59.74C266.9 49.47 223.9 32.94 164.8 32C124.8 31.95 80.4 40.35 35.1 56.77C14.18 64.33 0 84.41 0 106.7v302.9c0 14.66 6.875 28.06 18.89 36.8c11.81 8.531 26.64 10.98 40.73 6.781c118.9-36.34 209.3 19.05 214.3 22.19C277.8 477.6 281.2 480 287.1 480c6.52 0 10.12-2.373 14.07-4.578c10.78-6.688 98.3-57.66 214.3-22.27c14.11 4.25 28.86 1.75 40.75-6.812C569.1 437.6 576 424.2 576 409.6V106.7C576 84.42 561.8 64.35 540.9 56.77zM272 438.1c-24.95-12.03-71.01-29.37-130.5-29.37c-27.83 0-58.5 3.812-91.19 13.77c-4.406 1.344-9 .5938-12.69-2.047C34.02 417.8 32 413.1 32 409.6V106.7c0-8.859 5.562-16.83 13.86-19.83C87.66 71.7 127.9 63.95 164.5 64C216.3 64.81 254.2 79.26 272 87.66V438.1zM544 409.6c0 4.375-2.016 8.234-5.594 10.84c-3.766 2.703-8.297 3.422-12.69 2.125C424.1 391.6 341.3 420.4 304 438.3V87.66C321.8 79.26 359.7 64.81 411.4 64c35.31-.0625 76.34 7.484 118.8 22.88C538.4 89.88 544 97.84 544 106.7V409.6z"],
    "book-open-cover": [640, 512, ["book-open-alt"], "e0c0", "M89.06 398.1l217.1 48.4C310.7 447.5 315.3 448 320 448s9.312-.5098 13.88-1.529l217.1-48.4C565.6 394.8 576 381.8 576 366.7V39.47c0-22.15-17.99-39.46-39.31-39.46C536.2 .0127 535.9 0 535.6 0C532.7 0 522.6 1.673 320 33.13C117.1 1.63 107.4 .002 104.4 .002c-.3574 0-.6172 .0107-1.105 .0107C81.99 .0107 64 17.32 64 39.47V366.7C64 381.8 74.42 394.8 89.06 398.1zM336 63.1c0 0 195.4-30.39 200.6-31.07C540.1 32.03 544 34.91 544 39.56l-.0234 327.3L336 413.2V63.1zM96 39.56c0-2.623 1.203-4.367 2.211-5.369c.7383-.7344 2.248-1.922 5.264-2.148C108.8 32.74 304 63.1 304 63.1v350.1L96 366.7V39.56zM624 32C615.2 32 608 39.16 608 48v335.6c0 22.88-16.3 42.69-38.73 47.09L320 479.7l-249.3-48.97C48.3 426.3 32 406.5 32 383.6V48C32 39.16 24.84 32 16 32S0 39.16 0 48v335.6c0 38.13 27.16 71.14 64.58 78.5l252.3 49.58C317.9 511.9 318.1 512 320 512s2.062-.0938 3.078-.2969l252.4-49.58C612.8 454.8 640 421.8 640 383.6V48C640 39.16 632.8 32 624 32z"],
    "book-open-reader": [512, 512, ["book-reader"], "f5da", "M459.9 192c-.625 0-1.375 0-2 .125C408 194.9 317.4 205.1 256 239.6c-61.38-34.5-152-44.75-201.9-47.5C53.5 192 52.75 192 52.12 192C31.75 192 0 206.4 0 242.2v177.1C0 447 21.25 469 48.38 470.4c34.38 1.875 120.5 9.125 177 37.5C229.1 510.2 235 511.5 240 511.9l32 .0208c5-.375 9.1-1.688 14.62-4.062c56.5-28.38 142.6-35.63 177-37.5C490.8 469 512 447 512 420.2V242.2C512 206.4 480.3 192 459.9 192zM239.9 479.3C239.8 479.2 240 479.4 239.9 479.3c-59.63-30-144.6-38.44-189.9-40.81C39.88 437.9 32 429.9 32 420.2V242.2c0-6.125 1.75-10 5.875-13.25C42.38 225.6 48.38 224 52.38 224C89.38 226.1 181.6 234.6 240 267.4L239.9 479.3zM480 420.2c0 9.625-7.875 17.63-18 18.25c-45.25 2.375-130.2 10.81-189.9 40.81c-.125 .125 .125 0 0 0L272 267.4C330.4 234.6 422.6 226.1 459.5 224h.375C460.1 224 480 224.5 480 242.2V420.2zM256 192c53 0 96-43 96-96s-43-96-96-96S160 43 160 96S203 192 256 192zM256 32c35.25 0 64 28.75 64 64s-28.75 64-64 64S192 131.2 192 96S220.8 32 256 32z"],
    "book-quran": [448, 512, ["quran"], "f687", "M368 0h-320C21.49 0 0 21.49 0 48v320c0 20.83 13.42 38.43 32 45.05V480H16C7.156 480 0 487.2 0 496S7.156 512 16 512H384c35.35 0 64-28.66 64-64V80C448 35.82 412.2 0 368 0zM384 480H64v-64h320c17.64 0 32 14.36 32 32S401.6 480 384 480zM416 392.9C406.5 387.4 395.7 384 384 384H48C39.16 384 32 376.8 32 368v-320C32 39.16 39.16 32 48 32h320C394.5 32 416 53.49 416 80V392.9zM354.3 179.1L331.5 175.9l-10.12-20.62c-5.375-10.88-23.25-10.88-28.62 0L282.5 175.9l-22.62 3.25C253.8 180 248.8 184.3 246.9 190C245 195.9 246.6 202.3 251 206.5l16.38 16L263.5 245.1c-1 6 1.5 12 6.375 15.62c5 3.625 11.5 4 16.88 1.25L307 251.3L327.4 262c5.375 2.75 11.88 2.375 16.88-1.25c4.875-3.625 7.375-9.625 6.375-15.62L346.8 222.5l16.38-16c4.375-4.25 6-10.62 4.125-16.5C365.4 184.3 360.3 180 354.3 179.1zM323 213.5l3.75 22L307 225.1L287.3 235.5l3.875-22L275 197.9l22.12-3.25l9.875-20l10 20l22 3.25L323 213.5zM284.3 293.9L280.1 294c-45.63 0-82.88-37.13-82.88-82.88c0-45.63 37.25-82.75 82.88-82.75l4.125 .125c9 0 16.62-6.375 18.38-15c1.875-9.125-3.125-18.12-11.75-21.38C276.4 86.75 261.4 84 246.3 84c-70.13 0-127.1 57-127.1 127.1s57 127.3 127.1 127.3c15 0 30-2.75 44-8c7.625-2.5 12.88-9.75 12.75-17.75C303 302.3 294.6 293.9 284.3 293.9zM143 211.3c0-57 46.38-103.3 103.3-103.3c1.875 0 3.625 0 5.5 .125c-45.25 12.5-78.5 54-78.5 103.1c0 49 33.25 90.5 78.5 103C193 317.9 143 269.9 143 211.3z"],
    "book-section": [448, 512, ["book-law"], "e0c1", "M448 368v-320C448 21.49 426.5 0 400 0h-320C35.82 0 0 35.82 0 80V448c0 35.35 28.66 64 64 64h368c8.844 0 16-7.156 16-16S440.8 480 432 480H416v-66.95C434.6 406.4 448 388.8 448 368zM384 480H64c-17.64 0-32-14.36-32-32s14.36-32 32-32h320V480zM400 384H64c-11.71 0-22.55 3.389-32 8.9V80C32 53.49 53.49 32 80 32h320C408.8 32 416 39.16 416 48v320C416 376.8 408.8 384 400 384zM298.5 254.3c10.71-7.951 17.9-18.6 20.41-31.65c9.469-49.48-39.33-62.25-74.95-71.47l-8.359-2.047C195.5 138.5 189.9 130.6 192.5 117.1c3.656-19.06 34.5-23.61 61.53-19.75c7.75 1.109 17.03 3.391 29.16 7.188c8.406 2.641 17.41-2.047 20.06-10.48c2.625-8.438-2.062-17.41-10.5-20.05c-13.81-4.328-24.69-6.984-34.22-8.344c-52.63-7.484-90.78 10.39-97.47 45.44C156.4 135.9 166.7 151.4 181.5 161.7c-10.73 7.955-17.92 18.61-20.43 31.68c-9.344 48.89 39.88 61.97 66.28 69L236 264.6c41.5 10.75 54.75 17.2 51.47 34.31c-3.656 19.06-34.38 23.66-61.63 19.75C213.1 317.1 199.9 312.5 187.5 308.4L180.9 306.3C172.5 303.6 163.5 308.2 160.8 316.7c-2.688 8.422 1.969 17.42 10.38 20.11l6.469 2.109c13.69 4.453 29.19 9.5 43.84 11.5c7.938 1.125 15.5 1.656 22.72 1.656c40.59 0 69.06-17.34 74.75-47.09C323.6 280.3 313.9 264.8 298.5 254.3zM287.5 216.6c-2.766 14.45-20.55 18.9-31.04 20.3c-4.223-1.166-20.84-5.506-20.84-5.506C195.5 220.8 189.9 212.9 192.5 199.4C195.3 184.9 213.2 180.4 223.7 179.1c1.215 .3281 12.25 3.105 12.25 3.105C277.5 192.9 290.8 199.5 287.5 216.6z"],
    "book-skull": [448, 512, ["book-dead"], "f6b7", "M248 160c8.75 0 16-7.25 16-16S256.8 128 248 128s-16 7.25-16 16S239.3 160 248 160zM200 160c8.75 0 16-7.25 16-16S208.8 128 200 128s-16 7.25-16 16S191.3 160 200 160zM160 203.4V216C160 229.3 170.8 240 184 240h80C277.3 240 288 229.3 288 216V203.4C308.4 188.3 319.1 167 319.1 144C319.1 99.88 276.9 64 224 64S128 99.88 128 144C128 167 139.6 188.3 160 203.4zM224 96c35.25 0 63.99 21.5 63.99 48c0 14.25-8.736 27.88-24.24 37.25L256 185.9V208H191.1L192 185.9L184.3 181.3C168.9 171.9 159.1 158.3 159.1 144C159.1 117.5 188.8 96 224 96zM448 368v-320C448 21.49 426.5 0 400 0h-320C35.82 0 0 35.82 0 80V448c0 35.35 28.65 64 64 64h368c8.844 0 16-7.156 16-16S440.8 480 432 480H416v-66.95C434.6 406.4 448 388.8 448 368zM384 480H64c-17.64 0-32-14.36-32-32s14.36-32 32-32h320V480zM400 384H64c-11.71 0-22.55 3.389-32 8.9V80C32 53.49 53.49 32 80 32h320C408.8 32 416 39.16 416 48v320C416 376.8 408.8 384 400 384zM351.1 250.6c-2.953-8.328-12.19-12.72-20.44-9.688L224 279L117.4 240.9C109 237.9 99.89 242.3 96.94 250.6C93.95 258.9 98.3 268.1 106.6 271.1L176.4 296l-69.82 24.94c-8.328 2.969-12.67 12.12-9.688 20.44C99.27 347.9 105.4 352 112 352c1.781 0 3.609-.2969 5.375-.9375L224 312.1l106.6 38.08C332.4 351.7 334.2 352 336 352c6.578 0 12.73-4.078 15.06-10.62c2.984-8.312-1.359-17.47-9.688-20.44L271.6 296l69.82-24.94C349.7 268.1 354 258.9 351.1 250.6z"],
    "book-sparkles": [448, 512, ["book-spells"], "f6b8", "M448 368v-320C448 21.49 426.5 0 400 0h-320C35.82 0 0 35.82 0 80V448c0 35.35 28.65 64 64 64h368c8.844 0 16-7.156 16-16S440.8 480 432 480H416v-66.95C434.6 406.4 448 388.8 448 368zM384 480H64c-17.64 0-32-14.36-32-32s14.36-32 32-32h320V480zM400 384H64c-11.71 0-22.55 3.389-32 8.9V80C32 53.49 53.49 32 80 32h320C408.8 32 416 39.16 416 48v320C416 376.8 408.8 384 400 384zM352 224h-48V176c0-8.844-7.155-15.1-15.1-15.1S272 167.2 272 176V224H224C215.2 224 208 231.1 208 239.1S215.2 255.1 224 255.1L272 256v48c0 8.844 7.155 15.1 15.1 15.1S304 312.8 304 304V256L352 255.1c8.844 0 16-7.152 16-15.1S360.8 224 352 224zM223.1 128c0-8.844-7.148-16-15.99-16h-32l-.0039-32C175.1 71.16 168.8 64 160 64S144 71.16 144 80v32h-32C103.2 112 96 119.2 96 128s7.156 16 16 16h32v32C144 184.8 151.2 192 160 192s15.1-7.156 15.1-16L176 144h32C216.8 144 223.1 136.8 223.1 128z"],
    "book-tanakh": [448, 512, ["tanakh"], "f827", "M368 0h-320C21.49 0 0 21.49 0 48v320c0 20.83 13.42 38.43 32 45.05V480H16C7.156 480 0 487.2 0 496S7.156 512 16 512H384c35.35 0 64-28.66 64-64V80C448 35.82 412.2 0 368 0zM384 480H64v-64h320c17.64 0 32 14.36 32 32S401.6 480 384 480zM416 392.9C406.5 387.4 395.7 384 384 384H48C39.16 384 32 376.8 32 368v-320C32 39.16 39.16 32 48 32h320C394.5 32 416 53.49 416 80V392.9zM314.6 208l27.62-46.38c3.749-6.125 3.749-13.88 .25-20.12c-3.5-6.25-10.25-10.12-17.38-10.12h-56.38L241 85.13C237.4 79.13 231.1 74.75 224 75.5c-7.125 0-13.62 3.75-17.25 9.75L179.1 131.5H122.9C115.6 131.4 109 135.3 105.4 141.6c-3.625 6.125-3.5 13.88 .25 20L133.4 208L105.8 254.4C101.1 260.5 101.1 268.3 105.5 274.5C109 280.8 115.8 284.6 122.9 284.6h56.38L207 330.9c3.5 6 10 9.625 17 9.625c7.125 0 13.62-3.75 17.25-9.75l27.62-46.25h56.25c7.25 .125 13.88-3.75 17.5-10.12c3.625-6.125 3.5-13.88-.25-20L314.6 208zM317.1 155.4l-17.37 29.25l-17.5-29.12L317.1 155.4zM224 103.4l16.75 28.12H207.1L224 103.4zM129.1 155.5h34.88l-17.5 29.12L129.1 155.5zM129.1 260.5L147.5 231.4L165 260.5H129.1zM224 312.6L207.3 284.5h33.5L224 312.6zM255.1 260.5H192.9L161.4 208l31.5-52.5h62.25L286.6 208L255.1 260.5zM283.1 260.5l17.5-29.12l17.37 29.12H283.1z"],
    "book-user": [448, 512, [], "f7e7", "M448 368v-320C448 21.49 426.5 0 400 0h-320C35.82 0 0 35.82 0 80V448c0 35.35 28.65 64 64 64h368c8.844 0 16-7.156 16-16S440.8 480 432 480H416v-66.95C434.6 406.4 448 388.8 448 368zM384 480H64c-17.64 0-32-14.36-32-32s14.36-32 32-32h320V480zM400 384H64c-11.71 0-22.55 3.389-32 8.9V80C32 53.49 53.49 32 80 32h320C408.8 32 416 39.16 416 48v320C416 376.8 408.8 384 400 384zM256 240H192c-44.18 0-80 35.82-80 80c0 8.836 7.164 16 16 16s16-7.164 16-16c0-26.51 21.49-48 48-48h64c26.51 0 48 21.49 48 48c0 8.836 7.164 16 16 16s16-7.164 16-16C336 275.8 300.2 240 256 240zM224 208c35.35 0 64-28.65 64-64s-28.65-64-64-64s-64 28.65-64 64S188.7 208 224 208zM224 112c17.64 0 32 14.36 32 32s-14.36 32-32 32s-32-14.36-32-32S206.4 112 224 112z"],
    "bookmark": [384, 512, [61591, 128278], "f02e", "M320 0H64C28.72 0 0 28.7 0 64v431.1c0 5.844 3.188 11.23 8.312 14.04c5.125 2.781 11.34 2.562 16.28-.5313L192 402.1l167.4 106.5C362 511.2 365 512 368 512c2.656 0 5.281-.6562 7.688-1.969C380.8 507.2 384 501.8 384 495.1V64C384 28.7 355.3 0 320 0zM352 466.9l-151.4-96.36C197.1 368.8 195 368 192 368s-5.969 .8281-8.594 2.5L32 466.9V64c0-17.64 14.34-32 32-32h256c17.66 0 32 14.36 32 32V466.9z"],
    "bookmark-slash": [640, 512, [], "e0c2", "M192 32h256c17.66 0 32 14.36 32 32v236.8l32 25.26V64c0-35.3-28.72-64-64-64H192C169 0 148.1 12.28 137.7 30.53l25.45 20.09C168.3 39.7 179.2 32 192 32zM320 368c-3 0-5.969 .8281-8.594 2.5L160 466.9V211.2L128 185.9v310c0 5.844 3.188 11.23 8.312 14.04c5.125 2.781 11.34 2.562 16.28-.5313L320 402.1l167.4 106.5C490 511.2 493 512 496 512c2.656 0 5.281-.6562 7.688-1.969C508.8 507.2 512 501.8 512 496v-3.877l-183.4-121.6C325.1 368.8 323 368 320 368zM633.9 483.4L25.9 3.418C18.1-2.02 8.936-.8477 3.436 6.059c-5.469 6.939-4.281 17 2.656 22.49l608 480C617 510.9 620.5 512 624 512c4.719 0 9.406-2.094 12.56-6.078C642 498.1 640.8 488.9 633.9 483.4z"],
    "books": [512, 512, [128218], "f5db", "M510.4 435.4l-107.7-399.9C396.9 14.07 377.5 0 356.4 0c-4.111 0-8.296 .5313-12.46 1.641l-61.82 16.48c-1.281 .3438-2.375 .9922-3.592 1.445C269.7 7.758 255.8 0 240 0h-64c-12.35 0-23.49 4.797-32 12.46C135.5 4.797 124.3 0 112 0h-64C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h64c12.35 0 23.49-4.797 32-12.46C152.5 507.2 163.7 512 176 512h64c26.51 0 48-21.49 48-48V224.7l67.8 251.9C361.6 497.9 380.9 512 402.1 512c4.111 0 8.293-.5313 12.46-1.641l61.82-16.48C502 487 517.2 460.8 510.4 435.4zM32 48C32 39.18 39.18 32 48 32h64C120.8 32 128 39.18 128 48l.0011 48L32 96V48zM32 128l96 .0014v255.1L32 384V128zM112 480h-64C39.18 480 32 472.8 32 464V416l96 0L128 464C128 472.8 120.8 480 112 480zM256 464c0 8.824-7.178 16-16 16h-64C167.2 480 160 472.8 160 464l.0011-47.1L256 416V464zM256 384l-95.1 .0002V128L256 128V384zM256 96L160 96L160 48C160 39.18 167.2 32 176 32h64C248.8 32 256 39.18 256 48V96zM288 101.6V50.29c.834-.3906 1.322-.9727 2.322-1.242l61.82-16.48C353.5 32.19 354.1 32 356.4 32c7.225 0 13.57 4.828 15.43 11.74l12.4 46.07l-92.71 24.73L288 101.6zM366 391.4l-66.26-246.1l92.71-24.73l66.26 246.1L366 391.4zM477.9 455.5c-1.23 2.133-4.133 5.934-9.729 7.43l-61.82 16.48C404.1 479.8 403.5 480 402.1 480c-7.227 0-13.57-4.828-15.43-11.74l-12.4-46.07l92.71-24.73l12.44 46.22C480.9 449.1 479.1 453.4 477.9 455.5z"],
    "books-medical": [576, 512, [], "f7e8", "M63.1 336c0 8.836 7.164 16 15.1 16h31.1c8.836 0 16-7.164 16-16L127.1 288h47.1c8.836 0 16-7.165 16-16v-32c0-8.836-7.165-15.1-16-15.1H127.1l.0006-47.1c0-8.836-7.165-15.1-16-15.1H79.1c-8.836 0-15.1 7.163-15.1 15.1L63.1 224H16c-8.836 0-16 7.163-16 15.1v32c0 8.836 7.164 16 16 16h47.1L63.1 336zM574.4 435.4l-107.7-399.9C460.9 14.07 441.5 0 420.4 0c-4.111 0-8.296 .5313-12.46 1.641l-61.82 16.48c-1.281 .3438-2.375 .9922-3.592 1.445C333.7 7.758 319.8 0 304 0h-64c-12.35 0-23.49 4.797-32 12.46C199.5 4.797 188.3 0 176 0h-64C85.49 0 64 21.49 64 48v64C64 120.8 71.16 128 80 128h112L192 176C192 184.8 199.2 192 208 192S224 184.8 224 176L224 128H320v256H224L224 336C224 327.2 216.8 320 208 320S192 327.2 192 336L192 384H80C71.16 384 64 391.2 64 400v64C64 490.5 85.49 512 112 512h64c12.35 0 23.49-4.797 32-12.46C216.5 507.2 227.7 512 240 512h64c26.51 0 48-21.49 48-48V224.7l67.8 251.9C425.6 497.9 444.9 512 466.1 512c4.111 0 8.293-.5313 12.46-1.641l61.91-16.51C566.1 487 581.2 460.8 574.4 435.4zM192 96H96V48C96 39.18 103.2 32 112 32h64C184.8 32 192 39.18 192 48L192 96zM192 464C192 472.8 184.8 480 176 480h-64C103.2 480 96 472.8 96 464V416h96L192 464zM320 464c0 8.824-7.178 16-16 16h-64C231.2 480 224 472.8 224 464L224 416H320V464zM320 96H224L224 48C224 39.18 231.2 32 240 32h64C312.8 32 320 39.18 320 48V96zM352 101.6V50.29c.834-.3906 1.322-.9727 2.322-1.242l61.82-16.48C417.5 32.19 418.1 32 420.4 32c7.225 0 13.57 4.828 15.43 11.74l12.4 46.07l-92.71 24.73L352 101.6zM430 391.4l-66.26-246.1l92.71-24.73l66.26 246.1L430 391.4zM541.9 455.5c-1.23 2.133-4.133 5.934-9.729 7.43l-61.82 16.48C468.1 479.8 467.5 480 466.1 480c-7.227 0-13.57-4.828-15.43-11.74l-12.4-46.07l92.71-24.73l12.44 46.22C544.9 449.1 543.1 453.4 541.9 455.5z"],
    "boombox": [640, 512, [128254], "f8a5", "M576 160V80C576 35.89 540.1 0 496 0h-352C99.88 0 64 35.89 64 80V160C28.65 160 0 188.7 0 224v224c0 35.35 28.65 64 64 64h512c35.35 0 64-28.65 64-64V224C640 188.7 611.3 160 576 160zM96 80C96 53.53 117.5 32 144 32h352C522.5 32 544 53.53 544 80V160H96V80zM608 448c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V224c0-17.64 14.36-32 32-32h512c17.64 0 32 14.36 32 32V448zM176 224C114.1 224 64 274.1 64 336S114.1 448 176 448S288 397.9 288 336S237.9 224 176 224zM176 416C131.9 416 96 380.1 96 336S131.9 256 176 256S256 291.9 256 336S220.1 416 176 416zM464 224C402.1 224 352 274.1 352 336s50.14 112 112 112s112-50.14 112-112S525.9 224 464 224zM464 416c-44.11 0-80-35.89-80-80S419.9 256 464 256S544 291.9 544 336S508.1 416 464 416zM240 96h-32C199.2 96 192 103.2 192 112S199.2 128 208 128h32C248.8 128 256 120.8 256 112S248.8 96 240 96zM432 96h-32C391.2 96 384 103.2 384 112S391.2 128 400 128h32C440.8 128 448 120.8 448 112S440.8 96 432 96zM336 96h-32C295.2 96 288 103.2 288 112S295.2 128 304 128h32C344.8 128 352 120.8 352 112S344.8 96 336 96z"],
    "boot": [512, 512, [129406], "f782", "M415 247.8L352 232V192c0-17.67-14.33-32-32-32H240C231.2 160 224 167.2 224 176S231.2 192 240 192H320v32H240C231.2 224 224 231.2 224 240S231.2 256 240 256H320l87.25 22.75C450.1 289.5 480 327.8 480 371.9V384H32V128h320c17.67 0 32-14.33 32-32V32c0-17.67-14.33-32-32-32H32C14.33 0 0 14.33 0 32v434.7c0 8.5 3.322 16.49 9.322 22.49l13.43 13.39C28.75 508.6 36.75 512 45.25 512h37.49c8.488 0 16.63-3.373 22.63-9.375L128 480l22.62 22.62C156.6 508.6 164.8 512 173.3 512h37.49c8.373 0 16.41-3.314 22.34-9.219L256 480l22.62 22.62C284.6 508.6 292.8 512 301.3 512h37.27c8.516 0 16.69-3.371 22.72-9.375L384 480l22.62 22.62C412.6 508.6 420.8 512 429.3 512h37.49c8.5 0 16.5-3.375 22.5-9.375l13.38-13.29C508.6 483.3 512 475.2 512 466.7v-94.76C512 313.2 472 262 415 247.8zM32 32h320v64H32V32zM480 466.8L466.8 480h-37.5l-22.62-22.62C400.6 451.4 392.5 448 384 448s-16.62 3.375-22.62 9.375L338.8 480h-37.5l-22.62-22.62C272.6 451.4 264.5 448 256 448s-16.62 3.375-22.62 9.375L210.8 480h-37.5l-22.62-22.62C144.6 451.4 136.5 448 128 448s-16.62 3.375-22.62 9.375L82.75 480h-37.5L32 466.8V416h448V466.8z"],
    "boot-heeled": [512, 512, [], "e33f", "M480 480v-56.45c0-24.24-13.7-46.4-35.38-57.24l-121.2-60.62c-21.68-10.84-35.38-33-35.38-57.24V32c0-17.67-14.33-32-32-32h-192C44.76 0 29.86 16.87 32.25 35.97l24.44 161.5c4.816 38.53 .9414 77.66-11.34 114.5c-8.84 26.52-13.35 54.29-13.35 82.24V496c0 8.844 7.156 16 16 16h96c8.844 0 16-7.156 16-16v-39.5l109 48.56C279.3 509.7 290.3 512 301.6 512h178.4c8.844 0 16-7.156 16-16S488.8 480 480 480zM128 480h-64v-32h64V480zM301.6 480c-6.812 0-13.38-1.406-19.56-4.156l-125.9-56.09C150.3 417.3 143.1 416 137.5 416H64.01v-21.8c0-24.56 3.938-48.82 11.7-72.12c13.71-41.12 18.11-85.58 12.73-128.6L64.01 32h64v208c0 8.844 7.156 16 16 16s16-7.156 16-16V32h96v216.4c0 36.6 20.33 69.5 53.07 85.87l121.2 60.62c10.91 5.455 17.69 16.42 17.69 28.62V480H301.6z"],
    "booth-curtain": [512, 512, [], "f734", "M0 32v464C0 504.8 7.2 512 15.1 512S32 504.8 32 496V32h64L95.1 381.5c0 35.29 27.49 65.79 62.78 66.47C178.5 448.4 196 439.5 208 425.9C219.8 439.2 236.8 448 256 448s36.25-8.75 48-22.12C315.8 439.2 332.8 448 352 448s36.25-8.75 48-22.12C411.8 439.2 428.8 448 448 448c11.75 0 22.5-3.375 32-8.875v56.88C480 504.8 487.2 512 496 512s16-7.2 16-16V32c0-17.67-14.33-32-32-32H32C14.33 0 0 14.33 0 32zM416 32h64v352c0 17.75-14.25 32-32 32c-17.75 0-32-14.25-32-32V32zM320 32h64v352c0 17.75-14.25 32-32 32s-32-14.25-32-32V32zM224 32h64v352c0 17.75-14.25 32-32 32s-32-14.25-32-32V32zM128 32h64v352c0 17.75-14.25 32-32 32s-32-14.25-32-32V32z"],
    "border-all": [448, 512, [], "f84c", "M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM384 64H240V240H416V96C416 78.33 401.7 64 384 64zM416 272H240V448H384C401.7 448 416 433.7 416 416V272zM208 240V64H64C46.33 64 32 78.33 32 96V240H208zM32 272V416C32 433.7 46.33 448 64 448H208V272H32z"],
    "border-bottom": [448, 512, [], "f84d", "M448 464C448 472.8 440.8 480 432 480H16C7.164 480 0 472.8 0 464C0 455.2 7.164 448 16 448H432C440.8 448 448 455.2 448 464zM440 352C440 365.3 429.3 376 416 376C402.7 376 392 365.3 392 352C392 338.7 402.7 328 416 328C429.3 328 440 338.7 440 352zM32 328C45.25 328 56 338.7 56 352C56 365.3 45.25 376 32 376C18.75 376 8 365.3 8 352C8 338.7 18.75 328 32 328zM248 352C248 365.3 237.3 376 224 376C210.7 376 200 365.3 200 352C200 338.7 210.7 328 224 328C237.3 328 248 338.7 248 352zM416 136C429.3 136 440 146.7 440 160C440 173.3 429.3 184 416 184C402.7 184 392 173.3 392 160C392 146.7 402.7 136 416 136zM56 160C56 173.3 45.25 184 32 184C18.75 184 8 173.3 8 160C8 146.7 18.75 136 32 136C45.25 136 56 146.7 56 160zM224 136C237.3 136 248 146.7 248 160C248 173.3 237.3 184 224 184C210.7 184 200 173.3 200 160C200 146.7 210.7 136 224 136zM440 256C440 269.3 429.3 280 416 280C402.7 280 392 269.3 392 256C392 242.7 402.7 232 416 232C429.3 232 440 242.7 440 256zM32 232C45.25 232 56 242.7 56 256C56 269.3 45.25 280 32 280C18.75 280 8 269.3 8 256C8 242.7 18.75 232 32 232zM248 256C248 269.3 237.3 280 224 280C210.7 280 200 269.3 200 256C200 242.7 210.7 232 224 232C237.3 232 248 242.7 248 256zM416 40C429.3 40 440 50.75 440 64C440 77.25 429.3 88 416 88C402.7 88 392 77.25 392 64C392 50.75 402.7 40 416 40zM56 64C56 77.25 45.25 88 32 88C18.75 88 8 77.25 8 64C8 50.75 18.75 40 32 40C45.25 40 56 50.75 56 64zM224 40C237.3 40 248 50.75 248 64C248 77.25 237.3 88 224 88C210.7 88 200 77.25 200 64C200 50.75 210.7 40 224 40zM344 256C344 269.3 333.3 280 320 280C306.7 280 296 269.3 296 256C296 242.7 306.7 232 320 232C333.3 232 344 242.7 344 256zM320 40C333.3 40 344 50.75 344 64C344 77.25 333.3 88 320 88C306.7 88 296 77.25 296 64C296 50.75 306.7 40 320 40zM152 64C152 77.25 141.3 88 128 88C114.7 88 104 77.25 104 64C104 50.75 114.7 40 128 40C141.3 40 152 50.75 152 64zM128 232C141.3 232 152 242.7 152 256C152 269.3 141.3 280 128 280C114.7 280 104 269.3 104 256C104 242.7 114.7 232 128 232z"],
    "border-bottom-right": [448, 512, ["border-style-alt"], "f854", "M448 416C448 451.3 419.3 480 384 480H32C23.16 480 16 472.8 16 464C16 455.2 23.16 448 32 448H384C401.7 448 416 433.7 416 416V64C416 55.16 423.2 48 432 48C440.8 48 448 55.16 448 64V416zM296 64C296 50.75 306.7 40 320 40C333.3 40 344 50.75 344 64C344 77.25 333.3 88 320 88C306.7 88 296 77.25 296 64zM104 64C104 50.75 114.7 40 128 40C141.3 40 152 50.75 152 64C152 77.25 141.3 88 128 88C114.7 88 104 77.25 104 64zM224 40C237.3 40 248 50.75 248 64C248 77.25 237.3 88 224 88C210.7 88 200 77.25 200 64C200 50.75 210.7 40 224 40zM8 64C8 50.75 18.75 40 32 40C45.25 40 56 50.75 56 64C56 77.25 45.25 88 32 88C18.75 88 8 77.25 8 64zM32 232C45.25 232 56 242.7 56 256C56 269.3 45.25 280 32 280C18.75 280 8 269.3 8 256C8 242.7 18.75 232 32 232zM8 160C8 146.7 18.75 136 32 136C45.25 136 56 146.7 56 160C56 173.3 45.25 184 32 184C18.75 184 8 173.3 8 160zM32 328C45.25 328 56 338.7 56 352C56 365.3 45.25 376 32 376C18.75 376 8 365.3 8 352C8 338.7 18.75 328 32 328z"],
    "border-center-h": [448, 512, [], "f89c", "M432 240C440.8 240 448 247.2 448 256C448 264.8 440.8 272 432 272H16C7.164 272 0 264.8 0 256C0 247.2 7.164 240 16 240H432zM32 88C18.75 88 8 77.25 8 64C8 50.75 18.75 40 32 40C45.25 40 56 50.75 56 64C56 77.25 45.25 88 32 88zM32 472C18.75 472 8 461.3 8 448C8 434.7 18.75 424 32 424C45.25 424 56 434.7 56 448C56 461.3 45.25 472 32 472zM128 88C114.7 88 104 77.25 104 64C104 50.75 114.7 40 128 40C141.3 40 152 50.75 152 64C152 77.25 141.3 88 128 88zM128 472C114.7 472 104 461.3 104 448C104 434.7 114.7 424 128 424C141.3 424 152 434.7 152 448C152 461.3 141.3 472 128 472zM344 448C344 461.3 333.3 472 320 472C306.7 472 296 461.3 296 448C296 434.7 306.7 424 320 424C333.3 424 344 434.7 344 448zM320 88C306.7 88 296 77.25 296 64C296 50.75 306.7 40 320 40C333.3 40 344 50.75 344 64C344 77.25 333.3 88 320 88zM248 448C248 461.3 237.3 472 224 472C210.7 472 200 461.3 200 448C200 434.7 210.7 424 224 424C237.3 424 248 434.7 248 448zM224 88C210.7 88 200 77.25 200 64C200 50.75 210.7 40 224 40C237.3 40 248 50.75 248 64C248 77.25 237.3 88 224 88zM440 448C440 461.3 429.3 472 416 472C402.7 472 392 461.3 392 448C392 434.7 402.7 424 416 424C429.3 424 440 434.7 440 448zM440 64C440 77.25 429.3 88 416 88C402.7 88 392 77.25 392 64C392 50.75 402.7 40 416 40C429.3 40 440 50.75 440 64zM248 352C248 365.3 237.3 376 224 376C210.7 376 200 365.3 200 352C200 338.7 210.7 328 224 328C237.3 328 248 338.7 248 352zM416 376C402.7 376 392 365.3 392 352C392 338.7 402.7 328 416 328C429.3 328 440 338.7 440 352C440 365.3 429.3 376 416 376zM56 352C56 365.3 45.25 376 32 376C18.75 376 8 365.3 8 352C8 338.7 18.75 328 32 328C45.25 328 56 338.7 56 352zM416 184C402.7 184 392 173.3 392 160C392 146.7 402.7 136 416 136C429.3 136 440 146.7 440 160C440 173.3 429.3 184 416 184zM56 160C56 173.3 45.25 184 32 184C18.75 184 8 173.3 8 160C8 146.7 18.75 136 32 136C45.25 136 56 146.7 56 160zM224 184C210.7 184 200 173.3 200 160C200 146.7 210.7 136 224 136C237.3 136 248 146.7 248 160C248 173.3 237.3 184 224 184z"],
    "border-center-v": [448, 512, [], "f89d", "M208 48C208 39.16 215.2 32 224 32C232.8 32 240 39.16 240 48V464C240 472.8 232.8 480 224 480C215.2 480 208 472.8 208 464V48zM56 448C56 461.3 45.25 472 32 472C18.75 472 8 461.3 8 448C8 434.7 18.75 424 32 424C45.25 424 56 434.7 56 448zM440 448C440 461.3 429.3 472 416 472C402.7 472 392 461.3 392 448C392 434.7 402.7 424 416 424C429.3 424 440 434.7 440 448zM56 352C56 365.3 45.25 376 32 376C18.75 376 8 365.3 8 352C8 338.7 18.75 328 32 328C45.25 328 56 338.7 56 352zM440 352C440 365.3 429.3 376 416 376C402.7 376 392 365.3 392 352C392 338.7 402.7 328 416 328C429.3 328 440 338.7 440 352zM416 136C429.3 136 440 146.7 440 160C440 173.3 429.3 184 416 184C402.7 184 392 173.3 392 160C392 146.7 402.7 136 416 136zM56 160C56 173.3 45.25 184 32 184C18.75 184 8 173.3 8 160C8 146.7 18.75 136 32 136C45.25 136 56 146.7 56 160zM416 232C429.3 232 440 242.7 440 256C440 269.3 429.3 280 416 280C402.7 280 392 269.3 392 256C392 242.7 402.7 232 416 232zM56 256C56 269.3 45.25 280 32 280C18.75 280 8 269.3 8 256C8 242.7 18.75 232 32 232C45.25 232 56 242.7 56 256zM416 40C429.3 40 440 50.75 440 64C440 77.25 429.3 88 416 88C402.7 88 392 77.25 392 64C392 50.75 402.7 40 416 40zM32 40C45.25 40 56 50.75 56 64C56 77.25 45.25 88 32 88C18.75 88 8 77.25 8 64C8 50.75 18.75 40 32 40zM320 232C333.3 232 344 242.7 344 256C344 269.3 333.3 280 320 280C306.7 280 296 269.3 296 256C296 242.7 306.7 232 320 232zM344 64C344 77.25 333.3 88 320 88C306.7 88 296 77.25 296 64C296 50.75 306.7 40 320 40C333.3 40 344 50.75 344 64zM320 424C333.3 424 344 434.7 344 448C344 461.3 333.3 472 320 472C306.7 472 296 461.3 296 448C296 434.7 306.7 424 320 424zM152 64C152 77.25 141.3 88 128 88C114.7 88 104 77.25 104 64C104 50.75 114.7 40 128 40C141.3 40 152 50.75 152 64zM128 424C141.3 424 152 434.7 152 448C152 461.3 141.3 472 128 472C114.7 472 104 461.3 104 448C104 434.7 114.7 424 128 424zM152 256C152 269.3 141.3 280 128 280C114.7 280 104 269.3 104 256C104 242.7 114.7 232 128 232C141.3 232 152 242.7 152 256z"],
    "border-inner": [448, 512, [], "f84e", "M224 480C215.2 480 208 472.8 208 464V272H16C7.164 272 0 264.8 0 256C0 247.2 7.164 240 16 240H208V48C208 39.16 215.2 32 224 32C232.8 32 240 39.16 240 48V240H432C440.8 240 448 247.2 448 256C448 264.8 440.8 272 432 272H240V464C240 472.8 232.8 480 224 480zM8 448C8 434.7 18.75 424 32 424C45.25 424 56 434.7 56 448C56 461.3 45.25 472 32 472C18.75 472 8 461.3 8 448zM392 448C392 434.7 402.7 424 416 424C429.3 424 440 434.7 440 448C440 461.3 429.3 472 416 472C402.7 472 392 461.3 392 448zM8 352C8 338.7 18.75 328 32 328C45.25 328 56 338.7 56 352C56 365.3 45.25 376 32 376C18.75 376 8 365.3 8 352zM392 352C392 338.7 402.7 328 416 328C429.3 328 440 338.7 440 352C440 365.3 429.3 376 416 376C402.7 376 392 365.3 392 352zM440 160C440 173.3 429.3 184 416 184C402.7 184 392 173.3 392 160C392 146.7 402.7 136 416 136C429.3 136 440 146.7 440 160zM8 160C8 146.7 18.75 136 32 136C45.25 136 56 146.7 56 160C56 173.3 45.25 184 32 184C18.75 184 8 173.3 8 160zM440 64C440 77.25 429.3 88 416 88C402.7 88 392 77.25 392 64C392 50.75 402.7 40 416 40C429.3 40 440 50.75 440 64zM56 64C56 77.25 45.25 88 32 88C18.75 88 8 77.25 8 64C8 50.75 18.75 40 32 40C45.25 40 56 50.75 56 64zM344 64C344 77.25 333.3 88 320 88C306.7 88 296 77.25 296 64C296 50.75 306.7 40 320 40C333.3 40 344 50.75 344 64zM296 448C296 434.7 306.7 424 320 424C333.3 424 344 434.7 344 448C344 461.3 333.3 472 320 472C306.7 472 296 461.3 296 448zM152 64C152 77.25 141.3 88 128 88C114.7 88 104 77.25 104 64C104 50.75 114.7 40 128 40C141.3 40 152 50.75 152 64zM104 448C104 434.7 114.7 424 128 424C141.3 424 152 434.7 152 448C152 461.3 141.3 472 128 472C114.7 472 104 461.3 104 448z"],
    "border-left": [448, 512, [], "f84f", "M16 480C7.164 480 0 472.8 0 464V48C0 39.16 7.164 32 16 32C24.84 32 32 39.16 32 48V464C32 472.8 24.84 480 16 480zM128 472C114.7 472 104 461.3 104 448C104 434.7 114.7 424 128 424C141.3 424 152 434.7 152 448C152 461.3 141.3 472 128 472zM152 64C152 77.25 141.3 88 128 88C114.7 88 104 77.25 104 64C104 50.75 114.7 40 128 40C141.3 40 152 50.75 152 64zM128 280C114.7 280 104 269.3 104 256C104 242.7 114.7 232 128 232C141.3 232 152 242.7 152 256C152 269.3 141.3 280 128 280zM344 448C344 461.3 333.3 472 320 472C306.7 472 296 461.3 296 448C296 434.7 306.7 424 320 424C333.3 424 344 434.7 344 448zM320 88C306.7 88 296 77.25 296 64C296 50.75 306.7 40 320 40C333.3 40 344 50.75 344 64C344 77.25 333.3 88 320 88zM344 256C344 269.3 333.3 280 320 280C306.7 280 296 269.3 296 256C296 242.7 306.7 232 320 232C333.3 232 344 242.7 344 256zM224 472C210.7 472 200 461.3 200 448C200 434.7 210.7 424 224 424C237.3 424 248 434.7 248 448C248 461.3 237.3 472 224 472zM248 64C248 77.25 237.3 88 224 88C210.7 88 200 77.25 200 64C200 50.75 210.7 40 224 40C237.3 40 248 50.75 248 64zM224 280C210.7 280 200 269.3 200 256C200 242.7 210.7 232 224 232C237.3 232 248 242.7 248 256C248 269.3 237.3 280 224 280zM440 448C440 461.3 429.3 472 416 472C402.7 472 392 461.3 392 448C392 434.7 402.7 424 416 424C429.3 424 440 434.7 440 448zM416 88C402.7 88 392 77.25 392 64C392 50.75 402.7 40 416 40C429.3 40 440 50.75 440 64C440 77.25 429.3 88 416 88zM440 256C440 269.3 429.3 280 416 280C402.7 280 392 269.3 392 256C392 242.7 402.7 232 416 232C429.3 232 440 242.7 440 256zM224 376C210.7 376 200 365.3 200 352C200 338.7 210.7 328 224 328C237.3 328 248 338.7 248 352C248 365.3 237.3 376 224 376zM440 352C440 365.3 429.3 376 416 376C402.7 376 392 365.3 392 352C392 338.7 402.7 328 416 328C429.3 328 440 338.7 440 352zM416 184C402.7 184 392 173.3 392 160C392 146.7 402.7 136 416 136C429.3 136 440 146.7 440 160C440 173.3 429.3 184 416 184zM248 160C248 173.3 237.3 184 224 184C210.7 184 200 173.3 200 160C200 146.7 210.7 136 224 136C237.3 136 248 146.7 248 160z"],
    "border-none": [448, 512, [], "f850", "M56 448C56 461.3 45.25 472 32 472C18.75 472 8 461.3 8 448C8 434.7 18.75 424 32 424C45.25 424 56 434.7 56 448zM128 88C114.7 88 104 77.25 104 64C104 50.75 114.7 40 128 40C141.3 40 152 50.75 152 64C152 77.25 141.3 88 128 88zM128 472C114.7 472 104 461.3 104 448C104 434.7 114.7 424 128 424C141.3 424 152 434.7 152 448C152 461.3 141.3 472 128 472zM152 256C152 269.3 141.3 280 128 280C114.7 280 104 269.3 104 256C104 242.7 114.7 232 128 232C141.3 232 152 242.7 152 256zM320 472C306.7 472 296 461.3 296 448C296 434.7 306.7 424 320 424C333.3 424 344 434.7 344 448C344 461.3 333.3 472 320 472zM344 64C344 77.25 333.3 88 320 88C306.7 88 296 77.25 296 64C296 50.75 306.7 40 320 40C333.3 40 344 50.75 344 64zM320 280C306.7 280 296 269.3 296 256C296 242.7 306.7 232 320 232C333.3 232 344 242.7 344 256C344 269.3 333.3 280 320 280zM248 448C248 461.3 237.3 472 224 472C210.7 472 200 461.3 200 448C200 434.7 210.7 424 224 424C237.3 424 248 434.7 248 448zM224 88C210.7 88 200 77.25 200 64C200 50.75 210.7 40 224 40C237.3 40 248 50.75 248 64C248 77.25 237.3 88 224 88zM248 256C248 269.3 237.3 280 224 280C210.7 280 200 269.3 200 256C200 242.7 210.7 232 224 232C237.3 232 248 242.7 248 256zM416 472C402.7 472 392 461.3 392 448C392 434.7 402.7 424 416 424C429.3 424 440 434.7 440 448C440 461.3 429.3 472 416 472zM416 88C402.7 88 392 77.25 392 64C392 50.75 402.7 40 416 40C429.3 40 440 50.75 440 64C440 77.25 429.3 88 416 88zM56 64C56 77.25 45.25 88 32 88C18.75 88 8 77.25 8 64C8 50.75 18.75 40 32 40C45.25 40 56 50.75 56 64zM416 280C402.7 280 392 269.3 392 256C392 242.7 402.7 232 416 232C429.3 232 440 242.7 440 256C440 269.3 429.3 280 416 280zM56 256C56 269.3 45.25 280 32 280C18.75 280 8 269.3 8 256C8 242.7 18.75 232 32 232C45.25 232 56 242.7 56 256zM224 376C210.7 376 200 365.3 200 352C200 338.7 210.7 328 224 328C237.3 328 248 338.7 248 352C248 365.3 237.3 376 224 376zM440 352C440 365.3 429.3 376 416 376C402.7 376 392 365.3 392 352C392 338.7 402.7 328 416 328C429.3 328 440 338.7 440 352zM32 376C18.75 376 8 365.3 8 352C8 338.7 18.75 328 32 328C45.25 328 56 338.7 56 352C56 365.3 45.25 376 32 376zM440 160C440 173.3 429.3 184 416 184C402.7 184 392 173.3 392 160C392 146.7 402.7 136 416 136C429.3 136 440 146.7 440 160zM32 184C18.75 184 8 173.3 8 160C8 146.7 18.75 136 32 136C45.25 136 56 146.7 56 160C56 173.3 45.25 184 32 184zM248 160C248 173.3 237.3 184 224 184C210.7 184 200 173.3 200 160C200 146.7 210.7 136 224 136C237.3 136 248 146.7 248 160z"],
    "border-outer": [448, 512, [], "f851", "M248 160C248 173.3 237.3 184 224 184C210.7 184 200 173.3 200 160C200 146.7 210.7 136 224 136C237.3 136 248 146.7 248 160zM104 256C104 242.7 114.7 232 128 232C141.3 232 152 242.7 152 256C152 269.3 141.3 280 128 280C114.7 280 104 269.3 104 256zM248 256C248 269.3 237.3 280 224 280C210.7 280 200 269.3 200 256C200 242.7 210.7 232 224 232C237.3 232 248 242.7 248 256zM296 256C296 242.7 306.7 232 320 232C333.3 232 344 242.7 344 256C344 269.3 333.3 280 320 280C306.7 280 296 269.3 296 256zM248 352C248 365.3 237.3 376 224 376C210.7 376 200 365.3 200 352C200 338.7 210.7 328 224 328C237.3 328 248 338.7 248 352zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM32 96V416C32 433.7 46.33 448 64 448H384C401.7 448 416 433.7 416 416V96C416 78.33 401.7 64 384 64H64C46.33 64 32 78.33 32 96z"],
    "border-right": [448, 512, [], "f852", "M432 32C440.8 32 448 39.16 448 48V464C448 472.8 440.8 480 432 480C423.2 480 416 472.8 416 464V48C416 39.16 423.2 32 432 32zM320 40C333.3 40 344 50.75 344 64C344 77.25 333.3 88 320 88C306.7 88 296 77.25 296 64C296 50.75 306.7 40 320 40zM296 448C296 434.7 306.7 424 320 424C333.3 424 344 434.7 344 448C344 461.3 333.3 472 320 472C306.7 472 296 461.3 296 448zM320 232C333.3 232 344 242.7 344 256C344 269.3 333.3 280 320 280C306.7 280 296 269.3 296 256C296 242.7 306.7 232 320 232zM104 64C104 50.75 114.7 40 128 40C141.3 40 152 50.75 152 64C152 77.25 141.3 88 128 88C114.7 88 104 77.25 104 64zM128 424C141.3 424 152 434.7 152 448C152 461.3 141.3 472 128 472C114.7 472 104 461.3 104 448C104 434.7 114.7 424 128 424zM104 256C104 242.7 114.7 232 128 232C141.3 232 152 242.7 152 256C152 269.3 141.3 280 128 280C114.7 280 104 269.3 104 256zM224 40C237.3 40 248 50.75 248 64C248 77.25 237.3 88 224 88C210.7 88 200 77.25 200 64C200 50.75 210.7 40 224 40zM200 448C200 434.7 210.7 424 224 424C237.3 424 248 434.7 248 448C248 461.3 237.3 472 224 472C210.7 472 200 461.3 200 448zM224 232C237.3 232 248 242.7 248 256C248 269.3 237.3 280 224 280C210.7 280 200 269.3 200 256C200 242.7 210.7 232 224 232zM8 64C8 50.75 18.75 40 32 40C45.25 40 56 50.75 56 64C56 77.25 45.25 88 32 88C18.75 88 8 77.25 8 64zM32 424C45.25 424 56 434.7 56 448C56 461.3 45.25 472 32 472C18.75 472 8 461.3 8 448C8 434.7 18.75 424 32 424zM8 256C8 242.7 18.75 232 32 232C45.25 232 56 242.7 56 256C56 269.3 45.25 280 32 280C18.75 280 8 269.3 8 256zM224 136C237.3 136 248 146.7 248 160C248 173.3 237.3 184 224 184C210.7 184 200 173.3 200 160C200 146.7 210.7 136 224 136zM8 160C8 146.7 18.75 136 32 136C45.25 136 56 146.7 56 160C56 173.3 45.25 184 32 184C18.75 184 8 173.3 8 160zM32 328C45.25 328 56 338.7 56 352C56 365.3 45.25 376 32 376C18.75 376 8 365.3 8 352C8 338.7 18.75 328 32 328zM200 352C200 338.7 210.7 328 224 328C237.3 328 248 338.7 248 352C248 365.3 237.3 376 224 376C210.7 376 200 365.3 200 352z"],
    "border-top": [448, 512, [], "f855", "M0 48C0 39.16 7.164 32 16 32H432C440.8 32 448 39.16 448 48C448 56.84 440.8 64 432 64H16C7.164 64 0 56.84 0 48zM8 160C8 146.7 18.75 136 32 136C45.25 136 56 146.7 56 160C56 173.3 45.25 184 32 184C18.75 184 8 173.3 8 160zM416 184C402.7 184 392 173.3 392 160C392 146.7 402.7 136 416 136C429.3 136 440 146.7 440 160C440 173.3 429.3 184 416 184zM200 160C200 146.7 210.7 136 224 136C237.3 136 248 146.7 248 160C248 173.3 237.3 184 224 184C210.7 184 200 173.3 200 160zM32 376C18.75 376 8 365.3 8 352C8 338.7 18.75 328 32 328C45.25 328 56 338.7 56 352C56 365.3 45.25 376 32 376zM392 352C392 338.7 402.7 328 416 328C429.3 328 440 338.7 440 352C440 365.3 429.3 376 416 376C402.7 376 392 365.3 392 352zM224 376C210.7 376 200 365.3 200 352C200 338.7 210.7 328 224 328C237.3 328 248 338.7 248 352C248 365.3 237.3 376 224 376zM8 256C8 242.7 18.75 232 32 232C45.25 232 56 242.7 56 256C56 269.3 45.25 280 32 280C18.75 280 8 269.3 8 256zM416 280C402.7 280 392 269.3 392 256C392 242.7 402.7 232 416 232C429.3 232 440 242.7 440 256C440 269.3 429.3 280 416 280zM200 256C200 242.7 210.7 232 224 232C237.3 232 248 242.7 248 256C248 269.3 237.3 280 224 280C210.7 280 200 269.3 200 256zM32 472C18.75 472 8 461.3 8 448C8 434.7 18.75 424 32 424C45.25 424 56 434.7 56 448C56 461.3 45.25 472 32 472zM392 448C392 434.7 402.7 424 416 424C429.3 424 440 434.7 440 448C440 461.3 429.3 472 416 472C402.7 472 392 461.3 392 448zM224 472C210.7 472 200 461.3 200 448C200 434.7 210.7 424 224 424C237.3 424 248 434.7 248 448C248 461.3 237.3 472 224 472zM104 256C104 242.7 114.7 232 128 232C141.3 232 152 242.7 152 256C152 269.3 141.3 280 128 280C114.7 280 104 269.3 104 256zM128 472C114.7 472 104 461.3 104 448C104 434.7 114.7 424 128 424C141.3 424 152 434.7 152 448C152 461.3 141.3 472 128 472zM296 448C296 434.7 306.7 424 320 424C333.3 424 344 434.7 344 448C344 461.3 333.3 472 320 472C306.7 472 296 461.3 296 448zM320 280C306.7 280 296 269.3 296 256C296 242.7 306.7 232 320 232C333.3 232 344 242.7 344 256C344 269.3 333.3 280 320 280z"],
    "border-top-left": [448, 512, ["border-style"], "f853", "M0 96C0 60.65 28.65 32 64 32H416C424.8 32 432 39.16 432 48C432 56.84 424.8 64 416 64H64C46.33 64 32 78.33 32 96V448C32 456.8 24.84 464 16 464C7.164 464 0 456.8 0 448V96zM152 448C152 461.3 141.3 472 128 472C114.7 472 104 461.3 104 448C104 434.7 114.7 424 128 424C141.3 424 152 434.7 152 448zM344 448C344 461.3 333.3 472 320 472C306.7 472 296 461.3 296 448C296 434.7 306.7 424 320 424C333.3 424 344 434.7 344 448zM224 472C210.7 472 200 461.3 200 448C200 434.7 210.7 424 224 424C237.3 424 248 434.7 248 448C248 461.3 237.3 472 224 472zM440 448C440 461.3 429.3 472 416 472C402.7 472 392 461.3 392 448C392 434.7 402.7 424 416 424C429.3 424 440 434.7 440 448zM416 280C402.7 280 392 269.3 392 256C392 242.7 402.7 232 416 232C429.3 232 440 242.7 440 256C440 269.3 429.3 280 416 280zM440 352C440 365.3 429.3 376 416 376C402.7 376 392 365.3 392 352C392 338.7 402.7 328 416 328C429.3 328 440 338.7 440 352zM416 184C402.7 184 392 173.3 392 160C392 146.7 402.7 136 416 136C429.3 136 440 146.7 440 160C440 173.3 429.3 184 416 184z"],
    "bore-hole": [512, 512, [], "e4c3", "M272 258C299.6 265.1 320 290.2 320 320C320 355.3 291.3 384 256 384C220.7 384 192 355.3 192 320C192 290.2 212.4 265.1 240 258V16C240 7.164 247.2 0 256 0C264.8 0 272 7.164 272 16V258zM256 352C273.7 352 288 337.7 288 320C288 302.3 273.7 288 256 288C238.3 288 224 302.3 224 320C224 337.7 238.3 352 256 352zM160 128V320C160 373 202.1 416 256 416C309 416 352 373 352 320V128H448C483.3 128 512 156.7 512 192V448C512 483.3 483.3 512 448 512H64C28.65 512 0 483.3 0 448V192C0 156.7 28.65 128 64 128H160zM448 160H384V320C384 390.7 326.7 448 256 448C185.3 448 128 390.7 128 320V160H64C46.33 160 32 174.3 32 192V448C32 465.7 46.33 480 64 480H448C465.7 480 480 465.7 480 448V192C480 174.3 465.7 160 448 160z"],
    "bottle-droplet": [320, 512, [], "e4c4", "M96 336.1C96 311.4 119.9 277.9 138.4 255.7C146.3 246.3 153.2 238.1 156.1 235.1C158.9 233.1 160 232 160 232C160 232 161.1 233.1 163 235.1C166.8 238.1 173.7 246.3 181.6 255.7C200.1 277.9 224 311.4 224 336.1C224 379 195.3 400 160 400C124.7 400 96 371.8 96 336.1L96 336.1zM185.5 317.4C180.7 307.9 173.9 297.8 166.5 288.1C164.4 285.3 162.2 282.5 160 279.8C157.8 282.5 155.6 285.3 153.5 288.1C146.1 297.8 139.3 307.9 134.5 317.4C129.4 327.4 128 333.9 128 336.1C128 353.6 141.8 368 160 368C171.5 368 179.3 364.6 183.8 360.5C187.7 356.9 192 350.3 192 336.1C192 333.9 190.6 327.4 185.5 317.4zM72 16C71.1 7.168 79.16 .0038 87.1 .0038L232 0C240.8-.0003 248 7.163 248 15.1C248 24.84 240.8 32 232 32L224 32V145.1C262.3 167.3 288 208.6 288 256V448C288 483.3 259.3 512 224 512H96C60.65 512 32 483.3 32 448V256C32 208.6 57.74 167.3 96 145.1V32L88 32C79.16 32 72 24.84 72 16V16zM192 32L128 32V163.6L112 172.8C83.25 189.5 64 220.5 64 255.1V448C64 465.7 78.33 480 96 480H224C241.7 480 256 465.7 256 448V255.1C256 220.5 236.8 189.5 207.1 172.8L192 163.6V32z"],
    "bottle-water": [320, 512, [], "e4c5", "M96 240C96 231.2 103.2 224 112 224H208C216.8 224 224 231.2 224 240C224 248.8 216.8 256 208 256H112C103.2 256 96 248.8 96 240zM208 352C216.8 352 224 359.2 224 368C224 376.8 216.8 384 208 384H112C103.2 384 96 376.8 96 368C96 359.2 103.2 352 112 352H208zM96 102.3V24C96 10.75 106.7 0 120 0H200C213.3 0 224 10.75 224 24V102.3C230.4 104.7 236.6 107.8 242.4 111.5L255.9 120.1C275.9 132.9 288 154.9 288 178.6C288 189.5 285.5 199.8 280.1 209C285.5 218.4 288 228.9 288 240C288 251.5 285.3 262.4 280.5 272C285.3 281.6 288 292.5 288 304C288 315.5 285.3 326.4 280.5 336C285.3 345.6 288 356.5 288 368C288 381.1 284.5 393.4 278.4 404C284.5 414.6 288 426.9 288 440C288 479.8 255.8 512 216 512H104C64.24 512 32 479.8 32 440C32 426.9 35.51 414.6 41.64 404C35.51 393.4 32 381.1 32 368C32 356.5 34.7 345.6 39.49 336C34.7 326.4 32 315.5 32 304C32 292.5 34.7 281.6 39.49 272C34.7 262.4 32 251.5 32 240C32 228.9 34.52 218.4 39 209C34.52 199.8 32 189.5 32 178.6C32 154.9 44.1 132.9 64.08 120.1L77.63 111.5C83.45 107.8 89.61 104.7 96 102.3H96zM192 96V32H128V96H192zM130.7 128C117.1 128 105.5 131.6 94.84 138.5L81.29 147.1C70.52 153.1 64 165.8 64 178.6C64 183.9 65.09 188.9 67.07 193.5C69.7 199.5 73.89 204.8 79.14 208.7C73.68 213 69.37 218.7 66.77 225.3C64.98 229.9 64 234.8 64 240C64 244.1 64.91 249.7 66.56 254.1C69.27 261.3 73.97 267.5 79.1 272C73.97 276.5 69.27 282.7 66.56 289.9C64.91 294.3 64 299 64 304C64 308.1 64.91 313.7 66.56 318.1C69.27 325.3 73.97 331.5 79.1 336C73.97 340.5 69.27 346.7 66.56 353.9C64.91 358.3 64 363 64 368C64 371.9 64.55 375.6 65.56 379.1C68.73 390.1 76.45 399.1 86.54 404C76.45 408.9 68.73 417.9 65.56 428.9C64.55 432.4 64 436.1 64 440C64 462.1 81.91 480 104 480H216C238.1 480 256 462.1 256 440C256 436.1 255.5 432.4 254.4 428.9C251.3 417.9 243.6 408.9 233.5 404C243.6 399.1 251.3 390.1 254.4 379.1C255.5 375.6 256 371.9 256 368C256 363 255.1 358.3 253.4 353.9C250.7 346.7 246 340.5 240 336C246 331.5 250.7 325.3 253.4 318.1C255.1 313.7 256 308.1 256 303.1C256 299 255.1 294.3 253.4 289.9C250.7 282.7 246 276.5 240 271.1C246 267.5 250.7 261.3 253.4 254.1C255.1 249.7 256 244.1 256 239.1C256 234.8 255 229.9 253.2 225.3C250.6 218.7 246.3 213 240.9 208.7C246.1 204.8 250.3 199.5 252.9 193.5C254.9 188.9 256 183.9 256 178.6C256 165.8 249.5 153.1 238.7 147.1L225.2 138.5C214.5 131.6 202 128 189.3 128H130.7z"],
    "bow-arrow": [512, 512, [127993], "f6b9", "M496.3-.0002c-1 0-2.053 .165-3.053 .29l-128.6 25.75c-12.25 2.5-16.88 17.59-8 26.47l40.12 40.12L144.3 345l-53.62-24.08C83.35 318.5 75.23 320.4 69.73 325.9l-63.75 63.82c-10.75 10.75-6.376 29.12 8.126 33.1l55.62 18.5L88.22 497.9c2.998 9 11.28 14.12 19.65 14.12c5.125 0 10.35-1.874 14.47-5.997l63.62-63.74c5.502-5.5 7.376-13.62 5.001-20.1l-23.1-53.62l252.4-252.4l40.13 40.09c3.125 3.125 7.129 4.639 11.01 4.639c6.998 0 13.87-4.764 15.49-12.64l25.72-128.6C513.6 8.913 505.9-.0002 496.3-.0002zM112.7 470.3L94.97 417l-53.25-17.75l44.87-45l49.13 22l21.1 48.1L112.7 470.3zM460.6 111.3L400.7 51.5l74.75-15L460.6 111.3zM148.7 267.3C151.8 270.4 155.9 272 160 272s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L63.58 136.1c73.23-51.43 171.8-54.54 247.9-6.502c7.375 4.688 17.38 2.516 22.06-4.984C338.3 118 336 108.1 328.5 103.4c-88.5-55.89-203.9-51.54-288.1 10.46L27.25 100.7c-6.25-6.25-16.31-6.302-22.56-.0524S-1.542 117 4.708 123.3L148.7 267.3zM408.6 183.5c-4.781-7.5-14.75-9.672-22.06-4.984c-7.5 4.719-9.719 14.61-5 22.08c48.06 76.04 44.97 174.6-6.494 247.9l-107.7-107.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l144 144C391.8 510.4 395.9 512 400 512s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62l-13.17-13.17C460.1 387.3 464.5 271.1 408.6 183.5z"],
    "bowl-chopsticks": [512, 512, [], "e2e9", "M19.14 127.7C10.47 129.4 2.043 123.8 .3101 115.1C-1.423 106.5 4.196 98.05 12.86 96.31L492.9 .3138C501.5-1.419 509.1 4.2 511.7 12.87C513.4 21.53 507.8 29.96 499.1 31.69L19.14 127.7zM511.1 142.9C512.6 151.8 505.9 159.4 497.1 159.1L17.06 191.1C8.247 192.6 .623 185.9 .0352 177.1C-.5526 168.3 6.118 160.6 14.94 160L494.9 128C503.8 127.5 511.4 134.1 511.1 142.9zM2.989 274.8C1.367 247.3 23.29 224 50.91 224H461.1C488.7 224 510.6 247.3 509 274.8L508.4 285.2C503.5 369.3 452.5 440.3 380.9 474.4C373.3 496.3 352.5 512 328 512H183.1C159.5 512 138.7 496.3 131.1 474.4C59.47 440.3 8.545 369.3 3.596 285.2L2.989 274.8zM144.8 445.5C152.6 449.2 158.5 455.8 161.3 463.9C164.6 473.3 173.6 480 183.1 480H328C338.4 480 347.4 473.3 350.7 463.9C353.5 455.8 359.4 449.2 367.2 445.5C428.6 416.2 472.2 355.3 476.5 283.3L477.1 272.9C477.6 263.8 470.3 256 461.1 256H50.91C41.7 256 34.39 263.8 34.93 272.9L35.54 283.3C39.78 355.3 83.39 416.2 144.8 445.5H144.8z"],
    "bowl-chopsticks-noodles": [512, 512, [], "e2ea", "M511.7 12.87c-1.75-8.688-10.59-14.31-18.81-12.55L208 57.3v32.63l291.1-58.23C507.8 29.97 513.4 21.54 511.7 12.87zM479.1 223.1L176 224V32c0-8.838-7.164-16-16-16S144 23.16 144 32v192h-32V48C112 39.16 104.8 32 96 32C87.16 32 80 39.16 80 48v34.9L12.88 96.33C4.193 98.06-1.432 106.5 .3184 115.2c1.531 7.609 8.188 12.86 15.66 12.86c1.062 0 2.125-.0938 3.156-.3125L80 115.5V155.7L14.94 160C6.131 160.6-.5566 168.2 .0371 177c.5625 8.455 7.594 14.94 15.94 14.94c.375 0 .7187-.0156 1.094-.0313L80 187.7v36.23L32 223.1c-17.62 0-31.1 14.56-31.1 32.19c0 94.76 51.5 176.9 128 221.3l-.0035 2.501C128 497.7 142.3 512 160 512h191.1c17.67 0 31.1-14.33 31.1-32l-.0035-2.501c76.5-44.38 128-126.6 128-221.3C511.1 238.6 497.6 223.1 479.1 223.1zM367.9 449.8c-9.869 5.725-15.94 16.27-15.94 27.68v2.5H160v-2.5c0-11.41-6.074-21.96-15.94-27.68c-69.12-40.1-112.1-114.4-112.1-193.8h447.1C479.1 335.4 437.1 409.7 367.9 449.8zM511.1 142.9c-.5938-8.828-8.375-15.2-17.03-14.91L208 147.1v32.08L497.1 159.9C505.9 159.3 512.6 151.7 511.1 142.9z"],
    "bowl-food": [512, 512, [], "e4c6", "M193.7 106.6C189.3 107.9 184.6 107.2 180.8 104.7C171.1 99.16 161.8 96 151 96C123.2 96 98.89 117.2 93.22 147C91.75 154.7 84.92 160.2 77.08 160C76.72 160 76.36 160 76 160C52.66 160 32 180.5 32 208C32 216.8 24.84 224 16 224C7.164 224 0 216.8 0 208C0 168.6 27.5 134.5 64.91 128.8C77.04 91.62 110.5 64 151 64C162.4 64 173.3 66.21 183.3 70.23C199.8 47.24 225.1 32 256 32C286 32 312.2 47.24 328.7 70.23C338.7 66.21 349.6 64 360.1 64C401.5 64 434.1 91.62 447.1 128.8C484.5 134.5 512 168.6 512 208C512 216.8 504.8 224 496 224C487.2 224 480 216.8 480 208C480 180.5 459.3 160 436 160C435.6 160 435.3 160 434.9 160C427.1 160.2 420.2 154.7 418.8 147C413.1 117.2 388.8 96 361 96C350.2 96 340 99.16 331.2 104.7C327.4 107.2 322.7 107.9 318.3 106.6C313.9 105.4 310.2 102.3 308.2 98.24C298.2 77.46 278.2 63.1 256 63.1C233.8 63.1 213.9 77.46 203.8 98.24C201.8 102.3 198.1 105.4 193.7 106.6L193.7 106.6zM484.6 256C499.7 256 512 268.3 512 283.4C512 350.9 471.4 408.8 413.4 434.3C405.5 460.7 381 480 352 480H160C130.1 480 106.5 460.7 98.64 434.3C40.57 408.8 .0003 350.9 .0003 283.4C.0003 268.3 12.28 256 27.43 256H484.6zM160 448H352C366.5 448 378.7 438.4 382.7 425.1C385.4 416.1 391.9 408.7 400.5 404.9C446.1 385 478.2 340.3 479.9 288H32.08C33.85 340.3 65.95 385 111.5 404.9C120.1 408.7 126.6 416.1 129.3 425.1C133.3 438.4 145.5 448 160 448H160z"],
    "bowl-hot": [512, 512, ["soup"], "f823", "M144 0C152.8 0 160 7.164 160 16V32C160 52.14 169.5 71.11 185.6 83.2C209.8 101.3 224 129.8 224 160V176C224 184.8 216.8 192 208 192C199.2 192 192 184.8 192 176V160C192 139.9 182.5 120.9 166.4 108.8C142.2 90.67 128 62.22 128 32V16C128 7.164 135.2 0 144 0zM2.99 274.8C1.368 247.2 23.29 224 50.91 224H461.1C488.7 224 510.6 247.2 509 274.8L508.4 285.2C503.5 369.3 452.5 440.3 380.9 474.4C373.3 496.3 352.5 512 328 512H184C159.5 512 138.7 496.3 131.1 474.4C59.47 440.3 8.546 369.3 3.597 285.2L2.99 274.8zM144.8 445.5C152.6 449.2 158.5 455.8 161.3 463.9C164.6 473.3 173.6 480 184 480H328C338.4 480 347.4 473.3 350.7 463.9C353.5 455.8 359.4 449.2 367.2 445.5C428.6 416.2 472.2 355.3 476.5 283.3L477.1 272.9C477.6 263.7 470.3 256 461.1 256H50.91C41.7 256 34.39 263.7 34.94 272.9L35.54 283.3C39.78 355.3 83.39 416.2 144.8 445.5H144.8zM288 32C288 52.14 297.5 71.11 313.6 83.2C337.8 101.3 352 129.8 352 160V176C352 184.8 344.8 192 336 192C327.2 192 320 184.8 320 176V160C320 139.9 310.5 120.9 294.4 108.8C270.2 90.67 256 62.22 256 32V16C256 7.164 263.2 0 272 0C280.8 0 288 7.164 288 16V32z"],
    "bowl-rice": [512, 512, [], "e2eb", "M176 80C176 71.16 183.2 64 192 64H224C232.8 64 240 71.16 240 80C240 88.84 232.8 96 224 96H192C183.2 96 176 88.84 176 80zM224 128C232.8 128 240 135.2 240 144C240 152.8 232.8 160 224 160H192C183.2 160 176 152.8 176 144C176 135.2 183.2 128 192 128H224zM80 192C88.84 192 96 199.2 96 208C96 216.8 88.84 224 80 224H48C39.16 224 32 216.8 32 208C32 199.2 39.16 192 48 192H80zM484.6 256C499.7 256 512 268.3 512 283.4C512 350.9 471.4 408.8 413.4 434.3C405.5 460.7 381 480 352 480H160C130.1 480 106.5 460.7 98.64 434.3C40.57 408.8 0 350.9 0 283.4C0 268.3 12.28 256 27.43 256H484.6zM160 448H352C366.5 448 378.7 438.4 382.7 425.1C385.4 416.1 391.9 408.7 400.5 404.9C446.1 385 478.2 340.3 479.9 288H32.08C33.85 340.3 65.95 385 111.5 404.9C120.1 408.7 126.6 416.1 129.3 425.1C133.3 438.4 145.5 448 159.1 448H160zM224 208C224 199.2 231.2 192 240 192H272C280.8 192 288 199.2 288 208C288 216.8 280.8 224 272 224H240C231.2 224 224 216.8 224 208zM128 208C128 199.2 135.2 192 144 192H176C184.8 192 192 199.2 192 208C192 216.8 184.8 224 176 224H144C135.2 224 128 216.8 128 208zM128 128C136.8 128 144 135.2 144 144C144 152.8 136.8 160 128 160H96C87.16 160 80 152.8 80 144C80 135.2 87.16 128 96 128H128zM320 208C320 199.2 327.2 192 336 192H368C376.8 192 384 199.2 384 208C384 216.8 376.8 224 368 224H336C327.2 224 320 216.8 320 208zM320 128C328.8 128 336 135.2 336 144C336 152.8 328.8 160 320 160H288C279.2 160 272 152.8 272 144C272 135.2 279.2 128 288 128H320zM416 208C416 199.2 423.2 192 432 192H464C472.8 192 480 199.2 480 208C480 216.8 472.8 224 464 224H432C423.2 224 416 216.8 416 208zM416 128C424.8 128 432 135.2 432 144C432 152.8 424.8 160 416 160H384C375.2 160 368 152.8 368 144C368 135.2 375.2 128 384 128H416zM320 64C328.8 64 336 71.16 336 80C336 88.84 328.8 96 320 96H288C279.2 96 272 88.84 272 80C272 71.16 279.2 64 288 64H320z"],
    "bowl-scoop": [448, 512, [127847, "bowl-shaved-ice"], "e3de", "M42.41 222.6C40.4 221.7 38.6 220.4 37.12 218.8C35.64 217.2 34.5 215.3 33.79 213.2C33.07 211.1 32.79 208.9 32.96 206.8C37.25 158.1 59.25 114.6 94.64 82.21C130 49.85 176.2 31.91 224.2 31.91C272.1 31.91 318.4 49.85 353.8 82.21C389.1 114.6 411.1 158.1 415.4 206.8C415.8 210.1 414.4 215.2 411.7 218.4C408.9 221.7 404.1 223.7 400.7 224C396.5 224.4 392.3 223 389 220.3C385.8 217.5 383.8 213.6 383.4 209.3C379.8 169.6 361.4 132.7 331.9 105.8C302.5 78.9 263.1 63.99 224.1 63.99C184.2 63.99 145.7 78.9 116.3 105.8C86.79 132.7 68.42 169.6 64.77 209.3C64.43 213.3 62.6 217.1 59.63 219.8C56.67 222.5 52.79 224 48.77 223.1C46.58 223.1 44.41 223.5 42.41 222.6zM394.9 375.6C365.4 401.7 327.4 416.1 288 416L347.9 485.3C349.1 487.6 351.3 490.4 351.8 493.5C352.3 496.5 351.9 499.7 350.6 502.5C349.4 505.3 347.3 507.7 344.7 509.4C342.1 511.1 339.1 512 336 512H112C108.9 512 105.9 511.1 103.3 509.4C100.7 507.7 98.62 505.3 97.36 502.5C96.1 499.7 95.69 496.5 96.17 493.5C96.66 490.4 98.02 487.6 100.1 485.3L160 416C120.6 416.1 82.61 401.7 53.12 375.6C23.64 349.5 4.739 313.5 .0026 274.4C-.312 272.1-.1338 269.8 .5251 267.6C1.184 265.4 2.309 263.3 3.824 261.6C5.339 259.8 7.209 258.4 9.309 257.5C11.41 256.5 13.69 256 16 255.1H432C434.3 256 436.6 256.5 438.7 257.5C440.8 258.4 442.7 259.8 444.2 261.6C445.7 263.3 446.8 265.4 447.5 267.6C448.1 269.8 448.3 272.1 448 274.4C443.3 313.5 424.4 349.5 394.9 375.6zM245.7 416H202.3L147 480H300.1L245.7 416zM366.8 357.3C389.3 339.9 405.5 315.5 412.8 287.1H35.2C42.49 315.5 58.69 339.9 81.26 357.2C103.8 374.6 131.5 384 160 384H288C316.5 384 344.2 374.6 366.8 357.3z"],
    "bowl-scoops": [448, 512, [127813], "e3df", "M394.9 375.6C365.4 401.7 327.4 416.1 288 416L347.9 485.3C349.1 487.6 351.3 490.4 351.8 493.5C352.3 496.6 351.9 499.7 350.6 502.5C349.4 505.3 347.3 507.7 344.7 509.4C342.1 511.1 339.1 512 336 512H112C108.9 512 105.9 511.1 103.3 509.4C100.7 507.7 98.62 505.3 97.36 502.5C96.1 499.7 95.69 496.6 96.17 493.5C96.66 490.4 98.02 487.6 100.1 485.3L160 416C120.6 416.1 82.61 401.7 53.12 375.6C23.64 349.5 4.739 313.5 .0026 274.4C-.312 272.1-.1338 269.8 .5251 267.6C1.184 265.4 2.309 263.3 3.824 261.6C5.339 259.8 7.209 258.4 9.309 257.5C11.41 256.5 13.69 256 16 256H432C434.3 256 436.6 256.5 438.7 257.5C440.8 258.4 442.7 259.8 444.2 261.6C445.7 263.3 446.8 265.4 447.5 267.6C448.1 269.8 448.3 272.1 448 274.4C443.3 313.5 424.4 349.5 394.9 375.6zM245.7 416H202.3L147 480H300.1L245.7 416zM366.8 357.3C389.3 339.9 405.5 315.5 412.8 288H35.2C42.49 315.5 58.69 339.9 81.26 357.2C103.8 374.6 131.5 384 160 384H288C316.5 384 344.2 374.6 366.8 357.3zM9.356 222.6C7.27 221.6 5.413 220.2 3.911 218.5C2.409 216.7 1.297 214.7 .6499 212.5C.0032 210.3-.1629 207.1 .1629 205.7C3.999 180.1 15.48 156.3 33.09 137.3C50.71 118.4 73.64 105.2 98.88 99.46C105.4 71.28 121.2 46.14 143.9 28.12C166.5 10.11 194.6 .2876 223.5 .2579C252.4 .2281 280.5 9.992 303.1 27.96C325.8 45.93 341.7 71.04 348.3 99.2C373.7 104.8 396.9 117.9 414.7 136.9C432.5 155.1 444.1 179.1 448 205.7C448.3 208 448.2 210.3 447.5 212.6C446.8 214.8 445.7 216.8 444.2 218.5C442.7 220.3 440.8 221.7 438.7 222.6C436.6 223.5 434.3 224 432 224C428.2 224.1 424.5 222.8 421.6 220.3C418.7 217.9 416.8 214.5 416.2 210.8C412.9 187.8 401.4 166.8 383.8 151.6C366.3 136.4 343.8 128.1 320.6 128.1C297.4 128.1 274.1 136.4 257.4 151.6C239.9 166.8 228.4 187.8 225.1 210.8C224.5 214.5 222.5 217.9 219.6 220.3C216.7 222.7 213.1 224 209.3 224C206.1 224 204.7 223.5 202.6 222.6C200.4 221.6 198.6 220.3 197 218.5C195.5 216.8 194.4 214.7 193.7 212.5C193.1 210.2 192.9 207.9 193.3 205.6C195.4 192.5 199.5 179.8 205.4 167.1C194.2 152.4 178.6 140.5 160.5 133.9C142.5 127.3 122.9 126.2 104.3 130.8C85.63 135.4 68.78 145.5 55.9 159.7C43.02 173.1 34.7 191.7 32 210.8C31.35 214.5 29.38 217.9 26.45 220.3C23.51 222.8 19.81 224.1 16 224C13.71 224 11.44 223.5 9.357 222.6L9.356 222.6zM168.6 49.77C152.4 61.31 140.2 77.6 133.7 96.39C150.1 97.18 167.9 101.4 183.4 108.9C198.1 116.4 212.9 126.9 224.3 139.9C235.7 126.9 249.6 116.4 265.1 108.1C280.7 101.5 297.6 97.32 314.8 96.58C308.3 77.7 296 61.34 279.7 49.76C263.5 38.19 243.1 31.98 224 32C204.1 32.02 184.8 38.23 168.6 49.77z"],
    "bowl-soft-serve": [512, 512, [], "e46b", "M288 0C358.7 0 416 57.31 416 128C416 139.7 413.2 150.7 408.3 160.4C448.6 164.6 480 198.6 480 240C480 284.2 444.2 320 400 320H112C67.82 320 32 284.2 32 240C32 199.1 62.68 165.4 102.3 160.6C98.25 151.9 96 142.2 96 132C96 94.44 126.4 64 164 64H241.3C249.4 64 256 57.42 256 49.3C256 46.39 255.1 43.56 253.5 41.14L242.7 24.88C239.4 19.97 239.1 13.65 241.9 8.45C244.7 3.248 250.1 0 256 0L288 0zM241.3 96H164C144.1 96 128 112.1 128 132C128 143.3 133.2 153.4 141.4 160H168C176.8 160 184 167.2 184 176C184 184.8 176.8 192 168 192H112C85.49 192 64 213.5 64 240C64 266.5 85.49 288 112 288H400C426.5 288 448 266.5 448 240C448 213.5 426.5 192 400 192H280C271.2 192 264 184.8 264 176C264 167.2 271.2 160 280 160H368C377.7 152.7 384 141.1 384 128C384 74.98 341 32 288 32H284.7C286.9 37.48 288 43.34 288 49.3C288 75.09 267.1 96 241.3 96zM64 344C64 383.8 96.24 416 136 416H208C213.5 416 218.7 418.9 221.6 423.6C224.5 428.3 224.8 434.2 222.3 439.2L201.9 480H310.1L289.7 439.2C287.2 434.2 287.5 428.3 290.4 423.6C293.3 418.9 298.5 416 304 416H376C415.8 416 448 383.8 448 344V336C448 327.2 455.2 320 464 320C472.8 320 480 327.2 480 336V344C480 401.4 433.4 448 376 448H329.9L350.3 488.8C352.8 493.8 352.5 499.7 349.6 504.4C346.7 509.1 341.5 512 336 512H176C170.5 512 165.3 509.1 162.4 504.4C159.5 499.7 159.2 493.8 161.7 488.8L182.1 448H136C78.56 448 32 401.4 32 344V336C32 327.2 39.16 320 48 320C56.84 320 64 327.2 64 336L64 344z"],
    "bowl-spoon": [512, 512, [129379], "e3e0", "M0 96C0 42.98 50.14 0 112 0C167.5 0 213.6 34.6 222.5 80H496C504.8 80 512 87.16 512 96C512 104.8 504.8 112 496 112H222.5C213.6 157.4 167.5 192 112 192C50.14 192 0 149 0 96zM112 160C160.1 160 192 126.9 192 96C192 65.1 160.1 32 112 32C63.01 32 32 65.1 32 96C32 126.9 63.01 160 112 160zM461.1 224C488.7 224 510.6 247.2 509 274.8L508.4 285.2C503.5 369.3 452.5 440.3 380.9 474.4C373.3 496.3 352.5 512 328 512H183.1C159.5 512 138.7 496.3 131.1 474.4C59.47 440.3 8.545 369.3 3.597 285.2L2.989 274.8C1.367 247.2 23.29 224 50.91 224H461.1zM184 480H328C338.4 480 347.4 473.3 350.7 463.9C353.5 455.8 359.4 449.2 367.2 445.5C428.6 416.2 472.2 355.3 476.5 283.3L477.1 272.9C477.6 263.7 470.3 256 461.1 256H50.91C41.7 256 34.39 263.7 34.93 272.9L35.54 283.3C39.78 355.3 83.39 416.2 144.8 445.5C152.6 449.2 158.5 455.8 161.3 463.9C164.6 473.3 173.6 480 184 480H184z"],
    "bowling-ball": [512, 512, [], "f436", "M239.1 184c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24c13.26 0 24-10.75 24-24C263.1 194.7 253.2 184 239.1 184zM239.1 88c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24c13.26 0 24-10.75 24-24C263.1 98.74 253.2 88 239.1 88zM143.1 152c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24c13.26 0 24-10.75 24-24C167.1 162.7 157.2 152 143.1 152zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480z"],
    "bowling-ball-pin": [576, 512, [], "e0c3", "M119.1 224C106.7 224 96 234.7 96 248S106.7 272 119.1 272C133.3 272 144 261.3 144 248S133.3 224 119.1 224zM200 240C186.7 240 176 250.7 176 264S186.7 288 200 288S224 277.3 224 264S213.3 240 200 240zM200 160C186.7 160 176 170.7 176 184S186.7 208 200 208S224 197.3 224 184S213.3 160 200 160zM208 96C93.13 96 0 189.1 0 304S93.13 512 208 512S416 418.9 416 304S322.9 96 208 96zM208 480C110.1 480 32 401 32 304S110.1 128 208 128S384 206.1 384 304S305 480 208 480zM549 264.7c-12.53-29.3-24.38-56.98-24.38-83.7c0-10.59 3.875-21 8.344-33.05c6.094-16.39 13.66-36.78 13.66-64.44c0-54.75-37.53-83.47-74.75-83.55c-37.06 0-74.56 28.7-74.56 83.55c0 27.66 7.562 48.05 13.66 64.44c4.469 12.05 8.344 22.45 8.344 33.05c0 2.57-.5781 5.188-.7871 7.773c8.775 16.01 15.58 33.2 20.54 51.17C444.6 224.3 448.9 208.3 450.3 192h43.4c2.551 29.34 14.14 57.78 25.93 85.33C532.2 306.6 544 334.3 544 361c0 45.33-18.06 81.2-33.38 111.6C508.3 477.2 503.8 480 498.8 480h-53.63c-4.938 0-9.438-2.828-12.34-8.562c-6.547-12.91-13.64-27.48-19.67-43.44c-6.564 10.84-13.82 21.2-21.97 30.83c4.604 10.18 9.348 19.65 13.73 28.3C412.8 502.5 428.2 512 445.2 512h53.63c17.06 0 32.53-9.562 41.16-26.56C555.2 455.3 576 413.1 576 361C576 327.8 562.3 295.7 549 264.7zM495.5 160h-46.97c-6.131-24.69-19.17-44.08-19.17-76.45C429.3 47.94 450.7 32 471.1 32c21.25 .0469 42.69 16 42.69 51.55C514.7 116.1 501.8 134.8 495.5 160z"],
    "bowling-pins": [512, 512, [], "f437", "M461 264.7c-12.53-29.3-24.38-56.98-24.38-83.7c0-10.59 3.875-21 8.344-33.05c6.094-16.39 13.66-36.78 13.66-64.44c0-54.75-37.49-83.47-74.71-83.55c-37.06 0-74.61 28.7-74.61 83.55c0 27.66 7.562 48.05 13.66 64.44c4.469 12.05 8.344 22.45 8.344 33.05c0 26.72-11.84 54.41-24.38 83.7C293.7 295.7 280 327.8 280 361c0 53.2 21 94.63 36.97 126.1C324.8 502.5 340.2 512 357.2 512h53.63c17.06 0 32.53-9.562 41.16-26.56c15.19-30.17 36-71.48 36-124.4C488 327.8 474.3 295.7 461 264.7zM383.1 32c21.25 .0469 42.69 16 42.69 51.55c0 32.52-12.91 51.22-19.17 76.45h-46.97c-6.13-24.69-19.17-44.08-19.17-76.45C341.3 47.94 362.7 32 383.1 32zM422.6 472.6C420.3 477.2 415.8 480 410.8 480h-53.63c-4.938 0-9.438-2.828-12.34-8.562C330.2 442.5 312 406.6 312 361c0-26.72 11.84-54.39 24.38-83.69C348.2 249.8 359.8 221.3 362.3 192h43.4c2.551 29.35 14.14 57.78 25.93 85.33C444.2 306.6 456 334.3 456 361C456 406.3 437.9 442.2 422.6 472.6zM180.7 181c0-10.59 3.875-21 8.344-33.05c6.094-16.39 13.66-36.78 13.66-64.44c0-54.75-37.49-83.47-74.71-83.55c-37.06 0-74.61 28.7-74.61 83.55c0 27.66 7.562 48.05 13.66 64.44c4.469 12.05 8.344 22.45 8.344 33.05c0 26.72-11.84 54.41-24.38 83.7C37.72 295.7 24 327.8 24 361c0 53.2 21 94.63 36.97 126.1C68.75 502.5 84.19 512 101.2 512h53.63C171.9 512 187.4 502.4 196 485.4c15.19-30.17 36-71.48 36-124.4c0-33.27-13.72-65.3-26.97-96.28C192.5 235.4 180.7 207.8 180.7 181zM127.1 32c21.25 .0469 42.69 16 42.69 51.55c0 32.52-12.91 51.22-19.17 76.45H104.5C98.39 135.3 85.34 115.9 85.34 83.55C85.34 47.94 106.7 32 127.1 32zM166.6 472.6C164.3 477.2 159.8 480 154.8 480H101.2c-4.938 0-9.438-2.828-12.34-8.562C74.22 442.5 56 406.6 56 361c0-26.72 11.84-54.39 24.38-83.69C92.16 249.8 103.8 221.3 106.3 192h43.4c2.551 29.35 14.14 57.78 25.93 85.33C188.2 306.6 200 334.3 200 361C200 406.3 181.9 442.2 166.6 472.6z"],
    "box": [448, 512, [128230], "f466", "M342.4 32C367.7 32 390.6 46.9 400.9 70.01L442.5 163.6C446.1 171.8 448 180.6 448 189.6V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V189.6C0 180.6 1.879 171.8 5.516 163.6L47.11 70.01C57.38 46.89 80.3 32 105.6 32H342.4zM342.4 64H240V160H405.9L371.7 83C366.5 71.45 355.1 64 342.4 64V64zM416 192H32V416C32 433.7 46.33 448 64 448H384C401.7 448 416 433.7 416 416V192zM42.13 160H208V64H105.6C92.95 64 81.49 71.45 76.35 83L42.13 160z"],
    "box-archive": [512, 512, ["archive"], "f187", "M464 32h-416C21.49 32 0 53.49 0 80v64C0 152.8 7.25 160 16 160H32v256c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V160h16C504.8 160 512 152.8 512 144V80C512 53.49 490.5 32 464 32zM448 416c0 17.6-14.4 32-32 32H96c-17.6 0-32-14.4-32-32V160h384V416zM480 128H32V80C32 71.25 39.25 64 48 64h416C472.8 64 480 71.25 480 80V128zM176 256h160C344.8 256 352 248.8 352 240S344.8 224 336 224h-160C167.2 224 160 231.2 160 240S167.2 256 176 256z"],
    "box-ballot": [576, 512, [128499], "f735", "M528 160h-32C487.2 160 480 167.2 480 176S487.2 192 496 192h32C536.8 192 544 199.2 544 208V320H32V208C32 199.2 39.19 192 48 192h32C88.84 192 96 184.8 96 176S88.84 160 80 160h-32C21.53 160 0 181.5 0 208v256C0 490.5 21.53 512 48 512h480c26.47 0 48-21.53 48-48v-256C576 181.5 554.5 160 528 160zM544 464c0 8.828-7.188 16-16 16h-480C39.19 480 32 472.8 32 464V352h512V464zM144 256h288C440.8 256 448 248.8 448 240v-192C448 21.53 426.5 0 400 0h-224C149.5 0 128 21.53 128 48v192C128 248.8 135.2 256 144 256zM160 48C160 39.17 167.2 32 176 32h224C408.8 32 416 39.17 416 48V224H160V48z"],
    "box-check": [448, 512, [], "f467", "M203.3 379.3C197.1 385.6 186.9 385.6 180.7 379.3L124.7 323.3C118.4 317.1 118.4 306.9 124.7 300.7C130.9 294.4 141.1 294.4 147.3 300.7L192 345.4L292.7 244.7C298.9 238.4 309.1 238.4 315.3 244.7C321.6 250.9 321.6 261.1 315.3 267.3L203.3 379.3zM442.5 163.6C446.1 171.8 448 180.6 448 189.6V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V189.6C0 180.6 1.879 171.8 5.516 163.6L47.11 70.01C57.38 46.89 80.3 32 105.6 32H342.4C367.7 32 390.6 46.9 400.9 70.01L442.5 163.6zM240 160H405.9L371.7 83C366.5 71.45 355.1 64 342.4 64H240V160zM32 192V416C32 433.7 46.33 448 64 448H384C401.7 448 416 433.7 416 416V192H32zM208 64H105.6C92.95 64 81.49 71.45 76.35 83L42.13 160H208L208 64z"],
    "box-circle-check": [576, 512, [], "e0c4", "M32 192V416C32 433.7 46.33 448 64 448H275.2C281 459.4 288.1 470.2 296.2 480H64C28.65 480 0 451.3 0 416V189.6C0 180.6 1.879 171.8 5.516 163.6L47.11 70.01C57.38 46.89 80.3 32 105.6 32H342.4C367.7 32 390.6 46.9 400.9 70.01L442.5 163.6C446.1 171.8 448 180.6 448 189.6V192H32zM240 160H405.9L371.7 83C366.5 71.45 355.1 64 342.4 64H240V160zM208 64H105.6C92.95 64 81.49 71.45 76.35 83L42.13 160H208L208 64zM499.3 324.7C505.6 330.9 505.6 341.1 499.3 347.3L427.3 419.3C421.1 425.6 410.9 425.6 404.7 419.3L364.7 379.3C358.4 373.1 358.4 362.9 364.7 356.7C370.9 350.4 381.1 350.4 387.3 356.7L416 385.4L476.7 324.7C482.9 318.4 493.1 318.4 499.3 324.7H499.3zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 480C493.9 480 544 429.9 544 368C544 306.1 493.9 256 432 256C370.1 256 320 306.1 320 368C320 429.9 370.1 480 432 480z"],
    "box-dollar": [448, 512, ["box-usd"], "f4a0", "M240 233.6C245.9 234.6 258.1 237.2 264.1 238.5C272.7 240.8 277.7 249.6 275.5 258.1C273.2 266.7 264.4 271.7 255.9 269.5C251.9 268.4 238.2 265.7 233.8 265C220.9 263 210.1 264.6 202.9 267.9C195.7 271.2 192.1 275.4 192.4 278.1C191.7 283.1 192.3 285.2 192.9 286.4C193.5 287.8 194.8 289.5 197.8 291.5C204.6 296.1 214.9 299.3 228.8 303.5L229.4 303.7C241.7 307.4 257.3 312.1 268.9 320.5C275.1 325 280.9 331.1 284.5 339.3C288.1 347.6 288.8 356.8 287.2 366.5C284.1 383.1 272.6 395.9 257.9 402.2C252.3 404.6 246.3 406.2 240 407.1V416C240 424.8 232.8 432 224 432C215.2 432 208 424.8 208 416V406.4C198.6 404.6 184.4 399.8 175.6 396.7C173.8 396.1 172.2 395.6 170.9 395.2C162.6 392.4 158 383.3 160.8 374.9C163.6 366.6 172.7 362 181.1 364.8C182.1 365.5 185.1 366.2 187.2 366.9C196.7 370.1 207.9 373.9 214.3 374.1C227.6 377 238.3 375.8 245.3 372.8C251.8 370 254.7 366.1 255.6 361C256.4 356.4 255.8 353.7 255.1 352.1C254.4 350.4 252.9 348.5 250 346.4C243.5 341.6 233.3 338.3 219.6 334.1L217.5 333.5C205.7 329.9 190.9 325.5 179.9 317.1C173.6 313.8 167.7 308 163.9 300.1C160.1 292 159.2 283 160.8 273.5C163.7 256.8 175.6 245.2 189.7 238.8C195.3 236.2 201.5 234.4 208 233.3V223.1C208 215.2 215.2 207.1 224 207.1C232.8 207.1 240 215.2 240 223.1L240 233.6zM442.5 163.6C446.1 171.8 448 180.6 448 189.6V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V189.6C0 180.6 1.879 171.8 5.516 163.6L47.11 70.01C57.38 46.89 80.3 32 105.6 32H342.4C367.7 32 390.6 46.9 400.9 70.01L442.5 163.6zM240 160H405.9L371.7 83C366.5 71.45 355.1 64 342.4 64H240V160zM32 192V416C32 433.7 46.33 448 64 448H384C401.7 448 416 433.7 416 416V192H32zM208 64H105.6C92.95 64 81.49 71.45 76.35 83L42.13 160H208L208 64z"],
    "box-heart": [448, 512, [], "f49d", "M224 244.8L226.1 241.8C253.7 215.1 297.1 215.1 323.9 241.8C350.6 268.6 350.6 311.1 323.9 338.7L246.6 416C234.1 428.5 213.9 428.5 201.4 416L124.1 338.7C97.35 311.1 97.35 268.6 124.1 241.8C150.9 215.1 194.3 215.1 221 241.8L224 244.8zM146.7 316.1L224 393.4L301.3 316.1C315.5 301.9 315.5 278.7 301.3 264.5C286.1 250.2 263.9 250.2 249.6 264.5L224 290.1L198.4 264.5C184.1 250.2 161 250.2 146.7 264.5C132.5 278.7 132.5 301.9 146.7 316.1L146.7 316.1zM442.5 163.6C446.1 171.8 448 180.6 448 189.6V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V189.6C0 180.6 1.879 171.8 5.516 163.6L47.11 70.01C57.38 46.89 80.3 32 105.6 32H342.4C367.7 32 390.6 46.9 400.9 70.01L442.5 163.6zM240 160H405.9L371.7 83C366.5 71.45 355.1 64 342.4 64H240V160zM32 192V416C32 433.7 46.33 448 64 448H384C401.7 448 416 433.7 416 416V192H32zM208 64H105.6C92.95 64 81.49 71.45 76.35 83L42.13 160H208L208 64z"],
    "box-open": [640, 512, [], "f49e", "M320 77.23L559.6 49.48C573.7 47.85 587.2 55.65 592.7 68.66L624.7 143.3C634.6 166.2 621.3 192.4 596.1 198L437.8 234.8C418.8 239.1 399.2 231.7 387.9 215.9L320 120.9L252.1 215.9C240.8 231.7 221.2 239.1 202.3 234.8L43.04 198C18.75 192.4 5.449 166.2 15.27 143.3L47.26 68.66C52.84 55.65 66.3 47.85 80.36 49.48L320 77.23zM44.68 155.9C42.72 160.5 45.38 165.7 50.24 166.9L209.4 203.6C215.7 205.1 222.3 202.6 226.1 197.3L291.2 106.1L76.68 81.27L44.68 155.9zM413.9 197.3C417.7 202.6 424.3 205.1 430.6 203.6L589.8 166.9C594.6 165.7 597.3 160.5 595.3 155.9L563.3 81.27L348.8 106.1L413.9 197.3zM544 236.7L576 227.6V378.5C576 400.5 561 419.7 539.6 425.1L331.6 477.1C324 479 316 479 308.4 477.1L100.4 425.1C78.99 419.7 64 400.5 64 378.5V227.6L96 236.7V378.5C96 385.9 100.1 392.3 108.1 394L304 443V207.1C304 199.2 311.2 191.1 320 191.1C328.8 191.1 336 199.2 336 207.1V443L531.9 394C539 392.3 544 385.9 544 378.5L544 236.7z"],
    "box-open-full": [640, 512, ["box-full"], "f49c", "M255.1 32C202.1 32 159.1 74.98 159.1 128C159.1 136.8 152.8 144 143.1 144C135.2 144 127.1 136.8 127.1 128C127.1 57.31 185.3 0 255.1 0C326.7 0 384 57.31 384 128C384 136.8 376.8 144 368 144C359.2 144 352 136.8 352 128C352 74.98 309 32 255.1 32zM320 189.2L559.6 161.5C573.7 159.9 587.2 167.7 592.7 180.7L624.7 255.3C634.6 278.2 621.2 304.4 596.1 310L437.7 346.8C418.8 351.2 399.2 343.7 387.9 327.9L319.1 232.9L252.1 327.9C240.8 343.7 221.2 351.1 202.2 346.8L43.04 310C18.75 304.4 5.447 278.2 15.27 255.3L47.26 180.7C52.84 167.7 66.29 159.9 80.35 161.5L320 189.2zM44.68 267.9C42.72 272.5 45.38 277.7 50.23 278.9L209.4 315.6C215.7 317.1 222.3 314.6 226.1 309.3L291.2 218.1L76.67 193.3L44.68 267.9zM413.9 309.3C417.7 314.6 424.2 317.1 430.6 315.6L589.8 278.9C594.6 277.7 597.3 272.5 595.3 267.9L563.3 193.3L348.8 218.1L413.9 309.3zM576 339.6V410.5C576 432.5 561 451.7 539.6 457.1L331.6 509.1C323.1 511 316 511 308.4 509.1L100.4 457.1C78.99 451.7 63.1 432.5 63.1 410.5V339.6L95.1 348.7V410.5C95.1 417.9 100.1 424.3 108.1 426L303.1 475V336C303.1 327.2 311.2 319.1 319.1 319.1C328.8 319.1 336 327.2 336 336V475L531.9 426C539 424.3 543.1 417.9 543.1 410.5V348.7L576 339.6zM463.2 133.1C460.4 141.4 451.3 145.1 442.9 143.2C434.6 140.4 430 131.3 432.8 122.9L464.8 26.94C467.6 18.56 476.7 14.03 485.1 16.82C493.4 19.62 497.1 28.68 495.2 37.06L463.2 133.1z"],
    "box-taped": [448, 512, ["box-alt"], "f49a", "M342.4 32C367.7 32 390.6 46.9 400.9 70.01L442.5 163.6C446.1 171.8 448 180.6 448 189.6V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V189.6C0 180.6 1.879 171.8 5.516 163.6L47.11 70.01C57.38 46.89 80.3 32 105.6 32H342.4zM405.9 160L371.7 83C366.5 71.45 355.1 64 342.4 64H270L288 160H405.9zM255.4 160L237.4 64H210.6L192.6 160H255.4zM256 192H192V256H256V192zM160 192H32V416C32 433.7 46.33 448 64 448H384C401.7 448 416 433.7 416 416V192H288V256C288 273.7 273.7 288 256 288H192C174.3 288 160 273.7 160 256V192zM160 160L178 64H105.6C92.95 64 81.49 71.45 76.35 83L42.13 160H160z"],
    "box-tissue": [512, 512, [], "e05b", "M144 320h224c10.33 0 19.48-6.578 22.84-16.62l55.94-175.8c2.422-7.297 1.188-15.38-3.312-21.61C438.1 99.72 431.7 96 424 96h-85.41c-19.92 0-37.53-12.69-43.83-31.59C281.9 25.89 246 0 205.4 0H88C80.67 0 73.84 3.281 69.28 8.984c-4.594 5.719-6.312 13.11-4.766 19.98l56.05 272.2C123 312.3 132.7 320 144 320zM205.4 32c26.81 0 50.53 17.09 59 42.52C275.1 106.5 304.9 128 338.6 128h74.47l-50.91 160H150.5L97.81 32H205.4zM464 224H448c-8.844 0-16 7.156-16 16S439.2 256 448 256h16C472.8 256 480 263.2 480 272V384H32V272C32 263.2 39.19 256 48 256H64c8.844 0 16-7.156 16-16S72.84 224 64 224H48C21.53 224 0 245.5 0 272v192C0 490.5 21.53 512 48 512h416c26.47 0 48-21.53 48-48v-192C512 245.5 490.5 224 464 224zM480 464c0 8.828-7.188 16-16 16h-416C39.19 480 32 472.8 32 464V416h448V464z"],
    "boxes-packing": [640, 512, [], "e4c7", "M592 32H304C295.2 32 288 39.16 288 48V128H256V48C256 21.49 277.5 0 304 0H592C618.5 0 640 21.49 640 48V464C640 490.5 618.5 512 592 512H381.3C383 506.1 384 501.6 384 496V480H592C600.8 480 608 472.8 608 464V48C608 39.16 600.8 32 592 32zM555.3 316.7C561.6 322.9 561.6 333.1 555.3 339.3C549.1 345.6 538.9 345.6 532.7 339.3L496 302.6V432C496 440.8 488.8 448 480 448C471.2 448 464 440.8 464 432V302.6L427.3 339.3C421.1 345.6 410.9 345.6 404.7 339.3C398.4 333.1 398.4 322.9 404.7 316.7L468.7 252.7C474.9 246.4 485.1 246.4 491.3 252.7L555.3 316.7zM240 320C248.8 320 256 327.2 256 336C256 344.8 248.8 352 240 352H144C135.2 352 128 344.8 128 336C128 327.2 135.2 320 144 320H240zM0 192C0 174.3 14.33 160 32 160H352C369.7 160 384 174.3 384 192V256C384 273.7 369.7 288 352 288V480C352 497.7 337.7 512 320 512H64C46.33 512 32 497.7 32 480V288C14.33 288 0 273.7 0 256V192zM352 192H32V256H352V192zM64 480H320V288H64V480z"],
    "boxes-stacked": [576, 512, [62625, "boxes", "boxes-alt"], "f468", "M416 56V168C416 198.9 390.9 224 360 224H216C185.1 224 160 198.9 160 168V56C160 25.07 185.1 0 216 0H360C390.9 0 416 25.07 416 56zM360 32H336V80C336 97.67 321.7 112 304 112H272C254.3 112 240 97.67 240 80V32H216C202.7 32 192 42.75 192 56V168C192 181.3 202.7 192 216 192H360C373.3 192 384 181.3 384 168V56C384 42.75 373.3 32 360 32zM272 80H304V32H272V80zM200 288C230.9 288 256 313.1 256 344V456C256 486.9 230.9 512 200 512H56C25.07 512 0 486.9 0 456V344C0 313.1 25.07 288 56 288H200zM176 368C176 385.7 161.7 400 144 400H112C94.33 400 80 385.7 80 368V320H56C42.75 320 32 330.7 32 344V456C32 469.3 42.75 480 56 480H200C213.3 480 224 469.3 224 456V344C224 330.7 213.3 320 200 320H176V368zM144 320H112V368H144V320zM520 288C550.9 288 576 313.1 576 344V456C576 486.9 550.9 512 520 512H376C345.1 512 320 486.9 320 456V344C320 313.1 345.1 288 376 288H520zM496 368C496 385.7 481.7 400 464 400H432C414.3 400 400 385.7 400 368V320H376C362.7 320 352 330.7 352 344V456C352 469.3 362.7 480 376 480H520C533.3 480 544 469.3 544 456V344C544 330.7 533.3 320 520 320H496V368zM464 320H432V368H464V320z"],
    "boxing-glove": [512, 512, [129354, "glove-boxing"], "f438", "M416 129.6L415.1 96c0-52.94-43.06-96-95.1-96H127.1C75.06 0 32.01 43.06 32.01 96L32 288c0 27.41 11.56 52.87 31.1 71.14L64 448c0 35.3 28.7 64 64 64h192c35.3 0 64-28.7 64-64v-57.38l63.19-63.19C468.3 306.3 480 278.2 480 248.2V208C480 169.4 452.5 137.1 416 129.6zM448 248.2c0 21.38-8.328 41.47-23.44 56.58L352 377.4V448c0 17.64-14.36 32-32 32H128c-17.64 0-32-14.36-32-32v-104.3l-6.359-4.797C73.34 326.6 64 308 64 288V96c0-35.3 28.7-64 64-64h192c35.3 0 64 28.7 64 64v32h-16c-38.63 0-70.95 27.53-78.38 64H217.7C183.1 192 149.6 181.9 120.9 162.7C113.5 157.8 103.6 159.8 98.69 167.1C93.78 174.5 95.78 184.4 103.1 189.3C137.2 212 176.8 224 217.7 224h71.93C297.1 260.5 329.4 288 368 288C376.8 288 384 280.8 384 272S376.8 256 368 256C341.5 256 320 234.5 320 208S341.5 160 368 160h32C426.5 160 448 181.5 448 208V248.2zM285.3 343.1c-4.922-7.375-14.81-9.328-22.19-4.438L224 364.8l-39.13-26.08c-7.391-4.891-17.31-2.938-22.19 4.438c-4.906 7.359-2.922 17.28 4.438 22.19L195.2 384l-28.03 18.69c-7.359 4.906-9.344 14.83-4.438 22.19c3.356 5.043 12.79 10.66 22.19 4.438L224 403.2l39.13 26.08c9.385 6.221 18.78 .6881 22.19-4.438c4.906-7.359 2.922-17.28-4.438-22.19L252.8 384l28.03-18.69C288.2 360.4 290.2 350.5 285.3 343.1z"],
    "bracket-curly": [256, 512, ["bracket-curly-left"], "7b", "M96 152.5V112C96 85.53 117.5 64 144 64h64C216.8 64 224 56.82 224 48S216.8 32 208 32h-64C99.89 32 64 67.89 64 112v40.45c0 38.03-21.13 72.22-55.16 89.23C3.383 244.4 0 249.9 0 256s3.383 11.56 8.828 14.3C42.87 287.3 64 321.5 64 359.5V400c0 44.11 35.89 80 80 80h64c8.822 0 16-7.178 16-16S216.8 448 208 448h-64C117.5 448 96 426.5 96 400v-40.45C96 318.7 77.43 280.8 45.79 256C77.43 231.2 96 193.3 96 152.5z"],
    "bracket-curly-right": [256, 512, [], "7d", "M210.2 256C178.6 280.8 160 318.7 160 359.5V400c0 26.47-21.53 48-48 48h-64C39.18 448 32 455.2 32 464S39.18 480 48 480h64c44.11 0 80-35.89 80-80v-40.45c0-38.03 21.13-72.22 55.17-89.24C252.6 267.6 256 262.1 256 256s-3.383-11.56-8.844-14.31C213.1 224.7 192 190.5 192 152.5V112C192 67.89 156.1 32 112 32h-64C39.18 32 32 39.18 32 48S39.18 64 48 64h64C138.5 64 160 85.53 160 112v40.45C160 193.3 178.6 231.2 210.2 256z"],
    "bracket-round": [192, 512, ["parenthesis"], "28", "M121.4 451.1c7.126 5.188 8.72 15.19 3.532 22.31c-3.157 4.313-8.032 6.625-12.97 6.625c-3.25 0-6.501-1-9.345-3.031c-4.188-3.031-102.6-75.81-102.6-220.1s98.45-217.9 102.6-220.1c7.126-5.125 17.1-3.625 22.31 3.594c5.188 7.125 3.594 17.13-3.532 22.31c-3.657 2.688-89.42 66.78-89.42 195.1S117.8 448.4 121.4 451.1z"],
    "bracket-round-right": [192, 512, [], "29", "M159.1 255.1c0-128.3-85.76-192.4-89.42-195.1C63.46 55.75 61.86 45.75 67.05 38.62c5.219-7.219 15.19-8.719 22.31-3.594C93.55 38.06 192 110.8 192 256s-98.45 217.9-102.6 220.1C86.52 479 83.27 480 80.02 480c-4.938 0-9.813-2.313-12.97-6.625c-5.188-7.125-3.594-17.13 3.532-22.31C74.24 448.4 159.1 384.3 159.1 255.1z"],
    "bracket-square": [192, 512, ["bracket", "bracket-left"], "5b", "M48 64h96C152.8 64 160 56.82 160 48S152.8 32 144 32h-96C21.53 32 0 53.53 0 80v352C0 458.5 21.53 480 48 480h96c8.822 0 16-7.178 16-16S152.8 448 144 448h-96C39.18 448 32 440.8 32 432v-352C32 71.18 39.18 64 48 64z"],
    "bracket-square-right": [192, 512, [], "5d", "M160 80v352c0 8.822-7.178 16-16 16h-96C39.18 448 32 455.2 32 464S39.18 480 48 480h96c26.47 0 48-21.53 48-48v-352C192 53.53 170.5 32 144 32h-96C39.18 32 32 39.18 32 48S39.18 64 48 64h96C152.8 64 160 71.18 160 80z"],
    "brackets-curly": [576, 512, [], "f7ea", "M96 152.5V112C96 85.53 117.5 64 144 64h64C216.8 64 224 56.82 224 48S216.8 32 208 32h-64C99.89 32 64 67.89 64 112v40.45c0 38.03-21.13 72.22-55.16 89.23C3.383 244.4 0 249.9 0 256s3.383 11.56 8.828 14.3C42.87 287.3 64 321.5 64 359.5V400C64 444.1 99.89 480 144 480h64C216.8 480 224 472.8 224 464S216.8 448 208 448h-64C117.5 448 96 426.5 96 400v-40.45C96 318.7 77.43 280.8 45.79 256C77.43 231.2 96 193.3 96 152.5zM567.2 241.7C533.1 224.7 512 190.5 512 152.5V112C512 67.89 476.1 32 432 32h-64C359.2 32 352 39.18 352 48S359.2 64 368 64h64C458.5 64 480 85.53 480 112v40.45C480 193.3 498.6 231.2 530.2 256C498.6 280.8 480 318.7 480 359.5V400c0 26.47-21.53 48-48 48h-64c-8.822 0-16 7.178-16 16s7.178 16 16 16h64c44.11 0 80-35.89 80-80v-40.45c0-38.03 21.13-72.22 55.16-89.23C572.6 267.6 576 262.1 576 256S572.6 244.4 567.2 241.7z"],
    "brackets-round": [512, 512, ["parentheses"], "e0c5", "M121.4 60.93c7.125-5.188 8.719-15.19 3.531-22.31C119.7 31.4 109.8 29.9 102.6 35.03C98.44 38.06 0 110.8 0 256s98.44 217.9 102.6 220.1c2.844 2.031 6.094 3.031 9.344 3.031c4.938 0 9.812-2.313 12.97-6.625c5.188-7.125 3.594-17.13-3.531-22.31C117.8 448.4 32 384.3 32 255.1S117.8 63.62 121.4 60.93zM409.4 35.03c-7.156-5.094-17.06-3.563-22.31 3.594c-5.188 7.125-3.594 17.13 3.531 22.31C394.3 63.62 480 127.7 480 255.1s-85.75 192.4-89.41 195.1c-7.125 5.188-8.719 15.19-3.531 22.31c3.156 4.344 8.031 6.625 12.97 6.625c3.25 0 6.5-1 9.344-3.031C413.6 473.9 512 401.2 512 256S413.6 38.06 409.4 35.03z"],
    "brackets-square": [448, 512, ["brackets"], "f7e9", "M400 32h-96C295.2 32 288 39.18 288 48S295.2 64 304 64h96C408.8 64 416 71.18 416 80v352c0 8.822-7.178 16-16 16h-96c-8.822 0-16 7.178-16 16s7.178 16 16 16h96c26.47 0 48-21.53 48-48v-352C448 53.53 426.5 32 400 32zM48 64h96C152.8 64 160 56.82 160 48S152.8 32 144 32h-96C21.53 32 0 53.53 0 80v352C0 458.5 21.53 480 48 480h96C152.8 480 160 472.8 160 464S152.8 448 144 448h-96C39.18 448 32 440.8 32 432v-352C32 71.18 39.18 64 48 64z"],
    "braille": [640, 512, [], "f2a1", "M48 96C48 87.16 55.16 80 64 80C72.84 80 80 87.16 80 96C80 104.8 72.84 112 64 112C55.16 112 48 104.8 48 96zM0 96C0 60.65 28.65 32 64 32C99.35 32 128 60.65 128 96C128 131.3 99.35 160 64 160C28.65 160 0 131.3 0 96zM64 128C81.67 128 96 113.7 96 96C96 78.33 81.67 64 64 64C46.33 64 32 78.33 32 96C32 113.7 46.33 128 64 128zM160 256C160 220.7 188.7 192 224 192C259.3 192 288 220.7 288 256C288 291.3 259.3 320 224 320C188.7 320 160 291.3 160 256zM224 288C241.7 288 256 273.7 256 256C256 238.3 241.7 224 224 224C206.3 224 192 238.3 192 256C192 273.7 206.3 288 224 288zM128 416C128 451.3 99.35 480 64 480C28.65 480 0 451.3 0 416C0 380.7 28.65 352 64 352C99.35 352 128 380.7 128 416zM64 384C46.33 384 32 398.3 32 416C32 433.7 46.33 448 64 448C81.67 448 96 433.7 96 416C96 398.3 81.67 384 64 384zM288 416C288 451.3 259.3 480 224 480C188.7 480 160 451.3 160 416C160 380.7 188.7 352 224 352C259.3 352 288 380.7 288 416zM224 384C206.3 384 192 398.3 192 416C192 433.7 206.3 448 224 448C241.7 448 256 433.7 256 416C256 398.3 241.7 384 224 384zM80 256C80 264.8 72.84 272 64 272C55.16 272 48 264.8 48 256C48 247.2 55.16 240 64 240C72.84 240 80 247.2 80 256zM128 256C128 291.3 99.35 320 64 320C28.65 320 0 291.3 0 256C0 220.7 28.65 192 64 192C99.35 192 128 220.7 128 256zM64 224C46.33 224 32 238.3 32 256C32 273.7 46.33 288 64 288C81.67 288 96 273.7 96 256C96 238.3 81.67 224 64 224zM240 96C240 104.8 232.8 112 224 112C215.2 112 208 104.8 208 96C208 87.16 215.2 80 224 80C232.8 80 240 87.16 240 96zM288 96C288 131.3 259.3 160 224 160C188.7 160 160 131.3 160 96C160 60.65 188.7 32 224 32C259.3 32 288 60.65 288 96zM224 64C206.3 64 192 78.33 192 96C192 113.7 206.3 128 224 128C241.7 128 256 113.7 256 96C256 78.33 241.7 64 224 64zM400 96C400 87.16 407.2 80 416 80C424.8 80 432 87.16 432 96C432 104.8 424.8 112 416 112C407.2 112 400 104.8 400 96zM352 96C352 60.65 380.7 32 416 32C451.3 32 480 60.65 480 96C480 131.3 451.3 160 416 160C380.7 160 352 131.3 352 96zM416 128C433.7 128 448 113.7 448 96C448 78.33 433.7 64 416 64C398.3 64 384 78.33 384 96C384 113.7 398.3 128 416 128zM640 96C640 131.3 611.3 160 576 160C540.7 160 512 131.3 512 96C512 60.65 540.7 32 576 32C611.3 32 640 60.65 640 96zM576 64C558.3 64 544 78.33 544 96C544 113.7 558.3 128 576 128C593.7 128 608 113.7 608 96C608 78.33 593.7 64 576 64zM512 256C512 220.7 540.7 192 576 192C611.3 192 640 220.7 640 256C640 291.3 611.3 320 576 320C540.7 320 512 291.3 512 256zM576 288C593.7 288 608 273.7 608 256C608 238.3 593.7 224 576 224C558.3 224 544 238.3 544 256C544 273.7 558.3 288 576 288zM640 416C640 451.3 611.3 480 576 480C540.7 480 512 451.3 512 416C512 380.7 540.7 352 576 352C611.3 352 640 380.7 640 416zM576 384C558.3 384 544 398.3 544 416C544 433.7 558.3 448 576 448C593.7 448 608 433.7 608 416C608 398.3 593.7 384 576 384zM352 256C352 220.7 380.7 192 416 192C451.3 192 480 220.7 480 256C480 291.3 451.3 320 416 320C380.7 320 352 291.3 352 256zM416 288C433.7 288 448 273.7 448 256C448 238.3 433.7 224 416 224C398.3 224 384 238.3 384 256C384 273.7 398.3 288 416 288zM480 416C480 451.3 451.3 480 416 480C380.7 480 352 451.3 352 416C352 380.7 380.7 352 416 352C451.3 352 480 380.7 480 416zM416 384C398.3 384 384 398.3 384 416C384 433.7 398.3 448 416 448C433.7 448 448 433.7 448 416C448 398.3 433.7 384 416 384z"],
    "brain": [512, 512, [129504], "f5dc", "M256 480C241.4 499.4 218.2 512 192 512C162.4 512 136.5 495.9 122.7 471.1C121.8 471.1 120.9 472 120 472C71.4 472 32 432.6 32 384C32 376.4 32.97 369 34.79 361.1C13.56 344.4 0 317.8 0 288C0 262.9 9.646 240 25.4 222.1C24.48 218.1 24 213.1 24 208C24 178.4 40.12 152.5 64.04 138.7C64.01 137.8 64 136.9 64 136C64 102.4 84.73 73.63 114.1 61.79C122.3 26.37 154.1 0 192 0C218.2 0 241.4 12.57 256 31.99C270.6 12.57 293.8 0 320 0C357.9 0 389.7 26.37 397.9 61.79C427.3 73.63 448 102.4 448 136C448 136.9 447.1 137.8 447.1 138.7C471.9 152.5 488 178.4 488 208C488 213.1 487.5 218.1 486.6 222.1C502.4 240 512 262.9 512 288C512 317.8 498.4 344.4 477.2 361.1C479 369 480 376.4 480 384C480 432.6 440.6 472 392 472C391.1 472 390.2 471.1 389.3 471.1C375.5 495.9 349.6 512 320 512C293.8 512 270.6 499.4 256 480zM143.2 86.69L132.2 89.46C111.4 94.71 96 113.6 96 136C96 139.1 96.3 142.2 96.87 145.2L99.41 158.3L86.87 163.1C68.79 170 55.1 187.6 55.1 208C55.1 213.2 56.84 218.3 58.37 222.1L61.65 232.1L53.74 239.9C40.38 251.7 31.1 268.9 31.1 288C31.1 310.9 44.01 331 62.16 342.3L73.75 349.6L68.42 362.2C65.58 368.8 63.1 376.2 63.1 384C63.1 414.9 89.07 440 119.1 440C123.3 440 126.5 439.7 129.5 439.2L142.5 436.1L147.2 449.2C154.1 467.3 171.6 480 191.1 480C218.5 480 239.1 458.5 239.1 432V80C239.1 53.49 218.5 32 191.1 32C167 32 146.5 51.08 144.2 75.44L143.2 86.69zM272 432C272 458.5 293.5 480 320 480C340.4 480 357.9 467.2 364.8 449.2L369.5 436.1L382.5 439.2C385.5 439.7 388.7 440 392 440C422.9 440 448 414.9 448 384C448 376.2 446.4 368.8 443.6 362.2L438.2 349.6L449.8 342.3C467.1 331 480 310.9 480 287.1C480 268.9 471.6 251.7 458.3 239.9L450.3 232.1L453.6 222.1C455.2 218.3 456 213.2 456 207.1C456 187.6 443.2 170 425.1 163.1L412.6 158.3L415.1 145.2C415.7 142.2 416 139.1 416 135.1C416 113.6 400.6 94.71 379.8 89.46L368.8 86.69L367.8 75.44C365.5 51.08 344.1 31.1 319.1 31.1C293.5 31.1 271.1 53.49 271.1 79.1L272 432z"],
    "brain-arrow-curved-right": [640, 512, ["mind-share"], "f677", "M223.5 32.2C251.8 33.68 272.9 59.02 272.9 87.29v201.8c0 8.873 7.191 16.06 16.06 16.06s16.06-7.191 16.06-16.06V87.29c0-28.27 21.17-53.61 49.4-55.09c30.11-1.576 55.01 22.37 55.01 52.13c0 1.555-.3242 3.02-.457 4.539c23.26 5.484 40.62 26.25 40.62 51.18c0 7.609-1.684 14.8-4.584 21.33c20.03 2.893 36.27 17.07 42.16 35.91c2.113 6.768 8.123 11.53 15.21 11.53c10.7 0 18.49-10.38 15.36-20.61c-5.963-19.5-18.78-36.24-36.03-46.92c.0059-.4082 .0078-.8203 .0078-1.232c0-30.85-16.42-58.3-41.97-73.15C431.7 28.73 397.8 0 357.3 0c-28.04 0-52.93 13.76-68.27 34.87C273.7 13.76 248.8 0 220.7 0C180.2 0 146.3 28.73 138.2 66.9c-23.53 13.68-39.32 38.05-41.67 65.92c-24.5 14.97-40.46 41.96-40.46 71.98c0 6.32 .709 12.57 2.096 18.66C41.63 241.1 32 264.5 32 289.1c0 28.71 12.55 55.09 33.51 73.03c-.918 5.057-1.385 10.18-1.385 15.31c0 48.27 38.91 87.63 87.02 88.34c9.809 22.39 29.54 39.48 53.6 45.68c10.12 2.605 20.01-5.16 20.01-15.61c0-7.609-5.473-13.69-12.81-15.71c-20.4-5.609-35.38-24.29-35.38-46.47c0-2.035 .3535-3.975 .5996-5.943c-12.89 6.348-28.23 8.463-44.86 2.086c-15.72-6.031-28.37-19.25-33.39-35.32c-5.348-17.1-2.199-33.02 5.518-45.86c-23.6-9.506-40.3-32.53-40.3-59.53c0-23.97 13.28-44.62 32.72-55.66C91.42 225.2 88.22 215.4 88.22 204.8c0-25.38 18.13-46.49 42.14-51.19c-1.166-4.354-1.984-8.844-1.984-13.56c0-24.93 17.36-45.7 40.61-51.18C168.9 87.35 168.5 85.88 168.5 84.33C168.5 54.57 193.4 30.62 223.5 32.2zM603.3 340.7l-96-96c-6.25-6.25-16.38-6.25-22.63 0s-6.25 16.38 0 22.62L553.4 336H352c-44.11 0-80 35.88-80 80l-.002 79.9C271.1 504.7 279.2 512 288 512s16-7.156 16-16V416c0-26.47 21.53-48 48-48h201.4l-68.69 68.69c-6.25 6.25-6.25 16.38 0 22.62C487.8 462.4 491.9 464 495.1 464s8.053-1.514 11.18-4.639l96.14-96.05C609.6 357.1 609.6 346.9 603.3 340.7z"],
    "brain-circuit": [512, 512, [], "e0c6", "M122.7 471.1C121.8 471.1 120.9 472 120 472C71.4 472 32 432.6 32 384C32 376.4 32.97 369 34.79 361.1C13.56 344.4 0 317.8 0 288C0 262.9 9.646 240 25.4 222.1C24.48 218.1 24 213.1 24 208C24 178.4 40.12 152.5 64.04 138.7C64.01 137.8 64 136.9 64 136C64 102.4 84.73 73.63 114.1 61.79C122.3 26.37 154.1 0 192 0C218.2 0 241.4 12.57 256 31.99C270.6 12.57 293.8 0 320 0C357.9 0 389.7 26.37 397.9 61.79C427.3 73.63 448 102.4 448 136C448 136.9 447.1 137.8 447.1 138.7C471.9 152.5 488 178.4 488 208C488 213.1 487.5 218.1 486.6 222.1C502.4 240 512 262.9 512 288C512 317.8 498.4 344.4 477.2 361.1C479 369 480 376.4 480 384C480 432.6 440.6 472 392 472C391.1 472 390.2 471.1 389.3 471.1C375.5 495.9 349.6 512 320 512C293.8 512 270.6 499.4 256 480C241.4 499.4 218.2 512 192 512C162.4 512 136.5 495.9 122.7 471.1zM192 32C167 32 146.5 51.08 144.2 75.44L143.2 86.69L132.2 89.46C111.4 94.71 96 113.6 96 136C96 139.1 96.3 142.2 96.87 145.2L99.41 158.3L86.87 163.1C68.79 170 55.1 187.6 55.1 208C55.1 213.2 56.84 218.3 58.37 222.1L61.65 232.1L53.74 239.9C40.38 251.7 31.1 268.9 31.1 288C31.1 310.9 44.01 331 62.16 342.3L73.75 349.6L68.42 362.2C65.58 368.8 63.1 376.2 63.1 384C63.1 414.9 89.07 440 119.1 440C123.3 440 126.5 439.7 129.5 439.2L142.5 436.1L147.2 449.2C154.1 467.3 171.6 480 191.1 480C218.5 480 239.1 458.5 239.1 432V304H191.1C184.7 304 178.5 308.9 176.6 315.6C190.4 321.9 199.1 335.8 199.1 352C199.1 374.1 182.1 392 159.1 392C137.9 392 119.1 374.1 119.1 352C119.1 335.5 129.1 321.3 144.2 315.2C146.6 290.1 167.1 272 191.1 272H239.1V160H212.7C206.5 174.1 192.4 184 175.1 184C153.9 184 135.1 166.1 135.1 144C135.1 121.9 153.9 104 175.1 104C192.4 104 206.5 113.9 212.7 128H239.1V80C239.1 53.49 218.5 32 191.1 32L192 32zM272 352H331.3C337.5 337.9 351.6 328 368 328C390.1 328 408 345.9 408 368C408 390.1 390.1 408 368 408C351.6 408 337.5 398.1 331.3 384H272V432C272 458.5 293.5 480 320 480C340.4 480 357.9 467.2 364.8 449.2L369.5 436.1L382.5 439.2C385.5 439.7 388.7 440 392 440C422.9 440 448 414.9 448 384C448 376.2 446.4 368.8 443.6 362.2L438.2 349.6L449.8 342.3C467.1 331 480 310.9 480 287.1C480 268.9 471.6 251.7 458.3 239.9L450.3 232.1L453.6 222.1C455.2 218.3 456 213.2 456 207.1C456 187.6 443.2 170 425.1 163.1L412.6 158.3L415.1 145.2C415.7 142.2 416 139.1 416 135.1C416 113.6 400.6 94.71 379.8 89.46L368.8 86.69L367.8 75.44C365.5 51.08 344.1 31.1 320 31.1C293.5 31.1 272 53.49 272 79.1V127.1H320C346.5 127.1 368 149.5 368 175.1V187.3C382.1 193.5 392 207.6 392 223.1C392 246.1 374.1 263.1 352 263.1C329.9 263.1 312 246.1 312 223.1C312 207.6 321.9 193.5 336 187.3V175.1C336 167.2 328.8 159.1 320 159.1H272L272 352zM176 160C184.8 160 192 152.8 192 144C192 135.2 184.8 128 176 128C167.2 128 160 135.2 160 144C160 152.8 167.2 160 176 160zM160 368C168.8 368 176 360.8 176 352C176 343.2 168.8 336 160 336C151.2 336 144 343.2 144 352C144 360.8 151.2 368 160 368zM368 224C368 215.2 360.8 208 352 208C343.2 208 336 215.2 336 224C336 232.8 343.2 240 352 240C360.8 240 368 232.8 368 224zM368 384C376.8 384 384 376.8 384 368C384 359.2 376.8 352 368 352C359.2 352 352 359.2 352 368C352 376.8 359.2 384 368 384z"],
    "brake-warning": [640, 512, [], "e0c7", "M336 272C336 280.8 328.8 288 319.1 288C311.2 288 303.1 280.8 303.1 272V144C303.1 135.2 311.2 128 319.1 128C328.8 128 336 135.2 336 144V272zM295.1 352C295.1 338.7 306.7 328 319.1 328C333.3 328 344 338.7 344 352C344 365.3 333.3 376 319.1 376C306.7 376 295.1 365.3 295.1 352zM95.1 256C95.1 132.3 196.3 32 319.1 32C443.7 32 544 132.3 544 256C544 379.7 443.7 480 319.1 480C196.3 480 95.1 379.7 95.1 256zM319.1 448C426 448 512 362 512 256C512 149.1 426 64 319.1 64C213.1 64 127.1 149.1 127.1 256C127.1 362 213.1 448 319.1 448zM31.1 256C31.1 313.3 48.69 366.6 77.46 411.4C82.24 418.8 80.08 428.7 72.64 433.5C65.21 438.3 55.31 436.1 50.54 428.7C18.55 378.8 0 319.6 0 256C0 192.4 18.55 133.2 50.54 83.34C55.31 75.9 65.21 73.74 72.64 78.52C80.08 83.29 82.24 93.19 77.46 100.6C48.69 145.4 31.1 198.7 31.1 256zM640 256C640 319.6 621.4 378.8 589.5 428.7C584.7 436.1 574.8 438.3 567.4 433.5C559.9 428.7 557.8 418.8 562.5 411.4C591.3 366.6 608 313.3 608 256C608 198.7 591.3 145.4 562.5 100.6C557.8 93.19 559.9 83.29 567.4 78.52C574.8 73.74 584.7 75.9 589.5 83.34C621.4 133.2 640 192.4 640 256V256z"],
    "brazilian-real-sign": [512, 512, [], "e46c", "M400 0C408.8 0 416 7.164 416 16V64.53C432.8 65.89 449.3 69.9 464.9 76.43L478.2 82.01C486.3 85.42 490.2 94.8 486.8 102.9C483.3 111.1 473.1 114.9 465.8 111.5L452.5 105.9C436.9 99.38 420 95.1 403 95.1H387.3C350.1 95.1 320 126.1 320 163.3C320 191.9 338.1 217.4 365.1 226.9L445.4 254.9C485.3 268.8 512 306.5 512 348.7C512 402.4 469.3 446.2 416 447.9V496C416 504.8 408.8 512 400 512C391.2 512 384 504.8 384 496V447.5C361.9 445.8 340.5 438.1 321.4 427.6L295.8 412.2C288.2 407.7 285.7 397.8 290.3 390.3C294.8 382.7 304.6 380.2 312.2 384.7L337.9 400.1C355.2 410.5 375.1 416 395.4 416H412.7C449.9 416 480 385.9 480 348.7C480 320.1 461.9 294.6 434.9 285.1L354.6 257.1C314.7 243.2 288 205.5 288 163.3C288 109.6 330.7 65.8 384 64.05V16C384 7.164 391.2 0 400 0L400 0zM.0003 80C.0003 53.49 21.49 32 48 32H112C191.5 32 256 96.47 256 176C256 241.6 212.1 296.1 152.1 314.3L206.1 458.3C210.1 466.6 205.1 475.8 197.7 478.1C189.4 482.1 180.2 477.1 177 469.7L119.9 319.8C117.3 319.9 114.7 320 112 320H32V464C32 472.8 24.84 480 16 480C7.164 480 0 472.8 0 464L.0003 80zM32 288H112C173.9 288 224 237.9 224 176C224 114.1 173.9 64 112 64H48C39.16 64 32 71.16 32 80V288z"],
    "bread-loaf": [640, 512, [127838], "f7eb", "M400 32h-160C107.5 32 0 103.6 0 192c0 35.38 30.88 64 64 64v192c0 17.62 14.38 32 32 32h448c17.62 0 32-14.38 32-32V256c33.13 0 64-28.62 64-64C640 103.6 532.5 32 400 32zM384 240V448H96V240C96 231.2 88.84 224 80 224H64C48.5 224 32 209.6 32 192c0-69.38 95.25-128 208-128S448 122.6 448 192c0 17.62-12.5 32-28 32H400C391.2 224 384 231.2 384 240zM544 448h-128V256h128V448zM580 224h-108.4C477.1 214.3 480 203.3 480 192c0-52.38-38-98.88-96.5-128H400C512.8 64 608 122.6 608 192C608 209.6 595.5 224 580 224z"],
    "bread-slice": [512, 512, [], "f7ec", "M256 32C102.9 32 0 115.2 0 192.1c0 34.84 26.67 60.29 64 62.59v178.4C64 459.4 84.63 480 109.1 480h292C427.4 480 448 459.4 448 434V255.6c37.33-2.293 64-27.75 64-62.59C512 115.2 409.1 32 256 32zM442.7 224C427.9 224 416 235.9 416 250.7v183.3C416 441.7 409.7 448 401.1 448h-292C102.3 448 96 441.7 96 434v-183.3C96 235.9 84.07 224 69.34 224C47 224 32 211.5 32 192.1C32 140.3 111.8 64 256 64s224 76.25 224 128.1C480 211.5 465 224 442.7 224z"],
    "bread-slice-butter": [512, 512, [], "e3e1", "M512 192.1C511.8 209.7 504.1 225.8 492.1 237.5C480.1 249.2 464.8 255.7 448 255.6V433.1C447.1 446.2 443.1 457.9 434.5 466.5C425.9 475.1 414.2 479.1 401.1 480H109.1C97.79 479.1 86.1 475.1 77.48 466.5C68.86 457.9 64.01 446.2 64 433.1V255.6C47.22 255.7 31.05 249.2 19.04 237.5C7.044 225.8 .1939 209.7 0 192.1C0 115.2 102.9 32 256 32C409.1 32 512 115.2 512 192.1zM480 192.1C480 140.3 400.2 64 256 64C111.8 64 32 140.3 32 192.1C32 211.5 47.01 224 69.34 224C76.41 224 83.19 226.8 88.19 231.8C93.19 236.8 96 243.6 96 250.7V433.1C96 437.7 97.47 441.3 100.1 443.9C102.7 446.5 106.3 447.1 109.1 448H401.1C403.8 448 405.6 447.6 407.3 446.9C409 446.2 410.6 445.2 411.9 443.9C413.2 442.6 414.2 441 414.9 439.3C415.6 437.6 416 435.8 416 433.1V250.7C416 243.6 418.8 236.8 423.8 231.8C428.8 226.8 435.6 224 442.7 224C464.1 224 480 211.5 480 192.1zM335.2 254C339.7 258.5 343.2 263.8 345.6 269.6C348 275.4 349.3 281.7 349.3 288C349.3 294.3 348 300.6 345.6 306.4C343.2 312.2 339.7 317.5 335.2 321.1L289.1 367.2C285.5 371.7 280.2 375.2 274.4 377.6C268.6 380 262.3 381.3 256 381.3C249.7 381.3 243.4 380 237.6 377.6C231.8 375.2 226.5 371.7 222 367.2L176.8 321.1C172.3 317.5 168.8 312.2 166.4 306.4C163.1 300.6 162.7 294.3 162.7 288C162.7 281.7 163.1 275.4 166.4 269.6C168.8 263.8 172.3 258.5 176.8 254L222 208.8C226.5 204.3 231.8 200.8 237.6 198.4C243.4 195.1 249.7 194.7 256 194.7C262.3 194.7 268.6 195.1 274.4 198.4C280.2 200.8 285.5 204.3 289.1 208.8L335.2 254zM316.1 294.1C316.9 292.2 317.3 290.1 317.3 288C317.3 285.9 316.9 283.8 316.1 281.9C315.2 279.9 314.1 278.2 312.6 276.7L267.3 231.4C265.8 229.9 264.1 228.8 262.1 227.9C260.2 227.1 258.1 226.7 256 226.7C253.9 226.7 251.8 227.1 249.9 227.9C247.9 228.8 246.2 229.9 244.7 231.4L199.4 276.7C197.9 278.2 196.8 279.9 195.9 281.9C195.1 283.8 194.7 285.9 194.7 288C194.7 290.1 195.1 292.2 195.9 294.1C196.8 296.1 197.9 297.8 199.4 299.3L244.7 344.6C246.2 346.1 247.9 347.2 249.9 348.1C251.8 348.9 253.9 349.3 256 349.3C258.1 349.3 260.2 348.9 262.1 348.1C264.1 347.2 265.8 346.1 267.3 344.6L312.6 299.3C314.1 297.8 315.2 296.1 316.1 294.1z"],
    "bridge": [576, 512, [], "e4c8", "M560 32C568.8 32 576 39.16 576 48C576 56.84 568.8 64 560 64H496V128H560C568.8 128 576 135.2 576 144C576 152.8 568.8 160 560 160H16C7.164 160 0 152.8 0 144C0 135.2 7.164 128 16 128H80V64H16C7.164 64 0 56.84 0 48C0 39.16 7.164 32 16 32H560zM464 64H368V128H464V64zM240 64V128H336V64H240zM208 64H112V128H208V64zM32 240C85.02 240 128 282.1 128 336V432C128 440.8 135.2 448 144 448H176C184.8 448 192 440.8 192 432V336C192 282.1 234.1 240 288 240C341 240 384 282.1 384 336V432C384 440.8 391.2 448 400 448H432C440.8 448 448 440.8 448 432V336C448 282.1 490.1 240 544 240H560C568.8 240 576 247.2 576 256C576 264.8 568.8 272 560 272H544C508.7 272 480 300.7 480 336V432C480 458.5 458.5 480 432 480H400C373.5 480 352 458.5 352 432V336C352 300.7 323.3 272 288 272C252.7 272 224 300.7 224 336V432C224 458.5 202.5 480 176 480H144C117.5 480 96 458.5 96 432V336C96 300.7 67.35 272 32 272H16C7.164 272 0 264.8 0 256C0 247.2 7.164 240 16 240H32z"],
    "bridge-circle-check": [640, 512, [], "e4c9", "M592 32C600.8 32 608 39.16 608 48C608 56.84 600.8 64 592 64H528V128H592C600.8 128 608 135.2 608 144C608 152.8 600.8 160 592 160H48C39.16 160 32 152.8 32 144C32 135.2 39.16 128 48 128H112V64H48C39.16 64 32 56.84 32 48C32 39.16 39.16 32 48 32H592zM496 64H400V128H496V64zM272 64V128H368V64H272zM240 64H144V128H240V64zM64 240C117 240 160 282.1 160 336V432C160 440.8 167.2 448 176 448H208C216.8 448 224 440.8 224 432V336C224 282.1 266.1 240 320 240C336.1 240 351.2 243.1 364.6 250.9C357.3 259 350.9 267.8 345.2 277.2C337.5 273.8 328.1 272 320 272C284.7 272 256 300.7 256 336V432C256 458.5 234.5 480 208 480H176C149.5 480 128 458.5 128 432V336C128 300.7 99.35 272 64 272H48C39.16 272 32 264.8 32 256C32 247.2 39.16 240 48 240H64zM540.7 324.7C546.9 318.4 557.1 318.4 563.3 324.7C569.6 330.9 569.6 341.1 563.3 347.3L491.3 419.3C485.1 425.6 474.9 425.6 468.7 419.3L428.7 379.3C422.4 373.1 422.4 362.9 428.7 356.7C434.9 350.4 445.1 350.4 451.3 356.7L480 385.4L540.7 324.7zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 480C557.9 480 608 429.9 608 368C608 306.1 557.9 256 496 256C434.1 256 384 306.1 384 368C384 429.9 434.1 480 496 480z"],
    "bridge-circle-exclamation": [640, 512, [], "e4ca", "M592 32C600.8 32 608 39.16 608 48C608 56.84 600.8 64 592 64H528V128H592C600.8 128 608 135.2 608 144C608 152.8 600.8 160 592 160H48C39.16 160 32 152.8 32 144C32 135.2 39.16 128 48 128H112V64H48C39.16 64 32 56.84 32 48C32 39.16 39.16 32 48 32H592zM496 64H400V128H496V64zM272 64V128H368V64H272zM240 64H144V128H240V64zM64 240C117 240 160 282.1 160 336V432C160 440.8 167.2 448 176 448H208C216.8 448 224 440.8 224 432V336C224 282.1 266.1 240 320 240C336.1 240 351.2 243.1 364.6 250.9C357.3 259 350.9 267.8 345.2 277.2C337.5 273.8 328.1 272 320 272C284.7 272 256 300.7 256 336V432C256 458.5 234.5 480 208 480H176C149.5 480 128 458.5 128 432V336C128 300.7 99.35 272 64 272H48C39.16 272 32 264.8 32 256C32 247.2 39.16 240 48 240H64zM472 424C472 410.7 482.7 400 496 400C509.3 400 520 410.7 520 424C520 437.3 509.3 448 496 448C482.7 448 472 437.3 472 424zM495.1 288C504.8 288 511.1 295.2 511.1 304V368C511.1 376.8 504.8 384 495.1 384C487.2 384 479.1 376.8 479.1 368V304C479.1 295.2 487.2 288 495.1 288zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 256C434.1 256 384 306.1 384 368C384 429.9 434.1 480 496 480C557.9 480 608 429.9 608 368C608 306.1 557.9 256 496 256z"],
    "bridge-circle-xmark": [640, 512, [], "e4cb", "M592 32C600.8 32 608 39.16 608 48C608 56.84 600.8 64 592 64H528V128H592C600.8 128 608 135.2 608 144C608 152.8 600.8 160 592 160H48C39.16 160 32 152.8 32 144C32 135.2 39.16 128 48 128H112V64H48C39.16 64 32 56.84 32 48C32 39.16 39.16 32 48 32H592zM496 64H400V128H496V64zM272 64V128H368V64H272zM240 64H144V128H240V64zM64 240C117 240 160 282.1 160 336V432C160 440.8 167.2 448 176 448H208C216.8 448 224 440.8 224 432V336C224 282.1 266.1 240 320 240C336.1 240 351.2 243.1 364.6 250.9C357.3 259 350.9 267.8 345.2 277.2C337.5 273.8 328.1 272 320 272C284.7 272 256 300.7 256 336V432C256 458.5 234.5 480 208 480H176C149.5 480 128 458.5 128 432V336C128 300.7 99.35 272 64 272H48C39.16 272 32 264.8 32 256C32 247.2 39.16 240 48 240H64zM518.6 368L555.3 404.7C561.6 410.9 561.6 421.1 555.3 427.3C549.1 433.6 538.9 433.6 532.7 427.3L496 390.6L459.3 427.3C453.1 433.6 442.9 433.6 436.7 427.3C430.4 421.1 430.4 410.9 436.7 404.7L473.4 368L436.7 331.3C430.4 325.1 430.4 314.9 436.7 308.7C442.9 302.4 453.1 302.4 459.3 308.7L496 345.4L532.7 308.7C538.9 302.4 549.1 302.4 555.3 308.7C561.6 314.9 561.6 325.1 555.3 331.3L518.6 368zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 256C434.1 256 384 306.1 384 368C384 429.9 434.1 480 496 480C557.9 480 608 429.9 608 368C608 306.1 557.9 256 496 256z"],
    "bridge-lock": [640, 512, [], "e4cc", "M592 32C600.8 32 608 39.16 608 48C608 56.84 600.8 64 592 64H528V128H592C600.8 128 608 135.2 608 144C608 152.8 600.8 160 592 160H48C39.16 160 32 152.8 32 144C32 135.2 39.16 128 48 128H112V64H48C39.16 64 32 56.84 32 48C32 39.16 39.16 32 48 32H592zM496 64H400V128H496V64zM272 64V128H368V64H272zM240 64H144V128H240V64zM320 240C360.6 240 395.4 265.3 409.4 300.9C393.1 312.6 384 331.2 384 352V336C384 300.7 355.3 272 320 272C284.7 272 256 300.7 256 336V432C256 458.5 234.5 480 208 480H176C149.5 480 128 458.5 128 432V336C128 300.7 99.35 272 64 272H48C39.16 272 32 264.8 32 256C32 247.2 39.16 240 48 240H64C117 240 160 282.1 160 336V432C160 440.8 167.2 448 176 448H208C216.8 448 224 440.8 224 432V336C224 282.1 266.1 240 320 240zM528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320V272C448 227.8 483.8 192 528 192zM528 224C501.5 224 480 245.5 480 272V320H576V272C576 245.5 554.5 224 528 224zM448 352V480H608V352H448z"],
    "bridge-suspension": [640, 512, [], "e4cd", "M128 .0003C134.4 .0003 139.9 3.743 142.5 9.155L149.1 22.36C181.4 87.1 247.6 128 320 128C392.4 128 458.6 87.1 490.9 22.36L497.5 9.155C500.1 3.743 505.6 0 512 0C519.2 0 525.3 4.741 527.3 11.27C541.8 54.28 585.1 98.75 629.9 116.2C638.1 119.4 642.1 128.7 638.9 136.1C635.6 145.2 626.3 149.2 618.1 145.9C585.1 132.8 552.1 107.3 528 76.82V256H624C632.8 256 640 263.2 640 272C640 280.8 632.8 288 624 288H16C7.164 288 .0002 280.8 .0002 272C.0002 263.2 7.164 256 16 256H112V76.82C87.87 107.3 54.95 132.8 21.9 145.9C13.69 149.2 4.388 145.2 1.129 136.1C-2.131 128.7 1.885 119.4 10.1 116.2C54.01 98.75 98.23 54.28 112.7 11.27C114.7 4.742 120.8 .0003 128 .0003H128zM144 256H208V129.9C183.5 115.6 161.7 96.72 144 74.02V256zM240 256H304V159.4C281.8 157.8 260.3 152.1 240 145.2V256zM336 256H400V145.2C379.7 152.1 358.2 157.8 336 159.4V256zM432 256H496V74.02C478.3 96.72 456.5 115.6 432 129.9V256zM32 320C85.02 320 128 362.1 128 416V464C128 472.8 135.2 480 144 480H176C184.8 480 192 472.8 192 464V448C192 377.3 249.3 320 320 320C390.7 320 448 377.3 448 448V464C448 472.8 455.2 480 464 480H496C504.8 480 512 472.8 512 464V416C512 362.1 554.1 320 608 320H624C632.8 320 640 327.2 640 336C640 344.8 632.8 352 624 352H608C572.7 352 544 380.7 544 416V464C544 490.5 522.5 512 496 512H464C437.5 512 416 490.5 416 464V448C416 394.1 373 352 320 352C266.1 352 224 394.1 224 448V464C224 490.5 202.5 512 176 512H144C117.5 512 96 490.5 96 464V416C96 380.7 67.35 352 32 352H16C7.164 352 .0005 344.8 .0005 336C.0005 327.2 7.164 320 16 320H32z"],
    "bridge-water": [576, 512, [], "e4ce", "M544 96H32V176.1C85.34 177.9 128 221.8 128 275.6V361C118.1 355.3 107 352.4 96 352.5V275.6C96 238.2 65.75 208 28.44 208C12.74 208 0 195.3 0 179.6V96C0 78.33 14.33 64 32 64H544C561.7 64 576 78.33 576 96V179.6C576 195.3 563.3 208 547.6 208C510.2 208 480 238.2 480 275.6V352.5C468.1 352.5 457.9 355.3 448 361V275.6C448 221.8 490.7 177.9 544 176.1V96zM192 384.5V272C192 218.1 234.1 176 288 176C341 176 384 218.1 384 272V384.5C373.6 384.5 362.7 382.3 352 378.3V272C352 236.7 323.3 208 288 208C252.7 208 224 236.7 224 272V378.4C213.7 382.2 202.9 384.5 192 384.5V384.5zM250.1 426.8C259.9 420.1 268.2 412.8 276.1 404.9C282.6 398.4 293.3 398.4 299.8 404.9C307.8 412.8 315.1 420.1 325.8 426.8C342.3 438 363.1 447.1 383.1 447.1C404.9 447.1 425.6 438 442.2 426.8C451.9 420.1 460.2 412.8 468.1 404.9C474.6 398.4 485.3 398.4 491.8 404.9C499.8 412.8 507.1 420.1 517.8 426.8C530.6 435.5 545.9 443.4 561.9 446.6C569.6 448.1 576 454.4 576 462.2C576 472 567.1 480.1 558.3 478.4C535.2 474.5 514.7 463.4 499.8 453.2C491.8 447.8 485.1 442.4 479.1 437.1C474.8 442.4 468.1 447.8 460.2 453.2C441.5 465.9 414.3 479.1 383.1 479.1C353.7 479.1 326.4 465.9 307.8 453.2C299.8 447.8 293.1 442.4 287.1 437.1C282.8 442.4 276.1 447.8 268.2 453.2C249.5 465.9 222.3 479.1 191.1 479.1C161.7 479.1 134.4 465.9 115.8 453.2C107.8 447.8 101.1 442.4 95.96 437.1C90.82 442.4 84.12 447.8 76.19 453.2C61.25 463.4 40.81 474.5 17.69 478.4C8.016 480.1 .0003 472 .0003 462.2C.0003 454.4 6.421 448.1 14.13 446.6C30.07 443.4 45.38 435.5 58.16 426.8C67.94 420.1 76.16 412.8 84.07 404.9C90.64 398.4 101.3 398.4 107.8 404.9C115.8 412.8 124.1 420.2 133.8 426.8C150.3 438 171.1 447.1 191.1 447.1C212.9 447.1 233.6 438 250.1 426.8H250.1z"],
    "briefcase": [512, 512, [128188], "f0b1", "M448 96h-64V48C384 21.53 362.5 0 336 0h-160C149.5 0 128 21.53 128 48V96H64C28.65 96 0 124.7 0 160v256c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V160C512 124.7 483.3 96 448 96zM160 48C160 39.17 167.2 32 176 32h160C344.8 32 352 39.17 352 48V96H160V48zM480 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V288h144v64c0 8.844 7.156 16 16 16h128c8.844 0 16-7.156 16-16V288H480V416zM208 336V288h96v48H208zM480 256H32V160c0-17.64 14.36-32 32-32h384c17.64 0 32 14.36 32 32V256z"],
    "briefcase-arrow-right": [512, 512, [], "e2f2", "M448 96h-64V48C384 21.53 362.5 0 336 0h-160C149.5 0 128 21.53 128 48V96H64C28.65 96 0 124.7 0 160v256c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V160C512 124.7 483.3 96 448 96zM160 48C160 39.17 167.2 32 176 32h160C344.8 32 352 39.17 352 48V96H160V48zM480 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V160c0-17.64 14.36-32 32-32h384c17.64 0 32 14.36 32 32V416zM379.3 276.7l-79.98-79.98c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L329.4 272H144C135.2 272 128 279.2 128 288s7.156 16 16 16h185.4l-52.69 52.69c-6.25 6.25-6.25 16.38 0 22.62C279.8 382.4 283.9 384 288 384s8.188-1.562 11.31-4.688l79.98-79.98c1.484-1.48 2.662-3.254 3.477-5.223c1.617-3.91 1.617-8.309 0-12.22C381.1 279.9 380.8 278.1 379.3 276.7z"],
    "briefcase-blank": [512, 512, [], "e0c8", "M448 96h-64V48C384 21.53 362.5 0 336 0h-160C149.5 0 128 21.53 128 48V96H64C28.65 96 0 124.7 0 160v256c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V160C512 124.7 483.3 96 448 96zM160 48C160 39.17 167.2 32 176 32h160C344.8 32 352 39.17 352 48V96H160V48zM480 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V160c0-17.64 14.36-32 32-32h384c17.64 0 32 14.36 32 32V416z"],
    "briefcase-medical": [512, 512, [], "f469", "M448 96h-64V48C384 21.53 362.5 0 336 0h-160C149.5 0 128 21.53 128 48V96H64C28.65 96 0 124.7 0 160v256c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V160C512 124.7 483.3 96 448 96zM160 48C160 39.17 167.2 32 176 32h160C344.8 32 352 39.17 352 48V96H160V48zM480 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V160c0-17.64 14.36-32 32-32h384c17.64 0 32 14.36 32 32V416zM336 256H288V208C288 199.2 280.8 192 272 192h-32C231.2 192 224 199.2 224 208V256H176C167.2 256 160 263.2 160 272v32C160 312.8 167.2 320 176 320H224v48C224 376.8 231.2 384 240 384h32c8.836 0 16-7.164 16-16V320h48c8.836 0 16-7.164 16-16v-32C352 263.2 344.8 256 336 256z"],
    "brightness": [512, 512, [], "e0c9", "M240 16C240 7.164 247.2 0 256 0C264.8 0 272 7.164 272 16V104C272 112.8 264.8 120 256 120C247.2 120 240 112.8 240 104V16zM160 256C160 202.1 202.1 160 256 160C309 160 352 202.1 352 256C352 309 309 352 256 352C202.1 352 160 309 160 256zM256 320C291.3 320 320 291.3 320 256C320 220.7 291.3 192 256 192C220.7 192 192 220.7 192 256C192 291.3 220.7 320 256 320zM256 512C247.2 512 240 504.8 240 496V416C240 407.2 247.2 400 256 400C264.8 400 272 407.2 272 416V496C272 504.8 264.8 512 256 512zM0 256C0 247.2 7.164 240 16 240H96C104.8 240 112 247.2 112 256C112 264.8 104.8 272 96 272H16C7.164 272 0 264.8 0 256zM496 240C504.8 240 512 247.2 512 256C512 264.8 504.8 272 496 272H408C399.2 272 392 264.8 392 256C392 247.2 399.2 240 408 240H496zM74.98 437C68.73 430.8 68.73 420.6 74.98 414.4L131.5 357.8C137.8 351.6 147.9 351.6 154.2 357.8C160.4 364.1 160.4 374.2 154.2 380.5L97.61 437C91.36 443.3 81.23 443.3 74.98 437V437zM414.4 74.98C420.6 68.73 430.8 68.73 437 74.98C443.3 81.23 443.3 91.36 437 97.61L374.8 159.8C368.5 166.1 358.4 166.1 352.2 159.8C345.9 153.6 345.9 143.5 352.2 137.2L414.4 74.98zM74.98 74.98C81.23 68.73 91.36 68.73 97.61 74.98L154.2 131.5C160.4 137.8 160.4 147.9 154.2 154.2C147.9 160.4 137.8 160.4 131.5 154.2L74.98 97.61C68.73 91.36 68.73 81.23 74.98 74.98V74.98zM437 414.4C443.3 420.6 443.3 430.8 437 437C430.8 443.3 420.6 443.3 414.4 437L352.2 374.8C345.9 368.5 345.9 358.4 352.2 352.2C358.4 345.9 368.5 345.9 374.8 352.2L437 414.4z"],
    "brightness-low": [448, 512, [], "e0ca", "M248 80C248 93.25 237.3 104 224 104C210.7 104 200 93.25 200 80C200 66.75 210.7 56 224 56C237.3 56 248 66.75 248 80zM128 256C128 202.1 170.1 160 224 160C277 160 320 202.1 320 256C320 309 277 352 224 352C170.1 352 128 309 128 256zM224 320C259.3 320 288 291.3 288 256C288 220.7 259.3 192 224 192C188.7 192 160 220.7 160 256C160 291.3 188.7 320 224 320zM200 432C200 418.7 210.7 408 224 408C237.3 408 248 418.7 248 432C248 445.3 237.3 456 224 456C210.7 456 200 445.3 200 432zM400 280C386.7 280 376 269.3 376 256C376 242.7 386.7 232 400 232C413.3 232 424 242.7 424 256C424 269.3 413.3 280 400 280zM48 232C61.25 232 72 242.7 72 256C72 269.3 61.25 280 48 280C34.75 280 24 269.3 24 256C24 242.7 34.75 232 48 232zM120 128C120 141.3 109.3 152 96 152C82.75 152 72 141.3 72 128C72 114.7 82.75 104 96 104C109.3 104 120 114.7 120 128zM352 408C338.7 408 328 397.3 328 384C328 370.7 338.7 360 352 360C365.3 360 376 370.7 376 384C376 397.3 365.3 408 352 408zM376 128C376 141.3 365.3 152 352 152C338.7 152 328 141.3 328 128C328 114.7 338.7 104 352 104C365.3 104 376 114.7 376 128zM96 360C109.3 360 120 370.7 120 384C120 397.3 109.3 408 96 408C82.75 408 72 397.3 72 384C72 370.7 82.75 360 96 360z"],
    "bring-forward": [512, 512, [], "f856", "M224 480H448C465.7 480 480 465.7 480 448V224C480 206.3 465.7 192 448 192H400C391.2 192 384 184.8 384 176C384 167.2 391.2 160 400 160H448C483.3 160 512 188.7 512 224V448C512 483.3 483.3 512 448 512H224C188.7 512 160 483.3 160 448V400C160 391.2 167.2 384 176 384C184.8 384 192 391.2 192 400V448C192 465.7 206.3 480 224 480zM288 256C288 273.7 273.7 288 256 288H96C78.33 288 64 273.7 64 256V96C64 78.33 78.33 64 96 64H256C273.7 64 288 78.33 288 96V256zM256 112C256 103.2 248.8 96 240 96H112C103.2 96 96 103.2 96 112V240C96 248.8 103.2 256 112 256H240C248.8 256 256 248.8 256 240V112zM64 352C28.65 352 0 323.3 0 288V64C0 28.65 28.65 0 64 0H288C323.3 0 352 28.65 352 64V288C352 323.3 323.3 352 288 352H64zM64 320H288C305.7 320 320 305.7 320 288V64C320 46.33 305.7 32 288 32H64C46.33 32 32 46.33 32 64V288C32 305.7 46.33 320 64 320z"],
    "bring-front": [640, 512, [], "f857", "M32 64V192C32 209.7 46.33 224 64 224H112C120.8 224 128 231.2 128 240C128 248.8 120.8 256 112 256H64C28.65 256 0 227.3 0 192V64C0 28.65 28.65 0 64 0H192C221.9 0 246.1 20.48 254 48.16C256.2 56.73 248.8 64 240 64C231.2 64 224.3 56.41 220.1 48.66C214.7 38.73 204.1 32 192 32H64C46.33 32 32 46.33 32 64zM448 512C418.1 512 393 491.5 385.1 463.8C383.8 455.3 391.2 448 400 448C408.8 448 415.7 455.6 419.9 463.3C425.3 473.3 435.9 480 448 480H576C593.7 480 608 465.7 608 448V320C608 302.3 593.7 288 576 288H528C519.2 288 512 280.8 512 272C512 263.2 519.2 256 528 256H576C611.3 256 640 284.7 640 320V448C640 483.3 611.3 512 576 512H448zM224 192C224 174.3 238.3 160 256 160H384C401.7 160 416 174.3 416 192V320C416 337.7 401.7 352 384 352H256C238.3 352 224 337.7 224 320V192zM256 304C256 312.8 263.2 320 272 320H368C376.8 320 384 312.8 384 304V208C384 199.2 376.8 192 368 192H272C263.2 192 256 199.2 256 208V304zM416 96C451.3 96 480 124.7 480 160V352C480 387.3 451.3 416 416 416H224C188.7 416 160 387.3 160 352V160C160 124.7 188.7 96 224 96H416zM416 128H224C206.3 128 192 142.3 192 160V352C192 369.7 206.3 384 224 384H416C433.7 384 448 369.7 448 352V160C448 142.3 433.7 128 416 128z"],
    "broccoli": [512, 512, [129382], "e3e2", "M448.6 154.3C450.8 147.2 452 139.8 452 132.4c0-40.91-34.09-74.17-76-74.17c-7.875 0-15.66 1.203-23.09 3.547C336.3 24.61 298.8 0 256 0S175.7 24.61 159.1 61.73C151.7 59.39 143.9 58.19 136 58.19c-41.91 0-76 33.27-76 74.17c0 7.484 1.156 14.86 3.438 21.92C25.28 170.4 0 206.1 0 248.7c0 56.36 46.64 102.2 104.3 103.1C185.9 454.1 162.1 512 192 512c8.148 0 16.01-6.535 16.01-15.1c0-7.568-16.31-75.65-63.87-144h50.39C244.5 421.9 236.2 442.7 256 442.7c19.8 0 11.48-20.85 61.47-90.72h50.37c-47.35 68.04-63.85 136.6-63.85 144C303.1 505.6 311.9 512 320 512c29.29 0 6.226-56.19 87.68-160.2C465.3 350.9 512 305.1 512 248.7C512 206.1 486.7 170.4 448.6 154.3zM256 390.6C248.1 375.8 240.4 363 233.2 352h45.51C271.6 363 263.9 375.8 256 390.6zM405.1 320h-2.029c-1.286-.331-2.572-.4908-3.846-.4908c-1.305 0-2.599 .1676-3.868 .4908H105.1C65.19 320 32 288 32 248.7C32 215.5 55.53 187.1 89.19 179.5c7.145-1.602 12.5-7.94 12.5-15.57c0-10.02-9.686-13.35-9.686-31.57c0-23.25 19.75-42.17 44-42.17c18.96 0 22.9 9.373 32.47 9.373c7.591 0 13.93-5.231 15.59-12.28C191.8 54.73 221.4 32 256 32s64.16 22.73 71.94 55.28c1.692 7.147 8.135 12.3 15.6 12.3c9.549 0 13.43-9.391 32.47-9.391c24.25 0 44 18.92 44 42.17c0 18.19-9.686 21.56-9.686 31.57c0 7.62 5.342 13.97 12.5 15.57C456.5 187.1 480 215.5 480 248.7C480 288 446.8 320 405.1 320z"],
    "broom": [640, 512, [129529], "f51a", "M636.5 5.99c-5.531-6.857-15.53-8.014-22.5-2.5l-232.1 185.6l-40.4-51.22c0-.0156 .0313 .0156 0 0C329.7 123 305.7 124.1 297.1 143.2L273.5 194.5C270.1 199.1 271.7 206.4 275.5 211.1l80.99 102.7c1.143 1.451 6.902 7.791 15.91 5.732l54.71-11.71c18.95-3.887 27.43-26.48 15.31-42.03l-40.65-51.54l232.3-185.8C640.9 22.95 641.1 12.89 636.5 5.99zM411.6 278.4L375.4 286.2l-68.78-87.21l15.59-33.88L411.6 278.4zM304.2 332.1C304.1 332.1 289.8 415.1 242.3 452.1c-35.5 27.6-148.6 29.29-207.2 27.1c1.375-6.982 3.188-15.7 5.406-25.55l81.21-94.08c14.36-16.65-3.072-40.96-23.37-33.71L78.22 333c12.15-26.58 22.69-38.97 30.09-44.73c47.62-37.04 132.9-32.21 133.9-32.15c21.71 .5098 22.61-30.62 2.031-31.93C240.1 223.1 145.1 218.5 88.69 263c-19.65 15.24-37.15 45.22-53.53 91.61c-4.457 12.59 7.736 24.9 20.47 20.4l15.12-5.389l-57.09 66.1c-1.688 1.969-2.875 4.328-3.469 6.857c-6.562 28.51-9.938 49.05-9.938 49.05c-1.994 11.84 8.104 18.12 14.75 18.56C21.44 510.6 44.72 512 74.97 512c60.68 0 149.5-5.42 187-34.66c57.4-44.75 73.18-136.1 73.81-139.9C339.2 316.6 307.8 311.1 304.2 332.1z"],
    "broom-ball": [640, 512, ["quidditch", "quidditch-broom-ball"], "f458", "M495.1 351.1c-44.13 0-79.1 35.92-79.1 79.91s35.87 80.09 79.1 80.09s79.1-36.1 79.1-80.09S540.2 351.1 495.1 351.1zM496 479.5c-26.5 0-48-21.43-48-47.85s21.5-47.85 48-47.85s48 21.43 48 47.85S522.5 479.5 496 479.5zM304.2 332.1C304.1 332.1 289.8 415.1 242.3 452.1c-35.5 27.6-148.6 29.29-207.2 27.1c1.375-6.98 3.188-15.7 5.406-25.55l81.21-94.08c14.36-16.64-3.072-40.96-23.37-33.71l-20.12 7.168c12.15-26.58 22.69-38.97 30.09-44.73c47.62-37.03 132.9-32.21 133.9-32.14c21.71 .5117 22.61-30.61 2.031-31.93C240.1 224 145.1 218.5 88.69 263c-19.65 15.25-37.15 45.22-53.53 91.61c-4.457 12.59 7.736 24.89 20.47 20.4l15.12-5.387l-57.09 66.1c-1.688 1.969-2.875 4.328-3.469 6.859c-6.562 28.51-9.938 49.05-9.938 49.05c-1.994 11.84 8.104 18.12 14.75 18.55C21.44 510.6 44.72 512 74.97 512c60.68 0 149.5-5.422 187-34.66c57.4-44.75 73.18-136.1 73.81-139.9C339.2 316.6 307.8 311.1 304.2 332.1zM636.5 5.992c-5.531-6.859-15.53-8.016-22.5-2.5L381.9 189.1l-40.4-51.23c0-.0156 .0313 .0156 0 0c-11.8-14.84-35.84-12.91-44.47 5.359L273.5 194.5C270.1 199.1 271.7 206.4 275.5 211.1l80.99 102.7c1.143 1.453 6.902 7.789 15.91 5.734l54.71-11.72c18.95-3.883 27.43-26.48 15.31-42.03l-40.65-51.54l232.3-185.8C640.9 22.95 641.1 12.89 636.5 5.992zM411.6 278.4L375.4 286.2l-68.78-87.2l15.59-33.88L411.6 278.4z"],
    "browser": [512, 512, [128468], "f37e", "M0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM160 128H480V96C480 78.33 465.7 64 448 64H160V128zM128 64H64C46.33 64 32 78.33 32 96V128H128V64zM32 160V416C32 433.7 46.33 448 64 448H448C465.7 448 480 433.7 480 416V160H32z"],
    "browsers": [576, 512, [], "e0cb", "M512 0C547.3 0 576 28.65 576 64V352C576 387.3 547.3 416 512 416H160C124.7 416 96 387.3 96 352V64C96 28.65 124.7 0 160 0H512zM512 32H256V96H544V64C544 46.33 529.7 32 512 32zM128 64V96H224V32H160C142.3 32 128 46.33 128 64zM160 384H512C529.7 384 544 369.7 544 352V128H128V352C128 369.7 142.3 384 160 384zM32 384C32 437 74.98 480 128 480H464C472.8 480 480 487.2 480 496C480 504.8 472.8 512 464 512H128C57.31 512 0 454.7 0 384V112C0 103.2 7.164 96 16 96C24.84 96 32 103.2 32 112V384z"],
    "brush": [384, 512, [], "f55d", "M0 304V64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V304C384 348.2 348.2 384 304 384H256V448C256 483.3 227.3 512 192 512C156.7 512 128 483.3 128 448V384H80C35.82 384 0 348.2 0 304zM304 352C330.5 352 352 330.5 352 304V288H32V304C32 330.5 53.49 352 80 352H160V448C160 465.7 174.3 480 192 480C209.7 480 224 465.7 224 448V352H304zM352 64C352 46.33 337.7 32 320 32H224V112C224 120.8 216.8 128 208 128C199.2 128 192 120.8 192 112V32H128V144C128 152.8 120.8 160 112 160C103.2 160 96 152.8 96 144V32H64C46.33 32 32 46.33 32 64V256H352V64z"],
    "bucket": [448, 512, [], "e4cf", "M80 160C71.16 160 64 152.8 64 144C64 64.47 128.5 0 208 0H240C319.5 0 384 64.47 384 144C384 152.8 376.8 160 368 160C359.2 160 352 152.8 352 144C352 82.14 301.9 32 240 32H208C146.1 32 96 82.14 96 144C96 152.8 88.84 160 80 160zM.0003 208C.0003 199.2 7.164 192 16 192H432C440.8 192 448 199.2 448 208C448 216.8 440.8 224 432 224H420L389.3 469.1C386.3 493.1 365.8 512 341.6 512H106.4C82.17 512 61.75 493.1 58.74 469.1L28 224H16C7.164 224 0 216.8 0 208H.0003zM90.5 465.1C91.5 473.1 98.3 480 106.4 480H341.6C349.7 480 356.5 473.1 357.5 465.1L387.8 224H60.25L90.5 465.1z"],
    "bug": [512, 512, [], "f188", "M160 96C160 42.98 202.1 0 256 0C309 0 352 42.98 352 96V99.56C352 115.3 339.3 128 323.6 128H188.4C172.7 128 160 115.3 160 99.56V96zM192 96H320C320 60.65 291.3 32 256 32C220.7 32 192 60.65 192 96zM36.69 100.7C42.93 94.44 53.07 94.44 59.31 100.7L138.6 180C155.8 167.4 177.1 160 200 160H312C334.9 160 356.2 167.4 373.4 180L452.7 100.7C458.9 94.44 469.1 94.44 475.3 100.7C481.6 106.9 481.6 117.1 475.3 123.3L395.1 202.6C408.6 219.8 416 241.1 416 264V272H496C504.8 272 512 279.2 512 288C512 296.8 504.8 304 496 304H416V320C416 350.2 407.6 378.4 393.1 402.5L475.3 484.7C481.6 490.9 481.6 501.1 475.3 507.3C469.1 513.6 458.9 513.6 452.7 507.3L373.7 428.4C344.5 460.1 302.6 480 256 480C209.4 480 167.5 460.1 138.3 428.4L59.31 507.3C53.07 513.6 42.94 513.6 36.69 507.3C30.44 501.1 30.44 490.9 36.69 484.7L118.9 402.5C104.4 378.4 96 350.2 96 319.1V303.1H16C7.164 303.1 0 296.8 0 287.1C0 279.2 7.164 271.1 16 271.1H96V263.1C96 241.1 103.4 219.8 116 202.6L36.69 123.3C30.44 117.1 30.44 106.9 36.69 100.7V100.7zM128 320C128 385.3 176.9 439.1 240 447V256C240 247.2 247.2 240 256 240C264.8 240 272 247.2 272 256V447C335.1 439.1 384 385.3 384 320V264C384 224.2 351.8 192 312 192H200C160.2 192 128 224.2 128 264V320z"],
    "bug-slash": [640, 512, [], "e490", "M633.9 483.4C640.9 488.9 642 498.1 636.6 505.9C631.1 512.9 621 514 614.1 508.6L6.086 28.56C-.8493 23.08-2.033 13.02 3.443 6.086C8.918-.8493 18.98-2.033 25.91 3.443L633.9 483.4zM560 304H484.1L448 275.5V264C448 224.2 415.8 192 376 192H342.2L301.7 160H376C398.9 160 420.2 167.4 437.4 180L516.7 100.7C522.9 94.44 533.1 94.44 539.3 100.7C545.6 106.9 545.6 117.1 539.3 123.3L459.1 202.6C472.6 219.8 480 241.1 480 264V272H560C568.8 272 576 279.2 576 288C576 296.8 568.8 304 560 304H560zM411.4 409.7L436.6 429.6C407.4 460.6 365.1 480 320 480C273.4 480 231.5 460.1 202.3 428.4L123.3 507.3C117.1 513.6 106.9 513.6 100.7 507.3C94.44 501.1 94.44 490.9 100.7 484.7L182.9 402.5C168.4 378.4 160 350.2 160 320V304H80C71.16 304 64 296.8 64 288C64 279.2 71.16 272 80 272H160V264C160 247.1 163.6 232.8 170.1 219.2L196.2 239.8C193.5 247.4 192 255.5 192 264V320C192 385.3 240.9 439.1 304 447V324.9L336 350.2V447C365.4 443.3 391.6 429.7 411.4 409.7V409.7zM224 96C224 42.98 266.1 .0006 320 .0006C373 .0006 416 42.98 416 96V99.56C416 115.3 403.3 128 387.6 128H261.2L224 98.67V96zM256 96H384C384 60.65 355.3 32 320 32C284.7 32 256 60.65 256 96z"],
    "bugs": [576, 512, [], "e4d0", "M187.4 136H218.9L224.3 108.9C226 100.2 234.5 94.58 243.1 96.31C251.8 98.05 257.4 106.5 255.7 115.1L247.7 155.1C246.2 162.6 239.6 168 232 168H192V217.8L237.1 232.8C242.8 234.7 246.1 239.7 247.8 245.7L255.8 301.7C257.1 310.5 251 318.6 242.3 319.8C233.5 321.1 225.4 315 224.2 306.3L217.6 260.1L186.6 249.7C176.7 272.3 154.2 288 128 288C101.8 288 79.3 272.3 69.39 249.7L38.44 260.1L31.84 306.3C30.59 315 22.49 321.1 13.74 319.8C4.993 318.6-1.086 310.5 .1642 301.7L8.164 245.7C9.021 239.7 13.19 234.7 18.94 232.8L64 217.8V168H24C16.38 168 9.81 162.6 8.314 155.1L.3139 115.1C-1.419 106.5 4.2 98.05 12.87 96.31C21.53 94.58 29.96 100.2 31.69 108.9L37.12 136H68.66C74.5 121.6 85.45 109.8 99.27 102.8L65.26 22.23C61.83 14.08 65.64 4.7 73.78 1.264C81.92-2.173 91.31 1.641 94.74 9.782L128 88.58L161.3 9.782C164.7 1.641 174.1-2.173 182.2 1.264C190.4 4.7 194.2 14.09 190.7 22.23L156.7 102.8C170.6 109.8 181.5 121.6 187.4 136L187.4 136zM160 224V160C160 142.3 145.7 128 128 128C110.3 128 96 142.3 96 160V224C96 241.7 110.3 256 128 256C145.7 256 160 241.7 160 224zM502.3 323.5L529.6 339.2L547.8 318.4C553.7 311.8 563.8 311.2 570.4 316.1C577.1 322.8 577.7 332.9 571.9 339.6L544.9 370.2C539.9 375.9 531.5 377.3 524.9 373.5L490.3 353.5L465.4 396.6L496.9 432.2C500.9 436.7 502 443.1 499.8 448.7L478.7 501.2C475.4 509.4 466.1 513.4 457.9 510.1C449.7 506.8 445.7 497.5 449 489.3L466.4 446L444.8 421.6C424.9 436.2 397.5 438.5 374.9 425.4C352.2 412.3 340.5 387.4 343.2 362.1L311.3 356.4L282.5 393.2C276.1 400.1 266.9 401.3 259.1 395.9C253 390.4 251.8 380.4 257.3 373.4L292.2 328.9C295.9 324.1 302.1 321.9 308 323.1L354.5 332.6L379.4 289.5L344.8 269.5C338.2 265.7 335.2 257.7 337.6 250.5L350.7 211.9C353.5 203.5 362.6 199 370.1 201.8C379.4 204.7 383.9 213.8 381 222.1L372.2 248.3L399.5 264.1C411.7 254.5 427.1 249.8 442.6 250.7L453.4 163.9C454.5 155.1 462.5 148.9 471.3 149.1C480 151.1 486.3 159.1 485.2 167.8L474.6 252.7L542.8 201.1C549.8 195.8 559.9 197.2 565.2 204.2C570.5 211.3 569.1 221.3 562.1 226.6L492.3 279.4C500.8 292.3 504.4 308 502.3 323.5L502.3 323.5zM434.6 386L466.6 330.6C475.4 315.3 470.2 295.7 454.9 286.9C439.6 278 419.1 283.3 411.1 298.6L379.1 354C370.3 369.3 375.6 388.9 390.9 397.7C406.2 406.6 425.7 401.3 434.6 386z"],
    "building": [384, 512, [61687, 127970], "f1ad", "M64 120C64 106.7 74.75 96 88 96H136C149.3 96 160 106.7 160 120V168C160 181.3 149.3 192 136 192H88C74.75 192 64 181.3 64 168V120zM96 128V160H128V128H96zM296 96C309.3 96 320 106.7 320 120V168C320 181.3 309.3 192 296 192H248C234.7 192 224 181.3 224 168V120C224 106.7 234.7 96 248 96H296zM288 160V128H256V160H288zM64 248C64 234.7 74.75 224 88 224H136C149.3 224 160 234.7 160 248V296C160 309.3 149.3 320 136 320H88C74.75 320 64 309.3 64 296V248zM96 256V288H128V256H96zM296 224C309.3 224 320 234.7 320 248V296C320 309.3 309.3 320 296 320H248C234.7 320 224 309.3 224 296V248C224 234.7 234.7 224 248 224H296zM288 288V256H256V288H288zM64 512C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V448C384 483.3 355.3 512 320 512H64zM32 64V448C32 465.7 46.33 480 64 480H128V416C128 380.7 156.7 352 192 352C227.3 352 256 380.7 256 416V480H320C337.7 480 352 465.7 352 448V64C352 46.33 337.7 32 320 32H64C46.33 32 32 46.33 32 64zM224 416C224 398.3 209.7 384 192 384C174.3 384 160 398.3 160 416V480H224V416z"],
    "building-circle-arrow-right": [640, 512, [], "e4d1", "M32 64V448C32 465.7 46.33 480 64 480H128V416C128 380.7 156.7 352 192 352C227.3 352 256 380.7 256 416V480H320C332.1 480 342.6 473.3 348.1 463.4C354.1 472.7 361 481.5 368.7 489.5C356.1 503.3 339.5 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V232.2C371.9 242.3 361.1 253.9 352 266.8V64C352 46.33 337.7 32 320 32H64C46.33 32 32 46.33 32 64V64zM224 416C224 398.3 209.7 384 192 384C174.3 384 160 398.3 160 416V480H224V416zM64 120C64 106.7 74.75 96 88 96H136C149.3 96 160 106.7 160 120V168C160 181.3 149.3 192 136 192H88C74.75 192 64 181.3 64 168V120zM96 128V160H128V128H96zM296 96C309.3 96 320 106.7 320 120V168C320 181.3 309.3 192 296 192H248C234.7 192 224 181.3 224 168V120C224 106.7 234.7 96 248 96H296zM288 160V128H256V160H288zM64 248C64 234.7 74.75 224 88 224H136C149.3 224 160 234.7 160 248V296C160 309.3 149.3 320 136 320H88C74.75 320 64 309.3 64 296V248zM96 256V288H128V256H96zM296 224C309.3 224 320 234.7 320 248V296C320 309.3 309.3 320 296 320H248C234.7 320 224 309.3 224 296V248C224 234.7 234.7 224 248 224H296zM288 288V256H256V288H288zM492.7 300.7C498.9 294.4 509.1 294.4 515.3 300.7L571.3 356.7C577.6 362.9 577.6 373.1 571.3 379.3L515.3 435.3C509.1 441.6 498.9 441.6 492.7 435.3C486.4 429.1 486.4 418.9 492.7 412.7L521.4 384H432C423.2 384 416 376.8 416 368C416 359.2 423.2 352 432 352H521.4L492.7 323.3C486.4 317.1 486.4 306.9 492.7 300.7V300.7zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 480C557.9 480 608 429.9 608 368C608 306.1 557.9 256 496 256C434.1 256 384 306.1 384 368C384 429.9 434.1 480 496 480z"],
    "building-circle-check": [640, 512, [], "e4d2", "M32 64V448C32 465.7 46.33 480 64 480H128V416C128 380.7 156.7 352 192 352C227.3 352 256 380.7 256 416V480H320C332.1 480 342.6 473.3 348.1 463.4C354.1 472.7 361 481.5 368.7 489.5C356.1 503.3 339.5 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V232.2C371.9 242.3 361.1 253.9 352 266.8V64C352 46.33 337.7 32 320 32H64C46.33 32 32 46.33 32 64V64zM224 416C224 398.3 209.7 384 192 384C174.3 384 160 398.3 160 416V480H224V416zM64 120C64 106.7 74.75 96 88 96H136C149.3 96 160 106.7 160 120V168C160 181.3 149.3 192 136 192H88C74.75 192 64 181.3 64 168V120zM96 128V160H128V128H96zM296 96C309.3 96 320 106.7 320 120V168C320 181.3 309.3 192 296 192H248C234.7 192 224 181.3 224 168V120C224 106.7 234.7 96 248 96H296zM288 160V128H256V160H288zM64 248C64 234.7 74.75 224 88 224H136C149.3 224 160 234.7 160 248V296C160 309.3 149.3 320 136 320H88C74.75 320 64 309.3 64 296V248zM96 256V288H128V256H96zM296 224C309.3 224 320 234.7 320 248V296C320 309.3 309.3 320 296 320H248C234.7 320 224 309.3 224 296V248C224 234.7 234.7 224 248 224H296zM288 288V256H256V288H288zM563.3 324.7C569.6 330.9 569.6 341.1 563.3 347.3L491.3 419.3C485.1 425.6 474.9 425.6 468.7 419.3L428.7 379.3C422.4 373.1 422.4 362.9 428.7 356.7C434.9 350.4 445.1 350.4 451.3 356.7L480 385.4L540.7 324.7C546.9 318.4 557.1 318.4 563.3 324.7H563.3zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 480C557.9 480 608 429.9 608 368C608 306.1 557.9 256 496 256C434.1 256 384 306.1 384 368C384 429.9 434.1 480 496 480z"],
    "building-circle-exclamation": [640, 512, [], "e4d3", "M32 64V448C32 465.7 46.33 480 64 480H128V416C128 380.7 156.7 352 192 352C227.3 352 256 380.7 256 416V480H320C332.1 480 342.6 473.3 348.1 463.4C354.1 472.7 361 481.5 368.7 489.5C356.1 503.3 339.5 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V232.2C371.9 242.3 361.1 253.9 352 266.8V64C352 46.33 337.7 32 320 32H64C46.33 32 32 46.33 32 64V64zM224 416C224 398.3 209.7 384 192 384C174.3 384 160 398.3 160 416V480H224V416zM64 120C64 106.7 74.75 96 88 96H136C149.3 96 160 106.7 160 120V168C160 181.3 149.3 192 136 192H88C74.75 192 64 181.3 64 168V120zM96 128V160H128V128H96zM296 96C309.3 96 320 106.7 320 120V168C320 181.3 309.3 192 296 192H248C234.7 192 224 181.3 224 168V120C224 106.7 234.7 96 248 96H296zM288 160V128H256V160H288zM64 248C64 234.7 74.75 224 88 224H136C149.3 224 160 234.7 160 248V296C160 309.3 149.3 320 136 320H88C74.75 320 64 309.3 64 296V248zM96 256V288H128V256H96zM296 224C309.3 224 320 234.7 320 248V296C320 309.3 309.3 320 296 320H248C234.7 320 224 309.3 224 296V248C224 234.7 234.7 224 248 224H296zM288 288V256H256V288H288zM472 424C472 410.7 482.7 400 496 400C509.3 400 520 410.7 520 424C520 437.3 509.3 448 496 448C482.7 448 472 437.3 472 424zM495.1 288C504.8 288 511.1 295.2 511.1 304V368C511.1 376.8 504.8 384 495.1 384C487.2 384 479.1 376.8 479.1 368V304C479.1 295.2 487.2 288 495.1 288zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 256C434.1 256 384 306.1 384 368C384 429.9 434.1 480 496 480C557.9 480 608 429.9 608 368C608 306.1 557.9 256 496 256z"],
    "building-circle-xmark": [640, 512, [], "e4d4", "M32 64V448C32 465.7 46.33 480 64 480H128V416C128 380.7 156.7 352 192 352C227.3 352 256 380.7 256 416V480H320C332.1 480 342.6 473.3 348.1 463.4C354.1 472.7 361 481.5 368.7 489.5C356.1 503.3 339.5 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V232.2C371.9 242.3 361.1 253.9 352 266.8V64C352 46.33 337.7 32 320 32H64C46.33 32 32 46.33 32 64V64zM224 416C224 398.3 209.7 384 192 384C174.3 384 160 398.3 160 416V480H224V416zM64 120C64 106.7 74.75 96 88 96H136C149.3 96 160 106.7 160 120V168C160 181.3 149.3 192 136 192H88C74.75 192 64 181.3 64 168V120zM96 128V160H128V128H96zM296 96C309.3 96 320 106.7 320 120V168C320 181.3 309.3 192 296 192H248C234.7 192 224 181.3 224 168V120C224 106.7 234.7 96 248 96H296zM288 160V128H256V160H288zM64 248C64 234.7 74.75 224 88 224H136C149.3 224 160 234.7 160 248V296C160 309.3 149.3 320 136 320H88C74.75 320 64 309.3 64 296V248zM96 256V288H128V256H96zM296 224C309.3 224 320 234.7 320 248V296C320 309.3 309.3 320 296 320H248C234.7 320 224 309.3 224 296V248C224 234.7 234.7 224 248 224H296zM288 288V256H256V288H288zM555.3 404.7C561.6 410.9 561.6 421.1 555.3 427.3C549.1 433.6 538.9 433.6 532.7 427.3L496 390.6L459.3 427.3C453.1 433.6 442.9 433.6 436.7 427.3C430.4 421.1 430.4 410.9 436.7 404.7L473.4 368L436.7 331.3C430.4 325.1 430.4 314.9 436.7 308.7C442.9 302.4 453.1 302.4 459.3 308.7L496 345.4L532.7 308.7C538.9 302.4 549.1 302.4 555.3 308.7C561.6 314.9 561.6 325.1 555.3 331.3L518.6 368L555.3 404.7zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 256C434.1 256 384 306.1 384 368C384 429.9 434.1 480 496 480C557.9 480 608 429.9 608 368C608 306.1 557.9 256 496 256z"],
    "building-columns": [512, 512, ["bank", "institution", "museum", "university"], "f19c", "M496.2 133.7C505.1 139.3 512 149.6 512 160.8C512 178 498 192 480.8 192H31.16C13.95 192 .0003 178 .0003 160.8C.0003 149.6 6.035 139.3 15.8 133.7L248.1 2.08C253-.6932 258.1-.6932 263.9 2.08L496.2 133.7zM477.7 160L256 34.39L34.34 160H205.4C201.9 152.7 200 144.6 200 136C200 105.1 225.1 80 256 80C286.9 80 312 105.1 312 136C312 144.6 310.1 152.7 306.6 160H477.7zM256 160C269.3 160 280 149.3 280 136C280 122.7 269.3 112 256 112C242.7 112 232 122.7 232 136C232 149.3 242.7 160 256 160zM64 224H96V352H176V224H208V352H304V224H336V352H416V224H448V352C456.8 352 464 359.2 464 368C464 376.8 456.8 384 448 384H64C55.16 384 48 376.8 48 368C48 359.2 55.16 352 64 352V224zM472 416C480.8 416 488 423.2 488 432C488 440.8 480.8 448 472 448H40C31.16 448 24 440.8 24 432C24 423.2 31.16 416 40 416H472zM496 480C504.8 480 512 487.2 512 496C512 504.8 504.8 512 496 512H16C7.164 512 0 504.8 0 496C0 487.2 7.164 480 16 480H496z"],
    "building-flag": [640, 512, [], "e4d5", "M64 120C64 106.7 74.75 96 88 96H136C149.3 96 160 106.7 160 120V168C160 181.3 149.3 192 136 192H88C74.75 192 64 181.3 64 168V120zM96 128V160H128V128H96zM296 96C309.3 96 320 106.7 320 120V168C320 181.3 309.3 192 296 192H248C234.7 192 224 181.3 224 168V120C224 106.7 234.7 96 248 96H296zM288 160V128H256V160H288zM64 248C64 234.7 74.75 224 88 224H136C149.3 224 160 234.7 160 248V296C160 309.3 149.3 320 136 320H88C74.75 320 64 309.3 64 296V248zM96 256V288H128V256H96zM296 224C309.3 224 320 234.7 320 248V296C320 309.3 309.3 320 296 320H248C234.7 320 224 309.3 224 296V248C224 234.7 234.7 224 248 224H296zM288 288V256H256V288H288zM64 512C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V448C384 483.3 355.3 512 320 512H64zM32 64V448C32 465.7 46.33 480 64 480H128V416C128 380.7 156.7 352 192 352C227.3 352 256 380.7 256 416V480H320C337.7 480 352 465.7 352 448V64C352 46.33 337.7 32 320 32H64C46.33 32 32 46.33 32 64zM224 416C224 398.3 209.7 384 192 384C174.3 384 160 398.3 160 416V480H224V416zM432 0C440.8 0 448 7.164 448 16V32H608C625.7 32 640 46.33 640 64V192C640 209.7 625.7 224 608 224H448V496C448 504.8 440.8 512 432 512C423.2 512 416 504.8 416 496V16C416 7.164 423.2 0 432 0zM448 192H608V64H448V192z"],
    "building-lock": [576, 512, [], "e4d6", "M32 64V448C32 465.7 46.33 480 64 480H128V416C128 380.7 156.7 352 192 352C227.3 352 256 380.7 256 416V480H320C320 491.4 323 502.2 328.3 511.5C325.6 511.8 322.8 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V193.6C364.2 213.8 352 241.5 352 272V64C352 46.33 337.7 32 320 32H64C46.33 32 32 46.33 32 64zM224 416C224 398.3 209.7 384 192 384C174.3 384 160 398.3 160 416V480H224V416zM64 120C64 106.7 74.75 96 88 96H136C149.3 96 160 106.7 160 120V168C160 181.3 149.3 192 136 192H88C74.75 192 64 181.3 64 168V120zM96 128V160H128V128H96zM296 96C309.3 96 320 106.7 320 120V168C320 181.3 309.3 192 296 192H248C234.7 192 224 181.3 224 168V120C224 106.7 234.7 96 248 96H296zM288 160V128H256V160H288zM64 248C64 234.7 74.75 224 88 224H136C149.3 224 160 234.7 160 248V296C160 309.3 149.3 320 136 320H88C74.75 320 64 309.3 64 296V248zM96 256V288H128V256H96zM296 224C309.3 224 320 234.7 320 248V296C320 309.3 309.3 320 296 320H248C234.7 320 224 309.3 224 296V248C224 234.7 234.7 224 248 224H296zM288 288V256H256V288H288zM464 192C508.2 192 544 227.8 544 272V320C561.7 320 576 334.3 576 352V480C576 497.7 561.7 512 544 512H384C366.3 512 352 497.7 352 480V352C352 334.3 366.3 320 384 320V272C384 227.8 419.8 192 464 192zM464 224C437.5 224 416 245.5 416 272V320H512V272C512 245.5 490.5 224 464 224zM544 352H384V480H544V352z"],
    "building-ngo": [384, 512, [], "e4d7", "M320 32H64C52.16 32 41.81 38.44 36.28 48H2.016C9.121 20.4 34.18 0 64 0H320C349.8 0 374.9 20.4 381.1 48H347.7C342.2 38.44 331.8 32 320 32zM0 240H32V448C32 465.7 46.33 480 64 480H128V416C128 380.7 156.7 352 192 352C227.3 352 256 380.7 256 416V480H320C337.7 480 352 465.7 352 448V240H384V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V240zM160 416V480H224V416C224 398.3 209.7 384 192 384C174.3 384 160 398.3 160 416zM216 80C224.8 80 232 87.16 232 96C232 104.8 224.8 112 216 112H184V176H200V160C200 151.2 207.2 144 216 144C224.8 144 232 151.2 232 160V184C232 197.3 221.3 208 208 208H176C162.7 208 152 197.3 152 184V96C152 87.16 159.2 80 168 80H216zM256 128C256 101.5 277.5 80 304 80C330.5 80 352 101.5 352 128V160C352 186.5 330.5 208 304 208C277.5 208 256 186.5 256 160V128zM304 112C295.2 112 288 119.2 288 128V160C288 168.8 295.2 176 304 176C312.8 176 320 168.8 320 160V128C320 119.2 312.8 112 304 112zM96 139.2V96C96 87.16 103.2 80 112 80C120.8 80 128 87.16 128 96V192C128 199.1 123.4 205.3 116.6 207.3C109.9 209.4 102.6 206.7 98.69 200.9L64 148.8V192C64 200.8 56.84 208 48 208C39.16 208 32 200.8 32 192V96C32 88.95 36.62 82.73 43.36 80.69C50.11 78.64 57.4 81.26 61.31 87.12L96 139.2zM208 264C208 250.7 218.7 240 232 240H280C293.3 240 304 250.7 304 264V312C304 325.3 293.3 336 280 336H232C218.7 336 208 325.3 208 312V264zM240 272V304H272V272H240zM152 240C165.3 240 176 250.7 176 264V312C176 325.3 165.3 336 152 336H104C90.75 336 80 325.3 80 312V264C80 250.7 90.75 240 104 240H152zM144 304V272H112V304H144z"],
    "building-shield": [576, 512, [], "e4d8", "M320 32H63.1C46.33 32 31.1 46.33 31.1 64V448C31.1 465.7 46.33 480 63.1 480H127.1V416C127.1 380.7 156.7 352 191.1 352C227.3 352 255.1 380.7 255.1 416V480H320C321.3 480 322.6 479.9 323.9 479.8C331.8 488.4 340.5 496.7 350.2 504.4C341.2 509.3 330.9 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V207L352 219.8V64C352 46.33 337.7 32 320 32H320zM159.1 416V480H223.1V416C223.1 398.3 209.7 384 191.1 384C174.3 384 159.1 398.3 159.1 416zM255.1 256V320H247.1C234.7 320 223.1 309.3 223.1 296V248C223.1 234.7 234.7 224 247.1 224H296C304.2 224 311.4 228.1 315.7 234.3L301.6 240H272C263.2 240 256 247.2 256 256H255.1zM135.1 96C149.3 96 159.1 106.7 159.1 120V168C159.1 181.3 149.3 192 135.1 192H87.1C74.74 192 63.1 181.3 63.1 168V120C63.1 106.7 74.74 96 87.1 96H135.1zM127.1 160V128H95.1V160H127.1zM223.1 120C223.1 106.7 234.7 96 247.1 96H296C309.3 96 320 106.7 320 120V168C320 181.3 309.3 192 296 192H247.1C234.7 192 223.1 181.3 223.1 168V120zM255.1 128V160H287.1V128H255.1zM135.1 224C149.3 224 159.1 234.7 159.1 248V296C159.1 309.3 149.3 320 135.1 320H87.1C74.74 320 63.1 309.3 63.1 296V248C63.1 234.7 74.74 224 87.1 224H135.1zM127.1 288V256H95.1V288H127.1zM560.9 273.7C570 277.4 576 286.2 576 296C576 359.3 550.1 464.8 441.2 510.2C435.3 512.6 428.7 512.6 422.8 510.2C313.9 464.8 287.1 359.3 287.1 296C287.1 286.2 293.1 277.4 303.1 273.7L423.1 225.7C428.8 223.4 435.2 223.4 440.9 225.7L560.9 273.7zM416 471.4V263L320.1 301.4C321.4 354.3 342.6 430.9 416 471.4V471.4zM448 263V471.4C521.4 430.9 542.6 354.3 543.9 301.4L448 263z"],
    "building-un": [384, 512, [], "e4d9", "M296 224C309.3 224 320 234.7 320 248V296C320 309.3 309.3 320 296 320H248C234.7 320 224 309.3 224 296V248C224 234.7 234.7 224 248 224H296zM288 288V256H256V288H288zM64 248C64 234.7 74.75 224 88 224H136C149.3 224 160 234.7 160 248V296C160 309.3 149.3 320 136 320H88C74.75 320 64 309.3 64 296V248zM96 256V288H128V256H96zM272 123.2V80C272 71.16 279.2 64 288 64C296.8 64 304 71.16 304 80V176C304 183.1 299.4 189.3 292.6 191.3C285.9 193.4 278.6 190.7 274.7 184.9L240 132.8V176C240 184.8 232.8 192 224 192C215.2 192 208 184.8 208 176V80C208 72.95 212.6 66.73 219.4 64.69C226.1 62.64 233.4 65.26 237.3 71.12L272 123.2zM112 144C112 152.8 119.2 160 128 160C136.8 160 144 152.8 144 144V80C144 71.16 151.2 64 160 64C168.8 64 176 71.16 176 80V144C176 170.5 154.5 192 128 192C101.5 192 80 170.5 80 144V80C80 71.16 87.16 64 96 64C104.8 64 112 71.16 112 80V144zM64 512C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V448C384 483.3 355.3 512 320 512H64zM32 64V448C32 465.7 46.33 480 64 480H128V416C128 380.7 156.7 352 192 352C227.3 352 256 380.7 256 416V480H320C337.7 480 352 465.7 352 448V64C352 46.33 337.7 32 320 32H64C46.33 32 32 46.33 32 64zM224 416C224 398.3 209.7 384 192 384C174.3 384 160 398.3 160 416V480H224V416z"],
    "building-user": [640, 512, [], "e4da", "M32 64V448C32 465.7 46.33 480 64 480H128V416C128 380.7 156.7 352 192 352C227.3 352 256 380.7 256 416V480H320.1C320.6 491.4 323.1 502.1 329.5 511.3C326.4 511.8 323.2 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V367.8C371.1 374.5 361.2 383.2 352 393.4V64C352 46.33 337.7 32 320 32H64C46.33 32 32 46.33 32 64V64zM224 416C224 398.3 209.7 384 192 384C174.3 384 160 398.3 160 416V480H224V416zM64 120C64 106.7 74.75 96 88 96H136C149.3 96 160 106.7 160 120V168C160 181.3 149.3 192 136 192H88C74.75 192 64 181.3 64 168V120zM96 128V160H128V128H96zM296 96C309.3 96 320 106.7 320 120V168C320 181.3 309.3 192 296 192H248C234.7 192 224 181.3 224 168V120C224 106.7 234.7 96 248 96H296zM288 160V128H256V160H288zM64 248C64 234.7 74.75 224 88 224H136C149.3 224 160 234.7 160 248V296C160 309.3 149.3 320 136 320H88C74.75 320 64 309.3 64 296V248zM96 256V288H128V256H96zM296 224C309.3 224 320 234.7 320 248V296C320 309.3 309.3 320 296 320H248C234.7 320 224 309.3 224 296V248C224 234.7 234.7 224 248 224H296zM288 288V256H256V288H288zM576 272C576 316.2 540.2 352 496 352C451.8 352 416 316.2 416 272C416 227.8 451.8 192 496 192C540.2 192 576 227.8 576 272zM496 224C469.5 224 448 245.5 448 272C448 298.5 469.5 320 496 320C522.5 320 544 298.5 544 272C544 245.5 522.5 224 496 224zM546.9 384C598.3 384 640 425.7 640 477.1C640 496.4 624.4 512 605.1 512H386.9C367.6 512 352 496.4 352 477.1C352 425.7 393.7 384 445.1 384H546.9zM386.9 480H605.1C606.7 480 608 478.7 608 477.1C608 443.4 580.6 416 546.9 416H445.1C411.4 416 384 443.4 384 477.1C384 478.7 385.3 480 386.9 480V480z"],
    "building-wheat": [640, 512, [], "e4db", "M136 96C149.3 96 160 106.7 160 120V168C160 181.3 149.3 192 136 192H88C74.75 192 64 181.3 64 168V120C64 106.7 74.75 96 88 96H136zM128 160V128H96V160H128zM224 120C224 106.7 234.7 96 248 96H296C309.3 96 320 106.7 320 120V168C320 181.3 309.3 192 296 192H248C234.7 192 224 181.3 224 168V120zM256 128V160H288V128H256zM136 224C149.3 224 160 234.7 160 248V296C160 309.3 149.3 320 136 320H88C74.75 320 64 309.3 64 296V248C64 234.7 74.75 224 88 224H136zM128 288V256H96V288H128zM224 248C224 234.7 234.7 224 248 224H296C309.3 224 320 234.7 320 248V296C320 309.3 309.3 320 296 320H248C234.7 320 224 309.3 224 296V248zM256 256V288H288V256H256zM0 448V64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448zM320 32H64C46.33 32 32 46.33 32 64V448C32 465.7 46.33 480 64 480H128V416C128 380.7 156.7 352 192 352C227.3 352 256 380.7 256 416V480H320C337.7 480 352 465.7 352 448V64C352 46.33 337.7 32 320 32zM160 416V480H224V416C224 398.3 209.7 384 192 384C174.3 384 160 398.3 160 416zM624 192C632.8 192 640 199.2 640 208V224C640 248.6 630.8 271 615.6 288H624C632.8 288 640 295.2 640 304V320C640 344.6 630.8 367 615.6 384H624C632.8 384 640 391.2 640 400V416C640 469 597 512 544 512H512C458.1 512 416 469 416 416V400C416 391.2 423.2 384 432 384H440.4C425.2 367 416 344.6 416 320V304C416 295.2 423.2 288 432 288H440.4C425.2 271 416 248.6 416 224V208C416 199.2 423.2 192 432 192H448C481.4 192 510.8 209 528 234.9C545.2 209 574.6 192 608 192H624zM544 288C579.3 288 608 259.3 608 224C572.7 224 544 252.7 544 288zM512 288C512 252.7 483.3 224 448 224C448 259.3 476.7 288 512 288zM519.6 320C522.6 323.4 525.4 327.1 528 330.9C530.6 327.1 533.4 323.4 536.4 320H519.6zM536.4 416H519.6C522.6 419.4 525.4 423.1 528 426.9C530.6 423.1 533.4 419.4 536.4 416H536.4zM608 320C572.7 320 544 348.7 544 383.1C579.3 383.1 608 355.3 608 320zM512 384C512 348.7 483.3 320 448 320C448 355.3 476.7 384 512 384zM544 480C579.3 480 608 451.3 608 416C572.7 416 544 444.7 544 480zM512 480C512 444.7 483.3 416 448 416C448 451.3 476.7 480 512 480zM528 32C536.8 32 544 39.16 544 48V160C544 168.8 536.8 176 528 176C519.2 176 512 168.8 512 160V48C512 39.16 519.2 32 528 32zM608 96V144C608 152.8 600.8 160 592 160C583.2 160 576 152.8 576 144V96C576 87.16 583.2 80 592 80C600.8 80 608 87.16 608 96zM448 144V96C448 87.16 455.2 80 464 80C472.8 80 480 87.16 480 96V144C480 152.8 472.8 160 464 160C455.2 160 448 152.8 448 144z"],
    "buildings": [512, 512, [], "e0cc", "M320 344C320 330.7 330.7 320 344 320H392C405.3 320 416 330.7 416 344V392C416 405.3 405.3 416 392 416H344C330.7 416 320 405.3 320 392V344zM384 384V352H352V384H384zM320 88C320 74.75 330.7 64 344 64H392C405.3 64 416 74.75 416 88V136C416 149.3 405.3 160 392 160H344C330.7 160 320 149.3 320 136V88zM352 96V128H384V96H352zM344 288C330.7 288 320 277.3 320 264V216C320 202.7 330.7 192 344 192H392C405.3 192 416 202.7 416 216V264C416 277.3 405.3 288 392 288H344zM352 224V256H384V224H352zM448 0C483.3 0 512 28.65 512 64V448C512 483.3 483.3 512 448 512H288C252.7 512 224 483.3 224 448V64C224 28.65 252.7 0 288 0H448zM448 32H288C270.3 32 256 46.33 256 64V448C256 465.7 270.3 480 288 480H448C465.7 480 480 465.7 480 448V64C480 46.33 465.7 32 448 32zM176 160H64C46.33 160 32 174.3 32 192V448C32 465.7 46.33 480 64 480H192C200.8 480 208 487.2 208 496C208 504.8 200.8 512 192 512H64C28.65 512 0 483.3 0 448V192C0 156.7 28.65 128 64 128H176C184.8 128 192 135.2 192 144C192 152.8 184.8 160 176 160zM136 320C149.3 320 160 330.7 160 344V392C160 405.3 149.3 416 136 416H88C74.75 416 64 405.3 64 392V344C64 330.7 74.75 320 88 320H136zM128 384V352H96V384H128zM136 192C149.3 192 160 202.7 160 216V264C160 277.3 149.3 288 136 288H88C74.75 288 64 277.3 64 264V216C64 202.7 74.75 192 88 192H136zM128 256V224H96V256H128z"],
    "bullhorn": [512, 512, [128363, 128226], "f0a1", "M378.1 16.72C403.8-9.531 448 8.069 448 44.23V435.8C448 471.9 403.8 489.5 378.1 463.3L355.1 438.1C311.8 392.4 254.1 363.3 192 355.4V456C192 486.9 166.9 512 136 512H120C89.07 512 64 486.9 64 456V352C28.65 352 0 323.3 0 287.1V191.1C0 156.7 28.65 127.1 64 127.1H143.6L172.8 126.4C242.1 122.5 307.4 92.28 355.1 41.86L378.1 16.72zM416 44.23C416 36.1 407.2 33.48 402.2 38.73L378.4 63.87C336.5 108 282.7 138.4 224 151.5V328.5C282.7 341.6 336.5 371.1 378.4 416.1L402.2 441.3C407.2 446.5 416 443 416 435.8L416 44.23zM192 323.1V156.9C186.2 157.5 180.4 158 174.5 158.3L144.4 159.1H64C46.33 159.1 32 174.3 32 191.1V287.1C32 305.7 46.33 319.1 64 319.1H144.4L174.5 321.7C180.4 321.1 186.2 322.5 192 323.1V323.1zM96 352V456C96 469.3 106.7 480 120 480H136C149.3 480 160 469.3 160 456V352.9L143.6 352H96zM496 191.1C504.8 191.1 512 199.2 512 207.1V271.1C512 280.8 504.8 287.1 496 287.1C487.2 287.1 480 280.8 480 271.1V207.1C480 199.2 487.2 191.1 496 191.1V191.1z"],
    "bullseye": [512, 512, [], "f140", "M192 256C192 220.7 220.7 192 256 192C291.3 192 320 220.7 320 256C320 291.3 291.3 320 256 320C220.7 320 192 291.3 192 256zM256 288C273.7 288 288 273.7 288 256C288 238.3 273.7 224 256 224C238.3 224 224 238.3 224 256C224 273.7 238.3 288 256 288zM96 256C96 167.6 167.6 96 256 96C344.4 96 416 167.6 416 256C416 344.4 344.4 416 256 416C167.6 416 96 344.4 96 256zM256 384C326.7 384 384 326.7 384 256C384 185.3 326.7 128 256 128C185.3 128 128 185.3 128 256C128 326.7 185.3 384 256 384zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "bullseye-arrow": [512, 512, [127919], "f648", "M300.9 32.58C299.8 33.64 298.6 34.73 297.5 35.84C284.1 33.32 270.2 32 256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 241.8 478.7 227.9 476.2 214.5C477.3 213.4 478.4 212.2 479.4 211.1L502.2 185.7C508.6 208 512 231.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C280.4 0 303.1 3.406 326.3 9.768L300.9 32.58zM275.5 105.2L279.7 130.2C272 128.8 264.1 127.1 255.1 127.1C185.3 127.1 127.1 185.3 127.1 255.1C127.1 326.7 185.3 384 255.1 384C326.7 384 384 326.7 384 255.1C384 247.9 383.2 239.1 381.8 232.3L406.8 236.5C409.5 236.9 412.2 237.2 414.9 237.4C415.6 243.5 416 249.7 416 255.1C416 344.4 344.4 416 256 416C167.6 416 96 344.4 96 255.1C96 167.6 167.6 95.1 256 95.1C262.3 95.1 268.5 96.36 274.6 97.07C274.8 99.78 275.1 102.5 275.5 105.2H275.5zM341.5 193.1L267.3 267.3C261.1 273.6 250.9 273.6 244.7 267.3C238.4 261.1 238.4 250.9 244.7 244.7L318.9 170.5L307.1 100.1C304.4 83.79 310.2 67.26 322.6 56.3L371.1 12.37C385.1 .7184 405.9 6.611 410.9 23.42L428.8 83.15L488.6 101.1C505.4 106.1 511.3 126.9 499.6 140L455.7 189.4C444.7 201.8 428.2 207.6 411.9 204.9L341.5 193.1zM369.3 165.3L417.2 173.3C422.6 174.2 428.1 172.3 431.8 168.2L467.4 128.1L420.6 114.1L369.3 165.3zM397.9 91.44L383.9 44.62L343.8 80.22C339.7 83.87 337.8 89.38 338.7 94.8L346.7 142.7L397.9 91.44z"],
    "bullseye-pointer": [512, 512, [], "f649", "M256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256C32 266.4 32.71 276.6 34.07 286.6L24.45 290.2C16.61 293 9.781 297.9 4.505 304.1C1.548 288.5 0 272.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C239.6 512 223.5 510.5 207.9 507.5C214.1 502.2 218.1 495.4 221.8 487.6L225.4 477.9C235.4 479.3 245.6 480 256 480V480zM260 383.9C328.9 381.8 384 325.3 384 256C384 185.3 326.7 128 256 128C186.7 128 130.2 183.1 128.1 251.1L96.18 263.7C96.06 261.2 95.1 258.6 95.1 255.1C95.1 167.6 167.6 95.1 255.1 95.1C344.4 95.1 416 167.6 416 255.1C416 344.4 344.4 416 255.1 416C253.4 416 250.8 415.9 248.3 415.8L260 383.9zM191.8 476.5C189.5 482.7 183.7 486.8 177.1 486.1C170.5 487.1 164.5 483.1 162 477.1L131.5 403.1L27.31 507.3C21.07 513.6 10.94 513.6 4.686 507.3C-1.562 501.1-1.562 490.9 4.686 484.7L108.9 380.5L34.95 349.1C28.85 347.5 24.92 341.5 25.04 334.9C25.17 328.3 29.32 322.5 35.51 320.2L250.5 240.1C256.3 238.8 262.9 240.3 267.3 244.7C271.7 249.1 273.2 255.7 271 261.5L191.8 476.5zM152 368.7L175.1 426.9L229 282.1L85.07 336L143.3 360C147.2 361.6 150.4 364.8 152 368.7L152 368.7z"],
    "burger": [512, 512, ["hamburger"], "f805", "M49.45 250.1C44.81 248.2 40.83 244.4 37.81 239.9C34.79 235.4 32.79 230.3 31.95 224.1C31.12 219.6 31.48 214.2 32.99 208.1C44.73 158.7 73.16 113.8 113.6 81.63C154.1 49.5 204.3 32.01 256 32.01C307.7 32.01 357.9 49.5 398.4 81.63C438.8 113.8 467.3 158.7 479 208.1C480.5 214.2 480.9 219.6 480 224.1C479.2 230.3 477.2 235.4 474.2 239.9C471.2 244.4 467.2 248.2 462.6 250.1C457.9 253.7 452.7 255.5 447.3 256H64.67C59.29 255.5 54.09 253.7 49.45 250.1zM133.6 106.3C98.73 133.9 74.3 172.5 64.29 215.8C63.87 217.3 63.82 218.8 64.14 220.3C64.46 221.8 65.13 223.2 66.11 224.4L447.3 224C447.8 221.3 447.1 218.5 447.7 215.8C437.7 172.5 413.3 133.9 378.5 106.3C343.6 78.75 300.4 63.82 256 64C211.6 63.82 168.4 78.75 133.6 106.3zM340.7 155.3C337.7 152.3 336 148.2 336 144C336 140.8 336.9 137.7 338.7 135.1C340.5 132.5 342.1 130.4 345.9 129.2C348.8 128 352 127.7 355.1 128.3C358.2 128.9 361.1 130.4 363.3 132.7C365.6 134.9 367.1 137.8 367.7 140.9C368.3 143.1 367.1 147.2 366.8 150.1C365.6 153 363.5 155.5 360.9 157.3C358.3 159.1 355.2 160 352 160C347.8 160 343.7 158.3 340.7 155.3V155.3zM244.7 123.3C241.7 120.3 240 116.2 240 112C240 108.8 240.9 105.7 242.7 103.1C244.5 100.5 246.1 98.43 249.9 97.22C252.8 96.01 256 95.69 259.1 96.31C262.2 96.93 265.1 98.45 267.3 100.7C269.6 102.9 271.1 105.8 271.7 108.9C272.3 111.1 271.1 115.2 270.8 118.1C269.6 121 267.5 123.5 264.9 125.3C262.3 127.1 259.2 128 256 128C251.8 128 247.7 126.3 244.7 123.3V123.3zM148.7 155.3C145.7 152.3 144 148.2 144 144C144 140.8 144.9 137.7 146.7 135.1C148.5 132.5 150.1 130.4 153.9 129.2C156.8 128 160 127.7 163.1 128.3C166.2 128.9 169.1 130.4 171.3 132.7C173.6 134.9 175.1 137.8 175.7 140.9C176.3 143.1 175.1 147.2 174.8 150.1C173.6 153 171.5 155.5 168.9 157.3C166.3 159.1 163.2 160 160 160C155.8 160 151.7 158.3 148.7 155.3L148.7 155.3zM475.3 356.7C478.3 359.7 480 363.8 480 368V416C480 432.1 473.3 449.3 461.3 461.3C449.3 473.3 432.1 480 416 480H96C79.03 480 62.75 473.3 50.75 461.3C38.74 449.3 32 432.1 32 416V368C32 363.8 33.69 359.7 36.69 356.7C39.69 353.7 43.76 352 48 352H464C468.2 352 472.3 353.7 475.3 356.7zM448 384H64V416C64 424.5 67.37 432.6 73.37 438.6C79.37 444.6 87.51 448 96 448H416C424.5 448 432.6 444.6 438.6 438.6C444.6 432.6 448 424.5 448 416V384zM491.3 292.7C494.3 295.7 496 299.8 496 304C496 308.2 494.3 312.3 491.3 315.3C488.3 318.3 484.2 320 480 320H32C27.76 320 23.69 318.3 20.69 315.3C17.69 312.3 16 308.2 16 304C16 299.8 17.69 295.7 20.69 292.7C23.69 289.7 27.76 288 32 288H480C484.2 288 488.3 289.7 491.3 292.7z"],
    "burger-cheese": [512, 512, [127828, "cheeseburger"], "f7f1", "M244.7 123.3C241.7 120.3 240 116.2 240 112C240 108.8 240.9 105.7 242.7 103.1C244.5 100.5 246.1 98.43 249.9 97.22C252.8 96.01 256 95.69 259.1 96.31C262.2 96.93 265.1 98.45 267.3 100.7C269.6 102.9 271.1 105.8 271.7 108.9C272.3 111.1 271.1 115.2 270.8 118.1C269.6 121 267.5 123.5 264.9 125.3C262.3 127.1 259.2 128 256 128C251.8 128 247.7 126.3 244.7 123.3V123.3zM340.7 155.3C337.7 152.3 336 148.2 336 144C336 140.8 336.9 137.7 338.7 135.1C340.5 132.5 342.1 130.4 345.9 129.2C348.8 128 352 127.7 355.1 128.3C358.2 128.9 361.1 130.4 363.3 132.7C365.6 134.9 367.1 137.8 367.7 140.9C368.3 143.1 367.1 147.2 366.8 150.1C365.6 153 363.5 155.5 360.9 157.3C358.3 159.1 355.2 160 352 160C347.8 160 343.7 158.3 340.7 155.3V155.3zM148.7 155.3C145.7 152.3 144 148.2 144 144C144 140.8 144.9 137.7 146.7 135.1C148.5 132.5 150.1 130.4 153.9 129.2C156.8 128 160 127.7 163.1 128.3C166.2 128.9 169.1 130.4 171.3 132.7C173.6 134.9 175.1 137.8 175.7 140.9C176.3 143.1 175.1 147.2 174.8 150.1C173.6 153 171.5 155.5 168.9 157.3C166.3 159.1 163.2 160 160 160C155.8 160 151.7 158.3 148.7 155.3L148.7 155.3zM491.3 292.7C494.3 295.7 496 299.8 496 304C496 308.2 494.3 312.3 491.3 315.3C488.3 318.3 484.2 320 480 320H420.2L328.9 381.3C326.3 383.1 323.2 384 320 384C316.8 383.1 313.8 383.1 311.1 381.3L219.2 320H32C27.76 320 23.69 318.3 20.69 315.3C17.69 312.3 16 308.2 16 304C16 299.8 17.69 295.7 20.69 292.7C23.69 289.7 27.76 288 32 288H224C227.2 288 230.2 288.9 232.9 290.7L320 348.8L406.4 290.7C409 288.9 412.1 287.1 415.3 288H480C484.2 288 488.3 289.7 491.3 292.7zM475.3 356.7C478.3 359.7 480 363.8 480 368V416C480 432.1 473.3 449.3 461.3 461.3C449.3 473.3 432.1 480 416 480H96C79.03 480 62.75 473.3 50.75 461.3C38.74 449.3 32 432.1 32 416V368C32 363.8 33.69 359.7 36.69 356.7C39.69 353.7 43.76 352 48 352H209.5L257.5 384H64V416C64 424.5 67.37 432.6 73.37 438.6C79.37 444.6 87.51 448 96 448H416C424.5 448 432.6 444.6 438.6 438.6C444.6 432.6 448 424.5 448 416V384H382.3L429.1 352H464C468.2 352 472.3 353.7 475.3 356.7zM49.45 250.1C44.81 248.2 40.83 244.4 37.81 239.9C34.79 235.4 32.79 230.3 31.95 224.1C31.12 219.6 31.48 214.2 32.99 208.1C44.73 158.7 73.16 113.8 113.6 81.63C154.1 49.5 204.3 32.01 256 32.01C307.7 32.01 357.9 49.5 398.4 81.63C438.8 113.8 467.3 158.7 479 208.1C480.5 214.2 480.9 219.6 480 224.1C479.2 230.3 477.2 235.4 474.2 239.9C471.2 244.4 467.2 248.2 462.6 250.1C457.9 253.7 452.7 255.5 447.3 256H64.67C59.29 255.5 54.09 253.7 49.45 250.1zM133.6 106.3C98.73 133.9 74.3 172.5 64.29 215.8C63.87 217.3 63.82 218.8 64.14 220.3C64.46 221.8 65.13 223.2 66.11 224.4L447.3 224C447.8 221.3 447.1 218.5 447.7 215.8C437.7 172.5 413.3 133.9 378.5 106.3C343.6 78.75 300.4 63.82 256 64C211.6 63.82 168.4 78.75 133.6 106.3z"],
    "burger-fries": [640, 512, [], "e0cd", "M148.7 267.3C145.7 264.3 144 260.2 144 255.1V31.1C144 26.55 145.4 21.2 148.1 16.45C150.7 11.69 154.6 7.698 159.2 4.836C163.8 1.975 169.1 .3433 174.5 .0956C179.1-.1521 185.4 .9929 190.3 3.421L222.3 19.42C227.6 22.05 232.1 26.12 235.2 31.17C238.4 36.23 240 42.05 240 47.1V255.1C240 260.2 238.3 264.3 235.3 267.3C232.3 270.3 228.2 271.1 224 271.1C219.8 271.1 215.7 270.3 212.7 267.3C209.7 264.3 208 260.2 208 255.1V47.1L176 31.1V255.1C176 260.2 174.3 264.3 171.3 267.3C168.3 270.3 164.2 271.1 160 271.1C155.8 271.1 151.7 270.3 148.7 267.3V267.3zM85.69 204.3C82.8 201.9 80.85 198.5 80.2 194.8L56.2 58.78C55.62 55.54 56.06 52.19 57.46 49.21C58.86 46.23 61.14 43.75 64 42.11L104.1 19.2C107.7 17.31 111.1 16.92 115.9 18.11C119.9 19.29 123.2 21.95 125.3 25.54C127.3 29.13 127.9 33.37 126.9 37.37C125.9 41.37 123.3 44.82 119.8 47.01L89.6 64.32L111.6 189.2C112.3 193.4 111.4 197.7 109 201.1C106.6 204.6 102.9 206.1 98.79 207.8C97.87 207.9 96.94 208 96 207.1C92.23 208 88.58 206.7 85.69 204.3zM266.9 63.04C262.9 61.7 259.6 58.81 257.7 55.02C255.8 51.22 255.4 46.82 256.8 42.8C258.1 38.77 261 35.44 264.8 33.54C268.6 31.64 273 31.33 277 32.67L325 48.67C328.9 49.94 332.1 52.64 334.1 56.2C335.1 59.77 336.5 63.94 335.5 67.87L303.5 195.9C302.6 199.3 300.6 202.4 297.8 204.6C295 206.8 291.6 207.1 288 207.1C286.7 208 285.3 207.8 284 207.5C279.9 206.5 276.4 203.9 274.2 200.2C272 196.6 271.4 192.2 272.4 188.1L300.8 74.53L266.9 63.2L266.9 63.04zM359.5 157.5C357.7 156.4 356.2 154.1 354.9 153.2C353.7 151.5 352.9 149.6 352.4 147.5C351.9 145.5 351.9 143.4 352.2 141.3L360 95.1C360.3 93.84 360.1 91.76 362 89.87C363.1 87.99 364.6 86.35 366.3 85.05C368.1 83.75 370.1 82.82 372.2 82.32C374.3 81.81 376.5 81.74 378.6 82.11C380.8 82.48 382.8 83.28 384.6 84.47C386.4 85.65 388 87.2 389.2 89.01C390.4 90.81 391.2 92.85 391.6 94.99C392 97.12 391.1 99.32 391.5 101.4L383.7 146.7C383.1 150.4 381.2 153.8 378.3 156.2C375.4 158.7 371.8 159.1 368 159.1C367.1 160 366.2 159.9 365.3 159.8C363.2 159.4 361.3 158.7 359.5 157.5L359.5 157.5zM22.38 188.4C19.53 186.1 17.57 182.8 16.84 179.2L.3232 99.2C-.5254 95.04 .3127 90.71 2.653 87.17C4.994 83.63 8.645 81.17 12.8 80.32C16.96 79.47 21.29 80.31 24.83 82.65C28.37 84.99 30.83 88.64 31.68 92.8L48.16 172.8C48.58 174.9 48.59 176.1 48.2 179C47.8 181.1 46.99 183.1 45.83 184.8C44.68 186.6 43.18 188.1 41.44 189.3C39.7 190.4 37.74 191.3 35.68 191.7C34.63 191.9 33.56 191.1 32.48 191.1C28.8 191.1 25.23 190.7 22.38 188.4H22.38zM624 415.3C624 415.5 624 415.8 624 415.1V459.1C623.1 473.8 618.5 486.1 608.8 496.7C599 506.5 585.8 511.1 572 511.1H324C310.2 511.1 297 506.5 287.3 496.7C277.5 486.1 272 473.8 272 459.1V415.1C272 415.8 272.1 415.5 272.2 415.3C261.8 404.8 255.1 390.7 255.1 376C255.1 361.3 261.8 347.2 272.2 336.7C272.1 336.5 272 336.2 272 335.1V295.1C272.2 283.5 274.1 271.3 280.1 259.9C285.1 248.5 292.5 238.3 301.6 229.8C341.9 194.2 393.1 175.1 447.7 175.1H448.4C502.1 175.1 554.2 194.3 594.4 229.8C603.5 238.3 610.9 248.5 615.9 259.9C621 271.3 623.8 283.5 624 295.1V335.1C624 336.2 624 336.5 624 336.7C634.3 347.2 640.1 361.3 640 375.1C640.1 390.7 634.3 404.8 624 415.3H624zM304 320.8C306.6 320.3 309.3 320.1 312 319.1H584C586.7 320.1 589.4 320.3 592 320.8V295.1C591.8 287.7 589.8 279.6 586.4 272.1C582.9 264.6 577.1 257.9 571.8 252.4C537.5 222.1 493.6 207.2 448.4 207.1H447.7C402.5 207.2 358.5 222.1 324.2 252.4C318 257.9 313.1 264.6 309.6 272.1C306.2 279.6 304.2 287.7 304 295.1V320.8zM592 431.2C589.4 431.7 586.7 431.9 584 431.1H312C309.3 431.9 306.6 431.7 304 431.2V459.1C304 465.3 306.1 470.4 309.9 474.1C313.6 477.9 318.7 479.1 324 479.1H572C577.3 479.1 582.4 477.9 586.1 474.1C589.9 470.4 592 465.3 592 459.1V431.2zM600.1 392.1C605.5 388.5 608 382.4 608 375.1C608 369.6 605.5 363.5 600.1 359C596.5 354.5 590.4 351.1 584 351.1H312C305.6 351.1 299.5 354.5 295 359C290.5 363.5 288 369.6 288 375.1C288 382.4 290.5 388.5 295 392.1C299.5 397.5 305.6 399.1 312 399.1H584C590.4 399.1 596.5 397.5 600.1 392.1zM356.7 283.3C353.7 280.3 352 276.2 352 271.1C352 268.8 352.9 265.7 354.7 263.1C356.5 260.5 358.1 258.4 361.9 257.2C364.8 256 368 255.7 371.1 256.3C374.2 256.9 377.1 258.4 379.3 260.7C381.6 262.9 383.1 265.8 383.7 268.9C384.3 271.1 383.1 275.2 382.8 278.1C381.6 281 379.5 283.5 376.9 285.3C374.3 287.1 371.2 287.1 368 287.1C363.8 287.1 359.7 286.3 356.7 283.3zM436.7 267.3C433.7 264.3 432 260.2 432 255.1C432 252.8 432.9 249.7 434.7 247.1C436.5 244.5 438.1 242.4 441.9 241.2C444.8 240 448 239.7 451.1 240.3C454.2 240.9 457.1 242.4 459.3 244.7C461.6 246.9 463.1 249.8 463.7 252.9C464.3 255.1 463.1 259.2 462.8 262.1C461.6 265 459.5 267.5 456.9 269.3C454.3 271.1 451.2 271.1 448 271.1C443.8 271.1 439.7 270.3 436.7 267.3zM516.7 283.3C513.7 280.3 512 276.2 512 271.1C512 268.8 512.9 265.7 514.7 263.1C516.5 260.5 518.1 258.4 521.9 257.2C524.8 256 528 255.7 531.1 256.3C534.2 256.9 537.1 258.4 539.3 260.7C541.6 262.9 543.1 265.8 543.7 268.9C544.3 271.1 543.1 275.2 542.8 278.1C541.6 281 539.5 283.5 536.9 285.3C534.3 287.1 531.2 287.1 528 287.1C523.8 287.1 519.7 286.3 516.7 283.3H516.7zM251.3 484.7C254.3 487.7 256 491.8 256 495.1C256 500.2 254.3 504.3 251.3 507.3C248.3 510.3 244.2 511.1 240 511.1H80C76.43 511.1 72.97 510.8 70.16 508.6C67.34 506.4 65.35 503.3 64.48 499.9L.4835 243.9C-.0966 241.5-.1273 238.1 .3936 236.6C.9146 234.2 1.974 231.9 3.492 230C4.975 228.1 6.876 226.6 9.045 225.5C11.22 224.5 13.6 223.1 16 223.1H48C50.7 224.2 53.33 224.9 55.72 226.1C58.12 227.4 60.22 229.1 61.89 231.3L83.97 253.3C108.5 276.2 138.6 292 171.3 299.3C187.8 301.1 204.6 301.8 220.1 298.7C223.1 298.1 225.4 297.9 227.6 298.2C229.8 298.5 231.9 299.3 233.8 300.4C235.7 301.6 237.4 303.1 238.7 304.9C239.9 306.8 240.8 308.8 241.2 311C241.7 313.2 241.6 315.5 241.1 317.6C240.6 319.8 239.7 321.9 238.4 323.6C237 325.4 235.4 326.9 233.4 328C231.5 329.1 229.3 329.8 227.1 330C204.6 334.4 181.4 334.3 158.9 329.6C123.3 322.6 90.64 305.2 64.1 279.6L41.38 255.1H36.52L92.52 479.1H240C244.2 479.1 248.3 481.7 251.3 484.7H251.3z"],
    "burger-glass": [640, 512, [], "e0ce", "M235.3 484.7C238.3 487.7 239.1 491.8 239.1 496C239.1 500.2 238.3 504.3 235.3 507.3C232.3 510.3 228.2 512 223.1 512H82.65C71.4 511.9 60.57 507.7 52.26 500.1C43.96 492.5 38.78 482.1 37.73 470.8L.3493 50.62C-.3326 44.3 .3132 37.9 2.245 31.84C4.177 25.78 7.353 20.18 11.57 15.42C15.79 10.65 20.95 6.821 26.73 4.166C32.52 1.511 38.79 .0925 45.15 0H306.8C313.2 .0685 319.5 1.474 325.3 4.125C331.1 6.776 336.3 10.62 340.6 15.39C344.8 20.17 347.1 25.78 349.9 31.87C351.8 37.95 352.5 44.38 351.8 50.72L341.9 145.5C341.3 149.6 339.1 153.3 335.9 155.8C332.6 158.4 328.5 159.6 324.4 159.2C320.3 158.7 316.5 156.8 313.9 153.6C311.2 150.5 309.8 146.5 310 142.3L319.1 47.52C320.2 45.62 320.1 43.69 319.6 41.85C319 40.01 318.1 38.31 316.9 36.85C315.6 35.38 314.1 34.2 312.4 33.36C310.6 32.53 308.8 32.06 306.8 32H45.15C43.23 32.06 41.35 32.53 39.63 33.36C37.9 34.2 36.37 35.38 35.13 36.85C33.9 38.31 32.98 40.01 32.44 41.85C31.9 43.69 31.75 45.62 31.1 47.52L42.11 160H271.1C276.2 160 280.3 161.7 283.3 164.7C286.3 167.7 287.1 171.8 287.1 176C287.1 180.2 286.3 184.3 283.3 187.3C280.3 190.3 276.2 192 271.1 192H44.96L69.57 467.8C69.86 471.1 71.36 474.1 73.78 476.4C76.19 478.6 79.35 479.9 82.65 480H223.1C228.2 480 232.3 481.7 235.3 484.7L235.3 484.7zM516.7 283.3C513.7 280.3 511.1 276.2 511.1 271.1C511.1 268.8 512.9 265.7 514.7 263.1C516.5 260.5 518.1 258.4 521.9 257.2C524.8 256 528 255.7 531.1 256.3C534.2 256.9 537.1 258.4 539.3 260.7C541.5 262.9 543.1 265.8 543.7 268.9C544.3 271.1 543.1 275.2 542.8 278.1C541.6 281 539.5 283.5 536.9 285.3C534.3 287.1 531.2 287.1 527.1 287.1C523.8 287.1 519.7 286.3 516.7 283.3H516.7zM356.7 283.3C353.7 280.3 351.1 276.2 351.1 271.1C351.1 268.8 352.9 265.7 354.7 263.1C356.5 260.5 358.1 258.4 361.9 257.2C364.8 256 368 255.7 371.1 256.3C374.2 256.9 377.1 258.4 379.3 260.7C381.5 262.9 383.1 265.8 383.7 268.9C384.3 271.1 383.1 275.2 382.8 278.1C381.6 281 379.5 283.5 376.9 285.3C374.3 287.1 371.2 287.1 367.1 287.1C363.8 287.1 359.7 286.3 356.7 283.3zM436.7 267.3C433.7 264.3 431.1 260.2 431.1 255.1C431.1 252.8 432.9 249.7 434.7 247.1C436.5 244.5 438.1 242.4 441.9 241.2C444.8 240 448 239.7 451.1 240.3C454.2 240.9 457.1 242.4 459.3 244.7C461.5 246.9 463.1 249.8 463.7 252.9C464.3 255.1 463.1 259.2 462.8 262.1C461.6 265 459.5 267.5 456.9 269.3C454.3 271.1 451.2 271.1 447.1 271.1C443.8 271.1 439.7 270.3 436.7 267.3zM623.1 415.3C624 415.5 624 415.8 623.1 416V460C623.1 473.8 618.5 487 608.7 496.8C598.1 506.5 585.8 511.1 571.1 512H323.1C310.2 511.1 296.1 506.5 287.2 496.8C277.5 487 272 473.8 271.1 460V416C272 415.8 272.1 415.5 272.2 415.3C261.8 404.8 256 390.7 256 376C256 361.3 261.8 347.2 272.2 336.7C272.1 336.5 272 336.2 271.1 336V295.1C272.2 283.5 274.1 271.2 280.1 259.9C285.1 248.5 292.5 238.2 301.6 229.7C342.5 195.1 394.4 176.1 447.1 176.1C501.6 176.1 553.5 195.1 594.4 229.7C603.5 238.2 610.9 248.5 615.9 259.9C621 271.2 623.8 283.5 623.1 295.1V336C624 336.2 624 336.5 623.1 336.7C634.3 347.2 640.1 361.3 639.1 376C640.1 390.7 634.3 404.8 623.1 415.3zM303.1 320.8C306.6 320.3 309.3 320.1 311.1 319.1H583.1C586.7 320.1 589.4 320.3 591.1 320.8V295.1C591.8 287.7 589.8 279.6 586.4 272.1C582.9 264.6 577.1 257.9 571.8 252.4C510.4 191.1 380.1 195.6 324.2 252.4C318 257.9 313.1 264.6 309.6 272.1C306.1 279.6 304.2 287.7 303.1 295.1V320.8zM591.1 431.2C589.4 431.7 586.7 431.9 583.1 432H311.1C309.3 431.9 306.6 431.7 303.1 431.2V460C303.1 465.3 306.1 470.4 309.9 474.1C313.6 477.9 318.7 480 323.1 480H571.1C577.3 480 582.4 477.9 586.1 474.1C589.9 470.4 591.1 465.3 591.1 460V431.2zM600.1 392.1C605.5 388.5 607.1 382.4 607.1 376C607.1 369.6 605.5 363.5 600.1 359C596.5 354.5 590.4 352 583.1 352H311.1C305.6 352 299.5 354.5 295 359C290.5 363.5 287.1 369.6 287.1 376C287.1 382.4 290.5 388.5 295 392.1C299.5 397.5 305.6 400 311.1 400H583.1C590.4 400 596.5 397.5 600.1 392.1z"],
    "burger-lettuce": [512, 512, [], "e3e3", "M244.7 123.3C241.7 120.3 240 116.2 240 112C240 108.8 240.9 105.7 242.7 103.1C244.5 100.5 246.1 98.43 249.9 97.22C252.8 96.01 256 95.69 259.1 96.31C262.2 96.93 265.1 98.45 267.3 100.7C269.6 102.9 271.1 105.8 271.7 108.9C272.3 111.1 271.1 115.2 270.8 118.1C269.6 121 267.5 123.5 264.9 125.3C262.3 127.1 259.2 128 256 128C251.8 128 247.7 126.3 244.7 123.3V123.3zM340.7 155.3C337.7 152.3 336 148.2 336 144C336 140.8 336.9 137.7 338.7 135.1C340.5 132.5 342.1 130.4 345.9 129.2C348.8 128 352 127.7 355.1 128.3C358.2 128.9 361.1 130.4 363.3 132.7C365.6 134.9 367.1 137.8 367.7 140.9C368.3 143.1 367.1 147.2 366.8 150.1C365.6 153 363.5 155.5 360.9 157.3C358.3 159.1 355.2 160 352 160C347.8 160 343.7 158.3 340.7 155.3V155.3zM148.7 155.3C145.7 152.3 144 148.2 144 144C144 140.8 144.9 137.7 146.7 135.1C148.5 132.5 150.1 130.4 153.9 129.2C156.8 128 160 127.7 163.1 128.3C166.2 128.9 169.1 130.4 171.3 132.7C173.6 134.9 175.1 137.8 175.7 140.9C176.3 143.1 175.1 147.2 174.8 150.1C173.6 153 171.5 155.5 168.9 157.3C166.3 159.1 163.2 160 160 160C155.8 160 151.7 158.3 148.7 155.3L148.7 155.3zM49.45 250.1C44.81 248.2 40.83 244.4 37.81 239.9C34.79 235.4 32.79 230.3 31.95 224.1C31.12 219.6 31.48 214.2 32.99 208.1C44.73 158.7 73.16 113.8 113.6 81.63C154.1 49.5 204.3 32.01 256 32.01C307.7 32.01 357.9 49.5 398.4 81.63C438.8 113.8 467.3 158.7 479 208.1C480.5 214.2 480.9 219.6 480 224.1C479.2 230.3 477.2 235.4 474.2 239.9C471.2 244.4 467.2 248.2 462.6 250.1C457.9 253.7 452.7 255.5 447.3 256H64.67C59.29 255.5 54.09 253.7 49.45 250.1zM133.6 106.3C98.73 133.9 74.3 172.5 64.29 215.8C63.87 217.3 63.82 218.8 64.14 220.3C64.46 221.8 65.14 223.2 66.11 224.4L447.3 224C447.9 221.3 447.1 218.5 447.7 215.8C437.7 172.5 413.3 133.9 378.5 106.3C343.6 78.75 300.4 63.82 256 64C211.6 63.82 168.4 78.75 133.6 106.3zM475.3 356.7C478.3 359.7 480 363.8 480 368V416C480 432.1 473.3 449.3 461.3 461.3C449.3 473.3 432.1 480 416 480H96C79.03 480 62.75 473.3 50.75 461.3C38.74 449.3 32 432.1 32 416V368C32 363.8 33.69 359.7 36.69 356.7C39.69 353.7 43.76 352 48 352H464C468.2 352 472.3 353.7 475.3 356.7zM448 384H64V416C64 424.5 67.37 432.6 73.37 438.6C79.37 444.6 87.51 448 96 448H416C424.5 448 432.6 444.6 438.6 438.6C444.6 432.6 448 424.5 448 416V384zM86.42 336.1C67.28 336.1 48.78 329.3 34.27 316.8C30.9 314.2 28.7 310.4 28.14 306.2C27.58 301.1 28.72 297.7 31.3 294.4C33.88 290.1 37.69 288.8 41.9 288.2C46.1 287.7 50.36 288.8 53.73 291.4C62.68 299.5 74.33 304 86.42 304C98.5 304 110.2 299.5 119.1 291.4C133.6 278.9 152.1 272.1 171.2 272.1C190.3 272.1 208.8 278.9 223.3 291.4C232.3 299.5 243.9 304 256 304C268.1 304 279.7 299.5 288.7 291.4C303.2 278.9 321.7 272.1 340.8 272.1C359.9 272.1 378.4 278.9 392.9 291.4C401.9 299.5 413.5 304 425.6 304C437.7 304 449.3 299.5 458.3 291.4C459.9 290.1 461.8 289.2 463.9 288.6C465.9 288.1 468 287.1 470.1 288.2C472.2 288.5 474.2 289.2 476 290.2C477.8 291.3 479.4 292.7 480.7 294.4C481.1 296 482.9 297.9 483.5 299.1C484 302 484.1 304.1 483.9 306.2C483.6 308.3 482.9 310.3 481.8 312.1C480.8 313.9 479.4 315.5 477.7 316.8C463.2 329.3 444.7 336.1 425.6 336.1C406.5 336.1 387.1 329.3 373.5 316.8C364.5 308.7 352.9 304.2 340.8 304.2C328.7 304.2 317.1 308.7 308.1 316.8C293.6 329.3 275.1 336.1 256 336.1C236.9 336.1 218.4 329.3 203.9 316.8C194.9 308.7 183.3 304.2 171.2 304.2C159.1 304.2 147.5 308.7 138.6 316.8C124.1 329.3 105.6 336.1 86.42 336.1L86.42 336.1z"],
    "burger-soda": [640, 512, [], "f858", "M436.7 267.3C433.7 264.3 432 260.2 432 256C432 252.8 432.9 249.7 434.7 247.1C436.5 244.5 438.1 242.4 441.9 241.2C444.8 240 448 239.7 451.1 240.3C454.2 240.9 457.1 242.4 459.3 244.7C461.6 246.9 463.1 249.8 463.7 252.9C464.3 255.1 463.1 259.2 462.8 262.1C461.6 265 459.5 267.5 456.9 269.3C454.3 271.1 451.2 272 448 272C443.8 272 439.7 270.3 436.7 267.3zM516.7 283.3C513.7 280.3 512 276.2 512 272C512 268.8 512.9 265.7 514.7 263.1C516.5 260.5 518.1 258.4 521.9 257.2C524.8 256 528 255.7 531.1 256.3C534.2 256.9 537.1 258.4 539.3 260.7C541.6 262.9 543.1 265.8 543.7 268.9C544.3 271.1 543.1 275.2 542.8 278.1C541.6 281 539.5 283.5 536.9 285.3C534.3 287.1 531.2 288 528 288C523.8 288 519.7 286.3 516.7 283.3H516.7zM224 480C228.2 480 232.3 481.7 235.3 484.7C238.3 487.7 240 491.8 240 496C240 500.2 238.3 504.3 235.3 507.3C232.3 510.3 228.2 512 224 512H96C87.87 512.1 80.03 509 74.08 503.5C68.13 497.1 64.52 490.3 64 482.2L32 160H16C11.76 160 7.687 158.3 4.686 155.3C1.686 152.3 0 148.2 0 144C0 139.8 1.686 135.7 4.686 132.7C7.687 129.7 11.76 128 16 128H179.5L205.5 24.26C207.2 17.32 211.1 11.16 216.8 6.765C222.4 2.365 229.3-.0172 236.4 .0001H272C276.2 .0001 280.3 1.686 283.3 4.686C286.3 7.687 288 11.76 288 16C288 20.24 286.3 24.31 283.3 27.31C280.3 30.31 276.2 32 272 32H236.4L212.4 128H336C340.2 128 344.3 129.7 347.3 132.7C350.3 135.7 352 139.8 352 144C352 148.2 350.3 152.3 347.3 155.3C344.3 158.3 340.2 160 336 160H64L96 479.1L224.3 480H224zM356.7 283.3C353.7 280.3 352 276.2 352 272C352 268.8 352.9 265.7 354.7 263.1C356.5 260.5 358.1 258.4 361.9 257.2C364.8 256 368 255.7 371.1 256.3C374.2 256.9 377.1 258.4 379.3 260.7C381.6 262.9 383.1 265.8 383.7 268.9C384.3 271.1 383.1 275.2 382.8 278.1C381.6 281 379.5 283.5 376.9 285.3C374.3 287.1 371.2 288 368 288C363.8 288 359.7 286.3 356.7 283.3zM624 415.3C624 415.5 624 415.8 624 416V460C623.1 473.8 618.5 487 608.8 496.8C599 506.5 585.8 511.1 572 512H324C310.2 511.1 296.1 506.5 287.2 496.8C277.5 487 272 473.8 272 460V416C272 415.8 272.1 415.5 272.2 415.3C261.8 404.8 256 390.7 256 376C256 361.3 261.8 347.2 272.2 336.7C272.1 336.5 272 336.2 272 336V296C272.2 283.5 274.1 271.2 280.1 259.9C285.1 248.5 292.5 238.2 301.6 229.7C342.5 195.1 394.4 176.1 448 176.1C501.6 176.1 553.5 195.1 594.4 229.7C603.5 238.2 610.9 248.5 615.9 259.9C621 271.2 623.8 283.5 624 296V336C624 336.2 624 336.5 624 336.7C634.3 347.2 640.1 361.3 640 376C640.1 390.7 634.3 404.8 624 415.3zM304 320.8C306.6 320.3 309.3 320.1 312 320H584C586.7 320.1 589.4 320.3 592 320.8V296C591.8 287.7 589.8 279.6 586.4 272.1C582.9 264.6 577.1 257.9 571.8 252.4C510.4 191.1 380.1 195.6 324.2 252.4C318 257.9 313.1 264.6 309.6 272.1C306.1 279.6 304.2 287.7 304 296V320.8zM592 431.2C589.4 431.7 586.7 431.9 584 432H312C309.3 431.9 306.6 431.7 304 431.2V460C304 465.3 306.1 470.4 309.9 474.1C313.6 477.9 318.7 480 324 480H572C577.3 480 582.4 477.9 586.1 474.1C589.9 470.4 592 465.3 592 460V431.2zM600.1 392.1C605.5 388.5 608 382.4 608 376C608 369.6 605.5 363.5 600.1 359C596.5 354.5 590.4 352 584 352H312C305.6 352 299.5 354.5 295 359C290.5 363.5 288 369.6 288 376C288 382.4 290.5 388.5 295 392.1C299.5 397.5 305.6 400 312 400H584C590.4 400 596.5 397.5 600.1 392.1z"],
    "burrito": [512, 512, [127791], "f7ed", "M511.1 123c0-32.5-21.25-61.13-52.25-70.76c-6.25-20.38-21.05-37-40.55-45.75c-19.5-8.75-41.75-8.625-61.13 .25c-40.75-17.88-88.22 .7671-105.1 41.52L33.94 266.6c-45.25 45.25-45.25 118.8 0 164l47.5 47.5c45.25 45.25 118.7 45.25 163.9-.0011l218.3-218.1c40.75-17.75 59.39-65.26 41.52-106C509.7 144.3 511.1 133.7 511.1 123zM267.4 78.17c13.5 25.25 20.36 53.36 20.36 81.86c0 97-78.87 176-175.9 176c-25.75-.125-51.25-5.875-74.5-16.88C41.56 307.9 48.06 297.7 56.56 289.2L267.4 78.17zM222.8 455.4c-32.75 32.88-86 32.88-118.8 0l-47.5-47.5c-14.88-14.88-23.5-34.75-24.25-55.75c25.25 10.5 52.25 15.88 79.63 15.88c90.13 0 166.9-57.75 195.6-138.1c42.5-10.88 87.5-5.625 126.4 14.5L222.8 455.4zM479.1 186.1c0 15.38-7.375 28.63-18.38 37.63c-43.13-26.75-95.38-36.5-144.9-28.25c2.125-11.63 3.125-23.5 3.25-35.38c0-39.13-11.25-76.5-31.75-109.4c9-11.75 23-18.5 37.75-18.63c12.13 0 23.88 4.625 32.88 12.88c11.88-12.38 30-16.25 45.88-9.875c15.88 6.5 26.25 21.88 26.25 39c0 2.625-.25 5.25-.7501 7.75c12.25-2.375 25 .875 34.63 8.875c9.625 8 15.25 19.88 15.13 32.38c0 11.38-4.625 22.25-12.88 30.13C475.3 162.2 479.1 173.9 479.1 186.1z"],
    "burst": [512, 512, [], "e4dc", "M200.9 116.2L233.2 16.6C236.4 6.706 245.6 .001 256 .001C266.4 .001 275.6 6.706 278.8 16.6L313.3 123.1L383.8 97.45C392.6 94.26 402.4 96.43 408.1 103C415.6 109.6 417.7 119.4 414.6 128.2L388.9 198.7L495.4 233.2C505.3 236.4 512 245.6 512 256C512 266.4 505.3 275.6 495.4 278.8L392.3 312.2L445.2 412.8C450.1 422.1 448.4 433.5 440.1 440.1C433.5 448.4 422.1 450.1 412.8 445.2L312.2 392.3L278.8 495.4C275.6 505.3 266.4 512 256 512C245.6 512 236.4 505.3 233.2 495.4L199.8 392.3L99.17 445.2C89.87 450.1 78.46 448.4 71.03 440.1C63.6 433.5 61.87 422.1 66.76 412.8L119.7 312.2L16.6 278.8C6.705 275.6 .0003 266.4 .0003 256C.0003 245.6 6.705 236.4 16.6 233.2L116.2 200.9L4.208 37.57C-2.33 28.04-1.143 15.2 7.03 7.03C15.2-1.144 28.04-2.33 37.57 4.208L200.9 116.2zM146.5 211.2C143.3 220.8 135.7 228.2 126.1 231.3L49.96 256L129.5 281.8C138.5 284.7 145.8 291.4 149.3 300.2C152.9 308.9 152.4 318.8 147.1 327.1L107.1 404.9L184.9 364C193.2 359.6 203.1 359.1 211.8 362.7C220.6 366.2 227.3 373.5 230.2 382.5L256 462L281.8 382.5C284.7 373.5 291.4 366.2 300.2 362.7C308.9 359.1 318.8 359.6 327.1 364L404.9 404.9L364 327.1C359.6 318.8 359.1 308.9 362.7 300.2C366.2 291.4 373.5 284.7 382.5 281.8L462 256L379 229.1C370.8 226.4 363.9 220.5 360.1 212.7C356.3 204.9 355.8 195.9 358.8 187.7L378.6 133.4L324.3 153.2C316.1 156.2 307.1 155.7 299.3 151.9C291.5 148.1 285.6 141.2 282.9 132.1L256 49.96L231.3 126.1C228.2 135.7 220.8 143.3 211.2 146.5C201.7 149.8 191.1 148.3 182.8 142.6L54.87 54.87L142.6 182.8C148.3 191.1 149.8 201.7 146.5 211.2L146.5 211.2z"],
    "bus": [576, 512, [128653], "f207", "M336 64C344.8 64 352 71.16 352 80C352 88.84 344.8 96 336 96H240C231.2 96 224 88.84 224 80C224 71.16 231.2 64 240 64H336zM184 352C184 365.3 173.3 376 160 376C146.7 376 136 365.3 136 352C136 338.7 146.7 328 160 328C173.3 328 184 338.7 184 352zM392 352C392 338.7 402.7 328 416 328C429.3 328 440 338.7 440 352C440 365.3 429.3 376 416 376C402.7 376 392 365.3 392 352zM72.3 69.88C96.5 40.06 164.2 0 288 0C420.6 0 481.2 39.95 504.2 70.2C510.2 78.14 512 87.36 512 95.15V384C512 407.7 499.1 428.4 480 439.4V496C480 504.8 472.8 512 464 512C455.2 512 448 504.8 448 496V448H128V496C128 504.8 120.8 512 112 512C103.2 512 96 504.8 96 496V439.4C76.87 428.4 64 407.7 64 384V95.15C64 87.42 65.79 77.91 72.3 69.88V69.88zM288 32C170.1 32 113.2 70.22 97.15 90.05C96.77 90.51 96 91.94 96 95.15V128H480V95.15C480 92 479.2 90.3 478.7 89.53C463.9 70.12 414.8 32 288 32zM272 256V160H96V256H272zM304 256H480V160H304V256zM128 416H448C465.7 416 480 401.7 480 384V288H96V384C96 401.7 110.3 416 128 416zM32 240C32 248.8 24.84 256 16 256C7.164 256 0 248.8 0 240V144C0 135.2 7.164 128 16 128C24.84 128 32 135.2 32 144V240zM576 240C576 248.8 568.8 256 560 256C551.2 256 544 248.8 544 240V144C544 135.2 551.2 128 560 128C568.8 128 576 135.2 576 144V240z"],
    "bus-school": [512, 512, [], "f5dd", "M192 80C192 71.16 199.2 64 208 64H304C312.8 64 320 71.16 320 80C320 88.84 312.8 96 304 96H208C199.2 96 192 88.84 192 80zM104 352C104 338.7 114.7 328 128 328C141.3 328 152 338.7 152 352C152 365.3 141.3 376 128 376C114.7 376 104 365.3 104 352zM360 352C360 338.7 370.7 328 384 328C397.3 328 408 338.7 408 352C408 365.3 397.3 376 384 376C370.7 376 360 365.3 360 352zM480 336V392C480 414.3 466.9 433.6 448 442.6V496C448 504.8 440.8 512 432 512C423.2 512 416 504.8 416 496V448H96V496C96 504.8 88.84 512 80 512C71.16 512 64 504.8 64 496V442.6C45.08 433.6 32 414.3 32 392V336C32 307.6 44.36 282 64 264.4V84.26C64 76.59 65.76 66.87 72.62 58.79C94.5 33.02 152.4 0 256 0C366.9 0 419.2 32.88 439.9 59.11C446.2 67.13 448 76.53 448 84.26V264.4C467.6 282 480 307.6 480 336zM256 32C158.3 32 110.9 63.2 97.01 79.5C96.79 79.76 96 80.99 96 84.26V128H416V84.26C416 81.04 415.2 79.52 414.8 78.95C402.3 63.11 361.1 32 256 32V32zM128 240H240V160H96V245.5C106 241.9 116.8 240 128 240zM272 240H384C395.2 240 405.1 241.9 416 245.5V160H272V240zM64 392C64 405.3 74.75 416 88 416H424C437.3 416 448 405.3 448 392V336C448 300.7 419.3 272 384 272H128C92.65 272 64 300.7 64 336V392zM32 240C32 248.8 24.84 256 16 256C7.164 256 0 248.8 0 240V144C0 135.2 7.164 128 16 128C24.84 128 32 135.2 32 144V240zM512 240C512 248.8 504.8 256 496 256C487.2 256 480 248.8 480 240V144C480 135.2 487.2 128 496 128C504.8 128 512 135.2 512 144V240z"],
    "bus-simple": [448, 512, ["bus-alt"], "f55e", "M72 352C72 338.7 82.75 328 96 328C109.3 328 120 338.7 120 352C120 365.3 109.3 376 96 376C82.75 376 72 365.3 72 352zM376 352C376 365.3 365.3 376 352 376C338.7 376 328 365.3 328 352C328 338.7 338.7 328 352 328C365.3 328 376 338.7 376 352zM440.2 70.2C446.2 78.14 448 87.36 448 95.15V384C448 407.7 435.1 428.4 416 439.4V496C416 504.8 408.8 512 400 512C391.2 512 384 504.8 384 496V448H64V496C64 504.8 56.84 512 48 512C39.16 512 32 504.8 32 496V439.4C12.87 428.4 0 407.7 0 384V95.15C0 87.42 1.788 77.91 8.304 69.88C32.5 40.06 100.2 0 224 0C356.6 0 417.2 39.95 440.2 70.2V70.2zM32 95.15V96H416V95.15C416 92 415.2 90.3 414.7 89.53C399.9 70.12 350.8 32 224 32C106.1 32 49.24 70.22 33.15 90.05C32.77 90.51 32 91.94 32 95.15zM32 128V256H416V128H32zM416 288H32V384C32 401.7 46.33 416 64 416H384C401.7 416 416 401.7 416 384V288z"],
    "business-time": [640, 512, ["briefcase-clock"], "f64a", "M496 224C416.4 224 352 288.4 352 368s64.38 144 144 144s144-64.38 144-144S575.6 224 496 224zM496 480c-61.75 0-112-50.25-112-112S434.3 256 496 256S608 306.3 608 368S557.8 480 496 480zM544 352h-32V304C512 295.2 504.8 288 496 288S480 295.2 480 304v64c0 8.836 7.164 16 16 16H544c8.836 0 16-7.164 16-16S552.8 352 544 352zM336 448H64c-17.67 0-32-14.33-32-32V288h144v64c0 8.836 7.164 16 16 16h112c8.836 0 16-7.164 16-16s-7.164-16-16-16h-96V288h128C344.8 288 352 280.8 352 272S344.8 256 336 256H32V160c0-17.67 14.33-32 32-32h384c17.67 0 32 14.33 32 32v16C480 184.8 487.2 192 496 192S512 184.8 512 176V160c0-35.35-28.65-64-64-64h-64V48C384 21.49 362.5 0 336 0h-160C149.5 0 128 21.49 128 48V96H64C28.65 96 0 124.7 0 160v256c0 35.35 28.65 64 64 64h272c8.836 0 16-7.164 16-16S344.8 448 336 448zM160 48C160 39.17 167.2 32 176 32h160C344.8 32 352 39.17 352 48V96H160V48z"],
    "butter": [640, 512, [129480], "e3e4", "M96 112C96 103.2 103.2 96 112 96H448v192h32V96h48C536.8 96 544 103.2 544 112V288h32V112C576 85.49 554.5 64 528 64h-416C85.49 64 64 85.49 64 112V288h32V112zM624 320h-608C7.156 320 0 327.2 0 336S7.156 352 16 352H32v48C32 426.5 53.53 448 80 448h480c26.47 0 48-21.53 48-48V352h16c8.844 0 16-7.156 16-16S632.8 320 624 320zM576 400c0 8.828-7.188 16-16 16h-480C71.19 416 64 408.8 64 400V352h512V400z"],
    "c": [384, 512, [99], "43", "M222.1 480c-138.3 0-222.1-116.4-222.1-223.1C.096 149.6 83.17 32 222.1 32C309.5 32 384 89.73 384 108.9c0 4.39-3.476 15.1-15.98 15.1C350.2 124.9 318.5 64 222.1 64C103.8 64 31.96 163.6 31.96 256c0 92.74 72.66 192 190.2 192c96.54 0 128.2-60.89 145.9-60.89C380.4 387.1 384 398.4 384 403.1C384 422.1 310.3 480 222.1 480z"],
    "cabin": [576, 512, [], "e46d", "M240 144C240 117.5 261.5 96 288 96C314.5 96 336 117.5 336 144C336 170.5 314.5 192 288 192C261.5 192 240 170.5 240 144zM288 128C279.2 128 272 135.2 272 144C272 152.8 279.2 160 288 160C296.8 160 304 152.8 304 144C304 135.2 296.8 128 288 128zM269.5 9.442C280.6 1.633 295.4 1.633 306.5 9.442L384 64.18V56C384 42.75 394.7 32 408 32H488C501.3 32 512 42.75 512 56V154.5L560.3 188.6C570.2 195.6 576 206.9 576 218.9C576 239.4 559.4 256 538.9 256H511.2C511.7 258.6 512 261.3 512 264V280C512 289 509 297.3 504 304C509 310.7 512 318.1 512 328V344C512 353 509 361.3 504 368C509 374.7 512 382.1 512 392V408C512 417 509 425.3 504 432C509 438.7 512 446.1 512 456V472C512 494.1 494.1 512 472 512H392C369.9 512 352 494.1 352 472V456C352 446.1 354.1 438.7 359.1 432C354.1 425.3 352 417 352 408V392C352 382.1 354.1 374.7 359.1 368C354.1 361.3 352 353 352 344V328C352 318.1 354.1 310.7 359.1 304C354.1 297.3 352 289 352 280V264C352 261.3 352.3 258.6 352.8 256H223.2C223.7 258.6 224 261.3 224 264V280C224 289 221 297.3 216 304C221 310.7 224 318.1 224 328V344C224 353 221 361.3 216 368C221 374.7 224 382.1 224 392V408C224 417 221 425.3 216 432C221 438.7 224 446.1 224 456V472C224 494.1 206.1 512 184 512H104C81.91 512 64 494.1 64 472V456C64 446.1 66.98 438.7 71.1 432C66.98 425.3 64 417 64 408V392C64 382.1 66.98 374.7 71.1 368C66.98 361.3 64 353 64 344V328C64 318.1 66.98 310.7 71.1 304C66.98 297.3 64 289 64 280V264C64 261.3 64.28 258.6 64.8 256H37.08C16.6 256 0 239.4 0 218.9C0 206.9 5.853 195.6 15.7 188.6L269.5 9.442zM392 416H472C476.4 416 480 412.4 480 408V392C480 387.6 476.4 384 472 384H392C387.6 384 384 387.6 384 392V408C384 412.4 387.6 416 392 416zM472 448H392C387.6 448 384 451.6 384 456V472C384 476.4 387.6 480 392 480H472C476.4 480 480 476.4 480 472V456C480 451.6 476.4 448 472 448zM480 328C480 323.6 476.4 320 472 320H392C387.6 320 384 323.6 384 328V344C384 348.4 387.6 352 392 352H472C476.4 352 480 348.4 480 344V328zM538.9 224C541.7 224 544 221.7 544 218.9C544 217.3 543.2 215.7 541.9 214.8L288 35.59L34.15 214.8C32.8 215.7 32 217.3 32 218.9C32 221.7 34.27 224 37.08 224L538.9 224zM392 256C387.6 256 384 259.6 384 264V280C384 284.4 387.6 288 392 288H472C476.4 288 480 284.4 480 280V264C480 259.6 476.4 256 472 256H392zM104 416H184C188.4 416 192 412.4 192 408V392C192 387.6 188.4 384 184 384H104C99.58 384 96 387.6 96 392V408C96 412.4 99.58 416 104 416zM184 448H104C99.58 448 96 451.6 96 456V472C96 476.4 99.58 480 104 480H184C188.4 480 192 476.4 192 472V456C192 451.6 188.4 448 184 448zM192 328C192 323.6 188.4 320 184 320H104C99.58 320 96 323.6 96 328V344C96 348.4 99.58 352 104 352H184C188.4 352 192 348.4 192 344V328zM104 256C99.58 256 96 259.6 96 264V280C96 284.4 99.58 288 104 288H184C188.4 288 192 284.4 192 280V264C192 259.6 188.4 256 184 256H104zM480 131.9V64H416V86.77L480 131.9z"],
    "cabinet-filing": [448, 512, [128452], "f64b", "M384 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V64C448 28.65 419.3 0 384 0zM416 448c0 17.67-14.33 32-32 32H64c-17.67 0-32-14.33-32-32V272h384V448zM416 240H32V64c0-17.67 14.33-32 32-32h320c17.67 0 32 14.33 32 32V240zM304 96h-160C135.2 96 128 103.2 128 112v32C128 152.8 135.2 160 144 160S160 152.8 160 144V128h128v16C288 152.8 295.2 160 304 160S320 152.8 320 144v-32C320 103.2 312.8 96 304 96zM144 416C152.8 416 160 408.8 160 400V384h128v16c0 8.844 7.156 16 16 16s16-7.156 16-16v-32c0-8.844-7.156-16-16-16h-160C135.2 352 128 359.2 128 368v32C128 408.8 135.2 416 144 416z"],
    "cable-car": [512, 512, [128673, 57551, "tram"], "f7da", "M264 24C264 10.75 274.7 0 288 0C301.3 0 312 10.75 312 24C312 37.25 301.3 48 288 48C274.7 48 264 37.25 264 24zM216 56C216 69.25 205.3 80 192 80C178.7 80 168 69.25 168 56C168 42.75 178.7 32 192 32C205.3 32 216 42.75 216 56zM480 288V448C480 483.3 451.3 512 416 512H96C60.65 512 32 483.3 32 448V288C32 252.7 60.65 224 96 224H240V147.5L19.14 191.7C10.47 193.4 2.044 187.8 .311 179.1C-1.422 170.5 4.197 162 12.86 160.3L492.9 64.31C501.5 62.58 509.1 68.2 511.7 76.86C513.4 85.53 507.8 93.96 499.1 95.69L272 141.1V224H416C451.3 224 480 252.7 480 288V288zM320 256H192V352H320V256zM352 256V352H448V288C448 270.3 433.7 256 416 256H352zM448 384H64V448C64 465.7 78.33 480 96 480H416C433.7 480 448 465.7 448 448V384zM64 352H160V256H96C78.33 256 64 270.3 64 288V352z"],
    "cactus": [512, 512, [127797], "f8a7", "M272 352c-8.875 0-16 7.125-16 16s7.125 15.1 16 15.1s16-7.125 16-15.1S280.9 352 272 352zM492.1 221.3c-12.62-10.62-29.38-15.25-45.63-12.5C419 213.4 400 239.3 400 267.1V296c0 4.375-3.625 8-8 8H352V101.4c0-51.1-38.88-98.5-90.88-101.2C234.9-1.245 209.1 8.256 189.1 26.38C170.9 44.51 160 69.63 160 96v96H120c-4.375 0-8-3.625-8-8V155.1c0-27.88-19-53.75-46.5-58.38c-16.25-2.75-33 1.875-45.63 12.5S0 135.5 0 152v32c0 66.25 53.75 119.1 120 119.1L160 304V496C160 504.9 167.1 512 176 512h160c8.875 0 16-7.125 16-16v-79.1l40 .0004c66.25 0 120-53.75 120-120v-32C512 247.5 504.8 231.9 492.1 221.3zM160 272H120c-48.63 0-88-39.37-88-87.1v-32c0-13.25 10.75-24 24-24s24 10.75 24 24v32c0 22.12 17.88 40 40 40L160 224V272zM320 480H192V96c0-35.37 28.62-63.1 64-63.1s64 28.62 64 63.1V480zM480 296c0 48.63-39.38 88-88 88H352v-47.1l40 0c22.12 0 40-17.88 40-40v-32c0-13.25 10.75-23.1 24-23.1S480 250.8 480 264V296zM240 128c-8.875 0-16 7.125-16 16s7.125 15.1 16 15.1S256 152.9 256 144S248.9 128 240 128z"],
    "cake-candles": [448, 512, [127874, "birthday-cake", "cake"], "f1fd", "M352 127.9c26.47 0 48-21.54 48-48.02c0-24.21-37.48-71.69-41.75-77.03C356.7 .9458 354.4 0 352 0s-4.719 .9458-6.25 2.836C341.5 8.166 304 55.65 304 79.86C304 106.3 325.5 127.9 352 127.9zM352 48.7C361.4 63.14 367.4 75.11 368 79.86c0 8.83-7.178 16.02-16 16.02s-16-7.186-16.02-15.49C336.6 75.29 342.6 63.18 352 48.7zM224 127.9c26.47 0 48-21.54 48-48.02c0-24.21-37.48-71.69-41.75-77.03C228.7 .9458 226.4 0 224 0S219.3 .9458 217.8 2.836C213.5 8.166 176 55.65 176 79.86C176 106.3 197.5 127.9 224 127.9zM224 48.7C233.4 63.14 239.4 75.11 240 79.86c0 8.83-7.178 16.02-16 16.02S208 88.69 207.1 80.38C208.6 75.29 214.6 63.18 224 48.7zM96 127.9c26.47 0 48-21.54 48-48.02c0-24.21-37.48-71.69-41.75-77.03C100.7 .9458 98.36 0 96 0S91.28 .9458 89.75 2.836C85.48 8.166 48 55.65 48 79.86C48 106.3 69.53 127.9 96 127.9zM96.01 48.7C105.4 63.14 111.4 75.11 112 79.86c0 8.83-7.178 16.02-16 16.02S80 88.69 79.98 80.38C80.55 75.29 86.59 63.18 96.01 48.7zM383.1 223.1L368 223.9V176c0-8.844-7.156-16.06-16-16.06S336 167.2 336 176v47.91h-96V176c0-8.844-7.156-16.06-16-16.06S208 167.2 208 176v47.91h-96V176c0-8.844-7.156-16.06-16-16.06S80 167.2 80 176v47.91L64 223.1c-35.35 0-64 28.65-64 63.1V464C0 490.5 21.49 512 48 512h352c26.51 0 48-21.49 48-48V287.1C448 252.6 419.4 223.1 383.1 223.1zM416 464c0 8.822-7.178 16-16 16h-352C39.18 480 32 472.8 32 464v-64.01c25.97 0 50.25-15.7 64-26.66c13.75 10.95 38.03 26.66 64 26.66s50.25-15.7 64-26.66c13.75 10.95 38.03 26.66 64 26.66s50.25-15.7 64-26.66c13.75 10.95 38.03 26.66 64 26.66V464zM416 367.1c-20.64 0-45.05-19.73-52.7-27.33c-6.25-6.219-16.34-6.219-22.59 0C333 348.3 308.6 367.1 288 367.1s-45.05-19.73-52.7-27.33c-6.25-6.219-16.34-6.219-22.59 0C205 348.3 180.6 367.1 160 367.1s-45.05-19.73-52.7-27.33c-6.25-6.219-16.34-6.219-22.59 0C77.05 348.3 52.64 367.1 32 367.1V287.9c0-17.64 14.36-32 32-32h16V272c0 8.844 7.156 15.96 16 15.96S112 280.8 112 272V255.9h96V272c0 8.844 7.156 15.96 16 15.96S240 280.8 240 272V255.9h96V272c0 8.844 7.156 15.96 16 15.96S368 280.8 368 272V255.9h15.98C401.6 255.9 416 270.3 416 287.9V367.1z"],
    "cake-slice": [512, 512, [127856, "shortcake"], "e3e5", "M450.6 101.7C490 143.4 512 198.6 512 256V416C511.9 432.1 505.2 449.2 493.2 461.2C481.2 473.2 464.1 479.9 448 480H64C47.04 479.9 30.79 473.2 18.8 461.2C6.81 449.2 .0506 432.1 0 416V271.6C.0064 266.8 1.122 261.1 3.262 257.6C5.403 253.2 8.511 249.4 12.35 246.4L278.8 39.01C284.5 34.45 291.5 31.97 298.8 32H299.9C357.2 35.11 411.1 60.07 450.6 101.7zM480 384H32V416C32 424.5 35.37 432.6 41.37 438.6C47.37 444.6 55.51 448 64 448H448C456.5 448 464.6 444.6 470.6 438.6C476.6 432.6 480 424.5 480 416V384zM480 288H32V352H480V288zM480 256C480.1 206.9 461.3 159.6 427.6 123.9C393.9 88.18 347.8 66.74 298.7 64L52.06 256H480z"],
    "calculator": [384, 512, [128425], "f1ec", "M320 0H64C28.66 0 0 28.66 0 64v384c0 35.34 28.66 64 64 64h256c35.34 0 64-28.66 64-64V64C384 28.66 355.3 0 320 0zM352 448c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V160h320V448zM352 128H32V64c0-17.64 14.36-32 32-32h256c17.64 0 32 14.36 32 32V128zM80 432h128c8.844 0 16-7.156 16-16s-7.156-16-16-16h-128C71.16 400 64 407.2 64 416S71.16 432 80 432zM288 440c13.25 0 24-10.75 24-24s-10.75-24-24-24s-24 10.75-24 24S274.7 440 288 440zM288 344c13.25 0 24-10.75 24-24S301.3 296 288 296S264 306.7 264 320S274.7 344 288 344zM288 248c13.25 0 24-10.75 24-24S301.3 200 288 200S264 210.7 264 224S274.7 248 288 248zM192 344c13.25 0 24-10.75 24-24S205.3 296 192 296S168 306.7 168 320S178.7 344 192 344zM192 248c13.25 0 24-10.75 24-24S205.3 200 192 200S168 210.7 168 224S178.7 248 192 248zM96 344c13.25 0 24-10.75 24-24S109.3 296 96 296S72 306.7 72 320S82.75 344 96 344zM96 248c13.25 0 24-10.75 24-24S109.3 200 96 200S72 210.7 72 224S82.75 248 96 248z"],
    "calculator-simple": [512, 512, ["calculator-alt"], "f64c", "M336 128H384v48c0 8.844 7.156 16.04 16 16.04S416 184.8 416 176V128h48C472.8 128 480 120.9 480 112S472.8 96 464 96H416V48c0-8.844-7.156-15.96-16-15.96S384 39.16 384 48V96h-48C327.2 96 320 103.2 320 112S327.2 128 336 128zM168.6 343.4c-6.254-6.254-16.37-6.254-22.63 0L112 377.4l-33.94-33.94c-6.254-6.254-16.37-6.254-22.63 0s-6.254 16.37 0 22.63L89.37 400l-33.94 33.94c-6.254 6.254-6.254 16.37 0 22.63s16.37 6.254 22.63 0L112 422.6l33.94 33.94c6.254 6.254 16.37 6.254 22.63 0s6.254-16.37 0-22.63L134.6 400l33.94-33.94C174.8 359.8 174.8 349.7 168.6 343.4zM48 128h128C184.8 128 192 120.8 192 112S184.8 96 176 96h-128C39.16 96 32 103.2 32 112S39.16 128 48 128zM496 240h-224v-224C272 7.156 264.8 0 256 0S240 7.156 240 16v224h-224C7.156 240 0 247.2 0 256s7.156 16 16 16h224v224c0 8.844 7.156 16 16 16s16-7.156 16-16v-224h224C504.8 272 512 264.8 512 256S504.8 240 496 240zM464 416h-128c-8.844 0-16 7.156-16 16s7.156 16 16 16h128c8.844 0 16-7.156 16-16S472.8 416 464 416zM464 352h-128c-8.844 0-16 7.156-16 16s7.156 16 16 16h128c8.844 0 16-7.156 16-16S472.8 352 464 352z"],
    "calendar": [448, 512, [128198, 128197], "f133", "M112 0C120.8 0 128 7.164 128 16V64H320V16C320 7.164 327.2 0 336 0C344.8 0 352 7.164 352 16V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H96V16C96 7.164 103.2 0 112 0zM416 192H32V448C32 465.7 46.33 480 64 480H384C401.7 480 416 465.7 416 448V192zM384 96H64C46.33 96 32 110.3 32 128V160H416V128C416 110.3 401.7 96 384 96z"],
    "calendar-arrow-down": [448, 512, ["calendar-download"], "e0d0", "M240 377.4L292.7 324.7C298.9 318.4 309.1 318.4 315.3 324.7C321.6 330.9 321.6 341.1 315.3 347.3L235.3 427.3C229.1 433.6 218.9 433.6 212.7 427.3L132.7 347.3C126.4 341.1 126.4 330.9 132.7 324.7C138.9 318.4 149.1 318.4 155.3 324.7L208 377.4V256C208 247.2 215.2 240 224 240C232.8 240 240 247.2 240 256L240 377.4zM128 64H320V16C320 7.164 327.2 0 336 0C344.8 0 352 7.164 352 16V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H96V16C96 7.164 103.2 0 112 0C120.8 0 128 7.164 128 16V64zM32 448C32 465.7 46.33 480 64 480H384C401.7 480 416 465.7 416 448V192H32V448zM32 128V160H416V128C416 110.3 401.7 96 384 96H64C46.33 96 32 110.3 32 128z"],
    "calendar-arrow-up": [448, 512, ["calendar-upload"], "e0d1", "M208 294.6L155.3 347.3C149.1 353.6 138.9 353.6 132.7 347.3C126.4 341.1 126.4 330.9 132.7 324.7L212.7 244.7C218.9 238.4 229.1 238.4 235.3 244.7L315.3 324.7C321.6 330.9 321.6 341.1 315.3 347.3C309.1 353.6 298.9 353.6 292.7 347.3L240 294.6V416C240 424.8 232.8 432 223.1 432C215.2 432 207.1 424.8 207.1 416L208 294.6zM128 64H320V16C320 7.164 327.2 0 336 0C344.8 0 352 7.164 352 16V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H96V16C96 7.164 103.2 0 112 0C120.8 0 128 7.164 128 16V64zM32 448C32 465.7 46.33 480 64 480H384C401.7 480 416 465.7 416 448V192H32V448zM32 128V160H416V128C416 110.3 401.7 96 384 96H64C46.33 96 32 110.3 32 128z"],
    "calendar-check": [448, 512, [], "f274", "M219.3 395.3C213.1 401.6 202.9 401.6 196.7 395.3L132.7 331.3C126.4 325.1 126.4 314.9 132.7 308.7C138.9 302.4 149.1 302.4 155.3 308.7L208 361.4L308.7 260.7C314.9 254.4 325.1 254.4 331.3 260.7C337.6 266.9 337.6 277.1 331.3 283.3L219.3 395.3zM128 64H320V16C320 7.164 327.2 0 336 0C344.8 0 352 7.164 352 16V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H96V16C96 7.164 103.2 0 112 0C120.8 0 128 7.164 128 16V64zM32 448C32 465.7 46.33 480 64 480H384C401.7 480 416 465.7 416 448V192H32V448zM32 128V160H416V128C416 110.3 401.7 96 384 96H64C46.33 96 32 110.3 32 128z"],
    "calendar-circle-exclamation": [576, 512, [], "e46e", "M112 0C120.8 0 128 7.164 128 16V64H320V16C320 7.164 327.2 0 336 0C344.8 0 352 7.164 352 16V64H384C419.3 64 448 92.65 448 128V192H32V448C32 465.7 46.33 480 64 480H296.2C306.3 492.1 317.9 502.9 330.8 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H96V16C96 7.164 103.2 0 112 0zM384 96H64C46.33 96 32 110.3 32 128V160H416V128C416 110.3 401.7 96 384 96zM448 432C448 440.8 440.8 448 432 448C423.2 448 416 440.8 416 432C416 423.2 423.2 416 432 416C440.8 416 448 423.2 448 432zM447.1 384C447.1 392.8 440.8 400 431.1 400C423.2 400 415.1 392.8 415.1 384V304C415.1 295.2 423.2 288 431.1 288C440.8 288 447.1 295.2 447.1 304V384zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 480C493.9 480 544 429.9 544 368C544 306.1 493.9 256 432 256C370.1 256 320 306.1 320 368C320 429.9 370.1 480 432 480z"],
    "calendar-circle-minus": [576, 512, [], "e46f", "M112 0C120.8 0 128 7.164 128 16V64H320V16C320 7.164 327.2 0 336 0C344.8 0 352 7.164 352 16V64H384C419.3 64 448 92.65 448 128V192H32V448C32 465.7 46.33 480 64 480H296.2C306.3 492.1 317.9 502.9 330.8 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H96V16C96 7.164 103.2 0 112 0zM384 96H64C46.33 96 32 110.3 32 128V160H416V128C416 110.3 401.7 96 384 96zM368 383.1C359.2 383.1 352 376.8 352 367.1C352 359.2 359.2 351.1 368 351.1H496C504.8 351.1 512 359.2 512 367.1C512 376.8 504.8 383.1 496 383.1H368zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 256C370.1 256 320 306.1 320 368C320 429.9 370.1 480 432 480C493.9 480 544 429.9 544 368C544 306.1 493.9 256 432 256z"],
    "calendar-circle-plus": [576, 512, [], "e470", "M112 0C120.8 0 128 7.164 128 16V64H320V16C320 7.164 327.2 0 336 0C344.8 0 352 7.164 352 16V64H384C419.3 64 448 92.65 448 128V192H32V448C32 465.7 46.33 480 64 480H296.2C306.3 492.1 317.9 502.9 330.8 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H96V16C96 7.164 103.2 0 112 0zM384 96H64C46.33 96 32 110.3 32 128V160H416V128C416 110.3 401.7 96 384 96zM432 287.1C440.8 287.1 448 295.2 448 303.1V351.1H496C504.8 351.1 512 359.2 512 367.1C512 376.8 504.8 383.1 496 383.1H448V431.1C448 440.8 440.8 447.1 432 447.1C423.2 447.1 416 440.8 416 431.1V383.1H368C359.2 383.1 352 376.8 352 367.1C352 359.2 359.2 351.1 368 351.1H416V303.1C416 295.2 423.2 287.1 432 287.1zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 480C493.9 480 544 429.9 544 368C544 306.1 493.9 256 432 256C370.1 256 320 306.1 320 368C320 429.9 370.1 480 432 480z"],
    "calendar-circle-user": [576, 512, [], "e471", "M112 0C120.8 0 128 7.164 128 16V64H320V16C320 7.164 327.2 0 336 0C344.8 0 352 7.164 352 16V64H384C419.3 64 448 92.65 448 128V192H32V448C32 465.7 46.33 480 64 480H296.2C306.3 492.1 317.9 502.9 330.8 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H96V16C96 7.164 103.2 0 112 0zM384 96H64C46.33 96 32 110.3 32 128V160H416V128C416 110.3 401.7 96 384 96zM488 344C488 374.9 462.9 400 432 400C401.1 400 376 374.9 376 344C376 313.1 401.1 288 432 288C462.9 288 488 313.1 488 344zM432 320C418.7 320 408 330.7 408 344C408 357.3 418.7 368 432 368C445.3 368 456 357.3 456 344C456 330.7 445.3 320 432 320zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 480C454.1 480 474.7 473.6 491.1 462.6C484.1 453.5 472.6 448 460.2 448H403.8C391.4 448 379.9 453.5 372 462.6C389.3 473.6 409.9 480 432 480H432zM460.2 416C482.1 416 502.4 425.6 516.3 441.8C533.5 422.1 544 396.2 544 368C544 306.1 493.9 256 432 256C370.1 256 320 306.1 320 368C320 396.2 330.5 422.1 347.7 441.8C361.6 425.6 381.9 416 403.8 416H460.2z"],
    "calendar-clock": [576, 512, ["calendar-time"], "e0d2", "M112 0C120.8 0 128 7.164 128 16V64H320V16C320 7.164 327.2 0 336 0C344.8 0 352 7.164 352 16V64H384C419.3 64 448 92.65 448 128V192.7C442.7 192.2 437.4 192 432 192C426.6 192 421.3 192.2 416 192.7V192H32V448C32 465.7 46.33 480 64 480H296.2C306.3 492.1 317.9 502.9 330.8 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H96V16C96 7.164 103.2 0 112 0zM384 96H64C46.33 96 32 110.3 32 128V160H416V128C416 110.3 401.7 96 384 96zM431.1 288C440.8 288 447.1 295.2 447.1 304V352H480C488.8 352 496 359.2 496 368C496 376.8 488.8 384 480 384H431.1C423.2 384 415.1 376.8 415.1 368V304C415.1 295.2 423.2 288 431.1 288V288zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 480C493.9 480 544 429.9 544 368C544 306.1 493.9 256 432 256C370.1 256 320 306.1 320 368C320 429.9 370.1 480 432 480z"],
    "calendar-day": [448, 512, [], "f783", "M64 264C64 241.9 81.91 224 104 224H184C206.1 224 224 241.9 224 264V344C224 366.1 206.1 384 184 384H104C81.91 384 64 366.1 64 344V264zM96 264V344C96 348.4 99.58 352 104 352H184C188.4 352 192 348.4 192 344V264C192 259.6 188.4 256 184 256H104C99.58 256 96 259.6 96 264zM128 64H320V16C320 7.164 327.2 0 336 0C344.8 0 352 7.164 352 16V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H96V16C96 7.164 103.2 0 112 0C120.8 0 128 7.164 128 16V64zM32 448C32 465.7 46.33 480 64 480H384C401.7 480 416 465.7 416 448V192H32V448zM32 128V160H416V128C416 110.3 401.7 96 384 96H64C46.33 96 32 110.3 32 128z"],
    "calendar-days": [448, 512, ["calendar-alt"], "f073", "M112 0C120.8 0 128 7.164 128 16V64H320V16C320 7.164 327.2 0 336 0C344.8 0 352 7.164 352 16V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H96V16C96 7.164 103.2 0 112 0zM416 192H312V264H416V192zM416 296H312V376H416V296zM416 408H312V480H384C401.7 480 416 465.7 416 448V408zM280 376V296H168V376H280zM168 480H280V408H168V480zM136 376V296H32V376H136zM32 408V448C32 465.7 46.33 480 64 480H136V408H32zM32 264H136V192H32V264zM168 264H280V192H168V264zM384 96H64C46.33 96 32 110.3 32 128V160H416V128C416 110.3 401.7 96 384 96z"],
    "calendar-exclamation": [448, 512, [], "f334", "M248 416C248 429.3 237.3 440 224 440C210.7 440 200 429.3 200 416C200 402.7 210.7 392 224 392C237.3 392 248 402.7 248 416zM240 352C240 360.8 232.8 368 224 368C215.2 368 208 360.8 208 352V256C208 247.2 215.2 240 224 240C232.8 240 240 247.2 240 256V352zM112 0C120.8 0 128 7.164 128 16V64H320V16C320 7.164 327.2 0 336 0C344.8 0 352 7.164 352 16V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H96V16C96 7.164 103.2 0 112 0zM416 192H32V448C32 465.7 46.33 480 64 480H384C401.7 480 416 465.7 416 448V192zM384 96H64C46.33 96 32 110.3 32 128V160H416V128C416 110.3 401.7 96 384 96z"],
    "calendar-heart": [448, 512, [], "e0d3", "M224 263.9L231.6 256.1C256.6 230.3 298 230.3 323.1 256.1C347.2 280.9 347.2 320.3 323.1 345L246.9 423.4C234.4 436.3 213.6 436.3 201.1 423.4L124.9 345C100.8 320.3 100.8 280.9 124.9 256.1C149.1 230.3 191.4 230.3 216.4 256.1L224 263.9zM147.9 322.7L224 401L300.1 322.7C312.1 310.4 312.1 290.7 300.1 278.4C287.6 265.6 267 265.6 254.5 278.4L224 309.8L193.5 278.4C180.1 265.6 160.4 265.6 147.9 278.4C135.9 290.7 135.9 310.4 147.9 322.7zM128 64H320V16C320 7.164 327.2 0 336 0C344.8 0 352 7.164 352 16V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H96V16C96 7.164 103.2 0 112 0C120.8 0 128 7.164 128 16V64zM32 448C32 465.7 46.33 480 64 480H384C401.7 480 416 465.7 416 448V192H32V448zM32 128V160H416V128C416 110.3 401.7 96 384 96H64C46.33 96 32 110.3 32 128z"],
    "calendar-image": [448, 512, [], "e0d4", "M230 265.4C242.6 247.3 269.2 246.1 282.2 264.8L378.5 397.2C393.8 418.3 378.7 448 352.6 448H95.09C69.06 448 53.92 418.6 69.05 397.4L120 326.1C131.5 309.1 154.7 308.1 168.7 322L181.8 335.1L230 265.4zM352.6 416L256.3 283.6L197.2 369.1C194.5 373 190.2 375.5 185.4 375.9C180.7 376.4 176 374.7 172.7 371.3L146 344.7L95.09 416H352.6zM72 256C72 242.7 82.75 232 96 232C109.3 232 120 242.7 120 256C120 269.3 109.3 280 96 280C82.75 280 72 269.3 72 256zM112 0C120.8 0 128 7.164 128 16V64H320V16C320 7.164 327.2 0 336 0C344.8 0 352 7.164 352 16V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H96V16C96 7.164 103.2 0 112 0zM416 192H32V448C32 465.7 46.33 480 64 480H384C401.7 480 416 465.7 416 448V192zM384 96H64C46.33 96 32 110.3 32 128V160H416V128C416 110.3 401.7 96 384 96z"],
    "calendar-lines": [448, 512, ["calendar-note"], "e0d5", "M96 368C96 359.2 103.2 352 112 352H240C248.8 352 256 359.2 256 368C256 376.8 248.8 384 240 384H112C103.2 384 96 376.8 96 368zM336 256C344.8 256 352 263.2 352 272C352 280.8 344.8 288 336 288H112C103.2 288 96 280.8 96 272C96 263.2 103.2 256 112 256H336zM112 0C120.8 0 128 7.164 128 16V64H320V16C320 7.164 327.2 0 336 0C344.8 0 352 7.164 352 16V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H96V16C96 7.164 103.2 0 112 0zM416 192H32V448C32 465.7 46.33 480 64 480H384C401.7 480 416 465.7 416 448V192zM384 96H64C46.33 96 32 110.3 32 128V160H416V128C416 110.3 401.7 96 384 96z"],
    "calendar-lines-pen": [576, 512, [], "e472", "M128 64H320V16C320 7.164 327.2 0 336 0C344.8 0 352 7.164 352 16V64H384C419.3 64 448 92.65 448 128V192H32V448C32 465.7 46.33 480 64 480H258.5L257.4 484.2C255.1 493.6 255.7 503.2 258.8 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H96V16C96 7.164 103.2 0 112 0C120.8 0 128 7.164 128 16V64zM32 128V160H416V128C416 110.3 401.7 96 384 96H64C46.33 96 32 110.3 32 128zM240 352C248.8 352 256 359.2 256 368C256 376.8 248.8 384 240 384H112C103.2 384 96 376.8 96 368C96 359.2 103.2 352 112 352H240zM96 272C96 263.2 103.2 256 112 256H336C344.8 256 352 263.2 352 272C352 280.8 344.8 288 336 288H112C103.2 288 96 280.8 96 272zM473.5 241.4C492.3 222.6 522.7 222.6 541.4 241.4L558.8 258.7C577.5 277.5 577.5 307.9 558.8 326.6L405.1 480.3C398.9 486.5 391.2 490.8 382.8 492.1L307.9 511.7C302.4 513 296.7 511.4 292.7 507.5C288.7 503.5 287.1 497.7 288.5 492.3L307.2 417.4C309.3 408.9 313.7 401.2 319.8 395.1L473.5 241.4zM518.8 264C512.5 257.8 502.4 257.8 496.2 264L471.3 288.8L511.3 328.8L536.2 303.1C542.4 297.7 542.4 287.6 536.2 281.4L518.8 264zM338.2 425.1L325.1 474.2L375 461.9C377.8 461.2 380.4 459.8 382.4 457.7L488.7 351.4L448.7 311.5L342.5 417.7C340.4 419.8 338.9 422.3 338.2 425.1H338.2z"],
    "calendar-minus": [448, 512, [], "f272", "M144 352C135.2 352 128 344.8 128 336C128 327.2 135.2 320 144 320H304C312.8 320 320 327.2 320 336C320 344.8 312.8 352 304 352H144zM128 64H320V16C320 7.164 327.2 0 336 0C344.8 0 352 7.164 352 16V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H96V16C96 7.164 103.2 0 112 0C120.8 0 128 7.164 128 16V64zM32 448C32 465.7 46.33 480 64 480H384C401.7 480 416 465.7 416 448V192H32V448zM32 128V160H416V128C416 110.3 401.7 96 384 96H64C46.33 96 32 110.3 32 128z"],
    "calendar-pen": [448, 512, ["calendar-edit"], "f333", "M250.4 235.3C269.1 216.6 299.5 216.6 318.2 235.3L324.7 241.8C343.4 260.5 343.4 290.9 324.7 309.6L201.6 432.7C197.4 436.9 192 439.9 186.2 441.2L136 452.7C118.8 456.7 103.3 441.2 107.3 423.1L118.8 373.8C120.1 367.1 123.1 362.6 127.3 358.4L250.4 235.3zM295.6 257.9C289.4 251.7 279.2 251.7 272.1 257.9L260.8 270.2L289.8 299.2L302.1 287C308.3 280.8 308.3 270.6 302.1 264.4L295.6 257.9zM267.2 321.8L238.2 292.8L149.1 380.1L141.3 418.7L179 410L267.2 321.8zM112 0C120.8 0 128 7.164 128 16V64H320V16C320 7.164 327.2 0 336 0C344.8 0 352 7.164 352 16V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H96V16C96 7.164 103.2 0 112 0zM416 192H32V448C32 465.7 46.33 480 64 480H384C401.7 480 416 465.7 416 448V192zM384 96H64C46.33 96 32 110.3 32 128V160H416V128C416 110.3 401.7 96 384 96z"],
    "calendar-plus": [448, 512, [], "f271", "M320 336C320 344.8 312.8 352 304 352H240V416C240 424.8 232.8 432 224 432C215.2 432 208 424.8 208 416V352H144C135.2 352 128 344.8 128 336C128 327.2 135.2 320 144 320H208V256C208 247.2 215.2 240 224 240C232.8 240 240 247.2 240 256V320H304C312.8 320 320 327.2 320 336zM112 0C120.8 0 128 7.164 128 16V64H320V16C320 7.164 327.2 0 336 0C344.8 0 352 7.164 352 16V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H96V16C96 7.164 103.2 0 112 0zM416 192H32V448C32 465.7 46.33 480 64 480H384C401.7 480 416 465.7 416 448V192zM384 96H64C46.33 96 32 110.3 32 128V160H416V128C416 110.3 401.7 96 384 96z"],
    "calendar-range": [448, 512, [], "e0d6", "M384 272C384 280.8 376.8 288 368 288H208C199.2 288 192 280.8 192 272C192 263.2 199.2 256 208 256H368C376.8 256 384 263.2 384 272zM80 416C71.16 416 64 408.8 64 400C64 391.2 71.16 384 80 384H240C248.8 384 256 391.2 256 400C256 408.8 248.8 416 240 416H80zM160 272C160 298.5 138.5 320 112 320C85.49 320 64 298.5 64 272C64 245.5 85.49 224 112 224C138.5 224 160 245.5 160 272zM96 272C96 280.8 103.2 288 112 288C120.8 288 128 280.8 128 272C128 263.2 120.8 256 112 256C103.2 256 96 263.2 96 272zM288 400C288 373.5 309.5 352 336 352C362.5 352 384 373.5 384 400C384 426.5 362.5 448 336 448C309.5 448 288 426.5 288 400zM352 400C352 391.2 344.8 384 336 384C327.2 384 320 391.2 320 400C320 408.8 327.2 416 336 416C344.8 416 352 408.8 352 400zM112 0C120.8 0 128 7.164 128 16V64H320V16C320 7.164 327.2 0 336 0C344.8 0 352 7.164 352 16V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H96V16C96 7.164 103.2 0 112 0zM416 192H32V448C32 465.7 46.33 480 64 480H384C401.7 480 416 465.7 416 448V192zM384 96H64C46.33 96 32 110.3 32 128V160H416V128C416 110.3 401.7 96 384 96z"],
    "calendar-star": [448, 512, [], "f736", "M267.5 276.1L316.8 283.2C336.5 286.1 344.3 310.3 330.1 324.2L294.5 358.9L302.9 407.9C306.2 427.5 285.6 442.5 268 433.2L223.1 410.1L179.1 433.2C162.4 442.5 141.8 427.5 145.1 407.9L153.5 358.9L117.9 324.2C103.7 310.3 111.5 286.1 131.2 283.2L180.5 276.1L202.5 231.5C211.3 213.6 236.7 213.6 245.5 231.5L267.5 276.1zM201.7 305.3L151.9 312.6L187.9 347.7L179.4 397.4L223.1 373.9L268.6 397.4L260.1 347.7L296.1 312.6L246.3 305.3L223.1 260.2L201.7 305.3zM128 64H320V16C320 7.164 327.2 0 336 0C344.8 0 352 7.164 352 16V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H96V16C96 7.164 103.2 0 112 0C120.8 0 128 7.164 128 16V64zM32 448C32 465.7 46.33 480 64 480H384C401.7 480 416 465.7 416 448V192H32V448zM32 128V160H416V128C416 110.3 401.7 96 384 96H64C46.33 96 32 110.3 32 128z"],
    "calendar-week": [448, 512, [], "f784", "M64 264C64 241.9 81.91 224 104 224H344C366.1 224 384 241.9 384 264V344C384 366.1 366.1 384 344 384H104C81.91 384 64 366.1 64 344V264zM96 264V344C96 348.4 99.58 352 104 352H344C348.4 352 352 348.4 352 344V264C352 259.6 348.4 256 344 256H104C99.58 256 96 259.6 96 264zM128 64H320V16C320 7.164 327.2 0 336 0C344.8 0 352 7.164 352 16V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H96V16C96 7.164 103.2 0 112 0C120.8 0 128 7.164 128 16V64zM32 448C32 465.7 46.33 480 64 480H384C401.7 480 416 465.7 416 448V192H32V448zM32 128V160H416V128C416 110.3 401.7 96 384 96H64C46.33 96 32 110.3 32 128z"],
    "calendar-xmark": [448, 512, ["calendar-times"], "f273", "M246.6 336L299.3 388.7C305.6 394.9 305.6 405.1 299.3 411.3C293.1 417.6 282.9 417.6 276.7 411.3L224 358.6L171.3 411.3C165.1 417.6 154.9 417.6 148.7 411.3C142.4 405.1 142.4 394.9 148.7 388.7L201.4 336L148.7 283.3C142.4 277.1 142.4 266.9 148.7 260.7C154.9 254.4 165.1 254.4 171.3 260.7L224 313.4L276.7 260.7C282.9 254.4 293.1 254.4 299.3 260.7C305.6 266.9 305.6 277.1 299.3 283.3L246.6 336zM128 64H320V16C320 7.164 327.2 0 336 0C344.8 0 352 7.164 352 16V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H96V16C96 7.164 103.2 0 112 0C120.8 0 128 7.164 128 16V64zM32 448C32 465.7 46.33 480 64 480H384C401.7 480 416 465.7 416 448V192H32V448zM32 128V160H416V128C416 110.3 401.7 96 384 96H64C46.33 96 32 110.3 32 128z"],
    "calendars": [512, 512, [], "e0d7", "M208 0C216.8 0 224 7.164 224 16V64H384V16C384 7.164 391.2 0 400 0C408.8 0 416 7.164 416 16V64H448C483.3 64 512 92.65 512 128V352C512 387.3 483.3 416 448 416H160C124.7 416 96 387.3 96 352V128C96 92.65 124.7 64 160 64H192V16C192 7.164 199.2 0 208 0zM128 128V160H480V128C480 110.3 465.7 96 448 96H160C142.3 96 128 110.3 128 128zM128 192V352C128 369.7 142.3 384 160 384H448C465.7 384 480 369.7 480 352V192H128zM32 384C32 437 74.98 480 128 480H368C376.8 480 384 487.2 384 496C384 504.8 376.8 512 368 512H128C57.31 512 0 454.7 0 384V208C0 199.2 7.164 192 16 192C24.84 192 32 199.2 32 208V384z"],
    "camcorder": [576, 512, [128249, "video-handheld"], "f8a8", "M304 223.1h-224c-8.844 0-16 7.156-16 16c0 8.842 7.156 15.1 16 15.1h224c8.844 0 16-7.158 16-15.1C320 231.2 312.8 223.1 304 223.1zM558.8 163.7c-10.59-5.484-23.35-4.74-33.13 2.12l-102.8 72.02c-7.25 5.062-9 15.05-3.938 22.28c5.062 7.25 15.02 8.984 22.28 3.938l102.8-71.97v255.9l-102.8-71.97c-7.266-5.047-17.22-3.312-22.28 3.938c-5.062 7.234-3.312 17.22 3.938 22.28l102.8 72C531.1 478.1 537.5 480 543.1 480c5.047 0 10.12-1.203 14.78-3.625c10.64-5.531 17.23-16.41 17.23-28.39V192C576 180.1 569.4 169.2 558.8 163.7zM320 159.1H96V111.1C96 85.53 117.5 63.1 144 63.1h160c8.844 0 16-7.156 16-16C320 39.16 312.8 32 304 32h-160C99.88 32 64 67.89 64 111.1l.0003 48c-35.35 0-64 28.66-64 64l-.0001 191.1c0 35.34 28.65 63.1 64 63.1l256-.0016c35.35 0 64-28.66 64-63.1V223.1C384 188.7 355.3 159.1 320 159.1zM352 415.1c0 17.64-14.36 31.1-32 31.1H64c-17.64 0-32-14.35-32-31.1V223.1c0-17.64 14.36-31.1 32-31.1h256c17.64 0 32 14.36 32 31.1V415.1z"],
    "camera": [512, 512, [62258, "camera-alt"], "f030", "M144 288C144 226.1 194.1 176 256 176C317.9 176 368 226.1 368 288C368 349.9 317.9 400 256 400C194.1 400 144 349.9 144 288zM256 208C211.8 208 176 243.8 176 288C176 332.2 211.8 368 256 368C300.2 368 336 332.2 336 288C336 243.8 300.2 208 256 208zM362.9 64.82L373.3 96H448C483.3 96 512 124.7 512 160V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V160C0 124.7 28.65 96 64 96H138.7L149.1 64.82C155.6 45.22 173.9 32 194.6 32H317.4C338.1 32 356.4 45.22 362.9 64.82H362.9zM64 128C46.33 128 32 142.3 32 160V416C32 433.7 46.33 448 64 448H448C465.7 448 480 433.7 480 416V160C480 142.3 465.7 128 448 128H350.3L332.6 74.94C330.4 68.41 324.3 64 317.4 64H194.6C187.7 64 181.6 68.41 179.4 74.94L161.7 128H64z"],
    "camera-cctv": [576, 512, ["cctv"], "f8ac", "M525.2 193.7c-1.238-16.59-12.17-31.34-28.48-37.77L150.3 3.617C143.9 1.076 138.4 0 132.8 0C113.7 0 99.74 12.27 93.61 22.78L6.082 176.1c-6.574 11.43-7.76 25.88-3.121 38.56c4.576 12.51 14.17 21.96 27.01 26.62l158.7 65.68l-39.77 109.1H32v-47.98c0-8.797-7.2-16.02-16-16.02C7.201 352 0 359.2 0 368v127.1C0 504.8 7.201 512 15.1 512C24.8 512 32 504.8 32 496v-47.98h128c6.625 0 12.62-4.123 15-10.37l43.23-118.4l71.9 29.76c4.391 1.822 10.23 3.072 16.21 3.072c8.779 0 17.31-2.543 24.67-7.354l173.2-108.1C518.1 227 526.9 210.7 525.2 193.7zM487.3 209.5L313.5 317.9c-2.426 1.586-6.576 3.016-11.12 1.5L40.88 211.2c-10-3.625-9.875-14.25-7-19.24l87.38-153.1c1.52-2.604 7.732-9.354 16.12-5.998L485 185.7C495.5 189.9 496.2 203.7 487.3 209.5zM566.6 274.9l-47.91-21.69c-8.1-3.688-17.54-.0625-21.2 7.969c-3.643 8.031-.0781 17.53 7.975 21.16l33.38 15.12l-28.74 64.09l-87.66-38.56c-8.131-3.5-17.54 .125-21.09 8.219c-3.564 8.094 .1113 17.53 8.209 21.09l102.1 44.92c2.094 .9062 4.403 1.364 6.546 1.364c6.129 0 11.96-3.531 14.62-9.469l41.79-93.14C578.2 287.1 574.6 278.6 566.6 274.9z"],
    "camera-movie": [576, 512, [127910, 127909], "f8a9", "M320 255.1L127.1 255.1c-.0332 0 .0332 0 0 0L16 256C7.164 256 0 263.2 0 272C0 280.8 7.164 288 16 288h56.87C67.38 297.4 64 308.3 64 319.1l.0002 128c0 35.34 28.65 63.1 64 63.1L320 511.1c35.35 0 64-28.65 64-63.1V319.1C384 284.6 355.3 255.1 320 255.1zM352 447.1c0 17.64-14.36 31.1-32 31.1H128c-17.64 0-32-14.35-32-31.1V319.1C96 302.4 110.3 288 127.9 288l48.09-.0059c.0215 0-.0215 0 0 0L320 287.1c17.64 0 32 14.36 32 31.1V447.1zM336 0c-41 0-76.48 22.27-96 55.14C220.5 22.27 185 0 144 0C82.14 0 32 50.14 32 112S82.14 224 144 224h192C397.9 224 448 173.9 448 112S397.9 0 336 0zM336 192h-192C99.89 192 64 156.1 64 112C64 67.89 99.89 32 144 32c28.21 0 53.81 14.76 68.48 39.48C218.3 81.19 228.7 87.14 240 87.14s21.75-5.953 27.52-15.66C282.2 46.76 307.8 32 336 32C380.1 32 416 67.89 416 112C416 156.1 380.1 192 336 192zM553.3 266.1c-14.28-8.844-31.73-9.656-46.72-2.125l-81.69 40.84c-7.906 3.969-11.11 13.56-7.156 21.47c3.953 7.875 13.59 11.12 21.47 7.156l81.67-40.84c7.203-3.625 13.28-.6875 15.59 .7187C538.7 295.6 544 299.8 544 307.8v152.4c0 8.031-5.297 12.19-7.578 13.59c-2.312 1.406-8.406 4.312-15.58 .7187l-81.69-40.84c-7.875-3.969-17.52-.7187-21.47 7.156c-3.953 7.906-.75 17.5 7.156 21.47l81.7 40.84c6.828 3.406 14.16 5.094 21.47 5.094c8.75 0 17.47-2.406 25.23-7.219C567.5 492.2 576 476.1 576 460.2V307.8C576 291 567.5 275.8 553.3 266.1zM144 88c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24c13.26 0 24-10.75 24-24C168 98.74 157.3 88 144 88zM336 88c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24c13.26 0 24-10.75 24-24C360 98.74 349.3 88 336 88z"],
    "camera-polaroid": [576, 512, [], "f8aa", "M288 112c-44.11 0-80 35.88-80 80s35.89 80 80 80s80-35.88 80-80S332.1 112 288 112zM288 240C261.5 240 240 218.5 240 192S261.5 144 288 144s48 21.53 48 48S314.5 240 288 240zM561.1 318.5L512 256L512 96c0-35.35-28.65-64-64-64H128C92.65 32 64 60.65 64 96l.0001 160L14.03 318.5C4.947 329.8 0 343.9 0 358.5V416c0 35.2 28.8 64 64 64h448c35.2 0 64-28.8 64-64v-57.55C576 343.9 571.1 329.8 561.1 318.5zM96 267.2V96c0-17.67 14.33-32 32-32h320c17.67 0 32 14.33 32 32v171.2L522.2 320H53.78L96 267.2zM544 416c0 17.6-14.4 32-32 32H64c-17.6 0-32-14.4-32-32v-63.86l511.9-.0713c.0566 .0547-.0547-.0566 0 0L544 416zM464 384h-352C103.2 384 96 391.2 96 400C96 408.8 103.2 416 112 416h352c8.838 0 16-7.164 16-16C480 391.2 472.8 384 464 384zM416 104c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24c13.26 0 24-10.75 24-24C440 114.7 429.3 104 416 104z"],
    "camera-retro": [512, 512, [128247], "f083", "M0 416V144C0 108.7 28.65 80 64 80H192L238.9 44.8C250 36.49 263.5 32 277.3 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416zM64 112C46.33 112 32 126.3 32 144V224H145.1C167.3 185.7 208.6 160 256 160C303.4 160 344.7 185.7 366.9 224H480V96C480 78.33 465.7 64 448 64H277.3C270.4 64 263.7 66.25 258.1 70.4L211.2 105.6C205.7 109.8 198.9 112 192 112H64zM32 256V416C32 433.7 46.33 448 64 448H448C465.7 448 480 433.7 480 416V256H379.1C382.6 266.2 384 276.1 384 288C384 358.7 326.7 416 256 416C185.3 416 128 358.7 128 288C128 276.1 129.4 266.2 132 256H32zM256 192C202.1 192 160 234.1 160 288C160 341 202.1 384 256 384C309 384 352 341 352 288C352 234.1 309 192 256 192zM64 48C64 39.16 71.16 32 80 32H144C152.8 32 160 39.16 160 48C160 56.84 152.8 64 144 64H80C71.16 64 64 56.84 64 48z"],
    "camera-rotate": [512, 512, [], "e0d8", "M352 176c-8.844 0-16 7.156-16 16v25.72C315.7 194.6 287.1 181 256 181c-33.16 0-63.91 15-84.34 41.14C166.2 229.1 167.5 239.2 174.4 244.6C181.4 250 191.4 248.8 196.9 241.9C224.1 205.9 283.9 205.4 313.3 240H288c-8.844 0-16 7.156-16 16s7.156 16 16 16h64c8.844 0 16-7.156 16-16V192C368 183.2 360.8 176 352 176zM315.1 334.1C287 370.1 228.1 370.6 198.8 336H224c8.844 0 16-7.156 16-16S232.8 304 224 304H160c-8.844 0-16 7.156-16 16v64c0 8.844 7.156 16 16 16s16-7.156 16-16v-25.72C196.3 381.4 224.9 395 256 395c33.16 0 63.91-15 84.34-41.14c5.438-6.969 4.203-17.03-2.75-22.47C330.6 325.9 320.6 327.2 315.1 334.1zM448 96h-72l-8.457-22.51C358.2 48.55 334.3 32 307.6 32H204.4C177.7 32 153.9 48.51 144.5 73.45L136 96H64C28.65 96 0 124.7 0 160v256c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V160C512 124.7 483.3 96 448 96zM480 416c0 17.6-14.4 32-32 32H64c-17.6 0-32-14.4-32-32V160c0-17.6 14.4-32 32-32h94.25l16.11-43.18C179 72.3 190.1 64 204.3 64h103.3c13.36 0 25.31 8.301 29.98 20.82L353.8 128H448c17.6 0 32 14.4 32 32V416z"],
    "camera-security": [448, 512, ["camera-home"], "f8fe", "M384 0h-320c-35.35 0-64 28.65-64 64v288c0 35.35 28.65 64 64 64h43.7l-36.26 43.5c-8.031 9.656-9.719 22.72-4.391 34.09C72.38 504.9 83.48 512 96.03 512h255.9c12.55 0 23.66-7.062 28.98-18.41c5.328-11.38 3.641-24.44-4.391-34.09L340.3 416h43.7c35.35 0 64-28.65 64-64V64C448 28.65 419.3 0 384 0zM351.1 480H96.03l53.35-64h149.2L351.1 480zM416 352c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V64c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V352zM224 80c-70.69 0-127.1 57.31-127.1 128c0 70.69 57.31 128 127.1 128c70.69 0 128-57.31 128-128C352 137.3 294.7 80 224 80zM224 304c-52.93 0-96-43.07-96-96c0-52.94 43.07-96 96-96c52.94 0 96 43.06 96 96C320 260.9 276.9 304 224 304z"],
    "camera-slash": [640, 512, [], "e0d9", "M633.9 483.4C640.9 488.9 642 498.1 636.6 505.9C631.1 512.9 621 514 614.1 508.6L6.086 28.56C-.8493 23.08-2.033 13.02 3.443 6.086C8.918-.8493 18.98-2.033 25.91 3.443L633.9 483.4zM459.9 448L500.4 480H128C92.65 480 64 451.3 64 416V160C64 152.4 65.32 145.1 67.74 138.4L96 160.7V416C96 433.7 110.3 448 128 448L459.9 448zM258.6 32H381.4C402.1 32 420.4 45.22 426.9 64.82L437.3 96H512C547.3 96 576 124.7 576 160V376.6L544 351.3V160C544 142.3 529.7 128 512 128H414.3L396.6 74.94C394.4 68.41 388.3 64 381.4 64H258.6C251.7 64 245.6 68.41 243.4 74.94L233.1 105.9L206.4 84.78L213.1 64.82C219.6 45.22 237.9 32 258.6 32H258.6zM208 288C208 275.9 209.9 264.3 213.4 253.4L241 275.2C240.3 279.4 240 283.6 240 288C240 332.2 275.8 368 320 368C330.9 368 341.3 365.8 350.8 361.9L378.4 383.6C361.4 394 341.4 400 320 400C258.1 400 208 349.9 208 288V288zM428.5 260.1L321.1 176C373.3 176.9 416.3 212.4 428.5 260.1z"],
    "camera-viewfinder": [512, 512, ["screenshot"], "e0da", "M0 48C0 21.49 21.49 0 48 0H144C152.8 0 160 7.164 160 16C160 24.84 152.8 32 144 32H48C39.16 32 32 39.16 32 48V144C32 152.8 24.84 160 16 160C7.164 160 0 152.8 0 144V48zM320 256C320 291.3 291.3 320 256 320C220.7 320 192 291.3 192 256C192 220.7 220.7 192 256 192C291.3 192 320 220.7 320 256zM256 224C238.3 224 224 238.3 224 256C224 273.7 238.3 288 256 288C273.7 288 288 273.7 288 256C288 238.3 273.7 224 256 224zM325.8 111.6L332 128H360C390.9 128 416 153.1 416 184V328C416 358.9 390.9 384 360 384H152C121.1 384 96 358.9 96 328V184C96 153.1 121.1 128 152 128H180L186.2 111.6C189.7 102.2 198.6 96 208.6 96H303.4C313.4 96 322.3 102.2 325.8 111.6zM152 160C138.7 160 128 170.7 128 184V328C128 341.3 138.7 352 152 352H360C373.3 352 384 341.3 384 328V184C384 170.7 373.3 160 360 160H309.8L297.8 128H214.2L202.2 160H152zM464 0C490.5 0 512 21.49 512 48V144C512 152.8 504.8 160 496 160C487.2 160 480 152.8 480 144V48C480 39.16 472.8 32 464 32H368C359.2 32 352 24.84 352 16C352 7.164 359.2 0 368 0H464zM0 368C0 359.2 7.164 352 16 352C24.84 352 32 359.2 32 368V464C32 472.8 39.16 480 48 480H144C152.8 480 160 487.2 160 496C160 504.8 152.8 512 144 512H48C21.49 512 0 490.5 0 464V368zM368 512C359.2 512 352 504.8 352 496C352 487.2 359.2 480 368 480H464C472.8 480 480 472.8 480 464V368C480 359.2 487.2 352 496 352C504.8 352 512 359.2 512 368V464C512 490.5 490.5 512 464 512H368z"],
    "camera-web": [448, 512, ["webcam"], "f832", "M390.7 437.8C387.6 434.1 383.1 432 378.4 432c-13.57 0-20.99 15.83-12.3 26.26L384.2 480h-319.9l18.12-21.74C91.13 447.8 83.72 432 70.14 432c-4.75 0-9.256 2.109-12.3 5.758l-17.14 20.56c-7.895 9.471-10.71 22.65-5.932 34.02c5.082 12.07 16.33 19.66 29.33 19.66L382.7 512c12.34 0 24.27-6.303 29.92-17.27c5.992-11.63 4.469-25.25-3.832-35.23L390.7 437.8zM224 448c123.7 0 224-100.3 224-223.1c0-123.7-100.3-224-224-224c-123.7 0-224 100.3-224 224C0 347.7 100.3 448 224 448zM224 32c105.9 0 192 86.13 192 192s-86.13 192-192 192s-192-86.13-192-192S118.1 32 224 32zM224 368c79.41 0 144-64.59 144-144S303.4 80 224 80S80 144.6 80 224S144.6 368 224 368zM224 112c61.75 0 112 50.25 112 112s-50.25 112-112 112S112 285.8 112 224S162.3 112 224 112z"],
    "camera-web-slash": [640, 512, ["webcam-slash"], "f833", "M452.9 279.3C460 262.3 464 243.6 464 224c0-79.41-64.59-144-144-144c-31.59 0-60.59 10.53-84.35 27.84L262 128.7C278.1 118.3 298.7 112 320 112c61.75 0 112 50.25 112 112c0 12-2.395 23.35-5.906 34.2L452.9 279.3zM103.7 166.8C98.83 185.1 95.1 204.2 95.1 223.1c0 123.7 100.3 224 224 224c38.39 0 74.5-9.686 106.1-26.7l-27.96-22.08C374.2 409.9 347.8 416 320 416c-105.9 0-192-86.13-192-192c0-12.09 1.256-23.88 3.404-35.35L103.7 166.8zM320 32c105.9 0 192 86.13 192 192c0 30.87-7.5 59.97-20.5 85.84l25.76 20.33c17.04-31.6 26.74-67.75 26.74-106.2c0-123.7-100.3-223.1-223.1-223.1c-57.21 0-109.2 21.63-148.8 56.93l25.5 20.13C230.1 48.99 273.1 32 320 32zM320 368c11.47 0 22.5-1.693 33.2-4.24l-35.45-27.98c-50.89-1.029-93.21-36.15-105.7-83.43L176 223.9c0 .0449 0-.0449 0 0C176 303.3 240.6 368 320 368zM495.1 480H160.3l18.12-21.74c8.691-10.43 1.277-26.26-12.3-26.26c-4.75 0-9.256 2.109-12.3 5.758l-17.14 20.56c-7.201 8.639-10.41 20.42-6.998 31.13c4.379 13.74 16.39 22.54 30.4 22.54l335.9 .0145C504.9 512 512 504.8 512 496C512 487.2 504.8 480 495.1 480zM633.9 483.4L25.92 3.424c-6.938-5.453-17-4.25-22.48 2.641c-5.469 6.938-4.281 17 2.641 22.48l608 480c2.938 2.312 6.438 3.438 9.906 3.438c4.734 0 9.422-2.094 12.58-6.078C642 498.1 640.8 488.9 633.9 483.4z"],
    "campfire": [512, 512, [], "f6ba", "M256 320c79.5 0 144-64.5 144-144c0-33.25-33.38-102-80-144c-13.38 12-25.5 24.75-36.13 37.5C266.4 46 244.6 22.25 220 0c-63.13 57-108 131.3-108 176C112 255.5 176.5 320 256 320zM220.2 44.38c14.12 14.38 27 29.38 38.13 44.25L282.4 121l26-31c3.5-4.25 7.25-8.375 11-12.38C350 114.5 368 159.3 368 176c0 61.75-50.25 112-112 112s-112-50.25-112-112C144 148.3 172 94.38 220.2 44.38zM501.5 480.1L302.5 408l199-72.97c8.281-3.062 12.55-12.25 9.5-20.53c-3.047-8.312-12.17-12.53-20.53-9.531L256 390.9L21.52 304.1c-8.297-3-17.48 1.219-20.53 9.531c-3.047 8.281 1.219 17.47 9.5 20.53L209.5 408l-199 72.97c-8.281 3.062-12.55 12.25-9.5 20.53C3.359 508 9.484 512 16 512c1.828 0 3.688-.3125 5.516-.9687L256 425.1l234.5 85.98C492.3 511.7 494.2 512 496 512c6.516 0 12.64-4 15.02-10.5C514.1 493.2 509.8 484 501.5 480.1z"],
    "campground": [576, 512, [9978], "f6bb", "M394.3 3.745C401.1 9.425 401.9 19.52 396.3 26.29L308.9 130.4L532.8 397.2C540 405.8 544 416.7 544 428V464C544 490.5 522.5 512 496 512H80C53.49 512 32 490.5 32 464V428C32 416.7 35.98 405.8 43.23 397.2L267.1 130.4L179.7 26.29C174.1 19.52 174.9 9.425 181.7 3.745C188.5-1.936 198.6-1.054 204.3 5.715L287.1 105.5L371.7 5.715C377.4-1.054 387.5-1.936 394.3 3.745H394.3zM64 428V464C64 472.8 71.16 480 80 480H129.9L275.4 294.1C278.4 290.3 283.1 288 288 288C292.9 288 297.6 290.3 300.6 294.1L446.1 480H496C504.8 480 512 472.8 512 464V428C512 424.2 510.7 420.6 508.3 417.7L288 155.3L67.74 417.7C65.33 420.6 64 424.2 64 428zM170.6 480H405.4L288 329.1L170.6 480z"],
    "can-food": [384, 512, [129387], "e3e6", "M192 0C106.7 0 16 28.03 16 80v358.9C16 479.3 94.8 512 192 512s176-32.75 176-73.14V80C368 28.03 277.3 0 192 0zM336 269.2c-15.1 11.41-38.93 20.82-68.03 26.97C257.8 263.7 227.8 240 192 240S126.2 263.7 116 296.2C86.93 290 63.1 280.6 47.1 269.2l-.002-141.9C81.94 148.7 138 160 192 160c53.99 0 110.1-11.26 144-32.67L336 269.2zM240 320c0 26.47-21.53 48-48 48S144 346.5 144 320S165.5 272 192 272S240 293.5 240 320zM192 32c87.91 0 144 28.42 144 48S279.9 128 192 128S48 99.58 48 80S104.1 32 192 32zM192 480c-95.15 0-142.1-31.33-144-41.14L47.1 306.6c17.72 9.166 39.67 16.44 64.82 21.49C116.1 368.4 150.7 400 192 400s75.04-31.62 79.18-71.87c25.15-5.051 47.11-12.33 64.83-21.5l.002 132.1C334.1 448.7 287.1 480 192 480z"],
    "candle-holder": [448, 512, [128367], "f6bc", "M160 191.1c45.88 0 77.1-32.62 77.1-79.25C237.1 82.75 205.4 37.88 160 0C114.4 38 81.1 82.88 81.1 112.8C81.1 159.4 114.1 191.1 160 191.1zM160 43.13c31.5 30.88 45.1 58.25 45.1 69.63C205.1 141.9 188.4 160 160 160S113.1 141.9 113.1 112.8C113.1 101.4 128.5 74 160 43.13zM371 385.3c-23.94 4.682-43.7 24.2-49.28 47.94C317.6 450.8 321.1 466.6 328.9 480H256V272C256 245.6 234.4 224 208 224h-96C85.6 224 64 245.6 64 272V480H16C7.199 480 0 487.2 0 496C0 504.8 7.182 512 15.98 512h364.5c32.18 0 61.96-22.19 66.76-54.01C453.9 413.8 415.5 376.6 371 385.3zM224 480H96V272C96 263.2 103.2 256 112 256H128v48C128 312.9 135.1 320 144 320S160 312.9 160 304V256h48C216.8 256 224 263.2 224 272V480zM384 480c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S401.6 480 384 480z"],
    "candy": [640, 512, [127852], "e3e7", "M636.5 273.1C639 277.1 640.3 281.1 639.1 285.1C639.7 289.2 637.9 292.1 634.9 295.7C631.9 298.5 628 300 624 300C623.2 299.1 622.5 299.9 621.7 299.8L520.8 285.4L621.3 320.9C624.9 322.1 627.9 324.6 629.8 327.9C631.7 331.1 632.4 334.1 631.8 338.7C631.2 342.4 629.2 345.8 626.3 348.2C623.4 350.7 619.8 352 616 352C614.2 352 612.4 351.7 610.7 351.1L503.3 313.2C491.2 352.3 466.8 386.5 433.8 410.8C400.8 435.1 360.1 448.2 319.1 448.2C279 448.2 239.2 435.1 206.2 410.8C173.2 386.5 148.8 352.3 136.7 313.2L29.34 351.1C27.62 351.7 25.82 352 23.1 352C20.22 352 16.55 350.7 13.66 348.2C10.77 345.8 8.831 342.4 8.195 338.7C7.558 334.1 8.262 331.1 10.18 327.9C12.1 324.6 15.12 322.1 18.69 320.9L119.2 285.4L18.27 299.8C17.52 299.9 16.76 299.1 15.1 300C11.95 300 8.051 298.5 5.086 295.7C2.122 292.1 .313 289.2 .025 285.1C-.2633 281.1 .9905 277.1 3.534 273.1C6.076 270.8 9.719 268.7 13.73 268.2L98.85 256L13.73 243.8C9.533 243.2 5.748 240.1 3.204 237.6C.6605 234.2-.4345 229.1 .1594 225.8C.8087 221.6 3.066 217.8 6.449 215.3C9.833 212.7 14.07 211.6 18.27 212.2L119.2 226.6L18.69 191.1C14.68 189.7 11.4 186.7 9.568 182.9C7.734 179.1 7.498 174.7 8.911 170.7C10.32 166.7 13.27 163.4 17.1 161.6C20.93 159.7 25.34 159.5 29.34 160.9L136.7 198.8C148.8 159.7 173.2 125.5 206.2 101.2C239.2 76.93 279 63.84 319.1 63.84C360.1 63.84 400.8 76.93 433.8 101.2C466.8 125.5 491.2 159.7 503.3 198.8L610.7 160.9C614.7 159.5 619.1 159.7 622.9 161.6C626.7 163.4 629.7 166.7 631.1 170.7C632.5 174.7 632.3 179.1 630.4 182.9C628.6 186.7 625.3 189.7 621.3 191.1L520.8 226.6L621.7 212.2C625.9 211.6 630.2 212.6 633.6 215.2C636.1 217.7 639.2 221.5 639.8 225.7C640.4 229.9 639.4 234.2 636.8 237.6C634.3 240.1 630.5 243.2 626.3 243.8L541.2 256L626.3 268.2C630.3 268.7 633.9 270.8 636.5 273.1H636.5zM449.6 162.7C429.9 135.6 402.2 115.3 370.3 104.8L471.1 306.4C476.8 290.2 479.8 273.2 480 256C479.9 222.5 469.3 189.8 449.6 162.7zM190.4 349.3C210.1 376.4 237.8 396.7 269.7 407.2L168.9 205.6C163.2 221.8 160.2 238.8 159.1 256C160.1 289.5 170.7 322.2 190.4 349.3zM319.1 416C339.4 415.9 358.6 412.2 376.7 405.1L234.7 121.2C215.3 133.4 198.8 149.6 186.2 168.7L309.3 414.9C312.9 415.2 316.4 416 319.1 416zM453.8 343.3L330.7 97.09C327.1 96.83 323.6 96 319.1 96C300.6 96.12 281.4 99.81 263.3 106.9L405.3 390.8C424.7 378.6 441.2 362.4 453.8 343.3z"],
    "candy-bar": [640, 512, [127851, "chocolate-bar"], "e3e8", "M589.3 82.75C601.3 94.75 608 111 608 128V384C608 400.1 601.3 417.3 589.3 429.3C577.3 441.3 560.1 448 544 448H32C15.03 448-1.252 441.3-13.25 429.3C-25.26 417.3-32 400.1-32 384V222.4C-13.93 218.7 2.31 208.9 13.97 194.6C25.64 180.3 32 162.4 32 144V128H48C66.44 128 84.32 121.6 98.61 109.1C112.9 98.31 122.7 82.07 126.4 64H544C560.1 64 577.3 70.74 589.3 82.75zM62.98 158.1C61.23 170.5 57.66 181.6 52.42 192H128V125.2C110.7 143.5 87.83 155.4 62.98 158.1zM0 320H128V224H29.25C20.71 232.6 10.83 239.8 0 245.2V320zM128 416V352H0V384C0 392.5 3.372 400.6 9.372 406.6C15.37 412.6 23.51 416 32 416H128zM288 352H160V416H288V352zM288 224H160V320H288V224zM288 96H160V192H288V96zM576 128C576 119.5 572.6 111.4 566.6 105.4C560.6 99.37 552.5 96 544 96H320V416H544C552.5 416 560.6 412.6 566.6 406.6C572.6 400.6 576 392.5 576 384V128z"],
    "candy-cane": [512, 512, [], "f786", "M497.5 91.1C469.6 33.12 411.8 0 352.4 0c-27.88 0-56.14 7.25-81.77 22.62L243.1 38.1C227.9 48.12 223 67.75 232.1 82.87l32.76 54.87c9.375 15.75 29.38 19.94 43.88 11.06l27.51-16.37c36-21.5 69.6 33.02 32.85 54.9L15.6 397.6c-15.25 9.125-20.13 28.62-11 43.87l32.76 54.87C43.35 506.4 53.97 512 64.85 512c5.625 0 11.27-1.507 16.39-4.507l347.4-206.5C500.2 258.1 533.2 167.5 497.5 91.1zM292.2 121.4l-32.75-54.88C291.7 47.25 312.6 32.12 351.1 32v64C328.3 96.25 314.7 108.1 292.2 121.4zM383.2 104h.75V36.12c36.75 9.125 67.75 34 84.63 69.5c3.375 7.125 6 14.62 7.875 22.25h-68.5c-.25-.25-.25-.5643-.375-.8143C401.7 117.2 393.2 109.4 383.2 104zM256.7 291.4l82.38-48.1l64.25 36.25l-82.25 49L256.7 291.4zM289.3 346.5l-87.5 52l-64.25-36.25l87.5-52L289.3 346.5zM64.72 480l-32.88-54.88l73.88-43.88l64.38 36.13L64.72 480zM432.7 258.5l-62-34.88l14.63-8.75C405.4 203 416.2 181.8 416.2 160h63C478.4 196.5 462.1 232.8 432.7 258.5z"],
    "candy-corn": [640, 512, [], "f6bd", "M479.1 0c-165.8 1.625-164.5 39.5-157.9 72.5c30.38 151.5 94.01 343.5 157.8 343.5c63.75-.125 127.6-191.9 158-343.5C644.5 39.5 645.8 1.625 479.1 0zM479.9 384c-12.75 0-39.25-37.13-67.38-108.8c43.75-3.75 91.13-3.75 135 0C519.3 346.9 492.8 384 479.9 384zM559 244.3c-50.88-5-107.3-5-158 0c-9.502-27.12-19-58-28-92.63c66.63-9.75 147.4-9.875 214 0C577.9 186.3 568.5 217.1 559 244.3zM606.6 66.13c-3.75 19-7.875 36.88-11.88 54.25c-71.38-10.88-158.1-10.88-229.5 0c-4-17.38-8.125-35.25-11.88-54.25c-2-9.877-1.5-12.38-1.25-13C352.2 52.88 364.1 33.13 479.1 32c115 1.125 127.8 20.88 127.9 21.12C608.1 53.75 608.6 56.25 606.6 66.13zM84.97 205.8c-116.1 118.5-88.35 144.4-60.47 162.1c128.6 85.63 309.5 176.4 354.5 131.3c44.88-45.25-45.39-225.9-131.1-354.6C229.2 117.5 203.4 89.77 84.97 205.8zM356.4 477.4c-9.002 9-54 1.625-124.5-29.12c28.25-33.63 61.88-67.13 95.38-95.5C357.1 423.4 365.4 468.4 356.4 477.4zM313.5 322.6c-39.5 32.5-79.38 72.25-111.8 111.8c-25.88-12.5-54.38-27.62-85.25-45.75c40.13-54 97.25-111.1 151.3-151.3C285.9 268.3 300.1 296.8 313.5 322.6zM88.98 372c-15.25-9.375-30.75-19.13-46.88-29.88c-8.375-5.625-9.875-7.75-10.12-8.375c0-.125-5-23.12 75.63-105.3c82.13-80.63 105.1-75.63 105.3-75.63C213.5 153.1 215.6 154.6 221.2 163C231.1 179.1 241.7 194.6 251.1 209.9C193.1 252.6 131.7 314 88.98 372z"],
    "cannabis": [576, 512, [], "f55f", "M288 224C279.2 224 272 231.2 272 240v256c0 8.799 7.199 16 16 16s16-7.201 16-16v-256C304 231.2 296.8 224 288 224zM526.4 323.4c-1.125-.5-19.5-9.75-47.88-17.75c48.25-64.25 63.88-129.8 64.63-133.1c2.5-10.62-.625-21.75-8.25-29.5C528.9 136.8 520.6 133.4 512 133.4c-2.125 0-4.375 .125-6.625 .625c-3.25 .75-66.25 14.38-130.6 56c-8.625-97.75-57.88-172.4-60.13-175.8C308.6 5.375 298.6 0 288 0S267.4 5.375 261.4 14.25c-2.25 3.375-51.5 78-60.13 175.8c-64.38-41.63-127.3-55.25-130.6-56C68.38 133.5 66.25 133.4 64 133.4c-8.5 0-16.75 3.375-22.88 9.625C33.5 150.8 30.22 161.8 32.72 172.5C33.47 175.8 49.25 241.4 97.5 305.6c-28.25 8-46.75 17.25-47.88 17.75C38.88 328.9 32 339.9 32 352c0 12 6.75 23.12 17.5 28.5c2.375 1.25 54.5 27.25 121 30c-2.875 6.75-4.25 11-4.375 11.5c-3.887 11.66-.8008 24.57 8.402 33.39c5.787 5.545 13.74 8.561 21.76 8.607c3.064 .0195 6.268-.3496 9.34-1.373C206.7 462.3 220.6 458 240 448.1v-35.84C215.3 426.2 196.5 432 196.5 432c3.693-11.25 8.465-21.41 13-29.89c5.832-10.9-2.039-24.05-14.39-23.68c-4.252 .127-8.74 .1934-13.48 .1934C116.6 378.6 64 352 64 352s26.18-13.17 64.32-21.01c11.97-2.461 17.17-16.95 9.062-26.09C90.2 251.7 67.51 180.5 64 165.4c62.67 13.18 113.3 45.53 142.4 67.82C216.9 241.3 232 233.7 232 220.4C232 219.8 232 219.2 232 218.6C232 115.6 288 32 288 32s56 83.63 56 186.6c0 .5215 0 1.039-.002 1.557c-.0371 13.32 15.09 20.94 25.65 12.82C398.5 210.8 448.9 178.6 512 165.4c-3.48 15.02-26.44 86.49-73.45 139.6c-8.084 9.125-2.891 23.58 9.053 26.04C485.8 338.8 512 352 512 352s-52.63 26.62-117.6 26.62c-4.785 0-9.312-.0684-13.6-.1973c-12.33-.373-20.24 12.76-14.4 23.62C371 410.7 375.9 420.9 379.5 432c0 0-18.85-5.807-43.5-18.86V449c19.42 9.031 33.29 13.29 34.38 13.62C373.4 463.6 376.5 464 379.5 464c8.5 0 16.88-3.375 23-9.75c8.25-8.5 11.12-21 7.375-32.25c-.125-.5-1.5-4.75-4.375-11.5c66.5-2.75 118.6-28.75 121-30C537.3 375.1 544 364 544 352C544 339.9 537.3 328.9 526.4 323.4z"],
    "capsules": [576, 512, [], "f46b", "M554.6 302.2l-131.7-181.2c-21.01-28.91-54.9-46.17-90.67-46.17c-23.76 0-46.51 7.398-65.77 21.39C244.1 112.4 230 135.6 224 160.6L223.9 143.9C223.9 82.19 173.7 32 111.1 32S-.0021 82.2-.0021 143.1L-.0028 368c0 61.76 50.24 112 112 112s112-50.24 112-112L224 214.4C227.4 227.8 233.1 240.8 241.7 252.6l131.7 181.2C394.4 462.7 428.3 480 464.1 480c23.76 0 46.5-7.398 65.77-21.4C579.8 422.3 590.9 352.1 554.6 302.2zM191.1 368c0 44.18-35.81 80-79.1 80c-44.18 0-79.1-35.82-79.1-80L32 272h160L191.1 368zM192 240H32l-.0003-96c0-44.18 35.82-80 79.1-80c44.18 0 79.1 35.82 79.1 80L192 240zM285.3 122.1c14.2-10.32 30.65-15.28 46.96-15.29c24.74 0 49.13 11.44 64.79 32.98l71.7 98.68l-15.27-20.1l-129.4 94.03L267.6 233.8C241.6 198.1 249.6 148 285.3 122.1zM511 432.7C496.8 443 480.4 448 464.1 448c-24.74 0-49.13-11.44-64.79-32.98L339.1 332.1l3.787 5.209l129.5-94.03l56.42 77.66C554.7 356.7 546.8 406.7 511 432.7z"],
    "car": [512, 512, [128664, "automobile"], "f1b9", "M80 296C80 282.7 90.75 272 104 272C117.3 272 128 282.7 128 296C128 309.3 117.3 320 104 320C90.75 320 80 309.3 80 296zM432 296C432 309.3 421.3 320 408 320C394.7 320 384 309.3 384 296C384 282.7 394.7 272 408 272C421.3 272 432 282.7 432 296zM48.29 204.7L82.99 89.01C93.14 55.17 124.3 32 159.6 32H352.4C387.7 32 418.9 55.17 429 89.01L463.7 204.7C492.6 221.2 512 252.3 512 288V464C512 472.8 504.8 480 496 480C487.2 480 480 472.8 480 464V416H32V464C32 472.8 24.84 480 16 480C7.164 480 0 472.8 0 464V288C0 252.3 19.44 221.2 48.29 204.7zM85.33 192.6C88.83 192.2 92.39 192 96 192H416C419.6 192 423.2 192.2 426.7 192.6L398.4 98.21C392.3 77.9 373.6 64 352.4 64H159.6C138.4 64 119.7 77.9 113.6 98.21L85.33 192.6zM32 288V384H480V288C480 260.3 462.4 236.7 437.7 227.8L437.3 227.9L437.2 227.6C430.5 225.3 423.4 224 416 224H96C88.58 224 81.46 225.3 74.83 227.6L74.73 227.9L74.27 227.8C49.62 236.7 32 260.3 32 288V288z"],
    "car-battery": [512, 512, ["battery-car"], "f5df", "M64 80C64 71.16 71.16 64 80 64H176C184.8 64 192 71.16 192 80C192 88.84 184.8 96 176 96H80C71.16 96 64 88.84 64 80zM320 80C320 71.16 327.2 64 336 64H432C440.8 64 448 71.16 448 80C448 88.84 440.8 96 432 96H336C327.2 96 320 88.84 320 80zM368 208C376.8 208 384 215.2 384 224V256H416C424.8 256 432 263.2 432 272C432 280.8 424.8 288 416 288H384V320C384 328.8 376.8 336 368 336C359.2 336 352 328.8 352 320V288H320C311.2 288 304 280.8 304 272C304 263.2 311.2 256 320 256H352V224C352 215.2 359.2 208 368 208zM192 256C200.8 256 208 263.2 208 272C208 280.8 200.8 288 192 288H96C87.16 288 80 280.8 80 272C80 263.2 87.16 256 96 256H192zM0 192C0 156.7 28.65 128 64 128H448C483.3 128 512 156.7 512 192V384C512 419.3 483.3 448 448 448H64C28.65 448 0 419.3 0 384V192zM32 192V384C32 401.7 46.33 416 64 416H448C465.7 416 480 401.7 480 384V192C480 174.3 465.7 160 448 160H64C46.33 160 32 174.3 32 192z"],
    "car-bolt": [512, 512, [], "e341", "M80 296C80 282.7 90.75 272 104 272C117.3 272 128 282.7 128 296C128 309.3 117.3 320 104 320C90.75 320 80 309.3 80 296zM432 296C432 309.3 421.3 320 408 320C394.7 320 384 309.3 384 296C384 282.7 394.7 272 408 272C421.3 272 432 282.7 432 296zM230.6 192H320C326.5 192 332.3 195.9 334.8 201.9C337.3 207.9 335.9 214.7 331.3 219.3L235.3 315.3C229.1 321.6 218.9 321.6 212.7 315.3C206.4 309.1 206.4 298.9 212.7 292.7L281.4 223.1H192C185.5 223.1 179.7 220.1 177.2 214.1C174.7 208.1 176.1 201.3 180.7 196.7L276.7 100.7C282.9 94.44 293.1 94.44 299.3 100.7C305.6 106.9 305.6 117.1 299.3 123.3L230.6 192zM48.29 204.7L82.99 89.01C93.14 55.17 124.3 32 159.6 32H352.4C387.7 32 418.9 55.17 429 89.01L463.7 204.7C492.6 221.2 512 252.3 512 288V464C512 472.8 504.8 480 496 480C487.2 480 480 472.8 480 464V416H32V464C32 472.8 24.84 480 16 480C7.164 480 0 472.8 0 464V288C0 252.3 19.44 221.2 48.29 204.7zM85.33 192.6C88.83 192.2 92.39 192 96 192H128V224H96C88.58 224 81.46 225.3 74.83 227.6L74.73 227.9L74.27 227.8C49.62 236.7 32 260.3 32 288V384H480V288C480 260.3 462.4 236.7 437.7 227.8L437.3 227.9L437.2 227.6C430.5 225.3 423.4 224 416 224H384V192H416C419.6 192 423.2 192.2 426.7 192.6L398.4 98.21C392.3 77.9 373.6 64 352.4 64H159.6C138.4 64 119.7 77.9 113.6 98.21L85.33 192.6z"],
    "car-building": [640, 512, [], "f859", "M32 64V416C32 433.7 46.33 448 64 448H224V480H64C28.65 480 0 451.3 0 416V64C0 28.65 28.65 0 64 0H288C323.3 0 352 28.65 352 64V148.2C340.3 151.8 329.4 157.6 320 165.2V64C320 46.33 305.7 32 288 32H64C46.33 32 32 46.33 32 64V64zM264 192C276.5 192 286.7 201.5 287.9 213.7L269.6 277.8C265.3 280.9 261.4 284.3 257.6 288H216C202.7 288 192 277.3 192 264V216C192 202.7 202.7 192 216 192H264zM224 224V256H256V224H224zM136 64C149.3 64 160 74.75 160 88V136C160 149.3 149.3 160 136 160H88C74.75 160 64 149.3 64 136V88C64 74.75 74.75 64 88 64H136zM128 128V96H96V128H128zM192 88C192 74.75 202.7 64 216 64H264C277.3 64 288 74.75 288 88V136C288 149.3 277.3 160 264 160H216C202.7 160 192 149.3 192 136V88zM224 96V128H256V96H224zM136 192C149.3 192 160 202.7 160 216V264C160 277.3 149.3 288 136 288H88C74.75 288 64 277.3 64 264V216C64 202.7 74.75 192 88 192H136zM128 256V224H96V256H128zM136 320C149.3 320 160 330.7 160 344V392C160 405.3 149.3 416 136 416H88C74.75 416 64 405.3 64 392V344C64 330.7 74.75 320 88 320H136zM128 384V352H96V384H128zM312 376C312 362.7 322.7 352 336 352C349.3 352 360 362.7 360 376C360 389.3 349.3 400 336 400C322.7 400 312 389.3 312 376zM584 376C584 389.3 573.3 400 560 400C546.7 400 536 389.3 536 376C536 362.7 546.7 352 560 352C573.3 352 584 362.7 584 376zM380.2 176H515.8C544.4 176 569.5 194.9 577.3 222.4L598.1 298.1C623.4 311.8 640 337.1 640 368V496C640 504.8 632.8 512 624 512C615.2 512 608 504.8 608 496V464H287.1V496C287.1 504.8 280.8 512 271.1 512C263.2 512 255.1 504.8 255.1 496V368C255.1 337.1 272.6 311.8 297 298.1L318.7 222.4C326.5 194.9 351.6 176 380.2 176H380.2zM380.2 208C365.9 208 353.4 217.5 349.4 231.2L333.2 288C334.1 288 335.1 288 336 288H560C560.9 288 561.9 288 562.8 288L546.6 231.2C542.6 217.5 530.1 208 515.8 208H380.2zM608 368C608 341.5 586.5 320 560 320H336C309.5 320 288 341.5 288 368V432H608V368z"],
    "car-bump": [640, 512, [], "f5e0", "M157.3 308.9C160.6 321.1 153.4 333.6 141.2 336.9C129 340.1 116.5 332.9 113.2 320.7C109.1 308.5 117.2 296 129.4 292.8C141.5 289.5 154.1 296.7 157.3 308.9zM392.5 245.9C389.2 233.7 396.5 221.2 408.6 217.9C420.8 214.7 433.3 221.9 436.6 234.1C439.8 246.2 432.6 258.8 420.4 262C408.3 265.3 395.8 258.1 392.5 245.9V245.9zM64.17 132.1C65.22 96.83 89.3 66.39 123.4 57.24L296 10.1C330.1 1.856 366.2 16.18 384.8 46.24L445.7 144.9C475.8 154.5 500.5 178.8 509.3 211.6L551.4 368.7C553.6 376.8 548.8 385.2 540.7 387.3C532.6 389.5 524.2 384.7 522 376.6L510.2 332.5L98.66 442.8L110.5 486.9C112.7 494.1 107.8 503.3 99.72 505.5C91.6 507.7 83.26 502.9 81.08 494.7L38.98 337.6C30.2 304.8 39.48 271.5 60.73 248.1L64.17 132.1zM131.7 88.15C111.2 93.64 96.78 111.9 96.15 133.1L93.44 224.7C97.73 222.8 102.2 221.3 106.9 220L391.7 143.7C396.4 142.4 401.1 141.6 405.7 141L357.5 63.05C346.4 45.02 324.8 36.42 304.3 41.91L131.7 88.15zM69.89 329.3L91.9 411.5L500.4 301.1L478.4 219.9C469.3 185.7 434.2 165.4 400 174.6L115.1 250.9C81 260.1 60.74 295.2 69.89 329.3H69.89zM445.7 511.8C436.1 510.6 430.9 502.5 432.2 493.7C438.4 449.8 476.2 416 521.9 416C567.6 416 605.4 449.8 611.7 493.7C612.9 502.5 606.8 510.6 598.1 511.8C589.3 513.1 581.2 507 579.1 498.3C575.9 469.8 551.5 448 521.9 448C492.4 448 467.9 469.8 463.8 498.3C462.6 507 454.5 513.1 445.7 511.8H445.7z"],
    "car-burst": [640, 512, ["car-crash"], "f5e1", "M222.6 87.16L288.9 70.78L265.7 109.5L217.5 121.4C210 123.2 202.3 119.5 199.1 112.6L176 62.31L152.9 112.6C149.7 119.5 141.1 123.2 134.5 121.4L80.86 108.1L105.7 157.5C109.2 164.4 107.3 172.7 101.2 177.4L57.36 211.1L111.5 222.4C118.1 223.1 124.3 230.7 124.2 238.4L123.2 293.6L155.9 266.6L144.1 310.5C143.3 313.4 142.8 316.3 142.5 319.2L116.8 340.5C111.1 344.5 105.3 345.3 99.64 342.6C94.01 339.9 90.47 334.1 90.58 327.9L91.96 251L16.73 235.3C10.61 233.1 5.803 229.3 4.413 223.2C3.022 217.1 5.306 210.7 10.26 206.9L71.21 160.1L36.62 91.44C33.81 85.86 34.5 79.15 38.4 74.27C42.29 69.38 48.68 67.21 54.75 68.71L129.4 87.16L161.5 17.32C164.1 11.64 169.7 8 175.1 8C182.2 8 187.9 11.64 190.5 17.32L222.6 87.16zM258.5 259.7C262.5 244.8 277.8 235.9 292.7 239.9C307.7 243.9 316.5 259.3 312.5 274.2C308.5 289.1 293.2 298 278.3 293.1C263.3 289.1 254.5 274.6 258.5 259.7zM564.9 341.8C560.9 356.8 545.5 365.6 530.6 361.6C515.7 357.6 506.8 342.3 510.8 327.3C514.8 312.4 530.2 303.5 545.1 307.5C560 311.5 568.9 326.9 564.9 341.8zM389.2 56.01L553.5 100.1C581.1 107.4 600.5 132.2 600.1 160.8L602.5 250.6C629.2 269.4 642.8 303.5 633.8 336.9L607.6 434.7C607.5 435.3 607.3 435.8 607.1 436.4L607.1 436.4L591.7 493.9C589.1 503.9 578.8 509.8 568.9 507.1C558.9 504.4 553 494.2 555.7 484.3L565.4 448.2L204.9 351.6L195.2 387.7C192.5 397.6 182.3 403.5 172.3 400.9C162.4 398.2 156.5 387.1 159.1 378L174 322.5L174.3 322.6C174.4 321.3 174.7 320 175 318.8L201.2 220.9C210.2 187.6 238.1 164.8 271.5 161.9L317.7 84.91C332.4 60.41 361.6 48.61 389.2 56L389.2 56.01zM380.9 86.92C367.1 83.22 352.5 89.12 345.2 101.4L306.2 166.3L570.2 236.1L568.1 161.3C568.7 147.1 559.1 134.7 545.3 130.1L380.9 86.92zM568.1 269.8L290.9 195.3C265.3 188.4 239 203.6 232.1 229.2L208 319.3L578.8 418.7L602.9 328.6C609.8 302.1 594.6 276.7 568.1 269.8L568.1 269.8z"],
    "car-bus": [640, 512, [], "f85a", "M32 256V352C32 369.7 46.33 384 64 384H224V416H64V464C64 472.8 56.84 480 48 480C39.16 480 32 472.8 32 464V407.4C12.87 396.4 0 375.7 0 352V110.2C0 88.95 4.48 62.07 25.97 45.04C54.78 22.22 107.5 0 192 0C276.5 0 329.2 22.22 358 45.04C379.5 62.07 384 88.94 384 110.2V144H380.2C370.5 144 360.1 145.5 352 148.2V128H208V224H284.9L275.8 256H32zM32.98 96H351C349.3 84.52 345.2 75.67 338.2 70.12C316.2 52.75 271 32 192 32C112.1 32 67.77 52.75 45.84 70.12C38.85 75.67 34.72 84.52 32.98 96V96zM32 128V224H176V128H32zM80 312C80 298.7 90.75 288 104 288C117.3 288 128 298.7 128 312C128 325.3 117.3 336 104 336C90.75 336 80 325.3 80 312zM312 376C312 362.7 322.7 352 336 352C349.3 352 360 362.7 360 376C360 389.3 349.3 400 336 400C322.7 400 312 389.3 312 376zM584 376C584 389.3 573.3 400 560 400C546.7 400 536 389.3 536 376C536 362.7 546.7 352 560 352C573.3 352 584 362.7 584 376zM380.2 176H515.8C544.4 176 569.5 194.9 577.3 222.4L598.1 298.1C623.4 311.8 640 337.1 640 368V496C640 504.8 632.8 512 624 512C615.2 512 608 504.8 608 496V464H287.1V496C287.1 504.8 280.8 512 271.1 512C263.2 512 255.1 504.8 255.1 496V368C255.1 337.1 272.6 311.8 297 298.1L318.7 222.4C326.5 194.9 351.6 176 380.2 176H380.2zM380.2 208C365.9 208 353.4 217.5 349.4 231.2L333.2 288C334.1 288 335.1 288 336 288H560C560.9 288 561.9 288 562.8 288L546.6 231.2C542.6 217.5 530.1 208 515.8 208H380.2zM608 368C608 341.5 586.5 320 560 320H336C309.5 320 288 341.5 288 368V432H608V368z"],
    "car-circle-bolt": [640, 512, [], "e342", "M32 288V384H320.7C321.7 394.1 323.7 405.7 326.6 416H32V464C32 472.8 24.84 480 16 480C7.164 480 0 472.8 0 464V288C0 252.3 19.44 221.2 48.29 204.7L82.99 89.01C93.14 55.17 124.3 32 159.6 32H352.4C387.7 32 418.9 55.17 429 89.01L460.1 195.5C436.7 200.4 414.3 210.3 394.8 224H96C88.58 224 81.46 225.3 74.83 227.6L74.73 227.9L74.27 227.8C49.62 236.7 32 260.3 32 288H32zM85.33 192.6C88.83 192.2 92.39 192 96 192H416C419.6 192 423.2 192.2 426.7 192.6L398.4 98.21C392.3 77.9 373.6 64 352.4 64H159.6C138.4 64 119.7 77.9 113.6 98.21L85.33 192.6zM80 296C80 282.7 90.75 272 104 272C117.3 272 128 282.7 128 296C128 309.3 117.3 320 104 320C90.75 320 80 309.3 80 296zM543.9 286.1C548.2 290.7 549.2 296.9 546.5 301.8L516.4 356H552C557.2 356 561.8 359.3 563.4 364.2C565 369.1 563.3 374.5 559.2 377.6L463.2 449.6C458.7 452.1 452.4 452.8 448.1 449C443.8 445.3 442.8 439.1 445.5 434.2L475.6 380H440C434.8 380 430.2 376.7 428.6 371.8C426.1 366.9 428.7 361.5 432.8 358.4L528.8 286.4C533.3 283 539.6 283.2 543.9 286.1V286.1zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 256C434.1 256 384 306.1 384 368C384 429.9 434.1 480 496 480C557.9 480 608 429.9 608 368C608 306.1 557.9 256 496 256z"],
    "car-garage": [640, 512, [], "f5e2", "M632.5 194.5C640 199.2 642.2 209.1 637.5 216.5C632.8 224 622.9 226.2 615.5 221.5L320 34.92L24.55 221.5C17.07 226.2 7.193 224 2.474 216.5C-2.244 209.1-.0131 199.2 7.458 194.5L311.5 2.472C316.7-.8241 323.3-.8241 328.5 2.472L632.5 194.5zM184 376C184 362.7 194.7 352 208 352C221.3 352 232 362.7 232 376C232 389.3 221.3 400 208 400C194.7 400 184 389.3 184 376zM456 376C456 389.3 445.3 400 432 400C418.7 400 408 389.3 408 376C408 362.7 418.7 352 432 352C445.3 352 456 362.7 456 376zM252.2 176H387.8C416.4 176 441.5 194.9 449.3 222.4L470.1 298.1C495.4 311.8 512 337.1 512 368V496C512 504.8 504.8 512 496 512C487.2 512 480 504.8 480 496V464H160V496C160 504.8 152.8 512 144 512C135.2 512 128 504.8 128 496V368C128 337.1 144.6 311.8 169 298.1L190.7 222.4C198.5 194.9 223.6 176 252.2 176V176zM252.2 208C237.9 208 225.4 217.5 221.4 231.2L205.2 288C206.1 288 207.1 288 208 288H432C432.9 288 433.9 288 434.8 288L418.6 231.2C414.6 217.5 402.1 208 387.8 208H252.2zM480 368C480 341.5 458.5 320 432 320H208C181.5 320 160 341.5 160 368V432H480V368z"],
    "car-mirrors": [576, 512, [], "e343", "M160 296C160 309.3 149.3 320 136 320C122.7 320 112 309.3 112 296C112 282.7 122.7 272 136 272C149.3 272 160 282.7 160 296zM416 296C416 282.7 426.7 272 440 272C453.3 272 464 282.7 464 296C464 309.3 453.3 320 440 320C426.7 320 416 309.3 416 296zM56.44 224H32C23.16 224 16 216.8 16 208C16 199.2 23.16 192 32 192H84.1L114.1 89.01C125.1 55.17 156.3 32 191.6 32H384.4C419.7 32 450.9 55.17 461 89.01L491.9 192H544C552.8 192 560 199.2 560 208C560 216.8 552.8 224 544 224H519.6C534.8 240.1 544 263.4 544 288V464C544 472.8 536.8 480 528 480C519.2 480 512 472.8 512 464V416H64V464C64 472.8 56.84 480 48 480C39.16 480 32 472.8 32 464V288C32 263.4 41.24 240.1 56.44 224zM191.6 64C170.4 64 151.7 77.9 145.6 98.21L117.3 192.6C120.8 192.2 124.4 192 128 192H448C451.6 192 455.2 192.2 458.7 192.6L430.4 98.21C424.3 77.9 405.6 64 384.4 64H191.6zM106.7 227.9L106.3 227.8C81.62 236.7 64 260.3 64 288V384H512V288C512 260.3 494.4 236.7 469.7 227.8L469.3 227.9L469.2 227.6C462.5 225.3 455.4 224 448 224H128C120.6 224 113.5 225.3 106.8 227.6L106.7 227.9z"],
    "car-on": [448, 512, [], "e4dd", "M240 104C240 112.8 232.8 120 223.1 120C215.2 120 207.1 112.8 207.1 104V24C207.1 15.16 215.2 8 223.1 8C232.8 8 240 15.16 240 24V104zM87.1 376C87.1 362.7 98.75 352 111.1 352C125.3 352 135.1 362.7 135.1 376C135.1 389.3 125.3 400 111.1 400C98.75 400 87.1 389.3 87.1 376zM360 376C360 389.3 349.3 400 336 400C322.7 400 312 389.3 312 376C312 362.7 322.7 352 336 352C349.3 352 360 362.7 360 376zM156.2 176H291.8C320.4 176 345.5 194.9 353.3 222.4L374.1 298.1C399.4 311.8 416 337.1 416 368V496C416 504.8 408.8 512 400 512C391.2 512 384 504.8 384 496V464H63.1V496C63.1 504.8 56.84 512 47.1 512C39.16 512 31.1 504.8 31.1 496V368C31.1 337.1 48.56 311.8 73.04 298.1L94.67 222.4C102.5 194.9 127.6 176 156.2 176V176zM156.2 208C141.9 208 129.4 217.5 125.4 231.2L109.2 288C110.1 288 111.1 288 111.1 288H336C336.9 288 337.9 288 338.8 288L322.6 231.2C318.6 217.5 306.1 208 291.8 208H156.2zM384 368C384 341.5 362.5 320 336 320H111.1C85.49 320 63.1 341.5 63.1 368V432H384V368zM12.69 44.69C18.93 38.44 29.06 38.44 35.31 44.69L83.31 92.69C89.56 98.93 89.56 109.1 83.31 115.3C77.07 121.6 66.94 121.6 60.69 115.3L12.69 67.31C6.438 61.07 6.438 50.94 12.69 44.69V44.69zM412.7 44.69C418.9 38.44 429.1 38.44 435.3 44.69C441.6 50.93 441.6 61.07 435.3 67.31L387.3 115.3C381.1 121.6 370.9 121.6 364.7 115.3C358.4 109.1 358.4 98.94 364.7 92.69L412.7 44.69z"],
    "car-rear": [512, 512, ["car-alt"], "f5de", "M82.99 89.01C93.14 55.17 124.3 32 159.6 32H352.4C387.7 32 418.9 55.17 429 89.01L463.7 204.7C492.6 221.2 512 252.3 512 288V352C512 375.7 499.1 396.4 480 407.4V464C480 472.8 472.8 480 464 480C455.2 480 448 472.8 448 464V416H64V464C64 472.8 56.84 480 48 480C39.16 480 32 472.8 32 464V407.4C12.87 396.4 0 375.7 0 352V288C0 252.3 19.44 221.2 48.29 204.7L82.99 89.01zM159.6 64C138.4 64 119.7 77.9 113.6 98.21L85.33 192.6C88.83 192.2 92.39 192 95.1 192H416C419.6 192 423.2 192.2 426.7 192.6L398.4 98.21C392.3 77.9 373.6 64 352.4 64H159.6zM74.73 227.9L74.27 227.8C49.62 236.7 31.1 260.3 31.1 288H79.1C88.84 288 95.1 295.2 95.1 304C95.1 312.8 88.84 320 79.1 320H31.1V352C31.1 369.7 46.33 384 63.1 384H159.1V352C159.1 334.3 174.3 320 191.1 320H320C337.7 320 352 334.3 352 352V384H448C465.7 384 480 369.7 480 352V320H432C423.2 320 416 312.8 416 304C416 295.2 423.2 288 432 288H480C480 260.3 462.4 236.7 437.7 227.8L437.3 227.9L437.2 227.6C430.5 225.3 423.4 224 416 224H95.1C88.58 224 81.46 225.3 74.83 227.6L74.73 227.9zM320 384V352H191.1V384H320z"],
    "car-side": [640, 512, [128663], "f5e4", "M640 320V368C640 385.7 625.7 400 608 400H574.7C567.1 445.4 527.6 480 480 480C432.4 480 392.9 445.4 385.3 400H254.7C247.1 445.4 207.6 480 160 480C112.4 480 72.94 445.4 65.33 400H32C14.33 400 0 385.7 0 368V256C0 224.5 22.78 198.3 52.78 192.1L97.05 82.29C109.2 51.92 138.6 32 171.3 32H353.2C377.5 32 400.5 43.05 415.7 62.02L519.9 192.2C586.9 196.3 640 251.1 640 320H640zM171.3 64C151.7 64 134.1 75.95 126.8 94.17L87.63 192H224V64H171.3zM256 192H478.7L390.7 82.01C381.6 70.63 367.8 64 353.2 64H256L256 192zM541.1 400C543.3 394.9 544 389.5 544 384C544 378.5 543.3 373.1 541.1 368C534.9 340.4 509.8 320 480 320C450.2 320 425.1 340.4 418 368C416.7 373.1 416 378.5 416 384C416 389.5 416.7 394.9 418 400C425.1 427.6 450.2 448 480 448C509.8 448 534.9 427.6 541.1 400zM385.3 368C392.9 322.6 432.4 288 480 288C527.6 288 567.1 322.6 574.7 368H608V320C608 266.1 565 224 512 224H64C46.33 224 32 238.3 32 256V368H65.33C72.94 322.6 112.4 288 160 288C207.6 288 247.1 322.6 254.7 368H385.3zM221.1 400C223.3 394.9 224 389.5 224 384C224 378.5 223.3 373.1 221.1 368C214.9 340.4 189.8 320 160 320C130.2 320 105.1 340.4 98.02 368C96.7 373.1 96 378.5 96 384C96 389.5 96.7 394.9 98.02 400C105.1 427.6 130.2 448 160 448C189.8 448 214.9 427.6 221.1 400z"],
    "car-side-bolt": [640, 512, [], "e344", "M278.6 192H368C374.5 192 380.3 195.9 382.8 201.9C385.3 207.9 383.9 214.7 379.3 219.3L283.3 315.3C277.1 321.6 266.9 321.6 260.7 315.3C254.4 309.1 254.4 298.9 260.7 292.7L329.4 223.1H240C233.5 223.1 227.7 220.1 225.2 214.1C222.7 208.1 224.1 201.3 228.7 196.7L324.7 100.7C330.9 94.44 341.1 94.44 347.3 100.7C353.6 106.9 353.6 117.1 347.3 123.3L278.6 192zM52.78 192.1L97.05 82.29C109.2 51.92 138.6 32 171.3 32H353.2C377.5 32 400.5 43.05 415.7 62.02L519.9 192.2C586.9 196.3 640 251.1 640 320V368C640 385.7 625.7 400 608 400H574.7C567.1 445.4 527.6 480 480 480C432.4 480 392.9 445.4 385.3 400H254.7C247.1 445.4 207.6 480 160 480C112.4 480 72.94 445.4 65.33 400H32C14.33 400 0 385.7 0 368V256C0 224.5 22.78 198.3 52.78 192.1H52.78zM87.63 192H160V224H64C46.33 224 32 238.3 32 256V368H65.33C72.94 322.6 112.4 288 160 288C207.6 288 247.1 322.6 254.7 368H385.3C392.9 322.6 432.4 288 480 288C527.6 288 567.1 322.6 574.7 368H608V320C608 266.1 565 224 512 224H448V192H478.7L390.7 82.01C381.6 70.63 367.8 64 353.2 64H171.3C151.7 64 134.1 75.95 126.8 94.17L87.63 192zM418 368C416.7 373.1 416 378.5 416 384C416 389.5 416.7 394.9 418 400C425.1 427.6 450.2 448 480 448C509.8 448 534.9 427.6 541.1 400C543.3 394.9 544 389.5 544 384C544 378.5 543.3 373.1 541.1 368C534.9 340.4 509.8 320 480 320C450.2 320 425.1 340.4 418 368V368zM98.02 400C105.1 427.6 130.2 448 160 448C189.8 448 214.9 427.6 221.1 400C223.3 394.9 224 389.5 224 384C224 378.5 223.3 373.1 221.1 368C214.9 340.4 189.8 320 160 320C130.2 320 105.1 340.4 98.02 368C96.7 373.1 96 378.5 96 384C96 389.5 96.7 394.9 98.02 400V400z"],
    "car-tilt": [640, 512, [], "f5e5", "M157.3 308.9C160.6 321.1 153.4 333.6 141.2 336.9C129 340.1 116.5 332.9 113.2 320.7C109.1 308.5 117.2 296 129.4 292.8C141.5 289.5 154.1 296.7 157.3 308.9zM392.5 245.9C389.2 233.7 396.5 221.2 408.6 217.9C420.8 214.7 433.3 221.9 436.6 234.1C439.8 246.2 432.6 258.8 420.4 262C408.3 265.3 395.8 258.1 392.5 245.9V245.9zM64.17 132.1C65.22 96.83 89.3 66.39 123.4 57.24L296 10.1C330.1 1.856 366.2 16.18 384.8 46.24L445.7 144.9C475.8 154.5 500.5 178.8 509.3 211.6L551.4 368.7C553.6 376.8 548.8 385.2 540.7 387.3C532.6 389.5 524.2 384.7 522 376.6L510.2 332.5L98.66 442.8L108.6 480H624C632.8 480 640 487.2 640 496C640 504.8 632.8 512 624 512H16C7.164 512 0 504.8 0 496C0 487.2 7.164 480 16 480H77.13L38.98 337.6C30.2 304.8 39.48 271.5 60.73 248.1L64.17 132.1zM131.7 88.15C111.2 93.64 96.78 111.9 96.15 133.1L93.44 224.7C97.73 222.8 102.2 221.3 106.9 220L391.7 143.7C396.4 142.4 401.1 141.6 405.7 141L357.5 63.05C346.4 45.02 324.8 36.42 304.3 41.91L131.7 88.15zM69.89 329.3L91.9 411.5L500.4 301.1L478.4 219.9C469.3 185.7 434.2 165.4 400 174.6L115.1 250.9C81 260.1 60.74 295.2 69.89 329.3L69.89 329.3z"],
    "car-tunnel": [512, 512, [], "e4de", "M256 32C132.3 32 32 132.3 32 256V496C32 504.8 24.84 512 16 512C7.164 512 0 504.8 0 496V256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256V496C512 504.8 504.8 512 496 512C487.2 512 480 504.8 480 496V256C480 132.3 379.7 32 256 32zM208 400C208 413.3 197.3 424 184 424C170.7 424 160 413.3 160 400C160 386.7 170.7 376 184 376C197.3 376 208 386.7 208 400zM304 400C304 386.7 314.7 376 328 376C341.3 376 352 386.7 352 400C352 413.3 341.3 424 328 424C314.7 424 304 413.3 304 400zM121.4 329.1L144.7 257.2C151.1 237.4 169.6 224 190.4 224H321.6C342.4 224 360.9 237.4 367.3 257.2L390.6 329.1C405.9 339.1 416 356.4 416 376V496C416 504.8 408.8 512 400 512C391.2 512 384 504.8 384 496V480H128V496C128 504.8 120.8 512 112 512C103.2 512 96 504.8 96 496V376C96 356.4 106.1 339.1 121.4 329.1V329.1zM158 320H353.1L336.8 267.1C334.7 260.5 328.6 256 321.6 256H190.4C183.4 256 177.3 260.5 175.2 267.1L158 320zM128 448H384V376C384 362.7 373.3 352 360 352H152C138.7 352 128 362.7 128 376V448z"],
    "car-wash": [448, 512, [], "f5e6", "M64 0C64 0 74.14 10.14 85.1 24.21C97.98 40.74 112 62.71 112 80C112 112 90.51 128 64 128C37.49 128 16 106.5 16 80C16 62.71 30.02 40.74 42.9 24.21C53.86 10.14 64 0 64 0V0zM76.26 92.46C77.42 91.39 80 88.43 80 80C80 79.25 79.47 75.5 75.88 68.31C72.88 62.31 68.7 55.8 64 49.36C59.3 55.8 55.12 62.31 52.12 68.31C48.53 75.5 48 79.25 48 80C48 88.84 55.16 96 64 96C70.1 96 74.67 93.93 76.26 92.46zM176 80C176 62.71 190 40.74 202.9 24.21C213.9 10.14 224 0 224 0C224 0 234.1 10.14 245.1 24.21C257.1 40.74 272 62.71 272 80C272 112 250.5 128 224 128C197.5 128 176 106.5 176 80zM235.9 68.31C232.9 62.31 228.7 55.8 224 49.36C219.3 55.8 215.1 62.31 212.1 68.31C208.5 75.5 208 79.25 208 80C208 88.84 215.2 96 224 96C230.1 96 234.7 93.93 236.3 92.46C237.4 91.39 240 88.43 240 80C240 79.25 239.5 75.5 235.9 68.31zM88 376C88 362.7 98.75 352 112 352C125.3 352 136 362.7 136 376C136 389.3 125.3 400 112 400C98.75 400 88 389.3 88 376zM360 376C360 389.3 349.3 400 336 400C322.7 400 312 389.3 312 376C312 362.7 322.7 352 336 352C349.3 352 360 362.7 360 376zM156.2 176H291.8C320.4 176 345.5 194.9 353.3 222.4L374.1 298.1C399.4 311.8 416 337.1 416 368V496C416 504.8 408.8 512 400 512C391.2 512 384 504.8 384 496V464H64V496C64 504.8 56.84 512 48 512C39.16 512 32 504.8 32 496V368C32 337.1 48.56 311.8 73.04 298.1L94.67 222.4C102.5 194.9 127.6 176 156.2 176V176zM156.2 208C141.9 208 129.4 217.5 125.4 231.2L109.2 288C110.1 288 111.1 288 112 288H336C336.9 288 337.9 288 338.8 288L322.6 231.2C318.6 217.5 306.1 208 291.8 208H156.2zM384 368C384 341.5 362.5 320 336 320H112C85.49 320 64 341.5 64 368V432H384V368zM336 80C336 62.71 350 40.74 362.9 24.21C373.9 10.14 384 0 384 0C384 0 394.1 10.14 405.1 24.21C417.1 40.74 432 62.71 432 80C432 112 410.5 128 384 128C357.5 128 336 106.5 336 80zM395.9 68.31C392.9 62.31 388.7 55.8 384 49.36C379.3 55.8 375.1 62.31 372.1 68.31C368.5 75.5 368 79.25 368 80C368 88.84 375.2 96 384 96C390.1 96 394.7 93.93 396.3 92.46C397.4 91.39 400 88.43 400 80C400 79.25 399.5 75.5 395.9 68.31z"],
    "car-wrench": [576, 512, ["car-mechanic"], "f5e3", "M32 96C32 47.4 71.4 8 120 8C150.9 8 178.1 23.94 193.8 48H382.2C397.9 23.94 425.1 8 456 8C504.6 8 544 47.4 544 96C544 144.6 504.6 184 456 184C425.1 184 397.9 168.1 382.2 144H193.8C178.1 168.1 150.9 184 120 184C71.4 184 32 144.6 32 96zM120 40C94.63 40 73.2 56.87 66.32 80H112C120.8 80 128 87.16 128 96C128 104.8 120.8 112 112 112H66.32C73.2 135.1 94.63 152 120 152C141.1 152 161 139.4 170.2 120.9L174.6 112H401.4L405.8 120.9C414.1 139.4 434 152 456 152C481.4 152 502.8 135.1 509.7 112H464C455.2 112 448 104.8 448 96C448 87.16 455.2 80 464 80H509.7C502.8 56.87 481.4 40 456 40C434 40 414.1 52.64 405.8 71.12L401.4 80H174.6L170.2 71.12C161 52.64 141.1 40 120 40V40zM152 376C152 362.7 162.7 352 176 352C189.3 352 200 362.7 200 376C200 389.3 189.3 400 176 400C162.7 400 152 389.3 152 376zM424 376C424 389.3 413.3 400 400 400C386.7 400 376 389.3 376 376C376 362.7 386.7 352 400 352C413.3 352 424 362.7 424 376zM220.2 176H355.8C384.4 176 409.5 194.9 417.3 222.4L438.1 298.1C463.4 311.8 480 337.1 480 368V496C480 504.8 472.8 512 464 512C455.2 512 448 504.8 448 496V464H128V496C128 504.8 120.8 512 112 512C103.2 512 96 504.8 96 496V368C96 337.1 112.6 311.8 137 298.1L158.7 222.4C166.5 194.9 191.6 176 220.2 176V176zM220.2 208C205.9 208 193.4 217.5 189.4 231.2L173.2 288C174.1 288 175.1 288 176 288H400C400.9 288 401.9 288 402.8 288L386.6 231.2C382.6 217.5 370.1 208 355.8 208H220.2zM448 368C448 341.5 426.5 320 400 320H176C149.5 320 128 341.5 128 368V432H448V368z"],
    "caravan": [640, 512, [], "f8ff", "M96 160C96 142.3 110.3 128 128 128H256C273.7 128 288 142.3 288 160V224C288 241.7 273.7 256 256 256H128C110.3 256 96 241.7 96 224V160zM128 224H256V160H128V224zM0 336V112C0 67.82 35.82 32 80 32H416C504.4 32 576 103.6 576 192V384H624C632.8 384 640 391.2 640 400C640 408.8 632.8 416 624 416H288C288 469 245 512 192 512C138.1 512 96 469 96 416H80C35.82 416 0 380.2 0 336zM416 64H80C53.49 64 32 85.49 32 112V336C32 362.5 53.49 384 80 384H101.5C114.6 346.7 150.2 320 192 320C233.8 320 269.4 346.7 282.5 384H320V168C320 145.9 337.9 128 360 128H440C462.1 128 480 145.9 480 168V384H544V192C544 121.3 486.7 64 416 64zM448 224V168C448 163.6 444.4 160 440 160H360C355.6 160 352 163.6 352 168V384H448V256H416C407.2 256 400 248.8 400 240C400 231.2 407.2 224 416 224H448zM192 480C227.3 480 256 451.3 256 416C256 380.7 227.3 352 192 352C156.7 352 128 380.7 128 416C128 451.3 156.7 480 192 480z"],
    "caravan-simple": [640, 512, ["caravan-alt"], "e000", "M256 128C273.7 128 288 142.3 288 160V224C288 241.7 273.7 256 256 256H128C110.3 256 96 241.7 96 224V160C96 142.3 110.3 128 128 128H256zM256 160H128V224H256V160zM320 160C320 142.3 334.3 128 352 128H416C433.7 128 448 142.3 448 160V224C448 241.7 433.7 256 416 256H352C334.3 256 320 241.7 320 224V160zM352 224H416V160H352V224zM96 416H80C35.82 416 0 380.2 0 336V112C0 67.82 35.82 32 80 32H416C504.4 32 576 103.6 576 192V384H624C632.8 384 640 391.2 640 400C640 408.8 632.8 416 624 416H288C288 469 245 512 192 512C138.1 512 96 469 96 416zM32 112V336C32 362.5 53.49 384 80 384H101.5C114.6 346.7 150.2 320 192 320C233.8 320 269.4 346.7 282.5 384H544V192C544 121.3 486.7 64 416 64H80C53.49 64 32 85.49 32 112zM192 352C156.7 352 128 380.7 128 416C128 451.3 156.7 480 192 480C227.3 480 256 451.3 256 416C256 380.7 227.3 352 192 352z"],
    "card-club": [384, 512, [], "e3e9", "M208 352H224C232.8 352 240 359.2 240 368C240 376.8 232.8 384 224 384H160C151.2 384 144 376.8 144 368C144 359.2 151.2 352 160 352H176V331.9C168.5 334.6 160.4 336 152 336C112.2 336 80 303.8 80 264C80 235.7 96.3 211.3 120 199.5C120.3 159.1 152.4 128 192 128C231.6 128 263.7 159.1 263.1 199.5C287.7 211.3 304 235.7 304 264C304 303.8 271.8 336 232 336C223.6 336 215.5 334.6 208 331.9V352zM152.6 207.2L155.2 221.5L141.2 225.5C124.3 230.2 112 245.7 112 264C112 286.1 129.9 304 152 304C163.2 304 173.3 299.4 180.6 291.1L192 280.3L203.4 291.1C210.7 299.4 220.8 304 232 304C254.1 304 272 286.1 272 264C272 245.7 259.7 230.2 242.8 225.5L228.8 221.5L231.4 207.2C231.8 204.9 232 202.5 232 200C232 177.9 214.1 160 192 160C169.9 160 152 177.9 152 200C152 202.5 152.2 204.9 152.6 207.2V207.2zM320 0C355.3 0 384 28.65 384 64V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H320zM320 32H64C46.33 32 32 46.33 32 64V448C32 465.7 46.33 480 64 480H320C337.7 480 352 465.7 352 448V64C352 46.33 337.7 32 320 32z"],
    "card-diamond": [384, 512, [], "e3ea", "M299.3 244.7C305.6 250.9 305.6 261.1 299.3 267.3L203.3 363.3C197.1 369.6 186.9 369.6 180.7 363.3L84.69 267.3C78.44 261.1 78.44 250.9 84.69 244.7L180.7 148.7C186.9 142.4 197.1 142.4 203.3 148.7L299.3 244.7zM265.4 256L192 182.6L118.6 256L192 329.4L265.4 256zM0 64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64zM32 64V448C32 465.7 46.33 480 64 480H320C337.7 480 352 465.7 352 448V64C352 46.33 337.7 32 320 32H64C46.33 32 32 46.33 32 64z"],
    "card-heart": [384, 512, [], "e3eb", "M90.61 261.5C64.4 234.9 65.8 190.9 95.3 166.1C117.3 147.4 149.5 148 172.9 163.9C176.4 166.2 179.8 168.1 182.8 172.1L192.2 181.7L201.1 172.1C203.7 169.5 206.4 167.1 209.3 165C232.8 148.1 265.8 146.9 289.1 166.1C318.2 190.9 319.6 234.9 293.3 261.5L202.1 353.2C196.9 359.2 187.1 359.2 181.4 353.2L90.61 261.5zM268.6 190.6C256.5 180.9 237.1 181.7 224.1 194.3L192.8 228.2L160.1 194.5C146.8 181.4 126.9 181.2 116.1 190.4L115.9 190.6C100.9 203.2 100.2 225.6 113.4 239L192.2 318.6L270.5 239C283.8 225.6 283.1 203.3 268.6 190.6L268.6 190.6zM0 64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64zM32 64V448C32 465.7 46.33 480 64 480H320C337.7 480 352 465.7 352 448V64C352 46.33 337.7 32 320 32H64C46.33 32 32 46.33 32 64z"],
    "card-spade": [384, 512, [], "e3ec", "M181 134.6C187.1 128.5 196.9 128.5 202.6 134.6L293.4 228.2C319.6 255.4 318.2 300.3 288.7 325.6C267.6 343.1 237.2 344.1 214 329.8C211.1 328.5 209.9 327.1 207.1 325.6V351.1H223.1C232.8 351.1 239.1 359.2 239.1 367.1C239.1 376.8 232.8 383.1 223.1 383.1H159.1C151.2 383.1 143.1 376.8 143.1 367.1C143.1 359.2 151.2 351.1 159.1 351.1H175.1V325.7C174.7 326.7 173.3 327.7 171.9 328.6C148.7 344.1 117.3 344.5 94.88 325.6C65.85 300.3 64.45 255.4 90.66 228.2L181 134.6zM113.7 250.4C100.1 264.5 100.8 288.1 115.7 301.3C127.6 311.1 146.7 310.4 159.7 297.5L191.2 262.7L224.1 297.3C237.4 310.7 257 310.8 267.7 301.5L267.9 301.3C283.2 288.2 283.1 264.6 270.4 250.5L191.8 169.5L113.7 250.4zM0 64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64zM32 64V448C32 465.7 46.33 480 64 480H320C337.7 480 352 465.7 352 448V64C352 46.33 337.7 32 320 32H64C46.33 32 32 46.33 32 64z"],
    "cards": [640, 512, [], "e3ed", "M300.4 312.6C308.1 308.2 317.9 310.8 322.3 318.5C326.7 326.1 324.1 335.9 316.4 340.3L268.2 368.2C260.6 372.6 250.8 369.1 246.4 362.3C241.1 354.7 244.6 344.9 252.2 340.4L300.4 312.6zM174.5 169.3C176.5 162.1 183.9 157.8 190.8 159.9L299.9 190.1C331.5 200 349.1 234.5 338.8 266.4C330.9 289.4 307.1 302.7 284.3 302C279.6 301.9 274.8 301.2 270.1 299.9L258.8 296.6L256.4 307.8C255.4 311.9 253.9 315.8 252.1 319.4C241.3 341.2 217.8 355.1 192.7 350.7C159.9 344.3 139.3 311 147.2 279.2L174.5 169.3zM178.2 286.9C174.7 301.1 184.1 316.2 198.6 319.2C209.4 320.1 221.6 313.8 225.3 300.4L234.8 256.1L278.9 269.1C292.1 272.9 305.3 265.2 308.5 255.1L308.6 255.8C313.6 241.5 305.2 225.8 291.1 221.7L200.8 196.1L178.2 286.9zM174.8 484.7C174.7 484.5 174.5 484.2 174.3 483.9L7.629 195.2C7.464 194.9 7.302 194.6 7.142 194.3C-7.774 167.8 1.408 134.1 27.85 118.8L220.7 7.468C247.3-7.906 281.4 1.218 296.8 27.85L463.8 317.1C479.1 343.6 470.1 377.5 443.8 392.1C443.6 393.1 443.3 393.2 443.1 393.4L250.8 504.4C250.6 504.5 250.4 504.6 250.1 504.8C223.8 519.7 190.3 510.8 174.8 484.7V484.7zM234.4 476.9C234.5 476.9 234.5 476.8 234.5 476.8L427.4 365.5C427.4 365.5 427.5 365.4 427.5 365.4C438.7 358.7 442.5 344.2 435.9 332.9L269.2 44.13C262.6 32.66 247.9 28.72 236.4 35.35L44.13 146.4C32.8 152.9 28.82 167.3 35.09 178.7C35.12 178.8 35.15 178.8 35.18 178.9L202.2 468.2C202.2 468.2 202.3 468.3 202.3 468.3C208.1 479.3 223.2 483.1 234.4 476.9V476.9zM360 512C346.4 512 333.8 507.1 324.1 498.1L357.3 479.8C358.2 479.9 359.1 480 360 480H584C597.3 480 608 469.3 608 456V119.1C608 106.7 597.3 95.1 584 95.1H373L354.7 64.25C356.5 64.08 358.2 63.1 360 63.1H584C614.9 63.1 640 89.07 640 119.1V456C640 486.9 614.9 512 584 512L360 512zM448.4 138.6C464.9 124.3 487.8 125.3 503.1 136.4C520.2 125.3 542.9 124.4 559.6 138.5L559.8 138.6C580.4 156.5 581.3 188.1 562.8 207.3L520.4 251.2C511.7 259.1 496.7 260.7 487.5 250.9L445.2 207.3C426.7 188.1 427.6 156.5 448.4 138.6L448.4 138.6zM469.3 162.9C462.6 168.6 462.3 178.9 468.2 185.1L504.1 222.1L539.8 185.1C545.7 178.9 545.4 168.6 538.9 162.9C533.9 158.7 525.6 158.9 519.9 164.6L504.4 181.7L488.2 164.7C482.4 158.8 473.9 158.9 469.4 162.8L469.3 162.9z"],
    "cards-blank": [640, 512, [], "e4df", "M174.8 484.7C174.7 484.5 174.5 484.2 174.3 483.9L7.629 195.2C7.464 194.9 7.302 194.6 7.142 194.3C-7.774 167.8 1.408 134.1 27.85 118.8L220.7 7.468C247.3-7.906 281.4 1.218 296.8 27.85L463.8 317.1C479.1 343.6 470.1 377.5 443.8 392.1C443.6 393.1 443.3 393.2 443.1 393.4L250.8 504.4C250.6 504.5 250.4 504.6 250.1 504.8C223.8 519.7 190.3 510.8 174.8 484.7V484.7zM234.4 476.9L234.5 476.8L427.4 365.5L427.5 365.4C438.7 358.7 442.5 344.2 435.9 332.9L269.2 44.13C262.6 32.66 247.9 28.72 236.4 35.35L44.13 146.4C32.8 152.9 28.82 167.3 35.09 178.7L35.18 178.9L202.2 468.2C202.2 468.2 202.3 468.3 202.3 468.3C208.1 479.3 223.2 483.1 234.4 476.9V476.9zM357.3 479.8C358.2 479.9 359.1 480 360 480H584C597.3 480 608 469.3 608 456V119.1C608 106.7 597.3 95.1 584 95.1H373L354.7 64.25C356.5 64.08 358.2 63.1 360 63.1H584C614.9 63.1 640 89.07 640 119.1V456C640 486.9 614.9 512 584 512H360C346.4 512 333.8 507.1 324.1 498.1L357.3 479.8z"],
    "caret-down": [320, 512, [], "f0d7", "M287.1 192H32c-28.37 0-42.74 34.5-22.62 54.63l127.1 128c12.5 12.5 32.75 12.5 45.25 0l127.1-128C330.7 226.5 316.5 192 287.1 192zM159.1 352L32.01 224h255.9L159.1 352z"],
    "caret-left": [256, 512, [], "f0d9", "M192 383.1v-255.1c0-28.37-34.5-42.74-54.63-22.62l-128 127.1c-12.5 12.5-12.5 32.75 0 45.25l128 127.1C157.5 426.7 192 412.5 192 383.1zM32 255.1l128-127.1v255.9L32 255.1z"],
    "caret-right": [256, 512, [], "f0da", "M64 128v255.1c0 28.37 34.5 42.74 54.63 22.62l128-127.1c12.5-12.5 12.5-32.75 0-45.25l-128-127.1C98.5 85.27 64 99.52 64 128zM224 256l-128 127.1V128L224 256z"],
    "caret-up": [320, 512, [], "f0d8", "M32.01 320h255.1c28.37 0 42.74-34.5 22.62-54.63l-127.1-128c-12.5-12.5-32.75-12.5-45.25 0l-127.1 128C-10.73 285.5 3.519 320 32.01 320zM160 160l127.1 128H32.04L160 160z"],
    "carrot": [512, 512, [129365], "f787", "M504.6 138.6c-22.87-27.63-53.37-43.38-86.36-44.75c-1.625-32.13-17.12-63.5-44.74-86.38c-16.33-13.55-34.16-5.465-40.74 0c-27.25 22.63-43.12 53-44.62 85.88c-.75 14.5 1.75 28.63 6.625 42.13c-13.37-4.377-26.85-7.327-40.35-7.327c-47.99 0-94.11 26.76-116.6 72.76l-135.4 277.5c-9.631 20.06 11.33 40.88 31.31 31.25l277.5-135.5c24.1-12.25 46.43-32.63 59.55-59.63c15.5-31.5 16.73-66.13 6.48-97.13c11.87 4.125 23.1 6.627 36.5 6.627c34.62 0 66.99-15.88 90.86-44.63C514.5 167.6 514.5 150.3 504.6 138.6zM342.1 300.6c-9.623 19.75-25.25 35.25-44.87 44.88l-124.6 60.75L139.2 372.8c-6.125-6.248-16.38-6.248-22.5 0c-6.248 6.125-6.248 16.38 0 22.5l25.54 25.67l-100.1 49l111.9-229.3l26.63 26.58c6.07 6.322 16.5 6.334 22.58 0c6.248-6.125 6.248-16.46 0-22.58l-34.18-34.08c17.19-31.22 49.39-50.54 85.32-50.54c14.87 0 29.25 3.25 42.74 9.875c23.37 11.38 40.99 31.38 49.49 56C355.1 250.7 353.5 277.1 342.1 300.6zM413.7 192.1c-21.5 0-42.99-8.875-60.49-26.5l-6.748-6.75c-37.24-37-35.37-92 6.623-126.8c33.12 27.5 41.49 67.63 25.25 101.6c11.25-5.373 22.1-8 34.87-8c24.12 0 48.37 11.13 66.74 33.25C461.7 181.1 437.7 192.1 413.7 192.1z"],
    "cars": [640, 512, [], "f85b", "M124.2 0H259.8C288.4 0 313.5 18.94 321.3 46.42L342.1 122.1C353 127.7 361.7 135.5 368.5 144.7C356.6 146.2 345.3 149.8 334.1 155.3C326.6 148.3 315.8 144 304 144H80C53.49 144 32 165.5 32 192V256H275.8L269.6 277.8C265.3 280.9 261.4 284.3 257.6 288H32V320C32 328.8 24.84 336 16 336C7.164 336 0 328.8 0 320V192C0 161.1 16.56 135.8 41.04 122.1L62.67 46.42C70.52 18.94 95.63 0 124.2 0V0zM124.2 32C109.9 32 97.36 41.47 93.44 55.21L77.2 112C78.13 112 79.06 112 80 112H304C304.9 112 305.9 112 306.8 112L290.6 55.21C286.6 41.47 274.1 32 259.8 32H124.2zM56 200C56 186.7 66.75 176 80 176C93.25 176 104 186.7 104 200C104 213.3 93.25 224 80 224C66.75 224 56 213.3 56 200zM312 376C312 362.7 322.7 352 336 352C349.3 352 360 362.7 360 376C360 389.3 349.3 400 336 400C322.7 400 312 389.3 312 376zM584 376C584 389.3 573.3 400 560 400C546.7 400 536 389.3 536 376C536 362.7 546.7 352 560 352C573.3 352 584 362.7 584 376zM380.2 176H515.8C544.4 176 569.5 194.9 577.3 222.4L598.1 298.1C623.4 311.8 640 337.1 640 368V496C640 504.8 632.8 512 624 512C615.2 512 608 504.8 608 496V464H287.1V496C287.1 504.8 280.8 512 271.1 512C263.2 512 255.1 504.8 255.1 496V368C255.1 337.1 272.6 311.8 297 298.1L318.7 222.4C326.5 194.9 351.6 176 380.2 176H380.2zM380.2 208C365.9 208 353.4 217.5 349.4 231.2L333.2 288C334.1 288 335.1 288 336 288H560C560.9 288 561.9 288 562.8 288L546.6 231.2C542.6 217.5 530.1 208 515.8 208H380.2zM608 368C608 341.5 586.5 320 560 320H336C309.5 320 288 341.5 288 368V432H608V368z"],
    "cart-arrow-down": [576, 512, [], "f218", "M100 32H287.1V64H107.3L150.1 256H487.8L541.8 64H384V32H541.8C562.1 32 578.3 52.25 572.6 72.66L518.6 264.7C514.7 278.5 502.1 288 487.8 288H158.2L172.8 352H496C504.8 352 512 359.2 512 368C512 376.8 504.8 384 496 384H160C152.5 384 146.1 378.8 144.4 371.5L67.23 32H16C7.164 32 0 24.84 0 16C0 7.164 7.164 0 16 0H80C87.47 0 93.95 5.17 95.6 12.45L100 32zM127.1 456C127.1 425.1 153.1 400 183.1 400C214.9 400 239.1 425.1 239.1 456C239.1 486.9 214.9 512 183.1 512C153.1 512 127.1 486.9 127.1 456zM183.1 480C197.3 480 207.1 469.3 207.1 456C207.1 442.7 197.3 432 183.1 432C170.7 432 159.1 442.7 159.1 456C159.1 469.3 170.7 480 183.1 480zM512 456C512 486.9 486.9 512 456 512C425.1 512 400 486.9 400 456C400 425.1 425.1 400 456 400C486.9 400 512 425.1 512 456zM456 432C442.7 432 432 442.7 432 456C432 469.3 442.7 480 456 480C469.3 480 480 469.3 480 456C480 442.7 469.3 432 456 432zM352 153.4L388.7 116.7C394.9 110.4 405.1 110.4 411.3 116.7C417.6 122.9 417.6 133.1 411.3 139.3L347.3 203.3C341.1 209.6 330.9 209.6 324.7 203.3L260.7 139.3C254.4 133.1 254.4 122.9 260.7 116.7C266.9 110.4 277.1 110.4 283.3 116.7L320 153.4V16C320 7.164 327.2 0 336 0C344.8 0 352 7.164 352 16L352 153.4z"],
    "cart-arrow-up": [576, 512, [], "e3ee", "M487.8 256L541.8 64H419.9L387.9 32H541.8C562.1 32 578.3 52.25 572.6 72.66L518.6 264.7C514.7 278.5 502.1 288 487.8 288H158.2L172.8 352H496C504.8 352 512 359.2 512 368C512 376.8 504.8 384 496 384H160C152.5 384 146.1 378.8 144.4 371.5L67.23 32H16C7.164 32 0 24.84 0 16C0 7.164 7.164 0 16 0H80C87.47 0 93.95 5.17 95.6 12.45L100 32H284.1L252.1 64H107.3L150.1 256H487.8zM128 456C128 425.1 153.1 400 184 400C214.9 400 240 425.1 240 456C240 486.9 214.9 512 184 512C153.1 512 128 486.9 128 456zM184 480C197.3 480 208 469.3 208 456C208 442.7 197.3 432 184 432C170.7 432 160 442.7 160 456C160 469.3 170.7 480 184 480zM512 456C512 486.9 486.9 512 456 512C425.1 512 400 486.9 400 456C400 425.1 425.1 400 456 400C486.9 400 512 425.1 512 456zM456 432C442.7 432 432 442.7 432 456C432 469.3 442.7 480 456 480C469.3 480 480 469.3 480 456C480 442.7 469.3 432 456 432zM320 86.63L283.3 123.3C277.1 129.6 266.9 129.6 260.7 123.3C254.4 117.1 254.4 106.9 260.7 100.7L324.7 36.69C330.9 30.44 341.1 30.44 347.3 36.69L411.3 100.7C417.6 106.9 417.6 117.1 411.3 123.3C405.1 129.6 394.9 129.6 388.7 123.3L352 86.63V208C352 216.8 344.8 224 336 224C327.2 224 320 216.8 320 208L320 86.63z"],
    "cart-circle-arrow-down": [640, 512, [], "e3ef", "M79.1 0C87.47 0 93.95 5.17 95.6 12.45L100 32H541.8C562.1 32 578.3 52.25 572.6 72.66L537.6 196.9C527.3 194.4 516.6 192.9 505.7 192.3L541.8 64H107.3L150.1 256H360.2C352.1 265.8 345 276.6 339.2 288H158.2L172.8 352H320.7C320.2 357.3 320 362.6 320 368C320 373.4 320.2 378.7 320.7 384H160C152.5 384 146.1 378.8 144.4 371.5L67.23 32H16C7.164 32 0 24.84 0 16C0 7.164 7.164 .0003 16 .0003L79.1 0zM127.1 456C127.1 425.1 153.1 400 183.1 400C214.9 400 239.1 425.1 239.1 456C239.1 486.9 214.9 512 183.1 512C153.1 512 127.1 486.9 127.1 456zM183.1 480C197.3 480 207.1 469.3 207.1 456C207.1 442.7 197.3 432 183.1 432C170.7 432 159.1 442.7 159.1 456C159.1 469.3 170.7 480 183.1 480zM563.3 364.7C569.6 370.9 569.6 381.1 563.3 387.3L507.3 443.3C501.1 449.6 490.9 449.6 484.7 443.3L428.7 387.3C422.4 381.1 422.4 370.9 428.7 364.7C434.9 358.4 445.1 358.4 451.3 364.7L480 393.4V304C480 295.2 487.2 288 496 288C504.8 288 512 295.2 512 304V393.4L540.7 364.7C546.9 358.4 557.1 358.4 563.3 364.7H563.3zM496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224zM384 368C384 429.9 434.1 480 496 480C557.9 480 608 429.9 608 368C608 306.1 557.9 256 496 256C434.1 256 384 306.1 384 368z"],
    "cart-circle-arrow-up": [640, 512, [], "e3f0", "M79.1 0C87.47 0 93.95 5.17 95.6 12.45L100 32H541.8C562.1 32 578.3 52.25 572.6 72.66L537.6 196.9C527.3 194.4 516.6 192.9 505.7 192.3L541.8 64H107.3L150.1 256H360.2C352.1 265.8 345 276.6 339.2 288H158.2L172.8 352H320.7C320.2 357.3 320 362.6 320 368C320 373.4 320.2 378.7 320.7 384H160C152.5 384 146.1 378.8 144.4 371.5L67.23 32H16C7.164 32 0 24.84 0 16C0 7.164 7.164 .0003 16 .0003L79.1 0zM127.1 456C127.1 425.1 153.1 400 183.1 400C214.9 400 239.1 425.1 239.1 456C239.1 486.9 214.9 512 183.1 512C153.1 512 127.1 486.9 127.1 456zM183.1 480C197.3 480 207.1 469.3 207.1 456C207.1 442.7 197.3 432 183.1 432C170.7 432 159.1 442.7 159.1 456C159.1 469.3 170.7 480 183.1 480zM428.7 371.3C422.4 365.1 422.4 354.9 428.7 348.7L484.7 292.7C490.9 286.4 501.1 286.4 507.3 292.7L563.3 348.7C569.6 354.9 569.6 365.1 563.3 371.3C557.1 377.6 546.9 377.6 540.7 371.3L512 342.6V432C512 440.8 504.8 448 496 448C487.2 448 480 440.8 480 432V342.6L451.3 371.3C445.1 377.6 434.9 377.6 428.7 371.3H428.7zM496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512zM608 368C608 306.1 557.9 256 496 256C434.1 256 384 306.1 384 368C384 429.9 434.1 480 496 480C557.9 480 608 429.9 608 368z"],
    "cart-circle-check": [640, 512, [], "e3f1", "M79.1 0C87.47 0 93.95 5.17 95.6 12.45L100 32H541.8C562.1 32 578.3 52.25 572.6 72.66L537.6 196.9C527.3 194.4 516.6 192.9 505.7 192.3L541.8 64H107.3L150.1 256H360.2C352.1 265.8 345 276.6 339.2 288H158.2L172.8 352H320.7C320.2 357.3 320 362.6 320 368C320 373.4 320.2 378.7 320.7 384H160C152.5 384 146.1 378.8 144.4 371.5L67.23 32H16C7.164 32 0 24.84 0 16C0 7.164 7.164 .0003 16 .0003L79.1 0zM127.1 456C127.1 425.1 153.1 400 183.1 400C214.9 400 239.1 425.1 239.1 456C239.1 486.9 214.9 512 183.1 512C153.1 512 127.1 486.9 127.1 456zM183.1 480C197.3 480 207.1 469.3 207.1 456C207.1 442.7 197.3 432 183.1 432C170.7 432 159.1 442.7 159.1 456C159.1 469.3 170.7 480 183.1 480zM563.3 324.7C569.6 330.9 569.6 341.1 563.3 347.3L491.3 419.3C485.1 425.6 474.9 425.6 468.7 419.3L428.7 379.3C422.4 373.1 422.4 362.9 428.7 356.7C434.9 350.4 445.1 350.4 451.3 356.7L480 385.4L540.7 324.7C546.9 318.4 557.1 318.4 563.3 324.7H563.3zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 480C557.9 480 608 429.9 608 368C608 306.1 557.9 256 496 256C434.1 256 384 306.1 384 368C384 429.9 434.1 480 496 480z"],
    "cart-circle-exclamation": [640, 512, [], "e3f2", "M79.1 0C87.47 0 93.95 5.17 95.6 12.45L100 32H541.8C562.1 32 578.3 52.25 572.6 72.66L537.6 196.9C527.3 194.4 516.6 192.9 505.7 192.3L541.8 64H107.3L150.1 256H360.2C352.1 265.8 345 276.6 339.2 288H158.2L172.8 352H320.7C320.2 357.3 320 362.6 320 368C320 373.4 320.2 378.7 320.7 384H160C152.5 384 146.1 378.8 144.4 371.5L67.23 32H16C7.164 32 0 24.84 0 16C0 7.164 7.164 .0003 16 .0003L79.1 0zM127.1 456C127.1 425.1 153.1 400 183.1 400C214.9 400 239.1 425.1 239.1 456C239.1 486.9 214.9 512 183.1 512C153.1 512 127.1 486.9 127.1 456zM183.1 480C197.3 480 207.1 469.3 207.1 456C207.1 442.7 197.3 432 183.1 432C170.7 432 159.1 442.7 159.1 456C159.1 469.3 170.7 480 183.1 480zM480 432C480 423.2 487.2 416 496 416C504.8 416 512 423.2 512 432C512 440.8 504.8 448 496 448C487.2 448 480 440.8 480 432zM495.1 288C504.8 288 511.1 295.2 511.1 304V384C511.1 392.8 504.8 400 495.1 400C487.2 400 479.1 392.8 479.1 384V304C479.1 295.2 487.2 288 495.1 288zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 256C434.1 256 384 306.1 384 368C384 429.9 434.1 480 496 480C557.9 480 608 429.9 608 368C608 306.1 557.9 256 496 256z"],
    "cart-circle-plus": [640, 512, [], "e3f3", "M79.1 0C87.47 0 93.95 5.17 95.6 12.45L100 32H541.8C562.1 32 578.3 52.25 572.6 72.66L537.6 196.9C527.3 194.4 516.6 192.9 505.7 192.3L541.8 64H107.3L150.1 256H360.2C352.1 265.8 345 276.6 339.2 288H158.2L172.8 352H320.7C320.2 357.3 320 362.6 320 368C320 373.4 320.2 378.7 320.7 384H160C152.5 384 146.1 378.8 144.4 371.5L67.23 32H16C7.164 32 0 24.84 0 16C0 7.164 7.164 .0003 16 .0003L79.1 0zM127.1 456C127.1 425.1 153.1 400 183.1 400C214.9 400 239.1 425.1 239.1 456C239.1 486.9 214.9 512 183.1 512C153.1 512 127.1 486.9 127.1 456zM183.1 480C197.3 480 207.1 469.3 207.1 456C207.1 442.7 197.3 432 183.1 432C170.7 432 159.1 442.7 159.1 456C159.1 469.3 170.7 480 183.1 480zM512 351.1H560C568.8 351.1 576 359.2 576 367.1C576 376.8 568.8 383.1 560 383.1H512V431.1C512 440.8 504.8 447.1 496 447.1C487.2 447.1 480 440.8 480 431.1V383.1H432C423.2 383.1 416 376.8 416 367.1C416 359.2 423.2 351.1 432 351.1H480V303.1C480 295.2 487.2 287.1 496 287.1C504.8 287.1 512 295.2 512 303.1V351.1zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 256C434.1 256 384 306.1 384 368C384 429.9 434.1 480 496 480C557.9 480 608 429.9 608 368C608 306.1 557.9 256 496 256z"],
    "cart-circle-xmark": [640, 512, [], "e3f4", "M79.1 0C87.47 0 93.95 5.17 95.6 12.45L100 32H541.8C562.1 32 578.3 52.25 572.6 72.66L537.6 196.9C527.3 194.4 516.6 192.9 505.7 192.3L541.8 64H107.3L150.1 256H360.2C352.1 265.8 345 276.6 339.2 288H158.2L172.8 352H320.7C320.2 357.3 320 362.6 320 368C320 373.4 320.2 378.7 320.7 384H160C152.5 384 146.1 378.8 144.4 371.5L67.23 32H16C7.164 32 0 24.84 0 16C0 7.164 7.164 .0003 16 .0003L79.1 0zM127.1 456C127.1 425.1 153.1 400 183.1 400C214.9 400 239.1 425.1 239.1 456C239.1 486.9 214.9 512 183.1 512C153.1 512 127.1 486.9 127.1 456zM183.1 480C197.3 480 207.1 469.3 207.1 456C207.1 442.7 197.3 432 183.1 432C170.7 432 159.1 442.7 159.1 456C159.1 469.3 170.7 480 183.1 480zM518.6 368L555.3 404.7C561.6 410.9 561.6 421.1 555.3 427.3C549.1 433.6 538.9 433.6 532.7 427.3L496 390.6L459.3 427.3C453.1 433.6 442.9 433.6 436.7 427.3C430.4 421.1 430.4 410.9 436.7 404.7L473.4 368L436.7 331.3C430.4 325.1 430.4 314.9 436.7 308.7C442.9 302.4 453.1 302.4 459.3 308.7L496 345.4L532.7 308.7C538.9 302.4 549.1 302.4 555.3 308.7C561.6 314.9 561.6 325.1 555.3 331.3L518.6 368zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 256C434.1 256 384 306.1 384 368C384 429.9 434.1 480 496 480C557.9 480 608 429.9 608 368C608 306.1 557.9 256 496 256z"],
    "cart-flatbed": [640, 512, ["dolly-flatbed"], "f474", "M256 320h288c35.35 0 64-28.65 64-64V96c0-35.35-28.65-63.1-64-63.1H256c-35.35 0-64 28.65-64 63.1V256C192 291.3 220.7 320 256 320zM368 64h64v82.11l-23.12-15.42c-5.375-3.594-12.38-3.594-17.75 0L368 146.1V64zM224 96c0-17.64 14.36-32 32-32h80v112c0 5.906 3.25 11.33 8.453 14.11c5.188 2.781 11.52 2.469 16.42-.7969L400 163.2l39.13 26.08C441.8 191.1 444.9 192 448 192c2.594 0 5.188-.625 7.547-1.891C460.8 187.3 464 181.9 464 176V64H544c17.64 0 32 14.36 32 32v160c0 17.64-14.36 32-32 32H256C238.4 288 224 273.6 224 256V96zM624 384H128V48C128 21.49 106.5 0 80 0h-64C7.156 0 0 7.156 0 16S7.156 32 16 32h64C88.84 32 96 39.16 96 48V384c0 17.67 14.33 32 32 32h24.88c-8.404 14.44-11.86 32.12-5.859 51.24c7.027 22.4 26.86 40.01 50.02 43.85C237.2 517.8 272 486.9 272 448c0-11.72-3.379-22.55-8.877-32h177.8C435.4 425.4 432 436.3 432 448c0 38.91 34.79 69.71 74.93 63.1c23.17-3.816 43.01-21.44 50.04-43.84C562.1 448.1 559.5 430.4 551.1 416H624c8.844 0 16-7.156 16-16S632.8 384 624 384zM208 480c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S225.6 480 208 480zM496 480c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S513.6 480 496 480z"],
    "cart-flatbed-boxes": [640, 512, ["dolly-flatbed-alt"], "f475", "M448 160h64c17.67 0 32-14.33 32-32V64c0-17.67-14.33-32-32-32h-64c-17.67 0-32 14.33-32 32v64C416 145.7 430.3 160 448 160zM448 64h64v64h-64V64zM224 320h128c17.67 0 32-14.33 32-32V64c0-17.67-14.33-32-32-32H224C206.3 32 192 46.33 192 64v224C192 305.7 206.3 320 224 320zM224 64h128v224H224V64zM448 320h128c17.67 0 32-14.33 32-32V224c0-17.67-14.33-32-32-32h-128c-17.67 0-32 14.33-32 32v64C416 305.7 430.3 320 448 320zM448 224h128v64h-128V224zM624 384H128V48C128 21.49 106.5 0 80 0h-64C7.156 0 0 7.156 0 16S7.156 32 16 32h64C88.84 32 96 39.16 96 48V384c0 17.67 14.33 32 32 32h24.88c-8.404 14.44-11.86 32.12-5.859 51.24c7.027 22.4 26.86 40.01 50.02 43.85C237.2 517.8 272 486.9 272 448c0-11.72-3.379-22.55-8.877-32h177.8C435.4 425.4 432 436.3 432 448c0 38.91 34.79 69.71 74.93 63.1c23.17-3.816 43.01-21.44 50.04-43.84C562.1 448.1 559.5 430.4 551.1 416H624c8.844 0 16-7.156 16-16S632.8 384 624 384zM208 480c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S225.6 480 208 480zM496 480c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S513.6 480 496 480z"],
    "cart-flatbed-empty": [640, 512, ["dolly-flatbed-empty"], "f476", "M624 384H128V48C128 21.49 106.5 0 80 0h-64C7.156 0 0 7.156 0 16S7.156 32 16 32h64C88.84 32 96 39.16 96 48V384c0 17.67 14.33 32 32 32h24.88c-8.404 14.44-11.86 32.12-5.859 51.24c7.027 22.4 26.86 40.01 50.02 43.85C237.2 517.8 272 486.9 272 448c0-11.72-3.379-22.55-8.877-32h177.8C435.4 425.4 432 436.3 432 448c0 38.91 34.79 69.71 74.93 63.1c23.17-3.816 43.01-21.44 50.04-43.84C562.1 448.1 559.5 430.4 551.1 416H624c8.844 0 16-7.156 16-16S632.8 384 624 384zM208 480c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S225.6 480 208 480zM496 480c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S513.6 480 496 480z"],
    "cart-flatbed-suitcase": [640, 512, ["luggage-cart"], "f59d", "M624 384H128V48C128 21.49 106.5 0 80 0h-64C7.156 0 0 7.156 0 16S7.156 32 16 32h64C88.84 32 96 39.16 96 48V384c0 17.67 14.33 32 32 32h24.88c-8.404 14.44-11.86 32.12-5.86 51.24c7.027 22.4 26.86 40 50.02 43.85C237.2 517.8 272 486.9 272 448c0-11.72-3.379-22.55-8.877-32h177.8C435.4 425.4 432 436.3 432 448c0 38.91 34.79 69.72 74.93 63.1c23.17-3.818 43.01-21.44 50.04-43.85C562.1 448.1 559.5 430.4 551.1 416H624c8.844 0 16-7.156 16-16S632.8 384 624 384zM208 480c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S225.6 480 208 480zM496 480c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S513.6 480 496 480zM256 320h256c35.35 0 64-28.65 64-64V128c0-35.35-28.65-64-64-64h-32V48C480 21.53 458.5 0 432 0h-96C309.5 0 288 21.53 288 48V64H256C220.7 64 192 92.65 192 128v128C192 291.3 220.7 320 256 320zM512 96c17.64 0 32 14.36 32 32v128c0 17.64-14.36 32-32 32V96zM320 48C320 39.17 327.2 32 336 32h96C440.8 32 448 39.17 448 48V64h-128V48zM288 96h192v192H288V96zM224 128c0-17.64 14.36-32 32-32v192C238.4 288 224 273.6 224 256V128z"],
    "cart-minus": [576, 512, [], "e0db", "M384 144C392.8 144 400 151.2 400 160C400 168.8 392.8 176 384 176H256C247.2 176 240 168.8 240 160C240 151.2 247.2 144 256 144H384zM0 16C0 7.164 7.164 0 16 0H80C87.47 0 93.95 5.17 95.6 12.45L100 32H541.8C562.1 32 578.3 52.25 572.6 72.66L518.6 264.7C514.7 278.5 502.1 288 487.8 288H158.2L172.8 352H496C504.8 352 512 359.2 512 368C512 376.8 504.8 384 496 384H160C152.5 384 146.1 378.8 144.4 371.5L67.23 32H16C7.164 32 0 24.84 0 16V16zM487.8 256L541.8 64H107.3L150.1 256H487.8zM240 456C240 486.9 214.9 512 184 512C153.1 512 128 486.9 128 456C128 425.1 153.1 400 184 400C214.9 400 240 425.1 240 456zM184 432C170.7 432 160 442.7 160 456C160 469.3 170.7 480 184 480C197.3 480 208 469.3 208 456C208 442.7 197.3 432 184 432zM400 456C400 425.1 425.1 400 456 400C486.9 400 512 425.1 512 456C512 486.9 486.9 512 456 512C425.1 512 400 486.9 400 456zM456 480C469.3 480 480 469.3 480 456C480 442.7 469.3 432 456 432C442.7 432 432 442.7 432 456C432 469.3 442.7 480 456 480z"],
    "cart-plus": [576, 512, [], "f217", "M240 160C240 151.2 247.2 144 256 144H304V96C304 87.16 311.2 80 320 80C328.8 80 336 87.16 336 96V144H384C392.8 144 400 151.2 400 160C400 168.8 392.8 176 384 176H336V224C336 232.8 328.8 240 320 240C311.2 240 304 232.8 304 224V176H256C247.2 176 240 168.8 240 160zM80 0C87.47 0 93.95 5.17 95.6 12.45L100 32H541.8C562.1 32 578.3 52.25 572.6 72.66L518.6 264.7C514.7 278.5 502.1 288 487.8 288H158.2L172.8 352H496C504.8 352 512 359.2 512 368C512 376.8 504.8 384 496 384H160C152.5 384 146.1 378.8 144.4 371.5L67.23 32H16C7.164 32 0 24.84 0 16C0 7.164 7.164 0 16 0H80zM107.3 64L150.1 256H487.8L541.8 64H107.3zM128 456C128 425.1 153.1 400 184 400C214.9 400 240 425.1 240 456C240 486.9 214.9 512 184 512C153.1 512 128 486.9 128 456zM184 480C197.3 480 208 469.3 208 456C208 442.7 197.3 432 184 432C170.7 432 160 442.7 160 456C160 469.3 170.7 480 184 480zM512 456C512 486.9 486.9 512 456 512C425.1 512 400 486.9 400 456C400 425.1 425.1 400 456 400C486.9 400 512 425.1 512 456zM456 432C442.7 432 432 442.7 432 456C432 469.3 442.7 480 456 480C469.3 480 480 469.3 480 456C480 442.7 469.3 432 456 432z"],
    "cart-shopping": [576, 512, [128722, "shopping-cart"], "f07a", "M80 0C87.47 0 93.95 5.17 95.6 12.45L100 32H541.8C562.1 32 578.3 52.25 572.6 72.66L518.6 264.7C514.7 278.5 502.1 288 487.8 288H158.2L172.8 352H496C504.8 352 512 359.2 512 368C512 376.8 504.8 384 496 384H160C152.5 384 146.1 378.8 144.4 371.5L67.23 32H16C7.164 32 0 24.84 0 16C0 7.164 7.164 0 16 0H80zM107.3 64L150.1 256H487.8L541.8 64H107.3zM128 456C128 425.1 153.1 400 184 400C214.9 400 240 425.1 240 456C240 486.9 214.9 512 184 512C153.1 512 128 486.9 128 456zM184 480C197.3 480 208 469.3 208 456C208 442.7 197.3 432 184 432C170.7 432 160 442.7 160 456C160 469.3 170.7 480 184 480zM512 456C512 486.9 486.9 512 456 512C425.1 512 400 486.9 400 456C400 425.1 425.1 400 456 400C486.9 400 512 425.1 512 456zM456 432C442.7 432 432 442.7 432 456C432 469.3 442.7 480 456 480C469.3 480 480 469.3 480 456C480 442.7 469.3 432 456 432z"],
    "cart-shopping-fast": [640, 512, [], "e0dc", "M64 16C64 7.164 71.16 0 80 0H144C151.5 0 157.9 5.17 159.6 12.45L164 32H605.8C626.1 32 642.3 52.25 636.6 72.66L582.6 264.7C578.7 278.5 566.1 288 551.8 288H222.2L236.8 352H560C568.8 352 576 359.2 576 368C576 376.8 568.8 384 560 384H224C216.5 384 210.1 378.8 208.4 371.5L131.2 32H80C71.16 32 64 24.84 64 16zM605.8 64H171.3L214.1 256H551.8L605.8 64zM304 456C304 486.9 278.9 512 248 512C217.1 512 192 486.9 192 456C192 425.1 217.1 400 248 400C278.9 400 304 425.1 304 456zM248 432C234.7 432 224 442.7 224 456C224 469.3 234.7 480 248 480C261.3 480 272 469.3 272 456C272 442.7 261.3 432 248 432zM464 456C464 425.1 489.1 400 520 400C550.9 400 576 425.1 576 456C576 486.9 550.9 512 520 512C489.1 512 464 486.9 464 456zM520 480C533.3 480 544 469.3 544 456C544 442.7 533.3 432 520 432C506.7 432 496 442.7 496 456C496 469.3 506.7 480 520 480zM112 128C120.8 128 128 135.2 128 144C128 152.8 120.8 160 112 160H16C7.164 160 0 152.8 0 144C0 135.2 7.164 128 16 128H112zM128 192C136.8 192 144 199.2 144 208C144 216.8 136.8 224 128 224H16C7.164 224 0 216.8 0 208C0 199.2 7.164 192 16 192H128zM144 256C152.8 256 160 263.2 160 272C160 280.8 152.8 288 144 288H16C7.164 288 0 280.8 0 272C0 263.2 7.164 256 16 256H144z"],
    "cart-xmark": [576, 512, [], "e0dd", "M263.4 103.4C269.7 97.18 279.8 97.18 286.1 103.4L320 137.4L353.9 103.4C360.2 97.18 370.3 97.18 376.6 103.4C382.8 109.7 382.8 119.8 376.6 126.1L342.6 160L376.6 193.9C382.8 200.2 382.8 210.3 376.6 216.6C370.3 222.8 360.2 222.8 353.9 216.6L320 182.6L286.1 216.6C279.8 222.8 269.7 222.8 263.4 216.6C257.2 210.3 257.2 200.2 263.4 193.9L297.4 160L263.4 126.1C257.2 119.8 257.2 109.7 263.4 103.4zM80 0C87.47 0 93.95 5.17 95.6 12.45L100 32H541.8C562.1 32 578.3 52.25 572.6 72.66L518.6 264.7C514.7 278.5 502.1 288 487.8 288H158.2L172.8 352H496C504.8 352 512 359.2 512 368C512 376.8 504.8 384 496 384H160C152.5 384 146.1 378.8 144.4 371.5L67.23 32H16C7.164 32 0 24.84 0 16C0 7.164 7.164 0 16 0H80zM107.3 64L150.1 256H487.8L541.8 64H107.3zM128 456C128 425.1 153.1 400 184 400C214.9 400 240 425.1 240 456C240 486.9 214.9 512 184 512C153.1 512 128 486.9 128 456zM184 480C197.3 480 208 469.3 208 456C208 442.7 197.3 432 184 432C170.7 432 160 442.7 160 456C160 469.3 170.7 480 184 480zM512 456C512 486.9 486.9 512 456 512C425.1 512 400 486.9 400 456C400 425.1 425.1 400 456 400C486.9 400 512 425.1 512 456zM456 432C442.7 432 432 442.7 432 456C432 469.3 442.7 480 456 480C469.3 480 480 469.3 480 456C480 442.7 469.3 432 456 432z"],
    "cash-register": [512, 512, [], "f788", "M136 256C136 269.3 125.3 280 112 280C98.75 280 88 269.3 88 256C88 242.7 98.75 232 112 232C125.3 232 136 242.7 136 256zM184 256C184 242.7 194.7 232 208 232C221.3 232 232 242.7 232 256C232 269.3 221.3 280 208 280C194.7 280 184 269.3 184 256zM184 336C184 349.3 173.3 360 160 360C146.7 360 136 349.3 136 336C136 322.7 146.7 312 160 312C173.3 312 184 322.7 184 336zM280 256C280 242.7 290.7 232 304 232C317.3 232 328 242.7 328 256C328 269.3 317.3 280 304 280C290.7 280 280 269.3 280 256zM280 336C280 349.3 269.3 360 256 360C242.7 360 232 349.3 232 336C232 322.7 242.7 312 256 312C269.3 312 280 322.7 280 336zM376 256C376 242.7 386.7 232 400 232C413.3 232 424 242.7 424 256C424 269.3 413.3 280 400 280C386.7 280 376 269.3 376 256zM376 336C376 349.3 365.3 360 352 360C338.7 360 328 349.3 328 336C328 322.7 338.7 312 352 312C365.3 312 376 322.7 376 336zM272 0C298.5 0 320 21.49 320 48V80C320 106.5 298.5 128 272 128H192V160H424.5C456.3 160 483.3 183.4 487.8 214.9L511.4 379.5C511.8 382.5 512 385.5 512 388.5V448C512 483.3 483.3 512 448 512H64C28.65 512 0 483.3 0 448V388.5C0 385.5 .215 382.5 .6432 379.5L24.15 214.9C28.65 183.4 55.66 160 87.51 160H160V128H80C53.49 128 32 106.5 32 80V48C32 21.49 53.49 0 80 0L272 0zM272 32H80C71.16 32 64 39.16 64 48V80C64 88.84 71.16 96 80 96H272C280.8 96 288 88.84 288 80V48C288 39.16 280.8 32 272 32zM64 480H448C465.7 480 480 465.7 480 448V416H32V448C32 465.7 46.33 480 64 480zM424.5 192H87.51C71.58 192 58.08 203.7 55.83 219.5L32.32 384H479.7L456.2 219.5C453.9 203.7 440.4 192 424.5 192H424.5z"],
    "cassette-betamax": [576, 512, ["betamax"], "f8a4", "M512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM544 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V160h512V416zM544 128H32V96c0-17.64 14.36-32 32-32h448c17.64 0 32 14.36 32 32V128zM352 384h96c17.67 0 32-14.33 32-32V256c0-17.67-14.33-32-32-32h-96c-17.67 0-32 14.33-32 32v96C320 369.7 334.3 384 352 384zM352 256h96v96h-96V256zM176 400c53.02 0 96-42.98 96-96s-42.98-96-96-96s-96 42.98-96 96S122.1 400 176 400zM176 240c35.29 0 64 28.71 64 64c0 35.29-28.71 64-64 64s-64-28.71-64-64C112 268.7 140.7 240 176 240zM176 328c13.26 0 24-10.75 24-24c0-13.26-10.74-24-24-24c-13.25 0-24 10.74-24 24C152 317.3 162.7 328 176 328z"],
    "cassette-tape": [576, 512, [128429], "f8ab", "M512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM134.2 448l17.7-53.06C154.1 388.4 160.2 384 167.1 384h241.9c6.906 0 13 4.375 15.16 10.94L441.8 448H134.2zM544 416c0 17.64-14.36 32-32 32h-36.46l-21.07-63.19C447.9 365.2 429.6 352 408.9 352H167.1c-20.69 0-39 13.19-45.53 32.81L100.5 448H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h448c17.64 0 32 14.36 32 32V416zM416 160H160C124.7 160 96 188.7 96 224s28.65 64 64 64h256c35.35 0 64-28.65 64-64S451.3 160 416 160zM160 256C142.4 256 128 241.6 128 224s14.36-32 32-32s32 14.36 32 32S177.6 256 160 256zM360.9 256H215.1C220.6 246.6 224 235.7 224 224S220.6 201.4 215.1 192h145.8C355.4 201.4 352 212.3 352 224S355.4 246.6 360.9 256zM416 256c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S433.6 256 416 256z"],
    "cassette-vhs": [576, 512, [128252, "vhs"], "f8ec", "M512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM544 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V160h512V416zM544 128H32V96c0-17.64 14.36-32 32-32h448c17.64 0 32 14.36 32 32V128zM124.8 400h326.4c4.828 0 9.406-2.188 12.45-5.938C484.8 367.8 496 336.7 496 304s-11.19-63.84-32.36-90.06C460.6 210.2 456 208 451.2 208H124.8c-4.828 0-9.406 2.188-12.45 5.938C91.19 240.2 80 271.3 80 304s11.19 63.84 32.36 90.06C115.4 397.8 119.1 400 124.8 400zM384 336c17.67 0 32-14.33 32-32c0-17.67-14.33-32-32-32v-32h59.25C456.8 259.1 464 281.1 464 304s-7.156 44.88-20.75 64H384V336zM224 240h128v128H224V240zM132.8 240H192v32c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32v32H132.8C119.2 348.9 112 326.9 112 304S119.2 259.1 132.8 240z"],
    "castle": [640, 512, [], "e0de", "M128 40C128 17.91 145.9 0 168 0H192C214.1 0 232 17.91 232 40V64H264V40C264 17.91 281.9 0 304 0H336C358.1 0 376 17.91 376 40V64H408V40C408 17.91 425.9 0 448 0H472C494.1 0 512 17.91 512 40V224H544V200C544 177.9 561.9 160 584 160H600C622.1 160 640 177.9 640 200V432C640 476.2 604.2 512 560 512H80C35.82 512 0 476.2 0 432V200C0 177.9 17.91 160 40 160H56C78.09 160 96 177.9 96 200V224H128V40zM168 32C163.6 32 160 35.58 160 40V224H480V40C480 35.58 476.4 32 472 32H448C443.6 32 440 35.58 440 40V80C440 88.84 432.8 96 424 96H360C351.2 96 344 88.84 344 80V40C344 35.58 340.4 32 336 32H304C299.6 32 296 35.58 296 40V80C296 88.84 288.8 96 280 96H216C207.2 96 200 88.84 200 80V40C200 35.58 196.4 32 192 32H168zM80 256C71.16 256 64 248.8 64 240V200C64 195.6 60.42 192 56 192H40C35.58 192 32 195.6 32 200V432C32 458.5 53.49 480 80 480H224V400C224 346.1 266.1 304 320 304C373 304 416 346.1 416 400V480H560C586.5 480 608 458.5 608 432V200C608 195.6 604.4 192 600 192H584C579.6 192 576 195.6 576 200V240C576 248.8 568.8 256 560 256H80zM320 336C284.7 336 256 364.7 256 400V480H384V400C384 364.7 355.3 336 320 336z"],
    "cat": [576, 512, [128008], "f6be", "M544 0c-9.25 0-18.38 4.125-24.62 11.5L475.6 64h-23.25l-43.75-52.5c-9.119-10.79-24.61-14.94-38.63-8.309C358.6 8.584 352 20.88 352 33.5v126.5L336 160C232.1 160 141.9 218.5 96 304.3V176C96 131.9 60.13 96 16 96C7.125 96 0 103.1 0 112S7.125 128 16 128C42.5 128 64 149.5 64 176v256C64 476.2 99.82 512 144 512h207.3c18.32 0 33.12-15.11 32.71-33.43c-.7148-32.36-25.7-58.1-57.36-62.2L416 376.6V464c0 26.4 21.6 48 48 48s48-21.6 48-48V260.8c37.75-18 64-56.25 64-100.7V32C576 14.25 561.6 0 544 0zM480 464c0 8.836-7.164 16-16 16S448 472.8 448 464v-111.1c0-11.58-11.92-19.33-22.5-14.62l-122.2 54.37c-3.615-35.24-25.29-65.79-56.83-80.66c-9.281-4.377-20.28 .4883-22.77 10.45c-1.866 7.46 1.947 14.93 8.81 18.34c22.38 11.11 39.54 30.29 39.54 55.27L272 448H320c17.62 0 32 14.38 32 32l-208 0c-25.48 0-47.69-19.85-47.97-45.32C94.55 301.1 202.7 192 336 192l21.24 .0003C371.1 238.1 413.5 272 464 272c5.5 0 10.75-.8753 16-1.625V464zM544 160c0 44.13-35.88 80-80 80S384 204.1 384 160V32l53.38 64h53.25L544 32V160zM432 128C423.1 128 416 135.1 416 144S423.1 160 432 160S448 152.9 448 144S440.9 128 432 128zM480 144C480 152.9 487.1 160 496 160S512 152.9 512 144S504.9 128 496 128S480 135.1 480 144z"],
    "cat-space": [640, 512, [], "e001", "M576 32.75V32l-.5 .375C548.9 12.25 516 .0003 480 .0003s-68.88 12.25-95.5 32.37L384 32v.75c-38.63 29.12-64 75.13-64 127.3c0 .375 .125 .7498 .125 1.125C197.2 168.3 125.4 249.3 96 304.3V176C96 131.9 60.13 96 16 96C7.125 96 0 103.1 0 112S7.125 128 16 128C42.5 128 64 149.5 64 176v256C64 476.2 99.82 512 144 512h207.3c18.32 0 33.12-15.11 32.71-33.43c-.7148-32.36-25.7-58.1-57.36-62.2L416 376.6V464c0 26.4 21.6 48 48 48S512 490.4 512 464V316.8c74.5-15.25 128-80.75 128-156.7C640 107.9 614.6 61.88 576 32.75zM480 32c24.38 0 48.25 7.125 68.75 20.38L512 80h-64l-36.75-27.62C431.8 39.13 455.6 32 480 32zM544 96v64c0 35.38-28.62 64-64 64s-64-28.62-64-64V96l21.38 16h85.25L544 96zM479.1 464c0 8.836-7.149 16-15.99 16s-16.01-7.164-16.01-16L448 352c0-11.58-11.92-19.33-22.5-14.62l-122.2 54.37c-3.615-35.24-25.29-65.79-56.83-80.66c-9.281-4.377-20.28 .4883-22.77 10.45c-1.867 7.459 1.947 14.93 8.809 18.34C254.8 350.1 272 370.2 272 395.1V448H320c17.62 0 32 14.38 32 32H143.1c-25.48 0-47.69-19.85-47.96-45.32c-.7031-64.13 45.36-232.5 227.4-242.1C338.9 266.9 404.3 320 480 320L479.1 464zM480 288c-70.63-.125-127.9-57.38-128-128c0-32.13 12.38-61.25 32-83.75V160c0 53 43 96 96 96S576 213 576 160V76.25C595.6 98.75 608 127.9 608 160C607.9 230.6 550.6 287.9 480 288zM432 160c0 8.875 7.125 16 16 16s16-7.125 16-16S456.9 144 448 144c-4.25 0-8.375 1.625-11.38 4.625S432 155.8 432 160zM512 176c8.875 0 16-7.125 16-16S520.9 144 512 144S496 151.1 496 160c0 4.25 1.625 8.375 4.625 11.38S507.8 176 512 176zM176 80h32v32c0 8.844 7.149 16 15.99 16S240 120.8 240 112v-32h32c8.844 0 15.99-7.156 15.99-15.1S280.8 48 272 48h-32v-32c0-8.844-7.164-15.1-16.01-15.1S208 7.156 208 16v32h-32c-8.844 0-16.01 7.156-16.01 16S167.2 80 176 80z"],
    "cauldron": [448, 512, [], "f6bf", "M136 32C136 18.75 146.7 8 160 8C173.3 8 184 18.75 184 32C184 45.25 173.3 56 160 56C146.7 56 136 45.25 136 32zM320 80C320 106.5 298.5 128 272 128C245.5 128 224 106.5 224 80C224 53.49 245.5 32 272 32C298.5 32 320 53.49 320 80zM272 64C263.2 64 256 71.16 256 80C256 88.84 263.2 96 272 96C280.8 96 288 88.84 288 80C288 71.16 280.8 64 272 64zM16 192C7.164 192 0 184.8 0 176C0 167.2 7.164 160 16 160H432C440.8 160 448 167.2 448 176C448 184.8 440.8 192 432 192H392.8C417.8 228.1 448 283.9 448 334.4C448 371.8 436.1 403.8 416 429.9V496C416 504.8 408.8 512 400 512C391.2 512 384 504.8 384 496V461.8C341.7 494.6 283.4 512 224 512C164.6 512 106.3 494.6 64 461.8V496C64 504.8 56.84 512 48 512C39.16 512 32 504.8 32 496V429.9C11.93 403.8 0 371.8 0 334.4C0 283.9 30.22 228.1 55.17 192H16zM60.11 244.9C43.73 275 32 307.1 32 334.4C32 379.5 53.37 414.8 88.07 439.9C123.5 465.5 172.6 480 224 480C275.4 480 324.5 465.5 359.9 439.9C394.6 414.8 416 379.5 416 334.4C416 307.1 404.3 275 387.9 244.9C376 223 362.8 204.3 353.1 192H94.9C85.2 204.3 71.1 223 60.11 244.9H60.11z"],
    "cedi-sign": [320, 512, [], "e0df", "M176 0C184.8 0 192 7.164 192 16V64.04C193.3 64.01 194.7 64 195.1 64C240 64 280.7 78.24 313.5 102.3C320.6 107.5 322.1 117.6 316.9 124.7C311.7 131.8 301.6 133.3 294.5 128.1C267.1 107.1 233 95.1 195.1 95.1C194.7 95.1 193.3 96.02 192 96.05V415.1C193.3 415.1 194.7 416 195.1 416C233 416 267.1 404 294.5 383.9C301.6 378.7 311.7 380.2 316.9 387.3C322.1 394.4 320.6 404.5 313.5 409.7C280.7 433.8 240 448 195.1 448C194.7 448 193.3 447.1 192 447.1V496C192 504.8 184.8 512 176 512C167.2 512 160 504.8 160 496V444.8C69.17 428.2 0 350.3 0 256C0 161.7 69.17 83.77 160 67.23V16C160 7.164 167.2 0 176 0V0zM160 412.1V99.86C86.54 115.9 32 179.1 32 256C32 332 86.54 396.1 160 412.1V412.1z"],
    "cent-sign": [320, 512, [], "e3f5", "M176 .0003C184.8 .0003 192 7.164 192 16V64.04C193.3 64.01 194.7 64 195.1 64C240 64 280.7 78.24 313.5 102.3C320.6 107.5 322.1 117.6 316.9 124.7C311.7 131.8 301.6 133.3 294.5 128.1C267.1 107.1 233 96 195.1 96C105.1 96 31.1 167.1 31.1 256C31.1 344 105.1 416 195.1 416C233 416 267.1 404 294.5 383.9C301.6 378.7 311.7 380.2 316.9 387.3C322.1 394.4 320.6 404.5 313.5 409.7C280.7 433.8 240 448 195.1 448C194.7 448 193.3 447.1 192 447.1V496C192 504.8 184.8 512 176 512C167.2 512 160 504.8 160 496V444.8C69.17 428.2 0 350.3 0 256C0 161.7 69.17 83.77 160 67.23V16C160 7.164 167.2 0 176 0V.0003z"],
    "certificate": [512, 512, [], "f0a3", "M80.6 154.7L63.07 92.69C60.71 84.33 63.05 75.34 69.19 69.19C75.34 63.05 84.33 60.71 92.69 63.07L154.7 80.6L170.6 18.1C172.7 9.679 179.2 3.068 187.6 .8185C196-1.431 204.1 1.034 211 7.261L256 53.46L300.1 7.261C307 1.034 315.1-1.431 324.4 .8185C332.8 3.068 339.3 9.679 341.4 18.1L357.3 80.6L419.3 63.07C427.7 60.71 436.7 63.05 442.8 69.19C448.1 75.34 451.3 84.33 448.9 92.69L431.4 154.7L493.9 170.6C502.3 172.7 508.9 179.2 511.2 187.6C513.4 196 510.1 204.1 504.7 211L458.5 256L504.7 300.1C510.1 307 513.4 315.1 511.2 324.4C508.9 332.8 502.3 339.3 493.9 341.4L431.4 357.3L448.9 419.3C451.3 427.7 448.1 436.7 442.8 442.8C436.7 448.1 427.7 451.3 419.3 448.9L357.3 431.4L341.4 493.9C339.3 502.3 332.8 508.9 324.4 511.2C315.1 513.4 307 510.1 300.1 504.7L256 458.5L211 504.7C204.1 510.1 196 513.4 187.6 511.2C179.2 508.9 172.7 502.3 170.6 493.9L154.7 431.4L92.69 448.9C84.33 451.3 75.34 448.1 69.19 442.8C63.05 436.7 60.71 427.7 63.07 419.3L80.6 357.3L18.1 341.4C9.679 339.3 3.068 332.8 .8186 324.4C-1.431 315.1 1.034 307 7.261 300.1L53.46 256L7.261 211C1.034 204.1-1.431 196 .8186 187.6C3.068 179.2 9.679 172.7 18.1 170.6L80.6 154.7zM170.7 108.3C163.3 112.6 154.3 113.7 146 111.4L97.75 97.75L111.4 146C113.7 154.3 112.6 163.3 108.3 170.7C103.1 178.2 96.83 183.6 88.46 185.8L39.83 198.1L75.78 233.1C81.97 239.1 85.46 247.4 85.46 256C85.46 264.6 81.97 272.9 75.78 278.9L39.83 313.9L88.46 326.3C96.83 328.4 103.1 333.8 108.3 341.3C112.6 348.8 113.7 357.7 111.4 365.1L97.75 414.2L146 400.6C154.3 398.3 163.3 399.4 170.7 403.7C178.2 408 183.6 415.2 185.8 423.5L198.1 472.2L233.1 436.2C239.1 430 247.4 426.5 256 426.5C264.6 426.5 272.9 430 278.9 436.2L313.9 472.2L326.3 423.5C328.4 415.2 333.8 408 341.3 403.7C348.7 399.4 357.7 398.3 365.1 400.6L414.2 414.2L400.6 365.1C398.3 357.7 399.4 348.8 403.7 341.3C408 333.8 415.2 328.4 423.5 326.3L472.2 313.9L436.2 278.9C430 272.9 426.5 264.6 426.5 256C426.5 247.4 430 239.1 436.2 233.1L472.2 198.1L423.5 185.8C415.2 183.6 408 178.2 403.7 170.7C399.4 163.3 398.3 154.3 400.6 146L414.2 97.75L365.1 111.4C357.7 113.7 348.7 112.6 341.3 108.3C333.8 103.1 328.4 96.83 326.3 88.46L313.9 39.83L278.9 75.78C272.9 81.97 264.6 85.46 256 85.46C247.4 85.46 239.1 81.97 233.1 75.78L198.1 39.83L185.8 88.46C183.6 96.83 178.2 103.1 170.7 108.3V108.3z"],
    "chair": [448, 512, [129681], "f6c0", "M443.6 315.9L428.8 283.9C420.1 266.9 403.9 256 385.2 256h-1.212L384 112C384 50.25 333.8 0 272 0h-96C114.3 0 64 50.25 64 112L63.1 256H62.79C44.13 256 27.02 266.9 19.2 283.9L4.436 315.9c-6.883 14.95-5.697 32.13 3.156 45.98C13.43 371 22.13 377.4 32 380.9L31.1 496c0 8.836 7.164 16 16 16S64 504.8 64 496L63.1 384h320L384 496c0 8.836 7.166 16 16 16s16-7.164 16-16L416 380.9c9.873-3.512 18.57-9.91 24.41-19.05C449.3 348 450.4 330.8 443.6 315.9zM288 33.62C324.5 41.05 352 73.36 352 112V256h-64V33.62zM192 32h64v224H192V32zM96 112c0-38.64 27.53-70.95 64-78.38V256H96V112zM399.1 352H48.02c-11.74 0-19.38-12.17-14.53-22.7l14.76-32C50.86 291.6 56.56 288 62.79 288h322.4c6.223 0 11.93 3.648 14.53 9.297l14.76 31.99C419.4 339.9 411.6 352 399.1 352z"],
    "chair-office": [448, 512, [], "f6c1", "M48.02 240c8.844 0 15.99-7.156 15.99-16l.0091-80c0-8.844-7.154-16-15.1-16s-15.1 7.156-15.1 16V224C32.02 232.8 39.17 240 48.02 240zM396.8 283.9C388.1 266.9 371.9 256 353.2 256h-1.217l-.0091-176c0-44.13-35.89-80-79.99-80H176C131.9 0 96.01 35.88 96.01 80L96.01 256H94.79C76.13 256 59.02 266.9 51.2 283.9L36.44 315.9c-6.883 14.95-5.697 32.13 3.156 45.98C48.45 375.7 63.56 384 80.02 384H208v49.04C162.1 438 128 463.8 128 496c0 8.844 7.156 16 15.1 16c8.844 0 16-7.156 16-16c0-12.78 19.74-26.76 47.99-30.77V496c0 8.844 7.157 16 15.1 16c8.844 0 15.1-7.156 15.1-16v-30.77c28.26 4.012 47.99 17.98 47.99 30.77c0 8.844 7.156 16 16 16c8.842 0 15.1-7.156 15.1-16c0-32.21-34.09-57.99-79.99-62.96V384h127.1c16.46 0 31.58-8.277 40.44-22.14c8.85-13.84 10.03-31.03 3.156-45.96L396.8 283.9zM176 32h95.99c26.47 0 47.1 21.53 47.1 48V256H128L128 80C128 53.53 149.5 32 176 32zM381.4 344.6C378.5 349.2 373.5 352 367.1 352H80.02c-5.484 0-10.52-2.756-13.47-7.369c-2.957-4.625-3.352-10.36-1.062-15.33l14.76-32C82.86 291.6 88.56 288 94.79 288h258.4c6.223 0 11.93 3.648 14.53 9.297l14.76 31.99C384.8 334.3 384.4 340 381.4 344.6zM399.1 128c-8.844 0-15.1 7.156-15.1 16L383.1 224c0 8.844 7.144 16 15.99 16s15.1-7.156 15.1-16V144C415.1 135.2 408.8 128 399.1 128z"],
    "chalkboard": [576, 512, ["blackboard"], "f51b", "M560 448H416v-48c0-26.47-21.53-48-48-48h-96C245.5 352 224 373.5 224 400V448H16C7.156 448 0 455.2 0 464S7.156 480 16 480h544c8.844 0 16-7.156 16-16S568.8 448 560 448zM384 448H256v-48C256 391.2 263.2 384 272 384h96c8.828 0 16 7.188 16 16V448zM45.32 383.8C55.35 385.4 64 377.7 64 368v-288C64 71.16 71.16 64 80 64h416C504.8 64 512 71.16 512 80v288c0 8.836 7.164 16 16 16s16-7.164 16-16v-288C544 53.49 522.5 32 496 32h-416C53.49 32 32 53.49 32 80v287.2C32 375.1 37.46 382.5 45.32 383.8z"],
    "chalkboard-user": [640, 512, ["chalkboard-teacher"], "f51c", "M160 320c53.02 0 96-42.98 96-96c0-53.02-42.98-96-96-96C106.1 128 64 170.1 64 224C64 277 106.1 320 160 320zM160 160c35.29 0 64 28.71 64 64S195.3 288 160 288S96 259.3 96 224S124.7 160 160 160zM192 352H128c-70.69 0-128 57.31-128 128c0 17.67 14.33 32 32 32h256c17.67 0 32-14.33 32-32C320 409.3 262.7 352 192 352zM32 480c0-52.94 43.07-96 96-96h64c52.94 0 96 43.06 96 96H32zM592 0h-384C181.5 0 160 21.53 160 48v32C160 88.84 167.2 96 176 96S192 88.84 192 80v-32C192 39.19 199.2 32 208 32h384C600.8 32 608 39.19 608 48v320c0 8.812-7.172 16-16 16H576v-48C576 309.5 554.5 288 528 288h-96C405.5 288 384 309.5 384 336V384h-32c-8.844 0-16 7.156-16 16S343.2 416 352 416h240C618.5 416 640 394.5 640 368v-320C640 21.53 618.5 0 592 0zM544 384h-128v-48c0-8.812 7.172-16 16-16h96c8.828 0 16 7.188 16 16V384z"],
    "champagne-glass": [256, 512, ["glass-champagne"], "f79e", "M208 480h-64v-130.1c62.91-8.131 112-61.9 112-128.1c0-35.09-13.27-130.1-33.02-215.6C222.1 2.562 218.9 0 215.2 0H40.81C37.09 0 33.86 2.562 33.02 6.188C13.27 91.69 0 186.7 0 221.8c0 66.16 49.09 119.9 112 128.1V480h-64C39.16 480 32 487.2 32 496C32 504.8 39.16 512 48 512h160c8.836 0 16-7.164 16-16C224 487.2 216.8 480 208 480zM195.1 32c7.057 32.58 13.06 65.88 17.75 96H42.29c4.688-30.13 10.69-63.42 17.75-96H195.1zM32 221.8C32 209.1 34.1 186.9 37.66 160h180.7C221.9 186.9 224 209.1 224 221.8c0 51.53-39.66 94.34-90.29 97.46c-7.01 .4316-4.297 .4375-11.41 0C71.66 316.2 32 273.3 32 221.8z"],
    "champagne-glasses": [640, 512, [129346, "glass-cheers"], "f79f", "M638.1 435.1c-3.135-8.381-12.65-12.7-21.26-9.652l-64.4 22.82l-37.47-96.24c58.29-29.48 86.96-97.36 63.52-160.1c-11.57-30.95-52.69-107.1-98.24-177.3c-8.084-12.47-23.7-17.72-37.7-12.75l-60.2 21.33c-9.654 3.421-13.78 14.81-8.551 23.62c3.827 6.451 11.86 9.586 18.93 7.08l59.98-21.25c18.42 28.47 36.08 57.98 51.33 84.94L379.4 162.1c-5.39 1.91-9.364 6.533-10.44 12.15l-.0722 .3756c-2.335 12.15 9.407 22.25 21.07 18.11l130.8-46.36c13 24.27 22.92 44.63 27.43 56.68c18.27 48.88-5.188 103.2-53.41 123.6c-6.781 2.873-4.137 1.93-11.12 3.938c-43.12 12.42-88.71-5.457-112.4-41.45c-5.915-8.969-18.73-9.828-25.76-1.708c-4.742 5.474-5.377 13.5-1.359 19.52c30.22 45.32 86.22 68.13 140.6 56.19l37.45 96.18l-60.28 21.36c-8.607 3.051-13.04 12.32-9.912 20.7c3.133 8.383 12.65 12.71 21.26 9.652l155.9-55.24C637.7 452.7 642.1 443.5 638.1 435.1zM330.5 49.32L196.6 1.861C182.6-3.078 167 2.045 158.9 14.47C113.4 84.76 72.19 160.1 60.61 191.1c-23.44 62.7 5.236 130.6 63.52 160.1L86.67 448.3l-64.4-22.82c-8.607-3.049-18.13 1.271-21.26 9.652c-3.133 8.385 1.307 17.65 9.914 20.7l155.9 55.24c8.607 3.053 18.13-1.27 21.26-9.652c3.133-8.381-1.305-17.65-9.912-20.7l-60.28-21.36l37.45-96.18c64.23 14.12 131.2-19.96 154.7-82.77c11.53-30.83 30.19-114.3 41.69-196.4C353.8 68.88 344.8 54.41 330.5 49.32zM278.8 269.3c-18.27 48.88-72.09 75.79-122.5 61.27C149.3 328.6 151.1 329.5 145.2 326.6C96.97 306.2 73.51 251.9 91.79 203c4.502-12.05 14.42-32.41 27.43-56.68l176 62.38C289.2 235.4 283.3 257.3 278.8 269.3zM302.1 176.8L135.1 117.6C150.3 90.62 167.1 61.11 186.4 32.64l132.4 46.93C314.1 112.9 308.2 146.6 302.1 176.8z"],
    "charging-station": [576, 512, [], "f5e7", "M152 192H232C238.1 192 243.6 195.4 246.3 200.8C249 206.3 248.4 212.8 244.8 217.6L172.8 313.6C167.5 320.7 157.5 322.1 150.4 316.8C143.3 311.5 141.9 301.5 147.2 294.4L200 224H120C113.9 224 108.4 220.6 105.7 215.2C102.1 209.7 103.6 203.2 107.2 198.4L179.2 102.4C184.5 95.33 194.5 93.9 201.6 99.2C208.7 104.5 210.1 114.5 204.8 121.6L152 192zM96 0H256C291.3 0 320 28.65 320 64V256H336C380.2 256 416 291.8 416 336V384C416 401.7 430.3 416 448 416C465.7 416 480 401.7 480 384V270.4C443.5 262.1 416 230.7 416 192V144C416 135.2 423.2 128 432 128H448V80C448 71.16 455.2 64 464 64C472.8 64 480 71.16 480 80V128H512V80C512 71.16 519.2 64 528 64C536.8 64 544 71.16 544 80V128H560C568.8 128 576 135.2 576 144V192C576 230.7 548.5 262.1 512 270.4V384C512 419.3 483.3 448 448 448C412.7 448 384 419.3 384 384V336C384 309.5 362.5 288 336 288H320V480H336C344.8 480 352 487.2 352 496C352 504.8 344.8 512 336 512H16C7.164 512 0 504.8 0 496C0 487.2 7.164 480 16 480H32V64C32 28.65 60.65 0 96 0zM256 32H96C78.33 32 64 46.33 64 64V480H288V64C288 46.33 273.7 32 256 32zM448 160V192C448 218.5 469.5 240 496 240C522.5 240 544 218.5 544 192V160H448z"],
    "chart-area": [512, 512, ["area-chart"], "f1fe", "M32 400C32 426.5 53.49 448 80 448H496C504.8 448 512 455.2 512 464C512 472.8 504.8 480 496 480H80C35.82 480 0 444.2 0 400V48C0 39.16 7.164 32 16 32C24.84 32 32 39.16 32 48V400zM320 192L359.6 152.4C372.7 139.3 394.4 140.1 406.5 154.2L468.4 226.5C475.9 235.2 480 246.3 480 257.8V352C480 369.7 465.7 384 448 384H128C110.3 384 96 369.7 96 352V243.9C96 231.2 101.1 218.9 110.1 209.9L201.4 118.6C213.9 106.1 234.1 106.1 246.6 118.6L320 192zM224 141.3L132.7 232.6C129.7 235.6 128 239.6 128 243.9V352H448V257.8C448 253.9 446.6 250.2 444.1 247.3L382.2 175.1L342.6 214.6C336.6 220.6 328.5 223.1 320 223.1C311.5 223.1 303.4 220.6 297.4 214.6L224 141.3z"],
    "chart-bar": [512, 512, ["bar-chart"], "f080", "M16 32C24.84 32 32 39.16 32 48V400C32 426.5 53.49 448 80 448H496C504.8 448 512 455.2 512 464C512 472.8 504.8 480 496 480H80C35.82 480 0 444.2 0 400V48C0 39.16 7.164 32 16 32zM128 144C128 135.2 135.2 128 144 128H368C376.8 128 384 135.2 384 144C384 152.8 376.8 160 368 160H144C135.2 160 128 152.8 128 144zM304 224C312.8 224 320 231.2 320 240C320 248.8 312.8 256 304 256H144C135.2 256 128 248.8 128 240C128 231.2 135.2 224 144 224H304zM432 320C440.8 320 448 327.2 448 336C448 344.8 440.8 352 432 352H144C135.2 352 128 344.8 128 336C128 327.2 135.2 320 144 320H432z"],
    "chart-bullet": [512, 512, [], "e0e1", "M272 32C280.8 32 288 39.16 288 48V64H464C490.5 64 512 85.49 512 112V176C512 202.5 490.5 224 464 224H288V240C288 248.8 280.8 256 272 256C263.2 256 256 248.8 256 240V224H48C21.49 224 0 202.5 0 176V112C0 85.49 21.49 64 48 64H256V48C256 39.16 263.2 32 272 32zM160 192H256V96H160V192zM288 96V192H464C472.8 192 480 184.8 480 176V112C480 103.2 472.8 96 464 96H288zM128 96H48C39.16 96 32 103.2 32 112V176C32 184.8 39.16 192 48 192H128V96zM368 256C376.8 256 384 263.2 384 272V288H464C490.5 288 512 309.5 512 336V400C512 426.5 490.5 448 464 448H384V464C384 472.8 376.8 480 368 480C359.2 480 352 472.8 352 464V448H48C21.49 448 0 426.5 0 400V336C0 309.5 21.49 288 48 288H352V272C352 263.2 359.2 256 368 256zM352 416V320H224V416H352zM384 320V416H464C472.8 416 480 408.8 480 400V336C480 327.2 472.8 320 464 320H384zM192 320H48C39.16 320 32 327.2 32 336V400C32 408.8 39.16 416 48 416H192V320z"],
    "chart-candlestick": [512, 512, [], "e0e2", "M32 400C32 426.5 53.49 448 80 448H496C504.8 448 512 455.2 512 464C512 472.8 504.8 480 496 480H80C35.82 480 0 444.2 0 400V48C0 39.16 7.164 32 16 32C24.84 32 32 39.16 32 48V400zM320 96C320 96.27 319.1 96.53 319.1 96.8C338.2 100.5 352 116.6 352 136V216C352 235.4 338.2 251.5 319.1 255.2C319.1 255.5 320 255.7 320 256V304C320 312.8 312.8 320 304 320C295.2 320 288 312.8 288 304V256C288 255.7 288 255.5 288 255.2C269.8 251.5 256 235.4 256 216V136C256 116.6 269.8 100.5 288 96.8C288 96.53 288 96.27 288 96V48C288 39.16 295.2 32 304 32C312.8 32 320 39.16 320 48V96zM320 136C320 131.6 316.4 128 312 128H296C291.6 128 288 131.6 288 136V216C288 220.4 291.6 224 296 224H312C316.4 224 320 220.4 320 216V136zM176 64C184.8 64 192 71.16 192 80V128C192 128.3 191.1 128.5 191.1 128.8C210.2 132.5 224 148.6 224 168V280C224 299.4 210.2 315.5 191.1 319.2C191.1 319.5 192 319.7 192 320V368C192 376.8 184.8 384 176 384C167.2 384 160 376.8 160 368V320C160 319.7 160 319.5 160 319.2C141.8 315.5 128 299.4 128 280V168C128 148.6 141.8 132.5 160 128.8C160 128.5 160 128.3 160 128V80C160 71.16 167.2 64 176 64V64zM168 160C163.6 160 160 163.6 160 168V280C160 284.4 163.6 288 168 288H184C188.4 288 192 284.4 192 280V168C192 163.6 188.4 160 184 160H168zM416 144C416 135.2 423.2 128 432 128C440.8 128 448 135.2 448 144V192C448 192.3 447.1 192.5 447.1 192.8C466.2 196.5 480 212.6 480 232V280C480 299.4 466.2 315.5 447.1 319.2C447.1 319.5 448 319.7 448 320V368C448 376.8 440.8 384 432 384C423.2 384 416 376.8 416 368V320C416 319.7 416 319.5 416 319.2C397.8 315.5 384 299.4 384 280V232C384 212.6 397.8 196.5 416 192.8C416 192.5 416 192.3 416 192V144zM424 224C419.6 224 416 227.6 416 232V280C416 284.4 419.6 288 424 288H440C444.4 288 448 284.4 448 280V232C448 227.6 444.4 224 440 224H424z"],
    "chart-column": [512, 512, [], "e0e3", "M16 32C24.84 32 32 39.16 32 48V400C32 426.5 53.49 448 80 448H496C504.8 448 512 455.2 512 464C512 472.8 504.8 480 496 480H80C35.82 480 0 444.2 0 400V48C0 39.16 7.164 32 16 32zM144 256C152.8 256 160 263.2 160 272V368C160 376.8 152.8 384 144 384C135.2 384 128 376.8 128 368V272C128 263.2 135.2 256 144 256zM256 368C256 376.8 248.8 384 240 384C231.2 384 224 376.8 224 368V144C224 135.2 231.2 128 240 128C248.8 128 256 135.2 256 144V368zM336 192C344.8 192 352 199.2 352 208V368C352 376.8 344.8 384 336 384C327.2 384 320 376.8 320 368V208C320 199.2 327.2 192 336 192zM448 368C448 376.8 440.8 384 432 384C423.2 384 416 376.8 416 368V112C416 103.2 423.2 96 432 96C440.8 96 448 103.2 448 112V368z"],
    "chart-gantt": [512, 512, [], "e0e4", "M16 32C24.84 32 32 39.16 32 48V400C32 426.5 53.49 448 80 448H496C504.8 448 512 455.2 512 464C512 472.8 504.8 480 496 480H80C35.82 480 0 444.2 0 400V48C0 39.16 7.164 32 16 32zM128 144C128 135.2 135.2 128 144 128L272 128C280.8 128 288 135.2 288 144C288 152.8 280.8 160 272 160L144 160C135.2 160 128 152.8 128 144zM368 224C376.8 224 384 231.2 384 240C384 248.8 376.8 256 368 256H208C199.2 256 192 248.8 192 240C192 231.2 199.2 224 208 224H368zM464 320C472.8 320 480 327.2 480 336C480 344.8 472.8 352 464 352H368C359.2 352 352 344.8 352 336C352 327.2 359.2 320 368 320H464z"],
    "chart-line": [512, 512, ["line-chart"], "f201", "M32 400C32 426.5 53.49 448 80 448H496C504.8 448 512 455.2 512 464C512 472.8 504.8 480 496 480H80C35.82 480 0 444.2 0 400V48C0 39.16 7.164 32 16 32C24.84 32 32 39.16 32 48V400zM331.3 299.3C325.1 305.6 314.9 305.6 308.7 299.3L223.1 214.6L123.3 315.3C117.1 321.6 106.9 321.6 100.7 315.3C94.44 309.1 94.44 298.9 100.7 292.7L212.7 180.7C218.9 174.4 229.1 174.4 235.3 180.7L320 265.4L452.7 132.7C458.9 126.4 469.1 126.4 475.3 132.7C481.6 138.9 481.6 149.1 475.3 155.3L331.3 299.3z"],
    "chart-line-down": [512, 512, [128201], "f64d", "M32 400C32 426.5 53.49 448 80 448H496C504.8 448 512 455.2 512 464C512 472.8 504.8 480 496 480H80C35.82 480 0 444.2 0 400V48C0 39.16 7.164 32 16 32C24.84 32 32 39.16 32 48V400zM320 336C320 327.2 327.2 320 336 320H425.4L320 214.6L235.3 299.3C229.1 305.6 218.9 305.6 212.7 299.3L100.7 187.3C94.44 181.1 94.44 170.9 100.7 164.7C106.9 158.4 117.1 158.4 123.3 164.7L224 265.4L308.7 180.7C314.9 174.4 325.1 174.4 331.3 180.7L448 297.4V208C448 199.2 455.2 192 464 192C472.8 192 480 199.2 480 208V336C480 344.8 472.8 352 464 352H336C327.2 352 320 344.8 320 336L320 336z"],
    "chart-line-up": [512, 512, [], "e0e5", "M32 400C32 426.5 53.49 448 80 448H496C504.8 448 512 455.2 512 464C512 472.8 504.8 480 496 480H80C35.82 480 0 444.2 0 400V48C0 39.16 7.164 32 16 32C24.84 32 32 39.16 32 48V400zM336 128H464C472.8 128 480 135.2 480 144V272C480 280.8 472.8 288 464 288C455.2 288 448 280.8 448 272V182.6L331.3 299.3C325.1 305.6 314.9 305.6 308.7 299.3L223.1 214.6L123.3 315.3C117.1 321.6 106.9 321.6 100.7 315.3C94.44 309.1 94.44 298.9 100.7 292.7L212.7 180.7C218.9 174.4 229.1 174.4 235.3 180.7L320 265.4L425.4 160H336C327.2 160 320 152.8 320 144C320 135.2 327.2 128 336 128L336 128z"],
    "chart-mixed": [512, 512, ["analytics"], "f643", "M507.8 37.24C513.8 43.78 513.3 53.89 506.8 59.84L330.8 219.8C324.4 225.6 314.7 225.4 308.7 219.3L190.4 100.1L25.41 220.9C18.26 226.1 8.258 224.6 3.061 217.4C-2.137 210.3-.5565 200.3 6.59 195.1L182.6 67.06C188.1 62.43 197.7 63.12 203.3 68.69L320.5 185.9L485.2 36.16C491.8 30.22 501.9 30.7 507.8 37.24H507.8zM112 368V432C112 458.5 90.51 480 64 480C37.49 480 16 458.5 16 432V368C16 341.5 37.49 319.1 64 319.1C90.51 319.1 112 341.5 112 368zM80 432V368C80 359.2 72.84 352 64 352C55.16 352 48 359.2 48 368V432C48 440.8 55.16 448 64 448C72.84 448 80 440.8 80 432zM144 271.1C144 245.5 165.5 223.1 192 223.1C218.5 223.1 240 245.5 240 271.1V432C240 458.5 218.5 480 192 480C165.5 480 144 458.5 144 432V271.1zM192 255.1C183.2 255.1 176 263.2 176 271.1V432C176 440.8 183.2 448 192 448C200.8 448 208 440.8 208 432V271.1C208 263.2 200.8 255.1 192 255.1zM368 336V432C368 458.5 346.5 480 320 480C293.5 480 272 458.5 272 432V336C272 309.5 293.5 287.1 320 287.1C346.5 287.1 368 309.5 368 336zM336 432V336C336 327.2 328.8 319.1 320 319.1C311.2 319.1 304 327.2 304 336V432C304 440.8 311.2 448 320 448C328.8 448 336 440.8 336 432zM400 271.1C400 245.5 421.5 223.1 448 223.1C474.5 223.1 496 245.5 496 271.1V432C496 458.5 474.5 480 448 480C421.5 480 400 458.5 400 432V271.1zM448 255.1C439.2 255.1 432 263.2 432 271.1V432C432 440.8 439.2 448 448 448C456.8 448 464 440.8 464 432V271.1C464 263.2 456.8 255.1 448 255.1z"],
    "chart-network": [640, 512, [], "f78a", "M160 64C160 28.65 188.7 0 224 0C259.3 0 288 28.65 288 64C288 83.36 279.4 100.7 265.8 112.5L304.3 196.5C314.4 193.6 325 192 336 192C367.7 192 396.2 205.1 416.6 226.2L517.4 153.7C513.9 145.8 512 137.1 512 128C512 92.65 540.7 64 576 64C611.3 64 640 92.65 640 128C640 163.3 611.3 192 576 192C561.4 192 547.9 187.1 537.2 178.9L435.3 252.2C443.4 267.7 448 285.3 448 304C448 319.4 444.9 334 439.3 347.3L531.1 402.4C542.6 391 558.5 384 576 384C611.3 384 640 412.7 640 448C640 483.3 611.3 512 576 512C540.7 512 512 483.3 512 448C512 441.7 512.9 435.6 514.6 429.8L422.8 374.8C402.3 399.9 371 416 336 416C279.6 416 232.9 374.3 225.1 320H125.1C118.9 347.6 93.82 368 64 368C28.65 368 0 339.3 0 304C0 268.7 28.65 240 64 240C93.82 240 118.9 260.4 125.1 288H225.1C229.8 255.3 248.7 227.1 275.3 209.9L237.1 126.7C232.9 127.5 228.5 128 224 128C188.7 128 160 99.35 160 64V64zM224 96C241.7 96 256 81.67 256 64C256 46.33 241.7 32 224 32C206.3 32 192 46.33 192 64C192 81.67 206.3 96 224 96zM576 160C593.7 160 608 145.7 608 128C608 110.3 593.7 96 576 96C558.3 96 544 110.3 544 128C544 145.7 558.3 160 576 160zM576 416C558.3 416 544 430.3 544 448C544 465.7 558.3 480 576 480C593.7 480 608 465.7 608 448C608 430.3 593.7 416 576 416zM64 336C81.67 336 96 321.7 96 304C96 286.3 81.67 272 64 272C46.33 272 32 286.3 32 304C32 321.7 46.33 336 64 336zM336 384C380.2 384 416 348.2 416 304C416 259.8 380.2 224 336 224C291.8 224 256 259.8 256 304C256 348.2 291.8 384 336 384z"],
    "chart-pie": [576, 512, ["pie-chart"], "f200", "M320 240C311.2 240 304 232.8 304 224V15.47C304 7.074 310.5 .0432 318.9 .0026L320 0C443.7 0 544 100.3 544 224L543.1 225.1C543.1 233.5 536.9 240 528.5 240H320zM336 32.66V208H511.3C503.6 114.7 429.3 40.35 336 32.66V32.66zM256 49.61V288L412.5 444.5C419.2 451.2 418.7 462.2 411 467.7C371.8 495.6 323.8 512 272 512C139.5 512 32 404.6 32 272C32 150.7 122.1 50.34 238.1 34.25C248.2 32.99 256 40.36 256 49.61V49.61zM233.4 310.6C227.4 304.6 224 296.5 224 288V69.56C132.3 91.22 64 173.7 64 272C64 386.9 157.1 480 272 480C309.6 480 344.9 470 375.3 452.6L233.4 310.6zM499.9 447.3C493.9 452.1 484.5 452.5 478.7 446.7L347.3 315.3C337.2 305.2 344.4 288 358.6 288H558.4C567.6 288 575 295.8 573.8 305C566.1 360.9 539.1 410.6 499.9 447.3V447.3zM538.4 320H397.3L489.6 412.3C513.1 386.6 530.2 354.1 538.4 320z"],
    "chart-pie-simple": [512, 512, ["chart-pie-alt"], "f64e", "M256 17.68C256 8.059 263.4 0 273.1 0C405 0 512 106.1 512 238.9C512 248.6 503.9 256 494.3 256H272C263.2 256 256 248.8 256 240V17.68zM288 224H479.5C472.2 121.6 390.4 39.83 288 32.53V224zM224 288H445.3C463.8 288 478.6 303.7 474.8 321.8C451.9 430.5 355.5 512 240 512C107.5 512 0 404.5 0 272C0 156.5 81.53 60.12 190.2 37.18C208.3 33.36 224 48.2 224 66.7V288zM192 69.56C100.3 91.22 32 173.7 32 272C32 386.9 125.1 480 240 480C338.3 480 420.8 411.7 442.4 320H224C206.3 320 192 305.7 192 288V69.56z"],
    "chart-pyramid": [512, 512, [], "e0e6", "M214.5 71.57C233.1 39.82 278.9 39.82 297.5 71.57L493.6 407.8C512.3 439.8 489.2 480 452.1 480H59.86C22.81 480-.2704 439.8 18.4 407.8L214.5 71.57zM269.8 87.69C263.6 77.11 248.4 77.11 242.2 87.69L181.3 191.1H330.7L269.8 87.69zM405.3 320L349.3 223.1H162.7L106.7 320H405.3zM88 352L46.04 423.9C39.81 434.6 47.51 448 59.86 448H452.1C464.5 448 472.2 434.6 465.1 423.9L424 352H88z"],
    "chart-radar": [512, 512, [], "e0e7", "M312 160C312 177.8 303.7 193.6 290.8 203.9L314.9 264.2C316.6 264.1 318.3 264 320 264C350.9 264 376 289.1 376 320C376 350.9 350.9 376 320 376C290.8 376 266.8 353.7 264.2 325.2L209.5 314.2C200.1 331.9 181.5 344 160 344C129.1 344 104 318.9 104 288C104 257.1 129.1 232 160 232C166.8 232 173.4 233.2 179.4 235.5L210.1 193.3C204.1 184 200 172.5 200 159.1C200 129.1 225.1 103.1 256 103.1C286.9 103.1 312 129.1 312 159.1L312 160zM285.2 276.1L261.1 215.8C259.4 215.9 257.7 216 256 216C249.2 216 242.6 214.8 236.6 212.5L205 254.7C210.9 262.7 214.8 272.3 215.8 282.8L270.5 293.8C274.1 286.9 279.2 280.9 285.2 276.1V276.1zM256 184C269.3 184 280 173.3 280 160C280 146.7 269.3 136 256 136C242.7 136 232 146.7 232 160C232 173.3 242.7 184 256 184zM320 296C306.7 296 296 306.7 296 320C296 333.3 306.7 344 320 344C333.3 344 344 333.3 344 320C344 306.7 333.3 296 320 296zM160 312C173.3 312 184 301.3 184 288C184 274.7 173.3 264 160 264C146.7 264 136 274.7 136 288C136 301.3 146.7 312 160 312zM357.5 32C374.7 32 390.5 41.15 399.1 56.01L500.6 232C509.2 246.9 509.2 265.1 500.6 279.1L399.1 455.1C390.5 470.8 374.7 480 357.5 480H154.5C137.3 480 121.5 470.8 112.9 455.1L11.37 279.1C2.803 265.1 2.803 246.9 11.37 232L112.9 56.01C121.5 41.15 137.3 32 154.5 32H357.5zM39.09 248C36.23 252.1 36.23 259 39.09 263.1L140.6 439.1C143.5 444.9 148.8 448 154.5 448H357.5C363.2 448 368.5 444.9 371.4 439.1L472.9 263.1C475.8 259 475.8 252.1 472.9 248L371.4 72C368.5 67.05 363.2 64 357.5 64H154.5C148.8 64 143.5 67.05 140.6 72L39.09 248z"],
    "chart-scatter": [512, 512, [], "f7ee", "M32 400C32 426.5 53.49 448 80 448H496C504.8 448 512 455.2 512 464C512 472.8 504.8 480 496 480H80C35.82 480 0 444.2 0 400V48C0 39.16 7.164 32 16 32C24.84 32 32 39.16 32 48V400zM168 160C168 146.7 178.7 136 192 136C205.3 136 216 146.7 216 160C216 173.3 205.3 184 192 184C178.7 184 168 173.3 168 160zM312 256C312 269.3 301.3 280 288 280C274.7 280 264 269.3 264 256C264 242.7 274.7 232 288 232C301.3 232 312 242.7 312 256zM360 320C360 306.7 370.7 296 384 296C397.3 296 408 306.7 408 320C408 333.3 397.3 344 384 344C370.7 344 360 333.3 360 320zM440 128C440 141.3 429.3 152 416 152C402.7 152 392 141.3 392 128C392 114.7 402.7 104 416 104C429.3 104 440 114.7 440 128zM136 320C136 306.7 146.7 296 160 296C173.3 296 184 306.7 184 320C184 333.3 173.3 344 160 344C146.7 344 136 333.3 136 320z"],
    "chart-scatter-3d": [512, 512, [], "e0e8", "M272 280.6L474.3 451.8C481.1 457.5 481.9 467.6 476.2 474.3C470.5 481.1 460.4 481.9 453.7 476.2L256 308.1L58.34 476.2C51.59 481.9 41.49 481.1 35.79 474.3C30.08 467.6 30.92 457.5 37.66 451.8L240 280.6V48C240 39.16 247.2 32 256 32C264.8 32 272 39.16 272 48V280.6zM360 64C360 50.75 370.7 40 384 40C397.3 40 408 50.75 408 64C408 77.25 397.3 88 384 88C370.7 88 360 77.25 360 64zM408 256C408 269.3 397.3 280 384 280C370.7 280 360 269.3 360 256C360 242.7 370.7 232 384 232C397.3 232 408 242.7 408 256zM456 160C456 146.7 466.7 136 480 136C493.3 136 504 146.7 504 160C504 173.3 493.3 184 480 184C466.7 184 456 173.3 456 160zM152 160C152 173.3 141.3 184 128 184C114.7 184 104 173.3 104 160C104 146.7 114.7 136 128 136C141.3 136 152 146.7 152 160zM8 64C8 50.75 18.75 40 32 40C45.25 40 56 50.75 56 64C56 77.25 45.25 88 32 88C18.75 88 8 77.25 8 64zM56 256C56 269.3 45.25 280 32 280C18.75 280 8 269.3 8 256C8 242.7 18.75 232 32 232C45.25 232 56 242.7 56 256zM232 448C232 434.7 242.7 424 256 424C269.3 424 280 434.7 280 448C280 461.3 269.3 472 256 472C242.7 472 232 461.3 232 448z"],
    "chart-scatter-bubble": [512, 512, [], "e0e9", "M16 32C24.84 32 32 39.16 32 48V400C32 426.5 53.49 448 80 448H496C504.8 448 512 455.2 512 464C512 472.8 504.8 480 496 480H80C35.82 480 0 444.2 0 400V48C0 39.16 7.164 32 16 32zM128 304C128 277.5 149.5 256 176 256C202.5 256 224 277.5 224 304C224 330.5 202.5 352 176 352C149.5 352 128 330.5 128 304zM176 323.2C186.6 323.2 195.2 314.6 195.2 304C195.2 293.4 186.6 284.8 176 284.8C165.4 284.8 156.8 293.4 156.8 304C156.8 314.6 165.4 323.2 176 323.2zM416 288C416 323.3 387.3 352 352 352C316.7 352 288 323.3 288 288C288 252.7 316.7 224 352 224C387.3 224 416 252.7 416 288zM352 256C334.3 256 320 270.3 320 288C320 305.7 334.3 320 352 320C369.7 320 384 305.7 384 288C384 270.3 369.7 256 352 256zM192 176C192 149.5 213.5 128 240 128C266.5 128 288 149.5 288 176C288 202.5 266.5 224 240 224C213.5 224 192 202.5 192 176zM240 195.2C250.6 195.2 259.2 186.6 259.2 176C259.2 165.4 250.6 156.8 240 156.8C229.4 156.8 220.8 165.4 220.8 176C220.8 186.6 229.4 195.2 240 195.2zM448 128C448 163.3 419.3 192 384 192C348.7 192 320 163.3 320 128C320 92.65 348.7 64 384 64C419.3 64 448 92.65 448 128zM384 96C366.3 96 352 110.3 352 128C352 145.7 366.3 160 384 160C401.7 160 416 145.7 416 128C416 110.3 401.7 96 384 96z"],
    "chart-simple": [448, 512, [], "e473", "M240 32C266.5 32 288 53.49 288 80V432C288 458.5 266.5 480 240 480H208C181.5 480 160 458.5 160 432V80C160 53.49 181.5 32 208 32H240zM240 64H208C199.2 64 192 71.16 192 80V432C192 440.8 199.2 448 208 448H240C248.8 448 256 440.8 256 432V80C256 71.16 248.8 64 240 64zM80 224C106.5 224 128 245.5 128 272V432C128 458.5 106.5 480 80 480H48C21.49 480 0 458.5 0 432V272C0 245.5 21.49 224 48 224H80zM80 256H48C39.16 256 32 263.2 32 272V432C32 440.8 39.16 448 48 448H80C88.84 448 96 440.8 96 432V272C96 263.2 88.84 256 80 256zM320 144C320 117.5 341.5 96 368 96H400C426.5 96 448 117.5 448 144V432C448 458.5 426.5 480 400 480H368C341.5 480 320 458.5 320 432V144zM352 144V432C352 440.8 359.2 448 368 448H400C408.8 448 416 440.8 416 432V144C416 135.2 408.8 128 400 128H368C359.2 128 352 135.2 352 144z"],
    "chart-simple-horizontal": [448, 512, [], "e474", "M448 272C448 298.5 426.5 320 400 320H48C21.49 320 0 298.5 0 272V240C0 213.5 21.49 192 48 192H400C426.5 192 448 213.5 448 240V272zM400 224H48C39.16 224 32 231.2 32 240V272C32 280.8 39.16 288 48 288H400C408.8 288 416 280.8 416 272V240C416 231.2 408.8 224 400 224zM256 432C256 458.5 234.5 480 208 480H48C21.49 480 0 458.5 0 432V400C0 373.5 21.49 352 48 352H208C234.5 352 256 373.5 256 400V432zM208 384H48C39.16 384 32 391.2 32 400V432C32 440.8 39.16 448 48 448H208C216.8 448 224 440.8 224 432V400C224 391.2 216.8 384 208 384zM48 160C21.49 160 0 138.5 0 112V80C0 53.49 21.49 32 48 32H336C362.5 32 384 53.49 384 80V112C384 138.5 362.5 160 336 160H48zM352 112V80C352 71.16 344.8 64 336 64H48C39.16 64 32 71.16 32 80V112C32 120.8 39.16 128 48 128H336C344.8 128 352 120.8 352 112z"],
    "chart-tree-map": [512, 512, [], "e0ea", "M176 32C202.5 32 224 53.49 224 80V192C224 218.5 202.5 240 176 240H48C21.49 240 0 218.5 0 192V80C0 53.49 21.49 32 48 32H176zM176 64H48C39.16 64 32 71.16 32 80V192C32 200.8 39.16 208 48 208H176C184.8 208 192 200.8 192 192V80C192 71.16 184.8 64 176 64zM176 272C202.5 272 224 293.5 224 320V432C224 458.5 202.5 480 176 480H48C21.49 480 0 458.5 0 432V320C0 293.5 21.49 272 48 272H176zM176 304H48C39.16 304 32 311.2 32 320V432C32 440.8 39.16 448 48 448H176C184.8 448 192 440.8 192 432V320C192 311.2 184.8 304 176 304zM256 80C256 53.49 277.5 32 304 32H464C490.5 32 512 53.49 512 80V112C512 138.5 490.5 160 464 160H304C277.5 160 256 138.5 256 112V80zM288 80V112C288 120.8 295.2 128 304 128H464C472.8 128 480 120.8 480 112V80C480 71.16 472.8 64 464 64H304C295.2 64 288 71.16 288 80zM464 192C490.5 192 512 213.5 512 240V272C512 298.5 490.5 320 464 320H304C277.5 320 256 298.5 256 272V240C256 213.5 277.5 192 304 192H464zM464 224H304C295.2 224 288 231.2 288 240V272C288 280.8 295.2 288 304 288H464C472.8 288 480 280.8 480 272V240C480 231.2 472.8 224 464 224zM256 400C256 373.5 277.5 352 304 352H464C490.5 352 512 373.5 512 400V432C512 458.5 490.5 480 464 480H304C277.5 480 256 458.5 256 432V400zM288 400V432C288 440.8 295.2 448 304 448H464C472.8 448 480 440.8 480 432V400C480 391.2 472.8 384 464 384H304C295.2 384 288 391.2 288 400z"],
    "chart-user": [640, 512, ["user-chart"], "f6a3", "M160 320c53.02 0 96-42.98 96-96c0-53.02-42.98-96-96-96C106.1 128 64 170.1 64 224C64 277 106.1 320 160 320zM160 160c35.29 0 64 28.71 64 64S195.3 288 160 288S96 259.3 96 224S124.7 160 160 160zM592 0h-384C181.5 0 160 21.53 160 48v32C160 88.84 167.2 96 176 96S192 88.84 192 80v-32C192 39.19 199.2 32 208 32h384C600.8 32 608 39.19 608 48v320c0 8.812-7.172 16-16 16H352c-8.844 0-16 7.156-16 16S343.2 416 352 416h240C618.5 416 640 394.5 640 368v-320C640 21.53 618.5 0 592 0zM192 352H128c-70.69 0-128 57.31-128 128c0 17.67 14.33 32 32 32h256c17.67 0 32-14.33 32-32C320 409.3 262.7 352 192 352zM32 480c0-52.94 43.07-96 96-96h64c52.94 0 96 43.06 96 96H32zM315.3 164.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l80 80C375.8 270.4 379.9 272 384 272s8.188-1.562 11.31-4.688L496 166.6V224c0 8.844 7.156 16 16 16s16-7.156 16-16V128c0-8.844-7.156-16-16-16h-96c-8.844 0-16 7.156-16 16s7.156 16 16 16h57.38L384 233.4L315.3 164.7z"],
    "chart-waterfall": [512, 512, [], "e0eb", "M16 32C24.84 32 32 39.16 32 48V400C32 426.5 53.49 448 80 448H496C504.8 448 512 455.2 512 464C512 472.8 504.8 480 496 480H80C35.82 480 0 444.2 0 400V48C0 39.16 7.164 32 16 32zM144 224C152.8 224 160 231.2 160 240V336C160 344.8 152.8 352 144 352C135.2 352 128 344.8 128 336V240C128 231.2 135.2 224 144 224zM256 240C256 248.8 248.8 256 240 256C231.2 256 224 248.8 224 240V144C224 135.2 231.2 128 240 128C248.8 128 256 135.2 256 144V240zM336 64C344.8 64 352 71.16 352 80V176C352 184.8 344.8 192 336 192C327.2 192 320 184.8 320 176V80C320 71.16 327.2 64 336 64zM448 336C448 344.8 440.8 352 432 352C423.2 352 416 344.8 416 336V80C416 71.16 423.2 64 432 64C440.8 64 448 71.16 448 80V336z"],
    "check": [448, 512, [10004, 10003], "f00c", "M443.3 100.7C449.6 106.9 449.6 117.1 443.3 123.3L171.3 395.3C165.1 401.6 154.9 401.6 148.7 395.3L4.686 251.3C-1.562 245.1-1.562 234.9 4.686 228.7C10.93 222.4 21.06 222.4 27.31 228.7L160 361.4L420.7 100.7C426.9 94.44 437.1 94.44 443.3 100.7H443.3z"],
    "check-double": [448, 512, [], "f560", "M171.3 235.3C165.1 241.6 154.9 241.6 148.7 235.3L68.69 155.3C62.44 149.1 62.44 138.9 68.69 132.7C74.93 126.4 85.06 126.4 91.31 132.7L160 201.4L308.7 52.69C314.9 46.44 325.1 46.44 331.3 52.69C337.6 58.93 337.6 69.06 331.3 75.31L171.3 235.3zM171.3 459.3C165.1 465.6 154.9 465.6 148.7 459.3L4.686 315.3C-1.562 309.1-1.562 298.9 4.686 292.7C10.93 286.4 21.06 286.4 27.31 292.7L160 425.4L420.7 164.7C426.9 158.4 437.1 158.4 443.3 164.7C449.6 170.9 449.6 181.1 443.3 187.3L171.3 459.3z"],
    "check-to-slot": [576, 512, ["vote-yea"], "f772", "M355.3 134.3L267.9 248.7l-49.34-43.5C211.9 199.3 201.8 199.1 196 206.6C190.2 213.2 190.8 223.3 197.4 229.2L259.6 284C262.6 286.6 266.3 288 270.2 288c.5313 0 1.206 .0187 1.737-.0125c4.406-.4375 8.294-2.737 10.98-6.269l97.78-128c5.375-7.031 4.031-17.06-3-22.44C370.7 125.9 360.7 127.2 355.3 134.3zM528 320c-8.844 0-16 7.156-16 16s7.156 16 16 16c8.812 0 16 7.172 16 16v64c0 8.828-7.188 16-16 16h-480C39.19 448 32 440.8 32 432v-64C32 359.2 39.19 352 48 352C56.84 352 64 344.8 64 336S56.84 320 48 320C21.53 320 0 341.5 0 368v64C0 458.5 21.53 480 48 480h480c26.47 0 48-21.53 48-48v-64C576 341.5 554.5 320 528 320zM80 416h416c8.836 0 16-7.164 16-16S504.8 384 496 384H480V80C480 53.49 458.5 32 432 32h-288C117.5 32 96 53.49 96 80V384H80C71.16 384 64 391.2 64 400S71.16 416 80 416zM128 80C128 71.16 135.2 64 144 64h288C440.8 64 448 71.16 448 80V384H128V80z"],
    "cheese": [512, 512, [], "f7ef", "M299.9 32.01L298.4 32c-7.125 .125-14.13 2.508-19.62 7.008L12.3 246.3C4.505 252.4 0 261.7 0 271.5v176.5C0 465.6 14.4 480 32 480h448c17.6 0 32-14.4 32-31.1V255.1C512 136.1 417.1 38.26 299.9 32.01zM480 448H32V287.9h448V448zM52.12 255.9L298.8 64C400.4 69.62 480 153.8 480 255.9H52.12z"],
    "cheese-swiss": [512, 512, [129472], "f7f0", "M176 319.9c-26.5 0-48 21.5-48 48s21.5 48 48 48s48-21.5 48-48S202.5 319.9 176 319.9zM187.4 379.3C184.4 382.3 180.3 384 176 384C167.1 384 160 376.8 160 367.9c0-8.75 7.125-16 16-16s16 7.25 16 16C192 372.1 190.4 376.3 187.4 379.3zM299.9 32.01L298.4 32c-7.125 .125-14.12 2.508-19.62 7.008L12.3 246.3C4.504 252.4 0 261.7 0 271.5v176.5C0 465.6 14.4 480 32 480h448c17.6 0 32-14.4 32-31.1V255.1C512 136.1 417.1 38.26 299.9 32.01zM240 127.8c8.875 0 16 7.25 16 16c0 8.875-7.125 16-16 16s-16-7.125-16-16C224 135 231.1 127.8 240 127.8zM480 448H32V287.9h291c6.625 19.12 24.75 32 45 32s38.38-12.88 45-32H480V448zM352 271.9c0-8.875 7.125-16 16-16s16 7.125 16 16s-7.125 16-16 16S352 280.8 352 271.9zM413 255.9C406.4 236.8 388.3 223.9 368 223.9s-38.38 12.87-45 31.1H52.13l140.1-109C193.8 171 213 190.3 237.1 191.8s45.63-15.25 50-39c4.5-23.75-9.375-47.13-32.5-54.5L298.6 64C400.4 69.63 480 153.8 480 255.9H413z"],
    "cherries": [640, 512, [], "e0ec", "M532.2 224.3c-19.52 0-42.82 3.748-70.4 13.42c-36.15-148.4-164.5-237.7-173.9-237.7c-33.7 0-7.135 110.2-108.2 238.2c-28.25-10.07-52.05-13.96-71.92-13.96c-101.3 0-107.8 92.77-107.8 109.8c0 25.75 24.51 177.1 191.1 177.1c166.5 0 192-149.8 192-177.1c0-60.31-37.04-109.8-107.1-109.8c-14.55 0-31.21 2.081-50.16 7.144c21-30.87 51.75-89.18 72.74-186.8c34.06 28.62 102.5 96.3 129.1 190.9c-4.815-1.562-7.542-3.2-11.74-3.2c-6.875 0-13.28 4.537-15.33 11.47c-.4472 1.515-.6604 3.044-.6604 4.547c0 15.88 13.45 14.29 41.72 26.34l6.281 2.672L454.3 274.6c29.25-12.46 55.35-18.72 77.51-18.72c1.816 0 76.22-3.583 76.22 78.16C607.1 355.9 586.6 480 447.1 480c-39.31 0-56.87-10.43-64-10.43c-8.905 0-15.1 7.252-15.1 16.05c0 6.604 4.133 12.78 10.72 15.07c21.53 7.5 44.79 11.31 69.23 11.31c166.5 0 192.1-149.8 192.1-177.1C640 316.8 633.4 224.3 532.2 224.3zM275.8 255.9c1.816 0 76.21-3.585 76.21 78.16C352 355.9 330.6 480 192 480c-139.2 0-160-123.7-160-145.9c0-69.41 53.07-78.16 76.23-78.16c22.16 0 48.25 6.25 77.5 18.72l6.281 2.672L198.3 274.6C227.5 262.1 253.6 255.9 275.8 255.9z"],
    "chess": [512, 512, [], "f439", "M498.6 428.4L480 419.1V408c0-13.23-10.77-24-24-24h-112C330.8 384 320 394.8 320 408v11.06l-18.58 9.344C293.3 432.3 288 440.7 288 449.9V488c0 13.23 10.77 24 24 24h176c13.23 0 24-10.77 24-24v-38.13C512 440.8 506.8 432.3 498.6 428.4zM480 480h-160v-25.12l32-16.09V416h96v22.79l32 16.09V480zM56.88 224H48.97C40.1 224 33.55 229.4 32.23 237.3C30.55 247.3 38.3 256 48 256h16.01L64 284.5c-.0625 16.62-1.307 33.16-3.266 49.62C59.6 343.6 67.06 352 76.65 352c8.205 0 15.02-6.195 15.97-14.35C94.69 320 96 302.3 96 284.5V256h64v28.5c0 17.82 1.312 35.53 3.377 53.15C164.3 345.8 171.1 352 179.3 352c9.592 0 17.05-8.355 15.92-17.88C193.3 317.7 192.1 301.1 192 284.5L192 256h15.02c7.979 0 15.42-5.4 16.74-13.27C225.4 232.7 217.7 224 208 224H199.1l31.75-84.75c5.197-13.69 .5488-29.54-12.61-38.22C212.1 97.53 206.6 96 200.2 96H144V64h15.02c7.979 0 15.42-5.4 16.74-13.27C177.4 40.74 169.7 32 160 32h-16L144 16.97c0-7.979-5.4-15.42-13.27-16.74C120.7-1.449 112 6.303 112 16V32H96.86C88.88 32 81.55 37.4 80.23 45.26C78.55 55.26 86.31 64 96.01 64h16v32H55.77C49.42 96 43.03 97.53 37.73 101c-13.16 8.689-17.81 24.54-12.61 38.22L56.88 224zM201 128l-36 96H91.13l-36-96H201zM242.6 428.4L224 419.1V408C224 394.8 213.2 384 200 384h-144C42.77 384 32 394.8 32 408v11.06l-18.58 9.344C5.266 432.3 0 440.7 0 449.9V488C0 501.2 10.77 512 24 512h208C245.2 512 256 501.2 256 488v-38.13C256 440.8 250.8 432.3 242.6 428.4zM224 480H32v-25.12l32-16.09V416h128v22.79l32 16.09V480zM496 160h-192C295.2 160 288 167.2 288 176V256c0 5.344 2.672 10.34 7.125 13.31L336 296.6V352c0 8.844 7.156 16 16 16s16-7.156 16-16V288c0-5.344-2.672-10.34-7.125-13.31L320 247.4V192h32v16C352 216.8 359.2 224 368 224S384 216.8 384 208V192h32v16C416 216.8 423.2 224 432 224S448 216.8 448 208V192h32v55.44l-40.88 27.25C434.7 277.7 432 282.7 432 288v64c0 8.844 7.156 16 16 16s16-7.156 16-16V296.6l40.88-27.25C509.3 266.3 512 261.3 512 256V176C512 167.2 504.8 160 496 160z"],
    "chess-bishop": [320, 512, [9821], "f43a", "M64 372V400C64 408.8 71.16 416 80 416S96 408.8 96 400v-40.01c0-7.115-4.699-13.38-11.53-15.36l-11.53-3.354C53.15 335.5 32 317.4 32 284C32 231.4 86.32 136.9 130.8 96h58.41c20.15 18.54 42.11 48.19 60.34 79.84l-84.85 84.85c-6.25 6.25-6.25 16.38 0 22.62C167.8 286.4 171.9 288 176 288s8.188-1.562 11.31-4.688l77.83-77.83C278.8 234.3 288 262.6 288 284c0 33.45-21.15 51.52-40.94 57.27l-11.53 3.354C228.7 346.6 224 352.9 224 359.1V400c0 8.836 7.164 16 16 16s16-7.164 16-16v-28c33.88-9.854 64-40.68 64-88C320 217.4 253.6 105.6 201 64h-82C66.38 105.6 0 217.4 0 284C0 331.3 30.13 362.1 64 372zM112 32h96C216.9 32 224 24.88 224 16S216.9 0 208 0h-96C103.1 0 96 7.125 96 16S103.1 32 112 32zM272 448h-224C21.53 448 0 469.5 0 496C0 504.8 7.156 512 16 512S32 504.8 32 496C32 487.2 39.17 480 48 480h224c8.828 0 16 7.188 16 16c0 8.844 7.156 16 16 16s16-7.156 16-16C320 469.5 298.5 448 272 448z"],
    "chess-bishop-piece": [256, 512, ["chess-bishop-alt"], "f43b", "M242.6 428.4L224 419.1V408c0-13.23-10.77-24-24-24h-144C42.77 384 32 394.8 32 408v11.06l-18.58 9.344C5.266 432.3 0 440.7 0 449.9V488C0 501.2 10.77 512 24 512h208c13.23 0 24-10.77 24-24v-38.13C256 440.8 250.8 432.3 242.6 428.4zM224 480H32v-25.12l32-16.09V416h128v22.79l32 16.09V480zM48 240C48 248.8 55.16 256 64 256h15.69l-15.38 76.88c-1.734 8.656 3.891 17.09 12.55 18.81C77.92 351.9 78.98 352 80.02 352c7.469 0 14.16-5.25 15.67-12.88l16-80C111.9 258.1 111.7 257 111.7 256h32.64c-.002 1.047-.2187 2.061-.0059 3.125l16 80C161.8 346.8 168.5 352 175.1 352c1.031 0 2.094-.0938 3.156-.3125c8.656-1.719 14.28-10.16 12.55-18.81L176.3 256H192c8.836 0 16-7.164 16-16c0-8.627-6.865-15.55-15.41-15.88c9.326-14.97 14.84-31.32 15.36-49.28c1.273-43.54-24.55-85.35-44.97-111.4C170.3 61.96 176 55.78 176 48C176 39.16 168.8 32 160 32H96C87.16 32 80 39.16 80 48c0 7.779 5.662 13.96 13.02 15.4c-20.42 26.09-46.25 67.9-44.97 111.4c.5234 17.96 6.035 34.3 15.36 49.28C54.87 224.4 48 231.4 48 240zM128 71.38c7.826 8.93 18.48 22.46 27.81 38.19L124.7 140.7c-6.25 6.25-6.25 16.38 0 22.62C127.8 166.4 131.9 168 136 168s8.188-1.562 11.31-4.688l22.94-22.94c3.719 10.98 6.059 22.31 5.717 33.6C175.4 193.1 167.6 209.5 152.2 224H103.8C88.41 209.5 80.61 193.1 80.03 173.1C78.8 133.3 110.6 91.25 128 71.38z"],
    "chess-board": [448, 512, [], "f43c", "M352 112H96C87.16 112 80 119.2 80 128v256c0 8.836 7.164 16 16 16h256c8.836 0 16-7.164 16-16V128C368 119.2 360.8 112 352 112zM144 368h-32v-32h32V368zM144 304h-32v-32h32V304zM144 240h-32v-32h32V240zM144 176h-32v-32h32V176zM208 368h-32v-32h32V368zM208 304h-32v-32h32V304zM208 240h-32v-32h32V240zM208 176h-32v-32h32V176zM272 368h-32v-32h32V368zM272 304h-32v-32h32V304zM272 240h-32v-32h32V240zM272 176h-32v-32h32V176zM336 368h-32v-32h32V368zM336 304h-32v-32h32V304zM336 240h-32v-32h32V240zM336 176h-32v-32h32V176zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416z"],
    "chess-clock": [640, 512, [], "f43d", "M400 96h128C536.8 96 544 88.84 544 80S536.8 64 528 64h-128C391.2 64 384 71.16 384 80S391.2 96 400 96zM464 192C402.1 192 352 242.1 352 304s50.14 112 112 112S576 365.9 576 304S525.9 192 464 192zM520.6 360.6c-31.19 31.19-81.95 31.19-113.1 0s-31.19-81.95 0-113.1c27.32-27.32 69.63-30.7 100.7-10.17l-55.42 55.43c-6.252 6.254-6.253 16.37-.0013 22.63c6.254 6.254 16.37 6.254 22.63 0l55.43-55.42C551.3 290.9 547.9 333.3 520.6 360.6zM176 192C114.1 192 64 242.1 64 304S114.1 416 176 416S288 365.9 288 304S237.9 192 176 192zM176 384C131.9 384 96 348.1 96 304c0-38.63 27.53-70.95 64-78.38V304C160 312.8 167.2 320 176 320S192 312.8 192 304V225.6C228.5 233.1 256 265.4 256 304C256 348.1 220.1 384 176 384zM560 128H192V64h48c8.844 0 16.08-7.156 16.08-16S248.9 32 240.1 32H112.1c-8.844 0-16 7.156-16 16S103.2 64 112 64H160v64H80C35.82 128 0 163.8 0 208v192C0 444.2 35.82 480 80 480h480c44.18 0 80-35.82 80-80V207.1C640 163.8 604.2 128 560 128zM608 400c0 26.51-21.49 48-48 48h-480C53.49 448 32 426.5 32 400v-192C32 181.5 53.49 160 80 160h480C586.5 160 608 181.5 608 208V400z"],
    "chess-clock-flip": [640, 512, ["chess-clock-alt"], "f43e", "M256 80C256 71.16 248.8 64 240 64h-128C103.2 64 96 71.16 96 80S103.1 96 111.1 96h128C248.8 96 256 88.84 256 80zM463.9 192c-61.86 0-112 50.18-112 112S402.1 416 463.9 416s112-50.08 112-111.9S525.8 192 463.9 192zM464 384c-44.11 0-80-35.89-80-80c0-38.63 27.53-70.95 64-78.38V304c0 8.844 7.156 16 16 16S480 312.8 480 304V225.6C516.5 233.1 544 265.4 544 304C544 348.1 508.1 384 464 384zM0 207.1L0 400C0 444.2 35.82 480 80 480h480c44.18 0 80-35.82 80-80V207.1C640 163.8 604.2 128 560 128H480V64h48c8.844 0 15.96-7.156 15.96-16s-7.156-16-16-16h-127.1c-8.844 0-16 7.156-16 16S391.2 64 400 64H448v64H80C35.82 128 0 163.8 0 207.1zM32 208C32 181.5 53.49 160 80 160h480C586.5 160 608 181.5 608 208v192c0 26.51-21.49 48-48 48h-480C53.49 448 32 426.5 32 400V208zM176 192C114.1 192 63.94 242.1 63.94 304s50.14 112 112 112s112-50.12 112-111.1S237.9 192 176 192zM232.6 360.6c-31.19 31.19-81.95 31.19-113.1 0s-31.19-81.95 0-113.1C146.7 220.1 189.1 216.7 220.1 237.3L164.7 292.7C158.4 298.9 158.4 309.1 164.7 315.3c6.254 6.254 16.37 6.254 22.63 0L242.7 259.9C263.3 290.9 259.9 333.3 232.6 360.6z"],
    "chess-king": [448, 512, [9818], "f43f", "M367.1 448H79.97c-26.47 0-48.01 21.53-48.01 47.1C31.96 504.8 39.12 512 47.96 512S64 504.8 64 496C64 487.2 71.17 480 80 480h288c8.828 0 16 7.188 16 16c0 8.844 7.171 16 16.01 16s16-7.156 16-16C416 469.5 394.5 448 367.1 448zM423.2 180.2C414.2 167.6 399.7 160 384.2 160H240V96H288c8.844 0 15.99-7.157 15.99-16S296.8 64 288 64h-48V16c0-8.844-7.172-16-16.02-16S208 7.156 208 16V64H160C151.2 64 143.1 71.16 143.1 80S151.2 96 160 96h48v64H63.81C48.34 160 33.78 167.6 24.83 180.2C15.83 193 13.58 209.4 18.73 223.9l61.72 181.3c2.859 8.375 11.94 12.75 20.3 10c8.359-2.844 12.84-11.94 9.984-20.31L48.95 213.4C45.13 202.6 53.27 192 63.81 192h320.4c10.6 0 18.66 10.66 14.86 21.41l-64.28 181.3c-2.953 8.312 1.406 17.47 9.734 20.44c11.23 3.977 18.65-4.749 20.42-9.75l64.28-181.3C434.4 209.4 432.2 193 423.2 180.2z"],
    "chess-king-piece": [256, 512, ["chess-king-alt"], "f440", "M56.88 224H48.97C40.1 224 33.55 229.4 32.23 237.3C30.55 247.3 38.3 256 48 256h16.01L64 284.5c-.0625 16.62-1.307 33.16-3.266 49.62C59.6 343.6 67.06 352 76.65 352c8.205 0 15.02-6.195 15.97-14.35C94.69 320 96 302.3 96 284.5V256h64v28.5c0 17.82 1.312 35.53 3.377 53.15C164.3 345.8 171.1 352 179.3 352c9.592 0 17.05-8.355 15.92-17.88C193.3 317.7 192.1 301.1 192 284.5L192 256h15.02c7.979 0 15.42-5.4 16.74-13.27C225.4 232.7 217.7 224 208 224h-8.882l31.75-84.75c5.197-13.69 .5488-29.54-12.61-38.22C212.1 97.53 206.6 96 200.2 96h-56.23V64h15.02c7.979 0 15.42-5.4 16.74-13.27C177.4 40.74 169.7 32 160 32h-16L144 16.97c0-7.979-5.4-15.42-13.27-16.74C120.7-1.449 112 6.303 112 16V32H96.86C88.88 32 81.55 37.4 80.23 45.26C78.55 55.26 86.31 64 96.01 64h16v32H55.77C49.42 96 43.03 97.53 37.73 101c-13.16 8.689-17.81 24.54-12.61 38.22L56.88 224zM201 128l-36 96H91.13l-36-96H201zM242.6 428.4L224 419.1V408c0-13.23-10.77-24-24-24h-144C42.77 384 32 394.8 32 408v11.06l-18.58 9.344C5.266 432.3 0 440.7 0 449.9V488C0 501.2 10.77 512 24 512h208c13.23 0 24-10.77 24-24v-38.13C256 440.8 250.8 432.3 242.6 428.4zM224 480H32v-25.12l32-16.09V416h128v22.79l32 16.09V480z"],
    "chess-knight": [384, 512, [9822], "f441", "M64 164C64 175 73 184 84 184S104 175 104 164S95 144 84 144S64 153 64 164zM35.5 301.6c38 16.88 36.75 16.5 40.38 17.75C28.77 351.3 32.06 387.4 32.06 400c0 8.836 7.102 16 15.94 16S64 408.8 64 400c0-39.61 11.33-43.32 80.63-84c14.12-7 23-21.5 23-37.25V216.5L151.5 226.1C145.1 228.9 141.1 233.8 140.6 239.8l-8 26.5C130.2 274.4 124.1 280.1 116.2 284.1L105 288.5C98.11 291.2 90.4 291 83.63 288L48.5 272.4C38.5 268 32 258 32 247V128c0-10.38 6.5-15 13.88-22.5L33.5 81C28.88 71.63 35.13 64 42.38 64H128c106 0 192 85.96 192 192v144c0 8.836 7.164 16 16 16s16-7.164 16-16V256c0-123.7-100.3-224-224-224H44.34C22.92 32 3.344 47.03 .4199 68.24C-.8652 77.57 .8359 86.92 5 95.25l2.625 5.5C2.625 109 0 118.4 0 128.1v119C0 270.6 13.88 292 35.5 301.6zM336 448H47.1C21.53 448 0 469.5 0 495.1C0 504.8 7.156 512 16 512S32 504.8 32 496C32 487.2 39.19 480 48 480h288c8.812 0 16 7.188 16 16c0 8.844 7.156 16 16 16s16-7.156 16-16C384 469.5 362.5 448 336 448z"],
    "chess-knight-piece": [320, 512, ["chess-knight-alt"], "f442", "M31.63 277.3l26.62 12c-10.76 11.61-19.88 26.13-23.74 44.05C32.43 342.1 40.24 352 50.14 352c7.393 0 13.8-5.125 15.42-12.34c10.53-47.06 79.07-59.02 79.07-89.41V207.5l-21.25 5c-4.125 2.125-7.125 6-8.25 10.5L109 243.4C107.1 249.6 102.5 254.6 96.5 257L88 260.4c-5.25 2.125-11.25 2-16.5-.25l-26.88-12C37 244.6 32 237 32 228.6V145.3c0-4.322 1.717-8.467 4.773-11.52l5.852-5.852L33.25 109C32.38 107.5 32 105.8 32 104C32 99.63 35.63 96 40 96h86.13C197.6 96 256 154.4 256 225.9v110.3C256 344.9 263.2 352 271.1 352S288 344.9 288 336.1V225.9C288 136.5 215.5 64 126.1 64H41.8C19.85 64 .6172 80.9 .0156 102.8C-.1797 110 1.461 116.9 4.5 123.3L4.875 124C1.625 130.6 0 137.9 0 145.3v83.38C0 249.6 12.38 268.8 31.63 277.3zM61.1 170.8c0 8.25 6.625 14.88 14.88 14.88s14.88-6.75 14.88-15c0-8.125-6.75-14.75-14.88-14.75C68.63 155.9 61.1 162.5 61.1 170.8zM306.6 428.4L288 419.1V408c0-13.23-10.77-24-24-24h-208C42.77 384 32 394.8 32 408v11.06l-18.58 9.344C5.266 432.3 0 440.7 0 449.9V488C0 501.2 10.77 512 24 512h272c13.23 0 24-10.77 24-24v-38.13C320 440.8 314.8 432.3 306.6 428.4zM288 480H32v-25.12l32-16.09V416h192v22.79l32 16.09V480z"],
    "chess-pawn": [320, 512, [9823], "f443", "M272 448H47.1C21.53 448 0 469.5 0 495.1C0 504.8 7.156 512 16 512S32 504.8 32 496C32 487.2 39.19 480 48 480h224c8.812 0 16 7.188 16 16c0 8.844 7.156 16 16 16s16-7.156 16-16C320 469.5 298.5 448 272 448zM80 208C71.16 208 64 215.2 64 224s7.156 16 16 16h19.97l-35.56 156.5C62.22 406 69.3 416 80 416c7.312 0 13.91-5.031 15.59-12.47L132.8 240h54.48l37.17 163.5C226.1 410.1 232.7 416 240 416c10.91 0 17.74-10.18 15.59-19.53L220 240H240C248.8 240 256 232.8 256 224s-7.156-16-16-16h-5.254C252.8 189.3 264 163.1 264 136C264 78.66 217.3 32 159.1 32S56 78.66 56 136c0 27.97 11.23 53.29 29.25 72H80zM160 64c39.69 0 72 32.31 72 72S199.7 208 160 208S88 175.7 88 136S120.3 64 160 64z"],
    "chess-pawn-piece": [256, 512, ["chess-pawn-alt"], "f444", "M242.6 428.4L224 419.1V408c0-13.23-10.77-24-24-24h-144C42.77 384 32 394.8 32 408v11.06l-18.58 9.344C5.266 432.3 0 440.7 0 449.9V488C0 501.2 10.77 512 24 512h208c13.23 0 24-10.77 24-24v-38.13C256 440.8 250.8 432.3 242.6 428.4zM224 480H32v-25.12l32-16.09V416h128v22.79l32 16.09V480zM48 240C48 248.8 55.16 256 64 256h13.12l-12.9 77.38c-1.469 8.719 4.438 16.97 13.16 18.41C78.25 351.9 79.16 352 80.03 352c7.656 0 14.44-5.531 15.75-13.38L109.6 256h36.89l13.77 82.63C161.5 346.5 168.3 352 175.1 352c.875 0 1.781-.0625 2.656-.2187c8.719-1.438 14.62-9.688 13.16-18.41L178.9 256H192c8.838 0 16-7.164 16-16S200.8 224 192 224h-.3613c10.13-13.4 16.36-29.94 16.36-48.03C208 131.8 172.2 96 127.1 96C83.79 96 47.1 131.8 47.1 175.1c0 18.09 6.234 34.63 16.36 48.03H64C55.16 224 48 231.2 48 240zM128 128c26.47 0 48 21.53 48 48S154.5 224 128 224S80 202.5 80 176S101.5 128 128 128z"],
    "chess-queen": [512, 512, [9819], "f445", "M399.1 448H111.1c-26.47 0-48 21.53-48 47.1C63.98 504.8 71.14 512 79.98 512S96 504.8 96 496C96 487.2 103.2 480 112 480h288c8.812 0 16 7.188 16 16c0 8.844 7.153 16 15.1 16s16-7.156 16-16C447.1 469.5 426.5 448 399.1 448zM481.7 179.9l-23.84-13.41c-13.47-9.094-31.19-5.75-41.28 7.812c-5.938 7.969-15.84 11.94-25.56 10.06c-11.97-2.25-20.97-14.5-20.97-28.53C369.1 140.5 357.6 128 342.3 128h-33.91c-13 0-24.34 9.031-26.94 21.5C278.8 161.9 268.4 170.7 256 170.7S233.2 161.9 230.5 149.5C227.9 137 216.6 128 203.6 128H169.7C154.4 128 141.1 140.5 141.1 155.9c0 15.03-10.84 28.03-24.19 28.94C109.2 185.9 100.7 181.5 95.47 174.4C85.53 160.7 67.41 157.4 55.34 165.9L29.44 180.6C16.78 188.9 12.34 205.5 19.06 219l89.72 187.9c3.812 7.938 13.28 11.28 21.34 7.531c7.969-3.812 11.34-13.34 7.531-21.34L48.5 206.4l21.12-13.16c11.84 16.09 30.5 24.97 50.44 23.47C149 214.7 171.9 190.2 173.9 160h26.31C207.3 185.3 229.7 202.7 256 202.7c26.31 0 48.75-17.34 55.81-42.66h26.31c1.75 27.84 20.94 51 46.81 55.81c21.5 4.219 44.06-4.531 56.03-22.09l23.09 11.5l-89.72 187.9c-3.812 8-.4375 17.53 7.531 21.34C384.1 415.5 386.5 416 388.8 416c5.969 0 11.69-3.344 14.44-9.094l89.66-187.8C499.5 205.6 495.2 189 481.7 179.9zM256 112c30.93 0 56-25.07 56-56S286.9 0 256 0S199.1 25.07 199.1 56S225.1 112 256 112zM256 32c13.23 0 24 10.77 24 24c0 13.23-10.77 24-24 24S232 69.23 232 56C232 42.77 242.8 32 256 32z"],
    "chess-queen-piece": [256, 512, ["chess-queen-alt"], "f446", "M128 48c13.25 0 24-10.75 24-24S141.3 0 128 0S104 10.75 104 24S114.8 48 128 48zM242.6 428.4L224 419.1V408c0-13.23-10.77-24-24-24h-144C42.77 384 32 394.8 32 408v11.06l-18.58 9.344C5.266 432.3 0 440.7 0 449.9V488C0 501.2 10.77 512 24 512h208c13.23 0 24-10.77 24-24v-38.13C256 440.8 250.8 432.3 242.6 428.4zM224 480H32v-25.12l32-16.09V416h128v22.79l32 16.09V480zM62.38 224H48C39.2 224 32 231.2 32 240C32 248.8 39.2 256 48 256H64v28.5c-.0625 16.64-1.307 33.17-3.266 49.62C59.6 343.6 67.06 352 76.65 352c8.207 0 15.02-6.195 15.97-14.35C94.69 320 96 302.3 96 284.5V256h64v28.5c0 17.82 1.312 35.53 3.377 53.15C164.3 345.8 171.1 352 179.4 352c9.592 0 17.05-8.359 15.91-17.88C193.3 317.7 192.1 301.1 192 284.5V256h16C216.8 256 224 248.8 224 240C224 231.2 216.8 224 208 224h-14.38l50.88-124.3c1.75-3.375 .625-7.5-2.5-9.5l-11.12-7.5C226.3 79.99 222.1 82.79 220.5 85c-12.76 16.89-40.25 8.504-40.25-14.75C180.3 66.34 176.8 64 173.1 64h-18.12c-2.75-.125-5.25 1.875-6 4.625C147.8 79 138.6 86.38 128 86.38S108.3 79 106.1 68.63C105.4 65.88 102.9 63.88 100.1 64H81.1C78.43 64 75.79 66.96 75.75 70.53C75.48 93.34 48.05 101.1 35.5 84.88c-1.057-1.41-5.088-5.299-10.38-2.125l-11.13 7.5c-3.125 2-4.25 6.125-2.5 9.5L62.38 224zM56.75 125.8c14.5-1 28.25-7.875 37.63-19c19.62 15.62 47.5 15.62 67.13 .125c12.19 14.47 28.33 18.48 37.75 19L159 224h-62L56.75 125.8z"],
    "chess-rook": [384, 512, [9820], "f447", "M336 32h-288C21.53 32 0 53.53 0 80V192c0 4.25 1.688 8.312 4.688 11.31l59.28 59.34c0 38.89 1.065 64.09-10.44 134.8c-1.438 8.719 4.5 16.94 13.22 18.34c8.5 1.469 16.94-4.469 18.34-13.22C96.1 329.5 96.05 303.5 95.94 256c0-4.25-1.688-8.312-4.688-11.31L32 185.4V80C32 71.19 39.19 64 48 64h64v64c0 8.836 7.164 16 16 16S144 136.8 144 128V64h96v64c0 8.836 7.164 16 16 16s16-7.164 16-16V64h64C344.8 64 352 71.19 352 80v105.4l-59.25 59.31C289.8 247.7 288.1 251.8 288.1 256c-.115 48.52-.9936 73.91 10.84 146.6c2.209 13.58 15.63 13.7 18.34 13.22c8.719-1.406 14.66-9.625 13.22-18.34c-11.47-70.51-10.44-96.19-10.44-134.8l59.28-59.34C382.3 200.3 384 196.3 384 192V80C384 53.53 362.5 32 336 32zM336 448H47.1C21.53 448 0 469.5 0 495.1C0 504.8 7.156 512 16 512S32 504.8 32 496C32 487.2 39.19 480 48 480h288c8.812 0 16 7.188 16 16c0 8.844 7.156 16 16 16s16-7.156 16-16C384 469.5 362.5 448 336 448zM224 320c8.844 0 16-7.156 16-16v-64C240 213.5 218.5 192 192 192S144 213.5 144 240v64C144 312.8 151.2 320 160 320H224zM176 240C176 231.2 183.2 224 192 224s16 7.188 16 16V288h-32V240z"],
    "chess-rook-piece": [320, 512, ["chess-rook-alt"], "f448", "M306.6 428.4L288 419.1V408c0-13.23-10.77-24-24-24h-208C42.77 384 32 394.8 32 408v11.06l-18.58 9.344C5.266 432.3 0 440.7 0 449.9V488C0 501.2 10.77 512 24 512h272c13.23 0 24-10.77 24-24v-38.13C320 440.8 314.8 432.3 306.6 428.4zM288 480H32v-25.12l32-16.09V416h192v22.79l32 16.09V480zM71.28 232.4l-7.25 102.4c-.625 8.812 6.031 16.47 14.84 17.09C79.25 352 79.63 352 80.03 352c8.312 0 15.34-6.438 15.94-14.88l8.25-116.8L68.56 183.9C65.63 181 64 177.1 64 172.9V96h48v32c0 8.836 7.164 16 16 16S144 136.8 144 128V96h32v32c0 8.836 7.164 16 16 16s16-7.164 16-16V96H256v76.75c0 4.281-1.625 8.25-4.656 11.28l-35.56 36.16l8.25 116.9c.625 8.844 9 15.62 17.09 14.84c8.812-.625 15.47-8.281 14.84-17.09l-7.25-102.6l25.34-25.75C283.1 197.6 288 185.6 288 172.8V88C288 74.78 277.2 64 264 64h-208C42.78 64 32 74.78 32 88v84.88c0 12.75 4.938 24.69 13.81 33.56L71.28 232.4zM144 224v32h32V224c0-8.838-7.164-16-16-16S144 215.2 144 224z"],
    "chestnut": [448, 512, [127792], "e3f6", "M302.9 99.43c-25.37-20.56-49.36-39.98-66.49-61.41C233.2 34.01 228.6 32 224 32S214.8 34.01 211.5 38.02C194.4 59.45 170.4 78.87 145.1 99.43C80.44 151.7 0 216.8 0 352C0 422.7 57.31 480 128 480h192c70.69 0 128-57.3 128-127.1C448 216.8 367.6 151.7 302.9 99.43zM165.5 124.1C186.7 106.9 206.9 90.48 224 72.38c17.09 18.11 37.4 34.57 58.83 51.94C345.2 174.8 415.1 232.1 415.1 352H32C32.01 232.1 102.8 174.8 165.5 124.1zM320 448H128c-41.67 0-76.86-26.84-90.11-64.01h372.2C396.9 421.2 361.7 448 320 448z"],
    "chevron-down": [448, 512, [], "f078", "M4.251 181.1C7.392 177.7 11.69 175.1 16 175.1c3.891 0 7.781 1.406 10.86 4.25l197.1 181.1l197.1-181.1c6.5-6 16.64-5.625 22.61 .9062c6 6.5 5.594 16.59-.8906 22.59l-208 192c-6.156 5.688-15.56 5.688-21.72 0l-208-192C-1.343 197.7-1.749 187.6 4.251 181.1z"],
    "chevron-left": [320, 512, [9001], "f053", "M234.8 36.25c3.438 3.141 5.156 7.438 5.156 11.75c0 3.891-1.406 7.781-4.25 10.86L53.77 256l181.1 197.1c6 6.5 5.625 16.64-.9062 22.61c-6.5 6-16.59 5.594-22.59-.8906l-192-208c-5.688-6.156-5.688-15.56 0-21.72l192-208C218.2 30.66 228.3 30.25 234.8 36.25z"],
    "chevron-right": [320, 512, [9002], "f054", "M85.14 475.8c-3.438-3.141-5.156-7.438-5.156-11.75c0-3.891 1.406-7.781 4.25-10.86l181.1-197.1L84.23 58.86c-6-6.5-5.625-16.64 .9062-22.61c6.5-6 16.59-5.594 22.59 .8906l192 208c5.688 6.156 5.688 15.56 0 21.72l-192 208C101.7 481.3 91.64 481.8 85.14 475.8z"],
    "chevron-up": [448, 512, [], "f077", "M443.8 330.8C440.6 334.3 436.3 336 432 336c-3.891 0-7.781-1.406-10.86-4.25L224 149.8l-197.1 181.1c-6.5 6-16.64 5.625-22.61-.9062c-6-6.5-5.594-16.59 .8906-22.59l208-192c6.156-5.688 15.56-5.688 21.72 0l208 192C449.3 314.3 449.8 324.3 443.8 330.8z"],
    "chevrons-down": [448, 512, ["chevron-double-down"], "f322", "M421.1 244.2L224 426.2l-197.1-181.1C23.78 241.4 19.89 239.1 16 239.1c-4.312 0-8.609 1.719-11.75 5.156c-6 6.5-5.594 16.59 .8906 22.59l208 192c6.156 5.688 15.56 5.688 21.72 0l208-192c6.484-6 6.891-16.09 .8906-22.59C437.8 238.6 427.6 238.2 421.1 244.2zM213.1 267.8c6.156 5.688 15.56 5.688 21.72 0l208-192c6.484-6 6.891-16.09 .8906-22.59c-5.969-6.531-16.11-6.906-22.61-.9062L224 234.2L26.86 52.26C23.78 49.41 19.89 48.01 16 48.01c-4.312 0-8.609 1.719-11.75 5.156c-6 6.5-5.594 16.59 .8906 22.59L213.1 267.8z"],
    "chevrons-left": [448, 512, ["chevron-double-left"], "f323", "M235.8 453.1L53.8 256l181.1-197.1c2.844-3.078 4.25-6.969 4.25-10.86c0-4.312-1.719-8.609-5.156-11.75c-6.5-6-16.59-5.594-22.59 .8906l-192 208c-5.688 6.156-5.688 15.56 0 21.72l192 208c6 6.484 16.09 6.891 22.59 .8906C241.4 469.8 241.8 459.6 235.8 453.1zM212.2 245.1c-5.688 6.156-5.688 15.56 0 21.72l192 208c6 6.484 16.09 6.891 22.59 .8906c6.531-5.969 6.906-16.11 .9062-22.61l-181.1-197.1l181.1-197.1c2.844-3.078 4.25-6.969 4.25-10.86c0-4.312-1.719-8.609-5.156-11.75c-6.5-6-16.59-5.594-22.59 .8906L212.2 245.1z"],
    "chevrons-right": [448, 512, ["chevron-double-right"], "f324", "M212.2 58.86l181.1 197.1L212.2 453.1c-2.844 3.078-4.25 6.969-4.25 10.86c0 4.312 1.719 8.609 5.156 11.75c6.5 6 16.59 5.594 22.59-.8906l192-208c5.688-6.156 5.688-15.56 0-21.72l-192-208c-6-6.484-16.09-6.891-22.59-.8906C206.6 42.22 206.2 52.36 212.2 58.86zM235.8 266.9c5.688-6.156 5.688-15.56 0-21.72l-192-208c-6-6.484-16.09-6.891-22.59-.8906c-6.531 5.969-6.906 16.11-.9062 22.61l181.1 197.1L20.26 453.1c-2.844 3.078-4.25 6.969-4.25 10.86c0 4.312 1.719 8.609 5.156 11.75c6.5 6 16.59 5.594 22.59-.8906L235.8 266.9z"],
    "chevrons-up": [448, 512, ["chevron-double-up"], "f325", "M26.86 267.8l197.1-181.1l197.1 181.1C424.2 270.6 428.1 272 432 272c4.312 0 8.609-1.719 11.75-5.156c6-6.5 5.594-16.59-.8906-22.59l-208-192c-6.156-5.688-15.56-5.688-21.72 0l-208 192c-6.484 6-6.891 16.09-.8906 22.59C10.22 273.4 20.36 273.8 26.86 267.8zM234.9 244.2c-6.156-5.688-15.56-5.688-21.72 0l-208 192c-6.484 6-6.891 16.09-.8906 22.59c5.969 6.531 16.11 6.906 22.61 .9062l197.1-181.1l197.1 181.1c3.078 2.844 6.969 4.25 10.86 4.25c4.312 0 8.609-1.719 11.75-5.156c6-6.5 5.594-16.59-.8906-22.59L234.9 244.2z"],
    "child": [320, 512, [], "f1ae", "M224 64C224 99.35 195.3 128 159.1 128C124.7 128 95.1 99.35 95.1 64C95.1 28.65 124.7 0 159.1 0C195.3 0 224 28.65 224 64zM159.1 32C142.3 32 127.1 46.33 127.1 64C127.1 81.67 142.3 96 159.1 96C177.7 96 192 81.67 192 64C192 46.33 177.7 32 159.1 32zM29.64 312.4C25.02 319.9 15.17 322.3 7.637 317.6C.1046 313-2.257 303.2 2.363 295.6L46.62 223.5C70.8 184 113.7 159.1 160 159.1C206.3 159.1 249.2 184 273.4 223.5L317.6 295.6C322.3 303.2 319.9 313 312.4 317.6C304.8 322.3 294.1 319.9 290.4 312.4L246.1 240.2C244.2 237.1 242.2 234.2 239.1 231.3V496C239.1 504.8 232.8 512 223.1 512C215.2 512 207.1 504.8 207.1 496V384H112V496C112 504.8 104.8 512 96 512C87.17 512 80 504.8 80 496V231.3C77.82 234.2 75.79 237.1 73.9 240.2L29.64 312.4zM207.1 352V204.1C193.5 196.3 177 192 160 192C142.1 192 126.5 196.3 112 204.1V352H207.1z"],
    "child-dress": [320, 512, [], "e59c", "M95.1 64C95.1 28.65 124.7 0 159.1 0C195.3 0 223.1 28.65 223.1 64C223.1 99.35 195.3 128 159.1 128C124.7 128 95.1 99.35 95.1 64V64zM159.1 96C177.7 96 191.1 81.67 191.1 64C191.1 46.33 177.7 32 159.1 32C142.3 32 127.1 46.33 127.1 64C127.1 81.67 142.3 96 159.1 96zM96 400H71.1C67.02 400 62.33 397.7 59.3 393.7C56.27 389.8 55.25 384.6 56.55 379.8L98.02 225.8L28.57 313.9C23.1 320.8 13.03 322 6.095 316.6C-.8442 311.1-2.034 301 3.437 294.1L77.69 199.9C96.52 176 124.7 161.6 154.1 160.1C156.2 160 157.4 160 158.7 160H161.3C162.6 160 163.8 160 165 160.1C195.3 161.6 223.5 176 242.3 199.9L316.6 294.1C322 301 320.8 311.1 313.9 316.6C306.1 322 296.9 320.8 291.4 313.9L221.1 225.8L263.5 379.8C264.7 384.6 263.7 389.8 260.7 393.7C257.7 397.7 252.1 400 248 400H224V496C224 504.8 216.8 512 208 512C199.2 512 192 504.8 192 496V400H128V496C128 504.8 120.8 512 112 512C103.2 512 96 504.8 96 496L96 400zM135.5 209.8L92.87 368H227.1L184.5 209.8C181.9 199.9 173.2 192.8 163.2 192.1C162.1 192 161.1 192 160 192C158.9 192 157.9 192 156.8 192.1C146.8 192.8 138.1 199.9 135.5 209.8z"],
    "child-reaching": [384, 512, [], "e59d", "M256 64C256 99.35 227.3 128 191.1 128C156.7 128 127.1 99.35 127.1 64C127.1 28.65 156.7 0 191.1 0C227.3 0 256 28.65 256 64zM191.1 32C174.3 32 159.1 46.33 159.1 64C159.1 81.67 174.3 96 191.1 96C209.7 96 224 81.67 224 64C224 46.33 209.7 32 191.1 32zM112 188C84.19 173.2 60.59 150.6 44.48 122.2L34.09 103.9C29.73 96.21 32.42 86.45 40.11 82.09C47.79 77.72 57.56 80.42 61.92 88.1L72.31 106.4C96.73 149.4 142.4 176 191.9 176C240.7 176 285.1 150 310.6 107.8L322.2 87.94C326.6 80.3 336.4 77.73 344.1 82.18C351.7 86.63 354.3 96.43 349.8 104.1L338.2 123.9C322.2 151.4 299.1 173.3 272 187.9V496C272 504.8 264.8 512 256 512C247.2 512 240 504.8 240 496V384H144V496C144 504.8 136.8 512 128 512C119.2 512 112 504.8 112 496L112 188zM144 201.1V352H240V201C224.6 205.6 208.4 208 191.9 208C175.4 208 159.3 205.6 144 201.1H144z"],
    "child-rifle": [512, 512, [], "e4e0", "M207.1 64C207.1 99.35 179.3 128 143.1 128C108.6 128 79.99 99.35 79.99 64C79.99 28.65 108.6 .0003 143.1 .0003C179.3 .0003 207.1 28.65 207.1 64zM143.1 32C126.3 32 111.1 46.33 111.1 64C111.1 81.67 126.3 96 143.1 96C161.7 96 175.1 81.67 175.1 64C175.1 46.33 161.7 32 143.1 32zM480 208C480 199.2 487.2 192 496 192C504.8 192 512 199.2 512 208V292.5C512 299.4 507.6 305.5 501.1 307.6L448 325.3V352L451.2 368H496C504.8 368 512 375.2 512 384C512 392.8 504.8 400 496 400H457.6L476.2 492.9C478.2 502.8 470.6 512 460.5 512H368C359.2 512 352 504.8 352 496V400C334.3 400 320 385.7 320 368V224C320 206.3 334.3 192 352 192V160C352 142.3 366.3 128 384 128V32C375.2 32 368 24.84 368 16C368 7.164 375.2 0 384 0H400C408.8 0 416 7.164 416 16V128C433.7 128 448 142.3 448 160V288L480 280V208zM384 224H352V368H384V480H440.1L416 355.2V160H384V224zM111.1 384V496C111.1 504.8 104.8 512 95.1 512C87.16 512 79.1 504.8 79.1 496V243.3L37.64 312.4C33.02 319.9 23.17 322.3 15.63 317.6C8.101 313 5.739 303.2 10.36 295.6L70.13 198.2C84.68 174.5 110.5 160 138.3 160H149.7C177.5 160 203.3 174.5 217.9 198.2L277.6 295.6C282.3 303.2 279.9 313 272.4 317.6C264.8 322.3 254.1 319.9 250.4 312.4L207.1 243.3V496C207.1 504.8 200.8 512 191.1 512C183.2 512 175.1 504.8 175.1 496V384H111.1zM111.1 200V352H175.1V200L175.1 199.9C168.3 194.8 159.2 192 149.7 192H138.3C128.8 192 119.7 194.8 111.1 199.9L111.1 200z"],
    "children": [640, 512, [], "e4e1", "M224 64C224 99.35 195.3 128 160 128C124.7 128 96 99.35 96 64C96 28.65 124.7 0 160 0C195.3 0 224 28.65 224 64zM160 32C142.3 32 128 46.33 128 64C128 81.67 142.3 96 160 96C177.7 96 192 81.67 192 64C192 46.33 177.7 32 160 32zM544 64C544 99.35 515.3 128 480 128C444.7 128 416 99.35 416 64C416 28.65 444.7 0 480 0C515.3 0 544 28.65 544 64zM480 32C462.3 32 448 46.33 448 64C448 81.67 462.3 96 480 96C497.7 96 512 81.67 512 64C512 46.33 497.7 32 480 32V32zM432 512C423.2 512 416 504.8 416 496V243.3L373.6 312.4C369 319.9 359.2 322.3 351.6 317.6C344.1 313 341.7 303.2 346.4 295.6L403.2 203C419.6 176.3 448.7 160 480 160C511.4 160 540.5 176.3 556.8 203L613.6 295.6C618.3 303.2 615.9 313 608.4 317.6C600.8 322.3 590.1 319.9 586.4 312.4L544 243.3V496C544 504.8 536.8 512 528 512C519.2 512 512 504.8 512 496V384H448V496C448 504.8 440.8 512 432 512H432zM480 192C468.4 192 457.4 195.4 448 201.6V352H512V201.6C502.7 195.4 491.6 192 480 192zM96.01 400H72C67.02 400 62.33 397.7 59.3 393.7C56.27 389.8 55.26 384.6 56.55 379.8L94.57 238.6L45.34 312.8C40.45 320.2 30.52 322.2 23.16 317.3C15.8 312.4 13.79 302.5 18.67 295.2L79.78 203C96.56 177.8 124.2 161.1 154.3 160.2C155.7 160.1 157.2 160 158.7 160H161.4C162.8 160 164.3 160.1 165.7 160.2C195.8 161.1 223.4 177.8 240.2 203L301.3 295.2C306.2 302.5 304.2 312.4 296.9 317.3C289.5 322.2 279.6 320.2 274.7 312.8L225.4 238.6L263.5 379.8C264.7 384.6 263.7 389.8 260.7 393.7C257.7 397.7 252.1 400 248 400H224V496C224 504.8 216.8 512 208 512C199.2 512 192 504.8 192 496V400H128V496C128 504.8 120.8 512 112 512C103.2 512 96.01 504.8 96.01 496V400zM135.5 209.8L92.88 368H227.1L184.5 209.8C181.9 199.1 173.4 192.1 163.5 192.1C162.3 192 161.2 192 160 192C158.8 192 157.7 192 156.5 192.1C146.6 192.1 138.1 199.1 135.5 209.8V209.8z"],
    "chimney": [448, 512, [], "f78b", "M416 32H32C14.33 32 0 46.33 0 64v64c0 17.67 14.33 32 32 32l0 303.1c0 7.971 5.448 15.36 13.32 16.64C55.34 481.4 64 473.7 64 464V416h224v48C288 472.8 295.2 480 303.1 480S320 472.8 320 464V416h64v47.15c0 7.971 5.448 15.36 13.32 16.64C407.3 481.4 416 473.7 416 464V160c17.67 0 32-14.33 32-32V64C448 46.33 433.7 32 416 32zM128 256H64V160h64V256zM64 384V288h128v96H64zM384 384h-160V288h160V384zM384 256H160V160h224V256zM416 128H32V64h384V128z"],
    "chopsticks": [640, 512, [], "e3f7", "M637.7 102.9C639.9 109.1 640.5 117.4 639.6 124.8C638.8 132.1 636.4 139.2 632.7 145.6C628.1 151.1 624 157.5 618.1 161.1L176.7 505.8C171.4 509.8 164.9 512 158.2 512C152.1 512 146.2 510.2 141.2 506.8C136.1 503.3 132.3 498.5 130.1 492.8C127.8 487.1 127.4 480.9 128.8 475C130.2 469.1 133.3 463.7 137.8 459.6L548.1 78.56C553.6 73.51 559.1 69.64 566.1 67.19C573.1 64.74 581.4 63.76 588.8 64.32C596.2 64.75 603.4 66.67 609.1 69.97C616.6 73.27 622.4 77.88 627.2 83.52C632 89.17 635.6 95.76 637.7 102.9L637.7 102.9zM604.1 129.7C606.6 127.1 607.6 124.1 608 120.1C608.3 117.9 608 114.9 607.1 111.9C606.2 109 604.7 106.4 602.7 104.1C600.7 101.7 598.2 99.77 595.5 98.38C592.7 96.99 589.7 96.18 586.7 95.1C583.5 95.69 580.4 96.06 577.5 97.1C574.5 98.14 571.8 99.82 569.6 102L189.6 455.2L598.6 136.5C601.2 134.7 603.4 132.4 604.1 129.7zM415.8 50.46C416.4 57.85 415.5 65.28 413.2 72.31C410.9 79.34 407.1 85.82 402.2 91.36L52.7 501.6C49.89 504.9 46.4 507.5 42.49 509.3C38.57 511.1 34.32 511.1 30.02 512C23.11 512 16.41 509.7 11.07 505.3C5.11 500.4 1.243 493.4 .2568 485.7C-.7298 478 1.238 470.3 5.761 464L317.1 22.56C322.3 16.56 327.8 11.51 334.2 7.714C340.5 3.917 347.6 1.456 354.9 .4798C362.2-.5109 369.6 .0363 376.7 2.086C383.8 4.136 390.4 7.644 396 12.38C401.7 17.06 406.4 22.85 409.8 29.4C413.2 35.94 415.2 43.11 415.8 50.46H415.8zM382.7 62.43C383.8 59.48 384.2 56.35 383.1 53.24C383.8 50.12 382.9 47.08 381.5 44.3C380.1 41.52 378.1 39.06 375.7 37.06C373.4 35.18 370.7 33.78 367.8 32.95C364.1 32.12 361.1 31.88 359 32.22C356 32.6 353.2 33.59 350.6 35.14C347.1 36.68 345.8 38.74 344 41.18L55.46 449.1L378 70.4C380.1 68.09 381.7 65.38 382.7 62.43H382.7z"],
    "church": [640, 512, [9962], "f51d", "M336 48H376C384.8 48 392 55.16 392 64C392 72.84 384.8 80 376 80H336V119.4L451.5 196.4C469.3 208.3 480 228.3 480 249.7V480H576C593.7 480 608 465.7 608 448V378.1C608 367.3 602.5 357.1 593.4 351.2L512 298.6V260.5L610.8 324.4C628.1 336.2 640 356.4 640 378.1V448C640 483.3 611.3 512 576 512L64 512C28.65 512 0 483.3 0 448V378.1C0 356.4 11.01 336.2 29.23 324.4L128 260.5V298.6L46.62 351.2C37.5 357.1 32 367.3 32 378.1V448C32 465.7 46.33 480 64 480H160V249.7C160 228.3 170.7 208.3 188.5 196.4L304 119.4V80H264C255.2 80 248 72.84 248 64C248 55.16 255.2 48 264 48H304V16C304 7.164 311.2 0 320 0C328.8 0 336 7.164 336 16V48zM448 249.7C448 238.1 442.7 228.1 433.8 223.1L320 147.2L206.2 223.1C197.3 228.1 192 238.1 192 249.7V480H256V384C256 348.7 284.7 320 320 320C355.3 320 384 348.7 384 384V480H448V249.7zM320 352C302.3 352 288 366.3 288 384V480H352V384C352 366.3 337.7 352 320 352z"],
    "circle": [512, 512, [128308, 128309, 128992, 128993, 128994, 128995, 128996, 9898, 9899, 11044, 61708, 61915, 9679], "f111", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "circle-0": [512, 512, [], "e0ed", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480zM256 128C203.1 128 160 171.1 160 224v64c0 52.94 43.06 96 96 96s96-43.06 96-96V224C352 171.1 308.9 128 256 128zM320 288c0 35.28-28.72 64-64 64s-64-28.72-64-64V224c0-35.28 28.72-64 64-64s64 28.72 64 64V288z"],
    "circle-1": [512, 512, [], "e0ee", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480zM320 352h-48V144c0-5.906-3.25-11.31-8.453-14.09c-5.172-2.812-11.5-2.5-16.42 .7813l-48 32C191.8 167.6 189.8 177.5 194.7 184.9c4.875 7.344 14.8 9.312 22.19 4.438L240 173.9V352H192c-8.844 0-16 7.156-16 16S183.2 384 192 384h128c8.844 0 16-7.156 16-16S328.8 352 320 352z"],
    "circle-2": [512, 512, [], "e0ef", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480zM336 352H218.5l87.27-76.5c34.63-30.38 38.64-81.88 9.172-117.2c-14.66-17.56-35.28-28.22-58.08-30c-22.95-2-44.84 5.5-62.02 20.56L177.6 163.9C170.1 169.8 170.3 179.8 176.1 186.5C181.9 193.2 192 193.8 198.7 188l17.27-15.09C226.6 163.6 240.2 159.3 254.4 160.2c14.12 1.125 26.91 7.719 36 18.62c18.27 21.91 15.77 53.81-5.688 72.66l-119.3 104.5c-5.016 4.406-6.781 11.44-4.422 17.66C163.4 379.9 169.3 384 176 384h160c8.844 0 16-7.156 16-16S344.8 352 336 352z"],
    "circle-3": [512, 512, [], "e0f0", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480zM272 224H251.3l79.16-67.84c5.094-4.375 6.922-11.44 4.594-17.72C332.7 132.2 326.7 128 320 128H176C167.2 128 160 135.2 160 144S167.2 160 176 160h100.8L197.6 227.8C192.5 232.2 190.7 239.3 193 245.6C195.3 251.8 201.3 256 208 256h64C298.5 256 320 277.5 320 304S298.5 352 272 352H217.5c-11.97 0-22.55-7.625-26.33-19c-2.797-8.344-11.8-12.94-20.25-10.12c-8.375 2.812-12.91 11.88-10.12 20.25C168.1 367.6 191.8 384 217.5 384H272c44.11 0 80-35.88 80-80S316.1 224 272 224z"],
    "circle-4": [512, 512, [], "e0f1", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480zM336 288H320V208C320 199.2 312.8 192 304 192S288 199.2 288 208V288H183.6l55.23-138.1c3.281-8.188-.7187-17.5-8.922-20.78C221.8 125.9 212.4 129.8 209.1 138.1l-64 160C143.2 303 143.8 308.6 146.8 312.1C149.7 317.4 154.7 320 160 320h128v48c0 8.844 7.156 16 16 16s16-7.156 16-16V320h16c8.844 0 16-7.156 16-16S344.8 288 336 288z"],
    "circle-5": [512, 512, [], "e0f2", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480zM285.9 233.5L204 223.6L220.4 160H320c8.844 0 16-7.156 16-16S328.8 128 320 128H208C200.7 128 194.3 132.9 192.5 140l-24 93.31C167.4 237.8 168.2 242.6 170.8 246.4C173.4 250.2 177.5 252.7 182.1 253.2l99.86 12C303.6 268 320 286.6 320 308.4C320 332.5 300.5 352 276.4 352H218.4c-12.36 0-23.28-7.875-27.2-19.59C188.4 324 179.3 319.4 170.9 322.3c-8.391 2.812-12.91 11.88-10.11 20.25C169.1 367.3 192.2 384 218.4 384h58.06C318.1 384 352 350.1 352 308.4C352 270.5 323.6 238.3 285.9 233.5z"],
    "circle-6": [512, 512, [], "e0f3", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480zM265.4 192.1l48.19-36.14c7.062-5.312 8.5-15.34 3.219-22.41C313.7 130.2 308.8 128 304 128c-3.344 0-6.719 1.031-9.594 3.188L204.8 198.4C163.2 229.6 160 277.7 160 288c0 52.94 43.06 96 96 96s96-43.06 96-96C352 238.3 313.9 197.8 265.4 192.1zM256 352c-35.35 0-64-28.65-64-64c0-35.35 28.65-64 64-64s64 28.65 64 64C320 323.3 291.3 352 256 352z"],
    "circle-7": [512, 512, [], "e0f4", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480zM335.9 128h-160c-8.844 0-16 7.156-16 16s7.156 16 16 16h132.4l-114.3 200.1c-4.375 7.688-1.688 17.44 5.969 21.84C202.6 383.3 205.3 384 208 384c5.531 0 10.94-2.906 13.91-8.062l127.9-224c2.812-4.969 2.781-11.03-.0625-15.97C346.9 131 341.6 128 335.9 128z"],
    "circle-8": [512, 512, [], "e0f5", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480zM315.7 249.9C328.2 236.9 336 219.4 336 200C336 160.3 303.7 128 264 128h-16C208.3 128 176 160.3 176 200c0 19.37 7.781 36.91 20.28 49.87C174.7 262.3 160 285.4 160 312C160 351.7 192.3 384 232 384h48C319.7 384 352 351.7 352 312C352 285.4 337.3 262.3 315.7 249.9zM248 160h16c22.06 0 40 17.94 40 40S286.1 240 264 240h-16C225.9 240 208 222.1 208 200S225.9 160 248 160zM280 352h-48C209.9 352 192 334.1 192 312S209.9 272 232 272h48C302.1 272 320 289.9 320 312S302.1 352 280 352z"],
    "circle-9": [512, 512, [], "e0f6", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480zM256 128C203.1 128 160 171.1 160 224c0 49.72 38.12 90.24 86.6 95.05l-48.19 36.14c-7.062 5.312-8.5 15.34-3.219 22.41C198.3 381.8 203.2 384 208 384c3.344 0 6.719-1.031 9.594-3.188l89.59-67.22C348.8 282.4 352 234.3 352 224C352 171.1 308.9 128 256 128zM256 288C220.7 288 192 259.3 192 224c0-35.35 28.65-64 64-64s64 28.65 64 64C320 259.3 291.3 288 256 288z"],
    "circle-a": [512, 512, [], "e0f7", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480zM270.3 120.8c-5.438-10.84-23.19-10.84-28.62 0l-112 224c-3.953 7.906-.75 17.52 7.156 21.47c7.906 3.922 17.52 .75 21.47-7.156l19.89-39.79C179.3 319.6 180.2 320 181.3 320h149.3c1.107 0 2.078-.4141 3.123-.6289l19.89 39.79C356.5 364.8 362.1 368 368 368c2.406 0 4.844-.5469 7.141-1.688c7.906-3.953 11.11-13.56 7.156-21.47L270.3 120.8zM193.9 288L256 163.8L318.1 288H193.9z"],
    "circle-ampersand": [512, 512, [], "e0f8", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480zM329.4 320.5l35.67-50.39c5.094-7.219 3.406-17.2-3.812-22.31c-7.188-5.062-17.16-3.375-22.31 3.812l-31.89 45.06l-50.36-53.7l27.19-21.91C296.7 211.1 304 196.2 304 180.3C304 151.4 279.9 128 250.4 128H229.6C200.1 128 176 151.4 176 180.3c0 15.3 5.875 29.91 16.47 41.05l17.25 18.41L167.1 273.4C152.7 285.2 144 302.9 144 321.9C144 356.1 172.7 384 207.9 384h36.28c25.28 0 48.88-12.06 63.16-32.28l3.217-4.545l29.81 31.78C343.5 382.3 347.8 384 352 384c3.938 0 7.844-1.438 10.94-4.328c6.469-6.047 6.781-16.17 .7187-22.62L329.4 320.5zM208 180.3C208 169.1 217.7 160 229.6 160h20.75C262.3 160 272 169.1 272 180.3c0 6.031-2.844 11.72-8 15.75L234.7 219.6l-19-20.25C210.8 194.1 208 187.3 208 180.3zM281.2 333.2C281.2 333.3 281.2 333.2 281.2 333.2C272.9 344.1 259.1 352 244.2 352H207.9C190.3 352 176 338.5 176 321.9c0-9.031 4.219-17.52 11.81-23.42L231.7 263.1l56.5 60.24L281.2 333.2z"],
    "circle-arrow-down": [512, 512, ["arrow-circle-down"], "f0ab", "M340.7 260.7L272 329.4V144C272 135.2 264.8 128 256 128S240 135.2 240 144v185.4L171.3 260.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l96 96C247.8 382.4 251.9 384 256 384s8.188-1.562 11.31-4.688l96-96c6.25-6.25 6.25-16.38 0-22.62S346.9 254.4 340.7 260.7zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480z"],
    "circle-arrow-down-left": [512, 512, [], "e0f9", "M336 160c-4.094 0-8.188 1.562-11.31 4.688L192 297.4V208C192 199.2 184.8 192 176 192S160 199.2 160 208v127.6c0 8.812 7.141 15.97 15.95 16l128 .375C312.8 352 319.1 344.9 320 336c.0313-8.812-7.109-16-15.95-16.03L214.9 319.7l132.4-132.4c6.25-6.25 6.25-16.38 0-22.62C344.2 161.6 340.1 160 336 160zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480z"],
    "circle-arrow-down-right": [512, 512, [], "e0fa", "M336 192C327.2 192 320 199.2 320 208v89.38L187.3 164.7C184.2 161.6 180.1 160 176 160S167.8 161.6 164.7 164.7c-6.25 6.25-6.25 16.38 0 22.62l132.4 132.4L207.1 320C199.1 320 191.1 327.2 192 336C192 344.9 199.2 352 208 352l128-.375C344.9 351.6 352 344.4 352 335.6V208C352 199.2 344.8 192 336 192zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480z"],
    "circle-arrow-left": [512, 512, ["arrow-circle-left"], "f0a8", "M368 240H182.6l68.69-68.69c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0l-96 96C129.6 247.8 128 251.9 128 256s1.562 8.188 4.688 11.31l96 96c6.25 6.25 16.38 6.25 22.62 0s6.25-16.38 0-22.62L182.6 272H368C376.8 272 384 264.8 384 256S376.8 240 368 240zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480z"],
    "circle-arrow-right": [512, 512, ["arrow-circle-right"], "f0a9", "M283.3 148.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L329.4 240H144C135.2 240 128 247.2 128 256s7.156 16 16 16h185.4l-68.69 68.69c-6.25 6.25-6.25 16.38 0 22.62s16.38 6.25 22.62 0l96-96C382.4 264.2 384 260.1 384 256s-1.562-8.188-4.688-11.31L283.3 148.7zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480z"],
    "circle-arrow-up": [512, 512, ["arrow-circle-up"], "f0aa", "M267.3 132.7C264.2 129.6 260.1 128 256 128S247.8 129.6 244.7 132.7l-96 96c-6.25 6.25-6.25 16.38 0 22.62s16.38 6.25 22.62 0L240 182.6V368c0 8.844 7.156 16 16 16s16-7.156 16-16V182.6l68.69 68.69c6.25 6.25 16.38 6.25 22.62 0s6.25-16.38 0-22.62L267.3 132.7zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480z"],
    "circle-arrow-up-left": [512, 512, [], "e0fb", "M214.9 192.3L304 192C312.9 191.1 320 184.8 320 175.1C319.1 167.1 312.8 160 304 160L175.1 160.4C167.1 160.4 160 167.6 160 176.4V304C160 312.8 167.2 320 176 320S192 312.8 192 304V214.6l132.7 132.7C327.8 350.4 331.9 352 336 352s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L214.9 192.3zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480z"],
    "circle-arrow-up-right": [512, 512, [], "e0fc", "M336 160.4L208 160C199.2 160 192 167.1 192 175.1C191.1 184.8 199.1 191.1 207.1 192l89.15 .2734l-132.4 132.4c-6.25 6.25-6.25 16.38 0 22.62C167.8 350.4 171.9 352 176 352s8.188-1.562 11.31-4.688L320 214.6V304c0 8.844 7.156 16 16 16S352 312.8 352 304V176.4C352 167.6 344.9 160.4 336 160.4zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480z"],
    "circle-b": [512, 512, [], "e0fd", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480zM331.8 249.9C344.2 236.9 352 219.4 352 200C352 160.2 319.8 128 280 128H192C174.3 128 160 142.3 160 160v192c0 17.67 14.33 32 32 32h104c39.77 0 72-32.24 72-72C368 285.3 353.3 262.3 331.8 249.9zM192 160h88C302.1 160 320 177.9 320 200S302.1 240 280 240H192V160zM296 352H192V272h104c22.06 0 40 17.94 40 40S318.1 352 296 352z"],
    "circle-bolt": [512, 512, [], "e0fe", "M333.4 122.7L301.8 224H362.5C374.4 224 384 233.6 384 245.5C384 251.6 381.4 257.4 376.9 261.5L212 410.7C208.3 414.1 203.3 416 198.2 416C184.3 416 174.4 402.5 178.6 389.3L210.2 288H148.9C137.4 288 128 278.6 128 267.1C128 261.2 130.5 255.6 134.8 251.6L299.9 101.4C303.7 97.91 308.6 96 313.8 96C327.7 96 337.6 109.5 333.4 122.7H333.4zM232 256C237.1 256 241.9 258.4 244.9 262.5C247.9 266.6 248.8 271.9 247.3 276.8L221.6 358.9L335.3 256H280C274.9 256 270.1 253.6 267.1 249.5C264.1 245.4 263.2 240.1 264.7 235.2L290.3 153.4L177.5 256H232zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "circle-book-open": [512, 512, ["book-circle"], "e0ff", "M383.5 156.8C360.2 148.2 337.7 144.3 317.5 144C288 144.5 266.5 152.8 256 157.9C245.4 152.8 223.9 144.5 194.4 144c-20.25 0-42.95 4.32-65.87 12.74C118.4 160.5 112 170.6 112 181.4v151.4c0 7.328 3.438 14.03 9.445 18.4c4.016 2.9 8.729 4.395 13.55 4.395c2.271 0 4.564-.332 6.82-1.004c15.36-4.695 29.74-6.674 42.76-6.674c23.09 0 41.91 6.217 54.43 14.53c5.121 3.398 11.09 5.1 17.05 5.1c5.947 0 11.89-1.688 17-5.064c12.57-8.305 31.47-14.51 54.56-14.51c12.99 0 27.31 1.963 42.58 6.621c2.258 .6797 4.549 1.014 6.814 1.014c4.814 0 9.518-1.51 13.56-4.42C396.6 346.8 400 340.1 400 332.8V181.4C400 170.6 393.6 160.5 383.5 156.8zM240 326.9C223.6 319.8 204.5 315.9 184.6 315.9c-13.34 0-26.98 1.662-40.57 4.92V185.2C161.7 179.2 178.9 176 193.9 175.1C215.9 176.3 231.6 181.9 240 185.8V326.9zM368 320.8c-13.58-3.24-27.12-4.877-40.38-4.877c-20.25 0-39.6 3.922-55.62 11.18v-141.3c8.352-3.83 23.85-9.365 45.51-9.793C333.8 176.3 351.2 179.5 368 185.2V320.8zM256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480z"],
    "circle-bookmark": [512, 512, ["bookmark-circle"], "e100", "M320 128H192C174.3 128 160 142.4 160 160v208c0 6.156 3.531 11.75 9.062 14.42c5.562 2.672 12.09 1.891 16.94-1.922L256 324.5l69.1 56.02C328.9 382.8 332.4 384 336 384c2.344 0 4.719-.5156 6.938-1.578C348.5 379.8 352 374.2 352 368V160C352 142.4 337.7 128 320 128zM320 334.7L265.1 291.5C263.1 289.2 259.5 288 256 288S248.9 289.2 245.1 291.5L192 334.7V160h128V334.7zM256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480z"],
    "circle-c": [512, 512, [], "e101", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480zM324.7 188.1c6.281 6.25 16.42 6.203 22.64-.0469c6.234-6.266 6.203-16.41-.0469-22.64C297.2 115.6 215.7 115.6 165.6 165.5C141.4 189.6 128 221.8 128 256s13.33 66.36 37.59 90.55c25.05 24.92 57.94 37.39 90.83 37.39s65.78-12.47 90.83-37.39c6.25-6.234 6.281-16.38 .0469-22.64c-6.25-6.234-16.39-6.312-22.64-.0469c-37.63 37.47-98.84 37.45-136.5 .0156C170 305.7 160 281.6 160 256s10.02-49.73 28.23-67.86C225.9 150.7 287.1 150.7 324.7 188.1z"],
    "circle-calendar": [512, 512, ["calendar-circle"], "e102", "M208 96C216.8 96 224 103.2 224 112V128H288V112C288 103.2 295.2 96 304 96C312.8 96 320 103.2 320 112V128H336C362.5 128 384 149.5 384 176V336C384 362.5 362.5 384 336 384H176C149.5 384 128 362.5 128 336V176C128 149.5 149.5 128 176 128H192V112C192 103.2 199.2 96 208 96zM160 192H352V176C352 167.2 344.8 160 336 160H176C167.2 160 160 167.2 160 176V192zM160 224V336C160 344.8 167.2 352 176 352H336C344.8 352 352 344.8 352 336V224H160zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "circle-camera": [512, 512, ["camera-circle"], "e103", "M256 224C238.3 224 224 238.3 224 256s14.33 32 32 32s32-14.33 32-32S273.7 224 256 224zM336 160h-20l-6.188-16.44C306.3 134.2 297.4 128 287.4 128H224.6c-10 0-19 6.188-22.5 15.56L196 160H176C149.5 160 128 181.5 128 208v96C128 330.5 149.5 352 176 352h160c26.51 0 48-21.49 48-48v-96C384 181.5 362.5 160 336 160zM352 304c0 8.822-7.178 16-16 16h-160C167.2 320 160 312.8 160 304v-96C160 199.2 167.2 192 176 192h42.22l11.93-32h51.66l12.04 32H336C344.8 192 352 199.2 352 208V304zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480z"],
    "circle-caret-down": [512, 512, ["caret-circle-down"], "f32d", "M352 192H160C131.6 192 117.3 226.5 137.4 246.6l95.95 96c12.49 12.5 32.86 12.5 45.35 0l95.95-96C394.6 226.5 380.5 192 352 192zM256 320L160 224h192L256 320zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480z"],
    "circle-caret-left": [512, 512, ["caret-circle-left"], "f32e", "M265.4 137.4l-96 95.95c-12.5 12.49-12.5 32.86 0 45.35l96 95.95C285.5 394.6 320 380.5 320 352V160C320 131.6 285.5 117.3 265.4 137.4zM288 352L192 256l96-96V352zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480z"],
    "circle-caret-right": [512, 512, ["caret-circle-right"], "f330", "M246.6 137.4C226.5 117.4 192 131.5 192 159.1V352c0 28.36 34.5 42.73 54.63 22.61l96-95.95c12.5-12.49 12.5-32.86 0-45.35L246.6 137.4zM224 352V160l96 96L224 352zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480z"],
    "circle-caret-up": [512, 512, ["caret-circle-up"], "f331", "M278.7 169.4c-12.49-12.5-32.86-12.5-45.35 0l-95.95 96C117.4 285.5 131.5 320 159.1 320h192c28.36 0 42.73-34.5 22.61-54.63L278.7 169.4zM160 288l96-96l96 96H160zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480z"],
    "circle-check": [512, 512, [61533, "check-circle"], "f058", "M235.3 331.3C229.1 337.6 218.9 337.6 212.7 331.3L148.7 267.3C142.4 261.1 142.4 250.9 148.7 244.7C154.9 238.4 165.1 238.4 171.3 244.7L224 297.4L340.7 180.7C346.9 174.4 357.1 174.4 363.3 180.7C369.6 186.9 369.6 197.1 363.3 203.3L235.3 331.3zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "circle-chevron-down": [512, 512, ["chevron-circle-down"], "f13a", "M356.7 212.7L256 313.4L155.3 212.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l112 112C247.8 350.4 251.9 352 256 352s8.188-1.562 11.31-4.688l112-112c6.25-6.25 6.25-16.38 0-22.62S362.9 206.4 356.7 212.7zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480z"],
    "circle-chevron-left": [512, 512, ["chevron-circle-left"], "f137", "M299.3 132.7c-6.25-6.25-16.38-6.25-22.62 0l-112 112C161.6 247.8 160 251.9 160 256s1.562 8.188 4.688 11.31l112 112c6.25 6.25 16.38 6.25 22.62 0s6.25-16.38 0-22.62L198.6 256l100.7-100.7C305.6 149.1 305.6 138.9 299.3 132.7zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480z"],
    "circle-chevron-right": [512, 512, ["chevron-circle-right"], "f138", "M235.3 132.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L313.4 256l-100.7 100.7c-6.25 6.25-6.25 16.38 0 22.62s16.38 6.25 22.62 0l112-112C350.4 264.2 352 260.1 352 256s-1.562-8.188-4.688-11.31L235.3 132.7zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480z"],
    "circle-chevron-up": [512, 512, ["chevron-circle-up"], "f139", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480zM267.3 164.7C264.2 161.6 260.1 160 256 160S247.8 161.6 244.7 164.7l-112 112c-6.25 6.25-6.25 16.38 0 22.62s16.38 6.25 22.62 0L256 198.6l100.7 100.7c6.25 6.25 16.38 6.25 22.62 0s6.25-16.38 0-22.62L267.3 164.7z"],
    "circle-d": [512, 512, [], "e104", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480zM256 128H176C167.2 128 160 135.2 160 144v224C160 376.8 167.2 384 176 384H256c70.58 0 128-57.42 128-128S326.6 128 256 128zM256 352H192V160h64c52.94 0 96 43.06 96 96S308.9 352 256 352z"],
    "circle-dashed": [512, 512, [], "e105", "M18.79 232C9.302 232 1.826 223.8 3.353 214.5C9.834 174.7 25.46 138.1 47.1 106.7C53.53 99.03 64.6 98.54 71.31 105.3C77.13 111.1 77.57 120.3 72.83 127C54.11 153.6 41.02 184.4 35.27 217.7C33.87 225.8 27.02 232 18.79 232V232zM127 72.83C120.3 77.57 111.1 77.13 105.3 71.31C98.54 64.6 99.03 53.53 106.7 47.99C138.1 25.46 174.7 9.834 214.5 3.353C223.8 1.826 232 9.302 232 18.79C232 27.02 225.8 33.87 217.7 35.27C184.4 41.01 153.6 54.11 127 72.83H127zM280 493.2C280 484.1 286.2 478.1 294.3 476.7C327.6 470.1 358.4 457.9 384.1 439.2C391.7 434.4 400.9 434.9 406.8 440.7C413.5 447.4 412.1 458.5 405.3 464C373.9 486.5 337.3 502.2 297.5 508.6C288.2 510.2 280 502.7 280 493.2V493.2zM476.7 294.3C478.1 286.2 484.1 280 493.2 280C502.7 280 510.2 288.2 508.6 297.5C502.2 337.3 486.5 373.9 464 405.3C458.5 412.1 447.4 413.5 440.7 406.8C434.9 400.9 434.4 391.7 439.2 384.1C457.9 358.4 470.1 327.6 476.7 294.3V294.3zM127 439.2C153.6 457.9 184.4 470.1 217.7 476.7C225.8 478.1 232 484.1 232 493.2C232 502.7 223.8 510.2 214.5 508.6C174.7 502.2 138.1 486.5 106.7 464C99.03 458.5 98.54 447.4 105.3 440.7C111.1 434.9 120.3 434.4 127 439.2V439.2zM3.353 297.5C1.826 288.2 9.302 280 18.79 280C27.02 280 33.87 286.2 35.27 294.3C41.01 327.6 54.11 358.4 72.83 384.1C77.57 391.7 77.13 400.9 71.31 406.8C64.6 413.5 53.53 412.1 47.99 405.3C25.46 373.9 9.834 337.3 3.353 297.5V297.5zM384.1 72.83C358.4 54.11 327.6 41.01 294.3 35.27C286.2 33.87 280 27.02 280 18.79C280 9.302 288.2 1.826 297.5 3.353C337.3 9.834 373.9 25.46 405.3 47.99C412.1 53.53 413.5 64.6 406.8 71.31C400.9 77.13 391.7 77.57 384.1 72.83V72.83zM439.2 127C434.4 120.3 434.9 111.1 440.7 105.3C447.4 98.54 458.5 99.03 464 106.7C486.5 138.1 502.2 174.7 508.6 214.5C510.2 223.8 502.7 232 493.2 232C484.1 232 478.1 225.8 476.7 217.7C470.1 184.4 457.9 153.6 439.2 127H439.2z"],
    "circle-divide": [512, 512, [], "e106", "M232 160C232 146.7 242.7 136 256 136C269.3 136 280 146.7 280 160C280 173.3 269.3 184 256 184C242.7 184 232 173.3 232 160zM352 240C360.8 240 368 247.2 368 256C368 264.8 360.8 272 352 272H160C151.2 272 144 264.8 144 256C144 247.2 151.2 240 160 240H352zM280 352C280 365.3 269.3 376 256 376C242.7 376 232 365.3 232 352C232 338.7 242.7 328 256 328C269.3 328 280 338.7 280 352zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "circle-dollar": [512, 512, ["dollar-circle", "usd-circle"], "f2e8", "M272 143C285.5 144 298.6 147.7 311.6 151.3C313.2 151.7 314.7 152.1 316.2 152.6C324.8 154.9 329.8 163.8 327.4 172.3C325.1 180.8 316.2 185.8 307.7 183.4C305.3 182.8 302.9 182.1 300.5 181.4C292.1 179.2 285.4 176.1 277.7 175.8C258.5 173 241 175.5 228.4 180.9C215.5 186.5 209.8 194 208.6 200.4C206.8 210.1 210.7 216.9 218.8 222.1C229.5 228.9 245.3 233.4 264.7 238.9L264.9 238.1C282.7 244 303.8 250 319.3 260.6C338.3 273.7 347 294.5 342.9 317.2C338.9 338.8 323.9 353.2 305 360.8C295.1 364.8 283.9 367.1 272 367.8L272 392C272 400.8 264.8 408 256 408C247.2 408 240 400.8 240 392L240 366.1C231.9 364.9 218.2 360.9 207.6 357.7C200.7 355.6 193.8 353.4 186.1 351.2C178.6 348.4 174 339.4 176.8 330.1C179.6 322.6 188.6 318 197 320.8C203.6 322.1 210.3 325.1 216.9 327.1C228.2 330.5 239.6 333.7 245 334.5C264.8 337.5 281.5 335.8 293.1 331.2C304.2 326.7 309.8 319.9 311.4 311.4C313.3 300.9 309.9 293 301.2 287C289.2 278.8 274.4 274.8 260.2 270.9C257.9 270.2 255.6 269.6 253.3 268.1C236.2 264.1 216.3 258.5 201.6 249C193.5 243.9 185.9 236.9 181.1 227.4C176.2 217.6 174.9 206.6 177.1 194.6C180.9 173.9 197.2 159.5 215.7 151.5C223.2 148.3 231.3 145.9 239.1 144.5V120C239.1 111.2 247.2 104 255.1 104C264.8 104 272 111.2 272 120V143zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "circle-dollar-to-slot": [512, 512, ["donate"], "f4b9", "M272 121.6C277.9 122.6 290.1 125.2 296.1 126.5C304.7 128.8 309.7 137.6 307.5 146.1C305.2 154.7 296.4 159.7 287.9 157.5C283.9 156.4 270.2 153.7 265.8 153C252.9 151 242.1 152.6 234.9 155.9C227.7 159.2 224.1 163.4 224.4 166.1C223.7 171.1 224.3 173.2 224.9 174.4C225.5 175.8 226.8 177.5 229.8 179.5C236.6 184.1 246.9 187.3 260.8 191.5L261.4 191.7C273.7 195.4 289.3 200.1 300.9 208.5C307.1 213.1 312.9 219.1 316.5 227.3C320.1 235.6 320.8 244.8 319.2 254.5C316.1 271.1 304.6 283.9 289.9 290.2C284.3 292.6 278.3 294.2 272 295.1V304C272 312.8 264.8 320 256 320C247.2 320 240 312.8 240 304V294.4C230.6 292.6 216.4 287.8 207.6 284.7C205.8 284.1 204.2 283.6 202.9 283.2C194.6 280.4 190 271.3 192.8 262.9C195.6 254.6 204.7 250 213.1 252.8C214.1 253.5 217.1 254.2 219.2 254.9C228.7 258.1 239.9 261.9 246.3 262.1C259.6 265.1 270.3 263.8 277.3 260.8C283.8 258 286.7 254.1 287.6 249C288.4 244.4 287.8 241.7 287.1 240.1C286.4 238.4 284.9 236.5 282 234.4C275.5 229.6 265.3 226.3 251.6 222.1L249.5 221.5C237.7 217.9 222.9 213.5 211.9 206C205.6 201.8 199.7 196 195.9 188.1C192.1 180 191.2 171 192.8 161.5C195.7 144.8 207.6 133.2 221.7 126.8C227.3 124.2 233.5 122.4 240 121.3V112C240 103.2 247.2 96 256 96C264.8 96 272 103.2 272 112L272 121.6zM48 208C48 93.12 141.1 0 256 0C370.9 0 464 93.12 464 208C464 322.9 370.9 416 256 416C141.1 416 48 322.9 48 208zM256 384C353.2 384 432 305.2 432 208C432 110.8 353.2 32 256 32C158.8 32 80 110.8 80 208C80 305.2 158.8 384 256 384zM92.83 384H56C42.75 384 32 394.7 32 408V456C32 469.3 42.75 480 56 480H456C469.3 480 480 469.3 480 456V408C480 394.7 469.3 384 456 384H419.2C429.7 374.2 439.4 363.5 448 352H456C486.9 352 512 377.1 512 408V456C512 486.9 486.9 512 456 512H56C25.07 512 0 486.9 0 456V408C0 377.1 25.07 352 56 352H63.98C72.63 363.5 82.29 374.2 92.83 384z"],
    "circle-dot": [512, 512, [128280, "dot-circle"], "f192", "M352 256C352 309 309 352 256 352C202.1 352 160 309 160 256C160 202.1 202.1 160 256 160C309 160 352 202.1 352 256zM256 192C220.7 192 192 220.7 192 256C192 291.3 220.7 320 256 320C291.3 320 320 291.3 320 256C320 220.7 291.3 192 256 192zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "circle-down": [512, 512, [61466, "arrow-alt-circle-down"], "f358", "M348.7 224H320V152c0-22.06-17.94-40-40-40h-48C209.9 112 192 129.9 192 152V224H163.3C147.1 224 132.6 233.7 126.3 248.7c-6.188 14.95-2.812 32 8.562 43.48l92.81 96.11c15.12 15.12 41.25 15.33 56.75-.2031l92.5-95.8c11.47-11.48 14.88-28.59 8.688-43.59C379.4 233.7 364.9 224 348.7 224zM354.2 269.9l-92.5 95.8c-4.162 4.203-9.533 1.797-11.12 .2031l-92.69-96C152.1 265 155.9 256 163.3 256H224L223.1 152c0-4.406 3.594-8 8.001-8h48c4.406 0 7.999 3.594 7.999 8L288 256h60.69C355.1 256 359.9 264 354.2 269.9zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480z"],
    "circle-down-left": [512, 512, [], "e107", "M340.9 137.2c-15.6-15.6-40.97-15.6-56.57 0L233.4 188.1L213.1 167.8C201.6 156.3 184.5 152.9 169.5 159.1C154.5 165.4 144.8 179.9 144.8 196.1l-2.33 133.1c-.0215 21.94 18.59 40.27 39.98 40.27l133.6-2.332c16.16-.0781 30.6-9.742 36.8-24.7c6.209-15 2.807-32.11-8.684-43.59l-20.29-20.29l50.91-50.91c15.6-15.6 15.6-40.96 0-56.57L340.9 137.2zM352.2 205.1l-73.54 73.54l42.91 42.91c5.258 5.258 1.205 13.66-5.656 13.66l-133.7 2.352c-2.254 .0039-7.754-2.094-7.725-8.008l2.332-133.1c.0176-8.199 9.131-10.47 13.67-5.93l42.91 42.91l73.54-73.54c3.115-3.113 8.197-3.115 11.31-.002l33.94 33.94C355.3 196.9 355.3 201.1 352.2 205.1zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480z"],
    "circle-down-right": [512, 512, [], "e108", "M342.5 159.1c-15-6.211-32.11-2.805-43.6 8.684l-20.29 20.29L227.7 137.2c-15.6-15.6-40.97-15.6-56.57 0l-33.94 33.95c-15.6 15.6-15.6 40.97 0 56.57l50.91 50.91L167.8 298.9c-11.49 11.49-14.89 28.59-8.684 43.59c6.199 14.95 20.64 24.62 36.8 24.7l133.6 2.332c21.39 0 40.01-18.33 39.98-40.27l-2.33-133.1C367.2 179.9 357.5 165.4 342.5 159.1zM329.8 337.5l-133.4-2.34c-6.861 0-11.19-8.41-5.932-13.67l42.91-42.91L159.8 205.1c-3.115-3.113-3.115-8.197 0-11.31L193.8 159.8c3.115-3.113 8.197-3.111 11.31 .002l73.54 73.54l42.91-42.91c4.537-4.539 13.65-2.27 13.67 5.93l2.332 133.1C337.6 335.5 332.1 337.6 329.8 337.5zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480z"],
    "circle-e": [512, 512, [], "e109", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480zM336 160C344.8 160 352 152.8 352 144S344.8 128 336 128h-160C167.2 128 160 135.2 160 144v224C160 376.8 167.2 384 176 384h160c8.844 0 16-7.156 16-16S344.8 352 336 352H192V272h96c8.844 0 16-7.156 16-16S296.8 240 288 240H192V160H336z"],
    "circle-ellipsis": [512, 512, [], "e10a", "M256 232C269.3 232 280 242.7 280 256C280 269.3 269.3 280 256 280C242.7 280 232 269.3 232 256C232 242.7 242.7 232 256 232zM352 280C338.7 280 328 269.3 328 256C328 242.7 338.7 232 352 232C365.3 232 376 242.7 376 256C376 269.3 365.3 280 352 280zM160 232C173.3 232 184 242.7 184 256C184 269.3 173.3 280 160 280C146.7 280 136 269.3 136 256C136 242.7 146.7 232 160 232zM256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256z"],
    "circle-ellipsis-vertical": [512, 512, [], "e10b", "M232 256C232 242.7 242.7 232 256 232C269.3 232 280 242.7 280 256C280 269.3 269.3 280 256 280C242.7 280 232 269.3 232 256zM280 160C280 173.3 269.3 184 256 184C242.7 184 232 173.3 232 160C232 146.7 242.7 136 256 136C269.3 136 280 146.7 280 160zM232 352C232 338.7 242.7 328 256 328C269.3 328 280 338.7 280 352C280 365.3 269.3 376 256 376C242.7 376 232 365.3 232 352zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "circle-envelope": [512, 512, ["envelope-circle"], "e10c", "M352 160H160C142.3 160 128 174.3 128 192v128c0 17.67 14.33 32 32 32h192c17.67 0 32-14.33 32-32V192C384 174.3 369.7 160 352 160zM352 320H160V245.3l89.3 41.21C251.4 287.5 253.7 288 256 288s4.578-.5 6.703-1.469L352 245.3V320zM352 210.1l-96 44.31L160 210.1V192h192V210.1zM256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480z"],
    "circle-exclamation": [512, 512, ["exclamation-circle"], "f06a", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480zM256 304c8.844 0 16-7.156 16-16V128c0-8.844-7.156-16-16-16S240 119.2 240 128v160C240 296.8 247.2 304 256 304zM256 344c-13.25 0-24 10.75-24 24s10.75 24 24 24s24-10.75 24-24S269.3 344 256 344z"],
    "circle-exclamation-check": [640, 512, [], "e10d", "M256 480C322.3 480 381.9 451.2 422.1 405.3C428.9 398.7 438.1 398.2 445.6 404.1C452.1 409.1 452.7 420.1 446.8 426.7C399.1 479 331.8 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C364.9 0 457.1 68.05 494.9 163.9C498.1 172.1 494 181.4 485.8 184.6C477.5 187.8 468.3 183.7 465.1 175.4C432.7 91.49 351.3 32 255.1 32C132.3 32 31.1 132.3 31.1 256C31.1 379.7 132.3 480 255.1 480L256 480zM272 272C272 280.8 264.8 288 256 288C247.2 288 240 280.8 240 272V144C240 135.2 247.2 128 256 128C264.8 128 272 135.2 272 144V272zM232 352C232 338.7 242.7 328 256 328C269.3 328 280 338.7 280 352C280 365.3 269.3 376 256 376C242.7 376 232 365.3 232 352zM619.3 180.7C625.6 186.9 625.6 197.1 619.3 203.3L491.3 331.3C485.1 337.6 474.9 337.6 468.7 331.3L404.7 267.3C398.4 261.1 398.4 250.9 404.7 244.7C410.9 238.4 421.1 238.4 427.3 244.7L480 297.4L596.7 180.7C602.9 174.4 613.1 174.4 619.3 180.7H619.3z"],
    "circle-f": [512, 512, [], "e10e", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480zM336 128h-160C167.2 128 160 135.2 160 144v224C160 376.8 167.2 384 176 384S192 376.8 192 368V288h112C312.8 288 320 280.8 320 272S312.8 256 304 256H192V160h144C344.8 160 352 152.8 352 144S344.8 128 336 128z"],
    "circle-g": [512, 512, [], "e10f", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480zM368 256h-74.66c-8.844 0-16 7.156-16 16s7.156 16 16 16h53.59c-5.344 13.41-13.59 26.42-23.06 35.89c-36.25 36.25-99.5 36.25-135.8 0C169.1 305.8 160 281.6 160 256s9.1-49.75 28.12-67.89c36-36.05 94-37.64 131.8-3.672c6.594 5.891 16.72 5.375 22.59-1.25c5.906-6.578 5.344-16.69-1.219-22.59c-50.59-45.3-127.8-43.13-175.8 4.891c-49.91 49.91-49.91 131.1 0 181C189.7 370.7 221.8 384 256 384s66.34-13.31 90.5-37.48c18.28-18.28 32.56-45.39 37.25-70.78C383.9 274.8 384 272.1 384 272C384 263.2 376.8 256 368 256z"],
    "circle-h": [512, 512, [9405, "hospital-symbol"], "f47e", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480zM336 128C327.2 128 320 135.2 320 144v96H192v-96C192 135.2 184.8 128 176 128S160 135.2 160 144v224C160 376.8 167.2 384 176 384S192 376.8 192 368v-96h128v96c0 8.844 7.156 16 16 16s16-7.156 16-16v-224C352 135.2 344.8 128 336 128z"],
    "circle-half": [512, 512, [], "e110", "M224.1 1.971C241.6-.2109 256 14.33 256 31.1V480C256 497.7 241.6 512.2 224.1 510C97.75 494.3 0 386.6 0 255.1C0 125.4 97.75 17.69 224.1 1.971V1.971zM224 34.26C115.5 49.77 32 143.2 32 255.1C32 368.8 115.5 462.2 224 477.7V34.26z"],
    "circle-half-stroke": [512, 512, [9680, "adjust"], "f042", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM240 479.4V32.56C123.8 40.77 32 137.7 32 256C32 374.3 123.8 471.2 240 479.4zM272 32.56V479.4C388.2 471.2 480 374.3 480 256C480 137.7 388.2 40.77 272 32.56V32.56z"],
    "circle-heart": [512, 512, ["heart-circle"], "f4c7", "M256 191L273.7 173C275.3 171.4 276.1 169.9 278.7 168.4C308.2 143.3 352.3 144.8 380.1 173C409.5 202.8 409.5 251.2 380.1 280.1L289.7 372.8C280.3 382.3 268.1 387 255.9 386.1C243.7 386.9 231.6 382.2 222.3 372.8L131.9 280.1C102.5 251.2 102.5 202.8 131.9 173C159.7 144.8 203.8 143.3 233.3 168.4C235 169.9 236.7 171.4 238.3 173L256 191zM266.9 350.3L357.3 258.5C374.4 241.2 374.4 212.8 357.3 195.5C340.5 178.4 313.4 178.4 296.5 195.5L256 236.6L215.5 195.5C198.6 178.4 171.5 178.4 154.7 195.5C137.6 212.8 137.6 241.2 154.7 258.5L245.1 350.3C248.2 353.5 252.1 354.1 255.1 354.1C259.9 354.1 263.8 353.5 266.9 350.3V350.3zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "circle-i": [512, 512, [], "e111", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480zM352 144C352 135.2 344.8 128 336 128h-160C167.2 128 160 135.2 160 144S167.2 160 176 160h64.88C240.5 161.4 240 162.8 240 164.4v183.3C240 349.2 240.5 350.6 240.9 352H176C167.2 352 160 359.2 160 368S167.2 384 176 384h160c8.844 0 16-7.156 16-16S344.8 352 336 352h-64.88C271.5 350.6 272 349.2 272 347.6V164.4C272 162.8 271.5 161.4 271.1 160H336C344.8 160 352 152.8 352 144z"],
    "circle-info": [512, 512, ["info-circle"], "f05a", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480zM256 184c13.25 0 24-10.74 24-24c0-13.25-10.75-24-24-24S232 146.7 232 160C232 173.3 242.7 184 256 184zM304 352h-32V240C272 231.2 264.8 224 256 224H224C215.2 224 208 231.2 208 240S215.2 256 224 256h16v96h-32C199.2 352 192 359.2 192 368C192 376.8 199.2 384 208 384h96c8.836 0 16-7.164 16-16C320 359.2 312.8 352 304 352z"],
    "circle-j": [512, 512, [], "e112", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480zM320 128c-8.844 0-16 7.156-16 16v149.3C304 325.7 275.3 352 240 352s-64-26.31-64-58.67V272C176 263.2 168.8 256 160 256S144 263.2 144 272v21.33C144 343.3 187.1 384 240 384s96-40.67 96-90.67V144C336 135.2 328.8 128 320 128z"],
    "circle-k": [512, 512, [], "e113", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480zM347.9 133.3c-5.922-6.609-16.05-7.094-22.59-1.188L192 252.1V144C192 135.2 184.8 128 176 128S160 135.2 160 144v224C160 376.8 167.2 384 176 384S192 376.8 192 368V295.1l41.4-37.26l89.8 119.7C326.3 381.8 331.1 384 336 384c3.344 0 6.703-1.047 9.578-3.203c7.078-5.297 8.516-15.33 3.203-22.39L257.3 236.4l89.43-80.49C353.3 149.1 353.8 139.9 347.9 133.3z"],
    "circle-l": [512, 512, [], "e114", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480zM336 352H192V144C192 135.2 184.8 128 176 128S160 135.2 160 144v224C160 376.8 167.2 384 176 384h160c8.844 0 16-7.156 16-16S344.8 352 336 352z"],
    "circle-left": [512, 512, [61840, "arrow-alt-circle-left"], "f359", "M360 192H288V163.3c0-16.25-9.688-30.75-24.69-36.97c-14.95-6.188-32-2.812-43.48 8.562l-96.11 92.81C108.6 242.8 108.4 268.1 123.9 284.5l95.8 92.5c11.48 11.47 28.59 14.88 43.59 8.688C278.3 379.4 288 364.9 288 348.7V320h72c22.06 0 40-17.94 40-40v-48C400 209.9 382.1 192 360 192zM368 280C368 284.4 364.4 288 360 288H256v60.69c0 6.414-8.047 11.26-13.86 5.471l-95.8-92.5c-4.205-4.164-1.797-9.531-.2031-11.12l96-92.69C246.1 152.1 256 155.9 256 163.3V224h104c4.406 0 8 3.594 8 8V280zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480z"],
    "circle-location-arrow": [512, 512, ["location-circle"], "f602", "M127.7 283C116 283 105.8 274.7 103.5 263.2C101.1 251.8 107.2 240.1 117.1 235.5L338.5 141C348 137.1 358.7 139.1 365.8 146.3C372.9 153.4 375 164.1 371 173.5L276.5 394C272.6 403.1 263.6 409 253.7 409C252.1 409 250.5 408.9 248.8 408.5C237.3 406.2 229 395.1 229 384.2V283H127.7zM260.1 251V348.1L334.5 177.6L163.1 251H260.1zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "circle-m": [512, 512, [], "e115", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480zM372.8 128.7c-6.609-2.047-13.91 .3594-17.92 6.094L256 276.1L157.1 134.8C153.1 129.1 145.8 126.6 139.2 128.7C132.5 130.8 128 137 128 144v224C128 376.8 135.2 384 144 384S160 376.8 160 368V194.8l82.89 118.4c6 8.562 20.22 8.562 26.22 0L352 194.8V368c0 8.844 7.156 16 16 16s16-7.156 16-16v-224C384 137 379.5 130.8 372.8 128.7z"],
    "circle-microphone": [512, 512, ["microphone-circle"], "e116", "M256 320c35.35 0 64-28.65 64-64V160c0-35.35-28.65-64-64-64S192 124.7 192 160v96C192 291.3 220.7 320 256 320zM224 160c0-17.64 14.36-32 32-32s32 14.36 32 32v96c0 17.64-14.36 32-32 32S224 273.6 224 256V160zM368 224C359.2 224 352 231.2 352 239.1V256c0 52.94-43.06 96-96 96S160 308.9 160 256L159.1 240c0-8.844-7.156-16-16-16S128 231.2 128 239.1V256c0 65.1 49.03 118.4 112 126.4V400c0 8.844 7.156 16 16 16s16-7.156 16-16v-17.62C334.1 374.4 384 321.1 384 256V239.1C384 231.2 376.8 224 368 224zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480z"],
    "circle-microphone-lines": [512, 512, ["microphone-circle-alt"], "e117", "M256 320c35.35 0 64-28.65 64-64V160c0-35.35-28.65-64-64-64S192 124.7 192 160v96C192 291.3 220.7 320 256 320zM224 160c0-17.64 14.36-32 32-32s32 14.36 32 32h-16C263.2 160 256 167.2 256 176S263.2 192 272 192H288v32h-16C263.2 224 256 231.2 256 240S263.2 256 272 256H288c0 17.64-14.36 32-32 32S224 273.6 224 256V160zM368 224C359.2 224 352 231.2 352 239.1V256c0 52.94-43.06 96-96 96S160 308.9 160 256V240C160 231.2 152.8 224 144 224S128 231.2 128 239.1V256c0 65.1 49.03 118.4 112 126.4V400c0 8.844 7.156 16 16 16s16-7.156 16-16v-17.62C334.1 374.4 384 321.1 384 256V239.1C384 231.2 376.8 224 368 224zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480z"],
    "circle-minus": [512, 512, ["minus-circle"], "f056", "M352 240C360.8 240 368 247.2 368 256C368 264.8 360.8 272 352 272H160C151.2 272 144 264.8 144 256C144 247.2 151.2 240 160 240H352zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "circle-n": [512, 512, [], "e118", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480zM352 128c-8.844 0-16 7.156-16 16v180.8L172.1 133.6C167.8 128.5 160.7 126.6 154.5 129C148.2 131.3 144 137.3 144 144v224C144 376.8 151.2 384 160 384s16-7.156 16-16V187.3l163.9 191.2C342.1 382 347.4 384 352 384c1.859 0 3.734-.3281 5.547-1C363.8 380.7 368 374.7 368 368v-224C368 135.2 360.8 128 352 128z"],
    "circle-nodes": [512, 512, [], "e4e2", "M365.8 357.7C395.2 369.5 416 398.3 416 432C416 476.2 380.2 512 336 512C291.8 512 256 476.2 256 432C256 417.6 259.8 404.1 266.5 392.4L128.5 271.7C115 281.9 98.22 288 80 288C35.82 288 0 252.2 0 208C0 163.8 35.82 128 80 128C107.9 128 132.5 142.3 146.8 164L321.3 94.26C320.4 89.63 320 84.87 320 80C320 35.82 355.8 0 400 0C444.2 0 480 35.82 480 80C480 123.6 445.1 159.1 401.7 159.1L365.8 357.7zM376.2 121.7C383.2 125.7 391.3 127.1 400 127.1C402.6 127.1 405.2 127.8 407.6 127.4C430.5 123.7 448 103.9 448 80C448 53.49 426.5 32 400 32C373.5 32 352 53.49 352 80C352 80.65 352 81.3 352 81.95C352.5 93.32 356.9 103.7 363.9 111.7C367.4 115.6 371.5 119 376.2 121.7V121.7zM370.2 154.3C354.1 148.2 342.1 137.5 333.2 123.1L158.7 193.7C159.6 198.4 160 203.1 160 208C160 222.4 156.2 235.9 149.5 247.6L287.5 368.3C300.6 358.4 316.7 352.4 334.3 352L370.2 154.3zM121.7 231.8C125.7 224.8 128 216.7 128 208C128 181.5 106.5 160 80 160C53.49 160 32 181.5 32 208C32 234.5 53.49 256 80 256C88.55 256 96.58 253.8 103.5 249.8C110.1 246.2 115.6 241 119.8 234.8C120.5 233.8 121.1 232.8 121.7 231.8L121.7 231.8zM291.4 414.2C289.2 419.7 288 425.7 288 432C288 458.5 309.5 480 336 480C362.5 480 384 458.5 384 432C384 405.5 362.5 384 336 384C321.9 384 309.3 390.1 300.5 399.7C297.4 403.1 294.8 406.1 292.7 411.2C292.3 412.2 291.8 413.2 291.4 414.2L291.4 414.2z"],
    "circle-notch": [512, 512, [], "f1ce", "M207.4 20.36C209.8 28.88 204.8 37.69 196.3 40.04C101.5 66.19 32 152.1 32 255.1C32 379.7 132.3 479.1 256 479.1C379.7 479.1 480 379.7 480 255.1C480 152.1 410.5 66.19 315.7 40.04C307.2 37.69 302.2 28.88 304.6 20.36C306.9 11.85 315.7 6.847 324.3 9.198C432.5 39.07 512 138.2 512 255.1C512 397.4 397.4 511.1 256 511.1C114.6 511.1 0 397.4 0 255.1C0 138.2 79.51 39.07 187.7 9.198C196.3 6.847 205.1 11.85 207.4 20.36V20.36z"],
    "circle-o": [512, 512, [], "e119", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480zM256 128C185.4 128 128 185.4 128 256s57.42 128 128 128s128-57.42 128-128S326.6 128 256 128zM256 352c-52.94 0-96-43.06-96-96s43.06-96 96-96s96 43.06 96 96S308.9 352 256 352z"],
    "circle-p": [512, 512, [], "e11a", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480zM272 128h-96C167.2 128 160 135.2 160 144v224C160 376.8 167.2 384 176 384S192 376.8 192 368V320h80c52.94 0 96-43.06 96-96S324.9 128 272 128zM272 288H192V160h80c35.28 0 64 28.7 64 64S307.3 288 272 288z"],
    "circle-parking": [512, 512, ["parking-circle"], "f615", "M288 320H208V368C208 376.8 200.8 384 192 384C183.2 384 176 376.8 176 368V152C176 138.7 186.7 128 200 128H288C341 128 384 170.1 384 224C384 277 341 320 288 320zM288 288C323.3 288 352 259.3 352 224C352 188.7 323.3 160 288 160H208V288H288zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "circle-pause": [512, 512, [62092, "pause-circle"], "f28b", "M208 160C199.2 160 192 167.2 192 176v160C192 344.8 199.2 352 208 352S224 344.8 224 336v-160C224 167.2 216.8 160 208 160zM304 160C295.2 160 288 167.2 288 176v160c0 8.844 7.156 16 16 16s16-7.156 16-16v-160C320 167.2 312.8 160 304 160zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480z"],
    "circle-phone": [512, 512, ["phone-circle"], "e11b", "M369.5 276.3C369.5 276.3 369.5 276.3 369.5 276.3l-47.91-20.53c-15.17-6.328-32.97-1.859-43.25 10.75l-6.719 8.188C258.1 265.5 246.5 253.9 237.4 240.4l8.266-6.781c12.86-10.62 17.11-28.06 10.55-43.41L235.7 142.5c-7.141-16.52-25.06-25.5-42.58-21.52L148.9 131.2C131.9 135.1 120 149.1 120 167.5C120 291.3 220.7 392 344.5 392c17.45 0 32.39-11.88 36.31-28.88l10.2-44.28C395.1 301.3 385.1 283.5 369.5 276.3zM349.7 355.9C349.1 358.4 347 360 344.5 360C238.4 360 152 273.6 152 167.5c0-2.469 1.625-4.5 4.094-5.062l44.25-10.27C200.7 152 201.1 152 201.5 152c2.062 0 4.016 1.234 4.844 3.125l20.44 47.7c.9531 2.234 .3906 4.594-1.453 6.109L206.3 224.5C200.4 229.4 198.7 237.8 202.4 244.5c15 27.58 37.53 50.09 65.13 65.13c6.781 3.688 15.17 2 20.03-3.906l15.58-19.02c1.406-1.734 3.984-2.328 6.016-1.516l47.66 20.44c2.328 1.031 3.609 3.562 3.047 6L349.7 355.9zM256 0c-141.4 0-256 114.6-256 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480z"],
    "circle-phone-flip": [512, 512, ["phone-circle-alt"], "e11c", "M363.1 131.2l-44.19-10.25c-17.52-3.984-35.44 5-42.58 21.52L255.8 190.3c-6.562 15.34-2.312 32.78 10.55 43.41l8.266 6.781C265.5 253.9 253.9 265.5 240.4 274.7L233.7 266.5C223.4 253.9 205.6 249.4 190.4 255.8L142.5 276.3c-.0156 .0156 .0313-.0156 0 0c-16.47 7.172-25.55 25.06-21.54 42.56l10.2 44.28C135.1 380.1 150 392 167.5 392C291.3 392 392 291.3 392 167.5C392 149.1 380.1 135.1 363.1 131.2zM167.5 360c-2.5 0-4.562-1.625-5.125-4.062L152.1 311.7c-.5625-2.438 .7187-4.969 3.047-6l47.66-20.44C204.9 284.4 207.5 285 208.9 286.7l15.58 19.02c4.859 5.906 13.25 7.594 20.03 3.906c27.59-15.03 50.13-37.55 65.13-65.13c3.672-6.75 2.031-15.16-3.906-20.03l-18.98-15.56c-1.844-1.516-2.406-3.875-1.453-6.109l20.44-47.7C306.5 153.2 308.5 152 310.5 152c.375 0 .75 .0469 1.125 .1406l44.25 10.27C358.4 162.1 360 165 360 167.5C360 273.6 273.6 360 167.5 360zM256 0c-141.4 0-256 114.6-256 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480z"],
    "circle-phone-hangup": [512, 512, ["phone-circle-down"], "e11d", "M414.8 225.7c-87.55-87.55-229.1-87.55-317.5 0C84.89 238 82.73 256.1 91.97 271.8l24.1 38.53c9.535 15.21 28.61 21.44 45.33 14.87c.0332-.0137-.0234 0 0 0l48.4-19.36C224.1 299.5 234.4 283.8 232.8 267.6L231.7 257.1c16.03-3.039 32.43-3.039 48.45-.0137l-1.051 10.64c-1.578 16.61 7.746 31.94 23.24 38.15l48.26 19.31c16.73 6.631 35.75 .3125 45.32-14.89l23.1-38.49C429.3 256.1 427.1 238 414.8 225.7zM392.8 254.8l-24.03 38.55c-.1992 .3301-.4316 .6309-.6973 .8926c-1.457 1.459-3.711 1.969-5.635 1.219l-48.18-19.28c-2.254-.9062-3.525-2.971-3.293-5.35l2.42-24.43c.752-7.646-4.033-14.75-11.4-16.93c-30.11-8.893-61.96-8.881-92.1 0C202.5 231.6 197.8 238.8 198.5 246.4l2.43 24.46c.2324 2.221-1.17 4.465-3.182 5.324L149.6 295.4C147.2 296.3 144.5 295.4 143.2 293.3L119.1 254.8C117.8 252.7 118.1 250.1 119.9 248.3c75.06-75.06 197.2-75.06 272.3 0C393.9 250 394.2 252.6 392.8 254.8zM256 0c-141.4 0-256 114.6-256 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480z"],
    "circle-play": [512, 512, [61469, "play-circle"], "f144", "M356.5 235.5C363.6 239.9 368 247.6 368 256C368 264.4 363.6 272.1 356.5 276.5L212.5 364.5C205.1 369 195.8 369.2 188.3 364.9C180.7 360.7 176 352.7 176 344V167.1C176 159.3 180.7 151.3 188.3 147.1C195.8 142.8 205.1 142.1 212.5 147.5L356.5 235.5zM208 182.3V329.7L328.7 255.1L208 182.3zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480z"],
    "circle-plus": [512, 512, ["plus-circle"], "f055", "M240 352V272H160C151.2 272 144 264.8 144 256C144 247.2 151.2 240 160 240H240V160C240 151.2 247.2 144 256 144C264.8 144 272 151.2 272 160V240H352C360.8 240 368 247.2 368 256C368 264.8 360.8 272 352 272H272V352C272 360.8 264.8 368 256 368C247.2 368 240 360.8 240 352zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "circle-q": [512, 512, [], "e11e", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480zM256 128C185.4 128 128 185.4 128 256s57.41 128 128 128c29.52 0 56.4-10.45 78.08-27.3l22.61 22.61C359.8 382.4 363.9 384 368 384s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62l-22.61-22.61C373.6 312.4 384 285.5 384 256C384 185.4 326.6 128 256 128zM334.1 311.5l-34.77-34.77c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l34.77 34.77C295.8 345.3 276.7 352 256 352c-52.94 0-96-43.06-96-96s43.06-96 96-96s96 43.06 96 96C352 276.7 345.3 295.8 334.1 311.5z"],
    "circle-quarter": [512, 512, [], "e11f", "M224.1 1.971C241.6-.2109 255.1 14.33 255.1 31.1V223.1C255.1 241.7 241.7 255.1 223.1 255.1H31.1C14.33 255.1-.2112 241.6 1.972 224.1C16.39 108.2 108.2 16.39 224.1 1.971V1.971zM34.26 223.1H223.1V34.26C125.9 48.28 48.28 125.9 34.26 223.1V223.1z"],
    "circle-quarters": [512, 512, [], "e3f8", "M256-.002c-141.4 0-256 114.6-256 256C0 397.4 114.6 512 256 512c141.4 0 256-114.6 256-256C512 114.6 397.4-.002 256-.002zM256 32c56.1 0 107.4 20.62 146.7 54.7L256 233.4L109.3 86.7C148.6 52.62 199.9 32 256 32zM32 255.1c0-56.1 20.62-107.4 54.7-146.7L233.4 256l-146.7 146.7C52.62 363.4 32 312.1 32 255.1zM256 480c-56.1 0-107.4-20.62-146.7-54.7L256 278.6l146.7 146.7C363.4 459.4 312.1 480 256 480zM425.3 402.7L278.6 256l146.7-146.7c34.08 39.3 54.7 90.58 54.7 146.7C480 312.1 459.4 363.4 425.3 402.7z"],
    "circle-question": [512, 512, [62108, "question-circle"], "f059", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480zM240 344c-13.25 0-24 10.75-24 24s10.75 24 24 24s24-10.75 24-24S253.3 344 240 344zM285.6 128H226.4C189.8 128 160 157.8 160 194.4V204c0 8.844 7.156 16 16 16S192 212.8 192 204V194.4C192 175.4 207.4 160 226.4 160h59.25C304.6 160 320 175.4 320 194.4c0 12.48-6.781 24-17.06 29.72L242.5 254.3C231.1 260.7 224 272.7 224 285.8V304C224 312.8 231.2 320 240 320S256 312.8 256 304V285.8c0-1.453 .7813-2.797 1.438-3.172l60.41-30.22C338.9 240.7 352 218.5 352 194.4C352 157.8 322.2 128 285.6 128z"],
    "circle-r": [512, 512, [], "e120", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480zM368 208C368 163.9 332.1 128 288 128H176C167.2 128 160 135.2 160 144v224C160 376.8 167.2 384 176 384S192 376.8 192 368V288h70.35l77.5 90.41C343 382.1 347.5 384 352 384c3.688 0 7.406-1.266 10.41-3.859c6.719-5.75 7.5-15.84 1.75-22.55l-60.97-71.13C340.1 279.3 368 246.9 368 208zM288 256H192V160h96c26.47 0 48 21.53 48 48S314.5 256 288 256z"],
    "circle-radiation": [512, 512, [9762, "radiation-alt"], "f7ba", "M306.3 295.6c-4.672-7.531-14.53-9.812-22.05-5.094c-7.484 4.688-9.766 14.53-5.078 22.03l41.83 66.97c1.234 2.031 .0156 3.312-.6875 3.781c-38.89 22.09-90.39 21.81-128.4 .1562c-.5625-.375-2.266-1.75-.9219-3.875l41.84-67.13c4.672-7.5 2.391-17.38-5.109-22.03c-7.516-4.719-17.39-2.406-22.05 5.094l-41.8 67.06c-5.094 8.062-6.688 17.44-4.516 26.34c2.25 9.188 8.359 17.47 16.48 22.22C199.9 424.9 227.6 432 256 432c28.19 0 55.88-7.167 80.14-20.92c7.891-4.5 14.02-12.62 16.36-21.72c2.297-8.906 .8125-18.31-4.281-26.66L306.3 295.6zM211.1 263.2C211.7 254.4 205.3 248.4 195.4 247.8L116.5 250.5c-2-.5625-2.859-1.656-2.938-2.469c.2031-22.31 6.297-44.47 17.62-64.09c11.39-19.72 27.52-36.09 46.38-47.13c.6406-.3438 2.719-1.094 3.891 1.125l37.22 69.78C222.9 215.5 232.5 218.5 240.3 214.3c7.797-4.156 10.75-13.84 6.594-21.66L209.7 122.1c-4.422-8.438-11.69-14.5-20.45-17.06C180.2 103.2 169.1 104.4 161.7 109C137.8 123.1 117.6 143.4 103.5 167.9c-14.08 24.41-21.66 52-21.91 79.91C81.55 256.1 85.53 266.3 92.23 272.9C98.58 279.1 107.1 282.5 116.5 282.5l80.03-2.75C205.4 279.4 212.3 272 211.1 263.2zM408.5 167.9c-14.09-24.41-34.2-44.75-58.27-58.94c-7.891-4.562-17.97-5.75-27.02-3.25c-8.828 2.469-16.22 8.438-20.91 17l-37.17 69.91c-4.156 7.781-1.188 17.47 6.609 21.62c7.812 4.188 17.5 1.188 21.64-6.625l37.08-69.72c1.188-2.125 3.078-1.531 3.625-1.312c19.22 11.34 35.36 27.69 46.69 47.31c11.39 19.75 17.48 41.91 17.62 63.75c-.0469 .6875 .6094 2.938-2.922 2.781l-79.06-2.656c-8 .75-16.22 6.625-16.52 15.47c-.2969 8.812 6.609 16.22 15.45 16.53c0 0 79.95 2.688 80.44 2.688c8.953 0 17.28-3.25 23.55-9.25c6.844-6.531 10.98-15.97 11.06-25.47C430.3 220.1 422.7 192.5 408.5 167.9zM256 16C123.5 16 16 123.4 16 256s107.5 240 240 240s240-107.4 240-240S388.5 16 256 16zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464zM232 256c0 13.25 10.75 24 24 24S280 269.3 280 256c0-13.26-10.75-24-24-24S232 242.7 232 256z"],
    "circle-right": [512, 512, [61838, "arrow-alt-circle-right"], "f35a", "M292.3 135c-11.48-11.47-28.59-14.88-43.59-8.688C233.7 132.6 224 147.1 224 163.3V192H152C129.9 192 112 209.9 112 232v48C112 302.1 129.9 320 152 320H224v28.69c0 16.25 9.688 30.75 24.69 36.97c14.95 6.188 32 2.812 43.48-8.562l96.11-92.81c15.12-15.12 15.33-41.25-.2031-56.75L292.3 135zM365.9 261.5l-96 92.69C265 359 256 356.1 256 348.7V288H152C147.6 288 144 284.4 144 280v-48C144 227.6 147.6 224 152 224H256V163.3c0-6.414 8.047-11.26 13.86-5.471l95.8 92.5C369.9 254.5 367.5 259.9 365.9 261.5zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480z"],
    "circle-s": [512, 512, [], "e121", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480zM260.2 240.6C209.4 226.1 187.7 218.1 192.8 190.4c1.094-5.953 4.469-14.41 14.38-20.81c13.41-8.672 42.06-15.94 102.2-1.062c8.719 2.094 17.25-3.125 19.38-11.69c2.125-8.578-3.125-17.25-11.69-19.38c-57.16-14.11-99.94-12.39-127.2 5.25c-15.22 9.844-25.34 24.73-28.5 41.92C150.3 244.2 209 260 251.8 271.5c50.78 13.66 72.47 22.53 67.38 50.22c-1.938 10.55-6.969 17.78-15.81 22.77c-23.06 12.92-70.81 8.766-121.7-10.61c-8.188-3.094-17.5 .9844-20.62 9.266c-3.156 8.25 1 17.5 9.25 20.64c15.66 5.953 57.13 20.16 96.94 20.16c18.59 0 36.81-3.094 51.84-11.56c17.06-9.594 27.97-25.11 31.62-44.88C361.7 267.9 303 252.1 260.2 240.6z"],
    "circle-small": [320, 512, [], "e122", "M320 256C320 344.4 248.4 416 160 416C71.63 416 0 344.4 0 256C0 167.6 71.63 96 160 96C248.4 96 320 167.6 320 256zM160 128C89.31 128 32 185.3 32 256C32 326.7 89.31 384 160 384C230.7 384 288 326.7 288 256C288 185.3 230.7 128 160 128z"],
    "circle-sort": [512, 512, ["sort-circle"], "e030", "M347.1 288H164.6C148.2 288 140.1 307.9 151.8 319.4L243 410.6C246.4 414.1 251.1 416 256 416s9.594-2 13.09-5.375l91.03-91.25C371.8 307.9 363.5 288 347.1 288zM256 378.4L197.6 320h116.6L256 378.4zM269.1 101.4C265.6 97.1 260.9 95.1 256 95.1S246.4 97.87 243 101.4L151.8 192.6C140.1 204.1 148.2 224 164.6 224h182.6c16.38 0 24.62-19.88 13-31.38L269.1 101.4zM197.6 192L256 133.6L314.3 192H197.6zM256 0c-141.4 0-256 114.6-256 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480z"],
    "circle-sort-down": [512, 512, ["sort-circle-down"], "e031", "M347.4 288H164.9c-16.38 0-24.62 19.88-13 31.38L243 410.6C246.5 414 251.1 416 256 416s9.719-1.875 13.09-5.375l91.16-91.25C371.9 307.9 363.8 288 347.4 288zM256 378.4L197.8 320h116.6L256 378.4zM267.3 100.8c-6.25-6.25-16.38-6.25-22.62 0l-96 96C142.6 203 142.8 212.9 148.9 219C155.1 225.1 165 225.3 171.3 219.3L256 134.6l84.75 84.63c6.25 6 16.12 5.875 22.25-.25s6.25-16 .25-22.25L267.3 100.8zM256 0c-141.4 0-256 114.6-256 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480z"],
    "circle-sort-up": [512, 512, ["sort-circle-up"], "e032", "M164.6 223.1L347.1 224c16.38 0 24.62-19.88 13-31.38L269 101.4C265.5 97.1 260.9 95.1 256 95.1S246.3 97.87 242.9 101.4L151.8 192.6C140.1 204.1 148.2 223.1 164.6 223.1zM256 133.6L314.3 192H197.6L256 133.6zM340.8 292.8L256 377.4L171.3 292.8C165 286.8 155.1 286.9 149 293s-6.25 16-.25 22.25l96 96c6.25 6.25 16.25 6.25 22.5 0l96-96c6-6.25 5.875-16.12-.25-22.25S347 286.8 340.8 292.8zM256 0c-141.4 0-256 114.6-256 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480z"],
    "circle-star": [512, 512, ["star-circle"], "e123", "M306.6 186.4L387.6 198.1C393.7 199 398.7 203.2 400.6 209C402.4 214.8 400.9 221.2 396.5 225.4L337.9 282.6L351.7 363.3C352.7 369.3 350.3 375.4 345.3 378.1C340.4 382.6 333.9 383 328.5 380.2L256 342.1L183.5 380.2C178.1 383 171.6 382.6 166.7 378.1C161.7 375.4 159.3 369.3 160.3 363.3L174.1 282.6L115.5 225.4C111.1 221.2 109.6 214.8 111.4 209C113.3 203.2 118.3 199 124.4 198.1L205.4 186.4L241.7 112.9C244.3 107.5 249.9 104 256 104C262.1 104 267.7 107.5 270.3 112.9L306.6 186.4zM218.3 216.8L161 225.1L202.5 265.6C206.3 269.2 207.1 274.5 207.1 279.7L197.3 336.8L248.6 309.8C253.2 307.4 258.8 307.4 263.4 309.8L314.7 336.8L304.9 279.7C304 274.5 305.7 269.2 309.5 265.6L350.1 225.1L293.7 216.8C288.5 216.1 283.1 212.8 281.6 208.1L255.1 156.2L230.4 208.1C228 212.8 223.5 216.1 218.3 216.8H218.3zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "circle-stop": [512, 512, [62094, "stop-circle"], "f28d", "M320 160H192C174.4 160 160 174.4 160 192v128c0 17.6 14.4 32 32 32h128c17.6 0 32-14.4 32-32V192C352 174.4 337.6 160 320 160zM320 320H192V192h128V320zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480z"],
    "circle-t": [512, 512, [], "e124", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480zM368 160h-224C135.2 160 128 167.2 128 176S135.2 192 144 192h96v176c0 8.844 7.156 16 16 16s16-7.156 16-16V192h96C376.8 192 384 184.8 384 176S376.8 160 368 160z"],
    "circle-three-quarters": [512, 512, [], "e125", "M224.1 1.971C241.6-.2109 256 14.33 256 31.1V255.1H480C497.7 255.1 512.2 270.4 510 287.9C494.3 414.2 386.6 512 256 512C114.6 512 0 397.4 0 255.1C0 125.4 97.75 17.69 224.1 1.971V1.971zM224 287.1V34.26C115.5 49.77 32 143.2 32 255.1C32 379.7 132.3 480 256 480C368.8 480 462.2 396.5 477.7 287.1H224z"],
    "circle-trash": [512, 512, ["trash-circle"], "e126", "M201.4 144L212.7 132.7C215.7 129.7 219.8 128 223.1 128H288C292.2 128 296.3 129.7 299.3 132.7L310.6 144H352C360.8 144 368 151.2 368 160C368 168.8 360.8 176 352 176H349.9L337.1 354.1C336.9 370.9 322.9 384 306.1 384H205.9C189.1 384 175.1 370.9 174 354.1L162.1 176H159.1C151.2 176 143.1 168.8 143.1 160C143.1 151.2 151.2 144 159.1 144H201.4zM317.8 176H194.2L205.9 352H306.1L317.8 176zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "circle-u": [512, 512, [], "e127", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480zM352 144c-8.844 0-16 7.156-16 16v129.8C336 332.9 300.1 368 256 368s-80-35.09-80-78.25V160c0-8.844-7.156-16-16-16S144 151.2 144 160v129.8C144 350.5 194.3 400 256 400s112-49.47 112-110.3V160C368 151.2 360.8 144 352 144z"],
    "circle-up": [512, 512, [61467, "arrow-alt-circle-up"], "f35b", "M284.3 123.7C269.2 108.6 243 108.4 227.5 123.9l-92.5 95.8C123.6 231.2 120.2 248.3 126.3 263.3C132.6 278.3 147.1 288 163.3 288H192v72c0 22.06 17.94 40 40 40h48c22.06 0 40-17.94 40-40V288h28.69c16.25 0 30.75-9.688 36.97-24.69c6.188-14.95 2.812-32-8.562-43.48L284.3 123.7zM348.7 256H288l.0006 104c0 4.406-3.594 8-8.001 8h-48c-4.406 0-7.999-3.594-7.999-8L224 256H163.3C156.9 256 152.1 247.1 157.8 242.1l92.5-95.8c4.162-4.203 9.533-1.797 11.12-.2031l92.69 96C359 246.1 356.1 256 348.7 256zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480z"],
    "circle-up-left": [512, 512, [], "e128", "M323.9 233.4l20.29-20.29c11.49-11.49 14.89-28.59 8.684-43.59c-6.199-14.95-20.64-24.62-36.8-24.7l-133.6-2.332c-21.39 0-40.01 18.33-39.98 40.27l2.33 133.1c.0117 16.23 9.701 30.73 24.68 36.97c15 6.211 32.11 2.805 43.6-8.688l20.29-20.28l50.91 50.91c15.6 15.6 40.97 15.6 56.57 0l33.94-33.94c15.6-15.6 15.6-40.97 0-56.57L323.9 233.4zM352.2 318.2L318.2 352.2c-3.115 3.117-8.197 3.117-11.31 0L233.4 278.6l-42.91 42.91c-4.537 4.535-13.65 2.27-13.67-5.934l-2.332-133.1c-.0293-5.918 5.471-8.012 7.725-8.008l133.4 2.34c6.861 0 11.19 8.41 5.932 13.67l-42.91 42.91l73.54 73.54C355.3 310 355.3 315.1 352.2 318.2zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480z"],
    "circle-up-right": [512, 512, [], "e129", "M329.5 142.5l-133.6 2.332c-16.16 .0781-30.6 9.742-36.8 24.7c-6.209 15-2.807 32.1 8.684 43.59l20.29 20.29L137.2 284.3c-15.6 15.6-15.6 40.97 0 56.57l33.94 33.94c15.6 15.6 40.97 15.6 56.57 0l50.91-50.91l20.29 20.28c11.49 11.49 28.59 14.9 43.6 8.688c14.98-6.234 24.67-20.74 24.68-36.97l2.33-133.1C369.5 160.8 350.9 142.5 329.5 142.5zM335.2 315.6c-.0176 8.203-9.131 10.47-13.67 5.934l-42.91-42.91L205.1 352.2c-3.115 3.117-8.197 3.117-11.31 0L159.8 318.2c-3.115-3.117-3.115-8.201 0-11.31l73.54-73.54L190.5 190.5C185.2 185.2 189.3 176.8 196.1 176.8l133.7-2.352c2.254-.0039 7.754 2.09 7.725 8.008L335.2 315.6zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480z"],
    "circle-user": [512, 512, [62142, "user-circle"], "f2bd", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-47.24 0-91.04-14.78-127.2-39.84C132.9 390.9 173.8 352 224 352h64c50.25 0 91.14 38.94 95.21 88.16C347 465.2 303.2 480 256 480zM411.7 416.7C397.6 361.3 347.7 320 288 320H224c-59.73 0-109.6 41.3-123.7 96.72C58.27 375.1 32 319 32 256c0-123.5 100.5-224 224-224s224 100.5 224 224C480 319 453.7 375.1 411.7 416.7zM256 128C211.8 128 176 163.8 176 208C176 252.2 211.8 288 256 288s80-35.82 80-80C336 163.8 300.2 128 256 128zM256 256C229.5 256 208 234.5 208 208S229.5 160 256 160s48 21.53 48 48S282.5 256 256 256z"],
    "circle-v": [512, 512, [], "e12a", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480zM375.2 145.7c-7.938-3.969-17.5-.7187-21.47 7.156L256 348.2L158.3 152.8C154.3 144.1 144.8 141.7 136.8 145.7c-7.906 3.969-11.11 13.56-7.156 21.47l112 224C244.4 396.6 249.9 400 256 400s11.59-3.438 14.31-8.844l112-224C386.3 159.3 383.1 149.7 375.2 145.7z"],
    "circle-video": [512, 512, ["video-circle"], "e12b", "M409.2 178.9c-4.266-2.984-9.719-3.703-14.64-1.922L320 204.1V192c0-17.67-14.33-32-32-32H160C142.3 160 128 174.3 128 192v128c0 17.67 14.33 32 32 32h128c17.67 0 32-14.33 32-32V307.9l74.53 27.1C396.3 335.7 398.2 336 400 336c3.234 0 6.453-.9844 9.172-2.891C413.5 330.1 416 325.2 416 320V192C416 186.8 413.5 181.9 409.2 178.9zM288 320H160V192h128V320zM384 297.2L320 273.9V238.1l64-23.27V297.2zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480z"],
    "circle-w": [512, 512, [], "e12c", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480zM388.4 144.6C380 142.1 371 147.1 368.6 155.6L320 325.8l-48.61-170.2c-3.938-13.69-26.84-13.69-30.78 0L192 325.8L143.4 155.6C140.1 147.1 132 142.1 123.6 144.6c-8.5 2.406-13.42 11.28-11 19.78l64 224c3.938 13.69 26.84 13.69 30.78 0L256 218.3l48.61 170.2C306.6 395.3 312.8 400 319.9 400s13.48-4.75 15.45-11.59l64-224C401.8 155.9 396.9 147 388.4 144.6z"],
    "circle-waveform-lines": [512, 512, ["waveform-circle"], "e12d", "M272 136c-8.836 0-16 7.162-16 16v208c0 8.836 7.164 16 16 16s16-7.164 16-16v-208C288 143.2 280.8 136 272 136zM208 200C199.2 200 192 207.2 192 216v80c0 8.836 7.164 16 16 16S224 304.8 224 296v-80C224 207.2 216.8 200 208 200zM144 160C135.2 160 128 167.2 128 176v160C128 344.8 135.2 352 144 352S160 344.8 160 336v-160C160 167.2 152.8 160 144 160zM400 224C391.2 224 384 231.2 384 240v32C384 280.8 391.2 288 400 288S416 280.8 416 272v-32C416 231.2 408.8 224 400 224zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480zM336 184c-8.836 0-16 7.162-16 16v112c0 8.836 7.164 16 16 16s16-7.164 16-16v-112C352 191.2 344.8 184 336 184z"],
    "circle-x": [512, 512, [], "e12e", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480zM362.4 131.8c-6.688-5.75-16.8-4.938-22.55 1.75L256 231.4l-83.86-97.84C166.4 126.9 156.3 126.2 149.6 131.8c-6.719 5.75-7.5 15.88-1.734 22.56L234.9 256l-87.08 101.6c-5.766 6.688-4.984 16.81 1.734 22.56C152.6 382.8 156.3 384 160 384c4.5 0 8.984-1.906 12.14-5.594L256 280.6l83.86 97.84C343 382.1 347.5 384 352 384c3.688 0 7.391-1.281 10.41-3.844c6.719-5.75 7.5-15.88 1.734-22.56L277.1 256l87.08-101.6C369.9 147.7 369.1 137.6 362.4 131.8z"],
    "circle-xmark": [512, 512, [61532, "times-circle", "xmark-circle"], "f057", "M180.7 180.7C186.9 174.4 197.1 174.4 203.3 180.7L256 233.4L308.7 180.7C314.9 174.4 325.1 174.4 331.3 180.7C337.6 186.9 337.6 197.1 331.3 203.3L278.6 256L331.3 308.7C337.6 314.9 337.6 325.1 331.3 331.3C325.1 337.6 314.9 337.6 308.7 331.3L256 278.6L203.3 331.3C197.1 337.6 186.9 337.6 180.7 331.3C174.4 325.1 174.4 314.9 180.7 308.7L233.4 256L180.7 203.3C174.4 197.1 174.4 186.9 180.7 180.7zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "circle-y": [512, 512, [], "e12f", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480zM355.9 149.6L256 266.1L156.1 149.6C150.4 142.9 140.3 142.2 133.6 147.8c-6.719 5.75-7.5 15.88-1.734 22.56L240 296.6V384c0 8.844 7.156 16 16 16s16-7.156 16-16V296.6l108.1-126.2c5.766-6.688 4.984-16.81-1.734-22.56C371.7 142.2 361.6 142.9 355.9 149.6z"],
    "circle-z": [512, 512, [], "e130", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480zM352 352H194.8l169.4-197.6c4.062-4.75 5-11.41 2.375-17.09C363.9 131.6 358.3 128 352 128H160C151.2 128 144 135.2 144 144S151.2 160 160 160h157.2l-169.4 197.6c-4.062 4.75-5 11.41-2.375 17.09C148.1 380.4 153.8 384 160 384h192c8.844 0 16-7.156 16-16S360.8 352 352 352z"],
    "citrus": [512, 512, [], "e2f4", "M463.9 151.1c-4.469-7.703-14.38-10.25-21.84-5.828c-7.656 4.422-10.28 14.2-5.844 21.86C454.4 199.5 464 235.4 464 272c0 114.7-93.31 208-208 208s-208-93.31-208-208S141.3 64 256 64c12.42 0 24.66 1.463 36.76 3.621C289.9 76.65 288 86.05 288 96v16C288 120.8 295.2 128 304 128H384c53.02 0 96-42.98 96-96V16c0-8.836-7.164-16-16-16H384c-31.23 0-58.71 15.16-76.25 38.26C290.8 34.52 273.6 31.1 256 31.1c-132.3 0-240 107.7-240 239.1S123.7 512 256 512s240-107.7 240-240C496 229.8 484.9 188.3 463.9 151.1zM384 32h64c0 35.29-28.71 64-64 64h-64C320 60.71 348.7 32 384 32z"],
    "citrus-slice": [512, 512, [], "e2f5", "M425.1 4.688C422.1 1.688 418 0 413.8 0c-4.25 0-8.314 1.688-11.31 4.688L4.689 402.4C1.688 405.4 0 409.5 0 413.8s1.688 8.314 4.689 11.32C62.64 483 138.8 512 214.9 512c76.15 0 152.3-28.98 210.2-86.93C540.1 309.2 540.1 120.6 425.1 4.688zM367.4 344.8l-83.94-83.94C293.8 244.1 297.4 226.1 294.9 208h120.1C416.7 256.7 400.9 305.5 367.4 344.8zM250.8 250.8C236.2 265.2 213 266.7 195.8 256.6l60.91-60.91C267.2 213.1 265.7 235.8 250.8 250.8zM218.8 296c15.18 0 29.66-4.42 42.09-12.54l84.48 84.48c-36.38 31.09-82.06 48.17-130.4 48.17c-2.342 0-4.578-.5313-6.906-.6113V294.1C211.6 295.4 215.1 296 218.8 296zM283.1 176c-.8594-1.293-2.045-2.414-2.99-3.666l87.87-87.86C390.9 111.4 404.1 143.1 411.4 176H283.1zM172.3 280.1C173.6 281.1 174.7 282.2 176 283.1v128.1c-33.71-6.623-65.12-21.55-91.55-44.14L172.3 280.1zM402.5 402.4c-99.56 99.62-259.4 103.3-363.5 10.97l22.84-22.84c42.48 37.1 96.16 57.55 153.1 57.55c62.27 0 120.8-24.26 164.9-68.32c87.11-87.11 90.54-226.4 10.74-317.1l22.86-22.86C505.7 143 502.1 302.8 402.5 402.4z"],
    "city": [640, 512, [127961], "f64f", "M96 64H160V16C160 7.164 167.2 0 176 0C184.8 0 192 7.164 192 16V80C192 88.84 184.8 96 176 96H64C46.33 96 32 110.3 32 128V448C32 465.7 46.33 480 64 480H192C200.8 480 208 487.2 208 496C208 504.8 200.8 512 192 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64V16C64 7.164 71.16 0 80 0C88.84 0 96 7.164 96 16V64zM320 344C320 330.7 330.7 320 344 320H392C405.3 320 416 330.7 416 344V392C416 405.3 405.3 416 392 416H344C330.7 416 320 405.3 320 392V344zM384 384V352H352V384H384zM392 64C405.3 64 416 74.75 416 88V136C416 149.3 405.3 160 392 160H344C330.7 160 320 149.3 320 136V88C320 74.75 330.7 64 344 64H392zM384 128V96H352V128H384zM320 216C320 202.7 330.7 192 344 192H392C405.3 192 416 202.7 416 216V264C416 277.3 405.3 288 392 288H344C330.7 288 320 277.3 320 264V216zM384 256V224H352V256H384zM504 448C490.7 448 480 437.3 480 424V376C480 362.7 490.7 352 504 352H552C565.3 352 576 362.7 576 376V424C576 437.3 565.3 448 552 448H504zM512 384V416H544V384H512zM480 248C480 234.7 490.7 224 504 224H552C565.3 224 576 234.7 576 248V296C576 309.3 565.3 320 552 320H504C490.7 320 480 309.3 480 296V248zM544 288V256H512V288H544zM512 64V160H576C611.3 160 640 188.7 640 224V448C640 483.3 611.3 512 576 512H288C252.7 512 224 483.3 224 448V64C224 28.65 252.7 0 288 0H448C483.3 0 512 28.65 512 64zM480 192V64C480 46.33 465.7 32 448 32H288C270.3 32 256 46.33 256 64V448C256 465.7 270.3 480 288 480H576C593.7 480 608 465.7 608 448V224C608 206.3 593.7 192 576 192H480zM88 352C74.75 352 64 341.3 64 328V280C64 266.7 74.75 256 88 256H136C149.3 256 160 266.7 160 280V328C160 341.3 149.3 352 136 352H88zM96 288V320H128V288H96zM64 152C64 138.7 74.75 128 88 128H136C149.3 128 160 138.7 160 152V200C160 213.3 149.3 224 136 224H88C74.75 224 64 213.3 64 200V152zM128 192V160H96V192H128z"],
    "clapperboard": [512, 512, [], "e131", "M448 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V96C512 60.65 483.3 32 448 32zM433.4 64l-96 96H230.6l96-96H433.4zM281.4 64l-96 96H78.63l96-96H281.4zM32 96c0-17.64 14.36-32 32-32h65.38l-96 96H32V96zM480 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V192h448V416zM480 160h-97.38l87.17-87.17C476 78.67 480 86.82 480 96V160z"],
    "clapperboard-play": [512, 512, [], "e132", "M448 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V96C512 60.65 483.3 32 448 32zM433.4 64l-96 96H230.6l96-96H433.4zM281.4 64l-96 96H78.63l96-96H281.4zM32 96c0-17.64 14.36-32 32-32h65.38l-96 96H32V96zM480 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V192h448V416zM480 160h-97.38l87.17-87.17C476 78.67 480 86.82 480 96V160zM205.6 412.5C209.6 414.8 214.1 416 218.7 416c5.125 0 10.16-1.511 14.38-4.276l106.6-68.94C347.4 337.8 352 329.3 352 319.1c0-9.281-4.628-17.81-12.35-22.8L233 228.3c-8.312-5.422-18.75-5.763-27.47-.7783C197.2 232.3 192 241.3 192 251v137.9C192 398.7 197.2 407.7 205.6 412.5zM224 260.5L315.1 320L224 379.5V260.5z"],
    "clarinet": [640, 512, [], "f8ad", "M272 231.1c-13.25 0-24 10.75-24 23.1c0 13.25 10.75 23.1 24 23.1S296 269.2 296 255.1C296 242.7 285.3 231.1 272 231.1zM616 111.1c-4.75 0-9.375 1.375-13.25 3.1l-66 43.1L480 159.1V127.1h16c8.801 0 16-7.199 16-15.1C512 103.2 504.8 96 496 96h-256C231.2 96 224 103.2 224 111.1c0 8.801 7.199 15.1 16 15.1H256v31.1L101.3 159.1c-3.5 0-6.875 .5015-10.12 1.625L21.82 184.8C8.821 189.1 0 201.4 0 215.1v81.82c0 13.77 8.81 26 21.87 30.37l69.25 23.12c3.25 1.125 6.625 1.625 10.12 1.625l435.5 .0001l66 43.1c7.375 4.875 16.75 5.375 24.62 1.125C635.1 392.1 640 384.9 640 375.1V135.1C640 122.7 629.3 111.1 616 111.1zM384 127.1h64v31.1l-64 .0002V127.1zM288 127.1h64v31.1L288 159.1V127.1zM608 360.1l-61.63-41L101.3 319.1L32 296.1v-81.1l69.25-22.1h445.1L608 150.1V360.1zM368 231.1c-13.25 0-24 10.75-24 23.1c0 13.25 10.75 23.1 24 23.1s24-10.75 24-23.1C392 242.7 381.3 231.1 368 231.1zM464 231.1c-13.25 0-24 10.75-24 23.1c0 13.25 10.75 23.1 24 23.1s24-10.75 24-23.1C488 242.7 477.3 231.1 464 231.1z"],
    "claw-marks": [576, 512, [], "f6c2", "M36.69 4.686C42.93-1.562 53.06-1.562 59.31 4.686L170.9 116.3C184.4 129.8 192 148.1 192 167.2V192H216.8C235.9 192 254.2 199.6 267.7 213.1L362.9 308.3C376.4 321.8 384 340.1 384 359.2V384H408.8C427.9 384 446.2 391.6 459.7 405.1L539.3 484.7C545.6 490.9 545.6 501.1 539.3 507.3C533.1 513.6 522.9 513.6 516.7 507.3L437.1 427.7C429.6 420.2 419.4 416 408.8 416H368C359.2 416 352 408.8 352 400V359.2C352 348.6 347.8 338.4 340.3 330.9L245.1 235.7C237.6 228.2 227.4 224 216.8 224H176C167.2 224 160 216.8 160 208V167.2C160 156.6 155.8 146.4 148.3 138.9L36.69 27.31C30.44 21.07 30.44 10.93 36.69 4.686V4.686zM36.69 228.7C42.93 222.4 53.06 222.4 59.31 228.7L141.3 310.6C153.3 322.6 160 338.9 160 355.9V384H188.1C205.1 384 221.4 390.7 233.4 402.7L315.3 484.7C321.6 490.9 321.6 501.1 315.3 507.3C309.1 513.6 298.9 513.6 292.7 507.3L210.7 425.4C204.7 419.4 196.6 416 188.1 416H143.1C135.2 416 127.1 408.8 127.1 400V355.9C127.1 347.4 124.6 339.3 118.6 333.3L36.69 251.3C30.44 245.1 30.44 234.9 36.69 228.7V228.7zM301.3 22.63C313.3 34.63 320 50.91 320 67.88V95.1H348.1C365.1 95.1 381.4 102.7 393.4 114.7L429.3 150.6C441.3 162.6 448 178.9 448 195.9V224H476.1C493.1 224 509.4 230.7 521.4 242.7L539.3 260.7C545.6 266.9 545.6 277.1 539.3 283.3C533.1 289.6 522.9 289.6 516.7 283.3L498.7 265.4C492.7 259.4 484.6 256 476.1 256H432C423.2 256 416 248.8 416 240V195.9C416 187.4 412.6 179.3 406.6 173.3L370.7 137.4C364.7 131.4 356.6 128 348.1 128H304C295.2 128 287.1 120.8 287.1 112V67.88C287.1 59.4 284.6 51.26 278.6 45.25L260.7 27.31C254.4 21.07 254.4 10.93 260.7 4.686C266.9-1.562 277.1-1.562 283.3 4.686L301.3 22.63z"],
    "clipboard": [384, 512, [128203], "f328", "M112 128h160C280.8 128 288 120.8 288 112S280.8 96 272 96h-24.88C252.6 86.55 256 75.72 256 64c0-35.35-28.65-64-64-64S128 28.65 128 64c0 11.72 3.379 22.55 8.877 32H112C103.2 96 96 103.2 96 112S103.2 128 112 128zM192 32c17.64 0 32 14.36 32 32s-14.36 32-32 32S160 81.64 160 64S174.4 32 192 32zM320 64c-8.844 0-16 7.156-16 16S311.2 96 320 96c17.64 0 32 14.34 32 32v320c0 17.66-14.36 32-32 32H64c-17.64 0-32-14.34-32-32V128c0-17.66 14.36-32 32-32c8.844 0 16-7.156 16-16S72.84 64 64 64C28.7 64 0 92.72 0 128v320c0 35.28 28.7 64 64 64h256c35.3 0 64-28.72 64-64V128C384 92.72 355.3 64 320 64z"],
    "clipboard-check": [384, 512, [], "f46c", "M320 64c-8.844 0-16 7.156-16 16S311.2 96 320 96c17.64 0 32 14.34 32 32v320c0 17.66-14.36 32-32 32H64c-17.64 0-32-14.34-32-32V128c0-17.66 14.36-32 32-32c8.844 0 16-7.156 16-16S72.84 64 64 64C28.7 64 0 92.72 0 128v320c0 35.28 28.7 64 64 64h256c35.3 0 64-28.72 64-64V128C384 92.72 355.3 64 320 64zM112 128h160C280.8 128 288 120.8 288 112S280.8 96 272 96h-24.88C252.6 86.55 256 75.72 256 64c0-35.35-28.65-64-64-64S128 28.65 128 64c0 11.72 3.379 22.55 8.877 32H112C103.2 96 96 103.2 96 112S103.2 128 112 128zM192 32c17.64 0 32 14.36 32 32s-14.36 32-32 32S160 81.64 160 64S174.4 32 192 32zM84.69 299.3l64 64C151.8 366.4 155.9 368 160 368s8.188-1.562 11.31-4.688l128-128c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0L160 329.4L107.3 276.7c-6.25-6.25-16.38-6.25-22.62 0S78.44 293.1 84.69 299.3z"],
    "clipboard-list": [384, 512, [], "f46d", "M112 128h160C280.8 128 288 120.8 288 112S280.8 96 272 96h-24.88C252.6 86.55 256 75.72 256 64c0-35.35-28.65-64-64-64S128 28.65 128 64c0 11.72 3.379 22.55 8.877 32H112C103.2 96 96 103.2 96 112S103.2 128 112 128zM192 32c17.64 0 32 14.36 32 32s-14.36 32-32 32S160 81.64 160 64S174.4 32 192 32zM320 64c-8.844 0-16 7.156-16 16S311.2 96 320 96c17.64 0 32 14.34 32 32v320c0 17.66-14.36 32-32 32H64c-17.64 0-32-14.34-32-32V128c0-17.66 14.36-32 32-32c8.844 0 16-7.156 16-16S72.84 64 64 64C28.7 64 0 92.72 0 128v320c0 35.28 28.7 64 64 64h256c35.3 0 64-28.72 64-64V128C384 92.72 355.3 64 320 64zM72 256c0 13.25 10.75 24 24 24c13.26 0 24-10.75 24-24c0-13.26-10.74-24-24-24C82.75 232 72 242.7 72 256zM96 328c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24c13.26 0 24-10.75 24-24C120 338.7 109.3 328 96 328zM304 240h-128C167.2 240 160 247.2 160 256s7.156 16 16 16h128C312.8 272 320 264.8 320 256S312.8 240 304 240zM304 336h-128C167.2 336 160 343.2 160 352s7.156 16 16 16h128c8.844 0 16-7.156 16-16S312.8 336 304 336z"],
    "clipboard-list-check": [384, 512, [], "f737", "M304 336h-128C167.2 336 160 343.2 160 352s7.156 16 16 16h128c8.844 0 16-7.156 16-16S312.8 336 304 336zM304 240h-96C199.2 240 192 247.2 192 256s7.156 16 16 16h96C312.8 272 320 264.8 320 256S312.8 240 304 240zM96 328c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24c13.26 0 24-10.75 24-24C120 338.7 109.3 328 96 328zM320 64c-8.844 0-16 7.156-16 16S311.2 96 320 96c17.64 0 32 14.34 32 32v320c0 17.66-14.36 32-32 32H64c-17.64 0-32-14.34-32-32V128c0-17.66 14.36-32 32-32c8.844 0 16-7.156 16-16S72.84 64 64 64C28.7 64 0 92.72 0 128v320c0 35.28 28.7 64 64 64h256c35.3 0 64-28.72 64-64V128C384 92.72 355.3 64 320 64zM112 128h160C280.8 128 288 120.8 288 112S280.8 96 272 96h-24.88C252.6 86.55 256 75.72 256 64c0-35.35-28.65-64-64-64S128 28.65 128 64c0 11.72 3.379 22.55 8.877 32H112C103.2 96 96 103.2 96 112S103.2 128 112 128zM192 32c17.64 0 32 14.36 32 32s-14.36 32-32 32S160 81.64 160 64S174.4 32 192 32zM68.25 229.2c-6 6.5-5.594 16.59 .9062 22.59l34.66 32C106.9 286.6 110.8 288 114.7 288c4.203 0 8.406-1.656 11.55-4.938l61.33-64c6.125-6.375 5.906-16.5-.4844-22.62c-6.359-6.094-16.48-5.906-22.61 .5L113.1 249.6L90.84 228.3C84.39 222.3 74.22 222.6 68.25 229.2z"],
    "clipboard-medical": [384, 512, [], "e133", "M112 128h160C280.8 128 288 120.8 288 112S280.8 96 272 96h-24.88C252.6 86.55 256 75.72 256 64c0-35.34-28.65-64-64-64S128 28.66 128 64c0 11.72 3.379 22.55 8.877 32H112C103.2 96 96 103.2 96 112S103.2 128 112 128zM192 32c17.64 0 32 14.36 32 32s-14.36 32-32 32S160 81.64 160 64S174.4 32 192 32zM320 64c-8.844 0-16 7.156-16 16S311.2 96 320 96c17.64 0 32 14.34 32 32v320c0 17.66-14.36 32-32 32H64c-17.64 0-32-14.34-32-32V128c0-17.66 14.36-32 32-32c8.844 0 16-7.156 16-16S72.84 64 64 64C28.7 64 0 92.72 0 128v320c0 35.28 28.7 64 64 64h256c35.3 0 64-28.72 64-64V128C384 92.72 355.3 64 320 64zM112 336H160V384c0 8.836 7.164 16 16 16h32c8.836 0 16-7.164 16-16v-48h48c8.836 0 16-7.164 16-16V288c0-8.836-7.164-16-16-16H224V224c0-8.836-7.164-16-16-16h-32C167.2 208 160 215.2 160 224v48H112C103.2 272 96 279.2 96 288v32C96 328.8 103.2 336 112 336z"],
    "clipboard-prescription": [384, 512, [], "f5e8", "M112 128h160C280.8 128 288 120.8 288 112S280.8 96 272 96h-24.88C252.6 86.55 256 75.72 256 64c0-35.35-28.65-64-64-64S128 28.65 128 64c0 11.72 3.379 22.55 8.877 32H112C103.2 96 96 103.2 96 112S103.2 128 112 128zM192 32c17.64 0 32 14.36 32 32s-14.36 32-32 32S160 81.64 160 64S174.4 32 192 32zM320 64c-8.844 0-16 7.156-16 16S311.2 96 320 96c17.64 0 32 14.34 32 32v320c0 17.66-14.36 32-32 32H64c-17.64 0-32-14.34-32-32V128c0-17.66 14.36-32 32-32c8.844 0 16-7.156 16-16S72.84 64 64 64C28.7 64 0 92.72 0 128v320c0 35.28 28.7 64 64 64h256c35.3 0 64-28.72 64-64V128C384 92.72 355.3 64 320 64zM80 352c0 8.844 7.156 16 16 16s16-7.156 16-16V304h41.38l64 64l-36.69 36.69c-6.25 6.25-6.25 16.38 0 22.62C183.8 430.4 187.9 432 192 432s8.188-1.562 11.31-4.688L240 390.6l36.69 36.69C279.8 430.4 283.9 432 288 432s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L262.6 368l36.69-36.69c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0L240 345.4l-44.68-44.68C221.1 292.4 240 268.5 240 240c0-35.28-28.7-64-64-64H96C87.16 176 80 183.2 80 192V352zM112 208h64c17.64 0 32 14.34 32 32s-14.36 32-32 32h-64V208z"],
    "clipboard-question": [384, 512, [], "e4e3", "M272 96C280.8 96 288 103.2 288 112C288 120.8 280.8 128 272 128H112C103.2 128 96 120.8 96 112C96 103.2 103.2 96 112 96H136.6C131.1 86.59 128 75.66 128 64C128 28.65 156.7 0 192 0C227.3 0 256 28.65 256 64C256 75.66 252.9 86.59 247.4 96H272zM192 32C174.3 32 160 46.33 160 64C160 81.67 174.3 96 192 96C209.7 96 224 81.67 224 64C224 46.33 209.7 32 192 32zM79.78 77.37C81.24 86.09 75.35 94.33 66.63 95.78L58.74 97.1C43.31 99.67 32 113 32 128.7V448C32 465.7 46.33 480 64 480H320C337.7 480 352 465.7 352 448V128.7C352 113 340.7 99.67 325.3 97.1L317.4 95.78C308.7 94.33 302.8 86.09 304.2 77.37C305.7 68.65 313.9 62.77 322.6 64.22L330.5 65.53C361.4 70.68 384 97.38 384 128.7V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V128.7C0 97.38 22.62 70.68 53.48 65.53L61.37 64.22C70.09 62.76 78.33 68.65 79.78 77.37zM104.7 233.8C111.2 209.2 133.4 192 158.9 192H216C251.5 192 280 221 280 256.3C280 280.3 266.6 302.5 245.1 313.4L208 332.3V352C208 360.8 200.8 368 192 368C183.2 368 176 360.8 176 352V322.5C176 316.5 179.4 311 184.7 308.3L230.5 284.9C241.2 279.5 248 268.3 248 256.3C248 238.5 233.6 224 216 224H158.9C147.1 224 138.4 231.4 135.7 241.9L135.5 242.6C133.2 251.1 124.5 256.3 115.9 254C107.4 251.8 102.3 243 104.5 234.5L104.7 233.8zM216 416C216 429.3 205.3 440 192 440C178.7 440 168 429.3 168 416C168 402.7 178.7 392 192 392C205.3 392 216 402.7 216 416z"],
    "clipboard-user": [384, 512, [], "f7f3", "M320 64c-8.844 0-16 7.156-16 16S311.2 96 320 96c17.64 0 32 14.34 32 32v320c0 17.66-14.36 32-32 32H64c-17.64 0-32-14.34-32-32V128c0-17.66 14.36-32 32-32c8.844 0 16-7.156 16-16S72.84 64 64 64C28.7 64 0 92.72 0 128v320c0 35.28 28.7 64 64 64h256c35.3 0 64-28.72 64-64V128C384 92.72 355.3 64 320 64zM112 128h160C280.8 128 288 120.8 288 112S280.8 96 272 96h-24.88C252.6 86.55 256 75.72 256 64c0-35.35-28.65-64-64-64S128 28.65 128 64c0 11.72 3.379 22.55 8.877 32H112C103.2 96 96 103.2 96 112S103.2 128 112 128zM192 32c17.64 0 32 14.36 32 32s-14.36 32-32 32S160 81.64 160 64S174.4 32 192 32zM80 416c0 8.836 7.164 16 16 16s16-7.164 16-16c0-26.51 21.49-48 48-48h64c26.51 0 48 21.49 48 48c0 8.836 7.164 16 16 16s16-7.164 16-16c0-44.18-35.82-80-80-80H160C115.8 336 80 371.8 80 416zM256 240c0-35.35-28.65-64-64-64s-64 28.65-64 64s28.65 64 64 64S256 275.3 256 240zM160 240c0-17.64 14.36-32 32-32s32 14.36 32 32s-14.36 32-32 32S160 257.6 160 240z"],
    "clock": [512, 512, [128339, "clock-four"], "f017", "M240 112C240 103.2 247.2 96 256 96C264.8 96 272 103.2 272 112V247.4L360.9 306.7C368.2 311.6 370.2 321.5 365.3 328.9C360.4 336.2 350.5 338.2 343.1 333.3L247.1 269.3C242.7 266.3 239.1 261.3 239.1 256L240 112zM256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256z"],
    "clock-desk": [448, 512, [], "e134", "M224 96C232.8 96 240 103.2 240 112V217.4L283.3 260.7C289.6 266.9 289.6 277.1 283.3 283.3C277.1 289.6 266.9 289.6 260.7 283.3L212.7 235.3C209.7 232.3 207.1 228.2 207.1 224V112C207.1 103.2 215.2 96 223.1 96H224zM224 0C347.7 0 448 100.3 448 224V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V224C0 100.3 100.3 0 224 0zM224 32C117.1 32 32 117.1 32 224C32 330 117.1 416 224 416C330 416 416 330 416 224C416 117.1 330 32 224 32zM416 339.4C376.8 404.5 305.5 448 224 448C142.5 448 71.2 404.5 32 339.4V448C32 465.7 46.33 480 64 480H384C401.7 480 416 465.7 416 448V339.4z"],
    "clock-eight": [512, 512, [], "e345", "M272 256C272 261.3 269.3 266.3 264.9 269.3L168.9 333.3C161.5 338.2 151.6 336.2 146.7 328.9C141.8 321.5 143.8 311.6 151.1 306.7L240 247.4V112C240 103.2 247.2 96 256 96C264.8 96 272 103.2 272 112V256zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "clock-eight-thirty": [512, 512, [], "e346", "M240 285.9L168.9 333.3C161.5 338.2 151.6 336.2 146.7 328.9C141.8 321.5 143.8 311.6 151.1 306.7L247.1 242.7C252 239.4 258.3 239.1 263.5 241.9C268.8 244.7 272 250.1 272 256V400C272 408.8 264.8 416 255.1 416C247.2 416 239.1 408.8 239.1 400L240 285.9zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480z"],
    "clock-eleven": [512, 512, [], "e347", "M240 112C240 103.2 247.2 96 256 96C264.8 96 272 103.2 272 112V256C272 263.1 267.4 269.3 260.6 271.3C253.9 273.4 246.6 270.7 242.7 264.9L178.7 168.9C173.8 161.5 175.8 151.6 183.1 146.7C190.5 141.8 200.4 143.8 205.3 151.1L239.1 203.2L240 112zM256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256z"],
    "clock-eleven-thirty": [512, 512, [], "e348", "M240 260.8L178.7 168.9C173.8 161.5 175.8 151.6 183.1 146.7C190.5 141.8 200.4 143.8 205.3 151.1L269.3 247.1C271.1 249.8 272 252.8 272 256V400C272 408.8 264.8 416 255.1 416C247.2 416 239.1 408.8 239.1 400L240 260.8zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480z"],
    "clock-five": [512, 512, [], "e349", "M272 251.2L333.3 343.1C338.2 350.5 336.2 360.4 328.9 365.3C321.5 370.2 311.6 368.2 306.7 360.9L242.7 264.9C240.9 262.2 240 259.2 240 255.1V111.1C240 103.2 247.2 95.1 256 95.1C264.8 95.1 272 103.2 272 111.1L272 251.2zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "clock-five-thirty": [512, 512, [], "e34a", "M272 400C272 408.8 264.8 416 256 416C247.2 416 240 408.8 240 400V256C240 248.9 244.6 242.7 251.4 240.7C258.1 238.6 265.4 241.3 269.3 247.1L333.3 343.1C338.2 350.5 336.2 360.4 328.9 365.3C321.5 370.2 311.6 368.2 306.7 360.9L272 308.8L272 400zM256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256z"],
    "clock-four-thirty": [512, 512, [], "e34b", "M272 400C272 408.8 264.8 416 256 416C247.2 416 240 408.8 240 400V256C240 250.1 243.2 244.7 248.5 241.9C253.7 239.1 259.1 239.4 264.9 242.7L360.9 306.7C368.2 311.6 370.2 321.5 365.3 328.9C360.4 336.2 350.5 338.2 343.1 333.3L272 285.9L272 400zM256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256z"],
    "clock-nine": [512, 512, [], "e34c", "M272 256C272 264.8 264.8 272 256 272H144C135.2 272 128 264.8 128 256C128 247.2 135.2 240 144 240H240V112C240 103.2 247.2 96 256 96C264.8 96 272 103.2 272 112V256zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "clock-nine-thirty": [512, 512, [], "e34d", "M272 400C272 408.8 264.8 416 256 416C247.2 416 240 408.8 240 400V272H144C135.2 272 128 264.8 128 256C128 247.2 135.2 240 144 240H256C264.8 240 272 247.2 272 256V400zM256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256z"],
    "clock-one": [512, 512, [], "e34e", "M272 203.2L306.7 151.1C311.6 143.8 321.5 141.8 328.9 146.7C336.2 151.6 338.2 161.5 333.3 168.9L269.3 264.9C265.4 270.7 258.1 273.4 251.4 271.3C244.6 269.3 239.1 263.1 239.1 256V112C239.1 103.2 247.2 96 255.1 96C264.8 96 272 103.2 272 112L272 203.2zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "clock-one-thirty": [512, 512, [], "e34f", "M272 400C272 408.8 264.8 416 256 416C247.2 416 240 408.8 240 400V256C240 252.8 240.9 249.8 242.7 247.1L306.7 151.1C311.6 143.8 321.5 141.8 328.9 146.7C336.2 151.6 338.2 161.5 333.3 168.9L272 260.8L272 400zM256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256z"],
    "clock-rotate-left": [512, 512, ["history"], "f1da", "M256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C172.2 512 97.87 471.8 51.19 409.6C45.88 402.5 47.31 392.5 54.37 387.2C61.44 381.9 71.47 383.3 76.78 390.4C117.7 444.8 182.7 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32C166.7 32 89.51 84.3 53.55 160H144C152.8 160 160 167.2 160 176C160 184.8 152.8 192 144 192H16C7.164 192 0 184.8 0 176V48C0 39.16 7.164 32 16 32C24.84 32 32 39.16 32 48V131.1C75.66 53.29 159.6 0 256 0zM256 128C264.8 128 272 135.2 272 144V249.4L347.3 324.7C353.6 330.9 353.6 341.1 347.3 347.3C341.1 353.6 330.9 353.6 324.7 347.3L244.7 267.3C241.7 264.3 239.1 260.2 239.1 256V144C239.1 135.2 247.2 128 255.1 128H256z"],
    "clock-seven": [512, 512, [], "e350", "M240 112C240 103.2 247.2 96 256 96C264.8 96 272 103.2 272 112V256C272 259.2 271.1 262.2 269.3 264.9L205.3 360.9C200.4 368.2 190.5 370.2 183.1 365.3C175.8 360.4 173.8 350.5 178.7 343.1L240 251.2L240 112zM256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256z"],
    "clock-seven-thirty": [512, 512, [], "e351", "M240 308.8L205.3 360.9C200.4 368.2 190.5 370.2 183.1 365.3C175.8 360.4 173.8 350.5 178.7 343.1L242.7 247.1C246.6 241.3 253.9 238.6 260.6 240.7C267.4 242.7 272 248.9 272 255.1V400C272 408.8 264.8 416 256 416C247.2 416 240 408.8 240 400L240 308.8zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480z"],
    "clock-six": [512, 512, [], "e352", "M272 368C272 376.8 264.8 384 256 384C247.2 384 240 376.8 240 368V112C240 103.2 247.2 96 256 96C264.8 96 272 103.2 272 112V368zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "clock-six-thirty": [512, 512, [], "e353", "M272 400C272 408.8 264.8 416 256 416C247.2 416 240 408.8 240 400V256C240 247.2 247.2 240 256 240C264.8 240 272 247.2 272 256V400zM256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256z"],
    "clock-ten": [512, 512, [], "e354", "M240 112C240 103.2 247.2 96 256 96C264.8 96 272 103.2 272 112V256C272 261.9 268.8 267.3 263.5 270.1C258.3 272.9 252 272.6 247.1 269.3L151.1 205.3C143.8 200.4 141.8 190.5 146.7 183.1C151.6 175.8 161.5 173.8 168.9 178.7L240 226.1L240 112zM256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256z"],
    "clock-ten-thirty": [512, 512, [], "e355", "M272 400C272 408.8 264.8 416 256 416C247.2 416 240 408.8 240 400V264.6L151.1 205.3C143.8 200.4 141.8 190.5 146.7 183.1C151.6 175.8 161.5 173.8 168.9 178.7L264.9 242.7C269.3 245.7 272 250.6 272 255.1V400zM256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256z"],
    "clock-three": [512, 512, [], "e356", "M240 112C240 103.2 247.2 96 256 96C264.8 96 272 103.2 272 112V240H368C376.8 240 384 247.2 384 256C384 264.8 376.8 272 368 272H256C247.2 272 240 264.8 240 256V112zM256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256z"],
    "clock-three-thirty": [512, 512, [], "e357", "M240 256C240 247.2 247.2 240 256 240H368C376.8 240 384 247.2 384 256C384 264.8 376.8 272 368 272H272V400C272 408.8 264.8 416 256 416C247.2 416 240 408.8 240 400V256zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480z"],
    "clock-twelve": [512, 512, [], "e358", "M272 256C272 264.8 264.8 272 256 272C247.2 272 240 264.8 240 256V112C240 103.2 247.2 96 256 96C264.8 96 272 103.2 272 112V256zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "clock-twelve-thirty": [512, 512, [], "e359", "M272 400C272 408.8 264.8 416 256 416C247.2 416 240 408.8 240 400V144C240 135.2 247.2 128 256 128C264.8 128 272 135.2 272 144V400zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "clock-two": [512, 512, [], "e35a", "M272 226.1L343.1 178.7C350.5 173.8 360.4 175.8 365.3 183.1C370.2 190.5 368.2 200.4 360.9 205.3L264.9 269.3C259.1 272.6 253.7 272.9 248.5 270.1C243.2 267.3 240 261.9 240 255.1V111.1C240 103.2 247.2 95.1 256 95.1C264.8 95.1 272 103.2 272 111.1L272 226.1zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "clock-two-thirty": [512, 512, [], "e35b", "M240 256C240 250.7 242.7 245.7 247.1 242.7L343.1 178.7C350.5 173.8 360.4 175.8 365.3 183.1C370.2 190.5 368.2 200.4 360.9 205.3L272 264.6V400C272 408.8 264.8 416 256 416C247.2 416 240 408.8 240 400L240 256zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480z"],
    "clone": [512, 512, [], "f24d", "M64 480H288C305.7 480 320 465.7 320 448V400C320 391.2 327.2 384 336 384C344.8 384 352 391.2 352 400V448C352 483.3 323.3 512 288 512H64C28.65 512 0 483.3 0 448V224C0 188.7 28.65 160 64 160H112C120.8 160 128 167.2 128 176C128 184.8 120.8 192 112 192H64C46.33 192 32 206.3 32 224V448C32 465.7 46.33 480 64 480zM160 64C160 28.65 188.7 0 224 0H448C483.3 0 512 28.65 512 64V288C512 323.3 483.3 352 448 352H224C188.7 352 160 323.3 160 288V64zM224 320H448C465.7 320 480 305.7 480 288V64C480 46.33 465.7 32 448 32H224C206.3 32 192 46.33 192 64V288C192 305.7 206.3 320 224 320z"],
    "closed-captioning": [576, 512, [], "f20a", "M248.9 210.7c6.25 6.25 16.37 6.25 22.62 0s6.25-16.38 0-22.62c-36.25-36.25-99.5-36.25-135.7 0c-37.42 37.44-37.42 98.31 0 135.8c18.12 18.13 42.23 28.12 67.87 28.12s49.75-9.1 67.87-28.12c6.25-6.25 6.25-16.38 0-22.62s-16.37-6.25-22.62 0c-24.19 24.19-66.31 24.19-90.5 0c-24.95-24.94-24.95-65.56 0-90.5C182.6 186.6 224.8 186.6 248.9 210.7zM440.9 210.7c6.25 6.25 16.37 6.25 22.62 0s6.25-16.38 0-22.62c-36.25-36.25-99.5-36.25-135.7 0c-37.42 37.44-37.42 98.31 0 135.8c18.12 18.13 42.23 28.12 67.87 28.12c25.64 0 49.75-9.1 67.87-28.12c6.25-6.25 6.25-16.38 0-22.62s-16.37-6.25-22.62 0c-24.19 24.19-66.31 24.19-90.5 0c-24.95-24.94-24.95-65.56 0-90.5C374.6 186.6 416.8 186.6 440.9 210.7zM512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM544 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h448c17.64 0 32 14.36 32 32V416z"],
    "closed-captioning-slash": [640, 512, [], "e135", "M495.6 188.1c-36.25-36.25-99.5-36.25-135.8 0c-3.355 3.357-6.055 7.094-8.809 10.79l24.99 19.73c1.973-2.729 3.99-5.439 6.447-7.895c24.19-24.19 66.31-24.19 90.5 0c6.25 6.25 16.38 6.25 22.62 0S501.8 194.4 495.6 188.1zM544 64c17.64 0 32 14.36 32 32v280.5l32 25.26V95.1c0-35.35-28.65-64-64-64L139.6 32l40.53 32H544zM96 448c-17.64 0-32-14.36-32-32V135.4L32 110.2v305.8c0 35.35 28.65 64 64 64L500.4 480l-40.53-32H96zM153.9 206.4c-22.36 36.92-17.89 85.64 13.96 117.5c18.12 18.12 42.23 28.12 67.88 28.12c25.45 0 49.37-9.898 67.45-27.77l-25.62-20.22c-24.56 21.13-63.94 20.38-87.08-2.758C170.2 281 166.7 250.6 179.3 226.4L153.9 206.4zM633.9 483.4l-608-480c-6.938-5.453-17-4.25-22.48 2.641c-5.469 6.938-4.281 17 2.641 22.48l608 480C617 510.9 620.5 512 623.1 512c4.734 0 9.422-2.094 12.58-6.078C642 498.1 640.8 488.9 633.9 483.4z"],
    "clothes-hanger": [640, 512, [], "e136", "M608.5 387.3l-267.3-168.8l32.06-21.38C400 179.2 416 149.3 416 117.2V96c0-52.94-43.06-96-96-96S224 43.06 224 96c0 8.844 7.156 16 16 16S256 104.8 256 96c0-35.28 28.72-64 64-64s64 28.72 64 64v21.19c0 21.44-10.66 41.34-28.5 53.25L30.09 387.4C11.25 399.9 0 420.1 0 444.4C0 481.7 30.31 512 67.56 512h504.9C609.7 512 640 481.7 640 444.4C640 421.1 628.2 399.8 608.5 387.3zM572.4 480H67.56C47.97 480 32 464 32 443.6c0-11.91 5.938-22.97 15.84-29.59l264.2-176.1l279.4 176.5C601.8 420.9 608 432.2 608 444.4C608 464 592 480 572.4 480z"],
    "cloud": [640, 512, [9729], "f0c2", "M464 96C525.9 96 576 146.1 576 208C576 218.7 574.5 228.1 571.7 238.8C612.3 260.2 640 302.9 640 352C640 422.7 582.7 480 512 480H144C64.47 480 0 415.5 0 336C0 273.2 40.15 219.9 96.17 200.1C100.3 106.6 177.4 32 272 32C331.5 32 384.1 61.55 416 106.8C430.5 99.87 446.8 96 464 96zM429.7 135.7C415.7 142.4 398.8 137.9 389.8 125.2C363.7 88.12 320.7 64 272 64C194.6 64 131.5 125 128.1 201.5C127.6 214.6 119.1 225.1 106.8 230.3C63.18 245.7 32 287.2 32 336C32 397.9 82.14 448 144 448H512C565 448 608 405 608 352C608 315.2 587.3 283.2 556.8 267.1C543.4 259.1 536.8 244.5 540.9 229.1C542.9 223 544 215.7 544 208C544 163.8 508.2 128 464 128C451.7 128 440.1 130.8 429.7 135.7V135.7z"],
    "cloud-arrow-down": [640, 512, [62337, "cloud-download", "cloud-download-alt"], "f0ed", "M228.7 299.3C222.4 293.1 222.4 282.9 228.7 276.7C234.9 270.4 245.1 270.4 251.3 276.7L304 329.4V176C304 167.2 311.2 160 320 160C328.8 160 336 167.2 336 176V329.4L388.7 276.7C394.9 270.4 405.1 270.4 411.3 276.7C417.6 282.9 417.6 293.1 411.3 299.3L331.3 379.3C325.1 385.6 314.9 385.6 308.7 379.3L228.7 299.3zM272 32C331.5 32 384.1 61.55 416 106.8C430.5 99.87 446.8 96 464 96C525.9 96 576 146.1 576 208C576 218.7 574.5 228.1 571.7 238.8C612.3 260.2 640 302.9 640 352C640 422.7 582.7 480 512 480H144C64.47 480 0 415.5 0 336C0 273.2 40.15 219.9 96.17 200.1C100.3 106.6 177.4 32 272 32zM272 64C194.6 64 131.5 125 128.1 201.5C127.6 214.6 119.1 225.1 106.8 230.3C63.18 245.7 32 287.2 32 336C32 397.9 82.14 448 144 448H512C565 448 608 405 608 352C608 315.2 587.3 283.2 556.8 267.1C543.4 259.1 536.8 244.5 540.9 229.1C542.9 223 544 215.7 544 208C544 163.8 508.2 128 464 128C451.7 128 440.1 130.8 429.7 135.7C415.7 142.4 398.8 137.9 389.8 125.2C363.7 88.12 320.7 64 272 64V64z"],
    "cloud-arrow-up": [640, 512, [62338, "cloud-upload", "cloud-upload-alt"], "f0ee", "M308.7 164.7C314.9 158.4 325.1 158.4 331.3 164.7L411.3 244.7C417.6 250.9 417.6 261.1 411.3 267.3C405.1 273.6 394.9 273.6 388.7 267.3L336 214.6V368C336 376.8 328.8 384 320 384C311.2 384 304 376.8 304 368V214.6L251.3 267.3C245.1 273.6 234.9 273.6 228.7 267.3C222.4 261.1 222.4 250.9 228.7 244.7L308.7 164.7zM272 32C331.5 32 384.1 61.55 416 106.8C430.5 99.87 446.8 96 464 96C525.9 96 576 146.1 576 208C576 218.7 574.5 228.1 571.7 238.8C612.3 260.2 640 302.9 640 352C640 422.7 582.7 480 512 480H144C64.47 480 0 415.5 0 336C0 273.2 40.15 219.9 96.17 200.1C100.3 106.6 177.4 32 272 32zM272 64C194.6 64 131.5 125 128.1 201.5C127.6 214.6 119.1 225.1 106.8 230.3C63.18 245.7 32 287.2 32 336C32 397.9 82.14 448 144 448H512C565 448 608 405 608 352C608 315.2 587.3 283.2 556.8 267.1C543.4 259.1 536.8 244.5 540.9 229.1C542.9 223 544 215.7 544 208C544 163.8 508.2 128 464 128C451.7 128 440.1 130.8 429.7 135.7C415.7 142.4 398.8 137.9 389.8 125.2C363.7 88.12 320.7 64 272 64V64z"],
    "cloud-bolt": [512, 512, [127785, "thunderstorm"], "f76c", "M415.8 112.3C411.8 67.38 373.9 32 328 32c-17.75 0-34.75 5.25-49.25 15.25c-33.6-44.05-94.5-61.9-151.1-33.58C87.9 33.56 64 75.55 64 120v.375C20.27 138.7-7.123 185.1 1.625 234.3C10.58 284.8 56.91 320 108.2 320H144C152.8 320 160 312.8 160 304C160 295.2 152.8 288 144 288H106C75 288 46.09 269.2 36.04 239.9C21.95 198.8 46.26 157.3 85.25 146.8l13.38-3.5L96.63 126C96.25 124 96 122 96 120C96 71.5 135.5 32 184 32c32.25 0 61.75 17.88 77.25 46.75l10.5 19.88l15.25-16.5c14.78-15.97 36.25-22.01 58.14-15.62c21.26 6.211 35.74 26.08 38.37 48.07c.7266 6.084 .6387 5.52-.2637 12.29l-2.5 20l23.5-2.375C405.4 144.3 406.8 144.1 408 144.1c39.75 0 72 32.25 72 72c0 38-29.75 68.88-67 71.5l-77.1 .2773C327.3 287.1 320 294.9 320 304c0 8.836 7.164 16 16 16h67.9c55.77 0 104.6-42.09 107.9-97.76C515.2 164.7 471.4 116.4 415.8 112.3zM320 352H227.3l88.78-101.5c5.844-6.656 5.156-16.75-1.5-22.56c-6.625-5.781-16.72-5.188-22.56 1.5l-112 128c-4.156 4.719-5.125 11.44-2.531 17.16S185.7 384 192 384h92.75l-88.78 101.5c-5.844 6.656-5.156 16.75 1.5 22.56C200.5 510.7 204.3 512 208 512c4.438 0 8.875-1.844 12.03-5.469l112-128c4.156-4.719 5.125-11.44 2.531-17.16S326.3 352 320 352z"],
    "cloud-bolt-moon": [576, 512, ["thunderstorm-moon"], "f76d", "M272 352H179.3l88.78-101.5c5.844-6.656 5.156-16.75-1.5-22.56c-6.625-5.812-16.75-5.188-22.56 1.5l-112 128c-4.156 4.719-5.125 11.44-2.531 17.16S137.7 384 144 384h92.75l-88.78 101.5c-5.844 6.656-5.156 16.75 1.5 22.56C152.5 510.7 156.3 512 160 512c4.438 0 8.875-1.844 12.03-5.469l112-128c4.156-4.719 5.125-11.44 2.531-17.16S278.3 352 272 352zM573.9 237.5c-3.625-7.75-11.5-12.62-19.88-12.62c-5.189 0-10.05 2.25-23.12 2.25c-54.38 0-98.63-44-98.63-98.25c0-35.13 19.12-67.88 50-85.25c8.25-4.625 12.5-13.62 11-22.88c-1.625-9.25-8.5-16.25-17.88-18C465.8 .875 455.8 0 446 0c-67.13 0-123.6 41.38-147.8 99.5c10.25 2.5 20 6.25 29 11.38C346.4 65.25 391.3 32.88 443.8 32c-27.25 24.38-43.5 59.63-43.5 96.75c0 70.75 57 128.5 127.6 130.1c-22.25 18.25-50.25 28.38-79.75 28.88c0 11-1.5 21.88-4.125 32c18.44 0 80.19-1.766 127.1-59C576.4 254.3 577.5 245.3 573.9 237.5zM351.3 197.3C345.1 158.3 312.5 128 272 128C263.4 128 255 129.4 246.8 132.3C227.1 109.4 198.6 96 168 96C111.5 96 65.25 141.3 64 197.6C26.25 210.9 0 246.9 0 288c0 46.47 33.31 85.41 77.28 94.16C87.01 384.1 96 376.3 96 366.4v-.5469c0-7.334-4.93-13.97-12.1-15.51c-26.36-5.676-47.86-26.55-51.37-54C28.18 262.3 51.05 231.5 84 225.3l.5-.0996c7.918-1.576 13.31-8.977 12.42-17C96.4 203.5 96.57 205.7 96.16 197.7C97.35 159 129.1 128 168.1 128c24.25 0 46.75 12.25 60.13 32.75l.2676 .4102C232.1 167.1 241.9 170.2 249.1 166.3c32.75-17.88 71.07 7.951 71.19 40.2l-.0508 3.258c-.1152 7.521 5.17 14.04 12.55 15.49C362.6 231.3 384.1 257.6 384.1 288c-.1094 30.99-22.34 56.96-51.67 62.78C325.1 352.2 320 358.9 320 366.4c0 9.924 8.986 17.74 18.72 15.81C382.7 373.4 416 334.5 416 288C416 246.8 389.4 210.4 351.3 197.3z"],
    "cloud-bolt-sun": [640, 512, ["thunderstorm-sun"], "f76e", "M496 352h-92.73l88.78-101.5c5.812-6.656 5.141-16.75-1.516-22.56c-6.641-5.844-16.73-5.219-22.58 1.5l-112 128c-4.125 4.719-5.125 11.44-2.516 17.16C356 380.3 361.7 384 368 384h92.73l-88.78 101.5c-5.812 6.656-5.141 16.75 1.516 22.56C376.5 510.7 380.3 512 384 512c4.453 0 8.875-1.844 12.05-5.469l112-128c4.125-4.719 5.125-11.44 2.516-17.16C507.1 355.7 502.3 352 496 352zM575.3 197.3C569.1 158.3 536.5 128 496 128c-8.625 0-17 1.375-25.25 4.25C451.1 109.4 422.6 96 392 96C335.5 96 289.3 141.3 288 197.6C250.3 210.9 224 246.9 224 288c0 46.47 33.31 85.41 77.28 94.16C311 384.1 320 376.3 320 366.4v-.5469c0-7.334-4.928-13.97-12.1-15.51c-26.36-5.674-47.86-26.55-51.37-54C252.2 262.3 275 231.5 308 225.3l.5-.0996c7.918-1.578 13.31-8.979 12.42-17c-.5215-4.684-.3516-2.469-.7598-10.41C321.4 159 353.1 128 392.1 128c24.25 0 46.75 12.25 60.13 32.75l.291 .4473c4.438 6.799 13.36 9.033 20.48 5.123l.3555-.1953c32.75-17.88 70.75 8.125 70.88 40.38l-.0508 3.258c-.1152 7.521 5.17 14.04 12.55 15.49C586.6 231.3 608.1 257.6 608.1 288c-.1094 30.99-22.34 56.96-51.67 62.78C549.1 352.2 544 358.9 544 366.4c0 9.922 8.986 17.74 18.72 15.8C606.7 373.4 640 334.5 640 288C640 246.8 613.4 210.4 575.3 197.3zM160.3 291.8c-3.5-5.375-9.875-8.125-16.38-6.875L87.88 296L99 240c1.25-6.375-1.375-12.75-6.75-16.38l-47.5-31.88L92.25 160c5.375-3.625 8-10.12 6.75-16.38l-11.12-56l56 11.12C150.4 100 156.8 97.25 160.3 91.88L192 44.38l31.75 47.5c3.625 5.375 10 8.125 16.5 6.875L319.6 83c8.625-1.75 14.25-10.12 12.62-18.75c-1.75-8.75-10.38-14.5-18.88-12.62L244.5 65.25l-39.25-58.5c-5.875-9-20.5-9-26.5 0l-39.13 58.5l-69-13.75C65.25 50.38 59.88 52.13 56.25 55.88c-3.875 3.875-5.5 9.25-4.5 14.5l13.75 69L7.125 178.5C2.75 181.5 0 186.4 0 191.8s2.75 10.38 7.125 13.38L65.5 244.3l-13.75 69c-1 5.25 .625 10.62 4.5 14.5c3.75 3.75 9 5.5 14.38 4.375L139.5 318.4l39.13 58.5C181.8 381.5 186.8 384 191.9 384c3.125 0 6.25-.875 8.875-2.75c7.375-4.875 9.375-14.88 4.5-22.12L160.3 291.8zM192 140c26.38 0 48 20 51.13 45.63C247.9 182 252.9 178.8 258.3 175.8c1.5-8.5 3.875-16.5 6.75-24.38C250.8 125.8 223.5 108 192 108c-46.25 0-83.75 37.63-83.75 83.75C108.3 238 145.8 275.6 192 275.6c.25 0 .625-.125 .875-.125c1.125-11.38 3.75-22.38 7.75-32.75C197.8 243.3 195 243.6 192.1 243.6c-28.5 0-51.75-23.25-51.75-51.75C140.3 163.3 163.5 140 192 140z"],
    "cloud-check": [640, 512, [], "e35c", "M299.3 363.3C293.1 369.6 282.9 369.6 276.7 363.3L212.7 299.3C206.4 293.1 206.4 282.9 212.7 276.7C218.9 270.4 229.1 270.4 235.3 276.7L288 329.4L404.7 212.7C410.9 206.4 421.1 206.4 427.3 212.7C433.6 218.9 433.6 229.1 427.3 235.3L299.3 363.3zM272 32C331.5 32 384.1 61.55 416 106.8C430.5 99.87 446.8 96 464 96C525.9 96 576 146.1 576 208C576 218.7 574.5 228.1 571.7 238.8C612.3 260.2 640 302.9 640 352C640 422.7 582.7 480 512 480H144C64.47 480 0 415.5 0 336C0 273.2 40.15 219.9 96.17 200.1C100.3 106.6 177.4 32 272 32zM272 64C194.6 64 131.5 125 128.1 201.5C127.6 214.6 119.1 225.1 106.8 230.3C63.18 245.7 32 287.2 32 336C32 397.9 82.14 448 144 448H512C565 448 608 405 608 352C608 315.2 587.3 283.2 556.8 267.1C543.4 259.1 536.8 244.5 540.9 229.1C542.9 223 544 215.7 544 208C544 163.8 508.2 128 464 128C451.7 128 440.1 130.8 429.7 135.7C415.7 142.4 398.8 137.9 389.8 125.2C363.7 88.12 320.7 64 272 64V64z"],
    "cloud-drizzle": [512, 512, [], "f738", "M48 360c-8.75 0-16 7.25-16 16V416c0 8.75 7.25 16 16 16S64 424.8 64 416v-40C64 367.3 56.75 360 48 360zM240 360c-8.75 0-16 7.25-16 16V416c0 8.75 7.25 16 16 16S256 424.8 256 416v-40C256 367.3 248.8 360 240 360zM144 440c-8.75 0-16 7.25-16 16v40C128 504.8 135.3 512 144 512S160 504.8 160 496v-40C160 447.3 152.8 440 144 440zM432 360c-8.75 0-16 7.25-16 16V416c0 8.75 7.25 16 16 16S448 424.8 448 416v-40C448 367.3 440.8 360 432 360zM336 440c-8.75 0-16 7.25-16 16v40c0 8.75 7.25 16 16 16s16-7.25 16-16v-40C352 447.3 344.8 440 336 440zM414.7 112.2C407.2 66.75 367.6 32 320 32c-18.97 0-37.09 5.469-52.59 15.69C246.7 18.22 212.6 0 176 0C114.3 0 64 50.25 64 112c0 2.719 .0938 5.438 .3125 8.188C25.84 136.1 0 173.7 0 216C0 273.3 46.66 320 104 320h304C465.3 320 512 273.3 512 216C512 160.9 468.9 115.7 414.7 112.2zM408 288h-304C64.31 288 32 255.7 32 216c0-32.59 22.19-61.13 53.97-69.38c8.219-2.156 13.34-10.34 11.66-18.66C96.56 122.8 96 117.5 96 112C96 67.88 131.9 32 176 32c30.97 0 59.41 18.31 72.47 46.63c2.188 4.781 6.594 8.188 11.78 9.062c5.188 1.094 10.47-.75 14.16-4.531C286.6 70.81 302.8 64 320 64c35.28 0 64 28.72 64 64c0 8.844 7.156 16 16 16h8C447.7 144 480 176.3 480 216S447.7 288 408 288z"],
    "cloud-exclamation": [640, 512, [], "e491", "M320 160C328.8 160 336 167.2 336 176V304C336 312.8 328.8 320 320 320C311.2 320 304 312.8 304 304V176C304 167.2 311.2 160 320 160zM344 384C344 397.3 333.3 408 320 408C306.7 408 296 397.3 296 384C296 370.7 306.7 360 320 360C333.3 360 344 370.7 344 384zM272 32C331.5 32 384.1 61.55 416 106.8C430.5 99.87 446.8 96 464 96C525.9 96 576 146.1 576 208C576 218.7 574.5 228.1 571.7 238.8C612.3 260.2 640 302.9 640 352C640 422.7 582.7 480 512 480H144C64.47 480 0 415.5 0 336C0 273.2 40.15 219.9 96.17 200.1C100.3 106.6 177.4 32 272 32zM272 64C194.6 64 131.5 125 128.1 201.5C127.6 214.6 119.1 225.1 106.8 230.3C63.18 245.7 32 287.2 32 336C32 397.9 82.14 448 144 448H512C565 448 608 405 608 352C608 315.2 587.3 283.2 556.8 267.1C543.4 259.1 536.8 244.5 540.9 229.1C542.9 223 544 215.7 544 208C544 163.8 508.2 128 464 128C451.7 128 440.1 130.8 429.7 135.7C415.7 142.4 398.8 137.9 389.8 125.2C363.7 88.12 320.7 64 272 64V64z"],
    "cloud-fog": [640, 512, [127787, "fog"], "f74e", "M168 320h304C529.3 320 576 273.3 576 216c0-54.75-42.63-99.75-96.25-103.8C475.8 67.38 437.9 32 392 32c-17.75 0-34.75 5.25-49.25 15.25C320.3 17.75 285.5 0 248 0C181.8 0 128 53.75 128 120v.375c-38.25 16-64 53.5-64 95.63C64 273.3 110.8 320 168 320zM149.3 146.8c7.666-2.006 12.7-9.352 11.79-17.22C160.4 123.6 160 122.1 160 120C160 71.5 199.5 32 248 32c32.25 0 61.75 17.88 77.25 46.75c5.123 9.699 18.3 11.43 25.75 3.375c12.77-13.8 30.54-20.19 49.26-17.54c25.35 3.584 44.32 25.31 47.34 50.74c.6309 5.309 .5137 5.066-.3516 11.55c-1.268 10.14 7.193 19.02 17.36 17.99C470.2 144.3 469.8 144.1 472 144.1c39.75 0 72 32.25 72 72c0 39.63-32.25 72-72 72h-304c-39.75 0-72-32.38-72-72C96 183.8 117.9 155.3 149.3 146.8zM208 480h-128C71.2 480 64 487.2 64 496S71.2 512 80 512h128C216.8 512 224 504.8 224 496S216.8 480 208 480zM624 480h-320C295.2 480 288 487.2 288 496S295.2 512 304 512h320c8.801 0 16-7.199 16-16S632.8 480 624 480zM576 400C576 391.2 568.8 384 560 384h-544C7.201 384 0 391.2 0 399.1S7.201 416 16 416h544C568.8 416 576 408.8 576 400z"],
    "cloud-hail": [512, 512, [], "f739", "M56 464C42.75 464 32 474.8 32 488S42.75 512 56 512s24-10.75 24-24S69.25 464 56 464zM184 464C170.8 464 160 474.8 160 488S170.8 512 184 512s24-10.75 24-24S197.3 464 184 464zM248 368C234.8 368 224 378.8 224 392S234.8 416 248 416s24-10.75 24-24S261.3 368 248 368zM120 368C106.8 368 96 378.8 96 392S106.8 416 120 416s24-10.75 24-24S133.3 368 120 368zM376 368c-13.25 0-24 10.75-24 24S362.8 416 376 416s24-10.75 24-24S389.3 368 376 368zM312 464c-13.25 0-24 10.75-24 24S298.8 512 312 512s24-10.75 24-24S325.3 464 312 464zM414.7 112.2C407.2 66.75 367.6 32 320 32c-18.97 0-37.09 5.469-52.59 15.69C246.7 18.22 212.6 0 176 0C114.3 0 64 50.25 64 112c0 2.719 .0938 5.438 .3125 8.188C25.84 136.1 0 173.7 0 216C0 273.3 46.66 320 104 320h304C465.3 320 512 273.3 512 216C512 160.9 468.9 115.7 414.7 112.2zM408 288h-304C64.31 288 32 255.7 32 216c0-32.59 22.19-61.13 53.97-69.38c8.219-2.156 13.34-10.34 11.66-18.66C96.56 122.8 96 117.5 96 112C96 67.88 131.9 32 176 32c30.97 0 59.41 18.31 72.47 46.63c2.188 4.781 6.594 8.188 11.78 9.062c5.188 1.094 10.47-.75 14.16-4.531C286.6 70.81 302.8 64 320 64c35.28 0 64 28.72 64 64c0 8.844 7.156 16 16 16h8C447.7 144 480 176.3 480 216S447.7 288 408 288z"],
    "cloud-hail-mixed": [512, 512, [], "f73a", "M183.9 370.1c-7.625-4.375-17.38-1.875-21.75 6l-64 112c-4.375 7.625-1.75 17.5 6 21.75C106.6 511.3 109.3 512 112 512c5.5 0 10.88-2.875 13.88-8.125l64-112C194.3 384.3 191.6 374.5 183.9 370.1zM279.3 369.8c-8-4-17.5-.875-21.5 7.125l-16 32c-4 7.875-.875 17.5 7.125 21.5c2.375 1.125 4.875 1.75 7.25 1.75c5.75 0 11.5-3.25 14.25-8.875l16-32C290.3 383.3 287.1 373.6 279.3 369.8zM216 464C202.8 464 192 474.8 192 488S202.8 512 216 512s24-10.75 24-24S229.3 464 216 464zM87.25 369.8c-8-4-17.5-.875-21.5 7.125l-16 32c-4 7.875-.875 17.5 7.125 21.5c2.375 1.125 4.875 1.75 7.25 1.75c5.75 0 11.5-3.25 14.25-8.875l16-32C98.25 383.3 95.13 373.6 87.25 369.8zM24 464C10.75 464 0 474.8 0 488S10.75 512 24 512s24-10.75 24-24S37.25 464 24 464zM471.3 369.8c-8-4-17.5-.875-21.5 7.125l-16 32c-4 7.875-.875 17.5 7.125 21.5c2.375 1.125 4.875 1.75 7.25 1.75c5.75 0 11.5-3.25 14.25-8.875l16-32C482.3 383.3 479.1 373.6 471.3 369.8zM375.9 370.1c-7.625-4.375-17.38-1.875-21.75 6l-64 112c-4.375 7.625-1.75 17.5 6 21.75C298.6 511.3 301.3 512 304 512c5.5 0 10.88-2.875 13.88-8.125l64-112C386.3 384.3 383.6 374.5 375.9 370.1zM408 464c-13.25 0-24 10.75-24 24S394.8 512 408 512s24-10.75 24-24S421.3 464 408 464zM414.7 112.2C407.2 66.75 367.6 32 320 32c-18.97 0-37.09 5.469-52.59 15.69C246.7 18.22 212.6 0 176 0C114.3 0 64 50.25 64 112c0 2.719 .0938 5.438 .3125 8.188C25.84 136.1 0 173.7 0 216C0 273.3 46.66 320 104 320h304C465.3 320 512 273.3 512 216C512 160.9 468.9 115.7 414.7 112.2zM408 288h-304C64.31 288 32 255.7 32 216c0-32.59 22.19-61.13 53.97-69.38c8.219-2.156 13.34-10.34 11.66-18.66C96.56 122.8 96 117.5 96 112C96 67.88 131.9 32 176 32c30.97 0 59.41 18.31 72.47 46.63c2.188 4.781 6.594 8.188 11.78 9.062c5.188 1.094 10.47-.75 14.16-4.531C286.6 70.81 302.8 64 320 64c35.28 0 64 28.72 64 64c0 8.844 7.156 16 16 16h8C447.7 144 480 176.3 480 216S447.7 288 408 288z"],
    "cloud-meatball": [576, 512, [], "f73b", "M80 352C53.5 352 32 373.5 32 400S53.5 448 80 448S128 426.5 128 400S106.5 352 80 352zM80 416C71.25 416 64 408.8 64 400S71.25 384 80 384S96 391.3 96 400S88.75 416 80 416zM378.5 293.5c-12.25-12.25-29.25-17.88-46.25-16.25c-21.88-26.62-66.75-26.62-88.5 0c-16.88-1.625-34 4-46.25 16.25s-18 29.25-16.25 46.25C167.9 350.8 160 366.8 160 384s7.875 33.25 21.25 44.25c-1.75 17 4 34 16.25 46.25S228 493.5 244 491.1C254.9 504.3 270.8 512 288 512s33.13-7.75 44-20.88c16.25 2.375 34.25-4.375 46.5-16.62s18-29.25 16.25-46.25C408.1 417.3 416 401.3 416 384s-7.875-33.25-21.25-44.25C396.5 322.8 390.8 305.8 378.5 293.5zM369.8 406.8l-12 6.125l4.125 12.88c3 9.5 .875 19.5-5.875 26.12c-4.875 4.875-11.38 7.625-18.38 7.625c-2 0-4.5-.75-7.875-1.75l-12.75-4l-6.25 12c-9.125 17.62-36.13 17.62-45.38 0l-6.125-12l-12.88 4c-3.125 1-5.75 1.75-7.75 1.75c-6.875 0-13.5-2.75-18.38-7.625c-6.75-6.625-9-16.62-6-26.12l4.125-12.88L206.5 406.8C197.8 402.1 192.3 393.4 192.3 384s5.5-18.12 14.25-22.75l11.88-6.125l-4.125-12.88c-3-9.5-.75-19.5 6-26.12c6.625-6.75 16.62-8.875 26.12-5.875l12.88 4l6.125-11.88c9.25-17.62 36.25-17.62 45.38 0L317 314.3l12.75-4c9.5-3 19.5-.875 26.25 5.875c6.75 6.625 8.875 16.62 5.875 26.12l-4.125 12.88l12 6.125C378.5 365.9 384 374.6 384 384S378.5 402.1 369.8 406.8zM544 216c0-54.75-42.63-99.75-96.25-103.8c-4-44.88-41.88-80.25-87.75-80.25c-17.75 0-34.75 5.253-49.25 15.25C288.3 17.75 253.5 0 216 0C149.8 0 96 53.75 96 120v.375C52.32 138.6 24.94 184.1 33.6 234.2C42.44 284.5 88.13 320 139.2 320H144C152.8 320 160 312.8 160 304C160 295.2 152.8 288 144 288H138.4C105.4 288 75.05 266.8 66.51 234.9C55.95 195.4 79.85 156.9 117.3 146.8C124.9 144.7 129.9 137.4 129 129.5c-.2441-2.102-1.178-9.225-.9043-14.3C130.6 68.93 169.1 32 216 32c32.25 0 61.75 17.88 77.25 46.75c5.125 9.701 18.3 11.43 25.75 3.375c12.77-13.8 30.54-20.19 49.26-17.54c25.35 3.586 44.32 25.32 47.34 50.74c.6309 5.307 .5137 5.064-.3516 11.55c-1.281 10.25 7.332 19.01 17.61 17.97c4.783-.4844 4.979-.6797 6.598-.7129c28.72-.5684 55.48 15.53 66.44 42.09C527.3 238 489.4 288.1 440 288.1C440 288.1 434.1 288 432 288C423.2 288 416 295.2 416 304c0 8.836 7.164 16 16 16c2.979 0 8 .125 8 .125C497.3 320 544 273.3 544 216zM496 352c-26.5 0-48 21.5-48 48s21.5 48 48 48s48-21.5 48-48S522.5 352 496 352zM496 416c-8.75 0-16-7.25-16-16s7.25-16 16-16s16 7.25 16 16S504.8 416 496 416z"],
    "cloud-minus": [640, 512, [], "e35d", "M416 272C424.8 272 432 279.2 432 288C432 296.8 424.8 304 416 304H224C215.2 304 208 296.8 208 288C208 279.2 215.2 272 224 272H416zM272 32C331.5 32 384.1 61.55 416 106.8C430.5 99.87 446.8 96 464 96C525.9 96 576 146.1 576 208C576 218.7 574.5 228.1 571.7 238.8C612.3 260.2 640 302.9 640 352C640 422.7 582.7 480 512 480H144C64.47 480 0 415.5 0 336C0 273.2 40.15 219.9 96.17 200.1C100.3 106.6 177.4 32 272 32zM272 64C194.6 64 131.5 125 128.1 201.5C127.6 214.6 119.1 225.1 106.8 230.3C63.18 245.7 32 287.2 32 336C32 397.9 82.14 448 144 448H512C565 448 608 405 608 352C608 315.2 587.3 283.2 556.8 267.1C543.4 259.1 536.8 244.5 540.9 229.1C542.9 223 544 215.7 544 208C544 163.8 508.2 128 464 128C451.7 128 440.1 130.8 429.7 135.7C415.7 142.4 398.8 137.9 389.8 125.2C363.7 88.12 320.7 64 272 64V64z"],
    "cloud-moon": [576, 512, [], "f6c3", "M351.5 313.6C347 272.3 311.9 240 269.4 240c-13.87 0-27.24 3.5-39.49 10.25C211.7 233.5 188.1 224 163.2 224c-53.74 0-97.46 42.56-99.21 96.06c-38.24 14.25-63.99 50.81-63.99 92.81C.1253 467.5 44.61 512 99.35 512h249.4c54.73 0 99.22-44.5 99.22-99.25C447.1 359 405 315.1 351.5 313.6zM348.8 480l-246.1 .0001c-36.29 0-67.88-27.72-69.59-63.97C30.64 383.1 52.54 354.5 84.48 347.4c8.746-3.671 13.15-12.1 11.1-20.5c-.125-1.125-.375-2.5-.375-3.75c0-37.13 30.12-67.25 67.23-67.25c19.99 0 38.99 9.25 51.98 25.25C220.8 288 230.9 289.1 237.7 283.5c15.27-12.38 35.36-15.27 53.99-6.324c15.92 7.649 26.03 23.85 27.98 41.41c.5401 4.873 .3968 4.374-.4299 10.37c-.4545 3.867 1.645 20.56 19.63 17.58c3.813-.632 7.667-1.152 11.53-1.064c36.4 .8253 65.69 30.75 65.69 67.23C416.1 449.8 385.9 480 348.8 480zM573.6 287.3c-4.125-8.625-12.38-14-21.88-14c-1.5 0-3 .125-4.5 .5c-7.75 1.5-15.5 2.125-23.25 2.125c-66.1 0-121.5-54.63-121.5-121.9c0-43.75 23.62-84.25 61.62-106c8.875-5.125 13.62-15 11.88-25.12s-9.375-17.88-19.5-19.75C444.1 1.125 433.2 0 421.5 0c-105.7 0-191.7 86.13-191.7 192c0 6.5 .375 12.75 1 19.25c1.957 .4414 3.75 1.242 5.664 1.781C244.1 210.4 253.9 209 262.9 208.5C262.2 203.1 261.7 197.7 261.7 192.1c0-88.25 71.62-160 159.7-160c3 0 5.875 .125 8.875 .125c-37.37 29-59.87 74-59.87 122c0 84.75 68.87 153.8 153.5 153.8c2.625 0 5.25-.125 7.75-.25c-19.63 18.88-43.79 31.62-69.84 38.43c5.447 9.289 9.502 19.41 12.54 30c37.33-10.69 70.89-32.35 96.05-63.43C576.5 305.6 577.7 295.8 573.6 287.3z"],
    "cloud-moon-rain": [576, 512, [], "f73c", "M266.3 418.1c-7.625-4.375-17.5-1.875-21.88 6l-36.63 64c-4.375 7.625-1.625 17.38 6 21.75C216.3 511.3 219 512 221.8 512c5.5 0 10.88-2.875 13.88-8.125l36.63-64C276.6 432.3 273.9 422.5 266.3 418.1zM170.3 418.1c-7.625-4.375-17.5-1.875-21.88 6l-36.63 64c-4.375 7.625-1.625 17.38 6 21.75C120.3 511.3 123 512 125.8 512c5.5 0 10.88-2.875 13.88-8.125l36.63-64C180.6 432.3 177.9 422.5 170.3 418.1zM74.25 418.1c-7.625-4.375-17.5-1.875-21.88 6l-36.63 64c-4.375 7.625-1.625 17.38 6 21.75C24.25 511.3 27 512 29.75 512c5.5 0 10.88-2.875 13.88-8.125l36.63-64C84.63 432.3 81.88 422.5 74.25 418.1zM351.3 197.3C346 158.3 312.5 128 272 128c-8.625 0-17 1.375-25.25 4.25C227.1 109.3 198.6 96 168 96c-56.5 0-102.8 45.25-104 101.6C26.25 210.9 .0001 246.9 .0001 288c0 52.88 43.13 96 96 96h224c52.88 0 96-43.13 96-96c0-1.25-.25-2.625-.25-4C414 244.4 388.3 210 351.3 197.3zM320 352H98.29c-32.58 0-61.63-23.38-65.76-55.7C28.18 262.3 51.05 231.5 84 225.3L84.48 225.2C92.42 223.6 97.81 216.1 96.9 208.1C95.94 199.7 96.17 201.8 96.12 198.9C95.71 176.8 105.3 155.2 123.5 142.6c38.05-26.42 83.21-14.79 104.7 18.2l.2676 .4111c4.432 6.818 13.37 9.067 20.5 5.159l.3564-.1953c32.75-17.88 70.75 8.125 70.88 40.38l-.0503 3.258c-.1157 7.521 5.17 14.04 12.55 15.49C362.6 231.3 384.1 257.6 384.1 288C384 323.3 355.3 352 320 352zM362.3 418.1c-7.625-4.375-17.5-1.875-21.88 6l-36.63 64c-4.375 7.625-1.625 17.38 6 21.75C312.3 511.3 315 512 317.8 512c5.5 0 10.88-2.875 13.88-8.125l36.63-64C372.6 432.3 369.9 422.5 362.3 418.1zM573.9 237.5c-3.625-7.75-11.5-12.62-19.88-12.62c-5.19 0-10.05 2.25-23.12 2.25c-54.38 0-98.63-44-98.63-98.25c0-35.13 19.13-67.88 50-85.25C490.5 39 494.8 30 493.3 20.75c-1.625-9.25-8.5-16.25-17.88-18C465.8 .875 455.8 0 446 0c-67.13 0-123.6 41.38-147.8 99.5c10.25 2.5 20 6.25 29 11.38C346.4 65.25 391.3 32.88 443.8 32c-27.25 24.38-43.5 59.63-43.5 96.75c0 70.75 57 128.5 127.6 130.1c-22.25 18.25-50.25 28.38-79.75 28.88c0 11-1.5 21.88-4.125 32c18.44 0 80.19-1.766 127.1-59C576.4 254.3 577.5 245.3 573.9 237.5z"],
    "cloud-music": [640, 512, [], "f8ae", "M372.8 177.1C393.7 169.3 416 184.7 416 207.1V319.1C416 346.5 390.9 368 360 368C329.1 368 304 346.5 304 320C304 293.5 329.1 272 360 272C368.6 272 376.7 273.7 384 276.6V207.1L288 243.1V352C288 378.5 262.9 400 232 400C201.1 400 176 378.5 176 352C176 325.5 201.1 304 232 304C240.6 304 248.7 305.7 256 308.6V243.1C256 229.7 264.3 217.8 276.8 213.1L372.8 177.1zM360 304C351.9 304 345.3 306.8 341.2 310.4C337.2 313.8 336 317.3 336 320C336 322.7 337.2 326.2 341.2 329.6C345.3 333.2 351.9 336 360 336C368.1 336 374.7 333.2 378.8 329.6C382.8 326.2 384 322.7 384 319.1C384 317.3 382.8 313.8 378.8 310.4C374.7 306.8 368.1 303.1 360 303.1V304zM232 336C223.9 336 217.3 338.8 213.2 342.4C209.2 345.8 208 349.3 208 352C208 354.7 209.2 358.2 213.2 361.6C217.3 365.2 223.9 368 232 368C240.1 368 246.7 365.2 250.8 361.6C254.8 358.2 256 354.7 256 352C256 349.3 254.8 345.8 250.8 342.4C246.7 338.8 240.1 336 232 336V336zM272 32C331.5 32 384.1 61.55 416 106.8C430.5 99.87 446.8 96 464 96C525.9 96 576 146.1 576 208C576 218.7 574.5 228.1 571.7 238.8C612.3 260.2 640 302.9 640 352C640 422.7 582.7 480 512 480H144C64.47 480 0 415.5 0 336C0 273.2 40.15 219.9 96.17 200.1C100.3 106.6 177.4 32 272 32zM272 64C194.6 64 131.5 125 128.1 201.5C127.6 214.6 119.1 225.1 106.8 230.3C63.18 245.7 32 287.2 32 336C32 397.9 82.14 448 144 448H512C565 448 608 405 608 352C608 315.2 587.3 283.2 556.8 267.1C543.4 259.1 536.8 244.5 540.9 229.1C542.9 223 544 215.7 544 208C544 163.8 508.2 128 464 128C451.7 128 440.1 130.8 429.7 135.7C415.7 142.4 398.8 137.9 389.8 125.2C363.7 88.12 320.7 64 272 64V64z"],
    "cloud-plus": [640, 512, [], "e35e", "M304 384V304H224C215.2 304 208 296.8 208 288C208 279.2 215.2 272 224 272H304V192C304 183.2 311.2 176 320 176C328.8 176 336 183.2 336 192V272H416C424.8 272 432 279.2 432 288C432 296.8 424.8 304 416 304H336V384C336 392.8 328.8 400 320 400C311.2 400 304 392.8 304 384zM272 32C331.5 32 384.1 61.55 416 106.8C430.5 99.87 446.8 96 464 96C525.9 96 576 146.1 576 208C576 218.7 574.5 228.1 571.7 238.8C612.3 260.2 640 302.9 640 352C640 422.7 582.7 480 512 480H144C64.47 480 0 415.5 0 336C0 273.2 40.15 219.9 96.17 200.1C100.3 106.6 177.4 32 272 32zM272 64C194.6 64 131.5 125 128.1 201.5C127.6 214.6 119.1 225.1 106.8 230.3C63.18 245.7 32 287.2 32 336C32 397.9 82.14 448 144 448H512C565 448 608 405 608 352C608 315.2 587.3 283.2 556.8 267.1C543.4 259.1 536.8 244.5 540.9 229.1C542.9 223 544 215.7 544 208C544 163.8 508.2 128 464 128C451.7 128 440.1 130.8 429.7 135.7C415.7 142.4 398.8 137.9 389.8 125.2C363.7 88.12 320.7 64 272 64V64z"],
    "cloud-question": [640, 512, [], "e492", "M232.7 201.8C239.2 177.2 261.4 160 286.9 160H344C379.5 160 408 189 408 224.3C408 248.3 394.6 270.5 373.1 281.4L336 300.3V320C336 328.8 328.8 336 320 336C311.2 336 304 328.8 304 320V290.5C304 284.5 307.4 279 312.7 276.3L358.5 252.9C369.2 247.5 376 236.3 376 224.3C376 206.5 361.6 192 344 192H286.9C275.1 192 266.4 199.4 263.7 209.9L263.5 210.6C261.2 219.1 252.5 224.3 243.9 222C235.4 219.8 230.3 211 232.5 202.5L232.7 201.8zM344 384C344 397.3 333.3 408 320 408C306.7 408 296 397.3 296 384C296 370.7 306.7 360 320 360C333.3 360 344 370.7 344 384zM272 32C331.5 32 384.1 61.55 416 106.8C430.5 99.87 446.8 96 464 96C525.9 96 576 146.1 576 208C576 218.7 574.5 228.1 571.7 238.8C612.3 260.2 640 302.9 640 352C640 422.7 582.7 480 512 480H144C64.47 480 0 415.5 0 336C0 273.2 40.15 219.9 96.17 200.1C100.3 106.6 177.4 32 272 32zM272 64C194.6 64 131.5 125 128.1 201.5C127.6 214.6 119.1 225.1 106.8 230.3C63.18 245.7 32 287.2 32 336C32 397.9 82.14 448 144 448H512C565 448 608 405 608 352C608 315.2 587.3 283.2 556.8 267.1C543.4 259.1 536.8 244.5 540.9 229.1C542.9 223 544 215.7 544 208C544 163.8 508.2 128 464 128C451.7 128 440.1 130.8 429.7 135.7C415.7 142.4 398.8 137.9 389.8 125.2C363.7 88.12 320.7 64 272 64V64z"],
    "cloud-rain": [512, 512, [127783, 9926], "f73d", "M414.7 112.2C407.2 66.75 367.6 32 320 32c-18.97 0-37.09 5.469-52.59 15.69C246.7 18.22 212.6 0 176 0C114.3 0 64 50.25 64 112c0 2.719 .0938 5.438 .3125 8.188C25.84 136.1 0 173.7 0 216C0 273.3 46.66 320 104 320h304C465.3 320 512 273.3 512 216C512 160.9 468.9 115.7 414.7 112.2zM408 288h-304C64.31 288 32 255.7 32 216c0-32.59 22.19-61.13 53.97-69.38c8.219-2.156 13.34-10.34 11.66-18.66C96.56 122.8 96 117.5 96 112C96 67.88 131.9 32 176 32c30.97 0 59.41 18.31 72.47 46.63c2.188 4.781 6.594 8.188 11.78 9.062c5.188 1.094 10.47-.75 14.16-4.531C286.6 70.81 302.8 64 320 64c35.28 0 64 28.72 64 64c0 8.844 7.156 16 16 16h8C447.7 144 480 176.3 480 216S447.7 288 408 288zM242.8 358.9c-10.69 15.47-45.5 67.94-45.5 94.44C197.3 485.7 223.7 512 256 512s58.66-26.31 58.66-58.66c0-26.5-34.81-78.97-45.5-94.44C263.2 350.3 248.8 350.3 242.8 358.9zM256 480c-14.69 0-26.66-11.97-26.66-26.66c0-8.562 12.25-32.69 26.66-56.06c14.41 23.38 26.66 47.5 26.66 56.06C282.7 468 270.7 480 256 480zM82.84 358.9c-10.69 15.47-45.5 67.94-45.5 94.44C37.34 485.7 63.66 512 96 512s58.66-26.31 58.66-58.66c0-26.5-34.81-78.97-45.5-94.44C103.2 350.3 88.78 350.3 82.84 358.9zM96 480c-14.69 0-26.66-11.97-26.66-26.66c0-8.562 12.25-32.69 26.66-56.06c14.41 23.38 26.66 47.5 26.66 56.06C122.7 468 110.7 480 96 480zM402.8 358.9c-10.69 15.47-45.5 67.94-45.5 94.44C357.3 485.7 383.7 512 416 512s58.66-26.31 58.66-58.66c0-26.5-34.81-78.97-45.5-94.44C423.2 350.3 408.8 350.3 402.8 358.9zM416 480c-14.69 0-26.66-11.97-26.66-26.66c0-8.562 12.25-32.69 26.66-56.06c14.41 23.38 26.66 47.5 26.66 56.06C442.7 468 430.7 480 416 480z"],
    "cloud-rainbow": [576, 512, [], "f73e", "M414.7 304.2C407.2 258.8 367.6 224 320 224c-18.97 0-37.09 5.469-52.59 15.69C246.7 210.2 212.6 192 176 192C114.3 192 64 242.3 64 304c0 2.719 .0938 5.438 .3125 8.188C25.84 328.1 0 365.7 0 408C0 465.3 46.66 512 104 512h304c57.34 0 104-46.66 104-104C512 352.9 468.9 307.7 414.7 304.2zM408 480h-304C64.31 480 32 447.7 32 408c0-32.59 22.19-61.13 53.97-69.38c8.219-2.156 13.34-10.34 11.66-18.66C96.56 314.8 96 309.5 96 304C96 259.9 131.9 224 176 224c30.97 0 59.41 18.31 72.47 46.63c2.188 4.781 6.594 8.188 11.78 9.062c5.188 1.094 10.47-.75 14.16-4.531C286.6 262.8 302.8 256 320 256c35.28 0 63.94 28.82 63.94 64.11C383.9 328.9 391.2 336 400 336h8c39.69 0 72 32.31 72 72S447.7 480 408 480zM256 172c4.5 0 9-1.906 12.16-5.594C341.3 81 447.6 32 560 32C568.8 32 576 24.98 576 16.13S568.8 0 560 0c-121.7 0-236.1 53.09-316.2 145.6C238.1 152.3 238.9 162.4 245.6 168.2C248.6 170.8 252.3 172 256 172zM560 96c-80.38 0-157.2 29.91-216.3 84.22c-6.531 5.969-6.938 16.09-.9687 22.59C345.9 206.3 350.2 208 354.5 208c3.875 0 7.75-1.406 10.81-4.219C418.5 154.9 487.7 128 560 128C568.8 128 576 120.8 576 112S568.8 96 560 96zM560 192c-42.91 0-84.59 12.19-120.6 35.22c-7.438 4.75-9.625 14.66-4.844 22.09C437.6 254.1 442.8 256.7 448 256.7c2.969 0 5.938-.8125 8.625-2.531C487.5 234.4 523.2 224 560 224C568.8 224 576 216.8 576 208S568.8 192 560 192z"],
    "cloud-showers": [512, 512, [], "f73f", "M112 368C103.3 368 96 375.3 96 384v80C96 472.8 103.3 480 112 480S128 472.8 128 464V384C128 375.3 120.8 368 112 368zM304 368c-8.75 0-16 7.25-16 16v80c0 8.75 7.25 16 16 16s16-7.25 16-16V384C320 375.3 312.8 368 304 368zM208 400C199.3 400 192 407.3 192 416v80C192 504.8 199.3 512 208 512S224 504.8 224 496V416C224 407.3 216.8 400 208 400zM400 400c-8.75 0-16 7.25-16 16v80c0 8.75 7.25 16 16 16s16-7.25 16-16V416C416 407.3 408.8 400 400 400zM414.7 112.2C407.2 66.75 367.6 32 320 32c-18.97 0-37.09 5.469-52.59 15.69C246.7 18.22 212.6 0 176 0C114.3 0 64 50.25 64 112c0 2.719 .0938 5.438 .3125 8.188C25.84 136.1 0 173.7 0 216C0 273.3 46.66 320 104 320h304C465.3 320 512 273.3 512 216C512 160.9 468.9 115.7 414.7 112.2zM408 288h-304C64.31 288 32 255.7 32 216c0-32.59 22.19-61.13 53.97-69.38c8.219-2.156 13.34-10.34 11.66-18.66C96.56 122.8 96 117.5 96 112C96 67.88 131.9 32 176 32c30.97 0 59.41 18.31 72.47 46.63c2.188 4.781 6.594 8.188 11.78 9.062c5.188 1.094 10.47-.75 14.16-4.531C286.6 70.81 302.8 64 320 64c35.28 0 64 28.72 64 64c0 8.844 7.156 16 16 16h8C447.7 144 480 176.3 480 216S447.7 288 408 288z"],
    "cloud-showers-heavy": [512, 512, [], "f740", "M414.7 112.2C407.2 66.75 367.6 32 320 32c-18.97 0-37.09 5.469-52.59 15.69C246.7 18.22 212.6 0 176 0C114.3 0 64 50.25 64 112c0 2.719 .0902 5.438 .309 8.188C25.84 136.1 0 173.7 0 216C0 273.3 46.66 320 104 320h304C465.3 320 512 273.3 512 216C512 160.9 468.9 115.7 414.7 112.2zM408 288h-304C64.31 288 32 255.7 32 216c0-32.59 22.19-61.13 53.97-69.38c8.219-2.156 13.34-10.34 11.66-18.66C96.56 122.8 96 117.5 96 112C96 67.88 131.9 32 176 32c30.97 0 59.41 18.31 72.47 46.63c2.188 4.781 6.594 8.188 11.78 9.062c5.188 1.094 10.47-.75 14.16-4.531C286.6 70.81 302.8 64 320 64c35.28 0 64 28.72 64 64c0 8.844 7.156 16 16 16h8C447.7 144 480 176.3 480 216S447.7 288 408 288zM439.2 353.7c-7.922-3.969-17.5-.7187-21.47 7.156l-64 128c-3.953 7.906-.75 17.5 7.156 21.47C363.1 511.5 365.6 512 367.1 512c5.875 0 11.51-3.25 14.32-8.844l64-128C450.3 367.3 447.1 357.7 439.2 353.7zM321.8 353.7c-7.922-3.969-17.5-.7187-21.47 7.156l-64 128c-3.953 7.906-.75 17.5 7.156 21.47C245.8 511.5 248.3 512 250.7 512c5.875 0 11.52-3.25 14.33-8.844l64-128C332.9 367.3 329.7 357.7 321.8 353.7zM204.5 353.7c-7.922-3.969-17.5-.7187-21.47 7.156l-64 128c-3.953 7.906-.75 17.5 7.156 21.47C128.5 511.5 130.9 512 133.3 512c5.875 0 11.52-3.25 14.33-8.844l64-128C215.6 367.3 212.4 357.7 204.5 353.7zM87.16 353.7c-7.922-3.969-17.5-.7187-21.47 7.156l-64 128c-3.953 7.906-.75 17.5 7.156 21.47C11.14 511.5 13.58 512 15.98 512c5.875 0 11.52-3.25 14.33-8.844l64-128C98.27 367.3 95.06 357.7 87.16 353.7z"],
    "cloud-showers-water": [576, 512, [], "e4e4", "M328.7 38.37C338.3 34.27 348.9 32 360 32C393.7 32 422.5 52.82 434.3 82.28H441.1C480.3 82.28 512 114 512 153.1C512 192.3 480.3 223.1 441.1 223.1H134.9C95.72 223.1 63.1 192.3 63.1 153.1C63.1 114 95.72 82.28 134.9 82.28H146.3C156.3 35.27 198 0 247.1 0C280.6 0 309.6 14.98 328.7 38.37V38.37zM160.2 114.3H134.9C113.4 114.3 95.1 131.7 95.1 153.1C95.1 174.6 113.4 191.1 134.9 191.1H441.1C462.6 191.1 480 174.6 480 153.1C480 131.7 462.6 114.3 441.1 114.3H422.5C415 114.3 408.5 109 406.9 101.7C402.2 80.14 382.1 64 360 64C349.9 64 340.6 67.11 332.8 72.41C329.2 74.92 324.7 75.81 320.3 74.86C316 73.9 312.3 71.2 310 67.38C297.4 46.17 274.4 32 247.1 32C209.8 32 178.6 61.74 176.1 99.31C175.6 107.7 168.6 114.3 160.2 114.3H160.2zM77.31 376.9C72.41 384.2 62.48 386.2 55.12 381.3C47.77 376.4 45.79 366.5 50.69 359.1L114.7 263.1C119.6 255.8 129.5 253.8 136.9 258.7C144.2 263.6 146.2 273.5 141.3 280.9L77.31 376.9zM250.1 458.8C259.9 452.1 268.2 444.8 276.1 436.9C282.6 430.4 293.3 430.4 299.8 436.9C307.8 444.8 315.1 452.1 325.8 458.8C342.3 470 363.1 479.1 383.1 479.1C404.9 479.1 425.6 470 442.2 458.8C451.9 452.1 460.2 444.8 468.1 436.9C474.6 430.4 485.3 430.4 491.8 436.9C499.8 444.8 507.1 452.1 517.8 458.8C530.6 467.5 545.9 475.4 561.9 478.6C569.6 480.1 576 486.4 576 494.2C576 504 567.1 512.1 558.3 510.4C535.2 506.5 514.7 495.4 499.8 485.2C491.8 479.8 485.1 474.4 479.1 469.1C474.8 474.4 468.1 479.8 460.2 485.2C441.5 497.9 414.3 511.1 383.1 511.1C353.7 511.1 326.4 497.9 307.8 485.2C299.8 479.8 293.1 474.4 287.1 469.1C282.8 474.4 276.1 479.8 268.2 485.2C249.5 497.9 222.3 511.1 191.1 511.1C161.7 511.1 134.4 497.9 115.8 485.2C107.8 479.8 101.1 474.4 95.96 469.1C90.82 474.4 84.12 479.8 76.19 485.2C61.25 495.4 40.81 506.5 17.69 510.4C8.015 512.1 0 504 0 494.2C0 486.4 6.421 480.1 14.13 478.6C30.07 475.4 45.38 467.5 58.16 458.8C67.94 452.1 76.16 444.8 84.07 436.9C90.64 430.4 101.3 430.4 107.8 436.9C115.8 444.8 124.1 452.2 133.8 458.8C150.3 470 171.1 479.1 191.1 479.1C212.9 479.1 233.6 470 250.1 458.8H250.1zM472.9 258.7C480.2 263.6 482.2 273.5 477.3 280.9L413.3 376.9C408.4 384.2 398.5 386.2 391.1 381.3C383.8 376.4 381.8 366.5 386.7 359.1L450.7 263.1C455.6 255.8 465.5 253.8 472.9 258.7zM189.3 376.9C184.4 384.2 174.5 386.2 167.1 381.3C159.8 376.4 157.8 366.5 162.7 359.1L226.7 263.1C231.6 255.8 241.5 253.8 248.9 258.7C256.2 263.6 258.2 273.5 253.3 280.9L189.3 376.9zM360.9 258.7C368.2 263.6 370.2 273.5 365.3 280.9L301.3 376.9C296.4 384.2 286.5 386.2 279.1 381.3C271.8 376.4 269.8 366.5 274.7 359.1L338.7 263.1C343.6 255.8 353.5 253.8 360.9 258.7z"],
    "cloud-slash": [640, 512, [], "e137", "M633.9 483.4C640.9 488.9 642 498.1 636.6 505.9C631.1 512.9 621 514 614.1 508.6L6.087 28.56C-.849 23.08-2.033 13.02 3.443 6.086C8.918-.8493 18.98-2.033 25.92 3.443L633.9 483.4zM640 352C640 374.6 634.1 395.9 623.8 414.3L598.3 394.2C604.5 381.4 608 367.1 608 352C608 315.2 587.3 283.2 556.8 267.1C543.4 259.1 536.8 244.5 540.9 229.1C542.9 223 544 215.7 544 208C544 163.8 508.2 128 464 128C451.7 128 440.1 130.8 429.7 135.7C415.7 142.4 398.8 137.9 389.8 125.2C363.7 88.12 320.7 64 272 64C246.8 64 223.2 70.45 202.6 81.79L175.8 60.61C203.4 42.52 236.5 32 272 32C331.5 32 384.1 61.55 416 106.8C430.5 99.87 446.8 96 464 96C525.9 96 576 146.1 576 208C576 218.7 574.5 228.1 571.7 238.8C612.3 260.2 640 302.9 640 352V352zM101.3 164.9L129.5 187.1C128.8 191.9 128.4 196.7 128.1 201.5C127.6 214.6 119.1 225.1 106.8 230.3C63.18 245.7 32 287.2 32 336C32 397.9 82.14 448 144 448H459.9L500.4 480H144C64.47 480 0 415.5 0 336C0 273.2 40.15 219.9 96.17 200.1C96.71 188 98.46 176.2 101.3 164.9V164.9z"],
    "cloud-sleet": [576, 512, [], "f741", "M544 216c0-55.09-43.06-100.3-97.31-103.8C439.2 66.75 399.6 32 352 32c-18.97 0-37.09 5.469-52.59 15.69C278.7 18.22 244.6 0 208 0C146.3 0 96 50.25 96 112c0 2.719 .0902 5.438 .309 8.188C57.84 136.1 32 173.7 32 216C32 273.3 78.66 320 136 320h304C497.3 320 544 273.3 544 216zM64 216c0-32.59 22.19-61.13 53.97-69.38c8.219-2.156 13.34-10.34 11.66-18.66C128.6 122.8 128 117.5 128 112C128 67.88 163.9 32 208 32c30.97 0 59.41 18.31 72.47 46.63c2.188 4.781 6.594 8.188 11.78 9.062c5.188 1.094 10.47-.75 14.16-4.531C318.6 70.81 334.8 64 352 64c35.28 0 64 28.72 64 64c0 8.844 7.156 16 16 16h8C479.7 144 512 176.3 512 216S479.7 288 440 288h-304C96.31 288 64 255.7 64 216zM119.2 353.7c-7.906-3.938-17.47-.7187-21.47 7.156l-64 128c-3.938 7.906-.75 17.5 7.156 21.47C43.16 511.5 45.59 512 48 512c5.844 0 11.5-3.25 14.31-8.844l64-128C130.3 367.3 127.1 357.7 119.2 353.7zM375.2 353.7c-7.875-3.938-17.5-.7187-21.47 7.156l-64 128c-3.938 7.906-.75 17.5 7.156 21.47C299.2 511.5 301.6 512 304 512c5.844 0 11.5-3.25 14.31-8.844l64-128C386.3 367.3 383.1 357.7 375.2 353.7zM519.4 384c-4.406-7.688-14.22-10.28-21.84-5.844L480 388.3V368c0-8.844-7.156-16-16-16S448 359.2 448 368v20.3l-17.56-10.14C422.8 373.8 413 376.3 408.6 384c-4.438 7.656-1.812 17.44 5.844 21.84L432 416l-17.59 10.16C406.8 430.6 404.2 440.3 408.6 448c2.938 5.125 8.344 8 13.84 8c2.719 0 5.469-.6875 8-2.156L448 443.7V464c0 8.844 7.156 16 16 16s16-7.156 16-16v-20.3l17.56 10.14c2.531 1.469 5.281 2.156 8 2.156c5.5 0 10.91-2.875 13.84-8c4.438-7.656 1.812-17.44-5.844-21.84L495.1 416l17.59-10.16C521.2 401.4 523.8 391.7 519.4 384zM263.4 384c-4.406-7.688-14.22-10.28-21.84-5.844L224 388.3V368C224 359.2 216.8 352 208 352S192 359.2 192 368v20.3l-17.56-10.14C166.8 373.8 157 376.3 152.6 384c-4.438 7.656-1.812 17.44 5.844 21.84L176 416l-17.59 10.16C150.8 430.6 148.2 440.3 152.6 448c2.938 5.125 8.344 8 13.84 8c2.719 0 5.469-.6875 8-2.156L192 443.7V464C192 472.8 199.2 480 208 480S224 472.8 224 464v-20.3l17.56 10.14C244.1 455.3 246.8 456 249.6 456c5.5 0 10.91-2.875 13.84-8c4.438-7.656 1.812-17.44-5.844-21.84L239.1 416l17.59-10.16C265.2 401.4 267.8 391.7 263.4 384z"],
    "cloud-snow": [512, 512, [127784], "f742", "M104 320h304C465.3 320 512 273.3 512 216c0-55.09-43.06-100.3-97.31-103.8C407.2 66.75 367.6 32 320 32c-18.97 0-37.09 5.469-52.59 15.69C246.7 18.22 212.6 0 176 0C114.3 0 64 50.25 64 112c0 2.719 .0938 5.438 .3125 8.188C25.84 136.1 0 173.7 0 216C0 273.3 46.66 320 104 320zM85.97 146.6c8.219-2.156 13.34-10.34 11.66-18.66C96.56 122.8 96 117.5 96 112C96 67.88 131.9 32 176 32c30.97 0 59.41 18.31 72.47 46.63c2.188 4.781 6.594 8.188 11.78 9.062c5.188 1.094 10.47-.75 14.16-4.531C286.6 70.81 302.8 64 320 64c35.28 0 64 28.72 64 64c0 8.844 7.156 16 16 16h8C447.7 144 480 176.3 480 216S447.7 288 408 288h-304C64.31 288 32 255.7 32 216C32 183.4 54.19 154.9 85.97 146.6zM503.4 384c-4.406-7.688-14.22-10.28-21.84-5.844L464 388.3V368c0-8.844-7.156-16-16-16s-16 7.156-16 16v20.3l-17.56-10.14C406.8 373.8 397 376.3 392.6 384c-4.438 7.656-1.812 17.44 5.844 21.84L416 416l-17.59 10.16C390.8 430.6 388.2 440.3 392.6 448c2.938 5.125 8.344 8 13.84 8c2.719 0 5.469-.6875 8-2.156L432 443.7V464c0 8.844 7.156 16 16 16s16-7.156 16-16v-20.3l17.56 10.14c2.531 1.469 5.281 2.156 8 2.156c5.5 0 10.91-2.875 13.84-8c4.438-7.656 1.812-17.44-5.844-21.84L479.1 416l17.59-10.16C505.2 401.4 507.8 391.7 503.4 384zM119.4 384c-4.406-7.688-14.22-10.28-21.84-5.844L80 388.3V368C80 359.2 72.84 352 64 352s-16 7.156-16 16v20.3l-17.56-10.14C22.81 373.8 13 376.3 8.594 384c-4.438 7.656-1.812 17.44 5.844 21.84L32.03 416l-17.59 10.16C6.781 430.6 4.156 440.3 8.594 448c2.938 5.125 8.344 8 13.84 8c2.719 0 5.469-.6875 8-2.156L48 443.7V464C48 472.8 55.16 480 64 480s16-7.156 16-16v-20.3l17.56 10.14C100.1 455.3 102.8 456 105.6 456c5.5 0 10.91-2.875 13.84-8c4.438-7.656 1.812-17.44-5.844-21.84L95.97 416l17.59-10.16C121.2 401.4 123.8 391.7 119.4 384zM312.1 416c-4.406-7.688-14.22-10.28-21.84-5.844l-17.56 10.14V400c0-8.844-7.156-16-16-16s-16 7.156-16 16v20.3L224 410.2C216.4 405.8 206.6 408.3 202.2 416c-4.438 7.656-1.812 17.44 5.844 21.84L225.6 448L208 458.2C200.3 462.6 197.7 472.3 202.2 480c2.938 5.125 8.344 8 13.84 8c2.719 0 5.469-.6875 8-2.156l17.56-10.14V496c0 8.844 7.156 16 16 16s16-7.156 16-16v-20.3l17.56 10.14c2.531 1.469 5.281 2.156 8 2.156c5.5 0 10.91-2.875 13.84-8c4.438-7.656 1.812-17.44-5.844-21.84L289.5 448l17.59-10.16C314.8 433.4 317.4 423.7 312.1 416z"],
    "cloud-sun": [640, 512, [9925], "f6c4", "M93.5 322.9L92.63 323l12.5-63.25C106.3 253.5 103.8 247 98.25 243.4l-53.5-35.75l53.5-35.88c5.5-3.5 8-10 6.875-16.38l-12.5-63.25l63.13 12.5c6.5 1.25 12.88-1.5 16.5-6.875L208 44.25l35.75 53.5c3.625 5.375 10 8.125 16.5 6.875l63.13-12.5L313.1 139.6c-1.715 8.658 3.906 17.07 12.56 18.79c8.674 1.729 17.1-3.91 18.81-12.59l14.02-71.03c1-5.125-.625-10.5-4.375-14.38C351.3 56.63 345.8 54.88 340.6 56L264.4 71.13L221.3 6.75c-6-9-20.5-9-26.5 0L151.5 71.25L75.38 56.13C70.13 55 64.75 56.75 61 60.5S55.63 69.75 56.63 74.88l15.12 76.25L7.125 194.3C2.75 197.3 0 202.3 0 207.5s2.75 10.25 7.125 13.25L71.63 264L56.5 340.3c-1 5.125 .625 10.5 4.375 14.38c3 3 7.125 4.625 11.38 4.625c1 0 2 0 3-.25l23.71-4.516C106.5 353 112 346.4 112 338.7C112 328.9 103.2 321.4 93.5 322.9zM543.8 304.3C539.8 259.4 501.1 224 456 224c-17.75 0-34.75 5.25-49.25 15.25C384.3 209.8 349.5 192 312 192C245.8 192 192 245.8 192 312v.375c-38.25 16-64 53.5-64 95.63C128 465.3 174.8 512 232 512h304c57.25 0 104-46.75 104-104C640 353.3 597.4 308.3 543.8 304.3zM536 480H234.4c-33.02 0-63.32-21.22-71.86-53.12c-10.56-39.45 13.34-78 50.74-88.13c7.666-2.006 12.7-9.352 11.78-17.22C224.4 315.6 224 314.1 224 312C224 263.5 263.5 224 312 224c32.25 0 61.75 17.88 77.25 46.75c5.125 9.701 18.3 11.43 25.75 3.375c12.65-13.83 30.66-20.21 49.36-17.52c26.78 3.848 46.38 27.58 47.62 54.6c.0938 2-.1504 3.324-.7305 7.672c-1.268 10.14 7.193 19.02 17.36 17.99c5.629-.5684 5.209-.7422 7.391-.7422c39.75 0 72 32.25 72 72C608 447.8 575.8 480 536 480zM163 284.8c2-11 5.25-21.62 9.625-31.88C159 242.3 150.3 226 150.3 207.5c0-31.75 25.88-57.75 57.75-57.75c18.5 0 34.75 8.875 45.38 22.38C263.6 167.8 274.3 164.5 285.3 162.5C269.8 135.9 241.1 117.8 208 117.8c-49.5 0-89.75 40.25-89.75 89.75C118.3 240.5 136.3 269.3 163 284.8z"],
    "cloud-sun-rain": [640, 512, [127782], "f743", "M306.3 432.1c0-6.412-5.042-16.07-16.09-16.07c-5.538 0-10.94 2.863-13.87 8.139l-36.62 64c-1.416 2.467-2.085 5.157-2.085 7.814C237.7 502 242.4 512 253.8 512c5.5 0 10.87-2.875 13.87-8.125l36.62-64C305.7 437.4 306.3 434.7 306.3 432.1zM140.4 191.6C140.4 163.1 163.6 140 192 140c26.38 0 48 20 51.12 45.62C247.9 182 252.9 178.8 258.2 175.8C259.8 167.2 262.1 159.2 265 151.4C250.8 125.8 223.5 108 192 108c-46.25 0-83.75 37.62-83.75 83.75C108.2 238 145.8 275.6 192 275.6c.25 0 .625-.125 .875-.125c1.125-11.38 3.75-22.38 7.75-32.75C197.8 243.2 195 243.6 192.1 243.6C164 243.6 140.4 220.9 140.4 191.6zM160.2 291.8C157.3 287.2 152.3 284.6 146.1 284.6c-1.027 0-2.068 .0976-3.112 .2984L87.88 296L99 240c.2066-1.053 .3073-2.107 .3073-3.148c0-5.259-2.571-10.2-7.057-13.23L44.75 191.8L92.25 160c4.487-3.026 7.057-8.055 7.057-13.27c0-1.032-.1007-2.072-.3073-3.105L87.88 87.62l56 11.13c1.044 .2009 2.086 .2984 3.112 .2984c5.362 0 10.33-2.662 13.26-7.173L192 44.38l31.75 47.5c3.043 4.511 8.022 7.173 13.39 7.173c1.027 0 2.068-.0976 3.113-.2984L319.6 83c7.624-1.547 12.9-8.271 12.9-15.77c0-9.437-7.995-15.96-15.9-15.96c-1.077 0-2.166 .1151-3.253 .3549L244.5 65.25L205.2 6.75C202.3 2.25 197.2 0 192 0S181.8 2.25 178.8 6.75L139.6 65.25L70.62 51.5c-1.085-.2271-2.17-.337-3.24-.337c-4.233 0-8.241 1.719-11.13 4.712C53.12 59 51.46 63.1 51.46 67.33c0 1.012 .0952 2.03 .2884 3.044l13.75 69L7.125 178.5C2.75 181.5 0 186.4 0 191.8c0 5.375 2.75 10.37 7.125 13.37L65.5 244.2L51.75 313.2C51.56 314.3 51.46 315.3 51.46 316.3c0 8.95 7.405 16.17 15.94 16.17c1.063 0 2.143-.1099 3.228-.337l68.88-13.75l39.12 58.5C181.8 381.5 186.8 384 191.9 384c3.125 0 6.25-.875 8.875-2.75c4.65-3.074 7.164-8.186 7.164-13.36c0-3.032-.8627-6.086-2.664-8.764L160.2 291.8zM498.3 432.1c0-6.412-5.042-16.07-16.09-16.07c-5.538 0-10.94 2.863-13.87 8.139l-36.62 64c-1.416 2.467-2.085 5.157-2.085 7.815C429.7 502 434.4 512 445.8 512c5.5 0 10.87-2.875 13.87-8.125l36.62-64C497.7 437.4 498.3 434.7 498.3 432.1zM575.3 197.2C569.1 158.2 536.5 128 496 128c-8.625 0-17 1.375-25.25 4.25C451.1 109.4 422.6 96 392 96C335.5 96 289.2 141.2 288 197.6C250.2 210.9 224 246.9 224 288c0 52.88 43.13 96 96 96h224c52.88 0 96-43.13 96-96C640 246.8 613.4 210.4 575.3 197.2zM544 352l-221.7 .0001c-11.82 0-66.29-9.652-66.29-64c0-30.62 21.75-56.1 51.1-62.75l.4991-.099c7.344-1.456 12.52-7.902 12.52-15.23c0-2.294-.2823-.9048-.8597-12.18C321.4 159 353.1 128 392.1 128c24.25 0 46.75 12.25 60.12 32.75l.2673 .4112c2.963 4.558 7.939 7.074 13.04 7.074c2.531 0 5.094-.6189 7.459-1.915l.3563-.1953c7.385-4.031 15.04-5.831 22.46-5.831c25.5 0 48.32 21.23 48.41 46.21c0 0-.052 3.42-.052 3.501c0 7.418 5.251 13.82 12.55 15.25C586.6 231.2 608.1 257.6 608.1 288C608 323.2 579.3 352 544 352zM594.3 432.1c0-6.412-5.042-16.07-16.09-16.07c-5.538 0-10.94 2.863-13.87 8.139l-36.63 64c-1.416 2.467-2.085 5.157-2.085 7.815C525.7 502 530.4 512 541.8 512c5.5 0 10.88-2.875 13.88-8.125l36.63-64C593.7 437.4 594.3 434.7 594.3 432.1zM402.3 432.1c0-6.412-5.042-16.07-16.09-16.07c-5.538 0-10.94 2.863-13.87 8.139l-36.62 64c-1.416 2.467-2.085 5.157-2.085 7.815C333.7 502 338.4 512 349.8 512c5.5 0 10.87-2.875 13.87-8.125l36.62-64C401.7 437.4 402.3 434.7 402.3 432.1z"],
    "cloud-word": [640, 512, [], "e138", "M496 384H304C295.2 384 288 376.8 288 368C288 359.2 295.2 352 304 352H496C504.8 352 512 359.2 512 368C512 376.8 504.8 384 496 384zM240 352C248.8 352 256 359.2 256 368C256 376.8 248.8 384 240 384H144C135.2 384 128 376.8 128 368C128 359.2 135.2 352 144 352H240zM128 304C128 295.2 135.2 288 144 288H336C344.8 288 352 295.2 352 304C352 312.8 344.8 320 336 320H144C135.2 320 128 312.8 128 304zM496 288C504.8 288 512 295.2 512 304C512 312.8 504.8 320 496 320H400C391.2 320 384 312.8 384 304C384 295.2 391.2 288 400 288H496zM464 96C525.9 96 576 146.1 576 208C576 218.7 574.5 228.1 571.7 238.8C612.3 260.2 640 302.9 640 352C640 422.7 582.7 480 512 480H144C64.47 480 0 415.5 0 336C0 273.2 40.15 219.9 96.17 200.1C100.3 106.6 177.4 32 272 32C331.5 32 384.1 61.55 416 106.8C430.5 99.87 446.8 96 464 96zM429.7 135.7C415.7 142.4 398.8 137.9 389.8 125.2C363.7 88.12 320.7 64 272 64C194.6 64 131.5 125 128.1 201.5C127.6 214.6 119.1 225.1 106.8 230.3C63.18 245.7 32 287.2 32 336C32 397.9 82.14 448 144 448H512C565 448 608 405 608 352C608 315.2 587.3 283.2 556.8 267.1C543.4 259.1 536.8 244.5 540.9 229.1C542.9 223 544 215.7 544 208C544 163.8 508.2 128 464 128C451.7 128 440.1 130.8 429.7 135.7V135.7z"],
    "cloud-xmark": [640, 512, [], "e35f", "M244.7 212.7C250.9 206.4 261.1 206.4 267.3 212.7L320 265.4L372.7 212.7C378.9 206.4 389.1 206.4 395.3 212.7C401.6 218.9 401.6 229.1 395.3 235.3L342.6 288L395.3 340.7C401.6 346.9 401.6 357.1 395.3 363.3C389.1 369.6 378.9 369.6 372.7 363.3L320 310.6L267.3 363.3C261.1 369.6 250.9 369.6 244.7 363.3C238.4 357.1 238.4 346.9 244.7 340.7L297.4 288L244.7 235.3C238.4 229.1 238.4 218.9 244.7 212.7zM272 32C331.5 32 384.1 61.55 416 106.8C430.5 99.87 446.8 96 464 96C525.9 96 576 146.1 576 208C576 218.7 574.5 228.1 571.7 238.8C612.3 260.2 640 302.9 640 352C640 422.7 582.7 480 512 480H144C64.47 480 0 415.5 0 336C0 273.2 40.15 219.9 96.17 200.1C100.3 106.6 177.4 32 272 32zM272 64C194.6 64 131.5 125 128.1 201.5C127.6 214.6 119.1 225.1 106.8 230.3C63.18 245.7 32 287.2 32 336C32 397.9 82.14 448 144 448H512C565 448 608 405 608 352C608 315.2 587.3 283.2 556.8 267.1C543.4 259.1 536.8 244.5 540.9 229.1C542.9 223 544 215.7 544 208C544 163.8 508.2 128 464 128C451.7 128 440.1 130.8 429.7 135.7C415.7 142.4 398.8 137.9 389.8 125.2C363.7 88.12 320.7 64 272 64V64z"],
    "clouds": [640, 512, [], "f744", "M543.7 304.4C539.8 259.4 501.1 224 456 224c-17.92 0-34.85 5.273-49.22 15.12C384.2 209.6 349.3 192 311.9 192C245.7 192 192 245.1 192 312.2c0 .1016-.002-.0977 0 0C153.6 328.2 128 365.9 128 408c0 57.35 46.65 104 104 104h303.1c57.35 0 104-46.6 104-103.9C640 353.4 597.5 308.3 543.7 304.4zM536 480H234.9c-33.32 0-64.09-21.36-72.5-53.6c-10.24-39.28 13.62-77.56 50.87-87.65c7.695-2.014 12.69-9.41 11.77-17.31c-.8887-7.646-1.211-6.404-.918-13.17c1.34-30.84 18.11-59.68 45.58-73.76c46.55-23.87 97.39-5.072 119.6 36.24c8.369 15.84 21.93 7.512 24.6 4.621c9.115-9.861 21.16-16.89 34.46-18.77c38.57-5.449 67.2 28.68 62.7 64.32l-.084 .668c-1.117 8.852 6.303 16.44 15.18 15.51c40.06-4.172 77.84 24.05 81.58 64.16C611.7 443.1 578 480 536 480zM168 272c0-8.837-7.163-16-16-16H97.22C65.61 256 36.87 233.7 32.59 202.4C27.96 168.5 50.92 138.2 83.75 132.8c7.088-1.182 12.51-6.955 13.25-14.1C101.1 69.27 142.8 32 192 32c39.5 0 75.5 25 89.63 62.25c3.232 8.621 13.11 12.79 21.5 9c11.03-4.934 22.47-7.439 34.18-7.239c20.63 .3545 39.9 10.86 53.92 25.1C409.9 142.2 415.9 159.9 415.9 176c0 8.837 7.312 16 16.15 16c8.837 0 16-7.163 16-16c0-61.75-50.25-112-112-112c-10.5 0-20.88 1.5-31 4.5C283 27 239.4 0 192 0C130.3 0 78.25 43.88 66.88 103.8C24.08 116.7-4.692 158.2 .6339 204.8C6.132 252.9 49.28 288 97.71 288h54.29C160.8 288 168 280.8 168 272z"],
    "clouds-moon": [640, 512, [], "f745", "M446.5 321.2c-6.99-37.04-39.49-65.16-78.53-65.16c-12.03 0-23.75 2.701-34.42 7.88C315.7 239.2 286.8 224 255.9 224c-52.95 0-96.02 43.08-96.02 96.04c0 1.809 .0645 3.641 .1934 5.508c-37.93 13.16-64.21 49.07-64.21 90.42C95.9 468.9 138.1 512 191.9 512h240.1c52.88 0 95.95-43.07 95.95-95.96C527.1 368.1 492.5 328.2 446.5 321.2zM432 480H194.2c-32.89 0-62.1-23.84-65.87-56.51c-3.941-34.19 19.38-64.5 52.33-70.31c8.951-1.629 14.92-10.37 13.01-19.26c-1.125-5.004-1.752-9.629-1.752-13.88C191.9 284.6 220.7 256 255.9 256c24.63 0 47.27 14.51 57.77 37.02c4.322 9.344 16.27 12.15 24.29 5.699c12.89-10.31 29.38-13.37 44.93-8.248c20.1 6.619 32.94 26.38 32.94 47.54c0 7.596 6.158 14.04 13.75 14.04c32.17 0 61.02 22.75 65.59 54.58C500.9 446.1 470.4 480 432 480zM95.1 320c-36.73 0-66.4-31.21-63.85-68.47C34.48 217.6 64.28 192 98.31 192h15.45c7.547 0 14.04-5.344 15.49-12.75C135.2 149.5 161.7 128 191.1 128c30.25 0 56.76 21.5 62.76 51.25C256.2 186.7 262.7 192 270.2 192H288c24.61 0 45.8 14.16 56.5 34.61c7.619-1.641 15.47-2.604 23.43-2.604c3.559 0 6.931 .4824 10.42 .8105C365.3 187.3 329.9 160 288 160H282.5c-13.25-37.75-49.5-64-90.49-64c-40.1 0-77.26 26.25-90.51 64H98.87c-50.79 0-94.94 38.26-98.61 88.92c-3.715 51.21 33.24 94.44 81.69 101.7C88.79 339.1 97.57 328.9 107.7 320H95.1zM636.6 248.1c-5.094-8.406-14.5-12.69-24.2-10.75c-31 5.812-62.52-2.281-86.56-22.25c-23.78-19.72-37.42-48.63-37.42-79.38c0-37.13 20.2-71.59 52.61-89.88c8.672-4.781 13.23-14.19 11.61-23.97c-1.625-9.812-9-17.25-18.56-18.97C524.1 .9687 513.7 0 503.1 0c-82.51 0-151.2 58.92-166.1 137.9c10.75 4.516 20.81 10.49 29.92 17.72C373.7 85.86 433.8 31.35 505.1 32c-30.45 25.5-48.63 63.41-48.63 103.7c0 40.28 17.86 78.22 49 104c24.98 20.69 55.66 32 88.2 31.44c-20.97 18.28-46.95 29.75-75.05 32.91l-21.61 2.352c12.4 7.453 23.36 16.88 32.58 27.89c41.26-6.492 78.48-27.14 105.1-59.71C640.1 266.9 641.7 256.5 636.6 248.1z"],
    "clouds-sun": [640, 512, [], "f746", "M138.3 314.2l-45.7 9.05L105.1 260c1.125-6.25-1.375-12.75-6.875-16.5l-53.5-35.75l53.5-35.88c5.5-3.625 8-10.12 6.875-16.5l-12.5-63.13l63.13 12.5c6.5 1.25 12.88-1.5 16.5-6.875L208 44.38L243.8 98c3.625 5.25 10 8.125 16.5 6.75l63.13-12.5L316.1 128.9c-2.22 11.21 8.23 20.79 19.21 17.61c5.348-1.551 9.426-5.895 10.64-11.33L359.4 75c1-5.25-.625-10.62-4.375-14.38c-3.75-3.875-9-5.5-14.38-4.375l-76.25 15l-43.13-64.5c-6-9-20.5-9-26.5 0L151.5 71.25L75.25 56.13C69.1 55 64.75 56.75 60.88 60.5C57.13 64.25 55.5 69.75 56.5 74.88l15.12 76.38l-64.5 43.13C2.75 197.4 0 202.4 0 207.8C0 213 2.75 218 7.125 221l64.5 43.25L56.5 340.4c-1 5.375 .625 10.75 4.375 14.38c3.875 3.75 9.25 5.5 14.38 4.5l69.24-12.46c8.692-1.564 14.63-9.665 13.51-18.43C156.8 318.8 147.8 312.3 138.3 314.2zM208 149.8c28.75 0 52.5 21.25 56.88 48.88c2.375-.875 4.875-1.875 7.375-2.375c5-9 11.12-17.12 18-24.5C276.3 140 244.8 117.8 208 117.8c-49.5 0-89.75 40.38-89.75 90c0 39.5 25.62 72.63 61 84.75c.0685-.3065 3.758-16.02 10.62-30.12c-23-7.625-39.75-29.12-39.75-54.63C150.3 175.8 176.1 149.8 208 149.8zM550.4 164.8h-.5c-16.62-40.63-55.25-69.13-99.38-69.13c-46.38 0-86.25 30.12-101.5 74.13c-13.47 4.734-25.26 12.88-34.94 23.21c14.01 1.117 27.62 4.273 40.35 9.789c2.13-1.027 4.307-1.964 6.538-2.772c8.45-3.06 14.97-9.89 17.85-18.41c10.6-31.45 38.53-53.95 71.58-53.95c31.98 0 59.02 20.86 70.37 50.54c4.546 11.89 16.65 18.66 29.37 18.59c.0861-.0005-.0862 0 0 0c31.88 0 57.75 27.5 57.75 61.5c.1094 29.77-19.62 54.55-45.93 60.26c8.922 7.551 16.84 16.14 23.44 25.78C617.4 330.1 640 296.9 640 258.3C640 206.8 599.8 164.8 550.4 164.8zM494.6 321.2c-6.99-37.04-39.58-65.14-78.61-65.14c-12.02 0-23.64 2.684-34.31 7.863C363.8 239.2 335 224 304.1 224c-52.93 0-95.1 43.08-95.1 96.04c0 1.809 .0645 3.645 .1934 5.512c-37.91 13.16-64.19 49.07-64.19 90.42C144.1 468.9 187.2 512 240.1 512h239.1C532.1 512 576 468.1 576 416.1C576 368.1 540.6 328.2 494.6 321.2zM480.1 480l-237.7 .0001c-32.89 0-62.1-23.84-65.86-56.51c-3.941-34.19 19.37-64.5 52.31-70.31c11.08-2.018 15.14-9.321 13.52-16.86c-1.15-5.342-2.267-10.24-2.267-16.29C240.1 284.6 268.9 256 304.1 256c24.62 0 47.25 14.51 57.75 37.02c5.332 11.53 14.39 13.65 24.37 5.629c12.89-10.32 29.3-13.3 44.84-8.172c20.08 6.627 32.91 26.39 32.91 47.54c0 7.581 6.146 14.04 13.73 14.04c32.16 0 61.02 22.75 65.59 54.59C548.1 446.1 518.5 480 480.1 480z"],
    "clover": [448, 512, [], "e139", "M108.3 94.1C108.3 60.2 136.5 32 171.3 32C188 32 204 38.64 215.8 50.45L224 58.6L232.2 50.45C243.1 38.64 259.1 32 276.7 32C311.5 32 339.7 60.2 339.7 94.1V98.52C339.7 111.6 336.4 124.5 330.2 136.1L313.5 167.1L343.5 150.3C355.2 143.8 368.4 140.3 381.9 140.3H385C419.8 140.3 448 168.5 448 203.3C448 220 441.4 236 429.5 247.8L421.4 256L429.5 264.2C441.4 275.1 448 291.1 448 308.7C448 343.5 419.8 371.7 385 371.7H381.7C368.4 371.7 355.3 368.3 343.6 361.9L312.9 344.9L329.9 375.6C336.3 387.3 339.7 400.4 339.7 413.7V417C339.7 451.8 311.5 480 276.7 480C259.1 480 243.1 473.4 232.2 461.5L224 453.4L215.8 461.5C204 473.4 188 480 171.3 480C136.5 480 108.3 451.8 108.3 417V413.7C108.3 400.4 111.7 387.3 118.1 375.6L135.1 344.9L104.4 361.9C92.71 368.3 79.59 371.7 66.26 371.7H62.1C28.2 371.7 0 343.5 0 308.7C0 291.1 6.637 275.1 18.45 264.2L26.6 256L18.45 247.8C6.637 236 0 220 0 203.3C0 168.5 28.2 140.3 62.1 140.3H66.26C79.59 140.3 92.71 143.7 104.4 150.1L135.1 167.1L118.1 136.4C111.7 124.7 108.3 111.6 108.3 98.26L108.3 94.1zM171.3 64C154.2 64 140.3 77.88 140.3 94.1V98.26C140.3 106.2 142.3 113.1 146.1 120.9L190 200.3C193.5 206.5 192.4 214.3 187.3 219.3C182.3 224.4 174.5 225.5 168.3 222L88.91 178.1C81.97 174.3 74.18 172.3 66.26 172.3H62.1C45.88 172.3 32 186.2 32 203.3C32 211.5 35.27 219.4 41.08 225.2L60.54 244.7C63.55 247.7 65.23 251.8 65.23 256C65.23 260.2 63.55 264.3 60.54 267.3L41.08 286.8C35.27 292.6 32 300.5 32 308.7C32 325.8 45.88 339.7 62.1 339.7H66.26C74.18 339.7 81.97 337.7 88.91 333.8L168.3 289.1C174.5 286.5 182.3 287.6 187.3 292.7C192.4 297.7 193.5 305.5 190 311.7L146.1 391.1C142.3 398 140.3 405.8 140.3 413.7V417C140.3 434.1 154.2 448 171.3 448C179.5 448 187.4 444.7 193.2 438.9L212.7 419.5C215.7 416.5 219.8 414.8 224 414.8C228.2 414.8 232.3 416.5 235.3 419.5L254.8 438.9C260.6 444.7 268.5 448 276.7 448C293.8 448 307.7 434.1 307.7 417V413.7C307.7 405.8 305.7 398 301.9 391.1L257.1 311.7C254.5 305.5 255.6 297.7 260.7 292.7C265.7 287.6 273.5 286.5 279.7 289.1L359.1 333.8C366 337.7 373.8 339.7 381.7 339.7H385C402.1 339.7 416 325.8 416 308.7C416 300.5 412.7 292.6 406.9 286.8L387.5 267.3C384.5 264.3 382.8 260.2 382.8 256C382.8 251.8 384.5 247.7 387.5 244.7L406.9 225.2C412.7 219.4 416 211.5 416 203.3C416 186.2 402.1 172.3 385 172.3H381.9C373.9 172.3 366.1 174.4 359.1 178.3L281 221.1C274.8 225.4 267.1 224.4 262 219.4C256.9 214.4 255.8 206.7 259.1 200.4L302 120.9C305.8 114 307.7 106.3 307.7 98.52V94.1C307.7 77.88 293.8 64 276.7 64C268.5 64 260.6 67.27 254.8 73.08L235.3 92.54C232.3 95.55 228.2 97.23 224 97.23C219.8 97.23 215.7 95.55 212.7 92.54L193.2 73.08C187.4 67.27 179.5 64 171.3 64L171.3 64z"],
    "club": [512, 512, [9827], "f327", "M389.8 160.7C397.2 161.4 404.4 162.8 411.4 164.7C469.4 180.2 512 233.1 512 295.1C512 371.1 451.1 432 376 432C336.6 432 301.1 415.2 276.3 388.5C274.8 386.9 273.4 385.3 272 383.6V480H336C344.8 480 352 487.2 352 496C352 504.8 344.8 512 336 512H176C167.2 512 160 504.8 160 496C160 487.2 167.2 480 176 480H240V383.6C238.6 385.3 237.2 386.9 235.7 388.5C210.9 415.2 175.4 432 136 432C60.89 432 0 371.1 0 296C0 233.1 42.64 180.2 100.6 164.7C107.6 162.8 114.8 161.4 122.2 160.7C120.9 153.5 120.2 146.2 120 138.7C120 137.8 120 136.9 120 136C120 60.89 180.9 0 256 0C331.1 0 392 60.89 392 136C392 136.9 391.1 137.8 391.1 138.7C391.8 146.2 391.1 153.5 389.8 160.7V160.7zM360 135.1C360 78.56 313.4 31.1 256 31.1C198.6 31.1 152 78.56 152 135.1C152 142.5 152.6 148.8 153.7 154.9C155.3 163.7 153.2 172.8 147.8 179.9C142.4 187.1 134.3 191.6 125.4 192.5C72.98 197.8 31.1 242.1 31.1 295.1C31.1 353.4 78.56 400 135.1 400C175.7 400 210.2 377.8 227.8 344.1C233.4 334.6 244.2 328.1 255.1 328.1C267.8 328.1 278.6 334.6 284.2 344.1C301.8 377.8 336.3 400 376 400C433.4 400 480 353.4 480 295.1C480 242.1 439 197.8 386.6 192.5C377.7 191.6 369.6 187.1 364.2 179.9C358.8 172.8 356.7 163.7 358.3 154.9C359.4 148.8 360 142.5 360 135.1L360 135.1z"],
    "coconut": [512, 512, [], "e2f6", "M437.4 67.21l-39.86-39.89C379.1 8.799 353 0 322.9 0c-63.45 0-145.3 38.98-214.6 108.3c-102.2 102.2-138.5 231.8-80.99 289.3l39.89 39.89C116.9 487.2 182 512 247.2 512s130.2-24.85 179.9-74.54l10.36-10.36C536.8 327.7 536.8 166.6 437.4 67.21zM32.75 334.9C30.92 318.6 32.84 299.3 38.72 278.3c13.84-49.43 46.59-101.8 92.22-147.4C191.1 69.91 265.5 32 322.9 32c22.61 0 40.11 6.037 52.01 17.94c.002 .002-.002-.002 0 0c38.55 38.55 14.77 148.2-80.99 244c-61.03 61.03-134.6 98.94-191.1 98.94C61.86 392.9 37.81 374.6 32.75 334.9zM434.1 267.3l38.01 38.25c-9.361 34.62-27.04 66.47-52.07 93.25l-42.97-42.2c-6.312-6.172-16.44-6.109-22.62 .2187c-6.188 6.297-6.094 16.42 .1875 22.62l42.7 41.93c-27.41 25.16-60.01 42.7-95.39 51.62l-36.03-36.26c-6.219-6.234-16.34-6.328-22.62-.0625c-6.25 6.219-6.281 16.36-.0625 22.62l19.82 19.95C257.7 479.6 252.5 480 247.2 480c-54.44 0-105.8-19.62-146.3-55.19c.3887 .002 .7402 .0781 1.131 .0781c63.45 0 145.2-38.94 214.6-108.3c70.05-70.05 108.6-152.7 107.7-216.4C460.2 140.9 480 192.4 480 247.2c0 6.717-.3867 13.37-.9727 19.98l-22.28-22.42c-6.188-6.234-16.31-6.344-22.62-.0625C427.9 250.9 427.8 261 434.1 267.3zM257.3 257.1C310 204.3 344.1 147.3 344 111.9c-.0313-15.08-5.969-24.12-10.94-29.06c-33.78-33.67-114.1 15.83-174.4 76.11C105.1 211.7 71.94 268.7 72 304.1c.0313 15.08 5.969 24.12 10.94 29.06C90.53 340.8 100.5 344.1 112 344.1C151.8 344.1 210.6 303.8 257.3 257.1zM105.5 310.5C104.6 309.6 104 307.2 104 304.1C103.1 281.7 130.5 232.4 181.3 181.5c56.94-56.98 105.3-77.75 122.1-77.75c3 0 5.094 .5938 6.219 1.703C311.4 106.4 312 108.8 312 111.9c.0313 22.44-26.5 71.73-77.31 122.6C168.1 301.1 113.2 318.1 105.5 310.5z"],
    "code": [640, 512, [], "f121", "M415.2 21.06L255.2 501.1C252.4 509.4 243.3 513.1 234.9 511.2C226.6 508.4 222 499.3 224.8 490.9L384.8 10.94C387.6 2.554 396.7-1.977 405.1 .8175C413.4 3.612 417.1 12.67 415.2 21.06L415.2 21.06zM170.6 139.9L40.08 256L170.6 372C177.2 377.9 177.8 388 171.1 394.6C166.1 401.2 155.1 401.8 149.4 395.9L5.371 267.1C1.955 264.9 .0003 260.6 0 256C-.0003 251.4 1.954 247.1 5.37 244L149.4 116C155.1 110.2 166.1 110.8 171.1 117.4C177.8 123.1 177.2 134.1 170.6 139.9L170.6 139.9zM490.6 116L634.6 244C638 247.1 640 251.4 640 255.1C640 260.6 638 264.9 634.6 267.1L490.6 395.9C484 401.8 473.9 401.2 468 394.6C462.2 388 462.8 377.9 469.4 372L599.9 255.1L469.4 139.9C462.8 134.1 462.2 123.1 468 117.4C473.9 110.8 484 110.2 490.6 116H490.6z"],
    "code-branch": [448, 512, [], "f126", "M160 80C160 118.7 132.5 150.1 96 158.4V273.6C116.3 252.9 144.7 240 176 240H272C316.2 240 352 204.2 352 160V158.4C315.5 150.1 288 118.7 288 80C288 35.82 323.8 0 368 0C412.2 0 448 35.82 448 80C448 118.7 420.5 150.1 384 158.4V160C384 221.9 333.9 272 272 272H176C131.8 272 96 307.8 96 352V353.6C132.5 361 160 393.3 160 432C160 476.2 124.2 512 80 512C35.82 512 0 476.2 0 432C0 393.3 27.48 361 64 353.6V158.4C27.48 150.1 0 118.7 0 80C0 35.82 35.82 0 80 0C124.2 0 160 35.82 160 80V80zM80 128C106.5 128 128 106.5 128 80C128 53.49 106.5 32 80 32C53.49 32 32 53.49 32 80C32 106.5 53.49 128 80 128zM368 128C394.5 128 416 106.5 416 80C416 53.49 394.5 32 368 32C341.5 32 320 53.49 320 80C320 106.5 341.5 128 368 128zM80 480C106.5 480 128 458.5 128 432C128 405.5 106.5 384 80 384C53.49 384 32 405.5 32 432C32 458.5 53.49 480 80 480z"],
    "code-commit": [640, 512, [], "f386", "M447 272C439.1 335.1 385.3 384 320 384C254.7 384 200.9 335.1 192.1 272H16C7.164 272 0 264.8 0 256C0 247.2 7.164 240 16 240H192.1C200.9 176.9 254.7 128 320 128C385.3 128 439.1 176.9 447 240H624C632.8 240 640 247.2 640 256C640 264.8 632.8 272 624 272H447zM320 352C373 352 416 309 416 256C416 202.1 373 160 320 160C266.1 160 224 202.1 224 256C224 309 266.1 352 320 352z"],
    "code-compare": [512, 512, [], "e13a", "M322.8 484.2C329.3 490.1 329.8 500.2 323.8 506.8C317.9 513.3 307.8 513.8 301.2 507.8L213.2 427.8C209.9 424.8 208 420.5 208 416C208 411.5 209.9 407.2 213.2 404.2L301.2 324.2C307.8 318.2 317.9 318.7 323.8 325.2C329.8 331.8 329.3 341.9 322.8 347.8L265.4 400H336C380.2 400 416 364.2 416 320V158.4C379.5 150.1 352 118.7 352 80C352 35.82 387.8 0 432 0C476.2 0 512 35.82 512 80C512 118.7 484.5 150.1 448 158.4V320C448 381.9 397.9 432 336 432H265.4L322.8 484.2zM384 80C384 106.5 405.5 128 432 128C458.5 128 480 106.5 480 80C480 53.49 458.5 32 432 32C405.5 32 384 53.49 384 80zM189.2 27.84C182.7 21.9 182.2 11.78 188.2 5.237C194.1-1.301 204.2-1.783 210.8 4.161L298.8 84.16C302.1 87.19 304 91.49 304 96C304 100.5 302.1 104.8 298.8 107.8L210.8 187.8C204.2 193.8 194.1 193.3 188.2 186.8C182.2 180.2 182.7 170.1 189.2 164.2L246.6 112H176C131.8 112 96 147.8 96 192V353.6C132.5 361 160 393.3 160 432C160 476.2 124.2 512 80 512C35.82 512 0 476.2 0 432C0 393.3 27.48 361 64 353.6V192C64 130.1 114.1 80 176 80H246.6L189.2 27.84zM128 432C128 405.5 106.5 384 80 384C53.49 384 32 405.5 32 432C32 458.5 53.49 480 80 480C106.5 480 128 458.5 128 432z"],
    "code-fork": [448, 512, [], "e13b", "M160 80C160 118.7 132.5 150.1 96 158.4V192C96 218.5 117.5 240 144 240H304C330.5 240 352 218.5 352 192V158.4C315.5 150.1 288 118.7 288 80C288 35.82 323.8 0 368 0C412.2 0 448 35.82 448 80C448 118.7 420.5 150.1 384 158.4V192C384 236.2 348.2 272 304 272H240V353.6C276.5 361 304 393.3 304 432C304 476.2 268.2 512 224 512C179.8 512 144 476.2 144 432C144 393.3 171.5 361 208 353.6V272H144C99.82 272 64 236.2 64 192V158.4C27.48 150.1 0 118.7 0 80C0 35.82 35.82 0 80 0C124.2 0 160 35.82 160 80V80zM80 128C106.5 128 128 106.5 128 80C128 53.49 106.5 32 80 32C53.49 32 32 53.49 32 80C32 106.5 53.49 128 80 128zM224 384C197.5 384 176 405.5 176 432C176 458.5 197.5 480 224 480C250.5 480 272 458.5 272 432C272 405.5 250.5 384 224 384zM368 32C341.5 32 320 53.49 320 80C320 106.5 341.5 128 368 128C394.5 128 416 106.5 416 80C416 53.49 394.5 32 368 32z"],
    "code-merge": [448, 512, [], "f387", "M208 256H289.6C297 219.5 329.3 192 368 192C412.2 192 448 227.8 448 272C448 316.2 412.2 352 368 352C329.3 352 297 324.5 289.6 288H208C162.8 288 122.4 267.1 96 234.5V353.6C132.5 361 160 393.3 160 432C160 476.2 124.2 512 80 512C35.82 512 0 476.2 0 432C0 393.3 27.48 361 64 353.6V158.4C27.48 150.1 0 118.7 0 80C0 35.82 35.82 0 80 0C124.2 0 160 35.82 160 80C160 118.4 132.1 150.5 96.89 158.2C103.9 213.4 150.1 256 208 256zM80 128C106.5 128 128 106.5 128 80C128 53.49 106.5 32 80 32C53.49 32 32 53.49 32 80C32 106.5 53.49 128 80 128zM320 272C320 298.5 341.5 320 368 320C394.5 320 416 298.5 416 272C416 245.5 394.5 224 368 224C341.5 224 320 245.5 320 272zM80 480C106.5 480 128 458.5 128 432C128 405.5 106.5 384 80 384C53.49 384 32 405.5 32 432C32 458.5 53.49 480 80 480z"],
    "code-pull-request": [512, 512, [], "e13c", "M323.8 5.237C329.8 11.78 329.3 21.9 322.8 27.84L265.4 80H336C397.9 80 448 130.1 448 192V353.6C484.5 361 512 393.3 512 432C512 476.2 476.2 512 432 512C387.8 512 352 476.2 352 432C352 393.3 379.5 361 416 353.6V192C416 147.8 380.2 112 336 112H265.4L322.8 164.2C329.3 170.1 329.8 180.2 323.8 186.8C317.9 193.3 307.8 193.8 301.2 187.8L213.2 107.8C209.9 104.8 208 100.5 208 96C208 91.49 209.9 87.19 213.2 84.16L301.2 4.161C307.8-1.783 317.9-1.301 323.8 5.237V5.237zM432 384C405.5 384 384 405.5 384 432C384 458.5 405.5 480 432 480C458.5 480 480 458.5 480 432C480 405.5 458.5 384 432 384zM96 353.6C132.5 361 160 393.3 160 432C160 476.2 124.2 512 80 512C35.82 512 0 476.2 0 432C0 393.3 27.48 361 64 353.6V158.4C27.48 150.1 0 118.7 0 80C0 35.82 35.82 0 80 0C124.2 0 160 35.82 160 80C160 118.7 132.5 150.1 96 158.4V353.6zM80 32C53.49 32 32 53.49 32 80C32 106.5 53.49 128 80 128C106.5 128 128 106.5 128 80C128 53.49 106.5 32 80 32zM80 384C53.49 384 32 405.5 32 432C32 458.5 53.49 480 80 480C106.5 480 128 458.5 128 432C128 405.5 106.5 384 80 384z"],
    "code-pull-request-closed": [448, 512, [], "e3f9", "M160 80C160 118.7 132.5 150.1 96 158.4V353.6C132.5 361 160 393.3 160 432C160 476.2 124.2 512 80 512C35.82 512 0 476.2 0 432C0 393.3 27.48 361 64 353.6V158.4C27.48 150.1 0 118.7 0 80C0 35.82 35.82 0 80 0C124.2 0 160 35.82 160 80V80zM80 32C53.49 32 32 53.49 32 80C32 106.5 53.49 128 80 128C106.5 128 128 106.5 128 80C128 53.49 106.5 32 80 32zM80 480C106.5 480 128 458.5 128 432C128 405.5 106.5 384 80 384C53.49 384 32 405.5 32 432C32 458.5 53.49 480 80 480zM352 208C352 199.2 359.2 192 368 192C376.8 192 384 199.2 384 208V353.6C420.5 361 448 393.3 448 432C448 476.2 412.2 512 368 512C323.8 512 288 476.2 288 432C288 393.3 315.5 361 352 353.6V208zM368 480C394.5 480 416 458.5 416 432C416 405.5 394.5 384 368 384C341.5 384 320 405.5 320 432C320 458.5 341.5 480 368 480zM300.7 12.69C306.9 6.438 317.1 6.438 323.3 12.69L368 57.37L412.7 12.69C418.9 6.438 429.1 6.438 435.3 12.69C441.6 18.93 441.6 29.07 435.3 35.31L390.6 80L435.3 124.7C441.6 130.9 441.6 141.1 435.3 147.3C429.1 153.6 418.9 153.6 412.7 147.3L368 102.6L323.3 147.3C317.1 153.6 306.9 153.6 300.7 147.3C294.4 141.1 294.4 130.9 300.7 124.7L345.4 80L300.7 35.31C294.4 29.07 294.4 18.94 300.7 12.69V12.69z"],
    "code-pull-request-draft": [448, 512, [], "e3fa", "M96 353.6C132.5 361 160 393.3 160 432C160 476.2 124.2 512 80 512C35.82 512 0 476.2 0 432C0 393.3 27.48 361 64 353.6V158.4C27.48 150.1 0 118.7 0 80C0 35.82 35.82 0 80 0C124.2 0 160 35.82 160 80C160 118.7 132.5 150.1 96 158.4V353.6zM80 32C53.49 32 32 53.49 32 80C32 106.5 53.49 128 80 128C106.5 128 128 106.5 128 80C128 53.49 106.5 32 80 32zM80 384C53.49 384 32 405.5 32 432C32 458.5 53.49 480 80 480C106.5 480 128 458.5 128 432C128 405.5 106.5 384 80 384zM288 432C288 387.8 323.8 352 368 352C412.2 352 448 387.8 448 432C448 476.2 412.2 512 368 512C323.8 512 288 476.2 288 432zM368 480C394.5 480 416 458.5 416 432C416 405.5 394.5 384 368 384C341.5 384 320 405.5 320 432C320 458.5 341.5 480 368 480zM400 64C400 81.67 385.7 96 368 96C350.3 96 336 81.67 336 64C336 46.33 350.3 32 368 32C385.7 32 400 46.33 400 64zM336 224C336 206.3 350.3 192 368 192C385.7 192 400 206.3 400 224C400 241.7 385.7 256 368 256C350.3 256 336 241.7 336 224z"],
    "code-simple": [576, 512, [], "e13d", "M38.63 256L203.3 420.7C209.6 426.9 209.6 437.1 203.3 443.3C197.1 449.6 186.9 449.6 180.7 443.3L4.686 267.3C-1.562 261.1-1.562 250.9 4.686 244.7L180.7 68.69C186.9 62.44 197.1 62.44 203.3 68.69C209.6 74.94 209.6 85.07 203.3 91.31L38.63 256zM372.7 91.31C366.4 85.07 366.4 74.94 372.7 68.69C378.9 62.44 389.1 62.44 395.3 68.69L571.3 244.7C577.6 250.9 577.6 261.1 571.3 267.3L395.3 443.3C389.1 449.6 378.9 449.6 372.7 443.3C366.4 437.1 366.4 426.9 372.7 420.7L537.4 255.1L372.7 91.31z"],
    "coffee-bean": [448, 512, [], "e13e", "M287.2 32c-67.49 0-138.6 37.66-193.7 92.7C-82.77 300.7 19.86 480 160.9 480c67.49 0 138.9-37.67 193.1-92.71C531.3 210.1 427.4 32 287.2 32zM115.9 147.3C168.2 95.15 232.2 64 287.3 64c.19 0 .3799 .0004 .5698 .0011c30.08 .1162 58.71 13.46 80.34 34.31l.7481 .7228c-18.84 61.79-60.51 131.5-153.8 149c-80.5 15.12-137.1 60.78-165.1 132.6C12.43 334.4 32.1 231.1 115.9 147.3zM332.2 364.7C279.9 416.9 215.9 448 160.8 448c-47.12 0-62.83-16.11-87.01-40.27C96.57 337.8 146.9 293.4 221.1 279.5c82.92-15.6 142.1-68.62 172.1-154C448.1 189.4 396.1 300.8 332.2 364.7z"],
    "coffee-beans": [512, 512, [], "e13f", "M0 351.6c.1465 214 256.2 213.4 256 .7194C255.9 138.3-.1504 139 0 351.6zM125.3 480l-.4609-.0059c-24.97-.3301-49.55-13.53-64.42-33.2C41.03 421.2 32.02 384.6 32 351.6C31.95 282.6 68.38 228.7 100.4 224c-19.94 49.28-15.71 100.8 13.63 142.9C139 402.7 142.8 442.5 125.3 480zM160.5 476.9c13.99-42.28 7.5-88.26-19.98-127.7C114.8 312.3 113.3 267.2 135.8 222.7C223.8 225.3 223.1 349.2 224 352.4C224 397.5 206.9 458.4 160.5 476.9zM452.5 59.92c-152.6-152.5-320.5 16.64-168.1 168.2C436.1 380.6 604 211.4 452.5 59.92zM304.6 206.1c-32.15-32.14-64.26-86.81-46.89-130.7c20.91 39.37 57.93 67.88 104.1 77.93c43.18 9.352 76.28 40.62 93.18 87.11C395.2 297.5 306.8 209.2 304.6 206.1zM477.3 217.1c-21.98-48.28-61.45-82.21-110.7-92.91c-41.98-9.113-72.73-34.96-87.99-73.23c.1035-.0996 .207-.2012 .3086-.3008c16.67-16.22 42.25-22.1 66.04-18.77c31.03 5.51 62.99 25.63 86.5 49.14C480.7 130.2 495 192.6 477.3 217.1z"],
    "coffee-pot": [512, 512, [], "e002", "M431.5 177.6l41.49-124.6C476.4 42.7 468.7 32 457.8 32H80C35.82 32 0 67.82 0 112v96C0 216.8 7.199 224 16 224S32 216.8 32 208v-96C32 85.49 53.49 64 80 64h26.62l38.13 114.1C95.38 217.9 64 277.8 64 344.6c0 51.48 18.64 84.76 49.62 117.7C124.3 473.8 139.5 480 155.1 480l265.8 0c15.53 0 30.66-6.274 41.32-17.57C493.3 429.5 512 396.2 512 344.6C512 278.4 481.4 217.9 431.5 177.6zM140.4 64h295.3l-32 96H172.4L140.4 64zM178.5 192h219.8c21 16.88 54.63 42.13 72.5 96H105.4C123.5 234 158.3 208.4 178.5 192zM439 440.5C434.3 445.4 427.6 448.1 420.9 448H155.1c-6.875 .125-13.38-2.625-18.12-7.625C107.1 408.8 96 382.8 96 344.6C96.13 336.4 96.75 328.1 97.88 320h380.3C479.4 328.1 480 336.4 480 344.6C480 382.8 468.9 408.8 439 440.5z"],
    "coffin": [448, 512, [9904], "f6c6", "M402.7 112.8L303.9 13.5C295.1 4.75 283.6 0 271.4 0H176.6C164.4 0 152.9 4.75 144.1 13.5L45.35 112.8c-11.25 11.38-15.88 28-12 43.63l79.88 320.8C118.2 497.6 136.6 512 157.7 512h132.5c21.13 0 39.51-14.38 44.51-34.88l79.89-320.8C418.5 140.8 413.9 124.1 402.7 112.8zM303.8 469.4C302.3 475.6 296.6 480 290.3 480H157.7c-6.375 0-12-4.375-13.5-10.62L64.35 148.6C63.23 143.9 64.6 138.8 68.1 135.3l98.64-99.13C169.5 33.5 172.1 32 176.6 32h94.76c3.75 0 7.125 1.5 9.75 4l98.76 99.25c3.502 3.5 4.877 8.625 3.752 13.38L303.8 469.4z"],
    "coffin-cross": [384, 512, [], "e051", "M370.7 112.8L271.9 13.5C263.1 4.75 251.6 0 239.4 0H144.6C132.4 0 120.9 4.75 112.1 13.5L13.35 112.8c-11.25 11.38-15.88 28-12 43.63l79.88 320.8C86.24 497.6 104.6 512 125.7 512h132.5c21.13 0 39.51-14.38 44.51-34.88l79.89-320.8C386.5 140.8 381.9 124.1 370.7 112.8zM271.8 469.4C270.3 475.6 264.6 480 258.3 480H125.7c-6.375 0-12-4.375-13.5-10.62L32.35 148.6C31.23 143.9 32.6 138.8 36.1 135.3l98.64-99.13C137.5 33.5 140.1 32 144.6 32h94.76c3.75 0 7.125 1.5 9.75 4l98.76 99.25c3.502 3.5 4.877 8.625 3.752 13.38L271.8 469.4zM272 176h-64v-64c0-8.844-7.155-16-15.1-16S176 103.2 176 112v64h-64C103.2 176 96 183.2 96 192s7.156 16 16 16h64v128c0 8.844 7.155 16 15.1 16S208 344.8 208 336v-128h64C280.8 208 288 200.8 288 192S280.8 176 272 176z"],
    "coin": [512, 512, [129689], "f85c", "M428.1 242.3C418.1 252.2 403.2 260.4 386.2 267C352.1 280.2 306.1 288 255.1 288C205.9 288 159.9 280.2 125.8 267C108.8 260.4 93.92 252.2 83.04 242.3C72.15 232.3 63.1 219.4 63.1 204C63.1 188.6 72.15 175.7 83.04 165.7C93.92 155.8 108.8 147.6 125.8 140.1C159.9 127.8 205.9 120 255.1 120C306.1 120 352.1 127.8 386.2 140.1C403.2 147.6 418.1 155.8 428.1 165.7C439.8 175.7 448 188.6 448 204C448 219.4 439.8 232.3 428.1 242.3V242.3zM137.3 170.8C122.5 176.6 111.6 183 104.6 189.3C97.7 195.7 96 200.6 96 204C96 207.4 97.7 212.3 104.6 218.7C111.6 224.1 122.5 231.4 137.3 237.2C166.9 248.6 208.9 256 256 256C303.1 256 345.1 248.6 374.7 237.2C389.5 231.4 400.4 224.1 407.4 218.7C414.3 212.3 416 207.4 416 204C416 200.6 414.3 195.7 407.4 189.3C400.4 183 389.5 176.6 374.7 170.8C345.1 159.4 303.1 152 256 152C208.9 152 166.9 159.4 137.3 170.8zM0 208C0 128.5 114.6 64 256 64C397.4 64 512 128.5 512 208V320C512 390.7 397.4 448 256 448C114.6 448 0 390.7 0 320V208zM421.3 281.9C463 258.5 480 231.1 480 208C480 184.9 463 157.5 421.3 134.1C380.6 111.2 322.2 95.1 256 95.1C189.8 95.1 131.4 111.2 90.67 134.1C48.96 157.5 32 184.9 32 207.1C32 231.1 48.96 258.5 90.67 281.9C131.4 304.8 189.8 319.1 256 319.1C322.2 319.1 380.6 304.8 421.3 281.9V281.9zM176 409.2C196 412.7 217.5 414.1 240 415.7V351.7C217.8 350.1 196.3 348.6 176 344.8V409.2zM144 337.5C126.8 332.8 110.8 327.1 96 320.4V385.1C110.2 391.7 126.3 397.4 144 402.1V337.5zM32 320C32 332.9 40.51 349.9 64 366.8V303.2C51.78 295.5 41.03 286.9 32 277.8V320zM272 351.7V415.7C294.5 414.1 315.1 412.7 336 409.2V344.8C315.7 348.6 294.2 350.1 272 351.7V351.7zM480 277.8C470.1 286.9 460.2 295.5 448 303.2V366.8C471.5 349.9 480 332.9 480 320V277.8zM368 402.1C385.7 397.4 401.8 391.7 416 385.1V320.4C401.3 327.1 385.2 332.8 368 337.5V402.1z"],
    "coin-blank": [512, 512, [], "e3fb", "M512 208V320C512 390.7 397.4 448 256 448C114.6 448 0 390.7 0 320V208C0 128.5 114.6 64 256 64C397.4 64 512 128.5 512 208zM90.67 281.9C131.4 304.8 189.8 320 256 320C322.2 320 380.6 304.8 421.3 281.9C463 258.5 480 231.1 480 208C480 184.9 463 157.5 421.3 134.1C380.6 111.2 322.2 96 256 96C189.8 96 131.4 111.2 90.67 134.1C48.96 157.5 32 184.9 32 207.1C32 231.1 48.96 258.5 90.67 281.9V281.9zM240 351.7C217.8 350.1 196.3 348.6 176 344.8V409.2C196 412.7 217.5 414.1 240 415.7V351.7zM96 385.1C110.2 391.7 126.3 397.4 144 402.1V337.5C126.8 332.8 110.8 327.1 96 320.4V385.1zM64 303.2C51.78 295.5 41.03 286.9 32 277.8V320C32 332.9 40.51 349.9 64 366.8V303.2zM336 409.2V344.8C315.7 348.6 294.2 350.1 272 351.7V415.7C294.5 414.1 315.1 412.7 336 409.2V409.2zM448 366.8C471.5 349.9 480 332.9 480 320V277.8C470.1 286.9 460.2 295.5 448 303.2V366.8zM416 320.4C401.3 327.1 385.2 332.8 368 337.5V402.1C385.7 397.4 401.8 391.7 416 385.1V320.4z"],
    "coin-front": [512, 512, [], "e3fc", "M272 336C272 344.8 264.8 352 256 352C247.2 352 240 344.8 240 336V176C240 167.2 247.2 160 256 160C264.8 160 272 167.2 272 176V336zM64 256C64 149.1 149.1 64 256 64C362 64 448 149.1 448 256C448 362 362 448 256 448C149.1 448 64 362 64 256zM256 416C344.4 416 416 344.4 416 256C416 167.6 344.4 96 256 96C167.6 96 96 167.6 96 256C96 344.4 167.6 416 256 416zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480z"],
    "coin-vertical": [384, 512, [], "e3fd", "M178.3 83.04C188.2 93.92 196.4 108.8 203 125.8C216.2 159.9 224 205.9 224 256C224 306.1 216.2 352.1 203 386.2C196.4 403.2 188.2 418.1 178.3 428.1C168.3 439.8 155.4 448 140 448C124.6 448 111.7 439.8 101.7 428.1C91.78 418.1 83.56 403.2 76.99 386.2C63.81 352.1 56 306.1 56 256C56 205.9 63.81 159.9 76.99 125.8C83.56 108.8 91.78 93.92 101.7 83.04C111.7 72.15 124.6 64 140 64C155.4 64 168.3 72.15 178.3 83.04V83.04zM106.8 374.7C112.6 389.5 119 400.4 125.3 407.4C131.7 414.3 136.6 416 140 416C143.4 416 148.3 414.3 154.7 407.4C160.1 400.4 167.4 389.5 173.2 374.7C184.6 345.1 192 303.1 192 256C192 208.9 184.6 166.9 173.2 137.3C167.4 122.5 160.1 111.6 154.7 104.6C148.3 97.7 143.4 95.1 140 95.1C136.6 95.1 131.7 97.7 125.3 104.6C119 111.6 112.6 122.5 106.8 137.3C95.41 166.9 88 208.9 88 256C88 303.1 95.41 345.1 106.8 374.7V374.7zM144 512C64.47 512 0 397.4 0 256C0 114.6 64.47 0 144 0H256C326.7 0 384 114.6 384 256C384 397.4 326.7 512 256 512H144zM217.9 90.67C194.5 48.96 167.1 32 144 32C120.9 32 93.53 48.96 70.07 90.67C47.17 131.4 32 189.8 32 256C32 322.2 47.17 380.6 70.07 421.3C93.53 463 120.9 480 144 480C167.1 480 194.5 463 217.9 421.3C240.8 380.6 256 322.2 256 256C256 189.8 240.8 131.4 217.9 90.67V90.67zM345.2 336C348.7 315.1 350.1 294.5 351.7 272H287.7C286.1 294.2 284.6 315.7 280.8 336H345.2zM273.5 368C268.8 385.2 263.1 401.3 256.4 416H321.1C327.7 401.8 333.4 385.7 338.1 368H273.5zM256 480C268.9 480 285.9 471.5 302.8 448H239.3C231.5 460.2 222.9 470.1 213.8 480H256zM287.7 240H351.7C350.1 217.5 348.7 196 345.2 176H280.8C284.6 196.3 286.1 217.8 287.7 240V240zM213.8 32C222.9 41.03 231.5 51.78 239.3 64H302.8C285.9 40.51 268.9 32 256 32H213.8zM338.1 144C333.4 126.3 327.7 110.2 321.1 96H256.4C263.1 110.8 268.8 126.8 273.5 144H338.1z"],
    "coins": [512, 512, [], "f51e", "M168.3 92.78C169.6 93.97 171.2 95.17 172.9 96.36C157.5 96.95 142.5 98.24 128 100.2V80C128 64.75 136.6 52.28 147.4 42.96C158.3 33.58 173.1 25.87 190.1 19.71C224.1 7.338 270 0 320 0C369.1 0 415.9 7.338 449.9 19.71C466.9 25.87 481.7 33.58 492.6 42.96C503.4 52.28 512 64.75 512 80V184V184V297.9C512 313.3 503.8 326.1 492.9 335.9C481.1 345.7 467.1 353.8 450.1 360.3C439.8 364.2 428.3 367.7 416 370.6V337.6C424.2 335.4 431.8 333 438.8 330.4C453.6 324.7 464.5 318.4 471.5 312.1C478.4 305.9 480 301 480 297.9V231.7C471.3 237.3 461.2 242.2 450.1 246.4C439.8 250.3 428.3 253.8 416 256.7V223.7C424.2 221.5 431.8 219.1 438.8 216.5C453.6 210.8 464.5 204.4 471.5 198.2C478.4 191.1 480 187.1 480 184V126.1C471.2 131.6 461 136.3 449.9 140.3C432.6 146.6 412.3 151.6 389.9 154.9C388.1 152.1 386.2 151.2 384.3 149.5C374.2 140.4 362.6 133 350.5 127C385.2 124.7 415.9 118.6 438.1 110.2C453.9 104.8 464.8 98.72 471.7 92.78C478.7 86.79 480 82.42 480 80C480 77.58 478.7 73.21 471.7 67.22C464.8 61.28 453.9 55.2 438.1 49.78C409.3 38.99 367.2 32 320 32C272.8 32 230.7 38.99 201 49.78C186.1 55.2 175.2 61.28 168.3 67.22C161.3 73.21 159.1 77.58 159.1 80C159.1 82.42 161.3 86.79 168.3 92.78L168.3 92.78zM0 208C0 192.7 8.552 180.3 19.4 170.1C30.3 161.6 45.14 153.9 62.08 147.7C96.1 135.3 142 128 192 128C241.1 128 287.9 135.3 321.9 147.7C338.9 153.9 353.7 161.6 364.6 170.1C375.4 180.3 384 192.7 384 208V425.9C384 441.3 375.8 454.1 364.9 463.9C353.1 473.7 339.1 481.8 322.1 488.3C288.1 501.3 242 508.1 192 508.1C141.1 508.1 95.95 501.3 61.85 488.3C44.86 481.8 30.01 473.7 19.12 463.9C8.241 454.1 .0003 441.3 .0003 425.9L0 208zM40.26 220.8C47.17 226.7 58.11 232.8 73.02 238.2C102.7 249 144.8 256 192 256C239.2 256 281.3 249 310.1 238.2C325.9 232.8 336.8 226.7 343.7 220.8C350.7 214.8 352 210.4 352 208C352 205.6 350.7 201.2 343.7 195.2C336.8 189.3 325.9 183.2 310.1 177.8C281.3 166.1 239.2 160 192 160C144.8 160 102.7 166.1 73.02 177.8C58.11 183.2 47.17 189.3 40.26 195.2C33.3 201.2 32 205.6 32 208C32 210.4 33.3 214.8 40.26 220.8V220.8zM321.9 268.3C287.9 280.7 241.1 288 192 288C142 288 96.1 280.7 62.08 268.3C50.98 264.3 40.78 259.5 32 254.1V312C32 315.1 33.61 319.1 40.54 326.2C47.46 332.4 58.39 338.8 73.25 344.5C102.9 355.7 144.8 363 192 363C239.2 363 281.1 355.7 310.8 344.5C325.6 338.8 336.5 332.4 343.5 326.2C350.4 319.1 352 315.1 352 312V254.1C343.2 259.5 333 264.3 321.9 268.3zM40.54 440.1C47.46 446.4 58.39 452.7 73.25 458.4C102.9 469.6 144.8 476.1 192 476.1C239.2 476.1 281.1 469.6 310.8 458.4C325.6 452.7 336.5 446.4 343.5 440.1C350.4 433.9 352 429 352 425.9V359.7C343.3 365.3 333.2 370.2 322.1 374.4C288.1 387.4 242 395 192 395C141.1 395 95.95 387.4 61.85 374.4C50.84 370.2 40.72 365.3 31.1 359.7V425.9C31.1 429 33.61 433.9 40.54 440.1H40.54z"],
    "colon": [128, 512, [], "3a", "M64 192c35.35 0 64-28.65 64-64c0-35.35-28.65-64-64-64s-64 28.65-64 64C.0008 163.3 28.66 192 64 192zM64 96c17.64 0 32 14.36 32 32s-14.36 32-32 32S32 145.6 32 128S46.36 96 64 96zM64 320c-35.35 0-64 28.65-64 64c0 35.35 28.65 64 64 64s64-28.65 64-64C128 348.7 99.35 320 64 320zM64 416c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S81.64 416 64 416z"],
    "colon-sign": [320, 512, [], "e140", "M213.1 64.72C228.7 66.04 243.7 69.15 258.1 73.84L272.4 12.36C274.4 3.759 283-1.59 291.6 .4181C300.2 2.426 305.6 11.03 303.6 19.64L287.1 86.43C296.9 91.09 305.4 96.4 313.5 102.3C320.6 107.5 322.1 117.6 316.9 124.7C311.7 131.8 301.6 133.3 294.5 128.1C290 124.8 285.3 121.7 280.4 118.8L211.3 415.3C242.4 412.5 270.9 401.2 294.5 383.9C301.6 378.7 311.7 380.2 316.9 387.3C322.1 394.4 320.6 404.5 313.5 409.7C282.6 432.4 244.7 446.3 203.7 447.9L191.6 499.6C189.6 508.2 180.1 513.6 172.4 511.6C163.8 509.6 158.4 500.1 160.4 492.4L171.1 446.5C155.6 444.5 140.7 440.8 126.5 435.6L111.6 499.6C109.6 508.2 100.1 513.6 92.36 511.6C83.76 509.6 78.41 500.1 80.42 492.4L96.91 421.7C39.01 388.4 0 326.8 0 256C0 154.9 79.64 72.47 180.2 64.61L192.4 12.36C194.4 3.759 203-1.59 211.6 .4181C220.2 2.426 225.6 11.03 223.6 19.64L213.1 64.72zM172.5 97.62C92.83 108.7 32 175.7 32 256C32 311.2 60.73 360.1 104.6 388.9L172.5 97.62zM178.4 415.1L250.8 105.1C236.6 100.2 221.4 97.17 205.7 96.28L133.9 404.1C147.9 409.7 162.8 413.5 178.4 415.1V415.1z"],
    "columns-3": [640, 512, [], "e361", "M0 96C0 60.65 28.65 32 64 32H576C611.3 32 640 60.65 640 96V416C640 451.3 611.3 480 576 480H64C28.65 480 0 451.3 0 416V96zM448 448H576C593.7 448 608 433.7 608 416V96C608 78.33 593.7 64 576 64H448V448zM416 64H224V448H416V64zM192 448V64H64C46.33 64 32 78.33 32 96V416C32 433.7 46.33 448 64 448H192z"],
    "comet": [512, 512, [], "e003", "M504.8 7.279c-6.375-6.375-15.75-8.875-24.5-6.25c-32.25 9.875-108.9 33.63-167.4 58.88c-1.166-3.83-3.572-20.44-20.12-27.5c-8.5-3.625-18.25-3.125-26.38 1.25c-43.25 22.5-150 81.13-208.4 139.5c-77.38 77.38-77.38 203.4 0 280.8c77.63 77.5 203.4 77.5 281 0c58.25-58.25 116.9-165 139.5-208.3c4.25-8.125 4.625-17.75 1.125-26.38c-6.754-16.4-23.03-18.63-27.5-20.12c25-58.13 49-134.9 58.88-167.3C513.7 23.15 511.2 13.65 504.8 7.279zM407.7 219.4l42.38 11.38c0 0-78.63 145.4-133.8 200.5c-64.88 64.88-170.8 65-235.6 0s-64.88-170.8 0-235.6c55.13-55 199.3-134.1 199.3-134.1l12.62 43c0 0 61.45-30.92 183.6-68.63C441.3 149.6 407.7 219.4 407.7 219.4zM221.7 173.8c-2.5-5.125-7.875-8.502-13.75-8.502c-5.75 0-11.12 3.377-13.75 8.502l-31.25 63.5L93.09 247.6c-5.748 .875-10.5 4.875-12.37 10.38c-1.75 5.625-.25 11.62 4 15.75l50.5 49.38l-12 69.63c-.75 4.5 .5 9 3.5 12.5c2.875 3.5 7.125 5.5 11.62 5.5c2.5 0 5-.625 7.125-1.875l62.51-32.73l62.61 32.73c5.123 2.75 11.37 2.375 16.12-1.125c4.625-3.375 7-9.25 6-15l-11.88-69.63l50.5-49.38c4.25-4.125 5.75-10.12 3.875-15.75c-1.75-5.5-6.625-9.5-12.38-10.38L252.1 237.3L221.7 173.8zM246.5 311.8l9 53l-47.5-25l-47.37 25l9.125-53l-38.5-37.5l52.1-7.75l23.75-48.13l23.75 48.13l53.12 7.75L246.5 311.8z"],
    "comma": [192, 512, [], "2c", "M156.4 327.4c-8.773-24.27-33.94-39.39-58.1-39.39c-.002 0 .0039 0 0 0c-9.959 .002-19.91 2.39-28.8 7.544c-15.66 9.051-26.41 24.44-29.45 42.25l-22.57 131.7c-2.986 17.32 6.9 34.29 23.49 40.31C44.12 511.3 48.34 511.1 52.51 511.1c12.67 0 24.82-6.604 31.51-18.03l67.69-115.4C160.8 363 162.5 344.4 156.4 327.4zM124.1 362.4l-67.71 115.4c-.793 1.355-2.105 1.98-4.18 1.98c-.4004 0-.8262-.0234-1.283-.0684c-2.016-.7305-3.221-2.746-2.861-4.822l22.57-131.7c1.434-8.383 6.508-15.65 13.96-19.96C88.29 321.1 92.59 320 97.36 320c12.71 0 25.13 7.857 28.91 18.31C129.2 346.3 128.4 355.1 124.1 362.4z"],
    "command": [448, 512, [], "e142", "M368 320H320V192h48C412.2 192 448 156.2 448 112C448 67.82 412.2 32 368 32S288 67.82 288 112V160H160V112C160 67.82 124.2 32 80 32S0 67.82 0 112C0 156.2 35.82 192 80 192H128v128H80C35.82 320 0 355.8 0 400C0 444.2 35.82 480 80 480S160 444.2 160 400V352h128v48c0 44.18 35.82 80 80 80s80-35.82 80-80C448 355.8 412.2 320 368 320zM320 112C320 85.53 341.5 64 368 64S416 85.53 416 112S394.5 160 368 160H320V112zM128 400C128 426.5 106.5 448 80 448S32 426.5 32 400S53.53 352 80 352H128V400zM128 160H80C53.53 160 32 138.5 32 112S53.53 64 80 64S128 85.53 128 112V160zM288 320H160V192h128V320zM368 448c-26.47 0-48-21.53-48-48V352h48c26.47 0 48 21.53 48 48S394.5 448 368 448z"],
    "comment": [512, 512, [61669, 128489], "f075", "M256 64c123.5 0 223.1 79 223.1 176S379.5 416 256 416c-28.25 0-56.24-4.25-83.24-12.75c-9.516-3.068-19.92-1.459-28.07 4.338c-22.1 16.25-58.54 35.29-102.7 39.66c11.1-15.12 29.75-40.5 40.74-69.62l.1287-.3388c4.283-11.27 1.79-23.1-6.429-32.82C47.51 313.1 32.06 277.6 32.06 240C32.06 143 132.6 64 256 64zM256 32C114.7 32 .0272 125.1 .0272 240c0 47.63 19.92 91.25 52.91 126.2c-14.87 39.5-45.87 72.88-46.37 73.25c-6.624 7-8.374 17.25-4.625 26C5.817 474.2 14.38 480 24 480c61.49 0 109.1-25.75 139.1-46.25C192.1 442.8 223.3 448 256 448c141.4 0 255.1-93.13 255.1-208S397.4 32 256 32z"],
    "comment-arrow-down": [512, 512, [], "e143", "M324.7 228.7L272 281.4V144C272 135.2 264.8 128 256 128S240 135.2 240 144v137.4L187.3 228.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l80 80C247.8 334.4 251.9 336 256 336s8.188-1.562 11.31-4.688l80-80c6.25-6.25 6.25-16.38 0-22.62S330.9 222.4 324.7 228.7zM256 32C114.7 32 .0273 125.1 .0273 240c0 47.63 19.91 91.25 52.91 126.3c-14.87 39.5-45.87 72.88-46.37 73.25c-6.623 7-8.373 17.25-4.623 26C5.816 474.3 14.38 480 24 480c61.49 0 109.1-25.75 139.1-46.25C192.1 442.8 223.3 448 256 448C397.4 448 512 354.9 512 240S397.4 32 256 32zM256 416c-28.25 0-56.24-4.25-83.24-12.75c-9.516-3.068-19.92-1.461-28.07 4.338c-22.1 16.25-58.54 35.29-102.7 39.66c11.1-15.12 29.75-40.5 40.74-69.63l.1289-.3398c4.283-11.27 1.791-23.1-6.43-32.82C47.51 313.1 32.06 277.6 32.06 240c0-97 100.5-176 223.1-176c123.5 0 223.1 79 223.1 176S379.5 416 256 416z"],
    "comment-arrow-up": [512, 512, [], "e144", "M267.3 132.7C264.2 129.6 260.1 128 256 128S247.8 129.6 244.7 132.7l-80 80c-6.25 6.25-6.25 16.38 0 22.62s16.38 6.25 22.62 0L240 182.6V320c0 8.844 7.156 16 16 16s16-7.156 16-16V182.6l52.69 52.69c6.25 6.25 16.38 6.25 22.62 0s6.25-16.38 0-22.62L267.3 132.7zM256 32C114.7 32 .0273 125.1 .0273 240c0 47.63 19.91 91.25 52.91 126.3c-14.87 39.5-45.87 72.88-46.37 73.25c-6.623 7-8.373 17.25-4.623 26C5.816 474.3 14.38 480 24 480c61.49 0 109.1-25.75 139.1-46.25C192.1 442.8 223.3 448 256 448C397.4 448 512 354.9 512 240S397.4 32 256 32zM256 416c-28.25 0-56.24-4.25-83.24-12.75c-9.516-3.068-19.92-1.461-28.07 4.338c-22.1 16.25-58.54 35.29-102.7 39.66c11.1-15.12 29.75-40.5 40.74-69.63l.1289-.3398c4.283-11.27 1.791-23.1-6.43-32.82C47.51 313.1 32.06 277.6 32.06 240c0-97 100.5-176 223.1-176c123.5 0 223.1 79 223.1 176S379.5 416 256 416z"],
    "comment-arrow-up-right": [512, 512, [], "e145", "M256 32C114.7 32 .0273 125.1 .0273 240c0 47.63 19.92 91.25 52.91 126.3c-14.87 39.5-45.87 72.88-46.37 73.25c-6.623 7-8.374 17.25-4.624 26C5.816 474.3 14.38 480 24 480c61.49 0 109.1-25.75 139.1-46.25C192.1 442.8 223.3 448 256 448c141.4 0 255.1-93.13 255.1-208S397.4 32 256 32zM256 416c-28.25 0-56.24-4.25-83.24-12.75c-9.516-3.068-19.92-1.459-28.07 4.338c-22.1 16.25-58.54 35.29-102.7 39.66c11.1-15.12 29.75-40.5 40.74-69.63l.1289-.3379c4.283-11.27 1.791-24-6.43-32.82C47.51 313.1 32.06 277.6 32.06 240c0-97 100.5-176 223.1-176c123.5 0 223.1 79 223.1 176S379.5 416 256 416zM326.1 145.2C324.2 144.4 322.1 144 320 144H192C183.2 144 176 151.2 176 160S183.2 176 192 176h89.38L164.7 292.7c-6.25 6.25-6.25 16.38 0 22.62C167.8 318.4 171.9 320 176 320s8.188-1.562 11.31-4.688L304 198.6V288c0 8.844 7.156 16 16 16s16-7.156 16-16V160c0-2.082-.4219-4.154-1.23-6.109C333.1 149.1 330 146.9 326.1 145.2z"],
    "comment-captions": [512, 512, [], "e146", "M256 31.1c-141.4 0-255.1 93.13-255.1 208c0 47.62 19.91 91.25 52.91 126.3c-14.87 39.5-45.87 72.88-46.37 73.25c-6.623 7-8.373 17.25-4.625 26C5.817 474.3 14.38 480 24 480c61.49 0 109.1-25.75 139.1-46.25c28.1 9 60.16 14.25 92.91 14.25c141.4 0 255.1-93.13 255.1-207.1S397.4 31.1 256 31.1zM256 416c-28.25 0-56.24-4.25-83.24-12.75c-9.518-3.068-19.92-1.461-28.07 4.338c-22.1 16.25-58.54 35.29-102.7 39.66c12-15.12 29.75-40.5 40.75-69.63l.1289-.3398c4.283-11.27 1.789-23.1-6.43-32.82C47.51 313.1 32.06 277.6 32.06 240c0-97 100.5-176 223.1-176s223.1 79 223.1 176S379.5 416 256 416zM224 240C224 231.2 216.8 224 208 224h-128C71.16 224 64 231.2 64 240S71.16 256 80 256h128C216.8 256 224 248.8 224 240zM304 288h-96C199.2 288 192 295.2 192 304S199.2 320 208 320h96c8.844 0 16-7.156 16-16S312.8 288 304 288zM144 288h-32C103.2 288 96 295.2 96 304S103.2 320 112 320h32C152.8 320 160 312.8 160 304S152.8 288 144 288zM400 288h-32C359.2 288 352 295.2 352 304s7.156 16 16 16h32c8.844 0 16-7.156 16-16S408.8 288 400 288zM432 224h-160C263.2 224 256 231.2 256 240S263.2 256 272 256h160C440.8 256 448 248.8 448 240S440.8 224 432 224z"],
    "comment-check": [512, 512, [], "f4ac", "M256 31.1c-141.4 0-255.1 93.13-255.1 208c0 47.62 19.91 91.25 52.91 126.3c-14.87 39.5-45.87 72.88-46.37 73.25c-6.623 7-8.372 17.25-4.624 26C5.817 474.3 14.38 480 24 480c61.49 0 109.1-25.75 139.1-46.25c28.1 9 60.16 14.25 92.9 14.25c141.4 0 255.1-93.13 255.1-207.1S397.4 31.1 256 31.1zM256 416c-28.25 0-56.24-4.25-83.24-12.75c-9.518-3.068-19.92-1.461-28.07 4.338c-22.1 16.25-58.54 35.29-102.7 39.66c12-15.12 29.75-40.5 40.75-69.63l.1289-.3398c4.283-11.27 1.789-23.1-6.43-32.82C47.51 313.1 32.06 277.6 32.06 240c0-97 100.5-176 223.1-176s223.1 79 223.1 176S379.5 416 256 416zM324.7 175.3L229.3 270.7L187.3 228.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l53.33 53.34c3 3 7.062 4.688 11.31 4.688s8.312-1.688 11.31-4.688l106.7-106.7c6.25-6.25 6.25-16.38 0-22.62S330.9 169.1 324.7 175.3z"],
    "comment-code": [512, 512, [], "e147", "M256 32C114.7 32 .0273 125.1 .0273 240c0 47.63 19.92 91.25 52.91 126.3c-14.87 39.5-45.87 72.88-46.37 73.25c-6.623 7-8.374 17.25-4.624 26C5.816 474.3 14.38 480 24 480c61.49 0 109.1-25.75 139.1-46.25C192.1 442.8 223.3 448 256 448c141.4 0 255.1-93.13 255.1-208S397.4 32 256 32zM256 416c-28.25 0-56.24-4.25-83.24-12.75c-9.516-3.068-19.92-1.459-28.07 4.338c-22.1 16.25-58.54 35.29-102.7 39.66c11.1-15.12 29.75-40.5 40.74-69.63l.1289-.3379c4.283-11.27 1.791-24-6.43-32.82C47.51 313.1 32.06 277.6 32.06 240c0-97 100.5-176 223.1-176c123.5 0 223.1 79 223.1 176S379.5 416 256 416zM223.3 156.7c-6.25-6.25-16.38-6.25-22.62 0l-72 72c-6.25 6.25-6.25 16.38 0 22.62l72 72C203.8 326.4 207.9 328 212 328s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L162.6 240l60.69-60.69C229.6 173.1 229.6 162.9 223.3 156.7zM311.3 156.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L349.4 240l-60.69 60.69c-6.25 6.25-6.25 16.38 0 22.62C291.8 326.4 295.9 328 300 328s8.188-1.562 11.31-4.688l72-72c6.25-6.25 6.25-16.38 0-22.62L311.3 156.7z"],
    "comment-dollar": [512, 512, [], "f651", "M256 31.1c-141.4 0-255.1 93.13-255.1 208c0 47.62 19.91 91.25 52.9 126.3c-14.87 39.5-45.87 72.88-46.37 73.25c-6.623 7-8.372 17.25-4.624 26C5.818 474.3 14.4 480 24.02 480c61.49 0 109.1-25.75 139.1-46.25c28.1 9 60.14 14.25 92.89 14.25c141.4 0 255.1-93.13 255.1-207.1S397.4 31.1 256 31.1zM256 416c-28.25 0-56.24-4.25-83.24-12.75c-9.518-3.068-19.92-1.461-28.07 4.338c-22.1 16.25-58.54 35.29-102.7 39.66c12-15.12 29.75-40.5 40.75-69.63l.1289-.3398c4.283-11.27 1.789-23.1-6.43-32.82C47.51 313.1 32.06 277.6 32.06 240c0-97 100.5-176 223.1-176s223.1 79 223.1 176S379.5 416 256 416zM260.2 224.5L252.9 222.5C218.8 212.1 214.3 206.4 216.5 194.2c3-16.64 28.03-20.52 51.47-17.05c6.562 .9687 14.53 3.047 25.06 6.516c8.375 2.766 17.47-1.812 20.19-10.2c2.781-8.391-1.781-17.44-10.19-20.2c-12.31-4.047-22.59-6.57-31-7.82V128c0-8.844-7.156-16-16-16s-16 7.156-16 16v16.8c-29.75 3.514-50.58 19.29-55.03 43.71C176.7 234.4 222.3 247.2 244.3 253.3L251.8 255.4c38.22 10.41 46.41 16.08 43.81 30.38c-3 16.64-27.97 20.61-51.53 17.03C236.2 301.7 230.6 300.1 205.1 291.5C196.8 288.6 187.7 293.2 184.9 301.6c-2.812 8.375 1.688 17.45 10.06 20.28c29.34 9.969 36.57 11.45 45.09 12.67V352c0 8.844 7.156 16 16 16s16-7.156 16-16v-16.8c29.72-3.51 50.59-19.29 55.03-43.72C335.5 245 290.2 232.7 260.2 224.5z"],
    "comment-dots": [512, 512, [62075, 128172, "commenting"], "f4ad", "M256 31.1c-141.4 0-255.1 93.13-255.1 208c0 47.62 19.91 91.25 52.91 126.3c-14.87 39.5-45.87 72.88-46.37 73.25c-6.623 7-8.374 17.25-4.624 26C5.816 474.3 14.38 480 24 480c61.49 0 109.1-25.75 139.1-46.25c28.1 9 60.16 14.25 92.9 14.25c141.4 0 255.1-93.13 255.1-207.1S397.4 31.1 256 31.1zM256 416c-28.25 0-56.24-4.25-83.24-12.75c-9.516-3.068-19.92-1.461-28.07 4.338c-22.1 16.25-58.54 35.29-102.7 39.66c11.1-15.12 29.75-40.5 40.74-69.63l.1289-.3398c4.283-11.27 1.791-23.1-6.43-32.82C47.51 313.1 32.06 277.6 32.06 240c0-97 100.5-176 223.1-176c123.5 0 223.1 79 223.1 176S379.5 416 256 416zM256 216c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24s24-10.75 24-24C280 226.7 269.3 216 256 216zM384 216c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24s24-10.75 24-24C408 226.7 397.3 216 384 216zM128 216c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24S152 253.3 152 240C152 226.7 141.3 216 128 216z"],
    "comment-exclamation": [512, 512, [], "f4af", "M256 31.1c-141.4 0-255.1 93.13-255.1 208c0 47.62 19.91 91.25 52.91 126.3c-14.87 39.5-45.87 72.88-46.37 73.25c-6.623 7-8.373 17.25-4.623 26C5.816 474.3 14.38 480 24 480c61.49 0 109.1-25.75 139.1-46.25c28.1 9 60.16 14.25 92.9 14.25c141.4 0 255.1-93.13 255.1-207.1S397.4 31.1 256 31.1zM256 416c-28.25 0-56.24-4.25-83.24-12.75c-9.516-3.068-19.92-1.461-28.07 4.338c-22.1 16.25-58.54 35.29-102.7 39.66c11.1-15.12 29.75-40.5 40.74-69.63l.1289-.3398c4.283-11.27 1.791-23.1-6.43-32.82C47.51 313.1 32.06 277.6 32.06 240c0-97 100.5-176 223.1-176c123.5 0 223.1 79 223.1 176S379.5 416 256 416zM255.1 287.1C264.8 287.1 272 280.8 272 272V128c0-8.844-7.156-16-16-16S240 119.2 240 128v144C240 280.8 247.1 287.1 255.1 287.1zM256 312c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24s24-10.75 24-24C280 322.7 269.3 312 256 312z"],
    "comment-image": [512, 512, [], "e148", "M160 184c13.25 0 24-10.75 24-24c0-13.26-10.75-24-24-24S136 146.7 136 160C136 173.3 146.7 184 160 184zM256 32C114.7 32 .0273 125.1 .0273 240c0 47.63 19.91 91.25 52.91 126.3c-14.87 39.5-45.87 72.88-46.37 73.25c-6.623 7-8.373 17.25-4.623 26C5.816 474.3 14.38 480 24 480c61.49 0 109.1-25.75 139.1-46.25C192.1 442.8 223.3 448 256 448C397.4 448 512 354.9 512 240S397.4 32 256 32zM256 416c-28.25 0-56.24-4.25-83.24-12.75c-9.516-3.068-19.92-1.461-28.07 4.338c-22.1 16.25-58.54 35.29-102.7 39.66c11.1-15.12 29.75-40.5 40.74-69.63l.1289-.3398c4.283-11.27 1.791-23.1-6.43-32.82C47.51 313.1 32.06 277.6 32.06 240c0-97 100.5-176 223.1-176c123.5 0 223.1 79 223.1 176S379.5 416 256 416zM313.6 155.2c-11.61-14.22-36.39-14.25-47.97 0L207.1 227.1L199.2 218.8c-11.47-11.94-33.27-11.94-44.73 0L104 271.2c-8.453 8.844-10.44 21.5-5.047 32.28C103.1 313.5 114.8 320 126.4 320h259.2c11.3 0 21.59-5.906 26.86-15.44c5.609-10.16 4.469-22.53-2.875-31.53L313.6 155.2zM131.1 288L176.1 241l20.44 21.22c3.188 3.312 7.562 5 12.19 4.906c4.578-.2187 8.859-2.344 11.75-5.906l68.28-85.84l91.75 112.6L131.1 288z"],
    "comment-lines": [512, 512, [], "f4b0", "M256 31.1c-141.4 0-255.1 93.13-255.1 208c0 47.62 19.91 91.25 52.91 126.3c-14.87 39.5-45.87 72.88-46.37 73.25c-6.623 7-8.373 17.25-4.623 26C5.816 474.3 14.38 480 24 480c61.49 0 109.1-25.75 139.1-46.25c28.1 9 60.16 14.25 92.9 14.25c141.4 0 255.1-93.13 255.1-207.1S397.4 31.1 256 31.1zM256 416c-28.25 0-56.24-4.25-83.24-12.75c-9.516-3.068-19.92-1.461-28.07 4.338c-22.1 16.25-58.54 35.29-102.7 39.66c11.1-15.12 29.75-40.5 40.74-69.63l.1289-.3398c4.283-11.27 1.791-23.1-6.43-32.82C47.51 313.1 32.06 277.6 32.06 240c0-97 100.5-176 223.1-176c123.5 0 223.1 79 223.1 176S379.5 416 256 416zM272 272h-128c-8.801 0-16 7.199-16 15.1C127.1 296.8 135.2 304 144 304h128c8.801 0 15.1-7.204 15.1-16C287.1 279.2 280.8 272 272 272zM368 176h-224c-8.801 0-16 7.199-16 15.1C127.1 200.8 135.2 208 144 208h224c8.801 0 15.1-7.204 15.1-16C383.1 183.2 376.8 176 368 176z"],
    "comment-medical": [512, 512, [], "f7f5", "M256 31.1c-141.4 0-255.1 93.13-255.1 208c0 47.62 19.91 91.25 52.91 126.3c-14.87 39.5-45.87 72.88-46.37 73.25c-6.623 7-8.373 17.25-4.623 26C5.816 474.3 14.38 480 24 480c61.49 0 109.1-25.75 139.1-46.25c28.1 9 60.16 14.25 92.9 14.25C397.4 447.1 512 354.9 512 239.1S397.4 31.1 256 31.1zM256 416c-28.25 0-56.24-4.25-83.24-12.75c-9.516-3.068-19.92-1.461-28.07 4.338c-22.1 16.25-58.54 35.29-102.7 39.66c11.1-15.12 29.75-40.5 40.74-69.63l.1289-.3398c4.283-11.27 1.791-23.1-6.43-32.82C47.51 313.1 32.06 277.6 32.06 240c0-97 100.5-176 223.1-176c123.5 0 223.1 79 223.1 176S379.5 416 256 416zM336 208H288V160c0-8.838-7.164-16-16-16h-32C231.2 144 224 151.2 224 160v48H176C167.2 208 160 215.2 160 223.1V256c0 8.836 7.164 15.1 16 15.1H224v48C224 328.8 231.2 336 240 336h32c8.836 0 16-7.166 16-16v-48h48C344.8 271.1 352 264.8 352 256V223.1C352 215.2 344.8 208 336 208z"],
    "comment-middle": [512, 512, [], "e149", "M256 0C114.6 0 0 93.09 0 208c0 95.99 80.08 176.5 188.8 200.5l48.89 93.39C241.2 508.6 248.6 512 256 512s14.76-3.361 18.28-10.08l48.89-93.39C431.9 384.5 512 303.1 512 208C512 93.09 397.4 0 256 0zM316.3 377.3l-14.55 3.209L256 467.8l-45.72-87.34L195.7 377.3C99.33 356 32 286.4 32 208C32 110.1 132.5 32 256 32s224 78.95 224 176C480 286.4 412.7 356 316.3 377.3z"],
    "comment-middle-top": [512, 512, [], "e14a", "M323.2 103.5l-48.89-93.39C270.8 3.361 263.4 0 256 0S241.2 3.361 237.7 10.08l-48.89 93.39C80.08 127.5 0 208 0 304c0 114.9 114.6 208 256 208s256-93.09 256-208C512 208 431.9 127.5 323.2 103.5zM256 480c-123.5 0-224-78.95-224-176c0-78.4 67.33-148 163.7-169.3L210.3 131.5L256 44.17l45.72 87.34l14.55 3.209C412.7 155.1 480 225.6 480 304C480 401 379.5 480 256 480z"],
    "comment-minus": [512, 512, [], "f4b1", "M256 32C114.7 32 .0281 125.1 .0281 240c0 47.63 19.92 91.25 52.91 126.3c-14.88 39.5-45.87 72.88-46.37 73.25c-6.621 7-8.373 17.25-4.623 26C5.816 474.3 14.38 480 24 480c61.49 0 109.1-25.75 139.1-46.25C192.1 442.8 223.3 448 256 448c141.4 0 255.1-93.13 255.1-208S397.4 32 256 32zM256 416c-28.24 0-56.24-4.25-83.23-12.75c-9.516-3.068-19.92-1.461-28.07 4.338c-22.99 16.25-58.55 35.29-102.7 39.66c12-15.12 29.75-40.5 40.74-69.63l.1328-.3398c4.281-11.27 1.789-23.1-6.43-32.82C47.51 313.1 32.06 277.6 32.06 240c0-97 100.5-176 223.1-176c123.5 0 223.1 79 223.1 176S379.5 416 256 416zM336 224h-160C167.2 224 160 231.2 160 240c0 8.834 7.156 15.1 16 15.1h160c8.84 0 16-7.16 16-15.1S344.8 224 336 224z"],
    "comment-music": [512, 512, [], "f8b0", "M256 31.1c-141.4 0-255.1 93.13-255.1 208c0 47.62 19.94 91.25 52.93 126.3c-14.87 39.5-45.87 72.88-46.37 73.25c-6.623 7-8.374 17.25-4.624 26C5.844 474.3 14.35 480 23.97 480c61.49 0 109.1-25.75 139.1-46.25c28.1 9 60.18 14.25 92.92 14.25c141.4 0 255.1-93.13 255.1-207.1S397.4 31.1 256 31.1zM256 416c-28.25 0-56.24-4.25-83.24-12.75c-9.516-3.068-19.92-1.461-28.07 4.338c-22.1 16.25-58.54 35.29-102.7 39.66c11.1-15.12 29.75-40.5 40.74-69.63l.1289-.3398c4.283-11.27 1.791-23.1-6.43-32.82C47.51 313.1 32.06 277.6 32.06 240c0-97 100.5-176 223.1-176c123.5 0 223.1 79 223.1 176S379.5 416 256 416zM338.3 124.8c-8.625-6-19.62-7.438-29.5-3.688l-96 36C200.3 161.8 192 173.8 192 187.1v73.72C184.7 257.8 176.6 256 168 256C137.1 256 112 277.5 112 304S137.1 352 168 352S224 330.5 224 304V187.1l96-35.97v77.72C312.7 225.8 304.6 224 296 224C265.1 224 240 245.5 240 272s25.12 48 56 48S352 298.5 352 272V151.1C352 140.6 346.8 130.8 338.3 124.8zM168 320C155.2 320 144 312.5 144 304S155.2 288 168 288S192 295.5 192 304S180.8 320 168 320zM296 288c-12.78 0-24-7.469-24-16S283.2 256 296 256S320 263.5 320 272S308.8 288 296 288z"],
    "comment-pen": [512, 512, ["comment-edit"], "f4ae", "M256 31.1c-141.4 0-255.1 93.13-255.1 208c0 47.62 19.91 91.25 52.91 126.3c-14.87 39.5-45.87 72.88-46.37 73.25c-6.623 7-8.373 17.25-4.623 26C5.816 474.3 14.38 480 24 480c61.49 0 109.1-25.75 139.1-46.25c28.1 9 60.16 14.25 92.9 14.25c141.4 0 255.1-93.13 255.1-207.1S397.4 31.1 256 31.1zM256 416c-28.25 0-56.24-4.25-83.24-12.75c-9.516-3.068-19.92-1.461-28.07 4.338c-22.1 16.25-58.54 35.29-102.7 39.66c11.1-15.12 29.75-40.5 40.74-69.63l.1289-.3398c4.283-11.27 1.791-23.1-6.43-32.82C47.51 313.1 32.06 277.6 32.06 240c0-97 100.5-176 223.1-176c123.5 0 223.1 79 223.1 176S379.5 416 256 416zM345.5 141.1c-7.617-7.559-17.5-12.83-28.23-13.78c-13.24-1.172-25.9 3.414-35.16 12.59L157.9 264.1c-2.234 2.215-3.754 5.039-4.375 8.113l-12.25 60.79c-2.234 11.11 7.633 20.91 18.83 18.68l61.25-12.15c3.094-.6133 5.938-2.125 8.172-4.344l123.1-122.2c7.617-7.555 12.92-17.37 13.87-28.02c1.168-13.14-3.457-25.7-12.71-34.88L345.5 141.1zM210.3 309.3L177.3 315.9l6.594-32.71l86.88-86.23l26.38 26.18L210.3 309.3zM331.1 189.4l-11.3 11.22l-26.38-26.18l11.31-11.22c4.688-4.645 12.28-4.652 16.97 .0039l9.41 9.336C335.8 177.2 335.8 184.8 331.1 189.4z"],
    "comment-plus": [512, 512, [], "f4b2", "M256 32C114.7 32 .0281 125.1 .0281 240c0 47.63 19.92 91.25 52.91 126.3c-14.88 39.5-45.87 72.88-46.37 73.25c-6.621 7-8.373 17.25-4.623 26C5.816 474.3 14.38 480 24 480c61.49 0 109.1-25.75 139.1-46.25C192.1 442.8 223.3 448 256 448c141.4 0 255.1-93.13 255.1-208S397.4 32 256 32zM256 416c-28.24 0-56.24-4.25-83.23-12.75c-9.516-3.068-19.92-1.461-28.07 4.338c-22.99 16.25-58.55 35.29-102.7 39.66c12-15.12 29.75-40.5 40.74-69.63l.1328-.3398c4.281-11.27 1.789-23.1-6.43-32.82C47.51 313.1 32.06 277.6 32.06 240c0-97 100.5-176 223.1-176c123.5 0 223.1 79 223.1 176S379.5 416 256 416zM336 224h-64V159.1C272 151.2 264.8 144 256 144S240 151.2 240 159.1V224h-64C167.2 224 160 231.2 160 240c0 8.834 7.156 15.1 16 15.1h64v64C240 328.8 247.2 336 256 336c8.836 0 16-7.16 16-15.1V255.1h64c8.84 0 16-7.16 16-15.1S344.8 224 336 224z"],
    "comment-question": [512, 512, [], "e14b", "M278.1 128H229.7C200.1 128 176 152.1 176 181.6c0 8.844 7.156 16 16 16s16-7.156 16-16C208 169.7 217.7 160 229.7 160h48.47C292.4 160 304 171.6 304 185.9c0 9.875-5.469 18.75-14.53 23.27L248.6 230.3C243.3 233.1 240 238.6 240 244.5V272C240 280.8 247.2 288 256 288s16-7.156 16-16V254.3l32-16.61c19.75-9.875 32-29.76 32-51.82C336 153.9 310 128 278.1 128zM256 312c-11.04 0-20 8.953-20 20C236 343 244.1 352 256 352s20-8.955 20-20C276 320.1 267 312 256 312zM256 31.1c-141.4 0-255.1 93.13-255.1 208c0 47.63 19.91 91.25 52.91 126.3c-14.87 39.5-45.87 72.88-46.37 73.25c-6.623 7-8.373 17.25-4.623 26C5.816 474.3 14.38 480 24 480c61.49 0 109.1-25.75 139.1-46.25c28.1 9 60.16 14.25 92.9 14.25c141.4 0 255.1-93.13 255.1-208S397.4 31.1 256 31.1zM256 416c-28.25 0-56.24-4.25-83.24-12.75c-9.516-3.068-19.92-1.461-28.07 4.338c-22.1 16.25-58.54 35.29-102.7 39.66c11.1-15.12 29.75-40.5 40.74-69.63l.1289-.3398c4.283-11.27 1.791-23.1-6.43-32.82C47.51 313.1 32.06 277.6 32.06 240c0-97 100.5-176 223.1-176c123.5 0 223.1 79 223.1 176S379.5 416 256 416z"],
    "comment-quote": [512, 512, [], "e14c", "M183.1 143.1c-30.93 0-56 25.07-56 56s25.07 56 56 56c8.627 0 16.7-2.111 24-5.596V256c0 26.47-21.53 48-48 48c-8.844 0-16 7.156-16 16s7.156 15.1 15.1 15.1C204.1 335.1 240 300.1 240 256L239.1 199.1C239.1 169.1 214.9 143.1 183.1 143.1zM184 224C170.8 224 160 213.2 160 200C160 186.8 170.8 176 184 176c13.23 0 24 10.77 24 24C208 213.2 197.2 224 184 224zM256 31.1c-141.4 0-255.1 93.13-255.1 208c0 47.62 19.91 91.25 52.91 126.3c-14.87 39.5-45.87 72.88-46.37 73.25c-6.623 7-8.373 17.25-4.623 26C5.816 474.3 14.38 480 24 480c61.49 0 109.1-25.75 139.1-46.25c28.1 9 60.16 14.25 92.9 14.25c141.4 0 255.1-93.13 255.1-207.1S397.4 31.1 256 31.1zM256 416c-28.25 0-56.24-4.25-83.24-12.75c-9.516-3.068-19.92-1.461-28.07 4.338c-22.1 16.25-58.54 35.29-102.7 39.66c11.1-15.12 29.75-40.5 40.74-69.63l.1289-.3398c4.283-11.27 1.791-23.1-6.43-32.82C47.51 313.1 32.06 277.6 32.06 240c0-97 100.5-176 223.1-176c123.5 0 223.1 79 223.1 176S379.5 416 256 416zM327.1 143.1c-30.93 0-56 25.07-56 56s25.07 56 56 56c8.627 0 16.7-2.111 24-5.596V256c0 26.47-21.53 48-48 48C295.2 304 288 311.2 288 320s7.156 15.1 15.1 15.1C348.1 335.1 384 300.1 384 256l-.0001-56C383.1 169.1 358.9 143.1 327.1 143.1zM328 224c-13.23 0-24-10.77-24-24c0-13.23 10.77-24 24-24C341.2 176 352 186.8 352 200C352 213.2 341.2 224 328 224z"],
    "comment-slash": [640, 512, [], "f4b3", "M320 416c-28.25 0-56.24-4.25-83.24-12.75c-9.516-3.068-19.92-1.461-28.07 4.338c-22.1 16.25-58.54 35.29-102.7 39.66c11.1-15.12 29.75-40.5 40.74-69.63l.1289-.3398c4.283-11.27 1.791-23.1-6.43-32.82C111.5 313.1 96.06 277.6 96.06 240c0-23.41 5.969-45.72 16.58-66.18L87.29 153.8c-14.77 26.29-23.26 55.41-23.26 86.2c0 47.63 19.92 91.25 52.91 126.3c-14.87 39.5-45.87 72.88-46.37 73.25c-6.623 7-8.374 17.25-4.624 26C69.82 474.3 78.38 480 88 480c61.49 0 109.1-25.75 139.1-46.25c28.1 9 60.16 14.25 92.9 14.25c40.5 0 78.68-7.852 112.7-21.46l-29.49-23.28C377.5 411.4 349.5 416 320 416zM320 64c123.5 0 223.1 79 223.1 176c0 31.9-11.04 61.77-30.02 87.6l24.99 19.73C562.3 315.1 576 279.3 576 240c0-114.9-114.6-207.1-255.1-207.1c-51.04 0-98.47 12.28-138.4 33.2l27.81 21.96C242.1 72.5 279.8 64 320 64zM633.9 483.4L25.9 3.418C18.1-2.02 8.936-.8477 3.436 6.059c-5.469 6.938-4.281 17 2.656 22.49l608 480C617 510.9 620.5 512 624 512c4.719 0 9.406-2.094 12.56-6.078C642 498.1 640.8 488.9 633.9 483.4z"],
    "comment-smile": [512, 512, [], "f4b4", "M192 216c13.25 0 24-10.75 24-24S205.3 168 192 168S168 178.8 168 192S178.8 216 192 216zM320 216c13.25 0 24-10.75 24-24S333.3 168 320 168S296 178.8 296 192S306.8 216 320 216zM331.8 285.3C313 307.4 285.4 320 256 320S199 307.4 180.3 285.4C174.5 278.8 164.4 278 157.8 283.6c-6.875 5.75-7.5 15.75-1.875 22.62c24.88 29 61.36 45.75 100.1 45.75s75.27-16.75 100.3-45.87c5.75-6.75 4.875-16.88-1.875-22.62C347.8 277.8 337.6 278.6 331.8 285.3zM256 31.1c-141.4 0-255.1 93.13-255.1 208c0 47.62 19.91 91.25 52.91 126.3c-14.87 39.5-45.87 72.88-46.37 73.25c-6.623 7-8.373 17.25-4.623 26C5.816 474.3 14.38 480 24 480c61.49 0 109.1-25.75 139.1-46.25c28.1 9 60.16 14.25 92.9 14.25c141.4 0 255.1-93.13 255.1-207.1S397.4 31.1 256 31.1zM256 416c-28.25 0-56.24-4.25-83.24-12.75c-9.516-3.068-19.92-1.461-28.07 4.338c-22.1 16.25-58.54 35.29-102.7 39.66c11.1-15.12 29.75-40.5 40.74-69.63l.1289-.3398c4.283-11.27 1.791-23.1-6.43-32.82C47.51 313.1 32.06 277.6 32.06 240c0-97 100.5-176 223.1-176c123.5 0 223.1 79 223.1 176S379.5 416 256 416z"],
    "comment-sms": [512, 512, ["sms"], "f7cd", "M256 32C114.6 32 .0137 125.1 .0137 240c0 47.63 19.89 91.25 52.89 126.3c-14.88 39.5-45.87 72.88-46.37 73.25c-6.625 7-8.374 17.25-4.624 26C5.784 474.3 14.34 480 23.97 480c61.5 0 109.1-25.75 139.1-46.25C192.1 442.8 223.3 448 256 448C397.4 448 512 354.9 512 240S397.4 32 256 32zM256 416c-28.25 0-56.25-4.25-83.25-12.75l-15.12-4.875l-13 9.25c-23 16.25-58.5 35.25-102.6 39.63c11.1-15.12 29.75-40.5 40.75-69.63l7.125-18.75l-13.62-14.62C47.38 313.8 32.13 277.6 32.13 240c0-97 100.5-176 224-176s224 79 224 176S379.5 416 256 416zM132.4 224.6l-4.109-1.188C111.3 218.4 111.7 216.3 112.2 213.5C112.1 209 122.4 206.9 133.7 208.6c4.172 .6719 8.766 2.109 13.14 3.609c8.359 2.891 17.47-1.578 20.33-9.922c2.875-8.344-1.562-17.45-9.922-20.33C151 179.8 144.5 177.9 138.6 177C108.1 172.3 84.69 184.7 80.64 208.1c-5.703 33 26.48 42.45 38.61 46.02l4.328 1.25c21.12 6.031 20.8 7.922 20.25 11.08c-.7813 4.516-10.2 6.688-21.61 4.906c-5.672-.8438-11.88-3.203-17.5-5.234L101.3 264.9c-8.391-3-17.48 1.422-20.42 9.734C77.97 283 82.33 292.1 90.66 295.1l3.203 1.156C101.1 298.8 109.3 301.8 117.4 303c4.359 .6719 8.578 1.016 12.61 1.016c24.28 0 41.91-12.06 45.38-32.11C181.1 238.5 149.4 229.5 132.4 224.6zM388.4 224.6l-4.109-1.188c-16.94-4.984-16.56-7.141-16.09-9.875c.7813-4.531 10.3-6.688 21.48-4.938c4.172 .6719 8.766 2.109 13.14 3.609c8.312 2.891 17.45-1.578 20.33-9.922c2.875-8.344-1.562-17.45-9.922-20.33c-6.156-2.125-12.66-4.031-18.58-4.969C364 172.3 340.7 184.7 336.6 208.1c-5.703 33 26.48 42.45 38.61 46.02l4.328 1.25c21.12 6.031 20.8 7.922 20.25 11.08c-.7656 4.516-10.23 6.688-21.61 4.906c-5.672-.8438-11.88-3.203-17.5-5.234l-3.375-1.203c-8.359-3-17.5 1.422-20.42 9.734c-2.953 8.344 1.406 17.48 9.734 20.42l3.203 1.156c7.219 2.594 15.39 5.531 23.52 6.766c4.359 .6719 8.578 1.016 12.61 1.016c24.28 0 41.91-12.06 45.38-32.11C437.1 238.5 405.4 229.5 388.4 224.6zM309.1 176.8C302.5 174.6 295.3 176.9 291.2 182.4L256 229.3L220.8 182.4C216.7 176.9 209.5 174.6 202.9 176.8C196.4 178.1 192 185.1 192 192v96c0 8.844 7.156 16 16 16S224 296.8 224 288V240l19.19 25.59c6.031 8.062 19.59 8.062 25.62 0L288 240V288c0 8.844 7.156 16 16 16S320 296.8 320 288V192C320 185.1 315.6 178.1 309.1 176.8z"],
    "comment-text": [512, 512, [], "e14d", "M256 31.1c-141.4 0-255.1 93.13-255.1 208c0 47.62 19.92 91.25 52.91 126.3c-14.87 39.5-45.87 72.88-46.37 73.25c-6.623 7-8.374 17.25-4.624 26C5.816 474.3 14.38 480 24 480c61.49 0 109.1-25.75 139.1-46.25c28.1 9 60.16 14.25 92.9 14.25c141.4 0 255.1-93.13 255.1-207.1S397.4 31.1 256 31.1zM256 416c-28.25 0-56.24-4.25-83.24-12.75c-9.516-3.068-19.92-1.461-28.07 4.338c-22.1 16.25-58.54 35.29-102.7 39.66c11.1-15.12 29.75-40.5 40.74-69.63l.1289-.3398c4.283-11.27 1.791-23.1-6.43-32.82C47.51 313.1 32.06 277.6 32.06 240c0-97 100.5-176 223.1-176c123.5 0 223.1 79 223.1 176S379.5 416 256 416zM320 160H192C183.2 160 176 167.2 176 176S183.2 192 192 192h48v112C240 312.8 247.2 320 256 320s16-7.156 16-16V192H320c8.844 0 16-7.156 16-16S328.8 160 320 160z"],
    "comment-xmark": [512, 512, ["comment-times"], "f4b5", "M256 31.1c-141.4 0-255.1 93.13-255.1 208c0 47.63 19.91 91.25 52.91 126.3c-14.87 39.5-45.87 72.88-46.37 73.25c-6.623 7-8.373 17.25-4.623 26C5.816 474.3 14.38 480 24 480c61.49 0 109.1-25.75 139.1-46.25c28.1 9 60.16 14.25 92.9 14.25c141.4 0 255.1-93.13 255.1-208S397.4 31.1 256 31.1zM256 416c-28.25 0-56.24-4.25-83.24-12.75c-9.516-3.068-19.92-1.461-28.07 4.338c-22.1 16.25-58.54 35.29-102.7 39.66c11.1-15.12 29.75-40.5 40.74-69.63l.1289-.3398c4.283-11.27 1.791-23.1-6.43-32.82C47.51 313.1 32.06 277.6 32.06 240c0-97 100.5-176 223.1-176c123.5 0 223.1 79 223.1 176S379.5 416 256 416zM331.3 164.7c-6.25-6.25-16.38-6.25-22.62 0L256 217.4L203.3 164.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L233.4 240L180.7 292.7c-6.25 6.25-6.25 16.38 0 22.62c6.242 6.246 16.37 6.254 22.62 0L256 262.6l52.69 52.69c6.242 6.246 16.37 6.254 22.62 0c6.25-6.25 6.25-16.38 0-22.62L278.6 240l52.69-52.69C337.6 181.1 337.6 170.9 331.3 164.7z"],
    "comments": [640, 512, [61670, 128490], "f086", "M416 176C416 78.8 322.9 0 208 0S0 78.8 0 176c0 41.48 17.07 79.54 45.44 109.6c-15.17 32.34-38.65 58.07-38.95 58.38c-6.514 6.836-8.309 16.91-4.568 25.67C5.754 378.4 14.26 384 23.66 384c54.19 0 97.76-20.73 125.9-39.17C168.1 349.4 187.7 352 208 352C322.9 352 416 273.2 416 176zM208 320c-16.96 0-34.04-2.098-50.75-6.232L143.7 310.4L132 318.1c-20.43 13.38-51.58 28.99-89.85 32.97c9.377-12.11 22.3-30.63 32.24-51.82l9.242-19.71L68.72 263.7C44.7 238.2 32 207.9 32 176C32 96.6 110.1 32 208 32S384 96.6 384 176S305 320 208 320zM606.4 435.4C627.6 407.1 640 372.9 640 336C640 238.8 554 160 448 160c-.3145 0-.6191 .041-.9336 .043C447.5 165.3 448 170.6 448 176c0 5.43-.4668 10.76-.9414 16.09C447.4 192.1 447.7 192 448 192c88.22 0 160 64.6 160 144c0 28.69-9.424 56.45-27.25 80.26l-13.08 17.47l11.49 18.55c6.568 10.61 13.18 19.74 18.61 26.74c-18.26-1.91-36.45-6.625-54.3-14.09l-12.69-5.305l-12.58 5.557C495.9 475 472.3 480 448 480c-75.05 0-137.7-46.91-154.9-109.7c-10.1 3.336-20.5 6.132-31.2 8.271C282.7 455.1 357.1 512 448 512c29.82 0 57.94-6.414 83.12-17.54C555 504.5 583.7 512 616.3 512c9.398 0 17.91-5.57 21.73-14.32c3.74-8.758 1.945-18.84-4.568-25.67C633.3 471.8 619.6 456.8 606.4 435.4z"],
    "comments-dollar": [640, 512, [], "f653", "M212.4 160.6L206.8 159C179.7 151 180.5 146.3 181.6 139.8c1.891-10.91 19.22-13.41 34.81-10.91c5.812 .9062 12.22 2.906 18.3 5.031c8.375 2.875 17.47-1.531 20.36-9.875c2.906-8.344-1.516-17.47-9.859-20.38c-8.471-2.934-15.2-4.709-21.25-5.832V88c0-8.838-7.138-16-15.98-16c-8.836 0-16.02 7.162-16.02 16v9.275C169.4 101 153.6 114.2 150.1 134.4C143.3 173.7 181.5 184.9 197.8 189.7l5.781 1.688c28.67 8.188 32.33 11.81 30.77 20.81c-1.891 10.94-19.31 13.34-34.84 10.91C192.2 221.1 183.1 218.7 175.1 215.8L170.6 214.3C162.3 211.3 153.2 215.7 150.2 224C147.3 232.3 151.7 241.5 159.1 244.4l4.279 1.531c8.588 3.086 18.22 6.355 27.72 8.119V264c0 8.836 7.188 16 16.02 16c8.838 0 15.98-7.164 15.98-16V254.3c22.4-3.824 38.41-16.58 41.89-36.66C272.7 177.9 234.1 167.1 212.4 160.6zM606.4 435.4C627.6 407.1 640 372.9 640 336C640 238.8 554 160 448 160c-.3145 0-.6191 .041-.9336 .043C447.5 165.3 448 170.6 448 176c0 5.43-.4668 10.76-.9414 16.09C447.4 192.1 447.7 192 448 192c88.22 0 160 64.6 160 144c0 28.69-9.424 56.45-27.25 80.26l-13.08 17.47l11.49 18.55c6.568 10.61 13.18 19.74 18.61 26.74c-18.26-1.91-36.45-6.625-54.3-14.09l-12.69-5.305l-12.58 5.557C495.9 475 472.3 480 448 480c-75.05 0-137.7-46.91-154.9-109.7c-10.1 3.336-20.5 6.132-31.2 8.271C282.7 455.1 357.1 512 448 512c29.82 0 57.94-6.414 83.12-17.54C555 504.5 583.7 512 616.3 512c9.398 0 17.91-5.57 21.73-14.32c3.74-8.758 1.945-18.84-4.568-25.67C633.3 471.8 619.6 456.8 606.4 435.4zM416 176C416 78.8 322.9 0 208 0S0 78.8 0 176c0 41.48 17.07 79.54 45.44 109.6c-15.17 32.34-38.65 58.07-38.95 58.38c-6.514 6.836-8.309 16.91-4.568 25.67C5.754 378.4 14.26 384 23.66 384c54.19 0 97.76-20.73 125.9-39.17C168.1 349.4 187.7 352 208 352C322.9 352 416 273.2 416 176zM208 320c-16.96 0-34.04-2.098-50.75-6.232L143.7 310.4L132 318.1c-20.43 13.38-51.58 28.99-89.85 32.97c9.377-12.11 22.3-30.63 32.24-51.82l9.242-19.71L68.72 263.7C44.7 238.2 32 207.9 32 176C32 96.6 110.1 32 208 32S384 96.6 384 176S305 320 208 320z"],
    "comments-question": [640, 512, [], "e14e", "M208 224C196.1 224 188 232.1 188 244c0 11.04 8.955 20 20 20s20-8.955 20-20C228 232.1 219 224 208 224zM224.6 80H188.2C163.8 80 144 99.84 144 124.2c0 8.844 7.156 16 16 16s16-7.156 16-16C176 117.5 181.5 112 188.2 112h36.36C233.1 112 240 118.9 240 127.4c0 5.875-3.266 11.16-8.734 13.89L200.6 157.2C195.3 159.1 192 165.4 192 171.4V192c0 8.844 7.156 16 16 16S224 200.8 224 192V181.1l21.78-11.31C261.1 161.8 272 145.5 272 127.4C272 101.3 250.7 80 224.6 80zM416 176C416 78.8 322.9 0 208 0S0 78.8 0 176c0 41.48 17.07 79.54 45.44 109.6c-15.17 32.34-38.65 58.07-38.95 58.38c-6.514 6.836-8.309 16.91-4.568 25.67C5.754 378.4 14.26 384 23.66 384c54.19 0 97.76-20.73 125.9-39.17C168.1 349.4 187.7 352 208 352C322.9 352 416 273.2 416 176zM208 320c-16.96 0-34.04-2.098-50.75-6.232L143.7 310.4L132 318.1c-20.43 13.38-51.58 28.99-89.85 32.97c9.377-12.11 22.3-30.63 32.24-51.82l9.242-19.71L68.72 263.7C44.7 238.2 32 207.9 32 176C32 96.6 110.1 32 208 32S384 96.6 384 176S305 320 208 320zM606.4 435.4C627.6 407.1 640 372.9 640 336C640 238.8 554 160 448 160c-.3145 0-.6191 .041-.9336 .043C447.5 165.3 448 170.6 448 176c0 5.43-.4668 10.76-.9414 16.09C447.4 192.1 447.7 192 448 192c88.22 0 160 64.6 160 144c0 28.69-9.424 56.45-27.25 80.26l-13.08 17.47l11.49 18.55c6.568 10.61 13.18 19.74 18.61 26.74c-18.26-1.91-36.45-6.625-54.3-14.09l-12.69-5.305l-12.58 5.557C495.9 475 472.3 480 448 480c-75.05 0-137.7-46.91-154.9-109.7c-10.1 3.336-20.5 6.132-31.2 8.271C282.7 455.1 357.1 512 448 512c29.82 0 57.94-6.414 83.12-17.54C555 504.5 583.7 512 616.3 512c9.398 0 17.91-5.57 21.73-14.32c3.74-8.758 1.945-18.84-4.568-25.67C633.3 471.8 619.6 456.8 606.4 435.4z"],
    "comments-question-check": [640, 512, [], "e14f", "M208 224C196.1 224 188 232.1 188 244c0 11.04 8.955 20 20 20s20-8.955 20-20C228 232.1 219 224 208 224zM224.6 80H188.2C163.8 80 144 99.84 144 124.2c0 8.844 7.156 16 16 16s16-7.156 16-16C176 117.5 181.5 112 188.2 112h36.36C233.1 112 240 118.9 240 127.4c0 5.875-3.266 11.16-8.734 13.89L200.6 157.2C195.3 159.1 192 165.4 192 171.4V192c0 8.844 7.156 16 16 16S224 200.8 224 192V181.1l21.78-11.31C261.1 161.8 272 145.5 272 127.4C272 101.3 250.7 80 224.6 80zM416 176C416 78.8 322.9 0 208 0S0 78.8 0 176c0 41.48 17.07 79.54 45.44 109.6c-15.17 32.34-38.65 58.07-38.95 58.38c-6.514 6.836-8.309 16.91-4.568 25.67C5.754 378.4 14.26 384 23.66 384c54.19 0 97.76-20.73 125.9-39.17C168.1 349.4 187.7 352 208 352C322.9 352 416 273.2 416 176zM208 320c-16.96 0-34.04-2.098-50.75-6.232L143.7 310.4L132 318.1c-20.43 13.38-51.58 28.99-89.85 32.97c9.377-12.11 22.3-30.63 32.24-51.82l9.242-19.71L68.72 263.7C44.7 238.2 32 207.9 32 176C32 96.6 110.1 32 208 32S384 96.6 384 176S305 320 208 320zM606.4 435.4C627.6 407.1 640 372.9 640 336C640 238.8 554 160 448 160c-.3145 0-.6191 .041-.9336 .043C447.5 165.3 448 170.6 448 176c0 5.43-.4668 10.76-.9414 16.09C447.4 192.1 447.7 192 448 192c88.22 0 160 64.6 160 144c0 28.69-9.424 56.45-27.25 80.26l-13.08 17.47l11.49 18.55c6.568 10.61 13.18 19.74 18.61 26.74c-18.26-1.91-36.45-6.625-54.3-14.09l-12.69-5.305l-12.58 5.557C495.9 475 472.3 480 448 480c-75.05 0-137.7-46.91-154.9-109.7c-10.1 3.336-20.5 6.132-31.2 8.271C282.7 455.1 357.1 512 448 512c29.82 0 57.94-6.414 83.12-17.54C555 504.5 583.7 512 616.3 512c9.398 0 17.91-5.57 21.73-14.32c3.74-8.758 1.945-18.84-4.568-25.67C633.3 471.8 619.6 456.8 606.4 435.4zM388.7 338c-6.25 6.25-6.25 16.38 0 22.62L426 398c3 3 7.062 4.688 11.31 4.688S445.6 401 448.6 398l82.67-82.69c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0l-71.36 71.38l-26.02-26.03C405.1 331.8 394.9 331.8 388.7 338z"],
    "compact-disc": [512, 512, [128192, 128440, 128191], "f51f", "M256 232C242.8 232 232 242.8 232 256S242.8 280 256 280S280 269.3 280 256S269.2 232 256 232zM272 96c0-8.844-7.156-15.91-16-15.91c-97.05 0-176 78.88-176 175.9c0 8.844 7.156 16 16 16S112 264.8 112 256c0-79.41 64.59-144 144-144C264.8 112 272 104.8 272 96zM256 159.1c-53.02 0-96 43-96 96s42.98 95.1 96 95.1s96-43 96-95.1S309 159.1 256 159.1zM256 320c-35.33 0-64-28.75-64-64s28.67-64 64-64s64 28.75 64 64S291.3 320 256 320zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480z"],
    "compass": [512, 512, [129517], "f14e", "M232 256C232 242.7 242.7 232 256 232C269.3 232 280 242.7 280 256C280 269.3 269.3 280 256 280C242.7 280 232 269.3 232 256zM348.6 122.9C373.6 114.6 397.4 138.4 389.1 163.4L340.2 309.9C335.5 324.2 324.2 335.5 309.9 340.2L163.4 389.1C138.4 397.4 114.6 373.6 122.9 348.6L171.8 202.1C176.5 187.8 187.8 176.5 202.1 171.8L348.6 122.9zM358.7 153.3L212.2 202.1C207.5 203.7 203.7 207.5 202.1 212.2L153.3 358.7L299.8 309.9C304.5 308.3 308.3 304.5 309.9 299.8L358.7 153.3zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480z"],
    "compass-drafting": [512, 512, ["drafting-compass"], "f568", "M298.3 182.2C285.5 188.5 271.2 192 255.1 192C240.8 192 226.5 188.5 213.7 182.2L142.2 307.4C176.1 325.6 214.8 336 255.1 336C344.8 336 422.4 287.8 463.9 215.1C468.3 208.3 478.1 205.7 485.8 210.2C493.4 214.6 496 224.4 491.6 232C444.6 313.3 356.7 368 255.1 368C209 368 164.9 356.1 126.3 335.2L29.89 503.9C25.51 511.6 15.73 514.3 8.06 509.9C.3882 505.5-2.277 495.7 2.107 488.1L99.15 318.2C67.07 295.6 40.13 266.1 20.4 232C15.97 224.4 18.59 214.6 26.24 210.2C33.88 205.7 43.67 208.3 48.1 215.1C65.01 245.2 87.91 270.6 115.1 290.3L187.6 163.4C170.5 146.1 159.1 122.3 159.1 96C159.1 42.98 202.1 0 255.1 0C309 0 352 42.98 352 96C352 122.3 341.5 146.1 324.4 163.4L372.7 248.1C377.1 255.7 374.5 265.5 366.8 269.9C359.1 274.3 349.3 271.6 344.1 263.9L298.3 182.2zM255.1 32C220.7 32 191.1 60.65 191.1 96C191.1 131.3 220.7 160 255.1 160C291.3 160 320 131.3 320 96C320 60.65 291.3 32 255.1 32zM408.1 375.9C404.6 368.3 407.2 358.5 414.9 354.1C422.6 349.7 432.4 352.4 436.7 360.1L509.9 488.1C514.3 495.7 511.6 505.5 503.9 509.9C496.3 514.3 486.5 511.6 482.1 503.9L408.1 375.9z"],
    "compass-slash": [640, 512, [], "f5e9", "M633.9 483.4C640.9 488.9 642 498.1 636.6 505.9C631.1 512.9 621 514 614.1 508.6L6.086 28.56C-.8493 23.08-2.033 13.02 3.443 6.086C8.918-.8493 18.98-2.033 25.91 3.443L633.9 483.4zM448.8 439.3L474.9 459.8C431.9 492.6 378.2 512 319.1 512C178.6 512 63.1 397.4 63.1 256C63.1 219.2 71.76 184.2 85.74 152.6L111.8 173.2C101.6 198.8 95.1 226.7 95.1 256C95.1 379.7 196.3 480 319.1 480C367.1 480 412.4 464.9 448.8 439.3V439.3zM576 256C576 292.8 568.2 327.8 554.3 359.4L528.2 338.8C538.4 313.2 544 285.3 544 256C544 132.3 443.7 32 319.1 32C272 32 227.6 47.07 191.2 72.74L165.1 52.17C208.1 19.43 261.8 .0006 319.1 .0006C461.4 .0006 576 114.6 576 256V256zM186.9 348.6L217.6 256.7L244.3 277.8L217.3 358.7L308.4 328.3L338.4 352.1L227.4 389.1C202.4 397.4 178.6 373.6 186.9 348.6H186.9zM412.6 122.9C437.6 114.6 461.4 138.4 453.1 163.4L422.4 255.3L395.7 234.2L422.7 153.3L331.6 183.7L301.6 159.9L412.6 122.9z"],
    "compress": [448, 512, [], "f066", "M144 320h-128C7.156 320 0 327.2 0 336S7.156 352 16 352H128v112C128 472.8 135.2 480 144 480S160 472.8 160 464v-128C160 327.2 152.8 320 144 320zM304 192h128C440.8 192 448 184.8 448 176S440.8 160 432 160H320V48C320 39.16 312.8 32 304 32S288 39.16 288 48v128C288 184.8 295.2 192 304 192zM432 320h-128c-8.844 0-16 7.156-16 16v128c0 8.844 7.156 16 16 16s16-7.156 16-16V352h112c8.844 0 16-7.156 16-16S440.8 320 432 320zM144 32C135.2 32 128 39.16 128 48V160H16C7.156 160 0 167.2 0 176S7.156 192 16 192h128C152.8 192 160 184.8 160 176v-128C160 39.16 152.8 32 144 32z"],
    "compress-wide": [512, 512, [], "f326", "M368 224h128C504.8 224 512 216.8 512 208S504.8 192 496 192H384V80C384 71.16 376.8 64 368 64S352 71.16 352 80v128C352 216.8 359.2 224 368 224zM144 288h-128C7.156 288 0 295.2 0 304S7.156 320 16 320H128v112C128 440.8 135.2 448 144 448S160 440.8 160 432v-128C160 295.2 152.8 288 144 288zM496 288h-128C359.2 288 352 295.2 352 304v128c0 8.844 7.156 16 16 16s16-7.156 16-16V320h112c8.844 0 16-7.156 16-16S504.8 288 496 288zM144 64C135.2 64 128 71.16 128 80V192H16C7.156 192 0 199.2 0 208S7.156 224 16 224h128C152.8 224 160 216.8 160 208v-128C160 71.16 152.8 64 144 64z"],
    "computer": [640, 512, [], "e4e5", "M0 320V96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V320C448 355.3 419.3 384 384 384H286.2L307.5 448H368C376.8 448 384 455.2 384 464C384 472.8 376.8 480 368 480H80C71.16 480 64 472.8 64 464C64 455.2 71.16 448 80 448H140.5L161.8 384H64C28.65 384 0 355.3 0 320H0zM384 64H64C46.33 64 32 78.33 32 96V320C32 337.7 46.33 352 64 352H384C401.7 352 416 337.7 416 320V96C416 78.33 401.7 64 384 64zM273.8 448L252.5 384H195.5L174.2 448H273.8zM536 336C536 322.7 546.7 312 560 312C573.3 312 584 322.7 584 336C584 349.3 573.3 360 560 360C546.7 360 536 349.3 536 336zM480 80C480 53.49 501.5 32 528 32H592C618.5 32 640 53.49 640 80V432C640 458.5 618.5 480 592 480H528C501.5 480 480 458.5 480 432V80zM512 80V128H608V80C608 71.16 600.8 64 592 64H528C519.2 64 512 71.16 512 80zM512 160V192H608V160H512zM528 448H592C600.8 448 608 440.8 608 432V224H512V432C512 440.8 519.2 448 528 448z"],
    "computer-classic": [448, 512, [], "f8b1", "M384 0H64C28.8 0 0 28.8 0 64v320c0 23.63 12.95 44.04 32 55.12V480c0 17.66 14.34 32 32 32h320c17.66 0 32-14.34 32-32v-40.88C435 428 448 407.6 448 384V64C448 28.8 419.2 0 384 0zM384 480H64v-32h320V480zM416 384c0 17.67-14.33 32-32 32H64c-17.67 0-32-14.33-32-32V64c0-17.67 14.33-32 32-32h320c17.67 0 32 14.33 32 32V384zM319.1 64h-192c-35.35 0-64 28.65-64 64L64 192c0 35.35 28.65 64 63.1 64h192C355.3 256 384 227.3 384 192l0-64C383.1 92.65 355.3 64 319.1 64zM352 192c0 17.64-14.36 32-32 32H128C110.4 224 96 209.6 96 192V128c0-17.64 14.36-32 32-32h192c17.64 0 32 14.36 32 32V192zM96 312c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24s24-10.75 24-24C120 322.7 109.3 312 96 312zM368 320h-128c-8.844 0-16 7.156-16 16s7.156 16 16 16h128c8.844 0 16-7.156 16-16S376.8 320 368 320z"],
    "computer-mouse": [384, 512, [128433, "mouse"], "f8cc", "M224 0H160C71.63 0 0 71.62 0 160v192c0 88.38 71.63 160 160 160h64c88.38 0 160-71.63 160-160V160C384 71.62 312.4 0 224 0zM32 160c.125-70.62 57.38-127.9 128-128h16v160H32V160zM352 352c-.125 70.63-57.38 127.9-128 128H160c-70.63-.125-127.9-57.38-128-128V224h320V352zM352 192h-144V32H224c70.63 .125 127.9 57.38 128 128V192z"],
    "computer-mouse-scrollwheel": [384, 512, ["mouse-alt"], "f8cd", "M224 0H160c-88.38 0-160 71.63-160 160v192c0 88.38 71.63 160 160 160h64c88.38 0 160-71.63 160-160V160C384 71.62 312.4 0 224 0zM352 352c-.125 70.63-57.38 127.9-128 128H160c-70.63-.125-127.9-57.38-128-128V160c.125-70.63 57.38-127.9 128-128h64c70.63 .125 127.9 57.38 128 128V352zM192 95.1c-8.844 0-16 7.156-16 16v64C176 184.8 183.2 192 192 192s16-7.156 16-16v-64C208 103.2 200.8 95.1 192 95.1z"],
    "computer-speaker": [640, 512, [], "f8b2", "M480 192c26.5 0 48-21.5 48-48S506.5 96 480 96s-48 21.5-48 48S453.5 192 480 192zM480 128c8.875 0 16 7.125 16 16S488.9 160 480 160s-16-7.125-16-16S471.1 128 480 128zM480 224c-53 0-96 43-96 96s43 96 96 96s96-43 96-96S533 224 480 224zM480 384c-35.38 0-64-28.62-64-64s28.62-64 64-64s64 28.62 64 64S515.4 384 480 384zM480 296c-13.25 0-24 10.75-24 24s10.75 24 24 24s24-10.75 24-24S493.3 296 480 296zM576 32h-192c-35.35 0-64 28.65-64 64v320c0 35.35 28.65 64 64 64h192c35.35 0 64-28.65 64-64V96C640 60.65 611.3 32 576 32zM608 416c0 17.67-14.33 32-32 32h-192c-17.67 0-32-14.33-32-32V96c0-17.67 14.33-32 32-32h192c17.67 0 32 14.33 32 32V416zM48 64h224C280.8 64 288 56.84 288 48S280.8 32 272 32H47.1c-26.47 0-48 21.53-48 48L0 336C0 362.5 21.53 384 48 384h224C280.8 384 288 376.8 288 368S280.8 352 272 352h-224C39.17 352 32 344.8 32 336v-256C32 71.19 39.17 64 48 64zM272 448h-160C103.2 448 96 455.2 96 464S103.2 480 112 480h160C280.8 480 288 472.8 288 464S280.8 448 272 448z"],
    "container-storage": [640, 512, [], "f4b7", "M368 416c8.844 0 16-7.156 16-16v-288C384 103.2 376.8 96 368 96S352 103.2 352 112v288C352 408.8 359.2 416 368 416zM464 416c8.844 0 16-7.156 16-16v-288C480 103.2 472.8 96 464 96S448 103.2 448 112v288C448 408.8 455.2 416 464 416zM272 416C280.8 416 288 408.8 288 400v-288C288 103.2 280.8 96 272 96S256 103.2 256 112v288C256 408.8 263.2 416 272 416zM624 448H608V64h16C632.8 64 640 56.84 640 48S632.8 32 624 32h-608C7.156 32 0 39.16 0 48S7.156 64 16 64H32v384H16C7.156 448 0 455.2 0 464S7.156 480 16 480h608c8.844 0 16-7.156 16-16S632.8 448 624 448zM576 448H64V64h512V448zM176 416C184.8 416 192 408.8 192 400v-288C192 103.2 184.8 96 176 96S160 103.2 160 112v288C160 408.8 167.2 416 176 416z"],
    "conveyor-belt": [640, 512, [], "f46e", "M544 320h-448c-53 0-96 43-96 96s43 96 96 96h448c53 0 96-43 96-96S597 320 544 320zM544 480H96c-35.25 0-64-28.75-64-64s28.75-64 64-64h448c35.25 0 64 28.75 64 64S579.3 480 544 480zM192 288h256c35.35 0 64-28.65 64-64V64c0-35.35-28.65-64-64-64H192C156.7 0 128 28.65 128 64v160C128 259.3 156.7 288 192 288zM272 32h96v70.13l-40.84-20.44c-4.5-2.25-9.812-2.25-14.31 0L272 102.1V32zM160 64c0-17.64 14.36-32 32-32h48v96c0 5.531 2.875 10.69 7.594 13.62c4.656 2.812 10.59 3.156 15.56 .6875L320 113.9l56.84 28.44C379.1 143.4 381.6 144 384 144c2.938 0 5.844-.8125 8.406-2.375C397.1 138.7 400 133.5 400 128V32H448c17.64 0 32 14.36 32 32v160c0 17.64-14.36 32-32 32H192C174.4 256 160 241.6 160 224V64zM128 392c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24S152 429.3 152 416C152 402.7 141.3 392 128 392zM320 392c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24s24-10.75 24-24C344 402.7 333.3 392 320 392zM512 392c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24s24-10.75 24-24C536 402.7 525.3 392 512 392z"],
    "conveyor-belt-boxes": [640, 512, ["conveyor-belt-alt"], "f46f", "M128 288h160c35.35 0 64-28.65 64-64V64c0-35.35-28.65-64-64-64H128C92.65 0 64 28.65 64 64v160C64 259.3 92.65 288 128 288zM96 64c0-17.64 14.36-32 32-32h160c17.64 0 32 14.36 32 32v160c0 17.64-14.36 32-32 32H128C110.4 256 96 241.6 96 224V64zM448 288h64c35.35 0 64-28.65 64-64V128c0-35.35-28.65-64-64-64h-64c-35.35 0-64 28.65-64 64v96C384 259.3 412.7 288 448 288zM416 128c0-17.64 14.36-32 32-32h64c17.64 0 32 14.36 32 32v96c0 17.64-14.36 32-32 32h-64c-17.64 0-32-14.36-32-32V128zM544 320H96c-53 0-96 43-96 96s43 96 96 96h448c53 0 96-43 96-96S597 320 544 320zM544 480H96c-35.25 0-64-28.75-64-64s28.75-64 64-64h448c35.25 0 64 28.75 64 64S579.3 480 544 480zM128 392c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24S152 429.3 152 416C152 402.7 141.3 392 128 392zM320 392c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24s24-10.75 24-24C344 402.7 333.3 392 320 392zM512 392c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24s24-10.75 24-24C536 402.7 525.3 392 512 392z"],
    "conveyor-belt-empty": [640, 512, [], "e150", "M544 320H96c-53 0-96 43-96 96s43 96 96 96h448c53 0 96-43 96-96S597 320 544 320zM544 480H96c-35.25 0-64-28.75-64-64s28.75-64 64-64h448c35.25 0 64 28.75 64 64S579.3 480 544 480zM128 392c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24S152 429.3 152 416C152 402.7 141.3 392 128 392zM320 392c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24s24-10.75 24-24C344 402.7 333.3 392 320 392zM512 392c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24s24-10.75 24-24C536 402.7 525.3 392 512 392z"],
    "cookie": [512, 512, [127850], "f563", "M191.1 328c-13.25 0-24 10.75-24 24s10.75 24 24 24s24-10.75 24-24S205.2 328 191.1 328zM183.1 192c0-13.25-10.75-24-24-24s-24 10.75-24 24s10.75 24 24 24S183.1 205.3 183.1 192zM287.1 232c-13.25 0-24 10.75-24 24s10.75 24 24 24s24-10.75 24-24S301.2 232 287.1 232zM343.1 128c0-13.25-10.75-24-24-24s-24 10.75-24 24s10.75 24 24 24S343.1 141.3 343.1 128zM351.1 328c-13.25 0-24 10.75-24 24s10.75 24 24 24s24-10.75 24-24S365.2 328 351.1 328zM494.5 254.8l-11.37-71.48c-4.102-25.9-16.29-49.8-34.8-68.32l-51.33-51.33c-18.51-18.52-42.3-30.7-68.2-34.8L256.9 17.53C250.5 16.47 244 16 237.6 16c-19.45 0-38.67 4.573-56.13 13.48L116.7 62.53c-23.32 11.84-42.3 30.82-54.26 54.14L29.51 181.2C17.56 204.7 13.43 231.2 17.53 257.2l11.37 71.48C32.1 354.6 45.18 378.5 63.7 397.1l51.33 51.33c18.51 18.52 42.3 30.61 68.2 34.72l71.84 11.37C261.5 495.5 267.1 496 274.4 496c19.45 0 38.67-4.573 56.13-13.48l64.8-33.05c23.32-11.84 42.3-30.82 54.26-54.14l32.81-64.57C494.4 307.3 498.6 280.8 494.5 254.8zM453.9 316.3l-32.76 64.47c-8.959 17.48-22.88 31.38-40.32 40.23l-64.81 33.05C303.2 460.5 288.8 464 274.4 464c-4.996 0-9.631-.3613-14.33-1.131l-71.83-11.37c-19.24-3.047-36.73-11.98-50.58-25.83l-51.33-51.33c-13.83-13.83-22.76-31.37-25.83-50.72l-11.36-71.44C46.08 232.8 49.18 213.3 58.12 195.7l32.76-64.47c8.959-17.48 22.88-31.38 40.32-40.23l64.81-33.05C208.8 51.45 223.2 48 237.6 48c4.996 0 9.631 .3613 14.33 1.129l71.83 11.37c19.24 3.047 36.73 11.98 50.58 25.83l51.33 51.33c13.83 13.83 22.76 31.37 25.83 50.72l11.36 71.44C465.9 279.2 462.8 298.7 453.9 316.3z"],
    "cookie-bite": [512, 512, [], "f564", "M184 192c0-13.25-10.75-24-24-24s-24 10.75-24 24s10.75 24 24 24S184 205.3 184 192zM288 232c-13.25 0-24 10.75-24 24s10.75 24 24 24s24-10.75 24-24S301.3 232 288 232zM192 328c-13.25 0-24 10.75-24 24s10.75 24 24 24s24-10.75 24-24S205.3 328 192 328zM352 328c-13.25 0-24 10.75-24 24s10.75 24 24 24s24-10.75 24-24S365.3 328 352 328zM494.6 255.9c-65.63-.8203-118.6-54.14-118.6-119.9c-65.74 0-119.1-52.97-119.8-118.6C250 16.47 243.7 16 237.5 16c-19.34 0-38.54 4.573-56 13.48L116.7 62.41C93.35 74.36 74.36 93.35 62.41 116.7L29.6 181.2C17.64 204.7 13.42 231.2 17.53 257.2l11.37 71.48c4.102 25.9 16.29 49.8 34.81 68.32l51.36 51.39c18.52 18.4 42.27 30.64 68.18 34.75l71.84 11.37C261.5 495.5 268 496 274.5 496c19.34 0 38.71-4.573 56.17-13.48l64.81-33.05c23.32-11.84 42.31-30.82 54.14-54.14l32.93-64.57C494.3 307.7 498.5 281.4 494.6 255.9zM454 316.2l-32.96 64.63c-8.703 17.15-22.94 31.38-40.14 40.12l-64.81 33.05C303.3 460.5 288.9 464 274.5 464c-5.004 0-9.811-.3711-14.45-1.131l-71.83-11.37c-19.23-3.045-36.75-11.96-50.56-25.68l-51.36-51.47c-13.83-13.83-22.76-31.36-25.83-50.72l-11.36-71.44C46.08 232.8 49.18 213.3 58.12 195.7l32.76-64.47C99.84 113.8 113.8 99.83 131.2 90.93l64.85-32.95c9.895-5.047 20.71-8.256 31.72-9.453c12.9 58.74 60.05 104.1 119.1 116.6c11.65 59 57.88 106.2 116.6 119.2C462.2 295.4 459.1 306.3 454 316.2z"],
    "copy": [512, 512, [], "f0c5", "M272 416C263.2 416 256 423.2 256 432V448c0 17.67-14.33 32-32 32H64c-17.67 0-32-14.33-32-32V192c0-17.67 14.33-32 32-32h112C184.8 160 192 152.8 192 144C192 135.2 184.8 128 176 128H63.99c-35.35 0-64 28.65-64 64l.0098 256C0 483.3 28.65 512 64 512h160c35.35 0 64-28.65 64-64v-16C288 423.2 280.8 416 272 416zM502.6 86.63l-77.25-77.25C419.4 3.371 411.2 0 402.7 0H288C252.7 0 224 28.65 224 64v256c0 35.35 28.65 64 64 64h160c35.35 0 64-28.65 64-64V109.3C512 100.8 508.6 92.63 502.6 86.63zM416 45.25L466.7 96H416V45.25zM480 320c0 17.67-14.33 32-32 32h-160c-17.67 0-32-14.33-32-32V64c0-17.67 14.33-32 32-32h96l.0026 64c0 17.67 14.33 32 32 32H480V320z"],
    "copyright": [512, 512, [169], "f1f9", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480zM323.9 188.1c6.25 6.25 16.38 6.25 22.62 0s6.25-16.38 0-22.62c-48.31-48.38-132.7-48.38-181 0C141.3 189.7 128 221.8 128 256s13.31 66.34 37.5 90.5C189.7 370.7 221.8 384 256 384s66.34-13.31 90.5-37.5c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0c-36.25 36.25-99.5 36.25-135.8 0C169.1 305.8 160 281.7 160 256s9.1-49.75 28.12-67.88C224.4 151.9 287.6 151.9 323.9 188.1z"],
    "corn": [512, 512, [127805], "f6c7", "M446 0c-12.88 0-25.25 3.75-35.63 10.62c-15.38-4.123-28.13-1.498-34.88 .5c-10.38 3-19.88 8.375-27.63 15.88c-6.25-.375-17.62-.375-30.5 5.125c-10 4.5-18.5 11.12-25 19.25c-10.5 .5-20.75 3.625-29.75 9C254.4 64.96 247.5 71.64 242.1 79.28c8.021 11.7 14.73 23.34 20.2 34.82c.0234 .0098-.0234-.0078 0 0c.875-10.5 6.801-20.61 16.68-26.24c15.88-9.373 30.88-1.498 31.38-1.373c1.875-10.38 8.752-20.12 19.5-24.88c13.5-5.75 25.5-1.375 31.62 2.625c3.252-10.62 11.75-19.25 23-22.5c3-.875 18.62-5 32.13 8.123C422.4 38.1 433.5 31.1 446 31.1c.5 0 33.88-1 33.88 37.87c-.5 12.88-8 23.62-18.5 28.1c7.5 8.25 11 20.38 7.5 32.12c-3.5 11.25-12.38 19.5-22.75 22.75c5.875 9.125 7.25 20.87 2.375 31.62c-4.75 10.75-14.38 17.38-25.12 19.25c4.875 9.625 4.5 21.5-1.375 31.38c-4.5 7.898-11.92 13.09-20.19 15.36c10.52 5.207 21.08 11.43 31.7 18.79c6.52-5.135 12.24-11.16 16.37-18.4c5.25-8.873 8.252-18.75 8.877-28.87c8-6.375 14.62-14.75 19-24.37c4.375-9.875 6.25-20.62 5.625-31c7.375-7.623 13-16.87 16.12-26.1c3.252-11.25 3.502-23.12 .75-34.5C528.3 65.25 504.6 0 446 0zM446.9 322.5c-69.92-70.92-158.4-66.87-161.3-66.87c-10.75 0-21.38 1.125-31.88 2.5c1.5-10.5 2.5-20.1 2.5-31.87c0-2.887 4.672-89.69-66.75-161.1L168.4 43.1c-9-9.125-24.5-4.375-27 8.123L117.6 170.9L36.99 251.5c-20 20.12-34 46.12-36.5 74.5c-3.125 34.87 9 68.25 33.5 92.62L96.11 480.8l.375-.25c27.38 25.5 64.75 36.87 103.3 28.88c22.88-4.75 43.5-17.25 60-33.75l81.25-81.37l118.9-23.75c12.5-2.5 17.12-17.1 8.125-26.1L446.9 322.5zM56.61 277.2l90.5-90.5l19.75-98.99c48.38 48.25 65.38 115.4 52.5 177.6c-35.5 10.75-68 30.12-94.88 57.12l-70.5 70.37C24.11 359.9 24.73 308.1 56.61 277.2zM325.2 364.9l-90.5 90.5c-16.38 16.38-37.88 24.62-59.38 24.62c-21.5 0-43-8.248-59.38-24.62l-39.63-39.62l70.75-70.62c38.25-38.25 88.38-57.5 138.5-57.5s100.4 19.25 138.6 57.5L325.2 364.9z"],
    "corner": [448, 512, [], "e3fe", "M432 384c-8.844 0-16-7.156-16-16V192H16C7.156 192 0 184.8 0 176S7.156 160 16 160h416C440.8 160 448 167.2 448 176v192C448 376.8 440.8 384 432 384z"],
    "couch": [640, 512, [], "f4b8", "M576 224c-35.35 0-64 28.65-64 64h-384c0-35.35-28.65-64-64-64s-64 28.65-64 64v160c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32h384c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32V288C640 252.7 611.3 224 576 224zM96 448H32V288c0-17.64 14.36-32 32-32s32 14.36 32 32V448zM511.1 416h-384L128 320h384L511.1 416zM608 448h-64V288c0-17.64 14.36-32 32-32s32 14.36 32 32V448zM80 192C88.84 192 96 184.8 96 176v-32C96 99.88 131.9 64 176 64h288C508.1 64 544 99.88 544 144v32C544 184.8 551.2 192 560 192S576 184.8 576 176v-32C576 82.25 525.8 32 464 32h-288C114.3 32 64 82.25 64 144v32C64 184.8 71.16 192 80 192z"],
    "cow": [640, 512, [128004], "f6c8", "M633.1 279.6L624 265.5V210.6c0-19.38-15.75-35.12-35.13-35.12c-9 0-14.25 2.875-23.62 7.625l-56.5-79.42C490.6 78.83 461.8 64 431 64H112C67.88 64 32 99.88 32 144v88.88C13 244 0 264.4 0 288v32c35.38 0 64-28.62 64-64V144c0-23.88 17.62-43.62 40.5-47.25C99.25 106 96 116.6 96 128L96 416c0 17.62 14.38 32 32 32h48C193.6 448 208 433.6 208 416v-51.63c7.25 3 15.62 5 24 6.875L232.1 392c0 8.875 7.25 16 16 16c8.875 0 16-7.125 16-16L264 375.2C266.8 375.4 269.2 376 272 376s5.25-.625 8-.75L280.1 392c0 8.875 7.25 16 16 16c8.875 0 16-7.125 16-16L312 371.2c8.375-1.875 16.75-3.875 24-6.875V416c0 17.62 14.38 32 32 32h48C433.6 448 448 433.6 448 416V272L480 288L480 330c0 12.25 3.5 24.38 10.25 34.75l35.38 54.87C537.1 437.2 556.8 448 577.8 448C612.1 448 640 420.2 640 385.9V298.2C640 291.6 637.9 285.1 633.1 279.6zM212.8 96h118.5c17.5 0 27.13 19.75 15.88 32.75C307 175.2 289.2 176 272 176H271c-17.25 0-33.88-.375-74.12-47.25C185.6 115.8 195.2 96 212.8 96zM208.6 330.2C211.6 297.6 238.8 272 272 272s60.38 25.62 63.38 58.25C321.2 335.9 277.1 357.9 208.6 330.2zM608 385.9C608 402.5 594.5 416 577.8 416c-10.25 0-19.62-5.125-25.25-13.75l-35.38-54.87C513.8 342.2 512 336.2 512 329.1v-51.84c0-6.06-3.424-11.6-8.845-14.31l-64-31.1C428.5 226.5 416 234.2 416 246.1V416h-48v-80c0-30.88-25.5-96-96-96c-70.88 0-95.1 64.5-95.1 96L176 416H128V128c0-17.62 14.38-32 32-32h4.25C156.6 114.1 159.6 134.6 172.6 149.8C214.9 198.8 239.8 208 271 208c32.88 0 58.13-9.25 100.4-58.25c13-15.13 16-35.63 8.375-53.75H431c20.38 0 39.75 9.875 51.63 26.25l78.63 110.4C565.8 215.5 580.3 208 584 208c4.25 0 8 3.375 8 8.125v59.63L608 298.2V385.9zM568 304c-8.875 0-16 7.125-16 16s7.125 16 16 16s16-7.125 16-16S576.9 304 568 304z"],
    "cowbell": [448, 512, [], "f8b3", "M175.1 0H272C298.5 0 320 21.49 320 48V96H336C357.4 96 376.3 110.2 382.2 130.8L446.2 354.8C450.3 369.3 447.4 384.9 438.3 396.9C429.3 408.9 415.1 416 400 416H47.1C32.94 416 18.75 408.9 9.679 396.9C.6086 384.9-2.291 369.3 1.847 354.8L65.85 130.8C71.73 110.2 90.57 96 112 96H128V48C128 21.49 149.5 0 176 0L175.1 0zM175.1 32C167.2 32 159.1 39.16 159.1 48V96H288V48C288 39.16 280.8 32 272 32H175.1zM111.1 128C104.9 128 98.58 132.7 96.62 139.6L32.62 363.6C31.24 368.4 32.2 373.6 35.23 377.6C38.25 381.6 42.98 384 47.1 384H400C405 384 409.8 381.6 412.8 377.6C415.8 373.6 416.8 368.4 415.4 363.6L351.4 139.6C349.4 132.7 343.1 128 336 128H111.1zM223.1 480C237.9 480 249.8 471.1 254.2 458.7C257.1 450.3 266.3 445.1 274.6 448.9C282.9 451.9 287.3 461 284.4 469.3C275.6 494.2 251.9 512 223.1 512C196.1 512 172.4 494.2 163.6 469.3C160.7 461 165.1 451.9 173.4 448.9C181.7 445.1 190.9 450.3 193.8 458.7C198.2 471.1 210.1 480 223.1 480z"],
    "cowbell-circle-plus": [576, 512, ["cowbell-more"], "f8b4", "M175.1 .0003H271.1C298.5 .0003 320 21.49 320 48V96H336C357.4 96 376.3 110.2 382.2 130.8L400.4 194.8C389.8 196.7 379.5 199.6 369.6 203.4L351.4 139.6C349.4 132.7 343.1 128 336 128H111.1C104.9 128 98.58 132.7 96.62 139.6L32.62 363.6C31.24 368.4 32.2 373.6 35.23 377.6C38.25 381.6 42.98 384 47.1 384H256.7C257.7 394.1 259.7 405.7 262.6 416H47.1C32.94 416 18.75 408.9 9.679 396.9C.6086 384.9-2.291 369.3 1.847 354.8L65.85 130.8C71.73 110.2 90.57 96 112 96H128V48C128 21.49 149.5 0 176 0L175.1 .0003zM175.1 32C167.2 32 159.1 39.16 159.1 48V96H287.1V48C287.1 39.16 280.8 32 271.1 32H175.1zM274.6 448.9C275.1 449.1 275.5 449.3 275.9 449.5C278.8 454.9 281.9 460.1 285.2 465.2C285.1 466.6 284.8 467.1 284.4 469.3C275.6 494.2 251.9 512 223.1 512C196.1 512 172.4 494.2 163.6 469.3C160.7 461 165.1 451.9 173.4 448.9C181.7 445.1 190.9 450.3 193.8 458.7C198.2 471.1 210.1 480 223.1 480C237.9 480 249.8 471.1 254.2 458.7C257.1 450.3 266.3 445.1 274.6 448.9zM448 351.1H496C504.8 351.1 512 359.2 512 367.1C512 376.8 504.8 383.1 496 383.1H448V431.1C448 440.8 440.8 447.1 432 447.1C423.2 447.1 416 440.8 416 431.1V383.1H368C359.2 383.1 352 376.8 352 367.1C352 359.2 359.2 351.1 368 351.1H416V303.1C416 295.2 423.2 287.1 432 287.1C440.8 287.1 448 295.2 448 303.1V351.1zM576 368C576 447.5 511.5 512 432 512C352.5 512 287.1 447.5 287.1 368C287.1 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 256C370.1 256 320 306.1 320 368C320 429.9 370.1 480 432 480C493.9 480 544 429.9 544 368C544 306.1 493.9 256 432 256z"],
    "crab": [512, 512, [129408], "e3ff", "M512 157.2V112C512 50.25 461.8 0 400 0h-64c-6.875 0-13 4.406-15.19 10.94c-2.156 6.531 .0625 13.73 5.594 17.86l64 48c7.062 5.297 17.09 3.938 22.41-3.203c5.281-7.062 3.844-17.09-3.219-22.39L384 32h16c38.63 0 70.97 27.53 78.41 64H384c-9.094 0-17.78-3.891-23.84-10.66c-5.906-6.609-16-7.156-22.59-1.281c-6.594 5.891-7.156 16.02-1.281 22.59C348.4 120.2 365.8 128 383.1 128H480v29.17c0 5.797-3.156 11.16-8.25 13.98l-85.52 47.52c-18.82-14.17-41.47-23.17-66.23-25.51L320 144C320 135.2 312.8 128 304 128S288 135.2 288 144V192H224.1L224 144C224 135.2 216.8 128 208 128S192 135.2 192 144l.001 49.17C167.2 195.5 144.6 204.5 125.8 218.7L40.25 171.2C35.16 168.3 32 162.1 32 157.2V128h96c18.22 0 35.59-7.781 47.72-21.34c5.875-6.578 5.312-16.7-1.281-22.59C167.8 78.19 157.8 78.73 151.8 85.34C145.8 92.11 137.1 96 128 96H33.59C41.03 59.53 73.38 32 112 32H128L102.4 51.2c-7.062 5.297-8.5 15.33-3.219 22.39c5.344 7.109 15.38 8.484 22.41 3.203l64-48c5.531-4.125 7.75-11.33 5.594-17.86C189 4.406 182.9 0 176 0h-64C50.25 0 0 50.25 0 112v45.17c0 17.42 9.469 33.5 24.69 41.95L101.9 242.1C94.66 251.2 88.14 261.1 83.5 272H51.78L23.16 257.7c-7.906-3.891-17.5-.7656-21.47 7.156C-2.25 272.8 .9375 282.4 8.844 286.3l32 16C43.06 303.4 45.53 304 48 304h27.07c-.9277 6.297-1.908 12.58-1.908 19.14c0 2.91 .9768 5.617 1.649 8.4l-15.88 5.291c-2.344 .7813-4.5 2.109-6.25 3.859l-32 32c-6.25 6.25-6.25 16.38 0 22.62C23.81 398.4 27.91 400 32 400s8.188-1.562 11.31-4.688l29.34-29.33l21.14-7.049l30.71 30.71l-33.56 11.19c-2.344 .7813-4.5 2.109-6.25 3.859l-32 32c-6.25 6.25-6.25 16.38 0 22.62C55.81 462.4 59.91 464 64 464s8.188-1.562 11.31-4.688l29.34-29.33l45.14-15.05l16.84 16.84l-30.85 18.51C130.9 453.2 128 458.4 128 464v32C128 504.8 135.2 512 144 512S160 504.8 160 496v-22.94L201.8 448h108.5L352 473.1V496c0 8.844 7.156 16 16 16s16-7.156 16-16v-32c0-5.625-2.938-10.83-7.781-13.72l-30.85-18.51l16.84-16.84l45.13 15.05l29.34 29.33C439.8 462.4 443.9 464 448 464s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62l-32-32c-1.75-1.75-3.906-3.078-6.25-3.859l-33.56-11.19l30.71-30.71l21.14 7.049l29.34 29.33C471.8 398.4 475.9 400 480 400s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62l-32-32c-1.75-1.75-3.906-3.078-6.25-3.859l-15.88-5.291c.6719-2.783 1.668-5.49 1.668-8.4c0-6.555-1-12.84-1.928-19.14H464c2.469 0 4.938-.5781 7.156-1.688l32-16c7.906-3.953 11.09-13.56 7.156-21.47c-3.969-7.922-13.53-11.08-21.47-7.156L460.2 272H428.5c-4.641-10.95-11.16-20.76-18.45-29.95l77.26-42.93C502.5 190.7 512 174.6 512 157.2zM405.5 326.4l-88.29 88.29C316.4 415.5 315.2 416 313.1 416H198c-1.203 0-2.381-.4883-3.232-1.34l-88.29-88.29c-.8633-.8633-1.34-2.014-1.34-3.234C105.1 268.5 149.6 224 204.3 224h103.4c54.66 0 99.14 44.47 99.14 99.14C406.9 324.4 406.4 325.5 405.5 326.4z"],
    "crate-apple": [512, 512, ["apple-crate"], "f6b1", "M336.4 126.4l15.58 8.703l15.63-8.701c54.78-30.58 67.04-3.746 67.66-2.871C446.8 140.4 449.8 171.4 446.2 192h32.15C488.6 121.3 449.7 43.84 352 98.39c-24.04-13.42-44.48-18.79-61.55-18.29c8.387 9.725 14.44 21.88 19.34 34.9C317.4 117.2 325.9 120.5 336.4 126.4zM432 287.1c-8.875 0-16 7.123-16 15.1s7.125 16 16 16S448 312.9 448 303.1S440.9 287.1 432 287.1zM65.82 192C62.16 171.4 65.17 140.4 76.73 123.5c.625-.873 12.88-27.7 67.66 2.871l15.58 8.703l15.63-8.701c54.78-30.58 67.04-3.746 67.66-2.871C254.8 140.4 257.8 171.4 254.2 192l32.11 .0003C296.6 121.3 257.7 43.75 160 98.3C62.29 43.75 23.43 121.3 33.71 192L65.82 192zM368 64c4.094 0 8.188-1.562 11.31-4.688l32-32c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0l-32 32c-6.25 6.25-6.25 16.38 0 22.62C359.8 62.44 363.9 64 368 64zM176 64c4.094 0 8.188-1.562 11.31-4.688l32-32c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0l-32 32c-6.25 6.25-6.25 16.38 0 22.62C167.8 62.44 171.9 64 176 64zM80 287.1c-8.875 0-16 7.125-16 16s7.125 15.1 16 15.1S96 312.9 96 303.1S88.88 287.1 80 287.1zM432 447.1c8.875 0 16-7.125 16-16s-7.125-16-16-16S416 423.1 416 431.1S423.1 447.1 432 447.1zM472 224H40C17.91 224 0 241.9 0 264v208C0 494.1 17.91 512 40 512h432c22.09 0 40-17.91 40-40v-208C512 241.9 494.1 224 472 224zM480 464c0 8.836-7.164 16-16 16h-416C39.16 480 32 472.8 32 464V384h448V464zM480 352H32V272C32 263.2 39.16 256 48 256h416C472.8 256 480 263.2 480 272V352zM80 447.1c8.875 0 16-7.126 16-16s-7.125-16-16-16S64 423.1 64 431.1S71.13 447.1 80 447.1z"],
    "crate-empty": [512, 512, [], "e151", "M432 287.1c-8.875 0-16 7.123-16 15.1s7.125 16 16 16S448 312.9 448 303.1S440.9 287.1 432 287.1zM80 287.1c-8.875 0-16 7.125-16 16s7.125 15.1 16 15.1S96 312.9 96 303.1S88.88 287.1 80 287.1zM432 447.1c8.875 0 16-7.125 16-16s-7.125-16-16-16S416 423.1 416 431.1S423.1 447.1 432 447.1zM472 224H40C17.91 224 0 241.9 0 264v208C0 494.1 17.91 512 40 512h432c22.09 0 40-17.91 40-40v-208C512 241.9 494.1 224 472 224zM480 464c0 8.836-7.164 16-16 16h-416C39.16 480 32 472.8 32 464V384h448V464zM480 352H32V272C32 263.2 39.16 256 48 256h416C472.8 256 480 263.2 480 272V352zM80 447.1c8.875 0 16-7.126 16-16s-7.125-16-16-16S64 423.1 64 431.1S71.13 447.1 80 447.1z"],
    "credit-card": [576, 512, [62083, 128179, "credit-card-alt"], "f09d", "M96 368C96 359.2 103.2 352 112 352H176C184.8 352 192 359.2 192 368C192 376.8 184.8 384 176 384H112C103.2 384 96 376.8 96 368zM224 368C224 359.2 231.2 352 240 352H368C376.8 352 384 359.2 384 368C384 376.8 376.8 384 368 384H240C231.2 384 224 376.8 224 368zM0 96C0 60.65 28.65 32 64 32H512C547.3 32 576 60.65 576 96V416C576 451.3 547.3 480 512 480H64C28.65 480 0 451.3 0 416V96zM32 96V128H544V96C544 78.33 529.7 64 512 64H64C46.33 64 32 78.33 32 96zM32 224H544V160H32V224zM32 256V416C32 433.7 46.33 448 64 448H512C529.7 448 544 433.7 544 416V256H32z"],
    "credit-card-blank": [576, 512, [], "f389", "M96 368C96 359.2 103.2 352 112 352H176C184.8 352 192 359.2 192 368C192 376.8 184.8 384 176 384H112C103.2 384 96 376.8 96 368zM224 368C224 359.2 231.2 352 240 352H368C376.8 352 384 359.2 384 368C384 376.8 376.8 384 368 384H240C231.2 384 224 376.8 224 368zM0 96C0 60.65 28.65 32 64 32H512C547.3 32 576 60.65 576 96V416C576 451.3 547.3 480 512 480H64C28.65 480 0 451.3 0 416V96zM32 96V416C32 433.7 46.33 448 64 448H512C529.7 448 544 433.7 544 416V96C544 78.33 529.7 64 512 64H64C46.33 64 32 78.33 32 96z"],
    "credit-card-front": [576, 512, [], "f38a", "M96 304C96 295.2 103.2 288 112 288H464C472.8 288 480 295.2 480 304C480 312.8 472.8 320 464 320H112C103.2 320 96 312.8 96 304zM96 368C96 359.2 103.2 352 112 352H176C184.8 352 192 359.2 192 368C192 376.8 184.8 384 176 384H112C103.2 384 96 376.8 96 368zM368 352C376.8 352 384 359.2 384 368C384 376.8 376.8 384 368 384H240C231.2 384 224 376.8 224 368C224 359.2 231.2 352 240 352H368zM360 152C360 129.9 377.9 112 400 112H464C486.1 112 504 129.9 504 152V200C504 222.1 486.1 240 464 240H400C377.9 240 360 222.1 360 200V152zM392 152V200C392 204.4 395.6 208 400 208H464C468.4 208 472 204.4 472 200V152C472 147.6 468.4 144 464 144H400C395.6 144 392 147.6 392 152zM512 32C547.3 32 576 60.65 576 96V416C576 451.3 547.3 480 512 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H512zM512 64H64C46.33 64 32 78.33 32 96V416C32 433.7 46.33 448 64 448H512C529.7 448 544 433.7 544 416V96C544 78.33 529.7 64 512 64z"],
    "cricket-bat-ball": [512, 512, [127951, "cricket"], "f449", "M416 236.5c0-12.35-4.711-24.7-14.13-34.12l-34.82-34.83l140.3-140.3C510.4 24.18 512 20.09 512 16C512 7.473 505.1 0 496 0c-4.094 0-8.185 1.561-11.31 4.686l-140.3 140.3L309.6 110.2c-9.439-9.441-21.81-14.17-34.17-14.17c-12.34 0-24.67 4.705-34.09 14.12c-246.7 246.7-241.4 235.5-241.4 256.7C-.0004 473.9 112.2 512 145.1 512c9.84 0 19.59-4.166 27.13-11.71l229.7-229.6C411.3 261.2 416 248.9 416 236.5zM149.6 477.7c-1.627 1.627-3.252 2.273-3.252 2.369c0 .0059-.0126-.0019 0 0c-41.13-2.845-114.3-40.23-114.3-113.2c0-1.085 .7056-2.82 2.32-4.438L192 204.7V288c0 17.67 14.33 32 32 32h83.25L149.6 477.7zM379.2 248L339.3 288L224 287.1L224 172.7l40-39.99c3.062-3.064 7.135-4.752 11.46-4.752c4.354 0 8.453 1.703 11.54 4.793l92.23 92.24C383.4 229.2 384 234 384 236.5C384 240.9 382.3 244.9 379.2 248zM431.1 352c-44.25 0-80 35.75-80 79.1S387.7 512 431.1 512c44.25 0 80-35.75 80-79.1S476.2 352 431.1 352zM431.1 480c-26.47 0-48-21.53-48-48s21.53-48 48-48s48 21.53 48 48S458.4 480 431.1 480z"],
    "croissant": [512, 512, [129360], "f7f6", "M508.1 175.6c-11.5-30.25-29.88-56.49-52.38-78.12c.375-3.999 .25-8.124-.25-12.12c-2.125-15.87-10.38-30.37-23.13-40.12c-38.63-29.25-85.63-45.12-134-45.24c-19.75 .125-39.38 2.1-58.25 8.374C229.9 2.656 215.2-2.968 196.2 1.781c-95.88 23.87-170.6 98.61-194.5 194.4c-3.75 15.37-1.375 31.5 6.625 44.99c-17.75 65.62-5.125 135.1 36.88 191.1c9.75 12.75 24.25 21.12 40.13 23.25c9.125 1.125 9.125 0 11.38-.25c21.75 22.75 48.25 41.24 78.88 52.87c42.5 16.12 87-19.1 79.5-65.24l-14.5-87.24c8.875-8.374 15-19.37 17.5-31.37c9.875-2.625 19-7.874 26.25-15.12l24.75-24.75c7.25-7.374 12.5-16.37 15.25-26.37c12-2.375 22.88-8.499 31.25-17.37l87.25 14.5C488.4 262.7 524.1 218 508.1 175.6zM298.4 32.03c41.38 .125 81.63 13.62 114.6 38.75c13.88 10.62 13.38 28.75 5 39.5l-84 106.1c-1.625 1.1-9.25 9.374-10 6.999l-56-181.1c-.75-2.375-2.25-4.374-3.375-6.749C275.7 33.28 286.1 32.15 298.4 32.03zM35.24 265.1C37.49 266.2 39.86 267.2 42.36 268.1l182 55.99c2.25 .625-5.125 8.374-7.125 9.874l-107 83.99c-14 10.1-31.5 5.374-39.5-4.999C38.61 370.9 25.74 317.2 35.24 265.1zM186.1 478.1c-21-7.999-40.38-19.87-57-34.1l82-64.37l11.63 69.37C226.1 468.1 206.5 485.6 186.1 478.1zM286.5 261.7l-24.75 24.75C257.7 290.5 247.4 297.6 233.7 293.5L51.74 237.5C37.61 233.1 29.24 218.4 32.86 204c21-84.36 86.75-150.2 171.1-171.1C218.4 29.28 233.1 37.65 237.5 51.77l56 181.1C296.5 243.6 293.9 254.4 286.5 261.7zM448.1 223.6l-69.38-11.62l64.38-81.99c15.13 16.62 27 35.1 35 56.99C485.6 206.8 468.9 227 448.1 223.6z"],
    "crop": [512, 512, [], "f125", "M416 384H496C504.8 384 512 391.2 512 400C512 408.8 504.8 416 496 416H416V496C416 504.8 408.8 512 400 512C391.2 512 384 504.8 384 496V150.6L150.6 384H352V416H144C117.5 416 96 394.5 96 368V128H16C7.164 128 0 120.8 0 112C0 103.2 7.164 96 16 96H96V16C96 7.164 103.2 0 112 0C120.8 0 128 7.164 128 16V361.4L361.4 128H160V96H393.4L484.7 4.686C490.9-1.562 501.1-1.562 507.3 4.686C513.6 10.93 513.6 21.07 507.3 27.31L416 118.6V384z"],
    "crop-simple": [512, 512, ["crop-alt"], "f565", "M128 368C128 376.8 135.2 384 144 384H352V416H144C117.5 416 96 394.5 96 368V128H16C7.164 128 0 120.8 0 112C0 103.2 7.164 96 16 96H96V16C96 7.164 103.2 0 112 0C120.8 0 128 7.164 128 16V368zM384 144C384 135.2 376.8 128 368 128H160V96H368C394.5 96 416 117.5 416 144V384H496C504.8 384 512 391.2 512 400C512 408.8 504.8 416 496 416H416V496C416 504.8 408.8 512 400 512C391.2 512 384 504.8 384 496V144z"],
    "cross": [384, 512, [128327, 10013], "f654", "M351.1 128h-96V32c0-17.62-14.37-32-31.1-32H160C142.4 0 127.1 14.38 127.1 32v96h-96C14.37 128-.0008 142.4-.0008 160v64c0 17.62 14.38 32 32 32h96v224c0 17.62 14.38 32 32 32h64c17.62 0 31.1-14.38 31.1-32V256h96c17.62 0 31.1-14.38 31.1-32V160C383.1 142.4 369.6 128 351.1 128zM352 224h-112C231.2 224 224 231.2 224 240V480H160V240C160 231.2 152.8 224 144 224H32V160h112C152.8 160 160 152.8 160 144V32h64v112C224 152.8 231.2 160 240 160H352V224z"],
    "crosshairs": [512, 512, [], "f05b", "M232 256C232 242.7 242.7 232 256 232C269.3 232 280 242.7 280 256C280 269.3 269.3 280 256 280C242.7 280 232 269.3 232 256zM256 0C264.8 0 272 7.164 272 16V48.61C374.1 56.37 455.6 137.9 463.4 240H496C504.8 240 512 247.2 512 256C512 264.8 504.8 272 496 272H463.4C455.6 374.1 374.1 455.6 272 463.4V496C272 504.8 264.8 512 256 512C247.2 512 240 504.8 240 496V463.4C137.9 455.6 56.37 374.1 48.61 272H16C7.164 272 0 264.8 0 256C0 247.2 7.164 240 16 240H48.61C56.37 137.9 137.9 56.37 240 48.61V16C240 7.164 247.2 0 256 0V0zM240 431.3V384C240 375.2 247.2 368 256 368C264.8 368 272 375.2 272 384V431.3C356.4 423.7 423.7 356.4 431.3 272H384C375.2 272 368 264.8 368 256C368 247.2 375.2 240 384 240H431.3C423.7 155.6 356.4 88.33 272 80.72V128C272 136.8 264.8 144 256 144C247.2 144 240 136.8 240 128V80.72C155.6 88.33 88.33 155.6 80.72 240H128C136.8 240 144 247.2 144 256C144 264.8 136.8 272 128 272H80.72C88.33 356.4 155.6 423.7 240 431.3z"],
    "crosshairs-simple": [512, 512, [], "e59f", "M256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM272 32.56V128C272 136.8 264.8 144 256 144C247.2 144 240 136.8 240 128V32.56C129 40.39 40.39 129 32.56 240H128C136.8 240 144 247.2 144 256C144 264.8 136.8 272 128 272H32.56C40.39 382.1 129 471.6 240 479.4V384C240 375.2 247.2 368 256 368C264.8 368 272 375.2 272 384V479.4C382.1 471.6 471.6 382.1 479.4 272H384C375.2 272 368 264.8 368 256C368 247.2 375.2 240 384 240H479.4C471.6 129 382.1 40.39 272 32.56z"],
    "crow": [640, 512, [], "f520", "M440 96C440 109.3 429.3 120 416 120C402.7 120 392 109.3 392 96C392 82.75 402.7 72 416 72C429.3 72 440 82.75 440 96zM3.299 409.7C-2.075 402.7-.7434 392.7 6.272 387.3L320 146.1V96C320 42.98 362.1 0 416 0C444.4 0 469.1 12.36 487.6 31.1H560C604.2 31.1 640 67.82 640 111.1L512 143.1V192C512 270.8 464.5 338.5 396.6 368.1L446.8 489.9C450.2 498.1 446.3 507.4 438.1 510.8C429.9 514.2 420.6 510.3 417.2 502.1L366.3 378.4C351.4 382.1 335.1 384 320 384H307.2L350.8 489.9C354.2 498.1 350.3 507.4 342.1 510.8C333.9 514.2 324.6 510.3 321.2 502.1L272.6 384H63.2L25.73 412.7C18.71 418.1 8.672 416.7 3.298 409.7H3.299zM506.5 63.1C510.1 74.01 512 84.78 512 96V111L601.9 88.54C593.7 73.9 577.1 63.1 560 63.1H506.5zM205.9 315.2C268 302.1 313.6 249.1 319.4 187.8L132.7 330.8L205.9 315.2zM480 192V96C480 60.65 451.3 32 416 32C380.7 32 352 60.65 352 96L352 174.4C352 257.5 293.8 329.3 212.5 346.5L186.8 352H320C408.4 352 480 280.4 480 192V192z"],
    "crown": [576, 512, [128081], "f521", "M544 96c-17.67 0-32 14.33-32 32c0 7.559 3.008 14.21 7.391 19.69l-104.5 83.58c-5.955 4.764-12.99 7.019-19.94 7.019c-11.61 0-22.98-6.296-28.68-17.7L302.2 92.33C312.6 87.07 320 76.51 320 64c0-17.67-14.33-32-32-32S256 46.33 256 64c0 12.51 7.367 23.07 17.83 28.33L209.7 220.6C204 231.1 192.6 238.3 181 238.3c-6.945 0-13.98-2.255-19.94-7.019L56.61 147.7C60.99 142.2 64 135.6 64 128c0-17.67-14.33-32-32-32S0 110.3 0 128c0 17.67 14.33 32 32 32c1.99 0 3.721-.7852 5.611-1.133l48.83 268.6C91.98 457.9 118.5 480 149.4 480h277.2c30.93 0 57.43-22.12 62.97-52.55l48.83-268.6C540.3 159.2 542 160 544 160c17.67 0 32-14.33 32-32C576 110.3 561.7 96 544 96zM458.1 421.7C455.3 436.9 442.1 448 426.6 448H149.4c-15.47 0-28.71-11.05-31.48-26.28L78.78 206.4l62.32 49.86c11.31 9.049 25.49 14.03 39.93 14.03c24.43 0 46.39-13.56 57.3-35.39L288 135.6l49.67 99.35c10.91 21.83 32.87 35.39 57.3 35.39c14.44 0 28.62-4.984 39.93-14.03l62.32-49.86L458.1 421.7z"],
    "crutch": [512, 512, [], "f7f7", "M507.3 196.7l-192-192c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l192 192C487.8 222.4 491.9 224 496 224s8.188-1.562 11.31-4.688C513.6 213.1 513.6 202.9 507.3 196.7zM404.7 212.7L336 281.4L230.6 176l68.69-68.69c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0L162.4 199C151.2 210.2 143.7 224.3 140.5 239.9l-27.25 136.3l-108.6 108.6c-6.25 6.25-6.25 16.37 0 22.62C7.813 510.4 11.91 512 16 512s8.188-1.562 11.31-4.687l108.6-108.6l136.3-27.25c15.56-3.156 29.69-10.72 40.84-21.88l114.3-114.3c6.25-6.25 6.25-16.38 0-22.62S410.9 206.4 404.7 212.7zM290.4 327c-6.688 6.688-15.19 11.25-24.5 13.12l-117.5 23.47l23.47-117.4C173.8 236.8 178.3 228.3 185 221.6L208 198.6L313.4 304L290.4 327z"],
    "crutches": [640, 512, [], "f7f8", "M224 16C224 6.861 216.5 0 208 0C203.9 0 199.8 1.562 196.7 4.688l-192 192C1.562 199.8 0 203.9 0 208C0 217.1 7.473 224 16 224c4.094 0 8.188-1.562 11.31-4.688l192-192C222.4 24.19 224 20.09 224 16zM224 80C214.9 80 208 87.47 208 96c0 4.094 1.562 8.188 4.688 11.31l48 48C263.8 158.4 267.9 160 272 160C281.1 160 288 152.5 288 144c0-4.094-1.562-8.188-4.688-11.31l-48-48C232.2 81.56 228.1 80 224 80zM208 352C217.1 352 224 344.5 224 336c0-4.094-1.562-8.188-4.688-11.31l-112-112C104.2 209.6 100.1 208 96 208C86.86 208 80 215.5 80 224c0 4.094 1.562 8.188 4.688 11.31l112 112C199.8 350.4 203.9 352 208 352zM427.3 404.7C424.2 401.6 420.1 400 416 400c-9.139 0-16 7.473-16 16c0 4.094 1.562 8.188 4.688 11.31l79.1 80C487.8 510.4 491.9 512 496 512c9.139 0 16-7.473 16-16c0-4.094-1.563-8.187-4.688-11.31L427.3 404.7zM640 208c0-4.094-1.562-8.188-4.688-11.31l-192-192C440.2 1.562 436.1 0 432 0C422.9 0 416 7.473 416 16c0 4.094 1.562 8.188 4.688 11.31l192 192C615.8 222.4 619.9 224 624 224C633.1 224 640 216.5 640 208zM544 208c-4.094 0-8.188 1.562-11.31 4.688L464 281.4L358.6 176l68.69-68.69C430.4 104.2 432 100.1 432 96c0-9.139-7.473-16-16-16c-4.094 0-8.188 1.562-11.31 4.688L290.4 199C279.2 210.2 271.7 224.3 268.5 239.9l-27.25 136.3L132.7 484.7C129.6 487.8 128 491.9 128 496C128 505.1 135.5 512 144 512c4.094 0 8.184-1.562 11.31-4.687l108.6-108.6l136.3-27.25c15.56-3.156 29.69-10.72 40.84-21.88l114.3-114.3C558.4 232.2 560 228.1 560 224C560 214.9 552.5 208 544 208zM418.4 327c-6.688 6.688-15.19 11.25-24.5 13.12l-117.5 23.47l23.47-117.4C301.8 236.8 306.3 228.3 313 221.6L336 198.6L441.4 304L418.4 327z"],
    "cruzeiro-sign": [384, 512, [], "e152", "M160 436.7V240C160 231.2 167.2 224 176 224C184.8 224 192 231.2 192 240V255.1C205.4 245.1 221.1 240 240 240C265.2 240 288.9 251.9 304 272L308.8 278.4C314.1 285.5 312.7 295.5 305.6 300.8C298.5 306.1 288.5 304.7 283.2 297.6L278.4 291.2C269.3 279.1 255.1 272 240 272C213.5 272 192 293.5 192 320V445.1C202.9 447 214.2 448 225.7 448C275.3 448 320.6 429.5 354.8 399.1C361.4 393.2 371.5 393.8 377.4 400.4C383.3 407 382.7 417.1 376.1 423C336.1 458.4 283.4 480 225.7 480C101.2 480 0 379.8 0 256C0 132.2 101.2 32 225.7 32C283.4 32 336.1 53.55 376.1 88.1C382.7 94.87 383.3 104.1 377.4 111.6C371.5 118.2 361.4 118.8 354.8 112.9C320.6 82.5 275.3 63.1 225.7 63.1C118.6 63.1 32 150.1 32 255.1C32 339.1 85.31 410 160 436.7V436.7z"],
    "crystal-ball": [448, 512, [], "e362", "M288 304c8.844 0 16-7.156 16-16V240H352c8.844 0 16-7.156 16-16S360.8 208 352 208h-48V160c0-8.844-7.156-16-16-16S272 151.2 272 160v48H224C215.2 208 208 215.2 208 224S215.2 240 224 240h48V288C272 296.8 279.2 304 288 304zM70.01 364.3c6.982-5.447 8.234-15.53 2.756-22.48C46.15 307.8 32.06 266.9 32.06 223.5c0-106.1 86.29-192.4 192.4-192.4c106.1 0 192.4 86.28 192.4 192.4c0 43.39-14.09 84.31-40.71 118.4c-5.479 6.951-4.227 17.03 2.756 22.48c2.881 2.285 6.387 3.383 8.986 3.383c4.76 0 9.455-2.098 12.62-6.168C431.6 321.8 448 274.1 448 223.5C448 99.78 347.3 0 223.6 0C99.82 0 0 99.74 0 223.5c0 50.59 16.44 98.37 47.53 138.1C53.01 368.6 63.09 369.8 70.01 364.3zM144 192C152.8 192 160 184.8 160 176V160h16C184.8 160 192 152.8 192 144S184.8 128 176 128H160V112C160 103.2 152.8 96 144 96S128 103.2 128 112V128H112C103.2 128 96 135.2 96 144S103.2 160 112 160H128v16C128 184.8 135.2 192 144 192zM374 390.9c-3.006-4.414-8.016-7.105-13.34-7.105H88.17c-5.354 0-10.36 2.691-13.34 7.137l-64.13 96.18c-3.289 4.916-3.602 11.24-.7832 16.47C12.71 508.8 18.13 512 24.05 512h400.8c5.918 0 11.33-3.256 14.12-8.453c2.818-5.229 2.504-11.55-.7832-16.47L374 390.9zM54.01 479.9l42.74-64.12h255.4l42.74 64.12H54.01z"],
    "cube": [512, 512, [], "f1b2", "M239.5 5.018C250.1 1.106 261.9 1.106 272.5 5.018L480.5 81.28C499.4 88.22 512 106.2 512 126.4V385.7C512 405.8 499.4 423.8 480.5 430.7L272.5 506.1C261.9 510.9 250.1 510.9 239.5 506.1L31.48 430.7C12.57 423.8 0 405.8 0 385.7V126.4C0 106.2 12.57 88.22 31.48 81.28L239.5 5.018zM261.5 35.06C257.1 33.76 254 33.76 250.5 35.06L44.14 110.7L256 193.1L467.9 110.7L261.5 35.06zM42.49 400.7L240 473.1V222L32 140.3V385.7C32 392.4 36.19 398.4 42.49 400.7V400.7zM272 473.1L469.5 400.7C475.8 398.4 480 392.4 480 385.7V140.3L272 222V473.1z"],
    "cubes": [576, 512, [], "f1b3", "M440 84.99V212.8L440.1 212.9L544.1 249.1C563.2 256.8 576 274.9 576 295.2V421.4C576 440.8 564.3 458.3 546.4 465.7L442.4 508.8C430.6 513.6 417.4 513.6 405.6 508.8L288 460.1L170.4 508.8C158.6 513.6 145.4 513.6 133.6 508.8L29.65 465.7C11.7 458.3 0 440.8 0 421.4V295.2C0 274.9 12.76 256.8 31.87 249.1L135.9 212.9L136 212.8V84.99C136 64.7 148.8 46.6 167.9 39.78L271.9 2.669C282.3-1.054 293.7-1.054 304.1 2.669L408.1 39.78C427.2 46.6 440 64.7 440 84.99H440zM293.4 32.81C289.9 31.57 286.1 31.57 282.6 32.81L178.6 69.92C176.3 70.75 174.2 72.1 172.6 73.79L287.1 118L403.4 73.79C401.8 72.1 399.7 70.75 397.4 69.92L293.4 32.81zM168.1 212.9L271.1 249.9V146.2L167.1 106.3V212.8L168.1 212.9zM304 249.9L407.9 212.9L408 212.8V106.3L304 146.2V249.9zM159.1 348.6V478.4L271.1 432.1V308.2L159.1 348.6zM41.88 436.2L127.1 471.8V348.1L31.1 308.9V421.4C31.1 427.8 35.9 433.7 41.88 436.2V436.2zM416 348.6L304 308.2V432.1L416 478.4V348.6zM448 471.8L534.1 436.2C540.1 433.7 544 427.8 544 421.4V308.9L448 348.1V471.8zM157.4 243C153.9 241.8 150.1 241.8 146.6 243L44.55 279.4L144.4 320.2L258.5 279.1L157.4 243zM317.5 279.1L431.6 320.2L531.4 279.4L429.4 243C425.9 241.8 422.1 241.8 418.6 243L317.5 279.1z"],
    "cubes-stacked": [448, 512, [], "e4e6", "M288 32C305.7 32 320 46.33 320 64V128C320 145.7 305.7 160 288 160H224C206.3 160 192 145.7 192 128V64C192 46.33 206.3 32 224 32H288zM288 64H224V128H288V64zM70.96 250.7C62.12 235.4 67.37 215.8 82.67 206.1L138.1 174.1C153.4 166.1 172.1 171.4 181.8 186.7L213.8 242.1C222.6 257.4 217.4 276.1 202.1 285.8L146.7 317.8C131.4 326.6 111.8 321.4 102.1 306.1L70.96 250.7zM130.7 290.1L186.1 258.1L154.1 202.7L98.67 234.7L130.7 290.1zM256 224C256 206.3 270.3 192 288 192H352C369.7 192 384 206.3 384 224V288C384 305.7 369.7 320 352 320H288C270.3 320 256 305.7 256 288V224zM288 224V288H352V224H288zM320 384C320 366.3 334.3 352 352 352H416C433.7 352 448 366.3 448 384V448C448 465.7 433.7 480 416 480H352C334.3 480 320 465.7 320 448V384zM416 448V384H352V448H416zM256 352C273.7 352 288 366.3 288 384V448C288 465.7 273.7 480 256 480H192C174.3 480 160 465.7 160 448V384C160 366.3 174.3 352 192 352H256zM256 384H192V448H256V384zM0 384C0 366.3 14.33 352 32 352H96C113.7 352 128 366.3 128 384V448C128 465.7 113.7 480 96 480H32C14.33 480 0 465.7 0 448V384zM32 448H96V384H32V448z"],
    "cucumber": [512, 512, [129362], "e401", "M474.7 37.48C449.7 12.49 416.9 0 384.2 0s-65.56 12.49-90.54 37.48L169.2 161.8C166.3 160.9 163.3 159.1 160.1 159.1c-17.68 0-32.01 14.33-32.01 32c0 3.242 .9496 6.189 1.846 9.139L37.51 293.5c-50.02 50-50.02 131 0 181C62.49 499.5 95.29 512 128.1 512c31.01 0 61.83-11.59 86.24-33.98c3.132 1.023 6.321 1.979 9.795 1.979c17.68 0 32.01-14.33 32.01-32c0-3.242-.9496-6.191-1.846-9.139l184.8-184.7c2.95 .8965 5.899 1.844 9.142 1.844c17.68 0 32.01-14.33 32.01-32c0-3.475-.9535-6.662-1.977-9.795C524.3 163.1 523.4 86.13 474.7 37.48zM452.1 195.9l-256.1 256C177.8 470 153.7 480 128.1 480c-25.66 0-49.77-9.982-67.9-28.11c-37.45-37.43-37.45-98.34 0-135.8l256.1-256C334.4 41.98 358.5 32 384.2 32c25.67 0 49.78 9.979 67.9 28.1C489.5 97.54 489.5 158.4 452.1 195.9zM160.1 299.1c-11.04 0-20.01 8.969-20.01 20s8.972 20 20.01 20s20.01-8.969 20.01-20S171.1 299.1 160.1 299.1zM320.1 235.1c-11.04 0-20.01 8.969-20.01 20s8.972 20 20.01 20c11.04 0 20.01-8.969 20.01-20S331.2 235.1 320.1 235.1zM352.1 107.1c-11.04 0-20.01 8.969-20.01 20s8.972 20 20.01 20c11.04 0 20.01-8.969 20.01-20S363.2 107.1 352.1 107.1z"],
    "cup-straw": [384, 512, [129380], "e363", "M367.1 127.1L212.5 128l23.1-96h35.49c8.799 0 16.04-7.199 16.04-16S280.8 0 271.1 0l-35.5-.0003c-14.75 0-27.53 10-31.03 24.25L179.5 128L15.1 127.1C7.201 127.1 0 135.2 0 143.1C0 152.8 7.199 160 15.1 160h16.24c0 .5195-.209 .9883-.1582 1.516l29.23 307C63.69 493.3 84.23 512 109.1 512h165.8c24.86 0 45.41-18.67 47.78-43.45l29.23-307C351.1 160.1 351.8 160.5 351.8 160h16.19c8.799 0 16.03-7.201 16.03-16C383.1 135.2 376.8 127.1 367.1 127.1zM290.8 465.5C290 473.8 283.2 480 274.9 480H109.1c-8.281 0-15.14-6.234-15.94-14.48L64.07 160h255.9L290.8 465.5z"],
    "cup-straw-swoosh": [384, 512, [], "e364", "M367.1 127.1L212.5 128l23.1-96h35.49c8.799 0 16.04-7.199 16.04-16S280.8 0 271.1 0l-35.5-.0003c-14.75 0-27.53 10-31.03 24.25L179.5 128L15.1 127.1C7.201 127.1 0 135.2 0 143.1C0 152.8 7.199 160 15.1 160h16.24c0 .5195-.209 .9883-.1582 1.516l29.23 307C63.69 493.3 84.23 512 109.1 512h165.8c24.86 0 45.41-18.67 47.78-43.45l29.23-307C351.1 160.1 351.8 160.5 351.8 160h16.19c8.799 0 16.03-7.201 16.03-16C383.1 135.2 376.8 127.1 367.1 127.1zM319.9 160l-7.641 80.24c-46.95 1.242-92.38 26.53-125.1 70.17C159.3 347.5 122.7 368 84.13 368L64.07 160H319.9zM290.8 465.5C290 473.8 283.2 480 274.9 480H109.1c-8.281 0-15.14-6.234-15.94-14.48l-6.256-65.7c47.23-.9668 92.1-26.34 125.9-70.22c26.25-34.99 60.29-54.94 96.43-57.15L290.8 465.5z"],
    "cup-togo": [448, 512, ["coffee-togo"], "f6c5", "M432 96h-17.79l-21.08-63.22C386.6 13.19 368.3 0 347.6 0H100.4C79.72 0 61.44 13.19 54.84 32.81L33.79 96H16C7.156 96 0 103.2 0 112S7.156 128 16 128h416C440.8 128 448 120.8 448 112S440.8 96 432 96zM67.54 96l17.65-53.03C87.41 36.41 93.5 32 100.4 32h247.2c6.906 0 13 4.406 15.19 10.94L380.5 96H67.54zM385.6 160.1c-8.625-1.156-16.62 5.531-17.5 14.31L363.1 224H84.87L79.91 174.4C79.03 165.6 71 158.9 62.41 160.1c-8.781 .875-15.22 8.719-14.31 17.5l29.12 291.2C79.66 493.4 100.2 512 124.1 512h198.1c24.78 0 45.31-18.59 47.75-43.22l29.12-291.2C400.8 168.8 394.4 160.1 385.6 160.1zM338.1 465.6C338.1 473.8 331.3 480 323 480H124.1c-8.25 0-15.09-6.188-15.94-14.41L104.1 416h239.9L338.1 465.6zM347.1 384H100.9L88.07 256h271.9L347.1 384z"],
    "cupcake": [448, 512, [129473], "e402", "M376.5 322.4C378.3 323.6 379.9 325 381.1 326.7C382.3 328.5 383.2 330.4 383.7 332.5C384.1 334.5 384.2 336.7 383.8 338.8L360.9 476.4C359.2 486.3 354.1 495.4 346.4 501.9C338.7 508.4 328.9 512 318.8 512H129.2C119.1 512 109.4 508.5 101.7 501.1C93.95 495.5 88.79 486.5 87.1 476.5L64.16 338.8C63.82 336.7 63.88 334.6 64.36 332.5C64.83 330.5 65.71 328.5 66.93 326.8C68.15 325.1 69.7 323.7 71.48 322.5C73.27 321.4 75.25 320.7 77.33 320.3C79.4 319.1 81.52 320.1 83.57 320.5C85.62 321 87.55 321.9 89.26 323.1C90.97 324.3 92.43 325.9 93.54 327.7C94.65 329.4 95.4 331.4 95.74 333.5L118.7 471.1C119.1 473.6 120.4 475.9 122.3 477.5C124.2 479.1 126.7 480 129.2 480H161.9L144.2 337.1C143.7 333.8 144.9 329.5 147.5 326.2C150.1 322.8 153.9 320.6 158.1 320.1C162.3 319.6 166.6 320.8 169.9 323.4C173.3 325.1 175.5 329.8 176 334L194.1 480H253.9L272.1 333.9C272.4 331.8 273.1 329.8 274.1 327.1C275.1 326.2 276.5 324.6 278.2 323.3C279.8 321.1 281.7 321 283.8 320.5C285.8 319.9 287.9 319.8 290 320C292.1 320.3 294.1 320.9 295.9 321.1C297.8 323 299.4 324.4 300.7 326.1C301.9 327.7 302.9 329.6 303.5 331.7C304 333.7 304.2 335.8 303.9 337.9L286.1 479.9H318.8C321.3 479.9 323.8 479 325.7 477.4C327.6 475.7 328.9 473.5 329.3 470.1L352.3 333.4C352.1 329.2 355.3 325.5 358.7 322.1C362.2 320.5 366.5 319.5 370.7 320.2C372.7 320.6 374.7 321.3 376.5 322.4L376.5 322.4zM447.4 196.1C449.2 211.8 446.6 227.6 439.7 241.8C432.8 255.9 422 267.8 408.6 276C395.1 284.2 379.6 288.4 363.9 288H84.13C65.89 288.3 48.07 282.6 33.4 271.7C18.74 260.9 8.033 245.5 2.944 228C-2.648 207.7-.2571 186 9.626 167.4C19.51 148.8 36.14 134.7 56.1 128L95.46 117.2C98.4 100.3 107.2 85.05 120.3 74.02C133.4 62.99 149.1 56.93 167.1 56.9H200.4C203.9 56.94 207.3 55.94 210.1 54.02C212.1 52.11 215.2 49.37 216.4 46.18C217.8 43.02 218.2 39.53 217.5 36.16C216.8 32.8 215.1 29.71 212.7 27.33C210.4 25.09 208.9 22.24 208.3 19.13C207.7 16.02 207.1 12.8 209.2 9.873C210.4 6.946 212.5 4.445 215.1 2.687C217.7 .9296 220.8-.0057 223.1 0C256.1 .089 288.7 12.75 312.6 35.4C336.6 58.06 351 88.1 352.1 121.9L378.1 125.8C397.1 128.5 416.1 138.4 429.1 153.6C439.1 165.7 445.5 180.5 447.4 196.1H447.4zM414.2 219.6C416.2 212.8 416.7 205.7 415.7 198.6C414.7 191.6 412.2 184.9 408.3 178.9C404.4 172.1 399.2 167.1 393.2 164.2C387.1 160.5 380.3 158.1 373.3 157.2L285.6 143.8C283.5 143.5 281.4 142.8 279.6 141.7C277.7 140.7 276.1 139.2 274.9 137.5C273.6 135.8 272.7 133.9 272.2 131.8C271.6 129.8 271.5 127.6 271.9 125.5C272.2 123.4 272.9 121.4 274.1 119.6C275.2 117.7 276.6 116.2 278.4 114.9C280.1 113.7 282.1 112.8 284.1 112.3C286.2 111.9 288.4 111.8 290.5 112.2L320.7 116.8C318.2 97.8 310.1 79.94 297.5 65.46C284.9 50.99 268.3 40.54 249.8 35.42C250.3 43.28 249 51.17 245.1 58.43C242.3 67.51 236 75.27 227.9 80.7C219.8 86.13 210.2 88.97 200.4 88.86H167.1C156.3 88.91 145.9 93.23 138.3 100.9C130.6 108.6 126.3 118.9 126.3 129.8C126.3 130.1 126.1 130.4 126.1 130.8C125.1 131.9 125.8 132.1 125.4 134C125.2 134.1 124.9 135.9 124.5 136.8C124 137.7 123.4 138.5 122.8 139.3C122.2 140.1 121.5 140.9 120.8 141.6C120 142.2 119.2 142.8 118.4 143.3C117.4 143.9 116.4 144.4 115.4 144.7C115 144.9 114.8 145.2 114.4 145.2L65.41 158.6C53.38 162.9 43.43 171.6 37.57 182.9C31.71 194.2 30.37 207.4 33.82 219.6C37.07 230.4 43.75 239.7 52.84 246.3C61.93 252.9 72.92 256.3 84.13 255.1H363.9C375.1 256.3 386 252.9 395.1 246.4C404.2 239.8 410.9 230.5 414.2 219.8L414.2 219.6z"],
    "curling-stone": [576, 512, [129356, "curling"], "f44a", "M480 224V208C480 181.5 458.5 160 432 160H191.1L192 112C192 85.53 213.5 64 240 64h160C408.8 64 416 56.84 416 48S408.8 32 400 32h-160C195.9 32 160 67.88 160 112V160H144C117.5 160 96 181.5 96 208L95.1 224c-53.02 0-96 42.98-96 96v64c0 53.02 42.98 96 96 96h384c53.02 0 96-42.98 96-96v-64C576 266.1 533 224 480 224zM128 208C128 199.2 135.2 192 144 192h288C440.8 192 448 199.2 448 208V224H128V208zM96 256h384c35.29 0 64 28.71 64 64v16H32V320C32 284.7 60.71 256 96 256zM480 448H96c-35.29 0-64-28.71-64-64v-16h512V384C544 419.3 515.3 448 480 448z"],
    "custard": [576, 512, [127854], "e403", "M571.3 420.7C574.3 423.7 576 427.8 576 432C576 436.2 574.3 440.3 571.3 443.3C568.3 446.3 564.2 448 560 448H16C11.76 448 7.687 446.3 4.686 443.3C1.686 440.3 0 436.2 0 432C0 427.8 1.686 423.7 4.686 420.7C7.687 417.7 11.76 416 16 416H560C564.2 416 568.3 417.7 571.3 420.7zM66.5 360.5C64.24 356.9 63.49 352.6 64.42 348.5L117.9 112C120.9 98.28 128.6 86.03 139.6 77.3C150.7 68.56 164.3 63.87 178.4 64H397.6C411.7 63.87 425.3 68.56 436.4 77.3C447.4 86.03 455.1 98.28 458.2 112L511.7 348.4C512.2 350.4 512.2 352.5 511.9 354.6C511.5 356.7 510.8 358.7 509.6 360.5C508.5 362.2 507.1 363.8 505.3 365C503.6 366.2 501.7 367.1 499.6 367.6C498.5 367.8 497.3 367.1 496.1 367.1C492.5 367.1 488.1 366.7 486.1 364.5C483.3 362.2 481.3 359 480.5 355.5L450.7 223.7L447.3 221.5C433.1 212.6 416.7 207.9 399.9 207.9C383.2 207.9 366.7 212.6 352.5 221.5C333.2 233.6 310.9 240 288.1 240C265.3 240 242.1 233.6 223.6 221.5C209.4 212.7 193 207.9 176.3 207.9C159.5 207.9 143.1 212.7 128.9 221.5L125.5 223.7L95.68 355.5C95.22 357.6 94.35 359.5 93.13 361.2C91.91 362.1 90.37 364.4 88.59 365.5C86.8 366.7 84.81 367.4 82.74 367.8C80.66 368.1 78.53 368.1 76.48 367.6C72.35 366.6 68.76 364.1 66.5 360.5H66.5zM134.4 183.7C151.8 177.2 170.4 174.9 188.8 176.7C207.2 178.6 224.1 184.7 240.7 194.5C254.9 203.1 271.3 207.7 288 207.7C304.7 207.7 321.1 203.1 335.4 194.5C351.1 184.7 368.8 178.6 387.2 176.8C405.7 174.9 424.2 177.2 441.6 183.7L426.1 119C425.4 112.5 421.6 106.6 416.3 102.4C410.1 98.23 404.4 95.97 397.6 96H178.4C171.6 95.97 165 98.22 159.7 102.4C154.4 106.6 150.6 112.4 149.1 119L134.4 183.7z"],
    "d": [384, 512, [100], "44", "M160 480L16 480C7.156 480 0 472.8 0 464v-416C0 39.16 7.156 32 16 32L160 32.01c123.5 0 224 100.5 224 223.1S283.5 480 160 480zM32 448h128c105.9 0 192-86.13 192-192s-86.13-192-192-192H32V448z"],
    "dagger": [384, 512, [], "f6cb", "M320 128h-112V16C208 7.156 200.8 0 192 0S176 7.156 176 16V128H64C28.7 128 0 156.7 0 192L0 208C0 216.8 7.156 224 16 224S32 216.8 32 208V192c0-17.66 14.36-32 32-32h48v240c0 3.156 .9375 6.25 2.688 8.875l64.04 96C181.7 509.3 186.7 512 191.1 512s10.39-2.688 13.35-7.125l63.96-96C271.1 406.3 272 403.2 272 400V160H320c17.64 0 32 14.34 32 32v16C352 216.8 359.2 224 368 224S384 216.8 384 208L383.1 192C383.1 156.7 355.3 128 320 128zM240 395.2l-48 72l-48-72V160h96V395.2z"],
    "dash": [512, 512, ["minus-large"], "e404", "M512 256c0 8.832-7.166 16-16 16h-480C7.166 272 0 264.8 0 256c0-8.834 7.166-16 16-16h480C504.8 240 512 247.2 512 256z"],
    "database": [448, 512, [], "f1c0", "M224 512C100.3 512 0 476.2 0 432V80C0 35.82 100.3 0 224 0C347.7 0 448 35.82 448 80V432C448 476.2 347.7 512 224 512zM416 80.45C415.7 79.69 414.4 77.27 409.8 73.31C402.4 67.11 389.9 60.09 371.6 53.57C335.4 40.62 283.2 32 224 32C164.8 32 112.6 40.62 76.37 53.57C58.1 60.09 45.59 67.11 38.25 73.31C33.55 77.27 32.29 79.69 32 80.45V182.1C46.47 192.7 69.9 202.8 100.9 210.4C135.5 218.9 177.1 224 224 224C270 224 312.5 218.9 347.1 210.4C378.1 202.8 401.5 192.7 416 182.1V80.45zM416 219.5C398.8 228.4 377.9 235.8 354.8 241.5C317.3 250.7 272.2 256 224 256C175.8 256 130.7 250.7 93.22 241.5C70.11 235.8 49.18 228.4 32 219.5V310.1C46.47 320.7 69.9 330.8 100.9 338.4C135.5 346.9 177.1 352 224 352C270 352 312.5 346.9 347.1 338.4C378.1 330.8 401.5 320.7 416 310.1V219.5zM38.25 438.7C45.59 444.9 58.1 451.9 76.37 458.4C112.6 471.4 164.8 480 224 480C283.2 480 335.4 471.4 371.6 458.4C389.9 451.9 402.4 444.9 409.8 438.7C414.4 434.7 415.7 432.3 416 431.6V347.5C398.8 356.4 377.9 363.8 354.8 369.5C317.3 378.7 272.2 384 224 384C175.8 384 130.7 378.7 93.22 369.5C70.11 363.8 49.18 356.4 32 347.5V431.6C32.29 432.3 33.55 434.7 38.25 438.7zM416 431.4C416.1 431.3 416.1 431.3 416.1 431.3L416 431.4zM31.96 431.4C31.94 431.3 31.93 431.3 31.92 431.3L31.96 431.4zM31.96 80.56C31.93 80.65 31.92 80.7 31.92 80.7L31.96 80.56zM416.1 80.7C416.1 80.7 416.1 80.65 416 80.56z"],
    "deer": [576, 512, [129420], "f78e", "M448 144C448 152.8 440.8 160 432 160C423.2 160 416 152.8 416 144C416 135.2 423.2 128 432 128C440.8 128 448 135.2 448 144zM288 40C288 53.26 298.7 64 312 64H328C341.3 64 352 53.26 352 40V16C352 7.164 359.2 .001 368 .001C376.8 .001 384 7.164 384 16V40C384 48.59 382.1 56.73 378.6 64H448C461.3 64 472 53.26 472 40V16C472 7.164 479.2 .001 488 .001C496.8 .001 504 7.164 504 16V40C504 62.01 491.3 81.05 472.8 90.21L527.7 145.1C538.1 155.5 544 169.7 544 184.4C544 215.1 519.1 240 488.4 240H435.9L417.4 301.9C416.5 304.8 416 307.9 416 311V472C416 494.1 398.1 512 376 512H344C321.9 512 304 494.1 304 472V368H289.2C265.1 368 241.4 362.3 220.1 351.4C219.3 369.2 210.1 385.8 194.9 395.1C185.5 402.2 181.5 413.9 185.1 424.6L196.6 459.4C205.3 485.3 186 512 158.7 512H129.3C112.1 512 96.8 500.1 91.35 484.6L69.88 420.2C65.5 407.1 65.5 392.9 69.88 379.8L78.36 354.3C79.45 351.1 80 347.7 80 344.2V339.9C80 331.4 76.63 323.3 70.63 317.3L66.75 313.4C66.01 312.6 65.29 311.9 64.59 311.1L63.97 320.1C63.42 329.8 55.82 336.5 47 335.1C38.18 335.4 31.48 327.8 32.03 319L35.34 266C38.51 215.4 80.46 176 131.2 176H332.7L342.7 140.1L328.9 149.3C321.5 154.2 311.6 152.2 306.7 144.9C301.8 137.5 303.8 127.6 311.1 122.7L351.2 96H312C281.1 96 256 70.93 256 40V16C256 7.164 263.2 0 272 0C280.8 0 288 7.164 288 16L288 40zM417.4 96C400.1 96 384.1 107.5 380.3 124.2L360.3 196.3C358.4 203.2 352.1 208 344.9 208H136C105.1 208 80 233.1 80 264V268.1C80 276.6 83.37 284.7 89.37 290.7L93.25 294.6C105.3 306.6 112 322.9 112 339.9V344.2C112 351.1 110.9 357.9 108.7 364.5L100.2 389.9C98.05 396.5 98.05 403.6 100.2 410.1L121.7 474.5C122.8 477.8 125.9 480 129.3 480H158.7C164.2 480 168 474.7 166.3 469.5L154.7 434.7C146.6 410.4 155.8 383.6 177.1 369.4C185.3 363.9 189.5 354.2 187.9 344.5L184.2 322.6C183.2 316.3 185.1 310 191.3 306.6C196.7 303.1 203.6 303.2 208.9 306.7L222.6 315.8C242.3 328.1 265.5 336 289.2 336H320C328.8 336 336 343.2 336 352V472C336 476.4 339.6 480 344 480H376C380.4 480 384 476.4 384 472V311C384 304.8 384.9 298.6 386.7 292.7L408.7 219.4C410.7 212.6 416.9 208 424 208H488.4C501.4 208 512 197.4 512 184.4C512 178.1 509.5 172.1 505.1 167.7L444.6 107.3C437.4 100.1 427.6 96 417.4 96V96z"],
    "deer-rudolph": [576, 512, [], "f78f", "M384 144C384 135.2 391.2 128 400 128C408.8 128 416 135.2 416 144C416 152.8 408.8 160 400 160C391.2 160 384 152.8 384 144zM239.1 .001C248.8 .001 255.1 7.164 255.1 16V40C255.1 53.26 266.7 64 279.1 64H296C309.3 64 320 53.26 320 40V16C320 7.164 327.2 .001 336 .001C344.8 .001 352 7.164 352 16V40C352 48.59 350.1 56.73 346.6 64H416C429.3 64 440 53.26 440 40V16C440 7.164 447.2 .001 456 .001C464.8 .001 472 7.164 472 16V40C472 62.01 459.3 81.05 440.8 90.21L475.8 125.2C483.1 108 500.2 96 520 96C546.5 96 568 117.5 568 144C568 170.5 546.5 192 520 192C517.1 192 514.3 191.7 511.6 191.3C508.2 218.7 484.8 240 456.4 240H403.9L385.4 301.9C384.5 304.8 384 307.9 384 311V472C384 494.1 366.1 512 344 512H312C289.9 512 271.1 494.1 271.1 472V368H257.2C233.1 368 209.4 362.3 188.1 351.4C187.3 369.2 178.1 385.8 162.9 395.1C153.5 402.2 149.5 413.9 153.1 424.6L164.6 459.4C173.3 485.3 154 512 126.7 512H97.3C80.08 512 64.8 500.1 59.35 484.6L37.88 420.2C33.5 407.1 33.5 392.9 37.88 379.8L46.36 354.3C47.45 351.1 48 347.7 48 344.2V339.9C48 331.4 44.63 323.3 38.63 317.3L34.75 313.4C34.01 312.6 33.29 311.9 32.59 311.1L31.97 320.1C31.42 329.8 23.82 336.5 15 335.1C6.183 335.4-.5194 327.8 .0317 319L3.344 266C6.506 215.4 48.46 176 99.16 176H300.7L310.7 140.1L296.9 149.3C289.5 154.2 279.6 152.2 274.7 144.9C269.8 137.5 271.8 127.6 279.1 122.7L319.2 96H280C249.1 96 224 70.93 224 40V16C224 7.164 231.2 0 240 0L239.1 .001zM328.3 196.3C326.4 203.2 320.1 208 312.9 208H103.1C73.07 208 47.1 233.1 47.1 264V268.1C47.1 276.6 51.37 284.7 57.37 290.7L61.25 294.6C73.26 306.6 79.1 322.9 79.1 339.9V344.2C79.1 351.1 78.89 357.9 76.72 364.5L68.24 389.9C66.05 396.5 66.05 403.6 68.24 410.1L89.71 474.5C90.8 477.8 93.85 480 97.3 480H126.7C132.2 480 136 474.7 134.3 469.5L122.7 434.7C114.6 410.4 123.8 383.6 145.1 369.4C153.3 363.9 157.5 354.2 155.9 344.5L152.2 322.6C151.2 316.3 153.1 310 159.3 306.6C164.7 303.1 171.6 303.2 176.9 306.7L190.6 315.8C210.3 328.1 233.5 336 257.2 336H287.1C296.8 336 304 343.2 304 352V472C304 476.4 307.6 480 312 480H344C348.4 480 352 476.4 352 472V311C352 304.8 352.9 298.6 354.7 292.7L376.7 219.4C378.7 212.6 384.9 208 392 208H456.4C469.4 208 480 197.4 480 184.4C480 178.1 477.5 172.1 473.1 167.7L412.6 107.3C405.4 100.1 395.6 96 385.4 96C368.1 96 352.1 107.5 348.3 124.2L328.3 196.3zM520 128C511.2 128 504 135.2 504 144C504 152.8 511.2 160 520 160C528.8 160 536 152.8 536 144C536 135.2 528.8 128 520 128z"],
    "delete-left": [576, 512, [9003, "backspace"], "f55a", "M427.3 203.3L374.6 256L427.3 308.7C433.6 314.9 433.6 325.1 427.3 331.3C421.1 337.6 410.9 337.6 404.7 331.3L351.1 278.6L299.3 331.3C293.1 337.6 282.9 337.6 276.7 331.3C270.4 325.1 270.4 314.9 276.7 308.7L329.4 256L276.7 203.3C270.4 197.1 270.4 186.9 276.7 180.7C282.9 174.4 293.1 174.4 299.3 180.7L351.1 233.4L404.7 180.7C410.9 174.4 421.1 174.4 427.3 180.7C433.6 186.9 433.6 197.1 427.3 203.3zM512 64C547.3 64 576 92.65 576 128V384C576 419.3 547.3 448 512 448H205.3C188.3 448 172 441.3 160 429.3L9.372 278.6C3.371 272.6 0 264.5 0 256C0 247.5 3.372 239.4 9.372 233.4L160 82.75C172 70.74 188.3 64 205.3 64L512 64zM544 128C544 110.3 529.7 96 512 96H205.3C196.8 96 188.6 99.37 182.6 105.4L31.1 256L182.6 406.6C188.6 412.6 196.8 416 205.3 416H512C529.7 416 544 401.7 544 384V128z"],
    "delete-right": [576, 512, [], "e154", "M148.7 180.7C154.9 174.4 165.1 174.4 171.3 180.7L224 233.4L276.7 180.7C282.9 174.4 293.1 174.4 299.3 180.7C305.6 186.9 305.6 197.1 299.3 203.3L246.6 256L299.3 308.7C305.6 314.9 305.6 325.1 299.3 331.3C293.1 337.6 282.9 337.6 276.7 331.3L224 278.6L171.3 331.3C165.1 337.6 154.9 337.6 148.7 331.3C142.4 325.1 142.4 314.9 148.7 308.7L201.4 256L148.7 203.3C142.4 197.1 142.4 186.9 148.7 180.7zM370.7 64C387.7 64 403.1 70.74 416 82.75L566.6 233.4C572.6 239.4 576 247.5 576 256C576 264.5 572.6 272.6 566.6 278.6L416 429.3C403.1 441.3 387.7 448 370.7 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64L370.7 64zM32 384C32 401.7 46.33 416 64 416H370.7C379.2 416 387.4 412.6 393.4 406.6L544 256L393.4 105.4C387.4 99.37 379.2 96 370.7 96H64C46.33 96 32 110.3 32 128V384z"],
    "democrat": [640, 512, [], "f747", "M639.2 250.9C617.9 186.1 558.3 144 490.8 144H269.8L225.4 97.09C235.1 71.99 233.9 42.4 218.2 18.61C210.7 7.254 198.1 .4453 184.4 .4453c-10.84 0-21.03 4.215-28.69 11.88L141.7 26.34L126.8 11.45C119.4 4.066 109.6 0 99.17 0c-13.27 0-25.5 6.648-32.7 17.78c-15.75 23.95-15.79 54.78-1.439 78.7l-52.98 70.55c-13.76 18.33-15.9 42.44-5.578 62.9l12.71 25.2c10.22 20.27 30.67 32.86 53.37 32.86h27.12c14.92 0 29-5.41 40.02-15.31l20.38 53.23V452c0 33.09 26.91 60 59.99 60h23.1C277.1 512 304.1 485.1 304.1 452V416h127.1v36c0 33.09 26.91 60 59.99 60h23.99c33.08 0 59.99-26.91 59.99-60l.002-211.1c0-12.55-2.461-24.7-7.021-35.98c17.97 14.58 32.15 33.95 39.85 57.04C611.1 267.8 617.3 272 624 272c1.672 0 3.375-.25 5.062-.8125C637.4 268.4 641.1 259.3 639.2 250.9zM544 452c0 15.4-12.6 28-27.1 28h-23.99c-15.4 0-27.1-12.6-27.1-28V384H272.1v68c0 15.4-12.6 28-27.1 28H220.1c-15.4 0-27.1-12.6-27.1-28l-.0433-100h351.1L544 452zM544 312l-.0102 7.999H192L152.8 217.5L119.5 247.8C114.2 253 107.1 255.1 99.67 255.1H72.55c-10.49 0-20.08-5.906-24.8-15.27L35.04 215.5C30.27 206.1 31.28 194.7 37.64 186.3l65.32-86.99C104.5 97.29 106.7 96.09 108.5 94.55c-3.502-1.969-6.998-3.719-9.842-6.562C84.36 73.66 82.61 51.46 93.33 35.17C94.67 33.09 96.91 32 99.17 32c1.783 0 3.586 .6758 4.984 2.074L141.7 71.59l36.63-36.64C179.1 33.26 182.2 32.45 184.4 32.45c2.768 0 5.51 1.312 7.16 3.816c13.23 20.01 11.04 47.14-6.561 64.64L256.1 176h223.1c35.34 0 63.99 28.66 63.99 64L544 312zM288.1 232H272.1L272 215.1C272 207.2 264.9 200 256.1 200s-15.1 7.156-15.1 16v16H224.1c-8.844 0-15.1 7.156-15.1 16s7.154 16 15.1 16l15.96-.0001L240.1 280c0 8.844 7.156 16 15.1 16s15.1-7.156 15.1-16v-16h15.1c8.842 0 15.97-7.156 15.97-16S296.9 232 288.1 232zM400 232h-15.1v-16c0-8.844-7.154-16-15.1-16c-8.842 0-15.1 7.156-15.1 16v16h-15.1c-8.842 0-15.1 7.156-15.1 16s7.129 15.1 15.97 15.1L352 264v16c0 8.844 7.132 15.1 15.97 15.1c8.844 0 16.02-7.156 16.02-15.1v-16l15.98-.0001c8.842 0 16.02-7.156 16.02-15.1S408.9 232 400 232zM512 232h-15.1v-16c0-8.844-7.156-16-15.1-16s-16.01 7.156-16.01 15.1L464 232h-15.1c-8.842 0-16.02 7.156-16.02 15.1S439.2 264 448 264h15.1v16c0 8.844 7.156 16 15.1 16s15.1-7.156 15.1-16l-.0127-16L512 264c8.844 0 15.1-7.156 15.1-16S520.9 232 512 232z"],
    "desktop": [576, 512, [61704, 128421, "desktop-alt"], "f390", "M512 0H64C28.65 0 0 28.65 0 64v288c0 35.35 28.65 64 64 64h149.7l-19.2 64H144C135.2 480 128 487.2 128 496S135.2 512 144 512h288c8.836 0 16-7.164 16-16S440.8 480 432 480h-50.49l-19.2-64H512c35.35 0 64-28.65 64-64V64C576 28.65 547.3 0 512 0zM227.9 480l19.2-64h81.79l19.2 64H227.9zM544 352c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V288h512V352zM544 256H32V64c0-17.64 14.36-32 32-32h448c17.64 0 32 14.36 32 32V256z"],
    "desktop-arrow-down": [576, 512, [], "e155", "M208 112c-4.094 0-8.188 1.562-11.31 4.688c-6.25 6.25-6.25 16.38 0 22.62l80 80c6.25 6.25 16.38 6.25 22.62 0l80-80c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0L304 169.4V16C304 7.156 296.8 0 288 0S272 7.156 272 16v153.4L219.3 116.7C216.2 113.6 212.1 112 208 112zM512 0h-144C359.2 0 352 7.162 352 16C352 24.84 359.2 32 368 32H512c17.67 0 32 14.33 32 32v192H32V64c0-17.67 14.33-32 32-32h144C216.8 32 224 24.84 224 16C224 7.162 216.8 0 208 0H64C28.65 0 0 28.65 0 64v288c0 35.35 28.65 64 64 64h149.7l-19.2 64H144C135.2 480 128 487.2 128 496S135.2 512 144 512h288c8.836 0 16-7.164 16-16S440.8 480 432 480h-50.49l-19.2-64H512c35.35 0 64-28.65 64-64V64C576 28.65 547.3 0 512 0zM227.9 480l19.2-64h81.79l19.2 64H227.9zM544 352c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V288h512V352z"],
    "dharmachakra": [512, 512, [9784], "f655", "M496 240h-32.81c-3.477-45.32-21.46-86.58-49.41-119.2l23.24-23.24c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0l-23.24 23.24C358.6 70.26 317.3 52.29 272 48.81V16C272 7.156 264.8 0 256 0S240 7.156 240 16v32.81C194.7 52.29 153.4 70.26 120.9 98.21L97.61 74.97c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L98.22 120.8C70.27 153.4 52.29 194.7 48.81 240H16C7.156 240 0 247.2 0 256s7.156 16 16 16h32.81c3.477 45.32 21.46 86.58 49.41 119.2l-23.24 23.24c-6.25 6.25-6.25 16.38 0 22.62c3.125 3.125 7.219 4.688 11.31 4.688s8.188-1.562 11.31-4.688l23.24-23.24C153.4 441.7 194.7 459.7 240 463.2V496c0 8.844 7.156 16 16 16s16-7.156 16-16v-32.81c45.32-3.473 86.56-21.45 119.1-49.4l23.24 23.24c3.125 3.125 7.219 4.688 11.31 4.688s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L413.8 391.2C441.7 358.6 459.7 317.3 463.2 272H496C504.8 272 512 264.8 512 256S504.8 240 496 240zM431.2 240h-80.81c-2.459-14.53-8.078-27.91-16.3-39.46l57.08-57.09C413.4 170.1 427.9 203.5 431.2 240zM256 320c-35.3 0-64-28.72-64-64s28.7-64 64-64s64 28.72 64 64S291.3 320 256 320zM368.5 120.8l-57.08 57.09C299.9 169.7 286.5 164.1 272 161.6V80.81C308.5 84.13 341.9 98.58 368.5 120.8zM240 80.81v80.8C225.5 164.1 212.1 169.7 200.5 177.9L143.5 120.8C170.1 98.58 203.5 84.13 240 80.81zM120.8 143.5l57.08 57.09C169.7 212.1 164.1 225.5 161.6 240H80.81C84.12 203.5 98.59 170.1 120.8 143.5zM80.81 272h80.81c2.459 14.53 8.078 27.91 16.3 39.46l-57.08 57.09C98.59 341.9 84.12 308.5 80.81 272zM143.5 391.2l57.08-57.09C212.1 342.3 225.5 347.9 240 350.4v80.8C203.5 427.9 170.1 413.4 143.5 391.2zM272 431.2v-80.8c14.53-2.461 27.92-8.078 39.46-16.3l57.08 57.09C341.9 413.4 308.5 427.9 272 431.2zM391.2 368.5l-57.08-57.09C342.3 299.9 347.9 286.5 350.4 272h80.81C427.9 308.5 413.4 341.9 391.2 368.5z"],
    "diagram-cells": [512, 512, [], "e475", "M64 224C28.65 224 0 195.3 0 160V96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V160C512 195.3 483.3 224 448 224H64zM480 160V96C480 78.33 465.7 64 448 64H64C46.33 64 32 78.33 32 96V160C32 177.7 46.33 192 64 192H448C465.7 192 480 177.7 480 160zM512 416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V352C0 316.7 28.65 288 64 288H448C483.3 288 512 316.7 512 352V416zM448 448C465.7 448 480 433.7 480 416V352C480 334.3 465.7 320 448 320H64C46.33 320 32 334.3 32 352V416C32 433.7 46.33 448 64 448H448z"],
    "diagram-lean-canvas": [640, 512, [], "e156", "M0 96C0 60.65 28.65 32 64 32H576C611.3 32 640 60.65 640 96V416C640 451.3 611.3 480 576 480H64C28.65 480 0 451.3 0 416V96zM512 320H608V96C608 78.33 593.7 64 576 64H512V320zM480 64H384V192H480V64zM352 64H288V320H352V64zM256 64H160V192H256V64zM128 64H64C46.33 64 32 78.33 32 96V320H128V64zM32 352V416C32 433.7 46.33 448 64 448H304V352H32zM336 448H576C593.7 448 608 433.7 608 416V352H336V448zM256 224H160V320H256V224zM384 224V320H480V224H384z"],
    "diagram-nested": [448, 512, [], "e157", "M112 320C112 346.5 133.5 368 160 368H256V336C256 309.5 277.5 288 304 288H400C426.5 288 448 309.5 448 336V432C448 458.5 426.5 480 400 480H304C277.5 480 256 458.5 256 432V400H160C115.8 400 80 364.2 80 320V224H48C21.49 224 0 202.5 0 176V80C0 53.49 21.49 32 48 32H144C170.5 32 192 53.49 192 80V176C192 202.5 170.5 224 144 224H112V320zM144 64H48C39.16 64 32 71.16 32 80V176C32 184.8 39.16 192 48 192H144C152.8 192 160 184.8 160 176V80C160 71.16 152.8 64 144 64zM288 432C288 440.8 295.2 448 304 448H400C408.8 448 416 440.8 416 432V336C416 327.2 408.8 320 400 320H304C295.2 320 288 327.2 288 336V432z"],
    "diagram-next": [512, 512, [], "e476", "M272 329.4L308.7 292.7C314.9 286.4 325.1 286.4 331.3 292.7C337.6 298.9 337.6 309.1 331.3 315.3L267.3 379.3C261.1 385.6 250.9 385.6 244.7 379.3L180.7 315.3C174.4 309.1 174.4 298.9 180.7 292.7C186.9 286.4 197.1 286.4 203.3 292.7L240 329.4V224H64C28.65 224 .0003 195.3 .0003 160V96C.0003 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V160C512 195.3 483.3 224 448 224H272L272 329.4zM480 160V96C480 78.33 465.7 64 448 64H64C46.33 64 32 78.33 32 96V160C32 177.7 46.33 192 64 192H448C465.7 192 480 177.7 480 160zM64 480C28.65 480 0 451.3 0 416V352C0 316.7 28.65 288 64 288H112C120.8 288 128 295.2 128 304C128 312.8 120.8 320 112 320H64C46.33 320 32 334.3 32 352V416C32 433.7 46.33 448 64 448H448C465.7 448 480 433.7 480 416V352C480 334.3 465.7 320 448 320H400C391.2 320 384 312.8 384 304C384 295.2 391.2 288 400 288H448C483.3 288 512 316.7 512 352V416C512 451.3 483.3 480 448 480H64z"],
    "diagram-predecessor": [512, 512, [], "e477", "M512 416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V352C0 316.7 28.65 288 64 288H448C483.3 288 512 316.7 512 352V416zM448 320H64C46.33 320 32 334.3 32 352V416C32 433.7 46.33 448 64 448H448C465.7 448 480 433.7 480 416V352C480 334.3 465.7 320 448 320zM192 112C200.8 112 208 119.2 208 128C208 136.8 200.8 144 192 144H96C87.16 144 80 136.8 80 128C80 119.2 87.16 112 96 112H192zM279.4 64C284.9 73.41 288 84.34 288 96V160C288 195.3 259.3 224 224 224H64C28.65 224 0 195.3 0 160V96C0 60.65 28.65 32 64 32H368C403.3 32 432 60.65 432 96V185.4L468.7 148.7C474.9 142.4 485.1 142.4 491.3 148.7C497.6 154.9 497.6 165.1 491.3 171.3L427.3 235.3C421.1 241.6 410.9 241.6 404.7 235.3L340.7 171.3C334.4 165.1 334.4 154.9 340.7 148.7C346.9 142.4 357.1 142.4 363.3 148.7L400 185.4V96C400 78.33 385.7 64 368 64H279.4zM224 64H64C46.33 64 32 78.33 32 96V160C32 177.7 46.33 192 64 192H224C241.7 192 256 177.7 256 160V96C256 78.33 241.7 64 224 64z"],
    "diagram-previous": [512, 512, [], "e478", "M272 288H448C483.3 288 512 316.7 512 352V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V352C0 316.7 28.65 288 64 288H240V182.6L203.3 219.3C197.1 225.6 186.9 225.6 180.7 219.3C174.4 213.1 174.4 202.9 180.7 196.7L244.7 132.7C250.9 126.4 261.1 126.4 267.3 132.7L331.3 196.7C337.6 202.9 337.6 213.1 331.3 219.3C325.1 225.6 314.9 225.6 308.7 219.3L272 182.6L272 288zM448 320H64C46.33 320 32 334.3 32 352V416C32 433.7 46.33 448 64 448H448C465.7 448 480 433.7 480 416V352C480 334.3 465.7 320 448 320zM448 32C483.3 32 512 60.65 512 96V160C512 195.3 483.3 224 448 224H400C391.2 224 384 216.8 384 208C384 199.2 391.2 192 400 192H448C465.7 192 480 177.7 480 160V96C480 78.33 465.7 64 448 64H64C46.33 64 32 78.33 32 96V160C32 177.7 46.33 192 64 192H112C120.8 192 128 199.2 128 208C128 216.8 120.8 224 112 224H64C28.65 224 0 195.3 0 160V96C0 60.65 28.65 32 64 32H448z"],
    "diagram-project": [576, 512, ["project-diagram"], "f542", "M183.8 197.1L256 293.4C263.3 289.9 271.4 288 280 288H360C390.9 288 416 313.1 416 344V424C416 454.9 390.9 480 360 480H280C249.1 480 224 454.9 224 424V344C224 333.3 226.1 323.4 232.2 314.9L159.1 218.6C152.7 222.1 144.6 224 136 224H56C25.07 224 0 198.9 0 168V88C0 57.07 25.07 32 56 32H136C166.9 32 192 57.07 192 88V112H384V88C384 57.07 409.1 32 440 32H520C550.9 32 576 57.07 576 88V168C576 198.9 550.9 224 520 224H440C409.1 224 384 198.9 384 168V144H192V168C192 178.7 189 188.6 183.8 197.1V197.1zM136 64H56C42.75 64 32 74.75 32 88V168C32 181.3 42.75 192 56 192H136C149.3 192 160 181.3 160 168V88C160 74.75 149.3 64 136 64zM440 192H520C533.3 192 544 181.3 544 168V88C544 74.75 533.3 64 520 64H440C426.7 64 416 74.75 416 88V168C416 181.3 426.7 192 440 192zM360 320H280C266.7 320 256 330.7 256 344V424C256 437.3 266.7 448 280 448H360C373.3 448 384 437.3 384 424V344C384 330.7 373.3 320 360 320z"],
    "diagram-sankey": [576, 512, [], "e158", "M354.1 64C348.5 64 343.3 66.95 340.4 71.77L263 200.7C254.4 215.2 238.7 224 221.9 224H16C7.164 224 0 216.8 0 208C0 199.2 7.164 192 16 192H221.9C227.5 192 232.7 189.1 235.6 184.2L312.1 55.3C321.6 40.85 337.3 32 354.1 32H560C568.8 32 576 39.16 576 48C576 56.84 568.8 64 560 64H354.1zM201.7 320L276.2 440.4C279.1 445.1 284.3 448 289.8 448H560C568.8 448 576 455.2 576 464C576 472.8 568.8 480 560 480H289.8C273.2 480 257.8 471.4 249 457.3L164 320H16C7.164 320 .0003 312.8 .0003 304C.0003 295.2 7.164 288 16 288H180.9L181.6 287.6L181.9 288H560C568.8 288 576 295.2 576 304C576 312.8 568.8 320 560 320H201.7z"],
    "diagram-subtask": [512, 512, [], "e479", "M144 320C144 346.5 165.5 368 192 368H224V352C224 316.7 252.7 288 288 288H448C483.3 288 512 316.7 512 352V416C512 451.3 483.3 480 448 480H288C252.7 480 224 451.3 224 416V400H192C147.8 400 112 364.2 112 320V224H64C28.65 224 0 195.3 0 160V96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V160C512 195.3 483.3 224 448 224H144V320zM448 64H64C46.33 64 32 78.33 32 96V160C32 177.7 46.33 192 64 192H448C465.7 192 480 177.7 480 160V96C480 78.33 465.7 64 448 64zM448 320H288C270.3 320 256 334.3 256 352V416C256 433.7 270.3 448 288 448H448C465.7 448 480 433.7 480 416V352C480 334.3 465.7 320 448 320z"],
    "diagram-successor": [512, 512, [], "e47a", "M416 368C424.8 368 432 375.2 432 384C432 392.8 424.8 400 416 400H96C87.16 400 80 392.8 80 384C80 375.2 87.16 368 96 368H416zM512 416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V352C0 316.7 28.65 288 64 288H448C483.3 288 512 316.7 512 352V416zM448 320H64C46.33 320 32 334.3 32 352V416C32 433.7 46.33 448 64 448H448C465.7 448 480 433.7 480 416V352C480 334.3 465.7 320 448 320zM279.4 64C284.9 73.41 288 84.34 288 96V160C288 195.3 259.3 224 224 224H64C28.65 224 0 195.3 0 160V96C0 60.65 28.65 32 64 32H368C403.3 32 432 60.65 432 96V185.4L468.7 148.7C474.9 142.4 485.1 142.4 491.3 148.7C497.6 154.9 497.6 165.1 491.3 171.3L427.3 235.3C421.1 241.6 410.9 241.6 404.7 235.3L340.7 171.3C334.4 165.1 334.4 154.9 340.7 148.7C346.9 142.4 357.1 142.4 363.3 148.7L400 185.4V96C400 78.33 385.7 64 368 64H279.4zM224 64H64C46.33 64 32 78.33 32 96V160C32 177.7 46.33 192 64 192H224C241.7 192 256 177.7 256 160V96C256 78.33 241.7 64 224 64z"],
    "diagram-venn": [640, 512, [], "e15a", "M0 256C0 132.3 100.3 32 224 32C258.4 32 290.9 39.73 320 53.56C349.1 39.73 381.6 32 416 32C539.7 32 640 132.3 640 256C640 379.7 539.7 480 416 480C381.6 480 349.1 472.3 320 458.4C290.9 472.3 258.4 480 224 480C100.3 480 0 379.7 0 256zM224 448C245.5 448 266.1 444.5 285.4 437.1C228.8 397.3 192 330.1 192 256C192 181 228.8 114.7 285.4 74.02C266.1 67.52 245.5 64 224 64C117.1 64 32 149.1 32 256C32 362 117.1 448 224 448V448zM405.1 192H234.9C229.5 207.2 226 223.3 224.7 240H415.3C413.1 223.3 410.5 207.2 405.1 192zM234.9 320H405.1C410.5 304.8 413.1 288.7 415.3 272H224.7C226 288.7 229.5 304.8 234.9 320zM320 422.3C349.1 405.5 373.5 381.1 390.3 352H249.7C266.5 381.1 290.9 405.5 320 422.3H320zM390.3 160C373.5 130.9 349.1 106.5 320 89.69C290.9 106.5 266.5 130.9 249.7 160H390.3zM416 64C394.5 64 373.9 67.52 354.6 74.02C411.2 114.7 448 181 448 256C448 330.1 411.2 397.3 354.6 437.1C373.9 444.5 394.5 448 416 448C522 448 608 362 608 256C608 149.1 522 64 416 64z"],
    "dial": [576, 512, ["dial-med-high"], "e15b", "M264 32C264 18.75 274.7 8 288 8C301.3 8 312 18.75 312 32C312 45.25 301.3 56 288 56C274.7 56 264 45.25 264 32zM401.1 401.1C338.7 463.6 237.3 463.6 174.9 401.1C112.4 338.7 112.4 237.3 174.9 174.9C237.3 112.4 338.7 112.4 401.1 174.9C463.6 237.3 463.6 338.7 401.1 401.1zM276.7 299.3C270.4 293.1 270.4 282.9 276.7 276.7L366.5 186.9C316.3 147.8 243.6 151.3 197.5 197.5C147.5 247.5 147.5 328.5 197.5 378.5C247.5 428.5 328.5 428.5 378.5 378.5C424.7 332.4 428.2 259.7 389.1 209.5L299.3 299.3C293.1 305.6 282.9 305.6 276.7 299.3L276.7 299.3zM568 288C568 301.3 557.3 312 544 312C530.7 312 520 301.3 520 288C520 274.7 530.7 264 544 264C557.3 264 568 274.7 568 288zM8 288C8 274.7 18.75 264 32 264C45.25 264 56 274.7 56 288C56 301.3 45.25 312 32 312C18.75 312 8 301.3 8 288zM120 96C120 109.3 109.3 120 96 120C82.75 120 72 109.3 72 96C72 82.75 82.75 72 96 72C109.3 72 120 82.75 120 96zM456 96C456 82.75 466.7 72 480 72C493.3 72 504 82.75 504 96C504 109.3 493.3 120 480 120C466.7 120 456 109.3 456 96zM120 480C120 493.3 109.3 504 96 504C82.75 504 72 493.3 72 480C72 466.7 82.75 456 96 456C109.3 456 120 466.7 120 480zM456 480C456 466.7 466.7 456 480 456C493.3 456 504 466.7 504 480C504 493.3 493.3 504 480 504C466.7 504 456 493.3 456 480z"],
    "dial-high": [576, 512, [], "e15c", "M264 32C264 18.75 274.7 8 288 8C301.3 8 312 18.75 312 32C312 45.25 301.3 56 288 56C274.7 56 264 45.25 264 32zM288 448C199.6 448 128 376.4 128 288C128 199.6 199.6 128 288 128C376.4 128 448 199.6 448 288C448 376.4 376.4 448 288 448zM272 288C272 279.2 279.2 272 288 272H415C407.1 208.9 353.3 160 288 160C217.3 160 160 217.3 160 288C160 358.7 217.3 416 288 416C353.3 416 407.1 367.1 415 304H288C279.2 304 272 296.8 272 288zM568 288C568 301.3 557.3 312 544 312C530.7 312 520 301.3 520 288C520 274.7 530.7 264 544 264C557.3 264 568 274.7 568 288zM8 288C8 274.7 18.75 264 32 264C45.25 264 56 274.7 56 288C56 301.3 45.25 312 32 312C18.75 312 8 301.3 8 288zM120 96C120 109.3 109.3 120 96 120C82.75 120 72 109.3 72 96C72 82.75 82.75 72 96 72C109.3 72 120 82.75 120 96zM456 96C456 82.75 466.7 72 480 72C493.3 72 504 82.75 504 96C504 109.3 493.3 120 480 120C466.7 120 456 109.3 456 96zM120 480C120 493.3 109.3 504 96 504C82.75 504 72 493.3 72 480C72 466.7 82.75 456 96 456C109.3 456 120 466.7 120 480zM456 480C456 466.7 466.7 456 480 456C493.3 456 504 466.7 504 480C504 493.3 493.3 504 480 504C466.7 504 456 493.3 456 480z"],
    "dial-low": [576, 512, [], "e15d", "M264 32C264 18.75 274.7 8 288 8C301.3 8 312 18.75 312 32C312 45.25 301.3 56 288 56C274.7 56 264 45.25 264 32zM288 128C376.4 128 448 199.6 448 288C448 376.4 376.4 448 288 448C199.6 448 128 376.4 128 288C128 199.6 199.6 128 288 128zM416 288C416 217.3 358.7 160 288 160C222.7 160 168.9 208.9 160.1 272H288C296.8 272 304 279.2 304 288C304 296.8 296.8 304 288 304H160.1C168.9 367.1 222.7 416 288 416C358.7 416 416 358.7 416 288V288zM568 288C568 301.3 557.3 312 544 312C530.7 312 520 301.3 520 288C520 274.7 530.7 264 544 264C557.3 264 568 274.7 568 288zM8 288C8 274.7 18.75 264 32 264C45.25 264 56 274.7 56 288C56 301.3 45.25 312 32 312C18.75 312 8 301.3 8 288zM120 96C120 109.3 109.3 120 96 120C82.75 120 72 109.3 72 96C72 82.75 82.75 72 96 72C109.3 72 120 82.75 120 96zM456 96C456 82.75 466.7 72 480 72C493.3 72 504 82.75 504 96C504 109.3 493.3 120 480 120C466.7 120 456 109.3 456 96zM120 480C120 493.3 109.3 504 96 504C82.75 504 72 493.3 72 480C72 466.7 82.75 456 96 456C109.3 456 120 466.7 120 480zM456 480C456 466.7 466.7 456 480 456C493.3 456 504 466.7 504 480C504 493.3 493.3 504 480 504C466.7 504 456 493.3 456 480z"],
    "dial-max": [576, 512, [], "e15e", "M264 32C264 18.75 274.7 8 288 8C301.3 8 312 18.75 312 32C312 45.25 301.3 56 288 56C274.7 56 264 45.25 264 32zM174.9 401.1C112.4 338.7 112.4 237.3 174.9 174.9C237.3 112.4 338.7 112.4 401.1 174.9C463.6 237.3 463.6 338.7 401.1 401.1C338.7 463.6 237.3 463.6 174.9 401.1zM378.5 378.5L378.9 378.1L378.1 378.9L378.5 378.5zM299.3 276.7L389.1 366.5C428.2 316.3 424.7 243.6 378.5 197.5C328.5 147.5 247.5 147.5 197.5 197.5C147.5 247.5 147.5 328.5 197.5 378.5C243.6 424.7 316.3 428.2 366.5 389.1L276.7 299.3C270.4 293.1 270.4 282.9 276.7 276.7C282.9 270.4 293.1 270.4 299.3 276.7zM568 288C568 301.3 557.3 312 544 312C530.7 312 520 301.3 520 288C520 274.7 530.7 264 544 264C557.3 264 568 274.7 568 288zM8 288C8 274.7 18.75 264 32 264C45.25 264 56 274.7 56 288C56 301.3 45.25 312 32 312C18.75 312 8 301.3 8 288zM120 96C120 109.3 109.3 120 96 120C82.75 120 72 109.3 72 96C72 82.75 82.75 72 96 72C109.3 72 120 82.75 120 96zM456 96C456 82.75 466.7 72 480 72C493.3 72 504 82.75 504 96C504 109.3 493.3 120 480 120C466.7 120 456 109.3 456 96zM120 480C120 493.3 109.3 504 96 504C82.75 504 72 493.3 72 480C72 466.7 82.75 456 96 456C109.3 456 120 466.7 120 480zM456 480C456 466.7 466.7 456 480 456C493.3 456 504 466.7 504 480C504 493.3 493.3 504 480 504C466.7 504 456 493.3 456 480z"],
    "dial-med": [576, 512, [], "e15f", "M264 32C264 18.75 274.7 8 288 8C301.3 8 312 18.75 312 32C312 45.25 301.3 56 288 56C274.7 56 264 45.25 264 32zM448 288C448 376.4 376.4 448 288 448C199.6 448 128 376.4 128 288C128 199.6 199.6 128 288 128C376.4 128 448 199.6 448 288zM288 304C279.2 304 272 296.8 272 288V160.1C208.9 168.9 160 222.7 160 288C160 358.7 217.3 416 288 416C358.7 416 416 358.7 416 288C416 222.7 367.1 168.9 304 160.1V288C304 296.8 296.8 304 288 304zM568 288C568 301.3 557.3 312 544 312C530.7 312 520 301.3 520 288C520 274.7 530.7 264 544 264C557.3 264 568 274.7 568 288zM8 288C8 274.7 18.75 264 32 264C45.25 264 56 274.7 56 288C56 301.3 45.25 312 32 312C18.75 312 8 301.3 8 288zM120 96C120 109.3 109.3 120 96 120C82.75 120 72 109.3 72 96C72 82.75 82.75 72 96 72C109.3 72 120 82.75 120 96zM456 96C456 82.75 466.7 72 480 72C493.3 72 504 82.75 504 96C504 109.3 493.3 120 480 120C466.7 120 456 109.3 456 96zM120 480C120 493.3 109.3 504 96 504C82.75 504 72 493.3 72 480C72 466.7 82.75 456 96 456C109.3 456 120 466.7 120 480zM456 480C456 466.7 466.7 456 480 456C493.3 456 504 466.7 504 480C504 493.3 493.3 504 480 504C466.7 504 456 493.3 456 480z"],
    "dial-med-low": [576, 512, [], "e160", "M264 32C264 18.75 274.7 8 288 8C301.3 8 312 18.75 312 32C312 45.25 301.3 56 288 56C274.7 56 264 45.25 264 32zM401.1 174.9C463.6 237.3 463.6 338.7 401.1 401.1C338.7 463.6 237.3 463.6 174.9 401.1C112.4 338.7 112.4 237.3 174.9 174.9C237.3 112.4 338.7 112.4 401.1 174.9V174.9zM378.5 378.5C428.5 328.5 428.5 247.5 378.5 197.5C332.4 151.3 259.7 147.8 209.5 186.9L299.3 276.7C305.6 282.9 305.6 293.1 299.3 299.3C293.1 305.6 282.9 305.6 276.7 299.3L186.9 209.5C147.8 259.7 151.3 332.4 197.5 378.5C247.5 428.5 328.5 428.5 378.5 378.5L378.5 378.5zM568 288C568 301.3 557.3 312 544 312C530.7 312 520 301.3 520 288C520 274.7 530.7 264 544 264C557.3 264 568 274.7 568 288zM8 288C8 274.7 18.75 264 32 264C45.25 264 56 274.7 56 288C56 301.3 45.25 312 32 312C18.75 312 8 301.3 8 288zM120 96C120 109.3 109.3 120 96 120C82.75 120 72 109.3 72 96C72 82.75 82.75 72 96 72C109.3 72 120 82.75 120 96zM456 96C456 82.75 466.7 72 480 72C493.3 72 504 82.75 504 96C504 109.3 493.3 120 480 120C466.7 120 456 109.3 456 96zM120 480C120 493.3 109.3 504 96 504C82.75 504 72 493.3 72 480C72 466.7 82.75 456 96 456C109.3 456 120 466.7 120 480zM456 480C456 466.7 466.7 456 480 456C493.3 456 504 466.7 504 480C504 493.3 493.3 504 480 504C466.7 504 456 493.3 456 480z"],
    "dial-min": [576, 512, [], "e161", "M264 32C264 18.75 274.7 8 288 8C301.3 8 312 18.75 312 32C312 45.25 301.3 56 288 56C274.7 56 264 45.25 264 32zM174.9 174.9C237.3 112.4 338.7 112.4 401.1 174.9C463.6 237.3 463.6 338.7 401.1 401.1C338.7 463.6 237.3 463.6 174.9 401.1C112.4 338.7 112.4 237.3 174.9 174.9V174.9zM299.3 276.7C305.6 282.9 305.6 293.1 299.3 299.3L209.5 389.1C259.7 428.2 332.4 424.7 378.5 378.5C428.5 328.5 428.5 247.5 378.5 197.5C328.5 147.5 247.5 147.5 197.5 197.5C151.3 243.6 147.8 316.3 186.9 366.5L276.7 276.7C282.9 270.4 293.1 270.4 299.3 276.7L299.3 276.7zM568 288C568 301.3 557.3 312 544 312C530.7 312 520 301.3 520 288C520 274.7 530.7 264 544 264C557.3 264 568 274.7 568 288zM8 288C8 274.7 18.75 264 32 264C45.25 264 56 274.7 56 288C56 301.3 45.25 312 32 312C18.75 312 8 301.3 8 288zM120 96C120 109.3 109.3 120 96 120C82.75 120 72 109.3 72 96C72 82.75 82.75 72 96 72C109.3 72 120 82.75 120 96zM456 96C456 82.75 466.7 72 480 72C493.3 72 504 82.75 504 96C504 109.3 493.3 120 480 120C466.7 120 456 109.3 456 96zM120 480C120 493.3 109.3 504 96 504C82.75 504 72 493.3 72 480C72 466.7 82.75 456 96 456C109.3 456 120 466.7 120 480zM456 480C456 466.7 466.7 456 480 456C493.3 456 504 466.7 504 480C504 493.3 493.3 504 480 504C466.7 504 456 493.3 456 480z"],
    "dial-off": [576, 512, [], "e162", "M264 32C264 18.75 274.7 8 288 8C301.3 8 312 18.75 312 32C312 45.25 301.3 56 288 56C274.7 56 264 45.25 264 32zM128 288C128 199.6 199.6 128 288 128C376.4 128 448 199.6 448 288C448 376.4 376.4 448 288 448C199.6 448 128 376.4 128 288zM288 272C296.8 272 304 279.2 304 288V415C367.1 407.1 416 353.3 416 288C416 217.3 358.7 160 288 160C217.3 160 160 217.3 160 288C160 353.3 208.9 407.1 272 415V288C272 279.2 279.2 272 288 272zM568 288C568 301.3 557.3 312 544 312C530.7 312 520 301.3 520 288C520 274.7 530.7 264 544 264C557.3 264 568 274.7 568 288zM8 288C8 274.7 18.75 264 32 264C45.25 264 56 274.7 56 288C56 301.3 45.25 312 32 312C18.75 312 8 301.3 8 288zM120 96C120 109.3 109.3 120 96 120C82.75 120 72 109.3 72 96C72 82.75 82.75 72 96 72C109.3 72 120 82.75 120 96zM456 96C456 82.75 466.7 72 480 72C493.3 72 504 82.75 504 96C504 109.3 493.3 120 480 120C466.7 120 456 109.3 456 96zM120 480C120 493.3 109.3 504 96 504C82.75 504 72 493.3 72 480C72 466.7 82.75 456 96 456C109.3 456 120 466.7 120 480zM456 480C456 466.7 466.7 456 480 456C493.3 456 504 466.7 504 480C504 493.3 493.3 504 480 504C466.7 504 456 493.3 456 480z"],
    "diamond": [512, 512, [9830], "f219", "M500.3 227.7C515.9 243.3 515.9 268.7 500.3 284.3L284.3 500.3C268.7 515.9 243.3 515.9 227.7 500.3L11.72 284.3C-3.905 268.7-3.905 243.3 11.72 227.7L227.7 11.72C243.3-3.905 268.7-3.905 284.3 11.72L500.3 227.7zM34.34 250.3C31.22 253.5 31.22 258.5 34.34 261.7L250.3 477.7C253.5 480.8 258.5 480.8 261.7 477.7L477.7 261.7C480.8 258.5 480.8 253.5 477.7 250.3L261.7 34.34C258.5 31.22 253.5 31.22 250.3 34.34L34.34 250.3z"],
    "diamond-exclamation": [512, 512, [], "e405", "M256 303.1c8.832 0 16-7.168 16-16v-144c0-8.832-7.168-16-16-16s-16 7.168-16 16v144C240 296.8 247.2 303.1 256 303.1zM497.7 222.6l-208.2-209.1c-19.01-18.02-50.05-18.02-68.06 0L14.27 222.6c-19.04 17.98-19.04 49.03 0 67.01l208.2 208.1c18.02 19.04 49.05 19.04 67.07 0l208.2-208.1C516.8 271.6 516.8 240.6 497.7 222.6zM475.7 266.4l-.3203 .2871L475.1 267l-208.2 208.1l-.3203 .3203l-.2871 .3203c-5.408 5.664-15.2 5.664-20.61 0l-.2891-.3203l-.3203-.3203L36.9 267L36.58 266.7L36.26 266.4c-5.664-5.377-5.664-15.17 0-20.54l.3848-.3516L36.99 245.1l207.1-209c5.152-5.088 16.13-5.951 23.13 .416l207.8 208.7l.3203 .3516l.3516 .3203C481.4 251.2 481.4 261 475.7 266.4zM256 327.1c-13.25 0-24 10.75-24 24s10.75 24 24 24s24-10.75 24-24S269.2 327.1 256 327.1z"],
    "diamond-turn-right": [512, 512, ["directions"], "f5eb", "M497.1 222.1l-208.1-208.1c-9.354-9.355-21.63-14.03-33.89-14.03S231.5 4.674 222.1 14.03L14.03 222.1C4.677 231.5 .0006 243.7 .0004 255.1C.0001 268.3 4.676 280.5 14.03 289.9l208.1 208.1C231.5 507.3 243.7 511.1 256 511.1s24.52-4.679 33.87-14.03l208.1-208.1c9.353-9.356 14.03-21.61 14.03-33.87C511.1 243.7 507.3 231.5 497.1 222.1zM475.3 267.2l-208.1 208.1C263.2 479.4 258.5 480 256 480s-7.191-.6055-11.24-4.66L36.66 267.3c-6.201-6.203-6.201-16.29-.002-22.49l208.1-208.1C248.8 32.61 253.5 32 256 32s7.191 .6055 11.24 4.66l208.1 208.1C481.5 250.1 481.5 261 475.3 267.2zM315.3 148.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L345.4 224H240C213.5 224 192 245.5 192 272v64C192 344.8 199.2 352 208 352S224 344.8 224 336l-.0002-64C223.1 263.2 231.2 256 240 256h105.4l-52.69 52.69c-6.25 6.25-6.25 16.38 0 22.62C295.8 334.4 299.9 336 304 336s8.188-1.562 11.31-4.688l80-80c6.25-6.25 6.25-16.38 0-22.62L315.3 148.7z"],
    "dice": [640, 512, [127922], "f522", "M224 296c-13.25 0-23.1 10.75-23.1 23.1s10.75 23.1 23.1 23.1s23.1-10.75 23.1-23.1S237.3 296 224 296zM128 200c-13.25 0-23.1 10.75-23.1 23.1s10.75 23.1 23.1 23.1S152 237.3 152 224S141.3 200 128 200zM224 200c-13.25 0-23.1 10.75-23.1 23.1s10.75 23.1 23.1 23.1s23.1-10.75 23.1-23.1S237.3 200 224 200zM479.1 376c13.25 0 23.1-10.75 23.1-23.1s-10.75-23.1-23.1-23.1s-23.1 10.75-23.1 23.1S466.7 376 479.1 376zM224 104c-13.25 0-23.1 10.75-23.1 23.1s10.75 23.1 23.1 23.1s23.1-10.75 23.1-23.1S237.3 104 224 104zM575.1 192l-102.7-.0001c3.59 10.21 5.848 20.92 5.848 31.1h96.87c17.62 0 31.1 14.37 31.1 31.1v191.1c0 17.62-14.37 31.1-31.1 31.1h-191.1c-17.62 0-31.1-14.37-31.1-31.1v-56.74L320 423.2v24.84C320 483.4 348.6 512 383.1 512h191.1c35.37 0 63.1-28.62 63.1-63.1v-191.1C639.1 220.6 611.4 192 575.1 192zM320 200c-13.25 0-23.1 10.75-23.1 23.1S306.8 248 320 248s23.1-10.75 23.1-23.1S333.2 200 320 200zM447.1 224c0-17.15-6.691-33.43-18.84-45.83L270.1 19.08C257.4 6.695 241.1 0 223.1 0S190.6 6.695 178.2 18.85L19.07 177.9C6.695 190.6-.0011 206.8-.0011 223.1c0 17.15 6.696 33.48 18.85 45.87l159.1 159.1c12.63 12.38 28.9 19.07 46.06 19.07s33.43-6.693 45.83-18.85l159.1-159.1C441.3 257.4 447.1 241.2 447.1 224zM406.2 247.3l-158.9 158.9c-6.275 6.148-14.56 9.662-23.34 9.662c-8.785 0-17.07-3.514-23.34-9.662L41.79 247.3C35.64 241.1 32.13 232.8 32.13 224c0-8.785 3.516-17.07 9.664-23.34L200.7 41.79c6.275-6.148 14.56-9.662 23.34-9.662c8.785 0 17.07 3.514 23.34 9.662l158.9 158.9c6.15 6.275 9.664 14.56 9.664 23.34C415.9 232.8 412.4 241.1 406.2 247.3z"],
    "dice-d10": [512, 512, [], "f6cd", "M512 282.6c0-7.59-2.683-15.19-8.118-21.32l-224.1-250.6C273.5 3.5 264.8 0 256 0S238.5 3.5 232.2 10.62L8.151 261.3C2.671 267.4 0 274.1 0 282.5C0 291.4 3.662 300.2 10.8 306.5l224.1 197.5C240.9 509.4 248.5 512 256 512c7.5 0 15.12-2.615 21.12-7.99l224.1-197.5C508.4 300.2 512 291.4 512 282.6zM256 298L180.2 247.4l75.87-177l75.87 177L256 298zM148.8 239.8L47.79 265L221 71.12L148.8 239.8zM363.3 239.8L291 71.12L464.5 265L363.3 239.8zM49.04 297.6L157.3 270.5l82.75 55.25v140.3L49.04 297.6zM272 465.9v-140.1l82.75-55.25l108.1 27.12L272 465.9z"],
    "dice-d12": [512, 512, [], "f6ce", "M505.3 178.5l-47.73-95.39c-6.125-12.37-16.25-22.5-28.62-28.62l-95.39-47.73C324.6 2.25 314.9 0 304.9 0H207.1c-10 0-19.75 2.25-28.62 6.75L83.11 54.48C70.73 60.61 60.61 70.73 54.48 83.11l-47.73 95.39C2.25 187.4 0 197.1 0 207.1v97.77c0 10 2.25 19.75 6.75 28.62l47.73 95.4c6.125 12.37 16.25 22.5 28.62 28.62l95.4 47.73C187.4 509.6 197.1 512 207.1 512h97.75c10 0 19.75-2.25 28.62-6.75l95.4-47.73c12.37-6.125 22.5-16.25 28.62-28.62l47.73-95.38C509.6 324.6 512 314.9 512 304.9V207.1C512 197.1 509.8 187.4 505.3 178.5zM475.8 190.9l-95.63 109.2L272 246.1V140.2l157-42.87L475.8 190.9zM308.8 480h-105.5l-55.37-152L256 273.9L364.1 328L308.8 480zM199.5 32h113l82.75 41.38L256 111.4l-139.2-38L199.5 32zM83 97.38L240 140.2v105.9l-108.1 54L36.25 190.9L83 97.38zM32 312.5V234.6l81.96 93.83l48.42 132.9l-74.5-37.25L32 312.5zM424.1 424.1l-74.5 37.25l48.42-132.9L480 234.6V312.5L424.1 424.1z"],
    "dice-d20": [512, 512, [], "f6cf", "M463.9 116.1l-192-111.9C267 1.438 261.5 0 255.1 0S245 1.438 240.1 4.25l-192 111.9C38.12 121.1 32 132.7 32 144.5v223c0 11.75 6.125 22.48 16.12 28.36l192 111.9C245 510.6 250.5 512 256 512s11-1.438 15.88-4.25l192-111.9C473.9 390 480 379.3 480 367.5V144.5C480 132.7 473.9 121.1 463.9 116.1zM256 57.6l94.75 118.4H161.2L256 57.6zM156.6 207.1h198.8L256 369.5L156.6 207.1zM224.9 380l-137-17.13l44.5-133.3L224.9 380zM379.6 229.6l44.5 133.3l-137 17.13L379.6 229.6zM386.9 169.9l-92.25-115.1l138 80.76L386.9 169.9zM125.1 169.9L79 135.2l138.5-80.76L125.1 169.9zM109.1 197.9L64 333.3l.25-169.1L109.1 197.9zM240 414.1v56.38L117.4 398.8L240 414.1zM395.6 398.6L272 470.9v-56.76L395.6 398.6zM402.9 197.9L448 163.1l-.25 168.8L402.9 197.9zM256.2 480L256.2 480L256.2 480z"],
    "dice-d4": [512, 512, [], "f6d0", "M512 309.1c0-7.05-2.318-14.15-7.127-20.07l-224-277.1C274.5 3.1 265.2 0 256 0C246.8 0 237.5 3.1 231.1 11.88l-224 277.1C2.318 294.9 0 302 0 309.1c0 9.625 4.319 19.15 12.62 25.43l224 170.1C242.4 509.9 249.1 512 256 512c6.875 0 13.62-2.135 19.37-6.51l224-170.1C507.7 328.2 512 318.7 512 309.1zM32.01 309.1L240 51.75v416L32.01 309.1zM271.1 467.9v-416l207.1 257.3L271.1 467.9z"],
    "dice-d6": [448, 512, [], "f6d1", "M431.9 116.1l-192-111.9C235 1.438 229.5 0 224 0S213 1.438 208.1 4.25l-192 111.9C6.125 121.1 0 132.7 0 144.5v223c0 11.75 6.125 22.48 16.12 28.36l192 111.9C213 510.6 218.5 512 224 512s11-1.438 15.88-4.25l192-111.9C441.9 390 448 379.3 448 367.5V144.5C448 132.7 441.9 121.1 431.9 116.1zM224 32.1l175.8 102.9L224 237.5l-176.1-102.8L224 32.1zM32.25 162.6L208 265.1v205.4L32 367.5L32.25 162.6zM240 470.9V265.1L416 162.5l-.25 205.8L240 470.9z"],
    "dice-d8": [512, 512, [], "f6d2", "M512 256c0-8.643-3.305-17.32-9.868-23.88l-222.2-222.3C273.3 3.26 264.6 0 256 0S238.7 3.26 232.1 9.887L9.868 232.1C3.305 238.7 0 247.4 0 256s3.305 17.27 9.868 23.84l222.2 222.3C238.7 508.7 247.2 512 256 512s17.26-3.26 23.89-9.887l222.2-222.3C508.7 273.4 512 264.7 512 256zM239.1 464.9L61.23 285.9l178.8 76.64V464.9zM239.1 327.8L43.72 243.7L239.1 47.26V327.8zM272 464.9v-102.3l178.8-76.64L272 464.9zM272 327.8v-280.6L468.3 243.7L272 327.8z"],
    "dice-five": [448, 512, [9860], "f523", "M384 32H64C28.62 32 0 60.62 0 96v320c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V96C448 60.62 419.4 32 384 32zM416 416c0 17.62-14.38 32-32 32H64c-17.62 0-32-14.38-32-32V96c0-17.62 14.38-32 32-32h320c17.62 0 32 14.38 32 32V416zM128 136C114.8 136 104 146.8 104 160S114.8 184 128 184S152 173.2 152 160S141.2 136 128 136zM224 232C210.8 232 200 242.8 200 256c0 13.25 10.75 24 24 24S248 269.2 248 256C248 242.8 237.2 232 224 232zM128 328c-13.25 0-24 10.75-24 24S114.8 376 128 376S152 365.2 152 352S141.2 328 128 328zM320 136c-13.25 0-24 10.75-24 24S306.8 184 320 184S344 173.2 344 160S333.2 136 320 136zM320 328c-13.25 0-24 10.75-24 24s10.75 24 24 24s24-10.75 24-24S333.2 328 320 328z"],
    "dice-four": [448, 512, [9859], "f524", "M384 32H64C28.62 32 0 60.62 0 96v320c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V96C448 60.62 419.4 32 384 32zM416 416c0 17.62-14.38 32-32 32H64c-17.62 0-32-14.38-32-32V96c0-17.62 14.38-32 32-32h320c17.62 0 32 14.38 32 32V416zM128 136C114.8 136 104 146.8 104 160S114.8 184 128 184S152 173.2 152 160S141.2 136 128 136zM128 328c-13.25 0-24 10.75-24 24S114.8 376 128 376S152 365.2 152 352S141.2 328 128 328zM320 136c-13.25 0-24 10.75-24 24S306.8 184 320 184S344 173.2 344 160S333.2 136 320 136zM320 328c-13.25 0-24 10.75-24 24s10.75 24 24 24s24-10.75 24-24S333.2 328 320 328z"],
    "dice-one": [448, 512, [9856], "f525", "M384 32H64C28.62 32 0 60.62 0 96v320c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V96C448 60.62 419.4 32 384 32zM416 416c0 17.62-14.38 32-32 32H64c-17.62 0-32-14.38-32-32V96c0-17.62 14.38-32 32-32h320c17.62 0 32 14.38 32 32V416zM224 232C210.8 232 200 242.8 200 256c0 13.25 10.75 24 24 24S248 269.2 248 256C248 242.8 237.2 232 224 232z"],
    "dice-six": [448, 512, [9861], "f526", "M384 32H64C28.62 32 0 60.62 0 96v320c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V96C448 60.62 419.4 32 384 32zM416 416c0 17.62-14.38 32-32 32H64c-17.62 0-32-14.38-32-32V96c0-17.62 14.38-32 32-32h320c17.62 0 32 14.38 32 32V416zM128 136C114.8 136 104 146.8 104 160S114.8 184 128 184S152 173.2 152 160S141.2 136 128 136zM128 232C114.8 232 104 242.8 104 256c0 13.25 10.75 24 24 24S152 269.2 152 256C152 242.8 141.2 232 128 232zM320 232c-13.25 0-24 10.75-24 24c0 13.25 10.75 24 24 24S344 269.2 344 256C344 242.8 333.2 232 320 232zM128 328c-13.25 0-24 10.75-24 24S114.8 376 128 376S152 365.2 152 352S141.2 328 128 328zM320 136c-13.25 0-24 10.75-24 24S306.8 184 320 184S344 173.2 344 160S333.2 136 320 136zM320 328c-13.25 0-24 10.75-24 24s10.75 24 24 24s24-10.75 24-24S333.2 328 320 328z"],
    "dice-three": [448, 512, [9858], "f527", "M384 32H64C28.62 32 0 60.62 0 96v320c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V96C448 60.62 419.4 32 384 32zM416 416c0 17.62-14.38 32-32 32H64c-17.62 0-32-14.38-32-32V96c0-17.62 14.38-32 32-32h320c17.62 0 32 14.38 32 32V416zM128 136C114.8 136 104 146.8 104 160S114.8 184 128 184S152 173.2 152 160S141.2 136 128 136zM224 232C210.8 232 200 242.8 200 256c0 13.25 10.75 24 24 24S248 269.2 248 256C248 242.8 237.2 232 224 232zM320 328c-13.25 0-24 10.75-24 24s10.75 24 24 24s24-10.75 24-24S333.2 328 320 328z"],
    "dice-two": [448, 512, [9857], "f528", "M384 32H64C28.62 32 0 60.62 0 96v320c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V96C448 60.62 419.4 32 384 32zM416 416c0 17.62-14.38 32-32 32H64c-17.62 0-32-14.38-32-32V96c0-17.62 14.38-32 32-32h320c17.62 0 32 14.38 32 32V416zM128 136C114.8 136 104 146.8 104 160S114.8 184 128 184S152 173.2 152 160S141.2 136 128 136zM320 328c-13.25 0-24 10.75-24 24s10.75 24 24 24s24-10.75 24-24S333.2 328 320 328z"],
    "diploma": [640, 512, ["scroll-ribbon"], "f5ea", "M539.3 144h-62.42C483.9 132.2 488 118.3 488 104c0-39.7-28.42-72-63.36-72C394.1 32 373.2 41.84 320 128.9C266.8 41.84 245.9 32 215.4 32C180.4 32 152 64.3 152 104c0 14.34 4.072 28.19 11.16 40H96c-53.02 0-96 48.47-96 128S42.98 416 96 416l144-30.86V464c0 5.531 2.875 10.69 7.594 13.62c4.688 2.844 10.59 3.156 15.56 .6875L320 449.9l56.84 28.44C379.1 479.4 381.6 480 384 480c2.938 0 5.844-.8125 8.406-2.375C397.1 474.7 400 469.5 400 464v-78.48L539.3 416C594.9 416 640 351.5 640 272C640 192.5 594.9 144 539.3 144zM240 352.4l-146.8 31.46C63.7 381.2 32 335.1 32 272c0-56.52 26.32-96 64-96h144V352.4zM215.4 144C198.1 144 184 126.1 184 104S198.1 64 215.4 64c14.05 0 27.44 .1953 76.38 80H215.4zM368 438.1l-40.84-20.44c-4.5-2.25-9.812-2.25-14.31 0L272 438.1V176h96V438.1zM348.3 144c48.95-79.8 62.34-80 76.38-80C441.9 64 456 81.95 456 104S441.9 144 424.6 144H348.3zM542.2 383.9L400 352.8V176h139.3C580.4 176 608 214.6 608 272C608 331.1 578.2 381.3 542.2 383.9z"],
    "disc-drive": [512, 512, [], "f8b5", "M256 224C238.4 224 224 238.4 224 256s14.38 32 32 32c17.62 0 32-14.38 32-32S273.6 224 256 224zM496 448H480V96c0-35.35-28.65-64-64-64H96C60.65 32 32 60.65 32 96v352H15.1C7.2 448 0 455.2 0 464S7.2 480 15.1 480h480c8.8 0 16-7.2 16-16S504.8 448 496 448zM448 448H64V96c0-17.62 14.38-32 32-32h320c17.62 0 32 14.38 32 32V448zM256 96C167.6 96 96 167.6 96 256s71.62 160 160 160s160-71.63 160-160S344.4 96 256 96zM256 384c-70.75 0-128-57.25-128-128s57.25-128 128-128s128 57.25 128 128C383.9 326.6 326.6 383.9 256 384z"],
    "disease": [512, 512, [], "f7fa", "M159.1 200c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24s24-10.75 24-24C183.1 210.8 173.2 200 159.1 200zM287.1 296c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24s24-10.75 24-24C311.1 306.8 301.2 296 287.1 296zM463.9 184.1l-62.88-21.25c-13-4.375-22.5-13.63-25.38-24.5l-15-56.26c-6.25-23.38-25.62-41.38-51.63-48.13C280.2 27.31 250.1 34.94 230.6 54.94L187.4 99.19C178.1 108.6 163.9 113.7 149.2 112.4L81.86 107.2c-31.38-2.5-60.5 12.13-74.25 37C-4.012 165.3-2.262 189.8 12.36 209.6L48.49 258.3c6.875 9.127 7.875 20 3 29.88l-26.75 52.88c-10.62 21.25-8.25 45.25 6.5 64.38c17.88 23 49.25 33.63 80.13 27l65.63-14.12c14.5-3.127 29.62-.125 40.63 8l50.88 38c14 10.25 31 15.75 48.38 15.62c12 0 23.75-2.5 34.75-7.5c23.38-10.62 38.5-31 40.25-54.38l4.375-57.38c.875-10.88 8.375-21 20-26.88l58.13-29.5c24.88-12.62 39.23-36.23 37.48-61.61C509.1 216.6 491.6 194.5 463.9 184.1zM459.9 275.8l-58.13 29.5c-21.75 11-35.75 30.75-37.38 53.01l-4.375 57.38c-1.25 16.63-15.5 24.88-21.62 27.63c-16.75 7.625-36.63 5.875-50.75-4.627l-51-38c-13.62-10.13-31-15.63-48.5-15.63c-6 0-12 .625-17.88 2L104.6 401.2c-23 5-40.13-5.125-48-15.38c-4.125-5.375-10.12-16.5-3.125-30.38l26.5-52.88c10.5-20.63 8.25-44.38-5.75-63.38L38.11 190.5c-9.75-13-5.75-24.88-2.5-30.75c7.75-14 25.38-21.88 43.75-20.63l67.38 5.25c24.25 1.875 47.75-6.625 63.5-22.75l43.25-44.25c11.38-11.63 30-16.13 47.5-11.63c14.75 3.875 25.5 13.5 28.75 25.63l15 56.13c5.75 21.25 23 38.75 46.13 46.5l62.75 21.38c15.62 5.25 25.38 16.38 26.38 29.75C480.9 257.5 473.4 268.1 459.9 275.8zM303.1 192c-8.875 0-15.1 7.122-15.1 15.1c0 8.875 7.125 15.1 15.1 15.1s15.1-7.124 15.1-15.1C319.1 199.1 312.9 192 303.1 192z"],
    "display": [576, 512, [], "e163", "M512 0H64C28.65 0 0 28.65 0 64v288c0 35.35 28.65 64 64 64h149.7l-19.2 64H144C135.2 480 128 487.2 128 496S135.2 512 144 512h288c8.836 0 16-7.164 16-16S440.8 480 432 480h-50.49l-19.2-64H512c35.35 0 64-28.65 64-64V64C576 28.65 547.3 0 512 0zM348.1 480H227.9l19.2-64h81.79L348.1 480zM544 352c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V64c0-17.64 14.36-32 32-32h448c17.64 0 32 14.36 32 32V352z"],
    "display-arrow-down": [576, 512, [], "e164", "M208 176c-4.094 0-8.188 1.562-11.31 4.688c-6.25 6.25-6.25 16.38 0 22.62l80 80c6.25 6.25 16.38 6.25 22.62 0l80-80c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0L304 233.4V16C304 7.156 296.8 0 288 0S272 7.156 272 16v217.4L219.3 180.7C216.2 177.6 212.1 176 208 176zM512 0h-144C359.2 0 352 7.162 352 16C352 24.84 359.2 32 368 32H512c17.67 0 32 14.33 32 32v288c0 17.67-14.33 32-32 32H64c-17.67 0-32-14.33-32-32V64c0-17.67 14.33-32 32-32h144C216.8 32 224 24.84 224 16C224 7.162 216.8 0 208 0H64C28.65 0 0 28.65 0 64v288c0 35.35 28.65 64 64 64h149.7l-19.2 64H144C135.2 480 128 487.2 128 496S135.2 512 144 512h288c8.836 0 16-7.164 16-16S440.8 480 432 480h-50.49l-19.2-64H512c35.35 0 64-28.65 64-64V64C576 28.65 547.3 0 512 0zM227.9 480l19.2-64h81.79l19.2 64H227.9z"],
    "display-code": [576, 512, ["desktop-code"], "e165", "M512 0H64C28.65 0 0 28.65 0 64v288c0 35.35 28.65 64 64 64h149.7l-19.2 64H144C135.2 480 128 487.2 128 496S135.2 512 144 512h288c8.836 0 16-7.164 16-16S440.8 480 432 480h-50.49l-19.2-64H512c35.35 0 64-28.65 64-64V64C576 28.65 547.3 0 512 0zM227.9 480l19.2-64h81.79l19.2 64H227.9zM544 352c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V64c0-17.64 14.36-32 32-32h448c17.64 0 32 14.36 32 32V352zM235.3 132.7c-6.25-6.25-16.38-6.25-22.62 0l-64 64c-6.25 6.25-6.25 16.38 0 22.62l64 64C215.8 286.4 219.9 288 224 288s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L182.6 208l52.69-52.69C241.6 149.1 241.6 138.9 235.3 132.7zM363.3 132.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L393.4 208l-52.69 52.69c-6.25 6.25-6.25 16.38 0 22.62C343.8 286.4 347.9 288 352 288s8.188-1.562 11.31-4.688l64-64c6.25-6.25 6.25-16.38 0-22.62L363.3 132.7z"],
    "display-medical": [576, 512, ["desktop-medical"], "e166", "M512 0H64C28.65 0 0 28.65 0 64v288c0 35.35 28.65 64 64 64h149.7l-19.2 64H144C135.2 480 128 487.2 128 496S135.2 512 144 512h288c8.836 0 16-7.164 16-16S440.8 480 432 480h-50.49l-19.2-64H512c35.35 0 64-28.65 64-64V64C576 28.65 547.3 0 512 0zM227.9 480l19.2-64h81.79l19.2 64H227.9zM544 352c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V64c0-17.64 14.36-32 32-32h448c17.64 0 32 14.36 32 32V352zM368 176H320V128c0-8.838-7.164-16-16-16h-32C263.2 112 256 119.2 256 128v48H208C199.2 176 192 183.2 192 191.1V224c0 8.836 7.164 15.1 16 15.1H256v48C256 296.8 263.2 304 272 304h32c8.836 0 16-7.165 16-16v-48h48C376.8 239.1 384 232.8 384 224V191.1C384 183.2 376.8 176 368 176z"],
    "display-slash": [640, 512, ["desktop-slash"], "e2fa", "M544 32c17.64 0 32 14.36 32 32v288c0 1.273-.582 2.357-.7266 3.592l27.49 21.7C606.1 369.5 608 360.1 608 352V64c0-35.35-28.65-64-64-64H124.9l40.53 32H544zM464 480h-50.49l-18.96-63.22L353 384H96c-17.64 0-32-14.36-32-32V155.8L32 130.6V352c0 35.35 28.65 64 64 64h149.7l-19.2 64H176C167.2 480 160 487.2 160 496S167.2 512 176 512h288c8.836 0 16-7.164 16-16S472.8 480 464 480zM259.9 480l19.2-64h81.79l19.2 64H259.9zM633.9 483.4L25.92 3.42c-6.938-5.453-17-4.25-22.48 2.641c-5.469 6.938-4.281 17 2.641 22.48l608 480C617 510.9 620.5 512 623.1 512c4.734 0 9.422-2.094 12.58-6.078C642 498.1 640.8 488.9 633.9 483.4z"],
    "distribute-spacing-horizontal": [448, 512, [], "e365", "M432 0C440.8 0 448 7.164 448 16V496C448 504.8 440.8 512 432 512C423.2 512 416 504.8 416 496V16C416 7.164 423.2 0 432 0zM320 368C320 394.5 298.5 416 272 416H176C149.5 416 128 394.5 128 368V144C128 117.5 149.5 96 176 96H272C298.5 96 320 117.5 320 144V368zM288 368V144C288 135.2 280.8 128 272 128H176C167.2 128 160 135.2 160 144V368C160 376.8 167.2 384 176 384H272C280.8 384 288 376.8 288 368zM32 496C32 504.8 24.84 512 16 512C7.164 512 0 504.8 0 496V16C0 7.164 7.164 0 16 0C24.84 0 32 7.164 32 16V496z"],
    "distribute-spacing-vertical": [512, 512, [], "e366", "M512 464C512 472.8 504.8 480 496 480H16C7.164 480 0 472.8 0 464C0 455.2 7.164 448 16 448H496C504.8 448 512 455.2 512 464zM144 352C117.5 352 96 330.5 96 304V208C96 181.5 117.5 160 144 160H368C394.5 160 416 181.5 416 208V304C416 330.5 394.5 352 368 352H144zM144 320H368C376.8 320 384 312.8 384 304V208C384 199.2 376.8 192 368 192H144C135.2 192 128 199.2 128 208V304C128 312.8 135.2 320 144 320zM16 64C7.164 64 0 56.84 0 48C0 39.16 7.164 32 16 32H496C504.8 32 512 39.16 512 48C512 56.84 504.8 64 496 64H16z"],
    "ditto": [320, 512, [], "22", "M63.99 32C45.53 32 27.06 39.64 14.89 54.93C2.692 70.21-2.372 90.22 1.044 109.9l25.21 145.2C29.55 274.1 45.44 288 63.99 288S98.43 274.1 101.7 255l25.24-145.2c3.389-19.6-1.678-39.61-13.88-54.9C100.9 39.64 82.46 32 63.99 32zM70.2 249.6C69.57 253.2 66.9 256 63.99 256S58.42 253.2 57.78 249.5l-25.21-145.2c-1.844-10.59 .8301-21.33 7.357-29.51C45.42 67.96 54.19 64 63.99 64s18.57 3.957 24.09 10.89C94.59 83.04 97.27 93.79 95.44 104.3L70.2 249.6zM305.1 54.93C292.9 39.64 274.5 32 255.1 32s-36.93 7.643-49.1 22.93c-12.2 15.29-17.27 35.3-13.85 54.93l25.21 145.2C221.6 274.1 237.4 288 255.1 288s34.44-13.89 37.74-32.99l25.24-145.2C322.4 90.22 317.3 70.21 305.1 54.93zM262.2 249.6C261.6 253.2 258.9 256 255.1 256s-5.572-2.766-6.211-6.465l-25.21-145.2c-1.844-10.59 .8301-21.33 7.357-29.51C237.4 67.96 246.2 64 255.1 64s18.57 3.957 24.09 10.89c6.506 8.152 9.188 18.9 7.361 29.46L262.2 249.6z"],
    "divide": [448, 512, [10135, 247], "f529", "M432 240h-416C7.156 240 0 247.2 0 256s7.156 16 16 16h416C440.8 272 448 264.8 448 256S440.8 240 432 240zM224 192c35.35 0 64-28.65 64-64s-28.65-64-64-64S160 92.65 160 128S188.7 192 224 192zM224 96c17.64 0 32 14.36 32 32s-14.36 32-32 32S192 145.6 192 128S206.4 96 224 96zM224 320c-35.35 0-64 28.65-64 64s28.65 64 64 64s64-28.65 64-64S259.3 320 224 320zM224 416c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S241.6 416 224 416z"],
    "dna": [448, 512, [129516], "f471", "M318.8 305.2L297.4 289.6c-7.188-5.219-17.19-3.625-22.34 3.531c-5.203 7.141-3.625 17.16 3.531 22.34l21.42 15.58C308.7 337.4 316.5 344.5 324 352H123.1c7.473-7.488 15.33-14.63 24-20.94l170.8-124.3C379.7 162.6 416 91.23 416 16C416 7.156 408.8 0 400 0S384 7.156 384 16c0 5.375-.5352 10.68-.959 16H64.96C64.54 26.68 64 21.38 64 16C64 7.156 56.84 0 48 0S32 7.156 32 16c0 75.23 36.33 146.6 97.17 190.8L196.8 256L129.2 305.2C68.33 349.4 32 420.8 32 496c0 8.844 7.277 15.1 16.12 15.1S64 504.8 64 496c0-5.375 .5352-10.68 .959-16h318.1C383.5 485.3 384 490.6 384 496c0 8.844 7.156 16 16 16s16-7.156 16-16C416 420.8 379.7 349.4 318.8 305.2zM378.2 64c-5.553 22.81-15.05 44.45-27.88 64H97.66C84.83 108.5 75.33 86.81 69.78 64H378.2zM147.1 180.9C139.3 174.6 131.5 167.5 123.1 160h200c-7.473 7.488-15.33 14.63-24 20.94L224 236.2L147.1 180.9zM69.78 448c5.553-22.81 15.05-44.45 27.88-64h252.7c12.83 19.55 22.33 41.19 27.88 64H69.78z"],
    "do-not-enter": [512, 512, [], "f5ec", "M80 240C80 217.9 97.91 200 120 200H392C414.1 200 432 217.9 432 240V272C432 294.1 414.1 312 392 312H120C97.91 312 80 294.1 80 272V240zM112 272C112 276.4 115.6 280 120 280H392C396.4 280 400 276.4 400 272V240C400 235.6 396.4 232 392 232H120C115.6 232 112 235.6 112 240V272zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "dog": [576, 512, [128021], "f6d3", "M416 112C416 103.2 423.2 96 432 96C440.8 96 448 103.2 448 112C448 120.8 440.8 128 432 128C423.2 128 416 120.8 416 112zM45.62 159.3C54.52 169.7 67.65 176 81.97 176H306.7L331.9 24.81C334.2 10.49 346.6 0 361.2 0C370.5 0 379.3 4.4 384.9 11.88L400 32H444.1C456.8 32 469.1 37.06 478.1 46.06L496 64H528C554.5 64 576 85.49 576 112V128C576 181 533 224 480 224H437.3L432 255.1V456C432 486.9 406.9 512 376 512H360C329.1 512 304 486.9 304 456V375.3C293.7 378.6 283 381 272 382.4C264.1 383.5 256.1 384 248 384C239.9 384 231.9 383.5 224 382.4C212.1 381 202.3 378.6 192 375.3V456C192 486.9 166.9 512 136 512H120C89.07 512 64 486.9 64 456V208C64 207.3 64.02 206.6 64.06 205.1C63.35 205.8 62.64 205.6 61.94 205.5C34.07 198.3 11.59 176.3 4.359 147.4L.4781 131.9C-1.665 123.3 3.547 114.6 12.12 112.5C20.69 110.3 29.38 115.5 31.52 124.1L35.4 139.6C35.75 141 36.16 142.4 36.62 143.7C38.64 149.6 41.72 154.8 45.62 159.3H45.62zM336 331.5V456C336 469.3 346.7 480 360 480H376C389.3 480 400 469.3 400 456V261.9L307.7 208H96V456C96 469.3 106.7 480 120 480H136C149.3 480 160 469.3 160 456V331.5L201.7 344.8C216.3 349.5 231.8 352 248 352C264.2 352 279.7 349.5 294.3 344.8L336 331.5zM410.2 192H480C515.3 192 544 163.3 544 128V112C544 103.2 536.8 96 528 96H482.7L455.4 68.69C452.4 65.69 448.4 64 444.1 64H384L362.5 35.39L337.1 188.1L404.3 227.3L410.2 192z"],
    "dog-leashed": [576, 512, [129454], "f6d4", "M416 112C416 103.2 423.2 96 432 96C440.8 96 448 103.2 448 112C448 120.8 440.8 128 432 128C423.2 128 416 120.8 416 112zM67.42 6.116C72.88-.8328 82.94-2.04 89.89 3.42L306.1 174L331.9 24.81C334.2 10.49 346.6 .0008 361.2 .0008C370.5 .0008 379.3 4.401 384.9 11.88L400 32H444.1C456.8 32 469.1 37.06 478.1 46.06L496 64H528C554.5 64 576 85.49 576 112V128C576 181 533 224 480 224H437.3L432 256V456C432 486.9 406.9 512 376 512H360C329.1 512 304 486.9 304 456V375.3C293.7 378.6 283 381 272 382.5C264.1 383.5 256.1 384 248 384C239.9 384 231.9 383.5 224 382.5C212.1 381 202.3 378.6 192 375.3V456C192 486.9 166.9 512 136 512H120C89.07 512 64 486.9 64 456V208C64 207.3 64.02 206.6 64.06 205.1C63.35 205.8 62.64 205.6 61.94 205.5C34.07 198.3 11.59 176.3 4.359 147.4L.4781 131.9C-1.665 123.3 3.547 114.6 12.12 112.5C20.69 110.3 29.38 115.5 31.52 124.1L35.4 139.6C35.75 141 36.16 142.4 36.62 143.7C38.64 149.6 41.72 154.8 45.62 159.3C54.52 169.7 67.65 176 81.97 176H257.7L70.11 28.58C63.17 23.12 61.96 13.06 67.42 6.116V6.116zM336 331.5V456C336 469.3 346.7 480 360 480H376C389.3 480 400 469.3 400 456V261.9L307.7 208H288V346.7C290.1 346.1 292.2 345.5 294.3 344.8L336 331.5zM256 208H96V456C96 469.3 106.7 480 120 480H136C149.3 480 160 469.3 160 456V331.5L201.7 344.8C216.3 349.5 231.8 352 247.1 352C250.7 352 253.4 351.9 256 351.8V208zM410.2 192H480C515.3 192 544 163.3 544 128V112C544 103.2 536.8 96 528 96H482.7L455.4 68.69C452.4 65.69 448.4 64 444.1 64H384L362.5 35.39L337.1 188.1L404.3 227.3L410.2 192z"],
    "dollar-sign": [320, 512, [128178, 61781, "dollar", "usd"], "24", "M176 64.78C207.7 67.45 237.9 73.82 259.8 79.15C268.4 81.24 273.6 89.89 271.5 98.48C269.5 107.1 260.8 112.3 252.2 110.2C219.2 102.2 170.2 92.71 127.9 96.25C106.8 98.02 88.75 102.9 75.32 111.7C62.43 120.2 53.01 132.6 49.36 151.9C46.56 166.7 48.33 177.5 52.35 185.7C56.46 194.2 63.66 201.6 74.26 208.4C96.21 222.4 128.3 230.9 164.1 240.3L165.7 240.7C199.4 249.5 236.3 259.2 262.9 276.2C276.9 285.1 288.1 296.5 296.4 311.8C303.1 327.3 305.9 345.2 302.1 365.5C295.6 399.8 271.4 422.9 239.4 435.4C220.8 442.7 199.2 446.6 176 447.4V496C176 504.8 168.8 512 160 512C151.2 512 144 504.8 144 496V446.5C137.8 445.1 131.5 445.3 125.1 444.3L125 444.3C98.79 440.4 59.31 431.4 25.67 416.9C17.55 413.4 13.81 403.1 17.31 395.9C20.81 387.8 30.22 384 38.33 387.5C68.67 400.6 105.3 409 129.7 412.7C168.6 418.2 202.8 415.4 227.7 405.6C252.2 396 266.7 380.3 270.6 359.6C273.4 344.8 271.7 334.1 267.6 325.8C263.5 317.4 256.3 309.9 245.7 303.2C223.8 289.2 191.7 280.6 155.9 271.2L154.3 270.8C120.6 262 83.71 252.3 57.06 235.4C43.14 226.5 31.01 215 23.57 199.7C16.05 184.2 14.07 166.3 17.91 146C23.2 118 37.72 98.08 57.81 84.94C77.36 72.16 101.3 66.38 125.2 64.37C131.4 63.85 137.7 63.58 144 63.51V16C144 7.164 151.2 0 160 0C168.8 0 176 7.164 176 16V64.78z"],
    "dolly": [576, 512, ["dolly-box"], "f472", "M575 330.5c-3.078-8.312-12.25-12.52-20.55-9.484l-223.9 82.5C319 373.4 290.1 352 256 352c-5.018 0-9.889 .5918-14.65 1.477L141.8 54.7C130.9 21.98 100.4 0 65.88 0H15.1C7.155 0 0 7.157 0 16S7.156 32 16 32h49.88c20.69 0 38.98 13.19 45.55 32.83l100.2 300.6C190.2 379.8 176 404.2 176 432C176 476.2 211.8 512 256 512c42.91 0 77.64-33.87 79.63-76.29l229.9-84.7C573.8 347.1 578.1 338.8 575 330.5zM256 480c-26.47 0-48-21.53-48-48s21.54-47.1 48-47.1S304 405.5 304 432S282.5 480 256 480zM286.7 302.7c6.545 19.64 24.84 32.83 45.53 32.83c5.154 0 10.26-.832 15.18-2.471l131.3-43.76c12.16-4.055 22.02-12.6 27.75-24.07c5.734-11.47 6.658-24.48 2.605-36.64l-43.76-131.3c-6.545-19.64-24.84-32.83-45.53-32.83c-5.154 0-10.26 .832-15.18 2.471L273.3 110.7c-12.16 4.055-22.02 12.6-27.75 24.07C239.8 146.2 238.9 159.3 242.9 171.4L286.7 302.7zM274.2 149.1c1.939-3.879 5.139-6.654 9.252-8.025l131.3-43.76c1.654-.5508 3.359-.8301 5.068-.8301c6.895 0 12.99 4.4 15.18 10.95l43.76 131.3c1.371 4.115 1.072 8.34-.8672 12.22c-1.939 3.879-5.139 6.654-9.252 8.025l-131.3 43.76c-1.656 .5527-3.361 .832-5.07 .832c-6.895 0-12.99-4.4-15.18-10.95L273.3 161.3C271.9 157.2 272.2 152.1 274.2 149.1z"],
    "dolly-empty": [576, 512, [], "f473", "M575 330.5c-3.078-8.312-12.25-12.52-20.55-9.484l-223.9 82.5C319 373.4 290.1 352 256 352c-5.018 0-9.889 .5918-14.65 1.477L141.8 54.7C130.9 21.98 100.4 0 65.88 0H15.1C7.155 0 0 7.157 0 16S7.156 32 16 32h49.88c20.69 0 38.98 13.19 45.55 32.83l100.2 300.6C190.2 379.8 176 404.2 176 432C176 476.2 211.8 512 256 512c42.91 0 77.64-33.87 79.63-76.29l229.9-84.7C573.8 347.1 578.1 338.8 575 330.5zM256 480c-26.47 0-48-21.53-48-48s21.53-47.1 47.1-47.1S304 405.5 304 432S282.5 480 256 480z"],
    "dolphin": [512, 512, [], "e168", "M436.9 136.9l-9.347-7.969c9.409-21.31 24.88-46.75 46.14-75.87c8.659-11.97 8.347-27.28-.719-38.97c-8.409-10.84-21.38-15.81-35.51-13.62c-41.95 6.594-82.28 19.12-120 37.31c-35.86-25.09-63.78-37.82-107.5-37.82L201.6 .0062c-82.1 0-153.4 55.94-167.3 132.1C29.9 157.1 31.4 181.5 38.75 205.5L21.21 217.2C3.673 228.9-4.048 250.3 2.079 270.4c6.158 20.41 24.13 33.59 45.77 33.59H399.1c8.847 0 16.01-7.156 16.01-15.1c0-8.844-7.159-15.1-16.01-15.1H47.84c-11 0-14.38-8.312-15.13-10.84C31.09 255.8 31.9 248.5 38.97 243.8l38.54-25.66L72.82 206.2C64.1 183.8 61.72 161.1 65.79 138.7c11.03-60.81 69.43-106.7 135.8-106.7h8.315c38.58 0 60.99 11.53 96.72 37.37l7.94 5.75l8.722-4.469c37.2-18.1 77.31-31.97 119.1-38.53c3.783-.5937 4.72 .875 5.408 2.156c-26.45 36.25-44.77 67.78-54.39 93.75L389.6 138.5l26.79 22.94c22.26 18.72 63.65 53.53 63.65 126.6c0 70.59-57.43 127.1-128 127.1H296.6l-31.17-48.06c-7.44-9.969-19.69-15.94-32.79-15.94H171.9c-10.91 0-20.6 5.812-25.29 15.19c-4.376 8.75-3.407 19.09 2.501 26.94l28.38 37.87l-28.35 37.81c-5.908 7.906-6.877 18.25-2.47 26.1C151.3 506.2 161.1 512 172 512H232.7c13.1 0 25.29-5.969 33.35-16.81l30.56-47.19h55.31C440.2 448 512 376.2 512 288C512 200 461.3 157.4 436.9 136.9zM239.8 476.9c-1.407 1.844-4.22 3.062-7.159 3.062H181.5l35.98-47.1l-35.98-47.1l51.19-.0008c2.938 0 5.707 1.22 6.489 2.188l29.67 45.81L239.8 476.9zM127.9 152c0 13.26 10.75 24 24.01 24c13.26 0 24.01-10.75 24.01-24c0-13.26-10.75-23.1-24.01-23.1C138.6 128 127.9 138.7 127.9 152z"],
    "dong-sign": [384, 512, [], "e169", "M320 48V64H336C344.8 64 352 71.16 352 80C352 88.84 344.8 96 336 96H320V400C320 408.8 312.8 416 304 416C295.2 416 288 408.8 288 400V372.7C264.5 399.2 230.2 416 192 416C121.3 416 64 358.7 64 288C64 217.3 121.3 160 192 160C230.2 160 264.5 176.8 288 203.3V96H208C199.2 96 192 88.84 192 80C192 71.16 199.2 64 208 64H288V48C288 39.16 295.2 32 304 32C312.8 32 320 39.16 320 48V48zM288 288C288 234.1 245 192 192 192C138.1 192 96 234.1 96 288C96 341 138.1 384 192 384C245 384 288 341 288 288zM368 448C376.8 448 384 455.2 384 464C384 472.8 376.8 480 368 480H16C7.164 480 0 472.8 0 464C0 455.2 7.164 448 16 448H368z"],
    "donut": [512, 512, [127849, "doughnut"], "e406", "M512 208V304C512 392.4 397.4 464 256 464C114.6 464 0 392.4 0 304V208C0 119.6 114.6 48 256 48C397.4 48 512 119.6 512 208zM479.9 281.6C478.3 282.4 477.2 283.4 475.5 284.1C462.2 289.2 450.1 298.6 443.5 310.8C433.7 323.4 420.9 333.4 406.3 339.9C391.6 346.3 375.6 348.1 359.6 347.6C341.8 347.4 324.2 350.9 307.8 357.8C274.5 371.4 237.3 371.4 204.1 357.8C187.7 350.9 170 347.4 152.2 347.6C136.3 348.1 120.2 346.3 105.6 339.9C90.93 333.4 78.13 323.4 68.35 310.8C60.9 298.6 49.66 289.2 36.35 284.1C34.72 283.4 33.54 282.4 32 281.6V304C32 373.4 134.6 432 256 432C377.4 432 480 373.4 480 304L479.9 281.6zM480 207.8C480 148.6 404.8 97.25 306.1 83.65L283.3 107.3C280.3 110.3 276.2 112 272 112C267.8 112 263.7 110.3 260.7 107.3C257.7 104.3 255.1 100.2 255.1 96C255.1 91.75 257.7 87.68 260.7 84.67L265.1 80.29C262 80.19 259.2 80 256 80C134.6 80 32 138.6 32 208C32 208 32 235.6 32 240.1C32 242.3 36 248.1 49.38 254.7C69.27 262.6 85.94 276.1 96.74 295.5C103.9 302.8 112.7 308.3 122.3 311.8C131.9 315.2 142.2 316.5 152.4 315.5C174.6 315.3 196.7 319.6 217.2 328.3C242.2 338.3 270.1 338.3 295.1 328.3C315.6 319.6 337.6 315.3 359.8 315.5C370 316.5 380.3 315.2 389.9 311.8C399.6 308.3 408.3 302.8 415.5 295.5C415.8 294.9 416.4 294.4 416.7 293.8C415.3 293.1 413.1 292.2 412.8 291.2L380.8 259.2C378.5 256.1 377.4 252.3 377.6 248.5C377.9 244.6 379.6 241 382.3 238.3C385 235.6 388.6 233.9 392.5 233.6C396.3 233.4 400.1 234.5 403.2 236.8L435.2 268.8C435.7 269.4 436.2 270.1 436.7 270.8C444.6 264.3 453.4 258.9 462.8 254.8C476 248.1 480 242.3 480 240.1C480 235.6 480 207.8 480 207.8zM427.3 164.7C428.8 166.2 429.1 167.9 430.8 169.9C431.6 171.8 432 173.9 432 176C432 178.1 431.6 180.2 430.8 182.1C429.1 184.1 428.8 185.8 427.3 187.3C425.8 188.8 424.1 189.1 422.1 190.8C420.2 191.6 418.1 192 416 192C413.9 192 411.8 191.6 409.9 190.8C407.9 189.1 406.2 188.8 404.7 187.3L372.7 155.3C369.7 152.3 367.1 148.2 367.1 144C367.1 139.8 369.7 135.7 372.7 132.7C375.7 129.7 379.8 127.1 384 127.1C388.2 127.1 392.3 129.7 395.3 132.7L427.3 164.7zM187.3 276.7C190.3 279.7 192 283.8 192 288C192 292.2 190.3 296.3 187.3 299.3C184.3 302.3 180.2 304 176 304C171.8 304 167.7 302.3 164.7 299.3L132.7 267.3C129.7 264.3 127.1 260.2 127.1 256C127.1 251.8 129.7 247.7 132.7 244.7C135.7 241.7 139.8 239.1 144 239.1C148.2 239.1 152.3 241.7 155.3 244.7L187.3 276.7zM320 255.1C324.2 255.1 328.3 257.7 331.3 260.7C334.3 263.7 336 267.8 336 272C336 276.2 334.3 280.3 331.3 283.3L299.3 315.3C296.3 318.3 292.2 320 288 320C283.8 320 279.7 318.3 276.7 315.3C273.7 312.3 271.1 308.2 271.1 304C271.1 299.8 273.7 295.7 276.7 292.7L308.7 260.7C311.7 257.7 315.8 255.1 320 255.1zM107.3 196.7C110.3 199.7 112 203.8 112 208C112 212.2 110.3 216.3 107.3 219.3C104.3 222.3 100.2 224 96 224H64C59.76 224 55.69 222.3 52.69 219.3C49.69 216.3 48 212.2 48 208C48 203.8 49.69 199.7 52.69 196.7C55.69 193.7 59.76 192 64 192H96C100.2 192 104.3 193.7 107.3 196.7zM128 176C123.8 176 119.7 174.3 116.7 171.3C113.7 168.3 111.1 164.2 111.1 160C111.1 155.8 113.7 151.7 116.7 148.7L148.7 116.7C151.7 113.7 155.8 111.1 160 111.1C164.2 111.1 168.3 113.7 171.3 116.7C174.3 119.7 176 123.8 176 128C176 132.2 174.3 136.3 171.3 139.3L139.3 171.3C136.3 174.3 132.2 176 128 176zM336 192C336 219.4 301.6 240 256 240C210.4 240 176 219.4 176 192C176 164.6 210.4 144 256 144C301.6 144 336 164.6 336 192zM304 192C304 182.9 283.4 176 256 176C228.6 176 208 182.9 208 192C208 201.1 228.6 208 256 208C283.4 208 304 201.1 304 192z"],
    "door-closed": [576, 512, [128682], "f52a", "M560 480H480V80C480 35.88 444.1 0 400 0h-224C131.9 0 96 35.88 96 80V480H16C7.164 480 0 487.2 0 496C0 504.8 7.164 512 16 512h544c8.836 0 16-7.164 16-16C576 487.2 568.8 480 560 480zM448 480H128V80C128 53.53 149.5 32 176 32h224C426.5 32 448 53.53 448 80V480zM384 232c-13.25 0-24 10.75-24 24S370.7 280 384 280S408 269.3 408 256S397.3 232 384 232z"],
    "door-open": [576, 512, [], "f52b", "M232 224c-13.25 0-24 14.33-24 31.1S218.7 288 232 288S256 273.7 256 256S245.3 224 232 224zM260.4 1.443l-160 40C78.1 46.79 64 65.1 64 88.03V480H16C7.164 480 0 487.2 0 496C0 504.8 7.164 512 16 512H288c17.67 0 32-14.33 32-32V49.15c0-10.14-2.611-20.34-8.523-28.59C299.4 3.707 279.3-3.279 260.4 1.443zM288 480H96V88.04c0-7.373 5-13.75 12.12-15.53l160-40C272.9 31.22 277.9 32.38 281.8 35.41C285.8 38.47 288 43.07 288 48.04V480zM560 480H512V144c0-44.18-35.82-79.1-79.1-79.1H368c-8.836 0-16 7.162-16 15.1s7.164 16 16 16h64c26.51 0 48 21.49 48 48V480c0 17.67 14.33 32 32 32h48c8.836 0 16-7.164 16-15.1C576 487.2 568.8 480 560 480z"],
    "dove": [512, 512, [128330], "f4ba", "M248 159.3c-4.97 0-9.862-2.313-12.99-6.626C220.6 132.6 208.5 111.2 199.2 88.71c-3.001 6.907-5.798 13.94-7.986 20.41C188.3 117.5 179.2 121.9 170.9 119.1C162.5 116.3 158 107.2 160.8 98.81c7.377-21.69 19.65-46.75 27.44-59.29C191.7 34.14 197.1 31.39 204.1 32.11c6.283 .9063 11.44 5.407 13.16 11.53c9.08 32.35 23.79 62.72 43.7 90.32c5.173 7.188 3.563 17.19-3.61 22.35C254.6 158.4 251.3 159.3 248 159.3zM359.1 159.1c0 13.13 10.88 24 24.01 24s24.01-10.88 24.01-24c0-13.31-10.88-24-24.01-24S359.1 146.7 359.1 159.1zM512 63.97l-32 95.95l.002 128.2c0 88.37-71.62 159.9-160 159.9l-53.17 .1683l-63.89 54.75C200.4 505.2 191.2 512.6 177.7 511.1c-105.5-4.358-154.6-55.85-174.6-86.64c-7.013-10.78-1.653-25.19 10.83-28.31l128.6-32.18C41.64 283.2 31.32 195.1 31.94 153.1C32.45 112.1 41.76 75.1 57.76 41.09c5.826-12.38 23.7-11.86 29.21 .6633c57.44 130.6 185.3 155.4 200.1 158.2v-40.39c0-52.79 42.8-95.59 95.6-95.59c.1426 0 .2924 .0163 .435 .0163L512 63.97zM467.6 95.93h-83.64l-.3653 .0371c-35.09 .2031-63.65 28.84-63.65 64.09v78.13C299.1 235.8 156.3 226.2 74.15 87.05C67.65 108.6 64.15 130.7 63.9 153.4c-1.625 122.9 100.9 188.3 148.5 227l-170.8 42.75c21.51 24.5 62.76 53.75 137.4 56.88c.7502 0 76.02-63.88 76.02-63.88h64.89c70.64 0 128-57.51 128-128V154.7L467.6 95.93z"],
    "down": [384, 512, ["arrow-alt-down"], "f354", "M112 64v176H32c-17.69 0-32 14.36-32 31.1C0 280.3 3.252 288.5 9.375 294.6l160 176C175.6 476.9 183.8 480 192 480s16.38-3.125 22.62-9.375l160-176C380.7 288.5 384 280.3 384 271.1C384 254.4 369.7 240 352 240h-80V64c0-17.67-14.33-32-32-32h-96C126.3 32 112 46.33 112 64zM240 64v208l110.9 1.1L192 447.9L32 272H144V64H240z"],
    "down-from-dotted-line": [448, 512, [], "e407", "M364.1 334.6L253.9 458.6C237.1 476.5 210 476.5 194.1 458.6L83.92 334.6C60.99 308.8 79.3 268 113.8 268H160V164C160 141.1 177.9 124 200 124H248C270.1 124 288 141.1 288 164V268H334.2C368.7 268 387 308.8 364.1 334.6V334.6zM113.8 300C106.9 300 103.2 308.2 107.8 313.4L218 437.3C221.2 440.9 226.8 440.9 229.1 437.3L340.2 313.4C344.8 308.2 341.1 300 334.2 300H256V164C256 159.6 252.4 156 248 156H200C195.6 156 192 159.6 192 164V300H113.8zM56 60.04C56 73.29 45.25 84.04 32 84.04C18.75 84.04 8 73.29 8 60.04C8 46.78 18.75 36.04 32 36.04C45.25 36.04 56 46.78 56 60.04zM392 60.04C392 46.79 402.7 36.04 416 36.04C429.3 36.04 440 46.79 440 60.04C440 73.3 429.3 84.04 416 84.04C402.7 84.04 392 73.3 392 60.04zM344 60.04C344 73.3 333.3 84.04 320 84.04C306.7 84.04 296 73.3 296 60.04C296 46.79 306.7 36.04 320 36.04C333.3 36.04 344 46.79 344 60.04zM200 60.04C200 46.79 210.7 36.04 224 36.04C237.3 36.04 248 46.79 248 60.04C248 73.3 237.3 84.04 224 84.04C210.7 84.04 200 73.3 200 60.04zM152 60.04C152 73.3 141.3 84.04 128 84.04C114.7 84.04 104 73.3 104 60.04C104 46.79 114.7 36.04 128 36.04C141.3 36.04 152 46.79 152 60.04z"],
    "down-from-line": [384, 512, ["arrow-alt-from-top"], "f349", "M314.4 272H256V156.8C256 132.1 235.9 112 211.2 112H172.8C148.1 112 128 132.1 128 156.8V272H69.59c-15 0-28.53 8.906-34.53 22.75c-5.938 13.8-3.125 29.78 7.062 40.55l122.5 133.2C171.5 475.8 181.5 480 192 480s20.47-4.188 27.5-11.66l122.2-132.9c10.34-10.92 13.16-26.91 7.219-40.77C342.9 280.9 329.4 272 314.4 272zM318.3 313.6l-122.2 132.9c-1.75 1.812-6.594 1.656-8.031 .1562L65.53 313.5C64 311.8 63.56 309.5 64.44 307.4C65.34 305.3 67.38 304 69.59 304H160V156.8C160 149.8 165.8 144 172.8 144h38.38C218.3 144 224 149.8 224 156.8V304h90.41c2.219 0 4.25 1.344 5.156 3.375C320.4 309.5 320 311.8 318.3 313.6zM368 32h-352C7.156 32 0 39.16 0 48S7.156 64 16 64h352C376.8 64 384 56.84 384 48S376.8 32 368 32z"],
    "down-left": [384, 512, [], "e16a", "M358.6 157.3l-67.88-67.88C284.5 83.13 276.3 80 268.1 80s-16.38 3.125-22.63 9.375L119.1 215.7L57.21 153.8C50.8 147.4 42.22 144 33.5 144c-4.316 0-8.668 .8359-12.81 2.551C8.158 151.7 0 163.9 0 177.5v236.1c0 9.254 3.75 17.63 9.812 23.7C15.88 444.3 24.25 448 33.51 448h236.1c13.56 0 25.77-8.156 30.96-20.69c5.184-12.52 2.314-26.94-7.268-36.52l-61.92-61.92l126.4-126.4C371.1 190 371.1 169.8 358.6 157.3zM335.1 179.9l-148.1 148.1l84.54 84.55c.4297 .4297 .5605 1.09 .3281 1.648C271.7 415.6 271.1 416 270.5 416H33.51L32 414.5V177.5C32 176.9 32.36 176.4 32.94 176.1l1.645 .332l84.54 84.54l148.1-148.1L335.1 179.9z"],
    "down-left-and-up-right-to-center": [512, 512, ["compress-alt"], "f422", "M304 240h111.1c13 0 24.59-7.766 29.56-19.77s2.25-25.69-6.938-34.86l-44.67-44.67l97.39-97.39c6.248-6.25 6.248-16.38 0-22.62c-6.248-6.25-16.38-6.25-22.62 0l-97.38 97.38L326.6 73.39c-6.156-6.125-14.28-9.375-22.59-9.375c-4.125 0-8.312 .8125-12.28 2.453C279.8 71.45 272 83.05 272 96.03V208C272 225.7 286.3 240 304 240zM304 96.03l112 111.1c0 0 .0938 0 0 0L304 208V96.03zM208 272H96.03c-13 0-24.59 7.766-29.56 19.77s-2.25 25.69 6.938 34.86l44.67 44.67l-97.39 97.39c-6.248 6.25-6.248 16.38 0 22.62c6.248 6.25 16.38 6.25 22.62 0l97.38-97.38l44.68 44.68c6.156 6.125 14.28 9.375 22.59 9.375c4.125 0 8.312-.8125 12.28-2.453C232.3 440.5 240 428.1 240 415.1V304C240 286.3 225.7 272 208 272zM208 415.1L95.95 304c0 0-.0938 0 0 0L208 304V415.1z"],
    "down-long": [320, 512, ["long-arrow-alt-down"], "f309", "M136 0h47.1c22.06 0 39.1 17.97 39.1 40.03l.0012 280.3l39.1 .1514c15.91 0 30.31 9.438 36.65 24c6.375 14.62 3.5 31.56-7.343 43.22l-103.1 112.1c-7.533 8.158-18.42 12.24-29.31 12.23c-10.89-.002-21.78-4.08-29.34-12.23l-103.1-112.1c-10.84-11.66-13.72-28.59-7.343-43.22c6.343-14.56 20.75-24 36.65-24l39.1-.1514l.0008-280.3C96 17.97 113.9 0 136 0zM160 480.6c1.312 0 3.781-.3438 5.844-2.562l104-112.1c4.7-5.109 1.142-13.47-5.875-13.47h-71.1l-.0002-312.5C191.1 35.59 188.4 32 183.1 32H136C131.6 32 128 35.59 128 40.03l.0002 312.5H56c-7.022 0-10.57 8.363-5.875 13.47l103.1 112.1C156.2 480.2 158.7 480.6 160 480.6z"],
    "down-right": [384, 512, [], "e16b", "M25.37 202.5l126.4 126.4l-61.92 61.92c-9.582 9.578-12.45 24-7.268 36.52C87.74 439.8 99.95 448 113.5 448h236.1c9.258 0 17.63-3.75 23.7-9.812c6.062-6.066 9.812-14.44 9.812-23.7V177.5c0-13.57-8.158-25.77-20.69-30.96C359.2 144.8 354.8 144 350.5 144c-8.723 0-17.3 3.406-23.71 9.816l-61.92 61.92L138.5 89.38C132.3 83.13 124.1 80 115.9 80S99.5 83.13 93.25 89.38L25.37 157.3C12.88 169.8 12.87 190 25.37 202.5zM115.9 112l148.1 148.1l84.54-84.54l1.645-.332c.5781 .2422 .9375 .7773 .9375 1.402v236.1L350.5 416H113.5c-.625 0-1.164-.3594-1.398-.9297c-.2324-.5586-.1016-1.219 .3281-1.648l84.54-84.55L48 179.9L115.9 112z"],
    "down-to-bracket": [448, 512, [], "e4e7", "M201.4 374.6L73.38 246.6C64.22 237.5 61.47 223.7 66.44 211.8C71.38 199.8 83.06 192 96 192H160V48C160 21.49 181.5 0 208 0H240C266.5 0 288 21.49 288 48V192H352C364.9 192 376.6 199.8 381.6 211.8C386.5 223.7 383.8 237.5 374.6 246.6L246.6 374.6C240.4 380.9 232.2 384 224 384C215.8 384 207.6 380.9 201.4 374.6V374.6zM224 351.1L352 223.1L256 224V48C256 39.18 248.8 32 240 32H208C199.2 32 192 39.18 192 48V224H96L224 351.1zM368 512H80C35.87 512 0 476.1 0 432V336C0 327.2 7.156 320 16 320C24.84 320 32 327.2 32 336V432C32 458.5 53.53 480 80 480H368C394.5 480 416 458.5 416 432V336C416 327.2 423.2 320 432 320C440.8 320 448 327.2 448 336V432C448 476.1 412.1 512 368 512z"],
    "down-to-dotted-line": [448, 512, [], "e408", "M364.1 246.6L253.9 370.6C237.1 388.5 210 388.5 194.1 370.6L83.92 246.6C60.99 220.8 79.3 180 113.8 180H160V76.04C160 53.95 177.9 36.04 200 36.04H248C270.1 36.04 288 53.95 288 76.04V180H334.2C368.7 180 387 220.8 364.1 246.6zM113.8 212C106.9 212 103.3 220.2 107.8 225.4L218 349.3C221.2 352.9 226.8 352.9 229.1 349.3L340.2 225.4C344.8 220.2 341.1 212 334.2 212H256V76.04C256 71.62 252.4 68.04 248 68.04H200C195.6 68.04 192 71.62 192 76.04V212H113.8zM392 448C392 434.8 402.7 424 416 424C429.3 424 440 434.8 440 448C440 461.3 429.3 472 416 472C402.7 472 392 461.3 392 448zM56 448C56 461.3 45.25 472 32 472C18.75 472 8 461.3 8 448C8 434.7 18.75 424 32 424C45.25 424 56 434.7 56 448zM104 448C104 434.7 114.7 424 128 424C141.3 424 152 434.7 152 448C152 461.3 141.3 472 128 472C114.7 472 104 461.3 104 448zM248 448C248 461.3 237.3 472 224 472C210.7 472 200 461.3 200 448C200 434.7 210.7 424 224 424C237.3 424 248 434.7 248 448zM296 448C296 434.7 306.7 424 320 424C333.3 424 344 434.7 344 448C344 461.3 333.3 472 320 472C306.7 472 296 461.3 296 448z"],
    "down-to-line": [384, 512, ["arrow-alt-to-bottom"], "f34a", "M164.7 388.5C171.5 395.8 181.5 400 192 400s20.47-4.188 27.5-11.66l122.2-132.9c10.34-10.92 13.16-26.91 7.219-40.77C342.9 200.9 329.4 192 314.4 192L256 192.1V76.83C256 52.11 235.9 32 211.2 32H172.8C148.1 32 128 52.11 128 76.83v115.3L69.59 192c-15 0-28.53 8.906-34.53 22.75C29.13 228.5 31.94 244.5 42.13 255.3L164.7 388.5zM64.44 227.4C65.34 225.3 67.38 224 69.59 224H160V76.83C160 69.75 165.8 64 172.8 64h38.38C218.3 64 224 69.75 224 76.83V224h90.41c2.219 0 4.25 1.344 5.156 3.375C320.4 229.5 320 231.8 318.3 233.6l-122.2 132.9c-1.75 1.812-6.594 1.656-8.031 .1562L65.53 233.5C64 231.8 63.56 229.5 64.44 227.4zM368 448h-352C7.156 448 0 455.2 0 464S7.156 480 16 480h352c8.844 0 16-7.156 16-16S376.8 448 368 448z"],
    "download": [512, 512, [], "f019", "M245.4 379.1C248.4 382.7 252.2 384 256 384s7.594-1.344 10.62-4.047l144-128c6.594-5.859 7.219-15.98 1.344-22.58c-5.875-6.625-16.06-7.234-22.59-1.328L272 332.4V16C272 7.156 264.8 0 256 0S240 7.156 240 16v316.4L122.6 228C116.1 222.1 105.9 222.8 100 229.4C94.16 235.1 94.78 246.1 101.4 251.1L245.4 379.1zM448 320h-48c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16H448c17.67 0 32 14.33 32 32v64c0 17.67-14.33 32-32 32H64c-17.67 0-32-14.33-32-32v-64c0-17.67 14.33-32 32-32h48C120.8 352 128 344.8 128 336C128 327.2 120.8 320 112 320H64c-35.35 0-64 28.65-64 64v64c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64v-64C512 348.7 483.3 320 448 320zM440 416c0-13.25-10.75-24-24-24s-24 10.75-24 24s10.75 24 24 24S440 429.3 440 416z"],
    "dragon": [640, 512, [128009], "f6d5", "M535.6 251.8c-37.84-21.48-55.67-33.55-55.67-51.42L479.1 192h16.95l28.6 21.99C533.8 220.5 543.1 224 554.8 224h29.25c21.04 0 39.93-14.15 45.93-34.41l7.398-25.2c5.859-19.78 1.898-41.45-10.62-57.89l-56.86-74.85C554.9 11.84 531 0 506.1 0h-168.8C323.7 0 311.6 8.572 307.1 21.38C302.6 34.2 306.7 48.46 317.3 56.96l18.1 14.53l-11.66 4.814C311.7 81.27 303.8 93.03 303.9 106.1S311.9 130.8 324 135.6l28.01 11.2v90.96c0 16.77 .5098 33.65 2.17 50.25H172.2l62.05-51.72C239.7 231.8 241.5 224.3 238.8 217.9S229.6 207.6 222.6 208.1L94.99 219.7l99.1-88.06l102 58.31C303.8 194.2 313.5 191.6 317.9 183.9c4.391-7.656 1.719-17.44-5.953-21.84l-112-64C194 94.69 186.5 95.47 181.4 100l-144 128c-5.172 4.594-6.797 12-4.062 18.31c2.75 6.344 9.109 9.906 16.14 9.594l124.9-11.34L117.8 291.7C112.6 296 110.7 303.1 113 309.4C115.3 315.8 121.3 320 128.1 320h231.3c5.566 23.76 15.17 46.25 32.17 65.92c-62.21 4.053-179.7 16.83-367.2 63.01c-15.71 3.869-26.07 18.86-24.12 34.93C2.184 499.9 15.82 512 32 512H506.9c42.06 0 83.75-20.48 108.8-53.44c23.08-30.36 29.97-68.09 19.39-106.2C620.5 299.1 573.4 273.3 535.6 251.8zM506.9 480H32c230.5-56.75 352.6-62.38 400.5-64c15.5-.5 21.25-20.88 8.25-29.38c-49-32.25-56.72-80.88-56.72-148.9V136c0-6.625-3.875-12.5-10-14.88l-38.13-15.25l36.63-15.12c5.25-2.125 9-6.875 9.75-12.5c.875-5.5-1.375-11.12-5.75-14.75L337.3 32h168.8c14.88 0 29.25 7.125 38.25 19l56.88 74.88c6.377 8.375 8.377 19.38 5.377 29.5L599.3 180.5C597.3 187.3 591 192 584 192h-29.25c-3.5 0-6.875-1.125-9.75-3.375l-33-25.38C509.3 161.1 505.9 160 502.3 160H470.7l-27.31-27.31c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l27.15 27.15v17.91c0 38.38 34.88 58.25 71.88 79.25c36.13 20.5 73.5 41.88 84.5 81.25C623.6 430.8 563.1 480 506.9 480zM480.9 86.31l32 16C515.2 103.5 517.6 104 520 104c5.875 0 11.52-3.25 14.33-8.844c3.953-7.906 .75-17.5-7.156-21.47l-32-16c-7.891-3.969-17.5-.7187-21.47 7.156C469.8 72.75 472.1 82.34 480.9 86.31z"],
    "draw-circle": [512, 512, [], "f5ed", "M454.1 192.3C486.6 195.3 512 222.7 512 256C512 289.3 486.6 316.7 454.1 319.7C433.6 383.3 383.3 433.6 319.7 454.1C316.7 486.6 289.3 512 256 512C222.7 512 195.3 486.6 192.3 454.1C128.7 433.6 78.39 383.3 57.94 319.7C25.44 316.7 0 289.3 0 256C0 222.7 25.44 195.3 57.94 192.3C78.39 128.7 128.7 78.39 192.3 57.94C195.3 25.44 222.7 0 256 0C289.3 0 316.7 25.44 319.7 57.94C383.3 78.39 433.6 128.7 454.1 192.3H454.1zM255.1 96C273.7 96 288 81.67 288 64C288 46.33 273.7 32 255.1 32C238.3 32 223.1 46.33 223.1 64C223.1 81.67 238.3 96 255.1 96zM314.5 89.96C304.6 112.4 282.1 128 255.1 128C229.9 128 207.4 112.4 197.5 89.96C147.4 107.6 107.6 147.4 89.96 197.5C112.4 207.4 127.1 229.9 127.1 256C127.1 282.1 112.4 304.6 89.96 314.5C107.6 364.6 147.4 404.4 197.5 422C207.4 399.6 229.9 384 255.1 384C282.1 384 304.6 399.6 314.5 422C364.6 404.4 404.4 364.6 422 314.5C399.6 304.6 384 282.1 384 256C384 229.9 399.6 207.4 422 197.5C404.4 147.4 364.6 107.6 314.5 89.96H314.5zM255.1 480C273.7 480 288 465.7 288 448C288 430.3 273.7 416 255.1 416C238.3 416 223.1 430.3 223.1 448C223.1 465.7 238.3 480 255.1 480zM63.1 224C46.33 224 31.1 238.3 31.1 256C31.1 273.7 46.33 288 63.1 288C81.67 288 95.1 273.7 95.1 256C95.1 238.3 81.67 224 63.1 224zM448 288C465.7 288 480 273.7 480 256C480 238.3 465.7 224 448 224C430.3 224 416 238.3 416 256C416 273.7 430.3 288 448 288z"],
    "draw-polygon": [448, 512, [], "f5ee", "M365.8 354.6C371.6 352.9 377.7 352 384 352C419.3 352 448 380.7 448 416C448 451.3 419.3 480 384 480C354.2 480 329.1 459.6 322 432H125.1C118.9 459.6 93.82 480 64 480C28.65 480 0 451.3 0 416C0 386.2 20.4 361.1 48 354V157.1C20.4 150.9 0 125.8 0 96C0 60.65 28.65 32 64 32C93.82 32 118.9 52.4 125.1 80H322C329.1 52.4 354.2 32 384 32C419.3 32 448 60.65 448 96C448 131.3 419.3 160 384 160C377.7 160 371.6 159.1 365.8 157.4L333.6 211.1C344.1 222.6 352 238.5 352 256C352 273.5 344.1 289.4 333.6 300.9L365.8 354.6zM64 64C46.33 64 32 78.33 32 96C32 113.7 46.33 128 64 128C81.67 128 96 113.7 96 96C96 78.33 81.67 64 64 64zM80 354C102.5 359.8 120.2 377.5 125.1 400H322C324.9 388.9 330.6 378.1 338.4 371.1L306.2 317.4C300.4 319.1 294.3 320 288 320C252.7 320 224 291.3 224 256C224 220.7 252.7 192 288 192C294.3 192 300.4 192.9 306.2 194.6L338.4 140.9C330.6 133 324.9 123.1 322 112H125.1C120.2 134.5 102.5 152.2 80 157.1V354zM64 384C46.33 384 32 398.3 32 416C32 433.7 46.33 448 64 448C81.67 448 96 433.7 96 416C96 398.3 81.67 384 64 384zM352 96C352 113.7 366.3 128 384 128C401.7 128 416 113.7 416 96C416 78.33 401.7 64 384 64C366.3 64 352 78.33 352 96zM416 416C416 398.3 401.7 384 384 384C366.3 384 352 398.3 352 416C352 433.7 366.3 448 384 448C401.7 448 416 433.7 416 416zM288 288C305.7 288 320 273.7 320 256C320 238.3 305.7 224 288 224C270.3 224 256 238.3 256 256C256 273.7 270.3 288 288 288z"],
    "draw-square": [448, 512, [], "f5ef", "M64 32C93.82 32 118.9 52.4 125.1 80H322C329.1 52.4 354.2 32 384 32C419.3 32 448 60.65 448 96C448 125.8 427.6 150.9 400 157.1V354C427.6 361.1 448 386.2 448 416C448 451.3 419.3 480 384 480C354.2 480 329.1 459.6 322 432H125.1C118.9 459.6 93.82 480 64 480C28.65 480 0 451.3 0 416C0 386.2 20.4 361.1 48 354V157.1C20.4 150.9 0 125.8 0 96C0 60.65 28.65 32 64 32V32zM64 128C81.67 128 96 113.7 96 96C96 78.33 81.67 64 64 64C46.33 64 32 78.33 32 96C32 113.7 46.33 128 64 128zM125.1 400H322C327.8 377.5 345.5 359.8 368 354V157.1C345.5 152.2 327.8 134.5 322 112H125.1C120.2 134.5 102.5 152.2 80 157.1V354C102.5 359.8 120.2 377.5 125.1 400V400zM64 384C46.33 384 32 398.3 32 416C32 433.7 46.33 448 64 448C81.67 448 96 433.7 96 416C96 398.3 81.67 384 64 384zM352 416C352 433.7 366.3 448 384 448C401.7 448 416 433.7 416 416C416 398.3 401.7 384 384 384C366.3 384 352 398.3 352 416zM416 96C416 78.33 401.7 64 384 64C366.3 64 352 78.33 352 96C352 113.7 366.3 128 384 128C401.7 128 416 113.7 416 96z"],
    "dreidel": [448, 512, [], "f792", "M443.3 36.69c-6.25-6.25-16.35-6.25-22.6 .0002l-119.9 119.9l-83.31-83.2C210.1 66.88 202.4 63.63 193.9 63.63c-8.5 0-17.12 3.25-23.62 9.75L19.62 223.1C6.999 236.5 0 253.5 0 271.3v141.9C0 450.1 29.87 480 66.87 480h141.9c17.62 0 34.63-7.002 47.26-19.63l150.7-150.6c12.1-13.12 12.1-34.25 0-47.38l-83.29-83.19l119.8-119.1C449.5 52.98 449.6 42.94 443.3 36.69zM233.4 437.8C226.7 444.4 218.1 448 208.7 448H66.87c-19.25 0-34.87-15.62-34.87-34.88V271.3c0-9.25 3.625-18 10.25-24.62l59.37-59.38l191.1 191.1L233.4 437.8zM383.1 287.1l-68.75 68.63L124.2 164.6L192.9 96C192.1 95.88 193.2 95.63 193.9 95.63L194.9 96l189.1 189.1C384.6 285.6 384.6 286.6 383.1 287.1z"],
    "drone": [512, 512, [], "f85f", "M112 32C67.82 32 32 67.82 32 112C32 151.6 60.82 184.5 98.65 190.9C107.4 192.4 113.2 200.6 111.8 209.3C110.3 218 102.1 223.9 93.35 222.5C40.37 213.6 0 167.5 0 112C0 50.14 50.14 0 112 0C167.5 0 213.6 40.37 222.5 93.35C223.9 102.1 218 110.3 209.3 111.8C200.6 113.2 192.4 107.4 190.9 98.65C184.5 60.82 151.6 32 112 32zM319.8 98.65C318.3 107.4 310.1 113.2 301.4 111.8C292.6 110.3 286.8 102.1 288.2 93.35C297.1 40.37 343.2 0 398.7 0C460.5 0 510.7 50.14 510.7 112C510.7 167.5 470.3 213.6 417.3 222.5C408.6 223.9 400.4 218 398.9 209.3C397.4 200.6 403.3 192.4 412 190.9C449.8 184.5 478.7 151.6 478.7 112C478.7 67.82 442.9 32 398.7 32C359 32 326.1 60.82 319.8 98.65V98.65zM32 398.7C32 442.9 67.82 478.7 112 478.7C151.6 478.7 184.5 449.8 190.9 412C192.4 403.3 200.6 397.4 209.3 398.9C218 400.4 223.9 408.6 222.5 417.3C213.6 470.3 167.5 510.7 112 510.7C50.14 510.7 0 460.5 0 398.7C0 343.2 40.37 297.1 93.35 288.2C102.1 286.8 110.3 292.6 111.8 301.4C113.2 310.1 107.4 318.3 98.65 319.8C60.82 326.1 32 359 32 398.7V398.7zM398.7 478.7C442.9 478.7 478.7 442.9 478.7 398.7C478.7 359 449.8 326.1 412 319.8C403.3 318.3 397.4 310.1 398.9 301.4C400.4 292.6 408.6 286.8 417.3 288.2C470.3 297.1 510.7 343.2 510.7 398.7C510.7 460.5 460.5 510.7 398.7 510.7C343.2 510.7 297.1 470.3 288.2 417.3C286.8 408.6 292.6 400.4 301.4 398.9C310.1 397.4 318.3 403.3 319.8 412C326.1 449.8 359 478.7 398.7 478.7zM80 400C80 382.3 94.33 368 112 368C114.9 368 117.6 368.4 120.3 369.1L160 329.4V182.6L120.3 142.9C117.6 143.6 114.9 143.1 112 143.1C94.33 143.1 80 129.7 80 111.1C80 94.33 94.33 79.1 112 79.1C129.7 79.1 144 94.33 144 111.1C144 114.9 143.6 117.6 142.9 120.3L182.6 159.1H329.4L369.1 120.3C368.4 117.6 368 114.9 368 111.1C368 94.33 382.3 79.1 400 79.1C417.7 79.1 432 94.33 432 111.1C432 129.7 417.7 143.1 400 143.1C397.1 143.1 394.4 143.6 391.7 142.9L352 182.6V329.4L391.7 369.1C394.4 368.4 397.1 368 400 368C417.7 368 432 382.3 432 400C432 417.7 417.7 432 400 432C382.3 432 368 417.7 368 400C368 397.1 368.4 394.4 369.1 391.7L329.4 352H182.6L142.9 391.7C143.6 394.4 144 397.1 144 400C144 417.7 129.7 432 112 432C94.33 432 80 417.7 80 400zM320 320V192H192V320H320z"],
    "drone-front": [640, 512, ["drone-alt"], "f860", "M144 96C152.8 96 160 103.2 160 112V128H272C280.8 128 288 135.2 288 144C288 152.8 280.8 160 272 160H16C7.164 160 0 152.8 0 144C0 135.2 7.164 128 16 128H128V112C128 103.2 135.2 96 144 96zM496 96C504.8 96 512 103.2 512 112V128H624C632.8 128 640 135.2 640 144C640 152.8 632.8 160 624 160H368C359.2 160 352 152.8 352 144C352 135.2 359.2 128 368 128H480V112C480 103.2 487.2 96 496 96zM128 256V192H160V247.1L172.6 255L223.2 221.3C251.9 202.2 285.5 192 320 192C354.5 192 388.1 202.2 416.8 221.3L467.4 255L480 247.1V192H512V256C512 261.5 509.2 266.6 504.5 269.6L446.4 305.9L454 315.1C470.8 335.2 480 360.6 480 386.8V400C480 408.8 472.8 416 464 416C455.2 416 448 408.8 448 400V386.8C448 368 441.4 349.9 429.5 335.5L419 322.1L376.5 349.6C373.9 351.2 370.1 352 368 352H272C269 352 266.1 351.2 263.5 349.6L221 322.1L210.5 335.5C198.6 349.9 192 368 192 386.8V400C192 408.8 184.8 416 176 416C167.2 416 160 408.8 160 400V386.8C160 360.6 169.2 335.2 185.1 315.1L193.6 305.9L135.5 269.6C130.8 266.6 128 261.5 128 256V256zM437.6 273.6L399.1 247.9C375.7 232.3 348.1 223.1 320 223.1C291.9 223.1 264.4 232.3 240.9 247.9L202.4 273.6L276.6 320H363.4L437.6 273.6z"],
    "droplet": [384, 512, [128167, "tint"], "f043", "M192 400C200.8 400 208 407.2 208 416C208 424.8 200.8 432 192 432C130.1 432 80 381.9 80 319.1C80 311.2 87.16 303.1 96 303.1C104.8 303.1 112 311.2 112 319.1C112 364.2 147.8 400 192 400zM368 319.1C368 417.2 289.2 496 192 496C94.8 496 16 417.2 16 319.1C16 245.9 118.3 89.43 166.9 19.3C179.2 1.585 204.8 1.585 217.1 19.3C265.7 89.43 368 245.9 368 319.1zM321.5 263.4C311.8 238.9 298.2 211.6 282.8 183.7C252.4 128.8 216.1 74.13 192 39.32C167.9 74.13 131.6 128.8 101.2 183.7C85.77 211.6 72.17 238.9 62.51 263.4C52.57 288.5 48 307.6 48 319.1C48 399.5 112.5 464 192 464C271.5 464 336 399.5 336 319.1C336 307.6 331.4 288.5 321.5 263.4V263.4z"],
    "droplet-degree": [448, 512, ["dewpoint"], "f748", "M191.1 32C180.7 32 169.5 38.32 165.4 51.36C122.9 189.3 32 226.9 32 324.1C32 410.2 103.6 480 192 480s160-69.78 160-155.9c0-97.78-90.73-134.1-133.4-272.8C214.9 38.6 203.5 32 191.1 32zM319.1 324.1C319.1 392.4 262.6 448 192 448s-128-55.56-128-123.9c0-40.71 20.56-69.07 49.01-108.3C138.7 180.4 170.3 136.9 191.1 73.17c21.85 64.08 53.46 107.5 79.16 142.9C299.5 255 319.1 283.2 319.1 324.1zM352 32c-35.35 0-64 28.65-64 64s28.65 64 64 64s64-28.65 64-64S387.3 32 352 32zM352 128c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S369.6 128 352 128z"],
    "droplet-percent": [320, 512, ["humidity"], "f750", "M186.6 51.36c-3.631-12.77-15.08-19.36-26.57-19.36c-11.25 0-22.53 6.32-26.55 19.36C90.94 189.3 0 226.9 0 324.1c0 86.08 71.56 155.9 160 155.9s160-69.78 160-155.9C320 226.4 229.3 190 186.6 51.36zM160 448c-70.58 0-128-55.56-128-123.9c0-40.71 20.56-69.07 49.01-108.3C106.7 180.4 138.3 136.9 159.1 73.17c21.85 64.09 53.46 107.5 79.16 142.9C267.5 255 288 283.2 288 324.1C288 392.4 230.6 448 160 448zM128 264C128 250.7 117.3 240 104 240S80 250.7 80 264s10.69 23.1 24 23.1S128 277.3 128 264zM219.3 260.7c-6.25-6.25-16.38-6.25-22.62 0l-96 95.1c-6.25 6.25-6.25 16.37 0 22.62C103.8 382.4 107.9 383.1 112 383.1s8.188-1.562 11.31-4.688l96-95.1C225.6 277.1 225.6 266.9 219.3 260.7zM216 351.1c-13.31 0-24 10.69-24 23.1s10.69 23.1 24 23.1s24-10.69 24-23.1S229.3 351.1 216 351.1z"],
    "droplet-slash": [640, 512, ["tint-slash"], "f5c7", "M633.9 483.4C640.9 488.9 642 498.1 636.6 505.9C631.1 512.9 621 514 614.1 508.6L6.086 28.56C-.8493 23.08-2.033 13.02 3.443 6.086C8.918-.8493 18.98-2.033 25.91 3.443L633.9 483.4zM423.1 419.6L449.2 439.5C417 474.3 371.1 496 319.1 496C222.8 496 143.1 417.2 143.1 319.1C143.1 294.7 155.9 259.8 173.6 221.1L199.4 242.4C196.2 249.6 193.2 256.6 190.5 263.4C180.6 288.5 175.1 307.6 175.1 319.1C175.1 399.5 240.5 464 319.1 464C360.9 464 397.8 446.1 423.1 419.6V419.6zM345.1 19.3C392.2 87.35 489.1 236.7 495.7 313.2L456.3 282C454.4 276.2 452.1 270 449.5 263.4C439.8 238.9 426.2 211.6 410.8 183.7C380.4 128.8 344.1 74.13 319.1 39.32C304.1 62.26 282.1 93.84 261.7 128.4L236.4 108.4C257.1 73.52 279.3 41.92 294.9 19.3C307.2 1.585 332.8 1.585 345.1 19.3L345.1 19.3zM319.1 400C328.8 400 336 407.2 336 416C336 424.8 328.8 432 319.1 432C258.1 432 207.1 381.9 207.1 319.1C207.1 311.2 215.2 303.1 223.1 303.1C232.8 303.1 239.1 311.2 239.1 319.1C239.1 364.2 275.8 400 319.1 400z"],
    "drum": [512, 512, [129345], "f569", "M414.5 117.5l90-56.28c7.25-4.753 9.25-14.38 4.75-21.76c-4.625-7.254-14.25-9.631-21.62-5.378l-116 72.54c-36.38-7.379-76.5-10.65-115.6-10.65C132.7 96 0 130.9 0 207.1v159.1C0 429.9 114.6 480 255.1 480s256-50.11 256-112V207.1C511.1 165.5 471.5 135.7 414.5 117.5zM96 421.5c-40.88-16.13-64-36.77-64-53.53V265.7c16.5 13.01 38.5 23.64 64 31.89V421.5zM240 447.6c-43.12-1.126-80.88-7.004-112-15.63V306.3c34.88 8.005 73.5 12.38 112 13.38V447.6zM384 431.1c-31.12 8.63-68.88 14.51-112 15.63V319.7c38.5-1.001 77.13-5.378 112-13.38V431.1zM480 367.9c0 16.76-23.12 37.4-64 53.53V297.6c25.5-8.255 47.5-18.89 64-31.89V367.9zM255.1 287.9C132.2 287.9 32 251.1 32 207.8s100.2-80.05 224-80.05c24.88 0 49.75 1.501 74.5 4.628l-99 61.79C224.4 199.1 222.2 208.7 226.9 216.1C231.4 223.3 241 225.7 248.5 221.3l129.1-80.67C439.1 154.9 480 179.7 480 207.8C480 251.1 379.7 287.9 255.1 287.9z"],
    "drum-steelpan": [576, 512, [], "f56a", "M288 32C129 32 0 89.25 0 160v192c0 70.75 129 128 288 128s288-57.25 288-128V160C576 89.25 447 32 288 32zM288 64c25.62 0 50.38 1.5 73.88 4.125l-15.5 59.1C341.9 145.8 315.6 160 288 160S234.1 145.8 229.6 128.1L214.1 68.12C237.6 65.5 262.4 64 288 64zM382.9 249.1C353.5 253.5 321.5 256 288 256C254.2 256 221.1 253.5 192.5 249c20.12-19.62 33.38-45.38 37.12-73.5C245.1 185.9 266.6 192 288 192c21 0 41.5-5.875 57.63-16C349.4 204.1 362.8 229.8 382.9 249.1zM178.2 73.38l17 60c12 42.75-7.625 86.75-44.75 107.5C79.38 223.9 32 194 32 160C32 121.8 91.88 88.75 178.2 73.38zM544 352c0 39.13-99.75 96-256 96s-256-56.88-256-96V218.5C79.75 259.8 176.4 288 288 288s208.3-28.25 256-69.5V352zM425.6 240.9c-36-18.75-56.63-59.88-47-101.1l15.62-67C482.5 87.88 544 121.2 544 160C544 194 496.8 223.8 425.6 240.9z"],
    "drumstick": [512, 512, [127831], "f6d6", "M511.1 165.4c0-40.03-14.22-77.75-40.87-107.8C423.2 3.172 361.1 0 343.9 0c-45.28 0-89.37 17.88-121.4 49.81c-26.87 26.62-62.5 70.24-62.5 140.7v69.37L116.6 303.3c-2.022 2.021-5.246 3.624-9.437 3.624c-8.164 0-14.46-6.755-34.54-6.755C32.58 300.1 0 332.6 0 372.6c0 21.62 15.62 69.12 67.75 71.74C69.75 483.8 101.1 512 139.4 512c42.05 0 72.61-34.34 72.61-72.45c0-20.04-6.806-25.98-6.806-34.83c0-3.119 .8494-6.551 3.695-9.337l43.25-43.37h70.12c38.87 0 72.1-10.25 104.4-31.12C480.8 284.7 511.1 225.2 511.1 165.4zM186.2 372.8c-8.55 8.468-13.02 19.85-13.02 31.98c0 17.23 7.499 22.03 7.499 37.15c0 23.57-21.85 37.59-42.85 37.59c-18.76 0-36.86-11.18-38.12-36.73L98.24 413.9l-28.87-1.5c-24.73-1.221-36.99-20.39-36.99-39.69c0-20.37 13.32-40.56 40.97-40.56c4.838 0 9.657 .9968 14.14 2.885c6.376 2.559 13.07 3.877 19.68 3.877c11.79 0 23.3-4.191 32.19-13l25.1-25.1c8.124 21.62 25.25 38.75 46.87 46.87L186.2 372.8zM480 165.4c0 35.31-31.08 154.7-157.8 154.7l-82.1 .0006c-26.52 0-48.02-21.45-48.14-47.99V190.5c0-45.24 16.37-81.62 52.1-118.1c25.89-25.89 60.94-40.37 97.52-40.37l.4712 .0008c14.88 0 65.07 2.077 104.2 46.87C468.7 102.1 480 133.2 480 165.4z"],
    "drumstick-bite": [512, 512, [], "f6d7", "M471.2 57.62C423.6 3.25 362.3 0 344.3 0C222.9 0 160 114.7 160 190.5v69.37L116.6 303.3c-2.022 2.022-5.247 3.625-9.438 3.625c-8.165 0-14.46-6.756-34.55-6.756C32.58 300.1 0 332.6 0 372.6c0 21.62 15.62 69.12 67.75 71.74C69.75 483.8 101.1 512 139.4 512c42.06 0 72.61-34.34 72.61-72.45c0-20.04-6.807-25.98-6.807-34.83c0-3.119 .8494-6.551 3.695-9.337l43.37-43.37h70.13c17 0 34-2.25 50.38-6.874c5.335-1.368 11.82-6.483 11.82-15.35c0-2.897-.7654-5.8-2.322-8.394C373 306.6 368.1 289.5 368.1 272c0-52.99 43-95.87 96-95.99c16.61 0 26.61 5.189 31.84 5.189C503.5 181.2 512 175.5 512 165.2C512 124.7 497.7 87.5 471.2 57.62zM186.2 372.8c-8.551 8.469-13.02 19.86-13.02 31.98c0 17.23 7.499 22.03 7.499 37.15c0 23.57-21.85 37.59-42.88 37.59c-18.78 0-36.91-11.18-38.23-36.73l-1.375-28.87l-29-1.5c-24.67-1.221-36.93-20.39-36.93-39.69c0-20.31 13.27-40.56 41.03-40.56c4.838 0 9.658 .9968 14.14 2.885c6.376 2.559 13.08 3.877 19.69 3.877c11.79 0 23.3-4.191 32.19-13l26-25.1c8.125 21.62 25.25 38.75 47 46.87L186.2 372.8zM464.1 144c-70.63 .125-127.9 57.37-128 127.1c0 15.87 3.125 31.62 9 46.37c-7.5 1.125-15.13 1.625-22.75 1.625l-82.11 .0006c-26.52 0-48.02-21.45-48.27-47.1V190.5C192 145.3 208.4 108.9 245 72.42c25.89-25.89 60.95-40.37 97.53-40.37l.4713 .0008c14.79 0 65.2 2.077 104.4 46.87C464 97.42 474.8 120.4 478.4 145C473.8 144.4 468.9 144 464.1 144z"],
    "dryer": [448, 512, [], "f861", "M352 0H96C42.98 0 0 42.98 0 96v352c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 42.98 405 0 352 0zM416 448c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-35.29 28.71-64 64-64h256c35.29 0 64 28.71 64 64V448zM192.1 120C205.3 120 216 109.3 216 96S205.3 72 192.1 72C178.7 72 168 82.75 168 96S178.7 120 192.1 120zM120 96c0-13.25-10.69-24-24-24C82.82 72 72 82.75 72 96S82.82 120 96 120C109.3 120 120 109.3 120 96zM224 160C144.5 160 80.01 224.5 80.01 304S144.5 448 224 448s143.1-64.5 143.1-144S303.5 160 224 160zM224 416c-56.27 0-102.5-41.86-110.4-96H176C184.8 320 192 312.8 192 304S184.8 288 176 288H113.6C121.5 233.9 167.7 192 224 192c61.75 0 111.1 50.24 111.1 112S285.7 416 224 416z"],
    "dryer-heat": [448, 512, ["dryer-alt"], "f862", "M352 0H96C42.98 0 0 42.98 0 96v352c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 42.98 405 0 352 0zM416 448c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-35.29 28.71-64 64-64h256c35.29 0 64 28.71 64 64V448zM192.1 120C205.3 120 216 109.3 216 96S205.3 72 192.1 72C178.7 72 168 82.75 168 96S178.7 120 192.1 120zM120 96c0-13.25-10.69-24-24-24C82.82 72 72 82.75 72 96S82.82 120 96 120C109.3 120 120 109.3 120 96zM224 160C144.5 160 80.01 224.5 80.01 304S144.5 448 224 448s143.1-64.5 143.1-144S303.5 160 224 160zM224 416c-61.75 0-111.1-50.24-111.1-112S162.3 192 224 192c61.75 0 111.1 50.24 111.1 112S285.7 416 224 416zM212.6 350c-10.25-10.25-12.78-25.88-6.297-38.84c12.66-25.31 7.719-55.75-12.31-75.78L187.3 228.7c-6.25-6.25-16.38-6.25-22.62 0C158.4 234.1 158.4 245.1 164.7 251.3L171.4 258c10.25 10.25 12.78 25.88 6.297 38.84c-12.66 25.31-7.719 55.75 12.31 75.78l6.703 6.688C199.8 382.4 203.9 384 208 384s8.203-1.562 11.33-4.688c6.234-6.281 6.234-16.41-.0313-22.62L212.6 350zM276.6 350c-10.25-10.25-12.78-25.88-6.297-38.84c12.66-25.31 7.719-55.75-12.31-75.78l-6.703-6.688c-6.25-6.25-16.38-6.25-22.62 0c-6.234 6.281-6.234 16.41 .0313 22.62L235.4 258c10.25 10.25 12.78 25.88 6.297 38.84c-12.66 25.31-7.719 55.75 12.31 75.78l6.703 6.688C263.8 382.4 267.9 384 272 384s8.203-1.562 11.33-4.688c6.234-6.281 6.234-16.41-.0313-22.62L276.6 350z"],
    "duck": [512, 512, [129414], "f6d8", "M360 152C360 165.3 349.3 176 336 176C322.7 176 312 165.3 312 152C312 138.7 322.7 128 336 128C349.3 128 360 138.7 360 152zM234.5 411C194.1 421.1 153.3 410.1 124.8 384.8C118.2 378.9 117.6 368.8 123.4 362.2C129.3 355.6 139.4 355 146 360.9C166.7 379.2 196.6 387.5 226.7 379.1C263.5 370.8 289 340.1 293.5 307.5C294.6 298.7 302.7 292.6 311.4 293.7C320.2 294.9 326.4 302.1 325.2 311.7C318.1 358.4 283.8 398.7 234.5 411L234.5 411zM400 240V259C424.6 282.4 440 315.4 440 352C440 422.7 382.7 480 312 480H196C87.75 480 0 390.1 0 282.7C0 268.1 11.89 256 26.55 256C30.15 256 33.7 256.7 37.01 258.1L88 280L253 233.8C243.3 226.5 234.7 217.7 227.8 207.6C215.3 189.6 208 167.6 208 144C208 82.14 258.1 32 320 32C374.1 32 419.3 70.38 429.7 121.4C439.3 122.7 449 122.7 458.6 121.5L482.8 118.5C498.3 116.6 512 128.7 512 144.3C512 197.1 469.1 240 416.3 240H400zM368 235.4C368 218.2 375.1 203.6 383.3 192.9C393.8 179.4 400 162.5 400 144C400 99.82 364.2 64 320 64C275.8 64 240 99.82 240 144C240 170.2 252.6 193.5 272.2 208.2C281.1 215.4 286.7 227.7 284.5 239.7C282.3 251.6 273.4 261.3 261.7 264.6L96.63 310.8C89.6 312.8 82.11 312.3 75.39 309.4L32.2 290.9C36.46 377.1 108.4 448 196 448H312C365 448 408 405 408 352C408 324.5 396.5 299.8 377.1 282.3C371.6 276.2 368 267.8 368 259V235.4zM411.9 208H416.3C449.1 208 476.2 183.1 479.6 151.2L462.6 153.3C452.3 154.6 441.9 154.8 431.6 153.8C429.8 173.8 422.8 192.4 411.9 208zM402.7 208L383.3 192.9L402.7 208z"],
    "dumbbell": [640, 512, [], "f44b", "M624 240H608V160c0-26.51-21.49-48-48-48h-32c-5.625 0-11 1.25-16 2.875V96c0-26.51-21.49-48-48-48h-32C405.5 48 384 69.49 384 96v144H256V96c0-26.51-21.49-48-48-48h-32C149.5 48 128 69.49 128 96v18.88C123 113.1 117.6 112 112 112h-32C53.49 112 32 133.5 32 160v80H16C7.199 240 0 247.2 0 256c0 8.797 7.199 16 16 16H32V352c0 26.51 21.49 48 48 48h32c5.625 0 11-1.25 16-2.875V416c0 26.51 21.49 48 48 48h32C234.5 464 256 442.5 256 416V272h128V416c0 26.51 21.49 48 48 48h32c26.51 0 48-21.49 48-48v-18.88C517 398.9 522.4 400 528 400h32c26.51 0 48-21.49 48-48V272h16C632.8 272 640 264.8 640 256C640 247.2 632.8 240 624 240zM128 352c0 8.75-7.25 16-16 16h-32C71.25 368 64 360.8 64 352V160c0-8.75 7.25-16 16-16h32C120.8 144 128 151.3 128 160V352zM224 416c0 8.75-7.25 16-16 16h-32C167.3 432 160 424.8 160 416V96c0-8.75 7.25-16 16-16h32C216.8 80 224 87.25 224 96V416zM480 416c0 8.75-7.25 16-16 16h-32c-8.75 0-16-7.25-16-16V96c0-8.75 7.25-16 16-16h32C472.8 80 480 87.25 480 96V416zM576 352c0 8.75-7.25 16-16 16h-32c-8.75 0-16-7.25-16-16V160c0-8.75 7.25-16 16-16h32C568.8 144 576 151.3 576 160V352z"],
    "dumpster": [576, 512, [], "f793", "M560 256h-26.75l3.562-32h-32.09l-21.19 192H92.47L71.28 224H39.06l3.562 32H16C7.199 256 0 263.2 0 272C0 280.8 7.199 288 16 288h30.25L64 448v16C64 472.8 71.16 480 80 480S96 472.8 96 464V448h384v16c0 8.836 7.164 16 16 16s16-7.164 16-16V448l17.75-160H560C568.8 288 576 280.8 576 272C576 263.2 568.8 256 560 256zM16 192h544c10.38 0 17.1-12.25 15.5-24.88l-32-120C541.8 38.25 535.3 32 528 32h-480C40.75 32 34.25 38.25 32.5 47.13l-32 120C-2 179.8 5.625 192 16 192zM514.3 64l27.12 96h-78.63L443.5 64H514.3zM304 64h106.9l19.25 96H304V64zM165.1 64H272v96H145.9L165.1 64zM61.75 64H132.5L113.2 160H34.63L61.75 64z"],
    "dumpster-fire": [640, 512, [], "f794", "M16 192l324.6 .0602c7.492-10.73 15.39-21.52 24.17-32.09H304L304 64h106.9l7.992 39.86l20.96-18.75l9.637 8.52L443.5 64h70.75l20.14 71.3l16.72-14.94l15.64 13.95L543.5 47.13C541.8 38.25 535.3 32 528 32h-480C40.75 32 34.25 38.25 32.5 47.13l-32 120C-2 179.8 5.625 192 16 192zM165.1 64H272l.0398 96.07H145.9L165.1 64zM61.75 64H132.5L113.3 160.1L34.63 160L61.75 64zM92.47 416L71.28 224H39.06l3.562 32H16C7.199 256 0 263.2 0 272c0 8.799 7.202 15.1 16 15.1L46.25 288l17.76 160L64.01 464C64.01 472.8 71.17 480 80.01 480S96 472.8 96 464V448l240.8 .0064C327.9 438.2 320 427.5 313.4 416H92.47zM551.2 163.3c-14.88 13.25-28.38 27.12-40.26 41.12c-19.5-25.75-43.64-51.98-71.01-76.36c-70.13 62.75-120 144.2-120 193.6C319.1 409.2 391.6 480 479.1 480s160-70.84 160-158.3C640.1 285 602.1 209.4 551.2 163.3zM494.3 446.6C489.5 447.1 485 448 480.1 448s-9.375-.875-14.13-1.375c-31.75-6.375-55.75-34.25-55.75-67.38c0-14 15.38-46.13 44.5-78.38c7.125 7.625 13.62 15.38 19.38 23l24.12 31.88l26-30.56c.125 0-.125 0 0 0c16.12 22.12 25.62 46.06 25.62 54.06C549.9 412.4 525.9 440.3 494.3 446.6zM579.8 400c1.375-6.75 2.125-13.75 2.125-20.75c0-23.38-23.5-71.5-56.5-100.9c-9.5 8.375-18 17.38-25.62 26.25C487.4 288.3 471.9 271.5 454.5 256c-44.63 39.88-76.38 91.88-76.38 123.3c0 7 .75 14 2.25 20.75c-17.5-21.62-28.5-48.75-28.5-78.38c0-31.62 32.5-93.25 88.13-149.5c16.88 16.62 32.25 34.25 45.38 51.63l24 31.88l26-30.5c4.875-5.875 9.875-11.38 15-16.88c34.38 40 57.5 91.5 57.5 113.4C608.1 351.4 597.3 378.4 579.8 400z"],
    "dungeon": [512, 512, [], "f6d9", "M302.2 143.5C293.8 146.6 284.6 147.3 276 145.8C269.5 144.6 262.9 144 256 144C249.1 144 242.5 144.6 235.1 145.8C227.4 147.3 218.2 146.6 209.8 143.5C205.9 151.6 199.9 158.6 192.7 163.6C186.6 167.8 180.9 172.6 175.7 177.1C169.5 184.3 161.6 188.1 152.1 191.4C154.5 200.3 153.7 209.4 150.7 217.7C147.7 225.9 145.7 234.5 144.7 243.5C143.5 253.9 138.1 264.1 131.8 272C139.4 280.5 144 291.7 144 304V352C144 364.3 139.4 375.5 131.8 384C139.4 392.5 144 403.7 144 416V464C144 490.5 122.5 512 96 512H48C21.49 512 0 490.5 0 464V416C0 403.7 4.622 392.5 12.22 384C4.622 375.5 0 364.3 0 352V304C0 291.7 4.631 280.5 12.25 271.1C4.354 263.2-.312 251.3 .641 237.8C2.781 207.4 10.22 178.5 22.05 151.9C28.18 138.2 39.36 129.5 51.85 126.1C49.73 113.3 52.84 99.5 62.69 88.17C80.56 67.6 101.7 49.9 125.2 35.88C138.2 28.17 152.3 27.57 164.5 31.96C170.2 20.27 180.7 10.81 195.3 7.249C214.8 2.506 235.1 0 256 0C276.9 0 297.2 2.506 316.7 7.249C331.3 10.81 341.8 20.27 347.5 31.96C359.7 27.58 373.8 28.17 386.8 35.88C410.3 49.9 431.4 67.59 449.3 88.17C459.2 99.5 462.3 113.3 460.2 126.1C472.6 129.5 483.8 138.2 489.1 151.9C501.8 178.5 509.2 207.4 511.4 237.8C512.3 251.3 507.6 263.2 499.8 271.1C507.4 280.5 512 291.7 512 304V352C512 364.3 507.4 375.5 499.8 384C507.4 392.5 512 403.7 512 416V464C512 490.5 490.5 512 464 512H416C389.5 512 368 490.5 368 464V416C368 403.7 372.6 392.5 380.2 384C372.6 375.5 368 364.3 368 352V304C368 291.7 372.6 280.5 380.2 272C373 264.1 368.5 253.9 367.3 243.5C366.3 234.5 364.3 225.9 361.3 217.7C358.3 209.4 357.5 200.3 359 191.4C350.4 188.1 342.5 184.3 336.3 177.1C331.1 172.6 325.4 167.8 319.3 163.6C312.1 158.6 306.1 151.6 302.2 143.5L302.2 143.5zM421.7 131.6C429.3 126.6 431.2 116.1 425.2 109.2C409.5 91.14 391 75.65 370.4 63.37C362.4 58.6 352.2 62.51 348.8 71.18L330.6 116.6C327.6 124.1 330.7 132.6 337.4 137.2C345.3 142.6 352.6 148.8 359.3 155.7C365.1 161.6 374.3 163.2 381.3 158.6L421.7 131.6zM391.3 206.7C395.2 217.3 397.8 228.5 399.1 240C400.1 248.8 407.2 256 416 256H464C472.8 256 480.1 248.8 479.4 240C477.6 213.4 471.1 188.2 460.7 164.1C456.9 156.4 446.2 153.8 438.4 158.1L397.5 186.2C390.9 190.6 388.6 199.2 391.3 206.7L391.3 206.7zM400 416V464C400 472.8 407.2 480 416 480H464C472.8 480 480 472.8 480 464V416C480 407.2 472.8 400 464 400H416C407.2 400 400 407.2 400 416zM210.9 104.2C213.1 111.8 222.3 115.7 230.3 114.3C238.7 112.8 247.2 112 256 112C264.8 112 273.3 112.8 281.7 114.3C289.7 115.7 298.1 111.7 301.1 104.1L319.2 58.87C322.7 50.28 318.1 40.53 309.1 38.34C292.1 34.2 274.3 32 256 32C237.7 32 219.9 34.2 202.9 38.34C193.9 40.53 189.3 50.28 192.8 58.87L210.9 104.2zM86.84 109.2C80.83 116.1 82.67 126.6 90.3 131.6L130.7 158.6C137.6 163.2 146.9 161.6 152.7 155.7C159.4 148.8 166.7 142.6 174.6 137.2C181.3 132.6 184.4 124.1 181.4 116.6L163.2 71.16C159.8 62.51 149.6 58.6 141.6 63.37C120.1 75.65 102.5 91.14 86.84 109.2L86.84 109.2zM32.56 240C31.94 248.8 39.16 256 48 256H96C104.8 256 111.9 248.8 112.9 240C114.2 228.5 116.8 217.3 120.7 206.7C123.4 199.2 121.1 190.6 114.5 186.2L73.6 158.1C65.77 153.7 55.1 156.4 51.28 164.1C40.94 188.2 34.44 213.4 32.56 240L32.56 240zM112 304C112 295.2 104.8 288 96 288H48C39.16 288 32 295.2 32 304V352C32 360.8 39.16 368 48 368H96C104.8 368 112 360.8 112 352V304zM400 352C400 360.8 407.2 368 416 368H464C472.8 368 480 360.8 480 352V304C480 295.2 472.8 288 464 288H416C407.2 288 400 295.2 400 304V352zM32 464C32 472.8 39.16 480 48 480H96C104.8 480 112 472.8 112 464V416C112 407.2 104.8 400 96 400H48C39.16 400 32 407.2 32 416V464zM272 464C272 472.8 264.8 480 256 480C247.2 480 240 472.8 240 464V192C240 183.2 247.2 176 256 176C264.8 176 272 183.2 272 192V464zM208 464C208 472.8 200.8 480 192 480C183.2 480 176 472.8 176 464V224C176 215.2 183.2 208 192 208C200.8 208 208 215.2 208 224V464zM336 464C336 472.8 328.8 480 320 480C311.2 480 304 472.8 304 464V224C304 215.2 311.2 208 320 208C328.8 208 336 215.2 336 224V464z"],
    "e": [320, 512, [101], "45", "M320 464c0 8.844-7.156 16-16 16h-288C7.156 480 0 472.8 0 464v-416C0 39.16 7.156 32 16 32h288C312.8 32 320 39.16 320 48S312.8 64 304 64H32v176h208c8.844 0 16 7.162 16 16.01C256 264.8 248.8 272 240 272H32V448h272C312.8 448 320 455.2 320 464z"],
    "ear": [384, 512, [128066], "f5f0", "M192 0C86 0 0 86 0 192v176C0 447.5 64.5 512 144 512s144-64.5 144-144v-9.875C345.4 324.9 384 263 384 192C384 86 298 0 192 0zM271.1 330.4C262.1 336.2 256 346.7 256 358.1V368c0 61.76-50.24 112-112 112S32 429.8 32 368V192c0-88.22 71.78-160 160-160s160 71.78 160 160C352 248.8 321.3 301.8 271.1 330.4zM280.1 99.11c-26.05-24.69-59.87-37.34-94.96-34.94C118.3 67.67 64 128.1 64 198.8V240C64 248.8 71.16 256 80 256h6.062C100.4 256 112 267.6 112 281.9c0 6.906-2.703 13.44-7.594 18.34l-38.06 38.06c-6.25 6.25-6.25 16.38 0 22.62c3.125 3.125 7.219 4.688 11.31 4.688s8.188-1.562 11.31-4.688l38.08-38.06C137.1 311.9 144 297.4 144 281.9c0-28.56-20.77-52.38-48-57.09V198.8c0-53.97 40.73-100 90.95-102.7c26.47-1.531 51.58 7.656 71.11 26.19C277.4 140.7 288 165.4 288 192c0 8.844 7.156 16 16 16S320 200.8 320 192C320 156.5 305.8 123.5 280.1 99.11z"],
    "ear-deaf": [512, 512, ["deaf", "deafness", "hard-of-hearing"], "f2a4", "M240 63.1C141.3 63.1 64 141.3 64 240C64 248.8 71.16 256 80 256S96 248.8 96 240C96 159.3 159.3 96 240 96C319.4 96 384 162.1 384 243.4c0 49.19-17.8 91.53-54.39 129.4l-3.812 3.969l-.5781 5.469C319.5 436.2 274 480 224 480c-8.844 0-16 7.156-16 16S215.2 512 224 512c64.16 0 122.4-53.69 132.3-120.8C396.5 348 416 299.6 416 243.4C416 144.5 337 63.1 240 63.1zM160 240C160 195.9 195.9 160 240 160S320 195.9 320 240C320 248.8 327.2 256 336 256S352 248.8 352 240c0-61.75-50.25-112-111.1-112S128 178.3 128 240C128 248.8 135.2 256 144 256S160 248.8 160 240zM176 320c-4.094 0-8.188 1.562-11.31 4.688l-160 160C1.563 487.8 0 491.9 0 496C0 504.5 6.865 512 16 512c4.094 0 8.188-1.562 11.31-4.688l160-160C190.4 344.2 192 340.1 192 336C192 327.5 185.1 320 176 320zM512 16C512 7.473 505.1 0 496 0c-4.094 0-8.188 1.562-11.31 4.688l-64 64C417.6 71.81 416 75.91 416 80C416 88.53 422.9 96 432 96c4.094 0 8.188-1.562 11.31-4.688l64-64C510.4 24.19 512 20.09 512 16z"],
    "ear-listen": [512, 512, ["assistive-listening-systems"], "f2a2", "M240 63.1c-98.69 0-176 77.32-176 176C64 248.8 71.16 256 80 256S96 248.8 96 240C96 159.3 159.3 96.01 240 96.01c79.41 0 144 66.14 144 147.4c0 49.2-17.8 91.56-54.39 129.5l-3.812 3.953l-.5781 5.453C319.5 436.2 274 480 224 480c-8.844 0-16 7.156-16 15.1S215.2 512 224 512c64.16 0 122.4-53.69 132.3-120.8C396.5 348 416 299.6 416 243.4C416 144.5 337 63.1 240 63.1zM160 240C160 195.9 195.9 160 240 160S320 195.9 320 240c0 8.844 7.156 15.1 16 15.1S352 248.8 352 240c0-61.75-50.25-111.1-112-111.1S128 178.3 128 240C128 248.8 135.2 256 144 256S160 248.8 160 240zM32 456c-13.25 0-24 10.75-24 23.1c0 13.25 10.75 23.1 24 23.1c13.26 0 24-10.75 24-23.1C56 466.7 45.26 456 32 456zM160 328c-13.25 0-24 10.75-24 23.1S146.7 376 160 376c13.26 0 24-10.75 24-23.1S173.3 328 160 328zM75.31 372.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.37 0 22.62l64 63.1C119.8 462.4 123.9 464 128 464s8.188-1.562 11.31-4.687c6.25-6.25 6.25-16.37 0-22.62L75.31 372.7zM357.1 .8386c-8.469-2.828-17.45 1.734-20.23 10.11c-2.797 8.39 1.734 17.45 10.11 20.23C426.5 57.73 480 131.9 480 215.8v8.199c0 8.844 7.156 16 16 16S512 232.8 512 224V215.8C512 118.1 449.7 31.73 357.1 .8386z"],
    "ear-muffs": [640, 512, [], "f795", "M147.3 223.1c-10.36 0-20.14 3.672-28.24 10.55C107.6 229.3 93.76 228.7 84.53 233.3C73.06 237.8 64.27 246.5 59.66 257.8C48.3 259.2 37.54 264.1 29.82 274.3C22.62 283.5 19.09 295.1 19.91 306.8C10.72 313.1 4.024 322.8 1.274 334.5c-2.609 11.34-.72 23.25 5.077 33.19c-5.703 9.656-7.787 21.52-5.412 33.23c2.703 11.66 9.341 21.37 18.75 27.72c-1.031 11.84 2.428 23.53 9.68 32.5c7.33 9.375 17.86 15.25 29.6 16.72c4.58 11.16 13.19 19.92 24.22 24.45c11.44 4.781 24.03 4.094 35.39-1.594C126.7 508 136.7 512 147.3 512c24.62 0 44.64-20.56 44.64-45.81c0-10.31-3.517-18.58-7.423-24.58c4.877-7.531 7.423-15.98 7.423-24.7c0-8.938-2.397-17.28-6.931-24.44c4.549-7.25 6.92-15.53 6.92-24.41s-2.364-17.28-6.913-24.53c4.549-7.219 6.923-15.59 6.923-24.56c0-8.656-2.546-17.03-7.438-24.59C189.4 286.9 191.1 278.4 191.1 269.8C191.1 244.6 171.1 223.1 147.3 223.1zM156.2 309.8c2.484 2.938 3.734 6 3.734 9.125c0 3.562-1.047 6.594-3.156 9.062c-7.611 9.031-7.596 22.06 0 31C158.9 361.5 159.1 364.5 159.1 368s-1.062 6.5-3.109 8.938c-7.643 8.969-7.658 22 .0156 31.09c2.047 2.406 3.094 5.406 3.094 8.875c0 3.188-1.25 6.312-3.672 9.188c-7.643 8.969-7.658 22 .0313 31.12c1.656 1.938 3.641 5.062 3.641 8.969C159.1 473.8 154.3 480 147.3 480c-4.111 0-7.158-2.594-8.986-4.781c-4.689-5.594-11.46-8.562-18.35-8.562c-4.643 0-9.346 1.344-13.52 4.125c-3.938 2.719-7.688 3.312-11.13 1.938c-3.625-1.5-6.266-4.656-7.424-8.875c-2.844-10.38-12.36-17.62-23.14-17.62c-4.158 0-7.814-1.719-10.41-5.062c-2.518-3.094-3.439-7.406-2.533-11.75c2.236-10.59-2.953-21.44-12.72-26.41c-4.484-2.25-6.252-6.25-6.846-8.812c-.8438-4.125 .1094-8.5 2.424-11.41c6.953-8.656 7.094-20.81 .3125-29.66c-2.502-3.281-3.424-7.406-2.549-11.25c1.047-4.375 3.564-7.844 6.83-9.531c9.486-4.75 14.74-15.38 12.77-25.88c-.8281-4.406 .2187-9.031 2.58-12c2.469-3 6.359-4.906 10.28-4.906C76.51 290.8 85.98 282.1 88.67 271.7c1.08-4.062 3.768-7.125 8.58-9.062c1.549-.5 6.455-.4687 10.13 1.969c10.13 6.5 23.18 4.688 30.91-4.156C140.1 258.4 143.1 256 147.3 256c6.971 0 12.64 6.188 12.64 13.81c0 3-1.328 6.281-3.719 9.062C148.6 287.9 148.7 300.9 156.2 309.8zM639 335.1c-2.703-11.66-9.315-21.38-18.72-27.72c1.031-11.84-2.428-23.53-9.68-32.5c-7.33-9.375-17.86-15.25-29.6-16.72c-4.58-11.16-13.19-19.92-24.22-24.45c-11.39-4.75-24-4.063-35.39 1.594c-8.096-7.312-18.12-11.3-28.77-11.3c-24.62 0-44.64 20.56-44.64 45.81c0 10.31 3.517 18.58 7.423 24.58c-4.877 7.531-7.423 15.98-7.423 24.7c0 8.938 2.397 17.28 6.931 24.44c-4.549 7.25-7.015 15.53-7.015 24.41s2.458 17.28 7.007 24.53c-4.549 7.219-6.923 15.59-6.923 24.56c0 8.656 2.546 17.03 7.438 24.59c-4.83 7.469-7.438 15.1-7.438 24.56c0 25.25 20.03 45.81 44.64 45.81c10.36 0 20.14-3.672 28.24-10.55c11.52 5.25 25.3 5.799 34.58 1.268c11.47-4.5 20.26-13.25 24.87-24.53c11.36-1.344 22.12-7.141 29.84-16.48c7.205-9.156 10.73-20.8 9.914-32.48c9.189-6.344 15.85-16.17 18.6-27.83c2.609-11.34 .752-23.13-5.045-33.06C639.4 358.7 641.4 346.8 639 335.1zM604.1 382.9c2.502 3.281 3.424 7.406 2.549 11.25c-1.047 4.375-3.564 7.844-6.83 9.531c-9.486 4.75-14.74 15.38-12.77 25.88c.8281 4.406-.2187 9.031-2.58 12c-2.531 3.094-6.688 5.031-10.55 4.906c-10.92 0-20.82 7.562-23.49 17.91c-1.08 4.062-3.768 7.125-8.58 9.062c-1.533 .5313-6.439 .4375-10.13-1.969c-10.16-6.5-23.22-4.719-30.91 4.156C499.9 477.6 496.9 480 492.7 480c-6.971 0-12.64-6.188-12.64-13.81c0-3 1.328-6.281 3.719-9.062c7.611-9.031 7.596-22.06 .0156-30.97c-2.484-2.938-3.734-6-3.734-9.125c0-3.562 1.047-6.594 3.156-9.062c7.611-9.031 7.596-22.06 0-31C481.1 374.5 480 371.5 480 368s1.062-6.5 3.109-8.938c7.643-8.969 7.658-22-.0156-31.09c-2.047-2.406-3.094-5.406-3.094-8.875c0-3.188 1.25-6.312 3.672-9.188c7.643-8.969 7.658-22-.0313-31.12c-1.656-1.938-3.641-5.062-3.641-8.969C480 262.2 485.7 256 492.7 256c4.111 0 7.158 2.594 8.986 4.781c7.861 9.375 21.52 11.34 31.87 4.438c3.953-2.688 7.719-3.281 11.13-1.938c3.625 1.5 6.266 4.656 7.424 8.875c2.844 10.38 12.36 17.62 23.14 17.62c4.158 0 7.814 1.719 10.41 5.062c2.518 3.094 3.439 7.406 2.533 11.75c-2.236 10.59 2.953 21.44 12.72 26.41c4.484 2.25 6.252 6.25 6.846 8.812c.8438 4.094-.0938 8.469-2.439 11.44C598.4 361.9 598.2 374.1 604.1 382.9zM506.9 179.7C508.6 187 515.2 192 522.4 192c1.219 0 2.453-.125 3.688-.4375c8.609-2.031 13.94-10.62 11.91-19.25C514 70.88 424.4 0 320 0S125.1 70.88 101.1 172.3C99.95 180.9 105.3 189.5 113.9 191.6c8.516 2.156 17.2-3.312 19.25-11.88C153.7 92.72 230.5 32 320 32S486.3 92.72 506.9 179.7z"],
    "earth-africa": [512, 512, [127757, "globe-africa"], "f57c", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM474.7 207.2L427.5 195.4C423.4 194.3 419.1 195.5 416.1 198.5C414.2 200.5 412.5 202.7 411.3 205.2L410.1 205.8C403.1 221.6 388.9 233.1 372.3 237.7L387.5 252.8C395.5 260.9 400 271.7 400 283.1C400 302.6 386.8 319.6 368 324.5V330.7C368 347.1 362.4 364.8 352 378.7L326.4 412.8C317.3 424.9 303.1 432 288 432C261.5 432 240 410.5 240 384V336H208C172.7 336 144 307.3 144 272V244C144 226.4 152.3 209.8 166.4 199.2L205.8 169.7C214.1 163.4 224.3 160 234.8 160C239.1 160 245.1 160.8 250 162.5L282 173.1C286.3 174.6 290.1 174.8 295.4 173.7L329.7 165.1C333.4 164.2 336 160.8 336 157C336 154.2 334.6 151.6 332.3 150.1L306 132.6C298.5 139.9 288.3 144 277.8 144C271.5 144 265.3 142.5 259.6 139.7L246.4 133.1C222.6 169.1 163.4 147.7 171.6 102.9L174.1 84.28C175.3 82.24 175.2 80.14 174.5 78.17L165.5 51.04C86.86 85.82 32 164.5 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 239.2 478.2 222.9 474.7 207.2V207.2zM256 32C235.1 32 214.8 34.87 195.6 40.23L204.9 68.05C207.2 75.12 207.8 82.67 206.4 90L203.1 108.7C201.2 118.9 215.1 123.9 220.2 114.8C227.6 101.4 244.3 96.24 257.9 103.1L273.1 111.1C275.2 111.7 276.5 112 277.8 112C280.1 112 282.3 111.1 283.9 109.5L287.4 105.1C295.9 97.51 309.1 96.2 319.1 102.8L350 123.5C361.3 130.9 368 143.5 368 157C368 175.5 355.4 191.6 337.5 196.1L303.2 204.7C292.8 207.3 281.1 206.9 271.9 203.5L239.9 192.8C238.2 192.3 236.5 192 234.8 192C231.2 192 227.8 193.1 224.1 195.3L185.6 224.8C179.6 229.3 176 236.4 176 244V272C176 289.7 190.3 304 208 304H240C257.7 304 272 318.3 272 336V384C272 392.8 279.2 400 288 400C293 400 297.8 397.6 300.8 393.6L326.4 359.5C332.6 351.2 336 341.1 336 330.7V318.6C336 307.4 343.6 297.6 354.5 294.9L359.8 293.5C364.6 292.3 368 288 368 283.1C368 280.2 366.9 277.5 364.8 275.5L324.7 235.3C320.1 230.7 318.7 223.9 321.2 217.9C323.7 211.9 329.5 208 336 208H355.7C366.1 208 377.3 201.6 382.4 191.5L382.6 190.9C385.4 185.4 389.1 180.3 393.5 175.9C404.4 164.1 420.3 160.6 435.2 164.3L463.5 171.4C430.1 89.61 349.8 32 256 32V32z"],
    "earth-americas": [512, 512, [127758, "earth", "earth-america", "globe-americas"], "f57d", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 480C363.5 480 453.3 404.3 475 303.2L429.2 291.8C413.2 287.8 400.5 275.1 395.3 260.4L378.4 209.7C370.3 185.6 382.5 159.4 406.1 149.9L444.3 134.6C405 73.82 337.1 33.24 259.6 32.03L266.7 44.48C276.8 62.09 274.7 84.13 261.5 99.53L241.3 123C238.8 125.1 238.8 130.3 241.3 133.3L259.2 154.8C269.1 166.7 270 183.8 261.4 196.7C252.6 209.9 236.1 215.6 221.1 210.6L196.9 202.5C194.5 201.7 191.1 201.9 189.8 202.1C185.2 205.3 183.3 210.9 185.6 215.5L186.3 216.8C187.4 218.9 189.1 220.6 191.2 221.7L237 244.6C241.5 246.8 246.4 247.1 251.3 247.1H300.1C317.1 247.1 333.4 254.7 345.4 266.7L349.3 270.6C361.3 282.6 368 298.9 368 315.9V324.1C368 347.1 355.7 368.3 335.8 379.7L324.2 386.3C315 391.5 308.4 400.3 305.9 410.5L301.5 428.1C296.2 449.2 277.2 464 255.4 464C229.2 464 208 442.8 208 416.6V393.9C208 388.1 205.2 384.5 200.8 382.3C185.6 374.7 176 359.1 176 342.1V327.1C176 310.8 165.4 296.5 149.9 291.6L86.86 271.9C64.9 265 46.96 249.1 37.62 228L34.66 221.4C32.91 232.7 32 244.2 32 255.1C32 379.7 132.3 480 256 480L256 480zM48.02 172.7L66.86 215C72.47 227.7 83.23 237.2 96.41 241.4L159.4 261.1C188.3 270.1 208 296.8 208 327.1V342.1C208 347 210.8 351.5 215.2 353.7C230.4 361.3 240 376.9 240 393.9V416.6C240 425.1 246.9 432 255.4 432C262.5 432 268.7 427.2 270.4 420.3L274.8 402.7C279.5 384.1 291.6 368.1 308.3 358.5L319.9 351.9C329.8 346.2 336 335.6 336 324.1V315.9C336 307.4 332.6 299.3 326.6 293.3L322.7 289.4C316.7 283.4 308.6 280 300.1 280H251.3C241.4 280 231.6 277.7 222.7 273.2L176.8 250.3C168.6 246.2 161.8 239.4 157.7 231.2L157 229.8C146.8 209.4 155.1 184.6 175.5 174.4C185.3 169.5 196.6 168.7 207 172.1L231.2 180.2C232.5 180.7 234 180.2 234.8 178.1C235.5 177.8 235.5 176.3 234.6 175.3L216.7 153.8C204.2 138.8 204.3 117 217.1 102.2L237.2 78.71C241.6 73.58 242.3 66.23 238.9 60.36L224 34.27C143.8 45.74 77.28 99.71 48.02 172.7H48.02zM459.8 162.9L417.1 179.6C410.1 182.8 406 191.5 408.7 199.6L425.6 250.3C427.4 255.5 431.6 259.4 436.9 260.7L479.5 271.4C479.8 266.3 480 261.2 480 256C480 222.8 472.8 191.3 459.8 162.9V162.9z"],
    "earth-asia": [512, 512, [127759, "globe-asia"], "f57e", "M195.9 352.5C204.5 354.6 209.7 363.3 207.5 371.9C205.4 380.5 196.7 385.7 188.1 383.5L156.1 375.5C147.5 373.4 142.3 364.7 144.5 356.1C146.6 347.5 155.3 342.3 163.9 344.5L195.9 352.5zM248.1 347.5C239.5 345.4 234.3 336.7 236.5 328.1L244.5 296.1C246.6 287.5 255.3 282.3 263.9 284.5C272.5 286.6 277.7 295.3 275.5 303.9L267.5 335.9C265.4 344.5 256.7 349.7 248.1 347.5zM350.3 175.2C346.4 183.1 336.7 186.3 328.8 182.3C320.9 178.4 317.7 168.7 321.7 160.8L337.7 128.8C341.6 120.9 351.3 117.7 359.2 121.7C367.1 125.6 370.3 135.3 366.3 143.2L350.3 175.2zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM345.8 50.7L323.4 106.5C318.6 118.5 308.4 127.4 295.1 130.5L278.9 134.8C273.4 136.1 271.1 142.7 274.5 147.3L290.6 168.8C300.8 182.4 301.3 200.9 291.9 215L281.2 231.1C270.8 246.6 253.3 256 234.6 256H232.3C226.9 256 223.1 261.2 224.6 266.3L230.6 286.2C238 311 219.4 336 193.5 336C176.7 336 161.4 326.5 153.9 311.5L144.6 292.9C142.1 288.1 135.6 286.1 131.8 290.9L116.4 306.2C106.9 315.7 93.38 319.8 80.27 317.2L38.25 308.8C61.97 407 150.5 480 255.1 480C303.4 480 347.4 465.3 383.6 440.1L375.1 433.1L364.5 437.9C336.9 448.2 305.1 435.3 293.9 408.3L288.4 395.1C276.5 369.5 286.8 338.3 312.2 324.2L348.4 303.1L354.5 294.5C363.4 280.5 378.9 272 395.5 272C412.1 272 427.6 280.5 436.6 294.5L438.5 297.4L454.1 293C461.6 290.9 469.5 291.1 476.9 293.4C478.9 281.2 480 268.7 480 256C480 164.2 424.8 85.31 345.8 50.71L345.8 50.7zM462.7 323.9L446.9 328.3C433.4 332 419.1 326.6 411.6 314.8L409.6 311.7C406.5 306.9 401.2 304 395.5 304C389.8 304 384.5 306.9 381.4 311.7L375.3 321.2C372.5 325.7 368.6 329.4 363.1 331.9L327.8 352.1C316.9 358.2 312.5 371.5 317.6 382.9L323.1 395.3C328.3 406.8 341.5 412.3 353.4 407.9L372 401C377 399.1 382.7 399.9 386.1 403L409.4 419.3C436.6 393.6 457.5 361.3 469.2 324.8L468.4 324.4C466.6 323.5 464.6 323.3 462.7 323.9V323.9zM315.6 40.01C296.6 34.79 276.6 32 256 32C132.3 32 32 132.3 32 256C32 262.4 32.27 268.8 32.8 275L86.54 285.8C89.17 286.3 91.88 285.5 93.77 283.6L109.1 268.2C128.4 248.9 160.1 254.2 173.2 278.6L182.5 297.2C184.6 301.4 188.8 304 193.5 304C197.1 304 201.2 299.7 199.9 295.4L193.9 275.5C186.2 249.8 205.5 224 232.3 224H234.6C242.6 224 250.1 219.1 254.6 213.3L265.3 197.3C267.1 194.4 267 190.7 265 188L248.9 166.5C231.7 143.6 243.4 110.6 271.2 103.7L288.2 99.45C290.7 98.83 292.7 97.05 293.7 94.66L315.6 40.01z"],
    "earth-europe": [512, 512, ["globe-europe"], "f7a2", "M187.3 100.7C193.6 106.9 193.6 117.1 187.3 123.3L155.3 155.3C149.1 161.6 138.9 161.6 132.7 155.3C126.4 149.1 126.4 138.9 132.7 132.7L164.7 100.7C170.9 94.44 181.1 94.44 187.3 100.7V100.7zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM477.7 288C479.2 277.5 480 266.9 480 256C480 141.8 394.5 47.54 284.1 33.74L279.6 51.58C294.6 47.81 310.7 53.66 319.6 66.88C332.3 85.57 325.6 111.1 305.4 121.2L246.2 150.8C242.4 152.7 240 156.6 240 160.9C240 169.7 236.5 178.1 230.3 184.4L211.6 203C209.3 205.3 208 208.5 208 211.7V213.3C208 219.2 212.8 224 218.7 224C222 224 225.2 222.4 227.2 219.7L237.9 205.4C244.3 196.1 254.2 192 264.7 192C273.6 192 282.2 195.5 288.4 201.8L291.3 204.7C293.9 207.3 298.1 207.3 300.7 204.7L332.8 172.6C345.8 159.6 368 168.8 368 187.1V196.6C368 202.9 373.1 208 379.4 208H383.1C406.6 208 419.6 235.1 404.1 253.4C401.3 258 401.9 264.8 406.5 268.6L422.4 281.8C427.2 285.8 433.2 288 439.4 288H477.7zM470.7 320H439.4C425.7 320 412.4 315.2 401.9 306.4L386 293.2C370.1 279.9 366.2 257.5 375.7 239.8C358.7 238.4 344.5 227.2 338.8 211.9L323.3 227.3C308.2 242.4 283.8 242.4 268.7 227.3L265.8 224.4C265.5 224.2 265.1 224 264.8 224C264.3 224 263.8 224.2 263.5 224.6L252.8 238.9C244.7 249.7 232.1 256 218.7 256C195.1 256 176 236.9 176 213.3V211.7C176 199.1 180.7 188.7 188.1 180.4L207.6 161.7C207.9 161.5 208 161.2 208 160.9C208 144.5 217.3 129.5 231.9 122.1L291.1 92.57C293.1 91.13 294.9 87.48 293.1 84.81C291.6 82.61 288.7 81.83 286.4 82.1L278.3 86.94C260 95.84 239.7 79.35 244.6 59.63L251.5 32.05C129.9 34.44 32 133.8 32 256C32 378.6 130.6 478.3 252.8 479.1C247.1 470.5 238.1 464 226.7 464C210.5 464 194.9 457.5 183.4 446.1L167.4 430.1C152.4 415.1 144 394.7 144 373.5V370.3C144 343.5 157.4 318.5 179.6 303.7L207 285.4C220.1 276.7 235.6 272 251.4 272H272.3C291.4 272 309.9 278.8 324.4 291.3L350.1 314C355.4 317.9 361.2 320 367.1 320C382.2 320 396.6 325.1 407.3 336.6L411.3 340.7C418.6 347.9 428.4 352 438.6 352H458.4C463.3 341.7 467.4 331 470.7 320V320zM439.8 384H438.6C419.9 384 401.9 376.6 388.7 363.3L384.6 359.3C379.1 354.6 373.7 352 367.1 352C353.5 352 340.4 347.1 330.1 338.3L303.6 315.6C294.9 308.1 283.8 303.1 272.3 303.1H251.4C241.9 303.1 232.6 306.8 224.8 312.1L197.4 330.3C184 339.2 176 354.2 176 370.3V373.5C176 386.2 181.1 398.4 190.1 407.4L206.1 423.4C211.5 428.9 218.1 432 226.7 432C255.3 432 279.3 451.5 286.1 477.1C349.7 469.5 404.8 434.3 439.8 384L439.8 384z"],
    "earth-oceania": [512, 512, ["globe-oceania"], "e47b", "M272.7 208.5C277.7 209.7 281.8 213.4 283.7 218.2L296.5 250.9C298.8 256.7 301.9 262.1 305.7 267L323.6 289.1C331.6 300.2 336 312.8 336 325.8C336 338.8 331.6 351.4 323.6 361.7L311.6 377.1C300.3 391.6 282.9 400 264.6 400C253.1 400 241.9 396.7 232.3 390.5L205.2 373L159.4 357.2L138.1 363.7C113.1 371.9 85.11 360.4 72.49 336.4L69.21 330.1C54.41 301.1 66 267.1 94.73 253.5L130 236.7L135.3 229.7C145.5 216 161.6 208 178.7 208C195.8 208 211.8 216 222.1 229.7L226.1 234.1L226.4 235.1C228.8 235.6 231.3 234.9 233.2 233.3L258.4 211.8C262.4 208.5 267.7 207.2 272.7 208.5L272.7 208.5zM178.7 240C171.7 240 165.1 243.3 160.9 248.9L155.6 255.9C152.5 260.1 148.4 263.4 143.8 265.6L108.5 282.4C96.16 288.2 91.19 303.2 97.53 315.2L100.8 321.5C106.2 331.8 118.2 336.7 129.3 333.2L154.7 325.1C158 324.1 161.5 324.1 164.8 325.2L217.5 343.4C218.7 343.8 219.9 344.4 220.9 345.1L249.6 363.6C254.1 366.5 259.3 368 264.6 368C273.1 368 281.1 364.1 286.4 357.4L298.4 341.1C302 337.4 304 331.7 304 325.8C304 319.1 302 314.3 298.4 309.7L280.5 286.7C274.7 279.4 270.1 271.2 266.7 262.5L262.1 250.7L253.1 257.7C244.6 265.7 232.1 268.9 219.1 266.4L219.6 266.3C211.1 264.8 205.2 260.5 200.5 254.2L196.5 248.9C192.3 243.3 185.7 240 178.7 240L178.7 240zM306.5 154.3C318.9 168.8 310.2 191.3 291.2 193.7L253.3 198.5C242.3 199.8 231.2 197.4 221.9 191.5L182.5 166.9C165 155.1 168.6 129.5 188.3 123.6L231.5 110.7C249.6 105.2 269.3 110.1 281.7 125.4L306.5 154.3zM214.5 149.2L238.8 164.4C241.1 166.4 245.7 167.2 249.3 166.7L272.5 163.8L257.4 146.2C253.3 141.4 246.7 139.5 240.7 141.3L214.5 149.2zM248 432C248 423.2 255.2 416 264 416H280C288.8 416 296 423.2 296 432C296 440.8 288.8 448 280 448H264C255.2 448 248 440.8 248 432zM439.2 330.9C441.1 339.3 437.4 348.4 429.1 351.2C420.7 353.1 411.6 349.4 408.8 341.1L400.8 317.1C398 308.7 402.6 299.6 410.9 296.8C419.3 294 428.4 298.6 431.2 306.9L439.2 330.9zM379.3 419.3C373.1 425.6 362.9 425.6 356.7 419.3C350.4 413.1 350.4 402.9 356.7 396.7L388.7 364.7C394.9 358.4 405.1 358.4 411.3 364.7C417.6 370.9 417.6 381.1 411.3 387.3L379.3 419.3zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480z"],
    "eclipse": [640, 512, [], "f749", "M256 467.5l-48.38-71.64c-3-4.376-8-7.002-13.25-7.002c-1 0-2 .125-3 .3751L106.6 405.6l16.38-84.77c1.25-6.377-1.375-12.75-6.75-16.38L44.62 256.1l71.62-48.39c5.25-3.626 8-10 6.75-16.38L106.6 106.5l84.75 16.38C197.6 124 204.1 121.4 207.8 116.2L256 44.64L280.1 81.54c5.257 7.766 15.99 9.178 23.21 3.195l.329-.2721C310.8 79.32 312 70.25 307.5 63.55L269.2 7.002C266.2 2.626 261.3 0 256 0C250.8 0 245.8 2.626 242.8 7.002L187 89.4l-97.75-18.75c-5.125-1-10.51 .616-14.26 4.367S69.62 84.15 70.62 89.27l18.75 97.77L7 242.8C2.625 245.8 0 250.8 0 256c0 5.251 2.625 10.28 7 13.28l82.38 55.76l-18.88 97.77c-1 5.126 .8437 10.36 4.469 14.11c3.75 3.751 9.156 5.519 14.28 4.519l97.63-18.88l55.88 82.4C245.8 509.4 250.7 512 255.9 512c5.375 0 10.33-2.626 13.21-7.002l38.08-56.36c4.605-6.816 3.143-15.94-3.215-21.16c-7.141-5.878-18.07-4.397-23.24 3.274L256 467.5zM241.1 170.1l.2634-.6427c5.026-12.21-6.691-24.86-19.3-20.94C205.5 154.5 189.1 163.6 176.8 176.8C139 214.7 133.2 270.8 162.2 320.1C169.5 332.3 179.8 342.5 192 349.8c10.08 5.947 20.46 10.39 30.93 13.39c12.41 3.557 23.5-9.272 18.53-21.19l-.2609-.6277c-1.823-4.404-5.382-7.879-9.958-9.207c-7.413-2.152-15.13-5.358-22.1-10c-7.5-4.376-14-10.88-18.37-18.38C164 259.8 178.8 220.2 199.5 199.4c8.045-7.939 19.03-15.14 32.1-19.32C235.1 178.7 239.4 175.2 241.1 170.1zM448 64.02c-106 0-191.1 85.97-191.1 191.1c0 106 85.99 192 191.1 192c105.1 0 192-86.01 192-192C640 149.1 553.1 64.02 448 64.02zM448 416.1c-88.25 0-159.1-71.81-159.1-160.1S359.8 96.02 448 96.02s160 71.77 160 160S536.3 416.1 448 416.1z"],
    "egg": [384, 512, [129370], "f7fb", "M192 16c-106 0-192 200.6-192 300S85.1 496 192 496c105.1 0 192-80.63 192-180S297.1 16 192 16zM192 464c-88.22 0-160-66.39-160-148C32 222.3 114.2 48 192 48s160 174.3 160 268C352 397.6 280.2 464 192 464zM135.2 117.1C100.7 160.7 64 240.4 64 304C64 312.8 71.16 320 80 320S96 312.8 96 304c0-54.19 32.59-126.9 64.13-165.1c5.547-6.875 4.469-16.94-2.406-22.5C150.9 109.1 140.8 111 135.2 117.1z"],
    "egg-fried": [512, 512, [], "f7fc", "M223.1 168.1c-39.75 .125-72 32.32-72 72.01c0 8.861 7.126 15.99 16 15.99S183.1 248.1 183.1 240.1c0-22.09 17.88-40.03 40-40.03c8.875 0 16-7.251 16-15.99C239.1 175.3 232.9 168.1 223.1 168.1zM478.4 150.5c-39.5-40.75-100.8-46.38-144.5-82.25C290.2 32.24 255.6 0 200.5 0C192.1 0 183.7 .7387 175.3 2.114c-86.76 14-111.8 80.01-125 157.1c-11.12 64.38-54.38 127-50 192.9c4.375 65.88 52.88 128.5 115 150.8C132.9 509.3 149.2 512 164.2 512c64.76 0 109-51.12 155.8-95.49c43.63-41.5 93.38-37.75 140.9-74C517.2 299.8 532.6 201.1 478.4 150.5zM479.9 239.8c-1.75 31-16.38 60.63-38.25 77.25c-18.13 13.88-37.63 20.88-58.13 28.5c-26.88 9.75-57.26 20.88-85.51 47.75c-5.5 5.125-10.88 10.38-16.38 15.75C243.1 445.5 208.5 480 164.2 480c-12 0-24.5-2.375-38.13-7.25c-50.88-18.25-90.38-69.88-93.88-122.7C30.06 317.5 42.81 283.5 56.44 247.6c10-26.62 20.38-54.13 25.38-83C96.95 77.25 122.7 43 180.5 33.75C187.1 32.63 193.8 32 200.5 32c39.63 0 66.51 22.25 103.8 53.25L313.6 93c23.63 19.5 50.01 30.62 75.38 41.5c25.5 10.75 49.5 21 67.26 39.25C478.7 195 480.7 224.3 479.9 239.8zM224 112c-70.5 0-128 57.44-128 128c0 70.68 57.38 128 128 128s128-57.44 128-128S294.6 112 224 112zM224 336c-53-.125-96.03-42.94-96.03-95.88s43.13-96.07 96-96.07s96 43.13 96 96.07S277 335.9 224 336z"],
    "eggplant": [512, 512, [], "e16c", "M512 16C512 7.473 505.1 0 496 0c-4.094 0-8.188 1.562-11.31 4.688l-26.1 26.1C444.9 21.47 428.4 16 410.7 16h-106.7c-17.67 0-32 14.33-32 32c0 9.361 1.516 18.38 4.312 26.81C185.7 146.5 123.8 177.1 100.8 186.1C31.93 214.6 .0005 275.1 .0005 337.4c0 141.1 129.2 174.7 172.6 174.7c57.68 0 108.2-13.32 213.2-172.9c21.93-33.59 41.11-67.46 59.27-101.5C451.2 239 457.5 240 464 240c17.67 0 32-14.33 32-32V101.3c0-17.76-5.477-34.25-14.79-47.92l26.1-26.1C510.4 24.19 512 20.09 512 16zM359.1 321.5C267.6 460.5 226.8 480 172.6 480c-49.81 0-94.85-25.7-120.5-68.75C17.63 353.4 22.56 253.2 112.4 215.9c18.08-7.078 81.9-36.09 179.9-113c9.904 11.72 22.72 20.91 37.54 25.96c8.52 25 28.33 44.81 53.33 53.33c5.996 17.6 17.68 32.5 32.73 42.83C397.8 258.7 379.1 290.9 359.1 321.5zM464 208c-29.45 0-53.33-23.88-53.33-53.33c-29.46 0-53.33-23.88-53.33-53.33c-29.46 0-53.33-23.88-53.33-53.33h106.7c29.46 0 53.33 23.88 53.33 53.33V208z"],
    "eject": [448, 512, [9167], "f052", "M48.01 351.1h351.1c41.62 0 63.49-49.63 35.37-80.38l-175.1-192.1C249.9 69.16 236.9 64.01 224 64.01c-12.94 0-25.87 5.156-35.37 15.47L12.64 271.6C-15.48 302.2 6.393 351.1 48.01 351.1zM36.24 293.2l175.9-192.1C216.3 96.67 221.4 96 224 96c2.65 0 7.711 .668 11.78 5.082l175.1 192.1c6.328 6.92 4.062 14.36 2.795 17.24c-1.266 2.871-5.217 9.551-14.55 9.551H48.01c-9.326 0-13.28-6.713-14.55-9.598C32.2 307.5 29.94 300.1 36.24 293.2zM432 416h-416c-8.844 0-15.99 7.164-15.99 16.01S7.156 448 16 448h416c8.844 0 15.99-7.148 15.99-15.99S440.8 416 432 416z"],
    "elephant": [640, 512, [128024], "f6da", "M297.2 191.4L305.3 192.1C314.1 192.8 320.7 200.5 319.9 209.3C319.2 218.1 311.5 224.7 302.7 223.9L294.5 223.3C236.6 218.4 192 169.1 192 111.8C192 95.8 195.4 80.56 201.4 66.77C123.3 81.14 64 149.6 64 232L64 283.1C64 315.8 52.87 347.5 32.44 373.1L28.49 377.1C22.97 384.9 12.9 386 6.005 380.5C-.8951 374.1-2.013 364.9 3.507 358L7.455 353.1C23.35 333.2 32 308.5 32 283.1L32 232C32 123.7 118 35.59 225.4 32.11C245.6 12.25 273.3 0 303.8 0C334.2 0 361.9 12.15 382.1 32H384C472.4 32 544 103.6 544 192V304C544 312.8 536.8 320 528 320C519.2 320 512 312.8 512 304V192C512 128.7 466.1 76.19 405.8 65.85C410.9 77.17 414.2 89.52 415.3 102.5L415.9 110.7C416.7 119.5 410.1 127.2 401.3 127.9C392.5 128.7 384.8 122.1 384.1 113.3L383.4 105.2C379.9 63.82 345.3 32 303.8 32C259.7 32 224 67.74 224 111.8C224 153.3 255.8 187.9 297.2 191.4L297.2 191.4zM455.4 340.3C468.6 348.4 483.5 352 504 352C535.3 352 562.5 343.2 580.6 324.8C586.8 318.5 596.9 318.4 603.2 324.6C609.5 330.8 609.6 340.9 603.4 347.2C577.4 373.7 540.6 384 504 384C495.6 384 487.7 383.5 480 382.3V383.1C480 418.1 509 448 544.9 448C574.6 448 600.6 427.7 607.8 398.9L608.5 396.1C610.6 387.5 619.3 382.3 627.9 384.5C636.5 386.6 641.7 395.3 639.5 403.9L638.8 406.6C628.1 449.8 589.3 480 544.9 480C491.4 480 448 436.6 448 383.1V372.7C444.9 371.2 441.8 369.5 438.8 367.7C430.7 362.8 423.2 356.7 416 349.6V464C416 490.5 394.5 512 368 512H336C309.5 512 288 490.5 288 464V406.7C273.2 412.7 256.1 416 240 416C223 416 206.8 412.7 192 406.7V464C192 490.5 170.5 512 144 512H112C85.49 512 64 490.5 64 464V352C64 343.2 71.17 336 80 336C88.84 336 96 343.2 96 352V464C96 472.8 103.2 480 112 480H144C152.8 480 160 472.8 160 464V384C160 383.3 160 382.6 160.1 381.1C159.6 378.2 160.5 374.2 162.9 370.8C167.9 363.5 177.9 361.7 185.2 366.8C200.7 377.6 219.6 384 240 384C260.4 384 279.3 377.6 294.8 366.8C302.1 361.7 312.1 363.5 317.1 370.8C319.5 374.2 320.4 378.2 319.9 381.1C319.1 382.6 320 383.3 320 384V464C320 472.8 327.2 480 336 480H368C376.8 480 384 472.8 384 464V304C384 295.2 391.2 288 400 288C405.6 288 410.6 290.9 413.4 295.3C428.8 318.3 441.1 332.1 455.4 340.3V340.3zM480 208C480 216.8 472.8 224 464 224C455.2 224 448 216.8 448 208C448 199.2 455.2 192 464 192C472.8 192 480 199.2 480 208z"],
    "elevator": [512, 512, [], "e16d", "M448 128H64c-35.35 0-64 28.65-64 63.1v255.1C0 483.3 28.65 512 64 512h384c35.35 0 64-28.65 64-63.1V192C512 156.7 483.3 128 448 128zM206.2 480H113.8v-64c0-17.64 14.36-32 32-32h28.45c17.64 0 32 14.36 32 32V480zM398.2 480h-92.45v-64c0-17.64 14.36-32 32-32h28.45c17.64 0 32 14.36 32 32V480zM480 448c0 17.64-14.36 32-32 32h-17.78v-64c0-35.35-28.65-64-64-64h-28.45c-35.35 0-64 28.65-64 64v64H238.2v-64c0-35.35-28.65-64-64-64H145.8c-35.35 0-64 28.65-64 64v64H64c-17.64 0-32-14.36-32-32V192c0-17.64 14.36-32 32-32h384c17.64 0 32 14.36 32 32V448zM160 208C129.1 208.1 104 233.1 104 264S129.1 319.9 160 320c30.95-.1172 56-25.13 56-55.1S190.9 208.1 160 208zM160.1 288C146.8 287.9 136 277.2 136 264C136 250.9 146.8 240.1 160 240c13.25 .1133 24 10.86 24 24C184 277.2 173.2 287.9 160.1 288zM352 208c-30.95 .1152-56 25.13-56 55.1s25.05 55.88 56 55.1c30.95-.1172 56-25.13 56-55.1S382.9 208.1 352 208zM352.1 288C338.8 287.9 328 277.2 328 264c0-13.14 10.76-23.89 24-24c13.25 .1133 24 10.86 24 24C376 277.2 365.2 287.9 352.1 288zM91.31 91.31L144 38.63l52.69 52.69C199.8 94.44 203.9 96 208 96s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62l-64-64c-6.25-6.25-16.38-6.25-22.62 0l-64 64c-6.25 6.25-6.25 16.38 0 22.62S85.06 97.56 91.31 91.31zM356.7 91.31c3.125 3.125 7.219 4.692 11.31 4.692s8.188-1.567 11.31-4.692l64-64c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0L368 57.38l-52.69-52.69c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L356.7 91.31z"],
    "ellipsis": [448, 512, ["ellipsis-h"], "f141", "M352 256C352 238.3 366.3 224 384 224C401.7 224 416 238.3 416 256C416 273.7 401.7 288 384 288C366.3 288 352 273.7 352 256zM192 256C192 238.3 206.3 224 224 224C241.7 224 256 238.3 256 256C256 273.7 241.7 288 224 288C206.3 288 192 273.7 192 256zM96 256C96 273.7 81.67 288 64 288C46.33 288 32 273.7 32 256C32 238.3 46.33 224 64 224C81.67 224 96 238.3 96 256z"],
    "ellipsis-stroke": [512, 512, ["ellipsis-h-alt"], "f39b", "M480 256C480 291.3 451.3 320 416 320C380.7 320 352 291.3 352 256C352 220.7 380.7 192 416 192C451.3 192 480 220.7 480 256zM416 224C398.3 224 384 238.3 384 256C384 273.7 398.3 288 416 288C433.7 288 448 273.7 448 256C448 238.3 433.7 224 416 224zM320 256C320 291.3 291.3 320 256 320C220.7 320 192 291.3 192 256C192 220.7 220.7 192 256 192C291.3 192 320 220.7 320 256zM256 224C238.3 224 224 238.3 224 256C224 273.7 238.3 288 256 288C273.7 288 288 273.7 288 256C288 238.3 273.7 224 256 224zM32 256C32 220.7 60.65 192 96 192C131.3 192 160 220.7 160 256C160 291.3 131.3 320 96 320C60.65 320 32 291.3 32 256zM96 288C113.7 288 128 273.7 128 256C128 238.3 113.7 224 96 224C78.33 224 64 238.3 64 256C64 273.7 78.33 288 96 288z"],
    "ellipsis-stroke-vertical": [192, 512, ["ellipsis-v-alt"], "f39c", "M96 480C60.65 480 32 451.3 32 416C32 380.7 60.65 352 96 352C131.3 352 160 380.7 160 416C160 451.3 131.3 480 96 480zM128 416C128 398.3 113.7 384 96 384C78.33 384 64 398.3 64 416C64 433.7 78.33 448 96 448C113.7 448 128 433.7 128 416zM96 320C60.65 320 32 291.3 32 256C32 220.7 60.65 192 96 192C131.3 192 160 220.7 160 256C160 291.3 131.3 320 96 320zM128 256C128 238.3 113.7 224 96 224C78.33 224 64 238.3 64 256C64 273.7 78.33 288 96 288C113.7 288 128 273.7 128 256zM96 32C131.3 32 160 60.65 160 96C160 131.3 131.3 160 96 160C60.65 160 32 131.3 32 96C32 60.65 60.65 32 96 32zM64 96C64 113.7 78.33 128 96 128C113.7 128 128 113.7 128 96C128 78.33 113.7 64 96 64C78.33 64 64 78.33 64 96z"],
    "ellipsis-vertical": [128, 512, ["ellipsis-v"], "f142", "M64 384C81.67 384 96 398.3 96 416C96 433.7 81.67 448 64 448C46.33 448 32 433.7 32 416C32 398.3 46.33 384 64 384zM64 224C81.67 224 96 238.3 96 256C96 273.7 81.67 288 64 288C46.33 288 32 273.7 32 256C32 238.3 46.33 224 64 224zM64 128C46.33 128 32 113.7 32 96C32 78.33 46.33 64 64 64C81.67 64 96 78.33 96 96C96 113.7 81.67 128 64 128z"],
    "empty-set": [512, 512, [8709, 216], "f656", "M491.3 20.69c-6.25-6.25-16.38-6.25-22.62 0L391.2 98.15C354.8 66.96 307.7 48 256 48C141.1 48 48 141.1 48 256c0 51.68 18.96 98.85 50.15 135.2l-77.46 77.46c-6.25 6.25-6.25 16.38 0 22.62C23.81 494.4 27.91 496 32 496s8.188-1.562 11.31-4.688l77.46-77.46C157.2 445 204.3 464 256 464c114.9 0 208-93.13 208-208c0-51.68-18.96-98.85-50.15-135.2l77.46-77.46C497.6 37.06 497.6 26.94 491.3 20.69zM80 256c0-97.05 78.95-176 176-176c42.78 0 82.01 15.37 112.5 40.83L120.8 368.5C95.37 338 80 298.8 80 256zM432 256c0 97.05-78.95 176-176 176c-42.78 0-82.01-15.37-112.5-40.83l247.7-247.7C416.6 173.1 432 213.2 432 256z"],
    "engine": [640, 512, [], "e16e", "M216 256C216 269.3 205.3 280 192 280C178.7 280 168 269.3 168 256C168 242.7 178.7 232 192 232C205.3 232 216 242.7 216 256zM264 256C264 242.7 274.7 232 288 232C301.3 232 312 242.7 312 256C312 269.3 301.3 280 288 280C274.7 280 264 269.3 264 256zM408 256C408 269.3 397.3 280 384 280C370.7 280 360 269.3 360 256C360 242.7 370.7 232 384 232C397.3 232 408 242.7 408 256zM416 80C416 88.84 408.8 96 400 96H320V128H396.6C409.3 128 421.6 131.7 432.1 138.7L483.5 173C501.3 184.9 512 204.9 512 226.3V384C512 419.3 483.3 448 448 448H254.8C235.3 448 216.9 439.2 204.8 423.1L172.8 384H144C117.5 384 96 362.5 96 336V272H32V352C32 360.8 24.84 368 16 368C7.164 368 0 360.8 0 352V160C0 151.2 7.164 144 16 144C24.84 144 32 151.2 32 160V240H96V176C96 149.5 117.5 128 144 128H288V96H208C199.2 96 192 88.84 192 80C192 71.16 199.2 64 208 64H400C408.8 64 416 71.16 416 80zM144 160C135.2 160 128 167.2 128 176V336C128 344.8 135.2 352 144 352H188.2L229.8 403.1C235.8 411.6 245 416 254.8 416H448C465.7 416 480 401.7 480 384V226.3C480 215.6 474.7 205.6 465.8 199.6L414.4 165.4C409.1 161.9 402.9 160 396.6 160H144zM544 224C544 206.3 558.3 192 576 192H608C625.7 192 640 206.3 640 224V416C640 433.7 625.7 448 608 448H576C558.3 448 544 433.7 544 416V224zM576 416H608V224H576V416z"],
    "engine-warning": [640, 512, ["engine-exclamation"], "f5f2", "M320 288C320 296.8 312.8 304 304 304C295.2 304 288 296.8 288 288V208C288 199.2 295.2 192 304 192C312.8 192 320 199.2 320 208V288zM280 352C280 338.7 290.7 328 304 328C317.3 328 328 338.7 328 352C328 365.3 317.3 376 304 376C290.7 376 280 365.3 280 352zM416 80C416 88.84 408.8 96 400 96H320V128H396.6C409.3 128 421.6 131.7 432.1 138.7L483.5 173C501.3 184.9 512 204.9 512 226.3V384C512 419.3 483.3 448 448 448H254.8C235.3 448 216.9 439.2 204.8 423.1L172.8 384H144C117.5 384 96 362.5 96 336V272H32V352C32 360.8 24.84 368 16 368C7.164 368 0 360.8 0 352V160C0 151.2 7.164 144 16 144C24.84 144 32 151.2 32 160V240H96V176C96 149.5 117.5 128 144 128H288V96H208C199.2 96 192 88.84 192 80C192 71.16 199.2 64 208 64H400C408.8 64 416 71.16 416 80zM144 160C135.2 160 128 167.2 128 176V336C128 344.8 135.2 352 144 352H188.2L229.8 403.1C235.8 411.6 245 416 254.8 416H448C465.7 416 480 401.7 480 384V226.3C480 215.6 474.7 205.6 465.8 199.6L414.4 165.4C409.1 161.9 402.9 160 396.6 160H144zM544 224C544 206.3 558.3 192 576 192H608C625.7 192 640 206.3 640 224V416C640 433.7 625.7 448 608 448H576C558.3 448 544 433.7 544 416V224zM576 416H608V224H576V416z"],
    "envelope": [512, 512, [128386, 61443, 9993], "f0e0", "M0 128C0 92.65 28.65 64 64 64H448C483.3 64 512 92.65 512 128V384C512 419.3 483.3 448 448 448H64C28.65 448 0 419.3 0 384V128zM32 128V167.9L227.6 311.3C244.5 323.7 267.5 323.7 284.4 311.3L480 167.9V128C480 110.3 465.7 96 448 96H63.1C46.33 96 31.1 110.3 31.1 128H32zM32 207.6V384C32 401.7 46.33 416 64 416H448C465.7 416 480 401.7 480 384V207.6L303.3 337.1C275.1 357.8 236.9 357.8 208.7 337.1L32 207.6z"],
    "envelope-circle-check": [640, 512, [], "e4e8", "M32 128V167.9L227.6 311.3C244.5 323.7 267.5 323.7 284.4 311.3L329.8 278.1C324.6 292.8 321.4 308.4 320.4 324.6L303.3 337.1C275.1 357.8 236.9 357.8 208.7 337.1L32 207.6V384C32 401.7 46.33 416 64 416H339.2C345 427.4 352.1 438.2 360.2 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H448C483.3 64 512 92.65 512 128V160.7C506.7 160.2 501.4 160 496 160C490.6 160 485.3 160.2 480 160.7V128C480 110.3 465.7 96 448 96H64C46.33 96 32 110.3 32 128L32 128zM563.3 292.7C569.6 298.9 569.6 309.1 563.3 315.3L491.3 387.3C485.1 393.6 474.9 393.6 468.7 387.3L428.7 347.3C422.4 341.1 422.4 330.9 428.7 324.7C434.9 318.4 445.1 318.4 451.3 324.7L480 353.4L540.7 292.7C546.9 286.4 557.1 286.4 563.3 292.7H563.3zM352 336C352 256.5 416.5 192 496 192C575.5 192 640 256.5 640 336C640 415.5 575.5 480 496 480C416.5 480 352 415.5 352 336zM496 448C557.9 448 608 397.9 608 336C608 274.1 557.9 224 496 224C434.1 224 384 274.1 384 336C384 397.9 434.1 448 496 448z"],
    "envelope-dot": [576, 512, ["envelope-badge"], "e16f", "M512 0c-35.35 0-64 28.65-64 64s28.65 64 64 64s64-28.65 64-64S547.3 0 512 0zM512 96c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S529.6 96 512 96zM528 164h-10.67c-3.463 0-6.832 1.123-9.602 3.199l-190.9 143.2c-17 12.72-40.63 12.72-57.63 0L64 164V128c0-17.67 14.33-32 32-32h304C408.8 96 416 88.84 416 80C416 71.16 408.8 64 400 64H96C60.65 64 32 92.65 32 128v256c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V180C544 171.2 536.8 164 528 164zM512 384c0 17.64-14.36 32-32 32H96c-17.64 0-32-14.36-32-32V203.1L240 336c14.12 10.61 31.06 16.01 48 16.01S321.9 346.6 336 336L512 203.1V384z"],
    "envelope-open": [512, 512, [62135], "f2b6", "M493.6 163c-24.88-19.62-45.5-35.37-164.3-121.6C312.7 29.21 279.7 0 256.4 0H255.6C232.3 0 199.3 29.21 182.6 41.38C63.88 127.6 43.25 143.4 18.38 163C6.75 172 0 186 0 200.8v263.2C0 490.5 21.49 512 48 512h416c26.51 0 48-21.49 48-47.1V200.8C512 186 505.3 172 493.6 163zM480 464c0 8.822-7.178 16-16 16h-416C39.18 480 32 472.8 32 464V200.8c0-4.902 2.23-9.555 6.195-12.63C61.59 169.7 80.71 154.1 201.5 67.21c2.98-2.178 6.451-4.861 10.28-7.826c9.365-7.254 34.18-26.48 44.62-27.37c9.686 .9551 34.44 20.13 43.79 27.37c3.828 2.965 7.299 5.648 10.36 7.887c120.7 87.68 139.8 102.4 163.5 121C477.8 191.2 480 195.8 480 200.8V464zM422.5 259.1l-132.8 97.72c-19.78 14.62-47.64 14.62-67.45 0L89.48 259.1C82.38 253.8 72.33 255.4 67.11 262.5C61.88 269.6 63.41 279.7 70.52 284.9l132.8 97.72C218.7 393.1 236.9 399.1 256 399.1s37.3-6.023 52.7-17.4l132.8-97.72c7.109-5.219 8.641-15.25 3.406-22.34C439.6 255.4 429.7 253.8 422.5 259.1z"],
    "envelope-open-dollar": [512, 512, [], "f657", "M496 192C487.2 192 480 199.2 480 208v256c0 8.836-7.164 16-16 16h-416C39.16 480 32 472.8 32 464v-256C32 199.2 24.84 192 16 192S0 199.2 0 208v256C0 490.5 21.49 512 48 512h416c26.51 0 48-21.49 48-48v-256C512 199.2 504.8 192 496 192zM64.88 276.3C65.16 277.3 65.43 278.3 65.88 279.2c.4355 .8633 1.012 1.605 1.607 2.385c.6953 .9102 1.393 1.75 2.264 2.49c.2949 .25 .4434 .6035 .7598 .8359l132.8 97.72C218.7 393.1 236.9 399.1 256 399.1s37.3-6.023 52.7-17.4l132.8-97.72c.3164-.2324 .4648-.5859 .7598-.8359c.8711-.7402 1.568-1.58 2.264-2.49c.5957-.7793 1.172-1.521 1.607-2.385c.457-.8984 .7266-1.84 1.01-2.826c.3027-1.061 .5586-2.078 .6406-3.176C447.8 272.8 448 272.4 448 272v-224C448 21.53 426.5 0 400 0h-288C85.53 0 64 21.53 64 48v224c0 .4121 .2031 .7578 .2344 1.162C64.32 274.3 64.57 275.3 64.88 276.3zM96 48C96 39.19 103.2 32 112 32h288C408.8 32 416 39.19 416 48v215.9l-126.3 92.92c-19.78 14.62-47.64 14.62-67.45 0L96 263.9V48zM239.1 272V288c0 8.844 7.156 16 16 16s16-7.156 16-16V272c0-.5938-.2734-1.094-.3359-1.672c22.57-3.75 38.73-16.53 42.23-36.7c6.859-39.75-30.91-50.56-53.48-57.03L254.8 175C227.7 167 228.5 162.3 229.6 155.8c1.875-10.94 19.25-13.38 34.81-10.91c5.812 .9062 12.22 2.906 18.3 5.031c8.359 2.844 17.44-1.531 20.36-9.875c2.906-8.344-1.516-17.47-9.859-20.38C284.6 116.7 277.8 114.9 271.6 113.8C271.7 113.2 271.1 112.6 271.1 112V96c0-8.844-7.156-16-16-16s-16 7.156-16 16v16c0 .4336 .2129 .7969 .2461 1.219C217.5 116.9 201.6 130.1 198.1 150.4C191.3 189.7 229.5 200.9 245.8 205.7l5.781 1.688c28.67 8.188 32.33 11.81 30.77 20.81c-1.875 10.94-19.3 13.34-34.84 10.91C240.2 237.1 231.1 234.7 223.1 231.8L218.6 230.3C210.3 227.3 201.2 231.7 198.2 240C195.3 248.3 199.7 257.5 207.1 260.4l4.279 1.531c8.699 3.125 18.47 6.465 28.09 8.203C240.3 270.8 239.1 271.4 239.1 272z"],
    "envelope-open-text": [512, 512, [], "f658", "M496 192C487.2 192 480 199.2 480 208v256c0 8.836-7.164 16-16 16h-416C39.16 480 32 472.8 32 464v-256C32 199.2 24.84 192 16 192S0 199.2 0 208v256C0 490.5 21.49 512 48 512h416c26.51 0 48-21.49 48-47.1V208C512 199.2 504.8 192 496 192zM64.88 276.3C65.16 277.3 65.43 278.3 65.88 279.2c.4355 .8633 1.012 1.605 1.607 2.385c.6953 .9102 1.393 1.75 2.264 2.49c.2949 .25 .4434 .6035 .7598 .8359l132.8 97.72C218.7 393.1 236.9 399.1 256 399.1s37.3-6.023 52.7-17.4l132.8-97.72c.3164-.2324 .4648-.5859 .7598-.8359c.8711-.7402 1.568-1.58 2.264-2.49c.5957-.7793 1.172-1.521 1.607-2.385c.457-.8984 .7266-1.84 1.01-2.826c.3027-1.061 .5586-2.078 .6406-3.176C447.8 272.8 448 272.4 448 272v-224C448 21.53 426.5 0 400 0h-288C85.53 0 64 21.53 64 48v224c0 .4121 .2031 .7578 .2344 1.162C64.32 274.3 64.57 275.3 64.88 276.3zM96 48C96 39.19 103.2 32 112 32h288C408.8 32 416 39.19 416 48v215.9l-126.3 92.92c-19.78 14.62-47.64 14.62-67.45 0L96 263.9V48zM352 239.1c0-8.838-7.164-16-16-16h-160c-8.836 0-16 7.162-16 16c0 8.836 7.164 15.1 16 15.1h160C344.8 255.1 352 248.8 352 239.1zM176 159.1h160c8.836 0 16-7.164 16-15.1c0-8.838-7.164-15.1-16-15.1h-160c-8.836 0-16 7.162-16 15.1C160 152.8 167.2 159.1 176 159.1z"],
    "envelopes": [640, 512, [], "e170", "M496 448H128c-35.35 0-64-28.65-64-64V112C64 103.2 56.84 96 48 96S32 103.2 32 112V384c0 53.02 42.98 96 96 96h368c8.836 0 16-7.164 16-16S504.8 448 496 448zM576 32H192C156.7 32 128 60.65 128 96v224c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V96C640 60.65 611.3 32 576 32zM608 320c0 17.64-14.36 32-32 32H192c-17.64 0-32-14.36-32-32V139.1L336 272c14.12 10.61 31.06 15.91 48 15.91S417.9 282.6 432 272L608 139.1V320zM608 100l-195.2 146.4c-17 12.72-40.63 12.72-57.63 0L160 100V96c0-17.64 14.36-32 32-32h384c17.64 0 32 14.36 32 32V100z"],
    "envelopes-bulk": [640, 512, ["mail-bulk"], "f674", "M80 160C88.84 160 96 152.8 96 144V64c0-17.67 14.33-32 32-32h256c17.67 0 32 14.33 32 32h32c0-35.35-28.65-64-64-64H128C92.65 0 64 28.65 64 64v80C64 152.8 71.16 160 80 160zM576 96H256C220.7 96 192 124.7 192 160h32c0-17.67 14.33-32 32-32h320c17.67 0 32 14.33 32 32v192c0 17.67-14.33 32-32 32h-144c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16H576c35.35 0 64-28.65 64-64V160C640 124.7 611.3 96 576 96zM560 256C568.9 256 576 248.9 576 240v-64C576 167.1 568.9 160 560 160h-64C487.1 160 480 167.1 480 176v64C480 248.9 487.1 256 496 256H560zM512 192h32v32h-32V192zM320 192H64C28.65 192 0 220.7 0 256v192c0 35.35 28.65 64 64 64h256c35.35 0 64-28.65 64-64V256C384 220.7 355.3 192 320 192zM352 448c0 17.67-14.33 32-32 32H64c-17.67 0-32-14.33-32-32V313.6C44.75 323.3 64 339.3 128 384c12.75 9.625 38.38 32 64 32s51.25-22.38 64-32c64-44.75 83.25-60.75 96-70.38V448zM352 275.3c-25.62 19.12-22.38 19.12-115.3 86.38C227.3 364.8 208 384 192 384s-35.25-19.25-44.75-25.62C54.38 291.3 57.63 291.3 32 272V256c0-17.67 14.33-32 32-32h256c17.67 0 32 14.33 32 32V275.3z"],
    "equals": [448, 512, [62764], "3d", "M16 176h416C440.8 176 448 168.8 448 160s-7.156-16-16-16h-416C7.156 144 0 151.2 0 160S7.156 176 16 176zM432 336h-416C7.156 336 0 343.2 0 352s7.156 16 16 16h416c8.844 0 16-7.156 16-16S440.8 336 432 336z"],
    "eraser": [512, 512, [], "f12d", "M496 448C504.8 448 512 455.2 512 464C512 472.8 504.8 480 496 480H272V479.9C270.9 479.1 269.8 480 268.7 480H147.3C132.5 480 118.2 474.1 107.7 463.6L19.72 375.6C-2.154 353.7-2.154 318.3 19.72 296.4L264.4 51.72C286.3 29.85 321.7 29.85 343.6 51.72L492.3 200.4C514.2 222.3 514.2 257.7 492.3 279.6L323.9 448H496zM320.1 74.34C311.6 64.97 296.4 64.97 287 74.34L175.1 185.4L358.6 368L469.7 256.1C479 247.6 479 232.4 469.7 223L320.1 74.34zM42.34 352.1L130.3 440.1C134.8 445.5 140.9 448 147.3 448H268.7C275.1 448 281.2 445.5 285.7 440.1L336 390.6L153.4 207.1L42.34 319C32.97 328.4 32.97 343.6 42.34 352.1H42.34zM292.7 448L285.7 440.1z"],
    "escalator": [640, 512, [], "e171", "M240 112c30.95-.1172 56-25.14 56-56C296 25.13 270.9 .1152 240 0C209.1 .1152 184 25.13 184 56C184 86.86 209.1 111.9 240 112zM240 32c13.25 .1133 24 10.86 24 24c0 13.18-10.82 23.95-23.88 24C226.8 79.95 216 69.18 216 56C216 42.86 226.8 32.11 240 32zM186.5 288C189.9 284.1 192 280.5 192 275.9V225.9c0-25.63 19.27-48.16 44.85-49.81c14.97-.9668 28.52 5.021 37.9 15.01C280.5 197.2 290.2 197.3 296.5 191.8c6.781-5.932 7.418-16.4 1.213-22.93C281.7 152 258.5 142.1 232.9 144.3C191.2 147.9 160 184.5 160 226.4v49.63C160 289.7 176.2 297 186.5 288zM560 128H448c-19.38 0-38.09 7.031-52.69 19.8L161.9 352H80C35.81 352 0 387.8 0 432S35.81 512 80 512H192c19.38 0 38.09-7.031 52.69-19.8L478.1 288H560C604.2 288 640 252.2 640 208S604.2 128 560 128zM560 256h-93.96l-242.4 212.1C214.9 475.8 203.6 480 192 480H80C53.53 480 32 458.5 32 432S53.53 384 80 384h93.96l242.4-212.1C425.1 164.2 436.4 160 448 160h112C586.5 160 608 181.5 608 208S586.5 256 560 256z"],
    "ethernet": [512, 512, [], "f796", "M480 192h-32V160c0-17.67-14.33-32-32-32h-32V96c0-17.67-14.33-32-32-32H160C142.3 64 128 78.33 128 96v32H96C78.33 128 64 142.3 64 160v32H32C14.33 192 0 206.3 0 224v192c0 17.67 14.33 32 32 32h448c17.67 0 32-14.33 32-32V224C512 206.3 497.7 192 480 192zM480 416h-64v-80c0-8.844-7.156-16-16-16S384 327.2 384 336V416h-64v-80c0-8.844-7.156-16-16-16S288 327.2 288 336V416H224v-80C224 327.2 216.8 320 208 320S192 327.2 192 336V416H128v-80C128 327.2 120.8 320 112 320S96 327.2 96 336V416H32V224h64V160h64V96h192v64h64v64h64V416z"],
    "euro-sign": [384, 512, [8364, "eur", "euro"], "f153", "M48 224C39.16 224 32 216.8 32 208C32 199.2 39.16 192 48 192H73.28C100.8 99.47 186.5 32 288 32H336.1C345.8 32 352.1 39.16 352.1 48C352.1 56.84 345.8 64 336.1 64H288C204.4 64 133.3 117.4 106.9 192H304C312.8 192 320 199.2 320 208C320 216.8 312.8 224 304 224H98.65C96.91 234.4 96 245.1 96 256C96 266.9 96.91 277.6 98.65 288H304C312.8 288 320 295.2 320 304C320 312.8 312.8 320 304 320H106.9C133.3 394.6 204.4 448 288 448H336.1C345.8 448 352.1 455.2 352.1 464C352.1 472.8 345.8 480 336.1 480H288C186.5 480 100.8 412.5 73.28 320H48C39.16 320 32 312.8 32 304C32 295.2 39.16 288 48 288H66.27C64.77 277.5 64 266.9 64 256C64 245.1 64.77 234.5 66.27 224H48z"],
    "exclamation": [128, 512, [10069, 10071, 61738], "21", "M64 400c-17.67 0-32 14.32-32 31.99s14.33 32 32 32s32-14.33 32-32S81.67 400 64 400zM64 352c8.844 0 16-7.166 16-16.01v-288c0-8.844-7.156-15.99-16-15.99S48 39.16 48 48v288C48 344.8 55.16 352 64 352z"],
    "expand": [448, 512, [], "f065", "M144 32h-128C7.156 32 0 39.16 0 48v128C0 184.8 7.156 192 16 192S32 184.8 32 176V64h112C152.8 64 160 56.84 160 48S152.8 32 144 32zM144 448H32v-112C32 327.2 24.84 320 16 320S0 327.2 0 336v128C0 472.8 7.156 480 16 480h128C152.8 480 160 472.8 160 464S152.8 448 144 448zM432 320c-8.844 0-16 7.156-16 16V448h-112c-8.844 0-16 7.156-16 16s7.156 16 16 16h128c8.844 0 16-7.156 16-16v-128C448 327.2 440.8 320 432 320zM432 32h-128C295.2 32 288 39.16 288 48S295.2 64 304 64H416v112C416 184.8 423.2 192 432 192S448 184.8 448 176v-128C448 39.16 440.8 32 432 32z"],
    "expand-wide": [512, 512, [], "f320", "M144 64h-128C7.156 64 0 71.16 0 80v128C0 216.8 7.156 224 16 224S32 216.8 32 208V96h112C152.8 96 160 88.84 160 80S152.8 64 144 64zM144 416H32V304C32 295.2 24.84 288 16 288S0 295.2 0 304v128C0 440.8 7.156 448 16 448h128C152.8 448 160 440.8 160 432S152.8 416 144 416zM496 288C487.2 288 480 295.2 480 304V416h-112c-8.844 0-16 7.156-16 16s7.156 16 16 16h128c8.844 0 16-7.156 16-16v-128C512 295.2 504.8 288 496 288zM496 64h-128C359.2 64 352 71.16 352 80S359.2 96 368 96H480v112C480 216.8 487.2 224 496 224S512 216.8 512 208v-128C512 71.16 504.8 64 496 64z"],
    "explosion": [576, 512, [], "e4e9", "M454.3 332.1L525.4 320.2C531.1 319.1 538.6 322.2 541.9 328C545.2 333.8 544.6 341.1 540.3 346.2L455.5 448H413.8L488.1 358.9L434.6 367.8C429.2 368.7 423.7 366.8 420.1 362.7C416.4 358.6 415.1 352.9 416.6 347.6L479.3 128.3L349.7 344.2C346.4 349.8 340 352.8 333.6 351.8C327.2 350.9 322 346.2 320.5 339.9L287.1 209.1L255.5 339.9C254.1 345.5 249.8 349.9 244.3 351.4C238.7 352.1 232.8 351.4 228.7 347.3L148.6 267.2L175.2 346.9C176.9 352.2 175.8 357.1 172.3 362.2C168.7 366.5 163.2 368.6 157.8 367.8L86.26 357.7L162.4 448H120.6L34.77 346.3C30.49 341.2 29.79 334.1 32.1 328.3C36.21 322.5 42.67 319.2 49.24 320.2L136.6 332.5L96.82 213.1C94.47 206 97.28 198.3 103.6 194.4C109.9 190.5 118.1 191.4 123.3 196.7L231.3 304.7L272.5 140.1C274.3 132.1 280.7 128 288 128C295.3 128 301.7 132.1 303.5 140.1L342.2 294.6L514.3 7.77C518.4 .8861 527-1.871 534.4 1.324C541.7 4.52 545.6 12.68 543.4 20.4L454.3 332.1zM304 80C304 88.84 296.8 96 288 96C279.2 96 272 88.84 272 80V16C272 7.166 279.2 .0026 288 .0026C296.8 .0026 304 7.166 304 16V80zM193.3 480C200.9 434.6 240.4 400 288 400C335.6 400 375.1 434.6 382.7 480H560C568.8 480 576 487.2 576 496C576 504.8 568.8 512 560 512H16C7.164 512 0 504.8 0 496C0 487.2 7.164 480 16 480H193.3zM226 480H349.1C342.9 452.4 317.8 432 288 432C258.2 432 233.1 452.4 226 480z"],
    "eye": [576, 512, [128065], "f06e", "M416 256C416 326.7 358.7 384 288 384C217.3 384 160 326.7 160 256C160 185.3 217.3 128 288 128C358.7 128 416 185.3 416 256zM288 160C234.1 160 192 202.1 192 256C192 309 234.1 352 288 352C341 352 384 309 384 256C384 202.1 341 160 288 160zM480.6 112.6C527.4 156 558.7 207.1 573.5 243.7C576.8 251.6 576.8 260.4 573.5 268.3C558.7 304 527.4 355.1 480.6 399.4C433.5 443.2 368.8 480 288 480C207.2 480 142.5 443.2 95.42 399.4C48.62 355.1 17.34 304 2.461 268.3C-.8205 260.4-.8205 251.6 2.461 243.7C17.34 207.1 48.62 156 95.42 112.6C142.5 68.84 207.2 32 288 32C368.8 32 433.5 68.84 480.6 112.6V112.6zM32 256C45.33 288 74.13 336 117.2 376C160.3 416 217.6 448 288 448C358.4 448 415.7 416 458.8 376C501.9 336 530.7 288 544 256C530.7 223.1 501.9 175.1 458.8 136C415.7 95.99 358.4 64 288 64C217.6 64 160.3 95.99 117.2 136C74.13 175.1 45.33 223.1 32 256V256z"],
    "eye-dropper": [512, 512, ["eye-dropper-empty", "eyedropper"], "f1fb", "M180.7 155.3C174.4 149.1 174.4 138.9 180.7 132.7C186.9 126.4 197.1 126.4 203.3 132.7L220.7 150.1L341.6 29.23C380.6-9.744 443.8-9.744 482.8 29.23C521.7 68.21 521.7 131.4 482.8 170.4L361.9 291.3L379.3 308.7C385.6 314.9 385.6 325.1 379.3 331.3C373.1 337.6 362.9 337.6 356.7 331.3L180.7 155.3zM339.3 268.6L460.1 147.8C486.6 121.3 486.6 78.34 460.1 51.86C433.7 25.38 390.7 25.38 364.2 51.86L243.4 172.7L339.3 268.6zM78.06 344.6C69.06 353.6 64 365.8 64 378.5V428.2L37.67 474.3L83.75 448H133.5C146.2 448 158.4 442.9 167.4 433.9L276.7 324.7C282.9 318.4 293.1 318.4 299.3 324.7C305.6 330.9 305.6 341.1 299.3 347.3L190.1 456.6C175.1 471.6 154.7 480 133.5 480H92.25L42.85 508.2C38.53 510.7 33.63 512 28.64 512C12.82 512 0 499.2 0 483.4C0 478.4 1.301 473.5 3.774 469.1L32 419.8V378.5C32 357.3 40.43 336.9 55.43 321.9L164.7 212.7C170.9 206.4 181.1 206.4 187.3 212.7C193.6 218.9 193.6 229.1 187.3 235.3L78.06 344.6z"],
    "eye-dropper-full": [512, 512, [], "e172", "M180.7 155.3C174.4 149.1 174.4 138.9 180.7 132.7C186.9 126.4 197.1 126.4 203.3 132.7L220.7 150.1L341.6 29.23C380.6-9.744 443.8-9.744 482.8 29.23C521.7 68.21 521.7 131.4 482.8 170.4L361.9 291.3L379.3 308.7C385.6 314.9 385.6 325.1 379.3 331.3C373.1 337.6 362.9 337.6 356.7 331.3L180.7 155.3zM339.3 268.6L460.1 147.8C486.6 121.3 486.6 78.34 460.1 51.86C433.7 25.38 390.7 25.38 364.2 51.86L243.4 172.7L339.3 268.6zM299.3 324.7C305.6 330.9 305.6 341.1 299.3 347.3L190.1 456.6C175.1 471.6 154.7 480 133.5 480H92.25L42.85 508.2C38.53 510.7 33.63 512 28.64 512C12.82 512 0 499.2 0 483.4C0 478.4 1.301 473.5 3.774 469.1L32 419.8V378.5C32 357.3 40.43 336.9 55.43 321.9L164.7 212.7C170.9 206.4 181.1 206.4 187.3 212.7L299.3 324.7zM64 378.5V428.2L37.67 474.3L83.75 448H133.5C146.2 448 158.4 442.9 167.4 433.9L265.4 336L175.1 246.6L78.06 344.6C69.06 353.6 63.1 365.8 63.1 378.5L64 378.5z"],
    "eye-dropper-half": [512, 512, [], "e173", "M180.7 155.3C174.4 149.1 174.4 138.9 180.7 132.7C186.9 126.4 197.1 126.4 203.3 132.7L220.7 150.1L341.6 29.23C380.6-9.744 443.8-9.744 482.8 29.23C521.7 68.21 521.7 131.4 482.8 170.4L361.9 291.3L379.3 308.7C385.6 314.9 385.6 325.1 379.3 331.3C373.1 337.6 362.9 337.6 356.7 331.3L180.7 155.3zM339.3 268.6L460.1 147.8C486.6 121.3 486.6 78.34 460.1 51.86C433.7 25.38 390.7 25.38 364.2 51.86L243.4 172.7L339.3 268.6zM102.6 320H288C294.5 320 300.3 323.9 302.8 329.9C305.3 335.9 303.9 342.7 299.3 347.3L190.1 456.6C175.1 471.6 154.7 480 133.5 480H92.25L42.85 508.2C38.53 510.7 33.63 512 28.64 512C12.82 512 0 499.2 0 483.4C0 478.4 1.301 473.5 3.774 469.1L32 419.8V378.5C32 357.3 40.43 336.9 55.43 321.9L164.7 212.7C170.9 206.4 181.1 206.4 187.3 212.7C193.6 218.9 193.6 229.1 187.3 235.3L102.6 320zM64 428.2L37.67 474.3L83.75 448H133.5C146.2 448 158.4 442.9 167.4 433.9L249.4 352H71.98C66.82 359.8 63.1 369 63.1 378.5L64 428.2z"],
    "eye-evil": [640, 512, [], "f6db", "M640 256c0-7.281-4.334-14.58-13.02-16.89l-111.1-30.35c-4.75-6.5-10.17-13.48-16.04-20.36c1.375-2.125 55.22-88.04 55.22-88.04c1.827-2.933 2.658-6.033 2.658-8.984c0-9.4-8.222-17.68-18.43-17.68c-2.155 0-4.433 .3833-6.702 1.197l-119.7 43.37c-9.748-4.875-19.84-8.846-30.71-12.35l-44.45-95.17C333.5 3.629 326.7 0 319.1 0S306.5 3.629 303.1 10.75L258.7 105.9c-10.87 3.5-20.97 7.471-30.72 12.35c-117.4-42.48-121.9-44.54-125.3-44.54L101.5 73.73c-10.17 0-18.4 8.264-18.4 17.65c0 2.957 .8237 6.031 2.65 8.994c0 0 53.85 85.91 55.22 88.04C135.1 195.3 129.7 202.3 124.1 208.8L13.01 239.1C4.323 241.4-.0001 248.7-.0001 256c0 7.281 4.323 14.58 13.01 16.89l111.1 30.35c4.75 6.5 10.11 13.33 15.98 20.33c-1.375 2.125-55.16 88.06-55.16 88.06c-1.827 2.959-2.656 6.044-2.656 9.003c0 9.415 8.228 17.67 18.42 17.67c2.166 0 4.433-.3812 6.712-1.199l119.7-43.37c9.748 4.875 19.85 8.846 30.72 12.35l44.45 95.16C306.5 508.4 313.2 512 319.1 512s13.5-3.629 16.87-10.75l44.45-95.16c10.87-3.5 20.96-7.471 30.71-12.35l119.7 43.37c2.285 .8138 4.544 1.195 6.709 1.195c10.23 0 18.43-8.3 18.43-17.68c0-2.964-.8206-6.041-2.656-8.987c0 0-53.79-85.93-55.16-88.06c5.875-7 11.23-13.83 15.98-20.33l111.1-30.35C635.7 270.6 640 263.3 640 256zM495.6 275.4c-14.1 20.5-12.62 17.5-36.25 45.5l45.75 72.5L410.1 359c-24.75 12.38-24.12 12.12-51.87 21L320 461.8L281.8 380c-27.75-8.875-26.1-8.625-51.87-21l-94.99 34.38l45.75-72.5c-23.62-28-21.25-25-36.25-45.5L72.9 256l71.49-19.38c14.87-20.5 12.5-17.38 36.5-45.75L134.9 118.6L229.9 153C254.6 140.6 253.9 140.9 281.8 132L320 50.25L358.2 132c27.75 8.875 26.1 8.625 51.87 21l94.99-34.38L459.1 191c23.87 28.12 21.5 25 36.5 45.63L567.1 256L495.6 275.4zM390.7 200.9c-11.89 0-29.03 12.51-70.69 12.51c-41.58 0-58.71-12.57-70.98-12.57c-28.76 0-33.01 28-33.01 47.19c0 6.472 .5959 13.08 1.843 19.78c3.021 16.22 26.01 84.23 102.1 84.23c57.49 0 103.1-46.51 103.1-104C423.1 201.1 395.8 200.9 390.7 200.9zM319.1 320c-39.34 0-72.04-31.86-72.04-72.95c0-4.939 .4531-9.681 1.281-14.05C266.7 239.4 285.1 242.6 304 244V272C304 280.8 311.2 288 320 288s16-7.156 16-16V244c19.09-1.414 37.7-4.547 54.56-10.35C391.5 238.4 391.1 243.2 391.1 248C391.1 287.7 359.7 320 319.1 320z"],
    "eye-low-vision": [640, 512, ["low-vision"], "f2a8", "M3.443 6.086C8.918-.8493 18.98-2.033 25.91 3.443L633.9 483.4C640.9 488.9 642 498.1 636.6 505.9C631.1 512.9 621 514 614.1 508.6L6.086 28.56C-.8493 23.08-2.033 13.02 3.443 6.086V6.086zM605.5 268.3C595.3 292.9 577.2 325.3 551.6 357.3L526.5 337.5C550.1 307.1 566.8 278.1 576 256C562.7 223.1 533.9 175.1 490.8 136C447.7 95.99 390.4 64 320 64C280.2 64 244.6 74.21 213.4 90.31L186.1 68.78C224 46.8 268.8 31.1 320 31.1C400.8 31.1 465.5 68.84 512.6 112.6C559.4 156 590.7 207.1 605.5 243.7C608.8 251.6 608.8 260.4 605.5 268.3L605.5 268.3zM448 255.1C448 262.3 447.5 268.4 446.7 274.5L415.8 250.1C412.8 199.8 371 159.1 319.1 159.1C314.4 159.1 308.8 160.5 303.5 161.4L272.6 137.1C287.3 131.2 303.3 127.1 319.1 127.1C390.7 127.1 448 185.3 448 255.1V255.1zM425.1 419.5C432.9 425 434 435.1 428.5 441.1C422.1 448.9 412.9 450 406 444.5L86 188.5C79.1 182.1 77.99 172.9 83.51 166C89.03 159.1 99.09 157.1 105.1 163.5L425.1 419.5zM67.51 238C73.03 231.1 83.09 229.1 89.99 235.5L339.1 435.5C346.9 441 348 451.1 342.5 457.1C336.1 464.9 326.9 466 320 460.5L70 260.5C63.1 254.1 61.99 244.9 67.51 238V238zM229.1 435.5C236.9 441 238 451.1 232.5 457.1C226.1 464.9 216.9 466 210 460.5L86 361.3C79.1 355.8 77.99 345.7 83.51 338.8C89.03 331.9 99.09 330.8 105.1 336.3L229.1 435.5z"],
    "eye-slash": [640, 512, [], "f070", "M633.9 483.4C640.9 488.9 642 498.1 636.6 505.9C631.1 512.9 621 514 614.1 508.6L6.086 28.56C-.8493 23.08-2.033 13.02 3.443 6.086C8.918-.8493 18.98-2.033 25.91 3.443L633.9 483.4zM605.5 268.3C595.3 292.9 577.2 325.3 551.6 357.3L526.5 337.5C550.1 307.1 566.8 278.1 576 256C562.7 223.1 533.9 175.1 490.8 136C447.7 95.99 390.4 64 320 64C280.2 64 244.6 74.21 213.4 90.31L186.1 68.78C224 46.8 268.8 31.1 320 31.1C400.8 31.1 465.5 68.84 512.6 112.6C559.4 156 590.7 207.1 605.5 243.7C608.8 251.6 608.8 260.4 605.5 268.3L605.5 268.3zM88.39 154.7L113.5 174.5C89.86 204 73.23 233.9 63.1 255.1C77.33 288 106.1 336 149.2 376C192.3 416 249.6 448 319.1 448C359.8 448 395.4 437.8 426.6 421.7L453.9 443.2C415.1 465.2 371.2 480 319.1 480C239.2 480 174.5 443.2 127.4 399.4C80.62 355.1 49.34 304 34.46 268.3C31.18 260.4 31.18 251.6 34.46 243.7C44.73 219.1 62.8 186.7 88.39 154.7L88.39 154.7zM191.1 255.1C191.1 249.7 192.5 243.6 193.3 237.5L224.2 261.9C227.2 312.2 268.1 352 319.1 352C325.6 352 331.2 351.5 336.5 350.6L367.4 374.9C352.7 380.8 336.7 384 319.1 384C249.3 384 191.1 326.7 191.1 255.1zM448 255.1C448 262.3 447.5 268.4 446.7 274.5L415.8 250.1C412.8 199.8 371 159.1 319.1 159.1C314.4 159.1 308.8 160.5 303.5 161.4L272.6 137.1C287.3 131.2 303.3 127.1 319.1 127.1C390.7 127.1 448 185.3 448 255.1V255.1z"],
    "eyes": [640, 512, [], "e367", "M574.7 78.44C545.2 48.06 509.6 32 472 32c-67.08 0-124.9 52.84-151.9 128.8C308.1 128.1 292.3 100.7 270.7 78.44C241.2 48.06 205.6 32 168 32C75.38 32 0 132.5 0 256s75.38 224 168 224c67.2 0 125.2-53.02 152-129.2C346.8 426.1 404.8 480 472 480C564.6 480 640 379.5 640 256C640 185.8 616.2 121.1 574.7 78.44zM32 288c0-26.47 21.53-48 48-48S128 261.5 128 288s-21.53 48-48 48S32 314.5 32 288zM168 448c-46.61 0-87.78-33.29-112.3-83.88C63.38 366.6 71.52 368 80 368C124.1 368 160 332.1 160 288S124.1 208 80 208c-18.64 0-34.14 6.664-46.1 17.38C44.33 134 100.4 64 168 64c28.78 0 56.38 12.72 79.75 36.75C282.1 136.1 304 195 304 256C304 361.9 243 448 168 448zM336 288c0-26.47 21.53-48 48-48s48 21.53 48 48s-21.53 48-48 48S336 314.5 336 288zM472 448c-46.72 0-87.99-33.44-112.5-84.23C367.3 366.3 375.4 368 384 368c44.13 0 80-35.88 80-80S428.1 208 384 208c-17.06 0-32.8 5.457-45.8 14.58C349.5 132.6 405.1 64 472 64c28.78 0 56.38 12.72 79.75 36.75C586.1 136.1 608 195 608 256C608 361.9 547 448 472 448z"],
    "f": [320, 512, [102], "46", "M320 48C320 56.84 312.8 64 304 64H32v192h208C248.8 256 256 263.2 256 272S248.8 288 240 288H32v176C32 472.8 24.84 480 16 480S0 472.8 0 464v-416C0 39.16 7.156 32 16 32h288C312.8 32 320 39.16 320 48z"],
    "face-angry": [512, 512, [128544, "angry"], "f556", "M338.7 395.9C332.1 401.8 322 401.3 316.1 394.7C304.4 381.7 284.5 368 256 368C227.5 368 207.6 381.7 195.9 394.7C189.1 401.3 179.9 401.8 173.3 395.9C166.7 389.1 166.2 379.9 172.1 373.3C188.2 355.4 216.3 336 256 336C295.7 336 323.8 355.4 339.9 373.3C345.8 379.9 345.3 389.1 338.7 395.9H338.7zM152.4 240C152.4 231.9 156.4 224.7 162.5 220.4L122.9 207.2C114.6 204.4 110 195.3 112.8 186.9C115.6 178.6 124.7 174 133.1 176.8L229.1 208.8C237.4 211.6 241.1 220.7 239.2 229.1C236.4 237.4 227.3 241.1 218.9 239.2L199.2 232.6C199.1 234.9 200.4 237.4 200.4 240C200.4 253.3 189.6 264 176.4 264C163.1 264 152.4 253.3 152.4 240H152.4zM360.4 240C360.4 253.3 349.6 264 336.4 264C323.1 264 312.4 253.3 312.4 240C312.4 237.3 312.8 234.7 313.6 232.3L293.1 239.2C284.7 241.1 275.6 237.4 272.8 229.1C270 220.7 274.6 211.6 282.9 208.8L378.9 176.8C387.3 174 396.4 178.6 399.2 186.9C401.1 195.3 397.4 204.4 389.1 207.2L349.1 220.2C356.2 224.5 360.4 231.8 360.4 240H360.4zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480z"],
    "face-angry-horns": [640, 512, [], "e368", "M402.7 411.9C396.1 417.8 386 417.3 380.1 410.7C368.4 397.7 348.5 384 320 384C291.5 384 271.6 397.7 259.9 410.7C253.1 417.3 243.9 417.8 237.3 411.9C230.7 405.1 230.2 395.9 236.1 389.3C252.2 371.4 280.3 352 320 352C359.7 352 387.8 371.4 403.9 389.3C409.8 395.9 409.3 405.1 402.7 411.9H402.7zM216.4 272C216.4 263.9 220.4 256.7 226.5 252.4L186.9 239.2C178.6 236.4 174 227.3 176.8 218.9C179.6 210.6 188.7 206 197.1 208.8L293.1 240.8C301.4 243.6 305.1 252.7 303.2 261.1C300.4 269.4 291.3 273.1 282.9 271.2L263.2 264.6C263.1 266.9 264.4 269.4 264.4 271.1C264.4 285.3 253.6 295.1 240.4 295.1C227.1 295.1 216.4 285.3 216.4 271.1L216.4 272zM424.4 272C424.4 285.3 413.6 296 400.4 296C387.1 296 376.4 285.3 376.4 272C376.4 269.3 376.8 266.7 377.6 264.3L357.1 271.2C348.7 273.1 339.6 269.4 336.8 261.1C334 252.7 338.6 243.6 346.9 240.8L442.9 208.8C451.3 206 460.4 210.6 463.2 218.9C465.1 227.3 461.4 236.4 453.1 239.2L413.1 252.2C420.2 256.5 424.4 263.8 424.4 272L424.4 272zM64 256C64 231.4 67.47 207.6 73.94 185.1C29.61 125.8 6.506 50.11 .3109 19.14C-.9582 12.79 1.72 6.307 7.097 2.706C12.47-.8952 19.49-.9025 24.88 2.687C44.17 15.55 73.41 26.86 103.3 35.78C126.5 42.74 149.2 47.99 166.2 51.3C209.1 19.09 262.3 .0002 320 .0002C377.7 .0002 430.9 19.09 473.8 51.3C490.8 47.99 513.5 42.74 536.7 35.78C566.6 26.86 595.8 15.55 615.1 2.687C620.5-.9025 627.5-.8952 632.9 2.706C638.3 6.307 640.1 12.79 639.7 19.14C633.5 50.11 610.4 125.8 566.1 185.1C572.5 207.6 576 231.4 576 256C576 397.4 461.4 512 320 512C178.6 512 64 397.4 64 256V256zM320 480C443.7 480 544 379.7 544 256C544 132.3 443.7 31.1 320 31.1C196.3 31.1 96 132.3 96 256C96 379.7 196.3 480 320 480zM552.4 148.6C574.5 114.3 589.8 76.25 599.1 47.33C582.1 54.78 563.6 61.15 545.9 66.44C531.2 70.83 516.7 74.58 503.6 77.62C523.6 98.23 540.2 122.2 552.4 148.6H552.4zM40.93 47.33C50.16 76.25 65.51 114.3 87.56 148.6C99.78 122.2 116.4 98.23 136.4 77.62C123.3 74.58 108.8 70.83 94.08 66.44C76.39 61.15 57.9 54.77 40.93 47.33H40.93z"],
    "face-anguished": [512, 512, [], "e369", "M260.2 304C310.9 304 352 345.1 352 395.8C352 406.1 342.1 416 331.8 416H180.2C169 416 160 406.1 160 395.8C160 345.1 201.1 304 251.8 304H260.2zM251.8 336C222.8 336 198.6 356.6 193.2 384H318.8C313.4 356.6 289.2 336 260.2 336H251.8zM200.4 224C200.4 237.3 189.6 248 176.4 248C163.1 248 152.4 237.3 152.4 224C152.4 210.7 163.1 200 176.4 200C189.6 200 200.4 210.7 200.4 224zM312.4 224C312.4 210.7 323.1 200 336.4 200C349.6 200 360.4 210.7 360.4 224C360.4 237.3 349.6 248 336.4 248C323.1 248 312.4 237.3 312.4 224zM192 128C187.6 128 183.2 128.3 178.1 128.9C157.8 131.7 138.4 141.2 122.9 155.7C116.5 161.7 106.3 161.4 100.3 154.9C94.28 148.5 94.62 138.3 101.1 132.3C121.1 113.6 146.6 100.9 174.8 97.13C180.4 96.38 186.2 96 192 96C200.8 96 208 103.2 208 112C208 120.8 200.8 128 192 128zM333 128.9C328.8 128.3 324.4 128 320 128C311.2 128 304 120.8 304 112C304 103.2 311.2 96 320 96C325.8 96 331.6 96.38 337.2 97.13C365.4 100.9 390.9 113.6 410.9 132.3C417.4 138.3 417.7 148.5 411.7 154.9C405.7 161.4 395.5 161.7 389.1 155.7C373.6 141.2 354.2 131.7 333 128.9zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "face-anxious-sweat": [576, 512, [], "e36a", "M288 32C174.4 32 80.57 116.5 65.98 226.1C64.81 234.9 56.76 241 48 239.9C39.24 238.7 33.09 230.6 34.26 221.9C50.95 96.62 158.2 0 288 0C429.4 0 544 114.6 544 256C544 397.4 429.4 512 288 512C230.4 512 177.2 492.9 134.4 460.8C127.3 455.5 125.9 445.5 131.2 438.4C136.5 431.3 146.5 429.9 153.6 435.2C191 463.3 237.5 480 288 480C411.7 480 512 379.7 512 256C512 132.3 411.7 32 288 32H288zM55.47 276.1C59.73 270.6 68.27 270.6 72.53 276.1C90.09 297.8 128 348.3 128 373.3C128 405.8 99.28 432 64 432C28.72 432 0 405.8 0 373.3C0 348.3 38.07 297.8 55.47 276.1zM48.24 340.6C42.84 349.1 38.41 357 35.43 363.7C32.83 369.5 32.2 372.5 32.05 373.2C32.01 373.4 32 373.4 32 373.3C32 385.5 43.71 400 64 400C84.29 400 96 385.5 96 373.3C96 373.4 95.99 373.4 95.95 373.2C95.81 372.5 95.18 369.5 92.58 363.6C89.61 356.1 85.19 349.1 79.81 340.6C74.81 332.7 69.32 324.8 64.04 317.5C58.74 324.8 53.25 332.7 48.24 340.6H48.24zM367.6 296C354.4 296 343.6 285.3 343.6 272C343.6 258.7 354.4 248 367.6 248C380.9 248 391.6 258.7 391.6 272C391.6 285.3 380.9 296 367.6 296zM207.6 248C220.9 248 231.6 258.7 231.6 272C231.6 285.3 220.9 296 207.6 296C194.4 296 183.6 285.3 183.6 272C183.6 258.7 194.4 248 207.6 248zM203.9 178.7C180.4 202.3 150 217.9 117.1 223.4L114.6 223.8C105.9 225.2 97.67 219.3 96.22 210.6C94.76 201.9 100.7 193.7 109.4 192.2L111.9 191.8C138.2 187.4 162.5 174.9 181.3 156.1L188.7 148.7C194.9 142.4 205.1 142.4 211.3 148.7C217.6 154.9 217.6 165.1 211.3 171.3L203.9 178.7zM387.3 148.7L394.7 156.1C413.5 174.9 437.8 187.4 464.2 191.8L466.6 192.2C475.3 193.7 481.2 201.9 479.8 210.6C478.3 219.3 470.1 225.2 461.4 223.8L458.9 223.4C425.1 217.9 395.6 202.3 372.1 178.7L364.7 171.3C358.4 165.1 358.4 154.9 364.7 148.7C370.9 142.4 381.1 142.4 387.3 148.7zM292.2 304C342.9 304 384 345.1 384 395.8C384 406.1 374.1 416 363.8 416H212.2C201 416 192 406.1 192 395.8C192 345.1 233.1 304 283.8 304H292.2zM292.2 336H283.8C254.8 336 230.6 356.6 225.2 384H350.8C345.4 356.6 321.2 336 292.2 336H292.2z"],
    "face-astonished": [512, 512, [], "e36b", "M192 352C192 316.7 220.7 288 256 288C291.3 288 320 316.7 320 352V384C320 419.3 291.3 448 256 448C220.7 448 192 419.3 192 384V352zM256 320C238.3 320 224 334.3 224 352V384C224 401.7 238.3 416 256 416C273.7 416 288 401.7 288 384V352C288 334.3 273.7 320 256 320zM200.4 224C200.4 237.3 189.6 248 176.4 248C163.1 248 152.4 237.3 152.4 224C152.4 210.7 163.1 200 176.4 200C189.6 200 200.4 210.7 200.4 224zM312.4 224C312.4 210.7 323.1 200 336.4 200C349.6 200 360.4 210.7 360.4 224C360.4 237.3 349.6 248 336.4 248C323.1 248 312.4 237.3 312.4 224zM192 128C187.6 128 183.2 128.3 178.1 128.9C157.8 131.7 138.4 141.2 122.9 155.7C116.5 161.7 106.3 161.4 100.3 154.9C94.28 148.5 94.62 138.3 101.1 132.3C121.1 113.6 146.6 100.9 174.8 97.13C180.4 96.38 186.2 96 192 96C200.8 96 208 103.2 208 112C208 120.8 200.8 128 192 128zM333 128.9C328.8 128.3 324.4 128 320 128C311.2 128 304 120.8 304 112C304 103.2 311.2 96 320 96C325.8 96 331.6 96.38 337.2 97.13C365.4 100.9 390.9 113.6 410.9 132.3C417.4 138.3 417.7 148.5 411.7 154.9C405.7 161.4 395.5 161.7 389.1 155.7C373.6 141.2 354.2 131.7 333 128.9zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "face-awesome": [512, 512, ["gave-dandy"], "e409", "M216 192V208C216 225.7 201.7 240 184 240H104C86.33 240 72 225.7 72 208V192C72 152.2 104.2 120 144 120C183.8 120 216 152.2 216 192zM184 208V192C184 187.6 183.3 183.4 182 179.5C178.1 182.3 173.2 184 168 184C154.7 184 144 173.3 144 160C144 157.2 144.5 154.5 145.4 152C144.9 152 144.5 152 144 152C121.9 152 104 169.9 104 192V208H184zM256 192C256 147.8 291.8 112 336 112C380.2 112 416 147.8 416 192V209.9C416 226.5 402.5 240 385.9 240H286.1C269.5 240 255.1 226.5 255.1 209.9L256 192zM380.1 173.1C375.8 179.7 368.4 184 360 184C346.7 184 336 173.3 336 160C336 154 338.2 148.5 341.8 144.3C339.9 144.1 337.1 144 336 144C309.5 144 288 165.5 288 192V208H384V192C384 185.3 382.6 178.9 380.1 173.1zM265.4 448H243.9C155.6 448 81.88 380.7 73.88 292.7C72.87 281.6 81.62 272 92.78 272H394.6C410.4 272 422.8 285.6 421.3 301.3C417 348.9 392.3 390.1 356.3 416.6C331.2 436.3 299.5 448 265.4 448H265.4zM260.7 416C289.1 416 315.6 406.8 337 391.1C340 388.7 342.9 386.1 345.7 383.5C334.5 373.8 319.9 368 304 368C274.2 368 249.2 388.3 242.1 415.9C244 415.1 246 416 248 416H260.7zM210.1 411.8C219.4 368.5 257.9 336 304 336C328.3 336 350.4 345 367.3 359.9C378.5 343.6 386.1 324.6 388.8 304H107.8C118.2 357.2 158.6 398.9 210.1 411.8V411.8zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480z"],
    "face-beam-hand-over-mouth": [512, 512, [129325], "e47c", "M76.79 390.4C82.1 397.5 80.68 407.5 73.61 412.8C66.55 418.1 56.52 416.7 51.21 409.6C19.06 366.8 0 313.6 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 321.6 487.3 381.4 446.8 426.7C440.9 433.3 430.8 433.8 424.2 427.9C417.6 422 417.1 411.9 422.1 405.3C458.4 365.7 480 313.4 480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256C32 306.5 48.66 352.1 76.79 390.4H76.79zM124.1 191.5C115.5 189.4 110.3 180.7 112.5 172.1C115.7 159.4 122.3 145 132.3 133.5C142.4 121.9 157.2 112 175.1 112C194.8 112 209.6 121.9 219.7 133.5C229.7 145 236.3 159.4 239.5 172.1C241.7 180.7 236.5 189.4 227.9 191.5C219.3 193.7 210.6 188.5 208.5 179.9C206.3 171.3 201.8 161.7 195.5 154.5C189.4 147.4 182.8 144 175.1 144C169.2 144 162.6 147.4 156.5 154.5C150.2 161.7 145.7 171.3 143.5 179.9C141.4 188.5 132.7 193.7 124.1 191.5V191.5zM316.5 154.5C310.2 161.7 305.7 171.3 303.5 179.9C301.4 188.5 292.7 193.7 284.1 191.5C275.5 189.4 270.3 180.7 272.5 172.1C275.7 159.4 282.3 145 292.3 133.5C302.4 121.9 317.2 112 336 112C354.8 112 369.6 121.9 379.7 133.5C389.7 145 396.3 159.4 399.5 172.1C401.7 180.7 396.5 189.4 387.9 191.5C379.3 193.7 370.6 188.5 368.5 179.9C366.3 171.3 361.8 161.7 355.5 154.5C349.4 147.4 342.8 144 336 144C329.2 144 322.6 147.4 316.5 154.5H316.5zM321.9 222.1C322.1 223.1 323.1 224.2 324.9 225.3C340.6 221.6 357.7 225.8 369.9 238.1C382.2 250.3 386.4 267.4 382.7 283.1C383.8 284 384.9 285 385.9 286.1C404.1 304.2 404.7 333.2 387.8 352C404.7 370.8 404.1 399.8 385.9 417.9L329.1 474.7C305.3 498.6 272.9 512 239.2 512C168.9 512 111.1 455.1 111.1 384.8V298.4C111.1 269.7 135.3 246.4 163.1 246.4C181.9 246.4 197.6 255.4 206.1 269.1L254.1 222.1C272.8 203.3 303.2 203.3 321.9 222.1V222.1zM299.3 267.3C305.6 261.1 305.6 250.9 299.3 244.7C298.7 244 297.9 243.4 297.2 242.9C290.1 238.5 282.3 239.1 276.7 244.7L197.7 323.7C192.6 328.8 184 325.2 184 318.1V298.4C184 297.4 183.9 296.4 183.8 295.4C183.7 294.6 183.5 293.7 183.2 292.9C180.8 284.5 173.1 278.4 163.1 278.4C152.1 278.4 143.1 287.4 143.1 298.4V384.8C143.1 437.4 186.6 480 239.2 480C264.4 480 288.7 469.1 306.5 452.1L363.3 395.3C368.9 389.7 369.5 381 365.1 374.8C364.6 374.1 363.1 373.3 363.3 372.7C357.1 366.4 346.9 366.4 340.7 372.7L321.4 392C318.8 394.6 314.6 394.6 312 392C309.4 389.4 309.4 385.2 312 382.6L363.3 331.3C368.9 325.7 369.5 317 365.1 310.8C364.6 310.1 363.1 309.3 363.3 308.7C357.1 302.4 346.9 302.4 340.7 308.7L289.4 360C286.8 362.6 282.6 362.6 280 360C277.4 357.4 277.4 353.2 280 350.6L347.3 283.3C350.4 280.2 352 276.1 352 272C352 267.9 350.4 263.8 347.3 260.7C344.2 257.6 340.1 256 336 256C331.9 256 327.8 257.6 324.7 260.7L257.4 328C254.8 330.6 250.6 330.6 248 328C245.4 325.4 245.4 321.2 247.1 318.6L299.3 267.3z"],
    "face-clouds": [640, 512, [], "e47d", "M187.6 21.81C196.3 18.07 205.9 16 216 16C255.8 16 288 48.24 288 88C288 127.8 255.8 160 216 160H64C28.65 160 0 131.3 0 96C0 60.65 28.65 32 64 32H76.13C89.03 12.72 111 0 136 0C156.3 0 174.6 8.374 187.6 21.81zM95.5 64H64C46.33 64 32 78.33 32 96C32 113.7 46.33 128 64 128H216C238.1 128 256 110.1 256 88C256 65.91 238.1 48 216 48C207.3 48 199.4 50.74 192.8 55.4L178.1 65.27L169.1 50.85C162.9 39.5 150.3 32 136 32C120.1 32 106.3 41.31 99.84 54.87L95.5 64zM320 0C461.4 0 576 114.6 576 256C576 263.3 575.7 270.5 575.1 277.7C565.7 271.7 555.1 267.5 543.8 265.4C543.9 262.3 544 259.2 544 256C544 132.3 443.7 32 319.1 32C316.4 32 312.9 32.08 309.3 32.25C304 20.99 296.9 10.76 288.3 1.941C298.7 .6602 309.3 .0003 319.1 .0003L320 0zM96 256C96 346.7 149.1 424.9 227.6 460.1C231.6 475.6 238.8 489.7 248.5 501.9C141.9 470.9 64 372.6 64 256C64 233.9 66.8 212.5 72.06 192H105.3C99.24 212.3 95.1 233.8 95.1 256H96zM264.4 208C264.4 221.3 253.6 232 240.4 232C227.1 232 216.4 221.3 216.4 208C216.4 194.7 227.1 184 240.4 184C253.6 184 264.4 194.7 264.4 208zM376.4 208C376.4 194.7 387.1 184 400.4 184C413.6 184 424.4 194.7 424.4 208C424.4 221.3 413.6 232 400.4 232C387.1 232 376.4 221.3 376.4 208zM321.1 353.4C328.1 307.3 367.9 272 416 272C444.7 272 470.5 284.6 488 304.5C497.4 299.1 508.4 296 520 296C553.9 296 581.6 322.3 583.9 355.6C616.4 365.8 640 396.1 640 432C640 476.2 604.2 512 560 512H336C291.8 512 256 476.2 256 432C256 392.9 284 360.4 321.1 353.4zM416 304C380.7 304 352 332.7 352 368V384H336C309.5 384 288 405.5 288 432C288 458.5 309.5 480 336 480H560C586.5 480 608 458.5 608 432C608 407.3 589.4 387 565.5 384.3L548.5 382.4L551.5 365.6C551.8 363.8 552 361.9 552 360C552 342.3 537.7 328 520 328C510.8 328 502.4 331.9 496.6 338.2L482 353.8L471.1 335.4C459.9 316.6 439.4 304 416 304V304z"],
    "face-confounded": [512, 512, [], "e36c", "M256 380.8L295.1 354.7C300.5 351.1 307.5 351.1 312.9 354.7L353.1 381.5L376.8 369.7C384.7 365.7 394.4 368.9 398.3 376.8C402.3 384.7 399.1 394.4 391.2 398.3L359.2 414.3C354 416.9 347.9 416.5 343.1 413.3L304 387.2L264.9 413.3C259.5 416.9 252.5 416.9 247.1 413.3L207.1 387.2L168.9 413.3C164.1 416.5 157.1 416.9 152.8 414.3L120.8 398.3C112.9 394.4 109.7 384.7 113.7 376.8C117.6 368.9 127.3 365.7 135.2 369.7L158.8 381.5L199.1 354.7C204.5 351.1 211.5 351.1 216.9 354.7L256 380.8zM150.8 209.7L214.8 241.7C220.2 244.4 223.6 249.9 223.6 256C223.6 262.1 220.2 267.6 214.8 270.3L150.8 302.3C142.9 306.3 133.3 303.1 129.3 295.2C125.4 287.3 128.6 277.6 136.5 273.7L171.9 255.1L136.5 238.3C128.6 234.4 125.4 224.7 129.3 216.8C133.3 208.9 142.9 205.7 150.8 209.7V209.7zM340.1 256L375.5 273.7C383.4 277.6 386.6 287.3 382.7 295.2C378.7 303.1 369.1 306.3 361.2 302.3L297.2 270.3C291.8 267.6 288.4 262.1 288.4 256C288.4 249.9 291.8 244.4 297.2 241.7L361.2 209.7C369.1 205.7 378.7 208.9 382.7 216.8C386.6 224.7 383.4 234.4 375.5 238.3L340.1 256zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "face-confused": [512, 512, [], "e36d", "M169.1 396.5C163.1 402 153 400.9 147.5 393.1C141.1 387.1 143.1 377 150 371.5L151.1 370.6C205 327.5 271.1 303.1 341 303.1H352C360.8 303.1 368 311.2 368 319.1C368 328.8 360.8 336 352 336H341C279.3 336 219.3 357 171.1 395.6L169.1 396.5zM200.4 208C200.4 221.3 189.6 232 176.4 232C163.1 232 152.4 221.3 152.4 208C152.4 194.7 163.1 184 176.4 184C189.6 184 200.4 194.7 200.4 208zM312.4 208C312.4 194.7 323.1 184 336.4 184C349.6 184 360.4 194.7 360.4 208C360.4 221.3 349.6 232 336.4 232C323.1 232 312.4 221.3 312.4 208zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "face-cowboy-hat": [512, 512, [], "e36e", "M296 0C330.2 0 358.1 62.1 374.1 110.9C405.5 101.7 433.1 88.1 456.8 73.62L457.1 73.45C458.1 72.81 459 72.17 460 71.53C462.3 69.96 464.6 68.37 466.9 66.75C469.4 64.98 472.3 64 475.3 64C484.3 64 490.1 72.25 488.2 80.75C487 84.26 485.8 87.73 484.4 91.16C483.1 92.18 483.6 93.19 483.1 94.21L482.1 94.59C450.5 169.9 361.2 223.1 255.1 223.1C150.8 223.1 61.49 169.9 29.04 94.59L28.88 94.21C28.44 93.19 28.02 92.18 27.61 91.16C26.22 87.73 24.95 84.26 23.8 80.75C21.02 72.25 27.72 64 36.66 64C39.7 64 42.64 64.99 45.1 66.75C47.36 68.37 49.66 69.96 51.1 71.53C52.96 72.17 53.93 72.81 54.91 73.45L55.18 73.62C78.88 88.1 106.5 101.7 137 110.9C153 62.1 181.8 0 215.1 0C224.9 0 233.4 4.171 241.4 11.2C249.6 18.39 262.4 18.39 270.6 11.2C278.6 4.171 287.1 0 296 0zM168.1 118.9C195.8 124.8 225.3 128 256 128C286.6 128 316.2 124.8 343.9 118.9C338.2 101.7 330.9 83.15 322.5 66.98C315.6 53.79 308.8 43.82 302.7 37.57C299.2 34.05 297 32.7 295.1 32.21C295.2 32.61 293.8 33.49 291.7 35.25C271.5 53.04 240.5 53.04 220.3 35.25C218.2 33.49 216.8 32.61 216 32.21C214.1 32.7 212.8 34.05 209.3 37.57C203.2 43.82 196.4 53.79 189.5 66.98C181.1 83.15 173.8 101.7 168.1 118.9H168.1zM422.1 127.9C373.3 148.5 316.3 160 256 160C195.7 160 138.7 148.5 89.91 127.9C126.1 165.8 186.1 192 256 192C325.9 192 385 165.8 422.1 127.9zM102.8 217.3C88.3 242.9 80 272.5 80 303.1C80 401.2 158.8 480 256 480C353.2 480 432 401.2 432 303.1C432 272.5 423.7 242.9 409.2 217.3C418.6 211.1 427.6 206.2 436.2 200C453.9 230.6 464 266.1 464 303.1C464 418.9 370.9 512 256 512C141.1 512 48 418.9 48 303.1C48 266.1 58.12 230.6 75.81 200C84.37 206.2 93.4 211.1 102.8 217.3V217.3zM168 279.1C168 266.7 178.7 255.1 192 255.1C205.3 255.1 216 266.7 216 279.1C216 293.3 205.3 303.1 192 303.1C178.7 303.1 168 293.3 168 279.1zM344 279.1C344 293.3 333.3 303.1 320 303.1C306.7 303.1 296 293.3 296 279.1C296 266.7 306.7 255.1 320 255.1C333.3 255.1 344 266.7 344 279.1zM256 448.1C200.5 448.1 152.8 410.5 131.5 356.5C126.7 344.5 139.3 334 151.7 338C183.3 348.4 218.7 354.1 256 354.1C293.4 354.1 328.7 348.4 360.4 338C372.7 334 385.3 344.5 380.6 356.5C359.3 410.5 311.5 448.1 256 448.1L256 448.1zM181.1 378.8C200.6 402.4 227.6 416.1 256 416.1C284.4 416.1 311.5 402.4 330.1 378.8C307.1 383.6 281.9 386.1 256 386.1C230.1 386.1 204.1 383.6 181.1 378.8z"],
    "face-diagonal-mouth": [512, 512, [129764], "e47e", "M148.4 383.4C139.9 385.8 131 380.9 128.6 372.4C126.2 363.9 131.1 355 139.6 352.6L363.6 288.6C372.1 286.2 380.1 291.1 383.4 299.6C385.8 308.1 380.9 316.1 372.4 319.4L148.4 383.4zM200.4 208C200.4 221.3 189.6 232 176.4 232C163.1 232 152.4 221.3 152.4 208C152.4 194.7 163.1 184 176.4 184C189.6 184 200.4 194.7 200.4 208zM312.4 208C312.4 194.7 323.1 184 336.4 184C349.6 184 360.4 194.7 360.4 208C360.4 221.3 349.6 232 336.4 232C323.1 232 312.4 221.3 312.4 208zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "face-disappointed": [512, 512, [], "e36f", "M256 384C227.5 384 207.6 397.7 195.9 410.7C189.1 417.3 179.9 417.8 173.3 411.9C166.7 405.1 166.2 395.9 172.1 389.3C188.2 371.4 216.3 352 256 352C295.7 352 323.8 371.4 339.9 389.3C345.8 395.9 345.3 405.1 338.7 411.9C332.1 417.8 322 417.3 316.1 410.7C304.4 397.7 284.5 384 256 384H256zM211.3 267.3L203.9 274.7C180.4 298.3 150 313.9 117.1 319.4L114.6 319.8C105.9 321.2 97.67 315.3 96.22 306.6C94.76 297.9 100.7 289.7 109.4 288.2L111.9 287.8C138.2 283.4 162.5 270.9 181.3 252.1L188.7 244.7C194.9 238.4 205.1 238.4 211.3 244.7C217.6 250.9 217.6 261.1 211.3 267.3V267.3zM300.7 267.3C294.4 261.1 294.4 250.9 300.7 244.7C306.9 238.4 317.1 238.4 323.3 244.7L330.7 252.1C349.5 270.9 373.8 283.4 400.2 287.8L402.6 288.2C411.3 289.7 417.2 297.9 415.8 306.6C414.3 315.3 406.1 321.2 397.4 319.8L394.9 319.4C361.1 313.9 331.6 298.3 308.1 274.7L300.7 267.3zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "face-disguise": [576, 512, [], "e370", "M224 216C224 229.3 213.3 240 200 240C186.7 240 176 229.3 176 216C176 202.7 186.7 192 200 192C213.3 192 224 202.7 224 216zM352 216C352 202.7 362.7 192 376 192C389.3 192 400 202.7 400 216C400 229.3 389.3 240 376 240C362.7 240 352 229.3 352 216zM544 192C544 196.7 541.1 200.1 538.7 203.9C542.2 220.7 544 238.1 544 256C544 397.4 429.4 512 288 512C146.6 512 32 397.4 32 256C32 238.1 33.83 220.7 37.31 203.9C34.05 200.1 32 196.7 32 192C32 184.3 37.41 177.9 44.63 176.4C78.12 73.97 174.4 0 288 0C401.6 0 497.9 73.97 531.4 176.4C538.6 177.9 544 184.3 544 192zM506.8 208H472C472 258.1 433.6 299.2 384.7 303.6C394.3 311.5 400 323.3 400 336C400 351.9 391 366.4 376.9 373.5L396.5 398C402 404.9 400.9 414.1 393.1 420.5C387.1 426 377 424.9 371.5 417.1L347.6 388.1L340.3 391.7L350.9 418.1C354.1 426.3 350.1 435.6 341.9 438.9C333.7 442.1 324.4 438.1 321.1 429.9L311.2 405C308.8 405.7 306.4 406.3 304 406.8V432C304 440.8 296.8 448 288 448C279.2 448 272 440.8 272 432V406.8C269.6 406.3 267.2 405.7 264.8 405L254.9 429.9C251.6 438.1 242.3 442.1 234.1 438.9C225.9 435.6 221.9 426.3 225.1 418.1L235.7 391.7L228.4 388.1L204.5 417.1C198.1 424.9 188.9 426 182 420.5C175.1 414.1 173.1 404.9 179.5 398L199.1 373.5C184.1 366.4 176 351.9 176 336C176 323.3 181.7 311.5 191.3 303.6C142.4 299.2 104 258.1 104 208H69.16C65.78 223.5 64 239.5 64 256C64 379.7 164.3 480 288 480C411.7 480 512 379.7 512 256C512 239.5 510.2 223.5 506.8 208H506.8zM263.6 215.3C263.9 212.9 264 210.5 264 208C264 172.7 235.3 144 200 144C164.7 144 136 172.7 136 208C136 243.3 164.7 272 200 272C209.3 272 218.1 270 226.1 266.5C226.7 266.2 227.6 265.7 228.7 265.1L250 229.5C253.5 223.7 258.2 218.9 263.6 215.3zM347.3 265.1C348.4 265.7 349.3 266.2 349.9 266.5C357.9 270 366.7 272 376 272C411.3 272 440 243.3 440 208C440 172.7 411.3 144 376 144C340.7 144 312 172.7 312 208C312 210.5 312.1 212.9 312.4 215.3C317.8 218.9 322.5 223.7 325.1 229.5L347.3 265.1zM497.3 176C465.1 91.8 383.5 32 288 32C192.5 32 110.9 91.8 78.71 176H109.5C114.7 161.1 123.5 147.1 134.9 137.5L129.7 127.2C125.7 119.3 128.9 109.6 136.8 105.7C144.7 101.7 154.4 104.9 158.3 112.8L161.8 119.9C166.4 117.9 171.1 116.3 176 115V96C176 87.16 183.2 80 192 80C200.8 80 208 87.16 208 96V112.3C212.4 112.7 216.7 113.4 220.1 114.3L225.7 104.8C229.6 96.94 239.3 93.74 247.2 97.69C255.1 101.6 258.3 111.3 254.3 119.2L250.7 126.4C267.1 136.7 280.2 151.7 288 169.6C295.8 151.7 308.9 136.7 325.3 126.4L321.7 119.2C317.7 111.3 320.9 101.6 328.8 97.69C336.7 93.74 346.4 96.94 350.3 104.8L355 114.3C359.3 113.4 363.6 112.7 368 112.3V96C368 87.16 375.2 80 384 80C392.8 80 400 87.16 400 96V115C404.9 116.3 409.6 117.9 414.2 119.9L417.7 112.8C421.6 104.9 431.3 101.7 439.2 105.7C447.1 109.6 450.3 119.3 446.3 127.2L441.1 137.5C452.5 147.1 461.3 161.1 466.5 176H497.3zM288 240C283.7 240 279.7 242.3 277.5 245.1L235.3 316.2L213.5 327.2C210.1 328.8 208 332.3 208 336C208 339.7 210.1 343.2 213.5 344.8L266.5 371.4C280 378.1 295.1 378.1 309.5 371.4L362.5 344.8C365.9 343.2 368 339.7 368 336C368 332.3 365.9 328.8 362.5 327.2L340.7 316.2L298.5 245.1C296.3 242.3 292.3 240 288 240V240z"],
    "face-dizzy": [512, 512, ["dizzy"], "f567", "M336 352C336 396.2 300.2 432 256 432C211.8 432 176 396.2 176 352C176 307.8 211.8 272 256 272C300.2 272 336 307.8 336 352zM256 400C282.5 400 304 378.5 304 352C304 325.5 282.5 304 256 304C229.5 304 208 325.5 208 352C208 378.5 229.5 400 256 400zM100.7 132.7C106.9 126.4 117.1 126.4 123.3 132.7L160 169.4L196.7 132.7C202.9 126.4 213.1 126.4 219.3 132.7C225.6 138.9 225.6 149.1 219.3 155.3L182.6 192L219.3 228.7C225.6 234.9 225.6 245.1 219.3 251.3C213.1 257.6 202.9 257.6 196.7 251.3L160 214.6L123.3 251.3C117.1 257.6 106.9 257.6 100.7 251.3C94.44 245.1 94.44 234.9 100.7 228.7L137.4 192L100.7 155.3C94.44 149.1 94.44 138.9 100.7 132.7zM292.7 132.7C298.9 126.4 309.1 126.4 315.3 132.7L352 169.4L388.7 132.7C394.9 126.4 405.1 126.4 411.3 132.7C417.6 138.9 417.6 149.1 411.3 155.3L374.6 192L411.3 228.7C417.6 234.9 417.6 245.1 411.3 251.3C405.1 257.6 394.9 257.6 388.7 251.3L352 214.6L315.3 251.3C309.1 257.6 298.9 257.6 292.7 251.3C286.4 245.1 286.4 234.9 292.7 228.7L329.4 192L292.7 155.3C286.4 149.1 286.4 138.9 292.7 132.7zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "face-dotted": [512, 512, [129765], "e47f", "M305.9 4.872C314.6 6.587 320.2 15 318.5 23.67C316.8 32.34 308.4 37.98 299.7 36.26C285.6 33.47 270.1 32 256 32C241 32 226.4 33.47 212.3 36.26C203.6 37.98 195.2 32.34 193.5 23.67C191.8 15 197.4 6.587 206.1 4.872C222.2 1.674 238.9 0 256 0C273.1 0 289.8 1.674 305.9 4.872V4.872zM468.9 113.8C473.8 121.1 471.8 131 464.5 135.9C457.1 140.9 447.2 138.9 442.3 131.6C425.9 107.1 404.9 86.08 380.4 69.72C373.1 64.8 371.1 54.87 376.1 47.52C380.1 40.18 390.9 38.21 398.2 43.13C426.2 61.81 450.2 85.84 468.9 113.8L468.9 113.8zM69.72 131.6C64.8 138.9 54.87 140.9 47.52 135.9C40.18 131 38.21 121.1 43.13 113.8C61.81 85.84 85.84 61.81 113.8 43.13C121.1 38.21 131 40.18 135.9 47.52C140.9 54.87 138.9 64.8 131.6 69.72C107.1 86.08 86.08 107.1 69.72 131.6L69.72 131.6zM32 256C32 270.1 33.47 285.6 36.26 299.7C37.98 308.4 32.34 316.8 23.67 318.5C15 320.2 6.587 314.6 4.872 305.9C1.674 289.8 0 273.1 0 256C0 238.9 1.674 222.2 4.872 206.1C6.587 197.4 15 191.8 23.67 193.5C32.34 195.2 37.98 203.6 36.26 212.3C33.47 226.4 32 241 32 256V256zM512 256C512 273.1 510.3 289.8 507.1 305.9C505.4 314.6 496.1 320.2 488.3 318.5C479.7 316.8 474 308.4 475.7 299.7C478.5 285.6 480 270.1 480 256C480 241 478.5 226.4 475.7 212.3C474 203.6 479.7 195.2 488.3 193.5C496.1 191.8 505.4 197.4 507.1 206.1C510.3 222.2 512 238.9 512 256zM131.6 442.3C138.9 447.2 140.9 457.1 135.9 464.5C131 471.8 121.1 473.8 113.8 468.9C85.84 450.2 61.81 426.2 43.13 398.2C38.21 390.9 40.18 380.1 47.52 376.1C54.87 371.1 64.8 373.1 69.72 380.4C86.08 404.9 107.1 425.9 131.6 442.3L131.6 442.3zM398.2 468.9C390.9 473.8 380.1 471.8 376.1 464.5C371.1 457.1 373.1 447.2 380.4 442.3C404.9 425.9 425.9 404.9 442.3 380.4C447.2 373.1 457.1 371.1 464.5 376.1C471.8 380.1 473.8 390.9 468.9 398.2C450.2 426.2 426.2 450.2 398.2 468.9L398.2 468.9zM256 480C270.1 480 285.6 478.5 299.7 475.7C308.4 474 316.8 479.7 318.5 488.3C320.2 496.1 314.6 505.4 305.9 507.1C289.8 510.3 273.1 512 256 512C238.9 512 222.2 510.3 206.1 507.1C197.4 505.4 191.8 496.1 193.5 488.3C195.2 479.7 203.6 474 212.3 475.7C226.4 478.5 241 480 256 480zM152.4 208C152.4 194.7 163.1 184 176.4 184C189.6 184 200.4 194.7 200.4 208C200.4 221.3 189.6 232 176.4 232C163.1 232 152.4 221.3 152.4 208zM360.4 208C360.4 221.3 349.6 232 336.4 232C323.1 232 312.4 221.3 312.4 208C312.4 194.7 323.1 184 336.4 184C349.6 184 360.4 194.7 360.4 208zM328 336C336.8 336 344 343.2 344 352C344 360.8 336.8 368 328 368H184C175.2 368 168 360.8 168 352C168 343.2 175.2 336 184 336H328z"],
    "face-downcast-sweat": [512, 512, [], "e371", "M128 101.3C128 133.8 99.28 160 64 160C28.72 160 .0003 133.8 .0003 101.3C.0003 76.27 38.07 25.81 55.47 4.101C59.73-1.367 68.27-1.367 72.53 4.102C90.09 25.81 128 76.27 128 101.3zM79.81 68.56C74.81 60.66 69.32 52.76 64.04 45.53C58.75 52.77 53.25 60.67 48.24 68.58C42.84 77.1 38.41 85 35.43 91.66C32.83 97.47 32.2 100.5 32.05 101.2C32.01 101.4 32 101.4 32 101.3C32 113.5 43.71 128 64 128C84.29 128 96 113.5 96 101.3C96 101.4 95.1 101.4 95.96 101.2C95.81 100.5 95.18 97.47 92.58 91.62C89.61 84.97 85.19 77.07 79.81 68.56H79.81zM151.5 57.83C143.7 61.96 133.1 58.97 129.9 51.16C125.7 43.35 128.7 33.67 136.5 29.54C172.2 10.67 212.9 .0002 256 .0002C397.4 .0002 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 232.4 3.202 209.5 9.204 187.7C11.56 179.2 20.37 174.2 28.88 176.6C37.4 178.9 42.4 187.7 40.05 196.3C34.81 215.3 32 235.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32C218.2 32 182.7 41.34 151.5 57.83L151.5 57.83zM96 272C96 263.2 103.2 256 112 256H208C216.8 256 224 263.2 224 272C224 280.8 216.8 288 208 288H112C103.2 288 96 280.8 96 272zM400 256C408.8 256 416 263.2 416 272C416 280.8 408.8 288 400 288H304C295.2 288 288 280.8 288 272C288 263.2 295.2 256 304 256H400zM172.1 389.3C188.2 371.4 216.3 352 256 352C295.7 352 323.8 371.4 339.9 389.3C345.8 395.9 345.3 405.1 338.7 411.9C332.1 417.8 322 417.3 316.1 410.7C304.4 397.7 284.5 384 256 384C227.5 384 207.6 397.7 195.9 410.7C189.1 417.3 179.9 417.8 173.3 411.9C166.7 405.1 166.2 395.9 172.1 389.3H172.1z"],
    "face-drooling": [512, 512, [], "e372", "M256 480C264.8 480 272 487.2 272 496C272 504.8 264.8 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 321.6 487.3 381.4 446.8 426.7C440.9 433.3 430.8 433.8 424.2 427.9C417.6 422 417.1 411.9 422.1 405.3C458.4 365.7 480 313.4 480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480V480zM320 387.8V464C320 472.8 312.8 480 304 480C295.2 480 288 472.8 288 464V397.1C277.9 398.1 267.2 400 256 400C189 400 142.2 363.3 115.5 329.1C109.1 323.1 111.1 313 118 307.5C124.9 301.1 134.1 303.1 140.5 310C163.3 338.5 201.8 368 256 368C310.2 368 348.7 338.5 371.5 310C377 303.1 387.1 301.1 393.1 307.5C400.9 313 402 323.1 396.5 329.1C392.7 334.7 388.6 339.5 384 344.2V496C384 504.8 376.8 512 368 512C359.2 512 352 504.8 352 496V370.9C342.3 377.4 331.7 383.1 320 387.8H320zM158.6 189.6C150.2 197.6 145.1 207.3 143.2 213.1C140.4 221.4 131.3 225.1 122.9 223.2C114.6 220.4 110 211.3 112.8 202.9C116.2 192.7 123.1 178.4 136.6 166.4C149.5 154.2 167.9 143.1 191.1 143.1C200.8 143.1 207.1 151.2 207.1 159.1C207.1 168.8 200.8 175.1 191.1 175.1C177.7 175.1 166.8 181.8 158.6 189.6L158.6 189.6zM368.8 213.1C366.9 207.3 361.8 197.6 353.4 189.6C345.2 181.8 334.3 176 320 176C311.2 176 304 168.8 304 160C304 151.2 311.2 144 320 144C344.1 144 362.5 154.2 375.4 166.4C388 178.4 395.8 192.7 399.2 202.9C401.1 211.3 397.4 220.4 389.1 223.2C380.7 225.1 371.6 221.4 368.8 213.1V213.1z"],
    "face-exhaling": [576, 512, [], "e480", "M288 32C164.3 32 64 132.3 64 256C64 379.7 164.3 480 288 480C328.8 480 366.9 469.1 399.8 450.1C407.5 445.7 417.3 448.3 421.7 456C426.1 463.7 423.5 473.4 415.8 477.9C378.2 499.6 334.5 512 288 512C146.6 512 32 397.4 32 256C32 114.6 146.6 0 288 0C423.7 0 534.7 105.5 543.4 238.9C544 247.8 537.3 255.4 528.5 255.1C519.7 256.5 512.1 249.9 511.5 241.1C503.8 124.3 406.7 32 288 32V32zM232.1 384.1C232.1 353.1 257.1 328.1 288.1 328.1C318.1 328.1 344.1 353.1 344.1 384.1C344.1 414.1 318.1 440.1 288.1 440.1C257.1 440.1 232.1 414.1 232.1 384.1zM288.1 408.1C301.3 408.1 312.1 397.3 312.1 384.1C312.1 370.8 301.3 360.1 288.1 360.1C274.8 360.1 264.1 370.8 264.1 384.1C264.1 397.3 274.8 408.1 288.1 408.1zM348.9 238.5C366.5 261.9 401.7 261.9 419.3 238.5C424.6 231.4 434.6 229.1 441.7 235.3C448.7 240.6 450.2 250.6 444.9 257.7C414.5 298.2 353.7 298.2 323.3 257.7C317.1 250.6 319.4 240.6 326.5 235.3C333.5 229.1 343.6 231.4 348.9 238.5zM249.7 235.3C256.7 240.6 258.2 250.6 252.9 257.7C222.5 298.2 161.7 298.2 131.3 257.7C125.1 250.6 127.4 240.6 134.5 235.3C141.5 229.1 151.6 231.4 156.9 238.5C174.5 261.9 209.7 261.9 227.3 238.5C232.6 231.4 242.6 229.1 249.7 235.3zM578.2 332.2C596.1 342.5 608.1 361.9 608.1 384.1C608.1 406.2 596.1 425.6 578.2 435.9C574.3 460.8 552.9 480.1 526.8 480.1C512.6 480.1 499.8 474.3 490.5 465.1C488.3 465.4 486.1 465.5 483.9 465.5C456.6 465.5 434.5 444.4 432.2 417.8L371.4 399.4C364.7 397.3 360.1 391.1 360.1 384.1C360.1 377 364.7 370.8 371.4 368.8L433.4 349.9C438.9 327.1 459.3 309.9 483.9 309.9L484.6 309.9C494 296.7 509.4 288.1 526.8 288.1C552.9 288.1 574.2 307.3 578.2 332.2L578.2 332.2zM489.1 342.6C487.5 342.1 485.7 341.9 483.9 341.9C473.1 341.9 463.1 350.8 463.1 362.2C463.1 369.3 459.4 375.5 452.6 377.6L431.2 384.1L453.3 390.8C461.1 393.2 465.9 401.1 464.3 409.1C464.1 410.4 463.1 411.8 463.1 413.2C463.1 424.6 473.1 433.5 483.9 433.5C486.4 433.5 488.7 433.1 490.8 432.3C497.1 429.6 505.1 432.3 510 438.7C513.6 444.4 519.9 448.1 526.8 448.1C537.7 448.1 546.8 439.1 546.8 427.7C546.8 427.3 546.8 426.8 546.8 426.4C546.3 419.2 550.7 412.6 557.6 410.3C568.2 406.6 576.1 396.3 576.1 384.1C576.1 371.8 568.2 361.5 557.6 357.8C550.7 355.5 546.3 348.9 546.8 341.7C546.8 341.3 546.8 340.9 546.8 340.4C546.8 329 537.7 320.1 526.8 320.1C518.5 320.1 511.2 325.3 508.3 332.9C505.3 340.6 497 344.8 489.1 342.6L489.1 342.6z"],
    "face-explode": [512, 512, ["exploding-head"], "e2fe", "M267.4 44.01C264.4 47.08 260.3 48.81 256 48.81C251.7 48.81 247.6 47.08 244.6 44.01C237.3 36.58 227.2 31.1 216 31.1C193.9 31.1 176 49.91 176 71.1V76.22C176 82.53 172.3 88.25 166.5 90.83C160.8 93.4 154 92.35 149.3 88.14C143.7 83.07 136.2 80 128 80C110.3 80 96 94.33 96 112C96 129.7 110.3 144 128 144H240C248.8 144 256 151.2 256 160C256 168.8 248.8 176 240 176H221.3C223 181 224 186.4 224 192V208C224 216.8 216.8 224 208 224C199.2 224 192 216.8 192 208V192C192 183.2 184.8 176 176 176H128C92.65 176 64 147.3 64 112C64 76.65 92.65 48 128 48C134.7 48 141.1 49.02 147.1 50.91C156.2 21.44 183.6 0 216 0C230.8 0 244.6 4.474 256 12.13C267.4 4.474 281.2 0 296 0C328.4 0 355.8 21.44 364.9 50.91C370.9 49.02 377.3 48 384 48C419.3 48 448 76.65 448 112C448 147.3 419.3 176 384 176H336C327.2 176 320 183.2 320 192V208C320 216.8 312.8 224 304 224C295.2 224 288 216.8 288 208V192C288 165.5 309.5 144 336 144H384C401.7 144 416 129.7 416 112C416 94.33 401.7 80 384 80C375.8 80 368.3 83.07 362.7 88.14C357.1 92.35 351.2 93.4 345.5 90.83C339.7 88.25 336 82.53 336 76.22V71.1C336 49.91 318.1 31.1 296 31.1C284.8 31.1 274.7 36.58 267.4 44.01V44.01zM152.4 336C152.4 322.7 163.1 311.1 176.4 311.1C189.6 311.1 200.4 322.7 200.4 336C200.4 349.3 189.6 360 176.4 360C163.1 360 152.4 349.3 152.4 336zM360.4 336C360.4 349.3 349.6 360 336.4 360C323.1 360 312.4 349.3 312.4 336C312.4 322.7 323.1 311.1 336.4 311.1C349.6 311.1 360.4 322.7 360.4 336zM320 416V421.3C320 436.1 308.1 448 293.3 448H218.7C203.9 448 192 436.1 192 421.3V416C192 380.7 220.7 352 256 352C291.3 352 320 380.7 320 416H320zM288 416C288 398.3 273.7 384 256 384C238.3 384 224 398.3 224 416H288zM32.04 260.3C35.15 259.7 38.17 258.5 40.99 256.9L69.64 240.8C79.39 235.3 91.28 235.3 101 240.8L126.5 255.2C136.3 260.7 148.2 260.7 157.9 255.2L183.4 240.8C193.2 235.3 205.1 235.3 214.8 240.8L240.3 255.2C250.1 260.7 261.9 260.7 271.7 255.2L297.2 240.8C306.9 235.3 318.8 235.3 328.6 240.8L354.1 255.2C363.8 260.7 375.7 260.7 385.5 255.2L410.1 240.8C420.7 235.3 432.6 235.3 442.4 240.8L471 256.9C473.8 258.5 476.9 259.7 479.1 260.3C485.6 261.6 491.6 261.2 497.2 259.3L511.1 254.2L512 255.1C512 267.1 511.3 278 509.9 288.7C493.9 414.7 386.3 512 256 512C125.7 512 18.15 414.7 2.074 288.7C.7053 278 0 267.1 0 255.1L.0064 254.2L14.84 259.3C20.43 261.2 26.38 261.6 32.04 260.3V260.3zM56.68 284.8C49.87 288.7 42.49 291.2 34.93 292.3C52.29 398.8 144.7 480 256 480C367.3 480 459.7 398.8 477.1 292.3C469.5 291.2 462.1 288.7 455.3 284.8L426.7 268.7L401.2 283.1C381.7 294 357.9 294 338.4 283.1L312.9 268.7L287.4 283.1C267.9 294 244.1 294 224.6 283.1L199.1 268.7L173.6 283.1C154.1 294 130.3 294 110.8 283.1L85.33 268.7L56.68 284.8z"],
    "face-expressionless": [512, 512, [], "e373", "M352 336C360.8 336 368 343.2 368 352C368 360.8 360.8 368 352 368H160C151.2 368 144 360.8 144 352C144 343.2 151.2 336 160 336H352zM128 208C128 199.2 135.2 192 144 192H208C216.8 192 224 199.2 224 208C224 216.8 216.8 224 208 224H144C135.2 224 128 216.8 128 208zM368 192C376.8 192 384 199.2 384 208C384 216.8 376.8 224 368 224H304C295.2 224 288 216.8 288 208C288 199.2 295.2 192 304 192H368zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "face-eyes-xmarks": [512, 512, [], "e374", "M260.2 288C310.9 288 352 329.1 352 379.8C352 390.1 342.1 400 331.8 400H180.2C169 400 160 390.1 160 379.8C160 329.1 201.1 288 251.8 288H260.2zM251.8 320C222.8 320 198.6 340.6 193.2 368H318.8C313.4 340.6 289.2 320 260.2 320H251.8zM100.7 132.7C106.9 126.4 117.1 126.4 123.3 132.7L160 169.4L196.7 132.7C202.9 126.4 213.1 126.4 219.3 132.7C225.6 138.9 225.6 149.1 219.3 155.3L182.6 192L219.3 228.7C225.6 234.9 225.6 245.1 219.3 251.3C213.1 257.6 202.9 257.6 196.7 251.3L160 214.6L123.3 251.3C117.1 257.6 106.9 257.6 100.7 251.3C94.44 245.1 94.44 234.9 100.7 228.7L137.4 192L100.7 155.3C94.44 149.1 94.44 138.9 100.7 132.7zM292.7 132.7C298.9 126.4 309.1 126.4 315.3 132.7L352 169.4L388.7 132.7C394.9 126.4 405.1 126.4 411.3 132.7C417.6 138.9 417.6 149.1 411.3 155.3L374.6 192L411.3 228.7C417.6 234.9 417.6 245.1 411.3 251.3C405.1 257.6 394.9 257.6 388.7 251.3L352 214.6L315.3 251.3C309.1 257.6 298.9 257.6 292.7 251.3C286.4 245.1 286.4 234.9 292.7 228.7L329.4 192L292.7 155.3C286.4 149.1 286.4 138.9 292.7 132.7zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "face-fearful": [512, 512, [], "e375", "M260.2 304C310.9 304 352 345.1 352 395.8C352 406.1 342.1 416 331.8 416H180.2C169 416 160 406.1 160 395.8C160 345.1 201.1 304 251.8 304H260.2zM251.8 336C222.8 336 198.6 356.6 193.2 384H318.8C313.4 356.6 289.2 336 260.2 336H251.8zM176 112C171.6 112 167.2 112.3 162.1 112.9C141.8 115.7 122.4 125.2 106.9 139.7C100.5 145.7 90.34 145.4 84.31 138.9C78.28 132.5 78.62 122.3 85.08 116.3C105.1 97.58 130.6 84.85 158.8 81.13C164.4 80.38 170.2 80 176 80C184.8 80 192 87.16 192 96C192 104.8 184.8 112 176 112zM349 112.9C344.8 112.3 340.4 112 336 112C327.2 112 320 104.8 320 96C320 87.16 327.2 80 336 80C341.8 80 347.6 80.38 353.2 81.13C381.4 84.85 406.9 97.58 426.9 116.3C433.4 122.3 433.7 132.5 427.7 138.9C421.7 145.4 411.5 145.7 405.1 139.7C389.6 125.2 370.2 115.7 349 112.9V112.9zM184.4 224C184.4 237.3 173.6 248 160.4 248C147.1 248 136.4 237.3 136.4 224C136.4 210.7 147.1 200 160.4 200C173.6 200 184.4 210.7 184.4 224zM80 224C80 179.8 115.8 144 160 144C204.2 144 240 179.8 240 224C240 268.2 204.2 304 160 304C115.8 304 80 268.2 80 224zM160 176C133.5 176 112 197.5 112 224C112 250.5 133.5 272 160 272C186.5 272 208 250.5 208 224C208 197.5 186.5 176 160 176zM328.4 224C328.4 210.7 339.1 200 352.4 200C365.6 200 376.4 210.7 376.4 224C376.4 237.3 365.6 248 352.4 248C339.1 248 328.4 237.3 328.4 224zM432 224C432 268.2 396.2 304 352 304C307.8 304 272 268.2 272 224C272 179.8 307.8 144 352 144C396.2 144 432 179.8 432 224zM352 272C378.5 272 400 250.5 400 224C400 197.5 378.5 176 352 176C325.5 176 304 197.5 304 224C304 250.5 325.5 272 352 272zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "face-flushed": [512, 512, [128563, "flushed"], "f579", "M320 368C328.8 368 336 375.2 336 384C336 392.8 328.8 400 320 400H192C183.2 400 176 392.8 176 384C176 375.2 183.2 368 192 368H320zM136.4 224C136.4 210.7 147.1 200 160.4 200C173.6 200 184.4 210.7 184.4 224C184.4 237.3 173.6 248 160.4 248C147.1 248 136.4 237.3 136.4 224zM80 224C80 179.8 115.8 144 160 144C204.2 144 240 179.8 240 224C240 268.2 204.2 304 160 304C115.8 304 80 268.2 80 224zM160 272C186.5 272 208 250.5 208 224C208 197.5 186.5 176 160 176C133.5 176 112 197.5 112 224C112 250.5 133.5 272 160 272zM376.4 224C376.4 237.3 365.6 248 352.4 248C339.1 248 328.4 237.3 328.4 224C328.4 210.7 339.1 200 352.4 200C365.6 200 376.4 210.7 376.4 224zM432 224C432 268.2 396.2 304 352 304C307.8 304 272 268.2 272 224C272 179.8 307.8 144 352 144C396.2 144 432 179.8 432 224zM352 176C325.5 176 304 197.5 304 224C304 250.5 325.5 272 352 272C378.5 272 400 250.5 400 224C400 197.5 378.5 176 352 176zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "face-frown": [512, 512, [9785, "frown"], "f119", "M139.3 399.3C130.8 396.7 126.1 387.7 128.7 379.3C145.2 326.1 196.3 288 256 288C315.8 288 366.8 326.1 383.3 379.3C385.9 387.7 381.2 396.7 372.7 399.3C364.3 401.9 355.3 397.2 352.7 388.7C340.5 349.4 302.1 320 256 320C209.9 320 171.5 349.4 159.3 388.7C156.7 397.2 147.7 401.9 139.3 399.3H139.3zM200.4 208C200.4 221.3 189.6 232 176.4 232C163.1 232 152.4 221.3 152.4 208C152.4 194.7 163.1 184 176.4 184C189.6 184 200.4 194.7 200.4 208zM312.4 208C312.4 194.7 323.1 184 336.4 184C349.6 184 360.4 194.7 360.4 208C360.4 221.3 349.6 232 336.4 232C323.1 232 312.4 221.3 312.4 208zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "face-frown-open": [512, 512, [128550, "frown-open"], "f57a", "M152.4 208C152.4 194.7 163.1 184 176.4 184C189.6 184 200.4 194.7 200.4 208C200.4 221.3 189.6 232 176.4 232C163.1 232 152.4 221.3 152.4 208zM360.4 208C360.4 221.3 349.6 232 336.4 232C323.1 232 312.4 221.3 312.4 208C312.4 194.7 323.1 184 336.4 184C349.6 184 360.4 194.7 360.4 208zM259.9 385.2C233.1 385.2 207.9 390.6 185.5 400C174.2 404.8 161.7 403.1 152.7 396.5C143 389.3 137.8 376.1 143.8 362.5C162.1 318.4 207.9 287.8 259.9 287.8C311.9 287.8 356.9 318.5 376.1 362.6C382 376.2 376.8 389.3 367.1 396.5C358.1 403.2 345.6 404.8 334.4 400.1C311.9 390.6 286.7 385.2 259.9 385.2V385.2zM175.1 369.3C201.6 358.1 230 353.2 259.9 353.2C289.8 353.2 318.2 358.1 343.9 369.4C328.4 340.2 296.8 319.8 259.9 319.8C223.1 319.8 191.4 340.1 175.1 369.3V369.3zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "face-frown-slight": [512, 512, [], "e376", "M256 352C212.6 352 182 373.8 164.1 394.5C158.3 401.2 148.2 401.9 141.5 396.1C134.8 390.3 134.1 380.2 139.9 373.5C162.1 347.9 200.9 320 255.1 320C311.1 320 349.8 347.9 372.1 373.5C377.9 380.2 377.2 390.3 370.5 396.1C363.8 401.9 353.7 401.2 347.9 394.5C329.9 373.8 299.4 352 255.1 352H256zM200.4 208C200.4 221.3 189.6 232 176.4 232C163.1 232 152.4 221.3 152.4 208C152.4 194.7 163.1 184 176.4 184C189.6 184 200.4 194.7 200.4 208zM312.4 208C312.4 194.7 323.1 184 336.4 184C349.6 184 360.4 194.7 360.4 208C360.4 221.3 349.6 232 336.4 232C323.1 232 312.4 221.3 312.4 208zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "face-glasses": [512, 512, [], "e377", "M141.5 339.9C148.2 334.1 158.3 334.8 164.1 341.5C182 362.2 212.6 384 256 384C299.4 384 329.1 362.2 347.9 341.5C353.7 334.8 363.8 334.1 370.5 339.9C377.2 345.7 377.9 355.8 372.1 362.5C349.8 388.1 311.1 416 256 416C200.9 416 162.2 388.1 139.9 362.5C134.1 355.8 134.8 345.7 141.5 339.9zM320.4 224C320.4 210.7 331.1 200 344.4 200C357.6 200 368.4 210.7 368.4 224C368.4 237.3 357.6 248 344.4 248C331.1 248 320.4 237.3 320.4 224zM192.4 224C192.4 237.3 181.6 248 168.4 248C155.1 248 144.4 237.3 144.4 224C144.4 210.7 155.1 200 168.4 200C181.6 200 192.4 210.7 192.4 224zM493.4 160H496C504.8 160 512 167.2 512 176C512 182.1 508.5 187.5 503.5 190.2C509 211.2 512 233.2 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 233.2 2.971 211.2 8.546 190.2C3.464 187.5 0 182.1 0 176C0 167.2 7.164 160 16 160H18.61C56.59 66.18 148.6 0 256 0C363.4 0 455.4 66.18 493.4 160zM256 480C379.7 480 480 379.7 480 256C480 233.8 476.8 212.3 470.7 192H463.4C463.8 194.6 464 197.3 464 200V248C464 278.9 438.9 304 408 304H328C297.1 304 272 278.9 272 248V200C272 197.3 272.2 194.6 272.6 192H239.4C239.8 194.6 240 197.3 240 200V248C240 278.9 214.9 304 184 304H104C73.07 304 48 278.9 48 248V200C48 197.3 48.19 194.6 48.57 192H41.28C35.24 212.3 32 233.8 32 256C32 379.7 132.3 480 256 480zM224 160H288V160.8C298.2 150.4 312.3 144 328 144H408C423.3 144 437.1 150.1 447.2 160H458.4C422.5 84.32 345.4 32 256 32C166.6 32 89.51 84.32 53.56 160H64.81C74.91 150.1 88.74 144 104 144H184C199.7 144 213.8 150.4 224 160.8V160zM304 248C304 261.3 314.7 272 328 272H408C421.3 272 432 261.3 432 248V200C432 186.7 421.3 176 408 176H328C314.7 176 304 186.7 304 200V248zM104 176C90.75 176 80 186.7 80 200V248C80 261.3 90.75 272 104 272H184C197.3 272 208 261.3 208 248V200C208 186.7 197.3 176 184 176H104z"],
    "face-grimace": [512, 512, [128556, "grimace"], "f57f", "M344 288C374.9 288 400 313.1 400 344C400 374.9 374.9 400 344 400H168C137.1 400 112 374.9 112 344C112 313.1 137.1 288 168 288H344zM168 320C154.7 320 144 330.7 144 344C144 357.3 154.7 368 168 368H176V320H168zM208 368H240V320H208V368zM304 320H272V368H304V320zM336 368H344C357.3 368 368 357.3 368 344C368 330.7 357.3 320 344 320H336V368zM200.4 208C200.4 221.3 189.6 232 176.4 232C163.1 232 152.4 221.3 152.4 208C152.4 194.7 163.1 184 176.4 184C189.6 184 200.4 194.7 200.4 208zM312.4 208C312.4 194.7 323.1 184 336.4 184C349.6 184 360.4 194.7 360.4 208C360.4 221.3 349.6 232 336.4 232C323.1 232 312.4 221.3 312.4 208zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "face-grin": [512, 512, [128512, "grin"], "f580", "M256 416.1C192.2 416.1 137.3 378 113.2 323.5C108.1 311.8 120 301.1 132.3 304.7C169.6 315.9 211.6 322.1 256 322.1C300.5 322.1 342.5 315.9 379.8 304.7C392.1 301.1 404 311.8 398.9 323.5C374.8 378 319.9 416.1 256 416.1V416.1zM166.1 345.8C188.7 369.4 220.6 384.1 256 384.1C291.5 384.1 323.4 369.4 345.1 345.8C317.4 351.3 287.2 354.1 256 354.1C224.9 354.1 194.7 351.3 166.1 345.8zM200.4 208C200.4 221.3 189.6 232 176.4 232C163.1 232 152.4 221.3 152.4 208C152.4 194.7 163.1 184 176.4 184C189.6 184 200.4 194.7 200.4 208zM312.4 208C312.4 194.7 323.1 184 336.4 184C349.6 184 360.4 194.7 360.4 208C360.4 221.3 349.6 232 336.4 232C323.1 232 312.4 221.3 312.4 208zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "face-grin-beam": [512, 512, [128516, "grin-beam"], "f582", "M256 416.1C192.2 416.1 137.3 378 113.2 323.5C108.1 311.8 120 301.1 132.3 304.7C169.6 315.9 211.6 322.1 256 322.1C300.5 322.1 342.5 315.9 379.8 304.7C392.1 301.1 404 311.8 398.9 323.5C374.8 378 319.9 416.1 256 416.1V416.1zM166.1 345.8C188.7 369.4 220.6 384.1 256 384.1C291.5 384.1 323.4 369.4 345.1 345.8C317.4 351.3 287.2 354.1 256 354.1C224.9 354.1 194.7 351.3 166.1 345.8zM156.5 188.5C150.2 195.7 145.7 205.3 143.5 213.9C141.4 222.5 132.7 227.7 124.1 225.5C115.5 223.4 110.3 214.7 112.5 206.1C115.7 193.4 122.3 179 132.3 167.5C142.4 155.9 157.2 146 176 146C194.8 146 209.6 155.9 219.7 167.5C229.7 179 236.3 193.4 239.5 206.1C241.7 214.7 236.5 223.4 227.9 225.5C219.3 227.7 210.6 222.5 208.5 213.9C206.3 205.3 201.8 195.7 195.5 188.5C189.4 181.4 182.8 178 176 178C169.2 178 162.6 181.4 156.5 188.5V188.5zM284.1 225.5C275.5 223.4 270.3 214.7 272.5 206.1C275.7 193.4 282.3 179 292.3 167.5C302.4 155.9 317.2 146 336 146C354.8 146 369.6 155.9 379.7 167.5C389.7 179 396.3 193.4 399.5 206.1C401.7 214.7 396.5 223.4 387.9 225.5C379.3 227.7 370.6 222.5 368.5 213.9C366.3 205.3 361.8 195.7 355.5 188.5C349.4 181.4 342.8 178 336 178C329.2 178 322.6 181.4 316.5 188.5C310.2 195.7 305.7 205.3 303.5 213.9C301.4 222.5 292.7 227.7 284.1 225.5H284.1zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "face-grin-beam-sweat": [512, 512, [128517, "grin-beam-sweat"], "f583", "M439.5 4.102C443.7-1.367 452.3-1.367 456.5 4.101C473.9 25.81 512 76.27 512 101.3C512 133.8 483.3 160 448 160C412.7 160 384 133.8 384 101.3C384 76.27 421.9 25.81 439.5 4.102V4.102zM419.4 91.62C416.8 97.47 416.2 100.5 416 101.2C416 101.4 416 101.4 416 101.3C416 113.5 427.7 128 448 128C468.3 128 480 113.5 480 101.3C480 101.4 479.1 101.4 479.1 101.2C479.8 100.5 479.2 97.47 476.6 91.66C473.6 85 469.2 77.1 463.8 68.58C458.8 60.67 453.3 52.77 447.1 45.53C442.7 52.76 437.2 60.66 432.2 68.56C426.8 77.07 422.4 84.97 419.4 91.62H419.4zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 235.3 477.2 215.3 471.9 196.3C469.6 187.7 474.6 178.9 483.1 176.6C491.6 174.2 500.4 179.2 502.8 187.7C508.8 209.5 512 232.4 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 .0003 256 .0003C299.1 .0003 339.8 10.67 375.5 29.54C383.3 33.67 386.3 43.35 382.1 51.16C378 58.97 368.3 61.96 360.5 57.83C329.3 41.34 293.8 32 255.1 32L256 32zM379.8 304.7C392.1 301.1 404 311.8 398.9 323.5C374.8 378 319.9 416.1 256 416.1C192.2 416.1 137.3 378 113.2 323.5C108.1 311.8 120 301.1 132.3 304.7C169.6 315.9 211.6 322.1 256 322.1C300.5 322.1 342.5 315.9 379.8 304.7V304.7zM345.1 345.8C317.4 351.3 287.2 354.1 256 354.1C224.9 354.1 194.7 351.3 166.1 345.8C188.7 369.4 220.6 384.1 256 384.1C291.5 384.1 323.4 369.4 345.1 345.8zM124.1 231.5C115.5 229.4 110.3 220.7 112.5 212.1C115.7 199.4 122.3 185 132.3 173.5C142.4 161.9 157.2 152 176 152C194.8 152 209.6 161.9 219.7 173.5C229.7 185 236.3 199.4 239.5 212.1C241.7 220.7 236.5 229.4 227.9 231.5C219.3 233.7 210.6 228.5 208.5 219.9C206.3 211.3 201.8 201.7 195.5 194.5C189.4 187.4 182.8 184 176 184C169.2 184 162.6 187.4 156.5 194.5C150.2 201.7 145.7 211.3 143.5 219.9C141.4 228.5 132.7 233.7 124.1 231.5V231.5zM316.5 194.5C310.2 201.7 305.7 211.3 303.5 219.9C301.4 228.5 292.7 233.7 284.1 231.5C275.5 229.4 270.3 220.7 272.5 212.1C275.7 199.4 282.3 185 292.3 173.5C302.4 161.9 317.2 152 336 152C354.8 152 369.6 161.9 379.7 173.5C389.7 185 396.3 199.4 399.5 212.1C401.7 220.7 396.5 229.4 387.9 231.5C379.3 233.7 370.6 228.5 368.5 219.9C366.3 211.3 361.8 201.7 355.5 194.5C349.4 187.4 342.8 184 336 184C329.2 184 322.6 187.4 316.5 194.5H316.5z"],
    "face-grin-hearts": [512, 512, [128525, "grin-hearts"], "f584", "M256 416.1C192.2 416.1 137.3 378 113.2 323.5C108.1 311.8 120 301.1 132.3 304.7C169.6 315.9 211.6 322.1 256 322.1C300.5 322.1 342.5 315.9 379.8 304.7C392.1 301.1 404 311.8 398.9 323.5C374.8 378 319.9 416.1 256 416.1V416.1zM166.1 345.8C188.7 369.4 220.6 384.1 256 384.1C291.5 384.1 323.4 369.4 345.1 345.8C317.4 351.3 287.2 354.1 256 354.1C224.9 354.1 194.7 351.3 166.1 345.8zM142.1 148.6C150 122.3 177.1 106.6 203.4 113.7C229.7 120.7 245.4 147.8 238.3 174.1L220.9 239.2C216.3 256.2 198.8 266.4 181.7 261.8L116.6 244.4C90.26 237.3 74.64 210.2 81.69 183.9C88.74 157.6 115.8 141.1 142.1 149L142.8 149.2L142.1 148.6zM195.1 144.6C185.9 142.1 176.4 147.6 173.9 156.9L165.4 188.4L133.9 179.9C124.6 177.4 115.1 182.9 112.6 192.2C110.1 201.4 115.6 210.1 124.9 213.4L189.1 230.9L207.4 165.9C209.9 156.6 204.4 147.1 195.1 144.6L195.1 144.6zM369.2 149.2L369.9 149C396.2 141.1 423.3 157.6 430.3 183.9C437.4 210.2 421.7 237.3 395.4 244.4L330.3 261.8C313.2 266.4 295.7 256.2 291.1 239.2L273.7 174.1C266.6 147.8 282.3 120.7 308.6 113.7C334.9 106.6 361.1 122.3 369 148.6L369.2 149.2zM304.6 165.9L322 230.9L387.1 213.4C396.4 210.1 401.9 201.4 399.4 192.2C396.9 182.9 387.4 177.4 378.1 179.9L346.6 188.4L338.1 156.9C335.6 147.6 326.1 142.1 316.9 144.6C307.6 147.1 302.1 156.6 304.6 165.9L304.6 165.9zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "face-grin-squint": [512, 512, [128518, "grin-squint"], "f585", "M256 416.1C192.2 416.1 137.3 378 113.2 323.5C108.1 311.8 120 301.1 132.3 304.7C169.6 315.9 211.6 322.1 256 322.1C300.5 322.1 342.5 315.9 379.8 304.7C392.1 301.1 404 311.8 398.9 323.5C374.8 378 319.9 416.1 256 416.1V416.1zM166.1 345.8C188.7 369.4 220.6 384.1 256 384.1C291.5 384.1 323.4 369.4 345.1 345.8C317.4 351.3 287.2 354.1 256 354.1C224.9 354.1 194.7 351.3 166.1 345.8zM150.8 161.7L214.8 193.7C220.2 196.4 223.6 201.9 223.6 208C223.6 214.1 220.2 219.6 214.8 222.3L150.8 254.3C142.9 258.3 133.3 255.1 129.3 247.2C125.4 239.3 128.6 229.6 136.5 225.7L171.9 207.1L136.5 190.3C128.6 186.4 125.4 176.7 129.3 168.8C133.3 160.9 142.9 157.7 150.8 161.7V161.7zM340.2 208L375.5 225.7C383.4 229.6 386.6 239.3 382.7 247.2C378.7 255.1 369.1 258.3 361.2 254.3L297.2 222.3C291.8 219.6 288.4 214.1 288.4 208C288.4 201.9 291.8 196.4 297.2 193.7L361.2 161.7C369.1 157.7 378.7 160.9 382.7 168.8C386.6 176.7 383.4 186.4 375.5 190.3L340.2 208zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "face-grin-squint-tears": [512, 512, [129315, "grin-squint-tears"], "f586", "M414.7 16.2C436.6-5.767 472.6-5.309 494.9 17.06C517.3 39.42 517.8 75.38 495.8 97.35C478.9 114.2 420.7 124.3 394.9 127.9C388.5 128.9 383.1 123.5 384.1 117.1C387.8 91.36 397.8 33.1 414.7 16.2V16.2zM420.1 91.08C427.5 89.78 434.2 88.29 440.8 86.62C449.9 84.28 458 81.75 464.4 79.14C470.1 76.79 472.6 75.12 473.1 74.76C473.2 74.67 473.2 74.66 473.2 74.72C482.2 65.72 482.7 50.04 472.3 39.68C461.1 29.33 446.3 29.84 437.3 38.83C437.4 38.76 437.3 38.79 437.2 38.91C436.9 39.45 435.2 41.88 432.9 47.59C430.3 53.95 427.8 62.07 425.4 71.23C423.8 77.8 422.3 84.55 420.1 91.08H420.1zM50.63 345.6C54.17 353.7 50.47 363.1 42.38 366.7C34.28 370.2 24.85 366.5 21.31 358.4C7.598 327 0 292.4 0 256C0 114.6 114.6 0 256 0C291.8 0 325.9 7.364 356.9 20.67C365.1 24.16 368.8 33.57 365.3 41.69C361.8 49.81 352.4 53.56 344.3 50.08C317.2 38.45 287.4 32 256 32C132.3 32 32 132.3 32 256C32 287.9 38.65 318.2 50.63 345.6V345.6zM512 256C512 397.4 397.4 512 256 512C219.1 512 183.9 504.2 152.1 490C144.1 486.5 140.4 477 144 468.9C147.6 460.9 157.1 457.2 165.1 460.8C192.9 473.1 223.6 480 256 480C379.7 480 480 379.7 480 256C480 224.1 473.3 193.8 461.4 166.4C457.8 158.3 461.5 148.9 469.6 145.3C477.7 141.8 487.2 145.5 490.7 153.6C504.4 184.1 512 219.6 512 256V256zM369.3 369.2C324.1 414.4 258.4 426.2 202.8 404.7C190.8 400 191.7 384 202.1 377.9C237.3 359.4 271.4 334.1 302.8 302.7C334.2 271.3 359.5 237.2 377.1 202.9C384.1 191.6 400.1 190.8 404.7 202.7C426.3 258.3 414.4 324.1 369.3 369.2zM255.1 383.1C288.6 383.8 321.6 371.6 346.6 346.6C371.7 321.5 383.9 288.5 383.1 255.9C366.8 279.9 347.5 303.3 325.4 325.4C303.4 347.4 279.1 366.7 255.1 383.1zM114.9 263.7L182.8 241.1C188.5 239.2 194.9 240.7 199.2 244.9C203.5 249.2 204.1 255.6 203 261.3L180.4 329.2C177.6 337.6 168.6 342.1 160.2 339.3C151.8 336.5 147.3 327.5 150 319.1L162.6 281.6L125 294.1C116.6 296.9 107.6 292.3 104.8 283.9C101.1 275.6 106.5 266.5 114.9 263.7L114.9 263.7zM281.6 162.6L319.1 150C327.5 147.3 336.5 151.8 339.3 160.2C342.1 168.6 337.6 177.6 329.2 180.4L261.3 203C255.6 204.1 249.2 203.5 244.9 199.2C240.7 194.9 239.2 188.5 241.1 182.8L263.7 114.9C266.5 106.5 275.6 101.1 283.9 104.8C292.3 107.6 296.9 116.6 294.1 125L281.6 162.6zM117.1 384.1C123.5 383.1 128.9 388.5 127.9 394.9C124.2 420.6 114.2 478.9 97.34 495.8C75.38 517.8 39.42 517.3 17.06 494.9C-5.309 472.6-5.767 436.6 16.2 414.7C33.1 397.8 91.25 387.7 117.1 384.1L117.1 384.1zM47.61 432.9C41.87 435.2 39.44 436.9 38.91 437.2C38.79 437.3 38.77 437.3 38.83 437.3C29.84 446.3 29.33 461.1 39.68 472.3C50.04 482.7 65.72 482.2 74.72 473.2C74.65 473.2 74.67 473.2 74.75 473.1C75.12 472.5 76.78 470.1 79.11 464.4C81.72 458 84.24 449.9 86.57 440.8C88.24 434.2 89.73 427.4 91.03 420.9C84.51 422.2 77.77 423.7 71.21 425.4C62.07 427.7 53.97 430.2 47.61 432.9L47.61 432.9z"],
    "face-grin-stars": [512, 512, [129321, "grin-stars"], "f587", "M379.8 304.7C392.1 301.1 404 311.8 398.9 323.5C374.8 378 319.9 416.1 256 416.1C192.2 416.1 137.3 378 113.2 323.5C108.1 311.8 120 301.1 132.3 304.7C169.6 315.9 211.6 322.1 256 322.1C300.5 322.1 342.5 315.9 379.8 304.7V304.7zM345.1 345.8C317.4 351.3 287.2 354.1 256 354.1C224.9 354.1 194.7 351.3 166.1 345.8C188.7 369.4 220.6 384.1 256 384.1C291.5 384.1 323.4 369.4 345.1 345.8zM159.1 104C166.2 104 171.8 107.5 174.4 113.1L193.7 153.6L238.2 159.4C244.3 160.2 249.4 164.5 251.3 170.3C253.2 176.2 251.6 182.6 247.1 186.9L214.6 217.7L222.8 261.8C223.9 267.9 221.4 274 216.4 277.7C211.4 281.3 204.8 281.7 199.4 278.8L159.1 257.4L120.6 278.8C115.2 281.7 108.6 281.3 103.6 277.7C98.58 274 96.12 267.9 97.24 261.8L105.4 217.7L72.9 186.9C68.43 182.6 66.79 176.2 68.7 170.3C70.6 164.5 75.71 160.2 81.82 159.4L126.3 153.6L145.6 113.1C148.2 107.5 153.8 104 159.1 104V104zM159.1 157.2L151.4 175.2C149.1 180.1 144.4 183.4 139 184.1L119.2 186.8L133.7 200.5C137.7 204.2 139.4 209.7 138.5 215L134.8 234.7L152.4 225.1C157.1 222.6 162.9 222.6 167.6 225.1L185.2 234.7L181.5 215C180.6 209.7 182.3 204.2 186.3 200.5L200.7 186.8L180.9 184.1C175.6 183.4 170.9 180.1 168.6 175.2L159.1 157.2zM352 104C358.2 104 363.8 107.5 366.4 113.1L385.7 153.6L430.2 159.4C436.3 160.2 441.4 164.5 443.3 170.3C445.2 176.2 443.6 182.6 439.1 186.9L406.6 217.7L414.8 261.8C415.9 267.9 413.4 274 408.4 277.7C403.4 281.3 396.8 281.7 391.4 278.8L352 257.4L312.6 278.8C307.2 281.7 300.6 281.3 295.6 277.7C290.6 274 288.1 267.9 289.2 261.8L297.4 217.7L264.9 186.9C260.4 182.6 258.8 176.2 260.7 170.3C262.6 164.5 267.7 160.2 273.8 159.4L318.3 153.6L337.6 113.1C340.2 107.5 345.8 104 352 104V104zM352 157.2L343.4 175.2C341.1 180.1 336.4 183.4 331 184.1L311.3 186.8L325.7 200.5C329.7 204.2 331.4 209.7 330.5 215L326.8 234.7L344.4 225.1C349.1 222.6 354.9 222.6 359.6 225.1L377.2 234.7L373.5 215C372.6 209.7 374.3 204.2 378.3 200.5L392.8 186.8L372.1 184.1C367.6 183.4 362.9 180.1 360.6 175.2L352 157.2zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480z"],
    "face-grin-tears": [640, 512, [128514, "grin-tears"], "f588", "M90.24 184.6C81.1 181.4 77.89 172.1 81.07 163.9C118 68.05 211.1 0 320 0C428.9 0 521.1 68.05 558.9 163.9C562.1 172.1 558 181.4 549.8 184.6C541.5 187.8 532.3 183.7 529.1 175.4C496.7 91.49 415.3 32 319.1 32C224.7 32 143.3 91.49 110.9 175.4C107.7 183.7 98.49 187.8 90.24 184.6H90.24zM320 480C399.8 480 469.8 438.3 509.5 375.5C514.2 367.1 524.1 365.8 531.6 370.5C539.1 375.2 541.3 385.1 536.6 392.5C491.3 464.3 411.2 512 320 512C228.8 512 148.7 464.3 103.4 392.5C98.7 385.1 100.9 375.2 108.4 370.5C115.9 365.8 125.8 367.1 130.5 375.5C170.2 438.3 240.2 480 320 480H320zM320 416.1C256.2 416.1 201.3 378 177.2 323.5C172.1 311.8 184 301.1 196.3 304.7C233.6 315.9 275.6 322.1 320 322.1C364.5 322.1 406.5 315.9 443.8 304.7C456.1 301.1 468 311.8 462.9 323.5C438.8 378 383.9 416.1 320 416.1V416.1zM230.1 345.8C252.7 369.4 284.6 384.1 320 384.1C355.5 384.1 387.4 369.4 409.1 345.8C381.4 351.3 351.2 354.1 320 354.1C288.9 354.1 258.7 351.3 230.1 345.8zM220.5 194.5C214.2 201.7 209.7 211.3 207.5 219.9C205.4 228.5 196.7 233.7 188.1 231.5C179.5 229.4 174.3 220.7 176.5 212.1C179.7 199.4 186.3 185 196.3 173.5C206.4 161.9 221.2 152 240 152C258.8 152 273.6 161.9 283.7 173.5C293.7 185 300.3 199.4 303.5 212.1C305.7 220.7 300.5 229.4 291.9 231.5C283.3 233.7 274.6 228.5 272.5 219.9C270.3 211.3 265.8 201.7 259.5 194.5C253.4 187.4 246.8 184 240 184C233.2 184 226.6 187.4 220.5 194.5V194.5zM348.1 231.5C339.5 229.4 334.3 220.7 336.5 212.1C339.7 199.4 346.3 185 356.3 173.5C366.4 161.9 381.2 152 400 152C418.8 152 433.6 161.9 443.7 173.5C453.7 185 460.3 199.4 463.5 212.1C465.7 220.7 460.5 229.4 451.9 231.5C443.3 233.7 434.6 228.5 432.5 219.9C430.3 211.3 425.8 201.7 419.5 194.5C413.4 187.4 406.8 184 400 184C393.2 184 386.6 187.4 380.5 194.5C374.2 201.7 369.7 211.3 367.5 219.9C365.4 228.5 356.7 233.7 348.1 231.5H348.1zM523.4 224.1C549.5 226.8 608.2 235.2 624.8 251.8C646.4 273.4 644.8 309.9 621.3 333.3C597.9 356.8 561.4 358.4 539.8 336.8C523.2 320.2 514.9 261.4 512.1 235.4C511.3 228.9 516.9 223.3 523.4 224.1V224.1zM547.6 259.6C548.8 267.1 550.3 274.1 551.1 282.6C554.1 291.8 556.3 299.9 558.7 306.2C560.7 311.2 562.1 313.5 562.5 314.1C562.5 314.3 562.6 314.3 562.6 314.3C562.6 314.3 562.6 314.3 562.5 314.3C569.9 321.5 585.9 323.4 598.7 310.7C611.5 297.9 609.5 281.8 602.3 274.5C602.3 274.5 602.3 274.6 602.3 274.6C602.3 274.6 602.3 274.5 602.1 274.4C601.5 274.1 599.2 272.6 594.2 270.7C587.9 268.3 579.8 266 570.6 263.1C563 262.2 555.1 260.8 547.6 259.6V259.6zM18.69 333.3C-4.752 309.9-6.394 273.4 15.19 251.8C31.8 235.2 90.5 226.8 116.6 224.1C123.1 223.3 128.7 228.9 127.9 235.4C125.1 261.4 116.8 320.2 100.2 336.8C78.64 358.4 42.13 356.8 18.69 333.3V333.3zM88 282.6C89.72 274.1 91.17 267.1 92.38 259.6C84.87 260.8 76.99 262.2 69.36 263.9C60.17 266 52.09 268.3 45.82 270.7C40.79 272.6 38.5 274.1 37.87 274.4C37.74 274.5 37.68 274.6 37.67 274.6C37.67 274.6 37.66 274.6 37.67 274.6C37.68 274.6 37.69 274.5 37.7 274.5C30.52 281.8 28.54 297.9 41.31 310.7C54.08 323.4 70.14 321.5 77.47 314.3C77.45 314.3 77.44 314.3 77.43 314.3C77.43 314.3 77.47 314.3 77.54 314.1C77.94 313.5 79.35 311.2 81.26 306.2C83.66 299.9 85.94 291.8 88 282.6L88 282.6z"],
    "face-grin-tongue": [512, 512, [128539, "grin-tongue"], "f589", "M136.5 445.5C144 450.2 146.2 460.1 141.5 467.6C136.8 475.1 126.9 477.3 119.5 472.6C47.71 427.3 0 347.2 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 347.2 464.3 427.3 392.5 472.6C385.1 477.3 375.2 475.1 370.5 467.6C365.8 460.1 367.1 450.2 375.5 445.5C438.3 405.8 480 335.8 480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256C32 335.8 73.69 405.8 136.5 445.5zM152.4 208C152.4 194.7 163.1 184 176.4 184C189.6 184 200.4 194.7 200.4 208C200.4 221.3 189.6 232 176.4 232C163.1 232 152.4 221.3 152.4 208zM360.4 208C360.4 221.3 349.6 232 336.4 232C323.1 232 312.4 221.3 312.4 208C312.4 194.7 323.1 184 336.4 184C349.6 184 360.4 194.7 360.4 208zM256 512C202.1 512 160 469 160 416V383.3C139.8 367.6 123.7 347.1 113.2 323.5C108.1 311.8 120 301.1 132.3 304.7C169.6 315.9 211.6 322.1 256 322.1C300.5 322.1 342.5 315.9 379.8 304.7C392.1 301.1 404 311.8 398.9 323.5C388.4 347.1 372.2 367.7 352 383.4V416C352 469 309 512 256 512V512zM320 416V378.6C320 363.9 308.1 352 293.4 352H291.4C280.1 352 270.3 359.9 267.8 370.9C264.1 383.5 247 383.5 244.2 370.9C241.7 359.9 231.9 352 220.6 352H218.6C203.9 352 192 363.9 192 378.6V416C192 451.3 220.7 480 256 480C291.3 480 320 451.3 320 416z"],
    "face-grin-tongue-squint": [512, 512, [128541, "grin-tongue-squint"], "f58a", "M136.5 445.5C144 450.2 146.2 460.1 141.5 467.6C136.8 475.1 126.9 477.3 119.5 472.6C47.71 427.3 0 347.2 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 347.2 464.3 427.3 392.5 472.6C385.1 477.3 375.2 475.1 370.5 467.6C365.8 460.1 367.1 450.2 375.5 445.5C438.3 405.8 480 335.8 480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256C32 335.8 73.69 405.8 136.5 445.5zM136.5 190.3C128.6 186.4 125.4 176.7 129.3 168.8C133.3 160.9 142.9 157.7 150.8 161.7L214.8 193.7C220.2 196.4 223.6 201.9 223.6 207.1C223.6 214.1 220.2 219.6 214.8 222.3L150.8 254.3C142.9 258.3 133.3 255.1 129.3 247.2C125.4 239.3 128.6 229.6 136.5 225.7L171.9 207.1L136.5 190.3zM382.7 168.8C386.6 176.7 383.4 186.4 375.5 190.3L340.2 208L375.5 225.7C383.4 229.6 386.6 239.3 382.7 247.2C378.7 255.1 369.1 258.3 361.2 254.3L297.2 222.3C291.8 219.6 288.4 214.1 288.4 208C288.4 201.9 291.8 196.4 297.2 193.7L361.2 161.7C369.1 157.7 378.7 160.9 382.7 168.8V168.8zM256 512C202.1 512 160 469 160 416V383.3C139.8 367.6 123.7 347.1 113.2 323.5C108.1 311.8 120 301.1 132.3 304.7C169.6 315.9 211.6 322.1 256 322.1C300.5 322.1 342.5 315.9 379.8 304.7C392.1 301.1 404 311.8 398.9 323.5C388.4 347.1 372.2 367.7 352 383.4V416C352 469 309 512 256 512V512zM320 416V378.6C320 363.9 308.1 352 293.4 352H291.4C280.1 352 270.3 359.9 267.8 370.9C264.1 383.5 247 383.5 244.2 370.9C241.7 359.9 231.9 352 220.6 352H218.6C203.9 352 192 363.9 192 378.6V416C192 451.3 220.7 480 256 480C291.3 480 320 451.3 320 416z"],
    "face-grin-tongue-wink": [512, 512, [128540, "grin-tongue-wink"], "f58b", "M256 32C132.3 32 32 132.3 32 256C32 335.8 73.69 405.8 136.5 445.5C144 450.2 146.2 460.1 141.5 467.6C136.8 475.1 126.9 477.3 119.5 472.6C47.71 427.3 0 347.2 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 347.2 464.3 427.3 392.5 472.6C385.1 477.3 375.2 475.1 370.5 467.6C365.8 460.1 367.1 450.2 375.5 445.5C438.3 405.8 480 335.8 480 256C480 132.3 379.7 32 256 32zM352 383.4V416C352 469 309 512 256 512C202.1 512 160 469 160 416V383.3C139.8 367.6 123.7 347.1 113.2 323.5C108.1 311.8 120 301.1 132.3 304.7C169.6 315.9 211.6 322.1 256 322.1C300.5 322.1 342.5 315.9 379.8 304.7C392.1 301.1 404 311.8 398.9 323.5C388.4 347.1 372.2 367.7 352 383.4V383.4zM293.4 352H291.4C280.1 352 270.3 359.9 267.8 370.9C264.1 383.5 247 383.5 244.2 370.9C241.7 359.9 231.9 352 220.6 352H218.6C203.9 352 192 363.9 192 378.6V416C192 451.3 220.7 480 256 480C291.3 480 320 451.3 320 416V378.6C320 363.9 308.1 352 293.4 352zM312.4 208C312.4 194.7 323.1 184 336.4 184C349.6 184 360.4 194.7 360.4 208C360.4 221.3 349.6 232 336.4 232C323.1 232 312.4 221.3 312.4 208zM256 208C256 163.8 291.8 128 336 128C380.2 128 416 163.8 416 208C416 252.2 380.2 288 336 288C291.8 288 256 252.2 256 208zM336 256C362.5 256 384 234.5 384 208C384 181.5 362.5 160 336 160C309.5 160 288 181.5 288 208C288 234.5 309.5 256 336 256zM102.4 236.8C95.33 231.5 93.9 221.5 99.2 214.4C129.6 173.9 190.4 173.9 220.8 214.4C226.1 221.5 224.7 231.5 217.6 236.8C210.5 242.1 200.5 240.7 195.2 233.6C177.6 210.1 142.4 210.1 124.8 233.6C119.5 240.7 109.5 242.1 102.4 236.8V236.8z"],
    "face-grin-wide": [512, 512, [128515, "grin-alt"], "f581", "M379.8 304.7C392.1 301.1 404 311.8 398.9 323.5C374.8 378 319.9 416.1 256 416.1C192.2 416.1 137.3 378 113.2 323.5C108.1 311.8 120 301.1 132.3 304.7C169.6 315.9 211.6 322.1 256 322.1C300.5 322.1 342.5 315.9 379.8 304.7V304.7zM345.1 345.8C317.4 351.3 287.2 354.1 256 354.1C224.9 354.1 194.7 351.3 166.1 345.8C188.7 369.4 220.6 384.1 256 384.1C291.5 384.1 323.4 369.4 345.1 345.8zM192 240C192 248.8 184.8 256 176 256C167.2 256 160 248.8 160 240V144C160 135.2 167.2 128 176 128C184.8 128 192 135.2 192 144V240zM352 240C352 248.8 344.8 256 336 256C327.2 256 320 248.8 320 240V144C320 135.2 327.2 128 336 128C344.8 128 352 135.2 352 144V240zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480z"],
    "face-grin-wink": [512, 512, ["grin-wink"], "f58c", "M256 416.1C192.2 416.1 137.3 378 113.2 323.5C108.1 311.8 120 301.1 132.3 304.7C169.6 315.9 211.6 322.1 256 322.1C300.5 322.1 342.5 315.9 379.8 304.7C392.1 301.1 404 311.8 398.9 323.5C374.8 378 319.9 416.1 256 416.1V416.1zM166.1 345.8C188.7 369.4 220.6 384.1 256 384.1C291.5 384.1 323.4 369.4 345.1 345.8C317.4 351.3 287.2 354.1 256 354.1C224.9 354.1 194.7 351.3 166.1 345.8zM200.4 208C200.4 221.3 189.6 232 176.4 232C163.1 232 152.4 221.3 152.4 208C152.4 194.7 163.1 184 176.4 184C189.6 184 200.4 194.7 200.4 208zM278.4 236.8C271.3 231.5 269.9 221.5 275.2 214.4C305.6 173.9 366.4 173.9 396.8 214.4C402.1 221.5 400.7 231.5 393.6 236.8C386.5 242.1 376.5 240.7 371.2 233.6C353.6 210.1 318.4 210.1 300.8 233.6C295.5 240.7 285.5 242.1 278.4 236.8zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "face-hand-over-mouth": [512, 512, [129762], "e378", "M76.79 390.4C82.1 397.5 80.68 407.5 73.61 412.8C66.55 418.1 56.52 416.7 51.21 409.6C19.06 366.8 0 313.6 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 321.6 487.3 381.4 446.8 426.7C440.9 433.3 430.8 433.8 424.2 427.9C417.6 422 417.1 411.9 422.1 405.3C458.4 365.7 480 313.4 480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256C32 306.5 48.66 352.1 76.79 390.4H76.79zM152.4 176C152.4 162.7 163.1 152 176.4 152C189.6 152 200.4 162.7 200.4 176C200.4 189.3 189.6 200 176.4 200C163.1 200 152.4 189.3 152.4 176zM360.4 176C360.4 189.3 349.6 200 336.4 200C323.1 200 312.4 189.3 312.4 176C312.4 162.7 323.1 152 336.4 152C349.6 152 360.4 162.7 360.4 176zM321.9 222.1C322.1 223.1 323.1 224.2 324.9 225.3C340.6 221.6 357.7 225.8 369.9 238.1C382.2 250.3 386.4 267.4 382.7 283.1C383.8 284 384.9 285 385.9 286.1C404.1 304.2 404.7 333.2 387.8 352C404.7 370.8 404.1 399.8 385.9 417.9L329.1 474.7C305.3 498.6 272.9 512 239.2 512C168.9 512 111.1 455.1 111.1 384.8V298.4C111.1 269.7 135.3 246.4 163.1 246.4C181.9 246.4 197.6 255.4 206.1 269.1L254.1 222.1C272.8 203.3 303.2 203.3 321.9 222.1V222.1zM299.3 267.3C305.6 261.1 305.6 250.9 299.3 244.7C298.7 244 297.9 243.4 297.2 242.9C290.1 238.5 282.3 239.1 276.7 244.7L197.7 323.7C192.6 328.8 184 325.2 184 318.1V298.4C184 297.4 183.9 296.4 183.8 295.4C183.7 294.6 183.5 293.7 183.2 292.9C180.8 284.5 173.1 278.4 163.1 278.4C152.1 278.4 143.1 287.4 143.1 298.4V384.8C143.1 437.4 186.6 480 239.2 480C264.4 480 288.7 469.1 306.5 452.1L363.3 395.3C368.9 389.7 369.5 381 365.1 374.8C364.6 374.1 363.1 373.3 363.3 372.7C357.1 366.4 346.9 366.4 340.7 372.7L321.4 392C318.8 394.6 314.6 394.6 312 392C309.4 389.4 309.4 385.2 312 382.6L363.3 331.3C368.9 325.7 369.5 317 365.1 310.8C364.6 310.1 363.1 309.3 363.3 308.7C357.1 302.4 346.9 302.4 340.7 308.7L289.4 360C286.8 362.6 282.6 362.6 280 360C277.4 357.4 277.4 353.2 280 350.6L347.3 283.3C350.4 280.2 352 276.1 352 272C352 267.9 350.4 263.8 347.3 260.7C344.2 257.6 340.1 256 336 256C331.9 256 327.8 257.6 324.7 260.7L257.4 328C254.8 330.6 250.6 330.6 248 328C245.4 325.4 245.4 321.2 247.1 318.6L299.3 267.3z"],
    "face-hand-peeking": [640, 512, [129763], "e481", "M163.2 73.59C157.9 66.53 159.3 56.5 166.4 51.19C209.2 19.05 262.4 0 320 0C395.8 0 463.1 32.98 510.8 85.33C516.7 91.91 516.1 102 509.6 107.9C502.1 113.8 492.9 113.3 486.1 106.7C445.9 60.82 386.3 31.1 320 31.1C269.6 31.1 223 48.66 185.6 76.78C178.5 82.08 168.5 80.66 163.2 73.59V73.59zM320 480C377.4 480 429.7 458.4 469.3 422.1C475.9 417.1 486 417.6 491.9 424.2C497.8 430.8 497.3 440.9 490.7 446.8C445.4 487.3 385.6 512 320 512C228.8 512 148.7 464.3 103.4 392.5C98.7 385.1 100.9 375.2 108.4 370.5C115.9 365.8 125.8 367.1 130.5 375.5C170.2 438.3 240.2 480 320 480zM352 224C352 206.3 366.3 192 384 192C385.2 192 386.3 192.1 387.4 192.2C381.9 179.7 382.9 164.7 391.4 152.8C404.3 134.8 429.3 130.6 447.2 143.5L485.2 170.5C486.2 160.1 490.4 151.7 497.8 144.3C514.9 127.1 542.8 127.1 559.1 144.3L605.1 189.5L605.9 190.3L606.1 190.4C651.6 237.1 651.3 311.8 605.1 357.1C582.7 380.3 552.4 392.9 520.8 392.9H456C433.9 392.9 416 374.1 416 352.9C416 352.6 416 352.3 416 352H408C385.9 352 368 334.1 368 312C368 309.4 368.2 306.9 368.7 304.5C358.6 297.3 352 285.4 352 272C352 262.3 355.5 253.4 361.2 246.5C355.5 240.7 352 232.8 352 224H352zM414.1 232H433.6L415.6 219.2C415.9 220.8 416 222.4 416 223.1C416 226.8 415.7 229.4 414.1 231.1L414.1 232zM376 272C376 276.3 377.7 280.2 380.4 283C383.3 286.1 387.4 288 392 288H476C478.2 288 480 289.8 480 292C480 294.2 478.2 296 476 296H408C399.2 296 392 303.1 392 311.9V311.1C392 320.8 399.2 328 408 328H475.5C478 328 480 329.1 480 332.5C480 334.9 478 336.9 475.5 336.9H456C447.5 336.9 440.5 343.6 440 352C440 352.3 440 352.6 440 352.9C440 361.7 447.2 368.9 456 368.9H520.8C546.1 368.9 570.3 358.9 588.1 341C625 304.1 625.3 244.4 588.9 207.2L588.1 206.4L543 161.3C535.2 153.5 522.5 153.5 514.7 161.3C506.9 169.1 506.9 181.8 514.7 189.6L529.5 204.4C536.1 210.1 532.2 222.3 522.9 223.4C520.1 223.7 517.3 223 515.1 221.4L433.3 162.1C426.1 157.8 416.1 159.5 410.1 166.7C405.8 173.9 407.5 183.9 414.7 189L474.4 231.6C477.9 234.2 480 238.2 480 242.6C480 249.1 473.1 256 466.6 256H392C383.2 256 376 263.2 376 272V272zM271.1 350.7C284.2 341.3 301.6 336 320 336C338.4 336 355.8 341.3 368.9 350.7C382 360.1 392 374.4 392 392C392 409.6 382 423.9 368.9 433.3C355.8 442.7 338.4 448 320 448C301.6 448 284.2 442.7 271.1 433.3C257.1 423.9 248 409.6 248 392C248 374.4 257.1 360.1 271.1 350.7zM289.7 376.7C282.5 381.8 280 387.5 280 392C280 396.5 282.5 402.2 289.7 407.3C296.8 412.4 307.5 416 320 416C332.5 416 343.2 412.4 350.3 407.3C357.5 402.2 360 396.5 360 392C360 387.5 357.5 381.8 350.3 376.7C343.2 371.6 332.5 368 320 368C307.5 368 296.8 371.6 289.7 376.7zM379.4 144.1C381.4 150.4 377.9 157.1 371.6 159.1C343.1 167.8 324 193.6 324 223.1C324 239.3 329.1 253.4 337.6 264.8C341.6 270.1 340.5 277.6 335.2 281.6C329.9 285.6 322.4 284.5 318.4 279.2C306.8 263.8 300 244.7 300 223.1C300 182.8 327.1 147.9 364.4 136.2C370.7 134.2 377.5 137.7 379.4 144.1V144.1zM158.2 88.32C175.4 105.5 175.4 133.4 158.2 150.6L156.8 152H232C254.1 152 272 169.9 272 192C272 194.6 271.8 197.1 271.3 199.5C281.4 206.7 288 218.6 288 232C288 245.4 281.4 257.3 271.3 264.5C271.8 266.9 272 269.4 272 272C272 294.1 254.1 312 232 312H223.1C223.1 312.3 223.1 312.6 223.1 312.9C223.1 334.1 206.1 352.9 183.1 352.9H119.2C87.58 352.9 57.27 340.3 34.91 317.1C-11.3 271.8-11.63 197.1 33.91 150.4L34.06 150.3L34.91 149.4L96.01 88.32C113.2 71.14 141.1 71.14 158.2 88.32V88.32zM183.1 296.9H170C167.6 296.9 165.6 294.9 165.6 292.5C165.6 289.1 167.6 288 170 288H232C240.8 288 248 280.8 248 272L247.1 271.9C247.1 263.1 240.8 256 232 256H169.6C167.4 256 165.6 254.2 165.6 252C165.6 249.8 167.4 248 169.6 248H248C252.6 248 256.7 246.1 259.6 243C262.3 240.2 264 236.3 264 232C264 227.7 262.3 223.8 259.6 220.1C256.7 217.9 252.6 216 248 216H169.6C167.4 216 165.6 214.2 165.6 212C165.6 209.8 167.4 208 169.6 208H232C240.8 208 247.9 200.9 248 192.2L248 191.1C248 183.2 240.8 176 232 176H118.2C111 176 107.5 167.4 112.5 162.3L141.3 133.6C149.1 125.8 149.1 113.1 141.3 105.3C133.5 97.48 120.8 97.48 112.1 105.3L51.88 166.4L51.08 167.2C14.71 204.4 14.98 264.1 51.88 301C69.74 318.9 93.95 328.9 119.2 328.9H183.1C192.8 328.9 199.1 321.7 199.1 312.9C199.1 312.6 199.1 312.3 199.1 312C199.6 305.3 195.1 299.6 188.9 297.7C187.3 297.2 185.7 296.9 183.1 296.9L183.1 296.9z"],
    "face-hand-yawn": [512, 512, [], "e379", "M76.79 390.4C82.1 397.5 80.68 407.5 73.61 412.8C66.55 418.1 56.52 416.7 51.21 409.6C19.06 366.8 0 313.6 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 321.6 487.3 381.4 446.8 426.7C440.9 433.3 430.8 433.8 424.2 427.9C417.6 422 417.1 411.9 422.1 405.3C458.4 365.7 480 313.4 480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256C32 306.5 48.66 352.1 76.79 390.4H76.79zM321.9 222.1C322.1 223.1 323.1 224.2 324.9 225.3C340.6 221.6 357.7 225.8 369.9 238.1C382.2 250.3 386.4 267.4 382.7 283.1C383.8 284 384.9 285 385.9 286.1C404.1 304.2 404.7 333.2 387.8 352C404.7 370.8 404.1 399.8 385.9 417.9L329.1 474.7C305.3 498.6 272.9 512 239.2 512C168.9 512 111.1 455.1 111.1 384.8V298.4C111.1 269.7 135.3 246.4 163.1 246.4C181.9 246.4 197.6 255.4 206.1 269.1L254.1 222.1C272.8 203.3 303.2 203.3 321.9 222.1V222.1zM299.3 267.3C305.6 261.1 305.6 250.9 299.3 244.7C298.7 244 297.9 243.4 297.2 242.9C290.1 238.5 282.3 239.1 276.7 244.7L197.7 323.7C192.6 328.8 184 325.2 184 318.1V298.4C184 297.4 183.9 296.4 183.8 295.4C183.7 294.6 183.5 293.7 183.2 292.9C180.8 284.5 173.1 278.4 163.1 278.4C152.1 278.4 143.1 287.4 143.1 298.4V384.8C143.1 437.4 186.6 480 239.2 480C264.4 480 288.7 469.1 306.5 452.1L363.3 395.3C368.9 389.7 369.5 381 365.1 374.8C364.6 374.1 363.1 373.3 363.3 372.7C357.1 366.4 346.9 366.4 340.7 372.7L321.4 392C318.8 394.6 314.6 394.6 312 392C309.4 389.4 309.4 385.2 312 382.6L363.3 331.3C368.9 325.7 369.5 317 365.1 310.8C364.6 310.1 363.1 309.3 363.3 308.7C357.1 302.4 346.9 302.4 340.7 308.7L289.4 360C286.8 362.6 282.6 362.6 280 360C277.4 357.4 277.4 353.2 280 350.6L347.3 283.3C350.4 280.2 352 276.1 352 272C352 267.9 350.4 263.8 347.3 260.7C344.2 257.6 340.1 256 336 256C331.9 256 327.8 257.6 324.7 260.7L257.4 328C254.8 330.6 250.6 330.6 248 328C245.4 325.4 245.4 321.2 247.1 318.6L299.3 267.3zM220.5 110C226 116.9 224.9 126.1 217.1 132.5L137.1 196.5C131.1 202 121 200.9 115.5 193.1C109.1 187.1 111.1 177 118 171.5L198 107.5C204.9 101.1 214.1 103.1 220.5 110V110zM294 132.5C287.1 126.1 285.1 116.9 291.5 110C297 103.1 307.1 101.1 313.1 107.5L393.1 171.5C400.9 177 402 187.1 396.5 193.1C390.1 200.9 380.9 202 374 196.5L294 132.5z"],
    "face-head-bandage": [576, 512, [], "e37a", "M416.2 4.94C423.3 4.053 430.5 5.589 436.7 9.302C465.9 26.93 491.7 49.58 512.9 76.06C516.8 80.97 519.1 86.82 519.7 92.85C525.3 95.47 529.1 99.66 533.3 104.9C549.1 130.6 560.1 158.9 568.2 189C570.8 200.1 567.3 211.8 558.1 219.7C550.7 227.6 538.8 230.4 527.8 227.1C451.9 204.3 371.4 192 288 192C273.9 192 259.1 192.3 246.1 193C233.3 200.2 220.9 207.8 208.9 216C221.9 216.3 232.4 226.9 232.4 240C232.4 253.3 221.6 264 208.4 264C195.1 264 184.4 253.3 184.4 240C184.4 237.5 184.7 235.2 185.4 232.9C141.2 266.8 102.5 307.7 71.29 353.1C64.46 364.1 52.46 369.4 40.37 367.8C28.27 366.1 18.19 357.7 14.37 346.1C5.037 317.7 0 287.4 0 256C0 252.6 .0595 249.2 .1779 245.8C.4291 238.6 3.099 231.7 7.756 226.2C10.17 223.4 12.61 220.5 15.08 217.7C8.155 209.1 5.4 199.2 7.839 189C15.02 158.9 26.94 130.6 42.75 104.9C47.18 97.76 54.28 92.62 62.49 90.64C74.84 87.67 87.28 84.94 99.81 82.44C146.6 31.77 213.6 0 287.1 0C315.1 0 342.9 4.488 368.1 12.79C383.9 9.584 399.1 6.959 416.2 4.94L416.2 4.94zM288 31.1C240.2 31.1 195.8 46.98 159.4 72.54C176.3 70.28 193.3 68.46 210.5 67.09C237.7 53.49 266 41.78 295.3 32.12C292.9 32.04 290.4 31.1 288 31.1V31.1zM506.3 122.2C506.2 122.1 506.1 121.9 506 121.8C475.4 114.4 444.2 108.5 412.6 104.3C410.4 103.1 408.2 103.7 405.1 103.4C367.3 98.53 327.1 95.1 288 95.1C264.9 95.1 241.9 96.85 219.2 98.51C193.6 100.4 168.2 103.3 143.1 107.2C142.3 107.4 141.5 107.5 140.7 107.6C116.8 111.4 93.22 116.2 69.98 121.8C62.55 133.8 56.09 146.5 50.7 159.8C46.67 169.7 43.24 179.1 40.46 190.5C39.94 192.4 39.44 194.4 38.97 196.4C50.87 192.9 62.88 189.5 74.1 186.5C81.92 184.7 88.87 183 95.86 181.4C141.6 171 188.8 164.3 237 161.5C253.9 160.5 270.9 159.1 288 159.1C297.2 159.1 306.3 160.1 315.5 160.4C315.7 160.4 315.1 160.4 316.2 160.5C379.8 162.5 441.6 171.4 501 186.5C513.1 189.5 525.1 192.9 537 196.4C534 183.8 530.1 171.6 525.3 159.8C519.1 146.7 513.6 134.1 506.3 122.2H506.3zM176.1 199.3C133.6 205.1 91.3 214.2 50.33 226.4C44.12 233.1 38.06 239.9 32.16 246.9C32.05 249.9 32 252.1 32 256C32 269.2 32.1 282.1 34.91 294.7C37.07 308.9 40.39 322.7 44.77 336.1C52.42 324.7 60.48 313.7 68.93 303C99.99 263.7 136.4 228.8 176.1 199.3H176.1zM300.6 64.08C360.6 64.85 419.3 71.13 476.2 82.44C470.6 76.42 464.8 70.67 458.7 65.2C446.8 54.55 433.9 44.99 420.1 36.7C378.9 41.83 338.9 51.1 300.6 64.08L300.6 64.08zM288 512C204.2 512 129.9 471.8 83.19 409.6C77.88 402.5 79.31 392.5 86.37 387.2C93.44 381.9 103.5 383.3 108.8 390.4C149.7 444.8 214.7 480 288 480C406.7 480 503.8 387.7 511.5 270.9C512.1 262.1 519.7 255.5 528.5 256C537.3 256.6 544 264.2 543.4 273.1C534.7 406.5 423.7 512 288 512zM296 368C282.9 368 271.2 370 260.8 373.3C252.4 375.9 243.4 371.2 240.7 362.8C238.1 354.4 242.8 345.4 251.2 342.8C264.6 338.5 279.6 336 296 336C340.2 336 373.2 354.3 394.8 373.8C401.3 379.8 401.8 389.9 395.8 396.5C389.9 402.1 379.8 403.5 373.2 397.5C356.4 382.2 330.8 368 296 368L296 368zM392.4 239.1C392.4 253.3 381.6 263.1 368.4 263.1C355.1 263.1 344.4 253.3 344.4 239.1C344.4 226.7 355.1 215.1 368.4 215.1C381.6 215.1 392.4 226.7 392.4 239.1z"],
    "face-holding-back-tears": [512, 512, [129401], "e482", "M320 240C337.7 240 352 225.7 352 208C369.7 208 384 222.3 384 240C384 257.7 369.7 272 352 272C334.3 272 320 257.7 320 240zM320.6 116.4C318.2 107.9 323.1 99.04 331.6 96.62C340.1 94.19 348.1 99.11 351.4 107.6L352.9 112.8C359.9 137.4 381 155.5 406.5 158.7L417.1 160.1C426.8 161.2 432.1 169.2 431.9 177.1C430.9 186.1 423.1 192 416 192C426 205.4 432 221.1 432 240C432 258 426 274.6 416 288V320C416 328.8 408.8 336 400 336C391.2 336 384 328.8 384 320V313.3C374.2 317.6 363.4 320 352 320C307.8 320 272 284.2 272 240C272 198.5 303.5 164.4 343.1 160.4C333.9 149.6 326.3 136.3 322.1 121.6L320.6 116.4zM352 288C378.5 288 400 266.5 400 240C400 213.5 378.5 192 352 192C325.5 192 304 213.5 304 240C304 266.5 325.5 288 352 288zM192 240C192 257.7 177.7 272 160 272C142.3 272 128 257.7 128 240C145.7 240 160 225.7 160 208C177.7 208 192 222.3 192 240zM180.4 96.62C188.9 99.04 193.8 107.9 191.4 116.4L189.9 121.6C185.7 136.3 178.1 149.6 168 160.4C208.5 164.4 240 198.5 240 240V304C240 312.8 232.8 320 224 320C215.2 320 208 312.8 208 304C194.6 314 178 320 160 320C148.6 320 137.8 317.6 128 313.3V320C128 328.8 120.8 336 112 336C103.2 336 96 328.8 96 320V288C85.95 274.6 80 258 80 240C80 221.1 85.95 205.4 95.99 192C88.04 192 81.14 186.1 80.12 177.1C79.03 169.2 85.25 161.2 94.02 160.1L105.5 158.7C130.1 155.5 152.1 137.4 159.1 112.8L160.6 107.6C163 99.11 171.9 94.19 180.4 96.62V96.62zM160 192C133.5 192 112 213.5 112 240C112 266.5 133.5 288 160 288C186.5 288 208 266.5 208 240C208 213.5 186.5 192 160 192zM321.9 369.5C327.7 362.8 337.8 362.1 344.5 367.9C351.2 373.7 351.9 383.8 346.1 390.5C328.9 410.3 298.8 432 256 432C213.2 432 183.1 410.3 165.9 390.5C160.1 383.8 160.8 373.7 167.5 367.9C174.2 362.1 184.3 362.8 190.1 369.5C203 384.4 224.9 400 256 400C287.1 400 308.1 384.4 321.9 369.5V369.5zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "face-hushed": [512, 512, [], "e37b", "M152.4 256C152.4 242.7 163.1 232 176.4 232C189.6 232 200.4 242.7 200.4 256C200.4 269.3 189.6 280 176.4 280C163.1 280 152.4 269.3 152.4 256zM360.4 256C360.4 269.3 349.6 280 336.4 280C323.1 280 312.4 269.3 312.4 256C312.4 242.7 323.1 232 336.4 232C349.6 232 360.4 242.7 360.4 256zM122.9 187.7C116.5 193.7 106.3 193.4 100.3 186.9C94.28 180.5 94.62 170.3 101.1 164.3C121.1 145.6 146.6 132.9 174.8 129.1C180.4 128.4 186.2 128 192 128C200.8 128 208 135.2 208 144C208 152.8 200.8 160 192 160C187.6 160 183.2 160.3 178.1 160.9C157.8 163.7 138.4 173.2 122.9 187.7zM304 144C304 135.2 311.2 128 320 128C325.8 128 331.6 128.4 337.2 129.1C365.4 132.9 390.9 145.6 410.9 164.3C417.4 170.3 417.7 180.5 411.7 186.9C405.7 193.4 395.5 193.7 389.1 187.7C373.6 173.2 354.2 163.7 333 160.9C328.8 160.3 324.4 160 320 160C311.2 160 304 152.8 304 144zM320 384C320 419.3 291.3 448 256 448C220.7 448 192 419.3 192 384C192 348.7 220.7 320 256 320C291.3 320 320 348.7 320 384zM256 352C238.3 352 224 366.3 224 384C224 401.7 238.3 416 256 416C273.7 416 288 401.7 288 384C288 366.3 273.7 352 256 352zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "face-icicles": [512, 512, [], "e37c", "M256 32C132.3 32 32 132.3 32 256C32 256.5 31.98 256.9 31.94 257.4L24.17 443.9C24.08 446.2 22.2 448 19.92 448C17.7 448 15.86 446.3 15.67 444.1L.2234 258.7C.0765 257.8 0 256.9 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 256.7 511.1 257.4 511.9 258L496.2 508.1C496.1 510.3 494.3 512 492.1 512C489.8 512 487.9 510.2 487.9 507.9L480 257C480 256.7 480 256.3 480 256C480 132.3 379.7 32 256 32zM344 288C374.9 288 400 313.1 400 344C400 359.7 393.6 373.8 383.2 384L373.9 474.7C373.6 477.7 371 480 368 480C364.1 480 362.4 477.7 362.1 474.7L354.4 399C351 399.7 347.5 400 344 400H317.3L310.2 442.7C309.7 445.8 307.1 448 304 448C300.9 448 298.3 445.8 297.8 442.7L290.7 400H168C137.1 400 112 374.9 112 344C112 313.1 137.1 288 168 288H344zM168 320C154.7 320 144 330.7 144 344C144 357.3 154.7 368 168 368H176V320H168zM208 368H240V320H208V368zM304 320H272V368H304V320zM336 368H344C357.3 368 368 357.3 368 344C368 330.7 357.3 320 344 320H336V368zM200.4 208C200.4 221.3 189.6 232 176.4 232C163.1 232 152.4 221.3 152.4 208C152.4 194.7 163.1 184 176.4 184C189.6 184 200.4 194.7 200.4 208zM312.4 208C312.4 194.7 323.1 184 336.4 184C349.6 184 360.4 194.7 360.4 208C360.4 221.3 349.6 232 336.4 232C323.1 232 312.4 221.3 312.4 208zM255.1 512C175.8 512 104.2 475.1 57.3 417.4L59.54 363.7C97.62 433 171.3 480 255.1 480C267.6 480 279 479.1 290.1 477.4C294.5 479.1 299.1 480 304 480C313.7 480 322.7 476.4 329.5 470.3L330.3 477.1C331.1 485.7 334.2 492.7 338.8 498.3C312.8 507.2 284.1 512 255.1 512zM407.3 462.5L411.1 416.8C427.5 401.7 440.8 384.5 451.4 365.6L453.1 419.4C439.7 435.6 424.3 450.1 407.3 462.5V462.5z"],
    "face-kiss": [512, 512, [128535, "kiss"], "f596", "M277.4 295.1C266.4 289.7 251.7 285.8 238.3 283.9C231.8 282.1 227.2 276.9 228.1 270.3C229 263.8 235.1 259.2 241.7 260.1C256.7 262.2 274 266.7 287.9 273.5C294.9 276.9 301.6 281.2 306.7 286.6C311.9 291.1 316 299.2 316 307.1C316 316.8 311.9 324 306.7 329.4C301.6 334.8 294.9 339.1 287.9 342.5C286.9 342.1 285.8 343.5 284.7 344C285.8 344.5 286.9 345 287.9 345.5C294.9 348.9 301.6 353.2 306.7 358.6C311.9 363.1 316 371.2 316 380C316 388.8 311.9 396 306.7 401.4C301.6 406.8 294.9 411.1 287.9 414.5C274 421.3 256.7 425.8 241.7 427.9C235.1 428.8 229 424.2 228.1 417.7C227.2 411.1 231.8 405 238.3 404.1C251.7 402.2 266.4 398.3 277.4 392.9C282.9 390.2 286.9 387.4 289.3 384.9C291.7 382.4 292 380.8 292 380C292 379.2 291.7 377.6 289.3 375.1C286.9 372.6 282.9 369.8 277.4 367.1C266.5 361.7 251.9 357.8 238.6 355.9C237.7 355.8 236.8 355.6 235.9 355.3C234.2 354.7 232.7 353.7 231.5 352.5C230.3 351.3 229.3 349.8 228.7 348.1C228.2 346.8 227.1 345.4 227.1 344C227.1 342.6 228.2 341.2 228.7 339.9C229.3 338.2 230.3 336.7 231.5 335.5C232.7 334.3 234.2 333.3 235.9 332.7C236.8 332.4 237.7 332.2 238.6 332.1C251.9 330.2 266.5 326.3 277.4 320.9C282.9 318.2 286.9 315.4 289.3 312.9C291.7 310.4 292 308.8 292 307.1C292 307.2 291.7 305.6 289.3 303.1C286.9 300.6 282.9 297.8 277.4 295.1L277.4 295.1zM200.4 208C200.4 221.3 189.6 232 176.4 232C163.1 232 152.4 221.3 152.4 208C152.4 194.7 163.1 184 176.4 184C189.6 184 200.4 194.7 200.4 208zM312.4 208C312.4 194.7 323.1 184 336.4 184C349.6 184 360.4 194.7 360.4 208C360.4 221.3 349.6 232 336.4 232C323.1 232 312.4 221.3 312.4 208zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "face-kiss-beam": [512, 512, [128537, "kiss-beam"], "f597", "M277.4 303.1C266.4 297.7 251.7 293.8 238.3 291.9C231.8 290.1 227.2 284.9 228.1 278.3C229 271.8 235.1 267.2 241.7 268.1C256.7 270.2 274 274.7 287.9 281.5C294.9 284.9 301.6 289.2 306.7 294.6C311.9 299.1 316 307.2 316 315.1C316 324.8 311.9 332 306.7 337.4C301.6 342.8 294.9 347.1 287.9 350.5C286.9 350.1 285.8 351.5 284.7 352C285.8 352.5 286.9 353 287.9 353.5C294.9 356.9 301.6 361.2 306.7 366.6C311.9 371.1 316 379.2 316 388C316 396.8 311.9 404 306.7 409.4C301.6 414.8 294.9 419.1 287.9 422.5C274 429.3 256.7 433.8 241.7 435.9C235.1 436.8 229 432.2 228.1 425.7C227.2 419.1 231.8 413 238.3 412.1C251.7 410.2 266.4 406.3 277.4 400.9C282.9 398.2 286.9 395.4 289.3 392.9C291.7 390.4 292 388.8 292 388C292 387.2 291.7 385.6 289.3 383.1C286.9 380.6 282.9 377.8 277.4 375.1C266.5 369.7 251.9 365.8 238.6 363.9C237.7 363.8 236.8 363.6 235.9 363.3C234.2 362.7 232.7 361.7 231.5 360.5C230.3 359.3 229.3 357.8 228.7 356.1C228.2 354.8 227.1 353.4 227.1 352C227.1 350.6 228.2 349.2 228.7 347.9C229.3 346.2 230.3 344.7 231.5 343.5C232.7 342.3 234.2 341.3 235.9 340.7C236.8 340.4 237.7 340.2 238.6 340.1C251.9 338.2 266.5 334.3 277.4 328.9C282.9 326.2 286.9 323.4 289.3 320.9C291.7 318.4 292 316.8 292 315.1C292 315.2 291.7 313.6 289.3 311.1C286.9 308.6 282.9 305.8 277.4 303.1L277.4 303.1zM156.5 194.5C150.2 201.7 145.7 211.3 143.5 219.9C141.4 228.5 132.7 233.7 124.1 231.5C115.5 229.4 110.3 220.7 112.5 212.1C115.7 199.4 122.3 185 132.3 173.5C142.4 161.9 157.2 152 176 152C194.8 152 209.6 161.9 219.7 173.5C229.7 185 236.3 199.4 239.5 212.1C241.7 220.7 236.5 229.4 227.9 231.5C219.3 233.7 210.6 228.5 208.5 219.9C206.3 211.3 201.8 201.7 195.5 194.5C189.4 187.4 182.8 184 176 184C169.2 184 162.6 187.4 156.5 194.5V194.5zM284.1 231.5C275.5 229.4 270.3 220.7 272.5 212.1C275.7 199.4 282.3 185 292.3 173.5C302.4 161.9 317.2 152 336 152C354.8 152 369.6 161.9 379.7 173.5C389.7 185 396.3 199.4 399.5 212.1C401.7 220.7 396.5 229.4 387.9 231.5C379.3 233.7 370.6 228.5 368.5 219.9C366.3 211.3 361.8 201.7 355.5 194.5C349.4 187.4 342.8 184 336 184C329.2 184 322.6 187.4 316.5 194.5C310.2 201.7 305.7 211.3 303.5 219.9C301.4 228.5 292.7 233.7 284.1 231.5H284.1zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "face-kiss-closed-eyes": [512, 512, [], "e37d", "M277.4 303.1C266.4 297.7 251.7 293.8 238.3 291.9C231.8 290.1 227.2 284.9 228.1 278.3C229 271.8 235.1 267.2 241.7 268.1C256.7 270.2 274 274.7 287.9 281.5C294.9 284.9 301.6 289.2 306.7 294.6C311.9 299.1 316 307.2 316 315.1C316 324.8 311.9 332 306.7 337.4C301.6 342.8 294.9 347.1 287.9 350.5C286.9 350.1 285.8 351.5 284.7 352C285.8 352.5 286.9 353 287.9 353.5C294.9 356.9 301.6 361.2 306.7 366.6C311.9 371.1 316 379.2 316 388C316 396.8 311.9 404 306.7 409.4C301.6 414.8 294.9 419.1 287.9 422.5C274 429.3 256.7 433.8 241.7 435.9C235.1 436.8 229 432.2 228.1 425.7C227.2 419.1 231.8 413 238.3 412.1C251.7 410.2 266.4 406.3 277.4 400.9C282.9 398.2 286.9 395.4 289.3 392.9C291.7 390.4 292 388.8 292 388C292 387.2 291.7 385.6 289.3 383.1C286.9 380.6 282.9 377.8 277.4 375.1C266.5 369.7 251.9 365.8 238.6 363.9C237.7 363.8 236.8 363.6 235.9 363.3C234.2 362.7 232.7 361.7 231.5 360.5C230.3 359.3 229.3 357.8 228.7 356.1C228.2 354.8 227.1 353.4 227.1 352C227.1 350.6 228.2 349.2 228.7 347.9C229.3 346.2 230.3 344.7 231.5 343.5C232.7 342.3 234.2 341.3 235.9 340.7C236.8 340.4 237.7 340.2 238.6 340.1C251.9 338.2 266.5 334.3 277.4 328.9C282.9 326.2 286.9 323.4 289.3 320.9C291.7 318.4 292 316.8 292 315.1C292 315.2 291.7 313.6 289.3 311.1C286.9 308.6 282.9 305.8 277.4 303.1L277.4 303.1zM211.2 233.6C193.6 210.1 158.4 210.1 140.8 233.6C135.5 240.7 125.5 242.1 118.4 236.8C111.3 231.5 109.9 221.5 115.2 214.4C145.6 173.9 206.4 173.9 236.8 214.4C242.1 221.5 240.7 231.5 233.6 236.8C226.5 242.1 216.5 240.7 211.2 233.6zM278.4 236.8C271.3 231.5 269.9 221.5 275.2 214.4C305.6 173.9 366.4 173.9 396.8 214.4C402.1 221.5 400.7 231.5 393.6 236.8C386.5 242.1 376.5 240.7 371.2 233.6C353.6 210.1 318.4 210.1 300.8 233.6C295.5 240.7 285.5 242.1 278.4 236.8zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "face-kiss-wink-heart": [512, 512, [128536, "kiss-wink-heart"], "f598", "M326.1 476.1C329.2 484.5 332.9 492.1 337.8 498.6C312.1 507.3 284.6 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 285.2 507.1 313.3 498.1 339.4C488.7 334.4 478.4 331.1 467.5 329.9C475.6 306.8 480 281.9 480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C280.2 480 303.4 476.2 325.2 469.1L326.1 476.1zM212.1 278.3C213 271.8 219.1 267.2 225.7 268.1C240.7 270.2 258 274.7 271.9 281.5C278.9 284.9 285.6 289.2 290.7 294.6C295.9 299.1 300 307.2 300 315.1C300 324.8 295.9 332 290.7 337.4C285.6 342.8 278.9 347.1 271.9 350.5C270.9 350.1 269.8 351.5 268.7 352C269.8 352.5 270.9 353 271.9 353.5C278.9 356.9 285.6 361.2 290.7 366.6C295.9 371.1 300 379.2 300 388C300 396.8 295.9 404 290.7 409.4C285.6 414.8 278.9 419.1 271.9 422.5C258 429.3 240.7 433.8 225.7 435.9C219.1 436.8 213 432.2 212.1 425.7C211.2 419.1 215.8 413 222.3 412.1C235.7 410.2 250.4 406.3 261.4 400.9C266.9 398.2 270.9 395.4 273.3 392.9C275.7 390.4 276 388.8 276 388C276 387.2 275.7 385.6 273.3 383.1C270.9 380.6 266.9 377.8 261.4 375.1C250.5 369.7 235.9 365.8 222.6 363.9C221.7 363.8 220.8 363.6 219.9 363.3C218.2 362.7 216.7 361.7 215.5 360.5C214.3 359.3 213.3 357.8 212.7 356.1C212.2 354.8 211.1 353.4 211.1 352C211.1 350.6 212.2 349.2 212.7 347.9C213.3 346.2 214.3 344.7 215.5 343.5C216.7 342.3 218.2 341.3 219.9 340.7C220.8 340.4 221.7 340.2 222.6 340.1C235.9 338.2 250.5 334.3 261.4 328.9C266.9 326.2 270.9 323.4 273.3 320.9C275.7 318.4 276 316.8 276 315.1C276 315.2 275.7 313.6 273.3 311.1C270.9 308.6 266.9 305.8 261.4 303.1C250.4 297.7 235.7 293.8 222.3 291.9C215.8 290.1 211.2 284.9 212.1 278.3L212.1 278.3zM152.4 208C152.4 194.7 163.1 184 176.4 184C189.6 184 200.4 194.7 200.4 208C200.4 221.3 189.6 232 176.4 232C163.1 232 152.4 221.3 152.4 208zM371.2 233.6C353.6 210.1 318.4 210.1 300.8 233.6C295.5 240.7 285.5 242.1 278.4 236.8C271.3 231.5 269.9 221.5 275.2 214.4C305.6 173.9 366.4 173.9 396.8 214.4C402.1 221.5 400.7 231.5 393.6 236.8C386.5 242.1 376.5 240.7 371.2 233.6zM442.1 364.1L444.4 363.5C473.7 355.3 502.8 373.6 510.2 402.6C517.6 431.4 501.4 461.9 472.5 470L397.6 490.1C380.3 495.8 362.4 485.5 357.1 468.1L337.8 389.3C330.4 360.5 346.6 330 375.5 321.9C404.7 313.8 433.8 332.1 441.3 361.1L442.1 364.1zM368.8 381.4L388.1 460.2L463.9 439.2C474.1 436.1 482.6 423.6 479.2 410.6C475.9 397.8 463.9 391.3 453.1 394.3L419.2 403.8L410.3 369C406.1 356.2 394.9 349.7 384.1 352.8C373 355.9 365.4 368.4 368.8 381.4H368.8z"],
    "face-laugh": [512, 512, ["laugh"], "f599", "M385.5 288C399.7 288 410.1 300.3 407.3 314C389.2 381.1 328.3 432 256 432C183.7 432 122.8 381.1 104.7 314C101.1 300.3 112.3 288 126.5 288H385.5zM371.7 320H140.3C158.9 367.2 204 400 256 400C308 400 353.1 367.2 371.7 320H371.7zM200.4 192C200.4 205.3 189.6 216 176.4 216C163.1 216 152.4 205.3 152.4 192C152.4 178.7 163.1 168 176.4 168C189.6 168 200.4 178.7 200.4 192zM312.4 192C312.4 178.7 323.1 168 336.4 168C349.6 168 360.4 178.7 360.4 192C360.4 205.3 349.6 216 336.4 216C323.1 216 312.4 205.3 312.4 192zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "face-laugh-beam": [512, 512, [128513, "laugh-beam"], "f59a", "M385.5 288C399.7 288 410.1 300.3 407.3 314C389.2 381.1 328.3 432 256 432C183.7 432 122.8 381.1 104.7 314C101.1 300.3 112.3 288 126.5 288H385.5zM371.7 320H140.3C158.9 367.2 204 400 256 400C308 400 353.1 367.2 371.7 320H371.7zM156.5 188.5C150.2 195.7 145.7 205.3 143.5 213.9C141.4 222.5 132.7 227.7 124.1 225.5C115.5 223.4 110.3 214.7 112.5 206.1C115.7 193.4 122.3 179 132.3 167.5C142.4 155.9 157.2 146 176 146C194.8 146 209.6 155.9 219.7 167.5C229.7 179 236.3 193.4 239.5 206.1C241.7 214.7 236.5 223.4 227.9 225.5C219.3 227.7 210.6 222.5 208.5 213.9C206.3 205.3 201.8 195.7 195.5 188.5C189.4 181.4 182.8 178 176 178C169.2 178 162.6 181.4 156.5 188.5V188.5zM284.1 225.5C275.5 223.4 270.3 214.7 272.5 206.1C275.7 193.4 282.3 179 292.3 167.5C302.4 155.9 317.2 146 336 146C354.8 146 369.6 155.9 379.7 167.5C389.7 179 396.3 193.4 399.5 206.1C401.7 214.7 396.5 223.4 387.9 225.5C379.3 227.7 370.6 222.5 368.5 213.9C366.3 205.3 361.8 195.7 355.5 188.5C349.4 181.4 342.8 178 336 178C329.2 178 322.6 181.4 316.5 188.5C310.2 195.7 305.7 205.3 303.5 213.9C301.4 222.5 292.7 227.7 284.1 225.5H284.1zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "face-laugh-squint": [512, 512, ["laugh-squint"], "f59b", "M385.5 288C399.7 288 410.1 300.3 407.3 314C389.2 381.1 328.3 432 256 432C183.7 432 122.8 381.1 104.7 314C101.1 300.3 112.3 288 126.5 288H385.5zM371.7 320H140.3C158.9 367.2 204 400 256 400C308 400 353.1 367.2 371.7 320H371.7zM150.8 145.7L214.8 177.7C220.2 180.4 223.6 185.9 223.6 192C223.6 198.1 220.2 203.6 214.8 206.3L150.8 238.3C142.9 242.3 133.3 239.1 129.3 231.2C125.4 223.3 128.6 213.6 136.5 209.7L171.9 191.1L136.5 174.3C128.6 170.4 125.4 160.7 129.3 152.8C133.3 144.9 142.9 141.7 150.8 145.7V145.7zM340.1 192L375.5 209.7C383.4 213.6 386.6 223.3 382.7 231.2C378.7 239.1 369.1 242.3 361.2 238.3L297.2 206.3C291.8 203.6 288.4 198.1 288.4 192C288.4 185.9 291.8 180.4 297.2 177.7L361.2 145.7C369.1 141.7 378.7 144.9 382.7 152.8C386.6 160.7 383.4 170.4 375.5 174.3L340.1 192zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "face-laugh-wink": [512, 512, ["laugh-wink"], "f59c", "M385.5 288C399.7 288 410.1 300.3 407.3 314C389.2 381.1 328.3 432 256 432C183.7 432 122.8 381.1 104.7 314C101.1 300.3 112.3 288 126.5 288H385.5zM371.7 320H140.3C158.9 367.2 204 400 256 400C308 400 353.1 367.2 371.7 320H371.7zM200.4 192C200.4 205.3 189.6 216 176.4 216C163.1 216 152.4 205.3 152.4 192C152.4 178.7 163.1 168 176.4 168C189.6 168 200.4 178.7 200.4 192zM278.4 220.8C271.3 215.5 269.9 205.5 275.2 198.4C305.6 157.9 366.4 157.9 396.8 198.4C402.1 205.5 400.7 215.5 393.6 220.8C386.5 226.1 376.5 224.7 371.2 217.6C353.6 194.1 318.4 194.1 300.8 217.6C295.5 224.7 285.5 226.1 278.4 220.8zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "face-lying": [512, 512, [], "e37e", "M256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C335.8 480 405.8 438.3 445.5 375.5C450.2 367.1 460.1 365.8 467.6 370.5C475.1 375.2 477.3 385.1 472.6 392.5C427.3 464.3 347.2 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C373.8 0 472.9 79.51 502.8 187.7C505.1 196.3 500.1 205.1 491.6 207.4C483.1 209.8 474.3 204.8 471.9 196.3C445.8 101.5 359 32 256 32V32zM200.4 176C200.4 189.3 189.6 200 176.4 200C163.1 200 152.4 189.3 152.4 176C152.4 162.7 163.1 152 176.4 152C189.6 152 200.4 162.7 200.4 176zM360.4 176C360.4 189.3 349.6 200 336.4 200C323.1 200 312.4 189.3 312.4 176C312.4 162.7 323.1 152 336.4 152C349.6 152 360.4 162.7 360.4 176zM166.4 396.8C159.3 391.5 157.9 381.4 163.2 374.4C180.7 351.1 208.6 336 240 336C253.6 336 266.6 338.8 278.4 343.1C286.5 347.5 290.2 356.1 286.7 365.1C283.1 373.2 273.7 376.9 265.6 373.3C257.8 369.9 249.1 368 240 368C219.1 368 200.5 378 188.8 393.6C183.5 400.7 173.5 402.1 166.4 396.8H166.4zM448 224C483.3 224 512 252.7 512 288C512 323.3 483.3 352 448 352H352C343.2 352 336 344.8 336 336C336 327.2 343.2 320 352 320H448C465.7 320 480 305.7 480 288C480 270.3 465.7 256 448 256H288C279.2 256 272 248.8 272 240C272 231.2 279.2 224 288 224H448z"],
    "face-mask": [576, 512, [], "e37f", "M240 176C192.1 176 162.9 195.7 155.3 203.3C149.1 209.6 138.9 209.6 132.7 203.3C126.4 197.1 126.4 186.9 132.7 180.7C146.4 166.1 184.6 144 239.1 144C248.8 144 255.1 151.2 255.1 160C255.1 168.8 248.8 176 239.1 176L240 176zM420.7 203.3C413.1 195.7 383 176 336 176C327.2 176 320 168.8 320 160C320 151.2 327.2 144 336 144C391.4 144 429.6 166.1 443.3 180.7C449.6 186.9 449.6 197.1 443.3 203.3C437.1 209.6 426.9 209.6 420.7 203.3L420.7 203.3zM199.1 328C199.1 319.2 207.2 311.1 215.1 311.1H360C368.8 311.1 376 319.2 376 328C376 336.8 368.8 344 360 344H215.1C207.2 344 199.1 336.8 199.1 328V328zM199.1 376C199.1 367.2 207.2 360 215.1 360H360C368.8 360 376 367.2 376 376C376 384.8 368.8 392 360 392H215.1C207.2 392 199.1 384.8 199.1 376V376zM558.1 216.5C562.3 224.3 559.3 233.1 551.5 238.1L543.6 242.3C543.9 246.9 544 251.4 544 256C544 397.4 429.4 512 288 512C146.6 512 32 397.4 32 256C32 251.4 32.12 246.9 32.36 242.3L24.47 238.1C16.67 233.1 13.72 224.3 17.88 216.5C21.49 209.7 29.28 206.6 36.38 208.6C58.6 89.86 162.8 0 288 0C413.2 0 517.4 89.86 539.6 208.6C546.7 206.6 554.5 209.7 558.1 216.5L558.1 216.5zM426.6 416C417.6 434.9 398.3 448 376 448H199.1C177.7 448 158.4 434.9 149.4 416H131.2C171.6 455.6 226.1 480 287.1 480C349 480 404.4 455.6 444.8 416H426.6zM471.8 384C496.6 348.5 511.3 305.6 511.1 259.2L431.5 302.1L430.9 300.1C431.6 304.5 432 308.2 432 311.1V384H471.8zM288 32C175.1 32 81.72 115.5 66.25 224.1L159.2 273.7C169.4 262.8 183.9 255.1 199.1 255.1H376C392.1 255.1 406.6 262.8 416.8 273.7L509.8 224.1C494.3 115.5 400.9 32 288 32L288 32zM64.02 259.2C64.67 305.6 79.41 348.5 104.1 384H143.1V311.1C143.1 308.2 144.4 304.5 145.1 300.1L144.5 302.1L64.02 259.2zM376 287.1H199.1C186.7 287.1 175.1 298.7 175.1 311.1V392C175.1 405.3 186.7 416 199.1 416H376C389.3 416 400 405.3 400 392V311.1C400 298.7 389.3 287.1 376 287.1z"],
    "face-meh": [512, 512, [128528, "meh"], "f11a", "M152.4 208C152.4 194.7 163.1 184 176.4 184C189.6 184 200.4 194.7 200.4 208C200.4 221.3 189.6 232 176.4 232C163.1 232 152.4 221.3 152.4 208zM360.4 208C360.4 221.3 349.6 232 336.4 232C323.1 232 312.4 221.3 312.4 208C312.4 194.7 323.1 184 336.4 184C349.6 184 360.4 194.7 360.4 208zM336 336C344.8 336 352 343.2 352 352C352 360.8 344.8 368 336 368H176C167.2 368 160 360.8 160 352C160 343.2 167.2 336 176 336H336zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480z"],
    "face-meh-blank": [512, 512, [128566, "meh-blank"], "f5a4", "M200.4 208C200.4 221.3 189.6 232 176.4 232C163.1 232 152.4 221.3 152.4 208C152.4 194.7 163.1 184 176.4 184C189.6 184 200.4 194.7 200.4 208zM312.4 208C312.4 194.7 323.1 184 336.4 184C349.6 184 360.4 194.7 360.4 208C360.4 221.3 349.6 232 336.4 232C323.1 232 312.4 221.3 312.4 208zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "face-melting": [640, 512, [129760], "e483", "M232.3 182.8C235.8 170 248.9 162.4 261.7 165.8C274.5 169.3 282.1 182.4 278.7 195.2C275.3 208 262.1 215.6 249.3 212.2C236.5 208.8 228.9 195.6 232.3 182.8V182.8zM433.2 236.6C429.8 249.5 416.6 257.1 403.8 253.6C391 250.2 383.4 237 386.9 224.2C390.3 211.4 403.5 203.8 416.3 207.3C429.1 210.7 436.7 223.8 433.2 236.6zM291 348.2C332.9 359.4 368.1 346.3 390.8 330.9C398.1 325.1 408 327.9 413 335.2C417.1 342.5 416 352.5 408.7 357.4C380.6 376.5 335.9 393.4 282.7 379.1C229.5 364.8 199.3 327.9 184.4 297.3C180.6 289.4 183.9 279.8 191.8 275.1C199.8 272.1 209.4 275.4 213.2 283.4C225.2 308 249.1 336.1 291 348.2H291zM0 496C0 487.2 7.164 480 16 480H40.91C82.23 480 108.9 406.6 90.55 369.5C63.89 315.7 55.95 252.3 72.72 189.7C109.3 53.18 249.7-27.87 386.3 8.723C522.8 45.32 603.9 185.7 567.3 322.3C566.9 323.8 566.4 325.3 566 326.8C558.4 353.4 576.4 383.1 604 384H624C632.8 384 640 391.2 640 400C640 408.8 632.8 416 624 416H560C542.3 416 528 430.3 528 448C528 465.7 542.3 480 560 480C568.8 480 576 487.2 576 496C576 504.8 568.8 512 560 512H325.8C322.1 512.1 318.3 512.1 314.5 512H16C7.164 512 0 504.8 0 496V496zM325.1 480L325.5 480H504.6C499.1 470.6 496 459.7 496 448C496 417.2 517.7 391.5 546.7 385.4C546 384.5 545.4 383.5 544.8 382.6C533.2 364.4 528.7 340.7 535.3 317.1C535.6 316.7 536 315.3 536.4 313.1C568.4 194.5 497.5 71.65 377.1 39.63C258.5 7.614 135.7 78.53 103.6 198C88.95 252.8 95.88 308.2 119.2 355.3C134 385.2 129.2 423.2 117.7 450.9C113.8 460.2 108.2 470.5 100.8 480H314.8L315.2 480C318.5 480.1 321.8 480.1 325.1 480H325.1z"],
    "face-monocle": [512, 512, [], "e380", "M176.4 183.1C176.4 197.3 165.6 207.1 152.4 207.1C139.1 207.1 128.4 197.3 128.4 183.1C128.4 170.7 139.1 159.1 152.4 159.1C165.6 159.1 176.4 170.7 176.4 183.1zM160 352C160 343.2 167.2 336 176 336C193.7 336 221.3 339.5 248.2 349.9C274.1 360.3 303.1 378.3 318.3 408.8C322.3 416.7 319.1 426.4 311.2 430.3C303.3 434.3 293.6 431.1 289.7 423.2C279.3 402.5 259.4 388.5 236.6 379.7C213.9 370.9 190.3 368 176 368C167.2 368 160 360.8 160 352L160 352zM281.1 124.5C275.1 130 265 128.9 259.5 121.1C253.1 115.1 255.1 105 262 99.51L285.2 80.92C298.9 69.97 315.9 63.1 333.5 63.1C348.7 63.1 363.6 68.51 376.3 76.97L384.9 82.69C392.2 87.59 394.2 97.52 389.3 104.9C384.4 112.2 374.5 114.2 367.1 109.3L358.5 103.6C351.1 98.64 342.4 95.1 333.5 95.1C323.2 95.1 313.2 99.49 305.2 105.9L281.1 124.5zM288.4 215.1C288.4 202.7 299.1 191.1 312.4 191.1C325.6 191.1 336.4 202.7 336.4 215.1C336.4 229.3 325.6 239.1 312.4 239.1C299.1 239.1 288.4 229.3 288.4 215.1zM493.1 475.3L504.5 482.4C511.1 487.1 514.3 496.1 509.6 504.5C504.9 511.1 495 514.3 487.5 509.6L476.2 502.5C454.3 488.8 437.4 469.1 427.2 446.3C381.9 487.2 321.8 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 318.8 489.4 376.3 451.9 420.9C458.4 443.2 472.9 462.7 493.1 475.3L493.1 475.3zM448 371.4C468.3 337.7 480 298.2 480 255.1C480 132.3 379.7 31.1 256 31.1C132.3 31.1 32 132.3 32 255.1C32 379.7 132.3 480 256 480C319.3 480 376.5 453.7 417.2 411.5C416.4 405.7 416 399.9 416 393.9V287.5C397.6 316.6 365.1 336 328 336C270.6 336 224 289.4 224 231.1C224 174.6 270.6 127.1 328 127.1C377.3 127.1 418.5 162.2 429.3 208.2C430.2 208.1 431.1 207.1 432 207.1C440.8 207.1 448 215.2 448 223.1V371.4zM328 303.1C367.8 303.1 400 271.8 400 231.1C400 192.2 367.8 159.1 328 159.1C288.2 159.1 256 192.2 256 231.1C256 271.8 288.2 303.1 328 303.1z"],
    "face-nauseated": [512, 512, [], "e381", "M203.3 100.7C209.6 106.9 209.6 117.1 203.3 123.3L195.9 130.7C172.4 154.3 142 169.9 109.1 175.4L106.6 175.8C97.91 177.2 89.67 171.3 88.22 162.6C86.76 153.9 92.65 145.7 101.4 144.2L103.9 143.8C130.2 139.4 154.5 126.9 173.3 108.1L180.7 100.7C186.9 94.44 197.1 94.44 203.3 100.7zM175.6 232C162.4 232 151.6 221.3 151.6 208C151.6 194.7 162.4 184 175.6 184C188.9 184 199.6 194.7 199.6 208C199.6 221.3 188.9 232 175.6 232zM335.6 232C322.4 232 311.6 221.3 311.6 208C311.6 194.7 322.4 184 335.6 184C348.9 184 359.6 194.7 359.6 208C359.6 221.3 348.9 232 335.6 232zM308.7 123.3C302.4 117.1 302.4 106.9 308.7 100.7C314.9 94.44 325.1 94.44 331.3 100.7L338.7 108.1C357.5 126.9 381.8 139.4 408.2 143.8L410.6 144.2C419.3 145.7 425.2 153.9 423.8 162.6C422.3 171.3 414.1 177.2 405.4 175.8L402.9 175.4C369.1 169.9 339.6 154.3 316.1 130.7L308.7 123.3zM146.2 272.6C150.6 264.9 160.4 262.3 168 266.7C187.5 277.1 201.8 297.2 206.4 320H305.6C310.2 297.2 324.5 277.1 343.1 266.7C351.6 262.3 361.4 264.9 365.8 272.6C370.3 280.2 367.7 289.1 360 294.4C345.6 302.7 336 318.3 336 336C336 353.7 345.6 369.3 360 377.6C367.7 382 370.3 391.8 365.8 399.4C361.4 407.1 351.6 409.7 343.1 405.3C324.5 394 310.2 374.8 305.6 352H206.4C201.8 374.8 187.5 394 168 405.3C160.4 409.7 150.6 407.1 146.2 399.4C141.7 391.8 144.3 382 151.1 377.6C166.4 369.3 175.1 353.7 175.1 336C175.1 318.3 166.4 302.7 151.1 294.4C144.3 289.1 141.7 280.2 146.2 272.6H146.2zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "face-nose-steam": [576, 512, [], "e382", "M65.98 285.9C67.14 294.6 60.99 302.7 52.23 303.9C43.47 305 35.42 298.9 34.26 290.1C32.77 278.9 32 267.6 32 256C32 114.6 146.6 0 288 0C429.4 0 544 114.6 544 256C544 267.6 543.2 278.9 541.7 290.1C540.6 298.9 532.5 305 523.8 303.9C515 302.7 508.9 294.6 510 285.9C511.3 276.1 512 266.1 512 256C512 132.3 411.7 32 288 32C164.3 32 64 132.3 64 256C64 266.1 64.67 276.1 65.98 285.9zM288 480C303.4 480 318.3 478.5 332.8 475.5C341.5 473.8 349.9 479.4 351.7 488C353.4 496.7 347.8 505.1 339.2 506.9C322.6 510.2 305.5 512 288 512C270.5 512 253.4 510.2 236.8 506.9C228.2 505.1 222.6 496.7 224.3 488C226.1 479.4 234.5 473.8 243.2 475.5C257.7 478.5 272.6 480 287.1 480H288zM195.7 379.4C197.1 380.5 198.5 381.7 199.8 383C218.5 401.8 218.5 432.2 199.8 450.9C197.1 453.6 194.1 455.9 190.1 457.9C192.2 471.5 187.6 485.7 177.1 496.2C159.3 514.1 130.8 514.9 111.9 498.6C88.47 508.9 60.15 504.4 40.97 485.3C21.78 466.1 17.33 437.8 27.59 414.3C11.35 395.5 12.18 366.1 30.06 349.1C40.55 338.6 54.69 333.1 68.37 335.2C70.3 332.1 72.61 329.2 75.31 326.5C94.06 307.7 124.4 307.7 143.2 326.5C144.5 327.8 145.7 329.1 146.9 330.6L213.1 290.3C220.3 286.5 228.3 287.5 233.5 292.7C238.7 297.9 239.7 305.9 235.9 312.2L195.7 379.4zM134.2 367.8C129.5 365.8 125.1 361.7 124.8 356.7C124.2 353.9 122.8 351.3 120.6 349.1C114.3 342.8 104.2 342.8 97.94 349.1C95.6 351.4 94.15 354.3 93.56 357.3C92.6 362.1 89.45 366.3 85.02 368.5C80.6 370.7 75.39 370.7 70.93 368.6C64.96 365.7 57.6 366.8 52.69 371.7C46.44 377.1 46.44 388.1 52.69 394.3C53.73 395.4 54.87 396.2 56.06 396.9C60.07 399.2 62.89 403.1 63.79 407.7C64.7 412.2 63.61 416.9 60.8 420.6C51.18 433.1 52.12 451.1 63.59 462.6C75.07 474.1 93.13 475 105.7 465.4C109.3 462.6 114 461.5 118.6 462.4C123.1 463.3 126.1 466.2 129.3 470.2C129.1 471.4 130.8 472.5 131.9 473.5C138.1 479.8 148.3 479.8 154.5 473.5C159.4 468.6 160.5 461.3 157.6 455.3C155.5 450.8 155.5 445.6 157.7 441.2C159.1 436.8 164.1 433.6 168.9 432.7C171.9 432.1 174.8 430.6 177.1 428.3C183.4 422 183.4 411.9 177.1 405.7C174.9 403.5 172.3 402 169.5 401.4C164.5 400.2 160.4 396.8 158.4 392.1C156.4 387.3 156.8 381.1 159.4 377.6L175.6 350.6L148.6 366.8C144.3 369.4 138.9 369.8 134.2 367.8H134.2zM427.4 331.4C428.5 330 429.7 328.7 431 327.3C449.8 308.6 480.2 308.6 498.9 327.3C501.6 330 503.9 332.1 505.8 336.1C519.5 334.9 533.7 339.5 544.2 349.1C562 367.9 562.9 396.3 546.6 415.2C556.9 438.6 552.4 466.1 533.3 486.1C514.1 505.3 485.8 509.8 462.3 499.5C443.5 515.8 414.1 514.9 397.1 497C386.6 486.6 381.1 472.4 383.2 458.7C380.1 456.8 377.2 454.5 374.5 451.8C355.7 433.1 355.7 402.7 374.5 383.9C375.8 382.6 377.1 381.4 378.6 380.3L338.3 313.1C334.5 306.8 335.5 298.8 340.7 293.6C345.9 288.4 353.9 287.4 360.2 291.2L427.4 331.4zM415.8 392.9C413.8 397.6 409.7 401.1 404.7 402.3C401.9 402.9 399.3 404.3 397.1 406.5C390.8 412.8 390.8 422.9 397.1 429.2C399.4 431.5 402.3 432.1 405.3 433.6C410.1 434.5 414.3 437.7 416.5 442.1C418.7 446.5 418.7 451.7 416.6 456.2C413.7 462.2 414.8 469.5 419.7 474.4C425.1 480.7 436.1 480.7 442.3 474.4C443.4 473.4 444.2 472.2 444.9 471C447.2 467 451.1 464.2 455.7 463.3C460.2 462.4 464.9 463.5 468.6 466.3C481.1 475.9 499.1 474.1 510.6 463.5C522.1 452 523 433.1 513.4 421.4C510.6 417.8 509.5 413.1 510.4 408.6C511.3 404 514.2 400.1 518.2 397.8C519.4 397.1 520.5 396.3 521.5 395.2C527.8 388.1 527.8 378.8 521.5 372.6C516.6 367.7 509.3 366.6 503.3 369.5C498.8 371.6 493.6 371.6 489.2 369.4C484.8 367.2 481.6 363 480.7 358.2C480.1 355.2 478.6 352.3 476.3 349.1C470 343.7 459.9 343.7 453.7 349.1C451.4 352.2 450 354.8 449.4 357.6C448.2 362.6 444.8 366.7 440 368.7C435.3 370.7 429.1 370.3 425.6 367.7L398.6 351.5L414.8 378.5C417.4 382.9 417.8 388.2 415.8 392.9V392.9zM128 240C128 231.2 135.2 224 144 224H240C248.8 224 256 231.2 256 240C256 248.8 248.8 256 240 256H144C135.2 256 128 248.8 128 240zM320 240C320 231.2 327.2 224 336 224H432C440.8 224 448 231.2 448 240C448 248.8 440.8 256 432 256H336C327.2 256 320 248.8 320 240zM347.3 187.3C341.1 193.6 330.9 193.6 324.7 187.3C318.4 181.1 318.4 170.9 324.7 164.7C336.7 152.7 369.7 126.6 410.9 112.8C419.3 110 428.4 114.6 431.2 122.9C433.1 131.3 429.4 140.4 421.1 143.2C385.5 155 356.6 177.1 347.3 187.3H347.3zM154.9 143.2C146.6 140.4 142 131.3 144.8 122.9C147.6 114.6 156.7 110 165.1 112.8C206.3 126.6 239.3 152.7 251.3 164.7C257.6 170.9 257.6 181.1 251.3 187.3C245.1 193.6 234.9 193.6 228.7 187.3C219.4 177.1 190.5 155 154.9 143.2V143.2z"],
    "face-party": [640, 512, [], "e383", "M319.1 480C386.3 480 445.9 451.2 486.1 405.3C490.1 401.8 494.5 400 498.8 400H498.1C502.7 400 506.5 401.4 509.6 404.1C516.1 409.1 516.7 420.1 510.8 426.7C463.1 479 395.8 512 320 512C178.6 512 64 397.4 64 255.1C64 237.1 66.06 218.6 69.95 200.9L1.067 21.74C-1.156 15.97 .1552 9.423 4.433 4.947C8.71 .4702 15.19-1.136 21.06 .8215L168.2 49.86C210.7 18.52 263.2 .0001 320 .0001C425 .0001 515.2 63.21 554.7 153.6C558.2 161.7 554.5 171.1 546.4 174.7C538.3 178.2 528.9 174.5 525.4 166.4C490.8 87.26 411.8 31.1 320 31.1C196.3 31.1 96 132.3 96 255.1C96 379.7 196.3 480 320 480L319.1 480zM114.6 65.73C99.44 82.06 86.23 100.2 75.3 119.8C74.88 120.6 74.4 121.3 73.88 121.9L85.71 152.7C98.75 123.1 117.2 96.55 139.8 74.14L114.6 65.73zM81.59 54.73L43.1 41.9L59.43 84.34C66.24 74.03 73.64 64.14 81.59 54.73V54.73zM275.2 233.6C257.6 210.1 222.4 210.1 204.8 233.6C199.5 240.7 189.5 242.1 182.4 236.8C175.3 231.5 173.9 221.5 179.2 214.4C209.6 173.9 270.4 173.9 300.8 214.4C306.1 221.5 304.7 231.5 297.6 236.8C290.5 242.1 280.5 240.7 275.2 233.6zM435.2 233.6C417.6 210.1 382.4 210.1 364.8 233.6C359.5 240.7 349.5 242.1 342.4 236.8C335.3 231.5 333.9 221.5 339.2 214.4C369.6 173.9 430.4 173.9 460.8 214.4C466.1 221.5 464.7 231.5 457.6 236.8C450.5 242.1 440.5 240.7 435.2 233.6zM381.4 303.1C370.4 297.7 355.7 293.8 342.3 291.9C335.8 290.1 331.2 284.9 332.1 278.3C333 271.8 339.1 267.2 345.7 268.1C360.7 270.2 378 274.7 391.9 281.5C398.9 284.9 405.6 289.2 410.7 294.6C415.9 299.1 420 307.2 420 315.1C420 324 416.5 330.8 411.1 336H592C600.8 336 608 328.8 608 319.1V255.1C608 247.2 600.8 239.1 592 239.1H560C551.2 239.1 544 247.2 544 255.1C544 264.8 551.2 271.1 560 271.1H576C584.8 271.1 592 279.2 592 287.1C592 296.8 584.8 303.1 576 303.1H560C533.5 303.1 512 282.5 512 255.1C512 229.5 533.5 207.1 560 207.1H592C618.5 207.1 640 229.5 640 255.1V319.1C640 346.5 618.5 368 592 368H411.1C416.5 373.2 420 379.1 420 388C420 396.8 415.9 404 410.7 409.4C405.6 414.8 398.9 419.1 391.9 422.5C378 429.3 360.7 433.8 345.7 435.9C339.1 436.8 333 432.2 332.1 425.7C331.2 419.1 335.8 413 342.3 412.1C355.7 410.2 370.4 406.3 381.4 400.9C386.9 398.2 390.9 395.4 393.3 392.9C395.7 390.4 396 388.8 396 388C396 387.2 395.7 385.6 393.3 383.1C390.9 380.6 386.9 377.8 381.4 375.1C370.5 369.7 355.9 365.8 342.6 363.9C341.7 363.8 340.8 363.6 339.9 363.3C338.2 362.7 336.7 361.7 335.5 360.5C334.3 359.3 333.3 357.8 332.7 356.1C332.2 354.8 331.1 353.4 331.1 352C331.1 350.6 332.2 349.2 332.7 347.9C333.3 346.2 334.3 344.7 335.5 343.5C336.7 342.3 338.2 341.3 339.9 340.7C340.8 340.4 341.7 340.2 342.6 340.1C355.9 338.2 370.5 334.3 381.4 328.9C386.9 326.2 390.9 323.4 393.3 320.9C395.7 318.4 396 316.8 396 315.1C396 315.2 395.7 313.6 393.3 311.1C390.9 308.6 386.9 305.8 381.4 303.1L381.4 303.1z"],
    "face-pensive": [512, 512, [], "e384", "M304 384C312.8 384 320 391.2 320 400C320 408.8 312.8 416 304 416H208C199.2 416 192 408.8 192 400C192 391.2 199.2 384 208 384H304zM409.6 267.2C416.7 272.5 418.1 282.5 412.8 289.6C382.4 330.1 321.6 330.1 291.2 289.6C285.9 282.5 287.3 272.5 294.4 267.2C301.5 261.9 311.5 263.3 316.8 270.4C334.4 293.9 369.6 293.9 387.2 270.4C392.5 263.3 402.5 261.9 409.6 267.2zM124.8 270.4C142.4 293.9 177.6 293.9 195.2 270.4C200.5 263.3 210.5 261.9 217.6 267.2C224.7 272.5 226.1 282.5 220.8 289.6C190.4 330.1 129.6 330.1 99.2 289.6C93.9 282.5 95.33 272.5 102.4 267.2C109.5 261.9 119.5 263.3 124.8 270.4zM81.69 215.2C77.74 207.3 80.94 197.6 88.84 193.7L111.7 182.3C126.2 175 138.9 164.7 149.1 152.1L163.5 134C169 127.1 179.1 125.1 185.1 131.5C192.9 137 194 147.1 188.5 153.1L174.1 172C161 188.3 144.6 201.6 126 210.9L103.2 222.3C95.25 226.3 85.64 223.1 81.69 215.2V215.2zM423.2 193.7C431.1 197.6 434.3 207.3 430.3 215.2C426.4 223.1 416.7 226.3 408.8 222.3L385.1 210.9C367.4 201.6 350.1 188.3 337.9 172L323.5 153.1C317.1 147.1 319.1 137 326 131.5C332.9 125.1 342.1 127.1 348.5 134L362.9 152.1C373.1 164.7 385.8 175 400.3 182.3L423.2 193.7zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "face-persevering": [512, 512, [], "e385", "M256 384C227.5 384 207.6 397.7 195.9 410.7C189.1 417.3 179.9 417.8 173.3 411.9C166.7 405.1 166.2 395.9 172.1 389.3C188.2 371.4 216.3 352 256 352C295.7 352 323.8 371.4 339.9 389.3C345.8 395.9 345.3 405.1 338.7 411.9C332.1 417.8 322 417.3 316.1 410.7C304.4 397.7 284.5 384 256 384H256zM150.8 225.7L214.8 257.7C220.2 260.4 223.6 265.9 223.6 272C223.6 278.1 220.2 283.6 214.8 286.3L150.8 318.3C142.9 322.3 133.3 319.1 129.3 311.2C125.4 303.3 128.6 293.6 136.5 289.7L171.9 271.1L136.5 254.3C128.6 250.4 125.4 240.7 129.3 232.8C133.3 224.9 142.9 221.7 150.8 225.7V225.7zM340.1 272L375.5 289.7C383.4 293.6 386.6 303.3 382.7 311.2C378.7 319.1 369.1 322.3 361.2 318.3L297.2 286.3C291.8 283.6 288.4 278.1 288.4 272C288.4 265.9 291.8 260.4 297.2 257.7L361.2 225.7C369.1 221.7 378.7 224.9 382.7 232.8C386.6 240.7 383.4 250.4 375.5 254.3L340.1 272zM211.3 100.7C217.6 106.9 217.6 117.1 211.3 123.3L203.9 130.7C180.4 154.3 150 169.9 117.1 175.4L114.6 175.8C105.9 177.2 97.67 171.3 96.22 162.6C94.76 153.9 100.7 145.7 109.4 144.2L111.9 143.8C138.2 139.4 162.5 126.9 181.3 108.1L188.7 100.7C194.9 94.44 205.1 94.44 211.3 100.7zM300.7 123.3C294.4 117.1 294.4 106.9 300.7 100.7C306.9 94.44 317.1 94.44 323.3 100.7L330.7 108.1C349.5 126.9 373.8 139.4 400.2 143.8L402.6 144.2C411.3 145.7 417.2 153.9 415.8 162.6C414.3 171.3 406.1 177.2 397.4 175.8L394.9 175.4C361.1 169.9 331.6 154.3 308.1 130.7L300.7 123.3zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "face-pleading": [512, 512, [], "e386", "M256 400C244.6 400 236.6 405.4 231.9 410.7C225.1 417.3 215.9 417.8 209.3 411.9C202.7 405.1 202.2 395.9 208.1 389.3C217.3 379.1 233.3 368 256 368C278.7 368 294.7 379.1 303.9 389.3C309.8 395.9 309.3 405.1 302.7 411.9C296.1 417.8 286 417.3 280.1 410.7C275.4 405.4 267.4 400 256 400H256zM384 240C384 257.7 369.7 272 352 272C334.3 272 320 257.7 320 240C337.7 240 352 225.7 352 208C369.7 208 384 222.3 384 240zM351.4 107.6L352.9 112.8C359.9 137.4 381 155.5 406.5 158.7L417.1 160.1C426.8 161.2 432.1 169.2 431.9 177.1C430.9 186.1 423.1 192 416 192C426 205.4 432 221.1 432 240C432 284.2 396.2 320 352 320C307.8 320 272 284.2 272 240C272 198.5 303.5 164.4 343.1 160.4C333.9 149.6 326.3 136.3 322.1 121.6L320.6 116.4C318.2 107.9 323.1 99.04 331.6 96.62C340.1 94.19 348.1 99.11 351.4 107.6V107.6zM352 192C325.5 192 304 213.5 304 240C304 266.5 325.5 288 352 288C378.5 288 400 266.5 400 240C400 213.5 378.5 192 352 192zM128 240C145.7 240 160 225.7 160 208C177.7 208 192 222.3 192 240C192 257.7 177.7 272 160 272C142.3 272 128 257.7 128 240zM189.9 121.6C185.7 136.3 178.1 149.6 168 160.4C208.5 164.4 240 198.5 240 240C240 284.2 204.2 320 160 320C115.8 320 80 284.2 80 240C80 221.1 85.95 205.4 95.99 192C88.04 192 81.14 186.1 80.12 177.1C79.03 169.2 85.25 161.2 94.02 160.1L105.5 158.7C130.1 155.5 152.1 137.4 159.1 112.8L160.6 107.6C163 99.11 171.9 94.19 180.4 96.62C188.9 99.04 193.8 107.9 191.4 116.4L189.9 121.6zM160 288C186.5 288 208 266.5 208 240C208 213.5 186.5 192 160 192C133.5 192 112 213.5 112 240C112 266.5 133.5 288 160 288zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "face-pouting": [512, 512, [], "e387", "M341.3 409.3C332.5 416.1 320.1 417.9 308.9 413.8C292.7 407.7 274.9 404.3 255.1 404.3C237.2 404.3 219.3 407.7 203.1 413.7C191.9 417.9 179.5 416.1 170.7 409.3C166.2 405.8 162.4 400.7 160.8 394.1C159.2 387.5 160.3 380.7 163.5 374.7C180.9 342 215.9 319.1 256 319.1C296.1 319.1 331.2 342 348.5 374.7C351.7 380.7 352.9 387.5 351.3 394.2C349.7 400.7 345.8 405.8 341.3 409.3L341.3 409.3zM315.6 382.2C302.7 364 280.9 351.1 256 351.1C231.1 351.1 209.4 364 196.4 382.1C214.1 375.8 235 372.3 255.1 372.3C276.1 372.3 297.1 375.8 315.6 382.2V382.2zM152.4 240C152.4 231.9 156.4 224.7 162.5 220.4L122.9 207.2C114.6 204.4 110 195.3 112.8 186.9C115.6 178.6 124.7 174 133.1 176.8L229.1 208.8C237.4 211.6 241.1 220.7 239.2 229.1C236.4 237.4 227.3 241.1 218.9 239.2L199.2 232.6C199.1 234.9 200.4 237.4 200.4 240C200.4 253.3 189.6 264 176.4 264C163.1 264 152.4 253.3 152.4 240H152.4zM360.4 240C360.4 253.3 349.6 264 336.4 264C323.1 264 312.4 253.3 312.4 240C312.4 237.3 312.8 234.7 313.6 232.3L293.1 239.2C284.7 241.1 275.6 237.4 272.8 229.1C270 220.7 274.6 211.6 282.9 208.8L378.9 176.8C387.3 174 396.4 178.6 399.2 186.9C401.1 195.3 397.4 204.4 389.1 207.2L349.1 220.2C356.2 224.5 360.4 231.8 360.4 240H360.4zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480z"],
    "face-raised-eyebrow": [512, 512, [], "e388", "M200.4 240C200.4 253.3 189.6 264 176.4 264C163.1 264 152.4 253.3 152.4 240C152.4 226.7 163.1 216 176.4 216C189.6 216 200.4 226.7 200.4 240zM312.4 240C312.4 226.7 323.1 216 336.4 216C349.6 216 360.4 226.7 360.4 240C360.4 253.3 349.6 264 336.4 264C323.1 264 312.4 253.3 312.4 240zM365.8 145.5C357.4 132.9 339.5 131.1 328.8 141.8L299.3 171.3C293.1 177.6 282.9 177.6 276.7 171.3C270.4 165.1 270.4 154.9 276.7 148.7L306.2 119.2C331.2 94.2 372.8 98.32 392.4 127.7L397.3 135.1C402.2 142.5 400.2 152.4 392.9 157.3C385.5 162.2 375.6 160.2 370.7 152.9L365.8 145.5zM112 160C112 151.2 119.2 144 128 144H192C200.8 144 208 151.2 208 160C208 168.8 200.8 176 192 176H128C119.2 176 112 168.8 112 160zM336 336C344.8 336 352 343.2 352 352C352 360.8 344.8 368 336 368H176C167.2 368 160 360.8 160 352C160 343.2 167.2 336 176 336H336zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480z"],
    "face-relieved": [512, 512, [], "e389", "M256 376C288.9 376 311.6 361.7 324.7 348.7C330.9 342.4 341.1 342.4 347.3 348.7C353.6 354.9 353.6 365.1 347.3 371.3C329.4 389.2 298.9 408 256 408C213.1 408 182.6 389.2 164.7 371.3C158.4 365.1 158.4 354.9 164.7 348.7C170.9 342.4 181.1 342.4 187.3 348.7C200.4 361.7 223.1 376 256 376H256zM409.6 235.2C416.7 240.5 418.1 250.5 412.8 257.6C382.4 298.1 321.6 298.1 291.2 257.6C285.9 250.5 287.3 240.5 294.4 235.2C301.5 229.9 311.5 231.3 316.8 238.4C334.4 261.9 369.6 261.9 387.2 238.4C392.5 231.3 402.5 229.9 409.6 235.2V235.2zM124.8 238.4C142.4 261.9 177.6 261.9 195.2 238.4C200.5 231.3 210.5 229.9 217.6 235.2C224.7 240.5 226.1 250.5 220.8 257.6C190.4 298.1 129.6 298.1 99.2 257.6C93.9 250.5 95.33 240.5 102.4 235.2C109.5 229.9 119.5 231.3 124.8 238.4zM207.2 106.9C209.1 115.3 205.4 124.4 197.1 127.2L190.7 129.3C167.1 137.2 146.8 152.7 132.1 173.4L125.3 184.9C120.4 192.2 110.5 194.2 103.1 189.3C95.77 184.4 93.79 174.5 98.69 167.1L106.3 155.7C124.1 129 150.2 109.1 180.6 98.93L186.9 96.82C195.3 94.03 204.4 98.56 207.2 106.9L207.2 106.9zM314.9 127.2C306.6 124.4 302 115.3 304.8 106.9C307.6 98.56 316.7 94.03 325.1 96.82L331.4 98.93C361.8 109.1 387.9 129 405.7 155.7L413.3 167.1C418.2 174.5 416.2 184.4 408.9 189.3C401.5 194.2 391.6 192.2 386.7 184.9L379 173.4C365.2 152.7 344.9 137.2 321.3 129.3L314.9 127.2zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "face-rolling-eyes": [512, 512, [128580, "meh-rolling-eyes"], "f5a5", "M320 368C328.8 368 336 375.2 336 384C336 392.8 328.8 400 320 400H192C183.2 400 176 392.8 176 384C176 375.2 183.2 368 192 368H320zM80 224C80 179.8 115.8 144 160 144C204.2 144 240 179.8 240 224C240 268.2 204.2 304 160 304C115.8 304 80 268.2 80 224zM160 272C186.5 272 208 250.5 208 224C208 209.7 201.7 196.8 191.8 188C191.9 189.3 192 190.6 192 192C192 209.7 177.7 224 160 224C142.3 224 128 209.7 128 192C128 190.6 128.1 189.3 128.2 188C118.3 196.8 112 209.7 112 224C112 250.5 133.5 272 160 272V272zM432 224C432 268.2 396.2 304 352 304C307.8 304 272 268.2 272 224C272 179.8 307.8 144 352 144C396.2 144 432 179.8 432 224zM383.8 188C383.9 189.3 384 190.6 384 192C384 209.7 369.7 224 352 224C334.3 224 320 209.7 320 192C320 190.6 320.1 189.3 320.2 188C310.3 196.8 304 209.7 304 224C304 250.5 325.5 272 352 272C378.5 272 400 250.5 400 224C400 209.7 393.7 196.8 383.8 188V188zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "face-sad-cry": [512, 512, [128557, "sad-cry"], "f5b3", "M195.2 233.6C177.6 210.1 142.4 210.1 124.8 233.6C119.5 240.7 109.5 242.1 102.4 236.8C95.33 231.5 93.9 221.5 99.2 214.4C129.6 173.9 190.4 173.9 220.8 214.4C226.1 221.5 224.7 231.5 217.6 236.8C210.5 242.1 200.5 240.7 195.2 233.6zM294.4 236.8C287.3 231.5 285.9 221.5 291.2 214.4C321.6 173.9 382.4 173.9 412.8 214.4C418.1 221.5 416.7 231.5 409.6 236.8C402.5 242.1 392.5 240.7 387.2 233.6C369.6 210.1 334.4 210.1 316.8 233.6C311.5 240.7 301.5 242.1 294.4 236.8zM320 328V352C320 387.3 291.3 416 256 416C220.7 416 192 387.3 192 352V328C192 292.7 220.7 264 256 264C291.3 264 320 292.7 320 328zM288 352V328C288 310.3 273.7 296 256 296C238.3 296 224 310.3 224 328V352C224 369.7 238.3 384 256 384C273.7 384 288 369.7 288 352zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM384 439.8C442 399.4 480 332.1 480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256C32 332.1 69.97 399.4 128 439.8V272C128 263.2 135.2 256 144 256C152.8 256 160 263.2 160 272V458.4C189.1 472.3 221.6 480 256 480C290.4 480 322.9 472.3 352 458.4V272C352 263.2 359.2 256 368 256C376.8 256 384 263.2 384 272V439.8z"],
    "face-sad-sweat": [576, 512, [], "e38a", "M288 32C174.4 32 80.57 116.5 65.98 226.1C64.81 234.9 56.76 241 48 239.9C39.24 238.7 33.09 230.6 34.26 221.9C50.95 96.62 158.2 0 288 0C429.4 0 544 114.6 544 256C544 397.4 429.4 512 288 512C230.4 512 177.2 492.9 134.4 460.8C127.3 455.5 125.9 445.5 131.2 438.4C136.5 431.3 146.5 429.9 153.6 435.2C191 463.3 237.5 480 288 480C411.7 480 512 379.7 512 256C512 132.3 411.7 32 288 32H288zM55.47 276.1C59.73 270.6 68.27 270.6 72.53 276.1C90.09 297.8 128 348.3 128 373.3C128 405.8 99.28 432 64 432C28.72 432 0 405.8 0 373.3C0 348.3 38.07 297.8 55.47 276.1zM48.24 340.6C42.84 349.1 38.41 357 35.43 363.7C32.83 369.5 32.2 372.5 32.05 373.2C32.01 373.4 32 373.4 32 373.3C32 385.5 43.71 400 64 400C84.29 400 96 385.5 96 373.3C96 373.4 95.99 373.4 95.95 373.2C95.81 372.5 95.18 369.5 92.58 363.6C89.61 356.1 85.19 349.1 79.81 340.6C74.81 332.7 69.32 324.8 64.04 317.5C58.74 324.8 53.25 332.7 48.24 340.6H48.24zM288 384C259.5 384 239.6 397.7 227.9 410.7C221.1 417.3 211.9 417.8 205.3 411.9C198.7 405.1 198.2 395.9 204.1 389.3C220.2 371.4 248.3 352 288 352C327.7 352 355.8 371.4 371.9 389.3C377.8 395.9 377.3 405.1 370.7 411.9C364.1 417.8 354 417.3 348.1 410.7C336.4 397.7 316.5 384 288 384H288zM367.6 248C380.9 248 391.6 258.7 391.6 272C391.6 285.3 380.9 296 367.6 296C354.4 296 343.6 285.3 343.6 272C343.6 258.7 354.4 248 367.6 248zM207.6 296C194.4 296 183.6 285.3 183.6 272C183.6 258.7 194.4 248 207.6 248C220.9 248 231.6 258.7 231.6 272C231.6 285.3 220.9 296 207.6 296zM211.3 148.7C217.6 154.9 217.6 165.1 211.3 171.3L203.9 178.7C180.4 202.3 150 217.9 117.1 223.4L114.6 223.8C105.9 225.2 97.67 219.3 96.22 210.6C94.76 201.9 100.7 193.7 109.4 192.2L111.9 191.8C138.2 187.4 162.5 174.9 181.3 156.1L188.7 148.7C194.9 142.4 205.1 142.4 211.3 148.7zM364.7 171.3C358.4 165.1 358.4 154.9 364.7 148.7C370.9 142.4 381.1 142.4 387.3 148.7L394.7 156.1C413.5 174.9 437.8 187.4 464.2 191.8L466.6 192.2C475.3 193.7 481.2 201.9 479.8 210.6C478.3 219.3 470.1 225.2 461.4 223.8L458.9 223.4C425.1 217.9 395.6 202.3 372.1 178.7L364.7 171.3z"],
    "face-sad-tear": [512, 512, [128546, "sad-tear"], "f5b4", "M151.5 260.1C155.7 254.6 164.3 254.6 168.5 260.1C170.1 262.1 171.9 264.2 173.7 266.4C192.6 289.5 224 327.7 224 357.3C224 389.8 195.3 416 160 416C124.7 416 96 389.8 96 357.3C96 328.1 126.8 290.4 145.6 267.3C147.7 264.7 149.7 262.3 151.5 260.1V260.1zM143.8 322.4C132.4 339.6 128 351.4 128 357.3C128 369.5 139.7 384 160 384C180.3 384 192 369.5 192 357.3C192 351.4 187.6 339.5 176.2 322.4C171.1 314.7 165.5 307.3 160 300.4C154.6 307.3 149 314.7 143.8 322.4V322.4zM371.7 373.1C377.7 379.6 377.4 389.7 370.9 395.7C364.4 401.7 354.2 401.4 348.3 394.9C323.2 367.8 290.9 352 255.1 352C247.2 352 239.1 344.8 239.1 336C239.1 327.2 247.2 320 255.1 320C301 320 341.6 340.5 371.7 373.1H371.7zM335.6 184C348.9 184 359.6 194.7 359.6 208C359.6 221.3 348.9 232 335.6 232C322.4 232 311.6 221.3 311.6 208C311.6 194.7 322.4 184 335.6 184zM175.6 232C162.4 232 151.6 221.3 151.6 208C151.6 194.7 162.4 184 175.6 184C188.9 184 199.6 194.7 199.6 208C199.6 221.3 188.9 232 175.6 232zM256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256z"],
    "face-saluting": [640, 512, [129761], "e484", "M368.8 32.64C358.7 31.88 348.7 31.8 338.8 32.37C330 32.88 322.4 26.14 321.9 17.32C321.4 8.498 328.2 .9337 336.1 .4253C348.2-.2231 359.6-.1363 371.2 .7283C512.2 11.3 617.9 134.2 607.3 275.2C596.7 416.1 473.9 521.9 332.9 511.3C221.7 502.1 132.5 424.8 104.9 323C102.6 314.5 107.6 305.7 116.1 303.4C124.7 301.1 133.5 306.1 135.8 314.7C159.9 403.7 238 472.1 335.3 479.4C458.6 488.6 566.1 396.1 575.4 272.8C584.6 149.4 492.1 41.89 368.8 32.64V32.64zM235 345.2C240.2 337.1 250.2 336.4 257.4 341.5C274.8 354.1 306.2 368.5 352 368.5C397.8 368.5 429.2 354.1 446.6 341.5C453.8 336.4 463.8 337.1 468.1 345.2C474.1 352.3 472.5 362.3 465.4 367.5C442.6 383.9 404.7 400.5 352 400.5C299.3 400.5 261.4 383.9 238.6 367.5C231.5 362.3 229.9 352.3 235 345.2H235zM248.4 208.5C248.4 195.3 259.1 184.5 272.4 184.5C285.6 184.5 296.4 195.3 296.4 208.5C296.4 221.8 285.6 232.5 272.4 232.5C259.1 232.5 248.4 221.8 248.4 208.5zM456.4 208.5C456.4 221.8 445.6 232.5 432.4 232.5C419.1 232.5 408.4 221.8 408.4 208.5C408.4 195.3 419.1 184.5 432.4 184.5C445.6 184.5 456.4 195.3 456.4 208.5zM219.4 113.3C224.6 116.9 229.2 121.6 232.8 127.4C246.8 149.9 239.1 179.6 217.6 193.6L153.6 233.8L153.5 233.8L153.5 233.9L124.5 252.1C80.87 279.4 23.24 259.8 5.188 211.5C-8.4 175.1 5.422 134.1 38.24 113.5L206.7 7.833C229.1-6.248 258.7 .6009 272.7 23.13C286.7 45.66 279.9 75.34 257.5 89.42L219.4 113.3zM240.5 62.09C247.1 57.41 250.3 47.54 245.6 40.04C240.9 32.55 231 30.27 223.5 34.95L54.75 140.4C34.78 152.9 26.37 177.7 34.64 199.8C45.62 229.1 80.69 240.1 107.2 224.4L200.5 166.1C207.1 161.4 210.3 151.5 205.6 144C200.9 136.5 191 134.3 183.5 138.1L128 173.7V132.4L240.5 62.09z"],
    "face-scream": [640, 512, [], "e38b", "M543.2 274.5C543.7 268.4 544 262.2 544 256C544 132.3 443.7 32 319.1 32C196.3 32 95.1 132.3 95.1 256C95.1 262.2 96.25 268.4 96.75 274.5C86.27 272 75.35 271.4 64.53 272.6C64.18 267.1 63.1 261.6 63.1 256C63.1 114.6 178.6 0 319.1 0C461.4 0 576 114.6 576 256C576 261.6 575.8 267.1 575.5 272.6C564.6 271.4 553.7 272 543.2 274.5L543.2 274.5zM401.2 498.9C375.7 507.4 348.4 512 319.1 512C291.6 512 264.4 507.4 238.9 498.9C237.3 486.7 235.2 474.5 232.5 462.3C259.4 473.7 288.9 480 319.1 480C351.1 480 380.7 473.7 407.6 462.2C404.8 474.5 402.7 486.7 401.2 498.9V498.9zM211.4 135.1C230.9 126.5 253.2 124.7 272.4 135.2C291.8 145.8 301.7 165.5 303.6 186.4C305.6 207.2 299.8 230.3 287 251.3C274.2 272.3 256.1 288.3 236.6 296.9C217.1 305.5 194.8 307.3 175.6 296.8C156.2 286.2 146.3 266.5 144.4 245.6C142.4 224.8 148.2 201.7 160.1 180.7C173.8 159.7 191.9 143.7 211.4 135.1V135.1zM224.3 164.4C211.3 170.1 197.1 181.5 188.3 197.4C178.6 213.3 175 229.6 176.2 242.6C177.4 255.7 183.1 264.4 190.9 268.7C199 273.1 210.5 273.4 223.7 267.6C236.7 261.9 250 250.5 259.7 234.6C269.4 218.7 272.1 202.4 271.8 189.4C270.6 176.3 264.9 167.6 257 163.3C248.1 158.9 237.5 158.6 224.3 164.4V164.4zM479 180.7C491.8 201.7 497.6 224.8 495.6 245.6C493.7 266.5 483.8 286.2 464.4 296.8C445.2 307.3 422.9 305.5 403.4 296.9C383.9 288.3 365.8 272.3 352.1 251.3C340.2 230.3 334.4 207.2 336.4 186.4C338.3 165.5 348.2 145.8 367.6 135.2C386.8 124.7 409.1 126.5 428.6 135.1C448.1 143.7 466.2 159.7 479 180.7V180.7zM382.9 163.3C375.1 167.6 369.4 176.3 368.2 189.4C367 202.4 370.6 218.7 380.3 234.6C389.1 250.5 403.3 261.9 416.3 267.6C429.5 273.4 440.1 273.1 449 268.7C456.9 264.4 462.6 255.7 463.8 242.6C464.1 229.6 461.4 213.3 451.7 197.4C442 181.5 428.7 170.1 415.7 164.4C402.5 158.6 391 158.9 382.9 163.3V163.3zM255.1 352C255.1 316.7 284.7 288 319.1 288C355.3 288 384 316.7 384 352V384C384 419.3 355.3 448 319.1 448C284.7 448 255.1 419.3 255.1 384V352zM319.1 320C302.3 320 287.1 334.3 287.1 352V384C287.1 401.7 302.3 416 319.1 416C337.7 416 352 401.7 352 384V352C352 334.3 337.7 320 319.1 320zM182.6 415.6C196.3 447.4 205.1 481.3 207.4 512H65.82C62.99 470.2 47.86 428.5 25.78 395.1C19.19 385.2 16 373.9 16 362.8C15.1 343.6 25.47 324.8 42.86 313.6C65.33 299 94.13 301.6 113.6 317.8C143 342.3 166.5 378.2 182.6 415.6V415.6zM52.45 377.4L52.47 377.4C77.68 415.6 95.02 463.4 97.88 511.1L175.3 512C172.1 486 165.4 456.5 153.2 428.2C138.4 393.9 117.6 362.8 93.15 342.4C84.1 334.9 70.62 333.7 60.25 340.4C52.27 345.6 47.1 354.1 48 362.8C48 367.8 49.42 372.8 52.45 377.4V377.4zM614.3 395.1C592.2 428.5 577.1 470.2 574.2 512H432.6C434.1 481.3 443.8 447.4 457.4 415.6C473.5 378.2 496.1 342.3 526.4 317.8C545.9 301.6 574.7 299 597.2 313.6C615.4 325.4 624.9 345.4 623.1 365.5C623.5 375.8 620.3 385.1 614.3 395.1L614.3 395.1zM592 364C592.4 354.9 588.2 345.8 579.8 340.4C569.4 333.7 555.9 334.9 546.9 342.4C522.5 362.8 501.6 393.9 486.8 428.2C474.7 456.5 467 486 464.7 512L542.2 511.1C545 463.4 562.4 415.6 587.6 377.4L587.6 377.4C590.4 373.2 591.8 368.6 592 364z"],
    "face-shush": [512, 512, [], "e38c", "M121.6 435.2C128.7 440.5 130.1 450.5 124.8 457.6C119.5 464.7 109.4 466.1 102.4 460.8C40.24 414.1 0 339.8 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 308.3 496.3 357 469.3 397.6C464.4 404.9 454.5 406.9 447.1 402C439.8 397.1 437.8 387.2 442.7 379.9C466.3 344.4 480 301.8 480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256C32 329.3 67.16 394.3 121.6 435.2L121.6 435.2zM200.4 144C200.4 157.3 189.6 168 176.4 168C163.1 168 152.4 157.3 152.4 144C152.4 130.7 163.1 120 176.4 120C189.6 120 200.4 130.7 200.4 144zM360.4 144C360.4 157.3 349.6 168 336.4 168C323.1 168 312.4 157.3 312.4 144C312.4 130.7 323.1 120 336.4 120C349.6 120 360.4 130.7 360.4 144zM164.7 228.7C170.9 222.4 181.1 222.4 187.3 228.7C192.6 233.1 199.5 239.5 208 244.1V240C208 213.5 229.5 192 256 192C282.5 192 304 213.5 304 240V244.1C312.5 239.5 319.4 233.1 324.7 228.7C330.9 222.4 341.1 222.4 347.3 228.7C353.6 234.9 353.6 245.1 347.3 251.3C337.1 261.6 322.6 272.2 304 279.3V314.7C323.8 326.1 338.2 345.8 342.6 368.9C356.3 366.2 371.1 369.5 382.7 379.1C403.1 396.1 405.8 426.4 388.9 446.7L363.3 477.5C345 499.3 318 512 289.5 512H232C187.8 512 152 476.2 152 432V384C152 348.2 175.5 317.9 208 307.7V279.3C189.4 272.2 174.9 261.6 164.7 251.3C158.4 245.1 158.4 234.9 164.7 228.7L164.7 228.7zM239.1 240V304H272V240C272 231.2 264.8 224 255.1 224C247.2 224 239.1 231.2 239.1 240zM217.2 377.1C219.5 372.1 225.3 368 231.1 368H264C272.8 368 280 375.2 280 384V392C280 400.8 287.2 408 296 408C304.8 408 312 400.8 312 392V384C312 357.5 290.5 336 264 336H231.1C205.5 336 183.1 357.5 183.1 384V432C183.1 458.5 205.5 480 231.1 480H289.5C308.5 480 326.5 471.6 338.7 456.1L364.3 426.2C369.9 419.5 369 409.4 362.2 403.7C355.5 398.1 345.4 398.1 339.7 405.8L314.1 436.5C308.1 442.7 301.7 446.6 293.9 447.7L217.2 377.1z"],
    "face-sleeping": [512, 512, [], "e38d", "M256 480C379.7 480 480 379.7 480 256C480 222.9 472.8 191.5 459.1 163.3C456.3 155.3 459.9 145.8 467.9 142.1C475.1 138.5 485.5 142 489.1 150.1C503.8 182.4 512 218.2 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C293.8 0 329.6 8.182 361.9 22.88C369.1 26.54 373.5 36.03 369.9 44.07C366.2 52.12 356.7 55.67 348.7 52.01C320.5 39.16 289.1 31.1 256 31.1C132.3 31.1 32 132.3 32 255.1C32 379.7 132.3 480 256 480L256 480zM312 384C312 414.9 286.9 440 256 440C225.1 440 200 414.9 200 384C200 353.1 225.1 328 256 328C286.9 328 312 353.1 312 384zM256 360C242.7 360 232 370.7 232 384C232 397.3 242.7 408 256 408C269.3 408 280 397.3 280 384C280 370.7 269.3 360 256 360zM320 128C311.2 128 304 120.8 304 112C304 103.2 311.2 96 320 96H384C390.5 96 396.3 99.9 398.8 105.9C401.3 111.9 399.9 118.7 395.3 123.3L358.6 160H384C392.8 160 400 167.2 400 176C400 184.8 392.8 192 384 192H320C313.5 192 307.7 188.1 305.2 182.1C302.7 176.1 304.1 169.3 308.7 164.7L345.4 128H320zM432 0H496C502.5 0 508.3 3.898 510.8 9.877C513.3 15.86 511.9 22.74 507.3 27.31L470.6 64H496C504.8 64 512 71.16 512 80C512 88.84 504.8 96 496 96H432C425.5 96 419.7 92.1 417.2 86.12C414.7 80.14 416.1 73.26 420.7 68.69L457.4 32H432C423.2 32 416 24.84 416 16C416 7.164 423.2 .0003 432 .0003V0zM409.6 235.2C416.7 240.5 418.1 250.5 412.8 257.6C382.4 298.1 321.6 298.1 291.2 257.6C285.9 250.5 287.3 240.5 294.4 235.2C301.5 229.9 311.5 231.3 316.8 238.4C334.4 261.9 369.6 261.9 387.2 238.4C392.5 231.3 402.5 229.9 409.6 235.2V235.2zM124.8 238.4C142.4 261.9 177.6 261.9 195.2 238.4C200.5 231.3 210.5 229.9 217.6 235.2C224.7 240.5 226.1 250.5 220.8 257.6C190.4 298.1 129.6 298.1 99.2 257.6C93.9 250.5 95.33 240.5 102.4 235.2C109.5 229.9 119.5 231.3 124.8 238.4z"],
    "face-sleepy": [512, 512, [], "e38e", "M256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C287.9 480 318.2 473.3 345.6 461.4C353.7 457.8 363.1 461.5 366.7 469.6C370.2 477.7 366.5 487.2 358.4 490.7C327 504.4 292.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 279.6 508.8 302.5 502.8 324.3C500.4 332.8 491.6 337.8 483.1 335.4C474.6 333.1 469.6 324.3 471.9 315.7C477.2 296.7 480 276.7 480 256C480 132.3 379.7 32 256 32H256zM320.3 316.1C321.7 309.4 328.3 304 336 304C363.8 304 406.8 317.3 442.7 340.6C478.5 363.7 512 399.9 512 448C512 483.3 483.3 512 448 512C412.7 512 384 483.3 384 448C384 431.8 383.9 408.6 376.8 386.5C369.8 365 356.6 345.5 330.1 334.9C322.9 332 318.8 324.5 320.3 316.1H320.3zM396.3 351.7C400.9 359.8 404.5 368.3 407.2 376.7C416 403.9 416 431.6 416 447.5V448C416 465.7 430.3 480 448 480C465.7 480 480 465.7 480 448C480 416.1 457.5 388.3 425.3 367.4C415.9 361.3 405.1 356.1 396.3 351.7V351.7zM255.1 420.3C237.2 420.3 219.3 423.7 203.1 429.7C191.9 433.9 179.5 432.1 170.7 425.3C166.2 421.8 162.4 416.7 160.8 410.1C159.2 403.5 160.3 396.7 163.5 390.7C180.9 358 215.9 335.1 256 335.1C296.1 335.1 331.2 358 348.5 390.7C351.7 396.7 352.9 403.5 351.3 410.2C349.7 416.7 345.8 421.8 341.3 425.3C332.5 432.1 320.1 433.9 308.9 429.8C292.7 423.7 274.9 420.3 255.1 420.3L255.1 420.3zM196.4 398.1C214.1 391.8 235 388.3 255.1 388.3C276.1 388.3 297.1 391.8 315.6 398.2C302.7 380 280.9 367.1 256 367.1C231.1 367.1 209.4 380 196.4 398.1V398.1zM409.6 235.2C416.7 240.5 418.1 250.5 412.8 257.6C382.4 298.1 321.6 298.1 291.2 257.6C285.9 250.5 287.3 240.5 294.4 235.2C301.5 229.9 311.5 231.3 316.8 238.4C334.4 261.9 369.6 261.9 387.2 238.4C392.5 231.3 402.5 229.9 409.6 235.2V235.2zM124.8 238.4C142.4 261.9 177.6 261.9 195.2 238.4C200.5 231.3 210.5 229.9 217.6 235.2C224.7 240.5 226.1 250.5 220.8 257.6C190.4 298.1 129.6 298.1 99.2 257.6C93.9 250.5 95.33 240.5 102.4 235.2C109.5 229.9 119.5 231.3 124.8 238.4z"],
    "face-smile": [512, 512, [128578, "smile"], "f118", "M256 368C299.4 368 329.1 346.2 347.9 325.5C353.7 318.8 363.8 318.1 370.5 323.9C377.2 329.7 377.9 339.8 372.1 346.5C349.8 372.1 311.1 400 256 400C200.9 400 162.2 372.1 139.9 346.5C134.1 339.8 134.8 329.7 141.5 323.9C148.2 318.1 158.3 318.8 164.1 325.5C182 346.2 212.6 368 256 368H256zM200.4 208C200.4 221.3 189.6 232 176.4 232C163.1 232 152.4 221.3 152.4 208C152.4 194.7 163.1 184 176.4 184C189.6 184 200.4 194.7 200.4 208zM312.4 208C312.4 194.7 323.1 184 336.4 184C349.6 184 360.4 194.7 360.4 208C360.4 221.3 349.6 232 336.4 232C323.1 232 312.4 221.3 312.4 208zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "face-smile-beam": [512, 512, [128522, "smile-beam"], "f5b8", "M256 368C299.4 368 329.1 346.2 347.9 325.5C353.7 318.8 363.8 318.1 370.5 323.9C377.2 329.7 377.9 339.8 372.1 346.5C349.8 372.1 311.1 400 256 400C200.9 400 162.2 372.1 139.9 346.5C134.1 339.8 134.8 329.7 141.5 323.9C148.2 318.1 158.3 318.8 164.1 325.5C182 346.2 212.6 368 256 368H256zM156.5 194.5C150.2 201.7 145.7 211.3 143.5 219.9C141.4 228.5 132.7 233.7 124.1 231.5C115.5 229.4 110.3 220.7 112.5 212.1C115.7 199.4 122.3 185 132.3 173.5C142.4 161.9 157.2 152 176 152C194.8 152 209.6 161.9 219.7 173.5C229.7 185 236.3 199.4 239.5 212.1C241.7 220.7 236.5 229.4 227.9 231.5C219.3 233.7 210.6 228.5 208.5 219.9C206.3 211.3 201.8 201.7 195.5 194.5C189.4 187.4 182.8 184 176 184C169.2 184 162.6 187.4 156.5 194.5V194.5zM284.1 231.5C275.5 229.4 270.3 220.7 272.5 212.1C275.7 199.4 282.3 185 292.3 173.5C302.4 161.9 317.2 152 336 152C354.8 152 369.6 161.9 379.7 173.5C389.7 185 396.3 199.4 399.5 212.1C401.7 220.7 396.5 229.4 387.9 231.5C379.3 233.7 370.6 228.5 368.5 219.9C366.3 211.3 361.8 201.7 355.5 194.5C349.4 187.4 342.8 184 336 184C329.2 184 322.6 187.4 316.5 194.5C310.2 201.7 305.7 211.3 303.5 219.9C301.4 228.5 292.7 233.7 284.1 231.5H284.1zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "face-smile-halo": [512, 512, [], "e38f", "M512 80C512 124.2 397.4 160 256 160C114.6 160 0 124.2 0 80C0 35.82 114.6 0 256 0C397.4 0 512 35.82 512 80zM427.5 53.97C385 40.7 324.4 32 256 32C187.6 32 126.1 40.7 84.53 53.97C63.1 60.67 48.09 67.98 39.13 74.6C35.94 76.95 34.09 78.77 33.03 79.1C34.09 81.23 35.94 83.05 39.13 85.4C48.09 92.02 63.1 99.33 84.53 106C126.1 119.3 187.6 127.1 256 127.1C324.4 127.1 385 119.3 427.5 106C448.9 99.33 463.9 92.02 472.9 85.4C476.1 83.05 477.9 81.23 478.1 79.1C477.9 78.77 476.1 76.95 472.9 74.6C463.9 67.98 448.9 60.67 427.5 53.97V53.97zM76.13 167.5C58.25 198.2 48 233.9 48 272C48 386.9 141.1 480 256 480C370.9 480 464 386.9 464 272C464 233.9 453.8 198.2 435.9 167.5C446.7 164.1 456.9 160.4 466.4 156.5C485.3 190.7 496 230.1 496 272C496 404.5 388.5 512 256 512C123.5 512 16 404.5 16 272C16 230.1 26.73 190.7 45.58 156.5C55.07 160.4 65.28 164.1 76.13 167.5V167.5zM156.5 250.5C150.2 257.7 145.7 267.3 143.5 275.9C141.4 284.5 132.7 289.7 124.1 287.5C115.5 285.4 110.3 276.7 112.5 268.1C115.7 255.4 122.3 241 132.3 229.5C142.4 217.9 157.2 208 176 208C194.8 208 209.6 217.9 219.7 229.5C229.7 241 236.3 255.4 239.5 268.1C241.7 276.7 236.5 285.4 227.9 287.5C219.3 289.7 210.6 284.5 208.5 275.9C206.3 267.3 201.8 257.7 195.5 250.5C189.4 243.4 182.8 240 176 240C169.2 240 162.6 243.4 156.5 250.5V250.5zM141.5 339.9C148.2 334.1 158.3 334.8 164.1 341.5C182 362.2 212.6 384 256 384C299.4 384 329.1 362.2 347.9 341.5C353.7 334.8 363.8 334.1 370.5 339.9C377.2 345.7 377.9 355.8 372.1 362.5C349.8 388.1 311.1 416 256 416C200.9 416 162.2 388.1 139.9 362.5C134.1 355.8 134.8 345.7 141.5 339.9H141.5zM284.1 287.5C275.5 285.4 270.3 276.7 272.5 268.1C275.7 255.4 282.3 241 292.3 229.5C302.4 217.9 317.2 208 336 208C354.8 208 369.6 217.9 379.7 229.5C389.7 241 396.3 255.4 399.5 268.1C401.7 276.7 396.5 285.4 387.9 287.5C379.3 289.7 370.6 284.5 368.5 275.9C366.3 267.3 361.8 257.7 355.5 250.5C349.4 243.4 342.8 240 336 240C329.2 240 322.6 243.4 316.5 250.5C310.2 257.7 305.7 267.3 303.5 275.9C301.4 284.5 292.7 289.7 284.1 287.5H284.1zM480.2 78.25C480.3 78.15 480.3 78.1 480.3 78.1L480.2 78.25zM31.78 78.25C31.75 78.15 31.72 78.1 31.72 78.1L31.78 78.25zM31.78 81.75C31.73 81.85 31.72 81.9 31.72 81.9L31.78 81.75zM480.3 81.9C480.3 81.89 480.3 81.85 480.2 81.75z"],
    "face-smile-hearts": [640, 512, [], "e390", "M416 53.56C386.9 39.74 354.4 32 320 32C196.3 32 96 132.3 96 256C96 269.9 97.26 283.4 99.67 296.6C98.45 297.2 97.25 297.8 96.05 298.4C86.62 293.3 76.45 290.1 66.07 288.7C64.7 278 64 267.1 64 256C64 114.6 178.6 .0006 320 .0006C356.5 .0006 391.3 7.652 422.7 21.44C418.4 31.7 416.2 42.62 416 53.56L416 53.56zM534.5 191.3C545.3 192.9 556.5 191.8 566.9 187.1C572.8 209.6 576 232.4 576 256C576 278.8 573 300.9 567.4 321.9C559.4 323.6 551.5 326.4 544.1 330.4C540.5 328.5 536.8 326.8 533 325.4C540.2 303.6 544 280.2 544 256C544 233.5 540.7 211.8 534.5 191.3V191.3zM441.3 468.5L449.6 476.8C411.6 499.2 367.3 512 320 512C264.5 512 213.1 494.3 171.1 464.3L194 441.3C229.9 465.7 273.3 480 320 480C359.3 480 396.3 469.9 428.5 452C431.1 457.9 436.3 463.5 441.3 468.5zM275.2 233.6C257.6 210.1 222.4 210.1 204.8 233.6C199.5 240.7 189.5 242.1 182.4 236.8C175.3 231.5 173.9 221.5 179.2 214.4C209.6 173.9 270.4 173.9 300.8 214.4C306.1 221.5 304.7 231.5 297.6 236.8C290.5 242.1 280.5 240.7 275.2 233.6zM205.5 323.9C212.2 318.1 222.3 318.8 228.1 325.5C246 346.2 276.6 368 320 368C363.4 368 393.1 346.2 411.9 325.5C417.7 318.8 427.8 318.1 434.5 323.9C441.2 329.7 441.9 339.8 436.1 346.5C413.8 372.1 375.1 400 320 400C264.9 400 226.2 372.1 203.9 346.5C198.1 339.8 198.8 329.7 205.5 323.9H205.5zM342.4 236.8C335.3 231.5 333.9 221.5 339.2 214.4C369.6 173.9 430.4 173.9 460.8 214.4C466.1 221.5 464.7 231.5 457.6 236.8C450.5 242.1 440.5 240.7 435.2 233.6C417.6 210.1 382.4 210.1 364.8 233.6C359.5 240.7 349.5 242.1 342.4 236.8zM544 18.57L546.4 16.22C567.8-5.331 602.6-5.331 623.1 16.22C645.3 37.72 645.3 72.53 623.1 94.03L568.5 149.8C555 163.4 533 163.4 519.5 149.8L464 93.97C442.7 72.47 442.7 37.66 464 16.16C485.4-5.388 520.2-5.388 541.6 16.16L544 18.57zM486.7 71.41L542.2 127.2C543.2 128.3 544.8 128.3 545.9 127.2L601.3 71.47C610.2 62.45 610.2 47.79 601.3 38.78C592.4 29.82 577.1 29.82 569.1 38.78L544 63.96L518.9 38.72C510 29.76 495.6 29.76 486.7 38.72C477.8 47.74 477.8 62.4 486.7 71.41V71.41zM96.03 338.6L98.37 336.2C119.8 314.7 154.6 314.7 175.1 336.2C197.3 357.7 197.3 392.5 175.1 414L120.5 469.8C107 483.4 85.04 483.4 71.51 469.8L16.03 413.1C-5.342 392.5-5.342 357.7 16.03 336.2C37.45 314.6 72.22 314.6 93.64 336.2L96.03 338.6zM38.72 391.4L94.21 447.2C95.22 448.3 96.83 448.3 97.85 447.2L153.3 391.5C162.2 382.5 162.2 367.8 153.3 358.8C144.4 349.8 129.1 349.8 121.1 358.8L96.03 383.1L70.94 358.7C62.03 349.8 47.63 349.8 38.72 358.7C29.76 367.7 29.76 382.4 38.72 391.4L38.72 391.4zM544 370.6L546.4 368.2C567.8 346.7 602.6 346.7 623.1 368.2C645.3 389.7 645.3 424.5 623.1 446L568.5 501.8C555 515.4 533 515.4 519.5 501.8L464 445.1C442.7 424.5 442.7 389.7 464 368.2C485.4 346.6 520.2 346.6 541.6 368.2L544 370.6zM486.7 423.4L542.2 479.2C543.2 480.3 544.8 480.3 545.9 479.2L601.3 423.5C610.2 414.5 610.2 399.8 601.3 390.8C592.4 381.8 577.1 381.8 569.1 390.8L544 415.1L518.9 390.7C510 381.8 495.6 381.8 486.7 390.7C477.8 399.7 477.8 414.4 486.7 423.4V423.4z"],
    "face-smile-horns": [640, 512, [], "e391", "M205.5 347.9C212.2 342.1 222.3 342.8 228.1 349.5C246 370.2 276.6 392 320 392C363.4 392 393.1 370.2 411.9 349.5C417.7 342.8 427.8 342.1 434.5 347.9C441.2 353.7 441.9 363.8 436.1 370.5C413.8 396.1 375.1 424 320 424C264.9 424 226.2 396.1 203.9 370.5C198.1 363.8 198.8 353.7 205.5 347.9H205.5zM216.4 272C216.4 263.9 220.4 256.7 226.5 252.4L186.9 239.2C178.6 236.4 174 227.3 176.8 218.9C179.6 210.6 188.7 206 197.1 208.8L293.1 240.8C301.4 243.6 305.1 252.7 303.2 261.1C300.4 269.4 291.3 273.1 282.9 271.2L263.2 264.6C263.1 266.9 264.4 269.4 264.4 271.1C264.4 285.3 253.6 295.1 240.4 295.1C227.1 295.1 216.4 285.3 216.4 271.1L216.4 272zM424.4 272C424.4 285.3 413.6 296 400.4 296C387.1 296 376.4 285.3 376.4 272C376.4 269.3 376.8 266.7 377.6 264.3L357.1 271.2C348.7 273.1 339.6 269.4 336.8 261.1C334 252.7 338.6 243.6 346.9 240.8L442.9 208.8C451.3 206 460.4 210.6 463.2 218.9C465.1 227.3 461.4 236.4 453.1 239.2L413.1 252.2C420.2 256.5 424.4 263.8 424.4 272L424.4 272zM64 256C64 231.4 67.47 207.6 73.94 185.1C29.61 125.8 6.506 50.11 .3109 19.14C-.9582 12.79 1.72 6.307 7.097 2.706C12.47-.8952 19.49-.9025 24.88 2.687C44.17 15.55 73.41 26.86 103.3 35.78C126.5 42.74 149.2 47.99 166.2 51.3C209.1 19.09 262.3 .0002 320 .0002C377.7 .0002 430.9 19.09 473.8 51.3C490.8 47.99 513.5 42.74 536.7 35.78C566.6 26.86 595.8 15.55 615.1 2.687C620.5-.9025 627.5-.8952 632.9 2.706C638.3 6.307 640.1 12.79 639.7 19.14C633.5 50.11 610.4 125.8 566.1 185.1C572.5 207.6 576 231.4 576 256C576 397.4 461.4 512 320 512C178.6 512 64 397.4 64 256V256zM320 480C443.7 480 544 379.7 544 256C544 132.3 443.7 31.1 320 31.1C196.3 31.1 96 132.3 96 256C96 379.7 196.3 480 320 480zM552.4 148.6C574.5 114.3 589.8 76.25 599.1 47.33C582.1 54.78 563.6 61.15 545.9 66.44C531.2 70.83 516.7 74.58 503.6 77.62C523.6 98.23 540.2 122.2 552.4 148.6H552.4zM40.93 47.33C50.16 76.25 65.51 114.3 87.56 148.6C99.78 122.2 116.4 98.23 136.4 77.62C123.3 74.58 108.8 70.83 94.08 66.44C76.39 61.15 57.9 54.77 40.93 47.33H40.93z"],
    "face-smile-plus": [640, 512, ["smile-plus"], "f5b9", "M560 80H624C632.8 80 640 87.16 640 96C640 104.8 632.8 112 624 112H560V176C560 184.8 552.8 192 544 192C535.2 192 528 184.8 528 176V112H464C455.2 112 448 104.8 448 96C448 87.16 455.2 80 464 80H528V16C528 7.164 535.2 0 544 0C552.8 0 560 7.164 560 16V80zM120.4 240C120.4 226.7 131.1 216 144.4 216C157.6 216 168.4 226.7 168.4 240C168.4 253.3 157.6 264 144.4 264C131.1 264 120.4 253.3 120.4 240V240zM328.4 240C328.4 253.3 317.6 264 304.4 264C291.1 264 280.4 253.3 280.4 240C280.4 226.7 291.1 216 304.4 216C317.6 216 328.4 226.7 328.4 240zM158.7 374.1C175.1 388.7 196.8 400 224 400C251.2 400 272.9 388.7 289.3 374.1C306 359.2 316.6 341.3 321.1 330.1C324.4 321.9 333.7 317.9 341.9 321.1C350.1 324.4 354.1 333.7 350.9 341.9C344.7 357.4 331.3 379.5 310.7 397.9C289.8 416.6 260.8 432 223.1 432C187.2 432 158.2 416.6 137.3 397.9C116.7 379.5 103.3 357.4 97.14 341.9C93.86 333.7 97.85 324.4 106.1 321.1C114.3 317.9 123.6 321.9 126.9 330.1C131.4 341.3 141.1 359.2 158.7 374.1H158.7zM448 288C448 411.7 347.7 512 224 512C100.3 512 0 411.7 0 288C0 164.3 100.3 64 224 64C347.7 64 448 164.3 448 288zM224 96C117.1 96 32 181.1 32 288C32 394 117.1 480 224 480C330 480 416 394 416 288C416 181.1 330 96 224 96z"],
    "face-smile-relaxed": [512, 512, [], "e392", "M256 368C299.4 368 329.1 346.2 347.9 325.5C353.7 318.8 363.8 318.1 370.5 323.9C377.2 329.7 377.9 339.8 372.1 346.5C349.8 372.1 311.1 400 256 400C200.9 400 162.2 372.1 139.9 346.5C134.1 339.8 134.8 329.7 141.5 323.9C148.2 318.1 158.3 318.8 164.1 325.5C182 346.2 212.6 368 256 368H256zM211.2 233.6C193.6 210.1 158.4 210.1 140.8 233.6C135.5 240.7 125.5 242.1 118.4 236.8C111.3 231.5 109.9 221.5 115.2 214.4C145.6 173.9 206.4 173.9 236.8 214.4C242.1 221.5 240.7 231.5 233.6 236.8C226.5 242.1 216.5 240.7 211.2 233.6zM278.4 236.8C271.3 231.5 269.9 221.5 275.2 214.4C305.6 173.9 366.4 173.9 396.8 214.4C402.1 221.5 400.7 231.5 393.6 236.8C386.5 242.1 376.5 240.7 371.2 233.6C353.6 210.1 318.4 210.1 300.8 233.6C295.5 240.7 285.5 242.1 278.4 236.8zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "face-smile-tear": [512, 512, [], "e393", "M141.5 323.9C148.2 318.1 158.3 318.8 164.1 325.5C182 346.2 212.6 368 256 368C264.8 368 272 375.2 272 384C272 392.8 264.8 400 256 400C200.9 400 162.2 372.1 139.9 346.5C134.1 339.8 134.8 329.7 141.5 323.9L141.5 323.9zM343.5 260.1C347.7 254.6 356.3 254.6 360.5 260.1C362.3 262.3 364.2 264.7 366.4 267.3C385.2 290.4 416 328.1 416 357.3C416 389.8 387.3 416 352 416C316.7 416 288 389.8 288 357.3C288 327.7 319.4 289.4 338.3 266.4C340.1 264.2 341.9 262.1 343.5 260.1V260.1zM320 357.3C320 369.5 331.7 384 352 384C372.3 384 384 369.5 384 357.3C384 351.4 379.6 339.6 368.2 322.4C362.1 314.7 357.4 307.3 351.1 300.4C346.5 307.3 340.9 314.7 335.8 322.4C324.4 339.5 320 351.4 320 357.3V357.3zM200.4 208C200.4 221.3 189.6 232 176.4 232C163.1 232 152.4 221.3 152.4 208C152.4 194.7 163.1 184 176.4 184C189.6 184 200.4 194.7 200.4 208zM312.4 208C312.4 194.7 323.1 184 336.4 184C349.6 184 360.4 194.7 360.4 208C360.4 221.3 349.6 232 336.4 232C323.1 232 312.4 221.3 312.4 208zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480z"],
    "face-smile-tongue": [512, 512, [], "e394", "M256 480C287.9 480 318.2 473.3 345.6 461.4C353.7 457.8 363.1 461.5 366.7 469.6C370.2 477.7 366.5 487.2 358.4 490.7C327 504.4 292.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 264.8 504.8 272 496 272C487.2 272 480 264.8 480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480H256zM156.5 194.5C150.2 201.7 145.7 211.3 143.5 219.9C141.4 228.5 132.7 233.7 124.1 231.5C115.5 229.4 110.3 220.7 112.5 212.1C115.7 199.4 122.3 185 132.3 173.5C142.4 161.9 157.2 152 176 152C194.8 152 209.6 161.9 219.7 173.5C229.7 185 236.3 199.4 239.5 212.1C241.7 220.7 236.5 229.4 227.9 231.5C219.3 233.7 210.6 228.5 208.5 219.9C206.3 211.3 201.8 201.7 195.5 194.5C189.4 187.4 182.8 184 176 184C169.2 184 162.6 187.4 156.5 194.5V194.5zM316.5 194.5C310.2 201.7 305.7 211.3 303.5 219.9C301.4 228.5 292.7 233.7 284.1 231.5C275.5 229.4 270.3 220.7 272.5 212.1C275.7 199.4 282.3 185 292.3 173.5C302.4 161.9 317.2 152 336 152C354.8 152 369.6 161.9 379.7 173.5C389.7 185 396.3 199.4 399.5 212.1C401.7 220.7 396.5 229.4 387.9 231.5C379.3 233.7 370.6 228.5 368.5 219.9C366.3 211.3 361.8 201.7 355.5 194.5C349.4 187.4 342.8 184 336 184C329.2 184 322.6 187.4 316.5 194.5H316.5zM91.87 272.5C100.4 270.3 109.2 275.3 111.5 283.9C129.5 351.5 187.9 400 256 400C324.1 400 382.5 351.5 400.5 283.9C402.8 275.3 411.6 270.3 420.1 272.5C421.9 273 423.5 273.8 424.9 274.7L470.1 303.5C506.2 326.5 517.8 373.9 496.4 410.1L494.1 413.4C473 451.4 423.6 463.2 386.8 439.2L341.5 409.6C316.1 423.9 287 432 256 432C171.9 432 101.1 372.3 80.54 292.1C78.26 283.6 83.33 274.8 91.87 272.5L91.87 272.5zM369.9 389.9L404.3 412.4C425.7 426.4 454.5 419.5 467.3 397.4L468.7 394.1C481.5 372.7 474.6 344.3 452.9 330.5L424.8 312.6C412.1 342.1 393.1 369.6 369.9 389.9V389.9z"],
    "face-smile-upside-down": [512, 512, [], "e395", "M164.1 186.5C158.3 193.2 148.2 193.9 141.5 188.1C134.8 182.3 134.1 172.2 139.9 165.5C162.1 139.9 200.9 112 255.1 112C311.1 112 349.8 139.9 372.1 165.5C377.9 172.2 377.2 182.3 370.5 188.1C363.8 193.9 353.7 193.2 347.9 186.5C329.9 165.8 299.4 144 255.1 144C212.6 144 182 165.8 164.1 186.5H164.1zM176.4 328C163.1 328 152.4 317.3 152.4 304C152.4 290.7 163.1 280 176.4 280C189.6 280 200.4 290.7 200.4 304C200.4 317.3 189.6 328 176.4 328zM336.4 280C349.6 280 360.4 290.7 360.4 304C360.4 317.3 349.6 328 336.4 328C323.1 328 312.4 317.3 312.4 304C312.4 290.7 323.1 280 336.4 280zM256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256z"],
    "face-smile-wink": [512, 512, [128521, "smile-wink"], "f4da", "M256 368C299.4 368 329.1 346.2 347.9 325.5C353.7 318.8 363.8 318.1 370.5 323.9C377.2 329.7 377.9 339.8 372.1 346.5C349.8 372.1 311.1 400 256 400C200.9 400 162.2 372.1 139.9 346.5C134.1 339.8 134.8 329.7 141.5 323.9C148.2 318.1 158.3 318.8 164.1 325.5C182 346.2 212.6 368 256 368H256zM200.4 208C200.4 221.3 189.6 232 176.4 232C163.1 232 152.4 221.3 152.4 208C152.4 194.7 163.1 184 176.4 184C189.6 184 200.4 194.7 200.4 208zM278.4 236.8C271.3 231.5 269.9 221.5 275.2 214.4C305.6 173.9 366.4 173.9 396.8 214.4C402.1 221.5 400.7 231.5 393.6 236.8C386.5 242.1 376.5 240.7 371.2 233.6C353.6 210.1 318.4 210.1 300.8 233.6C295.5 240.7 285.5 242.1 278.4 236.8zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "face-smiling-hands": [640, 512, [], "e396", "M90.24 184.6C81.1 181.4 77.89 172.1 81.07 163.9C118 68.05 211.1 0 319.1 0C428.9 0 521.1 68.05 558.9 163.9C562.1 172.1 558 181.4 549.8 184.6C541.5 187.8 532.2 183.7 529.1 175.4C496.7 91.49 415.3 32 319.1 32C224.7 32 143.3 91.49 110.9 175.4C107.7 183.7 98.49 187.8 90.24 184.6H90.24zM319.1 480C330.1 480 340.1 479.3 349.9 478C358.6 476.9 366.7 483 367.9 491.8C369 500.5 362.9 508.6 354.1 509.7C342.9 511.2 331.6 512 319.1 512C308.4 512 297.1 511.2 285.9 509.7C277.1 508.6 270.1 500.5 272.1 491.8C273.3 483 281.4 476.9 290.1 478C299.9 479.3 309.9 480 319.1 480H319.1zM287.5 396.6C281.5 461.3 227.1 512 160.8 512C127.1 512 94.72 498.6 70.86 474.7L14.06 417.9C-4.052 399.8-4.665 370.8 12.22 352C-4.665 333.2-4.052 304.2 14.06 286.1C15.1 285 16.18 284 17.29 283.1C13.59 267.4 17.84 250.3 30.06 238.1C42.28 225.8 59.44 221.6 75.1 225.3C76.03 224.2 77.02 223.1 78.06 222.1C96.8 203.3 127.2 203.3 145.9 222.1L193 269.1C202.4 255.4 218.1 246.4 236 246.4C264.7 246.4 288 269.7 288 298.4V363.8C297.8 366.5 308.4 368 319.1 368C331.6 368 342.2 366.5 352 363.8V298.4C352 269.7 375.3 246.4 404 246.4C421.9 246.4 437.6 255.4 446.1 269.1L494.1 222.1C512.8 203.3 543.2 203.3 561.9 222.1C562.1 223.1 563.1 224.2 564.9 225.3C580.6 221.6 597.7 225.8 609.9 238.1C622.2 250.3 626.4 267.4 622.7 283.1C623.8 284 624.9 285 625.9 286.1C644.1 304.2 644.7 333.2 627.8 352C644.7 370.8 644.1 399.8 625.9 417.9L569.1 474.7C545.3 498.6 512.9 512 479.2 512C412.9 512 358.5 461.3 352.5 396.6C342.4 398.8 331.6 400 319.1 400C308.4 400 297.6 398.8 287.5 396.6H287.5zM546.5 452.1L603.3 395.3C608.9 389.7 609.5 381 605.1 374.8C604.6 374.1 603.1 373.3 603.3 372.7C597.1 366.4 586.9 366.4 580.7 372.7L561.4 392C558.8 394.6 554.6 394.6 552 392C549.4 389.4 549.4 385.2 552 382.6L603.3 331.3C608.9 325.7 609.5 317 605.1 310.8C604.6 310.1 603.1 309.3 603.3 308.7C597.1 302.4 586.9 302.5 580.7 308.7L529.4 360C526.8 362.6 522.6 362.6 520 360C517.4 357.4 517.4 353.2 520 350.6L587.3 283.3C590.4 280.2 592 276.1 592 272C592 267.9 590.4 263.8 587.3 260.7C584.2 257.6 580.1 256 576 256C571.9 256 567.8 257.6 564.7 260.7L497.4 328C494.8 330.6 490.6 330.6 488 328C485.4 325.4 485.4 321.2 488 318.6L539.3 267.3C545.6 261.1 545.6 250.9 539.3 244.7C538.7 244 537.9 243.4 537.2 242.9C530.1 238.5 522.3 239.1 516.7 244.7L437.7 323.7C432.6 328.8 424 325.2 424 318.1V298.4C424 297.4 423.9 296.4 423.8 295.4C423.7 294.6 423.5 293.7 423.2 292.9C420.8 284.5 413.1 278.4 404 278.4C392.1 278.4 384 287.4 384 298.4V384.8C384 437.4 426.6 480 479.2 480C504.4 480 528.7 469.1 546.5 452.1L546.5 452.1zM152 318.6C154.6 321.2 154.6 325.4 152 328C149.4 330.6 145.2 330.6 142.6 328L75.31 260.7C72.19 257.6 68.1 256 64 256C59.91 256 55.81 257.6 52.69 260.7C49.56 263.8 48 267.9 48 272C48 276.1 49.57 280.2 52.69 283.3L120 350.6C122.6 353.2 122.6 357.4 120 360C117.4 362.6 113.2 362.6 110.6 360L59.31 308.7C53.07 302.4 42.94 302.4 36.69 308.7C36.02 309.3 35.43 310.1 34.91 310.8C30.51 317 31.11 325.7 36.7 331.3L88 382.6C90.59 385.2 90.59 389.4 88 392C85.41 394.6 81.22 394.6 78.63 392L59.31 372.7C53.07 366.4 42.94 366.4 36.69 372.7C36.02 373.3 35.43 374.1 34.91 374.8C30.51 381 31.1 389.7 36.69 395.3L93.49 452.1C111.3 469.1 135.6 480 160.8 480C213.4 480 256 437.4 256 384.8V298.4C256 287.4 247 278.4 236 278.4C226.9 278.4 219.2 284.5 216.8 292.9C216.5 293.7 216.3 294.6 216.2 295.4C216.1 296.4 216 297.4 216 298.4V318.1C216 325.2 207.4 328.8 202.3 323.7L123.3 244.7C117.7 239.1 109 238.5 102.8 242.9C102.1 243.4 101.3 244 100.7 244.7C94.44 250.9 94.44 261.1 100.7 267.3L152 318.6zM220.5 178.5C214.2 185.7 209.7 195.3 207.5 203.9C205.4 212.5 196.7 217.7 188.1 215.5C179.5 213.4 174.3 204.7 176.5 196.1C179.7 183.4 186.3 169 196.3 157.5C206.4 145.9 221.2 136 239.1 136C258.8 136 273.6 145.9 283.7 157.5C293.7 169 300.3 183.4 303.5 196.1C305.7 204.7 300.5 213.4 291.9 215.5C283.3 217.7 274.6 212.5 272.5 203.9C270.3 195.3 265.8 185.7 259.5 178.5C253.4 171.4 246.8 168 240 168C233.2 168 226.6 171.4 220.5 178.5H220.5zM348.1 215.5C339.5 213.4 334.3 204.7 336.5 196.1C339.7 183.4 346.3 169 356.3 157.5C366.4 145.9 381.2 136 400 136C418.8 136 433.6 145.9 443.7 157.5C453.7 169 460.3 183.4 463.5 196.1C465.7 204.7 460.5 213.4 451.9 215.5C443.3 217.7 434.6 212.5 432.5 203.9C430.3 195.3 425.8 185.7 419.5 178.5C413.4 171.4 406.8 168 400 168C393.2 168 386.6 171.4 380.5 178.5C374.2 185.7 369.7 195.3 367.5 203.9C365.4 212.5 356.7 217.7 348.1 215.5H348.1z"],
    "face-smirking": [512, 512, [], "e397", "M375.6 339.8C369.8 374.6 339.8 400 304.6 400H191.1C183.2 400 175.1 392.8 175.1 384C175.1 375.2 183.2 368 191.1 368H304.6C324.1 368 340.8 353.9 344 334.6L344.2 333.4C345.7 324.7 353.9 318.8 362.6 320.2C371.3 321.7 377.2 329.9 375.8 338.6L375.6 339.8zM176 192C193.7 192 208 206.3 208 224C208 241.7 193.7 256 176 256C158.3 256 144 241.7 144 224H112C103.2 224 96 216.8 96 208C96 199.2 103.2 192 112 192H176zM288 208C288 199.2 295.2 192 304 192H368C385.7 192 400 206.3 400 224C400 241.7 385.7 256 368 256C350.3 256 336 241.7 336 224H304C295.2 224 288 216.8 288 208zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "face-spiral-eyes": [512, 512, [], "e485", "M327.7 364.1C342 355.4 360.4 354.3 375.8 361.1L391.2 369.7C399.1 373.6 402.3 383.3 398.3 391.2C394.4 399.1 384.7 402.3 376.8 398.3L361.5 390.6C356.3 388 350.2 388.4 345.4 391.6L330.6 401.5C314.5 412.2 293.5 412.2 277.4 401.5L264.9 393.1C259.5 389.6 252.5 389.6 247.1 393.1L234.6 401.5C218.5 412.2 197.5 412.2 181.4 401.5L166.6 391.6C161.8 388.4 155.7 388 150.5 390.6L135.2 398.3C127.3 402.3 117.6 399.1 113.7 391.2C109.7 383.3 112.9 373.6 120.8 369.7L136.2 361.1C151.6 354.3 169.1 355.4 184.3 364.1L199.1 374.9C204.5 378.4 211.5 378.4 216.9 374.9L229.4 366.5C245.5 355.8 266.5 355.8 282.6 366.5L295.1 374.9C300.5 378.4 307.5 378.4 312.9 374.9L327.7 364.1zM173.9 111.5C174.2 118.1 169 123.7 162.4 123.1C115.5 125.9 80.15 168.9 84.34 208.3L84.38 208.6L84.39 208.1C86.38 249.2 125.2 279.6 160.6 275.7L160.9 275.6L161.2 275.6C197.5 273.5 223.4 239.9 219.6 211.1L219.6 210.7L219.6 210.4C217.4 180.6 188.3 159.4 163.6 162.9L163.3 162.9L162.9 162.1C137.2 165.1 120.9 189.2 124 207.5L124.1 207.9L124.1 208.2C126.3 227.7 145.6 239.6 159.6 236.8L159.9 236.7L160.3 236.7C175.4 234.6 182.2 220.3 180.2 212.6L180.1 212.3L179.1 211.9C179.1 207.6 176.6 204.5 173.5 202.7C172.5 202.2 171.7 201.8 170.9 201.5C172.5 203.4 173.6 205.8 173.9 208.5C174.9 219.6 165 224.3 159.8 224.9C153.2 225.6 146.4 222.7 142.1 216.4C137.2 209.6 137.7 200.9 140.3 194.6C143.2 187.6 149.2 181.4 158.1 178.7C167.3 175.4 177.5 177.3 185.6 181.1C193.9 186.9 201 195.3 203.4 206.8C209.3 229.6 191.6 256.3 163.9 260.4C136.2 265.7 104.1 244.2 100.3 211.2C94.91 178.2 122.2 142.5 160.6 139.1C198.8 133.9 240.2 164.9 243.5 208.3C248.9 251.6 212 296.6 162.9 299.5C114.1 304.8 63.3 264.4 60.44 210.5C54.93 156.7 101.5 102.4 161.4 100C168.1 99.74 173.6 104.9 173.9 111.5L173.9 111.5zM427.7 207.7L427.6 207.4L427.6 207C425.6 166.8 386.8 136.4 351.4 140.3L351.1 140.4L350.8 140.4C314.5 142.5 288.6 176.1 292.4 204.9L292.4 205.3L292.4 205.6C294.6 235.4 323.7 256.6 348.4 253.1L348.7 253.1L349.1 253C374.8 250.9 391.1 226.8 387.1 208.5L387.9 208.1L387.9 207.8C385.7 188.3 366.4 176.4 352.4 179.2L352.1 179.3L351.7 179.3C336.6 181.4 329.8 195.7 331.8 203.4L331.9 203.7L332 204.1C332.9 208.4 335.4 211.5 338.6 213.3C339.5 213.8 340.3 214.2 341.1 214.5C339.5 212.6 338.4 210.2 338.1 207.5C337.1 196.4 346.1 191.7 352.2 191.1C358.8 190.4 365.6 193.3 369.9 199.6C374.8 206.4 374.3 215.1 371.7 221.4C368.8 228.4 362.8 234.6 353.9 237.3C344.7 240.6 334.5 238.7 326.4 234C318.1 229.1 310.1 220.7 308.6 209.2C302.7 186.4 320.4 159.7 348.1 155.6C375.8 150.3 407.9 171.8 411.7 204.8C417.1 237.8 389.8 273.5 351.4 276.9C313.2 282.1 271.8 251.1 268.5 207.7C263.1 164.4 299.1 119.4 349.1 116.5C397.9 111.2 448.7 151.6 451.6 205.5C457.1 259.3 410.5 313.6 350.6 315.1C343.9 316.3 338.4 311.1 338.1 304.5C337.8 297.9 342.1 292.3 349.6 292C396.5 290.1 431.8 247.1 427.7 207.7L427.7 207.7zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "face-sunglasses": [512, 512, [], "e398", "M141.5 339.9C148.2 334.1 158.3 334.8 164.1 341.5C182 362.2 212.6 384 256 384C299.4 384 329.1 362.2 347.9 341.5C353.7 334.8 363.8 334.1 370.5 339.9C377.2 345.7 377.9 355.8 372.1 362.5C349.8 388.1 311.1 416 256 416C200.9 416 162.2 388.1 139.9 362.5C134.1 355.8 134.8 345.7 141.5 339.9H141.5zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 480C379.7 480 480 379.7 480 256C480 239.6 478.2 223.5 474.9 208.1L470.5 234.5C465.3 265.4 438.6 288 407.3 288H328.7C297.4 288 270.7 265.4 265.5 234.5L257.5 186.5C256.9 182.1 256.7 179.5 256.6 176H255.4C255.3 179.5 255.1 182.1 254.5 186.5L246.5 234.5C241.3 265.4 214.6 288 183.3 288H104.7C73.38 288 46.68 265.4 41.53 234.5L37.13 208.1C33.77 223.5 32 239.6 32 256C32 379.7 132.3 480 256 480zM265.2 144C276.2 125 296.7 112 320.7 112H415.3C419.1 112 424.4 112.5 428.8 113.4C387.7 63.68 325.5 32 256 32C186.5 32 124.3 63.68 83.25 113.4C87.56 112.5 92.05 112 96.66 112H191.3C215.3 112 235.8 125 246.8 144H265.2zM297.1 229.3C298.9 240.3 306.3 249.2 315.1 253.4L361.4 208H336C329.5 208 323.7 204.1 321.2 198.1C318.7 192.1 320.1 185.3 324.7 180.7L361.4 144H320.7C300.9 144 285.8 161.8 289.1 181.3L297.1 229.3zM407.3 256C422.1 256 436.3 244.7 438.9 229.3L446.9 181.3C450.2 161.8 435.1 144 415.3 144H406.6L374.6 176H400C406.5 176 412.3 179.9 414.8 185.9C417.3 191.9 415.9 198.7 411.3 203.3L358.6 256L407.3 256zM96.66 144C76.89 144 61.85 161.8 65.1 181.3L73.1 229.3C74.93 240.3 82.26 249.2 91.99 253.4L137.4 208H112C105.5 208 99.69 204.1 97.22 198.1C94.74 192.1 96.11 185.3 100.7 180.7L137.4 144H96.66zM187.3 203.3L134.6 256H183.3C198.1 256 212.3 244.7 214.9 229.3L222.9 181.3C226.2 161.8 211.1 144 191.3 144H182.6L150.6 176H175.1C182.5 176 188.3 179.9 190.8 185.9C193.3 191.9 191.9 198.7 187.3 203.3L187.3 203.3z"],
    "face-surprise": [512, 512, [128558, "surprise"], "f5c2", "M152.4 208C152.4 194.7 163.1 184 176.4 184C189.6 184 200.4 194.7 200.4 208C200.4 221.3 189.6 232 176.4 232C163.1 232 152.4 221.3 152.4 208zM360.4 208C360.4 221.3 349.6 232 336.4 232C323.1 232 312.4 221.3 312.4 208C312.4 194.7 323.1 184 336.4 184C349.6 184 360.4 194.7 360.4 208zM336 352C336 396.2 300.2 432 256 432C211.8 432 176 396.2 176 352C176 307.8 211.8 272 256 272C300.2 272 336 307.8 336 352zM256 400C282.5 400 304 378.5 304 352C304 325.5 282.5 304 256 304C229.5 304 208 325.5 208 352C208 378.5 229.5 400 256 400zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "face-swear": [640, 512, [], "e399", "M534.7 192C507.2 99.47 421.5 32 320 32C218.5 32 132.8 99.47 105.3 192H72.07C100.5 81.59 200.7 0 320 0C439.3 0 539.5 81.59 567.9 192H534.7zM264.4 176C264.4 189.3 253.6 200 240.4 200C227.1 200 216.4 189.3 216.4 176C216.4 167.9 220.4 160.7 226.5 156.4L186.9 143.2C178.6 140.4 174 131.3 176.8 122.9C179.6 114.6 188.7 110 197.1 112.8L293.1 144.8C301.4 147.6 305.1 156.7 303.2 165.1C300.4 173.4 291.3 177.1 282.9 175.2L263.2 168.6C263.1 170.9 264.4 173.4 264.4 176H264.4zM376.4 176C376.4 173.3 376.8 170.7 377.6 168.3L357.1 175.2C348.7 177.1 339.6 173.4 336.8 165.1C334 156.7 338.6 147.6 346.9 144.8L442.9 112.8C451.3 110 460.4 114.6 463.2 122.9C465.1 131.3 461.4 140.4 453.1 143.2L413.1 156.2C420.2 160.5 424.4 167.8 424.4 176C424.4 189.3 413.6 200 400.4 200C387.1 200 376.4 189.3 376.4 176H376.4zM384 352V384H400C408.8 384 416 391.2 416 400C416 408.8 408.8 416 400 416H384V432C384 440.8 376.8 448 368 448C359.2 448 352 440.8 352 432V416H320V432C320 440.8 312.8 448 304 448C295.2 448 288 440.8 288 432V416H272C263.2 416 256 408.8 256 400C256 391.2 263.2 384 272 384H288V352H272C263.2 352 256 344.8 256 336C256 327.2 263.2 320 272 320H288V304C288 295.2 295.2 288 304 288C312.8 288 320 295.2 320 304V320H352V304C352 295.2 359.2 288 368 288C376.8 288 384 295.2 384 304V320H400C408.8 320 416 327.2 416 336C416 344.8 408.8 352 400 352H384zM320 384H352V352H320V384zM570.4 299.9C577.1 305.6 577.9 315.7 572.1 322.4L476.1 434.4C470.4 441.1 460.3 441.9 453.6 436.1C446.9 430.4 446.1 420.3 451.9 413.6L547.9 301.6C553.6 294.9 563.7 294.1 570.4 299.9V299.9zM496 320C496 333.3 485.3 344 472 344C458.7 344 448 333.3 448 320C448 306.7 458.7 296 472 296C485.3 296 496 306.7 496 320zM528 416C528 402.7 538.7 392 552 392C565.3 392 576 402.7 576 416C576 429.3 565.3 440 552 440C538.7 440 528 429.3 528 416zM208 288C216.8 288 224 295.2 224 304V368C224 376.8 216.8 384 208 384C199.2 384 192 376.8 192 368V304C192 295.2 199.2 288 208 288zM232 424C232 437.3 221.3 448 208 448C194.7 448 184 437.3 184 424C184 410.7 194.7 400 208 400C221.3 400 232 410.7 232 424zM128 305.8C132.6 306.6 136.7 307.5 140.1 308.4C148.7 310.7 153.7 319.5 151.5 328C149.2 336.6 140.4 341.6 131.9 339.4C123.9 337.3 113.4 335.5 105.1 336.4C101 336.9 98.76 337.9 97.7 338.6C97.1 339 96.51 339.6 96.18 341.5C95.1 342.5 96.03 343.1 96.07 343.3C96.18 343.4 96.55 343.9 97.56 344.5C101.2 347 107.2 348.9 116.8 351.8L117.5 352C125.4 354.5 136.6 357.8 145.1 363.1C149.8 367.4 154.4 372.2 157.2 378.7C160.1 385.4 160.6 392.5 159.4 399.9C157.4 411.4 151.5 420.3 142.4 425.8C137.5 428.8 132.2 430.4 127.1 431.2V432C127.1 440.8 119.9 448 111.1 448C102.3 448 95.11 440.8 95.11 432V429C87.02 427.2 79.82 424.8 74.94 423.2C66.56 420.4 62.03 411.3 64.82 402.9C67.61 394.6 76.68 390 85.06 392.8C94.52 395.1 106.9 399.8 117.1 399.9C122 399.1 124.7 399.1 125.8 398.4L125.9 398.4C126.3 398.1 127.3 397.6 127.8 394.4C128 393.2 128 392.5 127.1 392.1C127.9 391.7 127.9 391.5 127.8 391.5C127.8 391.4 127.6 390.8 126.2 389.9C122.7 387.3 116.9 385.3 107.5 382.5L105.1 382C98.25 379.7 87.66 376.5 79.58 371C74.89 367.8 70.16 363.3 67.13 356.9C64.04 350.4 63.39 343.3 64.64 336C66.4 325.8 71.63 317.9 79.15 312.5C84.44 308.8 90.36 306.7 95.1 305.5V304C95.1 295.2 103.2 288 111.1 288C120.8 288 127.1 295.2 127.1 304L128 305.8zM96.07 343.3L96.1 343.4C96.1 343.4 96.09 343.4 96.1 343.4C96.1 343.4 96.09 343.3 96.07 343.3zM0 288C0 252.7 28.65 224 64 224H576C611.3 224 640 252.7 640 288V448C640 483.3 611.3 512 576 512H64C28.65 512 0 483.3 0 448V288zM32 448C32 465.7 46.33 480 64 480H576C593.7 480 608 465.7 608 448V288C608 270.3 593.7 256 576 256H64C46.33 256 32 270.3 32 288V448z"],
    "face-thermometer": [576, 512, [], "e39a", "M287.1 32C164.3 32 63.1 132.3 63.1 256C63.1 379.7 164.3 480 287.1 480C383.3 480 464.7 420.5 497.1 336.6C500.3 328.3 509.5 324.2 517.8 327.4C526 330.6 530.1 339.9 526.9 348.1C489.1 443.1 396.9 512 288 512C146.6 512 32 397.4 32 256C32 114.6 146.6 0 288 0C371.8 0 446.1 40.24 492.8 102.4C498.1 109.4 496.7 119.5 489.6 124.8C482.5 130.1 472.5 128.7 467.2 121.6C426.3 67.16 361.3 31.1 288 31.1L287.1 32zM402.5 396.1C395.8 401.9 385.7 401.2 379.9 394.5C361.1 373.8 331.4 352 287.1 352C244.6 352 214 373.8 196.1 394.5C190.3 401.2 180.2 401.9 173.5 396.1C166.8 390.3 166.1 380.2 171.9 373.5C194.1 347.9 232.9 320 287.1 320C301.5 320 313.1 321.7 325.5 324.6L476.1 179.4C496.6 160.6 527.6 160.1 546.8 180.1C566.6 199.1 566.2 232.2 545.9 251.5L407.1 382.9C408.3 387.7 406.4 392.7 402.5 396.1L402.5 396.1zM388.2 357.6L396.6 349.5L391.5 344.5C386.8 339.8 386.8 332.2 391.5 327.5C396.2 322.8 403.8 322.8 408.5 327.5L413.1 332.1L429.4 318.3L423.5 312.5C418.8 307.8 418.8 300.2 423.5 295.5C428.2 290.8 435.8 290.8 440.5 295.5L446.7 301.8L462.1 287.1L455.5 280.5C450.8 275.8 450.8 268.2 455.5 263.5C460.2 258.8 467.8 258.8 472.5 263.5L479.5 270.6L494.9 255.9L487.5 248.5C482.8 243.8 482.8 236.2 487.5 231.5C492.2 226.8 499.8 226.8 504.5 231.5L512.3 239.3L523.8 228.4C531.1 221.4 531.2 209.9 524.1 202.8C517.3 195.9 506.1 195.8 499.1 202.5L358.5 337.2C369.8 343.2 379.7 350.2 388.2 357.6V357.6zM184.4 208C184.4 194.7 195.1 184 208.4 184C221.6 184 232.4 194.7 232.4 208C232.4 221.3 221.6 232 208.4 232C195.1 232 184.4 221.3 184.4 208zM392.4 208C392.4 221.3 381.6 232 368.4 232C355.1 232 344.4 221.3 344.4 208C344.4 194.7 355.1 184 368.4 184C381.6 184 392.4 194.7 392.4 208z"],
    "face-thinking": [512, 512, [], "e39b", "M40.05 315.7C42.4 324.3 37.4 333.1 28.88 335.4C20.37 337.8 11.56 332.8 9.204 324.3C3.202 302.5 0 279.6 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 379.9 424 483.2 307.2 506.9C298.5 508.6 290.1 503 288.3 494.4C286.6 485.7 292.2 477.3 300.8 475.5C403.1 454.8 480 364.4 480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256C32 276.7 34.81 296.7 40.05 315.7H40.05zM318.3 297.2C336.5 303.3 349.4 319.3 351.6 338C354.3 359.3 342.4 380.5 321.5 388.7L274.5 407.1L250.6 466.7C239.7 494.1 213.2 512 183.8 512H136C96.24 512 64 479.8 64 440V320C64 293.5 85.49 272 112 272C138.5 272 160 293.5 160 320V348.8L257.4 310.7L186.9 287.2C178.6 284.4 174 275.3 176.8 266.9C179.6 258.6 188.7 254 197.1 256.8L318.3 297.2zM318.9 338.2C315.7 329.9 306.4 325.9 298.2 329.1L149.8 387.1C144.9 389.1 139.3 388.4 134.1 385.5C130.6 382.5 128 377.5 128 372.2V320C128 311.2 120.8 304 112 304C103.2 304 96 311.2 96 320V440C96 462.1 113.9 480 136 480H183.8C200.1 480 214.8 470 220.9 454.9L246.9 389.9C246.9 389.7 247 389.6 247.1 389.4C248.6 385 252 381.5 256.3 379.8L309.8 358.9C316.1 356.4 320 350.4 320 344C320 343.6 319.1 343.1 319.1 342.7C319.8 341.2 319.5 339.7 318.9 338.2H318.9zM200.4 192C200.4 205.3 189.6 216 176.4 216C163.1 216 152.4 205.3 152.4 192C152.4 178.7 163.1 168 176.4 168C189.6 168 200.4 178.7 200.4 192zM312.4 208C312.4 194.7 323.1 184 336.4 184C349.6 184 360.4 194.7 360.4 208C360.4 221.3 349.6 232 336.4 232C323.1 232 312.4 221.3 312.4 208zM216.4 144.8C195.9 127.2 166.5 124.4 142.1 137.9L135.9 141.9C128.3 146.3 118.5 143.6 114.1 135.9C109.7 128.3 112.4 118.5 120.1 114.1L127.1 110.1C162.3 89.95 206.4 94.14 237.2 120.5L250.4 131.9C257.1 137.6 257.9 147.7 252.1 154.4C246.4 161.1 236.3 161.9 229.6 156.1L216.4 144.8z"],
    "face-tired": [512, 512, [128555, "tired"], "f5c8", "M337.3 322.1C347.2 331.1 355.2 342.9 360.8 353.6C366.2 364 370 375.4 370 385.1C370 391.2 367.5 396.1 363.2 399.1C358.1 402.1 353.5 402.8 348.6 401L332.2 395.2C307.7 386.4 281.1 381.1 255.1 381.1C230 381.1 204.2 386.4 179.8 395.2L163.3 401C158.4 402.8 152.1 402.1 148.7 399.1C144.5 396.1 141.9 391.2 141.9 385.1C141.9 375.4 145.7 364 151.2 353.6C156.8 342.9 164.8 331.1 174.6 322.1C194.2 302.6 222.5 285.9 255.1 285.9C289.4 285.9 317.8 302.6 337.3 322.1H337.3zM327.3 360C323.9 354.9 319.6 349.7 314.7 344.8C299.2 329.3 278.6 317.9 255.1 317.9C233.4 317.9 212.8 329.3 197.3 344.8C192.3 349.7 188.1 354.9 184.6 360C207.8 353.4 231.8 349.1 255.1 349.1C280.2 349.1 304.2 353.4 327.3 360V360zM150.8 161.7L214.8 193.7C220.2 196.4 223.6 201.9 223.6 208C223.6 214.1 220.2 219.6 214.8 222.3L150.8 254.3C142.9 258.3 133.3 255.1 129.3 247.2C125.4 239.3 128.6 229.6 136.5 225.7L171.9 207.1L136.5 190.3C128.6 186.4 125.4 176.7 129.3 168.8C133.3 160.9 142.9 157.7 150.8 161.7V161.7zM340.1 208L375.5 225.7C383.4 229.6 386.6 239.3 382.7 247.2C378.7 255.1 369.1 258.3 361.2 254.3L297.2 222.3C291.8 219.6 288.4 214.1 288.4 208C288.4 201.9 291.8 196.4 297.2 193.7L361.2 161.7C369.1 157.7 378.7 160.9 382.7 168.8C386.6 176.7 383.4 186.4 375.5 190.3L340.1 208zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "face-tissue": [512, 512, [], "e39c", "M256 32C132.3 32 32 132.3 32 256C32 264.8 24.84 272 16 272C7.165 272 .0016 264.8 .0016 256C.0016 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C247.2 512 240 504.8 240 496C240 487.2 247.2 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32V32zM295.1 338.7C300.5 335.1 307.5 335.1 312.9 338.7L353.2 365.5L376.8 353.7C384.7 349.7 394.4 352.9 398.3 360.8C402.3 368.7 399.1 378.4 391.2 382.3L359.2 398.3C354 400.9 347.9 400.5 343.1 397.3L304 371.2L264.9 397.3C257.5 402.2 247.6 400.2 242.7 392.9C237.8 385.5 239.8 375.6 247.1 370.7L295.1 338.7zM136.5 190.3C128.6 186.4 125.4 176.7 129.3 168.8C133.3 160.9 142.9 157.7 150.8 161.7L214.8 193.7C220.2 196.4 223.6 201.9 223.6 207.1C223.6 214.1 220.2 219.6 214.8 222.3L150.8 254.3C142.9 258.3 133.3 255.1 129.3 247.2C125.4 239.3 128.6 229.6 136.5 225.7L171.9 207.1L136.5 190.3zM382.7 168.8C386.6 176.7 383.4 186.4 375.5 190.3L340.2 208L375.5 225.7C383.4 229.6 386.6 239.3 382.7 247.2C378.7 255.1 369.1 258.3 361.2 254.3L297.2 222.3C291.8 219.6 288.4 214.1 288.4 208C288.4 201.9 291.8 196.4 297.2 193.7L361.2 161.7C369.1 157.7 378.7 160.9 382.7 168.8V168.8zM191.8 498.6C190.7 505.3 185.5 510.6 178.8 511.8C172.2 512.9 165.5 509.8 162.1 503.9L136.1 458.5L51.88 479.5C46.43 480.9 40.66 479.3 36.69 475.3C32.71 471.3 31.12 465.6 32.48 460.1L53.54 375.9L8.063 349.9C2.187 346.5-.9405 339.8 .2509 333.2C1.442 326.5 6.696 321.3 13.37 320.2L205.4 288.2C210.5 287.4 215.7 289 219.3 292.7C222.1 296.3 224.6 301.5 223.8 306.6L191.8 498.6zM87.52 371.9L69.99 442L140.1 424.5C147.1 422.7 154.3 425.8 157.9 432.1L167.6 449.1L188.5 323.5L62.94 344.4L79.94 354.1C86.16 357.7 89.26 364.9 87.52 371.9V371.9z"],
    "face-tongue-money": [512, 512, [], "e39d", "M136.5 445.5C144 450.2 146.2 460.1 141.5 467.6C136.8 475.1 126.9 477.3 119.5 472.6C47.71 427.3 0 347.2 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 347.2 464.3 427.3 392.5 472.6C385.1 477.3 375.2 475.1 370.5 467.6C365.8 460.1 367.1 450.2 375.5 445.5C438.3 405.8 480 335.8 480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256C32 335.8 73.69 405.8 136.5 445.5zM267.2 354.8C270.6 355.4 273.7 356.1 276.3 356.8C282.7 358.4 286.5 364.8 284.8 370.1C283.1 377.2 276.5 380.9 270.1 379.2C263.9 377.6 255.1 376.3 249.9 376.9C246.9 377.3 245.3 377.1 244.5 378.5C242.6 379.8 242.6 382.5 244.4 383.7C249.5 387.2 255.7 388.8 261.8 390.4C268.1 391.1 274.4 393.6 279.8 397.2C283.3 399.6 286.9 403 289 407.8C291.3 412.6 291.7 417.9 290.7 423.2C289.2 431.6 284.8 438.1 277.1 442.1C274.5 444.1 270.8 445.2 267.2 445.9V452.4C267.2 458.8 261.8 464 255.2 464C248.6 464 243.2 458.8 243.2 452.4V444.5C236.9 443.2 231.2 441.4 227.4 440.1C221.1 438.1 217.7 431.5 219.8 425.4C221.9 419.3 228.7 416 234.1 418.1C242.1 420.3 251.4 423.1 258.1 423.2C262.7 423.3 264.7 422.6 265.6 422.1C267.7 420.9 267.1 417.6 266 416.3C263.4 414.5 259.1 413.2 251.9 411.2L251.1 410.1C245.2 409.3 236.9 407 230.7 402.8C227.1 400.4 223.5 396.1 221.4 392.2C219.1 387.4 218.7 382.1 219.7 376.8C221 369.4 224.8 363.6 230.5 359.6C234.5 356.8 238.9 355.3 243.2 354.4V347.6C243.2 341.2 248.6 336 255.2 336C261.8 336 267.2 341.2 267.2 347.6L267.2 354.8zM128 288H384C401.1 288 417.2 302.3 415 321.7C410.2 365.6 387.6 404.1 354.7 429.9L350.5 433.3C342.3 478 303.1 512 256 512C208.9 512 169.7 478 161.6 433.3L157.3 429.9C124.4 404.1 101.8 365.6 96.97 321.7C94.83 302.3 110.9 288 128 288V288zM192 320V416C192 451.3 220.7 480 256 480C291.3 480 320 451.3 320 416V320H192zM160 388.7V320H128.1C132.2 346.1 143.4 369.9 160 388.7V388.7zM383 320H352V388.7C368.6 369.9 379.8 346.1 383 320zM192 113.8C196.6 114.7 200.7 115.6 204.1 116.5C212.7 118.8 217.7 127.6 215.5 136.1C213.2 144.7 204.4 149.7 195.9 147.5C187.6 145.3 177.1 143.4 168.9 144.3C164.9 144.7 162.8 145.7 161.8 146.4C159.2 148.3 159.2 151.1 161.6 153.6C168.4 158.4 176.6 160.6 184.9 162.7C193.2 164.9 201.6 167.2 208.7 172.1C213.5 175.5 218.2 180.1 221.1 186.7C224.1 193.4 224.6 200.6 223.4 207.9C221.4 219.4 215.5 228.3 206.4 233.8C201.8 236.6 196.8 238.2 192 239.1V247.1C192 256.8 184.8 263.1 176 263.1C167.2 263.1 160 256.8 160 247.1V237.2C151.6 235.3 144 232.9 138.1 231.2C130.6 228.4 126 219.3 128.8 210.9C131.6 202.6 140.7 198 149.1 200.8C158.5 203.1 170.9 207.8 181.1 207.9C186 207.1 188.7 207.1 189.8 206.4L189.9 206.4C192.6 204.8 193 200.2 190.4 198.4C186.1 195.1 181.2 194.1 171.6 191.4L170.5 191.1C162.6 188.8 151.6 185.7 143.3 179.9C138.5 176.5 133.8 171.9 130.9 165.3C127.9 158.6 127.4 151.4 128.6 144.1C130.4 133.1 135.5 125.9 143 120.5C148.4 116.6 154.3 114.5 160 113.3V103.1C160 95.16 167.2 87.1 176 87.1C184.8 87.1 192 95.16 192 103.1L192 113.8zM336 88C344.8 88 352 95.16 352 104V113.8C356.6 114.7 360.7 115.6 364.1 116.5C372.7 118.8 377.7 127.6 375.5 136.1C373.2 144.7 364.4 149.7 355.9 147.5C347.6 145.3 337.1 143.4 328.9 144.3C324.9 144.7 322.8 145.7 321.8 146.4C319.2 148.3 319.2 151.1 321.6 153.6C328.4 158.4 336.6 160.6 344.9 162.7C353.2 164.9 361.6 167.2 368.7 172.1C373.5 175.5 378.2 180.1 381.1 186.7C384.1 193.4 384.6 200.6 383.4 207.9C381.4 219.4 375.5 228.3 366.4 233.8C361.8 236.6 356.8 238.2 352 239.1V247.1C352 256.8 344.8 263.1 336 263.1C327.2 263.1 320 256.8 320 247.1V237.2C311.6 235.3 304 232.9 298.1 231.2C290.6 228.4 286 219.3 288.8 210.9C291.6 202.6 300.7 198 309.1 200.8C318.5 203.1 330.9 207.8 341.1 207.9C346 207.1 348.7 207.1 349.8 206.4L349.9 206.4C352.6 204.8 353 200.2 350.4 198.4C346.1 195.1 341.2 194.1 331.6 191.4L330.5 191.1C322.6 188.8 311.6 185.7 303.3 179.9C298.5 176.5 293.8 171.9 290.9 165.3C287.9 158.6 287.4 151.4 288.6 144.1C290.4 133.1 295.5 125.9 303 120.5C308.4 116.6 314.3 114.5 320 113.3V103.1C320 95.16 327.2 87.1 336 87.1L336 88z"],
    "face-tongue-sweat": [576, 512, [], "e39e", "M288 32C174.4 32 80.57 116.5 65.98 226.1C64.81 234.9 56.76 241 48 239.9C39.24 238.7 33.09 230.6 34.26 221.9C50.95 96.62 158.2 0 288 0C429.4 0 544 114.6 544 256C544 339.8 503.8 414.1 441.6 460.8C398.8 492.9 345.6 512 288 512C230.4 512 177.2 492.9 134.4 460.8C127.3 455.5 125.9 445.5 131.2 438.4C136.5 431.3 146.5 429.9 153.6 435.2C169.2 446.1 186.5 456.7 204.9 464.1C196.8 450.1 192.1 433.1 192 416.7C181.8 409.5 175.1 401 175.1 392C175.1 365.5 226.1 344 287.1 344C349.9 344 400 365.5 400 392C400 401 394.2 409.5 383.1 416.7C383.9 433.1 379.2 450.1 371.1 464.1C389.5 456.7 406.8 446.1 422.4 435.2C476.8 394.3 512 329.3 512 256C512 132.3 411.7 32 288 32H288zM224 417.6C224 452.1 251.9 480 286.4 480H289.6C324.1 480 352 452.1 352 417.6V402.1C352 388.1 339.9 376 325 376H322.5C311.6 376 302.1 383.4 299.5 393.1C296.5 405.9 279.5 405.9 276.5 393.1C273.9 383.4 264.4 376 253.5 376H250.1C236.1 376 224 388.1 224 402.1V417.6zM55.47 276.1C59.73 270.6 68.27 270.6 72.53 276.1C90.09 297.8 128 348.3 128 373.3C128 405.8 99.28 432 64 432C28.72 432 0 405.8 0 373.3C0 348.3 38.07 297.8 55.47 276.1zM48.24 340.6C42.84 349.1 38.41 357 35.43 363.7C32.83 369.5 32.2 372.5 32.05 373.2C32.01 373.4 32 373.4 32 373.3C32 385.5 43.71 400 64 400C84.29 400 96 385.5 96 373.3C96 373.4 95.99 373.4 95.95 373.2C95.81 372.5 95.18 369.5 92.58 363.6C89.61 356.1 85.19 349.1 79.81 340.6C74.81 332.7 69.32 324.8 64.04 317.5C58.74 324.8 53.25 332.7 48.24 340.6H48.24zM367.6 296C354.4 296 343.6 285.3 343.6 272C343.6 258.7 354.4 248 367.6 248C380.9 248 391.6 258.7 391.6 272C391.6 285.3 380.9 296 367.6 296zM207.6 248C220.9 248 231.6 258.7 231.6 272C231.6 285.3 220.9 296 207.6 296C194.4 296 183.6 285.3 183.6 272C183.6 258.7 194.4 248 207.6 248zM203.9 178.7C180.4 202.3 150 217.9 117.1 223.4L114.6 223.8C105.9 225.2 97.67 219.3 96.22 210.6C94.76 201.9 100.7 193.7 109.4 192.2L111.9 191.8C138.2 187.4 162.5 174.9 181.3 156.1L188.7 148.7C194.9 142.4 205.1 142.4 211.3 148.7C217.6 154.9 217.6 165.1 211.3 171.3L203.9 178.7zM387.3 148.7L394.7 156.1C413.5 174.9 437.8 187.4 464.2 191.8L466.6 192.2C475.3 193.7 481.2 201.9 479.8 210.6C478.3 219.3 470.1 225.2 461.4 223.8L458.9 223.4C425.1 217.9 395.6 202.3 372.1 178.7L364.7 171.3C358.4 165.1 358.4 154.9 364.7 148.7C370.9 142.4 381.1 142.4 387.3 148.7z"],
    "face-unamused": [512, 512, [], "e39f", "M256 368C227.5 368 207.6 381.7 195.9 394.7C189.1 401.3 179.9 401.8 173.3 395.9C166.7 389.1 166.2 379.9 172.1 373.3C188.2 355.4 216.3 336 256 336C295.7 336 323.8 355.4 339.9 373.3C345.8 379.9 345.3 389.1 338.7 395.9C332.1 401.8 322 401.3 316.1 394.7C304.4 381.7 284.5 368 256 368H256zM176 192C193.7 192 208 206.3 208 224C208 241.7 193.7 256 176 256C158.3 256 144 241.7 144 224H112C103.2 224 96 216.8 96 208C96 199.2 103.2 192 112 192H176zM288 208C288 199.2 295.2 192 304 192H368C385.7 192 400 206.3 400 224C400 241.7 385.7 256 368 256C350.3 256 336 241.7 336 224H304C295.2 224 288 216.8 288 208zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "face-viewfinder": [512, 512, [], "e2ff", "M144 480h-96C39.17 480 32 472.8 32 464v-96C32 359.2 24.84 352 16 352S0 359.2 0 368v96C0 490.5 21.53 512 48 512h96C152.8 512 160 504.8 160 496S152.8 480 144 480zM16 160C24.84 160 32 152.8 32 144v-96C32 39.19 39.17 32 48 32h96C152.8 32 160 24.84 160 16S152.8 0 144 0h-96C21.53 0 0 21.53 0 48v96C0 152.8 7.156 160 16 160zM496 352c-8.844 0-16 7.156-16 16v96c0 8.812-7.172 16-16 16h-96c-8.844 0-16 7.156-16 16s7.156 16 16 16h96c26.47 0 48-21.53 48-48v-96C512 359.2 504.8 352 496 352zM464 0h-96C359.2 0 352 7.156 352 16S359.2 32 368 32h96C472.8 32 480 39.19 480 48v96C480 152.8 487.2 160 496 160S512 152.8 512 144v-96C512 21.53 490.5 0 464 0zM256 96C167.6 96 96 167.6 96 256s71.63 160 160 160s160-71.63 160-160S344.4 96 256 96zM256 384c-70.58 0-128-57.42-128-128s57.42-128 128-128c70.58 0 128 57.42 128 128S326.6 384 256 384zM296 240C309.3 240 320 229.3 320 216S309.3 192 296 192S272 202.7 272 216S282.7 240 296 240zM216 240c13.25 0 24-10.75 24-24S229.3 192 216 192S192 202.7 192 216S202.7 240 216 240zM328 277.2c-7.625-4.422-17.44-1.875-21.88 5.828C295.8 300.9 276.6 312 256 312S216.2 300.9 205.8 283C201.4 275.3 191.6 272.8 183.1 277.2C176.3 281.6 173.7 291.4 178.2 299.1C194.2 326.8 224 344 256 344s61.81-17.22 77.84-44.92C338.3 291.4 335.7 281.6 328 277.2z"],
    "face-vomit": [576, 512, [], "e3a0", "M288 32C164.3 32 64 132.3 64 256C64 313.4 85.55 365.7 121 405.3C126.9 411.9 126.4 422 119.8 427.9C113.2 433.8 103.1 433.3 97.19 426.7C56.66 381.4 32 321.6 32 256C32 114.6 146.6 0 288 0C429.4 0 544 114.6 544 256C544 321.6 519.3 381.4 478.8 426.7C472.9 433.3 462.8 433.8 456.2 427.9C449.6 422 449.1 411.9 454.1 405.3C490.4 365.7 512 313.4 512 256C512 132.3 411.7 32 288 32zM182.8 161.7L246.8 193.7C252.2 196.4 255.6 201.9 255.6 208C255.6 214.1 252.2 219.6 246.8 222.3L182.8 254.3C174.9 258.3 165.3 255.1 161.3 247.2C157.4 239.3 160.6 229.6 168.5 225.7L203.9 208L168.5 190.3C160.6 186.4 157.4 176.7 161.3 168.8C165.3 160.9 174.9 157.7 182.8 161.7V161.7zM372.2 208L407.5 225.7C415.4 229.6 418.6 239.3 414.7 247.2C410.7 255.1 401.1 258.3 393.2 254.3L329.2 222.3C323.8 219.6 320.4 214.1 320.4 208C320.4 201.9 323.8 196.4 329.2 193.7L393.2 161.7C401.1 157.7 410.7 160.9 414.7 168.8C418.6 176.7 415.4 186.4 407.5 190.3L372.2 208zM64 488C64 501.3 53.25 512 40 512C26.75 512 16 501.3 16 488C16 474.7 26.75 464 40 464C53.25 464 64 474.7 64 488zM512 456C512 442.7 522.7 432 536 432C549.3 432 560 442.7 560 456C560 469.3 549.3 480 536 480C522.7 480 512 469.3 512 456zM304 384C295.2 384 288 376.8 288 368C288 359.2 295.2 352 304 352C312.8 352 320 359.2 320 368C320 376.8 312.8 384 304 384zM256 432C256 423.2 263.2 416 272 416C280.8 416 288 423.2 288 432C288 440.8 280.8 448 272 448C263.2 448 256 440.8 256 432zM383.6 380.5L389.7 407.9C394.9 431.4 410.5 451.4 432 462.1L471.2 481.7C477.8 485 481.3 492.5 479.6 499.7C477.9 506.9 471.4 512 464 512H112C104.6 512 98.13 506.9 96.43 499.7C94.72 492.5 98.21 485 104.8 481.7L143.1 462.1C165.5 451.4 181.1 431.4 186.3 407.9L192.4 380.5C194.3 371.9 202.8 366.5 211.5 368.4C220.1 370.3 225.5 378.8 223.6 387.5L217.5 414.9C211.7 441.1 196.7 464.1 175.6 480H400.4C379.3 464.1 364.3 441.1 358.5 414.9L352.4 387.5C350.5 378.8 355.9 370.3 364.5 368.4C373.2 366.5 381.7 371.9 383.6 380.5H383.6zM155.6 383.4C147.1 380.1 142.2 372.1 144.6 363.6C150.2 343.8 168.7 324.1 192.6 311.5C217.3 297.6 249.1 288 288 288C326 288 358.7 297.6 383.4 311.5C407.3 324.1 425.8 343.8 431.4 363.6C433.8 372.1 428.9 380.1 420.4 383.4C411.9 385.8 403 380.9 400.6 372.4C398.2 364 388 350.8 367.7 339.4C347.1 328.3 320.7 320 288 320C255.3 320 228 328.3 208.3 339.4C187.1 350.8 177.8 364 175.4 372.4C172.1 380.9 164.1 385.8 155.6 383.4H155.6z"],
    "face-weary": [512, 512, [], "e3a1", "M337.3 322.1C347.2 331.1 355.2 342.9 360.8 353.6C366.2 364 370 375.4 370 385.1C370 391.2 367.5 396.1 363.2 399.1C358.1 402.1 353.5 402.8 348.6 401L332.2 395.2C307.7 386.4 281.1 381.1 255.1 381.1C230 381.1 204.2 386.4 179.8 395.2L163.3 401C158.4 402.8 152.1 402.1 148.7 399.1C144.5 396.1 141.9 391.2 141.9 385.1C141.9 375.4 145.7 364 151.2 353.6C156.8 342.9 164.8 331.1 174.6 322.1C194.2 302.6 222.5 285.9 255.1 285.9C289.4 285.9 317.8 302.6 337.3 322.1H337.3zM327.3 360C323.9 354.9 319.6 349.7 314.7 344.8C299.2 329.3 278.6 317.9 255.1 317.9C233.4 317.9 212.8 329.3 197.3 344.8C192.3 349.7 188.1 354.9 184.6 360C207.8 353.4 231.8 349.1 255.1 349.1C280.2 349.1 304.2 353.4 327.3 360V360zM211.3 164.7C217.6 170.9 217.6 181.1 211.3 187.3L203.9 194.7C180.4 218.3 150 233.9 117.1 239.4L114.6 239.8C105.9 241.2 97.67 235.3 96.22 226.6C94.76 217.9 100.7 209.7 109.4 208.2L111.9 207.8C138.2 203.4 162.5 190.9 181.3 172.1L188.7 164.7C194.9 158.4 205.1 158.4 211.3 164.7zM300.7 187.3C294.4 181.1 294.4 170.9 300.7 164.7C306.9 158.4 317.1 158.4 323.3 164.7L330.7 172.1C349.5 190.9 373.8 203.4 400.2 207.8L402.6 208.2C411.3 209.7 417.2 217.9 415.8 226.6C414.3 235.3 406.1 241.2 397.4 239.8L394.9 239.4C361.1 233.9 331.6 218.3 308.1 194.7L300.7 187.3zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "face-woozy": [512, 512, [], "e3a2", "M117.1 191.2C108.7 193.1 99.62 189.4 96.82 181.1C94.03 172.7 98.56 163.6 106.9 160.8C120.3 156.4 155.5 137.1 178.7 103.1C183.6 95.77 193.5 93.79 200.9 98.69C208.2 103.6 210.2 113.5 205.3 120.9C177.3 162.8 135.7 184.1 117.1 191.2zM147.9 255.5C139.3 257.7 130.6 252.5 128.5 243.9C126.3 235.3 131.5 226.6 140.1 224.5L204.1 208.5C212.7 206.3 221.4 211.5 223.5 220.1C225.7 228.7 220.5 237.4 211.9 239.5L147.9 255.5zM372 386.6C358.3 400.3 339.7 408 320.4 408C306.7 408 293.3 404.2 281.6 396.9L267.4 387.1C249.2 376.6 226.6 374.6 206.7 382.6C176.3 394.7 141.9 391.1 114.6 372.1L103.1 365.3C95.77 360.4 93.79 350.5 98.69 343.1C103.6 335.8 113.5 333.8 120.9 338.7L132.4 346.4C150.8 358.7 174.2 361.1 194.8 352.9C224.2 341.1 257.5 344.1 284.4 360.9L298.6 369.8C305.1 373.8 312.7 376 320.4 376C331.3 376 341.7 371.7 349.4 363.1L388.7 324.7C394.9 318.4 405.1 318.4 411.3 324.7C417.6 330.9 417.6 341.1 411.3 347.3L372 386.6zM299.1 155.6C305.7 142.3 317.8 128 336 128C354.2 128 366.3 142.3 372.9 155.6C380.1 169.8 384 188.4 384 208C384 227.6 380.1 246.2 372.9 260.4C366.3 273.7 354.2 288 336 288C317.8 288 305.7 273.7 299.1 260.4C291.9 246.2 288 227.6 288 208C288 188.4 291.9 169.8 299.1 155.6zM327.7 169.9C323.2 178.8 320 192.3 320 208C320 223.7 323.2 237.2 327.7 246.1C329.9 250.6 332.2 253.3 333.9 254.8C334.7 255.5 335.3 255.8 335.6 255.9C335.8 255.1 335.9 255.1 335.9 255.1L336 256L336 255.1L336.1 255.1C336.1 255.1 336.2 255.1 336.4 255.9C336.7 255.8 337.3 255.5 338.1 254.8C339.8 253.3 342.1 250.6 344.3 246.1C348.8 237.2 352 223.7 352 208C352 192.3 348.8 178.8 344.3 169.9C342.1 165.4 339.8 162.7 338.1 161.2C337.3 160.5 336.7 160.2 336.4 160.1C336.2 160 336.1 160 336.1 160L336 160L336 159.1L335.1 160L335.9 160C335.9 160 335.8 160 335.6 160.1C335.3 160.2 334.7 160.5 333.9 161.2C332.2 162.7 329.9 165.4 327.7 169.9V169.9zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "face-worried": [512, 512, [], "e3a3", "M255.1 420.3C237.2 420.3 219.3 423.7 203.1 429.7C191.9 433.9 179.5 432.1 170.7 425.3C166.2 421.8 162.4 416.7 160.8 410.1C159.2 403.5 160.3 396.7 163.5 390.7C180.9 358 215.9 335.1 256 335.1C296.1 335.1 331.2 358 348.5 390.7C351.7 396.7 352.9 403.5 351.3 410.2C349.7 416.7 345.8 421.8 341.3 425.3C332.5 432.1 320.1 433.9 308.9 429.8C292.7 423.7 274.9 420.3 255.1 420.3L255.1 420.3zM196.4 398.1C214.1 391.8 235 388.3 255.1 388.3C276.1 388.3 297.1 391.8 315.6 398.2C302.7 380 280.9 367.1 256 367.1C231.1 367.1 209.4 380 196.4 398.1V398.1zM200.4 272C200.4 285.3 189.6 296 176.4 296C163.1 296 152.4 285.3 152.4 272C152.4 258.7 163.1 248 176.4 248C189.6 248 200.4 258.7 200.4 272zM312.4 272C312.4 258.7 323.1 248 336.4 248C349.6 248 360.4 258.7 360.4 272C360.4 285.3 349.6 296 336.4 296C323.1 296 312.4 285.3 312.4 272zM192 160C187.6 160 183.2 160.3 178.1 160.9C157.8 163.7 138.4 173.2 122.9 187.7C116.5 193.7 106.3 193.4 100.3 186.9C94.28 180.5 94.62 170.3 101.1 164.3C121.1 145.6 146.6 132.9 174.8 129.1C180.4 128.4 186.2 128 192 128C200.8 128 208 135.2 208 144C208 152.8 200.8 160 192 160zM333 160.9C328.8 160.3 324.4 160 320 160C311.2 160 304 152.8 304 144C304 135.2 311.2 128 320 128C325.8 128 331.6 128.4 337.2 129.1C365.4 132.9 390.9 145.6 410.9 164.3C417.4 170.3 417.7 180.5 411.7 186.9C405.7 193.4 395.5 193.7 389.1 187.7C373.6 173.2 354.2 163.7 333 160.9zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "face-zany": [576, 512, [], "e3a4", "M168.5 445.5C176 450.2 178.2 460.1 173.5 467.6C168.8 475.1 158.9 477.3 151.5 472.6C79.71 427.3 32 347.2 32 256C32 114.6 146.6 0 288 0C429.4 0 544 114.6 544 256C544 347.2 496.3 427.3 424.5 472.6C417.1 477.3 407.2 475.1 402.5 467.6C397.8 460.1 399.1 450.2 407.5 445.5C470.3 405.8 512 335.8 512 256C512 132.3 411.7 32 288 32C164.3 32 64 132.3 64 256C64 335.8 105.7 405.8 168.5 445.5zM256 144C256 99.82 291.8 64 336 64C380.2 64 416 99.82 416 144C416 188.2 380.2 224 336 224C291.8 224 256 188.2 256 144zM336 192C362.5 192 384 170.5 384 144C384 117.5 362.5 96 336 96C332.1 96 328.3 96.47 324.6 97.35C335.9 100.1 344 111.5 344 124C344 139.5 331.5 152 316 152C303.5 152 292.1 143.9 289.4 132.6C288.5 136.3 288 140.1 288 144C288 170.5 309.5 192 336 192zM200 224C200 237.3 189.3 248 176 248C162.7 248 152 237.3 152 224C152 210.7 162.7 200 176 200C189.3 200 200 210.7 200 224zM104 224C104 184.2 136.2 152 176 152C215.8 152 248 184.2 248 224C248 263.8 215.8 296 176 296C136.2 296 104 263.8 104 224zM176 264C198.1 264 216 246.1 216 224C216 201.9 198.1 184 176 184C153.9 184 136 201.9 136 224C136 246.1 153.9 264 176 264zM195.5 390.7C192.2 387.9 189 384.1 185.1 381.9C175.1 371.8 179.5 355.6 191.8 348.5L416.2 218.9C428.5 211.9 444.3 216.9 448 230.6C465.6 295.7 440.9 366.2 383.6 403.7C383.9 406 384 408.3 384 410.6V416C384 469 341 512 288 512C234.1 512 192 469 192 416V410.6C192 403.6 193.2 396.9 195.5 390.7L195.5 390.7zM370.9 373.6C408.6 346.2 427.1 299.5 420.2 253.6L249.7 352C250 352 250.3 352 250.6 352H252.6C265.9 352 278.3 356.6 288 364.5C297.7 356.6 310.1 352 323.4 352H325.4C343.7 352 360.1 360.4 370.9 373.6L370.9 373.6zM323.4 384C316.7 384 310.6 386.7 306.2 391.2L305.9 391.5C304.3 393.2 302.9 395.1 301.8 397.2C300.9 399 300.2 400.9 299.8 402.9C296.1 415.5 279 415.5 276.2 402.9C275.8 400.9 275.1 399 274.2 397.2C273.1 395.1 271.7 393.2 270.1 391.5L269.8 391.2C265.4 386.7 259.3 384 252.6 384H250.6C235.9 384 224 395.9 224 410.6V416C224 451.3 252.7 480 288 480C323.3 480 352 451.3 352 416V410.6C352 395.9 340.1 384 325.4 384H323.4z"],
    "face-zipper": [512, 512, [], "e3a5", "M256 480C284.4 480 311.6 474.7 336.6 465.1C344.8 461.9 354.1 465.1 357.3 474.2C360.5 482.5 356.3 491.7 348.1 494.9C319.5 505.1 288.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 267.6 511.2 278.9 509.7 290.1C508.6 298.9 500.5 305 491.8 303.9C483 302.7 476.9 294.6 478 285.9C479.3 276.1 480 266.1 480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480V480zM224 368C224 376.8 216.8 384 208 384C199.2 384 192 376.8 192 368V336C192 327.2 199.2 319.1 208 319.1C216.8 319.1 224 327.2 224 336V368zM272 319.1C280.8 319.1 288 327.2 288 336V368C288 376.8 280.8 384 272 384C263.2 384 256 376.8 256 368V336C256 327.2 263.2 319.1 272 319.1zM160 368C160 376.8 152.8 384 144 384C135.2 384 128 376.8 128 368V336C128 327.2 135.2 319.1 144 319.1C152.8 319.1 160 327.2 160 336V368zM200.4 207.1C200.4 221.3 189.6 231.1 176.4 231.1C163.1 231.1 152.4 221.3 152.4 207.1C152.4 194.7 163.1 183.1 176.4 183.1C189.6 183.1 200.4 194.7 200.4 207.1zM312.4 207.1C312.4 194.7 323.1 183.1 336.4 183.1C349.6 183.1 360.4 194.7 360.4 207.1C360.4 221.3 349.6 231.1 336.4 231.1C323.1 231.1 312.4 221.3 312.4 207.1zM440.5 424.5C435.8 429.2 428.2 429.2 423.5 424.5C418.8 419.8 418.8 412.2 423.5 407.5L439.5 391.5C444.2 386.8 451.8 386.8 456.5 391.5C461.2 396.2 461.2 403.8 456.5 408.5L440.5 424.5zM371.1 316.7C380.7 307.1 395.2 304.6 407.4 310.3L469.2 339.5C515.1 361.2 525.6 421.8 489.7 457.7C453.8 493.6 393.2 483.1 371.5 437.2L342.3 375.4C336.6 363.2 339.1 348.7 348.7 339.1L371.1 316.7zM455.5 368.5L393.7 339.3L371.3 361.7L400.5 423.5C412.7 449.4 446.9 455.3 467.1 435.1C487.3 414.9 481.4 380.7 455.5 368.5z"],
    "falafel": [576, 512, [129478], "e40a", "M112.2 448c8.834 0 15.99-7.162 15.99-15.1s-7.158-16-15.99-16c-8.832 0-15.99 7.164-15.99 16S103.3 448 112.2 448zM128.2 368c0 8.832 7.162 15.1 15.99 15.1c8.834 0 15.99-7.164 15.99-15.1c0-8.838-7.158-16-15.99-16C135.3 352 128.2 359.2 128.2 368zM80.19 352c-8.834 0-15.1 7.164-15.1 16c0 8.832 7.16 15.1 15.99 15.1c8.832 0 15.99-7.164 15.99-15.1C96.18 359.2 89.02 352 80.19 352zM573.3 350.7C568.9 351.2 564.6 352 560 352C498.1 352 448 301.9 448 240c0-4.615 .8145-9.006 1.357-13.47C441.8 224.8 435.5 224 431.2 224H416c-6.146 .1699-11.69 .0469-15.21 .8438c-9.309 2.107-15.9 7.826-21.18 12.42c-2.342 2.031-4.748 4.141-6.309 4.891c-1.75 .8438-4.967 1.453-8.123 2.047c-6.748 1.281-15.15 2.859-22.37 8.719c-7.309 5.875-10.74 13.84-13.49 20.23c-1.281 2.953-2.592 6-3.779 7.5s-3.842 3.469-6.373 5.375c-5.561 4.125-12.43 9.25-16.49 17.72c-3.998 8.375-3.748 16.98-3.529 23.92c.0938 3.266 .1875 6.656-.25 8.594c-.4375 1.842-1.969 4.764-3.436 7.576c-3.25 6.188-7.311 13.89-7.342 23.38c-.0313 9.154 3.842 16.75 6.936 22.84c1.5 2.969 3.061 6.031 3.529 8.094c.4375 2.109 .3125 5.562 .1562 8.906c-.2813 6.873-.625 15.42 3.217 23.72c4 8.625 10.9 13.88 16.43 18.09c2.5 1.891 5.061 3.859 6.154 5.281c1.219 1.562 2.531 4.672 3.811 7.672c2.688 6.391 6.061 14.36 13.25 20.27c7.246 5.967 15.65 7.639 22.4 8.998c3.094 .6094 6.279 1.234 7.936 2.078c1.625 .8125 4.061 2.984 6.436 5.094c5.186 4.625 11.65 10.38 20.8 12.58c9.027 2.125 17.3-.0625 23.96-1.812c3.061-.8125 6.217-1.656 8.121-1.656c.0313 0 .0313 0 .0313 0c1.688 .0156 4.748 .8594 7.686 1.688C443.8 510.4 449.5 512 455.7 512c2.438 0 4.998-.2344 7.592-.8281c9.309-2.109 15.9-7.828 21.18-12.42c2.342-2.031 4.748-4.141 6.311-4.891c1.748-.8438 4.967-1.453 8.121-2.047c6.748-1.281 15.15-2.859 22.37-8.717c7.309-5.875 10.75-13.84 13.49-20.23c1.281-2.953 2.594-6 3.779-7.5c1.188-1.5 3.844-3.469 6.373-5.375c5.561-4.123 12.43-9.248 16.49-17.72c3.998-8.359 3.748-16.98 3.529-23.9c-.0938-3.281-.1875-6.672 .25-8.609c.4375-1.844 1.969-4.766 3.436-7.578C571.9 385.1 575.1 378.3 576 368.8C576 364.6 575.1 358.3 573.3 350.7zM534 392.6c-1.375 5.969-1.188 11.69-1.031 16.73c.0625 3.092 .2187 7.779-.4375 9.139c-.623 1.328-4.311 4.062-6.715 5.875c-4.029 3-8.592 6.391-12.4 11.2c-3.779 4.781-6.029 10.02-8.027 14.64c-1.219 2.828-3.062 7.094-4.217 8.016c-1.062 .8281-5.561 1.672-8.248 2.172c-4.936 .9375-10.53 2-16.09 4.688c-5.404 2.609-9.621 6.297-13.37 9.547c-2.312 2-5.779 5.031-7.248 5.359c-1.373 .4687-5.779-.9062-8.652-1.703c-4.811-1.359-11.03-2.688-16.37-2.891c-6.092 0-11.56 1.453-16.37 2.734c-2.779 .75-7.09 1.906-8.277 1.609c-1.344-.3438-4.842-3.469-6.967-5.344c-3.748-3.344-7.996-7.125-13.43-9.844c-5.467-2.734-11.03-3.844-15.93-4.828c-2.748-.5469-7.309-1.453-8.371-2.328c-1.094-.9219-2.969-5.359-4.092-8.016c-1.969-4.639-4.188-9.904-7.936-14.76c-3.717-4.781-8.184-8.188-12.12-11.19c-2.561-1.953-6.09-4.641-6.746-6.062c-.5938-1.297-.4062-6.109-.2813-8.967c.1875-5.109 .4375-10.91-.9062-17.02c-1.312-6.109-3.936-11.27-6.248-15.81c-1.404-2.701-3.467-6.795-3.467-8.232c0-1.625 2.125-5.625 3.654-8.547c2.312-4.406 4.936-9.391 6.311-15.33c1.375-5.969 1.188-11.69 1.031-16.73c-.0625-3.094-.2187-7.781 .4375-9.141c.625-1.328 4.311-4.062 6.715-5.875c4.031-3 8.592-6.391 12.4-11.2c3.779-4.779 6.029-10.01 8.027-14.64c1.219-2.828 3.062-7.094 4.219-8.016c1.061-.8281 5.559-1.672 8.246-2.172c4.936-.9375 10.53-2 16.09-4.688c5.404-2.609 9.621-6.297 13.37-9.545c2.312-2 5.779-5.031 7.248-5.359c.5547-.1172 4.561-.1543 9.764-.1562c7.162 64.05 55.93 115.3 118.9 125.7C535.3 387 534.3 391.4 534 392.6zM169.4 256.3C170.7 256.7 174.3 259.8 176.4 261.7C180.1 264.1 184.3 268.8 189.8 271.5c5.467 2.719 11.03 3.828 15.93 4.812c2.75 .5469 7.311 1.469 8.373 2.328C215.2 279.6 217 283.1 218.2 286.6C220.1 291.3 222.4 296.6 226.1 301.4c3.656 4.734 8.061 8.156 11.93 11.17C240.2 314.2 242.4 315.8 244.2 317.8C250 324.4 260.1 324.1 266.7 319.2C273.3 313.3 273.1 303.2 268.1 296.6c-2.998-3.391-6.654-6.359-10.4-9.266c-2.498-1.938-5.061-3.938-6.248-5.469C250.2 280.3 248.9 277.2 247.6 274.2C244.9 267.8 241.6 259.8 234.4 253.9C227.2 247.1 218.8 246.3 212 244.1c-3.092-.625-6.279-1.25-7.934-2.078C202.5 242.1 200 239.9 197.7 237.8C192.5 233.2 186 227.4 176.8 225.2C167.8 223 159.5 225.2 152.9 226.1C149.8 227.8 146.7 228.7 144.8 228.7c-.0313 0-.0313 0-.0313 0C143 228.6 139.1 227.8 137 226.1C130.4 225.1 121.1 222.7 112.6 224.8C103.4 226.1 96.78 232.7 91.53 237.3c-2.344 2.031-4.781 4.141-6.342 4.891C83.44 242.1 80.22 243.6 77.06 244.2C70.32 245.5 61.91 247.1 54.7 252.9C47.39 258.8 43.95 266.7 41.17 273.1c-1.279 2.953-2.592 6.016-3.779 7.516S33.58 284.1 31.02 286C25.49 290.2 18.62 295.3 14.56 303.7c-4 8.359-3.75 16.95-3.531 23.86c.0938 3.281 .1875 6.672-.2813 8.703c-.4375 1.842-1.967 4.764-3.436 7.576C4.063 350.1 .0313 357.7 0 367.1c-.0625 9.201 3.812 16.81 6.936 22.94c1.5 2.953 3.061 6 3.529 8.062c.4375 2.094 .3125 5.547 .1562 8.906c-.2813 6.857-.6562 15.4 3.219 23.76c3.998 8.594 10.9 13.83 16.4 18.03c2.5 1.906 5.092 3.875 6.186 5.297c1.219 1.562 2.531 4.672 3.812 7.672c2.686 6.391 6.059 14.36 13.21 20.25c7.248 5.967 15.65 7.654 22.43 8.998c3.061 .625 6.246 1.25 7.902 2.078c1.625 .8125 4.092 3 6.436 5.094c5.186 4.641 11.65 10.39 20.8 12.59c8.996 2.125 17.3-.0625 23.99-1.812c3.061-.8281 7.623-2.188 8.121-1.656c1.719 .0156 4.781 .8594 7.717 1.688C155.7 510.4 161.3 512 167.6 512c2.436 0 4.998-.2344 7.59-.8281c9.309-2.109 15.9-7.828 21.18-12.42c2.344-2.031 4.748-4.141 6.342-4.906c1.717-.8281 4.936-1.453 8.059-2.031c6.748-1.281 15.15-2.859 22.4-8.717c7.309-5.875 10.75-13.84 13.49-20.23c1.281-2.953 2.594-6 3.75-7.469c1.279-1.609 3.936-3.656 6.496-5.625c3.656-2.795 7.811-5.982 11.4-10.28c5.654-6.766 4.748-16.86-2-22.53c-6.746-5.672-16.84-4.75-22.55 2c-1.312 1.594-3.748 3.453-6.342 5.438c-3.904 3.016-8.34 6.422-12.09 11.14c-3.779 4.781-6.027 10.02-8.027 14.64c-1.219 2.828-3.061 7.094-4.186 8c-1.062 .8281-5.592 1.688-8.279 2.188c-4.936 .9375-10.53 2-16.09 4.688c-5.404 2.609-9.623 6.297-13.37 9.547c-2.311 2-5.779 5.031-7.246 5.359c-1.438 .4687-5.779-.9062-8.654-1.703c-4.779-1.344-10.15-2.859-16.18-2.891c-6.777-.5469-11.71 1.438-16.55 2.734c-2.781 .7344-6.779 2.031-8.279 1.609C117.1 479.4 113.6 476.2 111.5 474.3c-3.75-3.328-7.998-7.109-13.43-9.828c-5.467-2.734-11.06-3.844-15.96-4.828c-2.717-.5469-7.246-1.453-8.34-2.328c-1.094-.9219-2.967-5.359-4.092-8.016c-1.969-4.639-4.186-9.904-7.936-14.76c-3.717-4.781-8.184-8.188-12.15-11.2c-2.562-1.953-6.123-4.656-6.748-6.047c-.5938-1.297-.4062-6.078-.2813-8.936c.2187-5.125 .4687-10.92-.875-17.05c-1.311-6.109-3.936-11.27-6.279-15.81c-1.279-2.529-3.436-6.779-3.436-8.232c0-1.625 2.094-5.609 3.623-8.531c2.344-4.422 4.967-9.422 6.311-15.3c1.375-5.984 1.219-11.73 1.062-16.79C42.89 323.6 42.77 318.9 43.42 317.6c.625-1.344 4.311-4.078 6.717-5.875c4.029-3 8.559-6.406 12.37-11.2c3.748-4.779 6.029-9.998 8.029-14.61c1.217-2.828 3.092-7.109 4.248-8.047c1.062-.8281 5.561-1.672 8.246-2.172c4.936-.9375 10.53-2 16.09-4.688c5.404-2.609 9.652-6.312 13.4-9.561c2.281-2 5.748-5.031 7.186-5.344C121.2 255.6 125.5 256.1 128.4 257.8c4.779 1.328 10.15 2.844 16.15 2.875c6.092-.4375 11.75-1.453 16.59-2.734C163.9 257.2 168.2 256 169.4 256.3zM368.1 352c-8.834 0-15.1 7.164-15.1 16c0 8.832 7.16 15.1 15.99 15.1c8.832 0 15.99-7.164 15.99-15.1C384.1 359.2 376.9 352 368.1 352zM400.1 416c-8.832 0-15.1 7.164-15.1 16s7.162 15.1 15.99 15.1c8.834 0 15.99-7.162 15.99-15.1S408.9 416 400.1 416zM256.1 144c0-8.838-7.158-16-15.99-16c-8.834 0-15.1 7.164-15.1 16c0 8.834 7.16 15.1 15.99 15.1C248.1 160 256.1 152.9 256.1 144zM304.7 36.67c5.936 .3906 11.75-1.438 16.59-2.734c2.779-.7344 7.09-1.891 8.277-1.609c1.344 .3438 4.842 3.469 6.967 5.344c3.748 3.344 7.996 7.123 13.43 9.842c5.467 2.734 11.03 3.844 15.93 4.828c2.748 .5469 7.311 1.469 8.371 2.328c1.094 .9219 2.969 5.359 4.094 8.016c1.967 4.641 4.186 9.906 7.934 14.77c3.717 4.779 8.184 8.186 12.12 11.19c2.561 1.953 6.09 4.641 6.777 6.078c.5625 1.297 .375 6.094 .25 8.953c-.1875 5.109-.4375 10.91 .9062 17.01c1.312 6.109 3.936 11.27 6.248 15.81C414 139.2 416.1 143.3 416.1 144.7c0 1.625-2.123 5.625-3.654 8.545c-2.312 4.406-4.936 9.391-6.311 15.34c-1.375 5.969-1.25 11.73-1.125 16.81l.0313 4.936c-.1875 8.844 6.842 16.14 15.68 16.33h.3125c8.686 0 15.81-6.953 15.99-15.67l-.0625-6.279c-.0625-3.391-.125-6.906 .3438-8.953c.4375-1.859 1.969-4.781 3.436-7.594c3.25-6.188 7.311-13.89 7.342-23.37c.0313-9.156-3.842-16.75-6.936-22.84c-1.498-2.969-3.061-6.029-3.529-8.092c-.4375-2.109-.3125-5.562-.1562-8.922c.2813-6.859 .625-15.42-3.217-23.7c-4-8.623-10.9-13.87-16.43-18.09c-2.5-1.891-5.061-3.859-6.154-5.281c-1.219-1.562-2.529-4.672-3.811-7.672c-2.688-6.391-6.061-14.36-13.25-20.26c-7.246-5.953-15.65-7.641-22.4-8.984c-3.062-.6094-6.248-1.25-7.936-2.094C362.6 18.06 360.2 15.88 357.8 13.78c-5.186-4.625-11.65-10.37-20.8-12.58c-9.092-2.203-17.31 .0313-23.96 1.812c-3.123 .8281-7.684 1.859-8.152 1.656c-1.688-.0156-4.748-.8594-7.686-1.688C290.5 1.074 282.1-1.301 272.8 .8555C263.5 2.965 256.9 8.682 251.7 13.28C249.3 15.31 246.9 17.42 245.3 18.17C243.6 19.01 240.4 19.62 237.2 20.21C230.5 21.49 222.1 23.07 214.9 28.93C207.5 34.81 204.1 42.77 201.4 49.16c-1.281 2.953-2.592 6-3.779 7.5S193.7 60.13 191.2 62.04C185.6 66.16 178.8 71.29 174.7 79.76c-3.998 8.375-3.748 16.98-3.529 23.92C171.3 106.9 171.4 110.3 170.9 112.3C170.5 114.1 168.1 117 167.5 119.8C164.3 126 160.2 133.7 160.2 143.2C160.1 152.4 164 159.1 167.1 166.1c1.498 2.969 3.061 6.031 3.498 8.047c.4687 2.219 .375 5.609 .2187 9.188c0 .0625-.0938 3.25-.0938 3.328c-.1875 8.779 6.779 14.53 15.59 14.79C195.5 200.6 202.5 193.2 202.8 184.4c.1875-5.125 .375-10.92-.9375-17.08C200.5 161.3 197.9 156.1 195.6 151.6C194.2 148.8 192.1 144.8 192.1 143.3c0-1.625 2.123-5.625 3.654-8.547C198.1 130.4 200.7 125.4 202.1 119.4c1.375-5.967 1.188-11.69 1.031-16.73C203.1 99.62 202.9 94.93 203.6 93.57C204.2 92.24 207.9 89.51 210.3 87.69c4.031-3 8.592-6.391 12.4-11.2c3.779-4.781 6.029-10.02 8.027-14.64C231.9 59.02 233.8 54.76 234.9 53.84C236 53.01 240.5 52.16 243.2 51.66c4.936-.9375 10.53-2 16.09-4.688c5.404-2.609 9.621-6.295 13.37-9.545c2.312-2 5.779-5.031 7.248-5.359c1.375-.4687 5.779 .9062 8.652 1.719C293.3 35.12 298.7 36.63 304.7 36.67z"],
    "family": [512, 512, [], "e300", "M384 128c35.38 0 64-28.62 64-64s-28.62-64-64-64s-64 28.62-64 64S348.6 128 384 128zM384 32c17.64 0 32 14.36 32 32s-14.36 32-32 32s-32-14.36-32-32S366.4 32 384 32zM505.5 343.2l-39.08-136.8C458.6 178.9 433.5 160 404.9 160h-70.55C335.4 165.2 336 170.5 336 176S335.4 186.8 334.4 192h70.55c14.29 0 26.84 9.471 30.77 23.21L474.8 352H368v32H416v112c0 8.844 7.156 16 16 16s16-7.156 16-16V384h26.78C496 384 511.4 363.7 505.5 343.2zM64 224c0-17.64 14.36-32 32-32h81.62C176.6 186.8 176 181.5 176 176S176.6 165.2 177.6 160H96C60.65 160 32 188.7 32 224v96c0 17.67 14.33 32 32 32v144C64 504.8 71.16 512 80 512S96 504.8 96 496V352h48v-32H64V224zM128 128c35.38 0 64-28.62 64-64S163.4 0 128 0S64 28.62 64 64S92.63 128 128 128zM128 32c17.64 0 32 14.36 32 32S145.6 96 128 96S96 81.64 96 64S110.4 32 128 32zM256 240c30.95 0 56-25.05 56-56S286.1 128 256 128S200 153 200 184S225 240 256 240zM256 160c13.23 0 24 10.77 24 24c0 13.23-10.77 24-24 24S232 197.2 232 184C232 170.8 242.8 160 256 160zM288 272H224c-26.51 0-48 21.49-48 48v64c0 17.67 14.33 32 32 32v64c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32v-64c17.67 0 32-14.33 32-32v-64C336 293.5 314.5 272 288 272zM304 384h-32v96h-32v-96h-32v-64c0-8.822 7.178-16 16-16h64c8.822 0 16 7.178 16 16V384z"],
    "family-dress": [512, 512, [], "e301", "M256 240c30.95 0 56-25.05 56-56S286.1 128 256 128S200 153 200 184S225 240 256 240zM256 160c13.23 0 24 10.77 24 24c0 13.23-10.77 24-24 24S232 197.2 232 184C232 170.8 242.8 160 256 160zM288 272H224c-26.51 0-48 21.49-48 48v64c0 17.67 14.33 32 32 32v64c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32v-64c17.67 0 32-14.33 32-32v-64C336 293.5 314.5 272 288 272zM304 384h-32v96h-32v-96h-32v-64c0-8.822 7.178-16 16-16h64c8.822 0 16 7.178 16 16V384zM505.5 343.2l-39.08-136.8C458.6 178.9 433.5 160 404.9 160h-70.55C335.4 165.2 336 170.5 336 176S335.4 186.8 334.4 192h70.55c14.29 0 26.84 9.471 30.77 23.21L474.8 352H368v32H416v112c0 8.844 7.156 16 16 16s16-7.156 16-16V384h26.78C496 384 511.4 363.7 505.5 343.2zM384 128c35.38 0 64-28.62 64-64s-28.62-64-64-64s-64 28.62-64 64S348.6 128 384 128zM384 32c17.64 0 32 14.36 32 32s-14.36 32-32 32s-32-14.36-32-32S366.4 32 384 32zM76.31 215.2C80.23 201.5 92.79 192 107.1 192h70.55C176.6 186.8 176 181.5 176 176S176.6 165.2 177.6 160H107.1c-28.57 0-53.69 18.94-61.54 46.42l-39.08 136.8C.6117 363.7 15.96 384 37.22 384H64v112C64 504.8 71.16 512 80 512S96 504.8 96 496V384h48v-32H37.22L76.31 215.2zM128 128c35.38 0 64-28.62 64-64S163.4 0 128 0S64 28.62 64 64S92.63 128 128 128zM128 32c17.64 0 32 14.36 32 32S145.6 96 128 96S96 81.64 96 64S110.4 32 128 32z"],
    "family-pants": [448, 512, [], "e302", "M224 240c30.95 0 56-25.05 56-56S254.1 128 224 128S168 153 168 184S193 240 224 240zM224 160c13.23 0 24 10.77 24 24c0 13.23-10.77 24-24 24S200 197.2 200 184C200 170.8 210.8 160 224 160zM32 224c0-17.64 14.36-32 32-32h81.62C144.6 186.8 144 181.5 144 176S144.6 165.2 145.6 160H64C28.65 160 0 188.7 0 224v96c0 17.67 14.33 32 32 32v144C32 504.8 39.16 512 48 512S64 504.8 64 496V352h48v-32H32V224zM256 272H192c-26.51 0-48 21.49-48 48v64c0 17.67 14.33 32 32 32v64c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32v-64c17.67 0 32-14.33 32-32v-64C304 293.5 282.5 272 256 272zM272 384h-32v96h-32v-96h-32v-64c0-8.822 7.178-16 16-16h64c8.822 0 16 7.178 16 16V384zM96 128c35.38 0 64-28.62 64-64S131.4 0 96 0S32 28.62 32 64S60.63 128 96 128zM96 32c17.64 0 32 14.36 32 32S113.6 96 96 96S64 81.64 64 64S78.36 32 96 32zM352 128c35.38 0 64-28.62 64-64s-28.62-64-64-64s-64 28.62-64 64S316.6 128 352 128zM352 32c17.64 0 32 14.36 32 32s-14.36 32-32 32s-32-14.36-32-32S334.4 32 352 32zM384 160h-81.62C303.4 165.2 304 170.5 304 176S303.4 186.8 302.4 192H384c17.64 0 32 14.36 32 32v96h-80v32H384v144c0 8.844 7.156 16 16 16s16-7.156 16-16V352c17.67 0 32-14.33 32-32V224C448 188.7 419.3 160 384 160z"],
    "fan": [512, 512, [], "f863", "M346.5 120c-18.13 0-36.25 2-53.88 6l9.25-91.75c.8751-8.75-2-17.38-7.875-23.88C288 3.75 279.5 0 270.5 0c-1.375 0-2.625 .125-4 .25c-83.5 10.5-146.5 81.5-146.5 165.3c0 18.13 2 36.25 6 53.88L34.25 210.1H33.5L31.12 210c-8.875 0-17.38 3.875-23.25 10.5C1.872 227.4-.8781 236.5 .2469 245.5c10.5 83.5 81.5 146.5 165.3 146.5c18.13 0 36.25-2 53.88-6l-9.25 91.75c-.875 8.75 2 17.38 7.875 23.88c7 7.625 17.25 11.38 27.5 10.13c83.5-10.5 146.5-81.5 146.5-165.3c0-18.13-2-36.25-6-53.88l91.75 9.25h.75l2.375 .125c8.875 0 17.38-3.875 23.13-10.5c6.125-6.875 8.875-16 7.75-25C501.3 183 430.3 120 346.5 120zM340.3 255.9l8.625 23.88c7.375 20.25 11.13 42.75 11.13 66.75c0 67.63-51 125-118 134.5l14.13-140.8l-23.88 8.625c-20.25 7.375-42.75 11.13-66.75 11.13c-67.63 0-125-51-134.5-118l140.8 14.13L162.1 232.3C155.7 212 151.1 189.5 151.1 165.5c0-67.5 50.63-124.8 117.9-133.4L255.9 171.8l23.88-8.625c20.25-7.375 42.75-11.13 66.75-11.13c67.63 0 125 51 134.5 118L340.3 255.9zM256 231.1c-13.22 0-24 10.78-24 24s10.78 24 24 24s24-10.78 24-24S269.2 231.1 256 231.1z"],
    "fan-table": [448, 512, [], "e004", "M448 224c0-123.8-100.3-224-224-224S0 100.3 0 224c0 118.3 91.75 215 208 223.3V480h-128C71.16 480 64 487.2 64 496C64 504.8 71.33 512 80.17 512h287.7C376.7 512 384 504.8 384 496c0-8.838-7.164-16-16-16h-128v-32.75C356.3 439 448 342.3 448 224zM224 413.5c-104.5 0-189.5-85-189.5-189.5S119.5 34.5 224 34.5S413.5 119.5 413.5 224S328.5 413.5 224 413.5zM224 209.4C216 209.4 209.4 216 209.4 224S216 238.6 224 238.6S238.6 232 238.6 224S232 209.4 224 209.4zM383.3 243.4c0-34-16.88-65.63-45-84.5c-28.25-19-64-22.62-95.38-9.75L221.1 93.25c-8-21.38-34.12-32.75-56-20.12c-48.62 28.12-65.37 90.38-37.25 139c6.625 11.38 15.38 21.5 26 29.5L116.6 287.9c-7.375 8.875-10.38 20.5-8.25 31.75c2 11.25 9 21.12 18.88 26.88C142.6 355.4 160.1 360 177.9 360c28.88 0 66.63-13.38 88.38-50.88c6.5-11.38 10.75-24 12.38-37.13c12.38 2 31.62 5.25 59.13 9.875C358.9 285.4 383.3 270 383.3 243.4zM343.5 250.3c-1.5 0-76.88-12.88-79-12.88c-.125 0 .125 0 0 0c-10 0-17.5 8.625-17.12 18.5c.625 13-2.5 26-9 37.25C218.9 326.9 184.4 328 178.6 328c-12.5 .125-24.75-3.125-35.5-9.375c-3.352-1.916-4.938-6.881-1.875-10.5l49-59.5c7.75-9.5 2.75-21.62-5.875-26c-11.62-6-21.38-15.25-28-26.5c-19.25-33.38-7.75-76 25.5-95.38C184.4 99.38 189.1 99.1 192 104.5l27 72c1.875 4.75 5.75 8.5 10.62 10c5 1.5 10.25 .75 14.62-2c21.38-13.62 48.63-14.5 70.88-2.25s36.13 35.63 36.13 61.13C351.3 247 348.6 250.3 343.5 250.3z"],
    "farm": [576, 512, ["barn-silo"], "f864", "M48 480H129.6C132 491.8 137 502.7 143.1 512H48C21.49 512 0 490.5 0 464V112C0 50.14 50.14 0 112 0C166.9 0 212.5 39.47 222.1 91.56C210.6 97.51 201.2 106.8 195 118.3L192 124V112C192 67.82 156.2 32 112 32C67.82 32 32 67.82 32 112V160H172.8L155.7 192H32V464C32 472.8 39.16 480 48 480zM400 192C417.7 192 432 206.3 432 224V288C432 305.7 417.7 320 400 320H336C318.3 320 304 305.7 304 288V224C304 206.3 318.3 192 336 192H400zM336 224V288H400V224H336zM497.3 119.1C503.9 121.1 509.3 127 512.7 133.4L572.2 244.9C574.7 249.6 576 254.7 576 260V464C576 490.5 554.5 512 528 512H208C181.5 512 160 490.5 160 464V260C160 254.7 161.3 249.6 163.8 244.9L223.3 133.4C226.7 127 232.1 121.1 238.7 119.1L355.2 68.15C363.4 64.57 372.6 64.57 380.8 68.15L497.3 119.1zM251.5 148.4L192 260V464C192 472.8 199.2 480 208 480H288V416C288 389.5 309.5 368 336 368H400C426.5 368 448 389.5 448 416V480H528C536.8 480 544 472.8 544 464V260L484.5 148.4L368 97.46L251.5 148.4zM416 480V416C416 407.2 408.8 400 400 400H336C327.2 400 320 407.2 320 416V480H416z"],
    "faucet": [512, 512, [], "e005", "M512 416.1C511.1 433.6 497.6 448 480 448h-64c-17.45 0-31.72-14.09-31.1-31.48C383.7 398.9 371.2 384 353.5 384h-19.29C312.1 422.1 271.3 448 224 448s-88.07-25.9-110.2-64H16C7.164 384 0 376.8 0 368C0 359.2 7.164 352 16 352h117.9C147.2 389.2 182.3 416 224 416s76.85-26.83 90.1-64H352c35.29 0 64 28.71 64 64h64c0-70.58-57.42-128-128-128h-37.9C300.8 250.8 265.7 224 224 224S147.2 250.8 133.9 288H16C7.164 288 0 280.8 0 272C0 263.2 7.164 256 16 256h97.75C133.4 222.3 167.6 198.2 208 193.1V144h-128C71.16 144 64 136.8 64 128s7.082-15.97 15.93-15.97L208 112v-32C208 71.16 215.2 64 224 64s16 7.156 16 16v32l128 .04C376.8 112 384 119.2 384 128s-7.156 16-16 16h-128v49.09C280.4 198.2 314.6 222.3 334.2 256H352C440.4 256 512.1 327.6 512 416.1z"],
    "faucet-drip": [512, 512, [128688], "e006", "M434.8 390.9C424.4 406.1 400 443.6 400 464c0 26.47 21.53 48 48 48s48-21.53 48-48c0-20.41-24.36-57.91-34.83-73.09C455.2 382.3 440.8 382.3 434.8 390.9zM448 480c-8.812 0-16-7.188-16-16c.1406-4.875 6.797-18.81 16-34.34c9.203 15.53 15.86 29.47 16 34.34C464 472.8 456.8 480 448 480zM352 160h-17.75C314.6 126.3 280.4 102.2 240 97.09V64h128C376.8 64 384 56.84 384 48s-7.148-15.97-15.99-15.97L240 32V16C240 7.156 232.8 0 224 0S208 7.156 208 16V32L79.99 32.03C71.15 32.03 64 39.16 64 48S71.16 64 80 64h128v33.09C167.6 102.2 133.4 126.3 113.8 160H16C7.164 160 0 167.2 0 176C0 184.8 7.164 192 16 192h117.9C147.2 154.8 182.3 128 224 128s76.85 26.83 90.1 64H352c70.58 0 128 57.42 128 128h-64c0-35.29-28.71-64-64-64h-37.9C300.8 293.2 265.7 320 224 320S147.2 293.2 133.9 256H16C7.164 256 0 263.2 0 272C0 280.8 7.164 288 16 288h97.75C135.9 326.1 176.7 352 224 352s88.07-25.9 110.2-64h19.29c17.64 0 30.18 14.88 30.46 32.52C384.3 337.9 398.5 352 416 352h64c17.57 0 31.98-14.24 32-31.81C512.1 231.7 440.4 160 352 160z"],
    "fax": [512, 512, [128439, 128224], "f1ac", "M464 192H176C170.4 192 165 193.2 160 194.9V64c0-17.67 14.33-32 32-32h217.4L448 70.63V144C448 152.8 455.2 160 464 160S480 152.8 480 144V70.63C480 62.14 476.6 54 470.6 48L432 9.375C425.1 3.371 417.9 0 409.4 0H192C156.7 0 128 28.65 128 64v66.94C122.1 129.2 117.6 128 112 128h-64C21.49 128 0 149.5 0 176v288C0 490.5 21.49 512 48 512h64c12.35 0 23.49-4.795 32-12.46C152.5 507.2 163.7 512 176 512h288c26.51 0 48-21.49 48-48v-224C512 213.5 490.5 192 464 192zM128 464C128 472.8 120.8 480 112 480h-64C39.18 480 32 472.8 32 464v-288C32 167.2 39.18 160 48 160h64C120.8 160 128 167.2 128 176V464zM480 464c0 8.822-7.178 16-16 16h-288C167.2 480 160 472.8 160 464v-224C160 231.2 167.2 224 176 224h288C472.8 224 480 231.2 480 240V464zM272 280c-13.31 0-24 10.69-24 24s10.69 24 24 24s24-10.69 24-24S285.3 280 272 280zM272 376c-13.31 0-24 10.69-24 24s10.69 24 24 24s24-10.69 24-24S285.3 376 272 376zM368 280c-13.31 0-24 10.69-24 24s10.69 24 24 24s24-10.69 24-24S381.3 280 368 280zM368 376c-13.31 0-24 10.69-24 24s10.69 24 24 24s24-10.69 24-24S381.3 376 368 376z"],
    "feather": [512, 512, [129718], "f52d", "M467.1 44.85C438.3 15.97 401.7 0 361.7 0c-46.75 0-98.13 21.88-146.9 70.63L129.1 156.3c-79.37 79.38-71.86 210.8-53.48 257.4l-70.87 70.87C1.625 487.6 0 491.8 0 496C0 504.5 6.875 512 15.1 512c4.125 0 8.25-1.5 11.37-4.75l70.87-70.87c17.25 6.75 45.76 12.11 79.26 12.11c57.12 0 127.1-15.44 178.1-65.56l85.75-85.75C531.1 206.6 529.6 107.5 467.1 44.85zM151.7 179l85.75-85.75C277.6 53.25 320.5 32 361.6 32c30.1 0 59.62 12.25 82.87 35.5c42.25 42.38 45.75 100.1 13.12 156.7h-147.2l37.25-37.25c6.25-6.25 6.25-16.38 0-22.62c-6.25-6.25-16.37-6.25-22.62 0l-223.7 223.7C91.25 344.9 87.87 242.9 151.7 179zM177.5 416.4c-23.25 0-40.1-2.75-53.5-5.75l58.75-58.75l158.2 .375l-7.1 8C284.1 409.1 214.6 416.4 177.5 416.4zM372.9 320.4H214.4l63.1-64.13h156.4C429.6 262.4 372.9 320.4 372.9 320.4z"],
    "feather-pointed": [512, 512, ["feather-alt"], "f56b", "M481.2 0c-.7578 0-1.514 .0299-2.284 .0846C361.4 8.512-9.976 62.86 77.13 412.3l-72.44 72.34c-6.25 6.25-6.25 16.38 0 22.62C7.813 510.4 11.91 512 16 512s8.188-1.562 11.31-4.688l72.34-72.44c36.08 8.992 69.12 13.12 99.19 13.12c261.1 0 305.5-309.5 313.1-414.9C513.2 15.04 498.1 0 481.2 0zM198.8 416c-22.71 0-47.21-3.238-72.21-8.008l56.22-56.22C183.3 351.8 183.6 352 184 352h176.6C317 394.3 263 416 198.8 416zM387.8 320.8C386.5 320.5 385.3 320 384 320H214.6l64.23-64.23C279.3 255.8 279.6 256 280 256h146.2c-1.52 3.285-2.801 6.654-4.404 9.904C411.6 286.5 400.1 304.4 387.8 320.8zM439.6 224h-128.1l36.69-36.69c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0l-220.6 220.6C87.12 301.7 98.13 231.5 137.7 176.1c82.6-113.9 265.9-139.3 342.2-144.9C476.7 75.25 467.1 150.8 439.6 224z"],
    "fence": [512, 512, [], "e303", "M64 32C69.04 32 73.78 34.37 76.8 38.4L121.6 98.13C125.8 103.7 128 110.4 128 117.3V160H192V117.3C192 110.4 194.2 103.7 198.4 98.13L243.2 38.4C246.2 34.37 250.1 32 256 32C261 32 265.8 34.37 268.8 38.4L313.6 98.13C317.8 103.7 320 110.4 320 117.3V160H384V117.3C384 110.4 386.2 103.7 390.4 98.13L435.2 38.4C438.2 34.37 442.1 32 448 32C453 32 457.8 34.37 460.8 38.4L505.6 98.13C509.8 103.7 512 110.4 512 117.3V448C512 465.7 497.7 480 480 480H416C398.3 480 384 465.7 384 448V384H320V448C320 465.7 305.7 480 288 480H224C206.3 480 192 465.7 192 448V384H128V448C128 465.7 113.7 480 96 480H32C14.33 480 0 465.7 0 448V117.3C0 110.4 2.246 103.7 6.4 98.13L51.2 38.4C54.22 34.37 58.96 32 64 32V32zM288 117.3L256 74.67L224 117.3V448H288V117.3zM320 352H384V192H320V352zM416 448H480V117.3L448 74.67L416 117.3V448zM128 192V352H192V192H128zM96 117.3L64 74.67L32 117.3V448H96V117.3z"],
    "ferris-wheel": [512, 512, [], "e174", "M418.7 272H317.1C314.3 286.5 305.6 298.1 293.9 307.6L366.9 490.1C368.8 494.1 368.2 500.6 365.2 504.1C362.3 509.4 357.3 512 352 512H160C154.7 512 149.7 509.4 146.8 504.1C143.8 500.6 143.2 494.1 145.1 490.1L218.1 307.6C206.4 298.1 197.7 286.5 194 272H93.27C89.1 283.8 80.47 293.5 69.4 298.1C74.34 319.4 82.54 338.5 93.41 355.7C99.13 353.3 105.4 352 112 352C138.5 352 160 373.5 160 400C160 426.5 138.5 448 112 448C85.49 448 64 426.5 64 400C64 391.9 65.99 384.3 69.5 377.7C54.56 355.3 43.54 329.1 37.44 302.8C16.01 298 0 278.9 0 256C0 233.5 15.47 214.6 36.35 209.4C41.1 181.2 52.96 154.8 68.13 131.5C65.48 125.6 64 118.9 64 112C64 85.49 85.49 64 112 64C118.7 64 125 65.36 130.8 67.81C154.4 51.87 181.2 40.31 209.1 34.29C215.9 14.46 234.3 0 256 0C277.7 0 296.1 14.46 302 34.29C330.8 40.31 357.6 51.87 381.2 67.81C386.1 65.36 393.3 64 400 64C426.5 64 448 85.49 448 112C448 118.9 446.5 125.6 443.9 131.5C459 154.8 470 181.2 475.7 209.4C496.5 214.6 512 233.5 512 256C512 278.9 495.1 298 474.6 302.8C468.5 329.1 457.4 355.3 442.5 377.7C446 384.3 448 391.9 448 400C448 426.5 426.5 448 400 448C373.5 448 352 426.5 352 400C352 373.5 373.5 352 400 352C406.6 352 412.9 353.3 418.6 355.7C429.5 338.5 437.7 319.4 442.6 298.1C431.5 293.5 422.9 283.8 418.7 272L418.7 272zM256 32C247.2 32 240 39.16 240 48C240 56.84 247.2 64 256 64C264.8 64 272 56.84 272 48C272 39.16 264.8 32 256 32zM154.8 90.33C158.1 96.84 160 104.2 160 112C160 119.4 158.3 126.4 155.3 132.7L223.5 200.9C228.6 197.9 234.1 195.5 240 194V93.27C227.3 88.77 216.1 79.04 211.8 66.67C191.3 71.49 172.2 79.56 154.8 90.33H154.8zM272 194C277.9 195.5 283.4 197.9 288.5 200.9L356.7 132.7C353.7 126.4 352 119.4 352 112C352 104.2 353.9 96.84 357.2 90.33C339.8 79.56 320.7 71.49 300.2 66.67C295 79.04 284.7 88.77 272 93.27L272 194zM311.1 223.5C314.2 228.6 316.5 234.1 317.1 240H418.7C423 227.9 432.1 217.1 443.6 212.5C439.1 192 431.4 172.7 420.9 155.2C414.6 158.3 407.5 160 400 160C392.6 160 385.6 158.3 379.3 155.3L311.1 223.5zM256 320C253.2 320 250.5 319.8 247.8 319.5L183.6 480H328.4L264.2 319.5C261.5 319.8 258.8 320 256 320H256zM194 240C195.5 234.1 197.9 228.6 200.9 223.5L132.7 155.3C126.4 158.3 119.4 160 112 160C104.5 160 97.39 158.3 91.06 155.2C80.6 172.7 72.85 192 68.39 212.5C79.94 217.1 88.98 227.9 93.27 240H194zM448 256C448 264.8 455.2 272 464 272C472.8 272 480 264.8 480 256C480 247.2 472.8 240 464 240C455.2 240 448 247.2 448 256zM64 256C64 247.2 56.84 240 48 240C39.16 240 32 247.2 32 256C32 264.8 39.16 272 48 272C56.84 272 64 264.8 64 256zM112 96C103.2 96 96 103.2 96 112C96 120.8 103.2 128 112 128C120.8 128 128 120.8 128 112C128 103.2 120.8 96 112 96zM400 128C408.8 128 416 120.8 416 112C416 103.2 408.8 96 400 96C391.2 96 384 103.2 384 112C384 120.8 391.2 128 400 128zM400 384C391.2 384 384 391.2 384 400C384 408.8 391.2 416 400 416C408.8 416 416 408.8 416 400C416 391.2 408.8 384 400 384zM112 416C120.8 416 128 408.8 128 400C128 391.2 120.8 384 112 384C103.2 384 96 391.2 96 400C96 408.8 103.2 416 112 416zM256 288C273.7 288 288 273.7 288 256C288 238.3 273.7 224 256 224C238.3 224 224 238.3 224 256C224 273.7 238.3 288 256 288z"],
    "ferry": [576, 512, [], "e4ea", "M352 0C369.7 0 384 14.33 384 32H452C469.1 32 480.7 49.42 474.2 65.23L461.3 96H464C490.5 96 512 117.5 512 144V295.1C512 303.8 509.6 312.4 505.2 319.8L461.7 392.2C457.2 399.8 447.3 402.3 439.8 397.7C432.2 393.2 429.7 383.3 434.3 375.8L467.7 320H108.3L141.7 375.8C146.3 383.3 143.8 393.2 136.2 397.7C128.7 402.3 118.8 399.8 114.3 392.2L70.84 319.8C66.36 312.4 64 303.8 64 295.1V144C64 117.5 85.49 96 112 96H114.7L101.8 65.23C95.26 49.42 106.9 32 124 32H192C192 14.33 206.3 0 224 0L352 0zM416 192H159.1V288H416V192zM480 288V144C480 135.2 472.8 128 464 128H111.1C103.2 128 95.1 135.2 95.1 144V288H127.1V176C127.1 167.2 135.2 160 143.1 160H432C440.8 160 448 167.2 448 176V288H480zM426.7 96L440 64H352V32H223.1V64H135.1L149.3 96H426.7zM250.1 458.8C259.9 452.1 268.2 444.8 276.1 436.9C282.6 430.4 293.3 430.4 299.8 436.9C307.8 444.8 315.1 452.1 325.8 458.8C342.3 470 363.1 479.1 383.1 479.1C404.9 479.1 425.6 470 442.2 458.8C451.9 452.1 460.2 444.8 468.1 436.9C474.6 430.4 485.3 430.4 491.8 436.9C499.8 444.8 507.1 452.1 517.8 458.8C530.6 467.5 545.9 475.4 561.9 478.6C569.6 480.1 576 486.4 576 494.2C576 504 567.1 512.1 558.3 510.4C535.2 506.5 514.7 495.4 499.8 485.2C491.8 479.8 485.1 474.4 479.1 469.1C474.8 474.4 468.1 479.8 460.2 485.2C441.5 497.9 414.3 511.1 383.1 511.1C353.7 511.1 326.4 497.9 307.8 485.2C299.8 479.8 293.1 474.4 287.1 469.1C282.8 474.4 276.1 479.8 268.2 485.2C249.5 497.9 222.3 511.1 191.1 511.1C161.7 511.1 134.4 497.9 115.8 485.2C107.8 479.8 101.1 474.4 95.96 469.1C90.82 474.4 84.12 479.8 76.19 485.2C61.25 495.4 40.81 506.5 17.69 510.4C8.015 512.1 0 504 0 494.2C0 486.4 6.421 480.1 14.13 478.6C30.07 475.4 45.38 467.5 58.16 458.8C67.94 452.1 76.16 444.8 84.07 436.9C90.64 430.4 101.3 430.4 107.8 436.9C115.8 444.8 124.1 452.2 133.8 458.8C150.3 470 171.1 479.1 191.1 479.1C212.9 479.1 233.6 470 250.1 458.8H250.1z"],
    "field-hockey-stick-ball": [512, 512, [127953, "field-hockey"], "f44c", "M432.1 351.9c-44.14 0-80.05 35.85-80.05 80.01s35.91 80.01 80.05 80.01c44.09 0 79.95-35.85 79.95-80.01S476.1 351.9 432.1 351.9zM432 479.1c-26.5 0-48.05-21.55-48.05-48.04c0-26.49 21.55-48.04 48.05-48.04c26.44 0 47.95 21.55 47.95 48.04C479.1 458.4 458.5 479.1 432 479.1zM511.1 53.41c-2.375-12.17-9.359-22.64-19.64-29.49l-24.94-16.61c-20.28-13.51-49.83-7.694-63.47 12.42L159.1 379.3c-7.922 11.32-20.89 12.42-27.19 8.851c-10.36-5.848-10.12-16.51-9.984-18.61c.3594-4.91 .6094-5.63 10.11-19.2l2.516-3.628c19.27-27.58 12.52-65.71-15.02-85.01C105.8 252 90.55 248.4 75.37 251.1C54.71 254.8 40.04 268.1 34.63 276.7L25.44 289.9c-14.59 20.95-23.27 45.47-25.06 70.87c-3.984 55.23 23.45 106.5 71.62 133.8c20.2 11.42 43.28 17.31 66.92 17.31c70.59 0 110.1-48.33 120.6-63.37l244.5-360.3C510.1 77.93 513.5 65.58 511.1 53.41zM233.2 430.3c-8.141 11.63-39.02 49.66-94.14 49.66c-18.12 0-35.86-4.597-51.27-13.32c-37.3-21.11-58.55-60.8-55.47-103.6c1.406-19.67 8.109-38.62 19.41-54.83l9.203-13.2c2.203-3.159 10.3-10.7 20.08-12.42c1.391-.2502 2.781-.3753 4.156-.3753c5.359 0 10.62 1.845 16.02 5.63c13.11 9.195 16.31 27.33 7.141 40.47l-2.516 3.597c-10.12 14.51-14.77 21.14-15.78 35.25c-1.156 15.79 5.109 36.94 26.12 48.79c19.8 11.32 51.11 7.506 69.3-18.51l168.5-248.3l46.39 34.82L233.2 430.3zM477.6 70.18l-59.23 87.28L371.9 122.6l57.62-84.9c4.156-6.099 13.02-7.913 19.25-3.784l24.95 16.61c3.125 2.095 5.25 5.285 5.969 8.976C480.5 63.27 479.7 67.05 477.6 70.18z"],
    "file": [384, 512, [128459, 61462, 128196], "f15b", "M0 64C0 28.65 28.65 0 64 0H220.1C232.8 0 245.1 5.057 254.1 14.06L369.9 129.9C378.9 138.9 384 151.2 384 163.9V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64zM352 192H240C213.5 192 192 170.5 192 144V32H64C46.33 32 32 46.33 32 64V448C32 465.7 46.33 480 64 480H320C337.7 480 352 465.7 352 448V192zM347.3 152.6L231.4 36.69C229.4 34.62 226.8 33.18 224 32.48V144C224 152.8 231.2 160 240 160H351.5C350.8 157.2 349.4 154.6 347.3 152.6z"],
    "file-arrow-down": [384, 512, ["file-download"], "f56d", "M365.3 125.3l-106.5-106.5C246.7 6.742 230.5 0 213.5 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.35 28.65 64 64 64H320c35.35 0 64-28.65 64-64V170.5C384 153.5 377.3 137.3 365.3 125.3zM224 34.08c4.477 1.566 8.666 3.846 12.12 7.299l106.5 106.5C346.1 151.3 348.4 155.5 349.9 160H240C231.2 160 224 152.8 224 144V34.08zM352 448c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V64c0-17.64 14.36-32 32-32h128v112C192 170.5 213.5 192 240 192H352V448zM208 240C208 231.2 200.8 224 192 224S176 231.2 176 240v121.4L123.3 308.7C120.2 305.6 116.1 304 112 304S103.8 305.6 100.7 308.7c-6.25 6.25-6.25 16.38 0 22.62l80 80c6.25 6.25 16.38 6.25 22.62 0l80-80c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0L208 361.4V240z"],
    "file-arrow-up": [384, 512, ["file-upload"], "f574", "M365.3 125.3l-106.5-106.5C246.7 6.742 230.5 0 213.5 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.35 28.65 64 64 64H320c35.35 0 64-28.65 64-64V170.5C384 153.5 377.3 137.3 365.3 125.3zM224 34.08c4.477 1.566 8.666 3.846 12.12 7.299l106.5 106.5C346.1 151.3 348.4 155.5 349.9 160H240C231.2 160 224 152.8 224 144V34.08zM352 448c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V64c0-17.64 14.36-32 32-32h128v112C192 170.5 213.5 192 240 192H352V448zM180.7 228.7l-80 80c-6.25 6.25-6.25 16.38 0 22.62s16.38 6.25 22.62 0L176 278.6V400c0 8.844 7.156 16 16 16s16-7.156 16-16V278.6l52.69 52.69C263.8 334.4 267.9 336 272 336s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62l-80-80C197.1 222.4 186.9 222.4 180.7 228.7z"],
    "file-audio": [384, 512, [], "f1c7", "M365.3 125.3l-106.5-106.5C246.7 6.742 230.5 0 213.5 0L64-.0001c-35.35 0-64 28.65-64 64l.0065 384c0 35.35 28.65 64 64 64H320c35.35 0 64-28.65 64-64v-277.5C384 153.5 377.3 137.3 365.3 125.3zM224 34.08c4.477 1.566 8.666 3.846 12.12 7.299l106.5 106.5C346.1 151.3 348.4 155.5 349.9 160H240C231.2 160 224 152.8 224 144V34.08zM352 448c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V64c0-17.64 14.36-32 32-32h128v112C192 170.5 213.5 192 240 192H352V448zM182.8 249.5C177.2 246.9 170.5 247.8 165.8 251.7L122.2 288H80C71.16 288 64 295.2 64 304v64C64 376.8 71.16 384 80 384h42.22l43.53 36.3C168.7 422.7 172.3 424 176 424c2.312 0 4.625-.5 6.781-1.516C188.4 419.9 192 414.2 192 408v-144C192 257.8 188.4 252.1 182.8 249.5zM160 373.8l-21.75-18.14C135.4 353.3 131.8 352 128 352H96v-32h32c3.75 0 7.375-1.312 10.25-3.703L160 298.2V373.8zM288 336c0 31.42-15.38 60.86-41.16 78.83c-7.25 5.062-9.031 15.03-3.969 22.28c3.125 4.453 8.105 6.844 13.14 6.844c3.188 0 6.363-.9375 9.145-2.875C299.5 417.1 320 377.9 320 336s-20.51-81.1-54.86-105.1c-7.156-4.984-17.18-3.297-22.27 3.969c-5.062 7.25-3.27 17.22 3.98 22.28C272.6 275.2 288 304.6 288 336zM234.1 287.6c-6.844-5.547-16.91-4.594-22.5 2.266c-5.594 6.844-4.594 16.92 2.25 22.52C220.2 317.6 224 326.4 224 336s-3.781 18.42-10.12 23.61c-6.844 5.594-7.844 15.67-2.25 22.52C214.8 386 219.4 387.8 224 387.8c3.562 0 7.156-1.023 10.12-3.445C247.8 373.2 256 355.1 256 336S247.8 298.8 234.1 287.6z"],
    "file-binary": [384, 512, [], "e175", "M365.3 125.3l-106.5-106.5C246.7 6.742 230.5 0 213.5 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.35 28.65 64 64 64H320c35.35 0 64-28.65 64-64V170.5C384 153.5 377.3 137.3 365.3 125.3zM224 34.08c4.477 1.566 8.666 3.846 12.12 7.299l106.5 106.5C346.1 151.3 348.4 155.5 349.9 160H240C231.2 160 224 152.8 224 144V34.08zM352 448c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V64c0-17.64 14.36-32 32-32h128v112C192 170.5 213.5 192 240 192H352V448zM224 272C224 280.8 231.2 288 240 288H256v96h-16c-8.844 0-16 7.156-16 16s7.156 16 16 16h64c8.844 0 16-7.156 16-16S312.8 384 304 384H288V272C288 263.2 280.8 256 272 256h-32C231.2 256 224 263.2 224 272zM144 256h-32C85.53 256 64 277.5 64 304v64C64 394.5 85.53 416 112 416h32c26.47 0 48-21.53 48-48v-64C192 277.5 170.5 256 144 256zM160 368C160 376.8 152.8 384 144 384h-32C103.2 384 96 376.8 96 368v-64C96 295.2 103.2 288 112 288h32C152.8 288 160 295.2 160 304V368z"],
    "file-certificate": [512, 512, ["file-award"], "f5f3", "M243.1 339.2c10.35-10.58 14.41-26.13 10.6-40.52C251 285.2 250.1 290.8 254.6 277.3c3.844-14.56-.2813-30.14-10.72-40.58C234 226.8 234.1 228.4 231.4 214.9C227.7 200.4 216.5 188.1 202.1 185.1C188.7 181.4 190.5 182.6 180.7 172.4c-10.53-10.69-25.85-14.89-40.35-11.03c-13.36 3.654-11.29 3.646-24.63 0C101.2 157.5 85.87 161.8 75.33 172.4C65.46 182.6 67.26 181.4 53.86 185.1c-14.35 3.891-25.6 15.33-29.29 29.86C21.01 228.4 21.97 226.8 12.14 236.7c-10.44 10.44-14.57 26.02-10.72 40.58C5.037 290.8 4.982 285.2 1.447 298.7c-3.814 14.39 .25 29.94 10.6 40.52c10.04 10.09 8.904 8.18 12.47 22.03c3.875 14.42 15.16 25.8 29.44 29.67c5.164 1.424 7.836 2.188 10.03 3.115V496c0 5.547 2.877 10.69 7.596 13.61c4.689 2.875 10.6 3.156 15.57 .7031L128 489.9l40.85 20.42C171.1 511.4 173.6 512 176 512c2.938 0 5.844-.7969 8.406-2.391C189.1 506.7 192 501.5 192 496v-101.1c2.197-.9297 4.869-1.691 10.03-3.115c14.28-3.877 25.57-15.25 29.44-29.67C235.1 347.4 233.9 349.3 243.1 339.2zM160 470.1l-24.85-12.42c-4.502-2.25-9.814-2.25-14.31 0l-24.85 12.42v-55.32c6.422 1.434 13.16 1.549 19.69-.2305c13.69-3.682 11.03-3.656 24.63 0c6.537 1.779 13.27 1.664 19.69 .2305V470.1zM222.4 302.1c2.328 8.818 3.051 10.34-3.938 17.41c-11.5 11.61-12.94 14.19-17.88 33.46c-1.557 5.934-6.199 6.881-10.31 8.016c-15.82 4.344-18.35 5.844-30.07 17.7c-5.387 5.457-6.715 6.299-14.69 4.094c-15.88-4.35-18.98-4.371-34.94 0c-7.975 2.205-9.301 1.363-14.69-4.094c-11.72-11.86-14.25-13.36-30.07-17.7c-4.117-1.135-8.758-2.082-10.31-8.016c-4.939-19.27-6.377-21.85-17.88-33.46C30.59 312.5 31.31 310.9 33.64 302.1C37.08 289.3 37.08 286.4 33.61 273.8C31.38 265.5 30.52 263.6 37.17 256.9c11.75-11.91 13.22-14.45 17.44-30.42c2.139-8.055 2.697-9.232 11.13-11.53c15.91-4.344 18.44-5.844 30.1-17.75c5.346-5.414 6.725-6.238 14.72-4.047c16.07 4.393 18.81 4.393 34.88 0c8-2.191 9.377-1.367 14.72 4.047c11.66 11.91 14.19 13.41 30.1 17.75C198.7 217.3 199.3 218.5 201.4 226.5C205.6 242.5 207.1 245 218.8 256.9c6.654 6.697 5.787 8.58 3.562 16.81C218.9 286.4 218.9 289.3 222.4 302.1zM493.3 125.3l-106.5-106.5C374.7 6.742 358.5 0 341.5 0L191.1-.0001c-35.35 0-64 28.65-64 64L128 112C128 120.8 135.2 128 144 128C152.8 128 160 120.8 160 112V64c0-17.67 14.33-32 32-32h128v112C320 170.5 341.5 192 368 192H480v256c0 17.67-14.33 32-32 32H240C231.2 480 224 487.2 224 496C224 504.8 231.2 512 240 512l207.1-.0001c35.35 0 64-28.65 64-64v-277.5C512 153.5 505.3 137.3 493.3 125.3zM368 160C359.2 160 352 152.8 352 144V34.08c4.477 1.566 8.666 3.846 12.12 7.299l106.5 106.5C474.1 151.3 476.4 155.5 477.9 160H368z"],
    "file-chart-column": [384, 512, ["file-chart-line"], "f659", "M365.3 125.3l-106.5-106.5C246.7 6.742 230.5 0 213.5 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.35 28.65 64 64 64H320c35.35 0 64-28.65 64-64V170.5C384 153.5 377.3 137.3 365.3 125.3zM224 34.08c4.477 1.566 8.666 3.846 12.12 7.299l106.5 106.5C346.1 151.3 348.4 155.5 349.9 160H240C231.2 160 224 152.8 224 144V34.08zM352 448c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V64c0-17.64 14.36-32 32-32h128v112C192 170.5 213.5 192 240 192H352V448zM96 352c-8.844 0-16 7.156-16 16v64C80 440.8 87.16 448 96 448s16-7.156 16-16v-64C112 359.2 104.8 352 96 352zM192 224C183.2 224 176 231.2 176 240v192c0 8.844 7.156 16 16 16s16-7.156 16-16v-192C208 231.2 200.8 224 192 224zM288 448c8.844 0 16-7.156 16-16v-128C304 295.2 296.8 288 288 288s-16 7.156-16 16v128C272 440.8 279.2 448 288 448z"],
    "file-chart-pie": [384, 512, [], "f65a", "M176 224v96c0 8.844 7.156 16 16 16h96c8.844 0 16-7.156 16-16c0-61.75-50.25-112-112-112C183.2 208 176 215.2 176 224zM208 241.6C239.3 247.1 264 272.7 270.4 304H208V241.6zM184 408c-44.13 0-80-35.88-80-80c0-32.7 19.81-60.74 48-73.1V221.4C105.9 235.3 72 277.5 72 328c0 61.75 50.25 112 112 112c50.53 0 92.73-33.89 106.6-80h-33.45C244.7 388.2 216.7 408 184 408zM365.3 125.3l-106.5-106.5C246.7 6.742 230.5 0 213.5 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.35 28.65 64 64 64H320c35.35 0 64-28.65 64-64V170.5C384 153.5 377.3 137.3 365.3 125.3zM224 34.08c4.477 1.566 8.666 3.846 12.12 7.299l106.5 106.5C346.1 151.3 348.4 155.5 349.9 160H240C231.2 160 224 152.8 224 144V34.08zM352 448c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V64c0-17.64 14.36-32 32-32h128v112C192 170.5 213.5 192 240 192H352V448z"],
    "file-check": [384, 512, [], "f316", "M365.3 125.3l-106.5-106.5C246.7 6.742 230.5 0 213.5 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.35 28.65 64 64 64H320c35.35 0 64-28.65 64-64V170.5C384 153.5 377.3 137.3 365.3 125.3zM224 34.08c4.477 1.566 8.666 3.846 12.12 7.299l106.5 106.5C346.1 151.3 348.4 155.5 349.9 160H240C231.2 160 224 152.8 224 144V34.08zM352 448c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V64c0-17.64 14.36-32 32-32h128v112C192 170.5 213.5 192 240 192H352V448zM123.3 319.4c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l53.34 53.33C157.2 398.4 161.3 400 165.3 400s8.188-1.562 11.31-4.688l106.7-106.7c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0l-95.34 95.36L123.3 319.4z"],
    "file-circle-check": [576, 512, [], "e5a0", "M64 480H296.2C305.1 491.8 317.3 502.3 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H220.1C232.8 0 245.1 5.057 254.1 14.06L369.9 129.9C378.9 138.9 384 151.2 384 163.9V198.6C372.8 201.8 362.1 206 352 211.2V192H240C213.5 192 192 170.5 192 144V32H64C46.33 32 32 46.33 32 64V448C32 465.7 46.33 480 64 480V480zM347.3 152.6L231.4 36.69C229.4 34.62 226.8 33.18 224 32.48V144C224 152.8 231.2 160 240 160H351.5C350.8 157.2 349.4 154.6 347.3 152.6zM499.3 324.7C505.6 330.9 505.6 341.1 499.3 347.3L427.3 419.3C421.1 425.6 410.9 425.6 404.7 419.3L364.7 379.3C358.4 373.1 358.4 362.9 364.7 356.7C370.9 350.4 381.1 350.4 387.3 356.7L416 385.4L476.7 324.7C482.9 318.4 493.1 318.4 499.3 324.7H499.3zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 480C493.9 480 544 429.9 544 368C544 306.1 493.9 256 432 256C370.1 256 320 306.1 320 368C320 429.9 370.1 480 432 480z"],
    "file-circle-exclamation": [576, 512, [], "e4eb", "M64 480H296.2C305.1 491.8 317.3 502.3 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H220.1C232.8 0 245.1 5.057 254.1 14.06L369.9 129.9C378.9 138.9 384 151.2 384 163.9V198.6C372.8 201.8 362.1 206 352 211.2V192H240C213.5 192 192 170.5 192 144V32H64C46.33 32 32 46.33 32 64V448C32 465.7 46.33 480 64 480V480zM347.3 152.6L231.4 36.69C229.4 34.62 226.8 33.18 224 32.48V144C224 152.8 231.2 160 240 160H351.5C350.8 157.2 349.4 154.6 347.3 152.6zM408 424C408 410.7 418.7 400 432 400C445.3 400 456 410.7 456 424C456 437.3 445.3 448 432 448C418.7 448 408 437.3 408 424zM431.1 288C440.8 288 447.1 295.2 447.1 304V368C447.1 376.8 440.8 384 431.1 384C423.2 384 415.1 376.8 415.1 368V304C415.1 295.2 423.2 288 431.1 288zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 256C370.1 256 320 306.1 320 368C320 429.9 370.1 480 432 480C493.9 480 544 429.9 544 368C544 306.1 493.9 256 432 256z"],
    "file-circle-info": [576, 512, [58604], "e493", "M64 480H296.2C305.1 491.8 317.3 502.3 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H220.1C232.8 0 245.1 5.057 254.1 14.06L369.9 129.9C378.9 138.9 384 151.2 384 163.9V198.6C372.8 201.8 362.1 206 352 211.2V192H240C213.5 192 192 170.5 192 144V32H64C46.33 32 32 46.33 32 64V448C32 465.7 46.33 480 64 480V480zM347.3 152.6L231.4 36.69C229.4 34.62 226.8 33.18 224 32.48V144C224 152.8 231.2 160 240 160H351.5C350.8 157.2 349.4 154.6 347.3 152.6zM432 288C445.3 288 456 298.7 456 312C456 325.3 445.3 336 432 336C418.7 336 408 325.3 408 312C408 298.7 418.7 288 432 288zM415.1 416V384C407.2 383.1 400 376.8 400 368C400 359.2 407.2 352 416 352H431.1C440.8 352 447.1 359.2 447.1 368L448 416C456.8 416 464 423.2 464 432C464 440.8 456.8 448 448 448H416C407.2 448 400 440.8 400 432C400 423.2 407.2 416 415.1 416zM432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512zM544 368C544 306.1 493.9 256 432 256C370.1 256 320 306.1 320 368C320 429.9 370.1 480 432 480C493.9 480 544 429.9 544 368z"],
    "file-circle-minus": [576, 512, [], "e4ed", "M64 480H296.2C305.1 491.8 317.3 502.3 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H220.1C232.8 0 245.1 5.057 254.1 14.06L369.9 129.9C378.9 138.9 384 151.2 384 163.9V198.6C372.8 201.8 362.1 206 352 211.2V192H240C213.5 192 192 170.5 192 144V32H64C46.33 32 32 46.33 32 64V448C32 465.7 46.33 480 64 480V480zM347.3 152.6L231.4 36.69C229.4 34.62 226.8 33.18 224 32.48V144C224 152.8 231.2 160 240 160H351.5C350.8 157.2 349.4 154.6 347.3 152.6zM512 367.1C512 376.8 504.8 383.1 496 383.1H368C359.2 383.1 352 376.8 352 367.1C352 359.2 359.2 351.1 368 351.1H496C504.8 351.1 512 359.2 512 367.1zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 480C493.9 480 544 429.9 544 368C544 306.1 493.9 256 432 256C370.1 256 320 306.1 320 368C320 429.9 370.1 480 432 480z"],
    "file-circle-plus": [576, 512, [58606], "e494", "M64 480H296.2C305.1 491.8 317.3 502.3 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H220.1C232.8 0 245.1 5.057 254.1 14.06L369.9 129.9C378.9 138.9 384 151.2 384 163.9V198.6C372.8 201.8 362.1 206 352 211.2V192H240C213.5 192 192 170.5 192 144V32H64C46.33 32 32 46.33 32 64V448C32 465.7 46.33 480 64 480V480zM347.3 152.6L231.4 36.69C229.4 34.62 226.8 33.18 224 32.48V144C224 152.8 231.2 160 240 160H351.5C350.8 157.2 349.4 154.6 347.3 152.6zM448 351.1H496C504.8 351.1 512 359.2 512 367.1C512 376.8 504.8 383.1 496 383.1H448V431.1C448 440.8 440.8 447.1 432 447.1C423.2 447.1 416 440.8 416 431.1V383.1H368C359.2 383.1 352 376.8 352 367.1C352 359.2 359.2 351.1 368 351.1H416V303.1C416 295.2 423.2 287.1 432 287.1C440.8 287.1 448 295.2 448 303.1V351.1zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 256C370.1 256 320 306.1 320 368C320 429.9 370.1 480 432 480C493.9 480 544 429.9 544 368C544 306.1 493.9 256 432 256z"],
    "file-circle-question": [576, 512, [], "e4ef", "M64 480H296.2C305.1 491.8 317.3 502.3 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H220.1C232.8 0 245.1 5.057 254.1 14.06L369.9 129.9C378.9 138.9 384 151.2 384 163.9V198.6C372.8 201.8 362.1 206 352 211.2V192H240C213.5 192 192 170.5 192 144V32H64C46.33 32 32 46.33 32 64V448C32 465.7 46.33 480 64 480V480zM347.3 152.6L231.4 36.69C229.4 34.62 226.8 33.18 224 32.48V144C224 152.8 231.2 160 240 160H351.5C350.8 157.2 349.4 154.6 347.3 152.6zM416 432C416 423.2 423.2 416 432 416C440.8 416 448 423.2 448 432C448 440.8 440.8 448 432 448C423.2 448 416 440.8 416 432zM368 329.6C368 306.6 386.6 288 409.6 288H450.1C475.4 288 496 308.6 496 333.9C496 350.1 486.6 366.6 471.5 374.6L447.7 387.1C446.3 394.4 439.8 400 432 400C423.2 400 416 392.8 416 384V377.2C416 371.3 419.3 365.9 424.6 363.1L456.6 346.3C461.1 343.8 464 339.1 464 333.9C464 326.2 457.8 320 450.1 320H409.6C404.3 320 400 324.3 400 329.6V336C400 344.8 392.8 352 384 352C375.2 352 368 344.8 368 336L368 329.6zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 256C370.1 256 320 306.1 320 368C320 429.9 370.1 480 432 480C493.9 480 544 429.9 544 368C544 306.1 493.9 256 432 256z"],
    "file-circle-xmark": [576, 512, [], "e5a1", "M64 480H296.2C305.1 491.8 317.3 502.3 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H220.1C232.8 0 245.1 5.057 254.1 14.06L369.9 129.9C378.9 138.9 384 151.2 384 163.9V198.6C372.8 201.8 362.1 206 352 211.2V192H240C213.5 192 192 170.5 192 144V32H64C46.33 32 32 46.33 32 64V448C32 465.7 46.33 480 64 480V480zM347.3 152.6L231.4 36.69C229.4 34.62 226.8 33.18 224 32.48V144C224 152.8 231.2 160 240 160H351.5C350.8 157.2 349.4 154.6 347.3 152.6zM454.6 368L491.3 404.7C497.6 410.9 497.6 421.1 491.3 427.3C485.1 433.6 474.9 433.6 468.7 427.3L432 390.6L395.3 427.3C389.1 433.6 378.9 433.6 372.7 427.3C366.4 421.1 366.4 410.9 372.7 404.7L409.4 368L372.7 331.3C366.4 325.1 366.4 314.9 372.7 308.7C378.9 302.4 389.1 302.4 395.3 308.7L432 345.4L468.7 308.7C474.9 302.4 485.1 302.4 491.3 308.7C497.6 314.9 497.6 325.1 491.3 331.3L454.6 368zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 256C370.1 256 320 306.1 320 368C320 429.9 370.1 480 432 480C493.9 480 544 429.9 544 368C544 306.1 493.9 256 432 256z"],
    "file-code": [384, 512, [], "f1c9", "M155.3 276.7c-6.25-6.25-16.38-6.25-22.62 0l-48 48c-6.25 6.25-6.25 16.38 0 22.62l48 48C135.8 398.4 139.9 400 144 400s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L118.6 336l36.69-36.69C161.6 293.1 161.6 282.9 155.3 276.7zM365.3 125.3l-106.5-106.5C246.7 6.742 230.5 0 213.5 0H64C28.65 0 0 28.66 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.35 0 64-28.66 64-64V170.5C384 153.5 377.3 137.3 365.3 125.3zM224 34.08c4.477 1.562 8.666 3.844 12.12 7.297l106.5 106.5C346.1 151.3 348.4 155.5 349.9 160H240C231.2 160 224 152.8 224 144V34.08zM352 448c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V64c0-17.64 14.36-32 32-32h128v112C192 170.5 213.5 192 240 192H352V448zM228.7 299.3L265.4 336l-36.69 36.69c-6.25 6.25-6.25 16.38 0 22.62C231.8 398.4 235.9 400 240 400s8.188-1.562 11.31-4.688l48-48c6.25-6.25 6.25-16.38 0-22.62l-48-48c-6.25-6.25-16.38-6.25-22.62 0S222.4 293.1 228.7 299.3z"],
    "file-contract": [384, 512, [], "f56c", "M365.3 125.3l-106.5-106.5C246.7 6.742 230.5 0 213.5 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.35 28.65 64 64 64H320c35.35 0 64-28.65 64-64V170.5C384 153.5 377.3 137.3 365.3 125.3zM224 34.08c4.477 1.566 8.666 3.846 12.12 7.299l106.5 106.5C346.1 151.3 348.4 155.5 349.9 160H240C231.2 160 224 152.8 224 144V34.08zM352 448c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V64c0-17.64 14.36-32 32-32h128v112C192 170.5 213.5 192 240 192H352V448zM80 96h64C152.8 96 160 88.84 160 80S152.8 64 144 64h-64C71.16 64 64 71.16 64 80S71.16 96 80 96zM80 160h64C152.8 160 160 152.8 160 144S152.8 128 144 128h-64C71.16 128 64 135.2 64 144S71.16 160 80 160zM180.6 363.4l-13.88-41.63C163.5 311.9 154.4 305.3 144 305.3s-19.5 6.625-22.75 16.5L103 376.4C101.5 380.9 97.25 384 92.38 384H80C71.13 384 64 391.1 64 400S71.13 416 80 416h12.38c18.62 0 35.13-11.88 41-29.5L144 354.6L160.9 405c2 6.25 7.5 10.5 14 11H176c5.1 0 11.62-3.375 14.25-8.875l7.75-15.38c2.75-5.5 7.875-6.125 10-6.125s7.25 .625 10.12 6.5C225.5 406.9 240.4 416 256.8 416H304c8.875 0 16-7.125 16-16S312.9 384 304 384h-47.25c-4.125 0-8.125-2.5-10.12-6.5C234.8 353.6 200.4 347.1 180.6 363.4z"],
    "file-csv": [384, 512, [], "f6dd", "M384 448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448H32C32 465.7 46.33 480 64 480H320C337.7 480 352 465.7 352 448H384zM240 192C213.5 192 192 170.5 192 144V32H64C46.33 32 32 46.33 32 64V224H0V64C0 28.65 28.65 0 64 0H220.1C232.8 0 245.1 5.057 254.1 14.06L369.9 129.9C378.9 138.9 384 151.2 384 163.9V224H352V192H240zM347.3 152.6L231.4 36.69C229.4 34.62 226.8 33.18 224 32.48V144C224 152.8 231.2 160 240 160H351.5C350.8 157.2 349.4 154.6 347.3 152.6zM96 256C118.1 256 136 273.9 136 296V304C136 312.8 128.8 320 120 320C111.2 320 104 312.8 104 304V296C104 291.6 100.4 288 96 288H80C75.58 288 72 291.6 72 296V376C72 380.4 75.58 384 80 384H96C100.4 384 104 380.4 104 376V368C104 359.2 111.2 352 120 352C128.8 352 136 359.2 136 368V376C136 398.1 118.1 416 96 416H80C57.91 416 40 398.1 40 376V296C40 273.9 57.91 256 80 256H96zM152 302.4C152 276.8 172.8 256 198.4 256H216C224.8 256 232 263.2 232 272C232 280.8 224.8 288 216 288H198.4C190.4 288 184 294.4 184 302.4C184 307.5 186.8 312.3 191.2 314.9L216.6 329.4C231.1 337.6 240 352.1 240 369.6C240 395.2 219.2 416 193.6 416H168C159.2 416 152 408.8 152 400C152 391.2 159.2 384 168 384H193.6C201.6 384 208 377.6 208 369.6C208 364.5 205.2 359.7 200.8 357.1L175.4 342.6C160.9 334.4 152 319 152 302.4zM280 303.6C280 326.6 285.5 349.2 296 369.5C306.5 349.2 312 326.6 312 303.6V272C312 263.2 319.2 256 328 256C336.8 256 344 263.2 344 272V303.6C344 338.3 333.7 372.3 314.4 401.2L309.3 408.9C306.3 413.3 301.4 416 296 416C290.6 416 285.7 413.3 282.7 408.9L277.6 401.2C258.3 372.3 248 338.3 248 303.6V272C248 263.2 255.2 256 264 256C272.8 256 280 263.2 280 272V303.6z"],
    "file-dashed-line": [576, 512, ["page-break"], "f877", "M448 352H480V448C480 483.3 451.3 512 416 512H160C124.7 512 96 483.3 96 448V352H128V448C128 465.7 142.3 480 160 480H416C433.7 480 448 465.7 448 448V352zM336 192C309.5 192 288 170.5 288 144V32H160C142.3 32 128 46.33 128 64V256H96V64C96 28.65 124.7 0 160 0H316.1C328.8 0 341.1 5.057 350.1 14.06L465.9 129.9C474.9 138.9 480 151.2 480 163.9V256H448V192H336zM443.3 152.6L327.4 36.69C325.4 34.62 322.8 33.18 320 32.48V144C320 152.8 327.2 160 336 160H447.5C446.8 157.2 445.4 154.6 443.3 152.6zM144 288C152.8 288 160 295.2 160 304C160 312.8 152.8 320 144 320H16C7.164 320 0 312.8 0 304C0 295.2 7.164 288 16 288H144zM336 288C344.8 288 352 295.2 352 304C352 312.8 344.8 320 336 320H240C231.2 320 224 312.8 224 304C224 295.2 231.2 288 240 288H336zM560 288C568.8 288 576 295.2 576 304C576 312.8 568.8 320 560 320H432C423.2 320 416 312.8 416 304C416 295.2 423.2 288 432 288H560z"],
    "file-excel": [384, 512, [], "f1c3", "M365.3 125.3l-106.5-106.5C246.7 6.742 230.5 0 213.5 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.35 28.65 64 64 64H320c35.35 0 64-28.65 64-64V170.5C384 153.5 377.3 137.3 365.3 125.3zM224 34.08c4.477 1.566 8.666 3.846 12.12 7.299l106.5 106.5C346.1 151.3 348.4 155.5 349.9 160H240C231.2 160 224 152.8 224 144V34.08zM352 448c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V64c0-17.64 14.36-32 32-32h128v112C192 170.5 213.5 192 240 192H352V448zM192 308.1L149.1 246.8c-5.062-7.25-15.06-9-22.28-3.938c-7.25 5.062-9 15.05-3.938 22.28L172.5 336L122.9 406.8c-5.062 7.234-3.312 17.22 3.938 22.28C129.6 431.1 132.8 432 135.1 432c5.047 0 10.02-2.375 13.12-6.828L192 363.9l42.89 61.27C237.1 429.6 242.1 432 248 432c3.172 0 6.375-.9375 9.156-2.891c7.25-5.062 9-15.05 3.938-22.28L211.5 336l49.58-70.83c5.062-7.234 3.312-17.22-3.938-22.28s-17.22-3.312-22.28 3.938L192 308.1z"],
    "file-exclamation": [384, 512, [], "f31a", "M365.3 125.3l-106.5-106.5C246.7 6.742 230.5 0 213.5 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.35 28.65 64 64 64H320c35.35 0 64-28.65 64-64V170.5C384 153.5 377.3 137.3 365.3 125.3zM224 34.08c4.477 1.566 8.666 3.846 12.12 7.299l106.5 106.5C346.1 151.3 348.4 155.5 349.9 160H240C231.2 160 224 152.8 224 144V34.08zM352 448c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V64c0-17.64 14.36-32 32-32h128v112C192 170.5 213.5 192 240 192H352V448zM192 392c-13.25 0-24 10.75-24 24s10.75 24 24 24c13.26 0 24-10.75 24-24S205.3 392 192 392zM191.1 368C200.8 368 208 360.8 208 352V240C208 231.2 200.8 224 192 224S176 231.2 176 240V352C176 360.8 183.1 368 191.1 368z"],
    "file-export": [576, 512, ["arrow-right-from-file"], "f56e", "M571.3 308.7l-96-96c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L521.4 304H208C199.2 304 192 311.2 192 320s7.156 16 16 16h313.4l-68.69 68.69c-6.25 6.25-6.25 16.38 0 22.62C455.8 430.4 459.9 432 464 432s8.188-1.562 11.31-4.688l96-96C577.6 325.1 577.6 314.9 571.3 308.7zM368 384c-8.836 0-16 7.164-16 16V448c0 17.67-14.33 32-32 32H64c-17.67 0-32-14.33-32-32V64c0-17.67 14.33-32 32-32h128v112C192 170.5 213.5 192 240 192H352v48C352 248.8 359.2 256 368 256C376.8 256 384 248.8 384 240V170.5c0-16.97-6.742-33.26-18.75-45.26L258.7 18.74C246.7 6.742 230.5 0 213.5 0H63.1C28.65 0 0 28.65 0 64l.0065 384c0 35.35 28.66 64 64 64H320c35.35 0 64-28.65 64-64v-48C384 391.2 376.8 384 368 384zM224 34.08c4.477 1.566 8.666 3.846 12.12 7.299l106.5 106.5C346.1 151.3 348.4 155.5 349.9 160H240C231.2 160 224 152.8 224 144V34.08z"],
    "file-heart": [384, 512, [], "e176", "M365.3 125.3l-106.5-106.5C246.7 6.742 230.5 0 213.5 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.35 28.65 64 64 64H320c35.35 0 64-28.65 64-64V170.5C384 153.5 377.3 137.3 365.3 125.3zM224 34.08c4.477 1.566 8.666 3.846 12.12 7.299l106.5 106.5C346.1 151.3 348.4 155.5 349.9 160H240C231.2 160 224 152.8 224 144V34.08zM352 448c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V64c0-17.64 14.36-32 32-32h128v112C192 170.5 213.5 192 240 192H352V448zM191.9 267.6l-8.445-8.754C171.5 246.6 155.5 240 139.6 240c-12.77 0-25.47 4.227-35.93 13.13c-26.93 23.02-28.39 64.17-4.285 89.19l82.99 85.56C185 430.6 188.5 432 192 432s6.977-1.375 9.67-4.127l82.99-85.56c24.11-25.02 22.64-66.17-4.41-89.19C269.9 244.2 257.2 240 244.4 240c-15.97 .002-32.08 6.588-44.05 18.88L191.9 267.6zM223.3 281.2C228.9 275.4 236.6 272 244.4 272c3.979 0 9.82 .9434 15.14 5.5c6.143 5.227 9.75 12.61 10.15 20.78c.4023 8.146-2.531 16.1-7.979 21.75l-69.69 71.85L122.4 320.1C116.9 314.4 113.9 306.4 114.3 298.3c.3965-8.188 3.982-15.58 10.05-20.77C129.7 272.1 135.6 272 139.6 272c7.658 0 15.27 3.328 20.85 9.098L191.9 313.7L223.3 281.2z"],
    "file-image": [384, 512, [128443], "f1c5", "M190.3 285.7l-26.36 40.67c-12-14.92-37.75-13.73-48.31 2.531l-46.69 72.02c-5.984 9.266-6.531 21.09-1.453 30.84C72.67 441.8 82.83 448 93.1 448h196c11.17 0 21.33-6.219 26.55-16.23c5.094-9.797 4.531-21.62-1.484-30.86l-74.66-115.2C229.3 268.5 201.4 268.5 190.3 285.7zM286.7 416L95.77 416l44.89-66.95l9.922 15.3c5.906 9.094 20.97 9.094 26.84 0l37.91-58.48L286.7 416zM96 280c13.25 0 24-10.75 24-24c0-13.26-10.75-24-24-24S72 242.7 72 256C72 269.3 82.75 280 96 280zM365.3 125.3l-106.5-106.5C246.7 6.742 230.5 0 213.5 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.35 28.65 64 64 64H320c35.35 0 64-28.65 64-64V170.5C384 153.5 377.3 137.3 365.3 125.3zM224 34.08c4.477 1.566 8.666 3.846 12.12 7.299l106.5 106.5C346.1 151.3 348.4 155.5 349.9 160H240C231.2 160 224 152.8 224 144V34.08zM352 448c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V64c0-17.64 14.36-32 32-32h128v112C192 170.5 213.5 192 240 192H352V448z"],
    "file-import": [512, 512, ["arrow-right-to-file"], "f56f", "M260.7 404.7c-6.25 6.25-6.25 16.38 0 22.62C263.8 430.4 267.9 432 272 432s8.188-1.562 11.31-4.688l96-96c6.25-6.25 6.25-16.38 0-22.62l-96-96c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L329.4 304H16C7.156 304 0 311.2 0 320s7.156 16 16 16h313.4L260.7 404.7zM493.3 125.3l-106.5-106.5C374.7 6.742 358.5 0 341.5 0H192C156.7 0 128 28.65 128 64v176C128 248.8 135.2 256 144 256C152.8 256 160 248.8 160 240V64c0-17.67 14.33-32 32-32h128v112C320 170.5 341.5 192 368 192H480v256c0 17.67-14.33 32-32 32H192c-17.67 0-32-14.33-32-32v-48C160 391.2 152.8 384 144 384C135.2 384 128 391.2 128 400L128 448c0 35.35 28.66 64 64 64H448c35.35 0 64-28.65 64-64V170.5C512 153.5 505.3 137.3 493.3 125.3zM368 160C359.2 160 352 152.8 352 144V34.08c4.477 1.566 8.666 3.846 12.12 7.299l106.5 106.5C474.1 151.3 476.4 155.5 477.9 160H368z"],
    "file-invoice": [384, 512, [], "f570", "M80 160h64C152.8 160 160 152.8 160 144S152.8 128 144 128h-64C71.16 128 64 135.2 64 144S71.16 160 80 160zM80 96h64C152.8 96 160 88.84 160 80S152.8 64 144 64h-64C71.16 64 64 71.16 64 80S71.16 96 80 96zM365.3 125.3l-106.5-106.5C246.7 6.742 230.5 0 213.5 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.35 28.65 64 64 64H320c35.35 0 64-28.65 64-64V170.5C384 153.5 377.3 137.3 365.3 125.3zM224 34.08c4.477 1.566 8.666 3.846 12.12 7.299l106.5 106.5C346.1 151.3 348.4 155.5 349.9 160H240C231.2 160 224 152.8 224 144V34.08zM352 448c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V64c0-17.64 14.36-32 32-32h128v112C192 170.5 213.5 192 240 192H352V448zM64 272v64c0 17.64 14.36 32 32 32h192c17.64 0 32-14.36 32-32v-64c0-17.64-14.36-32-32-32H96C78.36 240 64 254.4 64 272zM288 336H96v-64h192V336zM304 416h-64c-8.844 0-16 7.156-16 16s7.156 16 16 16h64c8.844 0 16-7.156 16-16S312.8 416 304 416z"],
    "file-invoice-dollar": [384, 512, [], "f571", "M365.3 125.3l-106.5-106.5C246.7 6.742 230.5 0 213.5 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.35 28.65 64 64 64H320c35.35 0 64-28.65 64-64V170.5C384 153.5 377.3 137.3 365.3 125.3zM224 34.08c4.477 1.566 8.666 3.846 12.12 7.299l106.5 106.5C346.1 151.3 348.4 155.5 349.9 160H240C231.2 160 224 152.8 224 144V34.08zM352 448c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V64c0-17.64 14.36-32 32-32h128v112C192 170.5 213.5 192 240 192H352V448zM80 96h64C152.8 96 160 88.84 160 80S152.8 64 144 64h-64C71.16 64 64 71.16 64 80S71.16 96 80 96zM160 144C160 135.2 152.8 128 144 128h-64C71.16 128 64 135.2 64 144S71.16 160 80 160h64C152.8 160 160 152.8 160 144zM202 288.9c6.766 .9375 14.2 2.984 21.28 5.156c8.5 2.641 17.41-2.156 19.98-10.61c2.594-8.438-2.156-17.39-10.61-19.98c-10.03-3.078-17.96-4.947-24.99-6.008C207.8 256.1 208 256.5 208 256V240c0-8.844-7.133-16-15.98-16S176 231.2 176 240V256c0 .3008 .1543 .5488 .1699 .8457C150.6 260.1 132.9 273.3 128.9 294.1c-7.766 39.97 33.06 50.64 52.67 55.77l6.5 1.656c32.25 8.219 37.17 12.28 35.61 20.34c-1.844 9.453-19.78 14.34-41.81 11.22c-8.578-1.141-18.95-4.469-28.09-7.391l-4.969-1.594c-8.422-2.578-17.41 2.016-20.08 10.45c-2.656 8.438 2.031 17.42 10.45 20.08L144 406.1c10.05 3.221 21.38 6.756 32.3 8.359C176.3 415 176 415.5 176 416v16c0 8.844 7.18 16 16.02 16S208 440.8 208 432V416c0-.5078-.2422-.9375-.2891-1.434c25.42-3.33 43.36-15.98 47.38-36.63c7.859-40.41-32.45-50.67-59.13-57.45L189.7 318.9c-31.39-8.203-30.41-13.3-29.36-18.7C162.1 290.7 180.1 285.9 202 288.9z"],
    "file-lines": [384, 512, [128462, 61686, 128441, "file-alt", "file-text"], "f15c", "M365.3 125.3l-106.5-106.5C246.7 6.742 230.5 0 213.5 0L64-.0001c-35.35 0-64 28.65-64 64l.0065 384c0 35.35 28.65 64 64 64H320c35.35 0 64-28.65 64-64v-277.5C384 153.5 377.3 137.3 365.3 125.3zM224 34.08c4.477 1.566 8.666 3.846 12.12 7.299l106.5 106.5C346.1 151.3 348.4 155.5 349.9 160H240C231.2 160 224 152.8 224 144V34.08zM352 448c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V64c0-17.64 14.36-32 32-32h128v112C192 170.5 213.5 192 240 192H352V448zM96 272C96 280.8 103.2 288 112 288h160C280.8 288 288 280.8 288 272S280.8 256 272 256h-160C103.2 256 96 263.2 96 272zM272 320h-160C103.2 320 96 327.2 96 336S103.2 352 112 352h160c8.838 0 16-7.164 16-16S280.8 320 272 320zM272 384h-160C103.2 384 96 391.2 96 400S103.2 416 112 416h160c8.838 0 16-7.164 16-16S280.8 384 272 384z"],
    "file-lock": [576, 512, [], "e3a6", "M304 480H64c-17.67 0-32-14.33-32-32V64c0-17.67 14.33-32 32-32h128v112C192 170.5 213.5 192 240 192h122.5C374.4 192 384 182.4 384 170.5c0-16.97-6.742-33.25-18.74-45.25L258.7 18.75C246.7 6.742 230.5 0 213.5 0H64C28.65 0 .0007 28.65 .0007 64l.0059 384c0 35.35 28.65 64 64 64H304c8.836 0 16-7.164 16-16C320 487.2 312.8 480 304 480zM224 34.08c4.477 1.566 8.664 3.846 12.12 7.299l106.5 106.5C346.1 151.3 348.4 155.5 349.9 160H240C231.2 160 224 152.8 224 144V34.08zM528 320L528 256c0-35.28-28.72-64-64-64s-64 28.72-64 64v64c-26.51 0-48 21.49-48 48v96c0 26.51 21.49 48 48 48h128c26.51 0 48-21.49 48-48v-96C576 341.5 554.5 320 528 320zM432 256c0-17.66 14.34-32 32-32s32 14.34 32 32v64h-64V256zM544 464c0 8.822-7.178 16-16 16h-128c-8.822 0-16-7.178-16-16v-96c0-8.822 7.178-16 16-16h128c8.822 0 16 7.178 16 16V464z"],
    "file-magnifying-glass": [384, 512, ["file-search"], "f865", "M365.3 125.3l-106.5-106.5C246.7 6.742 230.5 0 213.5 0H64C28.65 0 0 28.66 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.35 0 64-28.66 64-64V170.5C384 153.5 377.3 137.3 365.3 125.3zM224 34.08c4.477 1.562 8.666 3.844 12.12 7.297l106.5 106.5C346.1 151.3 348.4 155.5 349.9 160H240C231.2 160 224 152.8 224 144V34.08zM352 448c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V64c0-17.64 14.36-32 32-32h128v112C192 170.5 213.5 192 240 192H352V448zM80 304c0 52.94 43.06 96 96 96c20.7 0 39.76-6.734 55.46-17.92l61.23 61.23C295.8 446.4 299.9 448 304 448s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62l-61.23-61.23C265.3 343.8 272 324.7 272 304c0-52.94-43.06-96-96-96S80 251.1 80 304zM240 304c0 35.28-28.72 64-64 64s-64-28.72-64-64s28.72-64 64-64S240 268.7 240 304z"],
    "file-medical": [384, 512, [], "f477", "M365.3 125.3l-106.5-106.5C246.7 6.742 230.5 0 213.5 0H64C28.65 0 0 28.66 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.35 0 64-28.66 64-64V170.5C384 153.5 377.3 137.3 365.3 125.3zM224 34.08c4.477 1.562 8.666 3.844 12.12 7.297l106.5 106.5C346.1 151.3 348.4 155.5 349.9 160H240C231.2 160 224 152.8 224 144V34.08zM352 448c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V64c0-17.64 14.36-32 32-32h128v112C192 170.5 213.5 192 240 192H352V448zM224 240C224 231.2 216.8 224 208 224h-32C167.2 224 160 231.2 160 240V288H112C103.2 288 96 295.2 96 303.1V336c0 8.836 7.164 15.1 16 15.1l48 .0006v47.1C160 408.8 167.2 416 176 416h32c8.836 0 16-7.166 16-16v-47.1l48-.0006c8.836 0 16-7.162 16-15.1V303.1C288 295.2 280.8 288 272 288H224V240z"],
    "file-minus": [384, 512, [], "f318", "M112 320c-8.84 0-16 7.16-16 15.1c0 8.834 7.156 15.1 16 15.1h160c8.84 0 16-7.16 16-15.1s-7.16-15.1-16-15.1H112zM365.3 125.3l-106.5-106.5C246.7 6.742 230.5 0 213.5 0H64C28.66 0 0 28.65 0 64l.0065 384c0 35.35 28.66 64 64 64H320c35.35 0 64-28.65 64-64V170.5C384 153.5 377.3 137.3 365.3 125.3zM224 34.08c4.477 1.566 8.664 3.846 12.12 7.299l106.5 106.5C346.1 151.3 348.4 155.5 349.9 160H240C231.2 160 224 152.8 224 144V34.08zM352 448c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V64c0-17.64 14.36-32 32-32h128v112C192 170.5 213.5 192 240 192H352V448z"],
    "file-music": [384, 512, [], "f8b6", "M365.3 125.3l-106.5-106.5C246.7 6.742 230.5 0 213.5 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.35 28.65 64 64 64H320c35.35 0 64-28.65 64-64V170.5C384 153.5 377.3 137.3 365.3 125.3zM224 34.08c4.477 1.566 8.666 3.846 12.12 7.299l106.5 106.5C346.1 151.3 348.4 155.5 349.9 160H240C231.2 160 224 152.8 224 144V34.08zM352 448c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V64c0-17.64 14.36-32 32-32h128v112C192 170.5 213.5 192 240 192H352V448zM144 292v64.78C136.7 353.8 128.6 352 120 352C89.13 352 64 373.5 64 400S89.13 448 120 448s56-21.53 56-48V292l96-35.97v68.78C264.7 321.8 256.6 320 248 320C217.1 320 192 341.5 192 368s25.12 48 56 48s56-21.53 56-48V256c0-10.5-5.156-20.31-13.75-26.28c-8.625-6-19.62-7.438-29.5-3.688l-96 36C152.3 266.7 144 278.8 144 292zM120 416C107.2 416 96 408.5 96 400S107.2 384 120 384s24 7.469 24 16S132.8 416 120 416zM248 384C235.2 384 224 376.5 224 368s11.22-16 24-16s24 7.469 24 16S260.8 384 248 384z"],
    "file-pdf": [384, 512, [], "f1c1", "M384 448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448H32C32 465.7 46.33 480 64 480H320C337.7 480 352 465.7 352 448H384zM240 192C213.5 192 192 170.5 192 144V32H64C46.33 32 32 46.33 32 64V224H0V64C0 28.65 28.65 0 64 0H220.1C232.8 0 245.1 5.057 254.1 14.06L369.9 129.9C378.9 138.9 384 151.2 384 163.9V224H352V192H240zM347.3 152.6L231.4 36.69C229.4 34.62 226.8 33.18 224 32.48V144C224 152.8 231.2 160 240 160H351.5C350.8 157.2 349.4 154.6 347.3 152.6zM88 256C118.9 256 144 281.1 144 312C144 342.9 118.9 368 88 368H80V400C80 408.8 72.84 416 64 416C55.16 416 48 408.8 48 400V272C48 263.2 55.16 256 64 256H88zM112 312C112 298.7 101.3 288 88 288H80V336H88C101.3 336 112 325.3 112 312zM160 272C160 263.2 167.2 256 176 256H200C226.5 256 248 277.5 248 304V368C248 394.5 226.5 416 200 416H176C167.2 416 160 408.8 160 400V272zM192 384H200C208.8 384 216 376.8 216 368V304C216 295.2 208.8 288 200 288H192V384zM336 256C344.8 256 352 263.2 352 272C352 280.8 344.8 288 336 288H304V320H336C344.8 320 352 327.2 352 336C352 344.8 344.8 352 336 352H304V400C304 408.8 296.8 416 288 416C279.2 416 272 408.8 272 400V272C272 263.2 279.2 256 288 256H336z"],
    "file-pen": [576, 512, [128221, "file-edit"], "f31c", "M64 480H258.5L257.4 484.2C255.1 493.6 255.7 503.2 258.8 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H220.1C232.8 0 245.1 5.057 254.1 14.06L369.9 129.9C378.9 138.9 384 151.2 384 163.9V299.6L352 331.6V192H240C213.5 192 192 170.5 192 144V32H64C46.33 32 32 46.33 32 64V448C32 465.7 46.33 480 64 480H64zM347.3 152.6L231.4 36.69C229.4 34.62 226.8 33.18 224 32.48V144C224 152.8 231.2 160 240 160H351.5C350.8 157.2 349.4 154.6 347.3 152.6zM473.3 241.4C492.1 222.6 522.4 222.6 541.2 241.4L558.5 258.7C577.2 277.4 577.2 307.8 558.5 326.5L404.1 480.1C398.8 486.2 391.1 490.6 382.7 492.7L307.9 511.4C302.4 512.8 296.6 511.2 292.7 507.2C288.7 503.2 287.1 497.4 288.5 491.1L307.2 417.2C309.3 408.8 313.6 401 319.8 394.9L473.3 241.4zM518.6 263.1C512.3 257.7 502.2 257.7 495.9 263.1L471.2 288.8L511.1 328.7L535.9 303.9C542.1 297.7 542.1 287.5 535.9 281.3L518.6 263.1zM338.2 424.1L325.1 473.9L374.9 461.6C377.7 460.9 380.3 459.5 382.3 457.4L488.5 351.3L448.5 311.4L342.4 417.5C340.4 419.6 338.9 422.1 338.2 424.1L338.2 424.1z"],
    "file-plus": [384, 512, [], "f319", "M208 255.1C208 247.2 200.8 240 192 240S176 247.2 176 255.1v64h-64c-8.84 0-16 7.16-16 15.1c0 8.834 7.156 15.1 16 15.1h64v64C176 424.8 183.2 432 192 432c8.836 0 16-7.16 16-15.1V351.1h64c8.84 0 16-7.16 16-15.1s-7.16-15.1-16-15.1h-64V255.1zM365.3 125.3l-106.5-106.5C246.7 6.742 230.5 0 213.5 0H64C28.66 0 0 28.65 0 64l.0065 384c0 35.35 28.66 64 64 64H320c35.35 0 64-28.65 64-64V170.5C384 153.5 377.3 137.3 365.3 125.3zM224 34.08c4.477 1.566 8.664 3.846 12.12 7.299l106.5 106.5C346.1 151.3 348.4 155.5 349.9 160H240C231.2 160 224 152.8 224 144V34.08zM352 448c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V64c0-17.64 14.36-32 32-32h128v112C192 170.5 213.5 192 240 192H352V448z"],
    "file-plus-minus": [384, 512, [], "e177", "M365.3 125.3l-106.5-106.5C246.7 6.742 230.5 0 213.5 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.35 28.65 64 64 64H320c35.35 0 64-28.65 64-64V170.5C384 153.5 377.3 137.3 365.3 125.3zM224 34.08c4.477 1.566 8.666 3.846 12.12 7.299l106.5 106.5C346.1 151.3 348.4 155.5 349.9 160H240C231.2 160 224 152.8 224 144V34.08zM352 448c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V64c0-17.64 14.36-32 32-32h128v112C192 170.5 213.5 192 240 192H352V448zM208 224c0-8.844-7.156-16-16-16S176 215.2 176 224v48H128C119.2 272 112 279.2 112 288S119.2 304 128 304h48V352c0 8.844 7.156 16 16 16s16-7.156 16-16V304H256c8.844 0 16-7.156 16-16S264.8 272 256 272h-48V224zM256 400H128c-8.844 0-16 7.156-16 16s7.156 16 16 16h128c8.844 0 16-7.156 16-16S264.8 400 256 400z"],
    "file-powerpoint": [384, 512, [], "f1c4", "M365.3 125.3l-106.5-106.5C246.7 6.742 230.5 0 213.5 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.35 28.65 64 64 64H320c35.35 0 64-28.65 64-64V170.5C384 153.5 377.3 137.3 365.3 125.3zM224 34.08c4.477 1.566 8.666 3.846 12.12 7.299l106.5 106.5C346.1 151.3 348.4 155.5 349.9 160H240C231.2 160 224 152.8 224 144V34.08zM352 448c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V64c0-17.64 14.36-32 32-32h128v112C192 170.5 213.5 192 240 192H352V448zM128 240C119.2 240 112 247.2 112 256v176C112 440.8 119.2 448 128 448s16-7.156 16-16V384h56c39.69 0 72-32.3 72-72S239.7 240 200 240H128zM240 312c0 22.06-17.94 40-40 40H144V272h56C222.1 272 240 289.9 240 312z"],
    "file-prescription": [384, 512, [], "f572", "M192.8 330c21.86-10.78 35.69-35.18 29.95-62.26c-5.539-26.12-30.34-43.74-57.04-43.74L112 224c-8.838 0-16 7.182-15.1 16.02l.0273 127.1c0 8.801 7.178 15.98 15.98 15.98c8.801 0 16-7.199 16-16l.0234-31.98h25.38L201.4 384l-36.69 36.69c-6.25 6.25-6.25 16.38 0 22.62C167.8 446.4 171.9 448 176 448s8.141-1.609 11.27-4.734L224 406.6l36.69 36.69c6.248 6.248 16.38 6.248 22.62 0s6.248-16.38 0-22.62L246.6 384l36.69-36.69c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0L224 361.4L192.8 330zM168 304L128 304v-48h40c13.25 0 24 10.75 24 24S181.3 304 168 304zM365.3 125.3l-106.5-106.5C246.7 6.742 230.5 0 213.5 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.35 28.65 64 64 64H320c35.35 0 64-28.65 64-64V170.5C384 153.5 377.3 137.3 365.3 125.3zM224 34.08c4.477 1.566 8.666 3.846 12.12 7.299l106.5 106.5C346.1 151.3 348.4 155.5 349.9 160H240C231.2 160 224 152.8 224 144V34.08zM352 448c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V64c0-17.64 14.36-32 32-32h128v112C192 170.5 213.5 192 240 192H352V448z"],
    "file-shield": [576, 512, [], "e4f0", "M320 480C321.3 480 322.6 479.9 323.9 479.8C331.8 488.4 340.5 496.7 350.2 504.4C341.2 509.3 330.9 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H220.1C232.8 0 245.1 5.057 254.1 14.06L369.9 129.9C378.9 138.9 384 151.2 384 163.9V207L352 219.8V192H240C213.5 192 192 170.5 192 144V32H64C46.33 32 32 46.33 32 64V448C32 465.7 46.33 480 64 480H320zM347.3 152.6L231.4 36.69C229.4 34.62 226.8 33.18 223.1 32.48V144C223.1 152.8 231.2 160 239.1 160H351.5C350.8 157.2 349.4 154.6 347.3 152.6zM560.9 273.7C570 277.4 576 286.2 576 296C576 359.3 550.1 464.8 441.2 510.2C435.3 512.6 428.7 512.6 422.8 510.2C313.9 464.8 287.1 359.3 287.1 296C287.1 286.2 293.1 277.4 303.1 273.7L423.1 225.7C428.8 223.4 435.2 223.4 440.9 225.7L560.9 273.7zM416 471.4V263L320.1 301.4C321.4 354.3 342.6 430.9 416 471.4V471.4zM448 263V471.4C521.4 430.9 542.6 354.3 543.9 301.4L448 263z"],
    "file-signature": [576, 512, [], "f573", "M560.9 136L536 111.1c-20.25-20.25-53-20.25-73.25 0L303.5 269.8C273.4 299.8 256.1 341.3 256 383.8c-3.875-.25-7.5-2.387-9.375-6.262c-11.88-23.88-46.25-30.38-66-14.12l-13.88-41.63C163.5 311.9 154.4 305.3 144 305.3s-19.5 6.625-22.75 16.5L103 376.4C101.5 381 97.25 384 92.38 384H80C71.13 384 64 391.1 64 400S71.13 416 80 416h12.4c18.62 0 35.1-11.88 40.98-29.5L144 354.6L160.8 405C165.4 418.6 184 419.9 190.3 407.1l7.749-15.38c4-8 15.69-8.5 20.19 .375C225.4 406.6 239.9 415.7 256 415.9L288 416c66.84 0 112.1-46.3 114.1-47.5l158.8-159.3C570.6 199.5 576 186.4 576 172.6C576 158.8 570.6 145.8 560.9 136zM379.5 346C355.3 370.3 322.4 383.9 288 383.9c0-34.38 13.75-67.32 37.1-91.44l120.6-119.9l52.75 52.75L379.5 346zM538.3 186.6L517 207.8L464.3 155l21.12-21.25c7.75-7.625 20.25-7.749 28 0l24.88 24.88C545.9 166.4 545.9 178.9 538.3 186.6zM364.4 448c-6.629 0-13.1 3.795-15.2 10.1C344.1 470.8 333 480 318.1 480h-255.2c-17.62 0-31.89-14.33-31.89-32V64c0-17.67 14.28-32 31.89-32h127.6v112c0 26.51 21.42 48 47.84 48h64.07c8.652 0 15.66-7.037 15.66-15.72V175.7C318.1 167 311.9 160 303.3 160H239.2C230.4 160 223.3 152.8 223.3 144V34.08c4.461 1.566 8.637 3.846 12.08 7.299l89.85 90.14c6.117 6.139 16.04 6.139 22.15 0L347.7 131.1c6.117-6.139 6.117-16.09 0-22.23L257.9 18.75C245.9 6.742 229.7 0 212.8 0H63.93C28.7 0 0 28.65 0 64l.0065 384c0 35.35 28.7 64 63.93 64h255c28.2 0 52.12-18.36 60.55-43.8C382.8 458.2 374.9 448 364.4 448z"],
    "file-slash": [640, 512, [], "e3a7", "M639.1 496c0-4.734-2.089-9.423-6.092-12.59L25.9 3.418C22.98 1.117 19.49-.0006 16.03-.0006c-8.706 0-16.03 6.955-16.03 15.96c0 4.734 2.089 9.423 6.092 12.59l608 480C617 510.9 620.5 512 624 512C632.6 512 639.1 505.1 639.1 496zM192 32h128v112C320 170.5 341.5 192 368 192H480v108.8l32 25.26V170.5c0-16.97-6.742-33.25-18.74-45.26l-106.5-106.5C374.7 6.742 358.5 0 341.5 0H192C168.1 0 148.1 12.27 137.7 30.51l25.47 20.11C168.3 39.7 179.2 32 192 32zM352 34.08c4.477 1.566 8.664 3.846 12.12 7.299l106.5 106.5C474.1 151.3 476.4 155.5 477.9 160H368C359.2 160 352 152.8 352 144V34.08zM448 480H192c-17.64 0-32-14.36-32-32V211.2L128 185.9L128 447.1c0 35.35 28.66 64 63.1 64H448c23.03 0 43.05-12.27 54.32-30.52l-25.47-20.11C471.8 472.3 460.8 480 448 480z"],
    "file-spreadsheet": [384, 512, [], "f65b", "M365.3 125.3l-106.5-106.5C246.7 6.742 230.5 0 213.5 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.35 28.65 64 64 64H320c35.35 0 64-28.65 64-64V170.5C384 153.5 377.3 137.3 365.3 125.3zM224 34.08c4.477 1.566 8.666 3.846 12.12 7.299l106.5 106.5C346.1 151.3 348.4 155.5 349.9 160H240C231.2 160 224 152.8 224 144V34.08zM352 448c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V64c0-17.64 14.36-32 32-32h128v112C192 170.5 213.5 192 240 192H352V448zM64 256v160c0 17.67 14.33 32 32 32h192c17.67 0 32-14.33 32-32V256c0-17.67-14.33-32-32-32H96C78.33 224 64 238.3 64 256zM128 416H96v-32h32V416zM128 352H96v-32h32V352zM224 416H160v-32h64V416zM224 352H160v-32h64V352zM288 416h-32v-32h32V416zM288 352h-32v-32h32V352zM288 288H96V256h192V288z"],
    "file-user": [384, 512, [], "f65c", "M365.3 125.3l-106.5-106.5C246.7 6.742 230.5 0 213.5 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.35 28.65 64 64 64H320c35.35 0 64-28.65 64-64V170.5C384 153.5 377.3 137.3 365.3 125.3zM224 34.08c4.477 1.566 8.666 3.846 12.12 7.299l106.5 106.5C346.1 151.3 348.4 155.5 349.9 160H240C231.2 160 224 152.8 224 144V34.08zM272 480h-160v-16C112 437.5 133.5 416 160 416h64c26.51 0 48 21.49 48 48V480zM352 448c0 17.64-14.36 32-32 32h-16v-16c0-44.18-35.82-80-80-80H160c-44.18 0-80 35.82-80 80V480H64c-17.64 0-32-14.36-32-32V64c0-17.64 14.36-32 32-32h128v112C192 170.5 213.5 192 240 192H352V448zM192 224C156.7 224 128 252.7 128 288s28.65 64 64 64s64-28.65 64-64S227.3 224 192 224zM192 320c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S209.6 320 192 320z"],
    "file-video": [384, 512, [], "f1c8", "M379.1 146c-3.186-7.688-7.871-14.76-13.87-20.76l-106.5-106.5c-6-6.004-13.07-10.69-20.76-13.88C230.3 1.688 221.1 0 213.5 0H64C46.33 0 30.33 7.164 18.75 18.75S0 46.33 0 64l.0065 384c0 17.67 7.158 33.67 18.74 45.25S46.33 512 64.01 512H320c17.67 0 33.67-7.164 45.26-18.75S384 465.7 384 448V170.5C384 162 382.3 153.7 379.1 146zM224 34.08c2.238 .7813 4.404 1.742 6.443 2.938c2.039 1.199 3.949 2.633 5.676 4.359l106.5 106.5c1.727 1.727 3.16 3.637 4.355 5.676C348.2 155.6 349.1 157.8 349.9 160H240c-4.406 0-8.406-1.793-11.3-4.688C225.8 152.4 224 148.4 224 144V34.08zM352 448c0 8.82-3.588 16.82-9.383 22.62C336.8 476.4 328.8 480 320 480H64c-8.822 0-16.82-3.59-22.62-9.383C35.59 464.8 32 456.8 32 448V64c0-8.82 3.59-16.82 9.383-22.62C47.18 35.59 55.18 32 64 32h128v112c0 13.23 5.383 25.23 14.07 33.93S226.8 192 240 192H352V448zM230.6 265.4C224.8 259.6 216.8 256 208 256H96C87.16 256 79.16 259.6 73.37 265.4C67.58 271.2 64 279.2 64 288v96c0 8.836 3.582 16.84 9.373 22.62C79.16 412.4 87.16 416 96 416h112c8.836 0 16.84-3.582 22.63-9.375c5.023-5.023 7.902-11.87 8.705-19.32l59.61 19.87C300.6 407.7 302.3 408 304 408c3.312 0 6.594-1.031 9.359-3.016C317.5 401.1 320 397.1 320 392v-112c0-5.141-2.469-9.969-6.641-12.98C309.2 264 303.8 263.2 298.9 264.8L239.3 284.7C238.5 277.2 235.7 270.4 230.6 265.4zM208 384H96V288h112V384zM240 318.2L288 302.2v67.59l-48-15.99V318.2z"],
    "file-waveform": [448, 512, ["file-medical-alt"], "f478", "M179.2 377.6C182.3 381.7 187 384 192 384c.4687 0 .9687-.0156 1.438-.0625c5.531-.5 10.41-3.828 12.88-8.781L256 275.8l17.69 35.38C276.4 316.6 281.9 320 288 320h64c8.844 0 16-7.156 16-16S360.8 288 352 288h-54.13l-27.56-55.16c-5.438-10.84-23.19-10.84-28.62 0l-52.41 104.8L156.8 294.4C153.8 290.4 149 288 144 288h-128C7.156 288 0 295.2 0 304S7.156 320 16 320h120L179.2 377.6zM429.3 125.3l-106.5-106.5C310.7 6.742 294.5 0 277.5 0H128C92.65 0 64 28.65 64 64v160c0 8.836 7.164 16 16 16C88.84 240 96 232.8 96 224V64c0-17.67 14.33-32 32-32h128v112C256 170.5 277.5 192 304 192H416v256c0 17.67-14.33 32-32 32H128c-17.67 0-32-14.33-32-32v-64c0-8.836-7.162-16-16-16C71.16 368 64 375.2 64 384l.0065 64c0 35.35 28.65 64 64 64H384c35.35 0 64-28.65 64-64V170.5C448 153.5 441.3 137.3 429.3 125.3zM304 160C295.2 160 288 152.8 288 144V34.08c4.477 1.566 8.666 3.846 12.12 7.299l106.5 106.5C410.1 151.3 412.4 155.5 413.9 160H304z"],
    "file-word": [384, 512, [], "f1c2", "M177.1 250.1l-44 110L111.7 252.9c-1.719-8.656-10.11-14.33-18.83-12.55C84.2 242 78.58 250.5 80.31 259.1l32 160c1.391 6.938 7.172 12.14 14.22 12.8c7.25 .6562 13.7-3.422 16.33-10L192 299.1l49.14 122.9C243.6 428.1 249.5 432 256 432c.4844 0 .9687-.0156 1.469-.0625c7.047-.6562 12.83-5.859 14.22-12.8l32-160c1.734-8.672-3.891-17.09-12.55-18.83c-8.781-1.812-17.11 3.875-18.83 12.55l-21.45 107.2l-44-110C201.1 237.9 182 237.9 177.1 250.1zM365.3 125.3l-106.5-106.5C246.7 6.742 230.5 0 213.5 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.35 28.65 64 64 64H320c35.35 0 64-28.65 64-64V170.5C384 153.5 377.3 137.3 365.3 125.3zM224 34.08c4.477 1.566 8.666 3.846 12.12 7.299l106.5 106.5C346.1 151.3 348.4 155.5 349.9 160H240C231.2 160 224 152.8 224 144V34.08zM352 448c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V64c0-17.64 14.36-32 32-32h128v112C192 170.5 213.5 192 240 192H352V448z"],
    "file-xmark": [384, 512, ["file-times"], "f317", "M365.3 125.3l-106.5-106.5C246.7 6.742 230.5 0 213.5 0H64C28.66 0 0 28.65 0 64l.0065 384c0 35.35 28.66 64 64 64H320c35.35 0 64-28.65 64-64V170.5C384 153.5 377.3 137.3 365.3 125.3zM224 34.08c4.477 1.566 8.664 3.846 12.12 7.299l106.5 106.5C346.1 151.3 348.4 155.5 349.9 160H240C231.2 160 224 152.8 224 144V34.08zM352 448c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V64c0-17.64 14.36-32 32-32h128v112C192 170.5 213.5 192 240 192H352V448zM139.3 260.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L169.4 336l-52.69 52.69c-6.25 6.25-6.25 16.38 0 22.62c6.242 6.246 16.37 6.254 22.62 0L192 358.6l52.69 52.69c6.242 6.246 16.37 6.254 22.62 0c6.25-6.25 6.25-16.38 0-22.62L214.6 336l52.69-52.69c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0L192 313.4L139.3 260.7z"],
    "file-zipper": [384, 512, ["file-archive"], "f1c6", "M365.3 125.3l-106.5-106.5C246.7 6.742 230.5 0 213.5 0L64-.0001c-35.35 0-64 28.65-64 64l.0065 384c0 35.35 28.65 64 64 64H320c35.35 0 64-28.65 64-64v-277.5C384 153.5 377.3 137.3 365.3 125.3zM224 34.08c4.477 1.566 8.666 3.846 12.12 7.299l106.5 106.5C346.1 151.3 348.4 155.5 349.9 160H240C231.2 160 224 152.8 224 144V34.08zM352 448c0 17.67-14.33 32-32 32H64c-17.67 0-32-14.33-32-32V64c0-17.67 14.33-32 32-32h128v112C192 170.5 213.5 192 240 192H352V448zM144 128h-64C71.16 128 64 135.2 64 144S71.16 160 80 160h64C152.8 160 160 152.8 160 144S152.8 128 144 128zM144 64h-64C71.16 64 64 71.16 64 80S71.16 96 80 96h64C152.8 96 160 88.84 160 80S152.8 64 144 64zM144 192h-64C71.16 192 64 199.2 64 208S71.16 224 80 224h64C152.8 224 160 216.8 160 208S152.8 192 144 192zM144 256h-64C71.16 256 64 263.2 64 272V320c0 26.47 21.53 48 48 48S160 346.5 160 320V272C160 263.2 152.8 256 144 256zM128 320c0 8.828-7.188 16-16 16S96 328.8 96 320V288h32V320z"],
    "files": [448, 512, [], "e178", "M336 480H96c-35.35 0-64-28.65-64-64V112C32 103.2 24.84 96 16 96S0 103.2 0 112V416c0 53.02 42.98 96 96 96h240c8.836 0 16-7.164 16-16S344.8 480 336 480zM429.3 113.3l-94.51-94.51C322.7 6.742 306.5 0 289.5 0H160C124.7 0 96 28.65 96 64l.0098 288c0 35.35 28.65 64 64 64h224C419.4 416 448 387.3 448 352V158.5C448 141.5 441.3 125.3 429.3 113.3zM320 49.25L398.8 128H336C327.2 128 320 120.8 320 112V49.25zM416 352c0 17.64-14.36 32-32 32H160c-17.64 0-32-14.36-32-32V64c0-17.64 14.36-32 32-32h128v80C288 138.5 309.5 160 336 160H416V352z"],
    "files-medical": [448, 512, [], "f7fd", "M336 480H96c-35.35 0-64-28.66-64-64V112C32 103.2 24.84 96 16 96S0 103.2 0 112V416c0 53.02 42.98 96 96 96h240c8.836 0 16-7.164 16-16S344.8 480 336 480zM429.3 113.3l-94.51-94.51C322.7 6.742 306.5 0 289.5 0H160C124.7 0 96 28.66 96 64l.0098 288c0 35.34 28.65 64 64 64h224C419.4 416 448 387.3 448 352V158.5C448 141.5 441.3 125.3 429.3 113.3zM320 49.25L398.8 128H336C327.2 128 320 120.8 320 112V49.25zM416 352c0 17.64-14.36 32-32 32H160c-17.64 0-32-14.36-32-32V64c0-17.64 14.36-32 32-32h128v80C288 138.5 309.5 160 336 160H416V352zM298.7 189.3c0-7.363-5.969-13.33-13.33-13.33h-26.67c-7.363 0-13.33 5.969-13.33 13.33v40h-40C197.1 229.3 192 235.3 192 242.7v26.67c0 7.363 5.971 13.33 13.33 13.33h40v40c0 7.367 5.969 13.34 13.33 13.34h26.67c7.363 0 13.33-5.969 13.33-13.34v-40h40C346 282.7 352 276.7 352 269.3V242.7c0-7.363-5.971-13.33-13.33-13.33h-40V189.3z"],
    "fill": [512, 512, [], "f575", "M156.7 102.1L221.1 37.66C249.2 9.539 294.8 9.539 322.9 37.66L474.3 189.1C502.5 217.2 502.5 262.8 474.3 290.9L283.9 481.4C246.4 518.9 185.6 518.9 148.1 481.4L30.63 363.9C-6.863 326.4-6.863 265.6 30.63 228.1L134.1 124.7L36.69 27.31C30.44 21.07 30.44 10.93 36.69 4.686C42.93-1.562 53.07-1.562 59.31 4.686L156.7 102.1zM53.25 250.7C42.8 261.2 36.71 274.4 35.01 288H432L451.7 268.3C467.3 252.7 467.3 227.3 451.7 211.7L300.3 60.28C284.7 44.66 259.3 44.66 243.7 60.28L179.3 124.7L267.3 212.7C273.6 218.9 273.6 229.1 267.3 235.3C261.1 241.6 250.9 241.6 244.7 235.3L156.7 147.3L53.25 250.7zM170.7 458.7C195.7 483.7 236.3 483.7 261.3 458.7L400 320H39.16C42.29 327.7 46.98 334.1 53.25 341.3L170.7 458.7z"],
    "fill-drip": [576, 512, [], "f576", "M36.69 4.686C42.93-1.562 53.06-1.562 59.31 4.686L156.7 102.1L221.1 37.66C249.2 9.539 294.8 9.539 322.9 37.66L474.3 189.1C502.5 217.2 502.5 262.8 474.3 290.9L283.9 481.4C246.4 518.9 185.6 518.9 148.1 481.4L30.63 363.9C-6.863 326.4-6.863 265.6 30.63 228.1L134.1 124.7L36.69 27.31C30.44 21.07 30.44 10.93 36.69 4.686L36.69 4.686zM244.7 235.3L156.7 147.3L53.25 250.7C42.8 261.2 36.71 274.4 35.01 288H432L451.7 268.3C467.3 252.7 467.3 227.3 451.7 211.7L300.3 60.28C284.7 44.66 259.3 44.66 243.7 60.28L179.3 124.7L267.3 212.7C273.6 218.9 273.6 229.1 267.3 235.3C261.1 241.6 250.9 241.6 244.7 235.3V235.3zM39.16 320C42.29 327.7 46.98 334.1 53.25 341.3L170.7 458.7C195.7 483.7 236.3 483.7 261.3 458.7L400 320H39.16zM576 448C576 483.3 547.3 512 512 512C476.7 512 448 483.3 448 448C448 422.8 480.6 368.4 499.2 339.3C505.3 329.9 518.7 329.9 524.8 339.3C543.4 368.4 576 422.8 576 448H576zM544 448C543.1 447.9 543.9 446.8 543.4 444.6C542.9 442.2 541.9 439.2 540.6 435.5C537.9 428.1 533.8 419.3 528.9 409.7C523.7 399.5 517.8 389.1 512 379.5C506.2 389.1 500.3 399.5 495.1 409.7C490.2 419.3 486.1 428.1 483.4 435.5C482.1 439.2 481.1 442.2 480.6 444.6C480.1 446.8 480 447.9 480 448C480 448 480 448 480 448C480 465.7 494.3 480 512 480C529.7 480 544 465.7 544 448C544 448 544 448 544 448H544z"],
    "film": [512, 512, [127902], "f008", "M448 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V96C512 60.65 483.3 32 448 32zM384 64v176H128V64H384zM32 96c0-17.64 14.36-32 32-32h32v80H32V96zM32 176h64v64H32V176zM32 272h64v64H32V272zM64 448c-17.64 0-32-14.36-32-32v-48h64V448H64zM128 448V272h256V448H128zM480 416c0 17.64-14.36 32-32 32h-32v-80h64V416zM480 336h-64v-64h64V336zM480 240h-64v-64h64V240zM480 144h-64V64h32c17.64 0 32 14.36 32 32V144z"],
    "film-canister": [576, 512, ["film-cannister"], "f8b7", "M112 32h128C248.8 32 256 24.84 256 16C256 7.162 248.8 0 240 0h-128C103.2 0 96 7.162 96 16C96 24.84 103.2 32 112 32zM336 480H320V96h16C344.8 96 352 88.84 352 80C352 71.16 344.8 64 336 64h-320C7.164 64 0 71.16 0 80C0 88.84 7.164 96 16 96H32v384H16C7.164 480 0 487.2 0 496C0 504.8 7.164 512 16 512h320c8.836 0 16-7.164 16-16C352 487.2 344.8 480 336 480zM288 480H64V96h224V480zM528 128h-160C359.2 128 352 135.2 352 144S359.2 160 368 160h160C536.8 160 544 167.2 544 176v128c0 8.828-7.188 16-16 16c-26.47 0-48 21.53-48 48v32c0 8.828-7.188 16-16 16h-96c-8.844 0-16 7.156-16 16s7.156 16 16 16h96c26.47 0 48-21.53 48-48v-32c0-8.828 7.188-16 16-16c26.47 0 48-21.53 48-48v-128C576 149.5 554.5 128 528 128zM384 376c0 4.418 3.582 8 8 8h16c4.418 0 8-3.582 8-8v-16c0-4.42-3.582-8-8-8h-16C387.6 352 384 355.6 384 360V376zM504 224C508.4 224 512 220.4 512 216v-16C512 195.6 508.4 192 504 192h-16C483.6 192 480 195.6 480 200v16C480 220.4 483.6 224 488 224H504zM392 224h16C412.4 224 416 220.4 416 216v-16C416 195.6 412.4 192 408 192h-16C387.6 192 384 195.6 384 200v16C384 220.4 387.6 224 392 224z"],
    "film-simple": [512, 512, ["film-alt"], "f3a0", "M448 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V96C512 60.65 483.3 32 448 32zM32 96c0-17.64 14.36-32 32-32h32v80H32V96zM32 176h64v64H32V176zM32 272h64v64H32V272zM64 448c-17.64 0-32-14.36-32-32v-48h64V448H64zM128 448V64h256v384H128zM480 416c0 17.64-14.36 32-32 32h-32v-80h64V416zM480 336h-64v-64h64V336zM480 240h-64v-64h64V240zM480 144h-64V64h32c17.64 0 32 14.36 32 32V144z"],
    "film-slash": [640, 512, [], "e179", "M633.9 483.4L25.92 3.42c-6.938-5.453-17-4.25-22.48 2.641c-5.469 6.938-4.281 17 2.641 22.48l608 480C617 510.9 620.5 512 623.1 512c4.734 0 9.422-2.094 12.58-6.078C642 498.1 640.8 488.9 633.9 483.4zM448 64v211.5l32 25.26V272h64v79.28l32 25.26V96c0-35.35-28.65-64-64-64H139.6l40.53 32H448zM480 64h32c17.64 0 32 14.36 32 32v48h-64V64zM480 176h64v64h-64V176zM192 448V236.5L160 211.2V240H96V160.7L64 135.4V416c0 35.35 28.65 64 64 64h372.4l-40.53-32H192zM160 448H128c-17.64 0-32-14.36-32-32v-48h64V448zM160 336H96v-64h64V336z"],
    "films": [576, 512, [], "e17a", "M464 448H96c-35.35 0-64-28.65-64-64V112C32 103.2 24.84 96 16 96S0 103.2 0 112V384c0 53.02 42.98 96 96 96h368c8.836 0 16-7.164 16-16S472.8 448 464 448zM512 32H160C124.7 32 96 60.65 96 96v224c0 35.35 28.65 64 64 64h352c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM192 352H160c-17.64 0-32-14.36-32-32V288h64V352zM192 256H128V160h64V256zM192 128H128V96c0-17.64 14.36-32 32-32h32V128zM448 352H224V224h224V352zM448 192H224V64h224V192zM544 320c0 17.64-14.36 32-32 32h-32V288h64V320zM544 256h-64V160h64V256zM544 128h-64V64h32c17.64 0 32 14.36 32 32V128z"],
    "filter": [512, 512, [], "f0b0", "M0 71.53C0 49.7 17.7 32 39.53 32H472.5C494.3 32 512 49.7 512 71.53C512 80.73 508.8 89.64 502.9 96.73L320 317.8V446.1C320 464.8 304.8 480 286.1 480C278.6 480 271.3 477.5 265.3 472.9L204.4 425.4C196.6 419.4 192 410.1 192 400.2V317.8L9.076 96.73C3.21 89.64 0 80.73 0 71.53V71.53zM39.53 64C35.37 64 32 67.37 32 71.53C32 73.28 32.61 74.98 33.73 76.33L220.3 301.8C222.7 304.7 224 308.3 224 312V400.2L284.1 447.6C285.3 447.9 285.7 448 286.1 448C287.2 448 288 447.2 288 446.1V312C288 308.3 289.3 304.7 291.7 301.8L478.3 76.33C479.4 74.98 480 73.28 480 71.53C480 67.37 476.6 64 472.5 64H39.53z"],
    "filter-circle-dollar": [576, 512, ["funnel-dollar"], "f662", "M472.5 .0003C494.3 .0003 512 17.7 512 39.53C512 48.73 508.8 57.64 502.9 64.73L396.3 193.5C390.7 200.3 380.6 201.3 373.8 195.7C366.1 190 366 179.9 371.7 173.1L478.3 44.33C479.4 42.98 480 41.28 480 39.53C480 35.37 476.6 32 472.5 32H37.62C34.51 32 32 34.52 32 37.62C32 38.91 32.45 40.17 33.27 41.17L220.4 269.9C222.7 272.7 224 276.3 224 280V368L249.6 387.2C256.7 392.5 258.1 402.5 252.8 409.6C247.5 416.7 237.5 418.1 230.4 412.8L198.4 388.8C194.4 385.8 192 381 192 376V285.7L8.503 61.44C3.004 54.72 0 46.3 0 37.62C0 16.84 16.84 0 37.62 0L472.5 .0003zM408.8 335.4C408.4 336.1 407.9 337 408.1 338.1L408.1 339.1C408.1 339.5 408.1 340.9 412.9 343.5C418.5 346.5 426.3 348.7 436.8 351.7L436.9 351.7C446.2 354.4 458.1 357.7 467.5 363.3C477.7 369.3 487.5 379.4 487.1 395.5C488.5 413.8 478.3 425.9 466.3 432.5C460.5 435.6 454.2 437.6 448 438.7V449.5C448 458.4 440.8 465.5 432 465.5C423.2 465.5 416 458.4 416 449.5V438.1C407.4 436.4 399.3 433.8 392.3 431.5C390.5 430.1 388.9 430.4 387.2 429.9C378.8 427.3 374.1 418.3 376.7 409.9C379.3 401.5 388.3 396.8 396.8 399.4C398.8 400 400.7 400.6 402.6 401.2C414 404.8 422.1 407.7 432.5 407.1C439.2 408.2 446.3 406.9 450.1 404.4C453.2 403.2 454.3 401.1 454.1 401C455.5 400.2 456.1 398.9 455.1 396.5C455.1 395.1 455.8 393.5 451.2 390.8C445.1 387.7 438.3 385.4 428.1 382.5L426.3 381.1C417.5 379.5 406.6 376.4 397.7 371.7C387.8 366.4 377.1 357 376.1 341C374.9 322.2 386.1 310.1 397.1 303.8C403.7 300.7 409.9 298.7 416 297.5V288C416 279.2 423.2 272 432 272C440.8 272 448 279.2 448 288V297.4C454.3 298.3 460.3 299.6 465.9 301C474.4 303.2 479.7 311.8 477.5 320.4C475.4 328.1 466.7 334.2 458.1 332.1C448.9 329.8 439.1 328.1 431.8 328C425.6 327.9 418.1 329.3 413 331.1C410.6 333.3 409.4 334.5 408.8 335.4L408.8 335.4zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 480C493.9 480 544 429.9 544 368C544 306.1 493.9 256 432 256C370.1 256 320 306.1 320 368C320 429.9 370.1 480 432 480z"],
    "filter-circle-xmark": [576, 512, [], "e17b", "M472.5 .0003C494.3 .0003 512 17.7 512 39.53C512 48.73 508.8 57.64 502.9 64.73L396.3 193.5C390.7 200.3 380.6 201.3 373.8 195.7C366.1 190 366 179.9 371.7 173.1L478.3 44.33C479.4 42.98 480 41.28 480 39.53C480 35.37 476.6 32 472.5 32H37.62C34.51 32 32 34.52 32 37.62C32 38.91 32.45 40.17 33.27 41.17L220.4 269.9C222.7 272.7 224 276.3 224 280V368L249.6 387.2C256.7 392.5 258.1 402.5 252.8 409.6C247.5 416.7 237.5 418.1 230.4 412.8L198.4 388.8C194.4 385.8 192 381 192 376V285.7L8.503 61.44C3.004 54.72 0 46.3 0 37.62C0 16.84 16.84 0 37.62 0L472.5 .0003zM454.6 368L491.3 404.7C497.6 410.9 497.6 421.1 491.3 427.3C485.1 433.6 474.9 433.6 468.7 427.3L432 390.6L395.3 427.3C389.1 433.6 378.9 433.6 372.7 427.3C366.4 421.1 366.4 410.9 372.7 404.7L409.4 368L372.7 331.3C366.4 325.1 366.4 314.9 372.7 308.7C378.9 302.4 389.1 302.4 395.3 308.7L432 345.4L468.7 308.7C474.9 302.4 485.1 302.4 491.3 308.7C497.6 314.9 497.6 325.1 491.3 331.3L454.6 368zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 256C370.1 256 320 306.1 320 368C320 429.9 370.1 480 432 480C493.9 480 544 429.9 544 368C544 306.1 493.9 256 432 256z"],
    "filter-list": [512, 512, [], "e17c", "M324.4 64C339.6 64 352 76.37 352 91.63C352 98.32 349.6 104.8 345.2 109.8L240 230V423.6C240 437.1 229.1 448 215.6 448C210.3 448 205.2 446.3 200.9 443.1L124.7 385.6C116.7 379.5 112 370.1 112 360V230L6.836 109.8C2.429 104.8 0 98.32 0 91.63C0 76.37 12.37 64 27.63 64H324.4zM144 224V360L208 408.3V223.1C208 220.1 209.4 216.4 211.1 213.5L314.7 95.1H37.26L140 213.5C142.6 216.4 143.1 220.1 143.1 223.1L144 224zM496 400C504.8 400 512 407.2 512 416C512 424.8 504.8 432 496 432H336C327.2 432 320 424.8 320 416C320 407.2 327.2 400 336 400H496zM320 256C320 247.2 327.2 240 336 240H496C504.8 240 512 247.2 512 256C512 264.8 504.8 272 496 272H336C327.2 272 320 264.8 320 256zM496 80C504.8 80 512 87.16 512 96C512 104.8 504.8 112 496 112H400C391.2 112 384 104.8 384 96C384 87.16 391.2 80 400 80H496z"],
    "filter-slash": [640, 512, [], "e17d", "M633.9 483.4C640.9 488.9 642 498.1 636.6 505.9C631.1 512.9 621 514 614.1 508.6L6.086 28.56C-.8493 23.08-2.033 13.02 3.443 6.086C8.918-.8493 18.98-2.033 25.91 3.443L633.9 483.4zM566.9 96.73L430.4 261.6L405.3 241.8L542.3 76.33C543.4 74.98 544 73.28 544 71.53C544 67.37 540.6 64 536.5 64H180.1L139.6 32H536.5C558.3 32 576 49.7 576 71.53C576 80.73 572.8 89.64 566.9 96.73L566.9 96.73zM352 362.8L384 388.1V446.1C384 464.8 368.8 480 350.1 480C342.6 480 335.3 477.5 329.3 472.9L268.4 425.4C260.6 419.4 255.1 410.1 255.1 400.2V287L287.1 312.3V400.2L348.1 447.6C349.3 447.9 349.7 448 350.1 448C351.2 448 352 447.2 352 446.1V362.8z"],
    "filters": [640, 512, [], "e17e", "M600.9 32C622.5 32 640 49.5 640 71.08C640 80.8 636.4 90.17 629.8 97.36L480 262.2V425.1C480 438.1 470.1 448 457.1 448C453.3 448 448.8 446.5 445 443.8L365.2 385.7C356.9 379.7 352 370.1 352 359.9V262.2L202.2 97.36C195.6 90.17 192 80.8 192 71.08C192 49.5 209.5 32 231.1 32H600.9zM225.8 75.84L379.8 245.2C382.5 248.2 384 252 384 256V359.9L448 406.4V256C448 252 449.5 248.2 452.2 245.2L606.2 75.84C607.3 74.54 608 72.84 608 71.08C608 67.17 604.8 64 600.9 64H231.1C227.2 64 224 67.17 224 71.08C224 72.84 224.7 74.54 225.8 75.84V75.84zM33.84 139.8L187.8 309.2C190.5 312.2 192 316 192 320V391.9L256 438.4V320C256 316 257.5 312.2 260.2 309.2L289.3 277.2C295.2 270.7 305.3 270.2 311.9 276.2C318.4 282.1 318.9 292.2 312.9 298.8L288 326.2V457.1C288 470.1 278.1 480 265.1 480C261.3 480 256.8 478.5 253 475.8L173.2 417.7C164.9 411.7 160 402.1 160 391.9V326.2L10.16 161.4C3.623 154.2 0 144.8 0 135.1C0 113.5 17.5 96 39.08 96H160C168.8 96 176 103.2 176 112C176 120.8 168.8 128 160 128H39.08C35.17 128 32 131.2 32 135.1C32 136.8 32.66 138.5 33.84 139.8V139.8z"],
    "fingerprint": [512, 512, [], "f577", "M256 169.9C227.8 170.4 203.1 179.5 184.6 198.2c-17.1 17.1-27.62 41.87-27.25 67.37c.75 50.25-3.875 100.5-13.1 149.4c-1.875 8.749 3.75 17.12 12.37 18.1c8.5 1.625 17.12-3.875 18.87-12.5c10.62-51.12 15.5-103.7 14.75-156.4C189.1 248.3 195.5 232.5 207.3 220.8c18.62-18.62 42.25-18.87 48.75-18.87c37.12 .6249 66.37 30.25 66.1 66.12c.75 50.37-2.1 100.9-11.12 149.1c-1.5 8.749 4.375 16.1 13.12 18.5c.9997 .125 1.75 .125 2.75 .125c7.625 0 14.37-5.5 15.75-13.37c8.375-50.1 12.25-103.5 11.5-155.7C354.1 214.5 310.3 170.8 256 169.9zM255.9 256c-8.75 .125-15.87 7.374-15.75 16.25c1.125 73.37-8.125 144.1-27.75 215.1l-1.25 4.25C209.3 498.3 212.9 512 226.6 512c6.1 0 13.37-4.625 15.37-11.62l1.25-4.375c20.37-73.12 30.12-147.7 28.87-224.2C272 262.9 264 255.9 255.9 256zM112.6 149.8C87.51 180.8 74.01 219.9 74.63 260c.625 39.5-2.625 79.12-9.625 117.5c-1.625 8.749 4.125 17.12 12.87 18.62c.1 .25 1.875 .25 2.875 .25c7.625 0 14.37-5.375 15.75-13.12C103.9 342.8 107.3 301.1 106.6 259.5C106 226.5 116.8 195.5 137.5 170c5.625-6.874 4.5-16.1-2.375-22.5C128.4 141.9 118.3 142.9 112.6 149.8zM511.9 252.9c-.25-16.5-2.156-33.13-5.781-49.26c-1.875-8.499-10.34-13.99-18.97-12.11c-8.625 1.875-14.15 10.37-12.27 18.99c3.125 13.1 4.771 28.5 5.021 42.88c.125 7.624 .125 15.25 .125 22.87c-.125 8.874 6.1 16.12 15.87 16.12c8.75 0 15.1-6.999 16.12-15.87C512 268.6 512 260.8 511.9 252.9zM252.7 .0269C182.7-1.223 118.5 24.1 70.47 72.99C24.1 119.4-.8685 180.8 .1314 246.3C.2564 253.8 .2564 261.3 .0064 268.9c-.25 8.749 6.75 16.12 15.5 16.37h.5c8.625 0 15.75-6.874 15.1-15.5c.25-7.999 .2477-15.99 .1227-23.99C31.25 189 52.91 135.7 93.03 95.55C134.8 53.8 191.1 31.14 252.2 32.02c74.62 1.125 144.7 38.15 187.6 99.27c5.125 7.249 15.16 9.114 22.28 3.989c7.25-4.1 8.971-15.1 3.846-22.35C417.2 43.43 337.6 1.277 252.7 .0269zM253.9 85.04C238.6 84.79 223.5 86.41 208.8 89.91c-8.625 1.1-13.1 10.62-11.87 19.25c1.1 8.624 10.75 13.87 19.25 11.87c12.12-2.875 24.1-4.25 37.25-3.1c82.75 1.25 151.1 67.49 152.4 147.9c.625 39.62-1.375 79.62-5.75 118.7c-.1 8.749 5.25 16.62 13.1 17.62c.6253 .125 1.25 .125 1.875 .125c7.1 0 14.87-5.1 15.87-14.12c4.625-40.5 6.625-81.87 5.1-122.9C436.3 166.9 353.8 86.54 253.9 85.04z"],
    "fire": [448, 512, [128293], "f06d", "M327.1 218.8c-2.656-4.344-7.219-7.156-12.28-7.594c-5.125-.2813-10.05 1.562-13.41 5.375l-38.58 44c-23.11-29.47-70.2-89.5-75.16-95.16C184.6 161.9 179.5 159.2 175.5 160C170.8 160.1 166.4 162.2 163.4 165.8C122.7 214.5 96 249.5 96 290.4C96 299.3 103.2 306.4 112 306.4S128 299.3 128 290.4c0-24.72 14.77-48.78 47.5-89.06c17.56 22.12 50.45 64.03 74.08 94.22c2.938 3.75 7.391 6 12.14 6.125c5.203 .1875 9.344-1.844 12.48-5.438l36.33-41.47c19.27 39.81 8.547 87.06-25.61 111c-7.234 5.062-8.984 15.03-3.922 22.28c3.125 4.438 8.078 6.812 13.12 6.812c3.172 0 6.375-.9375 9.172-2.906c48.08-33.69 62.78-100.2 34.17-154.8C334.4 231.3 330.9 225.1 327.1 218.8zM327.3 52.34c-6.156-5.75-15.72-5.75-21.88 0c-14.03 13.16-27.58 27.25-40.44 42.06c-23.86-31-51.94-61.84-82.08-90.09c-6.156-5.75-15.72-5.75-21.88 0C67.73 91.72 0 207.7 0 280C0 407.9 100.5 512 224 512s224-104.1 224-231.1C448 225.8 398.4 118.1 327.3 52.34zM224 480c-105.9 0-192-89.72-192-199.1c0-60.59 59.45-162.6 140-241.9c29.73 29 56.95 60.38 79.28 91.38c2.922 4.062 7.547 6.5 12.53 6.656c5.922 .2187 9.766-2.062 12.89-5.938c12.45-15.41 25.7-30.09 39.55-43.88C373.2 145.5 416 236.2 416 280C416 390.3 329.9 480 224 480z"],
    "fire-burner": [640, 512, [], "e4f1", "M285.1 95.1C289.9 96.02 294.5 98.22 297.5 102C299.6 104.6 315.1 124.4 330.1 143.5L347.6 165.8L370.9 138.6C374 134.9 378.7 132.8 383.5 133C388.4 133.2 392.9 135.5 395.8 139.4C399.7 144.6 402.2 149.7 404.1 153.5L404.2 153.6C425.5 192.9 416.5 244 379.2 270.1L378.9 270.3C361.3 282 342.3 287.1 320.1 287.1C295.1 287.1 270.8 279.6 252.8 263.2C234.7 246.6 224 222.7 224 193.1C224 178.3 229 164.3 237.4 149.8C245.6 135.7 257.7 120.3 272.6 101.9C275.6 98.16 280.2 95.98 285.1 95.1V95.1zM379.8 177.3L359.1 201.4C356 205.1 351.4 207.1 346.6 206.1C341.9 206.9 337.4 204.6 334.4 200.9L284.9 137.8C276.3 148.8 269.8 157.8 265.1 165.9C258.5 177.2 256 185.7 256 193.1C256 214.3 263.3 229.4 274.4 239.6C285.7 249.9 301.9 255.1 321 255.1C335.7 255.1 348.6 252 360.1 243.8C381.1 229.6 388.8 201.1 379.8 177.3H379.8zM327.5 37.13C334.9 45 342.1 53.12 349 61.49C355.5 53.42 362.6 44.71 370.3 37C371.1 35.27 373.7 33.59 375.5 31.99C381.1 26.87 389.9 26.89 395.5 32.03C420.2 54.71 441.1 84.69 455.8 113.2C470.4 141.2 480 169.9 480 190.1C480 277.9 408.7 352 319.1 352C230.3 352 159.1 277.8 159.1 190.1C159.1 163.7 172.7 131.5 192.4 99.52C212.4 67.16 240.5 33.43 273.8 3.734C279.4-1.26 287.1-1.242 293.5 3.773C305.3 14.38 316.7 25.49 327.5 37.13V37.13zM349.4 93.49C339.8 93.59 330.6 89.36 324.4 81.95C311.6 66.48 297.1 51.92 283.6 38.22C257.6 63.23 235.6 90.47 219.6 116.3C201 146.4 192 172.5 192 190.1C192 260.9 248.7 319.1 320 319.1C390.4 319.1 448 260.8 448 190.1C448 177.7 441.2 154.5 427.4 127.9C416.5 106.8 402.1 85.26 385.6 67.43C381.8 71.79 377.1 76.5 374.1 81.41C368.1 88.94 359 93.38 349.4 93.49L349.4 93.49zM168 448C168 434.7 178.7 424 192 424C205.3 424 216 434.7 216 448C216 461.3 205.3 472 192 472C178.7 472 168 461.3 168 448zM344 448C344 461.3 333.3 472 320 472C306.7 472 296 461.3 296 448C296 434.7 306.7 424 320 424C333.3 424 344 434.7 344 448zM424 448C424 434.7 434.7 424 448 424C461.3 424 472 434.7 472 448C472 461.3 461.3 472 448 472C434.7 472 424 461.3 424 448zM32 271.1C32 263.2 39.16 255.1 48 255.1H112C120.8 255.1 128 263.2 128 271.1C128 280.8 120.8 287.1 112 287.1H64V384H576V287.1H528C519.2 287.1 512 280.8 512 271.1C512 263.2 519.2 255.1 528 255.1H592C600.8 255.1 608 263.2 608 271.1V386.7C626.6 393.3 640 411.1 640 432V464C640 490.5 618.5 512 592 512H48C21.49 512 0 490.5 0 464V432C0 411.1 13.36 393.3 32 386.7V271.1zM32 464C32 472.8 39.16 480 48 480H592C600.8 480 608 472.8 608 464V432C608 423.2 600.8 416 592 416H48C39.16 416 32 423.2 32 432V464zM347 190.1L334.4 200.9z"],
    "fire-extinguisher": [512, 512, [129519], "f134", "M503.4 5.56c-4.363-3.625-9.818-5.554-15.44-5.554c-1.404 0-2.819 .1246-4.231 .3668l-175.1 32c-11.41 2.094-19.7 12.03-19.7 23.63L288 64H192V16C192 7.164 184.8 0 176 0C167.2 0 160 7.164 160 16V64H112C50.25 64 0 114.3 0 176C0 184.8 7.156 192 16 192S32 184.8 32 176C32 131.9 67.88 96 112 96H160v33.61C105.8 137.4 64 183.6 64 240L64 464C64 490.5 85.49 512 112 512h128c26.51 0 48-21.49 48-48l0-224c0-56.38-41.79-102.6-95.1-110.4V96h96l-.0001 7.998c0 11.59 8.297 21.53 19.7 23.62l175.1 31.1c1.438 .25 2.875 .375 4.297 .375c5.578 0 11.03-1.938 15.37-5.562c5.469-4.562 8.625-11.31 8.625-18.44V23.1C511.1 16.87 508.8 10.12 503.4 5.56zM256 464c0 8.824-7.178 16-16 16h-128C103.2 480 96 472.8 96 464V448h160V464zM256 240V416H96V240C96 195.9 131.9 160 176 160C220.1 160 256 195.9 256 240zM480 126.4L320 97.34V62.66l160-29.09V126.4z"],
    "fire-flame": [384, 512, ["flame"], "f6df", "M214 8.775C207.9 2.926 199.1 0 191.1 0S176.1 2.924 169.1 8.77C69.46 105.3 0 226.2 0 300.5C0 425 79 512 192 512s192-87 192-211.5C384 225.1 314.1 105 214 8.775zM192 480c-95.7 0-160-72.14-160-179.5c0-55.67 56.17-168.8 159.9-268.5c.0078-.0039-.0449 0 0 0C283.2 119.7 352 235.1 352 300.5C352 407.9 287.7 480 192 480zM252.1 212.9c-26.5-22.62-51.63-44-51.63-77.63c0-4.5-3.75-6.25-5.375-6.75C194.2 128.2 193.1 128 191.9 128C189.4 128 186.6 128.9 184.5 131.6C111.4 231.2 224 224 224 296C224 327 198.9 352 168 352C137 352 112 327 112 296V256c0-2.125-.875-4.125-2.375-5.625C108.1 248.8 106 248 104 248S99.94 248.8 98.38 250.4C89.88 258.6 64 286 64 330.1C64 395.1 121.4 448 192 448s128-52.88 128-117.9C320 271 285.5 241.5 252.1 212.9zM192 416c-45.26 0-83.31-28.17-93.39-65.93C114.7 370.7 139.8 384 168 384C216.5 384 256 344.5 256 296c0-20.68-6.092-36.89-14.54-50.06C268.2 269.3 288 290.6 288 330.1C288 377.5 244.9 416 192 416z"],
    "fire-flame-curved": [384, 512, ["fire-alt"], "f7e4", "M215.1 23.88c0-14.8-11.83-23.88-24.04-23.88c-7.428 0-15 3.39-20.11 10.85C48.01 191.9 224 200 224 288c0 35.34-28.66 63.99-63.98 63.99c-.2852 0-.5742-.0019-.8594-.0058C123.1 351.5 96 322.2 96 287V201.5c0-14.52-11.85-24.04-24.17-24.04c-6.098 0-12.31 2.327-17.26 7.536C27.82 213.2 0 261.3 0 319.1C0 425.9 86.13 512 192 512s192-86.13 192-192C384 149.7 215.1 127 215.1 23.88zM192 480c-88.22 0-160-71.78-160-160c0-42.98 17.88-76.42 32-96.13v63.17c0 52.8 42.51 96.29 96.02 96.94C212.9 383.1 256 340.9 256 288c0-44.4-28.76-72.34-54.14-96.1c-37.22-36.17-64.82-62.98-15.63-143.6c8.922 45.89 43.16 77.52 76.42 108.3C306.6 196.3 352 238.2 352 320C352 408.2 280.2 480 192 480z"],
    "fire-flame-simple": [384, 512, ["burn"], "f46a", "M214 8.775C201.8-2.924 182.2-2.924 169.1 8.77C69.46 105.3 0 226.2 0 300.5C0 425 79 512 192 512s192-87 192-211.5C384 225.1 314.1 105 214 8.775zM212.8 477.9C205.9 478.8 199.3 480 192 480s-13.88-1.25-20.75-2.125c-43.5-8.5-72.38-44.13-72.38-92.63C98.88 371.9 103.1 324 192 224c88.88 100 93.13 147.9 93.13 161.3C285.1 433.8 256.3 469.3 212.8 477.9zM310.9 424.9c3.75-12.38 6.25-25.5 6.25-39.63c0-81-112.8-195.5-125.1-209.5c-12.88 14.5-125.1 128.6-125.1 209.5c0 14.12 2.5 27.25 6.25 39.63C47.25 393.6 32 350.9 32 300.5c0-90.75 122.6-227.5 160-263.6c37.38 36 160 172.8 160 263.6C352 350.9 336.8 393.6 310.9 424.9z"],
    "fire-hydrant": [384, 512, [], "e17f", "M120 328c0 39.76 32.24 72 72 72c39.77 0 72-32.24 72-72C264 288.2 231.8 256 192 256C152.2 256 120 288.2 120 328zM232 328c0 22.05-17.94 40-40 40s-40-17.95-40-40C152 305.9 169.9 288 192 288S232 305.9 232 328zM320 240V224c0-8.838-7.164-16-16-16S288 215.2 288 224v256H96V224c0-8.838-7.164-16-16-16S64 215.2 64 224v16C37.53 240 16 261.5 16 288v64c0 26.47 21.53 48 48 48V480H48C39.16 480 32 487.2 32 496C32 504.8 39.16 512 48 512h288c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16H320v-80c26.47 0 48-21.53 48-48V288C368 261.5 346.5 240 320 240zM64 368c-8.828 0-16-7.188-16-16V288c0-8.828 7.172-16 16-16V368zM336 352c0 8.812-7.172 16-16 16v-96c8.828 0 16 7.172 16 16V352zM48 176h288C344.8 176 352 168.8 352 160c0-8.838-7.164-16-16-16h-17.61C311.1 86.24 265.8 40.9 208 33.61V16C208 7.156 200.8 0 192 0S176 7.156 176 16v17.61C118.2 40.9 72.9 86.24 65.61 144H48C39.16 144 32 151.2 32 160C32 168.8 39.16 176 48 176zM192 64c47.48 0 87.03 34.65 94.67 80H97.33C104.1 98.65 144.5 64 192 64z"],
    "fire-smoke": [640, 512, [], "f74b", "M166.6 255.9c1.594 0 3.266-.1367 4.875-.6367c8.422-2.656 13.08-11.66 10.41-20.09C177.1 222.9 176 210.5 176 198.2c0-34.22 36.38-100.1 104.1-161.1c21.78 19.25 41.77 40.06 58.3 60.72c2.938 3.656 7.344 5.844 12.03 6c4.75 .2813 9.219-1.781 12.36-5.281c8.75-9.719 18.22-19.16 28.25-28.22C435.9 112.8 464 172.5 464 197.1c0 12.28-1.938 24.78-5.781 37.22c-2.594 8.438 2.141 17.41 10.58 20c8.422 2.625 17.39-2.125 20.02-10.56C493.6 229.1 496 213.4 496 197.1c0-38.78-38.86-114.5-94.63-161.2c-5.938-4.938-14.62-4.969-20.56 .0313c-10.23 8.625-20.02 17.66-29.22 26.97c-18.02-20.75-38.94-41.25-61.27-60c-5.938-5-14.62-5-20.56 0C195.7 65.84 144 145.8 144 198.2c0 15.59 2.469 31.28 7.344 46.66C153.5 251.7 159.8 255.9 166.6 255.9zM396.2 239.8c8.625 1.562 16.94-4.531 18.34-13.25c3.594-22.38 .4062-45.81-9.016-66.13c-2.188-4.656-4.703-9.656-7.328-14.62c-2.531-4.812-7.328-8.031-12.73-8.5c-5.656-.4687-10.7 1.812-14.05 6.094l-23.39 30.03c-17.39-25-46.52-66.78-49.73-71.06C295.3 98.34 290.5 96 285.5 96C280.5 96.03 275.7 98.44 272.7 102.5C243.3 142.2 224 170.7 224 204.1c0 8.031 .7031 15.62 2.031 22.78C227.5 234.6 234.2 240 241.8 240c.9687 0 1.938-.0938 2.922-.2813C253.4 238.1 259.1 229.8 257.5 221.1C256.5 215.8 256 210.1 256 204.1c0-18.16 9.172-36.06 29.36-64.66c13.09 18.72 33.63 48.19 48.8 70.03c2.906 4.188 7.625 6.719 12.7 6.875c5.5 .375 9.938-2.156 13.06-6.156l20.45-26.25c3.672 11.97 4.594 24.94 2.578 37.5C381.5 230.2 387.5 238.4 396.2 239.8zM528 288c-32.8 0-63.56 14.62-84.53 38.88c-25.47-43.34-72-70.88-123.5-70.88s-98 27.53-123.5 70.88C175.6 302.6 144.8 288 112 288C50.25 288 0 338.3 0 400S50.25 512 112 512h416c61.75 0 112-50.25 112-112S589.8 288 528 288zM528 480h-416C67.89 480 32 444.1 32 400S67.89 320 112 320c30.95 0 59.41 18.31 72.48 46.66c2.766 6 9.094 10.03 15.42 9.281c6.562-.375 12.23-4.719 14.3-10.94C229.5 318.9 271.1 288 320 288s90.55 30.94 105.8 77c2.062 6.219 7.734 10.56 14.3 10.94c6.547 .75 12.67-3.281 15.42-9.281C468.6 338.3 497 320 528 320c44.11 0 80 35.88 80 80S572.1 480 528 480z"],
    "fireplace": [640, 512, [], "f79a", "M342.3 311.6C328.3 292.8 310.9 273.8 291.3 256c-50.5 45.63-86.5 105-86.5 140.8C204.8 460.4 256.4 512 320 512s115.3-51.63 115.3-115.3c0-26.5-26.75-81.5-64-115.1C360.5 291.3 350.8 301.4 342.3 311.6zM320 480c-45.88 0-83.25-37.25-83.25-83.25c0-19.5 20.5-58.88 54.5-96c9.375 9.875 17.88 20 25.38 30l24.12 32.38L370.4 328c20.5 26.88 32.88 57.38 32.88 68.75C403.3 442.8 365.9 480 320 480zM608 0H32C14.4 0 0 14.4 0 32v64c0 17.6 14.4 32 32 32h576c17.6 0 32-14.4 32-32V32C640 14.4 625.6 0 608 0zM608 96H32V32h576V96zM592 160C583.2 160 576 167.2 576 176V480h-64v-128c0-105.9-86.13-192-192-192s-192 86.13-192 192v128H64V176C64 167.2 56.84 160 48 160C39.16 160 32 167.2 32 176V480c0 17.75 14.25 32 32 32h64c17.75 0 32-14.25 32-32v-128c0-88.38 71.63-160 160-160s160 71.63 160 160v128c0 17.75 14.25 32 32 32h64c17.75 0 32-14.25 32-32V176C608 167.2 600.8 160 592 160z"],
    "fish": [576, 512, [128031], "f578", "M392 256C392 242.7 402.7 232 416 232C429.3 232 440 242.7 440 256C440 269.3 429.3 280 416 280C402.7 280 392 269.3 392 256zM4.216 336.1L50 256L4.216 175.9C-2.97 163.3-.8133 147.5 9.474 137.3C19.76 127.1 35.61 125.1 48.12 132.4L137.8 184.7C150 170.1 164.3 155.3 180.5 141.5C219.7 108.5 272.6 80 336 80C399.4 80 452.3 108.5 491.5 141.5C530.5 174.5 558.3 213.1 572.4 241.3C577.2 250.5 577.2 261.5 572.4 270.7C558.3 298 530.5 337.5 491.5 370.5C452.3 403.5 399.4 432 336 432C272.6 432 219.7 403.5 180.5 370.5C164.3 356.7 150 341.9 137.8 327.3L48.12 379.6C35.61 386.9 19.76 384.9 9.474 374.7C-.813 364.5-2.97 348.7 4.216 336.1L4.216 336.1zM201.2 346C236.7 376 282.5 400 336 400C389.5 400 435.3 376 470.8 346C506.4 316 531.6 280 544 256C531.6 231.1 506.4 195.1 470.8 166C435.3 135.1 389.5 112 336 112C282.5 112 236.7 135.1 201.2 166C186.5 178.4 173.5 191.8 162.4 205.2L145.1 225.1L32 159.1L86.86 255.1L32 352L145.1 286L162.4 306.8C173.5 320.2 186.5 333.6 201.2 346V346z"],
    "fish-bones": [576, 512, [], "e304", "M432.2 96c-8.416 0-16.2 6.876-16.2 16.23v127.8h-48V160.2c0-8.823-7.157-15.96-16-15.96c-8.844 0-16 7.139-16 15.96v79.81H272V160.2c0-8.823-7.157-15.96-16-15.96S240 151.4 240 160.2v79.81H176V160.2c0-8.823-7.157-15.96-16-15.96c-8.844 0-16 7.139-16 15.96v79.81H56.02L31.19 128.1l37.97 34.85c3.196 2.934 7.006 4.249 10.74 4.249c8.246 0 16.11-6.424 16.11-16c0-4.466-1.875-8.727-5.168-11.75L52.66 104.4C46.67 99.09 39.32 96.38 31.9 96.38c-16.75 0-31.83 13.78-31.83 32.76c0 5.299-1.477-3.092 26.74 126.9c-28.33 130.4-26.8 121.8-26.8 126.9c0 18.84 15.2 32.69 31.82 32.69c7.441 0 14.84-2.741 20.95-8.116l38.06-34.97c3.291-3.022 5.162-7.282 5.162-11.75c0-9.598-7.898-16.08-16.17-16.08c-3.708 0-7.491 1.304-10.67 4.216l-37.23 34.11l24.14-111.1H144v79.81c0 8.823 7.157 15.96 16 15.96c8.844 0 16-7.139 16-15.96V271.1h64v79.81c0 8.823 7.157 15.96 16 15.96s16-7.139 16-15.96V271.1h64v79.81c0 8.823 7.157 15.96 16 15.96c8.844 0 16-7.139 16-15.96V271.1h48v127.8C416 409.1 423.8 416 432.2 416C457.8 416 576 309.4 576 256C576 202.4 457.6 96 432.2 96zM448 371.3V140.7c58.16 41.65 96.01 99.83 96.01 115.3S506.2 329.7 448 371.3z"],
    "fish-cooked": [576, 512, [], "f7fe", "M324.1 64C228.6 64 154.8 132.1 123 168.8L52.64 104C42.43 94.97 28.27 93.47 16.52 100.1C4.393 106.1-2.045 120.1 .6738 135.4L26.8 256l-26.22 120.1c-2.625 14.03 3.812 28.06 16 34.94c11.69 6.625 25.81 5.094 36.19-4.062l70.16-64.63C154.8 379 228.7 448 324.1 448c135.3 0 251-146.3 251-192S460.2 64 324.1 64zM324.1 416C248.8 416 177.9 361.3 136.8 310.2C134.1 306.7 129.1 304.5 125.6 304.2C125.2 304.2 124.8 304.2 124.4 304.2c-4 0-7.875 1.5-10.84 4.219l-81.6 74.94l26.88-123.9c.5-2.25 .5-4.562 0-6.781L31.18 127.8l82.44 75.84c3.281 3 7.812 4.625 12.06 4.188c4.406-.3438 8.5-2.5 11.28-5.969C177.9 150.7 248.8 96 324.1 96C447.8 96 544 231.2 544 256S447.8 416 324.1 416zM427.3 164.7c-6.25-6.25-16.38-6.25-22.63 0l-160 160c-6.25 6.25-6.25 16.38 0 22.62C247.8 350.4 251.9 352 255.1 352s8.188-1.562 11.31-4.688l160-160C433.6 181.1 433.6 170.9 427.3 164.7zM251.3 235.3l64-64c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0l-64 64c-6.25 6.25-6.25 16.38 0 22.62C231.8 238.4 235.9 240 240 240S248.2 238.4 251.3 235.3zM420.7 276.7l-64 64c-6.25 6.25-6.25 16.38 0 22.62C359.8 366.4 363.9 368 368 368s8.188-1.562 11.31-4.688l64-64c6.25-6.25 6.25-16.38 0-22.62S426.9 270.4 420.7 276.7z"],
    "fish-fins": [576, 512, [], "e4f2", "M392 256C392 242.7 402.7 232 416 232C429.3 232 440 242.7 440 256C440 269.3 429.3 280 416 280C402.7 280 392 269.3 392 256zM275.2 473.6C264.6 481.6 250.2 482.1 238.9 475.1C227.7 468 222 454.7 224.6 441.7L234.3 393.1C214.1 384.1 197.5 373.2 181.1 361.6C166.6 350.1 152.1 337.7 141.2 325.3L48.12 379.6C35.61 386.9 19.76 384.9 9.475 374.7C-.8124 364.5-2.969 348.7 4.217 336.1L50 255.1L4.217 175.9C-2.969 163.3-.8124 147.5 9.475 137.3C19.76 127.1 35.61 125.1 48.12 132.4L141.2 186.7C152.1 174.3 166.6 161.9 181.1 150.4C197.5 138.8 214.1 127.9 234.3 118.9L224.6 70.28C222 57.27 227.7 44 238.9 36.93C250.2 29.85 264.6 30.44 275.2 38.4L352.8 96.61C407.7 100.6 454.3 123.6 490 150.4C529.2 179.8 557.3 215.1 571.7 239.9C577.4 249.9 577.4 262.1 571.7 272.1C557.3 296.9 529.2 332.2 490 361.6C454.3 388.4 407.7 411.4 352.8 415.4L275.2 473.6zM201.2 176C187.4 186.4 175 197.6 164.4 208.8L146.9 227L32 159.1L86.86 255.1L32 352L146.9 284.1L164.4 303.2C175 314.4 187.4 325.6 201.2 336C215.1 346.5 230.7 356.2 247.8 364L270.7 374.6L256 448L341.1 384.2L350.5 383.5C397.7 380.1 438.5 360.2 470.8 336C506.4 309.3 531.6 277.3 544 256C531.6 234.7 506.4 202.7 470.8 176C438.5 151.8 397.7 131.9 350.5 128.5L341.1 127.8L256 64L270.7 137.4L247.8 147.1C230.7 155.8 215.1 165.5 201.2 176V176z"],
    "fishing-rod": [512, 512, [], "e3a8", "M320.1 32.05C336.6 32.05 368 44.94 368 80.07V144c0 8.843 7.156 15.1 16 15.1s16-7.156 16-15.1V80.07C400 21.33 347.1 0 320.2 0c-6.516 0-13.08 .8069-19.58 2.453L237.6 18.23C144.8 41.42 80 124.4 80 219.1v68.02c-26.51 0-48 21.49-48 47.1v127.1C32 490.5 53.49 512 80 512h32C138.5 512 160 490.5 160 464V336C160 309.5 138.5 288 112 288V219.1c0-80.9 54.81-151.1 133.3-170.7l63.03-15.78C312.3 32.53 316.2 32.05 320.1 32.05zM128 336v127.1c0 8.821-7.178 15.1-16 15.1h-32c-8.822 0-16-7.177-16-15.1v-127.1c0-8.821 7.178-15.1 16-15.1h32C120.8 320 128 327.2 128 336zM442.4 449.3C467.9 422.1 496 383.5 496 337.3c0-77.46-87.63-145.3-112-145.3c-24.86 0-112 68.32-112 145.3c0 46.18 28.1 85.62 53.62 111.9l-8.633 13.6c-3.315 5.221-4.984 11.18-4.984 17.15C312 498.4 327.1 512 344 512h80c17.09 0 31.1-13.77 31.1-31.1c0-5.971-1.669-11.93-4.984-17.15L442.4 449.3zM344 480l22.84-35.98C343.3 424.1 304 383.9 304 337.3c0-66.27 80-113.3 80-113.3s80 47.07 80 113.3c0 46.52-39.35 86.76-62.84 106.7L424 480H344zM384 288c-13.25 0-24 10.75-24 23.1c0 13.25 10.75 23.1 24 23.1s24-10.75 24-23.1C408 298.8 397.3 288 384 288z"],
    "flag": [512, 512, [61725, 127988], "f024", "M498.5 6.232c-19.76-11.99-38.92-3.226-41.61-1.1c-41.75 19.06-76.02 27.94-107.8 27.94c-28.92 0-51.74-7.321-75.9-15.09C247.5 8.844 220.1 .3094 185.2 .3055C159 .3055 121.3 2.641 32 38.84V16.01c0-8.836-7.164-15.1-16-15.1S0 7.172 0 16.01V496C0 504.8 7.164 512 16 512S32 504.8 32 496v-104.9c14.47-6.441 77.75-38.93 148.8-38.93c36.8 0 67.14 7.713 99.25 15.89c30.74 7.82 62.49 15.9 99.31 15.9c35.46 0 72.08-7.553 111.1-23.09c12.28-4.781 20.38-16.6 20.38-29.78L512 32.35C512 22.01 507.4 11.6 498.5 6.232zM479.7 331c-36.11 14.07-68.93 20.91-100.3 20.91c-32.81 0-61.26-7.238-91.39-14.9C255.4 328.7 221.7 320.2 180.8 320.2c-45.89 0-93.61 11.31-145.9 34.58L32 356.1V73.37l28.01-11.35c49.34-19.98 90.29-29.7 125.2-29.7c30.74 0 53.8 7.406 78.2 15.24c25.44 8.172 51.75 16.62 85.69 16.62c69.43 0 130.9-32.17 130.9-32.17L479.7 331z"],
    "flag-checkered": [576, 512, [127937], "f11e", "M504.4 0c-7 0-14.25 1.5-21.25 4.625c-50.5 22.62-87.75 30.25-119 30.25c-66.13 0-104.5-34.5-180.9-34.5c-31.62 0-70.13 6.5-119.4 23.25V16c0-8.75-7.25-16-16-16s-16 7.25-16 16l.0833 480c0 8.797 7.199 16 16 16s15.92-7.203 15.92-16v-92.38c44.25-15.88 81.63-22 114.5-22C259.6 381.6 316.1 416 397.5 416c35.25 0 75.13-6.5 123.6-25C535.1 385.6 544 373.1 544 359.8V33.38C543.9 13 525.3 0 504.4 0zM496.1 33.75c9.375-4.125 15.62-.5 15.62 5.625v60.39C481.7 109.4 455.7 114.7 432 117.4V56.98C452.1 51.55 473.1 44.07 496.1 33.75zM511.8 187.8C481.7 197.4 455.7 202.7 432 205.4V149.7c23.75-2.562 49.85-7.523 79.75-16.52V187.8zM511.8 275.5C481.7 285.2 455.7 290.4 432 293.1v-55.39c23.75-2.562 49.85-7.523 79.75-16.52V275.5zM400 207.4c-35.51 .3828-65.9-5.281-96-12.23V140.2c28.62 6.516 59.24 12.03 96 11.52V207.4zM272 187.8c-29.19-6.516-60.04-11.67-96-11.27V120.5c35.51-.3594 65.88 5.328 96 12.29V187.8zM272 220.8v54.8c-29.19-6.516-60.04-11.67-96-11.27V208.5C211.5 208.1 241.9 213.8 272 220.8zM304 228.2c28.62 6.516 59.24 12.03 96 11.52V295.2c-35.51 .3828-65.9-5.281-96-12.23V228.2zM400 63.8v55.61c-35.51 .3828-65.9-5.281-96-12.23V58.69c18.09 4.648 37.33 8.188 60 8.188C375.7 66.88 387.7 65.66 400 63.8zM272 49.48v50.34c-29.19-6.516-60.04-11.67-96-11.27V32.79c2.332-.0781 4.842-.4141 7.125-.4141C217.7 32.38 244.7 40.9 272 49.48zM63.75 369.4V57.25C93.2 46.53 119.7 39.73 144 35.94v54.5C119.9 92.95 93.77 97.82 64 106.8v33.34c30.16-9.688 56.21-14.91 80-17.6v55.91C119.9 180.9 93.77 185.8 64 194.8v33.34c30.16-9.688 56.21-14.91 80-17.6v55.68C119.9 268.7 93.77 273.6 64 282.5v33.34c30.16-9.688 56.21-14.91 80-17.6v53.42C118.1 354.5 91.52 360.2 63.75 369.4zM178.3 349.6c-.7441 0-1.506 .0938-2.25 .1016V296.3c35.51-.3594 65.88 5.324 96 12.28v53.54C243.4 355.3 213.2 349.6 178.3 349.6zM397.4 384C364.1 384 334.3 377.3 304 369.8V315.9c28.62 6.516 59.24 12.03 96 11.52v56.41C399.1 383.9 398.3 384 397.4 384zM511.8 359.5C511.2 361.5 474.7 375.5 432 381.3v-55.87c23.75-2.562 49.85-7.523 79.75-16.52V359.5z"],
    "flag-pennant": [512, 512, [128681, "pennant"], "f456", "M496.5 185.8L31.7 14.53C30.93 6.418 24.31 0 16 0C7.164 0 0 7.164 0 16v480C0 504.8 7.164 512 16 512S32 504.8 32 496v-94.65l464.5-171.1C517.2 222.6 517.2 193.4 496.5 185.8zM32 367.2V48.75L464.2 208L32 367.2z"],
    "flag-swallowtail": [512, 512, ["flag-alt"], "f74c", "M400.6 208l103.9-123.4c8.018-9.52 9.788-22.82 4.538-34.11S492.4 32 480 32H32V16C32 7.164 24.84 0 16 0S0 7.164 0 16v480C0 504.8 7.164 512 16 512S32 504.8 32 496V384h448c12.45 0 23.76-7.219 29.01-18.5s3.479-24.59-4.539-34.11L400.6 208zM32 352V64h448l-121.3 144L480 352H32z"],
    "flag-usa": [576, 512, [], "f74d", "M504.4 0c-7 0-14.25 1.5-21.25 4.625c-50.5 22.62-87.75 30.25-119 30.25c-66.13 0-104.5-34.5-180.9-34.5c-31.62 0-70.13 6.5-119.4 23.25V16c0-8.75-7.25-16-16-16s-16 7.25-16 16l.0833 480c0 8.8 7.2 16 15.1 16s15.92-7.2 15.92-15.1v-92.38c44.25-15.87 81.62-22 114.5-22C259.6 381.6 316.1 416 397.5 416c35.25 0 75.13-6.5 123.6-25C535.1 385.6 544 373.1 544 359.8V33.38C543.9 13 525.3 0 504.4 0zM287.9 54.25c58.25 17.5 113.9 21.88 208.3-20.5c9.5-4.125 15.75-.5 15.75 5.625v52.38c-98.75 41.75-153.2 28.37-224 16.12V54.25zM287.9 140.2c34.5 6.125 64.25 12 98.75 12c35.25 0 75.87-7 125.2-26.25v61.62c-103.5 33.38-162.8 18.38-224 4V140.2zM63.88 57.25c45.1-16.75 85.25-24.87 119.4-24.87c27.75 0 50.5 5.5 72.62 12.12v140c-51.12-10.38-108.6-14.75-192 10.38V57.25zM63.88 228.2c100.6-32.37 159.1-19.12 220.4-4.625C341.8 237.2 404.5 253.6 512 221.2v54.5c-100.5 32.37-159 19.12-220.4 4.625c-61-14.37-124.5-28.62-227.8 2.5V228.2zM397.4 384c-75.63 0-133-34.38-219.1-34.38c-36.63 0-74.38 6.5-114.5 19.75V316.2c100.6-32.37 159-19.12 220.4-4.625c58.75 13.75 120.5 29.88 227.6-2.375v50.25C511 362 453 384 397.4 384zM127.9 64c-8.75 0-16 7.25-16 16s7.25 16 16 16s16-7.25 16-16S136.6 64 127.9 64zM199.9 96c8.75 0 16-7.25 16-16s-7.25-16-16-16s-16 7.25-16 16S191.1 96 199.9 96zM127.9 120c-8.75 0-16 7.25-16 16s7.25 16 16 16s16-7.25 16-16S136.6 120 127.9 120zM199.9 152c8.75 0 16-7.25 16-16s-7.25-16-16-16s-16 7.25-16 16S191.1 152 199.9 152z"],
    "flashlight": [640, 512, [128294], "f8b8", "M288 208H256C229.5 208 208 229.5 208 256S229.5 304 256 304h32c26.5 0 48-21.5 48-48S314.5 208 288 208zM287.1 272H255.1c-8.875 0-16-7.125-16-16c0-8.875 7.125-16 16-16h32c8.875 0 16 7.125 16 16C303.1 264.9 296.9 272 287.1 272zM607.1 96h-32c-59 0-116.5 17-166.6 48H64c-35.38 0-64 28.62-64 64v96c0 35.38 28.62 64 64 64h345.4c50.13 31 107.6 48 166.6 48h32c17.62 0 32-14.38 32-32V128C639.1 110.4 625.6 96 607.1 96zM512 376.5c-30.38-7.25-59.25-19.25-85.75-35.75L418.5 336H63.1C46.37 336 32 321.6 32 304v-96c0-17.62 14.37-32 31.1-32H418.5l7.75-4.75C452.8 154.8 481.6 142.8 512 135.5V376.5zM608 384h-32c-10.75 0-21.38-.625-32-1.875v-252.2C554.6 128.6 565.3 128 576 128h32V384z"],
    "flask": [448, 512, [], "f0c3", "M437.2 403.5L319.1 215l.0001-135C319.1 71.16 312.8 64 303.1 64S288 71.16 288 79.1L287.1 215c0 5.973 1.672 11.83 4.826 16.9L347.6 320H100.4l54.79-88.1C158.3 226.8 160 220.1 160 215L160 79.1C160 71.16 152.8 64 144 64S128 71.16 128 79.1L128 215l-117.2 188.5C-18.48 450.6 15.27 512 70.89 512h306.2C432.7 512 466.5 450.5 437.2 403.5zM410.9 460C407.6 466 397.6 480 377.1 480H70.89c-20.51 0-30.48-13.95-33.82-19.95c-7.025-12.63-6.691-27.46 .873-39.65L80.48 352h287l42.55 68.41C417.6 432.6 417.1 447.4 410.9 460zM112 32h224C344.8 32 352 24.84 352 16S344.8 0 336 0h-224C103.2 0 96 7.156 96 16S103.2 32 112 32z"],
    "flask-round-poison": [448, 512, ["flask-poison"], "f6e0", "M183.1 336c13.25 0 23.1-10.75 23.1-24S197.2 288 183.1 288S159.1 298.8 159.1 312S170.7 336 183.1 336zM263.1 336c13.25 0 24-10.75 24-24S277.2 288 263.1 288c-13.25 0-23.99 10.75-23.99 24S250.7 336 263.1 336zM176 448h95.97c17.66 0 32-14.34 32-32v-22.84c30.22-19.69 48-49.47 48-81.16c0-57.34-57.41-104-128-104C153.4 208 96 254.7 96 312c0 31.69 17.78 61.47 48 81.16V416C144 433.7 158.3 448 176 448zM128 312C128 272.3 171.1 240 223.1 240c52.94 0 96 32.31 96 72c0 22.66-14.84 44.38-39.72 58.13l-8.281 4.562V416H176v-41.31l-8.281-4.562C142.8 356.4 128 334.7 128 312zM319.1 169V79.98C319.1 71.16 312.8 64 303.1 64c-8.826 0-15.98 7.152-15.99 15.98L287.1 169c-.0039 11.73 6.369 22.57 16.71 28.11c59.3 31.79 96.71 94.14 95.29 158.7c-1.02 42.18-17.09 82.61-45.32 113.9C348.9 476.2 340 480 330.1 480H116.1c-9.197 0-17.68-3.543-23.31-9.77C64.22 437.8 48 395.8 48 352c0-65.32 36.36-124.9 94.88-155.6c10.54-5.51 17.1-16.43 17.11-28.32L159.1 79.99C159.1 71.16 152.8 64 144 64C135.2 64 127.1 71.16 127.1 79.98v88.14C61.62 202.9 16 271.9 16 352c0 53.75 20.38 102.8 53.99 139.8C81.87 504.9 99.12 512 116.1 512h213.1c17.37 0 34.41-6.621 46.16-19.41c33.03-35.93 53.56-83.51 54.83-135.1C433.7 276.8 387.2 205.1 319.1 169zM112 32h224C344.8 32 352 24.84 352 16S344.8 0 336 0h-224C103.2 0 96 7.156 96 16S103.2 32 112 32z"],
    "flask-round-potion": [448, 512, ["flask-potion"], "f6e1", "M319.1 169V79.98C319.1 71.16 312.8 64 303.1 64c-8.826 0-15.98 7.152-15.99 15.98L287.1 169c-.0039 11.73 6.369 22.57 16.71 28.11c58.13 31.16 94.99 91.71 95.09 154.9c-29.77 .1523-68.83-2.418-116.1-29.87C211 279.1 131.7 277.3 52.67 313.6c11.22-49.61 43.46-92.69 90.21-117.2c10.54-5.51 17.1-16.43 17.11-28.32L159.1 79.99C159.1 71.16 152.8 64 144 64C135.2 64 127.1 71.16 127.1 79.98v88.14C61.62 202.9 16 271.9 16 352c0 53.75 20.38 102.8 53.99 139.8C81.87 504.9 99.12 512 116.1 512h213.1c17.37 0 34.41-6.621 46.16-19.41c33.03-35.93 53.56-83.51 54.83-135.1C433.7 276.8 387.2 205.1 319.1 169zM354.6 469.8C348.9 476.2 340 480 330.1 480H116.1c-9.197 0-17.68-3.543-23.31-9.77c-29.46-32.42-45.67-74.5-45.67-118.3c0-.0625 0 .0625 0 0c76.2-41.41 150.1-42.49 219.6-2.032c52.7 30.59 97.04 33.87 129.1 34.08C390.8 415.7 376.5 445.5 354.6 469.8zM112 32h224C344.8 32 352 24.84 352 16S344.8 0 336 0h-224C103.2 0 96 7.156 96 16S103.2 32 112 32z"],
    "flask-vial": [640, 512, [], "e4f3", "M224 32V309.9L190.1 363.6C191.6 359.8 192 355.1 192 352V192H64V352C64 387.3 92.65 416 128 416C143.5 416 157.7 410.5 168.8 401.3C163 414.3 160 428.3 160 442.5C149.1 446.1 139.2 448 128 448C74.98 448 32 405 32 352V32H16C7.164 32 0 24.84 0 16C0 7.164 7.164 .0003 16 .0003H240C248.8 .0003 256 7.164 256 16C256 24.84 248.8 32 240 32L224 32zM64 160H192V32H64V160zM528 0C536.8 0 544 7.164 544 16C544 24.84 536.8 32 528 32H512V219.5L630.2 411.6C636.6 421.1 640 433.9 640 446.1C640 482.5 610.5 512 574.1 512H257.9C221.5 512 192 482.5 192 446.1C192 433.9 195.4 421.1 201.8 411.6L320 219.5V32H304C295.2 32 288 24.84 288 16C288 7.164 295.2 0 304 0L528 0zM480 32H352V224C352 226.1 351.2 229.9 349.6 232.4L295.7 320H536.3L482.4 232.4C480.8 229.9 480 226.1 480 224L480 32zM224 446.1C224 464.8 239.2 480 257.9 480H574.1C592.8 480 608 464.8 608 446.1C608 439.8 606.3 433.7 602.1 428.4L555.1 352H276L229 428.4C225.7 433.7 224 439.8 224 446.1V446.1z"],
    "flatbread": [512, 512, [129747], "e40b", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480zM235.3 116.7c-6.25-6.25-16.38-6.25-22.62 0l-96 96c-6.25 6.25-6.25 16.38 0 22.62C119.8 238.4 123.9 240 128 240s8.188-1.562 11.31-4.688l96-96C241.6 133.1 241.6 122.9 235.3 116.7zM363.3 148.7c-6.25-6.25-16.38-6.25-22.62 0l-192 192c-6.25 6.25-6.25 16.38 0 22.62C151.8 366.4 155.9 368 160 368s8.188-1.562 11.31-4.688l192-192C369.6 165.1 369.6 154.9 363.3 148.7zM372.7 276.7l-96 96c-6.25 6.25-6.25 16.38 0 22.62C279.8 398.4 283.9 400 288 400s8.188-1.562 11.31-4.688l96-96c6.25-6.25 6.25-16.38 0-22.62S378.9 270.4 372.7 276.7z"],
    "flatbread-stuffed": [512, 512, [129369], "e40c", "M468.8 86.78c-9.541-14.95-25.54-22.79-41.66-22.79c-12.44 0-24.96 4.655-34.63 14.33l-16.36 16.36c-13.84-9.17-30.27-14.71-48.1-14.71c-48.53 0-87.1 39.47-87.1 88.01c0 17.83 5.531 34.26 14.72 48.09l-123.3 123.3c-11.9-13.93-19.47-31.62-19.47-51.34c0-44.11 35.88-80.01 79.1-80.01c8.844 0 16-7.156 16-16c0-8.846-7.156-16-16-16c-61.75 0-111.1 50.25-111.1 112c0 28.54 11.21 54.17 28.87 73.95l-30.52 30.52c-22.22 22.22-18.05 59.39 8.438 76.3C131.1 497.6 183.7 512 235.4 512c70.79 0 141.6-26.1 195.6-81.02C524.5 337.5 537 193.8 468.8 86.78zM328 111.1c8.938 0 17.26 2.305 24.75 6.059l-74.62 74.63c-3.773-7.467-6.125-15.76-6.125-24.69C272 137.1 297.1 111.1 328 111.1zM408.4 408.4c-46.2 46.2-107.6 71.65-172.1 71.65c-46.78 0-92.22-13.22-131.4-38.22c-6.088-3.887-7.562-9.658-7.9-12.75c-.334-3.055-.1426-8.926 4.871-13.94l314.1-314.1c4.113-4.113 8.801-4.977 12.01-4.977c5.996 0 11.48 2.992 14.68 8.006C502.9 199.8 488.9 327.8 408.4 408.4zM240 383.1c-8.836 0-16 7.164-16 16c0 8.836 7.161 16.01 15.1 16.01s16-7.17 16-16.01C256 391.2 248.8 383.1 240 383.1zM304 383.1c-8.838 0-16 7.164-16 16c0 8.836 7.159 16.01 15.1 16.01c8.836 0 16-7.17 16-16.01C320 391.2 312.8 383.1 304 383.1zM272 319.1c-8.836 0-16 7.164-16 16c0 8.836 7.161 16.01 15.1 16.01s16-7.173 16-16.01C288 327.2 280.8 319.1 272 319.1zM65.04 309.6C63.13 298.6 56.01 287.5 48.44 275.7C39.69 261.1 30.66 247.8 32.2 234.7c1.531-13.47 13.62-24 25.4-34.27c9.25-8.047 18.81-16.38 23.69-26.41c4.281-9.172 4.75-21.31 5.312-34.39c1.812-51.39 16.81-51.91 53.09-53.13c12.22-.3906 24.88-.7969 34.41-5.297c9.967-4.609 18.34-14.24 26.44-23.56c10.25-11.77 20.84-23.92 34.16-25.47c13.56-1.453 27.56 7.578 41.25 16.44c11.09 7.109 22.56 14.48 33.69 16.33c10.69 1.875 22.87-1.266 35.69-4.562c11.59-3.078 24.78-6.547 36.03-4.656c8.656 1.453 16.97-4.375 18.44-13.13c1.469-8.719-4.406-16.97-13.12-18.44c-18.09-2.984-35.5 1.578-50.25 5.469c-7 1.781-17.78 4.359-21.38 3.766c-4.779-.7969-15.03-7.359-21.75-11.69c-16.66-10.77-37.5-24.02-62.25-21.31C205.4 3.324 189.3 21.76 176.4 36.64C171.9 41.78 164.4 50.41 160.6 52.19C156.9 53.91 145.9 54.25 138.6 54.5C94.22 55.98 57.29 63.33 54.57 139.6c-.2813 6.969-.7187 17.52-2.156 20.61C50.51 164.2 42.47 171.2 36.51 176.4C21.73 189.2 3.352 205.2 .3828 231C-2.43 255.4 10.82 276.2 22.16 293.1c4.688 7.328 10.53 16.44 11.34 21.14c.6875 3.953-2.281 15.14-4.156 22.17c-3.625 14.05-8.188 31.53-5.062 49.46c1.344 7.783 8.094 13.27 15.72 13.27c.9062 0 1.844-.0781 2.75-.2344c8.719-1.516 14.56-9.799 13.03-18.5c-1.906-11.11 1.375-23.74 4.594-36.11C63.6 333 66.94 320.4 65.04 309.6z"],
    "floppy-disk": [448, 512, [128426, 128190, "save"], "f0c7", "M350.1 55.44C334.9 40.33 314.9 32 293.5 32H80C35.88 32 0 67.89 0 112v288C0 444.1 35.88 480 80 480h288c44.13 0 80-35.89 80-80V186.5c0-21.38-8.312-41.47-23.44-56.58L350.1 55.44zM96 64h192v96H96V64zM416 400c0 26.47-21.53 48-48 48h-288C53.53 448 32 426.5 32 400v-288c0-20.83 13.42-38.43 32-45.05V160c0 17.67 14.33 32 32 32h192c17.67 0 32-14.33 32-32V72.02c2.664 1.758 5.166 3.771 7.438 6.043l74.5 74.5C411 161.6 416 173.7 416 186.5V400zM224 240c-44.13 0-80 35.89-80 80s35.88 80 80 80s80-35.89 80-80S268.1 240 224 240zM224 368c-26.47 0-48-21.53-48-48S197.5 272 224 272s48 21.53 48 48S250.5 368 224 368z"],
    "floppy-disk-circle-arrow-right": [576, 512, ["save-circle-arrow-right"], "e180", "M266.7 448H80C53.49 448 32 426.5 32 400v-288c0-20.83 13.42-38.43 32-45.05V160c0 17.67 14.33 32 32 32h192c17.67 0 32-14.33 32-32V72.02c2.664 1.758 5.166 3.771 7.438 6.043l74.5 74.5c6.127 6.137 10.4 13.63 12.52 21.81c1.848 7.113 8.137 12.15 15.48 12.15c10.61 0 18.14-10.1 15.46-20.37c-3.545-13.58-10.64-26.03-20.84-36.21l-74.5-74.5C334.9 40.33 314.9 32 293.5 32H80C35.82 32 0 67.82 0 112v288C0 444.2 35.82 480 80 480h186.7c12.71 0 20.34-14.1 13.4-24.74C277.1 450.7 272.1 448 266.7 448zM96 64h192v96H96V64zM224 272c11.95 0 22.85 4.402 31.23 11.66c7.73 6.701 19.33 5.115 24.43-3.758C279.7 279.8 279.8 279.7 279.8 279.6c3.711-6.434 2.199-14.56-3.355-19.49C262.5 247.7 244.2 240 224 240c-44.03 0-79.84 35.73-80 79.7c-.1445 39.62 30.22 74.11 69.47 79.56c11.34 1.576 22.14 .5313 32.16-2.402c6.994-2.045 11.73-8.553 11.4-15.83c-.0078-.1484-.0137-.2988-.0195-.4473c-.4531-10.34-10.47-17.04-20.45-14.29c-7.441 2.059-15.61 2.344-24.08 .3301c-17.66-4.201-31.77-18.69-35.44-36.47C170.7 299.3 194.2 272 224 272zM432 224c-79.54 0-144 64.46-144 144s64.46 144 144 144c79.54 0 143.1-64.46 143.1-144S511.5 224 432 224zM432 480C370.2 480 320 429.8 320 368S370.2 256 432 256C493.8 256 544 306.2 544 368S493.8 480 432 480zM507.3 356.7l-56-56c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L457.4 352h-89.38c-8.836 0-15.1 7.164-15.1 16s7.163 16 15.1 16h89.38l-28.69 28.69c-6.25 6.25-6.25 16.38 0 22.62C431.8 438.4 435.9 440 439.1 440s8.188-1.562 11.31-4.688l56-56C513.6 373.1 513.6 362.9 507.3 356.7z"],
    "floppy-disk-circle-xmark": [576, 512, ["floppy-disk-times", "save-circle-xmark", "save-times"], "e181", "M432 224C352.5 224 288 288.5 288 368s64.47 144 144 144s144-64.47 144-144S511.5 224 432 224zM432 480c-61.76 0-112-50.24-112-112S370.2 256 432 256S544 306.2 544 368S493.8 480 432 480zM488.5 311.5c-6.242-6.242-16.37-6.231-22.61 .0113l-33.91 33.91l-33.91-33.91c-6.242-6.242-16.37-6.253-22.62-.0106s-6.233 16.37 .009 22.62l33.91 33.91l-33.91 33.91c-6.242 6.242-6.252 16.37-.0098 22.62s16.37 6.232 22.62-.0106l33.91-33.91l33.91 33.91c6.242 6.242 16.38 6.254 22.62 .0113c6.242-6.242 6.232-16.37-.0098-22.62l-33.91-33.91l33.91-33.91C494.8 327.8 494.8 317.7 488.5 311.5zM266.7 448H80C53.49 448 32 426.5 32 400v-288c0-20.83 13.42-38.43 32-45.05V160c0 17.67 14.33 32 32 32h192c17.67 0 32-14.33 32-32V72.02c2.664 1.758 5.166 3.771 7.438 6.043l74.5 74.5c6.127 6.137 10.4 13.63 12.52 21.81c1.848 7.113 8.137 12.15 15.48 12.15c10.61 0 18.14-10.1 15.46-20.37c-3.545-13.58-10.64-26.03-20.84-36.21l-74.5-74.5C334.9 40.33 314.9 32 293.5 32H80C35.82 32 0 67.82 0 112v288C0 444.2 35.82 480 80 480h186.7c12.71 0 20.34-14.1 13.4-24.74C277.1 450.7 272.1 448 266.7 448zM96 64h192v96H96V64zM224 272c11.95 0 22.85 4.402 31.23 11.66c7.73 6.701 19.33 5.115 24.43-3.758C279.7 279.8 279.8 279.7 279.8 279.6c3.711-6.434 2.199-14.56-3.355-19.49C262.5 247.7 244.2 240 224 240c-44.03 0-79.84 35.73-80 79.7c-.1445 39.62 30.22 74.11 69.47 79.56c11.34 1.576 22.14 .5313 32.16-2.402c6.994-2.045 11.73-8.553 11.4-15.83c-.0078-.1484-.0137-.2988-.0195-.4473c-.4531-10.34-10.47-17.04-20.45-14.29c-7.441 2.059-15.61 2.344-24.08 .3301c-17.66-4.201-31.77-18.69-35.44-36.47C170.7 299.3 194.2 272 224 272z"],
    "floppy-disk-pen": [576, 512, [], "e182", "M561.9 234.2l-28.13-28.14c-9.373-9.373-21.66-14.06-33.94-14.06s-24.57 4.688-33.94 14.06l-175.5 175.5c-8.936 8.936-15.03 20.32-17.5 32.71l-16.66 83.35C254.7 505.2 260.6 512 267.1 512c.7852 0 1.586-.0781 2.398-.2402l83.35-16.67c12.39-2.479 23.77-8.566 32.7-17.5l175.5-175.5C580.7 283.3 580.7 252.9 561.9 234.2zM363.8 454.1c-4.48 4.48-10.13 7.506-16.35 8.748L293.5 474.5l10.78-53.93c1.244-6.219 4.27-11.88 8.754-16.36l114.3-114.3l50.76 50.76L363.8 454.1zM539.3 279.5l-38.62 38.62l-50.76-50.76l38.62-38.62c4.076-4.076 8.838-4.686 11.31-4.686s7.236 .6094 11.31 4.686l28.13 28.14C543.4 260.9 544 265.7 544 268.1C544 270.6 543.4 275.4 539.3 279.5zM208 448h-128C53.53 448 32 426.5 32 400v-288c0-20.83 13.42-38.43 32-45.05V160c0 17.67 14.33 32 32 32h192c17.67 0 32-14.33 32-32V72.02c2.664 1.758 5.166 3.771 7.438 6.043l74.5 74.5c7.125 7.141 11.78 16.14 13.41 26.05c1.438 8.719 9.875 14.64 18.38 13.17c8.719-1.438 14.62-9.672 13.19-18.39c-2.719-16.53-10.44-31.56-22.34-43.45l-74.5-74.5C334.9 40.33 314.8 32 293.4 32H80C35.88 32 0 67.89 0 112v288C0 444.1 35.88 480 80 480h128C216.8 480 224 472.8 224 464S216.8 448 208 448zM96 64h192v96H96V64zM224 368c-26.47 0-48-21.53-48-48S197.5 272 224 272S272 293.5 272 320c0 8.844 7.156 16 16 16s16-7.156 16-16c0-44.11-35.88-80-80-80S144 275.9 144 320s35.88 80 80 80c8.844 0 16-7.156 16-16S232.8 368 224 368z"],
    "floppy-disks": [512, 512, [], "e183", "M400 480H96c-35.35 0-64-28.65-64-64V112C32 103.2 24.84 96 16 96S0 103.2 0 112V416c0 53.02 42.98 96 96 96h304c8.836 0 16-7.164 16-16S408.8 480 400 480zM488.6 97.94l-74.5-74.5C398.9 8.328 378.9 0 357.5 0H176C131.9 0 96 35.89 96 80v256C96 380.1 131.9 416 176 416h256c44.13 0 80-35.89 80-80V154.5C512 133.1 503.7 113 488.6 97.94zM192 32h160v80H192V32zM480 336c0 26.47-21.53 48-48 48h-256C149.5 384 128 362.5 128 336v-256c0-20.83 13.42-38.43 32-45.05V112c0 17.67 14.33 32 32 32h160c17.67 0 32-14.33 32-32V40.02c2.664 1.758 5.166 3.771 7.438 6.043l74.5 74.5C475 129.6 480 141.7 480 154.5V336zM296 192C256.3 192 224 224.3 224 264s32.31 72 72 72s72-32.3 72-72S335.7 192 296 192zM296 304C273.9 304 256 286.1 256 264S273.9 224 296 224s40 17.94 40 40S318.1 304 296 304z"],
    "florin-sign": [384, 512, [], "e184", "M368 32C376.8 32 384 39.16 384 48C384 56.84 376.8 64 368 64H322.4C303.1 64 285.7 75.54 278.2 93.3L222.9 224H336C344.8 224 352 231.2 352 240C352 248.8 344.8 256 336 256H209.4L135.3 431.2C122.7 460.8 93.72 480 61.58 480H16C7.164 480 0 472.8 0 464C0 455.2 7.164 448 16 448H61.58C80.87 448 98.28 436.5 105.8 418.7L174.6 256H48C39.16 256 32 248.8 32 240C32 231.2 39.16 224 48 224H188.2L248.7 80.83C261.3 51.23 290.3 32 322.4 32H368z"],
    "flower": [512, 512, [127804, 10047], "f7ff", "M461.5 256C492.3 229.2 512 190.2 512 146.2C512 65.5 446.5 0 365.8 0c-44 0-83 19.75-109.8 50.5C229.2 19.75 190.2 0 146.2 0C65.5 0 0 65.5 0 146.2C0 190.2 19.75 229.2 50.5 256C19.75 282.8 0 321.8 0 365.8C0 446.5 65.5 512 146.2 512c44 0 82.1-19.75 109.8-50.5C282.8 492.2 321.8 512 365.8 512C446.5 512 512 446.5 512 365.8C512 321.8 492.3 282.8 461.5 256zM365.8 480c-33 0-63.38-13.1-85.63-39.5L256 412.9L231.9 440.5C209.6 466 179.2 480 146.2 480C83.25 480 32 428.8 32 365.8c0-33 13.1-63.38 39.5-85.63L99.12 256L71.5 231.9C45.1 209.6 32 179.2 32 146.2C32 83.25 83.25 32 146.2 32c33 0 63.37 14 85.63 39.5L256 99.12l24.12-27.62C302.4 46 332.8 32 365.8 32C428.8 32 480 83.25 480 146.2c0 33-14 63.38-39.5 85.63L412.9 256l27.62 24.12C465.1 302.4 480 332.8 480 365.8C480 428.8 428.8 480 365.8 480zM256 160C203.1 160 160 203.1 160 256s43.12 96 96 96s96-43.13 96-96S308.9 160 256 160zM256 320c-35.25 0-64-28.75-64-64s28.75-64 64-64s64 28.75 64 64S291.2 320 256 320z"],
    "flower-daffodil": [512, 512, [9880], "f800", "M288 144c0-17.62-14.38-32-32-32s-32 14.38-32 32S238.4 176 256 176S288 161.6 288 144zM495.9 288h-47.26c-69.01 0-134.1 31.62-176.7 86V277.5C284.5 284.4 298.6 288 312.9 288c48.13 0 87.14-39 87.14-87.12c0-20.88-7.501-41.13-21.38-56.88c13.88-15.75 21.38-36 21.38-56.88C400 39 361 0 312.9 0C292 0 271.8 7.5 256 21.38C240.2 7.5 219.1 0 199.1 0C150.1 0 111.1 39 111.1 87.12c0 20.88 7.501 41.12 21.38 56.88C119.5 159.8 111.1 180 111.1 200.9C111.1 249 150.1 288 199.1 288c14.25 0 28.38-3.625 40.88-10.5v96.5C197.5 319.6 132.4 288 63.35 288H16.09C6.962 288-.9142 297.1 .0859 307.7C9.962 422.2 106.4 512 223.9 512h64.26c117.5 0 213.9-89.88 223.8-204.4C512.9 297 505 288 495.9 288zM239.1 480H223.9c-93.89 0-174.7-69.13-190-160l29.5-.0023c67.64 0 130.3 35.38 165 93.38C241.1 436.1 239.1 454 239.1 480zM256 216.4L243.1 233.6C232.9 247.6 216.5 256 199.1 256c-30.38 0-55.13-24.62-55.13-55.12c0-17.38 8.376-33.75 22.38-44L183.6 144l-17.25-12.88C152.4 120.9 143.1 104.5 143.1 87.12C143.1 56.62 168.7 32 199.1 32c17.38 0 33.76 8.375 44.01 22.38L256 71.62l12.88-17.25C279.1 40.38 295.5 32 312.9 32c30.38 0 55.13 24.62 55.13 55.12c0 17.38-8.376 33.75-22.38 43.1L328.4 144l17.25 12.88c14 10.25 22.38 26.62 22.38 44C368 231.4 343.3 256 312.9 256c-17.38 0-33.76-8.375-44.01-22.38L256 216.4zM288 480h-16c0-25.1-2-43.88 11.63-66.63c34.76-58 97.39-93.38 165-93.38L478.2 320C462.8 410.9 382 480 288 480z"],
    "flower-tulip": [512, 512, [127799], "f801", "M495.9 288h-47.26c-69.01 0-134.1 31.62-176.7 86V288c79.51 0 144-64.5 144-144v-128c0-5.999-3.375-11.5-8.751-14.25c-5.376-2.75-11.88-2.125-16.75 1.375L316.6 56.75l-48.38-51C265.3 2.125 260.8 0 256 0C251.2 0 246.7 2.125 243.7 5.75l-48.38 51L121.5 3.125C116.6-.375 110.1-1 104.7 1.75C99.35 4.5 95.98 10 95.98 16v128c0 79.5 64.51 144 144 144v86C197.5 319.6 132.4 288 63.35 288H16.09C6.962 288-.9142 297 .0859 307.6C9.962 422.1 106.4 512 223.9 512h64.26c117.5 0 213.9-89.88 223.8-204.4C512.9 297 505 288 495.9 288zM127.1 144V47.38l71.26 51.75L256 39.25l56.76 59.88l71.26-51.75V144c0 61.88-50.13 112-112 112H239.1C178.1 256 127.1 205.9 127.1 144zM239.1 480H223.9c-93.89 0-174.7-69.13-190-160h29.5c67.64 0 130.3 35.38 165 93.38C241.1 436.1 239.1 454 239.1 480zM288 480h-16c0-25.1-2-43.88 11.63-66.63C318.4 355.4 381 320 448.7 320h29.5C462.8 410.9 382 480 288 480z"],
    "flute": [640, 512, [], "f8b9", "M320 232C306.8 232 296 242.8 296 256S306.8 280 320 280S344 269.3 344 256S333.3 232 320 232zM592 160h-544C21.6 160 0 181.6 0 208v96C0 330.4 21.6 352 48 352h544c26.4 0 48-21.6 48-48v-96C640 181.6 618.4 160 592 160zM112 320h-64C39.16 320 32 312.8 32 304v-96C32 199.2 39.16 192 48 192h64V320zM608 304c0 8.836-7.162 16-16 16h-448V192h448C600.8 192 608 199.2 608 208V304zM512 232c-13.25 0-24 10.75-24 24S498.8 280 512 280S536 269.3 536 256S525.3 232 512 232zM416 232c-13.25 0-24 10.75-24 24S402.8 280 416 280S440 269.3 440 256S429.3 232 416 232z"],
    "flux-capacitor": [448, 512, [], "f8ba", "M292.7 255.2L337.9 209.9C356.7 191.2 356.7 160.8 337.9 142.1C319.2 123.3 288.8 123.3 270.1 142.1L224 188.1L177.9 142.1C159.2 123.3 128.8 123.3 110.1 142.1C91.31 160.8 91.31 191.2 110.1 209.9L155.3 255.2C151.6 255.7 147.8 256 144 256C99.82 256 64 220.2 64 176C64 131.8 99.82 96 144 96C188.2 96 224 131.8 224 176C224 131.8 259.8 96 304 96C348.2 96 384 131.8 384 176C384 220.2 348.2 256 304 256C300.2 256 296.4 255.7 292.7 255.2V255.2zM173.8 273.7L176 275.9V336C176 362.5 197.5 384 224 384C250.5 384 272 362.5 272 336V275.9L274.2 273.7C292.4 288.4 304 310.8 304 336C304 380.2 268.2 416 224 416C179.8 416 144 380.2 144 336C144 310.8 155.6 288.4 173.8 273.7zM224 233.4L292.7 164.7C298.9 158.4 309.1 158.4 315.3 164.7C321.6 170.9 321.6 181.1 315.3 187.3L240 262.6V336C240 344.8 232.8 352 224 352C215.2 352 208 344.8 208 336V262.6L132.7 187.3C126.4 181.1 126.4 170.9 132.7 164.7C138.9 158.4 149.1 158.4 155.3 164.7L224 233.4zM384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM384 64H64C46.33 64 32 78.33 32 96V416C32 433.7 46.33 448 64 448H384C401.7 448 416 433.7 416 416V96C416 78.33 401.7 64 384 64z"],
    "flying-disc": [448, 512, [], "e3a9", "M422.4 57.96C405.4 40.98 381.3 32 352.9 32c-65.44 0-153.4 47.29-229.7 123.4C10.15 268.3-31.82 396.7 25.62 454C42.64 471 66.55 480 94.95 480c65.44 0 153.6-47.29 229.8-123.4C437.9 243.7 479.8 115.3 422.4 57.96zM146.6 177.5c59.55-59.54 123.7-96.7 161.5-96.7c10.21 0 18.49 2.719 24.22 8.447c26.91 26.91-12.6 110.1-88.25 185.7c-59.54 59.54-123.7 96.7-161.5 96.7c-10.21 0-18.49-2.719-24.22-8.447C31.43 336.3 70.94 253.1 146.6 177.5zM302.1 333.1C230.4 405.5 149.7 448 95.04 448c-19.37 0-35.47-5.332-46.75-16.59c-11.87-11.85-16.94-29.16-16.36-49.86c1.174 1.412 2.109 2.93 3.449 4.268c8.146 8.131 22.9 17.82 46.93 17.82c48.22 0 118.9-40.64 184.4-106.1c39.17-39.11 70.79-81.73 89.02-120c29.43-61.81 15.91-94.45-.6094-110.9c-.8301-.8281-2.043-1.686-3.014-2.535C352.4 64.07 352.7 64 352.1 64c19.37 0 35.47 5.33 46.75 16.59C442.8 123.6 399.1 237.1 302.1 333.1z"],
    "folder": [512, 512, [128447, 61716, 128193, "folder-blank"], "f07b", "M447.1 96H272L226.7 50.75C214.7 38.74 198.5 32 181.5 32H63.1c-35.35 0-64 28.65-64 64v320c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V160C511.1 124.7 483.3 96 447.1 96zM480 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h117.5c8.549 0 16.58 3.328 22.63 9.375L258.7 128H448c17.64 0 32 14.36 32 32V416z"],
    "folder-arrow-down": [512, 512, ["folder-download"], "e053", "M448 96h-176L226.7 50.75C214.7 38.74 198.5 32 181.5 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V160C512 124.7 483.3 96 448 96zM480 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h117.5c8.549 0 16.58 3.328 22.63 9.375L258.7 128H448c17.64 0 32 14.36 32 32V416zM244.7 379.3c6.25 6.25 16.38 6.25 22.62 0l80-80c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0L272 329.4V208C272 199.2 264.8 192 256 192S240 199.2 240 208v121.4L187.3 276.7C184.2 273.6 180.1 272 176 272S167.8 273.6 164.7 276.7c-6.25 6.25-6.25 16.38 0 22.62L244.7 379.3z"],
    "folder-arrow-up": [512, 512, ["folder-upload"], "e054", "M448 96h-176L226.7 50.75C214.7 38.74 198.5 32 181.5 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V160C512 124.7 483.3 96 448 96zM480 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h117.5c8.549 0 16.58 3.328 22.63 9.375L258.7 128H448c17.64 0 32 14.36 32 32V416zM267.3 196.7c-6.25-6.25-16.38-6.25-22.62 0l-80 80c-6.25 6.25-6.25 16.38 0 22.62s16.38 6.25 22.62 0L240 246.6V368c0 8.844 7.156 16 16 16s16-7.156 16-16V246.6l52.69 52.69C327.8 302.4 331.9 304 336 304s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L267.3 196.7z"],
    "folder-bookmark": [512, 512, [], "e186", "M448 96h-176L226.7 50.75C214.7 38.74 198.5 32 181.5 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V160C512 124.7 483.3 96 448 96zM384 128v150.1l-40.84-20.42c-4.5-2.25-9.812-2.25-14.31 0L288 278.1V128H384zM480 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h117.5c8.549 0 16.58 3.328 22.63 9.375l52.34 52.34C256.3 126.5 256 127.2 256 128v175.1c0 5.547 2.875 10.7 7.594 13.62c4.688 2.906 10.56 3.172 15.56 .7031L336 289.9l56.84 28.42C395.1 319.4 397.6 320 400 320c2.938 0 5.844-.7969 8.406-2.391C413.1 314.7 416 309.5 416 303.1V128h32c17.64 0 32 14.36 32 32V416z"],
    "folder-closed": [512, 512, [], "e185", "M448 96h-176L226.7 50.75C214.7 38.74 198.5 32 181.5 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V160C512 124.7 483.3 96 448 96zM480 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h117.5c8.549 0 16.58 3.328 22.63 9.375L258.7 128H448c17.64 0 32 14.36 32 32V416zM416 192H96C87.16 192 80 199.2 80 208S87.16 224 96 224h320c8.838 0 16-7.164 16-16S424.8 192 416 192z"],
    "folder-gear": [512, 512, ["folder-cog"], "e187", "M448 96h-176L226.7 50.75C214.7 38.74 198.5 32 181.5 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h384c35.35 0 64-28.66 64-64V160C512 124.7 483.3 96 448 96zM480 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h117.5c8.549 0 16.58 3.328 22.63 9.375L258.7 128H448c17.64 0 32 14.36 32 32V416zM352.1 232c-4.438-7.656-14.22-10.31-21.86-5.844l-15.56 8.98C304.3 222.4 289.3 213.1 272 209.6V192c0-8.844-7.156-16-16-16S240 183.2 240 192v17.62C222.7 213.1 207.7 222.4 196.4 235.1L180.9 226.2C173.2 221.7 163.4 224.3 159 232S157.2 249.4 164.9 253.8L180.4 262.8C177.8 270.8 176 279.2 176 288s1.785 17.2 4.445 25.16l-15.59 8.996C157.2 326.6 154.6 336.3 159 344C161.1 349.1 167.3 352 172.9 352c2.719 0 5.469-.6875 7.984-2.156l15.56-8.98c11.29 12.71 26.31 22 43.58 25.52V384c0 8.844 7.156 16 16 16s16-7.156 16-16v-17.62c17.27-3.52 32.3-12.81 43.58-25.52l15.56 8.98C333.7 351.3 336.4 352 339.1 352c5.531 0 10.9-2.875 13.87-8c4.422-7.656 1.8-17.44-5.856-21.84L331.6 313.2C334.2 305.2 336 296.8 336 288s-1.785-17.2-4.445-25.16l15.59-8.996C354.8 249.4 357.4 239.7 352.1 232zM256 336c-26.47 0-48-21.53-48-48S229.5 240 256 240s48 21.53 48 48S282.5 336 256 336z"],
    "folder-grid": [512, 512, [], "e188", "M448 96h-176L226.7 50.75C214.7 38.74 198.5 32 181.5 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h384c35.35 0 64-28.66 64-64V160C512 124.7 483.3 96 448 96zM480 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h117.5c8.549 0 16.58 3.328 22.63 9.375L258.7 128H448c17.64 0 32 14.36 32 32V416zM152 240h-48C90.77 240 80 250.8 80 264v48c0 13.22 10.77 24 24 24h48c13.23 0 24-10.78 24-24v-48C176 250.8 165.2 240 152 240zM144 304h-32v-32h32V304zM280 240h-48C218.8 240 208 250.8 208 264v48c0 13.22 10.77 24 24 24h48c13.23 0 24-10.78 24-24v-48C304 250.8 293.2 240 280 240zM272 304h-32v-32h32V304zM408 240h-48c-13.23 0-24 10.78-24 24v48c0 13.22 10.77 24 24 24h48c13.23 0 24-10.78 24-24v-48C432 250.8 421.2 240 408 240zM400 304h-32v-32h32V304z"],
    "folder-heart": [512, 512, [], "e189", "M448 96h-176L226.7 50.75C214.7 38.74 198.5 32 181.5 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V160C512 124.7 483.3 96 448 96zM480 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h117.5c8.549 0 16.58 3.328 22.63 9.375L258.7 128H448c17.64 0 32 14.36 32 32V416zM255.9 219.7c-42.64-43-76.29-26.04-90.17-14.41c-27.51 23-28.89 64.13-4.252 89l84.79 85.63c5.502 5.5 13.92 5.5 19.42 0l84.87-85.63c24.64-24.88 23.14-66-4.377-89C332.3 193.6 298.4 176.7 255.9 219.7zM327.9 271.7l-72.03 72.63L184.1 271.7c-10.38-10.38-12.38-30 2-42c13.76-11.5 31.26-3.377 38.52 3.75l31.39 31.75l31.39-31.75c7.129-7.252 24.64-15.25 38.39-3.75C340.2 241.7 338.2 261.4 327.9 271.7z"],
    "folder-image": [512, 512, [], "e18a", "M448 96h-176L226.7 50.75C214.7 38.74 198.5 32 181.5 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V160C512 124.7 483.3 96 448 96zM480 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h117.5c8.549 0 16.58 3.328 22.63 9.375L258.7 128H448c17.64 0 32 14.36 32 32V416zM314.6 203.9c-11.28-15.81-38.5-15.94-49.1-.0313L220.6 265.3L213.6 256.4C202.2 241.9 176.6 241.8 165.2 256.4l-63.03 80.35c-7.123 9.131-8.154 21.55-2.623 31.56C104.8 377.1 115.1 384 126.4 384h259.2c11 0 21.17-5.805 26.54-15.09c0-.0313-.0313 .0313 0 0c5.656-9.883 5.078-21.84-1.578-31.15L314.6 203.9zM130.2 351.9l58.25-75.61l20.09 25.66C212.9 307.5 226.1 312.6 234.1 301.4l54.44-78.75l92.68 129.2H130.2zM128 216c13.25 0 24-10.75 24-24c0-13.26-10.75-24-24-24S104 178.7 104 192C104 205.3 114.7 216 128 216z"],
    "folder-magnifying-glass": [512, 512, ["folder-search"], "e18b", "M448 96h-176L226.7 50.75C214.7 38.74 198.5 32 181.5 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h384c35.35 0 64-28.66 64-64V160C512 124.7 483.3 96 448 96zM480 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h117.5c8.549 0 16.58 3.328 22.63 9.375L258.7 128H448c17.64 0 32 14.36 32 32V416zM318.1 327.5C329.3 311.8 336 292.7 336 272c0-52.94-43.06-96-96-96s-96 43.06-96 96s43.06 96 96 96c20.7 0 39.76-6.734 55.46-17.92l61.23 61.23C359.8 414.4 363.9 416 368 416s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L318.1 327.5zM240 336c-35.28 0-64-28.72-64-64s28.72-64 64-64s64 28.72 64 64S275.3 336 240 336z"],
    "folder-medical": [512, 512, [], "e18c", "M448 96h-176L226.7 50.75C214.7 38.74 198.5 32 181.5 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h384c35.35 0 64-28.66 64-64V160C512 124.7 483.3 96 448 96zM480 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h117.5c8.549 0 16.58 3.328 22.63 9.375L258.7 128H448c17.64 0 32 14.36 32 32V416zM336 256H288V208C288 199.2 280.8 192 272 192h-32C231.2 192 224 199.2 224 208V256H176C167.2 256 160 263.2 160 271.1V304c0 8.836 7.164 15.1 16 15.1L224 319.1v47.1C224 376.8 231.2 384 240 384h32c8.836 0 16-7.166 16-16V319.1l48-.0012c8.836 0 16-7.162 16-15.1V271.1C352 263.2 344.8 256 336 256z"],
    "folder-minus": [512, 512, [], "f65d", "M448 96h-176L226.7 50.75C214.7 38.74 198.5 32 181.5 32H64C28.66 32 0 60.65 0 96v320c0 35.35 28.66 64 64 64h384c35.34 0 64-28.65 64-64V160C512 124.7 483.3 96 448 96zM480 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h117.5c8.547 0 16.58 3.328 22.62 9.375L258.7 128H448c17.64 0 32 14.36 32 32V416zM336 272h-160C167.2 272 160 279.2 160 288c0 8.834 7.156 15.1 16 15.1h160C344.8 303.1 352 296.8 352 288S344.8 272 336 272z"],
    "folder-music": [512, 512, [], "e18d", "M448 96h-176L226.7 50.75C214.7 38.74 198.5 32 181.5 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V160C512 124.7 483.3 96 448 96zM480 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h117.5c8.549 0 16.58 3.328 22.63 9.375L258.7 128H448c17.64 0 32 14.36 32 32V416zM338.3 177.3c-8.625-6-19.62-7.438-29.5-3.688l-96 36C200.3 214.3 192 226 192 239.3v73.97C184.7 310.3 176.6 308.5 168 308.5c-30.88 0-56 21.53-56 48c0 26.47 25.12 48 56 48s56-21.53 56-48V239.5l96-35.97v77.72c-7.303-2.996-15.38-4.814-24-4.814c-30.88 0-56 21.53-56 48c0 26.47 25.12 48 56 48s56-21.53 56-48V203.6C352 193.1 346.8 183.3 338.3 177.3zM168 372.5c-12.78 0-24-7.469-24-16s11.22-16 24-16s24 7.469 24 16S180.8 372.5 168 372.5zM296 340.5c-12.78 0-24-7.469-24-16s11.22-16 24-16s24 7.469 24 16S308.8 340.5 296 340.5z"],
    "folder-open": [576, 512, [128449, 61717, 128194], "f07c", "M566.6 211.6C557.5 199.1 543.4 192 527.1 192H134.2C114.3 192 96.2 204.5 89.23 223.1L32 375.8V96c0-17.64 14.36-32 32-32h117.5c8.549 0 16.58 3.328 22.63 9.375L258.7 128H448c17.64 0 32 14.36 32 32h32c0-35.35-28.65-64-64-64H272L226.7 50.75C214.7 38.74 198.5 32 181.5 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h403.1c21.11 0 39.53-13.53 45.81-33.69l60-192C578.4 239.6 575.8 224 566.6 211.6zM543.2 244.8l-60 192C481.1 443.5 475 448 467.1 448H64c-3.322 0-6.357-.9551-9.373-1.898c-2.184-1.17-4.109-2.832-5.596-4.977c-3.031-4.375-3.703-9.75-1.828-14.73l72-192C121.5 228.2 127.5 224 134.2 224h393.8c5.141 0 9.844 2.375 12.89 6.516C543.9 234.7 544.8 239.9 543.2 244.8z"],
    "folder-plus": [512, 512, [], "f65e", "M448 96h-176L226.7 50.75C214.7 38.74 198.5 32 181.5 32H64C28.66 32 0 60.65 0 96v320c0 35.35 28.66 64 64 64h384c35.34 0 64-28.65 64-64V160C512 124.7 483.3 96 448 96zM480 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h117.5c8.547 0 16.58 3.328 22.62 9.375L258.7 128H448c17.64 0 32 14.36 32 32V416zM336 272h-64V207.1C272 199.2 264.8 192 256 192S240 199.2 240 207.1V272h-64C167.2 272 160 279.2 160 288c0 8.834 7.156 15.1 16 15.1h64v64C240 376.8 247.2 384 256 384c8.836 0 16-7.16 16-15.1V303.1h64C344.8 303.1 352 296.8 352 288S344.8 272 336 272z"],
    "folder-tree": [576, 512, [], "f802", "M528 32h-96l-17.94-17.94C405.1 5.057 392.8 0 380.1 0H336C309.5 0 288 21.49 288 48v128C288 202.5 309.5 224 336 224h192C554.5 224 576 202.5 576 176v-96C576 53.49 554.5 32 528 32zM544 176C544 184.8 536.8 192 528 192h-192C327.2 192 320 184.8 320 176v-128C320 39.18 327.2 32 336 32h44.12c4.273 0 8.293 1.664 11.31 4.686L418.7 64H528C536.8 64 544 71.18 544 80V176zM528 320h-96l-17.94-17.94C405.1 293.1 392.8 288 380.1 288H336C309.5 288 288 309.5 288 336v128c0 26.51 21.49 48 48 48h192c26.51 0 48-21.49 48-48v-96C576 341.5 554.5 320 528 320zM544 464c0 8.822-7.178 16-16 16h-192c-8.822 0-16-7.178-16-16v-128c0-8.822 7.178-16 16-16h44.12c4.273 0 8.293 1.664 11.31 4.686L418.7 352H528c8.822 0 16 7.178 16 16V464zM240 128C248.8 128 256 120.8 256 112S248.8 96 240 96H32V16C32 7.156 24.84 0 16 0S0 7.156 0 16v352C0 394.5 21.53 416 48 416h192C248.8 416 256 408.8 256 400S248.8 384 240 384h-192C39.17 384 32 376.8 32 368V128H240z"],
    "folder-user": [512, 512, [], "e18e", "M448 96h-176L226.7 50.75C214.7 38.74 198.5 32 181.5 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V160C512 124.7 483.3 96 448 96zM480 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h117.5c8.549 0 16.58 3.328 22.63 9.375L258.7 128H448c17.64 0 32 14.36 32 32V416zM256 288c35.35 0 64-28.65 64-64s-28.65-64-64-64S192 188.7 192 224S220.7 288 256 288zM256 192c17.64 0 32 14.36 32 32s-14.36 32-32 32S224 241.6 224 224S238.4 192 256 192zM288 320H224c-44.18 0-80 35.82-80 80C144 408.8 151.2 416 160 416s16-7.164 16-16C176 373.5 197.5 352 224 352h64c26.51 0 48 21.49 48 48c0 8.836 7.164 16 16 16s16-7.164 16-16C368 355.8 332.2 320 288 320z"],
    "folder-xmark": [512, 512, ["folder-times"], "f65f", "M448 96h-176L226.7 50.75C214.7 38.74 198.5 32 181.5 32H64C28.66 32 0 60.65 0 96v320c0 35.35 28.66 64 64 64h384c35.34 0 64-28.65 64-64V160C512 124.7 483.3 96 448 96zM480 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h117.5c8.547 0 16.58 3.328 22.62 9.375L258.7 128H448c17.64 0 32 14.36 32 32V416zM331.3 212.7c-6.25-6.25-16.38-6.25-22.62 0L256 265.4L203.3 212.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L233.4 288l-52.69 52.69c-6.25 6.25-6.25 16.38 0 22.62c6.246 6.246 16.37 6.254 22.62 0L256 310.6l52.69 52.69c6.246 6.246 16.37 6.254 22.62 0c6.25-6.25 6.25-16.38 0-22.62L278.6 288l52.69-52.69C337.6 229.1 337.6 218.9 331.3 212.7z"],
    "folders": [640, 512, [], "f660", "M576 96h-175.1l-45.25-45.25C342.7 38.74 326.5 32 309.5 32H192C156.7 32 128 60.65 128 96v256c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V160C640 124.7 611.3 96 576 96zM608 352c0 17.64-14.36 32-32 32H192c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h117.5c8.549 0 16.58 3.328 22.63 9.375L386.7 128H576c17.64 0 32 14.36 32 32V352zM432 480H128c-35.35 0-64-28.65-64-64V176C64 167.2 56.84 160 48 160S32 167.2 32 176L32 416c0 53.02 42.98 96 96 96h304c8.836 0 16-7.164 16-16S440.8 480 432 480z"],
    "fondue-pot": [512, 512, [129749], "e40d", "M496 224H416h-16h-58.13l31.07-48.83c1.979 .2969 3.941 .8301 5.924 .8301c13.22 0 26.16-6.547 33.78-18.53l61.09-96c11.84-18.62 6.375-43.36-12.28-55.22c-18.59-11.84-43.34-6.359-55.22 12.28l-61.09 96c-8.783 13.81-7.955 30.94 .6191 43.73L303.9 224H246.4l13.35-48.96c15.14-2.33 28.37-12.79 32.65-28.51l26.19-96c5.812-21.31-6.75-43.31-28.06-49.13c-21.28-5.75-43.31 6.734-49.13 28.06l-26.19 96C210.9 141.3 216.8 157.4 228.8 167.1L213.2 224H32C14.31 224 0 238.3 0 256v64c0 52.13 25.44 98.07 64.14 127.3C64.13 447.5 64 447.8 64 448v48C64 504.8 71.16 512 80 512S96 504.8 96 496v-29.56C115.6 475.1 137.2 480 160 480h128c22.78 0 44.37-4.943 64-13.56V496c0 8.844 7.156 16 16 16s16-7.156 16-16V448c0-.248-.1289-.4551-.1406-.7012C422.6 418.1 448 372.1 448 320V256h48C504.8 256 512 248.8 512 240S504.8 224 496 224zM372.2 131.7l61.09-96c2.406-3.719 7.406-4.797 11.03-2.453c3.75 2.375 4.844 7.312 2.469 11.05l-61.09 96c-1.531 2.391-4.125 3.703-6.75 3.703c-1.469 0-2.969-.4062-4.281-1.25C370.9 140.4 369.8 135.4 372.2 131.7zM272.3 37.89c1.156-4.234 5.625-6.703 9.812-5.609c4.281 1.156 6.781 5.562 5.625 9.828l-26.19 96c-.9687 3.547-4.188 5.891-7.719 5.891c-.6875 0-1.406-.0938-2.094-.2813C247.4 142.6 244.9 138.2 246.1 133.9L272.3 37.89zM416 320c0 70.58-57.42 128-128 128H160c-70.58 0-128-57.42-128-128V256h32v48C64 312.8 71.16 320 80 320S96 312.8 96 304V256h32v32c0 8.844 7.156 16 16 16S160 296.8 160 288V256h240H416V320z"],
    "font": [448, 512, [], "f031", "M432 448h-21.37L238.7 40.9c-5-11.87-24.47-11.87-29.47 0L37.37 448H16C7.164 448 0 455.2 0 464S7.164 480 16 480H96c8.838 0 16-7.164 16-16S104.8 448 96 448H72.12l40.64-96.25h222.5L375.9 448H352c-8.836 0-16 7.164-16 16S343.2 480 352 480h80c8.838 0 16-7.164 16-16S440.8 448 432 448zM126.3 319.7L224 88.29l97.71 231.4H126.3z"],
    "font-awesome": [448, 512, [62694, 62501, "font-awesome-flag", "font-awesome-logo-full"], "f2b4", "M448 48V384c-63.09 22.54-82.34 32-119.5 32c-62.82 0-86.6-32-149.3-32c-26.17 0-45.32 5.429-63.23 11.81C106.2 399.3 96 392.1 96 381.7c0-6.259 3.891-11.85 9.753-14.04C126.8 359.8 147.1 352 179.2 352c62.73 0 86.51 32 149.3 32C358.4 384 377.1 377.7 416 363.6v-272C377.1 105.7 358.4 112 328.5 112c-62.82 0-86.6-32-149.3-32C116.3 80 94.83 112 32 112v352C32 472.8 24.84 480 16 480S0 472.8 0 464v-416C0 39.16 7.164 32 16 32S32 39.16 32 48v32c62.83 0 84.33-32 147.2-32c62.73 0 86.51 32 149.3 32C365.7 80 384.9 70.54 448 48z"],
    "font-case": [640, 512, [], "f866", "M190.9 41.3c-4.75-12.4-25.12-12.4-29.87 0L1.069 458.2c-3.172 8.268 .9531 17.54 9.187 20.73c8.25 3.163 17.5-.9709 20.69-9.207l45.28-118H275.8l45.28 118C323.5 476.1 329.6 480 336 480c1.906 0 3.859-.3445 5.75-1.065c8.234-3.194 12.36-12.46 9.187-20.73L190.9 41.3zM88.54 319.7l87.47-227.9l87.47 227.9H88.54zM624 159.3c-8.844 0-15.1 7.172-15.1 16.03v28.29c-23.48-26.94-57.59-44.33-95.1-44.33c-70.58 0-127.1 57.53-127.1 128.3l-.002 64.35c0 70.75 57.42 128.1 127.1 128.1c38.41 0 72.52-17.4 96-44.33v28.29C608 472.8 615.2 480 624 480C632.8 480 640 472.8 640 463.1V175.3C640 166.5 632.8 159.3 624 159.3zM608 351.7c0 53.05-43.06 96.21-95.1 96.21c-52.94 0-95.1-43.16-95.1-96.21V287.6c0-53.05 43.06-96.21 95.1-96.21c52.94 0 95.1 43.16 95.1 96.21V351.7z"],
    "football": [512, 512, [127944, "football-ball"], "f44e", "M481.9 66.63c-4.688-17.54-18.34-31.23-36.04-35.95C435.5 27.91 392.9 16 337 16c-68.2 0-156.2 17.69-229.6 91.2c-118.7 119-93.78 275.5-77.26 338.2c4.688 17.54 18.39 31.38 36.09 36.09C76.57 484.2 119.1 496 174.9 496c68.2 0 156.2-17.68 229.6-91.2C523.3 285.8 498.4 129.3 481.9 66.63zM174.9 464c-33.46 0-67-4.463-100.5-13.47c-6.523-1.738-11.66-6.887-13.39-13.33c-6.367-24.15-14.15-64.11-12.78-110.3l136.6 136.6C181.6 463.7 178.4 464 174.9 464zM381.9 382.2c-42.55 42.61-94.75 68.48-155.4 77.74L52.12 285.5c8.039-51.74 29.72-107.3 77.93-155.7C172.6 87.2 224.8 61.33 285.4 52.07l174.4 174.4C451.8 278.2 430.2 333.8 381.9 382.2zM327 48.42C330.4 48.33 333.6 48 337 48c33.24 0 66.73 4.488 100.5 13.61c6.615 1.764 11.61 6.73 13.33 13.19C457.3 98.94 465.1 138.9 463.7 185.1L327 48.42zM260.7 164.7c-6.25 6.25-6.25 16.38 0 22.63l64.01 64.01c3.125 3.125 7.221 4.688 11.31 4.688s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.63l-64.01-64.01C277.1 158.4 266.9 158.4 260.7 164.7zM187.3 260.7c-6.25-6.25-16.38-6.25-22.63 0s-6.25 16.38 0 22.63l64.01 64c3.125 3.125 7.219 4.689 11.31 4.689s8.189-1.564 11.31-4.689c6.25-6.25 6.25-16.38 0-22.63L187.3 260.7zM235.3 212.7c-6.25-6.25-16.38-6.25-22.63 0s-6.25 16.38 0 22.63l64.01 64.01c3.125 3.125 7.219 4.689 11.31 4.689s8.189-1.564 11.31-4.689c6.25-6.25 6.25-16.38 0-22.63L235.3 212.7z"],
    "football-helmet": [512, 512, [], "f44f", "M479.1 320h-124.5l-15.41-75.98l137-17.82c9.001-1.25 15.66-9.831 13.91-18.71C468.4 93.75 368.2 8 247.1 8c-133.1 0-229.8 101.5-245.4 211.9C-7.665 292 21.24 359 61.74 409.9C64.75 413.8 69.5 416 74.5 416H128l77.71 44.98c9.251 4.625 19.41 6.946 29.28 6.946c46.5 0 78.11-49.18 60.86-92.05L286.4 352h42.88l9.501 49.38c9.501 47.38 48 83.25 96.01 89.25C478.7 496.1 477.2 496 479.1 496C502.5 496 512 476.2 512 464V352C512 334.2 497.7 320 479.1 320zM273.6 320l-10.34-25.79c-17.88-44.87 44.97-46.05 45.1-46.05L322.9 320H273.6zM284.7 218.9C243.4 224.2 218.1 267.2 233.6 306.1l32.63 83.63c5 12.5 2 26.75-7.501 36.25c-12.75 12.75-29.25 10.1-38.75 6.249C131.3 388 137.1 388.8 127.5 383.9h-53.38C40.21 338.1 26.09 281.8 34.21 224.2C47.46 130.6 131.2 40 247.1 40c96.76 0 181.4 64.88 207.5 156.8L284.7 218.9zM479.1 464l-41.26-5.25C412.7 455.6 390.7 438 378.6 416h101.4V464zM479.1 384h-111.8l-6.375-32h118.1V384zM175.1 311.1c-13.25 0-24 10.75-24 24s10.75 24 24 24s24-10.75 24-24S189.2 311.1 175.1 311.1z"],
    "fork": [512, 512, ["utensil-fork"], "f2e3", "M294.4 162.7C293.7 160.7 293.3 158.6 293.4 156.5C293.6 154.4 294.1 152.3 294.1 150.4C295.9 148.5 297.1 146.8 298.7 145.4L417.5 37.98C420.6 35.14 424.8 33.66 429 33.87C433.3 34.08 437.3 35.97 440.1 39.12C442.1 42.27 444.4 46.42 444.2 50.66C444 54.9 442.1 58.88 438.1 61.73L320.2 169.2C318.7 170.6 316.8 171.7 314.9 172.4C312.9 173.1 310.8 173.4 308.7 173.3C306.6 173.2 304.5 172.7 302.6 171.8C300.7 170.9 299 169.6 297.6 168C296.2 166.5 295.1 164.7 294.4 162.7V162.7zM340.2 209.4C339.3 207.5 338.8 205.4 338.7 203.3C338.6 201.2 338.9 199.1 339.6 197.1C340.3 195.2 341.4 193.3 342.8 191.8L450.3 73.02C453.1 69.88 457.1 67.99 461.4 67.78C465.6 67.57 469.7 69.05 472.9 71.9C476 74.76 477.9 78.74 478.1 82.98C478.3 87.23 476.9 91.38 474 94.53L366.6 213.3C365.1 214.8 363.4 216.1 361.5 217C359.6 217.9 357.6 218.4 355.5 218.5C353.4 218.6 351.3 218.3 349.3 217.6C347.3 216.9 345.5 215.8 343.9 214.4C342.4 212.1 341.1 211.3 340.2 209.4L340.2 209.4zM511.8 118.5C512.5 122.7 511.5 126.1 509.1 130.4L425.6 246.4C418.6 257.7 409.2 267.3 397.1 274.4C386.8 281.6 374.1 286 360.9 287.5C357.7 287.8 354.5 288 351.3 288C326.8 287.9 303.3 278.4 285.8 261.3L279.6 255.1L27.49 507.2C24.47 510.1 20.43 511.7 16.23 511.7C12.04 511.7 8.024 509.1 5.057 507C2.091 504 .4082 500 .3717 495.8C.3352 491.6 1.948 487.6 4.863 484.6L257 232.5L250.9 226.4C241.3 216.5 233.1 204.7 229.5 191.7C224.9 178.7 223.3 164.9 224.7 151.2C226.2 137.9 230.7 125.1 237.1 113.8C245.2 102.5 254.9 92.99 266.3 86.02L381.5 3.008C384.1 .5301 389.2-.4763 393.4 .2111C397.6 .8981 401.4 3.222 403.9 6.672C406.3 10.12 407.3 14.42 406.7 18.61C405.1 22.8 403.6 26.55 400.2 29.02L284.2 112.5C276.5 116.8 270.1 122.9 265.2 130.3C260.4 137.6 257.3 145.9 256.3 154.7C255.4 163.6 256.4 172.6 259.4 181.1C262.3 189.6 267.1 197.3 273.3 203.8L290 220.5C290.3 220.7 290.6 220.9 290.9 221.1C291.1 221.3 291.2 221.6 291.4 221.9L308.2 238.7C314.7 244.1 322.4 249.8 330.9 252.7C339.4 255.6 348.5 256.6 357.4 255.6C365.1 254.7 374.2 251.7 381.4 247C388.6 242.3 394.7 236 399 228.6L482.9 111.8C484.2 110.1 485.7 108.7 487.5 107.6C489.3 106.4 491.3 105.7 493.4 105.4C495.5 105 497.6 105.1 499.6 105.6C501.7 106.1 503.6 106.1 505.3 108.2C508.8 110.7 511.1 114.4 511.8 118.5H511.8z"],
    "fork-knife": [576, 512, ["utensils-alt"], "f2e6", "M358.4 162.7C357.7 160.7 357.4 158.6 357.4 156.5C357.6 154.4 358.1 152.3 358.1 150.4C359.9 148.5 361.1 146.8 362.7 145.4L481.5 37.98C484.6 35.14 488.8 33.66 493 33.87C497.3 34.08 501.3 35.97 504.1 39.12C506.1 42.27 508.4 46.42 508.2 50.66C508 54.9 506.1 58.88 502.1 61.73L384.2 169.2C382.7 170.6 380.8 171.7 378.9 172.4C376.9 173.1 374.8 173.4 372.7 173.3C370.6 173.2 368.5 172.7 366.6 171.8C364.7 170.9 363 169.6 361.6 168C360.2 166.5 359.1 164.7 358.4 162.7V162.7zM161.8 331.1C159.8 331.1 157.1 329.9 156.5 328.4L54.11 222.8C28.01 196.7 10.32 163.3 3.341 127.1C-3.641 90.85 .4005 53.35 14.94 19.42C17 14.62 20.21 10.39 24.28 7.114C28.35 3.836 33.17 1.605 38.3 .6165C43.44-.3716 48.73-.0871 53.73 1.446C58.73 2.978 63.28 5.712 66.97 9.409L270.3 216.2C273.1 219.1 274.7 222.9 274.7 226.9C274.7 230.9 273.1 234.7 270.3 237.6C268.7 239.2 266.9 240.4 264.8 241.3C262.8 242.1 260.6 242.6 258.4 242.6C256.1 242.6 253.9 242.1 251.9 241.3C249.8 240.4 247.1 239.2 246.4 237.6L44.25 32C32.17 60.05 28.81 91.09 34.62 121.1C40.42 151.1 55.12 178.6 76.8 200.1L179.6 306.2C181.8 308.4 183.3 311.3 183.8 314.4C184.4 317.5 184 320.7 182.8 323.6C181.6 326.5 179.5 328.9 176.9 330.7C174.2 332.4 171.1 333.3 167.1 333.3C165.9 333.3 163.7 332.8 161.8 331.1L161.8 331.1zM407.9 214.4C406.4 212.1 405.1 211.3 404.2 209.4C403.3 207.5 402.8 205.4 402.7 203.3C402.6 201.2 402.9 199.1 403.6 197.1C404.3 195.2 405.4 193.3 406.8 191.8L514.3 73.02C515.7 71.47 517.4 70.2 519.4 69.3C521.3 68.4 523.3 67.88 525.4 67.78C527.5 67.67 529.6 67.99 531.6 68.69C533.6 69.4 535.4 70.49 536.1 71.9C538.5 73.32 539.8 75.02 540.7 76.92C541.6 78.82 542.1 80.88 542.2 82.98C542.3 85.08 541.1 87.19 541.3 89.17C540.6 91.15 539.5 92.97 538.1 94.53L430.6 213.3C429.2 214.8 427.5 216.1 425.6 217C423.7 217.9 421.6 218.4 419.5 218.5C417.4 218.6 415.3 218.3 413.4 217.6C411.4 216.9 409.6 215.8 407.1 214.4H407.9zM569.3 108.2C572.8 110.7 575.1 114.4 575.8 118.5C576.5 122.7 575.5 126.1 573.1 130.4L489.6 246.4C482.6 257.7 473.2 267.3 461.1 274.4C450.8 281.6 438.1 286 424.9 287.5C421.7 287.8 418.5 288 415.3 288C390.8 287.9 367.3 278.4 349.8 261.3L343.6 255.1L91.49 507.2C88.47 510.1 84.43 511.7 80.23 511.7C76.04 511.7 72.02 509.1 69.06 507C66.09 504 64.41 500 64.37 495.8C64.34 491.6 65.95 487.6 68.86 484.6L321 232.5L314.9 226.4C305.3 216.5 297.1 204.7 293.5 191.7C288.9 178.7 287.3 164.9 288.7 151.2C290.2 137.9 294.7 125.1 301.1 113.8C309.2 102.5 318.9 92.99 330.3 86.02L445.5 3.008C448.1 .5301 453.2-.4763 457.4 .2111C461.6 .8981 465.4 3.222 467.9 6.672C470.3 10.12 471.3 14.42 470.7 18.61C469.1 22.8 467.6 26.55 464.2 29.02L348.2 112.5C340.5 116.8 334.1 122.9 329.2 130.3C324.4 137.6 321.3 145.9 320.3 154.7C319.4 163.6 320.4 172.6 323.4 181.1C326.3 189.6 331.1 197.3 337.3 203.8L354 220.5C354.3 220.7 354.6 220.9 354.9 221.1C355.1 221.3 355.2 221.6 355.4 221.9L372.2 238.7C378.7 244.1 386.4 249.8 394.9 252.7C403.4 255.6 412.5 256.6 421.4 255.6C429.1 254.7 438.2 251.7 445.4 247C452.6 242.3 458.7 236 463 228.6L547 111.8C548.2 110.1 549.8 108.7 551.6 107.6C553.4 106.4 555.4 105.7 557.4 105.4C559.5 105 561.7 105.1 563.7 105.6C565.8 106.1 567.7 106.1 569.4 108.2H569.3zM539.2 484.7C542.1 487.8 543.7 491.8 543.7 495.1C543.6 500.2 541.9 504.2 538.1 507.2C536 510.1 531.1 511.8 527.8 511.8C523.6 511.9 519.6 510.3 516.5 507.4L340.5 331.4C337.6 328.3 336 324.3 336.1 320.1C336.1 315.9 337.8 311.9 340.7 308.9C343.7 305.1 347.7 304.3 351.9 304.2C356.1 304.2 360.1 305.8 363.2 308.7L539.2 484.7z"],
    "forklift": [640, 512, [], "f47a", "M277.8 0C290.2 0 301.6 7.201 306.8 18.47L412.1 246C414.1 250.3 416 254.9 416 259.5V344.4C435.6 362 448 387.6 448 416C448 469 405 512 352 512C298.1 512 256 469 256 416H192C192 469 149 512 96 512C42.98 512 0 469 0 416V240C0 195.8 35.82 160 80 160H128V32C128 14.33 142.3 0 160 0H277.8zM80 192C53.49 192 32 213.5 32 240V344.4C48.98 329.2 71.41 320 96 320C137.8 320 173.4 346.7 186.5 384H261.5C274.6 346.7 310.2 320 352 320C363.2 320 373.1 321.9 384 325.5V288H263.1C255.1 288 248.2 284.1 242.3 279.5L147.5 192H80zM264 256H382.3L277.8 32H160V160L264 256zM296.6 384C291.1 393.4 288 404.3 288 416C288 451.3 316.7 480 352 480C387.3 480 416 451.3 416 416C416 393.9 404.8 374.4 387.8 362.9C386.6 362.1 385.3 361.3 384 360.6C374.6 355.1 363.7 352 352 352C328.3 352 307.6 364.9 296.6 384V384zM40.56 384C35.12 393.4 32 404.3 32 416C32 451.3 60.65 480 96 480C131.3 480 160 451.3 160 416C160 404.1 157.2 394.6 152.3 385.5C152 384.1 151.7 384.5 151.4 384C140.4 364.9 119.7 352 95.1 352C72.31 352 51.63 364.9 40.56 384H40.56zM512 416H624C632.8 416 640 423.2 640 432C640 440.8 632.8 448 624 448H496C487.2 448 480 440.8 480 432V16C480 7.164 487.2 0 496 0C504.8 0 512 7.164 512 16V416z"],
    "fort": [640, 512, [], "e486", "M0 16C0 7.164 7.164 0 16 0C24.84 0 32 7.164 32 16V64H96V16C96 7.164 103.2 0 112 0C120.8 0 128 7.164 128 16V64H192V16C192 7.164 199.2 0 208 0C216.8 0 224 7.164 224 16V160C224 171.7 220.9 182.6 215.4 192H424.6C419.1 182.6 416 171.7 416 160V16C416 7.164 423.2 0 432 0C440.8 0 448 7.164 448 16V64H512V16C512 7.164 519.2 0 528 0C536.8 0 544 7.164 544 16V64H608V16C608 7.164 615.2 0 624 0C632.8 0 640 7.164 640 16V160C640 183.7 627.1 204.4 608 215.4V448C608 483.3 579.3 512 544 512H96C60.65 512 32 483.3 32 448V215.4C12.87 204.4 .0003 183.7 .0003 160L0 16zM32 96V160C32 177.7 46.33 192 64 192H160C177.7 192 192 177.7 192 160V96H32zM400 480H448V224H192V480H240V400C240 355.8 275.8 320 320 320C364.2 320 400 355.8 400 400V480zM480 224V480H544C561.7 480 576 465.7 576 448V224H480zM96 480H160V224H64V448C64 465.7 78.33 480 96 480zM368 480V400C368 373.5 346.5 352 320 352C293.5 352 272 373.5 272 400V480H368zM608 96H448V160C448 177.7 462.3 192 480 192H576C593.7 192 608 177.7 608 160V96z"],
    "forward": [512, 512, [9193], "f04e", "M181.8 220.9c6.781 5.594 16.88 4.625 22.53-2.203c5.594-6.828 4.594-16.91-2.219-22.52L49.53 70.88C44.03 66.34 37.38 64 30.63 64C14.5 64 0 77.44 0 96.03v319.9C0 434.6 14.5 448 30.63 448c6.75 0 13.41-2.344 18.91-6.875l152.6-125.3c6.812-5.609 7.812-15.69 2.219-22.52C198.7 286.4 188.6 285.5 181.8 291.1L32 416.4V95.59L181.8 220.9zM500.3 230.8l-194.8-159.1C300 66.34 293.4 64 286.6 64c-10.35 0-30.6 8.122-30.6 32.03v319.9C256 439.9 276.3 448 286.6 448c6.75 0 13.41-2.344 18.91-6.875l194.8-159.1C507.8 275.1 512 265.9 512 256S507.8 236.9 500.3 230.8zM288 416.4V95.59L479.5 256L288 416.4z"],
    "forward-fast": [512, 512, [9197, "fast-forward"], "f050", "M181.8 220.9c6.781 5.594 16.88 4.625 22.53-2.203c5.594-6.828 4.594-16.91-2.219-22.52L49.53 70.88C44.03 66.34 37.38 64 30.63 64C14.5 64 0 77.44 0 96.03v319.9C0 434.6 14.5 448 30.63 448c6.75 0 13.41-2.344 18.91-6.875l152.6-125.3c6.812-5.609 7.812-15.69 2.219-22.52C198.7 286.4 188.6 285.5 181.8 291.1L32 416.4V95.59L181.8 220.9zM496 64C487.2 64 480 71.16 480 80v134.2l-174.5-143.3C300 66.34 293.4 64 286.6 64C276.3 64 256 72.13 256 96.03v319.9C256 439.9 276.3 448 286.6 448c6.75 0 13.41-2.344 18.91-6.875L480 297.8V432c0 8.844 7.156 16 16 16s16-7.156 16-16v-352C512 71.16 504.8 64 496 64zM288 416.4V95.59L479.5 256L288 416.4z"],
    "forward-step": [320, 512, ["step-forward"], "f051", "M272 64C263.2 64 256 71.16 256 80v134.2L81.53 70.88C76.03 66.34 69.38 64 62.63 64C52.28 64 32 72.13 32 96.03v319.9C32 439.9 52.28 448 62.63 448c6.75 0 13.41-2.344 18.91-6.875L256 297.8V432c0 8.844 7.156 16 16 16s16-7.156 16-16v-352C288 71.16 280.8 64 272 64zM64 416.4V95.59L255.5 256L64 416.4z"],
    "frame": [448, 512, [], "e495", "M432 128H384V384H432C440.8 384 448 391.2 448 400C448 408.8 440.8 416 432 416H384V464C384 472.8 376.8 480 368 480C359.2 480 352 472.8 352 464V416H96V464C96 472.8 88.84 480 80 480C71.16 480 64 472.8 64 464V416H16C7.164 416 0 408.8 0 400C0 391.2 7.164 384 16 384H64V128H16C7.164 128 0 120.8 0 112C0 103.2 7.164 96 16 96H64V48C64 39.16 71.16 32 80 32C88.84 32 96 39.16 96 48V96H352V48C352 39.16 359.2 32 368 32C376.8 32 384 39.16 384 48V96H432C440.8 96 448 103.2 448 112C448 120.8 440.8 128 432 128zM96 384H352V128H96V384z"],
    "franc-sign": [320, 512, [], "e18f", "M304 32C312.8 32 320 39.16 320 48C320 56.84 312.8 64 304 64H104C99.58 64 96 67.58 96 72V192H272C280.8 192 288 199.2 288 208C288 216.8 280.8 224 272 224H96V320H208C216.8 320 224 327.2 224 336C224 344.8 216.8 352 208 352H96V464C96 472.8 88.84 480 80 480C71.16 480 64 472.8 64 464V352H16C7.164 352 0 344.8 0 336C0 327.2 7.164 320 16 320H64V72C64 49.91 81.91 32 104 32H304z"],
    "french-fries": [384, 512, [127839], "f803", "M156.1 272c8.842 0 15.1-7.156 15.1-16L172.1 32.05l32.03 15.94v208c0 8.844 7.156 16 16 16s16-7.156 16-16V47.99c0-12.22-7.062-23.47-17.72-28.56L186.5 3.504C176.7-1.574 164.7-1.09 155.5 4.676C146 10.41 140.1 20.86 140.1 31.99v224C140.1 264.9 147.3 272 156.1 272zM263.1 63.09l33.96 11.43L268.6 188.1c-2.156 8.562 3.062 17.25 11.64 19.39c1.297 .3281 2.609 .4844 3.891 .4844c7.172 0 13.69-4.844 15.5-12.12l32-127.1c2.031-8.109-2.531-16.41-10.45-19.05l-48-16c-8.484-2.795-17.44 1.734-20.23 10.11C250.2 51.35 254.7 60.31 263.1 63.09zM92.11 208c.9219 0 1.859-.0781 2.797-.25C103.6 206.2 109.4 197.9 107.9 189.2L85.85 64.31L116.1 47c7.672-4.391 10.33-14.17 5.938-21.84C117.6 17.52 107.9 14.85 100.2 19.22l-40 22.9C54.32 45.49 51.21 52.16 52.38 58.8l24 135.1C77.74 202.6 84.49 208 92.11 208zM368 223.1L336 224c-5.031 0-9.781 2.375-12.8 6.391l-7.938 10.59c-23.36 31.14-57.38 51.81-95.77 58.22c-18.08 3-36.34 2.703-54.88-1C135.4 292.3 108.7 278.1 87.62 257L59.31 228.7C56.31 225.7 52.25 224 47.1 224L15.1 223.1c-4.922 0-9.49 2.141-12.52 6.031C.4455 233.9-.7207 239.1 .4824 243.9l64 256C66.26 507 72.65 512 79.1 512h224c7.344 0 13.73-5 15.52-12.12l64-256c1.203-4.781 .037-9.979-2.994-13.85C377.5 226.1 372.9 223.1 368 223.1zM291.5 480H92.5l-56-224h4.875L64.1 279.6c25.58 25.58 57.86 42.86 93.91 50.08c21.78 4.344 43.94 4.672 65.84 1.062c46.56-7.766 87.8-32.83 116.1-70.58L344 256h3.5L291.5 480zM371.4 80.35c-8.643-1.703-16.95 3.795-18.71 12.44l-16.33 79.98C334.6 181.4 340.1 189.9 348.6 191.7c1.082 .2187 2.164 .3281 3.215 .3281c7.359 0 13.95-5.203 15.49-12.76l16.33-79.98C385.4 90.59 379.9 82.13 371.4 80.35zM32.49 191.1c1.062 0 2.156-.1094 3.25-.3281C44.39 189.9 49.96 181.4 48.18 172.8l-16.5-79.98C29.89 84.14 21.5 78.64 12.77 80.35C4.113 82.13-1.449 90.59 .332 99.25l16.5 79.98C18.39 186.8 25.05 191.1 32.49 191.1z"],
    "frog": [576, 512, [], "f52e", "M560 448h-40.81l-109.9-123.6l131.5-71.91C562.5 240.8 576 218.3 576 193.6c0-26.84-15.94-51-40.56-61.53c-30.63-13.12-59.45-22.2-88.24-28.06C443.1 63.63 409.4 32 368 32c-38.95 0-71.32 27.86-78.46 64.73C128.7 104.4 0 237.3 0 400C0 444.1 35.88 480 80 480h288c8.844 0 16-7.156 16-16S376.8 448 368 448h-288C53.53 448 32 426.5 32 400c0-145.2 114.5-263.8 257.8-271.3C297.5 164.9 329.6 192 368 192c35.81 0 65.76-23.68 75.96-56.12c25.68 5.471 51.47 13.86 78.88 25.62C535.7 167 544 179.6 544 193.6c0 12.84-7.031 24.62-18.47 30.78l-149.2 81.59c-4.25 2.344-7.25 6.5-8.062 11.28c-.8438 4.812 .5625 9.75 3.781 13.38l128 144C503.1 478 507.4 480 512 480h48c8.844 0 16-7.156 16-16S568.8 448 560 448zM368 128c15.06 0 29.67 1.078 44.15 2.801C404.8 147.9 387.8 160 368 160C341.5 160 320 138.5 320 112S341.5 64 368 64c21.82 0 40.08 14.73 45.89 34.71C398.9 97 383.7 96 368 96c-8.844 0-16 7.156-16 16S359.2 128 368 128zM281.3 365.5l-34.16 22.75c-7.344 4.906-9.344 14.81-4.438 22.19C245.8 415.1 250.8 417.6 256 417.6c3.062 0 6.156-.875 8.875-2.688l34.16-22.75c18.44-12.31 31-31.06 35.34-52.81s-.0313-43.91-12.34-62.34s-31.06-31-52.78-35.34C247.3 237.3 225.3 241.7 206.9 253.1L175.8 274.7C168.5 279.6 166.5 289.5 171.4 296.9s14.88 9.281 22.19 4.438l31.09-20.72C236 273 249.6 270.3 262.1 273c13.34 2.656 24.88 10.38 32.44 21.72s10.28 24.97 7.594 38.34C300.3 346.4 292.6 357.9 281.3 365.5z"],
    "function": [640, 512, [], "f661", "M208 32H160C115.8 32 80 67.82 80 112L80 192H16C7.199 192 0 199.2 0 208C0 216.8 7.199 224 16 224h64v144c0 26.51-21.49 48.01-48 48.01L16 416C7.199 416 0 423.2 0 432C0 440.8 7.199 448 16 448H32c44.18 0 80-35.82 80-80V224h64C184.8 224 192 216.8 192 208C192 199.2 184.8 192 176 192h-64V112c0-26.51 21.49-47.99 48-47.99L208 64C216.8 64 224 56.8 224 48C224 39.2 216.8 32 208 32zM507.3 244.7c-6.223-6.223-16.4-6.223-22.62 0L431.5 297.4L379.3 244.7c-6.221-6.223-16.4-6.223-22.62 0c-6.221 6.223-6.221 16.4 0 22.62L408.9 320l-52.21 52.71c-6.221 6.221-6.221 16.4 0 22.62c6.223 6.221 16.4 6.221 22.62 0l52.21-52.71l53.21 52.71c6.221 6.221 16.4 6.221 22.62 0c6.221-6.223 6.221-16.4 0-22.62L454.1 320l53.21-52.71C513.6 261.1 513.6 250.9 507.3 244.7zM297.1 163.5C291.1 158 281 159.2 275.5 166C242.3 207.5 224 262.2 224 320s18.3 112.5 51.5 154C278.7 477.9 283.3 480 288 480c3.5 0 7.031-1.156 9.984-3.5c6.891-5.531 8.016-15.59 2.5-22.5C271.8 418.1 256 370.5 256 320s15.8-98.13 44.5-134C306 179.1 304.9 169 297.1 163.5zM588.5 166c-5.516-6.875-15.58-8-22.5-2.5C559.1 169 557.1 179.1 563.5 186C592.2 221.9 608 269.5 608 320s-15.8 98.13-44.5 134c-5.516 6.906-4.391 16.97 2.5 22.5C568.1 478.8 572.5 480 575.1 480c4.703 0 9.359-2.062 12.52-6c33.2-41.53 51.5-96.22 51.5-154S621.7 207.5 588.5 166z"],
    "futbol": [512, 512, [9917, "futbol-ball", "soccer-ball"], "f1e3", "M255.1 0C114.6 0 .0001 114.6 .0001 256S114.6 512 256 512s255.1-114.6 255.1-255.1S397.4 0 255.1 0zM84.34 195.3L33.48 231c3.723-33.39 14.93-64.46 31.72-91.8L84.34 195.3zM105.7 219.3l40.37 14.77l32.18 98.46l-24.64 32.44l-92.29 1.398c-16.29-28.59-26.34-61.09-28.6-95.73L105.7 219.3zM177.8 228.1L256 171.4l78.25 56.69l-29.67 91.56H207.7L177.8 228.1zM365.9 234.1l40.34-14.76l72.97 51.34c-2.264 34.64-12.32 67.13-28.6 95.73l-92.27-1.402l-24.41-32.37L365.9 234.1zM427.7 195.3l19.14-56.01c16.79 27.33 28 58.41 31.72 91.8L427.7 195.3zM423.7 107.1l-27.69 81.05l-40.58 14.85L272 143.5V98.56l67.16-50.38C371.9 61.32 400.7 81.97 423.7 107.1zM301.3 36.61L256 70.56L210.7 36.61C225.4 33.59 240.5 32 256 32S286.6 33.59 301.3 36.61zM172.8 48.18L240 98.56v44.9L156.6 203.9L116 189L88.33 107.1C111.3 81.97 140.1 61.32 172.8 48.18zM82.99 398.1l66.91-1.012l20.26 65.74C136 448.6 106.2 426.3 82.99 398.1zM207.2 474.5l-27.88-90.45l24.62-32.42h104.2L332.7 384l-27.9 90.5C289 478 272.8 480 256 480S222.1 478 207.2 474.5zM341.8 462.8l20.26-65.74l66.91 1.012C405.8 426.3 375.1 448.6 341.8 462.8z"],
    "g": [448, 512, [103], "47", "M223.9 480c-119.2 0-223.9-95.52-223.9-224.1c0-129.5 105.7-223.9 223.1-223.9c88.61 0 162.1 57.43 162.1 77.09c0 11.44-10.3 15.7-15.89 15.7c-17.4 0-50.25-60.82-147.1-60.82c-108.2 0-191.1 87.67-191.1 191.1c0 104.8 84.35 192 191.1 192c122.1 0 182.8-105.4 192.3-157.1l-.0469-2.908l-191.4 0c-2.773 0-16.84-2.189-16.84-16.01c0-8.848 7.158-16.01 16-16.01h208.1C440.8 255.1 448 263.2 448 271.1C448 372.6 350.5 480 223.9 480z"],
    "galaxy": [512, 512, [], "e008", "M255.1 192C220.6 192 191.1 220.6 191.1 256s28.62 64 64 64s64-28.62 64-64S291.4 192 255.1 192zM255.1 288C238.4 288 223.1 273.6 223.1 256s14.37-32 31.1-32c17.62 0 31.1 14.38 31.1 32S273.6 288 255.1 288zM506.5 266.9c-17.25-73.12-78.37-132.1-151.9-146.8C341.4 117.4 327.9 116.1 314.2 116c-6.75 0-13.62 .3696-20.5 1.12c11.5-20.5 29.25-36.5 50.75-45.88C374.4 58.49 383.6 0 313.1 0c-15.88 0-31.75 1.87-47.13 5.495c-73.13 17.38-132.1 78.38-146.8 151.9c-4.125 20.12-5 40.62-2.875 60.87c-20.5-11.37-36.62-29.25-46-50.75c-14.75-34.75-66.5-27.12-70.25 10.75c-2.25 22.38-.625 45 4.625 66.88c17.25 73.12 78.25 132.1 151.8 146.9C170.6 394.6 184.1 396 197.6 396c6.875 0 13.75-.3804 20.62-1.13c-11.5 20.5-29.25 36.5-50.75 45.88c-29.88 12.75-39 71.25 30.5 71.25c15.88 0 31.62-1.875 47.12-5.5c73.13-17.38 132.1-78.38 146.8-151.9c4.125-20.12 5-40.63 2.875-60.87c20.5 11.37 36.62 29.25 46 50.75c14.87 35 66.5 27 70.25-10.62C513.2 311.4 511.7 288.7 506.5 266.9zM479.1 330.6c-.3749 4.375-6.875 6.125-9 1.375c-12.12-28.12-33.12-51.38-59.75-66.25c-22.62-12.63-50.13 5.5-47.38 31.25c1.75 17.12 1 34.5-2.5 51.38c-12.25 61.38-61.63 112.5-122.8 126.9c-18.38 4.5-37.5 5.75-56.38 3.875c-2.125-.125-3.875-1.75-4.25-3.875C176.9 473 177.1 471 179.1 470.1c28-12.12 51.25-33 66.12-59.5c12-21.38-3.375-47.75-27.88-47.75c-4.875 0-25 3.625-54.63-2.375C102.1 348.2 51.11 299 36.74 237.8c-4.5-18.5-5.75-37.5-3.875-56.38C33.24 177 39.74 175.2 41.86 180c12.12 28.12 33.12 51.38 59.75 66.25c22.5 12.63 50.13-5.375 47.38-31.25c-1.75-17.12-1-34.5 2.5-51.25c15.62-78.63 91-140 179.1-130.9c2.125 .125 3.875 1.75 4.25 4c.25 2.125-.875 4.125-2.875 5c-28 12.12-51.25 33-66.13 59.5c-12 21.38 3.375 47.75 27.88 47.75c4.75 0 24.75-3.625 54.62 2.375C428.6 167.5 487.1 243.9 479.1 330.6z"],
    "gallery-thumbnails": [576, 512, [], "e3aa", "M512 0C547.3 0 576 28.65 576 64V288C576 323.3 547.3 352 512 352H64C28.65 352 0 323.3 0 288V64C0 28.65 28.65 0 64 0H512zM512 32H64C46.33 32 32 46.33 32 64V288C32 305.7 46.33 320 64 320H512C529.7 320 544 305.7 544 288V64C544 46.33 529.7 32 512 32zM64 416C81.67 416 96 430.3 96 448V480C96 497.7 81.67 512 64 512H32C14.33 512 0 497.7 0 480V448C0 430.3 14.33 416 32 416H64zM64 448H32V480H64V448zM160 448C160 430.3 174.3 416 192 416H224C241.7 416 256 430.3 256 448V480C256 497.7 241.7 512 224 512H192C174.3 512 160 497.7 160 480V448zM192 480H224V448H192V480zM384 416C401.7 416 416 430.3 416 448V480C416 497.7 401.7 512 384 512H352C334.3 512 320 497.7 320 480V448C320 430.3 334.3 416 352 416H384zM384 448H352V480H384V448zM480 448C480 430.3 494.3 416 512 416H544C561.7 416 576 430.3 576 448V480C576 497.7 561.7 512 544 512H512C494.3 512 480 497.7 480 480V448zM512 480H544V448H512V480z"],
    "game-board": [448, 512, [], "f867", "M384 32h-320c-35.35 0-64 28.65-64 64v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416zM368 176C376.8 176 384 168.8 384 160s-7.156-16-16-16h-32v-32C336 103.2 328.8 96 320 96s-16 7.156-16 16v32h-64v-32c0-8.844-7.156-16-15.1-16S208 103.2 208 112v32h-64v-32C144 103.2 136.8 96 128 96S112 103.2 112 112v32h-32C71.16 144 64 151.2 64 160s7.156 16 16 16h32v64h-32C71.16 240 64 247.2 64 256S71.16 272 80 272h32v64h-32C71.16 336 64 343.2 64 352s7.156 16 16 16h32v32C112 408.8 119.2 416 128 416s16-7.156 16-16v-32h64v32c0 8.844 7.156 16 16 16S240 408.8 240 400v-32h64v32c0 8.844 7.156 16 16 16s16-7.156 16-16v-32h32c8.844 0 16-7.156 16-16s-7.156-16-16-16h-32v-64h32c8.844 0 16-7.156 16-16S376.8 240 368 240h-32v-64H368zM208 336H144L144 272h64V336zM208 240h-64l.0001-64H208V240zM304 336H240v-64h64L304 336zM304 240h-64v-64h64L304 240z"],
    "game-board-simple": [448, 512, ["game-board-alt"], "f868", "M384 32h-320C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416zM368 240h-128v-128c0-8.844-7.156-16-15.1-16H80C71.16 96 64 103.2 64 112L64 256c0 8.844 7.156 16 15.1 16h128v128c0 8.844 7.156 16 16 16H368c8.844 0 16-7.156 16-16L384 256C384 247.2 376.8 240 368 240zM208 240H96V128h112V240zM352 384h-112V272H352V384z"],
    "game-console-handheld": [384, 512, [], "f8bb", "M232 384c13.25 0 24-10.75 24-24s-10.75-24-24-24s-24 10.75-24 24S218.8 384 232 384zM296 336c13.25 0 24-10.75 24-24s-10.75-24-24-24s-24 10.75-24 24S282.8 336 296 336zM320 0H64C28.8 0 0 28.8 0 64l.0001 352c0 52.8 43.2 96 96 96h192c53.02 0 96-42.98 96-96L384 63.1C384 28.8 355.2 0 320 0zM352 416c0 35.35-28.65 64-64 64H96c-35.35 0-64-28.65-64-64V224h320V416zM352 192H32V64c0-17.67 14.33-32 32-32h256c17.67 0 32 14.33 32 32V192zM80 352h15.1l0 16C96 376.8 103.2 384 112 384s15.1-7.201 15.1-16V352h16c8.801 0 16-7.201 16-16c0-8.801-7.199-16-16-16h-16V304c0-8.801-7.199-16-15.1-16S96 295.2 96 303.1L96 320H80c-8.801 0-15.1 7.199-15.1 16C64 344.8 71.2 352 80 352z"],
    "gamepad": [640, 512, [], "f11b", "M448 64H192C85.96 64 0 149.1 0 256s85.96 192 192 192h256c106 0 192-85.96 192-192S554 64 448 64zM448 416H192c-88.22 0-160-71.78-160-160s71.78-160 160-160h256c88.22 0 160 71.78 160 160S536.2 416 448 416zM431.1 280c-13.28 0-23.1 10.72-23.1 24s10.72 24 23.1 24s23.1-10.72 23.1-24S445.2 280 431.1 280zM495.1 184c-13.28 0-23.1 10.72-23.1 24s10.72 24 23.1 24s23.1-10.72 23.1-24S509.2 184 495.1 184zM256 240H208V192c0-8.844-7.18-16-16.02-16S176 183.2 176 192v48H128C119.2 240 111.1 247.2 111.1 256S119.2 272 128 272h48V320c0 8.844 7.132 16 15.98 16S208 328.8 208 320V272H256c8.844 0 15.98-7.156 15.98-16S264.8 240 256 240z"],
    "gamepad-modern": [640, 512, [63676, 127918, "gamepad-alt"], "e5a2", "M638.6 368.2l-33.38-211.6c-4.422-25.12-16.52-47.82-34.05-65.77s-40.5-31.18-66.62-37.36c-25.12-5.93-58.4-11.3-91.79-15.19S345.8 32 319.1 32C294.2 32 260.6 34.41 227.2 38.29S160.6 47.56 135.5 53.48C109.3 59.66 86.36 72.88 68.83 90.83S39.2 131.5 34.78 156.6l-33.38 211.6c-5.156 29.26 4.195 57.21 22.67 77.84c18.48 20.63 46.08 33.95 77.42 33.95c24.84 0 48.29-7.512 67.49-20.6c19.2-13.09 34.15-31.75 42.01-54.04l7.5-21.36h203l7.5 21.36c7.859 22.29 22.81 40.95 42.01 54.04c19.2 13.09 42.64 20.6 67.49 20.6c31.34 0 58.95-13.31 77.42-33.95C634.4 425.4 643.8 397.5 638.6 368.2zM592.1 424.7C578.8 439.5 559.3 448 538.5 448c-17.92 0-35.03-5.203-49.46-15.04c-14.1-9.615-24.43-22.84-29.84-38.2l-7.5-21.36c-4.502-12.82-16.61-21.4-30.19-21.4h-203c-13.59 0-25.69 8.58-30.19 21.4l-7.486 21.32c-5.43 15.4-15.76 28.62-29.86 38.24C136.5 442.8 119.4 448 101.5 448c-20.79 0-40.32-8.49-53.58-23.3c-12.92-14.42-18.24-32.51-14.9-51.5l33.28-211C69.52 143.9 78.31 126.9 91.72 113.2c13.69-14.02 31.37-23.9 51.13-28.56C165.1 79.17 197.3 74 230.9 70.08C264.6 66.16 296.2 64 320 64c23.75 0 55.38 2.16 89.05 6.08c33.67 3.922 64.96 9.088 88.1 14.55c.2656 .0625 .5352 .123 .8047 .1777c19.42 4.738 36.8 14.54 50.31 28.39c13.42 13.75 22.21 30.68 25.34 48.41l33.47 212.2C610.3 392.2 605 410.3 592.1 424.7zM432 248c-6.627 0-12.63 2.684-16.97 7.029c-4.344 4.344-7.029 10.35-7.029 16.97s2.685 12.62 7.029 16.96c4.344 4.346 10.34 7.038 16.97 7.038c6.629 0 12.63-2.692 16.97-7.038c4.344-4.344 7.029-10.34 7.029-16.96s-2.686-12.63-7.029-16.97C444.6 250.7 438.6 248 432 248zM496 152c-6.627 0-12.63 2.685-16.97 7.031c-4.344 4.344-7.029 10.35-7.029 16.97s2.685 12.62 7.029 16.96c4.344 4.346 10.34 7.036 16.97 7.036c6.629 0 12.63-2.69 16.97-7.036c4.344-4.344 7.029-10.34 7.029-16.96s-2.686-12.63-7.029-16.97C508.6 154.7 502.6 152 496 152zM256 208H208V160c0-8.844-7.18-16-16.02-16S176 151.2 176 160v48H128C119.2 208 111.1 215.2 111.1 224S119.2 240 128 240h48V288c0 8.844 7.132 16 15.98 16S208 296.8 208 288V240H256c8.844 0 15.98-7.156 15.98-16S264.8 208 256 208z"],
    "garage": [640, 512, [], "e009", "M326.2 35.98C322.2 34.3 317.8 34.3 313.8 35.98L51.58 146.4C39.72 151.4 32 162.1 32 175.9V496C32 504.8 24.84 512 16 512C7.164 512 0 504.8 0 496V175.9C0 150.1 15.43 126.9 39.16 116.9L301.4 6.484C313.3 1.469 326.7 1.469 338.6 6.484L600.8 116.9C624.6 126.9 640 150.1 640 175.9V496C640 504.8 632.8 512 624 512C615.2 512 608 504.8 608 496V175.9C608 162.1 600.3 151.4 588.4 146.4L326.2 35.98zM96 224C96 206.3 110.3 192 128 192H512C529.7 192 544 206.3 544 224V496C544 504.8 536.8 512 528 512C519.2 512 512 504.8 512 496V352H128V496C128 504.8 120.8 512 112 512C103.2 512 96 504.8 96 496V224zM128 319.1H512V224H128V319.1zM368 416C376.8 416 384 423.2 384 432C384 440.8 376.8 448 368 448H272C263.2 448 256 440.8 256 432C256 423.2 263.2 416 272 416H368z"],
    "garage-car": [640, 512, [], "e00a", "M326.2 35.98C322.2 34.3 317.8 34.3 313.8 35.98L51.58 146.4C39.72 151.4 32 162.1 32 175.9V496C32 504.8 24.84 512 16 512C7.164 512 0 504.8 0 496V175.9C0 150.1 15.43 126.9 39.16 116.9L301.4 6.484C313.3 1.469 326.7 1.469 338.6 6.484L600.8 116.9C624.6 126.9 640 150.1 640 175.9V496C640 504.8 632.8 512 624 512C615.2 512 608 504.8 608 496V175.9C608 162.1 600.3 151.4 588.4 146.4L326.2 35.98zM96 224C96 206.3 110.3 192 128 192H512C529.7 192 544 206.3 544 224V496C544 504.8 536.8 512 528 512C519.2 512 512 504.8 512 496V224H128V496C128 504.8 120.8 512 112 512C103.2 512 96 504.8 96 496V224zM264 416C264 424.8 256.8 432 248 432C239.2 432 232 424.8 232 416C232 407.2 239.2 400 248 400C256.8 400 264 407.2 264 416zM376 416C376 407.2 383.2 400 392 400C400.8 400 408 407.2 408 416C408 424.8 400.8 432 392 432C383.2 432 376 424.8 376 416zM417.5 289.2L438.1 352.8C453.7 362.7 464 380.2 464 400V496C464 504.8 456.8 512 448 512C439.2 512 432 504.8 432 496V480H208V496C208 504.8 200.8 512 192 512C183.2 512 176 504.8 176 496V400C176 380.2 186.3 362.7 201.9 352.8L222.5 289.2C228.9 269.4 247.3 255.1 268.2 255.1H371.8C392.6 255.1 411.1 269.4 417.5 289.2L417.5 289.2zM238.4 344H401.6L387.1 299.1C384.9 292.5 378.8 287.1 371.8 287.1H268.2C261.2 287.1 255.1 292.5 252.9 299.1L238.4 344zM208 448H432V400C432 386.7 421.3 376 408 376H232C218.7 376 208 386.7 208 400V448z"],
    "garage-open": [640, 512, [], "e00b", "M51.58 146.4C39.72 151.4 32 162.1 32 175.9V496C32 504.8 24.84 512 16 512C7.164 512 0 504.8 0 496V175.9C0 150.1 15.43 126.9 39.16 116.9L301.4 6.484C313.3 1.469 326.7 1.469 338.6 6.484L600.8 116.9C624.6 126.9 640 150.1 640 175.9V496C640 504.8 632.8 512 624 512C615.2 512 608 504.8 608 496V175.9C608 162.1 600.3 151.4 588.4 146.4L326.2 35.98C322.2 34.3 317.8 34.3 313.8 35.98L51.58 146.4zM512 192C529.7 192 544 206.3 544 224V496C544 504.8 536.8 512 528 512C519.2 512 512 504.8 512 496V288H128V496C128 504.8 120.8 512 112 512C103.2 512 96 504.8 96 496V224C96 206.3 110.3 192 128 192H512zM512 256V224H128V256H512zM232 416C232 407.2 239.2 400 248 400C256.8 400 264 407.2 264 416C264 424.8 256.8 432 248 432C239.2 432 232 424.8 232 416zM408 416C408 424.8 400.8 432 392 432C383.2 432 376 424.8 376 416C376 407.2 383.2 400 392 400C400.8 400 408 407.2 408 416zM246.2 320L238.4 344H401.6L393.8 320H427.5L438.1 352.8C453.7 362.7 464 380.2 464 400V496C464 504.8 456.8 512 448 512C439.2 512 432 504.8 432 496V480H208V496C208 504.8 200.8 512 192 512C183.2 512 176 504.8 176 496V400C176 380.2 186.3 362.7 201.9 352.8L212.5 320H246.2zM408 376H232C218.7 376 208 386.7 208 400V448H432V400C432 386.7 421.3 376 408 376z"],
    "garlic": [512, 512, [129476], "e40e", "M463.2 206.5l-85.23-71.59C361.5 121 352 100.7 352 79.18V48C352 21.53 330.5 0 304 0h-96C181.5 0 160 21.53 160 48v31.18c0 21.55-9.465 41.86-25.97 55.72L48.8 206.5C17.79 232.5 0 270.7 0 311.2C0 386.6 61.36 448 136.8 448H144v48C144 504.8 151.2 512 160 512s16-7.156 16-16V448h32v48C208 504.8 215.2 512 224 512s16-7.156 16-16V448h32v48c0 8.844 7.156 16 16 16s16-7.156 16-16V448h32v48c0 8.844 7.156 16 16 16s16-7.156 16-16V448h7.225C450.6 448 512 386.6 512 311.2C512 270.7 494.2 232.5 463.2 206.5zM136.8 416C79 416 32 368.1 32 311.2c0-31.03 13.63-60.27 37.38-80.23l71.92-60.41c-.4062 .5098-.6934 1.098-1.111 1.6L114.6 202.8C92.3 229.7 80 263.6 80 298.5C80 346.4 103 388.6 138.2 416H136.8zM230.8 416H224c-62.28-2.92-112-54.47-112-117.5c0-27.48 9.635-54.09 27.23-75.2l25.55-30.66C182.4 171.6 192 144.1 192 117.5V48C192 39.18 199.2 32 208 32H256v89.17c0 28.73 8.844 56.3 25.53 79.72l34.88 48.81C329.2 267.7 336 288.8 336 310.8C336 368.8 288.8 416 230.8 416zM375.2 416h-57.4C348.2 390.8 368 353.3 368 310.8c0-28.73-8.844-56.3-25.53-79.72l-34.88-48.81C294.8 164.3 288 143.2 288 121.2V32h16C312.8 32 320 39.18 320 48v31.18c0 31.03 13.62 60.27 37.38 80.23l85.23 71.59C466.4 250.1 480 280.2 480 311.2C480 368.1 432.1 416 375.2 416z"],
    "gas-pump": [512, 512, [9981], "f52f", "M95.1 0H255.1C291.3 0 320 28.65 320 64V256H336C380.2 256 416 291.8 416 336V384C416 401.7 430.3 416 448 416C465.7 416 480 401.7 480 384V224C444.7 224 416 195.3 416 160V84.37L389.2 59.79C382.7 53.82 382.2 43.7 388.2 37.19C394.2 30.67 404.3 30.23 410.8 36.21L491.2 109.9C504.5 122.1 512 139.2 512 157.1V384C512 419.3 483.3 448 448 448C412.7 448 384 419.3 384 384V336C384 309.5 362.5 288 336 288H320V480H336C344.8 480 352 487.2 352 496C352 504.8 344.8 512 336 512H16C7.164 512 0 504.8 0 496C0 487.2 7.164 480 16 480H32V64C32 28.65 60.65 .0003 96 .0003L95.1 0zM255.1 32H95.1C78.33 32 63.1 46.33 63.1 64V192H288V64C288 46.33 273.7 32 255.1 32zM288 224H63.1V480H288V224zM480 192V157.1C480 148.1 476.2 139.6 469.6 133.5L448 113.7V160C448 177.7 462.3 192 480 192V192z"],
    "gas-pump-slash": [640, 512, [], "f5f4", "M352 362.8L384 388.1V480H400C408.8 480 416 487.2 416 496C416 504.8 408.8 512 400 512H79.1C71.16 512 63.1 504.8 63.1 496C63.1 487.2 71.16 480 79.1 480H95.1V160.7L127.1 185.1V480H352V362.8zM144.6 35.96L118.4 15.33C129.6 5.772 144.1 0 159.1 0H319.1C355.3 0 384 28.65 384 64V224.1L352 199.7V64C352 46.33 337.7 32 319.1 32H159.1C154.4 32 149.1 33.44 144.6 35.96V35.96zM576 157.1V376.6L544 351.3V224C508.7 224 480 195.3 480 160V84.37L453.2 59.79C446.7 53.82 446.2 43.7 452.2 37.19C458.2 30.67 468.3 30.23 474.8 36.21L555.2 109.9C568.5 122.1 576 139.2 576 157.1L576 157.1zM512 113.7V160C512 177.7 526.3 192 544 192V157.1C544 148.1 540.2 139.6 533.6 133.5L512 113.7zM633.9 483.4C640.9 488.9 642 498.1 636.6 505.9C631.1 512.9 621 514 614.1 508.6L6.086 28.56C-.8493 23.08-2.033 13.02 3.443 6.087C8.918-.849 18.98-2.033 25.91 3.443L633.9 483.4z"],
    "gauge": [512, 512, ["dashboard", "gauge-med", "tachometer-alt-average"], "f624", "M192 352C192 322.2 212.4 297.1 239.1 290L239.1 95.1C239.1 87.16 247.2 79.1 255.1 79.1C264.8 79.1 272 87.16 272 95.1L272 290C299.6 297.1 320 322.2 320 352C320 387.3 291.3 416 256 416C220.7 416 192 387.3 192 352V352zM256 384C273.7 384 288 369.7 288 352C288 334.3 273.7 320 256 320C238.3 320 224 334.3 224 352C224 369.7 238.3 384 256 384zM120 144C120 130.7 130.7 120 144 120C157.3 120 168 130.7 168 144C168 157.3 157.3 168 144 168C130.7 168 120 157.3 120 144zM120 256C120 269.3 109.3 280 96 280C82.75 280 72 269.3 72 256C72 242.7 82.75 232 96 232C109.3 232 120 242.7 120 256zM392 256C392 242.7 402.7 232 416 232C429.3 232 440 242.7 440 256C440 269.3 429.3 280 416 280C402.7 280 392 269.3 392 256zM392 144C392 157.3 381.3 168 368 168C354.7 168 344 157.3 344 144C344 130.7 354.7 120 368 120C381.3 120 392 130.7 392 144zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480z"],
    "gauge-circle-bolt": [640, 512, [], "e496", "M256 480C288.2 480 318.8 473.2 346.5 460.1C352.3 470.3 358.1 479 366.4 487C332.1 503 295.5 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C375.4 0 475.6 81.67 503.1 192.2C501.3 192.1 498.7 192 496 192C487.6 192 479.3 192.6 471.2 193.7C444.3 100.3 358.1 32 256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480zM192 352C192 322.2 212.4 297.1 239.1 290L239.1 95.1C239.1 87.16 247.2 79.1 255.1 79.1C264.8 79.1 271.1 87.16 271.1 95.1L271.1 290C299.6 297.1 320 322.2 320 352C320 387.3 291.3 416 256 416C220.7 416 192 387.3 192 352V352zM256 384C273.7 384 288 369.7 288 352C288 334.3 273.7 320 256 320C238.3 320 224 334.3 224 352C224 369.7 238.3 384 256 384zM120 144C120 130.7 130.7 120 144 120C157.3 120 168 130.7 168 144C168 157.3 157.3 168 144 168C130.7 168 120 157.3 120 144zM120 256C120 269.3 109.3 280 96 280C82.75 280 72 269.3 72 256C72 242.7 82.75 232 96 232C109.3 232 120 242.7 120 256zM392 144C392 157.3 381.3 168 368 168C354.7 168 344 157.3 344 144C344 130.7 354.7 120 368 120C381.3 120 392 130.7 392 144zM543.9 286.1C548.2 290.7 549.2 296.9 546.5 301.8L516.4 356H552C557.2 356 561.8 359.3 563.4 364.2C565 369.1 563.3 374.5 559.2 377.6L463.2 449.6C458.7 452.1 452.4 452.8 448.1 449C443.8 445.3 442.8 439.1 445.5 434.2L475.6 380H440C434.8 380 430.2 376.7 428.6 371.8C426.1 366.9 428.7 361.5 432.8 358.4L528.8 286.4C533.3 283 539.6 283.2 543.9 286.1V286.1zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 256C434.1 256 384 306.1 384 368C384 429.9 434.1 480 496 480C557.9 480 608 429.9 608 368C608 306.1 557.9 256 496 256z"],
    "gauge-circle-minus": [640, 512, [], "e497", "M256 480C288.2 480 318.8 473.2 346.5 460.1C352.3 470.3 358.1 479 366.4 487C332.1 503 295.5 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C375.4 0 475.6 81.67 503.1 192.2C501.3 192.1 498.7 192 496 192C487.6 192 479.3 192.6 471.2 193.7C444.3 100.3 358.1 32 256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480zM192 352C192 322.2 212.4 297.1 239.1 290L239.1 95.1C239.1 87.16 247.2 79.1 255.1 79.1C264.8 79.1 271.1 87.16 271.1 95.1L271.1 290C299.6 297.1 320 322.2 320 352C320 387.3 291.3 416 256 416C220.7 416 192 387.3 192 352V352zM256 384C273.7 384 288 369.7 288 352C288 334.3 273.7 320 256 320C238.3 320 224 334.3 224 352C224 369.7 238.3 384 256 384zM120 144C120 130.7 130.7 120 144 120C157.3 120 168 130.7 168 144C168 157.3 157.3 168 144 168C130.7 168 120 157.3 120 144zM120 256C120 269.3 109.3 280 96 280C82.75 280 72 269.3 72 256C72 242.7 82.75 232 96 232C109.3 232 120 242.7 120 256zM392 144C392 157.3 381.3 168 368 168C354.7 168 344 157.3 344 144C344 130.7 354.7 120 368 120C381.3 120 392 130.7 392 144zM576 367.1C576 376.8 568.8 383.1 560 383.1H432C423.2 383.1 416 376.8 416 367.1C416 359.2 423.2 351.1 432 351.1H560C568.8 351.1 576 359.2 576 367.1zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 480C557.9 480 608 429.9 608 368C608 306.1 557.9 256 496 256C434.1 256 384 306.1 384 368C384 429.9 434.1 480 496 480z"],
    "gauge-circle-plus": [640, 512, [], "e498", "M256 480C288.2 480 318.8 473.2 346.5 460.1C352.3 470.3 358.1 479 366.4 487C332.1 503 295.5 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C375.4 0 475.6 81.67 503.1 192.2C501.3 192.1 498.7 192 496 192C487.6 192 479.3 192.6 471.2 193.7C444.3 100.3 358.1 32 256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480zM192 352C192 322.2 212.4 297.1 239.1 290L239.1 95.1C239.1 87.16 247.2 79.1 255.1 79.1C264.8 79.1 271.1 87.16 271.1 95.1L271.1 290C299.6 297.1 320 322.2 320 352C320 387.3 291.3 416 256 416C220.7 416 192 387.3 192 352V352zM256 384C273.7 384 288 369.7 288 352C288 334.3 273.7 320 256 320C238.3 320 224 334.3 224 352C224 369.7 238.3 384 256 384zM120 144C120 130.7 130.7 120 144 120C157.3 120 168 130.7 168 144C168 157.3 157.3 168 144 168C130.7 168 120 157.3 120 144zM120 256C120 269.3 109.3 280 96 280C82.75 280 72 269.3 72 256C72 242.7 82.75 232 96 232C109.3 232 120 242.7 120 256zM392 144C392 157.3 381.3 168 368 168C354.7 168 344 157.3 344 144C344 130.7 354.7 120 368 120C381.3 120 392 130.7 392 144zM512 351.1H560C568.8 351.1 576 359.2 576 367.1C576 376.8 568.8 383.1 560 383.1H512V431.1C512 440.8 504.8 447.1 496 447.1C487.2 447.1 480 440.8 480 431.1V383.1H432C423.2 383.1 416 376.8 416 367.1C416 359.2 423.2 351.1 432 351.1H480V303.1C480 295.2 487.2 287.1 496 287.1C504.8 287.1 512 295.2 512 303.1V351.1zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 256C434.1 256 384 306.1 384 368C384 429.9 434.1 480 496 480C557.9 480 608 429.9 608 368C608 306.1 557.9 256 496 256z"],
    "gauge-high": [512, 512, [62461, "tachometer-alt", "tachometer-alt-fast"], "f625", "M280 96C280 109.3 269.3 120 256 120C242.7 120 232 109.3 232 96C232 82.75 242.7 72 256 72C269.3 72 280 82.75 280 96zM320 352C320 387.3 291.3 416 256 416C220.7 416 192 387.3 192 352C192 316.7 220.7 288 256 288C261.3 288 266.4 288.6 271.3 289.8L353.9 136.4C358.1 128.6 367.8 125.7 375.6 129.9C383.4 134.1 386.3 143.8 382.1 151.6L299.5 305C312.1 316.7 320 333.4 320 352H320zM256 320C238.3 320 224 334.3 224 352C224 369.7 238.3 384 256 384C273.7 384 288 369.7 288 352C288 334.3 273.7 320 256 320zM168 144C168 157.3 157.3 168 144 168C130.7 168 120 157.3 120 144C120 130.7 130.7 120 144 120C157.3 120 168 130.7 168 144zM72 256C72 242.7 82.75 232 96 232C109.3 232 120 242.7 120 256C120 269.3 109.3 280 96 280C82.75 280 72 269.3 72 256zM440 256C440 269.3 429.3 280 416 280C402.7 280 392 269.3 392 256C392 242.7 402.7 232 416 232C429.3 232 440 242.7 440 256zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480z"],
    "gauge-low": [512, 512, ["tachometer-alt-slow"], "f627", "M256 72C269.3 72 280 82.75 280 96C280 109.3 269.3 120 256 120C242.7 120 232 109.3 232 96C232 82.75 242.7 72 256 72zM212.5 305L129.9 151.6C125.7 143.8 128.6 134.1 136.4 129.9C144.2 125.7 153.9 128.6 158.1 136.4L240.7 289.8C245.6 288.6 250.7 288 256 288C291.3 288 320 316.7 320 352C320 387.3 291.3 416 256 416C220.7 416 192 387.3 192 352C192 333.4 199.9 316.7 212.5 305H212.5zM224 352C224 369.7 238.3 384 256 384C273.7 384 288 369.7 288 352C288 334.3 273.7 320 256 320C238.3 320 224 334.3 224 352zM368 120C381.3 120 392 130.7 392 144C392 157.3 381.3 168 368 168C354.7 168 344 157.3 344 144C344 130.7 354.7 120 368 120zM416 280C402.7 280 392 269.3 392 256C392 242.7 402.7 232 416 232C429.3 232 440 242.7 440 256C440 269.3 429.3 280 416 280zM96 232C109.3 232 120 242.7 120 256C120 269.3 109.3 280 96 280C82.75 280 72 269.3 72 256C72 242.7 82.75 232 96 232zM256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256z"],
    "gauge-max": [512, 512, ["tachometer-alt-fastest"], "f626", "M256 72C269.3 72 280 82.75 280 96C280 109.3 269.3 120 256 120C242.7 120 232 109.3 232 96C232 82.75 242.7 72 256 72zM256 288C273.5 288 289.4 295 300.9 306.4L407.8 242.3C415.3 237.7 425.2 240.2 429.7 247.8C434.3 255.3 431.8 265.2 424.2 269.7L317.4 333.8C319.1 339.6 320 345.7 320 352C320 387.3 291.3 416 255.1 416C220.7 416 191.1 387.3 191.1 352C191.1 316.7 220.7 288 255.1 288H256zM224 352C224 369.7 238.3 384 256 384C273.7 384 288 369.7 288 352C288 334.3 273.7 320 256 320C238.3 320 224 334.3 224 352zM368 120C381.3 120 392 130.7 392 144C392 157.3 381.3 168 368 168C354.7 168 344 157.3 344 144C344 130.7 354.7 120 368 120zM96 280C82.75 280 72 269.3 72 256C72 242.7 82.75 232 96 232C109.3 232 120 242.7 120 256C120 269.3 109.3 280 96 280zM144 120C157.3 120 168 130.7 168 144C168 157.3 157.3 168 144 168C130.7 168 120 157.3 120 144C120 130.7 130.7 120 144 120zM256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256z"],
    "gauge-min": [512, 512, ["tachometer-alt-slowest"], "f628", "M280 96C280 109.3 269.3 120 256 120C242.7 120 232 109.3 232 96C232 82.75 242.7 72 256 72C269.3 72 280 82.75 280 96zM320 352C320 387.3 291.3 416 256 416C220.7 416 192 387.3 192 352C192 345.7 192.9 339.6 194.6 333.8L87.77 269.7C80.19 265.2 77.73 255.3 82.28 247.8C86.83 240.2 96.65 237.7 104.2 242.3L211.1 306.4C222.6 295 238.5 288 255.1 288C291.3 288 320 316.7 320 352H320zM256 320C238.3 320 224 334.3 224 352C224 369.7 238.3 384 256 384C273.7 384 288 369.7 288 352C288 334.3 273.7 320 256 320zM168 144C168 157.3 157.3 168 144 168C130.7 168 120 157.3 120 144C120 130.7 130.7 120 144 120C157.3 120 168 130.7 168 144zM392 256C392 242.7 402.7 232 416 232C429.3 232 440 242.7 440 256C440 269.3 429.3 280 416 280C402.7 280 392 269.3 392 256zM392 144C392 157.3 381.3 168 368 168C354.7 168 344 157.3 344 144C344 130.7 354.7 120 368 120C381.3 120 392 130.7 392 144zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480z"],
    "gauge-simple": [512, 512, ["gauge-simple-med", "tachometer-average"], "f629", "M192 352C192 322.2 212.4 297.1 239.1 290L239.1 95.1C239.1 87.16 247.2 79.1 255.1 79.1C264.8 79.1 272 87.16 272 95.1L272 290C299.6 297.1 320 322.2 320 352C320 387.3 291.3 416 256 416C220.7 416 192 387.3 192 352V352zM256 384C273.7 384 288 369.7 288 352C288 334.3 273.7 320 256 320C238.3 320 224 334.3 224 352C224 369.7 238.3 384 256 384zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480z"],
    "gauge-simple-high": [512, 512, [61668, "tachometer", "tachometer-fast"], "f62a", "M192 352C192 316.7 220.7 288 256 288C261.3 288 266.4 288.6 271.3 289.8L353.9 136.4C358.1 128.6 367.8 125.7 375.6 129.9C383.4 134.1 386.3 143.8 382.1 151.6L299.5 305C312.1 316.7 320 333.4 320 352C320 387.3 291.3 416 256 416C220.7 416 192 387.3 192 352H192zM256 384C273.7 384 288 369.7 288 352C288 334.3 273.7 320 256 320C238.3 320 224 334.3 224 352C224 369.7 238.3 384 256 384zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480z"],
    "gauge-simple-low": [512, 512, ["tachometer-slow"], "f62c", "M256 416C220.7 416 192 387.3 192 352C192 333.4 199.9 316.7 212.5 305L129.9 151.6C125.7 143.8 128.6 134.1 136.4 129.9C144.2 125.7 153.9 128.6 158.1 136.4L240.7 289.8C245.6 288.6 250.7 288 256 288C291.3 288 320 316.7 320 352C320 387.3 291.3 416 256 416H256zM288 352C288 334.3 273.7 320 256 320C238.3 320 224 334.3 224 352C224 369.7 238.3 384 256 384C273.7 384 288 369.7 288 352zM256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256z"],
    "gauge-simple-max": [512, 512, ["tachometer-fastest"], "f62b", "M256 416C220.7 416 192 387.3 192 352C192 316.7 220.7 288 256 288C273.5 288 289.4 295 300.9 306.4L407.8 242.3C415.3 237.7 425.2 240.2 429.7 247.8C434.3 255.3 431.8 265.2 424.2 269.7L317.4 333.8C319.1 339.6 320 345.7 320 352C320 387.3 291.3 416 255.1 416H256zM288 352C288 334.3 273.7 320 256 320C238.3 320 224 334.3 224 352C224 369.7 238.3 384 256 384C273.7 384 288 369.7 288 352zM256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256z"],
    "gauge-simple-min": [512, 512, ["tachometer-slowest"], "f62d", "M192 352C192 345.7 192.9 339.6 194.6 333.8L87.77 269.7C80.19 265.2 77.73 255.3 82.28 247.8C86.83 240.2 96.65 237.7 104.2 242.3L211.1 306.4C222.6 295 238.5 288 255.1 288C291.3 288 320 316.7 320 352C320 387.3 291.3 416 255.1 416C220.7 416 191.1 387.3 191.1 352H192zM256 384C273.7 384 288 369.7 288 352C288 334.3 273.7 320 256 320C238.3 320 224 334.3 224 352C224 369.7 238.3 384 256 384zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480z"],
    "gavel": [512, 512, ["legal"], "f0e3", "M512 208.3c0-9.103-7.43-16-15.99-16c-4.091 0-8.183 1.562-11.31 4.688l-12.7 12.7L302.4 40l12.68-12.69C318.2 24.19 319.8 20.09 319.8 16c0-9.103-7.43-16-15.99-16c-4.091 0-8.183 1.562-11.31 4.688l-143.9 144C145.5 151.8 143.9 155.9 143.9 160c0 9.103 7.43 16 15.99 16c4.091 0 8.183-1.562 11.31-4.688l12.68-12.69l73.39 73.44l-75.46 78.11L172.4 300.7c-8.456-8.437-19.56-12.67-30.64-12.67c-11.13 0-22.26 4.234-30.73 12.67l-98.31 98.38C4.232 407.6 0 418.7 0 429.8s4.232 22.23 12.7 30.7l38.76 38.78C59.65 507.5 70.55 512 82.14 512c11.6 0 22.5-4.5 30.69-12.72l98.31-98.34c8.464-8.469 12.7-19.59 12.7-30.7S219.6 348 211.1 339.5l-6.711-6.719l75.47-78.12l73.56 73.6l-12.66 12.67c-3.123 3.125-4.685 7.219-4.685 11.31c0 9.103 7.43 16 15.99 16c4.092 0 8.183-1.562 11.31-4.688l143.9-144C510.4 216.5 512 212.4 512 208.3zM191.9 370.2c0 2.922-1.113 5.844-3.338 8.078l-98.32 98.34c-2.139 2.156-5.095 3.234-8.054 3.234c-2.959 0-5.923-1.078-8.078-3.234l-38.76-38.78c-2.225-2.234-3.338-5.156-3.338-8.078s1.113-5.844 3.338-8.078l98.31-98.38c2.218-2.219 5.138-3.312 8.074-3.312c2.92 0 5.856 1.094 8.089 3.344l38.74 38.78C190.7 364.4 191.9 367.3 191.9 370.2zM206.5 136l73.33-73.38l169.6 169.7l-73.33 73.38L206.5 136z"],
    "gear": [512, 512, [9881, "cog"], "f013", "M168 255.1C168 207.4 207.4 167.1 256 167.1C304.6 167.1 344 207.4 344 255.1C344 304.6 304.6 344 256 344C207.4 344 168 304.6 168 255.1zM256 199.1C225.1 199.1 200 225.1 200 255.1C200 286.9 225.1 311.1 256 311.1C286.9 311.1 312 286.9 312 255.1C312 225.1 286.9 199.1 256 199.1zM65.67 230.6L25.34 193.8C14.22 183.7 11.66 167.2 19.18 154.2L49.42 101.8C56.94 88.78 72.51 82.75 86.84 87.32L138.8 103.9C152.2 93.56 167 84.96 182.8 78.43L194.5 25.16C197.7 10.47 210.7 0 225.8 0H286.2C301.3 0 314.3 10.47 317.5 25.16L329.2 78.43C344.1 84.96 359.8 93.56 373.2 103.9L425.2 87.32C439.5 82.75 455.1 88.78 462.6 101.8L492.8 154.2C500.3 167.2 497.8 183.7 486.7 193.8L446.3 230.6C447.4 238.9 448 247.4 448 255.1C448 264.6 447.4 273.1 446.3 281.4L486.7 318.2C497.8 328.3 500.3 344.8 492.8 357.8L462.6 410.2C455.1 423.2 439.5 429.2 425.2 424.7L373.2 408.1C359.8 418.4 344.1 427 329.2 433.6L317.5 486.8C314.3 501.5 301.3 512 286.2 512H225.8C210.7 512 197.7 501.5 194.5 486.8L182.8 433.6C167 427 152.2 418.4 138.8 408.1L86.84 424.7C72.51 429.2 56.94 423.2 49.42 410.2L19.18 357.8C11.66 344.8 14.22 328.3 25.34 318.2L65.67 281.4C64.57 273.1 64 264.6 64 255.1C64 247.4 64.57 238.9 65.67 230.6V230.6zM158.4 129.2L145.1 139.5L77.13 117.8L46.89 170.2L99.58 218.2L97.39 234.8C96.47 241.7 96 248.8 96 255.1C96 263.2 96.47 270.3 97.39 277.2L99.58 293.8L46.89 341.8L77.13 394.2L145.1 372.5L158.4 382.8C169.5 391.4 181.9 398.6 195 403.1L210.5 410.4L225.8 480H286.2L301.5 410.4L316.1 403.1C330.1 398.6 342.5 391.4 353.6 382.8L366.9 372.5L434.9 394.2L465.1 341.8L412.4 293.8L414.6 277.2C415.5 270.3 416 263.2 416 256C416 248.8 415.5 241.7 414.6 234.8L412.4 218.2L465.1 170.2L434.9 117.8L366.9 139.5L353.6 129.2C342.5 120.6 330.1 113.4 316.1 108L301.5 101.6L286.2 32H225.8L210.5 101.6L195 108C181.9 113.4 169.5 120.6 158.4 129.2H158.4z"],
    "gears": [640, 512, ["cogs"], "f085", "M103.1 176C103.1 145.1 129.1 120 159.1 120C190.9 120 215.1 145.1 215.1 176C215.1 206.9 190.9 232 159.1 232C129.1 232 103.1 206.9 103.1 176zM159.1 152C146.7 152 135.1 162.7 135.1 176C135.1 189.3 146.7 200 159.1 200C173.3 200 183.1 189.3 183.1 176C183.1 162.7 173.3 152 159.1 152zM213.9 51.16C223.4 55.3 232.4 60.5 240.6 66.61L267.7 58.52C273.2 56.85 279.3 58.3 283.3 62.62C299.5 80.44 311.9 101.8 319.3 125.4C321.1 130.9 319.3 136.9 315.1 140.9L294.1 160C295.7 165.5 295.1 171.1 295.1 176.8C295.1 181.1 295.7 187.1 295.2 192.1L315.1 211.1C319.3 215.1 321.1 221.1 319.3 226.6C311.9 250.2 299.5 271.6 283.3 289.4C279.3 293.7 273.2 295.2 267.7 293.5L242.1 285.8C233.3 292.5 223.7 298.1 213.5 302.6L207.3 328.6C205.1 334.3 201.7 338.8 196 340.1C184.4 342.6 172.4 344 159.1 344C147.6 344 135.6 342.6 123.1 340.1C118.3 338.8 114 334.3 112.7 328.6L106.5 302.6C96.26 298.1 86.67 292.5 77.91 285.8L52.34 293.5C46.75 295.2 40.65 293.7 36.73 289.4C20.5 271.6 8.055 250.2 .6513 226.6C-1.078 221.1 .6929 215.1 4.879 211.1L24.85 192.1C24.29 187.1 24 181.1 24 176.8C24 171.1 24.34 165.5 25.01 160L4.879 140.9C.6936 136.9-1.077 130.9 .652 125.4C8.056 101.8 20.51 80.44 36.73 62.62C40.65 58.3 46.75 56.85 52.34 58.52L79.38 66.61C87.62 60.5 96.57 55.3 106.1 51.17L112.7 23.36C114 17.71 118.3 13.17 123.1 11.91C135.6 9.35 147.6 8 159.1 8C172.4 8 184.4 9.35 196 11.91C201.7 13.16 205.1 17.71 207.3 23.36L213.9 51.16zM58.71 147.9L56.78 163.9C56.26 168.1 55.1 172.4 55.1 176.8C55.1 180.8 56.22 184.7 56.65 188.6L58.4 204.4L34.72 226.9C39.47 238.8 45.84 249.8 53.55 259.7L84.35 250.5L97.31 260.4C104 265.5 111.4 269.8 119.2 273.2L133.9 279.5L141.3 310.7C147.4 311.6 153.6 312 159.1 312C166.3 312 172.6 311.6 178.7 310.7L186.1 279.5L200.8 273.2C208.6 269.8 215.1 265.5 222.7 260.4L235.7 250.5L266.4 259.7C274.2 249.8 280.5 238.8 285.3 226.9L261.6 204.4L263.3 188.6C263.8 184.7 263.1 180.8 263.1 176.8C263.1 172.4 263.7 168.1 263.2 163.9L261.3 147.9L285.3 125.1C280.5 113.2 274.2 102.2 266.4 92.29L234.4 101.9L221.6 92.32C215.2 87.64 208.4 83.67 201.1 80.51L186.5 74.13L178.7 41.29C172.6 40.44 166.3 40 159.1 40C153.6 40 147.4 40.44 141.3 41.29L133.5 74.13L118.8 80.51C111.6 83.67 104.7 87.64 98.44 92.32L85.56 101.9L53.55 92.29C45.84 102.2 39.47 113.2 34.72 125.1L58.71 147.9zM464 296C494.9 296 520 321.1 520 352C520 382.9 494.9 408 464 408C433.1 408 408 382.9 408 352C408 321.1 433.1 296 464 296V296zM488 352C488 338.7 477.3 328 464 328C450.7 328 440 338.7 440 352C440 365.3 450.7 376 464 376C477.3 376 488 365.3 488 352zM588.8 405.9C584.7 415.4 579.5 424.4 573.4 432.6L581.5 459.7C583.2 465.2 581.7 471.3 577.4 475.3C559.6 491.5 538.2 503.9 514.6 511.3C509.1 513.1 503.1 511.3 499.1 507.1L479.1 486.1C474.5 487.7 468.9 488 463.2 488C458 488 452.9 487.7 447.9 487.2L428.9 507.1C424.9 511.3 418.9 513.1 413.4 511.3C389.8 503.9 368.4 491.5 350.6 475.3C346.3 471.4 344.9 465.2 346.5 459.7L354.2 434.1C347.5 425.3 341.9 415.7 337.4 405.5L311.4 399.3C305.7 397.1 301.2 393.7 299.9 388C297.4 376.4 296 364.4 296 352C296 339.6 297.4 327.6 299.9 315.1C301.2 310.3 305.7 306 311.4 304.7L337.4 298.5C341.9 288.3 347.5 278.7 354.2 269.9L346.5 244.3C344.9 238.8 346.3 232.7 350.6 228.7C368.4 212.5 389.8 200.1 413.4 192.7C418.9 190.9 424.9 192.7 428.9 196.9L447.9 216.9C452.9 216.3 458 216 463.2 216C468.9 216 474.5 216.3 479.1 217L499.1 196.9C503.1 192.7 509.1 190.9 514.6 192.7C538.2 200.1 559.6 212.5 577.4 228.7C581.7 232.7 583.2 238.8 581.5 244.3L573.4 271.4C579.5 279.6 584.7 288.6 588.8 298.1L616.6 304.7C622.3 306 626.8 310.3 628.1 315.1C630.7 327.6 632 339.6 632 352C632 364.4 630.7 376.4 628.1 388C626.8 393.7 622.3 397.1 616.6 399.3L588.8 405.9zM492.1 250.7L476.1 248.8C471.9 248.3 467.6 248 463.2 248C459.2 248 455.3 248.2 451.4 248.7L435.6 250.4L413.1 226.7C401.2 231.5 390.2 237.8 380.3 245.6L389.5 276.4L379.6 289.3C374.5 296 370.2 303.4 366.8 311.2L360.5 325.9L329.3 333.3C328.4 339.4 328 345.7 328 352C328 358.3 328.4 364.6 329.3 370.7L360.5 378.1L366.8 392.8C370.2 400.6 374.5 407.1 379.6 414.7L389.5 427.7L380.3 458.4C390.2 466.2 401.2 472.5 413.1 477.3L435.6 453.6L451.4 455.4C455.3 455.8 459.2 456 463.2 456C467.6 456 471.9 455.7 476.1 455.2L492.1 453.3L514.9 477.3C526.8 472.5 537.8 466.2 547.7 458.4L538.1 426.4L547.7 413.6C552.4 407.3 556.3 400.4 559.5 393.1L565.9 378.5L598.7 370.7C599.6 364.6 600 358.3 600 352C600 345.7 599.6 339.4 598.7 333.3L565.9 325.5L559.5 310.9C556.3 303.6 552.4 296.8 547.7 290.4L538.1 277.6L547.7 245.6C537.8 237.8 526.8 231.5 514.9 226.7L492.1 250.7z"],
    "gem": [512, 512, [128142], "f3a5", "M509.1 198.8l-112-160C394.1 34.55 389.2 32 384 32H127.1C122.8 32 117.9 34.55 114.9 38.83l-112 160c-4.344 6.203-3.75 14.59 1.406 20.11l240 256C247.4 478.2 251.6 480 256 480s8.635-1.828 11.67-5.062l240-256C512.9 213.4 513.4 205 509.1 198.8zM383.4 75.13L465.3 192h-170.9L383.4 75.13zM256 189.6L160.3 64h191.4L256 189.6zM128.6 75.13L217.6 192H46.73L128.6 75.13zM256 440.6L52.93 224h406.1L256 440.6z"],
    "genderless": [384, 512, [], "f22d", "M192 112c79.4 0 144 64.6 144 144s-64.6 144-144 144S48 335.4 48 256S112.6 112 192 112zM192 80C94.8 80 16 158.8 16 256s78.8 176 176 176s176-78.8 176-176S289.2 80 192 80z"],
    "ghost": [384, 512, [128123], "f6e2", "M128 167.1C114.8 167.1 104 178.8 104 192s10.78 24 23.1 24c13.22 0 24-10.78 24-24S141.2 167.1 128 167.1zM256 167.1c-13.22 0-24 10.78-24 24s10.78 24 24 24s24-10.78 24-24S269.2 167.1 256 167.1zM192 0C190 0 188.1-.0218 186.1 .1032c-105.1 3.125-186.1 94.77-186.1 199.9v264c0 9.625 7.856 15.99 16.11 15.99c3.875 0 7.819-1.486 11.19-4.736l24.95-18.5c2.875-2.125 6.251-3.157 9.501-3.157c4.5 0 8.874 1.782 11.1 5.407l43 48.31C119.9 510.5 123.9 512 128 512c4.125 0 8.229-1.538 11.35-4.663l40.62-45.81c3.25-3.625 7.625-5.41 12-5.41s8.75 1.785 11.1 5.41l40.63 45.81C247.8 510.5 251.9 512 255.1 512s8.146-1.538 11.27-4.663l43-48.31c5.5-6.25 14.88-7.25 21.5-2.25l24.95 18.5c3.375 3.25 7.32 4.736 11.19 4.736c8.25 0 16.11-6.362 16.11-15.99V192C384 86 298 0 192 0zM352 431.9l-1.125-.75c-8.375-6.25-18.25-9.5-28.62-9.5c-13.75 0-26.75 5.875-35.88 16.12L256 471.9l-28.12-31.62C218.8 430 205.8 424.1 192 424.1S165.3 430 156.1 440.3L128 471.9l-30.38-34.13C88.5 427.5 75.5 421.6 61.75 421.6c-10.38 0-20.25 3.25-28.62 9.5L32 431.9V200c0-90 69.5-165.4 155-167.9L192 32c88.25 0 160 71.75 160 160V431.9z"],
    "gif": [576, 512, [], "e190", "M512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM544 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h448c17.64 0 32 14.36 32 32V416zM464 160h-96C359.2 160 352 167.2 352 176v160c0 8.844 7.156 16 16 16s16-7.156 16-16v-64h56c8.844 0 16-7.156 16-16s-7.156-16-16-16H384V192h80C472.8 192 480 184.8 480 176S472.8 160 464 160zM304 160C295.2 160 288 167.2 288 176v160c0 8.844 7.156 16 16 16s16-7.156 16-16v-160C320 167.2 312.8 160 304 160zM240 240h-64C167.2 240 160 247.2 160 256s7.156 16 16 16H224v33.45c-24.83 19.91-69.13 18.16-91.48-4.203c-24.95-24.95-24.95-65.55 0-90.5c25.03-25 64.19-25 89.22 0c6.25 6.25 16.38 6.25 22.62 0s6.25-16.38 0-22.62c-37.69-37.72-96.78-37.72-134.5 0c-37.42 37.42-37.42 98.33 0 135.8C127.8 341.8 153.5 352 180.6 352c27.06 0 52.84-10.25 70.7-28.12C254.3 320.9 256 316.8 256 312.6V256C256 247.2 248.8 240 240 240z"],
    "gift": [512, 512, [127873], "f06b", "M256 101L294.8 38.97C309.9 14.73 336.5 0 365.1 0H368C412.2 0 448 35.82 448 80C448 98.01 442 114.6 432 128H464C490.5 128 512 149.5 512 176V240C512 260.9 498.6 278.7 480 285.3V448C480 483.3 451.3 512 416 512H96C60.65 512 32 483.3 32 448V285.3C13.36 278.7 0 260.9 0 240V176C0 149.5 21.49 128 48 128H79.99C69.95 114.6 64 98.01 64 80C64 35.82 99.82 0 144 0H146.9C175.5 0 202.1 14.73 217.2 38.97L256 101zM365.1 32C347.5 32 331.2 41.04 321.9 55.93L276.9 128H368C394.5 128 416 106.5 416 80C416 53.49 394.5 32 368 32H365.1zM235.1 128L190.1 55.93C180.8 41.04 164.5 32 146.9 32H144C117.5 32 96 53.49 96 80C96 106.5 117.5 128 144 128H235.1zM48 160C39.16 160 32 167.2 32 176V240C32 248.8 39.16 256 48 256H240V160H48zM272 256H464C472.8 256 480 248.8 480 240V176C480 167.2 472.8 160 464 160H272V256zM240 288H64V448C64 465.7 78.33 480 96 480H240V288zM272 480H416C433.7 480 448 465.7 448 448V288H272V480z"],
    "gift-card": [576, 512, [], "f663", "M288 101L326.8 38.97C341.9 14.73 368.5 0 397.1 0H400C444.2 0 480 35.82 480 80C480 98.01 474 114.6 464 128H512C547.3 128 576 156.7 576 192V448C576 483.3 547.3 512 512 512H64C28.65 512 0 483.3 0 448V192C0 156.7 28.65 128 64 128H111.1C101.1 114.6 96 98.01 96 80C96 35.82 131.8 0 176 0H178.9C207.5 0 234.1 14.73 249.2 38.97L288 101zM397.1 32C379.5 32 363.2 41.04 353.9 55.93L308.9 128H400C426.5 128 448 106.5 448 80C448 53.49 426.5 32 400 32H397.1zM267.1 128L222.1 55.93C212.8 41.04 196.5 32 178.9 32H176C149.5 32 128 53.49 128 80C128 106.5 149.5 128 176 128H267.1zM64 160C46.33 160 32 174.3 32 192V288H544V192C544 174.3 529.7 160 512 160H322.2L380.3 229.8C385.9 236.5 385 246.6 378.2 252.3C371.5 257.9 361.4 257 355.7 250.2L288 168.1L220.3 250.2C214.6 257 204.5 257.9 197.8 252.3C190.1 246.6 190.1 236.5 195.7 229.8L253.8 160H64zM32 320V384H544V320H32zM544 448V416H32V448C32 465.7 46.33 480 64 480H512C529.7 480 544 465.7 544 448z"],
    "gifts": [640, 512, [], "f79c", "M176.3 68.72L222.6 35.06C229.7 29.86 239.7 31.44 244.9 38.59C250.1 45.73 248.6 55.74 241.4 60.94L193.2 95.1H224C245.1 95.1 263.8 106.2 275.4 121.9C266.9 129.4 259.5 138.3 253.8 148.3C249.1 136.4 237.5 127.1 224 127.1H64C46.33 127.1 32 142.3 32 159.1V448C32 465.7 46.33 480 64 480H192C192 491.7 195.1 502.6 200.6 512H64C28.65 512 0 483.3 0 448V159.1C0 124.7 28.65 95.1 64 95.1H94.8L46.59 60.94C39.44 55.74 37.86 45.73 43.06 38.59C48.26 31.44 58.26 29.86 65.41 35.06L113 69.69L96.82 21.06C94.03 12.68 98.56 3.614 106.9 .8195C115.3-1.975 124.4 2.556 127.2 10.94L144.5 62.78L162.9 10.66C165.9 2.327 175-2.034 183.3 .9165C191.7 3.867 196 13.01 193.1 21.34L176.3 68.72zM336.2 127.1C356.1 127.1 374.1 137.2 387.2 153.1L432 211.4L476.8 153.1C489 137.2 507.9 127.1 527.8 127.1C563.1 127.1 592 156.6 592 191.1C592 203.7 588.9 214.6 583.4 223.1H592C618.5 223.1 640 245.5 640 271.1V464C640 490.5 618.5 512 592 512H272C245.5 512 224 490.5 224 464V271.1C224 245.5 245.5 223.1 272 223.1H280.6C275.1 214.6 272 203.7 272 191.1C272 156.6 300.9 127.1 336.2 127.1V127.1zM361.8 172.6C355.7 164.7 346.2 159.1 336.2 159.1C318.4 159.1 304 174.4 304 191.1C304 209.7 318.3 223.1 336 223.1H401.4L361.8 172.6zM256 352H416V255.1H272C263.2 255.1 256 263.2 256 271.1V352zM272 480H416V384H256V464C256 472.8 263.2 480 272 480zM608 464V384H448V480H592C600.8 480 608 472.8 608 464zM592 255.1H448V352H608V271.1C608 263.2 600.8 255.1 592 255.1V255.1zM528 223.1C545.7 223.1 560 209.7 560 191.1C560 174.4 545.6 159.1 527.8 159.1C517.8 159.1 508.3 164.7 502.2 172.6L462.6 223.1H528z"],
    "gingerbread-man": [448, 512, [], "f79d", "M191.1 78.99c-8.752 0-16 7.267-16 16.04s7.25 16.04 16 16.04c8.75 0 15.1-7.267 15.1-16.04S200.7 78.99 191.1 78.99zM224 335.6C223.1 335.6 224 335.6 224 335.6c-8.75 0-16.01 7.267-16.01 16.04c0 8.77 7.256 16.04 16.01 16.04c.002 0-.002 0 0 0c8.75 0 16.01-7.267 16.01-16.04C240 342.9 232.7 335.6 224 335.6zM224 271.4C223.1 271.4 224 271.4 224 271.4c-8.75 0-16.01 7.269-16.01 16.04S215.3 303.5 224 303.5c.002 0-.002 0 0 0c8.75 0 16.01-7.267 16.01-16.04S232.7 271.4 224 271.4zM224 207.3C223.1 207.3 224 207.3 224 207.3c-8.75 0-16.01 7.267-16.01 16.04C207.1 232.1 215.3 239.4 224 239.4c.002 0-.002 0 0 0c8.75 0 16.01-7.267 16.01-16.04C240 214.6 232.7 207.3 224 207.3zM430.9 226.9c-6.656-41.66-44.44-73.06-87.94-73.06h-11.87c4.469-12.51 6.781-25.82 6.781-39.4c0-30.85-11.81-59.86-33.25-81.69c-42.87-43.65-118.2-43.72-161.2 0c-21.44 21.83-33.25 50.83-33.25 81.69c0 13.58 2.312 26.89 6.781 39.4H105.1c-43.5 0-81.28 31.4-87.94 73.04c-4.062 25.54 2.969 51.4 19.31 70.94c14.56 17.48 35.12 28.33 57.34 30.52l-30.56 37.38c-15.66 19.03-23.16 44.29-20.5 69.31c2.531 23.68 13.72 44.4 31.22 58.18c34.16 27.99 90.44 22.49 119.5-12.76L224 443.1l30.62 37.41C271.1 500.5 295.2 512 320.9 512c19.5 0 38.37-6.672 52.87-18.56c17.75-13.99 28.94-34.7 31.47-58.4c2.656-25.01-4.844-50.27-20.47-69.25l-30.59-37.43c22.22-2.193 42.78-13.05 57.34-30.52C427.9 278.3 434.9 252.4 430.9 226.9zM387 277.3C386.1 277.3 387 277.3 387 277.3c-10.28 12.36-25.3 19.44-41.17 19.44h-22.97c-6.719 0-12.66 4.213-14.97 10.49c-2.844 5.654-2.156 12.45 1.844 17.37l50.34 61.61c10.25 12.42 15.09 29 13.37 45.48c-1.594 14.99-8.5 27.97-19.66 36.76c-21.06 17.32-56.41 13.77-74.47-8.253l-33.12-40.47C240.7 412.1 232.6 409.1 224 409.1s-16.69 3.853-22.25 10.6l-33.06 40.4c-18.12 22.05-53.09 25.87-74.75 8.081c-10.91-8.582-17.81-21.56-19.41-36.54c-1.719-16.49 3.125-33.08 13.41-45.54l50.31-61.56c3.062-3.759 3.75-9.584 2.625-14.64C140.8 309.2 140.6 308.4 140.3 307.7C138.1 301.1 132 296.7 125.1 296.7H102.2c-15.87 0-30.87-7.079-41.19-19.45C50.6 264.8 46.13 248.3 48.75 231.1c4.156-26.23 28.37-46.03 56.31-46.03h37.72c5.906 0 11.31-3.257 14.09-8.472c2.781-5.199 2.5-11.53-.7813-16.46C146.1 147.3 142.2 131.2 142.2 114.5c0-22.38 8.531-43.4 24.06-59.17c30.87-31.45 84.81-31.35 115.6 0c15.53 15.77 24.06 36.79 24.06 59.17c0 16.73-4.812 32.83-13.94 46.54c-3.281 4.933-3.562 11.26-.7813 16.46c2.781 5.215 8.187 8.472 14.09 8.472h37.72c27.94 0 52.16 19.8 56.31 46.04C401.9 248.3 397.4 264.8 387 277.3zM256 78.99c-8.75 0-15.1 7.267-15.1 16.04s7.25 16.04 15.1 16.04c8.752 0 16-7.267 16-16.04S264.8 78.99 256 78.99z"],
    "glass": [384, 512, [129371], "f804", "M343.8 0C367.2 0 385.6 20.02 383.7 43.36L349.1 453.4C346.3 486.5 318.6 512 285.4 512H98.56C65.3 512 37.58 486.5 34.78 453.4L.2339 43.36C-1.732 20.02 16.68 0 40.09 0L343.8 0zM36.78 96H347.1L351.8 40.67C352.2 36 348.5 32 343.8 32H40.09C35.41 32 31.73 36.01 32.12 40.67L36.78 96zM39.48 128L66.67 450.7C68.07 467.3 81.93 480 98.56 480H285.4C301.1 480 315.8 467.3 317.2 450.7L344.4 128H39.48z"],
    "glass-citrus": [512, 512, [], "f869", "M511.1 128.3c-4.219-38.23-23.08-72.53-53.09-96.59c-30.03-24.06-67.77-35.09-105.8-30.76c-43.67 4.826-82.24 28.87-105.8 65.98C241.7 74.35 243.9 84.24 251.3 88.98c7.438 4.795 17.34 2.545 22.08-4.922c18.34-28.87 48.35-47.57 82.3-51.32c29.83-3.344 58.97 5.219 82.33 23.92c23.34 18.72 38 45.39 41.28 75.12c6.188 56.04-30.45 108.1-85.2 121.2c-8.594 2.047-13.91 10.67-11.86 19.26c1.75 7.359 8.312 12.3 15.55 12.3c1.234 0 2.484-.1406 3.719-.4375C471.1 267.3 519.1 200.3 511.1 128.3zM319.1 128H32.02c-9 0-17.62 3.877-23.75 10.5c-6 6.75-8.998 15.63-8.123 24.62l31.99 319.1C33.77 499.5 47.52 512 64.02 512h223.1c16.5 0 30.25-12.5 31.87-28.87l32-319.1c.875-8.998-2.124-17.87-8.124-24.62C337.6 131.9 328.1 128 319.1 128zM288 480h-224L44.78 288h262.5L288 480zM310.4 256H41.65L32.03 160h288L310.4 256z"],
    "glass-empty": [384, 512, [], "e191", "M.2339 43.36C-1.732 20.02 16.68 0 40.09 0H343.8C367.2 0 385.6 20.02 383.7 43.36L349.1 453.4C346.3 486.5 318.6 512 285.4 512H98.56C65.3 512 37.58 486.5 34.78 453.4L.2339 43.36zM40.09 32C35.41 32 31.73 36.01 32.12 40.67L66.67 450.7C68.07 467.3 81.93 480 98.56 480H285.4C301.1 480 315.8 467.3 317.2 450.7L351.8 40.67C352.2 36 348.5 32 343.8 32H40.09z"],
    "glass-half": [384, 512, ["glass-half-empty", "glass-half-full"], "e192", "M343.8 0C367.2 0 385.6 20.02 383.7 43.36L349.1 453.4C346.3 486.5 318.6 512 285.4 512H98.56C65.3 512 37.58 486.5 34.78 453.4L.2339 43.36C-1.732 20.02 16.68 0 40.09 0L343.8 0zM48 229.1V224H336V228.1L351.8 40.67C352.2 36 348.5 32 343.8 32H40.09C35.41 32 31.73 36.01 32.12 40.67L48 229.1zM50.27 256L66.67 450.7C68.07 467.3 81.93 480 98.56 480H285.4C301.1 480 315.8 467.3 317.2 450.7L333.6 256H50.27z"],
    "glass-water": [384, 512, [], "e4f4", "M343.8 0C367.2 0 385.6 20.02 383.7 43.36L349.1 453.4C346.3 486.5 318.6 512 285.4 512H98.56C65.3 512 37.58 486.5 34.78 453.4L.2339 43.36C-1.732 20.02 16.68 0 40.09 0L343.8 0zM40.35 138.3L78.44 157.3C97.68 166.1 120.8 164.5 137.6 151.1C169.4 125.6 214.6 125.6 246.4 151.1C263.2 164.5 286.3 166.1 305.6 157.3L343.6 138.3L351.8 40.67C352.2 36.01 348.5 32 343.8 32H40.09C35.41 32 31.73 36.01 32.12 40.67L40.35 138.3zM43.49 175.6L66.67 450.7C68.07 467.3 81.93 480 98.56 480H285.4C301.1 480 315.8 467.3 317.2 450.7L340.4 175.7L319.9 185.1C289.5 201.2 253 197.3 226.5 176.1C206.3 159.9 177.7 159.9 157.5 176.1C131 197.3 94.53 201.2 64.12 185.1L43.49 175.6z"],
    "glass-water-droplet": [384, 512, [], "e4f5", "M128 188C128 163.1 161.7 117.9 180.2 94.49C186.3 86.77 197.7 86.77 203.8 94.49C222.3 117.9 256 163.1 256 188C256 221.1 227.3 248 192 248C156.7 248 128 221.1 128 188zM192 216C211.7 216 224 201.5 224 188C224 188.1 223.1 188.1 223.1 187.9C223.9 187.4 223.4 184.6 221 179.1C218.4 173 214.5 165.8 209.6 157.8C204.1 148.9 197.1 139.1 192 131.8C186 139.1 179.9 148.9 174.4 157.8C169.5 165.8 165.6 173 162.1 179.1C160.6 184.6 160.1 187.4 160 187.9C160 188.1 160 188.1 160 188C160 201.5 172.4 216 192 216V216zM343.8 0C367.2 0 385.6 20.02 383.7 43.36L349.1 453.4C346.3 486.5 318.6 512 285.4 512H98.56C65.3 512 37.58 486.5 34.78 453.4L.2339 43.36C-1.732 20.02 16.68 0 40.09 0L343.8 0zM54.42 305.3L78.44 317.3C97.68 326.1 120.8 324.5 137.6 311.1C169.4 285.6 214.6 285.6 246.4 311.1C263.2 324.5 286.3 326.1 305.6 317.3L329.5 305.4L351.8 40.67C352.2 36 348.5 32 343.8 32H40.09C35.41 32 31.73 36.01 32.12 40.67L54.42 305.3zM57.57 342.7L66.67 450.7C68.07 467.3 81.93 480 98.56 480H285.4C301.1 480 315.8 467.3 317.2 450.7L326.3 342.7L319.9 345.1C289.5 361.2 253 357.3 226.5 336.1C206.3 319.9 177.7 319.9 157.5 336.1C131 357.3 94.53 361.2 64.13 345.1L57.57 342.7z"],
    "glasses": [576, 512, [], "f530", "M563.1 232.8l-30.61-120.8c-13.92-54.87-66.63-89.12-119.8-77.84c-8.641 1.812-14.19 10.31-12.36 18.94c1.812 8.687 10.31 14.37 18.95 12.37c36.33-7.656 72.53 16.22 82.2 54.4l30.61 120.8c2.578 10.16 4.076 20.56 5.82 30.9c-22.35-7.591-53.09-15.03-89.3-15.03c-37.25 0-80.25 7.1-125 31.5H252.4c-44.75-23.5-87.63-31.5-125-31.5c-36.22 0-66.95 7.435-89.3 15.03C39.81 261.2 41.31 250.8 43.89 240.6l30.61-120.8c9.688-38.19 45.91-62.06 82.2-54.4c8.672 1.1 17.14-3.687 18.95-12.37c1.828-8.625-3.719-17.12-12.36-18.94C109.9 22.87 57.38 57.11 43.47 111.1l-30.61 120.8C4.328 266.4 0 301.2 0 336l.0002 33.23C.0002 430.4 50.01 480 111.9 480h36.24c58.63 0 107.3-44.62 111.6-102.5l4.375-57.5h47.75l4.375 57.5C320.6 435.4 369.3 480 427.9 480h36.24c61.88 0 111.9-49.64 111.9-110.8L576 336C576 301.2 571.7 266.4 563.1 232.8zM227.9 375.1c-3.125 40.87-38.13 72.87-79.75 72.87H112c-44.13 0-80-35.25-80-78.75v-33.25c0-9.595 1.072-19.12 1.781-28.68c19.06-7.959 52.58-18.82 93.59-18.82c36.38 0 71.63 8.5 105.1 25.12L227.9 375.1zM544 369.3c0 43.5-35.88 78.75-80 78.75h-36.13c-41.63 0-76.63-31.1-79.75-72.87L343.5 313.6c33.5-16.62 68.75-25.12 105.1-25.12c41.13 0 74.54 10.86 93.59 18.82C542.9 316.9 544 326.4 544 336V369.3z"],
    "glasses-round": [576, 512, [128083, "glasses-alt"], "f5f5", "M576 336c0-34.84-4.328-69.59-12.86-103.2l-30.61-120.8c-13.91-54.87-66.58-89.12-119.8-77.84c-8.641 1.812-14.19 10.31-12.36 18.94c1.812 8.687 10.39 14.37 18.95 12.37c36.34-7.656 72.53 16.22 82.2 54.4l30.61 120.8c.3887 1.535 .5078 3.127 .8789 4.666c-24.36-22.96-56.95-37.3-92.99-37.3c-54.98 0-102.2 32.95-123.6 80H259.6C238.2 240.9 190.1 207.1 136 207.1c-36.04 0-68.63 14.35-92.99 37.3C43.38 243.8 43.5 242.2 43.89 240.6l30.61-120.8c9.672-38.19 45.92-62.06 82.2-54.4c8.625 1.1 17.14-3.687 18.95-12.37c1.828-8.625-3.719-17.12-12.36-18.94C109.9 22.87 57.36 57.11 43.47 111.1l-30.61 120.8C4.328 266.4 0 301.2 0 336c0 .9472 .3809 1.769 .5391 2.672c-.0723 1.807-.539 3.496-.539 5.32c0 74.1 61.02 136 136 136s136-61.01 136-136c0-8.218-1.022-16.17-2.426-23.99h36.85c-1.404 7.82-2.426 15.77-2.426 23.99c0 74.1 61.02 136 135.1 136s136-61 136-136c0-1.824-.4669-3.514-.5392-5.32C575.6 337.8 576 336.1 576 336zM136 448c-57.34 0-104-46.65-104-103.1s46.66-103.1 104-103.1S240 286.7 240 344S193.3 448 136 448zM440 448c-57.34 0-104-46.65-104-103.1s46.66-103.1 104-103.1S544 286.7 544 344S497.3 448 440 448z"],
    "globe": [512, 512, [127760], "f0ac", "M256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM256 480C272.7 480 296.4 465.6 317.9 422.7C327.8 402.9 336.1 378.1 341.1 352H170C175.9 378.1 184.2 402.9 194.1 422.7C215.6 465.6 239.3 480 256 480V480zM164.3 320H347.7C350.5 299.8 352 278.3 352 256C352 233.7 350.5 212.2 347.7 192H164.3C161.5 212.2 160 233.7 160 256C160 278.3 161.5 299.8 164.3 320V320zM341.1 160C336.1 133 327.8 109.1 317.9 89.29C296.4 46.37 272.7 32 256 32C239.3 32 215.6 46.37 194.1 89.29C184.2 109.1 175.9 133 170 160H341.1zM379.1 192C382.6 212.5 384 233.9 384 256C384 278.1 382.6 299.5 379.1 320H470.7C476.8 299.7 480 278.2 480 256C480 233.8 476.8 212.3 470.7 192H379.1zM327.5 43.66C348.5 71.99 365.1 112.4 374.7 160H458.4C432.6 105.5 385.3 63.12 327.5 43.66V43.66zM184.5 43.66C126.7 63.12 79.44 105.5 53.56 160H137.3C146.9 112.4 163.5 71.99 184.5 43.66V43.66zM32 256C32 278.2 35.24 299.7 41.28 320H132C129.4 299.5 128 278.1 128 256C128 233.9 129.4 212.5 132 192H41.28C35.24 212.3 32 233.8 32 256V256zM458.4 352H374.7C365.1 399.6 348.5 440 327.5 468.3C385.3 448.9 432.6 406.5 458.4 352zM137.3 352H53.56C79.44 406.5 126.7 448.9 184.5 468.3C163.5 440 146.9 399.6 137.3 352V352z"],
    "globe-snow": [448, 512, [], "f7a3", "M69.88 364.6c6.969-5.438 8.219-15.5 2.75-22.44C46.06 308.2 32 267.3 32 224c0-105.9 86.13-192 192-192s192 86.13 192 192c0 43.31-14.06 84.16-40.63 118.2c-5.469 6.938-4.219 17 2.75 22.44C381 366.9 384.5 368 387.1 368c4.75 0 9.438-2.094 12.59-6.156c31.03-39.66 47.44-87.34 47.44-137.8c0-123.5-100.5-223.1-224-223.1S.0001 100.5 .0001 224c0 50.5 16.41 98.19 47.44 137.8C52.91 368.9 62.97 370.1 69.88 364.6zM56 240c0 13.25 10.75 24 24 24S104 253.3 104 240c0-13.26-10.75-24-24-24S56 226.7 56 240zM336 152c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24s24-10.75 24-24C360 162.7 349.3 152 336 152zM216 80c0 13.25 10.75 24 24 24s24-10.75 24-24c0-13.26-10.75-24-24-24S216 66.74 216 80zM373.3 391.1C370.3 386.7 365.3 384 360 384H240V294.6l36.69 36.69C279.8 334.4 283.9 336 288 336s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L240 249.4V214.6l36.69 36.69C279.8 254.4 283.9 256 288 256s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62l-64-64c-6.25-6.25-16.38-6.25-22.62 0l-64 64c-6.25 6.25-6.25 16.38 0 22.62s16.38 6.25 22.62 0L208 214.6v34.75L148.7 308.7c-6.25 6.25-6.25 16.38 0 22.62s16.38 6.25 22.62 0L208 294.6V384H88c-5.344 0-10.34 2.688-13.31 7.125l-64 96c-3.281 4.906-3.594 11.22-.7813 16.44C12.69 508.8 18.09 512 24 512h400c5.906 0 11.31-3.25 14.09-8.438c2.812-5.219 2.5-11.53-.7813-16.44L373.3 391.1zM53.91 480l42.66-64h254.9l42.66 64H53.91z"],
    "globe-stand": [448, 512, [], "f5f6", "M49.61 327.8C55.86 321.5 65.99 321.5 72.24 327.8C147.2 402.7 268.8 402.7 343.8 327.8C418.7 252.8 418.7 131.2 343.8 56.24C337.5 49.99 337.5 39.86 343.8 33.61L364.7 12.69C370.9 6.438 381.1 6.438 387.3 12.69C393.6 18.93 393.6 29.07 387.3 35.31L377.3 45.32C453.7 133.3 450.1 266.7 366.4 350.4C326.7 390.1 275.9 411.7 224 415.4V480H336C344.8 480 352 487.2 352 496C352 504.8 344.8 512 336 512H80C71.16 512 64 504.8 64 496C64 487.2 71.16 480 80 480H192V415.4C145.1 412.1 99.04 394.1 61.32 361.3L51.31 371.3C45.07 377.6 34.94 377.6 28.69 371.3C22.44 365.1 22.44 354.9 28.69 348.7L49.61 327.8zM368 191.1C368 280.4 296.4 352 207.1 352C119.6 352 47.1 280.4 47.1 191.1C47.1 103.6 119.6 31.1 207.1 31.1C296.4 31.1 368 103.6 368 191.1zM207.1 63.1C137.3 63.1 79.1 121.3 79.1 191.1C79.1 262.7 137.3 320 207.1 320C278.7 320 336 262.7 336 191.1C336 121.3 278.7 63.1 207.1 63.1z"],
    "goal-net": [640, 512, [], "e3ab", "M544 32H96C51.88 32 16 67.88 16 112v352C16 472.8 23.16 480 32 480s16-7.156 16-16v-352C48 85.53 69.53 64 96 64h448c26.47 0 48 21.53 48 48v352c0 8.844 7.156 16 16 16s16-7.156 16-16v-352C624 67.88 588.1 32 544 32zM544 208c8.844 0 16-7.156 16-16S552.8 176 544 176h-64v-64C480 103.2 472.8 96 464 96S448 103.2 448 112v64h-64v-64C384 103.2 376.8 96 368 96S352 103.2 352 112v64H288v-64C288 103.2 280.8 96 272 96S256 103.2 256 112v64H192v-64C192 103.2 184.8 96 176 96S160 103.2 160 112v64H96C87.16 176 80 183.2 80 192S87.16 208 96 208h64v64H96C87.16 272 80 279.2 80 288S87.16 304 96 304h64v64H96c-8.844 0-16 7.156-16 16s7.156 16 16 16h64v64C160 472.8 167.2 480 176 480S192 472.8 192 464v-64h64v64C256 472.8 263.2 480 272 480S288 472.8 288 464v-64h64v64c0 8.844 7.156 16 16 16s16-7.156 16-16v-64h64v64c0 8.844 7.156 16 16 16s16-7.156 16-16v-64h64c8.844 0 16-7.156 16-16s-7.156-16-16-16h-64v-64h64c8.844 0 16-7.156 16-16S552.8 272 544 272h-64v-64H544zM256 368H192v-64h64V368zM256 272H192v-64h64V272zM352 368H288v-64h64V368zM352 272H288v-64h64V272zM448 368h-64v-64h64V368zM448 272h-64v-64h64V272z"],
    "golf-ball-tee": [384, 512, ["golf-ball"], "f450", "M288 336H96c-6.734 0-12.75 4.219-15.05 10.56c-2.297 6.312-.375 13.41 4.797 17.72L176 439.5V496c0 8.844 7.156 16 16 16S208 504.8 208 496v-56.51l90.25-75.21c5.172-4.312 7.094-11.41 4.797-17.72C300.8 340.2 294.7 336 288 336zM192 411.2L140.2 368h103.6L192 411.2zM192 304c26.47 0 48-21.53 48-48c0-8.844-7.156-16-16-16S208 247.2 208 256c0 8.812-7.172 16-16 16C183.2 272 176 279.2 176 288S183.2 304 192 304zM192 .0001c-101.5 0-184 82.53-184 183.1c0 41.25 13.1 80.66 40.48 113.1c5.469 6.875 15.53 8.062 22.47 2.562c6.922-5.5 8.062-15.56 2.562-22.5C51.59 250.5 40 217.9 40 184C40 100.2 108.2 32 192 32s152 68.19 152 152c0 33.94-11.59 66.47-33.52 94.03c-5.5 6.938-4.359 17 2.562 22.5C315.1 302.9 319.5 304 322.1 304c4.719 0 9.375-2.062 12.53-6.031C361.1 264.7 376 225.3 376 184C376 82.53 293.5 .0001 192 .0001zM192 208c26.47 0 48-21.53 48-48c0-8.844-7.156-16-16-16S208 151.2 208 160c0 8.812-7.172 16-16 16C183.2 176 176 183.2 176 192S183.2 208 192 208zM304 176C295.2 176 288 183.2 288 192c0 8.812-7.172 16-16 16C263.2 208 256 215.2 256 224s7.156 16 16 16C298.5 240 320 218.5 320 192C320 183.2 312.8 176 304 176z"],
    "golf-club": [512, 512, [], "f451", "M512 15.1C512 7.533 505.2 0 496 0c-5.871 0-11.51 3.219-14.33 8.83l-178.6 357.2L62.01 299.7C57.68 298.5 53.29 297.9 48.95 297.9C18.36 297.9 0 323.8 0 347v115.8C0 489.1 22.03 512 49.11 512h187.1c18.3 0 34.75-10.17 42.94-26.53l231.2-462.3C511.5 20.84 512 18.4 512 15.1zM250.5 471.1c-2.775 5.543-8.129 8.854-14.32 8.854H49.11c-9.433 0-17.11-7.676-17.11-17.11v-14.89l47.1 .0009c8.844 0 15.1-7.156 15.1-16s-7.156-16-15.1-16l-47.1-.0013v-16l48 .0027c8.844 0 15.1-7.157 15.1-16s-7.156-16-15.1-16l-47.1-.0019l-.0311-20.98c0-10.13 8.411-17.11 16.98-17.11c1.545 0 3.123 .2148 4.574 .6094l234.1 64.7L250.5 471.1z"],
    "golf-flag-hole": [512, 512, [], "e3ac", "M223.2 304.8c-8.812 .4375-15.62 7.969-15.16 16.78c.4375 8.812 7.094 16.28 16.78 15.16C235 336.3 245.4 336 256 336c138.8 0 224 41.94 224 72S394.8 480 256 480s-224-41.94-224-72c0-12.31 14.22-26.34 39.03-38.44c7.938-3.875 11.22-13.44 7.344-21.41c-3.906-7.938-13.47-11.16-21.41-7.344C9.875 363.8 0 390 0 408C0 475.6 131.9 512 256 512s256-36.44 256-104C512 334.4 353.8 297.8 223.2 304.8zM224 448c16.03 0 96-1.938 96-40S240 368 224 368c-9.26 0-39.81 .6953-64 8.576V250.7l214.4-107.2c12.78-6.391 12.78-24.63 0-31.02L153.1 1.853C150.6 .5811 147.9-.0004 145.3-.0004C136.2-.0004 128 7.311 128 17.36V408C128 446.1 207.1 448 224 448zM224 400c26.59 0 46.31 4.094 56.94 8C270.3 411.9 250.6 416 224 416s-46.31-4.094-56.94-8C177.7 404.1 197.4 400 224 400zM160 41.08l173.9 86.94L160 214.1V41.08z"],
    "gopuram": [512, 512, [], "f664", "M112 0C120.8 0 128 7.164 128 16V32H192V16C192 7.164 199.2 0 208 0C216.8 0 224 7.164 224 16V32H288V16C288 7.164 295.2 0 304 0C312.8 0 320 7.164 320 16V32H384V16C384 7.164 391.2 0 400 0C408.8 0 416 7.164 416 16V130.7C434.6 137.3 448 155.1 448 176V224C448 224.9 447.1 225.8 447.9 226.7C466.6 233.2 480 251.1 480 272V352C480 352.9 479.1 353.8 479.9 354.7C498.6 361.3 512 379.1 512 400V464C512 490.5 490.5 512 464 512H48C21.49 512 0 490.5 0 464V400C0 379.1 13.41 361.3 32.11 354.7C32.04 353.8 32 352.9 32 352V272C32 251.1 45.41 233.2 64.11 226.7C64.04 225.8 64 224.9 64 224V176C64 155.1 77.36 137.3 96 130.7V16C96 7.164 103.2 0 112 0zM224 480H288C288 462.3 273.7 448 256 448C238.3 448 224 462.3 224 480zM320 480H384V384H128V480H192C192 444.7 220.7 416 256 416C291.3 416 320 444.7 320 480zM128 128H384V64H128V128zM112 160C103.2 160 96 167.2 96 176V224H160V160H112zM160 352H208V336C208 309.5 229.5 288 256 288C282.5 288 304 309.5 304 336V352H352V256H160V352zM272 208V224H320V160H192V224H240V208C240 199.2 247.2 192 256 192C264.8 192 272 199.2 272 208zM272 352V336C272 327.2 264.8 320 256 320C247.2 320 240 327.2 240 336V352H272zM416 224V176C416 167.2 408.8 160 400 160H352V224H416zM384 256V352H448V272C448 263.2 440.8 256 432 256H384zM416 480H464C472.8 480 480 472.8 480 464V400C480 391.2 472.8 384 464 384H416V480zM80 256C71.16 256 64 263.2 64 272V352H128V256H80zM96 384H48C39.16 384 32 391.2 32 400V464C32 472.8 39.16 480 48 480H96V384z"],
    "graduation-cap": [640, 512, [127891, "mortar-board"], "f19d", "M617.8 136.7l-286.3-102.7C324 31.33 315.9 31.36 308.5 33.98L22.22 136.7C8.719 141.5 0 153.8 0 167.1s8.719 26.47 22.22 31.31L48 208.6v113.1l-31.59 138.8c-1.094 4.75 .0469 9.719 3.078 13.53S27.13 480 32.01 480h63.98c4.859 0 9.461-2.219 12.49-6c3.047-3.781 4.188-8.75 3.125-13.5L80 319.6V220l228.5 81.99c3.703 1.313 7.578 1.938 11.47 1.938c3.906 0 7.812-.6563 11.56-1.969l286.2-102.7C631.3 194.5 640 182.2 640 167.1S631.3 141.5 617.8 136.7zM52.08 447.1l12.09-52.75l11.84 52.75H52.08zM319.3 271.9L129.5 203.8l195.2-60.5c8.438-2.625 13.2-11.55 10.57-20.02c-2.609-8.407-11.49-13.23-20.01-10.55L79.4 185.8L32 168l288.7-103.9L608 168L319.3 271.9zM482.3 288.1c-8.766 1.156-14.94 9.188-13.78 17.97l11.36 86.63c1.156 8.907-4.656 17.66-14.8 22.34c-43.91 20.31-93.56 31.72-143.2 32.94H318.5c-50.02-1.219-99.67-12.63-143.6-32.94c-10.14-4.688-15.95-13.44-14.8-22.31L171.5 306.1c1.156-8.782-5.016-16.81-13.78-17.97C148.8 286.9 140.9 293.2 139.8 301.9l-11.36 86.69c-3.016 23.03 9.969 44.85 33.08 55.53C209.4 466.2 263.4 478.7 318.1 480h4.141c54.36-1.344 108.4-13.75 156.2-35.88c23.11-10.69 36.09-32.5 33.08-55.56l-11.36-86.66C499.1 293.2 491.1 286.9 482.3 288.1z"],
    "gramophone": [384, 512, [], "f8bd", "M368 480H352l0-64c0-17.6-14.4-32-32-32H64c-17.6 0-32 14.4-32 32L32 480H16c-8.8 0-15.1 7.199-15.1 15.1c0 8.8 7.2 16 16 16h352c8.8 0 16-7.2 16-16C384 487.2 376.8 480 368 480zM320 480H64v-64h256V480zM45.5 314.1C56.5 321.9 71 322 82.13 314.4c59.63-40.88 119.5-66.13 178-75C261.5 239.3 336 228.9 336 280c0 22.12-17.88 40-40 40H176C167.2 320 160 327.2 160 336C160 344.8 167.2 352 176 352h114.4c36.75 0 70.25-25.25 76.5-61.38c7.875-45.63-10.25-55.88-88.75-118.5C232 135.3 192.8 83.38 161.5 18.12C156.1 7.125 144.9 0 132.6 0c-1 0-2.137-.0625-3.137 .0625C116.1 1.312 105.1 10.75 101.6 23.75l-68.63 256C29.63 292.6 34.5 306.4 45.5 314.1zM132.6 32c33.37 69.63 75.63 125.1 125.5 165.1l11.38 9c-4.625 .375-9.375 1-14.25 1.625C192 217.4 127.8 244.4 64 288L132.6 32z"],
    "grapes": [512, 512, [], "e306", "M508.3 145.4c-26.56-32.11-63.78-46.94-100.3-41.48c5.344-36.61-9.406-73.69-41.53-100.2c-5.938-4.906-14.47-4.906-20.41 .0313c-18.47 15.36-31.56 34.62-37.84 55.73c-2.5 8.469 2.312 17.37 10.78 19.91c8.563 2.5 17.41-2.328 19.91-10.78c3.25-10.94 9.188-21.27 17.41-30.45c21.28 23.73 26.66 54.1 13.34 82.8c-2.938 6.125-1.688 13.42 3.125 18.22c4.781 4.812 12.16 6.016 18.22 3.125c27.84-13.34 59.06-7.922 82.81 13.34c-9.188 8.234-19.53 14.17-30.47 17.44c-8.469 2.516-13.28 11.42-10.78 19.89c2.062 6.953 8.438 11.44 15.34 11.44c1.5 0 3.031-.2187 4.562-.6719c21.16-6.281 40.41-19.39 55.75-37.87C513.2 159.9 513.2 151.3 508.3 145.4zM344 184c-6.205 0-12.25 .7109-18.05 2.055c1.344-5.805 2.055-11.85 2.055-18.05c0-44.11-35.89-79.1-80-79.1c-33.09 0-61.55 20.19-73.71 48.9C161.8 126.4 145.6 120 128 120c-39.7 0-72 32.3-72 71.1c0 18.37 6.918 35.16 18.29 47.89C49.25 252.3 32 278.2 32 308c0 18.95 6.975 36.31 18.49 49.64C20.94 369.4 0 398.3 0 432C0 476.1 35.89 512 80 512c33.7 0 62.6-20.94 74.36-50.49c13.33 11.52 30.68 18.49 49.64 18.49c29.81 0 55.66-17.25 68.11-42.28c12.73 11.37 29.52 18.29 47.89 18.29c39.7 0 72-32.3 72-71.1c0-17.61-6.356-33.77-16.9-46.29c28.71-12.16 48.9-40.62 48.9-73.7C424 219.9 388.1 184 344 184zM80 480c-26.51 0-48-21.49-48-47.1s21.49-47.1 48-47.1s48 21.49 48 47.1S106.5 480 80 480zM108 352c-24.3 0-44-19.7-44-43.1s19.7-43.1 44-43.1s44 19.7 44 43.1S132.3 352 108 352zM128 232c-22.09 0-40-17.91-40-39.1s17.91-39.1 40-39.1s40 17.91 40 39.1S150.1 232 128 232zM204 448c-24.3 0-44-19.7-44-43.1s19.7-43.1 44-43.1s44 19.7 44 43.1S228.3 448 204 448zM224 332c-24.3 0-44-19.7-44-43.1s19.7-43.1 44-43.1s44 19.7 44 43.1S248.3 332 224 332zM248 216c-26.51 0-48-21.49-48-47.1s21.49-47.1 48-47.1c26.51 0 48 21.49 48 47.1S274.5 216 248 216zM320 424c-22.09 0-40-17.91-40-39.1c0-22.09 17.91-39.1 40-39.1c22.09 0 40 17.91 40 39.1C360 406.1 342.1 424 320 424zM344 312c-26.51 0-48-21.49-48-47.1c0-26.51 21.49-47.1 48-47.1c26.51 0 48 21.49 48 47.1C392 290.5 370.5 312 344 312z"],
    "grate": [448, 512, [], "e193", "M352 96H96C78.33 96 64 110.3 64 128v256c0 17.67 14.33 32 32 32h256c17.67 0 32-14.33 32-32V128C384 110.3 369.7 96 352 96zM136 384H96V272h40V384zM136 240H96V128h40V240zM208 384H168V272H208V384zM208 240H168V128H208V240zM280 384H240V272h40V384zM280 240H240V128h40V240zM352 384h-40V272H352V384zM352 240h-40V128H352V240zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416z"],
    "grate-droplet": [576, 512, [], "e194", "M64 448c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32v98.07c5.486-15.18 17.19-26.7 32-31.5V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h280.2c-6.584-9.816-11.5-20.69-15.51-32H64zM364.5 291.3C371.1 282.1 377.6 272.5 384 262.4V128c0-17.67-14.33-32-32-32H96C78.33 96 64 110.3 64 128v256c0 17.67 14.33 32 32 32h225.6C321 410.9 320 405.9 320 400.7C320 394.9 320.4 389.3 321 384H312V272H352v37.37C356.1 303.3 360.3 297.3 364.5 291.3zM136 384H96V272h40V384zM136 240H96V128h40V240zM208 384H168V272H208V384zM208 240H168V128H208V240zM280 384H240V272h40V384zM280 240H240V128h40V240zM312 240V128H352v112H312zM482.6 205.8C480.1 196.7 472 192 463.1 192c-7.875 0-15.77 4.514-18.59 13.83C415.7 304.3 352 331.2 352 400.7C352 462.2 402.1 512 464 512s112-49.84 112-111.3C576 330.8 512.5 304.9 482.6 205.8zM464 480c-44.11 0-80-35.59-80-79.33c0-25.12 11.2-42.05 32.66-72.25c14.99-21.1 32.8-46.16 47.33-80.15c14.6 34.2 32.45 59.24 47.48 80.32C532.8 358.6 544 375.4 544 400.7C544 444.4 508.1 480 464 480z"],
    "greater-than": [384, 512, [62769], "3e", "M1.44 89.37C4.111 83.47 9.924 79.1 16.02 79.1c2.203 0 4.453 .4687 6.609 1.438l351.1 160C380.3 244 384 249.7 384 256c0 6.281-3.672 11.97-9.375 14.56l-351.1 160c-8.094 3.625-17.56 .0938-21.19-7.938c-3.656-8.062-.1094-17.53 7.938-21.19l319.1-145.4l-319.1-145.4C1.33 106.9-2.217 97.44 1.44 89.37z"],
    "greater-than-equal": [448, 512, [], "f532", "M416 192c0-6.498-3.922-12.34-9.938-14.81l-352-143.1C45.92 29.82 36.55 33.78 33.19 41.97C29.84 50.16 33.77 59.5 41.94 62.84l315.8 129.2l-315.8 129.2c-8.172 3.344-12.09 12.69-8.75 20.87C35.72 348.3 41.7 352 48 352c2.031 0 4.078-.375 6.062-1.188l352-143.1C412.1 204.4 416 198.5 416 192zM0 464c0 8.842 7.156 15.1 16 15.1h416c8.844 0 16-7.156 16-15.1c0-8.844-7.156-16-16-16h-416C7.156 448 0 455.2 0 464z"],
    "grid": [448, 512, ["grid-3"], "e195", "M88 32C110.1 32 128 49.91 128 72V120C128 142.1 110.1 160 88 160H40C17.91 160 0 142.1 0 120V72C0 49.91 17.91 32 40 32H88zM88 64H40C35.58 64 32 67.58 32 72V120C32 124.4 35.58 128 40 128H88C92.42 128 96 124.4 96 120V72C96 67.58 92.42 64 88 64zM88 192C110.1 192 128 209.9 128 232V280C128 302.1 110.1 320 88 320H40C17.91 320 0 302.1 0 280V232C0 209.9 17.91 192 40 192H88zM88 224H40C35.58 224 32 227.6 32 232V280C32 284.4 35.58 288 40 288H88C92.42 288 96 284.4 96 280V232C96 227.6 92.42 224 88 224zM0 392C0 369.9 17.91 352 40 352H88C110.1 352 128 369.9 128 392V440C128 462.1 110.1 480 88 480H40C17.91 480 0 462.1 0 440V392zM32 392V440C32 444.4 35.58 448 40 448H88C92.42 448 96 444.4 96 440V392C96 387.6 92.42 384 88 384H40C35.58 384 32 387.6 32 392zM248 32C270.1 32 288 49.91 288 72V120C288 142.1 270.1 160 248 160H200C177.9 160 160 142.1 160 120V72C160 49.91 177.9 32 200 32H248zM248 64H200C195.6 64 192 67.58 192 72V120C192 124.4 195.6 128 200 128H248C252.4 128 256 124.4 256 120V72C256 67.58 252.4 64 248 64zM160 232C160 209.9 177.9 192 200 192H248C270.1 192 288 209.9 288 232V280C288 302.1 270.1 320 248 320H200C177.9 320 160 302.1 160 280V232zM192 232V280C192 284.4 195.6 288 200 288H248C252.4 288 256 284.4 256 280V232C256 227.6 252.4 224 248 224H200C195.6 224 192 227.6 192 232zM248 352C270.1 352 288 369.9 288 392V440C288 462.1 270.1 480 248 480H200C177.9 480 160 462.1 160 440V392C160 369.9 177.9 352 200 352H248zM248 384H200C195.6 384 192 387.6 192 392V440C192 444.4 195.6 448 200 448H248C252.4 448 256 444.4 256 440V392C256 387.6 252.4 384 248 384zM320 72C320 49.91 337.9 32 360 32H408C430.1 32 448 49.91 448 72V120C448 142.1 430.1 160 408 160H360C337.9 160 320 142.1 320 120V72zM352 72V120C352 124.4 355.6 128 360 128H408C412.4 128 416 124.4 416 120V72C416 67.58 412.4 64 408 64H360C355.6 64 352 67.58 352 72zM408 192C430.1 192 448 209.9 448 232V280C448 302.1 430.1 320 408 320H360C337.9 320 320 302.1 320 280V232C320 209.9 337.9 192 360 192H408zM408 224H360C355.6 224 352 227.6 352 232V280C352 284.4 355.6 288 360 288H408C412.4 288 416 284.4 416 280V232C416 227.6 412.4 224 408 224zM320 392C320 369.9 337.9 352 360 352H408C430.1 352 448 369.9 448 392V440C448 462.1 430.1 480 408 480H360C337.9 480 320 462.1 320 440V392zM352 392V440C352 444.4 355.6 448 360 448H408C412.4 448 416 444.4 416 440V392C416 387.6 412.4 384 408 384H360C355.6 384 352 387.6 352 392z"],
    "grid-2": [448, 512, [], "e196", "M0 80C0 53.49 21.49 32 48 32H144C170.5 32 192 53.49 192 80V176C192 202.5 170.5 224 144 224H48C21.49 224 0 202.5 0 176V80zM32 80V176C32 184.8 39.16 192 48 192H144C152.8 192 160 184.8 160 176V80C160 71.16 152.8 64 144 64H48C39.16 64 32 71.16 32 80zM0 336C0 309.5 21.49 288 48 288H144C170.5 288 192 309.5 192 336V432C192 458.5 170.5 480 144 480H48C21.49 480 0 458.5 0 432V336zM32 336V432C32 440.8 39.16 448 48 448H144C152.8 448 160 440.8 160 432V336C160 327.2 152.8 320 144 320H48C39.16 320 32 327.2 32 336zM400 32C426.5 32 448 53.49 448 80V176C448 202.5 426.5 224 400 224H304C277.5 224 256 202.5 256 176V80C256 53.49 277.5 32 304 32H400zM400 64H304C295.2 64 288 71.16 288 80V176C288 184.8 295.2 192 304 192H400C408.8 192 416 184.8 416 176V80C416 71.16 408.8 64 400 64zM256 336C256 309.5 277.5 288 304 288H400C426.5 288 448 309.5 448 336V432C448 458.5 426.5 480 400 480H304C277.5 480 256 458.5 256 432V336zM288 336V432C288 440.8 295.2 448 304 448H400C408.8 448 416 440.8 416 432V336C416 327.2 408.8 320 400 320H304C295.2 320 288 327.2 288 336z"],
    "grid-2-plus": [512, 512, [], "e197", "M176 32C202.5 32 224 53.49 224 80V176C224 202.5 202.5 224 176 224H80C53.49 224 32 202.5 32 176V80C32 53.49 53.49 32 80 32H176zM176 64H80C71.16 64 64 71.16 64 80V176C64 184.8 71.16 192 80 192H176C184.8 192 192 184.8 192 176V80C192 71.16 184.8 64 176 64zM176 288C202.5 288 224 309.5 224 336V432C224 458.5 202.5 480 176 480H80C53.49 480 32 458.5 32 432V336C32 309.5 53.49 288 80 288H176zM176 320H80C71.16 320 64 327.2 64 336V432C64 440.8 71.16 448 80 448H176C184.8 448 192 440.8 192 432V336C192 327.2 184.8 320 176 320zM288 80C288 53.49 309.5 32 336 32H432C458.5 32 480 53.49 480 80V176C480 202.5 458.5 224 432 224H336C309.5 224 288 202.5 288 176V80zM320 80V176C320 184.8 327.2 192 336 192H432C440.8 192 448 184.8 448 176V80C448 71.16 440.8 64 432 64H336C327.2 64 320 71.16 320 80zM384 272C392.8 272 400 279.2 400 288V368H480C488.8 368 496 375.2 496 384C496 392.8 488.8 400 480 400H400V480C400 488.8 392.8 496 384 496C375.2 496 368 488.8 368 480V400H288C279.2 400 272 392.8 272 384C272 375.2 279.2 368 288 368H368V288C368 279.2 375.2 272 384 272z"],
    "grid-4": [448, 512, [], "e198", "M73.6 32C82.44 32 89.6 39.16 89.6 48V105.6C89.6 114.4 82.44 121.6 73.6 121.6H16C7.164 121.6 0 114.4 0 105.6V48C0 39.16 7.164 32 16 32H73.6zM65.6 97.6V56H24V97.6H65.6zM73.6 151.5C82.44 151.5 89.6 158.6 89.6 167.5V225.1C89.6 233.9 82.44 241.1 73.6 241.1H16C7.164 241.1 0 233.9 0 225.1V167.5C0 158.6 7.164 151.5 16 151.5H73.6zM65.6 217.1V175.5H24V217.1H65.6zM0 286.9C0 278.1 7.164 270.9 16 270.9H73.6C82.44 270.9 89.6 278.1 89.6 286.9V344.5C89.6 353.4 82.44 360.5 73.6 360.5H16C7.164 360.5 0 353.4 0 344.5V286.9zM65.6 336.5V294.9H24V336.5H65.6zM73.6 390.4C82.44 390.4 89.6 397.6 89.6 406.4V464C89.6 472.8 82.44 480 73.6 480H16C7.164 480 0 472.8 0 464V406.4C0 397.6 7.164 390.4 16 390.4H73.6zM65.6 456V414.4H24V456H65.6zM193.1 32C201.9 32 209.1 39.16 209.1 48V105.6C209.1 114.4 201.9 121.6 193.1 121.6H135.5C126.6 121.6 119.5 114.4 119.5 105.6V48C119.5 39.16 126.6 32 135.5 32H193.1zM185.1 97.6V56H143.5V97.6H185.1zM193.1 151.5C201.9 151.5 209.1 158.6 209.1 167.5V225.1C209.1 233.9 201.9 241.1 193.1 241.1H135.5C126.6 241.1 119.5 233.9 119.5 225.1V167.5C119.5 158.6 126.6 151.5 135.5 151.5H193.1zM185.1 217.1V175.5H143.5V217.1H185.1zM119.5 286.9C119.5 278.1 126.6 270.9 135.5 270.9H193.1C201.9 270.9 209.1 278.1 209.1 286.9V344.5C209.1 353.4 201.9 360.5 193.1 360.5H135.5C126.6 360.5 119.5 353.4 119.5 344.5V286.9zM185.1 336.5V294.9H143.5V336.5H185.1zM193.1 390.4C201.9 390.4 209.1 397.6 209.1 406.4V464C209.1 472.8 201.9 480 193.1 480H135.5C126.6 480 119.5 472.8 119.5 464V406.4C119.5 397.6 126.6 390.4 135.5 390.4H193.1zM185.1 456V414.4H143.5V456H185.1zM238.9 48C238.9 39.16 246.1 32 254.9 32H312.5C321.4 32 328.5 39.16 328.5 48V105.6C328.5 114.4 321.4 121.6 312.5 121.6H254.9C246.1 121.6 238.9 114.4 238.9 105.6V48zM262.9 56V97.6H304.5V56H262.9zM238.9 167.5C238.9 158.6 246.1 151.5 254.9 151.5H312.5C321.4 151.5 328.5 158.6 328.5 167.5V225.1C328.5 233.9 321.4 241.1 312.5 241.1H254.9C246.1 241.1 238.9 233.9 238.9 225.1V167.5zM262.9 175.5V217.1H304.5V175.5H262.9zM312.5 270.9C321.4 270.9 328.5 278.1 328.5 286.9V344.5C328.5 353.4 321.4 360.5 312.5 360.5H254.9C246.1 360.5 238.9 353.4 238.9 344.5V286.9C238.9 278.1 246.1 270.9 254.9 270.9H312.5zM262.9 294.9V336.5H304.5V294.9H262.9zM238.9 406.4C238.9 397.6 246.1 390.4 254.9 390.4H312.5C321.4 390.4 328.5 397.6 328.5 406.4V464C328.5 472.8 321.4 480 312.5 480H254.9C246.1 480 238.9 472.8 238.9 464V406.4zM262.9 414.4V456H304.5V414.4H262.9zM432 32C440.8 32 448 39.16 448 48V105.6C448 114.4 440.8 121.6 432 121.6H374.4C365.6 121.6 358.4 114.4 358.4 105.6V48C358.4 39.16 365.6 32 374.4 32H432zM424 97.6V56H382.4V97.6H424zM432 151.5C440.8 151.5 448 158.6 448 167.5V225.1C448 233.9 440.8 241.1 432 241.1H374.4C365.6 241.1 358.4 233.9 358.4 225.1V167.5C358.4 158.6 365.6 151.5 374.4 151.5H432zM424 217.1V175.5H382.4V217.1H424zM358.4 286.9C358.4 278.1 365.6 270.9 374.4 270.9H432C440.8 270.9 448 278.1 448 286.9V344.5C448 353.4 440.8 360.5 432 360.5H374.4C365.6 360.5 358.4 353.4 358.4 344.5V286.9zM424 336.5V294.9H382.4V336.5H424zM432 390.4C440.8 390.4 448 397.6 448 406.4V464C448 472.8 440.8 480 432 480H374.4C365.6 480 358.4 472.8 358.4 464V406.4C358.4 397.6 365.6 390.4 374.4 390.4H432zM424 456V414.4H382.4V456H424z"],
    "grid-5": [448, 512, [], "e199", "M48 32C56.84 32 64 39.16 64 48V80C64 88.84 56.84 96 48 96H16C7.164 96 0 88.84 0 80V48C0 39.16 7.164 32 16 32H48zM24 56V72H40V56H24zM48 128C56.84 128 64 135.2 64 144V176C64 184.8 56.84 192 48 192H16C7.164 192 0 184.8 0 176V144C0 135.2 7.164 128 16 128H48zM24 152V168H40V152H24zM0 240C0 231.2 7.164 224 16 224H48C56.84 224 64 231.2 64 240V272C64 280.8 56.84 288 48 288H16C7.164 288 0 280.8 0 272V240zM40 264V248H24V264H40zM48 320C56.84 320 64 327.2 64 336V368C64 376.8 56.84 384 48 384H16C7.164 384 0 376.8 0 368V336C0 327.2 7.164 320 16 320H48zM24 344V360H40V344H24zM0 432C0 423.2 7.164 416 16 416H48C56.84 416 64 423.2 64 432V464C64 472.8 56.84 480 48 480H16C7.164 480 0 472.8 0 464V432zM40 456V440H24V456H40zM144 32C152.8 32 160 39.16 160 48V80C160 88.84 152.8 96 144 96H112C103.2 96 96 88.84 96 80V48C96 39.16 103.2 32 112 32H144zM120 56V72H136V56H120zM96 144C96 135.2 103.2 128 112 128H144C152.8 128 160 135.2 160 144V176C160 184.8 152.8 192 144 192H112C103.2 192 96 184.8 96 176V144zM136 168V152H120V168H136zM144 224C152.8 224 160 231.2 160 240V272C160 280.8 152.8 288 144 288H112C103.2 288 96 280.8 96 272V240C96 231.2 103.2 224 112 224H144zM120 248V264H136V248H120zM96 336C96 327.2 103.2 320 112 320H144C152.8 320 160 327.2 160 336V368C160 376.8 152.8 384 144 384H112C103.2 384 96 376.8 96 368V336zM136 360V344H120V360H136zM144 416C152.8 416 160 423.2 160 432V464C160 472.8 152.8 480 144 480H112C103.2 480 96 472.8 96 464V432C96 423.2 103.2 416 112 416H144zM120 440V456H136V440H120zM192 48C192 39.16 199.2 32 208 32H240C248.8 32 256 39.16 256 48V80C256 88.84 248.8 96 240 96H208C199.2 96 192 88.84 192 80V48zM232 72V56H216V72H232zM240 128C248.8 128 256 135.2 256 144V176C256 184.8 248.8 192 240 192H208C199.2 192 192 184.8 192 176V144C192 135.2 199.2 128 208 128H240zM216 152V168H232V152H216zM192 240C192 231.2 199.2 224 208 224H240C248.8 224 256 231.2 256 240V272C256 280.8 248.8 288 240 288H208C199.2 288 192 280.8 192 272V240zM232 264V248H216V264H232zM240 320C248.8 320 256 327.2 256 336V368C256 376.8 248.8 384 240 384H208C199.2 384 192 376.8 192 368V336C192 327.2 199.2 320 208 320H240zM216 344V360H232V344H216zM192 432C192 423.2 199.2 416 208 416H240C248.8 416 256 423.2 256 432V464C256 472.8 248.8 480 240 480H208C199.2 480 192 472.8 192 464V432zM232 456V440H216V456H232zM336 32C344.8 32 352 39.16 352 48V80C352 88.84 344.8 96 336 96H304C295.2 96 288 88.84 288 80V48C288 39.16 295.2 32 304 32H336zM312 56V72H328V56H312zM288 144C288 135.2 295.2 128 304 128H336C344.8 128 352 135.2 352 144V176C352 184.8 344.8 192 336 192H304C295.2 192 288 184.8 288 176V144zM328 168V152H312V168H328zM336 224C344.8 224 352 231.2 352 240V272C352 280.8 344.8 288 336 288H304C295.2 288 288 280.8 288 272V240C288 231.2 295.2 224 304 224H336zM312 248V264H328V248H312zM288 336C288 327.2 295.2 320 304 320H336C344.8 320 352 327.2 352 336V368C352 376.8 344.8 384 336 384H304C295.2 384 288 376.8 288 368V336zM328 360V344H312V360H328zM336 416C344.8 416 352 423.2 352 432V464C352 472.8 344.8 480 336 480H304C295.2 480 288 472.8 288 464V432C288 423.2 295.2 416 304 416H336zM312 440V456H328V440H312zM384 48C384 39.16 391.2 32 400 32H432C440.8 32 448 39.16 448 48V80C448 88.84 440.8 96 432 96H400C391.2 96 384 88.84 384 80V48zM424 72V56H408V72H424zM432 128C440.8 128 448 135.2 448 144V176C448 184.8 440.8 192 432 192H400C391.2 192 384 184.8 384 176V144C384 135.2 391.2 128 400 128H432zM408 152V168H424V152H408zM384 240C384 231.2 391.2 224 400 224H432C440.8 224 448 231.2 448 240V272C448 280.8 440.8 288 432 288H400C391.2 288 384 280.8 384 272V240zM424 264V248H408V264H424zM432 320C440.8 320 448 327.2 448 336V368C448 376.8 440.8 384 432 384H400C391.2 384 384 376.8 384 368V336C384 327.2 391.2 320 400 320H432zM408 344V360H424V344H408zM384 432C384 423.2 391.2 416 400 416H432C440.8 416 448 423.2 448 432V464C448 472.8 440.8 480 432 480H400C391.2 480 384 472.8 384 464V432zM424 456V440H408V456H424z"],
    "grid-dividers": [512, 512, [], "e3ad", "M0 16C0 7.164 7.164 0 16 0H496C504.8 0 512 7.164 512 16C512 24.84 504.8 32 496 32H16C7.164 32 0 24.84 0 16zM32 128C32 110.3 46.33 96 64 96H128C145.7 96 160 110.3 160 128V192C160 209.7 145.7 224 128 224H64C46.33 224 32 209.7 32 192V128zM64 192H128V128H64V192zM32 416C32 398.3 46.33 384 64 384H128C145.7 384 160 398.3 160 416V480C160 497.7 145.7 512 128 512H64C46.33 512 32 497.7 32 480V416zM64 480H128V416H64V480zM288 96C305.7 96 320 110.3 320 128V192C320 209.7 305.7 224 288 224H224C206.3 224 192 209.7 192 192V128C192 110.3 206.3 96 224 96H288zM288 128H224V192H288V128zM192 416C192 398.3 206.3 384 224 384H288C305.7 384 320 398.3 320 416V480C320 497.7 305.7 512 288 512H224C206.3 512 192 497.7 192 480V416zM224 480H288V416H224V480zM448 96C465.7 96 480 110.3 480 128V192C480 209.7 465.7 224 448 224H384C366.3 224 352 209.7 352 192V128C352 110.3 366.3 96 384 96H448zM448 128H384V192H448V128zM352 416C352 398.3 366.3 384 384 384H448C465.7 384 480 398.3 480 416V480C480 497.7 465.7 512 448 512H384C366.3 512 352 497.7 352 480V416zM384 480H448V416H384V480zM496 288C504.8 288 512 295.2 512 304C512 312.8 504.8 320 496 320H16C7.164 320 0 312.8 0 304C0 295.2 7.164 288 16 288H496z"],
    "grid-horizontal": [448, 512, [], "e307", "M0 168C0 145.9 17.91 128 40 128H88C110.1 128 128 145.9 128 168V216C128 238.1 110.1 256 88 256H40C17.91 256 0 238.1 0 216V168zM32 168V216C32 220.4 35.58 224 40 224H88C92.42 224 96 220.4 96 216V168C96 163.6 92.42 160 88 160H40C35.58 160 32 163.6 32 168zM0 328C0 305.9 17.91 288 40 288H88C110.1 288 128 305.9 128 328V376C128 398.1 110.1 416 88 416H40C17.91 416 0 398.1 0 376V328zM32 328V376C32 380.4 35.58 384 40 384H88C92.42 384 96 380.4 96 376V328C96 323.6 92.42 320 88 320H40C35.58 320 32 323.6 32 328zM248 128C270.1 128 288 145.9 288 168V216C288 238.1 270.1 256 248 256H200C177.9 256 160 238.1 160 216V168C160 145.9 177.9 128 200 128H248zM248 160H200C195.6 160 192 163.6 192 168V216C192 220.4 195.6 224 200 224H248C252.4 224 256 220.4 256 216V168C256 163.6 252.4 160 248 160zM160 328C160 305.9 177.9 288 200 288H248C270.1 288 288 305.9 288 328V376C288 398.1 270.1 416 248 416H200C177.9 416 160 398.1 160 376V328zM192 328V376C192 380.4 195.6 384 200 384H248C252.4 384 256 380.4 256 376V328C256 323.6 252.4 320 248 320H200C195.6 320 192 323.6 192 328zM408 128C430.1 128 448 145.9 448 168V216C448 238.1 430.1 256 408 256H360C337.9 256 320 238.1 320 216V168C320 145.9 337.9 128 360 128H408zM408 160H360C355.6 160 352 163.6 352 168V216C352 220.4 355.6 224 360 224H408C412.4 224 416 220.4 416 216V168C416 163.6 412.4 160 408 160zM320 328C320 305.9 337.9 288 360 288H408C430.1 288 448 305.9 448 328V376C448 398.1 430.1 416 408 416H360C337.9 416 320 398.1 320 376V328zM352 328V376C352 380.4 355.6 384 360 384H408C412.4 384 416 380.4 416 376V328C416 323.6 412.4 320 408 320H360C355.6 320 352 323.6 352 328z"],
    "grill": [448, 512, [], "e5a3", "M408 32C430.1 32 448 49.91 448 72V96C448 188.5 391.1 267.9 311.1 302.1L382.6 457.4C386.2 465.4 382.7 474.9 374.6 478.6C366.6 482.2 357.1 478.7 353.4 470.6L328.6 416H160C160 451.3 131.3 480 96 480C60.65 480 32 451.3 32 416C32 380.7 60.65 352 96 352C101.7 352 107.1 352.7 112.4 354.1L136 302.1C56.05 267.9 0 188.5 0 96V72C0 49.91 17.91 32 40 32H408zM408 64H39.1C35.58 64 31.1 67.58 31.1 72V96C31.1 202 117.1 288 223.1 288C330 288 416 202 416 96V72C416 67.58 412.4 64 408 64zM140.4 369.9C144.7 374 148.4 378.8 151.4 384H314.1L281.6 312.5C263.2 317.4 243.9 320 223.1 320C204.1 320 184.8 317.4 166.4 312.5L140.4 369.9zM63.1 416C63.1 433.7 78.33 448 95.1 448C113.7 448 127.1 433.7 127.1 416C127.1 398.3 113.7 384 95.1 384C78.33 384 63.1 398.3 63.1 416z"],
    "grill-fire": [576, 512, [], "e5a4", "M408 64H40C35.58 64 32 67.58 32 72V96C32 202 117.1 288 224 288C228.7 288 233.4 287.8 238 287.5C233.6 298.3 230 309.2 227.6 319.1C226.4 319.1 225.2 320 224 320C204.1 320 184.8 317.4 166.4 312.5L140.4 369.9C144.7 374 148.4 378.8 151.4 384H226.1C228.9 394.1 231.8 405.7 235.5 416H160C160 451.3 131.3 480 96 480C60.65 480 32 451.3 32 416C32 380.7 60.65 352 96 352C101.7 352 107.1 352.7 112.4 354.1L136 302.1C56.05 267.9 0 188.5 0 96V72C0 49.91 17.91 32 40 32H408C430.1 32 448 49.91 448 72V96C448 120.1 444.2 143.3 437.1 165.1C428.7 156.4 419.9 148.1 410.1 139.1L410.9 139.1C414.2 125.9 416 111.1 416 96V72C416 67.58 412.4 64 408 64H408zM64 416C64 433.7 78.33 448 96 448C113.7 448 128 433.7 128 416C128 398.3 113.7 384 96 384C78.33 384 64 398.3 64 416zM381.1 256C385.9 256 390.5 258.2 393.5 262C395.6 264.6 411.1 284.4 426.1 303.5L443.6 325.8L466.9 298.6C470 294.9 474.7 292.9 479.5 293C484.4 293.2 488.9 295.5 491.8 299.4C495.7 304.6 498.2 309.7 500.1 313.5L500.2 313.6C521.5 352.1 512.5 404 475.2 430.1L474.9 430.3C457.3 442 438.3 448 417 448C391.1 448 366.8 439.6 348.8 423.2C330.7 406.6 320 382.7 320 354C320 338.3 325 324.3 333.4 309.8C341.6 295.7 353.7 280.3 368.6 261.9C371.6 258.2 376.2 255.1 381.1 256V256zM475.8 337.3L455.1 361.4C452 365.1 447.4 367.1 442.6 366.1C437.9 366.9 433.4 364.6 430.4 360.9L380.9 297.8C372.3 308.8 365.8 317.8 361.1 325.9C354.5 337.2 352 345.7 352 354C352 374.3 359.3 389.4 370.4 399.6C381.7 409.9 397.9 416 417 416C431.7 416 444.6 412 456.1 403.8C477.1 389.6 484.8 361.1 475.8 337.3H475.8zM423.5 197.1C430.9 205 438.1 213.1 445 221.5C451.5 213.4 458.6 204.7 466.3 197C467.1 195.3 469.7 193.6 471.5 191.1C477.1 186.9 485.9 186.9 491.5 192C516.2 214.7 537.1 244.7 551.8 273.2C566.4 301.2 576 329.9 576 350.1C576 437.9 504.7 512 416 512C326.3 512 256 437.8 256 350.1C256 323.7 268.7 291.5 288.4 259.5C308.4 227.2 336.5 193.4 369.8 163.7C375.4 158.7 383.1 158.8 389.5 163.8C401.3 174.4 412.7 185.5 423.5 197.1zM445.4 253.5C435.8 253.6 426.6 249.4 420.4 241.1C407.6 226.5 393.1 211.9 379.6 198.2C353.6 223.2 331.6 250.5 315.6 276.3C297 306.4 288 332.5 288 350.1C288 420.9 344.7 480 416 480C486.4 480 544 420.8 544 350.1C544 337.7 537.2 314.5 523.4 287.9C512.5 266.8 498.1 245.3 481.6 227.4C477.8 231.8 473.1 236.5 470.1 241.4C464.1 248.9 455 253.4 445.4 253.5H445.4zM443 351L430.4 360.9z"],
    "grill-hot": [448, 512, [], "e5a5", "M111.1 0C120.8 0 127.1 7.164 127.1 16V20C127.1 27.55 131.6 34.67 137.6 39.2L169.6 63.2C183.7 73.78 191.1 90.37 191.1 108V112C191.1 120.8 184.8 128 175.1 128C167.2 128 159.1 120.8 159.1 112V108C159.1 100.4 156.4 93.33 150.4 88.8L118.4 64.8C104.3 54.22 95.1 37.63 95.1 20V16C95.1 7.164 103.2 0 111.1 0zM416 160C433.7 160 448 174.3 448 192C448 272.5 398.5 341.4 328.3 369.9L382.6 489.4C386.2 497.4 382.7 506.9 374.6 510.6C366.6 514.2 357.1 510.7 353.4 502.6L335.9 464H157.1C150.9 491.6 125.8 512 96 512C60.65 512 32 483.3 32 448C32 412.7 60.65 384 96 384C101.7 384 107.1 384.7 112.4 386.1L119.7 369.9C49.51 341.4 0 272.5 0 192C0 174.3 14.33 160 32 160H416zM256 352C344.4 352 416 280.4 416 192H31.1C31.1 280.4 103.6 352 191.1 352H256zM140.4 401.9C148.8 409.1 154.1 420.3 157.1 432H321.3L297.5 379.5C284.1 382.4 270.2 384 256 384H191.1C177.8 384 163.9 382.5 150.5 379.5L140.4 401.9zM95.1 416C78.33 416 63.1 430.3 63.1 448C63.1 465.7 78.33 480 95.1 480C113.7 480 127.1 465.7 127.1 448C127.1 430.3 113.7 416 95.1 416zM223.1 20C223.1 27.55 227.6 34.67 233.6 39.2L265.6 63.2C279.7 73.78 288 90.37 288 108V112C288 120.8 280.8 128 272 128C263.2 128 256 120.8 256 112V108C256 100.4 252.4 93.33 246.4 88.8L214.4 64.8C200.3 54.22 191.1 37.63 191.1 20V16C191.1 7.164 199.2 0 207.1 0C216.8 0 223.1 7.164 223.1 16V20z"],
    "grip": [448, 512, ["grip-horizontal"], "f58d", "M448 376C448 398.1 430.1 416 408 416H360C337.9 416 320 398.1 320 376V328C320 305.9 337.9 288 360 288H408C430.1 288 448 305.9 448 328V376zM416 376V328C416 323.6 412.4 320 408 320H360C355.6 320 352 323.6 352 328V376C352 380.4 355.6 384 360 384H408C412.4 384 416 380.4 416 376zM448 184C448 206.1 430.1 224 408 224H360C337.9 224 320 206.1 320 184V136C320 113.9 337.9 96 360 96H408C430.1 96 448 113.9 448 136V184zM416 184V136C416 131.6 412.4 128 408 128H360C355.6 128 352 131.6 352 136V184C352 188.4 355.6 192 360 192H408C412.4 192 416 188.4 416 184zM200 416C177.9 416 160 398.1 160 376V328C160 305.9 177.9 288 200 288H248C270.1 288 288 305.9 288 328V376C288 398.1 270.1 416 248 416H200zM200 384H248C252.4 384 256 380.4 256 376V328C256 323.6 252.4 320 248 320H200C195.6 320 192 323.6 192 328V376C192 380.4 195.6 384 200 384zM288 184C288 206.1 270.1 224 248 224H200C177.9 224 160 206.1 160 184V136C160 113.9 177.9 96 200 96H248C270.1 96 288 113.9 288 136V184zM256 184V136C256 131.6 252.4 128 248 128H200C195.6 128 192 131.6 192 136V184C192 188.4 195.6 192 200 192H248C252.4 192 256 188.4 256 184zM40 416C17.91 416 0 398.1 0 376V328C0 305.9 17.91 288 40 288H88C110.1 288 128 305.9 128 328V376C128 398.1 110.1 416 88 416H40zM40 384H88C92.42 384 96 380.4 96 376V328C96 323.6 92.42 320 88 320H40C35.58 320 32 323.6 32 328V376C32 380.4 35.58 384 40 384zM128 184C128 206.1 110.1 224 88 224H40C17.91 224 0 206.1 0 184V136C0 113.9 17.91 96 40 96H88C110.1 96 128 113.9 128 136V184zM96 184V136C96 131.6 92.42 128 88 128H40C35.58 128 32 131.6 32 136V184C32 188.4 35.58 192 40 192H88C92.42 192 96 188.4 96 184z"],
    "grip-dots": [448, 512, [], "e410", "M384 224C357.5 224 336 202.5 336 176C336 149.5 357.5 128 384 128C410.5 128 432 149.5 432 176C432 202.5 410.5 224 384 224zM400 176C400 167.2 392.8 160 384 160C375.2 160 368 167.2 368 176C368 184.8 375.2 192 384 192C392.8 192 400 184.8 400 176zM224 224C197.5 224 176 202.5 176 176C176 149.5 197.5 128 224 128C250.5 128 272 149.5 272 176C272 202.5 250.5 224 224 224zM240 176C240 167.2 232.8 160 224 160C215.2 160 208 167.2 208 176C208 184.8 215.2 192 224 192C232.8 192 240 184.8 240 176zM64 128C90.51 128 112 149.5 112 176C112 202.5 90.51 224 64 224C37.49 224 16 202.5 16 176C16 149.5 37.49 128 64 128zM48 176C48 184.8 55.16 192 64 192C72.84 192 80 184.8 80 176C80 167.2 72.84 160 64 160C55.16 160 48 167.2 48 176zM384 384C357.5 384 336 362.5 336 336C336 309.5 357.5 288 384 288C410.5 288 432 309.5 432 336C432 362.5 410.5 384 384 384zM400 336C400 327.2 392.8 320 384 320C375.2 320 368 327.2 368 336C368 344.8 375.2 352 384 352C392.8 352 400 344.8 400 336zM224 288C250.5 288 272 309.5 272 336C272 362.5 250.5 384 224 384C197.5 384 176 362.5 176 336C176 309.5 197.5 288 224 288zM208 336C208 344.8 215.2 352 224 352C232.8 352 240 344.8 240 336C240 327.2 232.8 320 224 320C215.2 320 208 327.2 208 336zM64 384C37.49 384 16 362.5 16 336C16 309.5 37.49 288 64 288C90.51 288 112 309.5 112 336C112 362.5 90.51 384 64 384zM80 336C80 327.2 72.84 320 64 320C55.16 320 48 327.2 48 336C48 344.8 55.16 352 64 352C72.84 352 80 344.8 80 336z"],
    "grip-dots-vertical": [256, 512, [], "e411", "M96 96C96 122.5 74.51 144 48 144C21.49 144 0 122.5 0 96C0 69.49 21.49 48 48 48C74.51 48 96 69.49 96 96zM48 80C39.16 80 32 87.16 32 96C32 104.8 39.16 112 48 112C56.84 112 64 104.8 64 96C64 87.16 56.84 80 48 80zM96 256C96 282.5 74.51 304 48 304C21.49 304 0 282.5 0 256C0 229.5 21.49 208 48 208C74.51 208 96 229.5 96 256zM48 240C39.16 240 32 247.2 32 256C32 264.8 39.16 272 48 272C56.84 272 64 264.8 64 256C64 247.2 56.84 240 48 240zM0 416C0 389.5 21.49 368 48 368C74.51 368 96 389.5 96 416C96 442.5 74.51 464 48 464C21.49 464 0 442.5 0 416zM48 432C56.84 432 64 424.8 64 416C64 407.2 56.84 400 48 400C39.16 400 32 407.2 32 416C32 424.8 39.16 432 48 432zM256 96C256 122.5 234.5 144 208 144C181.5 144 160 122.5 160 96C160 69.49 181.5 48 208 48C234.5 48 256 69.49 256 96zM208 80C199.2 80 192 87.16 192 96C192 104.8 199.2 112 208 112C216.8 112 224 104.8 224 96C224 87.16 216.8 80 208 80zM160 256C160 229.5 181.5 208 208 208C234.5 208 256 229.5 256 256C256 282.5 234.5 304 208 304C181.5 304 160 282.5 160 256zM208 272C216.8 272 224 264.8 224 256C224 247.2 216.8 240 208 240C199.2 240 192 247.2 192 256C192 264.8 199.2 272 208 272zM256 416C256 442.5 234.5 464 208 464C181.5 464 160 442.5 160 416C160 389.5 181.5 368 208 368C234.5 368 256 389.5 256 416zM208 400C199.2 400 192 407.2 192 416C192 424.8 199.2 432 208 432C216.8 432 224 424.8 224 416C224 407.2 216.8 400 208 400z"],
    "grip-lines": [448, 512, [], "f7a4", "M432 208H16C7.164 208 0 200.8 0 192C0 183.2 7.164 176 16 176H432C440.8 176 448 183.2 448 192C448 200.8 440.8 208 432 208zM432 336H16C7.164 336 0 328.8 0 320C0 311.2 7.164 304 16 304H432C440.8 304 448 311.2 448 320C448 328.8 440.8 336 432 336z"],
    "grip-lines-vertical": [192, 512, [], "f7a5", "M48 48V464C48 472.8 40.84 480 32 480C23.16 480 16 472.8 16 464V48C16 39.16 23.16 32 32 32C40.84 32 48 39.16 48 48zM176 48V464C176 472.8 168.8 480 160 480C151.2 480 144 472.8 144 464V48C144 39.16 151.2 32 160 32C168.8 32 176 39.16 176 48z"],
    "grip-vertical": [320, 512, [], "f58e", "M40 480C17.91 480 0 462.1 0 440V392C0 369.9 17.91 352 40 352H88C110.1 352 128 369.9 128 392V440C128 462.1 110.1 480 88 480H40zM40 448H88C92.42 448 96 444.4 96 440V392C96 387.6 92.42 384 88 384H40C35.58 384 32 387.6 32 392V440C32 444.4 35.58 448 40 448zM232 480C209.9 480 192 462.1 192 440V392C192 369.9 209.9 352 232 352H280C302.1 352 320 369.9 320 392V440C320 462.1 302.1 480 280 480H232zM232 448H280C284.4 448 288 444.4 288 440V392C288 387.6 284.4 384 280 384H232C227.6 384 224 387.6 224 392V440C224 444.4 227.6 448 232 448zM0 232C0 209.9 17.91 192 40 192H88C110.1 192 128 209.9 128 232V280C128 302.1 110.1 320 88 320H40C17.91 320 0 302.1 0 280V232zM32 232V280C32 284.4 35.58 288 40 288H88C92.42 288 96 284.4 96 280V232C96 227.6 92.42 224 88 224H40C35.58 224 32 227.6 32 232zM232 320C209.9 320 192 302.1 192 280V232C192 209.9 209.9 192 232 192H280C302.1 192 320 209.9 320 232V280C320 302.1 302.1 320 280 320H232zM232 288H280C284.4 288 288 284.4 288 280V232C288 227.6 284.4 224 280 224H232C227.6 224 224 227.6 224 232V280C224 284.4 227.6 288 232 288zM0 72C0 49.91 17.91 32 40 32H88C110.1 32 128 49.91 128 72V120C128 142.1 110.1 160 88 160H40C17.91 160 0 142.1 0 120V72zM32 72V120C32 124.4 35.58 128 40 128H88C92.42 128 96 124.4 96 120V72C96 67.58 92.42 64 88 64H40C35.58 64 32 67.58 32 72zM232 160C209.9 160 192 142.1 192 120V72C192 49.91 209.9 32 232 32H280C302.1 32 320 49.91 320 72V120C320 142.1 302.1 160 280 160H232zM232 128H280C284.4 128 288 124.4 288 120V72C288 67.58 284.4 64 280 64H232C227.6 64 224 67.58 224 72V120C224 124.4 227.6 128 232 128z"],
    "group-arrows-rotate": [512, 512, [], "e4f6", "M207.3 36.71C209.9 45.18 205 54.09 196.6 56.61C182.3 60.85 168.7 66.57 155.1 73.59C158.6 80.56 160 88.12 160 96C160 131.3 131.3 160 96 160C88.12 160 80.56 158.6 73.59 155.1C66.57 168.7 60.85 182.3 56.61 196.6C54.09 205 45.18 209.9 36.71 207.3C28.24 204.8 23.42 195.9 25.94 187.4C31.18 169.9 38.37 153.1 47.26 137.5C37.75 126.3 32 111.8 32 96C32 60.65 60.66 32 96 32C111.8 32 126.3 37.74 137.5 47.26C153.1 38.37 169.9 31.17 187.4 25.94C195.9 23.42 204.8 28.24 207.3 36.71V36.71zM96 127.1C113.7 127.1 128 113.7 128 95.1C128 78.33 113.7 63.1 96 63.1C78.33 63.1 64 78.33 64 95.1C64 113.7 78.33 127.1 96 127.1zM304.7 36.71C307.2 28.24 316.1 23.42 324.6 25.94C342.1 31.18 358.9 38.37 374.5 47.26C385.7 37.74 400.2 32 416 32C451.3 32 480 60.65 480 96C480 111.8 474.3 126.3 464.7 137.5C473.6 153.1 480.8 169.9 486.1 187.4C488.6 195.9 483.8 204.8 475.3 207.3C466.8 209.9 457.9 205 455.4 196.6C451.2 182.3 445.4 168.7 438.4 155.1C431.4 158.6 423.9 160 416 160C380.7 160 352 131.3 352 96C352 88.12 353.4 80.56 356 73.59C343.3 66.57 329.7 60.85 315.4 56.61C306.1 54.09 302.1 45.18 304.7 36.71H304.7zM416 127.1C433.7 127.1 448 113.7 448 95.1C448 78.33 433.7 63.1 416 63.1C398.3 63.1 384 78.33 384 95.1C384 113.7 398.3 127.1 416 127.1V127.1zM36.71 304.7C45.18 302.1 54.09 306.1 56.61 315.4C60.85 329.7 66.57 343.3 73.59 356C80.56 353.4 88.12 352 96 352C131.3 352 160 380.7 160 416C160 423.9 158.6 431.4 155.1 438.4C168.7 445.4 182.3 451.2 196.6 455.4C205 457.9 209.9 466.8 207.3 475.3C204.8 483.8 195.9 488.6 187.4 486.1C169.9 480.8 153.1 473.6 137.5 464.7C126.3 474.3 111.8 480 96 480C60.66 480 32 451.3 32 416C32 400.2 37.75 385.7 47.26 374.5C38.37 358.9 31.18 342.1 25.94 324.6C23.42 316.1 28.24 307.2 36.71 304.7V304.7zM96 384C78.33 384 64 398.3 64 416C64 433.7 78.33 448 96 448C113.7 448 128 433.7 128 416C128 398.3 113.7 384 96 384zM475.3 304.7C483.8 307.2 488.6 316.1 486.1 324.6C480.8 342.1 473.6 358.9 464.7 374.5C474.3 385.7 480 400.2 480 416C480 451.3 451.3 480 416 480C400.2 480 385.7 474.3 374.5 464.7C358.9 473.6 342.1 480.8 324.6 486.1C316.1 488.6 307.2 483.8 304.7 475.3C302.1 466.8 306.1 457.9 315.4 455.4C329.7 451.2 343.3 445.4 356 438.4C353.4 431.4 352 423.9 352 416C352 380.7 380.7 352 416 352C423.9 352 431.4 353.4 438.4 356C445.4 343.3 451.2 329.7 455.4 315.4C457.9 306.1 466.8 302.1 475.3 304.7V304.7zM416 384C398.3 384 384 398.3 384 416C384 433.7 398.3 448 416 448C433.7 448 448 433.7 448 416C448 398.3 433.7 384 416 384V384zM144.8 168.8C144.8 159.1 151.1 152.8 160.8 152.8H206.4C220.1 152.8 232.8 164.6 232.8 179.2V224.8C232.8 233.6 225.6 240.8 216.8 240.8C207.1 240.8 200.8 233.6 200.8 224.8V211.5C190.8 223.9 184.8 239.6 184.8 256.8C184.8 284.8 200.7 309 224.1 320.1C231.9 324.1 235.1 334.6 231 342.5C227 350.4 217.4 353.5 209.5 349.4C175.9 332.3 152.8 297.2 152.8 256.8C152.8 229.2 163.6 203.1 181.2 185.4C181.4 185.2 181.6 184.1 181.8 184.8H160.8C151.1 184.8 144.8 177.6 144.8 168.8H144.8zM307.2 360.8C292.6 360.8 280.8 348.1 280.8 334.4V288.8C280.8 279.1 287.1 272.8 296.8 272.8C305.6 272.8 312.8 279.1 312.8 288.8V300.5C322.8 288.1 328.8 272.4 328.8 255.2C328.8 227.2 312.9 202.1 289.5 191C281.6 187 278.5 177.4 282.6 169.5C286.6 161.7 296.2 158.5 304.1 162.6C337.7 179.7 360.8 214.8 360.8 255.2C360.8 282.8 349.1 308 332.4 326.6C331.6 327.4 330.8 328.2 329.9 328.8H352.8C361.6 328.8 368.8 335.1 368.8 344.8C368.8 353.6 361.6 360.8 352.8 360.8H307.2z"],
    "guarani-sign": [384, 512, [], "e19a", "M192 16V64C244.3 64 291.8 84.95 326.4 118.9C332.7 125.1 332.8 135.2 326.6 141.5C320.4 147.8 310.3 147.9 304 141.7C275.1 113.4 235.6 96 192 96V240H368C376.8 240 384 247.2 384 256C384 362 298 448 192 448V496C192 504.8 184.8 512 176 512C167.2 512 160 504.8 160 496V445.3C69.19 430.1 0 351.1 0 256C0 160.9 69.19 81.89 160 66.65V16C160 7.164 167.2 0 176 0C184.8 0 192 7.164 192 16zM160 99.2C86.97 114 32 178.6 32 256C32 333.4 86.97 397.1 160 412.8V99.2zM192 416C274.1 416 343.2 352.9 351.2 272H192V416z"],
    "guitar": [512, 512, [], "f7a6", "M501.3 37.47l-26.7-26.7C467.7 3.875 458.3 0 448.5 0c-9.83 0-19.1 3.844-26.24 11l-41.08 44.2c-3.021 3.252-5.084 7.279-5.955 11.63l-11.82 59.09L296.8 192.6L291.2 187C277.3 175.9 261.6 167.1 244.4 163.1C235.9 161.1 227.1 160 218.3 160C194.2 160 171.4 168.3 154.5 185.1C145.1 194.5 138.3 206 134.3 218.6c-6 18.5-23.12 32.63-42.12 34.38C68.39 255.4 46.39 264.5 29.52 281.5c-45.63 45.5-37.38 127.5 18.12 183C78.89 495.8 118.7 512 155.6 512c28.5 0 55.19-9.597 74.94-29.47c17-16.88 26.25-38.97 28.5-62.72c1.75-18.88 15.97-36.16 34.47-42.16c12.62-3.875 24.03-10.88 33.4-20.25c22.88-22.88 29.75-56.26 21.1-89.76c-4-17.25-12.57-33.01-23.82-46.76L319.4 215.2l11.91-11.92c.0098-.0098-.0098 .0117 0 0l54.8-54.79l59.04-11.8c4.354-.8711 8.381-2.934 11.63-5.957l44.47-41.33C515.6 75.09 515.6 51.78 501.3 37.47zM304.3 334.8c-5.75 5.75-12.88 10.12-20.75 12.5c-30.75 10-53.5 38-56.38 69.5c-1.125 12.12-5.375 29.38-19.25 43.13C191.3 476.5 170.3 480 155.6 480c-30 0-61-13.88-85.25-38.13c-24.25-24.38-38.25-55.5-38.25-85.5c0-14.62 3.5-35.63 20.25-52.38C65.95 290.4 83.2 286 95.2 284.9c31.62-3 59.63-25.62 69.63-56.5C167.2 220.6 171.4 213.5 177.2 207.8C190.2 194.8 206.7 192 218.3 192c6.375 0 12.75 .75 18.88 2.25C247.4 196.6 258.1 202.1 268.3 209.9l5.59 5.59L228.7 260.7c-.0273 .0273 .0273-.0273 0 0C222.4 257.8 215.4 256 208 256c-26.53 0-48 21.47-48 48s21.47 48 48 48s47.1-21.47 47.1-48c0-7.426-1.73-14.41-4.734-20.68c.0195-.0195-.0195 .0195 0 0l45.26-45.25l5.785 5.785c7.75 10.25 13.12 20.75 15.5 31C323.3 298.9 318.4 320.8 304.3 334.8zM224.1 304c0 8.822-7.178 16-16 16s-16-7.178-16-16s7.178-16 16-16S224.1 295.2 224.1 304zM479.5 65.97L436.7 105.8l-38.07 7.611l7.613-38.05l38.75-41.72c2.926-2.934 5.998-1.178 6.975-.2012l26.7 26.7C480.4 61.87 480.3 65.07 479.5 65.97z"],
    "guitar-electric": [512, 512, [127928], "f8be", "M171.3 276.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l64 64C215.8 366.4 219.9 368 224 368s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L171.3 276.7zM123.3 324.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l64 64C167.8 414.4 171.9 416 176 416s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L123.3 324.7zM497.1 17.71C486.5 6.289 471.4 0 455.2 0c-9.305 0-18.64 2.203-26.99 6.373l-44.22 22.12c-16.36 8.182-26.52 24.64-26.52 42.96V135.4l-83.12 80.04l-5.65-5.729c-2.875-3.625-3.625-8.625-1.75-12.87l15.87-34.12c8.5-18.12 2.751-39.75-13.75-51.25c-16.38-11.5-38.75-9.625-52.87 4.625L180.1 151.4c-10 10-17.62 22.12-22.37 35.37c-4.375 12-13.25 21.75-24.75 27.12L63.5 246.5c-31 12.37-54.37 40.37-61.37 74.37c-7 33.88 3.498 68.1 27.1 93.5l67.5 67.5c24.5 24.5 59.62 34.1 93.49 27.1c33.88-6.875 61.99-30.5 74.87-62.62l31.1-69.12c5.375-11.5 15.25-20.37 27.12-24.75c13.38-4.75 25.5-12.37 35.5-22.37l19.87-19.87c16.5-16.5 16.5-43.25 0-59.75c-7.75-8-18.47-12.51-29.47-12.38c-4.5 0-9.024 .6312-13.27 2.006l-21.87 6.937c-1.25 .375-2.602 .6814-3.977 .6814c-4.75 0-7.897-2.869-9.522-4.619l-5.638-5.772l146.5-143.3c6.441 3.09 13.51 4.701 20.77 4.701c12.83 0 24.87-4.984 33.93-14.04C507 76.54 512 64.48 512 51.65C512 38.82 507 26.77 497.1 17.71zM311.9 280.5c4.75-.125 9.375-.625 13.75-2.125l21.88-6.875c1.125-.375 2.25-.5 3.5-.5c2.625-.125 5.125 1 6.875 3c1.875 1.875 3 4.5 3 7.25s-1.125 5.375-3 7.25l-19.88 19.88c-6.625 6.625-14.75 11.75-23.62 14.88c-20 7.125-36.38 22.12-45.38 41.38l-32.38 70l-.25 .75c-8.875 22.12-28.25 38.38-51.63 43.13c-23.38 4.875-47.63-2.375-64.38-19.25l-67.63-67.5c-16.88-16.88-24.12-41.13-19.25-64.5c4.75-23 20.75-42.63 41.88-51l71.88-33.25c19.38-9 34.25-25.38 41.5-45.38c3.125-8.875 8.25-17 14.88-23.62l35.25-35.25c1.75-1.75 4.125-2.75 6.625-2.75s4.875 1 6.625 2.75c2.625 2.75 3.375 7 1.75 10.5L238 183.4c-6.875 15-4.875 32.5 5.125 45.5l36.63 37.75C291.3 278.1 303.6 280.5 311.9 280.5zM475.3 62.97c-3.008 3.006-7.025 4.662-11.31 4.662s-8.305-1.656-11.31-4.666c-3.016-3.016-7.033-4.68-11.31-4.68c-4.277 0-8.297 1.662-11.31 4.682l-40.57 40.57V71.45c0-6.125 3.381-11.61 8.822-14.32l44.23-22.13c3.926-1.959 8.318-2.998 12.69-2.998c7.578 0 14.71 2.957 20.08 8.328C481.6 46.57 481.6 56.73 475.3 62.97z"],
    "guitars": [512, 512, [], "f8bf", "M144 180.3V133.8l24.61-40.25c2-4 3.033-8.565 3.033-13.06V26.37C171.6 11.87 159.9 0 145.3 0H110.8c-14.63 0-26.5 11.91-26.5 26.41v54.09c0 4.5 1.098 8.947 3.098 12.95l24.64 40.36v46.54c-24.06 2.146-47.73 7.762-69.13 29.15c-15.38 15.38-24.62 34.1-24.62 56.62c0 11.88 2.875 23.62 8.375 34.12c8 15.62 6 35.62-4.875 48.75c-13.62 16.5-21.87 36.37-21.75 57.1c-.125 58 57.37 105 127.1 105c25.78 0 49.57-6.478 69.6-17.34c7.277-3.945 9.754-13.03 6.225-20.52c-.0469-.0977-.0938-.1953-.1387-.293C199.9 465.8 190.2 462.8 182.4 467C166.5 475.5 147.7 480 128 480c-26.88 0-51.75-8.375-70.25-23.5c-16.63-13.62-25.75-31.25-25.75-49.63c0-16.5 7.875-29.5 14.38-37.38c19.12-23 22.62-56.75 8.75-83.88C51.88 279.6 50.25 272.9 50.25 266c0-25.42 24.49-52.3 61.75-52.4L112 274.9C93.4 281.6 80 299.1 80 320c0 26.5 21.5 48 48 48c26.5 0 48-21.5 48-48c0-20.86-13.41-38.45-32.01-45.06l.0039-61.42c19.12-.0527 34.28 5.824 47.3 19.42C197.6 239.5 207.9 239.7 214.2 233.1c6.646-7.062 5.869-16.33 .5547-21.95C189.8 184.7 159.4 181.7 144 180.3zM116.3 32h23.5v48.5L128 103.3L116.3 80.5V32zM144 320c0 8.875-7.128 15.1-16 15.1S112 328.9 112 320s7.125-16 16-16S144 311.1 144 320zM400 336h-64c-8.801 0-16 7.199-16 16c0 8.799 7.199 16 16 16h64c8.799 0 16-7.201 16-16C416 343.2 408.8 336 400 336zM400 400.1h-64c-8.801 0-16.01 7.136-16.01 15.94c0 8.799 7.199 15.1 15.1 15.1h64c8.799 0 15.1-7.201 15.1-15.1C416 407.3 408.8 400.1 400 400.1zM504.6 386.9l-30.25-50.63c-7.5-20.38-11.62-29.5-2.25-49.25c5.125-10.88 7.875-22.75 7.875-34.75V221.3c0-9.719-6.273-18.78-15.73-21.04c-1.684-.4023-3.367-.5957-5.021-.5957c-7.752 0-14.88 4.248-18.5 11.25l-12 23.12c-6 11.62-12.12 19.75-24.75 22h-20V93.06c20.23-7.189 34.31-27.36 31.69-50.61C412.9 17.92 390.1 0 366.3 0c-20.75 0-38.7 14.38-43.2 34.63C315.6 68.38 305.2 115.5 303.9 121.4C301.5 132 304.8 143.1 312.5 150.9l39.5 31.5V256h-20c-12.75-3.5-18.5-14-23.12-26.88l-14.75-40.25C291.4 181.1 284 176 275.8 176c-5.25 0-10.25 2-14 5.75c-3.625 3.75-5.75 8.75-5.75 13.88v56.63c0 12.12 2.625 24 7.875 34.88c9.25 19.62 5.375 28.75-2.125 49.25L231.4 387C206 446.1 249.4 512 313.8 512h108.4C486.6 511.9 530 446.1 504.6 386.9zM335.2 128c1.369-6.324 11.72-52.97 19.16-86.46C355.6 35.94 360.5 32 366.3 32c8.83 0 16.72 6.295 17.59 14.03c.9824 8.705-4.619 14.75-10.6 16.88c-12.76 4.535-21.28 16.61-21.28 30.15V141.4L335.2 128zM470.4 453.9C459.5 470.5 441.9 479.1 422.1 480h-108.4c-19.72 0-37.26-9.449-48.12-25.93c-10.5-15.94-12.5-35.03-5.588-52.66l29.15-48.57c1.043-1.738 1.916-3.568 2.613-5.471l.6816-1.863c7.715-21.04 15-40.91 .209-72.29c-1.871-3.873-3.188-7.965-3.939-12.23c6.793 10.41 17.54 21.14 34.78 25.88C326.3 287.6 329.2 288 332 288h72c1.883 0 3.762-.166 5.615-.4961c17.33-3.09 28.71-12.07 36.23-21.05c-.709 2.328-1.588 4.613-2.629 6.82c-14.75 31.08-7.492 50.71 .1953 71.5l.9336 2.529c.6855 1.861 1.543 3.656 2.561 5.359l29.04 48.59C482.9 418.9 480.9 438 470.4 453.9z"],
    "gun": [576, 512, [], "e19b", "M544 64h-32V48C512 39.16 504.8 32 496 32S480 39.16 480 48V64H43.17C19.33 64 0 83.33 0 107.2v89.66C0 220.7 19.33 240 43.17 240c21.26 0 36.61 20.35 30.77 40.79l-40.69 158.4C27.41 459.7 42.76 480 64.02 480h119.8c14.29 0 26.84-9.469 30.77-23.21L242.4 352h78.58c20.69 0 39-13.19 45.53-32.81L392.9 240h41.87c8.486 0 16.62-3.373 22.63-9.373L480 208h64c17.67 0 32-14.33 32-32V96C576 78.33 561.7 64 544 64zM183.9 448l-119.6-.832l40.46-157.6C109.6 272.6 106.9 255 98.12 240h140.8L183.9 448zM336.1 309.1C333.9 315.6 327.8 320 320.9 320H250.8L272 240h87.12L336.1 309.1zM544 176h-77.26l-31.1 32H43.17C37 208 32 203 32 196.8V107.2C32 101 37 96 43.17 96H544V176z"],
    "gun-slash": [640, 512, [], "e19c", "M215.9 448l-119.6-.832l40.46-157.6C141.6 272.6 138.9 255 130.1 240h66.33l-40.53-32H75.17C69 208 64 203 64 196.8V135.4L32 110.2v86.66C32 220.7 51.33 240 75.17 240c21.26 0 36.61 20.35 30.77 40.79l-40.69 158.4C59.41 459.7 74.76 480 96.02 480h119.8c14.29 0 26.84-9.469 30.77-23.21l38.78-146.6l-27.38-21.61L215.9 448zM576 96v80h-77.26l-31.1 32h-104.2l57.82 45.64L424.9 240h41.87c8.486 0 16.62-3.373 22.63-9.373L512 208h64c17.67 0 32-14.33 32-32V96c0-17.67-14.33-32-32-32h-32V48C544 39.16 536.8 32 528 32S512 39.16 512 48V64H180.1l40.53 32H576zM633.9 483.4L25.92 3.422c-6.938-5.453-17-4.25-22.48 2.641c-5.469 6.938-4.281 17 2.641 22.48l608 480C617 510.9 620.5 512 623.1 512c4.734 0 9.422-2.094 12.58-6.078C642 498.1 640.8 488.9 633.9 483.4z"],
    "gun-squirt": [576, 512, [], "e19d", "M544 112h-18.26C518.6 84.45 493.8 64 464 64H128V48C128 39.16 120.8 32 112 32S96 39.16 96 48V64C42.98 64 0 106.1 0 160c0 47.94 35.24 87.33 81.16 94.5l-47.91 184.7C27.41 459.6 42.76 480 64.02 480h103.8c14.29 0 26.84-9.469 30.77-23.21L227.1 352H288v16c0 8.836 7.164 16 16 16s16-7.164 16-16v-64C320 295.2 312.8 288 304 288S288 295.2 288 304V320H235.8l17.4-64H464c29.79 0 54.6-20.45 61.74-48H544c17.67 0 32-14.33 32-32v-32C576 126.3 561.7 112 544 112zM167.9 448L64.22 447.2L113.8 256h106.2L167.9 448zM544 176h-43.03l-6.211 23.98C491.1 214.1 478.4 224 464 224H96C60.71 224 32 195.3 32 160s28.71-64 64-64h368c14.45 0 27.1 9.879 30.76 24.02L500.1 144H544V176zM448 144H96C87.16 144 80 151.2 80 160S87.16 176 96 176h352c8.844 0 16-7.156 16-16S456.8 144 448 144z"],
    "h": [384, 512, [104], "48", "M384 48v416c0 8.844-7.156 16-16 16S352 472.8 352 464V256H32v208C32 472.8 24.84 480 16 480S0 472.8 0 464v-416C0 39.16 7.156 32 16 32S32 39.16 32 48V224h320V48C352 39.16 359.2 32 368 32S384 39.16 384 48z"],
    "h1": [576, 512, [], "f313", "M560 416h-64V80c0-5.531-2.875-10.69-7.594-13.62c-4.734-2.906-10.61-3.156-15.56-.6875l-64 32c-7.906 3.969-11.11 13.56-7.156 21.47c3.969 7.875 13.55 11.12 21.47 7.156L464 105.9V416h-64c-8.844 0-16 7.156-16 16s7.156 16 16 16h160c8.844 0 16-7.156 16-16S568.8 416 560 416zM304 64C295.2 64 288 71.16 288 80v160H32v-160C32 71.16 24.84 64 16 64S0 71.16 0 80v352C0 440.8 7.156 448 16 448S32 440.8 32 432v-160h256v160c0 8.844 7.156 16 16 16s16-7.156 16-16v-352C320 71.16 312.8 64 304 64z"],
    "h2": [640, 512, [], "f314", "M624 416h-198.1l152.4-136.2c50.47-43.69 56.56-120.7 13.59-171.6c-21.64-25.62-52.08-41.22-85.72-43.88c-33.77-2.5-66.36 8-91.83 30.03l-27.52 23.89c-6.688 5.781-7.359 15.73-1.594 22.42c5.797 6.688 15.89 7.406 22.58 1.625l27.45-23.75c18.98-16.38 43.31-24.06 68.39-22.31c25.05 1.969 47.7 13.56 63.77 32.59c32.28 38.25 27.86 93.91-10.25 126.9l-183.9 164.3c-4.953 4.438-6.656 11.44-4.297 17.66C371.4 443.9 377.4 448 384 448h240c8.844 0 16-7.156 16-16S632.8 416 624 416zM304 64C295.2 64 288 71.16 288 80v160H32v-160C32 71.16 24.84 64 16 64S0 71.16 0 80v352C0 440.8 7.156 448 16 448S32 440.8 32 432v-160h256v160C288 440.8 295.2 448 304 448s16-7.156 16-16v-352C320 71.16 312.8 64 304 64z"],
    "h3": [640, 512, [], "f315", "M531.9 231.1h-62.84l146.5-139.5c4.734-4.529 6.234-11.46 3.812-17.52C616.9 67.97 611.1 64 604.5 64H384c-8.844 0-16 7.152-16 15.99s7.156 15.99 16 15.99h180.5l-146.5 139.5c-4.734 4.529-6.234 11.46-3.812 17.52c2.438 6.09 8.312 10.06 14.86 10.06h102.8C573.9 263.1 608 297.4 608 339.5s-34.13 76.33-76.06 76.33h-82.92c-22.64 0-42.67-14.49-49.83-36.04c-2.781-8.37-11.84-12.93-20.23-10.12c-8.391 2.78-12.92 11.84-10.14 20.24c11.53 34.64 43.75 57.9 80.2 57.9h82.92C591.5 447.8 640 399.2 640 339.5C640 279.7 591.5 231.1 531.9 231.1zM304 64.22c-8.844 0-16 7.152-16 15.99v159.9H32V80.21c0-8.839-7.156-15.99-16-15.99S0 71.37 0 80.21v351.8C0 440.8 7.156 448 16 448S32 440.8 32 432V272.1h256v159.9C288 440.8 295.2 448 304 448s16-7.152 16-15.99V80.21C320 71.37 312.8 64.22 304 64.22z"],
    "h4": [640, 512, [], "f86a", "M624 64.22c-8.844 0-16 7.152-16 15.99v187.7h-194.1l33.86-184.8c1.594-8.683-4.156-17.02-12.86-18.61c-8.641-1.374-17.03 4.185-18.61 12.87l-37.33 203.7c-.8594 4.654 .4062 9.463 3.438 13.12c3.047 3.654 7.547 5.747 12.3 5.747H608v132.1C608 440.8 615.2 448 624 448s16-7.152 16-15.99V80.21C640 71.37 632.8 64.22 624 64.22zM304 64C295.2 64 288 71.15 288 79.99v159.9H32V79.99C32 71.15 24.84 64 16 64S0 71.15 0 79.99V431.8c0 8.839 7.156 15.99 16 15.99S32 440.6 32 431.8V271.9h256v159.9c0 8.839 7.156 15.99 16 15.99s16-7.152 16-15.99V79.99C320 71.15 312.8 64 304 64z"],
    "h5": [640, 512, [], "e412", "M32 240H288V80C288 71.16 295.2 64 304 64C312.8 64 320 71.16 320 80V432C320 440.8 312.8 448 304 448C295.2 448 288 440.8 288 432V272H32V432C32 440.8 24.84 448 16 448C7.164 448 0 440.8 0 432V80C0 71.16 7.164 64 16 64C24.84 64 32 71.16 32 80V240zM576 64C584.8 64 592 71.16 592 80C592 88.84 584.8 96 576 96H445.1L419.5 224H528C589.9 224 640 274.1 640 336C640 397.9 589.9 448 528 448H456.4C425.4 448 397.9 428.2 388.1 398.8L384.8 389.1C382 380.7 386.6 371.6 394.9 368.8C403.3 366 412.4 370.6 415.2 378.9L418.4 388.6C423.9 404.1 439.1 416 456.4 416H528C572.2 416 608 380.2 608 336C608 291.8 572.2 256 528 256H400C395.2 256 390.7 253.9 387.6 250.1C384.6 246.4 383.4 241.6 384.3 236.9L416.3 76.86C417.8 69.38 424.4 64 432 64L576 64z"],
    "h6": [640, 512, [], "e413", "M32 240H288V80C288 71.16 295.2 64 304 64C312.8 64 320 71.16 320 80V432C320 440.8 312.8 448 304 448C295.2 448 288 440.8 288 432V272H32V432C32 440.8 24.84 448 16 448C7.164 448 0 440.8 0 432V80C0 71.16 7.164 64 16 64C24.84 64 32 71.16 32 80V240zM505.4 67.06C512.6 72.26 514.1 82.27 508.9 89.41L452.8 166.6C466.4 162.3 480.1 160 496 160C575.5 160 640 224.5 640 304C640 383.5 575.5 448 496 448C416.5 448 352 383.5 352 304C352 269.4 362.1 235.7 383.3 207.8L483.1 70.59C488.3 63.44 498.3 61.86 505.4 67.06H505.4zM608 304C608 242.1 557.9 192 496 192C434.1 192 384 242.1 384 304C384 365.9 434.1 416 496 416C557.9 416 608 365.9 608 304z"],
    "hammer": [576, 512, [128296], "f6e3", "M292.3 261.1L99.41 468.4c-14.91 14.94-40.97 14.94-55.88 0c-15.41-15.41-15.41-40.47-.4219-55.47l207.8-193.3C257.3 213.7 257.7 203.6 251.7 197.1C245.6 190.6 235.6 190.3 229.1 196.3l-208.2 193.7c-27.88 27.88-27.73 73.13 .1486 101C34.56 504.4 52.36 512 71.47 512s37.07-7.438 50.97-21.34l193.3-207.8c6.016-6.469 5.657-16.59-.8282-22.62C308.4 254.3 298.3 254.7 292.3 261.1zM571.3 196.7c-6.251-6.25-16.38-6.25-22.63 0l-5.036 5.035l-46.72-43.91c2.063-24.25-6.485-48.19-23.74-65.44l-42.02-42C398.7 17.88 355.5 0 309.5 0C263.6 0 220.4 17.91 187.9 50.38C181 57.3 174.6 61.85 176.2 71.53c.8282 5.062 4.047 9.438 8.641 11.75l80.29 40.13v2.938c0 21.81 8.86 43.19 24.28 58.59l45.64 45.63C352.4 248 376.8 256.7 401.3 254.3l47.14 42.71l-11.73 11.73c-6.25 6.25-6.25 16.38 0 22.62C439.8 334.4 443.9 336 447.1 336s8.188-1.562 11.31-4.688l112-112C577.6 213.1 577.6 202.9 571.3 196.7zM471.1 274.3L417.2 225.5C413.4 222 408.2 220.6 403.3 221.6c-16.56 3.281-33.78-1.875-45.6-13.69l-45.64-45.63c-9.47-9.469-14.91-22.56-14.91-35.97V113.5c0-6.062-3.422-11.59-8.844-14.31L219.5 64.81C244.6 43.56 276.2 32 309.5 32c37.41 0 72.57 14.56 99.01 41l42.02 42c11.84 11.88 16.97 28.97 13.69 45.75c-1.063 5.375 .7344 10.94 4.75 14.72l52.01 48.88L471.1 274.3z"],
    "hammer-crash": [640, 512, [], "e414", "M66.73 151.8l222.7 128.6c22.98 13.25 52.32 5.408 65.57-17.57l48-83.13c13.25-22.95 5.408-52.32-17.57-65.57l-55.42-32l-83.14-48c-1.982-1.152-4-2.4-6.336-3.871L238.9 29.24C235.1 27.41 232.6 25.33 229.1 23.48C222.1 19.73 213.1 15.99 202.6 15.99H115.3c-17.79 0-34.11 9.824-42.43 25.54L48.33 87.8C36.24 110.6 44.36 138.9 66.73 151.8zM76.59 102.8L101.1 56.5c2.783-5.248 8.223-8.512 14.14-8.512h87.3c2.881 0 6.465 1.057 11.49 3.713c2.463 1.312 4.992 2.879 7.84 4.639l1.408 .8965c2.367 1.473 4.992 3.137 7.551 4.609l83.14 48l55.42 32c7.648 4.416 10.27 14.21 5.855 21.86l-48 83.13C322.9 254.5 313.1 257.1 305.4 252.7L82.73 124.1C75.28 119.8 72.56 110.4 76.59 102.8zM215.1 266.1C208.3 261.7 198.5 264.4 194.1 272l-108.8 189.7c-6.943 12.1-22.46 16.19-34.46 9.057c-11.74-6.943-15.74-22.05-8.961-33.92l107.1-188.1c4.385-7.68 1.729-17.44-5.953-21.82C136.3 221.7 126.5 224.4 122.1 232.1l-107.1 188.1c-15.46 27.01-6.367 61.44 20.42 77.34c27.36 16.22 62.72 6.912 78.56-20.71l108.8-189.7C226.3 280.3 223.6 270.5 215.1 266.1zM630.1 209.6l-83.3-40.13l30.53-87.26c2.049-5.793 .5762-12.26-3.775-16.61c-4.352-4.352-10.82-5.822-16.61-3.775l-87.26 30.53l-40.13-83.29c-3.809-7.969-13.38-11.3-21.34-7.457c-7.969 3.809-11.3 13.38-7.457 21.35l46.3 96.16c3.553 7.328 12.03 10.85 19.71 8.16l69.41-24.29l-24.29 69.41c-2.688 7.68 .832 16.16 8.16 19.71l66.24 31.9l-66.24 31.9c-7.328 3.553-10.85 12.03-8.16 19.71l24.29 69.41l-69.41-24.29c-7.682-2.688-16.16 .832-19.71 8.16l-31.9 66.24l-31.9-66.24c-3.551-7.328-12.03-10.85-19.71-8.16l-100.7 35.23c-8.352 2.912-12.74 12.06-9.824 20.38c2.912 8.354 12.03 12.74 20.38 9.824l87.26-30.53l40.13 83.3c2.656 5.535 8.258 9.055 14.4 9.055c6.145 0 11.74-3.52 14.4-9.055l40.13-83.3l87.26 30.53c5.791 2.049 12.26 .5762 16.61-3.775s5.824-10.82 3.775-16.61l-30.53-87.26l83.3-40.13c5.535-2.656 9.055-8.256 9.055-14.4C640 217.8 636.5 212.2 630.1 209.6z"],
    "hammer-war": [384, 512, [], "f6e4", "M352.1 32.02c-1.75 0-3.612 .1068-5.362 .4818L208 55.59V16c0-8.844-7.156-16-15.1-16S176 7.156 176 16v39.59L37.25 32.5C35.5 32.13 33.64 32.02 31.89 32.02C14.64 32.02 .0001 46 .0001 64v192c0 18 14.6 31.98 31.97 31.98c1.75 0 3.529-.1068 5.279-.4818l154.8-25.75l154.8 25.75c1.75 .375 3.445 .4818 5.32 .4818c17.25 0 31.93-13.98 31.93-31.98V64C384 46 369.4 32.02 352.1 32.02zM352 256l-160-26.62L32 256V64l160 26.62L352 64V256zM192 288C183.2 288 176 295.2 176 304l.0002 192c0 8.844 7.156 16 15.1 16s16-7.156 16-16L208 304C208 295.2 200.8 288 192 288z"],
    "hamsa": [512, 512, [], "f665", "M256 328c-13.25 0-24 10.75-24 24s10.75 24 24 24s24-10.75 24-24S269.2 328 256 328zM452 224H416V96c0-35.25-28.73-64-63.98-64c-13.12 0-25.39 4-35.64 10.88C307.6 17.88 283.9 0 256 0S204.4 17.88 195.6 42.88C185.1 35.75 172.6 32 160 32C124.8 32 96 60.75 96 96v128H60C19 224 0 261.2 0 288c0 15.12 5 30.12 14.75 42l89.87 110.1C141.9 485.8 197.1 512 256 512s114.1-26.25 151.4-71.88l89.88-110C507 318.1 512 303.2 512 288C512 261.2 492.8 224 452 224zM472.4 309.9l-87.38 107c-24.75 30.37-58.63 52.63-97 60c-60.88 11.75-120.8-10.63-158.6-57l-89.75-110C32 300.5 29.1 287 34.38 275.2C38.75 263.5 48.88 256 60 256H128L127.1 98c0-15.98 10.82-30.89 26.58-33.51C174.5 61.16 192 76.65 192 96l.012 112.1C192 216.9 199.2 224 207.1 224s16.05-7.136 16.05-15.94L223.1 66c0-15.98 10.82-30.89 26.58-33.51C270.5 29.16 288 44.65 288 64l.019 144.1C288 216.9 295.2 224 303.1 224s15.95-7.224 15.95-16.02l.0768-109.1c0-15.98 10.82-30.89 26.58-33.51C366.5 61.16 384 76.65 384 96v160h68c11.12 0 21.25 7.5 25.62 19.25C482.1 287 480 300.5 472.4 309.9zM256 272c-18.75 0-58 1.875-112.1 69.88c-4.625 5.75-4.625 14.5 0 20.25C198.1 430.2 237.2 432 256 432s57.1-1.875 112.1-69.88c4.625-5.75 4.625-14.5 0-20.25C313.9 273.8 274.8 272 256 272zM256 400c-44.12 0-80-48-80-48S211.9 304 256 304s80 48 80 48S300.1 400 256 400z"],
    "hand": [512, 512, [129306, 9995, "hand-paper"], "f256", "M423.1 79.3c-8.625 0-16.8 1.953-24.1 5.453C398.2 55.38 373.8 32 343.1 32c-9.658 0-18.77 2.469-26.71 6.781C309.1 16.3 288.1 0 264.1 0C239.1 0 218.1 16.55 210.9 39.17C202.9 34.74 193.8 32 184 32C153.1 32 128 57.13 128 88v219.9l-30.24-39c-10.27-13.43-26.38-21.52-43.31-21.52C24.89 247.4 0 270.4 0 301.8c0 12.14 3.856 24.46 11.72 34.79l86.36 113.5C125.7 488.9 170.6 512 218.2 512h101.8C408.2 512 480 440.1 480 351.8v-216.4C480 104.5 454.9 79.3 423.1 79.3zM447.1 351.8C447.1 422.5 390.6 480 319.1 480H218.2c-37.26 0-72.42-18.12-94.36-48.89L37.19 317.2c-3.536-4.652-5.278-10.15-5.278-15.5c0-13.31 10.56-22.41 22.26-22.41c7.047 0 13.82 3.304 18.13 8.953l34.94 45.97c6.248 8.222 15.89 12.87 25.56 12.87c4.032 0 27.2-2.604 27.2-26.13c0-.3269-.0056-.6556-.0168-.9861V88c0-13.23 10.77-24 23.1-24s23.1 10.77 23.1 24L208.1 240c0 8.844 7.049 16 15.89 16c8.844 0 16.11-7.156 16.11-16L239.1 87.85c0-.1055 0 .1055 0 0L239.1 56c0-13.23 10.77-24 24-24c13.24 0 24 10.77 24 24l.0736 184c0 8.844 7.103 16 15.95 16c8.846 0 16.05-7.156 16.05-16l-.0692-152c0-13.23 10.77-24 24-24c13.24 0 24 10.77 24 24v151.6c0 8.844 7.156 16 16 16c8.844 0 16-7.156 16-16V135.4c0-13.27 10.77-24.06 24-24.06s24 10.8 24 24.06V351.8z"],
    "hand-back-fist": [448, 512, ["hand-rock"], "f255", "M388.6 86.86c-4.469 0-8.906 .5313-13.25 1.547c-10.28-18.39-29.88-30.5-51.88-30.5c-9 0-17.69 2.031-25.56 5.781c-9.406-20.48-30.09-34.73-54.06-34.73c-6.781 0-13.41 1.172-19.69 3.406C214.2 13.11 194.2 0 171.4 0C138.7 0 112 26.66 112 59.42v115.8c0 8.844 7.156 16 16 16s16-7.156 16-16V59.42C144 44.3 156.3 32 171.4 32c14.25 0 26.16 11.23 27.16 25.58c.5893 8.251 7.414 14.89 15.98 14.89c11.85 0 12.58-11.51 29.24-11.51c15.12 0 27.44 12.3 27.44 27.42V93.39c0 5.138 3.986 16.01 15.99 16.01c15.99 0 13.5-19.49 36.2-19.49c13.16 0 24.47 9.406 26.91 22.36c1.07 5.713 6.31 13.04 15.75 13.04c8.638 0 10.03-6.205 21.91-6.205C402.5 119.1 416 131 416 146.3v108.9c0 41.84-29.41 76.48-56.91 94.94C354.7 353.1 352 358.1 352 363.4V496c0 8.844 7.156 16 16 16s16-7.156 16-16v-124.3c32.13-24.09 64-65.77 64-116.5V146.3C448 113.5 421.3 86.86 388.6 86.86zM96.97 321.2C76.31 306.2 64 281.1 64 256.5V192.6c0-8.641 3.875-16.7 10.62-22.11l15.37-12.31C93.95 155 95.1 150.4 95.1 145.7c0-8.427-6.726-15.99-15.99-15.99c-3.528 0-7.077 1.155-10.02 3.516l-15.37 12.31C40.25 157 32 174.2 32 192.6v63.89c0 35.66 17.22 69.52 47.31 91.38L128 377.1V496C128 504.8 135.2 512 144 512S160 504.8 160 496v-128c0-5.625-2.938-10.83-7.781-13.72L96.97 321.2z"],
    "hand-back-point-down": [448, 512, [], "e19e", "M387.7 287.1h-7.344c-10.69 18.33-30.25 32-51.72 32h-14.78c-5.75 0-11.38 .1562-16.88-1.531c-11.12 11.16-26.16 17.53-42.19 17.53h-17.25c-4.594 0-9.125-.5469-13.53-1.594v119.1c0 26.72-18.06 51.04-44.24 56.4C143.8 518.2 112 490.7 112 455.1L111.1 176c0-8.836 7.17-16 16.01-16s16 7.164 16 16v279.1c0 13.25 10.75 24 24 24c13.26 0 24-10.75 24-24V308.3C192 299.4 199.3 292.3 207.1 292.3c11.93 0 12.74 11.69 29.56 11.69h17.25c23.85 0 20.7-21.01 37.35-21.01c8.115 0 10.72 5.012 21.72 5.012h14.78c28.82 0 21.42-32.26 42.06-32.26c.1367 0 17 .2559 17 .2559C403.3 255.1 416 242.1 416 226.1v-91c0-57.34-45.81-103.1-102.2-103.1H196.2c-16.94 0-33.75 4.344-48.66 12.55L86.63 78.12C72.66 85.81 64 100.6 64 116.8v50.33c0 13.48 5.938 26.03 16.25 34.44L96 213.1v40.67L60.28 226.6C42.22 211.9 32 190.3 32 167.2V116.8c0-27.86 15-53.44 39.19-66.75l60.88-33.58c19.62-10.81 41.78-16.52 64.09-16.52l117.7 0c73.97 0 134.2 61.02 134.2 136v91C448 260.6 420.9 287.1 387.7 287.1z"],
    "hand-back-point-left": [512, 512, [], "e19f", "M224 419.7v-7.344c-18.33-10.69-32-30.25-32-51.72v-14.78c0-5.75-.1562-11.38 1.531-16.88C182.4 317.8 176 302.8 176 286.8V269.5C176 264.9 176.5 260.4 177.6 256H57.6c-26.72 0-51.04-18.06-56.4-44.24C-6.162 175.8 21.28 144 56 144l279.1-.0059C344.8 143.1 352 151.2 352 160s-7.164 16-16 16L56 176C42.75 176 32 186.7 32 200C32 213.3 42.75 224 56 224h147.7c8.91 0 16.02 7.309 16.02 15.97C219.7 251.9 208 252.7 208 269.5v17.25c0 23.85 21.01 20.7 21.01 37.35C229 332.2 224 334.9 224 345.8v14.78c0 28.82 32.26 21.42 32.26 42.06c0 .1367-.2559 17-.2559 17C256 435.3 269 448 285 448H376c57.34 0 104-45.81 104-102.2V228.2c0-16.94-4.344-33.75-12.55-48.66l-33.58-60.88C426.2 104.7 411.4 96 395.2 96h-50.33c-13.48 0-26.03 5.938-34.44 16.25L298 128h-40.67l28.05-35.72C300.1 74.22 321.7 64 344.8 64h50.33c27.86 0 53.44 15 66.75 39.19l33.58 60.88C506.3 183.7 512 205.8 512 228.2v117.7C512 419.8 450.1 480 376 480h-91C251.4 480 224 452.9 224 419.7z"],
    "hand-back-point-ribbon": [448, 512, [], "e1a0", "M387.7 224h-7.344c-10.69-18.33-30.25-32-51.72-32h-14.78c-5.75 0-11.38-.1562-16.88 1.531C285.8 182.4 270.8 176 254.8 176h-17.25c-4.594 0-9.125 .5469-13.53 1.594V57.6c0-26.72-18.06-51.04-44.24-56.4C143.8-6.162 112 21.28 112 56V64H48C41.85 64 36.25 67.53 33.6 73.06C30.91 78.61 31.66 85.19 35.5 90l24 30l-24 30C31.66 154.8 30.91 161.4 33.6 166.9C36.25 172.5 41.85 176 48 176h63.1l-.006 159.1C111.1 344.8 119.2 352 128 352s16-7.164 16-16l.001-160H192l.0013 27.67c0 8.91 7.309 16.02 15.97 16.02C219.9 219.7 220.7 208 237.5 208h17.25c23.85 0 20.7 21.01 37.35 21.01C300.2 229 302.9 224 313.8 224h14.78c28.82 0 21.42 32.26 42.06 32.26C370.8 256.3 387.7 256 387.7 256C403.3 256 416 269 416 285V376c0 57.34-45.81 104-102.2 104H196.2c-16.94 0-33.75-4.344-48.66-12.55l-60.88-33.58c-13.97-7.688-22.62-22.52-22.62-38.72v-50.33c0-13.48 5.938-26.03 16.25-34.44L96 298V257.4L60.29 285.4c-18.06 14.67-28.28 36.27-28.28 59.42v50.33c0 27.86 15 53.44 39.19 66.75l60.87 33.58C151.7 506.3 173.8 512 196.2 512h117.7C387.8 512 448 450.1 448 376V285C448 251.4 420.9 224 387.7 224zM192 144H81.28L92.5 130c4.656-5.844 4.656-14.16 0-20L81.28 96h110.7L192 144zM192 64h-48V56c0-13.25 10.75-24 24-24c13.26 0 24 10.75 24 24V64z"],
    "hand-back-point-right": [512, 512, [], "e1a1", "M226.1 480H135.1c-74.98 0-136-60.19-136-134.2V228.2c0-22.31 5.703-44.47 16.52-64.09l33.58-60.88C63.41 79 88.98 64 116.8 64h50.33c23.16 0 44.75 10.22 59.42 28.28L254.6 128H213.1L201.6 112.3C193.2 101.9 180.7 96 167.2 96H116.8C100.6 96 85.81 104.7 78.12 118.6L44.55 179.5C36.34 194.4 31.1 211.2 31.1 228.2v117.7C31.1 402.2 78.66 448 135.1 448h90.1c15.98 0 29-12.69 29-28.31c0 0-.2559-16.87-.2559-17c0-20.64 32.26-13.24 32.26-42.06v-14.78c0-10.99-5.012-13.6-5.012-21.72c0-16.65 21.01-13.5 21.01-37.35V269.5c0-16.82-11.69-17.63-11.69-29.56C292.3 231.3 299.4 224 308.3 224h147.7c13.25 0 24-10.74 24-24c0-13.25-10.75-24-24-24L175.1 175.1c-8.836 0-16-7.164-16-16s7.167-16.01 16-16.01L455.1 144c34.72 0 62.16 31.76 54.8 67.76C505.4 237.9 481.1 256 454.4 256h-119.1c1.047 4.406 1.594 8.938 1.594 13.53v17.25c0 16.03-6.375 31.06-17.53 42.19c1.688 5.5 1.531 11.12 1.531 16.88v14.78c0 21.47-13.67 41.03-32 51.72v7.344C287.1 452.9 260.6 480 226.1 480z"],
    "hand-back-point-up": [448, 512, [], "e1a2", "M448 285V376c0 74.98-60.19 136-134.2 136H196.2c-22.31 0-44.47-5.703-64.09-16.52l-60.88-33.58C47 448.6 32 423 32 395.2v-50.33c0-23.16 10.22-44.75 28.28-59.42L96 257.4v40.67L80.25 310.4C69.94 318.8 64 331.3 64 344.8v50.33c0 16.2 8.656 31.03 22.62 38.72l60.88 33.58C162.4 475.7 179.2 480 196.2 480h117.7C370.2 480 416 433.3 416 376V285C416 269 403.3 256 387.7 256c0 0-16.87 .2559-17 .2559C350 256.3 357.4 224 328.6 224h-14.78c-10.99 0-13.6 5.012-21.72 5.012C275.5 229 278.6 208 254.8 208h-17.25c-16.82 0-17.63 11.69-29.56 11.69C199.3 219.7 192 212.6 192 203.7V56C192 42.75 181.3 32 168 32C154.7 32 144 42.75 144 56L143.1 336c0 8.836-7.164 16-16 16s-16.01-7.167-16.01-16L112 56c0-34.72 31.76-62.16 67.76-54.8C205.9 6.561 224 30.88 224 57.6v119.1C228.4 176.5 232.9 176 237.5 176h17.25c16.03 0 31.06 6.375 42.19 17.53C302.5 191.8 308.1 192 313.8 192h14.78c21.47 0 41.03 13.67 51.72 32h7.344C420.9 224 448 251.4 448 285z"],
    "hand-dots": [512, 512, ["allergies"], "f461", "M271.9 384c-8.75 0-15.93 7.25-15.93 16s7.25 16 16 16c8.75 0 15.93-7.25 15.93-16S280.6 384 271.9 384zM271.9 320c-8.75 0-16 7.25-16 16s7.185 16 15.93 16c8.75 0 15.1-7.25 15.1-16S280.7 320 271.9 320zM207.9 288C199.1 288 191.9 295.3 191.9 304S199.1 320 207.9 320c8.75 0 15.1-7.25 15.1-16S216.6 288 207.9 288zM207.9 416c-8.75 0-15.1 7.25-15.1 16S199.1 448 207.9 448c8.75 0 15.1-7.25 15.1-16S216.6 416 207.9 416zM367.9 352c-8.75 0-15.1 7.25-15.1 16s7.25 16 15.1 16s15.1-7.25 15.1-16S376.6 352 367.9 352zM399.9 288c-8.75 0-16 7.25-16 16s7.25 16 16 16s15.1-7.25 15.1-16S408.6 288 399.9 288zM335.9 416c-8.75 0-15.1 7.25-15.1 16s7.25 16 15.1 16c8.75 0 16-7.25 16-16S344.6 416 335.9 416zM335.9 320c8.75 0 16-7.25 16-16s-7.25-16-16-16c-8.75 0-15.1 7.25-15.1 16S327.1 320 335.9 320zM423.1 79.3c-8.625 0-16.8 1.953-24.1 5.453C398.2 55.38 373.8 32 343.1 32c-9.658 0-18.77 2.469-26.71 6.781C309.1 16.3 288.1 0 264.1 0C239.1 0 218.1 16.55 210.9 39.17C202.9 34.74 193.8 32 184 32C153.1 32 128 57.13 128 88v219.9l-30.24-39c-10.27-13.43-26.38-21.52-43.31-21.52C24.89 247.4 0 270.4 0 301.8c0 12.14 3.856 24.46 11.72 34.79l86.36 113.5C125.7 488.9 170.6 512 218.2 512h101.8C408.2 512 480 440.1 480 351.8v-216.4C480 104.5 454.9 79.3 423.1 79.3zM447.1 351.8C447.1 422.5 390.6 480 319.1 480H218.2c-37.26 0-72.42-18.12-94.36-48.89L37.19 317.2c-3.536-4.652-5.278-10.15-5.278-15.5c0-13.31 10.56-22.41 22.26-22.41c7.047 0 13.82 3.304 18.13 8.953l34.94 45.97c6.248 8.222 15.89 12.87 25.56 12.87c4.032 0 27.2-2.604 27.2-26.13c0-.3269-.0056-.6556-.0168-.9861V88c0-13.23 10.77-24 23.1-24s23.1 10.77 23.1 24L208.1 240c0 8.844 7.049 16 15.89 16c8.844 0 16.11-7.156 16.11-16L239.1 87.85c0-.1055 0 .1055 0 0L239.1 56c0-13.23 10.77-24 24-24c13.24 0 24 10.77 24 24l.0736 184c0 8.844 7.103 16 15.95 16c8.846 0 16.06-7.156 16.06-16l-.0692-152c0-13.23 10.77-24 24-24c13.24 0 24 10.77 24 24v151.6c0 8.844 7.156 16 16 16c8.844 0 16-7.156 16-16V135.4c0-13.27 10.77-24.06 24-24.06s24 10.8 24 24.06V351.8z"],
    "hand-fingers-crossed": [512, 512, [], "e1a3", "M392 176.4c-9.785 0-18.85 2.741-26.87 7.168c-7.195-22.6-28.16-39.13-53.13-39.13c-30.87 0-55.1 25.1-55.1 55.94v48.94C246.4 243.7 235.4 240.6 223.9 240.6c-2.685 0-5.396 .167-8.121 .5077l67.92-163.8c2.863-6.916 4.301-14.18 4.301-21.44C288 26.76 264.9 0 232.1 0C210.1 0 189.2 12.1 180.3 34.49L108.5 206.5L49.87 65.12C48.63 62.15 48.01 59.04 48.01 55.93c0-12.62 10.04-23.98 24.02-23.98c9.427 0 18.32 5.607 22.17 14.8l15.47 37.3c2.567 6.141 8.508 9.897 14.77 9.897c7.002 0 16.01-5.469 16.01-16.02c0-2.037-.3917-4.109-1.219-6.11L123.8 34.51C114.8 13.02 93.9 .0197 71.9 .0197C42.47 .0197 16 23.29 16 55.89c0 7.274 1.437 14.55 4.304 21.47l70.81 170.8l-8.38 20.09c-.5117 1.233-.5508 2.505-.7402 3.769C61.66 282.9 48.02 304.3 48.02 328.2v63.93c0 19.87 8.1 38.26 24.72 50.46l46.03 35.77C146.7 500.1 181.6 512 216.1 512h79.06C379.8 512 448 443.9 448 360.2V232.3C448 201.5 422.9 176.4 392 176.4zM392 208.3c13.22 0 23.1 10.75 23.1 23.97v95.9c0 13.22-10.78 23.97-23.1 23.97c-13.22 0-24-10.91-24-24.13l.0022-95.75C368 219.1 378.8 208.3 392 208.3zM288 200.3c0-13.22 10.78-23.97 23.1-23.97c13.22 0 23.1 10.75 23.1 23.97v95.9c0 13.22-10.78 23.97-23.1 23.97c-13.22 0-23.1-10.75-23.1-23.97V200.3zM209.8 46.78c3.847-9.243 12.81-14.8 22.23-14.8c12.71 0 23.96 10.07 23.96 23.96c0 3.108-.6172 6.218-1.851 9.184L178.1 248.7L120.4 261L209.8 46.78zM296 480H216.1c-28.28 0-56.18-9.552-78.56-26.91l-46.03-35.76c-7.718-6.009-12.34-15.45-12.34-25.24v-63.93c0-14.98 10.62-28.13 25.28-31.26l111.9-23.96C219.4 272.5 221.6 272.3 223.8 272.3c15.84 0 32.22 12.51 32.22 31.96c0 14.73-10.29 28.01-25.28 31.23l-74.06 15.84c-7.527 1.602-12.67 8.232-12.67 15.61c0 9.54 7.974 16.01 15.98 16.01c1.116 0 2.246-.1204 3.374-.3709l74.06-15.84c16.94-3.629 30.8-13.72 39.72-27.08c9.599 7.709 21.62 12.52 34.87 12.52c9.785 0 18.85-2.741 26.87-7.168c7.195 22.6 28.16 39.13 53.13 39.13c7.822 0 15.26-1.635 22.03-4.542C404.7 436.4 355.5 480 296 480z"],
    "hand-fist": [448, 512, [9994, "fist-raised"], "f6de", "M360 64c-9.785 0-18.85 2.746-26.87 7.176C325.9 48.55 304.1 32 280 32c-9.785 0-18.85 2.746-26.87 7.176C245.9 16.55 224.1 0 200 0C175 0 154.1 16.55 146.9 39.17C138.9 34.74 129.8 32 120 32C89.12 32 64 57.12 64 88v104.4C44.69 207 32 229.1 32 256v64.42c0 24.83 11.25 47.81 30.88 63.09L96 409.3V496C96 504.8 103.2 512 112 512S128 504.8 128 496v-95.28c0-10.14-8.336-14.18-11.84-16.33L82.5 358.3C70.75 349.1 64 335.3 64 320.4V256c0-26.47 21.53-48 48-48H192c17.66 0 32 14.36 32 32s-14.34 32-32 32H144C135.2 272 128 279.2 128 288s7.156 16 16 16H192c31.92 0 58.24-23.57 63.01-54.19C262.6 253.6 270.1 256 280 256c15.68 0 29.83-6.514 40-16.93C330.2 249.5 344.3 256 360 256c8.621 0 16.7-2.121 24-5.615V288c0 41.23-21.12 79.13-56.5 101.4C322.8 392.3 320 397.4 320 402.9V496c0 8.844 7.156 16 16 16s16-7.156 16-16v-84.56C392.3 382.8 416 337.3 416 288V120C416 89.12 390.9 64 360 64zM96 177.6V88C96 74.75 106.7 64 120 64C133.3 64 144 74.75 144 88V176h-32C106.5 176 101.2 176.6 96 177.6zM192 176H176V56C176 42.75 186.7 32 200 32C213.3 32 224 42.75 224 56v128.9C214.5 179.4 203.7 176 192 176zM304 200C304 213.3 293.3 224 280 224C266.7 224 256 213.3 256 200v-112C256 74.75 266.7 64 280 64c13.26 0 24 10.75 24 24V200zM360 224c-13.25 0-24-10.75-24-24v-80C336 106.7 346.7 96 360 96C373.3 96 384 106.7 384 120v80C384 213.3 373.3 224 360 224z"],
    "hand-heart": [512, 512, [], "f4bc", "M325.5 288c-12.84 0-25.45 4.531-37.61 13.47C275.7 292.5 263.1 288 250.2 288c-27.35 0-55.17 22.91-55.17 55.82c0 14.9 6.031 29.28 16.77 39.83l57.97 56.84c4.969 5 11.55 7.484 18.13 7.484c6.516 0 13.01-2.453 18.03-7.328l58.19-57.09c10.59-10.51 16.51-24.81 16.51-39.62C380.7 310.6 352.6 288 325.5 288zM348.7 343.7c0 6.44-2.614 12.69-6.998 17.05l-53.7 52.69l-53.72-52.66c-4.438-4.382-7.143-10.72-7.143-17.25c0-13.35 11.61-23.55 22.95-23.55c6.725 0 15.64 3.114 26.57 13.89l11.23 11.06l11.23-11.06c10.92-10.77 19.84-13.89 26.57-13.89c7.304 0 12.02 3.674 13.9 5.2C345.9 330.4 348.7 337.2 348.7 343.7zM423.1 79.3c-8.625 0-16.8 1.953-24.1 5.453C398.2 55.38 373.8 32 343.1 32c-9.658 0-18.77 2.469-26.71 6.781C309.1 16.3 288.1 0 264.1 0C239.1 0 218.1 16.55 210.9 39.17C202.9 34.74 193.8 32 184 32C153.1 32 128 57.13 128 88v219.9l-30.24-39c-10.27-13.43-26.38-21.52-43.31-21.52C24.89 247.4 0 270.4 0 301.8c0 12.14 3.856 24.46 11.72 34.79l86.36 113.5C125.7 488.9 170.6 512 218.2 512h101.8C408.2 512 480 440.1 480 351.8v-216.4C480 104.5 454.9 79.3 423.1 79.3zM447.1 351.8C447.1 422.5 390.6 480 319.1 480H218.2c-37.26 0-72.42-18.12-94.36-48.89L37.19 317.2c-3.536-4.652-5.278-10.15-5.278-15.5c0-13.31 10.56-22.41 22.26-22.41c7.047 0 13.82 3.304 18.13 8.953l34.94 45.97c6.248 8.222 15.89 12.87 25.56 12.87c4.032 0 27.2-2.604 27.2-26.13c0-.3269-.0056-.6556-.0168-.9861V88c0-13.23 10.77-24 23.1-24s23.1 10.77 23.1 24L208.1 240c0 8.844 7.049 16 15.89 16c8.844 0 16.11-7.156 16.11-16L239.1 87.85c0-.1055 0 .1055 0 0L239.1 56c0-13.23 10.77-24 24-24c13.24 0 24 10.77 24 24l.0736 184c0 8.844 7.103 16 15.95 16c8.846 0 16.06-7.156 16.06-16l-.0692-152c0-13.23 10.77-24 24-24c13.24 0 24 10.77 24 24v151.6c0 8.844 7.156 16 16 16c8.844 0 16-7.156 16-16V135.4c0-13.27 10.77-24.06 24-24.06s24 10.8 24 24.06V351.8z"],
    "hand-holding": [576, 512, [], "f4bd", "M575.1 374.1c-.498 15.62-7.748 30.23-19.1 39.98l-100.9 80.7C441.9 506.1 425.5 512 408.5 512H15.1c-8.801 0-15.1-7.2-15.1-15.99S7.199 480 16 480h392.5c9.713 0 19.13-3.305 26.72-9.369l100.7-80.58c10.25-8.121 11-23.49 .875-32.61c-3.873-3.498-8.748-5.248-13.75-5.248c-5.125 0-10.38 1.875-14.62 5.248l-61.62 49.22c-7.625 5.998-17 9.246-26.62 9.246H239.1c-8.75 0-16-7.246-16-15.99c0-8.744 7.25-15.99 16-15.99h87.99c13.25 0 24-10.74 24-23.98s-10.75-23.99-24-23.99H181.2c-13.75 0-27.25 4.498-38.37 12.74l-46.86 35.29L15.1 383.1C7.199 383.1 0 376.8 0 367.1s7.199-15.99 16-15.99h69.25l38.5-28.73C140.2 310.7 160.5 304 181.2 304h144.4c28.12 0 53.75 19.74 57.75 47.72c1.75 11.49-.125 22.61-4.75 32.23h41.62c2.471 0 4.867-.8398 6.795-2.385l61.45-49.21c9.748-7.869 22.12-12.12 34.62-12.12c13.12 0 25.62 4.748 35.12 13.37C569.1 344.2 576.5 359.3 575.1 374.1z"],
    "hand-holding-box": [576, 512, [], "f47b", "M558.2 333.6c-9.5-8.619-22-13.37-35.12-13.37c-12.5 0-24.88 4.248-34.62 12.12l-61.45 49.21c-1.928 1.545-4.324 2.385-6.795 2.385h-41.62c4.625-9.619 6.5-20.74 4.75-32.23C379.4 323.7 353.7 304 325.6 304H181.2c-20.75 0-40.1 6.746-57.5 19.24l-38.5 28.73H16c-8.801 0-16 7.195-16 15.99S7.198 383.1 15.1 383.1l80.01 .0114l46.86-35.29c11.12-8.244 24.62-12.74 38.37-12.74h146.7c13.25 0 24 10.74 24 23.99s-10.75 23.98-24 23.98H239.1c-8.75 0-16 7.246-16 15.99c0 8.746 7.25 15.99 16 15.99h180.2c9.625 0 19-3.248 26.62-9.246l61.62-49.22c4.25-3.373 9.5-5.248 14.62-5.248c5 0 9.875 1.75 13.75 5.248c10.12 9.119 9.375 24.48-.875 32.61l-100.7 80.58c-7.584 6.064-17.01 9.369-26.72 9.369H16c-8.801 0-15.1 7.189-15.1 15.98S7.198 512 15.1 512h392.5c17 0 33.38-5.871 46.62-16.37l100.9-80.7c12.25-9.744 19.5-24.36 19.1-39.98C576.5 359.3 569.1 344.2 558.2 333.6zM160 256h255.1c35.35 0 63.1-28.65 63.1-64V64c0-35.35-28.65-64-63.1-64h-255.1C124.7 0 96.01 28.65 96.01 64v128C96.01 227.3 124.7 256 160 256zM240 32h96v70.25c-10.25-5.281-23.56-11.94-40.84-20.56c-4.5-2.25-9.812-2.25-14.31 0L240 102.1V32zM128 64c0-17.64 14.36-32 32-32h48v96c0 5.531 2.875 10.69 7.594 13.62C218.2 143.2 221.1 144 224 144c2.438 0 4.906-.5625 7.156-1.688L288 113.9c13.56 6.812 42.66 21.31 53 26.5c5.812 5.75 23.72 3.562 26.56-8.688c.75-3.219 1.312-5.562 .4375-8V32H416c17.64 0 32 14.36 32 32v128c0 17.64-14.36 32-32 32H160C142.4 224 128 209.6 128 192V64z"],
    "hand-holding-dollar": [576, 512, ["hand-holding-usd"], "f4c0", "M558.2 333.6c-9.5-8.619-22-13.37-35.12-13.37c-12.5 0-24.88 4.248-34.62 12.12l-61.45 49.21c-1.928 1.545-4.324 2.385-6.795 2.385h-41.62c4.625-9.619 6.5-20.74 4.75-32.23C379.4 323.7 353.7 304 325.6 304H181.2c-20.75 0-40.1 6.746-57.5 19.24l-38.5 28.73H16c-8.801 0-16 7.195-16 15.99S7.198 383.1 15.1 383.1l80.01 .0114l46.86-35.29c11.12-8.244 24.62-12.74 38.37-12.74h146.7c13.25 0 24 10.74 24 23.99s-10.75 23.98-24 23.98H239.1c-8.75 0-16 7.246-16 15.99c0 8.746 7.25 15.99 16 15.99h180.2c9.625 0 19-3.248 26.62-9.246l61.62-49.22c4.25-3.373 9.5-5.248 14.62-5.248c5 0 9.875 1.75 13.75 5.248c10.12 9.119 9.375 24.48-.875 32.61l-100.7 80.58c-7.584 6.064-17.01 9.369-26.72 9.369H16c-8.801 0-16 7.189-16 15.98S7.198 512 15.1 512h392.5c17 0 33.38-5.871 46.62-16.37l100.9-80.7c12.25-9.744 19.5-24.36 19.1-39.98C576.5 359.3 569.1 344.2 558.2 333.6zM275.1 190.8C268.2 189.7 262.6 188.1 237.1 179.5C228.8 176.6 219.7 181.2 216.8 189.6C214 197.9 218.5 207 226.9 209.8c29.34 9.971 36.58 11.45 45.09 12.67V240c0 8.844 7.175 16 16.02 16s15.98-7.156 15.98-16V223.2c29.72-3.51 50.59-19.29 55.03-43.72C367.5 133 322.1 120.7 292.1 112.5L284.9 110.5C250.8 100.1 246.2 94.38 248.5 82.23c3-16.64 28.03-20.52 51.47-17.05c6.562 .9687 14.53 3.047 25.06 6.516c8.375 2.766 17.47-1.812 20.19-10.2c2.781-8.391-1.781-17.44-10.19-20.2c-12.31-4.047-22.59-6.57-31-7.82V16c0-8.844-7.138-16-15.98-16S271.1 7.156 271.1 16v16.8C242.2 36.32 221.4 52.09 216.1 76.52C208.6 122.4 254.3 135.2 276.2 141.3L283.7 143.4c38.22 10.41 46.41 16.08 43.81 30.38C324.5 190.4 299.6 194.4 275.1 190.8z"],
    "hand-holding-droplet": [576, 512, ["hand-holding-water"], "f4c1", "M287.1 256c53 0 95.1-42.13 95.1-93.1c0-40-57.12-120.8-83.25-155.6C297.6 2.125 292.7 0 287.1 0S278.4 2.125 275.2 6.375C249.1 41.25 191.1 122 191.1 162C191.1 213.9 234.1 256 287.1 256zM288 43c44.13 61.38 64 103.5 64 119C352 196.3 323.3 224 288 224S224 196.3 224 162C224 146.5 243.9 104.4 288 43zM558.2 333.6c-9.5-8.619-22-13.37-35.12-13.37c-12.5 0-24.88 4.248-34.62 12.12l-61.45 49.21c-1.928 1.545-4.324 2.385-6.795 2.385h-41.62c4.625-9.619 6.5-20.74 4.75-32.23C379.4 323.7 353.7 304 325.6 304H181.2c-20.75 0-40.1 6.746-57.5 19.24l-38.5 28.73H16c-8.801 0-16 7.195-16 15.99S7.198 383.1 15.1 383.1l80.01-.0238l46.86-35.25c11.12-8.244 24.62-12.74 38.37-12.74h146.7c13.25 0 24 10.74 24 23.99s-10.75 23.98-24 23.98H239.1c-8.75 0-16 7.246-16 15.99c0 8.746 7.25 15.99 16 15.99h180.2c9.625 0 19-3.248 26.62-9.246l61.62-49.22c4.25-3.373 9.5-5.248 14.62-5.248c5 0 9.875 1.75 13.75 5.248c10.12 9.119 9.375 24.48-.875 32.61l-100.7 80.58c-7.584 6.064-17.01 9.369-26.72 9.369H16c-8.801 0-15.1 7.189-15.1 15.98S7.198 512 15.1 512h392.5c17 0 33.38-5.871 46.62-16.37l100.9-80.7c12.25-9.744 19.5-24.36 19.1-39.98C576.5 359.3 569.1 344.2 558.2 333.6z"],
    "hand-holding-hand": [512, 512, [], "e4f7", "M17.78 301.6C27.28 292.1 39.78 288.2 52.9 288.2C65.4 288.2 77.77 292.5 87.52 300.4L148.1 349.6C150.9 351.1 153.3 351.1 155.8 351.1H197.4C192.8 342.3 190.9 331.2 192.6 319.7C196.6 291.7 222.3 272 250.4 272H362.8C383.5 272 403.8 278.7 420.3 291.2L458.8 319.1H496C504.8 319.1 512 327.2 512 335.1C512 344.8 504.8 352 496 352L447.1 352L401.1 316.7C390 308.5 376.5 303.1 362.8 303.1H248C234.8 303.1 224 314.7 224 327.1C224 341.2 234.8 351.1 248 351.1H304C312.8 351.1 320 359.2 320 367.9C320 376.7 312.8 383.9 304 383.9H155.8C146.1 383.9 136.8 380.7 129.1 374.7L67.52 325.5C63.27 322.1 58.02 320.2 52.9 320.2C47.9 320.2 43.02 321.1 39.15 325.5C29.03 334.6 29.78 349.1 40.03 358.1L140.8 438.6C148.4 444.7 157.8 448 167.5 448H496C504.8 448 512 455.2 512 464C512 472.8 504.8 480 496 480H167.5C150.5 480 134.1 474.1 120.9 463.6L20.02 382.9C7.775 373.2 .5251 358.6 .0269 342.1C-.473 327.3 6.027 312.2 17.78 301.6H17.78zM430.2 210.4C420.7 219 408.2 223.8 395.1 223.8C382.6 223.8 370.2 219.5 360.5 211.6L299 162.4C297.1 160.9 294.7 160 292.2 160H282.6C287.2 169.7 289.1 180.8 287.4 192.3C283.4 220.3 257.7 240 229.6 240H117.2C96.49 240 76.24 233.3 59.74 220.8L21.25 192H16C7.2 192 .0003 184.8 .0003 176C.0003 167.2 7.199 160 15.1 160L32.01 159.1L78.87 195.3C89.99 203.5 103.5 208 117.2 208H231.1C245.2 208 255.1 197.3 255.1 184C255.1 170.8 245.2 160 231.1 160H175.1C167.2 160 159.1 152.8 159.1 144.1C159.1 135.3 167.2 128.1 175.1 128.1H292.2C301.9 128.1 311.2 131.3 318.9 137.3L380.5 186.5C384.7 189.9 389.1 191.8 395.1 191.8C400.1 191.8 404.1 190 408.9 186.5C418.1 177.4 418.2 162 407.1 153.9L307.2 73.35C299.6 67.29 290.2 63.98 280.5 63.98H16C7.2 63.98 .0006 56.79 .0006 47.99C.0006 39.2 7.199 32 16 32H280.5C297.5 32 313.9 37.87 327.1 48.37L427.1 129.1C440.2 138.8 447.5 153.4 447.1 169C448.5 184.7 441.1 199.8 430.2 210.4L430.2 210.4z"],
    "hand-holding-heart": [576, 512, [], "f4be", "M275.2 250.5c6.998 7.377 18.5 7.377 25.5 0l108.1-114.2c31.49-33.13 29.72-88.22-5.65-118.7c-35.37-30.63-81.38-16.91-104.9 7.724L287.1 36.91L276.8 25.28C253.9 1.149 207.6-13.45 171.1 17.56C136.7 48.06 134.7 103.1 166.4 136.3L275.2 250.5zM192.3 41.79C213.2 23.79 240.6 33.17 254.2 47.54l33.74 35.26l33.74-35.26c13.5-14.13 40.99-23.76 61.86-5.752c23.74 20.63 20.12 54.51 3.373 72.14L287.9 217.7L188.1 113.9C172.2 96.56 168.7 62.42 192.3 41.79zM558.2 333.6c-9.5-8.619-22-13.37-35.12-13.37c-12.5 0-24.88 4.248-34.62 12.12l-61.45 49.21c-1.928 1.545-4.324 2.385-6.795 2.385h-41.62c4.625-9.619 6.5-20.74 4.75-32.23C379.4 323.7 353.7 304 325.6 304H181.2c-20.75 0-40.1 6.746-57.5 19.24l-38.5 28.73H16c-8.801 0-16 7.195-16 15.99s7.198 16.04 15.1 16.04l80.01 .0091l46.86-35.29c11.12-8.244 24.62-12.74 38.37-12.74h146.7c13.25 0 24 10.74 24 23.99s-10.75 23.98-24 23.98H239.1c-8.75 0-16 7.246-16 15.99c0 8.746 7.25 15.99 16 15.99h180.2c9.625 0 19-3.248 26.62-9.246l61.62-49.22c4.25-3.373 9.5-5.248 14.62-5.248c5 0 9.875 1.75 13.75 5.248c10.12 9.119 9.375 24.48-.875 32.61l-100.7 80.58c-7.584 6.064-17.01 9.369-26.72 9.369H16c-8.801 0-15.1 7.189-15.1 15.98S7.198 512 15.1 512h392.5c17 0 33.38-5.871 46.62-16.37l100.9-80.7c12.25-9.744 19.5-24.36 19.1-39.98C576.5 359.3 569.1 344.2 558.2 333.6z"],
    "hand-holding-magic": [576, 512, [], "f6e5", "M558.2 333.6c-9.5-8.619-22-13.37-35.12-13.37c-12.5 0-24.88 4.248-34.62 12.12l-61.45 49.21c-1.928 1.545-4.324 2.385-6.795 2.385h-41.62c4.625-9.619 6.5-20.74 4.75-32.23C379.4 323.7 353.7 304 325.6 304H181.2c-20.75 0-40.1 6.746-57.5 19.24l-38.5 28.73H16c-8.801 0-16 7.195-16 15.99S7.198 383.1 15.1 383.1l80.01 .0114l46.86-35.29c11.12-8.244 24.62-12.74 38.37-12.74h146.7c13.25 0 24 10.74 24 23.99s-10.75 23.98-24 23.98H239.1c-8.75 0-16 7.246-16 15.99c0 8.746 7.25 15.99 16 15.99h180.2c9.625 0 19-3.248 26.62-9.246l61.62-49.22c4.25-3.373 9.5-5.248 14.62-5.248c5 0 9.875 1.75 13.75 5.248c10.12 9.119 9.375 24.48-.875 32.61l-100.7 80.58c-7.584 6.064-17.01 9.369-26.72 9.369H16c-8.801 0-15.1 7.189-15.1 15.98S7.198 512 15.1 512h392.5c17 0 33.38-5.871 46.62-16.37l100.9-80.7c12.25-9.744 19.5-24.36 19.1-39.98C576.5 359.3 569.1 344.2 558.2 333.6zM223.1 192h15.1C292.9 192 336 148.9 336 96c0-8.844-7.156-16-16-16S304 87.16 304 96c0 35.28-28.72 64-64 64H224C188.7 160 160 131.3 160 96s28.72-64 64-64h106.7C377.7 32 416 70.28 416 117.3c0 26.69-12.75 52.22-34.13 68.25l-55.47 41.59c-7.062 5.312-8.5 15.34-3.219 22.41C326.3 253.8 331.2 256 336 256c3.344 0 6.719-1.031 9.594-3.188l55.5-41.63C430.5 189.1 448 154 448 117.3C448 52.63 395.4 0 330.7 0H223.1c-52.94 0-95.1 43.06-95.1 96S171.1 192 223.1 192z"],
    "hand-holding-medical": [576, 512, [], "e05c", "M558.2 333.6c-9.5-8.619-22-13.37-35.12-13.37c-12.5 0-24.88 4.248-34.62 12.12l-61.45 49.21c-1.928 1.545-4.324 2.385-6.795 2.385h-41.62c4.625-9.619 6.5-20.74 4.75-32.23C379.4 323.7 353.7 304 325.6 304H181.2c-20.75 0-40.1 6.746-57.5 19.24l-38.5 28.73H16c-8.801 0-16 7.195-16 15.99S7.198 383.1 15.1 383.1l80.01 .0114l46.86-35.29c11.12-8.244 24.62-12.74 38.37-12.74h146.7c13.25 0 24 10.74 24 23.99s-10.75 23.98-24 23.98H239.1c-8.75 0-16 7.246-16 15.99c0 8.746 7.25 15.99 16 15.99h180.2c9.625 0 19-3.248 26.62-9.246l61.62-49.22c4.25-3.373 9.5-5.248 14.62-5.248c5 0 9.875 1.75 13.75 5.248c10.12 9.119 9.375 24.48-.875 32.61l-100.7 80.58c-7.584 6.064-17.01 9.369-26.72 9.369H16c-8.801 0-16 7.189-16 15.98S7.198 512 15.1 512h392.5c17 0 33.38-5.871 46.62-16.37l100.9-80.7c12.25-9.744 19.5-24.36 19.1-39.98C576.5 359.3 569.1 344.2 558.2 333.6zM192 192h32v32c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32V192h32c17.67 0 32-14.33 32-32V96c0-17.67-14.33-32-32-32h-32V32c0-17.67-14.33-32-32-32H256C238.3 0 224 14.33 224 32v32H192C174.3 64 160 78.33 160 96v64C160 177.7 174.3 192 192 192zM192 96h64V32h64v64h64v64h-64v64H256V160H192V96z"],
    "hand-holding-seedling": [576, 512, [], "f4bf", "M248.9 192H272v48C272 248.8 279.2 256 288 256C296.8 256 304 248.8 304 240V192h23.12C411.4 192 480 113 480 16C480 7.164 472.8 0 464 0h-39.13C364.9 0 313 40.13 288 98.13C263 40.13 211.1 0 151.1 0H112C103.2 0 96 7.164 96 16C96 113 164.6 192 248.9 192zM424.9 32h22.38c-6.625 71.88-58 128-120 128h-22.5C311.4 88.13 362.8 32 424.9 32zM151.1 32C213.3 32 264.5 88.13 271.3 160h-22.5c-62 0-113.4-56.13-120-128H151.1zM558.2 333.6c-9.5-8.619-22-13.37-35.12-13.37c-12.5 0-24.88 4.248-34.62 12.12l-61.45 49.21c-1.928 1.545-4.324 2.385-6.795 2.385h-41.62c4.625-9.619 6.5-20.74 4.75-32.23C379.4 323.7 353.7 304 325.6 304H181.2c-20.75 0-40.1 6.746-57.5 19.24l-38.5 28.73H16c-8.801 0-16 7.195-16 15.99S7.198 383.1 15.1 383.1l80.01-.0238l46.86-35.25c11.12-8.244 24.62-12.74 38.37-12.74h146.7c13.25 0 24 10.74 24 23.99s-10.75 23.98-24 23.98H239.1c-8.75 0-16 7.246-16 15.99c0 8.746 7.25 15.99 16 15.99h180.2c9.625 0 19-3.248 26.62-9.246l61.62-49.22c4.25-3.373 9.5-5.248 14.62-5.248c5 0 9.875 1.75 13.75 5.248c10.12 9.119 9.375 24.48-.875 32.61l-100.7 80.58c-7.584 6.064-17.01 9.369-26.72 9.369H16c-8.801 0-15.1 7.189-15.1 15.98S7.198 512 15.1 512h392.5c17 0 33.38-5.871 46.62-16.37l100.9-80.7c12.25-9.744 19.5-24.36 19.1-39.98C576.5 359.3 569.1 344.2 558.2 333.6z"],
    "hand-holding-skull": [576, 512, [], "e1a4", "M558.2 333.6c-9.5-8.619-22-13.37-35.12-13.37c-12.5 0-24.88 4.248-34.62 12.12l-61.45 49.21c-1.928 1.545-4.324 2.385-6.795 2.385h-41.62c4.625-9.619 6.5-20.74 4.75-32.23C379.4 323.7 353.7 304 325.6 304H181.2c-20.75 0-40.1 6.746-57.5 19.24l-38.5 28.73H16c-8.801 0-16 7.195-16 15.99S7.198 383.1 15.1 383.1l80.01 .0114l46.86-35.29c11.12-8.244 24.62-12.74 38.37-12.74h146.7c13.25 0 24 10.74 24 23.99s-10.75 23.98-24 23.98H239.1c-8.75 0-16 7.246-16 15.99c0 8.746 7.25 15.99 16 15.99h180.2c9.625 0 19-3.248 26.62-9.246l61.62-49.22c4.25-3.373 9.5-5.248 14.62-5.248c5 0 9.875 1.75 13.75 5.248c10.12 9.119 9.375 24.48-.875 32.61l-100.7 80.58c-7.584 6.064-17.01 9.369-26.72 9.369H16c-8.801 0-16 7.189-16 15.98S7.198 512 15.1 512h392.5c17 0 33.38-5.871 46.62-16.37l100.9-80.7c12.25-9.744 19.5-24.36 19.1-39.98C576.5 359.3 569.1 344.2 558.2 333.6zM327.1 159.1c13.25 0 23.1-10.75 23.1-23.1c0-13.25-10.75-24-23.1-24s-23.1 10.75-23.1 24C303.1 149.2 314.7 159.1 327.1 159.1zM199 227.9L192.6 258.1C189.4 273.4 199.1 287.1 212.4 287.1h151.2c13.25 0 22.1-14.62 19.75-29.87l-6.375-30.25c33.25-23.37 55.02-59.24 55.02-99.86C432 57.25 367.5 0 288 0S143.1 57.25 143.1 127.1C143.1 168.6 165.8 204.5 199 227.9zM288 31.1c61.74 0 111.1 42.1 111.1 95.99c0 28.37-15.12 55.25-41.49 73.75l-17.25 12.12l9 42.12H225.8l9-42.12L217.5 201.7c-26.37-18.5-41.49-45.37-41.49-73.75C176 74.1 226.3 31.1 288 31.1zM248 159.1c13.25 0 23.1-10.75 23.1-23.1c0-13.25-10.75-24-23.1-24s-23.1 10.75-23.1 24C224 149.2 234.8 159.1 248 159.1z"],
    "hand-horns": [448, 512, [], "e1a9", "M360 64c-30.88 0-56 25.12-56 56v61.62C296.7 178.1 288.6 176 280 176c-12.16 0-23.35 4.002-32.54 10.62C237.6 170.7 220.1 160 200 160C191.4 160 183.3 162.1 176 165.6V56C176 25.12 150.9 0 120 0S64 25.12 64 56v210.2C36.07 273.5 16 298.9 16 328v64c0 19.89 9 38.3 24.72 50.52l46.03 35.81C114.7 500 149.6 512 184.9 512H264c83.81 0 152-68.19 152-152v-240C416 89.13 390.9 64 360 64zM280 208c13.22 0 24 10.77 24 24v96c0 13.23-10.78 24-24 24S256 341.2 256 328v-96C256 218.8 266.8 208 280 208zM200 192C213.2 192 224 202.8 224 216v32.99C214.3 243.3 203.1 240.1 191.5 240.1c-4.243 0-8.548 .4312-12.87 1.334L176 241.1V216C176 202.8 186.8 192 200 192zM120 32C133.2 32 144 42.77 144 56v192.8L96 259.1V56C96 42.77 106.8 32 120 32zM384 360c0 66.17-53.84 120-120 120H184.9c-28.28 0-56.19-9.562-78.56-26.94l-46.03-35.8C52.63 411.3 48 401.8 48 392v-64c0-15 10.62-28.16 25.28-31.3l111.9-23.98c2.195-.4532 4.387-.6713 6.55-.6713c15.81 0 32.23 12.47 32.23 31.99c0 14.75-10.29 28.04-25.28 31.26l-74.06 15.86c-7.528 1.603-12.67 8.24-12.67 15.63c0 9.602 8.066 16.03 16 16.03c1.112 0 2.236-.1205 3.355-.3713l74.06-15.86c9.676-2.076 18.22-6.408 25.56-12.1C240.5 371.1 258.8 384 280 384c30.88 0 56-25.12 56-56v-96c0-1.824-.3672-3.547-.5391-5.326C335.6 225.8 336 224.9 336 224V120C336 106.8 346.8 96 360 96S384 106.8 384 120V360z"],
    "hand-lizard": [512, 512, [], "f258", "M495.1 448c-8.844 0-16-7.156-16-16v-108.2c0-11.66-3.594-22.89-10.41-32.5l-120.7-170.5C337.9 105.3 319.7 96 300.3 96H45.1c-6.984 0-13.78 5.797-13.98 11.94C31.64 119.4 35.85 130.2 43.9 138.5C52.31 147.2 63.71 152 75.1 152h168.5c14.94 0 28.85 7.172 37.46 19.2c8.547 11.92 10.73 26.72 6.016 40.56l-10 29.33C271.7 259.6 254.1 272 234.4 272H135.1c-12.28 0-23.69 4.781-32.09 13.48C95.86 293.8 91.64 304.6 92.01 316.1C92.21 322.2 99.01 328 105.1 328h159.9c3.094 0 6.25 .9062 8.844 2.594l86 56c4.531 2.953 7.266 8 7.266 13.41v32c0 8.844-7.156 16-16 16s-16-7.156-16-16v-23.33L261.2 360H105.1c-24.56 0-45.17-19.23-45.95-42.88C59.37 296.1 66.78 277.8 80.9 263.2C95.4 248.3 114.1 240 135.1 240h98.38c6.078 0 11.44-3.719 13.33-9.234l10-29.31c1.844-5.422-.3125-9.609-1.75-11.62C253.3 186.1 249.1 184 244.4 184H75.1c-21.03 0-40.59-8.25-55.09-23.22C6.776 146.2-.6299 127 .042 106.9C.8233 83.23 21.43 64 45.1 64h254.3c29.78 0 57.72 14.33 74.74 38.34l120.7 170.5C506.4 287.9 512 305.5 512 323.8V432C512 440.8 504.8 448 495.1 448z"],
    "hand-love": [512, 512, [], "e1a5", "M424 64c-30.88 0-56 25.12-56 56v61.62C360.7 178.1 352.6 176 344 176c-12.16 0-23.35 4.002-32.54 10.62C301.6 170.7 284.1 160 264 160C255.4 160 247.3 162.1 240 165.6V56C240 25.12 214.9 0 184 0S128 25.12 128 56v251.9l-30.24-39c-10.27-13.43-26.38-21.52-43.31-21.52c-29.56 0-54.45 23.06-54.45 54.46c0 12.14 3.856 24.46 11.72 34.79l86.36 113.5C125.7 488.9 170.6 512 218.2 512h101.8C408.2 512 480 440.1 480 351.8V120C480 89.13 454.9 64 424 64zM344 208c13.22 0 24 10.77 24 24v96c0 13.23-10.78 24-24 24S320 341.2 320 328v-96C320 218.8 330.8 208 344 208zM264 192C277.2 192 288 202.8 288 216v96c0 13.23-10.78 24-24 24S240 325.2 240 312v-96C240 202.8 250.8 192 264 192zM447.1 351.8c0 70.72-57.41 128.3-128 128.3H218.2c-37.26 0-72.42-18.12-94.36-48.89L37.19 317.2c-3.536-4.652-5.278-10.15-5.278-15.5c0-16.79 14.91-22.49 21.59-22.49c8.778 0 16.25 5.689 18.8 9.034l34.94 45.97c6.248 8.222 15.89 12.87 25.56 12.87c4.032 0 27.2-2.604 27.2-26.13C160 320.7 160 320.3 160 320V56C160 42.77 170.8 32 184 32S208 42.77 208 56v256c0 30.88 25.12 56 56 56c12.16 0 23.35-4.002 32.54-10.62C306.4 373.3 323.9 384 344 384c30.88 0 56-25.12 56-56v-208C400 106.8 410.8 96 424 96S448 106.8 448 120L447.1 351.8z"],
    "hand-middle-finger": [448, 512, [128405], "f806", "M448 296v80c0 74.98-61.02 136-136 136H190.5c-51.95 0-101.6-24.81-132.8-66.36l-13.52-18.05C36.33 417.1 32 404.1 32 391V346c0-18.62 8.344-35.98 22.89-47.63l15.11-12.09C72.95 283.9 76.49 282.7 79.99 282.7c9.099 0 16.01 7.461 16.01 16.01c0 4.691-2.055 9.336-5.999 12.49L74.89 323.3C67.97 328.9 64 337.1 64 346v45.03c0 6.219 2.062 12.39 5.797 17.36l13.52 18.05C108.5 459.1 148.6 480 190.5 480H312c57.34 0 104-46.66 104-104v-80c0-13.23-10.77-24-24-24c-13.28 0-13.12 7.73-23.97 7.73c-.0168 0 .0168 0 0 0C359.2 279.7 352 272.8 352 264v-16C352 234.8 341.2 224 328 224S304 234.8 304 248V256c0 8.844-7.156 16-16 16S272 264.8 272 256V56C272 42.77 261.2 32 248 32S224 42.77 224 56V256c0 8.844-7.156 16-16 16S192 264.8 192 256V248C192 234.8 181.2 224 168 224S144 234.8 144 248v88C144 344.8 136.8 352 128 352s-16-7.156-16-16V248C112 217.1 137.1 192 168 192C176.6 192 184.7 194.1 192 197.6V56C192 25.12 217.1 0 248 0s56 25.12 56 56v141.6C311.3 194.1 319.4 192 328 192c28.55 0 51.91 21.56 55.31 49.2C386.2 240.6 389 240 392 240C422.9 240 448 265.1 448 296z"],
    "hand-peace": [512, 512, [9996], "f25b", "M392 176.1c-9.785 0-18.85 2.744-26.87 7.174c-7.195-22.62-28.15-39.17-53.13-39.17c-5.525 0-10.76 1.051-15.81 2.549c0 0 7.808-89.09 7.808-90.73c0-21.37-16.72-55.91-55.72-55.91c-28.59 0-53.48 21.86-56.06 51.04L180.2 186.5L123.8 50.12c-8.923-21.5-29.84-34.53-51.84-34.53c-29.49 0-55.93 23.37-55.93 55.93c0 7.28 1.437 14.56 4.303 21.49l72.23 174.4c-26.08 8.406-44.52 32.87-44.52 60.69v63.98c0 19.89 8.998 38.29 24.72 50.5l46.03 35.8C146.7 500 181.6 512 216.9 512h79.06C379.8 512 448 443.8 448 360V232.1C448 201.2 422.9 176.1 392 176.1zM288 200c0-13.23 10.78-24 24-24s24 10.77 24 24v96c0 13.23-10.78 24-24 24S288 309.2 288 296V200zM224.1 53.85c1.094-12.5 11.68-21.88 23.94-21.88c12.79 0 23.97 10.31 23.97 23.96c0 .7104-.0313 1.425-.0943 2.141L261.4 176.4c-3.393 7.213-5.434 15.17-5.434 23.65v37.75L255.1 248.6c-9.529-5.328-20.38-8.396-31.67-8.396c-4.216 0-8.495 .4278-12.79 1.325L207.4 242.2L224.1 53.85zM49.87 80.75C48.63 77.78 48.01 74.67 48.01 71.56c0-12.57 9.966-23.99 24.02-23.99c9.43 0 18.33 5.603 22.17 14.81L170.7 247.1c.4121 .9863 1.146 1.693 1.721 2.551L124.1 260L49.87 80.75zM296 480H216.9c-28.28 0-56.18-9.561-78.56-26.93l-46.03-35.79c-7.717-6.014-12.34-15.46-12.34-25.26v-63.98c0-14.1 10.62-28.15 25.28-31.29L217.2 272.8c2.201-.4537 4.399-.672 6.566-.672c15.79 0 32.22 12.48 32.22 31.98c0 14.74-10.29 28.03-25.28 31.25l-74.06 15.86c-7.528 1.603-12.67 8.238-12.67 15.62c0 9.759 8.252 16.02 16.01 16.02c1.109 0 2.229-.1203 3.344-.3708l74.06-15.86c16.94-3.633 30.8-13.73 39.72-27.1c9.6 7.715 21.62 12.53 34.87 12.53c9.785 0 18.85-2.744 26.87-7.174c7.193 22.62 28.15 39.16 53.13 39.16c7.822 0 15.26-1.635 22.03-4.545C404.7 436.4 355.5 480 296 480zM416 328c0 13.23-10.78 23.99-24 23.99c-13.22 0-24.1-10.85-24.1-24.08l.1064-95.89c0-13.23 10.78-23.99 23.1-23.99c13.22 0 24 10.76 24 23.99V328z"],
    "hand-point-down": [448, 512, [], "f0a7", "M416 264l-.0078-137.4C415.3 56.77 355.8 0 283.2 0H196.2C173.8 0 151.7 5.703 132.1 16.52L71.19 50.09C47 63.41 32 88.98 32 116.8V176c0 26.12 12.58 49.35 32 63.96V456C64 486.9 89.12 512 120 512s56-25.12 56-56v-77.41C183.3 382.1 191.4 384 200 384c24.88 0 46.02-16.3 53.29-38.79C261.2 349.5 270.3 352 280 352c24.88 0 46.02-16.3 53.29-38.79C341.2 317.5 350.3 320 360 320C390.9 320 416 294.9 416 264zM256 232.1C256 218.8 266.7 208 280 208c13.26 0 24 10.75 24 24v64c0 13.25-10.74 24-24 24C266.7 320 256 309.3 256 296V232.1zM176 256H192c11.71 0 22.55-3.391 32-8.904V328C224 341.3 213.3 352 200 352c-13.25 0-24-10.75-24-24V256zM96 254.4C101.2 255.4 106.5 256 112 256h32v200C144 469.3 133.3 480 120 480C106.7 480 96 469.3 96 456V254.4zM384 157.6C376.7 154.1 368.6 152 360 152c-22.49 0-41.8 13.41-50.7 32.58C300.8 179.3 290.8 176 280 176c-9.033 0-17.44 2.359-24.99 6.186C250.2 151.6 223.9 128 192 128H144C135.2 128 128 135.2 128 144S135.2 160 144 160H192c17.66 0 32 14.36 32 32S209.7 224 192 224H112C85.49 224 64 202.5 64 176V116.8c0-16.2 8.656-31.03 22.62-38.72L147.5 44.55C162.4 36.34 179.2 32 196.2 32h87.07C336.3 32 384 73.26 384 128V157.6zM384 264C384 277.3 373.3 288 360 288c-13.25 0-24-10.75-24-24V208C336 194.8 346.7 184 360 184C373.3 184 384 194.7 384 208V264z"],
    "hand-point-left": [512, 512, [], "f0a5", "M248 448l137.4-.0078C455.2 447.3 512 387.8 512 315.2V228.2c0-22.31-5.703-44.47-16.52-64.09l-33.58-60.88C448.6 79 423 64 395.2 64H336c-26.12 0-49.35 12.58-63.96 32H56C25.12 96 0 121.1 0 152S25.12 208 56 208h77.41C129.9 215.3 128 223.4 128 232c0 24.88 16.3 46.02 38.79 53.29C162.5 293.2 160 302.3 160 312c0 24.88 16.3 46.02 38.79 53.29C194.5 373.2 192 382.3 192 392C192 422.9 217.1 448 248 448zM279.9 288C293.2 288 304 298.7 304 312c0 13.26-10.75 24-24 24h-64C202.7 336 192 325.3 192 312C192 298.7 202.7 288 216 288H279.9zM256 208V224c0 11.71 3.391 22.55 8.904 32H184C170.7 256 160 245.3 160 232C160 218.7 170.7 208 184 208H256zM257.6 128C256.6 133.2 256 138.5 256 144v32H56C42.75 176 32 165.3 32 152C32 138.7 42.75 128 56 128H257.6zM354.4 416C357.9 408.7 360 400.6 360 392c0-22.49-13.41-41.8-32.58-50.7C332.7 332.8 336 322.8 336 312c0-9.033-2.359-17.44-6.186-24.99C360.4 282.2 384 255.9 384 224V176C384 167.2 376.8 160 368 160S352 167.2 352 176V224c0 17.66-14.36 32-32 32s-32-14.34-32-32V144C288 117.5 309.5 96 336 96h59.16c16.2 0 31.03 8.656 38.72 22.62l33.58 60.88C475.7 194.4 480 211.2 480 228.2v87.07C480 368.3 438.7 416 384 416H354.4zM248 416C234.7 416 224 405.3 224 392c0-13.25 10.75-24 24-24h55.98C317.2 368 328 378.7 328 392c0 13.26-10.75 24-24 24H248z"],
    "hand-point-ribbon": [448, 512, [], "e1a6", "M360 192c-9.662 0-18.76 2.461-26.71 6.787C326 176.3 304.9 160 280 160c-9.662 0-18.76 2.461-26.71 6.787C246 144.3 224.9 128 200 128c-8.582 0-16.72 1.941-24 5.406V56c0-30.88-25.12-56-56-56s-56 25.12-56 56V64h-47.1C9.848 64 4.254 67.53 1.598 73.06C-1.09 78.61-.3398 85.19 3.504 90l24 30l-24 30C-.3398 154.8-1.09 161.4 1.598 166.9C4.254 172.5 9.848 176 16 176h47.1v96.04C44.58 286.6 31.1 309.9 31.1 336l.0039 59.16c0 27.86 15 53.44 39.19 66.75l60.88 33.58C151.7 506.3 173.8 512 196.2 512h87.07c72.54 0 132.1-56.77 132.8-126.6L416 248C416 217.1 390.9 192 360 192zM256 216c0-13.25 10.75-24 24-24c13.26 0 24 10.75 24 24v64c0 13.25-10.74 24-24 24c-13.25 0-24-10.84-24-24.09L256 216zM176 184c0-13.25 10.75-24 24-24c13.26 0 24 10.75 24 24v80.9C214.5 259.4 203.7 256 192 256h-16L176 184zM96 56c0-13.25 10.75-24 24-24c13.26 0 24 10.75 24 24V64H96L96 56zM49.28 144L60.5 130c4.656-5.844 4.656-14.16 0-20L49.28 96H144v48H49.28zM144 176V256h-32c-5.48 0-10.83 .5645-16 1.619V176H144zM384 384c0 54.77-47.74 96-100.8 96H196.2c-16.94 0-33.75-4.344-48.66-12.55l-60.88-33.58c-13.97-7.688-22.62-22.52-22.62-38.72V336c0-26.51 21.49-48 48-48h80c17.66 0 32 14.36 32 32s-14.34 32-32 32h-48c-8.844 0-16 7.156-16 16s7.156 16 16 16h48c31.92 0 58.24-23.57 63.01-54.19C262.6 333.6 270.1 336 280 336c10.79 0 20.76-3.254 29.3-8.578C318.2 346.6 337.5 360 360 360c8.621 0 16.7-2.123 24-5.617V384zM384 304c0 13.25-10.74 24-24 24c-13.25 0-24-10.77-24-24.02L336 248c0-13.25 10.75-24 24-24c13.26 0 24 10.75 24 24V304z"],
    "hand-point-right": [512, 512, [], "f0a4", "M320 392c0-9.662-2.461-18.76-6.787-26.71C335.7 358 352 336.9 352 312c0-9.662-2.461-18.76-6.787-26.71C367.7 278 384 256.9 384 232c0-8.582-1.941-16.72-5.406-24H456C486.9 208 512 182.9 512 152S486.9 96 456 96H239.1C225.4 76.58 202.1 64 176 64H116.8C88.98 64 63.41 79 50.09 103.2L16.52 164.1C5.703 183.7 0 205.8 0 228.2v87.07c0 72.54 56.77 132.1 126.6 132.8L264 448C294.9 448 320 422.9 320 392zM296 288C309.3 288 320 298.7 320 312c0 13.26-10.75 24-24 24h-64c-13.25 0-24-10.74-24-24C208 298.7 218.8 288 232.1 288H296zM328 208C341.3 208 352 218.7 352 232C352 245.3 341.3 256 328 256H247.1C252.6 246.5 256 235.7 256 224V208H328zM456 128C469.3 128 480 138.7 480 152c0 13.26-10.75 24-24 24H256v-32C256 138.5 255.4 133.2 254.4 128H456zM128 416c-54.77 0-96-47.74-96-100.8V228.2C32 211.2 36.34 194.4 44.55 179.5l33.58-60.88C85.81 104.7 100.6 96 116.8 96H176C202.5 96 224 117.5 224 144V224c0 17.66-14.36 32-32 32S160 241.7 160 224V176C160 167.2 152.8 160 144 160S128 167.2 128 176V224c0 31.92 23.57 58.24 54.19 63.01C178.4 294.6 176 302.1 176 312c0 10.79 3.254 20.76 8.578 29.3C165.4 350.2 152 369.5 152 392c0 8.621 2.123 16.7 5.617 24H128zM208 416c-13.25 0-24-10.74-24-24c0-13.25 10.77-24 24.02-24H264c13.25 0 24 10.75 24 24c0 13.26-10.75 24-24 24H208z"],
    "hand-point-up": [448, 512, [9757], "f0a6", "M360 192c-9.662 0-18.76 2.461-26.71 6.787C326 176.3 304.9 160 280 160c-9.662 0-18.76 2.461-26.71 6.787C246 144.3 224.9 128 200 128C191.4 128 183.3 129.9 176 133.4V56C176 25.12 150.9 0 120 0S64 25.12 64 56v216C44.58 286.6 32 309.9 32 336v59.16c0 27.86 15 53.44 39.19 66.75l60.88 33.58C151.7 506.3 173.8 512 196.2 512h87.07c72.54 0 132.1-56.77 132.8-126.6L416 248C416 217.1 390.9 192 360 192zM256 216C256 202.7 266.7 192 280 192c13.26 0 24 10.75 24 24v64c0 13.25-10.74 24-24 24C266.7 304 256 293.2 256 279.9V216zM176 184C176 170.7 186.7 160 200 160C213.3 160 224 170.7 224 184v80.9C214.5 259.4 203.7 256 192 256H176V184zM96 56C96 42.75 106.7 32 120 32C133.3 32 144 42.75 144 56V256h-32C106.5 256 101.2 256.6 96 257.6V56zM384 384c0 54.77-47.74 96-100.8 96H196.2c-16.94 0-33.75-4.344-48.66-12.55l-60.88-33.58C72.66 426.2 64 411.4 64 395.2V336C64 309.5 85.49 288 112 288H192c17.66 0 32 14.36 32 32s-14.34 32-32 32H144C135.2 352 128 359.2 128 368S135.2 384 144 384H192c31.92 0 58.24-23.57 63.01-54.19C262.6 333.6 270.1 336 280 336c10.79 0 20.76-3.254 29.3-8.578C318.2 346.6 337.5 360 360 360c8.621 0 16.7-2.123 24-5.617V384zM384 304c0 13.25-10.74 24-24 24c-13.25 0-24-10.77-24-24.02V248C336 234.7 346.7 224 360 224C373.3 224 384 234.7 384 248V304z"],
    "hand-pointer": [448, 512, [], "f25a", "M387.4 210h-7.469c-10.75-18.33-30.41-30-51.97-30h-14.84c-5.781 0-11.5 .8594-17.03 2.547C284.9 171.4 269.8 165 253.7 165h-14.88c-4.625 0-9.219 .5469-13.69 1.609V61C225.2 27.36 197.1 0 164.6 0C131.1 0 103.1 27.36 103.1 61v211.6L102.4 270.5C95.35 261 80.31 247.5 56.75 247.5c-41.59 0-56.75 37.41-56.75 57.33c0 11.94 3.69 23.97 11.33 34.23l84.66 114C123.4 489.1 167.1 512 212.8 512h118.9c5.5 0 11.06-.9219 15.09-2.344c27.47-5.062 51.81-18.5 70.19-38.69C437 449.6 448 421.3 448 391.2V271C448 237.4 420.8 210 387.4 210zM416 391.2c0 21.89-7.939 42.44-22.53 58.03c-13.78 15.12-31.91 25.14-54.41 29.41C336.2 479.6 333.9 480 331.7 480H212.8c-35.66 0-69.72-17.22-91.16-46.03L37.02 319.1C33.62 315.4 31.98 310.1 31.98 304.8c0-8.385 6.573-25.28 24.85-25.28c10.27 0 16.79 5.934 19.84 10.06l30.47 41.02c3.078 4.139 7.897 6.469 12.85 6.469c11.1 0 15.1-10.83 15.1-16.02V61C135.1 45.02 148.8 32 164.6 32c15.78 0 28.6 13.02 28.6 29v131.7c0 6.908 5.418 15.98 16 15.98c11.97 0 12.7-11.65 29.69-11.65h14.88c24.02 0 21.02 21 37.61 21c8.19 0 10.4-6.004 21.83-6.004h14.84c12 0 22.78 7.844 26.81 19.5c2.325 6.68 10.37 10.5 17.57 10.5L387.4 242C403.2 242 416 255 416 271V391.2zM224.7 304c-8.844 0-16 7.156-16 16v96c0 8.844 7.156 16 16 16s16-7.156 16-16v-96C240.7 311.2 233.5 304 224.7 304zM287.1 304c-8.844 0-16 7.156-16 16l.002 96c0 8.844 7.156 16 16 16s15.1-7.156 15.1-16v-96C303.1 311.2 296.8 304 287.1 304zM352 304c-8.844 0-16 7.156-16 16v96c0 8.844 7.156 16 16 16s16-7.156 16-16v-96C368 311.2 360.8 304 352 304z"],
    "hand-scissors": [512, 512, [], "f257", "M375.1 480H270.1c-33.64 0-61-27.06-61-60.31v-7.328c-18.33-10.7-30-30.25-30-51.73v-14.78c0-4.922 .625-9.781 1.828-14.5c0 0-119.2 8.316-120.5 8.316C38.14 339.7 0 321.7 0 279.3c0-31.46 24.63-57.81 56.65-60.06l99.63-7.016L69.97 180.9C58.2 176.7 29.93 160.3 29.93 124.4C29.93 91.29 57.13 64 90.99 64c6.984 0 14.09 1.197 21.02 3.723l149.3 55.02c1.371-3.35 21.83-27.7 24.22-30.64c14.48-17.84 36.09-28.08 59.27-28.08h50.33c27.84 0 53.42 14.1 66.75 39.16l33.56 60.91C506.3 183.7 512 205.8 512 228.2v117.7C512 419.8 450.1 480 375.1 480zM210.7 297.3c8.917 0 15.1 7.265 15.1 16c0 13.56-14.71 13.31-14.71 32.56v14.78c0 29.22 30.28 21.18 30.28 41.65c0 .3791-.0135 .7605-.0407 1.143l-.2344 16.27c0 15.61 13.02 28.31 29 28.31h105c57.34 0 104-45.83 104-102.2v-117.7c0-16.94-4.344-33.77-12.56-48.64l-33.56-60.91c-7.688-13.94-22.53-22.61-38.72-22.61h-50.33c-13.48 0-26.03 5.922-34.42 16.25L292.5 134.3l71.34 26.28c6.472 2.389 10.47 8.505 10.47 15.02c0 8.767-7.098 16.03-15.96 16.03c-1.851 0-3.735-.3261-5.577-1.015L101 97.77c-3.302-1.203-6.693-1.773-10.03-1.773c-15.96 0-29.03 12.68-29.03 28.4c0 5.798 2.731 20.63 18.9 26.46l157.2 57.02c6.4 2.321 10.55 8.39 10.55 15.04c0 13.06-12.25 15.78-14.87 15.96L58.9 251.2c-14.97 1.066-26.9 13.91-26.9 28.5c0 15.25 12.92 28.02 29.24 28.02c.5921 0 1.188-.017 1.787-.0514C63.03 307.6 210.3 297.3 210.7 297.3z"],
    "hand-sparkles": [640, 512, [], "e05d", "M320 416c8.844 0 16-7.156 16-16v-32h32c8.844 0 16-7.156 16-16s-7.156-16-16-16h-32v-32C336 295.2 328.8 288 320 288S304 295.2 304 304v32h-32C263.2 336 256 343.2 256 352s7.156 16 16 16h32v32C304 408.8 311.2 416 320 416zM80 224C88.84 224 96 216.8 96 208V160h32c8.844 0 16-7.156 16-16S136.8 128 128 128H96V80C96 71.16 88.84 64 80 64S64 71.16 64 80V128H16C7.156 128 .0078 135.2 .0078 143.1S7.156 160 16 160H64v48C64 216.8 71.16 224 80 224zM624 416H576v-48c0-8.844-7.146-16-15.99-16S544 359.2 544 368V416h-48c-8.844 0-15.99 7.152-15.99 15.1S487.2 448 496 448H544v48c0 8.844 7.166 16 16.01 16S576 504.8 576 496V448h48c8.844 0 15.99-7.152 15.99-15.1S632.8 416 624 416zM456.9 459.7C445.1 459.7 428.8 480 383.1 480H282.2c-37.26 0-72.42-18.12-94.36-48.89L101.2 317.2c-3.536-4.652-5.278-10.15-5.278-15.5c0-13.31 10.56-22.41 22.26-22.41c5.763 0 13.05 2.263 18.88 9.938l34.2 44.98c6.248 8.222 15.89 12.87 25.56 12.87c4.032 0 27.2-2.604 27.2-26.13C224 320.7 224 320.3 224 320V88.95c0-12.42 9.247-24.95 24-24.95C261.2 63.1 272 74.77 272 88v151.2c0 2.773 2.19 16.83 16 16.83c8.843 0 15.85-7.157 15.85-16l.1328-152.2c0-.1055 0 .1055 0 0L303.1 56.95c0-12.42 9.247-24.95 24.01-24.95c13.24 0 24 10.77 24 24v183.2c0 2.773 2.205 16.83 16.02 16.83c8.845 0 15.94-7.157 15.94-16l.0439-151.1c0-12.42 9.248-24.95 24-24.95c13.24 0 24 10.77 24 24v150.7c0 2.773 2.188 16.84 16 16.84c8.845 0 16-7.155 16-15.1V136.3c0-12.48 9.295-24.98 24-24.98c13.23 0 24 10.8 24 24.06V300.1c0 8.822 7.152 15.97 15.97 15.97S544 308.9 544 300.1V137.4c0-21.74-16.47-58.06-56.01-58.06c-8.624 0-16.8 1.954-24.09 5.454C462.2 55.38 437.8 32 407.1 32c-9.658 0-18.77 2.469-26.71 6.781C373.1 16.3 352.7 0 327.8 0C302.9 0 282.1 16.55 274.9 39.17c-8.012-4.43-17.08-7.174-26.87-7.174C208.4 31.1 192 68.61 192 90.79v217.1l-30.24-39c-10.27-13.43-26.38-21.52-43.31-21.52c-29.56 0-54.45 23.06-54.45 54.46c0 12.14 3.856 24.46 11.72 34.79l86.36 113.5C189.7 488.9 234.6 512 282.2 512h101.8c32.16 0 88.77-15.15 88.77-36.42C472.8 469.5 468.1 459.7 456.9 459.7z"],
    "hand-spock": [576, 512, [128406], "f259", "M544 147.2c0-11.07-3.072-21.1-9.042-31.56c-12.24-20.2-33.23-28.64-51.45-28.64c-6.607 0-13.21 1.081-19.55 3.269c0-26.5-16.37-50.37-41.75-58.37c-7.045-2.24-13.64-3.233-19.78-3.233c-33.93 0-53.77 30.38-57.47 48.48l-21.5 104.7l-35.12-136.6C281.3 18.12 256.9 0 230.1 0C184.6 0 169.7 40.59 169.7 60.29c0 4.959 .6148 9.998 1.9 15.02l3.75 14.5c-5.896-1.838-11.94-2.733-17.93-2.733c-28.69 0-60.23 22.66-60.23 60.07c0 17.91 24.28 85.73 41.78 149.9L133.5 291.9c-11.64-10.92-26.48-16.34-41.28-16.34C58.7 275.6 32 302.7 32 335.8c0 16.03 6.357 32.01 18.97 43.84l98.12 92.36c27.25 25.75 63.37 39.99 100.9 39.99L365.6 512c54.76 0 102.2-37.58 114.9-90.86l61.87-259.8C543.4 156.6 544 151.9 544 147.2zM482.7 119c14.55 0 29.39 10.48 29.39 27.37c0 2.339-.2849 4.802-.8949 7.376l-61.87 259.1c-9.229 38.78-43.84 66.24-83.73 66.24l-115.6-.0004c-29.37 0-57.62-11.12-78.1-31.37l-98.12-92.24c-6.55-6.158-9.286-13.22-9.286-20.04c0-15.25 13.69-29.29 29.04-29.29c6.335 0 12.95 2.393 18.1 8.08l54.87 51.74c1.679 1.564 3.591 2.244 5.438 2.244c4.201 0 8.062-3.516 8.062-8.118c0-25.37-3.625-50.74-10.87-75.12L130.3 155.3C129.4 152.1 128.1 149.1 128.1 146.2c0-16.66 14.8-27.18 29.38-27.18c11.1 0 22.06 6.1 26.24 20.24l33.62 113.6C220.5 260.7 226.5 264.1 232.6 264.1c8.03 0 16.21-5.853 16.21-15.07c0-1.373-.1816-2.82-.5723-4.334L202.6 67.31C201.9 64.46 201.5 61.75 201.5 59.19c0-16.81 14.69-27.09 29.19-27.09c11.47 0 22.82 6.448 26.64 21.21l50.75 197.6c2.256 8.78 9.54 13.07 16.83 13.07c7.653 0 15.31-4.726 17.17-13.94l34.12-166.4c3.194-15.49 15.11-22.59 27.12-22.59c14.28 0 28.69 10.04 28.69 27.97c0 2.399-.2578 4.939-.8083 7.615l-30.62 149.5c-.2464 1.192-.3624 2.336-.3624 3.428c0 8.952 7.8 14.4 15.44 14.4c6.078 0 12.05-3.45 13.92-11.33l26.62-111.9C459.8 125.6 471.2 119 482.7 119z"],
    "hand-wave": [512, 512, [], "e1a7", "M304 32C330.5 32 352 53.53 352 80C352 88.84 359.2 96 368 96S384 88.84 384 80C384 35.89 348.1 0 304 0C295.2 0 288 7.156 288 16S295.2 32 304 32zM417.9 106.9c-42.22 0-56.93 36.81-59.45 45.39l-112.2-111.9C235.7 29.81 221.6 23.1 206.7 23.1c-5.969 0-39.95 2.27-52.29 36.15c-5.043-1.463-10.32-2.219-15.72-2.219c-28.2 0-55.64 22.11-55.64 55.29c0 5.376 .755 10.77 2.255 16.01c-17.53 6.444-36.26 24.1-36.26 51.85c0 12.67 4.195 25.46 12.45 36.01C57.27 219.3 31.1 233.3 31.1 266c0 14.93 5.824 29.91 17.25 41.3l125 124.7C205.3 462.1 246.5 480 290.4 480s85.17-17.03 116.1-47.94l20.04-19.1c34.43-34.35 53.39-80.03 53.39-128.6V168.8C480 134.7 452.2 106.9 417.9 106.9zM447.1 283.4c0 39.77-15.83 77.92-44.02 106l-20.04 19.1c-25.78 25.72-59.65 38.59-93.52 38.59s-67.73-12.86-93.52-38.59L71.88 284.7C66.77 279.6 63.95 272.7 63.95 265.8c0-15.94 13.91-23.3 23.69-23.3c6.152 0 12.31 2.342 17 7.025l75.26 75.09c2.348 2.34 5.426 3.512 8.502 3.512c6.464 0 12.02-5.195 12.02-11.99c0-3.07-1.173-6.141-3.52-8.482l-108-107.8C83.77 194.8 80.96 187.9 80.96 181c0-15.94 13.9-23.3 23.69-23.3c6.154 0 12.31 2.344 17 7.027L230.9 273.8C233.3 276.1 236.3 277.3 239.4 277.3c6.506 0 12.02-5.241 12.02-11.1c0-3.07-1.174-6.14-3.521-8.482L122.9 132.1C117.8 126.1 114.1 120 114.1 113.2c0-15.94 13.91-23.3 23.68-23.3c6.154 0 12.31 2.342 17 7.025l126.3 125.1c2.348 2.342 5.426 3.514 8.502 3.514c6.523 0 12.02-5.248 12.02-11.1c0-3.07-1.173-6.141-3.519-8.485l-108-107.8C185.8 93.03 182.1 86.07 182.1 79.23c0-15.83 13.71-23.3 23.68-23.3c6.154 0 12.31 2.344 17 7.027L375.3 214.3c1.5 1.5 3.348 2.17 5.158 2.17c3.791 0 7.428-2.938 7.428-7.371V170.4c0-5.65 4.392-31.57 30.05-31.57c16.61 0 30.05 13.42 30.05 29.99V283.4zM80 416C53.53 416 32 394.5 32 368C32 359.2 24.84 352 16 352S0 359.2 0 368C0 412.1 35.88 448 80 448C88.84 448 96 440.8 96 432S88.84 416 80 416z"],
    "handcuffs": [640, 512, [], "e4f8", "M296 24C296 37.25 285.3 48 272 48C258.7 48 248 37.25 248 24C248 10.75 258.7 0 272 0C285.3 0 296 10.75 296 24zM168 72C168 58.75 178.7 48 192 48C205.3 48 216 58.75 216 72C216 85.25 205.3 96 192 96C178.7 96 168 85.25 168 72zM256 352C256 405 213 448 160 448C106.1 448 64 405 64 352C64 298.1 106.1 256 160 256C213 256 256 298.1 256 352zM160 288C124.7 288 96 316.7 96 352C96 387.3 124.7 416 160 416C195.3 416 224 387.3 224 352C224 316.7 195.3 288 160 288zM160 120C173.3 120 184 130.7 184 144C206.1 144 224 161.9 224 184V205.3C280.5 230 320 286.4 320 352C320 440.4 248.4 512 160 512C71.63 512 0 440.4 0 352C0 286.4 39.49 230 96 205.3V184C96 161.9 113.9 144 136 144C136 130.7 146.7 120 160 120zM192 195.2V184C192 179.6 188.4 176 184 176H136C131.6 176 128 179.6 128 184V195.2C138.3 193.1 149 192 160 192C170.1 192 181.7 193.1 192 195.2zM160 224C89.31 224 32 281.3 32 352C32 422.7 89.31 480 160 480C230.7 480 288 422.7 288 352C288 281.3 230.7 224 160 224zM384 352C384 298.1 426.1 256 480 256C533 256 576 298.1 576 352C576 405 533 448 480 448C426.1 448 384 405 384 352zM480 416C515.3 416 544 387.3 544 352C544 316.7 515.3 288 480 288C444.7 288 416 316.7 416 352C416 387.3 444.7 416 480 416zM416 184C416 161.9 433.9 144 456 144C456 130.7 466.7 120 480 120C493.3 120 504 130.7 504 144C526.1 144 544 161.9 544 184V205.3C600.5 230 640 286.4 640 352C640 440.4 568.4 512 480 512C432.6 512 390 491.4 360.7 458.7C354.9 452.1 355.4 441.1 361.1 436.1C368.6 430.2 378.7 430.7 384.6 437.3C408 463.5 442.1 480 480 480C550.7 480 608 422.7 608 352C608 281.3 550.7 224 480 224C442.1 224 408 240.5 384.6 266.7C378.7 273.3 368.6 273.8 361.1 267.9C355.4 262 354.9 251.9 360.7 245.3C375.1 228.3 394.8 214.6 416 205.3L416 184zM448 195.2C458.3 193.1 469 192 480 192C490.1 192 501.7 193.1 512 195.2V184C512 179.6 508.4 176 504 176H456C451.6 176 448 179.6 448 184V195.2zM344 24C344 10.75 354.7 0 368 0C381.3 0 392 10.75 392 24C392 37.25 381.3 48 368 48C354.7 48 344 37.25 344 24zM424 72C424 58.75 434.7 48 448 48C461.3 48 472 58.75 472 72C472 85.25 461.3 96 448 96C434.7 96 424 85.25 424 72z"],
    "hands": [512, 512, ["sign-language", "signing"], "f2a7", "M463.1 128c-11.61 0-22.27 4.144-30.58 11.03l-35.85-98.49c-7.053-19.38-25.35-32.39-45.52-32.39c-2.883 0-5.797 .2656-8.721 .8222c-8.738 1.658-16.71 5.644-23.16 11.41C311.2 7.847 296.6 .0039 280.1 0c-2.883 0-5.813 .2676-8.738 .8241c-13.91 2.64-25.9 11.19-32.87 23.45C234.5 32.78 232.4 42.44 233.2 51.98C232.8 51.96 232.3 51.96 231.8 51.96c-2.881 0-5.791 .2636-8.713 .8183C209.1 55.42 197.1 63.97 190.2 76.23C185.3 84.74 183.3 94.4 184 103.9C183.6 103.9 183.1 103.9 182.6 103.9c-2.883 0-5.799 .2676-8.723 .8222C155.3 108.2 140.2 122.2 135.8 141.5c-2.154 9.4-.9805 19.27 2.318 28.34L139.1 172.5c3.613 9.925 15.58 13.83 24.35 7.933c7.068-4.75 9.273-14.15 5.055-21.55L167.7 157.4C164.3 148.3 169.8 138.1 179.8 136.2c.9199-.1758 1.84-.2597 2.748-.2597c1.635 0 3.172 .33 4.613 .9081C195.8 140.3 202.5 137.1 204.7 137.2C216.2 133.1 222.5 120.8 218.3 109.4L216.9 105.4C213.5 96.3 219 86.11 229 84.21c.9199-.1758 1.838-.2578 2.746-.2578c6.813 0 13.05 4.732 15.45 11.34l12.99 35.7c1.678 4.607 5.375 8.193 10.04 9.726c12.69 4.173 24.6-8.118 20.04-20.67l-24.23-66.57c-3.322-9.13 2.188-19.32 12.16-21.22c.9219-.1758 1.84-.2597 2.75-.2597c6.811 .002 13.04 4.734 15.45 11.34l40.49 111.2c.1445 .3984 2.893 9.032 13.31 10.32c11.72 1.449 20.7-10.42 16.66-21.52l-29.74-81.71c-3.324-9.132 2.186-19.32 12.16-21.22c.9199-.1758 1.84-.2597 2.748-.2597c6.813 0 13.05 4.732 15.45 11.34l53.74 147.6c1.016 2.789 2.904 5.177 5.385 6.808c9.176 6.033 21.38-.5488 21.38-11.53V176.9c0-7.968 5.445-15.35 13.31-16.64c10.03-1.631 18.69 6.06 18.69 15.78v128.3c0 8.704 7.068 15.75 15.77 15.73l.4687-.002c8.676-.0195 15.7-7.056 15.7-15.73L512 176C511.1 149.6 490.5 128 463.1 128zM359.1 203.9L247.2 166.8C242.8 165.2 237.3 164.2 231.7 164.2c-20.1 0-38.23 12.69-45.11 31.58C183.2 205.2 182.9 215 185.2 224h-104.3c-24.15 0-44.43 16.89-48.22 40.17C31.2 272.1 32.22 281.8 35.42 289.8c-17.92 4.939-31.73 19.57-34.79 38.36c-2.277 13.99 1.658 28.17 10.79 38.91c6.338 7.452 14.69 12.7 23.92 15.22c-1.238 3.127-2.158 6.425-2.717 9.862c-2.277 13.99 1.658 28.17 10.79 38.91c6.338 7.452 14.69 12.7 23.92 15.22c-1.238 3.127-2.158 6.425-2.717 9.862c-2.277 13.99 1.658 28.17 10.79 38.91C84.57 505.8 97.9 512 111.1 512h208c70.58 0 128-57.41 128-127.1v-58.51C447.1 270.1 412.6 221.2 359.1 203.9zM415.1 384c0 53.01-42.98 95.99-96 95.99H111.1c-9.717 0-17.41-8.663-15.78-18.69c1.281-7.866 8.668-13.31 16.64-13.31h79.14c8.836 0 16-7.163 16-15.1c0-8.835-7.164-15.1-16-15.1H79.1c-9.717 0-17.41-8.663-15.78-18.69c1.281-7.866 8.668-13.31 16.64-13.31h111.1c8.836 0 16-7.163 16-15.1c0-8.835-7.164-15.1-16-15.1H47.1c-9.717 0-17.41-8.663-15.78-18.69c1.281-7.866 8.668-13.31 16.64-13.31h143.1c8.836 0 16-7.163 16-15.1c0-8.835-7.164-15.1-16-15.1H79.1c-9.717 0-17.41-8.663-15.78-18.69C65.5 261.5 72.88 256 80.86 256h179.7c8.979 0 11.14-12.52 2.688-15.53L226.2 227.3c-8.303-3.023-12.58-12.2-9.563-20.51c2.365-6.497 8.5-10.53 15.04-10.53c1.816 0 3.664 .3125 5.471 .9687l112.8 37.1c39.39 12.95 66 49.73 66 91.19V384z"],
    "hands-asl-interpreting": [640, 512, ["american-sign-language-interpreting", "asl-interpreting", "hands-american-sign-language-interpreting"], "f2a3", "M311.1 294.4C310.2 289.9 308.7 285.6 306.7 281.6C309.7 278.2 312.2 274.4 314.2 270.3c6.062-12.44 6.797-26.43 2.068-39.4C310.8 216 302.5 202.7 291.8 191.5l21.67-6.006c27.93-7.75 44.57-36.16 36.4-63.86c-6.549-22.28-28.28-38.41-53.33-37.31c9.545-11.31 21.94-40.55-.8555-66.35C285.6 6.533 271 0 255.6 0C231.4-.0039 221.4 12.23 190.8 37.66C180.4 1.934 145.3 .0098 139.8 .0098c-20.56-.002-39.43 11.73-48.08 29.89L15.62 195.2C5.256 217.7 0 241.6 0 266.2C0 331.2 54.37 384 121.2 384l92.11-.0586c35.95-2.506 69.5-21.5 89.74-50.8C310.9 321.7 313.8 307.9 311.1 294.4zM245.9 254.4C239.6 237.4 222.9 225.9 204.2 225.9c-24.37 0-44.19 19.22-44.19 42.85s19.82 42.85 44.19 42.85c14.76 0 28.49-7.119 36.73-19.03c15.44-22.26 50.98 .2246 35.63 22.43C261.8 336.4 237.3 350.2 211.6 352H121.2C72.02 352 31.1 313.3 31.1 265.7c0-20.13 4.303-39.66 12.79-58.04l75.97-164.6c11.61-24.34 49.62-7.385 38.09 16.87L123.2 134.8l118.8-98.53c20.96-17.45 48.34 13.21 27.32 30.64L168.1 150.8l125.2-34.62c26.71-7.436 37.98 31.51 11.55 38.84l-97.06 26.84l24.62 8.039c25.33 8.271 44.93 26.89 53.77 51.09C295.3 266.1 255.1 279.9 245.9 254.4zM216 268c0 6.627-5.373 12-12 12S192 274.6 192 268S197.4 256 204 256S216 261.4 216 268zM518.8 128l-92.11 .0586c-35.95 2.506-69.5 21.5-89.74 50.8c-7.904 11.46-10.75 25.21-8.02 38.75c.9023 4.473 2.377 8.746 4.371 12.74c-2.965 3.402-5.492 7.205-7.512 11.35C319.7 254.1 319 268.1 323.7 281.1c5.424 14.87 13.77 28.21 24.43 39.43l-21.67 6.006c-27.93 7.75-44.57 36.16-36.4 63.86c6.549 22.28 28.28 38.41 53.33 37.31c-9.545 11.31-21.94 40.55 .8555 66.35C354.4 505.5 368.1 512 384.4 512c24.14 .0039 34.19-12.23 64.79-37.66c10.35 35.73 45.53 37.65 50.95 37.65c20.56 .002 39.43-11.73 48.08-29.89l76.14-165.3c10.37-22.5 15.62-46.4 15.62-71.05C640 180.8 585.6 128 518.8 128zM595.2 304.3l-75.97 164.6c-11.61 24.34-49.62 7.385-38.09-16.87l35.65-74.77l-118.8 98.53c-20.96 17.45-48.34-13.21-27.32-30.64l101.2-83.95l-125.2 34.62c-26.71 7.436-37.98-31.51-11.55-38.84l97.06-26.84l-24.62-8.039c-25.33-8.271-44.93-26.89-53.77-51.09c-9.152-25.07 30.99-38.88 40.29-13.43c6.236 17.07 22.98 28.54 41.67 28.54c24.37 0 44.19-19.22 44.19-42.85s-19.82-42.85-44.19-42.85c-14.76 0-28.49 7.119-36.73 19.03c-15.44 22.26-50.98-.2246-35.63-22.43C378.2 175.6 402.7 161.8 428.4 160h90.4c49.18 0 89.2 38.7 89.2 86.27C608 266.4 603.7 285.9 595.2 304.3zM424 244c0-6.627 5.373-12 12-12s12 5.373 12 12S442.6 256 436 256S424 250.6 424 244z"],
    "hands-bound": [640, 512, [], "e4f9", "M16.81 47.99C16.81 21.25 38.66-.3702 65.5 .0048C91.47 .3798 112.7 23.75 112.7 49.74L112 154.7L173.9 228C181 236.4 194 226.3 187.5 217.3L158.9 178.1C145.6 159.6 145.8 133.4 161.4 116.7C186.9 89.33 221.1 101.5 235.8 120.7L278.2 179.1C294.8 201.2 303.8 228.2 303.8 255.9V352H336V255.9C336 228.2 344.1 201.2 361.6 179.1L403.9 120.7C417.8 101.5 452.9 89.33 478.3 116.7C493.9 133.4 494.2 159.6 480.8 178.1L452.2 217.3C445.7 226.3 458.7 236.4 465.8 228L527.8 154.7L527.1 49.74C527.1 23.75 548.3 .3798 574.3 .0048C601.1-.3702 622.9 21.25 622.9 47.99L623.8 186.2C623.8 197.2 620 207.7 613.3 216.2L506.4 349.9C505.9 350.6 505.3 351.3 504.8 352H528C536.8 352 544 359.2 544 368C544 376.8 536.8 384 528 384H112C103.2 384 96 376.8 96 368C96 359.2 103.2 352 112 352H134.9C134.4 351.3 133.9 350.6 133.4 349.9L26.49 216.2C19.75 207.7 16 197.2 16 186.2L16.81 47.99zM170.2 352H271.9L271.8 255.9C271.8 235.3 265.1 214.8 252.3 197.9L210 139.6C204.6 132.2 194.6 130.8 187.7 136.1C179.8 141.7 179.3 151.8 184.2 158.3L214.6 200.6C214.9 200.8 215.1 201.1 215.1 201.3C241.2 241 181.3 288 144.5 243.7L79.92 166.2L80.61 48.62C80.61 26.25 48.65 26.87 48.65 47.87L47.96 186.2C47.96 189.8 49.21 193.4 51.46 196.2L158.3 329.9C163.3 336.1 167.3 343.8 170.2 352V352zM588.3 196.2C590.6 193.4 591.8 189.8 591.8 186.2L591.1 47.87C591.1 26.87 559.2 26.25 559.2 48.62L559.8 166.2L495.3 243.7C458.5 288 398.5 241 424.6 201.3C424.6 201.1 424.9 200.8 425.1 200.6L455.6 158.3C460.5 151.8 459.1 141.7 452.1 136.1C445.1 130.8 435.1 132.2 429.8 139.6L387.4 197.9C374.7 214.8 367.1 235.3 367.1 255.9L367.9 352H469.6C472.5 343.8 476.5 336.1 481.4 329.9L588.3 196.2zM528 416C536.8 416 544 423.2 544 432C544 440.8 536.8 448 528 448H496V496C496 504.8 488.8 512 480 512C471.2 512 464 504.8 464 496V448H368V496C368 504.8 360.8 512 352 512C343.2 512 336 504.8 336 496V448H304V496C304 504.8 296.8 512 288 512C279.2 512 272 504.8 272 496V448H176V496C176 504.8 168.8 512 160 512C151.2 512 144 504.8 144 496V448H112C103.2 448 96 440.8 96 432C96 423.2 103.2 416 112 416H528z"],
    "hands-bubbles": [576, 512, ["hands-wash"], "e05e", "M112 384c-35.29 0-64 28.71-64 64s28.71 63.1 64 63.1s64-28.71 64-63.1S147.3 384 112 384zM112 480c-17.67 0-32-14.33-32-32s14.33-32 32-32s32 14.33 32 32S129.7 480 112 480zM464 112c30.88 0 56-25.12 56-56s-25.12-56-56-56s-56 25.12-56 56S433.1 112 464 112zM464 32c13.26 0 24 10.75 24 24s-10.74 24-24 24s-24-10.75-24-24S450.7 32 464 32zM496 168c0 13.25 10.74 24 24 24S544 181.3 544 168s-10.74-24-24-24S496 154.7 496 168zM508.6 289.8c3.203-8.023 4.217-16.87 2.789-25.63c-3.789-23.28-24.07-40.17-48.22-40.17h-104.3c2.299-9.023 2.008-18.81-1.41-28.2c-6.879-18.89-25-31.58-45.11-31.58c-5.605 0-11.12 .9746-15.47 2.57L183.1 203.9C131.5 221.2 96 270.2 96 325.5v12.12c0 8.837 7.163 16 15.1 16S128 346.5 128 337.6v-12.11c0-41.46 26.62-78.24 66-91.19l112.8-37.1c1.807-.6562 3.654-.9687 5.471-.9687c6.537 0 12.67 4.031 15.04 10.53c3.021 8.305-1.26 17.48-9.562 20.51L280.7 240.5c-8.458 3.016-6.293 15.54 2.687 15.54h179.7c7.971 0 15.36 5.447 16.64 13.31c1.628 10.02-6.067 18.68-15.78 18.68h-111.1c-7.969 0-15.36 5.445-16.64 13.31c-1.631 10.02 6.064 18.69 15.78 18.69l143.1 0c7.971 0 15.36 5.447 16.64 13.32c1.628 10.02-6.067 18.68-15.78 18.68h-143.1c-7.969 0-15.36 5.445-16.64 13.31c-1.631 10.02 6.064 18.69 15.78 18.69l111.1 0c7.971 0 15.36 5.447 16.64 13.32c1.628 10.02-6.067 18.68-15.78 18.68h-111.1c-7.969 0-15.36 5.445-16.64 13.31c-1.631 10.02 6.064 18.69 15.78 18.69l79.14 0c7.971 0 15.36 5.447 16.64 13.32c1.628 10.02-6.067 18.68-15.78 18.68H224c-2.684 0-6.26-.3395-9.705-.7681c-.4799-.0597-11.16-1.604-16.39 9.29c-4.723 9.842 1.79 21.21 12.62 22.6C214.9 511.7 219.4 512 224 512l206.5 .0002c9.642 0 19.31-2.281 27.4-7.527c16.57-10.74 24.53-29.69 21.5-48.3c-.5586-3.436-1.479-6.734-2.717-9.861c9.229-2.516 17.58-7.766 23.92-15.22c9.137-10.74 13.07-24.93 10.79-38.92c-.5586-3.436-1.479-6.734-2.717-9.861c9.229-2.516 17.58-7.766 23.92-15.22c9.137-10.74 13.07-24.93 10.79-38.92C540.3 309.4 526.5 294.8 508.6 289.8zM64 304.3v-128.3c0-9.719 8.664-17.41 18.69-15.78C90.55 161.5 96 168.9 96 176.9v17.54c0 10.98 12.2 17.56 21.38 11.53c2.48-1.631 4.369-4.02 5.385-6.809L176.5 51.52c2.404-6.607 8.639-11.34 15.45-11.34c.9082 0 1.828 .084 2.748 .2598c9.979 1.895 15.49 12.09 12.16 21.22L177.1 143.4C173.1 154.5 182.1 166.3 193.8 164.9c10.42-1.287 13.17-9.922 13.31-10.32l40.49-111.2c2.406-6.607 8.641-11.34 15.45-11.34c.9102 0 1.828 .084 2.75 .2598C275.8 34.15 281.3 44.35 277.1 53.47L253.7 120C249.2 132.6 261.1 144.9 273.8 140.7c4.66-1.533 8.357-5.119 10.04-9.725l12.99-35.7c2.404-6.605 8.641-11.34 15.45-11.34c.9082 0 1.826 .082 2.746 .2578c9.977 1.896 15.49 12.09 12.16 21.22l-1.428 3.924c-4.17 11.45 2.129 23.7 13.6 27.82c2.172 .7793 8.834 3.123 17.49-.3555c1.441-.5781 2.979-.9082 4.613-.9082c.9082 0 1.828 .084 2.748 .2598c9.979 1.895 15.49 12.09 12.16 21.22L375.5 158.9c-4.219 7.4-2.014 16.8 5.055 21.55c8.77 5.895 20.74 1.992 24.35-7.932l.9766-2.684c3.299-9.064 4.473-18.94 2.318-28.34c-4.414-19.26-19.51-33.24-38.04-36.75c-2.924-.5547-5.84-.8223-8.723-.8223c-.4941 0-.9863 .0078-1.479 .0234c.7969-9.539-1.277-19.19-6.115-27.7c-6.971-12.26-18.95-20.81-32.89-23.46c-2.922-.5547-5.832-.8184-8.713-.8184c-.4941 0-.9883 .0078-1.48 .0234c.7969-9.541-1.277-19.2-6.119-27.71C297.7 12.01 285.7 3.465 271.8 .8245c-2.926-.5566-5.84-.8242-8.723-.8242C247.4 .0042 232.8 7.846 223.8 20.41c-6.451-5.768-14.43-9.754-23.16-11.41c-2.924-.5566-5.838-.8223-8.721-.8223c-20.18 0-38.47 13.02-45.52 32.39L110.6 139.1C102.3 132.2 91.61 128 80 128c-26.46 0-47.1 21.53-48 48.01l.0586 128.2c.002 8.674 7.025 15.71 15.7 15.73l.4687 .002C56.93 320 64 312.1 64 304.3z"],
    "hands-clapping": [512, 512, [], "e1a8", "M511.9 191.1c-.0938-30.83-25.34-55.98-56.16-55.98c-7.695 0-23.78 1.151-23.78 16.73c0 9.793 8.218 16.05 15.99 16.05c2.886 0 3.756-.7368 7.474-.7368c12.75 0 24.31 10.65 24.34 23.92L480 341.1c0 57.64-34.06 109.7-84.75 129.5c-6.332 2.47-10.2 8.512-10.2 14.9c0 8.678 7.025 16 16.01 16C410.7 501.5 512 458.6 512 341.1L511.9 191.1zM399.8 191.9c-.0488-30.85-25.17-55.94-56-55.94c-30.88 0-56 25.13-56 56.02v9.225l-95.13-96.05C181.7 94.22 166.8 88 151.5 88c-35.37 0-48.89 28.91-50.89 33.55C96.31 120.5 91.91 120 87.49 120c-13.76 0-26.89 5.004-36.96 14.09c-4.331 3.906-18.53 18.07-18.53 41.6c0 4.353 .5135 8.67 1.505 12.86C9.673 198.8 .001 222 .001 239.8c0 14.78 5.929 29.15 16.39 39.63l9.346 9.354C.6921 304.8 .0117 330.9 .0117 335.8c0 15.59 6.473 31.21 19.08 42.27l104.6 92.63C154.3 497.4 193.2 512 233.5 512C329.4 512 400 433.2 400 341.1L399.8 191.9zM233.5 480c-32.56 0-64-11.82-88.56-33.31l-104.7-92.73c-5.417-4.751-8.186-11.4-8.186-18.08c0-13.22 10.7-24.01 24-24.01c5.615 0 11.26 1.959 15.81 5.932l52.19 49.41c1.729 1.621 3.932 2.426 6.135 2.426c4.806 0 8.972-3.871 8.972-8.979c0-2.298-.876-4.596-2.628-6.349L39.03 256.8C34.34 252.1 32 245.9 32 239.8c0-12.5 9.741-23.72 23.49-23.72c6.678 0 13.44 2.682 18.44 7.688l95.81 95.89c1.943 1.943 4.488 2.914 7.031 2.914c5.326 0 9.945-4.289 9.945-9.952c0-2.547-.9707-5.094-2.912-7.036L71.03 192.7C66.34 188 63.1 181.9 63.1 175.7c0-12.49 9.739-23.72 23.49-23.72c6.676 0 13.44 2.682 18.44 7.688l111.8 111.9c1.941 1.943 4.486 2.914 7.031 2.914c5.326 0 9.945-4.289 9.945-9.952c0-2.547-.9707-5.095-2.912-7.038L135 160.7C130.3 156 128 149.9 128 143.7C128 131.2 137.7 120 151.5 120c6.678 0 13.44 2.682 18.44 7.688l133.7 135c1.928 1.928 4.297 2.793 6.621 2.793c4.865 0 9.533-3.781 9.533-9.492l.1367-64c0-13.27 10.61-24.02 23.87-24.02c13.24 0 23.98 10.73 24 23.98L368 341.1C368 415.4 312.4 480 233.5 480zM383.4 96c5.125 0 10.16-2.453 13.25-7.016l32.56-48c1.854-2.746 2.744-5.865 2.744-8.951c0-8.947-7.273-16.04-15.97-16.04c-5.125 0-10.17 2.465-13.27 7.02l-32.56 48C368.3 73.76 367.4 76.88 367.4 79.97C367.4 88.88 374.7 96 383.4 96zM243.3 88.98C246.4 93.55 251.4 96 256.6 96c8.762 0 15.99-7.117 15.99-16.03c0-3.088-.8906-6.205-2.744-8.951l-32.56-48C234.2 18.46 229.1 15.98 223.1 15.98c-8.664 0-15.98 7.074-15.98 16.05c0 3.086 .8906 6.205 2.744 8.951L243.3 88.98zM320 96c8.844 0 16-7.156 16-16v-64C336 7.156 328.8 0 320 0s-16 7.156-16 16v64C304 88.84 311.2 96 320 96z"],
    "hands-holding": [640, 512, [], "f4c2", "M128 252.3C128 256.9 128.4 261.4 129.3 265.8C131.4 262.6 133.9 259.5 136.7 256.7C158.4 234.1 193.6 234.1 215.3 256.7L306.6 347.1C311.7 353.1 316.2 358.6 320 364.6C323.8 358.6 328.3 353.1 333.4 347.1L424.7 256.7C446.4 234.1 481.6 234.1 503.3 256.7C506.1 259.5 508.6 262.6 510.7 265.8C511.6 261.4 512 256.9 512 252.3V128C512 92.65 540.7 64 576 64C611.3 64 640 92.65 640 128V344.2C640 373.9 628.2 402.4 607.2 423.4L523.3 507.3C517.1 513.6 506.9 513.6 500.7 507.3C494.4 501.1 494.4 490.9 500.7 484.7L584.6 400.8C599.6 385.8 608 365.5 608 344.2V127.1C608 110.3 593.7 95.1 576 95.1C558.3 95.1 544 110.3 544 127.1V252.3C544 279.4 533.2 305.4 514.1 324.5L443.3 395.3C437.1 401.6 426.9 401.6 420.7 395.3C414.4 389.1 414.4 378.9 420.7 372.7L480.7 312.7C489.9 303.5 489.9 288.5 480.7 279.3C471.5 270.1 456.5 270.1 447.3 279.3L356 370.6C343.2 383.4 336 400.8 336 418.9V496C336 504.8 328.8 512 320 512C311.2 512 304 504.8 304 496V418.9C304 400.8 296.8 383.4 283.1 370.6L192.7 279.3C183.5 270.1 168.5 270.1 159.3 279.3C150.1 288.5 150.1 303.5 159.3 312.7L219.3 372.7C225.6 378.9 225.6 389.1 219.3 395.3C213.1 401.6 202.9 401.6 196.7 395.3L180.7 379.3C180.7 379.3 180.7 379.3 180.7 379.3L136.7 335.3C136.7 335.3 136.7 335.3 136.7 335.3L125.9 324.5C106.8 305.4 96 279.4 96 252.3V127.1C96 110.3 81.67 95.1 64 95.1C46.33 95.1 32 110.3 32 127.1V344.2C32 365.5 40.43 385.8 55.43 400.8L139.3 484.7C145.6 490.9 145.6 501.1 139.3 507.3C133.1 513.6 122.9 513.6 116.7 507.3L32.8 423.4C11.8 402.4 0 373.9 0 344.2V128C0 92.65 28.65 64 64 64C99.35 64 128 92.65 128 128L128 252.3z"],
    "hands-holding-child": [640, 512, [], "e4fa", "M368 48C368 74.51 346.5 96 320 96C293.5 96 272 74.51 272 48C272 21.49 293.5 0 320 0C346.5 0 368 21.49 368 48zM320 32C311.2 32 304 39.16 304 48C304 56.84 311.2 64 320 64C328.8 64 336 56.84 336 48C336 39.16 328.8 32 320 32zM287.1 287.1C278.2 287.5 271.5 279.9 272 271.1L278.4 162.8L251.3 189.1C245.1 196.2 234.1 196.2 228.7 190C222.4 183.8 222.4 173.6 228.7 167.4L258.3 137.6C274.6 121.2 296.8 111.1 320 111.1C343.2 111.1 365.4 121.2 381.7 137.6L411.3 167.4C417.6 173.6 417.6 183.8 411.3 190C405 196.2 394.9 196.2 388.7 189.1L361.6 162.8L367.1 271.1C368.5 279.9 361.8 287.5 352.9 287.1C344.1 288.5 336.5 281.8 336 272.9L334.1 240H305.9L303.1 272.9C303.5 281.8 295.9 288.5 287.1 287.1V287.1zM320 144C317.1 144 314.3 144.2 311.5 144.7L307.8 208H332.2L328.5 144.7C325.7 144.2 322.9 144 320 144V144zM64 64C99.35 64 128 92.65 128 128V252.3C128 256.9 128.4 261.4 129.3 265.8C131.4 262.6 133.9 259.5 136.7 256.7C158.4 234.1 193.6 234.1 215.3 256.7L306.6 347.1C311.7 353.1 316.2 358.6 320 364.6C323.8 358.6 328.3 353.1 333.4 347.1L424.7 256.7C446.4 234.1 481.6 234.1 503.3 256.7C506.1 259.5 508.6 262.6 510.7 265.8C511.6 261.4 512 256.9 512 252.3V128C512 92.65 540.7 64 576 64C611.3 64 640 92.65 640 128V344.2C640 373.9 628.2 402.4 607.2 423.4L523.3 507.3C517.1 513.6 506.9 513.6 500.7 507.3C494.4 501.1 494.4 490.9 500.7 484.7L584.6 400.8C599.6 385.8 608 365.5 608 344.2V127.1C608 110.3 593.7 95.1 576 95.1C558.3 95.1 544 110.3 544 127.1V252.3C544 279.4 533.2 305.4 514.1 324.5L443.3 395.3C437.1 401.6 426.9 401.6 420.7 395.3C414.4 389.1 414.4 378.9 420.7 372.7L480.7 312.7C489.9 303.5 489.9 288.5 480.7 279.3C471.5 270.1 456.5 270.1 447.3 279.3L356 370.6C343.2 383.4 336 400.8 336 418.9V496C336 504.8 328.8 512 320 512C311.2 512 304 504.8 304 496V418.9C304 400.8 296.8 383.4 283.1 370.6L192.7 279.3C183.5 270.1 168.5 270.1 159.3 279.3C150.1 288.5 150.1 303.5 159.3 312.7L219.3 372.7C225.6 378.9 225.6 389.1 219.3 395.3C213.1 401.6 202.9 401.6 196.7 395.3L125.9 324.5C106.8 305.4 96 279.4 96 252.3V127.1C96 110.3 81.67 95.1 64 95.1C46.33 95.1 32 110.3 32 127.1V344.2C32 365.5 40.43 385.8 55.43 400.8L139.3 484.7C145.6 490.9 145.6 501.1 139.3 507.3C133.1 513.6 122.9 513.6 116.7 507.3L32.8 423.4C11.8 402.4 0 373.9 0 344.2V128C0 92.65 28.65 64 64 64H64z"],
    "hands-holding-circle": [640, 512, [], "e4fb", "M448 128C448 198.7 390.7 256 320 256C249.3 256 192 198.7 192 128C192 57.31 249.3 0 320 0C390.7 0 448 57.31 448 128zM320 32C266.1 32 224 74.98 224 128C224 181 266.1 224 320 224C373 224 416 181 416 128C416 74.98 373 32 320 32zM64 64C99.35 64 128 92.65 128 128V252.3C128 256.9 128.4 261.4 129.3 265.8C131.4 262.6 133.9 259.5 136.7 256.7C158.4 234.1 193.6 234.1 215.3 256.7L306.6 347.1C311.7 353.1 316.2 358.6 320 364.6C323.8 358.6 328.3 353.1 333.4 347.1L424.7 256.7C446.4 234.1 481.6 234.1 503.3 256.7C506.1 259.5 508.6 262.6 510.7 265.8C511.6 261.4 512 256.9 512 252.3V128C512 92.65 540.7 64 576 64C611.3 64 640 92.65 640 128V344.2C640 373.9 628.2 402.4 607.2 423.4L523.3 507.3C517.1 513.6 506.9 513.6 500.7 507.3C494.4 501.1 494.4 490.9 500.7 484.7L584.6 400.8C599.6 385.8 608 365.5 608 344.2V127.1C608 110.3 593.7 95.1 576 95.1C558.3 95.1 544 110.3 544 127.1V252.3C544 279.4 533.2 305.4 514.1 324.5L443.3 395.3C437.1 401.6 426.9 401.6 420.7 395.3C414.4 389.1 414.4 378.9 420.7 372.7L480.7 312.7C489.9 303.5 489.9 288.5 480.7 279.3C471.5 270.1 456.5 270.1 447.3 279.3L356 370.6C343.2 383.4 336 400.8 336 418.9V496C336 504.8 328.8 512 320 512C311.2 512 304 504.8 304 496V418.9C304 400.8 296.8 383.4 283.1 370.6L192.7 279.3C183.5 270.1 168.5 270.1 159.3 279.3C150.1 288.5 150.1 303.5 159.3 312.7L219.3 372.7C225.6 378.9 225.6 389.1 219.3 395.3C213.1 401.6 202.9 401.6 196.7 395.3L125.9 324.5C106.8 305.4 96 279.4 96 252.3V127.1C96 110.3 81.67 95.1 64 95.1C46.33 95.1 32 110.3 32 127.1V344.2C32 365.5 40.43 385.8 55.43 400.8L139.3 484.7C145.6 490.9 145.6 501.1 139.3 507.3C133.1 513.6 122.9 513.6 116.7 507.3L32.8 423.4C11.8 402.4 0 373.9 0 344.2V128C0 92.65 28.65 64 64 64H64z"],
    "hands-holding-diamond": [640, 512, ["hand-receiving"], "f47c", "M342.6 9.372L438.6 105.4C451.1 117.9 451.1 138.1 438.6 150.6L342.6 246.6C330.1 259.1 309.9 259.1 297.4 246.6L201.4 150.6C188.9 138.1 188.9 117.9 201.4 105.4L297.4 9.372C309.9-3.124 330.1-3.124 342.6 9.372V9.372zM320 224L416 128L320 32L224 128L320 224zM64 64C99.35 64 128 92.65 128 128V252.3C128 256.9 128.4 261.4 129.3 265.8C131.4 262.6 133.9 259.5 136.7 256.7C158.4 234.1 193.6 234.1 215.3 256.7L306.6 347.1C311.7 353.1 316.2 358.6 320 364.6C323.8 358.6 328.3 353.1 333.4 347.1L424.7 256.7C446.4 234.1 481.6 234.1 503.3 256.7C506.1 259.5 508.6 262.6 510.7 265.8C511.6 261.4 512 256.9 512 252.3V128C512 92.65 540.7 64 576 64C611.3 64 640 92.65 640 128V344.2C640 373.9 628.2 402.4 607.2 423.4L523.3 507.3C517.1 513.6 506.9 513.6 500.7 507.3C494.4 501.1 494.4 490.9 500.7 484.7L584.6 400.8C599.6 385.8 608 365.5 608 344.2V127.1C608 110.3 593.7 95.1 576 95.1C558.3 95.1 544 110.3 544 127.1V252.3C544 279.4 533.2 305.4 514.1 324.5L443.3 395.3C437.1 401.6 426.9 401.6 420.7 395.3C414.4 389.1 414.4 378.9 420.7 372.7L480.7 312.7C489.9 303.5 489.9 288.5 480.7 279.3C471.5 270.1 456.5 270.1 447.3 279.3L356 370.6C343.2 383.4 336 400.8 336 418.9V496C336 504.8 328.8 512 320 512C311.2 512 304 504.8 304 496V418.9C304 400.8 296.8 383.4 283.1 370.6L192.7 279.3C183.5 270.1 168.5 270.1 159.3 279.3C150.1 288.5 150.1 303.5 159.3 312.7L219.3 372.7C225.6 378.9 225.6 389.1 219.3 395.3C213.1 401.6 202.9 401.6 196.7 395.3L125.9 324.5C106.8 305.4 96 279.4 96 252.3V127.1C96 110.3 81.67 95.1 64 95.1C46.33 95.1 32 110.3 32 127.1V344.2C32 365.5 40.43 385.8 55.43 400.8L139.3 484.7C145.6 490.9 145.6 501.1 139.3 507.3C133.1 513.6 122.9 513.6 116.7 507.3L32.8 423.4C11.8 402.4 0 373.9 0 344.2V128C0 92.65 28.65 64 64 64H64z"],
    "hands-holding-dollar": [640, 512, ["hands-usd"], "f4c5", "M319.1 .0003C328.8 .0003 336 7.164 336 16V32.77C346.1 33.98 357.6 36.45 367.2 39.07C375.7 41.4 380.8 50.2 378.4 58.72C376.1 67.25 367.3 72.27 358.8 69.94C346.7 66.64 334.8 64.18 323.7 64.01C314.5 63.86 304.6 66.08 297.7 70.31C291.3 74.19 288 79.1 288.1 86.13C288.1 91.21 290.1 94.83 296.7 98.93C304.3 103.6 315 106.1 328.6 111.2L329.1 111.3C341.4 115.2 356.4 119.8 368.2 127.4C381.1 135.8 391.7 148.7 391.1 168.3C392.3 188.9 382.1 203.9 367.1 212.9C358.3 219 347 222.3 336 223.5V239.1C336 248.8 328.8 255.1 320 255.1C311.2 255.1 304 248.8 304 239.1V221.4C293 219 282.7 215.4 273.6 212.2C271.2 211.3 268.1 210.5 266.8 209.8C258.5 206.9 254 197.8 256.9 189.5C259.7 181.1 268.8 176.7 277.2 179.5C279.8 180.4 282.4 181.3 284.9 182.2C299.6 187.3 311.6 191.5 324.5 191.1C334.5 192.3 344.2 190.1 350.8 185.9C356.6 182.2 360.1 176.1 359.1 168.7C359.9 162.7 357.4 158.6 350.8 154.3C343.3 149.4 332.6 145.9 319.1 141.8L317.4 141.2C305.5 137.5 291.2 133.1 279.9 126.1C267.1 118.2 256.2 105.7 256.1 86.29C255.1 65.73 267.2 51.37 281.1 42.95C288.2 38.64 296.1 35.76 303.1 34.03V16C303.1 7.164 311.2 0 319.1 0L319.1 .0003zM64 64C99.35 64 128 92.65 128 128V252.3C128 256.9 128.4 261.4 129.3 265.8C131.4 262.6 133.9 259.5 136.7 256.7C158.4 234.1 193.6 234.1 215.3 256.7L306.6 347.1C311.7 353.1 316.2 358.6 320 364.6C323.8 358.6 328.3 353.1 333.4 347.1L424.7 256.7C446.4 234.1 481.6 234.1 503.3 256.7C506.1 259.5 508.6 262.6 510.7 265.8C511.6 261.4 512 256.9 512 252.3V128C512 92.65 540.7 64 576 64C611.3 64 640 92.65 640 128V344.2C640 373.9 628.2 402.4 607.2 423.4L523.3 507.3C517.1 513.6 506.9 513.6 500.7 507.3C494.4 501.1 494.4 490.9 500.7 484.7L584.6 400.8C599.6 385.8 608 365.5 608 344.2V128C608 110.3 593.7 96 576 96C558.3 96 544 110.3 544 128V252.3C544 279.4 533.2 305.4 514.1 324.5L443.3 395.3C437.1 401.6 426.9 401.6 420.7 395.3C414.4 389.1 414.4 378.9 420.7 372.7L480.7 312.7C489.9 303.5 489.9 288.5 480.7 279.3C471.5 270.1 456.5 270.1 447.3 279.3L356 370.6C343.2 383.4 336 400.8 336 418.9V496C336 504.8 328.8 512 320 512C311.2 512 304 504.8 304 496V418.9C304 400.8 296.8 383.4 283.1 370.6L192.7 279.3C183.5 270.1 168.5 270.1 159.3 279.3C150.1 288.5 150.1 303.5 159.3 312.7L219.3 372.7C225.6 378.9 225.6 389.1 219.3 395.3C213.1 401.6 202.9 401.6 196.7 395.3L125.9 324.5C106.8 305.4 96 279.4 96 252.3V128C96 110.3 81.67 96 64 96C46.33 96 32 110.3 32 128V344.2C32 365.5 40.43 385.8 55.43 400.8L139.3 484.7C145.6 490.9 145.6 501.1 139.3 507.3C133.1 513.6 122.9 513.6 116.7 507.3L32.8 423.4C11.8 402.4 0 373.9 0 344.2V128C0 92.65 28.65 64 64 64H64z"],
    "hands-holding-heart": [640, 512, ["hands-heart"], "f4c3", "M299.9 21.26L320 41.37L340.1 21.26C353.7 7.646 372.2 0 391.4 0C431.5 0 464 32.49 464 72.57V77.4C464 98.79 455.1 119.2 439.5 133.9L341.9 225.4C329.6 236.1 310.4 236.1 298.1 225.4L200.5 133.9C184.9 119.2 176 98.79 176 77.4V72.57C176 32.49 208.5 .0003 248.6 .0003C267.8 .0003 286.3 7.646 299.9 21.26H299.9zM208 77.4C208 89.95 213.2 101.9 222.3 110.5L320 202.1L417.7 110.5C426.8 101.9 432 89.95 432 77.4V72.57C432 50.16 413.8 32 391.4 32C380.7 32 370.4 36.27 362.7 43.88L331.3 75.31C325.1 81.56 314.9 81.56 308.7 75.31L277.3 43.88C269.6 36.27 259.3 32 248.6 32C226.2 32 208 50.16 208 72.57V77.4zM64 64C99.35 64 128 92.65 128 128V252.3C128 256.9 128.4 261.4 129.3 265.8C131.4 262.6 133.9 259.5 136.7 256.7C158.4 234.1 193.6 234.1 215.3 256.7L306.6 347.1C311.7 353.1 316.2 358.6 320 364.6C323.8 358.6 328.3 353.1 333.4 347.1L424.7 256.7C446.4 234.1 481.6 234.1 503.3 256.7C506.1 259.5 508.6 262.6 510.7 265.8C511.6 261.4 512 256.9 512 252.3V128C512 92.65 540.7 64 576 64C611.3 64 640 92.65 640 128V344.2C640 373.9 628.2 402.4 607.2 423.4L523.3 507.3C517.1 513.6 506.9 513.6 500.7 507.3C494.4 501.1 494.4 490.9 500.7 484.7L584.6 400.8C599.6 385.8 608 365.5 608 344.2V128C608 110.3 593.7 96 576 96C558.3 96 544 110.3 544 128V252.3C544 279.4 533.2 305.4 514.1 324.5L443.3 395.3C437.1 401.6 426.9 401.6 420.7 395.3C414.4 389.1 414.4 378.9 420.7 372.7L480.7 312.7C489.9 303.5 489.9 288.5 480.7 279.3C471.5 270.1 456.5 270.1 447.3 279.3L356 370.6C343.2 383.4 336 400.8 336 418.9V496C336 504.8 328.8 512 320 512C311.2 512 304 504.8 304 496V418.9C304 400.8 296.8 383.4 283.1 370.6L192.7 279.3C183.5 270.1 168.5 270.1 159.3 279.3C150.1 288.5 150.1 303.5 159.3 312.7L219.3 372.7C225.6 378.9 225.6 389.1 219.3 395.3C213.1 401.6 202.9 401.6 196.7 395.3L125.9 324.5C106.8 305.4 96 279.4 96 252.3V128C96 110.3 81.67 96 64 96C46.33 96 32 110.3 32 128V344.2C32 365.5 40.43 385.8 55.43 400.8L139.3 484.7C145.6 490.9 145.6 501.1 139.3 507.3C133.1 513.6 122.9 513.6 116.7 507.3L32.8 423.4C11.8 402.4 0 373.9 0 344.2V128C0 92.65 28.65 64 64 64H64z"],
    "hands-praying": [640, 512, ["praying-hands"], "f684", "M640 496c0-7.153-4.742-13.44-11.62-15.41l-234-69.47C359.9 401.4 336 369.1 336 334.1v-86.12c0-13.25 10.75-23.1 24-23.1S384 234.7 384 247.1v55.1c0 8.8 7.2 15.1 15.1 15.1C408.8 319.1 416 312.8 416 303.1V227.9c0-16.75-4.375-33.12-12.62-47.62l-64.25-112.4c-6.5-11.5-2.5-26.12 9-32.75c11-6.25 25.87-3.125 32.75 8.1l86.5 151.4C475.6 209.1 480 226.4 480 243.1v66.5c0 14.12 9.125 26.5 22.62 30.62l116.5 38.85C629.5 382.4 640 374.6 640 363.8c0-6.996-4.54-13.2-11.21-15.3L512 309.6V243.1c0-22.25-5.75-44.12-16.88-63.5l-86.5-151.4C398.8 10.87 380.1 0 360 0C345.3 0 330.8 5.1 320 16.1C309.3 5.1 294.8 0 280 0C259.9 0 241.3 10.87 231.4 28.25l-86.5 151.4C133.8 198.1 128 220.9 128 243.1v66.5l-116.8 38.89C4.54 350.6 0 356.8 0 363.8c0 10.82 10.51 18.55 20.83 15.3l116.5-38.85C150.9 336.1 160 323.7 160 309.6V243.1c0-16.75 4.375-33.12 12.62-47.62l86.5-151.4c7-12.12 21.88-15.12 32.75-8.1c11.5 6.625 15.5 21.25 9 32.75L236.6 180.2C228.4 194.7 224 211.1 224 227.9v76.12c0 8.8 7.2 15.1 15.1 15.1S256 312.8 256 303.1V247.1c0-13.25 10.75-23.1 24-23.1S304 234.7 304 247.1v86.12c0 35.87-23.88 67.25-58.38 76.1L11.62 480.6C4.742 482.6 0 488.8 0 495.1c0 10.65 10.19 18.33 20.43 15.4l233.8-69.53C282.6 433.1 305.6 415.2 320 391.2c14.38 23.1 37.38 42.75 65.75 50.62l233.8 69.53C629.8 514.3 640 506.6 640 496zM320 210.2c-8.75-9.75-20.5-16.5-34.13-17.1c-7-.625-13.75-.125-20.12 1.625L320 98.87l54.25 94.1c-6.375-1.75-13.12-2.25-20.12-1.625C340.5 193.7 328.8 200.5 320 210.2z"],
    "handshake": [640, 512, [], "f2b5", "M640 400c0 8.844-7.156 16-16 16H576c-20.83 0-38.43-13.42-45.05-32h-31.68c-1.695 4.467-3.529 8.932-6.689 12.84l-9.094 11.25c-14 17.34-38.19 21.88-57.41 11.97l-20.27 24.97c-18.03 21.97-50.47 25.25-72.31 7.406l-6.094-5.281c-11.14 9-25.12 14.88-40.23 16.44C284.5 463.9 281.8 464 279.1 464c-17.58 0-34.48-6-48.33-17.25L149.5 384H109.1C102.4 402.6 84.83 416 64 416H32c-8.844 0-16-7.156-16-16S23.16 384 32 384l32-.0606c8.828 0 16-7.127 16-15.94V160h-64C7.156 160 0 152.8 0 144S7.156 128 16 128h114.9c33.55-33.2 76.95-55.11 122.8-61.77c8.781-1.391 16.86 4.781 18.12 13.53C273.1 88.5 267 96.63 258.3 97.89C217.4 103.8 178.7 124.1 149.3 154.9L144.6 159.8L112 160v192h48.39l90.3 69.69c9.625 7.781 21.22 11.25 33.2 10.06c11.88-1.219 22.56-7 30.09-16.28l10.55-10.53l12.62 8.312L354.1 428c7.844 6.406 20.09 5.094 26.89-3.188l40-49.25l17.56 14.72c5.953 4.719 15.09 3.844 20.03-2.312l9.094-11.25c4.953-6.125 4.016-15.19-2.109-20.19l-108.5-88.11c-6.859-5.578-7.891-15.66-2.328-22.52c5.547-6.844 15.62-7.906 22.52-2.328l108.5 88.14c6.725 5.471 10.75 12.67 13.52 20.28H528V160h-32.31l-4.703-4.797C454.1 117.6 404.7 96 355.6 96h-8.172c-3.562 0-6.953 1.359-9.766 3.922L244.4 187.2C234.3 196.9 235.8 211.1 243.1 219.2C245.6 221.9 251.9 226.1 259.2 226.5c5.125 .0938 10.11-1.609 14.62-5.703l.6406 .7031C282.7 212.4 302.5 194 350.1 149.8c6.469-5.984 16.58-5.656 22.61 .8281c6.016 6.469 5.641 16.59-.8281 22.61L295.4 244.4C285.3 253.6 273.1 258.5 260.2 258.5c-.8594 0-1.719-.0313-2.594-.0625C240.5 257.6 226.6 248.7 219.4 240.6c-19.7-21.69-18.88-54.53 1.734-75.39L221.5 164.8l94.47-88.34C324.8 68.36 335.9 64 347.4 64h8.172c55.52 0 111 23.25 153.4 64H624C632.8 128 640 135.2 640 144S632.8 160 624 160h-64v208c0 8.812 7.17 16.01 15.1 16.01L624 384C632.8 384 640 391.2 640 400z"],
    "handshake-angle": [640, 512, ["hands-helping"], "f4c4", "M473.5 176H384c-8.844 0-16 7.156-16 16s7.156 16 16 16h89.5C477.1 208 480 210.9 480 214.5v45C480 263.1 477.1 266 473.5 266H464c-8.844 0-16 7.156-16 16v45c0 16.53-11.61 29-27 29H416c-8.844 0-16 7.156-16 16c0 24.28-19.73 44.03-44 44.03L240 416c-2.781 0-5.516 .7187-7.938 2.094l-112 64C112.4 486.5 109.7 496.3 114.1 503.9C117.1 509.1 122.4 512 128 512c2.688 0 5.428-.6875 7.928-2.094L244.3 448L356 448c36.69 0 67.39-26.12 74.47-60.78C458.9 382.7 480 357.9 480 327V297.4c18.14-3.094 32-18.92 32-37.94v-45C512 193.3 494.7 176 473.5 176zM126 266.8c0-43.7 21.77-82.88 58.22-104.8c7.562-4.562 10.02-14.39 5.469-21.97C185.1 132.5 175.3 129.1 167.8 134.6C124.3 160.7 97.28 206.1 94.31 257.3L8.125 306.1c-7.703 4.375-10.41 14.12-6.047 21.81C5.016 333.1 10.44 336 16.02 336c2.672 0 5.375-.6562 7.859-2.062L126 276.1V266.8zM280 288c30.88 0 56-25.12 56-56V154c0-8.844-7.156-16-16-16s-16 7.156-16 16V232C304 245.2 293.2 256 280 256S256 245.2 256 232V118c0-4.812 2.438-9.203 6.531-11.75C290.1 89.09 321.9 80 354.4 80l61.6-.0034c.0039 0-.0039 0 0 0c.002 0-.002 0 0 0c.0137 0-.0137 0 0 0c2.703-.0098 5.166-.8599 7.394-2.049c.2617-.1387 .5625-.0742 .8203-.2285l80-48c7.578-4.547 10.03-14.38 5.484-21.95c-4.547-7.562-14.39-10.03-21.95-5.484L411.6 48h-57.15c-38.5 0-76.14 10.77-108.8 31.12C232.1 87.55 224 102.1 224 118V232C224 262.9 249.1 288 280 288zM637.5 183.5C632.9 176 622.1 173.8 615.5 178.5l-63.81 40.19c-7.469 4.703-9.719 14.58-5 22.06c3.031 4.828 8.234 7.469 13.55 7.469c2.906 0 5.859-.7969 8.516-2.469l63.81-40.19C640 200.8 642.3 190.1 637.5 183.5z"],
    "handshake-simple": [640, 512, [129309, "handshake-alt"], "f4c6", "M137.6 160L144.6 159.8l4.734-4.969C178.7 124.1 217.4 103.8 258.3 97.89C267 96.63 273.1 88.5 271.8 79.77C270.6 71.02 262.5 64.84 253.7 66.23C207.8 72.89 164.4 94.8 130.9 128H16C7.156 128 0 135.2 0 144S7.156 160 16 160H137.6zM221.1 165.2C200.5 186.1 199.7 218.9 219.4 240.6C226.6 248.7 240.5 257.6 257.6 258.4c.875 .0313 1.734 .0625 2.594 .0625c12.94 0 25.05-4.844 35.19-14.08l76.47-71.19c6.469-6.016 6.844-16.14 .8281-22.61c-6.031-6.484-16.14-6.812-22.61-.8281C302.5 194 282.7 212.4 274.5 221.5L273.8 220.8c-4.516 4.094-9.5 5.797-14.62 5.703C251.9 226.1 245.6 221.9 243.1 219.2C235.8 211.1 234.3 196.9 244.4 187.2l93.28-87.3C340.5 97.36 343.9 96 347.4 96h8.172c49.13 0 98.47 21.58 135.4 59.2L495.7 160H624C632.8 160 640 152.8 640 144S632.8 128 624 128h-115c-42.33-40.75-97.86-64-153.4-64h-8.172c-11.52 0-22.64 4.359-31.47 12.42L221.5 164.8L221.1 165.2zM624 352h-124.7c-2.766-7.615-6.795-14.81-13.52-20.28l-108.5-88.14c-6.891-5.578-16.97-4.516-22.52 2.328c-5.562 6.859-4.531 16.94 2.328 22.52l108.5 88.11c6.125 5 7.062 14.06 2.109 20.19l-9.094 11.25c-4.938 6.156-14.08 7.031-20.03 2.312l-17.56-14.72l-40 49.25c-6.797 8.281-19.05 9.594-26.89 3.188l-16.97-14.75l-12.62-8.312l-10.55 10.53c-7.531 9.281-18.22 15.06-30.09 16.28c-11.98 1.188-23.58-2.281-33.2-10.06L160.4 352l-128.4-.1209C23.15 351.9 16 359.2 16 368S23.16 384 32 384h117.5l81.33 62.75C244.7 458 261.6 464 279.1 464c2.672 0 5.344-.125 8.031-.4062c15.11-1.562 29.09-7.438 40.23-16.44l6.094 5.281c21.84 17.84 54.28 14.56 72.31-7.406l20.27-24.97c19.22 9.906 43.41 5.375 57.41-11.97l9.094-11.25C495.7 392.9 497.6 388.5 499.3 384H624c8.844 0 16-7.156 16-16S632.8 352 624 352z"],
    "handshake-simple-slash": [640, 512, ["handshake-alt-slash"], "e05f", "M258.3 97.89C267 96.63 273.1 88.5 271.8 79.77C270.6 71.02 262.5 64.84 253.7 66.23c-17.82 2.586-35.03 8.109-51.67 15.07l29.09 22.97C240 101.5 249.1 99.23 258.3 97.89zM350.1 149.8l-28.15 26.18l25.41 20.06l24.53-22.8c6.469-6.016 6.844-16.14 .8281-22.61C366.7 144.1 356.5 143.8 350.1 149.8zM286.4 147.9l51.28-47.99C340.5 97.36 343.9 96 347.4 96h8.172c49.13 0 98.47 21.58 135.4 59.2L495.7 160H624C632.8 160 640 152.8 640 144S632.8 128 624 128h-115c-42.33-40.75-97.86-64-153.4-64h-8.172c-11.52 0-22.64 4.359-31.47 12.42L260.1 127.8L286.4 147.9zM381 424.8c-6.797 8.281-19.05 9.594-26.89 3.188l-16.97-14.75l-12.62-8.312l-10.55 10.53c-7.531 9.281-18.22 15.06-30.09 16.28c-11.98 1.188-23.58-2.281-33.2-10.06L160.4 352l-128.4-.1424C23.16 351.9 16 359.2 16 368S23.16 384 32 384h117.5l81.33 62.75C244.7 458 261.6 464 279.1 464c2.672 0 5.344-.125 8.031-.4062c15.11-1.562 29.09-7.438 40.23-16.44l6.094 5.281c21.84 17.84 54.28 14.56 72.31-7.406l19.66-24.22l-25.11-19.82L381 424.8zM95.12 160L54.59 128H16C7.156 128 0 135.2 0 144S7.156 160 16 160H95.12zM624 352h-79.1l40.53 32H624c8.844 0 16-7.156 16-16S632.8 352 624 352zM25.92 3.42c-6.938-5.453-17-4.25-22.48 2.641c-5.469 6.938-4.281 17 2.641 22.48l608 480C617 510.9 620.5 512 623.1 512c4.734 0 9.422-2.094 12.58-6.078c5.469-6.938 4.281-17-2.641-22.49L25.92 3.42z"],
    "handshake-slash": [640, 512, [], "e060", "M258.3 97.89C267 96.63 273.1 88.5 271.8 79.77C270.6 71.02 262.5 64.84 253.7 66.23c-17.82 2.586-35.03 8.109-51.67 15.07l29.09 22.97C240 101.5 249.1 99.23 258.3 97.89zM350.1 149.8l-28.15 26.18l25.41 20.06l24.53-22.8c6.469-6.016 6.844-16.14 .8281-22.61C366.7 144.1 356.5 143.8 350.1 149.8zM286.4 147.9l51.28-47.99C340.5 97.36 343.9 96 347.4 96h8.172c49.13 0 98.47 21.58 135.4 59.2L495.7 160H528v178.7l32 25.26V160h64C632.8 160 640 152.8 640 144S632.8 128 624 128h-115c-42.33-40.75-97.86-64-153.4-64h-8.172c-11.52 0-22.64 4.359-31.47 12.42L260.1 127.8L286.4 147.9zM381 424.8c-6.797 8.281-19.05 9.594-26.89 3.188l-16.97-14.75l-12.62-8.312l-10.55 10.53c-7.531 9.281-18.22 15.06-30.09 16.28c-11.98 1.188-23.58-2.281-33.2-10.06L160.4 352H112V173.3L54.59 128H16C7.156 128 0 135.2 0 144S7.156 160 16 160h64v208c0 8.812-7.172 15.93-15.1 15.93L32 384c-8.844 0-16 7.156-16 16S23.16 416 32 416h32c20.83 0 38.43-13.42 45.05-32h40.43l81.33 62.75C244.7 458 261.6 464 279.1 464c2.672 0 5.344-.125 8.031-.4062c15.11-1.562 29.09-7.438 40.23-16.44l6.094 5.281c21.84 17.84 54.28 14.56 72.31-7.406l19.66-24.22l-25.11-19.82L381 424.8zM624 384h-38.56l40.13 31.68C633.6 414.9 640 408.3 640 400C640 391.2 632.8 384 624 384zM25.92 3.42c-6.938-5.453-17-4.25-22.48 2.641c-5.469 6.938-4.281 17 2.641 22.48l608 480C617 510.9 620.5 512 623.1 512c4.734 0 9.422-2.094 12.58-6.078c5.469-6.938 4.281-17-2.641-22.49L25.92 3.42z"],
    "hanukiah": [640, 512, [128334], "f6e6", "M592 160c-8.83 0-16.03 7.188-16.03 16.02L575.1 304c0 20.86-13.39 38.44-31.98 45.05l.0029-173.1C543.1 167.2 536.8 160 528 160s-16.01 7.203-16.01 15.96L512 352h-32.07l.0117-176C479.1 167.2 472.8 160 464 160c-8.76 0-15.99 7.203-15.99 15.96L448 352h-32.07l.0195-176C415.1 167.2 408.8 160 399.1 160s-15.99 7.202-15.99 15.99L384 352h-47.98l-.0247-240c0-8.82-7.16-16.1-15.98-16.1S303.1 103.2 303.1 111.1L303.1 352H255.1l.0078-176C255.1 167.2 248.8 160 240 160C231.2 160 224 167.2 224 175.1L224 352H191.1l.0166-176C191.1 167.2 184.8 160 175.1 160C167.2 160 160 167.2 160 175.1L160 352H127.1l.0244-176C127.1 167.2 120.8 160 111.1 160C103.2 160 96 167.2 96 175.1l.0029 173.1c-18.59-6.609-31.99-24.18-31.99-45.04l-.013-128C64.01 167.2 56.84 160 48.02 160C39.19 160 31.95 167.2 31.95 176.1V304c0 44.18 35.82 80 80 80h192v96H143.9C135.2 480 128 487.2 128 495.1C128 504.7 135.2 512 143.1 512h352C504.8 512 512 504.8 512 496C512 487.3 504.8 480 496 480h-159.1v-96h191.1c44.21 0 80.05-35.84 80.05-80.05V175.1C608 167.2 600.8 160 592 160zM592 128c8.844 0 15.1-7.26 15.1-16.1L608 80C608 71.16 600.8 64 592 64S576 71.16 576 80v32C576 120.8 583.2 128 592 128zM48 128C56.84 128 64 120.8 64 112v-32C64 71.16 56.84 64 48 64S32 71.16 32 80L31.1 111.9C31.1 120.7 39.16 128 48 128zM112 128C120.8 128 128 120.8 128 112v-32C128 71.16 120.8 64 112 64S96 71.16 96 80L95.1 111.9C95.1 120.7 103.2 128 112 128zM176 128C184.8 128 192 120.8 192 112v-32C192 71.16 184.8 64 176 64S160 71.16 160 80L159.1 111.9C159.1 120.7 167.2 128 176 128zM240 128C248.8 128 256 120.8 256 112v-32C256 71.16 248.8 64 240 64S224 71.16 224 80L223.1 111.9C223.1 120.7 231.2 128 240 128zM400 128c8.844 0 15.1-7.26 15.1-16.1L416 80C416 71.16 408.8 64 400 64S384 71.16 384 80v32C384 120.8 391.2 128 400 128zM464 128c8.844 0 15.1-7.26 15.1-16.1L480 80C480 71.16 472.8 64 464 64S448 71.16 448 80v32C448 120.8 455.2 128 464 128zM528 128c8.844 0 15.1-7.26 15.1-16.1L544 80C544 71.16 536.8 64 528 64S512 71.16 512 80v32C512 120.8 519.2 128 528 128zM320 64c8.844 0 16-7.156 16-16v-32C336 7.156 328.8 0 320 0S304 7.156 304 16v32C304 56.84 311.2 64 320 64z"],
    "hard-drive": [512, 512, [128436, "hdd"], "f0a0", "M448 32h-384c-35.35 0-64 28.65-64 64v320c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V96C512 60.65 483.3 32 448 32zM480 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32v-96c0-17.64 14.36-32 32-32h384C465.6 288 480 302.4 480 320V416zM480 264.9C470.6 259.4 459.7 256 448 256H64C52.28 256 41.45 259.4 32 264.9V96c0-17.64 14.36-32 32-32h384c17.64 0 32 14.36 32 32V264.9zM320 344c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24c13.26 0 24-10.75 24-24C344 354.7 333.3 344 320 344zM416 344c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24c13.26 0 24-10.75 24-24C440 354.7 429.3 344 416 344z"],
    "hashtag": [448, 512, [62098], "23", "M432 144h-85.73l21.32-92.4c1.969-8.609-3.375-17.2-12-19.19c-8.688-2.031-17.19 3.39-19.19 11.1l-22.98 99.59H186.3l21.32-92.4c1.969-8.609-3.375-17.2-12-19.19c-8.719-2.031-17.19 3.39-19.19 11.1L153.4 144H48c-8.844 0-16 7.144-16 15.99C32 168.8 39.16 176 48 176h98.04L109.1 336H16c-8.844 0-16 7.151-16 15.99s7.156 16 16 16h85.73L80.41 460.4c-1.969 8.609 3.375 17.2 12 19.19C93.63 479.9 94.81 480 96 480c7.281 0 13.88-4.1 15.59-12.41l22.98-99.59h127.2l-21.32 92.4c-1.969 8.609 3.375 17.2 12 19.19C253.6 479.9 254.8 480 256 480c7.281 0 13.88-4.1 15.59-12.41l22.98-99.59H400c8.844 0 16-7.161 16-16s-7.156-15.99-16-15.99h-98.04l36.92-159.1H432c8.844 0 16-7.168 16-16.01C448 151.2 440.8 144 432 144zM269.1 336H141.1L178.9 176h127.2L269.1 336z"],
    "hashtag-lock": [576, 512, [], "e415", "M195.6 32.42C204.2 34.41 209.6 42.1 207.6 51.61L186.3 144H313.4L336.4 44.41C338.4 35.8 346.1 30.43 355.6 32.42C364.2 34.41 369.6 42.1 367.6 51.61L346.3 144H432C440.8 144 448 151.2 448 160C448 160.4 447.1 160.8 447.1 161.2C432.9 163.3 418.8 168.5 406.3 176H338.9L271.6 467.6C269.6 476.2 261 481.6 252.4 479.6C243.8 477.6 238.4 469 240.4 460.4L261.7 368H134.6L111.6 467.6C109.6 476.2 101 481.6 92.4 479.6C83.79 477.6 78.42 469 80.41 460.4L101.7 368H16C7.164 368 0 360.8 0 352C0 343.2 7.164 336 16 336H109.1L146 176H48C39.16 176 32 168.8 32 160C32 151.2 39.16 144 48 144H153.4L176.4 44.41C178.4 35.8 186.1 30.43 195.6 32.42H195.6zM178.9 176L141.1 336H269.1L306 176H178.9zM464 192C508.2 192 544 227.8 544 272V320C561.7 320 576 334.3 576 352V480C576 497.7 561.7 512 544 512H384C366.3 512 352 497.7 352 480V352C352 334.3 366.3 320 384 320V272C384 227.8 419.8 192 464 192V192zM464 224C437.5 224 416 245.5 416 272V320H512V272C512 245.5 490.5 224 464 224V224zM384 352V480H544V352H384z"],
    "hat-chef": [512, 512, [], "f86b", "M416 32c-20.88 .125-41.13 7-57.75 19.75C334.9 20.5 297.1 0 256 0C213.1 0 177.1 20.5 153.8 51.75c-29-22.25-68-25.1-100.6-9.75C20.38 58.13-.125 91.5 0 128c0 32.86 39.66 152.8 56.54 202.3C60.96 343.3 73.11 352 86.82 352h338.4c13.71 0 25.86-8.68 30.28-21.66C472.3 280.8 512 160.9 512 128C512 75 469 32 416 32zM426.1 320h-54.55l28.18-140.9c1.734-8.656-3.891-17.09-12.55-18.81c-8.719-1.844-17.09 3.875-18.83 12.56L338.9 320H272V151.2c0-8.844-7.156-16-16-16s-16 7.156-16 16V320H173.1L143.7 172.9C141.1 164.2 133.6 158.5 124.9 160.3C116.2 162 110.6 170.5 112.3 179.1L140.5 320H85.94C67.92 262.3 32 145 32 128c0-35.38 28.62-64 64-64c13.88 .125 27.38 4.75 38.38 13.25l25.75 19.5l19.25-25.88C197.9 46.13 225.8 32 256 32s58.13 14.12 76.63 38.88l19.25 25.88l25.75-19.5C388.6 68.75 402.1 64.13 416 64c35.38 0 64 28.62 64 64C480 145 444.1 262.3 426.1 320zM432 384c-8.844 0-16 7.156-16 16v64c0 8.812-7.172 16-16 16h-288C103.2 480 96 472.8 96 464v-64C96 391.2 88.84 384 80 384S64 391.2 64 400v64C64 490.5 85.53 512 112 512h288c26.47 0 48-21.53 48-48v-64C448 391.2 440.8 384 432 384z"],
    "hat-cowboy": [640, 512, [], "f8c0", "M626.4 226.5c-3.375-1.5-7.125-2.375-10.87-2.375c-7.1 0-15.5 3.5-20.37 9.625c-.375 .4999-23.37 30.87-85.1 55.5C498.9 218.8 465.5 32 400.4 32c-15.62 0-29.5 7.375-41.12 17.5c-22.37 19.75-56.12 19.75-78.5 0C269.1 39.38 255.2 32 239.6 32c-65.25 0-98.5 187-108.7 257.1C68.88 264.9 45.75 234.8 44.88 233.8C40 227.5 32.5 223.9 24.63 224C20.88 224 17.25 224.8 13.88 226.2C2.752 231.2-2.623 242.9 1.252 253.5C2.002 255.5 75.37 448 319.1 448s318-192.5 318.8-194.5C642.6 243 637.2 231.5 626.4 226.5zM239.6 64C245.6 64 252.5 67.25 259.9 73.75c34.37 30.12 85.87 30.12 120.2 0C387.6 67.25 394.4 64 400.4 64c13.87 0 43.25 53.75 65.25 160.8c-37.1 10-85.37 17.25-145.6 17.25S212.4 234.8 174.4 224.8C196.4 117.8 225.7 64 239.6 64zM168.5 256.5C208.7 266.8 258.1 274 319.1 274c61.62 0 111.2-7.25 151.6-17.5c2.375 13.75 4.625 28 6.75 43.25c-39.87 11.75-91.72 20.24-158.3 20.24S201.5 311.5 161.6 299.8C163.8 284.5 166 270.2 168.5 256.5zM319.1 416c-150.9 0-229.5-78.75-264.7-130.2C96.63 315 177.3 352 319.1 352s223.7-37.5 264.9-66.5C549.6 337.1 470.1 416 319.1 416z"],
    "hat-cowboy-side": [640, 512, [], "f8c1", "M638.2 360.8c-19.25-89.62-78.13-152.5-150.8-165.5l-19.12-109.1c-5.25-30.75-31.88-53.25-63-53.25c-9.375 0 3.256-2.121-204.5 42C173.7 79.77 153.5 102.3 150.5 129.8L143.2 196.9c-68.25 16.62-123.1 77.1-141.5 163.9c-4.375 20.75-.375 42.5 10.88 59.5C24.49 437.9 42.36 448 61.86 448h516.3c19.5 0 37.38-10.12 49.25-27.75C638.7 403.3 642.6 381.5 638.2 360.8zM182.2 133.1c1.5-13.75 11.63-24.1 25.25-27.87L398.6 64.77c19.38-4.125 35.38 9.375 38.25 25.1l28.75 165.2H316.2L286.7 230.6c-49-39.25-95.25-38.62-110.8-38.12L182.2 133.1zM61.86 416c-20.63 0-33.63-25.75-28.88-48.5c18.5-85.87 77.63-143.5 147.4-143.5c30.75 0 60.63 10.87 85.5 30.87c179.8 154.7 163.5 144.7 187.9 161.1H61.86zM385.2 315.4l-31.88-27.37h117.8l19.63 112.2C457.7 384.5 432.1 356.5 385.2 315.4zM578.1 416c-5.375 0-29.5 .375-53-4.375l-31.75-182.2c54.5 15.25 98.13 66.62 113.5 137.1C612.6 393.8 595.9 416 578.1 416z"],
    "hat-santa": [640, 512, [], "f7a7", "M640 239.4c0-11.21-5.875-21.32-15.16-27.08c2.594-10.67-.3438-21.98-8.281-30.04c-7.906-7.872-19.03-10.8-29.69-8.155c-11.44-18.83-42.31-18.8-53.75-.0315c-10.5-2.676-21.78 .3149-29.78 8.281c-7.875 7.967-10.78 19.27-8.156 29.98C485.8 218.1 480 228.2 480 239.4s5.875 21.32 15.16 27.08c-2.594 10.67 .2656 22.03 8.266 30.16c8.531 8.407 19.08 11.23 29.8 8.268C538.1 314.2 548.9 320 560 320c11.12 0 21.08-5.815 26.8-15.14c8.656 2.456 19.3 1.659 30.02-8.607c7.781-7.904 10.62-19.11 8-29.82C634.2 260.7 640 250.6 640 239.4zM592.5 253.2c-2.75 6.801-2.312 14.36 1.75 20.12c-6.5-3.621-14.34-3.936-20.78-1.102c-6.531 2.802-11.5 8.281-13.22 15.18c-2.156-6.927-7.188-12.5-13.72-15.18l-6-1.858h-3.219c-4.062 0-8.031 1.039-10.97 3.653c3.531-6.455 3.969-14.01 1.25-20.72c-2.719-6.77-8.219-11.9-15.69-13.38c0 0 .0938-.126 .4375-.2204c6.938-2.173 12.53-7.337 15.22-14.01c2.75-6.801 2.312-14.36-1.75-20.12c6.562 3.59 14.19 3.936 20.47 1.197c6.719-2.739 11.81-8.281 13.53-15.27c2.156 6.99 7.25 12.53 13.62 15.11c6.719 2.897 14.5 2.456 20.28-1.732c-3.531 6.455-3.969 14.01-1.25 20.72c2.719 6.77 8.219 11.9 15.16 13.63C600.7 241.3 595.2 246.5 592.5 253.2zM464 352h-5.004l-76.06-197.8c-3.156-8.219-12.38-12.34-20.69-9.188c-8.25 3.188-12.34 12.44-9.188 20.69L424.7 352H87.62l75.35-188.3C187.2 103.1 244.1 64 310.2 64c51.06 0 99.31 24.81 129 66.41l27.78 38.91c5.156 7.156 15.09 8.812 22.34 3.719c7.188-5.156 8.844-15.12 3.719-22.34l-27.78-38.91C429.5 61.84 371.6 32 310.2 32C231.8 32 162.4 79 133.3 151.8L53.18 352H48C21.49 352 0 373.5 0 400v32C0 458.5 21.49 480 48 480h416c26.51 0 48-21.49 48-48v-32C512 373.5 490.5 352 464 352zM480 432c0 8.836-7.164 16-16 16h-416C39.16 448 32 440.8 32 432v-32C32 391.2 39.16 384 48 384h416c8.836 0 16 7.164 16 16V432z"],
    "hat-winter": [512, 512, [], "f7a8", "M191.2 106.9C188.6 117.5 191.4 128.6 199.4 136.7C207.9 145 218.5 147.9 229.2 144.1C234.1 154.2 244.9 160 256 160c11.12 0 21.08-5.828 26.8-15.08c8.656 2.438 19.15 1.853 29.87-8.334c7.781-7.844 10.77-19.12 8.15-29.74C330.2 101.1 336 91.13 336 80s-5.891-21.14-15.17-26.86c2.594-10.59-.2781-21.78-8.216-29.78c-7.906-7.812-19.1-10.78-29.75-8.159c-11.44-18.69-42.28-18.64-53.72-.0156c-10.5-2.656-21.77 .2875-29.77 8.194C191.5 31.29 188.6 42.53 191.2 53.16C181.8 58.88 176 68.88 176 80S181.9 101.1 191.2 106.9zM208.3 80.25c6.938-2.156 12.53-7.281 15.22-13.91c2.75-6.75 2.312-14.25-1.75-19.97c6.562 3.562 14.19 3.906 20.47 1.188c6.719-2.719 11.81-8.219 13.53-15.16c2.156 6.938 7.25 12.44 13.62 15c6.719 2.875 14.5 2.438 20.28-1.719c-3.531 6.406-3.969 13.91-1.25 20.56c2.719 6.719 8.219 11.81 15.16 13.53c-6.938 2.156-12.44 7.25-15.12 13.88c-2.75 6.75-2.312 14.25 1.75 19.97c-6.5-3.594-14.34-3.906-20.78-1.094c-6.531 2.781-11.5 8.219-13.22 15.06C254.1 120.7 249 115.2 242.5 112.5l-6-1.844H233.3c-4.062 0-8.031 1.031-10.97 3.625c3.531-6.406 3.969-13.91 1.25-20.56C220.8 87.03 215.3 81.94 207.9 80.47C207.9 80.47 207.1 80.34 208.3 80.25zM480 402.9V368c0-168.6-116.7-220.6-121.7-222.7c-8.125-3.438-17.44 .2813-20.97 8.375c-3.5 8.062 .2187 17.5 8.281 21.03c3.604 1.559 76.65 35.1 97.02 137.9L390.5 289.4c-4.375-1.938-9.406-1.844-13.66 .3125L320 318.1l-56.84-28.44c-4.5-2.25-9.812-2.25-14.31 0L192 318.1L135.2 289.7C130.9 287.6 125.9 287.5 121.5 289.4L69.36 312.5C89.72 209.8 162.8 176.2 166.4 174.7c8.062-3.5 11.81-12.88 8.344-21C171.2 145.5 161.8 141.8 153.7 145.3C148.7 147.4 32 199.4 32 368v34.94C13.4 409.5 0 427.1 0 448v16C0 490.5 21.49 512 48 512h416c26.51 0 48-21.49 48-48V448C512 427.1 498.6 409.5 480 402.9zM64 368c0-6.402 .4121-12.37 .7695-18.38l62.82-27.93l57.25 28.62c4.5 2.25 9.812 2.25 14.31 0L256 321.9l56.84 28.44c4.5 2.25 9.812 2.25 14.31 0l57.25-28.62l62.82 27.93C447.6 355.6 448 361.6 448 368v32H64V368zM480 464c0 8.836-7.164 16-16 16h-416C39.16 480 32 472.8 32 464V448c0-8.838 7.164-16 16-16h416c8.836 0 16 7.162 16 16V464z"],
    "hat-witch": [576, 512, [], "f6e7", "M570.9 420.4c-6.375-6.063-16.56-5.782-22.59 .7188c-20.53 21.88-72.66 58.91-137.8 58.91H165.3c-80.34 0-132-52.88-137.7-58.91c-6.031-6.469-16.19-6.813-22.59-.7813c-6.469 6.032-6.813 16.16-.7813 22.6C10.9 449.1 71.49 512 165.3 512h245.3c76.03 0 137-43.38 161.1-69.04C577.7 436.5 577.4 426.4 570.9 420.4zM105.5 430.6c8.188 3.469 17.53-.125 21.13-8.188l16.95-38.47h88.39v16c0 17.66 14.34 32 32 32h48c17.66 0 32-14.35 32-32v-16h89.98l15.14 37.94c2.5 6.251 8.531 10.06 14.88 10.06c1.969 0 4-.375 5.938-1.125c8.188-3.282 12.19-12.6 8.938-20.81L399.1 210.2c-5.188-11.91-5.734-25.34-1.516-37.94l5.953-18.09c3.125-9.313 11.8-15.53 21.58-15.53h37.63c9.813 0 18.47 6.219 21.53 15.5l6.467 19.42c2.125 6.376 8.031 10.75 14.75 10.94c7.031-.0313 12.84-3.844 15.31-10.13l21.38-54.32c4.562-13.72 .8458-28.79-9.342-38.98l-66.73-69.8c-12.19-12.34-31.33-14.91-46.86-6L260.1 103.7c-24.59 14.19-43.41 35.08-54.59 60.55l-108.1 245.3C93.78 417.6 97.46 427.1 105.5 430.6zM263.1 399.1v-48h48v48H263.1zM234.8 177.1c8.406-19.19 22.72-35 41.81-46l158.9-98.26c2.469-1.469 5.812-1.094 7.563 .7188l66.91 69.98c1.781 1.781 2.5 4.313 2.094 5.626l-6.938 17.63c-10.19-12.5-25.59-20.13-42.44-20.13h-37.63c-23.56 0-44.44 15.03-51.94 37.47l-5.938 18.03c-6.75 20.03-5.844 41.63 2.312 60.38l51.67 129.5h-77.21c0-17.66-14.34-31.99-31.1-31.99H264c-17.66 0-32.02 14.33-32.02 31.99H157.7L234.8 177.1z"],
    "hat-wizard": [512, 512, [], "f6e8", "M74.59 447.1C76.38 447.7 78.22 448 80 448c6.562 0 12.72-4.062 15.06-10.59l87.38-244C192.7 170.1 209.9 151 232.3 138.2l169.4-96.88l-49.59 148.1c-5.688 16.91-4.938 35.13 1.531 49.75l63.03 196.8c2.688 8.438 11.66 12.94 20.12 10.38c8.406-2.719 13.06-11.72 10.38-20.12l-63.63-198.3c-3.875-8.875-4.25-18.91-1.094-28.31l56.28-168.1c3.062-9.375 0-19.84-7.688-26.12c-7.906-6.344-18.53-7.188-27.03-2.219L216.5 110.4C188.1 126.6 166.2 150.9 152.7 181.5l-87.78 245.1C61.97 434.9 66.28 444.1 74.59 447.1zM496 432c-8.844 0-16 7.156-16 16c0 17.66-14.34 32-32 32H64c-17.66 0-32-14.34-32-32c0-8.844-7.156-16-16-16S0 439.2 0 448c0 35.28 28.72 64 64 64h384c35.28 0 64-28.72 64-64C512 439.2 504.8 432 496 432zM224 416c8.844 0 16-7.156 16-16v-32h32c8.844 0 16-7.156 16-16s-7.156-16-16-16h-32v-32C240 295.2 232.8 288 224 288S208 295.2 208 304v32h-32C167.2 336 160 343.2 160 352s7.156 16 16 16h32v32C208 408.8 215.2 416 224 416zM288 224h16C312.8 224 320 216.8 320 208S312.8 192 304 192H288V176C288 167.2 280.8 160 272 160S256 167.2 256 176V192H240C231.2 192 224 199.2 224 208S231.2 224 240 224H256v16C256 248.8 263.2 256 272 256S288 248.8 288 240V224z"],
    "head-side": [512, 512, [], "f6e9", "M509.2 275c-21-47.13-48.5-151.8-73.12-186.8C397.6 33.62 334.5 0 266.1 0H200.1c-104.5 0-195.9 80.13-199.9 184.5C-2.111 244.4 23.13 298.1 64 334.9L63.1 496c0 8.844 7.156 16 16 16c8.842 0 15.1-7.156 15.1-16l.0098-175.5L85.38 311c-35.62-32-55.12-77.63-53.24-125.3C35.39 101 110.6 32 199.1 32h66.12c57.12 0 110.9 27.88 143.9 74.63c12.5 17.88 28.1 66.75 42.37 106.1C462.1 241.5 471.3 268.5 479.1 288h-47.1c-8.837 0-16 7.163-16 16V384c0 17.6-14.4 32-32 32h-79.99c-8.836 0-15.1 7.119-16 15.95L287.1 496c0 8.844 7.156 16 15.1 16c8.844 0 16-7.156 16-16l.0057-48h63.1c35.34 0 63.1-28.65 63.1-63.1V320h31.1C503.1 320 518.6 296.1 509.2 275zM344 224C357.3 224 368 213.3 368 200c0-13.26-10.75-24-23.1-24c-13.25 0-23.1 10.74-23.1 24C320 213.3 330.7 224 344 224z"],
    "head-side-brain": [512, 512, [], "f808", "M509.2 275c-21-47.13-48.5-151.8-73.12-186.8C397.6 33.62 334.5 0 266.1 0H200.1c-104.5 0-195.9 80.13-199.9 184.5C-2.111 244.4 23.13 298.1 64 334.9L63.1 496c0 8.844 7.156 16 16 16c8.842 0 15.1-7.156 15.1-16l.0098-175.5L85.38 311c-35.62-32-55.12-77.63-53.24-125.3C35.39 101 110.6 32 199.1 32h66.12c57.12 0 110.9 27.88 143.9 74.63c12.5 17.88 28.1 66.75 42.37 106.1C462.1 241.5 471.3 268.5 479.1 288h-47.1c-8.836 0-16 7.162-16 16V384c0 17.6-14.4 32-32 32h-79.99c-8.836 0-16 7.117-16 15.95L287.1 496c0 8.844 7.156 16 15.1 16c8.844 0 16-7.156 16-16l.0203-48h63.99c35.34 0 63.1-28.66 63.1-63.1V320h31.1C503.1 320 518.6 296.1 509.2 275zM328 224C358.9 224 384 198.9 384 168c0-30.25-24.11-54.97-54.11-55.97c-11.05-23.67-38.53-38.08-64.84-29.69c-20.84-23.12-61.25-23.12-82.09 0c-29.38-9.391-59.63 9.188-68.09 37.89C86.38 122.8 64 146.9 64 176c0 22.22 13.06 41.45 32.94 50.27C101.8 252.3 124.6 272 152 272H160v32C160 312.8 167.2 320 176 320S192 312.8 192 304V256c0-8.844-7.156-16-16-16H152c-12.78 0-23.27-10.05-23.97-22.66C128.2 216.5 128.3 215.6 128.3 214.9c.2187-7.781-5.188-14.59-12.83-16.14C104 196.5 96 187.1 96 176c0-13.22 10.25-24.09 25.58-23.53c.2656 .0781 3.062 .7813 3.344 .8438C129.8 154.4 134.9 153.1 138.7 149.9C142.5 146.7 144.6 141.8 144.3 136.8c-.0313-.5938-.1406-1.391-.2969-2.188C144.7 122 155.2 112 168 112c3.719 0 7.562 1.297 12.08 4.078C183.9 118.4 188.5 119.1 192.9 117.8c4.312-1.234 7.922-4.234 9.922-8.25c8.312-16.75 34.09-16.75 42.41 0c2 4.016 5.609 7.016 9.922 8.25c4.359 1.266 8.969 .5781 12.8-1.75C272.4 113.3 276.3 112 280 112c11.45 0 21.12 8.625 22.98 20.52c.7344 4.672 3.5 8.766 7.547 11.22c4.047 2.438 8.984 2.984 13.44 1.438C326.1 144.2 328.1 144 328 144C341.3 144 352 154.8 352 168S341.2 192 328 192h-41.61c-4.828 0-9.391 2.172-12.42 5.922c-3.047 3.734-4.234 8.656-3.234 13.38C270.8 211.6 271.9 215.7 272 216c0 13.23-10.77 24-24 24c-8.844 0-16 7.156-16 16s7.156 16 16 16c28.16 0 51.53-20.89 55.44-48H328z"],
    "head-side-cough": [640, 512, [], "e061", "M477.2 275c-20.94-47.13-48.47-151.7-73.11-186.8C365.7 33.59 302.6 0 234.1 0L197.7 0C93.44-.0001 3.936 80.69 .1309 184.8c-2.18 59.67 23.03 113.4 63.87 150L64 496c0 8.837 7.163 16 15.1 16s16-7.163 16-16v-175.5L90.88 315.1c-19.64-17.62-36.11-38.86-46.26-63.21c-46.74-112.1 43.27-220.7 155.4-220.7h34.08c57.19 0 110.1 27.91 143.9 74.66c12.52 17.8 29.11 66.75 42.45 106.1C430.1 241.4 439.3 268.6 447.1 288h-47.97c-8.837 0-16 7.163-16 16v32l-45.29-.0001c-25.99 0-49.29 19.46-50.65 45.42C286.6 409.1 308.6 432 336 432h47.1V448c0 17.67-14.35 32-32.02 32H304c-8.837 0-15.1 7.163-15.1 15.1S295.2 512 304 512h48c35.35 0 63.1-28.65 63.1-63.1l-.0222-31.1c0-8.837-7.141-16-15.98-16h-63.15c-7.971 0-15.36-5.449-16.63-13.32C318.6 376.7 326.3 368 336 368h63.1c8.837 0 15.98-7.163 15.98-16l-.003-32h31.99C471.1 320 486.6 296.2 477.2 275zM352 200c0-13.25-10.75-24-23.1-24c-13.25 0-24 10.75-24 24s10.75 24 24 24C341.3 224 352 213.3 352 200zM608 359.1c-13.25 0-24 10.75-24 24s10.75 24 24 24s24-10.75 24-24S621.3 359.1 608 359.1zM480 359.1c-13.25 0-23.1 10.75-23.1 24s10.75 24 23.1 24c13.25 0 24-10.75 24-24S493.3 359.1 480 359.1zM608 311.1c13.25 0 24-10.75 24-24s-10.75-24-24-24s-24 10.75-24 24S594.8 311.1 608 311.1zM544 311.1c-13.25 0-23.1 10.75-23.1 24s10.75 24 23.1 24c13.25 0 24-10.75 24-24S557.3 311.1 544 311.1zM544 407.1c-13.25 0-23.1 10.75-23.1 24s10.75 24 23.1 24c13.25 0 24-10.75 24-24S557.3 407.1 544 407.1zM608 455.1c-13.25 0-24 10.75-24 24s10.75 24 24 24s24-10.75 24-24S621.3 455.1 608 455.1z"],
    "head-side-cough-slash": [640, 512, [], "e062", "M567.1 335.1c0-13.25-10.75-23.1-24-23.1c-12.16 0-21.8 9.132-23.38 20.86l32.07 25.32C561.6 354.7 567.1 346.1 567.1 335.1zM200 32h34.08c57.19 0 110.1 27.91 143.9 74.66c12.52 17.8 29.11 66.75 42.45 106.1c6.949 20.52 13.62 40.11 20.03 56.79l37.48 29.59c2.783-7.434 2.933-15.96-.6923-24.11c-20.94-47.12-48.47-151.7-73.11-186.7C365.7 33.59 302.6 0 234.1 0H197.7C170.1 0 143.6 5.791 119.4 16.04l30.16 23.82C165.6 34.93 182.5 32 200 32zM607.1 311.1c13.25 0 24-10.75 24-23.1s-10.75-23.1-24-23.1s-23.1 10.75-23.1 23.1S594.7 311.1 607.1 311.1zM607.1 359.1c-12.93 0-23.32 10.23-23.82 23.04l29.96 23.66c10.2-2.768 17.86-11.63 17.86-22.7C631.1 370.7 621.2 359.1 607.1 359.1zM633.9 483.4l-608-480c-6.938-5.453-17-4.25-22.48 2.641c-5.469 6.938-4.281 17 2.641 22.48l608 480C617 510.9 620.5 512 623.1 512c4.734 0 9.422-2.094 12.58-6.078C642 498.1 640.8 488.9 633.9 483.4zM44.63 252.7C25.37 206.5 29.58 161 48.75 123.4L22.82 102.9C9.453 127.5 1.215 155.2 .1309 184.8c-2.18 59.68 23.03 113.4 63.87 150L64 496C64 504.8 71.16 512 80 512C88.84 512 96 504.8 96 496v-175.5L90.88 315.1C71.24 298.3 54.78 277.1 44.63 252.7zM399.1 400h-62.25c-7.971 0-15.36-5.449-16.63-13.32C318.6 376.7 326.3 368 336 368h22.58l-36.79-29.05c-18.42 6.295-32.66 22.37-33.71 42.46C286.6 409.1 308.6 432 336 432h48V448c0 17.67-14.35 31.1-32.02 31.1L304 480C295.2 480 288 487.2 288 496C288 504.8 295.2 512 304 512h48c35.35 0 64-28.65 64-64v-32c0-1.123-.4199-2.109-.6406-3.168L399.1 400z"],
    "head-side-goggles": [512, 512, ["head-vr"], "f6ea", "M480 64h-96.5c-38.5-40-91.88-64-149.4-64H199.1C127.6 0 61.88 38.75 26.88 97C11.75 99.62 0 112.1 0 128v64c0 17.62 14.38 32 32 32h184c.75 0 1.125-.625 1.875-.75C236.9 243.4 264.1 256 293.4 256H480c17.62 0 32-14.38 32-32V96C512 78.38 497.6 64 480 64zM32 192V128h165.6C193.5 139.5 191.5 152 192.1 165.1C192.6 174.6 195 183.5 198.3 192H32zM216.6 96.25C216.4 96.25 216.3 96 216 96H67.13C97.88 57.38 146.1 32 200 32h34.13c36.25 0 70.75 11.75 99.75 32H288C259.5 64 234.1 76.5 216.6 96.25zM384 224h-96C252.8 224 224 195.2 224 160s28.74-64 63.99-64h95.1L384 224zM480 224h-64.01L416 96h64V224zM35.99 256C24.03 256 15.87 268.7 21.32 279.3C32.09 300.4 46.58 319.2 63.1 334.9L64 496C64 504.8 71.2 512 79.1 512S96 504.8 96 496v-175.5L85.38 311C70.75 297.9 59.27 282.3 50.62 265.3C47.79 259.7 42.26 256 35.99 256zM384 304V384c0 17.6-14.4 32-32 32h-48c-8.837 0-16 7.163-16 16v64C288 504.8 295.2 512 303.1 512C312.8 512 320 504.8 320 496L319.1 448h31.99C387.3 448 416 419.3 416 384v-64h47.87c8.885 0 16.07-7.24 15.1-16.12C479.8 295.1 472.7 288 463.9 288H400C391.2 288 384 295.2 384 304z"],
    "head-side-headphones": [512, 512, [], "f8c2", "M509.2 275c-20.1-47.12-48.5-151.8-73.12-186.8C397.1 32.88 333.8 0 266.1 0H200.1c-104.5 0-195.9 80.12-199.9 184.5c-2.25 57.12 21.24 112.3 63.86 150.3L64.02 496c0 8.8 7.2 15.1 15.1 15.1c8.8 0 15.1-7.2 15.1-15.1V320.5L85.4 311C49.9 279.2 30.4 233.4 32.15 185.8C34.65 119.6 81.27 63.5 144 41.88v74.37c-40.12 28-57.5 78.75-42.87 125.5c14.62 46.62 57.98 78.27 106.9 78.27s92.26-31.65 106.9-78.27c14.62-46.75-2.75-97.5-42.87-125.5V32.38c55.12 1.75 106.1 29.25 137.9 74.25c12.62 17.88 29.12 66.75 42.5 106.1C462.1 241.5 471.4 268.5 480 288h-47.1c-8.837 0-16 7.163-16 16V384c0 17.6-14.4 32-32 32h-79.1c-8.837 0-16 7.163-16 16v64c0 8.8 7.2 15.1 15.1 15.1c8.8 0 15.1-7.2 15.1-15.1L320 448h63.99c35.35 0 63.1-28.65 63.1-63.1V320h31.1c10.87 0 20.88-5.5 26.76-14.62C512.8 296.4 513.6 284.9 509.2 275zM176 34.25C183.9 33.12 191.8 32 200 32h39.1v69.25C229.8 98.12 219.3 96 208 96S186.3 98.12 176 101.2V34.25zM288 208c0 44.12-35.88 80-79.1 80S128 252.1 128 208S163.9 128 208 128S288 163.9 288 208zM208 160C181.5 160 160 181.5 160 208S181.5 256 208 256s47.1-21.5 47.1-48S234.5 160 208 160zM208 224C199.1 224 192 216.9 192 208S199.1 192 208 192s15.1 7.125 15.1 16S216.9 224 208 224z"],
    "head-side-heart": [512, 512, [], "e1aa", "M509.2 275c-21-47.13-48.5-151.8-73.12-186.8C397.6 33.63 334.5 0 266.1 0L200.1 0c-104.5 0-195.9 80.13-199.9 184.5C-2.111 244.4 23.13 298.1 64 334.9L63.1 496c0 8.844 7.156 16 16 16c8.842 0 15.1-7.156 15.1-16l.0098-175.5L85.38 311c-35.62-32-55.12-77.63-53.24-125.3C35.39 101 110.6 32 199.1 32h66.12c57.12 0 110.9 27.88 143.9 74.63c12.5 17.88 28.1 66.75 42.37 106.1C462.1 241.5 471.3 268.5 479.1 288h-47.1c-8.837 0-16 7.163-16 16V384c0 17.6-14.4 32-32 32h-79.99c-8.836 0-15.1 7.119-16 15.95L287.1 496c0 8.844 7.156 16 15.1 16c8.844 0 16-7.156 16-16l.0203-48h63.99c35.34 0 63.1-28.65 63.1-63.1V320h31.1C503.1 320 518.6 296.1 509.2 275zM330.1 109.2c-13.88-11.62-47.63-28.5-90.13 14.5c-42.63-43-76.38-26.12-90.25-14.5c-27.5 23-28.88 64.13-4.25 89l84.5 85.63c5.5 5.5 14.25 5.5 19.75 0l84.75-85.63C359.1 173.4 357.6 132.2 330.1 109.2zM311.9 175.7l-72 72.63L168.1 175.7c-10.38-10.38-12.38-30 2-42c13.75-11.5 31.25-3.375 38.5 3.75l31.38 31.75l31.38-31.75c7.125-7.25 24.62-15.25 38.38-3.75C324.1 145.7 322.1 165.4 311.9 175.7z"],
    "head-side-mask": [512, 512, [], "e063", "M511.8 288c.0078-4.307-.6914-8.697-2.602-13c-21-47.13-48.49-151.8-73.11-186.8C397.6 33.63 334.5 0 266.1 0H197.7C93.46 0 3.967 80.61 .1074 184.7C-2.104 244.4 23.08 298.1 63.99 334.9l-.022 161.1C63.97 504.8 71.14 512 79.98 512C88.83 512 96 504.8 95.1 495.1l-.0273-175.4L85.35 311.1C47.78 277.3 28.24 228.4 32.57 178.1l.6719-.3086l190.8 138.7L224 496C224 504.8 231.2 512 240 512h161.9c27.55 0 52-17.63 60.71-43.76l47.77-143.3C511.4 321.7 512 318.2 512 314.8L511.8 288zM467.6 352h-131.6c-8.836 0-16 7.162-16 16c0 8.836 7.165 16 16 16h120.9l-10.67 32h-110.2c-8.836 0-16 7.162-16 16c0 8.836 7.165 16 16 16h99.57l-3.373 10.12C427.9 471.2 415.7 480 401.9 480H256l.0063-160h222.3L467.6 352zM479.8 287.9L239.2 288L40.66 143.6C62.56 79.4 126.1 32 199.9 32h66.15c57.11 0 110.9 27.92 143.8 74.66c12.48 17.74 29.05 66.56 42.36 105.8C462.1 241.3 471.3 268.5 479.8 287.9zM344 176C330.8 176 320 186.8 320 200S330.8 224 344 224s24-10.78 24-24S357.2 176 344 176z"],
    "head-side-medical": [512, 512, [], "f809", "M509.2 275c-21-47.13-48.5-151.8-73.12-186.8C397.6 33.63 334.5 0 266.1 0H200.1c-104.5 0-195.9 80.13-199.9 184.5C-2.111 244.4 23.13 298.1 64 334.9L63.1 496c0 8.844 7.156 16 16 16c8.842 0 15.1-7.156 15.1-16l.0098-175.5L85.38 311c-35.62-32-55.12-77.63-53.24-125.3C35.39 101 110.6 32 199.1 32h66.12c57.12 0 110.9 27.88 143.9 74.63c12.5 17.88 28.1 66.75 42.37 106.1C462.1 241.5 471.3 268.5 479.1 288h-47.1c-8.836 0-16 7.162-16 16V384c0 17.6-14.4 32-32 32h-79.99c-8.836 0-16 7.117-16 15.95L287.1 496c0 8.844 7.156 16 15.1 16c8.844 0 16-7.156 16-16l.0203-48h63.99c35.34 0 63.1-28.66 63.1-63.1V320h31.1C503.1 320 518.6 296.1 509.2 275zM336 224V192c0-8.838-7.164-16-16-16h-48V128c0-8.838-7.164-16-16-16H224C215.2 112 208 119.2 208 128v48H160C151.2 176 144 183.2 144 192v32c0 8.836 7.164 16 16 16h48V288c0 8.836 7.164 16 16 16h32c8.836 0 16-7.164 16-16V240h48C328.8 240 336 232.8 336 224z"],
    "head-side-virus": [512, 512, [], "e064", "M224 191.1c-8.836 0-16 7.162-16 16C208 216.8 215.2 223.1 224 223.1s16-7.164 16-16C240 199.2 232.8 191.1 224 191.1zM256 223.1C247.2 223.1 240 231.2 240 240C240 248.8 247.2 256 256 256s15.1-7.164 15.1-16C272 231.2 264.8 223.1 256 223.1zM310.6 317.3l8.576 8.576c3.125 3.125 7.219 4.688 11.31 4.688s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L333.3 294.6C313.1 274.5 327.4 240 355.9 240h12.12c8.844 0 16-7.156 16-16s-7.156-16-15.1-16L355.9 208c-28.51 0-42.79-34.47-22.63-54.63l8.576-8.576c6.25-6.25 6.25-16.38 0-22.62c-3.125-3.125-7.22-4.688-11.31-4.688s-8.186 1.562-11.31 4.688l-8.576 8.576c-6.52 6.52-14.53 9.436-22.4 9.436c-16.45 0-32.23-12.78-32.23-32.06V96c0-8.844-7.156-16-15.1-16S224 87.16 224 96v12.12c0 19.29-15.78 32.06-32.23 32.06c-7.863 0-15.88-2.918-22.4-9.436L160.8 122.2C157.7 119 153.6 117.5 149.5 117.5S141.3 119 138.2 122.2c-6.25 6.25-6.25 16.38 0 22.62l8.577 8.576C166.9 173.5 152.6 208 124.1 208L112 207.1C103.2 207.1 96 215.2 96 224s7.156 16 16 16h12.12c28.51 0 42.79 34.47 22.63 54.63L138.2 303.2c-6.25 6.25-6.25 16.38 0 22.62c3.125 3.125 7.219 4.688 11.31 4.688s8.188-1.562 11.31-4.688L169.4 317.3c6.52-6.52 14.53-9.438 22.4-9.436c16.45 .002 32.23 12.78 32.23 32.06V352c0 8.844 7.156 16 16 16s16-7.156 16-16v-12.12c0-19.29 15.78-32.06 32.23-32.06C296.1 307.8 304.1 310.7 310.6 317.3zM244.1 293.2C242.6 294.6 241.2 296 239.9 297.5C228.1 284.2 210.9 275.8 191.8 275.8c-1.252 0-2.498 .0352-3.738 .1094C188.6 266.4 187.1 256.7 183.2 247.5C179.4 238.3 173.6 230.3 166.5 224c7.143-6.316 12.92-14.29 16.74-23.51C187.1 191.3 188.6 181.6 188 172.1c1.238 .0723 2.484 .1074 3.734 .1074c19.2 0 36.45-8.441 48.23-21.8c11.78 13.36 29.04 21.8 48.23 21.8c1.248 0 2.494-.0352 3.732-.1074c-.5762 9.502 .9727 19.21 4.787 28.42C300.6 209.7 306.4 217.7 313.5 224c-7.143 6.316-12.92 14.29-16.74 23.51c-3.814 9.209-5.363 18.91-4.787 28.42c-1.238-.0723-2.482-.1074-3.732-.1074C271.8 275.8 256.1 281.1 244.1 293.2zM509.2 275c-21-47.13-48.48-151.8-73.1-186.8C397.6 33.63 334.5 0 266.1 0H200.1C95.58 0 4.139 80.13 .1387 184.5c-2.25 59.88 22.99 113.6 63.87 150.3L63.1 496c0 8.844 7.156 16 16 16c8.842 0 15.1-7.156 15.1-16l.0098-175.5L85.38 311c-35.62-32-55.12-77.63-53.24-125.3C35.39 101 110.6 32 199.1 32h66.12c57.12 0 110.9 27.88 143.9 74.63c12.5 17.88 28.1 66.75 42.37 106.1C462.1 241.5 471.3 268.5 479.1 288h-47.1c-8.837 0-16 7.163-16 16V384c0 17.6-14.4 32-32 32h-79.99c-8.836 0-15.1 7.119-16 15.95L287.1 496c0 8.844 7.156 16 15.1 16c8.844 0 16-7.156 16-16l.0186-48h63.99c35.34 0 63.1-28.65 63.1-63.1V320h31.98C503.1 320 518.6 296.1 509.2 275z"],
    "heading": [448, 512, ["header"], "f1dc", "M448 464c0 8.799-7.199 16-16 16h-128c-8.801 0-16-7.201-16-16c0-8.801 7.199-16 16-16H352V256H96v192h48C152.8 448 160 455.2 160 464C160 472.8 152.8 480 144 480h-128C7.199 480 0 472.8 0 464C0 455.2 7.199 448 16 448H64V64H16C7.199 64 0 56.8 0 48C0 39.2 7.199 32 16 32h128C152.8 32 160 39.2 160 48C160 56.8 152.8 64 144 64H96v160h256V64h-48C295.2 64 288 56.8 288 48C288 39.2 295.2 32 304 32h128C440.8 32 448 39.2 448 48C448 56.8 440.8 64 432 64H384v384h48C440.8 448 448 455.2 448 464z"],
    "headphones": [512, 512, [127911], "f025", "M243 32.32C105.5 39.15 0 157.8 0 295.5v120.4C0 451.3 28.63 480 64 480h32c17.62 0 32-14.38 32-32V288c0-17.62-14.38-32-32-32H64C53.21 256 43.2 258.9 34.28 263.7c14.2-106.8 100.5-193.9 210.4-199.4c120.5-5.965 221.7 83.92 234 199.9C469.6 259.1 459.2 256 448 256h-32c-17.62 0-32 14.38-32 32v160c0 17.62 14.38 32 32 32h32c35.38 0 64-28.75 64-64.13V287.9C512 142.5 390 25.02 243 32.32zM64 288h32v160H64c-17.62 0-32-14.5-32-32.13v-95.75C32 302.5 46.38 288 64 288zM480 415.9C480 433.5 465.6 448 448 448h-32V288h32c17.62 0 32 14.5 32 32.13V415.9z"],
    "headphones-simple": [512, 512, ["headphones-alt"], "f58f", "M383.1 256L352 256.1c-17.62 0-32 14.38-32 32v159.9c0 17.62 14.38 32.05 32 32.05l31.99 .0156C419.4 480 448 451.3 448 415.9v-95.75C448 284.8 419.4 256 383.1 256zM416 415.9c0 17.62-14.38 32.13-32 32.13h-32V288l32 .0417c17.62 0 32 14.5 32 32.13V415.9zM160 256.1L127.1 256C92.62 256 64 284.8 64 320.2v95.75c0 35.38 28.62 64.09 63.99 64.09L160 480c17.62 0 32-14.42 32-32.05V288.1C192 270.4 177.6 256.1 160 256.1zM160 448.1H128c-17.62 0-32-14.5-32-32.13v-95.75c0-17.62 14.38-32.13 32-32.13l32-.0417V448.1zM243 32.38C105.5 39.21 0 157.9 0 295.5v104.5c0 8.801 7.201 16 16 16c8.801 0 16-7.168 16-15.97V294.6C32 174.1 124.4 70.3 244.7 64.34C373.3 57.98 480 160.8 480 288.1v112c0 8.801 7.201 15.97 16 15.97c8.801 0 16-7.199 16-16V287.1C512 142.5 390 25.08 243 32.38z"],
    "headset": [512, 512, [], "f590", "M191.1 224c0-17.62-14.37-32.04-32-32.04l-32.01 0c-35.38 0-64 28.62-64 63.1L63.96 319.6c0 35.38 28.63 64 64.01 64h32c17.63 0 32-14.38 32-32L191.1 224zM159.1 351.6h-32c-17.63 0-32-14.38-32-32V256c0-17.62 14.38-32 32-32l32.02-.0001L159.1 351.6zM383.1 383.6c35.38 0 64.01-28.62 64.01-64l.0026-63.63c0-35.38-28.62-63.1-64-63.1l-31.1 0c-17.63 0-32 14.42-32 32.04l-.0105 127.6c0 17.62 14.38 32 32 32H383.1zM351.1 224l31.1 .0001c17.63 0 32 14.38 32 32V319.6c0 17.62-14.38 32-32 32h-32L351.1 224zM280.2 1.131c-153.5-14.29-276.2 108.1-280.2 254.9l-.0206 15.92C-.0459 280.8 7.155 288 16 288c8.755 0 15.96-7.162 16-15.92l.0838-16.08C35.52 128.6 142.5 20.63 276.9 32.96c116.3 10.68 203.1 112.3 203.1 229.1v169.1c0 26.51-21.49 48-48 48h-83.01c4.081-10.88 4.609-23.54-2.282-36.69c-9.093-17.35-28.04-27.31-47.62-27.31L241.8 416c-23.21 0-44.49 15.69-48.87 38.49C187 485.2 210.4 512 239.1 512l191.1 .0001c44.19 0 80.01-35.82 80.01-79.1V262.9C512 129.6 412.9 13.49 280.2 1.131zM303.1 480H239.1c-8.876 0-16-7.125-16-16s7.126-16 16-16h64.01c8.876 0 16 7.125 16 16S312.9 480 303.1 480z"],
    "heart": [512, 512, [128153, 128154, 128155, 128156, 128420, 129293, 129294, 129505, 10084, 61578, 9829], "f004", "M255.1 96L267.1 84.02C300.6 51.37 347 36.51 392.6 44.1C461.5 55.58 512 115.2 512 185.1V190.9C512 232.4 494.8 272.1 464.4 300.4L283.7 469.1C276.2 476.1 266.3 480 256 480C245.7 480 235.8 476.1 228.3 469.1L47.59 300.4C17.23 272.1 0 232.4 0 190.9V185.1C0 115.2 50.52 55.58 119.4 44.1C164.1 36.51 211.4 51.37 244 84.02L255.1 96zM255.1 141.3L221.4 106.6C196.1 81.31 160 69.77 124.7 75.66C71.21 84.58 31.1 130.9 31.1 185.1V190.9C31.1 223.6 45.55 254.7 69.42 277L250.1 445.7C251.7 447.2 253.8 448 255.1 448C258.2 448 260.3 447.2 261.9 445.7L442.6 277C466.4 254.7 480 223.6 480 190.9V185.1C480 130.9 440.8 84.58 387.3 75.66C351.1 69.77 315.9 81.31 290.6 106.6L255.1 141.3z"],
    "heart-circle-bolt": [576, 512, [], "e4fc", "M298.7 97.64L257 143.7L213.5 97.91C173.6 57.42 110 52.6 70.71 86.82L70.53 86.97C21.8 128.7 19.4 203.3 62.71 248.2L62.73 248.2L256.4 447.9C256.5 447.9 256.6 447.8 256.7 447.7L269.1 434.8C273.4 445.3 278.7 455.3 284.9 464.6L279.4 470.3C266.4 483.2 245.5 483.2 233.5 470.3L39.71 270.5C-16.22 212.5-13.23 116.6 49.7 62.68C102.8 16.41 184.1 24.47 234.3 73.46C235 74.19 235.7 74.92 236.5 75.67L256.4 96.64L275.4 75.67C276.3 74.76 277.2 73.87 278.1 72.99C328.3 24.42 408.3 16.56 463.2 62.68C506.1 100.1 520.7 157.6 507 208.7C497.4 204.2 487.3 200.5 476.8 197.8C486.3 158.8 474.8 115.3 442.4 87C400.9 52.33 338.2 57.7 298.7 97.64V97.64zM479.9 286.1C484.2 290.7 485.2 296.9 482.5 301.8L452.4 356H488C493.2 356 497.8 359.3 499.4 364.2C501 369.1 499.3 374.5 495.2 377.6L399.2 449.6C394.7 452.1 388.4 452.8 384.1 449C379.8 445.3 378.8 439.1 381.5 434.2L411.6 380H376C370.8 380 366.2 376.7 364.6 371.8C362.1 366.9 364.7 361.5 368.8 358.4L464.8 286.4C469.3 283 475.6 283.2 479.9 286.1V286.1zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 256C370.1 256 320 306.1 320 368C320 429.9 370.1 480 432 480C493.9 480 544 429.9 544 368C544 306.1 493.9 256 432 256z"],
    "heart-circle-check": [576, 512, [], "e4fd", "M298.7 97.64L257 143.7L213.5 97.91C173.6 57.42 110 52.6 70.71 86.82L70.53 86.97C21.8 128.7 19.4 203.3 62.71 248.2L62.73 248.2L256.4 447.9C256.5 447.9 256.6 447.8 256.7 447.7L269.1 434.8C273.4 445.3 278.7 455.3 284.9 464.6L279.4 470.3C266.4 483.2 245.5 483.2 233.5 470.3L39.71 270.5C-16.22 212.5-13.23 116.6 49.7 62.68C102.8 16.41 184.1 24.47 234.3 73.46C235 74.19 235.7 74.92 236.5 75.67L256.4 96.64L275.4 75.67C276.3 74.76 277.2 73.87 278.1 72.99C328.3 24.42 408.3 16.56 463.2 62.68C506.1 100.1 520.7 157.6 507 208.7C497.4 204.2 487.3 200.5 476.8 197.8C486.3 158.8 474.8 115.3 442.4 87C400.9 52.33 338.2 57.7 298.7 97.64V97.64zM499.3 324.7C505.6 330.9 505.6 341.1 499.3 347.3L427.3 419.3C421.1 425.6 410.9 425.6 404.7 419.3L364.7 379.3C358.4 373.1 358.4 362.9 364.7 356.7C370.9 350.4 381.1 350.4 387.3 356.7L416 385.4L476.7 324.7C482.9 318.4 493.1 318.4 499.3 324.7H499.3zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 480C493.9 480 544 429.9 544 368C544 306.1 493.9 256 432 256C370.1 256 320 306.1 320 368C320 429.9 370.1 480 432 480z"],
    "heart-circle-exclamation": [576, 512, [], "e4fe", "M298.7 97.64L257 143.7L213.5 97.91C173.6 57.42 110 52.6 70.71 86.82L70.53 86.97C21.8 128.7 19.4 203.3 62.71 248.2L62.73 248.2L256.4 447.9C256.5 447.9 256.6 447.8 256.7 447.7L269.1 434.8C273.4 445.3 278.7 455.3 284.9 464.6L279.4 470.3C266.4 483.2 245.5 483.2 233.5 470.3L39.71 270.5C-16.22 212.5-13.23 116.6 49.7 62.68C102.8 16.41 184.1 24.47 234.3 73.46C235 74.19 235.7 74.92 236.5 75.67L256.4 96.64L275.4 75.67C276.3 74.76 277.2 73.87 278.1 72.99C328.3 24.42 408.3 16.56 463.2 62.68C506.1 100.1 520.7 157.6 507 208.7C497.4 204.2 487.3 200.5 476.8 197.8C486.3 158.8 474.8 115.3 442.4 87C400.9 52.33 338.2 57.7 298.7 97.64V97.64zM408 424C408 410.7 418.7 400 432 400C445.3 400 456 410.7 456 424C456 437.3 445.3 448 432 448C418.7 448 408 437.3 408 424zM431.1 288C440.8 288 447.1 295.2 447.1 304V368C447.1 376.8 440.8 384 431.1 384C423.2 384 415.1 376.8 415.1 368V304C415.1 295.2 423.2 288 431.1 288zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 256C370.1 256 320 306.1 320 368C320 429.9 370.1 480 432 480C493.9 480 544 429.9 544 368C544 306.1 493.9 256 432 256z"],
    "heart-circle-minus": [576, 512, [], "e4ff", "M298.7 97.64L257 143.7L213.5 97.91C173.6 57.42 110 52.6 70.71 86.82L70.53 86.97C21.8 128.7 19.4 203.3 62.71 248.2L62.73 248.2L256.4 447.9C256.5 447.9 256.6 447.8 256.7 447.7L269.1 434.8C273.4 445.3 278.7 455.3 284.9 464.6L279.4 470.3C266.4 483.2 245.5 483.2 233.5 470.3L39.71 270.5C-16.22 212.5-13.23 116.6 49.7 62.68C102.8 16.41 184.1 24.47 234.3 73.46C235 74.19 235.7 74.92 236.5 75.67L256.4 96.64L275.4 75.67C276.3 74.76 277.2 73.87 278.1 72.99C328.3 24.42 408.3 16.56 463.2 62.68C506.1 100.1 520.7 157.6 507 208.7C497.4 204.2 487.3 200.5 476.8 197.8C486.3 158.8 474.8 115.3 442.4 87C400.9 52.33 338.2 57.7 298.7 97.64V97.64zM512 367.1C512 376.8 504.8 383.1 496 383.1H368C359.2 383.1 352 376.8 352 367.1C352 359.2 359.2 351.1 368 351.1H496C504.8 351.1 512 359.2 512 367.1zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 480C493.9 480 544 429.9 544 368C544 306.1 493.9 256 432 256C370.1 256 320 306.1 320 368C320 429.9 370.1 480 432 480z"],
    "heart-circle-plus": [576, 512, [], "e500", "M298.7 97.64L257 143.7L213.5 97.91C173.6 57.42 110 52.6 70.71 86.82L70.53 86.97C21.8 128.7 19.4 203.3 62.71 248.2L62.73 248.2L256.4 447.9C256.5 447.9 256.6 447.8 256.7 447.7L269.1 434.8C273.4 445.3 278.7 455.3 284.9 464.6L279.4 470.3C266.4 483.2 245.5 483.2 233.5 470.3L39.71 270.5C-16.22 212.5-13.23 116.6 49.7 62.68C102.8 16.41 184.1 24.47 234.3 73.46C235 74.19 235.7 74.92 236.5 75.67L256.4 96.64L275.4 75.67C276.3 74.76 277.2 73.87 278.1 72.99C328.3 24.42 408.3 16.56 463.2 62.68C506.1 100.1 520.7 157.6 507 208.7C497.4 204.2 487.3 200.5 476.8 197.8C486.3 158.8 474.8 115.3 442.4 87C400.9 52.33 338.2 57.7 298.7 97.64V97.64zM448 351.1H496C504.8 351.1 512 359.2 512 367.1C512 376.8 504.8 383.1 496 383.1H448V431.1C448 440.8 440.8 447.1 432 447.1C423.2 447.1 416 440.8 416 431.1V383.1H368C359.2 383.1 352 376.8 352 367.1C352 359.2 359.2 351.1 368 351.1H416V303.1C416 295.2 423.2 287.1 432 287.1C440.8 287.1 448 295.2 448 303.1V351.1zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 256C370.1 256 320 306.1 320 368C320 429.9 370.1 480 432 480C493.9 480 544 429.9 544 368C544 306.1 493.9 256 432 256z"],
    "heart-circle-xmark": [576, 512, [], "e501", "M298.7 97.64L257 143.7L213.5 97.91C173.6 57.42 110 52.6 70.71 86.82L70.53 86.97C21.8 128.7 19.4 203.3 62.71 248.2L62.73 248.2L256.4 447.9C256.5 447.9 256.6 447.8 256.7 447.7L269.1 434.8C273.4 445.3 278.7 455.3 284.9 464.6L279.4 470.3C266.4 483.2 245.5 483.2 233.5 470.3L39.71 270.5C-16.22 212.5-13.23 116.6 49.7 62.68C102.8 16.41 184.1 24.47 234.3 73.46C235 74.19 235.7 74.92 236.5 75.67L256.4 96.64L275.4 75.67C276.3 74.76 277.2 73.87 278.1 72.99C328.3 24.42 408.3 16.56 463.2 62.68C506.1 100.1 520.7 157.6 507 208.7C497.4 204.2 487.3 200.5 476.8 197.8C486.3 158.8 474.8 115.3 442.4 87C400.9 52.33 338.2 57.7 298.7 97.64V97.64zM454.6 368L491.3 404.7C497.6 410.9 497.6 421.1 491.3 427.3C485.1 433.6 474.9 433.6 468.7 427.3L432 390.6L395.3 427.3C389.1 433.6 378.9 433.6 372.7 427.3C366.4 421.1 366.4 410.9 372.7 404.7L409.4 368L372.7 331.3C366.4 325.1 366.4 314.9 372.7 308.7C378.9 302.4 389.1 302.4 395.3 308.7L432 345.4L468.7 308.7C474.9 302.4 485.1 302.4 491.3 308.7C497.6 314.9 497.6 325.1 491.3 331.3L454.6 368zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 256C370.1 256 320 306.1 320 368C320 429.9 370.1 480 432 480C493.9 480 544 429.9 544 368C544 306.1 493.9 256 432 256z"],
    "heart-crack": [512, 512, [128148, "heart-broken"], "f7a9", "M119.4 44.1C164.1 36.51 211.4 51.37 244 84.02L255.1 96L267.1 84.02C300.6 51.37 347 36.51 392.6 44.1C461.5 55.58 512 115.2 512 185.1V190.9C512 232.4 494.8 272.1 464.4 300.4L283.7 469.1C276.2 476.1 266.3 480 256 480C245.7 480 235.8 476.1 228.3 469.1L47.59 300.4C17.23 272.1 0 232.4 0 190.9V185.1C0 115.2 50.52 55.58 119.4 44.09L119.4 44.1zM255.1 448C258.2 448 260.3 447.2 261.9 445.7L442.6 277C466.4 254.7 480 223.6 480 190.9V185.1C480 130.9 440.8 84.58 387.3 75.66C351.1 69.77 315.9 81.31 290.6 106.6L278.6 118.6C277.1 119.3 277.3 119.9 276.7 120.4L316 165.5C319.2 169.1 320.6 173.9 319.8 178.7C318.1 183.4 316.1 187.5 311.9 189.9L216.5 244.4L284.3 325.8C289.9 332.5 289 342.6 282.2 348.3C275.5 353.9 265.4 353 259.7 346.2L179.7 250.2C176.7 246.6 175.4 241.8 176.3 237.2C177.1 232.5 179.1 228.5 184.1 226.1L279.1 171.8L227.1 113.4L228.1 113.3L221.4 106.6C196.1 81.31 160 69.77 124.7 75.66C71.21 84.58 31.1 130.9 31.1 185.1V190.9C31.1 223.6 45.55 254.7 69.42 277L250.1 445.7C251.7 447.2 253.8 448 255.1 448L255.1 448z"],
    "heart-half": [512, 512, [], "e1ab", "M256 468.5C256 474.9 250.9 480 244.5 480C241.6 480 238.8 478.9 236.7 476.9L47.59 300.4C17.23 272.1 0 232.4 0 190.9V185.1C0 115.2 50.52 55.58 119.4 44.1C164.1 36.51 211.4 51.37 244 84.02L256 96L256 468.5zM224 109.3L221.4 106.6C196.1 81.31 160 69.77 124.7 75.66C71.21 84.58 32 130.9 32 185.1V190.9C32 223.6 45.55 254.7 69.42 277L224 421.3V109.3z"],
    "heart-half-stroke": [512, 512, ["heart-half-alt"], "e1ac", "M119.4 44.1C164.1 36.51 211.4 51.37 244 84.02L255.1 96L267.1 84.02C300.6 51.37 347 36.51 392.6 44.1C461.5 55.58 512 115.2 512 185.1V190.9C512 232.4 494.8 272.1 464.4 300.4L283.7 469.1C276.2 476.1 266.3 480 256 480C245.7 480 235.8 476.1 228.3 469.1L47.59 300.4C17.23 272.1 0 232.4 0 190.9V185.1C0 115.2 50.52 55.58 119.4 44.09L119.4 44.1zM272 125.3V436.2L442.6 277C466.4 254.7 480 223.6 480 190.9V185.1C480 130.9 440.8 84.58 387.3 75.66C351.1 69.77 315.9 81.31 290.6 106.6L272 125.3zM256.2 448H255.8L255.1 448L256.2 448zM239.1 125.3L221.4 106.6C196.1 81.31 160 69.77 124.7 75.66C71.21 84.58 31.1 130.9 31.1 185.1V190.9C31.1 223.6 45.55 254.7 69.42 277L239.1 436.2V125.3z"],
    "heart-pulse": [576, 512, ["heartbeat"], "f21e", "M500.9 76.49C455.7 32.25 407.1 32 394.3 32c-12.63 0-61.52 .25-106.3 44.37C243.3 32.25 194.5 32 181.8 32C169 32 120.3 32.25 75.26 76.49C47.38 103.1 32 140.7 32 179.8c0 31.55 10.4 61.08 28.85 85.86C63.84 269.7 68.69 271.1 73.69 271.1h112.1L216.5 200.2l56.89 126.4c5.535 12.29 22.87 12.65 28.9 .5898l49.74-99.45l22.13 44.24h128.1c4.998 0 9.855-2.24 12.84-6.248C533.6 240.9 544 211.4 544 179.8C544.1 140.7 528.7 103.1 500.9 76.49zM494.6 239.1h-100.6L366.3 184.7c-5.877-11.75-22.63-11.75-28.51 0l-49.01 97.98L230.7 153.4C224.8 140.6 206.7 140.9 201.3 153.7L165.3 239.1H81.51c-9.252-14.62-42.63-82.73 18.25-142.7c22.63-22.12 52.26-33.24 82.02-33.24c33.88 0 54.51 6.248 106.3 57.24c55.01-54.12 74.52-57.24 106.3-57.24c29.76 0 59.39 11.12 81.89 33.24C537.2 157.4 503.7 225.5 494.6 239.1zM442.4 303.1c-4.332 0-8.539 1.76-11.55 4.873l-130.1 134.5c-6.25 6.123-16.25 6.123-22.5 0L145.6 308.7C142.6 305.7 138.5 303.1 134.2 303.1c-14.19 0-21.34 17.1-11.39 27.2l133.1 135c18.75 18.5 48.64 18.37 67.39 0l130.6-135.1C463.7 320.9 456.5 303.1 442.4 303.1z"],
    "heat": [448, 512, [], "e00c", "M192 153.6V48C192 39.12 184.9 32 176 32C167.1 32 160 39.12 160 48v104.2C160 201.5 177.9 249 210.2 286C238.5 318.2 256 358.4 256 401.2V464c0 8.875 7.125 16 16 16s16-7.125 16-16v-61.63c0-49.13-17.88-96.62-50.25-133.6C209.5 236.5 192 196.4 192 153.6zM64 132.4V112C64 103.1 56.88 96 48 96S32 103.1 32 112V128c.125 54.88 17.75 108.2 50.25 152.4C110.6 318.6 128 364 128 411.6V464C128 472.9 135.1 480 144 480S160 472.9 160 464V416c-.125-54.88-17.75-108.2-50.25-152.4C81.38 225.4 64 180 64 132.4zM365.8 263.6C337.4 225.4 320 180 320 132.4V112C320 103.1 312.9 96 304 96S288 103.1 288 112l0 15.1c.125 54.88 17.75 108.2 50.25 152.4C366.6 318.6 384 364 384 411.6V464c0 8.875 7.125 16 16 16s16-7.125 16-16V416C415.9 361.1 398.2 307.8 365.8 263.6z"],
    "helicopter": [640, 512, [128641], "f533", "M575.1 0C584.8 0 591.1 7.164 591.1 16C591.1 24.84 584.8 32 575.1 32H383.1V128H432C511.5 128 576 192.5 576 272V328C576 358.9 550.9 384 519.1 384H303.1C299.8 384 295.7 382.3 292.7 379.3L190.8 277.4L49.5 214.6C45.08 212.7 41.79 208.8 40.54 204.1L13.91 104.2C8.488 83.93 23.8 64 44.82 64H71.1C87.11 64 101.3 71.11 110.4 83.2L143.1 128H351.1V32H159.1C151.2 32 143.1 24.84 143.1 16C143.1 7.164 151.2 0 159.1 0L575.1 0zM71.1 96H44.82L69.49 188.5L206.5 249.4C208.3 250.2 209.9 251.3 211.3 252.7L310.6 352H351.1V159.1H135.1C130.1 159.1 126.2 157.6 123.2 153.6L84.8 102.4C81.78 98.37 77.04 95.1 71.1 95.1V96zM519.1 352C533.2 352 544 341.2 544 328V272C544 210.1 493.9 160 432 160H383.1V352H519.1zM626.7 483.9C608.7 501.9 584.3 512 558.9 512H239.1C231.2 512 223.1 504.8 223.1 496C223.1 487.2 231.2 480 239.1 480H558.9C575.8 480 592.1 473.3 604.1 461.3L612.7 452.7C618.9 446.4 629.1 446.4 635.3 452.7C641.6 458.9 641.6 469.1 635.3 475.3L626.7 483.9z"],
    "helicopter-symbol": [576, 512, [], "e502", "M320 35.57V3.114C432 20.69 519.9 110.9 534 224H501.7C488.1 128.6 414.3 52.57 320 35.57V35.57zM320 508.9V476.4C414.3 459.4 488.1 383.4 501.7 288H534C519.9 401.1 432 491.3 320 508.9H320zM25.98 288H58.27C72.68 388.8 154.1 467.9 256 478.7V510.9C136.4 499.8 40.75 406.5 25.98 288V288zM256 1.117V33.28C154.1 44.13 72.68 123.3 58.27 224H25.98C40.75 105.6 136.5 12.23 256 1.117V1.117zM208 240H368V144C368 135.2 375.2 128 384 128C392.8 128 400 135.2 400 144V368C400 376.8 392.8 384 384 384C375.2 384 368 376.8 368 368V272H208V368C208 376.8 200.8 384 192 384C183.2 384 176 376.8 176 368V144C176 135.2 183.2 128 192 128C200.8 128 208 135.2 208 144V240z"],
    "helmet-battle": [576, 512, [], "f6eb", "M508.2 405.3c-16.56-25.47-44.35-84.38-44.35-193.1c0-114.9-130.2-175.6-170.1-191.5C289.1 19.2 285.7 19.23 281.9 20.76C241.1 36.82 111.9 98.11 111.9 212.2c0 12.88-1.281 127.9-45.25 194.1c-2.563 3.906-3.281 8.75-2 13.22c1.313 4.5 4.5 8.188 8.75 10.13l176 80c5 2.25 10.72 1.875 15.28-1.125c4.594-2.938 7.344-8 7.344-13.44L271.1 271.1c0-7.344-4.999-13.76-12.12-15.54L207.1 243.5V223.1h160v19.5l-51.88 12.97c-7.125 1.781-12.13 8.199-12.13 15.54l.0005 223.1c0 5.438 2.75 10.5 7.344 13.44c2.625 1.719 5.628 2.569 8.66 2.569c2.25 0 4.497-.4755 6.623-1.444l176-80c6.938-3.156 10.69-10.78 8.938-18.22C511.2 410.5 509.2 406.9 508.2 405.3zM335.1 471.1V284.5l51.88-12.97c7.125-1.781 12.13-8.18 12.13-15.52l-.0006-48.01c0-8.844-7.157-16-16-16H191.1c-8.844 0-16 7.156-16 16l.0041 48.01c0 7.344 4.996 13.74 12.12 15.52l51.88 12.97v186.7l-137.2-62.38c38.97-73.19 41.06-175.5 41.06-196.5c0-89.31 103.4-142.1 144-159.3c40.6 17.03 143.1 69.38 143.1 159.3c0 100.1 22.72 162.3 41.28 196.6L335.1 471.1zM558.9 205.6l-47.32-193.5c-2.094-8.531-10.66-13.78-19.34-11.72c-8.563 2.094-13.84 10.75-11.72 19.34l47.28 193.4c.6563 2.75-.0313 5.781-1.75 7.875c-1.531 1.844-3.719 2.906-6 2.906c-8.844 0-16 7.156-16 16s7.157 16 16 16c11.78 0 22.91-5.25 30.6-14.44C558.8 231.6 561.9 218.3 558.9 205.6zM71.98 239.1c0-8.844-7.157-16-16-16c-2.281 0-4.469-1.063-5.938-2.844C48.26 218.1 47.58 215.9 48.2 213.3l47.32-193.5C97.64 11.2 92.36 2.542 83.8 .4483C75.08-1.614 66.55 3.636 64.45 12.17L17.11 205.8C14.14 218.3 17.23 231.6 25.42 241.6c7.657 9.156 18.78 14.41 30.56 14.41C64.83 255.1 71.98 248.8 71.98 239.1z"],
    "helmet-safety": [576, 512, ["hard-hat", "hat-hard"], "f807", "M571.7 357.2c-3.016-3.188-7.219-5.031-11.61-5.031c-75.28-.2187-544 0-544 0c-4.406 0-8.609 1.812-11.64 5.031c-3.031 3.188-4.594 7.531-4.328 11.94C4.359 441.4 170 480 287.1 480h3.281c114.9 0 280.4-39 284.7-110.9C576.2 364.7 574.7 360.4 571.7 357.2zM291.5 448c-1.156 0-2.202 .25-3.484 0c-104.5 0-215.9-30.44-247.4-63.84C102.3 384.3 461.6 384 535.4 384.1C504 417.3 393.1 448 291.5 448zM48 320C56.84 320 64 312.8 64 304V274.9c0-89.27 59.69-165.8 144-189.9V272C208 280.8 215.2 288 224 288C232.8 288 240 280.8 240 272V64c0-8.812 7.172-16 16-16h64c8.828 0 16 7.188 16 16v208c0 8.844 7.156 16 15.1 16S368 280.8 368 272V84.94c84.31 24.1 144 100.7 144 189.9V304c0 8.844 7.156 16 16 16s16.01-7.156 16.01-16L544 274.9c0-107.6-74.29-199.9-178.1-224.1C360.1 30.76 341.8 16 320 16H256c-21.85 0-40.13 14.76-45.91 34.77C106.3 74.94 32 167.3 32 274.9L31.99 304C31.99 312.8 39.16 320 48 320z"],
    "helmet-un": [512, 512, [], "e503", "M320 155.2V112C320 103.2 327.2 96 336 96C344.8 96 352 103.2 352 112V208C352 215.1 347.4 221.3 340.6 223.3C333.9 225.4 326.6 222.7 322.7 216.9L288 164.8V208C288 216.8 280.8 224 272 224C263.2 224 256 216.8 256 208V112C256 104.9 260.6 98.73 267.4 96.69C274.1 94.64 281.4 97.26 285.3 103.1L320 155.2zM160 176C160 184.8 167.2 192 176 192C184.8 192 192 184.8 192 176V112C192 103.2 199.2 96 208 96C216.8 96 224 103.2 224 112V176C224 202.5 202.5 224 176 224C149.5 224 128 202.5 128 176V112C128 103.2 135.2 96 144 96C152.8 96 160 103.2 160 112V176zM464 480C472.8 480 480 487.2 480 496C480 504.8 472.8 512 464 512H360C355.9 512 352 510.4 349 507.7L217.7 384H77.22C34.57 384 0 349.4 0 306.8V240C0 107.5 107.5 0 240 0C372.5 0 480 107.5 480 240V256H496C504.8 256 512 263.2 512 272C512 280.8 504.8 288 496 288H368V480H464zM240 32C125.1 32 32 125.1 32 240V306.8C32 331.8 52.24 352 77.22 352H212.5L240.8 266.9C242.1 260.4 249.1 256 256 256H448V240C448 125.1 354.9 32 240 32V32zM336 288H267.5L242.4 363.4L336 451.4V288z"],
    "hexagon": [512, 512, [11043], "f312", "M169.1 32H342C367.1 32 390.5 45.1 403.5 66.56L496 218.6C510 241.6 510 270.4 496 293.4L403.5 445.4C390.5 466.9 367.1 480 342 480H169.1C144.9 480 121.5 466.9 108.5 445.4L15.96 293.4C1.962 270.4 1.962 241.6 15.96 218.6L108.5 66.56C121.5 45.1 144.9 32 169.1 32V32zM43.29 235.2C35.52 247.1 35.52 264 43.29 276.8L135.8 428.8C143.1 440.7 156 448 169.1 448H342C355.1 448 368.9 440.7 376.2 428.8L468.7 276.8C476.5 264 476.5 247.1 468.7 235.2L376.2 83.2C368.9 71.28 355.1 64 342 64H169.1C156 64 143.1 71.28 135.8 83.2L43.29 235.2z"],
    "hexagon-check": [512, 512, [], "e416", "M235.3 331.3C229.1 337.6 218.9 337.6 212.7 331.3L148.7 267.3C142.4 261.1 142.4 250.9 148.7 244.7C154.9 238.4 165.1 238.4 171.3 244.7L223.1 297.4L340.7 180.7C346.9 174.4 357.1 174.4 363.3 180.7C369.6 186.9 369.6 197.1 363.3 203.3L235.3 331.3zM169.1 32H342C367.1 32 390.5 45.1 403.5 66.56L496 218.6C510 241.6 510 270.4 496 293.4L403.5 445.4C390.5 466.9 367.1 480 342 480H169.1C144.9 480 121.5 466.9 108.5 445.4L15.96 293.4C1.962 270.4 1.962 241.6 15.96 218.6L108.5 66.56C121.5 45.1 144.9 32 169.1 32V32zM43.29 235.2C35.52 247.1 35.52 264 43.29 276.8L135.8 428.8C143.1 440.7 156 448 169.1 448H342C355.1 448 368.9 440.7 376.2 428.8L468.7 276.8C476.5 264 476.5 247.1 468.7 235.2L376.2 83.2C368.9 71.28 355.1 64 342 64H169.1C156 64 143.1 71.28 135.8 83.2L43.29 235.2z"],
    "hexagon-divide": [512, 512, [], "e1ad", "M231.1 160C231.1 146.7 242.7 136 255.1 136C269.3 136 280 146.7 280 160C280 173.3 269.3 184 255.1 184C242.7 184 231.1 173.3 231.1 160zM352 240C360.8 240 368 247.2 368 256C368 264.8 360.8 272 352 272H159.1C151.2 272 143.1 264.8 143.1 256C143.1 247.2 151.2 240 159.1 240H352zM280 352C280 365.3 269.3 376 255.1 376C242.7 376 231.1 365.3 231.1 352C231.1 338.7 242.7 328 255.1 328C269.3 328 280 338.7 280 352zM169.1 32H342C367.1 32 390.5 45.1 403.5 66.56L496 218.6C510 241.6 510 270.4 496 293.4L403.5 445.4C390.5 466.9 367.1 480 342 480H169.1C144.9 480 121.5 466.9 108.5 445.4L15.96 293.4C1.962 270.4 1.962 241.6 15.96 218.6L108.5 66.56C121.5 45.1 144.9 32 169.1 32V32zM43.29 235.2C35.52 247.1 35.52 264 43.29 276.8L135.8 428.8C143.1 440.7 156 448 169.1 448H342C355.1 448 368.9 440.7 376.2 428.8L468.7 276.8C476.5 264 476.5 247.1 468.7 235.2L376.2 83.2C368.9 71.28 355.1 64 342 64H169.1C156 64 143.1 71.28 135.8 83.2L43.29 235.2z"],
    "hexagon-exclamation": [512, 512, [], "e417", "M255.1 128C264.8 128 272 135.2 272 144V272C272 280.8 264.8 288 255.1 288C247.2 288 239.1 280.8 239.1 272V144C239.1 135.2 247.2 128 255.1 128zM280 352C280 365.3 269.3 376 255.1 376C242.7 376 231.1 365.3 231.1 352C231.1 338.7 242.7 328 255.1 328C269.3 328 280 338.7 280 352zM169.1 32H342C367.1 32 390.5 45.1 403.5 66.56L496 218.6C510 241.6 510 270.4 496 293.4L403.5 445.4C390.5 466.9 367.1 480 342 480H169.1C144.9 480 121.5 466.9 108.5 445.4L15.96 293.4C1.962 270.4 1.962 241.6 15.96 218.6L108.5 66.56C121.5 45.1 144.9 32 169.1 32V32zM43.29 235.2C35.52 247.1 35.52 264 43.29 276.8L135.8 428.8C143.1 440.7 156 448 169.1 448H342C355.1 448 368.9 440.7 376.2 428.8L468.7 276.8C476.5 264 476.5 247.1 468.7 235.2L376.2 83.2C368.9 71.28 355.1 64 342 64H169.1C156 64 143.1 71.28 135.8 83.2L43.29 235.2z"],
    "hexagon-image": [512, 512, [], "e504", "M240 160C240 186.5 218.5 208 192 208C165.5 208 144 186.5 144 160C144 133.5 165.5 112 192 112C218.5 112 240 133.5 240 160zM192 144C183.2 144 176 151.2 176 160C176 168.8 183.2 176 192 176C200.8 176 208 168.8 208 160C208 151.2 200.8 144 192 144zM15.1 287.1C4.565 268.2 4.565 243.8 15.1 223.1L108.3 64.15C119.7 44.35 140.8 32.15 163.7 32.15H348.3C371.1 32.15 392.3 44.35 403.7 64.15L495.1 223.1C507.4 243.8 507.4 268.2 495.1 287.1L403.7 447.8C392.3 467.6 371.1 479.8 348.3 479.8H163.7C140.8 479.8 119.7 467.6 108.3 447.8L15.1 287.1zM43.71 239.1C37.99 249.9 37.99 262.1 43.71 271.1L73.31 323.3L116 280.6C131.4 265.1 156.4 264.9 172.1 280.1L227.4 333.5L322.8 231.7C338.6 214.9 365.4 214.9 381.2 231.7L449.5 304.6L468.3 271.1C474 262.1 474 249.9 468.3 239.1L375.1 80.15C370.3 70.25 359.7 64.15 348.3 64.15H163.7C152.3 64.15 141.7 70.25 135.1 80.15L43.71 239.1zM205.5 356.9L149.8 303.1C146.7 300.1 141.7 300.1 138.6 303.2L89.87 351.1L135.7 431.3L205.5 356.9zM432.8 333.5L357.8 253.6C354.7 250.2 349.3 250.2 346.2 253.6L164.1 447.8H348.3C359.7 447.8 370.3 441.7 375.1 431.8L432.8 333.5z"],
    "hexagon-minus": [512, 512, ["minus-hexagon"], "f307", "M352 240C360.8 240 368 247.2 368 256C368 264.8 360.8 272 352 272H159.1C151.2 272 143.1 264.8 143.1 256C143.1 247.2 151.2 240 159.1 240H352zM169.1 32H342C367.1 32 390.5 45.1 403.5 66.56L496 218.6C510 241.6 510 270.4 496 293.4L403.5 445.4C390.5 466.9 367.1 480 342 480H169.1C144.9 480 121.5 466.9 108.5 445.4L15.96 293.4C1.962 270.4 1.962 241.6 15.96 218.6L108.5 66.56C121.5 45.1 144.9 32 169.1 32V32zM43.29 235.2C35.52 247.1 35.52 264 43.29 276.8L135.8 428.8C143.1 440.7 156 448 169.1 448H342C355.1 448 368.9 440.7 376.2 428.8L468.7 276.8C476.5 264 476.5 247.1 468.7 235.2L376.2 83.2C368.9 71.28 355.1 64 342 64H169.1C156 64 143.1 71.28 135.8 83.2L43.29 235.2z"],
    "hexagon-plus": [512, 512, ["plus-hexagon"], "f300", "M239.1 352V272H159.1C151.2 272 143.1 264.8 143.1 256C143.1 247.2 151.2 240 159.1 240H239.1V160C239.1 151.2 247.2 144 255.1 144C264.8 144 272 151.2 272 160V240H352C360.8 240 368 247.2 368 256C368 264.8 360.8 272 352 272H272V352C272 360.8 264.8 368 255.1 368C247.2 368 239.1 360.8 239.1 352zM169.1 32H342C367.1 32 390.5 45.1 403.5 66.56L496 218.6C510 241.6 510 270.4 496 293.4L403.5 445.4C390.5 466.9 367.1 480 342 480H169.1C144.9 480 121.5 466.9 108.5 445.4L15.96 293.4C1.962 270.4 1.962 241.6 15.96 218.6L108.5 66.56C121.5 45.1 144.9 32 169.1 32V32zM43.29 235.2C35.52 247.1 35.52 264 43.29 276.8L135.8 428.8C143.1 440.7 156 448 169.1 448H342C355.1 448 368.9 440.7 376.2 428.8L468.7 276.8C476.5 264 476.5 247.1 468.7 235.2L376.2 83.2C368.9 71.28 355.1 64 342 64H169.1C156 64 143.1 71.28 135.8 83.2L43.29 235.2z"],
    "hexagon-vertical-nft": [512, 512, [], "e505", "M159.8 253.5V176.6C159.8 167.7 167 160.6 175.8 160.6C184.7 160.6 191.8 167.7 191.8 176.6V336.6C191.8 344.2 186.4 350.8 178.9 352.3C171.3 353.7 163.8 349.6 160.1 342.5L127.8 259.7V336.6C127.8 345.4 120.7 352.6 111.8 352.6C103 352.6 95.85 345.4 95.85 336.6V176.6C95.85 168.9 101.3 162.3 108.8 160.9C116.4 159.4 123.9 163.5 126.7 170.6L159.8 253.5zM223.8 176.6C223.8 167.7 231 160.6 239.8 160.6H287.8C296.7 160.6 303.8 167.7 303.8 176.6C303.8 185.4 296.7 192.6 287.8 192.6H255.8V240.6H287.8C296.7 240.6 303.8 247.7 303.8 256.6C303.8 265.4 296.7 272.6 287.8 272.6H255.8V336.6C255.8 345.4 248.7 352.6 239.8 352.6C231 352.6 223.8 345.4 223.8 336.6V176.6zM399.8 160.6C408.7 160.6 415.8 167.7 415.8 176.6C415.8 185.4 408.7 192.6 399.8 192.6H383.8V336.6C383.8 345.4 376.7 352.6 367.8 352.6C359 352.6 351.8 345.4 351.8 336.6V192.6H335.8C327 192.6 319.8 185.4 319.8 176.6C319.8 167.7 327 160.6 335.8 160.6H399.8zM223.8 16.57C243.6 5.142 268 5.142 287.8 16.57L447.7 108.9C467.5 120.3 479.7 141.4 479.7 164.3V348.9C479.7 371.7 467.5 392.9 447.7 404.3L287.8 496.6C268 508 243.6 508 223.8 496.6L64 404.3C44.2 392.9 32 371.7 32 348.9V164.3C32 141.4 44.2 120.3 64 108.9L223.8 16.57zM271.8 44.29C261.9 38.57 249.7 38.57 239.8 44.29L80 136.6C70.1 142.3 64 152.9 64 164.3V348.9C64 360.3 70.1 370.9 80 376.6L239.8 468.9C249.7 474.6 261.9 474.6 271.8 468.9L431.7 376.6C441.6 370.9 447.7 360.3 447.7 348.9V164.3C447.7 152.9 441.6 142.3 431.7 136.6L271.8 44.29z"],
    "hexagon-vertical-nft-slanted": [512, 512, [], "e506", "M280.1 137.4L255.8 123.6V240.6H287.8C296.7 240.6 303.8 247.7 303.8 256.6C303.8 265.4 296.7 272.6 287.8 272.6H255.8V400.6C255.8 409.4 248.7 416.6 239.8 416.6C231 416.6 223.8 409.4 223.8 400.6V96.34C223.8 94.77 224 93.18 224.5 91.63C224.1 89.71 225.9 87.94 227 86.4C228.2 84.9 229.5 83.64 231 82.65C233.6 80.98 236.6 80 239.8 80H239.9C240.4 80 240.9 80.03 241.4 80.07C243.8 80.3 246.1 81.09 248.1 82.31L295.9 109.6C300.9 112.4 304 117.7 304 123.5C304 135.8 290.7 143.5 280.1 137.4H280.1zM343.9 137L415.9 178.1C423.6 182.5 426.3 192.3 421.9 199.9C417.5 207.6 407.7 210.3 400.1 205.9L383.8 196.6V352.6C383.8 361.4 376.7 368.6 367.8 368.6C359 368.6 351.8 361.4 351.8 352.6V178.4L328.1 164.8C323.1 161.9 320 156.6 320 150.9C320 138.6 333.3 130.9 343.9 137V137zM175.8 128.6C184.7 128.6 191.8 135.7 191.8 144.6V368.6C191.8 376.4 186.2 383.1 178.4 384.4C170.7 385.6 163.2 381.1 160.7 373.6L127.8 275.2V336.6C127.8 345.4 120.7 352.6 111.8 352.6C103 352.6 95.85 345.4 95.85 336.6V176.6C95.85 168.7 101.5 162 109.3 160.8C117 159.5 124.5 164.1 127 171.5L159.8 269.1V144.6C159.8 135.7 167 128.6 175.8 128.6V128.6zM223.8 16.57C243.6 5.142 268 5.142 287.8 16.57L447.7 108.9C467.5 120.3 479.7 141.4 479.7 164.3V348.9C479.7 371.7 467.5 392.9 447.7 404.3L287.8 496.6C268 508 243.6 508 223.8 496.6L64 404.3C44.2 392.9 32 371.7 32 348.9V164.3C32 141.4 44.2 120.3 64 108.9L223.8 16.57zM271.8 44.29C261.9 38.57 249.7 38.57 239.8 44.29L80 136.6C70.1 142.3 64 152.9 64 164.3V348.9C64 360.3 70.1 370.9 80 376.6L239.8 468.9C249.7 474.6 261.9 474.6 271.8 468.9L431.7 376.6C441.6 370.9 447.7 360.3 447.7 348.9V164.3C447.7 152.9 441.6 142.3 431.7 136.6L271.8 44.29z"],
    "hexagon-xmark": [512, 512, ["times-hexagon", "xmark-hexagon"], "f2ee", "M180.7 180.7C186.9 174.4 197.1 174.4 203.3 180.7L256 233.4L308.7 180.7C314.9 174.4 325.1 174.4 331.3 180.7C337.6 186.9 337.6 197.1 331.3 203.3L278.6 256L331.3 308.7C337.6 314.9 337.6 325.1 331.3 331.3C325.1 337.6 314.9 337.6 308.7 331.3L256 278.6L203.3 331.3C197.1 337.6 186.9 337.6 180.7 331.3C174.4 325.1 174.4 314.9 180.7 308.7L233.4 256L180.7 203.3C174.4 197.1 174.4 186.9 180.7 180.7zM169.1 32H342C367.1 32 390.5 45.1 403.5 66.56L496 218.6C510 241.6 510 270.4 496 293.4L403.5 445.4C390.5 466.9 367.1 480 342 480H169.1C144.9 480 121.5 466.9 108.5 445.4L15.96 293.4C1.962 270.4 1.962 241.6 15.96 218.6L108.5 66.56C121.5 45.1 144.9 32 169.1 32V32zM43.29 235.2C35.52 247.1 35.52 264 43.29 276.8L135.8 428.8C143.1 440.7 156 448 169.1 448H342C355.1 448 368.9 440.7 376.2 428.8L468.7 276.8C476.5 264 476.5 247.1 468.7 235.2L376.2 83.2C368.9 71.28 355.1 64 342 64H169.1C156 64 143.1 71.28 135.8 83.2L43.29 235.2z"],
    "high-definition": [576, 512, ["rectangle-hd"], "e1ae", "M512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM544 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h448c17.64 0 32 14.36 32 32V416zM256 160C247.2 160 240 167.2 240 176v64h-96v-64C144 167.2 136.8 160 128 160S112 167.2 112 176v160C112 344.8 119.2 352 128 352s16-7.156 16-16v-64h96v64C240 344.8 247.2 352 256 352s16-7.156 16-16v-160C272 167.2 264.8 160 256 160zM384 160h-48C327.2 160 320 167.2 320 176v160c0 8.844 7.156 16 16 16H384c52.94 0 96-43.06 96-96S436.9 160 384 160zM384 320h-32V192h32c35.28 0 64 28.7 64 64S419.3 320 384 320z"],
    "highlighter": [576, 512, [], "f591", "M219.7 459.7C208.3 471.1 191.8 474.2 177.6 469L141.7 504.1C137.2 509.5 131.1 512 124.7 512H24C10.75 512 0 501.3 0 488V483.3C0 476.1 2.529 470.8 7.029 466.3L91 382.4C85.82 368.2 88.92 351.7 100.3 340.3L143.1 296.6V248.6C143.1 233.2 151.4 218.7 164 209.6L441.8 10.2C451 3.567 462.1 0 473.5 0C487.9 0 501.7 5.726 511.9 15.92L544.1 48.08C554.3 58.27 559.1 72.1 559.1 86.51C559.1 97.88 556.4 108.1 549.8 118.2L350.4 395.1C341.3 408.6 326.8 416 311.4 416H263.4L219.7 459.7zM175.1 309.9L122.9 362.1C119.8 366.1 119.8 371.1 122.9 374.3L185.7 437.1C188.9 440.2 193.9 440.2 197 437.1L250.1 384H311.4C316.5 384 321.4 381.5 324.4 377.3L343.7 350.4L209.6 216.3L182.7 235.6C178.5 238.6 175.1 243.5 175.1 248.6L175.1 309.9zM527.1 86.51C527.1 80.58 525.6 74.9 521.4 70.71L489.3 38.55C485.1 34.35 479.4 32 473.5 32C468.8 32 464.2 33.47 460.5 36.19L235.1 197.4L362.6 324L523.8 99.54C526.5 95.75 527.1 91.19 527.1 86.51V86.51zM152.4 448.1L111 407.6L38.63 480H121.4L152.4 448.1z"],
    "highlighter-line": [576, 512, [], "e1af", "M311.4 416H263.4L219.7 459.7C208.3 471.1 191.8 474.2 177.6 469L141.7 504.1C137.2 509.5 131.1 512 124.7 512H24C10.75 512 0 501.3 0 488V483.3C0 476.1 2.529 470.8 7.029 466.3L91 382.4C85.82 368.2 88.92 351.7 100.3 340.3L143.1 296.6V248.6C143.1 233.2 151.4 218.7 164 209.6L441.8 10.2C451 3.567 462.1 0 473.5 0C487.9 0 501.7 5.726 511.9 15.92L544.1 48.08C554.3 58.27 559.1 72.1 559.1 86.51C559.1 97.88 556.4 108.1 549.8 118.2L350.4 395.1C341.3 408.6 326.8 416 311.4 416V416zM122.9 362.1C119.8 366.1 119.8 371.1 122.9 374.3L185.7 437.1C188.9 440.2 193.9 440.2 197 437.1L250.1 384H311.4C316.5 384 321.4 381.5 324.4 377.3L343.7 350.4L209.6 216.3L182.7 235.6C178.5 238.6 175.1 243.5 175.1 248.6V309.9L122.9 362.1zM362.6 324L523.8 99.54C526.5 95.75 527.1 91.19 527.1 86.51C527.1 80.58 525.6 74.9 521.4 70.71L489.3 38.55C485.1 34.35 479.4 32 473.5 32C468.8 32 464.2 33.47 460.5 36.19L235.1 197.4L362.6 324zM38.63 480H121.4L152.4 448.1L111 407.6L38.63 480zM560 480C568.8 480 576 487.2 576 496C576 504.8 568.8 512 560 512H240C231.2 512 224 504.8 224 496C224 487.2 231.2 480 240 480H560z"],
    "hill-avalanche": [640, 512, [], "e507", "M223.7 48C199.3 48 179.2 66.2 176.2 89.81L479.1 394.2C497.9 412.1 526.6 413.1 545.6 396.4L549.8 392.7C569.2 375.7 569.4 345.5 550.3 328.2C536 315.3 514.9 313.4 498.6 323.7L495.6 325.6C488.1 330.3 478.2 327.1 473.5 320.5C468.9 312.1 471.1 303.1 478.6 298.4L481.7 296.5C510.1 278.7 546.9 281.9 571.7 304.4C605.1 334.6 604.7 387.1 570.9 416.8L566.7 420.5C534.1 448.3 487.2 446.7 457.4 416.9L148.5 107.3C145.1 103.1 143.6 99.53 143.8 95.16C144.2 51.39 179.8 16 223.7 16C240.6 16 256.3 21.28 269.2 30.26C283.8 21.22 301.1 16 319.5 16C372.5 16 415.3 59.01 415.3 112C415.3 116.2 415.1 120.3 414.6 124.4C443.6 140.9 463.3 172.1 463.3 208C463.3 229.6 456.1 249.6 444.1 265.6C438.8 272.7 428.8 274.1 421.7 268.8C414.6 263.5 413.2 253.5 418.5 246.4C426.5 235.7 431.3 222.4 431.3 208C431.3 180.9 414.4 157.7 390.6 148.4C382.1 145.4 378.8 137.1 381 129.2C382.5 123.7 383.3 117.1 383.3 112C383.3 76.63 354.7 48 319.5 48C303.1 48 289.8 53.52 278.7 62.72C272.4 67.99 263.1 67.59 257.3 61.8C248.6 53.25 236.8 48 223.7 48L223.7 48zM511.1 64C511.1 81.67 496.8 96 479.2 96C461.5 96 447.2 81.67 447.2 64C447.2 46.33 461.5 32 479.2 32C496.8 32 511.1 46.33 511.1 64zM543 160C543 177.7 528.7 192 511.1 192C493.5 192 479.2 177.7 479.2 160C479.2 142.3 493.5 128 511.1 128C528.7 128 543 142.3 543 160zM447.3 457.4C467.4 477.6 453.1 512 424.6 512H95.97C60.62 512 31.97 483.3 31.97 448V118.7C31.97 90.15 66.47 75.88 86.62 96.07L447.3 457.4zM95.97 480H424.6L63.97 118.7V448C63.97 465.7 78.3 480 95.97 480z"],
    "hill-rockslide": [576, 512, [], "e508", "M238.5 127.7C232.1 117.9 232.1 106.1 238.5 96.31L265.5 48.31C271.1 38.24 281.8 32 293.4 32H346.6C358.2 32 368.9 38.24 374.5 48.31L401.5 96.31C407 106.1 407 117.9 401.5 127.7L374.5 175.7C368.9 185.8 358.2 192 346.6 192H293.4C281.8 192 271.1 185.8 265.5 175.7L238.5 127.7zM293.4 64L266.4 112L293.4 160H346.6L373.6 112L346.6 64H293.4zM0 118.6C0 90.12 34.47 75.84 54.63 96L416 457.4C436.2 477.5 421.9 512 393.4 512H64C28.65 512 0 483.3 0 448V118.6zM32 118.6V448C32 465.7 46.33 480 64 480H393.4L32 118.6zM416 378.6V325.4C416 313.8 422.2 303.1 432.3 297.5L480.3 270.5C490.1 264.1 501.9 264.1 511.7 270.5L559.7 297.5C569.8 303.1 576 313.8 576 325.4V378.6C576 390.2 569.8 400.9 559.7 406.5L511.7 433.5C501.9 439 490.1 439 480.3 433.5L432.3 406.5C422.2 400.9 416 390.2 416 378.6zM544 378.6V325.4L496 298.4L448 325.4V378.6L496 405.6L544 378.6zM192 64C192 81.67 177.7 96 160 96C142.3 96 128 81.67 128 64C128 46.33 142.3 32 160 32C177.7 32 192 46.33 192 64zM320 288C320 270.3 334.3 256 352 256C369.7 256 384 270.3 384 288C384 305.7 369.7 320 352 320C334.3 320 320 305.7 320 288z"],
    "hippo": [640, 512, [129435], "f6ed", "M480 144C480 152.8 472.8 160 464 160C455.2 160 448 152.8 448 144C448 135.2 455.2 128 464 128C472.8 128 480 135.2 480 144zM496 232C496 240.8 488.8 248 480 248C471.2 248 464 240.8 464 232C464 218.7 453.3 208 440 208C431.2 208 424 200.8 424 192C424 183.2 431.2 176 440 176C470.9 176 496 201.1 496 232zM512 144C512 135.2 519.2 128 528 128C536.8 128 544 135.2 544 144C544 152.8 536.8 160 528 160C519.2 160 512 152.8 512 144zM448.2 65.56C453.3 64.54 458.6 64 464 64H512C521.9 64 531.5 65.81 540.2 69.13L556.7 52.69C562.9 46.44 573.1 46.44 579.3 52.69C585.6 58.94 585.6 69.07 579.3 75.31L567.9 86.75C582.8 101.3 592 121.6 592 144C592 149.9 595.4 155.2 600.3 158.4C624.2 174.2 640 201.2 640 232C640 266.2 620.5 295.8 592 310.4V336C592 344.8 584.8 352 576 352C567.2 352 560 344.8 560 336V319.6C557.4 319.9 554.7 320 552 320H464V336C464 344.8 456.8 352 448 352C439.2 352 432 344.8 432 336V319.6C387.1 315.6 352 277.9 352 232C352 210.1 360 190.1 373.2 174.7C379.5 167.4 384 158.6 384 149V144C384 134.1 385.5 126.3 388.3 118.1L370.1 110.9C345.5 101 319.3 96 292.9 96H223.1C135.6 96 63.1 167.6 63.1 256L63.1 283.1C64 315.8 52.87 347.5 32.44 373.1L28.49 377.1C22.97 384.9 12.9 386 6.001 380.5C-.899 374.1-2.017 364.9 3.503 358L7.451 353.1C23.34 333.2 31.1 308.5 31.1 283.1L31.1 256C31.1 149.1 117.1 64 223.1 64H292.9C323.4 64 353.6 69.83 381.1 81.16L404.7 90.26C408.4 86.25 412.4 82.62 416.8 79.41L404.7 67.31C398.4 61.07 398.4 50.94 404.7 44.69C410.9 38.44 421.1 38.44 427.3 44.69L448.2 65.56zM552 288C582.9 288 608 262.9 608 232C608 218.7 597.3 208 584 208C570.7 208 560 218.7 560 232C560 240.8 552.8 248 544 248C535.2 248 528 240.8 528 232C528 204.8 547.4 182.1 573.2 177C565.5 168.7 560 157.4 560 144C560 117.5 538.5 96 512 96H464C437.5 96 416 117.5 416 144V149C416 168.8 406.7 184.8 397.5 195.5C389.1 205.3 384 218 384 232C384 262.9 409.1 288 440 288L552 288zM448 384V424C448 454.9 422.9 480 392 480H360C329.1 480 303.1 454.9 303.1 424V385.4C272.5 393.6 239.5 393.6 207.1 385.4V424C207.1 454.9 182.9 480 151.1 480H119.1C89.07 480 63.1 454.9 63.1 424V352C63.1 343.2 71.16 336 79.1 336C88.84 336 95.1 343.2 95.1 352V424C95.1 437.3 106.7 448 119.1 448H151.1C165.3 448 175.1 437.3 175.1 424V363.9C175.1 358.8 178.4 354 182.5 351C186.6 348 191.9 347.1 196.8 348.7L208.1 352.2C239.3 361.1 272.7 361.1 303.9 352.2L315.2 348.7C320.1 347.1 325.4 348 329.5 351C333.6 354 336 358.8 336 363.9V424C336 437.3 346.7 448 360 448H392C405.3 448 416 437.3 416 424V371.8C424.5 379.4 435.7 384 448 384z"],
    "hockey-mask": [448, 512, [], "f6ee", "M448 238.2c0-242.4-217.9-238.2-224-238.2c-6.188 0-223.1-4.254-223.1 238.2c0 49.81 9.681 108.8 32.62 177.8C64.5 512 224 512 224 512s159.5 .0008 191.4-96.01C438.3 346.9 448 287.1 448 238.2zM416.3 237.8c0 44.72-8.652 99.99-31.27 168.1C364.9 466.3 261.9 479.9 224 480c-37.99-.1191-140.1-13.66-161.1-74.1C40.37 337.8 31.72 282.6 31.72 237.8C31.72 85.23 132.1 32 224 32C315.9 32 416.3 85.23 416.3 237.8zM288 95.98c8.873 0 15.1-7.135 15.1-16.01S296.9 63.97 288 63.97c-8.875 0-16 7.133-16 16.01S279.1 95.98 288 95.98zM159.1 95.98c8.877 0 16-7.125 16-16c0-8.875-7.124-16.01-16-16.01c-8.875 0-16 7.126-16 16C143.1 88.85 151.1 95.98 159.1 95.98zM160 159.1H96c-26.47 0-48 21.53-48 48C48 252.1 83.89 288 128 288s80-35.91 80-80.03C208 181.5 186.5 159.1 160 159.1zM128 256C101.5 256 80 234.4 80 207.1c0-8.812 7.172-16 16-16h64c8.828 0 16 7.188 16 16C176 234.4 154.5 256 128 256zM175.1 431.1c-8.877 0-16 7.124-16 16c0 8.875 7.124 16 16 16c8.875 0 15.1-7.125 15.1-15.1C191.1 439.1 184.9 431.1 175.1 431.1zM176 399.1c8.869 0 15.1-7.122 15.1-15.99s-7.128-15.1-15.1-15.1c-8.871 0-15.1 7.124-15.1 15.99S167.1 399.1 176 399.1zM176 335.1c8.867 0 15.1-7.123 15.1-15.99c0-8.869-7.128-15.1-15.1-15.1c-8.869 0-15.99 7.124-15.99 15.99C160 328.9 167.1 335.1 176 335.1zM224 111.1c-8.875 0-16 7.126-16 16s7.125 16 16 16s16-7.125 16-16S232.9 111.1 224 111.1zM272 431.1c-8.871 0-15.1 7.127-15.1 16s7.127 15.1 15.1 15.1c8.873 0 15.1-7.125 15.1-15.1S280.9 431.1 272 431.1zM272 367.1c-8.873 0-15.1 7.125-15.1 16S263.1 399.1 272 399.1c8.875 0 16-7.125 16-16S280.9 367.1 272 367.1zM272 335.1c8.869 0 15.99-7.127 15.99-15.99c0-8.869-7.125-15.99-15.99-15.99c-8.867 0-15.1 7.128-15.1 15.1C256 328.9 263.1 335.1 272 335.1zM352 159.1h-64c-26.47 0-48 21.53-48 48C240 252.1 275.9 288 320 288s80-35.91 80-80.03C400 181.5 378.5 159.1 352 159.1zM320 256c-26.47 0-48-21.56-48-48.03c0-8.812 7.172-16 16-16h64c8.828 0 16 7.188 16 16C368 234.4 346.5 256 320 256z"],
    "hockey-puck": [512, 512, [], "f453", "M256 80c-127.2 0-256 32.97-256 96v160c0 63.03 128.8 96 256 96s256-32.97 256-96v-160C512 112.1 383.2 80 256 80zM256 112c136.7 0 224 37.91 224 64s-87.27 64-224 64s-224-37.91-224-64S119.3 112 256 112zM256 400c-136.7 0-224-37.91-224-64V224.9C78.06 255.9 167.3 272 256 272s177.9-16.06 224-47.1V336C480 362.1 392.7 400 256 400z"],
    "hockey-stick-puck": [640, 512, [], "e3ae", "M592 400h-160c-26.51 0-48 21.49-48 48v16c0 26.51 21.49 48 48 48h160c26.51 0 48-21.49 48-48V448C640 421.5 618.5 400 592 400zM608 464c0 8.822-7.178 16-16 16h-160c-8.822 0-16-7.178-16-16V448c0-8.822 7.178-16 16-16h160c8.822 0 16 7.178 16 16V464zM503.3 1.803c-7.859-4.094-17.5-.9687-21.56 6.875L312.5 336H49.11C22.03 336 0 358 0 385.1v77.81C0 489.1 22.03 512 49.11 512h158.3c30.84 0 58.81-17.03 73.02-44.44l229.8-444.2C514.3 15.52 511.2 5.865 503.3 1.803zM96 480H49.11C39.67 480 32 472.3 32 462.9v-77.81c0-9.436 7.672-17.09 17.11-17.09L96 368V480zM252 452.9C243.4 469.6 226.3 480 207.4 480H128v-111.1h167.9L252 452.9z"],
    "hockey-sticks": [640, 512, [], "f454", "M503.3 1.803c-7.859-4.094-17.5-.9687-21.56 6.875L312.5 336H49.11C22.03 336 0 358 0 385.1v77.81C0 489.1 22.03 512 49.11 512h158.3c30.84 0 58.81-17.03 73.02-44.44l229.8-444.2C514.3 15.52 511.2 5.865 503.3 1.803zM96 480H49.11C39.67 480 32 472.3 32 462.9v-77.81c0-9.436 7.672-17.09 17.11-17.09L96 368V480zM252 452.9C243.4 469.6 226.3 480 207.4 480H128v-111.1h167.9L252 452.9zM266.9 288.4c4.332 8.375 14.93 11.21 22.87 6.109c6.945-4.465 9.355-13.48 5.561-20.81L158.2 8.678C154.2 .834 144.5-2.291 136.7 1.803C128.8 5.865 125.7 15.52 129.8 23.36L266.9 288.4zM590.9 336h-196.6c-5.98 0-11.46 3.336-14.21 8.648c-5.51 10.65 2.221 23.35 14.21 23.35H512V480h-79.44c-18.83 0-35.92-10.4-44.59-27.12l-17.73-34.29c-5.965-11.53-22.46-11.53-28.42-.002c-2.385 4.611-2.385 10.09 0 14.7l17.73 34.28C373.8 494.1 401.7 512 432.6 512h158.3C618 512 640 490 640 462.9v-77.79C640 357.1 618 336 590.9 336zM608 462.9C608 472.3 600.3 480 590.9 480H544v-111.1l46.89-.0013c9.438 0 17.11 7.656 17.11 17.09V462.9z"],
    "holly-berry": [512, 512, [], "f7aa", "M356.1 204.8c16.16-5.625 29.16-17.22 36.6-32.59c7.438-15.41 8.438-32.78 2.844-48.9c-5.969-17.16-19-30.1-35.78-38.03c-8.219-3.437-17.53 .4062-20.94 8.562c-3.438 8.156 .4063 17.53 8.563 20.94c8.407 3.531 14.94 10.47 17.91 19.03c2.813 8.093 2.313 16.75-1.406 24.47c-3.719 7.687-10.22 13.5-18.28 16.28c-16.72 5.875-34.94-3.031-40.72-19.69c-2.938-8.374-12.19-12.75-20.38-9.874c-8.344 2.937-12.78 12.03-9.875 20.37c9.219 26.4 34.03 42.97 60.53 42.97C343 208.3 350.1 207.2 356.1 204.8zM154.1 204.8c6.938 2.406 13.97 3.531 20.94 3.531c26.5 0 51.31-16.56 60.53-42.97c2.906-8.343-1.531-17.44-9.875-20.37C218.4 142.1 209.1 146.5 206.2 154.9C200.4 171.5 182.1 180.4 165.5 174.6C157.4 171.8 150.9 165.1 147.2 158.3C143.5 150.6 142.1 141.9 145.8 133.8C148.8 125.2 155.3 118.3 163.7 114.8c8.157-3.406 12-12.78 8.563-20.94c-3.375-8.125-12.75-11.97-20.94-8.562C134.5 92.31 121.5 106.1 115.5 123.3c-5.594 16.12-4.594 33.5 2.844 48.9C125.8 187.6 138.8 199.2 154.1 204.8zM319.1 63.1C319.1 28.72 291.3 0 255.1 0S191.1 28.72 191.1 63.1s28.72 63.1 64 63.1S319.1 99.28 319.1 63.1zM255.1 95.99c-17.66 0-32.01-14.34-32.01-31.1s14.34-31.1 32-31.1s32 14.34 32 31.1S273.7 95.99 255.1 95.99zM245.1 258.5c1.375-11.09-3.125-21.65-12.06-28.31C224 223.5 212 222.1 201.6 226.7c-31.31 13.81-64.82 21.06-97.13 21.06c-1.375 0-2.938 0-4.031-.0313c-9.407 0-18.28 4.5-23.84 12.09C70.95 267.5 69.39 277.4 72.33 286.1c4.031 12.56 6.938 25.72 8.657 39.22c.7813 5.968-3.531 11.5-9.813 12.62C58.45 340.2 45.54 341.4 32.64 341.4c-.9375 0-.6563-.0625-2.844-.0313c-9.563 0-18.63 4.625-24.25 12.37c-5.5 7.625-7.032 17.44-4.031 26.37c10.19 29.78 13.5 61.78 9.844 94.93c-1.344 11.75 3.469 22.1 12.88 30.09C30.2 509.7 37.29 512 44.54 512c4.469 0 9.032-.9062 13.44-2.719c30.72-12.97 62.38-19.53 94.07-19.53c1.156 0 2.469 .0625 3.406 .0313c9.438 0 18.34-4.5 23.94-12.12c5.594-7.625 7.188-17.47 4.219-26.37c-4.063-12.12-7-25.25-8.75-39.06c-.7813-5.875 3.563-11.37 9.907-12.5c14.13-2.531 27.53-3.406 41.16-3.562c9.813 .4375 18.81-4.531 24.47-12.34c5.531-7.625 7.063-17.41 4.094-26.31C244.1 326.8 240.9 292.6 245.1 258.5zM100.4 279.8C100.4 279.8 100.4 279.8 100.4 279.8L100.4 279.8zM179.1 368.2c-23.19 4.125-39 25.25-36.03 48.09c1.844 14.47 4.844 28.4 8.969 41.43c-36.03 .0313-71.94 7.375-108.9 20.9c4-36.65 .5938-72.03-10.19-105.2c14.59-.0313 29.35-1.344 43.85-3.969c23.13-4.125 38.88-25.34 35.91-48.22C110.9 307.1 107.1 293.2 103.9 279.8h.5313c36.5 0 74.19-8.093 108.7-23.72c-4.313 37.03-.9063 74.28 9.875 108.1C208.8 364.2 194.1 365.5 179.1 368.2zM506.4 353.8c-5.625-7.75-14.69-12.37-24.41-12.37c-13.25-.0625-27.59-.9999-41.25-3.437c-6.25-1.125-10.56-6.656-9.782-12.66c1.719-13.47 4.625-26.62 8.625-39.03c2.969-8.906 1.406-18.78-4.188-26.4c-5.563-7.593-14.44-12.09-23.84-12.09h-.4688c-33.47 1.062-68.22-6.718-100.7-21.03c-8.125-3.562-17.53 .0625-21.09 8.156c-3.594 8.093 .0938 17.53 8.157 21.09c35.38 15.62 73.35 23.81 110.1 23.81h.5313c-4.094 13.37-7.063 27.28-8.875 41.4c-2.969 22.9 12.78 44.12 35.88 48.25c14.53 2.625 29.28 3.937 43.88 3.969c-10.78 33.22-14.28 68.65-12.56 106.4c-34.69-14.62-70.5-21.1-106.5-22.03c4.125-13.03 7.125-26.94 8.938-41.28c.625-4.375 1.781-19.75-9.907-33.22c-11-12.69-29.41-19.12-54.63-19.12H303.1c-8.844 .0313-16 7.187-15.97 16.03c.0313 8.843 7.188 15.97 16 15.97c14.94 0 26.31 2.937 30.78 8.093c2.906 3.375 2.469 7.25 2.344 8.031c-1.75 13.78-4.688 26.9-8.75 39.03c-2.969 8.906-1.375 18.75 4.219 26.37c5.656 7.75 14.25 12.37 24.34 12.12c33.31 .125 65.41 6.125 97.16 19.53C458.4 511.1 462.1 512 467.4 512c7.219 0 14.31-2.312 20.31-6.843c9.407-7.093 14.22-18.34 12.88-29.1c-3.656-33.25-.3438-65.25 9.907-95.15C513.5 371.2 511.9 361.4 506.4 353.8z"],
    "honey-pot": [448, 512, [127855], "e418", "M435.8 174.3C444.8 195.8 448.1 219 448 242.3C446.6 284.2 436.7 325.4 418.1 363.4C401.2 401.4 376 435.4 344.8 463.5C332.9 474.1 317.5 479.1 301.6 479.1H146.4C130.5 479.1 115.1 474.1 103.2 463.5C72 435.4 46.76 401.4 29.01 363.4C11.27 325.4 1.405 284.2-.0004 242.3C-.9463 219.1 3.184 196.1 12.1 174.7C21.02 153.3 34.51 134.2 51.62 118.6C44.68 113.5 39.23 106.6 35.85 98.72C32.48 90.81 31.29 82.13 32.42 73.6C34.22 61.89 40.2 51.23 49.25 43.58C58.31 35.93 69.82 31.82 81.66 31.1H368C374.8 31.1 381.6 33.46 387.8 36.28C394 39.1 399.6 43.22 404.1 48.36C408.6 53.51 411.1 59.55 413.9 66.09C415.9 72.63 416.5 79.53 415.6 86.3C414.7 92.65 412.5 98.73 409.1 104.2C405.7 109.6 401.2 114.3 395.1 117.9C413.2 133.6 426.8 152.8 435.8 174.3zM51.06 168.9C40.85 185.6 34.79 204.5 33.38 223.1H414.6C413.2 204.5 407.2 185.6 397 168.9C386.9 152.2 372.9 138.2 356.2 127.1H239.1C235.8 127.1 231.7 126.3 228.7 123.3C225.7 120.3 223.1 116.2 223.1 111.1C223.1 107.8 225.7 103.7 228.7 100.7C231.7 97.68 235.8 95.1 239.1 95.1H368C370.3 95.1 372.6 95.49 374.7 94.51C376.9 93.53 378.7 92.1 380.2 90.32C381.7 88.54 382.8 86.45 383.4 84.21C384.1 81.96 384.2 79.61 383.8 77.31C383 73.49 380.9 70.07 377.9 67.63C374.8 65.2 371 63.91 367.1 63.1H191.1V143.1C191.1 148.2 190.3 152.3 187.3 155.3C184.3 158.3 180.2 159.1 175.1 159.1C171.8 159.1 167.7 158.3 164.7 155.3C161.7 152.3 159.1 148.2 159.1 143.1V63.1H79.1C77.67 63.1 75.37 64.51 73.26 65.49C71.15 66.47 69.27 67.9 67.77 69.68C66.27 71.46 65.17 73.54 64.56 75.79C63.95 78.04 63.83 80.39 64.22 82.69C64.1 86.5 67.09 89.93 70.13 92.36C73.17 94.8 76.97 96.08 80.86 95.1H111.1C116.2 95.1 120.3 97.68 123.3 100.7C126.3 103.7 127.1 107.8 127.1 111.1C127.1 116.2 126.3 120.3 123.3 123.3C120.3 126.3 116.2 127.1 111.1 127.1H92.06C75.33 138.2 61.27 152.2 51.06 168.9zM45.82 319.1H402.2C409.3 299.3 413.7 277.8 415.1 255.1H32.86C34.34 277.8 38.7 299.3 45.82 319.1zM388.8 351.1H59.17C75.12 385.1 97.32 414.9 124.5 439.6C130.6 444.1 138.4 447.1 146.4 447.1H301.6C309.6 447.1 317.4 444.1 323.5 439.6C350.7 414.9 372.8 385.1 388.8 351.1z"],
    "hood-cloak": [576, 512, [], "f6ef", "M569.6 460.8c-57.63-77-57.62-140.9-57.62-140.9v-64c0-84-46.29-122.1-101.2-182.8l39.77-39.75c12.5-12.38 3.627-33.5-13.87-33.5H287.6c-95.63 0-223.6 109.5-223.6 256v64c0 0-.0194 63.85-57.65 140.9c-15.75 21-.3776 51.15 25.1 51.15h511.3C570 511.1 585.4 481.8 569.6 460.8zM191.1 480v-160c0-53 43-96 96.01-96c52.88 0 96.01 43 96.01 96v160H191.1zM416 480l.1779-160c0-70.75-57.37-128-128-128c-70.76 0-128 57.25-128 128l-.1973 160H31.98c63.26-84.5 64.01-157 64.01-160V256c0-129.1 114.5-224 191.6-224h119.3l-40.38 40.38c0 0 32.88 35.62 38.63 41.75C450.3 162.1 480 193.9 480 256v64c0 3 .7501 75.5 63.63 160H416z"],
    "horizontal-rule": [640, 512, [8213], "f86c", "M624 272h-608C7.156 272 0 264.9 0 256S7.156 240 16 240h608c8.844 0 16 7.131 16 15.97S632.8 272 624 272z"],
    "horse": [576, 512, [128014], "f6f0", "M480 80c-8.875 0-16 7.126-16 16s7.125 15.1 16 15.1s16-7.126 16-16S488.9 80 480 80zM566.8 63.75c5.854-10.11 8.875-21.78 8.459-33.95C574.6 13.04 560 0 543.3 0l-111.2 .001c-69.13 0-125.4 55.25-127.6 123.9v4.125L159.1 128c-35.49 0-66.13 19.43-82.74 48.15C34.43 177.7 0 212.7 0 256v47.1c0 8.836 7.164 15.1 15.1 15.1S32 312.8 32 304V256C32 234.7 46.07 216.8 65.36 210.6C63.85 221.1 63.1 222.7 63.1 224c0 31.1 8.876 50.75 24.5 68.63l-22 74.25c-3 10.75-3.375 21.1-.75 32.75l18.17 75.59C89.11 496.8 108.4 512 130.6 512h24.34c31.28 0 54.21-29.44 46.54-59.77l-16.59-65.61l19.25-53.75L288 351.5v112.5c0 26.51 21.49 47.1 48 47.1L368 512c26.51 0 48-21.49 48-47.1v-140.2c20.5-21.5 32-49.75 32-79.5V193.8l14.5 21.75c19.12 28.62 50 20.62 55.5 18.75l25.5-8.625C562.9 219.1 576 200.8 576 180.3V86.25C576 76.63 572.3 70.38 566.8 63.75zM544 180.1c0 6.875-4.375 12.1-10.88 15.12l-25.5 8.75c-9.375 3.25-16.12-2.75-18.5-6.25L464 160L416 144v100.2c0 26.62-12.62 50.12-32 65.5l.0001 154.2c0 8.836-7.164 16-16 16h-32c-8.836 0-16-7.164-16-15.1v-138.2L183.6 295.5L151.5 385l18.97 75.08c2.553 10.11-5.088 19.92-15.51 19.92H130.6c-7.396 0-13.83-5.07-15.56-12.26l-18.21-75.76c-1.268-5.27-1.125-10.78 .4102-15.98l27.62-93.5C107.5 270.4 96 256 96 224C96 188.7 124.7 160 160 160l176-.0007L336 128c0-53.02 42.98-95.1 96-95.1h111.3c0 13.25-8.125 24.62-19.75 29.5L544 86.25V180.1z"],
    "horse-head": [512, 512, [], "f7ab", "M508.7 320.9l-59.51-155.5c-12.33-34.17-38.87-62.4-72.24-77.44c14.51-15.09 24.92-34.61 15.78-69.6c-1.869-6.775-6.551-12.44-12.87-15.64C376.4 .918 372.5 0 368.7 0c-2.92 0-5.791 .502-8.531 1.494c-32.48 12.15-62.09 22.24-90.72 31.1C95.69 92.7 0 125.3 0 394.3v53.72C0 483.3 28.65 512 64 512h203.9c35.1 0 57.65-36.9 41.87-68.14l-23.34-50.92c-2.99-5.689-8.422-8.975-14.37-8.975c-2.59 0-5.174 .6465-7.475 1.869c-7.748 4.092-10.77 13.77-6.717 21.57l23.27 50.71C286.5 468.7 278.7 480 267.9 480H64c-17.67 0-32-14.33-32-32v-53.72c0-246.6 77.85-272.8 248.4-330.3c25.11-8.455 53.27-17.94 83.15-28.83c3.734 26.73-12.28 36.14-26.56 44.54l-37.4 22.1l41.45 8.002c35.9 6.971 65.89 32.61 78.25 66.92l59.69 155.1c2.154 5.439 .9434 11.97-2.912 15.96l-35.75 30.44c-3.307 3.271-7.082 4.836-11.09 4.836h-48.69c-4.836 0-9.379-2.344-12.15-6.27l-39.31-44.86c.3516-.2852 .6953-.5781 1.037-.8789c6.623-5.875 7.25-16 1.41-22.59c-3.02-3.438-7.402-5.424-12-5.424c-3.92 0-7.686 1.438-10.61 4.053c-14.59 12.86-33.39 19.96-52.89 19.96c-41.32 0-76.34-32.2-79.72-73.31C175.7 246.3 168.9 239.1 160.6 239.1H160.2l-1.389 .1094C154.8 240.4 150.9 242.4 148.2 245.6C145.4 248.9 144.1 253.1 144.4 257.3c4.742 57.56 53.77 102.7 111.6 102.7c15.31 0 30.93-3.467 45.56-10.07l41.22 47c8.248 11.7 22.54 19.07 37.72 19.07h48.69c12.39 0 24.39-4.903 32.9-13.45l35.93-30.62C511.6 358 515.6 338.2 508.7 320.9zM360 208c0-13.26-10.75-24-24-24s-24 10.74-24 24c0 13.25 10.75 24 24 24S360 221.3 360 208z"],
    "horse-saddle": [576, 512, [], "f8c3", "M480 80c-8.875 0-16 7.126-16 16s7.125 16 16 16s16-7.126 16-16S488.9 80 480 80zM566.8 63.75c5.854-10.11 8.875-21.78 8.459-33.95C574.6 13.04 560 0 543.3 0L432 .001c-69.13 0-125.4 55.25-127.6 123.9V128L160 128c-35.49 0-66.13 19.41-82.75 48.12C34.43 177.7 0 212.7 0 256v48.07c0 8.836 7.164 16 16 16S32 312.8 32 304V256c0-21.34 14.07-39.18 33.36-45.43C63.85 221.1 64 222.7 64 224c0 32 8.875 50.71 24.5 68.59l-22 74.25c-3 10.75-3.375 22-.75 32.75l18.17 75.59C89.11 496.8 108.4 512 130.6 512h24.34c31.28 0 54.21-29.44 46.54-59.77l-16.59-65.61l19.25-53.75L288 351.5V464c0 26.51 21.49 47.1 48 47.1L368 512c26.51 0 48-21.49 48-48v-140.3c20.5-21.5 32-49.75 32-79.5v-50.5l14.5 21.75c19.12 28.62 50 20.62 55.5 18.75l25.5-8.625C562.9 219.1 576 200.8 576 180.3V86.25C576 76.63 572.3 70.38 566.8 63.75zM224 304.5L183.6 295.5L151.5 385l18.97 75.08C173 470.2 165.4 480 154.1 480H130.6c-7.396 0-13.83-5.07-15.56-12.26l-18.21-75.76C95.57 386.7 95.71 381.2 97.25 376l27.62-93.5C107.5 270.4 96 256 96 224c0-24.23 13.71-45.11 33.62-55.97C136.1 215.1 175.8 251.4 224 255.2V304.5zM160.8 160h142.4C299.2 195.9 268.1 224 232 224S164.8 195.9 160.8 160zM544 180.1c0 6.875-4.375 13-10.88 15.12L507.6 204c-9.375 3.25-16.12-2.75-18.5-6.25L464 160L416 144v100.3c0 26.62-12.62 50.13-32 65.5V464c0 8.836-7.164 16-16 16h-32c-8.836 0-16-7.164-16-16v-138.3L256 311.6V252.9C301.8 242 336 201 336 152V128c0-53.02 42.98-95.1 96-95.1h111.3c0 13.25-8.125 24.62-19.75 29.5L544 86.25V180.1z"],
    "hose": [448, 512, [], "e419", "M152 112H288C288 120.8 295.2 128 304 128S320 120.8 320 112V110.1l113.1-14.24C441.1 94.88 448 88.06 448 80v-32c0-8.064-6.016-14.88-14.02-15.87L320 17.89V16C320 7.168 312.8 0 304 0S288 7.168 288 16H152C68.06 16 0 84.06 0 168C0 216.8 22.98 260.2 58.69 288H48C21.5 288 0 309.5 0 336c0 12.29 4.609 23.52 12.22 32C4.609 376.5 0 387.7 0 400s4.609 23.52 12.22 32C4.609 440.5 0 451.7 0 464C0 490.5 21.5 512 48 512h352c26.5 0 48-21.5 48-48c0-12.29-4.607-23.52-12.22-32C443.4 423.5 448 412.3 448 400s-4.607-23.52-12.22-32C443.4 359.5 448 348.3 448 336s-4.607-23.52-12.22-32C443.4 295.5 448 284.3 448 272C448 245.5 426.5 224 400 224H152C121.1 224 96 198.9 96 168S121.1 112 152 112zM320 50.11l96 12v3.777l-96 12V50.11zM400 480h-352C39.17 480 32 472.8 32 464S39.17 448 48 448h352c8.832 0 16 7.168 16 16S408.8 480 400 480zM400 416h-352C39.17 416 32 408.8 32 400S39.17 384 48 384h352c8.832 0 16 7.168 16 16S408.8 416 400 416zM400 352h-352C39.17 352 32 344.8 32 336S39.17 320 48 320h103.9C151.1 320 151.1 320 152 320h248c8.832 0 16 7.168 16 16S408.8 352 400 352zM152 256h248C408.8 256 416 263.2 416 272S408.8 288 400 288H152C151.1 288 151.1 288 151.9 288C85.7 287.1 32 234.3 32 168S85.73 48 152 48H288v32H152C103.4 80 64 119.4 64 168S103.4 256 152 256z"],
    "hose-reel": [576, 512, [], "e41a", "M320 160C266.1 160 224 202.1 224 256s42.98 96 96 96s96-42.98 96-96S373 160 320 160zM320 320c-35.36 0-64-28.64-64-64s28.64-64 64-64s64 28.64 64 64S355.4 320 320 320zM320 80C222.8 80 144 158.8 144 256s78.78 176 176 176s176-78.78 176-176S417.2 80 320 80zM320 400c-79.52 0-144-64.48-144-144S240.5 112 320 112s144 64.48 144 144S399.5 400 320 400zM608 352h-32V256c0-141.4-114.6-256-256-256C178.6 0 64 114.6 64 256s114.6 256 256 256c54.37 0 104.8-16.96 146.3-45.89c7.23-5.055 9.023-15.04 3.967-22.27C465.2 436.6 455.2 434.8 448 439.9C411.7 465.2 367.6 480 320 480c-123.7 0-224-100.3-224-224s100.3-224 224-224c123.7 0 224 100.3 224 224v96h-32c-8.832 0-16 7.168-16 16S503.2 384 512 384h1.889l14.24 113.1C529.1 505.1 535.9 512 544 512h32c8.064 0 14.88-6.016 15.87-14.02L606.1 384H608c8.832 0 16-7.168 16-16S616.8 352 608 352zM561.9 480h-3.777l-12-96h27.78L561.9 480z"],
    "hospital": [640, 512, [127973, 62589, "hospital-alt", "hospital-wide"], "f0f8", "M336 80V112H368C376.8 112 384 119.2 384 128C384 136.8 376.8 144 368 144H336V176C336 184.8 328.8 192 320 192C311.2 192 304 184.8 304 176V144H272C263.2 144 256 136.8 256 128C256 119.2 263.2 112 272 112H304V80C304 71.16 311.2 64 320 64C328.8 64 336 71.16 336 80zM160 64C160 28.65 188.7 0 224 0H416C451.3 0 480 28.65 480 64V96H576C611.3 96 640 124.7 640 160V448C640 483.4 611.3 512 576 512H64C28.65 512 0 483.4 0 448V160C0 124.7 28.65 96 64 96H160V64zM480 480H576C593.7 480 608 465.7 608 448V320H528C519.2 320 512 312.8 512 304C512 295.2 519.2 288 528 288H608V224H528C519.2 224 512 216.8 512 208C512 199.2 519.2 192 528 192H608V160C608 142.3 593.7 128 576 128H480V480zM64 128C46.33 128 32 142.3 32 160V192H112C120.8 192 128 199.2 128 208C128 216.8 120.8 224 112 224H32V288H112C120.8 288 128 295.2 128 304C128 312.8 120.8 320 112 320H32V448C32 465.7 46.33 480 64 480H160V128H64zM352 480V416C352 398.3 337.7 384 320 384C302.3 384 288 398.3 288 416V480H352zM448 480V64C448 46.33 433.7 32 416 32H224C206.3 32 192 46.33 192 64V480H256V416C256 380.7 284.7 352 320 352C355.3 352 384 380.7 384 416V480H448z"],
    "hospital-user": [576, 512, [], "f80d", "M0 64C0 28.65 28.65 0 64 0H256C291.3 0 320 28.65 320 64V336C320 344.8 312.8 352 304 352C295.2 352 288 344.8 288 336V64C288 46.33 273.7 32 256 32H64C46.33 32 32 46.33 32 64V256H144C152.8 256 160 263.2 160 272C160 280.8 152.8 288 144 288H32V352H144C152.8 352 160 359.2 160 368C160 376.8 152.8 384 144 384H32V448C32 465.7 46.33 480 64 480H240C248.8 480 256 487.2 256 496C256 504.8 248.8 512 240 512H64C28.65 512 0 483.3 0 448V64zM144 80C144 71.16 151.2 64 160 64C168.8 64 176 71.16 176 80V112H208C216.8 112 224 119.2 224 128C224 136.8 216.8 144 208 144H176V176C176 184.8 168.8 192 160 192C151.2 192 144 184.8 144 176V144H112C103.2 144 96 136.8 96 128C96 119.2 103.2 112 112 112H144V80zM512 272C512 316.2 476.2 352 432 352C387.8 352 352 316.2 352 272C352 227.8 387.8 192 432 192C476.2 192 512 227.8 512 272zM432 224C405.5 224 384 245.5 384 272C384 298.5 405.5 320 432 320C458.5 320 480 298.5 480 272C480 245.5 458.5 224 432 224zM482.9 384C534.3 384 576 425.7 576 477.1C576 496.4 560.4 512 541.1 512H322.9C303.6 512 288 496.4 288 477.1C288 425.7 329.7 384 381.1 384H482.9zM322.9 480H541.1C542.7 480 544 478.7 544 477.1C544 443.4 516.6 416 482.9 416H381.1C347.4 416 320 443.4 320 477.1C320 478.7 321.3 480 322.9 480V480z"],
    "hospitals": [576, 512, [], "f80e", "M480 32H320C302.3 32 288 46.33 288 64V65.6C282.8 64.55 277.5 64 272 64H256C256 28.65 284.7 0 320 0H480C515.3 0 544 28.65 544 64V448C544 483.3 515.3 512 480 512H336C342.1 502.7 348 491.8 350.4 480H480C497.7 480 512 465.7 512 448V64C512 46.33 497.7 32 480 32zM384 96C384 87.16 391.2 80 400 80C408.8 80 416 87.16 416 96V128H448C456.8 128 464 135.2 464 144C464 152.8 456.8 160 448 160H416V192C416 200.8 408.8 208 400 208C391.2 208 384 200.8 384 192V160H352C343.2 160 336 152.8 336 144C336 135.2 343.2 128 352 128H384V96zM352 288H512V320H352V288zM352 384H512V416H352V384zM160 192C160 183.2 167.2 176 176 176C184.8 176 192 183.2 192 192V224H224C232.8 224 240 231.2 240 240C240 248.8 232.8 256 224 256H192V288C192 296.8 184.8 304 176 304C167.2 304 160 296.8 160 288V256H128C119.2 256 112 248.8 112 240C112 231.2 119.2 224 128 224H160V192zM256 96C291.3 96 320 124.7 320 160V448C320 483.3 291.3 512 256 512H96C60.65 512 32 483.3 32 448V160C32 124.7 60.65 96 96 96H256zM96 128C78.33 128 64 142.3 64 160V352H288V160C288 142.3 273.7 128 256 128H96zM96 480H256C273.7 480 288 465.7 288 448V384H64V448C64 465.7 78.33 480 96 480z"],
    "hot-tub-person": [512, 512, ["hot-tub"], "f593", "M96 128c35.33 0 64-28.67 64-64S131.3 0 96 0C60.67 0 32 28.67 32 64S60.67 128 96 128zM96 32c17.64 0 32 14.36 32 32S113.6 96 96 96S64 81.64 64 64S78.36 32 96 32zM281.6 110.8C305.3 123.9 320 148.9 320 176C320 184.8 327.3 192 336.1 192S352 184.8 352 176c0-38.7-21.02-74.44-57.61-94.75C270.7 68.09 256 43.09 256 16C256 7.156 248.9 0 240.1 0S224 7.156 224 16C224 54.7 245 90.44 281.6 110.8zM409.6 110.8C433.3 123.9 448 148.9 448 176C448 184.8 455.2 192 464 192S480 184.8 480 176c0-38.7-21.02-74.44-57.61-94.75C398.7 68.09 384 43.09 384 16C384 7.156 376.8 0 368 0S352 7.156 352 16C352 54.7 373 90.44 409.6 110.8zM47.1 240c8.844 0 16-7.156 16-16c0-17.64 14.36-32 32-32h50.7c5.797 0 11.5 1.578 16.47 4.562l68.59 41.16C234.3 239.3 237.2 240 239.1 240c5.438 0 10.73-2.766 13.73-7.766c4.547-7.578 2.094-17.41-5.484-21.95L179.6 169.1C169.7 163.2 158.3 160 146.7 160H95.1C60.7 160 31.1 188.7 31.1 224C31.1 232.8 39.15 240 47.1 240zM480 272H32c-17.67 0-32 14.33-32 32V448c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V304C512 286.4 497.6 272 480 272zM480 448c0 17.62-14.38 32-32 32H64c-17.62 0-32-14.38-32-32V304h448V448zM112 448C120.8 448 128 440.8 128 432V352c0-8.801-7.199-16-16-16S96 343.2 96 352v80C96 440.8 103.2 448 112 448zM208 448C216.8 448 224 440.8 224 432V352c0-8.801-7.199-16-16-16S192 343.2 192 352v80C192 440.8 199.2 448 208 448zM400 448c8.801 0 16-7.201 16-16V352c0-8.801-7.199-16-16-16S384 343.2 384 352v80C384 440.8 391.2 448 400 448zM304 448c8.801 0 16-7.201 16-16V352c0-8.801-7.199-16-16-16S288 343.2 288 352v80C288 440.8 295.2 448 304 448z"],
    "hotdog": [512, 512, [127789], "f80f", "M438.8 95.84c6.25 6.25 6.25 16.34 0 22.59c-19.62 19.62-37.63 22.82-52 25.32C373.8 146 364.4 147.6 352 160s-14 21.75-16.25 34.75c-2.5 14.38-5.5 32.25-25.12 51.88s-37.5 22.62-51.88 25.12C245.8 274 236.4 275.6 224 288s-14 21.75-16.25 34.75c-2.5 14.38-5.5 32.25-25.12 51.88s-37.5 22.62-51.88 25.12C117.8 402 108.4 403.6 96.01 416c-3.125 3.125-7.25 4.75-11.25 4.75c-4.125 0-8.25-1.625-11.38-4.75c-6.25-6.25-6.25-16.38 0-22.62c19.62-19.62 37.5-22.62 51.88-25.12C138.3 366 147.6 364.4 160 352s14-21.75 16.25-34.75c2.5-14.38 5.5-32.25 25.12-51.88s37.5-22.62 51.88-25.12C266.3 238 275.6 236.4 288 224s14-21.75 16.25-34.75c2.5-14.38 5.5-32.25 25.12-51.88s37.5-22.62 51.88-25.12c13-2.25 22.53-4.039 34.91-16.41C422.4 89.59 432.5 89.59 438.8 95.84zM483.6 165.6l-318 318C147.3 501.9 122.9 512 97.01 512s-50.25-10.12-68.63-28.38c-18.25-18.38-28.38-42.75-28.38-68.63s10.12-50.25 28.38-68.63l318-318C364.8 10.12 389.1 0 415 0s50.25 10.12 68.63 28.38c18.25 18.38 28.38 42.75 28.38 68.63S501.9 147.3 483.6 165.6zM461 51c-25.38-25.38-66.63-25.38-92 0l-318 318c-25.38 25.38-25.38 66.63 0 92s66.63 25.38 92 0l318-318C486.4 117.6 486.4 76.38 461 51zM468.3 228.7c-6.25 6.25-6.25 16.38 0 22.62c14.33 14.33 15.72 36.25 3.094 48.88l-171.2 171.2c-12.61 12.64-34.55 11.2-48.88-3.094c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62c13.98 13.98 32.16 21.05 49.91 21.05c16.28 0 32.22-5.953 44.22-17.95l171.2-171.2c25.09-25.09 23.72-67.33-3.094-94.13C484.7 222.4 474.5 222.4 468.3 228.7zM32.39 288c4.094 0 8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62C29.38 246.4 27.98 224.4 40.61 211.8L211.8 40.61C224.4 28 246.4 29.42 260.7 43.7c6.25 6.25 16.38 6.25 22.62 0s6.25-16.38 0-22.62c-26.83-26.83-69.08-28.2-94.13-3.094L17.98 189.2C-7.109 214.3-5.734 256.5 21.08 283.3C24.2 286.4 28.3 288 32.39 288z"],
    "hotel": [512, 512, [127976], "f594", "M320 96C320 78.33 334.3 64 352 64H384C401.7 64 416 78.33 416 96V128C416 145.7 401.7 160 384 160H352C334.3 160 320 145.7 320 128V96zM384 96H352V128H384V96zM272 64C289.7 64 304 78.33 304 96V128C304 145.7 289.7 160 272 160H240C222.3 160 208 145.7 208 128V96C208 78.33 222.3 64 240 64H272zM240 128H272V96H240V128zM208 224C208 206.3 222.3 192 240 192H272C289.7 192 304 206.3 304 224V256C304 273.7 289.7 288 272 288H240C222.3 288 208 273.7 208 256V224zM272 224H240V256H272V224zM384 192C401.7 192 416 206.3 416 224V256C416 273.7 401.7 288 384 288H352C334.3 288 320 273.7 320 256V224C320 206.3 334.3 192 352 192H384zM352 256H384V224H352V256zM96 96C96 78.33 110.3 64 128 64H160C177.7 64 192 78.33 192 96V128C192 145.7 177.7 160 160 160H128C110.3 160 96 145.7 96 128V96zM160 96H128V128H160V96zM160 192C177.7 192 192 206.3 192 224V256C192 273.7 177.7 288 160 288H128C110.3 288 96 273.7 96 256V224C96 206.3 110.3 192 128 192H160zM128 256H160V224H128V256zM173.8 379.9C167.2 374 166.6 363.9 172.5 357.3C193 334.4 222.8 320 256 320C289.2 320 318.1 334.4 339.5 357.3C345.4 363.9 344.8 374 338.2 379.9C331.6 385.8 321.5 385.3 315.6 378.7C300.1 362.3 279.7 352 256 352C232.3 352 211 362.3 196.4 378.7C190.5 385.3 180.4 385.8 173.8 379.9V379.9zM496 0C504.8 0 512 7.164 512 16C512 24.84 504.8 32 496 32H480V480H496C504.8 480 512 487.2 512 496C512 504.8 504.8 512 496 512H16C7.164 512 0 504.8 0 496C0 487.2 7.164 480 16 480H32V32H16C7.164 32 0 24.84 0 16C0 7.164 7.164 0 16 0H496zM256 416C247.2 416 240 423.2 240 432V480H272V432C272 423.2 264.8 416 256 416zM304 432V480H448V32H64V480H208V432C208 405.5 229.5 384 256 384C282.5 384 304 405.5 304 432z"],
    "hourglass": [384, 512, [62032, 9203, "hourglass-empty"], "f254", "M368 0C376.8 0 384 7.164 384 16C384 24.84 376.8 32 368 32H352V76.67C352 108.3 341.6 139 322.4 164.1L252.1 256L322.4 347.9C341.6 372.1 352 403.7 352 435.3V480H368C376.8 480 384 487.2 384 496C384 504.8 376.8 512 368 512H16C7.164 512 0 504.8 0 496C0 487.2 7.164 480 16 480H32V435.3C32 403.7 42.41 372.1 61.61 347.9L131.9 256L61.61 164.1C42.41 139 32 108.3 32 76.67V32H16C7.164 32 0 24.84 0 16C0 7.164 7.164 0 16 0L368 0zM320 32H64V76.67C64 101.3 72.09 125.2 87.03 144.7L164.7 246.3C169.1 252 169.1 259.1 164.7 265.7L87.03 367.3C72.09 386.8 64 410.7 64 435.3V480H320V435.3C320 410.7 311.9 386.8 296.1 367.3L219.3 265.7C214.9 259.1 214.9 252 219.3 246.3L296.1 144.7C311.9 125.2 320 101.3 320 76.67V32z"],
    "hourglass-clock": [576, 512, [], "e41b", "M16 512C7.164 512 0 504.8 0 496C0 487.2 7.164 480 16 480H32V435.3C32 403.7 42.41 372.1 61.61 347.9L131.9 256L61.61 164.1C42.41 139 32 108.3 32 76.67V32H16C7.164 32 0 24.84 0 16C0 7.164 7.164 0 16 0H368C376.8 0 384 7.164 384 16C384 24.84 376.8 32 368 32H352V76.67C352 108.3 341.6 139 322.4 164.1L252.1 256L275.8 286.9C270 297.9 265.5 309.6 262.1 321.8L219.3 265.7C214.9 259.1 214.9 252 219.3 246.3L296.1 144.7C311.9 125.2 320 101.3 320 76.67V32H64V76.67C64 101.3 72.09 125.2 87.03 144.7L164.7 246.3C169.1 252 169.1 259.1 164.7 265.7L87.03 367.3C72.09 386.8 64 410.7 64 435.3V480H296.2C306.3 492.1 317.9 502.9 330.8 512L16 512zM262.6 416C265.8 427.2 270 437.9 275.2 448H112C106 448 100.5 444.6 97.77 439.3C95.03 433.1 95.5 427.6 98.98 422.7L178.1 310.7C184.1 303.5 194.1 301.8 201.3 306.1C208.5 312.1 210.2 322.1 205 329.3L143.1 416H262.6zM179.5 201.1L115.5 121.1C111.7 117.2 110.9 110.6 113.6 105.1C116.2 99.53 121.8 96 128 96H256C262.2 96 267.8 99.53 270.4 105.1C273.1 110.6 272.3 117.2 268.5 121.1L204.5 201.1C201.5 205.8 196.9 208 192 208C187.1 208 182.5 205.8 179.5 201.1zM192 166.4L222.7 128H161.3L192 166.4zM431.1 288C440.8 288 447.1 295.2 447.1 304V352H480C488.8 352 496 359.2 496 368C496 376.8 488.8 384 480 384H431.1C423.2 384 415.1 376.8 415.1 368V304C415.1 295.2 423.2 288 431.1 288V288zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 480C493.9 480 544 429.9 544 368C544 306.1 493.9 256 432 256C370.1 256 320 306.1 320 368C320 429.9 370.1 480 432 480z"],
    "hourglass-end": [384, 512, [8987, "hourglass-3"], "f253", "M285 422.7C288.5 427.6 288.1 433.1 286.2 439.3C283.5 444.6 277.1 448 272 448H112C106 448 100.5 444.6 97.77 439.3C95.03 433.1 95.5 427.6 98.98 422.7L178.1 310.7C181.1 306.5 186.8 304 192 304C197.2 304 202 306.5 205 310.7L285 422.7zM240.9 416L192 347.5L143.1 416H240.9zM0 16C0 7.164 7.164 0 16 0H368C376.8 0 384 7.164 384 16C384 24.84 376.8 32 368 32H352V76.67C352 108.3 341.6 139 322.4 164.1L252.1 256L322.4 347.9C341.6 372.1 352 403.7 352 435.3V480H368C376.8 480 384 487.2 384 496C384 504.8 376.8 512 368 512H16C7.164 512 0 504.8 0 496C0 487.2 7.164 480 16 480H32V435.3C32 403.7 42.41 372.1 61.61 347.9L131.9 256L61.61 164.1C42.41 139 32 108.3 32 76.67V32H16C7.164 32 0 24.84 0 16V16zM64 76.67C64 101.3 72.09 125.2 87.03 144.7L164.7 246.3C169.1 252 169.1 259.1 164.7 265.7L87.03 367.3C72.09 386.8 64 410.7 64 435.3V480H320V435.3C320 410.7 311.9 386.8 296.1 367.3L219.3 265.7C214.9 259.1 214.9 252 219.3 246.3L296.1 144.7C311.9 125.2 320 101.3 320 76.67V32H64V76.67z"],
    "hourglass-half": [384, 512, ["hourglass-2"], "f252", "M179.5 201.1L115.5 121.1C111.7 117.2 110.9 110.6 113.6 105.1C116.2 99.53 121.8 96 128 96H256C262.2 96 267.8 99.53 270.4 105.1C273.1 110.6 272.3 117.2 268.5 121.1L204.5 201.1C201.5 205.8 196.9 208 192 208C187.1 208 182.5 205.8 179.5 201.1zM192 166.4L222.7 128H161.3L192 166.4zM240 352C246.1 352 251.6 355.4 254.3 360.8L286.3 424.8C288.8 429.8 288.5 435.7 285.6 440.4C282.7 445.1 277.5 448 272 448H111.1C106.5 448 101.3 445.1 98.39 440.4C95.47 435.7 95.21 429.8 97.69 424.8L129.7 360.8C132.4 355.4 137.9 352 143.1 352H240zM246.1 416L230.1 384H153.9L137.9 416H246.1zM16 512C7.164 512 0 504.8 0 496C0 487.2 7.164 480 16 480H32V435.3C32 403.7 42.41 372.1 61.61 347.9L131.9 256L61.61 164.1C42.41 139 32 108.3 32 76.67V32H16C7.164 32 0 24.84 0 16C0 7.164 7.164 0 16 0H368C376.8 0 384 7.164 384 16C384 24.84 376.8 32 368 32H352V76.67C352 108.3 341.6 139 322.4 164.1L252.1 256L322.4 347.9C341.6 372.1 352 403.7 352 435.3V480H368C376.8 480 384 487.2 384 496C384 504.8 376.8 512 368 512H16zM320 435.3C320 410.7 311.9 386.8 296.1 367.3L219.3 265.7C214.9 259.1 214.9 252 219.3 246.3L296.1 144.7C311.9 125.2 320 101.3 320 76.67V32H64V76.67C64 101.3 72.09 125.2 87.03 144.7L164.7 246.3C169.1 252 169.1 259.1 164.7 265.7L87.03 367.3C72.09 386.8 64 410.7 64 435.3V480H320V435.3z"],
    "hourglass-start": [384, 512, ["hourglass-1"], "f251", "M205 201.3C202 205.5 197.2 208 192 208C186.8 208 181.1 205.5 178.1 201.3L98.98 89.3C95.5 84.42 95.03 78.01 97.77 72.68C100.5 67.35 106 64 111.1 64H272C277.1 64 283.5 67.35 286.2 72.68C288.1 78.01 288.5 84.42 285 89.3L205 201.3zM143.1 96L192 164.5L240.9 96H143.1zM16 480H32V435.3C32 403.7 42.41 372.1 61.61 347.9L131.9 256L61.61 164.1C42.41 139 32 108.3 32 76.67V32H16C7.164 32 0 24.84 0 16C0 7.164 7.164 0 16 0H368C376.8 0 384 7.164 384 16C384 24.84 376.8 32 368 32H352V76.67C352 108.3 341.6 139 322.4 164.1L252.1 256L322.4 347.9C341.6 372.1 352 403.7 352 435.3V480H368C376.8 480 384 487.2 384 496C384 504.8 376.8 512 368 512H16C7.164 512 0 504.8 0 496C0 487.2 7.164 480 16 480zM64 480H320V435.3C320 410.7 311.9 386.8 296.1 367.3L219.3 265.7C214.9 259.1 214.9 252 219.3 246.3L296.1 144.7C311.9 125.2 320 101.3 320 76.67V32H64V76.67C64 101.3 72.09 125.2 87.03 144.7L164.7 246.3C169.1 252 169.1 259.1 164.7 265.7L87.03 367.3C72.09 386.8 64 410.7 64 435.3V480z"],
    "house": [576, 512, [63498, 63500, 127968, "home", "home-alt", "home-lg-alt"], "f015", "M570.6 244C577.2 249.8 577.8 259.1 571.1 266.6C566.2 273.2 556 273.8 549.4 267.1L512 234.1V432C512 476.2 476.2 512 432 512H144C99.82 512 64 476.2 64 432V234.1L26.59 267.1C19.96 273.8 9.849 273.2 4.003 266.6C-1.844 259.1-1.212 249.8 5.414 244L277.4 4.002C283.5-1.334 292.5-1.334 298.6 4.002L570.6 244zM144 480H208V320C208 302.3 222.3 288 240 288H336C353.7 288 368 302.3 368 320V480H432C458.5 480 480 458.5 480 432V206.7L288 37.34L96 206.7V432C96 458.5 117.5 480 144 480zM240 480H336V320H240V480z"],
    "house-blank": [576, 512, ["home-blank"], "e487", "M277.4 4.002C283.5-1.334 292.5-1.334 298.6 4.002L570.6 244C577.2 249.8 577.8 259.1 571.1 266.6C566.2 273.2 556 273.8 549.4 267.1L512 234.1V432C512 476.2 476.2 512 432 512H144C99.82 512 64 476.2 64 432V234.1L26.59 267.1C19.96 273.8 9.849 273.2 4.003 266.6C-1.844 259.1-1.212 249.8 5.414 244L277.4 4.002zM96 206.7V432C96 458.5 117.5 480 144 480H432C458.5 480 480 458.5 480 432V206.7L288 37.34L96 206.7z"],
    "house-building": [640, 512, [], "e1b1", "M288 64V124.6L256 95.26V64C256 28.65 284.7 0 320 0H576C611.3 0 640 28.65 640 64V448C640 483.3 611.3 512 576 512H400C406.1 502.7 412 491.8 414.4 480H576C593.7 480 608 465.7 608 448V64C608 46.33 593.7 32 576 32H320C302.3 32 288 46.33 288 64zM528 208C545.7 208 560 222.3 560 240V272C560 289.7 545.7 304 528 304H496C478.3 304 464 289.7 464 272V240C464 222.3 478.3 208 496 208H528zM496 272H528V240H496V272zM464 368C464 350.3 478.3 336 496 336H528C545.7 336 560 350.3 560 368V400C560 417.7 545.7 432 528 432H496C478.3 432 464 417.7 464 400V368zM528 368H496V400H528V368zM400 80C417.7 80 432 94.33 432 112V144C432 161.7 417.7 176 400 176H368C350.3 176 336 161.7 336 144V112C336 94.33 350.3 80 368 80H400zM368 144H400V112H368V144zM464 112C464 94.33 478.3 80 496 80H528C545.7 80 560 94.33 560 112V144C560 161.7 545.7 176 528 176H496C478.3 176 464 161.7 464 144V112zM528 112H496V144H528V112zM224 256C241.7 256 256 270.3 256 288V352C256 369.7 241.7 384 224 384H160C142.3 384 128 369.7 128 352V288C128 270.3 142.3 256 160 256H224zM224 288H160V352H224V288zM0 448V284.2C0 266.2 7.529 249.1 20.75 236.1L148.8 119.6C173.2 97.21 210.8 97.21 235.2 119.6L363.2 236.1C376.5 249.1 384 266.2 384 284.2V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448zM32 284.2V448C32 465.7 46.33 480 64 480H320C337.7 480 352 465.7 352 448V284.2C352 275.2 348.2 266.6 341.6 260.6L213.6 143.2C201.4 132 182.6 132 170.4 143.2L42.38 260.6C35.76 266.6 31.1 275.2 31.1 284.2H32z"],
    "house-chimney": [576, 512, [63499, "home-lg"], "e3af", "M277.4 4.002C283.5-1.334 292.5-1.334 298.6 4.002L384 79.37V56C384 42.75 394.7 31.1 408 31.1H488C501.3 31.1 512 42.75 512 56V192.3L570.6 244C577.2 249.8 577.8 259.1 571.1 266.6C566.2 273.2 556 273.8 549.4 267.1L512 234.1V432C512 476.2 476.2 512 432 512H144C99.82 512 64 476.2 64 432V234.1L26.59 267.1C19.96 273.8 9.849 273.2 4.003 266.6C-1.844 259.1-1.212 249.8 5.414 244L277.4 4.002zM480 164.1V64H416V107.6L480 164.1zM96 206.7V432C96 458.5 117.5 480 144 480H208V320C208 302.3 222.3 288 240 288H336C353.7 288 368 302.3 368 320V480H432C458.5 480 480 458.5 480 432V206.7L288 37.34L96 206.7zM240 320V480H336V320H240z"],
    "house-chimney-blank": [576, 512, [], "e3b0", "M384 79.37V56C384 42.75 394.7 31.1 408 31.1H488C501.3 31.1 512 42.75 512 56V192.3L570.6 244C577.2 249.8 577.8 259.1 571.1 266.6C566.2 273.2 556 273.8 549.4 267.1L512 234.1V432C512 476.2 476.2 512 432 512H144C99.82 512 64 476.2 64 432V234.1L26.59 267.1C19.96 273.8 9.849 273.2 4.003 266.6C-1.844 259.1-1.212 249.8 5.414 244L277.4 4.002C283.5-1.334 292.5-1.334 298.6 4.002L384 79.37zM416 107.6L480 164.1V64H416V107.6zM144 480H432C458.5 480 480 458.5 480 432V206.7L288 37.34L96 206.7V432C96 458.5 117.5 480 144 480z"],
    "house-chimney-crack": [576, 512, ["house-damage"], "f6f1", "M277.4 4.002C283.5-1.334 292.5-1.334 298.6 4.002L384 79.37V56C384 42.75 394.7 31.1 408 31.1H488C501.3 31.1 512 42.75 512 56V192.3L570.6 244C577.2 249.8 577.8 259.1 571.1 266.6C566.2 273.2 556 273.8 549.4 267.1L512 234.1V432C512 476.2 476.2 512 432 512H144C99.82 512 64 476.2 64 432V234.1L26.59 267.1C19.96 273.8 9.849 273.2 4.003 266.6C-1.844 259.1-1.212 249.8 5.414 244L277.4 4.002zM480 164.1V64H416V107.6L480 164.1zM96 206.7V432C96 458.5 117.5 480 144 480H274.1L226.7 408.9C221.8 401.5 223.8 391.6 231.1 386.7L310.9 333.5L228.7 251.3C222.4 245.1 222.4 234.9 228.7 228.7C234.9 222.4 245.1 222.4 251.3 228.7L347.3 324.7C350.7 328.1 352.4 332.8 351.9 337.6C351.4 342.3 348.9 346.7 344.9 349.3L262.2 404.4L312.6 480H432C458.5 480 480 458.5 480 432V206.7L288 37.34L96 206.7z"],
    "house-chimney-heart": [576, 512, [], "e1b2", "M188.9 240.1C213.1 214.3 255.4 214.3 280.4 240.1L288 247.9L295.6 240.1C320.6 214.3 362 214.3 387.1 240.1C411.2 264.9 411.2 304.3 387.1 329L310.9 407.4C298.4 420.3 277.6 420.3 265.1 407.4L188.9 329C164.8 304.3 164.8 264.9 188.9 240.1H188.9zM257.5 262.4C244.1 249.6 224.4 249.6 211.9 262.4C199.9 274.7 199.9 294.4 211.9 306.7L288 385L364.1 306.7C376.1 294.4 376.1 274.7 364.1 262.4C351.6 249.6 331 249.6 318.5 262.4L288 293.8L257.5 262.4zM277.4 4.002C283.5-1.334 292.5-1.334 298.6 4.002L384 79.37V56C384 42.75 394.7 31.1 408 31.1H488C501.3 31.1 512 42.75 512 56V192.3L570.6 244C577.2 249.8 577.8 259.1 571.1 266.6C566.2 273.2 556 273.8 549.4 267.1L512 234.1V432C512 476.2 476.2 512 432 512H144C99.82 512 64 476.2 64 432V234.1L26.59 267.1C19.96 273.8 9.849 273.2 4.003 266.6C-1.844 259.1-1.212 249.8 5.414 244L277.4 4.002zM480 164.1V64H416V107.6L480 164.1zM96 206.7V432C96 458.5 117.5 480 144 480H432C458.5 480 480 458.5 480 432V206.7L288 37.34L96 206.7z"],
    "house-chimney-medical": [576, 512, ["clinic-medical"], "f7f2", "M232 192C232 174.3 246.3 160 264 160H312C329.7 160 344 174.3 344 192V232H384C401.7 232 416 246.3 416 264V312C416 329.7 401.7 344 384 344H344V384C344 401.7 329.7 416 312 416H264C246.3 416 232 401.7 232 384V344H192C174.3 344 160 329.7 160 312V264C160 246.3 174.3 232 192 232H232V192zM264 192V264H192V312H264V384H312V312H384V264H312V192H264zM277.4 4.002C283.5-1.334 292.5-1.334 298.6 4.002L384 79.37V56C384 42.75 394.7 31.1 408 31.1H488C501.3 31.1 512 42.75 512 56V192.3L570.6 244C577.2 249.8 577.8 259.1 571.1 266.6C566.2 273.2 556 273.8 549.4 267.1L512 234.1V432C512 476.2 476.2 512 432 512H144C99.82 512 64 476.2 64 432V234.1L26.59 267.1C19.96 273.8 9.849 273.2 4.003 266.6C-1.844 259.1-1.212 249.8 5.414 244L277.4 4.002zM480 164.1V64H416V107.6L480 164.1zM96 206.7V432C96 458.5 117.5 480 144 480H432C458.5 480 480 458.5 480 432V206.7L288 37.34L96 206.7z"],
    "house-chimney-user": [576, 512, [], "e065", "M352 224C352 259.3 323.3 288 288 288C252.7 288 223.1 259.3 223.1 224C223.1 188.7 252.7 160 288 160C323.3 160 352 188.7 352 224zM288 192C270.3 192 255.1 206.3 255.1 224C255.1 241.7 270.3 256 288 256C305.7 256 320 241.7 320 224C320 206.3 305.7 192 288 192zM247.1 352C225.9 352 207.1 369.9 207.1 392V400C207.1 408.8 200.8 416 191.1 416C183.2 416 175.1 408.8 175.1 400V392C175.1 352.2 208.2 320 247.1 320H328C367.8 320 400 352.2 400 392V400C400 408.8 392.8 416 384 416C375.2 416 368 408.8 368 400V392C368 369.9 350.1 352 328 352H247.1zM384 79.37V56C384 42.75 394.7 31.1 408 31.1H488C501.3 31.1 512 42.75 512 56V192.3L570.6 244C577.2 249.8 577.8 259.1 571.1 266.6C566.2 273.2 556 273.8 549.4 267.1L512 234.1V432C512 476.2 476.2 512 432 512H144C99.82 512 64 476.2 64 432V234.1L26.59 267.1C19.96 273.8 9.849 273.2 4.003 266.6C-1.844 259.1-1.212 249.8 5.414 244L277.4 4.002C283.5-1.334 292.5-1.334 298.6 4.002L384 79.37zM416 107.6L480 164.1V64H416V107.6zM144 480H432C458.5 480 480 458.5 480 432V206.7L288 37.34L96 206.7V432C96 458.5 117.5 480 144 480z"],
    "house-chimney-window": [576, 512, [], "e00d", "M336 192C353.7 192 368 206.3 368 224V320C368 337.7 353.7 352 336 352H239.1C222.3 352 207.1 337.7 207.1 320V224C207.1 206.3 222.3 192 239.1 192H336zM239.1 320H336V224H239.1V320zM277.4 4.002C283.5-1.334 292.5-1.334 298.6 4.002L384 79.37V56C384 42.75 394.7 31.1 408 31.1H488C501.3 31.1 512 42.75 512 56V192.3L570.6 244C577.2 249.8 577.8 259.1 571.1 266.6C566.2 273.2 556 273.8 549.4 267.1L512 234.1V432C512 476.2 476.2 512 432 512H144C99.82 512 64 476.2 64 432V234.1L26.59 267.1C19.96 273.8 9.849 273.2 4.003 266.6C-1.844 259.1-1.212 249.8 5.414 244L277.4 4.002zM480 64H416V107.6L480 164.1V64zM96 206.7V432C96 458.5 117.5 480 144 480H432C458.5 480 480 458.5 480 432V206.7L288 37.34L96 206.7z"],
    "house-circle-check": [640, 512, [], "e509", "M277.4 4.002C283.5-1.334 292.5-1.334 298.6 4.002L512.5 192.8C507.1 192.3 501.6 192 496 192C485.8 192 475.8 192.9 466.1 194.5L288 37.34L95.1 206.7V432C95.1 458.5 117.5 480 143.1 480H207.1V320C207.1 302.3 222.3 288 239.1 288H336C337 288 338.1 288.1 339.1 288.1C333.1 298.2 329.8 308.9 326.6 320H239.1V480H360.2C370.3 492.1 381.9 502.9 394.8 512H144C99.82 512 64 476.2 64 432V234.1L26.59 267.1C19.96 273.8 9.849 273.2 4.003 266.6C-1.844 259.1-1.212 249.8 5.414 244L277.4 4.002zM563.3 324.7C569.6 330.9 569.6 341.1 563.3 347.3L491.3 419.3C485.1 425.6 474.9 425.6 468.7 419.3L428.7 379.3C422.4 373.1 422.4 362.9 428.7 356.7C434.9 350.4 445.1 350.4 451.3 356.7L480 385.4L540.7 324.7C546.9 318.4 557.1 318.4 563.3 324.7H563.3zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 480C557.9 480 608 429.9 608 368C608 306.1 557.9 256 496 256C434.1 256 384 306.1 384 368C384 429.9 434.1 480 496 480z"],
    "house-circle-exclamation": [640, 512, [], "e50a", "M277.4 4.002C283.5-1.334 292.5-1.334 298.6 4.002L512.5 192.8C507.1 192.3 501.6 192 496 192C485.8 192 475.8 192.9 466.1 194.5L288 37.34L95.1 206.7V432C95.1 458.5 117.5 480 143.1 480H207.1V320C207.1 302.3 222.3 288 239.1 288H336C337 288 338.1 288.1 339.1 288.1C333.1 298.2 329.8 308.9 326.6 320H239.1V480H360.2C370.3 492.1 381.9 502.9 394.8 512H144C99.82 512 64 476.2 64 432V234.1L26.59 267.1C19.96 273.8 9.849 273.2 4.003 266.6C-1.844 259.1-1.212 249.8 5.414 244L277.4 4.002zM472 424C472 410.7 482.7 400 496 400C509.3 400 520 410.7 520 424C520 437.3 509.3 448 496 448C482.7 448 472 437.3 472 424zM495.1 288C504.8 288 511.1 295.2 511.1 304V368C511.1 376.8 504.8 384 495.1 384C487.2 384 479.1 376.8 479.1 368V304C479.1 295.2 487.2 288 495.1 288zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 256C434.1 256 384 306.1 384 368C384 429.9 434.1 480 496 480C557.9 480 608 429.9 608 368C608 306.1 557.9 256 496 256z"],
    "house-circle-xmark": [640, 512, [], "e50b", "M277.4 4.002C283.5-1.334 292.5-1.334 298.6 4.002L512.5 192.8C507.1 192.3 501.6 192 496 192C485.8 192 475.8 192.9 466.1 194.5L288 37.34L95.1 206.7V432C95.1 458.5 117.5 480 143.1 480H207.1V320C207.1 302.3 222.3 288 239.1 288H336C337 288 338.1 288.1 339.1 288.1C333.1 298.2 329.8 308.9 326.6 320H239.1V480H360.2C370.3 492.1 381.9 502.9 394.8 512H144C99.82 512 64 476.2 64 432V234.1L26.59 267.1C19.96 273.8 9.849 273.2 4.003 266.6C-1.844 259.1-1.212 249.8 5.414 244L277.4 4.002zM555.3 404.7C561.6 410.9 561.6 421.1 555.3 427.3C549.1 433.6 538.9 433.6 532.7 427.3L496 390.6L459.3 427.3C453.1 433.6 442.9 433.6 436.7 427.3C430.4 421.1 430.4 410.9 436.7 404.7L473.4 368L436.7 331.3C430.4 325.1 430.4 314.9 436.7 308.7C442.9 302.4 453.1 302.4 459.3 308.7L496 345.4L532.7 308.7C538.9 302.4 549.1 302.4 555.3 308.7C561.6 314.9 561.6 325.1 555.3 331.3L518.6 368L555.3 404.7zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 256C434.1 256 384 306.1 384 368C384 429.9 434.1 480 496 480C557.9 480 608 429.9 608 368C608 306.1 557.9 256 496 256z"],
    "house-crack": [576, 512, [], "e3b1", "M570.6 244C577.2 249.8 577.8 259.1 571.1 266.6C566.2 273.2 556 273.8 549.4 267.1L512 234.1V432C512 476.2 476.2 512 432 512H144C99.82 512 64 476.2 64 432V234.1L26.59 267.1C19.96 273.8 9.849 273.2 4.003 266.6C-1.844 259.1-1.212 249.8 5.414 244L277.4 4.002C283.5-1.334 292.5-1.334 298.6 4.002L570.6 244zM144 480H274.1L226.7 408.9C221.8 401.5 223.8 391.6 231.1 386.7L310.9 333.5L228.7 251.3C222.4 245.1 222.4 234.9 228.7 228.7C234.9 222.4 245.1 222.4 251.3 228.7L347.3 324.7C350.7 328.1 352.4 332.8 351.9 337.6C351.4 342.3 348.9 346.7 344.9 349.3L262.2 404.4L312.6 480H432C458.5 480 480 458.5 480 432V206.7L288 37.34L96 206.7V432C96 458.5 117.5 480 144 480H144z"],
    "house-day": [640, 512, [], "e00e", "M192 64C192 72.84 184.8 80 176 80C167.2 80 160 72.84 160 64V16C160 7.164 167.2 0 176 0C184.8 0 192 7.164 192 16V64zM64 160C72.84 160 80 167.2 80 176C80 184.8 72.84 192 64 192H16C7.164 192 0 184.8 0 176C0 167.2 7.164 160 16 160H64zM276.7 52.69C282.9 46.44 293.1 46.44 299.3 52.69C305.6 58.93 305.6 69.07 299.3 75.31L267.3 107.3C261.1 113.6 250.9 113.6 244.7 107.3C238.4 101.1 238.4 90.94 244.7 84.69L276.7 52.69zM336 304C336 286.3 350.3 272 368 272H432C449.7 272 464 286.3 464 304V368C464 385.7 449.7 400 432 400H368C350.3 400 336 385.7 336 368V304zM432 304H368V368H432V304zM634.4 291.9C638.1 295 639.1 299.5 640 304C640 307.7 638.7 311.4 636.1 314.4C630.4 321.1 620.3 321.9 613.6 316.1L576 283.9V448C576 483.3 547.3 512 512 512H288C252.7 512 224 483.3 224 448V283.9L186.4 316.1C179.7 321.9 169.6 321.1 163.9 314.4C161.3 311.4 159.1 307.7 160 304C160 299.5 161.9 295 165.6 291.9L389.6 99.85C395.6 94.72 404.4 94.72 410.4 99.85L634.4 291.9zM544 256.5L400 133.1L256 256.5V448C256 465.7 270.3 480 288 480H512C529.7 480 544 465.7 544 448V256.5zM165.3 206.2C173.7 209.1 178 218.3 175.1 226.6C172.1 234.9 162.1 239.3 154.7 236.4C129.8 227.6 112 203.9 112 176C112 140.7 140.7 112 176 112C203.9 112 227.6 129.8 236.4 154.7C239.3 162.1 234.9 172.1 226.6 175.1C218.3 178 209.1 173.7 206.2 165.3C201.8 152.9 189.9 144 176 144C158.3 144 144 158.3 144 176C144 189.9 152.9 201.8 165.3 206.2zM75.31 299.3C69.07 305.6 58.93 305.6 52.69 299.3C46.44 293.1 46.44 282.9 52.69 276.7L84.69 244.7C90.93 238.4 101.1 238.4 107.3 244.7C113.6 250.9 113.6 261.1 107.3 267.3L75.31 299.3zM52.69 52.69C58.93 46.44 69.07 46.44 75.31 52.69L107.3 84.69C113.6 90.93 113.6 101.1 107.3 107.3C101.1 113.6 90.94 113.6 84.69 107.3L52.69 75.31C46.44 69.07 46.44 58.94 52.69 52.69z"],
    "house-fire": [640, 512, [], "e50c", "M439.3 128.2C429.6 129.1 420.2 132.1 412.5 139.9C411.1 141.1 409.7 142.3 408.4 143.6L288 37.34L95.1 206.7V432C95.1 458.5 117.5 480 143.1 480H207.1V320C207.1 302.3 222.3 288 239.1 288H301.8C297.5 298.6 293.1 309.4 291.6 320H240V480H336V478.2C347.2 491.1 360.1 502.5 374.3 512H144C99.82 512 64 476.2 64 432V234.1L26.59 267.1C19.96 273.8 9.849 273.2 4.003 266.6C-1.844 259.1-1.212 249.8 5.414 244L277.4 4.002C283.5-1.334 292.5-1.334 298.6 4.002L439.3 128.2zM445.1 256C449.9 256 454.5 258.2 457.5 262C459.6 264.6 475.1 284.4 490.1 303.5L507.6 325.8L530.9 298.6C534 294.9 538.7 292.9 543.5 293C548.4 293.2 552.9 295.5 555.8 299.4C559.7 304.6 562.2 309.7 564.1 313.5L564.2 313.6C585.5 352.1 576.5 404 539.2 430.1L538.9 430.3C521.3 442 502.3 448 480.1 448C455.1 448 430.8 439.6 412.8 423.2C394.7 406.6 384 382.7 384 354C384 338.3 389 324.3 397.4 309.8C405.6 295.7 417.7 280.3 432.6 261.9C435.6 258.2 440.2 255.1 445.1 255.1L445.1 256zM539.8 337.3L519.1 361.4C516 365.1 511.4 367.1 506.6 366.1C501.9 366.9 497.4 364.6 494.4 360.9L444.9 297.8C436.3 308.8 429.8 317.8 425.1 325.9C418.5 337.2 416 345.7 416 354C416 374.3 423.3 389.4 434.4 399.6C445.7 409.9 461.9 416 481 416C495.7 416 508.6 412 520.1 403.8C541.1 389.6 548.8 361.1 539.8 337.3H539.8zM487.5 197.1C494.9 205 502.1 213.1 509 221.5C515.5 213.4 522.6 204.7 530.3 197C531.1 195.3 533.7 193.6 535.5 191.1C541.1 186.9 549.9 186.9 555.5 192C580.2 214.7 601.1 244.7 615.8 273.2C630.4 301.2 640 329.9 640 350.1C640 437.9 568.7 512 480 512C390.3 512 319.1 437.8 319.1 350.1C319.1 323.7 332.7 291.5 352.4 259.5C372.4 227.2 400.5 193.4 433.8 163.7C439.4 158.7 447.1 158.8 453.5 163.8C465.3 174.4 476.7 185.5 487.5 197.1V197.1zM509.4 253.5C499.8 253.6 490.6 249.4 484.4 241.1C471.6 226.5 457.1 211.9 443.6 198.2C417.6 223.2 395.6 250.5 379.6 276.3C361 306.4 352 332.5 352 350.1C352 420.9 408.7 480 480 480C550.4 480 608 420.8 608 350.1C608 337.7 601.2 314.5 587.4 287.9C576.5 266.8 562.1 245.3 545.6 227.4C541.8 231.8 537.1 236.5 534.1 241.4C528.1 248.9 519 253.4 509.4 253.5V253.5zM506.1 350.1L494.4 360.9z"],
    "house-flag": [640, 512, [], "e50d", "M464 0C472.8 0 480 7.164 480 16V32H624C632.8 32 640 39.16 640 48V176C640 184.8 632.8 192 624 192H480V512H448V16C448 7.164 455.2 0 464 0zM480 160H608V64H480V160zM416 175.1L272 68L96 200V440C96 462.1 113.9 480 136 480H200V352C200 334.3 214.3 320 232 320H312C329.7 320 344 334.3 344 352V480H408C410.7 480 413.4 479.7 416 479.2V511.6C413.4 511.9 410.7 512 408 512H136C96.24 512 64 479.8 64 440V224L25.6 252.8C18.53 258.1 8.503 256.7 3.201 249.6C-2.101 242.5-.6682 232.5 6.401 227.2L262.4 35.2C268.1 30.93 275.9 30.93 281.6 35.2L416 135.1V175.1zM232 352V480H312V352H232z"],
    "house-flood-water": [576, 512, [], "e50e", "M505.1 146.8C512.4 151.9 514.2 161.8 509.2 169.1C504.1 176.4 494.2 178.2 486.9 173.2L463.1 157.3V258.5C456.7 260.4 449.6 263.6 443.2 268.1C439.6 270.6 435.8 272.9 431.1 274.1V135.2L287.1 35.46L143.1 135.2V274.1C140.2 272.9 136.4 270.6 132.9 268.1C126.4 263.6 119.3 260.4 111.1 258.5V157.3L89.1 173.2C81.84 178.2 71.87 176.4 66.84 169.1C61.81 161.8 63.62 151.9 70.89 146.8L278.9 2.845C284.4-.9483 291.6-.9483 297.1 2.845L505.1 146.8zM133.8 346.8C150.3 358 171.1 367.1 191.1 367.1C212.9 367.1 233.6 358 250.1 346.8C259.9 340.1 268.2 332.8 276.1 324.9C282.6 318.4 293.3 318.4 299.8 324.9C307.8 332.8 315.1 340.1 325.8 346.8C342.3 358 363.1 367.1 383.1 367.1C404.9 367.1 425.6 358 442.2 346.8C451.9 340.1 460.2 332.8 468.1 324.9C474.6 318.4 485.3 318.4 491.8 324.9C499.8 332.8 507.1 340.1 517.8 346.8C530.6 355.5 545.9 363.4 561.9 366.6C569.6 368.1 576 374.4 576 382.2C576 392 567.1 400.1 558.3 398.4C535.2 394.5 514.7 383.4 499.8 373.2C491.8 367.8 485.1 362.4 479.1 357.1C474.8 362.4 468.1 367.8 460.2 373.2C441.5 385.9 414.3 399.1 383.1 399.1C353.7 399.1 326.4 385.9 307.8 373.2C299.8 367.8 293.1 362.4 287.1 357.1C282.8 362.4 276.1 367.8 268.2 373.2C249.5 385.9 222.3 399.1 191.1 399.1C161.7 399.1 134.4 385.9 115.8 373.2C107.8 367.8 101.1 362.4 95.96 357.1C90.82 362.4 84.12 367.8 76.19 373.2C61.25 383.4 40.81 394.5 17.69 398.4C8.015 400.1 0 392 0 382.2C0 374.4 6.421 368.1 14.13 366.6C30.07 363.4 45.38 355.5 58.16 346.8C67.94 340.1 76.16 332.8 84.07 324.9C90.64 318.4 101.3 318.4 107.8 324.9C115.8 332.8 124.1 340.2 133.8 346.8H133.8zM250.1 458.8C259.9 452.1 268.2 444.8 276.1 436.9C282.6 430.4 293.3 430.4 299.8 436.9C307.8 444.8 315.1 452.1 325.8 458.8C342.3 470 363.1 479.1 383.1 479.1C404.9 479.1 425.6 470 442.2 458.8C451.9 452.1 460.2 444.8 468.1 436.9C474.6 430.4 485.3 430.4 491.8 436.9C499.8 444.8 507.1 452.1 517.8 458.8C530.6 467.5 545.9 475.4 561.9 478.6C569.6 480.1 576 486.4 576 494.2C576 504 567.1 512.1 558.3 510.4C535.2 506.5 514.7 495.4 499.8 485.2C491.8 479.8 485.1 474.4 479.1 469.1C474.8 474.4 468.1 479.8 460.2 485.2C441.5 497.9 414.3 511.1 383.1 511.1C353.7 511.1 326.4 497.9 307.8 485.2C299.8 479.8 293.1 474.4 287.1 469.1C282.8 474.4 276.1 479.8 268.2 485.2C249.5 497.9 222.3 511.1 191.1 511.1C161.7 511.1 134.4 497.9 115.8 485.2C107.8 479.8 101.1 474.4 95.96 469.1C90.82 474.4 84.12 479.8 76.19 485.2C61.25 495.4 40.81 506.5 17.69 510.4C8.015 512.1 0 504 0 494.2C0 486.4 6.421 480.1 14.13 478.6C30.07 475.4 45.38 467.5 58.16 458.8C67.94 452.1 76.16 444.8 84.07 436.9C90.64 430.4 101.3 430.4 107.8 436.9C115.8 444.8 124.1 452.2 133.8 458.8C150.3 470 171.1 479.1 191.1 479.1C212.9 479.1 233.6 470 250.1 458.8H250.1z"],
    "house-flood-water-circle-arrow-right": [640, 512, [], "e50f", "M310.4 86.44C306.8 76.09 302.3 66.19 296.9 56.82L374.9 2.845C380.4-.9483 387.6-.9483 393.1 2.845L601.1 146.8C608.4 151.9 610.2 161.8 605.2 169.1C600.1 176.4 590.2 178.2 582.9 173.2L559.1 157.3V276.6C557.6 274.1 555.4 273.3 553.2 271.5C545.7 265.2 537.1 260.8 527.1 258.5V135.2L384 35.46L310.4 86.44zM282.1 346.8C291.9 340.1 300.2 332.8 308.1 324.9C314.6 318.4 325.3 318.4 331.8 324.9C339.8 332.8 347.1 340.1 357.8 346.8C374.3 358 395.1 367.1 415.1 367.1C436.9 367.1 457.6 358 474.2 346.8C483.9 340.1 492.2 332.8 500.1 324.9C506.6 318.4 517.3 318.4 523.8 324.9C531.8 332.8 539.1 340.1 549.8 346.8C562.6 355.5 577.9 363.4 593.9 366.6C601.6 368.1 608 374.4 608 382.2C608 392 599.1 400.1 590.3 398.4C567.2 394.5 546.7 383.4 531.8 373.2C523.8 367.8 517.1 362.4 511.1 357.1C506.8 362.4 500.1 367.8 492.2 373.2C473.5 385.9 446.3 399.1 415.1 399.1C385.7 399.1 358.4 385.9 339.8 373.2C331.8 367.8 325.1 362.4 319.1 357.1C314.8 362.4 308.1 367.8 300.2 373.2C281.5 385.9 254.3 399.1 223.1 399.1C193.7 399.1 166.4 385.9 147.8 373.2C139.8 367.8 133.1 362.4 127.1 357.1C122.8 362.4 116.1 367.8 108.2 373.2C93.25 383.4 72.81 394.5 49.69 398.4C40.02 400.1 32 392 32 382.2C32 374.4 38.42 368.1 46.13 366.6C62.07 363.4 77.38 355.5 90.16 346.8C99.94 340.1 108.2 332.8 116.1 324.9C122.6 318.4 133.3 318.4 139.8 324.9C147.8 332.8 156.1 340.2 165.8 346.8C182.3 358 203.1 367.1 223.1 367.1C244.9 367.1 265.6 358 282.1 346.8H282.1zM165.8 458.8C182.3 470 203.1 479.1 223.1 479.1C244.9 479.1 265.6 470 282.1 458.8C291.9 452.1 300.2 444.8 308.1 436.9C314.6 430.4 325.3 430.4 331.8 436.9C339.8 444.8 347.1 452.1 357.8 458.8C374.3 470 395.1 479.1 415.1 479.1C436.9 479.1 457.6 470 474.2 458.8C483.9 452.1 492.2 444.8 500.1 436.9C506.6 430.4 517.3 430.4 523.8 436.9C531.8 444.8 539.1 452.1 549.8 458.8C562.6 467.5 577.9 475.4 593.9 478.6C601.6 480.1 608 486.4 608 494.2C608 504 599.1 512.1 590.3 510.4C567.2 506.5 546.7 495.4 531.8 485.2C523.8 479.8 517.1 474.4 511.1 469.1C506.8 474.4 500.1 479.8 492.2 485.2C473.5 497.9 446.3 511.1 415.1 511.1C385.7 511.1 358.4 497.9 339.8 485.2C331.8 479.8 325.1 474.4 319.1 469.1C314.8 474.4 308.1 479.8 300.2 485.2C281.5 497.9 254.3 511.1 223.1 511.1C193.7 511.1 166.4 497.9 147.8 485.2C139.8 479.8 133.1 474.4 127.1 469.1C122.8 474.4 116.1 479.8 108.2 485.2C93.25 495.4 72.81 506.5 49.69 510.4C40.02 512.1 32 504 32 494.2C32 486.4 38.42 480.1 46.13 478.6C62.07 475.4 77.38 467.5 90.16 458.8C99.94 452.1 108.2 444.8 116.1 436.9C122.6 430.4 133.3 430.4 139.8 436.9C147.8 444.8 156.1 452.2 165.8 458.8H165.8zM140.7 76.69C146.9 70.44 157.1 70.44 163.3 76.69L219.3 132.7C225.6 138.9 225.6 149.1 219.3 155.3L163.3 211.3C157.1 217.6 146.9 217.6 140.7 211.3C134.4 205.1 134.4 194.9 140.7 188.7L169.4 160H80C71.16 160 64 152.8 64 144C64 135.2 71.16 128 80 128H169.4L140.7 99.31C134.4 93.07 134.4 82.94 140.7 76.69V76.69zM0 144C0 64.47 64.47 .0002 144 .0002C223.5 .0002 288 64.47 288 144C288 223.5 223.5 288 144 288C64.47 288 0 223.5 0 144zM144 256C205.9 256 256 205.9 256 144C256 82.14 205.9 32 144 32C82.14 32 32 82.14 32 144C32 205.9 82.14 256 144 256z"],
    "house-heart": [576, 512, ["home-heart"], "f4c9", "M288 247.9L295.6 240.1C320.6 214.3 362 214.3 387.1 240.1C411.2 264.9 411.2 304.3 387.1 329L310.9 407.4C298.4 420.3 277.6 420.3 265.1 407.4L188.9 329C164.8 304.3 164.8 264.9 188.9 240.1C213.1 214.3 255.4 214.3 280.4 240.1L288 247.9zM211.9 306.7L288 385L364.1 306.7C376.1 294.4 376.1 274.7 364.1 262.4C351.6 249.6 331 249.6 318.5 262.4L288 293.8L257.5 262.4C244.1 249.6 224.4 249.6 211.9 262.4C199.9 274.7 199.9 294.4 211.9 306.7zM570.6 244C577.2 249.8 577.8 259.1 571.1 266.6C566.2 273.2 556 273.8 549.4 267.1L512 234.1V432C512 476.2 476.2 512 432 512H144C99.82 512 64 476.2 64 432V234.1L26.59 267.1C19.96 273.8 9.849 273.2 4.003 266.6C-1.844 259.1-1.212 249.8 5.414 244L277.4 4.002C283.5-1.334 292.5-1.334 298.6 4.002L570.6 244zM144 480H432C458.5 480 480 458.5 480 432V206.7L288 37.34L96 206.7V432C96 458.5 117.5 480 144 480z"],
    "house-laptop": [640, 512, ["laptop-house"], "e066", "M229.6 3.852C235.6-1.284 244.4-1.284 250.4 3.852L474.4 195.9C481.1 201.6 481.9 211.7 476.1 218.4C473 222.1 468.6 223.1 464.1 223.1H463.9C460.2 223.1 456.6 222.7 453.6 220.1L416 187.9V223.1H384V160.5L240 37.07L96 160.5V352C96 369.7 110.3 384 128 384H272V416H128C92.65 416 64 387.3 64 352V187.9L26.41 220.1C19.7 225.9 9.603 225.1 3.852 218.4C-1.899 211.7-1.122 201.6 5.588 195.9L229.6 3.852zM544 256C570.5 256 592 277.5 592 304V432C592 440.8 584.8 448 576 448C567.2 448 560 440.8 560 432V304C560 295.2 552.8 288 544 288H352C343.2 288 336 295.2 336 304V432C336 440.8 328.8 448 319.1 448C311.2 448 303.1 440.8 303.1 432V304C303.1 277.5 325.5 256 352 256H544zM624 480C632.8 480 640 487.2 640 496C640 504.8 632.8 512 624 512H271.1C263.2 512 255.1 504.8 255.1 496C255.1 487.2 263.2 480 271.1 480H624zM271.1 176C289.7 176 303.1 190.3 303.1 208V224C303.1 232.8 296.8 240 287.1 240C279.2 240 271.1 232.8 271.1 224V208H207.1V272H255.1C264.8 272 271.1 279.2 271.1 288C271.1 296.8 264.8 304 255.1 304H207.1C190.3 304 175.1 289.7 175.1 272V208C175.1 190.3 190.3 176 207.1 176H271.1z"],
    "house-lock": [640, 512, [], "e510", "M485.1 168.5C474.6 172.9 464.9 178.8 456.4 185.9L288 37.34L96 206.7V432C96 458.5 117.5 480 144 480H208V320C208 302.3 222.3 288 240 288H336C353.7 288 368 302.3 368 320V480H384C384 491.7 387.1 502.6 392.6 512H144C99.82 512 64 476.2 64 432V234.1L26.59 267.1C19.96 273.8 9.849 273.2 4.003 266.6C-1.844 259.1-1.212 249.8 5.414 244L277.4 4.002C283.5-1.334 292.5-1.334 298.6 4.002L485.1 168.5zM336 480V319.1H240V480H336zM528 191.1C572.2 191.1 608 227.8 608 271.1V319.1C625.7 319.1 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 319.1 448 319.1V271.1C448 227.8 483.8 191.1 528 191.1zM528 223.1C501.5 223.1 480 245.5 480 271.1V319.1H576V271.1C576 245.5 554.5 223.1 528 223.1zM448 352V480H608V352H448z"],
    "house-medical": [576, 512, [], "e3b2", "M312 160C329.7 160 344 174.3 344 192V232H384C401.7 232 416 246.3 416 264V312C416 329.7 401.7 344 384 344H344V384C344 401.7 329.7 416 312 416H264C246.3 416 232 401.7 232 384V344H192C174.3 344 160 329.7 160 312V264C160 246.3 174.3 232 192 232H232V192C232 174.3 246.3 160 264 160H312zM264 264H192V312H264V384H312V312H384V264H312V192H264V264zM570.6 244C577.2 249.8 577.8 259.1 571.1 266.6C566.2 273.2 556 273.8 549.4 267.1L512 234.1V432C512 476.2 476.2 512 432 512H144C99.82 512 64 476.2 64 432V234.1L26.59 267.1C19.96 273.8 9.849 273.2 4.003 266.6C-1.844 259.1-1.212 249.8 5.414 244L277.4 4.002C283.5-1.334 292.5-1.334 298.6 4.002L570.6 244zM144 480H432C458.5 480 480 458.5 480 432V206.7L288 37.34L96 206.7V432C96 458.5 117.5 480 144 480z"],
    "house-medical-circle-check": [640, 512, [], "e511", "M277.4 4.002C283.5-1.334 292.5-1.334 298.6 4.002L512.5 192.8C507.1 192.3 501.6 192 496 192C485.8 192 475.8 192.9 466.1 194.5L288 37.34L96 206.7V432C96 458.5 117.5 480 144 480H360.2C370.3 492.1 381.9 502.9 394.8 512H144C99.82 512 64 476.2 64 432V234.1L26.59 267.1C19.96 273.8 9.849 273.2 4.003 266.6C-1.844 259.1-1.212 249.8 5.414 244L277.4 4.002zM354 264H312V192H264V264H192V312H264V384H320.7C321.6 393.9 323.3 403.5 325.8 412.9C321.6 414.9 316.9 416 312 416H264C246.3 416 232 401.7 232 384V344H192C174.3 344 160 329.7 160 312V264C160 246.3 174.3 232 192 232H232V192C232 174.3 246.3 160 264 160H312C329.7 160 344 174.3 344 192V232H384L384.3 232C372.9 241.4 362.7 252.1 354 264V264zM563.3 324.7C569.6 330.9 569.6 341.1 563.3 347.3L491.3 419.3C485.1 425.6 474.9 425.6 468.7 419.3L428.7 379.3C422.4 373.1 422.4 362.9 428.7 356.7C434.9 350.4 445.1 350.4 451.3 356.7L480 385.4L540.7 324.7C546.9 318.4 557.1 318.4 563.3 324.7H563.3zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 480C557.9 480 608 429.9 608 368C608 306.1 557.9 256 496 256C434.1 256 384 306.1 384 368C384 429.9 434.1 480 496 480z"],
    "house-medical-circle-exclamation": [640, 512, [], "e512", "M277.4 4.002C283.5-1.334 292.5-1.334 298.6 4.002L512.5 192.8C507.1 192.3 501.6 192 496 192C485.8 192 475.8 192.9 466.1 194.5L288 37.34L96 206.7V432C96 458.5 117.5 480 144 480H360.2C370.3 492.1 381.9 502.9 394.8 512H144C99.82 512 64 476.2 64 432V234.1L26.59 267.1C19.96 273.8 9.849 273.2 4.003 266.6C-1.844 259.1-1.212 249.8 5.414 244L277.4 4.002zM354 264H312V192H264V264H192V312H264V384H320.7C321.6 393.9 323.3 403.5 325.8 412.9C321.6 414.9 316.9 416 312 416H264C246.3 416 232 401.7 232 384V344H192C174.3 344 160 329.7 160 312V264C160 246.3 174.3 232 192 232H232V192C232 174.3 246.3 160 264 160H312C329.7 160 344 174.3 344 192V232H384L384.3 232C372.9 241.4 362.7 252.1 354 264V264zM472 424C472 410.7 482.7 400 496 400C509.3 400 520 410.7 520 424C520 437.3 509.3 448 496 448C482.7 448 472 437.3 472 424zM495.1 288C504.8 288 511.1 295.2 511.1 304V368C511.1 376.8 504.8 384 495.1 384C487.2 384 479.1 376.8 479.1 368V304C479.1 295.2 487.2 288 495.1 288zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 256C434.1 256 384 306.1 384 368C384 429.9 434.1 480 496 480C557.9 480 608 429.9 608 368C608 306.1 557.9 256 496 256z"],
    "house-medical-circle-xmark": [640, 512, [], "e513", "M277.4 4.002C283.5-1.334 292.5-1.334 298.6 4.002L512.5 192.8C507.1 192.3 501.6 192 496 192C485.8 192 475.8 192.9 466.1 194.5L288 37.34L96 206.7V432C96 458.5 117.5 480 144 480H360.2C370.3 492.1 381.9 502.9 394.8 512H144C99.82 512 64 476.2 64 432V234.1L26.59 267.1C19.96 273.8 9.849 273.2 4.003 266.6C-1.844 259.1-1.212 249.8 5.414 244L277.4 4.002zM354 264H312V192H264V264H192V312H264V384H320.7C321.6 393.9 323.3 403.5 325.8 412.9C321.6 414.9 316.9 416 312 416H264C246.3 416 232 401.7 232 384V344H192C174.3 344 160 329.7 160 312V264C160 246.3 174.3 232 192 232H232V192C232 174.3 246.3 160 264 160H312C329.7 160 344 174.3 344 192V232H384L384.3 232C372.9 241.4 362.7 252.1 354 264V264zM518.6 368L555.3 404.7C561.6 410.9 561.6 421.1 555.3 427.3C549.1 433.6 538.9 433.6 532.7 427.3L496 390.6L459.3 427.3C453.1 433.6 442.9 433.6 436.7 427.3C430.4 421.1 430.4 410.9 436.7 404.7L473.4 368L436.7 331.3C430.4 325.1 430.4 314.9 436.7 308.7C442.9 302.4 453.1 302.4 459.3 308.7L496 345.4L532.7 308.7C538.9 302.4 549.1 302.4 555.3 308.7C561.6 314.9 561.6 325.1 555.3 331.3L518.6 368zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 256C434.1 256 384 306.1 384 368C384 429.9 434.1 480 496 480C557.9 480 608 429.9 608 368C608 306.1 557.9 256 496 256z"],
    "house-medical-flag": [640, 512, [], "e514", "M480 32H624C632.8 32 640 39.16 640 48V176C640 184.8 632.8 192 624 192H480V512H448V16C448 7.164 455.2 0 464 0C472.8 0 480 7.164 480 16V32zM608 64H480V160H608V64zM281.6 35.2L416 135.1V175.1L272 68L96 200V440C96 462.1 113.9 480 136 480H408C410.7 480 413.4 479.7 416 479.2V511.6C413.4 511.9 410.7 512 408 512H136C96.24 512 64 479.8 64 440V224L25.6 252.8C18.53 258.1 8.503 256.7 3.201 249.6C-2.101 242.5-.6682 232.5 6.401 227.2L262.4 35.2C268.1 30.93 275.9 30.93 281.6 35.2V35.2zM287.1 176C305.7 176 319.1 190.3 319.1 208V240H352C369.7 240 384 254.3 384 272V304C384 321.7 369.7 336 352 336H319.1V368C319.1 385.7 305.7 400 287.1 400H255.1C238.3 400 223.1 385.7 223.1 368V336H191.1C174.3 336 159.1 321.7 159.1 304V272C159.1 254.3 174.3 240 191.1 240H223.1V208C223.1 190.3 238.3 176 255.1 176H287.1zM255.1 272H191.1V304H255.1V368H287.1V304H352V272H287.1V208H255.1V272z"],
    "house-night": [640, 512, [], "e010", "M127 .9971C127.9 1.12 128.8 1.253 129.7 1.398C133.9 2.062 138 2.957 142 4.07C145.7 5.103 149.4 6.323 152.9 7.72C159.8 10.4 158.3 20.3 151.8 23.59C149.5 24.71 147.4 25.96 145.2 27.31C141.9 29.45 138.7 31.86 135.8 34.51C135.5 34.78 135.2 35.05 134.9 35.32C120.8 48.47 112 67.2 112 88C112 125.2 140.2 155.8 176.3 159.6C176.7 159.6 177.1 159.7 177.5 159.7C179.7 159.9 181.8 160 184 160C185.8 160 187.6 159.9 189.4 159.8C191.9 159.6 194.4 159.3 196.9 158.9C204.1 157.5 211.2 164.6 207.3 170.9C205.3 174.1 203.1 177.3 200.8 180.3C198.2 183.6 195.4 186.8 192.5 189.8C191.9 190.5 191.2 191.1 190.6 191.8C170.4 211.7 142.6 224 112 224C50.14 224 0 173.9 0 112C0 50.14 50.14 .0006 112 .0006C117.1 .0006 122.1 .3402 127 .9978L127 .9971zM80 88C80 68.11 85.59 49.54 95.26 33.76C59.11 41.45 32 73.56 32 112C32 156.2 67.82 192 112 192C123.1 192 135.3 189.4 145.5 184.7C107.1 169.4 80 131.9 80 88V88zM336 304C336 286.3 350.3 272 368 272H432C449.7 272 464 286.3 464 304V368C464 385.7 449.7 400 432 400H368C350.3 400 336 385.7 336 368V304zM432 304H368V368H432V304zM634.4 291.9C641.1 297.6 641.9 307.7 636.2 314.4C630.4 321.1 620.3 321.9 613.6 316.1L576 283.9V448C576 483.3 547.3 512 512 512H288C252.7 512 224 483.3 224 448V283.9L186.4 316.1C179.7 321.9 169.6 321.1 163.9 314.4C158.1 307.7 158.9 297.6 165.6 291.9L389.6 99.85C395.6 94.72 404.4 94.72 410.4 99.85L634.4 291.9zM544 256.5L400 133.1L256 256.5V448C256 465.7 270.3 480 288 480H512C529.7 480 544 465.7 544 448V256.5zM256 0C264.8 0 272 7.164 272 16V48H304C312.8 48 320 55.16 320 64C320 72.84 312.8 80 304 80H272V112C272 120.8 264.8 128 256 128C247.2 128 240 120.8 240 112V80H208C199.2 80 192 72.84 192 64C192 55.16 199.2 48 208 48H240V16C240 7.164 247.2 0 256 0zM96 320C104.8 320 112 327.2 112 336V368H144C152.8 368 160 375.2 160 384C160 392.8 152.8 400 144 400H112V432C112 440.8 104.8 448 96 448C87.16 448 80 440.8 80 432V400H48C39.16 400 32 392.8 32 384C32 375.2 39.16 368 48 368H80V336C80 327.2 87.16 320 96 320z"],
    "house-person-leave": [640, 512, ["house-leave", "house-person-depart"], "e00f", "M340.7 107.3c6.477-6.479 6.186-17.07-.6406-23.18L250.5 4.031c-6-5.25-15-5.25-21 0l-223.1 196c-6.625 5.875-7.375 15.88-1.5 22.62c5.75 6.625 15.88 7.25 22.5 1.5l37.5-32.88l.0098 176.7c0 26.51 21.49 48 47.1 48l176.1 .0156c8.814 0 15.96-7.145 15.96-15.96s-7.146-16.04-15.96-16.04H111.1c-8.836 0-16-7.162-15.1-16L95.1 163.4l143.1-126.1l78.73 70.66C325 113.6 334.7 113.3 340.7 107.3zM181.3 160c-11.88 0-21.38 9.625-21.38 21.38v85.25c0 11.75 9.625 21.38 21.38 21.38h85.25c11.75 0 21.38-9.5 21.38-21.38V181.4c0-11.88-9.625-21.38-21.38-21.38H181.3zM255.1 256h-64v-64h64V256zM437.5 352.1c-8.281-3.031-17.47 1.188-20.55 9.484l-21.87 59.41l-69.75 62.19c-6.607 5.875-7.186 15.98-1.297 22.58C327.2 510.2 331.6 512 336 512c3.797 0 7.594-1.344 10.64-4.062l72.73-64.84c1.969-1.734 3.469-3.938 4.375-6.406l23.27-63.16C450.1 365.2 445.8 356 437.5 352.1zM633.6 275.2L575.1 232V201.6c0-31.64-23.62-58.89-54.95-63.36l-46.37-6.625c-18.78-2.656-37.94-.3594-55.5 6.656l-26.72 10.69c-23.8 9.516-41.7 30.03-47.91 54.89l-8.062 32.25c-2.156 8.562 3.062 17.25 11.64 19.39c8.5 2.078 17.23-3.062 19.39-11.64l8.062-32.25c3.734-14.91 14.48-27.22 28.75-32.92l26.72-10.69c4.969-1.988 10.21-3.051 15.45-3.963l-20.16 80.54c-7.484 30.03 3.188 62.02 27.2 81.52l79.12 64.23c2.797 2.266 4.75 5.453 5.531 8.953l22.17 100.2C562 506.9 568.6 512 575.1 512c1.141 0 2.312-.125 3.469-.375c8.641-1.906 14.08-10.45 12.17-19.08l-22.17-100.2c-2.344-10.55-8.25-20.09-16.62-26.88l-79.11-64.23c-14.41-11.7-20.81-30.91-16.33-48.92l21.93-87.7l37.19 5.312c15.67 2.234 27.48 15.84 27.48 31.67V240c0 5.031 2.375 9.781 6.406 12.8l63.1 48C617.3 302.1 620.6 304 623.1 304c4.875 0 9.672-2.203 12.81-6.406C642.1 290.5 640.7 280.5 633.6 275.2zM535.1 112c30.88 0 56-25.12 56-56S566.9 0 535.1 0S480 25.12 480 56S505.1 112 535.1 112zM535.1 32c13.23 0 24 10.77 24 24s-10.77 24-24 24s-24-10.77-24-24S522.8 32 535.1 32z"],
    "house-person-return": [640, 512, ["house-person-arrive", "house-return"], "e011", "M181.4 160c-11.88 0-21.38 9.625-21.38 21.38v85.25c0 11.75 9.625 21.38 21.38 21.38h85.25c11.75 0 21.38-9.5 21.38-21.38V181.4c0-11.88-9.625-21.38-21.38-21.38H181.4zM255.1 256h-64v-64h64V256zM340.7 107.3c6.477-6.479 6.186-17.07-.6406-23.18L250.5 4.031c-6-5.25-15-5.25-21 0l-224 196c-6.625 5.875-7.375 15.88-1.5 22.62c5.75 6.625 15.88 7.25 22.5 1.5l37.5-32.88l.0098 176.7c0 26.51 21.49 48 48 48l176.1 .0156C296.9 416 304 408.9 304 400.1s-7.146-16.04-15.96-16.04H111.1c-8.836 0-16-7.162-15.1-16L96 163.4l143.1-126.1l78.73 70.66C325 113.6 334.7 113.3 340.7 107.3zM424 112C454.9 112 480 86.88 480 56S454.9 0 424 0s-56 25.12-56 56S393.1 112 424 112zM424 32c13.23 0 24 10.77 24 24s-10.77 24-24 24s-24-10.77-24-24S410.8 32 424 32zM634.6 484.1l-69.75-62.19l-21.87-59.41c-3.078-8.297-12.27-12.52-20.55-9.484c-8.297 3.062-12.53 12.25-9.484 20.55l23.27 63.16c.9062 2.469 2.406 4.672 4.375 6.406l72.73 64.84C616.4 510.7 620.2 512 623.1 512c4.391 0 8.781-1.812 11.94-5.359C641.8 500 641.2 489.9 634.6 484.1zM533.7 244.6L513.5 164.1c5.244 .9121 10.48 1.975 15.45 3.963l26.72 10.69c14.27 5.703 25.02 18.02 28.75 32.92l8.062 32.25c2.156 8.578 10.89 13.72 19.39 11.64c8.578-2.141 13.8-10.83 11.64-19.39l-8.062-32.25c-6.203-24.86-24.11-45.38-47.91-54.89l-26.72-10.69c-17.56-7.016-36.72-9.312-55.5-6.656l-46.37 6.625c-31.33 4.469-54.95 31.72-54.95 63.36V232l-57.59 43.2C319.3 280.5 317.9 290.5 323.2 297.6C326.3 301.8 331.1 304 336 304c3.344 0 6.703-1.047 9.578-3.203l63.1-48C413.6 249.8 416 245 416 240V201.6c0-15.83 11.81-29.44 27.48-31.67l37.19-5.312l21.93 87.7c4.484 18.02-1.922 37.22-16.33 48.92l-79.11 64.23c-8.375 6.781-14.28 16.33-16.62 26.88l-22.17 100.2c-1.906 8.625 3.531 17.17 12.17 19.08C381.7 511.9 382.9 512 384 512c7.344 0 13.95-5.078 15.61-12.55l22.17-100.2c.7813-3.5 2.734-6.688 5.531-8.953l79.12-64.23C530.5 306.6 541.1 274.6 533.7 244.6z"],
    "house-signal": [576, 512, [], "e012", "M325.6 3.852C331.6-1.284 340.4-1.284 346.4 3.852L570.4 195.9C577.1 201.6 577.9 211.7 572.1 218.4C566.4 225.1 556.3 225.9 549.6 220.1L512 187.9V352C512 387.3 483.3 416 448 416H296.4C293.8 405.1 290.5 394.4 286.6 384H448C465.7 384 480 369.7 480 352V160.5L336 37.07L192 160.5V260C181.8 252.6 171.2 245.9 160 239.9V187.9L122.4 220.1C121.4 221 120.3 221.7 119.2 222.3C112.3 219.1 105.3 217.9 98.21 216.1C94.34 209.6 95.61 200.1 101.6 195.9L325.6 3.852zM368 176C385.7 176 400 190.3 400 208V272C400 289.7 385.7 304 368 304H304C286.3 304 272 289.7 272 272V208C272 190.3 286.3 176 304 176H368zM304 272H368V208H304V272zM256 496C256 504.8 248.8 512 240 512C231.2 512 224 504.8 224 496C224 381.1 130.9 288 16 288C7.164 288 0 280.8 0 272C0 263.2 7.164 256 16 256C148.5 256 256 363.5 256 496zM0 480C0 462.3 14.33 448 32 448C49.67 448 64 462.3 64 480C64 497.7 49.67 512 32 512C14.33 512 0 497.7 0 480zM0 368C0 359.2 7.164 352 16 352C95.53 352 160 416.5 160 496C160 504.8 152.8 512 144 512C135.2 512 128 504.8 128 496C128 434.1 77.86 384 16 384C7.164 384 0 376.8 0 368z"],
    "house-tree": [640, 512, [], "e1b3", "M308.5 143.4L284.9 121.7L380.3 15.72C399.4-5.462 432.6-5.462 451.7 15.72L568.9 145.1C573.5 151.1 576 157.6 576 164.4C576 179.7 563.7 192 548.4 192H513.7L600.6 298.4C605.4 304.2 608 311.6 608 319.1C608 337.3 593.3 352 575.1 352H532.3L632 461.1C637.2 466.7 640 474 640 481.6C640 498.4 626.4 512 609.6 512H400C406.1 502.7 412 491.8 414.4 480H605.1L484.2 346.8C479.9 342.1 478.8 335.4 481.4 329.5C483.9 323.7 489.7 320 496 320H575.1C575.6 320 576 319.6 576 319.1C576 318.1 575.9 318.8 575.8 318.6L467.6 186.1C463.7 181.3 462.9 174.7 465.5 169.1C468.2 163.6 473.8 160 480 160H538.5L427.9 37.13C421.5 30.07 410.5 30.07 404.1 37.13L308.5 143.4zM224 256C241.7 256 256 270.3 256 288V352C256 369.7 241.7 384 224 384H160C142.3 384 128 369.7 128 352V288C128 270.3 142.3 256 160 256H224zM224 288H160V352H224V288zM0 448V284.2C0 266.2 7.529 249.1 20.75 236.1L148.8 119.6C173.2 97.21 210.8 97.21 235.2 119.6L363.2 236.1C376.5 249.1 384 266.2 384 284.2V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448zM32 284.2V448C32 465.7 46.33 480 64 480H320C337.7 480 352 465.7 352 448V284.2C352 275.2 348.2 266.6 341.6 260.6L213.6 143.2C201.4 132 182.6 132 170.4 143.2L42.38 260.6C35.76 266.6 31.1 275.2 31.1 284.2H32z"],
    "house-tsunami": [576, 512, [], "e515", "M40.27 257.1C40.09 254.1 39.1 251 39.1 247.1C39.1 164 108.3 95.1 192.5 95.1C215.5 95.1 237.4 101.1 257.1 110.3C265.1 114 268.5 123.5 264.8 131.5C261 139.5 251.5 143 243.5 139.3C228 132 210.8 127.1 192.5 127.1C125.9 127.1 71.1 181.8 71.1 247.1C71.1 314.1 125.6 367.7 192 367.1C212.9 367.1 233.6 358 250.1 346.8C259.9 340.1 268.2 332.8 276.1 324.9C282.6 318.4 293.3 318.4 299.8 324.9C307.8 332.8 315.1 340.1 325.8 346.8C342.3 358 363.1 367.1 383.1 367.1C404.9 367.1 425.6 358 442.2 346.8C451.9 340.1 460.2 332.8 468.1 324.9C474.6 318.4 485.3 318.4 491.8 324.9C499.8 332.8 507.1 340.1 517.8 346.8C530.6 355.5 545.9 363.4 561.9 366.6C569.6 368.1 576 374.4 576 382.2C576 392 567.1 400.1 558.3 398.4C535.2 394.5 514.7 383.4 499.8 373.2C491.8 367.8 485.1 362.4 479.1 357.1C474.8 362.4 468.1 367.8 460.2 373.2C441.5 385.9 414.3 399.1 383.1 399.1C353.7 399.1 326.4 385.9 307.8 373.2C299.8 367.8 293.1 362.4 287.1 357.1C282.8 362.4 276.1 367.8 268.2 373.2C249.7 385.8 222.9 399.7 193.1 399.1C192.9 399.1 192.7 400 192.5 400C192.2 400 191.9 400 191.5 399.1C191.4 400 191.3 400 191.2 400C74 400 0 309.1 0 200C0 88.77 94.76 0 209.9 0C233.9 0 257.1 3.858 278.6 10.98C287 13.75 291.6 22.8 288.8 31.19C286 39.58 276.1 44.13 268.6 41.36C250.2 35.3 230.5 32 209.9 32C110.8 32 32 107.1 32 200C32 220.1 34.85 239.3 40.27 257.1L40.27 257.1zM352 282.3C342.6 278.9 333.4 274 324.8 268.1C323.3 267 321.7 265.1 320 265V143.1C320 133.9 324.7 124.4 332.8 118.4L428.8 46.43C440.2 37.88 455.8 37.9 467.2 46.47L562.7 118.4C570.7 124.5 575.4 133.9 575.4 143.9L575.8 296.9C570.5 293.9 564.7 291.6 558.5 290.1C553.6 288.1 548.6 287.3 543.8 285.2L543.5 143.1L447.1 72.03L352 143.1V282.3zM250.1 458.8C259.9 452.1 268.2 444.8 276.1 436.9C282.6 430.4 293.3 430.4 299.8 436.9C307.8 444.8 315.1 452.1 325.8 458.8C342.3 470 363.1 479.1 383.1 479.1C404.9 479.1 425.6 470 442.2 458.8C451.9 452.1 460.2 444.8 468.1 436.9C474.6 430.4 485.3 430.4 491.8 436.9C499.8 444.8 507.1 452.1 517.8 458.8C530.6 467.5 545.9 475.4 561.9 478.6C569.6 480.1 576 486.4 576 494.2C576 504 567.1 512.1 558.3 510.4C535.2 506.5 514.7 495.4 499.8 485.2C491.8 479.8 485.1 474.4 479.1 469.1C474.8 474.4 468.1 479.8 460.2 485.2C441.5 497.9 414.3 511.1 383.1 511.1C353.7 511.1 326.4 497.9 307.8 485.2C299.8 479.8 293.1 474.4 287.1 469.1C282.8 474.4 276.1 479.8 268.2 485.2C249.5 497.9 222.3 511.1 191.1 511.1C161.7 511.1 134.4 497.9 115.8 485.2C107.8 479.8 101.1 474.4 95.96 469.1C90.82 474.4 84.12 479.8 76.19 485.2C61.25 495.4 40.81 506.5 17.69 510.4C8.016 512.1 .0006 504 .0006 494.2C.0006 486.4 6.422 480.1 14.13 478.6C30.07 475.4 45.38 467.5 58.16 458.8C67.94 452.1 76.16 444.8 84.07 436.9C90.64 430.4 101.3 430.4 107.8 436.9C115.8 444.8 124.1 452.2 133.8 458.8C150.3 470 171.1 479.1 191.1 479.1C212.9 479.1 233.6 470 250.1 458.8H250.1z"],
    "house-turret": [640, 512, [], "e1b4", "M384 288C384 270.3 398.3 256 416 256H480C497.7 256 512 270.3 512 288V352C512 369.7 497.7 384 480 384H416C398.3 384 384 369.7 384 352V288zM416 352H480V288H416V352zM276.8 236.1L404.8 119.6C429.2 97.21 466.8 97.21 491.2 119.6L619.2 236.1C632.5 249.1 640 266.2 640 284.2V448C640 483.3 611.3 512 576 512H319.1C284.7 512 255.1 483.3 255.1 448V284.2C255.1 266.2 263.5 249.1 276.8 236.1V236.1zM319.1 480H576C593.7 480 608 465.7 608 448V284.2C608 275.2 604.2 266.6 597.6 260.6L469.6 143.2C457.4 132 438.6 132 426.4 143.2L298.4 260.6C291.8 266.6 287.1 275.2 287.1 284.2V448C287.1 465.7 302.3 480 319.1 480H319.1zM31.1 203.8C31.1 207.8 33.44 211.5 36.04 214.5L91.96 277.4C94.56 280.3 96 284.1 96 288V496C96 504.8 88.84 512 80 512C71.16 512 64 504.8 64 496V294.1L12.12 235.7C4.314 226.9 0 215.6 0 203.8V48C0 21.49 21.49 0 48 0H304C330.5 0 352 21.49 352 48V124.6L320 153.9V48C320 39.16 312.8 32 304 32H256V96C256 104.8 248.8 112 240 112C231.2 112 224 104.8 224 96V32H128V96C128 104.8 120.8 112 112 112C103.2 112 96 104.8 96 96V32H48C39.16 32 32 39.16 32 48L31.1 203.8zM223.1 192V240C223.1 248.8 216.8 256 207.1 256H143.1C135.2 256 127.1 248.8 127.1 240V192C127.1 165.5 149.5 144 175.1 144C202.5 144 223.1 165.5 223.1 192zM191.1 224V192C191.1 183.2 184.8 176 175.1 176C167.2 176 159.1 183.2 159.1 192V224H191.1z"],
    "house-user": [576, 512, ["home-user"], "e1b0", "M223.1 224C223.1 188.7 252.7 160 288 160C323.3 160 352 188.7 352 224C352 259.3 323.3 288 288 288C252.7 288 223.1 259.3 223.1 224zM288 256C305.7 256 320 241.7 320 224C320 206.3 305.7 192 288 192C270.3 192 255.1 206.3 255.1 224C255.1 241.7 270.3 256 288 256zM207.1 400C207.1 408.8 200.8 416 191.1 416C183.2 416 175.1 408.8 175.1 400V392C175.1 352.2 208.2 320 247.1 320H328C367.8 320 400 352.2 400 392V400C400 408.8 392.8 416 384 416C375.2 416 368 408.8 368 400V392C368 369.9 350.1 352 328 352H247.1C225.9 352 207.1 369.9 207.1 392V400zM277.4 4.002C283.5-1.334 292.5-1.334 298.6 4.002L570.6 244C577.2 249.8 577.8 259.1 571.1 266.6C566.2 273.2 556 273.8 549.4 267.1L512 234.1V432C512 476.2 476.2 512 432 512H144C99.82 512 64 476.2 64 432V234.1L26.59 267.1C19.96 273.8 9.849 273.2 4.003 266.6C-1.844 259.1-1.212 249.8 5.414 244L277.4 4.002zM96 206.7V432C96 458.5 117.5 480 144 480H432C458.5 480 480 458.5 480 432V206.7L288 37.34L96 206.7z"],
    "house-water": [576, 512, ["house-flood"], "f74f", "M16.02 271.1c3.754 0 7.523-1.312 10.58-3.994l37.41-33.01v133c0 8.844 7.154 16 15.1 16s16-7.156 16-16v-160c0-.375-.1875-.6875-.2129-1.055L288 37.34L480.2 206.9c-.0254 .3672-.2129 .6797-.2129 1.055v160c0 8.844 7.156 16 16 16s16-7.156 16-16V234.1l37.41 33.01c3.062 2.688 6.812 4 10.59 4c8.84 0 16-7.156 16-16c0-4.432-1.824-8.838-5.406-11.1L298.6 4c-3.031-2.656-6.812-3.998-10.59-3.998c-3.781 0-7.565 1.342-10.6 3.998L5.41 243.1C1.828 247.2 .002 251.6 .002 255.1C.002 264.9 7.227 271.1 16.02 271.1zM562 479.1c-58.08-7.48-63.4-46.7-82.05-46.7c-5.012 0-10.02 2.109-13.02 6.328c-18.44 25.84-49.45 41.28-82.96 41.28c-33.52 0-64.53-15.44-82.97-41.28C298 434.5 293 432.4 288 432.4s-10.02 2.109-13.03 6.328c-18.44 25.84-49.45 41.28-82.96 41.28c-67.72 0-76.76-48-95.1-48c-5.172 0-10.01 2.5-13.01 6.719c-37.1 51.96-82.99 28.12-82.99 56.25c0 13.76 13.03 16.03 15.81 16.03c10.29 0 49.89-7.707 80.18-38.25c24.62 24.84 59.56 39.12 96.34 39.12c36.77 0 71.04-14.28 95.67-39.12c24.62 24.84 59.32 39.24 96.08 39.24c36.78 0 71.3-14.39 95.93-39.24c30.41 30.67 70.21 38.28 80.35 38.28c13.47 0 15.64-13.36 15.64-16.06C575.1 487 570.1 480.1 562 479.1zM235 191.1c-14.62 0-26.62 12-26.62 26.62v106.8c0 14.62 12 26.62 26.62 26.62h106.6c14.75 0 26.75-12 26.75-26.62V218.6c0-14.62-12-26.62-26.75-26.62H235zM336.4 319.1H240.4v-96h95.99V319.1z"],
    "house-window": [576, 512, [], "e3b3", "M336 192C353.7 192 368 206.3 368 224V320C368 337.7 353.7 352 336 352H239.1C222.3 352 207.1 337.7 207.1 320V224C207.1 206.3 222.3 192 239.1 192H336zM239.1 320H336V224H239.1V320zM570.6 244C577.2 249.8 577.8 259.1 571.1 266.6C566.2 273.2 556 273.8 549.4 267.1L512 234.1V432C512 476.2 476.2 512 432 512H144C99.82 512 64 476.2 64 432V234.1L26.59 267.1C19.96 273.8 9.849 273.2 4.003 266.6C-1.844 259.1-1.212 249.8 5.414 244L277.4 4.002C283.5-1.334 292.5-1.334 298.6 4.002L570.6 244zM144 480H432C458.5 480 480 458.5 480 432V206.7L288 37.34L96 206.7V432C96 458.5 117.5 480 144 480z"],
    "hryvnia-sign": [384, 512, [8372, "hryvnia"], "f6f2", "M88.88 93.31C81.52 98.22 71.59 96.23 66.69 88.88C61.79 81.52 63.77 71.59 71.13 66.69L81.1 59.44C108.8 41.55 140.4 32 172.6 32H231C288.1 32 336 79.01 336 136.1C336 156.8 330.4 175.8 320.4 192H368C376.8 192 384 199.2 384 208C384 216.8 376.8 224 368 224H289.8C286 226.5 282.1 228.8 277.1 230.9L163.8 288H368C376.8 288 384 295.2 384 304C384 312.8 376.8 320 368 320H105C89.34 333.7 80 353.6 80 375C80 415.3 112.7 448 152.1 448H211.4C237.3 448 262.7 440.3 284.3 425.9L295.1 418.7C302.5 413.8 312.4 415.8 317.3 423.1C322.2 430.5 320.2 440.4 312.9 445.3L302 452.6C275.2 470.5 243.6 480 211.4 480H152.1C95.01 480 48 432.1 48 375C48 355.2 53.57 336.2 63.56 320H16C7.164 320 .0003 312.8 .0003 304C.0003 295.2 7.164 288 16 288H94.22C97.97 285.5 101.9 283.2 106 281.1L220.2 224H16C7.164 224 0 216.8 0 208C0 199.2 7.164 192 16 192H278.1C294.7 178.3 304 158.4 304 136.1C304 96.68 271.3 64 231 64H172.6C146.7 64 121.3 71.68 99.75 86.06L88.88 93.31z"],
    "hundred-points": [512, 512, [128175, "100"], "e41c", "M177.4 93.33C182.4 58.14 212.5 32 248.1 32C291.6 32 324.1 70.5 318.8 113.5L302.6 226.7C297.6 261.9 267.5 288 231.9 288C188.4 288 155.1 249.5 161.2 206.5L177.4 93.33zM248.1 64C228.5 64 211.8 78.43 209 97.86L192.9 210.1C189.5 234.7 207.9 256 231.9 256C251.5 256 268.2 241.6 270.1 222.1L287.1 109C290.5 85.26 272.1 64 248.1 64H248.1zM129.8 35.21C134.4 38.7 136.7 44.45 135.8 50.21L95.81 306.2C94.44 314.1 86.26 321.1 77.53 319.8C68.79 318.6 62.82 310.5 64.19 301.8L99.72 74.41L54.3 94.6C46.17 98.21 36.77 94.6 33.29 86.54C29.81 78.47 33.58 69.01 41.7 65.4L113.7 33.4C119.1 31.02 125.2 31.71 129.8 35.21H129.8zM496.7 111.8L485.6 208.6C481.4 244.7 450.8 272 414.4 272C371.6 272 338.4 234.7 343.3 192.2L354.4 95.42C358.6 59.28 389.2 32 425.6 32C468.4 32 501.6 69.31 496.7 111.8zM375.1 195.8C372.3 219.4 390.7 240 414.4 240C434.6 240 451.5 224.9 453.8 204.9L464.1 108.2C467.7 84.64 449.3 64 425.6 64C405.5 64 388.5 79.09 386.2 99.09L375.1 195.8zM511.9 333.9C513 342.6 506.9 350.7 498.1 351.9L18.12 415.9C9.357 417 1.31 410.9 .1421 402.1C-1.026 393.4 5.128 385.3 13.89 384.1L493.9 320.1C502.6 318.1 510.7 325.1 511.9 333.9zM209.1 479.9C201.2 480.1 193.2 474.8 192.1 465.1C191 457.2 197.2 449.2 206 448.1L462 416.1C470.8 415 478.8 421.2 479.9 430C480.1 438.8 474.8 446.8 465.1 447.9L209.1 479.9z"],
    "hurricane": [448, 512, [], "f751", "M256 400.1c0-8.844-7.156-16-16-16c-97.03 0-176-78.98-176-176.1c0-89.89 66.59-165.6 154.9-176.1c8.781-1.033 15.06-9.002 14-17.75C231.8 5.35 223.4-1.151 215.1 .1303C110.7 12.54 32 101.9 32 208c0 114.7 93.31 208 208 208C248.8 416 256 408.9 256 400.1zM208 95.98c-8.844 0-16 7.131-16 15.97c0 8.846 7.156 16 16 16c97.03 0 176 78.97 176 176c0 89.88-66.59 165.6-154.9 176.1c-8.781 1.031-15.06 9-14 17.75c.9687 8.156 7.719 14.13 15.69 14.13c.6562 0 1.458-.0241 2.083-.1179C337.3 499.5 416 410.1 416 304C416 189.3 322.7 95.98 208 95.98zM224 336c43.31 0 78.56-35.86 78.56-79.96c0-44.13-35.25-80.04-78.56-80.04S145.4 211.9 145.4 256.1C145.4 300.2 180.7 336 224 336zM224 208.1c25.69 0 46.56 21.53 46.56 48c0 26.44-20.88 47.97-46.56 47.97S177.4 282.5 177.4 256.1C177.4 229.6 198.3 208.1 224 208.1z"],
    "hyphen": [320, 512, [], "2d", "M320 256C320 264.8 312.8 272 304 272h-288C7.156 272 0 264.8 0 256C0 247.2 7.156 240 16 240h288C312.8 240 320 247.2 320 256z"],
    "i": [320, 512, [105], "49", "M320 464c0 8.844-7.156 16-16 16h-288C7.156 480 0 472.8 0 464S7.156 448 16 448h128V64h-128C7.156 64 0 56.84 0 48S7.156 32 16 32h288C312.8 32 320 39.16 320 48S312.8 64 304 64h-128v384h128C312.8 448 320 455.2 320 464z"],
    "i-cursor": [256, 512, [], "f246", "M256 496c0 8.844-7.156 16-16 16c-48.52 0-90.29-27.43-112-67.31C106.3 484.6 64.52 512 16 512C7.156 512 0 504.8 0 496S7.156 480 16 480c52.94 0 96-43.06 96-96V272H64C55.16 272 48 264.8 48 256S55.16 240 64 240h48V128c0-52.94-43.06-96-96-96C7.156 32 0 24.84 0 16S7.156 0 16 0C64.52 0 106.3 27.43 128 67.31C149.7 27.43 191.5 0 240 0C248.8 0 256 7.156 256 16S248.8 32 240 32c-52.94 0-96 43.06-96 96v112H192c8.844 0 16 7.156 16 16S200.8 272 192 272h-48V384c0 52.94 43.06 96 96 96C248.8 480 256 487.2 256 496z"],
    "ice-cream": [448, 512, [127848], "f810", "M424.6 264.6C409.6 279.6 389.2 288 368 288H80C60.03 287.9 40.83 280.2 26.18 266.7C11.53 253.1 2.499 234.5 .8538 214.6C-.791 194.7 5.073 174.9 17.29 159.1C29.51 143.3 47.2 132.6 66.88 129.2C74.07 92.84 93.65 60.12 122.3 36.6C150.9 13.08 186.8 .2266 223.8 .2266C260.9 .2266 296.8 13.08 325.4 36.6C354 60.12 373.6 92.84 380.8 129.2C399.5 132.2 416.6 141.8 428.9 156.3C441.2 170.7 447.1 189 448 208C448 229.2 439.6 249.6 424.6 264.6V264.6zM399.9 242.8C408.5 234.7 413.8 223.7 414.7 211.9C415.7 200.1 412.2 188.3 405 178.9C397.9 169.5 387.5 163.1 375.8 160.9L353.8 157.2L349.6 135.4C343.8 106.3 328.2 80.11 305.3 61.29C282.4 42.48 253.6 32.19 224 32.19C194.4 32.19 165.6 42.48 142.7 61.29C119.8 80.11 104.2 106.3 98.43 135.4L94.18 157.2L72.16 160.9C60.53 163.1 50.13 169.5 42.96 178.9C35.78 188.3 32.34 200.1 33.29 211.9C34.24 223.7 39.51 234.7 48.1 242.8C56.68 250.1 67.98 255.7 79.81 256H368.2C380 255.7 391.3 250.1 399.9 242.8zM336 336C335.1 338.5 335.4 340.9 334.3 343.1L264.1 483.9C261.5 491.1 255.8 498.9 248.6 503.9C241.3 508.9 232.8 511.7 224 512C215.2 511.7 206.7 508.8 199.4 503.9C192.2 498.9 186.5 491.9 183 483.8L113.7 343C111.8 339.2 111.5 334.8 112.9 330.8C114.3 326.7 117.2 323.4 120.1 321.5C124.8 319.7 129.2 319.4 133.2 320.8C137.3 322.1 140.6 325 142.5 328.9L211.8 469.7C212.8 472.3 214.4 474.5 216.6 476.2C218.8 477.9 221.4 478.1 224.1 479.3C226.9 478.1 229.5 477.9 231.6 476.2C233.8 474.5 235.5 472.3 236.4 469.7L305.8 328.9C307.4 325.6 310 323 313.3 321.5C316.6 319.1 320.2 319.6 323.8 320.4C327.3 321.2 330.4 323.2 332.7 326C334.9 328.8 336.1 332.3 336.1 335.9L336 336z"],
    "ice-skate": [576, 512, [9976], "f7ac", "M560 416c-8.799 0-16 7.199-16 16c0 26.51-21.49 48-48 48H416v-16c0-8.836-7.164-16-16-16s-15.1 7.164-15.1 16L384 480H128v-16C128 455.2 120.8 448 112 448s-15.1 7.164-15.1 16L96 480H16c-8.799 0-15.1 7.199-15.1 15.1S7.201 512 16 512H496c44.18 0 80-35.82 80-80C576 423.2 568.8 416 560 416zM96 416H448c35.2 0 64-28.8 64-64l.0001-37c0-44.02-30.01-82.42-72.72-93.12L320 192V16c0-8.801-7.199-16-16-16C295.2 0 288 7.199 288 16V32H281.9C222.5 32 163.8 43.33 108.7 65.37L62.17 83.98C43.95 91.27 32 108.9 32 128.5L32 352C32 387.3 60.75 416 96 416zM64 128.6c0-6.535 3.977-12.41 10.04-14.85l40.4-16.2C169.6 75.38 228.5 64 288 64v64H240C231.2 128 224 135.2 224 143.1S231.2 160 240 160H288v32H240C231.2 192 224 199.2 224 207.1S231.2 224 240 224h76.13l115.5 28.88C460.1 259.1 480 285.5 480 314.8V352c0 17.6-14.4 32-32 32H96c-17.6 0-32-14.4-32-32V128.6z"],
    "icicles": [512, 512, [], "f7ad", "M465.9 0H45.96C16.21 0-7.285 28.5 2.09 59.75l88.62 249.5C93.09 315.9 98.71 320.5 106.5 320c6.1-.25 13.12-5.125 14.87-11.88l23.5-77l35.37 172.1c1.5 7.5 7.1 12.88 15.62 12.88c7.75 0 14.25-5.375 15.75-13l36.37-181.5l22.25 86C271.8 314.8 278.2 320 285.7 320.1c7.375 0 13.1-5 15.62-12.25l32.37-119.3l56.5 310.3C391.6 506.5 398.1 512 405.7 512c7.625 0 14.5-5.375 15.1-12.75L511.2 54.75C516.6 26 494.3 0 465.9 0zM406.7 411l-54.87-301.8c-3.125-17-27.12-17.62-31.25-1l-33.1 138.3l-24.12-106C258.7 124.2 234.6 123.8 231.2 141l-35.37 182l-32.87-166C159.5 139.4 135.7 141.2 131.7 156L104.1 260.8l-71.5-210.7C29.96 41.25 36.34 32 45.96 32h419.1c11.12 0 14.87 10.5 13.75 16.5L406.7 411z"],
    "icons": [512, 512, ["heart-music-camera-bolt"], "f86d", "M473.7 4.136C493.5 .1759 512 15.32 512 35.51V167.1H511.8C511.9 169.3 512 170.7 512 171.1C512 200.7 483.3 223.1 448 223.1C412.7 223.1 384 200.7 384 171.1C384 143.3 412.7 119.1 448 119.1C459.7 119.1 470.6 122.5 480 126.1V35.52L352 61.12V199.1H351.8C351.9 201.3 352 202.7 352 203.1C352 232.7 323.3 255.1 288 255.1C252.7 255.1 224 232.7 224 203.1C224 175.3 252.7 151.1 288 151.1C299.7 151.1 310.6 154.5 320 158.1V61.12C320 45.86 330.8 32.73 345.7 29.74L473.7 4.136zM473.1 160.1C467.5 155.6 458.8 151.1 448 151.1C437.2 151.1 428.5 155.6 422.9 160.1C417.5 164.5 416 168.9 416 171.1C416 175.1 417.5 179.5 422.9 183.9C428.5 188.4 437.2 191.1 448 191.1C458.8 191.1 467.5 188.4 473.1 183.9C478.5 179.5 480 175.1 480 171.1C480 168.9 478.5 164.5 473.1 160.1zM313.1 192.1C307.5 187.6 298.8 183.1 288 183.1C277.2 183.1 268.5 187.6 262.9 192.1C257.5 196.5 256 200.9 256 203.1C256 207.1 257.5 211.5 262.9 215.9C268.5 220.4 277.2 223.1 288 223.1C298.8 223.1 307.5 220.4 313.1 215.9C318.5 211.5 320 207.1 320 203.1C320 200.9 318.5 196.5 313.1 192.1V192.1zM59.72 6.047C82.48 2.253 105.7 9.682 121.1 25.99L128 32L133.1 26.01C150.3 9.687 173.5 2.252 196.3 6.047C230.7 11.79 256 41.61 256 76.54V79.45C256 100.2 247.4 120 232.2 134.2L141.8 218.5C138.1 222 133.1 224 128 224C122.9 224 117.9 222 114.2 218.5L23.79 134.2C8.617 120 0 100.2 0 79.45V76.55C0 41.61 25.26 11.79 59.72 6.047V6.047zM99.38 48.63C90.37 39.62 77.55 35.52 64.98 37.61C45.95 40.78 32 57.25 32 76.54V79.45C32 91.34 36.94 102.7 45.63 110.8L128 187.7L210.4 110.8C219.1 102.7 224 91.34 224 79.45V76.54C224 57.25 210.1 40.78 191 37.61C178.4 35.52 165.6 39.62 156.6 48.63L128 77.26L99.38 48.63zM208 392C208 427.3 179.3 456 144 456C108.7 456 80 427.3 80 392C80 356.7 108.7 328 144 328C179.3 328 208 356.7 208 392zM144 424C161.7 424 176 409.7 176 392C176 374.3 161.7 360 144 360C126.3 360 112 374.3 112 392C112 409.7 126.3 424 144 424zM208.8 273.7L216 288H240C266.5 288 288 309.5 288 336V464C288 490.5 266.5 512 240 512H48C21.49 512 0 490.5 0 464V336C0 309.5 21.49 288 48 288H71.1L79.16 273.7C84.58 262.8 95.66 255.1 107.8 255.1H180.2C192.3 255.1 203.4 262.8 208.8 273.7L208.8 273.7zM48 320C39.16 320 32 327.2 32 336V464C32 472.8 39.16 480 48 480H240C248.8 480 256 472.8 256 464V336C256 327.2 248.8 320 240 320H196.2L180.2 287.1H107.8L91.78 320H48zM390.6 368H480C486.5 368 492.3 371.9 494.8 377.9C497.3 383.9 495.9 390.7 491.3 395.3L379.3 507.3C373.1 513.6 362.9 513.6 356.7 507.3C350.4 501.1 350.4 490.9 356.7 484.7L441.4 400H352C345.5 400 339.7 396.1 337.2 390.1C334.7 384.1 336.1 377.3 340.7 372.7L452.7 260.7C458.9 254.4 469.1 254.4 475.3 260.7C481.6 266.9 481.6 277.1 475.3 283.3L390.6 368z"],
    "id-badge": [384, 512, [], "f2c1", "M320 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h256c35.35 0 64-28.65 64-64V64C384 28.65 355.3 0 320 0zM352 448c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V64c0-17.64 14.36-32 32-32h256c17.64 0 32 14.36 32 32V448zM192 288c35.35 0 64-28.65 64-64s-28.65-64-64-64S128 188.7 128 224S156.7 288 192 288zM192 192c17.64 0 32 14.36 32 32s-14.36 32-32 32S160 241.6 160 224S174.4 192 192 192zM224 320H160c-44.18 0-80 35.82-80 80C80 408.8 87.16 416 96 416c8.838 0 16-7.164 16-16C112 373.5 133.5 352 160 352h64c26.51 0 48 21.49 48 48c0 8.836 7.164 16 16 16c8.838 0 16-7.164 16-16C304 355.8 268.2 320 224 320zM144 96h96C248.8 96 256 88.84 256 80S248.8 64 240 64h-96C135.2 64 128 71.16 128 80S135.2 96 144 96z"],
    "id-card": [576, 512, [62147, "drivers-license"], "f2c2", "M352 352h128c8.836 0 16-7.164 16-16S488.8 320 480 320h-128c-8.836 0-16 7.164-16 16S343.2 352 352 352zM512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM544 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V128h512V416zM32 96c0-17.64 14.36-32 32-32h448c17.64 0 32 14.36 32 32H32zM352 224h128c8.836 0 16-7.164 16-16S488.8 192 480 192h-128c-8.836 0-16 7.164-16 16S343.2 224 352 224zM352 288h128c8.836 0 16-7.164 16-16S488.8 256 480 256h-128c-8.836 0-16 7.164-16 16S343.2 288 352 288zM192 288c35.35 0 64-28.65 64-64S227.3 160 192 160S128 188.7 128 224S156.7 288 192 288zM192 192c17.64 0 32 14.36 32 32S209.6 256 192 256S160 241.6 160 224S174.4 192 192 192zM96 416c8.836 0 16-7.164 16-16C112 373.5 133.5 352 160 352h64c26.51 0 48 21.49 48 48c0 8.836 7.164 16 16 16s16-7.164 16-16c0-44.18-35.82-80-80-80H160c-44.18 0-80 35.82-80 80C80 408.8 87.16 416 96 416z"],
    "id-card-clip": [576, 512, ["id-card-alt"], "f47f", "M256 128h64c17.67 0 32-14.33 32-32V32c0-17.67-14.33-32-32-32H256C238.3 0 224 14.33 224 32v64C224 113.7 238.3 128 256 128zM256 32h64v64H256V32zM288 320c35.35 0 64-28.65 64-64s-28.65-64-64-64S224 220.7 224 256S252.7 320 288 320zM288 224c17.64 0 32 14.36 32 32s-14.36 32-32 32S256 273.6 256 256S270.4 224 288 224zM512 64h-112C391.2 64 384 71.16 384 79.1S391.2 96 399.1 96H512c17.67 0 32 14.33 32 32v320c0 17.67-14.33 32-32 32H64c-17.67 0-32-14.33-32-32V128c0-17.67 14.33-32 32-32h112C184.8 96 192 88.84 192 80S184.8 64 176 64H64C28.65 64 0 92.65 0 128v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V128C576 92.65 547.3 64 512 64zM192 448c8.836 0 16-7.164 16-16C208 405.5 229.5 384 256 384h64c26.51 0 48 21.49 48 48c0 8.836 7.164 16 16 16s16-7.164 16-16c0-44.18-35.82-80-80-80H256c-44.18 0-80 35.82-80 80C176 440.8 183.2 448 192 448z"],
    "igloo": [576, 512, [], "f7ae", "M576 320V416C576 451.3 547.3 480 512 480H64C28.65 480 0 451.3 0 416V320C0 160.9 128.9 32 288 32C447.1 32 576 160.9 576 320zM544 352H384V448H512C529.7 448 544 433.7 544 416V352zM544 320C544 273.4 531.5 229.7 509.8 192H480V320H544zM128 192V320H197.5C210.6 282.7 246.2 256 288 256C329.8 256 365.4 282.7 378.5 320H448V192H128zM32 352V416C32 433.7 46.33 448 64 448H192V352H32zM96 320V192H66.25C44.47 229.7 32 273.4 32 320H96zM352 72.07V160H487.9C453.8 117.5 406.4 86.06 352 72.07zM288 64C207.2 64 135.1 101.5 88.15 160H320V65.98C309.5 64.67 298.8 64 288 64zM288 288C252.7 288 224 316.7 224 352V448H352V352C352 316.7 323.3 288 288 288z"],
    "image": [512, 512, [], "f03e", "M324.9 157.8c-11.38-17.38-39.89-17.31-51.23-.0625L200.5 268.5L184.1 245.9C172.7 229.1 145.9 229.9 134.4 245.9l-64.52 89.16c-6.797 9.406-7.75 21.72-2.547 32C72.53 377.5 83.05 384 94.75 384h322.5c11.41 0 21.8-6.281 27.14-16.38c5.312-10 4.734-22.09-1.516-31.56L324.9 157.8zM95.8 352l62.39-87.38l29.91 41.34C191.2 310.2 196.4 313.2 201.4 312.6c5.25-.125 10.12-2.781 13.02-7.188l83.83-129.9L415 352H95.8zM447.1 32h-384C28.65 32-.0091 60.65-.0091 96v320c0 35.35 28.65 64 63.1 64h384c35.35 0 64-28.65 64-64V96C511.1 60.65 483.3 32 447.1 32zM480 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h384c17.64 0 32 14.36 32 32V416zM144 192C170.5 192 192 170.5 192 144S170.5 96 144 96S96 117.5 96 144S117.5 192 144 192zM144 128c8.822 0 15.1 7.178 15.1 16S152.8 160 144 160S128 152.8 128 144S135.2 128 144 128z"],
    "image-landscape": [576, 512, ["landscape"], "e1b5", "M160 184c13.26 0 24-10.75 24-24S173.3 136 160 136C146.7 136 136 146.7 136 160S146.7 184 160 184zM346.6 171.9c-11.28-15.81-38.5-15.94-49.1-.0313L252.6 233.3L245.6 224.4C234.2 209.9 208.6 209.8 197.2 224.4L134.2 304.8c-7.123 9.131-8.154 21.55-2.623 31.56C136.8 345.1 147.1 352 158.4 352h259.2c11 0 21.17-5.805 26.54-15.09c0-.0313-.0313 .0313 0 0c5.656-9.883 5.078-21.84-1.578-31.15L346.6 171.9zM162.2 319.9l58.25-75.61l20.09 25.66C244.9 275.5 258.1 280.6 266.1 269.4l54.44-78.75l92.68 129.2H162.2zM512 64H64C28.65 64 0 92.65 0 128v256c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V128C576 92.65 547.3 64 512 64zM544 384c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V128c0-17.64 14.36-32 32-32h448c17.64 0 32 14.36 32 32V384z"],
    "image-polaroid": [448, 512, [], "f8c4", "M96 152c13.26 0 24-10.75 24-24s-10.74-24-24-24c-13.25 0-24 10.75-24 24S82.75 152 96 152zM282.6 139.9c-11.28-15.81-38.5-15.94-49.1-.0313L188.6 201.3L181.6 192.4C170.2 177.9 144.6 177.8 133.2 192.4L70.16 272.8c-7.123 9.131-8.154 21.55-2.623 31.56C72.78 313.1 83.06 320 94.38 320h259.2c11 0 21.17-5.805 26.54-15.09c0-.0313-.0313 .0313 0 0c5.656-9.883 5.078-21.84-1.578-31.15L282.6 139.9zM98.19 287.9l58.25-75.61l20.09 25.66C180.9 243.5 194.1 248.6 202.1 237.4l54.44-78.75l92.68 129.2H98.19zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32v-32h384V416zM416 352H32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V352z"],
    "image-polaroid-user": [448, 512, [], "e1b6", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32v-32h384V416zM146.9 352C153.5 333.4 171.1 320 192 320h64c20.87 0 38.45 13.4 45.06 32H146.9zM416 352h-81.61C326.1 315.5 294.7 288 256 288H192c-38.7 0-70.97 27.48-78.39 64H32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V352zM224 128C188.7 128 160 156.7 160 192s28.65 64 64 64s64-28.65 64-64S259.3 128 224 128zM224 224C206.4 224 192 209.6 192 192s14.36-32 32-32s32 14.36 32 32S241.6 224 224 224z"],
    "image-portrait": [384, 512, ["portrait"], "f3e0", "M192 256c35.35 0 64-28.65 64-64s-28.65-64-64-64S128 156.7 128 192S156.7 256 192 256zM192 160c17.64 0 32 14.36 32 32s-14.36 32-32 32S160 209.6 160 192S174.4 160 192 160zM224 288H160c-44.18 0-80 35.82-80 80C80 376.8 87.16 384 96 384s16-7.164 16-16C112 341.5 133.5 320 160 320h64c26.51 0 48 21.49 48 48c0 8.836 7.164 16 16 16s16-7.164 16-16C304 323.8 268.2 288 224 288zM320 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h256c35.35 0 64-28.65 64-64V64C384 28.65 355.3 0 320 0zM352 448c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V64c0-17.64 14.36-32 32-32h256c17.64 0 32 14.36 32 32V448z"],
    "image-slash": [640, 512, [], "e1b7", "M633.9 483.4L25.92 3.42c-6.938-5.453-17-4.25-22.48 2.641c-5.469 6.938-4.281 17 2.641 22.48l608 480C617 510.9 620.5 512 623.1 512c4.734 0 9.422-2.094 12.58-6.078C642 498.1 640.8 488.9 633.9 483.4zM512 64c17.64 0 32 14.36 32 32v255.3l32 25.26L575.1 96c0-35.35-28.65-64-64-64H139.6l40.53 32H512zM337.7 157.8l-13.31 20.12l24.03 18.97l13.81-21.4l44.76 67.65l80.35 63.43l-98.41-148.7C377.6 140.5 349 140.5 337.7 157.8zM200.2 242.1l-66.4 92.04c-6.797 9.406-7.75 21.72-2.547 32C136.5 377.5 147 384 158.8 384h220.1l-40.53-32H159.8l64.36-90.13L200.2 242.1zM459.9 448H128c-17.64 0-32-14.36-32-32V160.7L64 135.4L63.99 416c0 35.35 28.65 64 64 64h372.5L459.9 448z"],
    "image-user": [512, 512, [], "e1b8", "M256 256c35.35 0 64-28.65 64-64s-28.65-64-64-64s-64 28.65-64 64S220.7 256 256 256zM256 160c17.64 0 32 14.36 32 32s-14.36 32-32 32S224 209.6 224 192S238.4 160 256 160zM288 288h-64c-44.18 0-80 35.82-80 80c0 8.836 7.164 16 16 16S176 376.8 176 368C176 341.5 197.5 320 224 320h64c26.51 0 48 21.49 48 48c0 8.836 7.173 16 16.01 16s16-7.164 16-16C368 323.8 332.2 288 288 288zM448 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V96C512 60.65 483.3 32 448 32zM480 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h384c17.64 0 32 14.36 32 32V416z"],
    "images": [576, 512, [], "f302", "M464 448H96c-35.35 0-64-28.65-64-64V112C32 103.2 24.84 96 16 96S0 103.2 0 112V384c0 53.02 42.98 96 96 96h368c8.836 0 16-7.164 16-16S472.8 448 464 448zM224 152c13.26 0 24-10.75 24-24s-10.74-24-24-24c-13.25 0-24 10.75-24 24S210.8 152 224 152zM410.6 139.9c-11.28-15.81-38.5-15.94-49.1-.0313l-44.03 61.43l-6.969-8.941c-11.44-14.46-36.97-14.56-48.4 .0313L198.2 272.8C191 281.9 190 294.3 195.5 304.3C200.8 313.1 211.1 320 222.4 320h259.2c11 0 21.17-5.805 26.54-15.09c0-.0313-.0313 .0313 0 0c5.656-9.883 5.078-21.84-1.578-31.15L410.6 139.9zM226.2 287.9l58.25-75.61l20.09 25.66c4.348 5.545 17.6 10.65 25.59-.5332l54.44-78.75l92.68 129.2H226.2zM512 32H160c-35.35 0-64 28.65-64 64v224c0 35.35 28.65 64 64 64H512c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM544 320c0 17.64-14.36 32-32 32H160c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h352c17.64 0 32 14.36 32 32V320z"],
    "images-user": [576, 512, [], "e1b9", "M464 448H96c-35.35 0-64-28.65-64-64V112C32 103.2 24.84 96 16 96S0 103.2 0 112V384c0 53.02 42.98 96 96 96h368c8.836 0 16-7.164 16-16S472.8 448 464 448zM512 32H160C124.7 32 96 60.65 96 96v224c0 35.35 28.65 64 64 64h352c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM416 352H256v-16C256 309.5 277.5 288 304 288h64c26.51 0 48 21.49 48 48V352zM544 320c0 17.64-14.36 32-32 32h-64v-16C448 291.8 412.2 256 368 256h-64C259.8 256 224 291.8 224 336V352H160c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h352c17.64 0 32 14.36 32 32V320zM336 96c-35.35 0-64 28.65-64 64s28.65 64 64 64s64-28.65 64-64S371.4 96 336 96zM336 192c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S353.6 192 336 192z"],
    "inbox": [512, 512, [], "f01c", "M508.3 304.9l-61.25-248.7C443.5 42 430.7 31.1 416 31.1H96c-14.69 0-27.47 10-31.03 24.25L3.715 304.9C1.248 314.9 0 325.2 0 335.5v96.47c0 26.51 21.49 48 48 48h416c26.51 0 48-21.49 48-48v-96.47C512 325.2 510.8 314.9 508.3 304.9zM96 64h319.1l55.18 224H368c-6.062 0-11.59 3.438-14.31 8.844L326.1 352H185.9L158.3 296.8C155.6 291.4 150.1 288 144 288H40.84L96 64zM480 432c0 8.822-7.178 16-16 16h-416C39.18 448 32 440.8 32 432v-96.47C32 330.3 33.04 325.2 33.88 320h100.2l27.58 55.16C164.4 380.6 169.9 384 176 384h160c6.062 0 11.59-3.438 14.31-8.844L377.9 320h100.2C478.1 325.2 480 330.3 480 335.5V432z"],
    "inbox-full": [512, 512, [], "e1ba", "M508.3 304.9l-61.25-248.7C443.5 42 430.7 32 416 32H96C81.31 32 68.53 42 64.97 56.25l-61.25 248.7C1.248 314.9 0 325.2 0 335.5V432C0 458.5 21.49 480 48 480h416c26.51 0 48-21.49 48-48v-96.47C512 325.2 510.8 314.9 508.3 304.9zM96 64h319.1l55.18 224H368c-6.062 0-11.59 3.438-14.31 8.844L326.1 352H185.9L158.3 296.8C155.6 291.4 150.1 288 144 288H40.84L96 64zM480 432c0 8.822-7.178 16-16 16h-416C39.18 448 32 440.8 32 432v-96.47C32 330.3 33.04 325.2 33.88 320h100.2l27.58 55.16C164.4 380.6 169.9 384 176 384h160c6.062 0 11.59-3.438 14.31-8.844L377.9 320h100.2C478.1 325.2 480 330.3 480 335.5V432zM368 256C376.8 256 384 248.8 384 240S376.8 224 368 224h-224C135.2 224 128 231.2 128 240S135.2 256 144 256H368zM176 176h160C344.8 176 352 168.8 352 160s-7.162-16-16-16h-160C167.2 144 160 151.2 160 160S167.2 176 176 176z"],
    "inbox-in": [512, 512, [128229, "inbox-arrow-down"], "f310", "M244.7 315.3C247.8 318.4 251.9 320 256 320s8.188-1.562 11.31-4.688l112-112c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0L272 265.4V16c0-8.844-7.156-16-16-16S240 7.156 240 16v249.4L155.3 180.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L244.7 315.3zM464 320h-80c-6.061 0-11.6 3.424-14.31 8.844L342.1 384H169.9l-27.58-55.15C139.6 323.4 134.1 320 128 320H48C21.49 320 0 341.5 0 368v96C0 490.5 21.49 512 48 512h416c26.51 0 48-21.49 48-48v-96C512 341.5 490.5 320 464 320zM480 464c0 8.836-7.162 16-16 16h-416C39.16 480 32 472.8 32 464v-96C32 359.2 39.16 352 48 352h70.11l27.58 55.16C148.4 412.6 153.9 416 159.1 416H352c6.062 0 11.6-3.424 14.31-8.846L393.9 352H464c8.838 0 16 7.164 16 16V464z"],
    "inbox-out": [512, 512, [128228, "inbox-arrow-up"], "f311", "M155.3 139.3L240 54.63V304C240 312.8 247.2 320 256 320s16-7.156 16-16V54.63l84.69 84.69c6.25 6.25 16.38 6.25 22.62 0s6.25-16.38 0-22.62l-112-112C264.2 1.562 260.1 0 256 0S247.8 1.562 244.7 4.688l-112 112c-6.25 6.25-6.25 16.38 0 22.62S149.1 145.6 155.3 139.3zM464 320h-80c-6.061 0-11.6 3.424-14.31 8.844L342.1 384H169.9l-27.58-55.15C139.6 323.4 134.1 320 128 320H48C21.49 320 0 341.5 0 368v96C0 490.5 21.49 512 48 512h416c26.51 0 48-21.49 48-48v-96C512 341.5 490.5 320 464 320zM480 464c0 8.836-7.162 16-16 16h-416C39.16 480 32 472.8 32 464v-96C32 359.2 39.16 352 48 352h70.11l27.58 55.16C148.4 412.6 153.9 416 159.1 416H352c6.062 0 11.6-3.424 14.31-8.846L393.9 352H464c8.838 0 16 7.164 16 16V464z"],
    "inboxes": [512, 512, [], "e1bb", "M507.7 180.9l-61.99-160.8C440.8 7.969 429.1 0 416 0H96c-13.09 0-24.84 7.969-29.72 20.12L4.287 180.9C1.453 188.2 0 196 0 203.9V271.1c0 26.51 21.49 48 48 48h416c26.51 0 48-21.49 48-48V203.9C512 196 510.5 188.2 507.7 180.9zM96 32h320l-.1387-.3613L465.4 160H384c-6.062 0-11.59 3.438-14.31 8.844L342.1 224H169.9L142.3 168.8C139.6 163.4 134.1 160 128 160H46.64L96 32zM480 272C480 280.8 472.8 288 464 288h-416C39.18 288 32 280.8 32 272V203.9c0-3.955 .7207-7.828 2.145-11.52L34.3 192H118.1l27.58 55.16C148.4 252.6 153.9 256 160 256h192c6.062 0 11.59-3.438 14.31-8.844L393.9 192h83.81l.1543 .3984C479.3 196.1 480 199.1 480 203.9V272zM464 352h-80c-6.061 0-11.6 3.424-14.31 8.844L342.1 416H169.9l-27.58-55.15C139.6 355.4 134.1 352 128 352H48C21.49 352 0 373.5 0 400v64C0 490.5 21.49 512 48 512h416c26.51 0 48-21.49 48-48v-64C512 373.5 490.5 352 464 352zM480 464c0 8.836-7.162 16-16 16h-416C39.16 480 32 472.8 32 464v-64C32 391.2 39.16 384 48 384h70.11l27.58 55.16C148.4 444.6 153.9 448 159.1 448H352c6.062 0 11.6-3.424 14.31-8.846L393.9 384H464c8.838 0 16 7.164 16 16V464z"],
    "indent": [448, 512, [], "f03c", "M-.0006 64C-.0006 55.16 7.163 48 15.1 48H432C440.8 48 448 55.16 448 64C448 72.84 440.8 80 432 80H15.1C7.163 80-.0006 72.84-.0006 64V64zM191.1 192C191.1 183.2 199.2 176 207.1 176H432C440.8 176 448 183.2 448 192C448 200.8 440.8 208 432 208H207.1C199.2 208 191.1 200.8 191.1 192zM432 304C440.8 304 448 311.2 448 320C448 328.8 440.8 336 432 336H207.1C199.2 336 191.1 328.8 191.1 320C191.1 311.2 199.2 304 207.1 304H432zM-.0006 448C-.0006 439.2 7.163 432 15.1 432H432C440.8 432 448 439.2 448 448C448 456.8 440.8 464 432 464H15.1C7.163 464-.0006 456.8-.0006 448V448zM121 243.6C128.8 250 128.8 261.1 121 268.4L26.17 346.4C15.73 355-.001 347.6-.001 334.1V177.9C-.001 164.4 15.73 156.1 26.17 165.6L121 243.6zM31.1 300.2L85.66 256L31.1 211.8V300.2z"],
    "indian-rupee-sign": [320, 512, ["indian-rupee", "inr"], "e1bc", "M.0013 48C.0013 39.16 7.165 32 16 32H304C312.8 32 320 39.16 320 48C320 56.84 312.8 64 304 64H202.5C231.2 87.24 250.8 121.3 255.1 160H304C312.8 160 320 167.2 320 176C320 184.8 312.8 192 304 192H255.1C247.2 263.1 186.1 320 112 320H65.93L249.3 450.1C256.5 456.1 258.2 466.1 253 473.3C247.9 480.5 237.9 482.2 230.7 477L6.701 317C1.042 312.1-1.358 305.7 .7645 299.1C2.887 292.5 9.046 288 16 288H112C168.4 288 215.1 246.3 222.9 192H16C7.165 192 .0013 184.8 .0013 176C.0013 167.2 7.165 160 16 160H222.9C215.1 105.7 168.4 64 112 64H16C7.165 64 .0013 56.84 .0013 48V48z"],
    "industry": [576, 512, [], "f275", "M32 80C32 53.49 53.49 32 80 32H144C170.5 32 192 53.49 192 80V199.4L305.8 123.6C332.4 105.8 368 124.9 368 156.8V207.5L480.6 126.4C507.1 107.3 544 126.2 544 158.9V416C544 451.3 515.3 480 480 480H96C60.65 480 32 451.3 32 416V80zM80 64C71.16 64 64 71.16 64 80V416C64 433.7 78.33 448 96 448H480C497.7 448 512 433.7 512 416V158.9C512 152.3 504.6 148.6 499.3 152.4L361.3 251.7C356.5 255.2 350 255.7 344.7 252.1C339.4 250.2 336 244.7 336 238.7V156.8C336 150.5 328.9 146.6 323.6 150.2L184.9 242.6C179.1 245.9 173.7 246.2 168.5 243.4C163.2 240.7 160 235.2 160 229.3V80C160 71.16 152.8 64 144 64L80 64z"],
    "industry-windows": [576, 512, [127981, "industry-alt"], "f3b3", "M184 304C197.3 304 208 314.7 208 328V376C208 389.3 197.3 400 184 400H136C122.7 400 112 389.3 112 376V328C112 314.7 122.7 304 136 304H184zM176 368V336H144V368H176zM240 328C240 314.7 250.7 304 264 304H312C325.3 304 336 314.7 336 328V376C336 389.3 325.3 400 312 400H264C250.7 400 240 389.3 240 376V328zM272 368H304V336H272V368zM440 304C453.3 304 464 314.7 464 328V376C464 389.3 453.3 400 440 400H392C378.7 400 368 389.3 368 376V328C368 314.7 378.7 304 392 304H440zM432 336H400V368H432V336zM144 32C170.5 32 192 53.49 192 80V199.4L305.8 123.6C332.4 105.8 368 124.9 368 156.8V207.5L480.6 126.4C507.1 107.3 544 126.2 544 158.9V416C544 451.3 515.3 480 480 480H96C60.65 480 32 451.3 32 416V80C32 53.49 53.49 32 80 32H144zM64 416C64 433.7 78.33 448 96 448H480C497.7 448 512 433.7 512 416V158.9C512 152.3 504.6 148.6 499.3 152.4L361.3 251.7C356.5 255.2 350 255.7 344.7 252.1C339.4 250.2 336 244.7 336 238.7V156.8C336 150.5 328.9 146.6 323.6 150.2L184.9 242.6C179.1 245.9 173.7 246.2 168.5 243.4C163.2 240.7 160 235.2 160 229.3V80C160 71.16 152.8 64 144 64H80C71.16 64 64 71.16 64 80V416z"],
    "infinity": [640, 512, [9854, 8734], "f534", "M488.9 96C406.3 96 346.3 178.5 320 222.5C293.8 178.5 233.8 96 151.1 96C67.75 96 0 167.8 0 256s67.75 160 151.1 160C233.6 416 293.8 333.5 320 289.5C346.3 333.5 406.3 416 488.9 416C572.3 416 640 344.3 640 256S572.3 96 488.9 96zM151.1 384C85.5 384 32 326.6 32 256s53.5-128 119.1-128c78 0 136.5 100.6 150.9 128C287.6 283.4 229.1 384 151.1 384zM488.9 384c-78 0-136.5-100.6-150.9-128c14.38-27.38 72.88-128 150.9-128C554.5 128 608 185.4 608 256S554.5 384 488.9 384z"],
    "info": [192, 512, [], "f129", "M96 96c17.67 0 32-14.33 32-32s-14.33-31.99-32-31.99S64 46.33 64 64S78.33 96 96 96zM176 448h-64V176C112 167.2 104.8 160 96 160H48C39.16 160 32 167.2 32 176S39.16 192 48 192h32v256h-64C7.156 448 0 455.2 0 464S7.156 480 16 480h160c8.844 0 16-7.156 16-16S184.8 448 176 448z"],
    "inhaler": [576, 512, [], "f5f9", "M32 232c-13.26 0-24 10.75-24 24s10.74 24 24 24s24-10.75 24-24S45.26 232 32 232zM32 328c-13.26 0-24 10.74-24 24c0 13.25 10.74 24 24 24s24-10.75 24-24C56 338.7 45.26 328 32 328zM32 424c-13.26 0-24 10.74-24 24c0 13.25 10.74 24 24 24S56 461.3 56 448C56 434.7 45.26 424 32 424zM127.1 376c-13.25 0-23.1 10.74-23.1 24C104 413.3 114.7 424 127.1 424c13.26 0 24-10.75 24-23.1C151.1 386.7 141.3 376 127.1 376zM127.1 280c-13.25 0-23.1 10.74-23.1 24c0 13.25 10.74 23.1 23.1 23.1c13.26 0 24-10.75 24-23.1C151.1 290.7 141.3 280 127.1 280zM363.3 116.7c-4-4-9.938-5.594-15.31-4.188c-5.5 1.438-9.812 5.656-11.38 11.09l-28.69 100.4L239.9 224c-26.47 0-47.98 21.53-47.98 47.1v159.1C191.9 458.5 213.4 480 239.9 480h192.5c35.63 0 66.4-22.91 76.62-57.03l34.31-114.4c1.719-5.625 .1562-11.75-4-15.91L363.3 116.7zM478.4 413.8C472.2 434.3 453.7 448 432.4 448H239.1c-8.812 0-16-7.188-16-16V272c0-8.812 7.188-16 16-16h79.1c7.156 0 13.41-4.75 15.38-11.59l24.53-85.87l150 150L478.4 413.8zM563.5 64.38l-143.1-32c-8.094-1.781-16.06 2.781-18.66 10.56l-16 48c-2.781 8.375 1.75 17.44 10.12 20.25c8.406 2.812 17.44-1.75 20.25-10.12l11.44-34.31l114.3 25.41l-28.53 128.4c-1.906 8.625 3.531 17.16 12.16 19.09c1.156 .25 2.344 .375 3.469 .375c7.344 0 13.97-5.062 15.62-12.53l32-143.1C577.5 74.85 572.1 66.32 563.5 64.38z"],
    "input-numeric": [640, 512, [], "e1bd", "M96 176C96 167.2 103.2 160 112 160H144C152.8 160 160 167.2 160 176V320H176C184.8 320 192 327.2 192 336C192 344.8 184.8 352 176 352H112C103.2 352 96 344.8 96 336C96 327.2 103.2 320 112 320H128V192H112C103.2 192 96 184.8 96 176zM252.3 218.2C246.6 225 236.5 225.9 229.8 220.3C222.1 214.6 222.1 204.5 227.7 197.8L240.1 182.9C260.1 157.8 298.4 154.9 322.1 176.4C347.1 197.4 349.6 233.1 328.6 258.1L275 319.1H336C344.8 319.1 352 327.2 352 336C352 344.8 344.8 352 336 352H240C233.7 352 228 348.3 225.4 342.6C222.8 336.9 223.8 330.3 227.9 325.5L304.5 237.2C313.9 226.3 312.7 209.9 301.9 200.4C290.9 190.8 274.1 192.1 264.7 203.4L252.3 218.2zM576 64C611.3 64 640 92.65 640 128V384C640 419.3 611.3 448 576 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H576zM576 96H64C46.33 96 32 110.3 32 128V384C32 401.7 46.33 416 64 416H576C593.7 416 608 401.7 608 384V128C608 110.3 593.7 96 576 96z"],
    "input-pipe": [640, 512, [], "e1be", "M128 336C128 344.8 120.8 352 112 352C103.2 352 96 344.8 96 336V176C96 167.2 103.2 160 112 160C120.8 160 128 167.2 128 176V336zM0 128C0 92.65 28.65 64 64 64H576C611.3 64 640 92.65 640 128V384C640 419.3 611.3 448 576 448H64C28.65 448 0 419.3 0 384V128zM32 128V384C32 401.7 46.33 416 64 416H576C593.7 416 608 401.7 608 384V128C608 110.3 593.7 96 576 96H64C46.33 96 32 110.3 32 128z"],
    "input-text": [640, 512, [], "e1bf", "M176 160C182.5 160 188.4 163.1 190.9 170.1L254.9 330.1C258.1 338.3 254.1 347.6 245.9 350.9C237.7 354.1 228.4 350.1 225.1 341.9L216.4 319.1L216 320H136L135.6 319.1L126.9 341.9C123.6 350.1 114.3 354.1 106.1 350.9C97.85 347.6 93.86 338.3 97.14 330.1L161.1 170.1C163.6 163.1 169.5 160 176 160H176zM148.4 288H203.6L176 219.1L148.4 288zM288 176C288 167.2 295.2 160 304 160H360C390.9 160 416 185.1 416 216C416 228.1 412.2 239.3 405.6 248.5C421.5 258.4 432 275.1 432 296C432 326.9 406.9 352 376 352H304C295.2 352 288 344.8 288 336V176zM320 272V320H376C389.3 320 400 309.3 400 296C400 282.7 389.3 272 376 272H320zM360 240C373.3 240 384 229.3 384 216C384 202.7 373.3 192 360 192H320V240H360zM0 128C0 92.65 28.65 64 64 64H576C611.3 64 640 92.65 640 128V384C640 419.3 611.3 448 576 448H64C28.65 448 0 419.3 0 384V128zM32 128V384C32 401.7 46.33 416 64 416H576C593.7 416 608 401.7 608 384V128C608 110.3 593.7 96 576 96H64C46.33 96 32 110.3 32 128z"],
    "integral": [320, 512, [], "f667", "M288 72c0 8.844-7.156 16-16 16S256 80.84 256 72C256 49.94 238.1 32 216 32S176 49.94 176 72v368c0 39.69-32.3 72.01-72 72.01S32 479.7 32 440c0-8.844 7.156-16 16-16S64 431.2 64 440C64 462.1 81.94 480 104 480s40-17.94 40-40V72c0-39.69 32.3-71.99 72-71.99S288 32.31 288 72z"],
    "intersection": [384, 512, [8898], "f668", "M384 224V464c0 8.844-7.156 16-16 16S352 472.8 352 464V224c0-88.22-71.78-160-160-160S32 135.8 32 224v240C32 472.8 24.84 480 16 480S0 472.8 0 464V224c0-105.9 86.13-192 192-192S384 118.1 384 224z"],
    "island-tropical": [448, 512, [127965, "island-tree-palm"], "f811", "M258.1 352.5c33.82-47.02 39.45-101.8 13.49-151.9c-4.125-7.844-13.75-10.91-21.59-6.844c-7.844 4.094-10.91 13.75-6.844 21.59C266.9 261.2 257.1 310.6 217 352H131.3c-72.49 0-131.4 59.05-131.3 131.6C.041 499.3 13.02 512 28.76 512h326.5c15.74 0 28.71-12.69 28.75-28.43C384.2 412.9 328 355.4 258.1 352.5zM32.01 480c1.875-53.5 45.63-96 99.26-96h121.5c53.63 0 97.38 42.5 99.26 96H32.01zM299.4 32c-15.38 0-30 2.5-43.88 6.25C228.3 14.62 190.5 0 148.6 0c-75.26 0-137.5 47.25-148.4 108.9C-.498 113.6 .877 118.6 4.002 122.3C7.252 126 11.88 128.1 16.75 128h73.51C58.01 177.9 55.13 238.5 85.01 281.1C92.14 291.4 104.6 288.6 110.3 283L233.3 160h198c4.877 .125 9.502-2 12.75-5.75c3.125-3.625 4.5-8.625 3.75-13.38C436.9 79.25 374.7 32 299.4 32zM220 128L102.3 245.8C84.77 200 106.8 133.1 162.7 101.6C169.7 97.51 172.7 89 169.6 81.55C165.9 72.75 155.3 68.89 147.1 73.73C136.4 80.02 126.4 87.46 117.3 96H37.38c16.38-37.5 60.76-64 111.3-64c32.75 0 63.26 10.75 85.88 30.38l12.75 11C258 70.63 278.8 64 299.4 64c50.51 0 94.88 26.5 111.3 64H220z"],
    "italic": [384, 512, [], "f033", "M384 48C384 56.84 376.8 64 368 64h-83.27L132.1 448H208c8.844 0 16 7.156 16 16S216.8 480 208 480h-192C7.156 480 0 472.8 0 464S7.156 448 16 448h83.27l152.6-384H176C167.2 64 160 56.84 160 48S167.2 32 176 32h192C376.8 32 384 39.16 384 48z"],
    "j": [320, 512, [106], "4a", "M160 480c-88.22 0-160-71.79-160-160V272C0 263.2 7.156 256 16 256S32 263.2 32 272V320c0 70.59 57.41 128 128 128s128-57.41 128-128V48C288 39.16 295.2 32 304 32S320 39.16 320 48V320C320 408.2 248.2 480 160 480z"],
    "jack-o-lantern": [576, 512, [127875], "f30e", "M233.8 98.92c0 6.968 5.453 16 16.01 16c6.346 0 12.35-3.797 14.86-10.04l27.94-69.81l27.48 13.69v47.2c0 8.844 7.156 15.1 16 15.1s16-7.154 16-15.1V43.72c0-9.109-5.094-17.29-13.33-21.42l-39.53-19.67c-3.46-1.747-7.15-2.629-10.84-2.629c-1.083 0-16.23 .0685-22.28 15.14L234.9 92.97C234.2 94.92 233.8 96.93 233.8 98.92zM256 432c8.844 0 16-7.156 16-16v-16.67C277.3 399.6 282.5 400 288 400c35.3 0 176-16.59 176-48c0-12.52-11.48-16.01-15.98-16.01C438 335.1 378.8 368 288 368c-90.58 0-150.7-31.99-159.1-31.99c-4.455 0-16.04 3.494-16.04 15.99c0 6.146 3.561 12.01 9.558 14.64C124.1 367.7 173.6 388.8 240 396.8V416C240 424.8 247.2 432 256 432zM191.1 194.9c17.11 0 24.73-34.87 96.02-34.87c70.89 0 79.22 34.89 96 34.89c8.818 0 16-7.151 16-16.01c0-16.27-45.72-50.91-111.1-50.91c-66.22 0-112 34.6-112 50.91C175.1 187.7 183.1 194.9 191.1 194.9zM575.1 314.5c0-77.29-48.35-186.5-155.1-186.5c-1.792 0-3.591 .0356-5.394 .1072c-8.645 .2754-15.46 7.384-15.46 15.97c0 8.987 6.852 16 16.3 16c.4252 0 1.809-.0735 4.148-.0735c62.79 0 123.5 61.97 123.5 154.2c0 55.96-42.48 165.5-123.1 165.5c-44.32 0-48.41-23.06-67.43-23.06c-19.93 0-21.33 23.38-65.41 23.38c-44 0-45.35-23.4-65.36-23.4c-18.39 0-23.83 23.05-67.44 23.05c-81.83 0-123.2-109.6-123.2-165.5c0-60.99 37.16-154.2 123.8-154.2c3.648 0 3.906 .1132 4.881 .1132c5.902 0 15.33-5.278 15.33-16.05c0-8.595-6.823-15.7-15.49-15.96c-1.585-.0549-3.166-.0823-4.743-.0823c-106.7 0-155.8 107.7-155.8 186.5c0 93.38 67.19 197.1 155.2 197.1c23.96 0 47.98-6.752 67.35-20.61c18.44 14.22 39.9 20.99 65.45 20.99c25.5 0 47.04-6.909 65.63-21.16c19.32 13.88 43.28 20.79 67.23 20.79C509.7 511.6 575.1 406.5 575.1 314.5zM175.1 303.1c5.174 0 10.26-2.502 13.35-7.115L208 268.8l18.69 28.03C229.8 301.5 234.8 304 240 304C248.7 304 256 296.1 256 287.1c0-3.05-.8717-6.135-2.693-8.866l-32-48C218.3 226.7 213.2 224.4 208 224.4S197.7 226.7 194.7 231.1l-32 48C160.9 281.9 159.1 284.9 159.1 287.1C159.1 296.9 167.2 303.1 175.1 303.1zM381.3 231.1C378.3 226.7 373.2 224.4 368 224.4s-10.34 2.227-13.31 6.68l-32 48c-1.821 2.732-2.693 5.816-2.693 8.866c0 8.868 7.194 15.1 15.98 15.1c5.178 0 10.26-2.502 13.34-7.115L368 268.8l18.69 28.03C389.8 301.5 394.8 304 400 304c8.678 0 15.99-7.028 15.99-16.01c0-3.05-.8717-6.135-2.693-8.866L381.3 231.1z"],
    "jar": [320, 512, [], "e516", "M256 0C264.8 0 272 7.164 272 16C272 24.84 264.8 32 256 32H64C55.16 32 48 24.84 48 16C48 7.164 55.16 0 64 0H256zM0 128C0 92.65 28.65 64 64 64H256C291.3 64 320 92.65 320 128V448C320 483.3 291.3 512 256 512H64C28.65 512 0 483.3 0 448V128zM32 128V192H288V128C288 110.3 273.7 96 256 96H64C46.33 96 32 110.3 32 128zM32 352H288V224H32V352zM32 384V448C32 465.7 46.33 480 64 480H256C273.7 480 288 465.7 288 448V384H32z"],
    "jar-wheat": [320, 512, [], "e517", "M48 16C48 7.164 55.16 0 64 0H256C264.8 0 272 7.164 272 16C272 24.84 264.8 32 256 32H64C55.16 32 48 24.84 48 16zM144 432H136C91.82 432 56 396.2 56 352C56 343.2 63.16 336 72 336H96C122.2 336 145.4 348.6 160 367.1C174.6 348.6 197.8 336 224 336H248C256.8 336 264 343.2 264 352C264 396.2 228.2 432 184 432H176V448C176 456.8 168.8 464 160 464C151.2 464 144 456.8 144 448V432zM178.7 400H184C204.9 400 222.7 386.6 229.3 368H224C203.1 368 185.3 381.4 178.7 400zM96 368H90.73C97.32 386.6 115.1 400 136 400H141.3C134.7 381.4 116.9 368 96 368zM184 224H136C91.82 224 56 188.2 56 144C56 135.2 63.16 128 72 128H96C122.2 128 145.4 140.6 160 159.1C174.6 140.6 197.8 128 224 128H248C256.8 128 264 135.2 264 144C264 188.2 228.2 224 184 224zM178.7 192H184C204.9 192 222.7 178.6 229.3 160H224C203.1 160 185.3 173.4 178.7 192zM96 160H90.73C97.32 178.6 115.1 192 136 192H141.3C134.7 173.4 116.9 160 96 160zM184 328H136C91.82 328 56 292.2 56 248C56 239.2 63.16 232 72 232H96C122.2 232 145.4 244.6 160 263.1C174.6 244.6 197.8 232 224 232H248C256.8 232 264 239.2 264 248C264 292.2 228.2 328 184 328zM178.7 296H184C204.9 296 222.7 282.6 229.3 264H224C203.1 264 185.3 277.4 178.7 296zM96 264H90.73C97.32 282.6 115.1 296 136 296H141.3C134.7 277.4 116.9 264 96 264zM256 64C291.3 64 320 92.65 320 128V448C320 483.3 291.3 512 256 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H256zM256 96H64C46.33 96 32 110.3 32 128V448C32 465.7 46.33 480 64 480H256C273.7 480 288 465.7 288 448V128C288 110.3 273.7 96 256 96z"],
    "jedi": [576, 512, [], "f669", "M445.3 20.45C441.2 17.57 436.5 16 431.6 16c-8 0-15.37 4-19.87 10.62c-4.5 6.5-5.335 14.83-2.46 22.33c6 14.75 8.958 30.67 8.958 46.67c0 41.13-19.21 78.88-52.58 103.6c-5.873 4.375-9.458 10.96-9.833 18.33c-.375 7.25 2.667 14.29 8.042 19.17C387.6 257.9 401.2 288.3 401.1 320c0 22.12-13.54 99-97.04 110.3v-71.63l20.75 20.75c6.125 6.125 16.25 6.125 22.5-.125c6.25-6.125 6.25-16.25 .125-22.5L326.6 336h25.37c8.875 0 15.1-7.125 15.1-16s-7.123-16-15.1-16h-25.37l20.75-20.75c6.125-6.125 6.125-16.25-.125-22.5c-6.125-6.25-16.25-6.25-22.5 0l-20.75 20.62V16c0-8.875-7.168-16-16.04-16c-8.873 0-15.95 7.125-15.95 16v265.4L251.4 260.6c-6.25-6.25-16.5-6.25-22.75 0C222.4 266.9 222.5 277.1 228.8 283.3L249.4 304H224c-8.875 0-16 7.125-16 16s7.125 16 16 16h25.37L228.8 356.8c-6.25 6.125-6.375 16.38-.125 22.62c6.248 6.25 16.5 6.25 22.75-.125l20.62-20.62v71.63C217.3 422.4 174.9 376.5 174.9 320c0-31.88 13.44-62.13 37.19-83.25c5.375-4.875 8.375-11.88 8-19.12s-4-13.96-9.75-18.33C176.8 174.5 157.7 136.8 157.7 95.63c0-16 3-31.75 8.875-46.63c3-7.375 2-15.71-2.375-22.33C159.7 20.04 152.2 16.17 144.3 16.04c-5 0-9.735 1.58-13.74 4.455C54.74 74.12 11.98 161.4 16.23 254C22.73 394.8 141.6 512 287.1 512c149.1 0 272-121.5 272-270.8C559.9 153.4 517.1 71.2 445.3 20.45zM288 480c-145.2 0-227.2-117.6-238.1-211.1L85.45 300c6.625 5.875 16.75 5.125 22.5-1.5S113.1 281.8 106.4 276L48.54 225.3c1-12.25 2.875-24.5 5.625-36.5L84.57 219.2c6.25 6.25 16.37 6.313 22.62 .0625s6.25-16.5 0-22.63L64.79 154.1c13.87-35.38 35.1-66.88 64.49-91.88C127.2 73.13 125.9 84.38 125.8 95.5C125.5 143.4 147 189 184 219.4c-26.25 26.75-40.1 62.63-41.12 100c0 79.63 65.12 144.5 145.1 144.5c72.12 0 144.9-56 144.1-143.9c.125-37.63-14.62-73.88-40.1-100.6c36.1-30.38 58.37-75.88 58.24-123.8c0-11.25-1.125-22.38-3.5-33.38c28.37 25.12 50.5 56.63 64.37 92l-42.51 42.5c-6.25 6.25-6.25 16.37 0 22.5c6.248 6.25 16.37 6.25 22.62 0l30.76-30.62c2.625 12.12 4.375 24.5 5.123 36.88L469.5 276c-6.75 5.75-7.375 15.88-1.625 22.5c5.873 6.625 15.1 7.375 22.62 1.5l35.76-31.25C512.5 387.5 411 480 288 480z"],
    "jet-fighter": [640, 512, ["fighter-jet"], "f0fb", "M16 272C7.164 272 0 264.8 0 256C0 247.2 7.164 240 16 240H32V176C32 149.5 53.49 128 80 128H98.75C111.5 128 123.7 133.1 132.7 142.1L166.6 176H192V32C183.2 32 176 24.84 176 16C176 7.164 183.2 0 192 0H304C312.8 0 320 7.164 320 16C320 24.84 312.8 32 304 32H287.4L392.1 176H490.2C495.1 176 501.7 177 507 179.1L614.6 219.4C629.9 225.1 640 239.7 640 256C640 272.3 629.9 286.9 614.6 292.6L507 332.9C501.7 334.1 495.1 336 490.2 336H392.1L287.4 480H304C312.8 480 320 487.2 320 496C320 504.8 312.8 512 304 512H192C183.2 512 176 504.8 176 496C176 487.2 183.2 480 192 480V336H166.6L132.7 369.9C123.7 378.9 111.5 384 98.75 384H80C53.49 384 32 362.5 32 336V272L16 272zM224 176H352.6L247.9 32H224V176zM153.4 208L110.1 164.7C107.1 161.7 102.1 160 98.75 160H80C71.16 160 64 167.2 64 176V240H144C152.8 240 160 247.2 160 256C160 264.8 152.8 272 144 272H64V336C64 344.8 71.16 352 80 352H98.75C102.1 352 107.1 350.3 110.1 347.3L153.4 304H490.2C492.1 304 494 303.7 495.8 302.1L603.4 262.6C606.2 261.6 608 258.1 608 255.1C608 253 606.2 250.4 603.4 249.4L495.8 209C494 208.3 492.1 207.1 490.2 207.1L153.4 208zM247.9 480L352.6 336H224V480H247.9z"],
    "jet-fighter-up": [576, 512, [], "e518", "M362.5 144.2C366.1 152.4 368 161.2 368 170.2V210.1L368.4 210.4L512 299.3V272C512 263.2 519.2 256 528 256C536.8 256 544 263.2 544 272V400C544 408.8 536.8 416 528 416C519.2 416 512 408.8 512 400V384H368V387.4L410.2 454.1C413.1 460.2 416 467.2 416 474.3C416 495.1 399.1 512 378.3 512H197.7C176.9 512 160 495.1 160 474.3C160 467.2 162 460.2 165.8 454.1L208 387.4V384H64V400C64 408.8 56.84 416 48 416C39.16 416 32 408.8 32 400V272C32 263.2 39.16 256 48 256C56.84 256 64 263.2 64 272V299.3L207.6 210.4L208 210.1V170.2C208 161.2 209.9 152.4 213.5 144.2L273.4 9.502C275.9 3.724 281.7 0 288 0C294.3 0 300.1 3.724 302.6 9.502L362.5 144.2zM512 336.9L368 247.8V352H512V336.9zM208 352V247.8L64 336.9V352L208 352zM240 170.2V392C240 395 239.1 397.1 237.5 400.5L192.9 471.2C192.3 472.1 192 473.2 192 474.3C192 477.4 194.6 480 197.7 480H272V416C272 407.2 279.2 400 288 400C296.8 400 304 407.2 304 416V480H378.3C381.4 480 384 477.4 384 474.3C384 473.2 383.7 472.1 383.1 471.2L338.5 400.5C336.9 397.1 336 395 336 392V170.2C336 165.7 335.1 161.3 333.2 157.2L288 55.4L242.8 157.2C240.9 161.3 240 165.7 240 170.2z"],
    "joint": [640, 512, [], "f595", "M592 352H263.4c-89.56 0-177.4 22.83-255.3 66.05c-10.73 5.947-10.73 21.95 0 27.9C85.99 489.2 173.8 512 263.4 512H592c26.51 0 48-21.49 48-48v-64C640 373.5 618.5 352 592 352zM263.4 480c-73.88 0-146.4-16.5-212.6-48c60.13-28.62 125.5-44.13 192.4-46.88L324.4 480H263.4zM366.6 480l-82.25-96h116l82.25 96H366.6zM608 464c0 8.836-7.162 16-16 16h-67.14l-82.25-96H592c8.838 0 16 7.164 16 16V464zM454.4 156.8C490.5 183.8 512 226.9 512 272C512 280.8 519.2 288 528 288S544 280.8 544 272c0-55.09-26.31-107.7-70.39-140.8C437.5 104.2 416 61.06 416 16C416 7.156 408.8 0 400 0S384 7.156 384 16C384 71.09 410.3 123.7 454.4 156.8zM550.4 156.8C586.5 183.8 608 226.9 608 272C608 280.8 615.2 288 624 288S640 280.8 640 272c0-55.09-26.31-107.7-70.39-140.8C533.5 104.2 512 61.06 512 16C512 7.156 504.8 0 496 0S480 7.156 480 16C480 71.09 506.3 123.7 550.4 156.8z"],
    "joystick": [448, 512, [128377], "f8c5", "M400 352h-160V222.4c54.21-7.824 96.01-54.02 96.01-110.4c0-61.86-50.15-111.1-112-111.1S111.1 50.14 111.1 111.1c0 56.38 41.8 102.6 96.01 110.4V352h-160C21.49 352 0 373.5 0 400v64C0 490.5 21.49 512 48 512h352c26.51 0 48-21.49 48-48v-64C448 373.5 426.5 352 400 352zM144 112C144 67.89 179.9 32 224 32s80 35.89 80 80S268.1 192 224 192S144 156.1 144 112zM416 464c0 8.822-7.178 16-16 16h-352C39.18 480 32 472.8 32 464v-64C32 391.2 39.18 384 48 384h352c8.822 0 16 7.178 16 16V464zM232 80c0-13.26-10.75-24-24-24S184 66.74 184 80c0 13.25 10.75 24 24 24S232 93.25 232 80zM64 320h64c8.844 0 16-7.156 16-16S136.8 288 128 288H64C55.16 288 48 295.2 48 304S55.16 320 64 320z"],
    "jug": [448, 512, [], "f8c6", "M144 32h160c8.836 0 15.1-7.164 15.1-16c0-8.838-7.164-16-15.1-16H143.1c-8.836 0-16 7.162-16 16C127.1 24.84 135.2 32 144 32zM448 159.1c0-35.3-28.72-64-64-64c-24.33 0-45.29 13.81-56.11 33.86l-16.89-21.11c-4.531-5.664-6.1-12.68-6.1-19.93L304 80c0-8.838-7.164-16-16-16S272 71.16 272 80v8.75c0 14.5 5 28.62 14 40l76.1 96.13C376.6 242 384 263.1 384 284.9V288H64V284.9c0-21.75 7.375-42.88 21-60l76.1-96.13C171 117.4 176 103.3 176 88.75V80c0-8.838-7.164-16-16-16S144 71.16 144 80L143.1 88.76c0 7.252-2.48 14.33-7.011 19.1l-76.93 96.16C41.93 227.6 31.1 255.9 31.1 284.9l-.0003 163.1c0 35.35 28.65 64 64 64h256c35.35 0 64-28.66 64-64l.0002-163.1c0-22.17-5.853-43.83-16.66-62.93C427.2 215 448 189.1 448 159.1zM384 448c0 17.6-14.4 32-32 32H96c-17.6 0-32-14.4-32-32v-32h320V448zM384 384H64v-64h320V384zM384 192h-6.4L352 160c0-17.64 14.34-32 32-32s32 14.36 32 32S401.7 192 384 192z"],
    "jug-detergent": [384, 512, [], "e519", "M96 64V24C96 10.75 106.7 0 120 0H200C213.3 0 224 10.75 224 24V64H240C248.8 64 256 71.16 256 80C256 88.84 248.8 96 240 96H80C71.16 96 64 88.84 64 80C64 71.16 71.16 64 80 64H96zM192 64V32H128V64H192zM304 256V352C304 378.5 282.5 400 256 400C229.5 400 208 378.5 208 352V256C208 229.5 229.5 208 256 208C282.5 208 304 229.5 304 256zM240 352C240 360.8 247.2 368 256 368C264.8 368 272 360.8 272 352V256C272 247.2 264.8 240 256 240C247.2 240 240 247.2 240 256V352zM256 128C326.7 128 384 185.3 384 256V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V256C0 185.3 57.31 128 128 128H256zM128 160C74.98 160 32 202.1 32 256V448C32 465.7 46.33 480 64 480H320C337.7 480 352 465.7 352 448V256C352 202.1 309 160 256 160H128z"],
    "k": [320, 512, [107], "4b", "M316.9 454.5c5.219 7.125 3.687 17.16-3.437 22.38c-2.844 2.094-6.187 3.094-9.469 3.094c-4.906 0-9.781-2.25-12.91-6.531L124.9 246.8l-92.9 91.48v125.7c0 8.844-7.156 16-15.1 16s-15.1-7.156-15.1-16v-416c0-8.844 7.156-16 15.1-16s15.1 7.156 15.1 16v245.4l260.8-256.8c6.219-6.156 16.41-6.156 22.62 .1875c6.187 6.281 6.125 16.41-.1875 22.62L147.9 224.1L316.9 454.5z"],
    "kaaba": [576, 512, [128331], "f66b", "M180.8 301.7C189.2 304.4 193.9 313.3 191.3 321.8C188.6 330.2 179.7 334.9 171.2 332.3L107.2 312.3C98.8 309.6 94.1 300.7 96.73 292.2C99.37 283.8 108.3 279.1 116.8 281.7L180.8 301.7zM404.8 332.3C396.3 334.9 387.4 330.2 384.7 321.8C382.1 313.3 386.8 304.4 395.2 301.7L459.2 281.7C467.7 279.1 476.6 283.8 479.3 292.2C481.9 300.7 477.2 309.6 468.8 312.3L404.8 332.3zM283.2 333.7C286.3 334.7 289.7 334.7 292.8 333.7L331.2 321.7C339.7 319.1 348.6 323.8 351.3 332.2C353.9 340.7 349.2 349.6 340.8 352.3L302.3 364.3C292.1 367.2 283 367.2 273.7 364.3L235.2 352.3C226.8 349.6 222.1 340.7 224.7 332.2C227.4 323.8 236.3 319.1 244.8 321.7L283.2 333.7zM278.5 1.457C284.7-.4856 291.3-.4856 297.5 1.457L553.5 81.46C566.9 85.63 576 98 576 112V400C576 413.1 566.9 426.4 553.5 430.5L297.5 510.5C291.3 512.5 284.7 512.5 278.5 510.5L22.46 430.5C9.096 426.4 0 413.1 0 400V112C0 98.01 9.096 85.63 22.46 81.46L278.5 1.457zM544 112L288 32L32 112L288 192L544 112zM544 191.2V145.5L297.5 222.5C291.3 224.5 284.7 224.5 278.5 222.5L31.1 145.5V191.2L283.2 269.7C286.3 270.7 289.7 270.7 292.8 269.7L544 191.2zM544 224.8L302.3 300.3C292.1 303.2 283 303.2 273.7 300.3L31.1 224.8V255.2L52.78 261.7C61.21 264.4 65.91 273.3 63.28 281.8C60.64 290.2 51.67 294.9 43.23 292.3L32 288.8V400L288 480L544 400V288.8L532.8 292.3C524.3 294.9 515.4 290.2 512.7 281.8C510.1 273.3 514.8 264.4 523.2 261.7L544 255.2V224.8z"],
    "kazoo": [640, 512, [], "f8c7", "M608 128h-127.4C461.1 118.1 439.4 112 416 112S370.9 118.1 351.4 128h-109.5C229.1 128 218.3 129.6 206.8 132.9l-183.5 52.5C9.5 189.3 0 201.9 0 216.1v79.75c0 14.25 9.5 26.88 23.25 30.75l183.5 52.5C218.3 382.4 229.1 384 241.9 384h109.5C370.9 393.9 392.6 400 416 400s45.13-6.125 64.63-16H608c17.62 0 32-14.38 32-32V160C640 142.4 625.6 128 608 128zM241.8 351.1c-8.875 0-17.68-1.25-26.31-3.75L32 295.9V216.1l183.5-52.38c8.625-2.5 17.43-3.75 26.31-3.75L308.8 160c-49 54.63-49 137.4 0 192L241.8 351.1zM416 368c-61.88 0-112-50.13-112-112s50.13-112 112-112s112 50.13 112 112C527.9 317.9 477.9 367.9 416 368zM608 352h-84.75c49-54.63 49-137.4 0-192H608V352zM467.3 204.7c-6.25-6.25-16.38-6.25-22.62 0L416 233.4l-28.69-28.69c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L393.4 256l-28.69 28.69c-6.25 6.25-6.25 16.38 0 22.62C367.8 310.4 371.9 312 376 312s8.188-1.562 11.31-4.688L416 278.6l28.69 28.69C447.8 310.4 451.9 312 456 312s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L438.6 256l28.69-28.69C473.6 221.1 473.6 210.9 467.3 204.7z"],
    "kerning": [640, 512, [], "f86f", "M638.3 392.8l-143.1-287.1c-5.437-10.81-23.19-10.81-28.62 0l-143.1 287.1c-3.953 7.906-.75 17.5 7.156 21.47c7.906 3.1 17.52 .7187 21.47-7.156l35.58-71.15h188.2l35.58 71.15c2.812 5.594 8.453 8.843 14.33 8.843c2.406 0 4.844-.5312 7.141-1.687C639.1 410.3 642.3 400.8 638.3 392.8zM401.9 304l78.11-156.2l78.11 156.2H401.9zM311.2 97.7c-7.906-3.969-17.5-.7187-21.47 7.156l-129.7 259.4L30.32 104.9C26.35 96.99 16.74 93.74 8.85 97.7C.9435 101.7-2.26 111.3 1.694 119.2l143.1 287.1c2.719 5.406 8.247 8.839 14.31 8.839c6.062 0 11.6-3.433 14.31-8.839l143.1-287.1C322.3 111.3 319.1 101.7 311.2 97.7zM447.2 1.694c-7.922-3.1-17.5-.7185-21.47 7.156l-239.1 479.1c-3.953 7.906-.7499 17.5 7.156 21.47C195.1 511.5 197.6 512 199.1 512c5.875 0 11.52-3.25 14.33-8.844l239.1-479.1C458.3 15.26 455.1 5.663 447.2 1.694z"],
    "key": [512, 512, [128273], "f084", "M344 144C344 130.7 354.7 120 368 120C381.3 120 392 130.7 392 144C392 157.3 381.3 168 368 168C354.7 168 344 157.3 344 144zM336 352C326.5 352 317.2 351.3 308.1 349.8L280.1 376.1C276.5 381.5 270.4 384 264 384H224V424C224 437.3 213.3 448 200 448H160V488C160 501.3 149.3 512 136 512H24C10.75 512 0 501.3 0 488V392C0 385.6 2.529 379.5 7.029 375L164.9 217.2C161.7 203.1 160 190.2 160 176C160 78.8 238.8 0 336 0C433.2 0 512 78.8 512 176C512 273.2 433.2 352 336 352zM336 320C415.5 320 480 255.5 480 176C480 96.47 415.5 32 336 32C256.5 32 192 96.47 192 176C192 187.7 193.4 198.1 195.1 209.7L200.1 227.2L32 395.3V480H128V416H192V352H260.7L297 315.6L313.2 318.2C320.6 319.4 328.2 320 336 320V320z"],
    "key-skeleton": [448, 512, [128477], "f6f3", "M214.1 256.5L102.6 368L155.3 420.7C161.6 426.9 161.6 437.1 155.3 443.3C149.1 449.6 138.9 449.6 132.7 443.3L79.1 390.6L38.63 432L91.31 484.7C97.56 490.9 97.56 501.1 91.31 507.3C85.07 513.6 74.94 513.6 68.69 507.3L4.686 443.3C-1.562 437.1-1.562 426.9 4.686 420.7L191.5 233.9C171.8 209.2 159.1 178 159.1 144C159.1 64.47 224.5 0 304 0C383.5 0 448 64.47 448 144C448 223.5 383.5 288 304 288C270 288 238.8 276.2 214.1 256.5V256.5zM304 255.1C365.9 255.1 416 205.9 416 143.1C416 82.14 365.9 31.1 304 31.1C242.1 31.1 191.1 82.14 191.1 143.1C191.1 205.9 242.1 255.1 304 255.1z"],
    "key-skeleton-left-right": [640, 512, [], "e3b4", "M639.1 128C639.1 198.7 582.7 256 511.1 256C441.3 256 383.1 198.7 383.1 128L287.1 128V192C287.1 200.8 280.8 208 271.1 208C263.2 208 255.1 200.8 255.1 192V128H191.1L191.1 192C191.1 200.8 184.8 208 175.1 208C167.2 207.1 159.1 200.8 159.1 191.1L159.1 111.1C159.1 103.2 167.2 95.1 175.1 95.1H388C402.2 40.79 452.4 0 511.1 0C582.7 0 639.1 57.31 639.1 128L639.1 128zM511.1 32C458.1 32 415.1 74.98 415.1 128C415.1 181 458.1 224 511.1 224C565 224 607.1 181 607.1 128C607.1 74.98 565 32 511.1 32zM0 384C0 313.3 57.31 256 128 256C198.7 256 256 313.3 256 384L351.1 384V320C351.1 311.2 359.2 304 367.1 304C376.8 304 383.1 311.2 383.1 320V384H447.1L447.1 320C447.1 311.2 455.2 304 464 304C472.8 304 479.1 311.2 479.1 320L479.1 400C479.1 408.8 472.8 416 463.1 416H251.1C237.8 471.2 187.6 512 128 512C57.31 512 .0003 454.7 .0003 384L0 384zM128 480C181 480 224 437 224 384C224 330.1 181 288 128 288C74.98 288 32 330.1 32 384C32 437 74.98 480 128 480z"],
    "keyboard": [576, 512, [9000], "f11c", "M180 184h24c6.629 0 12-5.373 12-12v-24c0-6.627-5.371-12-12-12h-24c-6.627 0-12 5.373-12 12v24C168 178.6 173.4 184 180 184zM276 280h24c6.629 0 12-5.373 12-12v-24c0-6.627-5.371-12-12-12h-24c-6.627 0-12 5.373-12 12v24C264 274.6 269.4 280 276 280zM180 280h24c6.629 0 12-5.373 12-12v-24c0-6.627-5.371-12-12-12h-24c-6.627 0-12 5.373-12 12v24C168 274.6 173.4 280 180 280zM372 184h24c6.629 0 12-5.373 12-12v-24c0-6.627-5.371-12-12-12h-24c-6.627 0-12 5.373-12 12v24C360 178.6 365.4 184 372 184zM276 184h24c6.629 0 12-5.373 12-12v-24c0-6.627-5.371-12-12-12h-24c-6.627 0-12 5.373-12 12v24C264 178.6 269.4 184 276 184zM108 328h-24c-6.627 0-12 5.373-12 12v24c0 6.627 5.373 12 12 12h24c6.629 0 12-5.373 12-12v-24C120 333.4 114.6 328 108 328zM372 280h24c6.629 0 12-5.373 12-12v-24c0-6.627-5.371-12-12-12h-24c-6.627 0-12 5.373-12 12v24C360 274.6 365.4 280 372 280zM108 136h-24c-6.627 0-12 5.373-12 12v24c0 6.627 5.373 12 12 12h24c6.629 0 12-5.373 12-12v-24C120 141.4 114.6 136 108 136zM492 232h-24c-6.627 0-12 5.373-12 12v24c0 6.627 5.373 12 12 12h24c6.629 0 12-5.373 12-12v-24C504 237.4 498.6 232 492 232zM108 232h-24c-6.627 0-12 5.373-12 12v24c0 6.627 5.373 12 12 12h24c6.629 0 12-5.373 12-12v-24C120 237.4 114.6 232 108 232zM512 64H64C28.65 64 0 92.65 0 128v256c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V128C576 92.65 547.3 64 512 64zM544 384c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V128c0-17.64 14.36-32 32-32h448c17.64 0 32 14.36 32 32V384zM492 136h-24c-6.627 0-12 5.373-12 12v24c0 6.627 5.373 12 12 12h24c6.629 0 12-5.373 12-12v-24C504 141.4 498.6 136 492 136zM400 336h-224C167.2 336 160 343.2 160 352s7.156 16 16 16h224c8.844 0 16-7.156 16-16S408.8 336 400 336zM492 328h-24c-6.627 0-12 5.373-12 12v24c0 6.627 5.373 12 12 12h24c6.629 0 12-5.373 12-12v-24C504 333.4 498.6 328 492 328z"],
    "keyboard-brightness": [640, 512, [], "e1c0", "M203.3 260.7C209.6 266.9 209.6 277.1 203.3 283.3C197.1 289.6 186.9 289.6 180.7 283.3L92.69 195.3C86.44 189.1 86.44 178.9 92.69 172.7C98.93 166.4 109.1 166.4 115.3 172.7L203.3 260.7zM304 96C304 87.16 311.2 80 320 80C328.8 80 336 87.16 336 96V224C336 232.8 328.8 240 320 240C311.2 240 304 232.8 304 224V96zM524.7 172.7C530.9 166.4 541.1 166.4 547.3 172.7C553.6 178.9 553.6 189.1 547.3 195.3L459.3 283.3C453.1 289.6 442.9 289.6 436.7 283.3C430.4 277.1 430.4 266.9 436.7 260.7L524.7 172.7zM0 400C0 391.2 7.164 384 16 384H112C120.8 384 128 391.2 128 400C128 408.8 120.8 416 112 416H16C7.164 416 0 408.8 0 400zM432 384C440.8 384 448 391.2 448 400C448 408.8 440.8 416 432 416H208C199.2 416 192 408.8 192 400C192 391.2 199.2 384 208 384H432zM624 384C632.8 384 640 391.2 640 400C640 408.8 632.8 416 624 416H528C519.2 416 512 408.8 512 400C512 391.2 519.2 384 528 384H624z"],
    "keyboard-brightness-low": [512, 512, [], "e1c1", "M232 160C232 146.7 242.7 136 256 136C269.3 136 280 146.7 280 160C280 173.3 269.3 184 256 184C242.7 184 232 173.3 232 160zM368 384C376.8 384 384 391.2 384 400C384 408.8 376.8 416 368 416H144C135.2 416 128 408.8 128 400C128 391.2 135.2 384 144 384H368zM120 224C120 237.3 109.3 248 96 248C82.75 248 72 237.3 72 224C72 210.7 82.75 200 96 200C109.3 200 120 210.7 120 224zM392 224C392 210.7 402.7 200 416 200C429.3 200 440 210.7 440 224C440 237.3 429.3 248 416 248C402.7 248 392 237.3 392 224zM504 384C504 397.3 493.3 408 480 408C466.7 408 456 397.3 456 384C456 370.7 466.7 360 480 360C493.3 360 504 370.7 504 384zM8 384C8 370.7 18.75 360 32 360C45.25 360 56 370.7 56 384C56 397.3 45.25 408 32 408C18.75 408 8 397.3 8 384z"],
    "keyboard-down": [576, 512, [], "e1c2", "M512 .0001H64c-35.35 0-64 28.65-64 64v160c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64v-160C576 28.65 547.3 .0001 512 .0001zM544 224c0 17.64-14.36 32-32 32H64C46.36 256 32 241.6 32 224V64c0-17.64 14.36-32 32-32h448c17.64 0 32 14.36 32 32V224zM180 120h24c6.629 0 12-5.373 12-12v-24c0-6.627-5.371-12-12-12h-24c-6.627 0-12 5.373-12 12v24C168 114.6 173.4 120 180 120zM108 168h-24c-6.627 0-12 5.373-12 12v24c0 6.627 5.373 12 12 12h24c6.629 0 12-5.373 12-12v-24C120 173.4 114.6 168 108 168zM372 120h24c6.629 0 12-5.373 12-12v-24c0-6.627-5.371-12-12-12h-24c-6.627 0-12 5.373-12 12v24C360 114.6 365.4 120 372 120zM276 120h24c6.629 0 12-5.373 12-12v-24c0-6.627-5.371-12-12-12h-24c-6.627 0-12 5.373-12 12v24C264 114.6 269.4 120 276 120zM492 72h-24c-6.627 0-12 5.373-12 12v24c0 6.627 5.373 12 12 12h24c6.629 0 12-5.373 12-12v-24C504 77.37 498.6 72 492 72zM492 168h-24c-6.627 0-12 5.373-12 12v24c0 6.627 5.373 12 12 12h24c6.629 0 12-5.373 12-12v-24C504 173.4 498.6 168 492 168zM400 176h-224C167.2 176 160 183.2 160 192s7.156 16 16 16h224C408.8 208 416 200.8 416 192S408.8 176 400 176zM108 72h-24c-6.627 0-12 5.373-12 12v24c0 6.627 5.373 12 12 12h24c6.629 0 12-5.373 12-12v-24C120 77.37 114.6 72 108 72zM387.1 357.5L288 471.7l-99.97-114.2c-5.812-6.688-15.94-7.328-22.56-1.516c-6.656 5.828-7.344 15.94-1.5 22.58l112 128C279 510 283.4 512 288 512s9-1.984 12.03-5.469l112-128c5.844-6.641 5.156-16.75-1.5-22.58C403.9 350.1 393.8 350.8 387.1 357.5z"],
    "keyboard-left": [640, 512, [], "e1c3", "M340 280h24c6.629 0 12-5.373 12-12v-24c0-6.627-5.371-12-12-12h-24c-6.627 0-12 5.373-12 12v24C328 274.6 333.4 280 340 280zM436 184h24c6.629 0 12-5.373 12-12v-24c0-6.627-5.371-12-12-12h-24c-6.627 0-12 5.373-12 12v24C424 178.6 429.4 184 436 184zM268 328h-24c-6.627 0-12 5.373-12 12v24c0 6.627 5.373 12 12 12h24c6.629 0 12-5.373 12-12v-24C280 333.4 274.6 328 268 328zM436 280h24c6.629 0 12-5.373 12-12v-24c0-6.627-5.371-12-12-12h-24c-6.627 0-12 5.373-12 12v24C424 274.6 429.4 280 436 280zM268 232h-24c-6.627 0-12 5.373-12 12v24c0 6.627 5.373 12 12 12h24c6.629 0 12-5.373 12-12v-24C280 237.4 274.6 232 268 232zM340 184h24c6.629 0 12-5.373 12-12v-24c0-6.627-5.371-12-12-12h-24c-6.627 0-12 5.373-12 12v24C328 178.6 333.4 184 340 184zM556 232h-24c-6.627 0-12 5.373-12 12v24c0 6.627 5.373 12 12 12h24c6.629 0 12-5.373 12-12v-24C568 237.4 562.6 232 556 232zM556 136h-24c-6.627 0-12 5.373-12 12v24c0 6.627 5.373 12 12 12h24c6.629 0 12-5.373 12-12v-24C568 141.4 562.6 136 556 136zM268 136h-24c-6.627 0-12 5.373-12 12v24c0 6.627 5.373 12 12 12h24c6.629 0 12-5.373 12-12v-24C280 141.4 274.6 136 268 136zM575.1 64h-352c-35.35 0-64 28.65-64 64v256c0 35.35 28.65 64 64 64h352c35.35 0 64-28.65 64-64V128C639.1 92.65 611.3 64 575.1 64zM608 384c0 17.64-14.36 32-32 32H224c-17.64 0-32-14.36-32-32V128c0-17.64 14.36-32 32-32h352c17.64 0 32 14.36 32 32V384zM556 328h-24c-6.627 0-12 5.373-12 12v24c0 6.627 5.373 12 12 12h24c6.629 0 12-5.373 12-12v-24C568 333.4 562.6 328 556 328zM464 336h-128c-8.844 0-16 7.156-16 16s7.156 16 16 16h128c8.844 0 16-7.156 16-16S472.8 336 464 336zM123.8 157.2C117.8 150.7 107.7 150.3 101.2 156.2l-96 88c-3.312 3.031-5.187 7.305-5.187 11.79c0 4.484 1.875 8.773 5.187 11.8l96 88C104.3 358.6 108.1 360 112 360c4.312 0 8.625-1.75 11.78-5.188c5.969-6.516 5.531-16.64-.9687-22.61L39.69 256l83.13-76.2C129.3 173.8 129.8 163.7 123.8 157.2z"],
    "keynote": [512, 512, [], "f66c", "M505.3 274.5l-48.38-96.75C451.4 166.9 440.4 160 428.2 160H128V144c0-39.75 29.25-72.63 67.38-78.75C202.3 83.25 219.6 96 240 96h64C330.5 96 352 74.5 352 48S330.5 0 304 0h-64C218.6 0 200.8 14 194.5 33.38C139.1 40.13 96 86.88 96 144V160H83.75C71.63 160 60.62 166.9 55.12 177.8L6.75 274.5C2.25 283.4 0 293.1 0 303.1V352c0 17.62 14.38 32 32 32h208v96h-96C135.2 480 128 487.2 128 495.1C128 504.8 135.2 512 144 512h224c8.801 0 16-7.203 16-16c0-8.801-7.199-16-16-16h-96v-96H480c17.62 0 32-14.38 32-32V303.1C512 293.1 509.8 283.4 505.3 274.5zM240 32h64C312.9 32 320 39.12 320 47.1S312.9 64 304 64h-64C231.1 64 224 56.87 224 47.1S231.1 32 240 32zM83.75 192h344.5l48 96H35.75L83.75 192zM480 352H32v-32h448V352z"],
    "khanda": [576, 512, [9772], "f66d", "M447.7 65.1C445.4 64.75 442.7 64 439.1 64c-4.25 0-8.527 1.77-11.53 5.02c-5.125 5.375-5.833 13.37-1.958 19.5c16.5 26.25 25.23 56.34 25.23 87.46c-.25 53.25-26.74 102.6-71.24 132.4l-76.62 53.35v-20.12l44.01-36.12c3.875-4.125 4.983-10.13 2.858-15.26L342.8 273c33.88-19.25 56.94-55.25 56.94-97c0-40.75-22.06-76.12-54.56-95.75l5.151-11.39c2.25-5.125 1.233-11.5-3.518-15.1L287.9 .0074l-59.05 52.77c-4.75 4.5-5.736 10.84-3.611 16.09l5.203 11.32C197.1 99.81 175.9 135.2 175.9 175.1c0 41.75 23.08 77.75 56.95 97L224.1 290.2C222.9 295.4 223.9 301.2 227.9 305.5l43.1 36.11v19.91L195.2 308.1c-44.25-29.5-70.72-78.9-70.97-132.1c0-31.12 8.73-61.2 25.23-87.45C153.3 82.4 151.8 74.75 146.8 69.5C143.8 66.25 139.5 64.62 135.1 64.62c-2.875 0-5.75 .75-8.25 2.125C48.34 109.6 9.713 205.2 45.34 296c7 18 17.88 34.38 30.5 49l55.92 65.38c3.125 3.625 7.606 5.627 12.23 5.627c2.5 0 5.106-.6448 7.481-1.895l79.25-42.25l29.26 20.37l-47.09 32.75c-1.625-.375-3.125-1-4.1-1c-13.25 0-23.97 10.75-23.97 24s10.72 23.1 23.97 23.1c12.13 0 21.74-9.126 23.36-20.75l40.6-28.25v29.91c-9.375 5.625-15.97 15.37-15.97 27.12c0 17.62 14.37 31.1 31.1 31.1c17.63 0 31.1-14.37 31.1-31.1c0-11.75-6.656-21.52-16.03-27.14v-30.12l40.87 28.48c1.625 11.63 11.23 20.75 23.35 20.75c13.25 0 23.98-10.74 23.98-23.99s-10.73-24-23.98-24c-1.875 0-3.375 .625-5 1l-47.09-32.75l29.25-20.37l79.26 42.25c2.5 1.25 4.971 1.896 7.471 1.896c4.625 0 9.117-2.003 12.24-5.628l52.51-61.27c18.88-22 33.1-47.49 41.25-75.61C559.6 189.9 521.5 106.2 447.7 65.1zM147.7 379.9l-47.63-55.63c-11.38-13.25-19.75-26.75-25-40C53.96 230.6 63.71 173.4 97.22 132.1c-3.375 14.38-5 29.12-5 44C92.47 240 124.3 299.2 176.1 334.4l24.25 17L147.7 379.9zM331.1 109.4C353.5 123.8 367.7 148.2 367.7 176c0 28.75-15.38 53.75-38.13 67.88l-12.19-26.89c-8.75-24.5-8.811-50.99-.061-75.61L331.1 109.4zM287.8 43l27.88 24.88L287.8 129L259.1 67.88L287.8 43zM246.1 243.9C223.2 229.8 207.8 204.8 207.8 176c0-27.75 14.38-52.25 35.88-66.62l14.64 32.01c8.75 24.63 8.747 51.11-.0032 75.61L246.1 243.9zM287.8 313.4L259.1 290.5l27.88-61.12L315.7 290.5L287.8 313.4zM506.1 265.5c-5.5 21.25-17.13 42.38-34.5 62.75l-44.25 51.63l-53.5-28.5l23.5-16.38C451.5 299.4 483.5 240 483.7 175.9c0-14.63-1.625-29.25-4.875-43.38C508.4 168.9 519.5 217.2 506.1 265.5z"],
    "kidneys": [640, 512, [], "f5fb", "M243.8 216L202.5 195.4c5.326-9.812 11.97-19.35 21.35-27.75c18.1-16.94 30.37-40.37 31.95-66c1.52-26.77-7.723-52.09-26.01-71.45C211.7 11 186.2 0 159.8 0C136.3 0 113.7 8.666 95.99 24.35C14.74 96.94-18.24 203.7 9.859 302.1l3.137 11.06C25.14 357.1 59.71 384 103.2 384c31.85 0 61.93-14.61 80.46-39.09c17.63-23.28 22.67-52.85 14.19-82.97l-3.35-11.44C192.3 242.5 191.9 234.4 192.6 226.2l36.87 18.43C245.8 252.8 256 269.3 256 287.6l-.0792 208.4c0 8.844 7.156 16 16 16S288 504.8 288 496V287.6C288 257.1 271.1 229.6 243.8 216zM163.8 259.4l3.289 11.38C180.9 319.8 141.6 352 103.2 352c-25.32 0-50.27-14.01-59.42-46.46L40.65 294.3C15.92 206.9 45.25 112.5 117.2 48.26C129.1 37.75 144.2 32 159.8 32C196.3 32 226 62.52 223.9 99.67C222.8 116.8 215.4 132.4 202.6 143.8C166.9 175.7 152.3 218.9 163.8 259.4zM543.9 24.27C526.2 8.582 503.7 0 480.2 0c-26.36 0-51.87 11-69.99 30.18c-18.29 19.36-27.53 44.68-26.01 71.45c1.574 25.63 13.04 49.14 32.03 66.09c9.385 8.396 15.94 17.85 21.27 27.66L396.2 216C368.9 229.6 352 257.1 352 287.6V496c0 8.844 7.151 15.1 15.1 15.1s16-7.159 16-16L384 287.6c0-18.31 10.16-34.75 26.53-42.94l36.87-18.43c.6914 8.182 .3262 16.35-1.922 24.31l-3.348 11.59c-8.48 30.12-3.443 59.54 14.19 82.82C474.8 369.4 504.9 384 536.8 384c43.51 0 78.08-26.74 90.22-69.82l3.137-11.19C658.2 203.7 625.2 96.86 543.9 24.27zM599.4 294.3l-3.156 11.26C587 337.1 562.1 352 536.8 352c-38.4 0-77.64-32.23-63.85-81.23l3.289-11.38c11.45-40.52-3.156-83.68-38.81-115.6c-12.76-11.38-20.26-27.02-21.31-44.15C413.1 62.52 443.7 32 480.2 32c15.66 0 30.78 5.754 42.63 16.26C594.7 112.5 624.1 206.9 599.4 294.3z"],
    "kip-sign": [384, 512, [], "e1c4", "M80 32C88.84 32 96 39.16 96 48V222.4L325.9 35.58C332.8 30.01 342.8 31.05 348.4 37.91C353.1 44.77 352.9 54.85 346.1 60.42L125.1 240H368C376.8 240 384 247.2 384 256C384 264.8 376.8 272 368 272H125.1L346.1 451.6C352.9 457.2 353.1 467.2 348.4 474.1C342.8 480.9 332.8 481.1 325.9 476.4L96 289.6V464.1C96 473.8 88.84 480.1 80 480.1C71.16 480.1 64 473.8 64 464.1V272H16C7.164 272 0 264.8 0 256C0 247.2 7.164 240 16 240H64V48C64 39.16 71.16 32 80 32V32z"],
    "kit-medical": [576, 512, ["first-aid"], "f479", "M512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM96 448H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h32V448zM448 448H128V64h320V448zM544 416c0 17.64-14.36 32-32 32h-32V64h32c17.64 0 32 14.36 32 32V416zM208 288H256v48C256 344.8 263.2 352 272 352h32c8.836 0 16-7.164 16-16V288h48C376.8 288 384 280.8 384 272v-32C384 231.2 376.8 224 368 224H320V176C320 167.2 312.8 160 304 160h-32C263.2 160 256 167.2 256 176V224H208C199.2 224 192 231.2 192 240v32C192 280.8 199.2 288 208 288z"],
    "kitchen-set": [576, 512, [], "e51a", "M224 144C224 188.2 188.2 224 144 224C99.82 224 64 188.2 64 144C64 99.82 99.82 64 144 64C188.2 64 224 99.82 224 144zM144 96C117.5 96 96 117.5 96 144C96 170.5 117.5 192 144 192C170.5 192 192 170.5 192 144C192 117.5 170.5 96 144 96zM287.1 160C279.2 231.1 218.1 288 144 288C64.47 288 0 223.5 0 144C0 64.47 64.47 0 144 0C218.1 0 279.2 56 287.1 128H354.7C361.3 109.4 379.1 96 400 96H496C522.5 96 544 117.5 544 144C544 170.5 522.5 192 496 192H400C379.1 192 361.3 178.6 354.7 160H287.1zM144 256C205.9 256 256 205.9 256 144C256 82.14 205.9 32 144 32C82.14 32 32 82.14 32 144C32 205.9 82.14 256 144 256zM496 128H400C391.2 128 384 135.2 384 144C384 152.8 391.2 160 400 160H496C504.8 160 512 152.8 512 144C512 135.2 504.8 128 496 128zM320 320V288C320 270.3 334.3 256 352 256H448C465.7 256 480 270.3 480 288V320H528C536.8 320 544 327.2 544 336C544 344.8 536.8 352 528 352H512V464C512 490.5 490.5 512 464 512H336C309.5 512 288 490.5 288 464V352H272C263.2 352 256 344.8 256 336C256 327.2 263.2 320 272 320H320zM352 320H448V288H352V320zM320 352V464C320 472.8 327.2 480 336 480H464C472.8 480 480 472.8 480 464V352H320zM0 496C0 487.2 7.164 480 16 480H208C216.8 480 224 487.2 224 496C224 504.8 216.8 512 208 512H16C7.164 512 0 504.8 0 496zM176 320C202.5 320 224 341.5 224 368C224 394.5 202.5 416 176 416H160C160 433.7 145.7 448 128 448H64C46.33 448 32 433.7 32 416V336C32 327.2 39.16 320 48 320H176zM160 384H176C184.8 384 192 376.8 192 368C192 359.2 184.8 352 176 352H160V384zM128 352H64V416H128V352z"],
    "kite": [640, 512, [129665], "f6f4", "M592-.0007h-231c-22.06 0-41.22 14.97-46.59 36.38l-89.28 357.1l-86.16 81.76c-7.031 6.938-15.12 4.312-17.41 3.406c-2.312-.9687-9.844-4.875-9.844-14.75l.1621-147.7L167.8 349.7c2.562 1.562 5.43 2.301 8.242 2.301c5.406 0 10.7-2.801 13.7-7.801c4.562-7.562 2.094-17.41-5.5-21.94L127.1 287.1L184.2 253.7c7.594-4.531 10.06-14.38 5.5-21.94C185.2 224.2 175.3 221.7 167.8 226.3L111.9 259.8L112 207.1c0-44.13-35.88-79.1-80-79.1H16c-8.844 0-16 7.156-16 15.1s7.156 16 16 16H32c26.47 0 48 21.53 48 48L79.94 259.7l-55.72-33.44C16.75 221.7 6.844 224.2 2.281 231.8C-2.281 239.3 .1875 249.2 7.781 253.7L64.92 287.1l-57.13 34.28c-7.594 4.531-10.06 14.38-5.5 21.94c3 5 8.395 7.756 13.8 7.756c2.812 0 5.574-.6936 8.136-2.256l55.66-33.4l-.1621 147.6c0 19.72 11.31 36.69 29.53 44.28C115.4 510.7 121.8 511.1 128 511.1c12.28 0 24.19-4.812 33.47-14l88.52-83.1l353.6-88.41C625 320.2 640 301.1 640 278.1v-231C640 21.53 618.5-.0007 592-.0007zM585.4 31.1L480 137.4l-105.4-105.4H585.4zM344.7 47.3l112.7 112.7l-187.8 187.8L344.7 47.3zM292.2 370.5L480 182.6l112.7 112.7L292.2 370.5zM608 265.4l-105.4-105.4L608 54.62V265.4z"],
    "kiwi-bird": [576, 512, [], "f535", "M424 224C424 210.7 434.7 200 448 200C461.3 200 472 210.7 472 224C472 237.3 461.3 248 448 248C434.7 248 424 237.3 424 224zM546 471.8L470.5 335.8C468.3 335.9 466.2 336 464 336H413.6C372.4 336 335.3 358.3 301.4 381.8C287.5 391.5 272.3 399.3 256 405.1V464C256 472.8 248.8 480 240 480C231.2 480 224 472.8 224 464V413.3C213.6 415.1 202.9 416 192 416C169.6 416 148 412.2 128 405.1V464C128 472.8 120.8 480 112 480C103.2 480 96 472.8 96 464V390.3C38.61 357.1 0 295.1 0 224C0 117.1 85.96 32 192 32C232.7 32 270.4 44.64 301.4 66.21C335.3 89.72 372.4 112 413.6 112H464C525.9 112 576 162.1 576 224V464C576 471.3 571.1 477.7 564 479.5C556.1 481.3 549.6 478.1 546 471.8zM192 384C225.9 384 257.3 373.5 283.2 355.5C316.9 332.1 361.4 304 413.6 304H464C508.2 304 544 268.2 544 224C544 179.8 508.2 144 464 144H413.6C361.4 144 316.9 115.9 283.2 92.49C257.3 74.53 225.9 64 191.1 64C103.6 64 31.1 135.6 31.1 224C31.1 312.4 103.6 384 191.1 384H192zM544 402.3V302.4C532.6 313.1 518.8 323.1 503.3 328.9L544 402.3z"],
    "kiwi-fruit": [448, 512, [], "e30c", "M224 32C100.3 32 0 96.47 0 176V256c0 123.7 100.3 224 224 224s224-100.3 224-224V176C448 96.47 347.7 32 224 32zM416 256c0 105.9-86.13 192-192 192s-192-86.13-192-192V249.9C71.15 291.8 142.4 320 224 320s152.8-28.16 192-70.11V256zM224 288C119.9 288 32 236.7 32 176S119.9 64 224 64s192 51.29 192 112S328.1 288 224 288zM224 149c-30.93 0-56 12.09-56 27S193.1 203 224 203S280 190.9 280 176S254.9 149 224 149zM224 128c8.844 0 16-7.156 16-16V96c0-8.844-7.156-16-16-16S208 87.16 208 96v16C208 120.8 215.2 128 224 128zM140 176c0-8.844-7.156-16-16-16h-24c-8.844 0-16 7.156-16 16S91.16 192 100 192h24C132.8 192 140 184.8 140 176zM148.7 139.3C151.8 142.4 155.9 144 160 144s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62l-16-16c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L148.7 139.3zM348 160h-24c-8.844 0-16 7.156-16 16s7.156 16 16 16h24c8.844 0 16-7.156 16-16S356.8 160 348 160zM288 144c4.094 0 8.188-1.562 11.31-4.688l16-16c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0l-16 16c-6.25 6.25-6.25 16.38 0 22.62C279.8 142.4 283.9 144 288 144zM224 224C215.2 224 208 231.2 208 240V256c0 8.844 7.156 16 16 16s16-7.156 16-16V240C240 231.2 232.8 224 224 224zM148.7 212.7l-16 16c-6.25 6.25-6.25 16.38 0 22.62C135.8 254.4 139.9 256 144 256s8.188-1.562 11.31-4.688l16-16c6.25-6.25 6.25-16.38 0-22.62S154.9 206.4 148.7 212.7zM299.3 212.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l16 16C295.8 254.4 299.9 256 304 256s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L299.3 212.7z"],
    "knife": [512, 512, ["utensil-knife"], "f2e4", "M510.1 125.3C504.7 161.8 488.5 195.9 463.6 223.2L363.9 332C352.5 344.5 336.5 351.1 319.6 352.7C302.6 353.5 286.1 347.5 273.5 336L226.1 292.5L27.75 506.9C24.86 509.1 20.86 511.8 16.61 511.1C12.37 512.2 8.236 510.6 5.121 507.7C2.007 504.9 .1658 500.9 .0038 496.6C-.1581 492.4 1.372 488.2 4.257 485.1L441.2 10.4C444.8 6.545 449.2 3.614 454.1 1.864C459.1 .113 464.3-.4044 469.5 .3565C474.7 1.118 479.6 3.134 483.8 6.229C488 9.324 491.4 13.4 493.7 18.11C509.7 51.39 515.5 88.72 510.1 125.3H510.1zM478.5 120.5C482.9 90.31 478.1 59.46 464.8 31.1L247.9 269L295.1 312.4C298.2 315.2 301.9 317.4 305.8 318.9C309.8 320.3 313.1 320.9 318.2 320.8C322.4 320.6 326.5 319.6 330.3 317.8C334.1 316 337.5 313.5 340.4 310.4L439.9 201.4C460.6 178.9 474 150.7 478.5 120.5z"],
    "knife-kitchen": [576, 512, [128298], "f6f5", "M366.3 322.1c-6.125 6.376-5.906 16.5 .4687 22.63c1.031 1.016 1.562 2.219 1.562 3.672c0 1.375-.5312 2.578-1.594 3.594l-53.78 51.7c-51.19 49.21-118.1 76.31-190.8 76.31c-29.19 0-58.18-4.532-86.06-13.46c-2.125-.6876-3.531-2.125-3.969-4.126c-.375-1.625 .125-3.204 1.531-4.532l231.4-222.4C271.5 229.4 271.6 219.2 265.5 212.9C259.4 206.5 249.3 206.3 242.9 212.4l-231.3 222.3c-9.562 9.111-13.53 22.14-10.62 34.77c2.906 12.94 12.31 23.19 25.31 27.46C57.4 506.1 89.68 512 122.2 512c80.15 0 155.8-30.27 212.1-85.25l53.78-51.69c7.343-7.079 11.41-16.55 11.41-26.57c.0625-10.2-3.1-19.74-11.44-26.86C382.5 315.5 372.4 315.7 366.3 322.1zM560.6 42.96L530.7 14.24c-19.78-18.96-51.1-19.02-71.9 0L294.1 171.6c-4.437 4.329-6.968 10.35-6.968 16.5c0 6.251 2.594 12.31 7.062 16.58l95.4 91.79c4.344 4.126 9.1 6.392 15.94 6.392c5.156 0 10.25-1.766 14.41-5.063l30.78-24.86c9.906-9.486 15.37-22.19 15.37-35.8V208.9l93.65-94.19C570.5 105.2 576 92.42 576 78.8C576 65.19 570.5 52.46 560.6 42.96zM538.2 91.88l-103.2 103.8v41.47c0 4.86-1.906 9.236-4.469 11.77l-23.56 18.99l-82.93-79.79l156.9-150.8c7.5-7.157 20.16-7.142 27.59-.0156l29.94 28.77c3.625 3.454 5.531 7.845 5.531 12.7C544 83.69 542.1 88.13 538.2 91.88zM496 63.94c-8.836 0-15.1 7.163-15.1 16c0 8.837 7.164 16 15.1 16s15.1-7.165 15.1-16C512 71.1 504.8 63.94 496 63.94zM432 127.9c-8.836 0-15.1 7.163-15.1 16c0 8.837 7.164 16 15.1 16s15.1-7.165 15.1-16C448 135.1 440.8 127.9 432 127.9z"],
    "l": [320, 512, [108], "4c", "M304 480h-256C39.16 480 32 472.8 32 464v-416C32 39.16 39.16 32 48 32S64 39.16 64 48V448h240c8.844 0 16 7.156 16 16S312.8 480 304 480z"],
    "lacrosse-stick": [640, 512, [], "e3b5", "M566.8 275.4c55.05-42.81 54.85-132-.4336-203.2C530.2 25.56 480.5 0 435.1 0c-23.85 0-46.54 7.045-65.5 21.79c-10.78 8.41-19.68 18.86-26.4 31.08C319.9 95.07 296.5 124.5 269.4 145.6L263.2 150.4C236.9 170.8 220.2 200.2 216.1 233.2c-3.759 29.91 .0264 56.66 17.99 84.39l-196.4 166.2c-6.75 5.719-7.594 15.81-1.875 22.56C38.95 510.1 43.48 512 48.01 512c3.656 0 7.344-1.25 10.34-3.781l196.3-166.1c20.54 18.28 48.36 30.81 85.06 30.81c26.7 0 53.6-8.506 76.28-26.14l6.237-4.873c27.08-21.04 61.41-36.49 107.1-48.63C543.7 289.8 555.1 283.8 566.8 275.4zM402.5 316.7l-6.18 4.83c-16.34 12.71-35.92 19.43-56.62 19.43c-19.32 0-103.8-14.73-91.85-103.8c3.061-24.48 15.48-46.31 34.92-61.42l6.328-4.9c30.63-23.85 56.73-56.43 82.14-102.6c4.594-8.361 10.66-15.51 17.99-21.23C402.1 37.07 417.5 32 435.1 32c37.29 0 76.93 22.37 106.1 59.83c44.27 56.95 46.93 126.5 6.119 158.2c-7.443 5.758-15.9 9.891-25.18 12.3C471.2 275.6 433.2 292.9 402.5 316.7z"],
    "lacrosse-stick-ball": [640, 512, [], "e3b6", "M528 352c-44.18 0-79.1 35.82-79.1 80c0 44.18 35.82 80 79.1 80S608 476.2 608 432C608 387.8 572.2 352 528 352zM528 480c-26.47 0-48-21.53-48-48s21.53-48 48-48C554.5 384 576 405.5 576 432S554.5 480 528 480zM566.8 275.4c55.05-42.81 54.85-132-.4336-203.2C530.2 25.56 480.5 0 435.1 0c-23.85 0-46.54 7.045-65.5 21.79c-10.78 8.41-19.68 18.86-26.4 31.08C319.9 95.07 296.5 124.5 269.4 145.6L263.2 150.4C236.9 170.8 220.2 200.2 216.1 233.2c-3.759 29.91 .0266 56.66 17.99 84.39L37.67 483.8c-6.75 5.719-7.594 15.81-1.875 22.56C38.95 510.1 43.48 512 48.01 512c3.656 0 7.344-1.25 10.34-3.781l196.3-166.1c20.54 18.28 48.36 30.81 85.06 30.81c26.7 0 53.6-8.506 76.28-26.14l6.237-4.873c27.08-21.04 61.41-36.49 107.1-48.63C543.7 289.8 555.1 283.8 566.8 275.4zM402.5 316.7l-6.18 4.83c-16.34 12.71-35.92 19.43-56.62 19.43c-19.32 0-103.8-14.73-91.85-103.8c3.061-24.48 15.48-46.31 34.92-61.42l6.328-4.9c30.63-23.85 56.73-56.43 82.14-102.6C375.8 59.93 381.9 52.77 389.2 47.06C402.1 37.07 417.5 32 435.1 32c37.29 0 76.93 22.37 106.1 59.83c44.27 56.95 46.93 126.5 6.119 158.2c-7.443 5.758-15.9 9.891-25.18 12.3C471.2 275.6 433.2 292.9 402.5 316.7z"],
    "lambda": [448, 512, [], "f66e", "M448 464c0 8.799-7.199 16-16 16h-69.75c-12.52 0-23.89-7.277-29.13-18.64L177.8 124.7L30.72 470.3C28.13 476.3 22.22 480 16.01 480c-2.094 0-4.219-.4062-6.25-1.281c-8.156-3.469-11.94-12.84-8.469-20.97l158.4-372.2L151.9 68.66C150.6 65.82 147.7 64 144.6 64H16C7.199 64 0 56.8 0 48C0 39.2 7.199 32 16 32h133.8c12.52 0 23.89 7.277 29.13 18.64l181.2 392.7C361.4 446.3 364.3 448 367.4 448H432C440.8 448 448 455.2 448 464z"],
    "lamp": [448, 512, [], "f4ca", "M445.5 211.4L367.1 19.38C363.2 7.625 352.4 0 340.4 0H120.6C109.2 0 98.72 6.75 93.6 17.75l-90.38 192C-6.781 231 7.719 256 30.22 256H208v32H198.1c-26.98 0-52.05 13.5-67.08 36.16C109.4 356.7 96 395.2 96 424.7c0 27.5 11.06 54.06 31.11 74.75C134.8 507.4 146.1 512 158.2 512h131.7c12.08 0 23.44-4.625 31.17-12.69C341 478.5 352 451.1 352 424.7c0-29.47-13.39-67.97-34.95-100.5C302 301.5 276.9 288 249.9 288H240V256h177.9C439.5 256 454.1 232.5 445.5 211.4zM249.9 320c16.23 0 31.36 8.188 40.44 21.88C308.4 369 320 401.5 320 424.7c0 19.28-7.625 37.44-22.08 52.5C296.2 478.9 293.2 480 289.8 480H158.2c-3.328 0-6.328-1.031-8.047-2.812C135.6 462.3 128 444.1 128 424.7c0-23.16 11.66-55.66 29.69-82.81C166.8 328.2 181.9 320 198.1 320H249.9zM31.81 224C31.98 223.9 32.11 223.7 32.17 223.4L122.3 32h216.3l76.92 192H31.81z"],
    "lamp-desk": [512, 512, [], "e014", "M512 81.73C512 72.68 504.1 64 494.4 64h-125.3l-40.5-40.63c-15.62-15.62-36.13-23.44-56.63-23.44c-42.77 0-80.06 34.39-80.06 80.06c0 20.5 7.812 41 23.44 56.63l4.689 4.674l-103.4 103.4C113.6 247.7 111.1 251.8 111.1 256c0 1.466 .201 2.944 .6138 4.392L175.3 480H16C7.156 480 0 487.2 0 496S7.297 512 16.14 512h351.7C376.7 512 384 504.8 384 496S376.8 480 368 480H207.7c.001-.3939 .007-.7878 .007-1.182c0-1.072-.0443-2.145-.3528-3.224L145.1 260.7L242.7 163.9l13.28 13.24L255.1 302.2c0 9.827 7.863 17.64 17.7 17.64c4.625 0 9.053-1.88 12.3-5.13l60.14-60.09C358.6 265.3 374.4 272 392 272c39.75 0 72-32.25 72-72c0-17.62-6.75-33.38-17.38-45.88L506.9 94C510.4 90.42 512 86.03 512 81.73zM392 240c-8.375 0-16.62-2.75-23.38-7.875l55.5-55.5c5.125 6.75 7.875 15 7.875 23.38C432 222.1 414.1 240 392 240zM288 267.5V163.9L238 114C228.9 104.6 224.3 92.48 224.3 80.34c0-25.7 20.68-48.03 48.03-48.03c12.14 0 24.28 4.563 33.66 13.69L355.9 96h103.6L288 267.5z"],
    "lamp-floor": [384, 512, [], "e015", "M381.4 179.4l-68.63-160C307.8 7.625 296.3 0 283.4 0H100.6c-12.88 0-24.38 7.625-29.38 19.38l-68.63 160C-1.644 189.3-.6456 200.6 5.231 209.6C11.23 218.6 21.23 224 31.98 224H176v256h-96C71.16 480 64 487.2 64 496S71.32 512 80.16 512h223.7C312.7 512 320 504.8 320 496S312.8 480 304 480h-96V224h144c10.75 0 20.75-5.375 26.75-14.38C384.6 200.6 385.6 189.3 381.4 179.4zM32.02 191.1L100.6 32h182.7l68.66 160L32.02 191.1z"],
    "lamp-street": [512, 512, [], "e1c5", "M398.7 239.2C378.9 230.4 357.6 226.1 336 224.7V112c0-61.75-50.25-112-111.1-112H112C50.25 0 0 50.25 0 112v384C0 504.8 7.156 512 16 512S32 504.8 32 496v-384C32 67.89 67.88 32 112 32H224c44.13 0 80 35.89 80 80v112.7c-21.56 1.418-42.89 5.744-62.66 14.53c-59.79 26.57-103.6 82.6-113.1 149.7C126.3 403.3 137.9 416 152.4 416h335.2c14.53 0 26.16-12.68 24.19-27.16C502.3 321.8 458.5 265.8 398.7 239.2zM161.5 384C171.7 333.4 206.6 289.6 254.3 268.4C272.9 260.2 294.9 256 319.8 256h.3555c24.92 0 46.97 4.184 65.52 12.44C433.4 289.7 468.3 333.5 478.5 384H161.5zM320 480c-20.83 0-38.43-13.42-45.05-32H241.6c7.434 36.47 39.74 64 78.38 64s70.95-27.53 78.38-64h-33.33C358.5 466.6 340.9 480 320 480z"],
    "land-mine-on": [576, 512, [], "e51b", "M288 0C296.8 0 304 7.164 304 16V176C304 184.8 296.8 192 288 192C279.2 192 272 184.8 272 176V16C272 7.164 279.2 0 288 0zM448.8 368C467.8 368 484.1 379.2 492.7 396.5L524 467C533.4 488.2 517.9 512 494.8 512H81.24C58.08 512 42.59 488.2 51.1 467L83.33 396.5C91.03 379.2 108.2 368 127.2 368H159.1V336C159.1 309.5 181.5 288 207.1 288H368C394.5 288 416 309.5 416 336V368H448.8zM127.2 400C120.9 400 115.1 403.7 112.6 409.5L81.24 480H494.8L463.4 409.5C460.9 403.7 455.1 400 448.8 400H127.2zM191.1 368H384V336C384 327.2 376.8 320 368 320H207.1C199.2 320 191.1 327.2 191.1 336V368zM153.6 227.2C160.7 232.5 162.1 242.5 156.8 249.6C151.5 256.7 141.5 258.1 134.4 252.8L6.401 156.8C-.6682 151.5-2.101 141.5 3.201 134.4C8.503 127.3 18.53 125.9 25.6 131.2L153.6 227.2zM569.6 156.8L441.6 252.8C434.5 258.1 424.5 256.7 419.2 249.6C413.9 242.5 415.3 232.5 422.4 227.2L550.4 131.2C557.5 125.9 567.5 127.3 572.8 134.4C578.1 141.5 576.7 151.5 569.6 156.8V156.8z"],
    "landmark": [512, 512, [127963], "f66f", "M496.2 133.7C505.1 139.3 512 149.6 512 160.8C512 178 498 192 480.8 192H31.16C13.95 192 .0003 178 .0003 160.8C.0003 149.6 6.035 139.3 15.8 133.7L248.1 2.08C253-.6932 258.1-.6932 263.9 2.08L496.2 133.7zM34.34 160H477.7L256 34.39L34.34 160zM64 352V224H96V352H176V224H208V352H304V224H336V352H416V224H448V352C456.8 352 464 359.2 464 368C464 376.8 456.8 384 448 384H64C55.16 384 48 376.8 48 368C48 359.2 55.16 352 64 352zM24 432C24 423.2 31.16 416 40 416H472C480.8 416 488 423.2 488 432C488 440.8 480.8 448 472 448H40C31.16 448 24 440.8 24 432zM0 496C0 487.2 7.164 480 16 480H496C504.8 480 512 487.2 512 496C512 504.8 504.8 512 496 512H16C7.164 512 0 504.8 0 496z"],
    "landmark-dome": [512, 512, ["landmark-alt"], "f752", "M256 0C264.8 0 272 7.164 272 16V32.66C359.9 39.91 430.1 106.3 445.3 192H464C472.8 192 480 199.2 480 208C480 216.8 472.8 224 464 224H48C39.16 224 32 216.8 32 208C32 199.2 39.16 192 48 192H66.65C81.03 106.3 152.1 39.91 240 32.66V16C240 7.164 247.2 0 256 0V0zM99.2 192H412.8C397.1 118.1 333.4 64 256 64C178.6 64 114 118.1 99.2 192H99.2zM64 352V256H96V352H176V256H208V352H304V256H336V352H416V256H448V352C456.8 352 464 359.2 464 368C464 376.8 456.8 384 448 384H64C55.16 384 48 376.8 48 368C48 359.2 55.16 352 64 352zM24 432C24 423.2 31.16 416 40 416H472C480.8 416 488 423.2 488 432C488 440.8 480.8 448 472 448H40C31.16 448 24 440.8 24 432zM0 496C0 487.2 7.164 480 16 480H496C504.8 480 512 487.2 512 496C512 504.8 504.8 512 496 512H16C7.164 512 0 504.8 0 496z"],
    "landmark-flag": [512, 512, [], "e51c", "M352 96H272V128H464C472.8 128 480 135.2 480 144C480 152.8 472.8 160 464 160H48C39.16 160 32 152.8 32 144C32 135.2 39.16 128 48 128H240V16C240 7.164 247.2 0 256 0H352C360.8 0 368 7.164 368 16V80C368 88.84 360.8 96 352 96zM272 64H336V32H272V64zM48 368C48 359.2 55.16 352 64 352V192H96V352H176V192H208V352H304V192H336V352H416V192H448V352C456.8 352 464 359.2 464 368C464 376.8 456.8 384 448 384H64C55.16 384 48 376.8 48 368zM24 432C24 423.2 31.16 416 40 416H472C480.8 416 488 423.2 488 432C488 440.8 480.8 448 472 448H40C31.16 448 24 440.8 24 432zM0 496C0 487.2 7.164 480 16 480H496C504.8 480 512 487.2 512 496C512 504.8 504.8 512 496 512H16C7.164 512 0 504.8 0 496z"],
    "language": [640, 512, [], "f1ab", "M238.9 330.1C242.1 338.3 238.1 347.6 229.9 350.9C221.7 354.1 212.4 350.1 209.1 341.9L200.4 319.1H119.6L110.9 341.9C107.6 350.1 98.26 354.1 90.06 350.9C81.85 347.6 77.86 338.3 81.14 330.1L145.1 170.1C147.6 163.1 153.5 160 160 160C166.5 160 172.4 163.1 174.9 170.1L238.9 330.1zM132.4 288H187.6L160 219.1L132.4 288zM496 192H560C568.8 192 576 199.2 576 208C576 216.8 568.8 224 560 224H555.2L551 235.6C541.5 261.7 526.6 285.1 507.5 304.6C510.7 306.8 513.1 308.9 517.3 310.9L536.2 322.3C543.8 326.8 546.3 336.7 541.7 344.2C537.2 351.8 527.3 354.3 519.8 349.7L500.9 338.4C494.5 334.6 488.4 330.4 482.4 325.1C474.2 331.9 465.6 337.1 456.4 341.7L439.2 350.3C431.3 354.3 421.6 351.1 417.7 343.2C413.7 335.3 416.9 325.6 424.8 321.7L442.1 313.1C447.5 310.4 452.6 307.4 457.6 304.2L436.7 283.3C430.4 277.1 430.4 266.9 436.7 260.7C442.9 254.4 453.1 254.4 459.3 260.7L481.9 283.3L482.7 284.1C499.6 267.5 512.7 247.2 520.9 224.6L521.2 223.1H400C391.2 223.1 384 216.8 384 207.1C384 199.2 391.2 191.1 400 191.1H464V175.1C464 167.2 471.2 159.1 480 159.1C488.8 159.1 496 167.2 496 175.1V192zM640 384C640 419.3 611.3 448 576 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H576C611.3 64 640 92.65 640 128V384zM304 96H64C46.33 96 32 110.3 32 128V384C32 401.7 46.33 416 64 416H304V96zM336 96V416H576C593.7 416 608 401.7 608 384V128C608 110.3 593.7 96 576 96H336z"],
    "laptop": [640, 512, [128187], "f109", "M624 383.1h-608c-8.75 0-16 7.25-16 16v16c0 35.25 28.75 64 64 64h512c35.25 0 64-28.75 64-64v-16C640 391.2 632.8 383.1 624 383.1zM576 448H64c-17.64 0-32-14.36-32-32h576C608 433.6 593.6 448 576 448zM80 352C88.84 352 96 344.8 96 336V96c0-17.66 14.36-32 32-32h384c17.64 0 32 14.34 32 32v240c0 8.844 7.156 16 16 16s16-7.156 16-16V96c0-35.28-28.7-64-64-64H128C92.7 32 64 60.72 64 96v240C64 344.8 71.16 352 80 352z"],
    "laptop-arrow-down": [640, 512, [], "e1c6", "M240 208c-4.094 0-8.188 1.562-11.31 4.688c-6.25 6.25-6.25 16.38 0 22.62l80 80c6.25 6.25 16.38 6.25 22.62 0l80-80c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0l-52.69 52.69V48c0-8.844-7.167-16-16.01-16S304 39.16 304 48v217.4L251.3 212.7C248.2 209.6 244.1 208 240 208zM400 64H512c17.67 0 32 14.33 32 32v240c0 8.844 7.156 16 16 16s16-7.156 16-16V96c0-35.35-28.65-64-64-64h-112C391.2 32 384 39.16 384 48C384 56.84 391.2 64 400 64zM80 352C88.84 352 96 344.8 96 336V96c0-17.67 14.33-32 32-32h112C248.8 64 256 56.84 256 48C256 39.16 248.8 32 240 32H128C92.65 32 64 60.65 64 96v240C64 344.8 71.16 352 80 352zM624 384h-608C7.25 384 0 391.3 0 400V416c0 35.25 28.75 64 64 64h512c35.25 0 64-28.75 64-64v-16C640 391.3 632.8 384 624 384zM576 448H64c-17.64 0-32-14.36-32-32h576C608 433.6 593.6 448 576 448z"],
    "laptop-code": [640, 512, [], "f5fc", "M372.7 299.3C375.8 302.4 379.9 304 384 304s8.188-1.562 11.31-4.688l64-64c6.25-6.25 6.25-16.38 0-22.62l-64-64c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L425.4 224l-52.69 52.69C366.4 282.9 366.4 293.1 372.7 299.3zM267.3 148.7c-6.25-6.25-16.38-6.25-22.62 0l-64 64c-6.25 6.25-6.25 16.38 0 22.62l64 64C247.8 302.4 251.9 304 256 304s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L214.6 224l52.69-52.69C273.6 165.1 273.6 154.9 267.3 148.7zM80 352C88.84 352 96 344.8 96 336V96c0-17.66 14.36-32 32-32h384c17.64 0 32 14.34 32 32v240c0 8.844 7.156 16 16 16s16-7.156 16-16V96c0-35.28-28.7-64-64-64H128C92.7 32 64 60.72 64 96v240C64 344.8 71.16 352 80 352zM624 384h-608C7.25 384 0 391.3 0 400V416c0 35.25 28.75 64 64 64h512c35.25 0 64-28.75 64-64v-16C640 391.3 632.8 384 624 384zM576 448H64c-17.64 0-32-14.36-32-32h576C608 433.6 593.6 448 576 448z"],
    "laptop-file": [640, 512, [], "e51d", "M208 160C181.5 160 160 138.5 160 112V32H48C39.16 32 32 39.16 32 48V368C32 376.8 39.16 384 48 384H240V416H48C21.49 416 0 394.5 0 368V48C0 21.49 21.49 0 48 0H188.1C200.8 0 213.1 5.057 222.1 14.06L305.9 97.94C314.9 106.9 320 119.2 320 131.9V224H288V160H208zM192 32.48V112C192 120.8 199.2 128 208 128H287.5C286.8 125.2 285.4 122.6 283.3 120.6L199.4 36.69C197.4 34.62 194.8 33.18 192 32.48V32.48zM272 288C272 270.3 286.3 256 304 256H560C577.7 256 592 270.3 592 288V480H624C632.8 480 640 487.2 640 496C640 504.8 632.8 512 624 512H240C231.2 512 224 504.8 224 496C224 487.2 231.2 480 240 480H272V288zM304 480H560V288H304V480zM199.4 36.69L222.1 14.06z"],
    "laptop-medical": [640, 512, [], "f812", "M80 352C88.84 352 96 344.8 96 336V96c0-17.66 14.36-32 32-32h384c17.64 0 32 14.34 32 32v240c0 8.844 7.156 16 16 16s16-7.156 16-16V96c0-35.28-28.7-64-64-64H128C92.7 32 64 60.72 64 96v240C64 344.8 71.16 352 80 352zM624 384h-608C7.25 384 0 391.3 0 400V416c0 35.25 28.75 64 64 64h512c35.25 0 64-28.75 64-64v-16C640 391.3 632.8 384 624 384zM576 448H64c-17.64 0-32-14.36-32-32h576C608 433.6 593.6 448 576 448zM304 320h32c8.836 0 16-7.165 16-16V255.1h48c8.836 0 16-7.163 16-15.1V207.1C416 199.2 408.8 192 400 192H352V144C352 135.2 344.8 128 336 128h-32C295.2 128 288 135.2 288 144V192H240C231.2 192 224 199.2 224 207.1V240c0 8.836 7.164 15.1 16 15.1H288V303.1C288 312.8 295.2 320 304 320z"],
    "laptop-mobile": [640, 512, ["phone-laptop"], "f87a", "M576 128h-128c-35.2 0-64 28.8-64 64v256c0 35.2 28.8 64 64 64h128c35.2 0 64-28.8 64-64V192C640 156.8 611.2 128 576 128zM608 448c0 17.67-14.33 32-32 32h-128c-17.67 0-32-14.33-32-32V192c0-17.67 14.33-32 32-32h128c17.67 0 32 14.33 32 32V448zM96 64c0-17.67 14.33-32 32-32h320c17.67 0 32 14.33 32 32v16C480 88.84 487.2 96 495.1 96S512 88.84 512 80V64c0-35.2-28.8-64-64-64H128C92.8 0 64 28.8 64 64v224H16C7.163 288 0 295.2 0 304V320c.125 35.25 28.63 63.88 63.88 64h272.1C344.8 384 352 376.8 352 368S344.8 352 336 352H63.88C46.25 352 32 337.6 32 320h304C344.8 320 352 312.8 352 304S344.8 288 336 288H96V64z"],
    "laptop-slash": [640, 512, [], "e1c7", "M512 63.1c17.64 0 32 14.34 32 32v234.9l23.8 18.79c4.812-2.758 8.197-7.736 8.197-13.69v-240c0-35.28-28.7-64-64-64H165.4l40.53 32H512zM64 447.1c-17.64 0-32-14.36-32-32h361.5l-40.53-32L16 383.1c-8.75 0-16 7.25-16 16v16c0 35.25 28.75 64 64 64l410.6-.0029l-40.53-32H64zM96 335.1V181.1l-32-25.26v180.2c0 8.844 7.156 16 16 16S96 344.8 96 335.1zM633.9 483.4L25.92 3.42c-6.938-5.453-17-4.25-22.48 2.641c-5.469 6.938-4.281 17 2.641 22.48l608 480C617 510.9 620.5 512 623.1 512c4.734 0 9.422-2.094 12.58-6.078C642 498.1 640.8 488.9 633.9 483.4z"],
    "lari-sign": [384, 512, [], "e1c8", "M143.1 32C152.8 32 159.1 39.16 159.1 48V98.65C170.4 96.91 181.1 96 191.1 96C202.9 96 213.6 96.91 224 98.65V48C224 39.16 231.2 32 240 32C248.8 32 256 39.16 256 48V106.9C318.8 129.1 366.7 183.1 380.2 249.6C381.9 258.3 376.3 266.7 367.7 268.5C359 270.2 350.6 264.6 348.8 255.1C338.3 204.4 303.1 161.9 256 141.3V272C256 280.8 248.8 288 240 288C231.2 288 224 280.8 224 272V131.2C213.7 129.1 202.1 128 192 128C181 128 170.3 129.1 160 131.2V272C160 280.8 152.8 288 144 288C135.2 288 128 280.8 128 272V141.3C71.49 166 32 222.4 32 288C32 376.4 103.6 448 192 448H368C376.8 448 384 455.2 384 464C384 472.8 376.8 480 368 480H16C7.164 480 0 472.8 0 464C0 455.2 7.164 448 16 448H85.83C34.1 413.6 0 354.8 0 288C0 204.4 53.43 133.3 128 106.9V48C128 39.16 135.2 32 144 32H143.1z"],
    "lasso": [576, 512, [], "f8c8", "M576 176C576 273.2 447.1 352 288 352C265.1 352 242.7 350.4 221.3 347.3C233.3 364.5 240 385.2 240 407C240 464.1 192.1 512 135 512H48C39.16 512 32 504.8 32 496C32 487.2 39.16 480 48 480H135C175.3 480 208 447.3 208 407C208 379.4 192.4 354.1 167.6 341.7L132.8 324.3C52.91 292.1 0 238.3 0 176C0 78.8 128.9 0 288 0C447.1 0 576 78.8 576 176V176zM288 320C429.4 320 544 255.5 544 176C544 96.47 429.4 32 288 32C146.6 32 32 96.47 32 176C32 255.5 146.6 320 288 320z"],
    "lasso-sparkles": [576, 512, [], "e1c9", "M336 0C344.8 0 352 7.164 352 16V64H400C408.8 64 416 71.16 416 80C416 88.84 408.8 96 400 96H352V144C352 152.8 344.8 160 336 160C327.2 160 320 152.8 320 144V96H272C263.2 96 256 88.84 256 80C256 71.16 263.2 64 272 64H320V16C320 7.164 327.2 0 336 0zM255.5 1.11C264.5 .4899 272 7.77 272 16.82C272 25.44 265.2 32.48 256.6 33.08C130 41.79 32 102.5 32 175.1C32 223.1 72.22 264.9 134.4 291.2C139.9 293.5 145.6 295.7 151.4 297.8C190.9 311.9 237.8 319.1 288 319.1C429.4 319.1 544 255.5 544 175.1C544 121.7 490.6 74.42 411.7 49.88C404.8 47.76 400 41.51 400 34.34C400 23.94 409.8 16.33 419.7 19.45C512.5 48.68 576 107.8 576 175.1C576 273.2 447.1 352 288 352C265.1 352 242.7 350.4 221.3 347.3C233.3 364.5 240 385.2 240 407C240 464.1 192.1 511.1 135 511.1H48C39.16 511.1 32 504.8 32 495.1C32 487.2 39.16 479.1 48 479.1H135C175.3 479.1 208 447.3 208 407C208 379.4 192.4 354.1 167.6 341.7L132.8 324.3C52.92 292.1 0 238.3 0 175.1C0 85.52 111.7 10.99 255.5 1.11V1.11zM512 416H560C568.8 416 576 423.2 576 432C576 440.8 568.8 448 560 448H512V496C512 504.8 504.8 512 496 512C487.2 512 480 504.8 480 496V448H432C423.2 448 416 440.8 416 432C416 423.2 423.2 416 432 416H480V368C480 359.2 487.2 352 496 352C504.8 352 512 359.2 512 368V416z"],
    "layer-group": [512, 512, [], "f5fd", "M234.2 4.672C241 1.592 248.5 0 256 0C263.5 0 270.1 1.592 277.8 4.672L495.2 102.1C505.4 106.7 512 116.8 512 128C512 139.2 505.4 149.3 495.2 153.9L277.8 251.3C270.1 254.4 263.5 256 256 256C248.5 256 241 254.4 234.2 251.3L16.76 153.9C6.561 149.3 .0003 139.2 .0003 128C.0003 116.8 6.561 106.7 16.76 102.1L234.2 4.672zM256 32C252.1 32 249.1 32.64 247.2 33.87L37.27 128L247.2 222.1C249.1 223.4 252.1 224 256 224C259 224 262 223.4 264.8 222.1L474.7 128L264.8 33.87C262 32.64 259 32 256 32V32zM78.6 219.9C82.22 228 78.61 237.5 70.55 241.1L37.27 256L247.2 350.1C249.1 351.4 252.1 352 256 352C259 352 262 351.4 264.8 350.1L474.7 256L441.5 241.1C433.4 237.5 429.8 228 433.4 219.9C437 211.9 446.5 208.3 454.5 211.9L495.2 230.1C505.4 234.7 512 244.8 512 256C512 267.2 505.4 277.3 495.2 281.9L277.8 379.3C270.1 382.4 263.5 384 256 384C248.5 384 241 382.4 234.2 379.3L16.76 281.9C6.561 277.3 0 267.2 0 256C0 244.8 6.561 234.7 16.76 230.1L57.46 211.9C65.52 208.3 74.99 211.9 78.6 219.9H78.6zM37.27 384L247.2 478.1C249.1 479.4 252.1 480 256 480C259 480 262 479.4 264.8 478.1L474.7 384L441.5 369.1C433.4 365.5 429.8 356 433.4 347.9C437 339.9 446.5 336.3 454.5 339.9L495.2 358.1C505.4 362.7 512 372.8 512 384C512 395.2 505.4 405.3 495.2 409.9L277.8 507.3C270.1 510.4 263.5 512 256 512C248.5 512 241 510.4 234.2 507.3L16.76 409.9C6.561 405.3 0 395.2 0 384C0 372.8 6.561 362.7 16.76 358.1L57.46 339.9C65.52 336.3 74.99 339.9 78.6 347.9C82.21 356 78.61 365.5 70.54 369.1L37.27 384z"],
    "layer-minus": [512, 512, ["layer-group-minus"], "f5fe", "M488 64C496.8 64 504 71.16 504 80C504 88.84 496.8 96 488 96H376C367.2 96 360 88.84 360 80C360 71.16 367.2 64 376 64H488zM234.2 132.7C241 129.6 248.5 128 256 128C263.5 128 270.1 129.6 277.8 132.7L495.2 230.1C505.4 234.7 512 244.8 512 256C512 267.2 505.4 277.3 495.2 281.9L277.8 379.3C270.1 382.4 263.5 384 256 384C248.5 384 241 382.4 234.2 379.3L16.76 281.9C6.561 277.3 .0003 267.2 .0003 256C.0003 244.8 6.561 234.7 16.76 230.1L234.2 132.7zM256 160C252.1 160 249.1 160.6 247.2 161.9L37.27 256L247.2 350.1C249.1 351.4 252.1 352 256 352C259 352 262 351.4 264.8 350.1L474.7 256L264.8 161.9C262 160.6 259 160 256 160V160zM78.6 347.9C82.22 356 78.61 365.5 70.55 369.1L37.27 384L247.2 478.1C249.1 479.4 252.1 480 256 480C259 480 262 479.4 264.8 478.1L474.7 384L441.5 369.1C433.4 365.5 429.8 356 433.4 347.9C437 339.9 446.5 336.3 454.5 339.9L495.2 358.1C505.4 362.7 512 372.8 512 384C512 395.2 505.4 405.3 495.2 409.9L277.8 507.3C270.1 510.4 263.5 512 256 512C248.5 512 241 510.4 234.2 507.3L16.76 409.9C6.561 405.3 0 395.2 0 384C0 372.8 6.561 362.7 16.76 358.1L57.46 339.9C65.52 336.3 74.99 339.9 78.6 347.9H78.6z"],
    "layer-plus": [512, 512, ["layer-group-plus"], "f5ff", "M448 64H488C496.8 64 504 71.16 504 80C504 88.84 496.8 96 488 96H448V136C448 144.8 440.8 152 432 152C423.2 152 416 144.8 416 136V96H376C367.2 96 360 88.84 360 80C360 71.16 367.2 64 376 64H416V24C416 15.16 423.2 8 432 8C440.8 8 448 15.16 448 24V64zM277.8 132.7L495.2 230.1C505.4 234.7 512 244.8 512 256C512 267.2 505.4 277.3 495.2 281.9L277.8 379.3C270.1 382.4 263.5 384 256 384C248.5 384 241 382.4 234.2 379.3L16.76 281.9C6.561 277.3 .0003 267.2 .0003 256C.0003 244.8 6.561 234.7 16.76 230.1L234.2 132.7C241 129.6 248.5 128 256 128C263.5 128 270.1 129.6 277.8 132.7V132.7zM37.27 256L247.2 350.1C249.1 351.4 252.1 352 256 352C259 352 262 351.4 264.8 350.1L474.7 256L264.8 161.9C262 160.6 259 160 256 160C252.1 160 249.1 160.6 247.2 161.9L37.27 256zM37.27 384L247.2 478.1C249.1 479.4 252.1 480 256 480C259 480 262 479.4 264.8 478.1L474.7 384L441.5 369.1C433.4 365.5 429.8 356 433.4 347.9C437 339.9 446.5 336.3 454.5 339.9L495.2 358.1C505.4 362.7 512 372.8 512 384C512 395.2 505.4 405.3 495.2 409.9L277.8 507.3C270.1 510.4 263.5 512 256 512C248.5 512 241 510.4 234.2 507.3L16.76 409.9C6.561 405.3 0 395.2 0 384C0 372.8 6.561 362.7 16.76 358.1L57.46 339.9C65.52 336.3 74.99 339.9 78.6 347.9C82.21 356 78.61 365.5 70.54 369.1L37.27 384z"],
    "leaf": [512, 512, [], "f06c", "M486.1 41.36c-.9062-1.812-2.484-3.937-4.016-5.312c-3.609-3.219-8.453-4.656-13.27-3.812C464 33.05 459.8 35.96 457.5 40.18c-25.67 45.65-71.61 71.84-126 71.84h-68.56C170.9 112 96 187.9 96 281.2c0 5.627 .4727 11.23 1.043 16.81c-47.74 41.48-82.79 97.75-96.68 162.6c-1.859 8.625 3.641 17.12 12.28 18.1C13.78 479.9 14.91 480 16.02 480c7.375 0 14.02-5.125 15.62-12.66c11.12-51.86 37.36-97.58 73.3-133.2c2.967 8.855 6.4 17.57 10.83 25.81c0 0 0-.0313 0 0c29.23 54.28 85.59 88.04 147.1 88.04c5.984 0 11.97-.3125 17.08-.9062C414.4 437.3 512 319.4 512 166.6C512 123.8 502.7 78.39 486.1 41.36zM276.1 415.2c-4.609 .5312-9.344 .7812-14.11 .7812c-49.7 0-95.27-27.28-118.9-71.22c-6.295-11.73-10.1-23.16-12.48-33.66c45.42-34.62 101.7-55.12 161.6-55.12h42.92c8.844 0 16-7.156 16-15.1s-7.158-16-16-16l-42.92 .0055c-59.92 0-116.6 18.29-164.3 49.79c4.006-71.02 63.49-129.8 134.1-129.8h68.56c54.2 0 103-22.69 135.8-61.9C475.5 108.7 480 138.3 480 166.6C480 302.2 394.9 406.7 276.1 415.2z"],
    "leaf-heart": [512, 512, [], "f4cb", "M303.1 203.7c-42.63-43-76.38-26.12-90.25-14.5c-27.5 23-28.88 64.13-4.25 89l84.75 85.63c5.375 5.5 14.25 5.625 19.75 0l84.75-85.63c24.5-24.88 23-66-4.5-89C380.2 177.6 346.5 160.7 303.1 203.7zM375.7 255.7l-71.75 72.63L232.2 255.7c-10.25-10.25-12.38-30 2-42c13.75-11.5 31.25-3.375 38.5 3.75l31.38 31.75l31.38-31.75c7.125-7.25 24.62-15.25 38.38-3.75C388.1 225.7 386.1 245.3 375.7 255.7zM486.1 41.36c-.9062-1.812-2.484-3.938-4.016-5.312c-3.609-3.219-8.469-4.656-13.27-3.812C464 33.05 459.8 35.96 457.5 40.17c-25.67 45.65-71.61 71.84-126 71.84h-68.56C170.9 112 96 187.9 96 281.2c0 5.641 .4727 11.26 1.045 16.86c-47.74 41.48-82.79 97.71-96.68 162.6c-1.859 8.625 3.641 17.12 12.28 19C13.78 479.9 14.91 480 16.02 480c7.375 0 14.02-5.125 15.62-12.66c11.09-51.72 37.77-96.75 73.59-132.3c2.916 8.539 6.262 16.94 10.54 24.9c0 0 0-.0313 0 0C145 414.2 201.4 448 262.9 448c5.984 0 11.97-.3125 17.08-.9062C414.4 437.3 512 319.4 512 166.6C512 123.8 502.7 78.39 486.1 41.36zM276.1 415.2c-4.609 .5313-9.344 .7813-14.11 .7813c-49.7 0-95.27-27.28-118.9-71.21C130.8 320.2 128 296.7 128 281.2c0-74.37 61.77-137.2 134.9-137.2h68.56c54.2 0 103-22.69 135.8-61.9C475.5 108.7 480 138.3 480 166.6C480 302.2 394.9 406.7 276.1 415.2z"],
    "leaf-maple": [512, 512, [127809], "f6f6", "M465.1 175.1l-23.84-14.44l7.328-66.39c1.758-16.13-10.47-31.88-28.54-31.88c-1.041 0-2.098 .0508-3.176 .1582l-66.39 7.328L336.9 45.89C331.8 37.36 322.7 32.11 312.7 32c-9.188 0-19.14 4.812-24.5 13.34L250.5 104.3C245.4 90.3 233 85.43 223.3 85.43c-3.967 0-7.498 .8066-9.936 2.137L201.3 94.02L170.6 59.23C165.1 52.45 157 48.52 148.2 48.52c-8.75 0-16.95 3.828-21.98 10.17L95 94.02L82.97 87.56c-3.01-1.627-6.416-2.389-9.932-2.389c-15.4 0-32.89 14.59-28.35 34.98L70.39 245.1l-21 8.969c-23.19 9.953-23.19 42.88 0 52.83l93.18 39.95l-105.9 105.9C33.56 455.8 32 459.9 32 463.1c0 4.094 1.562 8.188 4.688 11.31C39.81 478.4 43.91 480 48 480s8.188-1.562 11.31-4.688l105.9-105.9l39.95 93.18C209.7 473.2 220.1 480 231.6 480s21.88-6.781 26.36-17.39l8.969-21l124.7 25.7c2.08 .457 4.16 .6738 6.211 .6738c18.57 0 34.91-17.75 27.91-35.67l-7.766-15.31l34.78-30.73c14.55-11.7 14.11-33.25 .3281-44.51l-35.11-31.06l6.453-12.03c5.578-10.28 .9844-30.73-16.73-37.19l59.06-37.63c9.023-5.742 13.4-15.2 13.23-24.6C479.8 189.9 475.1 180.5 465.1 175.1zM390.5 234.5L335.8 269.3l56.94 20.73l-14.91 27.8l51.99 45.97l-51.55 45.56l12.73 25.1l-143.2-29.52l-16.23 38.01l-37.79-88.15c-1.062-2.477-3.047-5.508-5.336-8.637l126.9-126.9c6.25-6.25 6.25-16.37 0-22.63c-6.25-6.25-16.38-6.25-22.62 0l-126.9 126.9c-3-2.18-5.996-4.232-8.617-5.355L69 280.5l38-16.23L77.52 120.1l24.7 13.25l45.92-52.04L194.1 134.2l27.83-14.93l20.8 56.73L312.3 67l22.24 36.9l82.69-9.131l-9.123 82.65l36.9 22.34L390.5 234.5z"],
    "leaf-oak": [512, 512, [], "f6f7", "M479.6 213.2c-3.609-32.92-32.6-47.47-39.05-51.41c12.47-42.66-3.938-66.28-14.22-76.12c-2.993-3.159-26.01-28.87-76.13-14.22c-3.939-6.453-18.49-35.44-51.41-39.05C259.1 28.04 242.9 57.63 223.8 91.5c-6.509-5.259-26.22-20.19-50.97-15.42c-64.54 12.8-48.57 103-47.59 112.1c-32.32-9.037-64.76 12.05-64.76 57.2c0 33.8 25.16 63.77 18.71 80.72c-11.28 31.27-9.918 59.61 2.525 80.66l-45.04 45.04c-6.25 6.25-6.25 16.37 0 22.62C39.81 478.4 43.91 480 47.1 480c4.094 0 8.188-1.562 11.31-4.687l45.08-45.08c11.28 6.646 24.52 10.31 39.34 10.31c12.84 0 26.74-2.561 41.25-7.789c17.39-6.605 46.34 18.7 80.73 18.7c47.04 0 65.74-34.23 57.21-64.75c3.422 .3379 16.34 2.447 32.33 2.447c30.53 0 72.27-7.682 80.67-50.03c1.203-6.234 4.375-26.47-15.42-50.97C452.6 270.1 484.1 253.7 479.6 213.2zM407.6 258.7c-3.804 2.138 1.969-1.112-35.8 20.16l23.79 29.43c5.035 6.232 10.67 15.59 8.924 24.63c-1.316 6.633-4.811 24.25-49.28 24.25c-11.05 0-20.46-1.205-25.51-1.853c-5.059-.6052 2.392 .1605-50.24-5.045c13.15 47.03 16.77 52.22 10.31 60.74c-4.143 5.459-12.7 8.465-24.1 8.465c-10.86 0-23.17-4.875-35.07-9.59c-15.01-5.945-36.3-14.93-56.51-7.217c-29.24 10.54-44.79 3.756-45.64 3.49l186.8-186.8c6.25-6.25 6.25-16.37 0-22.62s-16.38-6.25-22.62 0l-186.9 186.9c-3.912-12.27-2.938-27.91 3.287-45.19c7.637-20.06-.1523-39.71-7.021-57.04c-4.717-11.9-9.592-24.2-9.592-35.06c0-9.967 2.359-17.94 6.645-22.45c9.461-9.967 22.57-2.514 62.56 8.666C154.9 164.1 146.1 113.1 178.9 107.5C189.1 105.4 200.8 114 203.7 116.4l29.43 23.77c21.27-37.76 18.02-31.99 20.16-35.8c17.3-30.77 24.79-40.36 37.93-40.35c16.06 0 23.53 10.47 31.62 24.15l12.77 20.92l23.52-6.875c27.25-7.965 39.15 .4779 45.03 6.621c5.4 5.17 13.31 17.77 5.637 44.03l-6.879 23.53c23.65 14.43 19.97 12.2 23.17 14.09c9.924 5.781 20.26 13.42 21.67 26.29C449.5 232.1 443.1 238.8 407.6 258.7z"],
    "leafy-green": [576, 512, [129388], "e41d", "M74.27 387.4c1.438 7.688 8.158 13.05 15.69 13.05c1 0 2-.0938 3-.2813c8.656-1.625 14.38-9.984 12.75-18.67l-.7813-4.344c-3.188-18.48-7.188-41.51-44.75-81.08C49.02 284.3 47.99 267.1 46.83 247.1c-1-16.61-2-33.8-8.969-50.44C28.27 173.6 30.49 147.6 43.71 128.6c2.969-4.219 6.471-7.953 10.38-11.11c13.09-10.52 23.56-25.39 30.25-42.1C88.93 62.49 96.02 52.49 105.4 44.84c9.752-7.969 21.22-12.33 34-12.67c11.81-1.047 23.56 2.219 33.81 9.141C176.1 43.23 178.7 45.34 181.1 47.6c6.438 6.016 16.56 5.672 22.6-.8594c6.031-6.469 5.656-16.59-.8438-22.61C199.3 20.77 195.3 17.6 191.1 14.76C174.7 3.775 156.1-1.12 137.7 .208C118.7 .6924 100.5 7.557 85.15 20.05C71.4 31.29 61.05 45.79 54.46 63.15C49.77 75.45 42.71 85.63 34.02 92.6C27.74 97.66 22.18 103.6 17.49 110.3c-19.44 27.81-22.94 65.61-9.156 98.64c4.875 11.62 5.688 25.41 6.531 40c1.375 22.95 2.906 48.97 22.13 69.19c30.88 32.54 33.69 48.79 36.44 64.51L74.27 387.4zM573.2 99.76C568.1 75.95 556 54.37 538.8 37.87c-16.97-17.81-38.53-29.93-62.34-35.05c-21.84-4.729-43.59-3.496-64.59 3.619c-15.72 5.354-31.9 6.383-46.78 3.074c-9.842-2.215-19.89-2.683-29.82-2.058C293.3 10.14 257.3 36.54 241.1 76.88C235.2 91.46 223.8 103.5 211.7 116.3c-18.75 19.72-40.03 42.09-40.03 76.81c0 54.29-7.781 64.44-16.81 76.17C139.4 289.3 128.5 309.4 128 386.1c-.0645 10.98 3.031 21.45 8.516 30.71L132.6 420.7c-.0684 .0703 .0684-.0703 0 0l-63.92 63.98c-6.25 6.26-6.25 16.38 0 22.62C71.81 510.4 75.91 512 80 512s8.188-1.562 11.31-4.684l68.2-68.22C169.4 444.7 180.6 448 192.2 448c75.65 0 95.27-10.79 114.7-26.02c10.1-8.615 21.4-16.76 76.37-16.76c34.68-.0156 57.03-21.35 76.71-40.17c12.72-12.16 24.72-23.63 39.22-29.48c40.28-16.21 67.07-52.47 69.72-94.45c.6562-9.971-.292-19.91-2.479-29.65c-3.344-14.97-2.281-31.23 3.062-47.01C576.7 143.5 577.9 121.7 573.2 99.76zM539.3 154.2c-7.217 21.32-8.592 43.51-3.967 64.23c1.529 6.789 2.061 13.73 1.623 20.68c-1.873 29.62-20.87 55.21-49.62 66.78c-20.22 8.162-35.03 22.33-49.37 36.04c-17.56 16.79-32.75 31.31-54.59 31.31c-61.28 0-78.49 9.77-96.12 23.56c-12.06 9.443-24.53 19.21-94.99 19.21c-2.836 0-5.463-.9219-8.158-1.584L342.3 256H432C440.8 256 448 248.8 448 240S440.8 224 432 224h-57.74l69.05-69.14c6.25-6.266 6.25-16.39 0-22.64C437.1 126 426.9 125.1 420.7 132.2L288 265.1V208C288 199.2 280.8 192 272 192S256 199.2 256 208v89.14l-94.73 94.85C160.8 390.1 159.1 388.5 159.1 386.2c.4687-71.84 10.5-84.9 20.19-97.54c13.72-17.85 23.44-35.16 23.44-95.63c0-21.96 14.47-37.19 31.25-54.81C248.5 123.9 262.6 109 270.8 88.78c11.56-28.79 37.09-47.85 66.62-49.74c1.531-.1094 3.062-.1562 4.594-.1562c5.312 0 10.69 .6094 16.03 1.811c20.66 4.635 42.84 3.215 64.12-4.01c15.37-5.229 31.31-6.15 47.53-2.623c17.5 3.777 33.37 12.7 46.43 26.36c13.09 12.58 22.03 28.5 25.78 46.04C545.4 122.7 544.5 138.8 539.3 154.2z"],
    "left": [448, 512, ["arrow-alt-left"], "f355", "M416 176h-176V96c0-17.69-14.36-32-31.1-32C199.7 64 191.5 67.25 185.4 73.38l-176 160C3.125 239.6 0 247.8 0 256s3.125 16.38 9.375 22.62l176 160C191.5 444.7 199.7 448 208 448C225.6 448 240 433.7 240 416v-80H416c17.67 0 32-14.33 32-32v-96C448 190.3 433.7 176 416 176zM416 304H208l-1.1 110.9L32.06 256L208 96V208H416V304z"],
    "left-from-line": [448, 512, ["arrow-alt-from-right"], "f348", "M432 64C423.2 64 416 71.16 416 80v352c0 8.844 7.156 16 16 16s16-7.156 16-16v-352C448 71.16 440.8 64 432 64zM323.2 192H208V133.6c0-15-8.906-28.53-22.75-34.53C171.5 93.13 155.5 95.94 144.7 106.1L11.5 228.7C4.188 235.5 0 245.5 0 256s4.188 20.47 11.66 27.5l132.9 122.2c10.92 10.34 26.91 13.16 40.77 7.219C199.1 406.9 208 393.4 208 378.4V320h115.2C347.9 320 368 299.9 368 275.2V236.8C368 212.1 347.9 192 323.2 192zM336 275.2C336 282.3 330.3 288 323.2 288H176v90.41c0 2.219-1.344 4.25-3.375 5.156C170.5 384.4 168.2 384 166.4 382.3l-132.9-122.2C31.66 258.3 31.81 253.5 33.31 252.1l133.2-122.5C168.2 128 170.5 127.6 172.6 128.4C174.7 129.3 176 131.4 176 133.6V224h147.2C330.3 224 336 229.8 336 236.8V275.2z"],
    "left-long": [512, 512, ["long-arrow-alt-left"], "f30a", "M512 232v47.1c0 22.06-17.97 39.1-40.03 39.1L191.7 319.1l-.1514 39.1c0 15.91-9.438 30.31-24 36.65c-14.62 6.375-31.56 3.5-43.22-7.343L12.23 285.3c-8.158-7.533-12.24-18.42-12.23-29.31C.002 245.1 4.08 234.2 12.23 226.7l112.1-103.1C135.1 111.8 152.9 108.1 167.5 115.3c14.56 6.343 24 20.75 24 36.65L191.7 192l280.3 .0009C494 192 512 209.9 512 232zM31.42 256c0 1.312 .3438 3.781 2.562 5.844l112.1 104c5.109 4.7 13.47 1.142 13.47-5.875V287.1l312.5-.0002C476.4 287.1 480 284.4 480 279.1V232c0-4.406-3.594-7.1-8.031-7.1L159.5 224V152c0-7.022-8.363-10.57-13.47-5.875L33.98 250.1C31.77 252.2 31.42 254.7 31.42 256z"],
    "left-long-to-line": [640, 512, [], "e41e", "M0 80C0 71.16 7.164 64 16 64C24.84 64 32 71.16 32 80V432C32 440.8 24.84 448 16 448C7.164 448 0 440.8 0 432V80zM640 232V279.1C640 302.1 622 319.1 599.1 319.1L287.7 319.1L287.5 359.1C287.5 375.9 278.1 390.3 263.5 396.6C248.9 403 231.1 400.2 220.3 389.3L108.2 285.3C100.1 277.8 96 266.9 96 256C95.1 245.1 100.1 234.2 108.2 226.7L220.3 122.7C231.1 111.9 248.9 108.1 263.5 115.4C278.1 121.7 287.5 136.1 287.5 152L287.7 192L599.1 192C622 192 640 209.9 640 232V232zM129.1 250.2C127.8 252.2 127.4 254.7 127.4 256C127.4 257.3 127.8 259.8 129.1 261.9L242 365.9C247.2 370.6 255.5 367 255.5 359.1V287.1H599.1C604.4 287.1 608 284.4 608 279.1V232C608 227.6 604.4 224 599.1 224L255.5 224V152C255.5 144.1 247.2 141.4 242 146.1L129.1 250.2z"],
    "left-right": [512, 512, [8596, "arrows-alt-h"], "f337", "M504.3 238.4l-112-104C385.3 127.9 375.2 126.2 366.4 130S352 142.5 352 152L352 240H160l.001-88c0-9.547-5.656-18.19-14.41-22S126.7 127.9 119.7 134.4l-112 104C2.558 243.2 0 249.6 0 255.1s2.558 12.85 7.673 17.6l112 104c6.984 6.484 17.17 8.219 25.92 4.406s14.41-12.45 14.41-22L160 272h192l.001 88c0 9.547 5.656 18.19 14.41 22s18.94 2.078 25.92-4.406l112-104C509.4 268.8 512 262.4 512 255.1S509.4 243.2 504.3 238.4zM128 341.7L35.75 256L128 170.3V341.7zM384 341.7V170.3L476.2 256L384 341.7z"],
    "left-to-line": [448, 512, ["arrow-alt-to-left"], "f34b", "M91.5 228.7C84.19 235.5 80 245.5 80 256s4.188 20.47 11.66 27.5l132.9 122.2c10.92 10.34 26.91 13.16 40.77 7.219C279.1 406.9 288 393.4 288 378.4L287.9 320h115.3C427.9 320 448 299.9 448 275.2V236.8C448 212.1 427.9 192 403.2 192h-115.3L288 133.6c0-15-8.906-28.53-22.75-34.53c-13.8-5.938-29.78-3.125-40.55 7.062L91.5 228.7zM252.6 128.4C254.7 129.3 256 131.4 256 133.6V224h147.2C410.3 224 416 229.8 416 236.8v38.38C416 282.3 410.3 288 403.2 288H256v90.41c0 2.219-1.344 4.25-3.375 5.156C250.5 384.4 248.2 384 246.4 382.3l-132.9-122.2C111.7 258.3 111.8 253.5 113.3 252.1l133.2-122.5C248.2 128 250.5 127.6 252.6 128.4zM32 432v-352C32 71.16 24.84 64 16 64S0 71.16 0 80v352C0 440.8 7.156 448 16 448S32 440.8 32 432z"],
    "lemon": [448, 512, [127819], "f094", "M427.9 52.1C414.6 38.73 398.1 32 383.2 32c-7.635 0-14.84 1.773-20.96 5.336c-25.9 15.09-65.74 3.342-114.5 3.336C199.4 40.67 142.2 52.26 81.25 113.2c-122.4 122.4-45.83 229.4-75.91 281c-10.5 18.05-5.471 45.5 14.77 65.63C33.4 473.3 49.9 480 64.77 480c7.635 0 14.84-1.774 20.96-5.336c25.92-15.1 65.75-3.336 114.5-3.336c48.39 0 105.5-11.59 166.5-72.58c122.4-122.4 45.83-229.4 75.91-281C453.2 99.69 448.1 72.23 427.9 52.1zM415 101.6c-15.23 26.15-12.69 56.4-9.998 88.43c4.547 54.13 9.703 115.5-60.89 186.1c-56.02 56.02-106.3 63.21-143.9 63.21c-28.13 0-54.01-4.363-78.01-4.363c-13.69 0-34.04 1.248-52.57 12.04c-2.997 1.747-14.77 2.471-26.97-9.797c-11.18-11.12-11.82-23.16-9.682-26.83c15.23-26.15 12.69-56.4 10-88.43c-4.549-54.12-9.705-115.5 60.89-186.1c56.03-56.03 106.3-63.21 143.9-63.21c28.14 .0038 54.05 4.363 78.01 4.363c13.69 0 34.04-1.25 52.57-12.04c2.999-1.742 14.77-2.47 26.97 9.795C416.5 85.91 417.1 97.95 415 101.6zM227.7 104.6C165.3 120.3 88.26 197.4 72.49 260.1c-2.177 8.514 2.983 17.27 11.66 19.41C91.23 281.6 101.1 277.5 103.5 267.9c12.92-51.36 80.98-119.4 132.4-132.4c8.518-2.111 13.78-10.79 11.58-19.44C246.2 110.9 239.1 101.1 227.7 104.6z"],
    "less-than": [384, 512, [62774], "3c", "M382.6 422.6C379.9 428.5 374.1 432 367.1 432c-2.203 0-4.453-.4687-6.609-1.438L9.375 270.6C3.672 267.1 0 262.3 0 256c0-6.281 3.672-11.98 9.375-14.58l351.1-160c8.094-3.625 17.56-.0938 21.19 7.938c3.656 8.062 .1094 17.53-7.938 21.19L54.67 255.1l319.1 145.4C382.7 405.1 386.2 414.6 382.6 422.6z"],
    "less-than-equal": [448, 512, [], "f537", "M41.94 206.8l352 143.1c1.984 .8125 4.031 1.188 6.062 1.188c6.297 0 12.28-3.75 14.81-9.938c3.344-8.186-.5781-17.53-8.75-20.87L90.25 192l315.8-129.2c8.172-3.342 12.09-12.69 8.75-20.87c-3.359-8.186-12.73-12.15-20.88-8.748l-352 143.1C35.92 179.7 32 185.5 32 192C32 198.5 35.92 204.4 41.94 206.8zM432 448h-416c-8.844 0-16 7.156-16 16C0 472.8 7.156 480 16 480h416c8.844 0 16-7.156 16-15.1C448 455.2 440.8 448 432 448z"],
    "life-ring": [512, 512, [], "f1cd", "M459.3 436.7C465.6 442.9 465.6 453.1 459.3 459.3C453.1 465.6 442.9 465.6 436.7 459.3L425.4 447.1C380.2 487.8 320.9 512 256 512C191.1 512 131.8 487.8 86.65 447.1L75.31 459.3C69.07 465.6 58.93 465.6 52.69 459.3C46.44 453.1 46.44 442.9 52.69 436.7L64.02 425.4C24.18 380.2 0 320.9 0 256C0 191.1 24.18 131.8 64.02 86.65L52.69 75.31C46.44 69.07 46.44 58.93 52.69 52.69C58.93 46.44 69.06 46.44 75.31 52.69L86.65 64.02C131.8 24.18 191.1 0 256 0C320.9 0 380.2 24.18 425.4 64.02L436.7 52.69C442.9 46.44 453.1 46.44 459.3 52.69C465.6 58.93 465.6 69.06 459.3 75.31L447.1 86.65C487.8 131.8 512 191.1 512 256C512 320.9 487.8 380.2 447.1 425.4L459.3 436.7zM311.6 334.3C295.9 345.4 276.7 352 256 352C235.3 352 216.1 345.4 200.4 334.3L109.3 425.3C148.6 459.4 199.9 480 256 480C312.1 480 363.4 459.4 402.7 425.3L311.6 334.3zM480 256C480 199.9 459.4 148.6 425.3 109.3L334.3 200.4C345.4 216.1 352 235.3 352 256C352 276.7 345.4 295.9 334.3 311.6L425.3 402.7C459.4 363.4 480 312.1 480 256V256zM256 32C199.9 32 148.6 52.62 109.3 86.7L200.4 177.7C216.1 166.6 235.3 159.1 256 159.1C276.7 159.1 295.9 166.6 311.6 177.7L402.7 86.7C363.4 52.62 312.1 32 256 32zM177.7 311.6C166.6 295.9 160 276.7 160 256C160 235.3 166.6 216.1 177.7 200.4L86.7 109.3C52.62 148.6 32 199.9 32 256C32 312.1 52.62 363.4 86.7 402.7L177.7 311.6zM256 192C220.7 192 192 220.7 192 256C192 291.3 220.7 320 256 320C291.3 320 320 291.3 320 256C320 220.7 291.3 192 256 192z"],
    "light-ceiling": [512, 512, [], "e016", "M271.9 160.8V16c0-8.836-7.111-16-15.95-16S239.9 7.164 239.9 16v144.8c-122.5 7.475-222.1 99.27-239.6 217.7C-2.547 398.2 12.49 415.1 32.41 415.1h447.1c19.51 0 35.06-17.06 32.19-36.31C494.7 260.7 394.9 168.3 271.9 160.8zM31.83 384.1C47.59 274.6 143.9 192 255.9 192s208.3 82.63 223.6 192L31.83 384.1zM324.1 432.5c-8.469-2.312-17.31 2.812-19.58 11.38C298.9 465.2 278.9 480 256 480s-42.89-14.84-48.53-36.09c-2.281-8.562-11.05-13.69-19.58-11.38c-8.531 2.281-13.62 11.03-11.36 19.56c9.375 35.28 42.07 59.91 79.49 59.91s70.07-24.62 79.45-59.91C337.7 443.6 332.6 434.8 324.1 432.5z"],
    "light-emergency": [448, 512, [], "e41f", "M80 320C88.96 320 96 312.8 96 304V192c0-70.69 57.28-128 128-128s128 57.31 128 128v112c0 8.832 7.039 16 16 16S384 312.8 384 304V192c0-88.35-71.68-160-160-160S64 103.6 64 192v112C64 312.8 71.04 320 80 320zM400 352h-352C21.44 352 0 373.5 0 400v32C0 458.5 21.44 480 48 480h352c26.56 0 48-21.5 48-48v-32C448 373.5 426.6 352 400 352zM416 432c0 8.832-7.039 16-16 16h-352C39.04 448 32 440.8 32 432v-32C32 391.2 39.04 384 48 384h352c8.961 0 16 7.168 16 16V432zM128 176C128 184.8 135 192 144 192S160 184.8 160 176C160 149.5 181.4 128 208 128C216.1 128 224 120.8 224 112S216.1 96 208 96C163.8 96 128 131.9 128 176z"],
    "light-emergency-on": [640, 512, [], "e420", "M535 94.3L599 62.3C607 58.37 610.2 48.74 606.4 40.83C602.2 32.93 592.6 29.73 584.1 33.7L520.1 65.7C512.1 69.63 509.8 79.26 513.6 87.17C517.8 95.07 527.4 98.27 535 94.3zM176 320C184.1 320 192 312.8 192 304V192C192 121.3 249.3 64 320 64C390.7 64 448 121.3 448 192V304C448 312.8 455 320 464 320C472.1 320 480 312.8 480 304V192C480 103.6 408.3 32 320 32C231.7 32 160 103.6 160 192V304C160 312.8 167 320 176 320zM224 176C224 184.8 231 192 240 192C248.1 192 256 184.8 256 176C256 149.5 277.4 128 304 128C312.1 128 320 120.8 320 112C320 103.2 312.1 96 304 96C259.8 96 224 131.9 224 176zM80 192H16C7.039 192 0 199.2 0 208C0 216.8 7.039 224 16 224H80C88.96 224 96 216.8 96 208C96 199.2 88.96 192 80 192zM624 192H560C551 192 544 199.2 544 208C544 216.8 551 224 560 224H624C632.1 224 640 216.8 640 208C640 199.2 632.1 192 624 192zM40.96 62.3L104.1 94.3C112.6 98.27 122.2 95.07 126.4 87.17C130.2 79.26 127 69.63 119 65.7L55.04 33.7C47.36 29.73 37.76 32.93 33.6 40.83C29.76 48.74 32.96 58.37 40.96 62.3zM496 352H144C117.4 352 96 373.5 96 400V432C96 458.5 117.4 480 144 480H496C522.6 480 544 458.5 544 432V400C544 373.5 522.6 352 496 352zM512 432C512 440.8 504.1 448 496 448H144C135 448 128 440.8 128 432V400C128 391.2 135 384 144 384H496C504.1 384 512 391.2 512 400V432z"],
    "light-switch": [384, 512, [], "e017", "M240 95.1h-96c-26.4 0-48 21.6-48 47.1v224c0 26.4 21.6 48 48 48h96c26.4 0 48-21.6 48-48v-224C288 117.6 266.4 95.1 240 95.1zM256 368c0 8.836-7.162 16-16 16h-96C135.2 384 128 376.8 128 368v-96h128V368zM256 240H128v-96C128 135.2 135.2 128 144 128h96C248.8 128 256 135.2 256 144V240zM320 0H64c-35.38 0-64 28.62-64 64v384c0 35.38 28.62 64 64 64h256c35.38 0 64-28.62 64-64v-384C384 28.62 355.4 0 320 0zM352 448c0 17.62-14.38 32-32 32h-112v-16c0-8.844-7.156-16-16-16s-16 7.156-16 16V480H64c-17.62 0-32-14.38-32-32V64c0-17.62 14.38-32 32-32h112v16C176 56.84 183.2 64 192 64s16-7.156 16-16V32H320c17.62 0 32 14.38 32 32V448z"],
    "light-switch-off": [384, 512, [], "e018", "M320 0H64c-35.38 0-64 28.62-64 64v384c0 35.38 28.62 64 64 64h256c35.38 0 64-28.62 64-64v-384C384 28.62 355.4 0 320 0zM352 448c0 17.62-14.38 32-32 32h-112v-16c0-8.844-7.156-16-16-16s-16 7.156-16 16V480H64c-17.62 0-32-14.38-32-32V64c0-17.62 14.38-32 32-32h112v16C176 56.84 183.2 64 192 64s16-7.156 16-16V32H320c17.62 0 32 14.38 32 32V448zM240 95.1h-96c-26.4 0-48 21.6-48 47.1v224c0 26.4 21.6 48 48 48h96c26.4 0 48-21.6 48-48v-224C288 117.6 266.4 95.1 240 95.1zM256 368c0 8.836-7.162 16-16 16h-96C135.2 384 128 376.8 128 368v-96h128V368zM256 240H128v-96C128 135.2 135.2 128 144 128h96C248.8 128 256 135.2 256 144V240zM176 352h32c8.844 0 16-7.156 16-16S216.8 320 208 320h-32C167.2 320 160 327.2 160 336S167.2 352 176 352z"],
    "light-switch-on": [384, 512, [], "e019", "M64 511.1h256c35.38 0 64-28.62 64-64v-384c0-35.38-28.62-64-64-64H64c-35.38 0-64 28.62-64 64v384C0 483.4 28.63 511.1 64 511.1zM32 64c0-17.62 14.38-32 32-32h112v16C176 56.84 183.2 64 192 64s16-7.156 16-16V32H320c17.62 0 32 14.38 32 32v384c0 17.62-14.38 32-32 32h-112v-16c0-8.844-7.156-16-16-16s-16 7.156-16 16V480H64c-17.62 0-32-14.38-32-32V64zM144 415.1h96c26.4 0 48-21.6 48-48V143.1c0-26.4-21.6-48-48-48h-96c-26.4 0-48 21.6-48 48v223.1C96 394.4 117.6 415.1 144 415.1zM128 144C128 135.2 135.2 128 144 128h96C248.8 128 256 135.2 256 144v96H128V144zM128 272h128v96c0 8.836-7.164 16-16 16h-96C135.2 384 128 376.8 128 368V272zM208 160h-32C167.2 160 160 167.2 160 176S167.2 192 176 192h32C216.8 192 224 184.8 224 176S216.8 160 208 160z"],
    "lightbulb": [384, 512, [128161], "f0eb", "M255.9 415.1H128.1c-8.846 0-15.98 7.179-15.97 16.03L112.1 454.3c.0098 6.273 1.81 12.47 5.284 17.69l17.14 25.69c5.225 7.855 17.2 14.28 26.64 14.28h61.67c9.418 0 21.39-6.436 26.61-14.28l17.08-25.68c2.953-4.441 5.341-12.37 5.348-17.7l-.0521-22.33C271.8 423.2 264.7 415.1 255.9 415.1zM239.9 454.4l-16.11 24.45c-.4766 .4336-1.686 1.082-.8672 1.117l-60.29 .1172c-.4238-.1055-1.138-.2793-1.423-.2793c-.1406 0-.1348-.2265 0 0l-17.1-25.48l-.0098-6.37h95.94l.0039 5.179C239.9 453.6 239.7 454.4 239.9 454.4C239.9 454.4 239.8 454.5 239.9 454.4zM315.8 51.3c-33.33-33.22-78.22-52.47-124.3-51.28C94.7 .2944 16 79.89 16 177.4c0 42.9 15.47 84.34 43.55 116.6c13.33 15.31 35.84 49.59 43.73 76.02c1.078 8.687 8.844 14.62 17.64 13.72c8.703-.9687 14.98-8.968 14.11-17.65l-.6094-3.312c-10.31-34.97-36-72.84-50.73-89.77C60.67 246.5 48 212.6 48 177.4c0-81.24 63.05-145.1 143.5-145.3H192c38.13 0 74.05 14.87 101.2 41.93C320.8 101.5 336 138.2 336 177.4c0 35.18-12.67 69.15-35.67 95.62c-14.75 16.94-40.44 54.81-50.75 89.77l-.625 3.343c-1.047 8.749 4.938 17.59 13.67 18.69c.7813 .0938 1.531 .1562 2.281 .1562c7.797 0 14.36-5.124 15.36-13.12c8.344-28.25 30.86-62.52 44.2-77.84C352.5 261.7 368 220.3 368 177.4C368 129.7 349.5 84.89 315.8 51.3zM208 80.01c0-8.843-7.156-16-16-16c-61.75 0-112 50.24-112 111.1C80 184.8 87.16 192 96 192s16-7.158 16-16c0-44.1 35.88-79.1 80-79.1C200.8 96.01 208 88.86 208 80.01z"],
    "lightbulb-cfl": [320, 512, [], "e5a6", "M175.1 67.74L251.9 48.53C286.5 39.88 320 66.05 320 101.7C320 117.3 313.4 131.6 302.7 141.7C313.2 151.6 320 165.7 320 181.7C320 197.3 313.4 211.6 302.7 221.7C313.2 231.6 320 245.7 320 261.7C320 286.9 302.9 308.8 278.5 314.9L208 332.5V352H224C241.7 352 256 366.3 256 384V448C256 465.7 241.7 480 224 480H176V496C176 504.8 168.8 512 160 512C151.2 512 144 504.8 144 496V480H96C78.33 480 64 465.7 64 448V384C64 366.3 78.33 352 96 352H112V317.5L144 309.5V352H176V320C176 312.7 180.1 306.3 188.1 304.5L270.7 283.8C280.9 281.3 288 272.2 288 261.7C288 246.9 274.1 235.1 259.7 239.6L131.9 271.5L131.8 271.6L68.1 287.5C33.51 296.1 0 269.1 0 234.3C0 218.7 6.556 204.4 17.34 194.3C6.758 184.4 .0003 170.3 .0003 154.3C.0003 138.7 6.556 124.4 17.34 114.3C6.758 104.4 0 90.31 0 74.3C0 49.15 17.12 27.23 41.51 21.13L107.9 4.533C142.5-4.115 176 22.05 176 57.7C176 61.12 175.7 64.47 175.1 67.74H175.1zM96 448H224V384H192.1L192 384L191.9 384H96V448zM288 181.7C288 166.9 274.2 156.1 259.8 159.5L68.1 207.5L67.86 207.5L49.27 212.2C39.12 214.7 32 223.8 32 234.3C32 249.1 45.94 260 60.34 256.4L270.7 203.8C280.9 201.3 288 192.2 288 181.7L288 181.7zM49.27 132.2C39.12 134.7 32 143.8 32 154.3C32 169.1 45.84 179.9 60.18 176.5L251.9 128.5L252.1 128.5L270.7 123.8C280.9 121.3 288 112.2 288 101.7C288 86.87 274.1 75.98 259.7 79.58L49.27 132.2zM126.8 79.82C136.9 77.26 144 68.15 144 57.7C144 42.87 130.1 31.98 115.7 35.58L49.27 52.17C39.12 54.71 32 63.83 32 74.3C32 89.13 45.93 100 60.31 96.43L126.7 79.83L126.8 79.82z"],
    "lightbulb-cfl-on": [640, 512, [], "e5a7", "M87.15 33.69C95.06 37.64 98.26 47.25 94.31 55.15C90.36 63.06 80.75 66.26 72.84 62.31L8.844 30.31C.9405 26.36-2.263 16.75 1.689 8.844C5.64 .9405 15.25-2.263 23.15 1.689L87.15 33.69zM567.2 62.31C559.3 66.26 549.6 63.06 545.7 55.15C541.7 47.25 544.9 37.64 552.8 33.69L616.8 1.689C624.7-2.263 634.4 .9405 638.3 8.844C642.3 16.75 639.1 26.36 631.2 30.31L567.2 62.31zM79.1 159.1C88.84 159.1 95.1 167.2 95.1 175.1C95.1 184.8 88.84 191.1 79.1 191.1H15.1C7.163 191.1-.0003 184.8-.0003 175.1C-.0003 167.2 7.163 159.1 15.1 159.1H79.1zM624 159.1C632.8 159.1 640 167.2 640 175.1C640 184.8 632.8 191.1 624 191.1H560C551.2 191.1 544 184.8 544 175.1C544 167.2 551.2 159.1 560 159.1H624zM23.15 350.3C15.25 354.3 5.64 351.1 1.689 343.2C-2.263 335.3 .9405 325.6 8.844 321.7L72.84 289.7C80.75 285.7 90.36 288.9 94.31 296.8C98.26 304.7 95.06 314.4 87.15 318.3L23.15 350.3zM631.2 321.7C639.1 325.6 642.3 335.3 638.3 343.2C634.4 351.1 624.7 354.3 616.8 350.3L552.8 318.3C544.9 314.4 541.7 304.7 545.7 296.8C549.6 288.9 559.3 285.7 567.2 289.7L631.2 321.7zM267.9 4.532C302.5-4.115 336 22.05 336 57.7C336 61.12 335.7 64.47 335.1 67.74L411.9 48.53C446.5 39.88 480 66.05 480 101.7C480 117.3 473.4 131.6 462.7 141.7C473.2 151.6 479.1 165.7 479.1 181.7C479.1 197.3 473.4 211.6 462.7 221.7C473.2 231.6 480 245.7 480 261.7C480 286.9 462.9 308.8 438.5 314.9L368 332.5V352H384C401.7 352 416 366.3 416 384V448C416 465.7 401.7 480 384 480H336V496C336 504.8 328.8 512 319.1 512C311.2 512 303.1 504.8 303.1 496V480H255.1C238.3 480 223.1 465.7 223.1 448V384C223.1 366.3 238.3 352 255.1 352H271.1V317.5L303.1 309.5V352H336V320C336 312.7 340.1 306.3 348.1 304.5L430.7 283.8C440.9 281.3 448 272.2 448 261.7C448 246.9 434.1 235.1 419.7 239.6L291.9 271.5L291.8 271.6L228.1 287.5C193.5 296.1 159.1 269.1 159.1 234.3C159.1 218.7 166.6 204.4 177.3 194.3C166.8 184.4 159.1 170.3 159.1 154.3C159.1 138.7 166.6 124.4 177.3 114.3C166.8 104.4 159.1 90.31 159.1 74.3C159.1 49.15 177.1 27.23 201.5 21.13L267.9 4.532zM351.9 384H255.1V448H384V384H352.1L352 384L351.9 384zM430.7 203.8C440.9 201.3 448 192.2 448 181.7C448 166.9 434.2 156.1 419.8 159.5L228.1 207.5L227.9 207.5L209.3 212.2C199.1 214.7 191.1 223.8 191.1 234.3C191.1 249.1 205.9 260 220.3 256.4L430.7 203.8zM209.3 132.2C199.1 134.7 191.1 143.8 191.1 154.3C191.1 169.1 205.8 179.9 220.2 176.5L411.9 128.5L412.1 128.5L430.7 123.8C440.9 121.3 448 112.2 448 101.7C448 86.86 434.1 75.98 419.7 79.58L209.3 132.2zM275.7 35.58L209.3 52.17C199.1 54.71 191.1 63.83 191.1 74.3C191.1 89.13 205.1 100 220.3 96.42L286.7 79.83L286.8 79.81C296.9 77.26 303.1 68.15 303.1 57.7C303.1 42.86 290.1 31.98 275.7 35.58H275.7z"],
    "lightbulb-dollar": [384, 512, [], "f670", "M255.9 415.1H128.1c-8.846 0-15.98 7.18-15.97 16.03l-.077 22.35c.0098 6.27 1.819 12.43 5.294 17.65l17.15 25.71C139.8 505.6 151.7 512 161.2 512h61.68c9.418 0 21.39-6.423 26.61-14.26l17.09-25.7c2.953-4.441 5.353-12.34 5.361-17.67l-.077-22.35C271.8 423.2 264.7 415.1 255.9 415.1zM239.9 454.4l-16.11 24.45C223.3 479.3 222.1 479.1 222.9 480l-60.29 .1172c-.4238-.1016-1.138-.2773-1.423-.2773c-.1406 0-.1348-.2266 0 0l-17.1-25.48l-.0098-6.367h95.94l.0039 5.18C239.9 453.6 239.7 454.4 239.9 454.4C239.9 454.4 239.8 454.5 239.9 454.4zM315.8 51.3c-33.33-33.22-78.19-52.47-124.3-51.28C94.73 .2939 16 79.89 16 177.4c0 42.91 15.47 84.34 43.55 116.6c13.33 15.31 35.84 49.59 43.73 76.02c1.078 8.688 8.844 14.62 17.64 13.71c8.703-.9687 14.98-8.965 14.11-17.65l-.6094-3.312c-10.31-34.97-36-72.84-50.73-89.77C60.67 246.5 48 212.6 48 177.4c0-81.24 63.05-145.1 143.5-145.3H192c38.13 0 74.05 14.88 101.2 41.94C320.8 101.5 336 138.2 336 177.4c0 35.19-12.67 69.15-35.67 95.62c-14.75 16.94-40.44 54.8-50.75 89.77l-.625 3.344c-1.047 8.75 4.938 17.59 13.67 18.68c.7813 .0938 1.531 .1562 2.281 .1562c7.797 0 14.36-5.121 15.36-13.12c8.344-28.25 30.86-62.53 44.2-77.84C352.5 261.7 368 220.3 368 177.4C368 129.7 349.5 84.89 315.8 51.3zM183.5 223.1C177.1 222.2 173.5 221 154.7 214.3c-8.391-2.969-17.48 1.438-20.42 9.781C131.3 232.3 135.7 241.5 144 244.4c8.361 2.992 20.41 7.494 32 9.639V272C176 280.8 183.2 288 192 288s16-7.156 16-16V254.2c22.38-3.826 38.42-16.54 41.89-36.61c6.859-39.75-30.91-50.56-53.48-57.03C177.1 155.3 163.6 151.8 165.6 139.8c1.875-10.94 19.25-13.38 34.81-10.91c5.812 .9062 12.22 2.906 18.3 5.031c8.359 2.844 17.44-1.531 20.36-9.875c2.906-8.344-1.516-17.47-9.859-20.38C220.8 100.8 214 98.98 208 97.86V80c0-8.844-7.16-16-16-16S176 71.16 176 80v17.29C153.5 101.1 137.6 114.2 134.1 134.4C127.3 173.7 165.5 184.9 181.8 189.7c22 6.422 38.77 9.705 36.55 22.5C216.5 223.1 199.1 225.5 183.5 223.1z"],
    "lightbulb-exclamation": [384, 512, [], "f671", "M208 224V112C208 103.2 200.8 96 192 96S176 103.2 176 112V224c0 8.844 7.135 16 15.98 16S208 232.8 208 224zM168 288c0 13.25 10.75 24 24 24c13.26 0 24-10.75 24-24S205.3 264 192 264C178.7 264 168 274.7 168 288zM315.8 51.3c-33.33-33.22-78.19-52.47-124.3-51.28C94.73 .2939 16 79.89 16 177.4c0 42.91 15.47 84.34 43.55 116.6c13.33 15.31 35.84 49.59 43.73 76.02c1.078 8.688 8.844 14.62 17.64 13.71c8.703-.9687 14.98-8.965 14.11-17.65l-.6094-3.312c-10.31-34.97-36-72.84-50.73-89.77C60.67 246.5 48 212.6 48 177.4c0-81.24 63.05-145.1 143.5-145.3H192c38.13 0 74.05 14.88 101.2 41.94C320.8 101.5 336 138.2 336 177.4c0 35.19-12.67 69.15-35.67 95.62c-14.75 16.94-40.44 54.8-50.75 89.77l-.625 3.344c-1.047 8.75 4.938 17.59 13.67 18.68c.7813 .0938 1.531 .1562 2.281 .1562c7.797 0 14.36-5.121 15.36-13.12c8.344-28.25 30.86-62.53 44.2-77.84C352.5 261.7 368 220.3 368 177.4C368 129.7 349.5 84.89 315.8 51.3zM255.9 415.1H128.1c-8.846 0-15.98 7.18-15.97 16.03l-.0145 22.34c.0098 6.27 1.88 12.46 5.355 17.68l17.08 25.69C139.8 505.6 151.8 512 161.2 512h61.67c9.418 0 21.39-6.43 26.61-14.27l17.02-25.69c2.953-4.441 5.411-12.36 5.419-17.69l-.1144-22.34C271.8 423.2 264.7 415.1 255.9 415.1zM239.9 454.4l-16.11 24.45C223.3 479.3 222.1 479.1 222.9 480l-60.29 .1172c-.4238-.1016-1.138-.2773-1.423-.2773c-.1406 0-.1348-.2266 0 0l-17.1-25.48l-.0098-6.367h95.94l.0039 5.18C239.9 453.6 239.7 454.4 239.9 454.4C239.9 454.4 239.8 454.5 239.9 454.4z"],
    "lightbulb-exclamation-on": [640, 512, [], "e1ca", "M119.1 33.74l-64-32c-7.875-4-17.5-.875-21.38 7.125c-4 7.875-.875 17.5 7.125 21.38l64 32C107.1 63.36 109.5 63.99 112 63.99c7.375 0 13.88-5.125 15.62-12.38C129.3 44.49 125.8 36.99 119.1 33.74zM112 287.1c-2.5 0-4.875 .625-7.125 1.75l-64 32c-8 3.875-11.12 13.5-7.25 21.38c4 8 13.62 11.12 21.5 7.25l64-32c6.625-3.375 10.12-10.88 8.5-18C125.9 293.1 119.4 287.1 112 287.1zM624 159.1h-64c-8.875 0-16 7.125-16 16s7.125 16 16 16h64c8.875 0 16-7.125 16-16S632.9 159.1 624 159.1zM96 175.1c0-8.875-7.125-16-16-16h-64c-8.875 0-16 7.125-16 16s7.125 16 16 16h64C88.88 191.1 96 184.9 96 175.1zM528 63.99c2.5 0 4.875-.625 7.125-1.75l64-32c8-3.875 11.12-13.5 7.125-21.38c-3.875-8-13.5-11.12-21.38-7.125l-64 32c-6.625 3.25-10.12 10.75-8.5 17.88C514.1 58.86 520.6 63.99 528 63.99zM599.1 321.7l-64-32c-7.875-4-17.5-.75-21.5 7.125c-3.875 7.875-.75 17.5 7.25 21.5l64 32c7.875 3.875 17.5 .75 21.5-7.25C610.3 335.2 607.1 325.6 599.1 321.7zM319.5 .0127C222.7 .2939 144 79.89 144 177.4c0 42.91 15.47 84.34 43.55 116.6c13.33 15.31 35.84 49.59 43.73 76.02c1.078 8.688 8.844 14.62 17.64 13.71c8.703-.9687 14.98-8.965 14.11-17.65l-.6094-3.312c-10.31-34.97-36-72.84-50.73-89.77C188.7 246.5 176 212.6 176 177.4c0-81.24 63.05-145.1 143.5-145.3H320c38.13 0 74.05 14.88 101.2 41.94C448.8 101.5 464 138.2 464 177.4c0 35.19-12.67 69.15-35.67 95.62c-14.75 16.94-40.44 54.8-50.75 89.77l-.625 3.344c-1.047 8.75 4.938 17.59 13.67 18.68c.7813 .0938 1.531 .1562 2.281 .1562c7.797 0 14.36-5.121 15.36-13.12c8.344-28.25 30.86-62.53 44.2-77.84C480.5 261.7 496 220.3 496 177.4c0-47.71-18.55-92.49-52.22-126.1C410.5 18.08 365.6-1.175 319.5 .0127zM296 288c0 13.25 10.75 24 24 24c13.26 0 24-10.75 24-24S333.3 264 320 264C306.7 264 296 274.7 296 288zM336 224V112C336 103.2 328.8 96 320 96S304 103.2 304 112V224c0 8.844 7.135 16 15.98 16S336 232.8 336 224zM383.9 415.1H256.1c-8.846 0-15.98 7.18-15.97 16.03l-.0145 22.34c.0098 6.27 1.88 12.46 5.355 17.68l17.08 25.69C267.8 505.6 279.8 512 289.2 512h61.67c9.418 0 21.39-6.43 26.61-14.27l17.02-25.69c2.953-4.441 5.411-12.36 5.419-17.69l-.1144-22.34C399.8 423.2 392.7 415.1 383.9 415.1zM367.9 454.4l-16.11 24.45C351.3 479.3 350.1 479.1 350.9 480l-60.29 .1172c-.4238-.1016-1.138-.2773-1.423-.2773c-.1406 0-.1348-.2266 0 0l-17.1-25.48l-.0098-6.367h95.94l.0039 5.18C367.9 453.6 367.7 454.4 367.9 454.4C367.9 454.4 367.8 454.5 367.9 454.4z"],
    "lightbulb-on": [640, 512, [], "f672", "M119.1 33.74l-64-31.1c-7.875-3.1-17.5-.875-21.38 7.125c-4 7.875-.875 17.5 7.125 21.37l64 31.1C107.1 63.36 109.5 63.99 112 63.99c7.375 0 13.88-5.125 15.62-12.37C129.3 44.49 125.8 36.99 119.1 33.74zM112 287.1c-2.5 0-4.875 .625-7.125 1.75l-64 31.1c-8 3.875-11.12 13.5-7.25 21.37c4 7.1 13.62 11.12 21.5 7.25l64-31.1c6.625-3.375 10.12-10.87 8.5-17.1C125.9 293.1 119.4 287.1 112 287.1zM528 63.99c2.5 0 4.875-.625 7.125-1.75l64-31.1c8-3.875 11.12-13.5 7.125-21.37c-3.875-7.1-13.5-11.12-21.38-7.125l-64 31.1c-6.625 3.25-10.12 10.75-8.5 17.87C514.1 58.86 520.6 63.99 528 63.99zM96 175.1C96 167.1 88.88 159.1 80 159.1h-64c-8.875 0-16 7.125-16 15.1S7.125 191.1 16 191.1h64C88.88 191.1 96 184.9 96 175.1zM624 159.1h-64c-8.875 0-16 7.125-16 15.1s7.125 15.1 16 15.1h64c8.875 0 16-7.125 16-15.1S632.9 159.1 624 159.1zM599.1 321.7l-64-31.1c-7.875-3.1-17.5-.75-21.5 7.125c-3.875 7.875-.75 17.5 7.25 21.5l64 31.1c7.875 3.875 17.5 .75 21.5-7.25C610.3 335.2 607.1 325.6 599.1 321.7zM319.5 .0154C222.7 .2967 144 79.89 144 177.4c0 42.91 15.47 84.34 43.55 116.6c13.33 15.31 35.84 49.59 43.73 76.02c1.078 8.687 8.844 14.62 17.64 13.71c8.703-.9687 14.98-8.965 14.11-17.65l-.6094-3.312c-10.31-34.97-36-72.84-50.73-89.77C188.7 246.5 176 212.6 176 177.4c0-81.24 63.05-145.1 143.5-145.3H320c38.13 0 74.05 14.87 101.2 41.94C448.8 101.5 464 138.2 464 177.4c0 35.19-12.67 69.15-35.67 95.62c-14.75 16.94-40.44 54.8-50.75 89.77l-.625 3.344c-1.047 8.75 4.938 17.59 13.67 18.68c.7813 .0938 1.531 .1562 2.281 .1562c7.797 0 14.36-5.121 15.36-13.12c8.344-28.25 30.86-62.53 44.2-77.84C480.5 261.7 496 220.3 496 177.4c0-47.71-18.55-92.49-52.22-126.1C410.5 18.08 365.6-1.172 319.5 .0154zM383.1 415.1H256c-8.846 0-16.01 7.18-16 16.03l.0746 22.34c.0098 6.27 1.884 12.46 5.359 17.68l17.09 25.69c5.225 7.855 17.22 14.28 26.65 14.28h61.72c9.418 0 21.41-6.43 26.63-14.27l17.09-25.69c2.953-4.441 5.351-12.36 5.359-17.68l-.0254-22.34C399.1 423.2 392.8 415.1 383.1 415.1zM367.9 454.4l-16.11 24.45c-.4766 .4375-1.686 1.086-.8672 1.117l-60.29 .1172c-.4238-.1016-1.138-.2773-1.423-.2773c-.1406 0-.1348-.2266 0 0l-17.1-25.48l-.0098-6.367h95.94l.0039 5.18C367.9 453.6 367.7 454.4 367.9 454.4C367.9 454.4 367.8 454.5 367.9 454.4zM336 80.02c0-8.84-7.156-16-16-16c-61.75 0-112 50.24-112 111.1c0 8.844 7.156 16 16 16s16-7.159 16-16c0-44.1 35.88-79.1 80-79.1C328.8 96.01 336 88.86 336 80.02z"],
    "lightbulb-slash": [640, 512, [], "f673", "M233.4 105.9L258.4 125.7C273 107.7 295.1 96.01 319.1 96.01c8.844 0 15.1-7.155 15.1-15.1c0-8.84-7.15-16-15.99-16C284.9 64.01 253.9 80.59 233.4 105.9zM383.9 415.1H256.2c-8.846 0-16.15 7.186-16.14 16.03l.0367 22.33c.0098 6.27 1.869 12.46 5.344 17.68l17.14 25.69c5.225 7.855 17.2 14.28 26.64 14.28h61.66c9.418 0 21.39-6.436 26.61-14.28l17.08-25.68c2.953-4.441 5.34-12.37 5.348-17.7l-.0492-22.33C399.8 423.2 392.7 415.1 383.9 415.1zM367.9 454.4l-16.11 24.45C351.3 479.3 350.1 479.1 350.9 480l-60.29 .1172c-.4238-.1016-1.138-.2773-1.423-.2773c-.1406 0-.1348-.2266 0 0l-17.1-25.48l-.0098-6.367h95.94l.0039 5.18C367.9 453.6 367.7 454.4 367.9 454.4C367.9 454.4 367.8 454.5 367.9 454.4zM263 366.1l-.6094-3.312c-10.31-34.97-36-72.84-50.73-89.77c-10.5-12.07-18.54-25.84-24.52-40.45L146 200.1C150.5 234.7 164.5 267.5 187.5 293.1c13.33 15.31 35.84 49.59 43.73 76.02c1.078 8.688 8.844 14.62 17.64 13.71C257.6 382.8 263.9 374.8 263 366.1zM319.5 32.05H320c38.13 0 74.05 14.88 101.2 41.94C448.8 101.5 464 138.2 464 177.4c0 31.72-10.77 62.14-29.65 87.28l25.03 19.77C482.7 253.7 496 216.3 496 177.4c0-47.71-18.55-92.49-52.22-126.1c-33.33-33.22-78.2-52.47-124.3-51.28C264.4 .1732 215.3 26.06 183.1 66.22l25.03 19.77C234.2 53.28 273.8 32.19 319.5 32.05zM638 488.3c-1.002-1.828-2.377-3.484-4.111-4.855L25.9 3.234C23.25 1.148 20.09 .3242 16.95 .1328C16.36 .1016 15.78-.0234 15.19 .0039C13.7 .0859 12.27 .4883 10.85 .9727C10.17 1.207 9.457 1.297 8.811 1.621C6.801 2.633 4.928 4.004 3.436 5.875C2.068 7.613 1.117 9.547 .5684 11.55C.0195 13.55-.1289 15.63 .1113 17.67s.8691 4.027 1.869 5.852c1.002 1.824 2.377 3.48 4.111 4.852l608 480.2C617 510.9 620.5 512 624 512c4.719 0 9.406-2.094 12.56-6.078c2.734-3.473 3.805-7.727 3.324-11.79C639.6 492.1 639 490.1 638 488.3z"],
    "lights-holiday": [640, 512, [], "f7b2", "M146.7 250.9l22.34-61.42c3.031-8.312-1.266-17.5-9.562-20.5C151.2 165.1 142 170.2 139 178.5L116.6 239.1C112.2 239.2 107.9 238.7 103.7 238.7c-21.08 0-49.62 9.367-65.84 53.98c-13.71 37.72-.1523 89.42 10.03 114c3.432 8.297 10.19 14.77 18.63 17.84c3.541 1.281 7.244 1.922 10.93 1.922c5.105 0 10.19-1.219 14.81-3.633c23.61-12.32 67.21-43.23 80.93-80.95c8.152-22.42 8.947-41.52 2.43-58.39C170.3 269.7 160.6 258.8 146.7 250.9zM143.1 330.1c-9.744 26.8-44.97 52.73-65.66 63.52c-8.918-21.56-19.27-64.06-9.523-90.86C76 281.4 87.57 270.7 103.7 270.7c5.326 0 11.15 1.168 17.5 3.48C146.8 283.5 153.8 301.6 143.1 330.1zM637.5 71.67c-4.82-7.531-15.2-9.906-23.14-5.375C547.5 104.9 437.5 127.1 320 127.1S92.47 104.9 25.6 66.3c-7.945-4.531-18.32-2.156-23.14 5.375c-4.834 7.562-2.301 17.41 5.643 22C80.02 135.2 196.6 159.1 320 159.1s239.1-24.78 311.9-66.31C639.8 89.08 642.4 79.23 637.5 71.67zM336 257.3V191.1c0-8.844-7.156-16-16-16s-16 7.156-16 16v65.34c-35.39 6.219-56.03 33.84-56.03 76.53c0 40.14 30.42 84.09 48.39 103.7C302.4 444.2 311.1 448 320.1 448s17.41-3.773 23.47-10.4c17.97-19.65 48.39-63.61 48.39-103.7C391.1 291.2 371.4 263.6 336 257.3zM319.1 416c-15.75-17.22-40-53.62-40-82.14c0-31.41 12.78-45.87 40.03-45.87s39.97 14.59 39.97 45.87C359.1 362.4 335.7 398.8 319.1 416zM536.3 238.7c-4.195 0-8.537 .4844-12.95 1.266L501 178.5c-3.016-8.312-12.16-12.57-20.5-9.562c-8.297 3-12.59 12.19-9.562 20.5l22.34 61.42c-13.86 7.953-23.57 18.87-28.89 32.65c-6.518 16.87-5.723 35.96 2.43 58.39c13.71 37.72 57.32 68.63 80.93 80.95c4.621 2.414 9.703 3.633 14.81 3.633c3.689 0 7.393-.6406 10.93-1.922c8.441-3.07 15.2-9.547 18.63-17.84c10.18-24.61 23.74-76.31 10.03-114C585.9 248.1 557.4 238.7 536.3 238.7zM562.5 394.5c-20.69-10.8-55.92-36.72-65.66-63.52c-10.69-29.39-3.691-47.46 21.92-56.77c6.357-2.312 12.18-3.48 17.5-3.48c16.12 0 27.69 10.72 35.76 32.92C581.8 330.4 571.5 372.9 562.5 394.5z"],
    "line-columns": [512, 512, [], "f870", "M208 48C216.8 48 224 55.16 224 64C224 72.84 216.8 80 208 80H16C7.164 80 0 72.84 0 64C0 55.16 7.164 48 16 48H208zM208 176C216.8 176 224 183.2 224 192C224 200.8 216.8 208 208 208H16C7.164 208 0 200.8 0 192C0 183.2 7.164 176 16 176H208zM0 320C0 311.2 7.164 304 16 304H208C216.8 304 224 311.2 224 320C224 328.8 216.8 336 208 336H16C7.164 336 0 328.8 0 320zM208 432C216.8 432 224 439.2 224 448C224 456.8 216.8 464 208 464H16C7.164 464 0 456.8 0 448C0 439.2 7.164 432 16 432H208zM288 192C288 183.2 295.2 176 304 176H496C504.8 176 512 183.2 512 192C512 200.8 504.8 208 496 208H304C295.2 208 288 200.8 288 192zM496 48C504.8 48 512 55.16 512 64C512 72.84 504.8 80 496 80H304C295.2 80 288 72.84 288 64C288 55.16 295.2 48 304 48H496zM288 320C288 311.2 295.2 304 304 304H496C504.8 304 512 311.2 512 320C512 328.8 504.8 336 496 336H304C295.2 336 288 328.8 288 320zM496 432C504.8 432 512 439.2 512 448C512 456.8 504.8 464 496 464H304C295.2 464 288 456.8 288 448C288 439.2 295.2 432 304 432H496z"],
    "line-height": [576, 512, [], "f871", "M187.3 116.7C193.6 122.9 193.6 133.1 187.3 139.3C181.1 145.6 170.9 145.6 164.7 139.3L111.1 86.63V425.4L164.7 372.7C170.9 366.4 181.1 366.4 187.3 372.7C193.6 378.9 193.6 389.1 187.3 395.3L107.3 475.3C101.1 481.6 90.94 481.6 84.69 475.3L4.686 395.3C-1.562 389.1-1.562 378.9 4.686 372.7C10.93 366.4 21.06 366.4 27.31 372.7L80 425.4V86.63L27.31 139.3C21.07 145.6 10.94 145.6 4.686 139.3C-1.562 133.1-1.562 122.9 4.686 116.7L84.69 36.69C90.93 30.44 101.1 30.44 107.3 36.69L187.3 116.7zM560 79.1C568.8 79.1 576 87.16 576 95.1C576 104.8 568.8 111.1 560 111.1H272C263.2 111.1 256 104.8 256 95.1C256 87.16 263.2 79.1 272 79.1H560zM560 239.1C568.8 239.1 576 247.2 576 255.1C576 264.8 568.8 271.1 560 271.1H272C263.2 271.1 256 264.8 256 255.1C256 247.2 263.2 239.1 272 239.1H560zM256 416C256 407.2 263.2 400 272 400H560C568.8 400 576 407.2 576 416C576 424.8 568.8 432 560 432H272C263.2 432 256 424.8 256 416z"],
    "lines-leaning": [384, 512, [], "e51e", "M30.93 469.7C27.76 477.1 18.5 482.1 10.25 478.9C2.005 475.8-2.109 466.5 1.063 458.3L161.1 42.25C164.2 34.01 173.5 29.89 181.7 33.06C189.1 36.24 194.1 45.49 190.9 53.74L30.93 469.7zM275.6 32.41C284.2 34.39 289.6 42.98 287.6 51.59L191.6 467.6C189.6 476.2 181 481.6 172.4 479.6C163.8 477.6 158.4 469 160.4 460.4L256.4 44.4C258.4 35.79 266.1 30.42 275.6 32.41V32.41zM367.1 31.1C376.8 31.1 383.1 39.16 383.1 47.1V463.1C383.1 472.8 376.8 479.1 367.1 479.1C359.2 479.1 351.1 472.8 351.1 463.1V47.1C351.1 39.16 359.2 31.1 367.1 31.1V31.1z"],
    "link": [640, 512, [128279, "chain"], "f0c1", "M173 131.4C222.1 81.52 303.9 81.52 353.8 131.4C401.3 178.9 403.1 254.9 360 305.6L354.7 311.7C348.9 318.4 338.8 319.1 332.1 313.3C325.5 307.6 324.7 297.5 330.5 290.8L335.9 284.6C368.8 246.6 366.8 189.6 331.2 154.1C293.8 116.6 233.1 116.6 195.7 154.1L71.1 278.6C33.61 316.1 33.61 376.9 71.1 414.4C108.6 451.9 169.4 451.9 206.9 414.4L229.5 391.8C235.7 385.5 245.9 385.5 252.1 391.8C258.4 398 258.4 408.1 252.1 414.4L229.5 437C179.5 487 98.46 487 48.47 437C-1.516 387-1.516 305.1 48.47 256L173 131.4zM466.1 380.6C417 430.5 336.1 430.5 286.2 380.6C238.7 333.1 236 257.1 279.1 206.4L285.3 200.3C291.1 193.6 301.2 192.9 307.9 198.7C314.5 204.4 315.3 214.5 309.5 221.2L304.1 227.4C271.2 265.4 273.2 322.4 308.8 357.9C346.2 395.4 406.9 395.4 444.3 357.9L568.9 233.4C606.4 195.9 606.4 135.1 568.9 97.61C531.4 60.12 470.6 60.12 433.1 97.61L410.5 120.2C404.3 126.5 394.1 126.5 387.9 120.2C381.6 113.1 381.6 103.9 387.9 97.61L410.5 74.98C460.5 24.99 541.5 24.99 591.5 74.98C641.5 124.1 641.5 206 591.5 255.1L466.1 380.6z"],
    "link-horizontal": [640, 512, ["chain-horizontal"], "e1cb", "M304.1 64C374.8 64 432 121.2 432 191.9C432 258.9 380.2 314.6 313.3 319.4L305.1 319.1C296.3 320.6 288.7 313.1 288 305.1C287.4 296.3 294 288.7 302.9 288L310.1 287.5C361.1 283.9 400 242.1 400 191.9C400 138.9 357.1 96 304.1 96H128C74.98 96 32 138.1 32 192C32 245 74.98 288 128 288H160C168.8 288 176 295.2 176 304C176 312.8 168.8 320 160 320H128C57.31 320 0 262.7 0 192C0 121.3 57.31 64 128 64H304.1zM335.9 448C265.2 448 207.1 390.8 207.1 320.1C207.1 253.1 259.8 197.4 326.7 192.6L334.9 192C343.7 191.4 351.3 198 351.1 206.9C352.6 215.7 345.1 223.3 337.1 223.1L329 224.5C278.9 228.1 239.1 269.9 239.1 320.1C239.1 373.1 282.9 416 335.9 416H512C565 416 608 373 608 320C608 266.1 565 224 512 224H480C471.2 224 464 216.8 464 208C464 199.2 471.2 192 480 192H512C582.7 192 640 249.3 640 320C640 390.7 582.7 448 512 448H335.9z"],
    "link-horizontal-slash": [640, 512, ["chain-horizontal-slash"], "e1cc", "M633.9 483.4C640.9 488.9 642 498.1 636.6 505.9C631.1 512.9 621 514 614.1 508.6L6.088 28.56C-.848 23.08-2.032 13.02 3.444 6.086C8.919-.8493 18.98-2.033 25.92 3.443L633.9 483.4zM640 320C640 351.7 628.5 380.6 609.5 402.1L584.3 383.1C599.1 366.3 608 344.2 608 320C608 266.1 565 224 512 224H480C471.2 224 464 216.8 464 208C464 199.2 471.2 192 480 192H512C582.7 192 640 249.3 640 320V320zM335.9 448C265.2 448 208 390.8 208 320.1C208 298.7 213.3 278.5 222.6 260.7L248.4 280.1C242.1 292.1 239.1 306.2 239.1 320.1C239.1 373.1 282.9 416 335.9 416H419.4L459.9 448L335.9 448zM304.1 96H220.6L180.1 64H304.1C374.8 64 432 121.2 432 191.9C432 213.3 426.7 233.5 417.4 251.3L391.6 231C397 219 400 205.8 400 191.9C400 138.9 357.1 96 304.1 96L304.1 96zM32 192C32 245 74.98 288 128 288H160C168.8 288 176 295.2 176 304C176 312.8 168.8 320 160 320H128C57.31 320 0 262.7 0 192C0 160.3 11.49 131.4 30.54 109L55.68 128.9C40.93 145.7 32 167.8 32 192V192z"],
    "link-simple": [640, 512, [], "e1cd", "M0 256C0 167.6 71.63 96 160 96H272C280.8 96 288 103.2 288 112C288 120.8 280.8 128 272 128H160C89.31 128 32 185.3 32 256C32 326.7 89.31 384 160 384H272C280.8 384 288 391.2 288 400C288 408.8 280.8 416 272 416H160C71.63 416 0 344.4 0 256zM480 416H368C359.2 416 352 408.8 352 400C352 391.2 359.2 384 368 384H480C550.7 384 608 326.7 608 256C608 185.3 550.7 128 480 128H368C359.2 128 352 120.8 352 112C352 103.2 359.2 96 368 96H480C568.4 96 640 167.6 640 256C640 344.4 568.4 416 480 416zM448 240C456.8 240 464 247.2 464 256C464 264.8 456.8 272 448 272H192C183.2 272 176 264.8 176 256C176 247.2 183.2 240 192 240H448z"],
    "link-simple-slash": [640, 512, [], "e1ce", "M633.9 483.4C640.9 488.9 642 498.1 636.6 505.9C631.1 512.9 621 514 614.1 508.6L6.086 28.56C-.8493 23.08-2.033 13.02 3.443 6.086C8.918-.8493 18.98-2.033 25.91 3.443L633.9 483.4zM640 256C640 306.2 616.9 350.1 580.7 380.3L554.8 359.9C587 336.6 608 298.8 608 256C608 185.3 550.7 128 480 128H368C359.2 128 352 120.8 352 112C352 103.2 359.2 96 368 96H480C568.4 96 640 167.6 640 256H640zM368 416C359.2 416 352 408.8 352 400C352 391.2 359.2 384 368 384H378.8L419.4 416H368zM448 272H443.6L403 240H448C456.8 240 464 247.2 464 256C464 264.8 456.8 272 448 272zM196.4 240L236.1 272H192C183.2 272 176 264.8 176 256C176 247.2 183.2 240 192 240H196.4zM272 128H261.2L220.6 96H272C280.8 96 288 103.2 288 112C288 120.8 280.8 128 272 128zM32 256C32 326.7 89.31 384 160 384H272C280.8 384 288 391.2 288 400C288 408.8 280.8 416 272 416H160C71.64 416 .0006 344.4 .0006 256C.0006 205.8 23.11 161 59.26 131.7L85.17 152.1C52.96 175.4 32 213.2 32 256H32z"],
    "link-slash": [640, 512, ["chain-broken", "chain-slash", "unlink"], "f127", "M633.9 483.4C640.9 488.9 642 498.1 636.6 505.9C631.1 512.9 621 514 614.1 508.6L6.086 28.56C-.8493 23.08-2.033 13.02 3.443 6.086C8.918-.8493 18.98-2.033 25.91 3.443L633.9 483.4zM591.5 256L517.3 330.2L492 310.3L568.9 233.4C606.4 195.9 606.4 135.1 568.9 97.61C531.4 60.12 470.6 60.12 433.1 97.61L410.5 120.2C404.3 126.5 394.1 126.5 387.9 120.2C381.6 113.1 381.6 103.9 387.9 97.61L410.5 74.98C460.5 24.99 541.5 24.99 591.5 74.98C641.5 124.1 641.5 206 591.5 256L591.5 256zM286.2 380.6C259.1 353.5 246.6 317.1 249 281.5L282.4 307.8C285.8 326.2 294.6 343.8 308.8 357.9C328.7 377.8 355.2 387.2 381.2 385.9L414.6 412.2C370.7 425.9 320.9 415.3 286.2 380.6V380.6zM258.8 126.1L225.4 99.76C269.3 86.12 319.1 96.69 353.8 131.4C380.9 158.5 393.4 194.9 390.1 230.5L357.6 204.2C354.2 185.8 345.4 168.2 331.2 154.1C311.3 134.2 284.8 124.8 258.8 126.1V126.1zM71.1 278.6C33.61 316.1 33.61 376.9 71.1 414.4C108.6 451.9 169.4 451.9 206.9 414.4L229.5 391.8C235.7 385.5 245.9 385.5 252.1 391.8C258.4 398 258.4 408.1 252.1 414.4L229.5 437C179.5 487 98.46 487 48.47 437C-1.518 387-1.518 305.1 48.47 256L122.7 181.8L147.1 201.7L71.1 278.6z"],
    "lips": [576, 512, [128482, 128068], "f600", "M568.1 201.7C521.6 124.6 419.6 64 375.1 64c0 0-29.37 0-87.99 45C229.4 64 200 64 200 64C156.4 64 54.4 124.6 7.942 201.7c-9.338 15.41-10.46 34.2-3.489 50.73C29.65 312.3 105.9 448 251.3 448h73.36c145.5 0 221.7-135.8 246.9-195.6C578.5 235.9 577.4 217.1 568.1 201.7zM542 239.1C524.6 281.3 457.6 416 324.7 416H251.3c-132.9 0-199.1-134.7-217.3-176C30.91 232.7 31.41 224.8 35.39 218.2c41.31-68.52 132-120.9 163.5-122.2C202.7 96.67 226 101.8 268.5 134.4C274.3 138.8 281.1 141 288 141c6.871 0 13.74-2.205 19.49-6.617c42.47-32.6 65.83-37.71 69.63-38.36c31.45 1.27 122.2 53.65 163.5 122.2C544.6 224.8 545.1 232.7 542 239.1zM490.9 214.3C467.3 204.9 425.3 192 372 192l-30.96 8.875C324.5 205.5 306.4 208 288 208S251.5 205.5 234.9 200.9L203.1 192C150.7 192 108.8 204.9 85.14 214.3C74.26 218.6 71.22 232.6 79.74 240.6C108.8 268.1 178.3 320 288 320c109.7 0 179.2-51.87 208.3-79.35C504.8 232.6 501.7 218.6 490.9 214.3zM288 288C210.7 288 156.1 259.9 122.9 235.2c20.51-5.842 46.47-10.72 76.69-11.16l26.71 7.658C245.7 237.1 267.1 240 288 240c20.94 0 42.26-2.873 61.87-8.365l26.52-7.604c30.21 .4355 56.18 5.318 76.69 11.16C419.9 259.9 365.3 288 288 288z"],
    "lira-sign": [320, 512, [8356], "f195", "M80 224H240C248.8 224 256 231.2 256 240C256 248.8 248.8 256 240 256H80V278.1C80 292.1 79.26 306.1 77.8 320H240C248.8 320 256 327.2 256 336C256 344.8 248.8 352 240 352H73.11C66.88 385.1 56.49 417.4 42.12 448H304C312.8 448 320 455.2 320 464C320 472.8 312.8 480 304 480H16C10.35 480 5.124 477 2.242 472.2C-.641 467.3-.7504 461.3 1.954 456.3L3.066 454.3C20.62 422.1 33.19 387.6 40.5 352H16C7.164 352 0 344.8 0 336C0 327.2 7.164 320 16 320H45.61C47.2 306.1 48 292.1 48 278.1V256H16C7.164 256 .0003 248.8 .0003 240C.0003 231.2 7.164 224 16 224H48V152C48 85.73 101.7 32 168 32H175.1C188 32 200.8 34.08 213.1 38.16L293.1 64.82C301.4 67.62 305.1 76.68 303.2 85.06C300.4 93.44 291.3 97.97 282.9 95.18L202.1 68.52C193.1 65.53 184.6 64 175.1 64H168C119.4 64 80 103.4 80 152L80 224z"],
    "list": [512, 512, ["list-squares"], "f03a", "M16 72C16 58.75 26.75 48 40 48H88C101.3 48 112 58.75 112 72V120C112 133.3 101.3 144 88 144H40C26.75 144 16 133.3 16 120V72zM80 112V80H48V112H80zM496 80C504.8 80 512 87.16 512 96C512 104.8 504.8 112 496 112H176C167.2 112 160 104.8 160 96C160 87.16 167.2 80 176 80H496zM496 240C504.8 240 512 247.2 512 256C512 264.8 504.8 272 496 272H176C167.2 272 160 264.8 160 256C160 247.2 167.2 240 176 240H496zM496 400C504.8 400 512 407.2 512 416C512 424.8 504.8 432 496 432H176C167.2 432 160 424.8 160 416C160 407.2 167.2 400 176 400H496zM88 208C101.3 208 112 218.7 112 232V280C112 293.3 101.3 304 88 304H40C26.75 304 16 293.3 16 280V232C16 218.7 26.75 208 40 208H88zM48 240V272H80V240H48zM16 392C16 378.7 26.75 368 40 368H88C101.3 368 112 378.7 112 392V440C112 453.3 101.3 464 88 464H40C26.75 464 16 453.3 16 440V392zM80 432V400H48V432H80z"],
    "list-check": [512, 512, ["tasks"], "f0ae", "M76.29 154.2C73.41 157.7 69.22 159.8 64.72 159.1C60.23 160.2 55.86 158.5 52.69 155.3L4.686 107.3C-1.562 101.1-1.562 90.94 4.686 84.69C10.93 78.44 21.06 78.44 27.31 84.69L62.92 120.3L131.7 37.76C137.4 30.97 147.5 30.05 154.2 35.71C161 41.37 161.9 51.45 156.3 58.24L76.29 154.2zM76.29 314.2C73.41 317.7 69.22 319.8 64.72 319.1C60.23 320.2 55.86 318.5 52.69 315.3L4.686 267.3C-1.562 261.1-1.562 250.9 4.686 244.7C10.93 238.4 21.06 238.4 27.31 244.7L62.92 280.3L131.7 197.8C137.4 190.1 147.5 190.1 154.2 195.7C161 201.4 161.9 211.5 156.3 218.2L76.29 314.2zM191.1 96C191.1 87.16 199.2 80 207.1 80H496C504.8 80 512 87.16 512 96C512 104.8 504.8 112 496 112H207.1C199.2 112 191.1 104.8 191.1 96zM191.1 256C191.1 247.2 199.2 240 207.1 240H496C504.8 240 512 247.2 512 256C512 264.8 504.8 272 496 272H207.1C199.2 272 191.1 264.8 191.1 256zM159.1 416C159.1 407.2 167.2 400 175.1 400H496C504.8 400 512 407.2 512 416C512 424.8 504.8 432 496 432H175.1C167.2 432 159.1 424.8 159.1 416zM63.1 448C46.33 448 31.1 433.7 31.1 416C31.1 398.3 46.33 384 63.1 384C81.67 384 95.1 398.3 95.1 416C95.1 433.7 81.67 448 63.1 448z"],
    "list-dropdown": [512, 512, [], "e1cf", "M384 109.3L415.8 90.28C423.3 85.73 433.2 88.19 437.7 95.77C442.3 103.3 439.8 113.2 432.2 117.7L392.2 141.7C387.2 144.8 380.8 144.8 375.8 141.7L335.8 117.7C328.2 113.2 325.7 103.3 330.3 95.77C334.8 88.19 344.7 85.73 352.2 90.28L384 109.3zM384 256C392.8 256 400 263.2 400 272C400 280.8 392.8 288 384 288H128C119.2 288 112 280.8 112 272C112 263.2 119.2 256 128 256H384zM384 352C392.8 352 400 359.2 400 368C400 376.8 392.8 384 384 384H128C119.2 384 112 376.8 112 368C112 359.2 119.2 352 128 352H384zM0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM32 96V160H480V96C480 78.33 465.7 64 448 64H64C46.33 64 32 78.33 32 96zM32 416C32 433.7 46.33 448 64 448H448C465.7 448 480 433.7 480 416V192H32V416z"],
    "list-music": [512, 512, [], "f8c9", "M16 223.1h256c8.801 0 16-7.201 16-16c0-8.801-7.199-16-16-16h-256c-8.799 0-16 7.201-16 16C0 216.8 7.201 223.1 16 223.1zM16 95.99h256c8.801 0 16-7.201 16-16c0-8.801-7.199-16-16-16h-256c-8.799 0-16 7.199-16 16C0 88.79 7.201 95.99 16 95.99zM144 319.1h-128c-8.799 0-16 7.201-16 16c0 8.801 7.201 16 16 16h128c8.801 0 16-7.201 16-16C160 327.2 152.8 319.1 144 319.1zM498.8 6.162C493.3 2.176 486.6 .0156 480 0c-3.354-.0078-6.727 .5195-10 1.611l-96.62 31.88C360.8 37.74 352 49.99 352 63.99v312.1c-20.38-14.88-48.63-24.13-80-24.13c-61.88 0-112 35.88-112 80C160 476.1 210.1 512 272 512s112-35.88 112-80V191.1l106.1-35.38C503.1 152.2 512 139.1 512 126.2V31.96C512 21.71 507.1 12.16 498.8 6.162zM272 479.1c-47.13 0-80-25.25-80-48c0-22.75 32.88-47.1 80-47.1s80 25.25 80 48C352 454.7 319.1 479.1 272 479.1zM480 126.2l-96 32l.0469-94.17L383.5 63.99L480 31.99V126.2z"],
    "list-ol": [576, 512, ["list-1-2", "list-numeric"], "f0cb", "M64 48.04C64 39.2 71.16 32.04 80 32.04H112C120.8 32.04 128 39.2 128 48.04V192H160C168.8 192 176 199.2 176 208C176 216.9 168.8 224 160 224H64C55.16 224 48 216.9 48 208C48 199.2 55.16 192 64 192H96V64.04H80C71.16 64.04 64 56.87 64 48.04V48.04zM224 96C224 87.16 231.2 80 240 80H528C536.8 80 544 87.16 544 96C544 104.8 536.8 112 528 112H240C231.2 112 224 104.8 224 96zM224 256C224 247.2 231.2 240 240 240H528C536.8 240 544 247.2 544 256C544 264.8 536.8 272 528 272H240C231.2 272 224 264.8 224 256zM224 416C224 407.2 231.2 400 240 400H528C536.8 400 544 407.2 544 416C544 424.8 536.8 432 528 432H240C231.2 432 224 424.8 224 416zM75.31 339.3C69.07 345.6 58.94 345.6 52.69 339.3C46.44 333.1 46.44 322.9 52.69 316.7L68.1 301.3C92.28 277.1 131.9 278.4 154.4 304.1C174.4 326.1 173.8 361.2 153.1 383.4L92.82 448H160C168.8 448 176 455.2 176 464C176 472.8 168.8 480 160 480H56C49.63 480 43.87 476.2 41.33 470.4C38.79 464.5 39.96 457.7 44.3 453.1L129.7 361.6C139.2 351.4 139.5 335.7 130.3 325.2C119.1 313.4 101.8 312.8 90.73 323.9L75.31 339.3z"],
    "list-radio": [512, 512, [], "e1d0", "M64 112C55.16 112 48 104.8 48 96C48 87.16 55.16 80 64 80C72.84 80 80 87.16 80 96C80 104.8 72.84 112 64 112zM64 160C28.65 160 0 131.3 0 96C0 60.65 28.65 32 64 32C99.35 32 128 60.65 128 96C128 131.3 99.35 160 64 160zM96 96C96 78.33 81.67 64 64 64C46.33 64 32 78.33 32 96C32 113.7 46.33 128 64 128C81.67 128 96 113.7 96 96zM192 96C192 87.16 199.2 80 208 80H496C504.8 80 512 87.16 512 96C512 104.8 504.8 112 496 112H208C199.2 112 192 104.8 192 96zM192 256C192 247.2 199.2 240 208 240H496C504.8 240 512 247.2 512 256C512 264.8 504.8 272 496 272H208C199.2 272 192 264.8 192 256zM192 416C192 407.2 199.2 400 208 400H496C504.8 400 512 407.2 512 416C512 424.8 504.8 432 496 432H208C199.2 432 192 424.8 192 416zM64 192C99.35 192 128 220.7 128 256C128 291.3 99.35 320 64 320C28.65 320 0 291.3 0 256C0 220.7 28.65 192 64 192zM32 256C32 273.7 46.33 288 64 288C81.67 288 96 273.7 96 256C96 238.3 81.67 224 64 224C46.33 224 32 238.3 32 256zM64 480C28.65 480 0 451.3 0 416C0 380.7 28.65 352 64 352C99.35 352 128 380.7 128 416C128 451.3 99.35 480 64 480zM96 416C96 398.3 81.67 384 64 384C46.33 384 32 398.3 32 416C32 433.7 46.33 448 64 448C81.67 448 96 433.7 96 416z"],
    "list-timeline": [512, 512, [], "e1d1", "M213.3 32H416C433.7 32 448 46.33 448 64V128C448 145.7 433.7 160 416 160H213.3C204.8 160 196.6 156.6 190.6 150.6L147.3 107.3C141.1 101.1 141.1 90.94 147.3 84.69L190.6 41.37C196.6 35.37 204.8 32 213.3 32V32zM416 128V64H213.3L181.3 96L213.3 128H416zM64 64C81.67 64 96 78.33 96 96C96 113.7 81.67 128 64 128C46.33 128 32 113.7 32 96C32 78.33 46.33 64 64 64zM64 224C81.67 224 96 238.3 96 256C96 273.7 81.67 288 64 288C46.33 288 32 273.7 32 256C32 238.3 46.33 224 64 224zM64 448C46.33 448 32 433.7 32 416C32 398.3 46.33 384 64 384C81.67 384 96 398.3 96 416C96 433.7 81.67 448 64 448zM213.3 352H416C433.7 352 448 366.3 448 384V448C448 465.7 433.7 480 416 480H213.3C204.8 480 196.6 476.6 190.6 470.6L147.3 427.3C141.1 421.1 141.1 410.9 147.3 404.7L190.6 361.4C196.6 355.4 204.8 352 213.3 352V352zM416 448V384H213.3L181.3 416L213.3 448H416zM147.3 244.7L190.6 201.4C196.6 195.4 204.8 192 213.3 192H480C497.7 192 512 206.3 512 224V288C512 305.7 497.7 320 480 320H213.3C204.8 320 196.6 316.6 190.6 310.6L147.3 267.3C141.1 261.1 141.1 250.9 147.3 244.7V244.7zM181.3 256L213.3 288H480V224H213.3L181.3 256z"],
    "list-tree": [512, 512, [], "e1d2", "M0 72C0 58.75 10.75 48 24 48H72C85.25 48 96 58.75 96 72V120C96 133.3 85.25 144 72 144H64V240H128V232C128 218.7 138.7 208 152 208H200C213.3 208 224 218.7 224 232V280C224 293.3 213.3 304 200 304H152C138.7 304 128 293.3 128 280V272H64V384C64 392.8 71.16 400 80 400H128V392C128 378.7 138.7 368 152 368H200C213.3 368 224 378.7 224 392V440C224 453.3 213.3 464 200 464H152C138.7 464 128 453.3 128 440V432H80C53.49 432 32 410.5 32 384V144H24C10.75 144 0 133.3 0 120V72zM64 112V80H32V112H64zM192 432V400H160V432H192zM160 240V272H192V240H160zM160 96C160 87.16 167.2 80 176 80H496C504.8 80 512 87.16 512 96C512 104.8 504.8 112 496 112H176C167.2 112 160 104.8 160 96zM288 256C288 247.2 295.2 240 304 240H496C504.8 240 512 247.2 512 256C512 264.8 504.8 272 496 272H304C295.2 272 288 264.8 288 256zM288 416C288 407.2 295.2 400 304 400H496C504.8 400 512 407.2 512 416C512 424.8 504.8 432 496 432H304C295.2 432 288 424.8 288 416z"],
    "list-ul": [512, 512, ["list-dots"], "f0ca", "M64 64C81.67 64 96 78.33 96 96C96 113.7 81.67 128 64 128C46.33 128 32 113.7 32 96C32 78.33 46.33 64 64 64zM496 80C504.8 80 512 87.16 512 96C512 104.8 504.8 112 496 112H176C167.2 112 160 104.8 160 96C160 87.16 167.2 80 176 80H496zM496 240C504.8 240 512 247.2 512 256C512 264.8 504.8 272 496 272H176C167.2 272 160 264.8 160 256C160 247.2 167.2 240 176 240H496zM496 400C504.8 400 512 407.2 512 416C512 424.8 504.8 432 496 432H176C167.2 432 160 424.8 160 416C160 407.2 167.2 400 176 400H496zM64 288C46.33 288 32 273.7 32 256C32 238.3 46.33 224 64 224C81.67 224 96 238.3 96 256C96 273.7 81.67 288 64 288zM64 384C81.67 384 96 398.3 96 416C96 433.7 81.67 448 64 448C46.33 448 32 433.7 32 416C32 398.3 46.33 384 64 384z"],
    "litecoin-sign": [384, 512, [], "e1d3", "M95.1 219.5L268.1 176.5C276.7 174.3 285.4 179.5 287.5 188.1C289.7 196.7 284.5 205.4 275.9 207.5L95.1 252.5V440C95.1 444.4 99.58 448 103.1 448H368C376.8 448 384 455.2 384 464C384 472.8 376.8 480 368 480H103.1C81.91 480 63.1 462.1 63.1 440V260.5L19.88 271.5C11.31 273.7 2.621 268.5 .4774 259.9C-1.666 251.3 3.547 242.6 12.12 240.5L63.1 227.5V48C63.1 39.16 71.16 32 79.1 32C88.84 32 95.1 39.16 95.1 48V219.5z"],
    "loader": [576, 512, [], "e1d4", "M304 112C304 120.8 296.8 128 288 128C279.2 128 272 120.8 272 112V16C272 7.164 279.2 0 288 0C296.8 0 304 7.164 304 16V112zM304 496C304 504.8 296.8 512 288 512C279.2 512 272 504.8 272 496V400C272 391.2 279.2 384 288 384C296.8 384 304 391.2 304 400V496zM32 256C32 247.2 39.16 240 48 240H144C152.8 240 160 247.2 160 256C160 264.8 152.8 272 144 272H48C39.16 272 32 264.8 32 256zM528 240C536.8 240 544 247.2 544 256C544 264.8 536.8 272 528 272H432C423.2 272 416 264.8 416 256C416 247.2 423.2 240 432 240H528zM469 74.98C475.3 81.23 475.3 91.36 469 97.61L401.1 165.5C394.9 171.7 384.8 171.7 378.5 165.5C372.3 159.2 372.3 149.1 378.5 142.9L446.4 74.98C452.6 68.73 462.8 68.73 469 74.98V74.98zM129.6 437C123.4 443.3 113.2 443.3 106.1 437C100.7 430.8 100.7 420.6 106.1 414.4L174.9 346.5C181.1 340.3 191.2 340.3 197.5 346.5C203.7 352.8 203.7 362.9 197.5 369.1L129.6 437zM106.1 74.98C113.2 68.73 123.4 68.73 129.6 74.98L197.5 142.9C203.7 149.1 203.7 159.2 197.5 165.5C191.2 171.7 181.1 171.7 174.9 165.5L106.1 97.61C100.7 91.36 100.7 81.23 106.1 74.98V74.98zM469 414.4C475.3 420.6 475.3 430.8 469 437C462.8 443.3 452.6 443.3 446.4 437L378.5 369.1C372.3 362.9 372.3 352.8 378.5 346.5C384.8 340.3 394.9 340.3 401.1 346.5L469 414.4z"],
    "lobster": [512, 512, [129438], "e421", "M432 0c-4.781 0-9.344 2.156-12.38 5.859s-4.25 8.578-3.312 13.28l16 80c1.75 8.703 10.53 14.27 18.81 12.55c8.688-1.734 14.31-10.16 12.56-18.83l-11.25-56.3C468.7 44.25 480 60.83 480 80V128c0 17.64-14.34 32-32 32s-32-14.36-32-32V80C416 71.16 408.8 64 400 64S384 71.16 384 80V128c0 17.32 6.977 33 18.19 44.54l-26.85 18.79C367.3 197 357.8 200 347.8 200h-13.69C330.2 173.8 317.8 153.1 304 137.9V80c0-17.64 14.34-32 32-32C344.8 48 352 40.84 352 32s-7.156-16-16-16c-35.28 0-64 28.7-64 64v30.9c-4.662-2.926-8.264-4.926-8.844-5.215C260.9 104.6 258.5 104 256 104S251.1 104.6 248.8 105.7C248.3 105.1 244.7 107.1 240 110.9V80c0-35.3-28.72-64-64-64C167.2 16 160 23.16 160 32s7.156 16 16 16c17.66 0 32 14.36 32 32v57.91C194.2 153.1 181.8 173.8 177.9 200H164.2c-9.938 0-19.44-3-27.53-8.672L109.8 172.5C121 161 128 145.3 128 128V80C128 71.16 120.8 64 112 64S96 71.16 96 80V128c0 17.64-14.34 32-32 32S32 145.6 32 128V80c0-19.17 11.28-35.75 27.56-43.44L48.31 92.86C46.56 101.5 52.19 109.1 60.88 111.7c8.281 1.719 17.06-3.844 18.81-12.55l16-80c.9375-4.703-.2813-9.578-3.312-13.28S84.78 0 79.1 0C35.87 0 0 35.89 0 79.1V128c0 35.3 28.72 64 64 64c5.186 0 10.16-.7891 14.99-1.959l39.29 27.51C131.8 227 147.7 232 164.2 232H176V256H143.1C135.7 256 128.3 254.3 121.7 250.9l-34.5-17.25c-7.875-3.891-17.5-.7656-21.47 7.156C61.75 248.8 64.94 258.4 72.84 262.3l34.5 17.25C118.4 285.1 130.8 288 143.1 288H176v16H122.4c-5.156 0-10.25-.8281-15.16-2.453L69.06 288.8c-8.344-2.734-17.44 1.719-20.25 10.11C46.03 307.3 50.56 316.4 58.94 319.2l38.16 12.73C105.3 334.6 113.8 336 122.4 336H176V352H175.1c-12.34 0-24.72 2.922-35.75 8.438l-18.5 9.25c-7.906 3.953-11.09 13.56-7.156 21.47C116.5 396.8 122.2 400 128 400c2.406 0 4.844-.5469 7.156-1.688l18.5-9.25C160.3 385.8 167.7 384 175.1 384h3.734c.8594 3.975 1.629 7.973 2.922 11.84l13.22 39.7C169.1 444.3 152 468.1 152 496c0 8.844 7.156 16 16 16h176c8.844 0 16-7.156 16-16c0-27.94-18-51.73-42.97-60.45l13.22-39.7C331.5 391.1 332.3 387.1 333.2 384h3.734c7.406 0 14.81 1.75 21.44 5.062l18.5 9.25C379.2 399.5 381.6 400 384 400c5.844 0 11.5-3.234 14.31-8.844c3.938-7.906 .75-17.52-7.156-21.47l-18.5-9.25C361.6 354.9 349.3 352 336.9 352H336v-16h53.63c8.594 0 17.09-1.385 25.28-4.104l38.16-12.72c8.375-2.781 12.91-11.84 10.12-20.23c-2.812-8.391-11.91-12.84-20.25-10.11l-38.16 12.71C399.9 303.2 394.8 304 389.6 304H336V288h32.91c12.34 0 24.72-2.922 35.75-8.438l34.5-17.25c7.906-3.953 11.09-13.56 7.156-21.47c-3.969-7.922-13.59-11.05-21.47-7.156l-34.5 17.25C383.7 254.3 376.3 256 368.9 256H336V232h11.81c16.53 0 32.41-5 45.91-14.45l39.29-27.51C437.8 191.2 442.8 192 448 192c35.28 0 64-28.7 64-64V79.1C512 35.89 476.1 0 432 0zM208 216c0-41.27 33.03-67.59 48-77.39C270.1 148.4 304 174.7 304 216v81.69C297.1 300.4 280.3 304 256 304S214.9 300.4 208 297.7V216zM208 331.1C223.7 334.1 241.1 336 256 336c13.1 0 32.35-1.025 48-4.861v14.55C297.1 348.4 280.3 352 256 352s-41.08-3.57-48-6.312V331.1zM301.4 379.7c-.498 1.998-.8223 4.037-1.477 5.996l-3.66 10.97C284.9 398.7 270.5 399.7 256 399.7s-28.93-1.018-40.25-3.053l-3.66-10.97c-.6543-1.959-.9785-3.998-1.477-5.996C225.7 383 242.8 384 256 384S286.3 383 301.4 379.7zM323.7 480H188.3c5.625-9.562 16.22-16 28.84-16c5.625 0 10.81-2.938 13.72-7.75c2.875-4.797 3.062-10.78 .4062-15.73c-.0938-.2187-2.125-3.719-2.25-3.938l-1.996-5.982C236.1 431.5 245.9 432 256 432s19.88-.5059 28.93-1.404l-1.996 5.982c-.125 .2187-2.156 3.719-2.25 3.938c-2.656 4.953-2.469 10.94 .4062 15.73C284 461.1 289.2 464 294.8 464C307.4 464 318 470.4 323.7 480z"],
    "location-arrow": [448, 512, [], "f124", "M47.1 256C32.71 256 19.55 245.2 16.6 230.2C13.65 215.2 21.73 200.2 35.88 194.4L387.9 50.38C399.8 45.5 413.5 48.26 422.6 57.37C431.7 66.49 434.5 80.19 429.6 92.12L285.6 444.1C279.8 458.3 264.8 466.3 249.8 463.4C234.8 460.4 223.1 447.3 223.1 432V256H47.1zM256 224V432L400 80L47.1 224H256z"],
    "location-check": [384, 512, ["map-marker-check"], "f606", "M171.3 267.3C165.1 273.6 154.9 273.6 148.7 267.3L92.69 211.3C86.44 205.1 86.44 194.9 92.69 188.7C98.93 182.4 109.1 182.4 115.3 188.7L160 233.4L260.7 132.7C266.9 126.4 277.1 126.4 283.3 132.7C289.6 138.9 289.6 149.1 283.3 155.3L171.3 267.3zM384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192H384zM192 32C103.6 32 32 103.6 32 192C32 207.6 37.43 229 48.56 255.4C59.47 281.3 74.8 309.4 92.14 337.5C126.2 392.8 166.6 445.7 192 477.6C217.4 445.7 257.8 392.8 291.9 337.5C309.2 309.4 324.5 281.3 335.4 255.4C346.6 229 352 207.6 352 192C352 103.6 280.4 32 192 32z"],
    "location-crosshairs": [512, 512, ["location"], "f601", "M352 256C352 309 309 352 256 352C202.1 352 160 309 160 256C160 202.1 202.1 160 256 160C309 160 352 202.1 352 256zM256 192C220.7 192 192 220.7 192 256C192 291.3 220.7 320 256 320C291.3 320 320 291.3 320 256C320 220.7 291.3 192 256 192zM256 0C264.8 0 272 7.164 272 16V64.66C365.3 72.35 439.6 146.7 447.3 240H496C504.8 240 512 247.2 512 256C512 264.8 504.8 272 496 272H447.3C439.6 365.3 365.3 439.6 272 447.3V496C272 504.8 264.8 512 256 512C247.2 512 240 504.8 240 496V447.3C146.7 439.6 72.35 365.3 64.66 272H16C7.164 272 0 264.8 0 256C0 247.2 7.164 240 16 240H64.66C72.35 146.7 146.7 72.35 240 64.66V16C240 7.164 247.2 0 256 0V0zM96 256C96 344.4 167.6 416 256 416C344.4 416 416 344.4 416 256C416 167.6 344.4 96 256 96C167.6 96 96 167.6 96 256z"],
    "location-crosshairs-slash": [640, 512, ["location-slash"], "f603", "M633.9 483.4C640.9 488.9 642 498.1 636.6 505.9C631.1 512.9 621 514 614.1 508.6L6.086 28.56C-.8493 23.08-2.033 13.02 3.443 6.086C8.918-.8493 18.98-2.033 25.91 3.443L633.9 483.4zM395.5 397.1L422.4 418.4C397 434.5 367.6 444.7 336 447.3V496C336 504.8 328.8 512 319.1 512C311.2 512 303.1 504.8 303.1 496V447.3C210.7 439.6 136.4 365.3 128.7 272H79.1C71.16 272 63.1 264.8 63.1 256C63.1 247.2 71.16 240 79.1 240H128.7C129.1 224 133.2 208.6 138.2 194L165.2 215.3C161.8 228.3 159.1 241.1 159.1 256C159.1 344.4 231.6 416 319.1 416C347.3 416 372.1 409.2 395.5 397.1V397.1zM303.1 16C303.1 7.164 311.2 .0006 319.1 .0006C328.8 .0006 336 7.164 336 16V64.66C429.3 72.35 503.6 146.7 511.3 240H560C568.8 240 576 247.2 576 256C576 264.8 568.8 272 560 272H511.3C510 287.1 506.8 303.4 501.8 317.1L474.8 296.7C478.2 283.7 480 270.1 480 256C480 167.6 408.4 96 319.1 96C292.7 96 267 102.8 244.5 114.9L217.6 93.58C242.1 77.53 272.4 67.26 303.1 64.66V16zM319.1 352C268.1 352 227.2 312.2 224.2 261.9L279.9 305.9C280.2 306.1 280.5 306.4 280.8 306.6L336.5 350.6C331.2 351.5 325.6 352 320 352L319.1 352zM319.1 160C371 160 412.8 199.8 415.8 250.1L360.1 206.1C359.8 205.9 359.5 205.6 359.2 205.4L303.5 161.4C308.8 160.5 314.4 160 319.1 160V160z"],
    "location-dot": [384, 512, ["map-marker-alt"], "f3c5", "M272 192C272 236.2 236.2 272 192 272C147.8 272 112 236.2 112 192C112 147.8 147.8 112 192 112C236.2 112 272 147.8 272 192zM192 240C218.5 240 240 218.5 240 192C240 165.5 218.5 144 192 144C165.5 144 144 165.5 144 192C144 218.5 165.5 240 192 240zM384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192H384zM192 32C103.6 32 32 103.6 32 192C32 207.6 37.43 229 48.56 255.4C59.47 281.3 74.8 309.4 92.14 337.5C126.2 392.8 166.6 445.7 192 477.6C217.4 445.7 257.8 392.8 291.9 337.5C309.2 309.4 324.5 281.3 335.4 255.4C346.6 229 352 207.6 352 192C352 103.6 280.4 32 192 32z"],
    "location-dot-slash": [640, 512, ["map-marker-alt-slash"], "f605", "M633.9 483.4C640.9 488.9 642 498.1 636.6 505.9C631.1 512.9 621 514 614.1 508.6L6.086 28.56C-.8493 23.08-2.033 13.02 3.443 6.086C8.918-.8493 18.98-2.033 25.91 3.443L633.9 483.4zM385.8 389.5L410.9 409.3C385.7 445.6 360.1 477.6 343.7 499.2C331.4 514.5 308.6 514.5 296.3 499.2C244.1 435 127.1 279.4 127.1 192C127.1 190 128 188 128.1 186L162.6 213.3C165.2 225.4 169.8 239.5 176.6 255.4C187.5 281.3 202.8 309.4 220.1 337.5C254.2 392.8 294.6 445.7 319.1 477.6C337.3 455.1 361.4 424.7 385.8 389.5L385.8 389.5zM512 192C512 221.9 498.3 259.8 478.2 299.4L452.6 279.1C456.5 271 460.2 263.1 463.4 255.4C474.6 229 480 207.6 480 192C480 103.6 408.4 32 320 32C274 32 232.6 51.38 203.4 82.42L178.2 62.53C213.3 24.1 263.8 .0006 320 .0006C426 .0006 512 85.96 512 192H512zM400 192C400 205.8 396.5 218.7 390.4 230L364.6 209.7C366.8 204.2 368 198.3 368 192C368 165.5 346.5 144 319.1 144C309.7 144 300.2 147.2 292.4 152.7L266.7 132.4C280.8 119.7 299.5 112 319.1 112C364.2 112 400 147.8 400 192V192z"],
    "location-exclamation": [384, 512, ["map-marker-exclamation"], "f608", "M192 96C200.8 96 208 103.2 208 112V240C208 248.8 200.8 256 192 256C183.2 256 176 248.8 176 240V112C176 103.2 183.2 96 192 96zM216 320C216 333.3 205.3 344 192 344C178.7 344 168 333.3 168 320C168 306.7 178.7 296 192 296C205.3 296 216 306.7 216 320zM384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192H384zM192 32C103.6 32 32 103.6 32 192C32 207.6 37.43 229 48.56 255.4C59.47 281.3 74.8 309.4 92.14 337.5C126.2 392.8 166.6 445.7 192 477.6C217.4 445.7 257.8 392.8 291.9 337.5C309.2 309.4 324.5 281.3 335.4 255.4C346.6 229 352 207.6 352 192C352 103.6 280.4 32 192 32z"],
    "location-minus": [384, 512, ["map-marker-minus"], "f609", "M272 176C280.8 176 288 183.2 288 192C288 200.8 280.8 208 272 208H112C103.2 208 96 200.8 96 192C96 183.2 103.2 176 112 176H272zM384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192H384zM192 32C103.6 32 32 103.6 32 192C32 207.6 37.43 229 48.56 255.4C59.47 281.3 74.8 309.4 92.14 337.5C126.2 392.8 166.6 445.7 192 477.6C217.4 445.7 257.8 392.8 291.9 337.5C309.2 309.4 324.5 281.3 335.4 255.4C346.6 229 352 207.6 352 192C352 103.6 280.4 32 192 32z"],
    "location-pen": [384, 512, ["map-marker-edit"], "f607", "M211.8 109C229.2 91.62 257.5 91.62 274.9 109C292.3 126.5 292.3 154.7 274.9 172.1L183.5 263.6C177.3 269.7 169.6 274.1 161.2 276.2L115.9 287.5C110.4 288.9 104.7 287.3 100.7 283.3C96.71 279.4 95.12 273.6 96.48 268.1L107.8 222.8C109.9 214.4 114.3 206.7 120.4 200.5L211.8 109zM252.3 131.7C247.4 126.7 239.4 126.7 234.5 131.7L226.4 139.8L244.2 157.6L252.3 149.5C257.2 144.6 257.2 136.6 252.3 131.7V131.7zM138.8 230.6L133.1 250L153.4 245.2C156.2 244.5 158.8 243 160.8 240.1L221.6 180.2L203.8 162.4L143.1 223.1C141 225.2 139.6 227.8 138.8 230.6zM384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192H384zM192 32C103.6 32 32 103.6 32 192C32 207.6 37.43 229 48.56 255.4C59.47 281.3 74.8 309.4 92.14 337.5C126.2 392.8 166.6 445.7 192 477.6C217.4 445.7 257.8 392.8 291.9 337.5C309.2 309.4 324.5 281.3 335.4 255.4C346.6 229 352 207.6 352 192C352 103.6 280.4 32 192 32z"],
    "location-pin": [384, 512, ["map-marker"], "f041", "M168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2H168.3zM335.4 255.4C346.6 229 352 207.6 352 192C352 103.6 280.4 32 192 32C103.6 32 32 103.6 32 192C32 207.6 37.43 229 48.56 255.4C59.47 281.3 74.8 309.4 92.14 337.5C126.2 392.8 166.6 445.7 192 477.6C217.4 445.7 257.8 392.8 291.9 337.5C309.2 309.4 324.5 281.3 335.4 255.4z"],
    "location-pin-lock": [512, 512, [], "e51f", "M192 477.6C208.8 456.5 232.2 426.2 256 392V446.8C240.7 467.4 226.7 485.4 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C287.7 0 366.1 69.96 381.6 161.5C370.7 163.3 360.3 166.7 350.7 171.4C340.6 92.77 273.4 32 192 32C103.6 32 32 103.6 32 192C32 207.6 37.43 229 48.56 255.4C59.47 281.3 74.8 309.4 92.14 337.5C126.2 392.8 166.6 445.7 192 477.6L192 477.6zM272 191.1C272 236.2 236.2 271.1 192 271.1C147.8 271.1 112 236.2 112 191.1C112 147.8 147.8 111.1 192 111.1C236.2 111.1 272 147.8 272 191.1zM192 239.1C218.5 239.1 240 218.5 240 191.1C240 165.5 218.5 143.1 192 143.1C165.5 143.1 144 165.5 144 191.1C144 218.5 165.5 239.1 192 239.1zM400 191.1C444.2 191.1 480 227.8 480 271.1V319.1C497.7 319.1 512 334.3 512 352V480C512 497.7 497.7 512 480 512H320C302.3 512 288 497.7 288 480V352C288 334.3 302.3 319.1 320 319.1V271.1C320 227.8 355.8 191.1 400 191.1zM400 223.1C373.5 223.1 352 245.5 352 271.1V319.1H448V271.1C448 245.5 426.5 223.1 400 223.1zM320 352V480H480V352H320z"],
    "location-pin-slash": [640, 512, ["map-marker-slash"], "f60c", "M633.9 483.4C640.9 488.9 642 498.1 636.6 505.9C631.1 512.9 621 514 614.1 508.6L6.086 28.56C-.8493 23.08-2.033 13.02 3.443 6.086C8.918-.8493 18.98-2.033 25.91 3.443L633.9 483.4zM512 192C512 221.9 498.3 259.8 478.2 299.4L452.6 279.1C456.5 271 460.2 263.1 463.4 255.4C474.6 229 480 207.6 480 192C480 103.6 408.4 32 320 32C274 32 232.6 51.38 203.4 82.42L178.2 62.53C213.3 24.1 263.8 .0006 320 .0006C426 .0006 512 85.96 512 192H512zM220.1 337.5C254.2 392.8 294.6 445.7 319.1 477.6C337.3 455.1 361.4 424.7 385.8 389.5L410.9 409.3C385.7 445.6 360.1 477.6 343.7 499.2C331.4 514.5 308.6 514.5 296.3 499.2C244.1 435 127.1 279.4 127.1 192C127.1 190 128 188 128.1 186L162.6 213.3C165.2 225.4 169.8 239.5 176.6 255.4C187.5 281.3 202.8 309.4 220.1 337.5L220.1 337.5z"],
    "location-plus": [384, 512, ["map-marker-plus"], "f60a", "M192 96C200.8 96 208 103.2 208 112V176H272C280.8 176 288 183.2 288 192C288 200.8 280.8 208 272 208H208V272C208 280.8 200.8 288 192 288C183.2 288 176 280.8 176 272V208H112C103.2 208 96 200.8 96 192C96 183.2 103.2 176 112 176H176V112C176 103.2 183.2 96 192 96zM384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192H384zM192 32C103.6 32 32 103.6 32 192C32 207.6 37.43 229 48.56 255.4C59.47 281.3 74.8 309.4 92.14 337.5C126.2 392.8 166.6 445.7 192 477.6C217.4 445.7 257.8 392.8 291.9 337.5C309.2 309.4 324.5 281.3 335.4 255.4C346.6 229 352 207.6 352 192C352 103.6 280.4 32 192 32z"],
    "location-question": [384, 512, ["map-marker-question"], "f60b", "M104.7 137.8C111.2 113.2 133.4 96 158.9 96H216C251.5 96 280 125 280 160.3C280 184.3 266.6 206.5 245.1 217.4L208 236.3V256C208 264.8 200.8 272 192 272C183.2 272 176 264.8 176 256V226.5C176 220.5 179.4 215 184.7 212.3L230.5 188.9C241.2 183.5 248 172.3 248 160.3C248 142.5 233.6 128 216 128H158.9C147.1 128 138.4 135.4 135.7 145.9L135.5 146.6C133.2 155.1 124.5 160.3 115.9 158C107.4 155.8 102.3 147 104.5 138.5L104.7 137.8zM216 320C216 333.3 205.3 344 192 344C178.7 344 168 333.3 168 320C168 306.7 178.7 296 192 296C205.3 296 216 306.7 216 320zM384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192H384zM192 32C103.6 32 32 103.6 32 192C32 207.6 37.43 229 48.56 255.4C59.47 281.3 74.8 309.4 92.14 337.5C126.2 392.8 166.6 445.7 192 477.6C217.4 445.7 257.8 392.8 291.9 337.5C309.2 309.4 324.5 281.3 335.4 255.4C346.6 229 352 207.6 352 192C352 103.6 280.4 32 192 32z"],
    "location-smile": [384, 512, ["map-marker-smile"], "f60d", "M104 160C104 146.7 114.7 136 128 136C141.3 136 152 146.7 152 160C152 173.3 141.3 184 128 184C114.7 184 104 173.3 104 160zM280 160C280 173.3 269.3 184 256 184C242.7 184 232 173.3 232 160C232 146.7 242.7 136 256 136C269.3 136 280 146.7 280 160zM192 280C227.1 280 251.9 257.3 258.7 247.1C263.6 239.8 273.5 237.8 280.9 242.7C288.2 247.6 290.2 257.5 285.3 264.9C274.3 281.4 241.4 312 192 312C142.6 312 109.7 281.4 98.69 264.9C93.79 257.5 95.77 247.6 103.1 242.7C110.5 237.8 120.4 239.8 125.3 247.1C132.1 257.3 156 280 191.1 280H192zM384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192H384zM192 32C103.6 32 32 103.6 32 192C32 207.6 37.43 229 48.56 255.4C59.47 281.3 74.8 309.4 92.14 337.5C126.2 392.8 166.6 445.7 192 477.6C217.4 445.7 257.8 392.8 291.9 337.5C309.2 309.4 324.5 281.3 335.4 255.4C346.6 229 352 207.6 352 192C352 103.6 280.4 32 192 32z"],
    "location-xmark": [384, 512, ["map-marker-times", "map-marker-xmark"], "f60e", "M124.1 124.1C130.4 117.9 140.5 117.9 146.7 124.1L192 169.4L237.3 124.1C243.5 117.9 253.6 117.9 259.9 124.1C266.1 130.4 266.1 140.5 259.9 146.7L214.6 192L259.9 237.3C266.1 243.5 266.1 253.6 259.9 259.9C253.6 266.1 243.5 266.1 237.3 259.9L192 214.6L146.7 259.9C140.5 266.1 130.4 266.1 124.1 259.9C117.9 253.6 117.9 243.5 124.1 237.3L169.4 192L124.1 146.7C117.9 140.5 117.9 130.4 124.1 124.1V124.1zM384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192H384zM192 32C103.6 32 32 103.6 32 192C32 207.6 37.43 229 48.56 255.4C59.47 281.3 74.8 309.4 92.14 337.5C126.2 392.8 166.6 445.7 192 477.6C217.4 445.7 257.8 392.8 291.9 337.5C309.2 309.4 324.5 281.3 335.4 255.4C346.6 229 352 207.6 352 192C352 103.6 280.4 32 192 32z"],
    "lock": [448, 512, [128274], "f023", "M96 192V128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128V192H368C412.2 192 448 227.8 448 272V432C448 476.2 412.2 512 368 512H80C35.82 512 0 476.2 0 432V272C0 227.8 35.82 192 80 192H96zM128 192H320V128C320 74.98 277 32 224 32C170.1 32 128 74.98 128 128V192zM32 432C32 458.5 53.49 480 80 480H368C394.5 480 416 458.5 416 432V272C416 245.5 394.5 224 368 224H80C53.49 224 32 245.5 32 272V432z"],
    "lock-a": [448, 512, [], "e422", "M129.7 424.8L209.6 264.1C210.4 263.4 211.4 261.1 212.6 260.7C214.1 259.3 215.8 258.1 217.6 257.3C219.7 256.4 221.9 255.1 224 255.1C226.1 255.1 228.3 256.4 230.4 257.3C232.2 258.1 233.9 259.2 235.3 260.7C236.6 261.1 237.6 263.4 238.4 264.1L318.3 424.8C322.3 432.7 319.1 442.4 311.2 446.3C303.3 450.3 293.6 447.1 289.7 439.2L270.1 400H177.9L158.3 439.2C154.4 447.1 144.7 450.3 136.8 446.3C128.9 442.4 125.7 432.7 129.7 424.8V424.8zM193.9 368H254.1L224 307.8L193.9 368zM224 0C294.7 0 352 57.31 352 128V192H368C412.2 192 448 227.8 448 272V432C448 476.2 412.2 512 368 512H80C35.82 512 0 476.2 0 432V272C0 227.8 35.82 192 80 192H96V128C96 57.31 153.3 0 224 0zM224 32C170.1 32 128 74.98 128 128V192H320V128C320 74.98 277 32 224 32zM80 224C53.49 224 32 245.5 32 272V432C32 458.5 53.49 480 80 480H368C394.5 480 416 458.5 416 432V272C416 245.5 394.5 224 368 224H80z"],
    "lock-hashtag": [448, 512, [], "e423", "M176 240C184.8 240 192 247.2 192 256V288H256V256C256 247.2 263.2 240 272 240C280.8 240 288 247.2 288 256V288H320C328.8 288 336 295.2 336 304C336 312.8 328.8 320 320 320H288V384H320C328.8 384 336 391.2 336 400C336 408.8 328.8 416 320 416H288V448C288 456.8 280.8 464 272 464C263.2 464 256 456.8 256 448V416H192V448C192 456.8 184.8 464 176 464C167.2 464 160 456.8 160 448V416H128C119.2 416 112 408.8 112 400C112 391.2 119.2 384 128 384H160V320H128C119.2 320 112 312.8 112 304C112 295.2 119.2 288 128 288H160V256C160 247.2 167.2 240 176 240zM192 384H256V320H192V384zM96 192V128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128V192H368C412.2 192 448 227.8 448 272V432C448 476.2 412.2 512 368 512H80C35.82 512 0 476.2 0 432V272C0 227.8 35.82 192 80 192H96zM128 192H320V128C320 74.98 277 32 224 32C170.1 32 128 74.98 128 128V192zM32 432C32 458.5 53.49 480 80 480H368C394.5 480 416 458.5 416 432V272C416 245.5 394.5 224 368 224H80C53.49 224 32 245.5 32 272V432z"],
    "lock-keyhole": [448, 512, ["lock-alt"], "f30d", "M240 392C240 400.8 232.8 408 224 408C215.2 408 208 400.8 208 392V312C208 303.2 215.2 296 224 296C232.8 296 240 303.2 240 312V392zM224 0C294.7 0 352 57.31 352 128V192H368C412.2 192 448 227.8 448 272V432C448 476.2 412.2 512 368 512H80C35.82 512 0 476.2 0 432V272C0 227.8 35.82 192 80 192H96V128C96 57.31 153.3 0 224 0zM224 32C170.1 32 128 74.98 128 128V192H320V128C320 74.98 277 32 224 32zM80 224C53.49 224 32 245.5 32 272V432C32 458.5 53.49 480 80 480H368C394.5 480 416 458.5 416 432V272C416 245.5 394.5 224 368 224H80z"],
    "lock-keyhole-open": [576, 512, ["lock-open-alt"], "f3c2", "M184 368C175.2 368 168 360.8 168 352C168 343.2 175.2 336 184 336H264C272.8 336 280 343.2 280 352C280 360.8 272.8 368 264 368H184zM448 32C394.1 32 352 74.98 352 128V192H368C412.2 192 448 227.8 448 272V432C448 476.2 412.2 512 368 512H80C35.82 512 0 476.2 0 432V272C0 227.8 35.82 192 80 192H320V128C320 57.31 377.3 0 448 0C518.7 0 576 57.31 576 128V208C576 216.8 568.8 224 560 224C551.2 224 544 216.8 544 208V128C544 74.98 501 32 448 32zM32 272V432C32 458.5 53.49 480 80 480H368C394.5 480 416 458.5 416 432V272C416 245.5 394.5 224 368 224H80C53.49 224 32 245.5 32 272z"],
    "lock-open": [576, 512, [], "f3c1", "M352 192H368C412.2 192 448 227.8 448 272V432C448 476.2 412.2 512 368 512H80C35.82 512 0 476.2 0 432V272C0 227.8 35.82 192 80 192H320V128C320 57.31 377.3 0 448 0C518.7 0 576 57.31 576 128V208C576 216.8 568.8 224 560 224C551.2 224 544 216.8 544 208V128C544 74.98 501 32 448 32C394.1 32 352 74.98 352 128V192zM80 224C53.49 224 32 245.5 32 272V432C32 458.5 53.49 480 80 480H368C394.5 480 416 458.5 416 432V272C416 245.5 394.5 224 368 224H80z"],
    "locust": [576, 512, [], "e520", "M448 320C448 306.7 458.7 296 472 296C485.3 296 496 306.7 496 320C496 333.3 485.3 344 472 344C458.7 344 448 333.3 448 320zM336 32C468.6 32 576 139.5 576 272V319.7L576 320C576 369.8 538.1 410.7 489.7 415.5L510.3 456.8C514.3 464.7 511.1 474.4 503.2 478.3C495.3 482.3 485.6 479.1 481.7 471.2L454.1 416H317.9L285.9 471.9C281.5 479.6 271.7 482.3 264.1 477.9C256.4 473.5 253.7 463.7 258.1 456.1L281 416H248.8C233.3 416 217.9 414.4 202.8 411.2L156.9 473.5C151.6 480.6 141.6 482.1 134.5 476.9C127.4 471.6 125.9 461.6 131.1 454.5L170 401.7C165.2 399.9 160.4 397.9 155.6 395.7L104.7 372.4L28.8 473.6C23.5 480.7 13.47 482.1 6.401 476.8C-.6683 471.5-2.101 461.5 3.201 454.4L74.9 358.8L72.98 357.9C48.01 346.5 32 321.6 32 294.1C32 255.4 63.4 224 102.1 224H176L243.2 134.4C246.3 130.2 251.3 127.9 256.4 128C261.6 128.2 266.4 130.8 269.3 135.1L309.9 195.9L355.1 134.5C358.4 130.1 363.6 127.7 369.1 128C374.5 128.4 379.4 131.5 382 136.3L429.9 224H480C503.9 224 525.7 232.7 542.5 247.2C530.3 143.1 442.5 64 336 64H304C295.2 64 288 56.84 288 48C288 39.16 295.2 32 304 32L336 32zM192 256L124.3 346.2L168.9 366.6C194 378.1 221.2 384 248.8 384H463.7C463.7 383.1 463.8 383.1 463.9 383.1C464.1 383.1 464.2 383.1 464.3 384H480C515.3 384 543.9 355.4 544 320.1L544 320V319.7C543.9 284.5 515.3 256 480 256L192 256zM102.1 256C81.08 256 64 273.1 64 294.1C64 309.1 72.71 322.6 86.29 328.8L94.55 332.6L152 256L102.1 256zM289.7 223.3L255.2 171.7L216 224H289.2L289.7 223.3zM365.1 173.7L328.9 224H393.4L365.1 173.7z"],
    "lollipop": [512, 512, [127853, "lollypop"], "e424", "M512 496C512 500.2 510.3 504.3 507.3 507.3C504.3 510.3 500.2 512 496 512C491.8 512 487.7 510.3 484.7 507.3L315.8 338.5C277.9 370.5 229.1 386.7 179.5 383.6C129.9 380.5 83.5 358.4 49.87 321.8C16.25 285.3-1.952 237.2-.9193 187.5C.1137 137.9 20.3 90.53 55.42 55.42C90.53 20.3 137.9 .1137 187.5-.9193C237.2-1.952 285.3 16.25 321.8 49.87C358.4 83.5 380.5 129.9 383.6 179.5C386.7 229.1 370.5 277.9 338.5 315.8L507.3 484.7C510.3 487.7 512 491.8 512 496zM191.1 352C223.6 352 254.6 342.6 280.9 325C307.2 307.5 327.7 282.5 339.8 253.2C351.9 223.1 355.1 191.8 348.9 160.8C342.8 129.7 327.5 101.2 305.1 78.86C282.8 56.49 254.3 41.25 223.2 35.07C192.2 28.9 160 32.07 130.8 44.18C101.5 56.29 76.55 76.8 58.96 103.1C41.38 129.4 32 160.4 32 192C32 225.9 45.49 258.5 69.49 282.5C93.5 306.5 126.1 320 160 320C193.9 320 226.5 306.5 250.5 282.5C274.5 258.5 288 225.9 288 192C288 166.5 277.9 142.1 259.9 124.1C241.9 106.1 217.5 96 192 96C166.5 96 142.1 106.1 124.1 124.1C106.1 142.1 96 166.5 96 192C96 208.1 102.7 225.3 114.7 237.3C126.7 249.3 143 256 160 256C176.1 256 193.3 249.3 205.3 237.3C217.3 225.3 224 208.1 224 192C224 183.5 220.6 175.4 214.6 169.4C208.6 163.4 200.5 160 192 160C183.5 160 175.4 163.4 169.4 169.4C163.4 175.4 160 183.5 160 192C160 196.2 158.3 200.3 155.3 203.3C152.3 206.3 148.2 208 144 208C139.8 208 135.7 206.3 132.7 203.3C129.7 200.3 128 196.2 128 192C128 175 134.7 158.7 146.7 146.7C158.7 134.7 175 128 192 128C208.1 128 225.3 134.7 237.3 146.7C249.3 158.7 256 175 256 192C256 217.5 245.9 241.9 227.9 259.9C209.9 277.9 185.5 288 160 288C134.5 288 110.1 277.9 92.12 259.9C74.11 241.9 64 217.5 64 192C64 158.1 77.49 125.5 101.5 101.5C125.5 77.49 158.1 64 192 64C225.9 64 258.5 77.49 282.5 101.5C306.5 125.5 320 158.1 320 192C319.9 231.5 305.1 269.6 278.5 298.9C251.9 328.2 215.4 346.5 176 350.4C181.3 351.2 186.6 351.7 192 352L191.1 352z"],
    "loveseat": [512, 512, ["couch-small"], "f4cc", "M448 224c-35.35 0-64 28.65-64 64H128c0-35.35-28.65-64-64-64S0 252.7 0 288v160c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32h256c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32V288C512 252.7 483.3 224 448 224zM96 448H32V288c0-17.64 14.36-32 32-32s32 14.36 32 32V448zM384 416H128v-96h256V416zM480 448h-64V288c0-17.64 14.36-32 32-32s32 14.36 32 32V448zM80 192C88.84 192 96 184.8 96 176v-32C96 99.88 131.9 64 176 64h160C380.1 64 416 99.88 416 144v32C416 184.8 423.2 192 432 192S448 184.8 448 176v-32C448 82.25 397.8 32 336 32h-160C114.3 32 64 82.25 64 144v32C64 184.8 71.16 192 80 192z"],
    "luchador-mask": [448, 512, ["luchador", "mask-luchador"], "f455", "M224 0C100.2 0 0 100.2 0 224v128c0 88.38 71.62 160 160 160h128c88.38 0 160-71.63 160-160V224C448 100.2 347.8 0 224 0zM416 352c0 70.63-57.38 128-128 128H160c-70.62 0-128-57.38-128-128V224c0-105.9 86.12-192 192-192s192 86.12 192 192V352zM226.5 226.2c-.875-.75-4.25-.75-5.125 0c-8.125-38-39.41-66.21-77.41-66.21L76 160C69.38 160 64 165.4 64 172v30.75C64 249.8 99.75 288 144 288h22.38c-7.375 12.25-12.5 23.5-15.75 32.88C119.8 325.5 96 351.9 96 384c0 35.5 29.38 64 64.88 64H287c35.5 0 64.88-28.5 64.88-64c0-32.13-23.62-58.5-54.63-63.13C293.1 311.4 288.9 300.2 281.5 288H304C348.2 288 384 249.8 384 202.8V172C384 165.4 378.6 160 372 160h-67.97C266.2 160 234.8 188.2 226.5 226.2zM262.8 320h-77.5C192.1 305.2 203.8 286.6 224 266.8C244.2 286.6 255.9 305.2 262.8 320zM144 256C117.5 256 96 232.1 96 202.8V192h48C170.5 192 192 215.9 192 245.2V254C191.4 254.8 190.8 255.2 190.2 256H144zM320 384c0 17.62-14.38 32-32 32H160c-17.62 0-32-14.38-32-32s14.38-32 32-32h128C305.6 352 320 366.4 320 384zM352 202.8C352 232.1 330.5 256 304 256h-46.25C257.2 255.2 256.6 254.8 256 254V245.2C256 215.9 277.5 192 304 192H352V202.8z"],
    "lungs": [640, 512, [129729], "f604", "M640 419.3c.1758 50.88-43.04 91.71-93.91 92.62c-21.71 .3906-24.04-1.607-90.87-19.45c-42.25-11.38-71.25-47.5-71.25-88.63l-.0938-60.05c0-12.77 14.22-20.39 24.85-13.33c4.465 2.965 7.148 7.969 7.148 13.33v60.04c0 26.38 19.5 50.13 47.5 57.63C527.9 478.8 529.5 480 541.9 480C578.4 480 608 453 608 419.8c0-7.25-1-14.38-2.875-21.38c-20.75-78.13-53.88-152.9-98.13-222C479.3 132.5 474.9 128 453.9 128s-38 15.12-38 33.75l.1191 104.4l88.6 56.38c7.453 4.75 9.656 14.62 4.906 22.09C506.5 349.4 501.3 352 495.1 352c-2.938 0-5.906-.8125-8.578-2.5L320 242.1L152.6 349.5C145.1 354.3 135.2 352 130.5 344.6c-4.75-7.469-2.547-17.34 4.906-22.09l88.62-56.39l.1035-104.4C224.1 143.1 207.1 128 186.1 128S160.8 132.5 133 176.4c-44.25 69.13-77.38 143.9-98.13 222C33 405.4 32 412.6 32 419.8C32 453 61.63 480 98.13 480c12.38 0 14-1.25 78.5-18.5c28-7.5 47.5-31.25 47.5-57.63V343.8c0-5.361 2.684-10.37 7.148-13.33c10.63-7.062 24.85 .5625 24.85 13.33l-.0938 60.05c0 41.13-29 77.25-71.25 88.63c-66.83 17.85-69.17 19.85-90.87 19.45C43.04 511-.1758 470.2 0 419.3c.0352-9.859 1.287-19.59 3.875-29.21c21.75-81.25 56.03-159.1 102-231c22.13-34.63 35.1-63.13 80.12-63.13c38.2 0 69.29 28.77 69.97 64.59v85.17l48-30.54V16C304 7.156 311.2 0 320 0s16 7.156 16 16v199.2L384 245.8V160.6c.6777-35.82 31.77-64.59 69.97-64.59c44 0 58 28.5 80.13 63.13c46 71.88 80.28 149.8 102 231C638.7 399.7 639.1 409.5 640 419.3z"],
    "lungs-virus": [640, 512, [], "e067", "M319.1 143.1c8.846 0 16.01-7.161 16.01-16.01V16.01C336 7.17 328.8 0 319.1 0S303.1 7.17 303.1 16.01v111.1C303.1 136.8 311.1 143.1 319.1 143.1zM200.1 449.7c-42.56 20.35-92.18 30.38-102.9 30.38c-36.43 0-66.1-27.02-66.1-60.2c0-7.203 .9531-14.41 2.812-21.39C55.68 320.2 88.67 245.6 132.9 176.4c27.81-43.94 32.13-48.38 53.11-48.38c20.1 0 38.07 15.11 38.07 33.7V160c0 8.842 7.166 16.01 16.01 16.01c8.633 0 15.58-6.885 15.91-15.44C255.4 124.8 224.3 96 185.1 96c-43.99 0-57.97 28.56-80.09 63.13c-45.99 71.88-80.35 149.7-102 231c-2.752 10.29-4.039 20.91-3.867 31.54c.8086 50.22 44.3 89.5 94.52 90.31c1.25 .0195 46.21 .8164 119.1-33.23c10.22-4.721 12.73-18.14 4.768-26.11C214.4 447.8 207.1 446.7 200.1 449.7zM256.2 160c0 .207-.1289 .3965-.1367 .6016c.0059 .375 .0166 .7328 .0166 1.11L256.2 160zM304 287.1c-8.836 0-16 7.164-16 15.1s7.164 15.99 16 15.99s16-7.164 16-16S312.8 287.1 304 287.1zM435.9 271.1l.3555-.011L435.9 271.1zM336 319.1c-8.836 0-16 7.162-16 16c0 8.834 7.164 16.01 16 16.01s16-7.166 16-15.1C352 327.2 344.8 319.1 336 319.1zM421.8 399.2l-8.576-8.576c-20.16-20.16-5.881-54.63 22.63-54.63H448c8.844 0 16-7.156 16-16S456.8 303.1 448 303.1h-12.12c-28.51 0-42.79-34.47-22.63-54.63l8.576-8.577c6.25-6.25 6.25-16.37 0-22.62c-3.125-3.125-7.219-4.691-11.31-4.691s-8.188 1.566-11.31 4.691l-8.576 8.577c-6.518 6.516-14.53 9.433-22.4 9.433C351.8 236.2 336 223.4 336 204.1v-12.12c0-8.842-7.156-15.1-16-15.1s-16 7.158-16 15.1v12.12c0 19.29-15.78 32.06-32.23 32.06c-7.863 0-15.88-2.915-22.4-9.433L240.8 218.2C237.7 215 233.6 213.5 229.5 213.5S221.3 215 218.2 218.2c-6.25 6.25-6.25 16.37 0 22.62l8.576 8.577c20.16 20.16 5.881 54.63-22.63 54.63H192c-8.844 0-16 7.156-16 16s7.156 16 16 16h12.12c28.51 0 42.79 34.47 22.63 54.63l-8.576 8.576c-6.25 6.25-6.25 16.37 0 22.62c3.125 3.125 7.219 4.688 11.31 4.688s8.188-1.562 11.31-4.688l8.576-8.575c6.52-6.516 14.53-9.446 22.4-9.446C288.2 403.8 304 416.6 304 435.9v12.12c0 8.844 7.156 16 16 16s16-7.156 16-16v-12.12c0-19.29 15.78-32.07 32.23-32.07c7.863 0 15.88 2.929 22.39 9.446l8.576 8.575c3.125 3.125 7.219 4.688 11.31 4.688s8.188-1.562 11.31-4.688C428.1 415.6 428.1 405.4 421.8 399.2zM376.8 343.5c-3.814 9.209-5.363 18.91-4.787 28.42c-1.238-.0723-2.484-.1074-3.732-.1074c-19.2 0-36.45 8.438-48.23 21.79c-11.78-13.36-29.04-21.79-48.23-21.79c-1.25 0-2.496 .0352-3.734 .1074c.5762-9.502-.9727-19.21-4.787-28.42c-3.82-9.221-9.6-17.19-16.74-23.51C253.6 313.7 259.4 305.7 263.2 296.5C267.1 287.3 268.6 277.6 268 268.1c1.238 .0723 2.484 .1074 3.734 .1074c19.2 0 36.45-8.439 48.23-21.8c11.78 13.36 29.04 21.8 48.23 21.8c1.248 0 2.494-.0352 3.732-.1074c-.5762 9.502 .9727 19.21 4.787 28.42c3.82 9.221 9.6 17.19 16.74 23.51C386.4 326.3 380.6 334.3 376.8 343.5zM636.1 390.1c-21.67-81.31-56.03-159.1-102-231c-22.12-34.56-36.1-63.13-80.09-63.13c-38.32 0-69.36 28.86-70 64.63c.3262 8.555 7.254 15.42 15.89 15.42c8.838 0 16-7.168 16-16.01v1.699c0-18.59 17.07-33.7 38.07-33.7c20.98 0 25.31 4.438 53.11 48.38c44.26 69.14 77.25 143.8 98.1 222c1.859 6.984 2.812 14.19 2.812 21.39c0 33.19-29.67 60.2-66.1 60.2c-10.7 0-60.31-10.03-102.9-30.38c-6.164-2.947-13.45-1.82-18.28 3.01c-7.963 7.965-5.455 21.38 4.768 26.11c73.75 34.05 118.7 33.25 119.1 33.23c50.21-.8047 93.71-40.09 94.52-90.31C640.2 411.1 638.9 400.4 636.1 390.1z"],
    "m": [448, 512, [109], "4d", "M432 480c-8.844 0-16-7.156-16-15.1V99.74l-178.8 261.3c-6 8.749-20.44 8.749-26.44 0L32 99.74v364.3C32 472.8 24.84 480 16 480S0 472.8 0 464V48.03c0-6.1 4.562-13.22 11.28-15.28c6.812-2.156 13.97 .4687 17.94 6.25L224 323.7l194.8-284.7c4-5.781 11.16-8.406 17.94-6.25C443.4 34.81 448 41.03 448 48.03v415.1C448 472.8 440.8 480 432 480z"],
    "mace": [512, 512, [], "f6f8", "M148.7 340.7l-144 144c-6.25 6.25-6.25 16.38 0 22.62C7.813 510.4 11.91 512 16 512s8.188-1.562 11.31-4.688l144-144c6.25-6.25 6.25-16.38 0-22.62S154.9 334.4 148.7 340.7zM496 208h-65.61C422.9 141.4 370.6 89.07 304 81.61V16C304 7.156 296.8 0 288 0s-16 7.156-16 16v65.61C205.4 89.07 153.1 141.4 145.6 208H80C71.16 208 64 215.2 64 224S71.16 240 80 240h65.61C153.1 306.6 205.4 358.9 272 366.4V432c0 8.844 7.156 16.01 16 16.01S304 440.8 304 432v-65.61C370.6 358.9 422.9 306.6 430.4 240H496c8.844 0 16-7.153 16-15.1S504.8 208 496 208zM288 336c-61.76 0-112-50.24-112-112S226.2 112 288 112s112 50.24 112 112S349.8 336 288 336zM288 176c-26.47 0-48 21.53-48 48s21.53 48 48 48s48-21.53 48-48S314.5 176 288 176zM288 240c-8.812 0-16-7.188-16-16s7.188-16 16-16s16 7.188 16 16S296.8 240 288 240z"],
    "magnet": [448, 512, [129522], "f076", "M0 80C0 53.49 21.49 32 48 32H96C122.5 32 144 53.49 144 80V256C144 300.2 179.8 336 224 336C268.2 336 304 300.2 304 256V80C304 53.49 325.5 32 352 32H400C426.5 32 448 53.49 448 80V256C448 379.7 347.7 480 224 480C100.3 480 0 379.7 0 256V80zM48 64C39.16 64 32 71.16 32 80V128H112V80C112 71.16 104.8 64 96 64H48zM224 448C330 448 416 362 416 256V160H336V256C336 317.9 285.9 368 224 368C162.1 368 112 317.9 112 256V160H32V256C32 362 117.1 448 224 448zM416 128V80C416 71.16 408.8 64 400 64H352C343.2 64 336 71.16 336 80V128H416z"],
    "magnifying-glass": [512, 512, [128269, "search"], "f002", "M507.3 484.7l-141.5-141.5C397 306.8 415.1 259.7 415.1 208c0-114.9-93.13-208-208-208S-.0002 93.13-.0002 208S93.12 416 207.1 416c51.68 0 98.85-18.96 135.2-50.15l141.5 141.5C487.8 510.4 491.9 512 496 512s8.188-1.562 11.31-4.688C513.6 501.1 513.6 490.9 507.3 484.7zM208 384C110.1 384 32 305 32 208S110.1 32 208 32S384 110.1 384 208S305 384 208 384z"],
    "magnifying-glass-arrow-right": [512, 512, [], "e521", "M315.3 196.7C321.6 202.9 321.6 213.1 315.3 219.3L235.3 299.3C229.1 305.6 218.9 305.6 212.7 299.3C206.4 293.1 206.4 282.9 212.7 276.7L265.4 224H112C103.2 224 96 216.8 96 208C96 199.2 103.2 192 112 192H265.4L212.7 139.3C206.4 133.1 206.4 122.9 212.7 116.7C218.9 110.4 229.1 110.4 235.3 116.7L315.3 196.7zM0 208C0 93.12 93.12 0 208 0C322.9 0 416 93.12 416 208C416 259.7 397.2 306.1 365.1 343.3L507.3 484.7C513.6 490.9 513.6 501.1 507.3 507.3C501.1 513.6 490.9 513.6 484.7 507.3L343.3 365.1C306.1 397.2 259.7 416 208 416C93.12 416 0 322.9 0 208zM208 384C305.2 384 384 305.2 384 208C384 110.8 305.2 32 208 32C110.8 32 32 110.8 32 208C32 305.2 110.8 384 208 384z"],
    "magnifying-glass-chart": [512, 512, [], "e522", "M128 224C128 215.2 135.2 208 144 208C152.8 208 160 215.2 160 224V288C160 296.8 152.8 304 144 304C135.2 304 128 296.8 128 288V224zM192 128C192 119.2 199.2 112 208 112C216.8 112 224 119.2 224 128V288C224 296.8 216.8 304 208 304C199.2 304 192 296.8 192 288V128zM256 192C256 183.2 263.2 176 272 176C280.8 176 288 183.2 288 192V288C288 296.8 280.8 304 272 304C263.2 304 256 296.8 256 288V192zM0 208C0 93.12 93.12 0 208 0C322.9 0 416 93.12 416 208C416 259.7 397.2 306.1 365.1 343.3L507.3 484.7C513.6 490.9 513.6 501.1 507.3 507.3C501.1 513.6 490.9 513.6 484.7 507.3L343.3 365.1C306.1 397.2 259.7 416 208 416C93.12 416 0 322.9 0 208zM208 384C305.2 384 384 305.2 384 208C384 110.8 305.2 32 208 32C110.8 32 32 110.8 32 208C32 305.2 110.8 384 208 384z"],
    "magnifying-glass-dollar": [512, 512, ["search-dollar"], "f688", "M212.3 192.6l-6.891-1.969C171.8 180.7 169 174 171.1 162.1c2.828-16.47 26.16-20.38 48.06-16.91c8.031 1.219 17.31 4.25 23.59 6.438c8.328 2.812 17.45-1.562 20.36-9.906c2.891-8.344-1.547-17.44-9.891-20.34C241.4 117.3 232 114.8 224 113.6c-.0273-.0039 .0273 .0039 0 0L224 96c0-8.844-7.156-16-16-16S192 87.16 192 96v16.91C163.7 116.6 143.8 132.3 139.6 156.7c-7.891 45.63 35.83 58.47 56.84 64.63l7.109 2.062C240.1 233.8 247.4 239.2 244.9 253.9C242.1 270.4 218.8 274.3 196.8 270.8C187.1 269.3 175.4 265.1 165.1 261.4L160 259.6C151.6 256.5 142.6 260.1 139.6 269.3c-2.953 8.344 1.391 17.47 9.703 20.44L154.2 291.5c11.7 4.25 25.03 9.035 37.72 10.94c.0332 .0078-.0332-.0078 0 0L192 320c0 8.844 7.156 16 16 16S224 328.8 224 320V303.2c28.35-3.625 48.21-19.45 52.42-43.85C284.4 213.2 241 200.8 212.3 192.6zM507.3 484.7l-141.5-141.5C397 306.8 416 259.7 416 208C416 93.13 322.9 0 208 0S0 93.13 0 208S93.13 416 208 416c51.68 0 98.85-18.96 135.2-50.15l141.5 141.5C487.8 510.4 491.9 512 496 512s8.188-1.562 11.31-4.688C513.6 501.1 513.6 490.9 507.3 484.7zM208 384C110.1 384 32 305 32 208S110.1 32 208 32S384 110.1 384 208S305 384 208 384z"],
    "magnifying-glass-location": [512, 512, ["search-location"], "f689", "M207.1 96C158.5 96 118.3 136.3 118.3 185.9c0 34.63 38.25 87.13 70.5 125.1C193.5 316.8 200.5 320 207.1 320S222.5 316.8 227.3 311c32.25-38 70.5-90.5 70.5-125.1C297.8 136.3 257.5 96 207.1 96zM208 284.3C172.8 241.5 150.3 203.4 150.3 185.9C150.3 153.9 176.1 128 208 128s57.75 25.88 57.75 57.88C265.8 203.4 243.3 241.5 208 284.3zM208 160C194.8 160 184 170.8 184 184S194.8 208 208 208s24-10.75 24-24S221.3 160 208 160zM507.3 484.7l-141.5-141.5C397 306.8 416 259.7 416 208C416 93.13 322.9 0 208 0S0 93.13 0 208S93.13 416 208 416c51.68 0 98.85-18.96 135.2-50.15l141.5 141.5C487.8 510.4 491.9 512 496 512s8.188-1.562 11.31-4.688C513.6 501.1 513.6 490.9 507.3 484.7zM208 384C110.1 384 32 305 32 208S110.1 32 208 32S384 110.1 384 208S305 384 208 384z"],
    "magnifying-glass-minus": [512, 512, ["search-minus"], "f010", "M288 192H128C119.2 192 112 199.2 112 208S119.2 224 128 224h160c8.844 0 16-7.156 16-16S296.8 192 288 192zM507.3 484.7l-141.5-141.5C397 306.8 416 259.7 416 208C416 93.13 322.9 0 208 0S0 93.13 0 208S93.13 416 208 416c51.68 0 98.85-18.96 135.2-50.15l141.5 141.5C487.8 510.4 491.9 512 496 512s8.188-1.562 11.31-4.688C513.6 501.1 513.6 490.9 507.3 484.7zM208 384C110.1 384 32 305 32 208S110.1 32 208 32S384 110.1 384 208S305 384 208 384z"],
    "magnifying-glass-plus": [512, 512, ["search-plus"], "f00e", "M288 192H224V128c0-8.844-7.156-16-16-16S192 119.2 192 128v64H128C119.2 192 112 199.2 112 208S119.2 224 128 224h64v64c0 8.844 7.156 16 16 16S224 296.8 224 288V224h64c8.844 0 16-7.156 16-16S296.8 192 288 192zM507.3 484.7l-141.5-141.5C397 306.8 416 259.7 416 208C416 93.13 322.9 0 208 0S0 93.13 0 208S93.13 416 208 416c51.68 0 98.85-18.96 135.2-50.15l141.5 141.5C487.8 510.4 491.9 512 496 512s8.188-1.562 11.31-4.688C513.6 501.1 513.6 490.9 507.3 484.7zM208 384C110.1 384 32 305 32 208S110.1 32 208 32S384 110.1 384 208S305 384 208 384z"],
    "mailbox": [576, 512, [128234], "f813", "M176 192h-64C103.2 192 96 199.2 96 208C96 216.8 103.2 224 112 224h64C184.8 224 192 216.8 192 208C192 199.2 184.8 192 176 192zM496 192L336 192C327.2 192 320 199.2 320 208C320 216.8 327.2 224 336 224H416v80c0 8.836 7.164 16 16 16h64c8.836 0 16-7.164 16-16V208C512 199.2 504.8 192 496 192zM480 288h-32V224L480 224V288zM432 64h-288C64.47 64 0 128.5 0 208V384c0 35.2 28.8 64 64 64h448c35.2 0 64-28.8 64-64V208C576 128.5 511.5 64 432 64zM256 416H64c-17.67 0-32-14.33-32-32V214.3c0-60.65 45.44-114.1 106-118.1C202.6 92.79 256 144.1 256 208V416zM544 384c0 17.67-14.33 32-32 32l-224-.0005V208C288 162.5 266.5 122.4 233.5 96H432c61.88 .125 111.9 50.13 112 112V384z"],
    "manat-sign": [384, 512, [], "e1d5", "M208 48V96.66C306.6 104.8 384 187.3 384 288V464C384 472.8 376.8 480 368 480C359.2 480 352 472.8 352 464V288C352 205 288.9 136.8 208 128.8V464C208 472.8 200.8 480 192 480C183.2 480 176 472.8 176 464V128.8C95.15 136.8 32 205 32 288V464C32 472.8 24.84 480 16 480C7.164 480 0 472.8 0 464V288C0 187.3 77.45 104.8 176 96.66V48C176 39.16 183.2 32 192 32C200.8 32 208 39.16 208 48V48z"],
    "mandolin": [512, 512, [], "f6f9", "M507.3 50.66l-46-46c-5.267-5.268-13.44-6.198-19.76-2.252l-69.45 43.4c-3.482 2.174-5.993 5.604-7.018 9.579l-23.9 92.74l-43.81 43.83h-31.25c-177.3 0-220.3 49.28-235.3 64.28c-46.87 46.88-39.49 150.4 17.5 207.5C80.25 495.6 126.8 512 169.7 512c33.74 0 65.38-10.15 86-30.77c15.5-15.63 67.96-63.24 64.21-257.3V214.6l43.83-43.84l92.66-23.89c3.958-1.022 7.378-3.52 9.553-6.983l43.51-69.35C513.5 64.2 512.6 55.94 507.3 50.66zM287.7 258.2c-1.1 147.9-39.87 185.9-52.99 198.8l-1.625 1.625c-13.62 13.63-36.74 21.38-63.36 21.38c-36.99 0-74.86-14.88-98.86-38.88C23.38 393.5 21.51 310.7 53.38 278.8l1.625-1.625C67.62 264.5 105.7 226.2 253.8 224.2l11.34-.084l-4.521 4.522c-6.249 6.251-6.249 16.38 0 22.63c3.124 3.125 7.217 4.688 11.31 4.688s8.186-1.563 11.31-4.688l4.507-4.508L287.7 258.2zM442.3 117.5l-62.44 16.1c-.2461-.2813-.3359-.6407-.6034-.9083c-.2715-.2715-.6347-.3633-.9198-.6114l16.09-62.46l53.24-33.25l27.99 28L442.3 117.5zM191.1 255.1c-35.29 0-63.99 28.71-63.99 64.01s28.7 64.01 63.99 64.01s63.99-28.71 63.99-64.01S227.3 255.1 191.1 255.1zM191.1 351.1c-17.64 0-31.99-14.36-31.99-32S174.3 287.1 191.1 287.1s31.99 14.36 31.99 32S209.6 351.1 191.1 351.1z"],
    "mango": [512, 512, [], "e30f", "M336 192C344.8 192 352 184.8 352 176V84.82C371.7 101.8 399.1 112 430.3 112h48.59c10.88 0 21.03-4.75 27.22-12.69c5.25-6.781 7.062-15.3 5-23.36C499.8 31.94 451.7 0 396.7 0H336C327.2 0 320 7.156 320 16v160C320 184.8 327.2 192 336 192zM396.7 32c38.88 0 72.66 19.95 82.31 48h-48.63c-38.56 0-68.13-19.42-76.19-48H396.7zM509.4 263c-9.412-59.93-49.02-107.2-102.4-131.9C396.3 126.2 384 134 384 145.8c0 6.162 3.477 11.87 9.068 14.46c44.61 20.65 77.12 59.6 84.68 107.7c8.268 52.64-6.281 103.1-40.96 144.5C400.1 455.4 345.9 480 288 480c-103.5 0-193.7-27.42-238.2-43.77C38.97 432.3 32 422.7 32 411.9c0-6.91 2.949-13.63 8.092-18.45C71.67 363.9 96.75 326.4 121 290.1c44.08-65.9 83.31-124 154.8-140.9C282.1 147.5 288 141 288 133.6c0-10.47-9.842-18.12-20.03-15.68c-128.4 30.77-166.1 174.6-249.7 252.1C6.514 381 0 396.2 0 411.9c0 24.13 15.28 45.79 38.73 54.39C88.42 484.5 181.1 512 287.1 512C423.2 512 530.4 396.9 509.4 263z"],
    "manhole": [512, 512, [], "e1d6", "M192 304c-8.836 0-16 7.164-16 16s7.164 16 16 16s16-7.164 16-16S200.8 304 192 304zM256 240C247.2 240 240 247.2 240 256S247.2 272 256 272s16-7.164 16-16S264.8 240 256 240zM256 304c-8.836 0-16 7.164-16 16s7.164 16 16 16s16-7.164 16-16S264.8 304 256 304zM192 240C183.2 240 176 247.2 176 256S183.2 272 192 272S208 264.8 208 256S200.8 240 192 240zM192 176C183.2 176 176 183.2 176 192S183.2 208 192 208S208 200.8 208 192S200.8 176 192 176zM256 176C247.2 176 240 183.2 240 192S247.2 208 256 208s16-7.164 16-16S264.8 176 256 176zM320 304c-8.836 0-16 7.164-16 16s7.164 16 16 16s16-7.164 16-16S328.8 304 320 304zM256 80C158.8 80 80 158.8 80 256s78.8 176 176 176c97.2 0 176-78.8 176-176S353.2 80 256 80zM271.7 398.4C270.8 390.4 264.3 384 256 384s-14.85 6.359-15.68 14.41C168.4 390.5 112 330 112 256s56.37-134.5 128.3-142.4C241.2 121.6 247.7 128 256 128s14.85-6.359 15.68-14.41C343.6 121.5 400 181.1 400 256S343.6 390.5 271.7 398.4zM320 176c-8.836 0-16 7.164-16 16s7.164 16 16 16s16-7.164 16-16S328.8 176 320 176zM320 240c-8.836 0-16 7.164-16 16s7.164 16 16 16s16-7.164 16-16S328.8 240 320 240zM256 0C114.8 0 0 114.8 0 256s114.8 256 256 256s256-114.8 256-256S397.2 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480z"],
    "map": [576, 512, [62072, 128506], "f279", "M170.1 33.14C173.4 31.83 176.1 31.64 180.4 32.62L399.1 95.11L543.1 37.53C558.9 31.23 576 42.84 576 59.82V394.6C576 404.4 570 413.2 560.9 416.9L405.9 478.9C402.6 480.2 399 480.4 395.6 479.4L176.9 416.9L32.91 474.5C17.15 480.8 0 469.2 0 452.2V117.4C0 107.6 5.975 98.78 15.09 95.13L170.1 33.14zM32 440.4L160 389.2V71.63L32 122.8V440.4zM384 124.1L192 69.21V387.9L384 442.8V124.1zM416 440.4L544 389.2V71.63L416 122.8V440.4z"],
    "map-location": [576, 512, ["map-marked"], "f59f", "M408 120C408 174.6 334.9 271.9 302.8 311.1C295.1 321.6 280.9 321.6 273.2 311.1C241.1 271.9 168 174.6 168 120C168 53.73 221.7 0 288 0C354.3 0 408 53.73 408 120zM288 32C239.4 32 200 71.4 200 120C200 127.4 202.7 139 209.4 154.1C215.9 170.4 225.1 187.4 235.8 204.7C252.9 232.5 272.7 259.4 288 279.1C303.3 259.4 323.1 232.5 340.2 204.7C350.9 187.4 360.1 170.4 366.6 154.1C373.3 139 376 127.4 376 120C376 71.4 336.6 32 288 32V32zM425.2 180.7L543.1 133.5C558.9 127.2 576 138.8 576 155.8V426.6C576 436.4 570 445.2 560.9 448.9L405.9 510.9C402.6 512.2 399 512.4 395.6 511.4L176.9 448.9L32.91 506.5C17.15 512.8 0 501.2 0 484.2V213.4C0 203.6 5.975 194.8 15.09 191.1L138.3 141.9C140.4 152.3 143.6 162.7 147.5 172.6L32 218.8V472.4L160 421.2V304C160 295.2 167.2 288 176 288C184.8 288 192 295.2 192 304V419.9L384 474.8V303.1C384 295.2 391.2 287.1 400 287.1C408.8 287.1 416 295.2 416 303.1V472.4L544 421.2V167.6L405.9 222.9C405.1 223.2 404.3 223.4 403.4 223.6C411.6 209.5 419.1 194.9 425.2 180.7L425.2 180.7z"],
    "map-location-dot": [576, 512, ["map-marked-alt"], "f5a0", "M264 112C264 98.75 274.7 88 288 88C301.3 88 312 98.75 312 112C312 125.3 301.3 136 288 136C274.7 136 264 125.3 264 112zM273.2 311.1C241.1 271.9 168 174.6 168 120C168 53.73 221.7 0 288 0C354.3 0 408 53.73 408 120C408 174.6 334.9 271.9 302.8 311.1C295.1 321.6 280.9 321.6 273.2 311.1V311.1zM366.6 154.1C373.3 139 376 127.4 376 120C376 71.4 336.6 32 288 32C239.4 32 200 71.4 200 120C200 127.4 202.7 139 209.4 154.1C215.9 170.4 225.1 187.4 235.8 204.7C252.9 232.5 272.7 259.4 288 279.1C303.3 259.4 323.1 232.5 340.2 204.7C350.9 187.4 360.1 170.4 366.6 154.1V154.1zM405.9 222.9C405.1 223.2 404.3 223.4 403.4 223.6C411.6 209.5 419.1 194.9 425.2 180.7L543.1 133.5C558.9 127.2 576 138.8 576 155.8V426.6C576 436.4 570 445.2 560.9 448.9L405.9 510.9C402.6 512.2 399 512.4 395.6 511.4L176.9 448.9L32.91 506.5C17.15 512.8 0 501.2 0 484.2V213.4C0 203.6 5.975 194.8 15.09 191.1L138.3 141.9C140.4 152.3 143.6 162.7 147.5 172.6L32 218.8V472.4L160 421.2V303.1C160 295.2 167.2 287.1 176 287.1C184.8 287.1 192 295.2 192 303.1V419.9L384 474.8V303.1C384 295.2 391.2 287.1 400 287.1C408.8 287.1 416 295.2 416 303.1V472.4L544 421.2V167.6L405.9 222.9z"],
    "map-pin": [320, 512, [128205], "f276", "M112 160C103.2 160 96 152.8 96 144C96 99.82 131.8 64 176 64C184.8 64 192 71.16 192 80C192 88.84 184.8 96 176 96C149.5 96 128 117.5 128 144C128 152.8 120.8 160 112 160zM320 144C320 218.1 264 279.2 192 287.1V496C192 504.8 184.8 512 176 512C167.2 512 160 504.8 160 496V287.1C88 279.2 32 218.1 32 144C32 64.47 96.47 0 176 0C255.5 0 320 64.47 320 144zM176 256C237.9 256 288 205.9 288 144C288 82.14 237.9 32 176 32C114.1 32 64 82.14 64 144C64 205.9 114.1 256 176 256z"],
    "marker": [512, 512, [], "f5a1", "M294.6 61.25C291.2 57.85 287.2 55.37 282.1 53.82C271.7 49.69 258.5 52.17 249.4 61.25L155.3 155.3C149.1 161.6 138.9 161.6 132.7 155.3C126.4 149.1 126.5 138.9 132.7 132.7L226.7 38.63C251.7 13.63 292.3 13.63 317.3 38.63L330.3 51.72L351 31.03C386.9-4.849 445.1-4.849 480.1 31.03C516.9 66.91 516.9 125.1 480.1 160.1L229.5 412.5C181.5 460.5 120.3 493.2 53.7 506.5L28.71 511.5C20.84 513.1 12.7 510.6 7.03 504.1C1.356 499.3-1.107 491.2 .4662 483.3L5.465 458.3C18.78 391.7 51.52 330.5 99.54 282.5L307.7 74.34L294.6 61.25zM208.1 218.3L293.7 303L458.3 138.3C481.7 114.1 481.7 77.05 458.3 53.66C434.1 30.27 397 30.27 373.7 53.66L208.1 218.3zM186.3 240.1L122.2 305.2C78.61 348.7 48.92 404.2 36.84 464.6L34.2 477.8L47.42 475.2C107.8 463.1 163.3 433.4 206.9 389.8L271 325.7L186.3 240.1z"],
    "mars": [448, 512, [9794], "f222", "M446.8 41.89c-1.621-3.918-4.742-7.039-8.66-8.66c-1.955-.8086-4.047-1.23-6.129-1.23L304 32C295.2 32 288 39.16 288 48S295.2 64 304 64h89.38l-104.8 104.8C258.1 143.3 218.8 128 176 128C78.8 128 0 206.8 0 304S78.8 480 176 480S352 401.2 352 304c0-42.84-15.34-82.08-40.78-112.6L416 86.63V176C416 184.8 423.2 192 432 192S448 184.8 448 176v-128C448 45.92 447.6 43.85 446.8 41.89zM320 304c0 79.4-64.6 144-144 144S32 383.4 32 304S96.6 160 176 160S320 224.6 320 304z"],
    "mars-and-venus": [512, 512, [9893], "f224", "M494.8 9.891c-1.621-3.918-4.742-7.039-8.66-8.66C484.2 .4219 482.1 .0002 480 .0002L368 0C359.2 0 352 7.156 352 16S359.2 32 368 32h73.38l-64.46 64.46C345.3 66.51 302.8 48 256 48C158.1 48 80 126.1 80 224c0 91.63 70.45 167.1 160 175.2V432H192c-8.844 0-16 7.156-16 16s7.156 16 16 16L240 464v32c0 8.844 7.156 16 16 16s16-7.156 16-16v-32l48 .0002c8.844 0 16-7.156 16-16S328.8 432 320 432h-48v-32.81c89.55-8.123 160-83.56 160-175.2c0-38.68-12.7-74.36-33.93-103.4L464 54.63V128c0 8.844 7.156 16 16 16s16-7.156 16-16V16C496 13.92 495.6 11.85 494.8 9.891zM256 368c-79.41 0-144-64.59-144-144S176.6 80 256 80s144 64.59 144 144S335.4 368 256 368z"],
    "mars-and-venus-burst": [640, 512, [], "e523", "M623.1 0C632.8 0 639.1 7.164 639.1 16V104C639.1 112.8 632.8 120 623.1 120C615.2 120 607.1 112.8 607.1 104V54.63L530.8 131.8C549.2 157.9 559.1 189.7 559.1 224C559.1 306.1 496.9 375.2 415.1 383.2V416H455.1C464.8 416 471.1 423.2 471.1 432C471.1 440.8 464.8 448 455.1 448H415.1V496C415.1 504.8 408.8 512 399.1 512C391.2 512 383.1 504.8 383.1 496V448H343.1C335.2 448 327.1 440.8 327.1 432C327.1 423.2 335.2 416 343.1 416H383.1V383.2C303.1 375.2 239.1 306.1 239.1 224C239.1 135.6 311.6 64 399.1 64C442.5 64 481.1 80.57 509.8 107.6L585.4 32H527.1C519.2 32 511.1 24.84 511.1 16C511.1 7.164 519.2 0 527.1 0H623.1zM399.1 96C329.3 96 271.1 153.3 271.1 224C271.1 294.7 329.3 352 399.1 352C470.7 352 527.1 294.7 527.1 224C527.1 153.3 470.7 96 399.1 96V96zM175.1 8C182.2 8 187.9 11.64 190.5 17.32L222.6 87.16L282.1 72.46C266.5 84.61 252.8 99.11 241.6 115.4L217.5 121.4C210 123.2 202.3 119.5 199.1 112.5L175.1 62.31L152.9 112.5C149.7 119.5 141.1 123.2 134.5 121.4L80.86 108.1L105.7 157.5C109.2 164.4 107.3 172.7 101.2 177.4L57.36 211.1L111.5 222.4C118.1 223.1 124.3 230.7 124.2 238.4L123.2 293.6L165.8 258.4C171.7 253.5 180.3 253.5 186.2 258.4L217.7 284.5C224.9 306.1 235.8 326.1 249.8 343.6C244.8 344.1 239.3 343.9 235.2 340.5L175.1 291.5L116.8 340.5C111.1 344.5 105.3 345.3 99.63 342.6C94 339.9 90.47 334.1 90.58 327.9L91.96 251L16.73 235.3C10.61 233.1 5.8 229.3 4.41 223.2C3.019 217.1 5.303 210.7 10.26 206.9L71.21 160.1L36.62 91.44C33.8 85.86 34.5 79.15 38.39 74.27C42.29 69.38 48.68 67.21 54.74 68.71L129.4 87.16L161.5 17.32C164.1 11.64 169.7 7.999 175.1 7.999L175.1 8z"],
    "mars-double": [640, 512, [9891], "f227", "M311.2 192.1L416 87.58v73.2c0 8.822 7.156 15.96 16 15.96S448 169.6 448 160.8V49.05c0-2.077-.4219-4.144-1.23-6.095c-1.621-3.908-4.742-7.022-8.66-8.639C436.2 33.51 434.1 33.09 432 33.09H320c-8.844 0-16 7.139-16 15.96S311.2 65.01 320 65.01h73.38l-104.8 104.5C258.1 144.2 218.8 128.9 176 128.9c-97.2 0-176 78.61-176 175.6S78.8 480 176 480S352 401.4 352 304.4C352 261.7 336.7 222.5 311.2 192.1zM176 448.1c-79.4 0-144-64.44-144-143.7s64.6-143.6 144-143.6S320 225.2 320 304.4S255.4 448.1 176 448.1zM634.6 37.29c-.1797-.1987-.2402-.4579-.4336-.6508c-4.625-4.614-11.36-5.769-17.09-3.554H512c-8.844 0-16 7.139-16 15.96s7.156 15.96 16 15.96h71.13l-114.4 114.2C465.7 182.2 463.1 186.3 464 190.5c.0156 4.24 1.75 8.323 4.797 11.32C496.7 229.1 512 265.5 512 304.4c0 79.21-64.59 143.7-144 143.7c-9.719 0-19.42-.9664-28.83-2.868c-8.719-1.777-17.09 3.866-18.86 12.47c-1.75 8.666 3.859 17.08 12.52 18.83C344.3 478.8 356.2 480 368 480C465 480 544 401.2 544 304.4c0-42.15-14.72-81.89-41.77-113.6L608 85.34v75.44c0 8.822 7.156 15.96 16 15.96S640 169.6 640 160.8V49.05C640 44.34 637.9 40.21 634.6 37.29z"],
    "mars-stroke": [512, 512, [9894], "f229", "M510.8 9.891c-1.621-3.918-4.742-7.039-8.66-8.66C500.2 .4219 498.1 .0002 496 .0002L368 0C359.2 0 352 7.156 352 16S359.2 32 368 32h89.38L384 105.4l-36.69-36.69c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L361.4 128l-40.78 40.78C290.1 143.3 250.8 128 208 128C110.8 128 32 206.8 32 304S110.8 480 208 480S384 401.2 384 304c0-42.84-15.34-82.08-40.78-112.6L384 150.6l36.69 36.69C423.8 190.4 427.9 192 432 192s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L406.6 128L480 54.63V144C480 152.8 487.2 160 496 160S512 152.8 512 144V16C512 13.92 511.6 11.85 510.8 9.891zM352 304c0 79.4-64.6 144-144 144S64 383.4 64 304S128.6 160 208 160S352 224.6 352 304z"],
    "mars-stroke-right": [640, 512, [9897, "mars-stroke-h"], "f22b", "M606.8 249.9c-.8105-1.953-1.977-3.717-3.449-5.189L512.8 154.2c-6.254-6.254-16.37-6.254-22.63 0s-6.254 16.38 0 22.63l63.2 63.2h-89.39v-48c0-8.844-7.156-16-16-16s-16 7.156-16 16v48h-48.76c-3.592-39.57-20.5-78.16-50.79-108.5c-68.73-68.73-180.2-68.73-248.9 0c-68.73 68.73-68.73 180.2 0 248.9c68.73 68.73 180.2 68.73 248.9 0c30.29-30.29 47.19-68.88 50.79-108.5h48.76v48c0 8.844 7.156 16 16 16s16-7.156 16-16v-48h89.39l-63.2 63.2c-6.254 6.254-6.254 16.38 0 22.63c6.254 6.254 16.37 6.254 22.63 0l90.51-90.51c1.473-1.471 2.639-3.234 3.449-5.189C608.4 258.2 608.4 253.8 606.8 249.9zM309.8 357.8c-56.15 56.15-147.5 56.15-203.6 0c-56.14-56.14-56.14-147.5 0-203.6c56.15-56.15 147.5-56.15 203.6 0C365.1 210.3 365.1 301.7 309.8 357.8z"],
    "mars-stroke-up": [384, 512, [9896, "mars-stroke-v"], "f22a", "M316.5 211.6c-30.29-30.29-68.88-47.19-108.5-50.78v-16.76h48c8.844 0 15.1-7.156 15.1-15.1s-7.156-15.1-15.1-15.1h-48V49.31l54 43.2c2.953 2.344 6.484 3.5 9.984 3.5c4.703 0 9.344-2.062 12.52-5.1c5.516-6.906 4.391-16.97-2.5-22.5L202 3.516c-5.844-4.687-14.16-4.687-20 0L101.1 67.51c-6.891 5.531-8.016 15.59-2.5 22.5c5.531 6.875 15.58 7.1 22.5 2.5l54-43.2v62.7H127.1c-8.844 0-15.1 7.156-15.1 15.1s7.156 15.1 15.1 15.1h48v16.76C136.4 164.4 97.84 181.3 67.55 211.6c-68.73 68.73-68.73 180.2 0 248.9c68.73 68.73 180.2 68.73 248.9 0C385.2 391.7 385.2 280.3 316.5 211.6zM293.8 437.8c-56.15 56.14-147.5 56.14-203.6 0c-56.14-56.14-56.14-147.5 0-203.6c56.15-56.14 147.5-56.14 203.6 0C349.1 290.3 349.1 381.7 293.8 437.8z"],
    "martini-glass": [512, 512, [127864, "glass-martini-alt"], "f57b", "M502 57.63C523.3 36.38 508.3 0 478.3 0H33.72C3.711 0-11.29 36.38 9.962 57.63l230 230V480H144c-8.836 0-16 7.164-16 16s7.164 16 16 16h224c8.838 0 16-7.164 16-16S376.8 480 368 480h-95.1V287.6L502 57.63zM480 32l-94.99 96H126.1L32 32H480zM256 258.4L158.7 160h194.7L256 258.4z"],
    "martini-glass-citrus": [576, 512, ["cocktail"], "f561", "M304 480H224v-121.8l187.8-203.4c4.312-4.656 5.453-11.44 2.906-17.25C412.1 131.8 406.4 128 400 128H15.1C9.639 128 3.889 131.8 1.342 137.6C-1.205 143.4-.0645 150.2 4.248 154.8L192 358.2V480H112c-8.836 0-15.1 7.162-15.1 16c0 8.836 7.164 16 15.1 16h191.1c8.836 0 15.1-7.164 15.1-16C320 487.2 312.8 480 304 480zM52.54 160h310.9L208 328.4L52.54 160zM432 0c-52.31 0-100.6 28.44-126 74.25C301.7 81.97 304.5 91.72 312.2 96c7.75 4.219 17.47 1.5 21.75-6.25C353.8 54.13 391.3 32 432 32C493.8 32 544 82.25 544 144S493.8 256 432 256c-14.52 0-28.64-2.75-42-8.156c-8.156-3.219-17.52 .6875-20.83 8.844c-3.312 8.188 .6406 17.53 8.828 20.84c17.19 6.938 35.36 10.47 54 10.47c79.41 0 143.1-64.59 143.1-144S511.4 0 432 0z"],
    "martini-glass-empty": [512, 512, ["glass-martini"], "f000", "M502 57.63C523.3 36.38 508.3 0 478.3 0H33.72C3.711 0-11.29 36.38 9.962 57.63l230 230V480H144c-8.836 0-15.1 7.164-15.1 16s7.164 16 16 16h224c8.838 0 16-7.164 16-16S376.8 480 368 480h-95.1V287.6L502 57.63zM256 258.4L32 32h448L256 258.4z"],
    "mask": [576, 512, [], "f6fa", "M288 64C39.52 64 0 182.1 0 273.5C0 379.5 78.8 448 176 448c27.33 0 51.21-6.516 66.11-36.79l19.93-40.5C268.3 358.6 278.1 352.4 288 352.1c9.9 .3711 19.7 6.501 25.97 18.63l19.93 40.5C348.8 441.5 372.7 448 400 448c97.2 0 176-68.51 176-174.5C576 182.1 536.5 64 288 64zM400 416c-23.88 0-31.09-6.104-37.39-18.92l-20.21-41.05c-11.19-21.67-31.08-35.1-53.2-35.93L288 320.1l-1.199 .043c-22.12 .8301-42.01 14.26-53.48 36.48l-19.92 40.49C207.1 409.9 199.9 416 176 416C91.21 416 32 357.4 32 273.5C32 197.3 58.54 96 288 96s256 101.3 256 177.5C544 357.4 484.8 416 400 416zM160 192C124.7 192 96 220.7 96 256s28.65 64 64 64c35.35 0 64-28.65 64-64S195.3 192 160 192zM160 288C142.4 288 128 273.6 128 256s14.36-32 32-32s32 14.36 32 32S177.6 288 160 288zM416 192c-35.35 0-64 28.65-64 64s28.65 64 64 64c35.35 0 64-28.65 64-64S451.3 192 416 192zM416 288c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S433.6 288 416 288z"],
    "mask-face": [640, 512, [], "e1d7", "M432 192C440.8 192 448 199.2 448 208C448 216.8 440.8 224 432 224H208C199.2 224 192 216.8 192 208C192 199.2 199.2 192 208 192H432zM192 272C192 263.2 199.2 256 208 256H432C440.8 256 448 263.2 448 272C448 280.8 440.8 288 432 288H208C199.2 288 192 280.8 192 272zM400 320C408.8 320 416 327.2 416 336C416 344.8 408.8 352 400 352H240C231.2 352 224 344.8 224 336C224 327.2 231.2 320 240 320H400zM206.5 111.9L243.6 87.12C266.2 72.05 292.8 64 320 64C347.2 64 373.8 72.05 396.4 87.12L433.5 111.9C449.3 122.4 467.8 128 486.8 128H592C618.5 128 640 149.5 640 176V261C640 312.4 605 357.2 555.2 369.7L469 391.2C429.4 426.5 377.2 448 320 448C262.8 448 210.6 426.5 170.1 391.2L84.84 369.7C34.98 357.2 0 312.4 0 261V176C0 149.5 21.49 128 48 128H153.2C172.2 128 190.7 122.4 206.5 111.9V111.9zM320 96C299.1 96 278.7 102.2 261.4 113.8L224.2 138.5C203.2 152.5 178.5 160 153.2 160H128V224C128 330 213.1 416 320 416C426 416 512 330 512 224V160H486.8C461.5 160 436.8 152.5 415.8 138.5L378.6 113.8C361.3 102.2 340.9 96 320 96zM32 176V261C32 297.8 56.98 329.8 92.6 338.7L134.1 349C110 313.3 96 270.3 96 224V160H48C39.16 160 32 167.2 32 176V176zM608 261V176C608 167.2 600.8 160 592 160H544V224C544 270.3 529.9 313.3 505.9 349L547.4 338.7C583 329.8 608 297.8 608 261V261z"],
    "mask-snorkel": [576, 512, [], "e3b7", "M448 224V128c0-35.35-28.65-64-64-64H64C28.65 64 0 92.65 0 128v96c0 35.35 28.65 64 64 64h78.03c29.37 0 54.96-19.99 62.09-48.48l4.359-17.43C210.5 214 217.2 209.1 224 209.1s13.5 4.04 15.52 12.12l4.359 17.43C251 268 276.6 288 305.1 288H384C419.3 288 448 259.3 448 224zM274.9 231.8L270.6 214.3C265.1 192.6 246.4 177.1 224 177.1s-41.13 14.61-46.57 36.36L173.1 231.8C169.5 246 156.7 256 142 256H64C46.36 256 32 241.6 32 224V128c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32v96c0 17.64-14.36 32-32 32h-78.03C291.3 256 278.5 246 274.9 231.8zM560 32C551.2 32 544 39.16 544 48V384c0 52.94-43.06 96-96 96s-96-43.06-96-96v-16c0-8.844-7.156-16-16-16S320 359.2 320 368V384c0 70.59 57.41 128 128 128s128-57.41 128-128V48C576 39.16 568.8 32 560 32z"],
    "mask-ventilator": [640, 512, [], "e524", "M239.1 369.3C239.1 395.1 252.5 419.5 271.1 434.2V474.4C220.4 462.2 177.5 430.6 152.3 388.4L83.5 370.3C34.29 357.4 0 312.9 0 261.1V176C0 149.5 21.49 128 48 128H185.1C219.8 73.8 267.4 32 320 32C372.1 32 419.7 73.8 454.5 128H592C618.5 128 640 149.5 640 176V261.1C640 312.9 605.7 357.4 556.5 370.3L487.5 388.5C462.1 430.6 418.1 462 368 474.3V434C387.3 419.4 400 396 400 369.3C400 346.1 390.2 312.5 373.9 284.7C365.8 270.1 356.6 259.5 346.1 251.5C337.4 243.6 328.3 240 320 240C311.6 240 302.4 243.6 292.8 251.5C283.2 259.5 273.1 270.1 265.9 284.7C249.7 312.4 240 346 240 369.3L239.1 369.3zM216.9 413.7C211.2 400.1 207.1 385.1 207.1 369.3C207.1 339.2 219.8 300.1 238.3 268.5C247.6 252.6 259.1 237.8 272.5 226.8C285.8 215.8 301.9 207.1 319.1 207.1C337.1 207.1 354 215.9 367.3 226.8C380.6 237.8 392.1 252.6 401.5 268.5C420 300 432 339.1 432 369.3C432 384.1 428.9 399.8 423.2 413.2C458.1 386 480 345.4 480 300.8C480 258.8 460.8 197.5 428.4 146.5C394.1 93.94 355.3 64 319.1 64C284.2 64 244.5 94.01 211.3 146.4C178.1 197.4 159.1 258.8 159.1 300.8C159.1 345.4 181.7 386.4 216.9 413.7L216.9 413.7zM504.4 350.9L548.4 339.4C583.5 330.1 608 298.3 608 261.1V175.1C608 167.2 600.8 159.1 592 159.1H472.9C497.4 207.8 512 260.3 512 300.8C512 318.2 509.3 335.1 504.4 350.9V350.9zM47.1 159.1C39.16 159.1 31.1 167.2 31.1 175.1V261.1C31.1 298.3 56.5 330.1 91.64 339.4L135.5 350.9C130.6 335 127.1 318.2 127.1 300.8C127.1 260.3 142.4 207.8 166.8 159.1H47.1zM303.1 319.1C303.1 311.2 311.2 303.1 319.1 303.1C328.8 303.1 336 311.2 336 319.1V512H303.1V319.1z"],
    "masks-theater": [640, 512, [127917, "theater-masks"], "f630", "M151 206c19.37-3.375 35.87-17.88 45.25-39.63c3.5-8.125-.25-17.5-8.498-21c-8-3.5-17.5 .25-21 8.375C163.9 160.6 157.1 172.5 145.5 174.5C133.8 176.6 123.5 167.8 118.4 162.3C112.3 155.8 102.1 155.5 95.77 161.5c-6.5 6.125-6.75 16.25-.75 22.62C100.3 189.6 121.4 211.4 151 206zM339.2 226.9c5.125-5.375 15.5-14.5 27.25-12.25c11.62 2.125 18.25 13.88 21.25 20.75c3.5 8.25 12.1 11.88 20.1 8.375c8.125-3.375 11.88-12.88 8.5-21c-9.5-22.12-25.62-36.25-45.25-39.63C352.5 179.8 332.5 187.4 316 205C310 211.4 310.3 221.5 316.8 227.5C323.1 233.6 333.3 233.4 339.2 226.9zM160.4 325c.7246-.9961 12.34-16.05 37.09-26.39c.0645-.3867 .0488-.7988 .1172-1.184l6.105-34.75c-44.55 12.24-67.07 40.78-68.19 42.2c-5.5 6.875-4.5 17 2.375 22.5C145.8 333.8 155.8 330.8 160.4 325zM513.9 208.1c-19.5-3.5-39.5 4.25-56.12 21.88c-5.998 6.375-5.75 16.5 .75 22.62c6.375 6 16.5 5.75 22.62-.75c5.123-5.5 15.37-14.38 27.12-12.25c11.75 2.125 18.37 13.88 21.25 20.75c3.625 8.25 13.12 11.88 21.12 8.375c8.125-3.375 11.88-12.88 8.375-21C549.6 226 533.2 211.5 513.9 208.1zM519.5 318.8c-26.25 16-62.1 21.25-100.9 14.62c-37.75-6.75-70.5-24.25-89.74-48.25c-9.125-11.38-27.25-5.5-28.5 8.75c-5.25 63 38.75 119 102.2 130.3c21.12 3.75 114.1 6.5 140.6-87.5C546.1 322.9 531.1 311.3 519.5 318.8zM408.2 392.6c-33.25-5.875-59.25-28.12-70.37-57c21.38 14.12 47.25 24.25 75.25 29.25c27.1 4.875 55.75 4.25 80.62-1.75C473.4 386.5 441.4 398.4 408.2 392.6zM64.27 301.3L32.64 121.4C30.02 106.5 36.52 92 48.77 85.13c25.05-13.88 125.1-68.37 264.1-48.69c17.56-2.695 35.27-4.166 52.97-4.932c-10.37-13.99-24.6-23.22-40.65-25.77C301.3 1.857 277.3-.0001 253.4-.0001c-76.74 0-152.4 19.32-220.1 57.07C9.021 70.45-3.854 98.5 1.021 126.6l31.75 180.2c14.25 80.75 136.4 142.4 204.5 142.4c3.957 0 7.617-.2402 11.26-.6855c-8.389-10.53-16.05-21.18-22.5-31.94C167.1 410.5 74.58 359.3 64.27 301.3zM606.8 121C521.8 73.78 440.2 64 386.5 64c-23.84 0-47.94 1.834-71.69 5.623C287.5 74.05 265.8 95.9 260.8 123.1L229 303.5c-6.877 38.63 11.31 86.9 49.8 132.2C289.7 448.4 346.7 512 402.8 512c70.47 0 189.9-61.05 204.4-142.1l31.75-179.5C643.8 162.3 630.8 134.4 606.8 121zM607.5 184.1l-31.75 179.5c-10.1 61.57-115.5 115.7-172.1 115.7c-38.1 0-86.87-50.23-99.5-65.06c-31.88-37.51-47.75-77.15-42.63-105.9l31.62-179.5c2.625-14.71 13.75-26.17 27.62-28.42c23.31-3.719 45.58-5.311 66.66-5.311c107.5 0 183.7 41.38 204.7 53.04C603.5 155.8 609.1 170.3 607.5 184.1z"],
    "mattress-pillow": [640, 512, [], "e525", "M176 128C202.5 128 224 149.5 224 176V336C224 362.5 202.5 384 176 384H112C85.49 384 64 362.5 64 336V176C64 149.5 85.49 128 112 128H176zM176 160H112C103.2 160 96 167.2 96 176V336C96 344.8 103.2 352 112 352H176C184.8 352 192 344.8 192 336V176C192 167.2 184.8 160 176 160zM576 64C611.3 64 640 92.65 640 128V384C640 419.3 611.3 448 576 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H576zM256 96H64C46.33 96 32 110.3 32 128V384C32 401.7 46.33 416 64 416H256V96zM288 96V416H576C593.7 416 608 401.7 608 384V128C608 110.3 593.7 96 576 96H288z"],
    "maximize": [448, 512, ["expand-arrows-alt"], "f31e", "M348.7 153.9l44.68 44.68c6.156 6.125 14.28 9.375 22.59 9.375c4.125 0 8.312-.8125 12.28-2.453C440.3 200.5 448 188.1 448 175.1V64c0-17.64-14.34-32-32-32h-111.1c-13 0-24.59 7.766-29.56 19.77s-2.25 25.69 6.938 34.86l44.67 44.67L224 233.4L121.9 131.3L166.6 86.63c6.125-6.156 9.375-14.28 9.375-22.59c0-4.125-.8125-8.312-2.453-12.28C168.5 39.75 156.1 32 143.1 32H32C14.36 32 0 46.34 0 64v111.1c0 13 7.766 24.59 19.77 29.56s25.69 2.25 34.86-6.938l44.67-44.67L201.4 256l-102.1 102.1L54.63 313.4C48.47 307.3 40.34 304 32.03 304c-4.125 0-8.312 .8125-12.28 2.453C7.75 311.5 0 323 0 336V448c0 17.64 14.34 32 32 32h111.1c13 0 24.59-7.766 29.56-19.77s2.25-25.69-6.938-34.86l-44.67-44.67L224 278.6l102.1 102.1l-44.68 44.68c-6.125 6.156-9.375 14.28-9.375 22.59c0 4.125 .8125 8.312 2.453 12.28C279.5 472.3 291 480 304 480H416c17.64 0 32-14.34 32-32v-111.1c0-13-7.766-24.59-19.77-29.56s-25.69-2.25-34.86 6.938l-44.67 44.67L246.6 256L348.7 153.9zM32.01 176C32.01 176 32.01 176.1 32.01 176L32 64h111.1L32.01 176zM144 447.1C144 447.1 144.1 447.1 144 447.1L32 448v-111.1L144 447.1zM415.1 335.1C415.1 335.1 415.1 335.9 415.1 335.1L416 448h-111.1L415.1 335.1zM303.1 64.01C303.1 64.01 303.9 64.01 303.1 64.01L416 64v111.1L303.1 64.01z"],
    "meat": [576, 512, [127830], "f814", "M375 115.9c-9.751 9.875-5.876 29.75 8.876 44.37c14.75 14.75 34.63 18.75 44.38 8.875c9.876-9.75 5.876-29.62-8.876-44.37C404.7 110.1 384.8 106.1 375 115.9zM475.7 68.62C420.2 13.25 362.5 0 331.1 0c-38.63 0-62.01 18.98-68.76 25.86C223.6 64.48 160.1 139.5 160.1 209.4L160 291.8L148.5 303.2c-3.125 3.125-9.126 5.25-17.13 2C109 296.4 83.63 299.1 63.75 312.6C43.88 326.1 32 348.6 32 372.6c0 21.62 15.63 69.13 67.63 71.75C101.6 483.8 134 512 171.3 512c51.88 0 86.26-52.25 67.38-99.38c-1-2.625-3.875-11.38 2-17.25L252 384l82.78-.0508c69.88 0 145.1-63.49 183.7-102.1C573.8 226.6 530.5 123.5 475.7 68.62zM334.7 352H238.8l-20.63 20.75c-13.13 13-16.63 32.87-9.251 51.75c23.5 58.63-74.26 78.88-77.26 18.25l-1.5-28.88l-28.88-1.5c-50.63-2.5-49-80.25 3.25-80.25C109.6 332 114.8 333 119.5 335c17.63 7.125 38 4.625 51.75-9.125L192 305V209.5c0-37.75 27-89 73.26-140.4C263.4 82.38 263.8 96 266.4 109.2c7.376 36.63 29.63 75.75 61.13 107.3c40 40 89.88 63.88 133.4 63.88C465.4 280.2 470 280 474.5 279.2C423.3 325.2 372.3 352 334.7 352zM495.7 236.6C472.3 260 406 249.8 350.2 193.9C296.5 140.2 283 73 307.5 48.5c23.38-23.5 89.76-13.12 145.5 42.62C506.9 145 519.9 212.4 495.7 236.6z"],
    "medal": [512, 512, [127941], "f5a2", "M300.4 275.4l-19.75-40c-4.742-9.422-14.69-14.14-24.62-14.14c-9.969 0-19.93 4.75-24.63 14.27L211.6 275.4l-44.13 6.5C157.1 283.4 148.6 290.5 145.4 300.5c-3.25 10.12-.625 20.88 6.875 28.25l32 31l-7.625 44c-3.063 17.98 11.36 32.21 27.23 32.21c4.215 0 8.531-1.004 12.65-3.207L256 412l39.5 20.75c4.022 2.117 8.276 3.086 12.45 3.086c15.8 0 30.49-13.89 27.43-32.09l-7.625-43.88l32-31.12c7.5-7.375 10.13-18.12 6.875-28.25c-3.25-10-11.75-17.12-22.13-18.62L300.4 275.4zM293.4 348.6l8.803 51.45l-46.22-24.32l-46.36 24.97l8.95-52.11l-37.38-36.45l51.66-7.576l23.13-46.82l23.13 46.82l51.66 7.576L293.4 348.6zM256 160c-97.2 0-176 78.8-176 176S158.8 512 256 512s176-78.8 176-176S353.2 160 256 160zM256 480c-79.4 0-144-64.6-144-144S176.6 192 256 192s144 64.6 144 144S335.4 480 256 480zM112 192c3.094 0 6.219-.875 8.969-2.75c7.313-4.938 9.25-14.91 4.281-22.22L33.85 31.97l98.78-1L196.7 137.8c4.563 7.594 14.47 10.12 21.94 5.5c7.594-4.531 10.06-14.38 5.5-21.94L160.1 14.56C154.7 5.562 144.9 0 134.4 0H29.94C18.75 0 8.596 6.156 3.408 16.09C-1.748 26-.9983 37.88 5.283 46.84l93.47 138.1C101.8 189.5 106.9 192 112 192zM508.6 16.09C503.4 6.156 493.3 0 482.1 0h-104.5c-10.47 0-20.31 5.562-25.66 14.53l-64.09 106.9c-4.563 7.562-2.094 17.41 5.5 21.94c7.531 4.625 17.41 2.094 21.94-5.5L377.6 32h100.5l-91.38 135c-4.969 7.312-3.031 17.28 4.281 22.22C393.8 191.1 396.9 192 400 192c5.125 0 10.16-2.469 13.25-7.031l93.35-137.9C513 37.88 513.8 26 508.6 16.09z"],
    "megaphone": [576, 512, [128227], "f675", "M576 48V464C576 472.8 568.8 480 560 480C551.2 480 544 472.8 544 464V452.5L349.9 403.1C340.7 447.4 302.2 480 256 480C202.1 480 160 437 160 384C160 374.8 161.3 365.9 163.7 357.4L32 324.5V336C32 344.8 24.84 352 16 352C7.164 352 0 344.8 0 336V176C0 167.2 7.164 160 16 160C24.84 160 32 167.2 32 176V187.5L544 59.51V48C544 39.16 551.2 32 560 32C568.8 32 576 39.16 576 48zM544 419.5V92.49L32 220.5V291.5L544 419.5zM256 448C287.2 448 313.1 425.7 318.8 396.2L194.8 365.2C192.1 371.1 192 377.5 192 384C192 419.3 220.7 448 256 448z"],
    "melon": [512, 512, [], "e310", "M256 0C114.6 0 0 114.6 0 256c0 70.71 28.66 134.7 74.1 181c.002 .002-.002-.002 0 0s-.002-.002 0 0C121.3 483.3 185.3 512 256 512c141.4 0 256-114.6 256-256S397.4 0 256 0zM418.2 176.7c-14.59 48.66-48.1 100.9-94.35 147.2c-70.34 70.31-146.4 101.8-190.6 101.8c-10.72 0-25.18-1.934-34.58-10.46C98.23 414.8 97.78 414.4 97.34 413.9c-12.96-13.44-14.36-42.71-3.58-78.62c14.59-48.66 48.1-100.9 94.36-147.2c70.33-70.32 146.4-101.8 190.6-101.8c10.36 0 24.19 1.832 32.84 8.861c.998 .9668 2.07 1.85 3.051 2.834C427.6 111.4 429 140.7 418.2 176.7zM256 32c36.19 0 70.28 8.822 100.6 24.12c-57.22 8.416-129.3 47.61-191.1 109.4C115.6 215.4 79.2 272.5 63.11 326.1c-3.279 10.93-5.273 21.17-6.686 31.05C40.93 326.8 32 292.4 32 256C32 132.5 132.5 32 256 32zM256 480c-36.19 0-70.28-8.822-100.6-24.12c57.22-8.42 129.3-47.61 191.1-109.3c49.93-49.94 86.29-106.1 102.4-160.6c3.281-10.93 5.277-21.18 6.688-31.07C471.1 185.3 480 219.6 480 256C480 379.5 379.5 480 256 480z"],
    "melon-slice": [512, 512, [], "e311", "M425.1 4.688C422.1 1.688 418 0 413.8 0c-4.25 0-8.314 1.688-11.31 4.688l-86.13 86.13C318.7 102.9 320 115.3 320 128c0 106-85.96 192-192 192c-12.73 0-25.16-1.307-37.2-3.672l-86.11 86.11C1.688 405.4 0 409.5 0 413.8s1.688 8.314 4.689 11.32C62.64 483 138.8 512 214.9 512c76.15 0 152.3-28.98 210.2-86.93C540.1 309.2 540.1 120.6 425.1 4.688zM102 350.4C110.6 351.4 119.2 352 128 352c123.5 0 224-100.5 224-224c0-8.793-.6406-17.43-1.631-25.96l17.57-17.57c67.35 78.99 63.87 198.1-10.74 272.7c-38.01 38.01-88.56 58.94-142.3 58.94c-48.38 0-94.07-17.08-130.5-48.17L102 350.4zM402.5 402.4c-99.56 99.62-259.4 103.3-363.5 10.97l22.84-22.84c42.48 37.1 96.16 57.55 153.1 57.55c62.27 0 120.8-24.26 164.9-68.32c87.11-87.11 90.54-226.4 10.74-317.1l22.86-22.86C505.7 143 502.1 302.8 402.5 402.4z"],
    "memo": [384, 512, [], "e1d8", "M208 320h-128C71.16 320 64 327.2 64 336S71.16 352 80 352h128c8.838 0 16-7.164 16-16S216.8 320 208 320zM304 224h-224C71.16 224 64 231.2 64 240S71.16 256 80 256h224C312.8 256 320 248.8 320 240S312.8 224 304 224zM304 128h-224C71.16 128 64 135.2 64 144S71.16 160 80 160h224C312.8 160 320 152.8 320 144S312.8 128 304 128zM320 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h256c35.35 0 64-28.65 64-64V64C384 28.65 355.3 0 320 0zM352 448c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V64c0-17.64 14.36-32 32-32h256c17.64 0 32 14.36 32 32V448z"],
    "memo-circle-check": [576, 512, [], "e1d9", "M320 32H64C46.33 32 32 46.33 32 64V448C32 465.7 46.33 480 64 480H296.2C305.1 491.8 317.3 502.3 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V198.6C372.8 201.8 362.1 206 352 211.2V64C352 46.33 337.7 32 320 32V32zM64 144C64 135.2 71.16 128 80 128H304C312.8 128 320 135.2 320 144C320 152.8 312.8 160 304 160H80C71.16 160 64 152.8 64 144zM272 224C280.8 224 288 231.2 288 240C288 248.8 280.8 256 272 256H80C71.16 256 64 248.8 64 240C64 231.2 71.16 224 80 224H272zM208 320C216.8 320 224 327.2 224 336C224 344.8 216.8 352 208 352H80C71.16 352 64 344.8 64 336C64 327.2 71.16 320 80 320H208zM476.7 324.7C482.9 318.4 493.1 318.4 499.3 324.7C505.6 330.9 505.6 341.1 499.3 347.3L427.3 419.3C421.1 425.6 410.9 425.6 404.7 419.3L364.7 379.3C358.4 373.1 358.4 362.9 364.7 356.7C370.9 350.4 381.1 350.4 387.3 356.7L416 385.4L476.7 324.7zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 480C493.9 480 544 429.9 544 368C544 306.1 493.9 256 432 256C370.1 256 320 306.1 320 368C320 429.9 370.1 480 432 480z"],
    "memo-circle-info": [576, 512, [], "e49a", "M320 32H64C46.33 32 32 46.33 32 64V448C32 465.7 46.33 480 64 480H296.2C305.1 491.8 317.3 502.3 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V198.6C372.8 201.8 362.1 206 352 211.2V64C352 46.33 337.7 32 320 32V32zM64 144C64 135.2 71.16 128 80 128H304C312.8 128 320 135.2 320 144C320 152.8 312.8 160 304 160H80C71.16 160 64 152.8 64 144zM272 224C280.8 224 288 231.2 288 240C288 248.8 280.8 256 272 256H80C71.16 256 64 248.8 64 240C64 231.2 71.16 224 80 224H272zM208 320C216.8 320 224 327.2 224 336C224 344.8 216.8 352 208 352H80C71.16 352 64 344.8 64 336C64 327.2 71.16 320 80 320H208zM432 288C445.3 288 456 298.7 456 312C456 325.3 445.3 336 432 336C418.7 336 408 325.3 408 312C408 298.7 418.7 288 432 288zM415.1 416V384C407.2 383.1 400 376.8 400 368C400 359.2 407.2 352 416 352H431.1C440.8 352 447.1 359.2 447.1 368L448 416C456.8 416 464 423.2 464 432C464 440.8 456.8 448 448 448H416C407.2 448 400 440.8 400 432C400 423.2 407.2 416 415.1 416zM432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512zM544 368C544 306.1 493.9 256 432 256C370.1 256 320 306.1 320 368C320 429.9 370.1 480 432 480C493.9 480 544 429.9 544 368z"],
    "memo-pad": [448, 512, [], "e1da", "M112 320h224c8.836 0 16-7.164 16-16C352 295.2 344.8 288 336 288h-224C103.2 288 96 295.2 96 304C96 312.8 103.2 320 112 320zM112 224h224C344.8 224 352 216.8 352 208C352 199.2 344.8 192 336 192h-224C103.2 192 96 199.2 96 208C96 216.8 103.2 224 112 224zM112 416h128c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16h-128C103.2 384 96 391.2 96 400C96 408.8 103.2 416 112 416zM384 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V64C448 28.65 419.3 0 384 0zM416 448c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V128h384V448zM416 96H32V64c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V96z"],
    "memory": [576, 512, [], "f538", "M576 146.9V128c0-35.35-28.65-64-64-64H64C28.65 64 0 92.65 0 128v18.94C18.6 153.5 32 171.1 32 192S18.6 230.5 0 237.1V416c0 17.67 14.33 32 32 32h512c17.67 0 32-14.33 32-32V237.1C557.4 230.5 544 212.9 544 192S557.4 153.5 576 146.9zM544 416h-48v-16c0-8.836-7.162-16-16-16c-8.836 0-16 7.164-16 16V416h-96v-16c0-8.836-7.162-16-16-16c-8.836 0-16 7.164-16 16V416h-96v-16C240 391.2 232.8 384 224 384c-8.836 0-16 7.164-16 16V416h-96v-16C112 391.2 104.8 384 96 384c-8.836 0-16 7.164-16 16V416H32v-96h512V416zM544 128c-19.75 14.84-32 38.54-32 64s12.25 48.95 32 63.79V288H32V255.8C51.75 240.9 64 217.5 64 192S51.75 143.1 32 128.2C32 110.6 46.36 96 64 96h448C529.6 96 544 110.4 544 128zM160 128C151.2 128 144 135.2 144 144v96C144 248.8 151.2 256 160 256s16-7.156 16-16v-96C176 135.2 168.8 128 160 128zM288 128C279.2 128 272 135.2 272 144v96C272 248.8 279.2 256 288 256s16-7.156 16-16v-96C304 135.2 296.8 128 288 128zM416 128c-8.844 0-16 7.156-16 16v96C400 248.8 407.2 256 416 256s16-7.156 16-16v-96C432 135.2 424.8 128 416 128z"],
    "menorah": [640, 512, [], "f676", "M608 128c-8.801 0-16 7.199-16 16v160c0 26.51-21.49 48-48 48h-16V144C528 135.2 520.8 128 512 128s-16 7.199-16 16V352h-64V144C432 135.2 424.8 128 416 128s-16 7.199-16 16V352h-64V144C336 135.2 328.8 128 320 128S304 135.2 304 144V352h-64V144C240 135.2 232.8 128 224 128S208 135.2 208 144V352h-64V144C144 135.2 136.8 128 128 128S112 135.2 112 144V352H96c-26.51 0-48-21.49-48-48v-160C48 135.2 40.8 128 32 128S16 135.2 16 144v160C16 348.2 51.82 384 96 384h208v96h-160C135.2 480 128 487.2 128 496C128 504.8 135.2 512 144 512h352c8.801 0 16-7.201 16-16c0-8.801-7.199-16-16-16h-160v-96H544c44.18 0 80-35.82 80-80v-160C624 135.2 616.8 128 608 128zM32 95.1c8.844 0 16-7.156 16-15.1v-64c0-8.844-7.156-16-16-16S16 7.156 16 16v64C16 88.84 23.16 95.1 32 95.1zM128 95.1c8.844 0 16-7.156 16-15.1v-64c0-8.844-7.156-16-16-16S112 7.156 112 16v64C112 88.84 119.2 95.1 128 95.1zM224 95.1c8.844 0 16-7.156 16-15.1v-64c0-8.844-7.156-16-16-16S208 7.156 208 16v64C208 88.84 215.2 95.1 224 95.1zM320 95.1c8.844 0 16-7.156 16-15.1v-64c0-8.844-7.156-16-16-16S304 7.156 304 16v64C304 88.84 311.2 95.1 320 95.1zM416 95.1c8.844 0 16-7.156 16-15.1v-64c0-8.844-7.156-16-16-16S400 7.156 400 16v64C400 88.84 407.2 95.1 416 95.1zM512 95.1c8.844 0 16-7.156 16-15.1v-64c0-8.844-7.156-16-16-16S496 7.156 496 16v64C496 88.84 503.2 95.1 512 95.1zM608 0c-8.844 0-16 7.156-16 16v64c0 8.844 7.156 15.1 16 15.1S624 88.84 624 80v-64C624 7.156 616.8 0 608 0z"],
    "mercury": [384, 512, [9791], "f223", "M368 223.1c0-71.36-42.78-132.8-103.1-160.4c18.91-8.863 36.48-20.85 51.51-36.49c6.125-6.375 5.938-16.5-.4375-22.63s-16.5-5.906-22.62 .4375C265.8 32.68 230.1 47.1 192 47.1S118.3 32.68 91.53 4.898C85.44-1.446 75.31-1.665 68.91 4.46c-6.375 6.125-6.562 16.25-.4375 22.63C83.5 42.73 101.1 54.72 119.1 63.58C58.78 91.18 16 152.6 16 223.1c0 91.63 70.45 167.1 160 175.2v32.81H128c-8.844 0-16 7.156-16 16c0 8.844 7.156 16 16 16h48v32C176 504.8 183.2 512 192 512s16-7.156 16-16v-32H256c8.844 0 16-7.156 16-16c0-8.844-7.156-16-16-16h-48v-32.81C297.6 391.1 368 315.6 368 223.1zM48 223.1c0-79.41 64.59-144 144-144s144 64.59 144 144s-64.59 144-144 144S48 303.4 48 223.1z"],
    "merge": [512, 512, [], "e526", "M0 80C0 71.16 7.164 64 16 64H143.7C159.1 64 173.5 71.35 182.5 83.77L291.4 233.4C294.4 237.6 299.2 239.1 304.3 239.1H457.4L404.7 187.3C398.4 181.1 398.4 170.9 404.7 164.7C410.9 158.4 421.1 158.4 427.3 164.7L507.3 244.7C513.6 250.9 513.6 261.1 507.3 267.3L427.3 347.3C421.1 353.6 410.9 353.6 404.7 347.3C398.4 341.1 398.4 330.9 404.7 324.7L457.4 271.1H304.3C299.2 271.1 294.4 274.4 291.4 278.6L182.5 428.2C173.5 440.6 159.1 448 143.7 448H16C7.164 448 0 440.8 0 432C0 423.2 7.164 416 16 416H143.7C148.8 416 153.6 413.5 156.6 409.4L265.5 259.8C266.4 258.5 267.4 257.2 268.5 255.1C267.4 254.8 266.4 253.5 265.5 252.2L156.6 102.6C153.6 98.45 148.8 95.1 143.7 95.1H16C7.164 95.1 0 88.84 0 79.1V80z"],
    "message": [512, 512, ["comment-alt"], "f27a", "M447.1 0h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.98c0 9.837 11.02 15.55 19.12 9.7l124.9-93.68h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 0 447.1 0zM480 352c0 17.6-14.4 32-32 32h-144.1c-6.928 0-13.67 2.248-19.21 6.406L192 460v-60c0-8.838-7.164-16-16-16H64c-17.6 0-32-14.4-32-32V64c0-17.6 14.4-32 32-32h384c17.6 0 32 14.4 32 32V352z"],
    "message-arrow-down": [512, 512, ["comment-alt-arrow-down"], "e1db", "M324.7 212.7L272 265.4V112C272 103.2 264.8 96 256 96S240 103.2 240 112v153.4L187.3 212.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l80 80C247.8 318.4 251.9 320 256 320s8.188-1.562 11.31-4.688l80-80c6.25-6.25 6.25-16.38 0-22.62S330.9 206.4 324.7 212.7zM448 0H64C28.75 0 0 28.75 0 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.838 11.03 15.55 19.12 9.7L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM480 352c0 17.6-14.4 32-32 32h-144.1c-6.928 0-13.67 2.248-19.21 6.406L192 460v-60c0-8.838-7.164-16-16-16H64c-17.6 0-32-14.4-32-32V64c0-17.6 14.4-32 32-32h384c17.6 0 32 14.4 32 32V352z"],
    "message-arrow-up": [512, 512, ["comment-alt-arrow-up"], "e1dc", "M267.3 100.7C264.2 97.56 260.1 96 256 96S247.8 97.56 244.7 100.7l-80 80c-6.25 6.25-6.25 16.38 0 22.62s16.38 6.25 22.62 0L240 150.6V304C240 312.8 247.2 320 256 320s16-7.156 16-16V150.6l52.69 52.69c6.25 6.25 16.38 6.25 22.62 0s6.25-16.38 0-22.62L267.3 100.7zM448 0H64C28.75 0 0 28.75 0 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.838 11.03 15.55 19.12 9.7L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM480 352c0 17.6-14.4 32-32 32h-144.1c-6.928 0-13.67 2.248-19.21 6.406L192 460v-60c0-8.838-7.164-16-16-16H64c-17.6 0-32-14.4-32-32V64c0-17.6 14.4-32 32-32h384c17.6 0 32 14.4 32 32V352z"],
    "message-arrow-up-right": [512, 512, [], "e1dd", "M448 0H64C28.75 0 0 28.75 0 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96V499.1c0 9.838 11.03 15.55 19.12 9.699L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM480 352c0 17.6-14.4 32-32 32h-144.1c-6.928 0-13.67 2.248-19.21 6.406L192 460v-60c0-8.838-7.164-16-16-16H64c-17.6 0-32-14.4-32-32V64c0-17.6 14.4-32 32-32h384c17.6 0 32 14.4 32 32V352zM358.1 113.2C356.2 112.4 354.1 112 352 112H224C215.2 112 208 119.2 208 128S215.2 144 224 144h89.38L180.7 276.7c-6.25 6.25-6.25 16.38 0 22.62C183.8 302.4 187.9 304 192 304s8.188-1.562 11.31-4.688L336 166.6V256c0 8.844 7.156 16 16 16s16-7.156 16-16V128c0-2.082-.4219-4.154-1.23-6.109C365.1 117.1 362 114.9 358.1 113.2z"],
    "message-bot": [640, 512, [], "e3b8", "M608 159.1c-18.85 0-25.44 13.31-27.03 16H544V63.99C544 28.75 515.3 0 480 0H160C124.8 0 96 28.75 96 63.99v112H59.03C57.44 173.3 50.85 159.1 32 159.1c-18.3 0-32 14.97-32 32c0 17.06 13.72 31.1 32 31.1c18.85 0 25.43-13.3 27.03-15.1H96v143.1c0 35.25 28.75 63.1 64 63.1l64 .0098v83.99C224 507.1 229.8 512 236 512c2.402 0 4.846-.7012 7.096-2.328L368 415.1l112-.0098c35.25 0 64-28.75 64-63.1V207.1h36.98C582.6 210.7 589.2 223.1 608 223.1c18.3 0 32-14.96 32-31.1C640 174.9 626.3 159.1 608 159.1zM512 351.1c0 17.6-14.4 31.1-32 31.1h-112.1c-6.928 0-13.67 2.246-19.21 6.404L256 459.1v-59.1c0-8.838-7.164-15.1-16-15.1H160c-17.6 0-32-14.4-32-31.1V288h384V351.1zM512 256H128V128h384V256zM512 96H128V63.99c0-17.6 14.4-31.1 32-31.1h320c17.6 0 32 14.4 32 31.1V96zM224 223.1c17.67 0 32-14.33 32-32c0-17.67-14.33-32-32-32s-32 14.33-32 32C192 209.7 206.3 223.1 224 223.1zM416 223.1c17.67 0 32-14.33 32-32c0-17.67-14.33-32-32-32s-32 14.33-32 32C384 209.7 398.3 223.1 416 223.1z"],
    "message-captions": [512, 512, ["comment-alt-captions"], "e1de", "M447.1 0h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.838 11.03 15.55 19.12 9.7l124.9-93.7h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 0 447.1 0zM480 352c0 17.6-14.4 32-32 32h-144.1c-6.928 0-13.67 2.248-19.21 6.406L192 460v-60c0-8.838-7.164-16-16-16H64c-17.6 0-32-14.4-32-32V64c0-17.6 14.4-32 32-32h384c17.6 0 32 14.4 32 32V352zM432 224h-160C263.2 224 256 231.2 256 240S263.2 256 272 256h160C440.8 256 448 248.8 448 240S440.8 224 432 224zM224 240C224 231.2 216.8 224 208 224h-128C71.16 224 64 231.2 64 240S71.16 256 80 256h128C216.8 256 224 248.8 224 240zM144 288h-32C103.2 288 96 295.2 96 304S103.2 320 112 320h32C152.8 320 160 312.8 160 304S152.8 288 144 288zM400 288h-32C359.2 288 352 295.2 352 304s7.156 16 16 16h32c8.844 0 16-7.156 16-16S408.8 288 400 288zM304 288h-96C199.2 288 192 295.2 192 304S199.2 320 208 320h96c8.844 0 16-7.156 16-16S312.8 288 304 288z"],
    "message-check": [512, 512, ["comment-alt-check"], "f4a2", "M447.1 0h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.838 11.03 15.55 19.12 9.7l124.9-93.7h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 0 447.1 0zM480 352c0 17.6-14.4 32-32 32h-144.1c-6.928 0-13.67 2.248-19.21 6.406L192 460v-60c0-8.838-7.164-16-16-16H64c-17.6 0-32-14.4-32-32V64c0-17.6 14.4-32 32-32h384c17.6 0 32 14.4 32 32V352zM324.7 143.3L229.3 238.7L187.3 196.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l53.33 53.34c3 3 7.062 4.688 11.31 4.688s8.312-1.688 11.31-4.688l106.7-106.7c6.25-6.25 6.25-16.38 0-22.62S330.9 137.1 324.7 143.3z"],
    "message-code": [512, 512, [], "e1df", "M448 0H64C28.75 0 0 28.75 0 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96V499.1c0 9.838 11.03 15.55 19.12 9.699L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM480 352c0 17.6-14.4 32-32 32h-144.1c-6.928 0-13.67 2.248-19.21 6.406L192 460v-60c0-8.838-7.164-16-16-16H64c-17.6 0-32-14.4-32-32V64c0-17.6 14.4-32 32-32h384c17.6 0 32 14.4 32 32V352zM311.3 124.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L349.4 208l-60.69 60.69c-6.25 6.25-6.25 16.38 0 22.62C291.8 294.4 295.9 296 300 296s8.188-1.562 11.31-4.688l72-72c6.25-6.25 6.25-16.38 0-22.62L311.3 124.7zM223.3 124.7c-6.25-6.25-16.38-6.25-22.62 0l-72 72c-6.25 6.25-6.25 16.38 0 22.62l72 72C203.8 294.4 207.9 296 212 296s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L162.6 208l60.69-60.69C229.6 141.1 229.6 130.9 223.3 124.7z"],
    "message-dollar": [512, 512, ["comment-alt-dollar"], "f650", "M448 0H64C28.75 0 0 28.75 0 63.1v287.1C0 387.2 28.75 415.1 64 415.1h96v83.1c0 9.838 11.03 15.5 19.12 9.649L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM480 352c0 17.6-14.4 32-32 32h-144.1c-6.928 0-13.67 2.248-19.21 6.406L192 460v-60c0-8.838-7.164-16-16-16H64c-17.6 0-32-14.4-32-32V64c0-17.6 14.4-32 32-32h384c17.6 0 32 14.4 32 32V352zM260.2 192.5L252.9 190.5C218.8 180.1 214.3 174.4 216.5 162.2c3-16.64 28.03-20.52 51.47-17.05c6.562 .9687 14.53 3.047 25.06 6.516C301.4 154.5 310.5 149.9 313.2 141.5c2.781-8.391-1.781-17.44-10.19-20.2c-12.31-4.047-22.59-6.57-31-7.82V96c0-8.844-7.181-16-16.02-16S240 87.16 240 96v16.8C210.3 116.3 189.4 132.1 185 156.5C176.7 202.4 222.3 215.2 244.3 221.3L251.8 223.4c38.22 10.41 46.41 16.08 43.81 30.38c-3 16.64-27.97 20.61-51.53 17.03C236.2 269.7 230.6 268.1 205.1 259.5C196.8 256.6 187.7 261.2 184.9 269.6C182.1 277.9 186.6 287 194.9 289.8c29.34 9.969 36.57 11.45 45.09 12.67V320c0 8.844 7.131 16 15.98 16s16.02-7.156 16.02-16V303.2c29.72-3.51 50.59-19.29 55.03-43.72C335.5 213 290.2 200.7 260.2 192.5z"],
    "message-dots": [512, 512, ["comment-alt-dots", "messaging"], "f4a3", "M447.1 0h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.838 11.03 15.55 19.12 9.7l124.9-93.7h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 0 447.1 0zM480 352c0 17.6-14.4 32-32 32h-144.1c-6.928 0-13.67 2.248-19.21 6.406L192 460v-60c0-8.838-7.164-16-16-16H64c-17.6 0-32-14.4-32-32V64c0-17.6 14.4-32 32-32h384c17.6 0 32 14.4 32 32V352zM128 184c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24S152 221.3 152 208C152 194.7 141.3 184 128 184zM384 184c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24s24-10.75 24-24C408 194.7 397.3 184 384 184zM256 184c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24s24-10.75 24-24C280 194.7 269.3 184 256 184z"],
    "message-exclamation": [512, 512, ["comment-alt-exclamation"], "f4a5", "M447.1 0h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.838 11.03 15.55 19.12 9.7l124.9-93.7h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 0 447.1 0zM480 352c0 17.6-14.4 32-32 32h-144.1c-6.928 0-13.67 2.248-19.21 6.406L192 460v-60c0-8.838-7.164-16-16-16H64c-17.6 0-32-14.4-32-32V64c0-17.6 14.4-32 32-32h384c17.6 0 32 14.4 32 32V352zM255.1 255.1C264.8 255.1 272 248.8 272 240V96c0-8.844-7.156-16-16-16S240 87.16 240 96v144C240 248.8 247.1 255.1 255.1 255.1zM256 280c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24s24-10.75 24-24C280 290.7 269.3 280 256 280z"],
    "message-image": [512, 512, ["comment-alt-image"], "e1e0", "M127.1 151.1c13.25 0 24-10.74 24-23.1c0-13.26-10.75-23.1-24-23.1s-24 10.74-24 23.1C103.1 141.3 114.7 151.1 127.1 151.1zM314.6 140.6c-11.28-15.75-38.5-15.88-50-.0313L220.6 201.8L213.6 192.9c-11.44-14.41-36.97-14.5-48.41 .0313L102.2 272.9C95.06 282 94.03 294.4 99.56 304.4C104.8 314 115.1 320 126.4 320h259.2c11 0 21.17-5.781 26.55-15.03c0-.0313-.0313 .0313 0 0c5.656-9.844 5.078-21.75-1.578-31.03L314.6 140.6zM130.2 288l58.25-75.31l20.09 25.56c4.348 5.521 17.6 10.61 25.59-.5313l54.44-78.44L381.3 288H130.2zM447.1 .0041h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.98c0 9.838 11.03 15.55 19.12 9.7l124.9-93.68h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 .0041 447.1 .0041zM480 352c0 17.6-14.4 32-32 32h-144.1c-6.928 0-13.67 2.248-19.21 6.406L192 460v-60c0-8.838-7.164-16-16-16H64c-17.6 0-32-14.4-32-32V64c0-17.6 14.4-32 32-32h384c17.6 0 32 14.4 32 32V352z"],
    "message-lines": [512, 512, ["comment-alt-lines"], "f4a6", "M447.1 0h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.838 11.03 15.55 19.12 9.7l124.9-93.7h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 0 447.1 0zM480 352c0 17.6-14.4 32-32 32h-144.1c-6.928 0-13.67 2.248-19.21 6.406L192 460v-60c0-8.838-7.164-16-16-16H64c-17.6 0-32-14.4-32-32V64c0-17.6 14.4-32 32-32h384c17.6 0 32 14.4 32 32V352zM272 240h-128c-8.801 0-16 7.189-16 15.99C127.1 264.8 135.2 272 144 272h128c8.801 0 15.1-7.213 15.1-16.01C287.1 247.2 280.8 240 272 240zM368 144h-224c-8.801 0-16 7.193-16 15.99C127.1 168.8 135.2 176 144 176h224c8.801 0 15.1-7.21 15.1-16.01C383.1 151.2 376.8 144 368 144z"],
    "message-medical": [512, 512, ["comment-alt-medical"], "f7f4", "M447.1 0h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.838 11.03 15.5 19.12 9.65l124.9-93.65h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 0 447.1 0zM480 352c0 17.6-14.4 32-32 32h-144.1c-6.928 0-13.67 2.248-19.21 6.406L192 460v-60c0-8.838-7.164-16-16-16H64c-17.6 0-32-14.4-32-32V64c0-17.6 14.4-32 32-32h384c17.6 0 32 14.4 32 32V352zM336 176H288V128c0-8.838-7.164-16-16-16h-32C231.2 112 224 119.2 224 128v48H176C167.2 176 160 183.2 160 191.1V224c0 8.836 7.164 15.1 16 15.1H224v48C224 296.8 231.2 304 240 304h32c8.836 0 16-7.166 16-16v-48h48C344.8 239.1 352 232.8 352 224V191.1C352 183.2 344.8 176 336 176z"],
    "message-middle": [512, 512, ["comment-middle-alt"], "e1e1", "M448 0H64C28.75 0 0 28.75 0 63.99v287.1c0 35.25 28.75 63.1 64 63.1h111.1l67.22 89.63C246.4 509.9 251.2 512 256 512s9.6-2.133 12.8-6.4l67.22-89.63H448c35.25 0 64-28.75 64-63.1V63.99C512 28.75 483.3 0 448 0zM480 351.1c0 17.64-14.36 31.1-32 31.1h-127.1L256 469.3l-64.03-85.37H64c-17.64 0-32-14.35-32-31.1V63.99C32 46.35 46.36 32 64 32h384c17.64 0 32 14.35 32 31.99V351.1z"],
    "message-middle-top": [512, 512, ["comment-middle-top-alt"], "e1e2", "M448 96.03h-111.1l-67.22-89.63C265.6 2.133 260.8 .0002 256 .0002S246.4 2.133 243.2 6.4l-67.22 89.63H64c-35.25 0-64 28.75-64 63.1v287.1C0 483.3 28.75 512 64 512h384c35.25 0 64-28.75 64-63.99V160C512 124.8 483.3 96.03 448 96.03zM480 448C480 465.6 465.6 480 448 480H64c-17.64 0-32-14.35-32-31.99V160C32 142.4 46.36 128 64 128h127.1L256 42.67l64.03 85.37H448c17.64 0 32 14.35 32 31.1V448z"],
    "message-minus": [512, 512, ["comment-alt-minus"], "f4a7", "M448 0H64C28.75 0 0 28.75 0 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.838 11.02 15.55 19.12 9.7L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM480 352c0 17.6-14.4 32-32 32h-144.1c-6.926 0-13.67 2.248-19.21 6.406L192 460v-60c0-8.838-7.164-16-16-16H64c-17.6 0-32-14.4-32-32V64c0-17.6 14.4-32 32-32h384c17.6 0 32 14.4 32 32V352zM336 192h-160C167.2 192 160 199.2 160 208c0 8.834 7.156 15.1 16 15.1h160c8.84 0 16-7.16 16-15.1S344.8 192 336 192z"],
    "message-music": [512, 512, ["comment-alt-music"], "f8af", "M447.1 .0072h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.838 11.03 15.55 19.12 9.7l124.9-93.7h144c35.25 0 64-28.75 64-63.1V64C511.1 28.75 483.2 .0072 447.1 .0072zM480 352c0 17.6-14.4 32-32 32h-144.1c-6.928 0-13.67 2.248-19.21 6.406L192 460v-60c0-8.838-7.164-16-16-16H64c-17.6 0-32-14.4-32-32V64c0-17.6 14.4-32 32-32h384c17.6 0 32 14.4 32 32V352zM338.2 92.81c-8.625-6-19.62-7.438-29.5-3.688l-96 36C200.3 129.8 191.9 141.8 191.9 155.1v73.72C184.6 225.8 176.6 224 167.9 224c-30.88 0-56 21.53-56 48s25.12 48 56 48s56-21.53 56-48V155.1l96-35.97v77.72C312.6 193.8 304.6 192 295.9 192c-30.88 0-56 21.53-56 48s25.12 48 56 48s56-21.53 56-48V119.1C351.9 108.6 346.8 98.78 338.2 92.81zM167.9 288c-12.78 0-24-7.469-24-16S155.2 256 167.9 256s24 7.469 24 16S180.7 288 167.9 288zM295.9 256c-12.78 0-24-7.469-24-16s11.22-16 24-16s24 7.469 24 16S308.7 256 295.9 256z"],
    "message-pen": [512, 512, ["comment-alt-edit", "message-edit"], "f4a4", "M447.1 0h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.838 11.03 15.55 19.12 9.7l124.9-93.7h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 0 447.1 0zM480 352c0 17.6-14.4 32-32 32h-144.1c-6.928 0-13.67 2.248-19.21 6.406L192 460v-60c0-8.838-7.164-16-16-16H64c-17.6 0-32-14.4-32-32V64c0-17.6 14.4-32 32-32h384c17.6 0 32 14.4 32 32V352zM345.5 109.1c-7.617-7.559-17.5-12.83-28.23-13.78c-13.24-1.172-25.9 3.414-35.16 12.59L157.9 232.1c-2.234 2.215-3.754 5.039-4.375 8.113L141.3 300.1c-2.234 11.11 7.633 20.91 18.83 18.68L221.3 307.5c3.094-.6133 5.938-2.125 8.172-4.344l123.1-122.2c7.617-7.555 12.92-17.37 13.87-28.02c1.168-13.14-3.457-25.7-12.71-34.88L345.5 109.1zM210.3 277.3L177.3 283.9l6.594-32.71l86.88-86.23l26.38 26.18L210.3 277.3zM331.1 157.4l-11.3 11.22l-26.38-26.18l11.31-11.22c4.688-4.645 12.28-4.652 16.97 .0039l9.41 9.336C335.8 145.2 335.8 152.8 331.1 157.4z"],
    "message-plus": [512, 512, ["comment-alt-plus"], "f4a8", "M448 0H64C28.75 0 0 28.75 0 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.838 11.02 15.55 19.12 9.7L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM480 352c0 17.6-14.4 32-32 32h-144.1c-6.926 0-13.67 2.248-19.21 6.406L192 460v-60c0-8.838-7.164-16-16-16H64c-17.6 0-32-14.4-32-32V64c0-17.6 14.4-32 32-32h384c17.6 0 32 14.4 32 32V352zM336 192h-64V127.1C272 119.2 264.8 112 256 112S240 119.2 240 127.1V192h-64C167.2 192 160 199.2 160 208c0 8.834 7.156 15.1 16 15.1h64V288C240 296.8 247.2 304 256 304c8.836 0 16-7.16 16-15.1V223.1h64c8.84 0 16-7.16 16-15.1S344.8 192 336 192z"],
    "message-question": [512, 512, [], "e1e3", "M256 280c-11.04 0-20 8.953-20 20C236 311 244.1 320 256 320s20-8.955 20-20C276 288.1 267 280 256 280zM448 0H64C28.75 0 0 28.75 0 63.1v287.1C0 387.2 28.75 415.1 64 415.1h96v83.1c0 9.838 11.03 15.5 19.12 9.649L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM480 352c0 17.6-14.4 32-32 32h-144.1c-6.928 0-13.67 2.248-19.21 6.406L192 460v-60c0-8.838-7.164-16-16-16H64c-17.6 0-32-14.4-32-32V64c0-17.6 14.4-32 32-32h384c17.6 0 32 14.4 32 32V352zM278.1 96H229.7C200.1 96 176 120.1 176 149.6c0 8.844 7.156 16 16 16s16-7.156 16-16C208 137.7 217.7 128 229.7 128h48.47C292.4 128 304 139.6 304 153.9c0 9.875-5.469 18.75-14.53 23.27L248.6 198.3C243.3 201.1 240 206.6 240 212.5V240C240 248.8 247.2 256 256 256s16-7.156 16-16V222.3l32-16.61c19.75-9.875 32-29.76 32-51.82C336 121.9 310 96 278.1 96z"],
    "message-quote": [512, 512, ["comment-alt-quote"], "e1e4", "M447.1 .0041h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.98c0 9.838 11.03 15.55 19.12 9.7l124.9-93.68h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 .0041 447.1 .0041zM480 352c0 17.6-14.4 32-32 32h-144.1c-6.928 0-13.67 2.248-19.21 6.406L192 460v-60c0-8.838-7.164-16-16-16H64c-17.6 0-32-14.4-32-32V64c0-17.6 14.4-32 32-32h384c17.6 0 32 14.4 32 32V352zM327.1 112c-30.93 0-56 25.07-56 55.1s25.07 55.1 56 55.1c8.627 0 16.65-2.112 23.95-5.596V224c0 26.47-21.53 48-48 48c-8.844 0-16 7.156-16 16s7.184 15.1 16.03 15.1C348.1 303.1 383.9 268.1 383.9 224l.0471-55.1C383.1 137.1 358.9 112 327.1 112zM327.9 192c-13.23 0-24-10.77-24-24c0-13.23 10.77-24 24-24c13.23 0 24 10.77 24 24C351.9 181.2 341.2 192 327.9 192zM183.1 112c-30.93 0-56 25.07-56 55.1s25.07 55.1 56 55.1c8.627 0 16.65-2.112 23.95-5.596V224c0 26.47-21.53 48-48 48c-8.844 0-16 7.156-16 16s7.184 15.1 16.03 15.1C204.1 303.1 239.9 268.1 239.9 224l.0471-55.1C239.1 137.1 214.9 112 183.1 112zM183.9 192c-13.23 0-24-10.77-24-24c0-13.23 10.77-24 24-24c13.23 0 24 10.77 24 24C207.9 181.2 197.2 192 183.9 192z"],
    "message-slash": [640, 512, ["comment-alt-slash"], "f4a9", "M512 32c17.6 0 32 14.4 32 32v287.3l28.03 22.13c2.418-6.732 3.968-13.9 3.968-21.45V63.1c0-35.25-28.75-63.1-63.1-63.1H127.1c-8.207 0-16 1.689-23.22 4.525L139.6 32H512zM367.9 384c-6.928 0-13.67 2.248-19.21 6.406L256 460v-60c0-8.838-7.164-16-16-16H128c-17.6 0-32-14.4-32-32V160.7L64 135.4l-.0002 216.6c0 35.25 28.75 63.1 63.1 63.1h95.1v83.99c0 9.838 11.03 15.55 19.12 9.7l124.9-93.69l51.39 .0238l-40.53-32H367.9zM633.9 483.4L25.9 3.418C18.1-2.02 8.936-.8477 3.436 6.059c-5.469 6.938-4.281 17 2.656 22.49l608 480C617 510.9 620.5 512 624 512c4.719 0 9.406-2.094 12.56-6.078C642 498.1 640.8 488.9 633.9 483.4z"],
    "message-smile": [512, 512, ["comment-alt-smile"], "f4aa", "M447.1 .0041h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.99c0 9.838 11.03 15.55 19.12 9.7l124.9-93.69h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 .0041 447.1 .0041zM480 352c0 17.6-14.4 32-32 32h-144.1c-6.928 0-13.67 2.248-19.21 6.406L192 460v-60c0-8.838-7.164-16-16-16H64c-17.6 0-32-14.4-32-32V64c0-17.6 14.4-32 32-32h384c17.6 0 32 14.4 32 32V352zM319.9 184c13.25 0 24-10.75 24-24s-10.75-24-24-24s-24 10.75-24 24S306.7 184 319.9 184zM331.7 253.3C312.9 275.4 285.3 288 255.9 288S198.9 275.4 180.2 253.4C174.4 246.8 164.3 246 157.7 251.6c-6.875 5.75-7.5 15.75-1.875 22.62c24.88 29 61.44 45.74 100.2 45.74s75.18-16.74 100.2-45.87c5.75-6.75 4.875-16.88-1.875-22.62C347.7 245.8 337.6 246.6 331.7 253.3zM191.9 184c13.25 0 24-10.75 24-24s-10.75-24-24-24s-24 10.75-24 24S178.7 184 191.9 184z"],
    "message-sms": [512, 512, [], "e1e5", "M448-.0004H64c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.98c0 9.838 11.03 15.55 19.12 9.7L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3-.0004 448-.0004zM480 352c0 17.6-14.4 32-32 32h-144.1c-6.928 0-13.67 2.248-19.21 6.406L192 460v-60c0-8.838-7.164-16-16-16H64c-17.6 0-32-14.4-32-32V64c0-17.6 14.4-32 32-32h384c17.6 0 32 14.4 32 32V352zM124.4 192.6C113.6 189.5 103.2 187.2 104.2 181.5c.7813-4.5 10.28-6.562 21.5-4.906c4.156 .6562 8.75 2.094 13.09 3.594c8.375 2.906 17.47-1.562 20.34-9.906c2.875-8.344-1.562-17.47-9.906-20.34C143.1 147.8 136.5 145.9 130.6 145c-30.69-4.812-53.94 7.719-58 31.09c-5.656 33.03 26.5 42.47 38.63 46c13.72 3.947 25.62 6.432 24.56 12.34C135 239 125.7 241.1 114.3 239.4C107.9 238.4 100.4 235.4 93.38 232.9c-8.375-2.969-16 1.875-18.97 10.19S77.19 261.1 85.5 264.1C92.81 266.8 101.1 269.8 109.4 271C113.7 271.7 117.9 272 121.1 272c24.28 0 41.94-12.03 45.38-32.13C173.1 206.5 141.4 197.5 124.4 192.6zM396.4 192.6C385.6 189.5 375.2 187.2 376.2 181.5c.7813-4.5 10.31-6.562 21.5-4.906c4.156 .6562 8.75 2.094 13.09 3.594c8.406 2.906 17.47-1.562 20.34-9.906c2.875-8.344-1.562-17.47-9.906-20.34c-6.156-2.125-12.69-4.062-18.59-4.969c-30.75-4.812-53.97 7.719-58 31.09c-5.656 33.03 26.5 42.47 38.63 46c13.72 3.947 25.62 6.432 24.56 12.34c-.7813 4.562-10.12 6.656-21.56 4.938c-6.342-.9883-13.9-3.939-20.88-6.438c-8.375-2.969-16 1.875-18.97 10.19s2.781 17.97 11.09 20.97c7.312 2.656 15.62 5.656 23.88 6.906C385.7 271.7 389.9 272 393.1 272c24.28 0 41.94-12.03 45.38-32.13C445.1 206.5 413.4 197.5 396.4 192.6zM309.1 144.8c-6.469-2.062-13.72 .0625-17.88 5.594L256 197.3L220.8 150.4C216.7 144.9 209.4 142.7 202.9 144.8C196.4 147 192 153.1 192 160v96c0 8.844 7.156 16 16 16S224 264.8 224 256V208l19.19 25.59c6.062 8.062 19.56 8.062 25.62 0L288 208V256c0 8.844 7.156 16 16 16S320 264.8 320 256V160C320 153.1 315.6 147 309.1 144.8z"],
    "message-text": [512, 512, ["comment-alt-text"], "e1e6", "M448-.0004H64c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.98c0 9.838 11.03 15.55 19.12 9.7L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3-.0004 448-.0004zM480 352c0 17.6-14.4 32-32 32h-144.1c-6.928 0-13.67 2.248-19.21 6.406L192 460v-60c0-8.838-7.164-16-16-16H64c-17.6 0-32-14.4-32-32V64c0-17.6 14.4-32 32-32h384c17.6 0 32 14.4 32 32V352zM320 128H192C183.2 128 176 135.2 176 144S183.2 160 192 160h48v112C240 280.8 247.2 288 256 288s16-7.156 16-16V160H320c8.844 0 16-7.156 16-16S328.8 128 320 128z"],
    "message-xmark": [512, 512, ["comment-alt-times", "message-times"], "f4ab", "M448 0H64C28.75 0 0 28.75 0 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.838 11.02 15.55 19.12 9.7L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM480 352c0 17.6-14.4 32-32 32h-144.1c-6.926 0-13.67 2.248-19.21 6.406L192 460v-60c0-8.838-7.164-16-16-16H64c-17.6 0-32-14.4-32-32V64c0-17.6 14.4-32 32-32h384c17.6 0 32 14.4 32 32V352zM331.3 132.7c-6.25-6.25-16.38-6.25-22.62 0L256 185.4L203.3 132.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L233.4 208L180.7 260.7c-6.25 6.25-6.25 16.38 0 22.62c6.242 6.246 16.37 6.254 22.62 0L256 230.6l52.69 52.69c6.242 6.246 16.37 6.254 22.62 0c6.25-6.25 6.25-16.38 0-22.62L278.6 208l52.69-52.69C337.6 149.1 337.6 138.9 331.3 132.7z"],
    "messages": [640, 512, ["comments-alt"], "f4b6", "M576 128H448v32h128c17.64 0 32 14.36 32 32v192c0 17.64-14.36 32-32 32h-64v49.57L424.4 416H320c-17.64 0-32-14.36-32-32v-32l-32-.0039v31.98c0 35.25 28.75 63.1 63.1 63.1L416 448l108.9 61.63C527.1 511.3 529.6 512 532 512C538.3 512 544 507.1 544 500v-52.03h32c35.25 0 64-28.75 64-63.1V191.1C640 156.7 611.3 128 576 128zM416 256V63.1C416 28.75 387.3 0 352 0H64C28.75 0 0 28.75 0 63.1v192C0 291.3 28.75 320 64 320l32 .0106V372C96 379.1 101.8 384 108 384c2.375 0 4.875-.75 7.125-2.375L224 320l128-.075C387.3 319.9 416 291.3 416 256zM215.6 288L128 337.6V288H64C46.36 288 32 273.6 32 256V64c0-17.64 14.36-32 32-32h288c17.64 0 32 14.36 32 32v192c0 17.64-14.36 32-32 32H215.6z"],
    "messages-dollar": [640, 512, ["comments-alt-dollar"], "f652", "M212.4 144.6L206.8 143C179.7 135 180.5 130.3 181.6 123.8c1.891-10.91 19.22-13.34 34.81-10.91c5.812 .9062 12.22 2.906 18.3 5.031c8.344 2.875 17.47-1.531 20.36-9.875c2.906-8.344-1.516-17.47-9.859-20.38c-8.471-2.934-15.2-4.709-21.25-5.832V72c0-8.838-7.138-16-15.98-16c-8.836 0-16.02 7.162-16.02 16v9.27c-22.56 3.756-38.4 16.92-41.89 37.11C143.3 157.7 181.5 168.9 197.8 173.7l5.781 1.688c28.67 8.188 32.33 11.81 30.77 20.81c-1.891 10.91-19.27 13.41-34.84 10.91C192.2 205.1 183.1 202.7 175.1 199.8L170.6 198.3c-8.391-2.938-17.47 1.406-20.42 9.781C147.3 216.3 151.7 225.5 159.1 228.4l4.279 1.531c8.588 3.086 18.22 6.355 27.72 8.119V248c0 8.836 7.188 16 16.02 16c8.838 0 15.98-7.164 15.98-16V238.3c22.4-3.824 38.41-16.58 41.89-36.66C272.7 161.9 234.1 151.1 212.4 144.6zM416 256V63.1C416 28.75 387.3 0 352 0H64C28.75 0 0 28.75 0 63.1v192C0 291.3 28.75 320 64 320l32 .0106V372C96 379.1 101.8 384 108 384c2.375 0 4.875-.75 7.125-2.375L224 320l128-.075C387.3 319.9 416 291.3 416 256zM215.6 288L128 337.6V288H64C46.36 288 32 273.6 32 256V64c0-17.64 14.36-32 32-32h288c17.64 0 32 14.36 32 32v192c0 17.64-14.36 32-32 32H215.6zM576 128H448v32h128c17.64 0 32 14.36 32 32v192c0 17.64-14.36 32-32 32h-64v49.57L424.4 416H320c-17.64 0-32-14.36-32-32v-32l-32-.0039v31.98c0 35.25 28.75 63.1 63.1 63.1L416 448l108.9 61.63C527.1 511.3 529.6 512 532 512C538.3 512 544 507.1 544 500v-52.03h32c35.25 0 64-28.75 64-63.1V191.1C640 156.7 611.3 128 576 128z"],
    "messages-question": [640, 512, [], "e1e7", "M208 216c-11.04 0-20 8.953-20 20C188 247 196.1 256 208 256s20-8.955 20-20C228 224.1 219 216 208 216zM224.6 64H188.2C163.8 64 144 83.84 144 108.2c0 8.844 7.156 16 16 16s16-7.156 16-16C176 101.5 181.5 96 188.2 96h36.36C233.1 96 240 102.9 240 111.4c0 5.875-3.266 11.16-8.734 13.89L200.6 141.2C195.3 143.1 192 149.4 192 155.4V176C192 184.8 199.2 192 208 192S224 184.8 224 175.9V165.1l21.78-11.31C261.1 145.8 272 129.5 272 111.4C272 85.27 250.7 64 224.6 64zM576 128H448v32h128c17.64 0 32 14.36 32 32v192c0 17.64-14.36 32-32 32h-64v49.57L424.4 416H320c-17.64 0-32-14.36-32-32v-32l-32-.0039v31.98c0 35.25 28.75 63.1 63.1 63.1L416 448l108.9 61.63C527.1 511.3 529.6 512 532 512C538.3 512 544 507.1 544 500v-52.03h32c35.25 0 64-28.75 64-63.1V191.1C640 156.7 611.3 128 576 128zM416 256V63.1C416 28.75 387.3 0 352 0H64C28.75 0 0 28.75 0 63.1v192C0 291.3 28.75 320 64 320l32 .0106V372C96 379.1 101.8 384 108 384c2.375 0 4.875-.75 7.125-2.375L224 320l128-.075C387.3 319.9 416 291.3 416 256zM215.6 288L128 337.6V288H64C46.36 288 32 273.6 32 256V64c0-17.64 14.36-32 32-32h288c17.64 0 32 14.36 32 32v192c0 17.64-14.36 32-32 32H215.6z"],
    "meteor": [512, 512, [9732], "f753", "M510.1 31.85c-9.873 32.38-33.87 109.1-58.87 167.3c2.1 1 5.499 1.75 7.999 2.5c8.749 2.625 15.1 9.125 19.5 17.63c3.499 8.625 3.125 18.25-1.125 26.38c-22.62 43.25-81.24 150-139.5 208.3c-77.61 77.5-203.3 77.5-280.1 0c-77.36-77.38-77.36-203.4 0-280.8c58.37-58.38 165.1-117 208.3-139.5c8.124-4.375 17.87-4.875 26.37-1.25c8.499 3.625 14.1 10.75 17.75 19.63c.6249 2.375 1.5 5 2.375 7.875c58.49-25.25 135.1-49 167.3-58.88c8.749-2.5 18.12-.125 24.5 6.25C511.2 13.73 513.6 23.1 510.1 31.85zM476.1 35.85c-40.49 12.5-115.4 36.63-166.7 60.75L292.5 104.5c0 0-10.62-36.38-12.62-43c-40.62 22.25-144.1 79.13-199.2 134.1c-64.86 64.88-64.86 170.6 0 235.6s170.7 64.88 235.6 0c55.12-55.13 111.9-158.6 133.7-200.5c-5.999-.7501-14.75-3.375-24.37-6.125L407.6 219.4l7.874-16.88C439.3 151.5 463.7 76.23 476.1 35.85zM327.9 311.1c0 70.5-57.37 127.9-127.1 127.9s-127.1-57.25-127.1-127.9c0-70.75 57.37-128 127.1-128S327.1 241.5 327.9 311.1zM295.9 311.1c0-53-42.99-96-95.98-96s-95.98 43-95.98 96s42.99 96 95.98 96S295.1 364.1 295.9 311.1zM207.9 279.1c0 13.25-10.75 24-23.1 24c-13.25 0-23.1-10.75-23.1-24s10.75-24 23.1-24c6.374 0 12.5 2.5 16.1 7C205.4 267.5 207.9 273.6 207.9 279.1zM239.9 351.1c0 8.875-7.045 16.01-15.92 16.01c-8.874 0-15.1-7.125-15.1-16c0-8.75 7.047-16.01 15.92-16.01C232.7 336.1 239.9 343.2 239.9 351.1z"],
    "meter": [512, 512, [], "e1e8", "M176 208C176 216.8 168.8 224 160 224C151.2 224 144 216.8 144 208V144C144 135.2 151.2 128 160 128C168.8 128 176 135.2 176 144V208zM272 208C272 216.8 264.8 224 256 224C247.2 224 240 216.8 240 208V144C240 135.2 247.2 128 256 128C264.8 128 272 135.2 272 144V208zM368 208C368 216.8 360.8 224 352 224C343.2 224 336 216.8 336 208V144C336 135.2 343.2 128 352 128C360.8 128 368 135.2 368 144V208zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "meter-bolt": [640, 512, [], "e1e9", "M256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C311.6 480 362.5 459.7 401.7 426.2C410.4 434 421.7 439.1 434.1 439.9C388 484.5 325.2 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C392.8 0 504.6 107.4 511.6 242.4L479.4 273C479.8 267.4 480 261.7 480 256C480 132.3 379.7 32 256 32V32zM176 208C176 216.8 168.8 224 160 224C151.2 224 144 216.8 144 208V144C144 135.2 151.2 128 160 128C168.8 128 176 135.2 176 144V208zM272 208C272 216.8 264.8 224 256 224C247.2 224 240 216.8 240 208V144C240 135.2 247.2 128 256 128C264.8 128 272 135.2 272 144V208zM368 208C368 216.8 360.8 224 352 224C343.2 224 336 216.8 336 208V144C336 135.2 343.2 128 352 128C360.8 128 368 135.2 368 144V208zM603.9 252.5L569 328H618.4C630.3 328 640 337.7 640 349.6C640 355.5 637.6 361.2 633.3 365.3L484.2 506.5C480.5 510 475.5 512 470.4 512C455.7 512 446 496.8 452.1 483.5L486.1 408H437.6C425.7 408 416 398.3 416 386.4C416 380.5 418.4 374.8 422.7 370.7L571.8 229.5C575.5 225.1 580.5 224 585.6 224C600.3 224 609.1 239.2 603.9 252.5zM512 376C517.5 376 522.5 378.8 525.5 383.4C528.4 387.1 528.8 393.8 526.5 398.7L507.2 440.6L592.3 360H544C538.5 360 533.5 357.2 530.5 352.6C527.6 348 527.2 342.2 529.5 337.3L548.8 295.4L463.7 376H512z"],
    "meter-droplet": [640, 512, [], "e1ea", "M256 480C305.7 480 351.5 463.8 388.7 436.5C391.5 447.3 395.5 457.6 400.6 467.3C359.5 495.5 309.7 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C366.8 0 461.2 70.43 496.8 168.1C488.3 174.3 481.1 181.9 476.2 191.1L472.5 198.1C446.1 102.5 359.7 31.1 256 31.1C132.3 31.1 32 132.3 32 255.1C32 379.7 132.3 480 256 480V480zM176 208C176 216.8 168.8 224 160 224C151.2 224 144 216.8 144 208V144C144 135.2 151.2 128 160 128C168.8 128 176 135.2 176 144V208zM272 208C272 216.8 264.8 224 256 224C247.2 224 240 216.8 240 208V144C240 135.2 247.2 128 256 128C264.8 128 272 135.2 272 144V208zM368 208C368 216.8 360.8 224 352 224C343.2 224 336 216.8 336 208V144C336 135.2 343.2 128 352 128C360.8 128 368 135.2 368 144V208zM429.2 347.3L504.5 206.1C509.1 197.4 518.2 191.1 528 191.1C537.8 191.1 546.9 197.4 551.5 206.1L626.8 347.3C635.5 363.5 640 381.6 640 400C640 461.9 589.9 512 528 512C466.1 512 416 461.9 416 400C416 381.6 420.5 363.5 429.2 347.3H429.2zM448 400C448 444.2 483.8 480 528 480C572.2 480 608 444.2 608 400C608 386.9 604.8 373.9 598.6 362.4L528 230L457.4 362.4C451.2 373.9 448 386.9 448 400z"],
    "meter-fire": [640, 512, [], "e1eb", "M32 255.1C32 379.7 132.3 480 256 480C281.1 480 305.3 475.9 327.9 468.2C334.9 477.4 342.6 485.9 351.1 493.7C321.7 505.5 289.6 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C361.7 0 452.5 64.07 491.5 155.5C486.1 150.2 480.6 145.1 474.1 139.1C465.1 131.1 452.4 127.2 439.9 128.1C399.5 70.03 332.2 32 255.1 32C132.3 32 31.1 132.3 31.1 256L32 255.1zM368 143.1V184.9C358.2 196.2 349 207.8 340.7 219.4C337.8 216.5 336 212.4 336 207.1V143.1C336 135.2 343.2 127.1 352 127.1C360.8 127.1 368 135.2 368 143.1zM176 207.1C176 216.8 168.8 223.1 160 223.1C151.2 223.1 144 216.8 144 207.1V143.1C144 135.2 151.2 127.1 160 127.1C168.8 127.1 176 135.2 176 143.1V207.1zM272 207.1C272 216.8 264.8 223.1 256 223.1C247.2 223.1 240 216.8 240 207.1V143.1C240 135.2 247.2 127.1 256 127.1C264.8 127.1 272 135.2 272 143.1V207.1zM445.1 255.1C449.9 256 454.5 258.2 457.5 262C459.6 264.6 475.1 284.4 490.1 303.5L507.6 325.8L530.9 298.6C534 294.9 538.7 292.8 543.5 293C548.4 293.2 552.9 295.5 555.8 299.4C559.7 304.6 562.2 309.7 564.1 313.5L564.2 313.6C585.5 352.1 576.5 404 539.2 430.1L538.9 430.3C521.3 442 502.3 448 480.1 448C455.1 448 430.8 439.6 412.8 423.2C394.7 406.6 384 382.7 384 354C384 338.3 389 324.3 397.4 309.8C405.6 295.7 417.7 280.3 432.6 261.9C435.6 258.2 440.2 255.1 445.1 255.1L445.1 255.1zM539.8 337.3L519.1 361.4C516 365.1 511.4 367.1 506.6 366.1C501.9 366.9 497.4 364.6 494.4 360.9L444.9 297.8C436.3 308.8 429.8 317.8 425.1 325.9C418.5 337.2 416 345.7 416 354C416 374.3 423.3 389.4 434.4 399.6C445.7 409.9 461.9 416 481 416C495.7 416 508.6 412 520.1 403.8C541.1 389.6 548.8 361.1 539.8 337.3H539.8zM487.5 197.1C494.9 205 502.1 213.1 509 221.5C515.5 213.4 522.6 204.7 530.3 197C531.1 195.3 533.7 193.6 535.5 191.1C541.1 186.9 549.9 186.9 555.5 192C580.2 214.7 601.1 244.7 615.8 273.2C630.4 301.2 640 329.9 640 350.1C640 437.9 568.7 512 480 512C390.3 512 319.1 437.8 319.1 350.1C319.1 323.7 332.7 291.5 352.4 259.5C372.4 227.2 400.5 193.4 433.8 163.7C439.4 158.7 447.1 158.8 453.5 163.8C465.3 174.4 476.7 185.5 487.5 197.1V197.1zM509.4 253.5C499.8 253.6 490.6 249.4 484.4 241.1C471.6 226.5 457.1 211.9 443.6 198.2C417.6 223.2 395.6 250.5 379.6 276.3C361 306.4 352 332.5 352 350.1C352 420.9 408.7 480 480 480C550.4 480 608 420.8 608 350.1C608 337.7 601.2 314.5 587.4 287.9C576.5 266.8 562.1 245.3 545.6 227.4C541.8 231.8 537.1 236.5 534.1 241.4C528.1 248.9 519 253.4 509.4 253.5V253.5zM507 350.1L494.4 360.9z"],
    "microchip": [512, 512, [], "f2db", "M352 128H160C142.3 128 128 142.3 128 160v192c0 17.67 14.33 32 32 32h192c17.67 0 32-14.33 32-32V160C384 142.3 369.7 128 352 128zM352 352H160V160h192V352zM496 272C504.8 272 512 264.8 512 256s-7.156-16-16-16H448v-64h48C504.8 176 512 168.8 512 160s-7.156-16-16-16H448V128c0-35.35-28.65-64-64-64h-16V16C368 7.156 360.8 0 352 0s-16 7.156-16 16V64h-64V16C272 7.156 264.8 0 256 0S240 7.156 240 16V64h-64V16C176 7.156 168.8 0 160 0S144 7.156 144 16V64H128C92.65 64 64 92.65 64 128v16H16C7.156 144 0 151.2 0 160s7.156 16 16 16H64v64H16C7.156 240 0 247.2 0 256s7.156 16 16 16H64v64H16C7.156 336 0 343.2 0 352s7.156 16 16 16H64V384c0 35.35 28.65 64 64 64h16v48C144 504.8 151.2 512 160 512s16-7.156 16-16V448h64v48c0 8.844 7.156 16 16 16s16-7.156 16-16V448h64v48c0 8.844 7.156 16 16 16s16-7.156 16-16V448H384c35.35 0 64-28.65 64-64v-16h48c8.844 0 16-7.156 16-16s-7.156-16-16-16H448v-64H496zM416 384c0 17.64-14.36 32-32 32H128c-17.64 0-32-14.36-32-32V128c0-17.64 14.36-32 32-32h256c17.64 0 32 14.36 32 32V384z"],
    "microchip-ai": [512, 512, [], "e1ec", "M222.7 185.6c-5.094-11.66-24.22-11.66-29.31 0l-56 128c-3.547 8.094 .1406 17.52 8.25 21.06c8.031 3.562 17.52-.1719 21.06-8.25L176.5 304h63.08l9.805 22.41C251.1 332.4 257.8 336 264 336c2.141 0 4.323-.4219 6.401-1.344c8.109-3.547 11.8-12.97 8.25-21.06L222.7 185.6zM190.5 272L208 231.9L225.5 272H190.5zM336 176C327.2 176 320 183.2 320 192v128c0 8.844 7.156 16 16 16S352 328.8 352 320V192C352 183.2 344.8 176 336 176zM496 272C504.8 272 512 264.8 512 256s-7.156-16-16-16H448v-64h48C504.8 176 512 168.8 512 160s-7.156-16-16-16H448V128c0-35.35-28.65-64-64-64h-16V16C368 7.156 360.8 0 352 0s-16 7.156-16 16V64h-64V16C272 7.156 264.8 0 256 0S240 7.156 240 16V64h-64V16C176 7.156 168.8 0 160 0S144 7.156 144 16V64H128C92.65 64 64 92.65 64 128v16H16C7.156 144 0 151.2 0 160s7.156 16 16 16H64v64H16C7.156 240 0 247.2 0 256s7.156 16 16 16H64v64H16C7.156 336 0 343.2 0 352s7.156 16 16 16H64V384c0 35.35 28.65 64 64 64h16v48C144 504.8 151.2 512 160 512s16-7.156 16-16V448h64v48c0 8.844 7.156 16 16 16s16-7.156 16-16V448h64v48c0 8.844 7.156 16 16 16s16-7.156 16-16V448H384c35.35 0 64-28.65 64-64v-16h48c8.844 0 16-7.156 16-16s-7.156-16-16-16H448v-64H496zM416 384c0 17.64-14.36 32-32 32H128c-17.64 0-32-14.36-32-32V128c0-17.64 14.36-32 32-32h256c17.64 0 32 14.36 32 32V384z"],
    "microphone": [384, 512, [], "f130", "M336 192C327.2 192 320 199.2 320 208V256c0 73.5-62.25 132.6-136.8 127.8C115.3 379.1 64 319.6 64 251.5V208C64 199.2 56.8 192 48 192S32 199.2 32 208v42.38c0 83.38 61.63 156.1 144 164.4V480h-64C103.2 480 96 487.2 96 496C96 504.8 103.2 512 112 512h160c8.801 0 16-7.201 16-16c0-8.801-7.199-16-16-16h-64v-65C288.8 406.9 352 338.8 352 256V208C352 199.2 344.8 192 336 192zM192 352c53 0 96-43 96-96v-160c0-52.1-43-96-96-96s-96 43-96 96v160C96 309 139 352 192 352zM128 96c0-35.25 28.75-64 64-64s64 28.75 64 64v160c0 35.25-28.75 64-64 64S128 291.3 128 256V96z"],
    "microphone-lines": [384, 512, [127897, "microphone-alt"], "f3c9", "M192 352c53 0 96-43 96-96V96c0-53-43-96-96-96s-96 43-96 96v160C96 309 139 352 192 352zM128 98.92C128 65.53 152.3 35.61 185.5 32.32C223.7 28.54 256 58.62 256 96l-48 0c-8.799 0-16 7.199-16 16c0 8.799 7.201 16 16 16L256 128v32h-48C199.2 160 192 167.2 192 176C192 184.8 199.2 192 208 192H256v32h-48C199.2 224 192 231.2 192 240C192 248.8 199.2 256 208 256H256c0 37.38-32.34 67.46-70.47 63.68C152.3 316.4 128 286.5 128 253.1V98.92zM336 192C327.2 192 320 199.2 320 208V256c0 73.5-62.25 132.6-136.8 127.8C115.3 379.1 64 319.6 64 251.5V208C64 199.2 56.8 192 48 192C39.2 192 32 199.2 32 208v42.38c0 83.38 61.63 156.1 144 164.4V480h-64C103.2 480 96 487.2 96 496C96 504.8 103.2 512 112 512h160c8.801 0 16-7.201 16-16c0-8.801-7.199-16-16-16h-64v-65C288.8 406.9 352 338.8 352 256V208C352 199.2 344.8 192 336 192z"],
    "microphone-lines-slash": [640, 512, ["microphone-alt-slash"], "f539", "M479.1 256l-.0004-48c0-8.801-7.199-16-15.1-16c-8.799 0-15.1 7.199-15.1 16l.0002 48c0 6.172-1.047 12.06-1.895 17.1l28.12 22.2C477.6 283.3 479.1 269.1 479.1 256zM255.1 98.92c0-33.39 24.3-63.31 57.53-66.6C351.7 28.54 383.1 58.62 383.1 96l-47.1 .0016c-8.799 0-15.1 7.199-15.1 15.1c0 8.799 7.201 15.1 15.1 15.1L383.1 128v32l-47.1 .0013c-8.322 0-15 6.508-15.73 14.65L342.2 192H383.1v32h-1.223l33.22 26.23l.0002-154.2C415.1 43 372.1 0 319.1 0s-96 43-96 96L223.1 98.65l31.1 25.26V98.92zM399.1 480h-63.1v-65c21.21-2.135 41.09-8.607 59.05-18.2l-27.98-22.09c-17.16 6.842-35.98 10.34-55.82 9.045C243.2 379.1 191.1 319.6 191.1 251.5V236.5L159.1 211.2v39.15c0 83.38 61.62 156.1 143.1 164.4V480H239.1c-8.799 0-16 7.199-16 16C223.1 504.8 231.2 512 239.1 512h159.1c8.801 0 15.1-7.201 15.1-15.1C415.1 487.2 408.8 480 399.1 480zM633.9 483.4L25.92 3.42C18.98-2.033 8.92-.8301 3.436 6.061C-2.033 12.1-.8457 23.06 6.076 28.54L614.1 508.6C617 510.9 620.5 512 623.1 512c4.734 0 9.422-2.094 12.58-6.078C642 498.1 640.8 488.9 633.9 483.4z"],
    "microphone-slash": [640, 512, [], "f131", "M479.1 256l-.0004-48c0-8.801-7.199-16-15.1-16c-8.801 0-15.1 7.199-15.1 16l.0002 48c0 6.172-1.047 12.06-1.895 17.1l28.12 22.2C477.6 283.3 479.1 269.1 479.1 256zM255.1 96c0-35.25 28.75-64 63.1-64S383.1 60.75 383.1 96v128.1l31.1 25.26L415.1 96c0-53-43-96-95.1-96S223.1 43 223.1 96l-.0001 2.645l31.1 25.26V96zM633.9 483.4L25.92 3.42C18.98-2.033 8.92-.8301 3.436 6.061C-2.033 12.1-.8457 23.06 6.076 28.54L614.1 508.6C617 510.9 620.5 512 623.1 512c4.734 0 9.422-2.094 12.58-6.078C642 498.1 640.8 488.9 633.9 483.4zM399.1 480h-63.1v-65c21.21-2.135 41.09-8.607 59.05-18.2l-27.98-22.09c-17.16 6.842-35.98 10.34-55.82 9.045C243.2 379.1 191.1 319.6 191.1 251.5V236.5L159.1 211.2v39.15c0 83.38 61.62 156.1 143.1 164.4V480H239.1c-8.801 0-16 7.199-16 16C223.1 504.8 231.2 512 239.1 512h159.1c8.801 0 15.1-7.201 15.1-15.1C415.1 487.2 408.8 480 399.1 480z"],
    "microphone-stand": [512, 512, [127908], "f8cb", "M475.8 33.49c-47.1-45.5-123.5-44.5-170.4 2.125l-28.87 28.62C253.9 86.87 241.1 117.4 240.9 149.4l-228.9 257.5c-16.75 18.1-15.87 47.75 1.1 65.62l25.44 25.5c17.1 17.87 46.94 18.75 66.06 1.998l150.4-133.6v129.6c0 8.834 7.273 16.07 16.11 16.07c8.834 0 16.02-7.187 16.02-16.02l-.0044-157.1l75.87-66.12c31.1-.125 62.62-12.87 85.37-35.5l24.1-24.1C522.1 162.9 525.6 80.74 475.8 33.49zM84.26 475.1c-6.375 5.625-15.1 5.375-21.1-.625l-25.5-25.5c-5.875-5.875-6.25-15.5-.625-21.75l219.4-246.9l76.37 76.12L84.26 475.1zM426.5 213.7c-16.75 16.62-39.37 26.12-62.87 26.12H359.8l-86.75-86.5v-3.75c.125-23.5 9.5-46.12 26.25-62.62l11.12-10.1l127.2 126.7L426.5 213.7zM459.8 179.6l-126.2-125.9c35.37-30.87 88.62-29.12 121.9 3.1C488.6 90.87 490.5 144.1 459.8 179.6z"],
    "microscope": [512, 512, [128300], "f610", "M496 480h-102.1C445.7 445.6 480 386.7 480 320c0-105.9-86.13-192-192-192V64c0-17.67-14.33-32-32-32V16C256 7.164 248.8 0 240 0h-64C167.2 0 160 7.164 160 16V32C142.3 32 128 46.33 128 64v224c0 17.67 14.33 32 32 32h96c17.67 0 32-14.33 32-32V160c88.22 0 160 71.78 160 160s-71.78 160-160 160H16C7.156 480 0 487.2 0 496S7.156 512 16 512h480c8.844 0 16-7.156 16-16S504.8 480 496 480zM256 288H160V64c17.67 0 32-14.33 32-32h32c0 17.67 14.33 32 32 32V288zM240 384c8.844 0 16-7.156 16-16S248.8 352 240 352h-64C167.2 352 160 359.2 160 368S167.2 384 176 384H240zM112 448h192c8.844 0 16-7.156 16-16S312.8 416 304 416h-192C103.2 416 96 423.2 96 432S103.2 448 112 448z"],
    "microwave": [576, 512, [], "e01b", "M464 128C464 119.2 471.2 112 480 112C488.8 112 496 119.2 496 128V352C496 360.8 488.8 368 480 368C471.2 368 464 360.8 464 352V128zM96 152C96 138.7 106.7 128 120 128H392C405.3 128 416 138.7 416 152V328C416 341.3 405.3 352 392 352H120C106.7 352 96 341.3 96 328V152zM384 320V160H128V320H384zM96 448V464C96 472.8 88.84 480 80 480C71.16 480 64 472.8 64 464V448C28.65 448 0 419.3 0 384V96C0 60.65 28.65 32 64 32H512C547.3 32 576 60.65 576 96V384C576 419.3 547.3 448 512 448V464C512 472.8 504.8 480 496 480C487.2 480 480 472.8 480 464V448H96zM512 64H64C46.33 64 32 78.33 32 96V384C32 401.7 46.33 416 64 416H512C529.7 416 544 401.7 544 384V96C544 78.33 529.7 64 512 64z"],
    "mill-sign": [384, 512, [], "e1ed", "M261.7 97.61C267.6 96.55 273.7 96 280 96C337.4 96 384 142.6 384 200V432C384 440.8 376.8 448 368 448C359.2 448 352 440.8 352 432V200C352 160.2 319.8 128 280 128C268.1 128 258.6 130.5 249.2 134.9L208 258.6V432C208 440.8 200.8 448 192 448C183.2 448 176 440.8 176 432V354.6L127.2 501.1C124.4 509.4 115.3 513.1 106.9 511.2C98.56 508.4 94.03 499.3 96.82 490.9L176 253.4V200C176 160.2 143.8 128 104 128C64.24 128 32 160.2 32 200V432C32 440.8 24.84 448 16 448C7.164 448 0 440.8 0 432V200C0 197.3 .1024 194.6 .303 192H0V112C0 103.2 7.164 96 16 96C24.84 96 32 103.2 32 112V124.1C50.69 107 76.06 96 104 96C141.1 96 173.6 115.4 192 144.5C199.9 132 210.4 121.3 222.7 113.2L256.8 10.94C259.6 2.558 268.7-1.973 277.1 .8214C285.4 3.616 289.1 12.68 287.2 21.06L261.7 97.61z"],
    "minimize": [512, 512, ["compress-arrows-alt"], "f78c", "M204.2 50.47c-12-4.969-25.69-2.25-34.86 6.938L124.7 102.1l-81.39-81.39c-6.248-6.25-16.38-6.25-22.62 0c-6.248 6.246-6.248 16.38 0 22.62l81.39 81.38L57.39 169.4C51.27 175.5 48.02 183.7 48.02 191.1c0 4.125 .8125 8.312 2.453 12.28C55.45 216.3 67.05 224 80.03 224H192c17.67 0 32-14.33 32-32V80.03C224 67.03 216.2 55.44 204.2 50.47zM192 192H80.03l111.1-112c0 0 0-.0938 0 0L192 192zM320 224h111.1c13 0 24.59-7.766 29.56-19.77s2.25-25.69-6.938-34.86l-44.67-44.67l81.39-81.39c6.248-6.25 6.248-16.38 0-22.62c-6.248-6.25-16.38-6.25-22.62 0l-81.38 81.38L342.6 57.39c-6.156-6.125-14.28-9.375-22.59-9.375c-4.125 0-8.312 .8125-12.28 2.453C295.8 55.45 288 67.05 288 80.03V192C288 209.7 302.3 224 320 224zM320 80.03l112 111.1c0 0 .0938 0 0 0L320 192V80.03zM409.9 387.3l44.68-44.68c6.125-6.156 9.375-14.28 9.375-22.59c0-4.125-.8125-8.312-2.453-12.28C456.5 295.8 444.1 288 431.1 288H320c-17.67 0-32 14.33-32 32v111.1c0 13 7.766 24.59 19.77 29.56s25.69 2.25 34.86-6.938l44.67-44.67l81.39 81.39c6.248 6.25 16.38 6.25 22.62 0c6.248-6.246 6.248-16.38 0-22.62L409.9 387.3zM320 432C320 432 320 432.1 320 432L320 320h111.1L320 432zM192 288H80.03c-13 0-24.59 7.766-29.56 19.77s-2.25 25.69 6.938 34.86l44.67 44.67l-81.39 81.39c-6.248 6.25-6.248 16.38 0 22.62c6.248 6.25 16.38 6.25 22.62 0l81.38-81.38l44.68 44.68c6.156 6.125 14.28 9.375 22.59 9.375c4.125 0 8.312-.8125 12.28-2.453C216.3 456.5 224 444.1 224 431.1V320C224 302.3 209.7 288 192 288zM192 431.1l-112-111.1c0 0-.0938 0 0 0L192 320V431.1z"],
    "minus": [448, 512, [8722, 10134, 8211, "subtract"], "f068", "M432 256C432 264.8 424.8 272 416 272H32c-8.844 0-16-7.15-16-15.99C16 247.2 23.16 240 32 240h384C424.8 240 432 247.2 432 256z"],
    "mistletoe": [576, 512, [], "f7b4", "M547.1 268.7c-29.34-29.3-115.9-41.16-140.6-43.99l-100.1-100c-.9785-.9785-2.174-1.527-3.312-2.199V16c0-8.844-7.18-16-16.03-16S271.1 7.156 271.1 16v105.4L168.6 224.7c-24.66 2.834-111.2 14.69-140.6 43.99c-35.45 35.47-37.57 91.06-4.719 123.9c15.6 15.59 36.35 23.31 57.61 23.31c23.51 0 47.7-9.406 66.33-28.03c6.252-6.25 6.252-16.38 0-22.62s-16.38-6.25-22.63 0C101.6 388.2 66.36 390.4 45.95 370c-20.38-20.38-18.25-55.66 4.721-78.66c12.78-12.78 50.18-22.93 85.03-29.31C130.8 269.5 127.1 278.4 127.1 288c0 26.51 21.49 48 48.01 48S223.1 314.5 223.1 288c0-19.84-12.04-36.85-29.21-44.17l77.22-77.21v108.1C244.7 307.8 191.1 376.7 191.1 416c0 53.02 42.95 96 95.98 96s96.04-42.98 96.04-96c0-39.31-52.71-108.2-80.01-141.2V166.6l80.74 80.73c2.836 24.66 14.69 111.2 44 140.6c18.63 18.62 42.79 28.03 66.33 28.03c21.25 0 42.01-7.719 57.61-23.31C585.5 359.8 583.4 304.2 547.1 268.7zM175.1 304C167.2 304 159.1 296.8 159.1 288s7.18-16 16-16S191.1 279.2 191.1 288S184.8 304 175.1 304zM288 480c-35.3 0-64.01-28.71-64.01-64c0-20.4 30.08-68.03 64.01-110.5c33.94 42.42 64.01 90.06 64.01 110.5C352 451.3 323.3 480 288 480zM530.1 370c-20.35 20.34-55.67 18.22-78.67-4.719c-15.32-15.35-26.99-66.23-32.75-105.5c.2187-.1973 .5039-.2637 .7148-.4746s.2773-.4961 .4746-.7148c39.27 5.762 90.16 17.43 105.5 32.75C548.3 314.3 550.4 349.6 530.1 370zM382.7 124c26.52 0 48.01-21.49 48.01-48s-21.49-48-48.01-48s-48.01 21.49-48.01 48S356.2 124 382.7 124zM382.7 60c8.824 0 16 7.178 16 16s-7.18 16-16 16s-16-7.178-16-16S373.9 60 382.7 60z"],
    "mitten": [448, 512, [], "f7b5", "M335.1 384H80c-26.52 0-48.01 21.49-48.01 48v32c0 26.51 21.5 48 48.01 48h255.1C362.5 512 384 490.5 384 464v-32C384 405.5 362.5 384 335.1 384zM352.1 464c0 8.836-7.166 16-16 16H80c-8.84 0-16-7.164-16-16l-.0029-31.1C63.99 423.2 71.16 416 80 416h256.1c8.838 0 15.95 7.163 15.95 16L352.1 464zM445.7 236.9C436.4 201.3 405.3 180 372.1 180c-22.01 0-42.52 9.5-57.02 26.12l-20.38-89C279.9 48.13 219.9 0 149.9 0C138.6 0 127.3 1.25 116.1 3.875c-80.41 18.75-130.8 100-112.3 181.1l35.41 154.7C40.89 346.9 47.31 352 54.71 352c10.19 0 17.75-9.467 15.48-19.4L34.84 177.8c-14.63-64 25.01-128 88.41-142.8C132 33 140.9 31.88 149.9 31.88c55.15 0 102.4 37.88 114.8 92.38L299.4 276l39.89-48.25c8.252-10.12 20.51-15.88 33.51-15.88c10.13 0 20.01 3.625 27.88 10.25c18.63 15.62 21.13 43.38 5.754 62.13l-34.56 41.77C363.4 336.4 370.7 352 384.2 352c4.736 0 9.418-2.115 12.43-5.766l32.03-38.76C444.9 287.8 452.1 261.5 445.7 236.9z"],
    "mobile": [384, 512, [128241, "mobile-android", "mobile-phone"], "f3ce", "M288 0H96C60.65 0 32 28.65 32 64v384c0 35.35 28.65 64 64 64h192c35.35 0 64-28.65 64-64V64C352 28.65 323.3 0 288 0zM320 448c0 17.64-14.36 32-32 32H96c-17.64 0-32-14.36-32-32V64c0-17.64 14.36-32 32-32h192c17.64 0 32 14.36 32 32V448zM224 400H160c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16h64c8.836 0 16-7.164 16-16C240 407.2 232.8 400 224 400z"],
    "mobile-button": [384, 512, [], "f10b", "M192 392c-13.31 0-24 10.69-24 24s10.69 24 24 24s24-10.69 24-24S205.3 392 192 392zM288 0H96C60.65 0 32 28.65 32 64v384c0 35.35 28.65 64 64 64h192c35.35 0 64-28.65 64-64V64C352 28.65 323.3 0 288 0zM320 448c0 17.64-14.36 32-32 32H96c-17.64 0-32-14.36-32-32V64c0-17.64 14.36-32 32-32h192c17.64 0 32 14.36 32 32V448z"],
    "mobile-notch": [384, 512, ["mobile-iphone"], "e1ee", "M288 0H96C60.65 0 32 28.65 32 64v384c0 35.35 28.65 64 64 64h192c35.35 0 64-28.65 64-64V64C352 28.65 323.3 0 288 0zM160 32h64v16H160V32zM320 448c0 17.64-14.36 32-32 32H96c-17.64 0-32-14.36-32-32V64c0-17.64 14.36-32 32-32h32v16c0 17.64 14.36 32 32 32h64c17.64 0 32-14.36 32-32V32h32c17.64 0 32 14.36 32 32V448zM224 400H160c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16h64c8.836 0 16-7.164 16-16C240 407.2 232.8 400 224 400z"],
    "mobile-retro": [320, 512, [], "e527", "M232 128C245.3 128 256 138.7 256 152V232C256 245.3 245.3 256 232 256H88C74.75 256 64 245.3 64 232V152C64 138.7 74.75 128 88 128H232zM96 160V224H224V160H96zM56 328C56 314.7 66.75 304 80 304C93.25 304 104 314.7 104 328C104 341.3 93.25 352 80 352C66.75 352 56 341.3 56 328zM104 408C104 421.3 93.25 432 80 432C66.75 432 56 421.3 56 408C56 394.7 66.75 384 80 384C93.25 384 104 394.7 104 408zM136 328C136 314.7 146.7 304 160 304C173.3 304 184 314.7 184 328C184 341.3 173.3 352 160 352C146.7 352 136 341.3 136 328zM184 408C184 421.3 173.3 432 160 432C146.7 432 136 421.3 136 408C136 394.7 146.7 384 160 384C173.3 384 184 394.7 184 408zM216 328C216 314.7 226.7 304 240 304C253.3 304 264 314.7 264 328C264 341.3 253.3 352 240 352C226.7 352 216 341.3 216 328zM264 408C264 421.3 253.3 432 240 432C226.7 432 216 421.3 216 408C216 394.7 226.7 384 240 384C253.3 384 264 394.7 264 408zM192 64C200.8 64 208 71.16 208 80C208 88.84 200.8 96 192 96H128C119.2 96 112 88.84 112 80C112 71.16 119.2 64 128 64H192zM256 0C291.3 0 320 28.65 320 64V448C320 483.3 291.3 512 256 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H256zM256 32H64C46.33 32 32 46.33 32 64V448C32 465.7 46.33 480 64 480H256C273.7 480 288 465.7 288 448V64C288 46.33 273.7 32 256 32z"],
    "mobile-screen": [384, 512, ["mobile-android-alt"], "f3cf", "M288 0H96C60.65 0 32 28.65 32 64v384c0 35.35 28.65 64 64 64h192c35.35 0 64-28.65 64-64V64C352 28.65 323.3 0 288 0zM320 448c0 17.64-14.36 32-32 32H96c-17.64 0-32-14.36-32-32v-96h256V448zM320 320H64V64c0-17.64 14.36-32 32-32h192c17.64 0 32 14.36 32 32V320zM160 432h64c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16H160c-8.836 0-16 7.162-16 16C144 424.8 151.2 432 160 432z"],
    "mobile-screen-button": [384, 512, ["mobile-alt"], "f3cd", "M192 440c13.31 0 24-10.69 24-24s-10.69-24-24-24S168 402.7 168 416S178.7 440 192 440zM288 0H96c-35.35 0-64 28.65-64 64v384c0 35.35 28.65 64 64 64h192c35.35 0 64-28.65 64-64v-384C352 28.65 323.3 0 288 0zM320 448c0 17.64-14.36 32-32 32H96c-17.64 0-32-14.36-32-32v-96h256V448zM320 320H64V64c0-17.64 14.36-32 32-32h192c17.64 0 32 14.36 32 32V320z"],
    "mobile-signal": [512, 512, [], "e1ef", "M496 304C504.8 304 512 296.8 512 288s-7.156-16-16-16c-123.5 0-224 100.5-224 224c0 8.844 7.156 16 16 16s16-7.156 16-16C304 390.1 390.1 304 496 304zM288 64v240c0 8.836 7.164 16 16 16S320 312.8 320 304V64c0-35.35-28.65-64-64-64H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h144C216.8 512 224 504.8 224 496C224 487.2 216.8 480 208 480H64c-17.67 0-32-14.33-32-32V64c0-17.67 14.33-32 32-32h192C273.7 32 288 46.33 288 64zM128 400c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16h64c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16H128zM480 448c-17.67 0-32 14.33-32 32s14.33 32 32 32c17.67 0 32-14.33 32-32S497.7 448 480 448zM496 352c-79.41 0-144 64.59-144 144c0 8.844 7.156 16 16 16s16-7.156 16-16c0-61.75 50.25-112 112-112c8.844 0 16-7.156 16-16S504.8 352 496 352z"],
    "mobile-signal-out": [512, 512, [], "e1f0", "M128 400c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16h64c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16H128zM304 288C295.2 288 288 295.2 288 304L287.1 448c0 17.67-14.32 32-31.1 32H64c-17.67 0-32-14.33-32-32V64c0-17.67 14.33-32 32-32h144C216.8 32 224 24.84 224 16C224 7.162 216.8 0 208 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h192c35.35 0 64-28.65 64-64V304C320 295.2 312.8 288 304 288zM304 176c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32s32-14.33 32-32C336 190.3 321.7 176 304 176zM288 80c-8.844 0-16 7.156-16 16s7.156 16 16 16c61.75 0 112 50.25 112 112c0 8.844 7.156 16 16 16s16-7.156 16-16C432 144.6 367.4 80 288 80zM288 0c-8.844 0-16 7.156-16 16S279.2 32 288 32c105.9 0 192 86.13 192 192c0 8.844 7.156 16 16 16S512 232.8 512 224C512 100.5 411.5 0 288 0z"],
    "money-bill": [576, 512, [], "f0d6", "M384 256C384 309 341 352 288 352C234.1 352 192 309 192 256C192 202.1 234.1 160 288 160C341 160 384 202.1 384 256zM288 192C252.7 192 224 220.7 224 256C224 291.3 252.7 320 288 320C323.3 320 352 291.3 352 256C352 220.7 323.3 192 288 192zM0 128C0 92.65 28.65 64 64 64H512C547.3 64 576 92.65 576 128V384C576 419.3 547.3 448 512 448H64C28.65 448 0 419.3 0 384V128zM544 160V128C544 110.3 529.7 96 512 96H480C480 131.3 508.7 160 544 160zM448 96H128C128 149 85.02 192 32 192V320C85.02 320 128 362.1 128 416H448C448 362.1 490.1 320 544 320V192C490.1 192 448 149 448 96zM64 416H96C96 380.7 67.35 352 32 352V384C32 401.7 46.33 416 64 416zM544 352C508.7 352 480 380.7 480 416H512C529.7 416 544 401.7 544 384V352zM32 128V160C67.35 160 96 131.3 96 96H64C46.33 96 32 110.3 32 128z"],
    "money-bill-1": [576, 512, ["money-bill-alt"], "f3d1", "M256 208C256 199.2 263.2 192 272 192H288C296.8 192 304 199.2 304 208V288H312C320.8 288 328 295.2 328 304C328 312.8 320.8 320 312 320H264C255.2 320 248 312.8 248 304C248 295.2 255.2 288 264 288H272V224C263.2 224 256 216.8 256 208zM416 256C416 326.7 358.7 384 288 384C217.3 384 160 326.7 160 256C160 185.3 217.3 128 288 128C358.7 128 416 185.3 416 256zM288 160C234.1 160 192 202.1 192 256C192 309 234.1 352 288 352C341 352 384 309 384 256C384 202.1 341 160 288 160zM512 64C547.3 64 576 92.65 576 128V384C576 419.3 547.3 448 512 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H512zM512 96H480C480 131.3 508.7 160 544 160V128C544 110.3 529.7 96 512 96zM32 192V320C85.02 320 128 362.1 128 416H448C448 362.1 490.1 320 544 320V192C490.1 192 448 149 448 96H128C128 149 85.02 192 32 192zM32 352V384C32 401.7 46.33 416 64 416H96C96 380.7 67.35 352 32 352zM512 416C529.7 416 544 401.7 544 384V352C508.7 352 480 380.7 480 416H512zM96 96H64C46.33 96 32 110.3 32 128V160C67.35 160 96 131.3 96 96z"],
    "money-bill-1-wave": [576, 512, ["money-bill-wave-alt"], "f53b", "M287.1 191.1C296.8 191.1 304 199.2 304 207.1V287.1H312C320.8 287.1 328 295.2 328 303.1C328 312.8 320.8 319.1 312 319.1H263.1C255.2 319.1 247.1 312.8 247.1 303.1C247.1 295.2 255.2 287.1 263.1 287.1H271.1V223.1C263.2 223.1 255.1 216.8 255.1 207.1C255.1 199.2 263.2 191.1 271.1 191.1H287.1zM400 255.1C400 320.1 355.1 384 287.1 384C220.9 384 175.1 320.1 175.1 255.1C175.1 191 220.9 127.1 287.1 127.1C355.1 127.1 400 191 400 255.1zM287.1 352C332.2 352 368 309 368 255.1C368 202.1 332.2 159.1 287.1 159.1C243.8 159.1 207.1 202.1 207.1 255.1C207.1 309 243.8 352 287.1 352zM48.66 79.13C128.4 100.9 208.2 80.59 288 60.25C375 38.08 462 15.9 549 48.38C565.9 54.69 576 71.62 576 89.66V399.5C576 423.4 550.4 439.2 527.3 432.9C447.6 411.1 367.8 431.4 288 451.7C200.1 473.9 113.1 496.1 26.97 463.6C10.06 457.3 0 440.4 0 422.3V112.5C0 88.59 25.61 72.83 48.66 79.13L48.66 79.13zM31.1 112.5V183.1C67.35 183.1 95.1 155.3 95.1 119.1V119.5C77.5 118.1 58.88 115.1 40.23 109.1C38.06 109.4 35.35 109.8 33.34 111.2C32.45 111.8 32.09 112.3 32.01 112.4L31.1 112.5zM38.16 433.6C57.3 440.8 76.53 444.1 95.1 446.8V440C95.1 404.7 67.35 376 31.1 376V422.3C31.1 429.2 35.66 432.7 38.16 433.6zM127.1 447.9C172.7 446.1 219.1 436.2 269.3 423.5C273.6 422.4 277.9 421.3 282.3 420.2C334.1 406.9 390.2 392.6 448 391.6C448.2 338.8 491.1 295.1 544 295.1V167.1C490.1 167.1 448 125 448 71.1V64.05C403.3 65.01 356.9 75.78 306.7 88.51C302.4 89.6 298.1 90.71 293.7 91.82C241.9 105.1 185.8 119.4 127.1 120.4C127.8 173.2 84.88 215.1 31.1 215.1V344C85.02 344 127.1 386.1 127.1 440V447.9zM480 392.5C498.5 393.9 517.1 396.9 535.8 402C537.9 402.6 540.6 402.2 542.7 400.8C543.6 400.2 543.9 399.7 543.1 399.6C544 399.6 543.1 399.6 543.1 399.6C543.1 399.6 544 399.6 544 399.5V328C508.7 328 480 356.7 480 392V392.5zM480 65.17V71.1C480 107.3 508.7 135.1 544 135.1V89.66C544 82.82 540.3 79.29 537.8 78.36C518.7 71.21 499.5 67.04 480 65.17z"],
    "money-bill-simple": [576, 512, [], "e1f1", "M384 256C384 309 341 352 288 352C234.1 352 192 309 192 256C192 202.1 234.1 160 288 160C341 160 384 202.1 384 256zM288 192C252.7 192 224 220.7 224 256C224 291.3 252.7 320 288 320C323.3 320 352 291.3 352 256C352 220.7 323.3 192 288 192zM0 128C0 92.65 28.65 64 64 64H512C547.3 64 576 92.65 576 128V384C576 419.3 547.3 448 512 448H64C28.65 448 0 419.3 0 384V128zM32 128V384C32 401.7 46.33 416 64 416H512C529.7 416 544 401.7 544 384V128C544 110.3 529.7 96 512 96H64C46.33 96 32 110.3 32 128z"],
    "money-bill-simple-wave": [576, 512, [], "e1f2", "M384 255.1C384 315 343.6 368 288 368C232.4 368 192 315 192 255.1C192 196.1 232.4 143.1 288 143.1C343.6 143.1 384 196.1 384 255.1zM288 336C320.7 336 352 303 352 255.1C352 208.1 320.7 175.1 288 175.1C255.3 175.1 224 208.1 224 255.1C224 303 255.3 336 288 336zM0 422.3V112.5C0 88.59 25.61 72.83 48.66 79.13C128.4 100.9 208.2 80.59 288 60.25C375 38.08 462 15.9 549 48.38C565.9 54.69 576 71.62 576 89.66V399.5C576 423.4 550.4 439.2 527.3 432.9C447.6 411.1 367.8 431.4 288 451.7C200.1 473.9 113.1 496.1 26.97 463.6C10.06 457.3 .0003 440.4 .0003 422.3L0 422.3zM38.16 433.6C110.1 460.8 184.9 444.9 269.3 423.5C273.6 422.4 277.9 421.3 282.3 420.2C360.1 400.3 447.6 377.9 535.8 402C537.9 402.6 540.6 402.2 542.7 400.8C543.6 400.2 543.9 399.7 544 399.6C544 399.6 544 399.6 544 399.6C544 399.6 544 399.6 544 399.5V89.66C544 82.82 540.3 79.29 537.8 78.36C465 51.19 391.1 67.09 306.7 88.51C302.4 89.6 298.1 90.71 293.7 91.82C215.9 111.7 128.4 134.1 40.23 109.1C38.06 109.4 35.35 109.8 33.34 111.2C32.45 111.8 32.08 112.3 31.1 112.4C31.98 112.5 31.1 112.4 31.1 112.4L31.1 112.5V422.3C31.1 429.2 35.66 432.7 38.16 433.6H38.16z"],
    "money-bill-transfer": [640, 512, [], "e528", "M548.7 4.687C554.9-1.562 565.1-1.562 571.3 4.686L635.3 68.68C638.3 71.68 640 75.75 640 79.99C640 84.24 638.3 88.31 635.3 91.31L571.3 155.3C565.1 161.6 554.9 161.6 548.7 155.3C542.4 149.1 542.4 138.9 548.7 132.7L585.4 95.1L160 95.1C160 149 117 191.1 64 191.1V316.1L32 348.1V127.1C32 92.65 60.65 63.1 96 63.1H383.7L384 63.99L585.4 63.1L548.7 27.31C542.4 21.07 542.4 10.94 548.7 4.687L548.7 4.687zM128 95.1H96C78.33 95.1 64 110.3 64 127.1V159.1C99.35 159.1 128 131.3 128 95.1zM91.31 484.7C97.56 490.9 97.56 501.1 91.31 507.3C85.07 513.6 74.94 513.6 68.69 507.3L4.686 443.3C1.686 440.3 0 436.2 0 431.1C0 427.8 1.686 423.7 4.687 420.7L68.69 356.7C74.94 350.4 85.07 350.4 91.31 356.7C97.56 362.9 97.56 373.1 91.31 379.3L54.63 415.1L256 415.1L256.4 415.1H480C480 362.1 522.1 319.1 576 319.1V195.9L608 163.9V383.1C608 419.3 579.3 447.1 544 447.1L54.63 447.1L91.31 484.7zM512 415.1H544C561.7 415.1 576 401.7 576 383.1V351.1C540.7 351.1 512 380.6 512 415.1zM416 255.1C416 309 373 351.1 320 351.1C266.1 351.1 224 309 224 255.1C224 202.1 266.1 159.1 320 159.1C373 159.1 416 202.1 416 255.1V255.1zM320 191.1C284.7 191.1 256 220.6 256 255.1C256 291.3 284.7 319.1 320 319.1C355.3 319.1 384 291.3 384 255.1C384 220.6 355.3 191.1 320 191.1V191.1z"],
    "money-bill-trend-up": [512, 512, [], "e529", "M352 16C352 7.164 359.2 0 368 0H464C472.8 0 480 7.164 480 16V112C480 120.8 472.8 128 464 128C455.2 128 448 120.8 448 112V54.63L299.3 203.3C293.4 209.2 283.9 209.6 277.6 204.1L176 117.1L74.41 204.1C67.7 209.9 57.6 209.1 51.85 202.4C46.1 195.7 46.88 185.6 53.59 179.9L165.6 83.85C171.6 78.72 180.4 78.72 186.4 83.85L287.2 170.2L425.4 32H368C359.2 32 352 24.84 352 16H352zM320 384C320 419.3 291.3 448 256 448C220.7 448 192 419.3 192 384C192 348.7 220.7 320 256 320C291.3 320 320 348.7 320 384zM256 352C238.3 352 224 366.3 224 384C224 401.7 238.3 416 256 416C273.7 416 288 401.7 288 384C288 366.3 273.7 352 256 352zM464 256C490.5 256 512 277.5 512 304V464C512 490.5 490.5 512 464 512H48C21.49 512 0 490.5 0 464V304C0 277.5 21.49 256 48 256H464zM480 304C480 295.2 472.8 288 464 288H432C432 314.5 453.5 336 480 336V304zM32 368V400C76.18 400 112 435.8 112 480H400C400 435.8 435.8 400 480 400V368C435.8 368 400 332.2 400 288H112C112 332.2 76.18 368 32 368zM464 480C472.8 480 480 472.8 480 464V432C453.5 432 432 453.5 432 480H464zM32 464C32 472.8 39.16 480 48 480H80C80 453.5 58.51 432 32 432V464zM48 288C39.16 288 32 295.2 32 304V336C58.51 336 80 314.5 80 288H48z"],
    "money-bill-wave": [576, 512, [], "f53a", "M384 255.1C384 315 343.6 368 288 368C232.4 368 192 315 192 255.1C192 196.1 232.4 143.1 288 143.1C343.6 143.1 384 196.1 384 255.1zM288 336C320.7 336 352 303 352 255.1C352 208.1 320.7 175.1 288 175.1C255.3 175.1 224 208.1 224 255.1C224 303 255.3 336 288 336zM0 422.3V112.5C0 88.59 25.61 72.83 48.66 79.13C128.4 100.9 208.2 80.59 288 60.25C375 38.08 462 15.9 549 48.38C565.9 54.69 576 71.62 576 89.66V399.5C576 423.4 550.4 439.2 527.3 432.9C447.6 411.1 367.8 431.4 288 451.7C200.1 473.9 113.1 496.1 26.97 463.6C10.06 457.3 .0003 440.4 .0003 422.3L0 422.3zM96 119.1V119.5C77.5 118.1 58.88 115.1 40.23 109.1C38.06 109.4 35.35 109.8 33.34 111.2C32.45 111.8 32.08 112.3 31.1 112.4L32 112.5V184C67.35 184 96 155.3 96 120V119.1zM32 376V422.3C32 429.2 35.66 432.7 38.16 433.6C57.3 440.8 76.53 444.1 96 446.8V440C96 404.7 67.35 376 32 376zM32 344C85.02 344 128 386.1 128 440V447.9C172.7 446.1 219.1 436.2 269.3 423.5C273.6 422.4 277.9 421.3 282.3 420.2C334.1 406.9 390.2 392.6 448 391.6C448.2 338.8 491.1 295.1 544 295.1V167.1C490.1 167.1 448 125 448 71.1V64.05C403.3 65.01 356.9 75.78 306.7 88.51C302.4 89.6 298.1 90.71 293.7 91.82C241.9 105.1 185.8 119.4 127.1 120.4C127.8 173.2 84.88 215.1 32 215.1V344zM542.7 400.8C543.6 400.2 543.9 399.7 544 399.6C544 399.6 544 399.6 544 399.6C544 399.6 544 399.6 544 399.5V328C508.7 328 480 356.7 480 392V392.5C498.5 393.9 517.1 396.9 535.8 402C537.9 402.6 540.6 402.2 542.7 400.8V400.8zM544 135.1V89.66C544 82.82 540.3 79.29 537.8 78.36C518.7 71.21 499.5 67.04 480 65.17V71.1C480 107.3 508.7 135.1 544 135.1z"],
    "money-bill-wheat": [512, 512, [], "e52a", "M160 16C160 7.164 167.2 0 176 0C220.2 0 256 35.82 256 80V144C256 188.2 220.2 224 176 224C167.2 224 160 216.8 160 208V184C160 152.3 178.4 124.1 205.1 112C178.4 99.03 160 71.67 160 40V16zM192 34.73V40C192 60.9 205.4 78.68 224 85.27V80C224 59.1 210.6 41.32 192 34.73zM192 184V189.3C210.6 182.7 224 164.9 224 144V138.7C205.4 145.3 192 163.1 192 184zM112 16C120.8 16 128 23.16 128 32C128 40.84 120.8 48 112 48H48C39.16 48 32 40.84 32 32C32 23.16 39.16 16 48 16H112zM144 96C152.8 96 160 103.2 160 112C160 120.8 152.8 128 144 128H16C7.164 128 0 120.8 0 112C0 103.2 7.164 96 16 96H144zM32 192C32 183.2 39.16 176 48 176H112C120.8 176 128 183.2 128 192C128 200.8 120.8 208 112 208H48C39.16 208 32 200.8 32 192zM368 80V144C368 188.2 332.2 224 288 224C279.2 224 272 216.8 272 208V184C272 152.3 290.4 124.1 317.1 112C290.4 99.03 272 71.67 272 40V16C272 7.164 279.2 0 288 0C332.2 0 368 35.82 368 80zM336 85.27V80C336 59.1 322.6 41.32 304 34.73V40C304 60.9 317.4 78.68 336 85.27zM336 144V138.7C317.4 145.3 304 163.1 304 184V189.3C322.6 182.7 336 164.9 336 144zM384 16C384 7.164 391.2 0 400 0C444.2 0 480 35.82 480 80V144C480 188.2 444.2 224 400 224C391.2 224 384 216.8 384 208V184C384 152.3 402.4 124.1 429.1 112C402.4 99.03 384 71.67 384 40V16zM416 34.73V40C416 60.9 429.4 78.68 448 85.27V80C448 59.1 434.6 41.32 416 34.73zM448 144V138.7C429.4 145.3 416 163.1 416 184V189.3C434.6 182.7 448 164.9 448 144zM320 384C320 419.3 291.3 448 256 448C220.7 448 192 419.3 192 384C192 348.7 220.7 320 256 320C291.3 320 320 348.7 320 384zM256 352C238.3 352 224 366.3 224 384C224 401.7 238.3 416 256 416C273.7 416 288 401.7 288 384C288 366.3 273.7 352 256 352zM464 256C490.5 256 512 277.5 512 304V464C512 490.5 490.5 512 464 512H48C21.49 512 0 490.5 0 464V304C0 277.5 21.49 256 48 256H464zM480 304C480 295.2 472.8 288 464 288H432C432 314.5 453.5 336 480 336V304zM32 400C76.18 400 112 435.8 112 480H400C400 435.8 435.8 400 480 400V368C435.8 368 400 332.2 400 288H112C112 332.2 76.18 368 32 368V400zM464 480C472.8 480 480 472.8 480 464V432C453.5 432 432 453.5 432 480H464zM32 464C32 472.8 39.16 480 48 480H80C80 453.5 58.51 432 32 432V464zM48 288C39.16 288 32 295.2 32 304V336C58.51 336 80 314.5 80 288H48z"],
    "money-bills": [640, 512, [], "e1f3", "M272 208C272 154.1 314.1 112 368 112C421 112 464 154.1 464 208C464 261 421 304 368 304C314.1 304 272 261 272 208zM368 144C332.7 144 304 172.7 304 208C304 243.3 332.7 272 368 272C403.3 272 432 243.3 432 208C432 172.7 403.3 144 368 144zM576 32C611.3 32 640 60.65 640 96V320C640 355.3 611.3 384 576 384H160C124.7 384 96 355.3 96 320V96C96 60.65 124.7 32 160 32H576zM576 64H544C544 99.35 572.7 128 608 128V96C608 78.33 593.7 64 576 64zM128 160V256C181 256 224 298.1 224 352H512C512 298.1 554.1 256 608 256V160C554.1 160 512 117 512 64H224C224 117 181 160 128 160zM128 288V320C128 337.7 142.3 352 160 352H192C192 316.7 163.3 288 128 288zM576 352C593.7 352 608 337.7 608 320V288C572.7 288 544 316.7 544 352H576zM192 64H160C142.3 64 128 78.33 128 96V128C163.3 128 192 99.35 192 64zM32 368C32 412.2 67.82 448 112 448H528C536.8 448 544 455.2 544 464C544 472.8 536.8 480 528 480H112C50.14 480 0 429.9 0 368V112C0 103.2 7.164 96 16 96C24.84 96 32 103.2 32 112V368z"],
    "money-bills-simple": [640, 512, ["money-bills-alt"], "e1f4", "M272 208C272 154.1 314.1 112 368 112C421 112 464 154.1 464 208C464 261 421 304 368 304C314.1 304 272 261 272 208zM368 144C332.7 144 304 172.7 304 208C304 243.3 332.7 272 368 272C403.3 272 432 243.3 432 208C432 172.7 403.3 144 368 144zM576 32C611.3 32 640 60.65 640 96V320C640 355.3 611.3 384 576 384H160C124.7 384 96 355.3 96 320V96C96 60.65 124.7 32 160 32H576zM576 64H160C142.3 64 128 78.33 128 96V320C128 337.7 142.3 352 160 352H576C593.7 352 608 337.7 608 320V96C608 78.33 593.7 64 576 64zM32 368C32 412.2 67.82 448 112 448H528C536.8 448 544 455.2 544 464C544 472.8 536.8 480 528 480H112C50.14 480 0 429.9 0 368V112C0 103.2 7.164 96 16 96C24.84 96 32 103.2 32 112V368z"],
    "money-check": [576, 512, [], "f53c", "M240 224C248.8 224 256 231.2 256 240C256 248.8 248.8 256 240 256H112C103.2 256 96 248.8 96 240C96 231.2 103.2 224 112 224H240zM96 336C96 327.2 103.2 320 112 320H464C472.8 320 480 327.2 480 336C480 344.8 472.8 352 464 352H112C103.2 352 96 344.8 96 336zM320 184C320 161.9 337.9 144 360 144H440C462.1 144 480 161.9 480 184V232C480 254.1 462.1 272 440 272H360C337.9 272 320 254.1 320 232V184zM352 184V232C352 236.4 355.6 240 360 240H440C444.4 240 448 236.4 448 232V184C448 179.6 444.4 176 440 176H360C355.6 176 352 179.6 352 184zM0 128C0 92.65 28.65 64 64 64H512C547.3 64 576 92.65 576 128V384C576 419.3 547.3 448 512 448H64C28.65 448 0 419.3 0 384V128zM32 128V384C32 401.7 46.33 416 64 416H512C529.7 416 544 401.7 544 384V128C544 110.3 529.7 96 512 96H64C46.33 96 32 110.3 32 128z"],
    "money-check-dollar": [576, 512, ["money-check-alt"], "f53d", "M464 288C472.8 288 480 295.2 480 304C480 312.8 472.8 320 464 320H272C263.2 320 256 312.8 256 304C256 295.2 263.2 288 272 288H464zM256 208C256 199.2 263.2 192 272 192H464C472.8 192 480 199.2 480 208C480 216.8 472.8 224 464 224H272C263.2 224 256 216.8 256 208zM159.1 169.6C165.9 170.6 178.1 173.2 184.1 174.5C192.7 176.8 197.7 185.6 195.5 194.1C193.2 202.7 184.4 207.7 175.9 205.5C171.9 204.4 158.2 201.7 153.8 201C140.9 199 130.1 200.6 122.9 203.9C115.7 207.2 112.1 211.4 112.4 214.1C111.7 219.1 112.3 221.2 112.9 222.4C113.5 223.8 114.8 225.5 117.8 227.5C124.6 232.1 134.9 235.3 148.8 239.5L149.4 239.7C161.7 243.4 177.3 248.1 188.9 256.5C195.1 261.1 200.9 267.1 204.5 275.3C208.1 283.6 208.8 292.8 207.2 302.5C204.1 319.1 192.6 331.9 177.9 338.2C172.3 340.6 166.3 342.2 160 343.1V352C160 360.8 152.8 368 144 368C135.2 368 128 360.8 128 352V342.4C118.6 340.6 104.4 335.8 95.55 332.7C93.78 332.1 92.22 331.6 90.95 331.2C82.56 328.4 78.03 319.3 80.82 310.9C83.61 302.6 92.67 298 101.1 300.8C102.1 301.5 105.1 302.2 107.2 302.9C116.7 306.1 127.9 309.9 134.3 310.1C147.6 313.1 158.3 311.8 165.3 308.8C171.8 306 174.7 302.1 175.6 297C176.4 292.4 175.8 289.7 175.1 288.1C174.4 286.4 172.9 284.5 170 282.4C163.5 277.6 153.3 274.3 139.6 270.1L137.5 269.5C125.7 265.9 110.9 261.5 99.87 254C93.65 249.8 87.7 244 83.93 236.1C80.1 228 79.2 219 80.85 209.5C83.73 192.8 95.57 181.2 109.7 174.8C115.3 172.2 121.5 170.4 128 169.3V160C128 151.2 135.2 144 144 144C152.8 144 160 151.2 160 160L159.1 169.6zM0 128C0 92.65 28.65 64 64 64H512C547.3 64 576 92.65 576 128V384C576 419.3 547.3 448 512 448H64C28.65 448 0 419.3 0 384V128zM32 128V384C32 401.7 46.33 416 64 416H512C529.7 416 544 401.7 544 384V128C544 110.3 529.7 96 512 96H64C46.33 96 32 110.3 32 128z"],
    "money-check-dollar-pen": [640, 512, ["money-check-edit-alt"], "f873", "M512 96H64C46.33 96 32 110.3 32 128V384C32 401.7 46.33 416 64 416H338.2L330.2 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H512C547.3 64 576 92.65 576 128V192C565.1 191.7 554.2 193.6 544 197.6V128C544 110.3 529.7 96 512 96V96zM256 304C256 295.2 263.2 288 272 288H368C376.8 288 384 295.2 384 304C384 312.8 376.8 320 368 320H272C263.2 320 256 312.8 256 304zM464 192C472.8 192 480 199.2 480 208C480 216.8 472.8 224 464 224H272C263.2 224 256 216.8 256 208C256 199.2 263.2 192 272 192H464zM143.1 144C152.8 144 159.1 151.2 159.1 160V169.6C165.9 170.6 178.1 173.2 184.1 174.5C192.7 176.8 197.7 185.6 195.5 194.1C193.2 202.7 184.4 207.7 175.9 205.5C171.9 204.4 158.2 201.7 153.8 201C140.9 199 130.1 200.6 122.9 203.9C115.7 207.2 112.1 211.4 112.4 214.1C111.7 219.1 112.3 221.2 112.9 222.4C113.5 223.8 114.8 225.5 117.8 227.5C124.6 232.1 134.9 235.3 148.8 239.5L149.4 239.7C161.7 243.4 177.3 248.1 188.9 256.5C195.1 261.1 200.9 267.1 204.5 275.3C208.1 283.6 208.8 292.8 207.2 302.5C204.1 319.1 192.6 331.9 177.9 338.2C172.3 340.6 166.3 342.2 160 343.1V352C160 360.8 152.8 368 144 368C135.2 368 128 360.8 128 352V342.4C118.6 340.6 104.5 335.8 95.55 332.7C93.79 332.1 92.22 331.6 90.95 331.2C82.56 328.4 78.03 319.3 80.82 310.9C83.61 302.6 92.67 298 101.1 300.8C102.1 301.5 105 302.2 107.2 302.9C116.7 306.1 127.9 309.9 134.3 310.1C147.6 313.1 158.3 311.8 165.3 308.8C171.8 306 174.7 302.1 175.6 297C176.4 292.4 175.8 289.7 175.1 288.1C174.4 286.4 172.9 284.5 170 282.4C163.5 277.6 153.3 274.3 139.6 270.1L137.5 269.5C125.7 265.9 110.9 261.5 99.87 254C93.65 249.8 87.7 244 83.93 236.1C80.1 228 79.2 219 80.85 209.5C83.73 192.8 95.57 181.2 109.7 174.8C115.3 172.2 121.5 170.4 128 169.3V160C128 151.2 135.2 144 144 144H143.1zM537.5 241.4C556.3 222.6 586.7 222.6 605.4 241.4L622.8 258.7C641.5 277.5 641.5 307.9 622.8 326.6L469.1 480.3C462.9 486.5 455.2 490.8 446.8 492.1L371.9 511.7C366.4 513 360.7 511.4 356.7 507.5C352.7 503.5 351.1 497.7 352.5 492.3L371.2 417.4C373.3 408.9 377.7 401.2 383.8 395.1L537.5 241.4zM582.8 264C576.5 257.8 566.4 257.8 560.2 264L535.3 288.8L575.3 328.8L600.2 303.1C606.4 297.7 606.4 287.6 600.2 281.4L582.8 264zM402.2 425.1L389.1 474.2L439 461.9C441.8 461.2 444.4 459.8 446.4 457.7L552.7 351.4L512.7 311.5L406.5 417.7C404.4 419.8 402.9 422.3 402.2 425.1L402.2 425.1z"],
    "money-check-pen": [640, 512, ["money-check-edit"], "f872", "M32 128V384C32 401.7 46.33 416 64 416H338.2L330.2 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H512C547.3 64 576 92.65 576 128V192C565.1 191.7 554.2 193.6 544 197.6V128C544 110.3 529.7 96 512 96H64C46.33 96 32 110.3 32 128V128zM368 288C376.8 288 384 295.2 384 304C384 312.8 376.8 320 368 320H112C103.2 320 96 312.8 96 304C96 295.2 103.2 288 112 288H368zM96 208C96 199.2 103.2 192 112 192H464C472.8 192 480 199.2 480 208C480 216.8 472.8 224 464 224H112C103.2 224 96 216.8 96 208zM537.5 241.4C556.3 222.6 586.7 222.6 605.4 241.4L622.8 258.7C641.5 277.5 641.5 307.9 622.8 326.6L469.1 480.3C462.9 486.5 455.2 490.8 446.8 492.1L371.9 511.7C366.4 513 360.7 511.4 356.7 507.5C352.7 503.5 351.1 497.7 352.5 492.3L371.2 417.4C373.3 408.9 377.7 401.2 383.8 395.1L537.5 241.4zM582.8 264C576.5 257.8 566.4 257.8 560.2 264L535.3 288.8L575.3 328.8L600.2 303.1C606.4 297.7 606.4 287.6 600.2 281.4L582.8 264zM402.2 425.1L389.1 474.2L439 461.9C441.8 461.2 444.4 459.8 446.4 457.7L552.7 351.4L512.7 311.5L406.5 417.7C404.4 419.8 402.9 422.3 402.2 425.1L402.2 425.1z"],
    "money-from-bracket": [640, 512, [], "e312", "M80 32C53.49 32 32 53.49 32 80V176C32 184.8 24.84 192 16 192C7.164 192 0 184.8 0 176V80C0 35.82 35.82 0 80 0H560C604.2 0 640 35.82 640 80V176C640 184.8 632.8 192 624 192C615.2 192 608 184.8 608 176V80C608 53.49 586.5 32 560 32H80zM496 96C504.8 96 512 103.2 512 112V456C512 486.9 486.9 512 456 512H184C153.1 512 128 486.9 128 456V112C128 103.2 135.2 96 144 96C152.8 96 160 103.2 160 112V384C213 384 256 426.1 256 480H384C384 426.1 426.1 384 480 384V112C480 103.2 487.2 96 496 96zM224 480C224 444.7 195.3 416 160 416V456C160 469.3 170.7 480 184 480H224zM480 456V416C444.7 416 416 444.7 416 480H456C469.3 480 480 469.3 480 456zM320 368C260.1 368 208 327.6 208 272C208 216.4 260.1 176 320 176C379 176 432 216.4 432 272C432 327.6 379 368 320 368zM240 272C240 304.7 272.1 336 320 336C367 336 400 304.7 400 272C400 239.3 367 208 320 208C272.1 208 240 239.3 240 272z"],
    "money-simple-from-bracket": [640, 512, [], "e313", "M80 32C53.49 32 32 53.49 32 80V176C32 184.8 24.84 192 16 192C7.164 192 0 184.8 0 176V80C0 35.82 35.82 0 80 0H560C604.2 0 640 35.82 640 80V176C640 184.8 632.8 192 624 192C615.2 192 608 184.8 608 176V80C608 53.49 586.5 32 560 32H80zM496 96C504.8 96 512 103.2 512 112V456C512 486.9 486.9 512 456 512H184C153.1 512 128 486.9 128 456V112C128 103.2 135.2 96 144 96C152.8 96 160 103.2 160 112V456C160 469.3 170.7 480 184 480H456C469.3 480 480 469.3 480 456V112C480 103.2 487.2 96 496 96zM320 368C260.1 368 208 327.6 208 272C208 216.4 260.1 176 320 176C379 176 432 216.4 432 272C432 327.6 379 368 320 368zM240 272C240 304.7 272.1 336 320 336C367 336 400 304.7 400 272C400 239.3 367 208 320 208C272.1 208 240 239.3 240 272z"],
    "monitor-waveform": [576, 512, ["monitor-heart-rate"], "f611", "M512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM544 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V288l150.1-.0313l27.62 55.17C212.4 348.6 217.1 352 224 352h.6562c6.312-.2813 11.84-4.219 14.19-10.06L286.6 222.5l18.19 54.56C307 283.6 313.1 288 320 288h96c8.844 0 16-7.156 16-16S424.8 256 416 256h-84.47l-28.34-85.06C301.1 164.6 295.2 160.2 288.5 160C281.8 160.3 275.7 163.8 273.2 170.1L222.4 296.1L206.3 264.8C203.6 259.5 198.2 256.1 192.2 256h-160L32 96c0-17.64 14.36-32 32-32h448c17.64 0 32 14.36 32 32V416z"],
    "monkey": [576, 512, [128018], "f6fb", "M96 32C60.65 32 32 60.65 32 96V368C32 429.9 82.14 480 144 480H160V416C160 322.8 216.9 242.1 297.8 209.2C301.1 219.2 307.4 228.6 313.9 237.2C242.5 265.2 192 334.7 192 416V480H416V432C416 387.8 380.2 352 336 352H304C295.2 352 288 344.8 288 336C288 327.2 295.2 320 304 320H336C367.3 320 395.7 332.9 416 353.6V288C427.7 288 438.1 286.4 449.7 283.5L536.9 376.1C562 402.8 576 438.1 576 474.8V496C576 504.8 568.8 512 560 512C551.2 512 544 504.8 544 496V474.8C544 446.2 533.1 418.8 513.6 398L448 328.3V480H480C488.8 480 496 487.2 496 496C496 504.8 488.8 512 480 512H144C64.47 512 0 447.5 0 368V96C0 42.98 42.98 0 96 0H128C181 0 224 42.98 224 96C224 149 181 192 128 192H112C103.2 192 96 184.8 96 176C96 167.2 103.2 160 112 160H128C163.3 160 192 131.3 192 96C192 60.65 163.3 32 128 32H96zM400 112C400 120.8 392.8 128 384 128C375.2 128 368 120.8 368 112C368 103.2 375.2 96 384 96C392.8 96 400 103.2 400 112zM432 112C432 103.2 439.2 96 448 96C456.8 96 464 103.2 464 112C464 120.8 456.8 128 448 128C439.2 128 432 120.8 432 112zM321.3 176H320C284.7 176 256 147.3 256 112C256 76.65 284.7 48 320 48H332.8C349.4 19.31 380.5 0 416 0C451.5 0 482.6 19.31 499.2 48H512C547.3 48 576 76.65 576 112C576 147.3 547.3 176 512 176H510.7C503.1 221.4 463.6 256 416 256C368.4 256 328.9 221.4 321.3 176zM416 32C380.7 32 352 60.65 352 96V160C352 195.3 380.7 224 416 224C451.3 224 480 195.3 480 160V96C480 60.65 451.3 32 416 32zM320 96C320 90.55 320.5 85.2 321.3 80H320C302.3 80 288 94.33 288 112C288 129.7 302.3 144 320 144V96zM512 80H510.7C511.5 85.2 512 90.55 512 96V144C529.7 144 544 129.7 544 112C544 94.33 529.7 80 512 80z"],
    "monument": [384, 512, [], "f5a6", "M180.7 4.686C186.9-1.562 197.1-1.562 203.3 4.686L283.3 84.69C285.9 87.23 287.5 90.56 287.9 94.13L319.9 366.1C320.9 374.9 314.6 382.9 305.9 383.9C297.1 384.9 289.1 378.6 288.1 369.9L256.8 103.4L191.1 38.63L127.2 103.4L95.89 369.9C94.86 378.6 86.91 384.9 78.13 383.9C69.35 382.9 63.08 374.9 64.11 366.1L96.11 94.13C96.53 90.56 98.14 87.23 100.7 84.69L180.7 4.686zM144 304C144 295.2 151.2 288 160 288H224C232.8 288 240 295.2 240 304C240 312.8 232.8 320 224 320H160C151.2 320 144 312.8 144 304zM344 416C366.1 416 384 433.9 384 456V472C384 494.1 366.1 512 344 512H40C17.91 512 0 494.1 0 472V456C0 433.9 17.91 416 40 416H344zM32 472C32 476.4 35.58 480 40 480H344C348.4 480 352 476.4 352 472V456C352 451.6 348.4 448 344 448H40C35.58 448 32 451.6 32 456V472z"],
    "moon": [512, 512, [127769, 9214], "f186", "M428.3 367.5c-5.609-9.312-16.08-13.91-26.75-11.97c-42.39 8.188-85.83-2.938-119.2-30.5C248.4 297 228.9 255.5 228.9 211.3c0-52.75 28.2-101.8 73.59-127.8c9.453-5.406 14.38-15.88 12.55-26.66c-1.812-10.75-9.891-19-20.61-21C283.1 33.66 265.3 32 253.9 32C131.5 32 32 132.5 32 256s99.55 224 221.9 224c67.19 0 130-30.25 172.4-83C433.1 388.4 433.9 376.9 428.3 367.5zM253.9 448C149.2 448 64 361.9 64 256s85.19-192 189.9-192c4.891 0 11.53 .4062 18.09 1.031C225.3 98.34 196.9 152.9 196.9 211.3c0 53.84 23.7 104.3 65.05 138.5c36.25 29.94 82.17 43.88 128.5 39.69C354.8 426.8 305.8 448 253.9 448z"],
    "moon-cloud": [640, 512, [], "f754", "M636.3 367.6c-5.566-9.406-16.14-14.16-26.78-12.09c-43.04 8.25-87.01-3.094-120.7-31.09c-33.71-28.03-53.02-69.28-53.02-113.2c0-52.72 28.36-101.7 74.01-127.8c9.455-5.375 14.4-15.84 12.6-26.66C520.6 46 512.5 37.72 501.8 35.72C490.4 33.63 472.5 32 461.1 32c-89.84 0-170.3 54.34-205.1 138.4C252.6 178.6 256.4 187.9 264.6 191.3c8.053 3.438 17.41-.4687 20.8-8.656C315.2 110.6 384.2 64 461.1 64c4.945 0 11.66 .4062 18.29 1.031C432.5 98.34 403.9 152.9 403.9 211.3c0 53.47 23.54 103.7 64.56 137.8c36.57 30.44 83.1 44.78 129.1 40.31C562.6 426.8 513.3 448 461.1 448c-51.41 0-99.79-20.62-136.2-58.06c-6.094-6.344-16.17-6.406-22.51-.25C296 395.9 295.9 406 302.1 412.3C344.5 455.1 401 480 461.1 480c67.45 0 130.6-30.22 173.2-82.94C641.1 388.6 641.9 377 636.3 367.6zM237.1 217.6C221 183.5 186.5 160 147.3 160C105.7 160 70.03 185.3 55.23 222.5C22.89 233.9 0 264.6 0 300.8C0 346.8 37.07 384 82.85 384h152.8c45.78 0 82.85-37.25 82.85-83.25C318.4 255.4 282 218.4 237.1 217.6zM235.6 352H82.85c-28.24 0-51-22.88-51-51.25c0-27.5 21.64-49.75 48.76-51C85.46 217.1 113.3 192 147.3 192c35.58 0 64.44 27.75 67.17 62.88c6.467-3.125 13.56-5.25 21.15-5.25c28.24 0 51 22.88 51 51.13C286.6 329.1 263.8 352 235.6 352z"],
    "moon-over-sun": [512, 512, ["eclipse-alt"], "f74a", "M327 293.1c-1 0-2.875 .125-3.875 .375c-3.75 .75-7.5 1.125-11.38 1.125c-32.5 0-59-26.62-59-59.25c0-21.12 11.5-41 30-51.5c7.5-4.25 11.5-12.62 10-21.12c-1.375-8.625-7.861-15.32-16.49-16.82c-6.625-1.25-13.53-1.888-20.4-1.888C194.2 143.9 144 194.3 144 256s50.24 112 111.9 112c33.88 0 65.65-15.07 86.9-41.45c5-6.25 5.986-14.55 2.611-21.8C341.1 297.8 334.8 293.1 327 293.1zM255.9 336C211.8 336 176 300.1 176 256c0-39.25 28.38-72 65.75-78.75c-13.5 16.38-21 37-21 58.13c0 44.88 32.63 82.38 75.38 89.88C284 332.3 270.3 336 255.9 336zM509.1 344.9l-59.14-89.22l58.84-89.52c3.096-4.691 3.73-10.83 1.486-15.97c-2.197-5.268-6.881-9.086-12.39-10.19l-104.9-21.51l-21.73-104.8c-1.193-5.582-5.094-10.24-10.32-12.39C358.9 .4258 356.7 0 354.4 0c-3.326 0-6.648 .9531-9.512 2.826L255.6 62.07L166.1 3.246C163.3 1.398 159.1 .4453 156.7 .4453C154.5 .4434 152.2 .877 150.1 1.762C144.8 3.955 141.1 8.689 139.9 14.15L118.5 119.1l-104.8 21.72C8.102 142 3.439 145.9 1.289 151.1c-2.15 5.225-1.588 11.28 1.535 16.05l59.14 89.21l-58.71 89.58c-3.098 4.689-3.682 10.7-1.486 15.97s6.879 9.086 12.39 10.19l104.1 21.39l21.73 104.8c1.193 5.58 5.094 10.24 10.32 12.39C153.3 511.6 155.5 512 157.7 512c3.326 0 6.648-.9531 9.512-2.826l89.24-59.12l89.55 58.82c2.787 1.84 6.062 2.75 9.355 2.75c2.248 0 4.502-.4238 6.619-1.264c5.268-2.195 9.088-6.879 10.24-12.51l21.22-104.9l104.9-21.85c5.584-1.193 10.19-4.969 12.35-10.19C512.9 355.6 512.3 349.5 509.1 344.9zM386.9 361.7c-12.53 2.609-22.3 12.44-24.84 24.98l-16.88 83.42l-71.18-46.76c-5.334-3.504-11.45-5.254-17.57-5.254c-6.158 0-12.32 1.775-17.67 5.322l-71.04 47.06l-17.29-83.42c-2.598-12.53-12.41-22.3-24.94-24.86l-83.47-17.01l46.68-71.22c7.016-10.7 6.98-24.56-.0898-35.22l-47.06-71l83.44-17.29c12.53-2.598 22.3-12.41 24.86-24.94L166.9 42.05l71.19 46.76c5.334 3.504 11.45 5.254 17.57 5.254c6.166 0 12.33-1.779 17.69-5.334l71.07-47.16l17.29 83.4c2.594 12.51 12.39 22.28 24.91 24.85l83.44 17.11l-46.78 71.17c-7.037 10.71-7.01 24.58 .0684 35.26l47.01 70.92L386.9 361.7z"],
    "moon-stars": [512, 512, [], "f755", "M322.1 401.4l-4.688 .375c-7.594 1.5-15.41 2.25-23.16 2.25c-67 0-121.5-54.66-121.5-121.8c0-43.75 23.66-84.38 61.72-106.1C243.3 171 248 161.2 246.3 151C244.5 140.8 237 133.1 226.1 131.3C215.3 129.1 203.2 127.1 191.7 127.1C85.92 127.1 0 214.1 0 320s86.01 192 191.8 192c58.19 0 112.6-26.04 148.9-71.04c6.062-7.25 7.275-16.99 3.275-25.52C340 406.9 331.4 401.4 322.1 401.4zM191.8 480C103.7 480 32 408.2 32 320s71.69-160 159.8-160c2.938 0 5.906 .0938 8.875 .25C163.3 189.2 140.7 234.2 140.7 282.2c0 84.84 68.88 153.8 153.5 153.8c2.625 0 5.25-.0625 7.844-.1875C272.6 464.1 233.4 480 191.8 480zM496 208h-32v-32C464 167.2 456.8 160 448 160s-16 7.156-16 16v32h-32C391.2 208 384 215.2 384 224s7.156 16 16 16h32v32C432 280.8 439.2 288 448 288s16-7.156 16-16v-32h32C504.8 240 512 232.8 512 224S504.8 208 496 208zM432 96c0-8.844-7.156-16-16-16h-64v-64C352 7.156 344.8 0 336 0S320 7.156 320 16v64h-64C247.2 80 240 87.16 240 96S247.2 112 256 112h64v64C320 184.8 327.2 192 336 192S352 184.8 352 176v-64h64C424.8 112 432 104.8 432 96z"],
    "moped": [640, 512, [], "e3b9", "M336 48C336 39.16 343.2 32 352 32H392.9C413.6 32 431.9 45.22 438.5 64.82L443.6 80.3L500.3 51.98C505.5 49.36 511.3 48 517.1 48C531.1 48 544 60.03 544 74.87V149.1C544 163.1 531.1 175.1 517.1 175.1C511.3 175.1 505.5 174.6 500.3 172L468.1 156.4L494.5 232.1C500.3 232.3 506.1 231.1 512 231.1C553.5 231.1 591.1 248.6 618.5 275.5C624.8 281.7 624.9 291.9 618.7 298.2C612.5 304.5 602.4 304.6 596.1 298.4C574.4 277.1 544.7 264 512 264C455.5 264 408 303.1 395.3 355.8C393.2 364.8 392 374.2 392 384H256C256 437 213 480 160 480C106.1 480 64 437 64 384H32C14.33 384 0 369.7 0 352V320C0 249.3 57.31 192 128 192H224C241.7 192 256 206.3 256 224V320C256 337.7 270.3 352 288 352H363.4C363.6 350.7 363.9 349.5 364.2 348.2C376.5 297.5 414.2 256.6 463.1 240L408.1 74.94C405.9 68.41 399.8 64 392.9 64H352C343.2 64 336 56.84 336 48V48zM454.7 113.5C454.8 113.5 454.1 113.6 455.2 113.7L512 142.1V81.89L455.2 110.3C454.7 110.5 454.3 110.7 453.8 110.9L454.7 113.5zM224 224H128C74.98 224 32 266.1 32 320V352H232.6C227.1 342.6 224 331.7 224 320V224zM224 384H96C96 419.3 124.7 448 160 448C195.3 448 224 419.3 224 384zM240 128C248.8 128 256 135.2 256 144C256 152.8 248.8 160 240 160H112C103.2 160 96 152.8 96 144C96 135.2 103.2 128 112 128H240zM416 384C416 330.1 458.1 288 512 288C565 288 608 330.1 608 384C608 437 565 480 512 480C458.1 480 416 437 416 384zM512 448C547.3 448 576 419.3 576 384C576 348.7 547.3 320 512 320C476.7 320 448 348.7 448 384C448 419.3 476.7 448 512 448z"],
    "mortar-pestle": [512, 512, [], "f5a7", "M496.4 192.8H15.61C6.99 192.8 0 199.8 0 208.4C0 217 6.99 224 15.61 224h16.38l.0065 32c0 81.38 50.74 150.9 122.2 178.8c-12.75 16.75-21.62 36.63-24.88 58.5C127.9 503 135.4 512 145.2 512h221.5c9.875 0 17.38-9 15.88-18.75c-3.25-21.88-12.12-41.75-24.88-58.5C429.2 406.9 479.1 337.4 479.1 256l-.0104-32h16.4c8.621 0 15.61-6.99 15.61-15.61C511.1 199.8 505 192.8 496.4 192.8zM447.1 256c0 66.25-39.1 124.8-101.9 149l-39.5 15.38l25.62 33.75c6.125 8 10.88 16.75 14.25 25.88H165.6c3.25-9.125 8-17.88 14.12-25.88l25.75-33.75L165.9 405C103.1 380.8 63.99 322.3 63.99 256V224h383.1V256zM278.9 160.9c3.461 0 6.85-1.123 9.619-3.199l162.7-122c17.62-13.25 39.25 11.25 23.5 27l-70.91 70.92c-10.08 10.08-2.941 27.31 11.31 27.31c4.242 0 8.312-1.686 11.31-4.686l70.91-70.92c24.12-24.12 17.5-64.75-13-80C477.5 1.75 469.7 0 461.1 0c-10.62 0-21.12 3.375-29.87 10l-162.8 122.1C257 141.3 263.5 160.9 278.9 160.9z"],
    "mosque": [640, 512, [128332], "f678", "M400 0C405 0 409.8 2.371 412.8 6.4C447.5 52.7 490.9 81.34 546.3 117.9L546.3 117.9C551.6 121.4 556.9 124.9 562.3 128.5C591.3 147.7 608 180.2 608 214.6C608 243.1 596.6 269 578.2 288C612.5 289.2 640 317.4 640 352V448C640 483.3 611.3 512 576 512H224C188.7 512 160 483.3 160 448V352C160 317.4 187.5 289.2 221.8 288C203.4 269 192 243.1 192 214.6C192 180.2 208.7 147.7 237.7 128.5C243.1 124.9 248.5 121.4 253.7 117.9C309.1 81.34 352.5 52.7 387.2 6.4C390.2 2.371 394.1 0 400 0L400 0zM432 480V424C432 413.9 427.3 404.4 419.2 398.4L400 384L380.8 398.4C372.7 404.4 368 413.9 368 424V480H432zM464 480H512V400C512 391.2 519.2 384 528 384C536.8 384 544 391.2 544 400V480H576C593.7 480 608 465.7 608 448V352C608 334.3 593.7 320 576 320H224C206.3 320 192 334.3 192 352V448C192 465.7 206.3 480 224 480H256V400C256 391.2 263.2 384 272 384C280.8 384 288 391.2 288 400V480H336V424C336 403.9 345.5 384.9 361.6 372.8L400 344L438.4 372.8C454.5 384.9 464 403.9 464 424V480zM544.6 155.2C539.1 151.5 533.5 147.8 528.1 144.3L528.1 144.2L528 144.2C479.4 112.2 435.9 83.5 400 41.56C364.1 83.5 320.6 112.2 271.9 144.2C266.5 147.8 260.1 151.5 255.4 155.2C235.7 168.2 224 190.6 224 214.6C224 255.1 256.9 288 297.4 288H502.6C543.1 288 576 255.1 576 214.6C576 190.6 564.3 168.2 544.6 155.2H544.6zM70.4 5.2C76.09 .9334 83.91 .9334 89.6 5.2L105.6 17.2C139.8 42.88 160 83.19 160 126V272C160 280.8 152.8 288 144 288C135.2 288 128 280.8 128 272V160H32V448C32 465.7 46.33 480 64 480H112C120.8 480 128 487.2 128 496C128 504.8 120.8 512 112 512H64C28.65 512 0 483.3 0 448V126C0 83.19 20.15 42.88 54.4 17.2L70.4 5.2zM32 128H128V126C128 93.27 112.6 62.44 86.4 42.8L80 38L73.6 42.8C47.41 62.44 32 93.27 32 126V128z"],
    "mosquito": [640, 512, [], "e52b", "M204.5 6.305L252.5 70.18C256.2 75.16 256.8 81.92 254 87.52L227.4 140.7L271.1 185.4V175.9C271.1 152.1 289.3 132.4 311.1 128.6V63.81C311.1 59.39 315.6 55.81 319.1 55.81C324.4 55.81 327.1 59.39 327.1 63.81V128.6C350.7 132.4 367.1 152.1 367.1 175.9V185.4L412.6 140.7L385.1 87.52C383.2 81.92 383.8 75.16 387.5 70.18L435.5 6.305C440.8-.784 450.7-2.091 457.6 3.384C464.5 8.86 465.8 19.05 460.5 26.13L418.6 81.84L446 136.5C449.2 142.9 447.1 150.6 443 155.6L397.9 200.7L560.6 226.2C605.1 232.1 640 272.5 640 320.3C640 404.9 542.4 447.2 485.4 387.4L367.1 280.4V304.3L411.1 356.1C414.4 359.9 415.8 363.7 415.8 367.5V425.9L460.5 485.4C465.8 492.4 464.5 502.6 457.6 508.1C450.7 513.6 440.8 512.3 435.5 505.2L387.5 441.3C385.4 438.5 384.2 434.1 384.2 431.4V373.5L367.1 354.1V399.5C367.1 425.1 346.5 447.5 319.1 447.5C293.5 447.5 271.1 425.1 271.1 399.5V354.1L255.8 373.5V431.4C255.8 434.1 254.6 438.5 252.5 441.3L204.5 505.2C199.2 512.3 189.3 513.6 182.4 508.1C175.5 502.6 174.2 492.4 179.5 485.4L224.2 425.9V367.5C224.2 363.7 225.6 359.9 228 356.1L271.1 304.3V280.4L154.6 387.4C97.58 447.2 .0003 404.9 0 320.3C0 272.5 34.02 232.1 79.35 226.2L242.1 200.7L196.1 155.6C192 150.6 190.8 142.9 193.1 136.5L221.4 81.84L179.5 26.13C174.2 19.05 175.5 8.86 182.4 3.384C189.3-2.091 199.2-.7836 204.5 6.305V6.305zM271.1 237.1V230.6L270.1 228.7L84.29 257.8C84.03 257.8 83.77 257.9 83.5 257.9C55.22 261.6 31.1 287.4 31.1 320.3C31.1 379.3 96.59 401.9 131.5 365.4C132 364.8 132.5 364.3 133.1 363.8L271.1 237.1zM508.5 365.4C543.4 401.9 608 379.3 608 320.3C608 287.4 584.8 261.6 556.5 257.9C556.2 257.9 555.1 257.8 555.7 257.8L369.9 228.7L367.1 230.6V237L506.9 363.8C507.5 364.3 507.1 364.8 508.5 365.4V365.4zM303.1 399.5C303.1 408.3 311.2 415.5 319.1 415.5C328.8 415.5 335.1 408.3 335.1 399.5V175.9C335.1 167.1 328.8 159.9 319.1 159.9C311.2 159.9 303.1 167.1 303.1 175.9V399.5z"],
    "mosquito-net": [640, 512, [], "e52c", "M191.1 380.2V335.1C191.1 331.8 193.7 327.7 196.7 324.7L243.1 277.4V252.7L139.2 343.1C87.82 395.3 0 358.9 0 286.3C0 245.2 30.62 210.6 71.41 205.5L231.3 181.6L181.8 140.3C176.7 136.1 174.7 129.2 176.8 122.9L190.7 81.22L161.7 23.15C157.7 15.25 160.9 5.637 168.8 1.685C176.7-2.267 186.4 .9369 190.3 8.841L222.3 72.84C224.2 76.64 224.5 81.03 223.2 85.06L210.6 122.7L243.1 150.5V137.9C243.1 116.4 259.4 98.5 279.8 94.67V63.67C279.8 59.17 283.5 55.51 287.1 55.51C292.5 55.51 296.2 59.17 296.2 63.67V94.67C316.6 98.5 331.1 116.4 331.1 137.9V150.5L365.4 122.7L352.8 85.06C351.5 81.03 351.8 76.64 353.7 72.84L385.7 8.84C389.6 .9366 399.3-2.267 407.2 1.685C415.1 5.636 418.3 15.25 414.3 23.15L385.3 81.22L399.2 122.9C401.3 129.2 399.3 136.1 394.2 140.3L344.7 181.6L504.6 205.5C527 208.3 546.4 220 559.3 236.9C556.5 239.4 554.1 242.3 552 245.5C543.4 232.5 528.7 223.1 512 223.1C500.7 223.1 490.3 227.9 482.1 234.5L456.3 230.6C449.2 226.4 440.9 223.1 432 223.1C428.1 223.1 424.4 224.5 420.8 225.3L334.5 212.4L386.2 257.5L386.1 258.1C375.4 261.3 366.3 268.2 360.2 277.2L331.1 252.7V277.4L352.4 297.8C352.1 299.8 352 301.9 352 303.1C352 320.7 360.5 335.4 373.5 343.1C369.5 346.6 365.9 349.9 362.9 353.5L331.1 322.6V360.6C331.1 384.9 312.3 404.6 287.1 404.6C263.7 404.6 243.1 384.9 243.1 360.6V322.6L224 342.6V383.1C224 386.5 223.4 388.9 222.3 391.2L190.3 455.2C186.4 463.1 176.7 466.3 168.8 462.3C160.9 458.4 157.7 448.7 161.7 440.8L191.1 380.2zM241.5 212.4L76.14 237.1L75.38 237.2C50.59 240.3 31.1 261.4 31.1 286.3C31.1 330.4 85.34 352.5 116.6 321.3C117.1 320.8 117.6 320.3 118.2 319.8L241.5 212.4zM271.1 360.6C271.1 369.5 279.2 376.6 287.1 376.6C296.8 376.6 303.1 369.5 303.1 360.6V137.9C303.1 129.1 296.8 121.9 287.1 121.9C279.2 121.9 271.1 129.1 271.1 137.9V360.6zM528 287.1H576V271.1C576 263.2 583.2 255.1 592 255.1C600.8 255.1 608 263.2 608 271.1V287.1H624C632.8 287.1 640 295.2 640 303.1C640 312.8 632.8 319.1 624 319.1H608V367.1H624C632.8 367.1 640 375.2 640 383.1C640 392.8 632.8 399.1 624 399.1H608V447.1H624C632.8 447.1 640 455.2 640 463.1C640 472.8 632.8 479.1 624 479.1H608V495.1C608 504.8 600.8 511.1 592 511.1C583.2 511.1 576 504.8 576 495.1V479.1H528V495.1C528 504.8 520.8 511.1 512 511.1C503.2 511.1 496 504.8 496 495.1V479.1H448V495.1C448 504.8 440.8 511.1 432 511.1C423.2 511.1 416 504.8 416 495.1V479.1H400C391.2 479.1 384 472.8 384 463.1C384 455.2 391.2 447.1 400 447.1H416V399.1H400C391.2 399.1 384 392.8 384 383.1C384 375.2 391.2 367.1 400 367.1H416V319.1H400C391.2 319.1 384 312.8 384 303.1C384 295.2 391.2 287.1 400 287.1H416V271.1C416 263.2 423.2 255.1 432 255.1C440.8 255.1 448 263.2 448 271.1V287.1H496V271.1C496 263.2 503.2 255.1 512 255.1C520.8 255.1 528 263.2 528 271.1V287.1zM528 319.1V367.1H576V319.1H528zM528 399.1V447.1H576V399.1H528zM496 367.1V319.1H448V367.1H496zM496 447.1V399.1H448V447.1H496z"],
    "motorcycle": [640, 512, [127949], "f21c", "M488 128H412.2L466.1 232.1C480.1 226.9 496.2 224 512 224C582.7 224 640 281.3 640 352C640 422.7 582.7 480 512 480C441.3 480 384 422.7 384 352C384 308.6 405.6 270.2 438.7 247.1L423.7 218.6C380.5 247.2 352 296.3 352 352V368C352 376.8 344.8 384 336 384H304C295.2 384 288 376.8 288 368V360C288 267.2 212.8 192 120 192H48C39.16 192 32 184.8 32 176C32 167.2 39.16 160 48 160H120C161.4 160 199.9 172.6 231.8 194.1L359.2 96.1L342.3 64H272C263.2 64 256 56.84 256 48C256 39.16 263.2 32 272 32H342.3C354.2 32 365.1 38.58 370.7 49.1L384.1 76.3L436.1 36.98C440.3 33.75 445.4 32 450.7 32H488C501.3 32 512 42.75 512 56V104C512 117.3 501.3 128 488 128L488 128zM480 96V64H453.4L411.8 96H480zM257.5 214.7C294.2 249.5 317.7 297.1 319.8 352H320C320 283.1 355.4 224.2 408.7 190.1L374.4 124.8L257.5 214.7zM497.8 359.5L453.8 275.7C430.8 293.2 416 320.9 416 352C416 405 458.1 448 512 448C565 448 608 405 608 352C608 298.1 565 256 512 256C501.5 256 491.5 257.7 482.1 260.8L526.2 344.5C530.3 352.4 527.3 362 519.5 366.2C511.6 370.3 501.1 367.3 497.8 359.5V359.5zM256 352C256 422.7 198.7 480 128 480C57.31 480 0 422.7 0 352C0 281.3 57.31 224 128 224C198.7 224 256 281.3 256 352zM32 352C32 405 74.98 448 128 448C175.6 448 215.1 413.4 222.7 368H155.7C150.2 377.6 139.8 384 128 384C110.3 384 96 369.7 96 352C96 334.3 110.3 320 128 320C139.8 320 150.2 326.4 155.7 336H222.7C215.1 290.6 175.6 256 128 256C74.98 256 32 298.1 32 352z"],
    "mound": [576, 512, [], "e52d", "M431.9 179.2L540.4 368C552.7 389.4 537.3 416 512.7 416H63.31C38.7 416 23.31 389.4 35.57 368L144.1 179.2C173.8 127.7 228.6 96 288 96C347.4 96 402.2 127.7 431.9 179.2H431.9zM512.7 384L404.1 195.2C380.2 153.6 335.9 128 288 128C240.1 128 195.8 153.6 171.9 195.2L63.31 384H512.7z"],
    "mountain": [512, 512, [127956], "f6fc", "M503.2 393.8L280.1 44.25C274.9 36.08 265.4 32 256 32C246.6 32 237.1 36.08 231.9 44.25L8.807 393.8c-11.11 17.41-11.75 39.42-1.666 57.45C17.07 468.1 35.92 480 56.31 480h399.4c20.39 0 39.24-11.03 49.18-28.77C514.9 433.2 514.3 411.2 503.2 393.8zM256 66.01L346.6 208H256c-5.031 0-9.781 2.375-12.8 6.406L208 261.3L172.8 214.4C170.8 211.7 167.8 210.1 164.7 209.1L256 66.01zM476.9 435.6C472.7 443.2 464.5 448 455.7 448H56.31c-8.826 0-16.97-4.752-21.25-12.39C30.75 427.9 31.02 418.5 35.78 411L144.9 240H152l43.2 57.59C198.2 301.6 202.1 304 208 304s9.781-2.375 12.8-6.406L264 240h103.1l109.2 171C480.1 418.5 481.3 427.9 476.9 435.6z"],
    "mountain-city": [640, 512, [], "e52e", "M319.1 193.1L287.1 140.1V48C287.1 21.49 309.5 0 336 0H464C490.5 0 512 21.49 512 48V192H544V112C544 103.2 551.2 96 560 96C568.8 96 576 103.2 576 112V192H592C618.5 192 640 213.5 640 240V496C640 504.8 632.8 512 624 512C615.2 512 608 504.8 608 496V240C608 231.2 600.8 224 592 224H480V48C480 39.16 472.8 32 464 32H336C327.2 32 319.1 39.16 319.1 48V193.1zM442.9 458.9C449.4 469.7 449.7 483.2 443.6 494.2C437.5 505.2 426 512 413.5 512H34.46C21.1 512 10.5 505.2 4.404 494.2C-1.693 483.2-1.444 469.7 5.056 458.9L194.6 144.7C200.9 134.3 211.1 128 224 128C236 128 247.1 134.3 253.4 144.7L442.9 458.9zM226 161.2C225.5 160.3 224.7 160 223.1 160C223.3 160 222.5 160.3 221.1 161.2L142.6 292.9L175.5 340.6L210.2 294.4C213.2 290.4 217.1 288 222.1 288H302.5L226 161.2zM32.4 478.7C32.93 479.6 33.78 480 34.46 480H413.5C414.2 480 415.1 479.6 415.6 478.7C416.2 477.7 416.1 476.4 415.5 475.4L321.8 320H230.1L187.8 377.6C184.7 381.7 179.8 384.1 174.7 383.1C169.5 383.9 164.8 381.3 161.8 377.1L124.4 322.1L32.46 475.4C31.87 476.4 31.84 477.7 32.4 478.7L32.4 478.7zM352 96C352 78.33 366.3 64 384 64H416C433.7 64 448 78.33 448 96V128C448 145.7 433.7 160 416 160H384C366.3 160 352 145.7 352 128V96zM416 96H384V128H416V96zM416 192C433.7 192 448 206.3 448 224V256C448 264.8 440.8 272 432 272C423.2 272 416 264.8 416 256V224H384C375.2 224 368 216.8 368 208C368 199.2 375.2 192 384 192H416zM480 288C480 270.3 494.3 256 512 256H544C561.7 256 576 270.3 576 288V320C576 337.7 561.7 352 544 352H512C494.3 352 480 337.7 480 320V288zM544 288H512V320H544V288zM544 384C561.7 384 576 398.3 576 416V448C576 465.7 561.7 480 544 480H512C494.3 480 480 465.7 480 448V416C480 398.3 494.3 384 512 384H544zM512 448H544V416H512V448z"],
    "mountain-sun": [640, 512, [], "e52f", "M480 80C480 35.82 515.8 0 560 0C604.2 0 640 35.82 640 80C640 124.2 604.2 160 560 160C515.8 160 480 124.2 480 80zM560 128C586.5 128 608 106.5 608 80C608 53.49 586.5 32 560 32C533.5 32 512 53.49 512 80C512 106.5 533.5 128 560 128zM55.91 512C25.03 512 0 486.1 0 456.1C0 445.6 2.964 435.3 8.551 426.4L225.3 81.01C231.9 70.42 243.5 64 256 64C268.5 64 280.1 70.42 286.8 81.01L412.7 281.7L460.9 202.7C464.1 196.1 472.2 192 480 192C487.8 192 495 196.1 499.1 202.7L631.1 419.1C636.9 428.6 640 439.7 640 450.9C640 484.6 612.6 512 578.9 512L55.91 512zM431.7 312L503.4 426.4C509 435.3 512 445.6 512 456.1C512 464.6 510.1 472.8 506.6 480H578.9C594.1 480 608 466.1 608 450.9C608 445.5 606.5 440.3 603.7 435.7L480 232.9L431.7 312zM480 456.1C480 451.6 478.7 447.2 476.3 443.4L259.6 98.02C258.9 96.76 257.5 96 256 96C254.5 96 253.1 96.76 252.4 98.02L35.66 443.4C33.27 447.2 32 451.6 32 456.1C32 469.3 42.71 480 55.91 480H456.1C469.3 480 480 469.3 480 456.1H480z"],
    "mountains": [640, 512, [9968], "f6fd", "M8.55 394.4L225.2 49.01C231.9 38.42 243.5 32 255.1 32C268.5 32 280.1 38.42 286.7 49.01L412.7 249.7L460.9 170.7C464.1 164.1 472.2 160 480 160C487.8 160 495 164.1 499.1 170.7L631.1 387.1C636.9 396.6 640 407.7 640 418.9C640 452.6 612.6 480 578.9 480H55.91C25.03 480 0 454.1 0 424.1C0 413.6 2.964 403.3 8.551 394.4L8.55 394.4zM476.3 411.4L259.6 66.02C258.9 64.76 257.5 64 255.1 64C254.5 64 253.1 64.76 252.4 66.02L35.66 411.4C33.27 415.2 31.1 419.6 31.1 424.1C31.1 437.3 42.7 448 55.91 448H456.1C469.3 448 480 437.3 480 424.1C480 419.6 478.7 415.2 476.3 411.4H476.3zM431.7 280L503.4 394.4C509 403.3 512 413.6 512 424.1C512 432.6 510.1 440.7 506.6 448H578.9C594.1 448 608 434.1 608 418.9C608 413.5 606.5 408.3 603.7 403.7L480 200.9L431.7 280z"],
    "mouse-field": [512, 512, [], "e5a8", "M336 112C336 120.8 328.8 128 320 128H288C279.2 128 272 120.8 272 112C272 103.2 279.2 96 288 96H304V80C304 71.16 311.2 64 320 64C328.8 64 336 71.16 336 80V112zM432 188C432 199 423 208 412 208C400.1 208 392 199 392 188C392 176.1 400.1 168 412 168C423 168 432 176.1 432 188zM512 216V224C512 250.5 490.5 272 464 272H378.8L357.2 326.2L369.1 330.5C387.9 336.4 400 353.2 400 372.1C400 396.3 380.3 416 356.1 416H64C46.33 416 32 430.3 32 448C32 465.7 46.33 480 64 480H464C472.8 480 480 487.2 480 496C480 504.8 472.8 512 464 512H64C28.65 512 0 483.3 0 448C0 412.7 28.65 384 64 384H111.1C101.1 370.6 96 354 96 336C96 251.3 155.8 180.6 235.5 163.8C218.2 146.1 208 122 208 96.33C208 43.4 250.9 0 304 0C322.5 0 339.7 5.222 354.4 14.27C367.3 5.28 383.1 0 400 0C444.2 0 480 35.82 480 80C480 95.74 475.4 110.4 467.6 122.8C494.7 144.8 512 178.4 512 216zM379.4 36.61C392.3 52.95 400 73.58 400 96V96.26C414.3 97.2 427.8 100.6 440.3 106.1C445.2 98.59 448 89.63 448 80C448 53.49 426.5 32 400 32C392.6 32 385.7 33.65 379.4 36.61zM175.1 384H356.1C362.7 384 368 378.7 368 372.1C368 366.1 364.7 362.4 359.9 360.8L282.9 335.2C274.6 332.4 270 323.3 272.8 314.9C275.6 306.6 284.7 302 293.1 304.8L326.7 316.1L353.1 250.1C355.6 243.1 361.5 240 368 240H464C472.8 240 480 232.8 480 224V216C480 167.4 440.6 128 392 128H384C375.2 128 368 120.8 368 112V96C368 60.65 339.3 32 304 32C268.7 32 240 60.9 240 96.33C240 123.1 256.6 147.1 281.5 156.5L293.6 161C300.9 163.7 305.1 171.2 303.7 178.9C302.4 186.5 295.7 192 288 192H272C192.5 192 127.1 256.5 127.1 336C127.1 362.5 149.5 384 175.1 384V384z"],
    "mp3-player": [384, 512, [], "f8ce", "M192 448c61.88 0 112-50.13 112-112C303.9 274.1 253.9 224.1 192 224c-61.88 0-112 50.13-112 112S130.1 448 192 448zM192 256c44.13 0 80 35.88 80 80S236.1 416 192 416s-80-35.88-80-80S147.9 256 192 256zM192 360c13.25 0 24-10.75 24-24S205.3 312 192 312s-24 10.75-24 24S178.8 360 192 360zM320 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h256c35.35 0 64-28.65 64-64V64C384 28.65 355.3 0 320 0zM352 448c0 17.67-14.33 32-32 32H64c-17.67 0-32-14.33-32-32V192h320V448zM352 160H32V64c0-17.67 14.33-32 32-32h256c17.67 0 32 14.33 32 32V160z"],
    "mug": [576, 512, [], "f874", "M464 64H64C46.33 64 32 78.33 32 96v256c0 53.02 42.98 96 96 96h192c53.02 0 96-42.98 96-96V288h48C525.8 288 576 237.8 576 176S525.8 64 464 64zM384 352c0 35.29-28.71 64-64 64H128c-35.29 0-64-28.71-64-64V96h320V352zM464 256H416V96h48C508.1 96 544 131.9 544 176S508.1 256 464 256z"],
    "mug-hot": [512, 512, [9749], "f7b6", "M400 192H32C14.33 192 0 206.3 0 224v192c0 53.02 42.98 96 96 96h192c53.02 0 96-42.98 96-96h16c61.75 0 112-50.25 112-112S461.8 192 400 192zM352 416c0 35.29-28.71 64-64 64H96c-35.29 0-64-28.71-64-64V224h320V416zM400 384H384V224h16C444.1 224 480 259.9 480 304S444.1 384 400 384zM104.8 94.31C119.1 101.5 128 115.8 128 131.8V144C128 152.8 135.2 160 144 160S160 152.8 160 144V131.8c0-28.16-15.66-53.48-40.84-66.09C104.9 58.55 96 44.19 96 28.22V16C96 7.156 88.84 0 80 0S64 7.156 64 16v12.22C64 56.38 79.66 81.7 104.8 94.31zM232.8 94.31C247.1 101.5 256 115.8 256 131.8V144C256 152.8 263.2 160 272 160S288 152.8 288 144V131.8c0-28.16-15.66-53.48-40.84-66.09C232.9 58.55 224 44.19 224 28.22V16C224 7.156 216.8 0 208 0S192 7.156 192 16v12.22C192 56.38 207.7 81.7 232.8 94.31z"],
    "mug-marshmallows": [512, 512, [], "f7b7", "M400 160.1H32c-17.67 0-32 14.33-32 32v191.9C0 437.1 42.98 480 96 480h192c53.02 0 96-42.93 96-95.95l16 .0125c61.75 0 112-50.19 112-111.9S461.8 160.1 400 160.1zM352 384c0 35.29-28.71 64-64 64H96c-35.29 0-64-28.71-64-64V192h64v80C96 280.8 103.2 288 112 288S128 280.8 128 272V192h224V384zM400 352H384V192h16C444.1 192 480 227.9 480 272S444.1 352 400 352zM189.2 123.8c6.516 5.969 16.62 5.516 22.61-.9844l49.11-53.63c6.125-6.688 16.05-6.703 22.2 .0156l49.09 53.61C335.4 126.3 339.7 128 344 128c3.859 0 7.734-1.391 10.81-4.203c6.516-5.969 6.953-16.08 .9844-22.61l-49.08-53.59c-18.38-20.12-51.08-20.11-69.42-.0156l-49.09 53.61C182.2 107.7 182.7 117.8 189.2 123.8zM48 128C56.84 128 64 120.8 64 112V80.25C64 71.3 71.16 64 79.94 64H176C184.8 64 192 56.84 192 48S184.8 32 176 32H79.94C53.5 32 32 53.64 32 80.25V112C32 120.8 39.16 128 48 128z"],
    "mug-saucer": [640, 512, ["coffee"], "f0f4", "M528 32H128C110.3 32 96 46.33 96 64l.0086 224c0 53.02 42.98 96 96 96h192C437 384 480 341 480 288V256h48C589.8 256 640 205.8 640 144S589.8 32 528 32zM448 288c0 35.29-28.71 64-64 64H192c-35.29 0-64-28.71-64-64V64h320V288zM528 224H480V64h48C572.1 64 608 99.88 608 144S572.1 224 528 224zM560 416c-8.844 0-16 7.156-16 16c0 8.812-7.188 16-16 16h-480C39.19 448 32 440.8 32 432C32 423.2 24.84 416 16 416S0 423.2 0 432C0 458.5 21.53 480 48 480h480c26.47 0 48-21.53 48-48C576 423.2 568.8 416 560 416z"],
    "mug-tea": [576, 512, [], "f875", "M464 64H64C46.33 64 32 78.33 32 96l-.0023 256c0 53.02 42.98 96 96 96h192c53.02 0 96-42.98 96-96L416 288h48C525.8 288 576 237.8 576 176S525.8 64 464 64zM384 352c0 35.29-28.71 64-64 64H128c-35.29 0-64-28.71-64-64V96h80v44L108.8 166.4C100.7 172.4 96 181.9 96 192L95.1 256c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32L224 192c0-10.07-4.742-19.56-12.8-25.6L176 140V96H384V352zM160 168L192 192v64H128V192L160 168zM464 256h-48L416 96h48C508.1 96 544 131.9 544 176S508.1 256 464 256z"],
    "mug-tea-saucer": [640, 512, [], "e1f5", "M560 416c-8.844 0-16 7.156-16 16c0 8.812-7.188 16-16 16h-480C39.19 448 32 440.8 32 432C32 423.2 24.84 416 16 416S0 423.2 0 432C0 458.5 21.53 480 48 480h479.8C554.3 480 576 458.5 576 432C576 423.2 568.8 416 560 416zM528 32H128C110.3 32 96 46.33 96 64L95.1 288c0 53.02 42.98 96 96 96h192c53.02 0 96-42.98 96-96L480 256h48C589.8 256 640 205.8 640 144S589.8 32 528 32zM448 288c0 35.29-28.71 64-64 64H192c-35.29 0-64-28.71-64-64V64h80v44L172.8 134.4C164.7 140.4 160 149.9 160 160L159.1 224c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32L288 160c0-10.07-4.742-19.56-12.8-25.6L240 108V64H448V288zM224 136L256 160v64H192V160L224 136zM528 224h-48L480 64h48C572.1 64 608 99.88 608 144S572.1 224 528 224z"],
    "mushroom": [512, 512, [127812], "e425", "M144.4 160C117.1 160 96.53 181.5 96.53 208S117.1 256 144.4 256s47.84-21.53 47.84-48S170.8 160 144.4 160zM144.4 224C135.6 224 128.4 216.8 128.4 208S135.6 192 144.4 192s15.95 7.172 15.95 16S153.2 224 144.4 224zM488.5 242.1l-6.206-28.02C458.7 107.7 364.6 32 256 32S53.32 107.7 29.75 214.1L23.55 242.1C14.69 282.1 45.01 320 85.81 320h90.28l-15.4 105c-2.025 13.81 2.056 27.78 11.15 38.36C180.9 473.9 194.1 480 208 480h95.93c13.92 0 27.1-6.062 36.19-16.62c9.095-10.58 13.18-24.55 11.15-38.36L335.9 320h90.28C466.1 320 497.3 282.1 488.5 242.1zM431.4 192c0 17.64-14.3 32-31.89 32s-31.89-14.36-31.89-32s14.3-32 31.89-32S431.4 174.4 431.4 192zM256 64c4.561 0 8.902 .8457 13.39 1.143C261.8 92.49 236.9 112 208.2 112c-19.14 0-36.63-8.566-48.8-23.23C188.1 72.94 221.1 64 256 64zM316 442.5C312.1 446 308.7 448 303.1 448H208c-4.703 0-9.001-1.969-12.05-5.547c-3.083-3.578-4.392-8.109-3.706-12.78L208.3 320h95.34l16.06 109.7C320.4 434.3 319.1 438.9 316 442.5zM451.1 276C444.1 283.6 435.9 288 426.2 288H85.81C76.09 288 67.02 283.6 60.93 276C54.85 268.4 52.57 258.6 54.68 249.1l6.206-28.02c10.41-47.01 36.37-86.66 71.68-114.4C150.8 130.3 178.2 144 208.2 144c44.46 0 83.05-31.14 93.03-74.29c39.53 9.086 74.77 29.45 101.6 58.62C401.7 128.3 400.6 128 399.5 128c-35.16 0-63.79 28.7-63.79 64s28.62 64 63.79 64c22.08 0 41.57-11.34 53.02-28.5l4.775 21.56C459.4 258.6 457.2 268.4 451.1 276z"],
    "music": [512, 512, [127925], "f001", "M481.5 0c-3.25 0-6.375 .5-9.25 1.5l-290.9 96C168.8 101.8 160 114 160 128v244.8C143 360 120.7 352 95.1 352C42.1 352 0 387.8 0 432S42.1 512 95.1 512s95.1-35.7 95.1-79.95L192 256l288-96v148.8C463 296 440.7 288 415.1 288c-53 0-95.1 35.75-95.1 79.1s42.1 79.1 95.1 79.1s95.1-35.75 95.1-80L512 31.99C512 13.74 497.8 0 481.5 0zM96 480c-34.75 0-64-21.1-64-48C32 406 61.25 384 96 384s64 22 64 48C160 458 130.8 480 96 480zM416 416c-34.75 0-64-21.1-64-48c0-25.1 29.25-48 64-48s64 22 64 48C480 394 450.8 416 416 416zM480 126.2l-288 96V128H191.5L480 32.62V126.2z"],
    "music-note": [384, 512, ["music-alt"], "f8cf", "M341.1 1.611l-128.6 31.88C200.8 37.74 192 49.99 192 63.99v312.1c-20.38-14.88-48.63-24.13-80-24.13c-61.88 0-112 35.88-112 80S50.13 512 112 512s112-35.88 112-80V191.1l138.1-35.38C375.1 152.2 384 139.1 384 126.2V31.98c0-10.25-4.938-19.81-13.19-25.81C362.4 .1626 351.8-1.639 341.1 1.611zM112 479.1c-47.13 0-80-25.25-80-48s32.88-47.1 80-47.1s80 25.25 80 48S159.1 479.1 112 479.1zM352 126.2l-128 32l.0469-94.17l-.5469-.0809L352 31.96V126.2z"],
    "music-note-slash": [640, 512, ["music-alt-slash"], "f8d0", "M633.9 483.4L25.92 3.42c-6.938-5.453-17-4.25-22.48 2.641c-5.469 6.938-4.281 17 2.641 22.48l608 480C617 510.9 620.5 512 623.1 512c4.734 0 9.422-2.094 12.58-6.078C642 498.1 640.8 488.9 633.9 483.4zM320 376.1c-20.38-14.88-48.63-24.13-80-24.13c-61.88 0-112 35.88-112 80C128 476.1 178.1 512 240 512s111.1-35.88 111.1-80L352 362.8l-32-25.26V376.1zM240 479.1c-47.13 0-79.1-25.25-79.1-48c0-22.75 32.87-48 79.1-48s80 25.25 80 48C320 454.7 287.1 479.1 240 479.1zM352 191.1l138.1-35.38C503.1 152.2 512 139.1 512 126.2V31.98c0-10.25-4.938-19.81-13.19-25.81c-8.375-6-19.06-7.801-28.81-4.551l-128.6 31.88C328.8 37.74 320 49.99 320 63.99v110.4l32 25.26V191.1zM351.5 63.99l128.5-32.03L480 126.2l-128 32l.0467-94.17L351.5 63.99z"],
    "music-slash": [640, 512, [], "f8d1", "M633.9 483.4L25.92 3.42c-6.938-5.453-17-4.25-22.48 2.641c-5.469 6.938-4.281 17 2.641 22.48l608 480C617 510.9 620.5 512 623.1 512c4.734 0 9.422-2.094 12.58-6.078C642 498.1 640.8 488.9 633.9 483.4zM544 32.63v93.63L343.6 193.1l30.06 23.73L544 160v148.8C527 296 504.7 287.1 479.1 287.1c-5.002 0-9.801 .6128-14.6 1.226l109.7 86.58c.3066-2.605 .9417-5.133 .9417-7.806l.0004-336C575.1 13.74 561.8 0 545.5 0c-3.25 0-6.375 .5-9.25 1.5l-290.9 96c-4.842 1.631-8.848 4.699-12.28 8.33l26.29 20.76L544 32.63zM224 372.8C207 360 184.7 351.1 159.1 351.1c-53 0-95.1 35.75-95.1 79.1s42.1 79.1 95.1 79.1s95.1-35.7 95.1-79.95L256 287L224 261.8V372.8zM160 480c-34.75 0-64-22-64-48S125.3 384 160 384s64 22 64 48S194.8 480 160 480z"],
    "n": [384, 512, [110], "4e", "M368 480c-4.625 0-9.125-1.1-12.22-5.656L32 91.7v372.3c0 8.844-7.156 15.1-16 15.1S0 472.8 0 464V48.01c0-6.719 4.188-12.72 10.5-15.03c6.25-2.312 13.41-.4375 17.72 4.687L352 420.3V48.01c0-8.844 7.156-15.1 16-15.1S384 39.17 384 48.01v415.1c0 6.719-4.188 12.72-10.5 15.03C371.7 479.7 369.8 480 368 480z"],
    "naira-sign": [448, 512, [], "e1f6", "M243.5 255.1H352V47.1C352 39.16 359.2 31.1 368 31.1C376.8 31.1 384 39.16 384 47.1V255.1H432C440.8 255.1 448 263.2 448 271.1C448 280.8 440.8 287.1 432 287.1H384V464C384 470.1 379.5 477.2 372.8 479.3C366.1 481.4 358.8 478.9 354.8 473.1L226.7 288H96V464C96 472.8 88.84 480 80 480C71.16 480 64 472.8 64 464V288H16C7.164 288 0 280.8 0 272C0 263.2 7.164 256 16 256H64V47.1C64 41 68.55 34.81 75.23 32.73C81.91 30.64 89.17 33.14 93.16 38.89L243.5 255.1zM265.6 287.1L352 412.8V287.1H265.6zM204.5 255.1L96 99.22V255.1H204.5z"],
    "narwhal": [640, 512, [], "f6fe", "M562.4 190.1l76.12-167.5c3.656-8.062 .0938-17.53-7.938-21.19c-8-3.594-17.5-.125-21.19 7.939l-75.14 165.3C512.8 165.3 489 159.1 464 159.1c-72.28 0-142.2 25.83-197.1 72.85l-96.06 82.25c-6.967 5.963-15.07 8.645-23 8.645C129.5 323.7 112 309.3 112 287.1v-32l65.75-36.38C186.6 213.7 192 203.7 192 192.1V111.1c0-9.391-7.709-15.99-16.01-15.99c-2.969 0-6.012 .8438-8.807 2.707l-71.17 47.4L24.88 98.72C22.08 96.86 19.02 96.01 16.05 96.01C7.727 96.01 0 102.6 0 112v80.93c.002 10.75 5.375 20.75 14.25 26.62L80 255.1v96C80 440.4 151.6 512 240 512h224c97.2 0 176-78.8 176-176C640 275.3 609.2 221.7 562.4 190.1zM96 228.3C95.83 228.2 32 192.9 32 192.9V141.9L78.24 172.7C83.5 176.2 89.71 178.1 96.02 178.1S108.5 176.2 113.8 172.7l46.27-30.82l.0527 50.91C160.1 192.8 96.17 228.2 96 228.3zM464 479.1h-224c-70.58 0-128-57.42-128-128v-6.516c10.41 6.496 22.71 10.25 35.87 10.25c15.95 0 31.51-5.801 43.81-16.34l96.06-82.25C336.8 215.1 399.4 191.1 464 191.1c79.4 0 144 64.6 144 144S543.4 479.1 464 479.1zM504 271.1c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24s24-10.75 24-24C528 282.7 517.3 271.1 504 271.1z"],
    "nesting-dolls": [640, 512, [], "e3ba", "M237.8 480H68.98c-72.05-91.91-16.78-198.7-16.19-199.8C56.82 272.5 60.51 264.6 63.98 256h259.1c8.846 0 16-7.156 16-16S331.1 224 323.1 224H319.9V128c0-70.59-57.42-128-128-128S63.88 57.41 63.88 128v96H52.97C46.25 224 40.25 228.2 37.94 234.5C33.81 245.8 29.41 255.9 24.5 265.3c-23.94 45.09-49.6 153.5 24.66 241.1C52.22 509.9 56.69 512 61.38 512h176.4c8.846 0 16-7.156 16-16S246.6 480 237.8 480zM95.89 128c0-52.94 43.07-96 96.02-96S287.9 75.06 287.9 128v96H95.89V128zM636.7 486.3C610.7 452.3 596.4 410.3 596.4 368v-14.22C596.4 282.2 536.1 224 463.1 224s-132.4 58.22-132.4 129.8V368c0 42.34-14.32 84.34-40.32 118.3c-3.72 4.812-4.345 11.34-1.657 16.81C292.3 508.5 297.8 512 303.9 512h320.1c6.095 0 11.66-3.469 14.35-8.906C641 497.6 640.4 491.1 636.7 486.3zM333.7 480c19.41-34.09 29.88-72.91 29.88-112v-14.22C363.6 299.9 408.6 256 463.1 256s100.4 43.88 100.4 97.78V368c0 39.09 10.47 77.91 29.88 112H333.7zM527.1 337.6c-20.47 0-39.45-9.938-50.79-26.59c-5.939-8.75-20.5-8.75-26.44 0c-11.35 16.66-30.32 26.59-50.79 26.59c-8.846 0-16 7.156-16 16c0 43.22 35.88 78.41 80.02 78.41s80.02-35.19 80.02-78.41C543.1 344.8 536.8 337.6 527.1 337.6zM463.1 400c-21.35 0-39.48-13.53-45.7-32.19c17.19-3.375 33.01-11.5 45.7-23.34c12.69 11.84 28.51 19.97 45.7 23.34C503.4 386.5 485.3 400 463.1 400zM255.9 100.6c-20.63 0-39.7-9.469-50.98-25.28c-6.001-8.438-20.07-8.438-26.07 0C167.6 91.09 148.5 100.6 127.9 100.6c-8.846 0-16 7.156-16 16C111.9 158.2 147.8 192 191.9 192s80.02-33.84 80.02-75.44C271.9 107.7 264.8 100.6 255.9 100.6zM191.9 160C170.9 160 153.1 147.8 146.6 130.8C163.6 127.5 179.3 119.8 191.9 108.4C204.5 119.8 220.2 127.5 237.3 130.8C230.8 147.8 212.9 160 191.9 160z"],
    "network-wired": [640, 512, [], "f6ff", "M336 240H624C632.8 240 640 247.2 640 256C640 264.8 632.8 272 624 272H496V320H560C586.5 320 608 341.5 608 368V464C608 490.5 586.5 512 560 512H400C373.5 512 352 490.5 352 464V368C352 341.5 373.5 320 400 320H464V272H176V320H240C266.5 320 288 341.5 288 368V464C288 490.5 266.5 512 240 512H80C53.49 512 32 490.5 32 464V368C32 341.5 53.49 320 80 320H144V272H16C7.164 272 0 264.8 0 256C0 247.2 7.164 240 16 240H304V192H240C213.5 192 192 170.5 192 144V48C192 21.49 213.5 0 240 0H400C426.5 0 448 21.49 448 48V144C448 170.5 426.5 192 400 192H336V240zM400 32H240C231.2 32 224 39.16 224 48V144C224 152.8 231.2 160 240 160H400C408.8 160 416 152.8 416 144V48C416 39.16 408.8 32 400 32zM400 352C391.2 352 384 359.2 384 368V464C384 472.8 391.2 480 400 480H560C568.8 480 576 472.8 576 464V368C576 359.2 568.8 352 560 352H400zM80 352C71.16 352 64 359.2 64 368V464C64 472.8 71.16 480 80 480H240C248.8 480 256 472.8 256 464V368C256 359.2 248.8 352 240 352H80z"],
    "neuter": [384, 512, [9906], "f22c", "M368 176c0-97.2-78.8-176-176-176c-97.2 0-176 78.8-176 176c0 91.8 70.31 167.1 160 175.2V496c0 8.844 7.156 16 16 16s16-7.156 16-16v-144.8C297.7 343.1 368 267.8 368 176zM192 320c-79.4 0-144-64.6-144-144S112.6 32 192 32s144 64.6 144 144S271.4 320 192 320z"],
    "newspaper": [512, 512, [128240], "f1ea", "M464 32h-320C117.5 32 96 53.53 96 80V416c0 17.66-14.36 32-32 32s-32-14.34-32-32V112C32 103.2 24.84 96 16 96S0 103.2 0 112V416c0 35.28 28.7 64 64 64h368c44.11 0 80-35.88 80-80v-320C512 53.53 490.5 32 464 32zM480 400c0 26.47-21.53 48-48 48H119.4C124.9 438.6 128 427.7 128 416V80C128 71.19 135.2 64 144 64h320C472.8 64 480 71.19 480 80V400zM272 304h-96C167.2 304 160 311.2 160 320s7.156 16 16 16h96c8.844 0 16-7.156 16-16S280.8 304 272 304zM432 304h-96C327.2 304 320 311.2 320 320s7.156 16 16 16h96c8.844 0 16-7.156 16-16S440.8 304 432 304zM272 368h-96C167.2 368 160 375.2 160 384s7.156 16 16 16h96c8.844 0 16-7.156 16-16S280.8 368 272 368zM432 368h-96c-8.844 0-16 7.156-16 16s7.156 16 16 16h96c8.844 0 16-7.156 16-16S440.8 368 432 368zM416 96H192C174.3 96 160 110.3 160 128v96c0 17.67 14.33 32 32 32h224c17.67 0 32-14.33 32-32V128C448 110.3 433.7 96 416 96zM416 224H192V128h224V224z"],
    "nfc": [448, 512, [], "e1f7", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416zM352 96h-128C215.2 96 208 103.2 208 112v98.94C189.4 217.6 176 235.2 176 256c0 26.47 21.53 48 48 48s48-21.53 48-48c0-20.83-13.42-38.43-32-45.06V128H352v256H96V128h48C152.8 128 160 120.8 160 112S152.8 96 144 96H96C78.36 96 64 110.4 64 128v256c0 17.64 14.36 32 32 32h256c17.64 0 32-14.36 32-32V128C384 110.4 369.6 96 352 96zM224 272C215.2 272 208 264.8 208 256S215.2 240 224 240s16 7.172 16 16S232.8 272 224 272z"],
    "nfc-lock": [576, 512, [], "e1f8", "M272 448H64c-17.67 0-32-14.33-32-32V96c0-17.67 14.33-32 32-32h320c17.67 0 32 14.33 32 32v48C416 152.8 423.2 160 432 160S448 152.8 448 144V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h208c8.836 0 16-7.164 16-16C288 455.2 280.8 448 272 448zM512 320V256c0-35.3-28.7-64-64-64s-64 28.7-64 64v64c-35.35 0-64 28.65-64 64v64c0 35.35 28.65 64 64 64h128c35.35 0 64-28.65 64-64v-64C576 348.7 547.3 320 512 320zM416 256c0-17.64 14.36-32 32-32s32 14.36 32 32v64h-64V256zM544 448c0 17.64-14.36 32-32 32h-128c-17.64 0-32-14.36-32-32v-64c0-17.64 14.36-32 32-32h128c17.64 0 32 14.36 32 32V448zM368 192C376.8 192 384 184.8 384 176V128c0-17.67-14.33-32-32-32H224C215.2 96 208 103.2 208 112v98.94C186.6 218.6 172 240.8 176.1 265.8C180.6 284.1 195.3 299 213.5 302.9C244.5 309.5 272 285.9 272 256c0-20.83-13.42-38.43-32-45.06V128H352v48C352 184.8 359.2 192 368 192zM224 272C215.2 272 208 264.8 208 256S215.2 240 224 240S240 247.2 240 256S232.8 272 224 272zM272 384H96V128h47.17c7.969 0 15.35-5.455 16.62-13.32C161.4 104.6 153.7 96 144 96H96C78.33 96 64 110.3 64 128v256c0 17.67 14.33 32 32 32h176c8.836 0 16-7.164 16-16C288 391.2 280.8 384 272 384z"],
    "nfc-magnifying-glass": [640, 512, [], "e1f9", "M368 160C376.8 160 384 152.8 384 144V128c0-17.67-14.33-32-32-32H224C215.2 96 208 103.2 208 112v98.94C186.6 218.6 172 240.8 176.1 265.8C180.6 284.1 195.3 299 213.5 302.9C244.5 309.5 272 285.9 272 256c0-20.83-13.42-38.43-32-45.06V128H352v16C352 152.8 359.2 160 368 160zM224 272C215.2 272 208 264.8 208 256S215.2 240 224 240S240 247.2 240 256S232.8 272 224 272zM336 448H64c-17.67 0-32-14.33-32-32V96c0-17.67 14.33-32 32-32h320c17.67 0 32 14.33 32 32v48C416 152.8 423.2 160 432 160S448 152.8 448 144V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h272c8.836 0 16-7.164 16-16C352 455.2 344.8 448 336 448zM635.3 484.7L548.7 398.1C565.6 376.4 576 349.6 576 320c0-70.69-57.31-128-128-128c-70.69 0-128 57.31-128 128c0 70.69 57.31 128 128 128c29.56 0 56.45-10.43 78.11-27.26l86.57 86.57C615.8 510.4 619.9 512 624 512s8.188-1.562 11.31-4.688C641.6 501.1 641.6 490.9 635.3 484.7zM448 416c-52.93 0-96-43.07-96-96c0-52.94 43.07-96 96-96c52.94 0 96 43.06 96 96C544 372.9 500.9 416 448 416zM144 128c9.721 0 17.4-8.648 15.78-18.68C158.5 101.5 151.1 96 143.2 96H96C78.33 96 64 110.3 64 128v256c0 17.67 14.33 32 32 32h176C280.8 416 288 408.8 288 400C288 391.2 280.8 384 272 384H96V128H144z"],
    "nfc-pen": [576, 512, [], "e1fa", "M208 384H96V128h47.17c7.969 0 15.35-5.455 16.62-13.32C161.4 104.6 153.7 96 144 96H96C78.33 96 64 110.3 64 128v256c0 17.67 14.33 32 32 32h112C216.8 416 224 408.8 224 400C224 391.2 216.8 384 208 384zM208 448H64c-17.67 0-32-14.33-32-32V96c0-17.67 14.33-32 32-32h320c17.67 0 32 14.33 32 32v80C416 184.8 423.2 192 432 192S448 184.8 448 176V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h144C216.8 480 224 472.8 224 464C224 455.2 216.8 448 208 448zM240 210.9V128H352v80C352 216.8 359.2 224 368 224S384 216.8 384 208V128c0-17.67-14.33-32-32-32H224C215.2 96 208 103.2 208 112v98.94C186.6 218.6 172 240.8 176.1 265.8C180.6 284.1 195.3 299 213.5 302.9C244.5 309.5 272 285.9 272 256C272 235.2 258.6 217.6 240 210.9zM224 272C215.2 272 208 264.8 208 256S215.2 240 224 240S240 247.2 240 256S232.8 272 224 272zM561.9 234.2l-28.13-28.14c-9.373-9.373-21.66-14.06-33.94-14.06s-24.57 4.688-33.94 14.06l-175.5 175.5c-8.936 8.936-15.03 20.32-17.5 32.71l-16.66 83.35C254.7 505.2 260.6 512 267.1 512c.7852 0 1.586-.0781 2.398-.2402l83.35-16.67c12.39-2.479 23.77-8.566 32.7-17.5l175.5-175.5C580.7 283.3 580.7 252.9 561.9 234.2zM363.8 454.1c-4.48 4.48-10.13 7.506-16.35 8.748L293.5 474.5l10.78-53.93c1.244-6.219 4.27-11.88 8.754-16.36l114.3-114.3l50.76 50.76L363.8 454.1zM539.3 279.5l-38.62 38.62l-50.76-50.76l38.62-38.62c4.076-4.076 8.838-4.686 11.31-4.686s7.236 .6094 11.31 4.686l28.13 28.14C543.4 260.9 544 265.7 544 268.1C544 270.6 543.4 275.4 539.3 279.5z"],
    "nfc-signal": [512, 512, [], "e1fb", "M208 448H64c-17.67 0-32-14.33-32-32V96c0-17.67 14.33-32 32-32h320c17.67 0 32 14.33 32 32v112C416 216.8 423.2 224 432 224S448 216.8 448 208V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h144C216.8 480 224 472.8 224 464C224 455.2 216.8 448 208 448zM368 256C376.8 256 384 248.8 384 240V128c0-17.67-14.33-32-32-32H224C215.2 96 208 103.2 208 112v98.94C186.6 218.6 172 240.8 176.1 265.8C180.6 284.1 195.3 299 213.5 302.9C244.5 309.5 272 285.9 272 256c0-20.83-13.42-38.43-32-45.06V128H352v112C352 248.8 359.2 256 368 256zM224 272C215.2 272 208 264.8 208 256S215.2 240 224 240S240 247.2 240 256S232.8 272 224 272zM480 448c-17.67 0-32 14.33-32 32s14.33 32 32 32c17.67 0 32-14.33 32-32S497.7 448 480 448zM496 352c-79.41 0-144 64.59-144 144c0 8.844 7.156 16 16 16s16-7.156 16-16c0-61.75 50.25-112 112-112c8.844 0 16-7.156 16-16S504.8 352 496 352zM496 304C504.8 304 512 296.8 512 288s-7.156-16-16-16c-123.5 0-224 100.5-224 224c0 8.844 7.156 16 16 16s16-7.156 16-16C304 390.1 390.1 304 496 304zM240 384H96V128h47.17c7.969 0 15.35-5.455 16.62-13.32C161.4 104.6 153.7 96 144 96H96C78.33 96 64 110.3 64 128v256c0 17.67 14.33 32 32 32h144c8.836 0 16-7.164 16-16C256 391.2 248.8 384 240 384z"],
    "nfc-slash": [640, 512, [], "e1fc", "M480 300.8V128c0-17.64-14.36-32-32-32h-128C311.2 96 304 103.2 304 112v49.81l32 25.26V128H448v147.5L480 300.8zM220.6 96l32.03 25.29C254.6 118.6 256 115.5 256 112C256 103.2 248.8 96 240 96H220.6zM480 64c17.64 0 32 14.36 32 32v230l32 25.26V96c0-35.35-28.65-64-64-64H160C154 32 148.4 33.08 142.9 34.61L180.1 64H480zM160 448c-17.64 0-32-14.36-32-32V185.1L96 160.7V416c0 35.35 28.65 64 64 64h320c5.973 0 11.64-1.082 17.13-2.613L459.9 448H160zM160 211.2V384c0 17.64 14.36 32 32 32h227.4l-40.53-32H192V236.5L160 211.2zM633.9 483.4L25.92 3.42c-6.938-5.453-17-4.25-22.48 2.641c-5.469 6.938-4.281 17 2.641 22.48l608 480C617 510.9 620.5 512 623.1 512c4.734 0 9.422-2.094 12.58-6.078C642 498.1 640.8 488.9 633.9 483.4z"],
    "nfc-symbol": [576, 512, [], "e531", "M213 299.6C206.6 293.6 206.3 283.4 212.4 277C218.4 270.6 228.6 270.3 234.1 276.4L412.3 443.9C472.9 404.2 513.1 333.1 513.1 255.1C513.1 173.8 468.4 100.1 402.2 61.85C394.5 57.42 391.9 47.64 396.4 39.99C400.8 32.34 410.6 29.72 418.2 34.15C494.2 78.07 545.1 162.2 545.1 255.1C545.1 349.8 494.2 433.9 418.2 477.8C412.1 481.4 404.4 480.5 399.2 475.6L213 299.6zM363 212.4C369.4 218.5 369.7 228.6 363.6 235C357.5 241.4 347.4 241.7 340.1 235.6L164.8 68.09C104.2 107.8 64 178.1 64 256C64 338.2 108.7 411.9 174.9 450.2C182.5 454.6 185.1 464.4 180.7 472C176.3 479.7 166.5 482.3 158.8 477.9C82.91 433.9 32 349.8 32 256C32 162.2 82.91 78.08 158.8 34.15C164.1 30.6 172.7 31.52 177.9 36.41L363 212.4z"],
    "nfc-trash": [640, 512, [], "e1fd", "M368 448H64c-17.67 0-32-14.33-32-32V96c0-17.67 14.33-32 32-32h320c17.67 0 32 14.33 32 32v64c0 8.836 7.164 16 16 16S448 168.8 448 160V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h304c8.836 0 16-7.164 16-16C384 455.2 376.8 448 368 448zM368 320c-8.836 0-16 7.162-16 16V384H96V128h47.17c7.969 0 15.35-5.455 16.62-13.32C161.4 104.6 153.7 96 144 96H96C78.33 96 64 110.3 64 128v256c0 17.67 14.33 32 32 32h256c17.67 0 32-14.33 32-32v-48C384 327.2 376.8 320 368 320zM368 224C376.8 224 384 216.8 384 208V128c0-17.67-14.33-32-32-32H224C215.2 96 208 103.2 208 112v98.94C186.6 218.6 172 240.8 176.1 265.8C180.6 284.1 195.3 299 213.5 302.9C244.5 309.5 272 285.9 272 256c0-20.83-13.42-38.43-32-45.06V128H352v80C352 216.8 359.2 224 368 224zM224 272C215.2 272 208 264.8 208 256S215.2 240 224 240S240 247.2 240 256S232.8 272 224 272zM624 256h-33.96l-15.18-37.94C572.4 211.1 566.5 208 560 208h-96c-6.547 0-12.42 3.984-14.86 10.06L433.1 256H400C391.2 256 384 263.2 384 272C384 280.8 391.2 288 400 288h7.061c-.002 .4512-.1914 .8555-.1543 1.312l15.94 193.3C424.2 499.1 438.2 512 454.7 512h114.5c16.55 0 30.55-12.91 31.89-29.38l15.94-193.3C617.1 288.9 616.9 288.5 616.9 288H624C632.8 288 640 280.8 640 272C640 263.2 632.8 256 624 256zM474.8 240h74.34L555.6 256h-87.14L474.8 240zM569.3 480h-114.5l-15.83-192h146.2L569.3 480z"],
    "not-equal": [448, 512, [], "f53e", "M448 352c0 8.844-7.156 15.1-16 15.1H165.9l-72.76 105.1C90.06 477.6 85.06 480 80 480c-3.156 0-6.344-.9062-9.094-2.844c-7.281-5.031-9.094-14.1-4.062-22.25l60.17-86.9H16c-8.844 0-16-7.156-16-15.1c0-8.844 7.156-15.99 16-15.99l133.2-.0046l110.8-159.1L16 176c-8.844 0-16-7.158-16-16c0-8.844 7.156-15.1 16-15.1h266.1l72.76-105.1c5-7.312 15.09-9.094 22.25-4.062c7.281 5.031 9.094 14.1 4.062 22.25l-60.17 86.9H432c8.844 0 16 7.156 16 15.1c0 8.844-7.156 16-16 16l-133.2-.0016l-110.8 159.1L432 336C440.8 336 448 343.2 448 352z"],
    "notdef": [384, 512, [], "e1fe", "M336 0h-288C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48v-416C384 21.49 362.5 0 336 0zM352 59.54v392.9L211.7 256L352 59.54zM192 228.5L51.67 32h280.7L192 228.5zM172.3 256L32 452.5V59.54L172.3 256zM192 283.5L332.3 480H51.67L192 283.5z"],
    "note": [448, 512, [], "e1ff", "M448 309.5V96c0-35.35-28.65-64-64-64H64.01C28.66 32 .0065 60.65 .0065 96L0 416c0 35.35 28.65 64 64 64h213.5c16.97 0 33.25-6.742 45.26-18.75l106.5-106.5C441.3 342.7 448 326.5 448 309.5zM300.1 438.6C296.7 442.1 292.5 444.4 288 445.9V336c0-8.828 7.188-16 16-16h109.9c-1.566 4.477-3.844 8.668-7.297 12.12L300.1 438.6zM416 288h-112C277.5 288 256 309.5 256 336V448H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V288z"],
    "note-medical": [448, 512, [], "e200", "M384 32H64.01C28.66 32 .0065 60.65 .0065 96L0 416c0 35.35 28.65 64 64 64h229.5c16.97 0 33.25-6.742 45.26-18.75l90.51-90.51C441.3 358.7 448 342.5 448 325.5V96C448 60.65 419.3 32 384 32zM320 434.7V368c0-8.828 7.188-16 16-16h66.75L320 434.7zM416 320h-80c-26.47 0-48 21.53-48 48V448H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V320zM304 192H256V144C256 135.2 248.8 128 240 128h-32C199.2 128 192 135.2 192 144V192H144C135.2 192 128 199.2 128 207.1V240c0 8.836 7.164 15.1 16 15.1L192 255.1V303.1C192 312.8 199.2 320 208 320h32c8.836 0 16-7.166 16-16V255.1l48-.0013c8.836 0 16-7.162 16-15.1V207.1C320 199.2 312.8 192 304 192z"],
    "note-sticky": [448, 512, [62026, "sticky-note"], "f249", "M384 32H64.01C28.66 32 .0065 60.65 .0065 96L0 415.1C0 451.3 28.65 480 64 480h213.5c16.97 0 33.25-6.742 45.26-18.75l106.5-106.5C441.3 342.7 448 326.5 448 309.5V96C448 60.66 419.3 32 384 32zM416 309.5c0 8.547-3.328 16.58-9.371 22.62l-106.5 106.5C294.1 444.7 286 448 277.5 448H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V309.5zM368 288h-64C277.5 288 256 309.5 256 336v64c0 8.836 7.164 16 16 16s16-7.164 16-16v-64c0-8.836 7.164-16 16-16h64c8.836 0 16-7.164 16-16S376.8 288 368 288z"],
    "notebook": [512, 512, [], "e201", "M416 0H128C92.65 0 64 28.65 64 64v48H16C7.166 112 0 119.2 0 128c0 8.832 7.166 16 16 16H64v96H16C7.166 240 0 247.2 0 256c0 8.832 7.166 16 16 16H64v96H16C7.166 368 0 375.2 0 384c0 8.832 7.166 16 16 16H64V448c0 35.35 28.65 64 64 64h288c35.35 0 64-28.65 64-64V64C480 28.65 451.3 0 416 0zM128 480c-17.64 0-32-14.36-32-32v-48h34.67c8.834 0 16-7.168 16-16c0-8.834-7.166-16-16-16H96v-96h34.67c8.834 0 16-7.168 16-16c0-8.834-7.166-16-16-16H96v-96h34.67c8.834 0 16-7.168 16-16c0-8.834-7.166-16-16-16H96V64c0-17.64 14.36-32 32-32h64v448H128zM448 448c0 17.64-14.36 32-32 32H224V32h192c17.64 0 32 14.36 32 32V448z"],
    "notes": [512, 512, [], "e202", "M368 32C376.8 32 384 24.84 384 16S376.8 0 368 0H96C42.98 0 0 42.98 0 96v272C0 376.8 7.164 384 16 384S32 376.8 32 368V96c0-35.34 28.66-64 64-64H368zM416 96H160c-35.35 0-64 28.65-64 63.1L96 415.1C96 451.3 124.7 480 160 480h165.5c16.97 0 33.25-6.742 45.26-18.75l90.51-90.51C473.3 358.7 480 342.5 480 325.5L480 160C480 124.7 451.4 96 416 96zM352 434.7V368c0-8.828 7.188-16 16-16h66.75L352 434.7zM448 320h-80c-26.47 0-48 21.53-48 48V448H160c-17.64 0-32-14.36-32-32V160c0-17.64 14.36-32 32-32h256c17.64 0 32 14.36 32 32V320z"],
    "notes-medical": [512, 512, [], "f481", "M368 256H320V208C320 199.2 312.8 192 304 192h-32C263.2 192 256 199.2 256 208V256H208C199.2 256 192 263.2 192 272v32C192 312.8 199.2 320 208 320H256v48c0 8.836 7.164 16 16 16h32c8.836 0 16-7.164 16-16V320h48c8.836 0 16-7.164 16-16v-32C384 263.2 376.8 256 368 256zM368 32C376.8 32 384 24.84 384 16S376.8 0 368 0H96C42.98 0 0 42.98 0 96v272C0 376.8 7.164 384 16 384S32 376.8 32 368V96c0-35.34 28.66-64 64-64H368zM416 96H160c-35.35 0-64 28.65-64 63.1L96 415.1C96 451.3 124.7 480 160 480h165.5c16.97 0 33.25-6.742 45.26-18.75l90.51-90.51C473.3 358.7 480 342.5 480 325.5L480 160C480 124.7 451.4 96 416 96zM448 325.5c0 8.547-3.328 16.58-9.371 22.62l-90.51 90.51C342.1 444.7 334 448 325.5 448H160c-17.64 0-32-14.36-32-32V160c0-17.64 14.36-32 32-32h256c17.64 0 32 14.36 32 32V325.5z"],
    "o": [448, 512, [111], "4f", "M224 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S347.5 480 224 480zM224 64C118.1 64 32 150.1 32 256s86.13 192 192 192s192-86.13 192-192S329.9 64 224 64z"],
    "object-exclude": [512, 512, [], "e49c", "M32 64V288C32 305.7 46.33 320 64 320H128V352H64C28.65 352 0 323.3 0 288V64C0 28.65 28.65 0 64 0H288C323.3 0 352 28.65 352 64V128H320V64C320 46.33 305.7 32 288 32H64C46.33 32 32 46.33 32 64zM192 384V448C192 465.7 206.3 480 224 480H448C465.7 480 480 465.7 480 448V224C480 206.3 465.7 192 448 192H384V160H448C483.3 160 512 188.7 512 224V448C512 483.3 483.3 512 448 512H224C188.7 512 160 483.3 160 448V384H192zM256 352V320H288C305.7 320 320 305.7 320 288H352C352 323.3 323.3 352 288 352H256zM352 256H320V192H288V160H352V256zM160 352V256H192V320H224V352H160zM224 160H256V192H224C206.3 192 192 206.3 192 224H160C160 188.7 188.7 160 224 160z"],
    "object-group": [576, 512, [], "f247", "M272 128C298.5 128 320 149.5 320 176V240C320 266.5 298.5 288 272 288H176C149.5 288 128 266.5 128 240V176C128 149.5 149.5 128 176 128H272zM160 240C160 248.8 167.2 256 176 256H272C280.8 256 288 248.8 288 240V176C288 167.2 280.8 160 272 160H176C167.2 160 160 167.2 160 176V240zM352 240C352 231.2 359.2 224 368 224H400C426.5 224 448 245.5 448 272V336C448 362.5 426.5 384 400 384H304C277.5 384 256 362.5 256 336C256 327.2 263.2 320 272 320C280.8 320 288 327.2 288 336C288 344.8 295.2 352 304 352H400C408.8 352 416 344.8 416 336V272C416 263.2 408.8 256 400 256H368C359.2 256 352 248.8 352 240zM64 125.3C45.36 118.7 32 100.9 32 80C32 53.49 53.49 32 80 32C100.9 32 118.7 45.36 125.3 64H450.7C457.3 45.36 475.1 32 496 32C522.5 32 544 53.49 544 80C544 100.9 530.6 118.7 512 125.3V386.7C530.6 393.3 544 411.1 544 432C544 458.5 522.5 480 496 480C475.1 480 457.3 466.6 450.7 448H125.3C118.7 466.6 100.9 480 80 480C53.49 480 32 458.5 32 432C32 411.1 45.36 393.3 64 386.7V125.3zM96 125.3V386.7C109.6 391.6 120.4 402.4 125.3 416H450.7C455.6 402.4 466.4 391.6 480 386.7V125.3C466.4 120.4 455.6 109.6 450.7 96H125.3C120.4 109.6 109.6 120.4 96 125.3zM480 432C480 440.8 487.2 448 496 448C504.8 448 512 440.8 512 432C512 423.2 504.8 416 496 416C487.2 416 480 423.2 480 432zM96 432C96 423.2 88.84 416 80 416C71.16 416 64 423.2 64 432C64 440.8 71.16 448 80 448C88.84 448 96 440.8 96 432zM480 80C480 88.84 487.2 96 496 96C504.8 96 512 88.84 512 80C512 71.16 504.8 64 496 64C487.2 64 480 71.16 480 80zM96 80C96 71.16 88.84 64 80 64C71.16 64 64 71.16 64 80C64 88.84 71.16 96 80 96C88.84 96 96 88.84 96 80z"],
    "object-intersect": [512, 512, [], "e49d", "M96 32H64C46.33 32 32 46.33 32 64V96H0V64C0 28.65 28.65 0 64 0H96V32zM128 0H224V32H128V0zM0 128H32V224H0V128zM288 32H256V0H288C323.3 0 352 28.65 352 64V128H320V64C320 46.33 305.7 32 288 32zM352 160V288C352 323.3 323.3 352 288 352H160V224C160 188.7 188.7 160 224 160H352zM192 224V320H288C305.7 320 320 305.7 320 288V192H224C206.3 192 192 206.3 192 224zM192 384V448C192 465.7 206.3 480 224 480H256V512H224C188.7 512 160 483.3 160 448V384H192zM64 352C28.65 352 0 323.3 0 288V256H32V288C32 305.7 46.33 320 64 320H128V352H64zM384 160H448C483.3 160 512 188.7 512 224V256H480V224C480 206.3 465.7 192 448 192H384V160zM288 480H384V512H288V480zM448 512H416V480H448C465.7 480 480 465.7 480 448V416H512V448C512 483.3 483.3 512 448 512zM512 384H480V288H512V384z"],
    "object-subtract": [512, 512, [], "e49e", "M32 64V96H0V64C0 28.65 28.65 0 64 0H96V32H64C46.33 32 32 46.33 32 64zM224 32H128V0H224V32zM32 224H0V128H32V224zM32 256V288C32 305.7 46.33 320 64 320H96V352H64C28.65 352 0 323.3 0 288V256H32zM128 352V320H224V352H128zM192 384V448C192 465.7 206.3 480 224 480H448C465.7 480 480 465.7 480 448V224C480 206.3 465.7 192 448 192H384V160H448C483.3 160 512 188.7 512 224V448C512 483.3 483.3 512 448 512H224C188.7 512 160 483.3 160 448V384H192zM352 224H320V128H352V224zM352 64V96H320V64C320 46.33 305.7 32 288 32H256V0H288C323.3 0 352 28.65 352 64zM256 320H288C305.7 320 320 305.7 320 288V256H352V288C352 323.3 323.3 352 288 352H256V320z"],
    "object-ungroup": [640, 512, [], "f248", "M64 0C93.82 0 118.9 20.4 125.1 48H322C329.1 20.4 354.2 0 384 0C419.3 0 448 28.65 448 64C448 93.82 427.6 118.9 400 125.1V226C427.6 233.1 448 258.2 448 288C448 323.3 419.3 352 384 352C354.2 352 329.1 331.6 322 304H125.1C118.9 331.6 93.82 352 64 352C28.65 352 0 323.3 0 288C0 258.2 20.4 233.1 48 226V125.1C20.4 118.9 0 93.82 0 64C0 28.65 28.65 0 64 0V0zM322 80H125.1C120.2 102.5 102.5 120.2 80 125.1V226C102.5 231.8 120.2 249.5 125.1 272H322C327.8 249.5 345.5 231.8 368 226V125.1C345.5 120.2 327.8 102.5 322 80zM416 288C416 270.3 401.7 256 384 256C366.3 256 352 270.3 352 288C352 305.7 366.3 320 384 320C401.7 320 416 305.7 416 288zM32 288C32 305.7 46.33 320 64 320C81.67 320 96 305.7 96 288C96 270.3 81.67 256 64 256C46.33 256 32 270.3 32 288zM416 64C416 46.33 401.7 32 384 32C366.3 32 352 46.33 352 64C352 81.67 366.3 96 384 96C401.7 96 416 81.67 416 64zM32 64C32 81.67 46.33 96 64 96C81.67 96 96 81.67 96 64C96 46.33 81.67 32 64 32C46.33 32 32 46.33 32 64zM514 208C521.1 180.4 546.2 160 576 160C611.3 160 640 188.7 640 224C640 253.8 619.6 278.9 592 285.1V386C619.6 393.1 640 418.2 640 448C640 483.3 611.3 512 576 512C546.2 512 521.1 491.6 514 464H317.1C310.9 491.6 285.8 512 256 512C220.7 512 192 483.3 192 448C192 418.2 212.4 393.1 240 386V352C240 343.2 247.2 336 256 336C264.8 336 272 343.2 272 352V386C294.5 391.8 312.2 409.5 317.1 432H514C519.8 409.5 537.5 391.8 560 386V285.1C537.5 280.2 519.8 262.5 514 240H480C471.2 240 464 232.8 464 224C464 215.2 471.2 208 480 208H514zM544 224C544 241.7 558.3 256 576 256C593.7 256 608 241.7 608 224C608 206.3 593.7 192 576 192C558.3 192 544 206.3 544 224zM576 416C558.3 416 544 430.3 544 448C544 465.7 558.3 480 576 480C593.7 480 608 465.7 608 448C608 430.3 593.7 416 576 416zM224 448C224 465.7 238.3 480 256 480C273.7 480 288 465.7 288 448C288 430.3 273.7 416 256 416C238.3 416 224 430.3 224 448z"],
    "object-union": [512, 512, [], "e49f", "M64 352C28.65 352 0 323.3 0 288V64C0 28.65 28.65 0 64 0H288C323.3 0 352 28.65 352 64V160H448C483.3 160 512 188.7 512 224V448C512 483.3 483.3 512 448 512H224C188.7 512 160 483.3 160 448V352H64zM192 320V448C192 465.7 206.3 480 224 480H448C465.7 480 480 465.7 480 448V224C480 206.3 465.7 192 448 192H320V64C320 46.33 305.7 32 288 32H64C46.33 32 32 46.33 32 64V288C32 305.7 46.33 320 64 320H192z"],
    "objects-align-bottom": [512, 512, [], "e3bb", "M16 512C7.164 512 0 504.8 0 496C0 487.2 7.164 480 16 480H496C504.8 480 512 487.2 512 496C512 504.8 504.8 512 496 512H16zM112 384C85.49 384 64 362.5 64 336V48C64 21.49 85.49 0 112 0H176C202.5 0 224 21.49 224 48V336C224 362.5 202.5 384 176 384H112zM192 336V48C192 39.16 184.8 32 176 32H112C103.2 32 96 39.16 96 48V336C96 344.8 103.2 352 112 352H176C184.8 352 192 344.8 192 336zM336 384C309.5 384 288 362.5 288 336V176C288 149.5 309.5 128 336 128H400C426.5 128 448 149.5 448 176V336C448 362.5 426.5 384 400 384H336zM416 336V176C416 167.2 408.8 160 400 160H336C327.2 160 320 167.2 320 176V336C320 344.8 327.2 352 336 352H400C408.8 352 416 344.8 416 336z"],
    "objects-align-center-horizontal": [448, 512, [], "e3bc", "M240 288H336C362.5 288 384 309.5 384 336V400C384 426.5 362.5 448 336 448H240V496C240 504.8 232.8 512 224 512C215.2 512 208 504.8 208 496V448H112C85.49 448 64 426.5 64 400V336C64 309.5 85.49 288 112 288H208V224H48C21.49 224 0 202.5 0 176V112C0 85.49 21.49 64 48 64H208V16C208 7.164 215.2 0 224 0C232.8 0 240 7.164 240 16V64H400C426.5 64 448 85.49 448 112V176C448 202.5 426.5 224 400 224H240V288zM416 176V112C416 103.2 408.8 96 400 96H48C39.16 96 32 103.2 32 112V176C32 184.8 39.16 192 48 192H400C408.8 192 416 184.8 416 176zM112 320C103.2 320 96 327.2 96 336V400C96 408.8 103.2 416 112 416H336C344.8 416 352 408.8 352 400V336C352 327.2 344.8 320 336 320H112z"],
    "objects-align-center-vertical": [512, 512, [], "e3bd", "M288 240V144C288 117.5 309.5 96 336 96H400C426.5 96 448 117.5 448 144V240H496C504.8 240 512 247.2 512 256C512 264.8 504.8 272 496 272H448V368C448 394.5 426.5 416 400 416H336C309.5 416 288 394.5 288 368V272H224V432C224 458.5 202.5 480 176 480H112C85.49 480 64 458.5 64 432V272H16C7.164 272 0 264.8 0 256C0 247.2 7.164 240 16 240H64V80C64 53.49 85.49 32 112 32H176C202.5 32 224 53.49 224 80V240H288zM176 64H112C103.2 64 96 71.16 96 80V432C96 440.8 103.2 448 112 448H176C184.8 448 192 440.8 192 432V80C192 71.16 184.8 64 176 64zM320 368C320 376.8 327.2 384 336 384H400C408.8 384 416 376.8 416 368V144C416 135.2 408.8 128 400 128H336C327.2 128 320 135.2 320 144V368z"],
    "objects-align-left": [512, 512, [], "e3be", "M0 16C0 7.164 7.164 0 16 0C24.84 0 32 7.164 32 16V496C32 504.8 24.84 512 16 512C7.164 512 0 504.8 0 496V16zM128 112C128 85.49 149.5 64 176 64H464C490.5 64 512 85.49 512 112V176C512 202.5 490.5 224 464 224H176C149.5 224 128 202.5 128 176V112zM176 192H464C472.8 192 480 184.8 480 176V112C480 103.2 472.8 96 464 96H176C167.2 96 160 103.2 160 112V176C160 184.8 167.2 192 176 192zM128 336C128 309.5 149.5 288 176 288H336C362.5 288 384 309.5 384 336V400C384 426.5 362.5 448 336 448H176C149.5 448 128 426.5 128 400V336zM176 416H336C344.8 416 352 408.8 352 400V336C352 327.2 344.8 320 336 320H176C167.2 320 160 327.2 160 336V400C160 408.8 167.2 416 176 416z"],
    "objects-align-right": [512, 512, [], "e3bf", "M512 496C512 504.8 504.8 512 496 512C487.2 512 480 504.8 480 496V16C480 7.164 487.2 0 496 0C504.8 0 512 7.164 512 16V496zM384 176C384 202.5 362.5 224 336 224H48C21.49 224 0 202.5 0 176V112C0 85.49 21.49 64 48 64H336C362.5 64 384 85.49 384 112V176zM352 176V112C352 103.2 344.8 96 336 96H48C39.16 96 32 103.2 32 112V176C32 184.8 39.16 192 48 192H336C344.8 192 352 184.8 352 176zM384 400C384 426.5 362.5 448 336 448H176C149.5 448 128 426.5 128 400V336C128 309.5 149.5 288 176 288H336C362.5 288 384 309.5 384 336V400zM352 400V336C352 327.2 344.8 320 336 320H176C167.2 320 160 327.2 160 336V400C160 408.8 167.2 416 176 416H336C344.8 416 352 408.8 352 400z"],
    "objects-align-top": [512, 512, [], "e3c0", "M496 0C504.8 0 512 7.164 512 16C512 24.84 504.8 32 496 32H16C7.164 32 0 24.84 0 16C0 7.164 7.164 0 16 0H496zM176 128C202.5 128 224 149.5 224 176V464C224 490.5 202.5 512 176 512H112C85.49 512 64 490.5 64 464V176C64 149.5 85.49 128 112 128H176zM176 160H112C103.2 160 96 167.2 96 176V464C96 472.8 103.2 480 112 480H176C184.8 480 192 472.8 192 464V176C192 167.2 184.8 160 176 160zM400 128C426.5 128 448 149.5 448 176V336C448 362.5 426.5 384 400 384H336C309.5 384 288 362.5 288 336V176C288 149.5 309.5 128 336 128H400zM400 160H336C327.2 160 320 167.2 320 176V336C320 344.8 327.2 352 336 352H400C408.8 352 416 344.8 416 336V176C416 167.2 408.8 160 400 160z"],
    "objects-column": [448, 512, [], "e3c1", "M0 80C0 53.49 21.49 32 48 32H144C170.5 32 192 53.49 192 80V240C192 266.5 170.5 288 144 288H48C21.49 288 0 266.5 0 240V80zM32 80V240C32 248.8 39.16 256 48 256H144C152.8 256 160 248.8 160 240V80C160 71.16 152.8 64 144 64H48C39.16 64 32 71.16 32 80zM256 272C256 245.5 277.5 224 304 224H400C426.5 224 448 245.5 448 272V432C448 458.5 426.5 480 400 480H304C277.5 480 256 458.5 256 432V272zM288 272V432C288 440.8 295.2 448 304 448H400C408.8 448 416 440.8 416 432V272C416 263.2 408.8 256 400 256H304C295.2 256 288 263.2 288 272zM144 320C170.5 320 192 341.5 192 368V432C192 458.5 170.5 480 144 480H48C21.49 480 0 458.5 0 432V368C0 341.5 21.49 320 48 320H144zM144 352H48C39.16 352 32 359.2 32 368V432C32 440.8 39.16 448 48 448H144C152.8 448 160 440.8 160 432V368C160 359.2 152.8 352 144 352zM256 80C256 53.49 277.5 32 304 32H400C426.5 32 448 53.49 448 80V144C448 170.5 426.5 192 400 192H304C277.5 192 256 170.5 256 144V80zM288 80V144C288 152.8 295.2 160 304 160H400C408.8 160 416 152.8 416 144V80C416 71.16 408.8 64 400 64H304C295.2 64 288 71.16 288 80z"],
    "octagon": [512, 512, [128721], "f306", "M.0669 191.5C.0669 172.4 7.652 154.1 21.16 140.6L140.6 21.15C154.1 7.652 172.4 .0664 191.5 .0664H320.5C339.6 .0664 357.9 7.652 371.4 21.15L490.8 140.6C504.3 154.1 511.9 172.4 511.9 191.5V320.5C511.9 339.6 504.3 357.9 490.8 371.4L371.4 490.8C357.9 504.3 339.6 511.9 320.5 511.9H191.5C172.4 511.9 154.1 504.3 140.6 490.8L21.15 371.4C7.652 357.9 .0666 339.6 .0666 320.5L.0669 191.5zM43.78 163.2C36.28 170.7 32.07 180.9 32.07 191.5V320.5C32.07 331.1 36.28 341.3 43.78 348.8L163.2 468.2C170.7 475.7 180.9 479.9 191.5 479.9H320.5C331.1 479.9 341.3 475.7 348.8 468.2L468.2 348.8C475.7 341.3 479.9 331.1 479.9 320.5V191.5C479.9 180.9 475.7 170.7 468.2 163.2L348.8 43.78C341.3 36.28 331.1 32.07 320.5 32.07H191.5C180.9 32.07 170.7 36.28 163.2 43.78L43.78 163.2zM43.78 348.8L21.15 371.4z"],
    "octagon-check": [512, 512, [], "e426", "M191.5 32.07C180.9 32.07 170.7 36.28 163.2 43.78L43.78 163.2C36.28 170.7 32.07 180.9 32.07 191.5V320.5C32.07 331.1 36.28 341.3 43.78 348.8L21.15 371.4C7.652 357.9 .0666 339.6 .0666 320.5V191.5C.0666 172.4 7.652 154.1 21.15 140.6L140.6 21.15C154.1 7.652 172.4 .0664 191.5 .0664H320.5C339.6 .0664 357.9 7.652 371.4 21.15L490.8 140.6C504.3 154.1 511.9 172.4 511.9 191.5V320.5C511.9 339.6 504.3 357.9 490.8 371.4L371.4 490.8C357.9 504.3 339.6 511.9 320.5 511.9H191.5C172.4 511.9 154.1 504.3 140.6 490.8L21.15 371.4L43.78 348.8L163.2 468.2C170.7 475.7 180.9 479.9 191.5 479.9H320.5C331.1 479.9 341.3 475.7 348.8 468.2L468.2 348.8C475.7 341.3 479.9 331.1 479.9 320.5V191.5C479.9 180.9 475.7 170.7 468.2 163.2L348.8 43.78C341.3 36.28 331.1 32.07 320.5 32.07H191.5zM235.3 331.3C229.1 337.6 218.9 337.6 212.7 331.3L148.7 267.3C142.4 261.1 142.4 250.9 148.7 244.7C154.9 238.4 165.1 238.4 171.3 244.7L224 297.4L340.7 180.7C346.9 174.4 357.1 174.4 363.3 180.7C369.6 186.9 369.6 197.1 363.3 203.3L235.3 331.3z"],
    "octagon-divide": [512, 512, [], "e203", "M232 159.1C232 146.7 242.7 135.1 256 135.1C269.3 135.1 280 146.7 280 159.1C280 173.3 269.3 183.1 256 183.1C242.7 183.1 232 173.3 232 159.1zM352 239.1C360.8 239.1 368 247.2 368 255.1C368 264.8 360.8 271.1 352 271.1H160C151.2 271.1 144 264.8 144 255.1C144 247.2 151.2 239.1 160 239.1H352zM280 351.1C280 365.3 269.3 375.1 256 375.1C242.7 375.1 232 365.3 232 351.1C232 338.7 242.7 327.1 256 327.1C269.3 327.1 280 338.7 280 351.1zM.0669 191.5C.0669 172.4 7.652 154.1 21.16 140.6L140.6 21.15C154.1 7.648 172.4 .0625 191.5 .0625H320.5C339.6 .0625 357.9 7.648 371.4 21.15L490.8 140.6C504.3 154.1 511.9 172.4 511.9 191.5V320.5C511.9 339.6 504.3 357.9 490.8 371.4L371.4 490.8C357.9 504.3 339.6 511.9 320.5 511.9H191.5C172.4 511.9 154.1 504.3 140.6 490.8L21.15 371.4C7.652 357.9 .0666 339.6 .0666 320.5L.0669 191.5zM43.78 163.2C36.28 170.7 32.07 180.9 32.07 191.5V320.5C32.07 331.1 36.28 341.3 43.78 348.8L163.2 468.2C170.7 475.7 180.9 479.9 191.5 479.9H320.5C331.1 479.9 341.3 475.7 348.8 468.2L468.2 348.8C475.7 341.3 479.9 331.1 479.9 320.5V191.5C479.9 180.9 475.7 170.7 468.2 163.2L348.8 43.78C341.3 36.28 331.1 32.06 320.5 32.06H191.5C180.9 32.06 170.7 36.28 163.2 43.78L43.78 163.2zM43.78 348.8L21.15 371.4z"],
    "octagon-exclamation": [512, 512, [], "e204", "M256 127.1C264.8 127.1 272 135.2 272 143.1V271.1C272 280.8 264.8 287.1 256 287.1C247.2 287.1 240 280.8 240 271.1V143.1C240 135.2 247.2 127.1 256 127.1V127.1zM280 351.1C280 365.3 269.3 375.1 256 375.1C242.7 375.1 232 365.3 232 351.1C232 338.7 242.7 327.1 256 327.1C269.3 327.1 280 338.7 280 351.1zM.0669 191.5C.0669 172.4 7.652 154.1 21.16 140.6L140.6 21.15C154.1 7.648 172.4 .0625 191.5 .0625H320.5C339.6 .0625 357.9 7.648 371.4 21.15L490.8 140.6C504.3 154.1 511.9 172.4 511.9 191.5V320.5C511.9 339.6 504.3 357.9 490.8 371.4L371.4 490.8C357.9 504.3 339.6 511.9 320.5 511.9H191.5C172.4 511.9 154.1 504.3 140.6 490.8L21.15 371.4C7.652 357.9 .0666 339.6 .0666 320.5L.0669 191.5zM43.78 163.2C36.28 170.7 32.07 180.9 32.07 191.5V320.5C32.07 331.1 36.28 341.3 43.78 348.8L163.2 468.2C170.7 475.7 180.9 479.9 191.5 479.9H320.5C331.1 479.9 341.3 475.7 348.8 468.2L468.2 348.8C475.7 341.3 479.9 331.1 479.9 320.5V191.5C479.9 180.9 475.7 170.7 468.2 163.2L348.8 43.78C341.3 36.28 331.1 32.06 320.5 32.06H191.5C180.9 32.06 170.7 36.28 163.2 43.78L43.78 163.2zM43.78 348.8L21.15 371.4z"],
    "octagon-minus": [512, 512, ["minus-octagon"], "f308", "M352 239.1C360.8 239.1 368 247.2 368 255.1C368 264.8 360.8 271.1 352 271.1H160C151.2 271.1 144 264.8 144 255.1C144 247.2 151.2 239.1 160 239.1H352zM.0669 191.5C.0669 172.4 7.652 154.1 21.16 140.6L140.6 21.15C154.1 7.648 172.4 .0625 191.5 .0625H320.5C339.6 .0625 357.9 7.648 371.4 21.15L490.8 140.6C504.3 154.1 511.9 172.4 511.9 191.5V320.5C511.9 339.6 504.3 357.9 490.8 371.4L371.4 490.8C357.9 504.3 339.6 511.9 320.5 511.9H191.5C172.4 511.9 154.1 504.3 140.6 490.8L21.15 371.4C7.652 357.9 .0666 339.6 .0666 320.5L.0669 191.5zM43.78 163.2C36.28 170.7 32.07 180.9 32.07 191.5V320.5C32.07 331.1 36.28 341.3 43.78 348.8L163.2 468.2C170.7 475.7 180.9 479.9 191.5 479.9H320.5C331.1 479.9 341.3 475.7 348.8 468.2L468.2 348.8C475.7 341.3 479.9 331.1 479.9 320.5V191.5C479.9 180.9 475.7 170.7 468.2 163.2L348.8 43.78C341.3 36.28 331.1 32.06 320.5 32.06H191.5C180.9 32.06 170.7 36.28 163.2 43.78L43.78 163.2zM43.78 348.8L21.15 371.4z"],
    "octagon-plus": [512, 512, ["plus-octagon"], "f301", "M240 351.1V271.1H160C151.2 271.1 144 264.8 144 255.1C144 247.2 151.2 239.1 160 239.1H240V159.1C240 151.2 247.2 143.1 256 143.1C264.8 143.1 272 151.2 272 159.1V239.1H352C360.8 239.1 368 247.2 368 255.1C368 264.8 360.8 271.1 352 271.1H272V351.1C272 360.8 264.8 367.1 256 367.1C247.2 367.1 240 360.8 240 351.1zM.0669 191.5C.0669 172.4 7.652 154.1 21.16 140.6L140.6 21.15C154.1 7.648 172.4 .0625 191.5 .0625H320.5C339.6 .0625 357.9 7.648 371.4 21.15L490.8 140.6C504.3 154.1 511.9 172.4 511.9 191.5V320.5C511.9 339.6 504.3 357.9 490.8 371.4L371.4 490.8C357.9 504.3 339.6 511.9 320.5 511.9H191.5C172.4 511.9 154.1 504.3 140.6 490.8L21.15 371.4C7.652 357.9 .0666 339.6 .0666 320.5L.0669 191.5zM43.78 163.2C36.28 170.7 32.07 180.9 32.07 191.5V320.5C32.07 331.1 36.28 341.3 43.78 348.8L163.2 468.2C170.7 475.7 180.9 479.9 191.5 479.9H320.5C331.1 479.9 341.3 475.7 348.8 468.2L468.2 348.8C475.7 341.3 479.9 331.1 479.9 320.5V191.5C479.9 180.9 475.7 170.7 468.2 163.2L348.8 43.78C341.3 36.28 331.1 32.06 320.5 32.06H191.5C180.9 32.06 170.7 36.28 163.2 43.78L43.78 163.2zM43.78 348.8L21.15 371.4z"],
    "octagon-xmark": [512, 512, ["times-octagon", "xmark-octagon"], "f2f0", "M180.7 180.7C186.9 174.4 197.1 174.4 203.3 180.7L256 233.4L308.7 180.7C314.9 174.4 325.1 174.4 331.3 180.7C337.6 186.9 337.6 197.1 331.3 203.3L278.6 255.1L331.3 308.7C337.6 314.9 337.6 325.1 331.3 331.3C325.1 337.6 314.9 337.6 308.7 331.3L256 278.6L203.3 331.3C197.1 337.6 186.9 337.6 180.7 331.3C174.4 325.1 174.4 314.9 180.7 308.7L233.4 255.1L180.7 203.3C174.4 197.1 174.4 186.9 180.7 180.7V180.7zM.0669 191.5C.0669 172.4 7.652 154.1 21.16 140.6L140.6 21.15C154.1 7.648 172.4 .0625 191.5 .0625H320.5C339.6 .0625 357.9 7.648 371.4 21.15L490.8 140.6C504.3 154.1 511.9 172.4 511.9 191.5V320.5C511.9 339.6 504.3 357.9 490.8 371.4L371.4 490.8C357.9 504.3 339.6 511.9 320.5 511.9H191.5C172.4 511.9 154.1 504.3 140.6 490.8L21.15 371.4C7.652 357.9 .0666 339.6 .0666 320.5L.0669 191.5zM43.78 163.2C36.28 170.7 32.07 180.9 32.07 191.5V320.5C32.07 331.1 36.28 341.3 43.78 348.8L163.2 468.2C170.7 475.7 180.9 479.9 191.5 479.9H320.5C331.1 479.9 341.3 475.7 348.8 468.2L468.2 348.8C475.7 341.3 479.9 331.1 479.9 320.5V191.5C479.9 180.9 475.7 170.7 468.2 163.2L348.8 43.78C341.3 36.28 331.1 32.06 320.5 32.06H191.5C180.9 32.06 170.7 36.28 163.2 43.78L43.78 163.2zM43.78 348.8L21.15 371.4z"],
    "oil-can": [640, 512, [], "f613", "M272 96V160H368.9C378.8 160 388.6 162.3 397.5 166.8L448 192L615 156.2C633.1 152.3 645.7 173.8 633.5 187.7L451.1 394.3C438.1 408.1 421.5 416 403.1 416H144C117.5 416 96 394.5 96 368V340L31.15 315.7C12.41 308.7 0 290.7 0 270.7V208C0 181.5 21.49 160 48 160H240V96H176C167.2 96 160 88.84 160 80C160 71.16 167.2 64 176 64H336C344.8 64 352 71.16 352 80C352 88.84 344.8 96 336 96H272zM383.2 195.4C378.8 193.2 373.9 192 368.9 192H128V368C128 376.8 135.2 384 144 384H403.1C412.3 384 421 380.1 427.1 373.2L583.8 195.6L443.7 225.6L383.2 195.4zM96 305.8V192H48C39.16 192 32 199.2 32 208V270.7C32 277.4 36.14 283.4 42.38 285.7L96 305.8z"],
    "oil-can-drip": [640, 512, [], "e205", "M352 80C352 88.84 344.8 96 336 96H272V160H368.9C378.8 160 388.6 162.3 397.5 166.8L448 192L615 156.2C633.1 152.3 645.7 173.8 633.5 187.7L451.1 394.3C438.1 408.1 421.5 416 403.1 416H144C117.5 416 96 394.5 96 368V340L31.15 315.7C12.41 308.7 0 290.7 0 270.7V208C0 181.5 21.49 160 48 160H240V96H176C167.2 96 160 88.84 160 80C160 71.16 167.2 64 176 64H336C344.8 64 352 71.16 352 80V80zM443.7 225.6L383.2 195.4C378.8 193.2 373.9 192 368.9 192H128V368C128 376.8 135.2 384 144 384H403.1C412.3 384 421 380.1 427.1 373.2L583.8 195.6L443.7 225.6zM48 192C39.16 192 32 199.2 32 208V270.7C32 277.4 36.14 283.4 42.38 285.7L96 305.8V192H48zM640 400C640 432 618.5 448 592 448C565.5 448 544 426.5 544 400C544 379 564.6 337.4 578.9 311.2C584.6 300.6 599.4 300.6 605.1 311.2C619.4 337.4 640 379 640 400zM608 399.9L607.1 399.8C607.1 399.6 607.1 399.5 607.9 399.2C607.9 398.7 607.8 397.1 607.6 397.1C607.3 395.2 606.7 392.9 605.9 390.1C604.2 384.4 601.6 377.6 598.5 370.1C596.5 365.4 594.3 360.6 592 355.8C589.7 360.6 587.6 365.4 585.5 370.1C578.5 386.7 576 396.8 576 400C576 408.8 583.2 416 592 416C598.1 416 602.7 413.9 604.3 412.5C605.4 411.4 608 408.4 608 400L608 399.9z"],
    "oil-temperature": [576, 512, ["oil-temp"], "f614", "M272 32C272 14.33 286.3 0 304 0H368C376.8 0 384 7.164 384 16C384 24.84 376.8 32 368 32H304V96H368C376.8 96 384 103.2 384 112C384 120.8 376.8 128 368 128H304V225.6C340.5 233 368 265.3 368 304C368 348.2 332.2 384 288 384C243.8 384 208 348.2 208 304C208 265.3 235.5 233 272 225.6V32zM288 352C314.5 352 336 330.5 336 304C336 277.5 314.5 256 288 256C261.5 256 240 277.5 240 304C240 330.5 261.5 352 288 352zM133.8 314.8C147.2 323.9 163.5 332.2 180.4 335C183.8 346.9 189.1 357.1 196 367.9C194.7 367.1 193.3 367.1 191.1 367.1C161.7 367.1 134.4 353.9 115.8 341.2C107.8 335.8 101.1 330.4 95.96 325.1C90.82 330.4 84.12 335.8 76.19 341.2C61.25 351.4 40.81 362.5 17.69 366.4C8.015 368.1 0 360 0 350.2C0 342.4 6.421 336.1 14.13 334.6C30.07 331.4 45.38 323.5 58.16 314.8C67.94 308.1 76.16 300.8 84.07 292.9C90.64 286.4 101.3 286.4 107.8 292.9C115.8 300.8 124.1 308.1 133.8 314.8V314.8zM383.1 367.1C382.6 367.1 381.3 367.1 379.1 367.9C386.9 357.1 392.2 346.9 395.7 335C412.5 332.2 428.7 323.9 442.2 314.8C451.9 308.1 460.2 300.8 468.1 292.9C474.6 286.4 485.3 286.4 491.8 292.9C499.8 300.8 507.1 308.1 517.8 314.8C530.6 323.5 545.9 331.4 561.9 334.6C569.6 336.1 576 342.4 576 350.2C576 360 567.1 368.1 558.3 366.4C535.2 362.5 514.7 351.4 499.8 341.2C491.8 335.8 485.1 330.4 479.1 325.1C474.8 330.4 468.1 335.8 460.2 341.2C441.5 353.9 414.3 367.1 383.1 367.1H383.1zM250.1 458.8C259.9 452.1 268.2 444.8 276.1 436.9C282.6 430.4 293.3 430.4 299.8 436.9C307.8 444.8 315.1 452.1 325.8 458.8C342.3 470 363.1 479.1 383.1 479.1C404.9 479.1 425.6 470 442.2 458.8C451.9 452.1 460.2 444.8 468.1 436.9C474.6 430.4 485.3 430.4 491.8 436.9C499.8 444.8 507.1 452.1 517.8 458.8C530.6 467.5 545.9 475.4 561.9 478.6C569.6 480.1 576 486.4 576 494.2C576 504 567.1 512.1 558.3 510.4C535.2 506.5 514.7 495.4 499.8 485.2C491.8 479.8 485.1 474.4 479.1 469.1C474.8 474.4 468.1 479.8 460.2 485.2C441.5 497.9 414.3 511.1 383.1 511.1C353.7 511.1 326.4 497.9 307.8 485.2C299.8 479.8 293.1 474.4 287.1 469.1C282.8 474.4 276.1 479.8 268.2 485.2C249.5 497.9 222.3 511.1 191.1 511.1C161.7 511.1 134.4 497.9 115.8 485.2C107.8 479.8 101.1 474.4 95.96 469.1C90.82 474.4 84.12 479.8 76.19 485.2C61.25 495.4 40.81 506.5 17.69 510.4C8.016 512.1 .0003 504 .0003 494.2C.0003 486.4 6.421 480.1 14.13 478.6C30.07 475.4 45.38 467.5 58.16 458.8C67.94 452.1 76.16 444.8 84.07 436.9C90.64 430.4 101.3 430.4 107.8 436.9C115.8 444.8 124.1 452.2 133.8 458.8C150.3 470 171.1 479.1 191.1 479.1C212.9 479.1 233.6 470 250.1 458.8L250.1 458.8z"],
    "oil-well": [576, 512, [], "e532", "M430.4 4.707C473-6.729 516.9 18.6 528.3 61.28L569.8 215.8C581.2 258.5 555.9 302.4 513.2 313.8L497.7 317.9C480.7 322.5 463.1 312.4 458.5 295.3L429.2 185.8L96 272.2V480H132.5L200 277.3L236.1 267.7L208.9 352H335.1L301.5 250.1L332.5 242.9L411.5 480H560C568.8 480 576 487.2 576 496C576 504.8 568.8 512 560 512H16C7.164 512 0 504.8 0 496C0 487.2 7.164 480 16 480H64V176C64 167.2 71.16 160 80 160C88.84 160 96 167.2 96 176V239.2L223.8 206L256.8 106.9C258.1 100.4 265.1 96 271.1 96C278.9 96 285 100.4 287.2 106.9L312.5 183L420.9 154.9L392.3 48.04C387.7 30.97 397.8 13.42 414.9 8.848L430.4 4.707zM438.6 35.62L423.2 39.76L489.4 287L504.9 282.9C530.5 276 545.7 249.7 538.8 224.1L497.4 69.56C490.6 43.95 464.3 28.76 438.6 35.62H438.6zM281.5 191.1L271.1 162.6L260.7 196.5L281.5 191.1zM377.8 480L345.8 384H198.2L166.2 480H377.8z"],
    "olive": [448, 512, [], "e316", "M392.5 89.39C354.2 49.21 312.1 32 269.3 32C205.9 32 140.9 69.6 83.99 126.2c-95.42 94.96-112 232.4-37.02 307C78.59 464.7 121.5 480 167.6 480c63.27 0 132.7-28.67 187.9-83.58C450.9 301.5 487.5 188.1 392.5 89.39zM332.9 373.7C285.5 420.9 225.2 448 167.6 448c-39.56 0-73.48-12.94-98.08-37.42c-24.55-24.44-37.53-58.11-37.54-97.37c0-57.26 27.18-117.1 74.56-164.3C161.6 94.16 219.4 64 269.3 64c36.39 0 70.07 15.97 100.1 47.48C460.8 207.3 399.1 307 332.9 373.7zM348.2 131.8c-37.09-37.08-85.66-46.78-110.4-21.95C212.1 134.6 222.7 183.1 259.7 220.2c23.22 23.22 50.91 35.69 74.47 35.69c14.06 0 26.69-4.453 35.97-13.73C394.1 217.4 385.3 168.9 348.2 131.8zM347.6 219.6c-10.19 10.14-40.25 2.969-65.19-21.95c-24.91-24.94-32.13-54.97-21.94-65.17c10.12-10.2 40.22-3 65.19 21.95C350.5 179.3 357.7 209.4 347.6 219.6z"],
    "olive-branch": [640, 512, [], "e317", "M484.8 135.1c-8.656-2.688-17.44 2.125-20.03 10.55c-2.625 8.438 2.094 17.41 10.53 20.02c28.62 8.875 56.03 27.2 79.25 53.02c58.19 64.67 71.12 155.6 28.81 202.6c-17.38 19.25-41.72 28.56-70.22 26.44c-9-.375-16.44 6.062-17.06 14.88c-.5918 8.812 6.062 16.45 14.88 17.06C514.1 479.9 517.3 480 520.4 480c34.34 0 64.84-13.06 86.69-37.3c52.94-58.83 39.1-168.9-28.78-245.4C551.2 167.2 518.8 145.7 484.8 135.1zM336 128c-80.74 0-143.1 84.34-143.1 192s63.25 192 143.1 192c80.75 0 143.1-84.34 143.1-192S416.8 128 336 128zM336 480c-61.85 0-111.1-71.63-111.1-160s50.14-160 111.1-160s111.1 71.63 111.1 160S397.9 480 336 480zM237.9 96.45l35.75-19.51C327.6 47.53 388.5 32 449.9 32H624C632.8 32 640 24.84 640 16S632.8 0 624 0h-174.1c-65.73 0-130.9 16.55-188.8 47.56C245.5 35.05 196.2 0 136 0c-71.56 0-128.3 49.94-130.7 52.07C1.948 55.11 .0107 59.44 .0107 64s1.938 8.891 5.344 11.94C7.077 77.48 37.53 103.1 81.32 118.5c-12.1 6.309-23.92 14.04-34.33 24.44c-48.47 48.47-47.06 126.1-46.96 129.4C.2402 280.9 7.083 287.8 15.61 287.1c.25 0 .9297 .0156 1.93 .0156c12.78 0 82.62-2.116 127.5-46.98c39.15-39.15 45.67-96.71 46.71-119.4l26.74-14.59C225.7 103.5 232.2 99.98 237.9 96.45zM122.4 218.4C95.58 245.2 55.24 252.9 32.83 255.1C35.02 232.8 42.68 192.6 69.61 165.6c26.84-26.83 67.19-34.53 89.59-36.73C157 151.2 149.4 191.4 122.4 218.4zM136 96C96.96 96 61.99 77.02 42.61 64c19.38-13.02 54.34-32 93.4-32c39.06 0 74.03 18.98 93.4 32.02c-2.912 1.955-6.811 4.164-10.39 6.305L206.5 77.16C187.3 86.96 162.8 96 136 96z"],
    "om": [512, 512, [128329], "f679", "M429.2 191.8c-32.97 0-65.25 13.38-88.56 36.69c-17.36 17.36-41.39 27.31-65.94 27.31H219.8c17.35-17.88 28.2-41.68 28.2-68c0-55.14-46.66-100-104-100c-32.86 0-63.11 14.47-82.97 39.69c-5.469 6.953-4.281 17 2.656 22.47c6.969 5.5 17.03 4.266 22.47-2.656c13.77-17.48 34.84-27.5 57.84-27.5c39.7 0 72 30.5 72 68S183.7 255.9 143.1 255.9c-8.844 0-16 7.034-16 15.88s7.156 16 16 16c1.848 0 3.572-.4336 5.396-.5254C150.3 287.4 151.1 287.8 151.1 287.8c58.31 0 104 42.17 104 96c0 52.94-48.19 96-107.4 96c-56.91 0-108.2-48.59-116.7-110.6c-1.203-8.75-9.188-15.03-18.03-13.66c-8.75 1.203-14.87 9.266-13.66 18.03c10.67 77.52 75.88 138.3 148.4 138.3c76.88 0 139.4-57.3 139.4-127.9c0-38.83-17.85-72.84-45.97-96.12h32.72c32.97 0 65.25-13.38 88.56-36.69c17.36-17.36 41.39-27.31 68.69-27.31c26.47 0 48 21.6 48 48.06l-.0009 127.9c0 26.47-21.53 48-47.1 48h-24.45c-18.28 0-34.73-10.17-42.92-26.53l-14.31-28.62c-3.953-7.906-13.59-11.08-21.47-7.156c-7.906 3.953-11.11 13.56-7.156 21.47l14.31 28.62c13.66 27.28 41.06 44.22 71.55 44.22l24.45 .0918c44.11 0 80-35.89 80-80l-.0009-128.1C511.1 227.7 476.1 191.8 429.2 191.8zM282.2 142.7l39.69 15.42c16.48 6.422 33.73 9.594 50.97 9.594c24.94 0 49.83-6.656 72.3-19.73l10.91-6.359c7.625-4.453 10.2-14.25 5.766-21.89c-4.469-7.609-14.23-10.17-21.89-5.766l-10.91 6.359c-29.95 17.45-63.89 20.25-95.55 7.984L293.8 112.9c-8.219-3.219-17.5 .875-20.7 9.109S273.1 139.5 282.2 142.7zM347.6 103.6c5.688 5.516 13 8.325 20.31 8.325c7.375 0 14.76-2.856 20.58-8.497l27.39-27.41c5.203-5.547 8.078-12.7 8.078-20.16s-2.875-14.61-8.438-20.53l-27.41-27.39c-11.09-10.41-28.84-10.77-40.69 .3594l-27.39 27.41c-5.203 5.547-8.078 12.7-8.078 20.16s2.875 14.61 8.438 20.53L347.6 103.6zM367.1 32.97l22.84 22.84l-22.84 22.84l-22.84-22.84L367.1 32.97z"],
    "omega": [448, 512, [], "f67a", "M448 463.1C448 472.8 440.8 480 432 480h-128c-8.801 0-16-7.201-16-16v-16.07c0-6.605 4.121-12.52 10.21-15.09C367.3 403.7 416 335.5 416 255.1c0-108.5-90.5-196.3-200-191.9c-97.38 4-178.3 83.63-183.8 181c-4.623 84.1 45.33 157.3 117.5 187.7C155.9 435.4 160 441.3 160 447.9v16.07C160 472.8 152.8 480 144 480h-128C7.199 480 0 472.8 0 463.1s7.199-16 16-16h93c-72.63-43.63-118.6-126.9-107.3-220.2c12.38-101.4 94.88-183.1 196.5-194.4C333.5 18.32 448 123.7 448 256c0 81.63-43.75 152.9-109 191.1H432C440.8 447.1 448 455.2 448 463.1z"],
    "onion": [448, 512, [129477], "e427", "M448 281.5c0-58.47-34.75-113.8-92.94-147.9c0 0 0 0 0-.0156c-.543-.3105-44.73-27.38-71.54-82.92c-2.398-5.693-4.953-11.76-7.482-17.75c-2.457-6.684-4.982-13.31-6.793-20.68c-1.406-5.828-5.969-10.36-11.81-11.75c-5.688-1.406-11.97 .5781-15.84 5.125L224 26.02L206.4 5.57C202.5 1.023 196.3-.9609 190.6 .4453C184.7 1.836 180.2 6.367 178.8 12.2C176.9 19.57 174.4 26.2 171.1 32.89C169.4 38.88 166.9 44.93 164.5 50.61c-26.81 55.54-71 82.63-71.54 82.96C34.75 167.7 0 223 0 281.5c0 77.06 59.01 142.1 142.1 169.7l-13.25 39.76c-2.781 8.391 1.75 17.45 10.12 20.23C140.6 511.7 142.3 512 144 512c6.688 0 12.94-4.234 15.19-10.94l13.99-41.98C184.5 461.2 196.1 462.7 208 463.3V496c0 8.844 7.156 16 16 16s16-7.156 16-16v-32.66c11.89-.6895 23.51-2.109 34.82-4.26l13.99 41.98C291.1 507.8 297.3 512 304 512c1.688 0 3.375-.2656 5.062-.8281c8.375-2.781 12.91-11.84 10.12-20.23l-13.25-39.76C388.1 424.5 448 358.5 448 281.5zM32 281.5c0-47.69 28.12-91.55 77.13-120.3C109.9 160.7 114.8 157.7 121.9 152.4C79.28 255.9 74.88 276 74.88 314.9c0 35.13 10.08 60.3 26.12 82.01C58.87 369.3 32 327.8 32 281.5zM176.1 427.2c-47.28-40.41-70.09-62.46-70.09-112.3c0-42.84 6.916-61.6 86.55-250.6c2.541-5.293 5.219-10.38 7.445-16.13l6.383 7.418C174 295.8 171.4 317 184.3 368c6.646 26.19 17.69 46.34 34.08 63.78C204.2 431.5 190.3 429.9 176.1 427.2zM271 427.2c-2.5 .4961-4.947 1.094-7.486 1.512c-22.31-15.13-39.05-32.64-48.2-68.63c-11.45-45.18-8.822-65.74 23.98-302.8l7.801-9.064c2.229 5.758 4.91 10.85 7.453 16.14c79.63 188.9 86.55 207.7 86.55 250.5C341.1 364.8 318.3 386.8 271 427.2zM347 396.9c16.04-21.71 26.12-46.87 26.12-82.01c0-38.86-4.402-59.01-47.04-162.5c7.096 5.322 11.99 8.332 12.79 8.795C387.9 189.9 416 233.8 416 281.5C416 327.8 389.1 369.3 347 396.9z"],
    "option": [640, 512, [], "e318", "M432 96h192C632.8 96 640 88.84 640 80C640 71.16 632.8 64 624 64h-192C423.2 64 416 71.16 416 80C416 88.84 423.2 96 432 96zM624 416h-129.7c-14.47 0-28.03-6.406-37.19-17.59L207.6 93.34C192.3 74.69 169.8 64 145.7 64H16C7.156 64 0 71.16 0 80S7.156 96 16 96h129.7c14.47 0 28.03 6.406 37.19 17.59l249.6 305.1C447.7 437.3 470.3 448 494.3 448H624c8.844 0 16-7.156 16-16S632.8 416 624 416z"],
    "ornament": [384, 512, [], "f7b8", "M287.1 153.9L288 96c0-17.67-14.37-32-32.04-32h-18.9C238.8 58.97 240 53.64 240 48c0-26.51-21.52-48-48.02-48S144 21.49 144 48c0 5.641 1.15 10.97 2.938 16H127.1C110.3 64 96 78.33 96 96L95.99 153.9C38.72 187.2 0 249 0 320c0 106 85.95 192 191.1 192S384 426 384 320C384 249 345.3 187.2 287.1 153.9zM191.1 32C200.8 32 208 39.18 208 48S200.8 64 192 64S176 56.82 176 48S183.1 32 191.1 32zM128 96h128v48H128V96zM123.5 176h136.1c23.22 11.1 43.12 27.78 58.59 48H64.92C80.39 203.8 100.3 187.1 123.5 176zM192 480c-52.06 0-97.95-25.38-127.2-64h254.4C289.9 454.6 244.1 480 192 480zM338.4 384H45.56C36.95 364.4 32 342.8 32 320c0-22.83 5.002-44.41 13.7-64h292.6C346.1 275.6 352 297.2 352 320C352 342.8 347.1 364.4 338.4 384z"],
    "otter": [640, 512, [129446], "f700", "M224 160c8.836 0 16-7.164 16-16C240 135.2 232.8 128 224 128S208 135.2 208 144C208 152.8 215.2 160 224 160zM141.1 182.1l8.314 3.777c6.668 3.029 14.52 3.029 21.18 0l8.314-3.777C186.9 178.5 192 171 192 162.9V156.2C192 149.4 186 144 178.6 144H141.4C133.1 144 128 149.4 128 156.2v6.701C128 171 133.1 178.5 141.1 182.1zM96 160c8.836 0 16-7.164 16-16C112 135.2 104.8 128 96 128S80 135.2 80 144C80 152.8 87.16 160 96 160zM474.4 64.12C473.8 64.04 473.2 64 472.6 64C465.8 64 460 69.65 460 76.73c0 5.959 4.188 10.1 9.991 12.36c44.73 10.49 77.5 51.87 73.71 100.6C542.4 205.9 536.6 221.6 528 235.1V208c0-11.17-5.688-21.34-15.19-27.22c-9.438-5.891-21.06-6.375-31.12-1.406C452.2 194.1 433.9 223.3 432.5 256h-63.75C394.9 255.6 416 234.3 416 208C416 181.5 394.5 160 368 160c-20.64 0-45.43 7.074-66.65 21.89C302.1 174.9 304 167.8 304 160.3v-16c0-1.684-.4238-3.248-.4961-4.912C313.2 133.9 320 123.9 320 112C320 103.2 312.8 96 304 96H292.7C274.6 58.26 236.3 32 191.7 32H128.3C83.68 32 45.44 58.26 27.33 96H16C7.164 96 0 103.2 0 112c0 11.93 6.816 21.93 16.5 27.43C16.42 141.1 16 142.7 16 144.3v16c0 19.56 5.926 37.71 16 52.86V256c0 123.7 100.3 224 224 224h157.9C538.8 480 640 378.8 640 253.8C639.9 156.9 567.8 76.96 474.4 64.12zM368 192C376.8 192 384 199.2 384 208c0 8.812-7.125 15.95-15.91 16c-6.918 .0801-36.74 2.842-45.19 32H320C308.7 256 299.3 249.9 293.6 241.1C307.5 203.4 345.6 192 368 192zM48 144.3C48 100 84.04 64 128.3 64h63.32C235.1 64 272 100 272 144.3v16C272 195.4 243.4 224 208.3 224C201.9 224 195.5 222.7 189.6 220.2L160 207.5L130.4 220.2C124.5 222.7 118.1 224 111.7 224C76.56 224 48 195.4 48 160.3V144.3zM111.7 256c10.78 0 21.45-2.189 31.36-6.436L160 242.3l16.98 7.271C186.9 253.8 197.6 256 208.3 256c18.59 0 35.63-5.723 50.3-14.91C266.2 268 290.7 288 320 288h56.91C361.6 305 352 327.3 352 352H269.1C270.8 346.1 272 341.6 272 336C272 309.5 250.5 288 224 288H112c-25.45 0-46.13-19.96-47.71-45.01C78.32 251 94.34 256 111.7 256zM416 447.9L256 448c-87.61 0-161.5-59.05-184.5-139.4C83.43 315.7 97.16 320 112 320l111.1 0c7.979 0 15.39 5.437 16.68 13.31C241.4 343.3 233.7 352 224 352l-63.17 0c-7.969 0-15.35 5.455-16.62 13.32C142.6 375.4 150.3 384 160 384h224v-32c0-35.35 28.65-64 64-64h16V259.8c0-22.08 12.25-41.91 32-51.78V336c0 22.31-15.3 41.12-35.96 46.47C452.1 384.3 448 390.6 448 397.9c0 10.67 10.18 18.15 20.49 15.42C502.7 404.3 528 373 528 336V282.5c1.369-.8613 2.906-1.408 4.137-2.49c24.63-21.66 40.88-54.49 43.47-87.81c1-12.88 .0859-25.47-2.525-37.49C594.9 182.2 607.1 216.8 608 253.8C608 360.2 522.1 446.7 416 447.9z"],
    "outdent": [512, 512, ["dedent"], "f03b", "M32 64C32 55.16 39.16 48 48 48H464C472.8 48 480 55.16 480 64C480 72.84 472.8 80 464 80H48C39.16 80 32 72.84 32 64zM224 192C224 183.2 231.2 176 240 176H464C472.8 176 480 183.2 480 192C480 200.8 472.8 208 464 208H240C231.2 208 224 200.8 224 192zM464 304C472.8 304 480 311.2 480 320C480 328.8 472.8 336 464 336H240C231.2 336 224 328.8 224 320C224 311.2 231.2 304 240 304H464zM32 448C32 439.2 39.16 432 48 432H464C472.8 432 480 439.2 480 448C480 456.8 472.8 464 464 464H48C39.16 464 32 456.8 32 448zM133.8 165.6C144.3 156.1 159.1 164.4 159.1 177.9V334.1C159.1 347.6 144.3 355 133.8 346.4L38.1 268.4C31.23 261.1 31.23 250 38.1 243.6L133.8 165.6zM127.1 211.8L74.34 256L127.1 300.2V211.8z"],
    "outlet": [448, 512, [], "e01c", "M384 31.1H64c-35.35 0-64 28.65-64 63.1v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64v-320C448 60.65 419.3 31.1 384 31.1zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416zM224 288C210.8 288 200 298.8 200 312v24h48V312C248 298.8 237.2 288 224 288zM176 192C167.2 192 160 199.2 160 208V256c0 8.836 7.164 16 16 16C184.8 272 192 264.8 192 256V208C192 199.2 184.8 192 176 192zM272 192C263.2 192 256 199.2 256 208V256c0 8.836 7.164 16 16 16C280.8 272 288 264.8 288 256V208C288 199.2 280.8 192 272 192zM319.3 128c-.123 0-.2441 0-.3672 .0039L128.7 128c-4.971 0-9.721 1.99-13.28 5.404C83.79 164.6 64 207.9 64 255.1c0 48.1 19.79 91.4 51.46 122.6c3.646 3.5 8.541 5.4 13.65 5.4h189.8c5.104 0 10-1.9 13.65-5.4C364.2 347.4 384 304.1 384 255.1c0-48.1-19.79-91.4-51.46-122.6C328.1 129.1 324.2 128 319.3 128zM313.8 351.1H134.2C109.5 325.8 96 291.1 96 256c0-36.07 13.61-70.06 38.17-95.1l179.6-.0078C338.5 186.2 352 220 352 256C352 292.1 338.4 326.1 313.8 351.1z"],
    "oven": [448, 512, [], "e01d", "M352 0H96C42.98 0 0 42.98 0 96v352c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 42.98 405 0 352 0zM416 448c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V192h384V448zM416 160H32V96c0-35.29 28.71-64 64-64h256c35.29 0 64 28.71 64 64V160zM96 448h256c17.67 0 32-14.33 32-32V256c0-17.67-14.33-32-32-32H96C78.33 224 64 238.3 64 256v160C64 433.7 78.33 448 96 448zM96 256h256v160H96V256zM304 288h-160C135.2 288 128 295.2 128 304C128 312.8 135.2 320 144 320h160c8.836 0 16-7.164 16-16C320 295.2 312.8 288 304 288zM80 96C71.16 96 64 103.2 64 112C64 120.8 71.16 128 80 128S96 120.8 96 112C96 103.2 88.84 96 80 96zM176 96C167.2 96 160 103.2 160 112C160 120.8 167.2 128 176 128S192 120.8 192 112C192 103.2 184.8 96 176 96zM272 96C263.2 96 256 103.2 256 112C256 120.8 263.2 128 272 128S288 120.8 288 112C288 103.2 280.8 96 272 96zM368 96C359.2 96 352 103.2 352 112C352 120.8 359.2 128 368 128S384 120.8 384 112C384 103.2 376.8 96 368 96z"],
    "overline": [448, 512, [], "f876", "M432 0h-416C7.199 0 0 7.199 0 16C0 24.8 7.199 32 16 32h416C440.8 32 448 24.8 448 16C448 7.199 440.8 0 432 0zM224 96C135.6 96 64 167.6 64 256v96c0 88.38 71.63 160 160 160S384 440.4 384 352V256C384 167.6 312.4 96 224 96zM352 352c0 70.75-57.25 128-128 128s-128-57.25-128-128V256c0-70.75 57.25-127.1 128-127.1S352 185.3 352 256V352z"],
    "p": [320, 512, [112], "50", "M16 480C7.156 480 0 472.8 0 464v-416C0 39.16 7.156 32 16 32h160C255.4 32 320 96.59 320 176S255.4 320 176 320H32v144C32 472.8 24.84 480 16 480zM32 288h144C237.8 288 288 237.8 288 176S237.8 64 176 64H32V288z"],
    "page": [384, 512, [], "e428", "M320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H245.5C262.5 0 278.7 6.743 290.7 18.75L365.3 93.26C377.3 105.3 384 121.5 384 138.5V448C384 483.3 355.3 512 320 512zM64 480H320C337.7 480 352 465.7 352 448V138.5C352 130 348.6 121.9 342.6 115.9L268.1 41.37C262.1 35.37 253.1 32 245.5 32H64C46.33 32 32 46.33 32 64V448C32 465.7 46.33 480 64 480V480z"],
    "page-caret-down": [384, 512, ["file-caret-down"], "e429", "M104.5 264.2C90.38 248.8 101.3 224 122.2 224H261.8C282.7 224 293.6 248.8 279.5 264.2L203.8 346.8C200.8 350.1 196.5 352 192 352C187.5 352 183.2 350.1 180.2 346.8L104.5 264.2zM192 312.3L243.6 256H140.4L192 312.3zM0 448V64C0 28.65 28.65 0 64 0H245.5C262.5 0 278.7 6.743 290.7 18.75L365.3 93.26C377.3 105.3 384 121.5 384 138.5V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448zM352 138.5C352 130 348.6 121.9 342.6 115.9L268.1 41.37C262.1 35.37 253.1 32 245.5 32H64C46.33 32 32 46.33 32 64V448C32 465.7 46.33 480 64 480H320C337.7 480 352 465.7 352 448V138.5z"],
    "page-caret-up": [384, 512, ["file-caret-up"], "e42a", "M279.5 279.8C293.6 295.2 282.7 320 261.8 320H122.2C101.3 320 90.38 295.2 104.5 279.8L180.2 197.2C183.2 193.9 187.5 192 192 192C196.5 192 200.8 193.9 203.8 197.2L279.5 279.8zM140.4 288H243.6L192 231.7L140.4 288zM0 448V64C0 28.65 28.65 0 64 0H245.5C262.5 0 278.7 6.743 290.7 18.75L365.3 93.26C377.3 105.3 384 121.5 384 138.5V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448zM352 138.5C352 130 348.6 121.9 342.6 115.9L268.1 41.37C262.1 35.37 253.1 32 245.5 32H64C46.33 32 32 46.33 32 64V448C32 465.7 46.33 480 64 480H320C337.7 480 352 465.7 352 448V138.5z"],
    "pager": [512, 512, [128223], "f815", "M208 352h64c8.844 0 16-7.156 16-16S280.8 320 272 320h-64C199.2 320 192 327.2 192 336S199.2 352 208 352zM80 352h64C152.8 352 160 344.8 160 336S152.8 320 144 320h-64C71.16 320 64 327.2 64 336S71.16 352 80 352zM448 64H64C28.63 64 0 92.63 0 128v256c0 35.38 28.62 64 64 64h384c35.38 0 64-28.62 64-64V128C512 92.63 483.4 64 448 64zM480 384c0 17.62-14.38 32-32 32H64c-17.62 0-32-14.38-32-32V256h448V384zM480 224H32V128c0-17.62 14.38-32 32-32h384c17.62 0 32 14.38 32 32V224z"],
    "paint-roller": [512, 512, [], "f5aa", "M416 64V96C416 131.3 387.3 160 352 160H64C28.65 160 0 131.3 0 96V64C0 28.65 28.65 0 64 0H352C387.3 0 416 28.65 416 64zM352 32H64C46.33 32 32 46.33 32 64V96C32 113.7 46.33 128 64 128H352C369.7 128 384 113.7 384 96V64C384 46.33 369.7 32 352 32zM208 288C208 252.7 236.7 224 272 224H448C465.7 224 480 209.7 480 192V128C480 110.3 465.7 96 448 96V64C483.3 64 512 92.65 512 128V192C512 227.3 483.3 256 448 256H272C254.3 256 240 270.3 240 288V320C266.5 320 288 341.5 288 368V464C288 490.5 266.5 512 240 512H208C181.5 512 160 490.5 160 464V368C160 341.5 181.5 320 208 320V288zM240 352H208C199.2 352 192 359.2 192 368V464C192 472.8 199.2 480 208 480H240C248.8 480 256 472.8 256 464V368C256 359.2 248.8 352 240 352z"],
    "paintbrush": [576, 512, [128396, "paint-brush"], "f1fc", "M288 400C288 461.9 237.9 512 176 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H36.81C54.44 448 66.4 429.1 64.59 411.6C64.2 407.8 64 403.9 64 400C64 338.1 114.1 288 176 288C178.8 288 181.5 288.1 184.3 288.3C184.1 285.7 183.1 282.1 183.1 280.3C183.1 244.6 201.1 210.1 229.1 189.1L474.3 12.25C499.7-6.279 534.9-3.526 557.2 18.74C579.4 41 582.2 76.16 563.7 101.6L386.1 345.1C365 374.9 331.4 392 295.7 392C293 392 290.3 391.9 287.7 391.7C287.9 394.5 287.1 397.2 287.1 400H288zM295.7 360C321.2 360 345.2 347.8 360.2 327.2L537.8 82.82C547.1 70.08 545.7 52.5 534.5 41.37C523.4 30.24 505.8 28.86 493.1 38.12L248.8 215.8C228.2 230.8 215.1 254.8 215.1 280.3C215.1 285.7 216.5 290.9 217.5 295.1L217.6 295.1C217.9 297.3 218.2 298.6 218.5 299.9L276.1 357.5C277.4 357.8 278.7 358.1 280 358.4L280 358.5C285.1 359.5 290.3 360 295.7 360L295.7 360zM253.5 380.1L195.9 322.5C194.5 322.2 193.2 321.8 191.9 321.6C186.7 320.5 181.4 320 176 320C131.8 320 96 355.8 96 400C96 402.8 96.14 405.6 96.43 408.3C98.15 425 93.42 441.9 83.96 455.1C74.31 468.5 58 480 36.81 480H176C220.2 480 256 444.2 256 400C256 394.6 255.5 389.3 254.4 384.1C254.2 382.8 253.9 381.5 253.5 380.1V380.1z"],
    "paintbrush-fine": [576, 512, ["paint-brush-alt", "paint-brush-fine", "paintbrush-alt"], "f5a9", "M557.2 109.3L286.3 380.2C287.4 386.6 288 393.2 288 400C288 461.9 237.9 512 176 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H36.81C54.44 448 66.4 429.1 64.59 411.6C64.2 407.8 64 403.9 64 400C64 338.1 114.1 288 176 288C182.7 288 189.3 288.6 195.7 289.7L466.7 18.75C491.7-6.248 532.2-6.248 557.2 18.75C582.2 43.74 582.2 84.26 557.2 109.3L557.2 109.3zM489.3 41.37L324.6 206L369.9 251.3L534.5 86.63C547 74.13 547 53.87 534.5 41.37C522 28.88 501.8 28.88 489.3 41.37V41.37zM224.6 306L269.9 351.3L347.3 273.9L302 228.6L224.6 306zM195.9 322.5C189.5 320.9 182.9 320 176 320C131.8 320 96 355.8 96 400C96 402.8 96.14 405.6 96.43 408.3C98.15 425 93.42 441.9 83.96 455.1C74.31 468.5 58 480 36.81 480H176C220.2 480 256 444.2 256 400C256 393.1 255.1 386.5 253.5 380.1L195.9 322.5z"],
    "paintbrush-pencil": [576, 512, [], "e206", "M288 400C288 461.9 237.9 512 176 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H36.81C54.44 448 66.4 429.1 64.59 411.6C64.2 407.8 64 403.9 64 400C64 338.1 114.1 288 176 288C182.7 288 189.3 288.6 195.7 289.7L466.7 18.75C491.7-6.248 532.2-6.248 557.2 18.75C582.2 43.74 582.2 84.26 557.2 109.3L286.3 380.2C287.4 386.6 288 393.2 288 400L288 400zM534.5 86.63C547 74.13 547 53.87 534.5 41.37C522 28.88 501.8 28.88 489.3 41.37L324.6 206L369.9 251.3L534.5 86.63zM347.3 273.9L302 228.6L224.6 306L269.9 351.3L347.3 273.9zM96 400C96 402.8 96.14 405.6 96.43 408.3C98.15 425 93.42 441.9 83.96 455.1C74.31 468.5 58 480 36.81 480H176C220.2 480 256 444.2 256 400C256 393.1 255.1 386.5 253.5 380.1L195.9 322.5C189.5 320.9 182.9 320 176 320C131.8 320 96 355.8 96 400V400zM170.8 16.97L296.1 143.2L274.4 165.8L225.6 117L149 193.6L197.8 242.4L183.9 256.2C181.3 256.1 178.7 255.1 176 255.1C172.8 255.1 169.6 256.1 166.5 256.3L48.97 138.8C27.1 116.9 27.1 81.47 48.97 59.6L91.6 16.97C113.5-4.899 148.9-4.899 170.8 16.97V16.97zM71.6 82.23C62.23 91.6 62.23 106.8 71.6 116.2L126.4 170.1L202.1 94.4L148.2 39.6C138.8 30.23 123.6 30.23 114.2 39.6L71.6 82.23zM410.1 301.6L432.8 278.9L483.6 329.7C494.9 341.1 503.2 355.1 507.8 370.5L543.4 491.5C545 497.1 543.5 503.2 539.3 507.3C535.2 511.5 529.1 513 523.5 511.4L402.5 475.8C387.1 471.2 373.1 462.9 361.7 451.6L319.7 409.5C319.9 406.4 320 403.2 320 400C320 397.3 319.9 394.6 319.8 391.9L333.6 378.1L384.4 428.9C391.9 436.5 401.3 442.1 411.6 445.1L504.4 472.4L477.1 379.6C474.1 369.3 468.5 359.9 460.9 352.4L410.1 301.6z"],
    "palette": [512, 512, [127912], "f53f", "M152 255.1C152 269.3 141.3 279.1 128 279.1C114.7 279.1 104 269.3 104 255.1C104 242.7 114.7 231.1 128 231.1C141.3 231.1 152 242.7 152 255.1zM136 159.1C136 146.7 146.7 135.1 160 135.1C173.3 135.1 184 146.7 184 159.1C184 173.3 173.3 183.1 160 183.1C146.7 183.1 136 173.3 136 159.1zM280 127.1C280 141.3 269.3 151.1 256 151.1C242.7 151.1 232 141.3 232 127.1C232 114.7 242.7 103.1 256 103.1C269.3 103.1 280 114.7 280 127.1zM328 159.1C328 146.7 338.7 135.1 352 135.1C365.3 135.1 376 146.7 376 159.1C376 173.3 365.3 183.1 352 183.1C338.7 183.1 328 173.3 328 159.1zM441.9 319.1H344C317.5 319.1 296 341.5 296 368C296 371.4 296.4 374.7 297 377.9C299.2 388.1 303.5 397.1 307.9 407.8C313.9 421.6 320 435.3 320 449.8C320 481.7 298.4 510.5 266.6 511.8C263.1 511.9 259.5 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 256.9 511.1 257.8 511.1 258.7C511.6 295.2 478.4 320 441.9 320V319.1zM479.1 258.3C479.1 257.6 480 256.8 480 255.1C480 132.3 379.7 31.1 256 31.1C132.3 31.1 32 132.3 32 255.1C32 379.7 132.3 480 256 480C259.1 480 262.2 479.9 265.3 479.8C275.7 479.4 288 469.1 288 449.8C288 444.6 286.1 438 281.1 426.4C280.4 424.9 279.7 423.3 278.1 421.6C274.6 411.9 268.6 398.3 265.7 384.6C264.6 379.2 264 373.6 264 368C264 323.8 299.8 288 344 288H441.9C466.2 288 479.8 272.4 479.1 258.3V258.3z"],
    "pallet": [640, 512, [], "f482", "M624 480h-64v-96h64c8.844 0 16-7.156 16-16S632.8 352 624 352h-608C7.156 352 0 359.2 0 368S7.156 384 16 384h64v96h-64C7.156 480 0 487.2 0 496S7.156 512 16 512h608c8.844 0 16-7.156 16-16S632.8 480 624 480zM304 480h-192v-96h192V480zM528 480h-192v-96h192V480z"],
    "pallet-box": [640, 512, [], "e208", "M192 288h256c35.35 0 64-28.65 64-64V64c0-35.35-28.65-64-64-64H192C156.7 0 128 28.65 128 64v160C128 259.3 156.7 288 192 288zM272 32h96v70.13l-40.84-20.44c-4.5-2.25-9.812-2.25-14.31 0L272 102.1V32zM160 64c0-17.64 14.36-32 32-32h48v96c0 5.531 2.875 10.69 7.594 13.62c4.656 2.812 10.59 3.156 15.56 .6875L320 113.9l56.84 28.44C379.1 143.4 381.6 144 384 144c2.938 0 5.844-.8125 8.406-2.375C397.1 138.7 400 133.5 400 128V32H448c17.64 0 32 14.36 32 32v160c0 17.64-14.36 32-32 32H192C174.4 256 160 241.6 160 224V64zM624 480h-64v-96h64c8.844 0 16-7.156 16-16S632.8 352 624 352h-608C7.156 352 0 359.2 0 368S7.156 384 16 384h64v96h-64C7.156 480 0 487.2 0 496S7.156 512 16 512h608c8.844 0 16-7.156 16-16S632.8 480 624 480zM304 480h-192v-96h192V480zM528 480h-192v-96h192V480z"],
    "pallet-boxes": [640, 512, [57863, "palette-boxes", "pallet-alt"], "f483", "M448 288h64c35.35 0 64-28.65 64-64V128c0-35.35-28.65-64-64-64h-64c-35.35 0-64 28.65-64 64v96C384 259.3 412.7 288 448 288zM416 128c0-17.64 14.36-32 32-32h64c17.64 0 32 14.36 32 32v96c0 17.64-14.36 32-32 32h-64c-17.64 0-32-14.36-32-32V128zM128 288h160c35.35 0 64-28.65 64-64V64c0-35.35-28.65-64-64-64L128 0C92.65 0 64 28.65 64 64v160C64 259.3 92.65 288 128 288zM96 64c0-17.64 14.36-32 32-32h160c17.64 0 32 14.36 32 32v160c0 17.64-14.36 32-32 32H128C110.4 256 96 241.6 96 224V64zM624 480h-64v-96h64c8.844 0 16-7.156 16-16S632.8 352 624 352h-608C7.156 352 0 359.2 0 368S7.156 384 16 384h64v96h-64C7.156 480 0 487.2 0 496S7.156 512 16 512h608c8.844 0 16-7.156 16-16S632.8 480 624 480zM304 480h-192v-96h192V480zM528 480h-192v-96h192V480z"],
    "pan-food": [576, 512, [129368], "e42b", "M568.4 121.5l-43.19-67.32C518.3 43.34 507.6 35.89 495.1 33.14c-12.56-2.688-25.38-.4219-36.16 6.484L441 51.11C396.5 17.86 342.6 0 287.8 0C240.5 0 192.6 13.09 149.8 40.51C56.25 100.5 15.13 211.1 38.77 313.5l-16.67 10.68c-22.28 14.26-28.81 44.01-14.53 66.32l43.19 67.32c6.908 10.79 17.63 18.25 30.13 20.1c3.469 .75 6.938 1.125 10.38 1.125c9.062 0 17.97-2.594 25.78-7.607l17.93-11.49C179.5 494.1 233.4 512 288.2 512c47.3 0 95.14-13.09 137.9-40.5c93.59-59.98 134.7-170.6 111.1-273l16.67-10.68C576.2 173.5 582.7 143.8 568.4 121.5zM99.79 445.4c-3.625 2.311-7.875 3.061-12.06 2.154c-4.156-.9062-7.719-3.389-10.03-6.998l-43.19-67.32c-4.75-7.436-2.594-17.36 4.846-22.12l8.844-5.67c6.252 16.7 14.25 33.02 24.26 48.65c10.78 16.82 23.43 31.64 37.15 45.02L99.79 445.4zM506.8 303.9c-12.79 58.44-47.57 108.4-97.95 140.7c-36.18 23.19-77.9 35.45-120.7 35.45c-76.84 0-147.4-38.55-188.8-103.1C67.11 326.5 56.37 266.6 69.15 208.1C81.94 149.7 116.7 99.73 167.1 67.44c36.18-23.19 77.9-35.45 120.7-35.45c76.84 0 147.4 38.56 188.8 103.1C508.9 185.5 519.6 245.4 506.8 303.9zM536.6 160.8l-8.844 5.67c-6.252-16.7-14.25-33.03-24.26-48.65c-10.78-16.82-23.43-31.64-37.15-45.02l9.816-6.291c3.656-2.297 7.969-3.016 12.06-2.156c4.156 .9062 7.719 3.391 10.03 7l43.19 67.32C546.2 146.2 544.1 156.1 536.6 160.8zM256 320H214.6l-16-16l.6875-.6875c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0l-24 24c-6.25 6.25-6.25 16.38 0 22.62C155.8 330.4 159.9 332 164 332s8.188-1.562 11.31-4.688L176 326.6l16 16v41.38c0 35.3 28.72 64 64 64s64-28.7 64-64S291.3 320 256 320zM256 416c-17.66 0-32-14.36-32-32v-32h32c17.66 0 32 14.36 32 32S273.7 416 256 416zM433.5 180.7l-92.78 92.78c-6.25 6.25-6.25 16.38 0 22.62c15.41 15.42 35.91 23.91 57.72 23.91c21.78 0 42.28-8.484 57.69-23.91S480 260.2 480 238.4s-8.5-42.28-23.91-57.7C449.8 174.4 439.7 174.4 433.5 180.7zM433.5 273.5c-15.44 15.42-38.5 18.53-56.97 9.438l66.41-66.41C452 235 448.8 258.1 433.5 273.5zM224 160h128c8.844 0 16-7.156 16-16c0-44.11-35.88-80-80-80s-80 35.89-80 80C208 152.8 215.2 160 224 160zM288 96c20.88 0 38.66 13.38 45.25 32h-90.5C249.3 109.4 267.1 96 288 96zM256 240c0 8.836 7.164 16 16 16s16-7.164 16-16c0-8.838-7.164-16-16-16S256 231.2 256 240zM368 384c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16s16-7.164 16-16C384 391.2 376.8 384 368 384zM171.3 180.7c-6.25-6.25-16.38-6.25-22.62 0l-32 32c-6.25 6.25-6.25 16.38 0 22.62C119.8 238.4 123.9 240 128 240s8.188-1.562 11.31-4.688l32-32C177.6 197.1 177.6 186.9 171.3 180.7z"],
    "pan-frying": [576, 512, [127859], "e42c", "M574.3 435.8c-4.027-16.71-14.81-30.93-29.73-39.32l-117.3-78.75C440.4 289.2 448 257.5 448 224c0-123.7-100.3-224-224-224C100.3 0 0 100.3 0 224c0 123.7 100.3 224 224 224c53.36 0 102.3-18.73 140.8-49.88l107.5 97.39C483.2 505.9 498.3 512 514.3 512c19.91 0 38.7-9.67 50.26-25.87C574.9 471.6 578.5 453.2 574.3 435.8zM224 416C118.1 416 32 329.9 32 224s86.13-192 192-192c105.9 0 192 86.13 192 192S329.9 416 224 416zM538.5 467.5C532.6 475.7 523.5 480 514.3 480c-7.322 0-14.69-2.688-20.48-8.213l-105.6-95.71c8.688-9.373 16.64-19.41 23.63-30.16l116.2 77.99C544 432.2 548.1 452.8 538.5 467.5zM509.4 433.5c-8.717 1.455-14.6 9.701-13.14 18.42c1.457 8.715 9.703 14.6 18.42 13.14c8.717-1.457 14.6-9.703 13.14-18.42C526.3 437.1 518.1 432.1 509.4 433.5zM362.7 160.1c-12.94-13.33-28.59-19.97-43.72-26.39c-11.12-4.719-21.62-9.172-29.88-15.95L284.4 113.9C261.2 94.7 237.5 74.72 197.1 81.25C142.7 90.03 128.3 132.5 121.4 172.9C119.4 184.3 115 196 110.3 208.5C102.6 228.9 94.66 249.9 96.19 273.1c2.594 39.19 30.59 75.95 68.06 89.39c10.72 3.844 20.62 5.516 29.81 5.516c35.06 0 60-24.2 80.91-44.47l8-7.703c9.312-8.875 19.69-12.66 31.69-17.05c11.5-4.203 24.53-8.984 37.44-18.83c18.59-14.12 30.47-37.64 31.75-62.91C385 194.2 377.3 173.7 362.7 160.1zM332.7 254.5v.0156c-9.062 6.906-18.78 10.45-29.06 14.22c-13.41 4.891-28.59 10.45-42.72 23.88L252.7 300.6c-27.88 27.02-46.53 42.98-77.63 31.8C149.6 323.3 129.9 297.5 128.1 271C127 254.8 133.4 237.8 140.3 219.8c5-13.3 10.19-27.03 12.69-41.48c7.375-43.11 20.72-60.84 49.28-65.45C205.7 112.3 208.1 112 212.1 112c19.91 0 33.16 11 51.94 26.56l4.719 3.906c11.81 9.719 24.97 15.3 37.69 20.69c12.75 5.406 24.81 10.53 33.81 19.77c11.03 10.31 12 24.81 11.62 32.55C351.1 231.2 343.8 246.2 332.7 254.5zM224 168C193.1 168 168 193.1 168 224s25.12 56 56 56c30.88 0 56-25.12 56-56S254.9 168 224 168zM224 248c-13.22 0-24-10.77-24-24s10.78-24 24-24s24 10.77 24 24S237.2 248 224 248z"],
    "pancakes": [512, 512, [129374], "e42d", "M512 256c0-7.885-2.484-17.16-10.1-26.56c-4.367-5.391-4.375-13.44-.002-18.83C509.5 201.2 512 191.9 512 184c0-8.004-2.57-17.46-10.35-27.02c-5.564 9.188-13.18 17.23-22.29 24.3C479.6 182.2 480 183.1 480 184c0 20.56-60.38 38.09-145.2 44.92C326.4 229.6 320 236.6 320 245c0 9.41 8.059 16.84 17.44 16.16c58.6-4.232 97.88-13.1 124.2-23.82C473.1 243.1 480 249.4 480 256c0 21.19-64.15 39.13-153.1 45.49c-6.047 .4336-11.34 4.203-13.69 9.793L313.1 311.6c-4.668 10.97 3.912 22.98 15.81 22.24c63.32-3.936 105.3-13.07 132.9-24.29C473.1 315.3 480 321.4 480 328c0 26.51-100.3 48-224 48c-20.53 0-40.36-.6133-59.24-1.727c-6.139-.3633-11.82 2.816-14.82 8.186c-.0625 .1113-.125 .2227-.1895 .334c-5.803 10.25 1.217 23.06 12.98 23.68C213.3 407.4 233.6 408 256 408c106.1 0 168.8-11.41 205.8-26.54C473.1 387.2 480 393.4 480 400c0 26.51-100.3 48-224 48s-224-21.49-224-48c0-5.303 4.17-10.39 11.58-15.16C33.68 368.3 32 348.3 32 344V180.5C22.29 172.8 15.38 164.7 10.52 156.8C2.613 166.4 0 175.9 0 184c0 7.879 2.643 17.15 10.3 26.54c4.412 5.41 4.412 13.51 0 18.92C2.643 238.9 0 248.1 0 256c0 7.879 2.643 17.15 10.3 26.54c4.412 5.41 4.412 13.51 0 18.92C2.643 310.9 0 320.1 0 328c0 7.889 2.432 17.18 10.04 26.58c4.357 5.389 4.354 13.43 .0039 18.82C2.455 382.8 0 392.1 0 400c0 29.88 33.26 80 256 80s256-50.12 256-80c0-7.859-2.469-17.1-10.06-26.45c-4.381-5.395-4.406-13.46-.0371-18.86C509.5 345.2 512 335.9 512 328c0-7.773-2.52-16.89-9.984-26.14c-4.414-5.467-4.504-13.6-.0859-19.06C509.6 273.3 512 263.9 512 256zM64 154.4v179.1c0 24.39 17.49 46.16 41.69 49.26C134.1 387.3 160 364.5 160 336V201.8c0-9.525 8.318-16.85 17.78-15.7C177.9 186.2 177.1 186.2 178.1 186.2C186 187.1 192 193.9 192 201.9V288c0 28.54 25.04 51.35 54.31 47.59C270.5 332.5 288 310.7 288 286.3V189.1c97.97-4.531 192-30.08 192-79.2c0-105-448-105-448 0C32 127.4 42.75 142 64 154.4zM208 64.02h96c8.836 0 16 7.162 16 16c0 8.836-7.164 15.1-16 15.1h-96c-8.836 0-16-7.161-16-15.1C192 71.18 199.2 64.02 208 64.02zM161.6 70.31C160.9 73.43 160 76.47 160 80C160 106.5 181.5 128 208 128h96C330.5 128 352 106.5 352 80c0-3.529-.8848-6.566-1.611-9.691C412 80.55 448 98.99 448 110.8c0 14.81-62.25 45.08-176.4 47.75C262.9 158.7 256 165.8 256 174.5V288c0 9.723-8.719 17.44-18.72 15.77C229.4 302.5 224 295 224 287.1V173c0-8.334-6.396-15.34-14.71-15.95C187.1 155.4 166.2 152.7 147.1 148.9C137.7 145.8 128 152.8 128 162.7V336c0 9.723-8.719 17.44-18.72 15.77C101.4 350.5 96 343 96 335.1V144.8c0-6.111-3.48-11.69-8.969-14.38C68.84 121.5 64 113.9 64 110.8C64 98.99 99.96 80.55 161.6 70.31z"],
    "panel-ews": [512, 512, [], "e42e", "M208 144h-96C103.2 144 96 151.2 96 160s7.168 16 16 16h96C216.8 176 224 168.8 224 160S216.8 144 208 144zM208 80h-96C103.2 80 96 87.17 96 96s7.168 16 16 16h96C216.8 112 224 104.8 224 96S216.8 80 208 80zM432 0h-352C35.81 0 0 35.81 0 80v352C0 476.2 35.81 512 80 512h352c44.19 0 80-35.81 80-80v-352C512 35.81 476.2 0 432 0zM384 464c0 8.832-7.168 16-16 16h-32c-8.832 0-16-7.168-16-16v-192C320 263.2 327.2 256 336 256h32C376.8 256 384 263.2 384 272V464zM480 432c0 26.5-21.5 48-48 48h-18.72C415 475 416 469.6 416 464v-192C416 245.5 394.5 224 368 224h-32C309.5 224 288 245.5 288 272v192c0 5.6 .9609 11.01 2.721 16H80C53.5 480 32 458.5 32 432V320c17.66 0 32 14.34 32 32v32c0 35.36 28.64 64 64 64s64-28.64 64-64v-32c26.5 0 48-21.5 48-48v-32C240 245.5 218.5 224 192 224H160C133.5 224 112 245.5 112 272v32C112 330.5 133.5 352 160 352v32c0 17.66-14.34 32-32 32s-32-14.34-32-32v-32c0-35.36-28.64-64-64-64V80C32 53.5 53.5 32 80 32h352C458.5 32 480 53.5 480 80V432zM160 320c-8.832 0-16-7.168-16-16v-32C144 263.2 151.2 256 160 256h32c8.832 0 16 7.168 16 16v32C208 312.8 200.8 320 192 320H160zM400 80h-96C295.2 80 288 87.17 288 96s7.168 16 16 16h96C408.8 112 416 104.8 416 96S408.8 80 400 80zM400 144h-96C295.2 144 288 151.2 288 160s7.168 16 16 16h96C408.8 176 416 168.8 416 160S408.8 144 400 144z"],
    "panel-fire": [640, 512, [], "e42f", "M384 64H64C46.33 64 32 78.33 32 96V416C32 433.7 46.33 448 64 448H314.4C321 459.4 328.8 470.2 337.6 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V128.2C436.9 127.2 425.4 130.1 416 136.1V96C416 78.33 401.7 64 384 64V64zM320 240H128C101.5 240 80 218.5 80 192V160C80 133.5 101.5 112 128 112H320C346.5 112 368 133.5 368 160V184.9C352.5 202.8 338.7 221.2 327.2 239.5C324.8 239.8 322.4 240 320 240V240zM112 192C112 200.8 119.2 208 128 208H320C328.8 208 336 200.8 336 192V160C336 151.2 328.8 144 320 144H128C119.2 144 112 151.2 112 160V192zM88 304C88 290.7 98.75 280 112 280C125.3 280 136 290.7 136 304C136 317.3 125.3 328 112 328C98.75 328 88 317.3 88 304zM184 304C184 290.7 194.7 280 208 280C221.3 280 232 290.7 232 304C232 317.3 221.3 328 208 328C194.7 328 184 317.3 184 304zM445.1 255.9C449.9 255.9 454.5 258.1 457.5 261.9C459.6 264.4 475.1 284.3 490.1 303.4L507.6 325.6L530.9 298.4C534 294.8 538.7 292.7 543.5 292.9C548.4 293 552.9 295.4 555.8 299.3C559.7 304.4 562.2 309.5 564.1 313.4L564.2 313.5C585.5 352.8 576.5 403.9 539.2 429.1L538.9 430.2C521.3 441.9 502.3 447.8 480.1 447.8C455.1 447.8 430.8 439.5 412.8 423C394.7 406.4 384 382.5 384 353.8C384 338.2 389 324.1 397.4 309.7C405.6 295.6 417.7 280.2 432.6 261.8C435.6 258 440.2 255.8 445.1 255.9L445.1 255.9zM539.8 337.1L519.1 361.3C516 364.9 511.4 366.1 506.6 366.8C501.9 366.7 497.4 364.5 494.4 360.7L444.9 297.6C436.3 308.6 429.8 317.7 425.1 325.8C418.5 337.1 416 345.6 416 353.9C416 374.2 423.3 389.3 434.4 399.4C445.7 409.7 461.9 415.9 481 415.9C495.7 415.9 508.6 411.9 520.1 403.6C541.1 389.4 548.8 361.8 539.8 337.1H539.8zM487.5 196.1C494.9 204.9 502.1 212.1 509 221.3C515.5 213.3 522.6 204.6 530.3 196.9C531.1 195.1 533.7 193.4 535.5 191.8C541.1 186.7 549.9 186.7 555.5 191.9C580.2 214.6 601.1 244.5 615.8 273C630.4 301.1 640 329.8 640 349.9C640 437.8 568.7 511.9 480 511.9C390.3 511.9 319.1 437.7 319.1 349.9C319.1 323.5 332.7 291.3 352.4 259.4C372.4 227 400.5 193.3 433.8 163.6C439.4 158.6 447.1 158.6 453.5 163.6C465.3 174.2 476.7 185.3 487.5 196.1V196.1zM509.4 253.3C499.8 253.4 490.6 249.2 484.4 241.8C471.6 226.3 457.1 211.8 443.6 198.1C417.6 223.1 395.6 250.3 379.6 276.2C361 306.3 352 332.4 352 349.9C352 420.8 408.7 479.9 480 479.9C550.4 479.9 608 420.7 608 349.9C608 337.5 601.2 314.4 587.4 287.7C576.5 266.6 562.1 245.1 545.6 227.3C541.8 231.6 537.1 236.4 534.1 241.3C528.1 248.8 519 253.2 509.4 253.3V253.3zM507 350.9L494.4 360.7z"],
    "panorama": [640, 512, [], "e209", "M128 168C114.7 168 104 178.7 104 192S114.7 216 128 216c13.26 0 24-10.75 24-24S141.3 168 128 168zM378.6 187.9c-11.28-15.81-38.5-15.94-49.1-.0313L284.6 249.3L277.6 240.4C266.2 225.9 240.6 225.8 229.2 240.4l-63.03 80.35c-7.123 9.131-8.154 21.55-2.623 31.56C168.8 361.1 179.1 368 190.4 368h259.2c11 0 21.17-5.805 26.54-15.09c0-.0313-.0313 .0313 0 0c5.656-9.883 5.078-21.84-1.578-31.15L378.6 187.9zM194.2 335.9l58.25-75.61l20.09 25.66C276.9 291.5 290.1 296.6 298.1 285.4l54.44-78.75l92.68 129.2H194.2zM592.1 64c-4.559 0-9.221 .6582-13.88 2.057C493.1 91.32 406.1 103.1 320 103.1S146 91.32 61.8 66.06C57.14 64.66 52.47 64 47.91 64C22.33 63.1 0 84.74 0 112v319.9C0 459.3 22.33 480 47.91 480c4.559 0 9.221-.6602 13.88-2.057C146 452.7 233 440 320 440s173.1 12.63 258.2 37.9C582.9 479.3 587.5 480 592.1 480C617.7 480 640 459.3 640 431.1V112C640 84.74 617.7 64 592.1 64zM608 431.1C608 441.9 599.7 448 592.1 448c-1.545 0-3.123-.2383-4.691-.709C500.6 421.3 410.6 408 320 408s-180.6 13.21-267.4 39.25C51.04 447.8 49.46 448 47.91 448C40.26 448 32 441.9 32 431.1V112c0-5.568 2.582-9.266 4.75-11.39C39.77 97.69 43.83 96 47.91 96c1.551 0 3.131 .2383 4.697 .709C139.4 122.8 229.4 135.1 320 135.1s180.6-13.21 267.4-39.25C588.1 96.24 590.5 96 592.1 96C599.7 96 608 102.1 608 112V431.1z"],
    "paper-plane": [512, 512, [61913], "f1d8", "M498.1 5.629C492.7 1.891 486.4 0 480 0c-5.461 0-10.94 1.399-15.88 4.223l-448 255.1C5.531 266.3-.6875 277.8 .0625 289.1s8.375 22.86 19.62 27.55l103.2 43.01l61.85 146.5C186.2 510.6 189.2 512 191.1 512c2.059 0 4.071-.8145 5.555-2.24l85.75-82.4l120.4 50.16c4.293 1.793 8.5 2.472 12.29 2.472c6.615 0 12.11-2.093 15.68-4.097c8.594-4.828 14.47-13.31 15.97-23.05l64-415.1C513.5 24.72 508.3 12.58 498.1 5.629zM32 288l380.1-217.2l-288.2 255.5L32 288zM200.7 462.3L151.1 344.9l229.5-203.4l-169.5 233.1c-2.906 4-3.797 9.094-2.438 13.84c1.374 4.75 4.844 8.594 9.438 10.41l34.4 13.76L200.7 462.3zM416.7 443.3l-167.7-66.56l225.7-310.3L416.7 443.3z"],
    "paper-plane-top": [512, 512, ["paper-plane-alt", "send"], "e20a", "M492.6 226.6L44.6 34.59C40.54 32.85 36.26 31.1 32.02 31.1c-8.623 0-17.1 3.499-23.3 10.05C-.4983 51.81-2.623 66.3 3.377 78.31L96 256l-92.62 177.7c-6 12.02-3.875 26.5 5.344 36.27c6.188 6.547 14.66 10.05 23.28 10.05c4.25 0 8.531-.8438 12.59-2.594L492.6 285.4c11.78-5.031 19.41-16.61 19.41-29.41C511.1 243.2 504.4 231.6 492.6 226.6zM31.98 64.03C31.99 64.01 31.96 64.04 31.98 64.03L442.7 240H123.7L31.98 64.03zM31.75 448.5L123.7 272h318.1L31.75 448.5z"],
    "paperclip": [448, 512, [128206], "f0c6", "M380.7 67.31C351.6 38.22 304.4 38.22 275.3 67.31L83.31 259.3C36.54 306.1 36.54 381.9 83.31 428.7C130.1 475.5 205.9 475.5 252.7 428.7L404.7 276.7C410.9 270.4 421.1 270.4 427.3 276.7C433.6 282.9 433.6 293.1 427.3 299.3L275.3 451.3C216 510.6 119.1 510.6 60.69 451.3C1.417 392 1.418 295.1 60.69 236.7L252.7 44.69C294.3 3.092 361.7 3.092 403.3 44.69C444.9 86.28 444.9 153.7 403.3 195.3L219.5 379.1C191.3 407.3 144.9 404.7 119.1 373.6C98.67 346.1 100.8 308.6 124.9 284.5L276.7 132.7C282.9 126.4 293.1 126.4 299.3 132.7C305.6 138.9 305.6 149.1 299.3 155.3L147.5 307.1C134.1 319.7 133.8 339.7 144.1 353.6C157.1 369.8 182.2 371.2 196.9 356.5L380.7 172.7C409.8 143.6 409.8 96.41 380.7 67.31L380.7 67.31z"],
    "paperclip-vertical": [384, 512, [], "e3c2", "M64 96C64 42.98 106.1 0 160 0C213 0 256 42.98 256 96V352C256 387.3 227.3 416 192 416C156.7 416 128 387.3 128 352V144C128 135.2 135.2 128 144 128C152.8 128 160 135.2 160 144V352C160 369.7 174.3 384 192 384C209.7 384 224 369.7 224 352V96C224 60.65 195.3 32 160 32C124.7 32 96 60.65 96 96V384C96 437 138.1 480 192 480C245 480 288 437 288 384V144C288 135.2 295.2 128 304 128C312.8 128 320 135.2 320 144V384C320 454.7 262.7 512 192 512C121.3 512 64 454.7 64 384V96z"],
    "parachute-box": [512, 512, [], "f4cd", "M511.3 208C512.1 216.8 504.8 224 496 224H462.9L347 346.7C350.2 353.1 352 360.3 352 368V464C352 490.5 330.5 512 304 512H207.1C181.5 512 159.1 490.5 159.1 464V368C159.1 360.3 161.8 353.1 164.1 346.7L49.1 224H15.1C7.163 224-.063 216.8 .6886 208C8.68 114.4 86.57 0 255.1 0H256.1C425.5 .0525 503.3 114.4 511.3 208H511.3zM272 224V320H304C311.2 320 317.1 321.6 324.1 324.4L418.9 224H272zM239.1 224H93.12L187.9 324.4C194 321.6 200.8 320 207.1 320H239.1V224zM207.1 352C199.2 352 191.1 359.2 191.1 368V464C191.1 472.8 199.2 480 207.1 480H304C312.8 480 320 472.8 320 464V368C320 359.2 312.8 352 304 352H207.1zM35.23 192H112.4C115.5 133.2 135.6 81.2 165.5 46.21C86.76 73.52 46.36 135.7 35.23 192zM180.5 79.14C160.9 107.5 147.1 146.9 144.5 192H367.5C364.9 146.9 351.1 107.5 331.5 79.14C309.5 47.36 282.3 32 255.1 32C229.7 32 202.5 47.36 180.5 79.14H180.5zM346.5 46.21C376.4 81.2 396.5 133.2 399.6 192H476.8C465.6 135.7 425.2 73.52 346.5 46.21V46.21z"],
    "paragraph": [448, 512, [182], "f1dd", "M432 32H191.1C147.7 32 105.4 50.38 75.12 82.75C44.87 115 29.37 158.5 32.37 202.6C37.87 287.6 112.2 352 197.5 352h58.5v112c0 8.799 7.199 16 16 16s16-7.201 16-16V64h64v400c0 8.799 7.199 16 16 16s16-7.201 16-16V64H432C440.8 64 448 56.8 448 48C448 39.2 440.8 32 432 32zM255.1 320h-64c-70.75 0-128-57.25-128-128s57.25-128 128-128h64V320z"],
    "paragraph-left": [384, 512, ["paragraph-rtl"], "f878", "M143.1 224h48.01l.0625 80c0 8.836 7.164 16 16 16s16-7.164 16-16L224 32h63.94L288 304c0 8.836 7.164 16 16 16S320 312.8 320 304L319.9 32H336C344.8 32 352 24.84 352 16C352 7.162 344.8 0 336 0H147.4C84.75 0 31.63 50 32 112.6C32.38 176.4 80.24 224 143.1 224zM87.13 57C103.1 41 124.8 32 147.4 32h44.63v160h-48C97.88 192 64.25 158.5 64 112.5C64 91.63 72.25 71.63 87.13 57zM368 400H60.2l62.05-51.7c6.781-5.656 7.688-15.75 2.031-22.55c-5.656-6.828-15.74-7.688-22.52-2.047l-96.01 80C2.094 406.8 0 411.3 0 416s2.094 9.25 5.75 12.3l96.01 80C104.8 510.8 108.4 512 112 512c4.562 0 9.113-1.953 12.27-5.75c5.656-6.797 4.75-16.89-2.031-22.55L60.2 432H368c8.844 0 16-7.157 16-16S376.8 400 368 400z"],
    "party-bell": [512, 512, [], "e31a", "M185.3 354.1c-7.219-5.094-17.19-3.438-22.34 3.719c-5.125 7.219-3.469 17.19 3.719 22.34C203.1 407 224 444.1 224 485.1V496C224 504.8 231.2 512 240 512s16-7.156 16-16v-10.88C256 434.5 230.2 387.1 185.3 354.1zM485.1 256H496C504.8 256 512 248.8 512 240S504.8 224 496 224h-10.88c-40.16 0-78.09-20.88-104.1-57.31c-5.156-7.156-15.12-8.781-22.34-3.719c-7.188 5.156-8.844 15.12-3.719 22.34C387.1 230.2 434.5 256 485.1 256zM480 88c13.26 0 24-10.74 24-24c0-13.25-10.74-24-24-24c-13.25 0-24 10.75-24 24C456 77.26 466.7 88 480 88zM64 456c-13.25 0-24 10.75-24 24c0 13.26 10.75 24 24 24c13.26 0 24-10.74 24-24C88 466.7 77.26 456 64 456zM352 456c-13.25 0-24 10.75-24 24c0 13.26 10.75 24 24 24c13.26 0 24-10.74 24-24C376 466.7 365.3 456 352 456zM490.3 445.3c-1.594-17.88-3.625-40.09-27.25-60.03C439.5 365.4 416.9 366.8 398.9 368c-16.16 .9687-27.75 1.719-41.44-9.781c-13.53-11.44-14.56-22.75-15.97-38.44c-1.594-17.88-3.594-40.09-27.22-60c-6.719-5.656-16.81-4.875-22.53 1.906c-5.719 6.75-4.844 16.84 1.906 22.53c13.53 11.44 14.56 22.75 15.97 38.44c1.594 17.88 3.594 40.09 27.22 60c23.47 19.84 45.91 18.41 64.09 17.25c16.19-.875 27.78-1.688 41.44 9.781c13.56 11.47 14.59 22.81 16.03 38.5c1.625 17.88 3.625 40.09 27.25 60.03C488.7 510.8 492.3 512 496 512c4.531 0 9.062-1.938 12.22-5.688c5.719-6.75 4.844-16.84-1.906-22.53C492.8 472.3 491.7 460.1 490.3 445.3zM335.3 35.47C301.2 13.05 260.4 0 216.5 0C200.4 0 183.8 1.772 166.1 5.498C87.38 23.14 23.14 87.38 5.498 166.1c-13.84 62.42-.7146 121.7 29.97 168.4C42.64 346.2 54.4 352 66.22 352c9.125 0 18.29-3.424 25.41-10.55l249.8-249.8C357.8 75.28 354.7 48.17 335.3 35.47zM318.8 69.01L69.01 318.8C68.5 319.3 67.67 320 66.22 320c-.7656 0-2.691-.2187-4.018-2.236C34.55 275.7 25.5 224.6 36.74 173.9c14.89-67.16 70.01-122.3 137.2-137.2C188.1 33.6 202.4 32 216.5 32c36.16 0 71.16 10.45 101.2 30.21c1.641 1.078 2.109 2.527 2.215 3.551C320.2 67.66 319.2 68.67 318.8 69.01z"],
    "party-horn": [512, 512, [], "e31b", "M150.6 201.4C144.6 195.3 136.4 192 127.9 192c-2.234 0-4.482 .2269-6.711 .6996c-10.62 2.312-19.37 9.844-23.19 20.03l-95.1 256c-4.406 11.75-1.531 25 7.344 33.88C15.47 508.7 23.66 512 32 512c3.781 0 7.594-.6563 11.25-2.031l255.1-96c10.19-3.812 17.72-12.56 20.03-23.19c2.281-10.62-.9683-21.72-8.656-29.41L150.6 201.4zM32 479.1l28.71-76.66l47.93 47.93L32 479.1zM141.5 438.9l-68.51-68.51l22.54-60.2l106.2 106.2L141.5 438.9zM234.6 404L107.9 277.3l19.98-53.26c.0293-.0078-.0254 0 0 0l160.1 159.1L234.6 404zM496 256h-10.88c-50.63 0-98.06 25.78-130.2 70.69c-5.125 7.219-3.469 17.19 3.719 22.34C361.5 351 364.8 352 368 352c4.969 0 9.906-2.344 13.03-6.688C407 308.9 444.1 288 485.1 288H496C504.8 288 512 280.8 512 272S504.8 256 496 256zM176 160C179.2 160 182.5 159 185.3 157C230.2 124.9 256 77.5 256 26.88V16c0-8.844-7.156-16-15.1-16c-8.844 0-16 7.156-16 16v10.88c0 40.16-20.88 78.09-57.31 104.1C159.5 136.1 157.8 146.1 162.1 153.3C166.1 157.7 171 160 176 160zM64 56c13.26 0 24-10.75 24-24c0-13.26-10.74-24-24-24c-13.25 0-23.1 10.74-23.1 24C40.01 45.25 50.75 56 64 56zM480 424c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24c13.26 0 24-10.75 24-24C504 434.7 493.3 424 480 424zM480 136c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24c13.26 0 24-10.75 24-24C504 146.7 493.3 136 480 136zM382.7 175.1c19.84-23.5 18.41-46 17.25-64.06c-1-16.12-1.75-27.75 9.781-41.44c11.47-13.59 22.81-14.62 38.5-16.03c17.88-1.625 40.09-3.656 60.03-27.28c5.719-6.75 4.844-16.84-1.906-22.53c-6.688-5.656-16.81-4.844-22.53 1.906c-11.47 13.59-22.81 14.62-38.5 16.03c-17.88 1.625-40.09 3.656-60.03 27.28c-19.84 23.5-18.41 46-17.25 64.06c1 16.12 1.75 27.75-9.781 41.44c-11.44 13.53-22.75 14.56-38.44 15.97c-17.88 1.594-40.09 3.594-60 27.22c-5.719 6.75-4.844 16.84 1.906 22.53C264.7 222.8 268.3 224 272 224c4.531 0 9.062-1.938 12.22-5.688c11.44-13.53 22.75-14.56 38.44-15.97C340.5 200.8 362.8 198.8 382.7 175.1z"],
    "passport": [448, 512, [], "f5ab", "M336 384h-224C103.3 384 96 391.3 96 400S103.3 416 112 416h224c8.75 0 16-7.25 16-16S344.8 384 336 384zM224 64C153.3 64 96 121.3 96 192s57.25 128 128 128s128-57.25 128-128S294.8 64 224 64zM129.6 208h39.13c1.5 27 6.5 51.38 14.12 70.38C155.3 265.1 134.9 239.3 129.6 208zM168.8 176H129.6c5.25-31.25 25.62-57.13 53.25-70.38C175.3 124.6 170.3 149 168.8 176zM224 286.8C216.3 279.3 203.2 252.3 200.5 208h46.84C244.8 252.3 231.8 279.3 224 286.8zM200.6 176C203.3 131.8 216.3 104.8 224 97.25C231.8 104.8 244.8 131.8 247.5 176H200.6zM265.1 278.4C272.8 259.4 277.8 235 279.3 208h39.13C313.1 239.3 292.8 265.1 265.1 278.4zM279.3 176c-1.5-27-6.5-51.38-14.12-70.38c27.62 13.25 48 39.13 53.25 70.38H279.3zM384 0H64C28.65 0 0 28.65 0 64v384c0 35.34 28.65 64 64 64h320c35.2 0 64-28.8 64-64V64C448 28.8 419.2 0 384 0zM416 448c0 17.67-14.33 32-32 32H64c-17.6 0-32-14.4-32-32V64c0-17.6 14.4-32 32-32h320c17.67 0 32 14.33 32 32V448z"],
    "paste": [512, 512, ["file-clipboard"], "f0ea", "M502.6 214.6l-77.25-77.25C419.4 131.4 411.2 128 402.7 128H288C252.7 128 224 156.7 224 192v256c0 35.34 28.65 64 64 64h160c35.35 0 64-28.66 64-64L512 237.3C512 228.8 508.6 220.6 502.6 214.6zM416 173.3L466.7 224H416V173.3zM480 448c0 17.67-14.33 32-32 32h-160c-17.67 0-32-14.33-32-32V192c0-17.67 14.33-32 32-32h96l.0091 64c0 17.67 14.33 32 32 32H480V448zM256.7 64.01c13.36 .2891 24.73 8.805 29.23 20.68C288.6 91.62 295.5 96 302.9 96c10.04 0 17.18-9.805 14.13-19.38C308.8 50.78 284.5 32 256 32C244.9 32 236.5 43.26 241.5 54.98C243.1 60.87 250.3 63.87 256.7 64.01zM208 64H205.1C206.8 58.97 208 53.64 208 48C208 21.53 186.5 0 160 0S112 21.53 112 48c0 5.637 1.154 10.97 2.947 16H112C103.2 64 96 71.16 96 80S103.2 96 112 96h96C216.8 96 224 88.84 224 80S216.8 64 208 64zM160 64C151.2 64 144 56.84 144 48S151.2 32 160 32c8.838 0 16 7.164 16 16S168.8 64 160 64zM177.2 416H64c-17.67 0-32-14.33-32-32V97.71C32 80.21 46.38 63.74 63.88 64C73.83 64.14 81.6 55.23 79.72 44.97C78.32 37.29 71.08 31.92 63.28 32C28.31 32.39 0 60.96 0 96v288c0 35.34 28.65 64 64 64h113.2C185.4 448 192 441.4 192 433.2v-2.406C192 422.6 185.4 416 177.2 416z"],
    "pause": [320, 512, [9208], "f04c", "M48 63.1C39.16 63.1 32 71.16 32 80v352C32 440.8 39.16 448 48 448S64 440.8 64 432v-352C64 71.16 56.84 63.1 48 63.1zM272 63.1c-8.836 0-16 7.162-16 16v352c0 8.836 7.164 16 16 16s16-7.164 16-16v-352C288 71.16 280.8 63.1 272 63.1z"],
    "paw": [512, 512, [], "f1b0", "M109.5 131.1C95.19 88.26 109.8 44.92 142.1 34.34C174.4 23.77 212.2 49.96 226.5 92.85C240.8 135.7 226.2 179.1 193.9 189.7C161.6 200.2 123.8 174 109.5 131.1zM197.4 143.2C200.8 132.9 201.3 118.5 196.1 102.1C190.1 87.49 181.9 76.15 172.8 69.85C163.7 63.55 156.5 63.29 152 64.76C147.6 66.21 142.1 70.58 138.6 80.84C135.2 91.14 134.7 105.5 139.9 121C145 136.5 154.1 147.9 163.2 154.2C172.3 160.5 179.5 160.7 183.1 159.2C188.4 157.8 193.9 153.4 197.4 143.2V143.2zM11.63 249.4C-7.237 216.1-2.664 179.3 21.84 165.3C46.35 151.2 81.51 166.1 100.4 198.6C119.2 231 114.7 268.7 90.16 282.7C65.65 296.8 30.49 281.9 11.63 249.4zM79.76 243.7C80.69 236 78.99 225.5 72.71 214.7C66.44 203.9 58.02 197.1 50.73 193.1C43.45 190.9 39.38 192.1 37.75 193C36.18 193.1 33.16 196.7 32.24 204.3C31.31 211.1 33.01 222.5 39.29 233.3C45.56 244.1 53.98 250.9 61.27 254C68.55 257.1 72.62 255.9 74.25 254.1C75.82 254 78.84 251.3 79.76 243.7zM442.8 401.2C446.4 410.9 448 421.3 448 431.7V436.1C448 460.3 428.3 480 404.1 480C390.8 480 377.5 477.1 364.8 474L284.6 448.9C265.1 443.1 246 443.1 227.4 448.9L147.2 474C134.5 477.1 121.2 480 107.9 480C83.65 480 63.1 460.3 63.1 436.1V431.7C63.1 421.3 65.6 410.9 69.21 401.2C121.6 259.9 214.7 224 255.1 224C297.3 224 390.4 259.9 442.8 401.2H442.8zM256 256C230.3 256 147.8 281.4 99.21 412.3C97.1 418 96 424.5 96 431.7V436.1C96 442.7 101.3 448 107.9 448C117.1 448 128 446.5 137.6 443.5L217.8 418.4C242.7 410.6 269.3 410.6 294.2 418.4L374.4 443.5C383.1 446.5 394 448 404.1 448C410.7 448 416 442.7 416 436.1V431.7C416 424.5 414.9 418 412.8 412.3C364.2 281.4 281.7 256 256 256zM490.2 165.3C514.7 179.3 519.2 216.1 500.4 249.4C481.5 281.9 446.3 296.8 421.8 282.7C397.3 268.7 392.8 231 411.6 198.6C430.5 166.1 465.7 151.2 490.2 165.3zM439.3 214.7C433 225.5 431.3 236 432.2 243.7C433.2 251.3 436.2 254 437.8 254.1C439.4 255.9 443.4 257.1 450.7 254C458 250.9 466.4 244.1 472.7 233.3C478.1 222.5 480.7 211.1 479.8 204.3C478.8 196.7 475.8 193.1 474.2 193C472.6 192.1 468.6 190.9 461.3 193.1C453.1 197.1 445.6 203.9 439.3 214.7zM361.9 34.34C394.2 44.92 408.8 88.26 394.5 131.1C380.2 174 342.4 200.2 310.1 189.7C277.8 179.1 263.2 135.7 277.5 92.85C291.8 49.96 329.6 23.77 361.9 34.34zM307.8 102.1C302.7 118.5 303.2 132.9 306.6 143.2C310.1 153.4 315.6 157.8 320 159.2C324.5 160.7 331.7 160.5 340.8 154.2C349.9 147.9 358.1 136.5 364.2 121C369.3 105.5 368.8 91.14 365.4 80.84C361.9 70.58 356.4 66.21 351.1 64.76C347.5 63.29 340.3 63.55 331.2 69.85C322.1 76.15 313 87.49 307.8 102.1V102.1z"],
    "paw-claws": [512, 512, [], "f702", "M335.2 1.689C362.1 15.15 399.1 58.14 399.1 127.1C400.2 139.3 398.5 151.2 394.5 163.1C380.2 206 342.4 232.2 310.1 221.7C277.8 211.1 263.2 167.7 277.5 124.9C290.5 86.01 322.7 60.86 352.6 64.32C342.4 45.76 329.3 34.56 320.8 30.31C312.9 26.36 309.7 16.75 313.7 8.844C317.6 .9405 327.3-2.263 335.2 1.689L335.2 1.689zM307.9 134.1C302.7 150.5 303.2 164.9 306.6 175.2C310.1 185.4 315.6 189.8 320 191.2C324.5 192.7 331.7 192.5 340.8 186.2C349.9 179.9 358.1 168.5 364.2 153C369.3 137.5 368.8 123.1 365.4 112.8C361.9 102.6 356.4 98.21 351.1 96.76C347.5 95.29 340.3 95.55 331.2 101.8C322.1 108.1 313 119.5 307.9 134.1V134.1zM109.5 163.1C105.5 151.2 103.8 139.3 104 128C104 58.14 141.9 15.15 168.8 1.689C176.7-2.262 186.4 .9412 190.3 8.845C194.3 16.75 191.1 26.36 183.2 30.31C174.7 34.56 161.6 45.76 151.4 64.32C181.3 60.86 213.5 86.01 226.5 124.9C240.8 167.7 226.2 211.1 193.9 221.7C161.6 232.2 123.8 206 109.5 163.1L109.5 163.1zM197.4 175.2C200.8 164.9 201.3 150.5 196.1 134.1C190.1 119.5 181.9 108.1 172.8 101.8C163.7 95.55 156.5 95.29 152 96.76C147.6 98.21 142.1 102.6 138.6 112.8C135.2 123.1 134.7 137.5 139.9 153C145 168.5 154.1 179.9 163.2 186.2C172.3 192.5 179.5 192.7 183.1 191.2C188.4 189.8 193.9 185.4 197.4 175.2V175.2zM11.63 281.4C3.718 267.8-.0723 253.3 0 240C0 170.1 37.91 127.2 64.84 113.7C72.75 109.7 82.36 112.9 86.31 120.8C90.26 128.7 87.06 138.4 79.16 142.3C68.48 147.6 50.58 163.1 40.17 192C61.7 191.1 85.86 205.6 100.4 230.6C119.2 263 114.7 300.7 90.16 314.7C65.65 328.8 30.49 313.9 11.63 281.4V281.4zM79.76 275.7C80.69 268 78.99 257.5 72.71 246.7C66.44 235.9 58.02 229.1 50.73 225.1C43.45 222.9 39.38 224.1 37.75 225C36.18 225.1 33.16 228.7 32.24 236.3C31.31 243.1 33.01 254.5 39.29 265.3C45.56 276.1 53.98 282.9 61.27 286C68.55 289.1 72.62 287.9 74.25 286.1C75.82 286 78.84 283.3 79.76 275.7zM442.8 433.2C446.4 442.9 448 453.3 448 463.7V468.1C448 492.3 428.3 512 404.1 512C390.8 512 377.5 509.1 364.8 506L284.6 480.9C265.1 475.1 246 475.1 227.4 480.9L147.2 506C134.5 509.1 121.2 512 107.9 512C83.65 512 63.1 492.3 63.1 468.1V463.7C63.1 453.3 65.6 442.9 69.21 433.2C121.6 291.9 214.7 256 255.1 256C297.3 256 390.4 291.9 442.8 433.2H442.8zM256 288C230.3 288 147.8 313.4 99.21 444.3C97.1 450 96 456.5 96 463.7V468.1C96 474.7 101.3 480 107.9 480C117.1 480 128 478.5 137.6 475.5L217.8 450.4C242.7 442.6 269.3 442.6 294.2 450.4L374.4 475.5C383.1 478.5 394 480 404.1 480C410.7 480 416 474.7 416 468.1V463.7C416 456.5 414.9 450 412.8 444.3C364.2 313.4 281.7 288 256 288zM471.8 192C461.4 163.1 443.5 147.6 432.8 142.3C424.9 138.4 421.7 128.7 425.7 120.8C429.6 112.9 439.3 109.7 447.2 113.7C474.1 127.2 512 170.1 512 239.1C512.1 253.3 508.3 267.8 500.4 281.4C481.5 313.9 446.3 328.8 421.8 314.7C397.3 300.7 392.8 263 411.6 230.6C426.1 205.6 450.3 191.1 471.8 192V192zM439.3 246.7C433 257.5 431.3 268 432.2 275.7C433.2 283.3 436.2 286 437.8 286.1C439.4 287.9 443.4 289.1 450.7 286C458 282.9 466.4 276.1 472.7 265.3C478.1 254.5 480.7 243.1 479.8 236.3C478.8 228.7 475.8 225.1 474.2 225C472.6 224.1 468.6 222.9 461.3 225.1C453.1 229.1 445.6 235.9 439.3 246.7z"],
    "paw-simple": [448, 512, ["paw-alt"], "f701", "M96 88C96 57.07 121.1 32 152 32C182.9 32 208 57.07 208 88C208 118.9 182.9 144 152 144C121.1 144 96 118.9 96 88zM152 112C165.3 112 176 101.3 176 88C176 74.75 165.3 64 152 64C138.7 64 128 74.75 128 88C128 101.3 138.7 112 152 112zM154.5 202.9C167.7 176.6 194.6 160 224 160C253.4 160 280.3 176.6 293.5 202.9L327.2 270.5C330.7 277.3 337.2 281.1 344.6 284.1C385.9 296.4 416 334.7 416 380C416 435.2 371.2 480 316 480C294.8 480 275.2 473.4 259.1 462.2C241.7 450.2 206.3 450.2 188.9 462.2C172.8 473.4 153.2 480 132 480C76.77 480 32 435.2 32 380C32 334.7 62.12 296.4 103.4 284.1C110.8 281.1 117.3 277.3 120.8 270.5L154.5 202.9zM183.2 217.2L149.4 284.8C141.1 301.3 126.3 310.7 112.6 314.8C84.44 323.2 64 349.2 64 380C64 417.6 94.44 448 132 448C146.4 448 159.7 443.5 170.7 435.9C186.7 424.8 207.2 421.2 224 421.2C240.8 421.2 261.3 424.8 277.3 435.9C288.3 443.5 301.6 448 316 448C353.6 448 384 417.6 384 380C384 349.2 363.6 323.2 335.4 314.8C321.7 310.7 306.9 301.3 298.6 284.8L264.8 217.2C257.1 201.8 241.3 192 224 192C206.7 192 190.9 201.8 183.2 217.2V217.2zM352 88C352 118.9 326.9 144 296 144C265.1 144 240 118.9 240 88C240 57.07 265.1 32 296 32C326.9 32 352 57.07 352 88zM296 64C282.7 64 272 74.75 272 88C272 101.3 282.7 112 296 112C309.3 112 320 101.3 320 88C320 74.75 309.3 64 296 64zM336 200C336 169.1 361.1 144 392 144C422.9 144 448 169.1 448 200C448 230.9 422.9 256 392 256C361.1 256 336 230.9 336 200zM392 224C405.3 224 416 213.3 416 200C416 186.7 405.3 176 392 176C378.7 176 368 186.7 368 200C368 213.3 378.7 224 392 224zM112 200C112 230.9 86.93 256 56 256C25.07 256 0 230.9 0 200C0 169.1 25.07 144 56 144C86.93 144 112 169.1 112 200zM56 176C42.75 176 32 186.7 32 200C32 213.3 42.75 224 56 224C69.25 224 80 213.3 80 200C80 186.7 69.25 176 56 176z"],
    "peace": [512, 512, [9774], "f67c", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM480 256c0 47.13-14.71 90.84-39.67 126.1L272 248.3V32.81C388 41.07 480 137.9 480 256zM240 32.81v215.5l-168.3 134.7C46.71 346.8 32 303.1 32 256C32 137.9 123.1 41.07 240 32.81zM91.81 407.9L240 289.3v189.9C181.6 475 129.3 448.4 91.81 407.9zM272 479.2v-189.9l148.2 118.6C382.7 448.4 330.4 475 272 479.2z"],
    "peach": [512, 512, [], "e20b", "M111.1 91.64c7.969-3.828 11.31-13.39 7.469-21.36C114.2 61.25 112 51.95 112 42.67V32h66.19c29.91 0 55.5 20.42 62.22 49.64C242.1 88.91 248.5 94.06 256 94.06c7.438 0 13.91-5.141 15.59-12.41C278.3 52.42 303.9 32 333.8 32H400v10.67c0 9.281-2.219 18.58-6.562 27.61c-3.844 7.969-.5 17.53 7.469 21.36c7.844 3.844 17.5 .5156 21.34-7.453C428.7 70.77 432 56.81 432 42.67V16c0-8.844-7.154-16-15.1-16h-82.19C302.1 0 273.6 15.31 256 39.8C238.5 15.31 209.1 0 178.2 0H96C87.16 0 80 7.156 80 16v26.67c0 14.14 3.281 28.09 9.75 41.52C93.59 92.17 103.3 95.45 111.1 91.64zM333.5 96c-25.84 0-51.15 5.68-75.44 16.71C233.5 102.1 205.6 96 176 96C78.72 97.29 0 172.9 0 265.6c0 164.1 247.8 244.6 251.1 245.6C252.7 511.8 254.3 512 256 512s3.312-.25 4.906-.7656C264.1 510.2 512 428.1 512 265.6C512 172.1 431.9 96 333.5 96zM256 479.1c-95.75-34.04-224-111.8-224-213.5c0-75.07 64.29-136.3 143.9-137.6C255.3 128 320 178.3 320 240C320 248.8 327.2 256 336 256S352 248.8 352 240c0-42.17-22.41-80.05-57.84-106.4C307.1 129.1 320.2 128 333.5 128C414.3 128 480 189.7 480 265.6C480 382.2 318.8 456.7 256 479.1z"],
    "peanut": [512, 512, [], "e430", "M510.3 89.82c-1.437-47.19-40.1-86.74-88.15-88.19c0 0-54.59-1.629-56.22-1.629c-86.93 0-157.4 62.1-167.8 146.9c-1.832 14.92-11.4 46.35-51.28 51.28C62.3 208.6 0 280 0 365.5c0 1.774 .0268 3.553 .0808 5.339l1.594 51.28c1.437 47.19 40.1 86.74 88.15 88.19c0 0 54.93 1.641 56.71 1.641c85.43 0 156.9-62.28 167.3-146.9c4.965-39.9 36.3-49.46 51.28-51.31C449.7 303.4 512 231.9 512 146.4c0-1.774-.0268-3.553-.0808-5.339L510.3 89.82zM479.1 146.7c0 70.25-49.31 126.8-118.8 135.4c-22.88 2.839-71.64 18.98-79.09 79.14c-8.626 69.74-66.2 118.8-136.2 118.8c-1.254 0-55.08-1.61-55.08-1.61c-30.59-.9219-56.21-26.58-57.15-57.17c0 0-1.665-54.37-1.665-55.91c0-70.25 49.31-126.8 118.8-135.4c60.04-7.451 76.31-56.21 79.09-79.14c8.562-69.49 65.12-118.8 135.4-118.8c1.531 0 3.062 .0313 4.593 .0781l51.31 1.563c30.59 .9219 56.21 26.58 57.15 57.16C478.3 90.79 479.1 145.2 479.1 146.7zM192 395.1c-11.03 0-19.1 8.969-19.1 20c0 11.03 8.968 20 19.1 20s19.1-8.969 19.1-20C212 404.1 203 395.1 192 395.1zM192 331.1c-11.03 0-19.1 8.969-19.1 20c0 11.03 8.968 20 19.1 20s19.1-8.969 19.1-20C212 340.1 203 331.1 192 331.1zM128 395.1c-11.03 0-19.1 8.969-19.1 20c0 11.03 8.968 20 19.1 20c11.03 0 19.1-8.969 19.1-20C148 404.1 139 395.1 128 395.1zM415.1 171.1c-11.03 0-19.1 8.969-19.1 20s8.969 20 19.1 20s19.1-8.969 19.1-20S427 171.1 415.1 171.1zM415.1 107.1c-11.03 0-19.1 8.969-19.1 20s8.969 20 19.1 20s19.1-8.969 19.1-20S427 107.1 415.1 107.1zM351.1 171.1c-11.03 0-19.1 8.969-19.1 20s8.968 20 19.1 20c11.03 0 19.1-8.969 19.1-20S363 171.1 351.1 171.1z"],
    "peanuts": [640, 512, [129372], "e431", "M319.9 332C308.9 332 299.9 340.1 299.9 352c0 11.03 8.97 20 20 20c11.04 0 20-8.969 20-20C339.9 340.1 330.1 332 319.9 332zM319.9 396C308.9 396 299.9 404.1 299.9 416s8.97 20 20 20c11.04 0 20-8.969 20-20S330.1 396 319.9 396zM255.9 396c-11.04 0-20 8.969-20 20s8.969 20 20 20c11.03 0 20-8.969 20-20S266.1 396 255.9 396zM31.97 367.2c0-97.45 83.62-82.3 83.62-157.7c0-22.7-8.193-29.03-8.193-57.1c0-43.22 23.98-83.49 63.26-101l36.36-16.23C211.8 32.1 216.9 31.97 221.9 31.97c15.38 0 30.58 9.468 37.71 25.17c0 0 19.2 42.48 20.07 44.69c2.467 6.335 8.5 10.21 14.88 10.21c8.734 0 16.04-7.101 16.04-16.03c0-2.883-.5082-5.218-4.571-14.04L288.8 43.9C276.3 16.46 249.5-.0009 221.9-.0009c-9.397 0-18.88 1.907-27.92 5.938L157.6 22.17C106.6 44.93 75.4 96.94 75.4 152.5c0 32.01 8.158 40.47 8.158 56.99c0 49.44-83.56 49.16-83.56 157.8c0 21.05 4.395 42.45 13.6 62.69l17.29 38.04c17.34 38.22 54.38 43.88 65.01 43.88c8.826 0 15.93-7.207 15.93-15.99c0-26.65-35.09-4.264-51.81-41.11l-17.29-38.05C35.45 400.8 31.97 383.8 31.97 367.2zM479.1 172c-11.03 0-20 8.969-20 20s8.969 20 20 20c11.04 0 20-8.969 20-20S491 172 479.1 172zM543.1 108c-11.03 0-20 8.969-20 20s8.97 20 20 20c11.04 0 20-8.969 20-20S555 108 543.1 108zM543.1 172c-11.03 0-20 8.969-20 20s8.97 20 20 20c11.04 0 20-8.969 20-20S555 172 543.1 172zM638.3 89.83c-1.438-47.19-41.01-86.73-88.18-88.19c0 0-54.61-1.628-56.24-1.628c-86.96 0-157.4 62.09-167.9 146.9c-1.833 14.93-11.41 46.35-51.29 51.28c-84.61 10.41-146.9 81.88-146.9 167.4c0 1.774 .0268 3.555 .0809 5.341l1.594 51.28c1.438 47.19 41.01 86.73 88.18 88.19c0 0 54.95 1.641 56.73 1.641c85.46 0 156.9-62.28 167.4-146.9c4.971-39.9 36.31-49.46 51.3-51.31c84.61-10.41 146.9-81.88 146.9-167.4c0-1.773-.0268-3.552-.0807-5.337L638.3 89.83zM607.1 146.7c0 70.24-49.32 126.8-118.9 135.4c-22.86 2.835-71.66 18.95-79.12 79.14c-8.631 69.74-66.22 118.7-136.2 118.7c-1.254 0-55.1-1.61-55.1-1.61c-30.6-.9219-56.23-26.58-57.17-57.17c0 0-1.665-54.38-1.665-55.91c0-70.24 49.32-126.8 118.9-135.4c60.15-7.461 76.35-56.3 79.12-79.14c8.564-69.48 65.14-118.8 135.4-118.8c1.531 0 3.062 .0313 4.594 .0781l51.33 1.562c30.6 .9219 56.23 26.58 57.17 57.16C606.3 90.8 607.1 145.2 607.1 146.7z"],
    "peapod": [512, 512, [], "e31c", "M498.6 13.39C489.7 4.594 477.4 .1875 465.1 0c-67.25 1.672-192.5 16.91-275.8 100.2L100.2 189.3c-83.28 83.28-98.53 208.6-100.2 275.8c-.2812 12.44 4.594 24.64 13.44 33.47C22.01 507.1 33.73 512 45.79 512c.375 0 .75-.0156 1.125-.0156c67.22-1.672 192.5-16.91 275.8-100.2l89.09-89.1c83.28-83.27 98.53-208.5 100.2-275.8C512.3 34.45 507.4 22.22 498.6 13.39zM389.2 300l-89.09 89.1c-78.25 78.25-203.6 89.61-253.1 90.85c-2.687 .5313-7.343-1.328-10.06-4.031c-2.687-2.703-4.125-6.281-4.031-10.05c1.25-50.31 12.62-175.8 90.84-253.1l89.09-89.1c78.25-78.22 203.6-89.58 253.1-90.82c.0938-.0156 .2187-.0156 .3438-.0156c3.656 0 7.093 1.438 9.718 4.047C478.6 38.74 480.1 42.31 479.1 46.11C478.7 96.41 467.4 221.8 389.2 300zM144 304c-35.35 0-64 28.65-64 64s28.65 64 64 64c35.35 0 64-28.65 64-64S179.4 304 144 304zM144 400c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S161.6 400 144 400zM256 192C220.6 192 192 220.6 192 256c0 35.35 28.65 64 64 64s64-28.65 64-64C320 220.6 291.4 192 256 192zM256 288C238.4 288 224 273.6 224 256s14.36-32 32-32s32 14.36 32 32S273.6 288 256 288zM368 80C332.6 80 304 108.6 304 144s28.65 64 64 64C403.4 208 432 179.4 432 144S403.4 80 368 80zM368 176C350.4 176 336 161.6 336 144s14.36-32 32-32C385.6 112 400 126.4 400 144S385.6 176 368 176z"],
    "pear": [512, 512, [], "e20c", "M512 16C512 6.861 504.5 0 496 0c-4.094 0-8.188 1.562-11.31 4.688L429.2 60.17C405.5 41.19 377 32 348.2 32C311.5 32 274.5 46.75 246.9 74.35C217.8 103.5 180.9 123.2 141.2 134.1c-33.07 9.063-141.2 58.05-141.2 185.4c0 106.7 86.96 192.5 192.2 192.5c37.68 0 150.1-19.78 184.2-138.8c35.9-125.4 103.6-110.9 103.6-207.7c0-29.19-9.411-58.39-28.22-82.62l55.57-55.57C510.4 24.19 512 20.09 512 16zM447.1 165.4c0 79.48-64.99 68.48-102.4 198.1C332.5 410.2 284.1 480 192.2 480c-69.78 0-160.2-56.03-160.2-160.5c0-74.86 51.04-136.3 117.7-154.6C271.1 131.7 266.7 64 348.2 64c21.58 0 41.43 6.758 58.05 19.08l-17.61 17.61C385.6 103.8 384 107.9 384 112C384 121.1 391.5 128 400 128c4.094 0 8.188-1.562 11.31-4.688l17.33-17.33C436 116.3 447.1 136.7 447.1 165.4z"],
    "pedestal": [448, 512, [], "e20d", "M128 80C119.2 80 112 87.16 112 96c0 8.836 7.164 16 16 16S144 104.8 144 96C144 87.16 136.8 80 128 80zM320 80c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16s16-7.164 16-16C336 87.16 328.8 80 320 80zM432 480H416V64c0-35.35-28.65-64-64-64H96C60.65 0 32 28.65 32 64v416H15.96C7.146 480 0 487.2 0 496s7.173 15.99 15.99 15.99h416C440.8 511.1 448 504.8 448 496S440.9 480 432 480zM384 480H64V64c0-17.64 14.36-32 32-32h256c17.64 0 32 14.36 32 32V480z"],
    "pegasus": [576, 512, [], "f703", "M576 86.25v94.07c0 20.51-13.07 38.73-32.5 45.3l-25.5 8.625C512.5 236.1 481.6 244.1 462.5 215.5L448 193.8v50.5c0 29.75-11.5 58-32 79.5V464c0 26.51-21.49 48-48 48h-32c-26.51 0-48-21.49-48-48v-112.5l-83.88-18.62l-19.25 53.75l16.59 65.61C209.1 482.6 186.2 512 154.9 512H130.6c-22.19 0-41.48-15.21-46.67-36.78l-18.17-75.59c-2.625-10.75-2.25-22 .75-32.75l22-74.25C72.88 274.8 64 251.6 64 227.4C64 221.5 64.75 216 65.75 210.4C46.25 216.5 32 234.5 32 256v48C32 312.8 24.84 320 15.1 320S0 312.8 0 304V256c0-43.75 35.13-79.13 78.63-79.88c11.75-19.25 29.5-33.88 50.63-41.75c1 10.88 3 21.5 6.125 31.88C112.3 176.9 96 200.1 96 227.4c0 22.88 11.5 43 28.88 55.13L97.25 376c-1.535 5.197-1.678 10.71-.4102 15.98l18.21 75.76C116.8 474.9 123.2 480 130.6 480h24.35c10.43 0 18.07-9.812 15.51-19.92L151.5 385l32.13-89.5L320 325.8V464c0 8.836 7.164 16 16 16h32c8.836 0 15.99-7.164 15.99-16L384 309.8c19.38-15.38 32-38.88 32-65.5V144L464 160l25.12 37.75c2.375 3.5 9.125 9.5 18.5 6.25l25.5-8.75C539.6 193.1 544 187 544 180.1V86.25L523.5 61.5C535.1 56.63 543.3 45.25 543.3 32H432c-53.02 0-96 42.98-96 96l-.0097 32C276.1 160 229.4 130.3 200 73.75C194.8 88.88 192 104.8 192 121.1c0 60.5 45.75 115.4 107.5 130.5c4.125 1.125 6.875 5 6 9.25L302.6 276.5C301.8 281 297.3 284 292.9 283C216.5 264.8 160 196.5 160 121.1c0-26 5.625-51.13 16.75-74.75C181 37.38 189.4 32.25 199.9 32c10 .125 19 6.125 23 15.38c18.38 41.88 45.88 67.38 81.5 76.5C306.6 55.25 362.9 0 431.1 0l111.3-.002c16.78 0 31.39 13.04 31.96 29.81c.416 12.17-2.605 23.84-8.459 33.95C572.3 70.38 576 76.63 576 86.25zM496 96c0-8.875-7.125-16-16-16S464 87.13 464 96s7.125 16 16 16S496 104.9 496 96z"],
    "pen": [512, 512, [128394], "f304", "M495 59.6C516.9 81.47 516.9 116.9 495 138.8L182.3 451.6C170.9 462.9 156.9 471.2 141.5 475.8L20.52 511.4C14.9 513 8.827 511.5 4.687 507.3C.5466 503.2-1.002 497.1 .6506 491.5L36.23 370.5C40.76 355.1 49.09 341.1 60.44 329.7L373.2 16.97C395.1-4.897 430.5-4.897 452.4 16.97L495 59.6zM341 94.4L417.6 170.1L472.4 116.2C481.8 106.8 481.8 91.6 472.4 82.23L429.8 39.6C420.4 30.23 405.2 30.23 395.8 39.6L341 94.4zM318.4 117L83.07 352.4C75.5 359.9 69.95 369.3 66.93 379.6L39.63 472.4L132.4 445.1C142.7 442.1 152.1 436.5 159.6 428.9L394.1 193.6L318.4 117z"],
    "pen-circle": [512, 512, [], "e20e", "M286.2 140.7C304.1 121.1 335.3 121.1 354.1 140.7L371.4 158.1C390.2 176.8 390.2 207.2 371.4 225.9L245.1 352.3C238.9 358.5 231.2 362.8 222.8 364.1L147.9 383.7C142.4 385 136.7 383.4 132.7 379.5C128.7 375.5 127.1 369.7 128.5 364.3L147.2 289.4C149.3 280.9 153.7 273.2 159.8 267.1L286.2 140.7zM331.5 163.3C325.2 157.1 315.1 157.1 308.8 163.3L287.4 184.8L327.4 224.8L348.8 203.3C355.1 197.1 355.1 186.9 348.8 180.7L331.5 163.3zM178.2 297.1L165.1 346.2L215 333.9C217.8 333.2 220.4 331.7 222.4 329.7L304.8 247.4L264.8 207.4L182.5 289.7C180.4 291.8 178.9 294.3 178.2 297.1V297.1zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "pen-clip": [512, 512, ["pen-alt"], "f305", "M278.6 77.25C266.1 64.76 245.9 64.76 233.4 77.25L123.3 187.3C117.1 193.6 106.9 193.6 100.7 187.3C94.44 181.1 94.44 170.9 100.7 164.7L210.7 54.63C235.7 29.63 276.3 29.63 301.3 54.63L314.3 67.72L362.7 19.32C387.7-5.678 428.3-5.678 453.3 19.32L492.7 58.75C517.7 83.74 517.7 124.3 492.7 149.3L229.5 412.5C181.5 460.5 120.3 493.2 53.7 506.5L28.71 511.5C20.84 513.1 12.7 510.6 7.03 504.1C1.356 499.3-1.107 491.2 .4662 483.3L5.465 458.3C18.78 391.7 51.52 330.5 99.54 282.5L291.7 90.34L278.6 77.25zM336.1 90.34L421.7 175L470.1 126.6C482.6 114.1 482.6 93.87 470.1 81.37L430.6 41.94C418.1 29.45 397.9 29.45 385.4 41.94L336.1 90.34zM122.2 305.1C78.61 348.7 48.92 404.2 36.84 464.6L34.2 477.8L47.42 475.2C107.8 463.1 163.3 433.4 206.9 389.8L399 197.7L314.3 112.1L122.2 305.1z"],
    "pen-clip-slash": [640, 512, ["pen-alt-slash"], "e20f", "M633.9 483.4C640.9 488.9 642 498.1 636.6 505.9C631.1 512.9 621 514 614.1 508.6L6.086 28.56C-.8493 23.08-2.033 13.02 3.443 6.086C8.918-.8493 18.98-2.033 25.91 3.443L633.9 483.4zM556.7 149.3L438.2 267.8L412.9 247.8L463 197.7L378.3 112.1L318.2 173.1L292.1 153.1L355.7 90.34L342.6 77.26C330.1 64.76 309.9 64.76 297.4 77.26L253 121.6L227.7 101.6L274.7 54.63C299.7 29.63 340.3 29.63 365.3 54.63L378.3 67.72L426.7 19.32C451.7-5.678 492.3-5.678 517.3 19.32L556.7 58.75C581.7 83.74 581.7 124.3 556.7 149.3L556.7 149.3zM400.1 90.35L485.7 175L534.1 126.6C546.6 114.1 546.6 93.87 534.1 81.38L494.6 41.94C482.1 29.45 461.9 29.45 449.4 41.94L400.1 90.35zM321.8 338.9L347 358.9L293.5 412.5C245.5 460.5 184.3 493.2 117.7 506.5L92.71 511.5C84.84 513.1 76.7 510.6 71.03 504.1C65.35 499.3 62.89 491.2 64.47 483.3L69.46 458.3C82.78 391.7 115.5 330.5 163.5 282.5L201.8 244.2L227.1 264.2L186.2 305.1C142.6 348.7 112.9 404.2 100.8 464.6L98.2 477.8L111.4 475.2C171.8 463.1 227.3 433.4 270.9 389.8L321.8 338.9z"],
    "pen-fancy": [512, 512, [128395, 10002], "f5ac", "M512 82.42C512 105.8 502.1 128.1 484.7 143.7L269.1 336.9L246.6 413.1C240.5 432.9 225.2 448.5 205.6 454.1L43.42 509.1C18.4 517.4-5.398 493.6 2.941 468.6L57.01 306.4C63.55 286.8 79.15 271.5 98.9 265.4L175.1 242L368.3 27.28C383.9 9.917 406.2 0 429.6 0C475.1 0 512 36.9 512 82.42V82.42zM206 255.4L256.6 305.1L463.3 119.9C473.9 110.3 480 96.71 480 82.42C480 54.57 457.4 32 429.6 32C415.3 32 401.7 38.07 392.1 48.69L206 255.4zM237.9 332.5L179.5 274.1L108.3 296C98.44 299.1 90.64 306.7 87.37 316.5L44.61 444.8L112 377.3C112 376.9 112 376.4 112 376C112 362.7 122.7 352 136 352C149.3 352 160 362.7 160 376C160 389.3 149.3 400 136 400C135.6 400 135.1 399.1 134.7 399.1L67.24 467.4L195.5 424.6C205.3 421.4 212.9 413.6 215.1 403.7L237.9 332.5z"],
    "pen-fancy-slash": [640, 512, [], "e210", "M633.9 483.4C640.9 488.9 642 498.1 636.6 505.9C631.1 512.9 621 514 614.1 508.6L6.086 28.56C-.8493 23.08-2.033 13.02 3.443 6.086C8.918-.8493 18.98-2.033 25.91 3.443L633.9 483.4zM548.7 143.7L423.6 256.3L398.1 236.1L527.3 119.9C537.9 110.3 544 96.71 544 82.42C544 54.57 521.4 32 493.6 32C479.3 32 465.7 38.07 456.1 48.69L333.4 185L308.2 165.2L432.3 27.28C447.9 9.917 470.2 .0006 493.6 .0006C539.1 .0006 576 36.9 576 82.42C576 105.8 566.1 128.1 548.7 143.7L548.7 143.7zM304.2 325L331.1 346.3L310.6 413.1C304.5 432.9 289.2 448.5 269.6 454.1L107.4 509.1C82.4 517.4 58.6 493.6 66.94 468.6L121 306.4C127.5 286.8 143.1 271.5 162.9 265.4L210.2 250.9L240.7 274.1L172.3 296C162.4 299.1 154.6 306.7 151.4 316.5L108.6 444.8L176 377.3C176 376.9 176 376.4 176 376C176 362.7 186.7 352 200 352C213.3 352 224 362.7 224 376C224 389.3 213.3 400 200 400C199.6 400 199.1 399.1 198.7 399.1L131.2 467.4L259.5 424.6C269.3 421.4 276.9 413.6 279.1 403.7L304.2 325z"],
    "pen-field": [640, 512, [], "e211", "M514.7 23.11C539.6-2.142 580.4-2.267 605.5 22.83L617.4 34.75C642.4 59.74 642.4 100.3 617.4 125.3L424.9 317.8C416.1 326.6 404.9 332.7 392.8 335.2L307.3 353.2C301.1 354.3 296.5 352.6 292.7 348.8C288.9 344.1 287.2 339.5 288.3 334.2L306.3 248.6C308.8 236.5 314.8 225.5 323.4 216.7L514.7 23.11zM582.8 45.46C570.3 32.91 549.9 32.97 537.4 45.6L510.1 72.37L568 129.4L594.8 102.6C607.3 90.13 607.2 69.87 594.8 57.38L582.8 45.46zM337.6 255.1L324.7 316.8L386.2 303.9C392.3 302.6 397.9 299.6 402.3 295.2L545.4 152L488.5 95.14L346.2 239.2C341.9 243.6 338.9 249.1 337.6 255.1L337.6 255.1zM304 128C312.8 128 320 135.2 320 144C320 152.8 312.8 160 304 160H64C46.33 160 32 174.3 32 192V448C32 465.7 46.33 480 64 480H512C529.7 480 544 465.7 544 448V272C544 263.2 551.2 256 560 256C568.8 256 576 263.2 576 272V448C576 483.3 547.3 512 512 512H64C28.65 512 0 483.3 0 448V192C0 156.7 28.65 128 64 128H304zM104 320C104 306.7 114.7 296 128 296C141.3 296 152 306.7 152 320C152 333.3 141.3 344 128 344C114.7 344 104 333.3 104 320zM248 320C248 333.3 237.3 344 224 344C210.7 344 200 333.3 200 320C200 306.7 210.7 296 224 296C237.3 296 248 306.7 248 320z"],
    "pen-line": [576, 512, [], "e212", "M373.2 16.97C395.1-4.897 430.5-4.897 452.4 16.97L495 59.6C516.9 81.47 516.9 116.9 495 138.8L182.3 451.6C170.9 462.9 156.9 471.2 141.5 475.8L20.52 511.4C14.9 513 8.827 511.5 4.687 507.3C.5466 503.2-1.002 497.1 .6506 491.5L36.23 370.5C40.76 355.1 49.09 341.1 60.44 329.7L373.2 16.97zM429.8 39.6C420.4 30.23 405.2 30.23 395.8 39.6L341 94.4L417.6 170.1L472.4 116.2C481.8 106.8 481.8 91.6 472.4 82.23L429.8 39.6zM66.93 379.6L39.63 472.4L132.4 445.1C142.7 442.1 152.1 436.5 159.6 428.9L394.1 193.6L318.4 117L83.07 352.4C75.5 359.9 69.95 369.3 66.93 379.6V379.6zM560 480C568.8 480 576 487.2 576 496C576 504.8 568.8 512 560 512H240C231.2 512 224 504.8 224 496C224 487.2 231.2 480 240 480H560z"],
    "pen-nib": [512, 512, [10001], "f5ad", "M279.7 97.68L354.7 22.63C379.7-2.366 420.3-2.366 445.3 22.63L489.4 66.75C514.4 91.74 514.4 132.3 489.4 157.3L414.3 232.3L376.8 369.1C369.5 396.6 349 417.6 322.6 425.5L47.43 508.1C35.12 511.8 21.78 508.4 12.69 499.3C3.597 490.2 .232 476.9 3.925 464.6L86.47 189.4C94.4 162.1 115.4 142.5 142 135.2L279.7 97.68zM310.6 112L400 201.4L466.7 134.6C479.2 122.1 479.2 101.9 466.7 89.37L422.6 45.26C410.1 32.76 389.9 32.76 377.4 45.26L310.6 112zM283.3 129.9L150.5 166.1C134.5 170.5 121.9 182.7 117.1 198.6L42.7 446.7L152.9 336.5C147.2 326.1 144 315.9 144 304C144 268.7 172.7 240 208 240C243.3 240 272 268.7 272 304C272 339.3 243.3 368 208 368C196.1 368 185 364.8 175.5 359.1L65.33 469.3L313.4 394.9C329.3 390.1 341.5 377.5 345.9 361.5L382.1 228.7L283.3 129.9zM208 272C190.3 272 176 286.3 176 304C176 321.7 190.3 336 208 336C225.7 336 240 321.7 240 304C240 286.3 225.7 272 208 272z"],
    "pen-nib-slash": [640, 512, [], "e4a1", "M633.9 483.4C640.9 488.9 642 498.1 636.6 505.9C631.1 512.9 621 514 614.1 508.6L6.086 28.56C-.8493 23.08-2.033 13.02 3.443 6.086C8.918-.8493 18.98-2.033 25.91 3.443L633.9 483.4zM478.3 232.3L465.5 279.2L438.2 257.6L446.1 228.7L347.3 129.9L294.6 144.2L263.4 119.6L343.7 97.68L418.7 22.63C443.7-2.365 484.3-2.365 509.3 22.63L553.4 66.75C578.4 91.74 578.4 132.3 553.4 157.3L478.3 232.3zM374.6 112L464 201.4L530.7 134.6C543.2 122.1 543.2 101.9 530.7 89.37L486.6 45.26C474.1 32.76 453.9 32.76 441.4 45.26L374.6 112zM379 394.3L406.8 416.2C400.6 420.2 393.8 423.4 386.6 425.5L111.4 508.1C99.12 511.8 85.78 508.4 76.69 499.3C67.6 490.2 64.23 476.9 67.93 464.6L144.5 209.2L171.5 230.5L106.7 446.7L216.9 336.5C211.2 326.1 207.1 315.9 207.1 304C207.1 290.7 212.1 278.3 219.1 268L244.3 287.1C241.6 292.7 239.1 298.2 239.1 304C239.1 321.7 254.3 336 271.1 336C280.5 336 288.3 332.7 294 327.2L319.3 347.2C307.6 359.1 290.7 368 271.1 368C260.1 368 249 364.8 239.5 359.1L129.3 469.3L377.4 394.9C377.9 394.7 378.5 394.5 379 394.3L379 394.3z"],
    "pen-paintbrush": [576, 512, ["pencil-paintbrush"], "f618", "M320.5 409.1C325.4 449.5 359.1 480 399.9 480H539.1C517.9 480 501.6 468.5 491.1 455.1C482.5 441.9 477.8 425 479.5 408.3C479.8 405.6 479.9 402.8 479.9 400C479.9 359.2 449.4 325.5 409.9 320.6L436.4 294.1C480.4 309.2 511.9 350.9 511.9 400C511.9 403.9 511.7 407.8 511.3 411.6C509.5 429.1 521.5 448 539.1 448H543.9C561.6 448 575.9 462.3 575.9 480C575.9 497.7 561.6 512 543.9 512H399.9C350.8 512 309.1 480.4 294 436.5L320.5 409.1zM18.75 109.3C-6.248 84.26-6.248 43.74 18.75 18.75C43.74-6.248 84.26-6.248 109.3 18.75L224 133.5L201.4 156.1L86.63 41.37C74.13 28.88 53.87 28.88 41.37 41.37C28.88 53.87 28.88 74.13 41.37 86.63L156.1 201.4L133.5 223.1L18.75 109.3zM405.2 16.97C427.1-4.899 462.5-4.899 484.4 16.97L527 59.6C548.9 81.47 548.9 116.9 527 138.8L214.3 451.6C202.9 462.9 188.9 471.2 173.5 475.8L52.51 511.4C46.9 513 40.83 511.5 36.69 507.3C32.55 503.2 30.1 497.1 32.65 491.5L68.23 370.5C72.76 355.1 81.09 341.1 92.44 329.7L405.2 16.97zM461.8 39.6C452.4 30.23 437.2 30.23 427.8 39.6L373 94.4L449.6 170.1L504.4 116.2C513.8 106.8 513.8 91.6 504.4 82.23L461.8 39.6zM98.93 379.6L71.63 472.4L164.4 445.1C174.7 442.1 184.1 436.5 191.6 428.9L426.1 193.6L350.4 117L115.1 352.4C107.5 359.9 101.9 369.3 98.93 379.6V379.6z"],
    "pen-ruler": [512, 512, ["pencil-ruler"], "f5ae", "M373.2 16.97C395.1-4.901 430.5-4.901 452.4 16.97L495 59.6C516.9 81.47 516.9 116.9 495 138.8L182.3 451.6C170.9 462.9 156.9 471.2 141.5 475.8L20.52 511.3C14.9 512.1 8.827 511.5 4.687 507.3C.5466 503.2-1.002 497.1 .6506 491.5L36.23 370.5C40.76 355.1 49.09 341.1 60.44 329.7L373.2 16.97zM429.8 39.6C420.4 30.22 405.2 30.22 395.8 39.6L341 94.4L417.6 170.1L472.4 116.2C481.8 106.8 481.8 91.6 472.4 82.23L429.8 39.6zM66.93 379.5L39.63 472.4L132.4 445.1C142.7 442 152.1 436.5 159.6 428.9L394.1 193.6L318.4 117L83.07 352.4C75.5 359.9 69.95 369.3 66.93 379.5V379.5zM173.3 27.31L244.1 98.18L221.5 120.8L189.7 88.97L155.3 123.3C149.1 129.6 138.9 129.6 132.7 123.3C126.4 117.1 126.4 106.9 132.7 100.7L167 66.34L150.6 49.94C138.1 37.44 117.9 37.44 105.4 49.94L49.94 105.4C37.44 117.9 37.44 138.1 49.94 150.6L120.8 221.5L98.18 244.1L27.31 173.3C2.32 148.3 2.32 107.7 27.31 82.75L82.75 27.31C107.7 2.32 148.3 2.32 173.3 27.31V27.31zM338.7 484.7L267.9 413.8L290.5 391.2L361.4 462.1C373.9 474.6 394.1 474.6 406.6 462.1L462.1 406.6C474.6 394.1 474.6 373.9 462.1 361.4L445.7 344.1L411.3 379.3C405.1 385.6 394.9 385.6 388.7 379.3C382.4 373.1 382.4 362.9 388.7 356.7L423 322.3L391.2 290.5L413.8 267.9L484.7 338.7C509.7 363.7 509.7 404.3 484.7 429.3L429.3 484.7C404.3 509.7 363.7 509.7 338.7 484.7V484.7z"],
    "pen-slash": [640, 512, [], "e213", "M633.9 483.4C640.9 488.9 642 498.1 636.6 505.9C631.1 512.9 621 514 614.1 508.6L6.086 28.56C-.8493 23.08-2.033 13.02 3.443 6.086C8.918-.8493 18.98-2.033 25.91 3.443L633.9 483.4zM559 138.8L433.6 264.2L408.4 244.2L458.1 193.6L382.4 117L322.8 176.7L297.5 156.7L437.2 16.97C459.1-4.897 494.5-4.897 516.4 16.97L559 59.6C580.9 81.47 580.9 116.9 559 138.8V138.8zM405 94.4L481.6 170.1L536.4 116.2C545.8 106.8 545.8 91.6 536.4 82.23L493.8 39.6C484.4 30.23 469.2 30.23 459.8 39.6L405 94.4zM317.2 335.4L342.5 355.3L246.3 451.6C234.9 462.9 220.9 471.2 205.5 475.8L84.51 511.4C78.9 513 72.83 511.5 68.69 507.3C64.55 503.2 62.1 497.1 64.65 491.5L100.2 370.5C104.8 355.1 113.1 341.1 124.4 329.7L206.4 247.8L231.6 267.8L147.1 352.4C139.5 359.9 133.9 369.3 130.9 379.6L103.6 472.4L196.4 445.1C206.7 442.1 216.1 436.5 223.6 428.9L317.2 335.4z"],
    "pen-swirl": [512, 512, [], "e214", "M386.7 23.11C411.6-2.142 452.4-2.267 477.5 22.83L489.4 34.75C514.4 59.74 514.4 100.3 489.4 125.3L296.9 317.8C288.1 326.6 276.9 332.7 264.8 335.2L179.3 353.2C173.1 354.3 168.5 352.6 164.7 348.8C160.9 344.1 159.2 339.5 160.3 334.2L178.3 248.6C180.8 236.5 186.8 225.5 195.4 216.7L386.7 23.11zM454.8 45.46C442.3 32.91 421.9 32.97 409.4 45.6L382.1 72.37L440 129.4L466.8 102.6C479.3 90.13 479.2 69.87 466.8 57.38L454.8 45.46zM209.6 255.1L196.7 316.8L258.2 303.9C264.3 302.6 269.9 299.6 274.3 295.2L417.4 152L360.5 95.14L218.2 239.2C213.9 243.6 210.9 249.1 209.6 255.1L209.6 255.1zM301.1 52.89C286.5 49.69 271.5 48 256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C264.8 464 272 471.2 272 480C272 488.8 264.8 496 256 496C123.5 496 16 388.5 16 256C16 123.5 123.5 16 256 16C280.7 16 304.5 19.73 326.1 26.67L301.1 52.89zM496 256C496 335.5 431.5 400 352 400C339.6 400 327.5 398.4 316 395.5C307.5 393.3 302.3 384.5 304.5 375.1C306.7 367.4 315.4 362.3 323.1 364.5C332.9 366.8 342.3 368 352 368C413.9 368 464 317.9 464 256C464 240.9 462.4 226.1 459.3 211.9L485.5 185.7C492.3 207.9 496 231.5 496 256V256z"],
    "pen-to-square": [512, 512, ["edit"], "f044", "M386.7 22.63C411.7-2.365 452.3-2.365 477.3 22.63L489.4 34.74C514.4 59.74 514.4 100.3 489.4 125.3L269 345.6C260.6 354.1 249.9 359.1 238.2 362.7L147.6 383.6C142.2 384.8 136.6 383.2 132.7 379.3C128.8 375.4 127.2 369.8 128.4 364.4L149.3 273.8C152 262.1 157.9 251.4 166.4 242.1L386.7 22.63zM454.6 45.26C442.1 32.76 421.9 32.76 409.4 45.26L382.6 72L440 129.4L466.7 102.6C479.2 90.13 479.2 69.87 466.7 57.37L454.6 45.26zM180.5 281L165.3 346.7L230.1 331.5C236.8 330.2 242.2 327.2 246.4 322.1L417.4 152L360 94.63L189 265.6C184.8 269.8 181.8 275.2 180.5 281V281zM208 64C216.8 64 224 71.16 224 80C224 88.84 216.8 96 208 96H80C53.49 96 32 117.5 32 144V432C32 458.5 53.49 480 80 480H368C394.5 480 416 458.5 416 432V304C416 295.2 423.2 288 432 288C440.8 288 448 295.2 448 304V432C448 476.2 412.2 512 368 512H80C35.82 512 0 476.2 0 432V144C0 99.82 35.82 64 80 64H208z"],
    "pencil": [512, 512, [61504, 9999, "pencil-alt"], "f303", "M373.2 16.97C395.1-4.901 430.5-4.901 452.4 16.97L495 59.6C516.9 81.47 516.9 116.9 495 138.8L182.3 451.6C170.9 462.9 156.9 471.2 141.5 475.8L20.52 511.3C14.9 512.1 8.827 511.5 4.687 507.3C.5466 503.2-1.002 497.1 .6506 491.5L36.23 370.5C40.76 355.1 49.09 341.1 60.44 329.7L373.2 16.97zM429.8 39.6C420.4 30.22 405.2 30.22 395.8 39.6L341 94.4L417.6 170.1L472.4 116.2C481.8 106.8 481.8 91.6 472.4 82.23L429.8 39.6zM109.6 402.4L173.4 415.2L394.1 193.6L318.4 117L96.84 338.6L109.6 402.4zM70.51 370.2C69.08 373.2 67.88 376.3 66.93 379.5L39.63 472.4L132.4 445.1C135.7 444.1 138.8 442.9 141.8 441.5L92.86 431.7C86.53 430.4 81.58 425.5 80.31 419.1L70.51 370.2z"],
    "pencil-slash": [640, 512, [], "e215", "M633.9 483.4C640.9 488.9 642 498.1 636.6 505.9C631.1 512.9 621 514 614.1 508.6L6.086 28.56C-.8493 23.08-2.033 13.02 3.443 6.086C8.918-.8493 18.98-2.033 25.91 3.443L633.9 483.4zM559 138.8L433.6 264.2L408.4 244.2L458.1 193.6L382.4 117L322.8 176.6L297.5 156.7L437.2 16.97C459.1-4.901 494.5-4.901 516.4 16.97L559 59.6C580.9 81.47 580.9 116.9 559 138.8V138.8zM493.8 39.6C484.4 30.22 469.2 30.22 459.8 39.6L405 94.4L481.6 170.1L536.4 116.2C545.8 106.8 545.8 91.6 536.4 82.23L493.8 39.6zM317.2 335.3L342.5 355.3L246.3 451.6C234.9 462.9 220.9 471.2 205.5 475.8L84.51 511.3C78.9 513 72.83 511.5 68.69 507.3C64.55 503.2 62.1 497.1 64.65 491.5L100.2 370.5C104.8 355.1 113.1 341.1 124.4 329.7L206.4 247.8L231.6 267.8L160.8 338.6L173.6 402.4L237.4 415.2L317.2 335.3zM134.5 370.2C133.1 373.2 131.9 376.3 130.9 379.5L103.6 472.4L196.4 445.1C199.7 444.1 202.8 442.9 205.8 441.5L156.9 431.7C150.5 430.4 145.6 425.5 144.3 419.1L134.5 370.2z"],
    "people": [640, 512, [], "e216", "M479.1 112c30.88 0 55.1-25.12 55.1-56S510.9 0 479.1 0c-30.87 0-56 25.12-56 56S449.1 112 479.1 112zM479.1 32c13.22 0 24 10.77 24 24s-10.78 24-24 24s-24-10.77-24-24S466.8 32 479.1 32zM160 112c30.87 0 55.1-25.12 55.1-56S190.9 0 160 0C129.1 0 104 25.12 104 56S129.1 112 160 112zM160 32c13.22 0 23.1 10.77 23.1 24S173.2 80 160 80s-24-10.77-24-24S146.8 32 160 32zM208 240c-8.844 0-16 7.156-16 16v80h-63.1V256c0-8.844-7.156-16-15.1-16c-8.844 0-16 7.156-16 16v240c0 8.844 7.156 16 16 16c8.842 0 15.1-7.156 15.1-16v-128h63.1v128c0 8.844 7.156 16 16 16s16-7.156 16-16V256C224 247.2 216.8 240 208 240zM534.3 248.8c-3.969-7.922-13.53-11.09-21.47-7.156c-7.906 3.953-11.09 13.56-7.156 21.47L558.1 368h-156.2l52.44-104.8c3.938-7.906 .75-17.52-7.154-21.47c-7.906-3.906-17.47-.7344-21.47 7.156l-63.1 128c-2.469 4.953-2.219 10.84 .6875 15.56C365.3 397.1 370.5 400 375.1 400h39.1v96c0 8.844 7.156 16 16 16s16-7.156 16-16v-96h63.1v96c0 8.844 7.154 16 15.1 16s16-7.156 16-16v-96h39.1c5.531 0 10.69-2.875 13.62-7.594c2.906-4.719 3.156-10.61 .6875-15.56L534.3 248.8zM613.1 280.2l-61.72-111.1C538.2 143.8 511.4 128 482.3 128h-4.688c-29.03 0-55.84 15.77-69.94 41.16L345.1 280.2c-4.281 7.719-1.5 17.45 6.219 21.75c7.625 4.25 17.44 1.547 21.78-6.219l61.72-111.1C444.2 169.5 460.2 160 477.7 160h4.688c17.44 0 33.5 9.453 41.94 24.69l61.72 111.1C588.9 301 594.4 304 599.1 304c2.656 0 5.312-.6406 7.781-2.016C615.5 297.7 618.3 287.1 613.1 280.2zM240.3 169.2C226.2 143.8 199.4 128 170.3 128H149.7C120.6 128 93.82 143.8 79.73 169.2L18.01 280.2c-4.281 7.719-1.5 17.45 6.219 21.75C31.85 306.2 41.67 303.5 46.01 295.8l61.72-111.1C116.2 169.5 132.2 160 149.7 160h20.69c17.44 0 33.5 9.453 41.94 24.69L274 295.8C276.9 301 282.4 304 288 304c2.656 0 5.312-.6406 7.781-2.016c7.717-4.297 10.5-14.03 6.216-21.75L240.3 169.2z"],
    "people-arrows": [576, 512, ["people-arrows-left-right"], "e068", "M446.8 310.1c1.617-3.91 1.617-8.309 0-12.22c-.8145-1.969-1.992-3.742-3.477-5.223l-63.98-63.98c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L393.4 288H182.6l36.69-36.69c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0L132.7 292.7C131.2 294.1 130 295.9 129.2 297.9c-1.617 3.91-1.617 8.309 0 12.22C130 312.1 131.2 313.9 132.7 315.3l63.98 63.98C199.8 382.4 203.9 384 208 384s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L182.6 320h210.8l-36.69 36.69c-6.25 6.25-6.25 16.38 0 22.62C359.8 382.4 363.9 384 368 384s8.188-1.562 11.31-4.688l63.98-63.98C444.8 313.9 445.1 312.1 446.8 310.1zM96 128c35.38 0 64-28.62 64-64S131.4 0 96 0S32 28.62 32 64S60.63 128 96 128zM96 32c17.64 0 32 14.36 32 32S113.6 96 96 96S64 81.64 64 64S78.36 32 96 32zM144 384C135.2 384 128 391.2 128 400v96C128 504.8 135.2 512 144 512S160 504.8 160 496v-96C160 391.2 152.8 384 144 384zM137.8 216.3C142.3 223.7 151.9 226.2 159.4 221.8c7.656-4.422 10.28-14.2 5.844-21.86C151 175.3 124.5 160 96 160H80C35.82 160 0 195.8 0 240V320c0 17.67 14.33 32 31.1 32L32 496C32 504.8 39.16 512 48 512S64 504.8 64 496v-160C64 327.2 56.84 320 48 320H32V240c0-26.51 21.49-47.1 48-47.1l19.27 0C115.7 192 129.2 202.2 137.8 216.3zM480 128c35.38 0 64-28.62 64-64s-28.62-64-64-64s-64 28.62-64 64S444.6 128 480 128zM480 32c17.64 0 32 14.36 32 32s-14.36 32-32 32s-32-14.36-32-32S462.4 32 480 32zM432 384c-8.844 0-16 7.156-16 16v96c0 8.844 7.156 16 16 16s16-7.156 16-16v-96C448 391.2 440.8 384 432 384zM496 160H480c-28.47 0-55.03 15.31-69.28 39.97c-4.438 7.656-1.812 17.44 5.844 21.86c7.499 4.413 17.16 1.908 21.68-5.544c8.507-14.05 22.01-24.28 38.43-24.28L496 192C522.5 192 544 213.5 544 240V320h-16c-8.837 0-16 7.163-16 16v160c0 8.844 7.156 16 16 16s16-7.156 16-16V352c17.67 0 32-14.33 32-32V240C576 195.8 540.2 160 496 160z"],
    "people-carry-box": [640, 512, ["people-carry"], "f4ce", "M503.1 112c30.88 0 56-25.12 56-56S534.9 0 503.1 0C473.1 0 448 25.12 448 56S473.1 112 503.1 112zM503.1 32c13.23 0 24 10.77 24 24s-10.77 24-24 24S480 69.23 480 56S490.8 32 503.1 32zM87.94 370.1c-7.703-4.453-17.47-1.734-21.83 5.953l-64 112c-4.391 7.672-1.719 17.45 5.953 21.83C10.57 511.3 13.3 512 15.99 512c5.562 0 10.95-2.891 13.91-8.062l63.1-112C98.28 384.3 95.61 374.5 87.94 370.1zM136 112C166.9 112 192 86.88 192 56S166.9 0 136 0c-30.88 0-56 25.12-56 56S105.1 112 136 112zM136 32C149.2 32 160 42.77 160 56S149.2 80 136 80s-24-10.77-24-24S122.8 32 136 32zM637.9 488.1l-64-112c-4.357-7.688-14.12-10.41-21.83-5.953c-7.672 4.375-10.34 14.16-5.953 21.83l63.1 112C613.1 509.1 618.4 512 624 512c2.688 0 5.422-.6719 7.922-2.109C639.6 505.5 642.3 495.7 637.9 488.1zM591.9 286.2l-12.09-107.9C576.6 149.6 552.4 128 523.5 128c-23.3 0-43.94 13.97-52.59 35.61l-26.22 57.72C437.8 236.4 427.8 249.3 416 260.1V176C416 149.5 394.5 128 368 128h-96C245.5 128 224 149.5 224 176v84.14c-11.83-10.83-21.85-23.72-28.7-38.81L169.1 163.6C160.4 141.1 139.8 128 116.5 128C87.63 128 63.43 149.6 60.19 178.3l-12.09 107.9C47.57 291 49.25 295.9 52.69 299.3l92.23 92.23l15.23 106.7C161.3 506.3 168.1 512 175.1 512c.75 0 1.516-.0469 2.281-.1562c8.75-1.25 14.83-9.359 13.58-18.11l-16-112c-.5-3.422-2.078-6.594-4.531-9.047L80.77 282.1L92 181.9C93.39 169.4 103.9 160 116.5 160c10.12 0 19.11 6.078 23.17 16.16l26.51 58.39C195.1 298.3 258.1 320 272 320h96c13.95 0 76.89-21.67 105.8-85.45l26.51-58.39C504.4 166.1 513.4 160 523.5 160c12.56 0 23.09 9.406 24.48 21.89l11.23 100.2l-90.54 90.56c-2.453 2.453-4.031 5.625-4.531 9.047l-16 112c-1.25 8.75 4.828 16.86 13.58 18.11C462.5 511.1 463.3 512 464 512c7.844 0 14.69-5.75 15.83-13.73l15.23-106.7l92.23-92.23C590.7 295.9 592.4 291 591.9 286.2zM384 272C384 280.8 376.8 288 368 288h-96C263.2 288 256 280.8 256 272v-96c0-8.828 7.175-16 16-16h95.1C376.8 159.1 384 167.2 384 176V272z"],
    "people-dress": [640, 512, [], "e217", "M479.1 112c30.88 0 55.1-25.12 55.1-56S510.9 0 480 0c-30.87 0-56 25.12-56 56S449.1 112 479.1 112zM479.1 32c13.22 0 24 10.77 24 24s-10.78 24-24 24s-24-10.77-24-24S466.8 32 479.1 32zM534.3 248.8c-3.969-7.922-13.53-11.09-21.47-7.156c-7.906 3.953-11.09 13.56-7.156 21.47L558.1 368h-156.2l52.44-104.8c3.938-7.906 .75-17.52-7.154-21.47c-7.906-3.906-17.47-.7344-21.47 7.156l-63.1 128c-2.469 4.953-2.219 10.84 .6875 15.56C365.3 397.1 370.5 400 375.1 400h39.1v96c0 8.844 7.156 16 16 16s16-7.156 16-16v-96h63.1v96c0 8.844 7.154 16 15.1 16s16-7.156 16-16v-96h39.1c5.531 0 10.69-2.875 13.62-7.594c2.906-4.719 3.156-10.61 .6875-15.56L534.3 248.8zM613.1 280.2l-61.72-111.1C538.2 143.8 511.4 128 482.3 128h-4.688c-29.03 0-55.84 15.77-69.94 41.16L345.1 280.2c-4.281 7.719-1.5 17.45 6.219 21.75c7.625 4.25 17.44 1.547 21.78-6.219l61.72-111.1C444.2 169.5 460.2 160 477.7 160h4.688c17.44 0 33.5 9.453 41.94 24.69l61.72 111.1C588.9 301 594.4 304 599.1 304c2.656 0 5.312-.6406 7.781-2.016C615.5 297.7 618.3 287.1 613.1 280.2zM246.3 248.8C242.3 240.9 232.8 237.8 224.8 241.7C216.9 245.6 213.8 255.3 217.7 263.2L270.1 368H113.9l52.44-104.8c3.938-7.906 .75-17.52-7.156-21.47C151.3 237.8 141.7 240.1 137.7 248.8l-63.1 128c-2.469 4.953-2.219 10.84 .6875 15.56C77.32 397.1 82.48 400 88.01 400h39.1v96c0 8.844 7.156 16 16 16s15.1-7.156 15.1-16v-96h63.1v96c0 8.844 7.156 16 16 16s16-7.156 16-16v-96h39.1c5.531 0 10.69-2.875 13.62-7.594c2.906-4.719 3.156-10.61 .6875-15.56L246.3 248.8zM192 112c30.87 0 55.1-25.12 55.1-56S222.9 0 192 0c-30.88 0-55.1 25.12-55.1 56S161.1 112 192 112zM192 32c13.22 0 24 10.77 24 24s-10.78 24-24 24s-24-10.77-24-24S178.8 32 192 32zM264.3 169.2C250.2 143.8 223.4 128 194.3 128H189.7C160.6 128 133.8 143.8 119.7 169.2L58.01 280.2c-4.281 7.719-1.5 17.45 6.219 21.75C71.85 306.2 81.67 303.5 86.01 295.8l61.72-111.1C156.2 169.5 172.2 160 189.7 160h4.688c17.44 0 33.5 9.453 41.94 24.69L298 295.8C300.9 301 306.4 304 312 304c2.656 0 5.312-.6406 7.781-2.016c7.719-4.297 10.5-14.03 6.219-21.75L264.3 169.2z"],
    "people-dress-simple": [512, 512, [], "e218", "M384 128c35.38 0 64-28.62 64-64s-28.62-64-64-64s-64 28.62-64 64S348.6 128 384 128zM384 32c17.64 0 32 14.36 32 32s-14.36 32-32 32s-32-14.36-32-32S366.4 32 384 32zM505.5 343.2l-39.08-136.8C458.6 178.9 433.5 160 404.9 160h-41.85c-28.57 0-53.69 18.94-61.54 46.42l-39.08 136.8C256.6 363.7 271.1 384 293.2 384H320v112c0 8.844 7.156 16 16 16s16-7.156 16-16V384h64v112c0 8.844 7.156 16 16 16s16-7.156 16-16V384h26.78C496 384 511.4 363.7 505.5 343.2zM293.2 352l39.08-136.8C336.2 201.5 348.8 192 363.1 192h41.85c14.29 0 26.84 9.471 30.77 23.21L474.8 352H293.2zM210.5 206.4C202.6 178.9 177.5 160 148.9 160H107.1C78.5 160 53.39 178.9 45.54 206.4L6.452 343.2C.6109 363.7 15.96 384 37.22 384H64v112C64 504.8 71.16 512 80 512S96 504.8 96 496V384h64v112C160 504.8 167.2 512 176 512S192 504.8 192 496V384h26.78c21.26 0 36.61-20.35 30.77-40.79L210.5 206.4zM37.22 352l39.08-136.8C80.23 201.5 92.79 192 107.1 192h41.85c14.29 0 26.84 9.471 30.77 23.21L218.8 352H37.22zM128 128c35.38 0 64-28.62 64-64S163.4 0 128 0S64 28.62 64 64S92.63 128 128 128zM128 32c17.64 0 32 14.36 32 32S145.6 96 128 96S96 81.64 96 64S110.4 32 128 32z"],
    "people-group": [640, 512, [], "e533", "M72 88C72 57.07 97.07 32 128 32C158.9 32 184 57.07 184 88C184 118.9 158.9 144 128 144C97.07 144 72 118.9 72 88zM128 112C141.3 112 152 101.3 152 88C152 74.75 141.3 64 128 64C114.7 64 104 74.75 104 88C104 101.3 114.7 112 128 112zM0 280C0 222.6 46.56 176 104 176H152C165.3 176 178.1 178.5 189.8 183.1C198.1 186.3 202.1 195.6 198.9 203.8C195.7 212.1 186.4 216.1 178.2 212.9C170.1 209.7 161.3 208 152 208H104C101.3 208 98.63 208.1 96 208.4V416H160V384C160 375.2 167.2 368 176 368C184.8 368 192 375.2 192 384V424C192 437.3 181.3 448 168 448H88C74.75 448 64 437.3 64 424V376C26.44 360.4 .0003 323.3 .0003 280L0 280zM64 339.9V220.1C44.7 233 32 255 32 280C32 304.9 44.69 326.1 64 339.9zM512 144C481.1 144 456 118.9 456 88C456 57.07 481.1 32 512 32C542.9 32 568 57.07 568 88C568 118.9 542.9 144 512 144zM536 88C536 74.75 525.3 64 512 64C498.7 64 488 74.75 488 88C488 101.3 498.7 112 512 112C525.3 112 536 101.3 536 88zM576 376V424C576 437.3 565.3 448 552 448H472C458.7 448 448 437.3 448 424V384C448 375.2 455.2 368 464 368C472.8 368 480 375.2 480 384V416H544V208.4C541.4 208.1 538.7 208 536 208H488C478.7 208 469.9 209.7 461.8 212.9C453.6 216.1 444.3 212.1 441.1 203.8C437.9 195.6 441.1 186.3 450.2 183.1C461.9 178.5 474.7 175.1 488 175.1H536C593.4 175.1 640 222.6 640 279.1C640 323.3 613.6 360.4 576 376L576 376zM608 280C608 255 595.3 233 576 220.1V339.9C595.3 326.1 608 304.9 608 280zM384 96C384 131.3 355.3 160 320 160C284.7 160 256 131.3 256 96C256 60.65 284.7 32 320 32C355.3 32 384 60.65 384 96zM320 64C302.3 64 288 78.33 288 96C288 113.7 302.3 128 320 128C337.7 128 352 113.7 352 96C352 78.33 337.7 64 320 64zM336 192C393.4 192 440 238.6 440 296C440 336.1 417.3 370.9 384 388.3V456C384 469.3 373.3 480 360 480H280C266.7 480 256 469.3 256 456V388.3C222.7 370.9 200 336.1 200 296C200 238.6 246.6 192 304 192H336zM232 296C232 317.3 241.3 336.5 256 349.7V242.3C241.3 255.5 232 274.7 232 296zM352 448V225.8C346.9 224.6 341.5 224 336 224H304C298.5 224 293.1 224.6 288 225.8V448H352zM408 296C408 274.7 398.7 255.5 384 242.3V349.7C398.7 336.5 408 317.3 408 296z"],
    "people-line": [640, 512, [], "e534", "M368 80C368 106.5 346.5 128 320 128C293.5 128 272 106.5 272 80C272 53.49 293.5 32 320 32C346.5 32 368 53.49 368 80zM320 64C311.2 64 304 71.16 304 80C304 88.84 311.2 96 320 96C328.8 96 336 88.84 336 80C336 71.16 328.8 64 320 64zM418.4 272.4L376 203.5V288C376 305.7 361.7 320 344 320H296C278.3 320 264 305.7 264 288V203.5L221.6 272.4C221.5 272.7 221.3 272.9 221.1 273.2C222.3 274.8 223.3 276.4 224.4 278.1L269.6 351.6C274.3 359.1 271.9 368.1 264.4 373.6C256.9 378.3 247 375.9 242.4 368.4L200 299.5V368C200 385.7 185.7 400 168 400H120C102.3 400 88 385.7 88 368V299.5L45.63 368.4C40.1 375.9 31.14 378.3 23.62 373.6C16.09 368.1 13.74 359.1 18.38 351.6L63.63 278.1C78.19 254.4 103.1 239.1 131.8 239.1H156.2C170.9 239.1 184.9 243.1 197.1 251.2L239.6 182.1C254.2 158.4 279.1 143.1 307.8 143.1H332.2C360 143.1 385.8 158.4 400.4 182.1L442.9 251.2C455.1 243.1 469.2 239.1 483.8 239.1H508.2C536 239.1 561.8 254.4 576.4 278.1L621.6 351.6C626.3 359.1 623.9 368.1 616.4 373.6C608.9 378.3 599 375.9 594.4 368.4L552 299.5V368C552 385.7 537.7 400 520 400H472C454.3 400 440 385.7 440 368V299.5L397.6 368.4C392.1 375.9 383.1 378.3 375.6 373.6C368.1 368.1 365.7 359.1 370.4 351.6L415.6 278.1C416.7 276.4 417.8 274.8 418.9 273.2C418.7 272.9 418.5 272.7 418.4 272.4L418.4 272.4zM344 288V177.5C340.2 176.5 336.3 176 332.2 176H307.8C303.7 176 299.8 176.5 296 177.5V288H344zM120 273.5V368H168V273.5C164.2 272.5 160.3 272 156.2 272H131.8C127.7 272 123.8 272.5 120 273.5zM520 368V273.5C516.2 272.5 512.3 272 508.2 272H483.8C479.8 272 475.8 272.5 472 273.5V368H520zM624 448C632.8 448 640 455.2 640 464C640 472.8 632.8 480 624 480H16C7.164 480 0 472.8 0 464C0 455.2 7.164 448 16 448H624zM96 176C96 149.5 117.5 128 144 128C170.5 128 192 149.5 192 176C192 202.5 170.5 224 144 224C117.5 224 96 202.5 96 176zM144 192C152.8 192 160 184.8 160 176C160 167.2 152.8 160 144 160C135.2 160 128 167.2 128 176C128 184.8 135.2 192 144 192zM544 176C544 202.5 522.5 224 496 224C469.5 224 448 202.5 448 176C448 149.5 469.5 128 496 128C522.5 128 544 149.5 544 176zM496 160C487.2 160 480 167.2 480 176C480 184.8 487.2 192 496 192C504.8 192 512 184.8 512 176C512 167.2 504.8 160 496 160V160z"],
    "people-pants": [640, 512, [], "e219", "M207.1 240c-8.842 0-15.1 7.156-15.1 16v80h-63.1V256c0-8.844-7.156-16-16-16s-16 7.156-16 16v240c0 8.844 7.156 16 16 16s16-7.156 16-16v-128h63.1v128c0 8.844 7.156 16 15.1 16c8.844 0 16-7.156 16-16V256C223.1 247.2 216.8 240 207.1 240zM159.1 112c30.88 0 55.1-25.12 55.1-56S190.9 0 159.1 0C129.1 0 103.1 25.12 103.1 56S129.1 112 159.1 112zM159.1 32c13.22 0 24 10.77 24 24s-10.78 24-24 24s-23.1-10.77-23.1-24S146.8 32 159.1 32zM240.3 169.2C226.2 143.8 199.4 128 170.3 128H149.7C120.6 128 93.81 143.8 79.72 169.2L17.1 280.2C13.72 287.1 16.5 297.7 24.22 301.1C31.84 306.2 41.65 303.5 45.1 295.8l61.72-111.1C116.2 169.5 132.2 160 149.7 160h20.69C187.8 160 203.8 169.5 212.3 184.7l61.72 111.1C276.9 301 282.4 304 287.1 304c2.656 0 5.312-.6406 7.781-2.016c7.719-4.297 10.5-14.03 6.219-21.75L240.3 169.2zM480 112c30.87 0 55.1-25.12 55.1-56S510.9 0 479.1 0c-30.88 0-55.99 25.12-55.99 56S449.1 112 480 112zM480 32c13.22 0 23.1 10.77 23.1 24s-10.78 24-23.1 24s-24-10.77-24-24S466.8 32 480 32zM528 240c-8.844 0-16 7.156-16 16v80h-63.1V256c0-8.844-7.156-16-15.1-16c-8.844 0-16 7.156-16 16v240c0 8.844 7.156 16 16 16c8.842 0 15.1-7.156 15.1-16v-128h63.1v128c0 8.844 7.156 16 16 16s16-7.156 16-16V256C544 247.2 536.8 240 528 240zM621.1 280.2l-61.72-111.1C546.2 143.8 519.4 128 490.3 128h-20.69c-29.03 0-55.84 15.77-69.94 41.16l-61.72 111.1c-4.281 7.719-1.5 17.45 6.219 21.75c7.625 4.25 17.44 1.547 21.78-6.219l61.72-111.1C436.2 169.5 452.2 160 469.7 160h20.69c17.44 0 33.5 9.453 41.94 24.69l61.72 111.1C596.9 301 602.4 304 608 304c2.656 0 5.312-.6406 7.781-2.016C623.5 297.7 626.3 287.1 621.1 280.2z"],
    "people-pants-simple": [448, 512, [], "e21a", "M96 128c35.38 0 64-28.62 64-64S131.4 0 96 0S32 28.62 32 64S60.63 128 96 128zM96 32c17.64 0 32 14.36 32 32S113.6 96 96 96S64 81.64 64 64S78.36 32 96 32zM128 160H64C28.65 160 0 188.7 0 224v96c0 17.67 14.33 32 32 32v144C32 504.8 39.16 512 48 512S64 504.8 64 496V352h64v144C128 504.8 135.2 512 144 512S160 504.8 160 496V352c17.67 0 32-14.33 32-32V224C192 188.7 163.3 160 128 160zM160 320H32V224c0-17.64 14.36-32 32-32h64c17.64 0 32 14.36 32 32V320zM384 160h-64c-35.35 0-64 28.65-64 64v96c0 17.67 14.33 32 32 32v144c0 8.844 7.156 16 16 16s16-7.156 16-16V352h64v144c0 8.844 7.156 16 16 16s16-7.156 16-16V352c17.67 0 32-14.33 32-32V224C448 188.7 419.3 160 384 160zM416 320h-128V224c0-17.64 14.36-32 32-32h64c17.64 0 32 14.36 32 32V320zM352 128c35.38 0 64-28.62 64-64s-28.62-64-64-64s-64 28.62-64 64S316.6 128 352 128zM352 32c17.64 0 32 14.36 32 32s-14.36 32-32 32s-32-14.36-32-32S334.4 32 352 32z"],
    "people-pulling": [576, 512, [], "e535", "M136 56C136 86.93 110.9 112 80 112C49.08 112 24 86.93 24 56C24 25.07 49.08 0 80 0C110.9 0 136 25.07 136 56zM80 32C66.75 32 56 42.75 56 56C56 69.25 66.75 80 80 80C93.26 80 104 69.25 104 56C104 42.75 93.26 32 80 32zM33.48 169.3C32.53 171.3 32 173.6 32 176V336C32 344.8 24.84 352 16 352C7.164 352 0 344.8 0 336V176C0 149.5 21.49 128 48 128H110.6C127.2 128 143.5 133.2 157.1 142.9L278.2 229.3L278.3 228.1C285.9 198.6 305.8 172.8 333.3 157.8L357.9 144.4C377.6 133.6 399.7 128 422.1 128C458.8 128 491.5 151.1 503.9 185.6L525.3 245.6L568.9 274.7C576.2 279.6 578.2 289.5 573.3 296.9C568.4 304.2 558.5 306.2 551.1 301.3L507.5 272.3C501.8 268.4 497.5 262.9 495.1 256.4L481.9 219.4L443.3 331L486.9 368.8C491.6 372.9 494.1 378.2 496.7 384.2L527.4 491.6C529.8 500.1 524.9 508.1 516.4 511.4C507.9 513.8 499 508.9 496.6 500.4L465.9 392.1L365.4 305.8C350.9 293.3 345.3 273.4 350.1 255.2L377.5 170.2C376.1 170.9 374.7 171.7 373.2 172.5L348.6 185.9C328.1 196.6 314.7 215 309.3 236.7L303.6 259.6C303.4 260.5 303.1 261.5 302.7 262.4C301.8 264.3 300.6 266.1 299.1 267.5C295.9 270.6 291.4 272.3 286.7 271.9C284.8 271.8 282.9 271.3 281.1 270.5C280.2 269.1 279.3 269.5 278.4 268.8L148.2 175.9L223.6 492.3C225.6 500.9 220.3 509.5 211.7 511.6C203.1 513.6 194.5 508.3 192.4 499.7L157.3 352H100.9L127.7 493C129.4 501.7 123.7 510.1 114.1 511.7C106.3 513.4 97.94 507.7 96.28 498.1L33.48 169.3zM112 160C111.5 160 111.1 160 110.6 160H64.29L94.76 320H149.7L112.4 163.7C112.1 162.5 112 161.2 112 160V160zM386.3 281.6L417.2 308.4L462.5 177.7C452.3 166.7 437.8 160 422.1 160C419.4 160 416.8 160.1 414.2 160.3L381.5 264.8C379.6 270.8 381.5 277.5 386.3 281.6V281.6zM512 56C512 86.93 486.9 112 456 112C425.1 112 400 86.93 400 56C400 25.07 425.1 0 456 0C486.9 0 512 25.07 512 56zM456 32C442.7 32 432 42.75 432 56C432 69.25 442.7 80 456 80C469.3 80 480 69.25 480 56C480 42.75 469.3 32 456 32zM375.2 353.7C383.1 357.6 386.3 367.3 382.3 375.2L351.5 436.8C349.9 439.9 347.9 442.7 345.5 445.1L283.3 507.3C277.1 513.6 266.9 513.6 260.7 507.3C254.4 501.1 254.4 490.9 260.7 484.7L322.9 422.5L353.7 360.8C357.6 352.9 367.3 349.7 375.2 353.7V353.7z"],
    "people-robbery": [576, 512, [], "e536", "M400 143.1C454.3 143.1 501.9 107.8 516.4 55.51L528.6 11.71C530.9 3.2 539.8-1.784 548.3 .5803C556.8 2.945 561.8 11.76 559.4 20.28L547.3 64.07C534.9 108.4 503.8 143.6 464 161.1V495.1C464 504.8 456.8 511.1 448 511.1C439.2 511.1 432 504.8 432 495.1V351.1H368V495.1C368 504.8 360.8 511.1 352 511.1C343.2 511.1 336 504.8 336 495.1V161.1C296.2 143.6 265.1 108.4 252.7 64.07L240.6 20.28C238.2 11.76 243.2 2.945 251.7 .58C260.2-1.785 269.1 3.2 271.4 11.71L283.6 55.51C298.1 107.8 345.7 143.1 400 143.1V143.1zM400 175.1C389.1 175.1 378.4 174.8 368 172.6V319.1H432V172.6C421.6 174.8 410.9 175.1 400 175.1V175.1zM140.8 171.7L191.1 239.1H239.1C248.8 239.1 255.1 247.2 255.1 255.1C255.1 264.8 248.8 271.1 239.1 271.1H183.1C178.1 271.1 174.2 269.6 171.2 265.6L115.2 190.9C108.1 181.5 97.08 175.1 85.33 175.1C64.71 175.1 47.1 192.7 48 213.3L48 319.1H112V279.1C112 271.2 119.2 263.1 128 263.1C136.8 263.1 144 271.2 144 279.1V495.1C144 504.8 136.8 511.1 128 511.1C119.2 511.1 112 504.8 112 495.1V351.1H48L48 495.1C48 504.8 40.84 511.1 32 511.1C23.17 511.1 16 504.8 16 495.1L16 213.3C15.1 175 47.04 143.1 85.33 143.1C107.2 143.1 127.7 154.3 140.8 171.7V171.7zM24 55.1C24 25.07 49.08-.0034 80-.0034C110.9-.0034 136 25.07 136 55.1C136 86.92 110.9 111.1 80 111.1C49.08 111.1 24 86.92 24 55.1zM80 79.1C93.26 79.1 104 69.25 104 55.1C104 42.74 93.26 31.1 80 31.1C66.75 31.1 56 42.74 56 55.1C56 69.25 66.75 79.1 80 79.1zM456 55.1C456 86.92 430.9 111.1 400 111.1C369.1 111.1 344 86.92 344 55.1C344 25.07 369.1-.0034 400-.0034C430.9-.0034 456 25.07 456 55.1zM400 31.1C386.7 31.1 376 42.74 376 55.1C376 69.25 386.7 79.1 400 79.1C413.3 79.1 424 69.25 424 55.1C424 42.74 413.3 31.1 400 31.1V31.1z"],
    "people-roof": [640, 512, [], "e537", "M632.5 194.5C640 199.2 642.2 209.1 637.5 216.5C632.8 224 622.9 226.2 615.5 221.5L320 34.92L24.55 221.5C17.07 226.2 7.193 224 2.474 216.5C-2.244 209.1-.0131 199.2 7.458 194.5L311.5 2.472C316.7-.8241 323.3-.8241 328.5 2.472L632.5 194.5zM368 192C368 218.5 346.5 240 320 240C293.5 240 272 218.5 272 192C272 165.5 293.5 144 320 144C346.5 144 368 165.5 368 192zM320 176C311.2 176 304 183.2 304 192C304 200.8 311.2 208 320 208C328.8 208 336 200.8 336 192C336 183.2 328.8 176 320 176zM418.4 384.4L376 315.5V400C376 417.7 361.7 432 344 432H296C278.3 432 264 417.7 264 400V315.5L221.6 384.4C221.5 384.7 221.3 384.9 221.1 385.2C222.3 386.8 223.3 388.4 224.4 390.1L269.6 463.6C274.3 471.1 271.9 480.1 264.4 485.6C256.9 490.3 247 487.9 242.4 480.4L200 411.5V480C200 497.7 185.7 512 168 512H120C102.3 512 88 497.7 88 480V411.5L45.63 480.4C40.1 487.9 31.14 490.3 23.62 485.6C16.09 480.1 13.75 471.1 18.38 463.6L63.63 390.1C78.19 366.4 103.1 352 131.8 352H156.2C170.9 352 184.9 355.1 197.1 363.2L239.6 294.1C254.2 270.4 279.1 256 307.8 256H332.2C360 256 385.8 270.4 400.4 294.1L442.9 363.2C455.1 355.1 469.2 352 483.8 352H508.2C536 352 561.8 366.4 576.4 390.1L621.6 463.6C626.3 471.1 623.9 480.1 616.4 485.6C608.9 490.3 599 487.9 594.4 480.4L552 411.5V480C552 497.7 537.7 512 520 512H472C454.3 512 440 497.7 440 480V411.5L397.6 480.4C393 487.9 383.1 490.3 375.6 485.6C368.1 480.1 365.7 471.1 370.4 463.6L415.6 390.1C416.7 388.4 417.8 386.8 418.9 385.2C418.7 384.9 418.5 384.7 418.4 384.4H418.4zM344 400V289.5C340.2 288.5 336.3 288 332.2 288H307.8C303.8 288 299.8 288.5 296 289.5V400H344zM120 385.5V480H168V385.5C164.2 384.5 160.3 384 156.2 384H131.8C127.8 384 123.8 384.5 120 385.5V385.5zM520 480V385.5C516.2 384.5 512.3 384 508.2 384H483.8C479.8 384 475.8 384.5 472 385.5V480H520zM96 288C96 261.5 117.5 240 144 240C170.5 240 192 261.5 192 288C192 314.5 170.5 336 144 336C117.5 336 96 314.5 96 288V288zM144 304C152.8 304 160 296.8 160 288C160 279.2 152.8 272 144 272C135.2 272 128 279.2 128 288C128 296.8 135.2 304 144 304zM544 288C544 314.5 522.5 336 496 336C469.5 336 448 314.5 448 288C448 261.5 469.5 240 496 240C522.5 240 544 261.5 544 288zM496 272C487.2 272 480 279.2 480 288C480 296.8 487.2 304 496 304C504.8 304 512 296.8 512 288C512 279.2 504.8 272 496 272V272z"],
    "people-simple": [512, 512, [], "e21b", "M384 128c35.38 0 64-28.62 64-64s-28.62-64-64-64s-64 28.62-64 64S348.6 128 384 128zM384 32c17.64 0 32 14.36 32 32s-14.36 32-32 32s-32-14.36-32-32S366.4 32 384 32zM160 160H96C60.65 160 32 188.7 32 224v96c0 17.67 14.33 32 32 32v144C64 504.8 71.16 512 80 512S96 504.8 96 496V352h64v144C160 504.8 167.2 512 176 512S192 504.8 192 496V352c17.67 0 32-14.33 32-32V224C224 188.7 195.3 160 160 160zM192 320H64V224c0-17.64 14.36-32 32-32h64c17.64 0 32 14.36 32 32V320zM128 128c35.38 0 64-28.62 64-64S163.4 0 128 0S64 28.62 64 64S92.63 128 128 128zM128 32c17.64 0 32 14.36 32 32S145.6 96 128 96S96 81.64 96 64S110.4 32 128 32zM505.5 343.2l-39.08-136.8C458.6 178.9 433.5 160 404.9 160h-41.85c-28.57 0-53.69 18.94-61.54 46.42l-39.08 136.8C256.6 363.7 271.1 384 293.2 384H320v112c0 8.844 7.156 16 16 16s16-7.156 16-16V384h64v112c0 8.844 7.156 16 16 16s16-7.156 16-16V384h26.78C496 384 511.4 363.7 505.5 343.2zM293.2 352l39.08-136.8C336.2 201.5 348.8 192 363.1 192h41.85c14.29 0 26.84 9.471 30.77 23.21L474.8 352H293.2z"],
    "pepper": [512, 512, [129745], "e432", "M434.5 99.96c-24.78-7.047-50.62-4.703-73.68 6.5c-29.63-14.42-63.83-13.36-92.24 1.299c-11.03-70.86-48.72-102.8-50.47-104.2C211.2-1.973 201.2-.9418 195.7 5.9c-5.593 6.797-4.594 16.84 2.187 22.47c1.281 1.076 27.78 23.76 37.97 76C218.2 96.1 185.8 89.71 151.3 106.5c-23.12-11.2-48.1-13.52-73.68-6.516c-56.22 15.97-89.28 75.56-73.78 132.5l50.09 200.3C66.57 479.4 108.6 512 156 512c9.562 0 19.16-1.344 28.5-3.984c7.125-2.031 14.12-4.984 21.19-8.969c30.81 16.97 69.87 16.97 100.7 0c7.062 3.984 14.06 6.938 21.22 8.969C336.9 510.7 346.5 512 356.1 512c47.44 0 89.43-32.56 102.2-79.52l49.9-199.7C523.7 175.5 490.7 115.9 434.5 99.96zM477.2 224.7l-49.9 199.7c-10.69 39.28-52.28 63.8-90.96 52.81c-6.781-1.938-13.62-5.281-20.91-10.23c-2.719-1.844-5.843-2.766-8.1-2.766c-3.187 0-6.375 .9531-9.093 2.844c-24.44 16.88-58.12 16.88-82.56 0c-5.406-3.75-12.62-3.766-18.09-.0781c-7.281 4.953-14.12 8.297-20.87 10.23c-38.9 10.98-80.31-13.59-90.9-52.5L34.79 224.4C23.79 183.1 46.91 141.9 86.35 130.7c12.24-3.473 24.8-3.268 36.84-.2422c-4.672 5.234-8.925 10.88-12.56 17.02c-14.41 24.34-18.31 52.69-10.84 80.41l44.97 144.8c2.125 6.859 8.437 11.25 15.28 11.25c1.562 0 3.156-.2344 4.75-.7188c8.437-2.625 13.16-11.59 10.53-20.03L130.5 219c-5.031-18.73-2.312-38.34 7.687-55.2c9.644-16.32 25.06-28.03 43.52-34.1c22.53-4.707 45.98 1.797 63.47 17.91c6.125 5.656 15.56 5.656 21.69 0c23.41-21.58 57.47-25.98 85.75-9.234c5.094 2.984 11.31 2.953 16.34-.0313c17.44-10.38 37.62-13.03 56.75-7.625C465.1 141.9 488.3 183.1 477.2 224.7z"],
    "pepper-hot": [512, 512, [127798], "f816", "M413.4 356.9c-73.86 77.07-204.7 123.1-350.1 123.1C46.06 479.1 32 466.5 32 449.1c0-16.55 14.06-30.02 31.34-30.02c112.1 0 153.5-91.36 186.8-164.9c9.094-20.05 17.67-38.99 27-54.99c4.453-7.625 1.891-17.42-5.75-21.88C263.8 173.8 253.1 176.3 249.5 183.9C239.3 201.3 230.4 220.1 220.9 241.1c-32.48 71.75-66.08 145.1-157.6 145.1C28.42 387.1 0 415.8 0 449.1S28.42 512 63.34 512c153.9 0 293.4-49.69 373.2-132.9c6.125-6.391 5.906-16.52-.4687-22.63C429.6 350.4 419.5 350.6 413.4 356.9zM481.2 161.2c-4.422-6.004-9.727-11.74-15.8-17.32c18.84-43.01 17.96-92.83-3.125-135c-3.969-7.891-13.55-11.06-21.47-7.156c-7.906 3.953-11.11 13.56-7.156 21.47c15.66 31.31 16.71 67.72 4.818 100.3l-1.459-.959c-22.52-14.83-45.06-23.5-67.08-25.75c-37.25-3.703-76.39 6.656-107.3 28.63c-4.719 3.359-7.25 8.985-6.625 14.73c.6094 5.75 4.281 10.72 9.609 13l64.11 27.49v81.58c0 8.844 7.156 16 16 16h81.53l27.48 64.13c2.281 5.313 7.25 8.985 13 9.594c.5781 .0625 1.141 .0938 1.703 .0938c5.141 0 10.02-2.484 13.05-6.735C501.8 318.2 512 286.7 512 254.3C512 220.6 501.4 188.4 481.2 161.2zM471.3 299.5l-16.38-38.2C451 252.1 442 246.2 432 246.2h-70.19V175.1c0-9.953-5.906-18.95-15.12-22.94l-38.03-16.31c18.47-7.188 38.55-10.13 58.08-8.11c16.8 1.719 34.55 8.657 52.72 20.63l5.672 3.735c13.5 8.891 23.42 17.78 30.34 27.19C471.5 201.9 480 227.5 480 254.3C480 269.8 477 285.1 471.3 299.5z"],
    "percent": [384, 512, [62101, 62785, "percentage"], "25", "M379.3 68.69c-6.25-6.25-16.38-6.25-22.62 0l-352 352c-6.25 6.25-6.25 16.38 0 22.62C7.813 446.4 11.91 448 16 448s8.188-1.562 11.31-4.688l352-352C385.6 85.06 385.6 74.94 379.3 68.69zM64 192c35.35 0 64-28.65 64-64S99.35 64.01 64 64.01c-35.35 0-64 28.65-64 63.1S28.65 192 64 192zM64 96c17.64 0 32 14.36 32 32S81.64 160 64 160S32 145.6 32 128S46.36 96 64 96zM320 320c-35.35 0-64 28.65-64 64s28.65 64 64 64c35.35 0 64-28.65 64-64S355.3 320 320 320zM320 416c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S337.6 416 320 416z"],
    "period": [128, 512, [], "2e", "M64 352c-35.35 0-64 28.65-64 64c0 35.35 28.65 64 64 64s64-28.65 64-64C128 380.7 99.35 352 64 352zM64 448c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S81.64 448 64 448z"],
    "person": [320, 512, [129485, "male"], "f183", "M103.1 56C103.1 25.07 129.1 0 159.1 0C190.9 0 216 25.07 216 56C216 86.93 190.9 112 159.1 112C129.1 112 103.1 86.93 103.1 56zM159.1 80C173.3 80 184 69.25 184 56C184 42.75 173.3 32 159.1 32C146.7 32 135.1 42.75 135.1 56C135.1 69.25 146.7 80 159.1 80zM127.1 352V496C127.1 504.8 120.8 512 111.1 512C103.2 512 95.1 504.8 95.1 496V202.1L46.11 295.5C41.95 303.3 32.25 306.3 24.46 302.1C16.67 297.9 13.72 288.3 17.89 280.5L76.73 170.3C90.64 144.3 117.8 128 147.3 128H172.7C202.2 128 229.4 144.3 243.3 170.3L302.1 280.5C306.3 288.3 303.3 297.9 295.5 302.1C287.7 306.3 278.1 303.3 273.9 295.5L224 202.2V496C224 504.8 216.8 512 208 512C199.2 512 192 504.8 192 496V352H127.1zM127.1 320H192V164C186 161.4 179.5 160 172.7 160H147.3C140.5 160 133.1 161.4 127.1 164V320z"],
    "person-arrow-down-to-line": [640, 512, [], "e538", "M247.1 56C247.1 86.93 222.9 112 191.1 112C161.1 112 135.1 86.93 135.1 56C135.1 25.07 161.1 0 191.1 0C222.9 0 247.1 25.07 247.1 56zM191.1 32C178.7 32 167.1 42.75 167.1 56C167.1 69.25 178.7 80 191.1 80C205.3 80 215.1 69.25 215.1 56C215.1 42.75 205.3 32 191.1 32zM127.1 202.1L78.11 295.5C73.95 303.3 64.25 306.3 56.46 302.1C48.67 297.9 45.72 288.3 49.89 280.5L108.7 170.3C122.6 144.3 149.8 128 179.3 128H204.7C234.2 128 261.4 144.3 275.3 170.3L334.1 280.5C338.3 288.3 335.3 297.9 327.5 302.1C319.7 306.3 310.1 303.3 305.9 295.5L256 202.2V480H624C632.8 480 640 487.2 640 496C640 504.8 632.8 512 624 512H16C7.164 512 0 504.8 0 496C0 487.2 7.164 480 16 480H127.1V202.1zM179.3 160C172.5 160 165.1 161.4 159.1 164V320H224V164C218 161.4 211.5 160 204.7 160H179.3zM224 480V352H159.1V480H224zM480 47.1C480 39.16 487.2 31.1 496 31.1C504.8 31.1 512 39.16 512 47.1V361.4L580.7 292.7C586.9 286.4 597.1 286.4 603.3 292.7C609.6 298.9 609.6 309.1 603.3 315.3L507.3 411.3C501.1 417.6 490.9 417.6 484.7 411.3L388.7 315.3C382.4 309.1 382.4 298.9 388.7 292.7C394.9 286.4 405.1 286.4 411.3 292.7L480 361.4L480 47.1z"],
    "person-arrow-up-from-line": [640, 512, [], "e539", "M247.1 56C247.1 86.93 222.9 112 191.1 112C161.1 112 135.1 86.93 135.1 56C135.1 25.07 161.1 0 191.1 0C222.9 0 247.1 25.07 247.1 56zM191.1 32C178.7 32 167.1 42.75 167.1 56C167.1 69.25 178.7 80 191.1 80C205.3 80 215.1 69.25 215.1 56C215.1 42.75 205.3 32 191.1 32zM127.1 202.1L78.11 295.5C73.95 303.3 64.25 306.3 56.46 302.1C48.67 297.9 45.72 288.3 49.89 280.5L108.7 170.3C122.6 144.3 149.8 128 179.3 128H204.7C234.2 128 261.4 144.3 275.3 170.3L334.1 280.5C338.3 288.3 335.3 297.9 327.5 302.1C319.7 306.3 310.1 303.3 305.9 295.5L256 202.2V480H624C632.8 480 640 487.2 640 496C640 504.8 632.8 512 624 512H16C7.164 512 0 504.8 0 496C0 487.2 7.164 480 16 480H127.1V202.1zM179.3 160C172.5 160 165.1 161.4 159.1 164V320H224V164C218 161.4 211.5 160 204.7 160H179.3zM224 480V352H159.1V480H224zM603.3 132.7C609.6 138.9 609.6 149.1 603.3 155.3C597.1 161.6 586.9 161.6 580.7 155.3L512 86.63V400C512 408.8 504.8 416 496 416C487.2 416 480 408.8 480 400V86.63L411.3 155.3C405.1 161.6 394.9 161.6 388.7 155.3C382.4 149.1 382.4 138.9 388.7 132.7L484.7 36.69C490.9 30.44 501.1 30.44 507.3 36.69L603.3 132.7z"],
    "person-biking": [640, 512, [128692, "biking"], "f84a", "M336 56C336 25.07 361.1 0 392 0C422.9 0 448 25.07 448 56C448 86.93 422.9 112 392 112C361.1 112 336 86.93 336 56zM392 80C405.3 80 416 69.25 416 56C416 42.75 405.3 32 392 32C378.7 32 368 42.75 368 56C368 69.25 378.7 80 392 80zM256 384C256 454.7 198.7 512 128 512C57.31 512 0 454.7 0 384C0 313.3 57.31 256 128 256C198.7 256 256 313.3 256 384zM128 480C181 480 224 437 224 384C224 330.1 181 288 128 288C74.98 288 32 330.1 32 384C32 437 74.98 480 128 480zM640 384C640 454.7 582.7 512 512 512C441.3 512 384 454.7 384 384C384 313.3 441.3 256 512 256C582.7 256 640 313.3 640 384zM512 480C565 480 608 437 608 384C608 330.1 565 288 512 288C458.1 288 416 330.1 416 384C416 437 458.1 480 512 480zM250 217.1C242 223.9 242.7 236.4 251.4 242.4L345.1 306.8C349.4 309.8 352 314.7 352 320V416C352 424.8 344.8 432 336 432C327.2 432 320 424.8 320 416V328.4L233.2 268.8C207.3 250.9 205.3 213.3 229.2 192.8L288.2 142.1C306.6 126.4 333.7 126.8 351.6 142.9L406.1 192H480C488.8 192 496 199.2 496 208C496 216.8 488.8 224 480 224H400C396 224 392.2 222.5 389.3 219.9L330.2 166.7C324.2 161.3 315.2 161.2 309.1 166.4L250 217.1z"],
    "person-biking-mountain": [640, 512, [128693, "biking-mountain"], "f84b", "M448 56C448 86.93 422.9 112 392 112C361.1 112 336 86.93 336 56C336 25.07 361.1 0 392 0C422.9 0 448 25.07 448 56zM392 32C378.7 32 368 42.75 368 56C368 69.25 378.7 80 392 80C405.3 80 416 69.25 416 56C416 42.75 405.3 32 392 32zM82.5 376C82.5 346.5 106.5 322.5 136 322.5C165.5 322.5 189.5 346.5 189.5 376C189.5 405.5 165.5 429.5 136 429.5C106.5 429.5 82.5 405.5 82.5 376L82.5 376zM135.1 354.5C124.1 354.5 114.5 364.1 114.5 376C114.5 387.9 124.1 397.5 136 397.5C147.9 397.5 157.5 387.9 157.5 376C157.5 364.1 147.9 354.5 136 354.5L135.1 354.5zM94.04 262.5C100.5 249.2 114.2 240 129.1 240H141.1C157.8 240 171.5 249.2 177.1 262.5C180.9 263.6 183.8 264.8 186.6 266.1C200.6 261.2 216.7 264.4 227.9 275.6L236.4 284.1C247.6 295.3 250.8 311.4 245.9 325.4C247.2 328.2 248.4 331.1 249.5 334C262.8 340.5 271.1 354.2 271.1 370V382C271.1 397.8 262.8 411.5 249.5 417.1C248.4 420.9 247.2 423.8 245.9 426.6C250.8 440.6 247.6 456.7 236.4 467.9L227.9 476.4C216.7 487.6 200.6 490.8 186.6 485.9C183.8 487.2 180.9 488.4 177.1 489.5C171.5 502.8 157.8 512 142 512H130C114.2 512 100.5 502.8 94.04 489.5C91.1 488.4 88.23 487.2 85.41 485.9C71.4 490.8 55.26 487.6 44.08 476.4L35.59 467.9C24.41 456.7 21.24 440.6 26.06 426.6C24.76 423.8 23.56 420.9 22.48 417.1C9.17 411.5 0 397.8 0 382V370C0 354.2 9.17 340.5 22.48 334C23.56 331.1 24.76 328.2 26.06 325.4C21.24 311.4 24.41 295.3 35.59 284.1L44.08 275.6C55.26 264.4 71.4 261.2 85.41 266.1C88.23 264.8 91.1 263.6 94.04 262.5H94.04zM129.1 272C126.1 272 122.9 274.7 122.2 278.4L120.2 287.9L110.1 290.6C104.8 292.4 98.86 294.8 93.3 297.9L84.82 302.5L76.76 297.2C73.66 295.1 69.43 295.5 66.7 298.2L58.22 306.7C55.49 309.4 55.13 313.7 57.19 316.8L62.54 324.8L57.89 333.3C54.84 338.9 52.37 344.8 50.56 350.1L47.85 360.2L38.38 362.2C34.74 362.9 31.1 366.1 31.1 370V382C31.1 385.9 34.74 389.1 38.38 389.8L47.85 391.8L50.56 401C52.37 407.2 54.84 413.1 57.89 418.7L62.54 427.2L57.19 435.2C55.13 438.3 55.49 442.6 58.22 445.3L66.7 453.8C69.43 456.5 73.66 456.9 76.76 454.8L84.82 449.5L93.3 454.1C98.86 457.2 104.8 459.6 110.1 461.4L120.2 464.1L122.2 473.6C122.9 477.3 126.1 480 129.1 480H141.1C145.9 480 149.1 477.3 149.8 473.6L151.8 464.1L161 461.4C167.2 459.6 173.1 457.2 178.7 454.1L187.2 449.5L195.2 454.8C198.3 456.9 202.6 456.5 205.3 453.8L213.8 445.3C216.5 442.6 216.9 438.3 214.8 435.2L209.5 427.2L214.1 418.7C217.2 413.1 219.6 407.2 221.4 401L224.1 391.8L233.6 389.8C237.3 389.1 239.1 385.9 239.1 382V370C239.1 366.1 237.3 362.9 233.6 362.2L224.1 360.2L221.4 350.1C219.6 344.8 217.2 338.9 214.1 333.3L209.5 324.8L214.8 316.8C216.9 313.7 216.5 309.4 213.8 306.7L205.3 298.2C202.6 295.5 198.3 295.1 195.2 297.2L187.2 302.5L178.7 297.9C173.1 294.8 167.2 292.4 161 290.6L151.8 287.9L149.8 278.4C149.1 274.7 145.9 271.1 141.1 271.1L129.1 272zM450.5 376C450.5 346.5 474.5 322.5 504 322.5C533.5 322.5 557.5 346.5 557.5 376C557.5 405.5 533.5 429.5 504 429.5C474.5 429.5 450.5 405.5 450.5 376L450.5 376zM504 354.5C492.1 354.5 482.5 364.1 482.5 376C482.5 387.9 492.1 397.5 504 397.5C515.9 397.5 525.5 387.9 525.5 376C525.5 364.1 515.9 354.5 504 354.5L504 354.5zM462 262.5C468.5 249.2 482.2 240 498 240H510C525.8 240 539.5 249.2 545.1 262.5C548.9 263.6 551.8 264.8 554.6 266.1C568.6 261.2 584.7 264.4 595.9 275.6L604.4 284.1C615.6 295.3 618.8 311.4 613.9 325.4C615.2 328.2 616.4 331.1 617.5 334C630.8 340.5 640 354.2 640 370V382C640 397.8 630.8 411.5 617.5 417.1C616.4 420.9 615.2 423.8 613.9 426.6C618.8 440.6 615.6 456.7 604.4 467.9L595.9 476.4C584.7 487.6 568.6 490.8 554.6 485.9C551.8 487.2 548.9 488.4 545.1 489.5C539.5 502.8 525.8 512 510 512H498C482.2 512 468.5 502.8 462 489.5C459.1 488.4 456.2 487.2 453.4 485.9C439.4 490.8 423.3 487.6 412.1 476.4L403.6 467.9C392.4 456.7 389.2 440.6 394.1 426.6C392.8 423.8 391.6 420.9 390.5 417.1C377.2 411.5 368 397.8 368 382V370C368 354.2 377.2 340.5 390.5 334C391.6 331.1 392.8 328.2 394.1 325.4C389.2 311.4 392.4 295.3 403.6 284.1L412.1 275.6C423.3 264.4 439.4 261.2 453.4 266.1C456.2 264.8 459.1 263.6 462 262.5H462zM498 272C494.1 272 490.9 274.7 490.2 278.4L488.2 287.9L478.1 290.6C472.8 292.4 466.9 294.8 461.3 297.9L452.8 302.5L444.8 297.2C441.7 295.1 437.4 295.5 434.7 298.2L426.2 306.7C423.5 309.4 423.1 313.7 425.2 316.8L430.5 324.8L425.9 333.3C422.8 338.9 420.4 344.8 418.6 350.1L415.9 360.2L406.4 362.2C402.7 362.9 400 366.1 400 370V382C400 385.9 402.7 389.1 406.4 389.8L415.9 391.8L418.6 401C420.4 407.2 422.8 413.1 425.9 418.7L430.5 427.2L425.2 435.2C423.1 438.3 423.5 442.6 426.2 445.3L434.7 453.8C437.4 456.5 441.7 456.9 444.8 454.8L452.8 449.5L461.3 454.1C466.9 457.2 472.8 459.6 478.1 461.4L488.2 464.1L490.2 473.6C490.9 477.3 494.1 480 498 480H510C513.9 480 517.1 477.3 517.8 473.6L519.8 464.1L529 461.4C535.2 459.6 541.1 457.2 546.7 454.1L555.2 449.5L563.2 454.8C566.3 456.9 570.6 456.5 573.3 453.8L581.8 445.3C584.5 442.6 584.9 438.3 582.8 435.2L577.5 427.2L582.1 418.7C585.2 413.1 587.6 407.2 589.4 401L592.1 391.8L601.6 389.8C605.3 389.1 608 385.9 608 382V370C608 366.1 605.3 362.9 601.6 362.2L592.1 360.2L589.4 350.1C587.6 344.8 585.2 338.9 582.1 333.3L577.5 324.8L582.8 316.8C584.9 313.7 584.5 309.4 581.8 306.7L573.3 298.2C570.6 295.5 566.3 295.1 563.2 297.2L555.2 302.5L546.7 297.9C541.1 294.8 535.2 292.4 529 290.6L519.8 287.9L517.8 278.4C517.1 274.7 513.9 271.1 510 271.1L498 272zM330.2 166.7C324.2 161.3 315.2 161.2 309.1 166.4L250 217.1C242 223.9 242.7 236.4 251.4 242.4L345.1 306.8C349.4 309.8 352 314.7 352 320V416C352 424.8 344.8 432 336 432C327.2 432 320 424.8 320 416V328.4L233.2 268.8C207.3 250.9 205.3 213.3 229.2 192.8L288.2 142.1C306.6 126.4 333.7 126.8 351.6 142.9L406.1 192H480C488.8 192 496 199.2 496 208C496 216.8 488.8 224 480 224H400C396 224 392.2 222.5 389.3 219.9L330.2 166.7zM273.6 114.1L179.3 200.2C172.8 205.1 162.1 205.6 156.1 199.4L108.7 149.1C102.2 142.4 102.8 131.6 109.1 125.7L172.8 73.54C197.6 52.92 233.9 54.02 257.5 76.1L273.8 91.45C280.7 97.86 280.6 108.7 273.6 114.1H273.6zM169.3 166L239.3 102.9L235.6 99.44C223.8 88.4 205.7 87.85 193.2 98.16L143.7 139.3L169.3 166z"],
    "person-booth": [576, 512, [], "f756", "M240 336C231.2 336 224 343.2 224 352v144C224 504.8 231.2 512 240 512S256 504.8 256 496V352C256 343.2 248.8 336 240 336zM64 128c35.35 0 64-28.65 64-64S99.35 0 64 0S.002 28.65 .002 64S28.65 128 64 128zM64 32c17.64 0 32 14.36 32 32S81.64 96 64 96S32 81.64 32 64S46.36 32 64 32zM528 0h-256C245.5 0 224 21.53 224 48V192c0 8.844 7.156 16 16 16S256 200.8 256 192V48C256 39.17 263.2 32 272 32h64l.2656 221.1l-32 176c-1.594 8.688 4.172 17.02 12.88 18.59C318.1 447.9 319.1 448 320 448c7.594 0 14.34-5.406 15.73-13.14L368 256V32h32v400c0 8.844 7.156 16 16 16s16-7.156 16-16V32h32v400c0 8.844 7.156 16 16 16s16-7.156 16-16V32h32C536.8 32 544 39.17 544 48v448c0 8.844 7.156 16 16 16s16-7.156 16-16v-448C576 21.53 554.5 0 528 0zM240 240H178.1c-5.594 0-10.86-2.984-13.73-7.766L142.2 195.2C129.1 173.5 105.3 160 80 160H64C28.7 160 .025 188.8 .025 224.1L0 496C0 504.8 7.156 512 16 512s15.94-7.156 15.94-16L32 224c0-17.64 14.36-32 32-32h16c14.14 0 27.47 7.531 34.75 19.67l22.2 37.05C145.6 263.1 161.4 272 178.1 272H240C248.8 272 256 264.8 256 256S248.8 240 240 240zM121.7 343.9C115.4 335.6 112 325.3 112 314.9V256c0-8.844-7.156-16-16-16S80 247.2 80 256v58.94c0 17.27 5.734 34.38 16.14 48.19l22.17 29.39C124.6 400.8 128 411.1 128 421.4V496C128 504.8 135.2 512 144 512S160 504.8 160 496v-74.56c0-17.27-5.734-34.38-16.14-48.19L121.7 343.9z"],
    "person-breastfeeding": [448, 512, [], "e53a", "M304 80C304 124.2 268.2 160 224 160C179.8 160 144 124.2 144 80C144 35.82 179.8 0 224 0C268.2 0 304 35.82 304 80zM224 32C197.5 32 176 53.49 176 80C176 106.5 197.5 128 224 128C250.5 128 272 106.5 272 80C272 53.49 250.5 32 224 32zM49.63 354.4C36 374.8 43.85 402.6 66.15 412.9L214.7 481.5C222.7 485.2 226.2 494.7 222.5 502.7C218.8 510.7 209.3 514.2 201.3 510.5L52.74 441.1C12.59 423.4-1.522 373.4 23 336.7L76.69 256.1C103.4 216.1 148.4 192 196.5 192H264.6C304.4 192 342.4 208.4 369.6 237.4L425.1 296.5C451.4 324.5 451.1 368.3 424.3 395.9L347.5 475.1C341.3 481.5 331.2 481.6 324.9 475.5C318.5 469.3 318.4 459.2 324.5 452.9L401.3 373.6C416.2 358.3 416.4 333.1 401.8 318.4L346.3 259.3C325.1 236.8 295.5 224 264.6 224H196.5C159.1 224 124.1 242.7 103.3 273.9L49.63 354.4zM192 363.4C212.4 396.1 248.3 416 286.9 416H288C296.8 416 304 423.2 304 432C304 440.8 296.8 448 288 448H286.9C237.3 448 191.2 422.4 164.9 380.4C161.7 375.3 160 369.4 160 363.4V319.1C160 311.2 167.2 303.1 176 303.1C184.8 303.1 192 311.2 192 319.1V363.4zM224 336C224 309.5 245.5 288 272 288C298.5 288 320 309.5 320 336C320 362.5 298.5 384 272 384C245.5 384 224 362.5 224 336zM272 352C280.8 352 288 344.8 288 336C288 327.2 280.8 320 272 320C263.2 320 256 327.2 256 336C256 344.8 263.2 352 272 352z"],
    "person-burst": [640, 512, [], "e53b", "M535.1 56C535.1 86.93 510.9 112 479.1 112C449.1 112 423.1 86.93 423.1 56C423.1 25.07 449.1 0 479.1 0C510.9 0 535.1 25.07 535.1 56zM479.1 32C466.7 32 455.1 42.75 455.1 56C455.1 69.25 466.7 80 479.1 80C493.3 80 503.1 69.25 503.1 56C503.1 42.75 493.3 32 479.1 32zM431.1 512C423.2 512 415.1 504.8 415.1 496V202.1L366.1 295.5C361.9 303.3 352.2 306.3 344.5 302.1C336.7 297.9 333.7 288.3 337.9 280.5L396.7 170.3C410.6 144.3 437.8 128 467.3 128H492.7C522.2 128 549.4 144.3 563.3 170.3L622.1 280.5C626.3 288.3 623.3 297.9 615.5 302.1C607.7 306.3 598 303.3 593.9 295.5L544 202.2V496C544 504.8 536.8 512 528 512C519.2 512 512 504.8 512 496V352H447.1V496C447.1 504.8 440.8 512 431.1 512V512zM467.3 160C460.5 160 453.1 161.4 447.1 164V320H512V164C506 161.4 499.5 160 492.7 160H467.3zM222.6 87.16L297.2 68.71C303.3 67.21 309.7 69.38 313.6 74.27C317.5 79.15 318.2 85.86 315.4 91.44L280.8 160.1L341.7 206.9C346.7 210.7 348.1 217.1 347.6 223.2C346.2 229.3 341.4 233.1 335.3 235.3L260 251L261.4 327.9C261.5 334.1 257.1 339.9 252.4 342.6C246.7 345.3 240 344.5 235.2 340.5L175.1 291.5L116.8 340.5C111.1 344.5 105.3 345.3 99.63 342.6C94 339.9 90.47 334.1 90.58 327.9L91.96 251L16.73 235.3C10.61 233.1 5.8 229.3 4.41 223.2C3.019 217.1 5.303 210.7 10.26 206.9L71.21 160.1L36.62 91.44C33.8 85.86 34.5 79.15 38.39 74.27C42.29 69.38 48.68 67.21 54.74 68.71L129.4 87.16L161.5 17.32C164.1 11.64 169.7 8 175.1 8C182.2 8 187.9 11.64 190.5 17.32L222.6 87.16zM134.5 121.4L80.86 108.1L105.7 157.5C109.2 164.4 107.3 172.7 101.2 177.4L57.36 211.1L111.5 222.4C118.1 223.1 124.3 230.7 124.2 238.4L123.2 293.6L165.8 258.4C171.7 253.5 180.3 253.5 186.2 258.4L228.8 293.6L227.8 238.4C227.7 230.7 233 223.1 240.5 222.4L294.6 211.1L250.8 177.4C244.7 172.7 242.8 164.4 246.3 157.5L271.1 108.1L217.5 121.4C210 123.2 202.3 119.5 199.1 112.5L175.1 62.31L152.9 112.5C149.7 119.5 141.1 123.2 134.5 121.4H134.5z"],
    "person-cane": [384, 512, [], "e53c", "M248 56C248 86.93 222.9 112 191.1 112C161.1 112 135.1 86.93 135.1 56C135.1 25.07 161.1 0 191.1 0C222.9 0 248 25.07 248 56zM191.1 32C178.7 32 167.1 42.75 167.1 56C167.1 69.25 178.7 80 191.1 80C205.3 80 216 69.25 216 56C216 42.75 205.3 32 191.1 32zM79.1 202.2L30.12 295.5C25.95 303.3 16.26 306.3 8.464 302.1C.6701 297.9-2.273 288.3 1.891 280.5L60.73 170.3C74.65 144.3 101.8 128 131.3 128H165.5C188.1 128 211.2 138.3 226.4 156.2L316.2 261.6C321.9 268.4 321.1 278.5 314.4 284.2C307.6 289.9 297.5 289.1 291.8 282.4L208 183.9V496C208 504.8 200.8 512 192 512C183.2 512 176 504.8 176 496V352H111.1V496C111.1 504.8 104.8 512 95.1 512C87.16 512 79.1 504.8 79.1 496V202.2zM111.1 320H176V161.2C172.6 160.4 169.1 160 165.5 160H131.3C124.5 160 117.1 161.4 111.1 164V320zM336 352C327.2 352 320 359.2 320 368V376C320 384.8 312.8 392 304 392C295.2 392 288 384.8 288 376V368C288 341.5 309.5 320 336 320C362.5 320 384 341.5 384 368V496C384 504.8 376.8 512 368 512C359.2 512 352 504.8 352 496V368C352 359.2 344.8 352 336 352z"],
    "person-carry-box": [384, 512, ["person-carry"], "f4cf", "M88 112c30.88 0 56-25.12 56-56S118.9 0 88 0S32 25.12 32 56S57.13 112 88 112zM88 32C101.2 32 112 42.77 112 56S101.2 80 88 80S64 69.23 64 56S74.77 32 88 32zM16 352C7.156 352 0 359.2 0 368v128C0 504.8 7.156 512 16 512S32 504.8 32 496v-128C32 359.2 24.84 352 16 352zM336 96h-96C213.5 96 192 117.5 192 144v95.1C192 245.6 193.2 250.1 194.9 256h-15.17c-6.109 0-11.59-3.391-14.31-8.844L123.1 164.2C112.8 141.9 90.39 128 65.44 128C29.36 128 0 157.4 0 193.4v91.98c0 17.17 9.266 33.16 24.19 41.69l89.95 51.39l30.34 121.4C146.3 507.2 152.8 512 159.1 512c1.281 0 2.594-.1562 3.891-.4844c8.578-2.141 13.8-10.83 11.64-19.39l-32-128c-1.047-4.234-3.797-7.859-7.578-10.02L40.08 299.3C35.09 296.5 32 291.2 32 285.4V193.4C32 175 47 160 65.44 160c12.75 0 24.22 7.078 29.92 18.48l41.48 82.98C145 277.8 161.5 288 179.8 288H336C362.5 288 384 266.5 384 240v-96C384 117.5 362.5 96 336 96zM352 240C352 248.8 344.8 256 336 256h-96C231.2 256 224 248.8 224 240v-96C224 135.2 231.2 128 240 128h96C344.8 128 352 135.2 352 144V240z"],
    "person-chalkboard": [640, 512, [], "e53d", "M248 56C248 86.93 222.9 112 192 112C161.1 112 136 86.93 136 56C136 25.07 161.1 0 192 0C222.9 0 248 25.07 248 56zM192 32C178.7 32 168 42.75 168 56C168 69.25 178.7 80 192 80C205.3 80 216 69.25 216 56C216 42.75 205.3 32 192 32zM144 512C135.2 512 128 504.8 128 496V202.2L78.12 295.5C73.95 303.3 64.26 306.3 56.46 302.1C48.67 297.9 45.73 288.3 49.89 280.5L108.7 170.3C122.6 144.3 149.8 128 179.3 128H320V48C320 21.49 341.5 0 368 0H592C618.5 0 640 21.49 640 48V272C640 298.5 618.5 320 592 320H368C341.5 320 320 298.5 320 272V192H352V272C352 280.8 359.2 288 368 288H592C600.8 288 608 280.8 608 272V48C608 39.16 600.8 32 592 32H368C359.2 32 352 39.16 352 48V128H400C408.8 128 416 135.2 416 144C416 152.8 408.8 160 400 160H256V496C256 504.8 248.8 512 240 512C231.2 512 224 504.8 224 496V352H160V496C160 504.8 152.8 512 144 512H144zM179.3 160C172.5 160 165.1 161.4 160 164V320H224V160H179.3z"],
    "person-circle-check": [576, 512, [], "e53e", "M103.1 56C103.1 25.07 129.1 0 159.1 0C190.9 0 215.1 25.07 215.1 56C215.1 86.93 190.9 112 159.1 112C129.1 112 103.1 86.93 103.1 56zM159.1 80C173.3 80 183.1 69.25 183.1 56C183.1 42.75 173.3 32 159.1 32C146.7 32 135.1 42.75 135.1 56C135.1 69.25 146.7 80 159.1 80zM127.1 352V496C127.1 504.8 120.8 512 111.1 512C103.2 512 95.1 504.8 95.1 496V202.1L46.11 295.5C41.95 303.3 32.25 306.3 24.46 302.1C16.67 297.9 13.72 288.3 17.89 280.5L76.73 170.3C90.64 144.3 117.8 128 147.3 128H172.7C202.2 128 229.4 144.3 243.3 170.3L291.9 261.4C284.4 271.2 277.1 281.9 272.6 293.2L224 202.2V496C224 504.8 216.8 512 208 512C199.2 512 192 504.8 192 496V352L127.1 352zM127.1 320H192V164C186 161.4 179.5 160 172.7 160H147.3C140.5 160 133.1 161.4 127.1 164V320zM499.3 324.7C505.6 330.9 505.6 341.1 499.3 347.3L427.3 419.3C421.1 425.6 410.9 425.6 404.7 419.3L364.7 379.3C358.4 373.1 358.4 362.9 364.7 356.7C370.9 350.4 381.1 350.4 387.3 356.7L416 385.4L476.7 324.7C482.9 318.4 493.1 318.4 499.3 324.7H499.3zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 480C493.9 480 544 429.9 544 368C544 306.1 493.9 256 432 256C370.1 256 320 306.1 320 368C320 429.9 370.1 480 432 480z"],
    "person-circle-exclamation": [576, 512, [], "e53f", "M103.1 56C103.1 25.07 129.1 0 159.1 0C190.9 0 215.1 25.07 215.1 56C215.1 86.93 190.9 112 159.1 112C129.1 112 103.1 86.93 103.1 56zM159.1 80C173.3 80 183.1 69.25 183.1 56C183.1 42.75 173.3 32 159.1 32C146.7 32 135.1 42.75 135.1 56C135.1 69.25 146.7 80 159.1 80zM127.1 352V496C127.1 504.8 120.8 512 111.1 512C103.2 512 95.1 504.8 95.1 496V202.1L46.11 295.5C41.95 303.3 32.25 306.3 24.46 302.1C16.67 297.9 13.72 288.3 17.89 280.5L76.73 170.3C90.64 144.3 117.8 128 147.3 128H172.7C202.2 128 229.4 144.3 243.3 170.3L291.9 261.4C284.4 271.2 277.1 281.9 272.6 293.2L224 202.2V496C224 504.8 216.8 512 208 512C199.2 512 192 504.8 192 496V352L127.1 352zM127.1 320H192V164C186 161.4 179.5 160 172.7 160H147.3C140.5 160 133.1 161.4 127.1 164V320zM408 424C408 410.7 418.7 400 432 400C445.3 400 456 410.7 456 424C456 437.3 445.3 448 432 448C418.7 448 408 437.3 408 424zM431.1 288C440.8 288 447.1 295.2 447.1 304V368C447.1 376.8 440.8 384 431.1 384C423.2 384 415.1 376.8 415.1 368V304C415.1 295.2 423.2 288 431.1 288zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 256C370.1 256 320 306.1 320 368C320 429.9 370.1 480 432 480C493.9 480 544 429.9 544 368C544 306.1 493.9 256 432 256z"],
    "person-circle-minus": [576, 512, [], "e540", "M103.1 56C103.1 25.07 129.1 0 159.1 0C190.9 0 215.1 25.07 215.1 56C215.1 86.93 190.9 112 159.1 112C129.1 112 103.1 86.93 103.1 56zM159.1 80C173.3 80 183.1 69.25 183.1 56C183.1 42.75 173.3 32 159.1 32C146.7 32 135.1 42.75 135.1 56C135.1 69.25 146.7 80 159.1 80zM127.1 352V496C127.1 504.8 120.8 512 111.1 512C103.2 512 95.1 504.8 95.1 496V202.1L46.11 295.5C41.95 303.3 32.25 306.3 24.46 302.1C16.67 297.9 13.72 288.3 17.89 280.5L76.73 170.3C90.64 144.3 117.8 128 147.3 128H172.7C202.2 128 229.4 144.3 243.3 170.3L291.9 261.4C284.4 271.2 277.1 281.9 272.6 293.2L224 202.2V496C224 504.8 216.8 512 208 512C199.2 512 192 504.8 192 496V352L127.1 352zM127.1 320H192V164C186 161.4 179.5 160 172.7 160H147.3C140.5 160 133.1 161.4 127.1 164V320zM512 367.1C512 376.8 504.8 383.1 496 383.1H368C359.2 383.1 352 376.8 352 367.1C352 359.2 359.2 351.1 368 351.1H496C504.8 351.1 512 359.2 512 367.1zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 480C493.9 480 544 429.9 544 368C544 306.1 493.9 256 432 256C370.1 256 320 306.1 320 368C320 429.9 370.1 480 432 480z"],
    "person-circle-plus": [576, 512, [], "e541", "M103.1 56C103.1 25.07 129.1 0 159.1 0C190.9 0 215.1 25.07 215.1 56C215.1 86.93 190.9 112 159.1 112C129.1 112 103.1 86.93 103.1 56zM159.1 80C173.3 80 183.1 69.25 183.1 56C183.1 42.75 173.3 32 159.1 32C146.7 32 135.1 42.75 135.1 56C135.1 69.25 146.7 80 159.1 80zM127.1 352V496C127.1 504.8 120.8 512 111.1 512C103.2 512 95.1 504.8 95.1 496V202.1L46.11 295.5C41.95 303.3 32.25 306.3 24.46 302.1C16.67 297.9 13.72 288.3 17.89 280.5L76.73 170.3C90.64 144.3 117.8 128 147.3 128H172.7C202.2 128 229.4 144.3 243.3 170.3L291.9 261.4C284.4 271.2 277.1 281.9 272.6 293.2L224 202.2V496C224 504.8 216.8 512 208 512C199.2 512 192 504.8 192 496V352L127.1 352zM127.1 320H192V164C186 161.4 179.5 160 172.7 160H147.3C140.5 160 133.1 161.4 127.1 164V320zM448 351.1H496C504.8 351.1 512 359.2 512 367.1C512 376.8 504.8 383.1 496 383.1H448V431.1C448 440.8 440.8 447.1 432 447.1C423.2 447.1 416 440.8 416 431.1V383.1H368C359.2 383.1 352 376.8 352 367.1C352 359.2 359.2 351.1 368 351.1H416V303.1C416 295.2 423.2 287.1 432 287.1C440.8 287.1 448 295.2 448 303.1V351.1zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 256C370.1 256 320 306.1 320 368C320 429.9 370.1 480 432 480C493.9 480 544 429.9 544 368C544 306.1 493.9 256 432 256z"],
    "person-circle-question": [576, 512, [], "e542", "M103.1 56C103.1 25.07 129.1 0 159.1 0C190.9 0 215.1 25.07 215.1 56C215.1 86.93 190.9 112 159.1 112C129.1 112 103.1 86.93 103.1 56zM159.1 80C173.3 80 183.1 69.25 183.1 56C183.1 42.75 173.3 32 159.1 32C146.7 32 135.1 42.75 135.1 56C135.1 69.25 146.7 80 159.1 80zM127.1 352V496C127.1 504.8 120.8 512 111.1 512C103.2 512 95.1 504.8 95.1 496V202.1L46.11 295.5C41.95 303.3 32.25 306.3 24.46 302.1C16.67 297.9 13.72 288.3 17.89 280.5L76.73 170.3C90.64 144.3 117.8 128 147.3 128H172.7C202.2 128 229.4 144.3 243.3 170.3L291.9 261.4C284.4 271.2 277.1 281.9 272.6 293.2L224 202.2V496C224 504.8 216.8 512 208 512C199.2 512 192 504.8 192 496V352L127.1 352zM127.1 320H192V164C186 161.4 179.5 160 172.7 160H147.3C140.5 160 133.1 161.4 127.1 164V320zM416 432C416 423.2 423.2 416 432 416C440.8 416 448 423.2 448 432C448 440.8 440.8 448 432 448C423.2 448 416 440.8 416 432zM368 329.6C368 306.6 386.6 288 409.6 288H450.1C475.4 288 496 308.6 496 333.9C496 350.1 486.5 366.6 471.5 374.6L447.7 387.1C446.3 394.4 439.8 400 432 400C423.2 400 416 392.8 416 384V377.2C416 371.3 419.3 365.9 424.6 363.1L456.6 346.3C461.1 343.8 464 339.1 464 333.9C464 326.2 457.8 320 450.1 320H409.6C404.3 320 400 324.3 400 329.6V336C400 344.8 392.8 352 384 352C375.2 352 368 344.8 368 336L368 329.6zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 256C370.1 256 320 306.1 320 368C320 429.9 370.1 480 432 480C493.9 480 544 429.9 544 368C544 306.1 493.9 256 432 256z"],
    "person-circle-xmark": [576, 512, [], "e543", "M103.1 56C103.1 25.07 129.1 0 159.1 0C190.9 0 215.1 25.07 215.1 56C215.1 86.93 190.9 112 159.1 112C129.1 112 103.1 86.93 103.1 56zM159.1 80C173.3 80 183.1 69.25 183.1 56C183.1 42.75 173.3 32 159.1 32C146.7 32 135.1 42.75 135.1 56C135.1 69.25 146.7 80 159.1 80zM127.1 352V496C127.1 504.8 120.8 512 111.1 512C103.2 512 95.1 504.8 95.1 496V202.1L46.11 295.5C41.95 303.3 32.25 306.3 24.46 302.1C16.67 297.9 13.72 288.3 17.89 280.5L76.73 170.3C90.64 144.3 117.8 128 147.3 128H172.7C202.2 128 229.4 144.3 243.3 170.3L291.9 261.4C284.4 271.2 277.1 281.9 272.6 293.2L224 202.2V496C224 504.8 216.8 512 208 512C199.2 512 192 504.8 192 496V352L127.1 352zM127.1 320H192V164C186 161.4 179.5 160 172.7 160H147.3C140.5 160 133.1 161.4 127.1 164V320zM491.3 404.7C497.6 410.9 497.6 421.1 491.3 427.3C485.1 433.6 474.9 433.6 468.7 427.3L432 390.6L395.3 427.3C389.1 433.6 378.9 433.6 372.7 427.3C366.4 421.1 366.4 410.9 372.7 404.7L409.4 368L372.7 331.3C366.4 325.1 366.4 314.9 372.7 308.7C378.9 302.4 389.1 302.4 395.3 308.7L432 345.4L468.7 308.7C474.9 302.4 485.1 302.4 491.3 308.7C497.6 314.9 497.6 325.1 491.3 331.3L454.6 368L491.3 404.7zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 256C370.1 256 320 306.1 320 368C320 429.9 370.1 480 432 480C493.9 480 544 429.9 544 368C544 306.1 493.9 256 432 256z"],
    "person-digging": [576, 512, ["digging"], "f85e", "M256 128c35.35 0 63.1-28.65 63.1-64s-28.65-64-63.1-64S192 28.65 192 64S220.7 128 256 128zM256 32c17.64 0 31.1 14.36 31.1 32S273.6 96 256 96S224 81.64 224 64S238.4 32 256 32zM215.8 370l-143.1-80C67.44 287.6 62.16 287.3 57.63 289.3c-4.562 1.969-7.937 5.969-9.156 10.8l-47.1 192c-2.125 8.562 3.062 17.25 11.66 19.39C13.44 511.8 14.73 512 16.01 512c7.187 0 13.72-4.844 15.53-12.12l42.94-171.8l117.5 65.31V496c0 8.844 7.156 16 15.1 16s15.1-7.156 15.1-16l-.0041-112C224 378.1 220.8 372.8 215.8 370zM574.2 488.5L482.4 311.5c-7.531-14.14-21.81-22.95-38.22-23.56c-17.37-1.109-31.37 7.141-40.03 20.86l-30.25 49.13l-69.94-37.65c.0313-1.062-.0625-2.141-.2813-3.234L287.8 231.1c-5.937-31.83-25.34-59.5-53.25-75.92L169.9 118.1C144.5 103.1 114.7 98.84 86.04 106C65.01 111.3 47.41 125.4 37.76 144.7L17.69 184.8C13.82 192.6 16.82 201.1 24.41 206.1l332.7 179.1l-7.623 12.38h-27.87c-19.16 0-36.22 11.83-42.44 29.45L256.9 490.6c-1.719 4.891-.9687 10.31 2.031 14.55s7.875 6.75 13.06 6.75h287.1c5.594 0 10.78-2.906 13.66-7.688C576.6 499.4 576.8 493.5 574.2 488.5zM53.26 185.3l13.12-26.25c5.469-10.97 15.47-18.98 27.41-21.97c20.47-5.078 41.78-2.062 59.94 8.656L218.3 183.7c19.94 11.72 33.81 31.47 38.06 54.22l11.84 63.11L53.26 185.3zM294.6 479.9l14.81-42.2c1.688-4.828 6.625-8.078 12.25-8.078h36.78c5.531 0 10.69-2.875 13.62-7.594l59.31-96.31c3.562-5.609 9.406-5.797 11.69-5.812c4.875 .1875 9.062 2.656 11.06 6.469l79.59 153.5H294.6z"],
    "person-dolly": [512, 512, [], "f4d0", "M317.4 339.9c5.438 21.8 25.06 36.39 46.59 36.39c3.844 0 7.719-.4687 11.59-1.422l66.25-16.52c12.44-3.109 22.94-10.88 29.53-21.86c6.593-10.98 8.531-23.89 5.438-36.34l-16.56-66.39c-3.125-12.44-10.88-22.92-21.88-29.52c-10.97-6.594-23.81-8.562-36.31-5.438l-66.25 16.52c-12.44 3.094-22.94 10.86-29.53 21.84c-6.594 11-8.531 23.91-5.438 36.34L317.4 339.9zM333.8 253.7c2.188-3.656 5.688-6.234 9.844-7.266l66.25-16.53c4.062-1 8.406-.4062 12.09 1.812c3.656 2.203 6.25 5.703 7.281 9.844l16.56 66.39c2.156 8.562-3.094 17.27-11.66 19.39l-66.25 16.52c-8.469 2.172-17.25-3.094-19.38-11.66l-16.56-66.39C330.9 261.7 331.5 257.4 333.8 253.7zM511.3 395.4c-2.5-8.484-11.53-13.22-19.91-10.73l-143.1 42.92C339.8 402.3 316.1 384 288 384c-1.119 0-2.162 .2734-3.268 .3301L232.1 161.3c-2-8.562-10.34-13.84-19.25-11.91C204.3 151.5 198.1 160.1 201 168.7L221.6 256H179.8C173.7 256 168.2 252.6 165.5 247.2l-41.5-82.98C112.8 141.9 90.38 128 65.44 128C29.34 128 0 157.4 0 193.4v91.98c0 17.17 9.25 33.16 24.19 41.69l89.94 51.39l30.34 121.4C146.3 507.2 152.8 512 160 512c1.281 0 2.594-.1562 3.875-.4844c8.594-2.141 13.78-10.83 11.66-19.39l-32-128c-1.062-4.234-3.812-7.859-7.594-10.02L40.06 299.3C35.09 296.5 32 291.2 32 285.4V193.4C32 175 47 160 65.44 160c12.75 0 24.22 7.078 29.91 18.48l41.5 82.97C145 277.8 161.5 288 179.8 288h49.37l24.99 105.9C236.1 405.2 223.1 425.2 223.1 448c0 35.3 28.72 64 63.1 64c31.08 0 57.01-22.29 62.76-51.72l149.8-44.95C509.1 412.8 513.9 403.9 511.3 395.4zM288 480c-17.66 0-32-14.36-32-32s14.34-32 32-32s32 14.36 32 32S305.7 480 288 480zM88 112c30.88 0 56-25.12 56-56S118.9 0 88 0S32 25.12 32 56S57.13 112 88 112zM88 32C101.2 32 112 42.77 112 56S101.2 80 88 80S64 69.23 64 56S74.78 32 88 32zM16 352C7.156 352 0 359.2 0 368v128C0 504.8 7.156 512 16 512S32 504.8 32 496v-128C32 359.2 24.84 352 16 352z"],
    "person-dolly-empty": [512, 512, [], "f4d1", "M88 112c30.88 0 56-25.12 56-56S118.9 0 88 0S32 25.12 32 56S57.13 112 88 112zM88 32C101.2 32 112 42.77 112 56S101.2 80 88 80S64 69.23 64 56S74.78 32 88 32zM511.3 395.4c-2.5-8.484-11.53-13.22-19.91-10.73l-143.1 42.92C339.8 402.3 316.1 384 288 384c-1.119 0-2.162 .2734-3.268 .3301L232.1 161.3c-2-8.562-10.34-13.84-19.25-11.91C204.3 151.5 198.1 160.1 201 168.7L221.6 256H179.8C173.7 256 168.2 252.6 165.5 247.2l-41.5-82.98C112.8 141.9 90.38 128 65.44 128C29.34 128 0 157.4 0 193.4v91.98c0 17.17 9.25 33.16 24.19 41.69l89.94 51.39l30.34 121.4C146.3 507.2 152.8 512 160 512c1.281 0 2.594-.1562 3.875-.4844c8.594-2.141 13.78-10.83 11.66-19.39l-32-128c-1.062-4.234-3.812-7.859-7.594-10.02L40.06 299.3C35.09 296.5 32 291.2 32 285.4V193.4C32 175 47 160 65.44 160c12.75 0 24.22 7.078 29.91 18.48l41.5 82.97C145 277.8 161.5 288 179.8 288h49.37l24.99 105.9C236.1 405.2 223.1 425.2 223.1 448c0 35.3 28.72 64 63.1 64c31.08 0 57.01-22.29 62.76-51.72l149.8-44.95C509.1 412.8 513.9 403.9 511.3 395.4zM288 480c-17.66 0-32-14.36-32-32s14.34-32 32-32s32 14.36 32 32S305.7 480 288 480zM16 352C7.156 352 0 359.2 0 368v128C0 504.8 7.156 512 16 512S32 504.8 32 496v-128C32 359.2 24.84 352 16 352z"],
    "person-dots-from-line": [576, 512, ["diagnoses"], "f470", "M560 480h-544c-8.844 0-15.1 7.156-15.1 16S7.159 512 16 512h543.1c8.844 0 15.1-7.156 15.1-16S568.8 480 560 480zM287.1 176c48.6 0 87.1-39.4 87.1-88S336.6 0 287.1 0S200 39.4 200 88S239.4 176 287.1 176zM288 32c30.88 0 56 25.12 56 56S318.9 144 288 144S232 118.9 232 88S257.1 32 288 32zM48 352c3.219 0 6.469-.9687 9.312-2.984C58.03 348.5 107.1 314 176 291.4L176 432C176 440.8 183.2 448 192 448s16-7.156 16-16V282.3C233.3 276.1 260.2 272 288 272c27.74 0 54.73 4.107 80 10.28V432c0 8.844 7.156 16 16 16s15.1-7.156 15.1-16L400 291.4c68.81 22.65 117.1 57.09 118.7 57.61c7.219 5.125 17.19 3.406 22.31-3.75c5.125-7.188 3.469-17.17-3.719-22.3C532.6 319.6 419.6 240 288 240s-244.6 79.59-249.3 82.98C31.5 328.1 29.84 338.1 34.97 345.3C38.09 349.7 43.03 352 48 352zM304 368c0 8.836 7.164 16 16 16s16-7.164 16-16c0-8.838-7.164-16-16-16S304 359.2 304 368zM80 256c8.836 0 15.1-7.164 15.1-16c0-8.838-7.164-16-15.1-16S64 231.2 64 240C64 248.8 71.17 256 80 256zM463.1 256c8.836 0 15.1-7.164 15.1-16c0-8.838-7.164-16-15.1-16s-15.1 7.162-15.1 16C447.1 248.8 455.2 256 463.1 256z"],
    "person-dress": [320, 512, ["female"], "f182", "M103.1 56C103.1 25.07 129.1 0 159.1 0C190.9 0 216 25.07 216 56C216 86.93 190.9 112 159.1 112C129.1 112 103.1 86.93 103.1 56zM159.1 80C173.3 80 184 69.25 184 56C184 42.75 173.3 32 159.1 32C146.7 32 135.1 42.75 135.1 56C135.1 69.25 146.7 80 159.1 80zM119.2 241.7C127.1 245.6 130.3 255.3 126.3 263.2L73.89 368H246.1L193.7 263.2C189.7 255.3 192.9 245.6 200.8 241.7C208.7 237.7 218.4 240.9 222.3 248.8L286.3 376.8C288.8 381.8 288.5 387.7 285.6 392.4C282.7 397.1 277.5 400 272 400H224V496C224 504.8 216.8 512 208 512C199.2 512 192 504.8 192 496V400H127.1V496C127.1 504.8 120.8 512 111.1 512C103.2 512 95.1 504.8 95.1 496V400H47.1C42.45 400 37.3 397.1 34.39 392.4C31.47 387.7 31.21 381.8 33.69 376.8L97.69 248.8C101.6 240.9 111.3 237.7 119.2 241.7H119.2zM46.11 295.5C41.95 303.3 32.25 306.3 24.46 302.1C16.67 297.9 13.72 288.3 17.89 280.5L70.74 181.5C88.34 148.6 122.7 128 159.1 128C197.3 128 231.7 148.6 249.3 181.5L302.1 280.5C306.3 288.3 303.3 297.9 295.5 302.1C287.7 306.3 278.1 303.3 273.9 295.5L221 196.6C208.1 174.1 185.5 160 159.1 160C134.5 160 111 174.1 98.97 196.6L46.11 295.5z"],
    "person-dress-burst": [640, 512, [], "e544", "M535.1 56C535.1 86.93 510.9 112 479.1 112C449.1 112 423.1 86.93 423.1 56C423.1 25.07 449.1 0 479.1 0C510.9 0 535.1 25.07 535.1 56zM479.1 32C466.7 32 455.1 42.75 455.1 56C455.1 69.25 466.7 80 479.1 80C493.3 80 503.1 69.25 503.1 56C503.1 42.75 493.3 32 479.1 32zM393.9 368H566.1L513.7 263.2C509.7 255.3 512.9 245.6 520.8 241.7C528.7 237.7 538.4 240.9 542.3 248.8L606.3 376.8C608.8 381.8 608.5 387.7 605.6 392.4C602.7 397.1 597.5 400 591.1 400H544V496C544 504.8 536.8 512 528 512C519.2 512 512 504.8 512 496V400H447.1V496C447.1 504.8 440.8 512 431.1 512C423.2 512 415.1 504.8 415.1 496V400H367.1C362.5 400 357.3 397.1 354.4 392.4C351.5 387.7 351.2 381.8 353.7 376.8L417.7 248.8C421.6 240.9 431.2 237.7 439.2 241.7C447.1 245.6 450.3 255.3 446.3 263.2L393.9 368zM479.1 160C454.5 160 430.1 174.1 418.1 196.6L366.1 295.5C361.9 303.3 352.2 306.3 344.5 302.1C336.7 297.9 333.7 288.3 337.9 280.5L390.7 181.5C408.3 148.6 442.6 128 479.1 128C517.3 128 551.7 148.6 569.3 181.5L622.1 280.5C626.3 288.3 623.3 297.9 615.5 302.1C607.7 306.3 598 303.3 593.9 295.5L541 196.6C528.1 174.1 505.5 160 479.1 160V160zM222.6 87.16L297.2 68.71C303.3 67.21 309.7 69.38 313.6 74.27C317.5 79.15 318.2 85.86 315.4 91.44L280.8 160.1L341.7 206.9C346.7 210.7 348.1 217.1 347.6 223.2C346.2 229.3 341.4 233.1 335.3 235.3L260 251L261.4 327.9C261.5 334.1 257.1 339.9 252.4 342.6C246.7 345.3 240 344.5 235.2 340.5L175.1 291.5L116.8 340.5C111.1 344.5 105.3 345.3 99.63 342.6C94 339.9 90.47 334.1 90.58 327.9L91.96 251L16.73 235.3C10.61 233.1 5.8 229.3 4.41 223.2C3.019 217.1 5.303 210.7 10.26 206.9L71.21 160.1L36.62 91.44C33.8 85.86 34.5 79.15 38.39 74.27C42.29 69.38 48.68 67.21 54.74 68.71L129.4 87.16L161.5 17.32C164.1 11.64 169.7 8 175.1 8C182.2 8 187.9 11.64 190.5 17.32L222.6 87.16zM134.5 121.4L80.86 108.1L105.7 157.5C109.2 164.4 107.3 172.7 101.2 177.4L57.36 211.1L111.5 222.4C118.1 223.1 124.3 230.7 124.2 238.4L123.2 293.6L165.8 258.4C171.7 253.5 180.3 253.5 186.2 258.4L228.8 293.6L227.8 238.4C227.7 230.7 233 223.1 240.5 222.4L294.6 211.1L250.8 177.4C244.7 172.7 242.8 164.4 246.3 157.5L271.1 108.1L217.5 121.4C210 123.2 202.3 119.5 199.1 112.5L175.1 62.31L152.9 112.5C149.7 119.5 141.1 123.2 134.5 121.4H134.5z"],
    "person-dress-simple": [256, 512, [], "e21c", "M255.4 363.6l-44.91-157.2C202.6 178.9 177.5 160 148.9 160H107.1C78.5 160 53.39 178.9 45.54 206.4l-44.91 157.2C-2.295 373.8 5.379 384 16.01 384h47.99L64 496C64 504.8 71.16 512 80 512S96 504.8 96 496V384h64v112c0 8.844 7.156 16 16 16s16-7.156 16-16l.0002-112h47.99C250.6 384 258.3 373.8 255.4 363.6zM37.22 352l39.08-136.8C80.23 201.5 92.79 192 107.1 192h41.85c14.29 0 26.84 9.471 30.77 23.21L218.8 352H37.22zM128 128c35.38 0 64-28.62 64-64S163.4 0 128 0S63.1 28.62 63.1 64S92.63 128 128 128zM128 32c17.64 0 32 14.36 32 32s-14.36 32-32 32S96 81.64 96 64S110.4 32 128 32z"],
    "person-drowning": [576, 512, [], "e545", "M143.1 32C152.8 32 159.1 39.16 159.1 48V88.99C159.1 152.4 201.9 208.2 262.7 225.1C310.6 239.9 361.4 239.9 409.3 225.1L523.5 192.6C532 190.2 540.9 195 543.4 203.5C545.8 212 540.1 220.9 532.5 223.4L418.2 256.7C401.3 261.6 384.1 264.1 366.8 266.8L352.8 378.6C343.2 375.1 333.7 370.2 324.8 364.1C324.1 363.6 323.3 363.1 322.6 362.6L334.3 268.4C307.2 268.3 280.1 264.4 253.8 256.7C248.2 255 242.7 253.1 237.4 251L218.2 380.3C209.7 382.1 200.9 384.5 192 384.5C189.8 384.5 187.6 384.3 185.3 384.1L207.3 235.4C158.8 203.7 127.1 149.2 127.1 88.99V48C127.1 39.16 135.2 32 143.1 32L143.1 32zM255.1 128C255.1 92.65 284.7 64 320 64C355.3 64 384 92.65 384 128C384 163.3 355.3 192 320 192C284.7 192 255.1 163.3 255.1 128zM320 160C337.7 160 352 145.7 352 128C352 110.3 337.7 96 320 96C302.3 96 287.1 110.3 287.1 128C287.1 145.7 302.3 160 320 160zM250.1 426.8C259.9 420.1 268.2 412.8 276.1 404.9C282.6 398.4 293.3 398.4 299.8 404.9C307.8 412.8 315.1 420.1 325.8 426.8C342.3 438 363.1 447.1 383.1 447.1C404.9 447.1 425.6 438 442.2 426.8C451.9 420.1 460.2 412.8 468.1 404.9C474.6 398.4 485.3 398.4 491.8 404.9C499.8 412.8 507.1 420.1 517.8 426.8C530.6 435.5 545.9 443.4 561.9 446.6C569.6 448.1 576 454.4 576 462.2C576 472 567.1 480.1 558.3 478.4C535.2 474.5 514.7 463.4 499.8 453.2C491.8 447.8 485.1 442.4 479.1 437.1C474.8 442.4 468.1 447.8 460.2 453.2C441.5 465.9 414.3 479.1 383.1 479.1C353.7 479.1 326.4 465.9 307.8 453.2C299.8 447.8 293.1 442.4 287.1 437.1C282.8 442.4 276.1 447.8 268.2 453.2C249.5 465.9 222.3 479.1 191.1 479.1C161.7 479.1 134.4 465.9 115.8 453.2C107.8 447.8 101.1 442.4 95.96 437.1C90.82 442.4 84.12 447.8 76.19 453.2C61.25 463.4 40.81 474.5 17.69 478.4C8.015 480.1 0 472 0 462.2C0 454.4 6.421 448.1 14.13 446.6C30.07 443.4 45.38 435.5 58.16 426.8C67.94 420.1 76.16 412.8 84.07 404.9C90.64 398.4 101.3 398.4 107.8 404.9C115.8 412.8 124.1 420.2 133.8 426.8C150.3 438 171.1 447.1 191.1 447.1C212.9 447.1 233.6 438 250.1 426.8H250.1z"],
    "person-falling": [448, 512, [], "e546", "M288 26.81C288 82.25 258.8 132.6 212.8 160.5L280.1 263.1L341.1 256.9C352.5 255.9 362.9 260.1 369.7 268.3L444.3 357.8C449.9 364.5 449 374.6 442.2 380.3C435.5 385.9 425.4 385 419.7 378.2L345.1 288.8L278.2 295.5L220.7 340.1L317.4 487.2C322.2 494.6 320.2 504.5 312.8 509.4C305.4 514.2 295.5 512.2 290.6 504.8L111.8 232.6C101.6 250.7 96 271.5 96 293.2V367.1C96 376.8 88.84 383.1 80 383.1C71.16 383.1 64 376.8 64 367.1V293.2C64 225.9 107.1 166.1 170.9 144.8C174.1 143.8 177.2 142.6 180.2 141.3C180.4 141.2 180.6 141 180.8 140.9C182.5 139.8 184.2 139.1 186 138.7C228.4 118.1 256 74.86 256 26.81V16C256 7.164 263.2 0 272 0C280.8 0 288 7.164 288 16V26.81zM183.6 174.3C182.7 174.6 181.9 174.9 181.1 175.2C162.1 181.5 145.5 192 132.1 205.5C132.6 206.1 132.1 206.6 133.4 207.2L203.1 313.3L250.5 276.4L183.6 174.3zM144 88C144 118.9 118.9 144 88 144C57.07 144 32 118.9 32 88C32 57.07 57.07 32 88 32C118.9 32 144 57.07 144 88zM88 64C74.75 64 64 74.75 64 88C64 101.3 74.75 112 88 112C101.3 112 112 101.3 112 88C112 74.75 101.3 64 88 64z"],
    "person-falling-burst": [640, 512, [], "e547", "M240 0C248.8 0 256 7.164 256 16V26.81C256 82.25 226.8 132.6 180.8 160.5L248.1 263.1L307.4 257.2C320.6 255.9 333.3 262.8 339.2 274.7L382.3 360.8C386.3 368.7 383.1 378.4 375.2 382.3C367.3 386.3 357.6 383.1 353.7 375.2L310.6 289L246.2 295.5L188.7 340.1L285.4 487.2C290.2 494.6 288.2 504.5 280.8 509.4C273.4 514.2 263.5 512.2 258.6 504.8L79.76 232.6C69.65 250.7 63.1 271.5 63.1 293.2V367.1C63.1 376.8 56.84 383.1 47.1 383.1C39.16 383.1 31.1 376.8 31.1 367.1V293.2C31.1 225.9 75.08 166.1 138.9 144.8C142.1 143.8 145.2 142.6 148.2 141.3C148.4 141.2 148.6 141 148.8 140.9C150.5 139.8 152.2 139.1 154 138.7C196.4 118.1 223.1 74.86 223.1 26.81V16C223.1 7.164 231.2 0 239.1 0L240 0zM171.1 313.3L218.5 276.4L151.6 174.3C150.7 174.6 149.9 174.9 149.1 175.2C130.1 181.5 113.5 192 100.1 205.5C100.6 206.1 100.1 206.6 101.4 207.2L171.1 313.3zM0 88C0 57.07 25.07 32 56 32C86.93 32 112 57.07 112 88C112 118.9 86.93 144 56 144C25.07 144 0 118.9 0 88zM56 112C69.25 112 80 101.3 80 88C80 74.75 69.25 64 56 64C42.75 64 32 74.75 32 88C32 101.3 42.75 112 56 112zM464 291.5L406.1 338.7L379.4 283.4L379.1 251L358.6 246.5C345.4 231.6 325.7 223.4 305.2 225.1L293.4 226.1C292.1 225.1 292.6 224.2 292.4 223.2C291 217.1 293.3 210.7 298.3 206.9L359.2 160.1L324.6 91.44C321.8 85.86 322.5 79.15 326.4 74.27C330.3 69.38 336.7 67.21 342.7 68.71L417.4 87.16L449.5 17.32C452.1 11.64 457.8 7.1 464 7.1C470.3 7.1 475.9 11.64 478.5 17.32L510.6 87.16L585.3 68.71C591.3 67.21 597.7 69.38 601.6 74.27C605.5 79.15 606.2 85.86 603.4 91.44L568.8 160.1L629.7 206.9C634.7 210.7 636.1 217.1 635.6 223.2C634.2 229.3 629.4 233.1 623.3 235.3L548 251L549.4 327.9C549.5 334.1 545.1 339.9 540.4 342.6C534.7 345.3 528 344.5 523.2 340.5L464 291.5zM464 62.31L440.9 112.5C437.7 119.5 429.1 123.2 422.5 121.4L368.9 108.1L393.7 157.5C397.2 164.4 395.3 172.7 389.2 177.4L345.4 211.1L399.5 222.4C406.1 223.1 412.3 230.7 412.2 238.4L411.2 293.6L453.8 258.4C459.7 253.5 468.3 253.5 474.2 258.4L516.8 293.6L515.8 238.4C515.7 230.7 521 223.1 528.5 222.4L582.6 211.1L538.8 177.4C532.7 172.7 530.8 164.4 534.3 157.5L559.1 108.1L505.5 121.4C498 123.2 490.3 119.5 487.1 112.5L464 62.31z"],
    "person-from-portal": [512, 512, ["portal-exit"], "e023", "M376 112c30.88 0 56-25.12 56-56S406.9 0 376 0S320 25.12 320 56S345.1 112 376 112zM376 32c13.22 0 24 10.77 24 24S389.2 80 376 80S352 69.23 352 56S362.8 32 376 32zM231.2 337.7c-7.906-3.906-17.47-.7344-21.47 7.156L198.1 368H112c-8.844 0-15.98 7.17-15.98 16.01S103.2 400 112 400h96c6.062 0 11.59-3.422 14.31-8.844l16-32C242.3 351.3 239.1 341.6 231.2 337.7zM496 240h-60.11c-6.125 0-11.62-3.43-14.34-8.898l-20.52-40.79c-13.62-27.23-36.09-49.73-63.34-63.36C318.1 117.2 296.2 112 274.3 112H234.7c-10.31 0-20.56 3.422-28.78 9.609L154.7 159.1C144.8 72.44 120.6 0 80 0C25.03 0 0 132.7 0 255.1s25.03 255.1 80 255.1c22.98 0 41.8-22.17 55.92-65.87c2.719-8.406-1.891-17.42-10.3-20.14c-8.438-2.719-17.41 1.906-20.14 10.3C93.75 472.6 82.39 480 80 480C65.64 480 32 403.8 32 256s33.64-224 48-224S128 108.2 128 256c0 16.27-.4375 32.17-1.281 47.52c-.4687 8.828 6.297 16.36 15.12 16.84c8.875 .2031 16.36-6.297 16.84-15.12C159.5 289.3 160 272.9 160 255.1c0-21.37-.8047-42.99-2.334-64.18c4.076 .5977 8.375-.3574 11.93-3.021l55.5-41.59C227.8 145.1 231.2 144 234.7 144h39.69c3.738 0 7.396 .916 11.12 1.301L250.4 215.5c-17.59 35.19-6.531 78.75 25.69 101.3l105.4 73.78l-28.84 101c-2.438 8.484 2.469 17.34 10.97 19.78C365.1 511.8 366.6 512 368 512c6.969 0 13.38-4.578 15.38-11.61l32-112c1.875-6.562-.5938-13.58-6.188-17.5l-114.8-80.33c-19.38-13.55-26-39.69-15.44-60.8l38.22-76.42c2.014 .8574 4.201 1.25 6.158 2.229c21.09 10.53 38.5 27.95 49.03 49.05l20.44 40.83C401 261.8 417.5 272 435.8 272H496c8.844 0 16-7.16 16-16S504.8 240 496 240z"],
    "person-half-dress": [320, 512, [], "e548", "M216 56C216 86.93 190.9 112 160 112C129.1 112 104 86.93 104 56C104 25.07 129.1 0 160 0C190.9 0 216 25.07 216 56zM160 32C146.7 32 136 42.75 136 56C136 69.25 146.7 80 160 80C173.3 80 184 69.25 184 56C184 42.75 173.3 32 160 32zM159.1 160C134.5 160 111 174.1 98.97 196.6L46.11 295.5C41.95 303.3 32.25 306.3 24.46 302.1C16.67 297.9 13.72 288.3 17.89 280.5L70.74 181.5C88.34 148.6 122.7 128 159.1 128V160zM160 400H127.1V496C127.1 504.8 120.9 511.9 112.1 512H111.9L111.1 512C103.2 512 95.1 504.8 95.1 496V400H47.1C42.45 400 37.3 397.1 34.39 392.4C31.47 387.7 31.21 381.8 33.69 376.8L97.69 248.8C101.6 240.9 111.3 237.7 119.2 241.7C127.1 245.6 130.3 255.3 126.3 263.2L73.89 368H160V400zM111.1 512L112.1 512C112.1 512 112 512 111.1 512zM192 130.4C213.7 135.7 232.5 150.1 243.3 170.3L302.1 280.5C306.3 288.3 303.3 297.9 295.5 302.1C287.7 306.3 278.1 303.3 273.9 295.5L224 202.2V496C224 501.5 221.2 506.4 216.9 509.3C214.8 510.7 212.4 511.6 209.7 511.9C209.2 511.1 208.6 512 208 512C199.2 512 192 504.8 192 496L192 130.4z"],
    "person-harassing": [576, 512, [], "e549", "M247.1 56C247.1 86.93 222.9 112 191.1 112C161.1 112 135.1 86.93 135.1 56C135.1 25.07 161.1 0 191.1 0C222.9 0 247.1 25.07 247.1 56zM191.1 32C178.7 32 167.1 42.75 167.1 56C167.1 69.25 178.7 80 191.1 80C205.3 80 215.1 69.25 215.1 56C215.1 42.75 205.3 32 191.1 32zM291.8 282.4L208 183.9V496C208 504.8 200.8 512 192 512C183.2 512 176 504.8 176 496V352H111.1V496C111.1 504.8 104.8 512 95.1 512C87.16 512 79.1 504.8 79.1 496V202.2L30.12 295.5C25.95 303.3 16.26 306.3 8.464 302.1C.6701 297.9-2.273 288.3 1.891 280.5L60.73 170.3C74.65 144.3 101.8 128 131.3 128H165.5C188.1 128 211.2 138.3 226.4 156.2L316.2 261.6C321.9 268.4 321.1 278.5 314.4 284.2C307.6 289.9 297.5 289.1 291.8 282.4V282.4zM176 320V161.2C172.6 160.4 169.1 160 165.5 160H131.3C124.5 160 117.1 161.4 111.1 164V320H176zM360 32C368.8 32 376 39.16 376 48C376 56.84 368.8 64 360 64H304C295.2 64 287.1 56.84 287.1 48C287.1 39.16 295.2 32 304 32H360zM376 248C376 217.1 401.1 192 432 192C462.9 192 488 217.1 488 248C488 278.9 462.9 304 432 304C401.1 304 376 278.9 376 248zM432 272C445.3 272 456 261.3 456 248C456 234.7 445.3 224 432 224C418.7 224 408 234.7 408 248C408 261.3 418.7 272 432 272zM576 344V456C576 486.9 550.9 512 520 512C494.9 512 471.2 500.5 455.6 480.7L402.1 412.6L349.9 503.9C345.5 511.6 335.7 514.3 328.1 509.9C320.4 505.5 317.7 495.7 322.1 488.1L386.1 376.1C388.7 371.4 393.5 368.4 398.8 368C404.1 367.7 409.3 369.9 412.6 374.1L464 439.6V344C464 313.1 489.1 288 520 288C550.9 288 576 313.1 576 344H576zM520 480C533.3 480 544 469.3 544 456V344C544 330.7 533.3 320 520 320C506.7 320 496 330.7 496 344V456C496 469.3 506.7 480 520 480zM265.7 104.8C269.6 96.94 279.3 93.74 287.2 97.69L335.2 121.7C343.1 125.6 346.3 135.3 342.3 143.2C338.4 151.1 328.7 154.3 320.8 150.3L272.8 126.3C264.9 122.4 261.7 112.7 265.7 104.8V104.8z"],
    "person-hiking": [384, 512, ["hiking"], "f6ec", "M368 224V144C368 135.2 360.8 128 352 128s-16 7.156-16 16V224h-22.94l-29.22-48.7C272.3 156 251.1 144 228.6 144c-28.62 0-54.13 19.23-61.97 46.75l-10.69 37.39C147.3 258.1 157.1 290.6 180.8 310.8l69.66 59.73C253.1 373.6 256 378 256 382.7V496c0 8.844 7.156 16 16 16s16-7.156 16-16v-113.3c0-14.03-6.125-27.31-16.78-36.44l-69.66-59.72C187.4 274.4 181.5 254.9 186.7 236.9l10.69-37.39C201.3 185.7 214.2 176 228.6 176c11.34 0 22 6.031 27.84 15.77l33.88 56.47C293.2 253 298.4 256 304 256h32v240c0 8.844 7.156 16 15.1 16S368 504.8 368 496V256C376.8 256 384 248.8 384 240S376.8 224 368 224zM163.9 352.5c-8.75-2.234-17.28 3.062-19.41 11.64l-32 128c-2.125 8.562 3.062 17.25 11.66 19.39C125.4 511.8 126.7 512 128 512c7.188 0 13.72-4.844 15.53-12.12l32-128C177.7 363.3 172.5 354.6 163.9 352.5zM264 112C294.9 112 320 86.88 320 56S294.9 0 264 0S208 25.12 208 56S233.1 112 264 112zM264 32C277.2 32 288 42.77 288 56S277.2 80 264 80S240 69.23 240 56S250.8 32 264 32zM160.4 91.47C158.3 87.75 154.9 85 150.8 83.83C101.7 69.53 47.25 102.4 31.84 155.5L.625 263.1C-.5938 267.4 0 271.1 2.281 275.8c2.312 3.812 6.094 6.5 10.47 7.406l76.84 16.02c1.094 .2344 2.188 .3438 3.25 .3438c7 0 13.34-4.594 15.38-11.55l53.5-184.4C162.9 99.58 162.4 95.19 160.4 91.47zM81.59 264.9L36.19 255.4l26.41-90.97C67.53 147.4 79 132.2 94.09 122.5c10.09-6.438 21-9.844 31.75-10.08L81.59 264.9z"],
    "person-military-pointing": [512, 512, [], "e54a", "M368 111.1C368 156.2 332.2 191.1 288 191.1C243.8 191.1 208 156.2 208 111.1C208 106.2 208.6 100.6 209.8 95.18C199.5 92.44 192 83.1 192 71.1V52.33C192 40.6 200.5 30.59 212.1 28.66L356.1 4.657C370.7 2.219 384 13.5 384 28.33V71.1C384 83.1 376.5 92.44 366.2 95.18C367.4 100.6 368 106.2 368 111.1V111.1zM224 59.11V63.1L352 63.1V37.77L224 59.11zM333.3 95.1H242.7C240.1 101 240 106.4 240 111.1C240 138.5 261.5 159.1 288 159.1C314.5 159.1 336 138.5 336 111.1C336 106.4 335 101 333.3 95.1H333.3zM.0077 239.1C.0077 231.2 7.171 223.1 16.01 223.1H312.3C352.5 223.1 389.6 245.5 409.5 280.4L509.9 456.1C514.3 463.7 511.6 473.5 503.9 477.9C496.3 482.3 486.5 479.6 482.1 471.9L384 300.2V464C384 490.5 362.5 512 336 512H240C213.5 512 192 490.5 192 464V432.4C191.1 432.1 191.1 431.9 192 431.6V255.1H16.01C7.171 255.1 .0077 248.8 .0077 239.1V239.1zM240 480H336C344.8 480 352 472.8 352 464V448H224V464C224 472.8 231.2 480 240 480zM350.1 283.6L241.8 416H352V295.1C352 291.7 351.3 287.5 350.1 283.6zM224 255.1V387.2L328.4 259.5C323.4 257.3 317.9 255.1 312 255.1L224 255.1z"],
    "person-military-rifle": [448, 512, [], "e54b", "M320 71.1C320 83.1 312.5 92.44 302.2 95.18C303.4 100.6 304 106.2 304 111.1C304 156.2 268.2 191.1 224 191.1C179.8 191.1 144 156.2 144 111.1C144 106.2 144.6 100.6 145.8 95.18C135.5 92.44 128 83.1 128 71.1V52.33C128 40.6 136.5 30.59 148.1 28.66L292.1 4.657C306.7 2.219 320 13.5 320 28.33V71.1zM288 63.99V37.77L160 59.11V63.1L288 63.99zM176 111.1C176 138.5 197.5 159.1 224 159.1C250.5 159.1 272 138.5 272 111.1C272 106.4 271 101 269.3 95.1H178.7C176.1 101 176 106.4 176 111.1H176zM240 304C240 295.2 247.2 288 256 288C264.8 288 272 295.2 272 304C272 312.8 264.8 320 256 320C247.2 320 240 312.8 240 304zM272 512H176C149.5 512 128 490.5 128 464V300.2L29.9 471.9C25.51 479.6 15.74 482.3 8.068 477.9C.3962 473.5-2.269 463.7 2.115 456.1L102.5 280.4C122.4 245.5 159.5 223.1 199.7 223.1H248.3C258.4 223.1 268.4 225.4 277.9 227.1L315.7 162.6C324.5 147.3 344.1 142 359.4 150.9L407.4 67.71C399.8 63.29 397.1 53.51 401.6 45.86C405.1 38.2 415.8 35.58 423.4 39.1L437.3 47.1C444.9 52.42 447.6 62.2 443.1 69.86L387.1 166.9C402.4 175.7 407.7 195.3 398.8 210.6L351.1 291.7L445.9 456.1C450.3 463.7 447.6 473.5 439.9 477.9C432.3 482.3 422.5 479.6 418.1 471.9L320 300.2V464C320 490.5 298.5 512 272 512L272 512zM160 464C160 472.8 167.2 480 176 480H269.6L160.6 289.3C160.2 291.4 160 293.7 160 295.1V464zM288 295.1C288 273.9 270.1 255.1 248 255.1H200C193.2 255.1 186.8 257.7 181.1 260.7L288 447.8V295.1zM307.4 240.9C316.6 246.6 325 253.7 332.3 261.9L371.1 194.6L343.4 178.6L307.4 240.9z"],
    "person-military-to-person": [512, 512, [], "e54c", "M180.8 .2139C195.2-1.702 208 9.491 208 24V54.8C208 68.05 197.3 78.8 184 78.8H80C66.75 78.8 56 68.05 56 54.8V37.85C56 25.82 64.91 15.65 76.83 14.06L180.8 .2139zM176 33.14L88 44.86V46.8H176V33.14zM448 96.6C448 131.9 419.3 160.5 384 160.5C348.7 160.5 320 131.9 320 96.6C320 61.31 348.7 32.7 384 32.7C419.3 32.7 448 61.31 448 96.6V96.6zM384 64.7C366.3 64.7 352 79.03 352 96.6C352 114.2 366.3 128.5 384 128.5C401.7 128.5 416 114.2 416 96.6C416 79.03 401.7 64.7 384 64.7zM288 256.5C288 221.1 316.7 192.5 352 192.5H416C451.3 192.5 480 221.1 480 256.5V288.3C480 305.1 465.7 320.3 448 320.3H320C302.3 320.3 288 305.1 288 288.3V256.5zM320 288.3H448V256.5C448 238.8 433.7 224.5 416 224.5H352C334.3 224.5 320 238.8 320 256.5V288.3zM160 192.5C195.3 192.5 224 221.1 224 256.5V288.3C224 305.1 209.7 320.3 192 320.3H64C46.33 320.3 32 305.1 32 288.3V256.5C32 221.1 60.65 192.5 96 192.5H160zM192 269.7V256.5C192 238.8 177.7 224.5 160 224.5H116.5L192 269.7zM160.8 288.3L72.13 235.2C67.07 240.8 64 248.3 64 256.5V288.3L160.8 288.3zM96 96.6C96 114.2 110.3 128.5 128 128.5C145.7 128.5 160 114.2 160 96.6H192C192 131.9 163.3 160.5 128 160.5C92.65 160.5 64 131.9 64 96.6H96zM218.6 420.2C222 423.2 224 427.5 224 432.1C224 436.7 222 441 218.6 444.1L146.6 507.1C140 513.9 129.9 513.3 124 506.6C118.2 500 118.8 489.9 125.4 484.1L165.9 448.1H16C7.164 448.1 0 440.1 0 432.1C0 423.3 7.164 416.1 16 416.1H165.9L125.4 380.2C118.8 374.3 118.2 364.2 124 357.6C129.9 350.1 140 350.4 146.6 356.2L218.6 420.2zM365.4 356.2C371.1 350.4 382.1 350.1 387.1 357.6C393.8 364.2 393.2 374.3 386.6 380.2L346.1 416.1H496C504.8 416.1 512 423.3 512 432.1C512 440.1 504.8 448.1 496 448.1H346.1L386.6 484.1C393.2 489.9 393.8 500 387.1 506.6C382.1 513.3 371.1 513.9 365.4 507.1L293.4 444.1C289.1 441 288 436.7 288 432.1C288 427.5 289.1 423.2 293.4 420.2L365.4 356.2z"],
    "person-pinball": [640, 512, [], "e21d", "M88 112c30.88 0 56-25.12 56-56S118.9 0 88 0S32 25.12 32 56S57.13 112 88 112zM88 32C101.3 32 112 42.75 112 56S101.3 80 88 80S64 69.25 64 56S74.75 32 88 32zM16 368C7.156 368 0 375.2 0 384v112C0 504.8 7.156 512 16 512S32 504.8 32 496V384C32 375.2 24.84 368 16 368zM288 336c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16S272 311.2 272 320C272 328.8 279.2 336 288 336zM608 .0048h-96c-17.67 0-32 14.33-32 31.1v26.8c0 3.439 .5547 6.857 1.643 10.12L528 208L192 256H179.8C173.7 256 168.2 252.6 165.5 247.2L124 164.2C112.8 141.8 90.41 128 65.44 128C29.34 128 0 157.3 0 193.4v91.84c0 17.28 9.375 33.31 24.47 41.84l95.34 53.62C124.9 383.6 128 388.9 128 394.7V496c0 8.844 7.156 15.1 16 15.1S160 504.8 160 496v-101.3c0-17.28-9.375-33.31-24.47-41.84L40.19 299.3C35.13 296.4 32 291.1 32 285.3V193.4C32 175 47 160 65.44 160c12.75 0 24.22 7.062 29.94 18.5l41.47 82.97C145 277.8 161.5 288 179.8 288L192 287.1v208C192 504.8 199.2 512 208 512S224 504.8 224 496V416h384v80c0 8.836 7.164 16 16 16s16-7.164 16-15.1V32C640 14.33 625.7 .0048 608 .0048zM608 384H224V283.8l384-54.86V384zM608 196.6l-47.8 6.828L512 58.81V32h96V196.6z"],
    "person-praying": [384, 512, [128720, "pray"], "f683", "M380.2 165.6c-5.781-6.719-15.87-7.453-22.56-1.75l-84.59 72.52c-3.5 2.984-7.906 4.297-12.56 3.688c-4.625-.625-8.562-3.109-11.16-6.969l-27-40.52C207.9 170.1 184 159 157.9 160.6C131.1 162.3 109.6 177.1 97.97 200.3L58.16 279.9c-17.72 35.44-7.188 77.86 25.03 100.9L222.1 480H16C7.156 480 0 487.2 0 496S7.156 512 16 512h255.1c6.969 0 13.12-4.5 15.25-11.11c2.094-6.625-.2813-13.88-5.938-17.91l-179.5-128.2C82.47 340.1 76.15 315.5 86.78 294.2L126.6 214.6c6.438-12.89 18.88-21.12 33.28-22.03c13.84-.9531 27.75 5.719 35.78 17.73l26.1 40.52c7.625 11.44 19.81 19.06 33.41 20.92c13.81 2.047 27.41-2.188 37.75-11.09l84.59-72.5C385.1 182.4 385.9 172.3 380.2 165.6zM255.1 128c35.35 0 63.1-28.65 63.1-64s-28.65-64-63.1-64S191.1 28.65 191.1 64S220.6 128 255.1 128zM255.1 32c17.64 0 32 14.36 32 32s-14.36 32-32 32s-32-14.36-32-32S238.4 32 255.1 32z"],
    "person-pregnant": [320, 512, [], "e31e", "M104 56C104 25.07 129.1 0 160 0C190.9 0 216 25.07 216 56C216 86.93 190.9 112 160 112C129.1 112 104 86.93 104 56zM160 80C173.3 80 184 69.25 184 56C184 42.75 173.3 32 160 32C146.7 32 136 42.75 136 56C136 69.25 146.7 80 160 80zM161.9 128.1C198.6 130.1 229.4 156.8 236.2 193.3L242.3 225.7C286.6 234.3 320 273.2 320 320V352C320 369.7 305.7 384 288 384H224V496C224 504.8 216.8 512 208 512C199.2 512 192 504.8 192 496V384H128V496C128 504.8 120.8 512 112 512C103.2 512 96 504.8 96 496V384C78.33 384 64 369.7 64 352V232.1L30.11 295.5C25.95 303.3 16.25 306.3 8.46 302.1C.6662 297.9-2.277 288.3 1.887 280.5L56.21 178.8C72.9 147.5 105.5 127.1 140.9 127.1H159.1C160.7 127.1 161.3 128 161.9 128.1L161.9 128.1zM288 352V320C288 288.9 265.7 262.9 236.3 257.2L214.9 253L204.8 199.2C200.5 176.5 180.7 160 157.6 160H144C117.5 160 96 181.5 96 208V352H288z"],
    "person-rays": [512, 512, [], "e54d", "M4.686 4.686C10.93-1.562 21.06-1.562 27.31 4.686L123.3 100.7C129.6 106.9 129.6 117.1 123.3 123.3C117.1 129.6 106.9 129.6 100.7 123.3L4.686 27.31C-1.562 21.07-1.562 10.94 4.686 4.686V4.686zM199.1 56C199.1 25.07 225.1 0 255.1 0C286.9 0 312 25.07 312 56C312 86.93 286.9 112 255.1 112C225.1 112 199.1 86.93 199.1 56zM255.1 80C269.3 80 280 69.25 280 56C280 42.75 269.3 32 255.1 32C242.7 32 231.1 42.75 231.1 56C231.1 69.25 242.7 80 255.1 80zM223.1 352V496C223.1 504.8 216.8 512 207.1 512C199.2 512 191.1 504.8 191.1 496V202.1L142.1 295.5C137.9 303.3 128.3 306.3 120.5 302.1C112.7 297.9 109.7 288.3 113.9 280.5L172.7 170.3C186.6 144.3 213.8 128 243.3 128H268.7C298.2 128 325.4 144.3 339.3 170.3L398.1 280.5C402.3 288.3 399.3 297.9 391.5 302.1C383.7 306.3 374.1 303.3 369.9 295.5L320 202.2V496C320 504.8 312.8 512 304 512C295.2 512 288 504.8 288 496V352H223.1zM223.1 320H288V164C282 161.4 275.5 160 268.7 160H243.3C236.5 160 229.1 161.4 223.1 164V320zM484.7 4.686C490.9-1.562 501.1-1.562 507.3 4.686C513.6 10.93 513.6 21.07 507.3 27.31L411.3 123.3C405.1 129.6 394.9 129.6 388.7 123.3C382.4 117.1 382.4 106.9 388.7 100.7L484.7 4.686zM4.686 484.7L100.7 388.7C106.9 382.4 117.1 382.4 123.3 388.7C129.6 394.9 129.6 405.1 123.3 411.3L27.31 507.3C21.07 513.6 10.94 513.6 4.686 507.3C-1.562 501.1-1.562 490.9 4.686 484.7V484.7zM388.7 411.3C382.4 405.1 382.4 394.9 388.7 388.7C394.9 382.4 405.1 382.4 411.3 388.7L507.3 484.7C513.6 490.9 513.6 501.1 507.3 507.3C501.1 513.6 490.9 513.6 484.7 507.3L388.7 411.3z"],
    "person-rifle": [576, 512, [], "e54e", "M260.7 192C289 192 315.7 202.7 335.1 221.1V496.2C335.9 504.1 328.8 512 320 512C311.2 512 304 504.8 304 496V236.7C291.3 228.6 276.3 224 260.7 224H219.3C203.7 224 188.7 228.6 176 236.8V496C176 504.8 168.8 512 160 512C151.2 512 144 504.8 144 496V275.8L62.32 439.2C58.37 447.1 48.76 450.3 40.85 446.3C32.95 442.4 29.74 432.7 33.7 424.8L119.2 253.9C138.1 215.1 176.9 192 219.3 192H260.7zM320 80C320 124.2 284.2 160 240 160C195.8 160 160 124.2 160 80C160 35.82 195.8 .0003 240 .0003C284.2 .0003 320 35.82 320 80zM240 32C213.5 32 192 53.49 192 80C192 106.5 213.5 128 240 128C266.5 128 288 106.5 288 80C288 53.49 266.5 32 240 32zM512 208C512 199.2 519.2 192 528 192C536.8 192 544 199.2 544 208V292.5C544 299.4 539.6 305.5 533.1 307.6L480 325.3V352L483.2 368H528C536.8 368 544 375.2 544 384C544 392.8 536.8 400 528 400H489.6L508.2 492.9C510.2 502.8 502.6 512 492.5 512H400C391.2 512 384 504.8 384 496V395.7C374.4 390.2 368 379.8 368 368V224C368 212.2 374.4 201.8 384 196.3V160C384 142.3 398.3 128 416 128V32C407.2 32 400 24.84 400 16C400 7.164 407.2 0 416 0H432C440.8 0 448 7.164 448 16V128C465.7 128 480 142.3 480 160V288L512 280V208zM416 214.7L400 224L400 368L416 377.3V480H472.1L448 355.2V160H416V214.7z"],
    "person-running": [448, 512, [127939, "running"], "f70c", "M296 112C326.9 112 352 86.88 352 56S326.9 0 296 0S240 25.12 240 56S265.1 112 296 112zM296 32C309.2 32 320 42.77 320 56S309.2 80 296 80S272 69.23 272 56S282.8 32 296 32zM151.2 337.7c-7.906-3.906-17.47-.7344-21.47 7.156L118.1 368H32c-8.844 0-16 7.156-16 16s7.156 16 16 16h96c6.062 0 11.59-3.422 14.31-8.844l16-32C162.3 351.3 159.1 341.6 151.2 337.7zM416 240h-60.11c-6.125 0-11.62-3.43-14.34-8.898l-20.52-40.79c-13.62-27.23-36.09-49.73-63.34-63.36C238.1 117.2 216.2 112 194.3 112H154.7c-10.31 0-20.56 3.422-28.78 9.609L70.41 163.2c-7.062 5.297-8.5 15.33-3.219 22.39c5.312 7.094 15.34 8.5 22.41 3.203l55.5-41.59C147.8 145.1 151.2 144 154.7 144h39.69c3.738 0 7.396 .916 11.12 1.301L170.4 215.5C152.8 250.6 163.8 294.2 196.1 316.8l105.4 73.78l-28.84 101c-2.438 8.484 2.469 17.34 10.97 19.78C285.1 511.8 286.6 512 288 512c6.969 0 13.38-4.578 15.38-11.61l32-112c1.875-6.562-.5938-13.58-6.188-17.5L214.4 290.6c-19.38-13.55-26-39.69-15.44-60.8l38.22-76.42c2.014 .8574 4.201 1.25 6.158 2.229c21.09 10.53 38.5 27.95 49.03 49.05l20.44 40.83C321 261.8 337.5 272 355.8 272H416c8.844 0 16-7.156 16-16S424.8 240 416 240z"],
    "person-seat": [384, 512, [], "e21e", "M368 448h-49.88l-14.27-114.1C302.9 325.9 296.1 320 288 320H144C135.2 320 128 312.8 128 304V224h128c8.838 0 16-7.164 16-16C272 199.2 264.8 192 256 192H128V160c0-8.844-7.156-16-16-16S96 151.2 96 160v144C96 330.5 117.5 352 144 352h129.1l14.13 114C289.1 474 295.9 480 304 480h64c8.844 0 16-7.156 16-16S376.8 448 368 448zM208 416H131.2C76.5 416 32 371.5 32 316.8V144C32 135.2 24.84 128 16 128S0 135.2 0 144v172.8C0 389.2 58.86 448 131.2 448H208c8.844 0 16-7.156 16-16S216.8 416 208 416zM136 112C166.9 112 192 86.93 192 56S166.9 0 136 0S80 25.07 80 56S105.1 112 136 112zM136 32C149.2 32 160 42.77 160 56C160 69.23 149.2 80 136 80S112 69.23 112 56C112 42.77 122.8 32 136 32z"],
    "person-seat-reclined": [448, 512, [], "e21f", "M120 112c30.93 0 56-25.07 56-56S150.9 0 120 0S64 25.07 64 56S89.07 112 120 112zM120 32C133.2 32 144 42.77 144 56c0 13.23-10.77 24-24 24S96 69.23 96 56C96 42.77 106.8 32 120 32zM431.1 448H393.9l-59.58-119.2C331.6 323.4 326.1 320 320 320H170.7c-7.734 0-14.36-5.531-15.75-13.16L139.9 224H304C312.8 224 320 216.8 320 208C320 199.2 312.8 192 304 192H134.1L127.7 157.1C126.2 148.4 117.8 142.8 109.1 144.3C100.4 145.8 94.67 154.2 96.27 162.9l27.2 149.7C127.6 335.4 147.5 352 170.7 352h139.4l59.58 119.2C372.4 476.6 377.9 480 383.1 480H432c8.844 0 16-7.156 16-16S440.8 448 431.1 448zM272 416H159.6c-44.23 0-82.27-31.56-90.42-75.03L31.72 141.1C30.11 132.4 21.8 126.6 13.05 128.3C4.359 129.9-1.359 138.3 .2813 146.9l37.48 199.9C48.75 405.5 100 448 159.7 448H272c8.844 0 16-7.156 16-16S280.8 416 272 416z"],
    "person-shelter": [512, 512, [], "e54f", "M504.2 146.3C509 149.2 512 154.4 512 160V496C512 504.8 504.8 512 496 512C487.2 512 480 504.8 480 496V169.1L256 34.66L32 169.1V496C32 504.8 24.84 512 16 512C7.164 512 0 504.8 0 496V160C0 154.4 2.949 149.2 7.768 146.3L247.8 2.28C252.8-.76 259.2-.76 264.2 2.28L504.2 146.3zM304 168C304 194.5 282.5 216 256 216C229.5 216 208 194.5 208 168C208 141.5 229.5 120 256 120C282.5 120 304 141.5 304 168zM256 152C247.2 152 240 159.2 240 168C240 176.8 247.2 184 256 184C264.8 184 272 176.8 272 168C272 159.2 264.8 152 256 152zM232 400V496C232 504.8 224.8 512 216 512C207.2 512 200 504.8 200 496V291.5L157.6 360.4C152.1 367.9 143.1 370.3 135.6 365.6C128.1 360.1 125.7 351.1 130.4 343.6L175.6 270.1C190.2 246.4 215.1 232 243.8 232H268.2C296 232 321.8 246.4 336.4 270.1L381.6 343.6C386.3 351.1 383.9 360.1 376.4 365.6C368.9 370.3 359 367.9 354.4 360.4L312 291.5V496C312 504.8 304.8 512 296 512C287.2 512 280 504.8 280 496V400H232zM232 368H280V265.5C276.2 264.5 272.3 264 268.2 264H243.8C239.7 264 235.8 264.5 232 265.5V368z"],
    "person-sign": [512, 512, [], "f757", "M510.5 73.33c-1.781-3.891-5.047-6.891-9.062-8.344l-76.24-27.72l5.789-15.71c3.047-8.297-1.188-17.48-9.484-20.55c-8.25-3.047-17.47 1.188-20.55 9.484l-5.836 15.84l-69.68-25.34c-8.328-3.047-17.38 1.203-20.45 9.406l-48 127.1c-1.5 4-1.328 8.436 .4531 12.31c1.781 3.891 5.047 6.891 9.062 8.344l70.3 25.56l-14.55 39.49L264.2 209.6L222.1 167.4c-15.11-15.11-35.2-23.44-56.58-23.44H133.6c-29.05 0-55.84 15.78-69.94 41.17L2.02 296.2C-2.277 303.1 .5039 313.7 8.238 317.1c2.453 1.375 5.125 2.016 7.75 2.016c5.625 0 11.08-2.969 14-8.234L80.03 221.7l.0547 112.7l-16 159.1c-.875 8.797 5.531 16.64 14.33 17.52C78.96 511.1 79.49 512 80.02 512c8.125 0 15.08-6.156 15.91-14.41l16.08-161.6V181.5c6.629-3.373 13.93-5.488 21.62-5.488h31.86c3.592 0 7.094 .4844 10.52 1.248v142.7c0 2.906 .7813 5.75 2.281 8.234l45.72 76.2V496c0 8.844 7.156 16 16 16s16-7.156 16-16v-95.1c0-2.906-.7813-5.75-2.281-8.234L208 315.6V198.6l36.69 36.69c2.047 2.047 4.625 3.5 7.438 4.203l59.04 14.76l-22.18 60.19c-3.047 8.297 1.188 17.48 9.484 20.55c1.828 .6719 3.688 .9844 5.531 .9844c6.516 0 12.62-4 15.02-10.47l47.89-129.1l75.62 27.5c1.812 .6562 3.656 .9687 5.469 .9687c6.484 0 12.58-3.969 14.98-10.38l48-127.1C512.5 81.64 512.3 77.2 510.5 73.33zM438.6 187.6L292.7 134.5l36.77-98.03l145.9 53.06L438.6 187.6zM136 112c30.88 0 56-25.12 56-55.1c0-30.87-25.12-55.1-56-55.1s-56 25.12-56 55.1C80 86.89 105.1 112 136 112zM136 32.02c13.23 0 24 10.76 24 23.1s-10.77 24-24 24s-24-10.77-24-24S122.8 32.02 136 32.02z"],
    "person-simple": [256, 512, [], "e220", "M160 160H96C60.65 160 32 188.7 32 224v96c0 17.67 14.33 32 32 32v144C64 504.8 71.16 512 80 512S96 504.8 96 496V352h64v144c0 8.844 7.156 16 16 16s16-7.156 16-16V352c17.67 0 32-14.33 32-32V224C224 188.7 195.3 160 160 160zM192 320H64V224c0-17.64 14.36-32 32-32h64c17.64 0 32 14.36 32 32V320zM128 128c35.38 0 64-28.62 64-64s-28.62-64-64-64S64 28.62 64 64S92.63 128 128 128zM128 32c17.64 0 32 14.36 32 32s-14.36 32-32 32S96 81.64 96 64S110.4 32 128 32z"],
    "person-skating": [448, 512, ["skating"], "f7c5", "M288 362.5V448c0 8.844 7.156 16 16 16S320 456.8 320 448v-85.48c0-21.38-8.312-41.47-23.44-56.58l-54.13-54.11c-6.562-6.562-9.938-15.64-9.281-24.91c.6562-9.25 5.281-17.75 12.72-23.33l83.72-62.8c5.531-4.125 7.75-11.33 5.594-17.86C333 116.4 326.9 112 320 112H112C103.2 112 95.96 119.2 95.96 128S103.2 144 112 144h160l-45.31 34C211.8 189.1 202.6 206.1 201.2 224.7C199.9 243.2 206.7 261.3 219.8 274.5l54.13 54.11C283 337.6 288 349.7 288 362.5zM164.7 292.7l-80 80c-6.25 6.25-6.25 16.38 0 22.62C87.81 398.4 91.91 400 96 400s8.188-1.562 11.31-4.688l80-80c6.25-6.25 6.25-16.38 0-22.62S170.9 286.4 164.7 292.7zM384 432c-8.844 0-16 7.156-16 16c0 17.64-14.34 32-32 32H256c-8.844 0-16 7.156-16 16S247.2 512 256 512h80c35.28 0 63.1-28.7 63.1-64C399.1 439.2 392.8 432 384 432zM116.7 436.7c-11.38 11.38-30 11.38-41.38 0l-48.09-47.95c-6.25-6.25-16.28-6.25-22.53 0s-6.25 16.28 0 22.53l47.1 48.05C64.63 471.3 80.31 477.2 96 477.2s31.38-5.969 43.31-17.91c6.25-6.234 6.25-16.38 0-22.62S122.9 430.4 116.7 436.7zM392 0c-30.88 0-56 25.12-56 56s25.12 56 56 56S448 86.88 448 56S422.9 0 392 0zM392 80c-13.22 0-24-10.77-24-24S378.8 32 392 32S416 42.77 416 56S405.2 80 392 80z"],
    "person-ski-jumping": [512, 512, ["ski-jump"], "f7c7", "M127.1 144h153.4L188.1 237.3c-6.063 6.031-11.12 13.03-14.56 19.97L114.2 360c-4.437 7.641-1.812 17.44 5.844 21.86C122.5 383.3 125.3 384 128 384c5.5 0 10.87-2.859 13.84-8l59.78-103.5c2.375-4.688 5.406-8.891 9.031-12.52l120.7-120.7c4.562-4.578 5.937-11.45 3.469-17.44C332.3 115.9 326.5 112 320 112H127.1C119.1 112 111.1 119.2 111.1 128S119.1 144 127.1 144zM408 112c30.87 0 55.1-25.12 55.1-56S438.9 0 408 0S352 25.12 352 56S377.1 112 408 112zM408 32c13.22 0 23.1 10.77 23.1 24S421.2 80 408 80S384 69.23 384 56S394.8 32 408 32zM499.9 176.5c-8.719-2.25-17.28 3.016-19.44 11.56c-8.719 34.23-31.94 63.42-63.72 80.06L8.604 481.8c-7.844 4.094-10.87 13.77-6.781 21.59C4.698 508.9 10.26 512 16.01 512c2.5 0 5.062-.5781 7.406-1.828l408.2-213.7c39.84-20.84 68.97-57.48 79.9-100.5C513.7 187.4 508.5 178.7 499.9 176.5z"],
    "person-ski-lift": [512, 512, ["ski-lift"], "f7c8", "M104 144C134.9 144 160 118.9 160 88S134.9 32 104 32S48 57.13 48 88S73.13 144 104 144zM104 64C117.2 64 128 74.77 128 88S117.2 112 104 112S80 101.2 80 88S90.78 64 104 64zM161.1 373.5c6.531 0 13.12-.7969 19.72-2.453l14.19-3.547c8.594-2.141 13.78-10.83 11.66-19.39c-2.156-8.594-11-13.91-19.41-11.64l-14.19 3.547c-22.09 5.5-44.41-4.844-54.59-25.11L30.31 136.8C26.34 128.9 16.78 125.8 8.844 129.7C.9375 133.6-2.25 143.3 1.688 151.2l89.03 178.1C104.6 356.1 132.3 373.5 161.1 373.5zM256 207.1C264.9 207.1 272 200.8 272 192V16c0-8.844-7.158-16-16-16S240 7.156 240 16V192C240 200.8 247.2 207.1 256 207.1zM496 288C487.2 288 480 295.2 480 304c0 20.41-13.09 38.63-33.38 46.41L304 405.2V256c0-4.922-2.281-9.578-6.156-12.61s-8.938-4.156-13.72-2.906L168.6 269.4L126.3 184.8C122.3 176.9 112.8 173.8 104.8 177.7C96.94 181.6 93.75 191.3 97.69 199.2l48 96c3.344 6.688 10.94 10.17 18.19 8.359L272 276.5V416c0 .4727 .2285 .8711 .2695 1.334l-166 63.73c-8.219 3.172-12.34 12.42-9.188 20.67C99.5 508.1 105.6 512 112 512c1.906 0 3.844-.3438 5.75-1.062l340.3-130.7C490.8 367.7 512 337.8 512 304C512 295.2 504.8 288 496 288z"],
    "person-skiing": [512, 512, [9975, "skiing"], "f7c9", "M423.1 112c30.87 0 55.1-25.13 55.1-56S454.9 0 423.1 0s-55.1 25.13-55.1 56S393.1 112 423.1 112zM423.1 32c13.23 0 23.1 10.77 23.1 24s-10.77 24-23.1 24s-23.1-10.77-23.1-24S410.8 32 423.1 32zM104.6 78.17l17.79 9.317l-8.678 17.36c-3.953 7.906-.75 17.52 7.156 21.47c2.297 1.141 4.734 1.688 7.14 1.688c5.875 0 11.52-3.234 14.33-8.844l8.408-16.81l222.4 116.5c2.365 2.367 5.133 3.854 8.408 4.406l59.06 30.94c2.375 1.25 4.984 1.854 7.484 1.854c5.766 0 11.25-3.151 14.11-8.604c4.109-7.828 1.078-17.5-6.75-21.59l-59.29-31.06l-32.66-87.12c-4.766-12.7-14.75-22.84-27.39-27.81c-12.62-4.953-26.86-4.328-39.03 1.734L237.2 111.5L165 73.72l9.281-18.56c3.953-7.906 .75-17.52-7.156-21.47c-7.922-3.938-17.5-.7657-21.47 7.156L136.7 58.87L119.4 49.83c-7.844-4.156-17.5-1.063-21.59 6.75C93.72 64.41 96.75 74.08 104.6 78.17zM311.3 110.2c4.141-2.016 8.765-2.25 13.03-.5781c4.266 1.688 7.515 4.985 9.125 9.282l20.09 53.58l-81.46-42.67L311.3 110.2zM260.7 379.3c3.125 3.125 7.219 4.688 11.31 4.688c4.094 0 8.187-1.563 11.31-4.688l63.1-64c3.453-3.453 5.141-8.281 4.578-13.13c-.5469-4.844-3.281-9.172-7.406-11.75l-87.3-54.56C236.4 222.9 223.1 200.5 223.1 176c0-8.844-7.156-16-15.1-16c-8.844 0-15.1 7.156-15.1 16c0 35.61 18.03 68.14 48.22 87l70.25 43.91l-49.78 49.78C254.4 362.9 254.4 373.1 260.7 379.3zM510.3 474.2c-3.969-7.891-13.61-11.08-21.5-7.094c-35.39 17.86-77.31 17.19-112.2-1.703L23.63 273.9C15.86 269.7 6.143 272.6 1.94 280.4c-4.219 7.766-1.328 17.48 6.437 21.69l352.1 191.4C384.1 505.8 409.2 512 434.4 512c23.58 0 47.17-5.438 68.84-16.34C511.1 491.7 514.3 482.1 510.3 474.2z"],
    "person-skiing-nordic": [576, 512, ["skiing-nordic"], "f7ca", "M344 112c30.88 0 56-25.12 56-56S374.9 0 344 0S288 25.12 288 56S313.1 112 344 112zM344 32c13.23 0 24 10.77 24 24S357.2 80 344 80S320 69.23 320 56S330.8 32 344 32zM156.7 183.1l31.36-31.36c13.16-13.14 32.89-17.56 50.38-11.16l1.422 .5176l-94.98 284.1c-2.797 8.391 1.734 17.45 10.11 20.23C156.6 447.7 158.3 448 160 448c6.703 0 12.94-4.234 15.17-10.94l94.71-284.1l36.71 13.37c11.56 4.219 20.97 12.61 26.48 23.64l36.61 73.2C372.4 268.6 377.9 272 384 272h64c8.844 0 16-7.156 16-16S456.8 240 448 240h-54.11l-32.19-64.36c-9.188-18.38-24.88-32.38-44.17-39.39L249.3 111.4C220.2 100.8 187.3 108.1 165.4 130L134 161.4c-6.25 6.25-6.25 16.38 0 22.62S150.4 190.2 156.7 183.1zM331.8 447.5C333.2 447.8 334.6 448 336 448c7.047 0 13.52-4.703 15.44-11.84l20.38-75.63c1.688-6.25-.5781-12.92-5.719-16.86l-68.38-52.38c-7.016-5.344-17.05-4.031-22.44 2.969C269.9 301.3 271.3 311.3 278.3 316.7l59.88 45.86l-17.59 65.28C318.3 436.4 323.3 445.2 331.8 447.5zM432.2 317.7l-16 112c-1.25 8.75 4.828 16.86 13.58 18.11C430.5 447.1 431.3 448 432 448c7.844 0 14.69-5.75 15.83-13.73l16-112c1.25-8.75-4.828-16.86-13.58-18.11C441.5 302.9 433.4 308.1 432.2 317.7zM76.13 447.5C77.42 447.8 78.73 448 80.02 448c7.172 0 13.69-4.844 15.5-12.12l48-192c2.156-8.562-3.062-17.25-11.64-19.39C123.3 222.2 114.6 227.5 112.5 236.1l-48 192C62.33 436.7 67.55 445.4 76.13 447.5zM560 400c-8.844 0-16 7.156-16 16c0 35.3-28.7 64-64 64H16C7.156 480 0 487.2 0 496S7.156 512 16 512H480c52.94 0 96-43.06 96-96C576 407.2 568.8 400 560 400z"],
    "person-sledding": [512, 512, ["sledding"], "f7cb", "M391.1 144c30.87 0 55.1-25.12 55.1-56S422.9 32 391.1 32s-55.1 25.12-55.1 56S361.1 144 391.1 144zM391.1 64c13.23 0 23.1 10.77 23.1 24s-10.77 24-23.1 24c-13.23 0-23.1-10.77-23.1-24S378.8 64 391.1 64zM159.1 176L281.4 176L180.7 276.7C176.1 281.3 174.7 288.1 177.2 294.1C179.7 300.1 185.5 304 192 304h143.1V384c0 8.844 7.156 16 15.1 16s15.1-7.156 15.1-16l.0802-95.97c0-8.844-7.156-16-15.1-16L230.6 272l100.7-100.7c4.578-4.578 5.953-11.45 3.469-17.44C332.3 147.9 326.5 144 320 144H160C151.2 144 144 151.2 144 160S151.2 176 159.1 176zM492.9 439.1l-33.33 6.672c-26.34 5.297-53.8 1-77.33-12.06L23.77 234.5C16.05 230.2 6.286 233 2.02 240.8C-2.277 248.5 .5046 258.2 8.239 262.5l358.4 199.2C388.4 473.8 412.8 480 437.3 480c9.5 0 19.05-.9375 28.48-2.828l33.33-6.672c8.672-1.734 14.28-10.16 12.55-18.83S501.5 437.3 492.9 439.1z"],
    "person-snowboarding": [512, 512, [127938, "snowboarding"], "f7ce", "M507.3 228.7L485.4 206.8c-39.5-39.5-83.81-74.1-131.7-102.8c-7.859-4.735-16.44-8.063-25.48-9.86l-35.14-7.031c-15.95-3.188-29.09-14.13-35.14-29.24l-19.13-47.81c-3.281-8.219-12.64-12.22-20.8-8.922C209.9 4.437 205.9 13.75 209.1 21.95l19.13 47.81c10.08 25.2 31.98 43.42 58.59 48.74l11.64 2.328L241.5 159.9c-20.98 14.98-33.5 39.33-33.5 65.1v51.53L122.9 304.9c-8.375 2.781-12.91 11.84-10.11 20.24c2.234 6.703 8.469 10.94 15.17 10.94c1.672 0 3.375-.2657 5.063-.8282l96-32c6.531-2.172 10.94-8.282 10.94-15.17V224.1c0-15.47 7.516-30.06 19.84-38.88l77.19-52.86c.4766-.3262 .7266-.8242 1.156-1.189c16.04 9.662 31.5 20.23 46.64 31.23L279.8 226.3c-4.563 2.734-7.469 7.578-7.75 12.89c-.2656 5.328 2.125 10.44 6.391 13.63l55.19 41.39l-28.98 101.4c-2.422 8.485 2.5 17.34 11 19.78c1.469 .4062 2.938 .6094 4.406 .6094c6.953 0 13.36-4.578 15.38-11.61l32-112c1.812-6.375-.4844-13.22-5.797-17.19l-44.95-33.72l95.52-57.32c17.6 14.27 34.63 29.25 50.65 45.28l21.88 21.88c3.125 3.125 7.219 4.688 11.31 4.688c4.094 0 8.188-1.563 11.31-4.688C513.6 245.1 513.6 234.1 507.3 228.7zM422.8 113.2c30.88 0 56-25.13 56-56s-25.13-56-56-56c-30.88 0-56 25.13-56 56S391.9 113.2 422.8 113.2zM422.8 33.22c13.23 0 24 10.77 24 24s-10.77 24-24 24c-13.23 0-24-10.77-24-24S409.6 33.22 422.8 33.22zM474.7 473.2c-27.38 9.578-57.28 8.985-84.27-1.625L96.1 356.4c-25.05-9.844-46.16-27.41-61.08-50.85L29.48 295.4C24.71 287.9 14.82 285.7 7.387 290.5C-.051 295.3-2.239 305.2 2.512 312.6l6.422 10.08c18.56 29.17 44.97 51.1 76.38 63.42l293.5 115.3C396.7 508.5 415.8 512 434.8 512c17.05 0 34.13-2.844 50.45-8.547c8.344-2.922 12.75-12.05 9.844-20.39C492.2 474.7 483.1 470.3 474.7 473.2z"],
    "person-snowmobiling": [640, 512, ["snowmobile"], "f7d1", "M288 56C288 86.93 262.9 112 232 112C201.1 112 176 86.93 176 56C176 25.07 201.1 0 232 0C262.9 0 288 25.07 288 56zM232 32C218.7 32 208 42.75 208 56C208 69.25 218.7 80 232 80C245.3 80 256 69.25 256 56C256 42.75 245.3 32 232 32zM335.8 74.28C343.3 69.73 353.2 72.19 357.7 79.77L401.5 152.8L558.3 231.2C569.2 236.6 576 247.7 576 259.8V318.9C576 329.6 570.7 339.6 561.8 345.5L485.6 396.3L548.7 478.2C549.1 478.8 549.5 479.4 549.9 480H569.4L612.7 436.7C618.9 430.4 629.1 430.4 635.3 436.7C641.6 442.9 641.6 453.1 635.3 459.3L587.3 507.3C584.3 510.3 580.2 512 576 512H432C423.2 512 416 504.8 416 496C416 487.2 423.2 480 432 480H509.7L448.1 400H313.3C317.6 409.8 320 420.6 320 432C320 476.2 284.2 512 240 512H80C35.82 512 0 476.2 0 432C0 405.8 12.57 382.6 32 367.1L71.16 289.7C76.58 278.8 87.66 272 99.78 272H288L324 224H280C274.1 224 270.2 221.6 267.2 217.6L233.8 173.1C227.6 164.8 217.9 160 207.6 160C194.7 160 183 167.6 177.8 179.4L158.6 222.5C155 230.6 145.6 234.2 137.5 230.6C129.4 227 125.8 217.6 129.4 209.5L148.5 166.4C158.9 143.1 182.1 128 207.6 128C228 128 247.2 137.6 259.4 153.9L288 192H348L370.1 162.6L330.3 96.23C325.7 88.66 328.2 78.83 335.8 74.28L335.8 74.28zM544 318.9V259.8L393.6 184.6L313.6 291.2C307.6 299.3 298.1 304 288 304H99.78L75.72 352.1C77.14 352 78.56 352 79.1 352H239.1C258 352 274.6 357.1 288 368H470.3L544 318.9zM32 432C32 458.5 53.49 480 80 480H240C266.5 480 288 458.5 288 432C288 405.5 266.5 384 240 384H80C53.49 384 32 405.5 32 432z"],
    "person-swimming": [576, 512, [127946, "swimmer"], "f5c4", "M176 336C184.8 336 192 328.8 192 320c0-28.06 8.625-54.94 24.92-77.77L238.6 211.9C245.1 202.8 252.9 195 261.3 187.9l160.7 128.6C424.1 318.9 428.5 320 431.1 320c4.703 0 9.344-2.062 12.52-6c5.516-6.906 4.391-16.97-2.5-22.5L289.2 169.3c6.895-3.346 14.07-6.143 21.48-8.262c38.11-10.86 78.86-13.14 117.1-6.688l32.72 5.453c8.734 1.5 16.97-4.438 18.41-13.16c1.453-8.719-4.438-16.95-13.16-18.41l-32.72-5.453c-43.73-7.25-89.39-4.703-131.1 7.469C266 140.5 234.3 162.9 212.6 193.3L190.9 223.6C170.7 251.9 160 285.2 160 320C160 328.8 167.2 336 176 336zM104 240c39.77 0 72-32.24 72-72C176 128.2 143.8 96 104 96C64.24 96 32 128.2 32 168C32 207.8 64.24 240 104 240zM104 128C126.1 128 144 145.9 144 168S126.1 208 104 208S64 190.1 64 168S81.94 128 104 128zM562 383.1c-28.14-3.625-53.29-18.34-69.03-40.38c-6-8.438-20.04-8.438-26.04 0c-18.44 25.84-49.45 41.2-82.97 41.2c-33.52 0-64.53-15.35-82.97-41.2c-6.031-8.438-20.03-8.438-26.06 0c-18.44 25.84-49.45 41.2-82.97 41.2c-33.51 0-64.53-15.35-82.97-41.2c-3-4.219-7.73-6.62-12.9-6.62s-10.14 2.401-13.14 6.62c-15.73 22.03-40.89 36.75-69.03 40.38c-8.766 1.125-14.95 9.156-13.83 17.94c1.125 8.75 9.029 15.06 17.92 13.81c29.98-3.875 57.48-17.47 77.94-38.09C120.6 401.6 155.3 416 192.1 416C228.9 416 263.4 401.6 288 376.8C312.6 401.6 347.3 416 384.1 416c36.78 0 71.28-14.41 95.9-39.25c20.45 20.62 47.95 34.22 77.94 38.09c8.951 1.375 16.79-5.062 17.92-13.81C576.1 392.3 570.8 384.2 562 383.1z"],
    "person-through-window": [640, 512, [], "e5a9", "M200 136C200 166.9 174.9 192 144 192C113.1 192 88 166.9 88 136C88 105.1 113.1 80 144 80C174.9 80 200 105.1 200 136zM144 112C130.7 112 120 122.7 120 136C120 149.3 130.7 160 144 160C157.3 160 168 149.3 168 136C168 122.7 157.3 112 144 112zM367 416H474.9L392.6 319.1H341.3L287.4 360.5L380.8 486.5C386.1 493.6 384.6 503.6 377.5 508.8C370.4 514.1 360.4 512.6 355.1 505.5L312.5 448H48C21.49 448 0 426.5 0 400V48C0 21.49 21.49 0 48 0H592C618.5 0 640 21.49 640 48V400C640 426.5 618.5 448 592 448H390.5L367 416zM32 48V400C32 408.8 39.16 416 48 416H128V345.6C128 274.1 169.2 210.9 233.3 181.5C286.1 157.3 320 104.5 320 46.4V32H48C39.16 32 32 39.16 32 48V48zM264.6 201.1L328.1 287.1H392.6C401.1 287.1 410.9 292.1 416.9 299.2L517.1 416H592C600.8 416 608 408.8 608 400V48C608 39.16 600.8 32 592 32H352V46.4C352 110.2 318.4 168.7 264.6 201.1V201.1zM268.3 334.8L303.4 308.4L235.8 216.1C222.6 223.5 210.8 232.8 200.6 243.5L268.3 334.8zM160 345.6V416H288.7L180.6 270.2C167.4 292.6 160 318.5 160 345.6V345.6z"],
    "person-to-door": [640, 512, [58704], "e433", "M312 111.8c30.91 0 56-25.09 56-56s-25.09-56-56-56S256 24.93 256 55.84S281.1 111.8 312 111.8zM312 31.84c13.25 0 24 10.75 24 24s-10.75 24-24 24S288 69.09 288 55.84S298.8 31.84 312 31.84zM560-.1602h-96c-26.5 0-48 21.5-48 48v144c0 8.832 7.168 16 16 16s16-7.168 16-16v-144c0-8.832 7.168-16 16-16h96c8.832 0 16 7.168 16 16v416c0 8.832-7.168 16-16 16h-96c-8.832 0-16-7.168-16-16v-112c0-8.832-7.168-16-16-16s-16 7.168-16 16v112c0 26.5 21.5 48 48 48h96c26.5 0 48-21.5 48-48v-416C608 21.34 586.5-.1602 560-.1602zM448 271.8c0-8.832-7.168-16-16-16h-67.94l-18.21-63.78C337.8 163.9 314.9 142.3 286.3 135.1L251.7 128.3L251.2 128.2L209.4 118.9c-23.65-5.279-48.42 .4805-67.33 15.62L86.02 179.4C79.1 184.9 77.98 194.9 83.52 201.8c5.504 6.912 15.58 8.031 22.46 2.496l56.06-44.83C173.4 150.4 188.3 146.9 202.5 150.1L226.3 155.4L187.2 256.2C178.5 278.4 187.5 303.7 208.4 315.4l80.38 45.22c6.752 3.809 9.824 11.94 7.232 19.26l-39.04 110.7C253.1 498.8 258.3 508 266.7 510.9c8.32 2.943 17.47-1.408 20.42-9.76l39.04-110.6c7.744-21.98-1.408-46.37-21.73-57.82L224 287.5c-6.943-3.904-9.951-12.32-7.039-19.74l40.96-105.3l21.38 4.768c17.22 3.809 30.91 16.74 35.74 33.66l18.24 63.78c3.904 13.73 16.48 23.2 30.75 23.2H432C440.8 287.8 448 280.7 448 271.8zM183.2 321.5c-7.904-3.967-17.54-.7676-21.47 7.137l-23.17 46.34c-2.719 5.408-8.256 8.832-14.3 8.832H48c-8.832 0-16 7.168-16 16s7.168 16 16 16h76.22c18.18 0 34.82-10.27 42.94-26.53l23.14-46.3C194.3 335.1 191.1 325.5 183.2 321.5z"],
    "person-to-portal": [512, 512, ["portal-enter"], "e022", "M431.1 0c-53.94 0-71.3 121.8-76.25 174.2c-.8438 8.797 5.609 16.61 14.41 17.44c9.016 1.047 16.61-5.625 17.44-14.41C397.1 67.75 424.1 32 432 32C446.4 32 480 108.2 480 256s-33.64 224-48 224c-7.219 0-31.81-32.59-43.06-132.4c-1-8.781-8.875-15.17-17.7-14.11c-8.781 1-15.09 8.922-14.11 17.7c6.781 60.05 25.51 160.8 74.87 160.8C486.1 511.1 512 379.3 512 255.1S486.1 0 431.1 0zM221.2 153.3c2.014 .8574 4.201 1.25 6.158 2.229c21.09 10.53 38.5 27.95 49.03 49.05l20.44 40.83C305 261.8 321.5 272 339.8 272H400c8.844 0 15.1-7.163 15.1-16.01S408.8 240 400 240h-60.11c-6.125 0-11.62-3.43-14.34-8.898l-20.52-40.79c-13.62-27.23-36.09-49.73-63.34-63.36C222.1 117.2 200.2 112 178.3 112H138.7c-10.31 0-20.56 3.422-28.78 9.609L54.41 163.2c-7.062 5.297-8.5 15.33-3.219 22.39c5.312 7.094 15.34 8.5 22.41 3.203l55.5-41.59C131.8 145.1 135.2 144 138.7 144h39.69c3.738 0 7.396 .916 11.12 1.301L154.4 215.5C136.8 250.6 147.8 294.2 180.1 316.8l105.4 73.78l-28.84 101c-2.438 8.484 2.469 17.34 10.97 19.78C269.1 511.8 270.6 512 272 512c6.969 0 13.38-4.578 15.38-11.61l32-112c1.875-6.562-.5938-13.58-6.188-17.5L198.4 290.6c-19.38-13.55-26-39.69-15.44-60.8L221.2 153.3zM135.2 337.7c-7.906-3.906-17.47-.7344-21.47 7.156L102.1 368H16c-8.844 0-16 7.163-16 16.01S7.156 400 16 400h96c6.062 0 11.59-3.422 14.31-8.844l16-32C146.3 351.3 143.1 341.6 135.2 337.7zM280 112c30.88 0 56-25.12 56-56S310.9 0 280 0S224 25.12 224 56S249.1 112 280 112zM280 32c13.22 0 24 10.77 24 24S293.2 80 280 80S256 69.23 256 56S266.8 32 280 32z"],
    "person-walking": [320, 512, [128694, "walking"], "f554", "M144 56C144 25.07 169.1 0 200 0C230.9 0 256 25.07 256 56C256 86.93 230.9 112 200 112C169.1 112 144 86.93 144 56zM200 80C213.3 80 224 69.25 224 56C224 42.75 213.3 32 200 32C186.7 32 176 42.75 176 56C176 69.25 186.7 80 200 80zM121.5 170.2C120.1 170.9 118.7 171.7 117.2 172.5L92.62 185.9C72.99 196.6 58.74 215 53.31 236.7L47.52 259.9C45.38 268.5 36.69 273.7 28.12 271.5C19.55 269.4 14.34 260.7 16.48 252.1L22.27 228.1C29.86 198.6 49.81 172.8 77.29 157.8L101.9 144.4C121.6 133.6 143.7 127.1 166.1 127.1C202.8 127.1 235.5 151.1 247.9 185.6L269.3 245.6L312.9 274.7C320.2 279.6 322.2 289.5 317.3 296.9C312.4 304.2 302.5 306.2 295.1 301.3L251.5 272.3C245.8 268.4 241.5 262.9 239.2 256.4L225.9 219.4L187.3 331L230.9 368.8C235.6 372.9 238.1 378.2 240.7 384.2L271.4 491.6C273.8 500.1 268.9 508.1 260.4 511.4C251.9 513.8 243 508.9 240.6 500.4L209.9 392.1L109.4 305.8C94.93 293.3 89.29 273.4 94.98 255.2L121.5 170.2zM158.2 160.3L125.5 264.8C123.6 270.8 125.5 277.5 130.3 281.6L161.2 308.4L206.5 177.7C196.3 166.7 181.8 160 166.1 160C163.4 160 160.8 160.1 158.2 160.3H158.2zM95.47 436.8C93.93 439.9 91.91 442.7 89.48 445.1L27.31 507.3C21.07 513.6 10.94 513.6 4.686 507.3C-1.562 501.1-1.562 490.9 4.686 484.7L66.85 422.5L97.69 360.8C101.6 352.9 111.3 349.7 119.2 353.7C127.1 357.6 130.3 367.3 126.3 375.2L95.47 436.8z"],
    "person-walking-arrow-loop-left": [640, 512, [], "e551", "M256 56C256 86.93 230.9 112 200 112C169.1 112 144 86.93 144 56C144 25.07 169.1 0 200 0C230.9 0 256 25.07 256 56zM200 32C186.7 32 176 42.75 176 56C176 69.25 186.7 80 200 80C213.3 80 224 69.25 224 56C224 42.75 213.3 32 200 32zM92.62 185.9C72.99 196.6 58.74 215 53.31 236.7L47.52 259.9C45.38 268.5 36.69 273.7 28.12 271.5C19.55 269.4 14.33 260.7 16.48 252.1L22.27 228.1C29.86 198.6 49.81 172.8 77.29 157.8L101.9 144.4C121.6 133.6 143.7 127.1 166.1 127.1C202.8 127.1 235.5 151.1 247.9 185.6L269.3 245.6L312.9 274.7C320.2 279.6 322.2 289.5 317.3 296.9C312.4 304.2 302.5 306.2 295.1 301.3L251.5 272.3C245.8 268.4 241.5 262.9 239.2 256.4L225.9 219.4L187.3 331L230.9 368.8C235.6 372.9 238.1 378.2 240.7 384.2L271.4 491.6C273.8 500.1 268.9 508.1 260.4 511.4C251.9 513.8 243 508.9 240.6 500.4L209.9 392.1L109.4 305.8C94.93 293.3 89.29 273.4 94.98 255.2L121.5 170.2C120.1 170.9 118.7 171.7 117.2 172.5L92.62 185.9zM130.3 281.6L161.2 308.4L206.5 177.7C196.3 166.7 181.8 160 166.1 160C163.4 160 160.8 160.1 158.2 160.3L125.5 264.8C123.6 270.8 125.5 277.5 130.3 281.6H130.3zM119.2 353.7C127.1 357.6 130.3 367.3 126.3 375.2L95.47 436.8C93.93 439.9 91.91 442.7 89.48 445.1L27.31 507.3C21.07 513.6 10.93 513.6 4.686 507.3C-1.562 501.1-1.562 490.9 4.686 484.7L66.85 422.5L97.69 360.8C101.6 352.9 111.3 349.7 119.2 353.7V353.7zM357.8 364.3C354.1 361.3 352 356.7 352 352C352 347.3 354.1 342.7 357.8 339.7L453.8 259.7C460.5 254.1 470.6 254.1 476.3 261.8C481.9 268.5 481 278.6 474.2 284.3L412.2 336H488C554.3 336 608 282.3 608 216C608 149.7 554.3 96 488 96H336C327.2 96 320 88.84 320 80C320 71.16 327.2 64 336 64H488C571.9 64 640 132.1 640 216C640 299.9 571.9 368 488 368H412.2L474.2 419.7C481 425.4 481.9 435.5 476.3 442.2C470.6 449 460.5 449.9 453.8 444.3L357.8 364.3z"],
    "person-walking-arrow-right": [640, 512, [], "e552", "M256 56C256 86.93 230.9 112 200 112C169.1 112 144 86.93 144 56C144 25.07 169.1 0 200 0C230.9 0 256 25.07 256 56zM200 32C186.7 32 176 42.75 176 56C176 69.25 186.7 80 200 80C213.3 80 224 69.25 224 56C224 42.75 213.3 32 200 32zM92.62 185.9C72.99 196.6 58.74 215 53.31 236.7L47.52 259.9C45.38 268.5 36.69 273.7 28.12 271.5C19.55 269.4 14.33 260.7 16.48 252.1L22.27 228.1C29.86 198.6 49.81 172.8 77.29 157.8L101.9 144.4C121.6 133.6 143.7 127.1 166.1 127.1C202.8 127.1 235.5 151.1 247.9 185.6L269.3 245.6L312.9 274.7C320.2 279.6 322.2 289.5 317.3 296.9C312.4 304.2 302.5 306.2 295.1 301.3L251.5 272.3C245.8 268.4 241.5 262.9 239.2 256.4L225.9 219.4L187.3 331L230.9 368.8C235.6 372.9 238.1 378.2 240.7 384.2L271.4 491.6C273.8 500.1 268.9 508.1 260.4 511.4C251.9 513.8 243 508.9 240.6 500.4L209.9 392.1L109.4 305.8C94.93 293.3 89.29 273.4 94.98 255.2L121.5 170.2C120.1 170.9 118.7 171.7 117.2 172.5L92.62 185.9zM130.3 281.6L161.2 308.4L206.5 177.7C196.3 166.7 181.8 160 166.1 160C163.4 160 160.8 160.1 158.2 160.3L125.5 264.8C123.6 270.8 125.5 277.5 130.3 281.6H130.3zM119.2 353.7C127.1 357.6 130.3 367.3 126.3 375.2L95.47 436.8C93.93 439.9 91.91 442.7 89.48 445.1L27.31 507.3C21.07 513.6 10.93 513.6 4.686 507.3C-1.562 501.1-1.562 490.9 4.686 484.7L66.85 422.5L97.69 360.8C101.6 352.9 111.3 349.7 119.2 353.7V353.7zM634.2 243.7C637.9 246.7 640 251.3 640 256C640 260.7 637.9 265.3 634.2 268.3L538.2 348.3C531.5 353.9 521.4 353 515.7 346.2C510.1 339.5 510.1 329.4 517.8 323.7L579.8 272H384C375.2 272 368 264.8 368 256C368 247.2 375.2 240 384 240H579.8L517.8 188.3C510.1 182.6 510.1 172.5 515.7 165.8C521.4 158.1 531.5 158.1 538.2 163.7L634.2 243.7z"],
    "person-walking-dashed-line-arrow-right": [640, 512, [], "e553", "M256 56C256 86.93 230.9 112 200 112C169.1 112 144 86.93 144 56C144 25.07 169.1 0 200 0C230.9 0 256 25.07 256 56zM200 32C186.7 32 176 42.75 176 56C176 69.25 186.7 80 200 80C213.3 80 224 69.25 224 56C224 42.75 213.3 32 200 32zM92.62 185.9C72.99 196.6 58.74 215 53.31 236.7L47.52 259.9C45.38 268.5 36.69 273.7 28.12 271.5C19.55 269.4 14.33 260.7 16.48 252.1L22.27 228.1C29.86 198.6 49.81 172.8 77.29 157.8L101.9 144.4C121.6 133.6 143.7 127.1 166.1 127.1C202.8 127.1 235.5 151.1 247.9 185.6L269.3 245.6L312.9 274.7C320.2 279.6 322.2 289.5 317.3 296.9C312.4 304.2 302.5 306.2 295.1 301.3L251.5 272.3C245.8 268.4 241.5 262.9 239.2 256.4L225.9 219.4L187.3 331L230.9 368.8C235.6 372.9 238.1 378.2 240.7 384.2L271.4 491.6C273.8 500.1 268.9 508.1 260.4 511.4C251.9 513.8 243 508.9 240.6 500.4L209.9 392.1L109.4 305.8C94.93 293.3 89.29 273.4 94.98 255.2L121.5 170.2C120.1 170.9 118.7 171.7 117.2 172.5L92.62 185.9zM130.3 281.6L161.2 308.4L206.5 177.7C196.3 166.7 181.8 160 166.1 160C163.4 160 160.8 160.1 158.2 160.3L125.5 264.8C123.6 270.8 125.5 277.5 130.3 281.6H130.3zM119.2 353.7C127.1 357.6 130.3 367.3 126.3 375.2L95.47 436.8C93.93 439.9 91.91 442.7 89.48 445.1L27.31 507.3C21.07 513.6 10.93 513.6 4.686 507.3C-1.562 501.1-1.562 490.9 4.686 484.7L66.85 422.5L97.69 360.8C101.6 352.9 111.3 349.7 119.2 353.7V353.7zM416 80C416 88.84 408.8 96 400 96C391.2 96 384 88.84 384 80V16C384 7.164 391.2 0 400 0C408.8 0 416 7.164 416 16V80zM634.2 243.7C637.9 246.7 640 251.3 640 256C640 260.7 637.9 265.3 634.2 268.3L538.2 348.3C531.5 353.9 521.4 353 515.7 346.2C510.1 339.5 510.1 329.4 517.8 323.7L579.8 272H384C375.2 272 368 264.8 368 256C368 247.2 375.2 240 384 240H579.8L517.8 188.3C510.1 182.6 510.1 172.5 515.7 165.8C521.4 158.1 531.5 158.1 538.2 163.7L634.2 243.7zM400 128C408.8 128 416 135.2 416 144V176C416 184.8 408.8 192 400 192C391.2 192 384 184.8 384 176V144C384 135.2 391.2 128 400 128zM416 368C416 376.8 408.8 384 400 384C391.2 384 384 376.8 384 368V336C384 327.2 391.2 320 400 320C408.8 320 416 327.2 416 336V368zM400 416C408.8 416 416 423.2 416 432V496C416 504.8 408.8 512 400 512C391.2 512 384 504.8 384 496V432C384 423.2 391.2 416 400 416z"],
    "person-walking-luggage": [512, 512, [], "e554", "M448 56C448 86.93 422.9 112 392 112C361.1 112 336 86.93 336 56C336 25.07 361.1 0 392 0C422.9 0 448 25.07 448 56zM392 32C378.7 32 368 42.75 368 56C368 69.25 378.7 80 392 80C405.3 80 416 69.25 416 56C416 42.75 405.3 32 392 32zM284.6 185.9C264.1 196.6 250.7 215 245.3 236.7L239.5 259.9C237.4 268.5 228.7 273.7 220.1 271.5C211.5 269.4 206.3 260.7 208.5 252.1L214.3 228.1C221.9 198.6 241.8 172.8 269.3 157.8L293.9 144.4C313.6 133.6 335.7 127.1 358.1 127.1C394.8 127.1 427.5 151.1 439.9 185.6L461.3 245.6L504.9 274.7C512.2 279.6 514.2 289.5 509.3 296.9C504.4 304.2 494.5 306.2 487.1 301.3L443.5 272.3C437.8 268.4 433.5 262.9 431.1 256.4L417.9 219.4L379.3 331L422.9 368.8C427.6 372.9 430.1 378.2 432.7 384.2L463.4 491.6C465.8 500.1 460.9 508.1 452.4 511.4C443.9 513.8 435 508.9 432.6 500.4L401.9 392.1L301.4 305.8C286.9 293.3 281.3 273.4 286.1 255.2L313.5 170.2C312.1 170.9 310.7 171.7 309.2 172.5L284.6 185.9zM322.3 281.6L353.2 308.4L398.5 177.7C388.3 166.7 373.8 160 358.1 160C355.4 160 352.8 160.1 350.2 160.3L317.5 264.8C315.6 270.8 317.5 277.5 322.3 281.6V281.6zM311.2 353.7C319.1 357.6 322.3 367.3 318.3 375.2L287.5 436.8C285.9 439.9 283.9 442.7 281.5 445.1L219.3 507.3C213.1 513.6 202.9 513.6 196.7 507.3C190.4 501.1 190.4 490.9 196.7 484.7L258.9 422.5L289.7 360.8C293.6 352.9 303.3 349.7 311.2 353.7V353.7zM216.3 290.3C223.9 294.9 226.3 304.8 221.7 312.3L151.5 427.6L115.1 490.6C106.3 505.9 86.74 511.1 71.43 502.3L16.01 470.3C.7002 461.4-4.544 441.9 4.292 426.6L68.29 315.7C77.13 300.4 96.7 295.2 112 303.1L167.4 336C168 336.3 168.6 336.7 169.1 337.1L194.3 295.7C198.9 288.1 208.8 285.7 216.3 290.3V290.3zM85.96 473.7L123.9 411.3L151.4 363.7L96.01 331.7L32.01 442.6L85.96 473.7z"],
    "person-walking-with-cane": [448, 512, ["blind"], "f29d", "M231.6 180.9C211 157.5 181.4 144 150.2 144c-39.23 0-75.45 21.31-94.52 55.61L2.016 296.2C-2.281 303.1 .5 313.7 8.234 317.1C10.69 319.4 13.36 320 15.98 320c5.625 0 11.08-2.969 14-8.234l53.67-96.61C87.05 209.1 91.23 203.6 96 198.7V256c0 25.03 11.95 48.97 32 64l96 72l.0056 103.1C224 504.8 231.2 512 240 512s16-7.156 16-16V384c0-5.031-2.375-9.781-6.406-12.8l-102.4-76.8C135.2 285.4 128 271 128 256V179.6C135.1 177.4 142.5 176 150.2 176c21.94 0 42.83 9.469 57.28 25.98l84.47 96.55c5.828 6.656 15.92 7.328 22.58 1.516c6.656-5.828 7.328-15.94 1.516-22.58L231.6 180.9zM152 112c30.88 0 56-25.12 56-56S182.9 0 152 0S96 25.12 96 56S121.1 112 152 112zM152 32C165.2 32 176 42.77 176 56S165.2 80 152 80S128 69.23 128 56S138.8 32 152 32zM115.9 352.5c-8.641-2.234-17.27 3.062-19.39 11.64l-32 128c-2.156 8.562 3.062 17.25 11.64 19.39C77.42 511.8 78.73 512 80.02 512c7.172 0 13.69-4.844 15.5-12.12l32-128C129.7 363.3 124.5 354.6 115.9 352.5zM445.7 487.8l-96-160c-4.547-7.578-14.34-10.03-21.95-5.484c-7.578 4.547-10.03 14.38-5.484 21.95l96 160c3 5 8.288 7.742 13.73 7.742c2.797 0 5.649-.7109 8.227-2.258C447.8 505.2 450.3 495.3 445.7 487.8z"],
    "peseta-sign": [384, 512, [], "e221", "M208 32C282.1 32 343.2 88 351.1 160H368C376.8 160 384 167.2 384 176C384 184.8 376.8 192 368 192H351.1C343.2 263.1 282.1 320 208 320H64V464C64 472.8 56.84 480 48 480C39.16 480 32 472.8 32 464V192H16C7.164 192 0 184.8 0 176C0 167.2 7.164 160 16 160H32V72.69C32 50.22 50.22 32 72.69 32H208zM318.9 160C311.1 105.7 264.4 64 208 64H72.69C67.89 64 64 67.89 64 72.69V160H318.9zM64 192V288H208C264.4 288 311.1 246.3 318.9 192H64z"],
    "peso-sign": [384, 512, [], "e222", "M192 32C257.6 32 313.1 71.49 338.7 128H368C376.8 128 384 135.2 384 144C384 152.8 376.8 160 368 160H348.8C350.9 170.3 352 181 352 192C352 202.1 350.9 213.7 348.8 224H368C376.8 224 384 231.2 384 240C384 248.8 376.8 256 368 256H338.7C313.1 312.5 257.6 352 192 352H64V464C64 472.8 56.84 480 48 480C39.16 480 32 472.8 32 464V256H16C7.164 256 0 248.8 0 240C0 231.2 7.164 224 16 224H32V160H16C7.164 160 0 152.8 0 144C0 135.2 7.164 128 16 128H32V71.35C32 49.62 49.62 32 71.35 32H192zM302.9 128C280.7 89.74 239.4 64 192 64H71.35C67.29 64 64 67.29 64 71.35V128H302.9zM64 160V224H315.1C318.6 213.8 320 203 320 192C320 180.1 318.6 170.2 315.1 160H64zM302.9 256H64V320H192C239.4 320 280.7 294.3 302.9 256z"],
    "phone": [512, 512, [128379, 128222], "f095", "M484.6 330.6C484.6 330.6 484.6 330.6 484.6 330.6l-101.8-43.66c-18.5-7.688-40.2-2.375-52.75 13.08l-33.14 40.47C244.2 311.8 200.3 267.9 171.6 215.2l40.52-33.19c15.67-12.92 20.83-34.16 12.84-52.84L181.4 27.37C172.7 7.279 150.8-3.737 129.6 1.154L35.17 23.06C14.47 27.78 0 45.9 0 67.12C0 312.4 199.6 512 444.9 512c21.23 0 39.41-14.44 44.17-35.13l21.8-94.47C515.7 361.1 504.7 339.3 484.6 330.6zM457.9 469.7c-1.375 5.969-6.844 10.31-12.98 10.31c-227.7 0-412.9-185.2-412.9-412.9c0-6.188 4.234-11.48 10.34-12.88l94.41-21.91c1-.2344 2-.3438 2.984-.3438c5.234 0 10.11 3.094 12.25 8.031l43.58 101.7C197.9 147.2 196.4 153.5 191.8 157.3L141.3 198.7C135.6 203.4 133.8 211.4 137.1 218.1c33.38 67.81 89.11 123.5 156.9 156.9c6.641 3.313 14.73 1.531 19.44-4.219l41.39-50.5c3.703-4.563 10.16-6.063 15.5-3.844l101.6 43.56c5.906 2.563 9.156 8.969 7.719 15.22L457.9 469.7z"],
    "phone-arrow-down-left": [512, 512, ["phone-arrow-down", "phone-incoming"], "e223", "M484.6 330.6C484.6 330.6 484.6 330.6 484.6 330.6l-101.8-43.66c-18.5-7.688-40.2-2.375-52.75 13.08l-33.14 40.47C244.2 311.8 200.3 267.9 171.6 215.2L212.1 181.1c15.67-12.92 20.83-34.16 12.84-52.84l-43.61-101.8c-8.719-20.09-30.61-31.11-51.81-26.22l-94.39 21.91C14.47 27.78 0 45.9 0 67.12C0 312.4 199.6 512 444.9 512c21.24 0 39.41-14.44 44.17-35.13l21.8-94.47C515.7 361.1 504.7 339.3 484.6 330.6zM457.9 469.7C456.5 475.7 451 480 444.9 480C217.2 480 32 294.8 32 67.12c0-6.188 4.234-11.48 10.34-12.88l94.41-21.91c1-.2344 2-.3438 2.984-.3438c5.234 0 10.11 3.094 12.25 8.031l43.58 101.7C197.9 147.2 196.4 153.5 191.8 157.3l-50.5 41.38c-5.75 4.719-7.5 12.77-4.219 19.44c33.38 67.81 89.11 123.5 156.9 156.9c6.641 3.312 14.73 1.531 19.44-4.219l41.39-50.5c3.703-4.562 10.16-6.062 15.5-3.844l101.6 43.56c5.906 2.562 9.156 8.969 7.719 15.22L457.9 469.7zM304 224h128C440.8 224 448 216.8 448 208S440.8 192 432 192h-89.38l164.7-164.7c6.25-6.25 6.25-16.38 0-22.62C504.2 1.562 500.1 0 496 0s-8.188 1.562-11.31 4.688L320 169.4V80C320 71.16 312.8 64 304 64S288 71.16 288 80v128C288 216.8 295.2 224 304 224z"],
    "phone-arrow-up-right": [512, 512, ["phone-arrow-up", "phone-outgoing"], "e224", "M484.6 330.6C484.6 330.6 484.6 330.6 484.6 330.6l-101.8-43.66c-18.5-7.688-40.2-2.375-52.75 13.08l-33.14 40.47C244.2 311.8 200.3 267.9 171.6 215.2L212.1 181.1c15.67-12.92 20.83-34.16 12.84-52.84l-43.61-101.8c-8.719-20.09-30.61-31.11-51.81-26.22l-94.39 21.91C14.47 27.78 0 45.9 0 67.12C0 312.4 199.6 512 444.9 512c21.24 0 39.41-14.44 44.17-35.13l21.8-94.47C515.7 361.1 504.7 339.3 484.6 330.6zM457.9 469.7C456.5 475.7 451 480 444.9 480C217.2 480 32 294.8 32 67.12c0-6.188 4.234-11.48 10.34-12.88l94.41-21.91c1-.2344 2-.3438 2.984-.3438c5.234 0 10.11 3.094 12.25 8.031l43.58 101.7C197.9 147.2 196.4 153.5 191.8 157.3l-50.5 41.38c-5.75 4.719-7.5 12.77-4.219 19.44c33.38 67.81 89.11 123.5 156.9 156.9c6.641 3.312 14.73 1.531 19.44-4.219l41.39-50.5c3.703-4.562 10.16-6.062 15.5-3.844l101.6 43.56c5.906 2.562 9.156 8.969 7.719 15.22L457.9 469.7zM496 0h-128C359.2 0 352 7.156 352 16S359.2 32 368 32h89.38l-164.7 164.7c-6.25 6.25-6.25 16.38 0 22.62C295.8 222.4 299.9 224 304 224s8.188-1.562 11.31-4.688L480 54.63V144C480 152.8 487.2 160 496 160S512 152.8 512 144v-128C512 7.156 504.8 0 496 0z"],
    "phone-flip": [512, 512, [128381, "phone-alt"], "f879", "M1.153 382.4l21.8 94.47C27.72 497.6 45.89 512 67.12 512C312.4 512 512 312.4 512 67.12c0-21.22-14.47-39.34-35.17-44.06l-94.39-21.91c-21.2-4.891-43.09 6.125-51.81 26.22L287 129.2c-7.984 18.69-2.828 39.92 12.84 52.84l40.52 33.19c-28.7 52.73-72.56 96.59-125.3 125.3L181.9 300C169.4 284.6 147.7 279.3 129.2 286.1L27.4 330.6c-.0156 .0313 .0156 0 0 0C7.317 339.3-3.738 361.1 1.153 382.4zM32.34 375.2c-1.438-6.25 1.813-12.66 7.719-15.22l101.6-43.56c5.344-2.219 11.8-.7188 15.5 3.844l41.39 50.5c4.703 5.75 12.8 7.531 19.44 4.219c67.83-33.38 123.6-89.09 156.9-156.9c3.281-6.672 1.531-14.72-4.219-19.44L320.2 157.3c-4.578-3.781-6.109-10.03-3.75-15.55l43.58-101.7c2.141-4.938 7.016-8.031 12.25-8.031c.9844 0 1.984 .1094 2.984 .3438l94.41 21.91c6.109 1.391 10.34 6.688 10.34 12.88c0 227.7-185.2 412.9-412.9 412.9c-6.141 0-11.61-4.344-12.98-10.31L32.34 375.2z"],
    "phone-hangup": [640, 512, [], "e225", "M627 257.4C545.1 173.1 436.1 128 320 128c-116.1 0-225.2 45.97-307 129.4C-1.656 272.3-4.219 295.2 6.75 313l50.06 81.63c11.38 18.62 34.23 26.31 54.58 18.16l100.3-40.88c18.19-7.469 29.53-26.53 27.56-46.28L234.2 273.1c55.81-16.78 115.9-16.8 171.8 .0156l-5.047 51.56c-2.094 19.91 9.297 39 27.66 46.41l100.2 40.81c5.438 2.219 11.06 3.281 16.62 3.281c15.03 0 29.5-7.75 37.83-21.34L633.3 313C644.2 295.2 641.6 272.3 627 257.4zM605.1 296.3l-50.11 81.72c-3.203 5.25-9.578 7.438-15.12 5.156l-100.2-40.84c-5.156-2.062-8.469-7.719-7.859-13.53l6.312-64.47c.7187-7.359-3.688-14.25-10.66-16.67c-34.95-12.16-71.66-18.23-108.4-18.23c-36.69 0-73.38 6.062-108.3 18.22C204.8 250 200.4 256.9 201.1 264.3l6.281 64.53c.5781 5.812-2.672 11.41-7.859 13.53l-100.1 40.78c-5.609 2.312-12.08 .125-15.3-5.188L34.02 296.2c-3.25-5.25-2.5-12 1.812-16.39C111.6 202.6 212.5 160 319.1 160s208.4 42.55 284.2 119.8C608.5 284.2 609.2 290.1 605.1 296.3z"],
    "phone-intercom": [512, 512, [], "e434", "M80 32h-32C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h32C106.5 480 128 458.5 128 432v-352C128 53.5 106.5 32 80 32zM96 432C96 440.8 88.83 448 80 448h-32C39.17 448 32 440.8 32 432v-352C32 71.17 39.17 64 48 64h32C88.83 64 96 71.17 96 80V432zM272 304C245.5 304 224 325.5 224 352s21.5 48 48 48S320 378.5 320 352S298.5 304 272 304zM272 368c-8.832 0-16-7.168-16-16s7.168-16 16-16S288 343.2 288 352S280.8 368 272 368zM424 96h-176C234.8 96 224 106.8 224 120v112C224 245.2 234.8 256 248 256h176C437.2 256 448 245.2 448 232v-112C448 106.8 437.2 96 424 96zM416 224h-160V128h160V224zM448 32H224C188.6 32 160 60.64 160 96v320c0 35.36 28.64 64 64 64h224c35.36 0 64-28.64 64-64V96C512 60.64 483.4 32 448 32zM480 416c0 17.66-14.34 32-32 32H224c-17.66 0-32-14.34-32-32V96c0-17.66 14.34-32 32-32h224c17.66 0 32 14.34 32 32V416zM432 304h-64C359.2 304 352 311.2 352 320s7.168 16 16 16h64c8.832 0 16-7.168 16-16S440.8 304 432 304zM432 368h-64c-8.832 0-16 7.168-16 16s7.168 16 16 16h64c8.832 0 16-7.168 16-16S440.8 368 432 368z"],
    "phone-missed": [640, 512, [], "e226", "M626.1 353.4c-81.85-83.45-190.9-129.4-306.1-129.4c-116.1 0-225.1 45.97-306.1 129.4c-14.64 14.92-17.2 37.78-6.234 55.59l50.06 81.62c11.37 18.62 34.23 26.31 54.58 18.16l100.2-40.87c18.19-7.468 29.53-26.53 27.56-46.28l-5.031-51.67c55.81-16.78 115.9-16.8 171.8 .0156l-5.047 51.56c-2.094 19.91 9.296 38.1 27.65 46.4l100.2 40.81C534.1 510.9 539.8 512 545.3 512c15.03 0 29.5-7.75 37.83-21.34l50.09-81.68C644.2 391.1 641.6 368.3 626.1 353.4zM605.1 392.2l-50.11 81.71c-3.203 5.25-9.578 7.437-15.12 5.156l-100.2-40.84c-5.156-2.062-8.468-7.718-7.859-13.53l6.312-64.46c.7187-7.359-3.687-14.25-10.66-16.67c-34.95-12.16-71.65-18.23-108.4-18.23c-36.69 0-73.37 6.062-108.3 18.22c-6.968 2.422-11.37 9.312-10.66 16.66l6.281 64.53c.5781 5.812-2.672 11.41-7.859 13.53l-100.1 40.78c-5.609 2.312-12.08 .125-15.3-5.187l-50.09-81.68c-3.25-5.25-2.5-11.1 1.812-16.39c75.79-77.26 176.7-119.8 284.2-119.8s208.4 42.54 284.1 119.8C608.5 380.2 609.2 386.9 605.1 392.2zM112 159.1c8.843 0 15.1-7.156 15.1-15.1V54.62l98.74 98.74c24.53 24.55 58.53 38.62 93.24 38.62s68.72-14.08 93.24-38.62l110.1-110.1c6.25-6.25 6.25-16.37 0-22.62c-6.25-6.25-16.37-6.25-22.62 0l-110.1 110.1c-37.19 37.19-104.1 37.19-141.2 0L150.7 31.1h89.37c8.843 0 15.1-7.156 15.1-15.1S248.9 0 240 0H112C103.2 0 96.03 7.156 96.03 15.1v127.1C96.03 152.8 103.2 159.1 112 159.1z"],
    "phone-office": [576, 512, [], "f67d", "M352 320h-32c-17.62 0-32 14.38-32 32v32c0 17.62 14.38 32 32 32h32c17.62 0 32-14.38 32-32v-32C384 334.4 369.6 320 352 320zM352 384h-32v-32h32V384zM352 192h-32c-17.62 0-32 14.38-32 32v32c0 17.62 14.38 32 32 32h32c17.62 0 32-14.38 32-32V224C384 206.4 369.6 192 352 192zM352 256h-32V224h32V256zM480 320h-32c-17.62 0-32 14.38-32 32v32c0 17.62 14.38 32 32 32h32c17.62 0 32-14.38 32-32v-32C512 334.4 497.6 320 480 320zM480 384h-32v-32h32V384zM480 192h-32c-17.62 0-32 14.38-32 32v32c0 17.62 14.38 32 32 32h32c17.62 0 32-14.38 32-32V224C512 206.4 497.6 192 480 192zM480 256h-32V224h32V256zM512 32H237C230.5 13.38 212.9 0 192 0H128C107.1 0 89.5 13.38 83 32H64C28.62 32 0 60.62 0 96v352c0 35.38 28.62 64 64 64h448c35.38 0 64-28.62 64-64V96C576 60.62 547.4 32 512 32zM320 64h160v64h-160V64zM112 48C112 39.12 119.1 32 128 32h64c8.875 0 16 7.125 16 16V384c0 8.875-7.125 16-16 16H128c-8.875 0-16-7.125-16-16V48zM544 448c0 17.62-14.38 32-32 32H64c-17.62 0-32-14.38-32-32V96c0-17.62 14.38-32 32-32h16v320c0 26.5 21.5 48 48 48h64c26.5 0 48-21.5 48-48V64H288v64c0 17.62 14.38 32 32 32h160c17.62 0 32-14.38 32-32V64c17.62 0 32 14.38 32 32V448z"],
    "phone-plus": [512, 512, [], "f4d2", "M484.6 330.6C484.6 330.6 484.6 330.6 484.6 330.6l-101.8-43.66c-18.5-7.688-40.2-2.375-52.75 13.08l-33.14 40.47C244.2 311.8 200.3 267.9 171.6 215.2L212.1 181.1c15.67-12.92 20.83-34.16 12.84-52.84l-43.61-101.8c-8.719-20.09-30.61-31.11-51.81-26.22l-94.39 21.91C14.47 27.78 0 45.9 0 67.12C0 312.4 199.6 512 444.9 512c21.24 0 39.41-14.44 44.17-35.13l21.8-94.47C515.7 361.1 504.7 339.3 484.6 330.6zM457.9 469.7C456.5 475.7 451 480 444.9 480C217.2 480 32 294.8 32 67.12c0-6.188 4.234-11.48 10.34-12.88l94.41-21.91c1-.2344 2-.3438 2.984-.3438c5.234 0 10.11 3.094 12.25 8.031l43.58 101.7C197.9 147.2 196.4 153.5 191.8 157.3l-50.5 41.38c-5.75 4.719-7.5 12.77-4.219 19.44c33.38 67.81 89.11 123.5 156.9 156.9c6.641 3.312 14.73 1.531 19.44-4.219l41.39-50.5c3.703-4.562 10.16-6.062 15.5-3.844l101.6 43.56c5.906 2.562 9.156 8.969 7.719 15.22L457.9 469.7zM336 112h64v64C400 184.8 407.2 192 416 192s16-7.156 16-16v-64h64C504.8 112 512 104.8 512 96s-7.156-16-16-16h-64v-64C432 7.156 424.8 0 416 0s-16 7.156-16 16v64h-64C327.2 80 320 87.16 320 96S327.2 112 336 112z"],
    "phone-rotary": [512, 512, [9742], "f8d3", "M256 240c-44.13 0-80 35.88-80 80s35.88 80 80 80s80-35.88 80-80S300.1 240 256 240zM256 368c-26.5 0-48-21.5-48-48S229.5 272 256 272s48 21.5 48 48S282.5 368 256 368zM500.2 118.3C431.7 63.25 344.8 32 256 32S80.25 63.25 11.75 118.3c-7.5 6.125-11.88 15.38-11.75 25V208c0 8.836 7.162 16 16 16H80C88.84 224 96 216.8 96 208C96 199.2 88.84 192 80 192H32L31.75 143.1C95.38 92.13 174.5 64.25 256 64c81.5 .125 160.5 28.12 223.1 79.25V192H432C423.2 192 416 199.2 416 208C416 216.8 423.2 224 432 224h63.1c8.836 0 16-7.164 16-16V143.3C512.1 133.6 507.7 124.4 500.2 118.3zM370.4 192.2c-10.53-18.42-29.57-29.9-50.5-31.57C319.9 160.4 320 160.2 320 160V128c0-8.838-7.164-16-16-16s-16 7.162-16 16v32h-64V128c0-8.838-7.164-16-16-16s-16 7.162-16 16v32c0 .2383 .127 .4375 .1367 .6738c-20.95 1.693-39.98 13.14-50.51 31.58l-101.2 177.1c-5.527 9.672-8.434 20.62-8.434 31.76V416c0 35.2 28.8 64 64 64h319.1c35.2 0 64-28.8 64-64v-14.94c0-11.14-2.908-22.08-8.436-31.76L370.4 192.2zM447.1 416c0 17.67-14.33 32-32 32H96c-17.67 0-32-14.33-32-32v-15c0-5.568 1.453-11.04 4.217-15.88l101.2-176.1C175.1 198.2 185.7 192 197.2 192h117.7c11.46 0 22.04 6.141 27.73 16.09l101.2 177c2.764 4.834 4.219 10.31 4.219 15.88V416z"],
    "phone-slash": [640, 512, [], "f3dd", "M131.1 480c-6.143 0-11.61-4.344-12.99-10.31l-21.8-94.47c-1.438-6.25 1.812-12.66 7.719-15.22l101.6-43.56c5.344-2.219 11.8-.7187 15.5 3.844l41.39 50.5c4.703 5.75 12.8 7.531 19.44 4.219c17.02-8.375 33.27-18.16 48.61-29.19l-26.81-21.18c-8.117 5.473-16.08 11.18-24.7 15.87L245.9 300C233.4 284.6 211.7 279.3 193.2 286.1l-101.8 43.66c-.0156 .0313 .0156 0 0 0c-20.08 8.688-31.13 30.48-26.24 51.8l21.8 94.47C91.71 497.6 109.9 512 131.1 512c106.9 0 205.1-37.96 281.9-101l-25.95-20.49C316.7 446.3 227.8 480 131.1 480zM404.4 215.2c-3.25 5.971-7.363 11.38-10.99 17.11l25.65 20.26c7.203-11.13 14-22.53 19.88-34.46c3.281-6.672 1.531-14.72-4.219-19.44l-50.5-41.38c-4.578-3.781-6.109-10.03-3.75-15.55l43.58-101.7c2.141-4.938 7.018-8.031 12.25-8.031c.9844 0 1.984 .1094 2.984 .3438l94.41 21.91C539.8 55.64 544 60.94 544 67.12c0 84.72-25.72 163.5-69.66 229.1l25.22 19.92C547.8 245 576 159.3 576 67.12c0-21.22-14.47-39.34-35.17-44.06l-94.39-21.91c-21.21-4.891-43.1 6.125-51.81 26.22l-43.61 101.8c-7.984 18.69-2.828 39.92 12.84 52.84L404.4 215.2zM638 488.3c-1.002-1.828-2.377-3.484-4.111-4.855L25.9 3.234C23.25 1.148 20.09 .3242 16.95 .1328C16.36 .1016 15.78-.0234 15.19 .0039C13.7 .0859 12.27 .4883 10.85 .9727C10.17 1.207 9.457 1.297 8.811 1.621C6.801 2.633 4.928 4.004 3.436 5.875C2.068 7.613 1.117 9.547 .5684 11.55C.0195 13.55-.1289 15.63 .1113 17.67s.8691 4.027 1.869 5.852c1.002 1.824 2.377 3.48 4.111 4.852l608 480.2C617 510.9 620.5 512 624 512c4.719 0 9.406-2.094 12.56-6.078c2.734-3.473 3.805-7.727 3.324-11.79C639.6 492.1 639 490.1 638 488.3z"],
    "phone-volume": [512, 512, ["volume-control-phone"], "f2a0", "M156.3 195.6c16.84 1.703 33.28-8.139 39.59-23.98L227.6 92.33c6.779-17.39 .25-37.12-15.5-46.89L148.9 5.951c-15.28-9.609-34.87-7.422-47.71 5.391C35.93 76.59 0 163.5 0 255.1c0 92.52 35.93 179.4 101.2 244.6C108.7 508.1 118.5 512 128.4 512c7.031 0 14.12-1.938 20.44-5.938l63.24-39.53c15.81-9.875 22.28-29.59 15.38-46.96L195.9 340.6c-6.312-16-22.75-25.97-39.62-24.06L119.3 320.2c-11.78-41.79-11.78-86.49 0-128.3L156.3 195.6zM92.77 342.5c2.438 7.061 9.467 11.75 16.75 10.75l50.06-4.969c2.375-.375 5.498 1.375 6.592 4.062l31.59 79.02c1.156 2.906 .0313 6.344-2.594 8l-63.31 39.56c-2.562 1.562-5.844 1.281-8.062-.9687C64.59 418.8 31.1 339.1 31.1 255.1c0-83.98 32.59-162.8 91.8-222c1.281-1.297 2.938-1.969 4.594-1.969c1.188 0 2.375 .3438 3.5 1.031l63.28 39.56c2.688 1.672 3.781 5.094 2.656 8L166.2 159.7c-1 2.453-3.404 4.047-6.029 4.047C159.9 163.8 159.5 163.7 159.5 163.7L109.5 158.8c-7.75-.6094-14.31 3.719-16.75 10.75C73.74 225.3 73.74 286.8 92.77 342.5zM401.7 35.2c-7.094-5.25-17.12-3.875-22.41 3.188c-5.312 7.062-3.906 17.09 3.156 22.41C444.4 107.4 480 178.5 480 256c0 77.47-35.56 148.6-97.59 195.2c-7.062 5.312-8.469 15.34-3.156 22.41C382.4 477.8 387.2 480 392 480c3.344 0 6.719-1.031 9.625-3.219C471.8 424.1 512 343.6 512 255.1C512 168.4 471.8 87.91 401.7 35.2zM333.2 98.81c-7.312-5-17.25-3.141-22.25 4.125c-5 7.297-3.156 17.25 4.125 22.25C358.2 154.8 384 203.7 384 256c0 52.25-25.78 101.2-68.94 130.8c-7.281 5-9.125 14.97-4.125 22.25C314 413.6 319 416 324.1 416c3.125 0 6.281-.9062 9.062-2.812C385 377.6 416 318.8 416 255.1C416 193.2 385 134.4 333.2 98.81zM272.1 177.8c-7.875-3.953-17.47-.9219-21.53 6.969c-4.031 7.859-.9062 17.5 6.969 21.53C276.3 215.9 288 234.9 288 256c0 21.09-11.69 40.16-30.47 49.75c-7.875 4.031-11 13.66-6.969 21.53C253.4 332.8 259 336 264.8 336c2.469 0 4.938-.5625 7.281-1.75c29.56-15.09 47.91-45.07 47.91-78.26C319.1 222.8 301.7 192.9 272.1 177.8z"],
    "phone-xmark": [512, 512, [], "e227", "M484.6 330.6C484.6 330.6 484.6 330.6 484.6 330.6l-101.8-43.66c-18.5-7.688-40.2-2.375-52.75 13.08l-33.14 40.47C244.2 311.8 200.3 267.9 171.6 215.2L212.1 181.1c15.67-12.92 20.83-34.16 12.84-52.84l-43.61-101.8c-8.719-20.09-30.61-31.11-51.81-26.22l-94.39 21.91C14.47 27.78 0 45.9 0 67.12C0 312.4 199.6 512 444.9 512c21.24 0 39.41-14.44 44.17-35.13l21.8-94.47C515.7 361.1 504.7 339.3 484.6 330.6zM457.9 469.7C456.5 475.7 451 480 444.9 480C217.2 480 32 294.8 32 67.12c0-6.188 4.234-11.48 10.34-12.88l94.41-21.91c1-.2344 2-.3438 2.984-.3438c5.234 0 10.11 3.094 12.25 8.031l43.58 101.7C197.9 147.2 196.4 153.5 191.8 157.3l-50.5 41.38c-5.75 4.719-7.5 12.77-4.219 19.44c33.38 67.81 89.11 123.5 156.9 156.9c6.641 3.312 14.73 1.531 19.44-4.219l41.39-50.5c3.703-4.562 10.16-6.062 15.5-3.844l101.6 43.56c5.906 2.562 9.156 8.969 7.719 15.22L457.9 469.7zM348.1 50.75L393.4 96l-45.25 45.25c-6.253 6.253-6.253 16.37 0 22.63c6.253 6.253 16.37 6.253 22.63 0L416 118.6l45.25 45.25c6.253 6.253 16.37 6.253 22.63 0s6.253-16.37 0-22.63L438.6 96l45.25-45.25c6.253-6.253 6.253-16.37 0-22.63s-16.37-6.253-22.63 0L416 73.37l-45.25-45.25c-6.253-6.253-16.37-6.253-22.63 0C341.9 34.37 341.9 44.49 348.1 50.75z"],
    "photo-film": [640, 512, ["photo-video"], "f87c", "M288 120C301.3 120 312 109.3 312 96s-10.74-24-24-24C274.7 72 264 82.75 264 96S274.7 120 288 120zM576 0H256C220.7 0 192 28.65 192 64v224c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V64C640 28.65 611.3 0 576 0zM608 288c0 17.64-14.36 32-32 32H256c-17.64 0-32-14.36-32-32V64c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V288zM474.6 107.9c-11.28-15.81-38.5-15.94-49.1-.0313l-44.03 61.43l-6.969-8.941c-11.44-14.46-36.97-14.56-48.4 .0313L262.2 240.8C255 249.9 254 262.3 259.5 272.3C264.8 281.1 275.1 288 286.4 288h259.2c11 0 21.17-5.805 26.54-15.09c0-.0313-.0313 .0313 0 0c5.656-9.883 5.078-21.84-1.578-31.15L474.6 107.9zM290.2 255.9l58.25-75.61l20.09 25.66c4.348 5.545 17.6 10.65 25.59-.5332l54.44-78.75l92.68 129.2H290.2zM496 384c-8.836 0-16 7.162-16 16V448c0 17.67-14.33 32-32 32h-32v-80c0-8.838-7.164-16-16-16S384 391.2 384 400V480H128V192h16C152.8 192 160 184.8 160 176C160 167.2 152.8 160 144 160H64C28.65 160 0 188.7 0 224v224c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64v-48C512 391.2 504.8 384 496 384zM96 480H64c-17.64 0-32-14.36-32-32v-32h64V480zM96 384H32V288h64V384zM96 256H32V224c0-17.64 14.36-32 32-32h32V256z"],
    "photo-film-music": [640, 512, [], "e228", "M620.1 169.1c-12.67-9.125-28.41-11.53-43.27-6.594l-128 42.66C429.2 211.7 416 230 416 250.7v157.1C406.6 402.1 395.7 400 384 400c-35.35 0-64 25.07-64 56S348.7 512 384 512s64-25.07 64-56v-117.2l160-53.33v58.28C598.6 338.1 587.7 336 576 336c-35.35 0-64 25.07-64 56S540.7 448 576 448s64-25.07 64-56V208C640 192.4 632.7 178.2 620.1 169.1zM384 480c-17.35 0-32-10.99-32-24s14.65-24 32-24s32 10.99 32 24S401.3 480 384 480zM576 416c-17.35 0-32-10.99-32-24s14.65-24 32-24s32 10.99 32 24S593.3 416 576 416zM608 251.8l-160 53.33V250.7c0-6.891 4.391-13 10.94-15.19l128-42.64c4.938-1.688 10.19-.8438 14.42 2.188C605.6 198.1 608 202.8 608 208V251.8zM336.5 205.9c4.348 5.545 17.6 10.65 25.59-.5332l54.44-78.75l25.27 35.24c4.087 5.698 11.41 8.071 18.06 5.854c10.22-3.407 14.29-15.76 8.007-24.52l-25.31-35.3c-11.28-15.81-38.5-15.94-49.1-.0313l-44.03 61.43l-6.969-8.941c-12.25-15.72-36.02-15.76-48.32-.0759l-63.11 80.46C223 249.9 222 262.3 227.5 272.3C232.8 281.1 243.1 288 254.4 288h113.6C376.8 288 384 280.8 384 272s-7.163-16.03-16-16.03L258.2 255.9l58.25-75.61L336.5 205.9zM224 352h144C376.8 352 384 344.8 384 336S376.8 320 368 320H224c-17.67 0-32-14.33-32-32V64c0-17.67 14.33-32 32-32h320c17.67 0 32 14.33 32 32v48C576 120.8 583.2 128 592 128S608 120.8 608 112V64c0-35.35-28.65-64-64-64H224C188.7 0 160 28.65 160 64v224C160 323.3 188.7 352 224 352zM280 96c0-13.25-10.74-24-24-24C242.7 72 232 82.75 232 96S242.7 120 256 120C269.3 120 280 109.3 280 96zM128 96H64C28.65 96 0 124.7 0 160v224c0 35.35 28.65 64 64 64h208C280.8 448 288 440.8 288 432S280.8 416 272 416H128V96zM96 416H64c-17.64 0-32-14.36-32-32v-32h64V416zM96 320H32V224h64V320zM96 192H32V160c0-17.64 14.36-32 32-32h32V192z"],
    "pi": [448, 512, [], "f67e", "M441.1 372.5c7.281 5 9.109 14.97 4.094 22.25l-19.48 28.25C414.8 438.7 397 448 377.1 448C345.1 448 320 422 320 390V96H160v173c0 36.13-9.469 71.81-27.41 103.2L93.89 439.9C90.94 445.1 85.55 448 79.98 448c-2.688 0-5.422-.6875-7.922-2.094C64.39 441.5 61.72 431.7 66.11 424.1l38.7-67.72C119.1 329.8 128 299.6 128 269V96H16C7.164 96 0 88.84 0 80C0 71.16 7.164 64 16 64h416C440.8 64 448 71.16 448 80C448 88.84 440.8 96 432 96H352v294C352 404.3 363.7 416 377.1 416c8.531 0 16.53-4.188 21.39-11.22l19.47-28.25C423.9 369.3 433.8 367.4 441.1 372.5z"],
    "piano": [512, 512, [], "f8d4", "M476.6 270.2l-58.72-29.23c-21.67-10.79-33.71-33.32-33.85-57.52C383.4 82.07 301 0 199.5 0h-15C82.6 0 0 82.6 0 184.5V448c0 35.2 28.8 64 64 64h384c35.2 0 64-28.8 64-64v-120.5C512 303.2 498.3 281 476.6 270.2zM448 480H64c-17.67 0-32-14.33-32-32v-64h48v32c0 8.8 7.2 16 15.1 16C104.8 432 112 424.8 112 416v-32h32v32c0 8.8 7.2 16 15.1 16C168.8 432 176 424.8 176 416v-32h32v32c0 8.8 7.2 16 16 16s16-7.2 16-16v-32h96v32c0 8.8 7.2 16 16 16s16-7.2 16-16v-32h32v32c0 8.8 7.2 16 16 16s16-7.2 16-16v-32H480v64C480 465.7 465.7 480 448 480zM480 352H32V184.5C32 100.4 100.4 32 184.5 32h15C283.6 32 352 100.4 352 184.5c-.125 36.38 20.5 69.62 53.13 85.75l57.13 28.63C473.1 304.4 480 315.4 480 327.5V352z"],
    "piano-keyboard": [576, 512, [127929], "f8d5", "M512 64H64C28.8 64 0 92.8 0 128v256c0 35.2 28.8 64 64 64h448c35.2 0 64-28.8 64-64V128C576 92.8 547.2 64 512 64zM128 416H64c-17.67 0-32-14.33-32-32V224h64v96c0 8.875 7.125 16 16 16H128V416zM272 416H160v-80h16C184.9 336 192 328.9 192 320V224h48v96c0 8.875 7.125 16 16 16h16V416zM128 304V224h32v80H128zM416 416h-112v-80H320c8.875 0 16-7.125 16-16V224H384v96c0 8.875 7.125 16 16 16H416V416zM272 304V224h32v80H272zM544 384c0 17.67-14.33 32-32 32h-64v-80h16c8.875 0 16-7.125 16-16V224h64V384zM416 304V224h32v80H416zM544 192H32V128c0-17.67 14.33-32 32-32h448c17.67 0 32 14.33 32 32V192z"],
    "pickleball": [576, 512, [], "e435", "M363.6 50.68C338.5 25.72 297.1 25.72 272.9 50.68L140.1 182.3L283.5 324.3C278.9 335.6 275.6 347.5 273.8 359.9L118.3 204.9L115.1 208.1C101.3 221.8 97.21 242.5 104.7 260.4L129.6 320.2C139.6 344.1 134.1 371.7 115.8 389.1L52.74 452.8C46.48 459 46.48 469.1 52.73 475.4C58.99 481.6 69.15 481.6 75.41 475.4L138.7 412.3C156.1 394.1 184.4 388.6 208.3 398.4L266.8 422.4C270.3 423.8 273.8 424.8 277.3 425.4C280.4 436.7 284.6 447.6 289.9 457.8C278.1 458.5 266.1 456.6 254.7 451.1L196.1 427.1C184.2 423.1 170.5 425.8 161.3 434.9L98.06 497.1C79.28 516.7 48.84 516.7 30.07 497.1C11.3 479.2 11.31 448.9 30.09 430.2L93.11 367.4C102.3 358.2 105 344.5 100 332.5L75.1 272.7C62.64 242.8 69.48 208.4 92.42 185.5L250.3 28.08C287.8-9.36 348.7-9.36 386.2 28.08L499.8 141.3C529.2 170.7 535.6 214.2 518.9 249.7C509.1 243.9 500.4 239 490.4 235.1C500.8 211.6 496.4 183.2 477.1 163.9L363.6 50.68zM383.9 368.1C383.9 376.9 376.8 384.1 367.9 384.1C359.1 384.1 351.9 376.9 351.9 368.1C351.9 359.2 359.1 352.1 367.9 352.1C376.8 352.1 383.9 359.2 383.9 368.1zM399.9 448.1C399.9 439.2 407.1 432.1 415.9 432.1C424.8 432.1 431.9 439.2 431.9 448.1C431.9 456.9 424.8 464.1 415.9 464.1C407.1 464.1 399.9 456.9 399.9 448.1zM447.9 384.1C447.9 392.9 440.8 400.1 431.9 400.1C423.1 400.1 415.9 392.9 415.9 384.1C415.9 375.2 423.1 368.1 431.9 368.1C440.8 368.1 447.9 375.2 447.9 384.1zM479.9 400.1C479.9 391.2 487.1 384.1 495.9 384.1C504.8 384.1 511.9 391.2 511.9 400.1C511.9 408.9 504.8 416.1 495.9 416.1C487.1 416.1 479.9 408.9 479.9 400.1zM463.9 320.1C463.9 328.9 456.8 336.1 447.9 336.1C439.1 336.1 431.9 328.9 431.9 320.1C431.9 311.2 439.1 304.1 447.9 304.1C456.8 304.1 463.9 311.2 463.9 320.1zM303.9 384.1C303.9 313.4 361.3 256.1 431.9 256.1C502.6 256.1 559.9 313.4 559.9 384.1C559.9 454.7 502.6 512.1 431.9 512.1C361.3 512.1 303.9 454.7 303.9 384.1V384.1zM431.9 480.1C484.1 480.1 527.9 437.1 527.9 384.1C527.9 331 484.1 288.1 431.9 288.1C378.9 288.1 335.9 331 335.9 384.1C335.9 437.1 378.9 480.1 431.9 480.1z"],
    "pie": [576, 512, [129383], "f705", "M527.2 202.2C487.9 109.6 393 48 288 48c-105.1 0-200 61.55-239.2 154.2C21.53 204.2 0 226.2 0 253C0 281.1 23.75 304 52.94 304c36.97 0 58.94-15.62 70.81-24.08C131.4 274.4 131.1 274.2 139.3 280.1C151 288.5 172.9 304 209.8 304c36.88 0 58.84-15.59 70.88-24.12c7.551-5.402 6.971-5.812 15.53 .4531C308.8 289.2 329.8 304 366.5 304c36.88 0 58.81-15.55 70.94-24.14c8.211-5.988 7.902-5.01 14.94 .0625C464.1 288.3 485.8 304 523.1 304C552.3 304 576 281.1 576 253C576 226.2 554.5 204.2 527.2 202.2zM523.1 272c-26.94 0-42-10.86-52.03-18.08C462.4 247.7 457.2 244 444.9 244c-12.62 0-17.78 3.766-26.31 10C408.5 261.2 393.2 272 366.5 272c-26.53 0-41.16-10.3-51.59-17.67C305.3 247.4 300.2 244 288.3 244c-12.06 0-17.34 3.438-26.25 9.938C251.8 261.1 236.5 272 209.8 272c-26.72 0-41.94-10.81-52.19-18.09C149 247.7 143.8 244 131.5 244c-12.56 0-17.78 3.75-26.34 9.906C95 261.1 79.69 272 52.94 272C41.41 272 32 263.5 32 253S41.41 234 52.94 234c9.805 0 18.65-2.113 22.12-11.39C107.1 137.3 192.7 80 288 80c95.19 0 180.8 57.3 212.9 142.6C504.4 231.8 513.3 234 523.1 234C534.6 234 544 242.5 544 253S534.6 272 523.1 272zM501.1 320.8c-1.652-.5352-3.305-.7969-4.975-.7969c-6.891 0-12.99 4.379-15.18 10.9l-22.17 75c-1.943 5.947-7.645 10.09-14.12 10.09H131.5c-6.486 0-12.25-4.189-14.34-10.42l-21.99-74.39C92.9 324.4 86.82 320 79.95 320c-1.676 0-3.34 .2617-4.947 .7773c-4.129 1.377-7.408 4.227-9.314 8.057c-1.908 3.826-2.213 8.17-.8594 12.23l21.99 74.41C93.36 435 111.3 448 131.5 448h313.1c20.32 0 38.2-12.1 44.48-32.34l22.14-74.86c1.271-3.795 .9668-8.139-.9414-11.96C508.4 325 505.1 322.2 501.1 320.8zM288 128C279.2 128 272 135.2 272 144v32C272 184.8 279.2 192 288 192s16-7.156 16-16v-32C304 135.2 296.8 128 288 128zM199.1 129.7c-7.906-3.875-17.47-.6953-21.44 7.211l-16 32c-3.938 7.906-.7656 17.49 7.141 21.45C171.2 191.5 173.6 192 176 192c5.844 0 11.45-3.258 14.27-8.867l16-32C210.2 143.2 207 133.6 199.1 129.7zM398.3 136.9c-3.969-7.906-13.5-11.05-21.44-7.148c-7.906 3.953-11.06 13.51-7.125 21.41l16 32C388.5 188.7 394.2 192 400 192c2.406 0 4.828-.5781 7.141-1.719c7.906-3.953 11.09-13.51 7.156-21.41L398.3 136.9z"],
    "pig": [640, 512, [128022], "f706", "M448 236C448 224.1 456.1 216 468 216C479 216 488 224.1 488 236C488 247 479 256 468 256C456.1 256 448 247 448 236zM528 75.82V80H569.3C590.6 80 608 97.35 608 118.7C608 147.7 592.2 173.1 567.1 187.7C571.3 192.3 576.1 196.5 581.3 200H600C622.1 200 640 217.9 640 240V320C640 342.1 622.1 360 600 360H560.2L560.1 360L560 360.1C559.8 360.2 559.5 360.4 559.3 360.8C542.7 382.1 519.9 399.6 493.1 408.5L476 458.8C471.5 471.5 459.4 480 445.9 480H400C382.3 480 368 465.7 368 448V416H287.1V448C287.1 465.7 273.7 480 255.1 480H210.1C196.6 480 184.5 471.5 179.1 458.8L152.2 380.8C109.1 355.1 80 309.4 80 256V240H47.45C21.24 240 0 218.8 0 192.6C0 170.8 14.82 151.8 35.94 146.5L44.12 144.5C52.69 142.3 61.38 147.5 63.52 156.1C65.67 164.7 60.45 173.4 51.88 175.5L43.7 177.6C36.82 179.3 32 185.5 32 192.6C32 201.1 38.92 208 47.45 208H83.2C98.03 134.1 162.6 80 240 80H375.5C385.5 66.43 399.7 55.98 416.6 50.77L471.3 33.94C475.5 32.65 479.8 32 484.2 32C508.4 32 528 51.62 528 75.82H528zM525.1 112C523.4 118.4 520.9 124.5 517.8 130.2C528.8 139.5 538.1 149.9 547.1 161.5C564.1 154.1 576 137.3 576 118.7C576 115 572.1 112 569.3 112H525.1zM426 81.36C413.9 85.09 404.1 93.3 398.1 103.9L393.5 112.2L383.9 112C382.8 112 381.6 112 380.5 112H239.1C169.3 112 111.1 169.3 111.1 240V256C111.1 299.3 136.5 336.9 172.5 355.5L178.1 358.4L210.1 448H255.1V384H400V448H445.9L469.3 382.4L477.3 380.2C499.8 373.1 519.6 360.4 533.6 341.7C539.5 333.7 549 328 560.2 328H600C604.4 328 608 324.4 608 320V240C608 235.6 604.4 232 600 232H581.1C575.4 232 569.4 230.5 563.1 226.9C551.5 218.6 540.8 207.8 532.7 195.1C520.3 175.9 504.8 159.6 486.9 146.6L473.1 136.5L483.1 123.4C491.5 114.3 496 102.6 496 90.14V75.82C496 69.29 490.7 63.1 484.2 63.1C483 63.1 481.8 64.18 480.7 64.52L426 81.36z"],
    "piggy-bank": [576, 512, [], "f4d3", "M174.7 111.8C165.1 110.3 160.1 102.1 161.5 93.35C170.4 40.37 216.5 0 272 0C320.8 0 362.3 31.19 377.6 74.67C380.6 82.1 376.2 92.14 367.9 95.09C359.5 98.03 350.4 93.66 347.5 85.33C336.5 54.24 306.8 32 272 32C232.4 32 199.5 60.82 193.1 98.65C191.6 107.4 183.4 113.2 174.7 111.8V111.8zM400 264C400 250.7 410.7 240 424 240C437.3 240 448 250.7 448 264C448 277.3 437.3 288 424 288C410.7 288 400 277.3 400 264zM488.5 125.8L480 159.1C501.1 176.5 519.6 198.5 530.7 224H544C561.7 224 576 238.3 576 256V352C576 369.7 561.7 384 544 384H512C495.5 405.1 473.5 423.6 448 434.7V464C448 490.5 426.5 512 400 512H368C341.5 512 320 490.5 320 464V448H256V464C256 490.5 234.5 512 208 512H176C149.5 512 128 490.5 128 464V416C89.14 386.8 64 340.3 64 288C28.52 287.2 0 258.2 0 222.6C0 197.8 14 175.1 36.18 164L40.84 161.7C48.75 157.7 58.36 160.9 62.31 168.8C66.26 176.7 63.06 186.4 55.16 190.3L50.49 192.6C39.16 198.3 31.1 209.9 31.1 222.6C31.1 241 46.97 256 65.44 256H67.2C82.02 182.1 146.6 128 223.1 128H376.4C394 108.4 419.6 96 448 96H465.3C480.9 96 492.3 110.7 488.5 125.8H488.5zM224 160C153.3 160 96 217.3 96 288C96 329.9 116.1 367 147.2 390.4L160 400V464C160 472.8 167.2 480 176 480H208C216.8 480 224 472.8 224 464V416H352V464C352 472.8 359.2 480 368 480H400C408.8 480 416 472.8 416 464V413.7L435.2 405.4C455.6 396.5 473.2 382.4 486.4 364.8L496 352H544V256H509.7L501.4 236.8C492.5 216.4 478.4 198.8 460.8 185.6L443.8 172.8L455 128H448C429 128 412.1 136.2 400.3 149.3L390.7 160H224z"],
    "pills": [576, 512, [], "f484", "M112 32C50.25 32 0 82.25 0 143.1v223.1c0 61.75 50.25 111.1 112 111.1s112-50.25 112-111.1V143.1C224 82.25 173.8 32 112 32zM192 368C192 412.1 156.1 448 112 448S32 412.1 32 368V288h160V368zM192 256H32V144C32 99.88 67.88 64 112 64S192 99.88 192 144V256zM416 160c-88.38 0-160 71.62-160 160s71.63 160 160 160s160-71.63 160-160S504.4 160 416 160zM416 448c-70.75 0-128-57.25-128-128c0-29.62 10.38-56.38 27.25-78.12l178.1 178.9C472.4 437.6 445.6 448 416 448zM516.8 398.1L337.9 219.2C359.6 202.5 386.4 192 416 192c70.75 0 128 57.25 128 128C544 349.6 533.6 376.4 516.8 398.1z"],
    "pinata": [512, 512, [], "e3c3", "M432 240H256v-224C256 7.162 248.8 0 240 0S224 7.162 224 16V64H71.78C32.19 64 0 96.19 0 135.8c0 30.97 19.72 58.31 49.09 68.13L96 219.5V472C96 494.1 113.9 512 136 512h64c22.06 0 40-17.94 40-40c0-35.28 28.72-64 64-64s64 28.72 64 64c0 22.06 17.94 40 40 40h64c22.06 0 40-17.94 40-40V320C512 275.9 476.1 240 432 240zM232.8 270.3c.1426 .0703 .2969 .0371 .4395 .1035C235.3 271.4 237.6 272 240 272h192c22.85 0 41.94 16.07 46.76 37.49l-7.604-3.801c-4.5-2.25-9.812-2.25-14.31 0L432 318.1l-24.84-12.44c-4.5-2.25-9.812-2.25-14.31 0L368 318.1l-24.84-12.44c-4.5-2.25-9.812-2.25-14.31 0L304 318.1l-24.84-12.44c-4.5-2.25-9.812-2.25-14.31 0L240 318.1L215.2 305.7c-4.5-2.25-9.812-2.25-14.31 0L176 318.1L151.2 305.7c-4.5-2.25-9.812-2.25-14.31 0L128 310.1v-44.22l16-8.01l24.84 12.44c4.5 2.25 9.812 2.25 14.31 0L208 257.9L232.8 270.3zM117.1 192.8L59.22 173.5C42.94 168.1 32 152.9 32 135.8C32 113.8 49.84 96 71.78 96H224v134.1L215.2 225.7c-4.5-2.25-9.812-2.25-14.31 0L176 238.1L151.2 225.7c-4.5-2.25-9.812-2.25-14.31 0L128 230.1V208C128 201.1 123.6 195 117.1 192.8zM208 472C208 476.4 204.4 480 200 480h-64C131.6 480 128 476.4 128 472v-46.12l16-8.01l24.84 12.44c4.5 2.25 9.812 2.25 14.31 0L208 417.9l13.11 6.564C213 438.5 208 454.6 208 472zM480 472c0 4.406-3.594 8-8 8h-64c-4.406 0-8-3.594-8-8c0-17.38-5-33.48-13.11-47.56L400 417.9l24.84 12.44c4.5 2.25 9.812 2.25 14.31 0L464 417.9l16 8.01V472zM480 390.1l-8.844-4.422c-4.5-2.25-9.812-2.25-14.31 0L432 398.1l-24.84-12.44c-4.5-2.25-9.812-2.25-14.31 0l-27 13.5C349.1 384.9 327.7 376 304 376s-45.09 8.934-61.84 23.19l-27-13.5c-4.5-2.25-9.812-2.25-14.31 0L176 398.1l-24.84-12.44c-4.5-2.25-9.812-2.25-14.31 0L128 390.1v-44.22l16-8.01l24.84 12.44c4.5 2.25 9.812 2.25 14.31 0L208 337.9l24.84 12.44c4.5 2.25 9.812 2.25 14.31 0L272 337.9l24.84 12.44c4.5 2.25 9.812 2.25 14.31 0L336 337.9l24.84 12.44c4.5 2.25 9.812 2.25 14.31 0L400 337.9l24.84 12.44c4.5 2.25 9.812 2.25 14.31 0L464 337.9l16 8.01V390.1zM176 168c13.25 0 24-10.75 24-24c0-13.26-10.75-24-24-24S152 130.7 152 144C152 157.3 162.7 168 176 168z"],
    "pinball": [448, 512, [], "e229", "M145.4 211.6C137.5 205.3 128.1 200 118.1 196.6c-9.295-3.139-18.73-4.632-28.01-4.632c-37.92 0-73.19 24.92-85.62 64.17c-15.46 48.85 10.35 101.4 57.64 117.4l310.3 104.8c3.35 1.123 6.824 1.677 10.29 1.677c9.92 0 19.75-4.542 26.3-13.24c11.27-14.98 8.65-36.56-5.85-48.2L145.4 211.6zM382.7 448l-310.3-104.8C41.54 332.8 24.78 298.1 34.99 265.8C42.91 240.8 65.06 223.1 90.1 223.1c5.996 0 11.98 .9922 17.77 2.949c6.168 2.084 12.25 5.436 17.5 9.615l257.7 206.9C384.1 444.3 384.4 446.3 382.7 448zM96.17 263.8c-13.25 0-23.1 10.74-23.1 23.1c0 13.26 10.74 24 23.1 24c13.26 0 24-10.74 24-24C120.2 274.6 109.4 263.8 96.17 263.8zM352 32c-53.02 0-96 42.98-96 96s42.98 96 96 96s96-42.98 96-96S405 32 352 32zM352 192c-35.29 0-64-28.71-64-64s28.71-64 64-64s64 28.71 64 64S387.3 192 352 192z"],
    "pineapple": [512, 512, [], "e31f", "M346.8 122.1C318.8 94.04 281.1 80 245.2 80c-36.8 0-73.58 14.03-101.7 42.11L42.11 223.5c-56.14 56.14-56.14 147.2 0 203.3l43.06 43.06C113.2 497.1 150 512 186.8 512s73.59-14.04 101.7-42.11l101.4-101.4c56.14-56.14 56.14-147.2-.002-203.3L346.8 122.1zM367.3 345.9l-101.4 101.4C244.8 468.4 216.7 480 186.8 480s-57.92-11.63-79.03-32.74l-43.06-43.06c-43.58-43.58-43.58-114.5 0-158.1l101.4-101.4C187.3 123.6 215.3 112 245.2 112s57.92 11.62 79.03 32.73l43.06 43.06C388.4 208.9 400 236.1 400 266.8S388.4 324.7 367.3 345.9zM494.9 76.58l-2.188-.7031c3.5-8.125 5.344-16.91 5.344-25.95V39.94c0-14.31-11.66-25.97-25.97-25.97h-9.969c-8.594 0-17 1.688-24.81 4.906l-.4687-1.469c-2-6.375-6.531-11.75-12.38-14.75c-5.688-2.922-12.12-3.531-18.22-1.484C394.3 5.062 383.9 12 375.6 21.33l-1.969-1.984c-9.438-9.469-24.72-9.703-34.16-.375c-11.59 11.59-18.66 27.16-19.94 43.83c-.6562 8.812 5.969 16.5 14.78 17.16c8.719 .5 16.44-5.922 17.16-14.75c.4687-6.328 2.375-12.17 5.531-17.23l9.875 9.875c3.719 3.703 9.031 5.438 14.16 4.438c5.156-.9375 9.531-4.328 11.72-9.109c3.594-7.891 9.156-14.17 16-18.25L413 48.22c1.656 5.219 5.875 9.234 11.16 10.64s10.94-.0156 14.97-3.734c6.375-5.906 14.53-9.156 22.97-9.156h3.938v3.953c0 8.781-3.406 17.14-9.594 23.53c-3.812 3.953-5.344 9.609-4.031 14.95c1.312 5.359 5.312 9.656 10.53 11.38l14.44 4.734c-3.844 7-9.844 12.7-17.38 16.45c-4.625 2.297-7.844 6.672-8.656 11.77c-.8438 5.078 .8438 10.25 4.469 13.89l8.406 8.359c-5.125 3.203-11 5.094-17.34 5.547c-8.812 .625-15.47 8.266-14.84 17.09c.5938 8.422 7.625 14.86 15.94 14.86c.4062 0 .7813-.0156 1.156-.0469c16.75-1.188 32.41-8.25 44.16-19.95c9.25-9.312 9.094-24.61-.4062-34.11l-1-.9844c8.781-8.234 15.31-18.53 19-30.22C514.9 94.52 507.7 80.8 494.9 76.58zM171.3 300.7c-6.25-6.25-16.38-6.25-22.62 0L128 321.4L107.3 300.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l32 32C119.8 358.4 123.9 360 128 360s8.188-1.562 11.31-4.688l32-32C177.6 317.1 177.6 306.9 171.3 300.7zM276.7 300.7L256 321.4L235.3 300.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l32 32C247.8 358.4 251.9 360 256 360s8.188-1.562 11.31-4.688l32-32c6.25-6.25 6.25-16.38 0-22.62S282.9 294.4 276.7 300.7zM180.7 267.3C183.8 270.4 187.9 272 192 272s8.188-1.562 11.31-4.688l32-32c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0L192 233.4L171.3 212.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L180.7 267.3zM212.7 388.7L192 409.4l-20.69-20.69c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l32 32C183.8 446.4 187.9 448 192 448s8.188-1.562 11.31-4.688l32-32c6.25-6.25 6.25-16.38 0-22.62S218.9 382.4 212.7 388.7z"],
    "pipe": [64, 512, [], "7c", "M48 16v480c0 8.832-7.166 16-16 16s-16-7.168-16-16v-480C16 7.166 23.17 0 32 0S48 7.166 48 16z"],
    "pipe-circle-check": [640, 512, [], "e436", "M496 224C416.5 224 352 288.5 352 368s64.48 144 144 144s144-64.48 144-144S575.5 224 496 224zM496 480c-61.86 0-112-50.14-112-112C384 306.1 434.1 256 496 256S608 306.1 608 368C608 429.9 557.9 480 496 480zM32 352V160h416v38.62c10.3-2.912 21.02-4.928 32-5.92V112C480 103.2 472.8 96 464 96S448 103.2 448 112V128H32V112C32 103.2 24.83 96 16 96S0 103.2 0 112v288C0 408.8 7.168 416 16 416S32 408.8 32 400V384h288.7C320.3 378.7 320 373.4 320 368s.2559-10.72 .7031-16H32zM540.1 317.3l-60.7 67.46l-28.06-28.1c-6.271-6.24-16.38-6.24-22.66 0c-6.24 6.271-6.24 16.38 0 22.66l40 40c3.104 3.104 7.359 4.768 11.74 4.672c4.385-.1289 8.545-2.049 11.49-5.312l72-80c5.889-6.561 5.375-16.67-1.217-22.59C556.1 310.2 546 310.7 540.1 317.3z"],
    "pipe-collar": [512, 512, [], "e437", "M96.01 79.99c0-8.832-7.168-16-16-16s-16 7.168-16 16s7.168 16 16 16S96.01 88.82 96.01 79.99zM432 95.99c8.832 0 16-7.168 16-16s-7.168-16-16-16s-16 7.168-16 16S423.2 95.99 432 95.99zM80.01 415.1c-8.832 0-16 7.168-16 16s7.168 16 16 16s16-7.168 16-16S88.84 415.1 80.01 415.1zM256 95.99c-88.35 0-160 71.65-160 160s71.65 160 160 160s160-71.65 160-160S344.4 95.99 256 95.99zM256 383.1c-70.69 0-128-57.31-128-128c0-70.69 57.31-128 128-128s128 57.31 128 128C384 326.7 326.7 383.1 256 383.1zM432 415.1c-8.832 0-16 7.168-16 16s7.168 16 16 16s16-7.168 16-16S440.8 415.1 432 415.1zM468.8 367c17.34-33.18 27.17-70.94 27.17-111s-9.824-77.82-27.17-111l22.08-22.08c28.13-28.13 28.13-73.7 0-101.8c-28.13-28.13-73.7-28.13-101.8 0l-22.08 22.08c-33.18-17.34-70.94-27.17-111-27.17S178.2 25.82 145 43.16L122.9 21.08c-28.13-28.13-73.7-28.13-101.8 0c-28.13 28.13-28.13 73.7 0 101.8l22.08 22.08c-17.34 33.18-27.17 70.94-27.17 111s9.824 77.82 27.17 111l-22.08 22.08c-28.13 28.13-28.13 73.7 0 101.8c28.13 28.13 73.7 28.13 101.8 0L145 468.8c33.18 17.34 70.94 27.17 111 27.17s77.82-9.824 111-27.17l22.08 22.08c28.13 28.13 73.7 28.13 101.8 0c28.13-28.13 28.13-73.7 0-101.8L468.8 367zM468.3 468.3c-15.62 15.62-40.96 15.62-56.57 0l-22.08-22.08l-16.61-16.61l-20.83 10.88c-28.74 15.01-61.41 23.52-96.19 23.52s-67.46-8.512-96.19-23.52l-20.83-10.88l-16.61 16.61L100.3 468.3c-15.62 15.62-40.96 15.62-56.57 0c-15.62-15.62-15.62-40.96 0-56.58l38.69-38.69l-10.88-20.83C56.52 323.4 48.01 290.8 48.01 255.1c0-34.79 8.512-67.46 23.52-96.19l10.88-20.83L43.72 100.3c-15.62-15.62-15.62-40.96 0-56.58c15.62-15.62 40.96-15.62 56.57 0l38.69 38.69l20.83-10.88c28.74-15.01 61.41-23.52 96.19-23.52s67.46 8.512 96.19 23.52l20.83 10.88l38.69-38.69c15.62-15.62 40.96-15.62 56.57 0c15.62 15.62 15.62 40.96 0 56.58l-38.69 38.69l10.88 20.83c15.01 28.74 23.52 61.41 23.52 96.19c0 34.78-8.512 67.46-23.52 96.19l-10.88 20.83l38.69 38.69C483.9 427.3 483.9 452.7 468.3 468.3z"],
    "pipe-section": [640, 512, [], "e438", "M624 96C615.2 96 608 103.2 608 112V128H32V112C32 103.2 24.83 96 16 96S0 103.2 0 112v288C0 408.8 7.168 416 16 416S32 408.8 32 400V384h576v16c0 8.832 7.168 16 16 16s16-7.168 16-16v-288C640 103.2 632.8 96 624 96zM608 352H32V160h576V352z"],
    "pipe-smoking": [640, 512, [], "e3c4", "M624 0h-19.62c-58.72 0-112.9 25.97-144.9 69.5l-122.5 166.6l-4.777-3.008C326.1 229.7 321.1 228.1 315.2 228.1c-9.787 0-19.41 4.48-25.66 12.85L240 307.3V248c0-22.06-17.94-40-40-40h-160C17.94 208 0 225.9 0 248v140.9C0 456.8 55.22 512 123.1 512h23.47c51.92 0 99.67-26.07 127.7-69.73l99.89-143.2c5.004-7.174 6.852-16.09 5.115-24.66c-1.738-8.572-6.908-16.06-14.31-20.72l-.8555-.5391l121.1-164.7C511.3 53.09 555.8 32 604.4 32H624C632.8 32 640 24.84 640 16S632.8 0 624 0zM247.4 424.1C225.2 459.4 187.5 480 146.6 480H123.1C72.88 480 32 439.1 32 388.9V248C32 243.6 35.59 240 40 240h160c4.406 0 8 3.594 8 8v83.38c0 10.34 6.625 19.5 16.44 22.78c2.471 .8086 5.014 1.201 7.533 1.201c7.416 0 14.63-3.402 19.25-9.607l63.97-85.63l32.75 20.62L247.4 424.1z"],
    "pipe-valve": [512, 512, [], "e439", "M496 160C487.2 160 480 167.2 480 176V192h-208V112h96C376.8 112 384 104.8 384 96s-7.168-16-16-16h-96v-32C272 39.17 264.8 32 256 32S240 39.17 240 48v32h-96C135.2 80 128 87.17 128 96s7.168 16 16 16h96V192H32V176C32 167.2 24.83 160 16 160S0 167.2 0 176v288C0 472.8 7.168 480 16 480S32 472.8 32 464V448h448v16c0 8.832 7.168 16 16 16s16-7.168 16-16v-288C512 167.2 504.8 160 496 160zM480 416H32V224h448V416z"],
    "pizza": [576, 512, [127829], "f817", "M414.5 414.5c-87.41 87.39-229.6 87.36-316.9 0c-87.38-87.38-87.38-229.5 0-316.9c87.41-87.36 229.5-87.36 316.9 0c6.252 6.254 16.38 6.254 22.63 0c6.254-6.252 6.254-16.38 0-22.64c-49.85-49.85-115.3-74.81-180.8-74.89C190.6-.0799 124.9 24.88 74.89 74.89C24.96 124.8 .0005 190.4 .0005 255.1c0 65.59 24.96 131.2 74.89 181.1C124.8 487 190.4 512 255.1 512c65.59 0 131.2-24.96 181.1-74.9c6.254-6.254 6.254-16.38 0-22.64C430.8 408.2 420.7 408.2 414.5 414.5zM395.2 142.8c6.252-6.252 6.252-16.38 0-22.63c-36.27-36.28-84.5-56.26-135.8-56.26c-51.3 0-99.54 19.98-135.8 56.26c-74.88 74.9-74.88 196.8 0 271.7c36.29 36.28 84.54 56.26 135.8 56.26c51.3 0 99.54-19.98 135.8-56.26c6.252-6.254 6.252-16.38 0-22.64c-6.254-6.254-16.38-6.254-22.63 0c-30.23 30.23-70.44 46.88-113.2 46.88c-42.77 0-82.97-16.65-113.2-46.88c-62.4-62.42-62.4-163.1 0-226.4c30.23-30.23 70.43-46.88 113.2-46.88c42.74 0 82.94 16.65 113.2 46.88C378.8 149.1 388.9 149.1 395.2 142.8zM507.4 100.6c-3-3.018-7.064-4.721-11.32-4.721S487.8 97.61 484.8 100.6l-144.1 144.1c-3.062 3.064-4.752 7.238-4.689 11.57s1.877 8.457 5.033 11.41l153.4 144.1c3.096 2.906 7.035 4.346 10.97 4.346c4.127 0 8.223-1.58 11.35-4.721c41.25-41.54 60.83-97.16 59.14-153.4C574.2 201.7 551.3 144.8 507.4 100.6zM504.5 377.3l-129.5-121.6l120.6-120.6C556.7 206.7 560.4 309.6 504.5 377.3zM239.1 167.1c0-13.26-10.74-24.01-24-24.01S191.1 154.7 191.1 167.1s10.74 24.01 24 24.01S239.1 181.2 239.1 167.1zM127.9 264c0 13.26 10.75 24.01 24.01 24.01s24.01-10.75 24.01-24.01S165.2 239.1 151.1 239.1S127.9 250.7 127.9 264zM247.1 384.1c13.26 0 24.01-10.75 24.01-24.01s-10.75-24.01-24.01-24.01s-24.01 10.75-24.01 24.01S234.7 384.1 247.1 384.1zM456.1 256c-13.26 0-24.01 10.75-24.01 24.01s10.75 24.01 24.01 24.01c13.26 0 24.01-10.75 24.01-24.01S469.3 256 456.1 256z"],
    "pizza-slice": [512, 512, [], "f818", "M159.3 .1406C158.3 .0469 157.3 0 156.2 0C147.8 0 138.3 3.74 132.3 9.732C128.3 13.74 125.4 18.74 123.9 24.22L110.7 74.47C108.3 83.49 109.1 93.09 115.3 100.8c5.291 7.684 13.67 12.67 22.95 13.67c144.7 15.5 241.6 110.6 259 254.4c1.121 9.252 6.221 17.55 13.96 22.74c5.32 3.562 11.53 5.41 17.8 5.41c2.857 0 5.729-.3828 8.539-1.162l51-14.12c15.16-4.197 25.02-18.79 23.26-34.41C491.5 166.4 339.9 17.18 159.3 .1406zM428.1 365c-19.25-158.6-127.5-265.3-287.4-282.4l13.25-50.25C155.1 32.13 155.6 32 155.1 32c165.6 15.62 305.2 152.1 323.1 318.9L428.1 365zM191.1 248c0-13.26-10.75-24-24-24s-24 10.74-24 24c0 13.25 10.75 24 24 24S191.1 261.3 191.1 248zM303.1 328c0-13.26-10.75-24-24-24s-24 10.74-24 24c0 13.25 10.75 24 24 24S303.1 341.3 303.1 328zM95.1 392c0 13.25 10.75 24 24 24s24-10.75 24-24c0-13.26-10.75-24-24-24S95.1 378.7 95.1 392zM363.8 384.6L38.81 473.2l88.62-325C129.7 139.7 124.7 130.9 116.2 128.6C107.6 126.3 98.87 131.3 96.56 139.8l-96.05 351.9c-1.5 5.531 .2247 11.54 4.287 15.6C7.829 510.3 11.89 512 16.07 512c1.406 0 2.946-.2325 4.352-.6075l351.8-95.95c8.531-2.328 13.53-11.12 11.22-19.64S372.4 382.3 363.8 384.6z"],
    "place-of-worship": [640, 512, [], "f67f", "M320 0C324.2 0 328.3 1.686 331.3 4.686L406.6 80C412.6 86 416 94.14 416 102.6V191.9L457 216.1C471.3 225.7 480 241.2 480 257.9V480H576C593.7 480 608 465.7 608 448V378.1C608 367.3 602.5 357.1 593.4 351.2L512 298.6V260.5L610.8 324.4C628.1 336.2 640 356.4 640 378.1V448C640 483.3 611.3 512 576 512L64 512C28.65 512 0 483.3 0 448V378.1C0 356.4 11.01 336.2 29.23 324.4L128 260.5V298.6L46.62 351.2C37.5 357.1 32 367.3 32 378.1V448C32 465.7 46.33 480 64 480H160V257.9C160 241.2 168.7 225.7 182.1 216.1L224 191.9V102.6C224 94.14 227.4 86 233.4 80L308.7 4.686C311.7 1.686 315.8 0 319.1 0L320 0zM440.3 244.3L391.7 214.5C386.9 211.6 384 206.5 384 200.9V102.6L320 38.63L256 102.6V200.9C256 206.5 253.1 211.6 248.3 214.5L199.7 244.3C194.9 247.2 192 252.4 192 257.9V480H256V384C256 348.7 284.7 320 320 320C355.3 320 384 348.7 384 384V480H448V257.9C448 252.4 445.1 247.2 440.3 244.3H440.3zM352 384C352 366.3 337.7 352 320 352C302.3 352 288 366.3 288 384V480H352V384z"],
    "plane": [576, 512, [], "f072", "M562.7 221.2C570.3 230.8 576 242.6 576 256C576 282.9 554.4 303.1 534.2 315.2C513.1 327.9 486.9 336 466.3 336H365.9L279.1 487.8C270.6 502.8 254.7 512 237.4 512H181.2C159.1 512 144.6 491.7 150.4 471.2L189.1 336H136L97.6 387.2C91.56 395.3 82.07 400 72 400H30.03C13.45 400 0 386.6 0 369.1C0 367.2 .3891 364.4 1.156 361.7L31.36 256L1.156 150.3C.3888 147.6 0 144.8 0 142C0 125.4 13.45 112 30.03 112H72C82.07 112 91.56 116.7 97.6 124.8L136 176H189.1L150.4 40.79C144.6 20.35 159.1 0 181.2 0H237.4C254.7 0 270.6 9.23 279.1 24.19L365.9 176H466.3C486.1 176 513.3 184.4 534.3 197.2C544.9 203.7 555 211.7 562.7 221.2L562.7 221.2zM517.7 224.6C500.4 214.1 479.8 208 466.3 208H356.6C350.8 208 345.5 204.9 342.7 199.9L251.3 40.06C248.5 35.08 243.2 32 237.4 32H181.2L225.7 187.6C227 192.4 226.1 197.6 223.1 201.6C220 205.6 215.3 208 210.3 208H128C122.1 208 118.2 205.6 115.2 201.6L72 144H32.64L63.38 251.6C64.21 254.5 64.21 257.5 63.38 260.4L32.64 368H72L115.2 310.4C118.2 306.4 122.1 304 128 304H210.3C215.3 304 220 306.4 223.1 310.4C226.1 314.4 227 319.6 225.7 324.4L181.2 480H237.4C243.2 480 248.5 476.9 251.3 471.9L342.7 312.1C345.5 307.1 350.8 304 356.6 304H466.3C479.9 304 500.5 298.1 517.7 287.8C535.8 276.9 544 265.1 544 256C544 251.9 542.3 246.1 537.7 241.2C533.1 235.5 526.2 229.7 517.7 224.6L517.7 224.6zM265.2 32.12L251.3 40.06z"],
    "plane-arrival": [640, 512, [128748], "f5af", "M413.1 234.2L498.2 257.8C518.7 263.5 537.7 273.7 553.8 287.6L580.4 310.7C611.9 337.8 598.9 389.2 558.3 398.1C526 405.3 492.5 404.3 460.6 395.2L161.8 310.3C156.4 308.8 151.3 306.3 146.8 303L52.13 234.6C39.67 225.6 32.28 211.2 32.25 195.8L32.04 100C31.1 79.52 50.97 64.27 70.98 68.72L105.2 76.31C122.1 80.08 135.7 92.73 140.7 109.4L156.8 162.9L222.6 181.2L182.4 40.79C176.6 20.35 191.1 .0007 213.2 .0007H253.3C270.6 .0007 286.6 9.354 295.1 24.47L413.1 234.2zM213.2 32L269 227.4L131.2 189L110.1 118.6C108.4 113 103.9 108.8 98.21 107.5L64.04 99.95L64.25 195.7C64.26 200.8 66.72 205.7 70.87 208.7L165.5 277.1C167.1 278.2 168.8 279 170.5 279.5L469.4 364.4C496.1 372 524.3 372.9 551.4 366.9C566.3 363.6 571 344.8 559.5 334.9L532.8 311.8C520.3 301 505.5 293.1 489.6 288.7L391.7 261.5L267.2 40.16C264.4 35.12 259.1 32 253.3 32L213.2 32zM624 480C632.8 480 640 487.2 640 496C640 504.8 632.8 512 624 512H16C7.164 512 0 504.8 0 496C0 487.2 7.164 480 16 480H624zM176 368C176 381.3 165.3 392 152 392C138.7 392 128 381.3 128 368C128 354.7 138.7 344 152 344C165.3 344 176 354.7 176 368zM224 400C224 386.7 234.7 376 248 376C261.3 376 272 386.7 272 400C272 413.3 261.3 424 248 424C234.7 424 224 413.3 224 400zM166.2 294.9L161.8 310.3z"],
    "plane-circle-check": [640, 512, [], "e555", "M176 153.1V112.1C176 74.04 207 0 256 0C304 0 336 74.04 336 112.1V154.1L422.4 208.1C411.5 213.1 401.1 219.3 391.6 226.3L304 171.1V112.1C304 81.04 278 33.02 256 33.02C233 33.02 208 81.04 208 113.1V172.1L32 282.1V347.2L208 292.1V392.2L144 440.2V480.2L256 448.2L358.1 477.4C366.4 487.9 375.9 497.4 386.4 505.7C378.5 511.4 368.8 513.2 360 511.2L256 480.2L152 510.2C142 513.3 132 511.2 124 505.2C116 499.2 112 490.2 112 480.2V440.2C112 430.2 116 421.2 124 415.2L176 376.2V335.2L41 378.2C31 381.2 20 379.2 12 373.2C4 367.2 0 357.2 0 347.2V282.1C0 271.1 6 259.1 16 254.1L176 153.1zM563.3 324.7C569.6 330.9 569.6 341.1 563.3 347.3L491.3 419.3C485.1 425.6 474.9 425.6 468.7 419.3L428.7 379.3C422.4 373.1 422.4 362.9 428.7 356.7C434.9 350.4 445.1 350.4 451.3 356.7L480 385.4L540.7 324.7C546.9 318.4 557.1 318.4 563.3 324.7H563.3zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 480C557.9 480 608 429.9 608 368C608 306.1 557.9 256 496 256C434.1 256 384 306.1 384 368C384 429.9 434.1 480 496 480z"],
    "plane-circle-exclamation": [640, 512, [], "e556", "M176 153.1V112.1C176 74.04 207 0 256 0C304 0 336 74.04 336 112.1V154.1L422.4 208.1C411.5 213.1 401.1 219.3 391.6 226.3L304 171.1V112.1C304 81.04 278 33.02 256 33.02C233 33.02 208 81.04 208 113.1V172.1L32 282.1V347.2L208 292.1V392.2L144 440.2V480.2L256 448.2L358.1 477.4C366.4 487.9 375.9 497.4 386.4 505.7C378.5 511.4 368.8 513.2 360 511.2L256 480.2L152 510.2C142 513.3 132 511.2 124 505.2C116 499.2 112 490.2 112 480.2V440.2C112 430.2 116 421.2 124 415.2L176 376.2V335.2L41 378.2C31 381.2 20 379.2 12 373.2C4 367.2 0 357.2 0 347.2V282.1C0 271.1 6 259.1 16 254.1L176 153.1zM472 424C472 410.7 482.7 400 496 400C509.3 400 520 410.7 520 424C520 437.3 509.3 448 496 448C482.7 448 472 437.3 472 424zM495.1 288C504.8 288 511.1 295.2 511.1 304V368C511.1 376.8 504.8 384 495.1 384C487.2 384 479.1 376.8 479.1 368V304C479.1 295.2 487.2 288 495.1 288zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 256C434.1 256 384 306.1 384 368C384 429.9 434.1 480 496 480C557.9 480 608 429.9 608 368C608 306.1 557.9 256 496 256z"],
    "plane-circle-xmark": [640, 512, [], "e557", "M176 153.1V112.1C176 74.04 207 0 256 0C304 0 336 74.04 336 112.1V154.1L422.4 208.1C411.5 213.1 401.1 219.3 391.6 226.3L304 171.1V112.1C304 81.04 278 33.02 256 33.02C233 33.02 208 81.04 208 113.1V172.1L32 282.1V347.2L208 292.1V392.2L144 440.2V480.2L256 448.2L358.1 477.4C366.4 487.9 375.9 497.4 386.4 505.7C378.5 511.4 368.8 513.2 360 511.2L256 480.2L152 510.2C142 513.3 132 511.2 124 505.2C116 499.2 112 490.2 112 480.2V440.2C112 430.2 116 421.2 124 415.2L176 376.2V335.2L41 378.2C31 381.2 20 379.2 12 373.2C4 367.2 0 357.2 0 347.2V282.1C0 271.1 6 259.1 16 254.1L176 153.1zM518.6 368L555.3 404.7C561.6 410.9 561.6 421.1 555.3 427.3C549.1 433.6 538.9 433.6 532.7 427.3L496 390.6L459.3 427.3C453.1 433.6 442.9 433.6 436.7 427.3C430.4 421.1 430.4 410.9 436.7 404.7L473.4 368L436.7 331.3C430.4 325.1 430.4 314.9 436.7 308.7C442.9 302.4 453.1 302.4 459.3 308.7L496 345.4L532.7 308.7C538.9 302.4 549.1 302.4 555.3 308.7C561.6 314.9 561.6 325.1 555.3 331.3L518.6 368zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 256C434.1 256 384 306.1 384 368C384 429.9 434.1 480 496 480C557.9 480 608 429.9 608 368C608 306.1 557.9 256 496 256z"],
    "plane-departure": [640, 512, [128747], "f5b0", "M379.5 137.6L461.3 95.78C481.6 85.41 504 80 526.8 80H587.9C623.9 80 647.8 117.3 632.7 150C614.2 190 582.7 222.5 543.3 242.2L269.9 378.9C263.2 382.3 255.9 384 248.4 384H109.3C96.52 384 84.32 378.9 75.31 369.9L11.5 306.1C-3.421 291.2-.0701 266.2 18.25 255.7L41.99 242.1C55.26 234.6 71.34 233.8 85.3 239.1L135.5 262.3L218.5 219.8L104.1 149.4C83.26 135.9 85.34 103.6 108.6 93.05L145.5 76.29C164.6 67.59 186.4 66.78 206.1 74.01L379.5 137.6zM121.9 122.2L283.6 222.5L136.5 297.7L72.31 269.2C67.65 267.1 62.29 267.4 57.87 269.9L34.13 283.5L97.94 347.3C100.9 350.3 105 352 109.3 352H248.4C250.9 352 253.4 351.4 255.6 350.3L529 213.6C561.9 197.2 588.2 170 603.6 136.6C608.9 125.1 600.5 112 587.9 112H526.8C509.1 112 491.6 116.2 475.8 124.3L381.6 172.4L195.1 104.1C183.3 99.71 170.2 100.2 158.7 105.4L121.9 122.2zM624 480C632.8 480 640 487.2 640 496C640 504.8 632.8 512 624 512H16C7.164 512 0 504.8 0 496C0 487.2 7.164 480 16 480H624zM115.2 107.6L121.9 122.2L115.2 107.6zM78.81 254.6L85.3 239.1z"],
    "plane-engines": [576, 512, [9992, "plane-alt"], "f3de", "M534.2 315.2C513.1 327.9 486.9 336 466.3 336H369.4L358.4 354.7C373.4 360.4 384 374.1 384 392V408C384 430.1 366.1 448 344 448H303L274.4 496.3C268.7 506 258.2 512 246.9 512H170.7C154.7 512 143.1 496.6 147.7 481.2L190.7 336H136L97.6 387.2C91.56 395.3 82.07 400 72 400H30.03C13.45 400 0 386.6 0 369.1C0 367.2 .3891 364.4 1.156 361.7L22.62 286.6C9.522 282.6 0 270.4 0 256C0 241.6 9.522 229.4 22.62 225.4L1.156 150.3C.3888 147.6 0 144.8 0 142C0 125.4 13.45 112 30.03 112H72C82.07 112 91.56 116.7 97.6 124.8L136 176H190.7L147.7 30.82C143.1 15.44 154.7 0 170.7 0H246.9C258.2 0 268.7 5.963 274.4 15.69L303 64H344C366.1 64 384 81.91 384 104V120C384 137 373.4 151.6 358.4 157.3L369.4 176H466.3C486.1 176 513.3 184.4 534.3 197.2C544.9 203.7 555 211.7 562.7 221.2C570.3 230.8 576 242.6 576 256C576 282.9 554.4 303.1 534.2 315.2zM340.1 384L322 416H344C348.4 416 352 412.4 352 408V392C352 387.6 348.4 384 344 384H340.1zM352 120V104C352 99.58 348.4 96 344 96H322L340.1 128H344C348.4 128 352 124.4 352 120zM360.3 208C354.6 208 349.4 205 346.5 200.2L246.9 32H181.4L227.5 187.5C228.9 192.3 227.1 197.5 224.1 201.6C221.9 205.6 217.2 208 212.1 208H128C122.1 208 118.2 205.6 115.2 201.6L72 144H32.64L63.38 251.6C64.21 254.5 64.21 257.5 63.38 260.4L32.64 368H72L115.2 310.4C118.2 306.4 122.1 304 128 304H212.1C217.2 304 221.9 306.4 224.1 310.4C227.1 314.5 228.9 319.7 227.5 324.5L181.4 480H246.9L346.5 311.8C349.4 306.1 354.6 304 360.3 304H466.3C479.9 304 500.5 298.1 517.7 287.8C535.8 276.9 544 265.1 544 256C544 251.9 542.3 246.1 537.7 241.2C533.1 235.5 526.2 229.7 517.7 224.6C500.4 214.1 479.8 208 466.3 208H360.3z"],
    "plane-lock": [640, 512, [], "e558", "M176 153.1V112.1C176 74.04 207 0 256 0C304 0 336 74.04 336 112.1V154.1L432.1 214.2C426.5 223.3 422.3 233.3 419.5 243.1L304 171.1V112.1C304 81.04 278 33.02 256 33.02C233 33.02 208 81.04 208 113.1V172.1L32 282.1V347.2L208 292.1V392.2L144 440.2V480.2L256 448.2L368 480.2V511.1C365.3 512.1 362.6 511.8 360 511.3L256 480.2L152 510.2C142 513.3 132 511.3 124 505.2C116 499.2 112 490.2 112 480.2V440.2C112 430.2 116 421.2 124 415.2L176 376.2V335.2L41 378.2C31 381.2 20 379.2 12 373.2C4 367.2 0 357.2 0 347.2V282.1C0 271.1 6 259.1 16 254.1L176 153.1zM368 401.3V440.2L304 392.2V292.1L392.6 319.9C387.4 328.9 384.3 339.3 384 350.5L336 335.2V376.2L368 401.3zM528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320V272C448 227.8 483.8 192 528 192zM528 224C501.5 224 480 245.5 480 272V320H576V272C576 245.5 554.5 224 528 224zM448 352V480H608V352H448z"],
    "plane-prop": [576, 512, [], "e22b", "M305.1 .001C322 .001 335.6 11.87 337.7 27.77L344.7 80H368V48C368 39.16 375.2 32 384 32C392.8 32 400 39.16 400 48V80C408.8 80 416 87.16 416 96C416 104.8 408.8 112 400 112V144C400 152.8 392.8 160 384 160C375.2 160 368 152.8 368 144V112H348.9L357.5 176H466.3C486.1 176 513.3 184.4 534.3 197.2C544.9 203.7 555 211.7 562.7 221.2C570.3 230.8 576 242.6 576 256C576 282.9 554.4 303.1 534.2 315.2C513.1 327.9 486.9 336 466.3 336H357.5L348.9 400H368V368C368 359.2 375.2 352 384 352C392.8 352 400 359.2 400 368V400C408.8 400 416 407.2 416 416C416 424.8 408.8 432 400 432V464C400 472.8 392.8 480 384 480C375.2 480 368 472.8 368 464V432H344.7L337.7 484.2C335.6 500.1 322 512 305.1 512H270C253.1 512 240.4 500.1 238.3 484.2L235.6 464H224C197.5 464 176 442.5 176 416C176 389.9 196.8 368.7 222.8 368L217.9 331.1L150.7 322.1L146.8 349.7C143.1 369.4 127.1 384 107.2 384H84.82C64.91 384 48.03 369.4 45.22 349.7L39.1 306.8C16.32 300.8 0 280.1 0 256C0 231.9 16.32 211.2 39.1 205.2L45.22 162.3C48.03 142.6 64.91 128 84.82 128H107.2C127.1 128 143.1 142.6 146.8 162.3L150.7 189.9L217.9 180.9L222.8 143.1C196.8 143.3 176 122.1 176 96C176 69.49 197.5 48 224 48H235.6L238.3 27.77C240.4 11.87 253.1 0 270 0L305.1 .001zM208 416C208 424.8 215.2 432 224 432H231.3L227.1 400H224C215.2 400 208 407.2 208 416V416zM208 96C208 104.8 215.2 112 224 112H227.1L231.3 80H224C215.2 80 208 87.16 208 96V96zM325.2 176L305.1 32H270L250.7 176.6L254.9 176H325.2zM325.2 336H254.9L250.7 335.4L270 480H305.1L325.2 336zM67.41 233.3L49.83 235.6C39.63 236.1 32 245.7 32 256C32 266.3 39.63 275 49.83 276.4L67.41 278.7L76.9 345.1C77.46 349.1 80.83 352 84.82 352H107.2C111.2 352 114.5 349.1 115.1 345.1L123.5 286.2L257.1 304H466.3C479.9 304 500.5 298.1 517.7 287.8C535.8 276.9 544 265.1 544 256C544 251.9 542.3 246.1 537.7 241.2C533.1 235.5 526.2 229.7 517.7 224.6C500.4 214.1 479.8 208 466.3 208H257.1L123.5 225.8L115.1 166.9C114.5 162.9 111.2 160 107.2 160H84.82C80.83 160 77.46 162.9 76.9 166.9L67.41 233.3z"],
    "plane-slash": [640, 512, [], "e069", "M347.6 359.4L373 379.4L311.1 487.8C302.6 502.8 286.7 512 269.4 512H213.2C191.1 512 176.6 491.7 182.4 471.2L221.1 336H168L129.6 387.2C123.6 395.3 114.1 400 104 400H62.03C45.45 400 31.1 386.6 31.1 369.1C31.1 367.2 32.39 364.4 33.16 361.7L63.36 255.1L33.16 150.3C32.39 147.6 31.1 144.8 31.1 142C31.1 132.7 36.27 124.3 42.97 118.8L74.85 143.1H64.64L95.38 251.6C96.2 254.5 96.2 257.5 95.38 260.4L64.64 368H103.1L147.2 310.4C150.2 306.4 154.1 303.1 159.1 303.1H242.3C247.3 303.1 252 306.4 255.1 310.4C258.1 314.4 259 319.6 257.7 324.4L213.2 480H269.4C275.2 480 280.5 476.9 283.3 471.9L347.6 359.4zM213.2 0H269.4C286.7 0 302.6 9.23 311.1 24.19L397.9 176H498.3C518.1 176 545.3 184.4 566.3 197.2C576.9 203.7 587 211.7 594.7 221.2C602.3 230.8 608 242.6 608 256C608 282.9 586.4 303.1 566.2 315.2C552.4 323.5 536.3 329.9 521.1 333.3L484.1 304H498.3C511.9 304 532.5 298.1 549.7 287.8C567.8 276.9 576 265.1 576 256C576 251.9 574.3 246.1 569.7 241.2C565.1 235.5 558.2 229.7 549.7 224.6C532.4 214.1 511.8 208 498.3 208H388.6C382.8 208 377.5 204.9 374.7 199.9L283.3 40.06C280.5 35.08 275.2 32 269.4 32H213.2L234.7 107.1L191.7 73.16L182.4 40.79C176.6 20.35 191.1 .0006 213.2 .0006V0zM633.9 483.4C640.9 488.9 642 498.1 636.6 505.9C631.1 512.9 621 514 614.1 508.6L6.086 28.56C-.8493 23.08-2.033 13.02 3.443 6.087C8.918-.849 18.98-2.033 25.91 3.443L633.9 483.4zM297.2 32.12L283.3 40.06z"],
    "plane-tail": [576, 512, [], "e22c", "M79.66 0H126.1C146.9 0 166.8 8.073 181.7 22.51L422.6 255.6L422.3 255.1H528C536.8 255.1 544 263.2 544 271.1C544 280.8 536.8 287.1 528 287.1H296.4C292.2 287.1 288.1 288.5 284 289.6L88.56 341.7C74.08 345.6 63.1 358.7 63.1 373.7C63.1 387.6 72.66 400 85.7 404.8L282.8 477.1C288.1 479 293.7 480 299.4 480H528C536.8 480 544 487.2 544 496C544 504.8 536.8 512 528 512H299.4C289.1 512 280.6 510.3 271.8 507.1L74.68 434.8C49.04 425.4 31.1 401 31.1 373.7C31.1 344.2 51.82 318.4 80.32 310.8L86.99 309L32.74 58.14C26.28 28.24 49.06 .0003 79.66 .0003L79.66 0zM79.66 32C69.46 32 61.86 41.41 64.02 51.38L117.9 300.8L275.8 258.7C282.5 256.9 289.4 256 296.4 256H376.1L159.5 45.51C150.5 36.84 138.6 32 126.1 32L79.66 32zM400 352C408.8 352 416 359.2 416 368C416 376.8 408.8 384 400 384H239.1C231.2 384 223.1 376.8 223.1 368C223.1 359.2 231.2 352 239.1 352H400z"],
    "plane-up": [512, 512, [], "e22d", "M256 0C304 0 336 74.04 336 112.1V154.1L496 254.1C504.1 260.1 512 270.1 512 282.1V347.2C512 357.2 507 367.2 499 373.2C491 379.2 480 381.2 471 378.2L336 335.2V376.2L387 416.2C395 422.2 400 431.2 400 441.2V480.2C400 490.2 395 500.2 387 505.2C379 511.3 368.1 513.3 360 511.3L256 480.2L152 510.2C142 513.3 132 511.3 124 505.2C116 499.2 112 490.2 112 480.2V440.2C112 430.2 116 421.2 124 415.2L176 376.2V335.2L41 378.2C31 381.2 20 379.2 12 373.2C4 367.2 0 357.2 0 347.2V282.1C0 271.1 6 259.1 16 254.1L176 153.1V112.1C176 74.04 207 0 256 0V0zM256 33.02C233 33.02 208 81.04 208 113.1V172.1L32 282.1V347.2L208 292.1V392.2L144 440.2V480.2L256 448.2L368 480.2V440.2L304 392.2V292.1L480 347.2V282.1L304 171.1V112.1C304 81.04 278 33.02 256 33.02V33.02z"],
    "plane-up-slash": [640, 512, [], "e22e", "M576 347.2C576 352.7 574.5 358.2 571.8 363L544 341.1V282.1L368 171.1V112.1C368 81.04 342 33.02 319.1 33.02C296.1 33.02 271.1 81.04 271.1 113.1V126.4L240.7 101.6C245.4 61.97 275.2 0 319.1 0C368 0 400 74.04 400 112.1V154.1L560 254.1C568.1 260.1 576 270.1 576 282.1V347.2zM147.5 211.5L174.6 232.1L95.1 282.1V347.2L255.9 297.2L271.1 309.8V392.2L207.1 440.2V480.2L319.1 448.2L432 480.2V436.2L464 461.4V480.2C464 490.2 458.1 500.2 450.1 505.2C442.1 511.2 432.1 513.3 424 511.2L319.1 480.2L215.1 510.2C205.1 513.3 195.1 511.2 187.1 505.2C179.1 499.2 175.1 490.2 175.1 480.2V440.2C175.1 430.2 179.1 421.2 187.1 415.2L239.1 376.2V335.2L104.1 378.2C94.1 381.2 83.1 379.2 75.1 373.2C67.1 367.2 63.1 357.2 63.1 347.2V282.1C63.1 271.1 69.1 259.1 79.1 254.1L147.5 211.5zM633.9 483.4C640.9 488.9 642 498.1 636.6 505.9C631.1 512.9 621 514 614.1 508.6L6.086 28.56C-.8493 23.08-2.033 13.02 3.443 6.087C8.918-.849 18.98-2.033 25.91 3.443L633.9 483.4z"],
    "planet-moon": [576, 512, [], "e01f", "M224 64C100.2 64 0 164.2 0 288s100.2 224 224 224s224-100.2 224-224S347.8 64 224 64zM55 202.9C82.25 142.8 141.1 104.1 208 104c16.38 .25 24 9.625 24 20.62c0 10.75-3 21.25-8.75 30.25l-48 55.25c-14 16.25-14.37 43.13 1.375 57.75C185 275.8 196 280 207.5 280H272c13.25 0 24 10.75 24 24v16.88c0 8.75-2 17.25-5.875 25.13l-40.38 64.62c-3 5.875-8.5 10-15 11.13c-3.375 .4999-6.625 1-10.87 1.375C219.5 423 216 419.5 216 415.1c0-71 0-44.63 0-55.13H208c-13.25 0-24-10.75-24-24V300.6L127 243.8C119.5 236.2 109.4 232 98.75 232h-25C58.25 232 49.12 216 55 202.9zM224 480c-105.9 0-192-86.13-192-192c0-13.5 1.5-26.88 4.25-40.12C45.1 258.1 59.62 264 73.75 264h25c2.125 0 4.125 .875 5.625 2.375L152 314V336c0 21.62 12.5 41.25 32 50.63v28.5c0 22 17.88 40 39.88 40c4.875 0 14.5-1.625 16.12-1.875c16.62-2.75 30.88-13.37 38.38-28.37l40.38-64.63C324.8 348 328 334.5 328 320.9V304c0-30.88-25.12-56-56-56H207.5c-3.625 0-7-1.375-9.5-3.875c-2.875-3-3.125-7.75-.3747-10.88l50.75-58.5l.875-1.25C258.9 159 264 142 264 124.6c0-9-2.375-17.75-6.75-25.5C347.2 114.9 416 193.5 416 288C416 393.9 329.9 480 224 480zM512 0c-35.38 0-64 28.62-64 64s28.62 63.1 64 63.1s64-28.62 64-63.1S547.4 0 512 0zM512 96c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S529.6 96 512 96z"],
    "planet-ringed": [512, 512, [129680], "e020", "M498.5 13.44c-21.9-21.9-62.97-17.05-122.1 14.62c-7.777 4.154-10.71 13.84-6.528 21.65c4.154 7.809 13.9 10.75 21.65 6.528c47.01-25.18 76.34-28.3 84.4-20.18c6.591 6.622 8.714 33.73-25.27 93.58c-4.332 7.631-9.136 15.47-14.21 23.43c-35.86-62.63-103.2-105.1-180.4-105.1c-114.6 0-207.1 93.34-207.1 207.1c0 77.19 42.44 144.5 105.1 180.4c-7.951 5.076-15.79 9.88-23.42 14.21c-59.75 33.98-86.99 31.86-93.58 25.27c-8.121-8.09-5.029-37.33 20.18-84.4c4.185-7.809 1.249-17.49-6.528-21.65c-7.715-4.248-17.46-1.249-21.65 6.528c-31.67 59.13-36.58 100.2-14.62 122.1C22.5 507.5 34.68 512 49.98 512c24.18 0 56.1-11.21 95.45-33.58c13.53-7.69 27.61-16.59 41.1-26.41c21.5 7.542 44.52 11.96 68.56 11.96c114.6 0 207.1-93.34 207.1-207.1c0-24.04-4.406-47.08-11.95-68.58c9.825-14.39 18.72-28.46 26.41-41.1C514.1 81.07 521.7 36.68 498.5 13.44zM80.06 255.1c0-96.99 78.93-175.9 175.9-175.9c70.99 0 132.2 42.38 159.9 103.1c-29.04 40.51-65.76 83.48-107.5 125.2c-41.76 41.76-84.73 78.48-125.2 107.5C122.4 388.1 80.06 326.1 80.06 255.1zM431.9 255.1c0 96.99-78.93 175.9-175.9 175.9c-12.23 0-24.17-1.269-35.7-3.657c36.38-27.64 74.08-60.58 110.7-97.24s69.59-74.35 97.23-110.7C430.6 231.8 431.9 243.7 431.9 255.1z"],
    "plant-wilt": [512, 512, [], "e5aa", "M288 512H256V240C256 195.8 220.2 160 176 160C131.8 160 96 195.8 96 240V257.1C134.4 262.8 160 289.3 160 331.1C160 359.1 124.2 410.5 80 448C35.83 410.5 0 360.4 0 331.1C0 289.3 25.63 262.8 64 257.1V240C64 178.1 114.1 128 176 128C207.3 128 235.7 140.9 256 161.6V96C256 42.98 298.1 0 352 0C405 0 448 42.98 448 96V129.1C486.4 134.8 512 161.3 512 203.1C512 231.1 476.2 282.5 432 320C387.8 282.5 352 232.4 352 203.1C352 161.3 377.6 134.8 416 129.1V96C416 60.65 387.3 32 352 32C316.7 32 288 60.65 288 96V512zM395.9 171.5C389.3 177.5 384 187.3 384 203.1C384 207.3 387.9 220.3 401.7 240.2C409.9 252 420.3 264.4 431.1 276.3C443.7 264.4 454.1 251.9 462.2 240.1C476.1 220 480 207.1 480 203.1C480 187.3 474.7 177.5 468.1 171.5C463.5 167.3 456.9 163.7 448 161.7V192C448 200.8 440.8 208 432 208C423.2 208 416 200.8 416 192V161.7C407.1 163.7 400.5 167.3 395.9 171.5V171.5zM32 331.1C32 335.3 35.9 348.3 49.73 368.2C57.91 380 68.28 392.4 79.99 404.3C91.68 392.4 102.1 379.9 110.2 368.1C124.1 348 128 335.1 128 331.1C128 315.3 122.7 305.5 116.1 299.5C111.5 295.3 104.9 291.7 96 289.7V320.3C96 329.1 88.84 336.3 80 336.3C71.16 336.3 64 329.1 64 320.3V289.7C55.1 291.7 48.48 295.3 43.89 299.5C37.25 305.5 32 315.3 32 331.1V331.1z"],
    "plate-utensils": [640, 512, [58713], "e43b", "M624.3 18.08C627.4 19.41 630.3 21.36 632.6 23.79C635 26.23 636.9 29.11 638.2 32.27C639.4 35.43 640 38.81 640 42.21V480C640 484.2 638.3 488.3 635.3 491.3C632.3 494.3 628.2 496 624 496C619.8 496 615.7 494.3 612.7 491.3C609.7 488.3 608 484.2 608 480V320H562.9C556.1 319.9 549.4 318.5 543.2 315.8C536.9 313.1 531.2 309.1 526.5 304.2C521.8 299.3 518.1 293.6 515.6 287.2C513.1 280.9 511.9 274.1 512 267.3L512.4 158.2C512.2 128.3 520.8 99 537.3 74.03C553.7 49.05 577.2 29.51 604.8 17.89C607.8 16.64 611.1 16 614.4 16C617.8 16.04 621.2 16.74 624.3 18.08V18.08zM608 51.78C588.7 61.98 572.5 77.32 561.4 96.09C550.2 114.9 544.4 136.4 544.6 158.2L544 267.5C543.1 270.3 544.5 273 545.5 275.6C546.6 278.2 548.2 280.5 550.1 282.5C551.8 284.2 553.8 285.6 555.1 286.5C558.2 287.5 560.6 287.1 562.9 288H608V51.78zM145.9 209.9C136.9 218.9 124.7 224 112 224H96V480C96 484.2 94.31 488.3 91.31 491.3C88.31 494.3 84.24 496 80 496C75.76 496 71.69 494.3 68.69 491.3C65.69 488.3 64 484.2 64 480V224H48C35.27 224 23.06 218.9 14.06 209.9C5.057 200.9 0 188.7 0 176V32C0 27.76 1.686 23.69 4.686 20.69C7.687 17.69 11.76 16 16 16C20.24 16 24.31 17.69 27.31 20.69C30.31 23.69 32 27.76 32 32V176C32 180.2 33.69 184.3 36.69 187.3C39.69 190.3 43.76 192 48 192H64V32C64 27.76 65.69 23.69 68.69 20.69C71.69 17.69 75.76 16 80 16C84.24 16 88.31 17.69 91.31 20.69C94.31 23.69 96 27.76 96 32V192H112C116.2 192 120.3 190.3 123.3 187.3C126.3 184.3 128 180.2 128 176V32C128 27.76 129.7 23.69 132.7 20.69C135.7 17.69 139.8 16 144 16C148.2 16 152.3 17.69 155.3 20.69C158.3 23.69 160 27.76 160 32V176C160 188.7 154.9 200.9 145.9 209.9zM437.8 154.2C464.8 181.2 480 217.8 480 256C480 284.5 471.6 312.3 455.7 336C439.9 359.7 417.4 378.1 391.1 389C364.8 399.9 335.8 402.8 307.9 397.2C279.1 391.7 254.3 377.1 234.2 357.8C214 337.7 200.3 312 194.8 284.1C189.2 256.2 192.1 227.2 202.1 200.9C213.9 174.6 232.3 152.1 255.1 136.3C279.7 120.4 307.5 112 336 112C374.2 112 410.8 127.2 437.8 154.2L437.8 154.2zM415.2 335.2C436.2 314.2 448 285.7 448 256C448 233.9 441.4 212.2 429.1 193.8C416.8 175.4 399.3 161 378.9 152.5C358.4 144.1 335.9 141.8 314.1 146.2C292.4 150.5 272.5 161.1 256.8 176.8C241.1 192.5 230.5 212.4 226.2 234.2C221.8 255.9 224 278.4 232.5 298.9C241 319.3 255.4 336.8 273.8 349.1C292.2 361.4 313.8 368 336 368C365.7 368 394.2 356.2 415.2 335.2zM542.7 358.2C544 359.9 544.1 361.8 545.5 363.8C546.1 365.9 546.2 367.1 545.1 370.1C545.7 372.2 545 374.2 544 376C522.1 413.9 490.3 445.1 451.9 466.2C413.6 487.3 370.2 497.5 326.5 495.7C282.8 493.1 240.4 480.3 203.9 456.2C167.4 432.1 138.2 398.4 119.4 358.9C118.3 356.1 117.6 354.9 117.4 352.7C117.2 350.5 117.4 348.3 118 346.2C118.7 344.1 119.8 342.1 121.2 340.5C122.7 338.8 124.4 337.5 126.4 336.5C128.4 335.6 130.5 335.1 132.7 334.1C134.9 334.9 137.1 335.3 139.2 336.1C141.2 336.9 143.1 338.1 144.6 339.7C146.2 341.2 147.4 343.1 148.2 345.1C164.5 379.4 189.8 408.5 221.4 429.5C253 450.4 289.8 462.2 327.7 463.8C365.6 465.3 403.2 456.4 436.4 438.2C469.6 419.9 497.2 392.8 516.2 360C518.3 356.3 521.8 353.7 525.9 352.6C529.1 351.5 534.3 352 538 354.1C539.8 355.2 541.5 356.6 542.7 358.2V358.2zM195.5 95.9C191.3 95.4 187.5 93.24 184.8 89.91C182.2 86.57 181 82.33 181.5 78.11C182 73.9 184.2 70.05 187.5 67.43C229.8 34.1 282.1 15.98 336 15.98C389.9 15.98 442.2 34.1 484.5 67.43C487.8 70.05 489.1 73.9 490.5 78.11C490.1 82.33 489.8 86.57 487.2 89.91C484.5 93.24 480.7 95.4 476.5 95.9C472.2 96.4 468 95.21 464.7 92.58C427.8 64.23 382.5 48.86 336 48.86C289.5 48.86 244.2 64.23 207.3 92.58C203.1 95.21 199.8 96.4 195.5 95.9z"],
    "plate-wheat": [512, 512, [], "e55a", "M160 48C160 39.16 167.2 32 176 32C220.2 32 256 67.82 256 112V136C256 144.8 248.8 152 240 152C195.8 152 160 116.2 160 72V48zM192 66.73V72C192 92.9 205.4 110.7 224 117.3V112C224 91.1 210.6 73.32 192 66.73zM112 64C120.8 64 128 71.16 128 80C128 88.84 120.8 96 112 96H48C39.16 96 32 88.84 32 80C32 71.16 39.16 64 48 64H112zM144 144C152.8 144 160 151.2 160 160C160 168.8 152.8 176 144 176H16C7.164 176 0 168.8 0 160C0 151.2 7.164 144 16 144H144zM32 240C32 231.2 39.16 224 48 224H112C120.8 224 128 231.2 128 240C128 248.8 120.8 256 112 256H48C39.16 256 32 248.8 32 240zM368 112V136C368 144.8 360.8 152 352 152C307.8 152 272 116.2 272 72V48C272 39.16 279.2 32 288 32C332.2 32 368 67.82 368 112zM336 117.3V112C336 91.1 322.6 73.32 304 66.73V72C304 92.9 317.4 110.7 336 117.3zM384 48C384 39.16 391.2 32 400 32C444.2 32 480 67.82 480 112V136C480 144.8 472.8 152 464 152C419.8 152 384 116.2 384 72V48zM416 66.73V72C416 92.9 429.4 110.7 448 117.3V112C448 91.1 434.6 73.32 416 66.73zM352 168C360.8 168 368 175.2 368 184V208C368 252.2 332.2 288 288 288C279.2 288 272 280.8 272 272V248C272 203.8 307.8 168 352 168zM336 208V202.7C317.4 209.3 304 227.1 304 248V253.3C322.6 246.7 336 228.9 336 208zM256 208C256 252.2 220.2 288 176 288C167.2 288 160 280.8 160 272V248C160 203.8 195.8 168 240 168C248.8 168 256 175.2 256 184V208zM192 248V253.3C210.6 246.7 224 228.9 224 208V202.7C205.4 209.3 192 227.1 192 248zM464 168C472.8 168 480 175.2 480 184V208C480 252.2 444.2 288 400 288C391.2 288 384 280.8 384 272V248C384 203.8 419.8 168 464 168zM448 208V202.7C429.4 209.3 416 227.1 416 248V253.3C434.6 246.7 448 228.9 448 208zM481 320C498.1 320 512 333.9 512 350.1C512 408.2 466.7 454.9 409.9 457.1C402 470.8 387.2 480 370.3 480H141.7C124.8 480 109.1 470.8 102.1 457.1C45.33 454.9 0 408.2 0 350.1C0 333.9 13.86 320 30.97 320H481zM141.7 448H370.3C375.3 448 379.8 445.3 382.2 441.1C387.7 431.6 397.7 425.5 408.7 425.1C447.1 423.6 479.5 391.5 479.1 352H32.01C32.55 391.5 64.01 423.6 103.3 425.1C114.3 425.5 124.3 431.6 129.8 441.1C132.2 445.3 136.7 448 141.7 448V448z"],
    "play": [384, 512, [9654], "f04b", "M24.52 38.13C39.66 29.64 58.21 29.99 73.03 39.04L361 215C375.3 223.8 384 239.3 384 256C384 272.7 375.3 288.2 361 296.1L73.03 472.1C58.21 482 39.66 482.4 24.52 473.9C9.377 465.4 0 449.4 0 432V80C0 62.64 9.377 46.63 24.52 38.13V38.13zM56.34 66.35C51.4 63.33 45.22 63.21 40.17 66.04C35.13 68.88 32 74.21 32 80V432C32 437.8 35.13 443.1 40.17 445.1C45.22 448.8 51.41 448.7 56.34 445.7L344.3 269.7C349.1 266.7 352 261.6 352 256C352 250.4 349.1 245.3 344.3 242.3L56.34 66.35z"],
    "play-pause": [512, 512, [], "e22f", "M52.51 71.41C46.36 66.31 39.22 64 32.22 64C15.71 64 0 76.81 0 96.03v319.9C0 435.2 15.71 448 32.22 448c7.002 0 14.15-2.305 20.29-7.406l192-159.1c15.25-12.87 15.25-36.37 0-49.24L52.51 71.41zM32 415.1L31.78 96.18c.0586-.0527 .1816-.1113 .291-.1465l191.1 160L32 415.1zM368 64C359.2 64 352 71.16 352 80v352c0 8.836 7.164 16 16 16s16-7.164 16-16v-352C384 71.16 376.8 64 368 64zM496 64C487.2 64 480 71.16 480 80v352c0 8.836 7.164 16 16 16s16-7.164 16-16v-352C512 71.16 504.8 64 496 64z"],
    "plug": [384, 512, [128268], "f1e6", "M96 0C104.8 0 112 7.164 112 16V112H80V16C80 7.164 87.16 0 96 0zM288 0C296.8 0 304 7.164 304 16V112H272V16C272 7.164 279.2 0 288 0zM368 144C376.8 144 384 151.2 384 160C384 168.8 376.8 176 368 176H352V240C352 322.1 288.9 391.2 208 399.2V496C208 504.8 200.8 512 192 512C183.2 512 176 504.8 176 496V399.2C95.15 391.2 32 322.1 32 240V176H16C7.164 176 0 168.8 0 160C0 151.2 7.164 144 16 144H368zM192 368C262.7 368 320 310.7 320 240V176H64V240C64 310.7 121.3 368 192 368z"],
    "plug-circle-bolt": [576, 512, [], "e55b", "M96 0C104.8 0 112 7.164 112 16V112H80V16C80 7.164 87.16 0 96 0zM288 0C296.8 0 304 7.164 304 16V112H272V16C272 7.164 279.2 0 288 0zM368 144C376.8 144 384 151.2 384 160C384 168.8 376.8 176 368 176H352V211.2C340.6 217 329.8 224.1 320 232.2V176H64V240C64 310.7 121.3 368 192 368C215.7 368 237.8 361.6 256.9 350.4C256.3 356.2 256 362 256 368C256 374.2 256.3 380.3 256.9 386.3C241.7 393 225.3 397.5 208 399.2V496C208 504.8 200.8 512 192 512C183.2 512 176 504.8 176 496V399.2C95.15 391.2 32 322.1 32 240V176H16C7.164 176 0 168.8 0 160C0 151.2 7.164 144 16 144H368zM479.9 286.1C484.2 290.7 485.2 296.9 482.5 301.8L452.4 356H488C493.2 356 497.8 359.3 499.4 364.2C501 369.1 499.3 374.5 495.2 377.6L399.2 449.6C394.7 452.1 388.4 452.8 384.1 449C379.8 445.3 378.8 439.1 381.5 434.2L411.6 380H376C370.8 380 366.2 376.7 364.6 371.8C362.1 366.9 364.7 361.5 368.8 358.4L464.8 286.4C469.3 283 475.6 283.2 479.9 286.1V286.1zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 256C370.1 256 320 306.1 320 368C320 429.9 370.1 480 432 480C493.9 480 544 429.9 544 368C544 306.1 493.9 256 432 256z"],
    "plug-circle-check": [576, 512, [], "e55c", "M96 0C104.8 0 112 7.164 112 16V112H80V16C80 7.164 87.16 0 96 0zM288 0C296.8 0 304 7.164 304 16V112H272V16C272 7.164 279.2 0 288 0zM368 144C376.8 144 384 151.2 384 160C384 168.8 376.8 176 368 176H352V211.2C340.6 217 329.8 224.1 320 232.2V176H64V240C64 310.7 121.3 368 192 368C215.7 368 237.8 361.6 256.9 350.4C256.3 356.2 256 362 256 368C256 374.2 256.3 380.3 256.9 386.3C241.7 393 225.3 397.5 208 399.2V496C208 504.8 200.8 512 192 512C183.2 512 176 504.8 176 496V399.2C95.15 391.2 32 322.1 32 240V176H16C7.164 176 0 168.8 0 160C0 151.2 7.164 144 16 144H368zM499.3 324.7C505.6 330.9 505.6 341.1 499.3 347.3L427.3 419.3C421.1 425.6 410.9 425.6 404.7 419.3L364.7 379.3C358.4 373.1 358.4 362.9 364.7 356.7C370.9 350.4 381.1 350.4 387.3 356.7L416 385.4L476.7 324.7C482.9 318.4 493.1 318.4 499.3 324.7H499.3zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 480C493.9 480 544 429.9 544 368C544 306.1 493.9 256 432 256C370.1 256 320 306.1 320 368C320 429.9 370.1 480 432 480z"],
    "plug-circle-exclamation": [576, 512, [], "e55d", "M96 0C104.8 0 112 7.164 112 16V112H80V16C80 7.164 87.16 0 96 0zM288 0C296.8 0 304 7.164 304 16V112H272V16C272 7.164 279.2 0 288 0zM368 144C376.8 144 384 151.2 384 160C384 168.8 376.8 176 368 176H352V211.2C340.6 217 329.8 224.1 320 232.2V176H64V240C64 310.7 121.3 368 192 368C215.7 368 237.8 361.6 256.9 350.4C256.3 356.2 256 362 256 368C256 374.2 256.3 380.3 256.9 386.3C241.7 393 225.3 397.5 208 399.2V496C208 504.8 200.8 512 192 512C183.2 512 176 504.8 176 496V399.2C95.15 391.2 32 322.1 32 240V176H16C7.164 176 0 168.8 0 160C0 151.2 7.164 144 16 144H368zM408 424C408 410.7 418.7 400 432 400C445.3 400 456 410.7 456 424C456 437.3 445.3 448 432 448C418.7 448 408 437.3 408 424zM431.1 288C440.8 288 447.1 295.2 447.1 304V368C447.1 376.8 440.8 384 431.1 384C423.2 384 415.1 376.8 415.1 368V304C415.1 295.2 423.2 288 431.1 288zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 256C370.1 256 320 306.1 320 368C320 429.9 370.1 480 432 480C493.9 480 544 429.9 544 368C544 306.1 493.9 256 432 256z"],
    "plug-circle-minus": [576, 512, [], "e55e", "M96 0C104.8 0 112 7.164 112 16V112H80V16C80 7.164 87.16 0 96 0zM288 0C296.8 0 304 7.164 304 16V112H272V16C272 7.164 279.2 0 288 0zM368 144C376.8 144 384 151.2 384 160C384 168.8 376.8 176 368 176H352V211.2C340.6 217 329.8 224.1 320 232.2V176H64V240C64 310.7 121.3 368 192 368C215.7 368 237.8 361.6 256.9 350.4C256.3 356.2 256 362 256 368C256 374.2 256.3 380.3 256.9 386.3C241.7 393 225.3 397.5 208 399.2V496C208 504.8 200.8 512 192 512C183.2 512 176 504.8 176 496V399.2C95.15 391.2 32 322.1 32 240V176H16C7.164 176 0 168.8 0 160C0 151.2 7.164 144 16 144H368zM512 367.1C512 376.8 504.8 383.1 496 383.1H368C359.2 383.1 352 376.8 352 367.1C352 359.2 359.2 351.1 368 351.1H496C504.8 351.1 512 359.2 512 367.1zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 480C493.9 480 544 429.9 544 368C544 306.1 493.9 256 432 256C370.1 256 320 306.1 320 368C320 429.9 370.1 480 432 480z"],
    "plug-circle-plus": [576, 512, [], "e55f", "M96 0C104.8 0 112 7.164 112 16V112H80V16C80 7.164 87.16 0 96 0zM288 0C296.8 0 304 7.164 304 16V112H272V16C272 7.164 279.2 0 288 0zM368 144C376.8 144 384 151.2 384 160C384 168.8 376.8 176 368 176H352V211.2C340.6 217 329.8 224.1 320 232.2V176H64V240C64 310.7 121.3 368 192 368C215.7 368 237.8 361.6 256.9 350.4C256.3 356.2 256 362 256 368C256 374.2 256.3 380.3 256.9 386.3C241.7 393 225.3 397.5 208 399.2V496C208 504.8 200.8 512 192 512C183.2 512 176 504.8 176 496V399.2C95.15 391.2 32 322.1 32 240V176H16C7.164 176 0 168.8 0 160C0 151.2 7.164 144 16 144H368zM448 351.1H496C504.8 351.1 512 359.2 512 367.1C512 376.8 504.8 383.1 496 383.1H448V431.1C448 440.8 440.8 447.1 432 447.1C423.2 447.1 416 440.8 416 431.1V383.1H368C359.2 383.1 352 376.8 352 367.1C352 359.2 359.2 351.1 368 351.1H416V303.1C416 295.2 423.2 287.1 432 287.1C440.8 287.1 448 295.2 448 303.1V351.1zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 256C370.1 256 320 306.1 320 368C320 429.9 370.1 480 432 480C493.9 480 544 429.9 544 368C544 306.1 493.9 256 432 256z"],
    "plug-circle-xmark": [576, 512, [], "e560", "M96 0C104.8 0 112 7.164 112 16V112H80V16C80 7.164 87.16 0 96 0zM288 0C296.8 0 304 7.164 304 16V112H272V16C272 7.164 279.2 0 288 0zM368 144C376.8 144 384 151.2 384 160C384 168.8 376.8 176 368 176H352V211.2C340.6 217 329.8 224.1 320 232.2V176H64V240C64 310.7 121.3 368 192 368C215.7 368 237.8 361.6 256.9 350.4C256.3 356.2 256 362 256 368C256 374.2 256.3 380.3 256.9 386.3C241.7 393 225.3 397.5 208 399.2V496C208 504.8 200.8 512 192 512C183.2 512 176 504.8 176 496V399.2C95.15 391.2 32 322.1 32 240V176H16C7.164 176 0 168.8 0 160C0 151.2 7.164 144 16 144H368zM454.6 368L491.3 404.7C497.6 410.9 497.6 421.1 491.3 427.3C485.1 433.6 474.9 433.6 468.7 427.3L432 390.6L395.3 427.3C389.1 433.6 378.9 433.6 372.7 427.3C366.4 421.1 366.4 410.9 372.7 404.7L409.4 368L372.7 331.3C366.4 325.1 366.4 314.9 372.7 308.7C378.9 302.4 389.1 302.4 395.3 308.7L432 345.4L468.7 308.7C474.9 302.4 485.1 302.4 491.3 308.7C497.6 314.9 497.6 325.1 491.3 331.3L454.6 368zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 256C370.1 256 320 306.1 320 368C320 429.9 370.1 480 432 480C493.9 480 544 429.9 544 368C544 306.1 493.9 256 432 256z"],
    "plus": [448, 512, [10133, 61543, "add"], "2b", "M432 256C432 264.8 424.8 272 416 272h-176V448c0 8.844-7.156 16.01-16 16.01S208 456.8 208 448V272H32c-8.844 0-16-7.15-16-15.99C16 247.2 23.16 240 32 240h176V64c0-8.844 7.156-15.99 16-15.99S240 55.16 240 64v176H416C424.8 240 432 247.2 432 256z"],
    "plus-large": [512, 512, [], "e59e", "M272 240H496C504.8 240 512 247.2 512 256C512 264.8 504.8 272 496 272H272V496C272 504.8 264.8 512 255.1 512C247.2 512 239.1 504.8 239.1 496V272H16C7.164 272 0 264.8 0 256C0 247.2 7.164 240 16 240H239.1V16C239.1 7.164 247.2 0 255.1 0C264.8 0 272 7.164 272 16V240z"],
    "plus-minus": [384, 512, [], "e43c", "M16 208h160v160c0 8.844 7.156 16 16 16s16-7.156 16-16v-160h160C376.8 208 384 200.8 384 192s-7.156-15.99-16-15.99L208 176v-160c0-8.844-7.156-15.99-16-15.99S176 7.156 176 16v160l-160 .0073C7.156 176 0 183.2 0 192S7.156 208 16 208zM368 480h-352C7.156 480 0 487.2 0 496S7.156 512 16 512h352c8.844 0 16-7.156 16-16S376.8 480 368 480z"],
    "podcast": [448, 512, [], "f2ce", "M224 312c-32.88 0-64 8.625-64 43.75c0 33.13 12.88 104.5 20.62 132.8C185.8 507.7 205.1 512 224 512s38.25-4.375 43.38-23.38C275.1 459.9 288 388.8 288 355.8C288 320.6 256.9 312 224 312zM237 478.5c-6 2-20 2-26 0C203.5 449.5 192 383.4 192 355.8c0-16.25 64-16.38 64 0C256 383.4 244.5 449.6 237 478.5zM224 160C188.6 160 160 188.6 160 224s28.62 64 64 64s64-28.62 64-64S259.4 160 224 160zM224 256C206.4 256 192 241.6 192 224s14.38-32 32-32s32 14.38 32 32S241.6 256 224 256zM224 0C100.5 0 0 100.5 0 224c0 69.39 31.41 133.8 86.16 176.6c6.875 5.406 16.97 4.203 22.44-2.75c5.469-6.969 4.219-17.02-2.75-22.47C58.91 338.7 32 283.5 32 224c0-105.9 86.13-192 192-192s192 86.13 192 192c0 59.48-26.91 114.7-73.84 151.4c-6.969 5.453-8.219 15.5-2.75 22.47C342.6 401.9 347.3 403.1 352 403.1c3.469 0 6.938-1.109 9.844-3.391C416.6 357.8 448 293.4 448 224C448 100.5 347.5 0 224 0zM368 224c0-79.41-64.59-144-144-144S80 144.6 80 224c0 25.34 6.656 50.25 19.28 72.02c4.438 7.672 14.25 10.2 21.88 5.828c7.625-4.422 10.25-14.22 5.812-21.86C117.2 263.1 112 243.7 112 224c0-61.75 50.25-112 112-112s112 50.25 112 112c0 19.72-5.188 39.08-14.97 55.98c-4.438 7.641-1.812 17.44 5.812 21.86C329.4 303.3 332.1 304 334.9 304c5.5 0 10.88-2.859 13.84-7.984C361.3 274.3 368 249.3 368 224z"],
    "podium": [448, 512, [], "f680", "M432 160H96V144c0-39.75 29.25-72.63 67.38-78.75C170.3 83.25 187.6 96 208 96h62.39c24.41 0 46.15-17.54 49.22-41.75C323.3 24.97 300.6 0 272 0h-64C186.6 0 168.8 14 162.5 33.38C107.1 40.13 64 86.88 64 144V160H16C7.199 160 0 167.2 0 176C0 184.8 7.199 192 16 192h416C440.8 192 448 184.8 448 176C448 167.2 440.8 160 432 160zM208 32h64C280.9 32 288 39.13 288 48S280.9 64 272 64h-64C199.1 64 192 56.88 192 48S199.1 32 208 32zM385.8 224.1c-9.109-.9062-16.72 5.344-17.7 14.09l-26.22 230.7C341.2 475.2 335.6 480 328.9 480H119.1c-6.688 0-12.28-4.781-13.02-11.12L79.89 238.2C78.91 229.4 71.22 223.2 62.19 224.1C53.41 225.1 47.11 233 48.11 241.8l26.22 230.7C76.89 495 96.14 512 119.1 512h209.8c22.98 0 42.23-16.97 44.8-39.5l26.22-230.7C400.9 233 394.6 225.1 385.8 224.1z"],
    "podium-star": [448, 512, [], "f758", "M313.1 305.3c-2.1-9.125-10.75-15.62-20.25-17L261.1 283.5L246.5 253.8c-4.25-8.625-12.75-13.88-22.38-13.88S205.9 245.1 201.8 253.8L187 283.5L154.3 288.3c-9.5 1.375-17.12 7.875-20.12 17s-.5 19 6.25 25.62L164.1 354L158.5 386.6c-1.625 9.5 2.25 19 10.12 24.5C173 414.4 178.1 416 183.3 416c4 0 7.875-1 11.5-2.875l29.38-15.5l29.12 15.5c8.5 4.375 18.5 3.75 26.38-2c7.75-5.5 11.62-15 10-24.5L284 354.1l23.75-23.12C314.6 324.3 317 314.5 313.1 305.3zM249.5 342.9l6 35.25L224 361.4L192.4 378l6-35.25l-25.62-25l35.5-5.125l15.75-32l15.75 32l35.38 5.25L249.5 342.9zM432 160H96V144c0-39.75 29.25-72.63 67.38-78.75C170.3 83.25 187.6 96 208 96h62.39c24.41 0 46.15-17.54 49.22-41.75C323.3 24.97 300.6 0 272 0h-64C186.6 0 168.8 14 162.5 33.38C107.1 40.13 64 86.88 64 144V160H16C7.199 160 0 167.2 0 176C0 184.8 7.199 192 16 192h416C440.8 192 448 184.8 448 176C448 167.2 440.8 160 432 160zM208 32h64C280.9 32 288 39.13 288 48S280.9 64 272 64h-64C199.1 64 192 56.88 192 48S199.1 32 208 32zM385.8 224.1c-9.109-.9062-16.72 5.344-17.7 14.09l-26.22 230.7C341.2 475.2 335.6 480 328.9 480H119.1c-6.688 0-12.28-4.781-13.02-11.12L79.89 238.2C78.91 229.4 71.22 223.2 62.19 224.1C53.41 225.1 47.11 233 48.11 241.8l26.22 230.7C76.89 495 96.14 512 119.1 512h209.8c22.98 0 42.23-16.97 44.8-39.5l26.22-230.7C400.9 233 394.6 225.1 385.8 224.1z"],
    "police-box": [384, 512, [], "e021", "M88 272C88 263.2 95.16 256 104 256H168C176.8 256 184 263.2 184 272V336C184 344.8 176.8 352 168 352H104C95.16 352 88 344.8 88 336V272zM160 328V280H112V328H160zM168 128C176.8 128 184 135.2 184 144V208C184 216.8 176.8 224 168 224H104C95.16 224 88 216.8 88 208V144C88 135.2 95.16 128 104 128H168zM112 152V172H132V152H112zM140 152V172H160V152H140zM140 180V200H160V180H140zM132 200V180H112V200H132zM200 144C200 135.2 207.2 128 216 128H280C288.8 128 296 135.2 296 144V208C296 216.8 288.8 224 280 224H216C207.2 224 200 216.8 200 208V144zM244 200V180H224V200H244zM252 200H272V180H252V200zM252 172H272V152H252V172zM244 152H224V172H244V152zM208 32H288C305.7 32 320 46.33 320 64V64.8C338.3 68.51 352 84.65 352 104V480H368C376.8 480 384 487.2 384 496C384 504.8 376.8 512 368 512H16C7.164 512 0 504.8 0 496C0 487.2 7.164 480 16 480H32V104C32 84.65 45.74 68.51 64 64.8V64C64 46.33 78.33 32 96 32H176V16C176 7.164 183.2 0 192 0C200.8 0 208 7.164 208 16V32zM312 96H304C295.2 96 288 88.84 288 80V64H96V80C96 88.84 88.84 96 80 96H72C67.58 96 64 99.58 64 104V480H320V104C320 99.58 316.4 96 312 96z"],
    "poll-people": [640, 512, [], "f759", "M144 48C144 74.51 122.5 96 96 96C69.49 96 48 74.51 48 48C48 21.49 69.49 0 96 0C122.5 0 144 21.49 144 48zM96 32C87.17 32 80 39.16 80 48C80 56.84 87.17 64 96 64C104.8 64 112 56.84 112 48C112 39.16 104.8 32 96 32zM592 32C618.5 32 640 53.49 640 80V144C640 170.5 618.5 192 592 192H272C245.5 192 224 170.5 224 144V80C224 53.49 245.5 32 272 32H592zM592 64H512V160H592C600.8 160 608 152.8 608 144V80C608 71.16 600.8 64 592 64zM256 80V144C256 152.8 263.2 160 272 160H480V64H272C263.2 64 256 71.16 256 80zM592 320C618.5 320 640 341.5 640 368V432C640 458.5 618.5 480 592 480H272C245.5 480 224 458.5 224 432V368C224 341.5 245.5 320 272 320H592zM592 352H384V448H592C600.8 448 608 440.8 608 432V368C608 359.2 600.8 352 592 352zM256 368V432C256 440.8 263.2 448 272 448H352V352H272C263.2 352 256 359.2 256 368zM1.118 486.1C6.122 446 40.15 416 80.5 416H111.5C151.8 416 185.9 446 190.9 486.1L191.9 494C192.1 502.8 186.8 510.8 177.1 511.9C169.2 512.1 161.2 506.8 160.1 497.1L159.1 490C156.1 466 135.7 448 111.5 448H80.5C56.29 448 35.87 466 32.87 490L31.88 497.1C30.78 506.8 22.79 512.1 14.02 511.9C5.249 510.8-.9708 502.8 .1252 494L1.118 486.1zM1.118 198.1C6.122 158 40.15 128 80.5 128H111.5C151.8 128 185.9 158 190.9 198.1L191.9 206C192.1 214.8 186.8 222.8 177.1 223.9C169.2 224.1 161.2 218.8 160.1 209.1L159.1 202C156.1 178 135.7 160 111.5 160H80.5C56.29 160 35.87 178 32.87 202L31.88 209.1C30.78 218.8 22.79 224.1 14.02 223.9C5.249 222.8-.9708 214.8 .1252 206L1.118 198.1zM144 336C144 362.5 122.5 384 96 384C69.49 384 48 362.5 48 336C48 309.5 69.49 288 96 288C122.5 288 144 309.5 144 336zM96 320C87.17 320 80 327.2 80 336C80 344.8 87.17 352 96 352C104.8 352 112 344.8 112 336C112 327.2 104.8 320 96 320z"],
    "pompebled": [512, 512, [], "e43d", "M257.2 22.67C310.5 59.49 315.3 139.8 278.7 206.2L278.3 206.9L277.8 207.6C277.2 208.5 277.5 209.5 278.2 210C278.4 210.2 278.5 210.2 278.6 210.2C278.7 210.3 278.8 210.3 278.9 210.3C278.9 210.2 279 210.2 279.1 210.1C279.3 210.1 279.4 209.9 279.6 209.7L279.1 209.1L280.4 208.6C328.3 150.6 403.8 126.1 456.9 164.2C520.8 209.6 528.1 304.3 482 373.9C398.6 497.1 224.9 558.9 101.5 470.4C101.5 470.4 101.5 470.4 101.5 470.4C-21.87 382.3-27.38 196.3 56.06 73.06C56.06 73.07 56.05 73.08 56.04 73.09L69.33 81.1L56.08 73.03C56.08 73.04 56.07 73.05 56.06 73.06C103.1 2.894 192.9-22.8 257.2 22.67L257.2 22.67zM238.8 48.84C192.6 16.11 122.2 31.91 82.62 90.91L82.58 90.97C5.729 204.5 14.97 369.3 120.1 444.4C224.2 519 378.6 469.5 455.5 355.1C495.1 297.3 484.9 223.3 438.3 190.3L438.2 190.3C404.8 166.2 347.9 177.5 305.5 228.5C294.8 243.2 274.4 246.8 259.4 235.1C244.7 225.4 241.2 205.2 250.1 190.2C283.1 131.4 273.1 72.44 238.1 48.96L238.8 48.84zM110.8 457.4L101.5 470.4z"],
    "poo": [512, 512, [128169], "f2fe", "M320 296c13.26 0 24-10.75 24-24S333.3 248 320 248c-13.25 0-24 10.75-24 24S306.7 296 320 296zM192 296c13.26 0 24-10.75 24-24S205.3 248 192 248c-13.25 0-24 10.75-24 24S178.7 296 192 296zM472.7 348.3c6.727-12.65 10.33-26.86 10.33-41.65c0-39.51-25.7-73.13-61.26-85.03c2.24-7.496 3.395-15.37 3.395-23.47c0-37.01-24.53-68.41-58.19-78.77C367.2 116.7 367.3 114 367.3 111.3c0-61.39-49.94-111.3-111.3-111.3c-.3457 0-1.934 .0195-2.279 .0313C242.8 .3867 232.8 6.326 227.2 15.77c-5.564 9.445-5.908 21.08-.9102 30.83C229.7 53.32 231.5 60.5 231.5 67.93c0 26.36-21.44 47.8-47.8 47.8H169.2c-45.44 0-82.4 36.96-82.4 82.4c0 8.1 1.154 15.97 3.393 23.47C54.63 233.5 28.93 267.1 28.93 306.6c0 14.79 3.605 28.99 10.33 41.64C15.3 364.4 0 391.7 0 422.4C0 471.8 40.21 512 89.63 512h332.7C471.8 512 512 471.8 512 422.4C512 391.7 496.7 364.4 472.7 348.3zM422.4 480H89.63C57.86 480 32 454.1 32 422.4c0-28.37 20.42-52.21 48.53-56.7c6.494-1.059 8.539-9.359 3.34-13.31c-14.58-11.1-22.94-27.75-22.94-45.72c0-31.78 25.86-57.63 57.63-57.63h12.78c6.926 0 10.07-8.605 4.9-13.1C124.1 226.1 118.8 212.7 118.8 198.1c0-27.8 22.6-50.4 50.4-50.4H183.7c43.1 0 79.8-35.8 79.8-79.8c0-12.5-2.975-24.73-8.705-35.92c42.01-1.361 80.57 33.62 80.57 79.32c0 8.617-1.633 17.5-4.855 26.38c-1.869 5.141 .3613 10.02 12.32 10.02c27.79 0 50.4 22.61 50.4 50.4c0 14.55-6.199 27.97-17.44 37.77C370.6 240.4 373.7 249 380.7 249h12.78c31.78 0 57.63 25.86 57.63 57.63c0 17.97-8.355 34.62-22.94 45.72c-5.193 3.951-3.164 12.25 3.34 13.31C459.6 370.2 480 394 480 422.4C480 454.1 454.1 480 422.4 480zM352 352H160c-5.031 0-9.781 2.375-12.78 6.375c-3.031 4.031-4 9.25-2.594 14.06C157.2 415.7 213.8 448 256 448s98.84-32.31 111.4-75.56c1.406-4.812 .4375-10.03-2.594-14.06C361.8 354.4 357 352 352 352zM256 416c-23.75 0-51.91-14.19-68.25-32h136.5C307.9 401.8 279.8 416 256 416z"],
    "poo-storm": [448, 512, ["poo-bolt"], "f75a", "M392.9 197.8C393 195.9 393.1 194 393.1 192c0-36-22.88-66.75-54.88-79.25V112C338.3 50.25 287 0 224 0C217.5 0 211.6 .75 206.3 1.625C195.1 3.25 185.8 10.75 181.5 21S178.8 43.25 185.3 52.25C188.4 56.25 192 63.13 192 71.88C192 91 175.6 106.6 155.4 106.6H141.8c-48 0-87 38.25-87 85.25c0 1.875 .125 3.875 .25 5.875C22.38 214.3 0 247.6 0 285.3c0 53 42.75 96.44 96 98.82c8.836 0 16-7.23 16-16.07C112 359.2 104.8 352 96 352c-35.58-2.262-64-31.54-64-66.75C32 250.5 59.88 222 95 219.3C89.1 211.3 86.75 202 86.75 192c0-29.5 24.62-53.25 55-53.25h13.62C193.3 138.8 224 108.9 224 72c0-14.5-4.875-27.75-12.88-38.75C215.3 32.75 219.6 32 224 32c45.38 0 82.25 35.75 82.25 80c0 9.375-2 18.25-5 26.75h5c30.38 0 55 23.88 55 53.25c0 10.12-3.25 19.25-8.25 27.25C388.1 222 416 250.5 416 285.3c0 33.5-30.88 62-64 66.75c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16c53.31-2.428 96-45.8 96-98.75C448 247.6 425.6 214.3 392.9 197.8zM288 352H195.3l88.78-101.5c5.844-6.656 5.156-16.75-1.5-22.56c-6.594-5.781-16.72-5.188-22.56 1.5l-112 128c-4.156 4.719-5.125 11.44-2.531 17.16S153.7 384 160 384h92.75l-88.78 101.5c-5.844 6.656-5.156 16.75 1.5 22.56C168.5 510.7 172.2 512 175.1 512c4.438 0 8.876-1.844 12.03-5.469l112-128c4.156-4.719 5.125-11.44 2.531-17.16S294.3 352 288 352z"],
    "pool-8-ball": [512, 512, [], "e3c5", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480zM256 48C176.6 48 112 112.6 112 192s64.59 144 144 144s144-64.59 144-144S335.4 48 256 48zM256 304C194.3 304 144 253.8 144 192S194.3 80 256 80s112 50.25 112 112S317.8 304 256 304zM304 144C304 117.5 282.5 96 256 96S208 117.5 208 144c0 11.53 4.25 21.97 11.04 30.26C207.5 184.5 200 199.3 200 216C200 246.9 225.1 272 256 272s56-25.12 56-56c0-16.66-7.459-31.48-19.04-41.74C299.8 165.1 304 155.5 304 144zM256 128c8.828 0 16 7.188 16 16S264.8 160 256 160S240 152.8 240 144S247.2 128 256 128zM256 240c-13.23 0-24-10.78-24-24S242.8 192 256 192s24 10.78 24 24S269.2 240 256 240z"],
    "poop": [512, 512, [], "f619", "M472.7 348.3c6.727-12.65 10.33-26.86 10.33-41.65c0-39.51-25.7-73.13-61.26-85.03c2.24-7.496 3.395-15.37 3.395-23.47c0-37.01-24.53-68.41-58.19-78.77C367.2 116.7 367.3 114 367.3 111.3C367.3 49.94 317.4 0 256 0C255.7 0 254.1 .0195 253.7 .0313C242.8 .3867 232.8 6.326 227.2 15.77c-5.564 9.445-5.908 21.08-.9102 30.83C229.7 53.32 231.5 60.5 231.5 67.93c0 26.36-21.44 47.8-47.8 47.8H169.2c-45.44 0-82.4 36.96-82.4 82.4c0 8.1 1.154 15.97 3.393 23.47C54.63 233.5 28.93 267.1 28.93 306.6c0 14.79 3.605 28.99 10.33 41.64C15.3 364.4 0 391.7 0 422.4C0 471.8 40.21 512 89.63 512h332.7C471.8 512 512 471.8 512 422.4C512 391.7 496.7 364.4 472.7 348.3zM422.4 480H89.63C57.86 480 32 454.1 32 422.4c0-28.37 20.42-52.21 48.53-56.7c6.494-1.059 8.539-9.358 3.34-13.31c-14.58-11.1-22.94-27.75-22.94-45.72c0-31.78 25.86-57.63 57.63-57.63h12.78c6.927 0 10.07-8.605 4.9-13.1C124.1 226.1 118.8 212.7 118.8 198.1c0-27.8 22.6-50.4 50.4-50.4H183.7c43.1 0 79.8-35.8 79.8-79.8c0-12.5-2.975-24.73-8.705-35.92c42.01-1.361 80.57 33.62 80.57 79.32c0 8.617-1.633 17.5-4.855 26.38c-1.869 5.142 .3608 10.02 12.32 10.02c27.79 0 50.4 22.61 50.4 50.4c0 14.55-6.199 27.97-17.44 37.77C370.6 240.4 373.7 249 380.7 249h12.78c31.78 0 57.63 25.86 57.63 57.63c0 17.97-8.355 34.62-22.94 45.72c-5.194 3.952-3.163 12.25 3.34 13.31C459.6 370.2 480 394 480 422.4C480 454.1 454.1 480 422.4 480z"],
    "popcorn": [448, 512, [127871], "f819", "M444.8 198.3C441.7 194.3 437 192 432 192h-416C11 192 6.281 194.3 3.25 198.3c-3 3.984-4 9.156-2.656 13.97l80 288C82.5 507.2 88.81 512 96 512h256c7.188 0 13.5-4.797 15.41-11.72l80-288C448.8 207.5 447.8 202.3 444.8 198.3zM339.8 480H108.2L37.06 224h61.06l30.04 210.3C129.3 442.3 136.2 448 143.1 448c.75 0 1.531-.0469 2.281-.1562c8.75-1.25 14.84-9.359 13.59-18.11L130.5 224L208 224V432c0 8.844 7.156 16 16 16s16-7.156 16-16V224L317.5 224l-29.39 205.7c-1.25 8.75 4.844 16.86 13.59 18.11C302.5 447.1 303.3 448 304 448c7.812 0 14.66-5.75 15.81-13.73L349.9 224h61.06L339.8 480zM22.41 147.1c5.969-10.73 15.41-19.09 26.72-24.06C47.5 111.3 49.75 99.03 55.94 88.5c9.625-16.83 27.12-27.36 46.31-28.75c5.719-16.83 19.41-30.42 37.44-35.95c11.88-3.844 24.75-3.719 36.5 .125c7.219-10 17.56-17.53 29.59-21.25c25.16-7.547 51.69 1.75 65.81 21.28c11.88-3.922 24.84-4.062 36.91-.2187c18 5.656 31.66 19.27 37.31 36.03c19.16 1.406 36.66 11.95 46.34 28.91c6.062 10.66 8.281 22.69 6.656 34.34c11 4.891 20.34 13.11 26.59 23.73c4.5 7.609 1.938 17.42-5.656 21.89c-7.625 4.422-17.44 1.984-21.91-5.672c-4.375-7.391-12.09-12.23-20.66-12.92c-5.406-.4531-10.22-3.609-12.78-8.391c-2.562-4.797-2.531-10.55 .0938-15.31c3.781-6.844 3.719-15.02-.1562-21.83c-5.438-9.547-17.28-14.64-28.59-12.36c-4.625 1-9.5-.2656-13.19-3.25s-5.875-7.453-5.938-12.2c-.1562-10.14-7.312-19.17-17.81-22.47c-8.344-2.672-17.66-1.172-24.75 4.062c-4.812 3.594-11.28 4.203-16.75 1.469c-4.25-2.141-7.281-6.031-8.375-10.53c-.0625-.2187-.1562-.4375-.2187-.6562C244.4 35.84 229.4 29 215.2 33.28C207.2 35.72 200.9 42 198.4 50.06C196.8 54.97 193 58.83 188.1 60.42C183.2 62.02 177.8 61.17 173.7 58.14c-7-5.094-16.16-6.5-24.38-3.828C138.7 57.56 131.6 66.59 131.4 76.83c-.125 4.734-2.312 9.156-6 12.12C121.7 91.89 116.9 93.16 112.3 92.16C100.9 89.89 89.09 94.97 83.66 104.5c-4 6.781-4.031 15.02-.25 21.66C86.09 130.9 86.19 136.7 83.69 141.5S76.38 149.5 70.97 150c-8.844 .8125-16.75 5.641-20.62 12.61C47.44 167.9 41.97 170.9 36.38 170.9c-2.656 0-5.312-.6406-7.781-2.016C20.88 164.5 18.09 154.8 22.41 147.1z"],
    "popsicle": [320, 512, [], "e43e", "M273.1 46.86C303.1 76.87 320 117.6 320 160V352C320 360.5 316.6 368.6 310.6 374.6C304.6 380.6 296.5 384 288 384H176V496C176 500.2 174.3 504.3 171.3 507.3C168.3 510.3 164.2 512 160 512C155.8 512 151.7 510.3 148.7 507.3C145.7 504.3 144 500.2 144 496V384H32C23.51 384 15.37 380.6 9.372 374.6C3.371 368.6 0 360.5 0 352V160C0 117.6 16.86 76.87 46.86 46.86C76.87 16.86 117.6 0 160 0C202.4 0 243.1 16.86 273.1 46.86zM288 160C288 126.1 274.5 93.5 250.5 69.49C226.5 45.49 193.9 32 160 32C126.1 32 93.5 45.49 69.49 69.49C45.49 93.5 32 126.1 32 160V352H144V192C144 187.8 145.7 183.7 148.7 180.7C151.7 177.7 155.8 176 160 176C164.2 176 168.3 177.7 171.3 180.7C174.3 183.7 176 187.8 176 192V352H288V160z"],
    "pot-food": [640, 512, [127858], "e43f", "M608 256h-32.04c-.1055-17.71-14.4-32-31.96-32h-1.615C534.5 169.9 488.3 128 432 128s-102.5 41.86-110.4 95.1H96C78.44 223.1 64.15 238.3 64.04 256H32C23.16 256 16 263.2 16 272C16 280.8 23.16 288 32 288h34.13c10.01 82.12 57.1 152.2 125.9 192c0 17.67 14.33 32 32 32h191.1c17.67 0 32-14.33 32-32c67.87-39.76 115.9-109.9 125.9-192H608c8.836 0 16-7.164 16-16C624 263.2 616.8 256 608 256zM432 160c38.64 0 70.95 27.53 78.38 63.1h-156.8C361 187.5 393.4 160 432 160zM543.1 256.2c0 80.49-42.98 155.7-112.2 196.2l-15.83 9.27V480H224v-18.34L208.2 452.4c-69.19-40.53-112.2-115.7-112.2-196.4h239.1C335.1 255.1 335.1 256 336 256s.0117-.0039 .0195-.0039h191.1C527.1 255.1 527.1 256 528 256s.0117-.0039 .0195-.0039h15.98V256.2zM232.8 110.3C247.1 117.5 256 131.8 256 147.8V176C256 184.8 263.2 192 272 192S288 184.8 288 176V147.8c0-28.16-15.66-53.48-40.84-66.09C232.9 74.55 224 60.19 224 44.22V16C224 7.156 216.8 0 208 0S192 7.156 192 16v28.22C192 72.38 207.7 97.7 232.8 110.3zM136.8 110.3C151.1 117.5 160 131.8 160 147.8V176C160 184.8 167.2 192 176 192S192 184.8 192 176V147.8c0-28.16-15.66-53.48-40.84-66.09C136.9 74.55 128 60.19 128 44.22V16C128 7.156 120.8 0 112 0S96 7.156 96 16v28.22C96 72.38 111.7 97.7 136.8 110.3z"],
    "potato": [576, 512, [129364], "e440", "M224 236C212.1 236 204 244.1 204 256S212.1 276 224 276S244 267 244 256S235 236 224 236zM192 364c-11.03 0-20 8.969-20 20S180.1 404 192 404S212 395 212 384S203 364 192 364zM544 161.2C544 63.39 451.4 0 382.8 0C302.3 0 260.1 75.41 237.2 83.82c-51.67 16.19-82.79 59.16-107.8 93.7C95.04 224.1 31.84 273.8 31.84 354.9C31.84 424.2 89.27 512 189.4 512c30.71 0 60.54-9.35 86.28-27.04c30.5-20.98 112.4-26.29 153.7-90.61c12.92-20.28 21.61-39.93 29.29-57.26C492.1 261.4 544 243.9 544 161.2zM512.2 161c0 28.29-10.65 62.99-45.83 100.4c-29.82 31.68-36.47 72.64-63.85 115.6c-22.11 34.45-60.89 47.96-95.1 59.86C240.1 460.1 238.4 480 189.4 480c-70.38 0-125.3-60.4-125.3-125.3c0-58.35 44.43-103.7 61.89-121.5c32.5-32.97 60.85-100 121.9-119.2C284.8 100.9 315.4 32 382.8 32C442.8 32 512.2 89.51 512.2 161zM384 172c-11.03 0-20 8.969-20 20S372.1 212 384 212S404 203 404 192S395 172 384 172z"],
    "power-off": [512, 512, [9211], "f011", "M272 272C272 280.8 264.8 288 256 288C247.2 288 240 280.8 240 272V16C240 7.164 247.2 0 256 0C264.8 0 272 7.164 272 16V272zM56 256C56 366.5 145.5 456 256 456C366.5 456 456 366.5 456 256C456 178.6 412.1 111.5 347.7 78.21C339.9 74.16 336.8 64.5 340.8 56.65C344.9 48.8 354.6 45.73 362.4 49.79C436.1 88.34 488 166.2 488 256C488 384.1 384.1 488 256 488C127.9 488 24 384.1 24 256C24 166.2 75.03 88.34 149.6 49.79C157.4 45.73 167.1 48.8 171.2 56.65C175.2 64.5 172.1 74.16 164.3 78.21C99.94 111.5 56 178.6 56 256V256z"],
    "prescription": [448, 512, [], "f5b1", "M310.6 352l100.7-100.7c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0L288 329.4L182.6 224H192c52.94 0 96-43.06 96-96s-43.06-96-96-96H80C53.53 32 32 53.53 32 80v224C32 312.8 39.16 320 48 320S64 312.8 64 304V224h73.38l128 128l-100.7 100.7c-6.25 6.25-6.25 16.38 0 22.62C167.8 478.4 171.9 480 176 480s8.188-1.562 11.31-4.688L288 374.6l100.7 100.7C391.8 478.4 395.9 480 400 480s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L310.6 352zM64 80C64 71.19 71.17 64 80 64H192c35.3 0 64 28.72 64 64s-28.7 64-64 64H64V80z"],
    "prescription-bottle": [384, 512, [], "f485", "M336 160C327.2 160 320 167.2 320 176V448c0 17.67-14.33 32-32 32H96c-17.67 0-32-14.33-32-32v-32h80C152.8 416 160 408.8 160 400C160 391.2 152.8 384 144 384H64v-64h80C152.8 320 160 312.8 160 304C160 295.2 152.8 288 144 288H64V224h80C152.8 224 160 216.8 160 208C160 199.2 152.8 192 144 192H64V176C64 167.2 56.84 160 48 160S32 167.2 32 176V448c0 35.2 28.8 64 64 64h192c35.2 0 64-28.8 64-64V176C352 167.2 344.8 160 336 160zM352 0H32C14.33 0 0 14.33 0 32v64c0 17.67 14.33 32 32 32h320c17.67 0 32-14.33 32-32V32C384 14.33 369.7 0 352 0zM352 96H32V32h320V96z"],
    "prescription-bottle-medical": [384, 512, ["prescription-bottle-alt"], "f486", "M336 160C327.2 160 320 167.2 320 176V448c0 17.67-14.33 32-32 32H96c-17.67 0-32-14.33-32-32V176C64 167.2 56.84 160 48 160S32 167.2 32 176V448c0 35.2 28.8 64 64 64h192c35.2 0 64-28.8 64-64V176C352 167.2 344.8 160 336 160zM352 0H32C14.33 0 0 14.33 0 32v64c0 17.67 14.33 32 32 32h320c17.67 0 32-14.33 32-32V32C384 14.33 369.7 0 352 0zM352 96H32V32h320V96zM208 192h-32C167.2 192 160 199.2 160 208V256H112C103.2 256 96 263.2 96 272v32C96 312.8 103.2 320 112 320H160v48C160 376.8 167.2 384 176 384h32c8.836 0 16-7.164 16-16V320h48c8.836 0 16-7.164 16-16v-32C288 263.2 280.8 256 272 256H224V208C224 199.2 216.8 192 208 192z"],
    "presentation-screen": [576, 512, ["presentation"], "f685", "M528 64C519.2 64 512 71.16 512 80V288c0 17.67-14.33 32-32 32H96c-17.67 0-32-14.33-32-32V80C64 71.16 56.84 64 48 64S32 71.16 32 80V288c0 35.2 28.8 64 64 64h176v41.38l-91.27 91.39c-6.25 6.25-6.292 16.3-.0417 22.55s16.33 6.246 22.58-.0035L288 422.6l84.73 84.68C375.9 510.4 379.9 512 384 512s8.188-1.562 11.31-4.688c6.25-6.25 6.208-16.3-.0417-22.55L304 393.4V352H480c35.2 0 64-28.8 64-64V80C544 71.16 536.8 64 528 64zM560 0h-544C7.156 0 0 7.156 0 16S7.156 32 16 32h544C568.8 32 576 24.84 576 16S568.8 0 560 0z"],
    "pretzel": [576, 512, [129384], "e441", "M535.3 253.9C541.1 232.7 544 210.9 544 189.1C544 102.5 474 32 388 32C351.6 32 315.1 45.2 288 68.66C260 45.2 224.4 32 188 32C101.1 32 32 102.5 32 189.1c0 21.83 2.938 43.61 8.688 64.7c12.67 46.89 40.75 88.69 78.69 120.3l-19.94 28.23c-8.625 12.17-12 27.02-9.5 41.84c2.562 14.75 10.72 27.64 23 36.3c24.41 17.12 60.84 10.81 77.94-13.48l29.97-42.43c17.78 5.465 35.94 8.35 53.96 8.35h26.38c18.02 0 36.18-2.885 53.95-8.348l29.92 42.36c10.47 14.88 27.59 23.75 45.81 23.75c11.66 0 22.81-3.547 32.25-10.23c12.25-8.641 20.38-21.52 22.94-36.31c2.5-14.78-.875-29.62-9.5-41.77l-19.95-28.26C494.6 342.5 522.6 300.7 535.3 253.9zM301.2 400.9H274.8c-11.36 0-22.77-1.791-34.12-4.445l47.09-66.66c.3652 .4551 .8398 .748 1.244 1.152l46.27 65.51C323.9 399.1 312.5 400.9 301.2 400.9zM438.6 348.5l-79.94-113.1C349.1 221.8 344 205.8 344 189.1C344 164.2 363.8 144 388 144S432 164.2 432 189.1c0 11.88-1.594 23.8-4.75 35.45c-2.25 8.266-5.375 16.39-9.375 24.14c-4.031 7.859-.9062 17.5 6.938 21.53c7.844 4.016 17.5 .9375 21.56-6.938c4.969-9.734 8.938-19.97 11.75-30.38C462 218.5 464 203.8 464 189.1C464 146.6 429.9 112 388 112S312 146.6 312 189.1c0 23.34 7.094 45.73 20.5 64.77l99 140.1l.002-.002l18.94 26.85c3.719 5.188 5.156 11.56 4.062 17.88c-1.062 6.328-4.562 11.84-9.844 15.56c-10.38 7.344-26.09 4.625-33.44-5.812c-123.4-174.7-102.6-144.6-120.1-173.1C285.5 267.9 275.6 265.8 268.2 270.5c-7.438 4.781-9.594 14.69-4.781 22.11l5.475 8.5l-104.1 147.4c-7.375 10.42-22.97 13.12-33.41 5.766c-5.281-3.719-8.781-9.234-9.844-15.52c-1.094-6.359 .3438-12.73 4.062-17.95l18.93-26.82L144.5 394l99-140.2C256.9 234.9 264 212.5 264 189.1C264 146.6 229.9 112 188 112S112 146.6 112 189.1c0 14.7 1.969 29.44 5.875 43.8C120.7 243.4 124.7 253.6 129.7 263.3c4.062 7.859 13.75 10.91 21.56 6.875c7.844-4.062 10.94-13.7 6.875-21.56C154.2 240.1 151 232.9 148.8 224.5C145.6 212.9 144 200.1 144 189.1C144 164.2 163.8 144 188 144S232 164.2 232 189.1c0 16.72-5.062 32.72-14.62 46.28l-79.94 113.1c-31.97-27.22-55.13-63.3-65.88-103.1C66.53 227 64 208.1 64 189.1C64 120.1 119.6 64 188 64c32.97 0 65.25 13.72 88.53 37.63c12.76 13.07 8.46 8.23 18.16 20.36C297.8 125.9 302.5 128 307.2 128c3.5 0 7.031-1.141 10-3.5c6.906-5.516 8-15.59 2.5-22.48l-8.307-10.39C333.2 74.23 360.2 64 388 64C456.4 64 512 120.1 512 189.1c0 18.98-2.531 37.94-7.562 56.38C493.7 285.3 470.5 321.3 438.6 348.5z"],
    "print": [512, 512, [128424, 128438, 9113], "f02f", "M416 320H96c-17.67 0-32 14.33-32 32v128c0 17.67 14.33 32 32 32h320c17.67 0 32-14.33 32-32v-128C448 334.3 433.7 320 416 320zM416 480H96v-128h320V480zM448 192V70.63C448 62.14 444.6 54 438.6 48l-38.63-38.63C393.1 3.37 385.9 0 377.4 0H128C92.65 0 64 28.65 64 64v128C28.7 192 0 220.7 0 256v112C0 376.8 7.156 384 16 384S32 376.8 32 368V256c0-17.67 14.33-32 32-32h384c17.67 0 32 14.33 32 32v112c0 8.844 7.156 16 16 16s16-7.156 16-16V256C512 220.7 483.3 192 448 192zM416 192H96V64c0-17.67 14.33-32 32-32h249.4L416 70.63V192zM432 248c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24s24-10.75 24-24C456 258.7 445.3 248 432 248z"],
    "print-magnifying-glass": [640, 512, ["print-search"], "f81a", "M635.3 484.7L548.7 398.1c16.83-21.67 27.28-48.55 27.28-78.11c0-70.69-57.31-128-128-128c-70.69 0-128 57.31-128 128s57.31 128 128 128c29.56 0 56.43-10.43 78.1-27.26l86.66 86.53C615.9 510.4 619.9 512 624 512s8.188-1.562 11.31-4.688C641.6 501.1 641.6 490.1 635.3 484.7zM448 416c-52.93 0-96-43.06-96-96s43.07-96 96-96c52.94 0 96 43.06 96 96S500.9 416 448 416zM304 224C312.8 224 320 216.8 320 208C320 199.2 312.8 192 304 192H96V64c0-17.67 14.33-32 32-32h249.4L416 70.63V144C416 152.8 423.2 160 432 160S448 152.8 448 144V70.62c0-8.484-3.37-16.62-9.369-22.62l-38.64-38.64C393.1 3.37 385.9 0 377.4 0H128C92.65 0 64 28.65 64 64l.0015 128C28.7 192 0 220.7 0 256v111.2c0 7.969 5.455 15.35 13.32 16.62C23.35 385.4 32 377.7 32 368V256c0-17.67 14.33-32 32-32H304zM400 480H96v-128h176C280.8 352 288 344.8 288 336C288 327.2 280.8 320 272 320H96c-17.67 0-32 14.33-32 32l.002 128c0 17.67 14.33 32 32 32H400c8.836 0 16-7.164 16-16C416 487.2 408.8 480 400 480z"],
    "print-slash": [640, 512, [], "f686", "M480 70.63V192h-137.8l40.53 32H512c17.64 0 32 14.36 32 32v95.29l30.16 23.81C575.2 372.9 576 370.6 576 368V256c0-35.3-28.7-64-64-64V70.63C512 62.2 508.6 53.95 502.6 48L464 9.375C458 3.422 449.8 0 441.4 0H160v32h281.4L480 70.63zM472 272c0 13.25 10.75 24 24 24s24-10.75 24-24c0-13.26-10.75-24-24-24S472 258.7 472 272zM633.9 483.4L25.92 3.42c-6.938-5.453-17-4.25-22.48 2.641c-5.469 6.938-4.281 17 2.641 22.48l608 480C617 510.9 620.5 512 623.1 512c4.734 0 9.422-2.094 12.58-6.078C642 498.1 640.8 488.9 633.9 483.4zM176.2 224L128 185.1V192C92.7 192 64 220.7 64 256v112C64 376.8 71.16 384 80 384S96 376.8 96 368V256c0-17.64 14.36-32 32-32H176.2zM480 480H160v-128h178.3L297.8 320H160c-17.67 0-32 14.33-32 32v128c0 17.67 14.33 32 32 32h320c14.88 0 26.83-10.37 30.41-24.13L480 463.9V480z"],
    "projector": [640, 512, [], "f8d6", "M308.7 123.3C311.8 126.4 315.9 128 320 128s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62l-64-64c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L308.7 123.3zM416 128c8.844 0 16-7.156 16-16v-96C432 7.156 424.8 0 416 0s-16 7.156-16 16v96C400 120.8 407.2 128 416 128zM240 416H64c-17.67 0-32-14.33-32-32V256c0-17.67 14.33-32 32-32h176C248.8 224 256 216.8 256 208C256 199.2 248.8 192 240 192H64C28.65 192 0 220.7 0 256v128c0 23.63 12.95 44.04 32 55.12V496C32 504.8 39.16 512 48 512S64 504.8 64 496V448h176C248.8 448 256 440.8 256 432C256 423.2 248.8 416 240 416zM512 128c4.094 0 8.188-1.562 11.31-4.688l64-64c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0l-64 64c-6.25 6.25-6.25 16.38 0 22.62C503.8 126.4 507.9 128 512 128zM595.7 195.1C585.1 191.9 576 199.3 576 209.5c0 7.168 4.156 13.99 10.89 16.43C599.2 230.4 608 242.2 608 255.1V384c0 11.69-6.273 21.92-15.64 27.51C582.4 417.4 576 427.8 576 439.4v55.76c0 7.971 5.445 15.36 13.31 16.64C599.3 513.4 608 505.7 608 496v-56.88C627 428 640 407.6 640 384V255.1C640 227.5 621.4 203.4 595.7 195.1zM416 160c-88.37 0-160 71.63-160 160s71.63 160 160 160s160-71.63 160-160S504.4 160 416 160zM416 448c-70.58 0-128-57.42-128-128c0-70.58 57.42-128 128-128s128 57.42 128 128C544 390.6 486.6 448 416 448zM168 320c0 13.25 10.75 24 24 24c13.26 0 24-10.75 24-24c0-13.26-10.74-24-24-24C178.7 296 168 306.7 168 320zM72 320c0 13.25 10.75 24 24 24c13.26 0 24-10.75 24-24c0-13.26-10.74-24-24-24C82.75 296 72 306.7 72 320z"],
    "pump": [640, 512, [], "e442", "M544 368h-80c-8.961 0-16 7.168-16 16s7.039 16 16 16H544c8.961 0 16-7.168 16-16S552.1 368 544 368zM544 208h-80C455 208 448 215.2 448 224s7.039 16 16 16H544c8.961 0 16-7.168 16-16S552.1 208 544 208zM576 96h-108.5C454.7 96 442.2 99.74 432 106.8l-51.52 34.24C362.6 152.9 352 172.9 352 194.2V208H304V32H320c8.961 0 16-7.168 16-16S328.1 0 320 0H96C87.04 0 80 7.168 80 16S87.04 32 96 32h16v176H32V192c0-8.832-7.039-16-16-16S0 183.2 0 192v224c0 8.832 7.039 16 16 16S32 424.8 32 416v-16h320v13.76c0 21.38 10.56 41.38 28.48 53.25L432 501.2C442.2 508.3 454.7 512 467.5 512H576c35.2 0 64-28.64 64-64V160C640 124.6 611.2 96 576 96zM352 368H32v-128h80c17.6 0 32-14.34 32-32V32h128v176c0 17.66 14.4 32 32 32H352V368zM608 448c0 17.66-14.4 32-32 32h-108.5c-6.398 0-12.48-1.855-17.92-5.377l-51.2-34.24C389.4 434.4 384 424.4 384 413.8V194.2c0-10.69 5.441-20.67 14.4-26.62l51.2-34.24C455 129.9 461.1 128 467.5 128H576c17.6 0 32 14.34 32 32V448zM544 288h-80C455 288 448 295.2 448 304s7.039 16 16 16H544c8.961 0 16-7.168 16-16S552.1 288 544 288z"],
    "pump-medical": [384, 512, [], "e06a", "M379.3 100.7l-48-48C328.3 49.69 324.3 48 320 48h-80V32c0-17.67-14.33-32-32-32h-96c-17.67 0-32 14.33-32 32v96.41C48.9 130.6 23.49 154.7 20.63 186.2l-20.36 256C-3.139 479.7 26.37 512 64.01 512h191.1c37.63 0 67.14-32.31 63.74-69.79l-20.36-256C296.5 154.7 271.1 130.6 240 128.4V80h73.38l43.31 43.31C359.8 126.4 363.9 128 368 128s8.188-1.562 11.31-4.688C385.6 117.1 385.6 106.9 379.3 100.7zM112 32h96v96h-96V32zM267.5 188.7l20.39 256.4c.8242 9.064-2.102 17.76-8.24 24.48C273.5 476.3 265.1 480 255.1 480H64.01c-9.102 0-17.49-3.701-23.63-10.42c-6.139-6.721-9.064-15.41-8.211-24.84l20.33-255.6C53.92 173.5 66.4 161.1 82.19 160h155.6C253.6 161.1 266.1 173.5 267.5 188.7zM226.7 293.3h-40v-40C186.7 245.1 180.7 240 173.3 240h-26.67c-7.363 0-13.33 5.969-13.33 13.33v40H93.33c-7.363 0-13.33 5.969-13.33 13.33v26.67c0 7.363 5.971 13.33 13.33 13.33h40v40c0 7.363 5.969 13.33 13.33 13.33h26.67c7.363 0 13.33-5.971 13.33-13.33v-40h40c7.363 0 13.33-5.971 13.33-13.33V306.7C239.1 299.3 234 293.3 226.7 293.3z"],
    "pump-soap": [384, 512, [], "e06b", "M139.2 234.4C102.6 283.3 84 319.3 84 341.3C84 382.5 118.1 416 159.1 416S236 382.5 236 341.3c0-21.98-18.58-57.94-55.23-106.9C170.9 221.2 149.2 221.2 139.2 234.4zM160 384c-24.27 0-44-19.17-44-42.75c0-9.891 11.64-36.91 44-81.14c32.36 44.23 44 71.25 44 81.14C204 364.8 184.3 384 160 384zM379.3 100.7l-48-48C328.3 49.69 324.3 48 320 48h-80V32c0-17.67-14.33-32-32-32h-96c-17.67 0-32 14.33-32 32v96.41C48.9 130.6 23.49 154.7 20.63 186.2l-20.36 256C-3.139 479.7 26.37 512 64.01 512h191.1c37.63 0 67.14-32.31 63.74-69.79l-20.36-256C296.5 154.7 271.1 130.6 240 128.4V80h73.38l43.31 43.31C359.8 126.4 363.9 128 368 128s8.188-1.562 11.31-4.688C385.6 117.1 385.6 106.9 379.3 100.7zM112 32h96v96h-96V32zM267.5 188.7l20.39 256.4c.8242 9.064-2.102 17.76-8.24 24.48C273.5 476.3 265.1 480 255.1 480H64.01c-9.102 0-17.49-3.701-23.63-10.42c-6.139-6.721-9.064-15.41-8.211-24.84l20.33-255.6C53.92 173.5 66.4 161.1 82.19 160h155.6C253.6 161.1 266.1 173.5 267.5 188.7z"],
    "pumpkin": [576, 512, [], "f707", "M233.8 98.92c0 6.968 5.453 16 16.01 16c6.344 0 12.34-3.797 14.86-10.05l27.94-69.81l27.48 13.69V95.95c0 8.843 7.156 15.1 16 15.1s16.01-7.168 16.01-16.01V43.7c0-9.109-5.093-17.28-13.33-21.41l-39.55-19.68C295.7 .8682 292.1 0 288.4 0C278.9 0 269.8 5.796 266.1 15.13L234.9 92.96C234.2 94.92 233.8 96.94 233.8 98.92zM576 314.5c0-77.29-48.35-186.5-155.1-186.5c-1.792 0-3.59 .0356-5.394 .1072c-8.645 .2754-15.46 7.383-15.46 15.97c0 9.005 6.87 16 16.3 16c.4252 0 1.809-.0735 4.148-.0735c62.79 0 123.5 61.97 123.5 154.2c0 55.96-42.48 165.5-123.1 165.5c-44.32 0-48.41-23.06-67.43-23.06c-19.93 0-21.33 23.38-65.41 23.38c-44 0-45.35-23.4-65.36-23.4c-18.39 0-23.84 23.05-67.44 23.05c-81.83 0-123.2-109.6-123.2-165.5c0-60.99 37.16-154.2 123.8-154.2c3.648 0 3.906 .1131 4.88 .1131c5.902 0 15.33-5.277 15.33-16.05c0-8.596-6.823-15.7-15.49-15.96C158.9 128.1 157.3 128 155.8 128C49.02 128 0 235.8 0 314.5c0 93.39 67.19 197.1 155.2 197.1c23.96 0 47.96-6.908 67.33-20.77c18.44 14.22 39.92 21.14 65.47 21.14c25.5 0 47.03-6.906 65.62-21.15c19.32 13.88 43.28 20.8 67.23 20.8C509.7 511.6 576 406.5 576 314.5zM191.1 194.9c17.11 0 24.73-34.87 96.01-34.87c70.89 0 79.22 34.89 96 34.89c8.817 0 16-7.154 16-16.01c0-16.34-45.85-50.91-111.1-50.91c-66.17 0-112 34.57-112 50.91C175.1 187.7 183.1 194.9 191.1 194.9z"],
    "puzzle": [512, 512, [], "e443", "M448 0h-128c-17.67 0-32 14.33-32 32v24c0 17.67 14.33 32 32 32h16c8.836 0 16 7.162 16 16c0 8.836-7.164 16-16 16H320c-17.67 0-32 14.33-32 32V176c0 17.67 14.33 32 32 32h32C352 234.5 373.5 256 400 256C426.5 256 448 234.5 448 208h32c17.67 0 32-14.33 32-32V64C512 28.65 483.3 0 448 0zM480 176h-48C423.2 176 416 183.2 416 192v16C416 216.8 408.8 224 400 224S384 216.8 384 208V192c0-8.838-7.164-16-16-16H320V152h16c26.51 0 48-21.49 48-48s-21.49-48-48-48H320V32h128c17.67 0 32 14.33 32 32V176zM416 272h-64c-8.836 0-16 7.162-16 16v32c0 8.834-7.164 16-16 16s-16-7.166-16-16V288c0-8.838-7.164-16-16-16H240V96c0-17.67-14.33-32-32-32H64C28.65 64 0 92.65 0 128v160v160c0 35.35 28.65 64 64 64h160h160c35.35 0 64-28.65 64-64V304C448 286.3 433.7 272 416 272zM32 128c0-17.67 14.33-32 32-32h144v176h-32V256c0-26.51-21.49-48-48-48S80 229.5 80 256v16H32V128zM208 480H64c-17.67 0-32-14.33-32-32V304h64c8.836 0 16-7.164 16-16V256c0-8.838 7.164-16 16-16S144 247.2 144 256v32c0 8.836 7.164 16 16 16h48v32H192c-26.51 0-48 21.49-48 48c0 26.51 21.49 48 48 48h16V480zM416 448c0 17.67-14.33 32-32 32H240v-64c0-8.836-7.164-16-16-16H192c-8.836 0-16-7.166-16-16c0-8.836 7.164-16 16-16h32c8.836 0 16-7.166 16-16V304h32V320c0 26.51 21.49 48 48 48c26.51 0 48-21.49 48-48V304H416V448z"],
    "puzzle-piece": [512, 512, [129513], "f12e", "M448 208c-18.53 0-36.09 10-48.16 27.42C398.9 236.8 396.3 240 392.4 240C387.8 240 384 236.3 384 231.6V176C384 149.5 362.5 128 336 128l-55.64 0C275.8 127.1 272 124.3 272 119.6c0-3.906 3.188-6.531 4.547-7.484C293.1 100.1 304 82.55 304 64c0-35.3-35.89-64-80-64S144 28.7 144 64c0 18.55 9.1 36.09 27.42 48.14C172.8 113.1 176 115.7 176 119.6c0 4.609-3.75 8.359-8.359 8.359L48 128C21.53 128 0 149.5 0 176v55.64C0 253.9 18.11 272 40.36 272c13.2 0 25.84-6.859 33.8-18.36C77.69 248.5 85.2 240 96 240c17.34 0 32 21.98 32 48s-14.66 48-32 48c-10.8 0-18.31-8.547-21.86-13.67C66.19 310.9 53.55 304 40.36 304C18.11 304 0 322.1 0 344.4V464C0 490.5 21.53 512 48 512h119.6C189.9 512 208 493.9 208 471.6c0-13.19-6.859-25.83-18.36-33.8C184.5 434.3 176 426.8 176 416c0-17.34 21.98-32 48-32s48 14.66 48 32c0 10.8-8.547 18.31-13.66 21.84C246.9 445.8 240 458.4 240 471.6C240 493.9 258.1 512 280.4 512H336c26.47 0 48-21.53 48-48v-119.6c0-4.609 3.75-8.358 8.359-8.358c3.906 0 6.547 3.203 7.484 4.547C411.9 358 429.5 368 448 368c35.3 0 64-35.89 64-80S483.3 208 448 208zM448 336c-10.8 0-18.31-8.547-21.86-13.67C418.2 310.9 405.5 304 392.4 304C370.1 304 352 322.1 352 344.4V464c0 8.828-7.172 16-16 16h-55.64C275.8 480 272 476.3 272 471.6c0-3.906 3.188-6.531 4.547-7.484C293.1 452.1 304 434.5 304 416c0-35.3-35.89-64-80-64s-80 28.7-80 64c0 18.55 9.1 36.09 27.42 48.14C172.8 465.1 176 467.7 176 471.6C176 476.3 172.3 480 167.6 480H48C39.17 480 32 472.8 32 464v-119.6C32 339.8 35.75 336 40.36 336c3.906 0 6.547 3.203 7.484 4.547C59.91 358 77.45 368 96 368c35.3 0 64-35.89 64-80S131.3 208 96 208c-18.53 0-36.09 10-48.16 27.42C46.89 236.8 44.25 240 40.36 240C35.75 240 32 236.3 32 231.6V176C32 167.2 39.17 160 48 160h119.6C189.9 160 208 141.9 208 119.6c0-13.19-6.859-25.83-18.36-33.8C184.5 82.31 176 74.8 176 64c0-17.34 21.98-32 48-32s48 14.66 48 32c0 10.8-8.547 18.31-13.66 21.84C246.9 93.8 240 106.4 240 119.6C240 141.9 258.1 160 280.4 160H336C344.8 160 352 167.2 352 176v55.64C352 253.9 370.1 272 392.4 272c13.2 0 25.84-6.859 33.8-18.36C429.7 248.5 437.2 240 448 240c17.34 0 32 21.98 32 48S465.3 336 448 336z"],
    "puzzle-piece-simple": [640, 512, ["puzzle-piece-alt"], "e231", "M576 176c-18.53 0-36.09 10-48.16 27.42C526.9 204.8 524.3 208 520.4 208C515.8 208 512 204.3 512 199.6V112C512 85.53 490.5 64 464 64l-87.64 0C354.1 63.1 336 82.11 336 104.4c0 13.19 6.859 25.83 18.36 33.8C359.5 141.7 368 149.2 368 160c0 17.34-21.98 32-48 32S272 177.3 272 160c0-10.8 8.547-18.31 13.67-21.86C297.1 130.2 304 117.5 304 104.4c0-22.25-18.11-40.36-40.36-40.36L176 64C149.5 64 128 85.53 128 112v87.64C128 204.3 124.3 208 119.6 208c-3.891 0-6.531-3.203-7.484-4.578C100.1 186 82.53 176 64 176C28.7 176 .0004 211.9 .0004 256S28.7 336 64 336c18.55 0 36.09-9.1 48.14-27.42C113.1 307.2 115.7 304 119.6 304C124.3 304 128 307.7 128 312.4V400C128 426.5 149.5 448 176 448h87.64C285.9 448 304 429.9 304 407.6c0-13.19-6.859-25.83-18.36-33.8C280.5 370.3 272 362.8 272 352c0-17.34 21.98-32 48-32s48 14.66 48 32c0 10.8-8.547 18.31-13.67 21.86C342.9 381.8 336 394.5 336 407.6C336 429.9 354.1 448 376.4 448H464c26.47 0 48-21.53 48-48V312.4C512 307.7 515.8 304 520.4 304c3.906 0 6.547 3.203 7.484 4.547C539.9 326 557.5 336 576 336c35.3 0 64-35.89 64-80S611.3 176 576 176zM576 304c-10.8 0-18.31-8.547-21.86-13.67C546.2 278.9 533.5 272 520.4 272C498.1 272 480 290.1 480 312.4V400c0 8.828-7.172 16-16 16h-87.64C371.8 416 368 412.3 368 407.6c0-3.906 3.203-6.547 4.547-7.484C389.1 388.1 400 370.5 400 352c0-35.3-35.89-64-80-64s-80 28.7-80 64c0 18.55 9.1 36.09 27.42 48.14C268.8 401.1 272 403.7 272 407.6C272 412.3 268.3 416 263.6 416H176C167.2 416 160 408.8 160 400V312.4C160 290.1 141.9 272 119.6 272c-13.19 0-25.83 6.859-33.8 18.36C82.31 295.5 74.8 304 64 304C46.66 304 32 282 32 256s14.66-48 32-48c10.8 0 18.31 8.547 21.84 13.64C93.8 233.1 106.4 240 119.6 240C141.9 240 160 221.9 160 199.6V112C160 103.2 167.2 96 176 96h87.64C268.3 96 272 99.75 272 104.4c0 3.906-3.203 6.547-4.547 7.484C249.1 123.9 240 141.5 240 160c0 35.3 35.89 64 80 64s80-28.7 80-64c0-18.55-10-36.09-27.42-48.14C371.2 110.9 368 108.3 368 104.4C368 99.75 371.8 96 376.4 96H464C472.8 96 480 103.2 480 112v87.64C480 221.9 498.1 240 520.4 240c13.2 0 25.84-6.859 33.8-18.36C557.7 216.5 565.2 208 576 208c17.34 0 32 21.98 32 48S593.3 304 576 304z"],
    "q": [448, 512, [113], "51", "M382.7 413.9c40.33-40.53 65.31-96.35 65.31-157.9c0-123.5-100.5-224-223.1-224s-223.1 100.5-223.1 224s100.5 224 223.1 224c50.47 0 96.94-16.99 134.4-45.26l61.42 71.66C423 510.1 427.5 512 431.1 512c4.943 0 16-3.738 16-16.01c0-3.688-1.269-7.391-3.862-10.4L382.7 413.9zM223.1 448c-105.9 0-191.1-86.13-191.1-192s86.12-192 191.1-192s191.1 86.13 191.1 192c0 51.85-20.74 98.88-54.26 133.5l-109.6-127.9c-3.153-3.678-7.63-5.55-12.14-5.55c-12.32 0-16.01 11.07-16.01 15.96c0 3.688 1.269 7.391 3.862 10.4l109.7 128C305.7 433.9 266.5 448 223.1 448z"],
    "qrcode": [448, 512, [], "f029", "M104 104C112.8 104 120 111.2 120 120V136C120 144.8 112.8 152 104 152H88C79.16 152 72 144.8 72 136V120C72 111.2 79.16 104 88 104H104zM144 32C170.5 32 192 53.49 192 80V176C192 202.5 170.5 224 144 224H48C21.49 224 0 202.5 0 176V80C0 53.49 21.49 32 48 32H144zM144 64H48C39.16 64 32 71.16 32 80V176C32 184.8 39.16 192 48 192H144C152.8 192 160 184.8 160 176V80C160 71.16 152.8 64 144 64zM72 376C72 367.2 79.16 360 88 360H104C112.8 360 120 367.2 120 376V392C120 400.8 112.8 408 104 408H88C79.16 408 72 400.8 72 392V376zM144 288C170.5 288 192 309.5 192 336V432C192 458.5 170.5 480 144 480H48C21.49 480 0 458.5 0 432V336C0 309.5 21.49 288 48 288H144zM144 320H48C39.16 320 32 327.2 32 336V432C32 440.8 39.16 448 48 448H144C152.8 448 160 440.8 160 432V336C160 327.2 152.8 320 144 320zM360 104C368.8 104 376 111.2 376 120V136C376 144.8 368.8 152 360 152H344C335.2 152 328 144.8 328 136V120C328 111.2 335.2 104 344 104H360zM256 80C256 53.49 277.5 32 304 32H400C426.5 32 448 53.49 448 80V176C448 202.5 426.5 224 400 224H304C277.5 224 256 202.5 256 176V80zM288 80V176C288 184.8 295.2 192 304 192H400C408.8 192 416 184.8 416 176V80C416 71.16 408.8 64 400 64H304C295.2 64 288 71.16 288 80zM256 304C256 295.2 263.2 288 272 288H336C344.8 288 352 295.2 352 304V372H416V304C416 295.2 423.2 288 432 288C440.8 288 448 295.2 448 304V388C448 396.8 440.8 404 432 404H336C327.2 404 320 396.8 320 388V320H288V472C288 480.8 280.8 488 272 488C263.2 488 256 480.8 256 472V304zM320 448C320 439.2 327.2 432 336 432H352C360.8 432 368 439.2 368 448V464C368 472.8 360.8 480 352 480H336C327.2 480 320 472.8 320 464V448zM432 432C440.8 432 448 439.2 448 448V464C448 472.8 440.8 480 432 480H416C407.2 480 400 472.8 400 464V448C400 439.2 407.2 432 416 432H432z"],
    "question": [320, 512, [10067, 10068, 61736], "3f", "M213.1 32H106.7C47.84 32 0 79.84 0 138.7V160c0 8.844 7.156 16 16 16S32 168.9 32 160V138.7C32 97.48 65.5 64 106.7 64h106.5C254.4 64 288 97.58 288 138.9c0 27-14.62 52-38.16 65.25L152.5 258.9C137.4 267.4 128 283.4 128 300.7V336c0 8.844 7.156 16.01 16 16.01S160 344.8 160 336V300.7c0-5.766 3.125-11.11 8.156-13.95l97.38-54.78C299.1 213.1 320 177.4 320 138.9C320 79.94 272.1 32 213.1 32zM144 400c-17.67 0-32 14.32-32 31.99s14.33 32 32 32s32-14.33 32-32S161.7 400 144 400z"],
    "quote-left": [448, 512, [8220, "quote-left-alt"], "f10d", "M96 224.7c-24.7 0-46.99 9.592-64 24.92V224.7c0-52.94 43.06-96 96-96h16c8.844 0 16-7.156 16-16s-7.156-16-16-16h-16c-70.58 0-128 57.42-128 128l.0049 96.02c0 .0156 0-.0156 0 0C.0322 373.7 43 416.7 96 416.7c53.02 0 96-42.98 96-96S149 224.7 96 224.7zM96 384.7c-35.29 0-64-28.71-64-64c0-35.29 28.71-64 64-64c35.29 0 64 28.71 64 64C160 355.1 131.3 384.7 96 384.7zM352 224.7c-24.7 0-46.99 9.592-64 24.92V224.7c0-52.94 43.06-96 96-96h16c8.844 0 16-7.156 16-16s-7.156-16-16-16h-16c-70.58 0-128 57.42-128 128l.0049 96.02c0 .0156 0-.0156 0 0C256 373.7 299 416.7 352 416.7c53.02 0 96-42.98 96-96S405 224.7 352 224.7zM352 384.7c-35.29 0-64-28.71-64-64c0-35.29 28.71-64 64-64c35.29 0 64 28.71 64 64C416 355.1 387.3 384.7 352 384.7z"],
    "quote-right": [448, 512, [8221, "quote-right-alt"], "f10e", "M352 96c-53.02 0-96 42.98-96 96s42.98 96 96 96c24.7 0 46.99-9.59 64-24.91V288c0 52.94-43.06 96-96 96h-16c-8.844 0-16 7.156-16 16s7.156 16 16 16H320c70.58 0 128-57.42 128-128V192C448 138.1 405 96 352 96zM352 256c-35.29 0-64-28.71-64-64s28.71-64 64-64s64 28.71 64 64S387.3 256 352 256zM96 96C42.98 96 0 138.1 0 192s42.98 96 96 96c24.7 0 46.99-9.59 64-24.91V288c0 52.94-43.06 96-96 96H48C39.16 384 32 391.2 32 400S39.16 416 48 416H64c70.58 0 128-57.42 128-128V192C192 138.1 149 96 96 96zM96 256C60.71 256 32 227.3 32 192s28.71-64 64-64s64 28.71 64 64S131.3 256 96 256z"],
    "quotes": [576, 512, [], "e234", "M480 288c-35.35 0-64 28.65-64 64s28.65 64 64 64c11.72 0 22.55-3.379 32-8.877V416c0 35.3-28.7 64-64 64c-8.844 0-16 7.156-16 16S439.2 512 448 512c52.94 0 96-43.06 96-96v-64C544 316.7 515.3 288 480 288zM480 384c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S497.6 384 480 384zM320 160c0-35.35-28.65-64-64-64C244.3 96 233.4 99.38 224 104.9V96c0-35.3 28.7-64 64-64c8.844 0 16-7.156 16-16S296.8 0 288 0C235.1 0 192 43.06 192 96v64c0 35.35 28.65 64 64 64S320 195.3 320 160zM224 160c0-17.64 14.36-32 32-32s32 14.36 32 32S273.6 192 256 192S224 177.6 224 160zM96 96C84.28 96 73.45 99.38 64 104.9V96c0-35.3 28.7-64 64-64c8.844 0 16-7.156 16-16S136.8 0 128 0C75.06 0 32 43.06 32 96v64c0 35.35 28.65 64 64 64s64-28.65 64-64S131.3 96 96 96zM96 192C78.36 192 64 177.6 64 160s14.36-32 32-32s32 14.36 32 32S113.6 192 96 192zM320 288c-35.35 0-64 28.65-64 64s28.65 64 64 64c11.72 0 22.55-3.379 32-8.877V416c0 35.3-28.7 64-64 64c-8.844 0-16 7.156-16 16S279.2 512 288 512c52.94 0 96-43.06 96-96v-64C384 316.7 355.3 288 320 288zM320 384c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S337.6 384 320 384z"],
    "r": [320, 512, [114], "52", "M205 286.7c64.4-6.629 114.1-60.45 114.1-126.6C319.1 89.51 262.5 32 191.9 32H15.1C7.156 32 0 39.16 0 48v416C0 472.8 7.156 480 15.1 480c8.844 0 15.1-7.156 15.1-16V288h135.4l123.2 184.9C293.8 477.5 298.8 480 304 480c3.047 0 6.125-.875 8.859-2.688c7.359-4.906 9.344-14.84 4.437-22.19L205 286.7zM31.1 64h159.1c52.94 0 95.1 43.06 95.1 96s-43.06 96-95.1 96h-159.1V64z"],
    "rabbit": [512, 512, [128007], "f708", "M505.9 450.8c-.6251-1-1.25-2-2-2.875L389.5 304h1.875c48.88 0 88.63-39.75 88.63-88.62c0-28.62-13.88-55.5-37.13-72.13c-.6251-.5-1.25-.875-1.875-1.25l-24.63-15.13l.75-3C431 72 431.1 12.5 389.5 1.375C386 .5 382.5 0 378.9 0c-17.63 0-31.75 10.38-42.87 24.5C324.9 10.38 310.8 0 293.2 0c-3.625 0-7.184 .5-10.68 1.375C240.9 12.5 241 72 254.9 123.9c2.25 8.625 5 17 8.125 25.12c-2.625 6.5-4.625 13.5-5.75 20.62C256.4 174.8 256 179.9 256 185v41.62c-67.38 11.38-122.8 58-146.9 120C98 339.8 85.38 336 72 336c-19.25 0-37.38 7.5-51 21.12c-28 28-28 73.75 0 101.8C34.63 472.5 52.75 480 72 480c10.25 0 20-2.875 29.13-7C110.9 495.9 133.6 512 160 512h160c17.63 0 32.01-14.38 32.01-32c0-23.25-12.5-43.63-31-54.88l15.75-9.875l65.13 80.25C409.4 505.9 421.3 512 434.3 512h37.75c14.5 0 28-7.875 35-20.62C514 478.6 513.6 463.1 505.9 450.8zM96 416v23C88.88 444.6 80.5 448 72 448c-10.25 0-20.5-3.875-28.38-11.75c-15.63-15.62-15.63-40.87 0-56.5C51.5 371.9 61.75 368 72 368c9.1 0 19.88 3.875 27.63 11.38C97.38 391.2 96 403.5 96 416zM472 480h-37.75c-2.75 0-5.25-1.375-6.75-3.75l-83.75-103.1L224 448l64 .0023c17.63 0 32 14.37 32 31.1L160 480c-17.75 0-32-14.38-32-32l-.0018-32c0-88.38 71.63-159.1 160-159.1l.0024-70.1c0-3.5 .2516-6.858 .8767-10.23c1.5-9.25 4.872-17.53 9.497-24.28c-4.75-10.25-9.125-21.88-12.63-34.88c-11.25-42.25-9-79.5 5-83.38C291.5 32.12 292.4 32 293.1 32c13.63 0 32.13 28.6 42.88 67.22C346.9 60.6 365.3 32 378.9 32c.75 0 1.625 .125 2.375 .25c14 3.875 16.25 41.13 5 83.38c-2.5 9-5.375 17.38-8.5 25.13l46.52 28.51c14.88 10.63 23.74 27.75 23.74 46.12c0 31.25-25.39 56.62-56.64 56.62L352 272v36.38l126.8 159.4C482.1 473.1 478.3 480 472 480zM367.1 191.1c0-8.875-7.125-16-16-16s-16 7.125-16 16s7.126 16 16 16S367.1 200.9 367.1 191.1z"],
    "rabbit-running": [640, 512, ["rabbit-fast"], "f709", "M512 224c-8.875 0-16 7.125-16 16S503.1 256 512 256s16-7.125 16-16S520.9 224 512 224zM602.9 191.2c-.625-.5-58.5-36-58.5-36c-2.5-1.625-9.75-5.125-18.38-7.5c-1.249-7.5-2.874-14.75-4.874-22.13C515.3 103.8 492.5 32 446.6 32c-38 0-44.25 41.88-44.5 43.38c-32.13-17.25-55.5-13.25-69.75 1C323.8 85.12 311.9 104.8 328 139.8C297 123.4 266.5 112 240 112c-45.75 0-86.25 18.38-117.9 52.38C108.6 151.2 90.88 144 72 144c-19.25 0-37.38 7.5-51 21.12c-28 28-28 73.75 0 101.8C34.62 280.5 52.75 288 72 288c12.75 0 24.75-3.625 35.5-9.75c3.625 6.25 7.625 12.38 12.88 18l54 58.5l-25 13.5C136 377.1 128 392.1 128 408.2V432c0 17.25 8.875 32.75 23.88 41.5C159.4 477.9 167.7 480 175.9 480c8.125 0 16.46-2.125 23.83-6.375l55.25-31.5l25.5 27.63C286.5 476.2 295 480 304 480h160c17.62 0 32-14.38 32-32c0-35.25-28.75-64-64-64H384l70.38-32h97C600.3 352 640 312.2 640 263.4C640 234.8 626.1 207.8 602.9 191.2zM96.25 246.9C71.75 266.1 49.38 250 43.62 244.2c-15.62-15.62-15.62-40.87 0-56.5c15.62-15.63 41-15.63 56.62 0C101.5 189 102.5 190.5 103.5 192C95.75 209.4 93.12 228.5 96.25 246.9zM183.9 445.9C173.4 451.9 160 444.2 160 432v-23.75c0-5.375 2.625-10.37 5.75-12.62l31-16.62l36 39L183.9 445.9zM551.4 320l-103.4-.0018L384 346.6v-2.25c0-49.75-33.38-93.1-81.25-107.6L260.4 224.6c-20.5-5.875-29.13 25-8.75 30.75L293.1 267.5C328.1 277.2 352 308.9 352 344.4V416h80c17.62 0 31.98 14.38 31.98 32L304 448L143.9 274.5C121.5 250.2 121.1 213.1 143 188.5C163.1 165.8 194.3 144 239.9 144C297.2 144 392.8 219.2 448 256c0-31.12-.5-30.75 3.5-43c-15.25-3.5-37.75-17.88-59.13-39.25c-31-31-47.62-64.38-37.38-74.75c10.75-10.75 45.13 7.875 74.75 37.38C433 139.6 436 142.9 438.9 146.2C427.2 101.6 430.8 64 446.6 64c13.88 0 32.88 30 43.62 70c4 15.25 6.25 29.87 6.875 42.5c14.25-1 25.03 3.351 30.65 6.101l56.48 34.66C599.1 227.9 608 244.1 608 263.4C608 294.6 582.6 320 551.4 320z"],
    "racquet": [640, 512, [], "f45a", "M615.5 59.68c-54.87-77.5-182.3-78.95-282.7-7.702c-57.25 40.5-94.5 95.1-106.5 150.6C215.5 250.7 191.6 294.2 160.1 331.7c-17.87-9.999-32.25 .25-33.87 1.5L13.63 411.1c-14.37 10.12-17.1 29.1-7.875 44.5l29.5 41.87c9.875 14.12 29.62 18.25 44.5 7.875l112.5-78.87c9.5-6.625 13.75-17.62 12.1-28.37c35.1-13.75 73.87-21.75 112.4-21.75c31.62 0 112.2 21.87 211.5-48.37C630.9 256.7 669.7 136.2 615.5 59.68zM61.25 479.1l-29.37-41.75l112.6-78.87l29.37 41.87L61.25 479.1zM191.2 370.3l-9.625-13.87c18.62-21.75 34.75-44.87 47.37-69.62c10.1 33.12 29.12 49.87 44.37 61.5C245.7 352.2 218.2 359.8 191.2 370.3zM510.5 302.7c-85.62 60.62-193.1 62.5-238.2 0C228.2 240.7 263.7 139.1 351.2 77.98c84.62-59.1 193.5-63.12 238.2 0C631.5 137.4 600.6 239.1 510.5 302.7z"],
    "radar": [512, 512, [], "e024", "M256 480C379.7 480 480 379.7 480 256C480 247.2 487.2 240 496 240C504.8 240 512 247.2 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C320.9 0 380.2 24.19 425.4 64.02L468.7 20.69C474.9 14.44 485.1 14.44 491.3 20.69C497.6 26.93 497.6 37.07 491.3 43.31L267.3 267.3C261.1 273.6 250.9 273.6 244.7 267.3C238.4 261.1 238.4 250.9 244.7 244.7L288.5 200.9C278.1 195.2 267.9 192 256 192C220.7 192 192 220.7 192 256C192 291.3 220.7 320 256 320C291.3 320 320 291.3 320 256C320 247.2 327.2 240 336 240C344.8 240 352 247.2 352 256C352 309 309 352 256 352C202.1 352 160 309 160 256C160 202.1 202.1 160 256 160C276.7 160 295.9 166.6 311.6 177.7L345.9 143.5C321.2 123.8 290 112 256 112C196.1 112 146.2 147.5 123.1 198.4C120.4 206.5 111 210.2 102.9 206.7C94.81 203.1 91.11 193.7 94.65 185.6C121.8 123.5 183.8 80 256 80C298.8 80 338.1 95.32 368.6 120.7L402.7 86.7C363.4 52.61 312.1 32 256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480V480zM416 240C424.8 240 432 247.2 432 256C432 328.2 388.5 390.2 326.4 417.3C318.3 420.9 308.9 417.2 305.3 409.1C301.8 400.1 305.5 391.6 313.6 388C364.5 365.8 400 315 400 256C400 247.2 407.2 240 416 240zM102.9 305.3C111 301.8 120.4 305.5 123.1 313.6C138.5 346.8 165.2 373.5 198.4 388C206.5 391.6 210.2 400.1 206.7 409.1C203.1 417.2 193.7 420.9 185.6 417.3C144.1 399.6 112.4 367 94.65 326.4C91.11 318.3 94.81 308.9 102.9 305.3V305.3zM120 256C120 269.3 109.3 280 96 280C82.75 280 72 269.3 72 256C72 242.7 82.75 232 96 232C109.3 232 120 242.7 120 256zM232 416C232 402.7 242.7 392 256 392C269.3 392 280 402.7 280 416C280 429.3 269.3 440 256 440C242.7 440 232 429.3 232 416z"],
    "radiation": [512, 512, [], "f7b9", "M325.2 317.8c-4.656-7.532-14.59-9.782-22.03-5.094c-7.5 4.688-9.781 14.53-5.094 22.03l63.44 101.6c1.938 3.219 2.5 6.157 1.719 9.188c-1.031 4.032-4.125 7.094-5.75 8.001c-61.53 34.81-142.5 34.44-202.7 .125c-1.781-1.031-5-4.25-6.031-8.376C148 442.3 148.6 439.5 150.6 436.3l63.38-101.7c4.656-7.5 2.375-17.38-5.125-22.06c-7.406-4.563-17.38-2.406-22.06 5.125l-63.31 101.7c-6.594 10.44-8.625 22.03-5.844 33.5c2.844 11.63 10.88 22.53 21.09 28.53C173.9 501.4 214.5 512 256 512c41.25 0 81.78-10.59 117.3-30.69c9.938-5.719 17.94-16.38 20.91-27.85c2.938-11.47 1.062-23.16-5.5-33.94L325.2 317.8zM479.9 124.1c-20.59-35.75-50.03-65.57-85.19-86.26c-9.906-5.782-23.16-7.375-34.56-4.219c-11.44 3.188-20.62 10.63-26.69 21.75l-56.31 105.9c-4.156 7.782-1.188 17.47 6.625 21.63c7.719 4.188 17.5 1.219 21.62-6.625l56.22-105.7c1.812-3.313 4.062-5.25 7.094-6.094c4.094-1.188 8.188 .0313 9.812 .9688c30.34 17.88 55.81 43.69 73.69 74.66C470.2 171.3 479.8 206.2 480 240.1c0 2.063-1.188 6.438-4.25 9.376c-2.219 2.125-4.625 3.531-8.688 2.875L347.3 249.2c-8.969 .25-16.22 6.657-16.53 15.47c-.2813 8.813 6.625 16.22 15.47 16.53c0 0 121 4.063 121.7 4.063c11.56 0 21.88-4.031 29.94-11.75C506.5 265.2 511.9 252.8 512 240.1C511.8 200.5 500.7 160.1 479.9 124.1zM181.1 264.5c-.3125-8.813-8-16.44-16.56-15.44l-119.7 4.188C41.09 253.3 38.31 252.4 36.06 250.2C33.09 247.3 32 243.1 32 241.2c.3125-35.22 9.938-70.19 27.78-101.2c18-31.16 43.44-56.97 73.5-74.54C135.1 64.5 139.4 63.35 143.5 64.5c2.938 .8751 5.094 2.781 6.812 6.063l56.38 105.8c4.156 7.813 13.88 10.72 21.66 6.594c7.781-4.157 10.75-13.84 6.594-21.66L178.6 55.56C172.8 44.63 163.8 37.09 152.5 33.78c-11.5-3.281-24.94-1.844-35.22 4.032C82.28 58.28 52.81 88.1 32.09 124.1C11.47 159.8 .375 200.2 0 241C-.0313 252.5 5.219 264.8 13.69 273c8.156 8.032 18.78 12.25 30.91 12.25l121.1-4.188C174.5 280.8 181.4 273.4 181.1 264.5zM208 255.1c0 26.51 21.49 48 48 48s48-21.49 48-48S282.5 207.1 256 207.1S208 229.5 208 255.1zM256 239.1c8.822 0 16 7.178 16 16S264.8 271.1 256 271.1S240 264.8 240 255.1S247.2 239.1 256 239.1z"],
    "radio": [512, 512, [128251], "f8d7", "M351.1 224c-52.1 0-95.1 42.1-95.1 95.1s42.1 95.1 95.1 95.1s96-43 96-96S404.1 224 351.1 224zM351.1 384c-35.37 0-63.1-28.63-63.1-64s28.62-63.1 63.1-63.1s63.1 28.62 63.1 63.1S387.4 384 351.1 384zM191.1 368H95.1c-8.844 0-15.1 7.159-15.1 16S87.16 400 95.1 400H191.1c8.844 0 16-7.153 16-15.1S200.8 368 191.1 368zM95.1 272H191.1c8.844 0 16-7.15 16-15.99c0-8.844-7.157-16.01-16-16.01H95.1c-8.844 0-15.1 7.163-15.1 16.01C79.1 264.9 87.16 272 95.1 272zM207.1 304H79.1c-8.844 0-15.1 7.161-15.1 16s7.156 15.99 15.1 15.99h127.1c8.844 0 16-7.151 16-15.99S216.8 304 207.1 304zM447.1 128L198.5 128l302.4-96.76c8.422-2.687 13.06-11.69 10.36-20.11c-2.703-8.406-11.62-13.08-20.11-10.36L93.52 128L64 128c-35.37 0-63.1 28.62-63.1 63.1v255.1c0 35.37 28.62 63.1 63.1 63.1h383.1c35.37 0 63.1-28.62 63.1-63.1V192C511.1 156.6 483.4 128 447.1 128zM479.1 448c0 17.62-14.37 31.1-31.1 31.1H63.1c-17.62 0-31.1-14.37-31.1-31.1V192c0-17.62 14.37-31.1 31.1-31.1h383.1c17.62 0 31.1 14.37 31.1 31.1V448z"],
    "radio-tuner": [512, 512, ["radio-alt"], "f8d8", "M191.1 400l-95.1-.001c-8.844 0-15.1 7.156-15.1 15.1c0 8.844 7.156 16 15.1 16H191.1c8.844 0 16-7.157 16-16S200.8 400 191.1 400zM79.1 368h127.1c8.844 0 16-7.156 16-15.1c0-8.844-7.158-15.1-16-15.1L79.1 336c-8.844 0-15.1 7.159-15.1 16S71.16 368 79.1 368zM367.1 448c44.12 0 79.1-35.87 79.1-79.1s-35.87-79.1-79.1-79.1s-79.1 35.87-79.1 79.1S323.9 448 367.1 448zM367.1 320c26.5 0 47.1 21.5 47.1 47.1c0 26.5-21.5 47.1-47.1 47.1c-26.5 0-47.1-21.5-47.1-47.1C319.1 341.5 341.5 320 367.1 320zM447.1 128L198.5 128l302.4-96.76c8.422-2.687 13.06-11.69 10.36-20.11c-2.687-8.406-11.64-13.08-20.11-10.36L93.52 128L63.1 128c-35.37 0-63.1 28.62-63.1 63.1v255.1c0 35.37 28.63 63.1 63.1 63.1h383.1c35.37 0 63.1-28.62 63.1-63.1v-255.1C511.1 156.6 483.4 128 447.1 128zM479.1 448c0 17.62-14.37 31.1-31.1 31.1H63.1c-17.62 0-31.1-14.37-31.1-31.1v-191.1h447.1V448zM479.1 224H31.1V192c0-17.62 14.37-31.1 31.1-31.1h383.1c17.62 0 31.1 14.37 31.1 31.1V224z"],
    "rainbow": [640, 512, [127752], "f75b", "M320 32C143.6 32 0 175.6 0 352v112C0 472.8 7.156 480 16 480S32 472.8 32 464V352c0-158.8 129.2-288 288-288s288 129.2 288 288v112c0 8.844 7.156 16 16 16s16-7.156 16-16V352C640 175.6 496.4 32 320 32zM320 128c-123.5 0-224 100.5-224 224v112C96 472.8 103.2 480 112 480S128 472.8 128 464V352c0-105.9 86.13-192 192-192s192 86.13 192 192v112c0 8.844 7.156 16 16 16s16-7.156 16-16V352C544 228.5 443.5 128 320 128zM320 224c-70.59 0-128 57.41-128 128v112C192 472.8 199.2 480 208 480S224 472.8 224 464V352c0-52.94 43.06-96 96-96s96 43.06 96 96v112c0 8.844 7.156 16 16 16s16-7.156 16-16V352C448 281.4 390.6 224 320 224z"],
    "raindrops": [448, 512, [], "f75c", "M224 155.4c0-26.72-31.79-83.96-50.56-115.4C170.3 34.64 165.1 32 160 32C154.9 32 149.7 34.64 146.6 39.93C127.8 71.4 96 128.6 96 155.4C96 193.3 124.7 224 160 224S224 193.3 224 155.4zM160 192C142.4 192 128 175.6 128 155.4C128 148.9 135.1 125.6 160 80.68C184.9 125.6 192 148.9 192 155.4C192 175.6 177.6 192 160 192zM64 224C58.86 224 53.71 226.6 50.56 231.9C31.79 263.4 0 320.6 0 347.4C0 385.3 28.65 416 64 416s64-30.73 64-68.64c0-26.72-31.79-83.96-50.56-115.4C74.29 226.6 69.15 224 64 224zM64 384c-17.64 0-32-16.44-32-36.64C32 340.9 39.07 317.6 64 272.7c24.94 44.94 32 68.21 32 74.68C96 367.6 81.64 384 64 384zM334.6 135.5C331.1 130.5 325.6 128 320 128s-11.14 2.502-14.59 7.506C271.8 184.1 192 305.2 192 358.3C192 425.5 249.3 480 320 480s128-54.51 128-121.7C448 305.2 368.2 184.1 334.6 135.5zM320 448c-52.93 0-96-40.26-96-89.74c0-27.77 37.28-100.3 96-187.4c58.72 87.12 96 159.6 96 187.4C416 407.7 372.9 448 320 448z"],
    "ram": [640, 512, [128015], "f70a", "M432 192C432 183.2 439.2 176 448 176C456.8 176 464 183.2 464 192C464 200.8 456.8 208 448 208C439.2 208 432 200.8 432 192zM528 192C528 200.8 520.8 208 512 208C503.2 208 496 200.8 496 192C496 183.2 503.2 176 512 176C520.8 176 528 183.2 528 192zM336 56C336 25.07 361.1 0 392 0C422.9 0 448 25.07 448 56V66.78C455.7 64.96 463.7 64 472 64C486.2 64 499.7 66.84 512 71.97V56C512 25.07 537.1 0 568 0C598.9 0 624 25.07 624 56V64C624 72.84 616.8 80 608 80C599.2 80 592 72.84 592 64V56C592 42.75 581.3 32 568 32C554.7 32 544 42.75 544 56V92.95C554.1 103.5 563.7 116.4 569.2 130.9L616.9 162.7C624.2 167.6 626.2 177.5 621.3 184.9C616.4 192.2 606.5 194.2 599.1 189.3L576 173.9V240C576 293 533 336 480 336H464C410.1 336 368 293 368 240V179.2L352.9 189.3C345.5 194.2 335.6 192.2 330.7 184.9C325.8 177.5 327.8 167.6 335.1 162.7L372.5 137.8C379.7 113.9 395.4 93.56 416 80.35V56C416 42.75 405.3 32 392 32C378.7 32 368 42.75 368 56V64C368 72.84 360.8 80 352 80C343.2 80 336 72.84 336 64L336 56zM472 96C435.9 96 406 122.6 400.8 157.2L400.9 157.3L400.8 157.4C400.3 160.8 400 164.4 400 168V240C400 275.3 428.7 304 464 304H480C515.3 304 544 275.3 544 240V168C544 128.2 511.8 96 472 96zM304.2 69.88L304.4 69.71C306 80.99 312.3 90.74 321.3 96.93C308.1 105.3 290.6 102.9 280.1 90.95C274.2 84.19 265.6 80 255.1 80C246.4 80 237.8 84.19 231.9 90.95C220.6 103.8 201.3 105.6 187.9 94.93C182.4 90.58 175.6 88 167.1 88C152.1 88 140.3 98.35 136.9 112.3C132.1 128.5 117.4 138.9 100.1 136.4C99.36 136.1 97.7 136 95.1 136C78.33 136 63.1 150.3 63.1 168C63.1 170.7 64.33 173.3 64.94 175.8C68.49 190 61.9 204.8 48.97 211.7C38.8 217.2 31.1 227.8 31.1 240C31.1 252.2 38.8 262.8 48.97 268.3C61.9 275.2 68.49 289.1 64.94 304.2C64.33 306.7 63.1 309.3 63.1 312C63.1 329.7 78.33 344 95.1 344C97.7 344 99.36 343.9 100.1 343.6C117.4 341.1 132.1 351.5 136.9 367.7C140.3 381.6 152.1 392 167.1 392C175.6 392 182.4 389.4 187.9 385.1C201.3 374.4 220.6 376.2 231.9 389C237.8 395.8 246.4 400 255.1 400C265.6 400 274.2 395.8 280.1 389C291.4 376.2 310.7 374.4 324.1 385.1C329.6 389.4 336.4 392 344 392C359 392 371.7 381.6 375.1 367.7C376.5 361.9 379.4 356.9 383.3 352.9C389.5 358.1 396.2 362.8 403.4 366.8L423.5 371.9L397.6 475.6C392.2 497 373 512 351 512H336C309.5 512 287.1 490.5 287.1 464V423.4C278.6 428.9 267.7 432 255.1 432C244.3 432 233.4 428.9 223.1 423.4V464C223.1 490.5 202.5 512 175.1 512H160.1C138.1 512 119.8 497 114.4 475.6L89.42 375.7C57.17 372.4 32 345.1 32 312C32 306.7 32.66 301.5 33.89 296.5C13.72 285.7 0 264.5 0 240C0 215.5 13.72 194.3 33.89 183.5C32.66 178.5 32 173.3 32 168C32 132.7 60.65 104 96 104C99.34 104 102.6 104.3 105.8 104.8C112.7 76.77 137.9 56 168 56C183 56 196.9 61.19 207.8 69.89C219.5 56.47 236.8 48 256 48C275.2 48 292.5 56.47 304.2 69.89L304.2 69.88zM319.1 419.3V464C319.1 472.8 327.2 480 336 480H351C358.4 480 364.8 475 366.5 467.9L380.3 412.7C370 419.8 357.5 424 344 424C335.5 424 327.4 422.3 319.1 419.3H319.1zM131.7 412.7L145.5 467.9C147.2 475 153.6 480 160.1 480H175.1C184.8 480 191.1 472.8 191.1 464V419.3C184.6 422.3 176.5 424 167.1 424C154.5 424 141.1 419.8 131.7 412.7H131.7z"],
    "ramp-loading": [384, 512, [], "f4d4", "M32 64V341.7L0 400.4V64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V400.4L352 341.7V64C352 46.33 337.7 32 320 32H64C46.33 32 32 46.33 32 64zM252.9 288C270.6 288 286.8 297.6 295.1 313.1L377.3 464.8C388.8 486.1 373.4 512 349.1 512H34.86C10.61 512-4.823 486.1 6.726 464.8L88.85 313.1C97.24 297.6 113.4 287.1 131.1 287.1L252.9 288zM34.86 480H349.1L267 328.4C264.2 323.2 258.8 320 252.9 320H131.1C125.2 320 119.8 323.2 116.1 328.4L34.86 480z"],
    "ranking-star": [640, 512, [], "e561", "M295.5 15.2C305.7-5.415 334.9-4.753 344.6 15.32L364.5 55.48L408.6 61.84C430.6 65.25 440.1 92.48 423.9 108.7L423.7 108.9L391.8 139.7L399.4 183.7C402.8 205.8 379.9 222.9 359.6 212.7L359.3 212.5L320.2 192L280.4 213C260.1 223.2 237.2 206.1 240.6 184.1L240.7 183.8L248.2 139.1L216.1 108.7C199.9 92.48 209.4 65.25 231.4 61.84L231.6 61.82L275.5 55.48L295.5 15.24L295.5 15.2zM296.8 84.75L245 92.21L282.6 128.8L273.7 180.4L320.2 155.8L366.3 180.1L357.4 128.4L394.9 92.21L343.2 84.75L319.1 37.79L296.8 84.75zM192 368V464C192 490.5 170.5 512 144 512H48C21.49 512 0 490.5 0 464V368C0 341.5 21.49 320 48 320H144C170.5 320 192 341.5 192 368zM32 464C32 472.8 39.16 480 48 480H144C152.8 480 160 472.8 160 464V368C160 359.2 152.8 352 144 352H48C39.16 352 32 359.2 32 368V464zM416 464C416 490.5 394.5 512 368 512H272C245.5 512 224 490.5 224 464V304C224 277.5 245.5 256 272 256H368C394.5 256 416 277.5 416 304V464zM256 464C256 472.8 263.2 480 272 480H368C376.8 480 384 472.8 384 464V304C384 295.2 376.8 288 368 288H272C263.2 288 256 295.2 256 304V464zM592 384C618.5 384 640 405.5 640 432V464C640 490.5 618.5 512 592 512H496C469.5 512 448 490.5 448 464V432C448 405.5 469.5 384 496 384H592zM480 464C480 472.8 487.2 480 496 480H592C600.8 480 608 472.8 608 464V432C608 423.2 600.8 416 592 416H496C487.2 416 480 423.2 480 432V464z"],
    "raygun": [576, 512, [], "e025", "M112 160c-8.875 0-15.99 7.119-15.99 15.99c0 8.875 7.117 15.99 15.99 15.99s15.99-7.118 15.99-15.99C127.1 167.1 120.9 160 112 160zM552.9 97.78l-96 48C451.4 148.4 448 154 448 160h-32V79.99c0-8.875-7.125-16-16-16S384 71.16 384 80.03v80h-32V48.03c0-8.875-7.125-16-16-16S320 39.16 320 48.03v49.75c-21-21.63-49.88-33.78-80-33.78L195.4 64.03L54.5 1.406C49.5-.844 43.88-.344 39.25 2.656C34.75 5.531 32 10.66 32 16.03v81.88C11.5 118.7 0 146.8 0 176c0 60.5 48 109.4 108 111.6l-69.5 120.4c-6.375 11-8.125 24.13-4.875 36.38C37 456.8 45 467.3 56 473.5l55.5 32c11 6.375 24.12 8.125 36.38 4.875C160.2 507.2 170.8 499 177 488l127.4-220.6C309.1 263.5 315.2 259.2 320 254.3v49.75c0 8.875 7.125 16 16 16S352 312.9 352 304V192h32v80C384 280.9 391.1 288 400 288S416 280.9 416 272V192h32c0 6 3.375 11.5 8.875 14.25l96 48c4.875 2.5 10.88 2.25 15.5-.625C573.1 250.8 576 245.5 576 240V112c0-5.5-2.875-10.62-7.625-13.62C563.8 95.53 557.8 95.28 552.9 97.78zM64 40.66l52.63 23.38L112 64.01C95.38 64.14 79 67.86 64 75.23V40.66zM149.4 471.9C145.6 478.6 136.2 483 127.5 477.9l-55.38-32c-9.013-5.107-9.729-15.51-6-21.88l78.63-136h110.7L149.4 471.9zM240 256h-128c-44.12 0-80-35.88-80-80s35.88-80 80-80h128c44.13 0 80 35.88 80 80S284.1 256 240 256zM544 214.2l-64-32V169.9l64-32V214.2zM176 160c-8.875 0-16 7.125-16 16c0 8.875 7.125 16 16 16S192 184.9 192 176C192 167.1 184.9 160 176 160zM240 160c-8.875 0-16 7.111-16 15.99c0 8.875 7.125 16.01 16 16.01S256 184.9 256 176C256 167.2 248.9 160 240 160z"],
    "receipt": [384, 512, [129534], "f543", "M288 143.1C296.8 143.1 304 151.2 304 159.1C304 168.8 296.8 175.1 288 175.1H96C87.16 175.1 80 168.8 80 159.1C80 151.2 87.16 143.1 96 143.1H288zM80 352C80 343.2 87.16 336 96 336H288C296.8 336 304 343.2 304 352C304 360.8 296.8 368 288 368H96C87.16 368 80 360.8 80 352zM288 239.1C296.8 239.1 304 247.2 304 255.1C304 264.8 296.8 271.1 288 271.1H96C87.16 271.1 80 264.8 80 255.1C80 247.2 87.16 239.1 96 239.1H288zM79.27 50.1L124.7 4.687C130.9-1.562 141.1-1.562 147.3 4.687L192 49.37L236.7 4.687C242.9-1.562 253.1-1.562 259.3 4.687L304.7 50.1L357.5 3.959C362.2-.175 368.9-1.164 374.6 1.43C380.3 4.024 384 9.722 384 16V496C384 502.3 380.3 507.1 374.6 510.6C368.9 513.2 362.2 512.2 357.5 508L304.7 461.9L259.3 507.3C253.1 513.6 242.9 513.6 236.7 507.3L192 462.6L147.3 507.3C141.1 513.6 130.9 513.6 124.7 507.3L79.27 461.9L26.54 508C21.81 512.2 15.11 513.2 9.388 510.6C3.671 507.1 0 502.3 0 496V16C0 9.722 3.672 4.024 9.388 1.43C15.11-1.164 21.81-.175 26.54 3.959L79.27 50.1zM69.46 427.1C75.8 422.4 85.36 422.7 91.31 428.7L136 473.4L180.7 428.7C186.9 422.4 197.1 422.4 203.3 428.7L248 473.4L292.7 428.7C298.6 422.7 308.2 422.4 314.5 427.1L352 460.7V51.26L314.5 84.04C308.2 89.59 298.6 89.27 292.7 83.31L248 38.63L203.3 83.31C197.1 89.56 186.9 89.56 180.7 83.31L136 38.63L91.31 83.31C85.36 89.27 75.8 89.59 69.46 84.04L32 51.26V460.7L69.46 427.1z"],
    "record-vinyl": [512, 512, [], "f8d9", "M256 232C242.8 232 232 242.8 232 256S242.8 280 256 280S280 269.3 280 256S269.2 232 256 232zM256 127.1c-70.69 0-128 57.31-128 128c0 70.69 57.31 128 128 128c70.69 0 128-57.31 128-128C384 185.3 326.7 127.1 256 127.1zM256 352c-52.93 0-96-43.07-96-96c0-52.94 43.07-96 96-96c52.94 0 96 43.06 96 96C352 308.9 308.9 352 256 352zM256 0c-141.4 0-256 114.6-256 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480z"],
    "rectangle": [512, 512, [9644, "rectangle-landscape"], "f2fa", "M448 64C483.3 64 512 92.65 512 128V384C512 419.3 483.3 448 448 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H448zM448 96H64C46.33 96 32 110.3 32 128V384C32 401.7 46.33 416 64 416H448C465.7 416 480 401.7 480 384V128C480 110.3 465.7 96 448 96z"],
    "rectangle-ad": [576, 512, ["ad"], "f641", "M286.6 329.4C290.2 337.5 286.6 346.1 278.6 350.6C270.5 354.2 261 350.6 257.4 342.6L247.3 320H152.7L142.6 342.6C138.1 350.6 129.5 354.2 121.4 350.6C113.4 346.1 109.8 337.5 113.4 329.4L185.4 169.4C187.1 163.7 193.7 160 200 160C206.3 160 212 163.7 214.6 169.4L286.6 329.4zM167.1 288H232.9L199.1 214.1L167.1 288zM416 176C416 167.2 423.2 160 432 160C440.8 160 448 167.2 448 176V336C448 344.8 440.8 352 432 352C424.4 352 418 346.7 416.4 339.6C404.9 347.4 390.1 352 376 352C336.2 352 304 319.8 304 280C304 240.2 336.2 208 376 208C390.8 208 404.6 212.5 416 220.1V176zM376 240C353.9 240 336 257.9 336 280C336 302.1 353.9 320 376 320C398.1 320 416 302.1 416 280C416 257.9 398.1 240 376 240zM0 96C0 60.65 28.65 32 64 32H512C547.3 32 576 60.65 576 96V416C576 451.3 547.3 480 512 480H64C28.65 480 0 451.3 0 416V96zM32 96V416C32 433.7 46.33 448 64 448H512C529.7 448 544 433.7 544 416V96C544 78.33 529.7 64 512 64H64C46.33 64 32 78.33 32 96z"],
    "rectangle-barcode": [576, 512, ["barcode-alt"], "f463", "M96 144C96 135.2 103.2 128 112 128C120.8 128 128 135.2 128 144V368C128 376.8 120.8 384 112 384C103.2 384 96 376.8 96 368V144zM384 144C384 135.2 391.2 128 400 128C408.8 128 416 135.2 416 144V368C416 376.8 408.8 384 400 384C391.2 384 384 376.8 384 368V144zM480 144V368C480 376.8 472.8 384 464 384C455.2 384 448 376.8 448 368V144C448 135.2 455.2 128 464 128C472.8 128 480 135.2 480 144zM160 144C160 135.2 167.2 128 176 128C184.8 128 192 135.2 192 144V368C192 376.8 184.8 384 176 384C167.2 384 160 376.8 160 368V144zM256 144V368C256 376.8 248.8 384 240 384C231.2 384 224 376.8 224 368V144C224 135.2 231.2 128 240 128C248.8 128 256 135.2 256 144zM304 144C304 135.2 311.2 128 320 128C328.8 128 336 135.2 336 144V368C336 376.8 328.8 384 320 384C311.2 384 304 376.8 304 368V144zM0 96C0 60.65 28.65 32 64 32H512C547.3 32 576 60.65 576 96V416C576 451.3 547.3 480 512 480H64C28.65 480 0 451.3 0 416V96zM32 96V416C32 433.7 46.33 448 64 448H512C529.7 448 544 433.7 544 416V96C544 78.33 529.7 64 512 64H64C46.33 64 32 78.33 32 96z"],
    "rectangle-code": [512, 512, [], "e322", "M315.1 173.4L379.1 245.4C385.3 251.4 385.3 260.6 379.1 266.6L315.1 338.6C310.1 345.2 299.1 345.8 293.4 339.1C286.8 334.1 286.2 323.1 292 317.4L346.6 255.1L292 194.6C286.2 188 286.8 177.9 293.4 172C299.1 166.2 310.1 166.8 315.1 173.4V173.4zM165.4 256L219.1 317.4C225.8 323.1 225.2 334.1 218.6 339.1C212 345.8 201.9 345.2 196 338.6L132 266.6C126.7 260.6 126.7 251.4 132 245.4L196 173.4C201.9 166.8 212 166.2 218.6 172C225.2 177.9 225.8 188 219.1 194.6L165.4 256zM448 32C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448zM448 64H64C46.33 64 32 78.33 32 96V416C32 433.7 46.33 448 64 448H448C465.7 448 480 433.7 480 416V96C480 78.33 465.7 64 448 64z"],
    "rectangle-history": [512, 512, [], "e4a2", "M448 128C483.3 128 512 156.7 512 192V448C512 483.3 483.3 512 448 512H64C28.65 512 0 483.3 0 448V192C0 156.7 28.65 128 64 128H448zM448 160H64C46.33 160 32 174.3 32 192V448C32 465.7 46.33 480 64 480H448C465.7 480 480 465.7 480 448V192C480 174.3 465.7 160 448 160zM448 64C456.8 64 464 71.16 464 80C464 88.84 456.8 96 448 96H64C55.16 96 48 88.84 48 80C48 71.16 55.16 64 64 64H448zM400 0C408.8 0 416 7.164 416 16C416 24.84 408.8 32 400 32H112C103.2 32 96 24.84 96 16C96 7.164 103.2 0 112 0H400z"],
    "rectangle-history-circle-plus": [640, 512, [], "e4a3", "M448 160H64C46.33 160 32 174.3 32 192V448C32 465.7 46.33 480 64 480H360.2C370.3 492.1 381.9 502.9 394.8 512H64C28.65 512 0 483.3 0 448V192C0 156.7 28.65 128 64 128H448C483.3 128 512 156.7 512 192V192.7C506.7 192.2 501.4 192 496 192C490.6 192 485.3 192.2 480 192.7V192C480 174.3 465.7 160 448 160zM448 64C456.8 64 464 71.16 464 80C464 88.84 456.8 96 448 96H64C55.16 96 48 88.84 48 80C48 71.16 55.16 64 64 64H448zM400 0C408.8 0 416 7.164 416 16C416 24.84 408.8 32 400 32H112C103.2 32 96 24.84 96 16C96 7.164 103.2 0 112 0H400zM512 351.1H560C568.8 351.1 576 359.2 576 367.1C576 376.8 568.8 383.1 560 383.1H512V431.1C512 440.8 504.8 447.1 496 447.1C487.2 447.1 480 440.8 480 431.1V383.1H432C423.2 383.1 416 376.8 416 367.1C416 359.2 423.2 351.1 432 351.1H480V303.1C480 295.2 487.2 287.1 496 287.1C504.8 287.1 512 295.2 512 303.1V351.1zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 256C434.1 256 384 306.1 384 368C384 429.9 434.1 480 496 480C557.9 480 608 429.9 608 368C608 306.1 557.9 256 496 256z"],
    "rectangle-history-circle-user": [640, 512, [], "e4a4", "M448 160H64C46.33 160 32 174.3 32 192V448C32 465.7 46.33 480 64 480H360.2C370.3 492.1 381.9 502.9 394.8 512H64C28.65 512 0 483.3 0 448V192C0 156.7 28.65 128 64 128H448C483.3 128 512 156.7 512 192V192.7C506.7 192.2 501.4 192 496 192C490.6 192 485.3 192.2 480 192.7V192C480 174.3 465.7 160 448 160zM448 64C456.8 64 464 71.16 464 80C464 88.84 456.8 96 448 96H64C55.16 96 48 88.84 48 80C48 71.16 55.16 64 64 64H448zM400 0C408.8 0 416 7.164 416 16C416 24.84 408.8 32 400 32H112C103.2 32 96 24.84 96 16C96 7.164 103.2 0 112 0H400zM440 344C440 313.1 465.1 288 496 288C526.9 288 552 313.1 552 344C552 374.9 526.9 400 496 400C465.1 400 440 374.9 440 344zM496 368C509.3 368 520 357.3 520 344C520 330.7 509.3 320 496 320C482.7 320 472 330.7 472 344C472 357.3 482.7 368 496 368zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM524.2 448H467.8C455.4 448 443.9 453.5 436 462.6C453.3 473.6 473.9 480 496 480C518.1 480 538.7 473.6 555.1 462.6C548.2 453.5 536.6 448 524.2 448H524.2zM608 368C608 306.1 557.9 256 496 256C434.1 256 384 306.1 384 368C384 396.2 394.5 422.1 411.7 441.8C425.6 425.6 445.9 416 467.8 416H524.2C546.1 416 566.4 425.6 580.3 441.8C597.5 422.1 608 396.2 608 368H608z"],
    "rectangle-list": [576, 512, ["list-alt"], "f022", "M128 184C114.7 184 104 173.3 104 160C104 146.7 114.7 136 128 136C141.3 136 152 146.7 152 160C152 173.3 141.3 184 128 184zM192 160C192 151.2 199.2 144 208 144H464C472.8 144 480 151.2 480 160C480 168.8 472.8 176 464 176H208C199.2 176 192 168.8 192 160zM192 256C192 247.2 199.2 240 208 240H464C472.8 240 480 247.2 480 256C480 264.8 472.8 272 464 272H208C199.2 272 192 264.8 192 256zM192 352C192 343.2 199.2 336 208 336H464C472.8 336 480 343.2 480 352C480 360.8 472.8 368 464 368H208C199.2 368 192 360.8 192 352zM128 232C141.3 232 152 242.7 152 256C152 269.3 141.3 280 128 280C114.7 280 104 269.3 104 256C104 242.7 114.7 232 128 232zM128 376C114.7 376 104 365.3 104 352C104 338.7 114.7 328 128 328C141.3 328 152 338.7 152 352C152 365.3 141.3 376 128 376zM0 96C0 60.65 28.65 32 64 32H512C547.3 32 576 60.65 576 96V416C576 451.3 547.3 480 512 480H64C28.65 480 0 451.3 0 416V96zM32 96V416C32 433.7 46.33 448 64 448H512C529.7 448 544 433.7 544 416V96C544 78.33 529.7 64 512 64H64C46.33 64 32 78.33 32 96z"],
    "rectangle-pro": [640, 512, ["pro"], "e235", "M152 168C182.9 168 208 193.1 208 224C208 254.9 182.9 280 152 280H112V328C112 336.8 104.8 344 96 344C87.16 344 80 336.8 80 328V184C80 175.2 87.16 168 96 168H152zM176 224C176 210.7 165.3 200 152 200H112V248H152C165.3 248 176 237.3 176 224zM240 184C240 175.2 247.2 168 256 168H312C342.9 168 368 193.1 368 224C368 245.9 355.4 264.8 337.1 274L365.6 319.5C370.3 327 367.1 336.9 360.5 341.6C352.1 346.2 343.1 343.1 338.4 336.5L303.1 280H271.1V328C271.1 336.8 264.8 344 255.1 344C247.2 344 239.1 336.8 239.1 328L240 184zM272 248H312C325.3 248 336 237.3 336 224C336 210.7 325.3 200 312 200H272V248zM560 248V264C560 308.2 524.2 344 480 344C435.8 344 400 308.2 400 264V248C400 203.8 435.8 168 480 168C524.2 168 560 203.8 560 248zM432 264C432 290.5 453.5 312 480 312C506.5 312 528 290.5 528 264V248C528 221.5 506.5 200 480 200C453.5 200 432 221.5 432 248V264zM0 96C0 60.65 28.65 32 64 32H576C611.3 32 640 60.65 640 96V416C640 451.3 611.3 480 576 480H64C28.65 480 0 451.3 0 416V96zM32 96V416C32 433.7 46.33 448 64 448H576C593.7 448 608 433.7 608 416V96C608 78.33 593.7 64 576 64H64C46.33 64 32 78.33 32 96z"],
    "rectangle-terminal": [512, 512, [], "e236", "M122.4 147.9L234.4 243.9C237.1 246.9 240 251.3 240 256C240 260.7 237.1 265.1 234.4 268.1L122.4 364.1C115.7 369.9 105.6 369.1 99.85 362.4C94.1 355.7 94.88 345.6 101.6 339.9L199.4 256L101.6 172.1C94.88 166.4 94.1 156.3 99.85 149.6C105.6 142.9 115.7 142.1 122.4 147.9V147.9zM400 352C408.8 352 416 359.2 416 368C416 376.8 408.8 384 400 384H224C215.2 384 208 376.8 208 368C208 359.2 215.2 352 224 352H400zM448 32C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448zM448 64H64C46.33 64 32 78.33 32 96V416C32 433.7 46.33 448 64 448H448C465.7 448 480 433.7 480 416V96C480 78.33 465.7 64 448 64z"],
    "rectangle-vertical": [384, 512, ["rectangle-portrait"], "f2fb", "M384 448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V448zM352 448V64C352 46.33 337.7 32 320 32H64C46.33 32 32 46.33 32 64V448C32 465.7 46.33 480 64 480H320C337.7 480 352 465.7 352 448z"],
    "rectangle-vertical-history": [576, 512, [], "e237", "M192 64C192 28.65 220.7 0 256 0H512C547.3 0 576 28.65 576 64V448C576 483.3 547.3 512 512 512H256C220.7 512 192 483.3 192 448V64zM224 64V448C224 465.7 238.3 480 256 480H512C529.7 480 544 465.7 544 448V64C544 46.33 529.7 32 512 32H256C238.3 32 224 46.33 224 64zM96 64C96 55.16 103.2 48 112 48C120.8 48 128 55.16 128 64V448C128 456.8 120.8 464 112 464C103.2 464 96 456.8 96 448V64zM0 112C0 103.2 7.164 96 16 96C24.84 96 32 103.2 32 112V400C32 408.8 24.84 416 16 416C7.164 416 0 408.8 0 400V112z"],
    "rectangle-wide": [640, 512, [], "f2fc", "M576 64C611.3 64 640 92.65 640 128V384C640 419.3 611.3 448 576 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H576zM576 96H64C46.33 96 32 110.3 32 128V384C32 401.7 46.33 416 64 416H576C593.7 416 608 401.7 608 384V128C608 110.3 593.7 96 576 96z"],
    "rectangle-xmark": [512, 512, [62164, "rectangle-times", "times-rectangle", "window-close"], "f410", "M180.7 180.7C186.9 174.4 197.1 174.4 203.3 180.7L256 233.4L308.7 180.7C314.9 174.4 325.1 174.4 331.3 180.7C337.6 186.9 337.6 197.1 331.3 203.3L278.6 256L331.3 308.7C337.6 314.9 337.6 325.1 331.3 331.3C325.1 337.6 314.9 337.6 308.7 331.3L256 278.6L203.3 331.3C197.1 337.6 186.9 337.6 180.7 331.3C174.4 325.1 174.4 314.9 180.7 308.7L233.4 256L180.7 203.3C174.4 197.1 174.4 186.9 180.7 180.7zM0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM32 96V416C32 433.7 46.33 448 64 448H448C465.7 448 480 433.7 480 416V96C480 78.33 465.7 64 448 64H64C46.33 64 32 78.33 32 96z"],
    "rectangles-mixed": [576, 512, [], "e323", "M272 32C298.5 32 320 53.49 320 80V208C320 234.5 298.5 256 272 256H48C21.49 256 0 234.5 0 208V80C0 53.49 21.49 32 48 32H272zM272 64H48C39.16 64 32 71.16 32 80V208C32 216.8 39.16 224 48 224H272C280.8 224 288 216.8 288 208V80C288 71.16 280.8 64 272 64zM528 32C554.5 32 576 53.49 576 80V336C576 362.5 554.5 384 528 384H432C405.5 384 384 362.5 384 336V80C384 53.49 405.5 32 432 32H528zM528 64H432C423.2 64 416 71.16 416 80V336C416 344.8 423.2 352 432 352H528C536.8 352 544 344.8 544 336V80C544 71.16 536.8 64 528 64zM64 352C64 325.5 85.49 304 112 304H288C314.5 304 336 325.5 336 352V432C336 458.5 314.5 480 288 480H112C85.49 480 64 458.5 64 432V352zM96 352V432C96 440.8 103.2 448 112 448H288C296.8 448 304 440.8 304 432V352C304 343.2 296.8 336 288 336H112C103.2 336 96 343.2 96 352z"],
    "recycle": [512, 512, [9850, 9851, 9842], "f1b8", "M160 416L80.37 416c-17.81 0-33.59-9.156-42.21-24.5c-8.406-14.94-8.109-32.63 .7969-47.28L108.6 229.6l14.02 48.41c2.031 7 8.422 11.56 15.37 11.56c1.469 0 2.969-.1875 4.453-.625c8.482-2.469 13.37-11.34 10.92-19.81l-25.17-86.94C127 178.1 124.3 174.6 120.6 172.6C116.8 170.5 112.4 170 108.4 171.2L21.46 196.4C12.97 198.9 8.084 207.8 10.54 216.2c2.453 8.5 11.33 13.5 19.82 10.94L81.67 212.3l-70.05 115.3c-14.1 24.69-15.5 54.44-1.344 79.59C24.64 432.8 50.84 448 80.37 448h79.64c8.844 0 15.1-7.156 15.1-16S168.8 416 160 416zM500.4 327.6l-38.74-63.78c-4.592-7.5-14.4-9.906-21.98-5.375c-7.547 4.594-9.951 14.44-5.359 22l38.74 63.78c8.906 14.66 9.203 32.34 .7969 47.28C465.2 406.8 449.4 416 431.6 416h-121l36.68-36.69c6.25-6.25 6.25-16.38 0-22.62s-16.37-6.25-22.62 0l-63.99 64c-6.25 6.25-6.25 16.38 0 22.62l63.99 64C327.8 510.4 331.9 512 335.1 512s8.186-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L310.6 448h121c29.53 0 55.72-15.25 70.1-40.81C515.9 382 515.4 352.3 500.4 327.6zM297.4 55.13l50.37 82.91l-45.47-13.19c-8.498-2.5-17.37 2.469-19.82 10.94s2.438 17.34 10.92 19.81l86.92 25.19c1.469 .4062 2.953 .625 4.453 .625c2.672 0 5.328-.6562 7.719-2c3.717-2.031 6.467-5.469 7.654-9.562l25.17-86.94c2.453-8.469-2.438-17.34-10.92-19.81c-8.531-2.469-17.37 2.438-19.83 10.94l-15.57 53.78L324.8 38.5C310.1 14.38 284.4 0 256 0S201.9 14.38 187.2 38.5L157.4 87.69c-4.594 7.562-2.188 17.41 5.357 22c7.531 4.562 17.4 2.125 21.98-5.375l29.89-49.19C223.4 40.63 238.9 32 256 32S288.6 40.63 297.4 55.13z"],
    "reel": [448, 512, [], "e238", "M16 32H64v48C55.16 80 48 87.16 48 96c0 8.836 7.164 16 16 16h320c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16V32h48C440.8 32 448 24.84 448 16C448 7.162 440.8 0 432 0h-416C7.164 0 0 7.162 0 16C0 24.84 7.164 32 16 32zM96 32h256v48H96V32zM384 144H64C55.16 144 48 151.2 48 160c0 8.836 7.164 16 16 16h320c8.836 0 16-7.164 16-16C400 151.2 392.8 144 384 144zM432 480H384v-48c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16H64c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16V480H16C7.164 480 0 487.2 0 496C0 504.8 7.164 512 16 512h416c8.836 0 16-7.164 16-16C448 487.2 440.8 480 432 480zM352 480H96v-48h256V480zM384 272H64C55.16 272 48 279.2 48 288c0 8.836 7.164 16 16 16h320c8.836 0 16-7.164 16-16C400 279.2 392.8 272 384 272zM432 208H64C55.16 208 48 215.2 48 224c0 8.836 7.164 16 16 16h368C440.8 240 448 232.8 448 224C448 215.2 440.8 208 432 208zM384 336H64c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16h320c8.836 0 16-7.164 16-16C400 343.2 392.8 336 384 336z"],
    "refrigerator": [384, 512, [], "e026", "M288 0H96C42.98 0 0 42.98 0 96v352c0 35.35 28.65 64 64 64h256c35.35 0 64-28.65 64-64V96C384 42.98 341 0 288 0zM352 448c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V192h224v176c0 8.836 7.164 16 16 16s16-7.164 16-16V192h64V448zM352 160h-64V112C288 103.2 280.8 96 272 96S256 103.2 256 112V160H32V96c0-35.35 28.65-64 64-64h192c35.35 0 64 28.65 64 64V160z"],
    "registered": [512, 512, [174], "f25d", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480zM368 216C368 167.5 328.5 128 280 128H208C181.5 128 160 149.5 160 176v192C160 376.8 167.2 384 176 384S192 376.8 192 368v-64h86.95l43.33 72.22C325.3 381.2 330.6 384 336 384c2.812 0 5.656-.7187 8.219-2.281c7.594-4.531 10.06-14.38 5.5-21.94l-37.29-62.15C344.9 284.7 368 253.1 368 216zM280 272H192v-96C192 167.2 199.2 160 208 160h72c30.88 0 56 25.12 56 56S310.9 272 280 272z"],
    "repeat": [512, 512, [128257], "f363", "M496 240C487.2 240 480 247.2 480 256c0 79.41-64.59 144-144 144H192L192 336c0-6.219-3.594-11.84-9.219-14.5C180.6 320.5 178.3 320 176 320c-3.672 0-7.312 1.25-10.25 3.719l-96 80C66.11 406.8 64 411.3 64 416s2.109 9.254 5.75 12.29l96 80c4.781 4 11.45 4.812 17.03 2.219C188.4 507.9 192 502.2 192 496L192 432H336c97.05 0 176-78.97 176-176C512 247.2 504.8 240 496 240zM160 461.8L105 416L160 370.2V461.8zM176 112l143.1-.002L320 176c0 6.219 3.594 11.84 9.219 14.5C331.4 191.5 333.7 192 336 192c3.672 0 7.312-1.25 10.25-3.719l96-80C445.9 105.2 448 100.7 448 95.1s-2.109-9.253-5.75-12.28l-96-80c-4.781-4-11.45-4.812-17.03-2.219C323.6 4.148 320 9.773 320 15.99L319.1 80H176C78.95 80 0 158.1 0 256c0 8.844 7.156 16 16 16S32 264.8 32 256C32 176.6 96.59 112 176 112zM352 50.15l55 45.85L352 141.8V50.15z"],
    "repeat-1": [512, 512, [128258], "f365", "M272 320c8.844 0 16-7.156 16-16v-96C288 199.2 280.8 192 272 192h-32C231.2 192 224 199.2 224 208S231.2 224 240 224H256v80C256 312.8 263.2 320 272 320zM176 112l143.1-.002L320 176c0 6.219 3.594 11.84 9.219 14.5C331.4 191.5 333.7 192 336 192c3.672 0 7.312-1.25 10.25-3.719l96-80C445.9 105.2 448 100.7 448 95.1s-2.109-9.253-5.75-12.28l-96-80c-4.781-4-11.45-4.812-17.03-2.219C323.6 4.148 320 9.773 320 15.99L319.1 80H176C78.95 80 0 158.1 0 256c0 8.844 7.156 16 16 16S32 264.8 32 256C32 176.6 96.59 112 176 112zM352 50.15l55 45.85L352 141.8V50.15zM496 240C487.2 240 480 247.2 480 256c0 79.41-64.59 144-144 144H192L192 336c0-6.219-3.594-11.84-9.219-14.5C180.6 320.5 178.3 320 176 320c-3.672 0-7.312 1.25-10.25 3.719l-96 80C66.11 406.8 64 411.3 64 416s2.109 9.254 5.75 12.29l96 80c4.781 4 11.45 4.812 17.03 2.219C188.4 507.9 192 502.2 192 496L192 432H336c97.05 0 176-78.97 176-176C512 247.2 504.8 240 496 240zM160 461.8L105 416L160 370.2V461.8z"],
    "reply": [512, 512, [61714, "mail-reply"], "f3e5", "M512 400v31.1C512 440.8 504.8 448 496 448S480 440.8 480 432v-31.1c0-79.41-64.59-143.1-144-143.1H60.2l158.1 131.7c6.781 5.656 7.688 15.75 2.031 22.53C217.1 414 212.6 416 208 416c-3.625 0-7.25-1.219-10.25-3.719l-192-159.1C2.094 249.3 0 244.7 0 239.1c0-4.75 2.094-9.247 5.75-12.28l192-159.1C204.5 62.07 214.6 62.94 220.3 69.75c5.656 6.781 4.75 16.87-2.031 22.53L60.2 224H336C433 224 512 302.1 512 400z"],
    "reply-all": [576, 512, ["mail-reply-all"], "f122", "M400 224H188.2l158.1-131.7c6.781-5.656 7.688-15.75 2.031-22.53c-5.688-6.812-15.78-7.687-22.53-2.031l-192 159.1C130.1 230.8 128 235.2 128 239.1c0 4.75 2.094 9.253 5.75 12.28l192 159.1c3 2.5 6.625 3.719 10.25 3.719c4.562 0 9.125-1.969 12.28-5.75c5.656-6.781 4.75-16.87-2.031-22.53L188.2 256H400c79.41 0 144 64.59 144 143.1v31.1C544 440.8 551.2 448 560 448s16-7.156 16-15.1v-31.1C576 302.1 497 224 400 224zM41 240l177.3-147.7c6.781-5.656 7.688-15.75 2.031-22.53c-5.656-6.812-15.75-7.687-22.53-2.031l-192 159.1C2.094 230.8 0 235.2 0 239.1c0 4.75 2.094 9.253 5.75 12.28l192 159.1c3 2.5 6.625 3.719 10.25 3.719c4.562 0 9.125-1.969 12.28-5.75c5.656-6.781 4.75-16.87-2.031-22.53L41 240z"],
    "reply-clock": [640, 512, ["reply-time"], "e239", "M544 128h-32V80C512 71.16 504.8 64 496 64S480 71.16 480 80v64C480 152.8 487.2 160 496 160H544c8.844 0 16-7.156 16-16S552.8 128 544 128zM496 0C416.5 0 352 64.47 352 144S416.5 288 496 288S640 223.5 640 144S575.5 0 496 0zM496 256C434.2 256 384 205.8 384 144S434.2 32 496 32S608 82.24 608 144S557.8 256 496 256zM482.5 320c-11.32 0-19.33 11.57-14.74 21.92C475.6 359.7 480 379.3 480 400v32c0 8.844 7.156 16 16 16s16-7.156 16-16v-32c0-25.23-5.445-49.19-15.08-70.89C494.4 323.5 488.6 320 482.5 320zM304 224H60.2l158.1-131.7c6.781-5.656 7.688-15.75 2.031-22.53C214.6 62.94 204.5 62.07 197.8 67.72l-192 159.1C2.094 230.8 0 235.3 0 240s2.094 9.25 5.75 12.28l192 160C200.8 414.8 204.4 416 208 416c4.562 0 9.125-1.969 12.28-5.75c5.656-6.781 4.75-16.88-2.031-22.53L60.2 256h243.8C312.9 256 320 248.9 320 240S312.9 224 304 224z"],
    "republican": [640, 512, [], "f75e", "M608 256h-32c-17.67 0-31.91 14.34-31.91 32.01L544 368c0 8.824-7.178 16-16 16S512 376.8 512 368V192c0-88.37-71.63-160-160-160L160.1 32.04c-88.37 0-160 71.63-160 159.1L0 416c0 35.29 28.71 64 64 64l32.08-.0078C131.4 479.1 160 451.3 160 416l.0625-31.98h128L288 416c0 35.29 28.79 63.99 64.08 63.99L384 480c26.96 0 50.09-16.76 59.5-40.41c18.17 21.92 43.93 36.87 72.93 39.82C520.3 479.8 524.2 480 527.1 480C589.8 480 640 429.8 640 368V288C640 270.3 625.7 256 608 256zM32 192c0-70.63 57.38-128 128-128h192c70.63 0 128 57.38 128 128v64H32V192zM608 368c0 44.12-35.88 80-80 80c-2.752 0-5.527-.1406-8.338-.4258C478 443.3 448 405.1 448 363.3l.0833-11.3L416 352v64c0 17.6-14.4 32-32 32h-32c-17.6 0-32-14.4-32-32v-64H128v64c0 17.6-14.4 32-32 32H64c-17.6 0-32-14.4-32-32V288h448v80c0 26.5 21.5 48 48 48s48-21.5 48-48V288h32V368zM176.1 160H160.1v-16c0-8.844-7.156-16-15.1-16s-15.1 7.156-15.1 16v16H112.1c-8.844 0-15.1 7.156-15.1 16s7.154 16 15.1 16h15.1v16c0 8.844 7.156 16 15.1 16s15.1-7.156 15.1-16v-16H176.1c8.842 0 15.1-7.156 15.1-16S184.1 160 176.1 160zM288.1 160h-15.1v-16c0-8.844-7.154-16-15.1-16c-8.842 0-15.1 7.156-15.1 16v16h-15.1c-8.842 0-15.1 7.156-15.1 16s7.154 16 15.1 16h15.1v16c0 8.844 7.154 16 15.1 16c8.844 0 15.1-7.156 15.1-16v-16h15.1c8.842 0 15.1-7.156 15.1-16S296.9 160 288.1 160zM400.1 160h-15.1v-16c0-8.844-7.156-16-15.1-16s-15.1 7.156-15.1 16v16h-15.1c-8.842 0-15.1 7.156-15.1 16s7.156 16 15.1 16h15.1v16c0 8.844 7.156 16 15.1 16s15.1-7.156 15.1-16v-16h15.1c8.844 0 15.1-7.156 15.1-16S408.9 160 400.1 160z"],
    "restroom": [640, 512, [], "f7bd", "M319.1 0C311.2 0 304 7.199 304 16v480c0 8.799 7.199 16 15.1 16s15.1-7.201 15.1-16v-480C335.1 7.199 328.8 0 319.1 0zM224.3 169.2C210.2 143.8 183.4 128 154.3 128H133.7C104.6 128 77.82 143.8 63.73 169.2L2.01 280.2c-4.281 7.719-1.5 17.45 6.219 21.75c7.625 4.25 17.44 1.547 21.78-6.219l61.72-111.1C100.2 169.5 116.2 160 133.7 160h20.69C171.8 160 187.8 169.5 196.3 184.7l61.72 111.1C260.9 301 266.4 304 272 304c2.656 0 5.312-.6406 7.781-2.016c7.719-4.297 10.5-14.03 6.219-21.75L224.3 169.2zM144 112c30.87 0 55.1-25.12 55.1-56S174.9 0 144 0S88.01 25.12 88.01 56S113.1 112 144 112zM144 32c13.22 0 23.1 10.77 23.1 24S157.2 80 144 80c-13.22 0-23.1-10.77-23.1-24S130.8 32 144 32zM192 240C183.2 240 176 247.2 176 256v80H112V256c0-8.844-7.156-16-15.1-16S80.01 247.2 80.01 256v240c0 8.844 7.156 16 15.1 16s15.1-7.156 15.1-16v-128h63.1v128c0 8.844 7.156 16 15.1 16c8.843 0 15.1-7.156 15.1-16V256C208 247.2 200.8 240 192 240zM550.3 248.8c-3.969-7.922-13.53-11.09-21.47-7.156c-7.906 3.953-11.09 13.56-7.156 21.47L574.1 368h-156.2l52.44-104.8c3.937-7.906 .75-17.52-7.156-21.47c-7.906-3.906-17.47-.7344-21.47 7.156l-63.1 128c-2.469 4.953-2.219 10.84 .6875 15.56C381.3 397.1 386.5 400 391.1 400h39.1v96c0 8.844 7.156 16 15.1 16s15.1-7.156 15.1-16v-96h63.1v96c0 8.844 7.156 16 15.1 16c8.843 0 15.1-7.156 15.1-16v-96h39.1c5.531 0 10.69-2.875 13.62-7.594c2.906-4.719 3.156-10.61 .6875-15.56L550.3 248.8zM629.1 280.2l-61.72-111.1C554.2 143.8 527.4 128 498.3 128h-4.687c-29.03 0-55.84 15.77-69.94 41.16l-61.72 111.1c-4.281 7.719-1.5 17.45 6.219 21.75c7.625 4.25 17.44 1.547 21.78-6.219l61.72-111.1C460.2 169.5 476.2 160 493.7 160H498.3c17.44 0 33.5 9.453 41.94 24.69l61.72 111.1C604.9 301 610.4 304 615.1 304c2.656 0 5.312-.6406 7.781-2.016C631.5 297.7 634.3 287.1 629.1 280.2zM495.1 112c30.87 0 55.1-25.12 55.1-56S526.9 0 495.1 0S439.1 25.12 439.1 56S465.1 112 495.1 112zM495.1 32c13.22 0 23.1 10.77 23.1 24S509.2 80 495.1 80s-23.1-10.77-23.1-24S482.8 32 495.1 32z"],
    "restroom-simple": [576, 512, [], "e23a", "M575.4 363.6L530.5 206.4C522.6 178.9 497.5 160 468.9 160h-41.85c-28.57 0-53.69 18.94-61.54 46.42l-44.91 157.2C317.7 373.8 325.4 384 336 384H384v112c0 8.844 7.156 16 16 16s16-7.156 16-16V384h64v112c0 8.844 7.156 16 16 16s16-7.156 16-16V384h47.99C570.6 384 578.3 373.8 575.4 363.6zM357.2 352l39.08-136.8C400.2 201.5 412.8 192 427.1 192h41.85c14.29 0 26.84 9.471 30.77 23.21L538.8 352H357.2zM448 128c35.38 0 64-28.62 64-64s-28.62-64-64-64s-64 28.62-64 64S412.6 128 448 128zM448 32c17.64 0 32 14.36 32 32s-14.36 32-32 32s-32-14.36-32-32S430.4 32 448 32zM128 160H64C28.65 160 0 188.7 0 224v96c0 17.67 14.33 32 32 32v144C32 504.8 39.16 512 48 512S64 504.8 64 496V352h64v144C128 504.8 135.2 512 144 512S160 504.8 160 496V352c17.67 0 32-14.33 32-32V224C192 188.7 163.3 160 128 160zM160 320H32V224c0-17.64 14.36-32 32-32h64c17.64 0 32 14.36 32 32V320zM96 128c35.38 0 64-28.62 64-64S131.4 0 96 0S32 28.62 32 64S60.63 128 96 128zM96 32c17.64 0 32 14.36 32 32S113.6 96 96 96S64 81.64 64 64S78.36 32 96 32zM256 0C247.2 0 240 7.156 240 16v480C240 504.8 247.2 512 256 512s16-7.156 16-16v-480C272 7.156 264.8 0 256 0z"],
    "retweet": [640, 512, [], "f079", "M336 368h-192V224h96c6.281 0 11.97-3.656 14.56-9.375c2.609-5.719 1.609-12.44-2.516-17.16l-112-128c-6.094-6.938-18-6.938-24.09 0l-112 128c-4.125 4.719-5.125 11.44-2.516 17.16C4.031 220.3 9.719 224 16 224h96v160c0 8.844 7.156 16 16 16h208c8.844 0 16-7.156 16-16S344.8 368 336 368zM51.27 192L128 104.3L204.7 192H51.27zM638.6 297.4C635.1 291.7 630.3 288 624 288h-96V128c0-8.844-7.156-16-16-16H304C295.2 112 288 119.2 288 128s7.156 16 16 16h192V288h-96c-6.281 0-11.97 3.656-14.56 9.375c-2.609 5.719-1.609 12.44 2.516 17.16l112 128C503 446 507.4 448 512 448s9-2 12.05-5.469l112-128C640.2 309.8 641.2 303.1 638.6 297.4zM512 407.7L435.3 320h153.5L512 407.7z"],
    "rhombus": [448, 512, [], "e23b", "M438.4 281.9L254.4 497.9C246.8 506.9 235.7 512 224 512C212.3 512 201.2 506.9 193.6 497.9L9.55 281.9C-3.183 266.1-3.183 245 9.55 230.1L193.6 14.06C201.2 5.14 212.3 0 224 0C235.7 0 246.9 5.14 254.4 14.06L438.4 230.1C451.2 245 451.2 266.1 438.4 281.9zM230.1 34.81C228.6 33.03 226.3 32 224 32C221.7 32 219.4 33.03 217.9 34.81L33.91 250.8C31.36 253.8 31.36 258.2 33.91 261.2L217.9 477.2C219.4 478.1 221.7 480 224 480C226.3 480 228.6 478.1 230.1 477.2L414.1 261.2C416.6 258.2 416.6 253.8 414.1 250.8L230.1 34.81z"],
    "ribbon": [448, 512, [127895], "f4d6", "M203.4 404.7c6.219 6.281 6.156 16.41-.0938 22.66l-73.22 72.63C122.9 507.8 112.7 512 102.3 512c-6.906 0-13.91-1.844-20.06-5.656l-62.5-25.56c-1.031-.4375-2.062-.9687-2.969-1.625c-9.094-6.219-15.06-16.03-16.44-26.97c-1.375-10.94 1.1-21.97 9.281-30.28l90.72-96.88c6.031-6.469 16.16-6.75 22.62-.75c6.437 6.063 6.781 16.19 .75 22.63l-90.37 96.5c-1.375 1.563-1.406 3.688-1.25 4.813c.0938 .9063 .5 2.469 1.844 3.781l61.81 25.28c1.062 .4375 2.094 1 3.062 1.656c2.406 1.719 6.062 1.188 8.156-1.094l73.78-73.25C187 398.4 197.1 398.5 203.4 404.7zM438.2 421.8c-90.16-101.1-219.6-246.7-260.2-292.8c13.62-4.563 28.1-6.844 45.87-6.844c24.97 0 46.56 5 64.16 14.84c7.625 4.25 17.44 1.563 21.78-6.156c4.312-7.719 1.562-17.47-6.156-21.78C281.3 96.59 254.4 90.21 223.9 90.21c-30.44 0-57.28 6.375-79.75 18.91c-3.812 2.125-6.594 5.688-7.687 9.906C135.4 123.2 136.1 127.7 138.3 131.4c.9687 1.594 3.906 6.375 275.1 311.7c1.75 1.969 1.781 4.094 1.656 5.188c-.125 .8438-.5 2.344-1.719 3.594l-61.94 25.31c-1.062 .4375-2.062 .9687-2.1 1.625c-2.438 1.75-5.937 1.344-8.031-1L110.9 219.8C73.71 178.2 100.8 131.9 102 129.8l40.53-68.72c2.812-4.781 6.344-8.656 10.78-11.72c33.69-23.06 107.7-22.97 141.1-.0938c4.562 3.156 8.094 7 10.91 11.88l40.62 68.91c16.91 28.69 13.34 64.66-8.812 89.47c-5.875 6.594-5.312 16.69 1.281 22.59c6.594 5.844 16.72 5.313 22.59-1.281c31.47-35.22 36.5-86.28 12.5-127l-40.56-68.78c-5.062-8.781-11.87-16.19-20.34-22.06c-44.69-30.63-132.5-30.63-177.5 .0625C126.8 28.81 120 36.21 114.1 44.9L74.52 113.5c-15.16 25.25-29.59 80.59 12.47 127.6l230.4 258c7.5 8.375 17.97 12.72 28.53 12.72c6.844 0 13.75-1.844 19.87-5.594l62.59-25.59c1.031-.4375 2-.9687 2.938-1.594c9.062-6.156 15.03-15.94 16.37-26.84C449.1 441.2 445.6 430.1 438.2 421.8z"],
    "right": [448, 512, [11157, "arrow-alt-right"], "f356", "M32 336h176V416c0 17.69 14.36 32 31.1 32c8.326 0 16.51-3.252 22.63-9.375l176-160C444.9 272.4 448 264.2 448 256s-3.125-16.38-9.375-22.62l-176-160C256.5 67.25 248.3 64 239.1 64C222.4 64 208 78.3 208 96v80H32c-17.67 0-32 14.33-32 32v96C0 321.7 14.33 336 32 336zM32 208h208l1.1-110.9L415.9 256L240 415.1V304H32V208z"],
    "right-from-bracket": [512, 512, ["sign-out-alt"], "f2f5", "M176 448h-96C53.53 448 32 426.5 32 400v-288C32 85.53 53.53 64 80 64h96C184.8 64 192 56.84 192 48S184.8 32 176 32h-96C35.88 32 0 67.88 0 112v288C0 444.1 35.88 480 80 480h96C184.8 480 192 472.8 192 464S184.8 448 176 448zM502.6 233.4l-128-128c-9.156-9.156-22.91-11.91-34.88-6.938C327.8 103.4 320 115.1 320 128l.0918 63.1L176 192C149.5 192 128 213.5 128 240v32C128 298.5 149.5 320 176 320l144.1-.001L320 384c0 12.94 7.797 24.62 19.75 29.56c11.97 4.969 25.72 2.219 34.88-6.938l128-128C508.9 272.4 512 264.2 512 256S508.9 239.6 502.6 233.4zM352 384V288H176C167.2 288 160 280.8 160 272v-32C160 231.2 167.2 224 176 224H352l-.0039-96l128 128L352 384z"],
    "right-from-line": [448, 512, ["arrow-alt-from-left"], "f347", "M16 448C24.84 448 32 440.8 32 432v-352C32 71.16 24.84 64 16 64S0 71.16 0 80v352C0 440.8 7.156 448 16 448zM124.8 320H240v58.41c0 15 8.906 28.53 22.75 34.53c13.8 5.938 29.78 3.125 40.55-7.062l133.2-122.5C443.8 276.5 448 266.5 448 256s-4.188-20.47-11.66-27.5l-132.9-122.2c-10.92-10.34-26.91-13.16-40.77-7.219C248.9 105.1 240 118.6 240 133.6V192H124.8C100.1 192 80 212.1 80 236.8v38.38C80 299.9 100.1 320 124.8 320zM112 236.8C112 229.8 117.8 224 124.8 224H272V133.6c0-2.219 1.344-4.25 3.375-5.156C277.5 127.6 279.8 128 281.6 129.7l132.9 122.2c1.812 1.75 1.656 6.594 .1562 8.031l-133.2 122.5C279.8 384 277.5 384.4 275.4 383.6C273.3 382.7 272 380.6 272 378.4V288H124.8C117.8 288 112 282.3 112 275.2V236.8z"],
    "right-left": [512, 512, ["exchange-alt"], "f362", "M16 144H352l-.0264 88c0 9.547 5.66 18.19 14.41 22c8.75 3.812 18.94 2.078 25.93-4.406l112-104C509.4 140.8 512 134.4 512 127.1s-2.559-12.83-7.674-17.58l-112-104c-6.984-6.484-17.18-8.221-25.93-4.408s-14.41 12.46-14.41 22L352 112H16C7.156 112 0 119.2 0 127.1S7.156 144 16 144zM384 42.34l92.25 85.66L384 213.7V42.34zM496 367.1H160l.0264-87.1c0-9.547-5.66-18.19-14.41-22S126.7 255.9 119.7 262.4l-112 104C2.559 371.2 0 377.6 0 383.1s2.559 12.85 7.674 17.6l112 104c6.984 6.484 17.18 8.218 25.93 4.406C154.4 506.2 160 497.5 160 488L160 399.1h336c8.844 0 16-7.156 16-15.1S504.8 367.1 496 367.1zM128 469.7L35.75 384L128 298.3V469.7z"],
    "right-long": [512, 512, ["long-arrow-alt-right"], "f30b", "M0 279.1v-47.1c0-22.06 17.97-39.1 40.03-39.1l280.3-.0012l.1521-39.1c0-15.91 9.438-30.31 24-36.65c14.62-6.375 31.56-3.5 43.22 7.343l112.1 103.1c8.158 7.533 12.24 18.42 12.23 29.31c-.002 10.89-4.079 21.78-12.23 29.34l-112.1 103.1c-11.66 10.84-28.59 13.72-43.22 7.343c-14.56-6.343-24-20.75-24-36.65l-.1521-39.1l-280.3-.0008C17.97 319.1 0 302.1 0 279.1zM480.6 256c0-1.312-.3438-3.781-2.562-5.844l-112.1-104c-5.109-4.7-13.47-1.142-13.47 5.875v71.1L40.03 224C35.59 224 32 227.6 32 232v47.1c0 4.406 3.594 7.1 8.031 7.1l312.5-.0002v71.1c0 7.022 8.363 10.57 13.47 5.875l112.1-103.1C480.2 259.8 480.6 257.3 480.6 256z"],
    "right-long-to-line": [640, 512, [], "e444", "M640 432C640 440.8 632.8 448 624 448C615.2 448 608 440.8 608 432V80C608 71.16 615.2 64 624 64C632.8 64 640 71.16 640 80V432zM40.03 192L352.3 192L352.5 152C352.5 136.1 361.9 121.7 376.5 115.3C391.1 108.1 408 111.8 419.7 122.7L531.8 226.7C539.9 234.2 544 245.1 544 256C543.1 266.9 539.9 277.8 531.8 285.3L419.7 389.3C408 400.2 391.1 403 376.5 396.6C361.9 390.3 352.5 375.9 352.5 359.1L352.3 319.1L40.03 319.1C17.97 319.1 0 302.1 0 279.1V232C0 209.9 17.97 192 40.03 192V192zM397.1 146.1C392.8 141.4 384.5 144.1 384.5 152V224L40.03 224C35.59 224 32 227.6 32 232V279.1C32 284.4 35.59 287.1 40.03 287.1H384.5V359.1C384.5 367 392.8 370.6 397.1 365.9L510 261.9C512.2 259.8 512.6 257.3 512.6 256C512.6 254.7 512.2 252.2 510 250.2L397.1 146.1z"],
    "right-to-bracket": [512, 512, ["sign-in-alt"], "f2f6", "M384 256c0-8.188-3.125-16.38-9.375-22.62l-128-128C237.5 96.22 223.7 93.47 211.8 98.44C199.8 103.4 192 115.1 192 128v64H48C21.49 192 0 213.5 0 240v32C0 298.5 21.49 320 48 320H192v64c0 12.94 7.797 24.62 19.75 29.56c11.97 4.969 25.72 2.219 34.88-6.938l128-128C380.9 272.4 384 264.2 384 256zM224 384V288H48C39.18 288 32 280.8 32 272v-32C32 231.2 39.18 224 48 224H224L223.1 128l128 128L224 384zM432 32h-96C327.2 32 320 39.16 320 48S327.2 64 336 64h96C458.5 64 480 85.53 480 112v288c0 26.47-21.53 48-48 48h-96c-8.844 0-16 7.156-16 16s7.156 16 16 16h96c44.13 0 80-35.88 80-80v-288C512 67.88 476.1 32 432 32z"],
    "right-to-line": [448, 512, ["arrow-alt-to-right"], "f34c", "M356.5 283.3c7.312-6.875 11.5-16.84 11.5-27.34c0-10.5-4.188-20.47-11.66-27.5l-132.9-122.2C212.5 95.94 196.5 93.12 182.7 99.06c-13.78 6-22.69 19.53-22.69 34.53l.1031 58.4L44.83 191.1c-24.72 0-44.83 20.09-44.83 44.81v38.38c0 24.72 20.11 44.81 44.83 44.81l115.3-.0009l-.1031 58.41c0 15 8.906 28.53 22.75 34.53c13.8 5.938 29.78 3.125 40.55-7.062L356.5 283.3zM195.4 383.6c-2.094-.9062-3.438-2.938-3.438-5.156V287.1H44.83c-7.078 0-12.83-5.75-12.83-12.81V236.8c0-7.062 5.75-12.81 12.83-12.81h147.2V133.6c0-2.219 1.344-4.25 3.375-5.156c2.078-.875 4.469-.4375 6.266 1.25l132.9 122.2c1.812 1.75 1.656 6.594 .1562 8.031l-133.2 122.5C199.8 383.1 197.5 384.4 195.4 383.6zM415.1 79.1v352c0 8.844 7.156 16 16 16s16-7.156 16-16v-352c0-8.844-7.156-16-16-16S415.1 71.16 415.1 79.1z"],
    "ring": [512, 512, [], "f70b", "M256 64C87.88 64 0 128.4 0 192v114.1C0 384.5 114.6 448 256 448s256-63.5 256-141.9V192C512 128.4 424.1 64 256 64zM480 306.1C480 358.1 388 416 256 416s-224-57.88-224-109.9V256c39.38 36.63 114.5 64 224 64s184.6-27.38 224-64V306.1zM89.38 256C130.2 236.4 189.8 224 256 224s125.8 12.38 166.6 32C381.6 275.6 322.2 288 256 288S130.4 275.6 89.38 256zM454.3 236.6C411.2 210.2 345 192 256 192S100.8 210.2 57.75 236.6C41.38 223.4 32 208.1 32 192c0-53 100.2-96 224-96s224 43 224 96C480 208.1 470.6 223.4 454.3 236.6z"],
    "ring-diamond": [384, 512, [], "e5ab", "M248 0C253.7 0 259 3.076 261.9 8.062L293.9 64.06C296.9 69.32 296.7 75.83 293.3 80.88L254.9 138.5C330 164.6 384 235.1 384 320C384 426 298 512 192 512C85.96 512 0 426 0 320C0 235.1 53.97 164.6 129.1 138.5L90.69 80.88C87.33 75.83 87.1 69.32 90.11 64.06L122.1 8.062C124.1 3.076 130.3 0 136 0L248 0zM221.9 130.3L261.2 71.35L238.7 32H145.3L122.8 71.35L162.1 130.3C171.8 128.8 181.8 128 192 128C202.2 128 212.2 128.8 221.9 130.3V130.3zM192 160C103.6 160 32 231.6 32 320C32 408.4 103.6 480 192 480C280.4 480 352 408.4 352 320C352 231.6 280.4 160 192 160z"],
    "rings-wedding": [512, 512, [], "f81b", "M392.2 169.2c-8.344-2.75-17.41 1.688-20.25 10.06c-2.812 8.344 1.688 17.44 10.06 20.25C440.6 219.3 480 274.1 480 336c0 79.41-64.59 144-144 144S192 415.4 192 336c0-65.93 43.88-122.2 107.1-138.9c2.803 4.588 5.934 8.887 8.258 13.87c28.56 61.16 11.38 132.9-41.81 174.3c-6.969 5.438-8.219 15.5-2.781 22.47c5.406 6.938 15.47 8.188 22.47 2.781c65-50.69 86.03-138.3 51.13-213.1c-21.14-45.34-59.3-77.31-103.3-92.18l35.75-47.67c2.625-3.5 3.688-7.969 2.969-12.28c-.75-4.344-3.25-8.188-6.906-10.62l-48-32C214.3 .9375 211.2 0 208 0h-64C140.8 0 137.8 .9375 135.1 2.688l-48 32C83.53 37.09 81.03 40.84 80.25 45.13C79.47 49.38 80.47 53.78 82.97 57.28l34.82 48.79C112.7 107.9 107.5 109.9 102.5 112.3c-42.59 19.88-74.94 55.16-91 99.31c-16.09 44.19-14 91.97 5.875 134.6c29.16 62.56 91.59 101.7 159.4 101.7c6.531 0 13.12-.375 19.72-1.094c.8555-.0977 1.641-.4256 2.445-.6482C231.2 486.3 280.6 512 336 512c97.03 0 176-78.98 176-176C512 260.3 463.8 193.3 392.2 169.2zM148.2 93.53L118.6 52.16L148.8 32h54.31l29.91 19.94L198.9 97.41C182.9 95.35 166.5 95.44 150.1 97.95C149.6 96.43 149.1 94.9 148.2 93.53zM46.38 332.7C30.13 297.8 28.41 258.7 41.56 222.5C54.72 186.4 81.16 157.5 116 141.3c56.26-26.26 120.6-12.47 162.3 29.02C207.9 194.6 160 259.1 160 335.1c0 28.6 7.006 55.55 19.17 79.45C122.8 416.6 70.54 384.6 46.38 332.7z"],
    "road": [576, 512, [128739], "f018", "M304 304C304 312.8 296.8 320 288 320C279.2 320 272 312.8 272 304V208C272 199.2 279.2 192 288 192C296.8 192 304 199.2 304 208V304zM390.4 32C417.3 32 441.3 48.79 450.5 74.04L567.5 394C582.7 435.8 551.8 480 507.4 480H68.64C24.19 480-6.728 435.8 8.529 394L125.5 74.04C134.7 48.79 158.7 32 185.6 32H390.4zM38.59 405C30.96 425.9 46.41 448 68.64 448H271.1V400C271.1 391.2 279.2 384 287.1 384C296.8 384 304 391.2 304 400V448H507.4C529.6 448 545 425.9 537.4 405L420.5 85.02C415.9 72.4 403.9 64 390.4 64H304V112C304 120.8 296.8 128 287.1 128C279.2 128 271.1 120.8 271.1 112V64H185.6C172.1 64 160.1 72.4 155.5 85.02L38.59 405z"],
    "road-barrier": [640, 512, [], "e562", "M16 32C24.84 32 32 39.16 32 48V80H608V48C608 39.16 615.2 32 624 32C632.8 32 640 39.16 640 48V464C640 472.8 632.8 480 624 480C615.2 480 608 472.8 608 464V304H32V464C32 472.8 24.84 480 16 480C7.164 480 0 472.8 0 464V48C0 39.16 7.164 32 16 32zM608 272V112H569.9L489.9 272H608zM70.11 272L150.1 112H32V272H70.11zM406.1 112H313.9L233.9 272H326.1L406.1 112zM441.9 112L361.9 272H454.1L534.1 112H441.9zM105.9 272H198.1L278.1 112H185.9L105.9 272z"],
    "road-bridge": [640, 512, [], "e563", "M480 192C488.8 192 496 199.2 496 208V304C496 312.8 488.8 320 480 320C471.2 320 464 312.8 464 304V208C464 199.2 471.2 192 480 192zM640 64V448C640 483.3 611.3 512 576 512H384C348.7 512 320 483.3 320 448V64C320 28.65 348.7 0 384 0H576C611.3 0 640 28.65 640 64zM576 32H496V96C496 104.8 488.8 112 480 112C471.2 112 464 104.8 464 96V32H384C366.3 32 352 46.33 352 64V448C352 465.7 366.3 480 384 480H464V416C464 407.2 471.2 400 480 400C488.8 400 496 407.2 496 416V480H576C593.7 480 608 465.7 608 448V64C608 46.33 593.7 32 576 32zM16 96H288V128H240V192H288V224H16C7.164 224 0 216.8 0 208C0 199.2 7.164 192 16 192H80V128H16C7.164 128 0 120.8 0 112C0 103.2 7.164 96 16 96zM208 128H112V192H208V128zM264 288H288V320H264C233.1 320 208 345.1 208 376V464C208 490.5 186.5 512 160 512H128C101.5 512 80 490.5 80 464V376C80 345.1 54.93 320 24 320H16C7.164 320 0 312.8 0 304C0 295.2 7.164 288 16 288H24C72.6 288 112 327.4 112 376V464C112 472.8 119.2 480 128 480H160C168.8 480 176 472.8 176 464V376C176 327.4 215.4 288 264 288z"],
    "road-circle-check": [640, 512, [], "e564", "M157.5 74.04C166.7 48.79 190.7 32 217.6 32H422.4C449.3 32 473.3 48.79 482.5 74.04L526.6 194.7C516.7 192.9 506.4 192 496 192C494.5 192 493.1 192 491.6 192.1L452.5 85.02C447.9 72.4 435.9 64 422.4 64H336V112C336 120.8 328.8 128 320 128C311.2 128 304 120.8 304 112V64H217.6C204.1 64 192.1 72.4 187.5 85.02L70.59 405C62.96 425.9 78.41 448 100.6 448H339.2C345 459.4 352.1 470.2 360.2 480H100.6C56.19 480 25.27 435.8 40.53 394L157.5 74.04zM336 208V294.6C332.5 302.2 329.5 310.2 327.1 318.3C324.1 319.4 322.6 319.1 320 319.1C311.2 319.1 304 312.8 304 303.1V207.1C304 199.2 311.2 191.1 320 191.1C328.8 191.1 336 199.2 336 207.1V208zM563.3 324.7C569.6 330.9 569.6 341.1 563.3 347.3L491.3 419.3C485.1 425.6 474.9 425.6 468.7 419.3L428.7 379.3C422.4 373.1 422.4 362.9 428.7 356.7C434.9 350.4 445.1 350.4 451.3 356.7L480 385.4L540.7 324.7C546.9 318.4 557.1 318.4 563.3 324.7H563.3zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 480C557.9 480 608 429.9 608 368C608 306.1 557.9 256 496 256C434.1 256 384 306.1 384 368C384 429.9 434.1 480 496 480z"],
    "road-circle-exclamation": [640, 512, [], "e565", "M157.5 74.04C166.7 48.79 190.7 32 217.6 32H422.4C449.3 32 473.3 48.79 482.5 74.04L526.6 194.7C516.7 192.9 506.4 192 496 192C494.5 192 493.1 192 491.6 192.1L452.5 85.02C447.9 72.4 435.9 64 422.4 64H336V112C336 120.8 328.8 128 320 128C311.2 128 304 120.8 304 112V64H217.6C204.1 64 192.1 72.4 187.5 85.02L70.59 405C62.96 425.9 78.41 448 100.6 448H339.2C345 459.4 352.1 470.2 360.2 480H100.6C56.19 480 25.27 435.8 40.53 394L157.5 74.04zM336 208V294.6C332.5 302.2 329.5 310.2 327.1 318.3C324.1 319.4 322.6 319.1 320 319.1C311.2 319.1 304 312.8 304 303.1V207.1C304 199.2 311.2 191.1 320 191.1C328.8 191.1 336 199.2 336 207.1V208zM472 424C472 410.7 482.7 400 496 400C509.3 400 520 410.7 520 424C520 437.3 509.3 448 496 448C482.7 448 472 437.3 472 424zM495.1 288C504.8 288 511.1 295.2 511.1 304V368C511.1 376.8 504.8 384 495.1 384C487.2 384 479.1 376.8 479.1 368V304C479.1 295.2 487.2 288 495.1 288zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 256C434.1 256 384 306.1 384 368C384 429.9 434.1 480 496 480C557.9 480 608 429.9 608 368C608 306.1 557.9 256 496 256z"],
    "road-circle-xmark": [640, 512, [], "e566", "M157.5 74.04C166.7 48.79 190.7 32 217.6 32H422.4C449.3 32 473.3 48.79 482.5 74.04L526.6 194.7C516.7 192.9 506.4 192 496 192C494.5 192 493.1 192 491.6 192.1L452.5 85.02C447.9 72.4 435.9 64 422.4 64H336V112C336 120.8 328.8 128 320 128C311.2 128 304 120.8 304 112V64H217.6C204.1 64 192.1 72.4 187.5 85.02L70.59 405C62.96 425.9 78.41 448 100.6 448H339.2C345 459.4 352.1 470.2 360.2 480H100.6C56.19 480 25.27 435.8 40.53 394L157.5 74.04zM336 208V294.6C332.5 302.2 329.5 310.2 327.1 318.3C324.1 319.4 322.6 319.1 320 319.1C311.2 319.1 304 312.8 304 303.1V207.1C304 199.2 311.2 191.1 320 191.1C328.8 191.1 336 199.2 336 207.1V208zM555.3 404.7C561.6 410.9 561.6 421.1 555.3 427.3C549.1 433.6 538.9 433.6 532.7 427.3L496 390.6L459.3 427.3C453.1 433.6 442.9 433.6 436.7 427.3C430.4 421.1 430.4 410.9 436.7 404.7L473.4 368L436.7 331.3C430.4 325.1 430.4 314.9 436.7 308.7C442.9 302.4 453.1 302.4 459.3 308.7L496 345.4L532.7 308.7C538.9 302.4 549.1 302.4 555.3 308.7C561.6 314.9 561.6 325.1 555.3 331.3L518.6 368L555.3 404.7zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 256C434.1 256 384 306.1 384 368C384 429.9 434.1 480 496 480C557.9 480 608 429.9 608 368C608 306.1 557.9 256 496 256z"],
    "road-lock": [640, 512, [], "e567", "M422.4 32C449.3 32 473.3 48.79 482.5 74.04L514.3 160.8C503.4 162.2 492.1 165.1 483.3 169.3L452.5 85.02C447.9 72.4 435.9 64 422.4 64H336V112C336 120.8 328.8 128 320 128C311.2 128 304 120.8 304 112V64H217.6C204.1 64 192.1 72.4 187.5 85.02L70.59 405C62.96 425.9 78.41 448 100.6 448H304V400C304 391.2 311.2 384 320 384C328.8 384 336 391.2 336 400V448H384V480H100.6C56.19 480 25.27 435.8 40.53 394L157.5 74.04C166.7 48.79 190.7 32 217.6 32L422.4 32zM336 304C336 312.8 328.8 320 320 320C311.2 320 304 312.8 304 304V208C304 199.2 311.2 192 320 192C328.8 192 336 199.2 336 208V304zM528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320V272C448 227.8 483.8 192 528 192zM528 224C501.5 224 480 245.5 480 272V320H576V272C576 245.5 554.5 224 528 224zM448 352V480H608V352H448z"],
    "road-spikes": [640, 512, [], "e568", "M93.31 107.1L192 255.1V116.8C192 101 212.5 94.79 221.3 107.1L320 255.1V116.8C320 101 340.5 94.79 349.3 107.1L448 255.1V116.8C448 101 468.5 94.79 477.3 107.1L606.8 302.2C621 323.5 605.8 351.1 580.2 351.1H64V116.8C64 101 84.53 94.79 93.31 107.1H93.31zM580.2 319.1L480 169.7V319.1H580.2zM352 169.7V319.1H452.2L352 169.7zM224 169.7V319.1H324.2L224 169.7zM96 169.7V319.1H196.2L96 169.7zM624 415.1C632.8 415.1 640 423.2 640 431.1C640 440.8 632.8 447.1 624 447.1H16C7.164 447.1 0 440.8 0 431.1C0 423.2 7.164 415.1 16 415.1H624z"],
    "robot": [640, 512, [129302], "f544", "M448 96h-112V16C336 7.156 328.8 0 320 0S304 7.156 304 16V96H192C138.1 96 96 138.1 96 192v224c0 53.02 42.98 96 96 96h256c53.02 0 96-42.98 96-96V192C544 138.1 501 96 448 96zM512 384h-16c-8.844 0-16 7.156-16 16s7.156 16 16 16H512c0 35.29-28.71 64-64 64H192c-35.29 0-64-28.71-64-64h16C152.8 416 160 408.8 160 400S152.8 384 144 384H128V192c0-35.29 28.71-64 64-64h256c35.29 0 64 28.71 64 64V384zM36.72 228.6C39.72 225.6 43.66 224 47.84 224C56.66 224 63.97 216.9 64 208C64.03 199.2 56.88 192 48.03 192C35.31 192 23.19 196.9 14.16 205.9C5.031 215 0 227.1 0 240v127.1C0 394.5 21.47 416 47.88 416c8.844 0 16.06-7.156 16.06-16s-7.156-16-16-16C39.19 384 32 376.8 32 367.1V240C32 235.7 33.69 231.6 36.72 228.6zM592.1 192c-8.844 0-16 7.156-16 16S583.3 224 592.1 224C600.9 224 608 231.2 608 240v127.1c0 4.328-1.688 8.375-4.719 11.41C600.3 382.4 596.3 384 592.1 384C583.3 384 576 391.1 576 399.1C575.1 408.8 583.1 415.1 591.9 416c12.72 0 24.88-4.938 33.91-13.94C634.1 392.1 640 380.9 640 367.1V240C640 213.5 618.5 192 592.1 192zM240 384h-32C199.2 384 192 391.2 192 400S199.2 416 208 416h32C248.8 416 256 408.8 256 400S248.8 384 240 384zM336 384h-32C295.2 384 288 391.2 288 400S295.2 416 304 416h32c8.844 0 16-7.156 16-16S344.8 384 336 384zM432 384h-32c-8.844 0-16 7.156-16 16s7.156 16 16 16h32c8.844 0 16-7.156 16-16S440.8 384 432 384zM224 192C188.7 192 160 220.7 160 256s28.72 64 64 64s64-28.7 64-64S259.3 192 224 192zM224 288C206.3 288 192 273.6 192 256s14.34-32 32-32s32 14.36 32 32S241.7 288 224 288zM416 192c-35.28 0-64 28.7-64 64s28.72 64 64 64s64-28.7 64-64S451.3 192 416 192zM416 288c-17.66 0-32-14.36-32-32s14.34-32 32-32s32 14.36 32 32S433.7 288 416 288z"],
    "robot-astromech": [512, 512, [], "e2d2", "M207.1 256h96c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16h-96c-8.836 0-16 7.162-16 16C191.1 248.8 199.2 256 207.1 256zM207.1 320h96c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16h-96c-8.836 0-16 7.162-16 16C191.1 312.8 199.2 320 207.1 320zM223.1 64c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32s32-14.33 32-32C255.1 78.33 241.7 64 223.1 64zM511 490.5L479.1 405.9V219.6C479.1 186.7 453.3 160 420.4 160H399.1L400 150.3C400 94.25 357.9 0 256 0C176.6 0 112 64.59 112 144L112 160H91.64C58.7 160 32 186.7 32 219.6v186.3l-31.03 84.59C.3203 492.3 0 494.2 0 496C0 504.8 7.17 512 16 512H112c17.67 0 32-14.33 32-32v-73.38l36.69 36.69C183.7 446.3 187.8 448 192 448h128c4.242 0 8.311-1.686 11.31-4.686l36.69-36.69V480c0 17.67 14.33 32 32 32h96C504.8 512 512 504.8 512 496C512 494.2 511.7 492.3 511 490.5zM112 480H38.91l24.12-65.75c.625-1.766 .9687-3.641 .9687-5.516V219.6C64 204.4 76.41 192 91.63 192h20.38L112 480zM367.1 361.4L313.4 416H198.6L144 361.4V192h223.1V361.4zM367.1 160H144V144C144 82.25 194.3 32 256 32s111.1 50.25 111.1 112V160zM399.1 480L400 192h20.37c15.22 0 27.62 12.41 27.62 27.64v189.1c0 1.875 .3438 3.75 .9687 5.516L473.1 480H399.1zM303.1 96c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16s16-7.164 16-16C319.1 103.2 312.8 96 303.1 96z"],
    "rocket": [512, 512, [], "f135", "M424 143.1C424 174.9 398.9 199.1 368 199.1C337.1 199.1 312 174.9 312 143.1C312 113.1 337.1 87.1 368 87.1C398.9 87.1 424 113.1 424 143.1zM368 167.1C381.3 167.1 392 157.3 392 143.1C392 130.7 381.3 119.1 368 119.1C354.7 119.1 344 130.7 344 143.1C344 157.3 354.7 167.1 368 167.1zM118.5 287.1H16C10.45 287.1 5.305 285.1 2.39 280.4C-.5254 275.7-.7907 269.8 1.689 264.8L52.42 163.4C63.26 141.7 85.42 127.1 109.7 127.1H199.9C202.4 124 204.8 120.3 207.2 116.7C289.1-4.07 411.1-8.142 483.9 5.275C495.6 7.414 504.6 16.43 506.7 28.06C520.1 100.9 516.1 222.9 395.3 304.8C391.7 307.2 387.1 309.6 384 312.1V402.3C384 426.6 370.3 448.7 348.6 459.6L247.2 510.3C242.2 512.8 236.3 512.5 231.6 509.6C226.9 506.7 224 501.5 224 496V391.8C215.2 395.6 207.4 398.9 200.1 401.7C189.1 406.6 175.5 403.9 166.5 394.8L115.8 344.1C106.6 334.9 103.9 321.1 109.1 309.2C111.7 303.2 114.9 296 118.5 288L118.5 287.1zM188.9 371.1C231.8 353.9 327.9 311.8 377.3 278.3C481.9 207.4 487.4 103 475.7 36.3C408.1 24.6 304.6 30.08 233.7 134.7C200.3 183.1 157.2 278.1 138.6 321.6L188.9 371.1zM334.3 430.1C345.2 425.5 352 414.5 352 402.3V330.6C321.4 347.3 286.3 363.1 256 377.7V470.1L334.3 430.1zM81.04 177.7L41.89 255.1H133.1C147.1 225.8 164.2 190.7 181.1 159.1H109.7C97.54 159.1 86.46 166.8 81.04 177.7z"],
    "rocket-launch": [512, 512, [128640], "e027", "M424 143.1C424 174.9 398.9 199.1 368 199.1C337.1 199.1 312 174.9 312 143.1C312 113.1 337.1 87.1 368 87.1C398.9 87.1 424 113.1 424 143.1zM368 167.1C381.3 167.1 392 157.3 392 143.1C392 130.7 381.3 119.1 368 119.1C354.7 119.1 344 130.7 344 143.1C344 157.3 354.7 167.1 368 167.1zM348.6 459.6L247.2 510.3C242.2 512.8 236.3 512.5 231.6 509.6C226.9 506.7 224 501.5 224 496V381.3C224 356.5 214.2 332.8 196.7 315.3C179.2 297.8 155.5 288 130.7 288H16C10.45 288 5.305 285.1 2.39 280.4C-.5254 275.7-.7907 269.8 1.689 264.8L52.42 163.4C63.26 141.7 85.42 127.1 109.7 127.1H207C286.9-3.743 409.5-8.542 483.9 5.255C495.6 7.41 504.6 16.45 506.7 28.07C520.5 102.5 515.7 225.1 384 304.1V402.3C384 426.6 370.3 448.7 348.6 459.6L348.6 459.6zM243.4 326.5C365.7 296.4 425.3 242.1 453.9 190.9C483.4 137.4 483.4 79.5 475.7 36.29C432.5 28.65 374.6 28.63 321.1 58.06C269 86.72 215.6 146.3 185.5 268.6C197.9 274.6 209.4 282.7 219.3 292.7C229.3 302.6 237.4 314.1 243.4 326.5zM256 470.1L334.3 430.1C345.2 425.5 352 414.5 352 402.3V322.2C324 335.7 291.5 347.5 253.6 356.1C255.2 364.9 256 373 256 381.3V470.1zM155 258.4C164.5 220.5 176.3 187.1 189.8 159.1H109.7C97.54 159.1 86.46 166.8 81.04 177.7L41.89 256H130.7C138.1 256 147.1 256.8 155 258.4H155zM166.5 470C117 519.5 .4765 511.5 .4765 511.5C.4765 511.5-7.516 394.1 41.98 345.5C76.37 311.1 132.1 311.1 166.5 345.5C200.9 379.9 200.9 435.6 166.5 470V470zM143.9 368.1C121.1 346.2 86.5 346.2 64.61 368.1C48.05 384.7 38.52 416.5 34.44 450.8C33.21 461.3 32.56 471.1 32.25 479.8C40.86 479.4 50.74 478.8 61.16 477.6C95.49 473.5 127.3 463.9 143.9 447.4C165.8 425.5 165.8 390 143.9 368.1V368.1z"],
    "roller-coaster": [640, 512, [], "e324", "M144 64C138.6 64 133.2 64.39 128 65.13V464C128 472.8 120.8 480 112 480C103.2 480 96 472.8 96 464V74.78C58.16 92.75 32 131.3 32 176V464C32 472.8 24.84 480 16 480C7.164 480 0 472.8 0 464V176C0 96.47 64.47 32 144 32H150.6C196.8 32 240.2 54.2 267.3 91.69L392.7 265.4C417.5 299.7 457.2 320 499.6 320H512C565 320 608 277 608 224V218.1C608 178.1 581.1 143.6 544 132.1V255.1C544 264.8 536.8 271.1 528 271.1C519.2 271.1 512 264.8 512 255.1V128.1C489.5 128.9 467.6 134.9 448 145.5V240C448 248.8 440.8 256 432 256C423.2 256 416 248.8 416 240V168.1L394.6 187.1C388 193.8 377.9 193.2 372 186.6C366.2 180 366.8 169.9 373.4 164L399.8 140.6C432.1 111.9 473.8 96 517 96C584.9 96 640 151.1 640 218.1V464C640 472.8 632.8 480 624 480C615.2 480 608 472.8 608 464V308.7C584.5 335.2 550.2 352 512 352V464C512 472.8 504.8 480 496 480C487.2 480 480 472.8 480 464V350.8C457.2 348.1 435.4 340.6 416 329.1V464C416 472.8 408.8 480 400 480C391.2 480 384 472.8 384 464V304.3C377.8 298.1 372 291.4 366.8 284.1L319.1 219.3V464C319.1 472.8 312.8 480 303.1 480C295.2 480 287.1 472.8 287.1 464V175L241.3 110.4C236.3 103.4 230.4 97.03 223.1 91.44V464C223.1 472.8 216.8 480 207.1 480C199.2 480 191.1 472.8 191.1 464V71.95C178.1 66.77 164.9 64 150.6 64L144 64z"],
    "rotate": [512, 512, [128260, "sync-alt"], "f2f1", "M447.1 272.2c-8.766-1.562-16.97 4.406-18.42 13.12C415.3 370.3 342.3 432 255.1 432c-49.96 0-95.99-21.56-128.5-56.8l59.88-59.88C191.9 310.8 193.3 303.8 190.8 297.9C188.3 291.9 182.5 288 176 288h-128C39.16 288 32 295.2 32 304v128c0 6.469 3.891 12.31 9.875 14.78C43.86 447.6 45.94 448 48 448c4.156 0 8.25-1.625 11.31-4.688l45.6-45.6C143.3 438.9 197.4 464 256 464c101.1 0 188.3-72.91 205.1-173.3C462.6 281.9 456.7 273.7 447.1 272.2zM64 393.4V320h73.38L64 393.4zM470.1 65.22C468.1 64.41 466.1 64 464 64c-4.156 0-8.25 1.625-11.31 4.688l-45.6 45.6C368.7 73.15 314.6 48 256 48c-102 0-188.3 72.91-205.1 173.3C49.42 230.1 55.3 238.3 64.02 239.8c8.766 1.562 16.97-4.406 18.42-13.12C96.69 141.7 169.7 80 256 80c49.96 0 96.02 21.56 128.6 56.8l-59.88 59.88c-4.578 4.562-5.953 11.47-3.469 17.44C323.7 220.1 329.5 224 336 224h128C472.8 224 480 216.8 480 208v-128C480 73.53 476.1 67.69 470.1 65.22zM448 192h-73.38L448 118.6V192z"],
    "rotate-exclamation": [512, 512, [], "e23c", "M255.1 80C172.3 80 101.6 135.9 79.31 212.5C76.84 220.1 67.96 225.8 59.47 223.4C50.99 220.9 46.11 212 48.58 203.5C74.74 113.7 157.7 48 255.1 48C339.6 48 412.1 95.5 448 164.1V112C448 103.2 455.2 96 464 96C472.8 96 480 103.2 480 112V208C480 216.8 472.8 224 464 224H448.4C448.2 224 447.9 224 447.7 224H368C359.2 224 352 216.8 352 208C352 199.2 359.2 192 368 192H425.4C397.4 126.2 332.1 80 255.1 80V80zM272 272C272 280.8 264.8 288 256 288C247.2 288 240 280.8 240 272V144C240 135.2 247.2 128 256 128C264.8 128 272 135.2 272 144V272zM232 352C232 338.7 242.7 328 256 328C269.3 328 280 338.7 280 352C280 365.3 269.3 376 256 376C242.7 376 232 365.3 232 352zM48 416C39.16 416 32 408.8 32 400V304C32 295.2 39.16 288 48 288H63.59C63.83 287.1 64.07 287.1 64.32 288H144C152.8 288 160 295.2 160 304C160 312.8 152.8 320 144 320H86.61C114.6 385.8 179.9 432 255.1 432C339.7 432 410.4 376.1 432.7 299.5C435.2 291 444 286.2 452.5 288.6C461 291.1 465.9 299.1 463.4 308.5C437.3 398.3 354.3 464 255.1 464C172.4 464 99.9 416.5 64 347V400C64 408.8 56.84 416 48 416V416z"],
    "rotate-left": [512, 512, ["rotate-back", "rotate-backward", "undo-alt"], "f2ea", "M256.1 32.11c-52.22 0-103.2 18.27-143.2 51.58C111.6 84.73 110.8 86.03 109.9 87.32L59.31 36.69c-4.562-4.562-11.5-5.875-17.44-3.469C35.91 35.69 32 41.53 32 48v128C32 184.8 39.16 192 48 192h128c6.469 0 12.31-3.906 14.78-9.875s1.094-12.88-3.469-17.44L131.8 109.1c.4961-.3281 1.076-.4453 1.541-.8359C167.7 79.72 211.3 64 256 64c105.9 0 192 86.13 192 192s-86.13 192-192 192c-59.47 0-114.7-26.91-151.4-73.88c-5.469-6.969-15.5-8.219-22.47-2.719c-6.938 5.438-8.157 15.5-2.719 22.47c42.81 54.72 107.3 86.02 176.7 86.02C379.6 479.9 480 379.5 480 256S379.6 32.11 256.1 32.11zM64 160V86.63L137.4 160H64z"],
    "rotate-right": [512, 512, ["redo-alt", "rotate-forward"], "f2f9", "M32.05 256.1c0 123.5 100.4 223.9 223.9 223.9c104.4 0 180-76.8 180-95.94c0-9.377-7.705-16.03-15.98-16.03C399.5 367.1 369.3 448 256 448c-105.9 0-192-86.13-192-192s86.13-192 192-192c75.11 0 123.1 44.4 124.2 45.15l-55.54 55.54c-3.055 3.055-4.681 7.16-4.681 11.33C320 184.9 327.2 192 336 192h128C472.8 192 480 184.8 480 176v-128c0-8.606-6.901-15.97-15.97-15.97c-4.171 0-8.291 1.598-11.35 4.653L402.1 87.32c-8.646-13.15-70.2-55.25-146.1-55.25C132.4 32.07 32.05 132.6 32.05 256.1zM374.6 160L448 86.63V160H374.6z"],
    "route": [512, 512, [], "f4d7", "M440 96C440 109.3 429.3 120 416 120C402.7 120 392 109.3 392 96C392 82.75 402.7 72 416 72C429.3 72 440 82.75 440 96zM416 256H336C309.5 256 288 277.5 288 304C288 330.5 309.5 352 336 352H432C476.2 352 512 387.8 512 432C512 476.2 476.2 512 432 512H139.6C147.3 503.2 156.5 492.3 165.1 480H432C458.5 480 480 458.5 480 432C480 405.5 458.5 384 432 384H336C291.8 384 255.1 348.2 255.1 304C255.1 259.8 291.8 224 336 224H387.1C358.8 190.3 320 136.7 320 96C320 42.98 362.1 0 416 0C469 0 512 42.98 512 96C512 140.3 466 199.9 437.7 232.4C425.1 246.9 416 256 416 256zM468.4 133.7C476.5 117.5 480 104.7 480 96C480 60.65 451.3 32 416 32C380.7 32 352 60.65 352 96C352 104.7 355.5 117.5 363.6 133.7C371.5 149.4 382.2 165.7 393.6 180.8C401.3 191.1 409.1 200.6 416 208.6C422.9 200.6 430.7 191.1 438.4 180.8C449.8 165.7 460.5 149.4 468.4 133.7zM71.1 352C71.1 338.7 82.74 328 95.1 328C109.3 328 119.1 338.7 119.1 352C119.1 365.3 109.3 376 95.1 376C82.74 376 71.1 365.3 71.1 352zM117.7 488.4C115.7 490.7 113.8 492.8 112.1 494.8L112 494.8C102.5 505.5 96 512 96 512C96 512 86.9 502.9 74.3 488.4C45.98 455.9 0 396.3 0 352C0 298.1 42.98 256 96 256C149 256 192 298.1 192 352C192 392.8 152.9 446.7 124.6 480.4C122.2 483.2 119.9 485.9 117.7 488.4L117.7 488.4zM148.4 389.7C156.5 373.5 159.1 360.7 159.1 352C159.1 316.7 131.3 288 95.1 288C60.65 288 31.1 316.7 31.1 352C31.1 360.7 35.53 373.5 43.62 389.7C51.46 405.4 62.25 421.7 73.6 436.8C81.34 447.1 89.11 456.6 95.1 464.6C102.9 456.6 110.7 447.1 118.4 436.8C129.7 421.7 140.5 405.4 148.4 389.7z"],
    "route-highway": [448, 512, [], "f61a", "M215.8 2.28C220.8-.76 227.2-.76 232.2 2.28L253.4 14.99C285.4 34.16 324.9 35.67 358.2 19.02C375.9 10.16 397.4 15.24 409.3 31.08L433.5 63.33C444.2 77.58 445.4 96.82 436.6 112.3C423.1 135.9 416 162.5 416 189.7V203C416 225.4 420.3 247.6 428.6 268.4L439.1 296.9C445.3 310.1 448 324.2 448 338.5C448 382.2 422.6 421.1 382.9 440.3L230.7 510.5C226.5 512.5 221.5 512.5 217.3 510.5L65.13 440.3C25.42 421.1 0 382.2 0 338.5C0 324.2 2.721 310.1 8.018 296.9L19.41 268.4C27.73 247.6 32 225.4 32 203V189.7C32 162.5 24.92 135.9 11.45 112.3C2.614 96.82 3.812 77.58 14.5 63.33L38.69 31.08C50.57 15.24 72.09 10.16 89.81 19.02C123.1 35.67 162.6 34.16 194.6 14.99L215.8 2.28zM223.1 34.66L211 42.43C169.7 67.22 118.6 69.19 75.5 47.64C71.61 45.7 66.89 46.81 64.29 50.28L40.1 82.54C37.07 86.57 36.73 92.03 39.23 96.41C50.52 116.2 58.08 137.7 61.64 160H386.4C389.9 137.7 397.5 116.2 408.8 96.41C411.3 92.03 410.9 86.57 407.9 82.54L383.7 50.28C381.1 46.81 376.4 45.69 372.5 47.64C329.4 69.19 278.3 67.22 236.1 42.43L223.1 34.66zM384 192H63.1V203C63.1 229.5 58.95 255.7 49.12 280.3L37.73 308.8C33.94 318.2 31.1 328.3 31.1 338.5C31.1 369.8 50.17 398.1 78.54 411.2L223.1 478.4L369.5 411.2C397.8 398.1 416 369.8 416 338.5C416 328.3 414.1 318.2 410.3 308.8L398.9 280.3C389 255.7 384 229.5 384 203L384 192z"],
    "route-interstate": [512, 512, [], "f61b", "M454.6 30.9C468.8 24.55 487.4 33.01 489.2 50.63C500.1 158.8 499.2 248.5 467.4 323.8C435.3 400 372.7 459.1 266 508.1C259.9 511.9 252.7 511.1 246.5 509.4C137.5 463.6 74.65 404.4 42.98 326.9C11.74 250.6 11.87 158.8 22.81 50.62C24.59 32.99 43.18 24.56 57.42 30.9C107.2 53.03 186.2 45.53 241.1 6.427C250.4 .5139 261.6 .5139 270 6.427C325.8 45.53 404.8 53.03 454.6 30.9L454.6 30.9zM48.17 160H463.5C463.5 130.3 461.6 98.41 458.3 63.89C399 85.73 316.4 75.77 255.1 35.58C195.6 75.77 112.1 85.73 53.66 63.89C50.38 98.21 48.38 130.2 48.17 160V160zM48.7 192C50.62 238.1 57.83 278.7 72.6 314.8C99.9 381.6 154.1 435.2 255.7 478.5C355.7 431.2 410.1 377.4 437.9 311.4C452.8 276.2 460.3 236.8 462.7 192L48.7 192z"],
    "router": [576, 512, [], "f8da", "M96 392c-13.25 0-24 10.75-24 24S82.75 440 96 440S120 429.3 120 416S109.3 392 96 392zM192 392c-13.25 0-24 10.75-24 24S178.8 440 192 440S216 429.3 216 416S205.3 392 192 392zM512 320h-144V240c0-8.801-7.198-16-15.1-16S336 231.2 336 240V320H64c-35.35 0-64 28.65-64 64v63.1C0 483.3 28.65 512 64 512h448c35.35 0 64-28.66 64-64V384C576 348.7 547.3 320 512 320zM544 448c0 17.67-14.33 32-32 32H64c-17.67 0-32-14.33-32-32v-64c0-17.67 14.33-32.01 32-32.01h448c17.67 0 32 14.34 32 32.01V448zM154.3 103.7C209.6 57.47 279.8 32 352 32s142.4 25.47 197.8 71.72C552.7 106.2 556.4 107.4 560 107.4c4.562 0 9.094-1.953 12.28-5.734c5.656-6.781 4.75-16.88-2.031-22.55C509.2 28.11 431.7 0 352 0S194.8 28.11 133.8 79.16C126.1 84.83 126.1 94.92 131.7 101.7C137.4 108.5 147.5 109.4 154.3 103.7zM197.8 151.1C190.1 157.6 190.1 167.7 195.7 174.5C201.4 181.3 211.5 182.1 218.3 176.5C255.7 145.2 303.2 128 352 128s96.31 17.23 133.8 48.52C488.7 179 492.4 180.2 496 180.2c4.562 0 9.125-1.953 12.28-5.734c5.656-6.781 4.75-16.88-2.031-22.55C463.1 115.9 408.3 96 352 96S240.9 115.9 197.8 151.1z"],
    "rss": [448, 512, ["feed"], "f09e", "M80 320C35.88 320 0 355.9 0 400S35.88 480 80 480S160 444.1 160 400S124.1 320 80 320zM80 448C53.5 448 32 426.5 32 400S53.5 352 80 352S128 373.5 128 400S106.5 448 80 448zM16 32C7.156 32 0 39.16 0 48S7.156 64 16 64C236.6 64 416 243.4 416 464c0 8.844 7.156 16 16 16s16-7.156 16-16C448 225.8 254.2 32 16 32zM16 176C7.156 176 0 183.2 0 192s7.156 16 16 16c141.2 0 256 114.8 256 256c0 8.844 7.156 16 16 16s16-7.156 16-16C304 305.2 174.8 176 16 176z"],
    "ruble-sign": [384, 512, [8381, "rouble", "rub", "ruble"], "f158", "M240 32C319.5 32 384 96.47 384 176C384 255.5 319.5 320 240 320H96V384H304C312.8 384 320 391.2 320 400C320 408.8 312.8 416 304 416H96V464C96 472.8 88.84 480 80 480C71.16 480 64 472.8 64 464V416H16C7.164 416 0 408.8 0 400C0 391.2 7.164 384 16 384H64V320H16C7.164 320 0 312.8 0 304C0 295.2 7.164 288 16 288H64V72.69C64 50.22 82.22 32 104.7 32H240zM96 288H240C301.9 288 352 237.9 352 176C352 114.1 301.9 64 240 64H104.7C99.89 64 96 67.89 96 72.69V288z"],
    "rug": [640, 512, [], "e569", "M624 64C632.8 64 640 71.16 640 80C640 88.84 632.8 96 624 96H608V160H624C632.8 160 640 167.2 640 176C640 184.8 632.8 192 624 192H608V240H624C632.8 240 640 247.2 640 256C640 264.8 632.8 272 624 272H608V320H624C632.8 320 640 327.2 640 336C640 344.8 632.8 352 624 352H608V416H624C632.8 416 640 423.2 640 432C640 440.8 632.8 448 624 448H16C7.164 448 0 440.8 0 432C0 423.2 7.164 416 16 416H32V352H16C7.164 352 0 344.8 0 336C0 327.2 7.164 320 16 320H32V272H16C7.164 272 0 264.8 0 256C0 247.2 7.164 240 16 240H32V192H16C7.164 192 0 184.8 0 176C0 167.2 7.164 160 16 160H32V96H16C7.164 96 0 88.84 0 80C0 71.16 7.164 64 16 64H624zM64 96V416H128V96H64zM512 416H576V96H512V416zM480 96H160V416H480V96z"],
    "rugby-ball": [512, 512, [], "e3c6", "M481.9 66.64c-4.688-17.54-18.34-31.23-36.04-35.95C435.5 27.91 392.9 16 337 16c-68.2 0-156.2 17.69-229.6 91.2C-11.31 226.2 13.63 382.7 30.15 445.4c4.686 17.54 18.39 31.38 36.09 36.09C76.57 484.2 119.1 496 174.9 496c68.2 0 156.2-17.68 229.6-91.2C523.3 285.8 498.4 129.3 481.9 66.64zM381.9 382.2C327.7 436.5 258.1 464 174.9 464c-33.46 0-67.01-4.463-100.5-13.47c-6.525-1.74-11.67-6.887-13.39-13.33c-14.94-56.65-38.12-200 68.96-307.4C184.3 75.53 253.9 48 337 48c33.24 0 66.73 4.488 100.5 13.61c6.613 1.764 11.61 6.73 13.33 13.19C465.8 131.4 489 274.8 381.9 382.2zM348.7 140.7l-44.67 44.67l-20.69-20.69c-6.25-6.25-16.38-6.25-22.63 0s-6.25 16.38 0 22.63l20.69 20.69l-25.38 25.38L235.3 212.7c-6.25-6.25-16.38-6.25-22.63 0s-6.25 16.38 0 22.63l20.69 20.69L208 281.4L187.3 260.7c-6.25-6.25-16.38-6.25-22.63 0s-6.25 16.38 0 22.63l20.69 20.69l-44.69 44.69c-6.25 6.25-6.25 16.38 0 22.62C143.8 374.4 147.9 376 152 376s8.188-1.562 11.31-4.688l44.69-44.69l20.69 20.69c3.125 3.125 7.219 4.689 11.31 4.689s8.189-1.564 11.31-4.689c6.25-6.25 6.25-16.38 0-22.63L230.6 303.1l25.38-25.38l20.69 20.69c3.125 3.125 7.219 4.689 11.31 4.689s8.189-1.564 11.31-4.689c6.25-6.25 6.25-16.38 0-22.63l-20.69-20.69l25.38-25.38l20.69 20.69c3.125 3.125 7.221 4.688 11.31 4.688s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.63l-20.69-20.69l44.67-44.67c6.25-6.25 6.25-16.38 0-22.62S354.9 134.4 348.7 140.7z"],
    "ruler": [512, 512, [128207], "f545", "M29.25 413.3C4.26 388.3 4.26 347.7 29.25 322.7L322.7 29.25C347.7 4.261 388.3 4.261 413.3 29.25L482.7 98.75C507.7 123.7 507.7 164.3 482.7 189.3L189.3 482.7C164.3 507.7 123.7 507.7 98.74 482.7L29.25 413.3zM51.88 390.6L121.4 460.1C133.9 472.6 154.1 472.6 166.6 460.1L460.1 166.6C472.6 154.1 472.6 133.9 460.1 121.4L390.6 51.88C378.1 39.39 357.9 39.39 345.4 51.88L305.9 91.31L347.3 132.7C353.6 138.9 353.6 149.1 347.3 155.3C341.1 161.6 330.9 161.6 324.7 155.3L283.3 113.9L241.9 155.3L283.3 196.7C289.6 202.9 289.6 213.1 283.3 219.3C277.1 225.6 266.9 225.6 260.7 219.3L219.3 177.9L177.9 219.3L219.3 260.7C225.6 266.9 225.6 277.1 219.3 283.3C213.1 289.6 202.9 289.6 196.7 283.3L155.3 241.9L113.9 283.3L155.3 324.7C161.6 330.9 161.6 341.1 155.3 347.3C149.1 353.6 138.9 353.6 132.7 347.3L91.31 305.9L51.88 345.4C39.38 357.9 39.38 378.1 51.88 390.6V390.6z"],
    "ruler-combined": [512, 512, [], "f546", "M448 288C483.3 288 512 316.7 512 352V448C512 483.3 483.3 512 448 512H64C30.86 512 3.608 486.8 .3306 454.5C.112 452.4 0 450.2 0 448V64C0 28.65 28.65 0 64 0H160C195.3 0 224 28.65 224 64V288H448zM192 192V128H128C119.2 128 112 120.8 112 112C112 103.2 119.2 96 128 96H192V64C192 46.33 177.7 32 160 32H64C46.33 32 32 46.33 32 64V448C32 449.1 32.06 450.2 32.17 451.3C33.8 467.4 47.45 480 64 480H448C465.7 480 480 465.7 480 448V352C480 334.3 465.7 320 448 320H416V384C416 392.8 408.8 400 400 400C391.2 400 384 392.8 384 384V320H320V384C320 392.8 312.8 400 304 400C295.2 400 288 392.8 288 384V320H224V384C224 392.8 216.8 400 208 400C199.2 400 192 392.8 192 384V320H128C119.2 320 112 312.8 112 304C112 295.2 119.2 288 128 288H192V224H128C119.2 224 112 216.8 112 208C112 199.2 119.2 192 128 192H192z"],
    "ruler-horizontal": [640, 512, [], "f547", "M64 384C28.65 384 0 355.3 0 320V192C0 156.7 28.65 128 64 128H576C611.3 128 640 156.7 640 192V320C640 355.3 611.3 384 576 384H64zM64 352H576C593.7 352 608 337.7 608 320V192C608 174.3 593.7 160 576 160H528V224C528 232.8 520.8 240 512 240C503.2 240 496 232.8 496 224V160H432V224C432 232.8 424.8 240 416 240C407.2 240 400 232.8 400 224V160H336V224C336 232.8 328.8 240 320 240C311.2 240 304 232.8 304 224V160H240V224C240 232.8 232.8 240 224 240C215.2 240 208 232.8 208 224V160H144V224C144 232.8 136.8 240 128 240C119.2 240 112 232.8 112 224V160H64C46.33 160 32 174.3 32 192V320C32 337.7 46.33 352 64 352z"],
    "ruler-triangle": [512, 512, [128208], "f61c", "M121.9 241.2C127.9 238.7 134.7 240.1 139.3 244.7L267.3 372.7C271.9 377.3 273.3 384.1 270.8 390.1C268.3 396.1 262.5 400 256 400H128C119.2 400 112 392.8 112 384V256C112 249.5 115.9 243.7 121.9 241.2V241.2zM144 294.6V368H217.4L144 294.6zM77.26 13.26L498.7 434.7C507.2 443.2 512 454.7 512 466.7C512 491.7 491.7 512 466.7 512H64C28.65 512 0 483.3 0 448V45.25C0 20.26 20.26 0 45.25 0C57.26 0 68.77 4.768 77.25 13.25L77.26 13.26zM32 45.26V448C32 465.7 46.33 480 64 480H466.7C474.1 480 480 474.1 480 466.7C480 463.2 478.6 459.9 476.1 457.4L436.7 417.9L411.3 443.3C405.1 449.6 394.9 449.6 388.7 443.3C382.4 437.1 382.4 426.9 388.7 420.7L414.1 395.3L356.7 337.9L331.3 363.3C325.1 369.6 314.9 369.6 308.7 363.3C302.4 357.1 302.4 346.9 308.7 340.7L334.1 315.3L276.7 257.9L251.3 283.3C245.1 289.6 234.9 289.6 228.7 283.3C222.4 277.1 222.4 266.9 228.7 260.7L254.1 235.3L196.7 177.9L171.3 203.3C165.1 209.6 154.9 209.6 148.7 203.3C142.4 197.1 142.4 186.9 148.7 180.7L174.1 155.3L116.7 97.94L91.31 123.3C85.07 129.6 74.94 129.6 68.69 123.3C62.44 117.1 62.44 106.9 68.69 100.7L94.06 75.31L54.63 35.88C52.14 33.4 48.77 32 45.26 32C37.94 32 32 37.94 32 45.26L32 45.26z"],
    "ruler-vertical": [256, 512, [], "f548", "M192 0C227.3 0 256 28.65 256 64V448C256 483.3 227.3 512 192 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H192zM192 32H64C46.33 32 32 46.33 32 64V448C32 465.7 46.33 480 64 480H192C209.7 480 224 465.7 224 448V416H160C151.2 416 144 408.8 144 400C144 391.2 151.2 384 160 384H224V320H160C151.2 320 144 312.8 144 304C144 295.2 151.2 288 160 288H224V224H160C151.2 224 144 216.8 144 208C144 199.2 151.2 192 160 192H224V128H160C151.2 128 144 120.8 144 112C144 103.2 151.2 96 160 96H224V64C224 46.33 209.7 32 192 32z"],
    "rupee-sign": [448, 512, [8360, "rupee"], "f156", "M.0003 80C.0003 53.49 21.49 32 48 32H112C191.5 32 256 96.47 256 176C256 241.6 212.1 296.1 152.1 314.3L206.1 458.3C210.1 466.6 205.1 475.8 197.7 478.1C189.4 482.1 180.2 477.1 177 469.7L119.9 319.8C117.3 319.9 114.7 320 112 320H32V464C32 472.8 24.84 480 16 480C7.164 480 0 472.8 0 464L.0003 80zM32 288H112C173.9 288 224 237.9 224 176C224 114.1 173.9 64 112 64H48C39.16 64 32 71.16 32 80V288zM298.5 282.1C300.7 287.2 304.4 291.7 310.1 296C322.1 305.2 339.9 311.3 361.5 318.6L361.6 318.6C381.6 325.4 405.1 333.4 422.3 347.4C431.2 354.7 438.8 363.1 443.4 375.8C448 387.7 449.2 401.1 446.8 416.2C442.9 441.7 427.9 460.2 406.6 470.4C385.9 480.4 360.3 482.2 333.8 477.6L333.7 477.6C324.8 475.9 313.1 472.1 302.7 468.3C295.7 465.8 288.5 463 282.5 460.7C279.4 459.5 276.7 458.5 274.4 457.6C266.1 454.5 261.9 445.3 265 437C268.1 428.8 277.3 424.6 285.6 427.7C288.3 428.7 291.3 429.8 294.5 431C300.3 433.3 306.8 435.8 313.5 438.2C324 441.1 333.4 444.1 339.4 446.1C361.4 449.9 379.8 447.8 392.7 441.6C405 435.7 412.1 425.8 415.2 411.3C416.8 400.7 415.8 393.1 413.6 387.4C411.4 381.6 407.6 376.7 402 372.2C390.2 362.5 372.5 356.1 351.2 348.9L348.4 347.9C329.2 341.4 306.1 333.9 290.6 321.5C281.7 314.6 273.9 305.9 269 294.5C264.2 283 262.9 270 265.2 255.6C268.8 231.7 284.1 213.5 304.8 202.1C325.3 192.6 351.2 189.4 378.2 194.2C385.9 195.5 409.2 200.6 417.6 203.1C426 205.6 430.9 214.5 428.3 222.1C425.8 231.5 416.9 236.3 408.4 233.7C401.7 231.7 379.7 226.9 372.6 225.7C351.2 221.9 332.6 224.8 319.4 231.5C306.3 238.1 298.7 248.3 296.8 260.4C295.3 270.1 296.4 276.1 298.5 282.1H298.5z"],
    "rupiah-sign": [512, 512, [], "e23d", "M.0003 80C.0003 53.49 21.49 32 48 32H112C191.5 32 256 96.47 256 176C256 241.6 212.1 296.1 152.1 314.3L206.1 458.3C210.1 466.6 205.1 475.8 197.7 478.1C189.4 482.1 180.2 477.1 177 469.7L119.9 319.8C117.3 319.9 114.7 320 112 320H32V464C32 472.8 24.84 480 16 480C7.164 480 0 472.8 0 464L.0003 80zM32 288H112C173.9 288 224 237.9 224 176C224 114.1 173.9 64 112 64H48C39.16 64 32 71.16 32 80V288zM400 160C461.9 160 512 210.1 512 272C512 333.9 461.9 384 400 384H320V496C320 504.8 312.8 512 304 512C295.2 512 288 504.8 288 496V208C288 181.5 309.5 160 336 160H400zM320 352H400C444.2 352 480 316.2 480 272C480 227.8 444.2 192 400 192H336C327.2 192 320 199.2 320 208V352z"],
    "rv": [640, 512, [], "f7be", "M96 152C96 138.7 106.7 128 120 128H296C309.3 128 320 138.7 320 152V232C320 245.3 309.3 256 296 256H120C106.7 256 96 245.3 96 232V152zM288 224V160H128V224H288zM224 24C224 10.75 234.7 0 248 0H360C373.3 0 384 10.75 384 24V32H496C557.9 32 608 82.14 608 144V152C608 174.1 590.1 192 568 192H549.6L627.1 254.7C635.6 260.8 640 269.1 640 279.7V384C640 401.7 625.7 416 608 416H574.4C575.4 421.2 576 426.5 576 432C576 476.2 540.2 512 496 512C451.8 512 416 476.2 416 432C416 426.5 416.6 421.2 417.6 416H254.4C255.4 421.2 256 426.5 256 432C256 476.2 220.2 512 176 512C131.8 512 96 476.2 96 432C96 424.3 97.09 416.8 99.13 409.8L18.75 329.4C6.743 317.4 0 301.1 0 284.1V96C0 60.65 28.65 32 64 32H224V24zM32 96V284.1C32 292.6 35.37 300.7 41.37 306.7L114.9 380.3C129.6 362.1 151.5 352 175.1 352C202.2 352 225.4 364.6 240 384H384V176C384 167.2 391.2 160 400 160H568C572.4 160 576 156.4 576 152V144C576 99.82 540.2 64 496 64H352V32H255.1V64H63.1C46.33 64 31.1 78.33 31.1 96H32zM176 384C155.1 384 137.3 397.4 130.7 416C128.1 421 128 426.4 128 432C128 458.5 149.5 480 176 480C202.5 480 224 458.5 224 432C224 426.4 223 421 221.3 416C214.7 397.4 196.9 384 176 384zM496 384C475.1 384 457.3 397.4 450.7 416C448.1 421 448 426.4 448 432C448 458.5 469.5 480 496 480C522.5 480 544 458.5 544 432C544 426.4 543 421 541.3 416C534.7 397.4 516.9 384 496 384V384zM496 352C522.2 352 545.4 364.6 560 384H608V288H416V384H431.1C446.6 364.6 469.8 352 496 352zM416 192V256H578.4L498.4 192H416z"],
    "s": [384, 512, [115], "53", "M212.1 480c-69.26 0-142.4-25.94-169.8-36.69c-8.23-3.25-12.27-12.53-9.042-20.75c3.217-8.25 12.49-12.28 20.72-9.062c95.41 37.5 182.9 44.97 228.3 19.53c20-11.19 31.81-28.34 36.1-52.4c11.54-64.75-41.65-84.4-130.6-109.1c-80.16-22.25-171-47.47-153.5-145.6c5.122-28.75 21.8-53.53 46.96-69.75c46.19-29.75 119.3-32.12 217.6-7.062c8.558 2.187 13.73 10.91 11.54 19.47c-2.202 8.531-10.92 13.72-19.44 11.53C179.6 51.8 124.8 66.11 98.48 83.11c-22.58 14.56-30.3 34.4-32.81 48.5C54.13 196.4 107.3 216 196.3 240.7c80.16 22.25 171 47.47 153.5 145.6c-5.997 33.62-23.49 58.78-51.97 74.72C273 474.9 242.9 480 212.1 480z"],
    "sack": [512, 512, [], "f81c", "M.0003 416C.0003 273.4 91.2 183.7 152.6 138.5C162.3 131.4 171.3 125.4 179 120.4L121.9 37.62C110.1 21.7 122.4 0 141.7 0H370.3C389.6 0 401 21.7 390.1 37.62L332.1 120.4C340.7 125.4 349.7 131.4 359.4 138.5C420.8 183.7 512 273.4 512 416C512 469 469 512 416 512H96C42.98 512 0 469 0 416H.0003zM310.5 144H201.5L196.3 147.4C141.4 182.5 32 268.3 32 416C32 451.3 60.65 480 96 480H416C451.3 480 480 451.3 480 416C480 268.3 370.6 182.5 315.7 147.4L310.5 144zM355.1 32H156.9L212.1 112H299.9L355.1 32z"],
    "sack-dollar": [512, 512, [128176], "f81d", "M272 233.6C277.9 234.6 290.1 237.2 296.1 238.5C304.7 240.8 309.7 249.6 307.5 258.1C305.2 266.7 296.4 271.7 287.9 269.5C283.9 268.4 270.2 265.7 265.8 265C252.9 263 242.1 264.6 234.9 267.9C227.7 271.2 224.1 275.4 224.4 278.1C223.7 283.1 224.3 285.2 224.9 286.4C225.5 287.8 226.8 289.5 229.8 291.5C236.6 296.1 246.9 299.3 260.8 303.5L261.4 303.7C273.7 307.4 289.3 312.1 300.9 320.5C307.1 325 312.9 331.1 316.5 339.3C320.1 347.6 320.8 356.8 319.2 366.5C316.1 383.1 304.6 395.9 289.9 402.2C284.3 404.6 278.3 406.2 272 407.1V416C272 424.8 264.8 432 256 432C247.2 432 240 424.8 240 416V406.4C230.6 404.6 216.4 399.8 207.6 396.7C205.8 396.1 204.2 395.6 202.9 395.2C194.6 392.4 190 383.3 192.8 374.9C195.6 366.6 204.7 362 213.1 364.8C214.1 365.5 217.1 366.2 219.2 366.9C228.7 370.1 239.9 373.9 246.3 374.1C259.6 377 270.3 375.8 277.3 372.8C283.8 370 286.7 366.1 287.6 361C288.4 356.4 287.8 353.7 287.1 352.1C286.4 350.4 284.9 348.5 282 346.4C275.5 341.6 265.3 338.3 251.6 334.1L249.5 333.5C237.7 329.9 222.9 325.5 211.9 317.1C205.6 313.8 199.7 308 195.9 300.1C192.1 292 191.2 283 192.8 273.5C195.7 256.8 207.6 245.2 221.7 238.8C227.3 236.2 233.5 234.4 240 233.3V223.1C240 215.2 247.2 207.1 256 207.1C264.8 207.1 272 215.2 272 223.1L272 233.6zM179 120.4L121.9 37.62C110.1 21.7 122.4 0 141.7 0H370.3C389.6 0 401 21.7 390.1 37.62L332.1 120.4C340.7 125.4 349.7 131.4 359.4 138.5C420.8 183.7 512 273.4 512 416C512 469 469 512 416 512H96C42.98 512 0 469 0 416C0 273.4 91.2 183.7 152.6 138.5C162.3 131.4 171.3 125.4 179 120.4H179zM196.3 147.4C141.4 182.5 32 268.3 32 416C32 451.3 60.65 480 96 480H416C451.3 480 480 451.3 480 416C480 268.3 370.6 182.5 315.7 147.4L310.5 143.1H201.5L196.3 147.4zM299.9 111.1L355.1 31.1H156.9L212.1 111.1H299.9z"],
    "sack-xmark": [512, 512, [], "e56a", "M308.7 244.7C314.9 238.4 325.1 238.4 331.3 244.7C337.6 250.9 337.6 261.1 331.3 267.3L278.6 320L331.3 372.7C337.6 378.9 337.6 389.1 331.3 395.3C325.1 401.6 314.9 401.6 308.7 395.3L256 342.6L203.3 395.3C197.1 401.6 186.9 401.6 180.7 395.3C174.4 389.1 174.4 378.9 180.7 372.7L233.4 320L180.7 267.3C174.4 261.1 174.4 250.9 180.7 244.7C186.9 238.4 197.1 238.4 203.3 244.7L256 297.4L308.7 244.7zM.0003 416C.0003 273.4 91.2 183.7 152.6 138.5C162.3 131.4 171.3 125.4 179 120.4L121.9 37.62C110.1 21.7 122.4 0 141.7 0H370.3C389.6 0 401 21.7 390.1 37.62L332.1 120.4C340.7 125.4 349.7 131.4 359.4 138.5C420.8 183.7 512 273.4 512 416C512 469 469 512 416 512H96C42.98 512 0 469 0 416H.0003zM310.5 144H201.5L196.3 147.4C141.4 182.5 32 268.3 32 416C32 451.3 60.65 480 96 480H416C451.3 480 480 451.3 480 416C480 268.3 370.6 182.5 315.7 147.4L310.5 144zM355.1 32H156.9L212.1 112H299.9L355.1 32z"],
    "sailboat": [576, 512, [], "e445", "M509.1 326.8C512.5 331.7 512.9 338.1 510.2 343.4C507.4 348.7 501.1 352 496 352H271.1C263.2 352 255.1 344.8 255.1 336V16C255.1 9.018 260.5 2.841 267.2 .7414C273.8-1.358 281.1 1.105 285.1 6.826L509.1 326.8zM465.3 320L287.1 66.76V320H465.3zM212.1 96.54C219.1 98.4 223.1 104.7 223.1 112V336C223.1 344.8 216.8 352 207.1 352H79.1C74.3 352 69.02 348.1 66.16 344C63.3 339.1 63.28 333 66.11 328.1L194.1 104.1C197.7 97.76 205.1 94.68 212.1 96.54zM107.6 320H191.1V172.3L107.6 320zM554.9 384C565.5 384 573.1 394.1 570.3 404.3L566.3 418.7C550.7 473.9 500.4 512 443 512H132.1C75.62 512 25.27 473.9 9.745 418.7L5.716 404.3C2.846 394.1 10.52 384 21.12 384H554.9zM42.45 416C55.92 454.1 92.07 480 132.1 480H443C483.9 480 520.1 454.1 533.5 416H42.45z"],
    "salad": [512, 512, [129367, "bowl-salad"], "f81e", "M495.8 288H16.19c-9.123 0-16.89 7.75-16.14 16.88c6.748 76.38 58.25 139.4 128.1 163.9V480c.125 17.75 14.34 32 32.09 32h192.2c17.62 0 31.48-14.38 31.48-32v-11.5c69.49-24.62 121.4-87.5 127.1-163.6C512.7 295.8 504.9 288 495.8 288zM373.7 438.4l-21.75 7.5V480H160v-34l-21.25-7.5C85.16 419.8 45.79 374.3 34.67 320h442.7C466.2 374.1 427.1 419.4 373.7 438.4zM84.69 148.7c-6.25 6.25-6.25 16.38 0 22.62l80 80C167.8 254.4 171.9 256 176 256s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62l-80-80C101.1 142.4 90.94 142.4 84.69 148.7zM224 112v128C224 248.8 231.2 256 240 256S256 248.8 256 240v-128C256 103.2 248.8 96 240 96S224 103.2 224 112zM288 240C288 248.8 295.2 256 304 256S320 248.8 320 240C320 195.9 355.9 160 400 160S480 195.9 480 240C480 248.8 487.2 256 496 256s16-7.123 16-15.97C512 178.3 461.8 128 400 128S288 178.3 288 240zM26.88 256c2.312 0 4.656-.5 6.875-1.547C41.72 250.7 45.13 241.1 41.31 233.1C35.13 220.1 32 206.2 32 191.7c0-53.11 43.06-96.33 96-96.33c4.188 0 8.219 .6562 13.69 1.453L154.1 98.61l4.719-11.64C172.3 53.58 204.2 32 240 32s67.66 21.58 81.16 54.97l6.156 11.45l12.47-1.828c17.75-2.656 36.72 .0625 53.31 8c8.031 3.828 17.53 .4531 21.34-7.547c3.812-7.969 .4375-17.52-7.531-21.33c-19.16-9.156-39.72-14.05-61.34-12.08C324.9 24.61 284.7 0 240 0S155.1 24.61 134.4 63.63C132.3 63.45 130.2 63.34 128 63.34c-70.59 0-128 57.56-128 128.3c0 19.31 4.188 37.88 12.44 55.2C15.16 252.6 20.91 256 26.88 256z"],
    "salt-shaker": [384, 512, [129474], "e446", "M192 48C183.2 48 176 55.16 176 64c0 8.836 7.164 16 16 16s16-7.164 16-16C208 55.16 200.8 48 192 48zM144 80C135.2 80 128 87.16 128 96c0 8.836 7.162 16 15.1 16C152.8 112 160 104.8 160 96C160 87.16 152.8 80 144 80zM240 80C231.2 80 224 87.16 224 96c0 8.836 7.162 16 16 16c8.836 0 15.1-7.164 15.1-16C255.1 87.16 248.8 80 240 80zM383.4 446.6L334.4 118.9C324.3 51.11 263.1 0 192 0S59.69 51.11 49.56 118.9L.5977 446.6C-1.777 462.8 3.002 479.2 13.75 491.6C24.91 504.6 41.28 512 58.66 512h266.7c17.38 0 33.75-7.438 44.91-20.39C380.1 479.2 385.8 462.8 383.4 446.6zM81.21 123.6C89.02 71.38 136.6 32 192 32s102.1 39.38 110.8 91.6L308.2 160H75.78L81.21 123.6zM346 470.7C340.9 476.6 333.4 480 325.3 480H58.66c-8.053 0-15.58-3.381-20.68-9.301c-4.654-5.395-6.74-12.46-5.729-19.33L70.99 192h242l38.74 259.3C352.8 458.2 350.7 465.3 346 470.7zM137.1 224.1c-8.656-1.078-16.78 5.094-17.87 13.89l-24 192c-1.094 8.766 5.125 16.77 13.87 17.86C110.7 447.1 111.3 448 112 448c7.938 0 14.84-5.922 15.84-14.02l24-192C152.1 233.2 146.8 225.2 137.1 224.1zM245.1 224.1c-8.749 1.094-14.97 9.094-13.87 17.86l24 192C257.1 442.1 264 448 271.1 448c.6875 0 1.344-.0469 2.031-.125c8.751-1.094 14.97-9.094 13.88-17.86l-24-192C262.8 229.2 254.6 223 245.1 224.1z"],
    "sandwich": [512, 512, [129386], "f81f", "M463.1 320h-79.99l-63.1 32L256 320H48.01c-26.4 0-48.01 21.6-48.01 48l.0076 32c0 26.4 21.6 48 47.1 48h415.1c26.4 0 47.1-21.6 47.1-48l.0076-32C511.1 341.6 490.4 320 463.1 320zM479.1 400c0 8.672-7.326 16-15.1 16H48.01c-8.672 0-15.1-7.328-15.1-16v-32c0-8.674 7.328-16 15.1-16h200.4l57.24 28.62C310.2 382.9 315.1 384 319.1 384c4.904 0 9.806-1.127 14.31-3.379L391.6 352h72.44c8.674 0 15.1 7.326 15.1 16V400zM55.89 274.5C73 265.8 92.38 256 129.5 256c37.19 0 56.56 9.812 73.62 18.44C218 282 229.8 288 256.2 288c26.45 0 38.14-5.984 52.91-13.55C326.3 265.8 345.7 256 382.7 256c37.05 0 56.42 9.812 73.67 18.53c11.59 5.844 21.62 10.88 37.89 12.66c8.859 .8906 16.67-5.375 17.64-14.17c.9531-8.781-5.391-16.67-14.17-17.64c-10.52-1.156-16.37-4.094-27.06-9.469C452.4 236.7 427.4 224 382.7 224c-44.66 0-69.7 12.66-88.09 21.94C281.5 252.6 274.1 256 256.2 256C237.5 256 230.8 252.6 217.6 245.9C199.4 236.7 174.4 224 129.5 224C84.74 224 59.72 236.7 41.39 245.9C30.83 251.3 25.02 254.2 14.28 255.4C5.502 256.3-.8578 264.2 .0954 273c.9375 8.781 8.703 15.12 17.62 14.19C34.25 285.4 44.25 280.4 55.89 274.5zM463.1 64H48.01c-26.4 0-47.1 21.6-47.1 48l-.0076 32c0 26.4 21.61 48 48.01 48h415.1c26.4 0 48.01-21.6 48.01-48l-.0076-32C511.1 85.6 490.4 64 463.1 64zM479.1 144c0 8.672-7.326 16-15.1 16H48.01C39.34 160 32.01 152.7 32.01 144v-32c0-8.674 7.326-16 15.1-16h415.1C472.7 96 479.1 103.3 479.1 112V144z"],
    "satellite": [512, 512, [128752], "f7bf", "M465.9 164.7c18.72-18.72 18.72-49.16 0-67.88l-50.73-50.75c-18.11-18.09-49.75-18.16-67.89 0L186.4 206.1C161.4 197 134.8 192 108.3 192C73.75 192 39.24 200.4 8.035 217.1C-1.377 222.3-2.666 235.5 4.939 242.9l120.7 120.8l-25.11 25.11C94.31 385.8 87.39 384 80 384C53.53 384 32 405.5 32 432S53.53 480 80 480S128 458.5 128 432c0-7.391-1.816-14.3-4.811-20.56l25.11-25.11l120.8 120.8C272.3 510.4 276.7 512 280.1 512c5.574 0 11.05-2.691 13.89-7.941c29.6-55.22 32.41-120.5 9.705-178L465.9 164.7zM79.98 447.1c-8.828 0-15.1-7.197-15.1-16.01s7.167-16.01 15.1-16.01s15.1 7.198 15.1 16.01S88.8 447.1 79.98 447.1zM275.1 468.8L43.34 236.1C63.94 228.1 86.03 224 108.3 224c48.02 0 93.16 18.7 127.1 52.65C286.6 327.9 301.7 402.8 275.1 468.8zM289.6 295.7c-8.805-14.78-18.92-28.99-31.64-41.72C245.3 241.3 231.3 230.8 216.6 222l153.4-153.4c6.094-6.062 16.59-6.031 22.62 0l50.75 50.75c6.234 6.25 6.234 16.38 0 22.62L289.6 295.7zM498.5 253.7l-22.77-24.56c-6.016-6.531-16.16-6.875-22.61-.875c-6.484 6.031-6.859 16.16-.8594 22.62l23.19 25C478.4 278.8 480 282.7 480 286.9s-1.609 8.062-4.547 11l-81.59 81.56c-5.875 5.875-16.09 5.875-21.97 0c-6.25-6.25-16.39-6.25-22.64 0s-6.25 16.38-.0156 22.62C358.2 411.1 370.2 416 382.9 416s24.64-4.938 33.63-13.94l81.58-81.56C516.6 301.1 516.6 271.8 498.5 253.7zM121.2 167.4c4.094 0 8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62C129.6 137.2 128 133.3 128 129.1s1.609-8.062 4.547-11l81.59-81.56C220 30.66 229.8 30.22 236.6 37l24.56 22.75c6.453 5.969 16.59 5.594 22.61-.875c6.016-6.5 5.625-16.59-.8594-22.62l-24.11-22.31c-18-18-49.3-18-67.27 0L109.9 95.5c-18.55 18.53-18.55 48.72 0 67.25C113 165.9 117.1 167.4 121.2 167.4z"],
    "satellite-dish": [512, 512, [128225], "f7c0", "M194.3 340.3l25.11-25.11C225.7 318.2 232.6 320 240 320c26.47 0 48-21.53 48-48S266.5 224 240 224S192 245.5 192 272c0 7.391 1.816 14.3 4.811 20.56l-25.11 25.11L50.92 196.8C47.67 193.6 43.32 192 39.03 192C33.46 192 27.98 194.7 25.13 199.9c-43.06 80.34-30.81 182.3 36.87 250C103.3 491.3 157.5 512 211.7 512c34.52 0 69.03-8.379 100.2-25.14c9.412-5.16 10.7-18.31 3.096-25.79L194.3 340.3zM240 256C248.8 256 256 263.2 256 272S248.9 288.1 240.1 288.1S224.1 280.9 224.1 272.1S231.2 256 240 256zM211.7 480c-48.02 0-93.16-18.7-127.1-52.65c-51.22-51.23-66.34-126.2-40.6-192.1l232.6 232.7C256.1 475.9 233.1 480 211.7 480zM208 0C199.2 0 192.1 7.16 192.1 16S199.2 32 208 32C357.1 32 480 154 480 304c0 8.844 7.161 16.08 16 16.08S512 312.8 512 304C512 136.4 375.6 0 208 0zM208 96C199.2 96 192.1 103.2 192.1 112S199.2 128 208 128C305 128 384 206.1 384 304c0 8.844 7.188 16.08 16.03 16.08S416 312.8 416 304C416 189.3 322.7 96 208 96z"],
    "sausage": [512, 512, [], "f820", "M416 63.1C363.1 63.1 320 107.1 320 160c0 88.22-71.78 160-160 160c-52.93 0-96 43.06-96 95.1C63.1 468.9 107 512 159.1 512C354.1 512 512 354.1 512 160C512 107.1 468.1 63.1 416 63.1zM160 480c-35.38 0-64-28.62-64-64s28.62-64 64-64c105.9 0 192-86.13 192-192c0-35.38 28.62-64 64-64s64 28.62 64 64C480 336.5 336.5 480 160 480zM400 160C391.1 160 384 167.1 384 176c0 114.8-93.25 208-208 208C167.1 384 160 391.1 160 400S167.1 416 176 416c132.4 0 240-107.6 240-240C416 167.1 408.9 160 400 160zM400 32h64C472.8 32 480 24.84 480 16C480 7.162 472.8 0 463.1 0H400C391.2 0 384 7.162 384 16C384 24.84 391.2 32 400 32zM16 384C7.164 384 0 391.2 0 400v64C0 472.8 7.164 480 16 480S32 472.8 32 464v-64C32 391.2 24.84 384 16 384z"],
    "saxophone": [640, 512, [127927], "f8dc", "M15.1 127.1h255.1C280.8 127.1 288 120.8 288 112S280.8 96 272 96h-256C7.156 96 0 103.2 0 112S7.156 127.1 15.1 127.1zM143.1 232c0-13.25-10.75-24-24-24s-24 10.75-24 24S106.7 256 119.1 256S143.1 245.3 143.1 232zM79.1 312c0 13.25 10.75 24 24 24s24-10.75 24-24S117.2 288 103.1 288S79.1 298.8 79.1 312zM635.2 100.8l-43.25-59.38C585.1 35.38 577.9 32 569.4 32h-46.88c-17 0-33.25 6.75-45.25 18.75L255.1 256c-9.125 9-23.5 9.875-33.5 2C212.4 250.1 209.7 236 216.2 225l24.86-40.65C247.6 173.7 239.1 160 227.5 160C221.9 160 216.7 162.9 213.8 167.6L188.7 208.5C178.1 226.3 177.9 248.3 187.1 266.3c10.25 18 29.38 29.12 50 29.25c15.38 0 29.75-6 39.75-16l222.1-206.1C505.9 67.38 513.1 64 522.5 64h46.38l23.38 32h-70.88c0 0-100.3 117.1-134.5 157.6C233.1 434.3 220.1 448 159.1 448c-83.5 0-128-74.38-128-128c0-28.12 11.78-93.03 23.44-140.2C57.93 169.7 50.3 160 39.9 160C32.55 160 26.11 164.9 24.34 172.1c-9.5 38.18-24.34 112.3-24.34 147.9c0 70.25 57.37 159.1 159.1 159.1c94.5 0 103.7-35.75 375.1-351.1h88C638.2 128 645.4 110.8 635.2 100.8z"],
    "saxophone-fire": [640, 512, ["sax-hot"], "f8db", "M143.9 168.1C125.9 141.4 110.6 118.8 109.9 117.5L99.5 103.3l-9.1 14.5C69.62 146.3 56.62 167 56.25 192h32.12c.25-9.625 3.875-19.12 11.5-32C106.1 169.1 113.6 180.4 121.5 192h70.5L159.1 144L143.9 168.1zM635.2 132.8l-43.25-59.38C585.1 67.38 577.9 64 569.4 64h-46.87c-16.1 0-33.25 6.75-45.25 18.75L247.1 296C238.9 305 224.5 305.9 214.5 298C204.4 290.1 201.7 276 208.2 265L213.7 256h10.25C232.8 256 239.1 248.8 239.1 240S232.8 224 223.1 224H15.1c-8.844 0-16 7.156-16 15.1S7.156 256 15.1 256H12.87c-6.75 34.75-12.88 73.25-12.88 95.1c0 70.25 57.37 159.1 159.1 159.1c94.5 0 103.7-35.75 375.1-351.1h87.1C638.2 160 645.4 142.8 635.2 132.8zM521.4 128c0 0-100.2 117.1-134.5 157.6C233.1 466.3 220.1 480 159.1 480c-83.5 0-127.1-74.38-127.1-128c0-21.12 6.5-60.88 13.62-96h132.2C168.9 277.3 172.7 301.9 189.4 318.6c10.75 10.75 25.37 16.88 40.62 16.88c15.37 0 29.75-6 39.75-16l230.1-214.1C505.9 99.38 513.1 96 522.5 96h46.37l23.37 32H521.4zM37.37 192L37.25 191.5C33.62 180.1 31.1 170.4 31.1 160.9c0-23.75 23.1-71.5 64.12-115.6c10.1 11.75 21.25 24.12 30.75 37l24.37 33.63c0 0 30.62-37.38 32.87-40c25.12 32.63 39.87 70.5 39.87 85c0 9.5-1.625 19.25-5.25 30.62L218.6 192h32.87C254.1 182 255.1 171.8 255.1 160.9c0-30.38-29.75-93.13-71.12-131.6C173.4 39.88 162.6 51.38 152.7 63.5C135.9 40.63 116.9 19.25 95.1 0C39.87 52.13 0 120 0 160.9C0 171.8 1.875 182 4.5 192H37.37zM119.1 303.1c-13.25 0-23.1 10.75-23.1 24S106.7 352 119.1 352s23.1-10.75 23.1-24S133.2 303.1 119.1 303.1z"],
    "scale-balanced": [640, 512, [9878, "balance-scale"], "f24e", "M528 480H336V125.8c27.5-7.125 47.1-32 47.1-61.75h144c8.801 0 16-7.201 16-16c0-8.801-7.201-16-16-16h-153.1c-.125-.25-4.375-11.12-19.13-21.12C345.6 4 333.3 0 320 0S294.4 4 284.2 10.88C269.5 20.88 265.2 31.75 265.1 32H111.1c-8.801 0-16 7.199-16 16c0 8.799 7.201 16 16 16h144c0 29.75 20.5 54.63 47.1 61.75V480H111.1c-8.801 0-15.99 7.199-15.99 16c0 8.799 7.2 16 16 16h416c8.801 0 16-7.201 16-16C544 487.2 536.8 480 528 480zM287.1 64c0-17.62 14.38-32 32-32s32 14.38 32 32S337.6 96 320 96S287.1 81.63 287.1 64zM634.4 279.1l-109-175.1C522.1 98.38 517.1 96 512 96c-5.127 0-10.11 2.375-13.36 7.125l-109 175.1c-3.875 5.75-6.125 12.63-5.5 19.63C389.5 364.4 444.7 416 512 416c67.25 0 122.5-51.63 127.9-117.3C640.5 291.7 638.3 284.9 634.4 279.1zM512 384c-41.63 0-77.51-27.12-90.76-64h181.1C589 357.3 553.3 384 512 384zM421.8 288l90.26-145.8L603 288H421.8zM255.9 298.7c.625-7-1.625-13.88-5.5-19.63l-109-175.1C138.1 98.38 133.1 96 127.1 96C122.9 96 117.9 98.38 114.6 103.1L5.599 279.1C1.724 284.9-.5255 291.7 .0995 298.7C5.474 364.4 60.74 416 127.1 416C195.3 416 250.5 364.4 255.9 298.7zM127.1 142.3L218.1 288H37.73L127.1 142.3zM37.23 320h181.1c-13.38 37.25-49.13 64-90.38 64C86.36 384 50.48 356.9 37.23 320z"],
    "scale-unbalanced": [640, 512, ["balance-scale-left"], "f515", "M527.1 480h-192V125.7c23.78-6.158 42.2-25.45 46.8-49.81L517.1 31.18c8.377-2.781 12.91-11.84 10.11-20.23c-2.781-8.391-11.78-12.94-20.24-10.11l-126.7 42.24c-8.705-25.01-32.22-43.07-60.2-43.07c-35.35 0-64 28.65-64 63.99c0 6.799 1.336 13.23 3.301 19.38L122.9 128.8c-8.377 2.781-12.91 11.84-10.11 20.23C115 155.8 121.3 160 127.1 160c1.672 0 3.375-.2656 5.062-.8281l144-48c7.561 6.885 16.73 11.92 26.93 14.57V496c0 8.844 7.163 16 16.01 16h208c8.844 0 16-7.156 16-15.1S536.8 480 527.1 480zM288 64c0-17.64 14.36-32 32-32s32 14.36 32 32s-14.36 32-32 32S288 81.64 288 64zM634.4 247.1l-109-175.1c-3.25-4.75-8.235-7.125-13.36-7.125c-5.127 0-10.11 2.375-13.36 7.125l-109 175.1c-3.875 5.75-6.125 12.63-5.5 19.63c5.375 65.62 60.64 117.3 127.9 117.3s122.5-51.63 127.9-117.3C640.5 259.7 638.3 252.9 634.4 247.1zM512 352c-41.63 0-77.51-27.12-90.76-63.1h181.1C589 325.3 553.3 352 512 352zM421.8 256l90.26-145.7l91.01 145.7H421.8zM141.4 199.1C138.1 194.4 133.1 192 127.1 192c-5.125 0-10.11 2.362-13.36 7.112L5.599 375.1c-3.875 5.75-6.125 12.63-5.5 19.63C5.474 460.4 60.74 512 128 512s122.5-51.63 127.9-117.3c.625-7-1.625-13.88-5.5-19.63L141.4 199.1zM127.1 480c-41.63 0-77.51-27.12-90.76-63.1h181.1C205 453.3 169.2 480 127.1 480zM37.73 384l90.26-145.7l91.01 145.7H37.73z"],
    "scale-unbalanced-flip": [640, 512, ["balance-scale-right"], "f516", "M634.4 375.1l-109-175.1c-3.25-4.75-8.237-7.112-13.36-7.112c-5.127 0-10.11 2.362-13.36 7.112l-109 175.1c-3.875 5.75-6.125 12.63-5.5 19.63C389.5 460.4 444.7 512 512 512s122.5-51.63 127.9-117.3C640.5 387.7 638.3 380.9 634.4 375.1zM512 238.3l90.26 145.7H420.1L512 238.3zM512 480c-41.25 0-77.01-26.75-90.38-63.1h181.1C589.5 452.9 553.6 480 512 480zM255.9 266.7c.625-7-1.625-13.88-5.5-19.63L141.4 71.13C138.1 66.38 133.1 64 127.1 64c-5.125 0-10.11 2.375-13.36 7.125L5.599 247.1C1.724 252.9-.5255 259.7 .0995 266.7c5.375 65.62 60.64 117.3 127.9 117.3S250.5 332.4 255.9 266.7zM127.1 110.3l90.26 145.7H36.98L127.1 110.3zM37.61 288h181.1c-13.25 36.87-49.13 63.1-90.76 63.1C86.74 352 50.98 325.3 37.61 288zM512 160c6.705 0 12.94-4.234 15.17-10.94c2.797-8.391-1.734-17.45-10.11-20.23l-136.4-45.46c1.965-6.146 3.301-12.58 3.301-19.38c0-35.35-28.66-63.99-64-63.99c-27.98 0-51.49 18.06-60.2 43.07L133.1 .8398C124.6-1.988 115.6 2.559 112.8 10.95C110 19.34 114.6 28.4 122.9 31.18l134.3 44.75c4.604 24.36 23.02 43.65 46.8 49.81V480H112c-8.844 0-16 7.157-16 16S103.2 512 112 512h208c8.844 0 16.01-7.156 16.01-16V125.7c10.21-2.643 19.37-7.682 26.93-14.57l144 48C508.6 159.7 510.3 160 512 160zM320 96C302.4 96 288 81.64 288 64s14.36-32 32-32s32 14.36 32 32S337.6 96 320 96z"],
    "scalpel": [512, 512, [], "f61d", "M272 320c-8.844 0-15.1 7.156-15.1 16c0 105.3-129.9 133.6-198.6 141.2l129.9-129.9c6.25-6.25 6.25-16.38 0-22.62c-6.25-6.25-16.37-6.25-22.62 0l-159.1 160c-4.578 4.562-5.953 11.47-3.469 17.44C3.691 508.1 9.535 512 16 512c94.08 0 271.1-36.78 271.1-176C288 327.2 280.8 320 272 320zM511.4 65.22c-2.625-21.28-13.66-39.85-31.09-52.25C468.1 4.221 453.7 0 439.1 0c-22.07 0-44.44 9.725-60.1 28.1L182.2 249.1C176.2 256.2 174.8 265.9 178.7 274.3S190.8 288 200 288h127.8c11.37 0 22.19-5 29.69-13.72l136.3-150.3C507.6 107.8 514 86.41 511.4 65.22zM470.2 102.4l-136.9 150.1C331.9 255.1 329.9 256 327.9 256H218.1l184.4-207.1C412.4 38.3 425.8 32 439.1 32c8.353 0 16.16 2.424 22.63 7.045c10.16 7.232 16.35 17.64 17.89 30.11C481.2 81.45 477.5 93.84 470.2 102.4z"],
    "scalpel-line-dashed": [576, 512, ["scalpel-path"], "f61e", "M493.9 123.9c13.78-16.12 20.19-37.53 17.56-58.72c-2.625-21.28-13.66-39.85-31.09-52.25C468.1 4.221 453.7 0 439.1 0c-22.07 0-44.44 9.725-60.1 28.1L182.2 249.1C176.2 256.2 174.8 265.9 178.7 274.3S190.8 288 200 288h127.8c11.38 0 22.19-5 29.69-13.72L493.9 123.9zM327.9 256H218.1l184.4-207.1C412.4 38.3 425.8 32 439.1 32c8.354 0 16.16 2.424 22.63 7.045c10.16 7.232 16.35 17.64 17.89 30.11c1.521 12.29-2.17 24.68-9.512 33.29l-136.9 150.1C331.9 255.1 329.9 256 327.9 256zM288 336c0-8.844-7.156-16-16-16s-16 7.156-16 16c0 105.3-129.9 133.6-198.6 141.2l129.9-129.9c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0l-159.1 160C.1133 489.3-1.262 496.2 1.223 502.1C3.691 508.1 9.535 512 16 512C110.1 512 288 475.2 288 336zM304 480h-64C231.2 480 224 487.2 224 496S231.2 512 240 512h64c8.844 0 16-7.156 16-16S312.8 480 304 480zM432 480h-64c-8.844 0-16 7.156-16 16s7.156 16 16 16h64c8.844 0 16-7.156 16-16S440.8 480 432 480zM560 480h-64c-8.844 0-16 7.156-16 16s7.156 16 16 16h64c8.844 0 16-7.156 16-16S568.8 480 560 480z"],
    "scanner-gun": [576, 512, ["scanner"], "f488", "M80.03 251.4C33.75 237.6 0 194.7 0 144C0 82.14 50.14 32 112 32H304C330.5 32 352 53.49 352 80V208C352 234.5 330.5 256 304 256H261.2L144.3 454.6C130.9 477.5 101.5 485.1 78.63 471.7L25.22 440.2C2.432 426.8-5.225 397.5 8.098 374.7L80.03 251.4zM32 144C32 188.2 67.82 224 112 224H304C312.8 224 320 216.8 320 208V80C320 71.16 312.8 64 304 64H112C67.82 64 32 99.82 32 144zM114.4 256L35.74 390.8C31.3 398.4 33.85 408.2 41.45 412.7L94.85 444.1C102.5 448.6 112.3 446 116.8 438.4L224.1 255.1L114.4 256zM560 32C568.8 32 576 39.16 576 48C576 56.84 568.8 64 560 64H432C423.2 64 416 56.84 416 48C416 39.16 423.2 32 432 32H560zM416 112C416 103.2 423.2 96 432 96H560C568.8 96 576 103.2 576 112C576 120.8 568.8 128 560 128H432C423.2 128 416 120.8 416 112zM560 192C568.8 192 576 199.2 576 208C576 216.8 568.8 224 560 224H432C423.2 224 416 216.8 416 208C416 199.2 423.2 192 432 192H560zM416 272C416 263.2 423.2 256 432 256H560C568.8 256 576 263.2 576 272C576 280.8 568.8 288 560 288H432C423.2 288 416 280.8 416 272zM560 320C568.8 320 576 327.2 576 336C576 344.8 568.8 352 560 352H432C423.2 352 416 344.8 416 336C416 327.2 423.2 320 432 320H560zM416 464C416 455.2 423.2 448 432 448H560C568.8 448 576 455.2 576 464C576 472.8 568.8 480 560 480H432C423.2 480 416 472.8 416 464z"],
    "scanner-image": [576, 512, [], "f8f3", "M531.8 271.1L55.16 33.68c-7.922-3.938-17.5-.7344-21.47 7.156C29.73 48.75 32.94 58.36 40.84 62.31L492.2 287.1L64 287.1c-35.35 0-64 28.65-64 64v64C0 451.3 28.65 480 64 480h448c35.35 0 64-28.65 64-64v-72.45C576 313.1 559.1 285.7 531.8 271.1zM544 415.1C544 433.6 529.6 448 512 448H64c-17.64 0-32-14.36-32-32v-64c0-17.64 14.36-32 32-32h448c17.64 0 32 14.36 32 32V415.1zM96 359.1c-13.26 0-24 10.75-24 24c0 13.26 10.74 24 24 24c13.25 0 24-10.74 24-24C120 370.7 109.3 359.1 96 359.1zM192 359.1c-13.26 0-24 10.75-24 24c0 13.26 10.74 24 24 24c13.25 0 24-10.74 24-24C216 370.7 205.3 359.1 192 359.1z"],
    "scanner-keyboard": [512, 512, [], "f489", "M128 16C128 7.164 135.2 0 144 0C152.8 0 160 7.164 160 16V48C160 56.84 152.8 64 144 64C135.2 64 128 56.84 128 48V16zM320 16C320 7.164 327.2 0 336 0C344.8 0 352 7.164 352 16V48C352 56.84 344.8 64 336 64C327.2 64 320 56.84 320 48V16zM224 16V48C224 56.84 216.8 64 208 64C199.2 64 192 56.84 192 48V16C192 7.164 199.2 0 208 0C216.8 0 224 7.164 224 16zM400 16C400 7.164 407.2 0 416 0C424.8 0 432 7.164 432 16V272C432 280.8 424.8 288 416 288C407.2 288 400 280.8 400 272V16zM512 16V272C512 280.8 504.8 288 496 288C487.2 288 480 280.8 480 272V16C480 7.164 487.2 0 496 0C504.8 0 512 7.164 512 16zM64 200C64 177.9 81.91 160 104 160H248C270.1 160 288 177.9 288 200V248C288 270.1 270.1 288 248 288H104C81.91 288 64 270.1 64 248V200zM96 200V248C96 252.4 99.58 256 104 256H248C252.4 256 256 252.4 256 248V200C256 195.6 252.4 192 248 192H104C99.58 192 96 195.6 96 200zM144 320C152.8 320 160 327.2 160 336C160 344.8 152.8 352 144 352H80C71.16 352 64 344.8 64 336C64 327.2 71.16 320 80 320H144zM64 400C64 391.2 71.16 384 80 384H144C152.8 384 160 391.2 160 400C160 408.8 152.8 416 144 416H80C71.16 416 64 408.8 64 400zM272 320C280.8 320 288 327.2 288 336C288 344.8 280.8 352 272 352H208C199.2 352 192 344.8 192 336C192 327.2 199.2 320 208 320H272zM192 400C192 391.2 199.2 384 208 384H272C280.8 384 288 391.2 288 400C288 408.8 280.8 416 272 416H208C199.2 416 192 408.8 192 400zM288 96C323.3 96 352 124.7 352 160V448C352 483.3 323.3 512 288 512H64C28.65 512 0 483.3 0 448V160C0 124.7 28.65 96 64 96H288zM288 128H64C46.33 128 32 142.3 32 160V448C32 465.7 46.33 480 64 480H288C305.7 480 320 465.7 320 448V160C320 142.3 305.7 128 288 128z"],
    "scanner-touchscreen": [512, 512, [], "f48a", "M128 16C128 7.164 135.2 0 144 0C152.8 0 160 7.164 160 16V48C160 56.84 152.8 64 144 64C135.2 64 128 56.84 128 48V16zM320 16C320 7.164 327.2 0 336 0C344.8 0 352 7.164 352 16V48C352 56.84 344.8 64 336 64C327.2 64 320 56.84 320 48V16zM224 16V48C224 56.84 216.8 64 208 64C199.2 64 192 56.84 192 48V16C192 7.164 199.2 0 208 0C216.8 0 224 7.164 224 16zM400 16C400 7.164 407.2 0 416 0C424.8 0 432 7.164 432 16V272C432 280.8 424.8 288 416 288C407.2 288 400 280.8 400 272V16zM512 16V272C512 280.8 504.8 288 496 288C487.2 288 480 280.8 480 272V16C480 7.164 487.2 0 496 0C504.8 0 512 7.164 512 16zM64 200C64 177.9 81.91 160 104 160H248C270.1 160 288 177.9 288 200V408C288 430.1 270.1 448 248 448H104C81.91 448 64 430.1 64 408V200zM96 200V408C96 412.4 99.58 416 104 416H248C252.4 416 256 412.4 256 408V200C256 195.6 252.4 192 248 192H104C99.58 192 96 195.6 96 200zM288 96C323.3 96 352 124.7 352 160V448C352 483.3 323.3 512 288 512H64C28.65 512 0 483.3 0 448V160C0 124.7 28.65 96 64 96H288zM288 128H64C46.33 128 32 142.3 32 160V448C32 465.7 46.33 480 64 480H288C305.7 480 320 465.7 320 448V160C320 142.3 305.7 128 288 128z"],
    "scarecrow": [512, 512, [], "f70d", "M288 120c8.75 0 16-7.25 16-16s-7.25-16-16-16s-16 7.25-16 16S279.3 120 288 120zM224 104c8.75 0 16-7.25 16-16S232.8 72 224 72s-16 7.25-16 16S215.3 104 224 104zM477.8 186.3L451.3 160l18.36-18.26c5-5 1.51-13.74-5.74-13.74l-111.9 .0069L352 96c0-53-42.1-96-96-96S160 43 160 96l.0028 32.01L48 128c-7.125 0-10.74 8.615-5.741 13.74l18.49 18.26l-26.48 26.26c-3 3.125-3 8.235 0 11.36l26.48 26.38L42.38 242.3c-5 5-1.51 13.74 5.741 13.74h106.1l-26 141.3c-2.125 12.75 11.03 22.98 22.91 16.98l32.64-24.21c6.412-4.742 36.86 9.934 56.21 19.17V496c0 8.844 7.154 16 15.1 16s16-7.156 16-16v-86.82c19.31-9.234 49.77-23.94 56.09-19.2l32.67 24.24c11.88 6 25.08-4.354 22.95-16.98l-25.84-141.2h106.1c7.125 0 10.74-8.615 5.738-13.74L451.3 224l26.36-26.26C480.8 194.5 480.8 189.5 477.8 186.3zM192 96c0-35.25 28.75-64 64-64s64 28.75 64 64v32c0 17.62-14.38 32-32 32H224C206.4 160 192 145.6 192 128V96zM406.1 224H319.5l25.38 138.8c-7.75-5.125-16.88-7.875-26.25-7.875c-7.875 0-15.75 2-22.63 5.625l-40 21.25L216 360.5c-7-3.75-14.75-5.625-22.63-5.625c-9.375 0-18.5 2.75-26.25 7.875L192.5 224H105.9L73.88 192l32-32h62.88c11.13 19 31.56 31.95 55.19 31.95h64c23.63 0 43.94-12.95 55.06-31.95h63l32 32L406.1 224z"],
    "scarf": [512, 512, [129507], "f7c1", "M202.3 375.3l-26.88 29.29L107.8 337.8l27.57-29.34C141.5 301.1 141.3 291.8 135 285.5C128.5 279 118 279.1 111.6 285.6l-106.9 108.9c-6.275 6.176-6.275 16.22 0 22.4c6.227 6.127 16.32 6.154 22.54 .0273l57.75-56.83l22.54 22.3l-57.57 56.86c-6.244 6.168-6.248 16.18-.0098 22.35c6.23 6.164 16.42 6.258 22.66 .0996l57.59-56.88l22.54 22.3l-57.68 58.01c-6.135 6.17-6.109 16.08 .0605 22.21c6.275 6.244 16.5 6.205 22.73-.0879l106.7-111.1c5.744-5.984 5.646-15.46-.2187-21.33C218.2 368.7 208.2 368.9 202.3 375.3zM507.3 394.4L214.7 99.1c11.4-2.604 25.8-4.461 41.83-4.586c16.03 0 30.43 1.982 41.83 4.586l-7.688 7.605c-6.283 6.217-6.311 16.36-.0605 22.61c6.201 6.203 16.25 6.23 22.49 .0605l8.055-7.969c8.266-8.055 11.27-19.95 8.266-31.1c-3.258-11.15-12.27-19.58-23.54-22.18c-18.04-4.213-34.31-5.328-49.22-5.205c-14.9 0-31.18 .9922-49.22 5.205C196.1 71.62 187.1 80.05 183.9 91.2S183.7 114.2 192.1 122.3l212.3 215.3l-67.75 66.91L145.4 204.1C113.5 170.1 135 132.1 137.7 127.8L181.4 55.39c11.02-18.34 52.35-23.67 74.52-23.67h1.252c22.17 0 63.49 5.328 74.64 23.54l43.71 72.37c2.242 3.885 19.77 34.82 .5195 66.35c-4.135 6.77-3.336 15.43 2.559 20.74c7.184 6.471 18.75 5.285 23.98-2.85c31.44-48.9 1.736-98.09 .3672-100.3l-43.71-72.49c-4.258-7.064-9.893-13.14-16.78-17.84C320.7 6.814 288.8 0 257.1 0H255.9C224.2 0 192.1 6.814 170.6 21.31C163.6 26.02 158.1 31.97 153.7 39.16L109.1 111.6C108.5 114.1 72.91 173.2 121.5 226.4l272.5 280.9c6.213 6.289 16.42 6.348 22.71 .1289c6.201-6.137 6.281-16.12 .123-22.3l-57.75-57.98l22.54-22.3l57.69 56.87c6.25 6.16 16.26 6.15 22.48-.0391c6.209-6.176 6.335-16.21 .1025-22.37l-57.6-56.89l22.67-22.3l57.68 56.87c6.201 6.113 16.22 6.145 22.46 .0703C513.4 410.8 513.6 400.6 507.3 394.4z"],
    "school": [640, 512, [127979], "f549", "M96 223.1C96 206.3 110.3 191.1 128 191.1H160C177.7 191.1 192 206.3 192 223.1V255.1C192 273.7 177.7 287.1 160 287.1H128C110.3 287.1 96 273.7 96 255.1V223.1zM160 223.1H128V255.1H160V223.1zM512 191.1C529.7 191.1 544 206.3 544 223.1V255.1C544 273.7 529.7 287.1 512 287.1H480C462.3 287.1 448 273.7 448 255.1V223.1C448 206.3 462.3 191.1 480 191.1H512zM480 255.1H512V223.1H480V255.1zM96 352C96 334.3 110.3 319.1 128 319.1H160C177.7 319.1 192 334.3 192 352V416C192 433.7 177.7 448 160 448H128C110.3 448 96 433.7 96 416V352zM160 352H128V416H160V352zM512 319.1C529.7 319.1 544 334.3 544 352V416C544 433.7 529.7 448 512 448H480C462.3 448 448 433.7 448 416V352C448 334.3 462.3 319.1 480 319.1H512zM480 416H512V352H480V416zM336 175.1H344C352.8 175.1 360 183.2 360 191.1C360 200.8 352.8 207.1 344 207.1H320C311.2 207.1 304 200.8 304 191.1V159.1C304 151.2 311.2 143.1 320 143.1C328.8 143.1 336 151.2 336 159.1V175.1zM224 191.1C224 138.1 266.1 95.1 320 95.1C373 95.1 416 138.1 416 191.1C416 245 373 287.1 320 287.1C266.1 287.1 224 245 224 191.1zM320 255.1C355.3 255.1 384 227.3 384 191.1C384 156.7 355.3 127.1 320 127.1C284.7 127.1 256 156.7 256 191.1C256 227.3 284.7 255.1 320 255.1zM470.8 113.1L588.6 136.6C618.5 142.6 640 168.8 640 199.4V448C640 483.3 611.3 512 576 512H64C28.65 512 0 483.3 0 448V199.4C0 168.8 21.53 142.6 51.45 136.6L169.2 113.1L310.2 3.37C315.1-1.123 324-1.123 329.8 3.37L470.8 113.1zM384 384V480H576C593.7 480 608 465.7 608 448V199.4C608 184.1 597.2 170.1 582.3 167.1L460.9 143.7C458.4 143.2 456.1 142.2 454.2 140.6L320 36.27L185.8 140.6C183.9 142.2 181.6 143.2 179.1 143.7L57.72 167.1C42.77 170.1 32 184.1 32 199.4V448C32 465.7 46.33 480 64 480H256V384C256 348.7 284.7 319.1 320 319.1C355.3 319.1 384 348.7 384 384H384zM352 480V384C352 366.3 337.7 352 320 352C302.3 352 288 366.3 288 384V480H352z"],
    "school-circle-check": [640, 512, [], "e56b", "M310.2 3.37C315.1-1.123 324-1.123 329.8 3.37L470.8 113.1L588.6 136.6C618.5 142.6 640 168.8 640 199.4V266.8C630.9 253.9 620.1 242.3 608 232.2V199.4C608 184.1 597.2 170.1 582.3 167.1L460.9 143.7C458.4 143.2 456.1 142.2 454.2 140.6L319.1 36.27L185.8 140.6C183.9 142.2 181.6 143.2 179.1 143.7L57.72 167.1C42.77 170.1 32 184.1 32 199.4V448C32 465.7 46.33 480 64 480H256V384C256 348.7 284.7 319.1 320 319.1H326.6C323.7 330.3 321.7 341 320.7 352H320C302.3 352 288 366.3 288 384V480H360.2C370.3 492.1 381.9 502.9 394.8 512H64C28.65 512 0 483.3 0 448V199.4C0 168.8 21.53 142.6 51.45 136.6L169.2 113.1L310.2 3.37zM159.1 192C177.7 192 191.1 206.3 191.1 224V256C191.1 273.7 177.7 288 159.1 288H127.1C110.3 288 95.1 273.7 95.1 256V224C95.1 206.3 110.3 192 127.1 192H159.1zM127.1 256H159.1V224H127.1V256zM95.1 352C95.1 334.3 110.3 320 127.1 320H159.1C177.7 320 191.1 334.3 191.1 352V416C191.1 433.7 177.7 448 159.1 448H127.1C110.3 448 95.1 433.7 95.1 416V352zM159.1 352H127.1V416H159.1V352zM319.1 248C328.8 248 336 255.2 336 264C336 272.8 328.8 280 319.1 280C266.1 280 223.1 237 223.1 184C223.1 130.1 266.1 88 319.1 88C373 88 416 130.1 416 184C416 192.8 408.8 200 400 200C391.2 200 384 192.8 384 184C384 148.7 355.3 120 319.1 120C284.7 120 255.1 148.7 255.1 184C255.1 219.3 284.7 248 319.1 248zM319.1 144C328.8 144 336 151.2 336 160V176H344C352.8 176 360 183.2 360 192C360 200.8 352.8 208 344 208H319.1C311.2 208 303.1 200.8 303.1 192V160C303.1 151.2 311.2 144 319.1 144zM563.3 324.7C569.6 330.9 569.6 341.1 563.3 347.3L491.3 419.3C485.1 425.6 474.9 425.6 468.7 419.3L428.7 379.3C422.4 373.1 422.4 362.9 428.7 356.7C434.9 350.4 445.1 350.4 451.3 356.7L480 385.4L540.7 324.7C546.9 318.4 557.1 318.4 563.3 324.7H563.3zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 480C557.9 480 608 429.9 608 368C608 306.1 557.9 256 496 256C434.1 256 384 306.1 384 368C384 429.9 434.1 480 496 480z"],
    "school-circle-exclamation": [640, 512, [], "e56c", "M310.2 3.37C315.1-1.123 324-1.123 329.8 3.37L470.8 113.1L588.6 136.6C618.5 142.6 640 168.8 640 199.4V266.8C630.9 253.9 620.1 242.3 608 232.2V199.4C608 184.1 597.2 170.1 582.3 167.1L460.9 143.7C458.4 143.2 456.1 142.2 454.2 140.6L319.1 36.27L185.8 140.6C183.9 142.2 181.6 143.2 179.1 143.7L57.72 167.1C42.77 170.1 32 184.1 32 199.4V448C32 465.7 46.33 480 64 480H256V384C256 348.7 284.7 319.1 320 319.1H326.6C323.7 330.3 321.7 341 320.7 352H320C302.3 352 288 366.3 288 384V480H360.2C370.3 492.1 381.9 502.9 394.8 512H64C28.65 512 0 483.3 0 448V199.4C0 168.8 21.53 142.6 51.45 136.6L169.2 113.1L310.2 3.37zM159.1 192C177.7 192 191.1 206.3 191.1 224V256C191.1 273.7 177.7 288 159.1 288H127.1C110.3 288 95.1 273.7 95.1 256V224C95.1 206.3 110.3 192 127.1 192H159.1zM127.1 256H159.1V224H127.1V256zM95.1 352C95.1 334.3 110.3 320 127.1 320H159.1C177.7 320 191.1 334.3 191.1 352V416C191.1 433.7 177.7 448 159.1 448H127.1C110.3 448 95.1 433.7 95.1 416V352zM159.1 352H127.1V416H159.1V352zM319.1 248C328.8 248 336 255.2 336 264C336 272.8 328.8 280 319.1 280C266.1 280 223.1 237 223.1 184C223.1 130.1 266.1 88 319.1 88C373 88 416 130.1 416 184C416 192.8 408.8 200 400 200C391.2 200 384 192.8 384 184C384 148.7 355.3 120 319.1 120C284.7 120 255.1 148.7 255.1 184C255.1 219.3 284.7 248 319.1 248zM319.1 144C328.8 144 336 151.2 336 160V176H344C352.8 176 360 183.2 360 192C360 200.8 352.8 208 344 208H319.1C311.2 208 303.1 200.8 303.1 192V160C303.1 151.2 311.2 144 319.1 144zM472 424C472 410.7 482.7 400 496 400C509.3 400 520 410.7 520 424C520 437.3 509.3 448 496 448C482.7 448 472 437.3 472 424zM495.1 288C504.8 288 511.1 295.2 511.1 304V368C511.1 376.8 504.8 384 495.1 384C487.2 384 479.1 376.8 479.1 368V304C479.1 295.2 487.2 288 495.1 288zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 256C434.1 256 384 306.1 384 368C384 429.9 434.1 480 496 480C557.9 480 608 429.9 608 368C608 306.1 557.9 256 496 256z"],
    "school-circle-xmark": [640, 512, [], "e56d", "M310.2 3.37C315.1-1.123 324-1.123 329.8 3.37L470.8 113.1L588.6 136.6C618.5 142.6 640 168.8 640 199.4V266.8C630.9 253.9 620.1 242.3 608 232.2V199.4C608 184.1 597.2 170.1 582.3 167.1L460.9 143.7C458.4 143.2 456.1 142.2 454.2 140.6L319.1 36.27L185.8 140.6C183.9 142.2 181.6 143.2 179.1 143.7L57.72 167.1C42.77 170.1 32 184.1 32 199.4V448C32 465.7 46.33 480 64 480H256V384C256 348.7 284.7 319.1 320 319.1H326.6C323.7 330.3 321.7 341 320.7 352H320C302.3 352 288 366.3 288 384V480H360.2C370.3 492.1 381.9 502.9 394.8 512H64C28.65 512 0 483.3 0 448V199.4C0 168.8 21.53 142.6 51.45 136.6L169.2 113.1L310.2 3.37zM159.1 192C177.7 192 191.1 206.3 191.1 224V256C191.1 273.7 177.7 288 159.1 288H127.1C110.3 288 95.1 273.7 95.1 256V224C95.1 206.3 110.3 192 127.1 192H159.1zM127.1 256H159.1V224H127.1V256zM95.1 352C95.1 334.3 110.3 320 127.1 320H159.1C177.7 320 191.1 334.3 191.1 352V416C191.1 433.7 177.7 448 159.1 448H127.1C110.3 448 95.1 433.7 95.1 416V352zM159.1 352H127.1V416H159.1V352zM319.1 248C328.8 248 336 255.2 336 264C336 272.8 328.8 280 319.1 280C266.1 280 223.1 237 223.1 184C223.1 130.1 266.1 88 319.1 88C373 88 416 130.1 416 184C416 192.8 408.8 200 400 200C391.2 200 384 192.8 384 184C384 148.7 355.3 120 319.1 120C284.7 120 255.1 148.7 255.1 184C255.1 219.3 284.7 248 319.1 248zM319.1 144C328.8 144 336 151.2 336 160V176H344C352.8 176 360 183.2 360 192C360 200.8 352.8 208 344 208H319.1C311.2 208 303.1 200.8 303.1 192V160C303.1 151.2 311.2 144 319.1 144zM555.3 404.7C561.6 410.9 561.6 421.1 555.3 427.3C549.1 433.6 538.9 433.6 532.7 427.3L496 390.6L459.3 427.3C453.1 433.6 442.9 433.6 436.7 427.3C430.4 421.1 430.4 410.9 436.7 404.7L473.4 368L436.7 331.3C430.4 325.1 430.4 314.9 436.7 308.7C442.9 302.4 453.1 302.4 459.3 308.7L496 345.4L532.7 308.7C538.9 302.4 549.1 302.4 555.3 308.7C561.6 314.9 561.6 325.1 555.3 331.3L518.6 368L555.3 404.7zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 256C434.1 256 384 306.1 384 368C384 429.9 434.1 480 496 480C557.9 480 608 429.9 608 368C608 306.1 557.9 256 496 256z"],
    "school-flag": [576, 512, [], "e56e", "M352 240C352 275.3 323.3 304 288 304C252.7 304 224 275.3 224 240C224 204.7 252.7 176 288 176C323.3 176 352 204.7 352 240zM288 272C305.7 272 320 257.7 320 240C320 222.3 305.7 208 288 208C270.3 208 256 222.3 256 240C256 257.7 270.3 272 288 272zM64 256C64 238.3 78.33 224 96 224H128C145.7 224 160 238.3 160 256V288C160 305.7 145.7 320 128 320H96C78.33 320 64 305.7 64 288V256zM128 256H96V288H128V256zM480 224C497.7 224 512 238.3 512 256V288C512 305.7 497.7 320 480 320H448C430.3 320 416 305.7 416 288V256C416 238.3 430.3 224 448 224H480zM448 288H480V256H448V288zM64 384C64 366.3 78.33 352 96 352H128C145.7 352 160 366.3 160 384V416C160 433.7 145.7 448 128 448H96C78.33 448 64 433.7 64 416V384zM128 384H96V416H128V384zM480 352C497.7 352 512 366.3 512 384V416C512 433.7 497.7 448 480 448H448C430.3 448 416 433.7 416 416V384C416 366.3 430.3 352 448 352H480zM448 416H480V384H448V416zM272 16C272 7.164 279.2 0 288 0H400C408.8 0 416 7.164 416 16V80C416 88.84 408.8 96 400 96H315.5L405.1 160H512C547.3 160 576 188.7 576 224V448C576 483.3 547.3 512 512 512H64C28.65 512 0 483.3 0 448V224C0 188.7 28.65 160 64 160H170.9L272 87.77V16zM384 64V32H304V64H384zM320 416C320 398.3 305.7 384 288 384C270.3 384 256 398.3 256 416V480H320V416zM512 480C529.7 480 544 465.7 544 448V224C544 206.3 529.7 192 512 192H400C396.7 192 393.4 190.1 390.7 189L288 115.7L185.3 189C182.6 190.1 179.3 192 176 192H64C46.33 192 32 206.3 32 224V448C32 465.7 46.33 480 64 480H224V416C224 380.7 252.7 352 288 352C323.3 352 352 380.7 352 416V480H512z"],
    "school-lock": [640, 512, [], "e56f", "M470.8 113.1L588.6 136.6C618.5 142.6 640 168.8 640 199.4V272C640 241.2 627.5 213.2 607.4 192.1C604.8 180.6 595.1 170.5 582.3 167.1L460.9 143.7C458.4 143.2 456.1 142.2 454.2 140.6L319.1 36.27L185.8 140.6C183.9 142.2 181.6 143.2 179.1 143.7L57.72 167.1C42.77 170.1 32 184.1 32 199.4V448C32 465.7 46.33 480 64 480H256V384C256 348.7 284.7 319.1 320 319.1C355.3 319.1 384 348.7 384 384V480C384 491.7 387.1 502.6 392.6 512H64C28.65 512 0 483.3 0 448V199.4C0 168.8 21.53 142.6 51.45 136.6L169.2 113.1L310.2 3.37C315.1-1.123 324-1.123 329.8 3.37L470.8 113.1zM352 480V384C352 366.3 337.7 352 319.1 352C302.3 352 287.1 366.3 287.1 384V480H352zM95.1 224C95.1 206.3 110.3 192 127.1 192H159.1C177.7 192 191.1 206.3 191.1 224V256C191.1 273.7 177.7 288 159.1 288H127.1C110.3 288 95.1 273.7 95.1 256V224zM159.1 224H127.1V256H159.1V224zM95.1 352C95.1 334.3 110.3 320 127.1 320H159.1C177.7 320 191.1 334.3 191.1 352V416C191.1 433.7 177.7 448 159.1 448H127.1C110.3 448 95.1 433.7 95.1 416V352zM159.1 352H127.1V416H159.1V352zM336 176H344C352.8 176 360 183.2 360 192C360 200.8 352.8 208 344 208H319.1C311.2 208 303.1 200.8 303.1 192V160C303.1 151.2 311.2 144 319.1 144C328.8 144 336 151.2 336 160V176zM223.1 192C223.1 138.1 266.1 96 319.1 96C373 96 416 138.1 416 192C416 245 373 288 319.1 288C266.1 288 223.1 245 223.1 192zM319.1 256C355.3 256 384 227.3 384 192C384 156.7 355.3 128 319.1 128C284.7 128 255.1 156.7 255.1 192C255.1 227.3 284.7 256 319.1 256zM528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320V272C448 227.8 483.8 192 528 192zM528 224C501.5 224 480 245.5 480 272V320H576V272C576 245.5 554.5 224 528 224zM608 352H448V480H608V352z"],
    "scissors": [512, 512, [9986, 9988, 9984, "cut"], "f0c4", "M485.6 444.2L333.6 314.9C326.9 309.2 326.1 299.1 331.8 292.4C337.5 285.6 347.6 284.8 354.4 290.5L506.4 419.8C513.1 425.5 513.9 435.6 508.2 442.4C502.5 449.1 492.4 449.9 485.6 444.2zM485.7 67.76C492.5 62.07 502.5 62.94 508.2 69.69C513.9 76.45 513.1 86.55 506.3 92.24L208.5 343.1C218.3 359.7 224 379.2 224 400C224 461.9 173.9 512 112 512C50.14 512 0 461.9 0 400C0 338.1 50.14 288 112 288C141.5 288 168.4 299.4 188.4 318.1L262.2 256L188.4 193.9C168.4 212.6 141.5 224 112 224C50.14 224 0 173.9 0 112C0 50.14 50.14 0 112 0C173.9 0 224 50.14 224 112C224 132.8 218.3 152.3 208.5 168.9L287 235.1L485.7 67.76zM32 112C32 156.2 67.82 192 112 192C156.2 192 192 156.2 192 112C192 67.82 156.2 32 112 32C67.82 32 32 67.82 32 112zM112 480C156.2 480 192 444.2 192 400C192 355.8 156.2 320 112 320C67.82 320 32 355.8 32 400C32 444.2 67.82 480 112 480z"],
    "screen-users": [640, 512, ["users-class"], "f63d", "M116 416h-40C34.13 416 0 451.9 0 496C0 504.8 7.25 512 16 512S32 504.8 32 496C32 469.5 51.75 448 76 448h40C140.3 448 160 469.5 160 496C160 504.8 167.3 512 176 512S192 504.8 192 496C192 451.9 157.9 416 116 416zM564 416h-40C482.1 416 448 451.9 448 496c0 8.75 7.25 16 16 16s16-7.25 16-16c0-26.5 19.75-48 44-48h40C588.3 448 608 469.5 608 496c0 8.75 7.25 16 16 16s16-7.25 16-16C640 451.9 605.9 416 564 416zM340 416h-40C258.1 416 224 451.9 224 496C224 504.8 231.3 512 240 512S256 504.8 256 496C256 469.5 275.8 448 300 448h40C364.3 448 384 469.5 384 496c0 8.75 7.25 16 16 16s16-7.25 16-16C416 451.9 381.9 416 340 416zM256.2 320c0 35.35 28.44 63.98 63.79 63.98S383.8 355.3 383.8 320S355.3 256 320 256S256.2 284.7 256.2 320zM352 320c0 17.64-14.36 32-32 32s-32-14.36-32-32s14.36-32 32-32S352 302.4 352 320zM544 256c-35.35 0-63.79 28.64-63.79 63.98S508.7 383.1 544 383.1S607.8 355.3 607.8 320S579.3 256 544 256zM544 352c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S561.6 352 544 352zM96 383.1c35.35 0 63.79-28.64 63.79-63.98S131.3 256 96 256S32.21 284.7 32.21 320S60.65 383.1 96 383.1zM96 288c17.64 0 32 14.36 32 32s-14.36 32-32 32s-32-14.36-32-32S78.36 288 96 288zM48 240C56.84 240 64 232.8 64 224V48C64 39.17 71.19 32 80 32h480C568.8 32 576 39.17 576 48V224c0 8.844 7.156 16 16 16S608 232.8 608 224V48c0-26.47-21.53-47.1-48-47.1h-480C53.53 .0001 32 21.53 32 48V224C32 232.8 39.16 240 48 240z"],
    "screencast": [576, 512, [], "e23e", "M15.98 320.2C7.148 320.2 0 327.4 0 336.2s7.148 15.98 15.98 15.98c61.68 0 111.9 50.18 111.9 111.8C127.9 472.9 135 480 143.8 480s15.98-7.148 15.98-15.98C159.8 384.7 95.3 320.2 15.98 320.2zM32.59 415.5c-17.65 0-31.96 14.31-31.96 31.96c0 17.64 14.31 31.95 31.96 31.95s31.96-14.31 31.96-31.95C64.55 429.8 50.24 415.5 32.59 415.5zM16.61 223.7c-8.834 0-15.98 7.145-15.98 15.98c0 8.828 7.148 15.98 15.98 15.98c114.6 0 207.8 93.18 207.8 207.7c0 8.828 7.148 15.98 15.98 15.98c8.836 0 15.98-7.148 15.98-15.98C256.3 331.2 148.8 223.7 16.61 223.7zM509.1 32H67.55C30.65 32 .625 62.46 .625 99.91v59.91c0 8.832 7.148 15.98 15.98 15.98s15.98-7.145 15.98-15.98V99.91c0-19.82 15.67-35.95 34.96-35.95h441.5c19.29 0 34.96 16.13 34.96 35.95v311.6c0 19.82-15.67 35.95-34.96 35.95H320.3c-8.834 0-15.98 7.145-15.98 15.98c0 8.828 7.148 15.98 15.98 15.98h188.8C545.1 479.4 576 448.9 576 411.5V99.91C576 62.46 545.1 32 509.1 32z"],
    "screwdriver": [512, 512, [129691], "f54a", "M415.1 192l95.1-128l-63.1-64l-128 96l-.0208 73.38l-98.5 98.5C209.2 260 195.2 256 181.2 256c-19.12 0-38.25 7.25-52.87 21.88l-117.4 117.7c-14.62 14.5-14.62 38.17 0 52.79l52.75 52.75C71.03 508.5 80.59 512 90.22 512c9.5 0 18.98-3.542 26.23-10.92l117.6-117.5c25.25-25.25 28.63-64.25 10-93.13L342.6 192H415.1zM351.1 112l93-69.75l24.75 24.75L399.1 160h-48V112zM211.3 360.9l-117.4 117.5c-1 1-2.375 1.5-3.75 1.5c-1 0-2.5-.25-3.75-1.5L33.59 425.5c-2-2.125-2-5.375 0-7.5l117.5-117.4c8-8.125 18.75-12.5 30.12-12.5c11.37 0 22.13 4.375 30.13 12.5C227.1 317.2 227.1 344.2 211.3 360.9z"],
    "screwdriver-wrench": [512, 512, ["tools"], "f7d9", "M225.1 378.1c-5.346-9.277-17.67-11.48-25.24-3.91l-91.57 91.55c-15.01 15-38.9 18.79-56.54 6.984c-23.71-15.88-26.04-48.76-6.967-67.97l134.8-134.8c6.242-6.238 6.229-16.36-.0313-22.59C173.3 241.2 163.2 241.2 156.1 247.4l-134.7 134.7c-29.62 29.62-29.62 77.86 0 107.5c16.64 16.78 39.93 24.7 63.89 21.57c17.43-2.273 33.27-11.36 45.7-23.79l90.54-90.52c4.883-4.883 6.32-12.52 2.857-18.49C225.2 378.3 225.1 378.2 225.1 378.1zM259.8 88.66c4.697-7.82 10.35-15.14 16.98-21.8c22.75-22.62 52.62-34.87 83.87-34.87c6.875 0 13.75 .625 20.62 1.75l-69.25 69.48l13.75 82.98l83.12 13.75l69.37-69.23c6.625 38.12-5.373 76.73-33.12 104.5c-4.432 4.434-9.207 8.426-14.23 12c-7.775 5.527-8.24 16.98-1.475 23.7c5.625 5.594 14.65 6.258 21.07 1.602c6.045-4.383 11.82-9.293 17.26-14.81c37.75-37.74 52.62-91.35 39.62-143.2c-2.25-9.492-9.625-16.99-19.12-19.62s-19.62 0-26.62 7l-63.87 63.86L353.5 158.3l-7.373-44.12l63.87-63.98c6.873-6.871 9.623-16.99 6.998-26.49c-2.623-9.496-10.25-16.74-19.75-19.12c-51.62-12.88-105.2 1.875-143.1 39.61c-8.27 8.348-15.16 17.61-20.98 27.39c-3.791 6.367-3.049 14.45 2.191 19.68C242.5 98.44 254.6 97.3 259.8 88.66zM63.1 431.9c0 8.746 7.25 15.1 16 15.1s15.1-7.25 15.1-15.1s-7.248-15.1-15.1-15.1S63.1 423.1 63.1 431.9zM502.6 389.4l-124.4-124.5c-15.62-15.62-36.12-23.37-56.62-23.37c-15.38 0-30.88 4.371-44.12 13.25L191.1 169.3l.002-73.35l-127.1-95.99L0 63.1l96 127.1l73.37-.0289l85.5 85.48c-20.62 31.12-17.12 73.23 10.25 100.7l124.5 124.5C395.7 508.8 403.1 512 412.2 512c8.123 0 16.37-3.125 22.5-9.375l67.1-67.98C515.1 422.1 515.1 401.9 502.6 389.4zM159.1 159.1h-47.1L42.25 66.98L66.1 42.24l92.1 69.73V159.1zM412.1 479.9l-124.4-124.5c-9.123-9.125-14.12-21.12-14.12-33.87c0-12.88 5-24.87 14.12-33.87c9-9.125 21-14.12 33.88-14.12c12.75 0 24.88 4.996 33.87 14.12l124.5 124.3L412.1 479.9z"],
    "scribble": [512, 512, [], "e23f", "M196.6 19.5C210.2 6.96 228 0 246.5 0H247.4C287.5 0 320 32.49 320 72.57C320 91.82 312.4 110.3 298.7 123.9L75.88 346.7C68.27 354.4 64 364.7 64 375.4C64 397.8 82.16 416 104.6 416C115.3 416 125.6 411.7 133.3 404.1L388.1 149.3C401.7 135.6 420.2 128 439.4 128C479.5 128 512 160.5 512 200.6C512 219.8 504.4 238.3 490.7 251.9L370.5 372.1C358.7 383.1 352 400.1 352 416.9C352 451.7 380.2 480 414.1 480C423.7 480 432.3 477.1 440.1 474.1L488.8 449.7C496.7 445.7 506.4 448.9 510.3 456.8C514.3 464.7 511.1 474.4 503.2 478.3L454.4 502.7C442.2 508.8 428.7 512 414.1 512C362.5 512 320 469.3 320 416.9C320 391.6 330 367.4 347.9 349.5L468.1 229.3C475.7 221.6 480 211.3 480 200.6C480 178.2 461.8 160 439.4 160C428.7 160 418.4 164.3 410.7 171.9L155.9 426.7C142.3 440.4 123.8 448 104.6 448C64.49 448 32 415.5 32 375.4C32 356.2 39.65 337.7 53.26 324.1L276.1 101.3C283.7 93.65 288 83.33 288 72.57C288 50.16 269.8 32 247.4 32H246.5C236.1 32 225.1 35.93 218.3 43.01L26.85 219.8C20.36 225.8 10.24 225.3 4.243 218.9C-1.75 212.4-1.346 202.2 5.148 196.2L196.6 19.5z"],
    "scroll": [576, 512, [128220], "f70e", "M544 320h-64V144C480 82.25 429.8 32 368 32h-288C35.88 32 0 67.88 0 112V192c0 17.62 14.38 32 32 32h96v160c0 51.13 40.25 92.63 90.63 95.5l248 .5C527 480 576 431 576 370.6V352C576 334.4 561.6 320 544 320zM128 192H32V112C32 85.5 53.5 64 80 64S128 85.5 128 112V192zM288 384c0 35.25-28.75 64-64 64s-64-28.75-64-64V112C160 94 153.1 77.38 144 64h224C412.1 64 448 99.88 448 144V320h-128c-17.62 0-32 14.38-32 32V384zM544 370.6C544 413.3 509.3 448 466.6 448H295C310.4 431 320 408.6 320 384v-32h224V370.6z"],
    "scroll-old": [576, 512, [], "f70f", "M544 320h-63.1L480 144C480 82.25 429.8 32 368 32h-288C35.88 32 0 67.88 0 112V192c0 17.62 14.38 32 32 32h96l.001 160c0 51.13 40.25 92.63 90.62 95.5l248 .5C527 480 576 431 576 370.6V352C576 334.4 561.6 320 544 320zM128 192H32V112C32 85.5 53.5 64 80 64S128 85.5 128 112L128 192zM288 384c0 35.25-28.75 64-64 64s-64-28.75-64-64V256h48C216.8 256 224 248.8 224 240S216.8 224 208 224H160L160 112C160 94 153.1 77.38 144 64h224c38.64 0 70.95 27.52 78.38 64H400C391.2 128 384 135.2 384 144S391.2 160 400 160h48L448 224h-48C391.2 224 384 231.2 384 240S391.2 256 400 256h48L448 320h-128c-17.62 0-31.1 14.38-31.1 32L288 384zM544 370.6C544 413.3 509.3 448 466.6 448H295C310.4 431 320 408.6 320 384v-32h48v16c0 8.844 7.158 16 16 16S400 376.8 400 368V352H544V370.6z"],
    "scroll-torah": [640, 512, ["torah"], "f6a0", "M210.6 256L177.2 311.9c-4.5 7.5-4.625 16.75-.25 24.25c4.25 7.625 12.25 12.25 20.1 12.38h68l33.5 55.75C303.8 411.6 311.5 416 320 416s16.38-4.5 20.75-11.88l33.37-55.63h68c8.625 0 16.75-4.75 21.12-12.25C467.5 328.8 467.4 319.5 462.9 312L429.4 256l33.38-55.88c4.5-7.5 4.625-16.75 .375-24.25c-4.375-7.625-12.37-12.25-21-12.38h-68.13L340.5 107.8C336.2 100.4 328.5 96 320 96S303.6 100.5 299.2 107.9L265.9 163.5H197.9c-8.75 0-16.75 4.75-21.12 12.25C172.5 183.2 172.6 192.5 177.1 199.9L210.6 256zM206.5 319.5l21-35.25L248.6 319.5H206.5zM320 382.4L299.8 348.5h40.62L320 382.4zM433.5 319.5h-42.13l21.12-35.25L433.5 319.5zM433.5 192.5l-21 35.25l-21.12-35.25H433.5zM320 129.8l20.25 33.75H299.6L320 129.8zM282.4 192.5h75.25L395.6 256l-38 63.5H282.4L244.4 256L282.4 192.5zM248.6 192.5l-21 35.25L206.5 192.5H248.6zM576 0c-28.38 0-51.63 13.25-60.25 32H124.2C115.6 13.25 92.38 0 64 0C28.12 0 0 21.12 0 48v416C0 490.9 28.12 512 64 512c28.38 0 51.62-13.25 60.25-32h391.5C524.4 498.8 547.6 512 576 512c35.88 0 64-21.12 64-48v-416C640 21.12 611.9 0 576 0zM96 64v400C96 470.4 83.25 480 64 480s-32-9.625-32-16v-416C32 41.62 44.75 32 64 32s32 9.625 32 16V64zM512 448H128V64h384V448zM608 464c0 6.375-12.75 16-32 16s-32-9.625-32-16v-416C544 41.62 556.8 32 576 32s32 9.625 32 16V464z"],
    "scrubber": [512, 512, [], "f2f8", "M256 160C202.1 160 160 202.1 160 256s42.98 96 96 96s96-42.98 96-96S309 160 256 160zM256 320c-35.29 0-64-28.71-64-64c0-35.29 28.71-64 64-64s64 28.71 64 64C320 291.3 291.3 320 256 320zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480z"],
    "scythe": [640, 512, [], "f710", "M639.7 19.12l-96 480C542.2 506.8 535.5 512 528 512c-1.031 0-2.094-.0938-3.156-.3125c-8.656-1.719-14.28-10.16-12.55-18.81L543.7 336H400c-8.844 0-16.02-7.156-16.02-16S391.2 304 400 304h150.1l54.4-271.1L337.4 32C222.2 32 113.3 86.53 46.28 176h465.7c8.844 0 16 7.156 16 16s-7.156 16-16 16H16c-5.812 0-11.16-3.156-13.98-8.219c-2.828-5.094-2.672-11.28 .3906-16.22C72.72 70.34 201.1 0 337.4 0c0 0 251.1 .0625 286.6 0c4.797 0 9.344 2.156 12.38 5.844C639.4 9.562 640.6 14.44 639.7 19.12z"],
    "sd-card": [384, 512, [], "f7c2", "M240 64C231.2 64 224 71.16 224 80v64C224 152.8 231.2 160 240 160S256 152.8 256 144v-64C256 71.16 248.8 64 240 64zM176 64C167.2 64 160 71.16 160 80v64C160 152.8 167.2 160 176 160S192 152.8 192 144v-64C192 71.16 184.8 64 176 64zM304 64C295.2 64 288 71.16 288 80v64C288 152.8 295.2 160 304 160S320 152.8 320 144v-64C320 71.16 312.8 64 304 64zM320 0H154.5C137.5 0 121.3 6.742 109.3 18.74L18.75 109.3C6.742 121.3 0 137.5 0 154.5V448c0 35.2 28.8 64 64 64h256c35.2 0 64-28.8 64-64V64C384 28.8 355.2 0 320 0zM352 448c0 17.6-14.4 32-32 32H64c-17.6 0-32-14.4-32-32V154.5c0-8.486 3.371-16.62 9.373-22.63l90.5-90.5C137.9 35.37 146 32 154.5 32H320c17.6 0 32 14.4 32 32V448z"],
    "sd-cards": [448, 512, [], "e240", "M240 64C231.2 64 224 71.16 224 80v64C224 152.8 231.2 160 240 160S256 152.8 256 144v-64C256 71.16 248.8 64 240 64zM304 64C295.2 64 288 71.16 288 80v64C288 152.8 295.2 160 304 160S320 152.8 320 144v-64C320 71.16 312.8 64 304 64zM368 64C359.2 64 352 71.16 352 80v64C352 152.8 359.2 160 368 160S384 152.8 384 144v-64C384 71.16 376.8 64 368 64zM336 480H96c-35.35 0-64-28.65-64-64V112C32 103.2 24.84 96 16 96S0 103.2 0 112V416c0 53.02 42.98 96 96 96h240c8.836 0 16-7.164 16-16S344.8 480 336 480zM384 0h-149.5C217.5 0 201.3 6.742 189.3 18.74L98.75 109.3C86.74 121.3 80 137.5 80 154.5V368c0 35.2 28.8 64 64 64H384c35.2 0 64-28.8 64-64V64C448 28.8 419.2 0 384 0zM416 368c0 17.6-14.4 32-32 32H144c-17.6 0-32-14.4-32-32V154.5c0-8.486 3.371-16.62 9.373-22.63l90.5-90.5C217.9 35.37 226 32 234.5 32H384c17.6 0 32 14.4 32 32V368z"],
    "seal": [512, 512, [], "e241", "M199.1 86.63C193.1 92.63 184.1 96 176.5 96H112C103.2 96 96 103.2 96 112V176.5C96 184.1 92.63 193.1 86.63 199.1L41.04 244.7C34.79 250.9 34.79 261.1 41.04 267.3L18.41 289.9C-.3328 271.2-.3328 240.8 18.41 222.1L64 176.5V112C64 85.49 85.49 64 112 64H176.5L222.1 18.41C240.8-.3309 271.2-.3309 289.9 18.41L335.5 64H400C426.5 64 448 85.49 448 112V176.5L493.6 222.1C512.3 240.8 512.3 271.2 493.6 289.9L448 335.5V400C448 426.5 426.5 448 400 448H335.5L289.9 493.6C271.2 512.3 240.8 512.3 222.1 493.6L176.5 448H112C85.49 448 64 426.5 64 400V335.5L18.41 289.9L41.04 267.3L86.63 312.9C92.63 318.9 96 327 96 335.5V400C96 408.8 103.2 416 112 416H176.5C184.1 416 193.1 419.4 199.1 425.4L244.7 470.1C250.9 477.2 261.1 477.2 267.3 470.1L312.9 425.4C318.9 419.4 327 416 335.5 416H400C408.8 416 416 408.8 416 400V335.5C416 327 419.4 318.9 425.4 312.9L470.1 267.3C477.2 261.1 477.2 250.9 470.1 244.7L425.4 199.1C419.4 193.1 416 184.1 416 176.5V112C416 103.2 408.8 96 400 96H335.5C327 96 318.9 92.63 312.9 86.63L267.3 41.04C261.1 34.79 250.9 34.79 244.7 41.04L199.1 86.63z"],
    "seal-exclamation": [512, 512, [], "e242", "M240 144C240 135.2 247.2 128 256 128C264.8 128 272 135.2 272 144V272C272 280.8 264.8 288 256 288C247.2 288 240 280.8 240 272V144zM280 352C280 365.3 269.3 376 256 376C242.7 376 232 365.3 232 352C232 338.7 242.7 328 256 328C269.3 328 280 338.7 280 352zM64 176V112C64 85.49 85.49 64 112 64H175.1L222.1 17.94C240.8-.8035 271.2-.8035 289.9 17.94L336 64H400C426.5 64 448 85.49 448 112V176L493.6 221.6C512.3 240.3 512.3 270.7 493.6 289.5L448 335.1V400C448 426.5 426.5 448 400 448H335.1L289.9 493.1C271.2 511.9 240.8 511.9 222.1 493.1L176.9 448H112C85.49 448 64 426.5 64 400V335.1L18.41 289.5C-.3328 270.7-.3328 240.3 18.41 221.6L64 176zM112 96C103.2 96 96 103.2 96 112V176C96 184.5 92.63 192.6 86.63 198.6L41.04 244.2C34.79 250.5 34.79 260.6 41.04 266.8L86.63 312.4C92.63 318.4 96 326.6 96 335.1V400C96 408.8 103.2 416 112 416H176.9C185.4 416 193.6 419.4 199.6 425.4L244.7 470.5C250.9 476.7 261.1 476.7 267.3 470.5L312.4 425.4C318.4 419.4 326.6 416 335.1 416H400C408.8 416 416 408.8 416 400V335.1C416 326.6 419.4 318.4 425.4 312.4L470.1 266.8C477.2 260.6 477.2 250.5 470.1 244.2L425.4 198.6C419.4 192.6 416 184.5 416 176V112C416 103.2 408.8 96 400 96H336C327.5 96 319.4 92.63 313.4 86.63L267.3 40.57C261.1 34.32 250.9 34.32 244.7 40.57L198.6 86.63C192.6 92.63 184.5 96 175.1 96L112 96zM18.41 289.5L41.04 266.8z"],
    "seal-question": [512, 512, [], "e243", "M168.7 169.8C175.2 145.2 197.4 128 222.9 128H280C315.5 128 344 157 344 192.3C344 216.3 330.6 238.5 309.1 249.4L272 268.3V288C272 296.8 264.8 304 256 304C247.2 304 240 296.8 240 288V258.5C240 252.5 243.4 247 248.7 244.3L294.5 220.9C305.2 215.5 312 204.3 312 192.3C312 174.5 297.6 160 280 160H222.9C211.1 160 202.4 167.4 199.7 177.9L199.5 178.6C197.2 187.1 188.5 192.3 179.9 190C171.4 187.8 166.3 179 168.5 170.5L168.7 169.8zM280 352C280 365.3 269.3 376 256 376C242.7 376 232 365.3 232 352C232 338.7 242.7 328 256 328C269.3 328 280 338.7 280 352zM64 176V112C64 85.49 85.49 64 112 64H175.1L222.1 17.94C240.8-.8035 271.2-.8035 289.9 17.94L336 64H400C426.5 64 448 85.49 448 112V176L493.6 221.6C512.3 240.3 512.3 270.7 493.6 289.5L448 335.1V400C448 426.5 426.5 448 400 448H335.1L289.9 493.1C271.2 511.9 240.8 511.9 222.1 493.1L176.9 448H112C85.49 448 64 426.5 64 400V335.1L18.41 289.5C-.3328 270.7-.3328 240.3 18.41 221.6L64 176zM112 96C103.2 96 96 103.2 96 112V176C96 184.5 92.63 192.6 86.63 198.6L41.04 244.2C34.79 250.5 34.79 260.6 41.04 266.8L86.63 312.4C92.63 318.4 96 326.6 96 335.1V400C96 408.8 103.2 416 112 416H176.9C185.4 416 193.6 419.4 199.6 425.4L244.7 470.5C250.9 476.7 261.1 476.7 267.3 470.5L312.4 425.4C318.4 419.4 326.6 416 335.1 416H400C408.8 416 416 408.8 416 400V335.1C416 326.6 419.4 318.4 425.4 312.4L470.1 266.8C477.2 260.6 477.2 250.5 470.1 244.2L425.4 198.6C419.4 192.6 416 184.5 416 176V112C416 103.2 408.8 96 400 96H336C327.5 96 319.4 92.63 313.4 86.63L267.3 40.57C261.1 34.32 250.9 34.32 244.7 40.57L198.6 86.63C192.6 92.63 184.5 96 175.1 96L112 96zM18.41 289.5L41.04 266.8z"],
    "seat-airline": [448, 512, [], "e244", "M32 142.3C32 151.6 34.05 160.8 38 169.3L48.59 192H336C344.8 192 352 199.2 352 208C352 216.8 344.8 224 336 224H63.52L85.92 272H432C437.2 272 442.1 274.5 445.1 278.8C448.1 283 448.8 288.5 447.1 293.4L418.4 373.5C409.3 398.1 385.2 416 358.2 416H256V480H368C376.8 480 384 487.2 384 496C384 504.8 376.8 512 368 512H112C103.2 512 96 504.8 96 496C96 487.2 103.2 480 112 480H224V416H168.8C137.7 416 109.4 397.1 96.26 369.8L9.006 182.8C3.074 170.1 0 156.3 0 142.3V16C0 7.164 7.164 0 16 0C24.84 0 32 7.164 32 16V142.3zM358.2 384C371.7 384 383.8 375.5 388.3 362.8L409.3 304H100.9L125.3 356.3C133.1 373.2 150.1 384 168.8 384H358.2z"],
    "section": [256, 512, [], "e447", "M203.9 342.6c26.96-13.03 45.32-33.93 50.33-61.94c14.18-79.47-61.36-100.4-122.1-117.2L117.5 159.3C54.32 141.3 25.61 125.2 33.2 82.77c8.498-47.73 70.29-55.67 120.1-48.07c14.15 2.154 30.9 6.561 52.71 13.87c8.436 2.967 17.43-1.688 20.24-10.06c2.812-8.371-1.686-17.43-10.06-20.24c-23.59-7.934-42.05-12.78-58.11-15.18c-85.13-13.06-146.9 16.12-157.2 74.06c-8.779 49.07 17.62 75.9 49.7 92.27C24.62 182.4 6.692 203.5 1.706 231.4c-14.03 78.47 61.77 100.1 107 112.9l14.9 4.186c67.07 18.59 107.8 32.43 99.13 80.78c-8.498 47.73-70.51 55.76-121 48.04c-21.93-3.186-47.24-12.03-69.54-19.84l-10.96-3.811c-8.436-2.875-17.46 1.561-20.34 9.902c-2.875 8.371 1.561 17.46 9.902 20.34l10.84 3.779c23.65 8.277 50.49 17.65 75.38 21.27C110.5 511 123.3 512 135.5 512c64.89 0 110-28.33 118.8-77.13C262.9 386.5 238.2 359.9 203.9 342.6zM33.2 236.1C38.09 209.6 63.02 192.5 100.1 187.8c2.662 .7715 22.68 6.42 22.68 6.42c67.07 18.59 107.8 32.42 99.13 80.78c-4.875 27.23-29.56 44.65-67.27 49.23c-7.863-2.344-38.02-10.72-38.02-10.72C55.66 295.9 25.64 279.3 33.2 236.1z"],
    "seedling": [512, 512, [127793, "sprout"], "f4d8", "M80 96h-64C7.156 96 0 103.2 0 112C0 226.7 93.31 320 208 320H256v144c0 8.836 7.164 16 16 16s16-7.164 16-16v-160C288 189.3 194.7 96 80 96zM208 288C116.3 288 40.83 217.6 32.72 128H80c91.66 0 167.2 70.41 175.3 160H208zM496 32h-64c-66.75 0-129.9 32.41-168.1 86.66C257.9 125.8 259.5 135.8 266.7 141c7.141 5.125 17.16 3.5 22.33-3.656C322.1 91.41 375.5 64 432 64h47.27c-7.734 83.78-75.48 152.4-160.6 159.4c-8.812 .7187-15.36 8.438-14.64 17.25c.7031 8.375 7.688 14.69 15.94 14.69c.4375 0 .8906-.0313 1.328-.0625C428.2 246.5 512 155.4 512 48C512 39.16 504.8 32 496 32z"],
    "semicolon": [192, 512, [], "3b", "M96 192c35.35 0 64-28.65 64-64c0-35.35-28.65-64-64-64s-63.1 28.65-63.1 64C32 163.3 60.66 192 96 192zM95.1 96c17.64 0 32 14.36 32 32s-14.36 32-32 32C78.36 160 64 145.6 64 128S78.36 96 95.1 96zM97.35 287.1c-9.961 0-19.9 2.39-28.8 7.545c-15.66 9.051-26.41 24.44-29.45 42.25l-22.57 131.7c-2.986 17.32 6.9 34.29 23.49 40.31C44.12 511.3 48.34 511.1 52.51 511.1c12.68 0 24.82-6.602 31.51-18.03l67.69-115.4c9.119-15.58 10.81-34.25 4.652-51.21C147.6 303.1 122.4 287.1 97.35 287.1zM124.1 362.4l-67.71 115.4c-.793 1.355-2.105 1.979-4.18 1.979c-.3984 0-.8262-.0234-1.283-.0684c-2.014-.7305-3.221-2.746-2.861-4.822l22.57-131.7c1.434-8.383 6.508-15.65 13.96-19.96c3.699-2.145 7.988-3.23 12.75-3.23c12.71 0 25.14 7.856 28.92 18.31C129.2 346.3 128.4 355.1 124.1 362.4z"],
    "send-back": [640, 512, [], "f87e", "M152 64C174.1 64 192 81.91 192 104V152C192 174.1 174.1 192 152 192H104C81.91 192 64 174.1 64 152V104C64 81.91 81.91 64 104 64H152zM152 96H104C99.58 96 96 99.58 96 104V152C96 156.4 99.58 160 104 160H152C156.4 160 160 156.4 160 152V104C160 99.58 156.4 96 152 96zM192 0C227.3 0 256 28.65 256 64V192C256 227.3 227.3 256 192 256H64C28.65 256 0 227.3 0 192V64C0 28.65 28.65 0 64 0H192zM192 32H64C46.33 32 32 46.33 32 64V192C32 209.7 46.33 224 64 224H192C209.7 224 224 209.7 224 192V64C224 46.33 209.7 32 192 32zM448 360C448 337.9 465.9 320 488 320H536C558.1 320 576 337.9 576 360V408C576 430.1 558.1 448 536 448H488C465.9 448 448 430.1 448 408V360zM480 360V408C480 412.4 483.6 416 488 416H536C540.4 416 544 412.4 544 408V360C544 355.6 540.4 352 536 352H488C483.6 352 480 355.6 480 360zM576 256C611.3 256 640 284.7 640 320V448C640 483.3 611.3 512 576 512H448C412.7 512 384 483.3 384 448V320C384 284.7 412.7 256 448 256H576zM576 288H448C430.3 288 416 302.3 416 320V448C416 465.7 430.3 480 448 480H576C593.7 480 608 465.7 608 448V320C608 302.3 593.7 288 576 288zM192 304V352C192 369.7 206.3 384 224 384H336C344.8 384 352 391.2 352 400C352 408.8 344.8 416 336 416H224C188.7 416 160 387.3 160 352V304C160 295.2 167.2 288 176 288C184.8 288 192 295.2 192 304zM416 96C451.3 96 480 124.7 480 160V208C480 216.8 472.8 224 464 224C455.2 224 448 216.8 448 208V160C448 142.3 433.7 128 416 128H304C295.2 128 288 120.8 288 112C288 103.2 295.2 96 304 96H416z"],
    "send-backward": [512, 512, [], "f87f", "M288 32H64C46.33 32 32 46.33 32 64V288C32 305.7 46.33 320 64 320H112C120.8 320 128 327.2 128 336C128 344.8 120.8 352 112 352H64C28.65 352 0 323.3 0 288V64C0 28.65 28.65 0 64 0H288C323.3 0 352 28.65 352 64V112C352 120.8 344.8 128 336 128C327.2 128 320 120.8 320 112V64C320 46.33 305.7 32 288 32zM256 112C256 103.2 248.8 96 240 96H112C103.2 96 96 103.2 96 112V240C96 248.8 103.2 256 112 256C120.8 256 128 263.2 128 272C128 280.8 120.8 288 112 288H96C78.33 288 64 273.7 64 256V96C64 78.33 78.33 64 96 64H256C273.7 64 288 78.33 288 96V112C288 120.8 280.8 128 272 128C263.2 128 256 120.8 256 112zM160 224C160 188.7 188.7 160 224 160H448C483.3 160 512 188.7 512 224V448C512 483.3 483.3 512 448 512H224C188.7 512 160 483.3 160 448V224zM192 224V448C192 465.7 206.3 480 224 480H448C465.7 480 480 465.7 480 448V224C480 206.3 465.7 192 448 192H224C206.3 192 192 206.3 192 224z"],
    "sensor": [448, 512, [], "e028", "M128 272C128 280.8 120.8 288 112 288C103.2 288 96 280.8 96 272V144C96 135.2 103.2 128 112 128C120.8 128 128 135.2 128 144V272zM192 272C192 280.8 184.8 288 176 288C167.2 288 160 280.8 160 272V144C160 135.2 167.2 128 176 128C184.8 128 192 135.2 192 144V272zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM32 96V416C32 433.7 46.33 448 64 448H384C401.7 448 416 433.7 416 416V96C416 78.33 401.7 64 384 64H64C46.33 64 32 78.33 32 96z"],
    "sensor-cloud": [640, 512, ["sensor-smoke"], "e02c", "M32 96V416C32 433.7 46.33 448 64 448H226.4C228.7 459.3 232.6 470.1 237.8 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V233.3C437.9 229.2 427.2 226.4 416 224.1V96C416 78.33 401.7 64 384 64H64C46.33 64 32 78.33 32 96zM128 272C128 280.8 120.8 288 112 288C103.2 288 96 280.8 96 272V144C96 135.2 103.2 128 112 128C120.8 128 128 135.2 128 144V272zM192 272C192 280.8 184.8 288 176 288C167.2 288 160 280.8 160 272V144C160 135.2 167.2 128 176 128C184.8 128 192 135.2 192 144V272zM473.1 290.8C485 283.1 498.1 280 512 280C548.3 280 578.3 306.8 583.3 341.7C616.4 354.3 640 386.4 640 424C640 472.6 600.6 512 552 512H344C295.4 512 256 472.6 256 424C256 389.7 275.6 360 304.2 345.5C307.6 295.5 349.2 256 400 256C429.8 256 456.4 269.6 473.1 290.8V290.8zM336.1 355.3C336.4 362.3 332.1 368.8 325.4 371.2C303.6 378.8 288 399.6 288 424C288 454.9 313.1 480 344 480H552C582.9 480 608 454.9 608 424C608 397.4 589.4 375 564.4 369.4C556.1 367.7 551.7 360.9 551.1 353.3C551.1 352.9 552 352.4 552 352C552 329.9 534.1 312 512 312C500.3 312 489.8 317 482.4 325.1C478.9 328.9 473.8 330.8 468.6 330.2C463.5 329.5 458.9 326.4 456.5 321.9C445.7 301.7 424.4 287.1 400 287.1C364.7 287.1 336 316.7 336 352C336 353.1 336 354.2 336.1 355.3L336.1 355.3z"],
    "sensor-fire": [640, 512, [], "e02a", "M32 96V416C32 433.7 46.33 448 64 448H314.4C321 459.4 328.8 470.2 337.6 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V128.2C436.9 127.2 425.4 130.1 416 136.1V96C416 78.33 401.7 64 384 64H64C46.33 64 32 78.33 32 96V96zM128 272C128 280.8 120.8 288 112 288C103.2 288 96 280.8 96 272V144C96 135.2 103.2 128 112 128C120.8 128 128 135.2 128 144V272zM192 272C192 280.8 184.8 288 176 288C167.2 288 160 280.8 160 272V144C160 135.2 167.2 128 176 128C184.8 128 192 135.2 192 144V272zM445.1 255.9C449.9 255.9 454.5 258.1 457.5 261.9C459.6 264.4 475.1 284.3 490.1 303.4L507.6 325.6L530.9 298.4C534 294.8 538.7 292.7 543.5 292.9C548.4 293 552.9 295.4 555.8 299.3C559.7 304.4 562.2 309.5 564.1 313.4L564.2 313.5C585.5 352.8 576.5 403.9 539.2 429.1L538.9 430.2C521.3 441.9 502.3 447.8 480.1 447.8C455.1 447.8 430.8 439.5 412.8 423C394.7 406.4 384 382.5 384 353.8C384 338.2 389 324.1 397.4 309.7C405.6 295.6 417.7 280.2 432.6 261.8C435.6 258 440.2 255.8 445.1 255.9L445.1 255.9zM539.8 337.1L519.1 361.3C516 364.9 511.4 366.1 506.6 366.8C501.9 366.7 497.4 364.5 494.4 360.7L444.9 297.6C436.3 308.6 429.8 317.7 425.1 325.8C418.5 337.1 416 345.6 416 353.9C416 374.2 423.3 389.3 434.4 399.4C445.7 409.7 461.9 415.9 481 415.9C495.7 415.9 508.6 411.9 520.1 403.6C541.1 389.4 548.8 361.8 539.8 337.1H539.8zM487.5 196.1C494.9 204.9 502.1 212.1 509 221.3C515.5 213.3 522.6 204.6 530.3 196.9C531.1 195.1 533.7 193.4 535.5 191.8C541.1 186.7 549.9 186.7 555.5 191.9C580.2 214.6 601.1 244.5 615.8 273C630.4 301.1 640 329.8 640 349.9C640 437.8 568.7 511.9 480 511.9C390.3 511.9 319.1 437.7 319.1 349.9C319.1 323.5 332.7 291.3 352.4 259.4C372.4 227 400.5 193.3 433.8 163.6C439.4 158.6 447.1 158.6 453.5 163.6C465.3 174.2 476.7 185.3 487.5 196.1V196.1zM509.4 253.3C499.8 253.4 490.6 249.2 484.4 241.8C471.6 226.3 457.1 211.8 443.6 198.1C417.6 223.1 395.6 250.3 379.6 276.2C361 306.3 352 332.4 352 349.9C352 420.8 408.7 479.9 480 479.9C550.4 479.9 608 420.7 608 349.9C608 337.5 601.2 314.4 587.4 287.7C576.5 266.6 562.1 245.1 545.6 227.3C541.8 231.6 537.1 236.4 534.1 241.3C528.1 248.8 519 253.2 509.4 253.3V253.3zM507 350.9L494.4 360.7z"],
    "sensor-on": [640, 512, [], "e02b", "M112 128C120.8 128 128 135.2 128 144V272C128 280.8 120.8 288 112 288C103.2 288 96 280.8 96 272V144C96 135.2 103.2 128 112 128zM176 128C184.8 128 192 135.2 192 144V272C192 280.8 184.8 288 176 288C167.2 288 160 280.8 160 272V144C160 135.2 167.2 128 176 128zM384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM384 64H64C46.33 64 32 78.33 32 96V416C32 433.7 46.33 448 64 448H384C401.7 448 416 433.7 416 416V96C416 78.33 401.7 64 384 64zM520.2 141.7C512.7 146.3 502.8 143.8 498.3 136.2C493.7 128.7 496.2 118.8 503.8 114.3L583.8 66.28C591.3 61.73 601.2 64.19 605.7 71.77C610.3 79.35 607.8 89.17 600.2 93.72L520.2 141.7zM624 240C632.8 240 640 247.2 640 256C640 264.8 632.8 272 624 272H528C519.2 272 512 264.8 512 256C512 247.2 519.2 240 528 240H624zM600.2 418.3C607.8 422.8 610.3 432.7 605.7 440.2C601.2 447.8 591.3 450.3 583.8 445.7L503.8 397.7C496.2 393.2 493.7 383.3 498.3 375.8C502.8 368.2 512.7 365.7 520.2 370.3L600.2 418.3z"],
    "sensor-triangle-exclamation": [640, 512, ["sensor-alert"], "e029", "M32 96V416C32 433.7 46.33 448 64 448H226.6C224.9 454.4 224 461 224 467.7C224 471.9 224.3 475.1 224.1 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V128C436.7 128 425.8 130.6 416 135.4V96C416 78.33 401.7 64 384 64H64C46.33 64 32 78.33 32 96zM128 272C128 280.8 120.8 288 112 288C103.2 288 96 280.8 96 272V144C96 135.2 103.2 128 112 128C120.8 128 128 135.2 128 144V272zM192 272C192 280.8 184.8 288 176 288C167.2 288 160 280.8 160 272V144C160 135.2 167.2 128 176 128C184.8 128 192 135.2 192 144V272zM463.1 368C463.1 376.8 456.8 384 447.1 384C439.2 384 431.1 376.8 431.1 368V304C431.1 295.2 439.2 288 447.1 288C456.8 288 463.1 295.2 463.1 304V368zM424 424C424 410.7 434.7 400 448 400C461.3 400 472 410.7 472 424C472 437.3 461.3 448 448 448C434.7 448 424 437.3 424 424zM634.2 445.8C638 452.5 640 460 640 467.7C640 492.2 620.2 512 595.7 512H300.3C275.8 512 256 492.2 256 467.7C256 460 257.1 452.5 261.8 445.8L412.2 180.9C419.5 167.1 433.2 160 448 160C462.8 160 476.5 167.1 483.8 180.9L634.2 445.8zM439.1 196.7L289.6 461.6C288.6 463.5 288 465.6 288 467.7C288 474.5 293.5 480 300.3 480H595.7C602.5 480 608 474.5 608 467.7C608 465.6 607.4 463.5 606.4 461.6L456 196.7C454.4 193.8 451.3 191.1 448 191.1C444.7 191.1 441.6 193.8 439.1 196.7V196.7z"],
    "server": [512, 512, [], "f233", "M448 32H64C28.65 32 0 60.65 0 96v64c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V96C512 60.65 483.3 32 448 32zM480 160c0 17.64-14.36 32-32 32H64C46.36 192 32 177.6 32 160V96c0-17.64 14.36-32 32-32h384c17.64 0 32 14.36 32 32V160zM416 104c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24c13.26 0 24-10.75 24-24C440 114.7 429.3 104 416 104zM320 104c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24c13.26 0 24-10.75 24-24C344 114.7 333.3 104 320 104zM448 288H64c-35.35 0-64 28.65-64 64v64c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64v-64C512 316.7 483.3 288 448 288zM480 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32v-64c0-17.64 14.36-32 32-32h384c17.64 0 32 14.36 32 32V416zM416 360c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24c13.26 0 24-10.75 24-24C440 370.7 429.3 360 416 360zM320 360c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24c13.26 0 24-10.75 24-24C344 370.7 333.3 360 320 360z"],
    "shapes": [512, 512, ["triangle-circle-square"], "f61f", "M411.8 207.8C406.2 217.8 395.5 223.1 384 223.1H192C180.5 223.1 169.8 217.8 164.2 207.8C158.5 197.7 158.6 185.4 164.6 175.5L260.6 15.54C266.3 5.897 276.8 0 288 0C299.2 0 309.7 5.898 315.4 15.54L411.4 175.5C417.4 185.4 417.5 197.7 411.8 207.8V207.8zM288 31.1L192 191.1H384L288 31.1zM472 271.1C494.1 271.1 512 289.9 512 311.1V456C512 478.1 494.1 496 472 496H328C305.9 496 288 478.1 288 456V311.1C288 289.9 305.9 271.1 328 271.1H472zM472 303.1H328C323.6 303.1 320 307.6 320 311.1V456C320 460.4 323.6 464 328 464H472C476.4 464 480 460.4 480 456V311.1C480 307.6 476.4 303.1 472 303.1zM256 384C256 454.7 198.7 512 128 512C57.31 512 0 454.7 0 384C0 313.3 57.31 255.1 128 255.1C198.7 255.1 256 313.3 256 384zM128 287.1C74.98 287.1 32 330.1 32 384C32 437 74.98 480 128 480C181 480 224 437 224 384C224 330.1 181 287.1 128 287.1z"],
    "share": [512, 512, ["arrow-turn-right", "mail-forward"], "f064", "M176 224h275.8l-158.1-131.7c-6.781-5.656-7.688-15.75-2.031-22.53c5.688-6.812 15.78-7.687 22.53-2.031l192 159.1C509.9 230.8 512 235.2 512 239.1c0 4.75-2.094 9.253-5.75 12.28l-192 159.1c-3 2.5-6.625 3.719-10.25 3.719c-4.562 0-9.125-1.969-12.28-5.75c-5.656-6.781-4.75-16.87 2.031-22.53l158.1-131.7H176c-79.41 0-144 64.59-144 143.1v31.1C32 440.8 24.84 448 16 448S0 440.8 0 432v-31.1C0 302.1 78.97 224 176 224z"],
    "share-all": [576, 512, [], "f367", "M0 400v31.1C0 440.8 7.156 448 16 448S32 440.8 32 432v-31.1c0-79.41 64.59-143.1 144-143.1h211.8l-158.1 131.7c-6.781 5.656-7.688 15.75-2.031 22.53C230.9 414 235.4 416 240 416c3.625 0 7.25-1.219 10.25-3.719l192-159.1C445.9 249.3 448 244.7 448 239.1c0-4.75-2.094-9.247-5.75-12.28l-192-159.1C243.5 62.07 233.4 62.95 227.7 69.76C222.1 76.54 222.1 86.63 229.8 92.29l158.1 131.7H176C78.97 224 0 302.1 0 400zM357.8 387.7c-6.781 5.656-7.688 15.75-2.031 22.53c3.156 3.781 7.719 5.75 12.28 5.75c3.625 0 7.25-1.219 10.25-3.719l192-159.1C573.9 249.3 576 244.7 576 239.1c0-4.75-2.094-9.247-5.75-12.28l-192-159.1c-6.781-5.656-16.88-4.781-22.53 2.031c-5.656 6.781-4.75 16.87 2.031 22.53L535 240L357.8 387.7z"],
    "share-from-square": [576, 512, [61509, "share-square"], "f14d", "M400 352c-8.836 0-16 7.164-16 16v79.1C384 465.7 369.7 480 352 480H64c-17.67 0-32-14.33-32-32V160c0-17.67 14.33-32 32-32h112C184.8 128 192 120.8 192 112S184.8 96 176 96H64C28.65 96 0 124.7 0 160v287.1c0 35.34 28.65 64 64 64L352 512c35.35 0 64-28.66 64-64v-80C416 359.2 408.8 352 400 352zM570.3 131.7l-160-127.1c-6.75-5.656-16.84-4.781-22.53 2.031c-5.656 6.781-4.75 16.88 2.031 22.53L515.8 128H368C270.1 128 192 206.1 192 304v32C192 344.8 199.2 352 208 352S224 344.8 224 336v-32C224 224.6 288.6 160 368 160h147.8l-126.1 99.72c-6.781 5.656-7.688 15.75-2.031 22.53C390.9 286 395.4 288 400 288c3.625 0 7.25-1.219 10.25-3.719l160-128C573.9 153.3 576 148.7 576 143.1S573.9 134.8 570.3 131.7z"],
    "share-nodes": [448, 512, ["share-alt"], "f1e0", "M448 112C448 156.2 412.2 192 368 192C345.1 192 324.4 182.4 309.9 166.1L158.9 242.5C159.6 246.9 160 251.4 160 256C160 260.6 159.6 265.1 158.9 269.5L309.9 345C324.4 329.6 345.1 320 368 320C412.2 320 448 355.8 448 400C448 444.2 412.2 480 368 480C323.8 480 288 444.2 288 400C288 390.3 289.7 380.1 292.9 372.3L147.2 299.5C132.9 321.5 108.2 336 80 336C35.82 336 0 300.2 0 256C0 211.8 35.82 176 80 176C108.2 176 132.9 190.5 147.2 212.5L292.9 139.7C289.7 131 288 121.7 288 112C288 67.82 323.8 32 368 32C412.2 32 448 67.82 448 112L448 112zM79.1 304C106.5 304 127.1 282.5 127.1 256C127.1 229.5 106.5 208 79.1 208C53.49 208 31.1 229.5 31.1 256C31.1 282.5 53.49 304 79.1 304zM368 64C341.5 64 320 85.49 320 112C320 138.5 341.5 160 368 160C394.5 160 416 138.5 416 112C416 85.49 394.5 64 368 64zM368 448C394.5 448 416 426.5 416 400C416 373.5 394.5 352 368 352C341.5 352 320 373.5 320 400C320 426.5 341.5 448 368 448z"],
    "sheep": [640, 512, [128017], "f711", "M432 160C432 151.2 439.2 144 448 144C456.8 144 464 151.2 464 160C464 168.8 456.8 176 448 176C439.2 176 432 168.8 432 160zM528 160C528 168.8 520.8 176 512 176C503.2 176 496 168.8 496 160C496 151.2 503.2 144 512 144C520.8 144 528 151.2 528 160zM372.5 105.8C385.4 63.09 425.1 32 472 32C516.4 32 554.2 59.78 569.2 98.89L616.9 130.7C624.2 135.6 626.2 145.5 621.3 152.9C616.4 160.2 606.5 162.2 599.1 157.3L576 141.9V208C576 261 533 304 480 304H464C410.1 304 368 261 368 208V147.2L352.9 157.3C345.5 162.2 335.6 160.2 330.7 152.9C325.8 145.5 327.8 135.6 335.1 130.7L372.5 105.8zM472 64C435.9 64 406 90.56 400.8 125.2L400.9 125.3L400.8 125.4C400.3 128.8 400 132.4 400 136V208C400 243.3 428.7 272 464 272H480C515.3 272 544 243.3 544 208V136C544 96.24 511.8 64 472 64zM416 344C425.9 344 434.8 339.5 440.7 332.4C450.7 334.7 461.2 336 472 336C473.1 336 474.2 335.1 475.4 335.1C466.7 357.5 446.6 373.2 422.6 375.7L397.6 475.6C392.2 497 373 512 351 512H336C309.5 512 287.1 490.5 287.1 464V423.4C278.6 428.9 267.7 432 255.1 432C244.3 432 233.4 428.9 223.1 423.4V464C223.1 490.5 202.5 512 175.1 512H160.1C138.1 512 119.8 497 114.4 475.6L89.42 375.7C57.17 372.4 32 345.1 32 312C32 306.7 32.66 301.5 33.89 296.5C13.72 285.7 0 264.5 0 240C0 215.5 13.72 194.3 33.89 183.5C32.66 178.5 32 173.3 32 168C32 132.7 60.65 104 96 104C99.34 104 102.6 104.3 105.8 104.8C112.7 76.77 137.9 56 168 56C183 56 196.9 61.19 207.8 69.88C219.5 56.47 236.8 48 256 48C275.2 48 292.5 56.47 304.2 69.88C315.1 61.19 328.1 56 344 56C349.7 56 355.2 56.74 360.5 58.14C354.1 67.33 348.7 77.35 344.7 88.01L344 88C336.4 88 329.6 90.58 324.1 94.93C310.7 105.6 291.4 103.8 280.1 90.95C274.2 84.19 265.6 80 255.1 80C246.4 80 237.8 84.19 231.9 90.95C220.6 103.8 201.3 105.6 187.9 94.93C182.4 90.58 175.6 88 167.1 88C152.1 88 140.3 98.35 136.9 112.3C132.1 128.5 117.4 138.9 100.1 136.4C99.36 136.1 97.7 136 95.1 136C78.33 136 63.1 150.3 63.1 168C63.1 170.7 64.33 173.3 64.94 175.8C68.49 190 61.9 204.8 48.97 211.7C38.8 217.2 31.1 227.8 31.1 240C31.1 252.2 38.8 262.8 48.97 268.3C61.9 275.2 68.49 289.1 64.94 304.2C64.33 306.7 63.1 309.3 63.1 312C63.1 329.7 78.33 344 95.1 344C97.7 344 99.36 343.9 100.1 343.6C117.4 341.1 132.1 351.5 136.9 367.7C140.3 381.6 152.1 392 167.1 392C175.6 392 182.4 389.4 187.9 385.1C201.3 374.4 220.6 376.2 231.9 389C237.8 395.8 246.4 400 256 400C265.6 400 274.2 395.8 280.1 389C291.4 376.2 310.7 374.4 324.1 385.1C329.6 389.4 336.4 392 344 392C359 392 371.7 381.6 375.1 367.7C379 351.5 394.6 341.1 411 343.6C412.6 343.9 414.3 344 416 344H416zM319.1 419.3V464C319.1 472.8 327.2 480 336 480H351C358.4 480 364.8 475 366.5 467.9L380.3 412.7C370 419.8 357.5 424 344 424C335.5 424 327.4 422.3 319.1 419.3H319.1zM131.7 412.7L145.5 467.9C147.2 475 153.6 480 160.1 480H175.1C184.8 480 191.1 472.8 191.1 464V419.3C184.6 422.3 176.5 424 167.1 424C154.5 424 141.1 419.8 131.7 412.7H131.7z"],
    "sheet-plastic": [384, 512, [], "e571", "M187.3 68.69C193.6 74.93 193.6 85.07 187.3 91.31L91.31 187.3C85.07 193.6 74.93 193.6 68.69 187.3C62.44 181.1 62.44 170.9 68.69 164.7L164.7 68.69C170.9 62.44 181.1 62.44 187.3 68.69V68.69zM123.3 283.3C117.1 289.6 106.9 289.6 100.7 283.3C94.44 277.1 94.44 266.9 100.7 260.7L260.7 100.7C266.9 94.44 277.1 94.44 283.3 100.7C289.6 106.9 289.6 117.1 283.3 123.3L123.3 283.3zM0 64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V348.1C384 360.8 378.9 373.1 369.9 382.1L254.1 497.9C245.1 506.9 232.8 512 220.1 512H64C28.65 512 0 483.3 0 448V64zM352 64C352 46.33 337.7 32 320 32H64C46.33 32 32 46.33 32 64V448C32 465.7 46.33 480 64 480H192V368C192 341.5 213.5 320 240 320H352V64zM351.5 352H240C231.2 352 224 359.2 224 368V479.5C226.8 478.8 229.4 477.4 231.4 475.3L347.3 359.4C349.4 357.4 350.8 354.8 351.5 352V352z"],
    "shekel-sign": [448, 512, [8362, "ils", "shekel", "sheqel", "sheqel-sign"], "f20b", "M192 32C253.9 32 304 82.14 304 144V336C304 344.8 296.8 352 288 352C279.2 352 272 344.8 272 336V144C272 99.82 236.2 64 192 64H80C71.16 64 64 71.16 64 80V464C64 472.8 56.84 480 48 480C39.16 480 32 472.8 32 464V80C32 53.49 53.49 32 80 32H192zM192 480C165.5 480 144 458.5 144 432V176C144 167.2 151.2 160 160 160C168.8 160 176 167.2 176 176V432C176 440.8 183.2 448 192 448H304C348.2 448 384 412.2 384 368V48C384 39.16 391.2 32 400 32C408.8 32 416 39.16 416 48V368C416 429.9 365.9 480 304 480H192z"],
    "shelves": [640, 512, ["inventory"], "f480", "M624 0C615.2 0 608 7.162 608 16V160H32V16C32 7.162 24.84 0 16 0S0 7.162 0 16v480C0 504.8 7.164 512 16 512S32 504.8 32 496V448h576v48c0 8.836 7.164 16 16 16s16-7.164 16-16v-480C640 7.162 632.8 0 624 0zM608 416H32V192h576V416zM384 128h64c17.67 0 32-14.33 32-32V32c0-17.67-14.33-32-32-32h-64c-17.67 0-32 14.33-32 32v64C352 113.7 366.3 128 384 128zM384 32h64v64h-64V32zM288 384h64c17.67 0 32-14.33 32-32V288c0-17.67-14.33-32-32-32H288C270.3 256 256 270.3 256 288v64C256 369.7 270.3 384 288 384zM288 288h64v64H288V288zM128 384h64c17.67 0 32-14.33 32-32V288c0-17.67-14.33-32-32-32H128C110.3 256 96 270.3 96 288v64C96 369.7 110.3 384 128 384zM128 288h64v64H128V288z"],
    "shelves-empty": [640, 512, [], "e246", "M624 0C615.2 0 608 7.162 608 16V160H32V16C32 7.162 24.84 0 16 0S0 7.162 0 16v480C0 504.8 7.164 512 16 512S32 504.8 32 496V448h576v48c0 8.836 7.164 16 16 16s16-7.164 16-16v-480C640 7.162 632.8 0 624 0zM608 416H32V192h576V416z"],
    "shield": [512, 512, [128737, "shield-blank"], "f132", "M231 7.838C247 1.065 265.1 1.066 281 7.84L457.7 82.79C479.7 92.12 496.2 113.8 496 139.1C495.5 239.2 454.7 420.7 282.4 503.2C265.7 511.1 246.3 511.1 229.6 503.2C57.26 420.7 16.49 239.2 16 139.1C15.87 113.8 32.32 92.12 54.3 82.79L231 7.838zM268.5 37.3C260.5 33.91 251.5 33.91 243.5 37.3L66.79 112.3C55.51 117 47.94 127.7 48 139.8C48.46 233.8 87.33 399.6 243.4 474.3C251.4 478.1 260.6 478.1 268.6 474.3C424.7 399.6 463.6 233.8 464 139.8C464.1 127.7 456.5 117 445.2 112.3L268.5 37.3z"],
    "shield-cat": [512, 512, [], "e572", "M231.1 272C231.1 280.8 224.8 288 215.1 288C207.2 288 199.1 280.8 199.1 272C199.1 263.2 207.2 256 215.1 256C224.8 256 231.1 263.2 231.1 272zM280 272C280 263.2 287.2 256 296 256C304.8 256 312 263.2 312 272C312 280.8 304.8 288 296 288C287.2 288 280 280.8 280 272zM230.6 192H281.4L340.7 132.7C345.3 128.1 352.1 126.7 358.1 129.2C364.1 131.7 368 137.5 368 144V272C368 333.9 317.9 384 255.1 384C194.1 384 143.1 333.9 143.1 272V144C143.1 137.5 147.9 131.7 153.9 129.2C159.9 126.7 166.7 128.1 171.3 132.7L230.6 192zM255.1 352C300.2 352 336 316.2 336 272V182.6L299.3 219.3C296.3 222.3 292.2 224 288 224H223.1C219.8 224 215.7 222.3 212.7 219.3L175.1 182.6V272C175.1 316.2 211.8 352 255.1 352zM476.5 90.53C487.7 95.27 495.2 105.1 495.9 118.1C501.6 213.6 466.7 421.9 272.5 507.7C267.6 510.5 261.1 512.1 256.3 512C250.5 512.1 244.9 510.5 239.1 507.7C45.8 421.9 10.95 213.6 16.57 118.1C17.28 105.1 24.83 95.27 36.04 90.53L240.4 4.066C245.2 1.386 250.7-.0507 256.3-.0068C261.9-.0507 267.3 1.386 272.1 4.066L476.5 90.53zM255.1 32.01C254.1 32.57 253.9 33.08 252.9 33.54L48.51 120C43.21 210.1 76.92 400.7 252.9 478.4C253.1 478.9 254.1 479.4 255.1 479.1C255.1 480 256 480 256 480L256.5 480L256.5 479.1C257.5 479.4 258.5 478.9 259.6 478.4C435.6 400.7 469.3 210.1 463.1 120L259.7 33.54C258.6 33.09 257.5 32.58 256.5 32.01L255.1 32.01z"],
    "shield-check": [512, 512, [], "f2f7", "M466.5 83.71l-192-80c-5.875-2.5-12.16-3.703-18.44-3.703S243.5 1.203 237.6 3.703L45.61 83.71C27.73 91.08 16 108.6 16 127.1C16 385.4 205.4 512 255.9 512C305.2 512 496 387.3 496 127.1C496 108.6 484.3 91.08 466.5 83.71zM463.9 128.3c0 225.3-166.2 351.7-207.8 351.7C213.3 479.1 48 352.2 48 128c0-6.5 3.875-12.25 9.75-14.75l192-80c1.973-.8275 4.109-1.266 6.258-1.266c2.071 0 4.154 .4072 6.117 1.266l192 80C463.3 117.1 463.9 125.8 463.9 128.3zM336 181.3c-4.094 0-8.188 1.562-11.31 4.688L229.3 281.4L187.3 239.4C184.2 236.2 180.1 234.7 176 234.7c-9.139 0-16 7.473-16 16c0 4.094 1.562 8.188 4.688 11.31l53.34 53.33C221.2 318.4 225.3 320 229.3 320s8.188-1.562 11.31-4.688l106.7-106.7C350.4 205.5 352 201.4 352 197.3C352 188.8 345.1 181.3 336 181.3z"],
    "shield-cross": [512, 512, [9960], "f712", "M466.5 83.71l-192-80C268.6 1.203 262.3 0 256.1 0S243.5 1.203 237.6 3.703L45.61 83.71C27.73 91.08 16 108.6 16 127.1C16 385.4 205.4 512 255.9 512C305.2 512 496 387.3 496 127.1C496 108.6 484.3 91.08 466.5 83.71zM463.9 128.3c0 225.3-166.2 351.7-207.8 351.7C213.3 479.1 48 352.2 48 128c0-6.5 3.875-12.25 9.75-14.75l192-80c1.973-.8275 4.109-1.266 6.258-1.266c2.071 0 4.154 .4072 6.117 1.266l192 80C463.3 117.1 463.9 125.8 463.9 128.3zM384 176h-112V96c0-8.844-7.156-16-16-16S240 87.16 240 96v80H128C119.2 176 112 183.2 112 192S119.2 208 128 208h112V416c0 8.844 7.156 16 16 16s16-7.156 16-16V208H384c8.844 0 16-7.156 16-16S392.8 176 384 176z"],
    "shield-dog": [512, 512, [], "e573", "M292.2 128C310.4 128 327 138.3 335.2 154.5L337.9 160H384C401.7 160 416 174.3 416 192V208C416 261 373 304 320 304H288V368C288 376.8 280.8 384 272 384C263.2 384 255.1 376.8 255.1 368V288C255.1 279.2 263.2 272 272 272H320C355.3 272 384 243.3 384 208V192H328C321.9 192 316.4 188.6 313.7 183.2L306.5 168.8C303.8 163.4 298.3 160 292.2 160H231.1V216C231.1 243.4 212.3 266.2 186.4 271L166.3 311.2C162.4 319.1 152.7 322.3 144.8 318.3C136.9 314.4 133.7 304.7 137.7 296.8L152.7 266.9C133.4 258.1 119.1 238.6 119.1 216V186.7C119.1 154.3 146.3 128 178.7 128L292.2 128zM175.7 239.1H176.3C189.4 239.9 199.1 229.2 199.1 216V160H178.7C174.9 160 171.3 160.8 167.1 162.2C158.6 166.3 151.1 175.7 151.1 186.7V216C151.1 229.2 162.6 239.9 175.7 239.1zM255.1 192C255.1 183.2 263.2 176 272 176C280.8 176 288 183.2 288 192C288 200.8 280.8 208 272 208C263.2 208 255.1 200.8 255.1 192zM476.5 90.53C487.7 95.27 495.2 105.1 495.9 118.1C501.6 213.6 466.7 421.9 272.5 507.7C267.6 510.5 261.1 512.1 256.3 512C250.5 512.1 244.9 510.5 239.1 507.7C45.8 421.9 10.95 213.6 16.57 118.1C17.28 105.1 24.83 95.27 36.04 90.53L240.4 4.066C245.2 1.386 250.7-.0507 256.3-.0068C261.9-.0507 267.3 1.386 272.1 4.066L476.5 90.53zM255.1 32.01C254.1 32.57 253.9 33.08 252.9 33.54L48.51 120C43.21 210.1 76.92 400.7 252.9 478.4C253.1 478.9 254.1 479.4 255.1 479.1C255.1 480 256 480 256 480L256.5 480L256.5 479.1C257.5 479.4 258.5 478.9 259.6 478.4C435.6 400.7 469.3 210.1 463.1 120L259.7 33.54C258.6 33.09 257.5 32.58 256.5 32.01L255.1 32.01z"],
    "shield-exclamation": [512, 512, [], "e247", "M466.5 83.69l-192-80.01C268.6 1.188 262.3 0 256.1 0S243.5 1.188 237.6 3.688l-192 80.01C27.72 91.07 16 108.6 16 127.1C16 385.4 205.4 512 255.1 512C305.2 512 496 387.3 496 127.1C496 108.6 484.3 91.07 466.5 83.69zM463.9 128.3c0 225.3-166.2 351.7-207.8 351.7C213.3 479.1 48 352.2 48 128c0-6.5 3.875-12.25 9.75-14.75l192-80c1.973-.8275 4.109-1.266 6.258-1.266c2.071 0 4.154 .4072 6.117 1.266l192 80C463.3 117.1 463.9 125.8 463.9 128.3zM256 288c8.844 0 16-7.156 16-16v-128C272 135.2 264.8 128 256 128S240 135.2 240 144v128C240 280.8 247.2 288 256 288zM256 328c-13.25 0-24 10.75-24 24s10.75 24 24 24c13.26 0 24-10.75 24-24S269.3 328 256 328z"],
    "shield-halved": [512, 512, ["shield-alt"], "f3ed", "M457.7 82.79C479.7 92.12 496.2 113.8 496 139.1C495.5 239.2 454.7 420.7 282.4 503.2C265.7 511.1 246.3 511.1 229.6 503.2C57.26 420.7 16.49 239.2 16 139.1C15.87 113.8 32.32 92.12 54.3 82.79L231 7.838C247 1.065 265.1 1.066 281 7.84L457.7 82.79zM240 38.8L66.79 112.3C55.51 117 47.94 127.7 48 139.8C48.46 233.2 86.76 397.1 240 472.6V38.8zM272 472.6C425.2 397.1 463.6 233.2 464 139.8C464.1 127.7 456.5 117 445.2 112.3L272 38.77V472.6z"],
    "shield-heart": [512, 512, [], "e574", "M244.2 363.4L147.8 263.6C119.8 234.7 121.5 186.6 153 159.5C180.2 135.8 221.4 140.2 245.9 166.5L256.4 176.1L266.1 166.5C291.5 140.2 331.8 135.8 358.1 159.5C390.5 186.6 392.2 234.7 364.2 263.6L266.1 363.4C260.8 369.5 251.2 369.5 244.2 363.4V363.4zM338.1 183.7L337.9 183.6C325.5 172.7 304.4 172.8 289.1 188.7L288.9 188.9L257.4 220.4L223.4 189.2L222.5 188.3C208.4 173.2 186.8 172.5 174.1 183.6L173.9 183.7C156.3 198.9 155.6 225.7 170.8 241.3L170.8 241.4L255.6 329.2L341.2 241.3C356.4 225.7 355.7 198.9 338.1 183.7V183.7zM476.5 90.53C487.7 95.27 495.2 105.1 495.9 118.1C501.6 213.6 466.7 421.9 272.5 507.7C267.6 510.5 261.1 512.1 256.3 512C250.5 512.1 244.9 510.5 239.1 507.7C45.8 421.9 10.95 213.6 16.57 118.1C17.28 105.1 24.83 95.27 36.04 90.53L240.4 4.066C245.2 1.386 250.7-.0507 256.3-.0068C261.9-.0507 267.3 1.386 272.1 4.066L476.5 90.53zM255.1 32.01C254.1 32.57 253.9 33.08 252.9 33.54L48.51 120C43.21 210.1 76.92 400.7 252.9 478.4C253.1 478.9 254.1 479.4 255.1 479.1C256 480 256 480 256 480L256.5 480L256.5 479.1C257.5 479.4 258.5 478.9 259.6 478.4C435.6 400.7 469.3 210.1 463.1 120L259.7 33.54C258.6 33.09 257.5 32.58 256.5 32.01L255.1 32.01z"],
    "shield-keyhole": [512, 512, [], "e248", "M466.5 83.69l-192-80.01C268.6 1.188 262.3 0 256.1 0S243.5 1.188 237.6 3.688l-192 80.01C27.72 91.07 16 108.6 16 127.1C16 385.4 205.4 512 255.1 512C305.2 512 496 387.3 496 127.1C496 108.6 484.3 91.07 466.5 83.69zM463.9 128.3c0 225.3-166.2 351.7-207.8 351.7C213.3 479.1 48 352.2 48 128c0-6.5 3.875-12.25 9.75-14.75l192-80c1.973-.8275 4.109-1.266 6.258-1.266c2.071 0 4.154 .4072 6.117 1.266l192 80C463.3 117.1 463.9 125.8 463.9 128.3zM256 152c-30.88 0-56 25.12-56 56c0 25.28 16.95 46.45 40 53.39V336c0 8.844 7.156 16 16 16s16-7.156 16-16V261.4C295 254.5 312 233.3 312 208C312 177.1 286.9 152 256 152zM256 232c-13.22 0-24-10.78-24-24S242.8 184 256 184s24 10.78 24 24S269.2 232 256 232z"],
    "shield-minus": [512, 512, [], "e249", "M466.5 83.69l-192-80.01C268.6 1.188 262.3 0 256.1 0S243.5 1.188 237.6 3.688l-192 80.01C27.72 91.07 16 108.6 16 127.1C16 385.4 205.4 512 255.1 512C305.2 512 496 387.3 496 127.1C496 108.6 484.3 91.07 466.5 83.69zM463.9 128.3c0 225.3-166.2 351.7-207.8 351.7C213.3 479.1 48 352.2 48 128c0-6.5 3.875-12.25 9.75-14.75l192-80c1.973-.8275 4.109-1.266 6.258-1.266c2.071 0 4.154 .4072 6.117 1.266l192 80C463.3 117.1 463.9 125.8 463.9 128.3zM336 240H175.1C167.2 240 160 247.2 160 256s7.154 16 15.1 16h160C344.8 272 352 264.8 352 256S344.8 240 336 240z"],
    "shield-plus": [512, 512, [], "e24a", "M466.5 83.69l-192-80.01C268.6 1.188 262.3 0 256.1 0S243.5 1.188 237.6 3.688l-192 80.01C27.72 91.07 16 108.6 16 127.1C16 385.4 205.4 512 255.1 512C305.2 512 496 387.3 496 127.1C496 108.6 484.3 91.07 466.5 83.69zM463.9 128.3c0 225.3-166.2 351.7-207.8 351.7C213.3 479.1 48 352.2 48 128c0-6.5 3.875-12.25 9.75-14.75l192-80c1.973-.8275 4.109-1.266 6.258-1.266c2.071 0 4.154 .4072 6.117 1.266l192 80C463.3 117.1 463.9 125.8 463.9 128.3zM336 240H271.1v-64C271.1 167.2 264.8 160 256 160S240 167.2 240 176v64H175.1C167.2 240 160 247.2 160 256s7.154 16 15.1 16H240v64c0 8.836 7.154 16 15.1 16c8.838 0 15.1-7.16 15.1-16v-64h64C344.8 272 352 264.8 352 256S344.8 240 336 240z"],
    "shield-quartered": [576, 512, [], "e575", "M231 7.839C247 1.066 265.1 1.067 281 7.841L457.7 82.79C479.7 92.12 496.2 113.8 496 139.1C495.5 239.2 454.7 420.7 282.4 503.2C265.7 511.1 246.3 511.1 229.6 503.2C57.25 420.7 16.49 239.2 15.1 139.1C15.87 113.8 32.32 92.12 54.3 82.79L231 7.839zM47.1 139.8C48.1 159.8 49.93 183.1 54.27 208H239.1V38.8L66.79 112.3C55.51 117 47.94 127.7 47.1 139.8H47.1zM61.06 240C82.34 324.6 133.3 420.1 239.1 472.6V240H61.06zM271.1 240V472.6C378.7 420.1 429.7 324.6 450.1 240H271.1zM457.8 208C462.1 183.1 463.9 159.8 464 139.8C464.1 127.7 456.5 117 445.2 112.3L271.1 38.77V208H457.8z"],
    "shield-slash": [640, 512, [], "e24b", "M320.1 479.1c-15.26 0-180.5-76.91-205.2-304.4L80.74 148.7C90.77 393.6 271.8 512 319.9 512c38.83 0 106.8-61.5 122.6-77.74l-25.06-19.79C378.8 454.8 331.9 479.1 320.1 479.1zM313.8 33.25c1.973-.8275 4.109-1.266 6.258-1.266c2.071 0 4.154 .4072 6.117 1.266l192 80c9.141 3.809 9.75 12.59 9.75 15.06c0 66.65-14.98 127.5-38.84 179.6l26.75 21.12C542.3 274.3 560 207.6 560 127.1c0-19.38-11.75-36.91-29.5-44.28l-192-80C332.6 1.203 326.3 0 320.1 0S307.5 1.203 301.6 3.703L172.2 57.7l28.65 22.62L313.8 33.25zM639.1 496c0-4.731-2.085-9.418-6.077-12.58l-608-480c-2.932-2.305-6.422-3.42-9.889-3.42c-8.648 0-16.03 6.896-16.03 15.96c0 4.731 2.085 9.418 6.077 12.58l608 480C617 510.9 620.5 512 623.1 512C632.5 512 639.1 505.1 639.1 496z"],
    "shield-virus": [512, 512, [], "e06c", "M272 240C263.2 240 256 247.2 256 256s7.164 15.1 16 15.1s16-7.164 16-16C288 247.2 280.8 240 272 240zM384 223.1h-12.12c-19.29 0-32.06-15.78-32.06-32.23c0-7.862 2.918-15.88 9.436-22.4l8.576-8.577c3.125-3.125 4.688-7.218 4.688-11.31c0-8.527-6.865-15.1-16-15.1c-4.094 0-8.188 1.562-11.31 4.688L326.6 146.7c-6.52 6.516-14.53 9.436-22.4 9.436c-16.45 0-32.23-12.78-32.23-32.07V111.1c0-8.844-7.156-16-16-16s-16 7.156-16 16v12.12c0 19.29-15.78 32.07-32.23 32.07c-7.861 0-15.88-2.92-22.4-9.436L176.8 138.2C173.7 135 169.6 133.5 165.5 133.5c-9.139 0-16 7.473-16 15.1c0 4.094 1.562 8.187 4.688 11.31l8.576 8.577C169.3 175.9 172.2 183.9 172.2 191.8c0 16.45-12.77 32.23-32.06 32.23H128c-8.844 0-16 7.156-16 16s7.156 16 16 16h12.12c19.29 0 32.06 15.78 32.06 32.23c0 7.862-2.918 15.88-9.436 22.4L154.2 319.2c-3.125 3.125-4.688 7.218-4.688 11.31c0 8.527 6.865 15.1 16 15.1c4.094 0 8.188-1.562 11.31-4.688l8.576-8.576c6.515-6.511 14.53-9.436 22.39-9.436c6.793 0 32.23 5.156 32.23 32.06v12.12c0 8.844 7.156 16 16 16s16-7.156 16-16v-12.12c0-19.29 15.78-32.06 32.23-32.06c.0025 0-.0025 0 0 0c7.861 0 15.88 2.92 22.4 9.436l8.576 8.576c3.125 3.125 7.219 4.688 11.31 4.688c9.139 0 16-7.473 16-15.1c0-4.094-1.562-8.187-4.688-11.31l-8.576-8.576c-6.519-6.518-9.436-14.53-9.436-22.4c0-16.45 12.77-32.23 32.06-32.23h12.12c8.844 0 16-7.156 16-16S392.8 223.1 384 223.1zM307.8 288.1c0 1.288 .0391 2.574 .1168 3.856c-1.238-.0703-2.49-.1055-3.74-.1055c-.0052 0 .0052 0 0 0c-18.98 0-36.33 8.235-48.31 21.7c-11.78-13.3-28.1-21.7-48.14-21.7c-1.252 0-2.498 .0352-3.738 .1094c.0778-1.283 .1168-2.569 .1168-3.857c0-14.52-5.328-33.64-21.65-48.07c13.46-11.9 21.65-29.41 21.65-48.07c0-1.288-.0391-2.574-.1168-3.856c1.238 .0703 2.484 .1055 3.732 .1055c19.2 0 36.45-8.441 48.23-21.8c11.78 13.36 29.04 21.8 48.23 21.8c1.248 0 2.494-.0352 3.732-.1055c-.0778 1.282-.1168 2.568-.1168 3.856c0 17.77 7.52 35.57 21.65 48.07C316 251.9 307.8 269.4 307.8 288.1zM240 207.1c-8.836 0-16 7.164-16 16S231.2 240 240 240S256 232.8 256 224S248.8 207.1 240 207.1zM466.5 83.68l-192-80.01C269.6 1.641 261.4 0 256.1 0S242.5 1.641 237.6 3.672l-192 80.01c-17.89 7.391-29.59 24.89-29.59 44.3C16 385.2 205.2 512 255.9 512c52.02 0 240.1-128.2 240.1-384C496 108.6 484.3 91.07 466.5 83.68zM255.9 480C212.2 480 48 355.5 48 127.1c0-6.484 3.852-12.27 9.902-14.77l191.9-79.95c1.354-.5078 4.748-1.188 6.289-1.262c1.539 .0742 4.932 .7539 6.145 1.207l192 80.02C460.1 115.7 464 121.6 464 127.1C464 389.9 268.7 480 255.9 480z"],
    "shield-xmark": [512, 512, ["shield-times"], "e24c", "M466.5 83.69l-192-80.01C268.6 1.188 262.3 0 256.1 0S243.5 1.188 237.6 3.688l-192 80.01C27.72 91.07 16 108.6 16 127.1C16 385.4 205.4 512 255.1 512C305.2 512 496 387.3 496 127.1C496 108.6 484.3 91.07 466.5 83.69zM463.9 128.3c0 225.3-166.2 351.7-207.8 351.7C213.3 479.1 48 352.2 48 128c0-6.5 3.875-12.25 9.75-14.75l192-80c1.973-.8275 4.109-1.266 6.258-1.266c2.071 0 4.154 .4072 6.117 1.266l192 80C463.3 117.1 463.9 125.8 463.9 128.3zM336 192c0-8.527-6.865-16-16-16c-4.094 0-8.188 1.562-11.31 4.688L256 233.4L203.3 180.7C200.2 177.6 196.1 176 192 176C182.9 176 176 183.5 176 192c0 4.094 1.562 8.188 4.688 11.31L233.4 256L180.7 308.7C177.6 311.8 176 315.9 176 320c0 8.572 6.915 16 16 16c4.092 0 8.186-1.562 11.31-4.688L256 278.6l52.69 52.69C311.8 334.4 315.9 336 320 336C328.5 336 336 329.1 336 320c0-4.094-1.562-8.188-4.688-11.31L278.6 256l52.69-52.69C334.4 200.2 336 196.1 336 192z"],
    "ship": [576, 512, [128674], "f21a", "M336 0C362.5 0 384 21.49 384 48V64H432C458.5 64 480 85.49 480 112V237.3L513.3 248.1C548.1 259.3 558 303.8 531.4 328.8L442.9 411.7C436.5 417.7 426.4 417.4 420.3 410.9C414.3 404.5 414.6 394.4 421.1 388.3L509.5 305.4C518.4 297.1 515.1 282.3 503.5 278.5L304 213.1V384C304 392.8 296.8 400 287.1 400C279.2 400 271.1 392.8 271.1 384V213.1L72.53 278.5C60.94 282.3 57.62 297.1 66.51 305.4L154.9 388.3C161.4 394.4 161.7 404.5 155.7 410.9C149.6 417.4 139.5 417.7 133.1 411.7L44.63 328.8C17.96 303.8 27.9 259.3 62.68 248.1L95.1 237.3V112C95.1 85.49 117.5 64 143.1 64H191.1V48C191.1 21.49 213.5 0 239.1 0L336 0zM352 64V48C352 39.16 344.8 32 336 32H239.1C231.2 32 223.1 39.16 223.1 48V64H352zM143.1 96C135.2 96 127.1 103.2 127.1 112V226.9L273.2 179.1C282.8 176.9 293.2 176.9 302.8 179.1L448 226.9V112C448 103.2 440.8 96 432 96H143.1zM133.8 458.8C150.3 470 171.1 479.1 191.1 479.1C212.9 479.1 233.6 470 250.1 458.8C259.9 452.1 268.2 444.8 276.1 436.9C282.6 430.4 293.3 430.4 299.8 436.9C307.8 444.8 315.1 452.1 325.8 458.8C342.3 470 363.1 479.1 383.1 479.1C404.9 479.1 425.6 470 442.2 458.8C451.9 452.1 460.2 444.8 468.1 436.9C474.6 430.4 485.3 430.4 491.8 436.9C499.8 444.8 507.1 452.1 517.8 458.8C530.6 467.5 545.9 475.4 561.9 478.6C569.6 480.1 576 486.4 576 494.2C576 504 567.1 512.1 558.3 510.4C535.2 506.5 514.7 495.4 499.8 485.2C491.8 479.8 485.1 474.4 479.1 469.1C474.8 474.4 468.1 479.8 460.2 485.2C441.5 497.9 414.3 511.1 383.1 511.1C353.7 511.1 326.4 497.9 307.8 485.2C299.8 479.8 293.1 474.4 287.1 469.1C282.8 474.4 276.1 479.8 268.2 485.2C249.5 497.9 222.3 511.1 191.1 511.1C161.7 511.1 134.4 497.9 115.8 485.2C107.8 479.8 101.1 474.4 95.96 469.1C90.82 474.4 84.12 479.8 76.19 485.2C61.25 495.4 40.81 506.5 17.69 510.4C8.015 512.1 0 504 0 494.2C0 486.4 6.421 480.1 14.13 478.6C30.07 475.4 45.38 467.5 58.16 458.8C67.94 452.1 76.16 444.8 84.07 436.9C90.64 430.4 101.3 430.4 107.8 436.9C115.8 444.8 124.1 452.2 133.8 458.8H133.8z"],
    "shirt": [640, 512, [128085, "t-shirt", "tshirt"], "f553", "M639.7 157.6c-1.406-12.7-7.718-24.06-17.81-32.02L486.9 19C471.3 6.75 451.8 0 431.1 0H208c-19.84 0-39.34 6.75-54.87 19L18.11 125.6C8.013 133.5 1.701 144.9 .2948 157.6c-1.406 12.64 2.25 25.06 10.28 34.98l49.97 61.61c16.53 20.44 46.78 23.7 67.31 7.438l32.15-25.38V448c0 35.3 12.72 64 47.1 64h207.1c35.28 0 63.1-28.7 63.1-64V236.3l32.15 25.36c20.56 16.33 50.81 13.02 67.31-7.406l49.97-61.63C637.5 182.7 641.1 170.3 639.7 157.6zM381.7 32C374.6 59.53 349.7 80 320 80S265.4 59.53 258.3 32H381.7zM604.6 172.4l-49.97 61.64c-5.531 6.875-15.75 7.891-22.62 2.438l-83.97-66.25V448c0 17.64-14.34 32-31.1 32H208c-17.66 0-15.1-14.36-15.1-32V170.3L108 236.5c-6.937 5.5-17.09 4.359-22.62-2.469l-49.97-61.63C32.82 169.2 31.64 165.2 32.11 161.1c.4687-4.109 2.531-7.828 5.812-10.42l135-106.6C182.8 36.31 195.3 32 208 32h17.62C233.3 77.31 272.5 112 320 112s86.71-34.69 94.38-80h17.59c12.72 0 25.19 4.312 35.09 12.12l135 106.6c3.281 2.609 5.344 6.328 5.812 10.44C608.4 165.2 607.2 169.2 604.6 172.4z"],
    "shirt-long-sleeve": [640, 512, [], "e3c7", "M623.7 177.8l-71.03-126.8C535 19.53 501.7 0 465.7 0H174.3C138.3 0 104.1 19.53 87.34 50.97L16.31 177.8C5.656 196.8 0 218.4 0 240.3V368C0 394.5 21.53 416 48 416h32C106.5 416 128 394.5 128 368V257.5l32-50.41V464C160 490.5 181.5 512 208 512h224c26.47 0 48-21.53 48-48V206.7l32 50.06V368c0 26.47 21.53 48 48 48h32c26.47 0 48-21.53 48-48V240.3C640 218.4 634.3 196.8 623.7 177.8zM381.7 32C374.6 59.53 349.7 80 320 80S265.4 59.53 258.3 32H381.7zM608 368c0 8.828-7.188 16-16 16h-32c-8.812 0-16-7.172-16-16V252.1c0-3.047-.875-6.047-2.531-8.609l-64-100.1c-3.812-5.984-11.09-8.719-17.97-6.734C452.7 138.6 448 144.9 448 152v312c0 8.828-7.188 16-16 16h-224C199.2 480 192 472.8 192 464V152c0-7.109-4.688-13.38-11.53-15.36C179 136.2 177.5 136 176 136c-5.375 0-10.53 2.719-13.5 7.422l-64 100.8C96.88 246.8 96 249.8 96 252.8V368C96 376.8 88.81 384 80 384h-32C39.19 384 32 376.8 32 368V240.3c0-16.41 4.219-32.61 12.25-46.91L115.3 66.61C127.3 45.27 149.9 32 174.3 32h51.03C232.1 77.34 272.5 112 320 112s87.03-34.66 94.66-80h51.03c24.44 0 47.06 13.27 59.03 34.59l71.03 126.8c0 .0156 0 0 0 0C603.8 207.7 608 223.9 608 240.3V368z"],
    "shirt-running": [384, 512, [], "e3c8", "M336 112v-96C336 7.162 328.8 0 320 0s-16 7.162-16 16v32C304 109.9 253.9 160 192 160S80 109.9 80 48v-32C80 7.162 72.84 0 64 0S48 7.162 48 16v96C48 163.9 31.16 214.5 0 256v208C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V256C352.8 214.5 336 163.9 336 112zM32 266.3c26.3-38.26 42.51-83.15 46.83-129.3C105.2 170.5 146.1 192 192 192s86.78-21.54 113.2-55.05c1.59 16.99 5.311 33.64 10.03 50.02L32 389.2V266.3zM352 464c0 8.822-7.178 16-16 16h-288C39.18 480 32 472.8 32 464v-35.42l294.3-210.2C333.4 235.1 341.7 251.3 352 266.3V464z"],
    "shirt-tank-top": [384, 512, [], "e3c9", "M336 112v-96C336 7.162 328.8 0 320 0s-16 7.162-16 16v32C304 109.9 253.9 160 192 160S80 109.9 80 48v-32C80 7.162 72.84 0 64 0S48 7.162 48 16v96C48 163.9 31.16 214.5 0 256v208C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V256C352.8 214.5 336 163.9 336 112zM352 464c0 8.822-7.178 16-16 16h-288C39.18 480 32 472.8 32 464V266.3c26.3-38.26 42.51-83.15 46.83-129.3C105.2 170.5 146.1 192 192 192s86.78-21.54 113.2-55.05C309.5 183.1 325.7 228 352 266.3V464z"],
    "shish-kebab": [512, 512, [], "f821", "M483.9 27.26c-36.25-36.35-99.5-36.35-135.8 0C329.1 45.42 320 69.57 320 95.26c0 20.27 6.219 39.57 17.73 55.72l-21.2 21.25l-42.49-42.58c-24.56-24.49-64.29-24.49-88.86 0L142.8 172.2C130.2 184.8 123.5 202.2 124.5 220.1C106.7 219.1 89.32 225.7 76.78 238.4L34.42 280.1c-24.56 24.49-24.56 64.3 0 88.91l42.38 42.51l-72.11 72.24c-6.25 6.26-6.25 16.4 0 22.66C7.813 510.4 11.91 512 16 512s8.188-1.566 11.31-4.697l72.1-72.22l42.42 42.56c11.78 11.8 27.7 18.33 44.37 18.33s32.58-6.529 44.37-18.33l42.49-42.57c12.66-12.56 19.3-30.01 18.3-47.85c17.8 1.006 35.22-5.65 47.75-18.33l42.48-42.45C393.4 314.6 400 298.6 400 281.9c0-16.58-6.643-32.65-18.42-44.46l-42.41-42.5l31.59-31.64c3-3.006 4.688-7.074 4.688-11.33s-1.688-8.328-4.688-11.33C358.7 128.5 352 112.4 352 95.26c0-17.12 6.656-33.22 18.75-45.33c24.19-24.23 66.31-24.23 90.5 0C473.3 62.04 480 78.13 480 95.26c0 17.12-6.656 33.21-18.75 45.33c-6.25 6.262-6.25 16.4 0 22.67s16.38 6.262 22.62 0C502 145.1 512 120.9 512 95.26C512 69.57 502 45.42 483.9 27.26zM250.4 412.3l-42.48 42.57c-11.91 11.93-31.36 11.96-43.36 0c-26.95-26.87-80.73-80.73-107.5-107.8c-11.93-12.03-11.91-31.52 0-43.45l42.48-42.57c11.91-11.93 31.36-11.96 43.36 0C169.8 288 223.6 341.9 250.4 368.9C262.3 380.9 262.3 400.4 250.4 412.3zM358.8 303.7l-42.36 42.45c-12.03 12.06-31.46 12.06-43.36 0L165.5 238.4c-12.03-11.93-12.03-31.4 0-43.45l42.36-42.45c12.03-12.05 31.46-12.05 43.49 0l107.4 107.6C370.8 272.2 370.8 291.7 358.8 303.7z"],
    "shoe-prints": [640, 512, [], "f54b", "M337.5 272c-35 0-76.25 14-104.7 34.25C208 323.9 188.2 340.6 128 340.6H64c-35.38 0-64 30.62-64 68.5s28.62 70.86 64 70.86l64 .0051l57.5 14.89C217.4 504.2 250.1 512 293.2 512C403.9 512 512 456.9 512 374.9C512 306.2 427.9 272 337.5 272zM112 448H64c-17 0-32-18.12-32-38.88c0-20.12 14.38-36.5 32-36.5h48V448zM193.5 463.9L144 451.1V372c55.38-3 80.75-20.75 103.1-36.63C338.4 270.4 480 316.8 480 374.9C480 437 358.5 512.8 193.5 463.9zM421.2-.0006c-43.37 0-76.1 7.751-107.7 17.13L256 32H192c-35.38 0-64 32.1-64 70.87s28.62 68.5 64 68.5h64c60.25 0 80 16.75 104.8 34.38C389.2 226 430.5 240 465.5 240C555.9 240 640 205.8 640 137.1C640 55.88 533.1-.0006 421.2-.0006zM240 139.4H192c-17.62 0-32-16.38-32-36.5C160 82.12 175 64 192 64h48V139.4zM465.5 207.1c-27.62 0-62.25-11.37-86.25-28.37C355.5 162.8 330.5 143.1 272 140V60.88l50.63-13C352 39.12 381.8 32 421.2 32C473.4 32 608 58 608 137.1C608 183.6 536.3 207.1 465.5 207.1z"],
    "shop": [640, 512, ["store-alt"], "f54f", "M.0003 185.8C.0003 179.4 1.606 173.1 4.67 167.4L82.36 25.02C90.77 9.595 106.9 0 124.5 0H515.5C533.1 0 549.2 9.595 557.6 25.02L635.3 167.4C638.4 173.1 640 179.4 640 185.8C640 206.9 622.9 224 601.8 224H576V496C576 504.8 568.8 512 560 512C551.2 512 544 504.8 544 496V224H96V352H352V272C352 263.2 359.2 256 368 256C376.8 256 384 263.2 384 272V464C384 490.5 362.5 512 336 512H112C85.49 512 64 490.5 64 464V224H38.25C17.12 224 0 206.9 0 185.8H.0003zM601.8 192C605.2 192 608 189.2 608 185.8C608 184.7 607.7 183.7 607.2 182.8L529.6 40.34C526.7 35.2 521.4 32 515.5 32H124.5C118.6 32 113.3 35.2 110.4 40.34L32.76 182.8C32.26 183.7 32 184.7 32 185.8C32 189.2 34.8 192 38.25 192H601.8zM112 480H336C344.8 480 352 472.8 352 464V384H96V464C96 472.8 103.2 480 112 480V480z"],
    "shop-lock": [640, 512, [], "e4a5", "M.001 185.8C.001 179.4 1.607 173.1 4.671 167.4L82.36 25.02C90.77 9.595 106.9 0 124.5 0H515.5C533.1 0 549.2 9.595 557.6 25.02L635.3 167.4C638.4 173.1 640 179.4 640 185.8C640 198.1 634.1 209.1 625.1 216.1C619.7 206.8 613 198.3 605.3 190.9C606.9 189.8 608 187.9 608 185.8C608 184.7 607.7 183.7 607.2 182.8L529.6 40.34C526.7 35.2 521.4 32 515.5 32H124.5C118.6 32 113.3 35.2 110.4 40.34L32.76 182.8C32.26 183.7 32 184.7 32 185.8C32 189.2 34.8 191.1 38.25 191.1H449.6C440.2 201.2 432.5 212 426.8 223.1H96V352H352V271.1C352 263.2 359.2 255.1 368 255.1C376.8 255.1 384 263.2 384 271.1V351.6L384 352V464.3C383.8 490.7 362.4 512 336 512H112C85.49 512 64 490.5 64 464V223.1H38.25C17.12 223.1 0 206.9 0 185.8L.001 185.8zM112 480H336C344.8 480 352 472.8 352 464V384H96V464C96 472.8 103.2 480 112 480V480zM528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320V272C448 227.8 483.8 192 528 192zM528 224C501.5 224 480 245.5 480 272V320H576V272C576 245.5 554.5 224 528 224zM448 352V480H608V352H448z"],
    "shop-slash": [640, 512, ["store-alt-slash"], "e070", "M633.9 483.4C640.9 488.9 642 498.1 636.6 505.9C631.1 512.9 621 514 614.1 508.6L6.087 28.56C-.849 23.08-2.033 13.02 3.443 6.086C8.918-.8493 18.98-2.033 25.92 3.443L633.9 483.4zM0 185.8C0 179.4 1.606 173.1 4.67 167.4L34.73 112.3L60.21 132.4L32.76 182.8C32.26 183.7 32 184.7 32 185.8C32 189.2 34.8 192 38.25 192H135.6L176.2 224H96V352H338.3L384 388.1V464C384 490.5 362.5 512 336 512H112C85.49 512 64 490.5 64 464V224H38.25C17.12 224 0 206.9 0 185.8L0 185.8zM112 480H336C344.8 480 352 472.8 352 464V384H96V464C96 472.8 103.2 480 112 480V480zM139.6 32L104.5 4.35C110.7 1.53 117.5 .0006 124.5 .0006H515.5C533.1 .0006 549.2 9.595 557.6 25.02L635.3 167.4C638.4 173.1 640 179.4 640 185.8C640 206.9 622.9 224 601.8 224H576V376.6L544 351.3V224H382.8L342.2 192H601.8C605.2 192 608 189.2 608 185.8C608 184.7 607.7 183.7 607.2 182.8L529.6 40.34C526.7 35.2 521.4 32 515.5 32L139.6 32z"],
    "shovel": [512, 512, [], "f713", "M501.5 86.12l-75.63-75.62C418.9 3.5 409.7 0 400.6 0c-9.126 0-18.38 3.5-25.25 10.5l-29.25 29.12c-16.88 17-26.13 39.62-26.13 63c0 24.62 9.751 41.88 16 50.75L208.6 280.8l-56.5-56.64C145.9 217.9 137.6 214.7 129.5 214.7c-8.251 0-16.37 3.14-22.62 9.39L38.97 291.1c-50 50-45.25 181-22.63 203.7C26.22 505.5 56.75 512 92.13 512c45.75 0 99.61-10.73 127.9-38.98l67.88-67.89c12.5-12.5 12.5-32.75 0-45.25L231.2 303.4L358.6 176c8.876 6.25 26.25 16 50.75 16c23.38 0 46-9.25 63-26.12l29.13-29.25C515.5 122.8 515.5 100 501.5 86.12zM197.4 450.4c-36.63 36.75-134.4 32.75-158.1 22.25c-10.75-22.12-13.63-122 22.38-158L129.5 246.8l135.8 135.7L197.4 450.4zM478.9 114L449.7 143.2c-52.75 52.75-134.1-27.87-81-81l29.25-29.12c1.375-1.5 3.75-1.5 5.25 0l75.63 75.63C480.4 110.2 480.4 112.6 478.9 114z"],
    "shovel-snow": [512, 512, [], "f7c3", "M180.7 244.6l-80.01 80.04c-6.25 6.125-6.25 16.39 0 22.51c2.1 3.125 7.127 4.753 11.25 4.753s8.25-1.628 11.25-4.753l80.01-80.04c6.25-6.125 6.25-16.39 0-22.51C197.1 238.3 186.9 238.3 180.7 244.6zM164.7 411.2c2.1 3.125 7.125 4.753 11.25 4.753c4.125 0 8.251-1.628 11.25-4.753l80.01-80.04c6.25-6.125 6.25-16.39 0-22.51c-6.125-6.375-16.38-6.375-22.5 0l-80 80.04C158.4 394.8 158.4 405.1 164.7 411.2zM502.6 65.88l-56.5-56.5C439.8 3.125 431.6 0 423.4 0c-8.125 0-16.37 3.125-22.62 9.375l-16.1 17c-24.12 24.25-27.37 61.38-9.999 89.12l-106.1 106.3L220.5 174.7C210.8 164.9 197.1 160.1 185.2 160.1c-10.75 0-21.5 3.375-30.5 10.38L19.4 274.9C-4.347 293.2-6.722 328.4 14.65 349.7l147.6 147.6C172.1 507.2 184.9 512 197.6 512c14.75 0 29.62-6.626 39.5-19.38l104.5-135.3c15.37-19.88 13.62-48.13-4.25-65.75l-47.13-47.24l106.2-106.3c11.75 7.25 24.87 11.12 38.25 11.12c18.37 0 36.87-7 50.87-21.12l16.1-16.1C515.1 98.75 515.1 78.38 502.6 65.88zM314.8 314.2c6.375 6.375 6.1 16.5 1.5 23.5L211.8 473C208.4 477.4 203.3 480 197.6 480c-2.875 0-8.125-.75-12.75-5.25l-147.6-147.6c-4.1-5-5.375-10.88-5.125-13.88c.125-3 1.25-8.625 6.875-13L174.3 195.8c3.1-3 8.125-3.625 10.87-3.625c4.75 0 9.25 1.875 12.62 5.25L314.8 314.2zM463 105.5c-7.625 7.625-17.62 11.75-28.25 11.75c-10.75 0-20.75-4.25-28.37-11.75c-7.625-7.625-11.62-17.62-11.62-28.25c0-10.75 4.125-20.75 11.62-28.37l16.87-17l56.75 56.75L463 105.5z"],
    "shower": [512, 512, [128703], "f2cc", "M347.3 100.7c-6.25-6.25-16.38-6.25-22.62 0l-10.45 10.45l-18.33-18.33c-34.53-34.53-88.28-37.71-126.6-10.18L143.2 56.56C127.3 40.72 106.3 32 83.88 32C37.63 32 0 69.63 0 115.9V464C0 472.8 7.156 480 16 480S32 472.8 32 464V115.9C32 87.28 55.27 64 83.88 64c13.86 0 26.89 5.406 36.69 15.19l26.04 26.04C134.7 121.8 128 141.5 128 162.3c0 26.28 10.23 51 28.81 69.56l18.33 18.33L164.7 260.7c-6.25 6.25-6.25 16.38 0 22.62C167.8 286.4 171.9 288 176 288s8.188-1.562 11.31-4.688l160-160C353.6 117.1 353.6 106.9 347.3 100.7zM197.8 227.6L179.4 209.3C166.9 196.8 160 180.1 160 162.3c0-17.72 6.906-34.38 19.44-46.91c25.86-25.84 67.95-25.91 93.84 0l18.33 18.33L197.8 227.6zM296 400c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24S320 437.3 320 424C320 410.7 309.3 400 296 400zM352 264c0-13.26-10.75-24-24-24S304 250.7 304 264C304 277.3 314.7 288 328 288S352 277.3 352 264zM288 328c0-13.26-10.75-24-24-24S240 314.7 240 328c0 13.25 10.75 24 24 24S288 341.3 288 328zM424 272c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24S448 309.3 448 296C448 282.7 437.3 272 424 272zM488 208c-13.25 0-24 10.74-24 24C464 245.3 474.7 256 488 256S512 245.3 512 232C512 218.7 501.3 208 488 208zM416 200c0-13.26-10.75-24-24-24S368 186.7 368 200C368 213.3 378.7 224 392 224S416 213.3 416 200zM360 336c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24S384 373.3 384 360C384 346.7 373.3 336 360 336z"],
    "shower-down": [384, 512, ["shower-alt"], "e24d", "M276.8 399.9C274.2 390.5 265.9 384.1 256.2 384c-10.72-.9062-18.09 6.172-20.88 15.59c-3.344 11.61-8.562 19.42-13.56 26.83C215.3 435.1 208 446.7 208 462.6C208 489.8 229.5 512 256 512S304 489.8 304 462.6c0-15.89-7.312-26.66-13.75-36.16C285.3 419 280.1 411.4 276.8 399.9zM256 480c-8.812 0-16-7.812-16-17.42c0-5.797 2.531-9.766 8.25-18.22C250.7 440.8 253.3 436.8 256 432.2c2.656 4.609 5.344 8.562 7.781 12.17C269.5 452.8 272 456.8 272 462.6C272 472.2 264.8 480 256 480zM148.8 399.9C146.2 390.5 137.9 384.1 128.2 384c-9.594 0-18.09 6.234-20.88 15.59c-3.344 11.61-8.562 19.42-13.56 26.83C87.31 435.1 80 446.7 80 462.6C80 489.8 101.5 512 127.1 512S176 489.8 176 462.6c0-15.89-7.312-26.66-13.75-36.16C157.3 419 152.1 411.4 148.8 399.9zM128 480c-8.812 0-16-7.812-16-17.42c0-5.797 2.531-9.766 8.25-18.22C122.7 440.8 125.3 436.8 128 432.2c2.656 4.609 5.344 8.562 7.781 12.17C141.5 452.8 144 456.8 144 462.6C144 472.2 136.8 480 128 480zM112 334.6c0-15.89-7.312-26.66-13.75-36.16c-5-7.391-10.19-15.02-13.5-26.62C82.09 262.4 73.88 256.1 64.19 256C54.59 256 46.09 262.2 43.28 271.7c-3.344 11.61-8.531 19.28-13.53 26.69C23.31 307.1 16 318.7 16 334.6c0 27.25 21.53 49.48 47.1 49.48S112 361.8 112 334.6zM64 352c-8.812 0-16-7.812-16-17.42c0-5.797 2.531-9.766 8.25-18.22C58.69 312.8 61.34 308.8 64 304.2c2.656 4.609 5.344 8.578 7.781 12.17C77.47 324.8 80 328.8 80 334.6C80 344.2 72.81 352 64 352zM240 334.6c0-15.89-7.312-26.66-13.75-36.16c-5-7.391-10.19-15.02-13.5-26.62C210.1 262.4 201.9 256.1 192.2 256C182.7 255.2 174.1 262.2 171.3 271.7c-3.344 11.61-8.531 19.28-13.53 26.69C151.3 307.1 144 318.7 144 334.6c0 27.25 21.53 49.48 47.1 49.48S240 361.8 240 334.6zM192 352c-8.812 0-16-7.812-16-17.42c0-5.797 2.531-9.766 8.25-18.22C186.7 312.8 189.3 308.8 192 304.2c2.656 4.609 5.344 8.578 7.781 12.17C205.5 324.8 208 328.8 208 334.6C208 344.2 200.8 352 192 352zM340.8 271.9C338.2 262.5 329.9 256.1 320.2 256c-9.594 0-18.09 6.234-20.88 15.59c-3.344 11.61-8.562 19.42-13.56 26.83C279.3 307.1 272 318.7 272 334.6c0 27.25 21.53 49.48 47.1 49.48S368 361.8 368 334.6c0-15.89-7.312-26.66-13.75-36.16C349.3 291 344.1 283.4 340.8 271.9zM320 352c-8.812 0-16-7.812-16-17.42c0-5.797 2.531-9.766 8.25-18.22C314.7 312.8 317.3 308.8 320 304.2c2.656 4.609 5.344 8.562 7.781 12.17C333.5 324.8 336 328.8 336 334.6C336 344.2 328.8 352 320 352zM368 192H352c0-82.74-63.38-150.2-144-158.4V15.1C208 7.163 200.8 0 192 0S176 7.163 176 15.1v17.62C95.38 41.78 32 109.3 32 192H16C7.163 192 0 199.2 0 207.1S7.163 224 15.1 224H368C376.8 224 384 216.8 384 208S376.8 192 368 192zM64 192c0-70.58 57.41-128 128-128s128 57.42 128 128H64z"],
    "shredder": [512, 512, [], "f68a", "M208 352C199.2 352 192 359.2 192 368v128C192 504.8 199.2 512 208 512S224 504.8 224 496v-128C224 359.2 216.8 352 208 352zM304 352c-8.844 0-16 7.156-16 16v128c0 8.844 7.156 16 16 16s16-7.156 16-16v-128C320 359.2 312.8 352 304 352zM112 352C103.2 352 96 359.2 96 368v128C96 504.8 103.2 512 112 512S128 504.8 128 496v-128C128 359.2 120.8 352 112 352zM448 192V70.63C448 62.14 444.6 54 438.6 48L400 9.375C393.1 3.371 385.9 0 377.4 0H128C92.65 0 64 28.65 64 64v128C28.7 192 0 220.7 0 256v112C0 376.8 7.156 384 16 384S32 376.8 32 368V256c0-17.67 14.33-32 32-32h384c17.67 0 32 14.33 32 32v112c0 8.844 7.156 16 16 16s16-7.156 16-16V256C512 220.7 483.3 192 448 192zM416 192H96V64c0-17.67 14.33-32 32-32h249.4L416 70.63V192zM400 352c-8.844 0-16 7.156-16 16v128c0 8.844 7.156 16 16 16s16-7.156 16-16v-128C416 359.2 408.8 352 400 352zM432 248c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24s24-10.75 24-24C456 258.7 445.3 248 432 248z"],
    "shrimp": [512, 512, [129424], "e448", "M208 224c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16s-16 7.162-16 16C192 216.8 199.2 224 208 224zM511.2 286.7c-8.73-91.5-90.83-158.7-182.7-158.7c-.0059 0 .0039 0-.002 0L63.1 128c-17.66 0-32-14.36-32-32s14.34-32 32-32h368c8.846 0 16-7.156 16-16S440.8 32 432 32H63.1c-35.28 0-64 28.7-64 64s28.72 64 64 64h2.879c15.27 90.77 94.01 160 189.1 160h99.94c15.5 0 28.06 12.56 28.06 28.06c0 3.631-.8418 6.996-2.068 10.14l-.4316 1.291c-4.445 9.912-14.38 16.64-25.5 16.64c-2.254 0-4.553-.2754-6.863-.8516L243.1 352.3c-.3438-.0742-.3418 .1484-.582 .1641c-4.686-.7598-9.621 .3066-13.39 3.773c-6.5 5.984-6.906 16.11-.9062 22.61l37.09 40.2l-36.16 33.14c-6.5 5.969-6.938 16.09-.9687 22.61C231.4 478.3 235.7 480 240 480h96C438.9 480 521.2 391.7 511.2 286.7zM320 288h-64C178.7 288 114.1 232.9 99.22 160h12.79l208-.002V288zM336 448h-54.86l17.68-16.2c3.125-2.875 5-6.875 5.188-11.12c.1562-4.25-1.344-8.406-4.25-11.53l-14.58-15.79l50.83 11.74V448zM355.9 288h-3.939V162.1c51 7.734 94.03 39.85 114.6 83.54l-78.1 52.07C379.1 291.6 367.1 288 355.9 288zM442.6 400.8c-19.94 21.93-46.14 36.81-74.59 43.34v-37.25c17.43-3.559 31.9-14.85 40.28-29.97l41.67 13.89C447.4 394.1 445.4 397.7 442.6 400.8zM466.7 362.7l-50.98-16.99c-.332-8.49-2.434-16.47-5.949-23.71l67.02-44.68c.8047 4.146 2.074 8.141 2.48 12.4C481.8 315.5 476.9 340.2 466.7 362.7z"],
    "shuffle": [512, 512, [128256, "random"], "f074", "M427.3 292.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L457.4 368H336c-5 0-9.781-2.406-12.78-6.406l-38.41-51.19c-5.312-7.094-15.38-8.5-22.41-3.219c-7.062 5.312-8.5 15.34-3.219 22.41l38.41 51.19C306.6 392.8 320.1 400 336 400h121.4l-52.69 52.69c-6.25 6.25-6.25 16.38 0 22.62C407.8 478.4 411.9 480 416 480s8.188-1.562 11.31-4.688l80-80c6.25-6.25 6.25-16.38 0-22.62L427.3 292.7zM336 144h121.4l-52.69 52.69c-6.25 6.25-6.25 16.38 0 22.62C407.8 222.4 411.9 224 416 224s8.188-1.562 11.31-4.688l80-80c6.25-6.25 6.25-16.38 0-22.62l-80-80c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L457.4 112H336c-15.03 0-29.41 7.188-38.41 19.22l-172.8 230.4C121.8 365.6 117 368 112 368h-96C7.156 368 0 375.2 0 384s7.156 16 16 16h96c15.03 0 29.41-7.188 38.41-19.22l172.8-230.4C326.2 146.4 331 144 336 144zM16 144h96c5 0 9.781 2.406 12.78 6.406l38.41 51.19C166.3 205.8 171.2 208 176 208c3.344 0 6.719-1.031 9.594-3.188c7.062-5.312 8.5-15.34 3.219-22.41L150.4 131.2C141.4 119.2 127 112 112 112h-96C7.156 112 0 119.2 0 128S7.156 144 16 144z"],
    "shutters": [512, 512, [], "e449", "M492.1 352c10.24 0 17.82-9.473 15.62-19.46L487.1 240h4.961c10.24 0 17.82-9.473 15.62-19.46L485.9 122.7C501.4 114.8 512 98.59 512 80C512 53.5 490.5 32 464 32h-416C21.5 32 0 53.5 0 80c0 18.59 10.59 34.75 26.08 42.72L4.32 220.5C2.113 230.5 9.697 240 19.94 240h4.961l-20.58 92.54C2.113 342.5 9.697 352 19.94 352h5.664l-21.76 108.9C1.857 470.8 9.408 480 19.52 480h472.1c10.11 0 17.66-9.248 15.68-19.14L486.4 352H492.1zM39.04 448l19.2-96h395.5l19.2 96H39.04zM57.66 240H454.3l17.76 80H39.9L57.66 240zM39.9 208L57.66 128H454.3l17.76 80H39.9zM464 96h-416C39.17 96 32 88.83 32 80S39.17 64 48 64h416C472.8 64 480 71.17 480 80S472.8 96 464 96z"],
    "shuttle-space": [640, 512, ["space-shuttle"], "f197", "M480 240V272C480 280.8 472.8 288 464 288C455.2 288 448 280.8 448 272V240C448 231.2 455.2 224 464 224C472.8 224 480 231.2 480 240zM129.1 480H80C53.49 480 32 458.5 32 432V384C14.33 384 0 369.7 0 352V160C0 142.3 14.33 128 32 128V80C32 53.49 53.49 32 80 32H129.1C170.6 32 210.4 43.03 245.2 63.92L405.3 160H464C528.7 160 587.5 187.4 628.8 236.3C638.4 247.7 638.4 264.3 628.8 275.7C587.5 324.6 528.7 352 464 352H405.3L245.2 448.1C210.4 468.1 170.6 480 129.1 480V480zM64 384V432C64 440.8 71.16 448 80 448H128V382.4C122.8 383.4 117.5 384 112 384H64zM343.1 352H176.7C176.7 352 176.5 352 176.4 352.2C175.1 352.4 175.4 352.8 174.8 353.5C170.5 358.1 165.5 363.8 160 368V445.6C184.2 441.8 207.6 433.3 228.7 420.6L343.1 352zM112 352C127.3 352 140.9 344.9 149.7 333.7C155.5 326.4 164.9 320 176.7 320H464C518.9 320 568.4 297.1 603.5 256C568.4 214.9 518.9 192 464 192H176.7C164.9 192 155.5 185.6 149.7 178.3C140.9 167.1 127.3 160 112 160H32V240H176C184.8 240 192 247.2 192 256C192 264.8 184.8 272 176 272H32V352H112zM64 128H112C117.5 128 122.8 128.6 128 129.6V64H80C71.16 64 64 71.16 64 80V128zM176.4 159.9C176.5 159.1 176.7 160 176.7 160H343.1L228.7 91.36C207.6 78.65 184.2 70.2 160 66.37V143.1C165.5 148.2 170.5 153 174.8 158.5C175.4 159.2 175.1 159.6 176.4 159.9z"],
    "shuttlecock": [512, 512, [], "f45b", "M479.1 192h-61.64l10.38-72.62c3.001-20.75-14.5-39.13-36.13-36.13l-72.64 10.38V32c0-17.75-14.25-32-32.01-32H244.9c-12.13 0-23.6 7.125-28.85 18.12L98.05 263.9l-67.02 67.08c-41.38 41.37-41.38 108.6 .002 149.1c20.63 20.75 47.75 31.04 75 31.04c27.13 0 54.26-10.29 75.01-31.04l67.02-67.08l245.8-118c11-5.25 18.13-16.75 18.13-28.88L511.1 224C511.1 206.2 497.7 192 479.1 192zM397.1 114.9l-11.38 80.25l-91.77 22.88l22.88-91.75L397.1 114.9zM244.8 32h43.13v70.25L185.6 155.6L244.8 32zM279.8 142.6L257.6 231.8L169.7 319.6L127.3 277.2L162.6 203.8L279.8 142.6zM31.91 406c0-18.63 7.001-36 19.5-49.63l104.3 104.3C141.9 473 124.6 480 105.9 480C65.04 480 31.91 446.9 31.91 406zM178.4 438.2L73.67 333.5l32.26-32.25l104.8 104.8L178.4 438.2zM234.7 384.8l-42.38-42.5l87.89-87.75l89.14-22.25l-61.14 117.3L234.7 384.8zM479.1 267l-123.6 59.38L409.7 224h70.26V267z"],
    "sickle": [512, 512, [], "f822", "M322.2 0C233.9 0 158.8 61.78 139.4 150.3c-7.5 34.97-10.06 90.41 7.344 131.5C150.2 290 159.6 293.8 167.7 290.3c8.125-3.438 11.94-12.81 8.485-20.97C162.7 237.5 163.9 188.8 170.7 157.1C186.8 83.44 249.1 32 322.2 32c65.08 0 115.1 25.47 141.2 70.03c-83.27-47.19-155.1-27.38-197.9 11.81c-58.85 53.78-73.32 144.1-35.69 211.3L220.5 334.4c-6.25 6.25-6.25 16.38 0 22.62c6.247 6.246 16.37 6.254 22.63 0l18.27-18.25c5.438-5.438 6.235-13.94 1.922-20.31C221.5 256.1 242.6 178.1 287.1 137.5c52.05-47.59 126.3-40.5 198.8 18.91c5.203 4.281 12.59 4.781 18.38 1.344c5.797-3.469 8.782-10.22 7.453-16.84C494.3 53.97 421.7 0 322.2 0zM123.3 292.7c-6.25-6.25-16.38-6.25-22.63 0c-6.25 6.25-6.25 16.38 0 22.62L105.4 320l-91.32 91.31c-18.72 18.72-18.72 49.16 0 67.88l18.74 18.75C41.84 507 53.9 512 66.73 512c12.81 0 24.88-5 33.94-14.06l91.32-91.31l4.688 4.688c6.247 6.246 16.37 6.254 22.63 0c6.25-6.25 6.25-16.38 0-22.62L123.3 292.7zM78.04 475.3c-6.063 6.094-16.59 6.062-22.63 0l-18.75-18.75c-6.235-6.25-6.235-16.38 0-22.62l91.32-91.31L169.4 384L78.04 475.3z"],
    "sidebar": [512, 512, [], "e24e", "M144 96C152.8 96 160 103.2 160 112C160 120.8 152.8 128 144 128H80C71.16 128 64 120.8 64 112C64 103.2 71.16 96 80 96H144zM64 176C64 167.2 71.16 160 80 160H144C152.8 160 160 167.2 160 176C160 184.8 152.8 192 144 192H80C71.16 192 64 184.8 64 176zM144 224C152.8 224 160 231.2 160 240C160 248.8 152.8 256 144 256H80C71.16 256 64 248.8 64 240C64 231.2 71.16 224 80 224H144zM448 32C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448zM448 64H224V448H448C465.7 448 480 433.7 480 416V96C480 78.33 465.7 64 448 64zM32 96V416C32 433.7 46.33 448 64 448H192V64H64C46.33 64 32 78.33 32 96z"],
    "sidebar-flip": [512, 512, [], "e24f", "M432 96C440.8 96 448 103.2 448 112C448 120.8 440.8 128 432 128H368C359.2 128 352 120.8 352 112C352 103.2 359.2 96 368 96H432zM432 192H368C359.2 192 352 184.8 352 176C352 167.2 359.2 160 368 160H432C440.8 160 448 167.2 448 176C448 184.8 440.8 192 432 192zM432 224C440.8 224 448 231.2 448 240C448 248.8 440.8 256 432 256H368C359.2 256 352 248.8 352 240C352 231.2 359.2 224 368 224H432zM448 32C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448zM32 96V416C32 433.7 46.33 448 64 448H288V64H64C46.33 64 32 78.33 32 96zM448 64H320V448H448C465.7 448 480 433.7 480 416V96C480 78.33 465.7 64 448 64z"],
    "sigma": [384, 512, [8721], "f68b", "M335.1 144l-.0005-64h-269.5l153.7 165.7c5.031 5.969 5.031 14.72 0 20.69L66.5 432h269.5l.0005-64c0-8.844 7.156-15.99 16-15.99C360.8 352 368 359.2 368 368V448c0 8.844-7.156 16-16 16H31.1c-6.219 0-11.91-3.625-14.5-9.281c-2.625-5.625-1.75-12.31 2.281-17.06L187 256L19.78 74.34c-4.031-4.75-4.906-11.44-2.281-17.06C20.09 51.63 25.78 48 31.1 48h320C360.8 48 368 55.16 368 64v80c0 8.844-7.156 16.01-16 16.01C343.2 160 335.1 152.8 335.1 144z"],
    "sign-hanging": [512, 512, ["sign"], "f4d9", "M80 0C88.84 0 96 7.164 96 16V64H496C504.8 64 512 71.16 512 80C512 88.84 504.8 96 496 96H96V496C96 504.8 88.84 512 80 512C71.16 512 64 504.8 64 496V96H16C7.164 96 0 88.84 0 80C0 71.16 7.164 64 16 64H64V16C64 7.164 71.16 0 80 0zM128 160C128 142.3 142.3 128 160 128H448C465.7 128 480 142.3 480 160V352C480 369.7 465.7 384 448 384H160C142.3 384 128 369.7 128 352V160zM160 352H448V160H160V352z"],
    "signal": [576, 512, [128246, "signal-5", "signal-perfect"], "f012", "M32 384C23.16 384 16 391.2 16 400v96c0 8.844 7.156 16 15.1 16S48 504.8 48 496v-96C48 391.2 40.84 384 32 384zM160 288C151.2 288 144 295.2 144 304v192C144 504.8 151.2 512 160 512s16-7.156 16-16v-192C176 295.2 168.8 288 160 288zM288 192C279.2 192 272 199.2 272 208v288c0 8.844 7.156 16 16 16s16-7.156 16-16v-288C304 199.2 296.8 192 288 192zM416 96c-8.844 0-16 7.156-16 16v384c0 8.844 7.156 16 16 16s16-7.156 16-16v-384C432 103.2 424.8 96 416 96zM544 0c-8.844 0-16 7.156-16 16v480c0 8.844 7.156 16 16 16s16-7.156 16-16v-480C560 7.156 552.8 0 544 0z"],
    "signal-bars": [640, 512, ["signal-alt", "signal-alt-4", "signal-bars-strong"], "f690", "M576 0h-32c-17.67 0-32 14.33-32 32v448c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32V32C608 14.33 593.7 0 576 0zM576 480h-32V32h32V480zM416 128h-32c-17.67 0-32 14.33-32 32v320c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32V160C448 142.3 433.7 128 416 128zM416 480h-32V160h32V480zM256 256H224C206.3 256 192 270.3 192 288v192c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32V288C288 270.3 273.7 256 256 256zM256 480H224V288h32V480zM96 384H64c-17.67 0-32 14.33-32 32v64c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32v-64C128 398.3 113.7 384 96 384zM96 480H64v-64h32V480z"],
    "signal-bars-fair": [576, 512, ["signal-alt-2"], "f692", "M224 256H192C174.3 256 160 270.3 160 288v192c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32V288C256 270.3 241.7 256 224 256zM224 480H192V288h32V480zM64 384H32c-17.67 0-32 14.33-32 32v64c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32v-64C96 398.3 81.67 384 64 384zM64 480H32v-64h32V480z"],
    "signal-bars-good": [576, 512, ["signal-alt-3"], "f693", "M384 128h-32c-17.67 0-32 14.33-32 32v320c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32V160C416 142.3 401.7 128 384 128zM384 480h-32V160h32V480zM224 256H192C174.3 256 160 270.3 160 288v192c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32V288C256 270.3 241.7 256 224 256zM224 480H192V288h32V480zM64 384H32c-17.67 0-32 14.33-32 32v64c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32v-64C96 398.3 81.67 384 64 384zM64 480H32v-64h32V480z"],
    "signal-bars-slash": [640, 512, ["signal-alt-slash"], "f694", "M96 384H64c-17.67 0-32 14.33-32 32v64c0 17.67 14.33 32 32 32H96c17.67 0 32-14.33 32-32v-64C128 398.3 113.7 384 96 384zM95.1 480H63.1v-64h32V480zM384 160h32v90.23l32 25.26L448 160c0-17.67-14.33-32-32-32h-32c-17.67 0-32 14.33-32 32l.0001 39.7l32 25.27V160zM544 32h32v344.6l32 25.27L608 32c0-17.67-14.33-32-32-32h-32c-17.67 0-32 14.33-32 32l.0003 294l32 25.27V32zM192 288v192c0 17.67 14.33 32 31.1 32h32c17.67 0 32-14.33 32-32L287.1 312.3L218.2 257.2C203.4 259.1 192 272.4 192 288zM223.1 288h32v192H223.1V288zM416 480h-32v-91.93l-32-25.26L352 480c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32l.0002-41.4l-32-25.27V480zM633.9 483.4L25.92 3.422C18.98-2.031 8.921-.8281 3.437 6.062c-5.469 6.938-4.281 17 2.641 22.48l608 480C617 510.9 620.5 512 623.1 512c4.734 0 9.422-2.094 12.58-6.078C642 498.1 640.8 488.9 633.9 483.4z"],
    "signal-bars-weak": [576, 512, ["signal-alt-1"], "f691", "M64 384H32c-17.67 0-32 14.33-32 32v64c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32v-64C96 398.3 81.67 384 64 384zM64 480H32v-64h32V480z"],
    "signal-fair": [576, 512, ["signal-2"], "f68d", "M32 384C23.16 384 16 391.2 16 400v96c0 8.844 7.156 16 15.1 16S48 504.8 48 496v-96C48 391.2 40.84 384 32 384zM160 288C151.2 288 144 295.2 144 304v192C144 504.8 151.2 512 160 512s16-7.156 16-16v-192C176 295.2 168.8 288 160 288z"],
    "signal-good": [576, 512, ["signal-3"], "f68e", "M32 384C23.16 384 16 391.2 16 400v96c0 8.844 7.156 16 15.1 16S48 504.8 48 496v-96C48 391.2 40.84 384 32 384zM160 288C151.2 288 144 295.2 144 304v192C144 504.8 151.2 512 160 512s16-7.156 16-16v-192C176 295.2 168.8 288 160 288zM288 192C279.2 192 272 199.2 272 208v288c0 8.844 7.156 16 16 16s16-7.156 16-16v-288C304 199.2 296.8 192 288 192z"],
    "signal-slash": [640, 512, [], "f695", "M464 112C464 103.2 456.8 96 448 96s-16 7.156-16 16v150.9l32 25.26V112zM64 383.1c-8.844 0-16 7.159-16 16v96c0 8.844 7.156 15.1 16 15.1S80 504.8 80 496v-96C80 391.2 72.84 383.1 64 383.1zM592 16c0-8.844-7.157-16-16-16S560 7.156 560 16v347.9l32 25.26V16zM432 496c0 8.844 7.156 16 16 16s16-7.156 16-16v-44.77l-32-25.27V496zM192 287.1c-8.844 0-16 7.158-16 16v192c0 8.844 7.156 15.1 16 15.1S208 504.8 208 496v-192C208 295.2 200.8 287.1 192 287.1zM304 496c0 8.844 7.156 16 16 16s16-7.156 16-16v-145.8l-32-25.27V496zM633.9 483.4l-608-480c-6.938-5.453-17-4.25-22.48 2.641c-5.469 6.938-4.281 17 2.641 22.48l608 480C617 510.9 620.5 512 623.1 512c4.734 0 9.422-2.094 12.58-6.078C642 498.1 640.8 488.9 633.9 483.4z"],
    "signal-stream": [576, 512, [], "f8dd", "M288 192c-35.38 0-64 28.62-64 63.1s28.62 63.1 64 63.1s64-28.62 64-63.1S323.4 192 288 192zM288 288c-17.62 0-32-14.37-32-31.1s14.38-31.1 32-31.1s32 14.37 32 31.1S305.6 288 288 288zM32 256c0-62.19 24.17-120.7 68.05-164.7C106.3 85.04 106.3 74.92 100 68.67c-6.25-6.187-16.38-6.219-22.62 .0625C27.48 118.8 0 185.3 0 256s27.48 137.2 77.39 187.3C80.52 446.4 84.61 448 88.72 448c4.078 0 8.172-1.562 11.3-4.656c6.25-6.25 6.281-16.37 .0313-22.62C56.17 376.7 32 318.2 32 256zM498.6 68.73c-6.25-6.312-16.38-6.281-22.62-.0625c-6.25 6.25-6.281 16.37-.0313 22.62C519.8 135.4 544 193.8 544 256s-24.17 120.7-68.05 164.7c-6.25 6.25-6.219 16.37 .0313 22.62C479.1 446.4 483.2 448 487.3 448c4.109 0 8.203-1.562 11.33-4.719C548.5 393.2 576 326.7 576 256S548.5 118.8 498.6 68.73zM167.5 132.4c-6.438-6.094-16.56-5.75-22.61 .625C113.4 166.4 96 210.1 96 256s17.36 89.62 48.88 122.1c3.141 3.312 7.375 4.1 11.62 4.1c3.938 0 7.891-1.437 10.98-4.375c6.422-6.062 6.719-16.19 .6406-22.62C142.3 329.6 128 293.8 128 256s14.25-73.62 40.13-100.1C174.2 148.6 173.9 138.4 167.5 132.4zM431.1 133c-6.062-6.375-16.16-6.719-22.61-.625c-6.422 6.062-6.719 16.19-.6406 22.62C433.8 182.4 448 218.3 448 256s-14.25 73.63-40.13 100.1c-6.078 6.437-5.781 16.56 .6406 22.62c3.094 2.937 7.047 4.375 10.98 4.375c4.25 0 8.484-1.687 11.62-4.1C462.6 345.6 480 301.9 480 256S462.6 166.4 431.1 133z"],
    "signal-stream-slash": [640, 512, [], "e250", "M633.9 483.4L25.92 3.42c-6.938-5.453-17-4.25-22.48 2.641c-5.469 6.938-4.281 17 2.641 22.48l608 480C617 510.9 620.5 512 623.1 512c4.734 0 9.422-2.094 12.58-6.078C642 498.1 640.8 488.9 633.9 483.4zM576 256c0 35.93-8.311 70.52-23.59 101.9l25.76 20.34C597.6 340.9 608 299.3 608 256c0-70.69-27.48-137.2-77.39-187.3c-6.25-6.312-16.38-6.281-22.62-.0625c-6.25 6.25-6.281 16.37-.0313 22.62C551.8 135.4 576 193.8 576 256zM480 256c0 13.72-2.5 26.99-6.137 39.89l26.98 21.3C507.9 297.8 512 277.2 512 256c0-45.94-17.36-89.62-48.88-122.1c-6.062-6.375-16.16-6.719-22.61-.625c-6.422 6.062-6.719 16.19-.6406 22.62C465.8 182.4 480 218.3 480 256zM160 256c0-13.73 2.502-27.01 6.146-39.92L139.2 194.8C132.1 214.2 128 234.8 128 256c0 45.94 17.36 89.62 48.88 122.1c3.141 3.312 7.375 5 11.62 5c3.938 0 7.891-1.438 10.98-4.375c6.422-6.062 6.719-16.19 .6406-22.62C174.3 329.6 160 293.8 160 256zM64 256c0-35.95 8.314-70.54 23.6-101.9l-25.76-20.34C42.41 171.1 32 212.7 32 256c0 70.69 27.48 137.2 77.39 187.3C112.5 446.4 116.6 448 120.7 448c4.078 0 8.172-1.562 11.3-4.656c6.25-6.25 6.281-16.38 .0313-22.62C88.17 376.7 64 318.2 64 256z"],
    "signal-strong": [576, 512, ["signal-4"], "f68f", "M32 384C23.16 384 16 391.2 16 400v96c0 8.844 7.156 16 15.1 16S48 504.8 48 496v-96C48 391.2 40.84 384 32 384zM160 288C151.2 288 144 295.2 144 304v192C144 504.8 151.2 512 160 512s16-7.156 16-16v-192C176 295.2 168.8 288 160 288zM288 192C279.2 192 272 199.2 272 208v288c0 8.844 7.156 16 16 16s16-7.156 16-16v-288C304 199.2 296.8 192 288 192zM416 96c-8.844 0-16 7.156-16 16v384c0 8.844 7.156 16 16 16s16-7.156 16-16v-384C432 103.2 424.8 96 416 96z"],
    "signal-weak": [576, 512, ["signal-1"], "f68c", "M32 384C23.16 384 16 391.2 16 400v96c0 8.844 7.156 16 15.1 16S48 504.8 48 496v-96C48 391.2 40.84 384 32 384z"],
    "signature": [640, 512, [], "f5b7", "M160 176C160 184.8 152.8 192 144 192C135.2 192 128 184.8 128 176V128C128 74.98 170.1 32 224 32C277 32 320 74.98 320 128V131.4C320 154.4 318.3 177.4 314.8 200.1L459.8 160.6C465.9 158.9 472.4 160.1 476.4 165.9C480.4 170.7 481.1 177.5 478.3 183.2L425.9 288H560C568.8 288 576 295.2 576 304C576 312.8 568.8 320 560 320H400C394.5 320 389.3 317.1 386.4 312.4C383.5 307.7 383.2 301.8 385.7 296.8L433.7 200.9L308.2 235.1C306.7 241.6 304.1 248.2 303.2 254.7L296 280.4C284.7 321.4 268.4 360.9 247.5 397.1L220.4 446.1C208.6 467 186.5 480 162.5 480C125.8 480 95.1 450.2 95.1 413.5V320.9C95.1 284.8 120.1 253.2 154.9 243.7L280.8 209.4C285.6 183.7 287.1 157.6 287.1 131.4V128C287.1 92.65 259.3 64 223.1 64C188.7 64 159.1 92.65 159.1 128L160 176zM128 320.9V413.5C128 432.6 143.4 448 162.5 448C174.9 448 186.4 441.3 192.5 430.4L219.6 382.3C239.2 347.5 254.5 310.4 265.2 271.9L272.4 246.1L272.7 244.7L163.4 274.6C142.5 280.3 128 299.2 128 320.9L128 320.9zM48 384C56.84 384 64 391.2 64 400C64 408.8 56.84 416 48 416H16C7.164 416 0 408.8 0 400C0 391.2 7.164 384 16 384H48zM624 384C632.8 384 640 391.2 640 400C640 408.8 632.8 416 624 416H336C327.2 416 320 408.8 320 400C320 391.2 327.2 384 336 384H624z"],
    "signature-lock": [640, 512, [], "e3ca", "M64 176C64 184.8 56.84 192 48 192C39.16 192 32 184.8 32 176V128C32 74.98 74.98 32 128 32C181 32 224 74.98 224 128V131.4C224 154.4 222.3 177.4 218.8 200.1L363.8 160.6C369.9 158.9 376.4 160.1 380.4 165.9C384.4 170.7 385.1 177.5 382.3 183.2L329.9 288H416V296.6C406.3 302.2 398.2 310.3 392.6 320H304C298.5 320 293.3 317.1 290.4 312.4C287.5 307.7 287.2 301.8 289.7 296.8L337.7 200.9L212.2 235.1C210.7 241.6 208.1 248.2 207.2 254.7L200 280.4C188.7 321.4 172.4 360.9 151.5 397.1L124.4 446.1C112.6 467 90.5 480 66.48 480C29.76 480 0 450.2 0 413.5V320.9C0 284.8 24.15 253.2 58.95 243.7L184.8 209.4C189.6 183.7 192 157.6 192 131.4V128C192 92.65 163.3 64 128 64C92.65 64 64 92.65 64 128L64 176zM32 320.9V413.5C32 432.6 47.44 448 66.48 448C78.94 448 90.42 441.3 96.53 430.4L123.6 382.3C143.2 347.5 158.5 310.4 169.2 271.9L176.4 246.1L176.7 244.7L67.37 274.6C46.49 280.3 32 299.2 32 320.9L32 320.9zM240 384H384V416H240C231.2 416 224 408.8 224 400C224 391.2 231.2 384 240 384zM528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320V272C448 227.8 483.8 192 528 192zM528 224C501.5 224 480 245.5 480 272V320H576V272C576 245.5 554.5 224 528 224zM608 352H448V480H608V352z"],
    "signature-slash": [640, 512, [], "e3cb", "M633.9 483.4C640.9 488.9 642 498.1 636.6 505.9C631.1 512.9 621 514 614.1 508.6L6.086 28.56C-.8493 23.08-2.033 13.02 3.443 6.086C8.918-.8493 18.98-2.033 25.91 3.443L633.9 483.4zM378.8 384L419.4 416H336C327.2 416 320 408.8 320 400C320 391.2 327.2 384 336 384H378.8zM560 288C568.8 288 576 295.2 576 304C576 312.8 568.8 320 560 320H504.4L463.8 288H560zM625.8 415.9L585.4 384H624C632.8 384 640 391.2 640 400C640 408.2 633.8 414.1 625.8 415.9V415.9zM478.3 183.2L436.6 266.5L410.1 246.3L433.7 200.9L374 217.1L342.8 192.5L459.8 160.6C465.9 158.9 472.4 160.1 476.4 165.9C480.4 170.7 481.1 177.5 478.3 183.2V183.2zM320 131.4C320 145.3 319.4 159.2 318.1 172.1L287.6 148.9C287.9 143.1 288 137.2 288 131.4V128C288 92.65 259.3 64 224 64C212.1 64 200.9 67.25 191.4 72.92L165.1 52.18C181.4 39.53 201.8 32 224 32C277 32 320 74.98 320 128L320 131.4zM154.1 243.7L189.3 234.3L220.5 258.1L163.4 274.6C142.5 280.3 128 299.2 128 320.9V413.5C128 432.6 143.4 448 162.5 448C174.9 448 186.4 441.3 192.5 430.4L219.6 382.3C236.1 352.1 249.6 322 259.8 290L286.5 311.1C276.2 341.2 263.1 370.2 247.5 397.1L220.4 446.1C208.6 467 186.5 480 162.5 480C125.8 480 96 450.2 96 413.5V320.9C96 284.8 120.1 253.2 154.1 243.7H154.1zM48 384C56.84 384 64 391.2 64 400C64 408.8 56.84 416 48 416H16C7.164 416 .0006 408.8 .0006 400C.0006 391.2 7.164 384 16 384H48z"],
    "signs-post": [512, 512, ["map-signs"], "f277", "M240 16C240 7.164 247.2 0 256 0C264.8 0 272 7.164 272 16V32H440.3C445.2 32 449.8 34.21 452.8 38L504 102C508.7 107.8 508.7 116.2 504 121.1L452.8 185.1C449.8 189.8 445.2 192 440.3 192H272V224H448C465.7 224 480 238.3 480 256V352C480 369.7 465.7 384 448 384H272V496C272 504.8 264.8 512 256 512C247.2 512 240 504.8 240 496V384H71.69C66.83 384 62.23 381.8 59.2 377.1L7.996 313.1C3.322 308.2 3.322 299.8 7.996 294L59.2 230C62.23 226.2 66.83 224 71.69 224H240V192H64C46.33 192 32 177.7 32 160V64C32 46.33 46.33 32 64 32H240V16zM432.6 64H64V160H432.6L471 112L432.6 64zM40.98 304L79.38 352H448V256H79.38L40.98 304z"],
    "sim-card": [384, 512, [], "f7c4", "M365.3 109.3l-90.51-90.51C262.7 6.742 246.5 0 229.5 0H64C28.8 0 0 28.8 0 64v384c0 35.2 28.8 64 64 64h256c35.2 0 64-28.8 64-64V154.5C384 137.5 377.3 121.3 365.3 109.3zM352 448c0 17.6-14.4 32-32 32H64c-17.6 0-32-14.4-32-32V64c0-17.6 14.4-32 32-32h165.5c8.486 0 16.62 3.371 22.63 9.373l90.5 90.5C348.6 137.9 352 146 352 154.5V448zM272 192h-160C85.5 192 64 213.5 64 240v160C64 426.5 85.5 448 112 448h160c26.5 0 48-21.5 48-48v-160C320 213.5 298.5 192 272 192zM168 224h48v40h-48V224zM96 240C96 231.3 103.3 224 112 224h24v40H96V240zM136 416H112C103.3 416 96 408.8 96 400v-24h40V416zM216 416h-48v-40h48V416zM288 400c0 8.75-7.25 16-16 16h-24v-40H288V400zM288 344H96v-48h192V344zM288 264h-40V224h24C280.8 224 288 231.3 288 240V264z"],
    "sim-cards": [448, 512, [], "e251", "M336 144H192C165.5 144 144 165.5 144 192v128c0 26.5 21.5 48 48 48h144c26.5 0 48-21.5 48-48V192C384 165.5 362.5 144 336 144zM248 176h32v32h-32V176zM176 192c0-8.75 7.25-16 16-16h24v32H176V192zM216 336H192c-8.75 0-16-7.25-16-16V304h40V336zM280 336h-32v-32h32V336zM352 320c0 8.75-7.25 16-16 16h-24v-32H352V320zM352 272H176v-32H352V272zM352 208h-40v-32h24C344.8 176 352 183.3 352 192V208zM429.3 109.3l-90.51-90.51C326.7 6.742 310.5 0 293.5 0H144c-35.2 0-64 28.8-64 64v304c0 35.2 28.8 64 64 64H384c35.2 0 64-28.8 64-64V154.5C448 137.5 441.3 121.3 429.3 109.3zM416 368c0 17.6-14.4 32-32 32H144c-17.6 0-32-14.4-32-32V64c0-17.6 14.4-32 32-32h149.5c8.486 0 16.62 3.371 22.63 9.373l90.5 90.5C412.6 137.9 416 146 416 154.5V368zM336 480H96c-35.35 0-64-28.65-64-64V112C32 103.2 24.84 96 16 96S0 103.2 0 112V416c0 53.02 42.98 96 96 96h240c8.836 0 16-7.164 16-16S344.8 480 336 480z"],
    "sink": [512, 512, [], "e06d", "M496 288L384 288V272c0-8.812 7.172-15.1 16-15.1l64 .0002c8.844 0 16-7.156 16-15.1S472.8 224 464 224h-64C373.5 224 352 245.5 352 272v16L272 288V80C272 53.53 293.5 32 320 32s48 21.53 48 48v32c0 8.844 7.156 15.1 16 15.1S400 120.8 400 112v-32C400 35.88 364.1 0 320 0S240 35.88 240 80V288L160 288V272C160 245.5 138.5 224 112 224h-64C39.16 224 32 231.2 32 240S39.16 256 48 256l64-.0002C120.8 256 128 263.2 128 272V288L16 288c-8.844 0-16 7.156-16 16S7.156 320 16 320h480c8.844 0 16-7.156 16-15.1S504.8 288 496 288zM464 352c-8.844 0-16 7.156-16 16v32c0 44.13-35.89 80-80 80h-224C99.89 480 64 444.1 64 400v-32C64 359.2 56.84 352 48 352S32 359.2 32 368v32C32 461.8 82.25 512 144 512h224c61.75 0 112-50.25 112-112v-32C480 359.2 472.8 352 464 352z"],
    "siren": [448, 512, [], "e02d", "M416 384H32c-17.67 0-32 14.33-32 32v32c0 17.67 14.33 32 32 32h384c17.67 0 32-14.33 32-32v-32C448 398.3 433.7 384 416 384zM416 448H32v-32h384V448zM52 352c8.07 0 14.88-6.008 15.88-14.02l20.99-167.9C91.87 146 112.3 128 136.5 128h175c24.21 0 44.63 18.02 47.63 42.05l20.99 167.9C381.1 345.1 387.9 352 396 352c9.623 0 17.07-8.438 15.88-17.98L390.9 166.1c-5.008-40.02-39.03-70.05-79.37-70.05h-175c-40.34 0-74.36 30.03-79.37 70.05l-21.01 167.1C34.93 343.6 42.38 352 52 352zM128.2 173.6l-24 160c-1.312 8.75 4.688 16.88 13.44 18.19C118.4 351.9 119.2 352 120 352c7.781 0 14.59-5.688 15.78-13.62l24-160C161.1 169.6 155.1 161.5 146.4 160.2C137.8 158.8 129.5 164.8 128.2 173.6z"],
    "siren-on": [640, 512, [], "e02e", "M528 96.02c2.5 0 4.875-.625 7.125-1.75l64-31.1c8-3.875 11.12-13.5 7.25-21.37c-4-8-13.62-11.12-21.5-7.25l-64 31.99c-6.75 3.375-10.25 10.88-8.5 18C514.1 90.9 520.6 96.02 528 96.02zM40.88 62.28l64 31.1c7.875 3.996 17.5 .75 21.5-7.125c3.875-7.875 .75-17.5-7.25-21.5l-64-31.99c-7.875-3.875-17.5-.75-21.5 7.25C29.75 48.78 32.88 58.4 40.88 62.28zM624 192h-64c-8.875 0-16 7.125-16 15.1C544 216.9 551.1 224 560 224h64C632.9 224 640 216.9 640 208C640 199.1 632.9 192 624 192zM80 192h-64C7.125 192 0 199.1 0 208C0 216.9 7.125 224 16 224h64C88.88 224 96 216.9 96 208C96 199.1 88.88 192 80 192zM512 384H128c-17.67 0-32 14.33-32 32v32c0 17.67 14.33 32 32 32h384c17.67 0 32-14.33 32-32v-32C544 398.3 529.7 384 512 384zM512 448H128v-32h384V448zM148 352c8.07 0 14.88-6.008 15.88-14.02l20.99-167.9C187.9 146 208.3 128 232.5 128h175c24.21 0 44.63 18.02 47.63 42.05l20.99 167.9C477.1 345.1 483.9 352 492 352c9.623 0 17.07-8.438 15.88-17.98L486.9 166.1c-5.008-40.02-39.03-69.85-79.37-69.85h-175c-40.34 0-74.36 29.83-79.37 69.85l-21.01 167.1C130.9 343.6 138.4 352 148 352zM224.2 173.6l-24 160c-1.312 8.75 4.688 16.88 13.44 18.19C214.4 351.9 215.2 352 216 352c7.781 0 14.59-5.688 15.78-13.62l24-160C257.1 169.6 251.1 161.5 242.4 160.2C233.8 158.8 225.5 164.8 224.2 173.6z"],
    "sitemap": [576, 512, [], "f0e8", "M208 144V80C208 53.49 229.5 32 256 32H320C346.5 32 368 53.49 368 80V144C368 170.5 346.5 192 320 192H304V240H464C490.5 240 512 261.5 512 288V320H528C554.5 320 576 341.5 576 368V432C576 458.5 554.5 480 528 480H464C437.5 480 416 458.5 416 432V368C416 341.5 437.5 320 464 320H480V288C480 279.2 472.8 272 464 272H304V320H320C346.5 320 368 341.5 368 368V432C368 458.5 346.5 480 320 480H256C229.5 480 208 458.5 208 432V368C208 341.5 229.5 320 256 320H272V272H112C103.2 272 96 279.2 96 288V320H112C138.5 320 160 341.5 160 368V432C160 458.5 138.5 480 112 480H48C21.49 480 0 458.5 0 432V368C0 341.5 21.49 320 48 320H64V288C64 261.5 85.49 240 112 240H272V192H256C229.5 192 208 170.5 208 144zM320 64H256C247.2 64 240 71.16 240 80V144C240 152.8 247.2 160 256 160H320C328.8 160 336 152.8 336 144V80C336 71.16 328.8 64 320 64zM32 368V432C32 440.8 39.16 448 48 448H112C120.8 448 128 440.8 128 432V368C128 359.2 120.8 352 112 352H48C39.16 352 32 359.2 32 368zM240 368V432C240 440.8 247.2 448 256 448H320C328.8 448 336 440.8 336 432V368C336 359.2 328.8 352 320 352H256C247.2 352 240 359.2 240 368zM448 368V432C448 440.8 455.2 448 464 448H528C536.8 448 544 440.8 544 432V368C544 359.2 536.8 352 528 352H464C455.2 352 448 359.2 448 368z"],
    "skeleton": [512, 512, [], "f620", "M192 456c13.25 0 24-10.75 24-24S205.3 408 192 408s-24 10.75-24 24S178.7 456 192 456zM320 456c13.25 0 24-10.75 24-24s-10.75-24-24-24s-24 10.75-24 24S306.7 456 320 456zM496 176h-224v-64h160C440.8 112 448 104.8 448 96s-7.156-16-16-16h-160v-64C272 7.162 264.8 0 256 0S240 7.162 240 16v64h-160C71.16 80 64 87.16 64 96s7.156 16 16 16h160v64h-224C7.156 176 0 183.2 0 192s7.156 16 16 16h224v64h-160C71.16 272 64 279.2 64 288s7.156 16 16 16h160V352H112.1c-37.31 0-60.36 40.7-41.16 72.7l33.74 56.23C116.2 500.2 137.1 512 159.5 512h192.9c22.48 0 43.31-11.79 54.88-31.07l33.74-56.23C460.3 392.7 437.2 352 399.9 352H272V304h160C440.8 304 448 296.8 448 288s-7.156-16-16-16h-160v-64h224C504.8 208 512 200.8 512 192S504.8 176 496 176zM399.9 384c8.418 0 12.54 5.676 13.92 8.117c1.381 2.439 4.127 8.896-.2031 16.11l-33.74 56.23C374.2 474 363.6 480 352.5 480H159.5c-11.18 0-21.69-5.953-27.44-15.54l-33.74-56.23c-4.33-7.221-1.584-13.68-.2031-16.12C99.53 389.7 103.7 384 112.1 384H399.9z"],
    "ski-boot": [512, 512, [], "e3cc", "M496 480H480v-84.64c0-26.17-15.93-49.69-40.23-59.41l-119.6-47.86l63.41-268.4c2.031-8.593-3.281-17.22-11.91-19.22c-8.688-2.156-17.22 3.344-19.22 11.91l-4.754 20.2c-1.543-.2266-3.053-.5468-4.668-.5468L134.4 32.08c-30.51 0-56.78 21.53-62.76 51.44L1.264 435.5C-6.656 475.1 23.63 512 64.02 512H496c8.836 0 16-7.164 16-15.1C512 487.2 504.8 480 496 480zM103 89.75C106 74.85 119.2 64.03 134.4 64.03h72.89L191.8 115.6C172.7 179.4 127.5 232.5 68.55 262.2L103 89.75zM448 480H64.02c-9.625 0-18.64-4.269-24.75-11.71c-6.104-7.443-8.521-17.12-6.633-26.56l28.26-141.3c77.39-30.74 137.6-95.71 161.6-175.6l18.22-60.8h99.59l-22.59 95.99L256 160c-8.836 0-16 7.179-16 16.02c0 8.835 7.164 15.1 16 15.1h54.17l-19.15 79.1H224c-8.836 0-16 7.209-16 16.05c0 8.835 7.164 15.95 16 15.95h53.35l150.7 61.53C440.1 370.5 448 382.2 448 395.2V480z"],
    "ski-boot-ski": [640, 512, [], "e3cd", "M624 400c-8.844 0-16 7.156-16 16c0 35.28-28.72 64-64 64H16C7.156 480 0 487.2 0 496S7.156 512 16 512H544c52.94 0 96-43.06 96-96C640 407.2 632.8 400 624 400zM140.3 416L432 416c17.67 0 32-14.32 32-31.1V312.6c0-17.02-9.014-32.77-23.69-41.39L362.3 225.3l53.23-205.3c2.219-8.531-2.938-17.28-11.5-19.5C402.6 .1641 401.3 0 399.9 0c-7.184 0-13.57 4.799-15.44 12l-5.186 20L186.2 32.01c-15.2 0-28.3 10.69-31.35 25.59l-61.53 300.8C87.22 388.1 109.1 416 140.3 416zM186.2 64h58.51L240.5 77.91C226.9 123.4 198.3 162.8 160.3 190.5L186.2 64zM151.5 233.8C208.9 202.6 252.3 149.8 271.2 87.1L278.1 64h92.96l-24.89 96L304 160c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16l33.85 .001l-8.297 32L288 224c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16l63.29 .001l72.81 42.77C428.1 301.6 432 306.9 432 312.6V384H140.3c-6.607 0-10.6-3.686-12.39-5.883s-4.604-6.85-3.279-13.32L151.5 233.8z"],
    "skull": [512, 512, [128128], "f54c", "M96 256C96 220.7 124.7 192 160 192C195.3 192 224 220.7 224 256C224 291.3 195.3 320 160 320C124.7 320 96 291.3 96 256zM160 288C177.7 288 192 273.7 192 256C192 238.3 177.7 224 160 224C142.3 224 128 238.3 128 256C128 273.7 142.3 288 160 288zM416 256C416 291.3 387.3 320 352 320C316.7 320 288 291.3 288 256C288 220.7 316.7 192 352 192C387.3 192 416 220.7 416 256zM352 224C334.3 224 320 238.3 320 256C320 273.7 334.3 288 352 288C369.7 288 384 273.7 384 256C384 238.3 369.7 224 352 224zM415.1 398.9C415.1 399.3 416 399.6 416 400V464C416 490.5 394.5 512 368 512H144C117.5 512 96 490.5 96 464V400C96 399.6 96 399.3 96.01 398.9C37.48 357.8 0 294.7 0 224C0 100.3 114.6 0 256 0C397.4 0 512 100.3 512 224C512 294.7 474.5 357.8 415.1 398.9V398.9zM383.1 399.6C383.8 388.9 388.9 378.8 397.6 372.7C448.9 336.7 480 282.8 480 224C480 121.8 383.9 32 256 32C128.1 32 32 121.8 32 224C32 282.8 63.11 336.7 114.4 372.7C123.1 378.8 128.2 388.9 128 399.6L128 400V464C128 472.8 135.2 480 144 480H192V432C192 423.2 199.2 416 208 416C216.8 416 224 423.2 224 432V480H288V432C288 423.2 295.2 416 304 416C312.8 416 320 423.2 320 432V480H368C376.8 480 384 472.8 384 464V400L383.1 399.6z"],
    "skull-cow": [640, 512, [], "f8de", "M279.1 256C279.1 269.3 269.3 280 255.1 280C242.7 280 231.1 269.3 231.1 256C231.1 242.7 242.7 232 255.1 232C269.3 232 279.1 242.7 279.1 256zM360 256C360 242.7 370.7 232 384 232C397.3 232 408 242.7 408 256C408 269.3 397.3 280 384 280C370.7 280 360 269.3 360 256zM55.65 1.946C62.46 5.651 65.63 13.71 63.18 21.06L52.04 54.48C49.55 61.95 48.67 69.86 49.45 77.7C52.3 106.3 76.33 128 105 128H184.4C202 108.4 227.6 96 255.1 96H384C412.4 96 437.1 108.4 455.6 128H534.1C563.7 128 587.7 106.3 590.6 77.7C591.3 69.86 590.5 61.95 587.1 54.48L576.8 21.06C574.4 13.71 577.5 5.651 584.4 1.946C591.2-1.759 599.7-.0479 604.5 6.006L611.1 15.33C630.1 38.02 640 66.22 640 95.29V112C640 182.7 582.7 240 512 240H480V288C480 329.8 453.3 365.3 416 378.5L389.7 466.4C381.6 493.5 356.6 512 328.4 512H311.6C283.4 512 258.4 493.5 250.3 466.4L223.1 378.5C186.7 365.3 160 329.8 160 288V240H128C57.31 240 0 182.7 0 112V95.29C0 66.22 9.892 38.02 28.05 15.33L35.51 6.006C40.35-.0482 48.84-1.759 55.65 1.946H55.65zM480 208H512C561.7 208 602.6 170.2 607.5 121.7C591.6 144.1 564.9 160 534.1 160H474.5C478.1 170 480 180.8 480 192L480 208zM32.49 121.7C37.36 170.2 78.26 208 127.1 208H159.1V192C159.1 180.8 161.9 170 165.5 160H105C75.09 160 48.39 144.1 32.49 121.7zM249.9 353.8L280.1 457.2C285 470.7 297.5 480 311.6 480H328.4C342.5 480 354.1 470.7 359 457.2L390.1 353.8L405.4 348.4C430.2 339.5 448 315.8 448 288V192C448 156.7 419.3 128 384 128H256C220.7 128 192 156.7 192 192V288C192 315.8 209.7 339.5 234.6 348.4L249.9 353.8z"],
    "skull-crossbones": [448, 512, [128369, 9760], "f714", "M208 136C208 149.3 197.3 160 184 160C170.7 160 160 149.3 160 136C160 122.7 170.7 112 184 112C197.3 112 208 122.7 208 136zM240 136C240 122.7 250.7 112 264 112C277.3 112 288 122.7 288 136C288 149.3 277.3 160 264 160C250.7 160 240 149.3 240 136zM272 288H176C149.5 288 128 266.5 128 240V223.4C98.54 199.1 80 165.9 80 128C80 57.31 144.5 0 224 0C303.5 0 368 57.31 368 128C368 165.9 349.5 199.1 320 223.4V240C320 266.5 298.5 288 272 288zM336 128C336 78.42 289.5 32 224 32C158.5 32 112 78.42 112 128C112 154.1 125.1 180.2 147.9 198.4L160 207.1V239.1C160 248.8 167.2 255.1 176 255.1H272C280.8 255.1 288 248.8 288 239.1V207.1L300.1 198.4C322.9 180.2 336 154.1 336 128V128zM438.7 318.5L262.2 400L438.7 481.5C446.7 485.2 450.2 494.7 446.5 502.7C442.8 510.7 433.3 514.2 425.3 510.5L224 417.6L22.7 510.5C14.68 514.2 5.176 510.7 1.473 502.7C-2.23 494.7 1.272 485.2 9.295 481.5L185.8 400L9.295 318.5C1.272 314.8-2.23 305.3 1.473 297.3C5.176 289.3 14.68 285.8 22.7 289.5L224 382.4L425.3 289.5C433.3 285.8 442.8 289.3 446.5 297.3C450.2 305.3 446.7 314.8 438.7 318.5z"],
    "slash": [640, 512, [], "f715", "M3.444 6.086C8.92-.8493 18.98-2.033 25.92 3.443L633.9 483.4C640.9 488.9 642 498.1 636.6 505.9C631.1 512.9 621 514 614.1 508.6L6.088 28.56C-.8474 23.08-2.031 13.02 3.444 6.086V6.086z"],
    "slash-back": [320, 512, [], "5c", "M29.72 7.766c-4.562-7.609-14.41-9.969-21.94-5.484c-7.594 4.547-10.06 14.38-5.5 21.95l288 480C293.3 509.2 298.6 512 304 512c2.812 0 5.656-.7344 8.219-2.281c7.594-4.547 10.06-14.38 5.5-21.95L29.72 7.766z"],
    "slash-forward": [320, 512, [], "2f", "M312.2 2.281c-7.469-4.484-17.34-2.125-21.94 5.484l-288 480c-4.562 7.578-2.094 17.41 5.5 21.95C10.34 511.3 13.19 512 16 512c5.406 0 10.72-2.766 13.72-7.766l288-480C322.3 16.66 319.8 6.828 312.2 2.281z"],
    "sleigh": [640, 512, [], "f7cc", "M62.96 32L64 32C123.1 32.36 179.6 63.39 211.4 114.3L218.6 125.8C256.8 186.9 323.8 224 395.8 224C424.6 224 448 200.6 448 171.8V136C448 113.9 465.9 96 488 96H592C600.8 96 608 103.2 608 112C608 120.8 600.8 128 592 128H576V256C576 326.7 518.7 384 448 384V448H568C590.1 448 608 430.1 608 408V384C608 375.2 615.2 368 624 368C632.8 368 640 375.2 640 384V408C640 447.8 607.8 480 568 480H48C39.16 480 32 472.8 32 464C32 455.2 39.16 448 48 448H128V379.1C72.79 365.8 32 315.6 32 256V64H16C7.164 64 0 56.84 0 48C0 39.16 7.164 32 16 32H62.96zM416 448V384H160V448H416zM480 136V171.8C480 218.3 442.3 256 395.8 256C312.7 256 235.5 213.2 191.5 142.8L184.3 131.2C158.3 89.71 112.9 64.36 64 64V256C64 309 106.1 352 160 352H448C501 352 544 309 544 256V128H488C483.6 128 480 131.6 480 136z"],
    "slider": [512, 512, [], "e252", "M352 96C387.3 96 416 124.7 416 160V240H496C504.8 240 512 247.2 512 256C512 264.8 504.8 272 496 272H416V352C416 387.3 387.3 416 352 416H320C284.7 416 256 387.3 256 352V160C256 124.7 284.7 96 320 96H352zM352 128H320C302.3 128 288 142.3 288 160V352C288 369.7 302.3 384 320 384H352C369.7 384 384 369.7 384 352V160C384 142.3 369.7 128 352 128zM16 240H224V272H16C7.164 272 0 264.8 0 256C0 247.2 7.164 240 16 240z"],
    "sliders": [512, 512, ["sliders-h"], "f1de", "M0 416C0 407.2 7.164 400 16 400H81.6C89.01 363.5 121.3 336 160 336C198.7 336 230.1 363.5 238.4 400H496C504.8 400 512 407.2 512 416C512 424.8 504.8 432 496 432H238.4C230.1 468.5 198.7 496 160 496C121.3 496 89.01 468.5 81.6 432H16C7.164 432 0 424.8 0 416V416zM208 416C208 389.5 186.5 368 160 368C133.5 368 112 389.5 112 416C112 442.5 133.5 464 160 464C186.5 464 208 442.5 208 416zM352 176C390.7 176 422.1 203.5 430.4 240H496C504.8 240 512 247.2 512 256C512 264.8 504.8 272 496 272H430.4C422.1 308.5 390.7 336 352 336C313.3 336 281 308.5 273.6 272H16C7.164 272 0 264.8 0 256C0 247.2 7.164 240 16 240H273.6C281 203.5 313.3 176 352 176zM400 256C400 229.5 378.5 208 352 208C325.5 208 304 229.5 304 256C304 282.5 325.5 304 352 304C378.5 304 400 282.5 400 256zM496 80C504.8 80 512 87.16 512 96C512 104.8 504.8 112 496 112H270.4C262.1 148.5 230.7 176 192 176C153.3 176 121 148.5 113.6 112H16C7.164 112 0 104.8 0 96C0 87.16 7.164 80 16 80H113.6C121 43.48 153.3 16 192 16C230.7 16 262.1 43.48 270.4 80H496zM144 96C144 122.5 165.5 144 192 144C218.5 144 240 122.5 240 96C240 69.49 218.5 48 192 48C165.5 48 144 69.49 144 96z"],
    "sliders-simple": [512, 512, [], "e253", "M496 352C504.8 352 512 359.2 512 368C512 376.8 504.8 384 496 384H158.4C150.1 420.5 118.7 448 80 448C35.82 448 0 412.2 0 368C0 323.8 35.82 288 80 288C118.7 288 150.1 315.5 158.4 352H496zM32 368C32 394.5 53.49 416 80 416C106.5 416 128 394.5 128 368C128 341.5 106.5 320 80 320C53.49 320 32 341.5 32 368zM353.6 128C361 91.48 393.3 64 432 64C476.2 64 512 99.82 512 144C512 188.2 476.2 224 432 224C393.3 224 361 196.5 353.6 160H16C7.164 160 0 152.8 0 144C0 135.2 7.164 128 16 128H353.6zM432 192C458.5 192 480 170.5 480 144C480 117.5 458.5 96 432 96C405.5 96 384 117.5 384 144C384 170.5 405.5 192 432 192z"],
    "sliders-up": [512, 512, ["sliders-v"], "f3f1", "M96 0C104.8 0 112 7.164 112 16V81.6C148.5 89.01 176 121.3 176 160C176 198.7 148.5 230.1 112 238.4V496C112 504.8 104.8 512 96 512C87.16 512 80 504.8 80 496V238.4C43.48 230.1 16 198.7 16 160C16 121.3 43.48 89.01 80 81.6V16C80 7.164 87.16 0 96 0zM96 208C122.5 208 144 186.5 144 160C144 133.5 122.5 112 96 112C69.49 112 48 133.5 48 160C48 186.5 69.49 208 96 208zM336 352C336 390.7 308.5 422.1 272 430.4V496C272 504.8 264.8 512 256 512C247.2 512 240 504.8 240 496V430.4C203.5 422.1 176 390.7 176 352C176 313.3 203.5 281 240 273.6V16C240 7.164 247.2 0 256 0C264.8 0 272 7.164 272 16V273.6C308.5 281 336 313.3 336 352zM256 400C282.5 400 304 378.5 304 352C304 325.5 282.5 304 256 304C229.5 304 208 325.5 208 352C208 378.5 229.5 400 256 400zM432 496C432 504.8 424.8 512 416 512C407.2 512 400 504.8 400 496V270.4C363.5 262.1 336 230.7 336 192C336 153.3 363.5 121 400 113.6V16C400 7.164 407.2 0 416 0C424.8 0 432 7.164 432 16V113.6C468.5 121 496 153.3 496 192C496 230.7 468.5 262.1 432 270.4V496zM416 144C389.5 144 368 165.5 368 192C368 218.5 389.5 240 416 240C442.5 240 464 218.5 464 192C464 165.5 442.5 144 416 144z"],
    "slot-machine": [640, 512, [], "e3ce", "M160 176H96C87.16 176 80 183.2 80 192S87.16 208 96 208h43.5L112.5 316.1c-2.125 8.562 3.062 17.25 11.66 19.41C125.4 335.8 126.7 336 128 336c7.188 0 13.72-4.844 15.53-12.12l32-128c1.188-4.781 .125-9.844-2.906-13.72S164.9 176 160 176zM288 176H224C215.2 176 208 183.2 208 192S215.2 208 224 208h43.5L240.5 316.1c-2.125 8.562 3.062 17.25 11.66 19.41C253.4 335.8 254.7 336 256 336c7.188 0 13.72-4.844 15.53-12.12l32-128c1.188-4.781 .125-9.844-2.906-13.72S292.9 176 288 176zM592 128C565.5 128 544 149.5 544 176c0 20.87 13.4 38.45 32 45.06V432c0 26.47-21.53 48-48 48H448v-64c35.35 0 64-28.65 64-64V160c0-35.35-28.65-64-64-64V64c0-35.35-28.65-64-64-64H128C92.65 0 64 28.65 64 64v32C28.65 96 0 124.7 0 160v192c0 35.35 28.65 64 64 64v32c0 35.35 28.65 64 64 64h400c44.13 0 80-35.88 80-80V221.1C626.6 214.5 640 196.9 640 176C640 149.5 618.5 128 592 128zM96 64c0-17.64 14.36-32 32-32h256c17.64 0 32 14.36 32 32v32H96V64zM64 384c-17.64 0-32-14.36-32-32V160c0-17.64 14.36-32 32-32h384c17.64 0 32 14.36 32 32v192c0 17.64-14.36 32-32 32H64zM416 448c0 17.67-14.33 32-32 32H128c-17.67 0-32-14.33-32-32v-32h320V448zM592 192C583.2 192 576 184.8 576 176S583.2 160 592 160S608 167.2 608 176S600.8 192 592 192zM416 176h-64c-8.844 0-16 7.156-16 16s7.156 16 16 16h43.5l-27.03 108.1c-2.125 8.562 3.062 17.25 11.66 19.41C381.4 335.8 382.7 336 384 336c7.188 0 13.72-4.844 15.53-12.12l32-128c1.188-4.781 .125-9.844-2.906-13.72S420.9 176 416 176z"],
    "smog": [640, 512, [], "f75f", "M352 32c40.84 0 78.41 22.71 98.06 59.27c5.764 10.72 16.79 16.86 28.21 16.86c4.814 0 9.697-1.09 14.29-3.385C504.2 98.94 516.1 96 528 96C572.1 96 608 131.9 608 176S572.1 256 528 256h-60.13c-7.738 0-15.21 2.804-21.04 7.893C434.2 274.9 413.1 288 384 288c-29.23 0-50.27-13.08-62.77-24.05C315.4 258.8 307.9 256 300.1 256H144C82.24 256 32 205.8 32 144S82.24 32 144 32c30.69 0 59.4 12.38 80.85 34.85C230.9 73.17 239.3 76.75 248 76.75S265.1 73.17 271.1 66.85C292.6 44.38 321.3 32 352 32zM352 0c-41 0-77.75 17.25-104 44.75C221.8 17.25 185 0 144 0c-79.5 0-144 64.5-144 144C0 223.5 64.5 288 144 288h156.1C322.6 307.8 351.8 320 384 320s61.25-12.25 83.88-32H528C589.9 288 640 237.9 640 176s-50.13-112-112-112c-18 0-34.75 4.625-49.75 12.12C453.1 30.1 406.8 0 352 0zM624 384h-544C71.2 384 64 391.2 64 400C64 408.8 71.2 416 80 416h544c8.801 0 16-7.201 16-16C640 391.2 632.8 384 624 384zM560 480h-320C231.2 480 224 487.2 224 496C224 504.8 231.2 512 240 512h320c8.801 0 16-7.201 16-16C576 487.2 568.8 480 560 480zM144 480h-128C7.199 480 0 487.2 0 496C0 504.8 7.199 512 16 512h128C152.8 512 160 504.8 160 496C160 487.2 152.8 480 144 480z"],
    "smoke": [640, 512, [], "f760", "M528 512h-384C64.59 512 0 447.4 0 368S64.59 224 144 224c39.38 0 76.97 16.42 104 44.76C275 240.4 312.6 224 352 224c52.84 0 101.5 29.81 126.4 75.78C493.8 292 510.7 288 528 288c61.75 0 112 50.25 112 112S589.8 512 528 512zM144 256C82.25 256 32 306.3 32 368S82.25 480 144 480h384c44.13 0 80-35.88 80-80S572.1 320 528 320c-16.88 0-33.16 5.438-47.16 15.72c-4.062 2.969-9.188 3.844-14 2.438s-8.656-5-10.44-9.688C439.7 284.4 398.8 256 352 256C316.1 256 282.1 273.6 261 303.2c-6.062 8.375-20 8.375-26.06 0C213.9 273.6 179.9 256 144 256zM621.7 258.1C633.7 238.2 640 215.3 640 192c0-70.59-57.41-128-128-128c-45.31 0-86.81 24.41-109.6 62.63C379.5 106.9 350.5 96 320 96C284.2 96 249.8 111.1 225.6 137.5C215 149.1 206.7 162.3 201 176.8C197.8 185 201.8 194.3 209.1 197.6c8.188 3.281 17.5-.75 20.78-8.969c4.281-10.84 10.5-20.75 18.47-29.47C267.4 139.3 293.2 128 320 128c28.84 0 56 13.22 74.53 36.28c3.625 4.5 9.406 6.719 15.09 5.75c5.719-.9687 10.47-4.906 12.44-10.38C435.8 121.6 471.9 96 512 96c52.94 0 96 43.06 96 96c0 17.5-4.75 34.63-13.72 49.5c-4.562 7.562-2.156 17.41 5.406 21.97c2.594 1.562 5.438 2.312 8.281 2.312C613.4 265.8 618.7 263 621.7 258.1zM56.41 215.6c6.5-6 6.906-16.12 .9375-22.62C41 175.2 32 152.2 32 128c0-52.94 43.06-96 96-96c33.91 0 64.63 17.69 82.25 47.34C216 89.03 232 89.03 237.8 79.34C255.4 49.69 286.1 32 320 32c28.16 0 54.81 12.31 73.16 33.78c5.75 6.781 15.91 7.531 22.53 1.781c6.719-5.719 7.531-15.81 1.781-22.53C393.1 16.41 357.5 0 320 0C282.6 0 248.1 16.06 224 43.88C199.9 16.06 165.4 0 128 0C57.41 0 0 57.41 0 128c0 32.19 12 62.97 33.78 86.66c3.156 3.406 7.469 5.156 11.78 5.156C49.44 219.8 53.31 218.4 56.41 215.6z"],
    "smoking": [640, 512, [128684], "f48d", "M488 352H48C21.5 352 0 373.5 0 400v64C0 490.5 21.5 512 48 512h440c13.25 0 24-10.75 24-24v-112C512 362.8 501.3 352 488 352zM192 480H48C39.25 480 32 472.8 32 464v-64C32 391.3 39.25 384 48 384H192V480zM480 480H224v-96h256V480zM560 352c-8.801 0-16 7.199-16 16v128c0 8.799 7.199 16 16 16s16-7.201 16-16v-128C576 359.2 568.8 352 560 352zM624 352c-8.801 0-16 7.199-16 16v128c0 8.799 7.199 16 16 16s16-7.201 16-16v-128C640 359.2 632.8 352 624 352zM473.6 131.2C437.5 104.2 416 61.06 416 16C416 7.156 408.8 0 400 0S384 7.156 384 16c0 55.09 26.31 107.7 70.39 140.8C490.5 183.8 512 226.9 512 272C512 280.8 519.2 288 528 288S544 280.8 544 272C544 216.9 517.7 164.3 473.6 131.2zM550.4 156.8C586.5 183.8 608 226.9 608 272C608 280.8 615.2 288 624 288S640 280.8 640 272c0-55.09-26.31-107.7-70.39-140.8C533.5 104.2 512 61.06 512 16C512 7.156 504.8 0 496 0S480 7.156 480 16C480 71.09 506.3 123.7 550.4 156.8z"],
    "snake": [512, 512, [128013], "f716", "M384 80C384 88.84 376.8 96 368 96C359.2 96 352 88.84 352 80C352 71.16 359.2 64 368 64C376.8 64 384 71.16 384 80zM352 144C352 135.2 359.2 128 368 128C376.8 128 384 135.2 384 144C384 152.8 376.8 160 368 160C359.2 160 352 152.8 352 144zM176 512H175.9H115.2C102.5 512 89.98 509.5 78.28 504.6L14.77 478.2C5.826 474.4 0 465.7 0 456C0 446.3 5.826 437.6 14.77 433.8L78.28 407.4C89.98 402.5 102.5 400 115.2 400H256H256.1H344C357.3 400 368 389.3 368 376C368 362.7 357.3 352 344 352H180C98.26 352 32 285.7 32 204C32 122.3 98.26 56 180 56H276.1C297.3 26.13 331.2 8 367.7 8C383.7 8 399.5 11.51 414.1 18.29L468.5 43.7C495 56.08 512 82.72 512 112C512 141.3 495 167.9 468.5 180.3L415.4 205.1C406.7 209.1 397.6 212.1 388.3 213.9C381 215.3 373.6 216 366.2 216H361.7C355.7 216 349.8 215.5 344 214.5C336 213.2 328.3 211 320.9 208C301.3 199.1 284.1 186.2 272 168H180C160.1 168 144 184.1 144 204C144 223.9 160.1 240 180 240H344C349.1 240 355.9 240.4 361.7 241.1C363.2 241.3 364.7 241.6 366.2 241.8C373 242.9 379.7 244.6 386.1 246.7C440.6 264.4 480 315.6 480 376C480 451.1 419.1 512 344 512H176zM293.9 88H180C115.9 88 64 139.9 64 204C64 268.1 115.9 320 180 320H344C374.9 320 400 345.1 400 376C400 406.9 374.9 432 344 432H256.1H256H115.2C106.8 432 98.38 433.7 90.58 436.9L44.8 456L90.58 475.1C98.38 478.3 106.8 480 115.2 480H175.9H344C401.4 480 448 433.4 448 376C448 318.6 401.4 272 344 272H180C142.4 272 112 241.6 112 204C112 166.4 142.4 136 180 136H289.1L298.6 150.2C312.7 171.3 336.3 184 361.7 184H366.2C378.5 184 390.7 181.3 401.8 176.1L454.1 151.3C470.2 144.2 480 128.9 480 112C480 95.15 470.2 79.82 454.1 72.7L400.5 47.29C390.2 42.49 379 40 367.7 40C341.8 40 317.8 52.84 303.4 73.99L293.9 88z"],
    "snooze": [448, 512, [128164, "zzz"], "f880", "M176 32h92.37L164 149.4C159.8 154.1 158.8 160.8 161.4 166.6C164 172.3 169.7 176 176 176h127.1c8.844 0 15.1-7.156 15.1-16s-7.155-16-15.1-16H211.6l104.3-117.4c4.187-4.719 5.219-11.44 2.625-17.19S310.3 0 303.1 0H176C167.2 0 160 7.156 160 16S167.2 32 176 32zM431.1 400h-94.72l107.2-134c3.844-4.812 4.594-11.38 1.906-16.94C443.7 243.5 438.2 240 431.1 240h-127.1c-8.844 0-16 7.156-16 16s7.157 16 16 16h94.72l-107.2 134c-3.844 4.812-4.594 11.38-1.906 16.94C292.2 428.5 297.8 432 303.1 432h127.1c8.844 0 15.1-7.156 15.1-16S440.8 400 431.1 400zM208 240h-159.1C39.16 240 32 247.2 32 256s7.156 16 15.1 16h126.7l-171.2 214c-3.844 4.812-4.594 11.38-1.906 16.94C4.253 508.5 9.847 512 16 512h175.1c8.844 0 15.1-7.156 15.1-16S200.8 480 192 480h-142.7l171.2-214c3.844-4.812 4.594-11.38 1.906-16.94C219.8 243.5 214.2 240 208 240z"],
    "snow-blowing": [640, 512, [], "f761", "M341.9 160c-4.441-7.656-14.21-10.34-21.8-5.844L284.3 174.8l7.557-28.29c2.275-8.531-2.775-17.28-11.29-19.59C272.1 124.9 263.3 129.8 261 138.3L245.2 197.5L191.1 228.3V166.6l43.2-43.31c6.234-6.25 6.234-16.38 0-22.62s-16.33-6.25-22.57 0L191.1 121.4V80C191.1 71.16 184.8 64 176 64S160 71.16 160 80v41.38L139.4 100.7c-6.234-6.25-16.33-6.25-22.57 0s-6.234 16.38 0 22.62l43.2 43.31v61.68L106.8 197.5L90.97 138.3C88.71 129.8 79.95 124.9 71.42 126.1C62.91 129.3 57.86 138 60.14 146.6l7.557 28.29L31.95 154.2C24.31 149.7 14.54 152.3 10.14 160C5.732 167.7 8.35 177.4 15.99 181.8l35.74 20.69L23.54 210.1C15.04 212.4 9.986 221.2 12.26 229.7c1.9 7.156 8.354 11.88 15.4 11.88c1.371 0 2.758-.1875 4.145-.5313L90.83 225.2L144.1 256L90.83 286.8L31.8 270.1C23.36 268.9 14.54 273.8 12.26 282.3s2.773 17.28 11.28 19.59l28.19 7.561l-35.74 20.69C8.35 334.6 5.732 344.3 10.14 352c2.961 5.125 8.322 8 13.84 8c2.711 0 5.455-.6875 7.963-2.156l35.75-20.69l-7.557 28.29c-2.275 8.531 2.775 17.28 11.29 19.59c1.387 .3438 2.773 .5313 4.145 .5313c7.045 0 13.5-4.719 15.4-11.88L106.8 314.5l53.26-30.83v61.68l-43.2 43.31c-6.234 6.25-6.234 16.38 0 22.62s16.33 6.25 22.57 0l20.63-20.69V432c0 8.844 7.139 16 15.96 16s15.96-7.156 15.96-16v-41.38l20.63 20.69C215.7 414.4 219.8 416 223.9 416c4.084 0 8.168-1.562 11.29-4.688c6.234-6.25 6.234-16.38 0-22.62l-43.2-43.31V283.7L245.2 314.5l15.81 59.16c1.9 7.156 8.354 11.88 15.4 11.88c1.371 0 2.758-.1875 4.145-.5313c8.51-2.312 13.56-11.06 11.29-19.59l-7.557-28.29l35.75 20.69C322.6 359.3 325.3 360 328 360c5.518 0 10.88-2.875 13.84-8c4.41-7.656 1.793-17.44-5.844-21.84L300.3 309.5l28.19-7.561c8.51-2.312 13.56-11.06 11.28-19.59s-11.04-13.41-19.54-11.34L261.2 286.8L207.9 256L261.2 225.2l59.03 15.87c1.387 .3438 2.773 .5313 4.145 .5313c7.045 0 13.5-4.719 15.4-11.88c2.275-8.531-2.773-17.28-11.28-19.59L300.3 202.5l35.74-20.69C343.7 177.4 346.3 167.7 341.9 160zM400 224h160C604.1 224 640 188.1 640 144S604.1 64 560 64h-32C519.2 64 512 71.16 512 80S519.2 96 528 96h32C586.5 96 608 117.5 608 144S586.5 192 560 192h-160C391.2 192 384 199.2 384 208S391.2 224 400 224zM560 288h-160C391.2 288 384 295.2 384 304s7.156 16 16 16h160c26.47 0 48 21.53 48 48S586.5 416 560 416h-32c-8.844 0-16 7.156-16 16s7.156 16 16 16h32c44.11 0 80-35.88 80-80S604.1 288 560 288z"],
    "snowflake": [512, 512, [10054, 10052], "f2dc", "M477.8 384c-2.969 5.125-8.27 8-13.8 8c-2.719 0-5.453-.6875-7.984-2.156l-63.61-36.7l13.44 50.14c2.295 8.562-2.781 17.31-11.31 19.62c-1.391 .3438-2.781 .5313-4.156 .5313c-7.062 0-13.52-4.719-15.44-11.84l-21.72-81.06L272 283.7v93.69l59.31 59.31c6.25 6.25 6.25 16.38 0 22.62C328.2 462.4 324.1 464 319.1 464s-8.188-1.562-11.31-4.688L272 422.6V496c0 8.844-7.156 16-16 16s-16-7.156-16-16v-73.38l-36.69 36.69c-6.25 6.25-16.38 6.25-22.62 0s-6.25-16.38 0-22.62L240 377.4V283.7l-81.2 46.85l-21.72 81.06c-1.922 7.125-8.375 11.84-15.44 11.84c-1.375 0-2.766-.1875-4.156-.5313c-8.531-2.312-13.61-11.06-11.31-19.62l13.44-50.14l-63.61 36.7C53.49 391.3 50.74 392 48.02 392c-5.529 0-10.83-2.875-13.8-8c-4.422-7.656-1.871-17.44 5.785-21.84l63.6-36.7L53.44 312C44.91 309.7 39.85 300.1 42.13 292.4S53.26 279 61.72 281.1L142.8 302.8L224 256L142.8 209.2L61.72 230.9C60.33 231.3 58.94 231.4 57.57 231.4c-7.062 0-13.53-4.719-15.44-11.88C39.85 211 44.91 202.3 53.44 199.1l50.17-13.43L40.01 149.8C32.35 145.4 29.8 135.7 34.22 128c4.406-7.656 14.06-10.34 21.78-5.844l63.61 36.7l-13.44-50.14C103.9 100.2 108.1 91.41 117.5 89.09C126 87 134.8 91.91 137.1 100.4l21.72 81.06L240 228.3V134.6L180.7 75.31c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0L240 89.38V16C240 7.156 247.2 0 256 0s16 7.156 16 16v73.38l36.69-36.69c6.25-6.25 16.38-6.25 22.62 0s6.25 16.38 0 22.62L272 134.6v93.69l81.2-46.85l21.72-81.06c2.297-8.5 11.14-13.38 19.59-11.31c8.531 2.312 13.61 11.06 11.31 19.62l-13.44 50.14l63.61-36.7C463.6 117.7 473.3 120.3 477.8 128c4.422 7.656 1.871 17.44-5.785 21.84L408.4 186.5l50.17 13.43c8.529 2.312 13.59 11.06 11.31 19.59c-1.906 7.156-8.373 11.88-15.44 11.88c-1.375 0-2.766-.1875-4.156-.5313L369.2 209.2L287.1 256l81.18 46.84l81.1-21.74c8.531-2.125 17.33 2.812 19.59 11.34c2.281 8.531-2.781 17.28-11.31 19.59l-50.17 13.43l63.6 36.7C479.6 366.6 482.2 376.3 477.8 384z"],
    "snowflakes": [640, 512, [], "f7cf", "M445.7 128c-4.438-7.656-14.16-10.34-21.78-5.844l-63.61 36.7l13.44-50.14c2.295-8.562-2.781-17.31-11.31-19.62c-8.453-2.062-17.3 2.812-19.59 11.31l-21.72 81.06l-81.2 46.85V134.6l59.31-59.31c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0L239.9 89.38V16c0-8.844-7.155-16-15.1-16S207.9 7.156 207.9 16v73.38L171.3 52.69c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l59.31 59.31v93.69L126.7 181.5l-21.72-81.06C102.7 91.91 93.95 87 85.43 89.09C76.9 91.41 71.83 100.2 74.12 108.7l13.44 50.14l-63.61-36.7C16.23 117.7 6.573 120.3 2.167 128c-4.422 7.656-1.871 17.44 5.785 21.84l63.6 36.7l-50.17 13.43C12.86 202.3 7.796 211 10.08 219.6c1.906 7.156 8.373 11.88 15.44 11.88c1.375 0 2.766-.1875 4.156-.5313L110.8 209.2L191.1 256L110.8 302.8L29.67 281.1C21.2 279 12.36 283.9 10.08 292.4s2.781 17.28 11.31 19.59l50.17 13.43l-63.6 36.7C.2958 366.6-2.255 376.3 2.167 384c2.969 5.125 8.27 8 13.8 8c2.719 0 5.469-.6875 7.984-2.156l63.61-36.7l-13.44 50.14c-2.295 8.562 2.781 17.31 11.31 19.62c1.391 .3438 2.781 .5313 4.156 .5313c7.062 0 13.52-4.719 15.44-11.84l21.72-81.06l81.2-46.85v93.69l-59.31 59.31c-6.25 6.25-6.25 16.38 0 22.62s16.38 6.25 22.62 0l36.69-36.69V496c0 8.844 7.158 16 16 16s15.1-7.156 15.1-16v-73.38l36.69 36.69C279.8 462.4 283.8 464 287.9 464s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62l-59.31-59.31V283.7l81.2 46.85l21.72 81.06c1.922 7.125 8.375 11.84 15.44 11.84c1.375 0 2.766-.1875 4.156-.5313c8.531-2.312 13.61-11.06 11.31-19.62l-13.44-50.14l63.61 36.7C426.5 391.3 429.2 392 431.9 392c5.529 0 10.83-2.875 13.8-8c4.422-7.656 1.871-17.44-5.785-21.84l-63.6-36.7l50.17-13.43c8.529-2.312 13.59-11.06 11.31-19.59c-2.266-8.531-11.06-13.47-19.59-11.34L337.1 302.8L255.9 256l81.18-46.84l81.1 21.74c1.391 .3438 2.781 .5313 4.156 .5313c7.062 0 13.53-4.719 15.44-11.88c2.281-8.531-2.781-17.28-11.31-19.59l-50.17-13.43l63.6-36.7C447.6 145.4 450.1 135.7 445.7 128zM606.6 264l28.69-28.69c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0l-28.69 28.69l-28.69-28.69c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L561.3 264l-28.69 28.69c-6.25 6.25-6.25 16.38 0 22.62C535.8 318.4 539.9 320 543.9 320s8.188-1.562 11.31-4.688l28.69-28.69l28.69 28.69C615.8 318.4 619.9 320 623.9 320s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L606.6 264zM572.6 115.3C575.8 118.4 579.9 120 583.9 120s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L566.6 64l28.69-28.69c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0l-28.69 28.69l-28.69-28.69c-6.25-6.25-16.38-6.25-22.63 0s-6.25 16.38 0 22.62L521.3 64l-28.69 28.69c-6.25 6.25-6.25 16.38 0 22.62C495.8 118.4 499.9 120 503.9 120s8.188-1.562 11.31-4.688l28.69-28.69L572.6 115.3z"],
    "snowman": [512, 512, [9924, 9731], "f7d0", "M256 360c-13.12 0-23.1 10.88-23.1 24S242.9 408 256 408s23.1-10.88 23.1-24S269.1 360 256 360zM256 280c-13.12 0-23.1 10.88-23.1 24S242.9 328 256 328s23.1-10.88 23.1-24S269.1 280 256 280zM256 200C242.9 200 232 210.9 232 224S242.9 248 256 248S279.1 237.1 279.1 224S269.1 200 256 200zM240 79.1c0-8.75-7.25-15.1-15.1-15.1c-8.75 0-15.1 7.25-15.1 15.1S215.3 95.1 224 95.1C232.8 95.1 240 88.75 240 79.1zM287.1 63.1c-8.75 0-15.1 7.25-15.1 15.1s7.25 15.1 15.1 15.1c8.75 0 15.1-7.25 15.1-15.1S296.7 63.1 287.1 63.1zM510.1 154.4c-3.109-8.281-12.34-12.56-20.61-9.344l-42.37 15.89V112c0-8.844-7.156-16-15.1-16c-8.844 0-15.1 7.156-15.1 16v60.92l-47.37 17.77c-4.918-13.28-12.2-25.65-21.72-36.63C355.5 138.7 359.1 121.6 359.1 104c0-57.34-46.66-104-104-104S152 46.66 152 104c0 17.59 4.5 34.66 13.09 50.06C155.6 165 148.3 177.4 143.4 190.7L96 172.9V112c0-8.844-7.156-16-15.1-16S64 103.2 64 112v48.92l-42.37-15.89C13.36 141.8 4.113 146.1 1.019 154.4c-3.094 8.281 1.094 17.5 9.359 20.59L136.9 222.4C136.6 225.6 136 228.7 136 232c0 11.22 1.656 22.44 4.953 33.5C112.3 295.3 96 335 96 376c0 53.72 26.75 103.6 71.53 133.3c7.391 4.906 17.31 2.906 22.19-4.469c4.891-7.344 2.891-17.28-4.469-22.16C149.4 458.9 128 419 128 376c0-36.03 14.97-69.53 42.16-94.31C175.1 277.2 176.7 270.2 174.3 264c-4.156-10.53-6.266-21.31-6.266-32c0-24.47 10.05-47.28 28.27-64.22c5.953-5.531 6.812-14.66 1.984-21.22C188.9 133.9 184 119.2 184 104C184 64.31 216.3 32 256 32s71.1 32.31 71.1 72c0 15.19-4.922 29.91-14.25 42.56c-4.828 6.562-3.969 15.69 1.984 21.22C333.1 184.7 343.1 207.5 343.1 232c0 10.69-2.109 21.47-6.266 32.06c-2.422 6.188-.7813 13.22 4.125 17.69c27.17 24.72 42.14 58.22 42.14 94.25c0 43-21.41 82.88-57.25 106.7c-7.359 4.875-9.359 14.81-4.469 22.16C325.4 509.5 330.4 512 335.6 512c3.047 0 6.109-.875 8.844-2.688c44.78-29.75 71.53-79.59 71.53-133.3c0-41-16.27-80.69-44.95-110.5C374.3 254.4 375.1 243.2 375.1 232c0-3.258-.5957-6.393-.8516-9.602l126.5-47.43C509.9 171.9 514.1 162.7 510.1 154.4zM256 152c8.844 0 15.1-7.156 15.1-16l.0002-16c0-8.844-7.156-16-15.1-16s-15.1 7.156-15.1 16l.0002 16C240 144.8 247.2 152 256 152z"],
    "snowman-head": [448, 512, ["frosty-head"], "f79b", "M432 192h-416c-8.844 0-16 7.156-16 16S7.156 224 16 224h45.4c-25.94 34.45-40.48 76.52-40.48 120c0 62.41 28.39 120.1 77.89 158.3C106.9 508.6 117.2 512 128 512h188.9c10.77 0 21.14-3.438 29.19-9.656C395.6 464.1 424 406.4 424 344c0-43.48-14.54-85.55-40.48-120H432c8.844 0 16-7.156 16-16S440.8 192 432 192zM392 344c0 52.41-23.86 100.9-65.45 133C324.1 478.9 320.6 480 316.9 480H128c-3.719 0-7.141-1.062-9.625-2.969C76.78 444.9 52.92 396.4 52.92 344c0-45.03 18.42-88.41 50.72-120h237.6C373.6 255.6 392 298.1 392 344zM80 160C88.84 160 96 152.8 96 144v-96C96 39.19 103.2 32 112 32h224C344.8 32 352 39.19 352 48v96C352 152.8 359.2 160 368 160S384 152.8 384 144v-96C384 21.53 362.5 0 336 0h-224C85.53 0 64 21.53 64 48v96C64 152.8 71.16 160 80 160zM144 280c-13.25 0-24 10.75-24 24s10.75 24 24 24c13.26 0 24-10.75 24-24S157.3 280 144 280zM304 280c-13.25 0-24 10.75-24 24s10.75 24 24 24c13.26 0 24-10.75 24-24S317.3 280 304 280zM224 320c-29.41 0-53.33 23.94-53.33 53.34c0 23.84 30.75 70.13 40.17 83.76C213.8 461.4 218.8 464 224 464s10.17-2.588 13.16-6.9c9.422-13.62 40.17-59.91 40.17-83.76C277.3 343.9 253.4 320 224 320zM224 418.6c-11.7-19.22-21.33-38.38-21.33-45.25C202.7 361.4 212 352 224 352s21.33 9.375 21.33 21.34C245.3 380.2 235.7 399.4 224 418.6z"],
    "snowplow": [640, 512, [], "f7d2", "M96 400C96 386.7 106.7 376 120 376C133.3 376 144 386.7 144 400C144 413.3 133.3 424 120 424C106.7 424 96 413.3 96 400zM224 400C224 413.3 213.3 424 200 424C186.7 424 176 413.3 176 400C176 386.7 186.7 376 200 376C213.3 376 224 386.7 224 400zM256 400C256 386.7 266.7 376 280 376C293.3 376 304 386.7 304 400C304 413.3 293.3 424 280 424C266.7 424 256 413.3 256 400zM384 400C384 413.3 373.3 424 360 424C346.7 424 336 413.3 336 400C336 386.7 346.7 376 360 376C373.3 376 384 386.7 384 400zM128 32C128 14.33 142.3 0 160 0H298.9C318.1 0 335.5 11.44 343 29.09L428.1 227.7C430.7 233.6 432 240.1 432 246.6V288H528V240C528 236.3 529.3 232.6 531.7 229.8L611.7 133.8C617.4 126.1 627.5 126.1 634.2 131.7C641 137.4 641.9 147.5 636.3 154.2L560 245.8V394.2L636.3 485.8C641.9 492.5 641 502.6 634.2 508.3C627.5 513.9 617.4 513 611.7 506.2L531.7 410.2C529.3 407.4 528 403.7 528 400V319.1H446.4C467.1 340.3 480 368.7 480 400C480 461.9 429.9 512 368 512H112C50.14 512 0 461.9 0 400C0 355.3 26.16 316.8 64 298.8V167.1C64 145.9 81.91 127.1 104 127.1H128V32zM208 256C202.7 256 197.7 253.3 194.7 248.9L135.4 160H103.1C99.58 160 95.1 163.6 95.1 168V289.1C101.2 288.4 106.6 288 111.1 288H368C379.1 288 389.9 289.6 400 292.6V256H208zM160 139.2L216.6 224H391.7L313.6 41.7C311.1 35.81 305.3 32 298.9 32H160L160 139.2zM368 320H112C67.82 320 32 355.8 32 400C32 444.2 67.82 480 112 480H368C412.2 480 448 444.2 448 400C448 355.8 412.2 320 368 320z"],
    "soap": [512, 512, [129532], "e06e", "M320 240c35.35 0 64-28.65 64-64c0-35.35-28.65-64-64-64s-64 28.65-64 64C256 211.3 284.7 240 320 240zM320 144c17.67 0 32 14.33 32 32c0 17.67-14.33 32-32 32s-32-14.33-32-32C288 158.3 302.3 144 320 144zM400 96C426.5 96 448 74.47 448 48S426.5 0 400 0S352 21.53 352 48S373.5 96 400 96zM400 32C408.8 32 416 39.17 416 48S408.8 64 400 64S384 56.83 384 48S391.2 32 400 32zM434.4 193.8C424.8 191.9 416 199.8 416 209.6c0 7.771 5.658 14.15 13.26 15.76C458.2 231.5 480 257.3 480 288v128c0 35.35-28.65 64-64 64H96c-35.35 0-64-28.65-64-64V288c0-35.35 28.65-64 64-64h112C216.8 224 224 216.8 224 208C224 199.2 216.8 192 208 192H96C42.98 192 0 234.1 0 288v128c0 53.02 42.98 96 96 96h320c53.02 0 96-42.98 96-96V288C512 241.3 478.6 202.4 434.4 193.8zM160 272c-44.18 0-80 35.82-80 80s35.82 80 80 80h192c44.18 0 80-35.82 80-80S396.2 272 352 272H160zM400 352c0 26.47-21.53 48-48 48H160c-26.47 0-48-21.53-48-48S133.5 304 160 304h192C378.5 304 400 325.5 400 352zM192 128c35.35 0 64-28.65 64-64S227.3 0 192 0S128 28.65 128 64S156.7 128 192 128zM192 32c17.64 0 32 14.36 32 32S209.6 96 192 96S160 81.64 160 64S174.4 32 192 32z"],
    "socks": [576, 512, [129510], "f696", "M497.1 0h-116C356.6 0 336 20.62 336 46v216.5L253.2 318.8c-44.77 33.53-58.38 93.66-31.69 139.9C240.8 492.1 275.2 512 313.6 512c23.09 0 45.06-7.375 63.27-21.09l112.6-81.13C523.6 384.3 544 343.6 544 301V46C544 20.62 523.4 0 497.1 0zM512 301c0 32.59-15.56 63.69-41.41 83l-112.7 81.16C345 474.9 329.7 480 313.6 480c-26.84 0-50.94-13.97-64.42-37.34c-18.3-31.66-8.125-74.81 22.55-97.81L368 279.5V128H512V301zM512 96h-144V46C368 38.28 374.3 32 381.1 32h116C505.7 32 512 38.28 512 46V96zM181.9 465.2C169 474.9 153.7 480 137.6 480c-26.84 0-50.94-13.97-64.42-37.34c-18.3-31.66-8.125-74.81 22.55-97.81L192 279.5V128h96c8.844 0 16-7.156 16-16S296.8 96 288 96H192V46C192 38.28 198.3 32 205.1 32H288c8.844 0 16-7.156 16-16S296.9 0 288 0H205.1C180.6 0 160 20.62 160 46v216.5L77.19 318.8c-44.77 33.53-58.38 93.66-31.69 139.9C64.77 492.1 99.12 512 137.5 512c23.09 0 45.16-7.375 63.63-21.28c7.062-5.312 8.469-15.34 3.156-22.41S189 459.9 181.9 465.2z"],
    "soft-serve": [384, 512, [127846, "creemee"], "e400", "M215 0C281.8 0 336 54.17 336 121C336 136.3 331.7 150.5 324.2 162.6C358.6 171.5 384 202.8 384 240C384 272.8 364.3 300.1 336 313.3V352C336 374.2 320.9 392.1 300.3 398.4L291.4 469.1C288.4 493.1 267.1 512 243.8 512H140.2C116 512 95.62 493.1 92.62 469.1L83.68 398.4C63.14 392.1 48 374.2 48 352V313.3C19.75 300.1 0 272.8 0 240C0 204.2 23.46 173.1 55.84 163.7C50.84 154.2 48 143.5 48 132C48 94.44 78.44 64 116 64H177.3C185.4 64 192 57.42 192 49.3C192 46.39 191.1 43.56 189.5 41.14L178.7 24.88C175.4 19.97 175.1 13.65 177.9 8.45C180.7 3.248 186.1 0 192 0L215 0zM304 288C330.5 288 352 266.5 352 240C352 213.5 330.5 192 304 192H240C231.2 192 224 184.8 224 176C224 167.2 231.2 160 240 160H283.2C295.8 151.5 304 137.2 304 121C304 73.78 267.2 35.15 220.8 32.18C222.9 37.61 224 43.41 224 49.3C224 75.09 203.1 96 177.3 96H116C96.12 96 80 112.1 80 132C80 143.3 85.19 153.4 93.37 160H112C120.8 160 128 167.2 128 176C128 184.8 120.8 192 112 192H80C53.49 192 32 213.5 32 240C32 266.5 53.49 288 80 288H304zM80 320V352C80 360.8 87.16 368 96 368H98C106.1 368 112.9 374 113.9 382L124.4 465.1C125.4 473.1 132.2 480 140.2 480H243.8C251.8 480 258.6 473.1 259.6 465.1L270.1 382C271.1 374 277.9 368 286 368H288C296.8 368 304 360.8 304 352V320H80z"],
    "solar-panel": [640, 512, [], "f5ba", "M432 480h-96.17v-48c0-8.844-7.156-16-16-16s-16 7.156-16 16V480H208c-8.844 0-15.99 7.156-15.99 16S199.2 512 208 512l223.1-.1667c8.844 0 15.99-7.156 15.99-16S440.8 480 432 480zM639.1 309.5l-44.26-256C589.5 22.62 561.8 0 529.3 0H110.7C78.22 0 50.52 22.62 45.18 53.48l-44.26 256C-5.824 348.5 25.38 384 66.41 384h507.2C614.6 384 645.8 348.5 639.1 309.5zM255.1 32h130.3l13.18 144.1H241.7L255.1 32zM193.4 352H66.41c-10.63 0-20.51-4.48-27.08-12.29c-3.457-4.107-8.949-12.79-6.875-24.78l18.32-105.1H206.6L193.4 352zM209.6 176.1H56.31l20.41-118C79.41 43.33 93.69 32 110.7 32h112.3L209.6 176.1zM225.6 352l13.21-143h162.7L414.5 352H225.6zM417.5 32h111.8c16.98 0 31.26 11.33 33.96 26.93l20.41 118h-152.1L417.5 32zM600.7 339.7C594.1 347.5 584.2 352 573.6 352H446.6l-13-143h155.6l18.32 105.1C609.6 326.9 604.1 335.6 600.7 339.7z"],
    "solar-system": [512, 512, [], "e02f", "M380.4 123.7c-12.62-12.63-31.37-14.5-46.37-6.75c-23.62-13.25-50.23-20.98-77.97-20.98c-73.37 0-137.3 49.98-155 121.1c-17.87 71.25 14.1 145.4 79.75 180c64.75 34.5 144.6 20.63 193.9-33.75c49.37-54.38 55.25-135.3 14.5-196.3C395.3 152.1 391.8 135.1 380.4 123.7zM346.6 346.5c-48.37 48.38-132.7 48.38-181.1 0c-36.62-36.63-47.5-91.63-27.75-139.5c19.87-47.88 66.5-79 118.4-79c20.5 0 39.1 5.375 57.87 14.38c-3.375 13.25-.5 27.63 9.749 37.88c10.87 10.75 26.87 14.38 41.25 9.25C396.3 239.7 388.5 304.9 346.6 346.5zM437.1 75c-71.3-71.43-177.1-93.72-270.3-58.72C157.6 19.74 153.1 30.1 159.3 39.25c7.218 11.07 18.29 6.88 18.79 6.695c86.77-32.49 185.3-8.21 247 62.3c64.5 73.88 73.25 181.3 21.75 264.6c-25.5-11.5-55.62-2.5-70.75 21.13c-14.1 23.63-10.5 54.75 10.75 73c21.12 18.38 52.5 18.38 73.75 0c21.12-18.25 25.75-49.38 10.62-73C535.1 294.1 523.8 161.8 437.1 75zM424.1 447.1c-13.25 0-23.1-10.75-23.1-24s10.75-24 23.1-24c13.25 0 23.1 10.75 23.1 24S437.4 447.1 424.1 447.1zM351.2 472.9c-3.99-6.168-11.61-8.989-18.51-6.477c-66.26 24.11-140.3 15.74-199.7-23.22c-63.12-41.5-100.1-111.9-101.1-187.3c0-42 12.25-81.88 33.75-116.8c25.62 11.38 55.75 2.25 70.75-21.38C151.4 94.24 146.9 63.11 125.6 44.74C104.5 26.36 73.03 26.36 51.78 44.61C30.53 62.86 25.78 93.99 40.65 117.6c-63.87 99.13-52.43 232.6 34.31 319.4c70.79 70.91 175.9 93.45 268.8 59.43C350.4 493.1 358.3 483.9 351.2 472.9zM88.02 63.99c13.25 0 23.1 10.75 23.1 24S101.3 111.1 88.02 111.1c-13.25 0-23.1-10.75-23.1-24S74.78 63.99 88.02 63.99zM256.1 175.1c-44.25 0-79.99 35.88-79.99 80c0 44.25 35.75 80 79.99 80c44.12 0 79.99-35.88 79.99-80C336 211.9 300.3 175.1 256.1 175.1zM256.1 303.1c-26.62 0-47.1-21.5-47.1-48s21.5-48 47.1-48c26.5 0 47.1 21.5 47.1 48S282.6 303.1 256.1 303.1z"],
    "sort": [320, 512, ["unsorted"], "f0dc", "M287.1 288h-255.9c-28.36 0-42.73 34.5-22.62 54.63l127.1 128c12.5 12.5 32.86 12.5 45.36 0l127.1-128C330.7 322.5 316.3 288 287.1 288zM160 448L32.05 320h255.9L160 448zM32.05 224h255.9c28.36 0 42.73-34.5 22.62-54.62l-127.1-128c-12.5-12.5-32.86-12.5-45.36 0L9.304 169.4C-10.69 189.5 3.682 224 32.05 224zM160 63.97L287.1 192h-255.9L160 63.97z"],
    "sort-down": [320, 512, ["sort-desc"], "f0dd", "M287.1 288h-255.9c-28.36 0-42.73 34.5-22.62 54.63l127.1 128c12.5 12.5 32.86 12.5 45.36 0l127.1-128C330.7 322.5 316.3 288 287.1 288zM159.1 448L32.05 320h255.9L159.1 448z"],
    "sort-up": [320, 512, ["sort-asc"], "f0de", "M32.05 224h255.9c28.36 0 42.73-34.5 22.62-54.62l-127.1-128c-12.5-12.5-32.86-12.5-45.36 0L9.304 169.4C-10.69 189.5 3.682 224 32.05 224zM160 63.98L287.1 192h-255.9L160 63.98z"],
    "spa": [576, 512, [], "f5bb", "M568.3 192c-22.62 0-92 4.335-158.9 42.33c-19.38-81.49-60.38-153.9-112.5-199.2C294.5 32.1 291.2 32 288 32S281.6 32.1 279.1 35.12C227 80.5 185.1 152.9 166.6 234.5C99.75 196.4 30.38 192.2 7.75 192C3.375 192 0 195.5 0 199.9c.25 27.1 7.125 126.2 88.75 199.3c58.25 56.75 131.1 74.94 177 80.57c0 .375 44.5 .375 44.5 0c45.88-5.625 118.8-23.82 177-80.57C568.9 326 575.8 227.9 576 199.9C576 195.5 572.6 192 568.3 192zM110.1 375.5C54.88 325.1 38.5 263.2 33.75 225.5c40.87 4.125 111 19.37 166.5 73.49c25.38 22.75 44.38 49.1 58.13 83.24C266.9 402.8 272 423.6 272 448.1C229.3 446.1 157.4 421.5 110.1 375.5zM221.6 275c-8.5-8.249-17.5-15.29-26.5-22.04C210.2 181.4 243.9 114.9 288 70.62c44.25 44.25 77.75 110.7 92.88 182.4c-9 6.75-18 13.79-26.5 22.04C321.2 304.6 301 338.4 288 369.9C275 338.4 254.8 304.6 221.6 275zM464.9 376.4C420.2 419.8 348.8 446.8 304 448.1c0-24.37 5-45.12 13.62-65.87c13.75-33.37 32.75-60.5 59.13-84.24c54.75-53.37 124.7-68.37 165.4-72.5C537.5 263.2 520.9 326.1 464.9 376.4z"],
    "space-station-moon": [512, 512, [], "e033", "M168 160C168 146.7 178.7 136 192 136C205.3 136 216 146.7 216 160C216 173.3 205.3 184 192 184C178.7 184 168 173.3 168 160zM280 160C280 208.6 240.6 248 192 248C143.4 248 104 208.6 104 160C104 111.4 143.4 72 192 72C240.6 72 280 111.4 280 160zM192 104C161.1 104 136 129.1 136 160C136 190.9 161.1 216 192 216C222.9 216 248 190.9 248 160C248 129.1 222.9 104 192 104zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM36.18 299.3C38.24 300 40.39 300.8 42.65 301.6C78.98 314.7 142.1 337.4 256 337.4C369.9 337.4 433 314.7 469.3 301.6C471.6 300.8 473.8 300 475.8 299.3C478.6 285.3 480 270.8 480 256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256C32 270.8 33.44 285.3 36.18 299.3zM47.15 337.2C79.66 420.8 160.9 480 256 480C351.1 480 432.3 420.8 464.8 337.2C425.6 350.7 360.8 369.4 256 369.4C151.2 369.4 86.35 350.7 47.15 337.2V337.2z"],
    "space-station-moon-construction": [512, 512, ["space-station-moon-alt"], "e034", "M36.18 299.3C38.24 300 40.39 300.8 42.65 301.6C78.98 314.7 142.1 337.4 256 337.4C369.9 337.4 433 314.7 469.3 301.6C471.6 300.8 473.8 300 475.8 299.3C478.6 285.3 480 270.8 480 256H432C423.2 256 416 248.8 416 240C416 231.2 423.2 224 432 224H495.5C503.9 224 510.9 230.5 511.4 238.9C511.8 244.6 512 250.3 512 256C512 276 509.7 295.6 505.3 314.3C504.5 317.9 502.4 321.2 499.4 323.4L497.7 324.7C496.3 325.8 494.7 326.6 493.1 327.2C489.2 328.5 484.8 330.1 479.8 331.8C442.1 345.1 375.5 369.4 256 369.4C151.2 369.4 86.35 350.7 47.15 337.2C79.66 420.8 160.9 480 256 480C324.9 480 386.5 448.9 427.6 400H416C407.2 400 400 392.8 400 384C400 375.2 407.2 368 416 368H459.1C464.9 368 470.3 371.2 473.1 376.3C475.9 381.4 475.7 387.6 472.6 392.5C427.3 464.3 347.2 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C339.8 0 414.1 40.24 460.8 102.4C464.4 107.2 465 113.7 462.3 119.1C459.6 124.6 454.1 127.1 448 127.1H368C359.2 127.1 352 120.8 352 111.1C352 103.1 359.2 95.98 368 95.98H412.7C372.3 56.38 317 32 256 32C132.3 32 32 132.3 32 256C32 270.8 33.44 285.3 36.18 299.3H36.18zM216 160C216 173.3 205.3 184 192 184C178.7 184 168 173.3 168 160C168 146.7 178.7 136 192 136C205.3 136 216 146.7 216 160zM280 160C280 208.6 240.6 248 192 248C143.4 248 104 208.6 104 160C104 111.4 143.4 72 192 72C240.6 72 280 111.4 280 160zM192 104C161.1 104 136 129.1 136 160C136 190.9 161.1 216 192 216C222.9 216 248 190.9 248 160C248 129.1 222.9 104 192 104zM448 160C456.8 160 464 167.2 464 176C464 184.8 456.8 192 448 192H368C359.2 192 352 184.8 352 176C352 167.2 359.2 160 368 160H448z"],
    "spade": [512, 512, [9824], "f2f4", "M463.2 417.3C408.3 463.4 328.3 455.6 278.1 407C277.2 406.1 276.3 405.2 275.4 404.3L272 400.6V480H336C344.8 480 352 487.2 352 496C352 504.8 344.8 512 336 512H176C167.2 512 160 504.8 160 496C160 487.2 167.2 480 176 480H240V400.6L236.5 404.3C235.7 405.1 235 405.8 234.3 406.5C184.1 455.5 102.8 463.6 49.7 417.3C-13.23 363.4-16.22 267.5 39.71 209.5L233.5 9.74C245.5-3.247 266.4-3.247 279.4 9.74L472.2 209.5C528.1 267.5 525.1 363.4 463.2 417.3L463.2 417.3zM449.2 231.8L256.7 32.29C256.6 32.18 256.5 32.11 256.4 32.08L62.73 231.8L62.71 231.8C19.4 276.7 21.8 351.3 70.53 393L70.71 393.2C110 427.4 173.6 422.6 213.5 382.1L233.3 361.3C239.4 354.8 247.1 351.2 256.9 351.4C265.8 351.5 274.2 355.3 280.2 361.9L298.7 382.4C338.2 422.3 400.9 427.7 442.4 392.1C490.1 351.2 492.5 276.6 449.2 231.8H449.2z"],
    "spaghetti-monster-flying": [640, 512, ["pastafarianism"], "f67b", "M629.3 355.1c-29.88-11-52.5 3.75-70.75 15.63c-17 11-27.12 17-40.25 12.25c-13.12-4.875-16.62-15.88-21.62-35c-3.375-12.62-7.25-27.25-16.87-39.25c7.5-9.125 13.5-17.88 18.25-25.63C507.8 294.4 520.8 304 540.1 304c30.12 0 44.88-22.88 55.75-39.5C607 247.5 612.9 240 623.4 240C632.5 240 640 232.9 640 224s-7.5-16-16.62-16c-30 0-44.88 22.88-55.75 39.5C556.6 264.5 550.6 272 540.1 272c-46 0-20.62-62.88-119.1-118.4l21.12-42.25C444.1 111.6 445.1 112 448 112c30.88 0 56-25.12 56-56S478.9 0 448 0s-56 25.12-56 56c0 17.38 8.125 32.75 20.62 43L392 140.1C371.2 132.6 347.4 128 320 128S268.8 132.6 248 140.1L227.4 99C239.9 88.75 248 73.38 248 56C248 25.12 222.9 0 192 0S136 25.12 136 56S161.1 112 192 112c1.999 0 3.875-.375 5.875-.625L219 153.6C120.5 209.1 145.9 272 99.88 272c-10.5 0-16.5-7.5-27.5-24.5C61.5 230.9 46.62 208 16.62 208C7.5 208 0 215.1 0 224s7.5 16 16.62 16c10.5 0 16.38 7.5 27.5 24.5C55 281.1 69.75 304 99.88 304c19.37 0 32.37-9.625 42.12-20.88C146.8 290.9 152.8 299.6 160.2 308.8c-9.625 12-13.5 26.62-16.87 39.25c-5 19.12-8.5 30.12-21.62 35c-13.13 4.75-23.25-1.25-40.25-12.25c-18.25-11.88-40.88-26.63-70.75-15.63c-8.625 3.125-12.88 12.38-9.625 20.63C4.375 384.1 13.1 388.2 22.5 385c13.12-4.75 23.38 1.25 40.38 12.25c13.62 8.875 29.88 19.5 49.88 19.5c6.5 0 13.5-1.25 20.87-3.875c29.88-11 36.63-36.5 42-56.88c2.5-9.625 4.625-17.12 7.875-22.88c19.38 17.38 44.75 33.12 76.63 42.38C247.6 425.5 223.8 478.4 192 478.4c-8.875 0-16 7.5-16 16.75C176 504.5 183.1 512 192 512c60.5 0 89.25-88 99.63-129.9C300.6 383.2 309.1 384 320 384c9.999 0 19.38-.7932 28.38-1.918C358.8 424 387.5 512 448 512c8.875 0 16-7.5 16-16.88c0-9.25-7.125-16.75-16-16.75c-31.75 0-55.63-52.88-68.13-102.9c31.88-9.25 57.25-25 76.63-42.38c3.125 5.75 5.375 13.25 7.875 22.75c5.375 20.5 12.12 46 42 57c7.375 2.625 14.38 3.875 20.88 3.875c20 0 36.25-10.63 49.88-19.5c17-11 27.25-17 40.38-12.25c8.499 3.25 18.12-1 21.38-9.25C642.1 367.5 637.9 358.2 629.3 355.1zM448 32c13.25 0 24 10.75 24 24S461.2 79.97 448 79.97S424 69.25 424 56S434.8 32 448 32zM192 79.97c-13.25 0-24-10.72-24-23.97S178.8 32 192 32s24 10.75 24 24S205.2 79.97 192 79.97zM320 352c-97 0-142.4-68.25-156.8-96C177.5 228.4 222.9 160 320 160s142.5 68.38 156.8 96C462.4 283.8 417 352 320 352z"],
    "sparkles": [512, 512, [10024], "f890", "M432 32C440.8 32 448 39.16 448 48V96H496C504.8 96 512 103.2 512 112C512 120.8 504.8 128 496 128H448V176C448 184.8 440.8 192 432 192C423.2 192 416 184.8 416 176V128H368C359.2 128 352 120.8 352 112C352 103.2 359.2 96 368 96H416V48C416 39.16 423.2 32 432 32zM432 320C440.8 320 448 327.2 448 336V384H496C504.8 384 512 391.2 512 400C512 408.8 504.8 416 496 416H448V464C448 472.8 440.8 480 432 480C423.2 480 416 472.8 416 464V416H368C359.2 416 352 408.8 352 400C352 391.2 359.2 384 368 384H416V336C416 327.2 423.2 320 432 320zM123.3 321.8L9.292 269.1C3.627 266.5 0 260.8 0 254.6C0 248.3 3.627 242.6 9.292 240L123.3 187.3L176 73.29C178.6 67.63 184.3 64 190.6 64C196.8 64 202.5 67.63 205.1 73.29L257.8 187.3L371.8 240C377.5 242.6 381.1 248.3 381.1 254.6C381.1 260.8 377.5 266.5 371.8 269.1L257.8 321.8L205.1 435.8C202.5 441.5 196.8 445.1 190.6 445.1C184.3 445.1 178.6 441.5 176 435.8L123.3 321.8zM54.16 254.6L136.8 292.7C143.7 295.9 149.2 301.4 152.4 308.3L190.6 390.9L228.7 308.3C231.9 301.4 237.4 295.9 244.3 292.7L326.9 254.6L244.3 216.4C237.4 213.2 231.9 207.7 228.7 200.8L190.6 118.2L152.4 200.8C149.2 207.7 143.7 213.2 136.8 216.4L54.16 254.6z"],
    "speaker": [384, 512, [], "f8df", "M192 192c35.38 0 64-28.62 64-64s-28.62-64-64-64S128 92.63 128 128S156.6 192 192 192zM192 96c17.62 0 32 14.38 32 32s-14.38 32-32 32S160 145.6 160 128S174.4 96 192 96zM192 224c-61.88 0-112 50.13-112 112S130.1 448 192 448s112-50.13 112-112S253.9 224 192 224zM192 416c-44.13 0-80-35.88-80-80S147.9 256 192 256s80 35.88 80 80S236.1 416 192 416zM320 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h256c35.35 0 64-28.65 64-64V64C384 28.65 355.3 0 320 0zM352 448c0 17.67-14.33 32-32 32H64c-17.67 0-32-14.33-32-32V64c0-17.67 14.33-32 32-32h256c17.67 0 32 14.33 32 32V448zM192 312c-13.22 0-24 10.78-24 24s10.78 24 24 24s24-10.78 24-24S205.2 312 192 312z"],
    "speakers": [640, 512, [], "f8e0", "M464 192c35.38 0 64-28.62 64-64s-28.62-64-64-64s-64 28.62-64 64S428.6 192 464 192zM464 96c17.62 0 32 14.38 32 32s-14.38 32-32 32s-32-14.38-32-32S446.4 96 464 96zM464 312c-13.22 0-24 10.78-24 24s10.78 24 24 24s24-10.78 24-24S477.2 312 464 312zM576 0h-224C316.7 0 288 28.65 288 64v384c0 35.35 28.65 64 64 64h224c35.35 0 64-28.65 64-64V64C640 28.65 611.3 0 576 0zM608 448c0 17.67-14.33 32-32 32h-224c-17.67 0-32-14.33-32-32V64c0-17.67 14.33-32 32-32h224c17.67 0 32 14.33 32 32V448zM464 224C402.1 224 352 274.1 352 336s50.13 112 112 112s112-50.13 112-112S525.9 224 464 224zM464 416c-44.13 0-80-35.88-80-80S419.9 256 464 256S544 291.9 544 336S508.1 416 464 416zM152 336c0 13.22 10.78 24 24 24s24-10.78 24-24S189.2 312 176 312S152 322.8 152 336zM240 128c0-35.38-28.62-64-64-64s-64 28.62-64 64s28.62 64 64 64S240 163.4 240 128zM144 128c0-17.62 14.38-32 32-32s32 14.38 32 32s-14.38 32-32 32S144 145.6 144 128zM256 16C256 7.162 248.8 0 240 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h176C248.8 512 256 504.8 256 496C256 487.2 248.8 480 240 480H64c-17.67 0-32-14.33-32-32V64c0-17.67 14.33-32 32-32h176C248.8 32 256 24.84 256 16zM242.4 264.9c4.906-7.344 2.906-17.28-4.438-22.17C219.6 230.5 198.1 224 175.9 224c-61.75 0-112 50.25-112 112S114.2 448 175.9 448c22.16 0 43.63-6.453 62-18.69c7.344-4.891 9.344-14.83 4.438-22.17c-4.906-7.406-14.84-9.359-22.19-4.453C207.1 411.4 191.8 416 176 416C131.9 416 96 380.1 96 336S131.9 256 176 256c15.81 0 31.09 4.609 44.19 13.31C227.6 274.2 237.5 272.3 242.4 264.9z"],
    "spell-check": [576, 512, [], "f891", "M571.3 281c-6.25-6.25-16.37-6.25-22.62 0l-192.3 192.3l-105-105c-6.25-6.25-16.37-6.25-22.62 0s-6.25 16.38 0 22.62l116.4 116.4C348.2 510.4 352.3 512 356.4 512c4.094 0 8.187-1.562 11.31-4.688l203.6-203.6C577.6 297.4 577.6 287.3 571.3 281zM222.7 233.7l-95.1-224c-5.031-11.78-24.37-11.78-29.41 0l-95.1 224c-3.484 8.109 .2812 17.52 8.406 21c8.078 3.5 17.52-.25 20.1-8.406L53.98 192h116l23.27 54.3C195.9 252.4 201.8 256 208 256c2.109 0 4.25-.4062 6.297-1.297C222.4 251.2 226.2 241.8 222.7 233.7zM67.69 160l44.31-103.4L156.3 160H67.69zM272 256h103.1c39.7 0 71.1-32.3 71.1-72c0-31.03-19.73-57.55-47.33-67.64C410.3 104.1 416 88.72 416 72c0-39.7-32.3-72-71.1-72H272C263.2 0 256 7.156 256 16v224C256 248.8 263.2 256 272 256zM288 32h55.1c22.06 0 39.1 17.94 39.1 40S366.1 112 344 112h-55.1V32zM288 144h87.1c22.06 0 39.1 17.94 39.1 40S398.1 224 376 224h-87.1V144z"],
    "spider": [576, 512, [128375], "f717", "M543.1 281.7c-1.406-4.968-5.156-8.968-10.06-10.69l-141.4-49.94l137.2-10.52c6.125-.5 11.44-4.406 13.69-10.12l32.41-82.52c3.219-8.218-.8438-17.5-9.062-20.75c-8.156-3.25-17.5 .8124-20.75 9.062l-28.72 73.18L393 188.8l94.03-48.63c6.781-3.5 10.16-11.31 8.031-18.65l-31.72-109.9c-2.469-8.468-11.37-13.5-19.81-10.94c-8.5 2.437-13.37 11.31-10.94 19.81l28.09 97.3l-92.72 47.95l.0605-5.732c0-34.1-22.54-68.28-53.57-79.13c-7.906-2.781-16.62 1.034-19.93 8.658L287.7 105.1L280.1 88.63C276.6 80.88 267.6 77.41 259.7 80.44C229.8 92.35 207.8 125.8 207.8 160l.1555 5.729L115.3 117.8l28.09-97.3c2.437-8.499-2.437-17.37-10.94-19.81C124-1.892 115.1 3.138 112.6 11.61L80.91 121.5C78.79 128.9 82.16 136.7 88.94 140.2l94.03 48.63L59.63 179.4L30.92 106.2C27.67 97.94 18.32 93.88 10.17 97.13c-8.218 3.25-12.28 12.53-9.062 20.75l32.41 82.52c2.25 5.718 7.562 9.624 13.69 10.12l137.2 10.52L42.95 270.1C38.04 272.7 34.29 276.7 32.88 281.7l-31.1 111.1c-2.437 8.499 2.469 17.37 10.97 19.78c1.469 .4375 2.969 .6249 4.406 .6249c6.969 0 13.37-4.562 15.37-11.59L61.38 298.4l111.9-39.51l-103.1 80.48c-5.344 4.187-7.468 11.25-5.344 17.69l47.1 143.1C115.1 507.8 121.3 512 128 512c1.687 0 3.375-.25 5.062-.8124c8.375-2.812 12.91-11.87 10.12-20.25l-44.44-133.3l79.8-62.28C174.6 307.1 172 319.3 172 332c0 63.96 52.03 115.1 115.1 115.1s115.1-52.03 115.1-115.1c0-12.74-2.588-24.92-6.549-36.61l79.79 62.27l-44.44 133.3c-2.781 8.374 1.75 17.44 10.12 20.25C444.6 511.8 446.3 512 447.1 512c6.687 0 12.94-4.25 15.19-10.94l47.1-143.1c2.125-6.437 0-13.5-5.344-17.69l-103.1-80.48l111.9 39.51l29.75 104.1c1.1 7.031 8.406 11.59 15.37 11.59c1.438 0 2.937-.1875 4.406-.6249c8.5-2.406 13.41-11.28 10.97-19.78L543.1 281.7zM288 416c-46.31 0-83.1-37.68-83.1-83.99c0-23.75 9.968-45.81 28.12-62.15l2.625-2.375c3.344-3.031 5.25-7.343 5.25-11.87V160c0-15.75 7.437-31.62 18.59-41.65l14.87 32.34C276.1 156.4 281.8 160 288 160c6.281-.0625 12.09-3.781 14.62-9.531l14.12-31.97c11.53 9.624 19.25 25.43 19.25 41.5V255.6c0 4.531 1.906 8.843 5.25 11.87l2.656 2.375c18.12 16.34 28.09 38.4 28.09 62.15C371.1 378.3 334.3 416 288 416z"],
    "spider-black-widow": [576, 512, [], "f718", "M320.1 288H255.9C249.3 288 245.5 295.5 249.5 300.8L275.1 336l-26.46 35.25C245.5 376.5 249.3 384 255.9 384h64.2c6.621 0 10.39-7.5 6.395-12.75L300 336l26.46-35.25C330.5 295.5 326.7 288 320.1 288zM543.1 281.7c-1.406-4.969-5.156-8.967-10.06-10.69l-141.4-49.94l137.2-10.52c6.125-.5 11.44-4.404 13.69-10.12l32.4-82.53c3.219-8.217-.8438-17.5-9.062-20.75c-8.156-3.248-17.5 .8125-20.75 9.062l-28.72 73.18l-123.3 9.449L487.1 140.2c6.779-3.498 10.15-11.31 8.029-18.65l-31.72-109.9c-2.469-8.467-11.38-13.5-19.81-10.94c-8.5 2.438-13.37 11.31-10.94 19.81l28.09 97.3L367.1 165.7l.0599-5.731c0-34.1-22.54-68.28-53.57-79.13c-7.906-2.781-16.62 1.033-19.93 8.658L287.7 105.1L280.1 88.63C276.6 80.88 267.6 77.41 259.7 80.44C229.8 92.35 208 125.8 208 160L208 165.7L115.3 117.8l28.09-97.3C145.8 11.98 140.9 3.107 132.4 .6699C124-1.893 115.1 3.139 112.6 11.61L80.91 121.5C78.79 128.9 82.16 136.7 88.94 140.2l94.03 48.63L59.63 179.4L30.92 106.2C27.67 97.94 18.32 93.88 10.17 97.13C1.947 100.4-2.115 109.7 1.104 117.9l32.4 82.53c2.25 5.719 7.562 9.623 13.69 10.12l137.2 10.52L42.95 270.1C38.04 272.7 34.29 276.7 32.88 281.7l-31.1 111.1c-2.438 8.5 2.469 17.37 10.97 19.78c1.469 .4375 2.969 .625 4.406 .625c6.969 0 13.38-4.562 15.38-11.59l29.75-104.1l111.9-39.51L70.16 339.4c-5.344 4.186-7.469 11.25-5.344 17.69l47.1 143.1C115.1 507.8 121.3 512 128 512c1.688 0 3.375-.25 5.062-.8125c8.375-2.812 12.9-11.88 10.12-20.25l-44.44-133.3l79.8-62.28C174.6 307.1 172 319.3 172 332c0 63.96 52.03 115.1 115.1 115.1s115.1-52.03 115.1-115.1c0-12.74-2.588-24.92-6.549-36.61l79.79 62.27l-44.44 133.3c-2.779 8.373 1.75 17.44 10.12 20.25C444.6 511.8 446.3 512 447.1 512c6.688 0 12.94-4.25 15.19-10.94l47.1-143.1c2.125-6.438 0-13.5-5.344-17.69l-103.1-80.48l111.9 39.51l29.75 104.1c1.998 7.029 8.404 11.59 15.37 11.59c1.438 0 2.938-.1875 4.406-.625c8.5-2.406 13.41-11.28 10.97-19.78L543.1 281.7zM288 416c-46.31 0-83.1-37.68-83.1-83.99c0-23.75 9.968-45.81 28.12-62.15l2.625-2.375c3.344-3.031 5.25-7.343 5.25-11.87v-95.58c0-15.75 7.438-31.62 18.59-41.65l14.87 32.34C276.1 156.4 281.8 160 288 160c6.281-.0625 12.09-3.781 14.62-9.531l14.12-31.97c11.53 9.625 19.25 25.43 19.25 41.5v95.58c0 4.531 1.906 8.843 5.25 11.87l2.656 2.375c18.12 16.34 28.09 38.4 28.09 62.15C371.1 378.3 334.3 416 288 416z"],
    "spider-web": [576, 512, [128376], "f719", "M141.6 18.38C144.3 11.1 151.9 6.836 159.5 8.268L233.1 22.07C270.1 29.01 308.1 29.01 345.2 22.07L418.8 8.268C426.4 6.836 433.1 11.1 436.7 18.38L467.4 100.1C479.3 132.1 496.6 161.8 518.5 188L566.6 245.8C571.5 251.7 571.5 260.3 566.6 266.2L518.5 323.1C496.6 350.2 479.3 379.9 467.4 411.9L436.7 493.6C433.1 500.9 426.4 505.2 418.8 503.7L345.2 489.9C308.1 482.1 270.1 482.1 233.1 489.9L159.5 503.7C151.9 505.2 144.3 500.9 141.6 493.6L110.9 411.9C98.95 379.9 81.67 350.2 59.83 323.1L11.71 266.2C6.764 260.3 6.764 251.7 11.71 245.8L59.83 188C81.67 161.8 98.95 132.1 110.9 100.1L141.6 18.38zM159.4 62.13L140.9 111.4C127.6 146.7 108.6 179.5 84.41 208.5L58.16 239.1H128.7L131.2 237.1C156.7 208 176.3 174.4 189.1 137.1L194.3 123.3L159.4 62.13zM186.1 45.98L221.2 105.8C265.3 117.8 311.7 117.9 355.8 106L390 46.22L351.1 53.52C310.1 61.19 268.1 61.19 227.2 53.52L186.1 45.98zM418.5 60.92L383.2 122.6L388.6 137.1C401.5 174.4 421.1 208 446.6 237.1L449.1 239.1H520.1L493.9 208.5C469.7 179.5 450.6 146.7 437.4 111.4L418.5 60.92zM520.1 271.1H448.1L447.9 273.3C421.6 303.2 401.6 338.1 388.8 375.8L383.8 390.4L418.5 451.1L437.4 400.6C450.6 365.3 469.7 332.5 493.9 303.5L520.1 271.1zM390 465.8L357.8 409.4C313.6 395 266.2 393.9 221.3 405.9L186.1 466L227.2 458.5C268.1 450.8 310.1 450.8 351.1 458.5L390 465.8zM159.4 449.9L194.4 388.6L189.1 373.8C176.3 337.4 156.7 303.8 131.2 274.8L128.8 271.1H58.16L84.41 303.5C108.6 332.5 127.6 365.3 140.9 400.6L159.4 449.9zM170.2 271.1C188.8 296.5 203.1 323.5 215.2 352.1L261 271.1H170.2zM242.5 368.8C273.4 364.1 304.1 364.7 335.7 370.7L288.6 288.2L242.5 368.8zM362.8 353.6C373.9 324.4 389 296.1 407.7 271.1H316.1L362.8 353.6zM407.7 239.1C388.9 215.3 373.7 188.1 362.4 159.1L316.1 239.1H407.7zM334.6 143.2C304.1 148.1 272.1 148.1 242.5 143.1L288.6 223.7L334.6 143.2zM215.2 159.8C203.9 188.5 188.7 215.5 170.1 239.1H261L215.2 159.8z"],
    "spinner": [512, 512, [], "f110", "M208 48C208 21.49 229.5 0 256 0C282.5 0 304 21.49 304 48C304 74.51 282.5 96 256 96C229.5 96 208 74.51 208 48zM256 64C264.8 64 272 56.84 272 48C272 39.16 264.8 32 256 32C247.2 32 240 39.16 240 48C240 56.84 247.2 64 256 64zM208 464C208 437.5 229.5 416 256 416C282.5 416 304 437.5 304 464C304 490.5 282.5 512 256 512C229.5 512 208 490.5 208 464zM256 480C264.8 480 272 472.8 272 464C272 455.2 264.8 448 256 448C247.2 448 240 455.2 240 464C240 472.8 247.2 480 256 480zM96 256C96 282.5 74.51 304 48 304C21.49 304 0 282.5 0 256C0 229.5 21.49 208 48 208C74.51 208 96 229.5 96 256zM48 240C39.16 240 32 247.2 32 256C32 264.8 39.16 272 48 272C56.84 272 64 264.8 64 256C64 247.2 56.84 240 48 240zM416 256C416 229.5 437.5 208 464 208C490.5 208 512 229.5 512 256C512 282.5 490.5 304 464 304C437.5 304 416 282.5 416 256zM464 272C472.8 272 480 264.8 480 256C480 247.2 472.8 240 464 240C455.2 240 448 247.2 448 256C448 264.8 455.2 272 464 272zM142.9 369.1C161.6 387.9 161.6 418.3 142.9 437C124.1 455.8 93.73 455.8 74.98 437C56.23 418.3 56.23 387.9 74.98 369.1C93.73 350.4 124.1 350.4 142.9 369.1V369.1zM97.61 391.8C91.36 398 91.36 408.1 97.61 414.4C103.9 420.6 113.1 420.6 120.2 414.4C126.5 408.1 126.5 398 120.2 391.8C113.1 385.5 103.9 385.5 97.61 391.8zM74.98 74.98C93.73 56.23 124.1 56.23 142.9 74.98C161.6 93.73 161.6 124.1 142.9 142.9C124.1 161.6 93.73 161.6 74.98 142.9C56.24 124.1 56.24 93.73 74.98 74.98V74.98zM97.61 120.2C103.9 126.5 113.1 126.5 120.2 120.2C126.5 113.1 126.5 103.9 120.2 97.61C113.1 91.36 103.9 91.36 97.61 97.61C91.36 103.9 91.36 113.1 97.61 120.2zM437 437C418.3 455.8 387.9 455.8 369.1 437C350.4 418.3 350.4 387.9 369.1 369.1C387.9 350.4 418.3 350.4 437 369.1C455.8 387.9 455.8 418.3 437 437V437zM414.4 391.8C408.1 385.5 398 385.5 391.8 391.8C385.5 398 385.5 408.1 391.8 414.4C398 420.6 408.1 420.6 414.4 414.4C420.6 408.1 420.6 398 414.4 391.8z"],
    "spinner-third": [576, 512, [], "f3f4", "M288 16C288 7.164 295.2 0 304 0C445.4 0 560 114.6 560 256C560 302.6 547.5 346.4 525.7 384C521.3 391.7 511.5 394.3 503.9 389.9C496.2 385.4 493.6 375.7 498 368C517.1 335.1 528 296.8 528 256C528 132.3 427.7 32 304 32C295.2 32 288 24.84 288 16H288z"],
    "split": [512, 512, [], "e254", "M507.3 372.7c6.25 6.25 6.25 16.38 0 22.62l-80 80C424.2 478.4 420.1 480 416 480s-8.188-1.562-11.31-4.688c-6.25-6.25-6.25-16.38 0-22.62L457.4 400h-124.1c-12.62 0-25-5.125-33.94-14.06L185.4 272H24c-8.844 0-16-7.156-16-16s7.156-16 16-16h161.4l113.9-113.9C308.3 117.1 320.6 112 333.3 112h124.1l-52.69-52.69c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0l80 80c6.25 6.25 6.25 16.38 0 22.62l-80 80C424.2 222.4 420.1 224 416 224s-8.188-1.562-11.31-4.688c-6.25-6.25-6.25-16.38 0-22.62L457.4 144h-124.1c-4.219 0-8.344 1.719-11.31 4.688L214.6 256l107.3 107.3C324.9 366.3 329 368 333.3 368h124.1l-52.69-52.69c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0L507.3 372.7z"],
    "splotch": [512, 512, [], "f5bc", "M287.6 32.06C277.8 32.06 268.5 36.58 262.5 44.33L231.1 84.6C206.7 115.9 168.3 133.2 128.7 130.6L56.1 125.9C51.26 125.6 45.59 127.3 41.05 130.8L21.41 105.6C32.12 97.25 45.52 93.13 59.07 94.01L130.8 98.66C159.8 100.5 187.1 87.91 205.9 64.93L237.3 24.66C249.4 9.133 267.9 .0566 287.6 .0566C316.5 .0566 341.8 19.47 349.3 47.38L367.9 116.1C374.6 142.1 393.2 162.3 417.6 171.2L475.8 192.4C497.5 200.3 512 221 512 244.2C512 261.8 503.6 278.4 489.4 288.8L406.9 348.1C393.3 358.9 385.7 374.1 386.7 391.8L389.8 442.4C392.1 480.1 362.2 511.9 324.4 511.9C308.8 511.9 293.8 506.4 281.1 496.4L236.1 458.2C221.1 444.7 200.9 437.3 180 437.3H171.6C165.1 437.3 160.4 437.8 154.8 438.9L87.81 451.9C63.82 456.6 39.53 445.5 27.41 424.3C17.39 406.7 17.39 385.2 27.41 367.7L55.11 319.2C60.99 308.9 64.09 297.3 64.09 285.4C64.09 272.3 60.33 259.6 53.27 248.6L8.796 179.4C-6.738 155.2-1.267 123.2 21.41 105.6L41.05 130.8C31.45 138.3 29.14 151.9 35.71 162.1L80.19 231.3C90.57 247.4 96.09 266.2 96.09 285.4C96.09 302.8 91.54 319.9 82.9 335.1L55.19 383.5C50.79 391.2 50.79 400.7 55.19 408.4C60.51 417.7 71.17 422.6 81.7 420.5L148.7 407.5C156.3 406 163.9 405.3 171.6 405.3H180C208.5 405.3 235.1 415.4 257.7 433.8L302.7 471.1C308.7 477.1 316.4 479.9 324.4 479.9C343.7 479.9 359 463.6 357.9 444.3L354.8 393.7C353.1 366.1 365.6 339.4 388 323.1L470.5 262.9C476.5 258.6 480 251.6 480 244.2C480 234.5 473.9 225.8 464.8 222.5L406.6 201.2C372.4 188.8 346.4 160.4 337 125.2L318.4 55.66C314.6 41.74 302 32.06 287.6 32.06H287.6zM27.51 424.2L55.19 408.4z"],
    "spoon": [512, 512, [61873, 129348, "utensil-spoon"], "f2e5", "M449.5 241.2C437.7 254.8 423.3 265.8 407.1 273.7C390.1 281.6 373.4 286.1 355.4 287.1C350.7 287.1 346.1 286.7 341.4 286.1C319 282.1 298.5 270.1 282.9 254.3L281.6 253L27.33 507.3C24.32 510.3 20.25 512 16 512C11.75 512 7.677 510.3 4.673 507.3C1.668 504.3-.0195 500.2-.0195 496C-.0195 491.8 1.668 487.7 4.673 484.7L258.1 230.4L256.7 228.1C240.1 212.5 228.1 192 224.1 169.6C223.2 149.3 226.4 128.9 234.2 110.1C242 91.26 254.3 74.61 269.9 61.54C305.5 23.81 354.3 1.411 406.1-.9285C420.2-1.386 434.2 .9736 447.3 6.013C460.5 11.05 472.5 18.67 482.7 28.42C532.3 78.02 517.4 173.3 449.5 241.2zM460 51.04C445.4 37.5 426 30.32 406.1 31.07C362.8 33.5 322.1 52.51 292.4 84.16C280.5 93.86 270.1 106.3 264.8 120.3C258.5 134.4 255.7 149.8 256.6 165.2C259.7 180.6 267.6 194.8 279.2 205.5L305.4 231.7C316.2 243.3 330.3 251.3 345.8 254.4C349 254.9 352.2 255.1 355.4 255.1C369.2 253.1 382.5 250.2 394.8 243.1C407.1 237.7 417.1 229.1 426.9 218.6C481.3 164.2 496.5 87.46 460 51.04z"],
    "sportsball": [512, 512, [], "e44b", "M487.6 48.92C505.1 133.7 506.2 260.2 445.1 358.4C415.3 408.4 369.1 450.4 303.1 474.9C237.5 499.2 154.4 505.5 50.51 488.2C37.47 485.1 27.12 476 24.44 463.1C6.934 378.3 5.836 251.8 66.04 153.6C96.67 103.6 142.9 61.64 208.9 37.14C274.5 12.83 357.6 6.475 461.5 23.83C474.5 26.01 484.9 35.98 487.6 48.92H487.6zM436.9 52.42C382.2 44.7 334.7 44.21 293.5 49.51C301.7 86.1 318.1 119.3 342.7 146.7L436.9 52.42zM261.9 54.96C247 58.21 233.1 62.31 220 67.15C187.5 79.19 160.6 95.87 138.4 115.8L255.1 233.4L320 169.4C291.7 137.3 271.4 98.19 261.9 54.96V54.96zM116.1 138.8C107.6 148.8 100.1 159.3 93.32 170.3C75.9 198.7 64.08 230.1 56.61 262.3C99.18 271.9 137.7 292.1 169.4 320L233.4 255.1L116.1 138.8zM50.67 293.8C43.27 343.1 45.32 394.4 52.21 437.2L146.7 342.7C119.6 319.2 86.8 302.1 50.67 293.8V293.8zM75.05 459.6C129.8 467.3 177.3 467.8 218.5 462.5C210.3 425.9 193 392.7 169.3 365.3L75.05 459.6zM250.1 457C264.1 453.8 278.9 449.7 291.1 444.9C324.5 432.8 351.4 416.1 373.6 396.2L255.1 278.6L191.1 342.6C220.3 374.7 240.6 413.8 250.1 457H250.1zM395.9 373.2C404.3 363.2 411.9 352.7 418.7 341.7C436.1 313.3 447.9 281.9 455.4 249.7C412.8 240.1 374.3 219.9 342.6 191.1L278.6 255.1L395.9 373.2zM461.3 218.2C468.7 168 466.7 117.6 459.8 74.84L365.3 169.3C392.4 192.8 425.2 209.9 461.3 218.2z"],
    "spray-can": [512, 512, [], "f5bd", "M80 320C80 275.8 115.8 240 160 240C204.2 240 240 275.8 240 320C240 364.2 204.2 400 160 400C115.8 400 80 364.2 80 320zM160 368C186.5 368 208 346.5 208 320C208 293.5 186.5 272 160 272C133.5 272 112 293.5 112 320C112 346.5 133.5 368 160 368zM96 128V32C96 14.33 110.3 0 128 0H192C209.7 0 224 14.33 224 32V128C277 128 320 170.1 320 224V440C320 479.8 287.8 512 248 512H72C32.24 512 0 479.8 0 440V224C0 170.1 42.98 128 96 128zM128 128H192V32H128V128zM224 160H96C60.65 160 32 188.7 32 224V440C32 462.1 49.91 480 72 480H248C270.1 480 288 462.1 288 440V224C288 188.7 259.3 160 224 160zM312 64C312 77.25 301.3 88 288 88C274.7 88 264 77.25 264 64C264 50.75 274.7 40 288 40C301.3 40 312 50.75 312 64zM360 64C360 50.75 370.7 40 384 40C397.3 40 408 50.75 408 64C408 77.25 397.3 88 384 88C370.7 88 360 77.25 360 64zM504 64C504 77.25 493.3 88 480 88C466.7 88 456 77.25 456 64C456 50.75 466.7 40 480 40C493.3 40 504 50.75 504 64zM456 160C456 146.7 466.7 136 480 136C493.3 136 504 146.7 504 160C504 173.3 493.3 184 480 184C466.7 184 456 173.3 456 160zM504 256C504 269.3 493.3 280 480 280C466.7 280 456 269.3 456 256C456 242.7 466.7 232 480 232C493.3 232 504 242.7 504 256zM360 160C360 146.7 370.7 136 384 136C397.3 136 408 146.7 408 160C408 173.3 397.3 184 384 184C370.7 184 360 173.3 360 160z"],
    "spray-can-sparkles": [512, 512, ["air-freshener"], "f5d0", "M80 320C80 275.8 115.8 240 160 240C204.2 240 240 275.8 240 320C240 364.2 204.2 400 160 400C115.8 400 80 364.2 80 320zM160 368C186.5 368 208 346.5 208 320C208 293.5 186.5 272 160 272C133.5 272 112 293.5 112 320C112 346.5 133.5 368 160 368zM96 128V32C96 14.33 110.3 0 128 0H192C209.7 0 224 14.33 224 32V128C277 128 320 170.1 320 224V448C320 483.3 291.3 512 256 512H64C28.65 512 0 483.3 0 448V224C0 170.1 42.98 128 96 128zM128 128H192V32H128V128zM224 160H96C60.65 160 32 188.7 32 224V448C32 465.7 46.33 480 64 480H256C273.7 480 288 465.7 288 448V224C288 188.7 259.3 160 224 160zM336 0C344.8 0 352 7.164 352 16V32H368C376.8 32 384 39.16 384 48C384 56.84 376.8 64 368 64H352V80C352 88.84 344.8 96 336 96C327.2 96 320 88.84 320 80V64H304C295.2 64 288 56.84 288 48C288 39.16 295.2 32 304 32H320V16C320 7.164 327.2 0 336 0zM480 32H496C504.8 32 512 39.16 512 48C512 56.84 504.8 64 496 64H480V80C480 88.84 472.8 96 464 96C455.2 96 448 88.84 448 80V64H432C423.2 64 416 56.84 416 48C416 39.16 423.2 32 432 32H448V16C448 7.164 455.2 0 464 0C472.8 0 480 7.164 480 16V32zM480 224H496C504.8 224 512 231.2 512 240C512 248.8 504.8 256 496 256H480V272C480 280.8 472.8 288 464 288C455.2 288 448 280.8 448 272V256H432C423.2 256 416 248.8 416 240C416 231.2 423.2 224 432 224H448V208C448 199.2 455.2 192 464 192C472.8 192 480 199.2 480 208V224zM416 128H432C440.8 128 448 135.2 448 144C448 152.8 440.8 160 432 160H416V176C416 184.8 408.8 192 400 192C391.2 192 384 184.8 384 176V160H368C359.2 160 352 152.8 352 144C352 135.2 359.2 128 368 128H384V112C384 103.2 391.2 96 400 96C408.8 96 416 103.2 416 112V128z"],
    "sprinkler": [512, 512, [], "e035", "M16 128C7.125 128 0 135.1 0 144S7.125 160 16 160S32 152.9 32 144S24.88 128 16 128zM16 256C7.125 256 0 263.1 0 272S7.125 288 16 288S32 280.9 32 272S24.88 256 16 256zM16 0C7.125 0 0 7.125 0 16S7.125 32 16 32S32 24.88 32 16S24.88 0 16 0zM80 192C71.13 192 64 199.1 64 208S71.13 224 80 224S96 216.9 96 208S88.88 192 80 192zM368 160C376.9 160 384 152.9 384 144S376.9 128 368 128S352 135.1 352 144S359.1 160 368 160zM144 160C152.9 160 160 152.9 160 144S152.9 128 144 128S128 135.1 128 144S135.1 160 144 160zM496 32C504.9 32 512 24.88 512 16S504.9 0 496 0S480 7.125 480 16S487.1 32 496 32zM432 64C423.1 64 416 71.13 416 80S423.1 96 432 96S448 88.88 448 80S440.9 64 432 64zM496 256C487.1 256 480 263.1 480 272S487.1 288 496 288S512 280.9 512 272S504.9 256 496 256zM80 64C71.13 64 64 71.13 64 80S71.13 96 80 96S96 88.88 96 80S88.88 64 80 64zM496 128C487.1 128 480 135.1 480 144S487.1 160 496 160S512 152.9 512 144S504.9 128 496 128zM398.3 256H272V80c0-8.801-7.199-16-16-16S240 71.2 240 80V256H113.8C107.1 256 100.9 259.8 97.88 265.9c-3 6-2.375 13.12 1.75 18.62L192 387.5V496C192 504.8 199.2 512 208 512S224 504.8 224 496v-121.8L144.9 288h222.3L288 374.3V496c0 8.799 7.199 16 16 16s16-7.201 16-16v-108.5l92.38-103c4.125-5.5 4.75-12.62 1.75-18.62C411.1 259.8 404.9 256 398.3 256zM432 192C423.1 192 416 199.1 416 208S423.1 224 432 224S448 216.9 448 208S440.9 192 432 192z"],
    "sprinkler-ceiling": [384, 512, [], "e44c", "M192 384c-8.832 0-16 7.168-16 16S183.2 416 192 416s16-7.168 16-16S200.8 384 192 384zM144 320C135.2 320 128 327.2 128 336S135.2 352 144 352S160 344.8 160 336S152.8 320 144 320zM144 448C135.2 448 128 455.2 128 464S135.2 480 144 480S160 472.8 160 464S152.8 448 144 448zM11.62 111.4l112 32c8.479 2.432 17.34-2.496 19.78-11.01c2.432-8.479-2.496-17.34-11.01-19.78L32 83.94V16C32 7.168 24.83 0 16 0S0 7.168 0 16V96C0 103.1 4.736 109.4 11.62 111.4zM80 384C71.17 384 64 391.2 64 400S71.17 416 80 416S96 408.8 96 400S88.83 384 80 384zM16 448C7.168 448 0 455.2 0 464S7.168 480 16 480S32 472.8 32 464S24.83 448 16 448zM304 224h-96V48C208 39.17 200.8 32 192 32S176 39.17 176 48V224h-96C71.17 224 64 231.2 64 240S71.17 256 80 256h224C312.8 256 320 248.8 320 240S312.8 224 304 224zM240 448c-8.832 0-16 7.168-16 16s7.168 16 16 16s16-7.168 16-16S248.8 448 240 448zM368 0C359.2 0 352 7.168 352 16v67.94l-100.4 28.67c-8.514 2.432-13.44 11.3-11.01 19.78c2.432 8.514 11.29 13.44 19.78 11.01l112-32C379.3 109.4 384 103.1 384 96V16C384 7.168 376.8 0 368 0zM368 448c-8.832 0-16 7.168-16 16s7.168 16 16 16s16-7.168 16-16S376.8 448 368 448zM240 320c-8.832 0-16 7.168-16 16s7.168 16 16 16s16-7.168 16-16S248.8 320 240 320zM304 384c-8.832 0-16 7.168-16 16s7.168 16 16 16s16-7.168 16-16S312.8 384 304 384z"],
    "square": [448, 512, [9723, 9724, 61590, 9632], "f0c8", "M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM384 64H64C46.33 64 32 78.33 32 96V416C32 433.7 46.33 448 64 448H384C401.7 448 416 433.7 416 416V96C416 78.33 401.7 64 384 64z"],
    "square-0": [448, 512, [], "e255", "M224 128C171.1 128 128 171.1 128 224v64c0 52.94 43.06 96 96 96s96-43.06 96-96V224C320 171.1 276.9 128 224 128zM288 288c0 35.28-28.72 64-64 64s-64-28.72-64-64V224c0-35.28 28.72-64 64-64s64 28.72 64 64V288zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416z"],
    "square-1": [448, 512, [], "e256", "M288 352h-48V144c0-5.906-3.25-11.31-8.453-14.09c-5.172-2.812-11.5-2.5-16.42 .7813l-48 32C159.8 167.6 157.8 177.5 162.7 184.9c4.875 7.344 14.8 9.312 22.19 4.438L208 173.9V352H160c-8.844 0-16 7.156-16 16S151.2 384 160 384h128c8.844 0 16-7.156 16-16S296.8 352 288 352zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416z"],
    "square-2": [448, 512, [], "e257", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416zM304 352H186.5l87.27-76.5c34.63-30.38 38.64-81.88 9.172-117.2c-14.66-17.56-35.28-28.22-58.08-30c-22.95-1.969-44.84 5.5-62.02 20.56L145.6 163.9C138.1 169.8 138.3 179.8 144.1 186.5C149.9 193.2 160 193.8 166.7 188l17.27-15.09C194.6 163.6 208.2 159.2 222.4 160.2c14.12 1.125 26.91 7.719 36 18.62c18.27 21.91 15.77 53.81-5.688 72.66l-119.3 104.5c-5.016 4.406-6.781 11.44-4.422 17.66C131.4 379.9 137.3 384 144 384h160c8.844 0 16-7.156 16-16S312.8 352 304 352z"],
    "square-3": [448, 512, [], "e258", "M240 224H219.3l79.16-67.84c5.094-4.375 6.922-11.44 4.594-17.72C300.7 132.2 294.7 128 288 128H144C135.2 128 128 135.2 128 144S135.2 160 144 160h100.8L165.6 227.8C160.5 232.2 158.7 239.3 161 245.6C163.3 251.8 169.3 256 176 256h64C266.5 256 288 277.5 288 304S266.5 352 240 352H185.5c-11.97 0-22.55-7.625-26.33-19c-2.797-8.344-11.8-12.97-20.25-10.12c-8.375 2.812-12.91 11.88-10.12 20.25C136.1 367.6 159.8 384 185.5 384H240c44.11 0 80-35.88 80-80S284.1 224 240 224zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416z"],
    "square-4": [448, 512, [], "e259", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416zM304 288H288V208C288 199.2 280.8 192 272 192S256 199.2 256 208V288H151.6l55.23-138.1c3.281-8.188-.7187-17.5-8.922-20.78C189.8 125.8 180.4 129.8 177.1 138.1l-64 160C111.2 303 111.8 308.6 114.8 312.1C117.7 317.4 122.7 320 128 320h128v48c0 8.844 7.156 16 16 16s16-7.156 16-16V320h16c8.844 0 16-7.156 16-16S312.8 288 304 288z"],
    "square-5": [448, 512, [], "e25a", "M253.9 233.5L172 223.6L188.4 160H288c8.844 0 16-7.156 16-16S296.8 128 288 128H176C168.7 128 162.3 132.9 160.5 140l-24 93.31C135.4 237.8 136.2 242.6 138.8 246.4C141.4 250.2 145.5 252.7 150.1 253.2l99.86 12C271.6 268 288 286.6 288 308.4C288 332.5 268.5 352 244.4 352H186.4c-12.36 0-23.28-7.875-27.2-19.59C156.4 324 147.3 319.5 138.9 322.3c-8.391 2.812-12.91 11.88-10.11 20.25C137.1 367.3 160.2 384 186.4 384h58.06C286.1 384 320 350.1 320 308.4C320 270.5 291.6 238.3 253.9 233.5zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416z"],
    "square-6": [448, 512, [], "e25b", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416zM233.4 192.1l48.19-36.14c7.062-5.312 8.5-15.34 3.219-22.41C281.7 130.2 276.8 128 272 128c-3.344 0-6.719 1.031-9.594 3.188L172.8 198.4C131.2 229.6 128 277.7 128 288c0 52.94 43.06 96 96 96s96-43.06 96-96C320 238.3 281.9 197.8 233.4 192.1zM224 352c-35.35 0-64-28.65-64-64c0-35.35 28.65-64 64-64s64 28.65 64 64C288 323.3 259.3 352 224 352z"],
    "square-7": [448, 512, [], "e25c", "M303.9 128h-160c-8.844 0-16 7.156-16 16s7.156 16 16 16h132.4l-114.3 200.1c-4.375 7.688-1.688 17.44 5.969 21.84C170.6 383.3 173.3 384 176 384c5.531 0 10.94-2.906 13.91-8.062l127.9-224c2.812-4.969 2.781-11.03-.0625-15.97C314.9 131 309.6 128 303.9 128zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416z"],
    "square-8": [448, 512, [], "e25d", "M283.7 249.9C296.2 236.9 304 219.4 304 200C304 160.3 271.7 128 232 128h-16C176.3 128 144 160.3 144 200c0 19.37 7.781 36.91 20.28 49.87C142.7 262.3 128 285.4 128 312C128 351.7 160.3 384 200 384h48C287.7 384 320 351.7 320 312C320 285.4 305.3 262.3 283.7 249.9zM216 160h16c22.06 0 40 17.94 40 40S254.1 240 232 240h-16C193.9 240 176 222.1 176 200S193.9 160 216 160zM248 352h-48C177.9 352 160 334.1 160 312S177.9 272 200 272h48C270.1 272 288 289.9 288 312S270.1 352 248 352zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416z"],
    "square-9": [448, 512, [], "e25e", "M224 128C171.1 128 128 171.1 128 224c0 49.72 38.12 90.24 86.6 95.05l-48.19 36.14c-7.062 5.312-8.5 15.34-3.219 22.41C166.3 381.8 171.2 384 176 384c3.344 0 6.719-1.031 9.594-3.188l89.59-67.22C316.8 282.4 320 234.3 320 224C320 171.1 276.9 128 224 128zM224 288C188.7 288 160 259.3 160 224c0-35.35 28.65-64 64-64s64 28.65 64 64C288 259.3 259.3 288 224 288zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416z"],
    "square-a": [448, 512, [], "e25f", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416zM238.3 136.8c-5.438-10.84-23.19-10.84-28.62 0l-112 224c-3.953 7.906-.75 17.52 7.156 21.47c7.906 3.922 17.52 .75 21.47-7.156l19.89-39.79C147.3 335.6 148.2 336 149.3 336h149.3c1.107 0 2.078-.4141 3.123-.6289l19.89 39.79C324.5 380.8 330.1 384 336 384c2.406 0 4.844-.5469 7.141-1.688c7.906-3.953 11.11-13.56 7.156-21.47L238.3 136.8zM161.9 304L224 179.8L286.1 304H161.9z"],
    "square-a-lock": [576, 512, [], "e44d", "M32 96V416C32 433.7 46.33 448 64 448H320V480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V161.1C436.7 162.8 425.9 166.1 416 170.8V96C416 78.33 401.7 64 384 64H64C46.33 64 32 78.33 32 96V96zM238.3 136.8L329.3 318.8C323.4 328.5 320 339.8 320 352V371.8L302.1 335.1H145.9L126.3 375.2C122.4 383.1 112.7 386.3 104.8 382.3C96.94 378.4 93.74 368.7 97.69 360.8L209.7 136.8C212.4 131.4 217.9 128 223.1 128C230.1 128 235.6 131.4 238.3 136.8L238.3 136.8zM161.9 303.1H286.1L224 179.8L161.9 303.1zM464 192C508.2 192 544 227.8 544 272V320C561.7 320 576 334.3 576 352V480C576 497.7 561.7 512 544 512H384C366.3 512 352 497.7 352 480V352C352 334.3 366.3 320 384 320V272C384 227.8 419.8 192 464 192V192zM464 224C437.5 224 416 245.5 416 272V320H512V272C512 245.5 490.5 224 464 224V224zM384 352V480H544V352H384z"],
    "square-ampersand": [448, 512, [], "e260", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416zM297.4 320.5l35.67-50.39c5.094-7.219 3.406-17.2-3.812-22.31c-7.188-5.062-17.16-3.375-22.31 3.812l-31.89 45.06l-50.36-53.7l27.19-21.91C264.7 211.1 272 196.2 272 180.3C272 151.4 247.9 128 218.4 128H197.6C168.1 128 144 151.4 144 180.3c0 15.3 5.875 29.91 16.47 41.05l17.25 18.41L135.1 273.4C120.7 285.2 112 302.9 112 321.9C112 356.1 140.7 384 175.9 384h36.28c25.28 0 48.88-12.06 63.16-32.28l3.217-4.545l29.81 31.78C311.5 382.3 315.8 384 320 384c3.938 0 7.844-1.438 10.94-4.328c6.469-6.047 6.781-16.17 .7187-22.62L297.4 320.5zM176 180.3C176 169.1 185.7 160 197.6 160h20.75C230.3 160 240 169.1 240 180.3c0 6.031-2.844 11.72-8 15.75L202.7 219.6l-19-20.25C178.8 194.1 176 187.3 176 180.3zM249.2 333.2C249.2 333.3 249.2 333.2 249.2 333.2C240.9 344.1 227.1 352 212.2 352H175.9C158.3 352 144 338.5 144 321.9c0-9.031 4.219-17.52 11.81-23.42L199.7 263.1l56.5 60.24L249.2 333.2z"],
    "square-arrow-down": [448, 512, ["arrow-square-down"], "f339", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416zM308.7 260.7L240 329.4V144c0-8.844-7.154-16-15.1-16S208 135.2 208 144v185.4L139.3 260.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l96 96C215.8 382.4 219.9 384 224 384s8.184-1.562 11.31-4.688l96-96c6.25-6.25 6.25-16.38 0-22.62S314.9 254.4 308.7 260.7z"],
    "square-arrow-down-left": [448, 512, [], "e261", "M448 416V96c0-35.34-28.65-64-64-64H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320C419.3 480 448 451.3 448 416zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416zM315.3 187.3c6.25-6.25 6.25-16.38 0-22.62C312.2 161.6 308.1 160 304 160s-8.188 1.562-11.31 4.688L160 297.4V208C160 199.2 152.8 192 144 192S128 199.2 128 208v127.6c0 8.812 7.141 15.97 15.95 16l128 .375C280.8 352 287.1 344.9 288 336c.0313-8.812-7.109-16-15.95-16.03L182.9 319.7L315.3 187.3z"],
    "square-arrow-down-right": [448, 512, [], "e262", "M64 480h320c35.35 0 64-28.66 64-64V96c0-35.34-28.65-64-64-64H64C28.65 32 0 60.66 0 96v320C0 451.3 28.65 480 64 480zM32 96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32v320c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96zM265.1 319.7L175.1 320C167.1 320 159.1 327.2 160 336C160 344.9 167.2 352 176 352l128-.375C312.9 351.6 320 344.4 320 335.6V208C320 199.2 312.8 192 304 192S288 199.2 288 208v89.38L155.3 164.7C152.2 161.6 148.1 160 144 160S135.8 161.6 132.7 164.7c-6.25 6.25-6.25 16.38 0 22.62L265.1 319.7z"],
    "square-arrow-left": [448, 512, ["arrow-square-left"], "f33a", "M336 240H150.6l68.69-68.69c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0l-96 96C97.56 247.8 96 251.9 96 256s1.562 8.184 4.688 11.31l96 96c6.25 6.25 16.38 6.25 22.62 0s6.25-16.38 0-22.62L150.6 272H336c8.844 0 16-7.154 16-15.1C352 247.2 344.8 240 336 240zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416z"],
    "square-arrow-right": [448, 512, ["arrow-square-right"], "f33b", "M251.3 148.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L297.4 240H112C103.2 240 96 247.2 96 255.1C96 264.8 103.2 272 112 272h185.4l-68.69 68.69c-6.25 6.25-6.25 16.38 0 22.62s16.38 6.25 22.62 0l96-96C350.4 264.2 352 260.1 352 255.1s-1.562-8.184-4.688-11.31L251.3 148.7zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416z"],
    "square-arrow-up": [448, 512, ["arrow-square-up"], "f33c", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416zM235.3 132.7C232.2 129.6 228.1 128 223.1 128S215.8 129.6 212.7 132.7l-96 96c-6.25 6.25-6.25 16.38 0 22.62s16.38 6.25 22.62 0L208 182.6V368c0 8.844 7.154 16 15.1 16S240 376.8 240 368V182.6l68.69 68.69c6.25 6.25 16.38 6.25 22.62 0s6.25-16.38 0-22.62L235.3 132.7z"],
    "square-arrow-up-left": [448, 512, [], "e263", "M384 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416zM182.9 192.3L272 192C280.9 191.1 288 184.8 288 175.1C287.1 167.1 280.8 160 272 160L143.1 160.4C135.1 160.4 128 167.6 128 176.4V304C128 312.8 135.2 320 144 320S160 312.8 160 304V214.6l132.7 132.7C295.8 350.4 299.9 352 304 352s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L182.9 192.3z"],
    "square-arrow-up-right": [448, 512, ["external-link-square"], "f14c", "M0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96c0-35.34-28.65-64-64-64H64C28.65 32 0 60.66 0 96zM32 96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32v320c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96zM132.7 324.7c-6.25 6.25-6.25 16.38 0 22.62C135.8 350.4 139.9 352 144 352s8.188-1.562 11.31-4.688L288 214.6V304c0 8.844 7.156 16 16 16S320 312.8 320 304V176.4c0-8.812-7.141-15.97-15.95-16L176 160C167.2 160 160 167.1 160 175.1C159.1 184.8 167.1 191.1 175.1 192l89.15 .2734L132.7 324.7z"],
    "square-b": [448, 512, [], "e264", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416zM299.8 249.9C312.2 236.9 320 219.4 320 200C320 160.2 287.8 128 248 128H160C142.3 128 128 142.3 128 160v192c0 17.67 14.33 32 32 32h104c39.77 0 72-32.24 72-72C336 285.3 321.3 262.3 299.8 249.9zM160 160h88C270.1 160 288 177.9 288 200S270.1 240 248 240H160V160zM264 352H160V272h104c22.06 0 40 17.94 40 40S286.1 352 264 352z"],
    "square-bolt": [448, 512, [], "e265", "M301.4 122.7L269.8 224H330.5C342.4 224 352 233.6 352 245.5C352 251.6 349.4 257.4 344.9 261.5L180 410.7C176.3 414.1 171.3 416 166.2 416C152.3 416 142.4 402.5 146.6 389.3L178.2 288H116.9C105.4 288 96 278.6 96 267.1C96 261.2 98.48 255.6 102.8 251.6L267.9 101.4C271.7 97.91 276.6 96 281.8 96C295.7 96 305.6 109.5 301.4 122.7L301.4 122.7zM200 256C205.1 256 209.9 258.4 212.9 262.5C215.9 266.6 216.8 271.9 215.3 276.8L189.6 358.9L303.3 256H248C242.9 256 238.1 253.6 235.1 249.5C232.1 245.4 231.2 240.1 232.7 235.2L258.3 153.4L145.5 256H200zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM32 96V416C32 433.7 46.33 448 64 448H384C401.7 448 416 433.7 416 416V96C416 78.33 401.7 64 384 64H64C46.33 64 32 78.33 32 96z"],
    "square-c": [448, 512, [], "e266", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416zM292.7 188.1c6.281 6.25 16.42 6.203 22.64-.0469c6.234-6.266 6.203-16.41-.0469-22.64C265.2 115.6 183.7 115.6 133.6 165.5C109.4 189.6 96 221.8 96 255.1s13.37 66.36 37.64 90.55c25.05 24.92 57.94 37.39 90.83 37.39s65.78-12.47 90.83-37.39c6.25-6.234 6.281-16.38 .0469-22.64c-6.25-6.234-16.39-6.312-22.64-.0469c-37.63 37.47-98.84 37.45-136.5 .0156C138 305.7 128 281.6 128 256s10.02-49.73 28.23-67.86C193.9 150.7 255.1 150.7 292.7 188.1z"],
    "square-caret-down": [448, 512, ["caret-square-down"], "f150", "M342.6 246.6C362.6 226.5 348.5 192 320 192H128C99.64 192 85.28 226.5 105.4 246.6l95.95 96c12.49 12.5 32.86 12.5 45.35 0L342.6 246.6zM128 224h192l-96 96L128 224zM448 416V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320C419.3 480 448 451.3 448 416zM64 448c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32v320c0 17.64-14.36 32-32 32H64z"],
    "square-caret-left": [448, 512, ["caret-square-left"], "f191", "M233.4 374.6C253.5 394.6 288 380.5 288 352V160C288 131.6 253.5 117.3 233.4 137.4l-96 95.95c-12.5 12.49-12.5 32.86 0 45.35L233.4 374.6zM256 160v192L160 256L256 160zM64 480h320c35.35 0 64-28.65 64-64V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320C0 451.3 28.65 480 64 480zM32 96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32v320c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96z"],
    "square-caret-right": [448, 512, ["caret-square-right"], "f152", "M214.6 137.4C194.5 117.4 160 131.5 160 159.1v192C160 380.4 194.5 394.7 214.6 374.6l96-95.95c12.5-12.49 12.5-32.86 0-45.35L214.6 137.4zM192 352V160l96 96L192 352zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416z"],
    "square-caret-up": [448, 512, ["caret-square-up"], "f151", "M105.4 265.4C85.37 285.5 99.5 320 127.1 320h192C348.4 320 362.7 285.5 342.6 265.4l-95.95-96c-12.49-12.5-32.86-12.5-45.35 0L105.4 265.4zM320 288H128l96-96L320 288zM0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96zM384 64c17.64 0 32 14.36 32 32v320c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32H384z"],
    "square-check": [448, 512, [9989, 61510, 9745, "check-square"], "f14a", "M203.3 331.3C197.1 337.6 186.9 337.6 180.7 331.3L116.7 267.3C110.4 261.1 110.4 250.9 116.7 244.7C122.9 238.4 133.1 238.4 139.3 244.7L192 297.4L308.7 180.7C314.9 174.4 325.1 174.4 331.3 180.7C337.6 186.9 337.6 197.1 331.3 203.3L203.3 331.3zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM32 96V416C32 433.7 46.33 448 64 448H384C401.7 448 416 433.7 416 416V96C416 78.33 401.7 64 384 64H64C46.33 64 32 78.33 32 96z"],
    "square-chevron-down": [448, 512, ["chevron-square-down"], "f329", "M324.7 212.7L224 313.4L123.3 212.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l112 112C215.8 350.4 219.9 352 224 352s8.188-1.562 11.31-4.688l112-112c6.25-6.25 6.25-16.38 0-22.62S330.9 206.4 324.7 212.7zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416z"],
    "square-chevron-left": [448, 512, ["chevron-square-left"], "f32a", "M267.3 356.7L166.6 256l100.7-100.7c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0l-112 112C129.6 247.8 128 251.9 128 256s1.562 8.188 4.688 11.31l112 112c6.25 6.25 16.38 6.25 22.62 0S273.6 362.9 267.3 356.7zM448 416V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320C419.3 480 448 451.3 448 416zM64 448c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32v320c0 17.64-14.36 32-32 32H64z"],
    "square-chevron-right": [448, 512, ["chevron-square-right"], "f32b", "M180.7 155.3L281.4 256l-100.7 100.7c-6.25 6.25-6.25 16.38 0 22.62s16.38 6.25 22.62 0l112-112C318.4 264.2 320 260.1 320 256s-1.562-8.188-4.688-11.31l-112-112c-6.25-6.25-16.38-6.25-22.62 0S174.4 149.1 180.7 155.3zM0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96zM384 64c17.64 0 32 14.36 32 32v320c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32H384z"],
    "square-chevron-up": [448, 512, ["chevron-square-up"], "f32c", "M123.3 299.3L224 198.6l100.7 100.7c6.25 6.25 16.38 6.25 22.62 0s6.25-16.38 0-22.62l-112-112C232.2 161.6 228.1 160 224 160S215.8 161.6 212.7 164.7l-112 112c-6.25 6.25-6.25 16.38 0 22.62S117.1 305.6 123.3 299.3zM64 480h320c35.35 0 64-28.65 64-64V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320C0 451.3 28.65 480 64 480zM32 96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32v320c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96z"],
    "square-code": [448, 512, [], "e267", "M283.1 173.4L347.1 245.4C353.3 251.4 353.3 260.6 347.1 266.6L283.1 338.6C278.1 345.2 267.1 345.8 261.4 339.1C254.8 334.1 254.2 323.1 260 317.4L314.6 255.1L260 194.6C254.2 188 254.8 177.9 261.4 172C267.1 166.2 278.1 166.8 283.1 173.4V173.4zM133.4 256L187.1 317.4C193.8 323.1 193.2 334.1 186.6 339.1C180 345.8 169.9 345.2 164 338.6L100 266.6C94.65 260.6 94.65 251.4 100 245.4L164 173.4C169.9 166.8 180 166.2 186.6 172C193.2 177.9 193.8 188 187.1 194.6L133.4 256zM384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM384 64H64C46.33 64 32 78.33 32 96V416C32 433.7 46.33 448 64 448H384C401.7 448 416 433.7 416 416V96C416 78.33 401.7 64 384 64z"],
    "square-d": [448, 512, [], "e268", "M224 128H144C135.2 128 128 135.2 128 144v224C128 376.8 135.2 384 144 384H224c70.58 0 128-57.42 128-128S294.6 128 224 128zM224 352H160V160h64c52.94 0 96 43.06 96 96S276.9 352 224 352zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416z"],
    "square-dashed": [448, 512, [], "e269", "M88 32H112C120.8 32 128 39.16 128 48C128 56.84 120.8 64 112 64H88C57.07 64 32 89.07 32 120V144C32 152.8 24.84 160 16 160C7.164 160 0 152.8 0 144V120C0 71.4 39.4 32 88 32zM32 208V304C32 312.8 24.84 320 16 320C7.164 320 0 312.8 0 304V208C0 199.2 7.164 192 16 192C24.84 192 32 199.2 32 208zM448 208V304C448 312.8 440.8 320 432 320C423.2 320 416 312.8 416 304V208C416 199.2 423.2 192 432 192C440.8 192 448 199.2 448 208zM416 144V120C416 89.07 390.9 64 360 64H336C327.2 64 320 56.84 320 48C320 39.16 327.2 32 336 32H360C408.6 32 448 71.4 448 120V144C448 152.8 440.8 160 432 160C423.2 160 416 152.8 416 144zM448 392C448 440.6 408.6 480 360 480H336C327.2 480 320 472.8 320 464C320 455.2 327.2 448 336 448H360C390.9 448 416 422.9 416 392V368C416 359.2 423.2 352 432 352C440.8 352 448 359.2 448 368V392zM32 392C32 422.9 57.07 448 88 448H112C120.8 448 128 455.2 128 464C128 472.8 120.8 480 112 480H88C39.4 480 0 440.6 0 392V368C0 359.2 7.164 352 16 352C24.84 352 32 359.2 32 368V392zM176 480C167.2 480 160 472.8 160 464C160 455.2 167.2 448 176 448H272C280.8 448 288 455.2 288 464C288 472.8 280.8 480 272 480H176zM176 32H272C280.8 32 288 39.16 288 48C288 56.84 280.8 64 272 64H176C167.2 64 160 56.84 160 48C160 39.16 167.2 32 176 32z"],
    "square-divide": [448, 512, [], "e26a", "M200 160C200 146.7 210.7 136 224 136C237.3 136 248 146.7 248 160C248 173.3 237.3 184 224 184C210.7 184 200 173.3 200 160zM320 240C328.8 240 336 247.2 336 256C336 264.8 328.8 272 320 272H128C119.2 272 112 264.8 112 256C112 247.2 119.2 240 128 240H320zM248 352C248 365.3 237.3 376 224 376C210.7 376 200 365.3 200 352C200 338.7 210.7 328 224 328C237.3 328 248 338.7 248 352zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM32 96V416C32 433.7 46.33 448 64 448H384C401.7 448 416 433.7 416 416V96C416 78.33 401.7 64 384 64H64C46.33 64 32 78.33 32 96z"],
    "square-dollar": [448, 512, ["dollar-square", "usd-square"], "f2e9", "M240 143C253.5 144 266.6 147.7 279.6 151.3C281.2 151.7 282.7 152.1 284.2 152.6C292.8 154.9 297.8 163.8 295.4 172.3C293.1 180.8 284.2 185.8 275.7 183.4C273.3 182.8 270.9 182.1 268.5 181.4C260.1 179.2 253.4 176.1 245.7 175.8C226.5 173 209 175.5 196.4 180.9C183.5 186.5 177.8 194 176.6 200.4C174.8 210.1 178.7 216.9 186.8 222.1C197.5 228.9 213.3 233.4 232.7 238.9L232.9 238.1C250.7 244 271.8 250 287.3 260.6C306.3 273.7 315 294.5 310.9 317.2C306.9 338.8 291.9 353.2 273 360.8C263.1 364.8 251.9 367.1 240 367.8L240 392C240 400.8 232.8 408 224 408C215.2 408 208 400.8 208 392L208 366.1C199.9 364.9 186.2 360.9 175.6 357.7C168.7 355.6 161.8 353.4 154.1 351.2C146.6 348.4 142 339.4 144.8 330.1C147.6 322.6 156.6 318 165 320.8C171.6 322.1 178.3 325.1 184.9 327.1C196.2 330.5 207.6 333.7 213 334.5C232.8 337.5 249.5 335.8 261.1 331.2C272.2 326.7 277.8 319.9 279.4 311.4C281.3 300.9 277.9 293 269.2 287C257.2 278.8 242.4 274.8 228.2 270.9C225.9 270.2 223.6 269.6 221.3 268.1C204.2 264.1 184.3 258.5 169.6 249C161.5 243.9 153.9 236.9 149.1 227.4C144.2 217.6 142.9 206.6 145.1 194.6C148.9 173.9 165.2 159.5 183.7 151.5C191.2 148.3 199.3 145.9 207.1 144.5V119.1C207.1 111.2 215.2 103.1 223.1 103.1C232.8 103.1 240 111.2 240 119.1V143zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM32 96V416C32 433.7 46.33 448 64 448H384C401.7 448 416 433.7 416 416V96C416 78.33 401.7 64 384 64H64C46.33 64 32 78.33 32 96z"],
    "square-down": [448, 512, [11015, "arrow-alt-square-down"], "f350", "M64 480h320c35.35 0 64-28.65 64-64V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320C0 451.3 28.65 480 64 480zM32 96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32v320c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96zM195.7 388.3c15.12 15.12 41.25 15.33 56.75-.2031l92.5-95.8c11.47-11.48 14.88-28.59 8.688-43.59C347.4 233.7 332.9 224 316.7 224H288V152c0-22.06-17.94-40-40-40h-48C177.9 112 160 129.9 160 152V224H131.3C115.1 224 100.6 233.7 94.34 248.7c-6.188 14.95-2.812 32 8.562 43.48L195.7 388.3zM131.3 256H192V152C192 147.6 195.6 144 200 144h48C252.4 144 256 147.6 256 152V256h60.69c6.414 0 11.26 8.048 5.471 13.86l-92.5 95.8c-4.162 4.205-9.532 1.796-11.12 .2031l-92.69-96C120.1 265 123.9 256 131.3 256z"],
    "square-down-left": [448, 512, [], "e26b", "M64 480h320c35.35 0 64-28.65 64-64V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320C0 451.3 28.65 480 64 480zM64 448c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32v320c0 17.64-14.36 32-32 32H64zM284 367.2c16.16-.0773 30.6-9.745 36.8-24.69c6.209-15 2.806-32.11-8.684-43.6l-20.29-20.29l50.91-50.91c15.6-15.6 15.6-40.97 0-56.57l-33.94-33.94c-15.6-15.6-40.97-15.6-56.57 0L201.4 188.1L181.1 167.8C169.6 156.3 152.5 152.9 137.5 159.1C122.5 165.4 112.8 179.9 112.8 196.1L110.5 329.3c-.0221 21.94 18.59 40.27 39.98 40.27L284 367.2zM283.9 335.2l-133.7 2.353c-2.253 0-7.754-2.094-7.723-8.01l2.331-133.1c.0178-8.201 9.132-10.47 13.67-5.933l42.91 42.91l73.54-73.54c3.116-3.116 8.198-3.117 11.31-.0012l33.94 33.94c3.116 3.116 3.115 8.199-.0003 11.31l-73.54 73.54l42.91 42.91C294.8 326.8 290.7 335.2 283.9 335.2z"],
    "square-down-right": [448, 512, [], "e26c", "M448 416V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320C419.3 480 448 451.3 448 416zM64 448c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32v320c0 17.64-14.36 32-32 32H64zM297.5 369.5c21.39 0 40.01-18.33 39.98-40.27L335.2 196.1c-.011-16.23-9.701-30.74-24.68-36.97c-15-6.209-32.11-2.806-43.6 8.684l-20.29 20.29L195.7 137.2c-15.6-15.6-40.97-15.6-56.57 0L105.2 171.1c-15.6 15.6-15.6 40.97 0 56.57l50.91 50.91L135.8 298.9c-11.49 11.49-14.89 28.59-8.684 43.6c6.198 14.95 20.64 24.62 36.8 24.69L297.5 369.5zM158.5 321.5l42.91-42.91L127.8 205.1C124.7 201.1 124.7 196.9 127.8 193.8l33.94-33.94c3.116-3.116 8.198-3.114 11.31 .0012l73.54 73.54l42.91-42.91c4.536-4.536 13.65-2.268 13.67 5.933l2.331 133.1c.0307 5.916-5.47 8.01-7.723 8.01l-133.4-2.342C157.5 335.2 153.2 326.8 158.5 321.5z"],
    "square-e": [448, 512, [], "e26d", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416zM304 160C312.8 160 320 152.8 320 144S312.8 128 304 128h-160C135.2 128 128 135.2 128 144v224C128 376.8 135.2 384 144 384h160c8.844 0 16-7.156 16-16S312.8 352 304 352H160V272h96c8.844 0 16-7.156 16-16S264.8 240 256 240H160V160H304z"],
    "square-ellipsis": [448, 512, [], "e26e", "M224 280C210.7 280 200 269.3 200 256C200 242.7 210.7 232 224 232C237.3 232 248 242.7 248 256C248 269.3 237.3 280 224 280zM128 232C141.3 232 152 242.7 152 256C152 269.3 141.3 280 128 280C114.7 280 104 269.3 104 256C104 242.7 114.7 232 128 232zM320 280C306.7 280 296 269.3 296 256C296 242.7 306.7 232 320 232C333.3 232 344 242.7 344 256C344 269.3 333.3 280 320 280zM64 480C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64zM64 448H384C401.7 448 416 433.7 416 416V96C416 78.33 401.7 64 384 64H64C46.33 64 32 78.33 32 96V416C32 433.7 46.33 448 64 448z"],
    "square-ellipsis-vertical": [448, 512, [], "e26f", "M200 256C200 242.7 210.7 232 224 232C237.3 232 248 242.7 248 256C248 269.3 237.3 280 224 280C210.7 280 200 269.3 200 256zM248 160C248 173.3 237.3 184 224 184C210.7 184 200 173.3 200 160C200 146.7 210.7 136 224 136C237.3 136 248 146.7 248 160zM200 352C200 338.7 210.7 328 224 328C237.3 328 248 338.7 248 352C248 365.3 237.3 376 224 376C210.7 376 200 365.3 200 352zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM32 96V416C32 433.7 46.33 448 64 448H384C401.7 448 416 433.7 416 416V96C416 78.33 401.7 64 384 64H64C46.33 64 32 78.33 32 96z"],
    "square-envelope": [448, 512, ["envelope-square"], "f199", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416zM320 128H128C92.65 128 64 156.7 64 192v128c0 35.35 28.65 64 64 64h192c35.35 0 64-28.65 64-64V192C384 156.7 355.3 128 320 128zM352 320c0 17.64-14.36 32-32 32H128c-17.64 0-32-14.36-32-32V241.9L188.2 288C199.4 293.6 211.7 296.4 224 296.4S248.6 293.6 259.8 288L352 241.9V320zM352 206.1l-106.5 53.27c-13.44 6.719-29.5 6.719-42.94 0L96 206.1V192c0-17.64 14.36-32 32-32h192c17.64 0 32 14.36 32 32V206.1z"],
    "square-exclamation": [448, 512, ["exclamation-square"], "f321", "M224 304c8.844 0 16-7.156 16-16V128c0-8.844-7.156-16-16-16S208 119.2 208 128v160C208 296.8 215.2 304 224 304zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416zM224 344c-13.25 0-24 10.75-24 24s10.75 24 24 24s24-10.75 24-24S237.3 344 224 344z"],
    "square-f": [448, 512, [], "e270", "M304 128h-160C135.2 128 128 135.2 128 144v224C128 376.8 135.2 384 144 384S160 376.8 160 368V288h112C280.8 288 288 280.8 288 272S280.8 256 272 256H160V160h144C312.8 160 320 152.8 320 144S312.8 128 304 128zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416z"],
    "square-fragile": [448, 512, ["box-fragile", "square-wine-glass-crack"], "f49b", "M305.1 96C322.2 96 336 109.8 336 126.9V208C336 264.4 294.3 311.1 240 318.9V384H272C280.8 384 288 391.2 288 400C288 408.8 280.8 416 272 416H176C167.2 416 160 408.8 160 400C160 391.2 167.2 384 176 384H208V318.9C153.7 311.1 112 264.4 112 208V126.9C112 109.8 125.8 96 142.9 96H305.1zM144 128V208C144 252.2 179.8 288 224 288C268.2 288 304 252.2 304 208V128H230.6L251.3 148.7C254.7 152.1 256.4 156.8 255.9 161.6C255.4 166.3 252.9 170.7 248.9 173.3L218.7 193.4L250.2 219.7C257 225.4 257.9 235.5 252.3 242.2C246.6 249 236.5 249.9 229.8 244.3L181.8 204.3C177.9 201.1 175.8 196.2 176 191.1C176.3 186.1 178.9 181.5 183.1 178.7L214.9 157.5L185.4 128H144zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM32 96V416C32 433.7 46.33 448 64 448H384C401.7 448 416 433.7 416 416V96C416 78.33 401.7 64 384 64H64C46.33 64 32 78.33 32 96z"],
    "square-full": [512, 512, [128997, 128998, 128999, 129000, 129001, 129002, 129003, 11036, 11035], "f45c", "M512 0V512H0V0H512zM480 32H32V480H480V32z"],
    "square-g": [448, 512, [], "e271", "M336 256h-74.66c-8.844 0-16 7.156-16 16s7.156 16 16 16h53.59c-5.344 13.41-13.59 26.42-23.06 35.89c-36.25 36.25-99.5 36.25-135.8 0C137.1 305.8 128 281.6 128 256s9.1-49.75 28.12-67.89c36-36.05 94-37.64 131.8-3.672c6.594 5.891 16.72 5.375 22.59-1.25c5.906-6.578 5.344-16.69-1.219-22.59c-50.59-45.3-127.8-43.13-175.8 4.891c-49.91 49.91-49.91 131.1 0 181C157.7 370.7 189.8 384 224 384s66.34-13.31 90.5-37.48c18.28-18.28 32.56-45.39 37.25-70.78C351.9 274.8 352 272.1 352 272C352 263.2 344.8 256 336 256zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416z"],
    "square-h": [448, 512, ["h-square"], "f0fd", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416zM304 128C295.2 128 288 135.2 288 144v96H160v-96C160 135.2 152.8 128 144 128S128 135.2 128 144v224C128 376.8 135.2 384 144 384S160 376.8 160 368v-96h128v96c0 8.844 7.156 16 16 16s16-7.156 16-16v-224C320 135.2 312.8 128 304 128z"],
    "square-heart": [448, 512, [128159, "heart-square"], "f4c8", "M224 191L241.7 173C243.3 171.4 244.1 169.9 246.7 168.4C276.2 143.3 320.3 144.8 348.1 173C377.5 202.8 377.5 251.2 348.1 280.1L257.7 372.8C248.3 382.3 236.1 387 223.9 386.1C211.7 386.9 199.6 382.2 190.3 372.8L99.87 280.1C70.48 251.2 70.48 202.8 99.87 173C127.7 144.8 171.8 143.3 201.3 168.4C203 169.9 204.7 171.4 206.3 173L224 191zM234.9 350.3L325.3 258.5C342.4 241.2 342.4 212.8 325.3 195.5C308.5 178.4 281.4 178.4 264.5 195.5L224 236.6L183.5 195.5C166.6 178.4 139.5 178.4 122.7 195.5C105.6 212.8 105.6 241.2 122.7 258.5L213.1 350.3C216.2 353.5 220.1 354.1 223.1 354.1C227.9 354.1 231.8 353.5 234.9 350.3V350.3zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM32 96V416C32 433.7 46.33 448 64 448H384C401.7 448 416 433.7 416 416V96C416 78.33 401.7 64 384 64H64C46.33 64 32 78.33 32 96z"],
    "square-i": [448, 512, [], "e272", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416zM320 144C320 135.2 312.8 128 304 128h-160C135.2 128 128 135.2 128 144S135.2 160 144 160h64.88C208.5 161.4 208 162.8 208 164.4v183.3C208 349.2 208.5 350.6 208.9 352H144C135.2 352 128 359.2 128 368S135.2 384 144 384h160c8.844 0 16-7.156 16-16S312.8 352 304 352h-64.88C239.5 350.6 240 349.2 240 347.6V164.4C240 162.8 239.5 161.4 239.1 160H304C312.8 160 320 152.8 320 144z"],
    "square-info": [448, 512, [8505, "info-square"], "f30f", "M224 184c13.25 0 24-10.74 24-24c0-13.25-10.75-24-24-24S200 146.7 200 160C200 173.3 210.7 184 224 184zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416zM272 352h-32V240C240 231.2 232.8 224 224 224H192C183.2 224 176 231.2 176 240S183.2 256 192 256h16v96h-32C167.2 352 160 359.2 160 368C160 376.8 167.2 384 176 384h96c8.836 0 16-7.164 16-16C288 359.2 280.8 352 272 352z"],
    "square-j": [448, 512, [], "e273", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416zM304 128C295.2 128 288 135.2 288 144v149.3C288 325.7 259.3 352 224 352s-64-26.31-64-58.67V272C160 263.2 152.8 256 144 256S128 263.2 128 272v21.33C128 343.3 171.1 384 224 384s96-40.67 96-90.67V144C320 135.2 312.8 128 304 128z"],
    "square-k": [448, 512, [], "e274", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416zM315.9 133.3c-5.922-6.609-16.05-7.094-22.59-1.188L160 252.1V144C160 135.2 152.8 128 144 128S128 135.2 128 144v224C128 376.8 135.2 384 144 384S160 376.8 160 368V295.1l41.4-37.26l89.8 119.7C294.3 381.8 299.1 384 304 384c3.344 0 6.703-1.047 9.578-3.203c7.078-5.297 8.516-15.33 3.203-22.39L225.3 236.4l89.43-80.49C321.3 149.1 321.8 139.9 315.9 133.3z"],
    "square-kanban": [448, 512, [], "e488", "M128 288C119.2 288 112 280.8 112 272V144C112 135.2 119.2 128 128 128C136.8 128 144 135.2 144 144V272C144 280.8 136.8 288 128 288zM304 144C304 135.2 311.2 128 320 128C328.8 128 336 135.2 336 144V336C336 344.8 328.8 352 320 352C311.2 352 304 344.8 304 336V144zM224 256C215.2 256 208 248.8 208 240V144C208 135.2 215.2 128 224 128C232.8 128 240 135.2 240 144V240C240 248.8 232.8 256 224 256zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM64 448H384C401.7 448 416 433.7 416 416V96C416 78.33 401.7 64 384 64H64C46.33 64 32 78.33 32 96V416C32 433.7 46.33 448 64 448z"],
    "square-l": [448, 512, [], "e275", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416zM304 352H160V144C160 135.2 152.8 128 144 128S128 135.2 128 144v224C128 376.8 135.2 384 144 384h160c8.844 0 16-7.156 16-16S312.8 352 304 352z"],
    "square-left": [448, 512, [11013, "arrow-alt-square-left"], "f351", "M0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96zM384 64c17.64 0 32 14.36 32 32v320c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32H384zM91.72 227.7C76.59 242.8 76.39 268.1 91.92 284.5l95.8 92.5c11.48 11.47 28.59 14.88 43.59 8.688C246.3 379.4 256 364.9 256 348.7V320h72c22.06 0 40-17.94 40-40v-48C368 209.9 350.1 192 328 192H256V163.3c0-16.25-9.688-30.75-24.69-36.97c-14.95-6.188-32-2.812-43.48 8.562L91.72 227.7zM224 163.3V224h104c4.406 0 8 3.594 8 8v48C336 284.4 332.4 288 328 288H224v60.69c0 6.414-8.048 11.26-13.86 5.471l-95.8-92.5C110.1 257.5 112.5 252.1 114.1 250.5l96-92.69C214.1 152.1 224 155.9 224 163.3z"],
    "square-list": [448, 512, [], "e489", "M128 184C114.7 184 104 173.3 104 160C104 146.7 114.7 136 128 136C141.3 136 152 146.7 152 160C152 173.3 141.3 184 128 184zM192 160C192 151.2 199.2 144 208 144H336C344.8 144 352 151.2 352 160C352 168.8 344.8 176 336 176H208C199.2 176 192 168.8 192 160zM192 256C192 247.2 199.2 240 208 240H336C344.8 240 352 247.2 352 256C352 264.8 344.8 272 336 272H208C199.2 272 192 264.8 192 256zM192 352C192 343.2 199.2 336 208 336H336C344.8 336 352 343.2 352 352C352 360.8 344.8 368 336 368H208C199.2 368 192 360.8 192 352zM128 232C141.3 232 152 242.7 152 256C152 269.3 141.3 280 128 280C114.7 280 104 269.3 104 256C104 242.7 114.7 232 128 232zM128 376C114.7 376 104 365.3 104 352C104 338.7 114.7 328 128 328C141.3 328 152 338.7 152 352C152 365.3 141.3 376 128 376zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM32 96V416C32 433.7 46.33 448 64 448H384C401.7 448 416 433.7 416 416V96C416 78.33 401.7 64 384 64H64C46.33 64 32 78.33 32 96z"],
    "square-m": [448, 512, [], "e276", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416zM340.8 128.7c-6.609-2.047-13.91 .3594-17.92 6.094L224 276.1L125.1 134.8C121.1 129.1 113.8 126.6 107.2 128.7C100.5 130.8 96 137 96 144v224C96 376.8 103.2 384 112 384S128 376.8 128 368V194.8l82.89 118.4c6 8.562 20.22 8.562 26.22 0L320 194.8V368c0 8.844 7.156 16 16 16s16-7.156 16-16v-224C352 137 347.5 130.8 340.8 128.7z"],
    "square-minus": [448, 512, [61767, "minus-square"], "f146", "M320 240C328.8 240 336 247.2 336 256C336 264.8 328.8 272 320 272H128C119.2 272 112 264.8 112 256C112 247.2 119.2 240 128 240H320zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM32 96V416C32 433.7 46.33 448 64 448H384C401.7 448 416 433.7 416 416V96C416 78.33 401.7 64 384 64H64C46.33 64 32 78.33 32 96z"],
    "square-n": [448, 512, [], "e277", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416zM320 128c-8.844 0-16 7.156-16 16v180.8L140.1 133.6C135.8 128.5 128.7 126.6 122.5 129C116.2 131.3 112 137.3 112 144v224C112 376.8 119.2 384 128 384s16-7.156 16-16V187.3l163.9 191.2C310.1 382 315.4 384 320 384c1.859 0 3.734-.3281 5.547-1C331.8 380.7 336 374.7 336 368v-224C336 135.2 328.8 128 320 128z"],
    "square-nfi": [448, 512, [], "e576", "M75.73 160.6C82.66 158.7 90.02 161.6 93.72 167.8L159.1 278.2V176C159.1 167.2 167.2 160 175.1 160C184.8 160 191.1 167.2 191.1 176V336C191.1 343.2 187.2 349.5 180.3 351.4C173.3 353.3 165.1 350.4 162.3 344.2L96 233.8V336C96 344.8 88.84 352 80 352C71.16 352 64 344.8 64 336V176C64 168.8 68.8 162.5 75.73 160.6V160.6zM224 176C224 167.2 231.2 160 240 160H304C312.8 160 320 167.2 320 176C320 184.8 312.8 192 304 192H256V224H304C312.8 224 320 231.2 320 240C320 248.8 312.8 256 304 256H256V336C256 344.8 248.8 352 240 352C231.2 352 224 344.8 224 336V176zM384 336C384 344.8 376.8 352 368 352C359.2 352 352 344.8 352 336V176C352 167.2 359.2 160 368 160C376.8 160 384 167.2 384 176V336zM384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM384 64H64C46.33 64 32 78.33 32 96V416C32 433.7 46.33 448 64 448H384C401.7 448 416 433.7 416 416V96C416 78.33 401.7 64 384 64z"],
    "square-o": [448, 512, [], "e278", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416zM224 128C153.4 128 96 185.4 96 256s57.42 128 128 128s128-57.42 128-128S294.6 128 224 128zM224 352c-52.94 0-96-43.06-96-96s43.06-96 96-96s96 43.06 96 96S276.9 352 224 352z"],
    "square-p": [448, 512, [], "e279", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416zM240 128h-96C135.2 128 128 135.2 128 144v224C128 376.8 135.2 384 144 384S160 376.8 160 368V320h80c52.94 0 96-43.06 96-96S292.9 128 240 128zM240 288H160V160h80c35.28 0 64 28.7 64 64S275.3 288 240 288z"],
    "square-parking": [448, 512, [127359, "parking"], "f540", "M256 320H176V368C176 376.8 168.8 384 160 384C151.2 384 144 376.8 144 368V152C144 138.7 154.7 128 168 128H256C309 128 352 170.1 352 224C352 277 309 320 256 320zM256 288C291.3 288 320 259.3 320 224C320 188.7 291.3 160 256 160H176V288H256zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM32 96V416C32 433.7 46.33 448 64 448H384C401.7 448 416 433.7 416 416V96C416 78.33 401.7 64 384 64H64C46.33 64 32 78.33 32 96z"],
    "square-parking-slash": [640, 512, ["parking-slash"], "f617", "M633.9 483.4C640.9 488.9 642 498.1 636.6 505.9C631.1 512.9 621 514 614.1 508.6L6.086 28.56C-.8493 23.08-2.033 13.02 3.443 6.086C8.918-.8493 18.98-2.033 25.91 3.443L633.9 483.4zM480 480H159.1C124.7 480 95.1 451.3 95.1 416V160.7L127.1 185.1V416C127.1 433.7 142.3 448 159.1 448H459.9L497.4 477.6C491.9 479.2 486 480 480 480V480zM142.6 34.4C148.1 32.84 153.1 32 159.1 32H480C515.3 32 544 60.65 544 96V351.3L512 326V96C512 78.33 497.7 64 480 64H180.1L142.6 34.4zM271.1 299.6V368C271.1 376.8 264.8 384 255.1 384C247.2 384 239.1 376.8 239.1 368V274.4L271.1 299.6zM411.8 246.9C414.5 239.8 416 232.1 416 224C416 188.7 387.3 160 352 160H301.7L261.3 128.1C262.2 128.1 263.1 128 263.1 128H352C405 128 448 170.1 448 224C448 239.6 444.3 254.3 437.7 267.4L411.8 246.9z"],
    "square-pen": [448, 512, ["pen-square", "pencil-square"], "f14b", "M254.2 140.7C272.1 121.1 303.3 121.1 322.1 140.7L339.4 158.1C358.2 176.8 358.2 207.2 339.4 225.9L213.1 352.3C206.9 358.5 199.2 362.8 190.8 364.1L115.9 383.7C110.4 385 104.7 383.4 100.7 379.5C96.71 375.5 95.12 369.7 96.48 364.3L115.2 289.4C117.3 280.9 121.7 273.2 127.8 267.1L254.2 140.7zM299.5 163.3C293.2 157.1 283.1 157.1 276.8 163.3L255.4 184.8L295.4 224.8L316.8 203.3C323.1 197.1 323.1 186.9 316.8 180.7L299.5 163.3zM146.2 297.1L133.1 346.2L183 333.9C185.8 333.2 188.4 331.7 190.4 329.7L272.8 247.4L232.8 207.4L150.5 289.7C148.4 291.8 146.9 294.3 146.2 297.1V297.1zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM32 96V416C32 433.7 46.33 448 64 448H384C401.7 448 416 433.7 416 416V96C416 78.33 401.7 64 384 64H64C46.33 64 32 78.33 32 96z"],
    "square-person-confined": [448, 512, [], "e577", "M352 248V360C352 390.9 326.9 416 296 416C270.9 416 247.2 404.5 231.6 384.7L178.1 316.6L125.9 407.9C121.5 415.6 111.7 418.3 104.1 413.9C96.39 409.5 93.72 399.7 98.11 392.1L162.1 280.1C164.7 275.4 169.5 272.4 174.8 272C180.1 271.7 185.3 273.9 188.6 278.1L240 343.6V248C240 217.1 265.1 192 296 192C326.9 192 352 217.1 352 248H352zM320 248C320 234.7 309.3 224 296 224C282.7 224 272 234.7 272 248V360C272 373.3 282.7 384 296 384C309.3 384 320 373.3 320 360V248zM264 152C264 182.9 238.9 208 208 208C177.1 208 152 182.9 152 152C152 121.1 177.1 96 208 96C238.9 96 264 121.1 264 152zM208 128C194.7 128 184 138.7 184 152C184 165.3 194.7 176 208 176C221.3 176 232 165.3 232 152C232 138.7 221.3 128 208 128zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM32 96V416C32 433.7 46.33 448 64 448H384C401.7 448 416 433.7 416 416V96C416 78.33 401.7 64 384 64H64C46.33 64 32 78.33 32 96z"],
    "square-phone": [448, 512, ["phone-square"], "f098", "M384 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416zM337.5 276.3C337.5 276.3 337.5 276.3 337.5 276.3l-47.91-20.53c-15.17-6.328-32.97-1.859-43.25 10.75l-6.719 8.188C226.1 265.5 214.5 253.9 205.4 240.4l8.266-6.781c12.86-10.62 17.11-28.06 10.55-43.41L203.7 142.5c-7.141-16.52-25.06-25.5-42.58-21.52L116.9 131.2C99.91 135.1 88 149.1 88 167.5C88 291.3 188.7 392 312.5 392c17.45 0 32.39-11.88 36.31-28.88l10.2-44.28C363.1 301.3 353.1 283.5 337.5 276.3zM317.7 355.9C317.1 358.4 315 360 312.5 360C206.4 360 120 273.6 120 167.5c0-2.469 1.625-4.5 4.094-5.062l44.25-10.27C168.7 152 169.1 152 169.5 152c2.062 0 4.016 1.234 4.844 3.125l20.44 47.7c.9531 2.234 .3906 4.594-1.453 6.109L174.3 224.5C168.4 229.4 166.7 237.8 170.4 244.5c15 27.58 37.53 50.09 65.13 65.13c6.781 3.688 15.17 2 20.03-3.906l15.58-19.02c1.406-1.734 3.984-2.328 6.016-1.516l47.66 20.44c2.328 1.031 3.609 3.562 3.047 6L317.7 355.9z"],
    "square-phone-flip": [448, 512, ["phone-square-alt"], "f87b", "M384 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416zM331.1 131.2l-44.19-10.25c-17.52-3.984-35.44 5-42.58 21.52L223.8 190.3c-6.562 15.34-2.312 32.78 10.55 43.41l8.266 6.781C233.5 253.9 221.9 265.5 208.4 274.7L201.7 266.5C191.4 253.9 173.6 249.4 158.4 255.8L110.5 276.3c-.0156 .0156 .0313-.0156 0 0c-16.47 7.172-25.55 25.06-21.54 42.56l10.2 44.28C103.1 380.1 118 392 135.5 392C259.3 392 360 291.3 360 167.5C360 149.1 348.1 135.1 331.1 131.2zM135.5 360c-2.5 0-4.562-1.625-5.125-4.062L120.1 311.7c-.5625-2.438 .7187-4.969 3.047-6l47.66-20.44C172.9 284.4 175.5 285 176.9 286.7l15.58 19.02c4.859 5.906 13.25 7.594 20.03 3.906c27.59-15.03 50.13-37.55 65.13-65.13c3.672-6.75 2.031-15.16-3.906-20.03l-18.98-15.56c-1.844-1.516-2.406-3.875-1.453-6.109l20.44-47.7C274.5 153.2 276.5 152 278.5 152c.375 0 .75 .0469 1.125 .1406l44.25 10.27C326.4 162.1 328 165 328 167.5C328 273.6 241.6 360 135.5 360z"],
    "square-phone-hangup": [448, 512, ["phone-square-down"], "e27a", "M384 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416zM65.23 225.7C52.89 238 50.73 256.1 59.97 271.8l24.1 38.53c9.535 15.21 28.61 21.44 45.33 14.87c.0332-.0117-.0234 0 0 0l48.4-19.36C192.1 299.5 202.4 283.8 200.8 267.6L199.7 257.1c16.03-3.039 32.43-3.039 48.45-.0117l-1.051 10.64c-1.578 16.61 7.746 31.94 23.24 38.15l48.26 19.31c16.73 6.629 35.75 .3105 45.32-14.89l23.1-38.49c9.303-14.78 7.182-33.74-5.182-46.11C295.2 138.1 152.8 138.1 65.23 225.7zM360.8 254.8l-24.03 38.55c-.1992 .332-.4316 .6309-.6973 .8945c-1.457 1.459-3.711 1.967-5.635 1.217l-48.18-19.28c-2.254-.9043-3.525-2.971-3.293-5.348l2.42-24.43c.752-7.645-4.033-14.75-11.4-16.93c-30.11-8.895-61.96-8.883-92.1 0C170.5 231.6 165.8 238.8 166.5 246.4l2.43 24.46c.2324 2.221-1.17 4.465-3.182 5.326L117.6 295.4C115.2 296.3 112.5 295.4 111.2 293.3L87.11 254.8C85.78 252.7 86.09 250.1 87.86 248.3c75.06-75.06 197.2-75.06 272.3 0C361.9 250 362.2 252.6 360.8 254.8z"],
    "square-plus": [448, 512, [61846, "plus-square"], "f0fe", "M208 352V272H128C119.2 272 112 264.8 112 256C112 247.2 119.2 240 128 240H208V160C208 151.2 215.2 144 224 144C232.8 144 240 151.2 240 160V240H320C328.8 240 336 247.2 336 256C336 264.8 328.8 272 320 272H240V352C240 360.8 232.8 368 224 368C215.2 368 208 360.8 208 352zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM32 96V416C32 433.7 46.33 448 64 448H384C401.7 448 416 433.7 416 416V96C416 78.33 401.7 64 384 64H64C46.33 64 32 78.33 32 96z"],
    "square-poll-horizontal": [448, 512, ["poll-h"], "f682", "M240 176H112C103.2 176 96 168.8 96 160C96 151.2 103.2 144 112 144H240C248.8 144 256 151.2 256 160C256 168.8 248.8 176 240 176zM336 240C344.8 240 352 247.2 352 256C352 264.8 344.8 272 336 272H112C103.2 272 96 264.8 96 256C96 247.2 103.2 240 112 240H336zM176 368H112C103.2 368 96 360.8 96 352C96 343.2 103.2 336 112 336H176C184.8 336 192 343.2 192 352C192 360.8 184.8 368 176 368zM384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM384 64H64C46.33 64 32 78.33 32 96V416C32 433.7 46.33 448 64 448H384C401.7 448 416 433.7 416 416V96C416 78.33 401.7 64 384 64z"],
    "square-poll-vertical": [448, 512, ["poll"], "f681", "M144 240V368C144 376.8 136.8 384 128 384C119.2 384 112 376.8 112 368V240C112 231.2 119.2 224 128 224C136.8 224 144 231.2 144 240zM208 144C208 135.2 215.2 128 224 128C232.8 128 240 135.2 240 144V368C240 376.8 232.8 384 224 384C215.2 384 208 376.8 208 368V144zM336 304V368C336 376.8 328.8 384 320 384C311.2 384 304 376.8 304 368V304C304 295.2 311.2 288 320 288C328.8 288 336 295.2 336 304zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM32 96V416C32 433.7 46.33 448 64 448H384C401.7 448 416 433.7 416 416V96C416 78.33 401.7 64 384 64H64C46.33 64 32 78.33 32 96z"],
    "square-q": [448, 512, [], "e27b", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416zM224 128C153.4 128 96 185.4 96 256s57.41 128 128 128c29.52 0 56.4-10.45 78.08-27.3l22.61 22.61C327.8 382.4 331.9 384 336 384s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62l-22.61-22.61C341.6 312.4 352 285.5 352 256C352 185.4 294.6 128 224 128zM302.1 311.5l-34.77-34.77c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l34.77 34.77C263.8 345.3 244.7 352 224 352c-52.94 0-96-43.06-96-96s43.06-96 96-96s96 43.06 96 96C320 276.7 313.3 295.8 302.1 311.5z"],
    "square-quarters": [448, 512, [], "e44e", "M384 32H64C28.64 32 0 60.64 0 96v320c0 35.36 28.64 64 64 64h320c35.36 0 64-28.64 64-64V96C448 60.64 419.4 32 384 32zM64 64h320c2.881 0 5.633 .3828 8.289 1.088L224 233.4L55.71 65.09C58.37 64.38 61.12 64 64 64zM32 416V96c0-2.881 .3848-5.633 1.088-8.289L201.4 256l-168.3 168.3C32.38 421.6 32 418.9 32 416zM384 448H64c-2.879 0-5.631-.3848-8.287-1.088L224 278.6l168.3 168.3C389.6 447.6 386.9 448 384 448zM416 416c0 2.879-.3828 5.631-1.088 8.287L246.6 256l168.3-168.3C415.6 90.37 416 93.12 416 96V416z"],
    "square-question": [448, 512, ["question-square"], "f2fd", "M253.6 128H194.4C157.8 128 128 157.8 128 194.4V204c0 8.844 7.156 16 16 16S160 212.8 160 204V194.4C160 175.4 175.4 160 194.4 160h59.25C272.6 160 288 175.4 288 194.4c0 12.48-6.781 24-17.06 29.72L210.5 254.3C199.1 260.7 192 272.7 192 285.8V304C192 312.8 199.2 320 208 320S224 312.8 224 304V285.8c0-1.453 .7813-2.797 1.438-3.172l60.41-30.22C306.9 240.7 320 218.5 320 194.4C320 157.8 290.2 128 253.6 128zM208 344c-13.25 0-24 10.75-24 24s10.75 24 24 24s24-10.75 24-24S221.3 344 208 344zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416z"],
    "square-quote": [448, 512, [], "e329", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416zM152 160C121.1 160 96 185.1 96 216S121.1 272 152 272c8.627 0 16.7-2.111 24-5.596V272C176 298.5 154.5 320 128 320c-8.844 0-16 7.156-16 16S119.2 352 128 352c44.11 0 80-35.89 80-80V216C208 185.1 182.9 160 152 160zM152 240C138.8 240 128 229.2 128 216C128 202.8 138.8 192 152 192C165.2 192 176 202.8 176 216C176 229.2 165.2 240 152 240zM296 160c-30.93 0-56 25.07-56 56s25.07 56 56 56c8.627 0 16.7-2.111 24-5.596V272c0 26.47-21.53 48-48 48c-8.844 0-16 7.156-16 16s7.156 16 16 16c44.11 0 80-35.89 80-80V216C352 185.1 326.9 160 296 160zM296 240c-13.23 0-24-10.77-24-24C272 202.8 282.8 192 296 192C309.2 192 320 202.8 320 216C320 229.2 309.2 240 296 240z"],
    "square-r": [448, 512, [], "e27c", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416zM336 208C336 163.9 300.1 128 256 128H144C135.2 128 128 135.2 128 144v224C128 376.8 135.2 384 144 384S160 376.8 160 368V288h70.35l77.5 90.41C311 382.1 315.5 384 320 384c3.688 0 7.406-1.266 10.41-3.859c6.719-5.75 7.5-15.84 1.75-22.55l-60.97-71.13C308.1 279.3 336 246.9 336 208zM256 256H160V160h96c26.47 0 48 21.53 48 48S282.5 256 256 256z"],
    "square-right": [448, 512, [10145, "arrow-alt-square-right"], "f352", "M448 416V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320C419.3 480 448 451.3 448 416zM64 448c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32v320c0 17.64-14.36 32-32 32H64zM356.3 284.3c15.12-15.12 15.33-41.25-.2031-56.75l-95.8-92.5c-11.48-11.47-28.59-14.88-43.59-8.688C201.7 132.6 192 147.1 192 163.3V192H120C97.94 192 80 209.9 80 232v48C80 302.1 97.94 320 120 320H192v28.69c0 16.25 9.688 30.75 24.69 36.97c14.95 6.188 32 2.812 43.48-8.562L356.3 284.3zM224 348.7V288H120C115.6 288 112 284.4 112 280v-48C112 227.6 115.6 224 120 224H224V163.3c0-6.414 8.048-11.26 13.86-5.471l95.8 92.5c4.205 4.162 1.796 9.532 .2031 11.12l-96 92.69C233 359 224 356.1 224 348.7z"],
    "square-ring": [448, 512, [], "e44f", "M224 96C135.6 96 64 167.6 64 256s71.65 160 160 160s160-71.65 160-160S312.4 96 224 96zM224 384c-70.69 0-128-57.31-128-128s57.31-128 128-128s128 57.31 128 128S294.7 384 224 384zM224 160C170.1 160 128 202.1 128 256s42.98 96 96 96s96-42.98 96-96S277 160 224 160zM224 320c-35.36 0-64-28.64-64-64s28.64-64 64-64s64 28.64 64 64S259.4 320 224 320zM384 32H64C28.64 32 0 60.64 0 96v320c0 35.36 28.64 64 64 64h320c35.36 0 64-28.64 64-64V96C448 60.64 419.4 32 384 32zM416 416c0 17.66-14.34 32-32 32H64c-17.66 0-32-14.34-32-32V96c0-17.66 14.34-32 32-32h320c17.66 0 32 14.34 32 32V416z"],
    "square-root": [576, 512, [8730], "f697", "M192.1 477.3c-9.5-3.625-16.88-11.38-21.12-20.63L89.1 281.3C87.5 275.6 81.75 272 75.5 272H16C7.2 272 0 264.8 0 256c0-8.8 7.2-16 16-16H75.5c18.62 0 35.75 11 43.63 27.88l81.25 176.3c2.375 5.125 11.12 4.375 12.75-1.125l101.1-375.5C319.8 46.63 338.9 32 360.5 32h199.5C568.8 32 576 39.2 576 48c0 8.8-7.2 16-16 16H360.5c-7.25 0-13.5 4.875-15.38 11.88L244 451.3C238.1 472.8 215 486 192.1 477.3z"],
    "square-root-variable": [576, 512, ["square-root-alt"], "f698", "M539.3 228.7c-6.223-6.223-16.4-6.223-22.62 0L463.5 281.4L411.3 228.7c-6.221-6.223-16.4-6.223-22.62 0c-6.221 6.223-6.221 16.4 0 22.62L440.9 304l-52.21 52.71c-6.221 6.221-6.221 16.4 0 22.62c6.223 6.221 16.4 6.221 22.62 0l52.21-52.71l53.21 52.71c6.221 6.221 16.4 6.221 22.62 0c6.221-6.223 6.221-16.4 0-22.62L486.1 304l53.21-52.71C545.6 245.1 545.6 234.9 539.3 228.7zM560 32h-199.5c-21.62 0-40.75 14.62-46.25 35.5L213.1 443c-1.625 5.5-10.38 6.25-12.75 1.125L119.1 267.9c-7.875-16.88-25-27.88-43.63-27.88H16c-8.799 0-16 7.202-16 16c0 8.801 7.201 15.1 16 15.1h59.5c6.25 0 12 3.625 14.5 9.25l81 175.4c4.25 9.25 11.62 17 21.12 20.62c22.88 8.75 46-4.5 51.88-26l101.1-375.4C347 68.88 353.3 64 360.5 64H560C568.8 64 576 56.8 576 48S568.8 32 560 32z"],
    "square-rss": [448, 512, ["rss-square"], "f143", "M80 128C71.16 128 64 135.2 64 144S71.16 160 80 160C212.3 160 320 267.7 320 400c0 8.844 7.156 16 16 16s16-7.156 16-16C352 250 229.1 128 80 128zM80 224C71.16 224 64 231.2 64 240S71.16 256 80 256c79.41 0 144 64.59 144 144c0 8.844 7.156 16 16 16s16-7.156 16-16C256 302.1 177 224 80 224zM384 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416zM112 320C85.49 320 64 341.5 64 368S85.49 416 112 416S160 394.5 160 368S138.5 320 112 320zM112 384C103.2 384 96 376.8 96 368S103.2 352 112 352S128 359.2 128 368S120.8 384 112 384z"],
    "square-s": [448, 512, [], "e27d", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416zM228.2 240.6C177.4 226.1 155.7 218.1 160.8 190.4c1.094-5.953 4.469-14.41 14.38-20.81c13.41-8.672 42.06-15.94 102.2-1.062c8.719 2.094 17.25-3.125 19.38-11.69c2.125-8.578-3.125-17.25-11.69-19.38c-57.16-14.11-99.94-12.39-127.2 5.25c-15.22 9.844-25.34 24.73-28.5 41.92C118.3 244.2 177 260 219.8 271.5c50.78 13.66 72.47 22.53 67.38 50.22c-1.938 10.55-6.969 17.78-15.81 22.77c-23.06 12.92-70.81 8.766-121.7-10.61c-8.188-3.094-17.5 .9844-20.62 9.266c-3.156 8.25 1 17.5 9.25 20.64c15.66 5.953 57.13 20.16 96.94 20.16c18.59 0 36.81-3.094 51.84-11.56c17.06-9.594 27.97-25.11 31.62-44.88C329.7 267.9 271 252.1 228.2 240.6z"],
    "square-share-nodes": [448, 512, ["share-alt-square"], "f1e1", "M273.3 203.7L191.5 248.3C191.8 250.8 192 253.4 192 255.1C192 258.6 191.8 261.2 191.5 263.7L273.3 308.3C284.9 295.8 301.6 287.1 320 287.1C355.3 287.1 384 316.7 384 352C384 387.3 355.3 416 320 416C284.7 416 256 387.3 256 352C256 346.6 256.7 341.4 257.9 336.4L179.7 293.7C168.1 309.6 149.2 319.1 128 319.1C92.65 319.1 64 291.3 64 255.1C64 220.7 92.65 191.1 128 191.1C149.2 191.1 168.1 202.4 179.7 218.3L257.9 175.6C256.7 170.6 256 165.4 256 159.1C256 124.7 284.7 95.1 320 95.1C355.3 95.1 384 124.7 384 159.1C384 195.3 355.3 223.1 320 223.1C301.6 223.1 284.9 216.2 273.3 203.7V203.7zM320 192C337.7 192 352 177.7 352 160C352 142.3 337.7 128 320 128C302.3 128 288 142.3 288 160C288 177.7 302.3 192 320 192zM320 384C337.7 384 352 369.7 352 352C352 334.3 337.7 320 320 320C302.3 320 288 334.3 288 352C288 369.7 302.3 384 320 384zM128 224C110.3 224 96 238.3 96 256C96 273.7 110.3 288 128 288C145.7 288 160 273.7 160 256C160 238.3 145.7 224 128 224zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM32 96V416C32 433.7 46.33 448 64 448H384C401.7 448 416 433.7 416 416V96C416 78.33 401.7 64 384 64H64C46.33 64 32 78.33 32 96z"],
    "square-sliders": [448, 512, ["sliders-h-square"], "f3f0", "M112 160H160V136C160 127.2 167.2 120 176 120C184.8 120 192 127.2 192 136V216C192 224.8 184.8 232 176 232C167.2 232 160 224.8 160 216V192H112C103.2 192 96 184.8 96 176C96 167.2 103.2 160 112 160zM240 160H336C344.8 160 352 167.2 352 176C352 184.8 344.8 192 336 192H240C231.2 192 224 184.8 224 176C224 167.2 231.2 160 240 160zM112 320H224V296C224 287.2 231.2 280 240 280C248.8 280 256 287.2 256 296V376C256 384.8 248.8 392 240 392C231.2 392 224 384.8 224 376V352H112C103.2 352 96 344.8 96 336C96 327.2 103.2 320 112 320zM304 320H336C344.8 320 352 327.2 352 336C352 344.8 344.8 352 336 352H304C295.2 352 288 344.8 288 336C288 327.2 295.2 320 304 320zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM64 448H384C401.7 448 416 433.7 416 416V96C416 78.33 401.7 64 384 64H64C46.33 64 32 78.33 32 96V416C32 433.7 46.33 448 64 448z"],
    "square-sliders-vertical": [448, 512, ["sliders-v-square"], "f3f2", "M144 128C152.8 128 160 135.2 160 144V192H184C192.8 192 200 199.2 200 208C200 216.8 192.8 224 184 224H104C95.16 224 88 216.8 88 208C88 199.2 95.16 192 104 192H128V144C128 135.2 135.2 128 144 128zM144 256C152.8 256 160 263.2 160 272V368C160 376.8 152.8 384 144 384C135.2 384 128 376.8 128 368V272C128 263.2 135.2 256 144 256zM304 128C312.8 128 320 135.2 320 144V256H344C352.8 256 360 263.2 360 272C360 280.8 352.8 288 344 288H264C255.2 288 248 280.8 248 272C248 263.2 255.2 256 264 256H288V144C288 135.2 295.2 128 304 128zM304 320C312.8 320 320 327.2 320 336V368C320 376.8 312.8 384 304 384C295.2 384 288 376.8 288 368V336C288 327.2 295.2 320 304 320zM384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM384 64H64C46.33 64 32 78.33 32 96V416C32 433.7 46.33 448 64 448H384C401.7 448 416 433.7 416 416V96C416 78.33 401.7 64 384 64z"],
    "square-small": [320, 512, [], "e27e", "M256 96C291.3 96 320 124.7 320 160V352C320 387.3 291.3 416 256 416H64C28.65 416 0 387.3 0 352V160C0 124.7 28.65 96 64 96H256zM256 128H64C46.33 128 32 142.3 32 160V352C32 369.7 46.33 384 64 384H256C273.7 384 288 369.7 288 352V160C288 142.3 273.7 128 256 128z"],
    "square-star": [448, 512, [], "e27f", "M274.6 186.4L355.6 198.1C361.7 199 366.7 203.2 368.6 209C370.4 214.8 368.9 221.2 364.5 225.4L305.9 282.6L319.7 363.3C320.7 369.3 318.3 375.4 313.3 378.1C308.4 382.6 301.9 383 296.5 380.2L224 342.1L151.5 380.2C146.1 383 139.6 382.6 134.7 378.1C129.7 375.4 127.3 369.3 128.3 363.3L142.1 282.6L83.49 225.4C79.13 221.2 77.56 214.8 79.44 209C81.32 203.2 86.33 199 92.36 198.1L173.4 186.4L209.7 112.9C212.3 107.5 217.9 104 224 104C230.1 104 235.7 107.5 238.3 112.9L274.6 186.4zM186.3 216.8L129 225.1L170.5 265.6C174.3 269.2 175.1 274.5 175.1 279.7L165.3 336.8L216.6 309.8C221.2 307.4 226.8 307.4 231.4 309.8L282.7 336.8L272.9 279.7C272 274.5 273.7 269.2 277.5 265.6L318.1 225.1L261.7 216.8C256.5 216.1 251.1 212.8 249.6 208.1L223.1 156.2L198.4 208.1C196 212.8 191.5 216.1 186.3 216.8H186.3zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM32 96V416C32 433.7 46.33 448 64 448H384C401.7 448 416 433.7 416 416V96C416 78.33 401.7 64 384 64H64C46.33 64 32 78.33 32 96z"],
    "square-t": [448, 512, [], "e280", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416zM336 128h-224C103.2 128 96 135.2 96 144S103.2 160 112 160h96v208c0 8.844 7.156 16 16 16s16-7.156 16-16V160h96C344.8 160 352 152.8 352 144S344.8 128 336 128z"],
    "square-terminal": [448, 512, [], "e32a", "M106.4 147.9L218.4 243.9C221.1 246.9 224 251.3 224 256C224 260.7 221.1 265.1 218.4 268.1L106.4 364.1C99.7 369.9 89.6 369.1 83.85 362.4C78.1 355.7 78.88 345.6 85.59 339.9L183.4 256L85.59 172.1C78.88 166.4 78.1 156.3 83.85 149.6C89.6 142.9 99.7 142.1 106.4 147.9V147.9zM368 352C376.8 352 384 359.2 384 368C384 376.8 376.8 384 368 384H208C199.2 384 192 376.8 192 368C192 359.2 199.2 352 208 352H368zM384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM384 64H64C46.33 64 32 78.33 32 96V416C32 433.7 46.33 448 64 448H384C401.7 448 416 433.7 416 416V96C416 78.33 401.7 64 384 64z"],
    "square-this-way-up": [448, 512, ["box-up"], "f49f", "M336 368C344.8 368 352 375.2 352 384C352 392.8 344.8 400 336 400H112C103.2 400 96 392.8 96 384C96 375.2 103.2 368 112 368H336zM144 112C148.6 112 153 113.1 156 117.5L212 181.5C217.9 188.1 217.2 198.2 210.5 204C203.9 209.9 193.8 209.2 187.1 202.5L160 170.6V304C160 312.8 152.8 320 144 320C135.2 320 128 312.8 128 304V170.6L100 202.5C94.22 209.2 84.11 209.9 77.46 204C70.81 198.2 70.14 188.1 75.96 181.5L131.1 117.5C134.1 113.1 139.4 112 144 112zM304 112C308.6 112 313 113.1 316 117.5L372 181.5C377.9 188.1 377.2 198.2 370.5 204C363.9 209.9 353.8 209.2 347.1 202.5L320 170.6V304C320 312.8 312.8 320 304 320C295.2 320 288 312.8 288 304V170.6L260 202.5C254.2 209.2 244.1 209.9 237.5 204C230.8 198.2 230.1 188.1 235.1 181.5L291.1 117.5C294.1 113.1 299.4 112 304 112zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM32 96V416C32 433.7 46.33 448 64 448H384C401.7 448 416 433.7 416 416V96C416 78.33 401.7 64 384 64H64C46.33 64 32 78.33 32 96z"],
    "square-u": [448, 512, [], "e281", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416zM320 128c-8.844 0-16 7.156-16 16v129.8C304 316.9 268.1 352 224 352S144 316.9 144 273.8V144C144 135.2 136.8 128 128 128S112 135.2 112 144v129.8C112 334.5 162.3 384 224 384s112-49.47 112-110.3V144C336 135.2 328.8 128 320 128z"],
    "square-up": [448, 512, [11014, "arrow-alt-square-up"], "f353", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416zM252.3 123.7C237.2 108.6 211 108.4 195.5 123.9l-92.5 95.8C91.56 231.2 88.16 248.3 94.34 263.3C100.6 278.3 115.1 288 131.3 288H160v72c0 22.06 17.94 40 40 40h48c22.06 0 40-17.94 40-40V288h28.69c16.25 0 30.75-9.688 36.97-24.69c6.188-14.95 2.812-32-8.562-43.48L252.3 123.7zM316.7 256H256v104c0 4.406-3.594 8-8 8h-48C195.6 368 192 364.4 192 360V256H131.3C124.9 256 120.1 247.1 125.8 242.1l92.5-95.8c4.162-4.205 9.532-1.796 11.12-.2031l92.69 96C327 246.1 324.1 256 316.7 256z"],
    "square-up-left": [448, 512, [], "e282", "M0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96zM384 64c17.64 0 32 14.36 32 32v320c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32H384zM150.5 142.5c-21.39 0-40.01 18.33-39.98 40.27l2.331 133.1c.011 16.23 9.701 30.74 24.68 36.97c15 6.209 32.11 2.806 43.6-8.684l20.29-20.29l50.91 50.91c15.6 15.6 40.97 15.6 56.57 0l33.94-33.94c15.6-15.6 15.6-40.97 0-56.57l-50.91-50.91l20.29-20.29c11.49-11.49 14.89-28.59 8.684-43.6c-6.198-14.95-20.64-24.62-36.8-24.69L150.5 142.5zM289.5 190.5l-42.91 42.91l73.54 73.54c3.116 3.116 3.116 8.199 .0003 11.31l-33.94 33.94c-3.116 3.116-8.198 3.114-11.31-.0013L201.4 278.6l-42.91 42.91c-4.536 4.536-13.65 2.268-13.67-5.933L142.5 182.5c-.0307-5.916 5.47-8.01 7.723-8.01l133.4 2.342C290.5 176.8 294.8 185.2 289.5 190.5z"],
    "square-up-right": [448, 512, [8599, "external-link-square-alt"], "f360", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM384 64c17.64 0 32 14.36 32 32v320c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32H384zM163.1 144.8c-16.16 .0773-30.6 9.745-36.8 24.69c-6.209 15-2.806 32.11 8.684 43.6l20.29 20.29L105.2 284.3c-15.6 15.6-15.6 40.97 0 56.57l33.94 33.94c15.6 15.6 40.97 15.6 56.57 0l50.91-50.91l20.29 20.29c11.49 11.49 28.59 14.89 43.6 8.684c14.98-6.231 24.67-20.74 24.68-36.97l2.331-133.1c.0221-21.94-18.59-40.27-39.98-40.27L163.1 144.8zM164.1 176.8l133.7-2.353c2.253 0 7.754 2.094 7.723 8.01l-2.331 133.1c-.0178 8.201-9.132 10.47-13.67 5.933l-42.91-42.91l-73.54 73.54c-3.116 3.116-8.198 3.117-11.31 .0013L127.8 318.2C124.7 315.1 124.7 310 127.8 306.9l73.54-73.54L158.5 190.5C153.2 185.2 157.3 176.8 164.1 176.8z"],
    "square-user": [448, 512, [], "e283", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM96 448c0-52.94 43.07-96 96-96h64c52.94 0 96 43.06 96 96H96zM416 416c0 17.64-14.36 32-32 32c0-70.69-57.31-128-128-128H192c-70.69 0-128 57.31-128 128c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416zM224 128C179.8 128 144 163.8 144 208C144 252.2 179.8 288 224 288c44.18 0 80-35.82 80-80C304 163.8 268.2 128 224 128zM224 256C197.5 256 176 234.5 176 208S197.5 160 224 160s48 21.53 48 48S250.5 256 224 256z"],
    "square-v": [448, 512, [], "e284", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416zM343.2 129.7c-7.938-3.969-17.5-.7187-21.47 7.156L224 332.2L126.3 136.8C122.3 128.1 112.8 125.7 104.8 129.7c-7.906 3.969-11.11 13.56-7.156 21.47l112 224C212.4 380.6 217.9 384 224 384s11.59-3.438 14.31-8.844l112-224C354.3 143.3 351.1 133.7 343.2 129.7z"],
    "square-virus": [448, 512, [], "e578", "M216 224C216 237.3 205.3 248 192 248C178.7 248 168 237.3 168 224C168 210.7 178.7 200 192 200C205.3 200 216 210.7 216 224zM224 280C224 266.7 234.7 256 248 256C261.3 256 272 266.7 272 280C272 293.3 261.3 304 248 304C234.7 304 224 293.3 224 280zM333.1 215.3C338.6 224.4 348.5 230.9 361.1 230.9C374.3 230.9 385.1 241.6 385.1 254.9C385.1 268.1 374.3 278.9 361.1 278.9C331.8 278.9 317.2 314.3 337.8 334.9C347.2 344.3 347.2 359.5 337.8 368.9C328.5 378.3 313.3 378.3 303.9 368.9C283.2 348.2 247.8 362.8 247.8 392.1C247.8 405.4 237.1 416.1 223.8 416.1C210.6 416.1 199.8 405.4 199.8 392.1C199.8 362.8 164.5 348.2 143.8 368.9C134.4 378.3 119.2 378.3 109.8 368.9C100.5 359.5 100.5 344.3 109.8 334.9C130.5 314.3 115.9 278.9 86.61 278.9C73.35 278.9 62.61 268.1 62.61 254.9C62.61 241.6 73.35 230.9 86.61 230.9C115.9 230.9 130.5 195.5 109.8 174.8C100.5 165.4 100.5 150.2 109.8 140.9C119.2 131.5 134.4 131.5 143.8 140.9C164.5 161.6 199.8 146.9 199.8 117.6C199.8 104.4 210.6 93.65 223.8 93.65C237.1 93.65 247.8 104.4 247.8 117.6C247.8 146.9 283.2 161.6 303.9 140.9C313.3 131.5 328.5 131.5 337.8 140.9C347.2 150.2 347.2 165.4 337.8 174.8C326 186.6 325.7 203.2 333.1 215.3H333.1zM223.8 149.3C209.4 175.3 177.8 188.4 149.2 180.2C157.3 208.8 144.2 240.4 118.2 254.9C144.2 269.3 157.3 300.9 149.2 329.6C177.8 321.4 209.4 334.5 223.8 360.5C238.3 334.5 269.9 321.4 298.5 329.6C290.3 300.9 303.4 269.3 329.4 254.9C303.4 240.4 290.3 208.8 298.5 180.2C269.9 188.4 238.3 175.3 223.8 149.3zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM32 96V416C32 433.7 46.33 448 64 448H384C401.7 448 416 433.7 416 416V96C416 78.33 401.7 64 384 64H64C46.33 64 32 78.33 32 96z"],
    "square-w": [448, 512, [], "e285", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416zM356.4 128.6C348 126.1 339 131.1 336.6 139.6L288 309.8l-48.61-170.2c-3.938-13.69-26.84-13.69-30.78 0L160 309.8L111.4 139.6C108.1 131.1 100 126.1 91.61 128.6c-8.5 2.406-13.42 11.28-11 19.78l64 224c3.938 13.69 26.84 13.69 30.78 0L224 202.3l48.61 170.2C274.6 379.3 280.8 384 287.9 384s13.48-4.75 15.45-11.59l64-224C369.8 139.9 364.9 131 356.4 128.6z"],
    "square-x": [448, 512, [], "e286", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416zM330.4 131.8c-6.688-5.75-16.8-4.938-22.55 1.75L224 231.4l-83.86-97.84C134.4 126.9 124.3 126.2 117.6 131.8c-6.719 5.75-7.5 15.88-1.734 22.56L202.9 256l-87.08 101.6c-5.766 6.688-4.984 16.81 1.734 22.56C120.6 382.8 124.3 384 128 384c4.5 0 8.984-1.906 12.14-5.594L224 280.6l83.86 97.84C311 382.1 315.5 384 320 384c3.688 0 7.391-1.281 10.41-3.844c6.719-5.75 7.5-15.88 1.734-22.56L245.1 256l87.08-101.6C337.9 147.7 337.1 137.6 330.4 131.8z"],
    "square-xmark": [448, 512, [10062, "times-square", "xmark-square"], "f2d3", "M148.7 180.7C154.9 174.4 165.1 174.4 171.3 180.7L224 233.4L276.7 180.7C282.9 174.4 293.1 174.4 299.3 180.7C305.6 186.9 305.6 197.1 299.3 203.3L246.6 256L299.3 308.7C305.6 314.9 305.6 325.1 299.3 331.3C293.1 337.6 282.9 337.6 276.7 331.3L224 278.6L171.3 331.3C165.1 337.6 154.9 337.6 148.7 331.3C142.4 325.1 142.4 314.9 148.7 308.7L201.4 256L148.7 203.3C142.4 197.1 142.4 186.9 148.7 180.7zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM32 96V416C32 433.7 46.33 448 64 448H384C401.7 448 416 433.7 416 416V96C416 78.33 401.7 64 384 64H64C46.33 64 32 78.33 32 96z"],
    "square-y": [448, 512, [], "e287", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416zM323.9 133.6L224 250.1L124.1 133.6C118.4 126.9 108.3 126.2 101.6 131.8c-6.719 5.75-7.5 15.88-1.734 22.56L208 280.6V368c0 8.844 7.156 16 16 16s16-7.156 16-16V280.6l108.1-126.2c5.766-6.688 4.984-16.81-1.734-22.56C339.7 126.2 329.6 126.9 323.9 133.6z"],
    "square-z": [448, 512, [], "e288", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM416 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V416zM320 352H162.8l169.4-197.6c4.062-4.75 5-11.41 2.375-17.09C331.9 131.6 326.3 128 320 128H128C119.2 128 112 135.2 112 144S119.2 160 128 160h157.2l-169.4 197.6c-4.062 4.75-5 11.41-2.375 17.09C116.1 380.4 121.8 384 128 384h192c8.844 0 16-7.156 16-16S328.8 352 320 352z"],
    "squid": [512, 512, [129425], "e450", "M295.2 335.8C292.5 335.8 289.9 336.5 287.6 337.9C285.4 339.4 283.6 341.5 282.5 343.9C281.5 346.4 281.2 349.1 281.7 351.8C282.2 354.4 283.4 356.8 285.3 358.7L321.2 394.6C322.7 396.1 324.4 397.2 326.4 398.1C328.3 398.9 330.4 399.3 332.5 399.3C334.6 399.3 336.7 398.9 338.7 398.1C340.6 397.2 342.4 396.1 343.9 394.6L404.7 334.2C409.2 329.7 414.5 326.1 420.4 323.7C426.3 321.3 432.7 320.1 439 320.2C445.4 320.2 451.7 321.5 457.6 324.1C463.4 326.6 468.7 330.2 473.2 334.8L507.9 373.4L508.1 373.1C510.5 376.9 511.9 380.6 511.9 384.4C511.9 399.7 476.4 423.4 440 423.4C418.6 423.3 397.9 415.9 381.3 402.5L366.4 417.2C361.9 421.7 356.6 425.3 350.8 427.7C344.1 430.1 338.7 431.3 332.4 431.3C325.8 431.2 319.3 429.8 313.3 427.2C307.2 424.6 301.8 420.7 297.2 415.1L265.8 384.5C262.5 381.2 257.1 379.3 253.2 379.3C250.9 379.3 248.6 379.8 246.5 380.7C244.4 381.5 242.4 382.8 240.8 384.5L240.4 384.8C237.1 388.2 235.2 392.7 235.2 397.4C235.2 402.1 237.1 406.6 240.4 409.9L260.7 430.2C269.7 439.2 274.7 451.4 274.7 464.1C274.7 476.9 269.7 489.1 260.7 498.1L251.9 506.8C248.6 510.1 244.2 511.1 239.6 512C235.4 511.9 231.5 510.2 228.6 507.2C225.6 504.2 223.1 500.2 224 496C224 493.9 224.4 491.8 225.3 489.9C226.1 487.9 227.3 486.2 228.8 484.7L238.2 475.3C241.2 472.3 242.9 468.3 242.9 464C242.9 459.8 241.2 455.7 238.2 452.7L198.7 413.2C197.1 411.6 195.3 410.4 193.2 409.5C191.1 408.6 188.9 408.2 186.6 408.2C183.6 408.2 180.6 408.1 177.1 410.4C175.3 411.8 173 413.9 171.3 416.4L148.4 445.7C146.1 448.9 144.6 452.6 144.3 456.6C143.9 460.6 144.7 464.5 146.5 468.1C148.2 471.6 150.1 474.6 154.3 476.7C157.7 478.8 161.6 479.1 165.6 480H175.2C179.5 479.9 183.7 481.6 186.8 484.6C189.1 487.6 191.8 491.7 192 496C192 500.2 190.3 504.3 187.3 507.3C184.3 510.3 180.2 512 176 512H165.4C155.5 511.9 145.9 509.1 137.5 503.8C129.1 498.6 122.3 491.1 117.9 482.3C113.5 473.4 111.7 463.5 112.5 453.6C113.4 443.8 117 434.4 122.9 426.4L145.3 397.6C148.3 393.4 149.7 388.2 149.2 382.1C148.8 377.8 146.5 372.9 142.8 369.2C139.1 365.6 134.3 363.3 129.1 362.8C123.9 362.4 118.7 363.7 114.4 366.7L85.79 389.1C77.85 395.1 68.41 398.7 58.51 399.7C48.62 400.6 38.66 398.7 29.76 394.3C20.86 389.9 13.36 383.1 8.105 374.7C2.849 366.2 .0429 356.5 0 346.6V336C0 331.8 1.686 327.7 4.686 324.7C7.687 321.7 11.76 319.1 16 319.1C20.35 320.2 24.47 322 27.46 325.2C30.45 328.4 32.08 332.6 32 336.1V346.6C32.03 350.5 33.16 354.4 35.26 357.8C37.36 361.2 40.36 363.9 43.91 365.7C47.47 367.4 51.44 368.2 55.4 367.8C59.36 367.5 63.14 366.1 66.34 363.7L95.52 340.9C98.04 339.2 100.1 336.9 101.5 334.2C102.1 331.5 103.8 328.5 103.8 325.5C103.8 323.2 103.4 321 102.5 318.9C101.6 316.9 100.4 314.1 98.75 313.4L59.3 273.1C56.3 270.1 52.23 269.3 47.98 269.3C43.74 269.3 39.67 270.1 36.67 273.1L27.33 283.3C25.84 284.8 24.07 285.1 22.13 286.8C20.19 287.6 18.1 288 16 287.1C11.82 288 7.81 286.4 4.82 283.4C1.83 280.5 .1002 276.6 0 272.4C.071 267.8 1.969 263.3 5.28 260.1L14.05 251.3C23.05 242.3 35.26 237.3 47.98 237.3C60.71 237.3 72.92 242.3 81.92 251.3L102.2 271.6C105.5 274.9 110 276.8 114.8 276.8C117.1 276.8 119.4 276.4 121.5 275.5C123.7 274.6 125.6 273.3 127.2 271.6L127.6 271.3C130.9 267.1 132.8 263.5 132.8 258.8C132.8 254 130.9 249.5 127.6 246.2L96.16 214.8C91.38 210.2 87.56 204.8 84.92 198.7C82.28 192.7 80.88 186.2 80.8 179.6C80.8 173.3 82.04 167 84.46 161.2C86.87 155.4 90.41 150.1 94.88 145.6L109.6 130.7C96.2 114.1 88.84 93.38 88.77 71.1C88.77 35.78 112.2-.0003 127.7-.0003C131.6 .0448 135.2 1.426 138.1 3.904L138.7 4.128L177.2 38.91C181.8 43.34 185.5 48.63 188 54.49C190.5 60.34 191.9 66.64 191.9 73.02C191.1 79.39 190.8 85.72 188.4 91.62C185.1 97.52 182.4 102.9 177.9 107.4L117.5 168.2C116 169.7 114.8 171.4 114 173.4C113.2 175.3 112.8 177.4 112.8 179.5C112.8 181.6 113.2 183.7 114 185.7C114.8 187.6 116 189.4 117.5 190.9L153.2 226.7C154.5 227.9 156 228.9 157.7 229.6C159.3 230.3 161.1 230.6 162.8 230.6C164.6 230.5 166.4 230.2 168.1 229.5C169.7 228.8 171.2 227.7 172.4 226.5C173.7 225.2 174.7 223.6 175.3 221.1C175.1 220.3 176.3 218.5 176.3 216.7V215.8C176.3 174.9 194.3 133.7 272.6 78.62L256.6 20.19C256.2 18.83 256 17.42 256 15.1C256 11.76 257.7 7.686 260.7 4.686C263.7 1.685 267.8-.0006 272-.0006C272.4-.031 272.8-.031 273.2-.0006C273.2-.0006 394.9 11.33 405.8 14.88C435.1 6.159 465.4 1.159 496-.0006C500.2-.0006 504.3 1.685 507.3 4.686C510.3 7.686 512 11.76 512 15.1C510.9 46.55 505.9 76.83 497.2 106.1C500.7 117.2 512 238.8 512 238.8C512 239.2 512 239.6 512 239.1C512 244.2 510.3 248.3 507.3 251.3C504.3 254.3 500.2 255.1 496 255.1C494.6 256.1 493.2 255.1 491.8 255.7L433.4 239.7C391.9 298.7 351.8 336 296.2 336H295.2V335.8zM120.8 72C120.8 84.85 124.9 97.36 132.4 107.8L155.2 84.74C156.8 83.26 157.1 81.5 158.8 79.55C159.6 77.59 160 75.49 160 73.38C159.1 71.16 159.5 68.98 158.6 66.95C157.7 64.93 156.4 63.12 154.8 61.63L129.9 39.23C123.9 49.1 120.7 60.44 120.8 72zM404.2 379.6C414.6 387.1 427.2 391.2 440 391.2C451.5 391.3 462.9 388.1 472.7 382.1L449.3 356.1C446.4 353.4 442.6 351.9 438.6 352C436.5 351.1 434.4 352.4 432.5 353.2C430.5 354 428.8 355.2 427.3 356.7L404.2 379.6zM477.8 218.4C476.2 201.6 474.5 184.9 472.1 169.9C466.4 184 459.2 197.8 451.2 211.2L477.8 218.4zM293.6 34.21L300.8 60.8C314.2 52.81 327.1 45.53 342.1 38.98C327.1 37.41 310.4 35.74 293.6 34.21zM277.7 307.2C283.2 304.9 289.2 303.8 295.2 303.8C320 302.7 343.5 292.7 361.6 275.6C426.4 209.1 467.7 124.7 478.9 33.12C387.2 44.34 301.9 85.64 236.2 150.6C219.5 168.4 209.6 191.4 208.2 215.8V216.7C208.2 240.2 193.9 250.2 175.2 268.1C178.7 265.8 183.2 264.1 187.1 264C191.9 264 195.8 265.2 199.1 267.4C202.4 269.6 204.9 272.7 206.4 276.3C207.1 280 208.4 284 207.6 287.9C206.8 291.8 204.9 295.3 202.1 298.1C199.3 300.9 195.7 302.8 191.9 303.6C187.1 304.4 183.1 303.1 180.3 302.5C176.7 300.1 173.5 298.4 171.3 295.1C169.1 291.8 167.1 287.1 167.1 284C168 279.3 169.8 274.7 172.1 271.2C148.8 295.4 142 299.2 142 312C142 316.4 139.2 325.3 185.2 364.4C189.3 367.9 194.5 369.8 199.1 369.8C203.2 369.8 206.5 369.1 209.5 367.8C212.5 366.5 215.2 364.7 217.5 362.3L240.8 339C237.3 342.2 232.7 343.1 228 344C224 344 220.2 342.9 216.9 340.7C213.6 338.5 211 335.3 209.5 331.7C208 328 207.6 324 208.4 320.1C209.2 316.3 211.1 312.7 213.9 309.9C216.7 307.1 220.2 305.2 224.1 304.4C227.1 303.6 231.1 304 235.7 305.6C239.3 307.1 242.4 309.6 244.6 312.9C246.8 316.2 248 320.1 248 324C247.9 328.8 246.2 333.3 243 336.8L262.8 317.1C267 312.9 272.1 309.5 277.7 307.2z"],
    "squirrel": [576, 512, [], "f71a", "M176 256C191.7 256 206.2 264.5 213.7 278.3C223.3 295.6 218.9 315.3 209.4 328.8C198.4 344.4 191.1 363.4 191.1 384C191.1 437 234.1 480 287.1 480H400C435.3 480 464 451.3 464 416C464 380.7 435.3 352 400 352C393.3 352 386.8 353 380.8 354.9C372.4 357.6 363.4 352.9 360.7 344.5C358.1 336 362.8 327 371.2 324.4C380.3 321.5 389.1 320 400 320C411.2 320 421.1 321.9 432 325.5V240C432 231.2 439.2 224 448 224H459.5C480.7 224 500.1 212 509.6 193L511.6 188.1L511.3 185.6C508 152.9 480.5 128 447.6 128H416V88C416 79.16 423.2 72 432 72C440.8 72 448 79.16 448 88V96C497.1 96.2 538.2 133.5 543.1 182.4L543.9 190.4C544.2 193.4 543.7 196.5 542.3 199.2L538.2 207.4C523.1 235.8 495.6 254.3 464 255.9V344.4C483.6 362 496 387.6 496 416C496 440.6 486.8 463 471.6 480H512C520.8 480 528 487.2 528 496C528 504.8 520.8 512 512 512H288C217.3 512 160 454.7 160 384C160 356.6 168.6 331.2 183.2 310.4C187.7 304.1 187.9 297.6 185.7 293.7C183.8 290.2 180 288 176 288C96.47 288 32 223.5 32 144C32 64.47 96.47 0 176 0C255.5 0 320 64.47 320 144V176C320 184.8 312.8 192 304 192C295.2 192 288 184.8 288 176V144C288 82.14 237.9 32 176 32C114.1 32 64 82.14 64 144C64 205.9 114.1 256 176 256zM368 72C376.8 72 384 79.16 384 88V156.2C384 195.2 376.9 222.8 362.8 248C350.1 269.3 334.2 288.5 314.6 310.1L314.6 311.1C311.8 314.3 308.9 317.6 306 320.9L294.8 333.9C280.5 350.4 272 376.6 272 400C272 408.8 264.8 416 256 416C247.2 416 240 408.8 240 400C240 370.4 250.4 336.3 270.6 312.1L281.8 299.1C284.8 296.5 287.7 293.2 290.5 289.1C310.4 267.1 324.8 250.5 334.9 232.4C345.9 212.8 352 190.8 352 156.2V88C352 79.16 359.2 72 368 72L368 72zM432 160C432 151.2 439.2 144 448 144C456.8 144 464 151.2 464 160C464 168.8 456.8 176 448 176C439.2 176 432 168.8 432 160z"],
    "staff": [512, 512, [], "f71b", "M432 0h-76.25c-30.47 0-57.89 17.01-71.48 44.23l-8.847 17.65c-7.907 15.78-1.5 35.06 14.34 43l28.5 14.22c7.688 3.813 16.38 4.375 24.47 1.75c8.125-2.719 14.69-8.438 18.5-16.09l4.388-8.759h50.37v75.75l-157.3 45.01C230.1 224.9 203.7 240.4 182.6 261.5L156.1 287.1H112c-8.844 0-15.1 7.156-15.1 16v44.12l-81.98 81.98c-18.72 18.72-18.72 49.16 0 67.88C23.38 507.3 35.7 512 47.98 512s24.59-4.688 33.94-14.03l168.6-168.6c9.594-9.626 21.59-16.63 34.62-20.38l84.75-24.25l32.25 18.63c3.625 2.156 8.086 2.66 12.12 1.629c4.125-1.094 7.625-3.715 9.75-7.402l19.51-33.85l10.51-3C488.1 250.1 512 219.4 512 183.9V79.1C512 35.87 476.1 0 432 0zM479.1 183.9c0 21.28-14.31 40.22-34.78 46.1l-16.75 4.782C424.5 235.9 421.1 238.5 419 242.1L404.3 267.7l-24.28-14.03c-3.75-2.219-8.282-2.719-12.41-1.531L276.3 278.2c-18.25 5.219-34.97 15.06-48.44 28.5l-168.6 168.6c-6.25 6.25-16.38 6.25-22.63 0c-6.25-6.25-6.25-16.38 0-22.63l86.66-86.66c3-3 4.688-7.063 4.688-11.31V319.1h34.75c4.25 0 8.313-1.688 11.31-4.688l31.19-31.16c17.22-17.25 38.69-29.88 62.1-36.56l157.4-45.07c13.66-3.906 23.19-16.56 23.19-30.75v-75.75c0-17.66-14.34-32-32-32h-50.38c-12.03 0-23.28 6.969-28.63 17.72l-4.406 8.751l-28.53-14.25L312.9 58.47c8.157-16.34 24.56-26.47 42.81-26.47h76.25c26.47 0 48 21.53 48 48V183.9z"],
    "staff-snake": [384, 512, ["rod-asclepius", "rod-snake", "staff-aesculapius"], "e579", "M72 120C63.16 120 56 112.8 56 104C56 95.16 63.16 88 72 88C80.84 88 88 95.16 88 104C88 112.8 80.84 120 72 120zM384 136C384 184.6 344.6 224 296 224H240V192H296C326.9 192 352 166.9 352 136C352 105.1 326.9 80 296 80H208V288H240C284.2 288 320 323.8 320 368C320 412.2 284.2 448 240 448V416C266.5 416 288 394.5 288 368C288 341.5 266.5 320 240 320H208V496C208 504.8 200.8 512 192 512C183.2 512 176 504.8 176 496V448H112C103.2 448 96 440.8 96 432C96 423.2 103.2 416 112 416H176V320H128C92.65 320 64 291.3 64 256C64 220.7 92.65 192 128 192H144V224H128C110.3 224 96 238.3 96 256C96 273.7 110.3 288 128 288H176V80H144V104C144 143.8 111.8 176 72 176H64C28.65 176 0 147.3 0 112C0 76.65 28.65 48 64 48H176V16C176 7.164 183.2 0 192 0C200.8 0 208 7.164 208 16V48H296C344.6 48 384 87.4 384 136zM64 80C46.33 80 32 94.33 32 112C32 129.7 46.33 144 64 144H72C94.09 144 112 126.1 112 104V80H64z"],
    "stairs": [576, 512, [], "e289", "M576 48C576 56.84 568.8 64 560 64H448v112C448 184.8 440.8 192 432 192h-128v144c0 8.844-7.156 16-16 16H160v112C160 472.8 152.8 480 144 480h-128C7.156 480 0 472.8 0 464S7.156 448 16 448H128v-112C128 327.2 135.2 320 144 320h128V176C272 167.2 279.2 160 288 160h128V48C416 39.16 423.2 32 432 32h128C568.8 32 576 39.16 576 48z"],
    "stamp": [512, 512, [], "f5bf", "M337.5 146.7C328.3 161.5 320 177.5 320 194.9C320 228.6 347.4 256 381.1 256H400C461.9 256 512 306.1 512 368C512 394.5 490.5 416 464 416H48C21.49 416 0 394.5 0 368C0 306.1 50.14 256 112 256H130.9C164.6 256 192 228.6 192 194.9C192 177.5 183.7 161.5 174.5 146.7C165.3 131.1 160 114.6 160 96C160 42.98 202.1 0 256 0C309 0 352 42.98 352 96C352 114.6 346.7 131.1 337.5 146.7V146.7zM320 96C320 60.65 291.3 32 256 32C220.7 32 192 60.65 192 96C192 108.5 195.5 120 201.6 129.8C211.1 144.1 224 167.7 224 194.9C224 246.3 182.3 288 130.9 288H112C67.82 288 32 323.8 32 368C32 376.8 39.16 384 48 384H464C472.8 384 480 376.8 480 368C480 323.8 444.2 288 400 288H381.1C329.7 288 288 246.3 288 194.9C288 167.7 300.9 144.1 310.4 129.8C316.5 120 320 108.5 320 96V96zM64 464C64 472.8 71.16 480 80 480H432C440.8 480 448 472.8 448 464V456C448 447.2 455.2 440 464 440C472.8 440 480 447.2 480 456V464C480 490.5 458.5 512 432 512H80C53.49 512 32 490.5 32 464V456C32 447.2 39.16 440 48 440C56.84 440 64 447.2 64 456V464z"],
    "standard-definition": [576, 512, ["rectangle-sd"], "e28a", "M512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM544 416c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-17.64 14.36-32 32-32h448c17.64 0 32 14.36 32 32V416zM384 160h-64c-8.844 0-16 7.156-16 16v160c0 8.844 7.156 16 16 16h64c52.94 0 96-43.06 96-96S436.9 160 384 160zM384 320h-48V192H384c35.28 0 64 28.7 64 64S419.3 320 384 320zM195.6 240.4l-8.312-2C144.4 227.9 142.5 220.3 144.5 210.6c2.969-14.36 28.88-21.72 61.78-17.41c7.749 1.016 17.09 3.125 29.31 6.656c8.562 2.375 17.34-2.453 19.81-10.95c2.438-8.484-2.469-17.36-10.94-19.8C230.6 165.1 219.8 162.7 210.4 161.5C157.1 154.6 119.9 171.4 113.2 204.1C103.5 250.8 153.1 262.1 179.7 269.5l8.531 2.047c43.53 10.36 54.06 16.5 51.31 29.84c-3 14.36-29 21.67-61.84 17.39c-11.97-1.5-26.06-5.734-38.5-9.453L132.5 307.3C123.1 304.8 115.2 309.7 112.7 318.2s2.344 17.38 10.81 19.86l6.531 1.953c13.63 4.078 29.06 8.719 43.63 10.53c7.75 1.016 14.99 1.516 22.05 1.516c40.66 0 69.39-16.28 75.17-44.14C280.7 260.6 231.5 248.9 195.6 240.4z"],
    "stapler": [640, 512, [], "e5af", "M104 352C86.33 352 72 337.7 72 320V242L43.51 234.9C17.94 228.5 0 205.5 0 179.1C0 166.7 4.031 154.6 11.49 144.7L43.83 101.6C76.67 57.77 128.2 32 182.9 32C209.9 32 236.6 38.29 260.7 50.36L586.9 213.5C619.5 229.7 640 262.1 640 299.3V432C640 458.5 618.5 480 592 480H79.1C53.49 480 31.1 458.5 31.1 432C31.1 405.5 53.49 384 79.1 384H448V352H104zM384 320L104 250V320H384zM608 299.3C608 275.1 594.3 252.9 572.6 242.1L246.4 78.98C226.7 69.13 204.1 64 182.9 64C138.3 64 96.23 85.03 69.43 120.8L37.09 163.9C33.79 168.3 32 173.6 32 179.1C32 190.8 39.95 201 51.27 203.8L455.8 304.1C470 308.5 480 321.3 480 336V384H608V299.3zM80 416C71.16 416 64 423.2 64 432C64 440.8 71.16 448 80 448H592C600.8 448 608 440.8 608 432V416H80z"],
    "star": [576, 512, [61446, 11088], "f005", "M287.9 435.9L150.1 509.1C142.9 513.4 133.1 512.7 125.6 507.4C118.2 502.1 114.5 492.9 115.1 483.9L142.2 328.4L31.11 218.2C24.65 211.9 22.36 202.4 25.2 193.7C28.03 185.1 35.5 178.8 44.49 177.5L197.7 154.8L266.3 13.52C270.4 5.249 278.7 0 287.9 0C297.1 0 305.5 5.25 309.5 13.52L378.1 154.8L531.4 177.5C540.4 178.8 547.8 185.1 550.7 193.7C553.5 202.4 551.2 211.9 544.8 218.2L433.6 328.4L459.9 483.9C461.4 492.9 457.7 502.1 450.2 507.4C442.8 512.7 432.1 513.4 424.9 509.1L287.9 435.9zM226.5 168.8C221.9 178.3 212.9 184.9 202.4 186.5L64.99 206.8L164.8 305.6C172.1 312.9 175.5 323.4 173.8 333.7L150.2 473.2L272.8 407.7C282.3 402.6 293.6 402.6 303 407.7L425.6 473.2L402.1 333.7C400.3 323.4 403.7 312.9 411.1 305.6L510.9 206.8L373.4 186.5C362.1 184.9 353.1 178.3 349.3 168.8L287.9 42.32L226.5 168.8z"],
    "star-and-crescent": [512, 512, [9770], "f699", "M503.5 213.9l-76.38-11.12L392.9 133.5C391.1 129.9 387.5 128 384 128s-7.125 1.875-9 5.5l-34.13 69.25l-76.38 11.12c-8.125 1.125-11.38 11.25-5.5 17l55.25 53.88l-13 76c-1.125 6.5 4 11.75 9.75 11.75c1.5 0 3.125-.375 4.625-1.25l68.38-35.88l68.25 35.88c1.625 .875 3.125 1.25 4.75 1.25c5.75 0 10.88-5.25 9.75-11.75l-13-76l55.25-53.88C514.9 225.1 511.6 215 503.5 213.9zM431.4 261.8l-12 11.75l8.25 48.63L384 299.3l-43.63 22.88l8.25-48.63l-35.25-34.38L362.1 232L384 187.8L405.9 232l48.75 7.125L431.4 261.8zM337.7 437.2l-8.734 .4687C228 437.7 145.8 356.2 145.8 256S228 74.31 328.1 74.31l8.734 .4687c14.17 0 26.61-10.06 29.66-24.25c2.75-14.5-5.234-28.78-19.08-34.03C319.1 5.562 288.7 0 257.9 0C115.7 0-.0001 114.8-.0001 256s115.7 256 257.9 256c30.44 0 60.7-5.5 89.56-16.19C359.7 491.7 368 480.2 368 467.3C368 450.7 354.4 437.2 337.7 437.2zM257.9 480C133.3 480 32 379.5 32 256s101.3-224 225.9-224c22.8 0 45.36 3.469 67.25 10.34C208.3 44.38 113.8 139.4 113.8 256c0 116.5 94.38 211.6 211.2 213.7C303 476.5 280.5 480 257.9 480z"],
    "star-christmas": [512, 512, [], "f7d4", "M493.6 232.4l-171.2-42.78l-42.78-171.2C276.8 7.406 267.3 0 256 0s-20.84 7.406-23.62 18.47L189.6 189.6L18.44 232.4C7.406 235.2 0 244.6 0 255.1c0 11.34 7.406 20.86 18.47 23.64l171.1 42.78l42.66 171.2C235 504.6 244.5 512 255.9 512s20.84-7.406 23.62-18.47l42.78-171.1l171.3-42.78C504.6 276.8 512 267.3 512 255.1C512 244.6 504.6 235.2 493.6 232.4zM314.5 291.4l-18.63 4.654l-40.01 160l-39.89-160L55.89 255.1l160.1-40.01l40.02-160.1l40.01 160.1l160.1 40.02L314.5 291.4zM132.7 155.3C135.8 158.4 139.9 160 144 160s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62l-64-64c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L132.7 155.3zM368 160c4.094 0 8.188-1.562 11.31-4.688l64-64c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0l-64 64c-6.25 6.25-6.25 16.38 0 22.62C359.8 158.4 363.9 160 368 160zM132.7 356.7l-64 64c-6.25 6.25-6.25 16.38 0 22.62C71.81 446.4 75.91 448 80 448s8.188-1.562 11.31-4.688l64-64c6.25-6.25 6.25-16.38 0-22.62S138.9 350.4 132.7 356.7zM379.3 356.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l64 64C423.8 446.4 427.9 448 432 448s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L379.3 356.7z"],
    "star-exclamation": [576, 512, [], "f2f3", "M287.1 127.1C296.8 127.1 304 135.2 304 143.1V271.1C304 280.8 296.8 287.1 287.1 287.1C279.2 287.1 271.1 280.8 271.1 271.1V143.1C271.1 135.2 279.2 127.1 287.1 127.1zM312 352C312 365.3 301.3 376 287.1 376C274.7 376 263.1 365.3 263.1 352C263.1 338.7 274.7 328 287.1 328C301.3 328 312 338.7 312 352zM450.2 507.4C442.8 512.7 432.1 513.4 424.9 509.1L287.9 435.9L150.1 509.1C142.9 513.4 133.1 512.7 125.6 507.4C118.2 502.1 114.5 492.9 115.1 483.9L142.2 328.4L31.11 218.2C24.65 211.9 22.36 202.4 25.2 193.7C28.03 185.1 35.5 178.8 44.49 177.5L197.7 154.8L266.3 13.52C270.4 5.249 278.7 0 287.9 0C297.1 0 305.5 5.25 309.5 13.52L378.1 154.8L531.4 177.5C540.4 178.8 547.8 185.1 550.7 193.7C553.5 202.4 551.2 211.9 544.8 218.2L433.6 328.4L459.9 483.9C461.4 492.9 457.7 502.1 450.2 507.4H450.2zM64.99 206.8L164.8 305.6C172.1 312.9 175.5 323.4 173.8 333.7L150.2 473.2L272.8 407.7C282.3 402.6 293.6 402.6 303 407.7L425.6 473.2L402.1 333.7C400.3 323.4 403.7 312.9 411.1 305.6L510.9 206.8L373.4 186.5C362.1 184.9 353.1 178.3 349.3 168.8L287.9 42.32L226.5 168.8C221.9 178.3 212.9 184.9 202.4 186.5L64.99 206.8z"],
    "star-half": [576, 512, [61731], "f089", "M293.3 .6123C304.2 3.118 311.9 12.82 311.9 24V408.7C311.9 417.5 307.1 425.7 299.2 429.8L150.1 509.1C142.9 513.4 133.1 512.7 125.6 507.4C118.2 502.1 114.5 492.1 115.1 483.9L142.2 328.4L31.11 218.3C24.65 211.9 22.36 202.4 25.2 193.7C28.03 185.1 35.5 178.8 44.49 177.5L197.7 154.8L266.3 13.52C271.2 3.46 282.4-1.893 293.3 .6127L293.3 .6123zM226.5 168.8C221.9 178.3 212.9 184.9 202.4 186.5L64.99 206.8L164.8 305.6C172.1 312.1 175.5 323.4 173.8 333.7L150.2 473.2L279.9 403.9V58.8L226.5 168.8z"],
    "star-half-stroke": [576, 512, ["star-half-alt"], "f5c0", "M450.2 507.4C442.8 512.7 432.1 513.4 424.9 509.1L287.9 435.9L150.1 509.1C142.9 513.4 133.1 512.7 125.6 507.4C118.2 502.1 114.5 492.9 115.1 483.9L142.2 328.4L31.11 218.2C24.65 211.9 22.36 202.4 25.2 193.7C28.03 185.1 35.5 178.8 44.49 177.5L197.7 154.8L266.3 13.52C270.4 5.249 278.7 0 287.9 0C297.1 0 305.5 5.25 309.5 13.52L378.1 154.8L531.4 177.5C540.4 178.8 547.8 185.1 550.7 193.7C553.5 202.4 551.2 211.9 544.8 218.2L433.6 328.4L459.9 483.9C461.4 492.9 457.7 502.1 450.2 507.4H450.2zM64.99 206.8L164.8 305.6C172.1 312.9 175.5 323.4 173.8 333.7L150.2 473.2L271.1 408.1V75.13L226.5 168.8C221.9 178.3 212.9 184.9 202.4 186.5L64.99 206.8zM304 408.2L425.6 473.2L402.1 333.7C400.3 323.4 403.7 312.9 411.1 305.6L510.9 206.8L373.4 186.5C362.1 184.9 353.1 178.3 349.3 168.8L304 75.41L304 408.2z"],
    "star-of-david": [512, 512, [10017], "f69a", "M435.6 256l55.1-89.38c14.87-24.25-3.62-54.61-33.12-54.61l-110.6-.005l-57.87-93.1C281.7 6.003 268.9 0 256 0S230.3 6.003 222.9 18L165 112H54.39c-29.62 0-47.99 30.37-33.12 54.62L76.37 256l-55.1 89.38C6.399 369.6 24.77 399.1 54.39 399.1h110.6l57.87 93.1C230.3 505.1 243.1 512 256 512s25.74-6.002 33.12-18l57.83-93.1h110.7c29.62 0 47.99-30.36 33.12-54.61L435.6 256zM457.6 144c2.125 0 3.75 .875 4.75 2.5c1.125 1.875 .25 3.125-.125 3.75l-45.87 74.5L366.7 144H457.6zM397.1 256l-68.99 112H183.9L114.9 256l68.99-112h144.2L397.1 256zM251.4 34.38C252.3 32.75 253.9 32 256 32s3.75 .75 4.625 2.375L308.5 112H203.5L251.4 34.38zM49.77 150.2c-.375-.625-1.125-1.875-.125-3.75C50.64 144.9 52.27 144 54.39 144h90.87L95.64 224.8L49.77 150.2zM54.39 368c-2.125 0-3.75-.875-4.75-2.5c-1.125-1.875-.25-3.125 .125-3.75l45.87-74.5L145.3 368H54.39zM260.6 477.6C259.7 479.2 258.1 480 256 480s-3.75-.75-4.625-2.375L203.5 400h104.1L260.6 477.6zM462.4 365.5C461.4 367.1 459.7 368 457.6 368h-90.87l49.62-80.75l45.87 74.5C462.6 362.4 463.4 363.6 462.4 365.5z"],
    "star-of-life": [512, 512, [], "f621", "M477.9 384c-2.971 5.125-8.349 8-13.88 8c-2.721 0-5.472-.6875-7.99-2.156l-183.1-106.1V496c0 8.844-7.161 16-16.01 16s-16.01-7.156-16.01-16V283.7l-183.1 106.1C53.51 391.3 50.75 392 48.03 392c-5.535 0-10.91-2.875-13.88-8c-4.425-7.656-1.798-17.44 5.863-21.84L224 256L40.01 149.8C32.35 145.4 29.72 135.7 34.15 128c4.425-7.656 14.23-10.31 21.87-5.844l183.1 106.1V16C239.1 7.156 247.2 0 256 0s16.01 7.156 16.01 16v212.3l183.1-106.1C463.6 117.7 473.4 120.3 477.9 128c4.425 7.656 1.798 17.44-5.863 21.84L287.1 256l183.1 106.2C479.6 366.6 482.3 376.3 477.9 384z"],
    "star-sharp": [512, 512, [], "e28b", "M230.3 18.77C233.9 7.592 244.3 0 256 0C267.7 0 278.1 7.592 281.7 18.77L331.7 176H485.4C500.1 176 512 187.9 512 202.6C512 211.1 507.9 219.1 500.1 224.1L370.6 318.3L421.4 485.2C425.5 498.6 415.5 512 401.6 512C397 512 392.5 510.5 388.9 507.6L256 404.3L123.1 507.6C119.5 510.5 114.1 512 110.4 512C96.46 512 86.5 498.6 90.55 485.2L141.4 318.3L11.02 224.1C4.1 219.1 0 211.1 0 202.6C0 187.9 11.9 176 26.59 176H180.3L230.3 18.77zM256 43.63L207.2 196.9C205.1 203.5 198.1 208 192 208H43.33L169.4 299C174.9 303 177.3 310.1 175.3 316.7L131.5 460.6L246.2 371.4C251.1 366.9 260 366.9 265.8 371.4L380.5 460.6L336.7 316.7C334.7 310.1 337.1 303 342.6 299L468.7 208H320C313 208 306.9 203.5 304.8 196.9L256 43.63z"],
    "star-sharp-half": [512, 512, [], "e28c", "M231.7 14.37C234.5 5.812 242.4 0 251.4 0C262.8 0 272 9.232 272 20.62V384C272 388.9 269.7 393.6 265.8 396.6L123.1 507.6C119.5 510.5 114.1 512 110.4 512C96.46 512 86.5 498.6 90.55 485.2L141.4 318.3L11.02 224.1C4.1 219.1 0 211.1 0 202.6C0 187.9 11.9 176 26.59 176H180.3L231.7 14.37zM240 93.91L207.2 196.9C205.1 203.5 198.1 208 192 208H43.33L169.4 299C174.9 303 177.3 310.1 175.3 316.7L131.5 460.6L239.1 376.2L240 93.91z"],
    "star-sharp-half-stroke": [512, 512, ["star-sharp-half-alt"], "e28d", "M281.7 18.77L331.7 176H485.4C500.1 176 512 187.9 512 202.6C512 211.1 507.9 219.1 500.1 224.1L370.6 318.3L421.4 485.2C425.5 498.6 415.5 512 401.6 512C397 512 392.5 510.5 388.9 507.6L256 404.3L123.1 507.6C119.5 510.5 114.1 512 110.4 512C96.46 512 86.5 498.6 90.55 485.2L141.4 318.3L11.02 224.1C4.1 219.1 0 211.1 0 202.6C0 187.9 11.9 176 26.59 176H180.3L230.3 18.77C233.9 7.592 244.3 0 255.1 0C267.7 0 278.1 7.592 281.7 18.77H281.7zM240 93.91L207.2 196.9C205.1 203.5 198.1 208 192 208H43.33L169.4 299C174.9 303 177.3 310.1 175.3 316.7L131.5 460.6L240 376.2L240 93.91zM272 376.2L380.5 460.6L336.7 316.7C334.7 310.1 337.1 303 342.6 299L468.7 208H320C313 208 306.9 203.5 304.8 196.9L272 93.91L272 376.2z"],
    "star-shooting": [512, 512, [127776], "e036", "M364.2 267.2l-104.8-15.28L212.6 156.7C208.7 148.8 200.7 143.9 191.9 143.9C183.2 143.8 175.1 148.8 171.4 156.7l-46.87 95.25L19.73 267.2C.9807 269.9-6.619 293.1 7.006 306.5L82.88 380.5l-17.1 104.6c-1.25 6.75 .67 13.51 5.045 18.63C74.3 509 80.64 512 87.51 512c3.625 0 7.465-.9557 10.72-2.706l93.77-49.38l93.75 49.38c3.25 1.625 7.028 2.685 10.65 2.685c6.75 0 13.2-2.98 17.57-8.23c4.25-5.125 6.274-11.98 5.149-18.61l-17.9-104.6l75.9-74C390.6 293 383.1 269.1 364.2 267.2zM266.7 369.3l17.62 103.1l-92.5-48.75l-92.5 48.75l17.62-103.1L42.22 296.1l103.4-15l46.38-93.88l46.13 93.88l103.5 15L266.7 369.3zM240 96c4.094 0 8.188-1.562 11.31-4.688l64-64c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0l-64 64c-6.25 6.25-6.25 16.38 0 22.62C231.8 94.44 235.9 96 240 96zM324.7 187.3C327.8 190.4 331.9 192 336 192s8.188-1.562 11.31-4.688l160-160c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0l-160 160C318.4 170.9 318.4 181.1 324.7 187.3zM484.7 196.7l-64 64c-6.25 6.25-6.25 16.38 0 22.62C423.8 286.4 427.9 288 432 288s8.188-1.562 11.31-4.688l64-64c6.25-6.25 6.25-16.38 0-22.62S490.9 190.4 484.7 196.7z"],
    "starfighter": [640, 512, [], "e037", "M336 240V304C336 312.8 328.8 320 320 320C311.2 320 304 312.8 304 304V240C304 231.2 311.2 224 320 224C328.8 224 336 231.2 336 240zM269.6 35.19C271.1 15.1 289 0 309.3 0H330.7C350.1 0 368 15.1 370.4 35.19L400 279V432C400 458.5 378.5 480 352 480H288C261.5 480 240 458.5 240 432V279L269.6 35.19zM309.3 32C305.2 32 301.8 35.02 301.3 39.04L272 280.1V432C272 440.8 279.2 448 288 448H352C360.8 448 368 440.8 368 432V280.1L338.7 39.04C338.2 35.02 334.8 32 330.7 32H309.3zM64 128H80C88.84 128 96 135.2 96 144C96 152.8 88.84 160 80 160H64V320H128V304C128 277.5 149.5 256 176 256H208C216.8 256 224 263.2 224 272C224 280.8 216.8 288 208 288H176C167.2 288 160 295.2 160 304V432C160 440.8 167.2 448 176 448H208C216.8 448 224 455.2 224 464V496C224 504.8 216.8 512 208 512C199.2 512 192 504.8 192 496V480H176C159.4 480 144.7 471.6 136.1 458.7L64 428.7V448C64 456.8 56.84 464 48 464C39.16 464 32 456.8 32 448V160H16C7.164 160 0 152.8 0 144C0 135.2 7.164 128 16 128H32V96C32 87.16 39.16 80 48 80C56.84 80 64 87.16 64 96V128zM128 420.7V352H64V394L128 420.7zM608 128H624C632.8 128 640 135.2 640 144C640 152.8 632.8 160 624 160H608V448C608 456.8 600.8 464 592 464C583.2 464 576 456.8 576 448V428.7L503.9 458.7C495.3 471.6 480.6 480 464 480H448V496C448 504.8 440.8 512 432 512C423.2 512 416 504.8 416 496V464C416 455.2 423.2 448 432 448H464C472.8 448 480 440.8 480 432V304C480 295.2 472.8 288 464 288H432C423.2 288 416 280.8 416 272C416 263.2 423.2 256 432 256H464C490.5 256 512 277.5 512 304V320H576V160H560C551.2 160 544 152.8 544 144C544 135.2 551.2 128 560 128H576V96C576 87.16 583.2 80 592 80C600.8 80 608 87.16 608 96V128zM512 352V420.7L576 394V352H512z"],
    "starfighter-twin-ion-engine": [576, 512, ["starfighter-alt"], "e038", "M192 272C183.2 272 176 264.8 176 256C176 247.2 183.2 240 192 240H226C227.5 234.1 229.9 228.6 232.9 223.5L208.8 199.4C202.6 193.2 202.6 183.1 208.8 176.8C215.1 170.6 225.2 170.6 231.4 176.8L255.5 200.9C260.6 197.9 266.1 195.5 272 194V160C272 151.2 279.2 144 288 144C296.8 144 304 151.2 304 160V194C309.9 195.5 315.4 197.9 320.5 200.9L344.6 176.8C350.8 170.6 360.9 170.6 367.2 176.8C373.4 183.1 373.4 193.2 367.2 199.4L343.1 223.5C346.2 228.6 348.5 234.1 349.1 240H384C392.8 240 400 247.2 400 256C400 264.8 392.8 272 384 272H349.1C348.5 277.9 346.1 283.4 343.1 288.5L367.2 312.6C373.4 318.8 373.4 328.9 367.2 335.2C360.9 341.4 350.8 341.4 344.6 335.2L320.5 311.1C315.4 314.1 309.9 316.5 304 317.1V352C304 360.8 296.8 368 288 368C279.2 368 272 360.8 272 352V317.1C266.1 316.5 260.6 314.1 255.5 311.1L231.4 335.2C225.2 341.4 215.1 341.4 208.8 335.2C202.6 328.1 202.6 318.8 208.8 312.6L232.9 288.5C229.9 283.4 227.5 277.9 226 272L192 272zM288 288C305.7 288 320 273.7 320 256C320 238.3 305.7 224 288 224C270.3 224 256 238.3 256 256C256 273.7 270.3 288 288 288zM16 32C24.84 32 32 39.16 32 48V197.1L148.4 177.7C175.8 128.9 228.1 96 288 96C347.9 96 400.2 128.9 427.6 177.7L544 197.1V48C544 39.16 551.2 32 560 32C568.8 32 576 39.16 576 48V464C576 472.8 568.8 480 560 480C551.2 480 544 472.8 544 464V314.9L427.6 334.3C400.2 383.1 347.9 416 288 416C228.1 416 175.8 383.1 148.4 334.3L32 314.9V464C32 472.8 24.84 480 16 480C7.164 480 0 472.8 0 464V48C0 39.16 7.164 32 16 32V32zM442 299.4L544 282.4V229.6L442 212.6C445.9 226.4 448 240.9 448 256C448 271.1 445.9 285.6 442 299.4V299.4zM32 282.4L133.1 299.4C130.1 285.6 128 271.1 128 256C128 240.9 130.1 226.4 133.1 212.6L32 229.6V282.4zM288 128C217.3 128 160 185.3 160 256C160 326.7 217.3 384 288 384C358.7 384 416 326.7 416 256C416 185.3 358.7 128 288 128V128z"],
    "starfighter-twin-ion-engine-advanced": [640, 512, ["starfighter-alt-advanced"], "e28e", "M304 317.1C298.1 316.5 292.6 314.1 287.5 311.1L263.4 335.2C257.2 341.4 247.1 341.4 240.8 335.2C234.6 328.1 234.6 318.8 240.8 312.6L264.9 288.5C261.9 283.4 259.5 277.9 258 272H224C215.2 272 208 264.8 208 256C208 247.2 215.2 240 224 240H258C259.5 234.1 261.9 228.6 264.9 223.5L240.8 199.4C234.6 193.2 234.6 183.1 240.8 176.8C247.1 170.6 257.2 170.6 263.4 176.8L287.5 200.9C292.6 197.9 298.1 195.5 304 194V159.1C304 151.2 311.2 143.1 320 143.1C328.8 143.1 336 151.2 336 159.1V194C341.9 195.5 347.4 197.9 352.5 200.9L376.6 176.8C382.8 170.6 392.9 170.6 399.2 176.8C405.4 183.1 405.4 193.2 399.2 199.4L375.1 223.5C378.2 228.6 380.5 234.1 381.1 240H416C424.8 240 432 247.2 432 256C432 264.8 424.8 272 416 272H381.1C380.5 277.9 378.1 283.4 375.1 288.5L399.2 312.6C405.4 318.8 405.4 328.9 399.2 335.2C392.9 341.4 382.8 341.4 376.6 335.2L352.5 311.1C347.4 314.1 341.9 316.5 336 317.1V352C336 360.8 328.8 368 320 368C311.2 368 304 360.8 304 352V317.1zM320 288C337.7 288 352 273.7 352 256C352 238.3 337.7 224 320 224C302.3 224 288 238.3 288 256C288 273.7 302.3 288 320 288zM132.7 4.687C138.9-1.561 149.1-1.561 155.3 4.687C161.6 10.94 161.6 21.07 155.3 27.31L36.69 145.9C33.69 148.9 32 153 32 157.3V197.7L180.6 177.4C208.1 128.8 260.2 96 320 96C379.8 96 431.9 128.8 459.4 177.4L608 197.7V157.3C608 153 606.3 148.9 603.3 145.9L484.7 27.31C478.4 21.07 478.4 10.94 484.7 4.687C490.9-1.561 501.1-1.561 507.3 4.687L625.9 123.3C634.9 132.3 640 144.5 640 157.3V354.7C640 367.5 634.9 379.7 625.9 388.7L507.3 507.3C501.1 513.6 490.9 513.6 484.7 507.3C478.4 501.1 478.4 490.9 484.7 484.7L603.3 366.1C606.3 363.1 608 358.1 608 354.7V314.3L459.4 334.6C431.9 383.2 379.8 416 320 416C260.2 416 208.1 383.2 180.6 334.6L32 314.3V354.7C32 358.1 33.69 363.1 36.69 366.1L155.3 484.7C161.6 490.9 161.6 501.1 155.3 507.3C149.1 513.6 138.9 513.6 132.7 507.3L14.06 388.7C5.057 379.7 0 367.5 0 354.7V157.3C0 144.5 5.057 132.3 14.06 123.3L132.7 4.687zM480 256C480 271.4 477.8 286.3 473.8 300.3L608 282V229.1L473.8 211.7C477.8 225.7 480 240.6 480 256V256zM32 282L166.2 300.3C162.2 286.3 160 271.4 160 256C160 240.6 162.2 225.7 166.2 211.7L32 229.1V282zM320 384C390.7 384 448 326.7 448 256C448 185.3 390.7 128 320 128C249.3 128 192 185.3 192 256C192 326.7 249.3 384 320 384z"],
    "stars": [512, 512, [], "f762", "M364.2 267.2l-104.8-15.28L212.6 156.7C208.7 148.8 200.7 143.9 191.9 143.9C183.2 143.8 175.1 148.8 171.4 156.7L124.5 251.1L19.71 267.2C.9566 269.9-6.618 293.1 7.007 306.5l75.87 74l-17.1 104.6c-1.25 6.75 .5878 13.51 4.963 18.63C74.22 509 80.64 512 87.52 512c3.625 0 7.436-.9554 10.69-2.705l93.79-49.38l93.74 49.38c3.25 1.625 6.991 2.675 10.62 2.675c6.75 0 13.23-2.97 17.61-8.22c4.25-5.125 6.273-11.98 5.148-18.61L301.2 380.5l75.92-74C390.6 293 383.1 269.1 364.2 267.2zM266.7 369.3l17.62 103.1l-92.5-48.75l-92.5 48.75l17.62-103.1L42.22 296.1l103.4-15l46.38-93.88l46.13 93.88l103.5 15L266.7 369.3zM256 112h64v64C320 184.8 327.2 192 336 192S352 184.8 352 176v-64h64c8.844 0 16-7.156 16-16s-7.154-15.1-15.1-15.1L352 80v-64C352 7.156 344.8 0 336 0S320 7.156 320 16v64l-63.99 .0022C247.2 80 240 87.16 240 96S247.2 112 256 112zM496 208h-32v-32c0-8.844-7.155-15.1-15.1-15.1S432 167.2 432 176v32h-32c-8.844 0-15.1 7.162-15.1 16.01S391.2 240 400 240h32v32c0 8.844 7.158 16.01 16 16.01S464 280.8 464 272v-32h32c8.844 0 16-7.151 16-15.99S504.8 208 496 208z"],
    "starship": [640, 512, [], "e039", "M512 256C512 291.3 483.3 320 448 320C412.7 320 384 291.3 384 256C384 220.7 412.7 192 448 192C483.3 192 512 220.7 512 256zM448 224C430.3 224 416 238.3 416 256C416 273.7 430.3 288 448 288C465.7 288 480 273.7 480 256C480 238.3 465.7 224 448 224zM0 112C0 85.49 21.49 64 48 64H208C234.5 64 256 85.49 256 112C256 138.5 234.5 160 208 160H161.2L208.8 194.6L268.1 186.4C296.8 114.8 366.5 64 448 64C554 64 640 149.1 640 256C640 362 554 448 448 448C366.5 448 296.8 397.2 268.1 325.6L208.8 317.4L161.2 352H208C234.5 352 256 373.5 256 400C256 426.5 234.5 448 208 448H48C21.49 448 0 426.5 0 400C0 373.5 21.49 352 48 352H106.8L163 311.1L141.5 308.2C115.5 304.6 96 282.3 96 256C96 229.7 115.5 207.4 141.5 203.8L163 200.9L106.8 160H48C21.49 160 0 138.5 0 112H0zM48 96C39.16 96 32 103.2 32 112C32 120.8 39.16 128 48 128H208C216.8 128 224 120.8 224 112C224 103.2 216.8 96 208 96H48zM128 256C128 266.3 135.6 275.1 145.9 276.5L259.4 291.9C257.2 280.3 256 268.3 256 256C256 243.7 257.2 231.7 259.4 220.1L145.9 235.5C135.6 236.9 128 245.7 128 256V256zM48 416H208C216.8 416 224 408.8 224 400C224 391.2 216.8 384 208 384H48C39.16 384 32 391.2 32 400C32 408.8 39.16 416 48 416zM448 416C536.4 416 608 344.4 608 256C608 167.6 536.4 96 448 96C359.6 96 288 167.6 288 256C288 344.4 359.6 416 448 416z"],
    "starship-freighter": [576, 512, [], "e03a", "M64 256C64 247.2 71.16 240 80 240C88.84 240 96 247.2 96 256C96 264.8 88.84 272 80 272C71.16 272 64 264.8 64 256zM128 160C128 168.8 120.8 176 112 176C103.2 176 96 168.8 96 160C96 151.2 103.2 144 112 144C120.8 144 128 151.2 128 160zM96 352C96 343.2 103.2 336 112 336C120.8 336 128 343.2 128 352C128 360.8 120.8 368 112 368C103.2 368 96 360.8 96 352zM480 456C480 486.9 454.9 512 424 512H368C349.8 512 332.8 503.2 322.3 488.4L308.8 469.3C281.1 476.4 252.7 480 224 480C100.3 480 0 379.7 0 256C0 132.3 100.3 32 224 32C266.3 32 308.2 39.87 347.6 55.2L555.6 136.1C567.9 140.8 576 152.7 576 165.9V207.1C576 225.7 561.7 239.1 544 239.1H447.4L447.4 240.2C447.8 245.4 448 250.7 448 255.1C448 261.4 447.8 266.7 447.4 271.1H544C561.7 271.1 576 286.3 576 303.1V346.1C576 359.3 567.9 371.2 555.6 375.9L460 413.1C472.2 423.4 480 438.8 480 456L480 456zM377.1 371.9C400.5 340.1 414.8 302.7 415.9 261.2C415.1 259.5 416 257.7 416 256C416 254.3 415.1 252.7 415.9 251C413.3 147.3 328.4 64 224 64C117.1 64 32 149.1 32 256C32 362 117.1 448 224 448C245.8 448 266.8 444.4 286.4 437.6L225.7 351.1C225.1 351.1 224.6 352 224 352C170.1 352 128 309 128 256C128 202.1 170.1 160 224 160C277 160 320 202.1 320 256C320 266.1 318.4 275.9 315.5 285L377.1 371.9zM544 346.1V304H442.8C435.1 339.6 418.8 372.1 396.3 399.1L396.1 400H405.4L544 346.1zM544 208V165.9L390.6 106.2C416.1 134.5 434.4 169.4 442.8 208H544zM224 192C188.7 192 160 220.7 160 256C160 291.3 188.7 320 224 320C259.3 320 288 291.3 288 256C288 220.7 259.3 192 224 192zM368 480H424C437.3 480 448 469.3 448 456C448 442.7 437.3 432 424 432H380.7L300.2 314.4C290.3 327.3 277.3 337.5 262.3 344.1L348.2 469.6C352.7 476.1 360.1 480 368 480V480z"],
    "steak": [576, 512, [129385], "f824", "M466.9 118.9c-31.5-35.88-65.48-54.88-97.98-54.88c-41.88 0-78.5 32.75-93.38 83.38L274.9 149.6C257.5 210.2 205.6 259.9 120.4 297C63.11 321.9 63.76 357.8 66.76 372c10.62 51.5 91.5 74.88 162.1 74.88c97.62 0 188.6-39.86 249.5-109.2C527.3 281.9 522.1 181.8 466.9 118.9zM454.4 316.5c-64.25 73.25-152.8 98.33-225.5 98.33c-105.5 0-177.9-52.79-95.75-88.54c146.4-63.75 166.9-148.6 173.1-169.1C317 119.7 341.5 96 368.9 96c22.75 0 49 15.62 73.88 44C487.1 190.5 492.5 273 454.4 316.5zM384 191.9c-17.62 0-32 14.38-32 32c0 17.75 14.38 32 32 32s32-14.25 32-32C416 206.3 401.6 191.9 384 191.9zM514.9 76.63C467.9 23.13 416.3 0 368.9 0C298.3 0 237 51.13 214.1 129.4c-49.12 140-212.8 83.01-214.1 222.3C-1.117 467.5 126.3 512 239.2 512c5.625 0 11.3-.1085 16.8-.3585c87.75-3.375 187.4-37.08 270.5-131.8C596.8 299.7 591.6 164 514.9 76.63zM502.5 358.8c-83.75 95.25-180.9 118.4-247.7 121C249.6 479.9 244.5 480 239.3 480c-77 0-143.8-21.12-178.8-56.38C41.01 403.9 31.76 380.5 32.01 352c.5-49.63 23.5-61.63 75.5-84.25C155.9 246.6 216.1 220.4 244.3 140L244.6 139.2l.125-.875C263.8 73.75 312.4 32 368.9 32c42 0 84.25 22.75 122 65.75C557.3 173.4 562.4 290.4 502.5 358.8z"],
    "steering-wheel": [512, 512, [], "f622", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM222.1 372.7L148.1 299.6C145.5 296.1 142.6 292.2 140.4 288H34.27C49.06 391.4 134.4 471.1 240 479.4V384C233.4 381.7 227.3 377.9 222.1 372.7V372.7zM272 384V479.4C377.6 471.1 462.9 391.4 477.7 288H371.6C369.4 292.2 366.5 296.1 363 299.6L289.9 372.7C284.7 377.9 278.6 381.7 272 384V384zM376.1 256H480C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256H135.9C136.7 251.1 138.1 248 140 244.2L152.8 218.5C160.1 202.3 177.6 192 195.8 192H316.2C334.4 192 351 202.3 359.2 218.5L371.1 244.2C373.9 248 375.3 251.1 376.1 256H376.1zM168.6 258.5C165.5 264.7 166.8 272.1 171.6 276.1L244.7 350.1C250.9 356.3 261.1 356.3 267.3 350.1L340.4 276.1C345.2 272.1 346.5 264.7 343.4 258.5L330.5 232.8C327.8 227.4 322.3 224 316.2 224H195.8C189.7 224 184.2 227.4 181.5 232.8L168.6 258.5z"],
    "sterling-sign": [320, 512, [163, "gbp", "pound-sign"], "f154", "M0 272C0 263.2 7.164 256 16 256H240C248.8 256 256 263.2 256 272C256 280.8 248.8 288 240 288H16C7.164 288 0 280.8 0 272zM168 64C119.4 64 80 103.4 80 152V278.1C80 336.9 67.02 394.9 42.12 448H304C312.8 448 320 455.2 320 464C320 472.8 312.8 480 304 480H16C10.35 480 5.124 477 2.242 472.2C-.641 467.3-.7504 461.3 1.954 456.3L3.066 454.3C32.55 400.2 48 339.7 48 278.1V152C48 85.73 101.7 32 168 32H175.1C188 32 200.8 34.08 213.1 38.16L293.1 64.82C301.4 67.62 305.1 76.68 303.2 85.06C300.4 93.44 291.3 97.97 282.9 95.18L202.1 68.52C193.1 65.53 184.6 64 175.1 64L168 64z"],
    "stethoscope": [576, 512, [129658], "f0f1", "M544 192c0-35.35-28.65-63.1-64-63.1s-64 28.65-64 63.1c0 29.79 20.44 54.6 48 61.74v98.26c0 70.59-57.42 127.1-128 127.1s-128-57.41-128-127.1v-1.617c80.63-8.162 144-75.65 144-158.4v-143.1c0-6.062-3.422-11.59-8.844-14.31l-64-31.1c-7.891-3.969-17.52-.7187-21.47 7.156C253.7 16.76 256.9 26.35 264.8 30.32L320 57.88v134.1c0 70.59-57.42 127.1-128 127.1S64 262.6 64 192V57.88l55.16-27.56c7.906-3.969 11.11-13.56 7.156-21.47C122.4 .976 112.7-2.274 104.8 1.695l-64 31.1C35.42 36.41 32 41.94 32 48.01v143.1c0 82.74 63.38 150.2 144 158.4v1.617c0 88.22 71.78 159.1 160 159.1s160-71.78 160-159.1V253.7C523.6 246.6 544 221.8 544 192zM480 224c-17.67 0-32-14.33-32-31.1c0-17.67 14.33-31.1 32-31.1s32 14.33 32 31.1C512 209.7 497.7 224 480 224z"],
    "stocking": [384, 512, [], "f7d5", "M336 160c-8.805 0-16.07 7.135-16.07 15.94v126.9c0 42.88-21.13 82.75-56.89 106.5l-81.77 54.5C165.4 474.5 147.1 480 128.2 480c-32.26 0-62.27-16-80.03-42.75c-14.25-21.38-19.38-47-14.38-72.13s19.51-46.88 41.01-61l53.14-35.5V175.9C127.9 167.1 120.8 160 111.1 160S96.04 167.1 96.04 175.9L96.02 251.5l-39.01 26c-58.77 39.25-74.77 118.8-35.5 177.5C46.27 492 86.76 512 128.2 512c24.38 0 49.13-7 70.89-21.5L280.8 436c44.51-29.75 71.14-79.5 71.14-133.1l.0548-126.9C351.1 167.1 344.9 160 336 160zM335.1 0h-223.9C85.53 0 64.03 21.49 64.03 48l-.0049 32c0 26.51 21.5 48 48.02 48h223.9C362.5 128 384 106.5 384 80v-32C384 21.49 362.5 0 335.1 0zM352.1 80c0 8.836-7.166 16-16 16H112C103.2 96 96.04 88.84 96.04 80v-32c0-8.838 7.164-16 16-16h224.1c8.838 0 16 7.162 16 16V80z"],
    "stomach": [512, 512, [], "f623", "M401.1 98.25c-58.75-10.62-111.9 17-140 61.75H240C195.8 160 160 124.2 160 80V15.1C160 7.2 152.8 0 144 0C135.2 0 128 7.2 128 15.1V80C128 141.9 178.1 192 240 192h6.75C242.8 204.8 240 218 240 232V288c0 44.18-35.82 80-80 80H112c-61.86 0-112 50.14-112 111.1v15.1c0 8.8 7.2 15.1 15.1 15.1S32 504.8 32 496V480c0-32.38 19.25-60.25 47-72.88c11.12-5.125 24.38-2 33.38 6.125l62.38 56.88C208 497.1 249.1 512 292.8 512C413.6 512 512 413.6 512 292.8V237C512 170.5 466.5 110.1 401.1 98.25zM376 128C433.4 128 480 174.6 480 232v60.75c0 12.12-1.25 23.87-3.5 35.37c-31.25 15-68.13 7.75-92.75-19C354.1 276.9 311.5 265.2 272 276.2V232C272 174.6 318.6 128 376 128zM292.8 480c-35.5 0-70.25-12.38-97.13-34.13L145.2 400H160c53.88 0 99-38.25 109.6-89c30.75-13.75 66.62-6.375 90.62 19.88c22.5 24.37 52.38 37.25 82.75 37.25c7.5 0 14.1-1.25 22.38-2.875C437 432.6 370.4 480 292.8 480z"],
    "stop": [384, 512, [9209], "f04d", "M320 64H64c-35.35 0-64 28.65-64 64v255.1c0 35.35 28.65 64 64 64H320c35.35 0 64-28.65 64-64V128C384 92.65 355.3 64 320 64zM352 384c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V128c0-17.64 14.36-32 32-32h256c17.64 0 32 14.36 32 32V384z"],
    "stopwatch": [448, 512, [9201], "f2f2", "M240 320C240 328.8 232.8 336 223.1 336C215.2 336 207.1 328.8 207.1 320V208C207.1 199.2 215.2 192 223.1 192C232.8 192 240 199.2 240 208V320zM127.1 16C127.1 7.164 135.2 0 143.1 0H304C312.8 0 320 7.164 320 16C320 24.84 312.8 32 304 32H240V96.61C289.4 100.4 333.1 121.4 367.7 153.6L404.7 116.7C410.9 110.4 421.1 110.4 427.3 116.7C433.6 122.9 433.6 133.1 427.3 139.3L389.1 177.5C416 212.6 432 256.4 432 304C432 418.9 338.9 512 224 512C109.1 512 16 418.9 16 304C16 194.5 100.6 104.8 208 96.61V32H144C135.2 32 128 24.84 128 16H127.1zM223.1 480C321.2 480 400 401.2 400 304C400 206.8 321.2 128 223.1 128C126.8 128 47.1 206.8 47.1 304C47.1 401.2 126.8 480 223.1 480z"],
    "stopwatch-20": [448, 512, [], "e06f", "M240 240C240 213.5 261.5 192 288 192C314.5 192 336 213.5 336 240V368C336 394.5 314.5 416 288 416C261.5 416 240 394.5 240 368V240zM288 224C279.2 224 272 231.2 272 240V368C272 376.8 279.2 384 288 384C296.8 384 304 376.8 304 368V240C304 231.2 296.8 224 288 224zM151.2 237.1C148.4 245.4 139.3 249.1 130.9 247.2C122.6 244.4 118 235.3 120.8 226.9L121.4 225.2C128 205.4 146.6 191.1 167.5 191.1C194.3 191.1 215.1 213.7 215.1 240.5V255.4C215.1 269.8 211.1 283.7 202.1 294.1L169.5 335.7C158.5 349.4 152.4 366.4 152 384H199.1C208.8 384 215.1 391.2 215.1 400C215.1 408.8 208.8 416 199.1 416H135.1C127.2 416 119.1 408.8 119.1 400V385.7C119.1 360.2 128.7 335.6 144.5 315.7L177.1 274.1C181.6 269.4 183.1 262.5 183.1 255.4V240.5C183.1 231.4 176.6 223.1 167.5 223.1C160.3 223.1 154 228.6 151.8 235.3L151.2 237.1zM304 0C312.8 0 320 7.164 320 16C320 24.84 312.8 32 304 32H240V96.61C289.4 100.4 333.1 121.4 367.7 153.6L404.7 116.7C410.9 110.4 421.1 110.4 427.3 116.7C433.6 122.9 433.6 133.1 427.3 139.3L389.1 177.5C416 212.6 432 256.4 432 304C432 418.9 338.9 512 224 512C109.1 512 16 418.9 16 304C16 194.5 100.6 104.8 208 96.61V32H144C135.2 32 128 24.84 128 16C128 7.164 135.2 0 144 0L304 0zM223.1 128C126.8 128 47.1 206.8 47.1 304C47.1 401.2 126.8 480 223.1 480C321.2 480 400 401.2 400 304C400 206.8 321.2 128 223.1 128z"],
    "store": [576, 512, [], "f54e", "M431.3 206.8C426.5 203.3 422.2 199.4 418.3 195C414.4 199.3 410.1 203.2 405.4 206.7C390.9 217.5 372.8 224 353.1 224C333.5 224 315.6 217.6 301.1 206.1C296.3 203.4 291.9 199.4 287.9 195C283.9 199.4 279.5 203.4 274.7 206.1C260.2 217.6 242.3 224 222.7 224C203.2 224 185.2 217.6 170.7 206.1C165.9 203.4 161.5 199.4 157.6 195C153.6 199.4 149.1 203.4 144.3 206.1C129.9 217.6 111.1 224 92.36 224C88.3 224 84.21 223.7 80.24 223.2C24.92 215.8-1.255 150.6 28.33 103.8L85.66 13.13C90.76 4.979 99.87 0 109.6 0H466.4C476.1 0 485.2 4.978 490.3 13.13L547.6 103.8C577.3 150.7 551 215.8 495.5 223.2C491.6 223.7 487.6 224 483.4 224C463.8 224 445.8 217.5 431.3 206.8H431.3zM464.4 32H111.6L55.38 120.9C36.71 150.5 55.1 187.5 84.44 191.5C87.11 191.8 89.8 192 92.36 192C108.1 192 123.6 184.8 133.8 173.6C139.9 166.9 148.5 163 157.6 163C166.6 163 175.2 166.9 181.3 173.6C191.5 184.8 206.2 192 222.7 192C239.3 192 253.1 184.8 264.2 173.6C270.2 166.9 278.9 163 287.9 163C296.1 163 305.6 166.9 311.6 173.6C321.8 184.8 336.5 191.1 353.1 191.1C369.7 191.1 384.3 184.8 394.5 173.6C400.6 166.9 409.2 163 418.2 163C427.2 163 435.9 166.8 441.9 173.5C452.2 184.8 466.1 191.1 483.4 191.1C486.1 191.1 488.7 191.8 491.4 191.5C520.9 187.5 539.3 150.5 520.6 120.9L464.4 32zM96 272V352H480V272C480 263.2 487.2 256 496 256C504.8 256 512 263.2 512 272V448C512 483.3 483.3 512 448 512H128C92.65 512 64 483.3 64 448V272C64 263.2 71.16 256 80 256C88.84 256 96 263.2 96 272zM96 448C96 465.7 110.3 480 128 480H448C465.7 480 480 465.7 480 448V384H96V448z"],
    "store-lock": [640, 512, [], "e4a6", "M464.4 32H111.6L55.38 120.9C36.71 150.5 55.1 187.5 84.44 191.5C87.11 191.8 89.8 192 92.36 192C108.1 192 123.6 184.8 133.8 173.6C139.9 166.9 148.5 163 157.6 163C166.6 163 175.2 166.9 181.3 173.6C191.5 184.8 206.2 192 222.7 192C239.3 192 253.1 184.8 264.2 173.6C270.2 166.9 278.9 163 287.9 163C296.9 163 305.6 166.9 311.6 173.6C321.8 184.8 336.5 192 353.1 192C369.7 192 384.3 184.8 394.5 173.6C400.6 166.9 409.2 163 418.2 163C427.2 163 435.9 166.8 441.9 173.5C446.3 178.3 451.4 182.3 457 185.3C448.6 192.3 441.2 200.4 435.1 209.5C433.8 208.6 432.5 207.7 431.3 206.8C426.5 203.3 422.2 199.4 418.3 195C414.4 199.3 410.1 203.2 405.4 206.7C390.9 217.5 372.8 224 353.1 224C333.5 224 315.6 217.6 301.1 206.1C296.3 203.4 291.9 199.4 287.9 195C283.9 199.4 279.5 203.4 274.7 206.1C260.2 217.6 242.3 224 222.7 224C203.2 224 185.2 217.6 170.7 206.1C165.9 203.4 161.5 199.4 157.6 195C153.6 199.4 149.1 203.4 144.3 206.1C129.9 217.6 111.1 224 92.36 224C88.3 224 84.21 223.7 80.24 223.2C24.92 215.8-1.256 150.6 28.33 103.8L85.66 13.13C90.76 4.979 99.87 0 109.6 0H466.4C476.1 0 485.2 4.978 490.3 13.13L547.6 103.8C559.5 122.6 562.4 144.3 558.1 164.1C548.5 161.4 538.4 159.1 528 159.1C527.4 159.1 526.8 160 526.2 160C529.8 147.8 528.6 133.6 520.6 120.9L464.4 32zM95.1 352H384V384H95.1V448C95.1 465.7 110.3 480 127.1 480H384C384 491.7 387.1 502.6 392.6 512H127.1C92.65 512 63.1 483.3 63.1 448V272C63.1 263.2 71.16 256 79.1 256C88.84 256 95.1 263.2 95.1 272V352zM528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320V272C448 227.8 483.8 192 528 192zM528 224C501.5 224 480 245.5 480 272V320H576V272C576 245.5 554.5 224 528 224zM448 352V480H608V352H448z"],
    "store-slash": [640, 512, [], "e071", "M633.9 483.4C640.9 488.9 642 498.1 636.6 505.9C631.1 512.9 621 514 614.1 508.6L6.086 28.56C-.8493 23.08-2.033 13.02 3.443 6.086C8.918-.8493 18.98-2.033 25.91 3.443L633.9 483.4zM544 272V351.3L512 326V272C512 263.2 519.2 256 528 256C536.8 256 544 263.2 544 272V272zM385.1 224C384.3 224 383.5 223.1 382.7 223.1L308.3 165.2C311.1 163.8 315.9 163 319.9 163C328.9 163 337.6 166.9 343.6 173.6C353.8 184.8 368.5 192 385.1 192C401.7 192 416.3 184.8 426.5 173.6C432.6 166.9 441.2 163 450.2 163C459.2 163 467.9 166.8 473.9 173.5C484.2 184.8 498.1 192 515.4 192C518.1 192 520.7 191.8 523.4 191.5C552.9 187.5 571.3 150.5 552.6 120.9L496.4 32H143.6L142.2 34.12L116.1 14.19L117.7 13.13C122.8 4.979 131.9 0 141.6 0H498.4C508.1 0 517.2 4.978 522.3 13.13L579.6 103.8C609.3 150.7 583 215.8 527.5 223.2C523.6 223.7 519.6 224 515.4 224C495.8 224 477.8 217.5 463.3 206.8C458.5 203.3 454.2 199.4 450.3 195C446.4 199.3 442.1 203.2 437.4 206.7C422.9 217.5 404.8 224 385.1 224L385.1 224zM124.4 224C120.3 224 116.2 223.7 112.2 223.2C64.94 216.8 38.95 168.3 50.9 125.1L79.86 147.1C80.5 169.4 95.75 188.7 116.4 191.5C119.1 191.8 121.8 192 124.4 192C127.8 192 131.2 191.7 134.5 191.1L164.1 214.5C152.3 220.5 138.8 224 124.4 224V224zM127.1 384V448C127.1 465.7 142.3 480 159.1 480H480C485.6 480 490.9 478.6 495.4 476L521.6 496.7C510.4 506.2 495.9 512 480 512H159.1C124.7 512 95.1 483.3 95.1 448V272C95.1 263.2 103.2 256 111.1 256C120.8 256 127.1 263.2 127.1 272V352H338.3L378.8 384L127.1 384z"],
    "strawberry": [512, 512, [], "e32b", "M163.4 251.5c0-9.121-7.459-16-16-16c-4.094 0-8.188 1.564-11.31 4.691L113.5 262.8C110.3 265.9 108.8 269.1 108.8 274.1c0 8.553 6.904 16 16 16c4.094 0 8.188-1.562 11.31-4.689l22.63-22.63C161.8 259.6 163.4 255.6 163.4 251.5zM175.7 376.9c-4.094 0-8.188 1.562-11.31 4.689l-22.63 22.63c-3.127 3.127-4.689 7.221-4.689 11.31c0 9.135 7.48 16 16 16c4.092 0 8.186-1.562 11.31-4.689l22.63-22.63c3.127-3.127 4.691-7.221 4.691-11.31C191.7 384.3 184.8 376.9 175.7 376.9zM204.1 292.1c-4.094 0-8.188 1.562-11.31 4.689L170.1 319.5c-3.127 3.125-4.689 7.219-4.689 11.31c0 9.121 7.461 16 16 16c4.094 0 8.186-1.562 11.31-4.689l22.63-22.63c3.127-3.127 4.691-7.221 4.691-11.31C220.1 299.6 213.2 292.1 204.1 292.1zM153.1 205.2c4.092 0 8.186-1.564 11.31-4.689L186.1 177.9c3.127-3.127 4.691-7.219 4.691-11.31c0-9.121-7.461-16.01-16-16.01c-4.094 0-8.188 1.564-11.31 4.691L141.7 177.9C138.6 181 137.1 185.1 137.1 189.2C137.1 198.4 144.5 205.2 153.1 205.2zM119.1 320.3c-4.094 0-8.186 1.562-11.31 4.689l-22.63 22.63c-3.127 3.125-4.691 7.219-4.691 11.31c0 9.121 7.461 16 16 16c4.094 0 8.188-1.562 11.31-4.689l22.63-22.63c3.127-3.127 4.689-7.221 4.689-11.31C135.1 327.8 128.2 320.3 119.1 320.3zM424.3 112.5c57.32-38.44 65.52-82.89 65.52-96.5c0-2.734-2.256-15.98-15.94-15.98c-29.09 0 3.521 42.28-74.41 90.44c-3.799-48.25-37.72-89.97-60.45-90.44c-31.71 .5859-49.14 54.3-49.14 64.02c0 7.896 6.312 15.99 16.06 15.99c7.438 0 14.04-5.203 15.59-12.74c2.75-13.17 9-25.09 16.03-36.19c20.05 20.25 30.7 44.63 30.7 68.14c0 21.43-7.322 28.06-7.322 35.81c0 11.27 9.836 16 15.99 16c7.852 0 14.38-7.404 36.35-7.404c23.3 0 47.28 10.13 66.84 28.31c-26.97 24.97-48.15 12.87-48.15 34.13c0 9.623 7.92 16.04 15.97 16.04C462.6 222.1 512 201.6 512 172.4C512 142.4 456.1 115.8 424.3 112.5zM296 119.2c-27.1-27.54-65.91-55.23-112.6-55.23C104.6 64 0 150 0 318.6C0 508.5 86.41 512 193.4 512c166.8 0 254.6-103.6 254.6-183.4c0-46.68-27.68-85.48-55.23-112.6L296 119.2zM193.4 480c-134.4 0-161.6-30.42-161.6-161.4C31.76 182.1 113.1 96 183.4 96c37.07 0 69.28 24.83 89.96 45.85l96.92 96.93c34.73 34.16 45.69 64.92 45.69 90.47C416 391.1 341.8 480 193.4 480zM345.4 320.3c-4.094 0-8.188 1.562-11.31 4.689l-22.63 22.63c-3.127 3.125-4.691 7.219-4.691 11.31c0 9.121 7.461 16 16 16c4.094 0 8.188-1.562 11.31-4.689l22.63-22.63c3.127-3.127 4.689-7.221 4.689-11.31C361.4 327.2 353.9 320.3 345.4 320.3zM288.8 263.7c-4.092 0-8.186 1.562-11.31 4.689L254.9 291.1C251.8 294.2 250.2 298.3 250.2 302.4c0 9.121 7.459 16 16 16c4.092 0 8.186-1.562 11.31-4.689l22.63-22.63c3.127-3.127 4.689-7.221 4.689-11.31C304.8 271.2 297.9 263.7 288.8 263.7zM248.3 223.2c0-9.121-7.461-16.01-16-16.01c-4.094 0-8.188 1.564-11.31 4.691L198.3 234.5c-3.127 3.127-4.689 7.221-4.689 11.31c0 9.121 7.459 16 16 16c4.094 0 8.188-1.564 11.31-4.689l22.63-22.63C246.7 231.4 248.3 227.3 248.3 223.2zM260.5 348.6c-4.094 0-8.188 1.564-11.31 4.691l-22.63 22.63c-3.127 3.127-4.689 7.221-4.689 11.31c0 8.551 6.902 16 16 16c4.094 0 8.188-1.562 11.31-4.689l22.63-22.63c3.127-3.127 4.689-7.221 4.689-11.31C276.5 356 269.6 348.6 260.5 348.6z"],
    "street-view": [512, 512, [], "f21d", "M192 64C192 28.65 220.7 0 256 0C291.3 0 320 28.65 320 64C320 99.35 291.3 128 256 128C220.7 128 192 99.35 192 64zM256 96C273.7 96 288 81.67 288 64C288 46.33 273.7 32 256 32C238.3 32 224 46.33 224 64C224 81.67 238.3 96 256 96zM160 224C160 188.7 188.7 160 224 160H288C323.3 160 352 188.7 352 224V280C352 296.1 340.1 309.4 324.7 311.7L315.8 396.2C313.6 416.5 296.5 432 275.1 432H236C215.5 432 198.4 416.5 196.2 396.2L187.3 311.7C171.9 309.4 160 296.1 160 280L160 224zM216.6 283.6L228.1 392.8C228.5 396.9 231.9 400 236 400H275.1C280.1 400 283.5 396.9 283.9 392.8L295.4 283.6L319.1 280L320 223.1C320 206.3 305.7 191.1 288 191.1H224C206.3 191.1 192 206.3 192 223.1V279.1L216.6 283.6zM52.97 406.8C44.54 411.3 38.94 415.6 35.63 419.3C32.4 422.9 32 425.2 32 426.2C32 427.9 33.25 432.9 43.93 440.2C54.09 447.2 69.85 454.1 90.76 460.2C132.4 472.3 190.8 480 256 480C321.2 480 379.6 472.3 421.2 460.2C442.2 454.1 457.9 447.2 468.1 440.2C478.7 432.9 480 427.9 480 426.2C480 425.2 479.6 422.9 476.4 419.3C473.1 415.6 467.5 411.3 459 406.8C442.2 397.9 417 389.8 385.4 383.7C376.7 382 371 373.6 372.7 364.1C374.4 356.3 382.8 350.6 391.4 352.3C424.6 358.7 453.3 367.5 474 378.5C484.4 384 493.5 390.4 500.2 397.1C507.1 405.6 512 415.1 512 426.2C512 443.8 499.8 457.2 486.2 466.6C472.1 476.3 452.7 484.4 430.2 490.9C384.9 504.1 323.3 512 256 512C188.7 512 127.1 504.1 81.83 490.9C59.31 484.4 39.92 476.3 25.8 466.6C12.18 457.2 0 443.8 0 426.2C0 415.1 4.947 405.6 11.76 397.1C18.49 390.4 27.63 384 37.99 378.5C58.74 367.5 87.36 358.7 120.6 352.3C129.2 350.6 137.6 356.3 139.3 364.1C140.1 373.6 135.3 382 126.6 383.7C94.98 389.8 69.8 397.9 52.97 406.8H52.97z"],
    "stretcher": [640, 512, [], "f825", "M496 416c-8.578 0-16.52 2.434-23.49 6.377L394.7 364l62.92-47.19c7.062-5.312 8.5-15.34 3.219-22.41c-5.344-7.094-15.38-8.5-22.41-3.219L368 343.1L297.6 291.2c-7-5.25-17.06-3.875-22.41 3.219C269.9 301.5 271.3 311.5 278.4 316.8L341.3 364l-77.84 58.38C256.5 418.4 248.6 416 240 416C213.5 416 192 437.5 192 464S213.5 512 240 512S288 490.5 288 464c0-6.174-1.266-12.03-3.389-17.45L368 384l83.39 62.54C449.3 451.1 448 457.8 448 464c0 26.51 21.49 48 48 48s48-21.49 48-48S522.5 416 496 416zM240 480C231.2 480 224 472.8 224 464C224 455.2 231.2 448 239.1 448s16 7.162 16 16C255.1 472.8 248.8 480 240 480zM496 480c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16s16 7.162 16 16C512 472.8 504.8 480 496 480zM640 240c0 8.844-7.156 15.1-16 15.1L174.1 256C169.8 256 165.7 254.3 162.7 251.3l-158.1-160c-6.219-6.281-6.156-16.41 .125-22.62C11.03 62.38 21.16 62.5 27.38 68.75L180.8 224L624 223.1C632.8 223.1 640 231.2 640 240z"],
    "strikethrough": [512, 512, [], "f0cc", "M496 256h-184.3c-16.93-5.691-34.37-10.77-51.52-15.49L241.3 235.3C159.1 212 119.3 189.8 129.6 132.5c9.484-52.77 72.56-78.39 160.7-65.03c18.53 2.796 40.34 8.48 68.61 17.9c8.453 2.796 17.45-1.734 20.23-10.1c2.797-8.387-1.734-17.45-10.11-20.23C339 44.1 315.5 38.91 295.1 35.81c-106.9-16.1-184.2 19.65-197 91.02C83.89 205.9 145.4 238.1 199.2 256H16c-8.844 0-16 7.162-16 16s7.156 15.98 16 15.98h480c8.844 0 16-7.144 16-15.98S504.8 256 496 256zM382.4 351.1c1.51 8.233 1.887 17.15 .0156 27.57c-9.469 52.79-72.61 78.26-160.8 65.03c-28.48-4.139-61.03-15.43-89.75-25.38l-14.66-5.06c-8.359-2.889-17.45 1.609-20.31 9.964c-2.86 8.371 1.609 17.46 9.969 20.3l14.5 4.998c30.08 10.43 64.16 22.26 95.56 26.82C233.9 478.8 250.2 480 265.5 480c81.2 0 137.6-34.8 148.4-94.82c2.197-12.23 2.451-23.16 1.422-33.22H382.4z"],
    "stroopwafel": [512, 512, [], "f551", "M256 16c-132.5 0-240 107.5-240 240s107.5 240 240 240s240-107.5 240-240S388.5 16 256 16zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464zM406.6 256l20.69-20.69c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0L384 233.4l-42.16-42.16l35.91-35.91C384 149.1 384 138.9 377.8 132.7s-16.38-6.25-22.62 0l-35.91 35.91L278.6 128l20.69-20.69c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0L256 105.4L235.3 84.69c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L233.4 128L192 169.4L155.3 132.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L169.4 192L128 233.4L107.3 212.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L105.4 256L84.69 276.7c-6.25 6.25-6.25 16.38 0 22.62C87.81 302.4 91.91 304 96 304s8.188-1.562 11.31-4.688L128 278.6l40.59 40.59l-35.91 35.91c-6.25 6.25-6.25 16.38 0 22.62C135.8 380.9 139.9 382.4 144 382.4s8.188-1.562 11.31-4.688l35.91-35.91L233.4 384l-20.69 20.69c-6.25 6.25-6.25 16.38 0 22.62C215.8 430.4 219.9 432 224 432s8.188-1.562 11.31-4.688L256 406.6l20.69 20.69C279.8 430.4 283.9 432 288 432s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L278.6 384L320 342.6l35.13 35.13c3.125 3.125 7.219 4.688 11.31 4.688s8.188-1.562 11.31-4.688C384 371.5 384 361.4 377.8 355.1L342.6 320L384 278.6l20.69 20.69C407.8 302.4 411.9 304 416 304s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L406.6 256zM256 150.6l40.59 40.59L255.2 232.6L214.6 192L256 150.6zM150.6 256L192 214.6l40.59 40.59L191.2 296.6L150.6 256zM256 361.4L213.8 319.2l41.38-41.38L297.4 320L256 361.4zM320 297.4l-42.16-42.16l41.38-41.38L361.4 256L320 297.4z"],
    "subscript": [512, 512, [], "f12c", "M336 96C344.8 96 352 88.84 352 80S344.8 64 336 64L288 64.01c-5.469 0-10.56 2.79-13.5 7.399L176 226.2L77.5 71.41C74.56 66.8 69.47 64.01 64 64.01L16 64C7.156 64 0 71.16 0 80S7.156 96 16 96h39.22l101.8 160l-101.8 160H16C7.156 416 0 423.2 0 432S7.156 448 16 448L64 448c5.469 0 10.56-2.804 13.5-7.414L176 285.8l98.5 154.8c2.938 4.609 8.031 7.414 13.5 7.414L336 448c8.844 0 16-7.156 16-16S344.8 416 336 416h-39.22L194.1 256l101.8-160H336zM496 480h-32v-144c0-8.844-7.156-16-16-16h-32c-8.844 0-16 7.156-16 16S407.2 352 416 352h16v128h-32c-8.844 0-16 7.156-16 16s7.156 16 16 16h96c8.844 0 16-7.156 16-16S504.8 480 496 480z"],
    "suitcase": [512, 512, [129523], "f0f2", "M128 96V48C128 21.49 149.5 0 176 0H336C362.5 0 384 21.49 384 48V96H448C483.3 96 512 124.7 512 160V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V160C0 124.7 28.65 96 64 96H128zM160 96H352V48C352 39.16 344.8 32 336 32H176C167.2 32 160 39.16 160 48V96zM128 128V448H384V128H128zM32 160V416C32 433.7 46.33 448 64 448H96V128H64C46.33 128 32 142.3 32 160zM480 416V160C480 142.3 465.7 128 448 128H416V448H448C465.7 448 480 433.7 480 416z"],
    "suitcase-medical": [512, 512, ["medkit"], "f0fa", "M448 96h-64V48C384 21.53 362.5 0 336 0h-160C149.5 0 128 21.53 128 48V96H64C28.65 96 0 124.7 0 160v256c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V160C512 124.7 483.3 96 448 96zM160 48C160 39.17 167.2 32 176 32h160C344.8 32 352 39.17 352 48V96H160V48zM96 448H64c-17.64 0-32-14.36-32-32V160c0-17.64 14.36-32 32-32h32V448zM384 448H128V128h256V448zM480 416c0 17.64-14.36 32-32 32h-32V128h32c17.64 0 32 14.36 32 32V416zM176 320H224v48C224 376.8 231.2 384 240 384h32c8.836 0 16-7.164 16-16V320h48c8.836 0 16-7.164 16-16v-32C352 263.2 344.8 256 336 256H288V208C288 199.2 280.8 192 272 192h-32C231.2 192 224 199.2 224 208V256H176C167.2 256 160 263.2 160 272v32C160 312.8 167.2 320 176 320z"],
    "suitcase-rolling": [448, 512, [], "f5c1", "M352.1 128h-32.07l.0123-80c0-26.47-21.53-48-48-48h-96c-26.47 0-48 21.53-48 48L128 128H96.12c-35.35 0-64 28.65-64 64v224c0 35.35 28.58 64 63.93 64L96 496C96 504.8 103.2 512 112 512S128 504.8 128 496V480h192v16c0 8.836 7.164 16 16 16s16-7.164 16-16l.0492-16c35.35 0 64.07-28.65 64.07-64V192C416.1 156.7 387.5 128 352.1 128zM160 48C160 39.17 167.2 32 176 32h96C280.8 32 288 39.17 288 48V128H160V48zM384 416c0 17.64-14.36 32-32 32H96c-17.64 0-32-14.36-32-32V192c0-17.64 14.36-32 32-32h256c17.64 0 32 14.36 32 32V416zM304 336h-160C135.2 336 128 343.2 128 352c0 8.836 7.164 16 16 16h160c8.836 0 16-7.164 16-16C320 343.2 312.8 336 304 336zM304 240h-160C135.2 240 128 247.2 128 256c0 8.836 7.164 16 16 16h160C312.8 272 320 264.8 320 256C320 247.2 312.8 240 304 240z"],
    "sun": [512, 512, [9728], "f185", "M256 128c-70.58 0-127.1 57.42-127.1 127.1S185.4 383.1 256 383.1s127.1-57.42 127.1-127.1S326.6 128 256 128zM256 351.1c-53.02 0-95.1-42.98-95.1-95.1C160 202.1 202.1 159.1 256 159.1s95.1 42.98 95.1 95.1C351.1 309 309 351.1 256 351.1zM453.7 256l52.87-76.18c5.922-8.529 7.062-19.34 3.094-28.9c-3.969-9.561-12.42-16.37-22.61-18.22l-91.26-16.5l-16.48-91.24c-1.859-10.22-8.672-18.65-18.25-22.62c-9.531-3.969-20.34-2.781-28.88 3.094L256 58.33L179.8 5.455c-8.5-5.906-19.25-7.125-28.84-3.125C141.4 6.299 134.5 14.73 132.7 24.95L116.2 116.2l-91.25 16.5C14.75 134.5 6.301 141.4 2.332 150.9C-1.637 160.5-.4961 171.3 5.426 179.8L58.3 256l-52.87 76.18c-5.922 8.531-7.062 19.34-3.094 28.9s12.42 16.37 22.61 18.22l91.26 16.5l16.48 91.24c1.859 10.22 8.688 18.65 18.27 22.62c3.75 1.562 7.688 2.312 11.59 2.312c6.078 0 12.08-1.844 17.25-5.406L256 453.7l76.2 52.87c8.5 5.906 19.25 7.125 28.84 3.125c9.578-3.969 16.41-12.41 18.27-22.62l16.48-91.24l91.25-16.5c10.2-1.844 18.66-8.654 22.62-18.22s2.828-20.37-3.094-28.9L453.7 256zM379.2 366.3c-6.578 1.188-11.72 6.344-12.91 12.9l-15.83 101.1l-85.33-59.21c-5.5-3.812-12.75-3.812-18.25 0l-82.69 60.31L145.7 379.2c-1.188-6.561-6.328-11.72-12.91-12.9l-101.1-15.84l59.2-85.31c3.812-5.498 3.812-12.75 0-18.25l-60.28-82.68l102.2-18.47C139.4 144.5 144.5 139.4 145.7 132.8l15.83-101.1l85.33 59.21c5.5 3.811 12.75 3.811 18.25 0l82.69-60.31l18.47 102.2c1.188 6.562 6.328 11.72 12.91 12.91l101.1 15.84l-59.2 85.31c-3.812 5.5-3.812 12.75 0 18.25l57.7 83.15L379.2 366.3z"],
    "sun-bright": [512, 512, ["sun-alt"], "e28f", "M256 112C247.2 112 240 104.8 240 96V16C240 7.156 247.2 0 256 0s16 7.156 16 16V96C272 104.8 264.8 112 256 112zM272 496V416c0-8.844-7.156-16-16-16S240 407.2 240 416v80c0 8.844 7.156 16 16 16S272 504.8 272 496zM512 256c0-8.844-7.156-16-16-16H416c-8.844 0-16 7.156-16 16s7.156 16 16 16h80C504.8 272 512 264.8 512 256zM112 256c0-8.844-7.156-16-16-16H16C7.156 240 0 247.2 0 256s7.156 16 16 16H96C104.8 272 112 264.8 112 256zM380.5 154.2l56.56-56.59c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0l-56.56 56.59c-6.25 6.25-6.25 16.37 0 22.62c3.125 3.125 7.219 4.691 11.31 4.691S377.3 157.3 380.5 154.2zM97.61 437l56.56-56.59c6.25-6.25 6.25-16.37 0-22.62s-16.38-6.253-22.62-.0031l-56.56 56.59c-6.25 6.25-6.25 16.38 0 22.62c3.125 3.125 7.219 4.688 11.31 4.688S94.48 440.2 97.61 437zM437 437c6.25-6.25 6.25-16.38 0-22.62l-56.56-56.59c-6.25-6.25-16.38-6.247-22.62 .0031s-6.25 16.37 0 22.62l56.56 56.59c3.125 3.125 7.219 4.688 11.31 4.688S433.9 440.2 437 437zM154.2 154.2c6.25-6.25 6.25-16.37 0-22.62L97.61 74.97c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l56.56 56.59c3.125 3.125 7.219 4.688 11.31 4.688S151 157.3 154.2 154.2zM368 256c0-61.75-50.25-112-112-112S144 194.3 144 256s50.25 112 112 112S368 317.8 368 256zM336 256c0 44.13-35.89 80-80 80S176 300.1 176 256S211.9 176 256 176S336 211.9 336 256z"],
    "sun-cloud": [640, 512, [127780], "f763", "M558.3 185.6C542.1 151.5 507.4 128 468 128c-41.75 0-77.63 25.25-92.5 62.5C343 201.9 320 232.6 320 268.8C320 314.8 357.2 352 403.2 352h153.5C602.8 352 640 314.8 640 268.8C640 223.4 603.4 186.4 558.3 185.6zM556.8 320h-153.5C374.9 320 352 297.1 352 268.8C352 241.2 373.8 219 401 217.8C405.9 185.1 433.9 160 468 160c35.75 0 64.75 27.75 67.5 62.88c6.5-3.125 13.62-5.25 21.25-5.25C585.1 217.6 608 240.5 608 268.8C608 297.1 585.1 320 556.8 320zM404.9 402.7l.5232 2.662l-84.75-16.75C313.1 387.2 307.8 390 304.2 395.4L256 467.2l-48.12-72c-3.625-5.25-9.875-8-16.38-6.75l-84.75 16.75l16.75-84.75c1.25-6.25-1.375-12.75-6.75-16.38L44.75 256l72-48.12c5.375-3.625 8-10.12 6.75-16.38L106.8 106.8l84.75 16.75C197.1 124.8 204.2 122 207.9 116.8L256 44.75l48.13 72c3.625 5.25 9.875 8 16.38 6.75L428.8 102c8.75-1.75 14.37-10.12 12.62-18.75c-1.625-8.75-10.13-14.5-18.75-12.62L324.8 90L269.2 7.125C266.2 2.75 261.2 0 256 0C250.8 0 245.8 2.75 242.8 7.125L187.2 90L89.38 70.62C84.12 69.5 78.75 71.25 75 75S69.62 84.25 70.62 89.38l19.37 97.87L7.125 242.8C2.75 245.8 0 250.6 0 256c0 5.375 2.75 10.25 7.125 13.25l82.87 55.5L70.62 422.6c-1 5.125 .625 10.62 4.375 14.38s9.125 5.375 14.38 4.375L187.2 422l55.5 82.88C245.8 509.2 250.8 512 256 512c5.25 0 10.25-2.75 13.25-7.125L324.8 422l97.75 19.38c5.375 1.125 10.75-.625 14.38-4.375c3.875-3.75 5.375-9.25 4.375-14.38l-5.039-25.95c-.1012-.5211-2.5-12.65-15.77-12.75C410.5 383.8 402.9 392.9 404.9 402.7zM247.3 180.2c19.2-2.13 37.15 2.881 51.55 12.71c6.037 4.124 14.58 3.643 20.71-2.83c6.537-6.907 4.779-18.43-3.093-23.76C293 150.5 263.1 143.4 231.5 150.5C188.7 160.1 156.8 193.8 149.4 237.1C137.7 305.1 189.1 364.2 256 364.2c15.89 0 31.04-3.475 44.7-9.702c6.094-2.778 13.29-12.61 6.488-22.95c-4.382-6.665-12.72-9.351-19.99-6.064C277.7 329.9 267.1 332.2 256 332.2c-44.96 0-80.81-38.88-75.78-84.86C184 212.5 212.4 184.1 247.3 180.2z"],
    "sun-dust": [512, 512, [], "f764", "M240.1 376C226.7 376 216 386.8 216 400.1C216 413.3 226.7 424 240.1 424C253.3 424 264 413.2 264 400.1C264 386.8 253.2 376 240.1 376zM320.1 456C306.7 456 296 466.8 296 480.1C296 493.3 306.7 504 320.1 504C333.3 504 344 493.2 344 480.1C344 466.8 333.2 456 320.1 456zM160.1 456C146.7 456 136 466.8 136 480.1C136 493.3 146.7 504 160.1 504C173.3 504 184 493.2 184 480.1C184 466.8 173.2 456 160.1 456zM123.5 191.5L106.8 106.8L191.5 123.5c6.375 1.25 12.75-1.25 16.38-6.75L256 44.75l48.13 72c3.75 5.5 10.62 8.25 17.12 6.5l85.75-21.5c2.875-.625 5.375-2.125 7.375-4.125c3.875-3.875 5.625-9.5 4.25-15.25c-2.125-8.625-10.88-13.75-19.38-11.62L324.4 89.5l-55.13-82.38C266.3 2.75 261.4 0 256 0C250.8 0 245.8 2.5 242.8 7.125L187.3 90L89.63 70.63c-1-.25-2.125 0-3.125 0c-1.125 0-2.125-.25-3.25 0c-2 .375-4 1.25-5.75 2.375C77 73.25 76.75 73.88 76.25 74.25c-1.125 1-2.251 2-3.125 3.125c-1.25 1.75-2 3.75-2.375 5.875c-.25 1 0 2 0 3s-.25 2.125 0 3.125l19.25 97.88l-82.87 55.5C2.625 245.8 0 250.6 0 256c0 5.25 2.75 10.25 7.125 13.25l82.38 55.13l-18.75 74.88c-2.125 8.5 3 17.25 11.62 19.38C88.13 420 93.75 418.3 97.63 414.4c2-2 3.5-4.5 4.125-7.375l21.5-85.75c1.75-6.5-1-13.38-6.5-17.12L44.75 256l72-48.13C122.3 204.3 124.8 197.8 123.5 191.5zM480.1 184C493.3 184 504 173.2 504 160.1C504 146.8 493.2 136 480.1 136C466.7 136 456 146.8 456 160.1C456 173.3 466.7 184 480.1 184zM400.1 376C386.7 376 376 386.8 376 400.1C376 413.3 386.7 424 400.1 424C413.3 424 424 413.2 424 400.1C424 386.8 413.2 376 400.1 376zM480.1 456C466.7 456 456 466.8 456 480.1C456 493.3 466.7 504 480.1 504C493.3 504 504 493.2 504 480.1C504 466.8 493.2 456 480.1 456zM320.1 296C306.7 296 296 306.8 296 320.1C296 333.3 306.7 344 320.1 344C333.3 344 344 333.2 344 320.1C344 306.8 333.2 296 320.1 296zM480.1 296C466.7 296 456 306.8 456 320.1C456 333.3 466.7 344 480.1 344C493.3 344 504 333.2 504 320.1C504 306.8 493.2 296 480.1 296zM400.1 216C386.7 216 376 226.8 376 240.1C376 253.3 386.7 264 400.1 264C413.3 264 424 253.2 424 240.1C424 226.8 413.2 216 400.1 216zM205.1 205.1c26.62-26.59 70-26.66 96.66 0c6.25 6.25 16.38 6.25 22.62 0s6.25-16.38 0-22.62c-39.13-39.13-102.8-39.19-141.9 0c-39.13 39.13-39.13 102.8 0 141.9c3.125 3.125 7.219 4.688 11.31 4.688s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62C179.3 275.1 179.3 232.6 205.1 205.1z"],
    "sun-haze": [640, 512, [], "f765", "M80 352h320c8.801 0 16-7.201 16-16c0-8.801-7.199-16-16-16h-320C71.2 320 64 327.2 64 336C64 344.8 71.2 352 80 352zM576 416c0-8.801-7.199-16-16-16h-544C7.201 400 0 407.2 0 416c0 8.799 7.201 16 16 16h544C568.8 432 576 424.8 576 416zM208 480h-128C71.2 480 64 487.2 64 496C64 504.8 71.2 512 80 512h128C216.8 512 224 504.8 224 496C224 487.2 216.8 480 208 480zM480 335.9c0 8.799 7.199 16 16 16h128c8.801 0 16-7.201 16-16c0-8.801-7.199-16-16-16h-128C487.2 319.9 480 327.1 480 335.9zM624 480h-320C295.2 480 288 487.2 288 496C288 504.8 295.2 512 304 512h320c8.801 0 16-7.201 16-16C640 487.2 632.8 480 624 480zM320 128c-63.28 0-117.8 47.19-126.7 109.7C192 246.5 198.1 254.6 206.9 255.8C207.6 255.9 208.4 256 209.2 256C217 256 223.8 250.3 224.1 242.3C231.7 195.4 272.5 160 320 160s88.33 35.37 95.02 82.25c1.234 8.781 9.328 14.59 18.11 13.59c8.75-1.25 14.83-9.344 13.58-18.09C437.8 175.2 383.3 128 320 128zM113.1 247.7c4.234 7.812 13.98 10.66 21.7 6.375c7.766-4.219 10.62-13.94 6.391-21.69L104.3 163.2l91.05-19.5C201.1 142.4 205.8 138.1 207.4 132.4l25.97-90.94l77.77 51.84c5.375 3.562 12.38 3.562 17.75 0l77.77-51.84l25.97 90.94c1.625 5.688 6.25 10 12.03 11.25l91.05 19.5l-37.73 69.19c-4.234 7.75-1.375 17.47 6.391 21.69C506.8 255.4 509.4 256 511.1 256c5.672 0 11.16-3 14.06-8.344l48-88c2.422-4.438 2.594-9.75 .5-14.34c-2.109-4.562-6.266-7.906-11.19-8.969l-102.6-21.97L431.4 11.59c-1.406-4.906-5.078-8.844-9.875-10.62c-4.781-1.75-10.16-1.094-14.39 1.719L320 60.78L232.9 2.688c-4.25-2.812-9.609-3.469-14.39-1.719C213.7 2.75 210 6.688 208.6 11.59L179.3 114.4l-102.6 21.97C71.72 137.4 67.56 140.8 65.45 145.3c-2.094 4.594-1.922 9.906 .5 14.34L113.1 247.7z"],
    "sun-plant-wilt": [640, 512, [], "e57a", "M192.4 160.9C192.4 178.5 178.1 192.8 160.5 192.8C142.8 192.8 128.5 178.5 128.5 160.9C128.5 143.2 142.8 128.9 160.5 128.9C178.1 128.9 192.4 143.2 192.4 160.9zM159.9 0C165.7 0 171.1 3.226 173.9 8.402L201.4 59.37L256.1 42.75C262.6 41.06 268.7 42.61 272.9 46.77C277.1 50.93 278.6 57.04 276.9 62.68L260.3 118.1L311.3 145.6C316.5 148.4 319.7 153.8 319.7 159.7C319.7 165.6 316.5 170.1 311.3 173.8L260.3 201.2L276.9 256.7C278.6 262.3 277.1 268.4 272.9 272.6C268.7 276.7 262.6 278.3 256.1 276.6L201.4 259.1L173.9 310.9C171.1 316.1 165.7 319.3 159.9 319.3C153.1 319.3 148.6 316.1 145.8 310.9L118.3 259.1L62.72 276.6C57.08 278.3 50.98 276.7 46.82 272.6C42.66 268.4 41.12 262.3 42.81 256.7L59.44 201.2L8.418 173.8C3.233 170.1 0 165.6 0 159.7C0 153.8 3.233 148.4 8.418 145.6L59.44 118.1L42.81 62.68C41.12 57.04 42.66 50.93 46.82 46.77C50.98 42.61 57.08 41.06 62.72 42.75L118.3 59.37L145.8 8.402C148.6 3.226 153.1 0 159.9 0V0zM159.9 49.69L140.2 86.03C136.6 92.71 128.8 95.94 121.6 93.76L81.99 81.92L93.84 121.4C96.03 128.7 92.79 136.5 86.1 140.1L49.76 159.7L86.1 179.2C92.79 182.8 96.03 190.6 93.84 197.9L81.99 237.4L121.6 225.6C128.8 223.4 136.6 226.6 140.2 233.3L159.9 269.6L179.5 233.3C183.1 226.6 190.9 223.4 198.1 225.6L237.7 237.4L225.9 197.9C223.7 190.6 226.9 182.8 233.6 179.2L269.1 159.7L233.6 140.1C226.9 136.5 223.7 128.7 225.9 121.4L237.7 81.92L198.1 93.76C190.9 95.94 183.1 92.71 179.5 86.03L159.9 49.69zM496.2 480.1H624C632.9 480.1 640 487.2 640 496.1C640 504.9 632.9 512.1 624 512.1H16.62C7.788 512.1 .625 504.9 .625 496.1C.625 487.2 7.788 480.1 16.62 480.1H464.2V264.7C464.2 242.6 446.3 224.7 424.2 224.7C402.2 224.7 384.3 242.6 384.3 264.7V274.3C395.7 276.8 405.1 282.2 414.2 290.5C426.2 302.6 432.2 319.4 432.2 338.5C432.2 352.8 424.8 369.2 415.7 383.7C406.3 398.8 393.4 414.5 379.2 427.9C373.1 433.7 363.5 433.7 357.3 427.9C343.1 414.5 330.2 398.9 320.8 383.8C311.8 369.3 304.3 352.9 304.3 338.5C304.3 319.4 310.4 302.6 322.3 290.5C330.6 282.2 340.9 276.8 352.3 274.3V264.7C352.3 224.1 384.5 192.7 424.2 192.7C438.1 192.7 452.7 197.2 464.2 204.8V160.9C464.2 125.6 492.8 96.97 528.1 96.97C563.4 96.97 592.1 125.6 592.1 160.9V210.4C603.5 212.9 613.8 218.3 621.1 226.6C633.9 238.7 640 255.5 640 274.6C640 288.1 632.6 305.4 623.5 319.8C614.1 334.1 601.2 350.7 587 364.1C580.9 369.9 571.2 369.9 565.1 364.1C550.9 350.7 538 335.1 528.6 319.9C519.6 305.5 512.1 289.1 512.1 274.6C512.1 255.5 518.2 238.7 530.1 226.6C538.4 218.3 548.7 212.9 560.1 210.4V160.9C560.1 143.3 545.8 128.1 528.1 128.1C510.5 128.1 496.2 143.3 496.2 160.9L496.2 480.1zM368.3 304.6C357.7 304.6 350.1 307.9 345.1 312.1C340.1 318 336.3 326.2 336.3 338.5C336.3 343.5 339.6 353.5 347.9 366.8C353.4 375.6 360.4 384.8 368.3 393.4C376.1 384.7 383.1 375.5 388.6 366.8C396.9 353.4 400.2 343.4 400.2 338.5C400.2 326.2 396.4 318 391.5 312.1C386.5 307.9 378.8 304.6 368.3 304.6zM596.4 302.9C604.7 289.5 608 279.5 608 274.6C608 262.3 604.2 254.2 599.2 249.1C594.3 244.1 586.6 240.7 576.1 240.7C565.5 240.7 557.9 244.1 552.9 249.1C547.9 254.2 544.1 262.3 544.1 274.6C544.1 279.7 547.4 289.7 555.7 302.1C561.2 311.7 568.2 320.9 576.1 329.6C583.9 320.9 590.9 311.7 596.4 302.9z"],
    "sunglasses": [576, 512, [128374], "f892", "M563.1 232.8l-30.61-120.8C518.6 57.11 465.9 22.87 412.7 34.15c-8.641 1.812-14.19 10.31-12.36 18.94c1.812 8.688 10.31 14.38 18.95 12.38c36.33-7.656 72.53 16.22 82.2 54.4l30.61 120.8c2.578 10.16 4.076 20.56 5.82 30.9c-22.35-7.592-53.09-15.03-89.3-15.03c-37.25 0-80.25 8-125 31.5H252.4c-44.75-23.5-87.63-31.5-125-31.5c-36.22 0-66.95 7.436-89.3 15.03C39.81 261.2 41.31 250.8 43.89 240.6l30.61-120.8c9.688-38.19 45.91-62.06 82.2-54.4c8.672 2 17.14-3.688 18.95-12.38c1.828-8.625-3.719-17.12-12.36-18.94C109.9 22.87 57.38 57.11 43.47 111.1l-30.61 120.8C4.328 266.4 0 301.2 0 336v33.23C0 430.4 50.01 480 111.9 480h36.24c58.63 0 107.3-44.62 111.6-102.5l4.375-57.5h47.75l4.375 57.5C320.6 435.4 369.3 480 427.9 480h36.24C525.1 480 576 430.4 576 369.2v-33.23C576 301.2 571.7 266.4 563.1 232.8zM227.9 375.1C224.8 416 189.8 448 148.1 448H112c-12.94 0-24.99-3.316-35.81-8.697l91.39-49.21c7.781-4.188 10.7-13.91 6.516-21.69c-4.203-7.812-13.89-10.66-21.67-6.5l-103.2 55.58c-5.289-6.656-9.465-14.09-12.37-22.22l98.75-53.17c7.781-4.188 10.7-13.91 6.516-21.69c-4.172-7.781-13.89-10.62-21.67-6.5L32 361.5v-25.51c0-9.596 1.072-19.12 1.781-28.68c19.06-7.959 52.58-18.82 93.59-18.82c36.38 0 71.63 8.5 105.1 25.12L227.9 375.1zM544 369.3c0 43.5-35.88 78.75-80 78.75h-36.13c-13.63 0-26.39-3.705-37.72-9.758l89.42-48.15c7.781-4.188 10.7-13.91 6.516-21.69c-4.188-7.812-13.91-10.66-21.67-6.5l-100.7 54.21c-5.111-6.748-8.918-14.44-11.64-22.61l95.48-51.41c7.781-4.188 10.7-13.91 6.516-21.69s-13.91-10.62-21.67-6.5l-85.44 46.01l-3.48-46.28c33.5-16.62 68.75-25.12 105.1-25.12c41.13 0 74.54 10.86 93.59 18.82C542.9 316.9 544 326.4 544 336V369.3z"],
    "sunrise": [576, 512, [127749], "f766", "M287.8 352.3c-48.71 0-89.93 31.36-105.2 74.86c-1.533 4.365-1.562 20.99 15.05 20.99c6.771 0 12.5-4.355 14.73-10.65c10.97-31.01 40.67-53.25 75.43-53.25c34.88 0 64.49 22.24 75.53 53.26c2.158 6.061 7.611 10.64 15.07 10.64c10.93 0 18.34-10.76 14.74-21C377.8 383.6 336.6 352.3 287.8 352.3zM91 440.1c2.967 4.459 7.973 7.141 13.34 7.141c12.79 0 20.41-14.23 13.32-24.85l-27.41-41.04l86-17.22c6.375-1.248 11.38-6.115 12.62-12.48l17.25-85.87l73 48.55c5.375 3.619 12.38 3.619 17.75 0l73-48.55l17.25 85.87c1.125 6.24 6.125 11.23 12.62 12.48l86 17.22l-27.39 41.03c-7.098 10.63 .5332 24.87 13.33 24.87c5.352 0 10.35-2.668 13.32-7.111l40.74-60.91c3-4.367 3.5-10.11 1.5-14.98s-6.5-8.486-11.75-9.609l-99-19.72l-19.75-98.85c-1-5.242-4.625-9.611-9.625-11.73c-5-1.996-10.62-1.498-15 1.498l-84 55.91l-84-55.91C199.8 223.8 194 223.2 189.1 225.2c-4.875 1.998-8.5 6.49-9.625 11.73L159.8 335.8l-99 19.72c-5.25 .998-9.625 4.617-11.75 9.609s-1.5 10.61 1.5 14.98L91 440.1zM560 480h-544c-8.801 0-16 7.189-16 15.98C0 504.8 7.199 512 16 512h544c8.801 0 16-7.189 16-15.97C576 487.2 568.8 480 560 480zM203.3 123.3L272 54.63V208C272 216.8 279.2 224 288 224s16-7.156 16-16V54.63l68.69 68.69C375.8 126.4 379.9 128 384 128s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62l-96-96c-6.25-6.25-16.38-6.25-22.62 0l-96 96c-6.25 6.25-6.25 16.38 0 22.62S197.1 129.6 203.3 123.3z"],
    "sunset": [576, 512, [127751], "f767", "M91 440.1c2.967 4.459 7.973 7.141 13.34 7.141c12.79 0 20.41-14.23 13.32-24.85l-27.41-41.04l86-17.22c6.375-1.248 11.38-6.115 12.62-12.48l17.25-85.87l73 48.55c5.375 3.619 12.38 3.619 17.75 0l73-48.55l17.25 85.87c1.125 6.24 6.125 11.23 12.62 12.48l86 17.22l-27.39 41.03c-7.098 10.63 .5332 24.87 13.33 24.87c5.352 0 10.35-2.668 13.32-7.111l40.74-60.91c3-4.367 3.5-10.11 1.5-14.98s-6.5-8.486-11.75-9.609l-99-19.72l-19.75-98.85c-1-5.242-4.625-9.611-9.625-11.73c-5-1.996-10.62-1.498-15 1.498l-84 55.91l-84-55.91c-4.375-2.871-10.13-3.494-15-1.498c-4.875 1.998-8.5 6.49-9.625 11.73L159.8 335.8l-99 19.72c-5.25 .998-9.625 4.617-11.75 9.609s-1.5 10.61 1.5 14.98L91 440.1zM287.8 352.3c-48.71 0-89.93 31.36-105.2 74.86c-1.533 4.365-1.562 20.99 15.05 20.99c6.771 0 12.5-4.355 14.73-10.65c10.97-31.01 40.67-53.25 75.43-53.25c34.88 0 64.49 22.24 75.53 53.26c2.158 6.061 7.611 10.64 15.07 10.64c10.93 0 18.34-10.76 14.74-21C377.8 383.6 336.6 352.3 287.8 352.3zM560 480h-544c-8.801 0-16 7.189-16 15.98C0 504.8 7.199 512 16 512h544c8.801 0 16-7.189 16-15.97C576 487.2 568.8 480 560 480zM276.7 219.3C279.8 222.4 283.9 224 288 224s8.188-1.562 11.31-4.688l96-96c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0L304 169.4V16C304 7.156 296.8 0 288 0S272 7.156 272 16v153.4L203.3 100.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L276.7 219.3z"],
    "superscript": [512, 512, [], "f12b", "M336 96C344.8 96 352 88.84 352 80S344.8 64 336 64L288 64.01c-5.469 0-10.56 2.79-13.5 7.399L176 226.2L77.5 71.41C74.56 66.8 69.47 64.01 64 64.01L16 64C7.156 64 0 71.16 0 80S7.156 96 16 96h39.22l101.8 160l-101.8 160H16C7.156 416 0 423.2 0 432S7.156 448 16 448L64 448c5.469 0 10.56-2.804 13.5-7.414L176 285.8l98.5 154.8c2.938 4.609 8.031 7.414 13.5 7.414L336 448c8.844 0 16-7.156 16-16S344.8 416 336 416h-39.22L194.1 256l101.8-160H336zM496 160h-32V16C464 7.156 456.8 0 448 0h-32c-8.844 0-16 7.156-16 16S407.2 32 416 32h16v128h-32C391.2 160 384 167.2 384 176S391.2 192 400 192h96C504.8 192 512 184.8 512 176S504.8 160 496 160z"],
    "sushi": [576, 512, [127843, "nigiri"], "e48a", "M366.9 64C460.1 64 539.8 130.9 555.1 222.6L566.7 283.2C570.9 307 548.1 326.7 525.1 319.1L323.1 252C296.4 243.1 267.5 243.3 240.9 252.5L51.46 318.2C28.39 326.2 5.222 306.4 9.465 282.4L20.01 222.6C36.2 130.9 115.9 64 209.1 64L366.9 64zM535.2 288.7L524.5 228.2C519.5 199.9 507.2 174.4 489.8 153.5L430.5 253.9L535.2 288.7zM305.4 215.1C314.8 216.4 324.1 218.6 333.2 221.6L399.4 243.6L466.2 130.5C440.9 110.5 409.5 98.07 375.6 96.24L305.4 215.1zM268.8 214.1L338.6 96H227.7L133.2 255.1L230.4 222.3C242.9 217.1 255.8 215.2 268.8 214.1V214.1zM86.45 272.2L189.9 97.15C120.7 105.5 63.89 158.1 51.52 228.2L40.98 287.9L86.45 272.2zM58.7 349.5L63.1 347.7V352C63.1 387.3 92.65 416 127.1 416C139.6 416 150.4 412.9 159.7 407.6C172.3 400.4 187.7 400.4 200.3 407.6C209.6 412.9 220.4 416 231.1 416C244.6 416 256.3 412.4 266.1 406.2C279.5 397.7 296.5 397.7 309.9 406.2C319.7 412.4 331.4 416 344 416C355.6 416 366.4 412.9 375.7 407.6C388.3 400.4 403.7 400.4 416.3 407.6C425.6 412.9 436.4 416 448 416C483.3 416 512 387.3 512 352V348.5L518.2 350.5C526.9 353.4 535.6 354.3 543.1 353.6C543.1 405.9 500.5 448 448 448C430.7 448 414.4 443.4 400.4 435.4C397.7 433.8 394.3 433.8 391.6 435.4C377.6 443.4 361.3 448 344 448C325.2 448 307.6 442.6 292.8 433.2C289.9 431.4 286.1 431.4 283.2 433.2C268.4 442.6 250.8 448 232 448C214.7 448 198.4 443.4 184.4 435.4C181.7 433.8 178.3 433.8 175.6 435.4C161.6 443.4 145.3 448 128 448C75.27 448 32.47 405.5 32 352.9C40.65 353.7 49.69 352.6 58.7 349.5L58.7 349.5z"],
    "sushi-roll": [448, 512, ["maki-roll", "makizushi"], "e48b", "M448 352C448 397.2 412.2 429.4 374.1 448.5C334 468.5 280.9 480 224 480C167.1 480 113.1 468.5 73.92 448.5C35.78 429.4 0 397.2 0 352V136C0 113.6 12.21 96.13 25.86 84.03C39.55 71.89 57.53 62.43 76.1 55.13C116.2 40.43 168.2 32 223.1 32C279.8 32 331.8 40.43 371 55.13C390.5 62.43 408.5 71.89 422.1 84.03C435.8 96.13 448 113.6 448 136L448 352zM416 136C416 98.26 338.6 67.3 240 64.25C240.2 117.1 294.4 175.9 383.7 175.1C404.1 164.6 416 150.8 416 136zM78.01 182.8C98.83 156.3 126.5 137.1 153.2 123.7C174.7 112.9 196.1 105.6 214 100.1C210.1 89.11 208 76.76 208 64.25C109.4 67.3 32 98.26 32 136C32 153.9 49.32 170.2 78.01 182.8V182.8zM110.4 194.1C142.2 202.8 181.5 208 224 208C259 208 291.8 204.5 320.1 198.4C279.5 185.5 247.4 160.8 228.1 130.5C211.4 134.3 189.5 141.3 167.6 152.3C146.7 162.8 126.5 176.5 110.4 194.1V194.1zM32 352C32 405 117.1 448 224 448C330 448 416 405 416 352V193C403.3 202.8 387.7 210.6 371 216.9C331.8 231.6 279.8 240 224 240C168.2 240 116.2 231.6 76.1 216.9C60.32 210.6 44.73 202.8 32 193V352z"],
    "swatchbook": [512, 512, [], "f5c3", "M72 416C72 402.7 82.75 392 96 392C109.3 392 120 402.7 120 416C120 429.3 109.3 440 96 440C82.75 440 72 429.3 72 416zM0 56C0 25.07 25.07 0 56 0H136C166.9 0 192 25.07 192 56V188.2L283.2 96.97C305.1 75.1 340.6 75.1 362.4 96.97L419 153.5C440.9 175.4 440.9 210.9 419 232.7L331.7 320H456C486.9 320 512 345.1 512 376V456C512 486.9 486.9 512 456 512H96C42.98 512 0 469 0 416V56zM480 456V376C480 362.7 469.3 352 456 352H299.7L171.7 480H456C469.3 480 480 469.3 480 456zM396.4 176.2L339.8 119.6C330.4 110.2 315.2 110.2 305.9 119.6L192 233.5V414.5L396.4 210.1C405.8 200.7 405.8 185.5 396.4 176.2V176.2zM96 480C131.3 480 160 451.3 160 416V288H32V416C32 451.3 60.65 480 96 480zM32 256H160V160H32V256zM32 128H160V56C160 42.75 149.3 32 136 32H56C42.75 32 32 42.75 32 56V128z"],
    "sword": [512, 512, [128481], "f71c", "M495.1 .0234c-1.102 0 8.81-1.744-95.99 16.01L198.6 217.4c-6.248 6.246-6.248 16.38 0 22.62c6.246 6.25 16.38 6.25 22.62 0l194.1-194.1l61.12-10.38L466.1 96.66l-194.1 194.1c-6.246 6.246-6.246 16.38 0 22.62c6.248 6.25 16.38 6.25 22.62 0l201.4-201.4l15.87-93.75C513.2 8.529 505.6 .0234 495.1 .0234zM122.7 209.4C113.1 203.7 105.8 209.4 103.5 211.7l-34.75 34.74c-5.5 5.375-6.249 13.87-1.999 20.25l45.87 68.75l-39.87 39.87L55.1 366.9c-1.193-.6406-9.32-4.18-15.1 2.5l-35.87 35.99c-5.5 5.375-5.5 14.25 0 19.62l82.87 82.87C89.74 510.6 93.24 512 96.87 512c3.498 0 6.998-1.375 9.748-4.125l35.1-35.87c4.125-4.25 5.25-10.62 2.5-16l-8.375-16.75l39.87-39.88l68.74 45.91c6.559 4.172 14.78 3.25 20.25-2l34.75-34.79c5.262-5.258 5.822-13.14 2.225-19.27L122.7 209.4zM252.2 411.4c-67.98-45.37-51.59-34.46-79.74-53.12l-74.62 74.62C109.9 457.1 107.3 452 110.7 458.6l-13.87 13.88L39.5 415.1l13.87-13.88c6.633 3.398 1.525 .8359 25.75 12.88l74.62-74.62c-18.66-28.16-7.758-11.77-53.12-79.74l14.12-14.25l151.7 151.7L252.2 411.4z"],
    "sword-laser": [512, 512, [], "e03b", "M268.7 315.5L182.3 229.1c-3.125-3.125-8.249-3.125-11.37 0L159.6 240.5c-3.125 3.125-3.125 8.125 0 11.25l5.625 5.75L108.6 313.1L107.5 312.9c-3.125-3.125-8.249-3.125-11.37 0l-80.12 80.12c-21.37 21.37-21.37 55.87 0 77.24l25.75 25.75c21.37 21.37 55.87 21.37 77.24 0l80.12-80.12c3.125-3.125 3.125-8.249 0-11.37l56.62-56.5l5.615 5.631c3.125 3.125 8.259 3.119 11.38-.0059l11.25-11.37c3.125-3.125 3.125-8.125 0-11.25L268.7 315.5zM96.4 473.3c-8.874 8.874-23.12 8.874-31.1 0l-25.75-25.75c-8.874-8.874-8.874-23.12 0-31.1l63.25-63.25l57.62 57.75L96.4 473.3zM176.5 381.9l-45.25-45.25l11.37-11.25l45.25 45.25L176.5 381.9zM199.1 359.2L153.9 313.1l11.37-11.25l45.25 45.25L199.1 359.2zM221.8 336.6L176.5 291.4l11.37-11.25l45.25 45.25L221.8 336.6zM502.4 11.1C495.9 4.75 486.8 .5 477 0h-.7499c-9.374 0-18.5 3.375-25.62 9.624L232.3 210.3C225.6 216.4 225.3 226.9 231.8 233.4c6.058 6.057 15.87 6.32 22.18 .5234l218.2-200.5C473.3 32.5 474.6 31.1 476 31.1c.9999 .125 2.125 .625 2.75 1.5c1.625 1.625 1.75 4.375 .125 6.125l-200.8 218.4c-5.798 6.307-5.592 16.06 .4663 22.12c6.429 6.429 16.92 6.21 23.07-.4843l200.8-218.4C515.2 47.25 515.1 25.87 502.4 11.1z"],
    "sword-laser-alt": [512, 512, [], "e03c", "M502.4 12.01c-6.5-7.25-15.62-11.5-25.37-12c-9.625-.25-18.1 3.125-26.25 9.5L246.1 196.2c-10.78 9.836-3.822 27.79 10.77 27.79c3.982 0 7.852-1.488 10.8-4.176l204.6-186.6c2-1.5 4.75-1.375 6.5 .25c1.625 1.75 1.625 4.375 .125 6.125l-145.3 157.6c-9.439 10.24-2.178 26.81 11.75 26.81c4.461 0 8.719-1.863 11.74-5.145l145.4-157.6C515.3 47.26 515.1 25.88 502.4 12.01zM322.3 256.6L322.8 256L159.6 256C155.4 256 151.3 257.6 148.3 260.6l-132.2 132.4c-21.37 21.38-21.37 55.87 0 77.24l25.75 25.75c21.37 21.38 55.87 21.38 77.24 0l212.6-212.7C341.1 273.7 335 258.2 322.3 256.6zM38.65 447.6c-8.875-8.875-8.875-23.12 0-32l65.25-65.12l21.74 21.75l-81.24 81.11L38.65 447.6zM96.4 473.3c-8.875 8.875-23.12 8.875-31.1 0l-5.75-5.746l81.12-81.24l21.75 21.75L96.4 473.3zM184.1 385.5l-57.62-57.62l39.75-39.87h115.5L184.1 385.5z"],
    "swords": [512, 512, [9876], "f71d", "M312.5 148.7l102.8-102.8l61.12-10.37l-10.37 61.12l-102.8 102.8c-6.246 6.246-6.246 16.38 0 22.62c6.246 6.246 16.37 6.246 22.62 0l110.1-110.1l15.87-93.75c1.625-11.25-8.25-19.5-18.12-18.13l-93.74 15.88l-110.1 110.1c-6.248 6.246-6.248 16.38 0 22.62C296.2 154.1 306.3 154.1 312.5 148.7zM288.6 362c6.246-6.246 6.246-16.37 0-22.62L45.89 96.68l-10.37-61.12l61.12 10.37l242.7 242.7c6.246 6.25 16.37 6.25 22.62 0c6.246-6.246 6.246-16.37 0-22.62l-249.9-249.1l-93.74-15.88C7.027-1.459-1.222 8.416 .1531 18.29l15.87 93.75l249.9 249.1C272.2 368.3 282.3 368.3 288.6 362zM211.3 403.3l7.978-7.976c6.25-6.25 6.25-16.37 0-22.62c-6.25-6.25-16.37-6.25-22.62 0L188.7 380.7l-57.37-57.37l7.978-7.977c6.25-6.25 6.25-16.37 0-22.62c-6.25-6.25-16.37-6.25-22.62 0L108.7 300.7L84.7 276.7C81.59 273.5 77.53 271.1 73.47 271.1c-4.074 0-8.148 1.559-11.25 4.672L27.74 311.3c-5.336 5.336-6.205 13.77-1.986 19.98l34.38 57.09l-50.82 50.88c-12.4 12.39-12.41 32.5-.0332 44.91l18.52 18.57C33.97 508.9 42.13 512 50.29 512c8.139 0 16.28-3.09 22.46-9.269l50.79-50.86l57.21 34.37c2.641 1.797 5.686 2.668 8.723 2.668c4.102 0 8.191-1.59 11.26-4.656l34.62-34.5c6.188-6.168 6.197-16.27 .0195-22.44L211.3 403.3zM187.1 452.7l-68.48-41.15l-68.13 68.54l-18.5-18.27l68.49-68.57l-41.14-68.32l14.19-14.24l127.8 127.8L187.1 452.7zM502.7 439.3l-50.86-50.8l34.37-57.21c1.797-2.641 2.668-5.684 2.668-8.723c0-4.102-1.59-8.191-4.656-11.25l-34.5-34.62c-6.168-6.187-16.27-6.195-22.44-.0234l-150.7 150.7c-3.102 3.102-4.652 7.168-4.652 11.23c0 4.07 1.559 8.144 4.672 11.25l34.61 34.48c5.336 5.336 13.77 6.207 19.98 1.984l57.09-34.37l50.88 50.82c12.39 12.4 32.5 12.41 44.91 .0313l18.57-18.52c6.203-6.18 9.305-14.34 9.305-22.49C511.1 453.6 508.9 445.4 502.7 439.3zM461.8 480.1l-68.57-68.49l-68.32 41.14l-14.24-14.19l127.8-127.8l14.2 14.25l-41.15 68.48l68.54 68.13L461.8 480.1z"],
    "swords-laser": [640, 512, [], "e03d", "M472.1 33.25C473.2 32.5 474.6 31.1 476 31.1c1 .125 2.125 .625 2.75 1.5c1.625 1.625 1.75 4.25 .125 5.1l-74.77 81.35c-8.497 9.245-3.351 24.35 9.054 26.3c.1564 .0246 .3116 .0493 .4654 .0742c5.28 .8546 10.61-.9532 14.23-4.891l74.65-81.22C512 50.62 514.6 35.62 509.1 22.5c-5.375-12.1-17.88-21.87-32-22.5h-.875c-9.375 0-18.5 3.375-25.62 9.624l-94.67 86.85c-6.902 6.332-6.911 17.21-.0205 23.56c6.117 5.631 15.53 5.637 21.65 .0147L472.1 33.25zM263.1 273.3L245.1 292.7L219 265.7l21.75-19.97c6.49-5.957 6.929-16.05 .9806-22.54C235.8 216.7 225.6 216.2 219.1 222.2l-22.72 20.91L182.2 228.1c-3.128-3.128-8.247-3.128-11.37 0L159.6 240.2C157.1 241.7 157.2 243.9 157.2 245.1c0 2.125 .875 4.124 2.375 5.624L165.2 257.2L108.6 313.7L107.5 312.6c-3.125-3.125-8.25-3.125-11.38 0l-80.11 80.25C5.765 403.1 0 416.8 0 431.3c0 14.37 5.75 28.25 16 38.5l25.75 25.75c21.33 21.33 55.92 21.33 77.25 0l80.12-80.12c1.5-1.5 2.375-3.5 2.375-5.625c0-2.125-.875-4.125-2.375-5.625l56.63-56.5l5.628 5.755c3.145 3.145 8.275 3 11.4-.1623L284 341.1c1.5-1.5 2.375-3.5 2.375-5.625S285.5 332.2 284 330.7L268.6 315.4l18.83-20.47c5.612-6.099 5.623-15.48 .0273-21.59C281.2 266.4 270.3 266.4 263.1 273.3zM96.38 472.1c-8.875 8.874-23.13 8.874-32 0L38.62 447.2C34.38 442.1 32 437.2 32 431.3c0-5.1 2.375-11.75 6.625-15.1l63.25-63.25l57.75 57.75L96.38 472.1zM176.5 381.6l-45.25-45.25l11.38-11.25l45.25 45.12L176.5 381.6zM199.1 358.1L153.9 313.7L165.2 302.5l45.25 45.25L199.1 358.1zM221.8 336.4L176.5 291.1l11.38-11.25l45.25 45.25L221.8 336.4zM623.1 393l-212.7-212.4c-9.5-9.624-25-3.375-26.62 9.375L189.2 9.874C178.8 .375 163.6-2.25 150.6 3.125C137.5 8.624 128.6 21.12 128 35.25C127.8 44.1 131.1 54.37 137.5 61.62l245.9 269.2L384 330.4l-.0031 22.07c0 4.25 1.687 8.312 4.687 11.31l132.3 132.2c21.38 21.37 55.87 21.37 77.25 0l25.75-25.75C634.2 459.1 640 446.1 640 431.7C640 417.2 634.2 403.3 623.1 393zM384 284.1L161.2 40.12c-1.5-1.1-1.375-4.75 .25-6.5C163.2 31.1 165.9 31.1 167.6 33.5L384 232.9V284.1zM416 345.9V230.5l97.5 97.49l-57.63 57.62L416 345.9zM575.6 473.3c-8.875 8.874-23.12 8.874-32 0l-65.13-65.12l21.74-21.81l81.13 81.18L575.6 473.3zM601.4 447.6L595.6 453.5l-81.26-81.18l21.76-21.82l65.25 65.25C610.3 424.5 610.3 438.8 601.4 447.6z"],
    "symbols": [512, 512, [128291, "icons-alt"], "f86e", "M208-.002C216.8-.002 224 7.162 224 15.1C224 24.83 216.8 31.1 208 31.1H16C7.164 31.1 .0003 24.83 .0003 15.1C.0003 7.162 7.164-.002 16-.002H208zM208 63.1C216.8 63.1 224 71.16 224 79.1C224 88.83 216.8 95.1 208 95.1H128V207.1C128 216.8 120.8 223.1 112 223.1C103.2 223.1 96 216.8 96 207.1V95.1H16C7.164 95.1 .0003 88.83 .0003 79.1C.0003 71.16 7.164 63.1 16 63.1H208zM473.7 4.136C493.5 .176 512 15.32 512 35.51V167.1H511.8C511.9 169.3 512 170.7 512 171.1C512 200.7 483.3 223.1 448 223.1C412.7 223.1 384 200.7 384 171.1C384 143.3 412.7 119.1 448 119.1C459.7 119.1 470.6 122.5 480 126.1V35.52L352 61.12V199.1H351.8C351.9 201.3 352 202.7 352 203.1C352 232.7 323.3 255.1 288 255.1C252.7 255.1 224 232.7 224 203.1C224 175.3 252.7 151.1 288 151.1C299.7 151.1 310.6 154.5 320 158.1V61.12C320 45.86 330.8 32.73 345.7 29.74L473.7 4.136zM473.1 160.1C467.5 155.6 458.8 151.1 448 151.1C437.2 151.1 428.5 155.6 422.9 160.1C417.5 164.5 416 168.9 416 171.1C416 175.1 417.5 179.5 422.9 183.9C428.5 188.4 437.2 191.1 448 191.1C458.8 191.1 467.5 188.4 473.1 183.9C478.5 179.5 480 175.1 480 171.1C480 168.9 478.5 164.5 473.1 160.1zM313.1 192.1C307.5 187.6 298.8 183.1 288 183.1C277.2 183.1 268.5 187.6 262.9 192.1C257.5 196.5 256 200.9 256 203.1C256 207.1 257.5 211.5 262.9 215.9C268.5 220.4 277.2 223.1 288 223.1C298.8 223.1 307.5 220.4 313.1 215.9C318.5 211.5 320 207.1 320 203.1C320 200.9 318.5 196.5 313.1 192.1V192.1zM288 336C288 309.5 309.5 288 336 288C362.5 288 384 309.5 384 336C384 362.5 362.5 384 336 384C309.5 384 288 362.5 288 336zM336 352C344.8 352 352 344.8 352 336C352 327.2 344.8 320 336 320C327.2 320 320 327.2 320 336C320 344.8 327.2 352 336 352zM507.3 292.7C513.6 298.9 513.6 309.1 507.3 315.3L315.3 507.3C309.1 513.6 298.9 513.6 292.7 507.3C286.4 501.1 286.4 490.9 292.7 484.7L484.7 292.7C490.9 286.4 501.1 286.4 507.3 292.7zM512 464C512 490.5 490.5 512 464 512C437.5 512 416 490.5 416 464C416 437.5 437.5 416 464 416C490.5 416 512 437.5 512 464zM464 448C455.2 448 448 455.2 448 464C448 472.8 455.2 480 464 480C472.8 480 480 472.8 480 464C480 455.2 472.8 448 464 448zM84.93 256C117.6 256 144 282.4 144 315.1C144 333.2 135.7 350.3 121.4 361.5L101.3 377.4L151.1 422.7L198.4 387.2C205.5 381.9 215.5 383.3 220.8 390.4C226.1 397.5 224.7 407.5 217.6 412.8L175.2 444.6L218.8 484.2C225.3 490.1 225.8 500.2 219.8 506.8C213.9 513.3 203.8 513.8 197.2 507.8L149.2 464.1L102.4 499.2C91.32 507.5 77.85 512 64 512C28.52 512 0 482.9 0 447.7C0 427.1 9.039 409.1 24.63 396.9L51.74 375.6L35.76 361C23.18 349.6 15.1 333.4 15.1 316.4C15.1 283 43.03 255.1 76.37 255.1L84.93 256zM112 315.1C112 300.1 99.88 288 84.93 288H76.37C60.7 288 48 300.7 48 316.4C48 324.4 51.37 331.1 57.29 337.4L77.26 355.5L101.7 336.4C108.2 331.2 112 323.4 112 315.1V315.1zM32 447.7C32 465.5 46.46 480 64 480C70.92 480 77.66 477.8 83.2 473.6L125 442.2L75.75 397.4L44.4 422C36.61 428.2 32 437.7 32 447.7V447.7z"],
    "synagogue": [640, 512, [128333], "f69b", "M377.4 138.5C394.4 138.4 404.9 156.1 396 171.4L383.4 192L396 212.6C404.9 227 394.4 245.6 377.4 245.5L351.5 245.2L338.6 267.1C330.3 281.4 309.7 281.4 301.4 267.1L288.5 245.2L262.6 245.5C245.6 245.6 235.1 227 243.1 212.6L256.6 192L243.1 171.4C235.1 156.1 245.6 138.4 262.6 138.5L288.5 138.8L301.4 116.9C309.7 102.6 330.3 102.6 338.6 116.9L351.5 138.8L377.4 138.5zM304 166.1L272.4 165.8L288.5 191.1L272.4 218.2L304 217.9L320 245.1L335.1 217.9L367.6 218.2L351.5 191.1L367.6 165.8L335.1 166.1L320 138.9L304 166.1zM309.8 3.708C315.7-1.236 324.3-1.236 330.2 3.708L451.2 104.5C469.5 119.7 480 142.2 480 165.1V260.1L533.3 212.1C539.4 206.6 548.6 206.6 554.7 212.1L624.1 274.6C634.2 283.7 640 296.6 640 310.3V464C640 490.5 618.5 512 592 512H64C28.65 512 0 483.3 0 448V310.3C0 296.6 5.775 283.7 15.89 274.6L85.3 212.1C91.38 206.6 100.6 206.6 106.7 212.1L159.1 260.1V165.1C159.1 142.2 170.5 119.7 188.8 104.5L309.8 3.708zM592 480C600.8 480 608 472.8 608 464V310.3C608 305.7 606.1 301.4 602.7 298.4L544 245.5L485.3 298.4C481.9 301.4 480 305.7 480 310.3V480H592zM430.7 129.1L320 36.83L209.3 129.1C198.3 138.2 192 151.7 192 165.1V480H256V384C256 348.7 284.7 320 320 320C355.3 320 384 348.7 384 384V480H448V165.1C448 151.7 441.7 138.2 430.7 129.1V129.1zM320 352C302.3 352 288 366.3 288 384V480H352V384C352 366.3 337.7 352 320 352zM154.7 298.4L96 245.5L37.3 298.4C33.93 301.4 32 305.7 32 310.3V448C32 465.7 46.33 480 64 480H160V310.3C160 305.7 158.1 301.4 154.7 298.4z"],
    "syringe": [512, 512, [128137], "f48e", "M507.3 84.69l-80-80c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L433.4 56L384 105.4l-68.69-68.69c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l160 160C455.8 222.4 459.9 224 464 224s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L406.6 128L456 78.63l28.69 28.69C487.8 110.4 491.9 112 496 112s8.188-1.562 11.31-4.688C513.6 101.1 513.6 90.94 507.3 84.69zM388.7 228.7l-189.3 189.3C190.4 427 178.3 432 165.5 432H80v-85.5c0-12.62 5.125-25 14.06-33.94L128 278.6l52.69 52.69C183.8 334.4 187.9 336 192 336s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L150.6 256L192 214.6l52.69 52.69C247.8 270.4 251.9 272 256 272s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L214.6 192l68.69-68.69c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0L71.44 289.9C56.33 305.1 48 325.1 48 346.5v94.88l-43.31 43.31c-6.25 6.25-6.25 16.38 0 22.62C7.813 510.4 11.91 512 16 512s8.188-1.562 11.31-4.688L70.63 464h94.86c21.38 0 41.47-8.312 56.58-23.44l189.3-189.3c6.25-6.25 6.25-16.38 0-22.62S394.9 222.4 388.7 228.7z"],
    "t": [384, 512, [116], "54", "M384 48C384 56.84 376.8 64 368 64h-160v400c0 8.844-7.156 16.01-16 16.01S176 472.8 176 464V64h-160C7.156 64 0 56.84 0 48S7.156 32 16 32h352C376.8 32 384 39.16 384 48z"],
    "table": [512, 512, [], "f0ce", "M0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM32 96V160H480V96C480 78.33 465.7 64 448 64H64C46.33 64 32 78.33 32 96zM32 192V304H240V192H32zM272 192V304H480V192H272zM240 336H32V416C32 433.7 46.33 448 64 448H240V336zM448 448C465.7 448 480 433.7 480 416V336H272V448H448z"],
    "table-cells": [512, 512, ["th"], "f00a", "M0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM352 160H480V96C480 78.33 465.7 64 448 64H352V160zM320 64H192V160H320V64zM160 64H64C46.33 64 32 78.33 32 96V160H160V64zM32 192V320H160V192H32zM32 352V416C32 433.7 46.33 448 64 448H160V352H32zM192 448H320V352H192V448zM352 448H448C465.7 448 480 433.7 480 416V352H352V448zM480 320V192H352V320H480zM320 320V192H192V320H320z"],
    "table-cells-large": [512, 512, ["th-large"], "f009", "M0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM272 240H480V96C480 78.33 465.7 64 448 64H272V240zM240 64H64C46.33 64 32 78.33 32 96V240H240V64zM32 272V416C32 433.7 46.33 448 64 448H240V272H32zM272 448H448C465.7 448 480 433.7 480 416V272H272V448z"],
    "table-columns": [512, 512, ["columns"], "f0db", "M448 32C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448zM448 64H64C46.33 64 32 78.33 32 96V160H480V96C480 78.33 465.7 64 448 64zM64 448H240V192H32V416C32 433.7 46.33 448 64 448zM272 448H448C465.7 448 480 433.7 480 416V192H272V448z"],
    "table-layout": [512, 512, [], "e290", "M448 32C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448zM448 64H64C46.33 64 32 78.33 32 96V160H480V96C480 78.33 465.7 64 448 64zM64 448H160V192H32V416C32 433.7 46.33 448 64 448zM192 448H448C465.7 448 480 433.7 480 416V192H192V448z"],
    "table-list": [512, 512, ["th-list"], "f00b", "M0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM192 160H480V96C480 78.33 465.7 64 448 64H192V160zM160 64H64C46.33 64 32 78.33 32 96V160H160V64zM32 192V320H160V192H32zM32 352V416C32 433.7 46.33 448 64 448H160V352H32zM192 448H448C465.7 448 480 433.7 480 416V352H192V448zM480 320V192H192V320H480z"],
    "table-picnic": [512, 512, [], "e32d", "M410.4 288c-11.43 0-19.17 11.63-14.75 22.17l53.59 128C451.8 444.3 457.8 448 464 448c2.062 0 4.156-.4062 6.188-1.25c8.156-3.406 11.97-12.78 8.562-20.94l-53.58-127.1C422.7 291.9 416.9 288 410.4 288zM33.25 425.8c-3.406 8.156 .4062 17.53 8.562 20.94C43.84 447.6 45.94 448 48 448c6.25 0 12.19-3.688 14.75-9.812L116.3 310.2C120.7 299.6 113 288 101.6 288C95.14 288 89.32 291.9 86.83 297.8L33.25 425.8zM496 224h-101.8l-53.56-128H432C440.8 96 448 88.84 448 80C448 71.16 440.8 64 432 64h-352C71.16 64 64 71.16 64 80C64 88.84 71.16 96 80 96h91.31L117.8 224H16C7.164 224 0 231.2 0 240C0 248.8 7.164 256 16 256h480C504.8 256 512 248.8 512 240C512 231.2 504.8 224 496 224zM152.4 224l53.58-128h100l53.58 128H152.4z"],
    "table-pivot": [512, 512, [], "e291", "M443.3 283.3C437.1 289.6 426.9 289.6 420.7 283.3L416 278.6V336C416 362.5 394.5 384 368 384H310.6L315.3 388.7C321.6 394.9 321.6 405.1 315.3 411.3C309.1 417.6 298.9 417.6 292.7 411.3L260.7 379.3C254.4 373.1 254.4 362.9 260.7 356.7L292.7 324.7C298.9 318.4 309.1 318.4 315.3 324.7C321.6 330.9 321.6 341.1 315.3 347.3L310.6 352H368C376.8 352 384 344.8 384 336V278.6L379.3 283.3C373.1 289.6 362.9 289.6 356.7 283.3C350.4 277.1 350.4 266.9 356.7 260.7L388.7 228.7C394.9 222.4 405.1 222.4 411.3 228.7L443.3 260.7C449.6 266.9 449.6 277.1 443.3 283.3L443.3 283.3zM0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM32 96V160H128V64H64C46.33 64 32 78.33 32 96zM32 192V416C32 433.7 46.33 448 64 448H128V192H32zM160 192V448H448C465.7 448 480 433.7 480 416V192H160zM480 160V96C480 78.33 465.7 64 448 64H160V160H480z"],
    "table-rows": [512, 512, ["rows"], "e292", "M0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM32 96V416C32 433.7 46.33 448 64 448H128V64H64C46.33 64 32 78.33 32 96zM160 272V448H448C465.7 448 480 433.7 480 416V272H160zM480 96C480 78.33 465.7 64 448 64H160V240H480V96z"],
    "table-tennis-paddle-ball": [512, 512, [127955, "ping-pong-paddle-ball", "table-tennis"], "f45d", "M415.1 320c-52.98 0-95.99 43-95.99 95.1c0 52.99 43.01 95.99 95.99 95.99c52.98 0 95.99-43 95.99-95.99C511.1 363 468.1 320 415.1 320zM415.1 480c-35.28 0-63.97-28.7-63.97-63.99s28.7-63.1 63.97-63.1s63.98 28.71 63.98 63.1S451.2 480 415.1 480zM99.61 140.1L149.3 91.34c36.5-36.47 83.34-57.5 131.9-59.18c53.53-2.031 104.6 18.06 142.6 56.09c51.09 51.12 69.02 125.8 46.78 194.9c-2.719 8.406 1.906 17.44 10.31 20.12c8.405 2.75 17.4-1.906 20.12-10.31c25.97-80.53 5.078-167.6-54.57-227.3c-44.43-44.4-102.9-67.83-166.4-65.45C223.3 2.133 168.8 26.51 126.6 68.72L50.49 144.8c-18.12 18.12-28.1 42.26-28.1 67.88c0 25.65 9.973 49.74 28.1 67.87l54.94 54.95l-94.18 83.13c-6.749 5.875-10.93 14.75-11.24 23.75c-.3125 8.531 2.863 16.6 9.05 22.85l37.74 37.74C52.69 508.8 60.51 512 68.79 512h1.07c9.03-.3125 17.6-4.436 23.5-11.15l83.2-94.25l54.94 54.94c10.06 10.06 21.84 17.59 35.03 22.37c8.343 2.1 17.5-1.25 20.5-9.562c3.031-8.312-1.25-17.5-9.562-20.5c-8.749-3.187-16.62-8.218-23.34-14.94l-54.93-54.93c-6.343-6.312-14.5-10.66-23.15-9.374c-8.812 .2812-17.81 4.406-23.47 10.81l-83.15 94.9l-36.1-37.65l94.24-83.18c6.406-5.687 10.53-14.69 10.81-23.47c.25-8.593-3.093-16.81-9.405-23.12L73.14 257.9c-12.09-12.09-18.75-28.15-18.75-45.25s6.656-33.15 18.75-45.25L76.98 163.6l199.7 199.7c3.125 3.125 7.218 4.687 11.31 4.687s8.187-1.562 11.31-4.687c6.249-6.25 6.249-16.37 0-22.62L99.61 140.1z"],
    "table-tree": [512, 512, [], "e293", "M224 272C224 263.2 231.2 256 240 256H400C408.8 256 416 263.2 416 272C416 280.8 408.8 288 400 288H240C231.2 288 224 280.8 224 272zM400 352C408.8 352 416 359.2 416 368C416 376.8 408.8 384 400 384H304C295.2 384 288 376.8 288 368C288 359.2 295.2 352 304 352H400zM0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM32 96V160H480V96C480 78.33 465.7 64 448 64H64C46.33 64 32 78.33 32 96zM128 192V240C128 248.8 135.2 256 144 256H176C184.8 256 192 263.2 192 272C192 280.8 184.8 288 176 288H144C138.4 288 133 287 128 285.3V336C128 344.8 135.2 352 144 352H240C248.8 352 256 359.2 256 368C256 376.8 248.8 384 240 384H144C117.5 384 96 362.5 96 336V192H32V416C32 433.7 46.33 448 64 448H448C465.7 448 480 433.7 480 416V192H128z"],
    "tablet": [448, 512, ["tablet-android"], "f3fb", "M384 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V64C448 28.65 419.3 0 384 0zM416 448c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V64c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V448zM256 400H192c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16h64c8.836 0 16-7.164 16-16C272 407.2 264.8 400 256 400z"],
    "tablet-button": [448, 512, [], "f10a", "M224 392c-13.31 0-24 10.69-24 24s10.69 24 24 24s24-10.69 24-24S237.3 392 224 392zM384 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V64C448 28.65 419.3 0 384 0zM416 448c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V64c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V448z"],
    "tablet-rugged": [448, 512, [], "f48f", "M439.3 164.4c5.375-2.625 8.75-8.125 8.75-14.25v-76.25c0-6.125-3.375-11.63-8.75-14.25l-23.25-11.62c0-26.5-21.5-48-47.1-48h-288c-26.5 0-48 21.5-48 48L8.799 59.63C3.424 62.25 .0492 67.75 .0492 73.88v76.25c0 6.125 3.375 11.63 8.75 14.25l23.25 11.62v16L8.799 203.6C3.424 206.3 .0492 211.8 .0492 217.9v76.25c0 6.125 3.375 11.63 8.75 14.25l23.25 11.62v16l-23.25 11.62c-5.375 2.625-8.75 8.125-8.75 14.25v76.25c0 6.125 3.375 11.63 8.75 14.25l23.25 11.62c0 26.5 21.5 48 48 48h288c26.5 0 47.1-21.5 47.1-48l23.25-11.62c5.375-2.625 8.75-8.125 8.75-14.25v-76.25c0-6.125-3.375-11.63-8.75-14.25l-23.25-11.62v-16l23.25-11.62c5.375-2.625 8.75-8.125 8.75-14.25V217.9c0-6.125-3.375-11.63-8.75-14.25l-23.25-11.62v-16L439.3 164.4zM401.8 220.6L416 227.8v56.5l-32 16v55.5l32 16v56.5l-32 16V464c0 8.75-7.25 16-16 16h-288C71.25 480 64 472.8 64 464v-19.75l-32-16v-56.5l32-16V300.2l-32-16V227.8l32-16V156.2l-32-16V83.75l32-16V48C64 39.25 71.25 32 80 32h288C376.8 32 384 39.25 384 48v19.75l32 16v56.5l-32 16v55.5L401.8 220.6zM320 64H128C110.4 64 96 78.4 96 96v320c0 17.6 14.4 32 32 32h192c17.6 0 32-14.4 32-32V96C352 78.4 337.6 64 320 64zM320 416H128V96h192V416z"],
    "tablet-screen": [448, 512, ["tablet-android-alt"], "f3fc", "M384 .0001H64c-35.35 0-64 28.65-64 64v384c0 35.35 28.65 63.1 64 63.1h320c35.35 0 64-28.65 64-63.1v-384C448 28.65 419.3 .0001 384 .0001zM416 448c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32v-96h384V448zM416 320H32V64c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V320zM192 432h64c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16H192c-8.836 0-16 7.162-16 16C176 424.8 183.2 432 192 432z"],
    "tablet-screen-button": [448, 512, ["tablet-alt"], "f3fa", "M384 .0001H64c-35.35 0-64 28.65-64 64v384c0 35.35 28.65 63.1 64 63.1h320c35.35 0 64-28.65 64-63.1v-384C448 28.65 419.3 .0001 384 .0001zM416 448c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32v-96h384V448zM416 320H32V64c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V320zM224 440c13.31 0 24-10.69 24-24s-10.69-24-24-24S200 402.7 200 416S210.7 440 224 440z"],
    "tablets": [640, 512, [], "f490", "M480 0c-88.38 0-160 71.62-160 160s71.63 160 160 160s160-71.62 160-160S568.4 0 480 0zM480 288c-70.75 0-128-57.25-128-128c0-29.62 10.38-56.38 27.25-78.12l179 178.9C536.4 277.6 509.6 288 480 288zM580.8 238.1L401.9 59.25C423.6 42.38 450.4 32 480 32c70.75 0 128 57.25 128 128C608 189.6 597.6 216.4 580.8 238.1zM159.1 191.1C71.61 191.1 0 263.6 0 351.1S71.61 512 159.1 512S320 440.4 320 351.1S248.4 191.1 159.1 191.1zM160 480c-65.25 0-118.4-48.88-126.4-112h252.8C278.4 431.1 225.2 480 160 480zM33.62 336C41.62 272.9 94.75 224 160 224s118.4 48.88 126.4 112H33.62z"],
    "tachograph-digital": [640, 512, ["digital-tachograph"], "f566", "M576 64H64C28.65 64 0 92.65 0 128v256c0 35.35 28.65 64 64 64h512c35.35 0 64-28.65 64-64V128C640 92.65 611.3 64 576 64zM608 384c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V128c0-17.64 14.36-32 32-32h512c17.64 0 32 14.36 32 32V384zM320 128H96C78.33 128 64 142.3 64 160v64c0 17.67 14.33 32 32 32h224c17.67 0 32-14.33 32-32V160C352 142.3 337.7 128 320 128zM320 224H96V160h224V224zM336 352h-256C71.16 352 64 359.2 64 368S71.16 384 79.1 384h256c8.844 0 16-7.156 16-16S344.8 352 336 352zM560 352h-160c-8.844 0-16 7.156-16 16s7.156 16 16 16h160c8.844 0 16-7.156 16-16S568.8 352 560 352zM80 320C88.84 320 96 312.8 96 304C96 295.2 88.84 288 80 288S64 295.2 64 304C64 312.8 71.16 320 80 320zM160 304C160 295.2 152.8 288 144 288S128 295.2 128 304C128 312.8 135.2 320 144 320S160 312.8 160 304zM224 304C224 295.2 216.8 288 208 288S192 295.2 192 304C192 312.8 199.2 320 208 320S224 312.8 224 304zM288 304C288 295.2 280.8 288 272 288S256 295.2 256 304C256 312.8 263.2 320 272 320S288 312.8 288 304zM336 288C327.2 288 320 295.2 320 304c0 8.836 7.164 16 16 16S352 312.8 352 304C352 295.2 344.8 288 336 288z"],
    "taco": [512, 512, [127790], "f826", "M3.875 227.9c8.75-23.97 29.47-36.33 44.59-45.34c18.97-11.36 18.97-11.36 24.03-35.39c3.688-17.91 8.781-42.52 27.59-57.95c15.19-12.38 32.81-13.8 44.72-13.8c10.72 0 18.56 .5313 24.75 .9375c13.81 .9219 13.97 .9531 29.28-13.67c21.66-20.91 40.25-30.67 58.56-30.67c23.81 0 41.53 17.03 55.75 30.72c15.16 14.58 14.97 14.56 29.09 13.66c6.188-.4219 14.09-.9687 24.91-.9687c11.91 0 29.53 1.422 44.66 13.77c18.78 15.44 23.91 40.06 27.66 58.03c5.188 24.05 5.188 24.05 24.03 35.36c15.12 9.016 35.88 21.38 44.59 45.33c3.031 8.312-1.25 17.48-9.562 20.52c-1.812 .6562-3.656 .9687-5.469 .9687c-6.531 0-12.66-4.031-15.03-10.52c-4.5-12.31-15.66-19.72-30.94-28.84c-27.62-16.56-31.62-22.33-38.94-56.17c-3.094-14.91-6.594-31.67-16.59-39.91c-5.594-4.562-12.94-6.531-24.41-6.531c-9.844 0-17.06 .5-22.69 .8906c-23.16 1.609-30.28-.1875-53.5-22.52C277.7 73.03 267.6 64 257.4 64C248.2 64 235.1 71.33 221 85.77C197.7 108 190.5 109.9 167.4 108.3C161.8 107.9 154.6 107.4 144.8 107.4c-11.34 0-18.88 2.031-24.47 6.578c-10 8.219-13.47 24.95-16.53 39.72c-7.156 33.89-11.16 39.67-38.94 56.31C52.63 217.3 38.78 225.6 33.94 238.9c-3.031 8.297-12.16 12.58-20.5 9.547C5.125 245.4 .8438 236.2 3.875 227.9zM111.1 352c-8.873 0-15.1 7.125-15.1 16s7.133 15.99 16.01 15.99c8.875 0 15.99-7.116 15.99-15.99S120.9 352 111.1 352zM175.1 288c-8.875 0-16 7.125-16 16s7.135 15.99 16.01 15.99c8.873 0 15.99-7.11 15.99-15.99S184.9 288 175.1 288zM495.6 459.7c-11.41 12.91-27.49 20.32-44.15 20.32H60.51c-16.66 0-32.75-7.406-44.16-20.32c-12.42-14.06-18.2-33.01-15.84-52.05c17.77-141.2 127.6-247.6 255.5-247.6s237.7 106.4 255.5 247.7C513.9 426.6 508.1 445.6 495.6 459.7zM479.7 411.6c-15.62-124.1-109.9-219.6-223.8-219.6S47.89 287.5 32.27 411.6C29.89 430.8 43.39 448 60.51 448h390.1C468.6 448 482.1 430.8 479.7 411.6z"],
    "tag": [448, 512, [127991], "f02b", "M88 144C88 130.7 98.75 120 112 120C125.3 120 136 130.7 136 144C136 157.3 125.3 168 112 168C98.75 168 88 157.3 88 144zM.0003 80C.0003 53.49 21.49 32 48 32H197.5C214.5 32 230.7 38.74 242.7 50.75L418.7 226.7C443.7 251.7 443.7 292.3 418.7 317.3L285.3 450.7C260.3 475.7 219.7 475.7 194.7 450.7L18.75 274.7C6.743 262.7 0 246.5 0 229.5L.0003 80zM41.37 252.1L217.4 428.1C229.9 440.6 250.1 440.6 262.6 428.1L396.1 294.6C408.6 282.1 408.6 261.9 396.1 249.4L220.1 73.37C214.1 67.37 205.1 64 197.5 64H48C39.16 64 32 71.16 32 80V229.5C32 237.1 35.37 246.1 41.37 252.1L41.37 252.1zM41.37 252.1L18.75 274.7z"],
    "tags": [512, 512, [], "f02c", "M80 136C80 122.7 90.75 112 104 112C117.3 112 128 122.7 128 136C128 149.3 117.3 160 104 160C90.75 160 80 149.3 80 136zM204.1 32C216.8 32 229.1 37.06 238.1 46.06L410.7 218.7C435.7 243.7 435.7 284.3 410.7 309.3L277.3 442.7C252.3 467.7 211.7 467.7 186.7 442.7L14.06 270.1C5.057 261.1 0 248.8 0 236.1V80C0 53.49 21.49 32 48 32H204.1zM36.69 247.4L209.4 420.1C221.9 432.6 242.1 432.6 254.6 420.1L388.1 286.6C400.6 274.1 400.6 253.9 388.1 241.4L215.4 68.69C212.4 65.69 208.4 64 204.1 64H48C39.16 64 32 71.16 32 80V236.1C32 240.4 33.69 244.4 36.69 247.4V247.4zM308.4 36.95C314.5 30.56 324.7 30.33 331.1 36.43L472.4 171.5C525.1 221.9 525.1 306.1 472.4 356.5L347.8 475.6C341.4 481.7 331.3 481.4 325.2 475.1C319.1 468.7 319.3 458.5 325.7 452.4L450.3 333.4C489.8 295.6 489.8 232.4 450.3 194.6L308.9 59.57C302.6 53.46 302.3 43.34 308.4 36.95V36.95z"],
    "tally": [640, 512, ["tally-5"], "f69c", "M127.1 32C136.8 32 143.1 39.16 143.1 48V297.8L239.1 265.8V48C239.1 39.16 247.2 32 255.1 32C264.8 32 271.1 39.16 271.1 48V255.1L368 223.1V48C368 39.16 375.2 32 384 32C392.8 32 400 39.16 400 48V212.5L496 180.5V48C496 39.16 503.2 32 512 32C520.8 32 528 39.16 528 48V169.8L602.9 144.8C611.3 142 620.4 146.6 623.2 154.9C625.1 163.3 621.4 172.4 613.1 175.2L528 203.5V464C528 472.8 520.8 480 512 480C503.2 480 496 472.8 496 464V214.2L400 246.2V464C400 472.8 392.8 480 384 480C375.2 480 368 472.8 368 464V256.9L271.1 288.9V464C271.1 472.8 264.8 480 255.1 480C247.2 480 239.1 472.8 239.1 464V299.5L143.1 331.5V464C143.1 472.8 136.8 480 127.1 480C119.2 480 111.1 472.8 111.1 464V342.2L37.06 367.2C28.68 369.1 19.62 365.4 16.82 357.1C14.03 348.7 18.56 339.6 26.94 336.8L111.1 308.5V48C111.1 39.16 119.2 32 127.1 32V32z"],
    "tally-1": [448, 512, [], "e294", "M31.1 32C40.84 32 47.1 39.16 47.1 48V464C47.1 472.8 40.84 480 31.1 480C23.16 480 15.1 472.8 15.1 464V48C15.1 39.16 23.16 32 31.1 32V32z"],
    "tally-2": [448, 512, [], "e295", "M47.1 464C47.1 472.8 40.84 480 31.1 480C23.16 480 15.1 472.8 15.1 464V48C15.1 39.16 23.16 32 31.1 32C40.84 32 47.1 39.16 47.1 48V464zM175.1 464C175.1 472.8 168.8 480 159.1 480C151.2 480 143.1 472.8 143.1 464V48C143.1 39.16 151.2 32 159.1 32C168.8 32 175.1 39.16 175.1 48V464z"],
    "tally-3": [448, 512, [], "e296", "M31.1 32C40.84 32 47.1 39.16 47.1 48V464C47.1 472.8 40.84 480 31.1 480C23.16 480 15.1 472.8 15.1 464V48C15.1 39.16 23.16 32 31.1 32V32zM159.1 32C168.8 32 175.1 39.16 175.1 48V464C175.1 472.8 168.8 480 159.1 480C151.2 480 143.1 472.8 143.1 464V48C143.1 39.16 151.2 32 159.1 32V32zM304 464C304 472.8 296.8 480 288 480C279.2 480 272 472.8 272 464V48C272 39.16 279.2 32 288 32C296.8 32 304 39.16 304 48V464z"],
    "tally-4": [448, 512, [], "e297", "M47.1 464C47.1 472.8 40.84 480 31.1 480C23.16 480 15.1 472.8 15.1 464V48C15.1 39.16 23.16 32 31.1 32C40.84 32 47.1 39.16 47.1 48V464zM175.1 464C175.1 472.8 168.8 480 159.1 480C151.2 480 143.1 472.8 143.1 464V48C143.1 39.16 151.2 32 159.1 32C168.8 32 175.1 39.16 175.1 48V464zM288 32C296.8 32 304 39.16 304 48V464C304 472.8 296.8 480 288 480C279.2 480 272 472.8 272 464V48C272 39.16 279.2 32 288 32zM432 464C432 472.8 424.8 480 416 480C407.2 480 400 472.8 400 464V48C400 39.16 407.2 32 416 32C424.8 32 432 39.16 432 48V464z"],
    "tamale": [320, 512, [129748], "e451", "M309.9 256c0-8.266-6.346-14.83-14.38-15.67L320 64c0-35.35-71.63-64-160-64S0 28.65 0 64l24.44 176H21.9c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16H24.44L0 448c0 35.35 71.63 64 160 64s160-28.65 160-64l-24.49-176.3C303.6 270.8 309.9 264.3 309.9 256zM160 480c-76.47 0-120.5-22.32-127.6-32.56L56.75 272H128L96.58 311.1c-1.818 2.729-2.629 5.891-2.629 8.938c0 8.914 7.166 15.94 15.94 15.94c5.156 0 10.22-2.5 13.31-7.125l34.69-44.03l34.75 44.03C195.7 333.5 200.8 336 205.1 336c8.777 0 15.94-7.023 15.94-15.94c0-3.047-.8086-6.209-2.629-8.938L187.8 272h75.46l24.37 175.4C280.5 457.7 236.5 480 160 480zM263.3 240h-206.5L32.38 64.56C39.46 54.32 83.53 32 160 32s120.5 22.32 127.6 32.56L263.3 240zM253.8 81.64c.9062-8.781-5.469-16.64-14.25-17.56c-8.625-.7031-16.66 5.484-17.56 14.28L208.8 208h31.93L253.8 81.64zM141.9 72V208h32V72c0-8.844-7.156-16-16-16S141.9 63.16 141.9 72zM76.24 64.08C67.46 65 61.08 72.86 61.99 81.64L75.3 208H107.2L93.8 78.36C92.9 69.56 84.93 63.34 76.24 64.08zM68.94 344.6l-6.977 86.1c-.7187 8.812 5.844 16.53 14.66 17.25C77.05 447.1 77.49 448 77.93 448c8.25 0 15.25-6.344 15.91-14.7l5.309-66.62C86.31 363.7 75.54 355.6 68.94 344.6zM216.6 366.7l5.395 66.57C222.6 441.7 229.6 448 237.9 448c.4375 0 .875-.0156 1.312-.0469c8.812-.7187 15.38-8.438 14.66-17.25L246.8 344.9C240.1 355.8 229.4 363.8 216.6 366.7zM157.9 336.5l-9.004 11.43c-2.051 2.861-4.455 5.371-7.018 7.674V440c0 8.844 7.156 16 16 16s16-7.156 16-16v-84.44c-2.533-2.285-4.918-4.764-6.947-7.594L157.9 336.5z"],
    "tank-water": [448, 512, [], "e452", "M224 256c39.14 0 72-30.56 72-69.66c0-11.23-4.928-24.38-10.24-35.84c-5.6-12.16-12.96-25.12-20.13-36.8c-7.201-11.74-14.34-22.5-19.71-30.3c-2.688-3.904-4.928-7.105-6.496-9.312c-.7676-1.119-1.408-1.984-1.824-2.561C234.3 67.01 230.1 64 223.1 64C217.8 64 213.7 67.02 210.4 71.52c-.416 .5762-1.055 1.473-1.822 2.561C206.9 76.32 204.7 79.49 202 83.39C196.7 91.2 189.5 101.1 182.3 113.7C175.2 125.4 167.8 138.3 162.2 150.5C156.9 161.1 152 175.1 152 186.3C152 225.4 184.9 256 224 256zM191.3 163.9c4.896-10.56 11.52-22.34 18.37-33.54C214.6 122.2 219.6 114.5 224 108.1c4.32 6.463 9.344 14.18 14.34 22.34c6.848 11.2 13.5 22.98 18.4 33.54C261.9 175.2 264 182.7 264 186.3C264 206.5 246.8 224 224 224S184 206.5 184 186.3C184 182.7 186.1 175.2 191.3 163.9zM376 32h-72.67c-8.832 0-16 7.168-16 16s7.168 16 16 16H376C398.1 64 416 81.92 416 104v192.8L381.7 326.9c-17.54 13.79-42.27 13.73-59.71-.2227l-24.03-19.2c-5.824-4.703-14.14-4.703-19.97 0l-24.03 19.2c-17.54 14.02-42.43 14.02-59.97 0L169.1 307.5c-5.824-4.703-14.14-4.703-19.97 0L125.1 326.7c-17.44 13.95-42.18 14.02-59.71 .2227L32 296.8V104C32 81.92 49.92 64 72 64h72.96c8.832 0 16-7.168 16-16s-7.168-16-16-16H72C32.22 32 0 64.22 0 104v304C0 447.8 32.22 480 72 480h304c39.78 0 72-32.22 72-72v-304C448 64.22 415.8 32 376 32zM416 408c0 22.08-17.92 40-40 40h-304C49.92 448 32 430.1 32 408v-68.61l13.44 11.84c.1934 .1602 .3848 .3203 .5762 .4805c29.22 23.36 70.75 23.36 99.97 0L160 340.5l14.02 11.23c29.22 23.36 70.75 23.36 99.97 0L288 340.5l14.02 11.23c29.22 23.36 70.75 23.36 99.97 0c.1914-.1602 .3828-.3203 .5762-.4805L416 339.4V408z"],
    "tape": [576, 512, [], "f4db", "M128 256C128 202.1 170.1 160 224 160C277 160 320 202.1 320 256C320 309 277 352 224 352C170.1 352 128 309 128 256zM224 320C259.3 320 288 291.3 288 256C288 220.7 259.3 192 224 192C188.7 192 160 220.7 160 256C160 291.3 188.7 320 224 320zM560 448C568.8 448 576 455.2 576 464C576 472.8 568.8 480 560 480H224C100.3 480 0 379.7 0 256C0 132.3 100.3 32 224 32C347.7 32 448 132.3 448 256C448 337.5 404.5 408.8 339.4 448H560zM224 448C330 448 416 362 416 256C416 149.1 330 64 224 64C117.1 64 32 149.1 32 256C32 362 117.1 448 224 448z"],
    "tarp": [576, 512, [], "e57b", "M72 160C72 146.7 82.75 136 96 136C109.3 136 120 146.7 120 160C120 173.3 109.3 184 96 184C82.75 184 72 173.3 72 160zM576 284.1C576 296.8 570.9 309.1 561.9 318.1L446.1 433.9C437.1 442.9 424.8 448 412.1 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H512C547.3 64 576 92.65 576 128V284.1zM32 384C32 401.7 46.33 416 64 416H384V304C384 277.5 405.5 256 432 256H544V128C544 110.3 529.7 96 512 96H64C46.33 96 32 110.3 32 128V384zM539.3 295.4C541.4 293.4 542.8 290.8 543.5 288H432C423.2 288 416 295.2 416 304V415.5C418.8 414.8 421.4 413.4 423.4 411.3L539.3 295.4z"],
    "tarp-droplet": [576, 512, [], "e57c", "M360 113.5C360 150.8 327.8 181 288 181C248.2 181 216 150.8 216 113.5C216 85.81 255.7 32.2 276.2 6.468C282.3-1.229 293.7-1.229 299.8 6.468C320.3 32.2 360 85.81 360 113.5H360zM328 113.5C327.1 113.4 327.9 112.4 327.4 110.4C326.7 108.1 325.7 105.1 324.1 101.4C320.9 94.09 316.2 85.45 310.4 76.15C303.4 64.87 295.4 53.54 287.1 43.58C280.6 53.54 272.6 64.87 265.6 76.15C259.8 85.45 255.1 94.09 251.9 101.4C250.3 105.1 249.3 108.1 248.6 110.4C248.1 112.4 248 113.4 247.1 113.5C247.1 113.5 248 113.5 247.1 113.5C247.1 131.2 263.9 149 287.1 149C312.1 149 328 131.2 328 113.5C328 113.5 328 113.5 328 113.5H328zM64 128H193.3C195.3 139.5 199.2 150.3 204.8 160H64C46.33 160 32 174.3 32 192V448C32 465.7 46.33 480 64 480H384V368C384 341.5 405.5 320 432 320H544V192C544 174.3 529.7 160 512 160H371.2C376.8 150.3 380.7 139.5 382.7 128H512C547.3 128 576 156.7 576 192V348.1C576 360.9 570.9 373.1 561.9 382.1L446.1 497.9C437.1 506.9 424.8 512 412.1 512H64C28.65 512 0 483.3 0 448V192C0 156.7 28.65 128 64 128V128zM539.3 359.4C541.4 357.4 542.8 354.8 543.5 352H432C423.2 352 416 359.2 416 368V479.5C418.8 478.8 421.4 477.4 423.4 475.3L539.3 359.4zM72 224C72 210.7 82.75 200 96 200C109.3 200 120 210.7 120 224C120 237.3 109.3 248 96 248C82.75 248 72 237.3 72 224z"],
    "taxi": [576, 512, [128662, "cab"], "f1ba", "M160 328C160 341.3 149.3 352 136 352C122.7 352 112 341.3 112 328C112 314.7 122.7 304 136 304C149.3 304 160 314.7 160 328zM416 328C416 314.7 426.7 304 440 304C453.3 304 464 314.7 464 328C464 341.3 453.3 352 440 352C426.7 352 416 341.3 416 328zM192 64V48C192 21.49 213.5 0 240 0H336C362.5 0 384 21.49 384 48V64H384.4C419.7 64 450.9 87.17 461 121L495.7 236.7C524.6 253.2 544 284.3 544 320V496C544 504.8 536.8 512 528 512C519.2 512 512 504.8 512 496V448H64V496C64 504.8 56.84 512 48 512C39.16 512 32 504.8 32 496V320C32 284.3 51.44 253.2 80.29 236.7L114.1 121C125.1 87.17 156.3 64 191.6 64H192zM224 64H352V48C352 39.16 344.8 32 336 32H240C231.2 32 224 39.16 224 48V64zM191.6 96C170.4 96 151.7 109.9 145.6 130.2L117.3 224.6C120.8 224.2 124.4 224 128 224H448C451.6 224 455.2 224.2 458.7 224.6L430.4 130.2C424.3 109.9 405.6 96 384.4 96H191.6zM106.7 259.9L106.3 259.8C81.62 268.7 64 292.3 64 320V416H512V320C512 292.3 494.4 268.7 469.7 259.8L469.3 259.9L469.2 259.6C462.5 257.3 455.4 256 448 256H128C120.6 256 113.5 257.3 106.8 259.6L106.7 259.9z"],
    "taxi-bus": [640, 512, [], "e298", "M64 384H224V416H64V464C64 472.8 56.84 480 48 480C39.16 480 32 472.8 32 464V407.4C12.87 396.4 0 375.7 0 352V110.2C0 88.95 4.48 62.07 25.97 45.04C54.78 22.22 107.5 0 192 0C276.5 0 329.2 22.22 358 45.04C375.6 58.98 381.8 79.5 383.5 98.15C366.9 102.6 352.1 113.5 344.6 128H208V224H284.9L275.8 256H32V352C32 369.7 46.33 384 64 384H64zM192 32C112.1 32 67.77 52.75 45.84 70.12C38.85 75.67 34.72 84.52 32.98 96H351C349.3 84.52 345.2 75.67 338.2 70.12C316.2 52.75 271 32 192 32V32zM176 224V128H32V224H176zM128 312C128 325.3 117.3 336 104 336C90.75 336 80 325.3 80 312C80 298.7 90.75 288 104 288C117.3 288 128 298.7 128 312zM360 376C360 389.3 349.3 400 336 400C322.7 400 312 389.3 312 376C312 362.7 322.7 352 336 352C349.3 352 360 362.7 360 376zM536 376C536 362.7 546.7 352 560 352C573.3 352 584 362.7 584 376C584 389.3 573.3 400 560 400C546.7 400 536 389.3 536 376zM408 128H488C510.1 128 528 145.9 528 168V177.2C551.3 181.7 570.6 198.9 577.3 222.4L598.1 298.1C623.4 311.8 640 337.1 640 368V496C640 504.8 632.8 512 624 512C615.2 512 608 504.8 608 496V464H288V496C288 504.8 280.8 512 272 512C263.2 512 256 504.8 256 496V368C256 337.1 272.6 311.8 297 298.1L318.7 222.4C325.4 198.9 344.7 181.7 368 177.2V168C368 145.9 385.9 128 408 128V128zM488 160H408C403.6 160 400 163.6 400 168V176H496V168C496 163.6 492.4 160 488 160zM380.2 208C365.9 208 353.4 217.5 349.4 231.2L333.2 288C334.1 288 335.1 288 336 288H560C560.9 288 561.9 288 562.8 288L546.6 231.2C542.6 217.5 530.1 208 515.8 208H380.2zM608 432V368C608 341.5 586.5 320 560 320H336C309.5 320 288 341.5 288 368V432H608z"],
    "teddy-bear": [576, 512, [], "e3cf", "M160.3 119.3C160.3 120.6 160 121.8 160 123C160 196.5 217.3 256 288 256s128-59.53 128-132.1c0-1.271-.25-2.484-.3047-3.746C434.9 108.2 448 87.75 448 64c0-35.35-28.65-64-64-64c-24.95 0-46.34 14.42-56.89 35.26C314.1 33.29 301.1 32 288 32S261.9 33.29 248.9 35.26C238.3 14.42 216.1 0 192 0C156.7 0 128 28.65 128 64C128 87.75 141.1 108.2 160.3 119.3zM288 224C252.7 224 224 207.9 224 188c0-13.49 13.35-25.11 32.88-31.28C256.7 157.8 256 158.8 256 160c0 13.25 14.33 24 32 24S320 173.3 320 160c0-1.162-.668-2.158-.8809-3.275C338.6 162.9 352 174.5 352 188C352 207.9 323.3 224 288 224zM384 32c17.64 0 32 14.36 32 32c0 8.336-3.385 15.79-8.625 21.49c-9.414-19.82-26.05-35.33-46.92-42.74C366.3 36.26 374.6 32 384 32zM288 64c19.49 0 38.96 2.49 57.87 7.4C368.3 77.23 384 98.46 384 123c0 17.31-4.547 33.37-11.88 47.62C361.7 145.5 329.2 128 288 128S214.3 145.5 203.9 170.7C196.5 156.4 192 140.3 192 123c0-24.57 15.68-45.8 38.13-51.63C249 66.49 268.5 64 288 64zM192 32c9.416 0 17.68 4.26 23.54 10.75C194.7 50.17 178 65.67 168.6 85.49C163.4 79.79 160 72.34 160 64C160 46.36 174.4 32 192 32zM532.2 339.3c-33.62-11.25-69.78 6.969-80.96 40.47l-1.406 4.25h-17.87v-18.88c37.56-20.63 71.49-49.78 99.18-86.71c21.22-28.28 15.5-68.4-12.78-89.59c-28.31-21.28-68.4-15.44-89.59 12.78c-33.56 44.75-80.99 70.4-130.1 70.4H277.3c-49.15 0-96.58-25.65-130.1-70.4C126 173.4 85.99 167.5 57.61 188.8C29.34 210 23.62 250.1 44.83 278.4c27.69 36.93 61.61 66.07 99.18 86.71v18.88H126.1l-1.406-4.25c-11.15-33.5-47.28-51.72-80.96-40.47c-33.53 11.19-51.65 47.44-40.46 80.96l15.1 48C28.02 494.4 52.46 512 80.02 512h415.1c27.56 0 51.99-17.62 60.71-43.75l15.1-48C583.9 386.7 565.8 350.5 532.2 339.3zM208 480H80.02c-13.78 0-25.1-8.811-30.34-21.87l-16-47.1c-5.592-16.78 3.469-34.91 20.22-40.47c16.91-5.592 34.87 3.469 40.47 20.22l8.717 26.12h51.12c8.312 0 16.62 1.969 24.06 5.686c18.34 9.156 29.75 27.59 29.75 48.13V480zM352 420.7c-9.969 14.15-16 30.95-16 49.09V480H240v-10.19c0-18.14-6.035-34.94-16-49.09v-15.38C224 384.8 240.8 368 261.3 368h53.31C335.3 368 352 384.8 352 405.3V420.7zM314.7 336H261.3c-34.19 0-62.49 24.9-68.15 57.5c-.2305-.1172-.3945-.3145-.627-.4297c-5.268-2.633-10.87-4.494-16.56-5.994V345.2c-40.25-18.46-76.66-47.44-105.6-86.03C59.8 245.1 62.68 225 76.83 214.4c14.12-10.62 34.19-7.779 44.78 6.406c39.65 52.87 96.43 83.19 155.7 83.19h21.31c59.31 0 116.1-30.31 155.7-83.19c10.59-14.15 30.65-16.97 44.78-6.406c14.15 10.59 17.03 30.66 6.404 44.78c-28.92 38.58-65.34 67.57-105.6 86.03v41.85c-5.688 1.5-11.29 3.361-16.56 5.994c-.2324 .1152-.3965 .3125-.627 .4297C377.1 360.9 348.8 336 314.7 336zM542.3 410.1l-16 47.1C521.1 471.2 509.8 480 495.1 480h-127.1v-10.19c0-20.53 11.41-38.97 29.75-48.13c7.438-3.717 15.75-5.686 24.06-5.686h51.12l8.717-26.12c5.594-16.75 23.53-25.81 40.47-20.22C538.9 375.2 547.9 393.3 542.3 410.1zM240 128C248.8 128 256 120.8 256 112C256 103.2 248.8 96 240 96S224 103.2 224 112C224 120.8 231.2 128 240 128zM336 128C344.8 128 352 120.8 352 112C352 103.2 344.8 96 336 96S320 103.2 320 112C320 120.8 327.2 128 336 128z"],
    "teeth": [576, 512, [], "f62e", "M480 32H96C42.98 32 0 74.98 0 128v256c0 53.02 42.98 96 96 96h384c53.02 0 96-42.98 96-96V128C576 74.98 533 32 480 32zM544 384c0 35.29-28.71 64-64 64H96c-35.29 0-64-28.71-64-64V128c0-35.29 28.71-64 64-64h384c35.29 0 64 28.71 64 64V384zM448 160c-14.07 0-26.98 4.686-37.55 12.39C399.6 146.4 373.9 128 344 128C321.3 128 301.2 138.8 288 155.3C274.8 138.8 254.7 128 232 128C202.1 128 176.4 146.4 165.5 172.4C154.1 164.7 142.1 160 128 160C92.67 160 64 188.7 64 224v42.67C64 268.6 64.61 270.3 65.07 272C64.61 273.7 64 275.4 64 277.3V320c0 35.33 28.67 64 64 64c16.84 0 32.04-6.645 43.47-17.28C184.3 386.7 206.5 400 232 400c22.75 0 42.8-10.78 56-27.27C301.2 389.2 321.2 400 344 400c25.46 0 47.73-13.32 60.53-33.28C415.1 377.4 431.2 384 448 384c35.33 0 64-28.67 64-64V277.3C512 275.4 511.4 273.7 510.9 272C511.4 270.3 512 268.6 512 266.7V224C512 188.7 483.3 160 448 160zM160 320c0 17.64-14.36 32-32 32s-32-14.36-32-32V288h64V320zM160 256H96V224c0-17.64 14.36-32 32-32s32 14.36 32 32V256zM272 328c0 22.06-17.94 40-40 40C209.9 368 192 350.1 192 328V288h80V328zM272 256H192V200C192 177.9 209.9 160 232 160C254.1 160 272 177.9 272 200V256zM384 328c0 22.06-17.94 40-40 40c-22.05 0-40-17.94-40-40V288H384V328zM384 256h-80V200C304 177.9 321.9 160 344 160C366.1 160 384 177.9 384 200V256zM480 320c0 17.64-14.36 32-32 32s-32-14.36-32-32V288h64V320zM480 256h-64V224c0-17.64 14.36-32 32-32s32 14.36 32 32V256z"],
    "teeth-open": [576, 512, [], "f62f", "M512 288H64c-35.35 0-64 28.65-64 64v32c0 53.02 42.98 96 96 96h384c53.02 0 96-42.98 96-96v-32C576 316.7 547.3 288 512 288zM416 320h64v32c0 17.64-14.36 32-32 32s-32-14.36-32-32V320zM304 320H384v40c0 22.06-17.94 40-40 40s-40-17.94-40-40V320zM192 320h80v40c0 22.06-17.94 40-40 40S192 382.1 192 360V320zM96 320h64v32c0 17.64-14.36 32-32 32s-32-14.36-32-32V320zM544 384c0 35.29-28.71 64-64 64H96c-35.29 0-64-28.71-64-64v-32c0-17.64 14.36-32 32-32v32c0 35.33 28.67 64 64 64c16.84 0 32.04-6.645 43.47-17.28C184.3 418.7 206.5 432 232 432c22.75 0 42.8-10.78 56-27.27C301.2 421.2 321.2 432 344 432c25.46 0 47.73-13.32 60.53-33.28C415.1 409.4 431.2 416 448 416c35.33 0 64-28.67 64-64v-32c17.64 0 32 14.36 32 32V384zM480 32H96C42.98 32 0 74.98 0 128v64c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V128C576 74.98 533 32 480 32zM160 224H96V192c0-17.64 14.36-32 32-32s32 14.36 32 32V224zM272 224H192V168C192 145.9 209.9 128 232 128S272 145.9 272 168V224zM384 224h-80V168C304 145.9 321.9 128 344 128S384 145.9 384 168V224zM480 224h-64V192c0-17.64 14.36-32 32-32s32 14.36 32 32V224zM544 192c0 17.64-14.36 32-32 32V192c0-35.33-28.67-64-64-64c-14.07 0-26.98 4.686-37.55 12.39C399.6 114.4 373.9 96 344 96C321.3 96 301.2 106.8 288 123.3C274.8 106.8 254.7 96 232 96C202.1 96 176.4 114.4 165.5 140.4C154.1 132.7 142.1 128 128 128C92.67 128 64 156.7 64 192v32C46.36 224 32 209.6 32 192V128c0-35.29 28.71-64 64-64h384c35.29 0 64 28.71 64 64V192z"],
    "telescope": [640, 512, [128301], "e03e", "M424.1 267.5l-38.41 12.88c-9.795-28.15-36.3-48.55-67.72-48.55c-39.68 0-71.98 32.33-71.98 72.04c0 5.645 .8086 11.07 2.043 16.35l-126.5 39.24c-4.438-10.79-31.12-78.23-35.93-90.17l280.2-143.3c7.873-4.033 10.1-13.66 6.967-21.54c-4.029-7.879-13.65-10.94-21.53-6.973L72.17 240.7C57.08 248 50.05 265.4 56.17 280.2c5.467 13.19 32.15 80.57 36.65 91.52c4.812 11.57 16.4 18.57 28.53 18.57c3.373 0 6.779-.5625 10.12-1.688l131.9-39.42c1.758 2.152 3.449 4.342 5.438 6.275l-45.11 135.4c-2.781 8.379 1.75 17.45 10.12 20.26C235.5 511.8 237.2 512 238.8 512c6.686 0 12.94-4.252 15.18-10.94l42.93-128.9c6.939 2.238 14.2 3.766 21.87 3.766s14.93-1.529 21.87-3.766l42.93 128.9C385.9 507.7 392.1 512 398.8 512c1.688 0 3.375-.25 5.062-.8125c8.371-2.814 12.9-11.88 10.12-20.26l-45.11-135.4c11.39-11.07 18.88-25.91 21.01-42.45l45.26-15.17c8.373-2.781 12.87-11.88 10.06-20.26C442.4 269.2 433.4 264.6 424.1 267.5zM318.8 343.9c-22.06 0-39.99-17.95-39.99-40.02s17.93-40.02 39.99-40.02s39.99 17.95 39.99 40.02S340.9 343.9 318.8 343.9zM30.77 322.4C27.37 314.2 17.96 310.3 9.873 313.7c-8.154 3.377-12.03 12.76-8.654 20.92l18.18 43.87c2.561 6.16 8.498 9.881 14.78 9.881c2.061 0 4.123-.375 6.123-1.221c8.154-3.377 12.03-12.76 8.654-20.92L30.77 322.4zM637.8 202.9l-76.36-184.4C555.6 4.297 537.1-4.113 521.9 2.045l-104.5 43.3c-10.78 4.502-18.59 16.26-18.59 27.92c0 3.814 .9062 8.285 2.312 11.6l76.29 184.3c4.469 10.85 16.21 18.7 27.93 18.7c3.623 0 8.154-.9082 11.56-2.314l104.4-43.27C632.2 237.8 640 226 640 214.3C640 210.8 639.1 206.3 637.8 202.9zM506.1 256.1l-77.26-182.1l102.1-44.24l75.64 182.8L506.1 256.1z"],
    "temperature-arrow-down": [512, 512, ["temperature-down"], "e03f", "M159.1 354.7l.0005-50.72c0-8.869-7.125-15.99-15.1-15.99S128 295.1 128 303.1l.0015 50.72c-21.1 7.871-35.24 30.36-31.24 53.35C100.6 431.1 120.6 447.1 144 447.1s43.37-16.83 47.24-39.94C195.2 385 181.1 362.6 159.1 354.7zM223.1 79.98C223.1 35.88 188.1 0 144 0S64.01 35.88 64.01 79.98l.0068 241.7c-43.12 43.98-42.62 114.4 1.125 157.8c43.62 43.35 114.1 43.35 157.7 0c43.74-43.35 44.24-113.8 1.125-157.8L223.1 79.98zM219.9 425.1C208.1 457.7 178.4 479.7 144 479.7s-64.99-21.99-75.86-54.6s.375-68.46 27.87-89.08v-256.1c0-26.48 21.5-47.97 47.99-47.97s47.99 21.49 47.99 47.97v256.1C219.5 356.7 230.7 392.5 219.9 425.1zM507.3 356.7c-6.25-6.25-16.38-6.25-22.62 0L416 425.4V48C416 39.16 408.8 32 400 32S384 39.16 384 48v377.4l-68.69-68.69C312.2 353.6 308.1 352 304 352s-8.188 1.562-11.31 4.688c-6.25 6.25-6.25 16.38 0 22.62l96 96c6.25 6.25 16.38 6.25 22.62 0l96-96C513.6 373.1 513.6 362.9 507.3 356.7z"],
    "temperature-arrow-up": [512, 512, ["temperature-up"], "e040", "M223.1 79.98C223.1 35.88 188.1 0 144 0S64.01 35.88 64.01 79.98l.0068 241.7c-43.12 43.98-42.62 114.4 1.125 157.8c43.62 43.35 114.1 43.35 157.7 0c43.74-43.35 44.24-113.8 1.125-157.8L223.1 79.98zM219.9 425.1C208.1 457.7 178.4 479.7 144 479.7s-64.99-21.99-75.86-54.6s.375-68.46 27.87-89.08v-256.1c0-26.48 21.5-47.97 47.99-47.97s47.99 21.49 47.99 47.97v256.1C219.5 356.7 230.7 392.5 219.9 425.1zM159.1 354.7v-274.7c0-8.869-7.125-15.96-15.1-15.96S128 71.09 128 79.96v274.7c-21.1 7.871-35.24 30.36-31.24 53.35C100.6 431.1 120.6 447.1 144 447.1s43.37-16.83 47.24-39.94C195.2 385 181.1 362.6 159.1 354.7zM507.3 132.7l-96-96c-6.25-6.25-16.38-6.25-22.62 0l-96 96c-6.25 6.25-6.25 16.38 0 22.62s16.38 6.25 22.62 0L384 86.63V464c0 8.844 7.156 16 16 16s16-7.156 16-16V86.63l68.69 68.69C487.8 158.4 491.9 160 496 160s8.188-1.562 11.31-4.688C513.6 149.1 513.6 138.9 507.3 132.7z"],
    "temperature-empty": [320, 512, ["temperature-0", "thermometer-0", "thermometer-empty"], "f2cb", "M208 384c0 26.5-21.5 48-48 48S112 410.5 112 384s21.5-48 47.1-48S208 357.5 208 384zM256 299.4C275.9 321.9 288 351.5 288 384c0 70.75-57.25 128-127.1 128L159.1 512c-70.37-.5-127.5-58.38-127.1-128.6c.125-32.25 12.25-61.62 31.1-84V96c0-53 42.1-95.1 95.1-95.1S256 43 256 96V299.4zM256 384c0-39.88-22.87-62.13-31.1-72.5V96c0-35.25-28.75-64-63.1-64S96 60.75 96 96v215.5c-9.5 10.62-31.75 32.5-31.1 72C63.75 436.2 106.6 479.6 159.4 480h.625C212.9 480 256 436.9 256 384z"],
    "temperature-full": [320, 512, ["temperature-4", "thermometer-4", "thermometer-full"], "f2c7", "M256 96c0-53-43-95.1-96-95.1S64 43 64 96v203.4c-19.75 22.38-31.87 51.75-31.1 84C31.63 453.6 88.75 511.5 159.1 512l.8743 .0001C230.7 512 288 454.8 288 384c0-32.5-12.12-62.13-31.1-84.63V96zM160 480H159.4c-52.75-.375-95.62-43.75-95.37-96.5c.25-39.5 22.5-61.38 31.1-72V96c0-35.25 28.75-64 63.1-64s63.1 28.75 63.1 64v215.5C233.1 321.9 256 344.1 256 384C256 436.9 212.9 480 160 480zM208 384c0 26.5-21.5 48-48 48S112 410.5 112 384c0-20.88 13.37-38.63 31.1-45.25V96c0-8.875 7.125-16 15.1-16s15.1 7.125 15.1 16v242.8C194.6 345.4 208 363.1 208 384z"],
    "temperature-half": [320, 512, [127777, "temperature-2", "thermometer-2", "thermometer-half"], "f2c9", "M208 384c0 26.5-21.5 48-48 48S112 410.5 112 384c0-20.88 13.37-38.63 31.1-45.25L144 208c0-8.875 7.125-16 15.1-16s16 7.125 16 16l.0006 130.7C194.6 345.4 208 363.1 208 384zM256 299.4C275.9 321.9 288 351.5 288 384c0 70.75-57.25 128-127.1 128L159.1 512c-70.37-.5-127.5-58.38-127.1-128.6c.125-32.25 12.25-61.62 31.1-84V96c0-53 42.1-95.1 95.1-95.1S256 43 256 96V299.4zM256 384c0-39.88-22.87-62.13-31.1-72.5V96c0-35.25-28.75-64-63.1-64S96 60.75 96 96v215.5c-9.5 10.62-31.75 32.5-31.1 72C63.75 436.2 106.6 479.6 159.4 480h.625C212.9 480 256 436.9 256 384z"],
    "temperature-high": [512, 512, [], "f769", "M384 32c-35.25 0-64 28.75-64 64s28.75 64 64 64s64-28.75 64-64S419.2 32 384 32zM384 128c-17.75 0-32-14.25-32-32s14.25-32 32-32s32 14.25 32 32S401.8 128 384 128zM256 80C256 35.88 220.1 0 176 0S96 35.88 96 80v241.9C75.75 342.6 64 370.8 64 400C64 461.8 114.2 512 176 512s112-50.25 112-112c0-29.25-11.75-57.38-32-78.13V80zM176 480C131.9 480 96 444.1 96 400c0-25.5 12.25-48.88 32-63.75V80C128 53.5 149.5 32 176 32S224 53.5 224 80v256.2C243.8 351 256 374.5 256 400C256 444.1 220.1 480 176 480zM192 354.9V80C192 71.25 184.8 64 176 64S160 71.25 160 80v274.9C141.4 361.5 128 379.1 128 400C128 426.5 149.5 448 176 448S224 426.5 224 400C224 379.1 210.6 361.5 192 354.9z"],
    "temperature-list": [512, 512, [], "e299", "M160 338.8V144C160 135.1 152.9 128 144 128S128 135.1 128 144v194.8c-18.62 6.625-32 24.38-32 45.25c0 26.5 21.5 48 47.1 48C170.5 432 192 410.5 192 384C192 363.1 178.6 345.4 160 338.8zM240 96c0-53-43-95.1-96-95.1C91 .0001 48 43 48 96v203.4c-19.75 22.38-31.88 51.75-32 84C15.63 453.6 72.75 511.5 143.1 512L144 512c70.75 0 128-57.25 128-128c0-32.5-12.12-62.13-32-84.63V96zM144 480H143.4c-52.75-.375-95.62-43.75-95.37-96.5c.25-39.5 22.5-61.38 32-72V96c0-35.25 28.75-64 63.1-64c35.25 0 64 28.75 64 64v215.5c9.125 10.38 32 32.63 32 72.5C240 436.9 196.9 480 144 480zM336 64h160C504.8 64 512 56.8 512 48C512 39.2 504.8 32 496 32h-160C327.2 32 320 39.2 320 48C320 56.8 327.2 64 336 64zM496 160h-160C327.2 160 320 167.2 320 176C320 184.8 327.2 192 336 192h160C504.8 192 512 184.8 512 176C512 167.2 504.8 160 496 160zM496 288h-128C359.2 288 352 295.2 352 304c0 8.799 7.201 16 16 16h128c8.801 0 16-7.201 16-16C512 295.2 504.8 288 496 288z"],
    "temperature-low": [512, 512, [], "f76b", "M192 354.9V304.1C192 295.4 184.8 288 176 288S160 295.2 160 304v50.88C141.4 361.5 128 379.1 128 400C128 426.5 149.5 448 176 448S224 426.5 224 400C224 379.1 210.6 361.5 192 354.9zM384 32c-35.25 0-64 28.75-64 64s28.75 64 64 64s64-28.75 64-64S419.2 32 384 32zM384 128c-17.75 0-32-14.25-32-32s14.25-32 32-32s32 14.25 32 32S401.8 128 384 128zM256 80C256 35.88 220.1 0 176 0S96 35.88 96 80v241.9C75.75 342.6 64 370.8 64 400C64 461.8 114.2 512 176 512s112-50.25 112-112c0-29.25-11.75-57.38-32-78.13V80zM176 480C131.9 480 96 444.1 96 400c0-25.5 12.25-48.88 32-63.75V80C128 53.5 149.5 32 176 32S224 53.5 224 80v256.2C243.8 351 256 374.5 256 400C256 444.1 220.1 480 176 480z"],
    "temperature-quarter": [320, 512, ["temperature-1", "thermometer-1", "thermometer-quarter"], "f2ca", "M208 384c0 26.5-21.5 48-48 48S112 410.5 112 384c0-20.88 13.37-38.63 31.1-45.25L144 272c0-8.875 7.125-16 15.1-16s16 7.125 16 16l.0006 66.75C194.6 345.4 208 363.1 208 384zM256 299.4C275.9 321.9 288 351.5 288 384c0 70.75-57.25 128-127.1 128L159.1 512c-70.37-.5-127.5-58.38-127.1-128.6c.125-32.25 12.25-61.62 31.1-84V96c0-53 42.1-95.1 95.1-95.1S256 43 256 96V299.4zM256 384c0-39.88-22.87-62.13-31.1-72.5V96c0-35.25-28.75-64-63.1-64S96 60.75 96 96v215.5c-9.5 10.62-31.75 32.5-31.1 72C63.75 436.2 106.6 479.6 159.4 480h.625C212.9 480 256 436.9 256 384z"],
    "temperature-snow": [576, 512, ["temperature-frigid"], "f768", "M317.8 200.6c-4.508-7.625-14.26-10.09-21.89-5.656l-55.78 33.01V134.6l43.25-43.31c6.24-6.25 6.24-16.38 0-22.62s-16.35-6.25-22.59 0L240.1 89.38V48c0-8.844-7.146-16-15.98-16S208.2 39.16 208.2 48v41.38L187.5 68.69c-6.242-6.25-16.35-6.25-22.59 0c-6.242 6.25-6.242 16.38 0 22.62l43.25 43.31v93.33L126.7 179.8L111.3 122.3c-2.293-8.5-10.98-13.41-19.56-11.31C83.25 113.3 78.18 122 80.47 130.6L87.41 156.5l-30.89-18.28c-7.615-4.438-17.38-1.969-21.89 5.656C30.16 151.5 32.67 161.3 40.27 165.8l34.05 20.15L43.84 194.1C35.32 196.4 30.27 205.2 32.55 213.7c1.902 7.156 8.361 11.88 15.41 11.88c1.373 0 2.762-.1875 4.15-.5313l60.73-16.3L192.7 256L112.8 303.3L52.11 286.1C43.59 284.9 34.84 289.8 32.55 298.3c-2.279 8.531 2.777 17.28 11.29 19.59l30.47 8.162l-34.05 20.15c-7.598 4.5-10.11 14.31-5.633 21.91C37.63 373.2 42.95 376 48.41 376c2.762 0 5.553-.7187 8.113-2.219l30.89-18.28l-6.939 25.9c-2.293 8.562 2.777 17.31 11.3 19.62c1.389 .3438 2.777 .5313 4.15 .5313c7.051 0 13.5-4.719 15.41-11.84l15.38-57.48l81.44-48.2v93.33l-43.25 43.31c-6.242 6.25-6.242 16.38 0 22.62c6.24 6.25 16.35 6.25 22.59 0l20.66-20.69V464c0 8.844 7.146 16 15.98 16s15.98-7.156 15.98-16v-41.38l20.66 20.69C263.9 446.4 267.1 448 272.1 448s8.176-1.562 11.29-4.688c6.24-6.25 6.24-16.38 0-22.62l-43.25-43.31V284.1l55.78 33.01c2.559 1.5 5.352 2.219 8.113 2.219c5.459 0 10.78-2.812 13.78-7.875C322.3 303.8 319.7 294 312.1 289.5L255.5 256l56.61-33.5C319.7 218 322.3 208.2 317.8 200.6zM448 354.9V336c0-8.75-7.25-16-16-16S416 327.3 416 336v18.88C397.4 361.5 384 379.1 384 400c0 26.5 21.5 48 48 48S480 426.5 480 400C480 379.1 466.6 361.5 448 354.9zM512 321.9V80c0-44.13-35.87-79.1-79.1-79.1S352 35.88 352 80v241.9C331.8 342.8 320 370.8 320 400c0 61.75 50.25 112 112 112S544 461.8 544 400C544 370.8 532.3 342.6 512 321.9zM432 480c-44.13 0-80-35.88-80-80c0-25.5 12.25-48.88 32-63.75V80C384 53.5 405.5 32 432 32S480 53.5 480 80v256.3C499.8 351 512 374.5 512 400C512 444.1 476.1 480 432 480z"],
    "temperature-sun": [640, 512, ["temperature-hot"], "f76a", "M160 240c0 52.88 43.13 96 96 96s96-43.13 96-96s-43.13-96-96-96S160 187.1 160 240zM320 240c0 35.25-28.75 64-64 64s-64-28.75-64-64s28.75-64 64-64S320 204.8 320 240zM384 99.99c0-9.992-9.133-17.8-18.93-15.86L316.6 93.75L269.3 23.12c-6-8.875-20.5-8.875-26.5 0L195.4 93.75l-83.25-16.5c-5.375-1.125-10.75 .5-14.38 4.375C93.88 85.38 92.25 90.75 93.25 96l16.5 83.38L39.13 226.8C34.75 229.8 32 234.8 32 240s2.75 10.25 7.125 13.25l70.63 47.38L93.25 384c-1 5.25 .625 10.75 4.5 14.38c3.75 3.875 9 5.5 14.38 4.375l83.25-16.5L242.8 457c3 4.5 8 7.125 13.25 7.125s10.25-2.75 13.25-7.125l47.38-70.75l19.12 3.785c8.793 1.74 17.15-4.17 18.62-13.01c1.416-8.424-4.037-16.74-12.42-18.4l-29.7-5.875c-6.5-1.375-12.75 1.5-16.38 6.875L256 419.3L216.1 359.5c-3.625-5.375-10-8.25-16.38-6.75l-70.5 14l14-70.5c1.25-6.295-1.412-12.72-6.746-16.29L76.75 240l59.67-39.82c5.387-3.594 8.08-10.08 6.83-16.43l-13.88-70.5l70.38 14c6.5 1.375 12.88-1.375 16.5-6.75L256 60.75L295.9 120.5C299.5 125.9 305.8 128.6 312.3 127.3l58.99-11.72C378.7 114.1 384 107.6 384 99.99zM512 354.9V80C512 71.25 504.7 64 495.1 64S480 71.25 480 80v274.9C461.4 361.5 448 379.1 448 400c0 26.5 21.5 48 47.1 48S544 426.5 544 400C544 379.1 530.6 361.5 512 354.9zM576 321.9V80C576 35.88 540.1 0 495.1 0S416 35.88 416 80v241.9C395.8 342.8 384 370.8 384 400c0 61.75 50.25 112 111.1 112S608 461.8 608 400C608 370.8 596.3 342.6 576 321.9zM496 480c-44.13 0-80-35.88-80-80c0-25.5 12.25-48.88 32-63.75V80C448 53.5 469.5 32 496 32S544 53.5 544 80v256.3C563.8 351 576 374.5 576 400C576 444.1 540.1 480 496 480z"],
    "temperature-three-quarters": [320, 512, ["temperature-3", "thermometer-3", "thermometer-three-quarters"], "f2c8", "M208 384c0 26.5-21.5 48-48 48S112 410.5 112 384c0-20.88 13.37-38.63 31.1-45.25V144c0-8.875 7.124-16 15.1-16s16 7.125 16 16v194.8C194.6 345.4 208 363.1 208 384zM256 299.4C275.9 321.9 288 351.5 288 384c0 70.75-57.25 128-127.1 128L159.1 512c-70.37-.5-127.5-58.38-127.1-128.6c.125-32.25 12.25-61.62 31.1-84V96c0-53 42.1-95.1 95.1-95.1S256 43 256 96V299.4zM256 384c0-39.88-22.87-62.13-31.1-72.5V96c0-35.25-28.75-64-63.1-64S96 60.75 96 96v215.5c-9.5 10.62-31.75 32.5-31.1 72C63.75 436.2 106.6 479.6 159.4 480h.625C212.9 480 256 436.9 256 384z"],
    "tenge-sign": [384, 512, [8376, "tenge"], "f7d7", "M0 48C0 39.16 7.164 32 16 32H368C376.8 32 384 39.16 384 48C384 56.84 376.8 64 368 64H16C7.164 64 0 56.84 0 48zM0 176C0 167.2 7.164 160 16 160H368C376.8 160 384 167.2 384 176C384 184.8 376.8 192 368 192H208V464C208 472.8 200.8 480 192 480C183.2 480 176 472.8 176 464V192H16C7.164 192 0 184.8 0 176z"],
    "tennis-ball": [512, 512, [127934], "f45e", "M255.1-.0031c-141.4 0-256 114.6-256 256s114.6 256 256 256s256-114.6 256-256S397.4-.0031 255.1-.0031zM214.8 35.97C216.1 92.8 190.9 149.2 140.9 184.2C109 206.5 72.25 215.6 36 214.6C52.1 124.2 124.4 52.88 214.8 35.97zM32 256c0-2.875 .3242-5.668 .4316-8.516C35.05 247.6 37.66 247.9 40.29 247.9c41.19 0 82.81-12.19 119-37.56c59.84-41.92 90.4-109.9 88.03-177.9C250.2 32.33 253.1 32 256 32c123.5 0 224 100.5 224 224c0 3.109-.3398 6.137-.4668 9.219c-43.75-1.691-88.29 9.406-126.8 36.41c-59.83 41.92-90.4 109.9-88.03 177.9C261.8 479.7 258.9 480 256 480C132.5 480 32 379.5 32 256zM297.2 476c-1.338-56.82 23.87-113.2 73.82-148.2c30.66-21.44 65.84-31.75 100.7-31.75c1.477 0 2.938 .2187 4.412 .2578C459.6 387.2 388 459 297.2 476z"],
    "tent": [576, 512, [], "e57d", "M278.9 2.829C284.4-.9429 291.6-.9429 297.1 2.829L517.3 154.7C528.5 162.5 535.1 174.7 537.7 188.2L571.4 458C574.1 486.7 552.6 512 523.8 512H52.25C23.38 512 1.039 486.7 4.62 458L38.34 188.2C40.04 174.7 47.46 162.5 58.72 154.7L278.9 2.829zM70.1 192.2L36.37 462C35.18 471.6 42.63 480 52.25 480H272V46.47L76.89 181C73.14 183.6 70.66 187.7 70.1 192.2H70.1zM304 288.4V480H405.4L304 288.4zM523.8 480C533.4 480 540.8 471.6 539.6 462L505.9 192.2C505.3 187.7 502.9 183.6 499.1 181L304 46.47V220L441.6 480H523.8z"],
    "tent-arrow-down-to-line": [640, 512, [], "e57e", "M243.8 117.2C249.8 123.8 249.3 133.9 242.8 139.8L154.8 219.8C148.7 225.4 139.3 225.4 133.2 219.8L45.24 139.8C38.7 133.9 38.22 123.8 44.16 117.2C50.11 110.7 60.22 110.2 66.76 116.2L128 171.8V16C128 7.164 135.2 0 144 0C152.8 0 160 7.164 160 16V171.8L221.2 116.2C227.8 110.2 237.9 110.7 243.8 117.2H243.8zM0 496C0 487.2 7.164 480 16 480H624C632.8 480 640 487.2 640 496C640 504.8 632.8 512 624 512H16C7.164 512 0 504.8 0 496zM566.1 259.3C577.1 266.8 583.9 278 585.8 290.5L607.8 429.5C609.2 438.2 603.2 446.4 594.5 447.8C585.8 449.2 577.6 443.2 576.2 434.5L554.2 295.4C553.6 291.3 551.3 287.6 547.9 285.1L400 175.7V283.2L493.3 423.1C498.2 430.5 496.2 440.4 488.9 445.3C481.5 450.2 471.6 448.2 466.7 440.9L400 340.8V432C400 440.8 392.8 448 384 448C375.2 448 368 440.8 368 432V288.2C367.1 288.1 367.1 287.9 368 287.8V175.7L220.1 285.1C216.7 287.6 214.4 291.3 213.8 295.4L191.8 434.5C190.4 443.2 182.2 449.2 173.5 447.8C164.8 446.4 158.8 438.2 160.2 429.5L182.2 290.5C184.1 278 190.9 266.8 201 259.3L374.5 131.1C380.1 126.1 387.9 126.1 393.5 131.1L566.1 259.3z"],
    "tent-arrow-left-right": [576, 512, [], "e57f", "M570.8 84.16C574.1 87.19 576 91.49 576 96C576 100.5 574.1 104.8 570.8 107.8L482.8 187.8C476.2 193.8 466.1 193.3 460.2 186.8C454.2 180.2 454.7 170.1 461.2 164.2L518.6 112H57.39L114.8 164.2C121.3 170.1 121.8 180.2 115.8 186.8C109.9 193.3 99.78 193.8 93.24 187.8L5.237 107.8C1.901 104.8 0 100.5 0 96C0 91.49 1.902 87.19 5.237 84.16L93.24 4.161C99.78-1.783 109.9-1.301 115.8 5.237C121.8 11.78 121.3 21.89 114.8 27.84L57.39 80H518.6L461.2 27.84C454.7 21.9 454.2 11.78 460.2 5.237C466.1-1.301 476.2-1.783 482.8 4.161L570.8 84.16zM470.6 291C481.1 298.8 487.9 310.5 489.6 323.4L507.2 457.8C510.9 486.5 488.5 512 459.6 512H116.4C87.47 512 65.1 486.5 68.85 457.8L86.37 323.4C88.06 310.5 94.94 298.8 105.4 291L278.5 163.1C284.1 158.1 291.9 158.1 297.5 163.1L470.6 291zM272 207.7L124.5 316.8C120.1 319.4 118.7 323.3 118.1 327.6L100.6 461.9C99.33 471.5 106.8 480 116.4 480H272V320.3C271.1 320.1 271.1 319.9 272 319.8L272 207.7zM304 376.2V480H368.2L304 376.2zM405.6 479.6L405.9 480H459.6C469.2 480 476.7 471.5 475.4 461.9L457.9 327.6C457.3 323.3 455 319.4 451.5 316.8L304 207.7V315.4L405.6 479.6z"],
    "tent-arrow-turn-left": [576, 512, [], "e580", "M57.39 80H464C525.9 80 576 130.1 576 192V240C576 248.8 568.8 256 560 256C551.2 256 544 248.8 544 240V192C544 147.8 508.2 112 464 112H57.39L114.8 164.2C121.3 170.1 121.8 180.2 115.8 186.8C109.9 193.3 99.78 193.8 93.24 187.8L5.237 107.8C1.901 104.8 0 100.5 0 96C0 91.49 1.902 87.19 5.237 84.16L93.24 4.161C99.78-1.783 109.9-1.301 115.8 5.237C121.8 11.78 121.3 21.89 114.8 27.84L57.39 80zM470.6 291C481.1 298.8 487.9 310.5 489.6 323.4L507.2 457.8C510.9 486.5 488.5 512 459.6 512H116.4C87.47 512 65.1 486.5 68.85 457.8L86.37 323.4C88.06 310.5 94.95 298.8 105.4 291L278.5 163.1C284.1 158.1 291.9 158.1 297.5 163.1L470.6 291zM272 207.7L124.5 316.8C120.1 319.4 118.7 323.3 118.1 327.6L100.6 461.9C99.33 471.5 106.8 480 116.4 480H272V320.3C271.1 320.1 271.1 319.9 272 319.7V207.7zM304 376.2V480H368.2L304 376.2zM405.6 479.6L405.9 480H459.6C469.2 480 476.7 471.5 475.4 461.9L457.9 327.6C457.3 323.3 455 319.4 451.5 316.8L304 207.7V315.4L405.6 479.6z"],
    "tent-arrows-down": [576, 512, [], "e581", "M203.9 117.3C209.8 123.9 209.3 133.1 202.7 139.9L122.7 211.9C116.6 217.4 107.4 217.4 101.3 211.9L21.3 139.9C14.73 133.1 14.2 123.9 20.11 117.3C26.02 110.7 36.14 110.2 42.7 116.1L96 164.1V16C96 7.164 103.2 0 112 0C120.8 0 128 7.164 128 16V164.1L181.3 116.1C187.9 110.2 197.1 110.7 203.9 117.3H203.9zM555.9 117.3C561.8 123.9 561.3 133.1 554.7 139.9L474.7 211.9C468.6 217.4 459.4 217.4 453.3 211.9L373.3 139.9C366.7 133.1 366.2 123.9 372.1 117.3C378 110.7 388.1 110.2 394.7 116.1L448 164.1V16C448 7.164 455.2 0 464 0C472.8 0 480 7.164 480 16V164.1L533.3 116.1C539.9 110.2 549.1 110.7 555.9 117.3H555.9zM470.6 291C481.1 298.8 487.9 310.5 489.6 323.4L507.2 457.8C510.9 486.5 488.5 512 459.6 512H116.4C87.47 512 65.1 486.5 68.85 457.8L86.37 323.4C88.06 310.5 94.94 298.8 105.4 291L278.5 163.1C284.1 158.1 291.9 158.1 297.5 163.1L470.6 291zM118.1 327.6L100.6 461.9C99.33 471.5 106.8 480 116.4 480H271.1V207.7L124.5 316.8C120.1 319.4 118.7 323.3 118.1 327.6V327.6zM405.6 479.6L405.9 480H459.6C469.2 480 476.7 471.5 475.4 461.9L457.9 327.6C457.3 323.3 455 319.4 451.5 316.8L304 207.7V315.4L405.6 479.6zM368.2 480L304 376.2V480H368.2z"],
    "tents": [640, 512, [], "e582", "M598.6 131C609.1 138.8 615.9 150.5 617.6 163.4L635.2 297.8C638.9 326.5 616.5 352 587.6 352H461.5L456.7 320H587.6C597.2 320 604.7 311.5 603.4 301.9L585.9 167.6C585.3 163.3 583 159.4 579.5 156.8L416 35.9L268.1 145.2L262.8 141.1C254.7 134.9 245.5 130.9 236 129.1L406.5 3.133C412.1-1.044 419.9-1.044 425.5 3.133L598.6 131zM406.6 291C417.1 298.8 423.9 310.5 425.6 323.4L443.2 457.8C446.9 486.5 424.5 512 395.6 512H52.45C23.47 512 1.101 486.5 4.848 457.8L22.37 323.4C24.06 310.5 30.94 298.8 41.44 291L214.5 163.1C220.1 158.1 227.9 158.1 233.5 163.1L406.6 291zM54.1 327.6L36.58 461.9C35.33 471.5 42.79 480 52.45 480H208V207.7L60.46 316.8C56.96 319.4 54.67 323.3 54.11 327.6H54.1zM241.2 311.6L345.2 479.6L345.4 480H395.6C405.2 480 412.7 471.5 411.4 461.9L393.9 327.6C393.3 323.3 391 319.4 387.5 316.8L240 207.7V309.9C240.4 310.4 240.8 310.1 241.2 311.6H241.2zM307.8 480L240 370.5V480H307.8z"],
    "terminal": [576, 512, [], "f120", "M5.113 59.72C-1.363 53.71-1.737 43.59 4.276 37.11C10.29 30.64 20.41 30.26 26.89 36.28L250.9 244.3C254.1 247.3 256 251.6 256 256C256 260.4 254.1 264.7 250.9 267.7L26.89 475.7C20.41 481.7 10.29 481.4 4.276 474.9C-1.737 468.4-1.362 458.3 5.113 452.3L216.5 256L5.113 59.72zM560 448C568.8 448 576 455.2 576 464C576 472.8 568.8 480 560 480H240C231.2 480 224 472.8 224 464C224 455.2 231.2 448 240 448H560z"],
    "text": [448, 512, [], "f893", "M448 48v64C448 120.8 440.8 128 432 128S416 120.8 416 112V64h-176v384h64C312.8 448 320 455.2 320 463.1c0 8.8-7.2 16.01-16 16.01h-160c-8.8 0-16-7.21-16-16.01C128 455.2 135.2 448 143.1 448H208V64H32v48C32 120.8 24.8 128 16 128S0 120.8 0 112V48C0 39.16 7.163 32 16 32h416C440.8 32 448 39.16 448 48z"],
    "text-height": [576, 512, [], "f034", "M304 32h-288C7.156 32 0 39.16 0 48v96C0 152.8 7.156 160 16 160S32 152.8 32 144V64h112v384h-64C71.16 448 64 455.2 64 464S71.16 480 80 480h160C248.8 480 256 472.8 256 464S248.8 448 240 448h-64V64H288v80C288 152.8 295.2 160 304 160S320 152.8 320 144v-96C320 39.16 312.8 32 304 32zM548.7 372.7L496 425.4V86.63l52.69 52.69C551.8 142.4 555.9 144 560 144s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62l-80-80c-6.25-6.25-16.38-6.25-22.62 0l-80 80c-6.25 6.25-6.25 16.38 0 22.62s16.38 6.25 22.62 0L464 86.63v338.8l-52.69-52.69c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l80 80C471.8 478.4 475.9 480 480 480s8.188-1.57 11.31-4.695l80-80c6.25-6.25 6.25-16.38 0-22.62S554.9 366.4 548.7 372.7z"],
    "text-size": [640, 512, [], "f894", "M0 48l0 96C0 152.8 7.156 160 16 160S32 152.8 32 144V64h144v384h-64C103.2 448 96 455.2 96 464S103.2 480 112 480h160C280.8 480 288 472.8 288 464S280.8 448 272 448h-64V64H352v80C352 152.8 359.2 160 368 160S384 152.8 384 144v-96C384 39.16 376.8 32 368 32h-352C7.156 32 0 39.16 0 48zM320 240v64c0 8.844 7.156 16 16 16S352 312.8 352 304V256h112v192H416c-8.844 0-16 7.156-16 16S407.2 480 416 480h128c8.844 0 16-7.156 16-16S552.8 448 544 448h-48V256H608v48c0 8.844 7.156 16 16 16S640 312.8 640 304v-64C640 231.2 632.8 224 624 224h-288C327.2 224 320 231.2 320 240z"],
    "text-slash": [640, 512, ["remove-format"], "f87d", "M347.9 64l-25.86 112l27.78 21.94l30.92-133.1h163.3v47.1c0 8.799 7.199 15.1 16 15.1c8.801 0 16-7.201 16-15.1V48c0-8.838-7.164-15.1-16-15.1H143.1c-1.248 0-2.352 .4414-3.518 .7109l39.63 31.29H347.9zM352 448H292.1l25.86-112.1l-27.78-21.94l-30.92 133.1H191.1c-8.801 0-16 7.199-16 15.1c0 8.799 7.2 16.01 16 16.01h160c8.801 0 16-7.208 16-16.01C368 455.2 360.8 448 352 448zM633.9 483.4L25.92 3.42c-6.938-5.453-17-4.25-22.48 2.641C-2.032 12.1-.8446 23.06 6.077 28.55l608 480C617 510.9 620.5 512 623.1 512c4.734 0 9.422-2.094 12.58-6.078C642 498.1 640.8 488.9 633.9 483.4z"],
    "text-width": [448, 512, [], "f035", "M432 32h-416C7.156 32 0 39.16 0 48v80.01C0 136.9 7.156 144 16 144S32 136.8 32 128V64h176v192H160C151.2 256 144 263.2 144 272S151.2 288 160 288h128c8.844 0 16-7.156 16-16S296.8 256 288 256h-48V64H416v64c0 8.844 7.156 16 16 16S448 136.9 448 128V48C448 39.16 440.8 32 432 32zM363.3 292.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L393.4 368H54.63l52.69-52.69c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0l-80 80c-6.25 6.25-6.25 16.38 0 22.62l80 80C87.81 478.4 91.91 480 96 480s8.188-1.57 11.31-4.695c6.25-6.25 6.25-16.38 0-22.62L54.63 400h338.8l-52.69 52.69c-6.25 6.25-6.25 16.38 0 22.62C343.8 478.4 347.9 480 352 480s8.188-1.57 11.31-4.695l80-80c6.25-6.25 6.25-16.38 0-22.62L363.3 292.7z"],
    "thermometer": [512, 512, [], "f491", "M476.7 20.35C460 6.696 439.2 0 418.1 0c-26.28 .002-53.08 10.36-73.25 30.6L114.6 262.5C102.7 274.5 96.02 290.7 96.02 307.6l-.0146 85.81l-91.32 91.32c-6.25 6.25-6.25 16.38 0 22.62C7.813 510.4 11.91 512 16 512s8.188-1.562 11.31-4.688L118.6 416l84.7-.0215c16.93 0 33.16-6.712 45.16-18.67l235.5-234.7C518.9 127.8 526.2 61.11 476.7 20.35zM461.4 139.1L225.9 374.7C219.9 380.7 211.8 384 203.3 384H128l.0156-76.42c0-8.508 3.301-16.52 9.297-22.56l30.44-30.65l28.92 28.98C199.8 286.5 203.9 288.1 207.1 288.1s8.187-1.563 11.31-4.688c6.25-6.25 6.25-16.38 0-22.63L190.3 231.7l41.23-41.52l29.14 29.2c3.125 3.125 7.218 4.688 11.31 4.688s8.187-1.563 11.31-4.688c6.25-6.25 6.25-16.38 0-22.63L254.1 167.5l41.23-41.52l29.36 29.41c3.125 3.125 7.218 4.688 11.31 4.688s8.187-1.563 11.31-4.688c6.25-6.25 6.25-16.38 0-22.63l-29.43-29.48l49.69-50.04C380.1 39.72 399.4 32 418.1 32c14.59 0 27.85 4.541 38.27 13.05c18.36 15.12 22.93 33.08 23.53 45.48C480.8 108.7 473.7 127.7 461.4 139.1z"],
    "theta": [384, 512, [], "f69e", "M192 32C94.75 32 16 132.2 16 256s78.75 224 176 224s176-100.2 176-224S289.2 32 192 32zM192 64c75.38 0 137.2 77.62 143.4 176H48.62C54.75 141.6 116.6 64 192 64zM192 448c-75.38 0-137.2-77.63-143.4-176h286.8C329.2 370.4 267.4 448 192 448z"],
    "thought-bubble": [512, 512, [], "e32e", "M32 448c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32s32-14.33 32-32C64 462.3 49.67 448 32 448zM144 384C117.5 384 96 405.5 96 432S117.5 480 144 480S192 458.5 192 432S170.5 384 144 384zM144 448C135.2 448 128 440.8 128 432S135.2 416 144 416S160 423.2 160 432S152.8 448 144 448zM373.3 68C349.2 26.36 304.3 0 256 0S164.1 25.2 139.6 66.5C62.59 66.72 0 129.5 0 206.6c0 77.2 62.81 139.9 140 139.9c10.06 0 20.38-1.312 31.25-3.984C191.7 368.7 222.5 384 256 384c32.84 0 63.41-14.83 83.84-40.2C351 346.6 361.6 348 372 348c77.19 0 140-62.74 140-139.9C512 131.3 449.9 68.73 373.3 68zM372 316c-10.44 0-21.41-1.938-33.53-5.922c-7.031-2.281-14.56 .4375-18.5 6.594C305.9 338.8 281.9 352 256 352c-26.38 0-50.5-13.61-64.53-36.39C188.5 310.8 183.3 308 177.8 308c-1.625 0-3.281 .25-4.906 .7656C160.9 312.6 150.2 314.5 140 314.5c-59.56 0-108-48.45-108-108c0-59.36 48.13-107.7 110.3-107.7h.625l4.594 .5313c6.438 .2813 12.59-3.078 15.5-8.922C180.7 54.39 216.3 32 256 32c40.31 0 76.22 22.86 93.66 59.66c2.844 5.938 9.25 9.641 15.5 9.109c1.531-.0938 3-.2969 4.5-.5C370.4 100.2 371.2 100 372 100C431.6 100 480 148.5 480 208S431.6 316 372 316z"],
    "thumbs-down": [512, 512, [61576, 128078], "f165", "M128 280v-208C128 49.94 110.1 32 88 32h-48C17.94 32 0 49.94 0 72v208C0 302.1 17.94 320 40 320h48C110.1 320 128 302.1 128 280zM96 280C96 284.4 92.41 288 88 288h-48C35.59 288 32 284.4 32 280v-208C32 67.59 35.59 64 40 64h48C92.41 64 96 67.59 96 72V280zM477.9 235.7c2.469-6.672 3.75-13.77 3.75-20.98c0-22.97-12.75-43.42-32.06-53.94c1.141-4.672 1.734-9.469 1.734-14.27c0-22.06-11.78-41.94-30.33-52.8C421 59.84 393.4 32 359.5 32H303.9c-77.41 0-143.9 63.11-143.9 80.07c0 8.767 7.133 15.96 16 15.96C195.8 128 222.2 64 303.9 64h55.63c16.27 0 29.5 13.22 29.5 29.47c0 4.826-1.185 6.491-1.185 10.01c0 20.94 31.51 12.09 31.51 43.05c0 12.84-6.765 14.68-6.765 23.56c0 9.347 7.255 14.66 13.06 15.75c13.92 2.594 24.03 14.75 24.03 28.89c0 17.77-12.06 18.45-12.06 30.63c0 8.314 6.443 15.38 14.91 15.96C467.9 262.4 480 275.2 480 290.5C480 306.8 466.8 320 450.5 320h-128.3c-8.273 0-15.1 6.658-15.1 16.01c0 2.699 .68 5.398 2.046 7.83c17.73 31.53 26.62 65.39 26.62 75.48C334.9 431.2 325.6 448 304.9 448c-16.7 0-19.66-4.953-28.78-32.78c-21.79-66.41-36.14-69.47-88.81-122.5C184.2 289.6 180.1 288 176 288C167.4 288 160 294.9 160 303.1c0 23.25 57.94 36.53 85.73 121.2C254.2 450.9 263.6 480 304.9 480c38.77 0 62.01-30.84 62.01-60.67c0-13.84-6.844-40.27-18.83-67.33h102.5C484.4 352 512 324.4 512 290.5C512 266.8 498.2 245.8 477.9 235.7z"],
    "thumbs-up": [512, 512, [61575, 128077], "f164", "M88 192h-48C17.94 192 0 209.9 0 232v208C0 462.1 17.94 480 40 480h48C110.1 480 128 462.1 128 440v-208C128 209.9 110.1 192 88 192zM96 440C96 444.4 92.41 448 88 448h-48C35.59 448 32 444.4 32 440v-208C32 227.6 35.59 224 40 224h48C92.41 224 96 227.6 96 232V440zM512 221.5C512 187.6 484.4 160 450.5 160h-102.5c11.98-27.06 18.83-53.48 18.83-67.33C366.9 62.84 343.6 32 304.9 32c-41.22 0-50.7 29.11-59.12 54.81C218.1 171.1 160 184.8 160 208C160 217.1 167.5 224 176 224C180.1 224 184.2 222.4 187.3 219.3c52.68-53.04 67.02-56.11 88.81-122.5C285.3 68.95 288.2 64 304.9 64c20.66 0 29.94 16.77 29.94 28.67c0 10.09-8.891 43.95-26.62 75.48c-1.366 2.432-2.046 5.131-2.046 7.83C306.2 185.5 314 192 322.2 192h128.3C466.8 192 480 205.2 480 221.5c0 15.33-12.08 28.16-27.48 29.2c-8.462 .5813-14.91 7.649-14.91 15.96c0 12.19 12.06 12.86 12.06 30.63c0 14.14-10.11 26.3-24.03 28.89c-5.778 1.082-13.06 6.417-13.06 15.75c0 8.886 6.765 10.72 6.765 23.56c0 31.02-31.51 22.12-31.51 43.05c0 3.526 1.185 5.13 1.185 10.01C389 434.8 375.8 448 359.5 448H303.9c-82.01 0-108.3-64.02-127.9-64.02c-8.873 0-16 7.193-16 15.96C159.1 416.3 224.6 480 303.9 480h55.63c33.91 0 61.5-27.58 61.5-61.47c18.55-10.86 30.33-31 30.33-53.06c0-4.797-.5938-9.594-1.734-14.27c19.31-10.52 32.06-30.97 32.06-53.94c0-7.219-1.281-14.31-3.75-20.98C498.2 266.2 512 245.3 512 221.5z"],
    "thumbtack": [384, 512, [128392, 128204, "thumb-tack"], "f08d", "M176 352H32C22.15 352 12.84 347.5 6.778 339.7C.7133 331.9-1.434 321.8 .9555 312.2L7.202 287.3C17.51 246 42.58 211.5 75.93 188.9L88 32H64C61.11 32 58.41 31.24 56.07 29.9C51.25 27.14 48 21.95 48 16C48 7.164 55.16 0 64 0H320C328.8 0 336 7.164 336 16C336 21.95 332.8 27.14 327.9 29.9C325.6 31.24 322.9 32 320 32H296L308.1 188.9C341.4 211.5 366.5 246 376.8 287.3L383 312.2C385.4 321.8 383.3 331.9 377.2 339.7C371.2 347.5 361.9 352 352 352H208V496C208 504.8 200.8 512 191.1 512C183.2 512 175.1 504.8 175.1 496L176 352zM106.7 206.8L93.89 215.4C66.87 233.7 46.59 261.6 38.25 295L32 320H176V224C176 215.2 183.2 208 192 208C200.8 208 208 215.2 208 224V320H352L345.8 295C337.4 261.6 317.1 233.7 290.1 215.4L277.4 206.8L263.9 32H120.1L106.7 206.8z"],
    "tick": [128, 512, [], "e32f", "M113.1 54.93C100.9 39.64 82.46 32 63.99 32s-36.93 7.643-49.1 22.93C2.692 70.21-2.372 90.22 1.044 109.9l25.21 145.2C29.55 274.1 45.44 288 63.99 288s34.44-13.89 37.74-32.99l25.24-145.2C130.4 90.22 125.3 70.21 113.1 54.93zM70.2 249.6C69.57 253.2 66.9 256 63.99 256S58.42 253.2 57.78 249.5l-25.21-145.2c-1.844-10.59 .8301-21.33 7.357-29.51C45.42 67.96 54.19 64 63.99 64s18.57 3.957 24.09 10.89c6.506 8.152 9.188 18.9 7.361 29.46L70.2 249.6z"],
    "ticket": [576, 512, [127903], "f145", "M128 192C128 174.3 142.3 160 160 160H416C433.7 160 448 174.3 448 192V320C448 337.7 433.7 352 416 352H160C142.3 352 128 337.7 128 320V192zM160 320H416V192H160V320zM576 128V208C549.5 208 528 229.5 528 256C528 282.5 549.5 304 576 304V384C576 419.3 547.3 448 512 448H64C28.65 448 0 419.3 0 384V304C26.51 304 48 282.5 48 256C48 229.5 26.51 208 0 208V128C0 92.65 28.65 64 64 64H512C547.3 64 576 92.65 576 128zM32 182.7C60.25 195 80 223.2 80 256C80 288.8 60.25 316.1 32 329.3V384C32 401.7 46.33 416 64 416H512C529.7 416 544 401.7 544 384V329.3C515.7 316.1 496 288.8 496 256C496 223.2 515.7 195 544 182.7V128C544 110.3 529.7 96 512 96H64C46.33 96 32 110.3 32 128V182.7z"],
    "ticket-airline": [640, 512, [], "e29a", "M448 160C448 151.2 455.2 144 464 144C472.8 144 480 151.2 480 160C480 168.8 472.8 176 464 176C455.2 176 448 168.8 448 160zM448 224C448 215.2 455.2 208 464 208C472.8 208 480 215.2 480 224C480 232.8 472.8 240 464 240C455.2 240 448 232.8 448 224zM480 288C480 296.8 472.8 304 464 304C455.2 304 448 296.8 448 288C448 279.2 455.2 272 464 272C472.8 272 480 279.2 480 288zM448 352C448 343.2 455.2 336 464 336C472.8 336 480 343.2 480 352C480 360.8 472.8 368 464 368C455.2 368 448 360.8 448 352zM218.2 128C232.4 128 245.6 135.6 252.8 147.8L287.9 208H318.9C339.2 208 358.7 216.1 373 230.4C387.2 244.5 387.2 267.5 373 281.6C358.7 295.9 339.2 303.1 318.9 303.1H287.9L252.8 364.2C245.6 376.4 232.4 384 218.2 384H187.1C170.7 384 159.2 367.1 164.3 352.4L180.5 303.1H168L153.6 323.2C147.6 331.3 138.1 336 128 336H114.2C98.63 336 87.18 321.3 90.96 306.2L103.5 255.1L90.96 205.8C87.18 190.7 98.63 175.1 114.2 175.1H128C138.1 175.1 147.6 180.7 153.6 188.8L168 207.1H180.5L164.3 159.6C159.2 144 170.7 127.1 187.1 127.1L218.2 128zM224.9 240H152L128 208H124.5L134.6 248.2C135.8 253.3 135.8 258.7 134.6 263.8L124.5 303.1H128L152 271.1H224.9L198.2 352H218.2C221.1 352 223.7 350.5 225.1 348L269.5 271.1H318.9C330.7 271.1 342.1 267.3 350.4 258.1C352 257.3 352 254.7 350.4 253C342.1 244.7 330.7 239.1 318.9 239.1H269.5L225.1 163.1C223.7 161.5 221.1 159.1 218.2 159.1H198.2L224.9 240zM0 128C0 92.65 28.65 64 64 64H576C611.3 64 640 92.65 640 128V194.4C640 202.4 631.1 208 624 208C597.5 208 576 229.5 576 256C576 282.5 597.5 304 624 304C631.1 304 640 309.6 640 317.6V384C640 419.3 611.3 448 576 448H64C28.65 448 0 419.3 0 384V128zM64 96C46.33 96 32 110.3 32 128V384C32 401.7 46.33 416 64 416H576C593.7 416 608 401.7 608 384V334.4C571.5 326.1 544 294.7 544 256C544 217.3 571.5 185 608 177.6V128C608 110.3 593.7 96 576 96H64z"],
    "ticket-simple": [576, 512, ["ticket-alt"], "f3ff", "M576 208C549.5 208 528 229.5 528 256C528 282.5 549.5 304 576 304V384C576 419.3 547.3 448 512 448H64C28.65 448 0 419.3 0 384V304C26.51 304 48 282.5 48 256C48 229.5 26.51 208 0 208V128C0 92.65 28.65 64 64 64H512C547.3 64 576 92.65 576 128V208zM64 96C46.33 96 32 110.3 32 128V182.7C60.25 195 80 223.2 80 256C80 288.8 60.25 316.1 32 329.3V384C32 401.7 46.33 416 64 416H512C529.7 416 544 401.7 544 384V329.3C515.7 316.1 496 288.8 496 256C496 223.2 515.7 195 544 182.7V128C544 110.3 529.7 96 512 96H64z"],
    "tickets-airline": [640, 512, [], "e29b", "M512 112C512 120.8 504.8 128 496 128C487.2 128 480 120.8 480 112C480 103.2 487.2 96 496 96C504.8 96 512 103.2 512 112zM512 176C512 184.8 504.8 192 496 192C487.2 192 480 184.8 480 176C480 167.2 487.2 160 496 160C504.8 160 512 167.2 512 176zM480 240C480 231.2 487.2 224 496 224C504.8 224 512 231.2 512 240C512 248.8 504.8 256 496 256C487.2 256 480 248.8 480 240zM512 304C512 312.8 504.8 320 496 320C487.2 320 480 312.8 480 304C480 295.2 487.2 288 496 288C504.8 288 512 295.2 512 304zM295.1 96C310.2 96 323.4 103.6 330.5 115.8L356.3 160H388.7C408.1 160 428.4 168.1 442.8 182.4C456.9 196.5 456.9 219.5 442.8 233.6C428.4 247.9 408.1 255.1 388.7 255.1H356.3L330.5 300.2C323.4 312.4 310.2 319.1 295.1 319.1H264.9C248.5 319.1 236.9 303.1 242.1 288.4L252.9 255.1H236.4L229.8 262.6C223.8 268.6 215.6 271.1 207.1 271.1H184.9C168.5 271.1 156.9 255.1 162.1 240.4L172.9 207.1L162.1 175.6C156.9 160 168.5 143.1 184.9 143.1H207.1C215.6 143.1 223.8 147.4 229.8 153.4L236.4 159.1H252.9L242.1 127.6C236.9 112 248.5 95.1 264.9 95.1L295.1 96zM297.3 192H223.1L207.1 176H195.1L203.2 197.9C205.4 204.4 205.4 211.6 203.2 218.1L195.1 240H207.1L223.1 224H297.3L275.1 288H295.1C298.8 288 301.4 286.5 302.9 284L337.9 224H388.7C400.5 224 411.8 219.3 420.2 210.1C421.8 209.3 421.8 206.7 420.2 205C411.8 196.7 400.5 192 388.7 192H337.9L302.9 131.1C301.4 129.5 298.8 128 295.1 128H275.1L297.3 192zM640 96V168C617.9 168 600 185.9 600 208C600 230.1 617.9 248 640 248V320C640 355.3 611.3 384 576 384H160C124.7 384 96 355.3 96 320V96C96 60.65 124.7 32 160 32H576C611.3 32 640 60.65 640 96zM128 320C128 337.7 142.3 352 160 352H576C593.7 352 608 337.7 608 320V272.5C584.3 260.7 568 236.3 568 208C568 179.7 584.3 155.3 608 143.5V96C608 78.33 593.7 64 576 64H160C142.3 64 128 78.33 128 96V320zM16 96C24.84 96 32 103.2 32 112V368C32 412.2 67.82 448 112 448H528C536.8 448 544 455.2 544 464C544 472.8 536.8 480 528 480H112C50.14 480 0 429.9 0 368V112C0 103.2 7.164 96 16 96zM316.7 123.9L330.5 115.8z"],
    "tilde": [448, 512, [63135], "7e", "M448 176v83.13C448 319 399.5 367.6 339.8 368c-37.13 .125-71.38-20-92.5-50.38L172 209C154.1 183.3 121.8 170.4 89.1 178.3C55.13 187 32 220.3 32 256.1V336C32 344.8 24.8 352 16 352S0 344.8 0 336V252.9C0 193 48.5 144.4 108.3 144c37.13-.125 71.38 20 92.5 50.38L276 303c17.88 25.75 50.25 38.63 81.1 30.75C392.9 325 416 291.8 416 255.9V176C416 167.2 423.2 160 432 160S448 167.2 448 176z"],
    "timeline": [640, 512, [], "e29c", "M160 256H480V141.1C452.4 134.9 432 109.8 432 80C432 44.65 460.7 16 496 16C531.3 16 560 44.65 560 80C560 109.8 539.6 134.9 512 141.1V256H624C632.8 256 640 263.2 640 272C640 280.8 632.8 288 624 288H352V370C379.6 377.1 400 402.2 400 432C400 467.3 371.3 496 336 496C300.7 496 272 467.3 272 432C272 402.2 292.4 377.1 320 370V288H16C7.164 288 0 280.8 0 272C0 263.2 7.164 256 16 256H128V141.1C100.4 134.9 80 109.8 80 80C80 44.65 108.7 16 144 16C179.3 16 208 44.65 208 80C208 109.8 187.6 134.9 160 141.1V256zM144 112C161.7 112 176 97.67 176 80C176 62.33 161.7 48 144 48C126.3 48 112 62.33 112 80C112 97.67 126.3 112 144 112zM336 400C318.3 400 304 414.3 304 432C304 449.7 318.3 464 336 464C353.7 464 368 449.7 368 432C368 414.3 353.7 400 336 400zM496 112C513.7 112 528 97.67 528 80C528 62.33 513.7 48 496 48C478.3 48 464 62.33 464 80C464 97.67 478.3 112 496 112z"],
    "timeline-arrow": [640, 512, [], "e29d", "M175.1 80C175.1 109.8 155.6 134.9 127.1 141.1V256H352V141.1C324.4 134.9 303.1 109.8 303.1 80C303.1 44.65 332.7 16 368 16C403.3 16 432 44.65 432 80C432 109.8 411.6 134.9 384 141.1V256H579.8L517.8 204.3C510.1 198.6 510.1 188.5 515.7 181.8C521.4 174.1 531.5 174.1 538.2 179.7L634.1 259.6C634.7 260.1 635.3 260.6 635.8 261.2C638.4 264 640 267.8 640 272C640 272.3 639.1 272.7 639.1 272.1C639.8 276.5 638.4 279.6 636.3 282.2C635.7 282.9 635 283.7 634.2 284.3L538.2 364.3C531.5 369.9 521.4 369 515.7 362.2C510.1 355.5 510.1 345.4 517.8 339.7L579.8 288H256V370C283.6 377.1 304 402.2 304 432C304 467.3 275.3 496 240 496C204.7 496 176 467.3 176 432C176 402.2 196.4 377.1 224 370V288H16C7.164 288 0 280.8 0 272C0 263.2 7.164 256 16 256H96V141.1C68.4 134.9 48 109.8 48 80C48 44.65 76.65 16 112 16C147.3 16 176 44.65 176 80H175.1zM111.1 48C94.33 48 79.1 62.33 79.1 80C79.1 97.67 94.33 112 111.1 112C129.7 112 143.1 97.67 143.1 80C143.1 62.33 129.7 48 111.1 48zM239.1 464C257.7 464 271.1 449.7 271.1 432C271.1 414.3 257.7 400 239.1 400C222.3 400 207.1 414.3 207.1 432C207.1 449.7 222.3 464 239.1 464zM368 48C350.3 48 336 62.33 336 80C336 97.67 350.3 112 368 112C385.7 112 400 97.67 400 80C400 62.33 385.7 48 368 48z"],
    "timer": [512, 512, [], "e29e", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 202.7 16.28 153.2 44.15 112.2C49.12 104.9 59.07 103 66.37 108C73.68 112.1 75.58 122.9 70.61 130.2C46.24 166.1 32 209.4 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 137.7 388.2 40.77 272 32.56V112C272 120.8 264.8 128 256 128C247.2 128 240 120.8 240 112V16C240 7.164 247.2 0 256 0C397.4 0 512 114.6 512 256V256zM267.3 244.7C273.6 250.9 273.6 261.1 267.3 267.3C261.1 273.6 250.9 273.6 244.7 267.3L148.7 171.3C142.4 165.1 142.4 154.9 148.7 148.7C154.9 142.4 165.1 142.4 171.3 148.7L267.3 244.7z"],
    "tire": [512, 512, [], "f631", "M96 256C96 167.6 167.6 96 256 96C344.4 96 416 167.6 416 256C416 344.4 344.4 416 256 416C167.6 416 96 344.4 96 256zM381.7 280.2C383.2 272.3 384 264.3 384 256C384 219.2 368.5 186.1 343.7 162.7L305.5 215.4C314.5 226.4 320 240.6 320 256C320 257.4 319.1 258.7 319.9 260L381.7 280.2zM309.9 290.4C301.3 303.9 287.8 313.9 271.9 317.1L271.1 383C316.2 377.5 353.5 349.4 371.8 310.6L309.9 290.4zM239.1 383L239.9 317.1C224.1 313.9 210.6 303.9 202.1 290.4L140.2 310.6C158.5 349.4 195.7 377.5 239.1 383V383zM192.1 260C192 258.7 192 257.4 192 256C192 240.6 197.5 226.4 206.5 215.4L168.3 162.7C143.5 186.1 128 219.2 128 255.1C128 264.3 128.8 272.3 130.3 280.2L192.1 260zM232.4 196.5C239.7 193.6 247.7 192 256 192C264.3 192 272.3 193.6 279.6 196.5L317.8 143.9C299.5 133.8 278.4 128 256 128C233.6 128 212.5 133.8 194.2 143.9L232.4 196.5zM256 224C238.3 224 224 238.3 224 256C224 273.7 238.3 288 256 288C273.7 288 288 273.7 288 256C288 238.3 273.7 224 256 224zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 32C132.3 32 32 132.3 32 256C32 379.7 132.3 480 256 480C379.7 480 480 379.7 480 256C480 132.3 379.7 32 256 32z"],
    "tire-flat": [512, 512, [], "f632", "M416 288C416 376.4 344.4 448 255.1 448C167.6 448 95.1 376.4 95.1 288C95.1 199.6 167.6 128 255.1 128C344.4 128 416 199.6 416 288zM343.7 194.7L305.5 247.4C314.5 258.4 320 272.6 320 288C320 289.4 319.1 290.7 319.9 292L381.7 312.2C383.2 304.3 384 296.3 384 287.1C384 251.2 368.5 218.1 343.7 194.7L343.7 194.7zM271.9 350L271.1 415C316.2 409.5 353.5 381.4 371.8 342.6L309.9 322.4C301.3 335.9 287.8 345.9 271.9 350L271.9 350zM202 322.4L140.2 342.6C158.5 381.4 195.7 409.5 239.1 415L239.9 349.1C224.1 345.9 210.6 335.9 202 322.4V322.4zM127.1 288C127.1 296.3 128.8 304.3 130.3 312.2L192.1 292C192 290.7 191.1 289.4 191.1 288C191.1 272.6 197.5 258.4 206.5 247.4L168.3 194.7C143.5 218.1 127.1 251.2 127.1 288H127.1zM279.6 228.5L317.8 175.9C299.5 165.8 278.4 160 255.1 160C233.6 160 212.5 165.8 194.2 175.9L232.4 228.5C239.7 225.6 247.7 224 255.1 224C264.3 224 272.3 225.6 279.6 228.5zM255.1 256C238.3 256 223.1 270.3 223.1 288C223.1 305.7 238.3 320 255.1 320C273.7 320 288 305.7 288 288C288 270.3 273.7 256 255.1 256zM512 288C512 326.1 503.7 362.2 488.8 394.7C487.7 396.9 487.8 399.5 488.9 401.7L506.5 437.1C510.1 444.3 512 452.2 512 460.2C512 488.8 488.8 512 460.2 512H51.78C23.18 512 0 488.8 0 460.2C0 452.2 1.871 444.3 5.466 437.1L23.13 401.7C24.24 399.5 24.25 396.9 23.22 394.7C8.314 362.2 0 326.1 0 288C0 146.6 114.6 32 256 32C397.4 32 512 146.6 512 288H512zM51.78 480H460.2C471.1 480 480 471.1 480 460.2C480 457.2 479.3 454.1 477.9 451.4L460.2 416C454.7 404.9 454.7 392.2 459.7 381.3C472.7 352.1 480 321.4 480 288C480 164.3 379.7 64 255.1 64C132.3 64 31.1 164.3 31.1 288C31.1 321.4 39.28 352.1 52.31 381.3C57.27 392.2 57.31 404.9 51.76 416L34.09 451.4C32.71 454.1 31.1 457.2 31.1 460.2C31.1 471.1 40.85 480 51.78 480H51.78zM5.838 437.3L34.09 451.4z"],
    "tire-pressure-warning": [512, 512, [], "f633", "M432 16V27.57C432 64.83 440.7 101.6 457.3 134.9L462.1 144.4C481.3 177.5 502.7 225.5 502 281C501.3 336 478.9 396.3 415.1 455.1C415.1 455.4 416 455.7 416 456V496C416 504.8 408.8 512 400 512C391.2 512 384 504.8 384 496V464H320V496C320 504.8 312.8 512 304 512C295.2 512 288 504.8 288 496V464H224V496C224 504.8 216.8 512 208 512C199.2 512 192 504.8 192 496V464H128V496C128 504.8 120.8 512 112 512C103.2 512 96 504.8 96 496V456C96 455.7 96.01 455.4 96.03 455.1C33.08 396.3 10.71 336 10 281C9.284 225.5 30.65 177.5 49.92 144.4L54.66 134.9C71.32 101.6 79.1 64.83 79.1 27.57V16C79.1 7.164 87.16 0 95.1 0C104.8 0 111.1 7.164 111.1 16V27.57C111.1 69.79 102.2 111.4 83.28 149.2L78.31 159.2C78.16 159.5 77.99 159.8 77.82 160.1C59.82 190.9 41.39 233.2 41.1 280.6C42.59 326.1 60.74 378.5 118.2 432H393.8C451.3 378.5 469.4 326.1 470 280.6C470.6 233.2 452.2 190.9 434.2 160.1C434 159.8 433.8 159.5 433.7 159.2L428.7 149.2C409.8 111.4 400 69.79 400 27.57V16C400 7.164 407.2 .0003 416 .0003C424.8 .0003 432 7.164 432 16L432 16zM255.1 96C264.8 96 272 103.2 272 112V240C272 248.8 264.8 256 255.1 256C247.2 256 239.1 248.8 239.1 240V112C239.1 103.2 247.2 96 255.1 96zM280 320C280 333.3 269.3 344 255.1 344C242.7 344 231.1 333.3 231.1 320C231.1 306.7 242.7 296 255.1 296C269.3 296 280 306.7 280 320z"],
    "tire-rugged": [512, 512, [], "f634", "M232 184C232 170.7 242.7 160 256 160C269.3 160 280 170.7 280 184C280 197.3 269.3 208 256 208C242.7 208 232 197.3 232 184zM194.9 210.9C207.5 215 214.4 228.6 210.4 241.2C206.3 253.8 192.7 260.7 180.1 256.6C167.5 252.5 160.6 238.9 164.7 226.3C168.8 213.7 182.3 206.8 194.9 210.9zM317.1 210.9C329.7 206.8 343.2 213.7 347.3 226.3C351.4 238.9 344.5 252.5 331.9 256.6C319.3 260.7 305.7 253.8 301.7 241.2C297.6 228.6 304.5 215 317.1 210.9V210.9zM278.9 328.4C271.1 317.6 273.5 302.6 284.2 294.8C294.9 287 309.9 289.4 317.7 300.1C325.5 310.9 323.2 325.9 312.4 333.7C301.7 341.5 286.7 339.1 278.9 328.4V328.4zM233.1 328.4C225.3 339.1 210.3 341.5 199.6 333.7C188.8 325.9 186.5 310.9 194.3 300.1C202.1 289.4 217.1 287 227.8 294.8C238.5 302.6 240.9 317.6 233.1 328.4V328.4zM416 256C416 344.4 344.4 416 256 416C167.6 416 96 344.4 96 256C96 167.6 167.6 96 256 96C344.4 96 416 167.6 416 256zM256 384C326.7 384 384 326.7 384 256C384 185.3 326.7 128 256 128C185.3 128 128 185.3 128 256C128 326.7 185.3 384 256 384zM183.4 35.59C188.9 14.92 207.7 0 229.8 0H282.2C304.2 0 323.1 14.92 328.6 35.59C339.6 39.22 350.3 43.65 360.5 48.82C379 38.1 402.9 40.86 418.5 56.44L455.6 93.52C471.1 109.1 473.9 132.1 463.2 151.5C468.3 161.7 472.8 172.4 476.4 183.4C497.1 188.9 511.1 207.7 511.1 229.8V282.2C511.1 304.3 497.1 323.1 476.4 328.6C472.8 339.6 468.3 350.3 463.2 360.5C473.9 379 471.1 402.9 455.6 418.5L418.5 455.6C402.9 471.1 379 473.9 360.5 463.2C350.3 468.3 339.6 472.8 328.6 476.4C323.1 497.1 304.2 512 282.2 512H229.8C207.7 512 188.9 497.1 183.4 476.4C172.4 472.8 161.7 468.3 151.5 463.2C132.1 473.9 109.1 471.1 93.51 455.6L56.44 418.5C40.85 402.9 38.09 379 48.82 360.5C43.65 350.3 39.22 339.6 35.59 328.6C14.92 323.1-.0038 304.3-.0038 282.2V229.8C-.0038 207.7 14.92 188.9 35.59 183.4C39.22 172.4 43.65 161.7 48.82 151.5C38.09 132.1 40.85 109.1 56.44 93.52L93.51 56.44C109.1 40.86 132.1 38.1 151.5 48.82C161.7 43.66 172.4 39.22 183.4 35.59L183.4 35.59zM229.8 32C221.5 32 214.6 38.26 213.9 46.46L212.5 60.43L201.9 63.39C186.5 67.72 171.8 73.87 158 81.59L148.5 86.97L137.6 78.03C131.3 72.79 121.1 73.24 116.1 79.07L79.07 116.1C73.24 121.1 72.79 131.3 78.03 137.6L86.97 148.5L81.59 158C73.87 171.8 67.72 186.5 63.39 201.9L60.43 212.5L46.46 213.9C38.26 214.7 31.1 221.5 31.1 229.8V282.2C31.1 290.5 38.26 297.4 46.46 298.1L60.43 299.5L63.39 310.1C67.72 325.5 73.87 340.2 81.59 353.1L86.97 363.5L78.03 374.4C72.79 380.7 73.24 390 79.07 395.9L116.1 432.9C121.1 438.8 131.3 439.2 137.6 433.1L148.5 425L158 430.4C171.8 438.1 186.5 444.3 201.9 448.6L212.5 451.6L213.9 465.5C214.6 473.7 221.5 480 229.8 480H282.2C290.5 480 297.3 473.7 298.1 465.5L299.5 451.6L310 448.6C325.5 444.3 340.2 438.1 353.1 430.4L363.5 425L374.4 433.1C380.7 439.2 390 438.8 395.8 432.9L432.9 395.9C438.8 390 439.2 380.7 433.1 374.4L425 363.5L430.4 353.1C438.1 340.2 444.3 325.5 448.6 310.1L451.6 299.5L465.5 298.1C473.7 297.4 479.1 290.5 479.1 282.2V229.8C479.1 221.5 473.7 214.7 465.5 213.9L451.6 212.5L448.6 201.1C444.3 186.5 438.1 171.8 430.4 158L425 148.5L433.1 137.6C439.2 131.3 438.8 121.1 432.9 116.1L395.8 79.07C390 73.24 380.7 72.8 374.4 78.03L363.5 86.97L353.1 81.59C340.2 73.87 325.5 67.72 310 63.38L299.5 60.43L298.1 46.46C297.3 38.26 290.5 32 282.2 32L229.8 32z"],
    "toggle-large-off": [576, 512, [], "e5b0", "M0 256C0 167.6 71.63 96 160 96H416C504.4 96 576 167.6 576 256C576 344.4 504.4 416 416 416H160C71.63 416 0 344.4 0 256zM160 128C89.31 128 32 185.3 32 256C32 326.7 89.31 384 160 384C230.7 384 288 326.7 288 256C288 185.3 230.7 128 160 128zM416 384C486.7 384 544 326.7 544 256C544 185.3 486.7 128 416 128H256C294.9 157.2 320 203.7 320 256C320 308.3 294.9 354.8 256 384H416z"],
    "toggle-large-on": [576, 512, [], "e5b1", "M416 416H160C71.63 416 0 344.4 0 256C0 167.6 71.63 96 160 96H416C504.4 96 576 167.6 576 256C576 344.4 504.4 416 416 416zM288 256C288 326.7 345.3 384 416 384C486.7 384 544 326.7 544 256C544 185.3 486.7 128 416 128C345.3 128 288 185.3 288 256zM319.1 384C281.1 354.8 256 308.3 256 256C256 203.7 281.1 157.2 319.1 128H160C89.31 128 32 185.3 32 256C32 326.7 89.31 384 160 384H319.1z"],
    "toggle-off": [576, 512, [], "f204", "M160 160C213 160 256 202.1 256 256C256 309 213 352 160 352C106.1 352 64 309 64 256C64 202.1 106.1 160 160 160zM96 256C96 291.3 124.7 320 160 320C195.3 320 224 291.3 224 256C224 220.7 195.3 192 160 192C124.7 192 96 220.7 96 256zM416 416H160C71.63 416 0 344.4 0 256C0 167.6 71.63 96 160 96H416C504.4 96 576 167.6 576 256C576 344.4 504.4 416 416 416zM416 128H160C89.31 128 32 185.3 32 256C32 326.7 89.31 384 160 384H416C486.7 384 544 326.7 544 256C544 185.3 486.7 128 416 128z"],
    "toggle-on": [576, 512, [], "f205", "M512 256C512 309 469 352 416 352C362.1 352 320 309 320 256C320 202.1 362.1 160 416 160C469 160 512 202.1 512 256zM416 192C380.7 192 352 220.7 352 256C352 291.3 380.7 320 416 320C451.3 320 480 291.3 480 256C480 220.7 451.3 192 416 192zM0 256C0 167.6 71.63 96 160 96H416C504.4 96 576 167.6 576 256C576 344.4 504.4 416 416 416H160C71.63 416 0 344.4 0 256zM32 256C32 326.7 89.31 384 160 384H416C486.7 384 544 326.7 544 256C544 185.3 486.7 128 416 128H160C89.31 128 32 185.3 32 256z"],
    "toilet": [448, 512, [128701], "f7d8", "M416 212.1V80C416 71.16 408.8 64 400 64S384 71.16 384 80v118.1c-85.18-28.95-234.8-28.95-320 0V80C64 71.16 56.84 64 48 64S32 71.16 32 80v132.1C12.06 224.5 0 238.9 0 256c0 52.17 24.47 99.47 64 134.1V464C64 490.5 85.53 512 112 512h224c26.47 0 48-21.53 48-48v-73.89C423.5 355.5 448 308.2 448 256C448 238.9 435.9 224.5 416 212.1zM352 464c0 8.812-7.188 16-16 16h-224C103.2 480 96 472.8 96 464v-50.66C132.3 435.1 176.4 448 224 448c47.59 0 91.68-12.88 128-34.66V464zM224 416c-85.79 0-158.6-47.14-183.1-111.1C83.6 325.1 154.1 336 224 336s140.4-10.86 183.1-31.96C382.6 368.9 309.8 416 224 416zM224 304C104.9 304 32 272.9 32 256s72.91-48 192-48s192 31.06 192 48S343.1 304 224 304zM16 32h416C440.8 32 448 24.84 448 16C448 7.162 440.8 0 432 0h-416C7.164 0 0 7.162 0 16C0 24.84 7.164 32 16 32zM112 64C103.2 64 96 71.16 96 80C96 88.84 103.2 96 112 96h32C152.8 96 160 88.84 160 80C160 71.16 152.8 64 144 64H112z"],
    "toilet-paper": [576, 512, [129531], "f71e", "M511.1 192c0-45.59-20.63-80-48-80c-27.38 0-48 34.41-48 80s20.63 80 48 80C491.4 272 511.1 237.6 511.1 192zM447.1 192c0-27.36 6.874-48 16-48c9.125 0 16 20.64 16 48c0 27.36-6.875 48-16 48C454.9 240 447.1 219.4 447.1 192zM111.1 192C103.1 192 95.99 199.1 95.99 208S103.1 224 111.1 224s16-7.125 16-16S120.9 192 111.1 192zM239.1 224c8.875 0 16.01-7.123 16.01-15.1S248.9 192 239.1 192c-8.877 0-16 7.123-16 15.1S231.1 224 239.1 224zM175.1 224c8.875 0 16-7.127 16-16S184.9 192 175.1 192S159.1 199.1 159.1 207.1S167.1 224 175.1 224zM303.1 224c8.875 0 16-7.125 16-16s-7.125-16-16-16s-16 7.127-16 16S295.1 224 303.1 224zM463.1 0H143.1C82.1 0 31.98 86 31.98 192v172.1c0 41.13-9.75 62.75-31.13 126.9C-2.65 501.3 5.099 512 15.98 512h312.9c13.88 0 26-8.75 30.38-21.88C370.5 456.6 383.1 416 383.1 384l.0015-191.9C383.1 105.3 420.6 32 463.1 32c43.38 0 80 73.28 80 160s-36.63 160-80 160c-8.846 0-16 7.156-16 16s7.159 16 16 16C526.8 384 576 299.7 576 192S526.8 0 463.1 0zM351.1 192l-.0044 172.1c0 48.8-9.967 75.32-23 115.9H38.23c26.53-68.98 25.75-102.8 25.75-115.9V192c0-94.25 42.13-160 80-160h257.3C371.4 66.12 351.1 124.5 351.1 192z"],
    "toilet-paper-blank": [576, 512, ["toilet-paper-alt"], "f71f", "M511.1 192c0-45.59-20.63-80-48-80c-27.38 0-48 34.41-48 80s20.63 80 48 80C491.4 272 511.1 237.6 511.1 192zM447.1 192c0-27.36 6.874-48 16-48c9.125 0 16 20.64 16 48c0 27.36-6.875 48-16 48C454.9 240 447.1 219.4 447.1 192zM463.1 0H143.1C82.1 0 31.98 86 31.98 192v172.1c0 41.13-9.75 62.75-31.13 126.9C-2.65 501.3 5.099 512 15.98 512h312.9c13.88 0 26-8.75 30.38-21.88C370.5 456.6 383.1 416 383.1 384l.0015-191.9C383.1 105.3 420.6 32 463.1 32c43.38 0 80 73.28 80 160s-36.63 160-80 160c-8.846 0-16 7.156-16 16s7.159 16 16 16C526.8 384 576 299.7 576 192S526.8 0 463.1 0zM351.1 192l-.0044 172.1c0 48.8-9.967 75.32-23 115.9H38.23c26.53-68.98 25.75-102.8 25.75-115.9V192c0-94.25 42.13-160 80-160h257.3C371.4 66.12 351.1 124.5 351.1 192z"],
    "toilet-paper-blank-under": [512, 512, ["toilet-paper-reverse-alt"], "e29f", "M399.1 112c-27.38 0-48 34.41-48 80s20.63 80 48 80c27.38 0 48-34.41 48-80S427.4 112 399.1 112zM399.1 240c-9.127 0-15.1-20.64-15.1-48c0-27.36 6.872-48 15.1-48c9.125 0 15.1 20.64 15.1 48C415.1 219.4 409.1 240 399.1 240zM512 192c0-106-50.15-192-112-192H112C50.15 0 0 85.96 0 192s50.15 192 112 192H399.1c31.36 0 59.67-22.15 80-57.75V464c0 8.812-7.188 16-16 16h-320C135.2 480 128 472.8 128 464v-32C128 423.2 120.8 416 112 416S96 423.2 96 432v32C96 490.5 117.5 512 144 512h320c26.47 0 48-21.53 48-48V224c0-2.051-.4629-3.979-1.164-5.779C511.5 209.6 512 200.9 512 192zM112 352C74.16 352 32 286.3 32 192s42.16-160 80-160h226.1c-30.21 34.39-50.14 93.18-50.14 160s19.94 125.6 50.14 160H112zM400 352C362.2 352 320 286.3 320 192s42.16-160 80-160S480 97.71 480 192S437.8 352 400 352z"],
    "toilet-paper-check": [640, 512, [], "e5b2", "M235.3 259.3C229.1 265.6 218.9 265.6 212.7 259.3L172.7 219.3C166.4 213.1 166.4 202.9 172.7 196.7C178.9 190.4 189.1 190.4 195.3 196.7L223.1 225.4L284.7 164.7C290.9 158.4 301.1 158.4 307.3 164.7C313.6 170.9 313.6 181.1 307.3 187.3L235.3 259.3zM15.1 479C16.16 473.7 17.66 468.4 20.5 463.6L20.53 463.6C23.09 458.9 25.51 454.2 27.78 449.3C63.61 372.8 64 272.2 64 192C64 85.96 106.1 0 160 0H496C536.7 0 565 32.2 581.2 64.55C598.3 98.82 608 143.9 608 192C608 240.1 598.3 285.2 581.2 319.4C565 351.8 536.7 384 496 384C471.9 384 452.2 372.7 436.7 356.8C438.9 342.6 440.8 327.3 442.4 310.8C456.6 336.4 475.4 352 496 352C540.2 352 576 280.4 576 192C576 103.6 540.2 32 496 32C451.8 32 416 103.6 416 192C416 236.7 413.8 275.7 410.4 309.7C410.1 312.1 409.9 314.6 409.6 317C400.6 399.4 384 450.1 373.3 475.9C363.3 499.9 340.2 512 317.9 512H48C36.47 512 25.84 505.8 20.16 495.8C17.21 490.6 15.82 484.8 15.1 479H15.1zM120.7 70.55C106 99.98 96 142.9 96 192C96 234.4 95.92 284.6 90.19 334.2C84.47 383.7 72.9 434.9 48.54 479.1C48.36 479.4 48.19 479.7 48 480H317.9C329.3 480 339.5 473.9 343.8 463.7C357.3 431 384 347.1 384 192C384 143.9 393.7 98.82 410.8 64.55C416.5 53.22 423.6 41.91 432.3 32H160C152.1 32 136.4 39.2 120.7 70.55V70.55zM464.6 256C459.6 249.6 456.4 242.3 454.3 236.1C450.1 223.3 448 207.7 448 192C448 176.3 450.1 160.7 454.3 147.9C456.4 141.7 459.6 134.4 464.6 127.1C469.4 121.9 479.8 112 496 112C512.2 112 522.6 121.9 527.4 127.1C532.4 134.4 535.6 141.7 537.7 147.9C541.9 160.7 544 176.3 544 192C544 207.7 541.9 223.3 537.7 236.1C535.6 242.3 532.4 249.6 527.4 256C522.6 262.1 512.2 272 496 272C479.8 272 469.4 262.1 464.6 256V256zM510.5 212.4C511.5 206.2 512 199.3 512 192C512 184.7 511.5 177.8 510.5 171.6C507.9 155.3 502.4 144 496 144C489.6 144 484.1 155.3 481.5 171.6C480.5 177.8 480 184.7 480 192C480 199.3 480.5 206.2 481.5 212.4C484.1 228.7 489.6 240 496 240C502.4 240 507.9 228.7 510.5 212.4z"],
    "toilet-paper-slash": [640, 512, [], "e072", "M633.9 483.4l-608-480C19-2.033 8.922-.8457 3.438 6.092c-5.469 6.938-4.281 17 2.641 22.47l608 480C617 510.9 620.5 512 623.1 512c4.734 0 9.422-2.094 12.58-6.094C642 498.1 640.8 488.9 633.9 483.4zM175.1 32h257.3c-29.94 34.12-49.31 92.46-49.31 159.1l-.0038 32.97l32 25.26l-.0012-58.23C415.1 105.3 452.6 32 495.1 32c43.38 0 80 73.28 80 160c0 64.41-20.25 121.3-48.42 146.3l25.12 19.84c33.29-32.92 55.29-94.26 55.29-166.2C607.1 84.34 558.8 0 495.1 0H175.1c-18.21 0-35.36 7.615-50.56 20.84l25.98 20.51C159.5 35.6 167.8 32 175.1 32zM360.1 480H70.23c26.53-68.98 25.75-102.8 25.75-115.9V192c0-10.41 .6992-20.33 1.666-29.99L68.41 138.9C65.58 155.8 63.98 173.6 63.98 191.1v172.1c0 41.13-9.75 62.75-31.13 126.9c-3.5 10.25 4.25 20.1 15.13 20.1L360.9 512c13.88 0 26-8.75 30.38-21.88c8.246-24.56 17.6-52.9 22.06-78.91l-30.26-23.89C380.4 422.3 371.8 446.4 360.1 480zM495.1 112c-27.38 0-48 34.41-48 80s20.63 80 48 80c27.38 0 48-34.41 48-80S523.4 112 495.1 112zM495.1 240c-9.127 0-16-20.65-16-48C479.1 164.6 486.9 144 495.1 144c9.125 0 16 20.64 16 48C511.1 219.4 505.1 240 495.1 240z"],
    "toilet-paper-under": [512, 512, ["toilet-paper-reverse"], "e2a0", "M159.1 192C151.1 192 143.1 199.1 143.1 208S151.1 224 159.1 224c8.875 0 15.99-7.125 15.99-16S168.9 192 159.1 192zM95.98 192C87.11 192 79.98 199.1 79.98 208S87.11 224 95.98 224s15.1-7.125 15.1-16S104.9 192 95.98 192zM223.1 192C215.1 192 207.1 199.1 207.1 208S215.1 224 223.1 224s15.99-7.125 15.99-16S232.9 192 223.1 192zM399.1 112c-27.38 0-48 34.41-48 80s20.63 80 48 80c27.38 0 48-34.41 48-80S427.4 112 399.1 112zM399.1 240c-9.127 0-15.1-20.64-15.1-48c0-27.36 6.872-48 15.1-48c9.125 0 15.1 20.64 15.1 48C415.1 219.4 409.1 240 399.1 240zM512 192c0-106-50.15-192-112-192H112C50.15 0 0 85.96 0 192s50.15 192 112 192H399.1c31.36 0 59.67-22.15 80-57.75V464c0 8.812-7.188 16-16 16h-320C135.2 480 128 472.8 128 464v-32C128 423.2 120.8 416 112 416S96 423.2 96 432v32C96 490.5 117.5 512 144 512h320c26.47 0 48-21.53 48-48V224c0-2.051-.4629-3.979-1.164-5.779C511.5 209.6 512 200.9 512 192zM112 352C74.16 352 32 286.3 32 192s42.16-160 80-160h226.1c-30.21 34.39-50.14 93.18-50.14 160s19.94 125.6 50.14 160H112zM400 352C362.2 352 320 286.3 320 192s42.16-160 80-160S480 97.71 480 192S437.8 352 400 352z"],
    "toilet-paper-under-slash": [640, 512, ["toilet-paper-reverse-slash"], "e2a1", "M633.9 483.4L25.92 3.436C19-2.033 8.922-.8457 3.438 6.092c-5.469 6.938-4.281 17 2.641 22.47l608 480C617 510.9 620.5 512 623.1 512c4.734 0 9.422-2.094 12.58-6.094C642 498.1 640.8 488.9 633.9 483.4zM176 32h226.1c-30.21 34.39-50.14 93.18-50.14 160c0 2.691 .2328 5.279 .2972 7.943l33.69 26.6C384.7 215.5 384 204 384 192c0-94.29 42.16-160 80-160s80 65.71 80 160c0 56.87-15.44 103-35.92 130.9l25.05 19.78c3.803-5.141 7.482-10.54 10.87-16.46v25.04l32 25.26L576 192c0-106-50.15-192-112-192H176C157.8 0 140.6 7.617 125.4 20.84l25.98 20.51C159.5 35.6 167.8 32 176 32zM208 480c-8.813 0-16-7.188-16-16v-32c0-8.844-7.156-16-16-16c-8.844 0-16 7.156-16 16v32c0 26.47 21.53 48 48 48h320c3.854 0 7.555-.5781 11.15-1.439L500.4 480H208zM378.8 384l-40.53-32H176c-37.84 0-80-65.71-80-160c0-10.41 .6992-20.32 1.664-29.98L68.43 138.9C65.6 155.8 64 173.6 64 192c0 106 50.15 192 112 192H378.8zM463.1 112c-27.38 0-48 34.41-48 80s20.63 80 48 80c27.38 0 48-34.41 48-80S491.4 112 463.1 112zM463.1 240c-9.127 0-15.1-20.64-15.1-48c0-27.36 6.872-48 15.1-48c9.125 0 15.1 20.64 15.1 48C479.1 219.4 473.1 240 463.1 240z"],
    "toilet-paper-xmark": [512, 512, [], "e5b3", "M227.3 132.7C233.6 138.9 233.6 149.1 227.3 155.3L190.6 192L227.3 228.7C233.6 234.9 233.6 245.1 227.3 251.3C221.1 257.6 210.9 257.6 204.7 251.3L167.1 214.6L131.3 251.3C125.1 257.6 114.9 257.6 108.7 251.3C102.4 245.1 102.4 234.9 108.7 228.7L145.4 192L108.7 155.3C102.4 149.1 102.4 138.9 108.7 132.7C114.9 126.4 125.1 126.4 131.3 132.7L167.1 169.4L204.7 132.7C210.9 126.4 221.1 126.4 227.3 132.7zM431.4 256C426.6 262.1 416.2 272 400 272C383.8 272 373.4 262.1 368.6 256C363.6 249.6 360.4 242.3 358.3 236.1C354.1 223.3 352 207.7 352 192C352 176.3 354.1 160.7 358.3 147.9C360.4 141.7 363.6 134.4 368.6 127.1C373.4 121.9 383.8 112 400 112C416.2 112 426.6 121.9 431.4 127.1C436.4 134.4 439.6 141.7 441.7 147.9C445.9 160.7 448 176.3 448 192C448 207.7 445.9 223.3 441.7 236.1C439.6 242.3 436.4 249.6 431.4 256zM385.5 212.4C388.1 228.7 393.6 240 400 240C406.4 240 411.9 228.7 414.5 212.4C415.5 206.2 416 199.3 416 192C416 184.7 415.5 177.8 414.5 171.6C411.9 155.3 406.4 144 400 144C393.6 144 388.1 155.3 385.5 171.6C384.5 177.8 384 184.7 384 192C384 199.3 384.5 206.2 385.5 212.4zM400 384H112C76.89 384 48.63 358.1 30.07 324.1C11.19 289.5 0 242.8 0 192C0 141.2 11.19 94.51 30.07 59.89C48.63 25.87 76.89 0 112 0H400C435.1 0 463.4 25.87 481.9 59.89C500.8 94.51 512 141.2 512 192V464C512 490.5 490.5 512 464 512H176C149.5 512 128 490.5 128 464V416H160V464C160 472.8 167.2 480 176 480H464C472.8 480 480 472.8 480 464V327.6C461.4 359.9 433.9 384 400 384V384zM58.16 308.8C74.35 338.5 94.09 352 112 352H337.3C330.1 343.8 323.6 334.3 318.1 324.1C299.2 289.5 288 242.8 288 192C288 141.2 299.2 94.51 318.1 59.89C323.6 49.7 330.1 40.25 337.3 32H112C94.09 32 74.35 45.53 58.16 75.21C42.3 104.3 32 145.5 32 192C32 238.5 42.3 279.7 58.16 308.8V308.8zM320 192C320 238.5 330.3 279.7 346.2 308.8C362.4 338.5 382.1 352 400 352C417.9 352 437.6 338.5 453.8 308.8C469.7 279.7 480 238.5 480 192C480 145.5 469.7 104.3 453.8 75.21C437.6 45.53 417.9 32 400 32C382.1 32 362.4 45.53 346.2 75.21C330.3 104.3 320 145.5 320 192V192z"],
    "toilet-portable": [320, 512, [], "e583", "M320 64V496C320 504.8 312.8 512 304 512C295.2 512 288 504.8 288 496V480H32V496C32 504.8 24.84 512 16 512C7.164 512 0 504.8 0 496V64C0 28.65 28.65 0 64 0H256C291.3 0 320 28.65 320 64zM32 96H288V64C288 46.33 273.7 32 256 32H64C46.33 32 32 46.33 32 64V96zM32 128V448H288V336H264C241.9 336 224 318.1 224 296V248C224 225.9 241.9 208 264 208H288V128H32zM256 248V296C256 300.4 259.6 304 264 304H288V240H264C259.6 240 256 243.6 256 248z"],
    "toilets-portable": [576, 512, [], "e584", "M256 496C256 504.8 248.8 512 240 512C231.2 512 224 504.8 224 496V480H32V496C32 504.8 24.84 512 16 512C7.164 512 0 504.8 0 496V64C0 28.65 28.65 0 64 0H192C227.3 0 256 28.65 256 64V496zM64 32C46.33 32 32 46.33 32 64V96H224V64C224 46.33 209.7 32 192 32H64zM224 448V336H200C177.9 336 160 318.1 160 296V248C160 225.9 177.9 208 200 208H224V128H32V448H224zM224 240H200C195.6 240 192 243.6 192 248V296C192 300.4 195.6 304 200 304H224V240zM576 496C576 504.8 568.8 512 560 512C551.2 512 544 504.8 544 496V480H352V496C352 504.8 344.8 512 336 512C327.2 512 320 504.8 320 496V64C320 28.65 348.7 0 384 0H512C547.3 0 576 28.65 576 64V496zM384 32C366.3 32 352 46.33 352 64V96H544V64C544 46.33 529.7 32 512 32H384zM544 448V336H520C497.9 336 480 318.1 480 296V248C480 225.9 497.9 208 520 208H544V128H352V448H544zM544 240H520C515.6 240 512 243.6 512 248V296C512 300.4 515.6 304 520 304H544V240z"],
    "tomato": [512, 512, [], "e330", "M481.4 198.9c-5.031-7.281-15-9.062-22.25-4.047c-7.281 5.031-9.094 14.98-4.062 22.27C471.6 241 480 270.6 480 304.1C480 432.5 353.9 480 274.5 480H237.5C158.1 480 32 432.5 32 304.1C32 270.6 40.38 241 56.88 217.1c5.031-7.281 3.219-17.23-4.062-22.27C45.56 189.8 35.59 191.6 30.56 198.9C10.28 228.3 0 263.1 0 304.1C0 455.8 145.7 512 237.5 512h36.94C366.3 512 512 455.8 512 304.1C512 263.1 501.7 228.3 481.4 198.9zM64 176h70.13L113.7 216.8C110.6 223 111.8 230.4 116.7 235.3s12.28 6.094 18.47 3L256 177.9l120.8 60.42C379.1 239.5 381.6 240 384 240c4.156 0 8.25-1.609 11.31-4.688c4.875-4.875 6.094-12.31 3-18.47L377.9 176H448c6.562 0 12.25-4.188 14.69-10.28c2.406-6.109 .6562-13.25-4.125-17.73C447.1 137.1 385.4 85.63 272 80.9V80c0-30.06-14.34-58.78-38.41-76.8c-7-5.266-17.06-3.875-22.41 3.203C205.9 13.47 207.3 23.5 214.4 28.8C230.4 40.81 240 59.95 240 80v.8496C129.9 85.31 69.64 132.8 53.41 148C48.44 152.4 46.69 159.4 49.03 165.7S57.34 176 64 176zM240.2 112.1C240.7 121.3 247.5 128 256 128s15.27-6.658 15.8-15.02C327.6 115.5 369.4 129.7 396.8 144H352c-5.531 0-10.69 2.875-13.62 7.594c-2.906 4.719-3.156 10.61-.6875 15.56l10.53 21.06l-85.06-42.53C260.9 144.6 258.4 144 256 144S251.1 144.6 248.8 145.7L163.8 188.2l10.53-21.06c2.469-4.953 2.219-10.84-.6875-15.56C170.7 146.9 165.5 144 160 144H115.3C142.6 129.7 184.5 115.5 240.2 112.1z"],
    "tombstone": [448, 512, [], "f720", "M432 480h-416C7.164 480 0 487.2 0 496C0 504.8 7.164 512 16 512h416c8.836 0 16-7.164 16-16C448 487.2 440.8 480 432 480zM48 448C56.84 448 64 440.8 64 432V192c0-88.22 71.78-160 160-160s160 71.78 160 160v240c0 8.844 7.156 16 16 16s16-7.156 16-16l-.0012-240C415.1 86.12 329.9 0 223.1 0S31.1 86.13 31.1 192L32 432C32 440.8 39.16 448 48 448zM223.1 352C232.8 352 240 344.8 240 336v-128h64C312.8 208 320 200.8 320 192s-7.156-16-16-16h-64v-64c0-8.844-7.174-16-16.02-16S208 103.2 208 112v64h-64C135.2 176 128 183.2 128 192s7.156 16 16 16h64v128C208 344.8 215.2 352 223.1 352z"],
    "tombstone-blank": [448, 512, [129702, "tombstone-alt"], "f721", "M48 448C56.84 448 64 440.8 64 432V192c0-88.22 71.78-160 160-160s160 71.78 160 160v240c0 8.844 7.156 16 16 16s16-7.156 16-16l-.0012-240c0-105.9-86.13-191.1-192-191.1S31.1 86.13 31.1 192L32 432C32 440.8 39.16 448 48 448zM432 480h-416C7.164 480 0 487.2 0 496c0 8.836 7.164 16 16 16h416c8.836 0 16-7.164 16-16C448 487.2 440.8 480 432 480z"],
    "toolbox": [512, 512, [129520], "f552", "M493.3 173.3l-26.51-26.51C454.7 134.7 438.5 128 421.5 128H384V80C384 53.53 362.5 32 336 32h-160C149.5 32 128 53.53 128 80V128H90.51C73.54 128 57.26 134.7 45.26 146.7L18.75 173.3C6.744 185.3 0 201.5 0 218.5V416c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V218.5C512 201.5 505.3 185.3 493.3 173.3zM160 80C160 71.17 167.2 64 176 64h160C344.8 64 352 71.17 352 80V128H160V80zM41.37 195.9l26.51-26.51C73.93 163.3 81.96 160 90.51 160h330.1c8.549 0 16.58 3.328 22.63 9.371l26.51 26.51C476.7 201.9 480 209.1 480 218.5V304h-112v-32C368 263.2 360.8 256 352 256s-16 7.156-16 16v32h-160v-32C176 263.2 168.8 256 160 256S144 263.2 144 272v32H32V218.5C32 209.1 35.33 201.9 41.37 195.9zM448 448H64c-17.64 0-32-14.36-32-32v-80h112v32c0 8.844 7.156 16 15.1 16S176 376.8 176 368v-32h160v32c0 8.844 7.156 16 16 16s16-7.156 16-16v-32H480V416C480 433.6 465.6 448 448 448z"],
    "tooth": [448, 512, [129463], "f5c9", "M392.9 225.3c-14.31 19.97-22.47 45.16-25.62 79.28c-2.875 31.81-7.374 73.81-16.72 116.1l-6.187 27.66C340.3 466.9 324.3 480 305.5 480c-18.62 0-34.56-12.84-38.75-31.22l-27.09-112.3c-1.875-7.656-8.312-13.03-15.65-13.03c-7.343 0-13.78 5.375-15.69 13.09l-27.09 112.5C176.9 467.2 160.9 480 142.5 480c-18.87 0-34.87-13.09-38.9-31.81L97.39 420.7c-9.343-42.28-13.84-84.28-16.72-116.1c-3.062-33.97-11.22-59.16-25.62-79.25c-21.09-29.59-28.03-66.06-19.5-102.7c10.03-42.53 42.87-77.06 83.74-87.1C145.5 27.73 173.3 34.92 201.7 56.07l.6874 .5c9.187 6.937 48.09 32.69 62.37 42.06c7.405 4.844 9.437 14.78 4.593 22.16c-4.875 7.406-14.9 9.406-22.15 4.594c-1.937-1.281-65.49-44.5-65.49-44.5C162.6 66.57 144.4 61.1 127.5 65.54C97.96 73.45 74.05 98.73 66.71 129.9C60.3 157.4 65.4 184.7 81.08 206.7c17.84 24.87 27.84 55.06 31.47 94.97c2.781 30.91 7.124 71.56 16.09 112l6.187 27.59c1.719 7.937 13.37 8.031 15.25 .2187l27.12-112.6c5.406-22.12 24.65-37.53 46.78-37.53s41.37 15.41 46.75 37.47l27.15 112.6c1.781 7.937 13.53 7.719 15.25-.0313l6.187-27.75c8.968-40.44 13.31-81.09 16.09-111.1c3.718-40.06 13.75-70.25 31.5-94.1c15.72-21.97 20.81-49.25 14.34-76.81c-7.437-31.19-31.34-56.47-60.93-64.34c-12.53-3.437-25.84-1.156-40.65 6.937c-7.749 4.187-17.47 1.344-21.72-6.406c-4.218-7.781-1.344-17.47 6.406-21.72c22.09-12.03 43.68-15.28 64.27-9.719c40.71 10.87 73.62 45.37 83.74 87.87C421 159.2 414.1 195.7 392.9 225.3z"],
    "toothbrush": [576, 512, [129701], "f635", "M64 224h352c33.7 0 62.87-26.15 63.93-59.84c1.979-62.51-40.76-118.3-98.67-131.8c-10.15-2.369-20.37 6.664-18.69 16.95C366 70.55 350.4 96 325.5 96H67.34C35.46 96 5.953 117.8 .8672 149.3C-5.617 189.4 25.11 224 64 224zM64 128h261.5c28.25 0 53.38-16.88 64.25-42.88c1.5-3.875 2.75-10.72 3.625-14.72C425.6 85.9 448 121.9 448 160c0 17.62-14.38 32-32 32H64C46.38 192 32 177.6 32 160S46.38 128 64 128zM560 448H448V272C448 263.2 440.8 256 432 256S416 263.2 416 272V448h-32V272C384 263.2 376.8 256 368 256S352 263.2 352 272V448h-32V272C320 263.2 312.8 256 304 256S288 263.2 288 272V448H256V272C256 263.2 248.8 256 240 256S224 263.2 224 272V448H192V272C192 263.2 184.8 256 176 256S160 263.2 160 272V448H128V272C128 263.2 120.8 256 112 256S96 263.2 96 272V448H64V272C64 263.2 56.84 256 48 256S32 263.2 32 272V448H16C7.164 448 0 455.2 0 464C0 472.8 7.164 480 16 480h544c8.836 0 16-7.164 16-16C576 455.2 568.8 448 560 448z"],
    "torii-gate": [512, 512, [9961], "f6a1", "M16 288C7.164 288 0 280.8 0 272C0 263.2 7.164 256 16 256H64V176C28.65 176 0 147.3 0 112V0L71.37 23.79C87.68 29.23 104.8 32 121.1 32H390C407.2 32 424.3 29.23 440.6 23.79L512 0V112C512 147.3 483.3 176 448 176V256H496C504.8 256 512 263.2 512 272C512 280.8 504.8 288 496 288H448V496C448 504.8 440.8 512 432 512C423.2 512 416 504.8 416 496V288H96V496C96 504.8 88.84 512 80 512C71.16 512 64 504.8 64 496V288H16zM64 144H448C465.7 144 480 129.7 480 112V44.4L450.8 54.15C431.2 60.67 410.7 64 390 64H121.1C101.3 64 80.83 60.67 61.25 54.15L32 44.4V112C32 129.7 46.33 144 64 144V144zM240 176H96V256H240V176zM416 256V176H272V256H416z"],
    "tornado": [448, 512, [127786], "f76f", "M387.4 199.6c-24-27.44-44.72-51.16-42.78-79.16c1.812-26.06 22.94-56.25 64.56-92.34c5.061-4.375 6.842-11.44 4.529-17.69C411.4 4.156 405.4 0 398.7 0L16.17 .0313c-8.688 0-15.75 6.906-16 15.56C-4.676 199.2 96.1 252.6 185 299.8L190.7 302.8v1.107h2.08c76.63 40.81 135.7 76.09 122.9 190.3c-.75 6.75 2.844 13.22 8.938 16.19C326.8 511.5 329.2 512 331.6 512c4.125 0 8.217-1.594 11.28-4.656C413.6 437.2 447.1 376.7 448 322.2C448 268.1 415.8 232.1 387.4 199.6zM32.04 32.03L358.6 32c-29.25 30.91-44.03 58.81-45.9 86.22c-.2324 3.338 .0313 6.508 .1758 9.719h-265.2C38.13 101.6 32.41 70.24 32.04 32.03zM200 271.5C147.1 243.9 94.92 215.6 62.72 159.9h257.5c9.504 22.19 26.45 41.68 43.1 60.72c14.19 16.24 28.49 32.86 38.67 51.28H200.8C200.5 271.8 200.3 271.7 200 271.5zM256.8 303.9h157.2C415.2 309.8 416 315.9 416 322.2c-.0313 38.03-21.94 81.44-66.81 132C345.8 376.1 305.8 335.5 256.8 303.9z"],
    "tower-broadcast": [576, 512, ["broadcast-tower"], "f519", "M119 63.1c-7 0-13.5 4.375-15.38 11.12C98.75 91.87 96 109.6 96 127.1s2.75 36.12 7.625 52.87c2 6.75 8.25 11.12 15.25 11.12c10.75 0 18.25-10.25 15.25-20.5C130.1 157.6 128 143.1 128 127.1s2.125-29.62 6.125-43.49C137.1 74.25 129.8 63.1 119 63.1zM40.5 0C34.38 0 28.63 3.5 25.1 9.125C9.5 45.37 0 85.62 0 127.1S9.5 210.6 25.1 246.9C28.63 252.5 34.38 255.1 40.5 255.1c11.75 0 19.25-12.12 14.38-22.75C40.25 201.1 32 165.5 32 127.1s8.25-73.12 22.88-105.2C59.75 12.12 52.25 0 40.5 0zM457.1 63.1c-10.75 0-18.25 10.25-15.25 20.5C445.9 98.37 448 112.9 448 127.1s-2.125 29.63-6.125 43.5c-3 10.25 4.375 20.5 15.12 20.5c7 0 13.5-4.375 15.38-11.12C477.3 164.1 480 146.4 480 127.1s-2.75-36.12-7.625-52.87C470.5 68.37 464.1 63.1 457.1 63.1zM549.1 9.125C547.4 3.5 541.6 0 535.5 0c-11.75 0-19.25 12.12-14.38 22.75C535.8 54.87 544 90.49 544 127.1S535.8 201.1 521.1 233.2c-4.875 10.62 2.625 22.75 14.38 22.75c6.125 0 11.88-3.5 14.5-9.125C566.5 210.6 576 170.4 576 127.1S566.5 45.37 549.1 9.125zM272.7 65.79C249.7 71.11 231 89.82 225.8 112.8C217.4 149.1 239.9 181.4 272 189.8v306.2c0 8.836 7.164 15.1 16 15.1s16-7.162 16-15.1V189.8c27.56-7.137 48-31.96 48-61.74C352 87.69 314.7 56.09 272.7 65.79zM288 160c-17.64 0-32-14.36-32-32s14.36-31.1 32-31.1s32 14.36 32 31.1S305.6 160 288 160z"],
    "tower-cell": [576, 512, [], "e585", "M40.94 9.074C49.19 12.25 53.3 21.51 50.12 29.76C38.44 60.06 32 93.21 32 128C32 162.8 38.44 195.1 50.12 226.3C53.3 234.5 49.19 243.8 40.94 246.9C32.7 250.1 23.44 246 20.26 237.8C7.185 203.8 0 166.8 0 128C0 89.24 7.185 52.18 20.26 18.25C23.44 10.01 32.7 5.897 40.94 9.074V9.074zM535.1 9.074C543.3 5.897 552.6 10.01 555.7 18.25C568.8 52.18 576 89.24 576 128C576 166.8 568.8 203.8 555.7 237.8C552.6 246 543.3 250.1 535.1 246.9C526.8 243.8 522.7 234.5 525.9 226.3C537.6 195.1 544 162.8 544 128C544 93.21 537.6 60.06 525.9 29.76C522.7 21.51 526.8 12.25 535.1 9.074V9.074zM478.6 489.4C482.2 497.5 478.6 506.1 470.6 510.6C462.5 514.2 453 510.6 449.4 502.6L410.5 416H165.5L126.6 502.6C122.1 510.6 113.5 514.2 105.4 510.6C97.38 506.1 93.78 497.5 97.41 489.4L240.7 171.1C230.3 159.7 224 144.6 224 127.1C224 92.65 252.7 63.1 288 63.1C323.3 63.1 352 92.65 352 127.1C352 144.6 345.7 159.7 335.3 171.1L478.6 489.4zM288 159.1C305.7 159.1 320 145.7 320 127.1C320 110.3 305.7 95.1 288 95.1C270.3 95.1 256 110.3 256 127.1C256 145.7 270.3 159.1 288 159.1zM396.1 384L367.3 319.1H208.7L179.9 384H396.1zM288 191.1C280.9 191.1 274.2 190.9 267.8 188.7L223.1 287.1H352.9L308.2 188.7C301.8 190.9 295.1 191.1 287.1 191.1H288zM128 127.1C128 148.5 132.3 167.1 139.1 185.6C143.5 193.7 139.8 203.1 131.7 206.7C123.6 210.2 114.2 206.5 110.7 198.4C101.2 176.8 96 152.1 96 127.1C96 102.1 101.2 79.17 110.7 57.59C114.2 49.49 123.6 45.8 131.7 49.34C139.8 52.87 143.5 62.31 139.1 70.4C132.3 88.02 128 107.5 128 127.1V127.1zM480 127.1C480 152.1 474.8 176.8 465.3 198.4C461.8 206.5 452.4 210.2 444.3 206.7C436.2 203.1 432.5 193.7 436 185.6C443.7 167.1 448 148.5 448 127.1C448 107.5 443.7 88.02 436 70.4C432.5 62.31 436.2 52.87 444.3 49.34C452.4 45.8 461.8 49.5 465.3 57.59C474.8 79.17 480 102.1 480 127.1V127.1z"],
    "tower-control": [448, 512, [], "e2a2", "M160 16C160 7.164 167.2 0 176 0H272C280.8 0 288 7.164 288 16C288 24.84 280.8 32 272 32H240V64H288C305.7 64 320 78.33 320 96V128H400.9C427.1 128 446.3 152.8 439.6 178.1L402.6 320.2C410.2 321.4 416 328 416 336C416 344.8 408.8 352 400 352H352V496C352 504.8 344.8 512 336 512C327.2 512 320 504.8 320 496V352H128V496C128 504.8 120.8 512 112 512C103.2 512 96 504.8 96 496V352H48C39.16 352 32 344.8 32 336C32 328 37.82 321.4 45.43 320.2L8.361 178.1C1.75 152.8 20.87 127.1 47.07 127.1H128V95.1C128 78.33 142.3 63.1 160 63.1H208V31.1H176C167.2 31.1 160 24.84 160 15.1L160 16zM128 160.2L127.1 160H47.07C41.83 160 38 164.1 39.32 170L78.45 320H128L128 160.2zM160 320H288V160.2L288 160H160V320zM320 160V320H369.6L408.7 170C410 164.1 406.2 159.1 400.9 159.1L320 160zM288 96H159.1V128H288V96z"],
    "tower-observation": [512, 512, [], "e586", "M248.8 1.689C253.3-.563 258.6-.563 263.2 1.689L439.2 89.69C447.1 93.64 450.3 103.3 446.3 111.2C442.4 119.1 432.7 122.3 424.8 118.3L416 113.9V192C416 218.5 394.5 240 368 240H360.2L399.8 477.4C399.9 478.3 400 479.1 400 480H496C504.8 480 512 487.2 512 496C512 504.8 504.8 512 496 512H16C7.164 512 0 504.8 0 496C0 487.2 7.164 480 16 480H111.1C111.1 479.1 112.1 478.3 112.2 477.4L151.8 240H144C117.5 240 96 218.5 96 192V113.9L87.16 118.3C79.25 122.3 69.64 119.1 65.69 111.2C61.74 103.3 64.94 93.64 72.84 89.69L248.8 1.689zM128 97.89V127.1H384V97.89L256 33.89L128 97.89zM128 160V192C128 200.8 135.2 208 144 208H368C376.8 208 384 200.8 384 192V160H128zM359.4 480L256 391.4L152.6 480H359.4zM183.8 242.6L177.3 281.7L256 349.2L334.7 281.7L328.2 242.6C328.1 241.7 327.1 240.9 327.1 240H184C184 240.9 183.9 241.7 183.8 242.6H183.8zM171.1 318.6L151 439.2L231.4 370.3L171.1 318.6zM280.6 370.3L360.1 439.2L340.9 318.6L280.6 370.3z"],
    "tractor": [640, 512, [128668], "f722", "M278.4 320C278.4 367.7 239.7 406.4 192 406.4C144.3 406.4 105.6 367.7 105.6 320C105.6 272.3 144.3 233.6 192 233.6C239.7 233.6 278.4 272.3 278.4 320V320zM192 374.4C222 374.4 246.4 350 246.4 320C246.4 289.1 222 265.6 192 265.6C161.1 265.6 137.6 289.1 137.6 320C137.6 350 161.1 374.4 192 374.4zM95.1 157.3V48C95.1 21.49 117.5 0 143.1 0H275.3C294.2 0 311.3 11.08 319.1 28.3L378.3 160H480V119.8C480 90.06 491.8 61.57 512.8 40.57L516.7 36.69C522.9 30.44 533.1 30.44 539.3 36.69C545.6 42.93 545.6 53.07 539.3 59.31L535.4 63.2C520.4 78.2 512 98.55 512 119.8V160H600.1C622.2 160 640 177.1 640 200V260.5C640 272.6 634.5 284.1 624.1 291.7L567.1 337.1C555.8 347.1 541.7 352 527.2 352H382.2C377.8 367.9 365.4 380.5 349.3 385.2C359.5 403.6 356.6 426.1 341.2 442.3L314.3 469.2C298.1 484.6 275.6 487.5 257.2 477.3C251.3 497.5 232.7 512 211 512H172.1C151.3 512 132.7 497.5 126.8 477.3C108.4 487.5 85.05 484.6 69.7 469.2L42.77 442.3C27.42 426.1 24.51 403.6 34.68 385.2C14.48 379.3 0 360.7 0 339V300.1C0 279.3 14.48 260.7 34.69 254.8C24.51 236.4 27.42 213 42.77 197.7L69.7 170.8C77.09 163.4 86.34 158.9 96 157.3L95.1 157.3zM127.1 159.2C134.9 140.8 152.5 128 172.1 128H211C232.7 128 251.3 142.5 257.2 162.7C269.8 155.7 284.7 154.9 297.8 160H343.3L289.9 41.43C287.3 35.69 281.6 32 275.3 32H143.1C135.2 32 127.1 39.16 127.1 48V159.2zM384 320H527.2C534.4 320 541.5 317.5 547.2 312.1L604.1 266.7C606.9 265.2 608 262.9 608 260.5V200C608 195.5 604.4 192 600.1 192H368.4C368.1 192 367.9 192 367.7 192H335.5L341.2 197.7C356.6 213 359.5 236.4 349.3 254.8C369.5 260.7 384 279.3 384 300.1L384 320zM154.8 197.1L145.6 200.7C143.9 201.3 142.1 202.1 140.4 202.8L131.4 206.8L113.8 192.3C107.4 187.1 98.14 187.6 92.33 193.4L65.4 220.3C59.59 226.1 59.12 235.4 64.33 241.8L78.78 259.4L74.82 268.4C74.06 270.1 73.34 271.9 72.65 273.6L69.1 282.8L46.41 285C38.23 285.9 31.1 292.7 31.1 300.1V339C31.1 347.3 38.23 354.1 46.41 354.1L69.1 357.2L72.65 366.4C73.34 368.1 74.06 369.9 74.81 371.6L78.78 380.6L64.33 398.2C59.12 404.6 59.59 413.9 65.4 419.7L92.33 446.6C98.14 452.4 107.4 452.9 113.8 447.7L131.4 433.2L140.4 437.2C142.1 437.9 143.9 438.7 145.6 439.3L154.8 442.9L157 465.6C157.9 473.8 164.7 480 172.1 480H211C219.3 480 226.1 473.8 226.1 465.6L229.2 442.9L238.4 439.3C240.1 438.7 241.9 437.9 243.6 437.2L252.6 433.2L270.2 447.7C276.6 452.9 285.9 452.4 291.7 446.6L318.6 419.7C324.4 413.9 324.9 404.6 319.7 398.2L305.2 380.6L309.2 371.6C309.9 369.9 310.7 368.1 311.3 366.4L314.9 357.2L337.6 354.1C345.8 354.1 352 347.3 352 339V300.1C352 292.7 345.8 285.9 337.6 285L314.9 282.8L311.3 273.6C310.7 271.9 309.9 270.1 309.2 268.4L305.2 259.4L319.7 241.8C324.9 235.4 324.4 226.1 318.6 220.3L291.7 193.4C285.9 187.6 276.6 187.1 270.2 192.3L252.6 206.8L243.6 202.8C241.9 202.1 240.1 201.3 238.4 200.7L229.2 197.1L226.1 174.4C226.1 166.2 219.3 159.1 211 159.1H172.1C164.7 159.1 157.9 166.2 157 174.4L154.8 197.1zM448 448C448 412.7 476.7 384 512 384C547.3 384 576 412.7 576 448C576 483.3 547.3 512 512 512C476.7 512 448 483.3 448 448zM512 480C529.7 480 544 465.7 544 448C544 430.3 529.7 416 512 416C494.3 416 480 430.3 480 448C480 465.7 494.3 480 512 480zM53.81 431.3L42.77 442.3z"],
    "trademark": [640, 512, [8482], "f25c", "M240 96.04h-224c-8.83 0-16 7.157-16 15.1C0 120.9 7.157 128 16 128h96v271.1c0 8.83 7.157 16 16 16c8.83 0 16-7.163 16-16V128h96c8.83 0 16-7.157 16-15.1C256 103.2 248.8 96.04 240 96.04zM629.4 97.01C623.1 94.6 616 96.63 611.7 101.8L464 279L316.3 101.8C311.1 96.63 304.9 94.6 298.6 97.01C292.2 99.29 288 105.3 288 112v287.1C288 408.8 295.2 416 304 416s16-7.155 16-15.1V156.2l131.7 158c6.062 7.312 18.5 7.312 24.56 0L608 156.2v243.8C608 408.8 615.2 416 624 416s16-7.155 16-15.1V112C640 105.3 635.8 99.29 629.4 97.01z"],
    "traffic-cone": [512, 512, [], "f636", "M248.2 0H263.8C280.1 0 294.8 9.958 300.9 25.14L482.8 480H496C504.8 480 512 487.2 512 496C512 504.8 504.8 512 496 512H16C7.164 512 0 504.8 0 496C0 487.2 7.164 480 16 480H29.17L211.1 25.14C217.2 9.958 231.9 0 248.2 0V0zM248.2 32C244.1 32 242 33.99 240.8 37.03L191.6 160H320.4L271.2 37.03C269.1 33.99 267 32 263.8 32H248.2zM333.2 192H178.8L127.6 320H384.4L333.2 192zM397.2 352H114.8L63.63 480H448.4L397.2 352z"],
    "traffic-light": [320, 512, [128678], "f637", "M104 392C104 361.1 129.1 336 160 336C190.9 336 216 361.1 216 392C216 422.9 190.9 448 160 448C129.1 448 104 422.9 104 392zM160 416C173.3 416 184 405.3 184 392C184 378.7 173.3 368 160 368C146.7 368 136 378.7 136 392C136 405.3 146.7 416 160 416zM216 256C216 286.9 190.9 312 160 312C129.1 312 104 286.9 104 256C104 225.1 129.1 200 160 200C190.9 200 216 225.1 216 256zM160 232C146.7 232 136 242.7 136 256C136 269.3 146.7 280 160 280C173.3 280 184 269.3 184 256C184 242.7 173.3 232 160 232zM104 120C104 89.07 129.1 64 160 64C190.9 64 216 89.07 216 120C216 150.9 190.9 176 160 176C129.1 176 104 150.9 104 120zM160 144C173.3 144 184 133.3 184 120C184 106.7 173.3 96 160 96C146.7 96 136 106.7 136 120C136 133.3 146.7 144 160 144zM0 64C0 28.65 28.65 0 64 0H256C291.3 0 320 28.65 320 64V352C320 440.4 248.4 512 160 512C71.63 512 0 440.4 0 352V64zM32 64V352C32 422.7 89.31 480 160 480C230.7 480 288 422.7 288 352V64C288 46.33 273.7 32 256 32H64C46.33 32 32 46.33 32 64z"],
    "traffic-light-go": [320, 512, [], "f638", "M216 392C216 422.9 190.9 448 160 448C129.1 448 104 422.9 104 392C104 361.1 129.1 336 160 336C190.9 336 216 361.1 216 392zM216 256C216 286.9 190.9 312 160 312C129.1 312 104 286.9 104 256C104 225.1 129.1 200 160 200C190.9 200 216 225.1 216 256zM160 232C146.7 232 136 242.7 136 256C136 269.3 146.7 280 160 280C173.3 280 184 269.3 184 256C184 242.7 173.3 232 160 232zM104 120C104 89.07 129.1 64 160 64C190.9 64 216 89.07 216 120C216 150.9 190.9 176 160 176C129.1 176 104 150.9 104 120zM160 144C173.3 144 184 133.3 184 120C184 106.7 173.3 96 160 96C146.7 96 136 106.7 136 120C136 133.3 146.7 144 160 144zM0 64C0 28.65 28.65 0 64 0H256C291.3 0 320 28.65 320 64V352C320 440.4 248.4 512 160 512C71.63 512 0 440.4 0 352V64zM32 64V352C32 422.7 89.31 480 160 480C230.7 480 288 422.7 288 352V64C288 46.33 273.7 32 256 32H64C46.33 32 32 46.33 32 64z"],
    "traffic-light-slow": [320, 512, [], "f639", "M104 392C104 361.1 129.1 336 160 336C190.9 336 216 361.1 216 392C216 422.9 190.9 448 160 448C129.1 448 104 422.9 104 392zM160 416C173.3 416 184 405.3 184 392C184 378.7 173.3 368 160 368C146.7 368 136 378.7 136 392C136 405.3 146.7 416 160 416zM104 256C104 225.1 129.1 200 160 200C190.9 200 216 225.1 216 256C216 286.9 190.9 312 160 312C129.1 312 104 286.9 104 256zM104 120C104 89.07 129.1 64 160 64C190.9 64 216 89.07 216 120C216 150.9 190.9 176 160 176C129.1 176 104 150.9 104 120zM160 144C173.3 144 184 133.3 184 120C184 106.7 173.3 96 160 96C146.7 96 136 106.7 136 120C136 133.3 146.7 144 160 144zM0 64C0 28.65 28.65 0 64 0H256C291.3 0 320 28.65 320 64V352C320 440.4 248.4 512 160 512C71.63 512 0 440.4 0 352V64zM32 64V352C32 422.7 89.31 480 160 480C230.7 480 288 422.7 288 352V64C288 46.33 273.7 32 256 32H64C46.33 32 32 46.33 32 64z"],
    "traffic-light-stop": [320, 512, [], "f63a", "M104 392C104 361.1 129.1 336 160 336C190.9 336 216 361.1 216 392C216 422.9 190.9 448 160 448C129.1 448 104 422.9 104 392zM160 416C173.3 416 184 405.3 184 392C184 378.7 173.3 368 160 368C146.7 368 136 378.7 136 392C136 405.3 146.7 416 160 416zM216 256C216 286.9 190.9 312 160 312C129.1 312 104 286.9 104 256C104 225.1 129.1 200 160 200C190.9 200 216 225.1 216 256zM160 232C146.7 232 136 242.7 136 256C136 269.3 146.7 280 160 280C173.3 280 184 269.3 184 256C184 242.7 173.3 232 160 232zM216 120C216 150.9 190.9 176 160 176C129.1 176 104 150.9 104 120C104 89.07 129.1 64 160 64C190.9 64 216 89.07 216 120zM0 64C0 28.65 28.65 0 64 0H256C291.3 0 320 28.65 320 64V352C320 440.4 248.4 512 160 512C71.63 512 0 440.4 0 352V64zM32 64V352C32 422.7 89.31 480 160 480C230.7 480 288 422.7 288 352V64C288 46.33 273.7 32 256 32H64C46.33 32 32 46.33 32 64z"],
    "trailer": [640, 512, [], "e041", "M112 96C120.8 96 128 103.2 128 112V240C128 248.8 120.8 256 112 256C103.2 256 96 248.8 96 240V112C96 103.2 103.2 96 112 96zM208 96C216.8 96 224 103.2 224 112V240C224 248.8 216.8 256 208 256C199.2 256 192 248.8 192 240V112C192 103.2 199.2 96 208 96zM304 96C312.8 96 320 103.2 320 112V272C320 280.8 312.8 288 304 288C295.2 288 288 280.8 288 272V112C288 103.2 295.2 96 304 96zM400 96C408.8 96 416 103.2 416 112V272C416 280.8 408.8 288 400 288C391.2 288 384 280.8 384 272V112C384 103.2 391.2 96 400 96zM192 480C138.1 480 96 437 96 384H56C25.07 384 0 358.9 0 328V88C0 57.07 25.07 32 56 32H456C486.9 32 512 57.07 512 88V352H616C624.8 352 632 359.2 632 368C632 376.8 624.8 384 616 384H288C288 437 245 480 192 480zM56 64C42.75 64 32 74.75 32 88V328C32 341.3 42.75 352 56 352H101.5C114.6 314.7 150.2 288 192 288C233.8 288 269.4 314.7 282.5 352H480V88C480 74.75 469.3 64 456 64H56zM128 384C128 419.3 156.7 448 192 448C227.3 448 256 419.3 256 384C256 348.7 227.3 320 192 320C156.7 320 128 348.7 128 384z"],
    "train": [448, 512, [128646], "f238", "M192 336C192 318.3 206.3 304 224 304C241.7 304 256 318.3 256 336C256 353.7 241.7 368 224 368C206.3 368 192 353.7 192 336zM352 0C405 0 448 42.98 448 96V352C448 398 415.6 436.4 372.4 445.8L411.3 484.7C417.6 490.9 417.6 501.1 411.3 507.3C405.1 513.6 394.9 513.6 388.7 507.3L329.4 448H118.6L59.31 507.3C53.07 513.6 42.94 513.6 36.69 507.3C30.44 501.1 30.44 490.9 36.69 484.7L75.55 445.8C32.36 436.4 0 398 0 352V96C0 42.98 42.98 0 96 0H352zM352 32H96C60.65 32 32 60.65 32 96V224H416V96C416 60.65 387.3 32 352 32zM96 416H352C387.3 416 416 387.3 416 352V256H32V352C32 387.3 60.65 416 96 416z"],
    "train-subway": [448, 512, ["subway"], "f239", "M96 328C96 314.7 106.7 304 120 304C133.3 304 144 314.7 144 328C144 341.3 133.3 352 120 352C106.7 352 96 341.3 96 328zM352 328C352 341.3 341.3 352 328 352C314.7 352 304 341.3 304 328C304 314.7 314.7 304 328 304C341.3 304 352 314.7 352 328zM352 0C405 0 448 42.98 448 96V352C448 398 415.6 436.4 372.4 445.8L411.3 484.7C417.6 490.9 417.6 501.1 411.3 507.3C405.1 513.6 394.9 513.6 388.7 507.3L329.4 448H118.6L59.31 507.3C53.07 513.6 42.94 513.6 36.69 507.3C30.44 501.1 30.44 490.9 36.69 484.7L75.55 445.8C32.36 436.4 0 398 0 352V96C0 42.98 42.98 0 96 0H352zM208 32H96C60.65 32 32 60.65 32 96V224H208V32zM240 32V224H416V96C416 60.65 387.3 32 352 32H240zM96 416H352C387.3 416 416 387.3 416 352V256H32V352C32 387.3 60.65 416 96 416z"],
    "train-subway-tunnel": [512, 512, ["subway-tunnel"], "e2a3", "M32 496C32 504.8 24.84 512 16 512C7.164 512 0 504.8 0 496V256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256V496C512 504.8 504.8 512 496 512C487.2 512 480 504.8 480 496V256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256V496zM176 360C176 346.7 186.7 336 200 336C213.3 336 224 346.7 224 360C224 373.3 213.3 384 200 384C186.7 384 176 373.3 176 360zM336 360C336 373.3 325.3 384 312 384C298.7 384 288 373.3 288 360C288 346.7 298.7 336 312 336C325.3 336 336 346.7 336 360zM320 128C364.2 128 400 163.8 400 208V368C400 400.8 380.2 429 351.1 441.4L395.3 484.7C401.6 490.9 401.6 501.1 395.3 507.3C389.1 513.6 378.9 513.6 372.7 507.3L313.4 448H198.6L139.3 507.3C133.1 513.6 122.9 513.6 116.7 507.3C110.4 501.1 110.4 490.9 116.7 484.7L160 441.4C131.8 429 112 400.8 112 368V208C112 163.8 147.8 128 192 128H320zM320 160H272V256H368V208C368 181.5 346.5 160 320 160zM144 288V368C144 394.5 165.5 416 192 416H320C346.5 416 368 394.5 368 368V288H144zM240 160H192C165.5 160 144 181.5 144 208V256H240V160z"],
    "train-track": [576, 512, [], "e453", "M192.3 96H383.7L368.9 53.23C365.1 44.88 370.4 35.77 378.8 32.88C387.1 29.99 396.2 34.42 399.1 42.77L417.5 96H464C472.8 96 480 103.2 480 112C480 120.8 472.8 128 464 128H428.6L461.9 224H504C512.8 224 520 231.2 520 240C520 248.8 512.8 256 504 256H472.9L506.2 352H544C552.8 352 560 359.2 560 368C560 376.8 552.8 384 544 384H517.2L543.1 458.8C546 467.1 541.6 476.2 533.2 479.1C524.9 482 515.8 477.6 512.9 469.2L483.4 384H92.62L63.12 469.2C60.23 477.6 51.12 482 42.77 479.1C34.42 476.2 29.99 467.1 32.88 458.8L58.76 384H32C23.16 384 16 376.8 16 368C16 359.2 23.16 352 32 352H69.84L103.1 256H72C63.16 256 56 248.8 56 240C56 231.2 63.16 224 72 224H114.1L147.4 128H112C103.2 128 96 120.8 96 112C96 103.2 103.2 96 112 96H158.5L176.9 42.77C179.8 34.42 188.9 29.99 197.2 32.88C205.6 35.77 210 44.88 207.1 53.23L192.3 96zM181.2 128L148 224H427.1L394.8 128H181.2zM439.1 256H136.9L103.7 352H472.3L439.1 256z"],
    "train-tram": [448, 512, [128650], "e5b4", "M191.1 344C191.1 357.3 181.3 368 167.1 368C154.7 368 143.1 357.3 143.1 344C143.1 330.7 154.7 319.1 167.1 319.1C181.3 319.1 191.1 330.7 191.1 344zM256 344C256 330.7 266.7 319.1 280 319.1C293.3 319.1 304 330.7 304 344C304 357.3 293.3 368 280 368C266.7 368 256 357.3 256 344zM28.49 65.99C22.97 72.9 12.9 74.01 6.004 68.49C-.8957 62.97-2.014 52.9 3.506 46L16.29 30.02C31.47 11.05 54.46 0 78.76 0H369.2C393.5 0 416.5 11.05 431.7 30.02L444.5 46C450 52.9 448.9 62.97 441.1 68.49C435.1 74.01 425 72.9 419.5 65.99L406.7 50.01C397.6 38.63 383.8 31.1 369.2 31.1H240V95.1H288C341 95.1 384 138.1 384 191.1V352C384 380.9 371.2 406.8 351 424.4L411.3 484.7C417.6 490.9 417.6 501.1 411.3 507.3C405.1 513.6 394.9 513.6 388.7 507.3L322.9 441.5C312 445.7 300.3 448 288 448H159.1C147.7 448 135.1 445.7 125.1 441.5L59.31 507.3C53.06 513.6 42.93 513.6 36.69 507.3C30.44 501.1 30.44 490.9 36.69 484.7L96.96 424.4C76.76 406.8 63.1 380.9 63.1 352V191.1C63.1 138.1 106.1 95.1 159.1 95.1H207.1V31.1H78.76C64.18 31.1 50.39 38.63 41.28 50.01L28.49 65.99zM95.1 191.1V255.1H352V191.1C352 156.7 323.3 127.1 288 127.1H159.1C124.7 127.1 95.1 156.7 95.1 191.1zM95.1 287.1V352C95.1 387.3 124.7 416 159.1 416H288C323.3 416 352 387.3 352 352V287.1H95.1z"],
    "train-tunnel": [512, 512, [], "e454", "M32 496C32 504.8 24.84 512 16 512C7.164 512 0 504.8 0 496V256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256V496C512 504.8 504.8 512 496 512C487.2 512 480 504.8 480 496V256C480 132.3 379.7 32 256 32C132.3 32 32 132.3 32 256V496zM280 352C280 365.3 269.3 376 256 376C242.7 376 232 365.3 232 352C232 338.7 242.7 328 256 328C269.3 328 280 338.7 280 352zM112 368V208C112 163.8 147.8 128 192 128H320C364.2 128 400 163.8 400 208V368C400 400.8 380.2 429 351.1 441.4L395.3 484.7C401.6 490.9 401.6 501.1 395.3 507.3C389.1 513.6 378.9 513.6 372.7 507.3L313.4 448H198.6L139.3 507.3C133.1 513.6 122.9 513.6 116.7 507.3C110.4 501.1 110.4 490.9 116.7 484.7L160 441.4C131.8 429 111.1 400.8 111.1 368H112zM368 208C368 181.5 346.5 160 320 160H192C165.5 160 144 181.5 144 208V256H368V208zM192 416H320C346.5 416 368 394.5 368 368V288H144V368C144 394.5 165.5 416 192 416z"],
    "transformer-bolt": [384, 512, [], "e2a4", "M224 128h96c8.836 0 16-7.164 16-16C336 103.2 328.8 96 320 96h-96c-8.836 0-16 7.162-16 16C208 120.8 215.2 128 224 128zM64 64h96c8.836 0 16-7.164 16-16C176 39.16 168.8 32 160 32H128V16C128 7.16 120.8 0 112 0S96 7.16 96 16V32H64C55.16 32 48 39.16 48 48C48 56.84 55.16 64 64 64zM368 480H352V192h16C376.8 192 384 184.8 384 176C384 167.2 376.8 160 368 160h-352C7.164 160 0 167.2 0 176C0 184.8 7.164 192 16 192H32v288H16C7.164 480 0 487.2 0 496C0 504.8 7.164 512 16 512h352c8.836 0 16-7.164 16-16C384 487.2 376.8 480 368 480zM320 480H64V192h256V480zM224 64h96c8.836 0 16-7.164 16-16C336 39.16 328.8 32 320 32h-32V16C288 7.16 280.8 0 272 0S256 7.16 256 16V32h-32c-8.836 0-16 7.162-16 16C208 56.84 215.2 64 224 64zM64 128h96c8.836 0 16-7.164 16-16C176 103.2 168.8 96 160 96H64C55.16 96 48 103.2 48 112C48 120.8 55.16 128 64 128zM128 352h89.38l-68.69 68.69c-6.25 6.25-6.25 16.38 0 22.62C151.8 446.4 155.9 448 160 448s8.188-1.562 11.31-4.688l96-96c4.562-4.578 5.938-11.45 3.469-17.44S262.5 320 256 320H166.6l68.69-68.69c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0l-96 96c-4.562 4.578-5.938 11.45-3.469 17.44S121.5 352 128 352z"],
    "transgender": [512, 512, [9895, "transgender-alt"], "f225", "M510.8 9.891c-1.621-3.918-4.742-7.039-8.66-8.66C500.2 .4219 498.1 0 496 0L384 0c-8.844 0-16 7.156-16 16S375.2 32 384 32h73.38l-82.02 82.02C344.9 83.19 302.7 64 256 64S167.1 83.19 136.6 114L118.6 96l12.69-12.69c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0L96 73.38L54.63 32H128c8.844 0 16-7.156 16-16S136.8 .001 128 .001L16 0C13.92 0 11.85 .4219 9.891 1.23C5.973 2.852 2.852 5.973 1.23 9.891C.4219 11.85 0 13.92 0 16v112C0 136.8 7.156 144 16 144S32 136.8 32 128V54.63L73.38 96L60.69 108.7c-6.25 6.25-6.25 16.38 0 22.62C63.81 134.4 67.91 136 72 136s8.188-1.562 11.31-4.688L96 118.6l20.3 20.3C98.48 165.6 88 197.6 88 232c0 87.15 66.96 158.2 152 166.4V432H192c-8.844 0-16 7.156-16 16s7.156 16 16 16L240 464v32c0 8.844 7.156 16 16 16s16-7.156 16-16v-32l48 .0002c8.844 0 16-7.156 16-16s-7.156-16-16-16h-48v-33.62C357 390.2 424 319.1 424 232c0-34.41-10.48-66.4-28.3-93.07L480 54.63V128c0 8.844 7.156 16 16 16S512 136.8 512 127.9V16C512 13.92 511.6 11.85 510.8 9.891zM256 368c-75 0-136-61-136-136S181 96 256 96S392 157 392 232S331 368 256 368z"],
    "transporter": [512, 512, [], "e042", "M124.3 282.3l51.22-61.47C180.3 215 185.1 210.4 192 206.3V400C192 408.8 199.2 416 208 416S224 408.8 224 400V193.4C228.3 192.7 232.6 192 236.1 192h38.06C279.4 192 283.7 192.7 288 193.4V400c0 8.844 7.156 16 16 16s16-7.156 16-16V206.3c6.023 4.125 11.7 8.791 16.48 14.54l51.22 61.45C390.9 286 395.4 288 400 288c3.609 0 7.234-1.219 10.23-3.703c6.781-5.656 7.703-15.75 2.047-22.55l-51.22-61.44C339.7 174.7 308.4 160 275 160H236.1C203.6 160 172.3 174.7 150.9 200.3L99.7 261.8c-5.656 6.797-4.734 16.89 2.047 22.55C108.6 289.9 118.7 289 124.3 282.3zM256 128c35.35 0 64-28.65 64-64c0-35.35-28.65-64-64-64S192 28.65 192 64C192 99.35 220.7 128 256 128zM256 32c17.64 0 32 14.36 32 32s-14.36 32-32 32S224 81.64 224 64S238.4 32 256 32zM80 96H64V80C64 71.16 56.84 64 48 64S32 71.16 32 80V96H16C7.156 96 0 103.2 0 112S7.156 128 16 128H32v16C32 152.8 39.16 160 48 160S64 152.8 64 144V128h16C88.84 128 96 120.8 96 112S88.84 96 80 96zM496 32H480V16C480 7.156 472.8 0 464 0S448 7.156 448 16V32h-16C423.2 32 416 39.16 416 48S423.2 64 432 64H448v16C448 88.84 455.2 96 464 96S480 88.84 480 80V64h16C504.8 64 512 56.84 512 48S504.8 32 496 32zM368 448h-224C117.5 448 96 469.5 96 496C96 504.8 103.2 512 112 512S128 504.8 128 496C128 487.2 135.2 480 144 480h224c8.828 0 16 7.172 16 16c0 8.844 7.156 16 16 16s16-7.156 16-16C416 469.5 394.5 448 368 448z"],
    "transporter-1": [512, 512, [], "e043", "M124.3 282.3l51.22-61.47C180.3 215 185.1 210.4 192 206.3V272C192 280.8 199.2 288 208 288S224 280.8 224 272V193.4C228.3 192.7 232.6 192 236.1 192h38.06C279.4 192 283.7 192.7 288 193.4V272C288 280.8 295.2 288 304 288S320 280.8 320 272V206.3c6.023 4.125 11.7 8.791 16.48 14.54l51.22 61.45C390.9 286 395.4 288 400 288c3.609 0 7.234-1.219 10.23-3.703c6.781-5.656 7.703-15.75 2.047-22.55l-51.22-61.44C339.7 174.7 308.4 160 275 160H236.1C203.6 160 172.3 174.7 150.9 200.3L99.7 261.8c-5.656 6.797-4.734 16.89 2.047 22.55C108.6 289.9 118.6 289 124.3 282.3zM336 320h-160C167.2 320 160 327.2 160 336S167.2 352 176 352h160c8.844 0 16-7.156 16-16S344.8 320 336 320zM496 160H480V144C480 135.2 472.8 128 464 128S448 135.2 448 144V160h-16C423.2 160 416 167.2 416 176S423.2 192 432 192H448v16C448 216.8 455.2 224 464 224S480 216.8 480 208V192h16C504.8 192 512 184.8 512 176S504.8 160 496 160zM256 128c35.35 0 64-28.65 64-64c0-35.35-28.65-64-64-64C220.7 0 192 28.65 192 64C192 99.35 220.7 128 256 128zM256 32c17.64 0 32 14.36 32 32s-14.36 32-32 32S224 81.64 224 64S238.4 32 256 32zM368 448h-224C117.5 448 96 469.5 96 496C96 504.8 103.2 512 112 512S128 504.8 128 496C128 487.2 135.2 480 144 480h224c8.828 0 16 7.172 16 16c0 8.844 7.156 16 16 16s16-7.156 16-16C416 469.5 394.5 448 368 448zM336 384h-160C167.2 384 160 391.2 160 400S167.2 416 176 416h160c8.844 0 16-7.156 16-16S344.8 384 336 384zM80 352H64v-16C64 327.2 56.84 320 48 320S32 327.2 32 336V352H16C7.156 352 0 359.2 0 368S7.156 384 16 384H32v16C32 408.8 39.16 416 48 416S64 408.8 64 400V384h16C88.84 384 96 376.8 96 368S88.84 352 80 352z"],
    "transporter-2": [512, 512, [], "e044", "M112 288h288C408.8 288 416 280.8 416 272S408.8 256 400 256h-288C103.2 256 96 263.2 96 272S103.2 288 112 288zM175.5 220.8C190.8 202.5 213.2 192 236.1 192h38.06c23.81 0 46.22 10.5 61.45 28.78c3.172 3.812 7.719 5.766 12.31 5.766c3.609 0 7.234-1.219 10.22-3.703c6.797-5.656 7.719-15.75 2.062-22.53C339.7 174.7 308.4 160 275 160H236.1C203.6 160 172.3 174.7 150.9 200.3C145.3 207.1 146.2 217.2 152.1 222.8C159.8 228.5 169.9 227.6 175.5 220.8zM256 128c35.35 0 64-28.65 64-64c0-35.35-28.65-64-64-64C220.7 0 192 28.65 192 64C192 99.35 220.7 128 256 128zM256 32c17.64 0 32 14.36 32 32s-14.36 32-32 32S224 81.64 224 64S238.4 32 256 32zM336 320h-160C167.2 320 160 327.2 160 336S167.2 352 176 352h160c8.844 0 16-7.156 16-16S344.8 320 336 320zM80 32H64V16C64 7.156 56.84 0 48 0S32 7.156 32 16V32H16C7.156 32 0 39.16 0 48S7.156 64 16 64H32v16C32 88.84 39.16 96 48 96S64 88.84 64 80V64h16C88.84 64 96 56.84 96 48S88.84 32 80 32zM496 352H480v-16c0-8.844-7.156-16-16-16S448 327.2 448 336V352h-16c-8.844 0-16 7.156-16 16s7.156 16 16 16H448v16c0 8.844 7.156 16 16 16s16-7.156 16-16V384h16c8.844 0 16-7.156 16-16S504.8 352 496 352zM368 448h-224C117.5 448 96 469.5 96 496C96 504.8 103.2 512 112 512S128 504.8 128 496C128 487.2 135.2 480 144 480h224c8.828 0 16 7.172 16 16c0 8.844 7.156 16 16 16s16-7.156 16-16C416 469.5 394.5 448 368 448zM336 384h-160C167.2 384 160 391.2 160 400S167.2 416 176 416h160c8.844 0 16-7.156 16-16S344.8 384 336 384z"],
    "transporter-3": [512, 512, [], "e045", "M144 224h224C376.8 224 384 216.8 384 208S376.8 192 368 192h-224C135.2 192 128 199.2 128 208S135.2 224 144 224zM176 160h160C344.8 160 352 152.8 352 144S344.8 128 336 128h-160C167.2 128 160 135.2 160 144S167.2 160 176 160zM80 128H64V112C64 103.2 56.84 96 48 96S32 103.2 32 112V128H16C7.156 128 0 135.2 0 144S7.156 160 16 160H32v16C32 184.8 39.16 192 48 192S64 184.8 64 176V160h16C88.84 160 96 152.8 96 144S88.84 128 80 128zM216 95.11c8.344-2.922 12.75-12.05 9.812-20.39C224.6 71.27 224 67.66 224 64c0-17.64 14.34-32 32-32s32 14.36 32 32c0 3.656-.625 7.266-1.812 10.72C283.3 83.06 287.7 92.19 296 95.11C297.8 95.72 299.5 96 301.3 96c6.594 0 12.78-4.125 15.09-10.72C318.8 78.42 320 71.27 320 64c0-35.3-28.72-64-64-64S192 28.7 192 64c0 7.266 1.219 14.42 3.625 21.28C198.6 93.63 207.7 98.06 216 95.11zM400 256h-288C103.2 256 96 263.2 96 272S103.2 288 112 288h288C408.8 288 416 280.8 416 272S408.8 256 400 256zM368 448h-224C117.5 448 96 469.5 96 496C96 504.8 103.2 512 112 512S128 504.8 128 496C128 487.2 135.2 480 144 480h224c8.828 0 16 7.172 16 16c0 8.844 7.156 16 16 16s16-7.156 16-16C416 469.5 394.5 448 368 448zM176 352h160c8.844 0 16-7.156 16-16S344.8 320 336 320h-160C167.2 320 160 327.2 160 336S167.2 352 176 352zM496 32H480V16C480 7.156 472.8 0 464 0S448 7.156 448 16V32h-16C423.2 32 416 39.16 416 48S423.2 64 432 64H448v16C448 88.84 455.2 96 464 96S480 88.84 480 80V64h16C504.8 64 512 56.84 512 48S504.8 32 496 32zM176 416h160c8.844 0 16-7.156 16-16S344.8 384 336 384h-160C167.2 384 160 391.2 160 400S167.2 416 176 416z"],
    "transporter-4": [512, 512, [], "e2a5", "M144 224h224C376.8 224 384 216.8 384 208S376.8 192 368 192h-224C135.2 192 128 199.2 128 208S135.2 224 144 224zM176 160h160C344.8 160 352 152.8 352 144S344.8 128 336 128h-160C167.2 128 160 135.2 160 144S167.2 160 176 160zM80 384H64v-16C64 359.2 56.84 352 48 352S32 359.2 32 368V384H16C7.156 384 0 391.2 0 400S7.156 416 16 416H32v16C32 440.8 39.16 448 48 448S64 440.8 64 432V416h16C88.84 416 96 408.8 96 400S88.84 384 80 384zM224 96h64c8.844 0 16-7.156 16-16S296.8 64 288 64H224C215.2 64 208 71.16 208 80S215.2 96 224 96zM224 32h64c8.844 0 16-7.156 16-16S296.8 0 288 0H224C215.2 0 208 7.156 208 16S215.2 32 224 32zM368 448h-224C117.5 448 96 469.5 96 496C96 504.8 103.2 512 112 512S128 504.8 128 496C128 487.2 135.2 480 144 480h224c8.828 0 16 7.172 16 16c0 8.844 7.156 16 16 16s16-7.156 16-16C416 469.5 394.5 448 368 448zM496 160H480V144C480 135.2 472.8 128 464 128S448 135.2 448 144V160h-16C423.2 160 416 167.2 416 176S423.2 192 432 192H448v16C448 216.8 455.2 224 464 224S480 216.8 480 208V192h16C504.8 192 512 184.8 512 176S504.8 160 496 160zM400 256h-288C103.2 256 96 263.2 96 272S103.2 288 112 288h288C408.8 288 416 280.8 416 272S408.8 256 400 256zM176 416h160c8.844 0 16-7.156 16-16S344.8 384 336 384h-160C167.2 384 160 391.2 160 400S167.2 416 176 416zM176 352h160c8.844 0 16-7.156 16-16S344.8 320 336 320h-160C167.2 320 160 327.2 160 336S167.2 352 176 352z"],
    "transporter-5": [512, 512, [], "e2a6", "M176 160h160C344.8 160 352 152.8 352 144S344.8 128 336 128h-160C167.2 128 160 135.2 160 144S167.2 160 176 160zM224 32h64c8.844 0 16-7.156 16-16S296.8 0 288 0H224C215.2 0 208 7.156 208 16S215.2 32 224 32zM80 160H64V144C64 135.2 56.84 128 48 128S32 135.2 32 144V160H16C7.156 160 0 167.2 0 176S7.156 192 16 192H32v16C32 216.8 39.16 224 48 224S64 216.8 64 208V192h16C88.84 192 96 184.8 96 176S88.84 160 80 160zM336 416c8.844 0 16-7.156 16-16S344.8 384 336 384h-160C167.2 384 160 391.2 160 400S167.2 416 176 416H336zM400 256h-288C103.2 256 96 263.2 96 272S103.2 288 112 288h288C408.8 288 416 280.8 416 272S408.8 256 400 256zM496 32H480V16C480 7.156 472.8 0 464 0S448 7.156 448 16V32h-16C423.2 32 416 39.16 416 48S423.2 64 432 64H448v16C448 88.84 455.2 96 464 96S480 88.84 480 80V64h16C504.8 64 512 56.84 512 48S504.8 32 496 32zM368 448h-224C117.5 448 96 469.5 96 496C96 504.8 103.2 512 112 512S128 504.8 128 496C128 487.2 135.2 480 144 480h224c8.828 0 16 7.172 16 16c0 8.844 7.156 16 16 16s16-7.156 16-16C416 469.5 394.5 448 368 448z"],
    "transporter-6": [512, 512, [], "e2a7", "M112 288h288C408.8 288 416 280.8 416 272S408.8 256 400 256h-288C103.2 256 96 263.2 96 272S103.2 288 112 288zM224 32h64c8.844 0 16-7.156 16-16S296.8 0 288 0H224C215.2 0 208 7.156 208 16S215.2 32 224 32zM80 32H64V16C64 7.156 56.84 0 48 0S32 7.156 32 16V32H16C7.156 32 0 39.16 0 48S7.156 64 16 64H32v16C32 88.84 39.16 96 48 96S64 88.84 64 80V64h16C88.84 64 96 56.84 96 48S88.84 32 80 32zM496 384H480v-16c0-8.844-7.156-16-16-16S448 359.2 448 368V384h-16c-8.844 0-16 7.156-16 16s7.156 16 16 16H448v16c0 8.844 7.156 16 16 16s16-7.156 16-16V416h16c8.844 0 16-7.156 16-16S504.8 384 496 384zM368 448h-224C117.5 448 96 469.5 96 496C96 504.8 103.2 512 112 512S128 504.8 128 496C128 487.2 135.2 480 144 480h224c8.828 0 16 7.172 16 16c0 8.844 7.156 16 16 16s16-7.156 16-16C416 469.5 394.5 448 368 448z"],
    "transporter-7": [512, 512, [], "e2a8", "M80 288H64V272C64 263.2 56.84 256 48 256S32 263.2 32 272V288H16C7.156 288 0 295.2 0 304S7.156 320 16 320H32v16C32 344.8 39.16 352 48 352S64 344.8 64 336V320h16C88.84 320 96 312.8 96 304S88.84 288 80 288zM368 448h-224C117.5 448 96 469.5 96 496C96 504.8 103.2 512 112 512S128 504.8 128 496C128 487.2 135.2 480 144 480h224c8.828 0 16 7.172 16 16c0 8.844 7.156 16 16 16s16-7.156 16-16C416 469.5 394.5 448 368 448zM496 64H480V48C480 39.16 472.8 32 464 32S448 39.16 448 48V64h-16C423.2 64 416 71.16 416 80S423.2 96 432 96H448v16C448 120.8 455.2 128 464 128S480 120.8 480 112V96h16C504.8 96 512 88.84 512 80S504.8 64 496 64z"],
    "transporter-empty": [320, 512, [], "e046", "M272 448h-224C21.53 448 0 469.5 0 496C0 504.8 7.156 512 16 512S32 504.8 32 496C32 487.2 39.17 480 48 480h224c8.828 0 16 7.172 16 16c0 8.844 7.156 16 16 16s16-7.156 16-16C320 469.5 298.5 448 272 448z"],
    "trash": [448, 512, [], "f1f8", "M432 64C440.8 64 448 71.16 448 80C448 88.84 440.8 96 432 96H413.7L388.2 452.6C385.9 486.1 357.1 512 324.4 512H123.6C90.01 512 62.15 486.1 59.75 452.6L34.29 96H16C7.164 96 0 88.84 0 80C0 71.16 7.164 64 16 64H111.1L137 22.56C145.8 8.526 161.2 0 177.7 0H270.3C286.8 0 302.2 8.526 310.1 22.56L336.9 64H432zM177.7 32C172.2 32 167.1 34.84 164.2 39.52L148.9 64H299.1L283.8 39.52C280.9 34.84 275.8 32 270.3 32H177.7zM381.6 96H66.37L91.67 450.3C92.87 467 106.8 480 123.6 480H324.4C341.2 480 355.1 467 356.3 450.3L381.6 96z"],
    "trash-arrow-up": [448, 512, ["trash-restore"], "f829", "M224 175.1C228.2 175.1 232.3 177.7 235.3 180.7L315.3 260.7C321.6 266.9 321.6 277.1 315.3 283.3C309.1 289.6 298.9 289.6 292.7 283.3L240 230.6V392C240 400.8 232.8 408 223.1 408C215.2 408 207.1 400.8 207.1 392V230.6L155.3 283.3C149.1 289.6 138.9 289.6 132.7 283.3C126.4 277.1 126.4 266.9 132.7 260.7L212.7 180.7C215.7 177.7 219.8 175.1 223.1 175.1L224 175.1zM310.1 22.56L336.9 64H432C440.8 64 448 71.16 448 80C448 88.84 440.8 96 432 96H413.7L388.2 452.6C385.9 486.1 357.1 512 324.4 512H123.6C90.01 512 62.15 486.1 59.75 452.6L34.29 96H16C7.164 96 0 88.84 0 80C0 71.16 7.164 64 16 64H111.1L137 22.56C145.8 8.526 161.2 0 177.7 0H270.3C286.8 0 302.2 8.526 310.1 22.56V22.56zM148.9 64H299.1L283.8 39.52C280.9 34.84 275.8 32 270.3 32H177.7C172.2 32 167.1 34.84 164.2 39.52L148.9 64zM91.67 450.3C92.87 467 106.8 480 123.6 480H324.4C341.2 480 355.1 467 356.3 450.3L381.6 96H66.37L91.67 450.3z"],
    "trash-can": [448, 512, [61460, "trash-alt"], "f2ed", "M144 400C144 408.8 136.8 416 128 416C119.2 416 112 408.8 112 400V176C112 167.2 119.2 160 128 160C136.8 160 144 167.2 144 176V400zM240 400C240 408.8 232.8 416 224 416C215.2 416 208 408.8 208 400V176C208 167.2 215.2 160 224 160C232.8 160 240 167.2 240 176V400zM336 400C336 408.8 328.8 416 320 416C311.2 416 304 408.8 304 400V176C304 167.2 311.2 160 320 160C328.8 160 336 167.2 336 176V400zM310.1 22.56L336.9 64H432C440.8 64 448 71.16 448 80C448 88.84 440.8 96 432 96H416V432C416 476.2 380.2 512 336 512H112C67.82 512 32 476.2 32 432V96H16C7.164 96 0 88.84 0 80C0 71.16 7.164 64 16 64H111.1L137 22.56C145.8 8.526 161.2 0 177.7 0H270.3C286.8 0 302.2 8.526 310.1 22.56V22.56zM148.9 64H299.1L283.8 39.52C280.9 34.84 275.8 32 270.3 32H177.7C172.2 32 167.1 34.84 164.2 39.52L148.9 64zM64 432C64 458.5 85.49 480 112 480H336C362.5 480 384 458.5 384 432V96H64V432z"],
    "trash-can-arrow-up": [448, 512, ["trash-restore-alt"], "f82a", "M224 175.1C228.2 175.1 232.3 177.7 235.3 180.7L315.3 260.7C321.6 266.9 321.6 277.1 315.3 283.3C309.1 289.6 298.9 289.6 292.7 283.3L240 230.6V392C240 400.8 232.8 408 223.1 408C215.2 408 207.1 400.8 207.1 392V230.6L155.3 283.3C149.1 289.6 138.9 289.6 132.7 283.3C126.4 277.1 126.4 266.9 132.7 260.7L212.7 180.7C215.7 177.7 219.8 175.1 223.1 175.1L224 175.1zM310.1 22.56L336.9 64H432C440.8 64 448 71.16 448 80C448 88.84 440.8 96 432 96H416V432C416 476.2 380.2 512 336 512H112C67.82 512 32 476.2 32 432V96H16C7.164 96 0 88.84 0 80C0 71.16 7.164 64 16 64H111.1L137 22.56C145.8 8.526 161.2 0 177.7 0H270.3C286.8 0 302.2 8.526 310.1 22.56V22.56zM148.9 64H299.1L283.8 39.52C280.9 34.84 275.8 32 270.3 32H177.7C172.2 32 167.1 34.84 164.2 39.52L148.9 64zM64 432C64 458.5 85.49 480 112 480H336C362.5 480 384 458.5 384 432V96H64V432z"],
    "trash-can-check": [448, 512, [], "e2a9", "M203.3 363.3C197.1 369.6 186.9 369.6 180.7 363.3L116.7 299.3C110.4 293.1 110.4 282.9 116.7 276.7C122.9 270.4 133.1 270.4 139.3 276.7L192 329.4L308.7 212.7C314.9 206.4 325.1 206.4 331.3 212.7C337.6 218.9 337.6 229.1 331.3 235.3L203.3 363.3zM310.1 22.56L336.9 64H432C440.8 64 448 71.16 448 80C448 88.84 440.8 96 432 96H416V432C416 476.2 380.2 512 336 512H112C67.82 512 32 476.2 32 432V96H16C7.164 96 0 88.84 0 80C0 71.16 7.164 64 16 64H111.1L137 22.56C145.8 8.526 161.2 0 177.7 0H270.3C286.8 0 302.2 8.526 310.1 22.56V22.56zM148.9 64H299.1L283.8 39.52C280.9 34.84 275.8 32 270.3 32H177.7C172.2 32 167.1 34.84 164.2 39.52L148.9 64zM64 432C64 458.5 85.49 480 112 480H336C362.5 480 384 458.5 384 432V96H64V432z"],
    "trash-can-clock": [576, 512, [], "e2aa", "M310.1 22.56L336.9 64H432C440.8 64 448 71.16 448 80C448 88.84 440.8 96 432 96H416V192.7C405 193.7 394.3 195.7 384 198.6V96H64V432C64 458.5 85.49 480 112 480H296.2C306.3 492.1 317.9 502.9 330.8 512H112C67.82 512 32 476.2 32 432V96H16C7.164 96 0 88.84 0 80C0 71.16 7.164 64 16 64H111.1L137 22.56C145.8 8.526 161.2 0 177.7 0H270.3C286.8 0 302.2 8.526 310.1 22.56V22.56zM148.9 64H299.1L283.8 39.52C280.9 34.84 275.8 32 270.3 32H177.7C172.2 32 167.1 34.84 164.2 39.52L148.9 64zM336 176V220.5C324.3 228.1 313.6 237.1 304 247.2V176C304 167.2 311.2 160 320 160C328.8 160 336 167.2 336 176V176zM144 400C144 408.8 136.8 416 128 416C119.2 416 112 408.8 112 400V176C112 167.2 119.2 160 128 160C136.8 160 144 167.2 144 176V400zM240 400C240 408.8 232.8 416 224 416C215.2 416 208 408.8 208 400V176C208 167.2 215.2 160 224 160C232.8 160 240 167.2 240 176V400zM431.1 288C440.8 288 447.1 295.2 447.1 304V352H480C488.8 352 496 359.2 496 368C496 376.8 488.8 384 480 384H431.1C423.2 384 415.1 376.8 415.1 368V304C415.1 295.2 423.2 288 431.1 288V288zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 480C493.9 480 544 429.9 544 368C544 306.1 493.9 256 432 256C370.1 256 320 306.1 320 368C320 429.9 370.1 480 432 480z"],
    "trash-can-list": [640, 512, [], "e2ab", "M160 160C168.8 160 176 167.2 176 176V400C176 408.8 168.8 416 160 416C151.2 416 144 408.8 144 400V176C144 167.2 151.2 160 160 160zM256 160C264.8 160 272 167.2 272 176V400C272 408.8 264.8 416 256 416C247.2 416 240 408.8 240 400V176C240 167.2 247.2 160 256 160zM400 64C408.8 64 416 71.16 416 80C416 88.84 408.8 96 400 96H384V432C384 476.2 348.2 512 304 512H112C67.82 512 32 476.2 32 432V96H16C7.164 96 0 88.84 0 80C0 71.16 7.164 64 16 64H103.1L129 22.56C137.8 8.526 153.2 0 169.7 0H246.3C262.8 0 278.2 8.526 286.1 22.56L312.9 64H400zM169.7 32C164.2 32 159.1 34.84 156.2 39.52L140.9 64H275.1L259.8 39.52C256.9 34.84 251.8 32 246.3 32H169.7zM352 96H64V432C64 458.5 85.49 480 112 480H304C330.5 480 352 458.5 352 432V96zM624 128C632.8 128 640 135.2 640 144C640 152.8 632.8 160 624 160H464C455.2 160 448 152.8 448 144C448 135.2 455.2 128 464 128H624zM592 256C600.8 256 608 263.2 608 272C608 280.8 600.8 288 592 288H464C455.2 288 448 280.8 448 272C448 263.2 455.2 256 464 256H592zM448 400C448 391.2 455.2 384 464 384H528C536.8 384 544 391.2 544 400C544 408.8 536.8 416 528 416H464C455.2 416 448 408.8 448 400z"],
    "trash-can-plus": [448, 512, [], "e2ac", "M208 192C208 183.2 215.2 176 224 176C232.8 176 240 183.2 240 192V272H320C328.8 272 336 279.2 336 288C336 296.8 328.8 304 320 304H240V384C240 392.8 232.8 400 224 400C215.2 400 208 392.8 208 384V368.3C207.1 368.2 207.1 368.1 207.1 368V304H128C119.2 304 112 296.8 112 288C112 279.2 119.2 272 128 272H207.1V207.1C207.1 207.9 207.1 207.8 208 207.7V192zM336 512H112C67.82 512 32 476.2 32 432V96H16C7.164 96 0 88.84 0 80C0 71.16 7.164 64 16 64H111.1L137 22.56C145.8 8.526 161.2 0 177.7 0H270.3C286.8 0 302.2 8.526 310.1 22.56L336.9 64H432C440.8 64 448 71.16 448 80C448 88.84 440.8 96 432 96H416V432C416 476.2 380.2 512 336 512zM384 96H64V432C64 458.5 85.53 480 112 480H336C362.5 480 384 458.5 384 432V96zM296 64L276.7 38.38C273.8 34.38 268.1 32 264 32H184C179 32 174.2 34.38 171.2 38.38L152 64H296z"],
    "trash-can-slash": [640, 512, ["trash-alt-slash"], "e2ad", "M480 300.8V96H220.6L180.1 64H207.1L233 22.56C241.8 8.526 257.2 0 273.7 0H366.3C382.8 0 398.2 8.526 406.1 22.56L432.9 64H527.1C536.8 64 543.1 71.16 543.1 80C543.1 88.84 536.8 96 527.1 96H511.1V326L480 300.8zM273.7 32C268.2 32 263.1 34.84 260.2 39.52L244.9 64H395.1L379.8 39.52C376.9 34.84 371.8 32 366.3 32H273.7zM432 512H207.1C163.8 512 127.1 476.2 127.1 432V185.1L159.1 211.2V432C159.1 458.5 181.5 480 207.1 480H432C448.1 480 463.9 471.2 472.4 457.9L497.6 477.8C483.2 498.5 459.2 512 432 512V512zM239.1 274.4V400C239.1 408.8 232.8 416 223.1 416C215.2 416 207.1 408.8 207.1 400V249.1L239.1 274.4zM336 350.2V400C336 408.8 328.8 416 319.1 416C311.2 416 303.1 408.8 303.1 400V324.9L336 350.2zM432 262.9L400 237.6V176C400 167.2 407.2 160 416 160C424.8 160 432 167.2 432 176V262.9zM336 187.1L308.2 165.2C311.1 161.1 315.3 160 319.1 160C328.8 160 336 167.2 336 176V187.1zM633.9 483.4C640.9 488.9 642 498.1 636.6 505.9C631.1 512.9 621 514 614.1 508.6L6.086 28.56C-.8493 23.08-2.033 13.02 3.443 6.087C8.918-.849 18.98-2.033 25.91 3.443L633.9 483.4z"],
    "trash-can-undo": [448, 512, ["trash-can-arrow-turn-left", "trash-undo-alt"], "f896", "M219.9 189.3C225.8 195.9 225.3 205.1 218.7 211.9L169.7 256H240C284.2 256 320 291.8 320 336V376C320 384.8 312.8 392 304 392C295.2 392 288 384.8 288 376V336C288 309.5 266.5 288 240 288H169.7L218.7 332.1C225.3 338 225.8 348.1 219.9 354.7C213.1 361.3 203.9 361.8 197.3 355.9L117.3 283.9C113.9 280.9 112 276.5 112 271.1C112 267.5 113.9 263.1 117.3 260.1L197.3 188.1C203.9 182.2 213.1 182.7 219.9 189.3V189.3zM310.1 22.56L336.9 64H432C440.8 64 448 71.16 448 80C448 88.84 440.8 96 432 96H416V432C416 476.2 380.2 512 336 512H112C67.82 512 32 476.2 32 432V96H16C7.164 96 0 88.84 0 80C0 71.16 7.164 64 16 64H111.1L137 22.56C145.8 8.526 161.2 0 177.7 0H270.3C286.8 0 302.2 8.526 310.1 22.56V22.56zM148.9 64H299.1L283.8 39.52C280.9 34.84 275.8 32 270.3 32H177.7C172.2 32 167.1 34.84 164.2 39.52L148.9 64zM64 432C64 458.5 85.49 480 112 480H336C362.5 480 384 458.5 384 432V96H64V432z"],
    "trash-can-xmark": [448, 512, [], "e2ae", "M148.7 212.7C154.9 206.4 165.1 206.4 171.3 212.7L224 265.4L276.7 212.7C282.9 206.4 293.1 206.4 299.3 212.7C305.6 218.9 305.6 229.1 299.3 235.3L246.6 288L299.3 340.7C305.6 346.9 305.6 357.1 299.3 363.3C293.1 369.6 282.9 369.6 276.7 363.3L224 310.6L171.3 363.3C165.1 369.6 154.9 369.6 148.7 363.3C142.4 357.1 142.4 346.9 148.7 340.7L201.4 288L148.7 235.3C142.4 229.1 142.4 218.9 148.7 212.7zM310.1 22.56L336.9 64H432C440.8 64 448 71.16 448 80C448 88.84 440.8 96 432 96H416V432C416 476.2 380.2 512 336 512H112C67.82 512 32 476.2 32 432V96H16C7.164 96 0 88.84 0 80C0 71.16 7.164 64 16 64H111.1L137 22.56C145.8 8.526 161.2 0 177.7 0H270.3C286.8 0 302.2 8.526 310.1 22.56V22.56zM148.9 64H299.1L283.8 39.52C280.9 34.84 275.8 32 270.3 32H177.7C172.2 32 167.1 34.84 164.2 39.52L148.9 64zM64 432C64 458.5 85.49 480 112 480H336C362.5 480 384 458.5 384 432V96H64V432z"],
    "trash-check": [448, 512, [], "e2af", "M203.3 363.3C197.1 369.6 186.9 369.6 180.7 363.3L116.7 299.3C110.4 293.1 110.4 282.9 116.7 276.7C122.9 270.4 133.1 270.4 139.3 276.7L192 329.4L308.7 212.7C314.9 206.4 325.1 206.4 331.3 212.7C337.6 218.9 337.6 229.1 331.3 235.3L203.3 363.3zM310.1 22.56L336.9 64H432C440.8 64 448 71.16 448 80C448 88.84 440.8 96 432 96H413.7L388.2 452.6C385.9 486.1 357.1 512 324.4 512H123.6C90.01 512 62.15 486.1 59.75 452.6L34.29 96H16C7.164 96 0 88.84 0 80C0 71.16 7.164 64 16 64H111.1L137 22.56C145.8 8.526 161.2 0 177.7 0H270.3C286.8 0 302.2 8.526 310.1 22.56V22.56zM148.9 64H299.1L283.8 39.52C280.9 34.84 275.8 32 270.3 32H177.7C172.2 32 167.1 34.84 164.2 39.52L148.9 64zM91.67 450.3C92.87 467 106.8 480 123.6 480H324.4C341.2 480 355.1 467 356.3 450.3L381.6 96H66.37L91.67 450.3z"],
    "trash-clock": [576, 512, [], "e2b0", "M432 64C440.8 64 448 71.16 448 80C448 88.84 440.8 96 432 96H413.7L406.7 193.8C395.5 195.4 384.5 198.1 374.1 201.8L381.6 96H66.37L91.67 450.3C92.87 467 106.8 480 123.6 480H296.2C306.2 492 317.6 502.7 330.4 511.7C328.4 511.9 326.4 512 324.4 512H123.6C90.01 512 62.15 486.1 59.75 452.6L34.29 96H16C7.164 96 0 88.84 0 80C0 71.16 7.164 64 16 64H111.1L137 22.56C145.8 8.526 161.2 0 177.7 0H270.3C286.8 0 302.2 8.526 310.1 22.56L336.9 64H432zM177.7 32C172.2 32 167.1 34.84 164.2 39.52L148.9 64H299.1L283.8 39.52C280.9 34.84 275.8 32 270.3 32H177.7zM431.1 288C440.8 288 447.1 295.2 447.1 304V352H480C488.8 352 496 359.2 496 368C496 376.8 488.8 384 480 384H431.1C423.2 384 415.1 376.8 415.1 368V304C415.1 295.2 423.2 288 431.1 288V288zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 480C493.9 480 544 429.9 544 368C544 306.1 493.9 256 432 256C370.1 256 320 306.1 320 368C320 429.9 370.1 480 432 480z"],
    "trash-list": [640, 512, [], "e2b1", "M278.1 22.56L304.9 64H400C408.8 64 416 71.16 416 80C416 88.84 408.8 96 400 96H381.7L356.2 452.6C353.9 486.1 325.1 512 292.4 512H123.6C90.01 512 62.15 486.1 59.75 452.6L34.29 96H16C7.164 96 0 88.84 0 80C0 71.16 7.164 64 16 64H111.1L137 22.56C145.8 8.526 161.2 0 177.7 0H238.3C254.8 0 270.2 8.526 278.1 22.56V22.56zM148.9 64H267.1L251.8 39.52C248.9 34.84 243.8 32 238.3 32H177.7C172.2 32 167.1 34.84 164.2 39.52L148.9 64zM91.67 450.3C92.87 467 106.8 480 123.6 480H292.4C309.2 480 323.1 467 324.3 450.3L349.6 96H66.37L91.67 450.3zM624 128C632.8 128 640 135.2 640 144C640 152.8 632.8 160 624 160H464C455.2 160 448 152.8 448 144C448 135.2 455.2 128 464 128H624zM592 256C600.8 256 608 263.2 608 272C608 280.8 600.8 288 592 288H464C455.2 288 448 280.8 448 272C448 263.2 455.2 256 464 256H592zM448 400C448 391.2 455.2 384 464 384H528C536.8 384 544 391.2 544 400C544 408.8 536.8 416 528 416H464C455.2 416 448 408.8 448 400z"],
    "trash-plus": [448, 512, [], "e2b2", "M208 384V304H128C119.2 304 112 296.8 112 288C112 279.2 119.2 272 128 272H208V192C208 183.2 215.2 176 224 176C232.8 176 240 183.2 240 192V272H320C328.8 272 336 279.2 336 288C336 296.8 328.8 304 320 304H240V384C240 392.8 232.8 400 224 400C215.2 400 208 392.8 208 384zM310.1 22.56L336.9 64H432C440.8 64 448 71.16 448 80C448 88.84 440.8 96 432 96H413.7L388.2 452.6C385.9 486.1 357.1 512 324.4 512H123.6C90.01 512 62.15 486.1 59.75 452.6L34.29 96H16C7.164 96 0 88.84 0 80C0 71.16 7.164 64 16 64H111.1L137 22.56C145.8 8.526 161.2 0 177.7 0H270.3C286.8 0 302.2 8.526 310.1 22.56V22.56zM148.9 64H299.1L283.8 39.52C280.9 34.84 275.8 32 270.3 32H177.7C172.2 32 167.1 34.84 164.2 39.52L148.9 64zM91.67 450.3C92.87 467 106.8 480 123.6 480H324.4C341.2 480 355.1 467 356.3 450.3L381.6 96H66.37L91.67 450.3z"],
    "trash-slash": [640, 512, [], "e2b3", "M509.7 96L494.3 312.1L463.9 288.1L477.6 96H220.6L180.1 64H207.1L233 22.56C241.8 8.526 257.2 0 273.7 0H366.3C382.8 0 398.2 8.526 406.1 22.56L432.9 64H528C536.8 64 544 71.16 544 80C544 88.84 536.8 96 528 96L509.7 96zM273.7 32C268.2 32 263.1 34.84 260.2 39.52L244.9 64H395.1L379.8 39.52C376.9 34.84 371.8 32 366.3 32H273.7zM452.9 442.5L481.1 465.4C474.4 492.5 449.5 512 420.4 512H219.6C186 512 158.1 486.1 155.8 452.6L137.2 193.3L171.2 220.1L187.7 450.3C188.9 467 202.8 480 219.6 480H420.4C437.2 480 451.1 467 452.3 450.3L452.9 442.5zM633.9 483.4C640.9 488.9 642 498.1 636.6 505.9C631.1 512.9 621 514 614.1 508.6L6.086 28.56C-.8493 23.08-2.033 13.02 3.443 6.087C8.918-.8486 18.98-2.032 25.91 3.443L633.9 483.4z"],
    "trash-undo": [448, 512, ["trash-arrow-turn-left"], "f895", "M219.9 189.3C225.8 195.9 225.3 205.1 218.7 211.9L169.7 256H240C284.2 256 320 291.8 320 336V376C320 384.8 312.8 392 304 392C295.2 392 288 384.8 288 376V336C288 309.5 266.5 288 240 288H169.7L218.7 332.1C225.3 338 225.8 348.1 219.9 354.7C213.1 361.3 203.9 361.8 197.3 355.9L117.3 283.9C113.9 280.9 112 276.5 112 271.1C112 267.5 113.9 263.1 117.3 260.1L197.3 188.1C203.9 182.2 213.1 182.7 219.9 189.3V189.3zM432 64C440.8 64 448 71.16 448 80C448 88.84 440.8 96 432 96H413.7L388.2 452.6C385.9 486.1 357.1 512 324.4 512H123.6C90.01 512 62.15 486.1 59.75 452.6L34.29 96H16C7.164 96 0 88.84 0 80C0 71.16 7.164 64 16 64H111.1L137 22.56C145.8 8.526 161.2 0 177.7 0H270.3C286.8 0 302.2 8.526 310.1 22.56L336.9 64H432zM177.7 32C172.2 32 167.1 34.84 164.2 39.52L148.9 64H299.1L283.8 39.52C280.9 34.84 275.8 32 270.3 32H177.7zM381.6 96H66.37L91.67 450.3C92.87 467 106.8 480 123.6 480H324.4C341.2 480 355.1 467 356.3 450.3L381.6 96z"],
    "trash-xmark": [448, 512, [], "e2b4", "M148.7 212.7C154.9 206.4 165.1 206.4 171.3 212.7L224 265.4L276.7 212.7C282.9 206.4 293.1 206.4 299.3 212.7C305.6 218.9 305.6 229.1 299.3 235.3L246.6 288L299.3 340.7C305.6 346.9 305.6 357.1 299.3 363.3C293.1 369.6 282.9 369.6 276.7 363.3L224 310.6L171.3 363.3C165.1 369.6 154.9 369.6 148.7 363.3C142.4 357.1 142.4 346.9 148.7 340.7L201.4 288L148.7 235.3C142.4 229.1 142.4 218.9 148.7 212.7zM310.1 22.56L336.9 64H432C440.8 64 448 71.16 448 80C448 88.84 440.8 96 432 96H413.7L388.2 452.6C385.9 486.1 357.1 512 324.4 512H123.6C90.01 512 62.15 486.1 59.75 452.6L34.29 96H16C7.164 96 0 88.84 0 80C0 71.16 7.164 64 16 64H111.1L137 22.56C145.8 8.526 161.2 0 177.7 0H270.3C286.8 0 302.2 8.526 310.1 22.56V22.56zM148.9 64H299.1L283.8 39.52C280.9 34.84 275.8 32 270.3 32H177.7C172.2 32 167.1 34.84 164.2 39.52L148.9 64zM91.67 450.3C92.87 467 106.8 480 123.6 480H324.4C341.2 480 355.1 467 356.3 450.3L381.6 96H66.37L91.67 450.3z"],
    "treasure-chest": [576, 512, [], "f723", "M448 32H128C57.31 32 0 89.31 0 160v256c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V160C576 89.31 518.7 32 448 32zM96 448H64c-17.64 0-32-14.36-32-32V288h64V448zM96 256H32V160c0-41.66 26.84-76.85 64-90.1V256zM448 448H128V288h64v48C192 362.5 213.5 384 240 384h96c26.5 0 48-21.5 48-48V288h64V448zM224 336v-128C224 199.1 231.1 192 240 192h96C344.9 192 352 199.1 352 208v128c0 8.875-7.125 16-16 16h-96C231.1 352 224 344.9 224 336zM448 256h-64V208C384 181.5 362.5 160 336 160h-96C213.5 160 192 181.5 192 208V256H128V64h320V256zM544 416c0 17.64-14.36 32-32 32h-32V288h64V416zM544 256h-64V69.9C517.2 83.15 544 118.3 544 160V256zM288 320c8.875 0 16-7.125 16-16v-64C304 231.1 296.9 224 288 224S272 231.1 272 240v64C272 312.9 279.1 320 288 320z"],
    "tree": [448, 512, [127794], "f1bb", "M439.6 391.6l-68.98-79.59h15.2c25.59 0 39.5-29.17 23.19-48.48l-60.86-71.51h10.77c21.28 0 32.9-22.5 19.28-37.31l-134.9-146.5C238.3 2.796 231.2 0 224 0S209.7 2.799 204.7 8.236L69.93 154.7C56.34 169.5 67.93 192 89.21 192h10.73L39.03 263.5C22.72 282.9 36.62 312 62.22 312h15.2l-68.98 79.59c-18.1 21.91-3.811 56.4 24.69 56.4L208 447.1V496c0 8.844 7.269 16 16.11 16S240 504.8 240 496v-48l174.8 .0133C443.4 448 458.5 413.4 439.6 391.6zM414.8 415.1L240 416v-57.38l43.31-43.31c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0L240 313.4V176c0-8.844-7.157-16.01-16-16.01S208 167.2 208 176v80.01L188.8 230.4C183.5 223.3 173.5 221.9 166.4 227.2C159.3 232.5 157.9 242.5 163.2 249.6L208 309.3v106.7l-175.1 .0039c-.1934-.127-.7109-.8008-.8379-1.717c-.0957-.6934 .0469-1.115 .5938-1.748l114.9-132.6l-80.48-.002l102.2-120H108.5l115.5-125.6l115.6 125.6h-60.7l102.1 120H300.6l114.9 132.6c.457 .5273 .6562 .918 .5469 1.701C415.8 415.2 415.3 415.9 414.8 415.1z"],
    "tree-christmas": [512, 512, [127876], "f7db", "M192 96h47.99v48c0 8.844 7.158 16 16 16c8.842 0 15.1-7.158 15.1-16V96h47.99c8.842 0 16-7.15 16-15.99S328.8 64 319.1 64h-47.99V16c0-8.844-7.158-16-16-16C247.2 0 239.1 7.156 239.1 16V64H192C183.2 64 176 71.16 176 80.01S183.2 96 192 96zM468.1 434.6l-59.63-66.66c16.67-.8125 31.04-10.38 37.9-25.38c6.921-15.12 4.421-32.38-6.468-45L314.8 151.5c-5.765-6.688-15.84-7.5-22.56-1.75c-6.718 5.75-7.499 15.84-1.75 22.56L415.7 318.4c3.749 4.344 2.64 8.625 1.64 10.81C416.6 330.8 413.6 336 406.2 336h-69.21l107.3 119.9c5.718 6.406 3.265 13.41 2.375 15.38C445.8 473.3 442.1 480 433.1 480H78.82c-8.921 0-12.59-6.656-13.5-8.688c-1.14-2.562-3.171-9.125 2.437-15.41L175.1 336H105.9c-7.452 0-10.39-5.156-11.11-6.75c-.9998-2.156-2.125-6.469 1.765-11l124.2-147.1c5.687-6.75 4.796-16.84-1.968-22.53c-6.765-5.719-16.86-4.781-22.53 1.969L72.16 297.5c-10.94 12.69-13.44 29.97-6.515 45.09c6.874 14.97 21.25 24.53 37.9 25.34l-59.63 66.63c-12.36 13.81-15.36 32.91-7.811 49.78C43.73 501.4 60.09 512 78.82 512h354.3c18.75 0 35.14-10.59 42.76-27.66C483.4 467.4 480.5 448.4 468.1 434.6zM343.1 416c0-13.26-10.75-24-23.1-24c-13.25 0-23.1 10.74-23.1 24c0 13.25 10.75 24 23.1 24C333.2 440 343.1 429.3 343.1 416zM168 288c0 13.25 10.75 24 23.1 24c13.25 0 23.1-10.75 23.1-24c0-13.26-10.75-24-23.1-24C178.7 264 168 274.7 168 288z"],
    "tree-city": [640, 512, [], "e587", "M336 32C327.2 32 320 39.16 320 48V496C320 504.8 312.8 512 304 512C295.2 512 288 504.8 288 496V48C288 21.49 309.5 0 336 0H464C490.5 0 512 21.49 512 48V192H544V112C544 103.2 551.2 96 560 96C568.8 96 576 103.2 576 112V192H592C618.5 192 640 213.5 640 240V496C640 504.8 632.8 512 624 512C615.2 512 608 504.8 608 496V240C608 231.2 600.8 224 592 224H480V48C480 39.16 472.8 32 464 32H336zM416 64C433.7 64 448 78.33 448 96V128C448 145.7 433.7 160 416 160H384C366.3 160 352 145.7 352 128V96C352 78.33 366.3 64 384 64H416zM384 128H416V96H384V128zM480 288C480 270.3 494.3 256 512 256H544C561.7 256 576 270.3 576 288V320C576 337.7 561.7 352 544 352H512C494.3 352 480 337.7 480 320V288zM544 288H512V320H544V288zM544 384C561.7 384 576 398.3 576 416V448C576 465.7 561.7 480 544 480H512C494.3 480 480 465.7 480 448V416C480 398.3 494.3 384 512 384H544zM512 448H544V416H512V448zM352 224C352 206.3 366.3 192 384 192H416C433.7 192 448 206.3 448 224V256C448 273.7 433.7 288 416 288H384C366.3 288 352 273.7 352 256V224zM416 224H384V256H416V224zM416 320C433.7 320 448 334.3 448 352V384C448 401.7 433.7 416 416 416H384C366.3 416 352 401.7 352 384V352C352 334.3 366.3 320 384 320H416zM384 384H416V352H384V384zM144 496C144 504.8 136.8 512 128 512C119.2 512 112 504.8 112 496V320H80C35.82 320 0 284.2 0 240C0 213.3 13.08 189.7 33.18 175.1C32.4 170.2 32 165.1 32 160C32 106.1 74.98 64 128 64C181 64 224 106.1 224 160C224 165.1 223.6 170.2 222.8 175.1C242.9 189.7 256 213.3 256 240C256 284.2 220.2 320 176 320H144V496zM188.1 189.5L191.2 170.1C191.7 166.8 192 163.5 192 160C192 124.7 163.3 96 128 96C92.65 96 64 124.7 64 160C64 163.5 64.27 166.8 64.79 170.1L67.86 189.5L51.93 201.1C39.79 209.8 32 224 32 240C32 266.5 53.49 288 80 288H111.1L112 240C112 231.2 119.2 224 128 224C136.8 224 144 231.2 144 240V288H176C202.5 288 224 266.5 224 240C224 224 216.2 209.8 204.1 201.1L188.1 189.5z"],
    "tree-deciduous": [512, 512, [127795, "tree-alt"], "f400", "M496 235c-10.62-16-42-35-42-35c8.625-16 11.88-32.5 9.5-49.5s-9.125-31.62-20.5-44s-25.12-20.5-41.5-24.5c-5.799-1.418-11.61-2.129-17.45-2.129c-10.63 0-21.32 2.365-32.05 7.129c-2.625-24.63-13.12-45.38-31.5-62S280.6 0 256 0S209.9 8.375 191.5 25S162.6 62.38 160 87C149.3 82.24 138.6 79.87 127.9 79.87c-5.83 0-11.65 .713-17.45 2.129c-16.38 4-30.12 12.12-41.5 24.5s-18.12 27-20.5 44s1.125 33.5 10.5 49.5c-18 7.375-32.38 19-43 35S0 268.6 0 288c0 26.62 9.375 49.38 28 68s41.38 28 68 28L240 384v112c0 8.844 7.26 16 16.1 16S272 504.8 272 496V384l144 0c26.62 0 49.38-9.375 68-28S512 314.6 512 288C512 268.6 506.6 251 496 235zM461.4 333.4C448.7 346.1 434.2 352 416 352h-144v-25.38l59.31-59.31c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0L272 281.4V144c0-8.844-7.165-16.01-16.01-16.01S240 135.2 240 144v82.38L204.5 182c-5.531-6.844-15.58-8-22.5-2.5C175.1 185 173.1 195.1 179.5 202L240 277.6V352H96c-18.25 0-32.66-5.92-45.37-18.63C37.92 320.7 32 306.2 32 288c0-12.95 3.486-24.5 10.66-35.3c7.014-10.56 16.33-18.11 28.47-23.09l34.12-13.98L86.61 183.8C80.85 173.1 78.81 164.8 80.19 154.9c1.496-10.71 5.426-19.22 12.37-26.77c7.143-7.77 15.26-12.56 25.54-15.07C121.4 112.3 124.7 111.9 127.9 111.9c6.195 0 12.44 1.434 19.08 4.379L187.2 134.1l4.654-43.67c1.787-16.78 8.705-30.4 21.15-41.66C225.6 37.31 239.3 32 256 32s30.42 5.314 43.03 16.73c12.44 11.26 19.36 24.89 21.15 41.66L324.8 134.1l40.14-17.81c6.643-2.945 12.88-4.379 19.08-4.379c3.283 0 6.504 .3984 9.848 1.215c10.28 2.51 18.39 7.299 25.54 15.07c6.939 7.551 10.87 16.06 12.37 26.77c1.402 10.05-.5508 19.83-5.977 29.89l-14.39 26.76l25.95 15.79c11.99 7.293 28.06 19.5 31.94 25.35C476.5 263.5 480 275 480 288C480 306.2 474.1 320.7 461.4 333.4z"],
    "tree-decorated": [512, 512, [], "f7dc", "M468.7 429.6l-62.53-77.63c16.66-.6875 31.08-10.19 37.95-25.16c6.906-15.03 4.469-32.25-6.438-44.94L373.6 208h3.734c15.75 0 29.36-8.594 35.53-22.41c5.797-13 3.422-27.72-6.25-38.47l-121.4-134.2C277.9 4.719 267.3 0 256 0s-21.97 4.688-29.22 12.84L105.4 147.1C95.78 157.8 93.34 172.5 99.11 185.5C105.2 199.2 119.2 208 134.7 208H138.4L74.23 281.9c-10.86 12.66-13.3 29.88-6.391 44.91c6.891 15 21.33 24.5 37.98 25.16l-62.5 77.63C30.89 445 28.48 466.7 37.17 484.9C45.18 501.6 61.12 512 78.76 512h354.3c17.67 0 33.64-10.41 41.66-27.16C483.4 466.7 481.1 444.1 468.7 429.6zM445.9 471C444.6 473.7 440.8 480 433.1 480H78.76c-7.625 0-11.44-6.25-12.72-8.938c-2.594-5.406-3.562-14.25 2.203-21.41L172.7 320H107.7c-7.203 0-10.06-5-10.77-6.531C95.93 311.3 94.82 307.1 98.45 302.8L208.5 176H134.7c-4.484 0-6.016-2.656-6.391-3.5c-.625-1.406-.3906-2.594 .8281-3.938l121.4-134.3C251.9 32.81 253.8 32 255.1 32c2.156 0 4.109 .8125 5.453 2.281L382.9 168.5c.8125 .9062 1.625 2.156 .7969 4.031C383.3 173.3 381.8 176 377.4 176h-73.83l109.9 126.8c3.688 4.281 2.578 8.531 1.594 10.69C414.3 315 411.4 320 404.2 320h-64.92l104.4 129.7C449.4 456.8 448.5 465.6 445.9 471zM320 392c-13.25 0-23.1 10.74-23.1 24c0 13.25 10.74 24 23.1 24s23.1-10.75 23.1-24C343.1 402.7 333.3 392 320 392zM224 232C210.7 232 200 242.7 200 256c0 13.25 10.75 24 24 24S248 269.3 248 256C248 242.7 237.3 232 224 232zM312 128c0-13.26-10.75-24-24-24S264 114.7 264 128c0 13.25 10.75 24 24 24S312 141.3 312 128z"],
    "tree-large": [512, 512, [], "f7dd", "M468.7 429.6l-62.53-77.63c16.66-.6875 31.08-10.19 37.95-25.16c6.906-15.03 4.469-32.25-6.438-44.94L373.7 208h3.734c15.75 0 29.36-8.594 35.53-22.41c5.797-13 3.422-27.72-6.25-38.47l-121.4-134.2C277.1 4.719 267.3 0 256 0S234.1 4.688 226.8 12.84L105.5 147.1c-9.672 10.69-12.11 25.38-6.344 38.38C105.2 199.2 119.2 208 134.8 208h3.641L74.27 281.9c-10.86 12.66-13.3 29.88-6.391 44.91c6.891 15 21.33 24.5 37.98 25.16l-62.5 77.63c-12.44 15.41-14.84 37.13-6.156 55.28C45.22 501.6 61.16 512 78.8 512h354.3c17.67 0 33.64-10.41 41.66-27.16C483.5 466.7 481.1 444.1 468.7 429.6zM445.9 471C444.6 473.7 440.8 480 433.1 480H272v-57.38l43.31-43.31c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0L272 377.4V240c0-8.844-7.155-16-15.1-16S240 231.2 240 240v80.01L220.8 294.4C215.5 287.3 205.5 285.9 198.4 291.2C191.3 296.5 189.9 306.5 195.2 313.6L240 373.3V480H78.8c-7.625 0-11.44-6.25-12.72-8.938c-2.594-5.406-3.562-14.25 2.203-21.41L172.7 320H107.7c-7.203 0-10.06-5-10.77-6.531C95.97 311.3 94.86 307.1 98.48 302.8L208.6 176H134.8c-4.484 0-6.016-2.656-6.391-3.5C127.8 171.1 128 169.9 129.2 168.6l121.4-134.3C251.9 32.81 253.9 32 256 32c2.156 0 4.109 .8125 5.453 2.281l121.4 134.3c.8125 .9062 1.625 2.156 .7969 4.031C383.4 173.3 381.8 176 377.4 176h-73.83l109.9 126.8c3.688 4.281 2.578 8.531 1.594 10.69C414.3 315 411.5 320 404.3 320h-64.92l104.4 129.7C449.5 456.8 448.5 465.6 445.9 471z"],
    "tree-palm": [576, 512, [127796], "f82b", "M334.9 240.3c-8.703 1.531-14.52 9.812-12.97 18.53c9.609 54.5 19.27 135.3 10.73 211.1C332 476.2 327.6 480 323.9 480H264.9c-2.656 0-4.609-1.75-5.797-3.219c-2.75-3.438-3.766-8.281-2.734-13.03c9.078-41.56 24.06-123.9 22.62-208C278.9 246.9 271.4 240.7 262.7 240C253.9 240.2 246.9 247.4 247 256.3c1.391 80.91-13.11 160.4-21.88 200.6c-3.109 14.09 .2813 29 9.049 39.91C241.9 506.5 253.1 512 264.9 512h58.95c20.72 0 38.19-16.56 40.64-38.53c8.953-79.56-1.062-163.7-11.05-220.3C351.9 244.5 343.7 238.4 334.9 240.3zM409.6 58.19c-32.09 0-62.86 7.25-90.02 21.12C293.2 31.81 233.2 0 166.4 0C81.14 0 12.93 44.22 .543 107.5c-1.688 8.594 .6094 17.5 6.312 24.44C13.14 139.6 22.67 144 33.01 144h65.05C85.46 160.3 76.14 178.6 70.14 199c-19.36 65.72 3.656 129.1 11.58 140.3c5.141 7.219 13.25 11.81 22.27 12.62c1 .0938 2 .1562 3 .1562c8.674 0 17.13-3.438 23.69-9.781L266.5 208h276.5c10.34 0 19.88-4.375 26.16-12.03c5.703-6.938 8-15.84 6.312-24.41C562.8 106.9 491.5 58.19 409.6 58.19zM464 176v-32c0-8.844-7.158-16-16-16s-16 7.156-16 16v32H259.1c-4.203 0-8.25 1.656-11.25 4.625l-140.8 140.3c-3.609-5.875-24.36-61-5.75-117.3c13.77-41.66 45.99-72.88 95.74-92.78c8.203-3.281 12.2-12.59 8.922-20.78C204.4 83.81 198.3 80 191.1 80c-1.984 0-4 .375-5.938 1.156C164.8 89.66 146.2 100 130.3 112.2C129.6 112.1 128.8 112 127.1 112L31.95 113.7C41.21 66.38 97.76 32 166.4 32c61.27 0 115.1 30.94 130.8 75.28c1.641 4.594 5.297 8.188 9.922 9.781c4.625 1.562 9.719 .9375 13.81-1.719c25.58-16.44 56.24-25.16 88.63-25.16c66.89 0 124.7 37.63 133.4 85.81H464z"],
    "trees": [640, 512, [], "f724", "M325.1 303.9c13.38-1.125 24.94-9.5 30.81-22.66c5.719-13.53 3.688-29-6.031-41.13L291.5 175.2c11.34-2.469 20.91-10.19 25.44-20.91c5.844-13.16 3.219-28.53-6.562-39L214.2 9.531C203-2.594 181.1-2.656 169.8 9.594L73.59 115.2C63.81 125.8 61.25 141.2 66.94 153.1C71.56 164.9 81.16 172.7 92.5 175.2L32.44 241C23.53 252.4 21.53 267.8 27.31 281.5c5.75 12.91 17.31 21.25 30.69 22.38L9.5 356.3c-9.969 10.72-12.31 26.06-5.969 39.19C9.688 407.9 22.88 416 37.16 416h138.8v80c0 8.844 7.154 16 15.1 16s16-7.156 16-16V416h138.8c14.28 0 27.47-8.062 33.66-20.62c6.344-13.09 4-28.44-5.875-39.06L325.1 303.9zM346.8 384H208v-25.38l43.31-43.31c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0L208 313.4V176c0-8.844-7.157-16-16-16S176 167.2 176 176v80.01L156.8 230.4c-5.297-7.062-15.34-8.531-22.39-3.219C127.3 232.5 125.9 242.5 131.2 249.6l44.8 59.73V384H37.16c-3.729 0-6.735-3.236-4.188-5.938L131.1 272H61.09c-4.998 0-6.236-7.613-4.25-10.34L164.3 144H100.3c-3.474 0-5.902-4.191-3.125-7.188l93.31-105.7l96.31 105.8C289.3 139.6 287.4 144 283.7 144H219.7l106.7 116.8C329.9 265.2 327.2 272 322.9 272H252.9l98.25 106.1C353.9 381 349.7 384 346.8 384zM630.6 356.3l-48.59-52.44c13.38-1.125 24.94-9.5 30.81-22.66c5.719-13.53 3.688-29-6.031-41.13L547.5 175.2c11.34-2.469 20.91-10.19 25.44-20.91c5.844-13.16 3.219-28.53-6.562-39l-96.22-105.7c-11.22-12.12-33.13-12.19-44.41 .0625l-68.88 75.63c-5.938 6.531-5.469 16.66 1.062 22.62c6.562 5.938 16.69 5.469 22.62-1.062l65.97-75.63l96.31 105.8C545.3 139.6 543.4 144 539.7 144h-63.94l106.7 116.8C585.9 265.2 583.2 272 578.9 272h-70.03l98.25 106.1C609.9 381 605.7 384 602.8 384h-138.8v-25.38l43.31-43.31c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0l-20.69 20.69V176c0-8.844-7.159-16-16-16s-15.1 7.156-15.1 16v80.01l-19.2-25.6c-5.297-7.062-15.34-8.531-22.39-3.219c-7.078 5.312-8.516 15.34-3.203 22.41l44.8 59.73V496c0 8.844 7.153 16 15.1 16s16-7.156 16-16V416h138.8c14.28 0 27.47-8.062 33.66-20.62C642.8 382.3 640.5 366.9 630.6 356.3z"],
    "triangle": [512, 512, [9650], "f2ec", "M262.9 67.95C261.5 65.5 258.8 64 256 64C253.2 64 250.5 65.5 249.1 67.95L221.5 51.75C228.7 39.52 241.8 32 256 32C270.2 32 283.3 39.52 290.5 51.75L506.5 419.8C513.8 432.1 513.8 447.4 506.7 459.9C499.6 472.3 486.3 480 472 480H40C25.66 480 12.41 472.3 5.287 459.9C-1.839 447.4-1.756 432.1 5.503 419.8L221.5 51.75L249.1 67.95L33.1 435.1C31.65 438.4 31.63 441.5 33.06 443.1C34.48 446.5 37.13 448 40 448H472C474.9 448 477.5 446.5 478.9 443.1C480.4 441.5 480.4 438.4 478.9 435.1L262.9 67.95z"],
    "triangle-exclamation": [512, 512, [9888, "exclamation-triangle", "warning"], "f071", "M256 360c-13.25 0-23.1 10.74-23.1 24c0 13.25 10.75 24 23.1 24c13.25 0 23.1-10.75 23.1-24C280 370.7 269.3 360 256 360zM256 320c8.843 0 15.1-7.156 15.1-16V160c0-8.844-7.155-16-15.1-16S240 151.2 240 160v144C240 312.8 247.2 320 256 320zM504.3 397.3L304.5 59.38C294.4 42.27 276.2 32.03 256 32C235.8 32 217.7 42.22 207.5 59.36l-199.9 338c-10.05 16.97-10.2 37.34-.4218 54.5C17.29 469.5 35.55 480 56.1 480h399.9c20.51 0 38.75-10.53 48.81-28.17C514.6 434.7 514.4 414.3 504.3 397.3zM476.1 435.1C472.7 443.5 464.8 448 455.1 448H56.1c-8.906 0-16.78-4.484-21.08-12c-4.078-7.156-4.015-15.3 .1562-22.36L235.1 75.66C239.4 68.36 247.2 64 256 64c0 0-.0156 0 0 0c8.765 .0156 16.56 4.359 20.86 11.64l199.9 338C480.1 420.7 481.1 428.8 476.1 435.1z"],
    "triangle-instrument": [512, 512, ["triangle-music"], "f8e2", "M256.1 255.1C226.6 255.6 200.7 275.2 192.1 303.6c-7.75 28.37 4.625 58.37 29.1 73.12c25.5 14.62 57.75 10.37 78.37-10.63c20.62-20.88 24.62-53.12 9.625-78.5l192.1-192.1c6.206-6.206 6.234-16.26 .0621-22.5c-6.239-6.308-16.48-6.336-22.75-.0629l-192.9 192.9C278.6 259.1 267.5 255.1 256.1 255.1zM256.1 351.1c-17.75 0-31.1-14.37-31.1-31.1c0-17.62 14.25-31.1 31.1-31.1c17.62 0 31.1 14.37 31.1 31.1C288.1 337.6 273.7 351.1 256.1 351.1zM412.1 230.9l-23.25 23.25l80.87 130.9c11.87 18.87 12.37 42.87 1.375 62.37c-11.37 20.25-32.87 32.75-56.12 32.62H96.1c-23.25 .125-44.75-12.38-56.12-32.75c-10.1-19.37-10.5-43.37 1.375-62.37l159.9-258.6c11.87-18.87 32.5-30.25 54.75-30.25s42.87 11.37 54.75 30.25l27.25 43.1l23.12-23.25L337.1 109.3c-14.75-23.75-38.77-38.84-66.02-43.34V15.1C271.1 7.163 264.8 0 255.1 0C247.2 0 239.1 7.2 239.1 15.1v50C212.8 70.5 188.7 85.56 173.1 109.3l-159.8 258.8c-18.12 28.75-18.94 65.19-2.187 94.81c17.12 30.5 49.22 49.19 84.09 49.06h319.8c34.87 .125 67-18.62 84.13-49.12c16.75-29.5 15.91-65.1-2.219-94.75L412.1 230.9z"],
    "triangle-person-digging": [640, 512, ["construction"], "f85d", "M296 208C309.3 208 320 197.3 320 184C320 170.7 309.3 160 296 160S272 170.7 272 184C272 197.3 282.7 208 296 208zM289.4 372L206.4 318.3l-29.75 109.4c-.407 1.492-.5972 2.954-.5972 4.367c0 8.932 7.606 15.88 16.1 15.88c7.125-.125 13.5-4.875 15.37-11.87l18.25-66.1l46.24 29.1v32.75c0 8.873 7.125 15.1 15.1 15.1s16-7.002 16-15.88l-.0052-32.87C304 388 298.5 377.9 289.4 372zM640 463.9c0-8.956-2.609-17.66-7.789-25.39L361.4 20.9c-8.998-13.94-25.18-20.9-41.37-20.9S287.6 6.968 278.6 20.9L7.789 438.5c-5.18 7.735-7.789 16.44-7.789 25.39c0 7.685 1.921 15.62 5.789 22.6c8.568 15.77 25.16 25.5 43.03 25.5l542.4 0C617.4 511.1 640 490.5 640 463.9zM607.9 464.1c0 10.3-9.725 15.8-16.72 15.8H48.82c-6.967 0-16.72-5.553-16.72-15.8c0-2.832 .8181-5.656 2.435-8.081L305.4 38.4C308.8 33.65 314.1 30.78 320 30.78s11.25 2.875 14.62 7.625l270.8 417.6C607.1 458.4 607.9 461.3 607.9 464.1zM461 310.7C457.1 306.5 453.1 304 447.1 304c-.0313 0 0 0 0 0c-5.219 .0313-10.09 2.562-13.06 6.812l-35.19 50.25l-57.47-35.43l-10.5-52.87c-3.75-18.75-18.12-33.5-35.5-37.25L271.6 228.1C268.4 227.4 264.9 227 261.4 227c-13.58 0-28.4 5.638-38.49 19.23l-11.62 15.5C209.5 264.1 208.1 267.9 208.1 271.9c0 4.736 1.959 9.8 7.565 13.24l103.9 64.12c.125 0 0 0 0 0L375.1 384H360c-5.031 0-9.781 2.375-12.81 6.406l-24 32c-2.147 2.871-3.183 6.232-3.183 9.567c0 8.768 7.093 16 16.02 16c4.864 0 9.636-2.179 12.78-6.384L368 416h24c5.219 0 10.12-2.562 13.09-6.812l43.03-61.47l66.84 93.59C518.1 445.7 523 448 528 448c11.79 0 16.01-10.46 16.01-16.01c0-3.22-.967-6.473-2.976-9.303L461 310.7zM247.4 266.9c3.527-4.852 7.576-7.842 13.58-7.842c.9247 0 1.896 .0709 2.918 .2169l23.25 6.875C292 267.8 298.6 269.7 300.4 278.9l4.75 23.62L247.4 266.9z"],
    "trillium": [512, 512, [], "e588", "M200 240C200 209.1 225.1 184 256 184C286.9 184 312 209.1 312 240C312 270.9 286.9 296 256 296C225.1 296 200 270.9 200 240zM256 216C242.7 216 232 226.7 232 240C232 253.3 242.7 264 256 264C269.3 264 280 253.3 280 240C280 226.7 269.3 216 256 216zM235.3 8.242C247-2.751 265-2.751 276.8 8.241C288.9 19.57 309.9 40.76 327.1 67.06C345.8 93.04 362.2 125.1 362.2 160.4C362.2 169.7 360.1 178.8 358.7 187.4C369.1 189.7 379.4 193.5 389.2 199.1C419.1 216.3 439.6 246.7 453.4 275.1C467.3 303.7 475.2 332.4 479.1 348.5C482.8 364.4 473.6 380 458.1 384.7C442.2 389.4 413.2 396.9 381.3 399.2C349.8 401.6 313 399.2 283.1 382C272.6 376 263.5 368.4 255.1 359.8C248.4 368.4 239.3 376 228.8 382C198.9 399.2 162.1 401.6 130.6 399.3C98.69 396.9 69.75 389.4 53.76 384.7C38.26 380 29.06 364.4 32.83 348.5C36.66 332.4 44.65 303.7 58.55 275.1C72.28 246.8 92.78 216.3 122.7 199.1C132.5 193.5 142.9 189.6 153.4 187.4C151.1 178.8 149.8 169.7 149.8 160.4C149.8 125.1 166.2 93.04 184.1 67.06C202.1 40.76 223.1 19.57 235.3 8.242V8.242zM256 32.65C244.6 43.37 226.2 62.28 210.4 85.18C193.1 109.2 181.8 135.5 181.8 160.4C181.8 172.4 184.8 183.7 189.9 193.7C192.5 198.7 192.3 204.6 189.4 209.4C186.5 214.2 181.3 217.1 175.7 217.1C163.1 217 150.3 220.2 138.6 226.9C116.9 239.4 99.99 262.1 87.34 289C75.26 313.1 68.01 339.2 64.32 354.4C79.4 358.8 105.1 365.3 132.1 367.3C162.1 369.5 191.2 366.7 212.9 354.3C225.7 346.9 235.5 336.3 241.7 324.2C244.5 318.8 249.1 315.5 255.1 315.5C261.9 315.5 267.4 318.8 270.2 324.2C276.5 336.3 286.2 346.9 299 354.3C320.7 366.7 349.8 369.5 378.9 367.3C406.8 365.3 432.5 358.8 447.6 354.4C443.9 339.2 436.6 313.9 424.6 289C411.9 262.9 394.1 239.3 373.3 226.9C361.6 220.2 348.9 217.1 336.3 217C330.7 217 325.6 214.1 322.7 209.4C319.8 204.6 319.6 198.7 322.1 193.7C327.3 183.7 330.2 172.4 330.2 160.4C330.2 135.5 318.1 109.2 301.6 85.18C285.9 62.28 267.4 43.37 256 32.65H256zM274.9 497.1C265.8 510.8 246.2 510.8 237.1 497.1C228.8 484.6 214.3 459.1 206.2 423.2C216.4 420.1 226.5 415.1 236.2 410.6C241 434.6 249.1 453.5 256 466.4C262.9 453.5 270.1 434.7 275.8 410.7C285.5 416 295.6 420.1 305.8 423.2C297.7 459.1 283.3 484.6 274.9 497.1L274.9 497.1zM41.86 105.4C56.54 103.5 86.1 102.6 124.6 115.3C122 125.8 120.4 136.6 120.1 147.6C94.52 138.4 73.66 136.3 59.67 136.3C66.06 147.4 76.91 162.7 94.72 178.6C85.61 184.7 77.34 191.7 69.85 199.2C42.4 173.6 29.46 149.3 23.99 136.3C18.17 122.5 26.97 107.3 41.86 105.4V105.4zM452.3 136.3C438.3 136.3 417.5 138.4 391.9 147.6C391.6 136.6 389.1 125.8 387.4 115.3C425.9 102.6 455.5 103.5 470.2 105.4C485 107.3 493.8 122.5 488 136.3C482.5 149.4 469.6 173.7 442.1 199.3C434.6 191.8 426.3 184.8 417.2 178.7C435.1 162.7 445.9 147.5 452.3 136.3H452.3z"],
    "trophy": [576, 512, [127942], "f091", "M572.2 76.72C570.7 69.31 564.1 64 556.6 64h-108.7c-.0137-6.172-.0496-12.01-.1804-17.34C447.1 20.5 425.1 0 399.7 0H176.3c-26.24 0-47.33 20.5-47.99 46.66C128.1 51.99 128.1 57.83 128.1 64H19.43C11.87 64 5.336 69.31 3.774 76.72C2.899 80.91-17.19 180.8 45.04 272.8c41.67 61.64 109.9 104 202.5 126.7c14.29 3.498 24.43 16.23 24.43 30.95L272 480H176c-8.834 0-16.02 7.163-16.02 16S167.2 512 176 512h223.1c8.834 0 15.1-7.163 15.1-16S408.8 480 399.1 480h-95.97l.0006-49.51c.0002-14.72 10.13-27.45 24.43-30.95c92.66-22.68 160.9-65.05 202.5-126.7C593.2 180.8 573.1 80.91 572.2 76.72zM160.3 47.47C160.5 38.78 167.5 32 176.3 32h223.5c8.747 0 15.78 6.781 15.1 15.47C417.7 128.4 409.1 320.2 288 374.6C166.9 320.2 158.3 128.4 160.3 47.47zM71.78 255.3C29.2 192.6 30.55 123.8 33.33 96h95.39c3.017 77.71 19.29 188.6 81.19 258.1C148.4 332.9 101.9 299.6 71.78 255.3zM504.2 255.3c-30.12 44.37-76.61 77.59-138.1 99.7C427.1 284.6 444.3 173.7 447.3 96h95.39C545.5 123.8 546.8 192.6 504.2 255.3z"],
    "trophy-star": [576, 512, ["trophy-alt"], "f2eb", "M368.8 119.8l-41.86-6.125l-18.72-38.09c-7.607-15.48-32.69-15.45-40.23 0L249.2 113.7L207.3 119.8C198.7 121.1 191.8 126.9 189.1 135.2C186.5 143.4 188.6 152.3 194.8 158.2l30.34 29.52L217.9 229.7C216.5 238.2 219.1 246.7 226.9 251.7c6.982 4.961 15.97 5.715 23.57 1.664l37.48-19.75l37.45 19.75C328.7 255.1 332.3 256 335.9 256c4.633 0 9.236-1.445 13.18-4.336c6.951-5.086 10.36-13.53 8.924-22.01l-7.201-41.89l30.34-29.52c6.199-6.027 8.391-14.86 5.729-23.11C384.2 126.9 377.3 121 368.8 119.8zM316.4 176.5L323.1 215.8L287.1 197.3L252.9 215.8l6.73-39.31L231.2 148.8l39.36-5.75l17.56-35.7l17.56 35.7l39.17 5.719L316.4 176.5zM572.2 76.72C570.7 69.31 564.1 64 556.6 64h-108.7c-.0137-6.172-.0496-12.01-.1805-17.34C447.1 20.5 425.1 0 399.7 0H176.3C150 0 128.9 20.5 128.3 46.66C128.1 51.99 128.1 57.83 128.1 64H19.43C11.87 64 5.336 69.31 3.773 76.72C2.898 80.91-17.19 180.8 45.04 272.8c41.67 61.64 109.9 104 202.5 126.7c14.29 3.5 24.43 16.23 24.43 30.95V480H176c-8.834 0-16.02 7.164-16.02 16S167.2 512 176 512H399.1c8.834 0 15.1-7.164 15.1-16S408.8 480 399.1 480h-95.97v-49.51c0-14.72 10.13-27.45 24.43-30.95c92.66-22.68 160.9-65.05 202.5-126.7C593.2 180.8 573.1 80.91 572.2 76.72zM71.79 255.3C29.2 192.6 30.55 123.8 33.33 96h95.38c3.016 77.71 19.29 188.6 81.19 258.1C148.4 332.9 101.9 299.6 71.79 255.3zM288 374.6C166.9 320.2 158.3 128.4 160.3 47.47C160.5 38.78 167.5 32 176.3 32h223.5c8.746 0 15.78 6.781 15.99 15.47C417.7 128.4 409.1 320.2 288 374.6zM504.2 255.3c-30.12 44.37-76.61 77.59-138.1 99.7C427.1 284.6 444.3 173.7 447.3 96h95.38C545.5 123.8 546.8 192.6 504.2 255.3z"],
    "trowel": [512, 512, [], "e589", "M491.8 20.18C518.7 47.1 518.7 90.73 491.8 117.6L396.4 213.1C381.8 227.6 358.2 227.6 343.6 213.1L332.6 202L230.6 303.1L306.2 379.5C318.8 392.2 313.7 413.6 296.8 419.3L36.24 506.1C17.48 512.4-.3715 494.5 5.883 475.8L92.73 215.2C98.37 198.3 119.9 193.2 132.5 205.8L208 281.4L309.1 179.4L298.9 168.4C284.4 153.8 284.4 130.2 298.9 115.6L394.4 20.18C421.3-6.728 464.9-6.728 491.8 20.18L491.8 20.18zM321.6 138.2C319.5 140.3 319.5 143.7 321.6 145.8L366.2 190.4C368.3 192.5 371.7 192.5 373.8 190.4L469.2 95.01C483.6 80.6 483.6 57.23 469.2 42.81C454.8 28.4 431.4 28.4 416.1 42.81L321.6 138.2zM274.4 393L118.1 237.6L41.3 470.7L274.4 393z"],
    "trowel-bricks": [512, 512, [], "e58a", "M256 112H344C344 94.33 358.3 80 376 80H464C490.5 80 512 101.5 512 128C512 154.5 490.5 176 464 176H376C358.3 176 344 161.7 344 144H256V224C256 235.1 250.3 245.4 240.8 251.2C231.4 257.1 219.6 257.6 209.7 252.6L17.69 156.6C6.848 151.2 0 140.1 0 128C0 115.9 6.848 104.8 17.69 99.38L209.7 3.378C219.6-1.581 231.4-1.051 240.8 4.779C250.3 10.61 256 20.91 256 32V112zM224 224V32L32 128L224 224zM464 112H376V144H464C472.8 144 480 136.8 480 128C480 119.2 472.8 112 464 112zM320 224H480C497.7 224 512 238.3 512 256V480C512 497.7 497.7 512 480 512H32C14.33 512 0 497.7 0 480V384C0 366.3 14.33 352 32 352H288V256C288 238.3 302.3 224 320 224zM256 384V480H480V384H256zM224 384H32V480H224V384zM480 256H320V352H480V256z"],
    "truck": [640, 512, [128666, 9951], "f0d1", "M64 416C28.65 416 0 387.3 0 352V64C0 28.65 28.65 0 64 0H352C387.3 0 416 28.65 416 64V96H481.3C495.3 96 508.6 102.1 517.7 112.8L596.4 204.6C603.9 213.3 608 224.4 608 235.8V384H624C632.8 384 640 391.2 640 400C640 408.8 632.8 416 624 416H576C576 469 533 512 480 512C426.1 512 384 469 384 416H255.1C255.1 469 213 512 159.1 512C106.1 512 63.1 469 63.1 416H64zM32 64V352C32 369.7 46.33 384 64 384H69.46C82.64 346.7 118.2 320 160 320C201.8 320 237.4 346.7 250.5 384H384V64C384 46.33 369.7 32 352 32H64C46.33 32 32 46.33 32 64zM570.9 224L493.4 133.6C490.4 130 485.1 128 481.3 128H416V224H570.9zM416 256V344.4C432.1 329.2 455.4 320 480 320C521.8 320 557.4 346.7 570.5 384H576V256H416zM160 352C124.7 352 96 380.7 96 416C96 451.3 124.7 480 160 480C195.3 480 224 451.3 224 416C224 380.7 195.3 352 160 352zM480 480C515.3 480 544 451.3 544 416C544 380.7 515.3 352 480 352C444.7 352 416 380.7 416 416C416 451.3 444.7 480 480 480z"],
    "truck-arrow-right": [640, 512, [], "e58b", "M315.3 164.7C321.6 170.9 321.6 181.1 315.3 187.3L235.3 267.3C229.1 273.6 218.9 273.6 212.7 267.3C206.4 261.1 206.4 250.9 212.7 244.7L265.4 192H112C103.2 192 96 184.8 96 176C96 167.2 103.2 160 112 160H265.4L212.7 107.3C206.4 101.1 206.4 90.93 212.7 84.69C218.9 78.44 229.1 78.44 235.3 84.69L315.3 164.7zM.0003 64C.0003 28.65 28.65 0 64 0H352C387.3 0 416 28.65 416 64V96H481.3C495.3 96 508.6 102.1 517.7 112.8L596.4 204.6C603.9 213.3 608 224.4 608 235.8V384H624C632.8 384 640 391.2 640 400C640 408.8 632.8 416 624 416H576C576 469 533 512 480 512C426.1 512 384 469 384 416H256C256 469 213 512 160 512C106.1 512 64 469 64 416C28.65 416 0 387.3 0 352L.0003 64zM352 32H64C46.33 32 32 46.33 32 64V352C32 369.7 46.33 384 64 384H69.46C82.64 346.7 118.2 320 160 320C201.8 320 237.4 346.7 250.5 384H384V64C384 46.33 369.7 32 352 32zM481.3 128H416V224H570.9L493.4 133.6C490.4 130 485.1 128 481.3 128V128zM480 320C521.8 320 557.4 346.7 570.5 384H576V256H416V344.4C432.1 329.2 455.4 320 480 320zM160 480C195.3 480 224 451.3 224 416C224 380.7 195.3 352 160 352C124.7 352 96 380.7 96 416C96 451.3 124.7 480 160 480zM480 352C444.7 352 416 380.7 416 416C416 451.3 444.7 480 480 480C515.3 480 544 451.3 544 416C544 380.7 515.3 352 480 352z"],
    "truck-bolt": [640, 512, [], "e3d0", "M182.6 160H272C278.5 160 284.3 163.9 286.8 169.9C289.3 175.9 287.9 182.7 283.3 187.3L187.3 283.3C181.1 289.6 170.9 289.6 164.7 283.3C158.4 277.1 158.4 266.9 164.7 260.7L233.4 191.1H144C137.5 191.1 131.7 188.1 129.2 182.1C126.7 176.1 128.1 169.3 132.7 164.7L228.7 68.69C234.9 62.44 245.1 62.44 251.3 68.69C257.6 74.93 257.6 85.06 251.3 91.31L182.6 160zM.0003 64C.0003 28.65 28.65 0 64 0H352C387.3 0 416 28.65 416 64V96H481.3C495.3 96 508.6 102.1 517.7 112.8L596.4 204.6C603.9 213.3 608 224.4 608 235.8V384H624C632.8 384 640 391.2 640 400C640 408.8 632.8 416 624 416H576C576 469 533 512 480 512C426.1 512 384 469 384 416H256C256 469 213 512 160 512C106.1 512 64 469 64 416C28.65 416 0 387.3 0 352L.0003 64zM352 32H64C46.33 32 32 46.33 32 64V352C32 369.7 46.33 384 64 384H69.46C82.64 346.7 118.2 320 160 320C201.8 320 237.4 346.7 250.5 384H384V64C384 46.33 369.7 32 352 32zM416 128V224H570.9L493.4 133.6C490.4 130 485.1 128 481.3 128H416zM480 320C521.8 320 557.4 346.7 570.5 384H576V256H416V344.4C432.1 329.2 455.4 320 480 320zM160 480C195.3 480 224 451.3 224 416C224 380.7 195.3 352 160 352C124.7 352 96 380.7 96 416C96 451.3 124.7 480 160 480zM480 352C444.7 352 416 380.7 416 416C416 451.3 444.7 480 480 480C515.3 480 544 451.3 544 416C544 380.7 515.3 352 480 352z"],
    "truck-clock": [640, 512, ["shipping-timed"], "f48c", "M224 160H240C248.8 160 256 167.2 256 176C256 184.8 248.8 192 240 192H208C199.2 192 192 184.8 192 176V128C192 119.2 199.2 112 208 112C216.8 112 224 119.2 224 128V160zM96 176C96 114.1 146.1 64 208 64C269.9 64 320 114.1 320 176C320 237.9 269.9 288 208 288C146.1 288 96 237.9 96 176zM208 256C252.2 256 288 220.2 288 176C288 131.8 252.2 96 208 96C163.8 96 128 131.8 128 176C128 220.2 163.8 256 208 256zM64 416C28.65 416 0 387.3 0 352V64C0 28.65 28.65 0 64 0H352C387.3 0 416 28.65 416 64V96H481.3C495.3 96 508.6 102.1 517.7 112.8L596.4 204.6C603.9 213.3 608 224.4 608 235.8V384H624C632.8 384 640 391.2 640 400C640 408.8 632.8 416 624 416H576C576 469 533 512 480 512C426.1 512 384 469 384 416H255.1C255.1 469 213 512 159.1 512C106.1 512 63.1 469 63.1 416H64zM32 64V352C32 369.7 46.33 384 64 384H69.46C82.64 346.7 118.2 320 160 320C201.8 320 237.4 346.7 250.5 384H384V64C384 46.33 369.7 32 352 32H64C46.33 32 32 46.33 32 64zM416 224H570.9L493.4 133.6C490.4 130 485.1 128 481.3 128H416V224zM416 256V344.4C432.1 329.2 455.4 320 480 320C521.8 320 557.4 346.7 570.5 384H576V256H416zM160 352C124.7 352 96 380.7 96 416C96 451.3 124.7 480 160 480C195.3 480 224 451.3 224 416C224 380.7 195.3 352 160 352zM480 480C515.3 480 544 451.3 544 416C544 380.7 515.3 352 480 352C444.7 352 416 380.7 416 416C416 451.3 444.7 480 480 480z"],
    "truck-container": [640, 512, [], "f4dc", "M352 32C387.3 32 416 60.65 416 96V304C416 312.8 408.8 320 400 320C391.2 320 384 312.8 384 304V96C384 78.33 369.7 64 352 64H64C46.33 64 32 78.33 32 96V304C32 312.8 24.84 320 16 320C7.164 320 0 312.8 0 304V96C0 60.65 28.65 32 64 32H352zM448 160C448 142.3 462.3 128 480 128H536C551.1 128 565.3 135.1 574.4 147.2L630.4 221.9C636.6 230.2 640 240.3 640 250.7V360C640 379.4 626.3 395.5 607.1 399.2L608 400C608 444.2 572.2 480 528 480C483.8 480 448 444.2 448 400H288C288 444.2 252.2 480 208 480C181.8 480 158.6 467.4 144 448C129.4 467.4 106.2 480 80 480C35.82 480 0 444.2 0 400C0 355.8 35.82 320 80 320C106.2 320 129.4 332.6 144 351.1C158.6 332.6 181.8 320 208 320C240.8 320 268.1 339.7 281.3 368H448V160zM592 224L548.8 166.4C545.8 162.4 541 160 536 160H480V224H592zM608 256H480V335.1C493.4 325.1 509.1 320 528 320C560.8 320 588.9 339.7 601.3 367.9C605.1 367.3 608 363.1 608 360V256zM528 448C554.5 448 576 426.5 576 400C576 373.5 554.5 352 528 352C501.5 352 480 373.5 480 400C480 426.5 501.5 448 528 448zM208 352C181.5 352 160 373.5 160 400C160 426.5 181.5 448 208 448C234.5 448 256 426.5 256 400C256 373.5 234.5 352 208 352zM80 448C106.5 448 128 426.5 128 400C128 373.5 106.5 352 80 352C53.49 352 32 373.5 32 400C32 426.5 53.49 448 80 448zM112 96C120.8 96 128 103.2 128 112V272C128 280.8 120.8 288 112 288C103.2 288 96 280.8 96 272V112C96 103.2 103.2 96 112 96zM208 96C216.8 96 224 103.2 224 112V272C224 280.8 216.8 288 208 288C199.2 288 192 280.8 192 272V112C192 103.2 199.2 96 208 96zM304 96C312.8 96 320 103.2 320 112V272C320 280.8 312.8 288 304 288C295.2 288 288 280.8 288 272V112C288 103.2 295.2 96 304 96z"],
    "truck-container-empty": [640, 512, [], "e2b5", "M448 160C448 142.3 462.3 128 480 128H536C551.1 128 565.3 135.1 574.4 147.2L630.4 221.9C636.6 230.2 640 240.3 640 250.7V360C640 379.4 626.3 395.5 607.1 399.2L608 400C608 444.2 572.2 480 528 480C483.8 480 448 444.2 448 400H288C288 444.2 252.2 480 208 480C181.8 480 158.6 467.4 144 448C129.4 467.4 106.2 480 80 480C35.82 480 0 444.2 0 400C0 355.8 35.82 320 80 320C106.2 320 129.4 332.6 144 351.1C158.6 332.6 181.8 320 208 320C240.8 320 268.1 339.7 281.3 368H448V160zM592 224L548.8 166.4C545.8 162.4 541 160 536 160H480V224H592zM608 256H480V335.1C493.4 325.1 509.1 320 528 320C560.8 320 588.9 339.7 601.3 367.9C605.1 367.3 608 363.1 608 360V256zM528 448C554.5 448 576 426.5 576 400C576 373.5 554.5 352 528 352C501.5 352 480 373.5 480 400C480 426.5 501.5 448 528 448zM208 352C181.5 352 160 373.5 160 400C160 426.5 181.5 448 208 448C234.5 448 256 426.5 256 400C256 373.5 234.5 352 208 352zM80 448C106.5 448 128 426.5 128 400C128 373.5 106.5 352 80 352C53.49 352 32 373.5 32 400C32 426.5 53.49 448 80 448z"],
    "truck-droplet": [640, 512, [], "e58c", "M288 210.1C288 253.5 252.2 288 208 288C163.8 288 128 253.5 128 210.1C128 178.1 173.2 112.1 195.6 80.81C201.8 72.25 214.2 72.25 220.4 80.81C242.8 112.1 288 178.1 288 210.1V210.1zM250.1 193.6C247.1 184.2 241.5 173.2 234.8 161.5C226.4 146.7 216.7 131.8 208 118.1C199.3 131.8 189.6 146.7 181.2 161.5C174.5 173.2 168.9 184.2 165 193.6C160.9 203.8 160 209.3 160 210.1C160 234.7 180.3 256 208 256C235.7 256 256 234.7 256 210.1C256 209.3 255.1 203.8 250.1 193.6V193.6zM.0003 64C.0003 28.65 28.65 0 64 0H352C387.3 0 416 28.65 416 64V96H481.3C495.3 96 508.6 102.1 517.7 112.8L596.4 204.6C603.9 213.3 608 224.4 608 235.8V384H624C632.8 384 640 391.2 640 400C640 408.8 632.8 416 624 416H576C576 469 533 512 480 512C426.1 512 384 469 384 416H256C256 469 213 512 160 512C106.1 512 64 469 64 416C28.65 416 0 387.3 0 352L.0003 64zM352 32H64C46.33 32 32 46.33 32 64V352C32 369.7 46.33 384 64 384H69.46C82.64 346.7 118.2 320 160 320C201.8 320 237.4 346.7 250.5 384H384V64C384 46.33 369.7 32 352 32zM416 128V224H570.9L493.4 133.6C490.4 130 485.1 128 481.3 128H416zM480 320C521.8 320 557.4 346.7 570.5 384H576V256H416V344.4C432.1 329.2 455.4 320 480 320zM160 480C195.3 480 224 451.3 224 416C224 380.7 195.3 352 160 352C124.7 352 96 380.7 96 416C96 451.3 124.7 480 160 480zM480 352C444.7 352 416 380.7 416 416C416 451.3 444.7 480 480 480C515.3 480 544 451.3 544 416C544 380.7 515.3 352 480 352z"],
    "truck-fast": [640, 512, ["shipping-fast"], "f48b", "M96 64V96H240C248.8 96 256 103.2 256 112C256 120.8 248.8 128 240 128H16C7.164 128 0 120.8 0 112C0 103.2 7.164 96 16 96H64V64C64 28.65 92.65 0 128 0H352C387.3 0 416 28.65 416 64V96H481.3C495.3 96 508.6 102.1 517.7 112.8L596.4 204.6C603.9 213.3 608 224.4 608 235.8V384H624C632.8 384 640 391.2 640 400C640 408.8 632.8 416 624 416H576C576 469 533 512 480 512C426.1 512 384 469 384 416H255.1C255.1 469 213 512 159.1 512C106.1 512 63.1 469 63.1 416V288H95.1V344.4C112.1 329.2 135.4 320 159.1 320C201.8 320 237.4 346.7 250.5 384H384V64C384 46.33 369.7 32 352 32H127.1C110.3 32 95.1 46.33 95.1 64H96zM493.4 133.6C490.4 130 485.1 128 481.3 128H416V224H570.9L493.4 133.6zM416 256V344.4C432.1 329.2 455.4 320 480 320C521.8 320 557.4 346.7 570.5 384H576V256H416zM160 352C124.7 352 96 380.7 96 416C96 451.3 124.7 480 160 480C195.3 480 224 451.3 224 416C224 380.7 195.3 352 160 352zM480 480C515.3 480 544 451.3 544 416C544 380.7 515.3 352 480 352C444.7 352 416 380.7 416 416C416 451.3 444.7 480 480 480zM272 160C280.8 160 288 167.2 288 176C288 184.8 280.8 192 272 192H48C39.16 192 32 184.8 32 176C32 167.2 39.16 160 48 160H272zM240 224C248.8 224 256 231.2 256 240C256 248.8 248.8 256 240 256H16C7.164 256 0 248.8 0 240C0 231.2 7.164 224 16 224H240z"],
    "truck-field": [640, 512, [], "e58d", "M32 96C32 60.65 60.65 32 96 32H320C352.6 32 379.6 56.43 383.5 88H436.9C454.5 88 470.8 97.7 479.1 113.2L521.6 192H544C579.3 192 608 220.7 608 256V352H624C632.8 352 640 359.2 640 368C640 376.8 632.8 384 624 384H576C576 437 533 480 480 480C426.1 480 384 437 384 384H256C256 437 213 480 160 480C106.1 480 64 437 64 384H16C7.164 384 0 376.8 0 368C0 359.2 7.164 352 16 352H32V288C14.33 288 0 273.7 0 256V160C0 142.3 14.33 128 32 128V96zM320 64H96C78.33 64 64 78.33 64 96V352H69.46C82.64 314.7 118.2 288 160 288C201.8 288 237.4 314.7 250.5 352H352V96C352 78.33 337.7 64 320 64zM485.2 192L450.1 128.4C448.2 123.2 442.8 120 436.9 120H384V192H485.2zM480 288C521.8 288 557.4 314.7 570.5 352H576V256C576 238.3 561.7 224 544 224H512.3C512.1 224 511.9 224 511.7 224H384V352H389.5C402.6 314.7 438.2 288 480 288H480zM160 320C124.7 320 96 348.7 96 384C96 419.3 124.7 448 160 448C195.3 448 224 419.3 224 384C224 348.7 195.3 320 160 320zM480 448C515.3 448 544 419.3 544 384C544 348.7 515.3 320 480 320C444.7 320 416 348.7 416 384C416 419.3 444.7 448 480 448z"],
    "truck-field-un": [640, 512, [], "e58e", "M288 187.2V144C288 135.2 295.2 128 304 128C312.8 128 320 135.2 320 144V240C320 247.1 315.4 253.3 308.6 255.3C301.9 257.4 294.6 254.7 290.7 248.9L256 196.8V240C256 248.8 248.8 256 240 256C231.2 256 224 248.8 224 240V144C224 136.9 228.6 130.7 235.4 128.7C242.1 126.6 249.4 129.3 253.3 135.1L288 187.2zM128 208C128 216.8 135.2 224 144 224C152.8 224 160 216.8 160 208V144C160 135.2 167.2 128 176 128C184.8 128 192 135.2 192 144V208C192 234.5 170.5 256 144 256C117.5 256 96 234.5 96 208V144C96 135.2 103.2 128 112 128C120.8 128 128 135.2 128 144V208zM0 160C0 142.3 14.33 128 32 128V96C32 60.65 60.65 32 96 32H320C352.6 32 379.6 56.43 383.5 88H436.9C454.5 88 470.8 97.7 479.1 113.2L521.6 192H544C579.3 192 608 220.7 608 256V352H624C632.8 352 640 359.2 640 368C640 376.8 632.8 384 624 384H576C576 437 533 480 480 480C426.1 480 384 437 384 384H256C256 437 213 480 160 480C106.1 480 64 437 64 384H16C7.164 384 0 376.8 0 368C0 359.2 7.164 352 16 352H32V288C14.33 288 0 273.7 0 256V160zM64 96V352H69.46C82.64 314.7 118.2 288 160 288C201.8 288 237.4 314.7 250.5 352H352V96C352 78.33 337.7 64 320 64H96C78.33 64 64 78.33 64 96zM384 120V192H485.2L450.1 128.4C448.2 123.2 442.8 120 436.9 120H384zM384 352H389.5C402.6 314.7 438.2 288 480 288C521.8 288 557.4 314.7 570.5 352H576V256C576 238.3 561.7 224 544 224H512.3C512.1 224 511.9 224 511.7 224H384L384 352zM160 320C124.7 320 96 348.7 96 384C96 419.3 124.7 448 160 448C195.3 448 224 419.3 224 384C224 348.7 195.3 320 160 320zM480 448C515.3 448 544 419.3 544 384C544 348.7 515.3 320 480 320C444.7 320 416 348.7 416 384C416 419.3 444.7 448 480 448z"],
    "truck-flatbed": [640, 512, [], "e2b6", "M481.3 96C495.3 96 508.6 102.1 517.7 112.8L596.4 204.6C603.9 213.3 608 224.4 608 235.8V384H624C632.8 384 640 391.2 640 400C640 408.8 632.8 416 624 416H576C576 469 533 512 480 512C426.1 512 384 469 384 416H256C256 469 213 512 160 512C106.1 512 64 469 64 416H16C7.164 416 0 408.8 0 400C0 391.2 7.164 384 16 384H69.46C82.64 346.7 118.2 320 160 320C201.8 320 237.4 346.7 250.5 384H384V120C384 106.7 394.7 96 408 96H481.3zM416 344.4C432.1 329.2 455.4 320 480 320C521.8 320 557.4 346.7 570.5 384H576V256H416V344.4zM570.9 224L493.4 133.6C490.4 130 485.1 128 481.3 128H416V224H570.9zM160 352C124.7 352 96 380.7 96 416C96 451.3 124.7 480 160 480C195.3 480 224 451.3 224 416C224 380.7 195.3 352 160 352zM480 480C515.3 480 544 451.3 544 416C544 380.7 515.3 352 480 352C444.7 352 416 380.7 416 416C416 451.3 444.7 480 480 480z"],
    "truck-front": [512, 512, [], "e2b7", "M128 328C128 341.3 117.3 352 104 352C90.75 352 80 341.3 80 328C80 314.7 90.75 304 104 304C117.3 304 128 314.7 128 328zM384 328C384 314.7 394.7 304 408 304C421.3 304 432 314.7 432 328C432 341.3 421.3 352 408 352C394.7 352 384 341.3 384 328zM0 80C0 35.82 35.82 0 80 0H432C476.2 0 512 35.82 512 80V368C512 394.2 499.4 417.4 480 432V496C480 504.8 472.8 512 464 512C455.2 512 448 504.8 448 496V446.4C442.8 447.4 437.5 448 432 448H80C74.52 448 69.17 447.4 64 446.4V496C64 504.8 56.84 512 48 512C39.16 512 32 504.8 32 496V432C12.57 417.4 0 394.2 0 368V80zM32 80V248.4C42.83 238.8 55.87 231.5 70.27 227.5L101.6 138.7C110.6 113.1 134.8 95.1 161.1 95.1H350C377.2 95.1 401.4 113.1 410.4 138.7L441.7 227.5C456.1 231.5 469.2 238.8 480 248.4V80C480 53.49 458.5 32 432 32H80C53.49 32 32 53.49 32 80H32zM32 320V368C32 394.5 53.49 416 80 416H432C458.5 416 480 394.5 480 368V320C480 284.7 451.3 256 416 256H96C60.65 256 32 284.7 32 320zM105.4 224H406.6L380.2 149.3C375.7 136.6 363.6 128 350 128H161.1C148.4 128 136.3 136.6 131.8 149.3L105.4 224z"],
    "truck-medical": [640, 512, [128657, "ambulance"], "f0f9", "M232 64C249.7 64 264 78.33 264 96V120H288C305.7 120 320 134.3 320 152V200C320 217.7 305.7 232 288 232H264V256C264 273.7 249.7 288 232 288H184C166.3 288 152 273.7 152 256V232H128C110.3 232 96 217.7 96 200V152C96 134.3 110.3 120 128 120H152V96C152 78.33 166.3 64 184 64H232zM184 152H128V200H184V256H232V200H288V152H232V96H184V152zM.0003 64C.0003 28.65 28.65 0 64 0H352C387.3 0 416 28.65 416 64V96H481.3C495.3 96 508.6 102.1 517.7 112.8L596.4 204.6C603.9 213.3 608 224.4 608 235.8V384H624C632.8 384 640 391.2 640 400C640 408.8 632.8 416 624 416H576C576 469 533 512 480 512C426.1 512 384 469 384 416H256C256 469 213 512 160 512C106.1 512 64 469 64 416C28.65 416 0 387.3 0 352L.0003 64zM352 32H64C46.33 32 32 46.33 32 64V352C32 369.7 46.33 384 64 384H69.46C82.64 346.7 118.2 320 160 320C201.8 320 237.4 346.7 250.5 384H384V64C384 46.33 369.7 32 352 32zM416 128V224H570.9L493.4 133.6C490.4 130 485.1 128 481.3 128H416zM480 320C521.8 320 557.4 346.7 570.5 384H576V256H416V344.4C432.1 329.2 455.4 320 480 320zM160 480C195.3 480 224 451.3 224 416C224 380.7 195.3 352 160 352C124.7 352 96 380.7 96 416C96 451.3 124.7 480 160 480zM480 352C444.7 352 416 380.7 416 416C416 451.3 444.7 480 480 480C515.3 480 544 451.3 544 416C544 380.7 515.3 352 480 352z"],
    "truck-monster": [640, 512, [], "f63b", "M96 128H224V40C224 17.91 241.9 0 264 0H376.8C391.2 0 404.9 6.514 414 17.73L503.6 128H544C579.3 128 608 156.7 608 192V240H606.1C611.4 243.9 615.6 247.1 619.6 252.2C625.7 258.6 625.4 268.8 618.1 274.8C612.6 280.9 602.4 280.6 596.4 274.2C567.2 243.3 525.8 224 480 224C423.8 224 374.4 252.9 345.9 296.7C342.9 301.3 337.9 304 332.5 304H307.5C302.1 304 297.1 301.3 294.1 296.7C265.6 252.9 216.2 224 160 224C114.2 224 72.83 243.3 43.63 274.2C37.57 280.6 27.44 280.9 21.02 274.8C14.59 268.8 14.3 258.6 20.37 252.2C24.08 248.3 27.96 244.5 32 240.9V192C32 156.7 60.65 128 96 128H96zM264 32C259.6 32 256 35.58 256 40V128H462.4L389.2 37.91C386.1 34.17 381.6 32 376.8 32H264zM64 217.7C92.24 201.4 125 192 160 192C224.3 192 281.1 223.6 315.1 272H324C358.9 223.6 415.7 192 480 192C514.1 192 547.8 201.4 576 217.7V192C576 174.3 561.7 160 544 160H96C78.33 160 64 174.3 64 192V217.7zM106.5 376C106.5 346.5 130.5 322.5 160 322.5C189.5 322.5 213.5 346.5 213.5 376C213.5 405.5 189.5 429.5 160 429.5C130.5 429.5 106.5 405.5 106.5 376L106.5 376zM160 354.5C148.1 354.5 138.5 364.1 138.5 376C138.5 387.9 148.1 397.5 160 397.5C171.9 397.5 181.5 387.9 181.5 376C181.5 364.1 171.9 354.5 160 354.5L160 354.5zM118 262.5C124.5 249.2 138.2 240 154 240H166C181.8 240 195.5 249.2 201.1 262.5C204.9 263.6 207.8 264.8 210.6 266.1C224.6 261.2 240.7 264.4 251.9 275.6L260.4 284.1C271.6 295.3 274.8 311.4 269.9 325.4C271.2 328.2 272.4 331.1 273.5 334C286.8 340.5 296 354.2 296 370V382C296 397.8 286.8 411.5 273.5 417.1C272.4 420.9 271.2 423.8 269.9 426.6C274.8 440.6 271.6 456.7 260.4 467.9L251.9 476.4C240.7 487.6 224.6 490.8 210.6 485.9C207.8 487.2 204.9 488.4 201.1 489.5C195.5 502.8 181.8 512 166 512H154C138.2 512 124.5 502.8 118 489.5C115.1 488.4 112.2 487.2 109.4 485.9C95.4 490.8 79.26 487.6 68.08 476.4L59.59 467.9C48.41 456.7 45.24 440.6 50.06 426.6C48.76 423.8 47.56 420.9 46.48 417.1C33.17 411.5 24 397.8 24 382V370C24 354.2 33.17 340.5 46.48 334C47.56 331.1 48.76 328.2 50.06 325.4C45.24 311.4 48.41 295.3 59.59 284.1L68.08 275.6C79.26 264.4 95.4 261.2 109.4 266.1C112.2 264.8 115.1 263.6 118 262.5H118zM154 272C150.1 272 146.9 274.7 146.2 278.4L144.2 287.9L134.1 290.6C128.8 292.4 122.9 294.8 117.3 297.9L108.8 302.5L100.8 297.2C97.66 295.1 93.43 295.5 90.7 298.2L82.22 306.7C79.49 309.4 79.13 313.7 81.19 316.8L86.54 324.8L81.89 333.3C78.84 338.9 76.38 344.8 74.56 350.1L71.85 360.2L62.39 362.2C58.74 362.9 56 366.1 56 370V382C56 385.9 58.74 389.1 62.39 389.8L71.85 391.8L74.56 401C76.38 407.2 78.84 413.1 81.89 418.7L86.54 427.2L81.19 435.2C79.13 438.3 79.49 442.6 82.22 445.3L90.7 453.8C93.43 456.5 97.66 456.9 100.8 454.8L108.8 449.5L117.3 454.1C122.9 457.2 128.8 459.6 134.1 461.4L144.2 464.1L146.2 473.6C146.9 477.3 150.1 480 154 480H166C169.9 480 173.1 477.3 173.8 473.6L175.8 464.1L185 461.4C191.2 459.6 197.1 457.2 202.7 454.1L211.2 449.5L219.2 454.8C222.3 456.9 226.6 456.5 229.3 453.8L237.8 445.3C240.5 442.6 240.9 438.3 238.8 435.2L233.5 427.2L238.1 418.7C241.2 413.1 243.6 407.2 245.4 401L248.1 391.8L257.6 389.8C261.3 389.1 264 385.9 264 382V370C264 366.1 261.3 362.9 257.6 362.2L248.1 360.2L245.4 350.1C243.6 344.8 241.2 338.9 238.1 333.3L233.5 324.8L238.8 316.8C240.9 313.7 240.5 309.4 237.8 306.7L229.3 298.2C226.6 295.5 222.3 295.1 219.2 297.2L211.2 302.5L202.7 297.9C197.1 294.8 191.2 292.4 185 290.6L175.8 287.9L173.8 278.4C173.1 274.7 169.9 271.1 166 271.1L154 272zM533.5 376C533.5 405.5 509.5 429.5 480 429.5C450.5 429.5 426.5 405.5 426.5 376C426.5 346.5 450.5 322.5 480 322.5C509.5 322.5 533.5 346.5 533.5 376L533.5 376zM480 397.5C491.9 397.5 501.5 387.9 501.5 376C501.5 364.1 491.9 354.5 480 354.5C468.1 354.5 458.5 364.1 458.5 376C458.5 387.9 468.1 397.5 480 397.5L480 397.5zM486 240C501.8 240 515.5 249.2 521.1 262.5C524.9 263.6 527.8 264.8 530.6 266.1C544.6 261.2 560.7 264.4 571.9 275.6L580.4 284.1C591.6 295.3 594.8 311.4 589.9 325.4C591.2 328.2 592.4 331.1 593.5 334C606.8 340.5 616 354.2 616 370V382C616 397.8 606.8 411.5 593.5 417.1C592.4 420.9 591.2 423.8 589.9 426.6C594.8 440.6 591.6 456.7 580.4 467.9L571.9 476.4C560.7 487.6 544.6 490.8 530.6 485.9C527.8 487.2 524.9 488.4 521.1 489.5C515.5 502.8 501.8 512 486 512H474C458.2 512 444.5 502.8 438 489.5C435.1 488.4 432.2 487.2 429.4 485.9C415.4 490.8 399.3 487.6 388.1 476.4L379.6 467.9C368.4 456.7 365.2 440.6 370.1 426.6C368.8 423.8 367.6 420.9 366.5 417.1C353.2 411.5 344 397.8 344 382V370C344 354.2 353.2 340.5 366.5 334C367.6 331.1 368.8 328.2 370.1 325.4C365.2 311.4 368.4 295.3 379.6 284.1L388.1 275.6C399.3 264.4 415.4 261.2 429.4 266.1C432.2 264.8 435.1 263.6 438 262.5C444.5 249.2 458.2 240 474 240H486zM464.2 287.9L454.1 290.6C448.8 292.4 442.9 294.8 437.3 297.9L428.8 302.5L420.8 297.2C417.7 295.1 413.4 295.5 410.7 298.2L402.2 306.7C399.5 309.4 399.1 313.7 401.2 316.8L406.5 324.8L401.9 333.3C398.8 338.9 396.4 344.8 394.6 350.1L391.9 360.2L382.4 362.2C378.7 362.9 376 366.1 376 370V382C376 385.9 378.7 389.1 382.4 389.8L391.9 391.8L394.6 401C396.4 407.2 398.8 413.1 401.9 418.7L406.5 427.2L401.2 435.2C399.1 438.3 399.5 442.6 402.2 445.3L410.7 453.8C413.4 456.5 417.7 456.9 420.8 454.8L428.8 449.5L437.3 454.1C442.9 457.2 448.8 459.6 454.1 461.4L464.2 464.1L466.2 473.6C466.9 477.3 470.1 480 474 480H486C489.9 480 493.1 477.3 493.8 473.6L495.8 464.1L505 461.4C511.2 459.6 517.1 457.2 522.7 454.1L531.2 449.5L539.2 454.8C542.3 456.9 546.6 456.5 549.3 453.8L557.8 445.3C560.5 442.6 560.9 438.3 558.8 435.2L553.5 427.2L558.1 418.7C561.2 413.1 563.6 407.2 565.4 401L568.1 391.8L577.6 389.8C581.3 389.1 584 385.9 584 382V370C584 366.1 581.3 362.9 577.6 362.2L568.1 360.2L565.4 350.1C563.6 344.8 561.2 338.9 558.1 333.3L553.5 324.8L558.8 316.8C560.9 313.7 560.5 309.4 557.8 306.7L549.3 298.2C546.6 295.5 542.3 295.1 539.2 297.2L531.2 302.5L522.7 297.9C517.1 294.8 511.2 292.4 505 290.6L495.8 287.9L493.8 278.4C493.1 274.7 489.9 271.1 486 271.1H474C470.1 271.1 466.9 274.7 466.2 278.4L464.2 287.9z"],
    "truck-moving": [640, 512, [], "f4df", "M640 250.7V360C640 379.4 626.3 395.5 607.1 399.2L608 400C608 444.2 572.2 480 528 480C483.8 480 448 444.2 448 400H288C288 444.2 252.2 480 208 480C181.8 480 158.6 467.4 144 448C129.4 467.4 106.2 480 80 480C35.82 480 0 444.2 0 400V104C0 64.24 32.24 32 72 32H408C447.8 32 480 64.24 480 104V128H536C551.1 128 565.3 135.1 574.4 147.2L630.4 221.9C636.6 230.2 640 240.3 640 250.7zM32 104V335.1C45.37 325.1 61.99 320 80 320C106.2 320 129.4 332.6 144 351.1C158.6 332.6 181.8 320 208 320C240.8 320 268.1 339.7 281.3 368H448V104C448 81.91 430.1 64 408 64H72C49.91 64 32 81.91 32 104zM528 320C560.8 320 588.9 339.7 601.3 367.9C605.1 367.3 608 363.1 608 360V256H480V335.1C493.4 325.1 509.1 320 528 320zM480 160V224H592L548.8 166.4C545.8 162.4 541 160 536 160H480zM528 448C554.5 448 576 426.5 576 400C576 373.5 554.5 352 528 352C501.5 352 480 373.5 480 400C480 426.5 501.5 448 528 448zM208 352C181.5 352 160 373.5 160 400C160 426.5 181.5 448 208 448C234.5 448 256 426.5 256 400C256 373.5 234.5 352 208 352zM80 448C106.5 448 128 426.5 128 400C128 373.5 106.5 352 80 352C53.49 352 32 373.5 32 400C32 426.5 53.49 448 80 448z"],
    "truck-pickup": [640, 512, [128763], "f63c", "M526.1 192H552C582.9 192 608 217.1 608 248V352H624C632.8 352 640 359.2 640 368C640 376.8 632.8 384 624 384H560C560 437 517 480 464 480C410.1 480 368 437 368 384H272C272 437 229 480 176 480C122.1 480 80 437 80 384H16C7.164 384 0 376.8 0 368C0 359.2 7.164 352 16 352H32V248C32 217.1 57.07 192 88 192H224V80C224 53.49 245.5 32 272 32H376.5C391.2 32 405.1 38.73 414.2 50.26L526.1 192zM256 192H485.3L389 70.09C386 66.24 381.4 64 376.5 64H272C263.2 64 256 71.16 256 80V192zM64 352H85.46C98.64 314.7 134.2 288 176 288C217.8 288 253.4 314.7 266.5 352H373.5C386.6 314.7 422.2 288 464 288C505.8 288 541.4 314.7 554.5 352H576V248C576 234.7 565.3 224 552 224H87.1C74.74 224 63.1 234.7 63.1 248L64 352zM176 320C140.7 320 112 348.7 112 384C112 419.3 140.7 448 176 448C211.3 448 240 419.3 240 384C240 348.7 211.3 320 176 320zM464 448C499.3 448 528 419.3 528 384C528 348.7 499.3 320 464 320C428.7 320 400 348.7 400 384C400 419.3 428.7 448 464 448z"],
    "truck-plane": [640, 512, [], "e58f", "M178 60.82C169.7 75.19 164.9 92.28 164.9 103.3V202.6L31.1 282.2V338.9L164.9 299V411.1L113.2 452.4V479.5L201.2 450.3L274.6 480.5C282.8 483.8 286.7 493.2 283.4 501.4C279.1 509.5 270.6 513.4 262.5 510.1L200 484.4L121.7 510.4C112.3 513.6 102 512 94.02 506.2C85.99 500.4 81.23 491.2 81.23 481.3V451.8C81.23 442.4 85.49 433.6 92.79 427.8L132.9 395.7V342L39.61 369.1C30.3 372.8 20.21 370.1 12.41 365.2C4.606 359.4 0 350.2 0 340.5V281.5C0 270.7 5.679 260.7 14.95 255.1L132.9 184.4V103.3C132.9 85.44 139.9 62.86 150.3 44.79C155.6 35.62 162.3 26.78 170.3 20.06C178.3 13.34 188.6 7.984 200.6 7.984C212.7 7.984 223.1 13.25 231.2 20.03C239.3 26.78 245.1 35.65 251.2 44.86C261.6 63 268.3 85.55 268.3 103.3V128.7C268.3 137.6 261.1 144.7 252.3 144.7C243.5 144.7 236.3 137.6 236.3 128.7V103.3C236.3 92.17 231.7 75.05 223.5 60.76C219.5 53.74 215 48.21 210.7 44.6C206.4 41.02 203.1 39.98 200.6 39.98C198.5 39.98 195.2 40.93 190.9 44.57C186.6 48.21 182.1 53.78 178 60.82V60.82zM352 384C352 370.7 362.7 360 376 360C389.3 360 400 370.7 400 384C400 397.3 389.3 408 376 408C362.7 408 352 397.3 352 384zM576 384C576 397.3 565.3 408 552 408C538.7 408 528 397.3 528 384C528 370.7 538.7 360 552 360C565.3 360 576 370.7 576 384zM640 416C640 436.9 626.6 454.7 608 461.3V496C608 504.8 600.8 512 592 512C583.2 512 576 504.8 576 496V464H352V496C352 504.8 344.8 512 336 512C327.2 512 319.1 504.8 319.1 496V461.3C301.4 454.7 287.1 436.9 287.1 416V176C287.1 149.5 309.5 128 336 128H592C618.5 128 640 149.5 640 176V416zM592 160H336C327.2 160 319.1 167.2 319.1 176V312.6C324.3 310.1 328.9 308.1 333.8 306.6L349.7 253.6C357.8 226.5 382.8 208 411 208H516.1C545.2 208 570.2 226.5 578.3 253.6L594.2 306.6C599.1 308.1 603.7 310.1 608 312.6V176C608 167.2 600.8 160 592 160H592zM608 368C608 350.3 593.7 336 576 336H352C334.3 336 319.1 350.3 319.1 368V416C319.1 424.8 327.2 432 336 432H592C600.8 432 608 424.8 608 416V368zM560 304L547.6 262.8C543.6 249.3 531.1 240 516.1 240H411C396.9 240 384.4 249.3 380.4 262.8L368 304H560z"],
    "truck-plow": [640, 512, [], "f7de", "M424 192C454.9 192 480 217.1 480 248V344C480 346.7 479.7 349.4 479.2 352H512V208C512 204.3 513.3 200.6 515.7 197.8L595.7 101.8C601.4 94.97 611.5 94.05 618.2 99.71C625 105.4 625.9 115.5 620.3 122.2L544 213.8V362.2L620.3 453.8C625.9 460.5 625 470.6 618.2 476.3C611.5 481.9 601.4 481 595.7 474.2L520.5 384H464C464 437 421 480 368 480C314.1 480 272 437 272 384H224C224 437 181 480 128 480C74.98 480 32 437 32 384L32 383.2C13.74 379.5 0 363.4 0 344V248C0 217.1 25.07 192 56 192H128V80C128 53.49 149.5 32 176 32H270.1C286.8 32 302.3 40.7 311 54.97L394.8 192L424 192zM176 64C167.2 64 160 71.16 160 80V192H357.2L283.7 71.66C280.8 66.9 275.6 64 270.1 64H176zM448 330.9V248C448 234.7 437.3 224 424 224H56C42.75 224 32 234.7 32 248V344C32 347.6 34.35 350.6 37.59 351.6C50.88 314.5 86.34 288 128 288C169.8 288 205.4 314.7 218.5 352H277.5C290.6 314.7 326.2 288 368 288C401.4 288 430.8 305 448 330.9H448zM128 320C92.65 320 64 348.7 64 384C64 419.3 92.65 448 128 448C163.3 448 192 419.3 192 384C192 348.7 163.3 320 128 320zM368 448C403.3 448 432 419.3 432 384C432 348.7 403.3 320 368 320C332.7 320 304 348.7 304 384C304 419.3 332.7 448 368 448z"],
    "truck-ramp": [640, 512, [], "f4e0", "M624 0C632.8 0 640 7.164 640 16C640 24.84 632.8 32 624 32H432C405.5 32 384 53.49 384 80V379.1L419.8 369.4L420.3 369.3C433.6 322.4 476.8 288 528 288C589.9 288 640 338.1 640 400C640 461.9 589.9 512 528 512C467.3 512 417.9 463.8 416.1 403.6L20.21 511.4C11.68 513.8 2.886 508.7 .563 500.2C-1.76 491.7 3.268 482.9 11.79 480.6L352.4 387.7C352.2 386.5 352 385.3 352 384V80C352 35.82 387.8 0 432 0H624zM528 480C572.2 480 608 444.2 608 400C608 355.8 572.2 320 528 320C483.8 320 448 355.8 448 400C448 444.2 483.8 480 528 480z"],
    "truck-ramp-box": [640, 512, ["truck-loading"], "f4de", "M624 0C632.8 0 640 7.164 640 16C640 24.84 632.8 32 624 32H432C405.5 32 384 53.49 384 80V379.1L419.8 369.4L420.3 369.3C433.6 322.4 476.8 288 528 288C589.9 288 640 338.1 640 400C640 461.9 589.9 512 528 512C467.3 512 417.9 463.8 416.1 403.6L20.21 511.4C11.68 513.8 2.886 508.7 .563 500.2C-1.76 491.7 3.268 482.9 11.79 480.6L352.4 387.7C352.2 386.5 352 385.3 352 384V80C352 35.82 387.8 0 432 0H624zM528 480C572.2 480 608 444.2 608 400C608 355.8 572.2 320 528 320C483.8 320 448 355.8 448 400C448 444.2 483.8 480 528 480zM200.3 127.1C217.4 122.5 234.9 132.7 239.5 149.7L280.9 304.3C285.5 321.4 275.3 338.9 258.3 343.5L103.7 384.9C86.64 389.5 69.1 379.3 64.52 362.3L23.11 207.7C18.54 190.6 28.67 173.1 45.74 168.5L200.3 127.1zM84.93 191.2L54.02 199.4L95.43 353.1L249.1 312.6L208.6 158L177.7 166.3L192.2 220.4C195.6 233.2 187.1 246.4 175.2 249.8L128.8 262.2C116 265.6 102.9 258 99.42 245.2L84.93 191.2zM115.8 182.9L128.3 229.2L159.2 220.1L146.7 174.6L115.8 182.9z"],
    "truck-ramp-couch": [640, 512, ["truck-couch"], "f4dd", "M352 80C352 35.82 387.8 0 432 0H624C632.8 0 640 7.164 640 16C640 24.84 632.8 32 624 32H432C405.5 32 384 53.49 384 80V379.1L419.8 369.4L420.3 369.3C433.6 322.4 476.8 288 528 288C589.9 288 640 338.1 640 400C640 461.9 589.9 512 528 512C467.3 512 417.9 463.8 416.1 403.6L20.21 511.4C11.68 513.8 2.886 508.7 .563 500.2C-1.76 491.7 3.268 482.9 11.79 480.6L352.4 387.7C352.2 386.5 352 385.3 352 384V80zM528 320C483.8 320 448 355.8 448 400C448 444.2 483.8 480 528 480C572.2 480 608 444.2 608 400C608 355.8 572.2 320 528 320zM225.7 128.2C262.1 118.4 299.3 133 320 161.9V237.4C316.9 236.1 313.7 237.1 310.5 237.1C299.4 240.1 292.2 251.3 292.7 262.3L294 288.2L102.6 339.5L90.79 316.4C85.75 306.6 74.32 301.3 63.22 304.2C50.42 307.7 42.82 320.8 46.25 333.6L59.72 383.9C60.86 388.2 65.25 390.7 69.52 389.6L125.2 374.6L125.3 374.8L309.1 325.6L309.1 325.7L320 322.7V355.9L286.5 364.8L286.5 364.8L102.6 414L102.6 413.8L77.8 420.5C56.46 426.2 34.53 413.5 28.81 392.2L15.34 341.9C11.39 327.2 13.71 312.2 20.66 299.9L14.23 275.1C1.656 229 29.52 180.8 76.46 168.2L225.7 128.2zM233.1 159.1L84.74 199.1C54.87 207.1 37.14 237.8 45.14 267.7L47.36 275.1C49.79 274.9 52.32 274 54.94 273.3C80.91 266.4 107.5 278.9 119.3 301.9L260.8 263.1C259.5 238.2 276.2 214 302.2 207.1C303 206.9 303.8 206.7 304.6 206.5L302.5 198.7C294.5 168.8 263.8 151.1 233.1 159.1V159.1z"],
    "truck-tow": [640, 512, [], "e2b8", "M96 64V176C96 202.5 74.51 224 48 224C21.49 224 .0003 202.5 .0003 176V160C.0003 151.2 7.164 144 16 144C24.84 144 32 151.2 32 160V176C32 184.8 39.16 192 48 192C56.84 192 64 184.8 64 176V32C64 20.16 70.44 9.814 80 4.281C84.71 1.558 90.17 0 96 0H145.6C154.8 0 163.5 3.909 169.5 10.74L384 252V144C384 117.5 405.5 96 432 96H488.5C508.3 96 526.9 105.1 539 120.7L629.9 237.5C636.4 245.9 640 256.3 640 266.1V368C640 394.5 618.5 416 592 416H576C576 469 533 512 480 512C426.1 512 384 469 384 416H256C256 469 213 512 160 512C106.1 512 64 469 64 416H48C21.49 416 0 394.5 0 368V304C0 277.5 21.49 256 48 256H192L96 64zM250.5 384H389.5C402.6 346.7 438.2 320 480 320C521.8 320 557.4 346.7 570.5 384H592C600.8 384 608 376.8 608 368V288H48C39.16 288 32 295.2 32 304V368C32 376.8 39.16 384 48 384H69.46C82.64 346.7 118.2 320 160 320C201.8 320 237.4 346.7 250.5 384H250.5zM416 416C416 451.3 444.7 480 480 480C515.3 480 544 451.3 544 416C544 380.7 515.3 352 480 352C444.7 352 416 380.7 416 416zM488.5 128H432C423.2 128 416 135.2 416 144V256H603.7L513.8 140.4C507.7 132.6 498.4 128 488.5 128H488.5zM115.8 32L227.8 256H344.7L145.6 32H115.8zM160 352C124.7 352 96 380.7 96 416C96 451.3 124.7 480 160 480C195.3 480 224 451.3 224 416C224 380.7 195.3 352 160 352z"],
    "trumpet": [640, 512, [127930], "f8e3", "M639.1 96.01c.1255-14.12-9.14-26.62-22.66-30.62c-13.52-3.875-28.17 1.25-35.93 12.87c-.5005 .625-45.11 66.23-112.6 101.1c-14.65 7.625-32.01 11.76-50.41 11.76h-50.4V175.1c0-8.837-7.163-15.1-15.1-15.1s-16 7.163-16 15.1v16.01h-32V175.1c0-8.837-7.164-16-16-16s-16 7.163-16 16v16.01h-32V175.1c0-8.837-7.163-15.1-15.1-15.1S207.1 167.2 207.1 175.1v16.01H32.05c0-8.8-7.233-16-16.03-16s-16.02 7.2-16.02 15.1l-.0002 96c0 8.8 7.2 15.1 15.1 15.1s16.05-7.2 16.05-15.1h48.58c-20.66 31.87-22.16 72.62-3.881 105.9c18.15 33.37 53.21 54.12 91.27 54.12h239.1c57.46 0 104-46.62 104-103.1c-.1255-5.625-.7515-11.25-1.878-16.87c43.69 34.5 70.86 74.12 71.24 74.62c5.884 8.875 15.9 14.25 26.54 14.25c3.126 0 6.136-.4609 9.031-1.272c13.8-3.87 23.02-16.95 23.02-31.28L639.1 96.01zM207.9 416L168 415.1c-30.67 0-57.83-19.24-67.98-48.11c-10.02-28.87-.7515-60.87 23.29-79.87h84.63V416zM272 416H239.1V288h32.05V416zM336 416H303.1V288h32.05V416zM473.5 374.3c-11.77 25.5-37.31 41.86-65.48 41.74l-40.06 .0098V288h50.45c15.27 0 30.17 3.25 44.07 9.375C480.9 318.6 485.3 348.8 473.5 374.3zM483.8 271.5c-19.15-10.12-41.77-15.51-65.3-15.51L32.05 256V224L418.5 223.1c23.54 0 46.15-5.367 65.3-15.49c75.49-39.87 123.9-112.1 124.2-112.5l.0883 288.1C607.7 383.4 559.2 311.4 483.8 271.5z"],
    "tty": [512, 512, ["teletype"], "f1e4", "M171.1 263.1h-24c-6.625 0-12 5.375-12 12v24c0 6.625 5.375 12 12 12h24c6.625 0 12-5.375 12-12v-24C183.1 269.4 178.6 263.1 171.1 263.1zM267.1 263.1h-24c-6.625 0-12 5.375-12 12v24c0 6.625 5.375 12 12 12h24c6.625 0 12-5.375 12-12v-24C279.1 269.4 274.6 263.1 267.1 263.1zM135.1 395.1v-24c0-6.625-5.375-12-12-12h-24c-6.625 0-12 5.375-12 12v24c0 6.625 5.375 12 12 12h24C130.6 407.1 135.1 402.6 135.1 395.1zM183.1 395.1c0 6.625 5.375 12 12 12h24c6.625 0 12-5.375 12-12v-24c0-6.625-5.375-12-12-12h-24c-6.625 0-12 5.375-12 12V395.1zM75.99 455.1h-24c-6.625 0-12 5.375-12 12v24c0 6.625 5.375 12 12 12h24c6.625 0 12-5.375 12-12v-24C87.99 461.4 82.61 455.1 75.99 455.1zM51.99 311.1h24c6.625 0 12-5.375 12-12v-24c0-6.625-5.375-12-12-12h-24c-6.625 0-12 5.375-12 12v24C39.99 306.6 45.36 311.1 51.99 311.1zM423.1 371.1c0-6.625-5.375-12-12-12h-24c-6.625 0-12 5.375-12 12v24c0 6.625 5.375 12 12 12h24c6.625 0 12-5.375 12-12V371.1zM279.1 395.1c0 6.625 5.375 12 12 12h24c6.625 0 12-5.375 12-12v-24c0-6.625-5.375-12-12-12h-24c-6.625 0-12 5.375-12 12V395.1zM459.1 455.1h-24c-6.625 0-12 5.375-12 12v24c0 6.625 5.375 12 12 12h24c6.625 0 12-5.375 12-12v-24C471.1 461.4 466.6 455.1 459.1 455.1zM459.1 263.1h-24c-6.625 0-12 5.375-12 12v24c0 6.625 5.375 12 12 12h24c6.625 0 12-5.375 12-12v-24C471.1 269.4 466.6 263.1 459.1 263.1zM500.5 97.97c-134.8-130.6-354.2-130.6-488.1 0C-1.531 110.6-3.781 130 6.031 145.2l39.52 61.22C55.36 221.7 74.97 228 92.31 221.4l79.14-30.62c15.95-6.219 25.88-22.28 24.11-38.97l-3.609-35.25c41.73-11.38 86.42-11.38 128.2 0l-3.609 35.06c-1.891 16.88 8.062 32.97 24.16 39.16l79.08 30.66C424.4 223.2 429.1 224 433.8 224c12.91 0 25.39-6.375 32.63-17.56l39.55-61.28C515.8 130 513.5 110.6 500.5 97.97zM479.1 127.8l-39.55 61.28c-1.656 2.562-5.281 3.562-8.266 2.5l-79.08-30.66c-2.562-.9687-4.156-3.344-3.859-5.906l4.969-48.34c.7656-7.469-3.766-14.47-10.91-16.81c-27.84-9.219-57.11-13.81-86.38-13.81S197.5 80.63 169.7 89.84C162.5 92.19 157.1 99.19 158.8 106.7l4.969 48.44C163.1 157.5 162.4 159.9 159.9 160.9L80.84 191.5C77.67 192.8 74.11 191.7 72.44 189L32.89 127.8C31.44 125.5 31.77 122.9 33.77 120.1c122.6-118.7 321.9-118.7 444.5 0C480.2 122.9 480.6 125.5 479.1 127.8zM363.1 311.1c6.625 0 12-5.375 12-12v-24c0-6.625-5.375-12-12-12h-24c-6.625 0-12 5.375-12 12v24c0 6.625 5.375 12 12 12H363.1zM368 464h-224C135.2 464 128 471.2 128 480s7.156 16 16 16h224c8.844 0 16-7.156 16-16S376.8 464 368 464z"],
    "tty-answer": [640, 512, ["teletype-answer"], "e2b9", "M344 139.1c0 6.625 5.375 12 12 12h24c6.625 0 12-5.375 12-12v-24c0-6.625-5.375-12-12-12h-24c-6.625 0-12 5.375-12 12V139.1zM308 55.98h24c6.625 0 12-5.375 12-12V19.98c0-6.625-5.375-12-12-12h-24c-6.625 0-12 5.375-12 12v24C296 50.61 301.4 55.98 308 55.98zM440 139.1c0 6.625 5.375 12 12 12h24c6.625 0 12-5.375 12-12v-24c0-6.625-5.375-12-12-12h-24c-6.625 0-12 5.375-12 12V139.1zM404 55.98h24c6.625 0 12-5.375 12-12V19.98c0-6.625-5.375-12-12-12h-24c-6.625 0-12 5.375-12 12v24C392 50.61 397.4 55.98 404 55.98zM500 55.98h24c6.625 0 12-5.375 12-12V19.98c0-6.625-5.375-12-12-12h-24c-6.625 0-12 5.375-12 12v24C488 50.61 493.4 55.98 500 55.98zM584 115.1c0-6.625-5.375-12-12-12h-24c-6.625 0-12 5.375-12 12v24c0 6.625 5.375 12 12 12h24c6.625 0 12-5.375 12-12V115.1zM620 199.1h-24c-6.625 0-12 5.375-12 12v24c0 6.625 5.375 12 12 12h24c6.625 0 12-5.375 12-12V211.1C632 205.4 626.6 199.1 620 199.1zM620 7.982h-24c-6.625 0-12 5.375-12 12v24c0 6.625 5.375 12 12 12h24c6.625 0 12-5.375 12-12V19.98C632 13.36 626.6 7.982 620 7.982zM528 208h-128c-8.844 0-16 7.157-16 16s7.156 16 16 16h128c8.844 0 16-7.157 16-16S536.9 208 528 208zM308 247.1h24c6.625 0 12-5.375 12-12V211.1c0-6.625-5.375-12-12-12h-24c-6.625 0-12 5.375-12 12v24C296 242.6 301.4 247.1 308 247.1zM484.6 330.6C484.6 330.6 484.6 330.6 484.6 330.6L382.9 286.1c-18.59-8.094-40.34-2.625-52.92 13l-33.08 40.41C244.2 311.7 200.3 267.9 171.7 215.2l40.41-33.09c15.53-12.66 20.89-34.41 13.03-52.88L181.4 27.3C172.6 7.264 150.9-3.706 129.6 1.138L35.16 22.95C14.45 27.64 0 45.8 0 67.08C0 312.4 199.6 512 444.9 512c21.27 0 39.42-14.47 44.16-35.13l21.8-94.44C515.8 361.1 504.7 339.3 484.6 330.6zM457.9 469.7c-1.391 6.063-6.719 10.28-12.97 10.28C217.2 479.1 32 294.8 32 67.08c0-6.25 4.219-11.56 10.3-12.94l94.47-21.81c1-.25 2-.3438 2.984-.3438c5.234 0 10.16 3.125 12.33 8.063l43.61 101.8c2.297 5.406 .7187 11.75-3.859 15.5L141.4 198.6c-5.75 4.719-7.5 12.75-4.219 19.44c33.31 67.81 89.02 123.5 156.9 156.8c6.641 3.219 14.7 1.5 19.42-4.25l41.36-50.53c3.672-4.563 10.02-6.125 15.47-3.75l101.7 43.6c5.797 2.531 9.109 9.063 7.672 15.22L457.9 469.7z"],
    "tugrik-sign": [384, 512, [], "e2ba", "M368 32C376.8 32 384 39.16 384 48C384 56.84 376.8 64 368 64H208V203.5L316.1 176.5C324.7 174.3 333.4 179.5 335.5 188.1C337.7 196.7 332.5 205.4 323.9 207.5L208 236.5V299.5L316.1 272.5C324.7 270.3 333.4 275.5 335.5 284.1C337.7 292.7 332.5 301.4 323.9 303.5L208 332.5V456C208 464.8 200.8 472 192 472C183.2 472 176 464.8 176 456V340.5L67.88 367.5C59.31 369.7 50.62 364.5 48.48 355.9C46.33 347.3 51.55 338.6 60.12 336.5L176 307.5V244.5L67.88 271.5C59.31 273.7 50.62 268.5 48.48 259.9C46.33 251.3 51.55 242.6 60.12 240.5L176 211.5V64H16C7.164 64 0 56.84 0 48C0 39.16 7.164 32 16 32H368z"],
    "turkey": [640, 512, [], "f725", "M579.7 75.53c5.5-33.12-19.75-70.87-58.87-75.12c-46.12-5.125-83.25 38.1-71.12 83.87c2.875 10.1 .4999 20.1-6.5 26.75c-11.87 9.749-14.1 12.75-29.5 21.62C375.9 110.2 333.5 96.03 288.5 96.03C129.7 96.03 0 269.1 0 383.1s129.7 128 288.5 128c158.9 0 287.5-13.13 287.5-128c0-52.75-27.28-117.6-72.03-172.5c3.1-3.625 1.625-2.25 9.1-9.249c10.75-8.874 24.38-2.625 28.38-.4999c7.5 4.125 15.75 6.75 24.25 7.625c35.1 4.125 69.12-22.37 72.1-59.75C643.4 114.3 618.1 79.9 579.7 75.53zM544.1 384c0 70.87-66.87 95.99-255.5 95.99c-188.7 0-256.6-25.12-256.6-95.99c0-98.74 117.1-255.1 256.6-255.1c31.12 0 61.12 8.249 88.1 21.75c-23.12 7.874-38.87 9.499-58.87 10.12c-56.87 1.875-106.7 39.1-121.2 92.62c-11.1 43.62-1.25 89.24 28.62 122.2c23.1 26.37 57.1 41.37 93.62 41.25c77.87 0 113.2-63.5 122.6-101.1c7.125-28.1 20.1-55.87 39.37-78.87C520.4 283.5 544.1 339.6 544.1 384zM557.6 173.8c-76.1-42.12-138.1 99.74-146.6 134.1c-9.625 39.12-38.62 68.37-73.1 74.5c-33.25 5.1-65.12-4.75-87.25-29.12c-22.5-24.87-30.5-59.25-21.37-92.12c3.1-14.5 23.37-66.1 98.87-69.5c47.25-1.625 173.2-40.12 153.4-115.6c-3.5-13.37 1.125-27.62 11.87-36.37c23.12-18.75 58.1-.625 55.62 31.37c-.625 5.375-2.375 10.5-5.375 14.1c-3.625 5.875-3.125 13.25 1.25 18.62c4.25 5.25 11.5 7.25 17.87 4.875c4.875-1.875 10.12-2.625 15.37-2.125c18.87 1.1 32.62 19.5 30.62 38.87C605.2 171.6 578.2 185 557.6 173.8z"],
    "turkish-lira-sign": [384, 512, ["try", "turkish-lira"], "e2bb", "M80 32C88.84 32 96 39.16 96 48V125.1L251.6 80.62C260.1 78.19 268.1 83.11 271.4 91.6C273.8 100.1 268.9 108.1 260.4 111.4L96 158.4V221.1L251.6 176.6C260.1 174.2 268.1 179.1 271.4 187.6C273.8 196.1 268.9 204.1 260.4 207.4L96 254.4V448H191.2C276.1 448 347.5 380.4 351 294.7L352 271.3C352.4 262.5 359.8 255.6 368.7 256C377.5 256.4 384.4 263.8 383.1 272.7L383 295.1C378.7 398.8 294.1 480 191.2 480H80C71.16 480 64 472.8 64 464V263.5L36.4 271.4C27.9 273.8 19.04 268.9 16.62 260.4C14.19 251.9 19.11 243 27.6 240.6L64 230.2V167.5L36.4 175.4C27.9 177.8 19.04 172.9 16.62 164.4C14.19 155.9 19.11 147 27.6 144.6L64 134.2V48C64 39.16 71.16 32 80 32V32z"],
    "turn-down": [384, 512, [10549, "level-down-alt"], "f3be", "M318 366.4C314.2 357.7 305.5 352 296 352H208V80C208 35.88 172.1 0 127.1 0L16 0C7.156 0 0 7.156 0 16S7.156 32 16 32H128c26.47 0 48 21.53 48 48V352H88c-9.547 0-18.19 5.656-22 14.41s-2.078 18.94 4.406 25.92l104 112C179.2 509.4 185.6 512 191.1 512s12.85-2.557 17.6-7.672l104-112C320.1 385.3 321.8 375.2 318 366.4zM277.7 384l-85.66 92.25L106.3 384H277.7z"],
    "turn-down-left": [512, 512, [], "e331", "M145.6 414c8.75-3.812 14.41-12.45 14.41-22L160 303.1h272c44.13 0 80-35.89 80-80V48C512 39.16 504.8 32 496 32S480 39.16 480 48v175.1c0 26.47-21.53 47.1-48 47.1H160L159.1 184c0-9.547-5.656-18.19-14.41-22S126.7 159.9 119.7 166.4l-112 104C2.556 275.2 0 281.6 0 287.1s2.556 12.85 7.671 17.6l112 104C126.7 416.1 136.8 417.8 145.6 414zM128 373.7L35.75 288L128 202.3V373.7z"],
    "turn-down-right": [512, 512, [], "e455", "M366.4 414C357.7 410.2 352 401.5 352 392L352 303.1H80C35.87 303.1 0 268.1 0 223.1V48C0 39.16 7.156 32 16 32C24.84 32 32 39.16 32 48V223.1C32 250.5 53.53 271.1 80 271.1H352L352 184C352 174.5 357.7 165.8 366.4 162C375.2 158.2 385.3 159.9 392.3 166.4L504.3 270.4C509.4 275.2 512 281.6 512 287.1C512 294.4 509.4 300.8 504.3 305.6L392.3 409.6C385.3 416.1 375.2 417.8 366.4 414V414zM384 373.7L476.2 288L384 202.3V373.7z"],
    "turn-up": [384, 512, [10548, "level-up-alt"], "f3bf", "M313.6 119.7l-104-112C204.8 2.556 198.4 0 191.1 0S179.2 2.556 174.4 7.671l-104 112C63.92 126.7 62.19 136.8 66 145.6s12.45 14.41 22 14.41L175.1 160v272c0 26.47-21.53 48-47.1 48h-112c-8.844 0-16 7.156-16 16S7.155 512 15.1 512h111.1c44.11 0 80-35.88 80-80V160l88-.0005c9.547 0 18.19-5.656 22-14.41S320.1 126.7 313.6 119.7zM106.3 128l85.66-92.25L277.7 128H106.3z"],
    "turntable": [576, 512, [], "f8e4", "M224 232C210.8 232 200 242.8 200 256S210.8 280 224 280S248 269.3 248 256S237.3 232 224 232zM512 32H64C28.63 32 0 60.63 0 96v320c0 35.38 28.62 64 64 64h448c35.38 0 64-28.62 64-64V96C576 60.63 547.4 32 512 32zM544 416c0 17.62-14.38 32-32 32H64c-17.62 0-32-14.38-32-32V96c0-17.62 14.38-32 32-32h448c17.62 0 32 14.38 32 32V416zM224 96C135.6 96 64 167.6 64 256s71.63 160 160 160s160-71.63 160-160S312.4 96 224 96zM224 384c-70.75 0-128-57.25-128-128s57.25-128 128-128s128 57.25 128 128C351.9 326.6 294.6 383.9 224 384zM484.5 304.5L480 302.2V112C480 103.2 472.8 96 464 96S448 103.2 448 112V288c-13.38-2.875-27.12 3.125-34 15l.5001 .25c-4.5 7.374-11.1 21.87-27.12 52.12c-7.887 15.77-1.529 34.96 14.23 42.87l28.64 14.38C434.8 414.9 439.6 416 444.5 416c3.5 0 7-.5 10.25-1.625c8-2.625 14.62-8.5 18.5-16l25.62-50.88C506.8 331.6 500.4 312.4 484.5 304.5zM444.6 384L416 369.8c0 0 23.62-46.75 25.75-50.75l28.5 14.12L444.6 384z"],
    "turtle": [576, 512, [128034], "f726", "M200 64C124.9 64 64 124.9 64 200V240C64 248.8 56.84 256 48 256C39.16 256 32 248.8 32 240V200C32 107.2 107.2 32 200 32C292.8 32 368 107.2 368 200V240C368 248.8 360.8 256 352 256C343.2 256 336 248.8 336 240V200C336 124.9 275.1 64 200 64zM464 208C464 199.2 471.2 192 480 192C488.8 192 496 199.2 496 208C496 216.8 488.8 224 480 224C471.2 224 464 216.8 464 208zM400 188.6C400 146.3 434.3 112 476.6 112C531.5 112 576 156.5 576 211.4V224C576 259.3 547.3 288 512 288H491.5C471.2 345.4 416.9 384 355.7 384H352V432C352 458.5 330.5 480 304 480H272C245.5 480 224 458.5 224 432V384H192V432C192 458.5 170.5 480 144 480H112C85.49 480 64 458.5 64 432V384H48C21.49 384 0 362.5 0 336C0 309.5 21.49 288 48 288H360C382.1 288 400 270.1 400 248V188.6zM256 432C256 440.8 263.2 448 272 448H304C312.8 448 320 440.8 320 432V352H355.7C403.1 352 446.7 321.2 461.1 275.4L464.8 266.9C466.1 260.4 473.1 256 480 256H512C529.7 256 544 241.7 544 224V211.4C544 174.2 513.8 144 476.6 144C451.1 144 432 163.1 432 188.6V248C432 287.8 399.8 320 360 320H47.1C39.16 320 31.1 327.2 31.1 336C31.1 344.8 39.16 352 47.1 352H95.1V432C95.1 440.8 103.2 448 111.1 448H143.1C152.8 448 159.1 440.8 159.1 432V352H255.1L256 432z"],
    "tv": [640, 512, [63717, "television", "tv-alt"], "f26c", "M576 0H64C28.65 0 0 28.65 0 64v320c0 35.35 28.65 64 64 64h512c35.35 0 64-28.65 64-64V64C640 28.65 611.3 0 576 0zM608 384c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V64c0-17.64 14.36-32 32-32h512c17.64 0 32 14.36 32 32V384zM528 480h-416C103.2 480 96 487.2 96 496C96 504.8 103.2 512 112 512h416c8.838 0 16-7.164 16-16C544 487.2 536.8 480 528 480z"],
    "tv-music": [640, 512, [], "f8e6", "M402.3 101.8c-8.625-6-19.62-7.438-29.5-3.688l-96 36C264.3 138.7 256 150.8 256 164v73.72C248.7 234.8 240.6 232.9 232 232.9c-30.88 0-56 21.53-56 48s25.12 48 56 48s56-21.53 56-48V164l96-35.97v77.72c-7.303-2.996-15.38-4.814-24-4.814c-30.88 0-56 21.53-56 48s25.12 48 56 48s56-21.53 56-48V128C416 117.5 410.8 107.7 402.3 101.8zM232 296.9c-12.78 0-24-7.469-24-16s11.22-16 24-16s24 7.469 24 16S244.8 296.9 232 296.9zM360 264.9c-12.78 0-24-7.469-24-16s11.22-16 24-16s24 7.469 24 16S372.8 264.9 360 264.9zM528 480h-416C103.2 480 96 487.2 96 496C96 504.8 103.2 512 112 512h416c8.838 0 16-7.164 16-16C544 487.2 536.8 480 528 480zM576 0H64C28.65 0 0 28.65 0 64v320c0 35.35 28.65 64 64 64h512c35.35 0 64-28.65 64-64V64C640 28.65 611.3 0 576 0zM608 384c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V64c0-17.64 14.36-32 32-32h512c17.64 0 32 14.36 32 32V384z"],
    "tv-retro": [512, 512, [128250], "f401", "M448 96L299.2 96l79.17-67.86c6.719-5.75 7.5-15.84 1.75-22.55c-5.781-6.734-15.88-7.469-22.56-1.734L256 90.92L154.4 3.859c-6.656-5.734-16.75-5-22.56 1.734C126.1 12.3 126.9 22.39 133.6 28.14L212.8 96L64 96c-35.35 0-64 28.65-64 63.1v287.1C0 483.3 28.65 512 64 512h384c35.35 0 64-28.65 64-63.1V160C512 124.7 483.3 96 448 96zM480 448c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V160c0-17.64 14.36-32 32-32h384c17.64 0 32 14.36 32 32V448zM320.1 160L128.1 160c-35.35 0-64 28.65-64 64v160c0 35.35 28.65 64 64 64l191.1 .0002c35.35 0 64.01-28.65 64.01-64V224C384.1 188.7 355.4 160 320.1 160zM352 384c0 17.64-14.36 32-32 32H128c-17.64 0-32-14.36-32-32V224c0-17.64 14.36-32 32-32h192c17.64 0 32 14.36 32 32V384zM432 184c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24c13.26 0 24-10.75 24-24C456 194.7 445.3 184 432 184zM432 248c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24c13.26 0 24-10.75 24-24C456 258.7 445.3 248 432 248z"],
    "typewriter": [512, 512, [], "f8e7", "M312 384h16c4.375 0 8-3.625 8-8v-16c0-4.375-3.625-8-8-8h-16c-4.375 0-8 3.625-8 8v16C304 380.4 307.6 384 312 384zM376 384h16c4.375 0 8-3.625 8-8v-16c0-4.375-3.625-8-8-8h-16c-4.375 0-8 3.625-8 8v16C368 380.4 371.6 384 376 384zM248 384h16c4.375 0 8-3.625 8-8v-16c0-4.375-3.625-8-8-8h-16c-4.375 0-8 3.625-8 8v16C240 380.4 243.6 384 248 384zM464 192h-98.75c-8.5 0-16.62 3.375-22.62 9.375l-13.25 13.25C323.4 220.6 315.3 224 306.8 224h-101.5c-8.5 0-16.62-3.375-22.62-9.375L169.4 201.4C163.4 195.4 155.3 192 146.8 192H48C21.53 192 0 213.5 0 240v32c0 20.83 13.42 38.43 32 45.05V448c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V317.1C498.6 310.4 512 292.8 512 272v-32C512 213.5 490.5 192 464 192zM448 448c0 17.62-14.38 32-32 32H96c-17.62 0-32-14.38-32-32v-128h384V448zM480 272C480 280.8 472.8 288 464 288h-416C39.17 288 32 280.8 32 272v-32C32 231.2 39.17 224 48 224h98.75L160 237.3C172 249.3 188.3 256 205.3 256h101.5C323.8 256 340 249.3 352 237.3L365.3 224H464C472.8 224 480 231.2 480 240V272zM120 384h16c4.375 0 8-3.625 8-8v-16C144 355.6 140.4 352 136 352h-16c-4.375 0-8 3.625-8 8v16C112 380.4 115.6 384 120 384zM184 384h16c4.375 0 8-3.625 8-8v-16C208 355.6 204.4 352 200 352h-16c-4.375 0-8 3.625-8 8v16C176 380.4 179.6 384 184 384zM160 448h192c8.801 0 16-7.201 16-16c0-8.801-7.199-16-16-16H160c-8.801 0-16 7.199-16 16C144 440.8 151.2 448 160 448zM80 160C88.84 160 96 152.8 96 144V64c0-17.67 14.33-32 32-32h249.4L416 70.63V144C416 152.8 423.2 160 432 160S448 152.8 448 144V70.63C448 62.14 444.6 54 438.6 48L400 9.375C393.1 3.371 385.9 0 377.4 0H127.1C92.65 0 64 28.65 64 64v80C64 152.8 71.16 160 80 160z"],
    "u": [384, 512, [117], "55", "M192 480c-105.9 0-192-86.13-192-192V48C0 39.16 7.156 32 16 32S32 39.16 32 48V288c0 88.22 71.78 160 160 160s160-71.78 160-160V48C352 39.16 359.2 32 368 32S384 39.16 384 48V288C384 393.9 297.9 480 192 480z"],
    "ufo": [640, 512, [128760], "e047", "M151.1 312C151.1 325.3 141.3 336 127.1 336C114.7 336 103.1 325.3 103.1 312C103.1 298.7 114.7 288 127.1 288C141.3 288 151.1 298.7 151.1 312zM344 360C344 373.3 333.3 384 319.1 384C306.7 384 295.1 373.3 295.1 360C295.1 346.7 306.7 336 319.1 336C333.3 336 344 346.7 344 360zM488 312C488 298.7 498.7 288 512 288C525.3 288 536 298.7 536 312C536 325.3 525.3 336 512 336C498.7 336 488 325.3 488 312zM589.9 225C619.3 245.6 640 272.3 640 304C640 327.2 628.8 347.9 611.4 365.2C594.1 382.4 569.8 397.2 541.2 409.3C483.8 433.4 405.5 448 320 448C234.4 448 156.2 433.4 98.83 409.3C70.16 397.2 45.91 382.4 28.6 365.2C11.23 347.9 0 327.2 0 304C0 272.3 20.74 245.6 50.13 225C79.45 204.5 120 188.1 167.2 176.9C187.7 110.2 249.7 64 320 64C390.3 64 452.3 110.2 472.8 176.9C519.1 188.1 560.5 204.5 589.9 225H589.9zM176.6 238.3L164.9 249.3C162.4 246.7 160.9 243.3 160.6 239.7C159.8 230.1 159.8 220.7 160.5 211.6C122.2 221.9 90.77 235.6 68.48 251.2C42.89 269.1 32 287.5 32 304C32 316.2 37.79 329.2 51.18 342.5C64.63 355.9 84.91 368.7 111.2 379.8C163.9 401.9 237.7 416 320 416C402.3 416 476.1 401.9 528.8 379.8C555.1 368.7 575.4 355.9 588.8 342.5C602.2 329.2 608 316.2 608 304C608 287.5 597.1 269.1 571.5 251.2C549.2 235.6 517.8 221.9 479.5 211.6C480.2 220.7 480.2 230.1 479.4 239.7C479.1 243.3 477.6 246.7 475.1 249.3L463.4 238.3C475.1 249.3 475.1 249.3 475.1 249.3L475.1 249.3L475 249.4L474.1 249.4L474.8 249.6C474.6 249.8 474.4 250 474.2 250.2C473.7 250.7 473 251.3 472.2 252C470.6 253.5 468.3 255.5 465.2 257.7C459 262.3 449.9 268 437.5 273.7C412.5 285.1 374.4 296 320 296C265.6 296 227.5 285.1 202.5 273.7C190.1 268 180.1 262.3 174.8 257.7C171.7 255.5 169.4 253.5 167.8 252C166.1 251.3 166.3 250.7 165.8 250.2C165.6 250 165.4 249.8 165.2 249.6L165 249.4L164.1 249.4L164.9 249.3C164.9 249.3 164.9 249.3 176.6 238.3H176.6zM451.8 227.3L451.9 227.3L451.9 227.3L451.8 227.4L451.8 227.3zM319.1 96C249.4 96 189.1 154.3 192.1 230.7C192.6 231.1 193.2 231.5 193.8 231.1C198.3 235.2 205.5 239.9 215.8 244.6C236.5 254 270 264 319.1 264C369.1 264 403.5 254 424.2 244.6C434.5 239.9 441.7 235.2 446.2 231.1C446.8 231.5 447.4 231.1 447.9 230.7C450.9 154.3 390.6 96 319.1 96H319.1z"],
    "ufo-beam": [576, 512, [], "e048", "M264 248C264 234.7 274.7 224 288 224C301.3 224 312 234.7 312 248C312 261.3 301.3 272 288 272C274.7 272 264 261.3 264 248zM120 200C120 213.3 109.3 224 96 224C82.75 224 72 213.3 72 200C72 186.7 82.75 176 96 176C109.3 176 120 186.7 120 200zM456 200C456 186.7 466.7 176 480 176C493.3 176 504 186.7 504 200C504 213.3 493.3 224 480 224C466.7 224 456 213.3 456 200zM288 .0003C353.1 .0003 412.1 39.68 432.5 98.4C471.4 107.3 504.1 119.8 529.7 135.3C555.9 151.7 576 173.9 576 201.6C576 221.9 564.1 239.4 549.3 253.4C533.5 267.4 511.6 279.3 485.1 288.1C434.5 308.4 364.5 320 288 320C211.5 320 141.5 308.4 90.03 288.1C64.36 279.3 42.49 267.4 26.74 253.4C11 239.4 .0003 221.9 .0003 201.6C.0003 173.9 20.14 151.7 46.26 135.3C71.04 119.8 104.6 107.3 143.5 98.4C163.9 39.68 222.9 0 288 0V.0003zM136.6 156.8C135.9 148.7 135.8 140.8 136.4 133.1C106.2 141.1 81.27 151.2 63.24 162.5C40.16 176.9 32 190.7 32 201.6C32 209.5 36.22 219 48.01 229.5C59.79 239.1 77.75 250.2 101.3 259C148.3 276.7 214.3 288 288 288C361.7 288 427.7 276.7 474.7 259C498.3 250.2 516.2 239.1 527.1 229.5C539.8 219 544 209.5 544 201.6C544 190.7 535.8 176.9 512.8 162.5C494.7 151.2 469.8 141.1 439.6 133.1C440.2 140.8 440.1 148.7 439.4 156.8C439.1 160.5 437.4 164 434.7 166.7L423.5 155.3C434.7 166.7 434.7 166.7 434.7 166.7L434.7 166.8L434.6 166.8L434.4 167L433.8 167.6C433.3 167.1 432.7 168.5 431.9 169.2C430.4 170.5 428.1 172.2 425.2 174.2C419.4 178.3 410.7 183.4 398.9 188.4C375.3 198.4 339.3 208 288 208C236.7 208 200.7 198.4 177.1 188.4C165.3 183.4 156.6 178.3 150.8 174.2C147.9 172.2 145.6 170.5 144.1 169.2C143.3 168.5 142.7 167.1 142.2 167.6L141.6 167L141.4 166.8L141.3 166.8L141.3 166.7L141.3 166.7C141.3 166.7 141.3 166.7 152.5 155.3L141.3 166.7C138.6 164 136.9 160.5 136.6 156.8L136.6 156.8zM168.1 147.3L168.9 147.9C173.1 150.7 179.8 154.8 189.6 158.9C209.1 167.2 240.8 176 288 176C335.2 176 366.9 167.2 386.4 158.9C396.2 154.8 402.9 150.7 407.1 147.9L407.9 147.3C409.1 82.8 354.9 32 288 32C221.1 32 166 82.8 168.1 147.3zM103.8 338C111.5 342.3 114.3 352 109.1 359.8L29.99 503.8C25.7 511.5 15.95 514.3 8.23 509.1C.5053 505.7-2.278 495.1 2.013 488.2L82.01 344.2C86.3 336.5 96.05 333.7 103.8 338zM472.2 338C479.1 333.7 489.7 336.5 493.1 344.2L573.1 488.2C578.3 495.1 575.5 505.7 567.8 509.1C560 514.3 550.3 511.5 546 503.8L466 359.8C461.7 352 464.5 342.3 472.2 338V338z"],
    "umbrella": [576, 512, [], "f0e9", "M287.1 288C279.2 288 272 295.2 272 304V448c0 17.66-14.34 32-32 32s-32-14.34-32-32v-16c0-8.844-7.159-16-16-16S176 423.2 176 432V448c0 35.28 28.72 64 63.1 64S304 483.3 304 448V304C304 295.2 296.8 288 287.1 288zM575.7 280.9C545.8 138.1 424.8 55.65 304 48.9V16c0-8.844-7.158-15.1-16-15.1S272 7.156 272 16v32.86C177.4 54.79 36.01 114 .2949 280.9C-1.316 288.2 3.887 296.1 10.75 296.1c2.598 0 5.432-1.126 8.229-3.845c22.38-23.67 45.45-36.68 68.52-36.68c30.54 0 61.08 22.77 90.08 73.68c2.592 4.637 6.203 6.794 9.781 6.794c3.756 0 7.473-2.378 9.938-6.794C217.5 293.9 242.2 256 287.1 256c58.5 0 88.19 68.82 90.69 73.2c2.465 4.416 6.184 6.794 9.938 6.794c3.578 0 7.189-2.157 9.781-6.794c28.1-50.89 59.65-73.46 90.16-73.46c23.15 0 46.23 12.1 68.45 36.46c2.834 2.748 5.689 3.886 8.295 3.886C572.2 296.1 577.3 288.2 575.7 280.9zM488.6 223.8c-36.38 .0059-69.6 20.26-99.13 60.42c-27.12-39.05-62.33-60.16-101.4-60.16c-49.75 0-80.84 31.56-100.1 60.76C157.4 244.1 124 223.6 87.5 223.6c-12.7 0-25.29 2.537-37.63 7.52c50.85-113.3 164.6-148.6 231.3-150.8c1.109-.0352 12.61 .002 13.84 .0352c85.1 2.346 185.3 50.68 231 150.9C513.7 226.3 501.2 223.8 488.6 223.8z"],
    "umbrella-beach": [640, 512, [127958], "f5ca", "M560 480H294.7l64.37-186.6c2.969-8.312-1.375-17.47-9.688-20.44C341.1 270 331.9 274.3 328.9 282.6L260.7 480H16C7.156 480 0 487.2 0 496S7.156 512 16 512h544c8.844 0 16-7.156 16-15.1S568.8 480 560 480zM445 17.73c-2.492-.8359-4.893-1.826-7.52-2.439c-13.89-4.443-28.12-8.299-42.1-10.83C376.9 1.461 359.4 0 342.1 0C238 0 143.4 53.03 96.91 141.3c-2.234 4.291-.209 9.621 4.477 11.28l522.6 181.4c1.01 .3223 1.876 .4629 2.74 .4629c4.822 0 7.372-4.41 7.778-6.336C662.9 197.3 579.6 64.59 445 17.73zM139.1 132.1C183.1 69.72 258.1 32 342.1 32c6.309 0 12.66 .375 19.01 .8125C320.6 58.34 280.6 107.1 250.3 170.3L139.1 132.1zM470.7 246.3L281 179.4c38.88-78.56 95.56-134.3 137.8-134.8c3.465 .1562 6.643 .7441 9.783 1.395c3.793 1.232 7.639 2.338 11.36 3.727c7.469 3.518 13.93 8.73 19.3 16.04C488.1 105.2 482.5 190.9 470.7 246.3zM500.9 257.4c10.3-45.83 18.33-119.9 .873-174.8c25.83 18.15 48.45 40.42 66.04 66.45c30.07 44.5 43.68 95.17 39.43 145.3L500.9 257.4z"],
    "umbrella-simple": [512, 512, ["umbrella-alt"], "e2bc", "M255.1 320C247.2 320 240 327.2 240 336V448c0 17.66-14.34 32-32 32s-32-14.34-32-32v-16C176 423.2 168.8 416 160 416s-16 7.156-16 16V448c0 35.28 28.72 64 63.1 64S272 483.3 272 448v-112C272 327.2 264.8 320 255.1 320zM271.8 32.78C271.9 32.5 272 32.28 272 32V16c0-8.844-7.157-16-16-16S240 7.156 240 16V32c0 .2754 .1426 .5039 .1562 .7773C106.4 40.77 0 148.4 0 280C0 284.4 3.594 288 8 288h496C508.4 288 512 284.4 512 280C512 148.4 405.6 40.77 271.8 32.78zM33.37 256C45.79 148.2 140.9 64 256 64s210.2 84.15 222.6 192H33.37z"],
    "underline": [448, 512, [], "f0cd", "M16 32.01L64 32v218.4c0 85.15 64.14 159.6 149.1 165.3C306.3 421.8 384 347.9 384 256V32l48 .0098c8.801 0 16-7.211 16-16.01C448 7.199 440.8 0 432 0l-128 .0098c-8.799 0-16 7.189-16 15.99C288 24.8 295.2 32 304 32H352v219.7c0 68.21-51.53 127.7-119.6 132.1C157.8 388.5 96 329.5 96 256V32h48C152.8 32 160 24.8 160 16c0-8.801-7.199-15.99-16-15.99L16 0C7.201 0 0 7.199 0 16C0 24.8 7.201 32.01 16 32.01zM432 480h-416C7.201 480 0 487.2 0 496C0 504.8 7.201 512 16 512h416c8.801 0 16-7.201 16-16C448 487.2 440.8 480 432 480z"],
    "unicorn": [640, 512, [129412], "f727", "M632 64h-97c5.721-10.11 8.625-22.03 8.213-34.2C542.7 13.03 528 0 511.3 0h-111.3c-69.13 0-125.4 55.25-127.6 123.9V128H160C124.6 128 93.87 147.4 77.25 176.1C34.43 177.7 0 212.7 0 256v48C0 312.8 7.199 320 16 320S32 312.8 32 304V256c0-21.34 14.08-39.18 33.36-45.43c-.1973 1.391-.2891 2.809-.4258 4.217C64.41 217.5 64 220.1 64 224c0 32 8.876 50.75 24.5 68.62l-21.93 74.42c-3.123 10.6-3.406 21.83-.8242 32.58l18.17 75.59C89.11 496.8 108.4 512 130.6 512h24.35c31.28 0 54.21-29.44 46.53-59.77l-16.59-65.6l19.25-53.75l51.88 11.5V464c0 26.4 21.6 48 47.1 48h32.01c26.4 0 48-21.6 48-48v-140.3c20.5-21.5 32-49.75 32-79.5v-50.5l14.5 21.75c19.13 28.62 50 20.62 55.5 18.75l25.5-8.625c19.43-6.57 32.5-24.79 32.5-45.3l.0003-64.95l92.38-36.75C643 74.25 639.9 64 632 64zM512 180.1c0 6.875-4.375 13-10.88 15.12L475.6 204c-9.25 3.25-16.12-2.75-18.5-6.25L432 160l-48-16v100.3c0 26.62-12.63 50.13-32 65.5L352 464c0 8.836-7.164 16-16 16h-32c-8.836 0-16-7.164-16-16V318.8L183.6 295.5L151.5 385l18.97 75.08C173 470.2 165.4 480 154.1 480H130.6c-7.396 0-13.83-5.068-15.56-12.26l-18.18-75.62c-1.289-5.367-1.146-10.98 .418-16.27L124.9 282.5C107.5 270.4 96 256 96 224c0-35.28 28.72-64 64-64h144L304 128c0-53.02 42.98-96 96-96h111.3c0 13.25-8.125 24.62-19.63 29.5l20.38 24.75V180.1zM448 80c-8.875 0-16 7.125-16 16s7.127 16 16 16s16-7.125 16-16S456.9 80 448 80z"],
    "uniform-martial-arts": [640, 512, [], "e3d1", "M623.7 177.8l-71.03-126.8C535 19.53 501.7 0 465.7 0H174.3C138.3 0 104.1 19.53 87.34 50.97L16.31 177.8C5.656 196.8 0 218.4 0 240.3V368C0 394.5 21.49 416 48 416h32C106.5 416 128 394.5 128 368V257.5l32-50.41V288h32V152c0-7.109-4.688-13.38-11.53-15.36C173.7 134.6 166.3 137.4 162.5 143.4l-64.01 100.8C96.86 246.8 96 249.8 96 252.8V368C96 376.8 88.84 384 80 384h-32C39.16 384 32 376.8 32 368V240.3c0-16.41 4.219-32.61 12.25-46.91L115.3 66.61C127.3 45.27 149.9 32 174.3 32h56.53l76.37 129.7L257.8 264.7C253.7 272.5 256.8 282.2 264.7 286.2c7.854 4.037 17.49 .9453 21.53-6.906L409.8 32h55.94c24.44 0 47.06 13.27 59.03 34.59l71.03 126.8C603.8 207.7 608 223.9 608 240.3V368c0 8.836-7.164 16-16 16h-32c-8.836 0-16-7.164-16-16V252.1c0-3.047-.875-6.047-2.531-8.609l-64-100.1c-4.557-7.152-14.15-9.662-21.86-5.023C450.7 141.3 448 147 448 152.8V288h32V206.7l32 50.06V368c0 26.51 21.49 48 48 48h32c26.51 0 48-21.49 48-48V240.3C640 218.4 634.4 196.9 623.7 177.8zM324.4 127.1L267.1 32h105.8L324.4 127.1zM448 464c0 8.828-7.188 16-16 16h-224C199.2 480 192 472.8 192 464V384H160v80C160 490.5 181.5 512 208 512h224c26.47 0 48-21.53 48-48V384h-32V464zM464 320h-288C167.2 320 160 327.2 160 336C160 344.8 167.2 352 176 352h114.1L243.2 422.4c-4.295 6.443-4.059 15.3 1.402 20.79C247.8 446.4 251.9 448 256 448c5.156 0 10.22-2.5 13.31-7.125L320 364.8l50.69 76.03C373.8 445.5 378.8 448 384 448c4.076 0 8.205-1.551 11.43-4.797c5.461-5.49 5.697-14.35 1.402-20.79L349.9 352H464c8.836 0 16-7.164 16-16C480 327.2 472.8 320 464 320z"],
    "union": [384, 512, [8899], "f6a2", "M0 288V48C0 39.16 7.156 32 16 32S32 39.16 32 48V288c0 88.22 71.78 160 160 160s160-71.78 160-160V48C352 39.16 359.2 32 368 32S384 39.16 384 48v240c0 105.9-86.13 191.1-192 191.1S0 393.9 0 288z"],
    "universal-access": [512, 512, [], "f29a", "M256 192c26.51 0 48-21.49 48-48S282.5 96 256 96S208 117.5 208 144S229.5 192 256 192zM256 128c8.822 0 16 7.178 16 16S264.8 160 256 160S240 152.8 240 144S247.2 128 256 128zM362.9 194.8L305.5 213.1c-31.94 10.66-67.06 10.66-99 0L149.1 194.8c-8.422-2.859-17.44 1.719-20.23 10.11s1.734 17.45 10.11 20.23l57.44 19.14C200.2 245.6 204.1 246.2 208 247.2v71.27l-15.69 78.41c-1.734 8.672 3.891 17.09 12.55 18.83c8.734 1.828 17.11-3.891 18.83-12.55L237.1 336h37.78l13.42 67.14C289.8 410.8 296.5 416 303.1 416c1.031 0 2.094-.0938 3.156-.3125c8.656-1.734 14.28-10.16 12.55-18.83L304 318.4V247.2c3.863-1.021 7.822-1.598 11.62-2.867l57.44-19.14c8.375-2.781 12.91-11.84 10.11-20.23S371.4 191.1 362.9 194.8zM272 304h-32V252.7C245.3 253.2 250.6 254 256 254s10.67-.834 16-1.289V304zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480z"],
    "unlock": [448, 512, [128275], "f09c", "M128 192H368C412.2 192 448 227.8 448 272V432C448 476.2 412.2 512 368 512H80C35.82 512 0 476.2 0 432V272C0 227.8 35.82 192 80 192H96V128C96 57.31 153.3 0 224 0C282 0 330.1 38.57 346.7 91.44C349.2 99.91 344.4 108.8 335.9 111.3C327.5 113.9 318.5 109 316 100.6C304.2 60.9 267.5 32 224 32C170.1 32 128 74.98 128 128L128 192zM32 432C32 458.5 53.49 480 80 480H368C394.5 480 416 458.5 416 432V272C416 245.5 394.5 224 368 224H80C53.49 224 32 245.5 32 272V432z"],
    "unlock-keyhole": [448, 512, ["unlock-alt"], "f13e", "M184 368C175.2 368 168 360.8 168 352C168 343.2 175.2 336 184 336H264C272.8 336 280 343.2 280 352C280 360.8 272.8 368 264 368H184zM224 32C170.1 32 128 74.98 128 128V192H368C412.2 192 448 227.8 448 272V432C448 476.2 412.2 512 368 512H80C35.82 512 0 476.2 0 432V272C0 227.8 35.82 192 80 192H96V128C96 57.31 153.3 0 224 0C282 0 330.1 38.57 346.7 91.44C349.2 99.91 344.4 108.8 335.9 111.3C327.5 113.9 318.5 109 316 100.6C304.2 60.9 267.5 32 224 32L224 32zM80 224C53.49 224 32 245.5 32 272V432C32 458.5 53.49 480 80 480H368C394.5 480 416 458.5 416 432V272C416 245.5 394.5 224 368 224H80z"],
    "up": [384, 512, ["arrow-alt-up"], "f357", "M272 448V272H352c17.69 0 32-14.36 32-31.1c0-8.326-3.252-16.51-9.375-22.63l-160-176C208.4 35.13 200.2 32 192 32S175.6 35.13 169.4 41.38l-160 176C3.252 223.5 0 231.7 0 240C0 257.6 14.3 272 32 272h80V448c0 17.67 14.33 32 32 32h96C257.7 480 272 465.7 272 448zM144 448V240l-110.9-1.1L192 64.06L351.1 240h-111.1V448H144z"],
    "up-down": [256, 512, [11021, 8597, "arrows-alt-v"], "f338", "M232 352h-88l.0039-192h87.1c9.547 0 18.19-5.656 21.1-14.41s2.078-18.94-4.406-25.92l-104-112C140.8 2.555 134.4-.004 127.1-.004S115.2 2.555 110.4 7.672l-104 112C-.0781 126.7-1.811 136.8 1.999 145.6C5.814 154.3 14.45 160 24 160h88L111.1 352H24c-9.547 0-18.19 5.656-22 14.41s-2.078 18.94 4.406 25.92l103.1 112c4.75 5.117 11.17 7.668 17.59 7.668s12.85-2.551 17.6-7.668l104-112c6.484-6.984 8.217-17.17 4.407-25.92C250.2 357.7 241.5 352 232 352zM42.34 128L128 35.75L213.7 128H42.34zM128 476.3L42.34 384h171.3L128 476.3z"],
    "up-down-left-right": [512, 512, ["arrows-alt"], "f0b2", "M271.1 143.2l63.19 .0028c8.684-.0221 16.73-3.469 22.61-9.347c2.917-2.917 5.303-6.452 6.95-10.42c4.961-12.01 2.243-25.69-6.938-34.87l-79.17-79.17c-12.47-12.47-32.77-12.48-45.25 0L154.2 88.53C145 97.73 142.3 111.4 147.3 123.4c4.972 11.1 16.57 19.75 29.55 19.74L240 143.2v96.84H143.2l.0028-63.19c-.0221-8.684-3.469-16.73-9.347-22.61C130.9 151.3 127.4 148.9 123.4 147.3C111.4 142.3 97.71 145 88.53 154.2L9.359 233.4c-12.47 12.47-12.48 32.77 0 45.25l79.17 79.17c9.192 9.192 22.88 11.9 34.88 6.927s19.75-16.57 19.74-29.55L143.2 271.1h96.84v96.84l-63.19-.0027c-8.684 .0221-16.73 3.469-22.61 9.347c-2.917 2.917-5.303 6.452-6.95 10.42c-4.961 12.01-2.243 25.69 6.938 34.87l79.17 79.17c12.47 12.47 32.77 12.48 45.25 0l79.17-79.17c9.192-9.192 11.9-22.88 6.927-34.88s-16.57-19.75-29.55-19.74l-63.18-.0028V271.1h96.84l-.0027 63.19c.0221 8.684 3.469 16.73 9.347 22.61c2.917 2.917 6.452 5.303 10.42 6.95c12.01 4.961 25.69 2.243 34.87-6.938l79.17-79.17c12.47-12.47 12.48-32.77 0-45.25l-79.17-79.17c-9.192-9.192-22.88-11.9-34.88-6.927s-19.75 16.57-19.74 29.55l-.0028 63.18h-96.84V143.2zM111.2 335.2C111.2 335.2 111.3 335.3 111.2 335.2L31.99 256l79.17-79.17L111.2 335.2zM335.2 400.8C335.2 400.8 335.3 400.7 335.2 400.8L256 480l-79.17-79.17L335.2 400.8zM400.8 176.8C400.8 176.8 400.7 176.7 400.8 176.8L480 256l-79.17 79.17L400.8 176.8zM176.8 111.2C176.8 111.2 176.7 111.3 176.8 111.2L256 31.99l79.17 79.17L176.8 111.2z"],
    "up-from-bracket": [448, 512, [], "e590", "M432 320C440.8 320 448 327.2 448 336V432C448 476.1 412.1 512 368 512H80C35.87 512 0 476.1 0 432V336C0 327.2 7.156 320 16 320C24.84 320 32 327.2 32 336V432C32 458.5 53.53 480 80 480H368C394.5 480 416 458.5 416 432V336C416 327.2 423.2 320 432 320zM224 0C232.2 0 240.4 3.125 246.6 9.375L374.6 137.4C383.8 146.5 386.5 160.3 381.6 172.2C376.6 184.2 364.9 192 352 192L288 191.9L288 336C288 362.5 266.5 384 240 384H208C181.5 384 160 362.5 160 336L159.1 191.9L96 192C83.06 192 71.38 184.2 66.44 172.2C61.47 160.3 64.22 146.5 73.38 137.4L201.4 9.375C207.6 3.125 215.8 0 224 0V0zM224 32L96 160L192 160V336C192 344.8 199.2 352 208 352H240C248.8 352 256 344.8 256 336V160H352L224 32z"],
    "up-from-dotted-line": [448, 512, [], "e456", "M83.92 173.4L194.1 49.46C210 31.56 237.1 31.56 253.9 49.46L364.1 173.4C387 199.2 368.7 239.1 334.2 239.1H288V343.1C288 366.1 270.1 383.1 248 383.1H200C177.9 383.1 160 366.1 160 343.1V239.1H113.8C79.3 239.1 60.99 199.2 83.92 173.4zM334.2 207.1C341.1 207.1 344.8 199.8 340.2 194.7L229.1 70.72C226.8 67.14 221.2 67.14 218 70.72L107.8 194.7C103.2 199.8 106.9 207.1 113.8 207.1H192V343.1C192 348.4 195.6 351.1 200 351.1H248C252.4 351.1 256 348.4 256 343.1V207.1H334.2zM8 448C8 434.7 18.75 424 32 424C45.25 424 56 434.7 56 448C56 461.3 45.25 472 32 472C18.75 472 8 461.3 8 448zM392 448C392 434.7 402.7 424 416 424C429.3 424 440 434.7 440 448C440 461.3 429.3 472 416 472C402.7 472 392 461.3 392 448zM152 448C152 461.3 141.3 472 128 472C114.7 472 104 461.3 104 448C104 434.7 114.7 424 128 424C141.3 424 152 434.7 152 448zM200 448C200 434.7 210.7 424 224 424C237.3 424 248 434.7 248 448C248 461.3 237.3 472 224 472C210.7 472 200 461.3 200 448zM344 448C344 461.3 333.3 472 320 472C306.7 472 296 461.3 296 448C296 434.7 306.7 424 320 424C333.3 424 344 434.7 344 448z"],
    "up-from-line": [384, 512, ["arrow-alt-from-bottom"], "f346", "M69.59 240H128v115.2C128 379.9 148.1 400 172.8 400h38.38C235.9 400 256 379.9 256 355.2V240h58.41c15 0 28.53-8.906 34.53-22.75c5.938-13.8 3.125-29.78-7.062-40.55L219.3 43.5C212.5 36.19 202.5 32 192 32S171.5 36.19 164.5 43.66l-122.2 132.9C31.94 187.5 29.13 203.5 35.06 217.3C41.06 231.1 54.59 240 69.59 240zM65.69 198.4l122.2-132.9c1.75-1.812 6.594-1.656 8.031-.1562l122.5 133.2C320 200.2 320.4 202.5 319.6 204.6C318.7 206.7 316.6 208 314.4 208H224v147.2C224 362.3 218.3 368 211.2 368H172.8C165.8 368 160 362.3 160 355.2V208H69.59c-2.219 0-4.25-1.344-5.156-3.375C63.56 202.5 64 200.2 65.69 198.4zM16 480h352c8.844 0 16-7.156 16-16S376.8 448 368 448h-352C7.156 448 0 455.2 0 464S7.156 480 16 480z"],
    "up-left": [384, 512, [], "e2bd", "M358.6 309.5l-126.4-126.4l61.92-61.92c9.582-9.578 12.45-24 7.268-36.52C296.3 72.16 284 64 270.5 64H33.51C24.25 64 15.88 67.75 9.813 73.81C3.75 79.88 0 88.25 0 97.51v236.1c0 13.57 8.158 25.77 20.69 30.96C24.83 367.2 29.19 368 33.5 368c8.723 0 17.3-3.406 23.71-9.816l61.92-61.92l126.4 126.4C251.7 428.9 259.9 432 268.1 432s16.38-3.125 22.63-9.375l67.88-67.88C371.1 342.3 371.1 321.1 358.6 309.5zM268.1 399.1L119.1 251L34.58 335.6L32.94 335.9C32.36 335.6 32 335.1 32 334.5V97.51L33.51 96h236.1c.625 0 1.164 .3594 1.398 .9297c.2324 .5586 .1016 1.219-.3281 1.648L187 183.1L335.1 332.1L268.1 399.1z"],
    "up-long": [320, 512, ["long-arrow-alt-up"], "f30c", "M183.1 512h-47.1c-22.06 0-39.1-17.97-39.1-40.03L96 191.7L56 191.5c-15.91 0-30.31-9.438-36.65-24C12.97 152.9 15.85 135.1 26.69 124.3l103.1-112.1C138.2 4.076 149.1-.002 160 0c10.89 .002 21.78 4.08 29.34 12.23l103.1 112.1c10.84 11.66 13.72 28.59 7.343 43.22c-6.344 14.56-20.75 24-36.65 24l-39.1 .1514l-.0009 280.3C223.1 494 206.1 512 183.1 512zM159.1 31.42c-1.312 0-3.781 .3438-5.844 2.562L50.13 146c-4.7 5.109-1.142 13.47 5.875 13.47h71.1l.0002 312.5C128 476.4 131.6 480 136 480h47.1c4.406 0 7.1-3.594 7.1-8.031l-.0002-312.5h71.1c7.022 0 10.57-8.363 5.875-13.47l-103.1-112.1C163.8 31.77 161.3 31.42 159.1 31.42z"],
    "up-right": [384, 512, [], "e2be", "M25.37 354.7l67.88 67.88C99.5 428.9 107.7 432 115.9 432s16.38-3.125 22.63-9.375l126.4-126.4l61.92 61.92C333.2 364.6 341.8 368 350.5 368c4.316 0 8.668-.8359 12.81-2.551C375.8 360.3 384 348.1 384 334.5V97.51c0-9.254-3.75-17.63-9.812-23.7C368.1 67.75 359.7 64 350.5 64H113.5C99.95 64 87.74 72.16 82.55 84.69C77.37 97.21 80.23 111.6 89.82 121.2l61.92 61.92L25.37 309.5C12.88 321.1 12.88 342.3 25.37 354.7zM48 332.1l148.1-148.1L112.4 98.58C112 98.15 111.9 97.49 112.1 96.93C112.3 96.36 112.9 96 113.5 96h236.1L352 97.51v236.1c0 .625-.3594 1.16-.9375 1.402l-1.645-.332l-84.54-84.54l-148.1 148.1L48 332.1z"],
    "up-right-and-down-left-from-center": [512, 512, ["expand-alt"], "f424", "M480 0h-111.1c-12.1 0-24.59 7.766-29.56 19.77c-4.969 12-2.25 25.69 6.938 34.86L390.1 99.3l-97.39 97.39c-6.248 6.25-6.248 16.38 0 22.62c6.248 6.25 16.38 6.25 22.62 0l97.38-97.38l44.68 44.68c6.156 6.125 14.28 9.375 22.59 9.375c4.125 0 8.312-.8125 12.28-2.453C504.3 168.5 512 156.1 512 143.1V32C512 14.33 497.7 0 480 0zM480 143.1l-112-111.1c0 0-.0938 0 0 0L480 32V143.1zM31.1 512h111.1c12.1 0 24.59-7.766 29.56-19.77c4.969-12 2.25-25.69-6.937-34.86l-44.67-44.67l97.39-97.39c6.248-6.25 6.248-16.38 0-22.62c-6.248-6.25-16.38-6.25-22.62 0l-97.38 97.38L54.62 345.4c-6.156-6.125-14.28-9.375-22.59-9.375c-4.125 0-8.312 .8125-12.28 2.453C7.75 343.5 0 355 0 368V480C0 497.7 14.33 512 31.1 512zM31.1 368l112 111.1c0 0 .0938 0 0 0L31.1 480V368z"],
    "up-right-from-square": [512, 512, ["external-link-alt"], "f35d", "M400 320c-8.836 0-16 7.164-16 16V448c0 17.67-14.33 32-32 32H64c-17.67 0-32-14.33-32-32V160c0-17.67 14.33-32 32-32h112C184.8 128 192 120.8 192 112S184.8 96 176 96L64 96c-35.35 0-64 28.65-64 64V448c0 35.35 28.65 64 64 64h288c35.35 0 64-28.65 64-64v-112C416 327.2 408.8 320 400 320zM480 0h-111.1c-13 0-24.59 7.766-29.56 19.77s-2.25 25.69 6.938 34.86l44.67 44.67l-209.4 209.4c-6.25 6.25-6.25 16.38 0 22.62C183.8 334.4 187.9 336 192 336s8.188-1.562 11.31-4.688l209.4-209.4l44.68 44.68c6.156 6.125 14.28 9.375 22.59 9.375c4.125 0 8.312-.8125 12.28-2.453C504.3 168.5 512 156.1 512 143.1V32C512 14.36 497.7 0 480 0zM480 143.1l-112-111.1c0 0-.0938 0 0 0L480 32V143.1z"],
    "up-to-dotted-line": [448, 512, [], "e457", "M83.92 261.4L194.1 137.5C210 119.6 237.1 119.6 253.9 137.5L364.1 261.4C387 287.2 368.7 328 334.2 328H288V432C288 454.1 270.1 472 248 472H199.1C177.9 472 159.1 454.1 159.1 432V328H113.8C79.3 328 60.99 287.2 83.92 261.4V261.4zM334.2 296C341.1 296 344.7 287.8 340.2 282.7L229.1 158.7C226.8 155.2 221.2 155.2 218 158.7L107.8 282.7C103.2 287.9 106.9 296 113.8 296H191.1V432C191.1 436.4 195.6 440 199.1 440H248C252.4 440 256 436.4 256 432V296H334.2zM56 60.04C56 73.29 45.25 84.04 32 84.04C18.75 84.04 8 73.29 8 60.04C8 46.78 18.75 36.04 32 36.04C45.25 36.04 56 46.78 56 60.04zM392 60.04C392 46.79 402.7 36.04 416 36.04C429.3 36.04 440 46.79 440 60.04C440 73.3 429.3 84.04 416 84.04C402.7 84.04 392 73.3 392 60.04zM344 60.04C344 73.3 333.3 84.04 320 84.04C306.7 84.04 296 73.3 296 60.04C296 46.79 306.7 36.04 320 36.04C333.3 36.04 344 46.79 344 60.04zM200 60.04C200 46.79 210.7 36.04 224 36.04C237.3 36.04 248 46.79 248 60.04C248 73.3 237.3 84.04 224 84.04C210.7 84.04 200 73.3 200 60.04zM152 60.04C152 73.3 141.3 84.04 128 84.04C114.7 84.04 104 73.3 104 60.04C104 46.79 114.7 36.04 128 36.04C141.3 36.04 152 46.79 152 60.04z"],
    "up-to-line": [384, 512, ["arrow-alt-to-top"], "f34d", "M219.3 123.5C212.5 116.2 202.5 111.1 192 111.1S171.5 116.2 164.5 123.7L42.28 256.5C31.94 267.5 29.13 283.5 35.06 297.3c6 13.78 19.53 22.69 34.53 22.69L128 319.9v115.3c0 24.72 20.09 44.83 44.81 44.83h38.38C235.9 479.1 256 459.9 256 435.2V319.9l58.41 .0934c15 0 28.53-8.906 34.53-22.75c5.938-13.8 3.125-29.78-7.062-40.55L219.3 123.5zM319.6 284.6c-.9062 2.094-2.938 3.438-5.156 3.438H224v147.2c0 7.078-5.75 12.83-12.81 12.83H172.8C165.8 447.1 160 442.2 160 435.2V287.1H69.59c-2.219 0-4.25-1.344-5.156-3.375C63.56 282.5 64 280.2 65.69 278.4l122.2-132.9c1.75-1.812 6.594-1.656 8.031-.1562l122.5 133.2C320 280.2 320.4 282.5 319.6 284.6zM16 63.1h352c8.844 0 16-7.156 16-16s-7.156-16-16-16h-352c-8.844 0-16 7.156-16 16S7.156 63.1 16 63.1z"],
    "upload": [512, 512, [], "f093", "M122.6 155.1L240 51.63V368c0 8.844 7.156 16 16 16s16-7.156 16-16V51.63l117.4 104.3C392.4 158.7 396.2 160 400 160c4.406 0 8.812-1.812 11.97-5.375c5.875-6.594 5.25-16.72-1.344-22.58l-144-128c-6.062-5.406-15.19-5.406-21.25 0l-144 128C94.78 137.9 94.16 148 100 154.6S116.1 161.8 122.6 155.1zM448 320h-112c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16H448c17.67 0 32 14.33 32 32v64c0 17.67-14.33 32-32 32H64c-17.67 0-32-14.33-32-32v-64c0-17.67 14.33-32 32-32h112C184.8 352 192 344.8 192 336C192 327.2 184.8 320 176 320H64c-35.35 0-64 28.65-64 64v64c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64v-64C512 348.7 483.3 320 448 320zM440 416c0-13.25-10.75-24-24-24s-24 10.75-24 24s10.75 24 24 24S440 429.3 440 416z"],
    "usb-drive": [640, 512, [], "f8e9", "M416 96L64 96c-35.35 0-64 28.65-64 64v192c0 35.35 28.65 64 64 64L416 416c17.67 0 32-14.33 32-32V128C448 110.3 433.7 96 416 96zM416 384H64c-17.64 0-32-14.36-32-32V160c0-17.64 14.36-32 32-32h352V384zM592 128h-96C487.2 128 480 135.2 480 144S487.2 160 496 160h96C600.8 160 608 167.2 608 176v160c0 8.828-7.188 16-16 16h-96c-8.844 0-16 7.156-16 16s7.156 16 16 16h96c26.47 0 48-21.53 48-48v-160C640 149.5 618.5 128 592 128zM552 224h16C572.4 224 576 220.4 576 216v-16C576 195.6 572.4 192 568 192h-16C547.6 192 544 195.6 544 200v16C544 220.4 547.6 224 552 224zM544 312C544 316.4 547.6 320 552 320h16C572.4 320 576 316.4 576 312v-16C576 291.6 572.4 288 568 288h-16C547.6 288 544 291.6 544 296V312z"],
    "user": [448, 512, [62144, 128100], "f007", "M224 256c70.7 0 128-57.31 128-128s-57.3-128-128-128C153.3 0 96 57.31 96 128S153.3 256 224 256zM224 32c52.94 0 96 43.06 96 96c0 52.93-43.06 96-96 96S128 180.9 128 128C128 75.06 171.1 32 224 32zM274.7 304H173.3C77.61 304 0 381.6 0 477.3c0 19.14 15.52 34.67 34.66 34.67h378.7C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM413.3 480H34.66C33.2 480 32 478.8 32 477.3C32 399.4 95.4 336 173.3 336h101.3C352.6 336 416 399.4 416 477.3C416 478.8 414.8 480 413.3 480z"],
    "user-alien": [448, 512, [], "e04a", "M206.7 378.1C211.8 382 217.9 383.1 224 383.1c6.08 0 12.16-1.957 17.27-5.873C282.6 346.3 384 259.6 384 173.6C384 65.83 312.3 0 224 0C135.6 0 64 65.83 64 173.6C64 259.6 165.4 346.3 206.7 378.1zM224 32c76.56 0 128 56.92 128 141.6c0 71.63-95.21 151.9-128 177.4c-32.88-25.57-128-105.8-128-177.4C96 88.92 147.4 32 224 32zM192 224c6.703 0 12.94-4.234 15.17-10.94c2.797-8.391-1.734-17.45-10.11-20.23l-48-16C140.6 174 131.6 178.5 128.8 186.9s1.734 17.45 10.11 20.23l48 16C188.6 223.7 190.3 224 192 224zM256 224c1.672 0 3.375-.2656 5.062-.8281l48-16c8.375-2.781 12.91-11.84 10.11-20.23S307.4 174 298.9 176.8l-48 16c-8.375 2.781-12.91 11.84-10.11 20.23C243.1 219.8 249.3 224 256 224zM320 352c-8.844 0-16 7.156-16 16S311.2 384 320 384c52.94 0 96 43.06 96 96H32c0-52.94 43.06-96 96-96c8.844 0 16-7.156 16-16S136.8 352 128 352c-70.58 0-128 57.39-128 127.1C0 497.6 14.36 512 32 512h384c17.64 0 32-14.39 32-32.03C448 409.4 390.6 352 320 352z"],
    "user-astronaut": [448, 512, [], "f4fb", "M288 128H160C124.8 128 96 156.8 96 192v16C96 269.8 146.2 320 208 320h32c61.75 0 112-50.25 112-112V192C352 156.8 323.2 128 288 128zM320 208C320 252.1 284.1 288 240 288h-32C163.9 288 128 252.1 128 208V192c0-17.62 14.25-32 32-32h128c17.75 0 32 14.38 32 32V208zM304 400h-160C117.5 400 96 421.5 96 448v48C96 504.8 103.2 512 111.1 512C120.8 512 128 504.8 128 496V448c0-8.8 7.2-16 16-16h160c8.8 0 16 7.2 16 16v48C320 504.8 327.2 512 336 512s16-7.2 16-15.1V448C352 421.5 330.5 400 304 400zM272 448c-8.75 0-16 7.25-16 16s7.25 16 16 16s16-7.25 16-16S280.8 448 272 448zM176 448C167.3 448 160 455.2 160 464v32C160 504.8 167.2 512 175.1 512C184.8 512 192 504.8 192 496V464C192 455.2 184.8 448 176 448zM359.2 328.2C379.5 308.2 395.1 283.5 404.8 256H416c8.8 0 16-7.2 16-16v-96C432 135.2 424.8 128 416 128h-11.25C378.5 53.5 307.6 0 224 0S69.5 53.5 43.25 128H32C23.2 128 16 135.2 16 144v96C16 248.8 23.2 256 32 256h11.25c9.625 27.5 25.38 52.25 45.63 72.25C37.13 347 0 396.2 0 454.4v41.63C0 504.8 7.2 512 15.1 512S32 504.8 32 496v-41.63c0-51.62 38.5-94 88.25-101C150.2 372.8 185.8 384 224 384s73.75-11.25 103.8-30.62C377.5 360.2 416 402.8 416 454.4v41.63C416 504.8 423.2 512 432 512s16-7.2 16-15.1v-41.63C448 396.2 410.9 347 359.2 328.2zM224 352c-88.25 0-160-71.75-160-160s71.75-160 160-160s160 71.75 160 160S312.2 352 224 352z"],
    "user-bounty-hunter": [448, 512, [], "e2bf", "M320 352H128c-70.69 0-128 57.31-128 128c0 17.67 14.33 32 32 32h384c17.67 0 32-14.33 32-32C448 409.3 390.7 352 320 352zM184.7 480L224 439.1L263.3 480H184.7zM307.6 480l-72.09-75.08c-6-6.281-17.06-6.281-23.06 0L140.4 480H32c0-52.94 43.06-96 96-96h192c52.94 0 96 43.06 96 96H307.6zM89.3 293.9L207.8 320h32.31l118.5-26.09c15.48-3.408 26.17-17.43 25.24-33.11l-6.906-117C372.8 63.19 305.5 0 224 0C170.4 0 123.4 27.6 96 69.22V32c8.836 0 16-7.164 16-16C112 7.162 104.8 0 96 0H80C71.16 0 64 7.162 64 16v248l.3984-.3848C64.86 278.1 74.79 290.7 89.3 293.9zM351.8 262.7l-69.56 15.31c8.875-46.1 44.02-71.57 65.67-83.07L351.8 262.7zM345.9 160.5c-35.71 14.96-89.33 55.32-96.43 124.7L240 287.3V160h105.9L345.9 160.5zM224 32c58.37 0 107.1 40.95 118.4 96H105.6C116.9 73.02 165.6 32 224 32zM102.1 160H208v127.3L198.5 285.2C191.4 215.8 137.7 175.4 102 160.5L102.1 160zM100 194.9C121.6 206.3 156.9 231.8 165.7 277.1L96 262.7L100 194.9z"],
    "user-check": [640, 512, [], "f4fc", "M274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512H413.3C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM413.3 480H34.66C33.2 480 32 478.8 32 477.3C32 399.4 95.4 336 173.3 336H274.7C352.6 336 416 399.4 416 477.3C416 478.8 414.8 480 413.3 480zM224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM224 32c52.94 0 96 43.06 96 96c0 52.93-43.06 96-96 96S128 180.9 128 128C128 75.06 171.1 32 224 32zM635.3 154c-6.25-6.25-16.38-6.25-22.62 0l-95.34 95.36l-42.03-42.02c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l53.34 53.33C509.2 286.4 513.3 288 517.3 288s8.188-1.562 11.31-4.688l106.7-106.7C641.6 170.4 641.6 160.3 635.3 154z"],
    "user-chef": [448, 512, [], "e3d2", "M96 119.2V176c0 70.75 57.25 128 128 128s128-57.25 128-128V119.2C371.5 107.9 384 86.97 384 64c0-35.3-28.72-64-64-64c-19.09 0-36.25 8.406-48 21.72C260.3 8.406 243.1 0 224 0S187.8 8.406 176 21.72C164.3 8.406 147.1 0 128 0C92.72 0 64 28.7 64 64C64 86.97 76.47 107.9 96 119.2zM224 272c-52.94 0-96-43.07-96-96h192C320 228.9 276.9 272 224 272zM128 32c17.66 0 32 14.36 32 32c0 8.844 7.156 16 16 16S192 72.84 192 64c0-17.64 14.34-32 32-32s32 14.36 32 32c0 8.844 7.156 16 16 16S288 72.84 288 64c0-17.64 14.34-32 32-32s32 14.36 32 32c0 13.39-8.594 25.45-21.34 29.98C324.3 96.25 320 102.3 320 109.1V144H128V109.1c0-6.766-4.25-12.81-10.66-15.08C104.6 89.45 96 77.39 96 64C96 46.36 110.3 32 128 32zM368 361.3V320c0-5.453-2.781-10.53-7.375-13.48C356 303.6 350.3 303.2 345.3 305.5l-114.3 52.78L102.1 305.2c-5-2.078-10.56-1.469-15 1.5S80 314.7 80 320v41.31C32.34 380.7 0 427.9 0 480c0 17.64 14.34 32 32 32h384c17.66 0 32-14.36 32-32C448 427.9 415.7 380.7 368 361.3zM128 416v64H32c0-42.17 28.19-80.02 68.56-92.03C107.3 385.1 112 379.7 112 372.6V343.9l79.31 32.66l-54.03 24.92C131.6 404.1 128 409.8 128 416zM160 480v-53.77l176-81.23v27.64c0 7.078 4.656 13.31 11.44 15.33C387.8 399.1 416 437.8 416 480H160zM240 416c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16s16-7.164 16-16C256 423.2 248.8 416 240 416zM304 416c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16s16-7.164 16-16C320 423.2 312.8 416 304 416z"],
    "user-clock": [640, 512, [], "f4fd", "M544 352h-32v-48c0-8.838-7.164-16-16-16S480 295.2 480 304v70.25c0 5.385 4.365 9.75 9.75 9.75H544c8.836 0 16-7.164 16-16C560 359.2 552.8 352 544 352zM496 224c-79.63 0-144 64.38-144 144s64.38 144 144 144s144-64.38 144-144S575.6 224 496 224zM496 480c-61.75 0-112-50.25-112-112S434.3 256 496 256S608 306.3 608 368S557.8 480 496 480zM336 480H34.66C33.21 480 32 478.8 32 477.3C31.99 399.4 95.4 336 173.3 336H274.7c10.55 0 20.75 1.375 30.58 3.734c8.777 2.107 17.49-3.117 19.52-11.91c.0254-.1055 .0488-.2109 .0742-.3184c2.027-8.717-3.521-17.27-12.25-19.25C300.4 305.5 287.7 304 274.7 304H173.3C77.54 304-.1133 381.6 0 477.4C.0234 496.4 15.63 512 34.66 512h301.4C344.8 512 352 504.8 352 496S344.8 480 336 480zM224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM224 32c52.94 0 96 43.06 96 96c0 52.93-43.06 96-96 96S128 180.9 128 128C128 75.06 171.1 32 224 32z"],
    "user-cowboy": [448, 512, [], "f8ea", "M332.2 384H113.4c-53.16 0-99.47 36.38-112.4 88.24C-4.017 492.4 11.3 512 32 512h381.7c20.71 0 35.9-19.56 30.88-39.76C431.7 420.4 385.4 384 332.2 384zM31.85 479.1C41.21 442.3 74.74 416 113.4 416h218.8c38.63 0 72.15 26.32 81.52 64L31.85 479.1zM440.4 82.41c-7.46-4.562-17.24-2.203-21.85 5.25c-1.084 1.76-17.61 27.09-61.71 47.29C338.3 44.37 312.5 0 278.2 0c-13.07 0-25.62 5.281-37.57 15.73c-9.216 8.078-21.6 8.078-30.82-.0313C197.9 5.281 185.2 0 172.2 0C137.6 0 112.7 43.18 93.73 135C49.64 114.8 33.05 89.54 31.89 87.67c-4.507-7.469-14.22-9.922-21.77-5.391C2.58 86.83 .1404 96.66 4.663 104.2C6.808 107.8 58.95 192 225.2 192s218.4-84.19 220.5-87.77C450.2 96.7 447.8 86.98 440.4 82.41zM225.2 160c-41.64 0-74.81-5.668-101.4-13.73C141.9 56.16 162.7 32 172.2 32C177.3 32 182.1 34.64 188.9 39.83c21.01 18.48 51.58 18.48 72.63 .0313C267.5 34.64 273.2 32 278.4 32c8.94 0 30.53 23.91 48.33 114.2C300.1 154.3 266.9 160 225.2 160zM225.2 352c70.2 0 127.3-57.42 127.3-128c0-8.844-7.118-16-15.91-16S320.7 215.2 320.7 224c0 52.94-42.83 96-95.49 96S129.7 276.9 129.7 224c0-8.844-7.118-16-15.91-16C105 208 97.88 215.2 97.88 224C97.88 294.6 154.1 352 225.2 352z"],
    "user-crown": [448, 512, [], "f6a4", "M274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512H413.3C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM413.3 480H34.66C33.2 480 32 478.8 32 477.3C32 399.4 95.4 336 173.3 336h101.3C352.6 336 416 399.4 416 477.3C416 478.8 414.8 480 413.3 480zM224 272c70.59 0 128-57.42 128-128V24c0-11.89-12.52-19.63-23.16-14.31L288 30.11l-56.84-28.42c-4.506-2.254-9.807-2.254-14.31 0L160 30.11L119.2 9.689C108.5 4.369 96 12.11 96 24V144C96 214.6 153.4 272 224 272zM128 49.86l32 16l64-32l64 32l32-16V112H128V49.86zM320 144c0 52.94-43.06 96-96 96s-96-43.06-96-96H320z"],
    "user-doctor": [448, 512, ["user-md"], "f0f0", "M96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128C352 198.7 294.7 256 224 256C153.3 256 96 198.7 96 128zM320 128C320 74.98 277 32 224 32C170.1 32 128 74.98 128 128C128 181 170.1 224 224 224C277 224 320 181 320 128zM0 481.2C0 383.3 79.33 304 177.2 304H270.8C368.7 304 448 383.3 448 481.2C448 498.2 434.2 512 417.2 512H30.82C13.8 512 .0006 498.2 .0006 481.2H0zM160 400C151.2 400 144 407.2 144 416C144 424.8 151.2 432 160 432C168.8 432 176 424.8 176 416C176 407.2 168.8 400 160 400zM176 336V370.7C194.6 377.3 208 395.1 208 416C208 442.5 186.5 464 160 464C133.5 464 112 442.5 112 416C112 395.1 125.4 377.3 144 370.7V339.8C80.18 354.7 32.55 411.8 32 480H415.1C415.5 417.6 375.6 364.6 320 344.5V370.7C338.6 377.3 352 395.1 352 416V448C352 456.8 344.8 464 336 464C327.2 464 320 456.8 320 448V416C320 407.2 312.8 400 304 400C295.2 400 288 407.2 288 416V448C288 456.8 280.8 464 272 464C263.2 464 256 456.8 256 448V416C256 395.1 269.4 377.3 288 370.7V337C282.4 336.3 276.6 336 270.8 336H177.2C176.8 336 176.4 336 175.1 336L176 336z"],
    "user-doctor-hair": [448, 512, [], "e458", "M96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128V144C352 214.7 294.7 272 224 272C153.3 272 96 214.7 96 144V128zM318.7 112H288.6C273.7 112 259.5 106.1 248.1 95.6L242.7 89.33C223.4 113.5 193.1 128 162.3 128H128V144C128 197 170.1 240 224 240C277 240 320 197 320 144V128C320 122.5 319.5 117.2 318.7 112V112zM251.3 52.69L271.6 72.97C276.1 77.47 282.2 80 288.6 80H307.2C290.6 51.31 259.5 32 224 32C182.2 32 146.6 58.71 133.5 96H162.3C189.1 96 213.5 80.97 225.5 57.15C226.3 55.53 227.4 54.02 228.7 52.69C234.9 46.44 245.1 46.44 251.3 52.69L251.3 52.69zM0 481.2C0 383.3 79.33 304 177.2 304H270.8C368.7 304 448 383.3 448 481.2C448 498.2 434.2 512 417.2 512H30.82C13.8 512 .0006 498.2 .0006 481.2H0zM176 370.7C194.6 377.3 208 395.1 208 416C208 442.5 186.5 464 160 464C133.5 464 112 442.5 112 416C112 395.1 125.4 377.3 144 370.7V339.8C80.18 354.7 32.55 411.8 32 480H415.1C415.5 417.6 375.6 364.6 320 344.5V370.7C338.6 377.3 352 395.1 352 416V448C352 456.8 344.8 464 336 464C327.2 464 320 456.8 320 448V416C320 407.2 312.8 400 304 400C295.2 400 288 407.2 288 416V448C288 456.8 280.8 464 272 464C263.2 464 256 456.8 256 448V416C256 395.1 269.4 377.3 288 370.7V337C282.4 336.3 276.6 336 270.8 336H177.2L175.1 336L176 370.7zM160 432C168.8 432 176 424.8 176 416C176 407.2 168.8 400 160 400C151.2 400 144 407.2 144 416C144 424.8 151.2 432 160 432z"],
    "user-doctor-hair-long": [448, 512, [], "e459", "M224 0C294.7 0 352 57.31 352 128C352 163.3 368.6 196.4 396.8 217.6L401.1 220.8C410.5 227.9 416 238.9 416 250.7C416 271.3 399.3 288 378.7 288H320C311.2 288 304 280.8 304 272C304 263.2 311.2 256 320 256H378.7C381.6 256 384 253.6 384 250.7C384 248.1 383.2 247.4 381.9 246.4L377.6 243.2C361.8 231.3 348.8 216.5 339.2 199.8C318.5 242.6 274.7 272 224 272C173.3 272 129.5 242.6 108.8 199.8C99.19 216.5 86.21 231.3 70.4 243.2L66.13 246.4C64.79 247.4 64 248.1 64 250.7C64 253.6 66.39 256 69.33 256H128C136.8 256 144 263.2 144 272C144 280.8 136.8 288 128 288H69.33C48.71 288 32 271.3 32 250.7C32 238.9 37.53 227.9 46.93 220.8L51.2 217.6C79.4 196.4 96 163.3 96 128C96 57.31 153.3 0 224 0V0zM318.7 112H288.6C273.7 112 259.5 106.1 248.1 95.6L242.7 89.33C223.4 113.5 193.1 128 162.3 128H128V144C128 197 170.1 240 224 240C277 240 320 197 320 144V128C320 122.5 319.5 117.2 318.7 112V112zM251.3 52.69L271.6 72.97C276.1 77.47 282.2 80 288.6 80H307.2C290.6 51.31 259.5 32 224 32C182.2 32 146.6 58.71 133.5 96H162.3C189.1 96 213.5 80.97 225.5 57.15C226.3 55.53 227.4 54.02 228.7 52.69C234.9 46.44 245.1 46.44 251.3 52.69H251.3zM0 481.2C0 383.3 79.33 304 177.2 304H270.8C368.7 304 448 383.3 448 481.2C448 498.2 434.2 512 417.2 512H30.82C13.8 512 .0006 498.2 .0006 481.2H0zM176 370.7C194.6 377.3 208 395.1 208 416C208 442.5 186.5 464 160 464C133.5 464 112 442.5 112 416C112 395.1 125.4 377.3 144 370.7V339.8C80.18 354.7 32.55 411.8 32 480H415.1C415.5 417.6 375.6 364.6 320 344.5V370.7C338.6 377.3 352 395.1 352 416V448C352 456.8 344.8 464 336 464C327.2 464 320 456.8 320 448V416C320 407.2 312.8 400 304 400C295.2 400 288 407.2 288 416V448C288 456.8 280.8 464 272 464C263.2 464 256 456.8 256 448V416C256 395.1 269.4 377.3 288 370.7V337C282.4 336.3 276.6 336 270.8 336H177.2L175.1 336L176 370.7zM160 432C168.8 432 176 424.8 176 416C176 407.2 168.8 400 160 400C151.2 400 144 407.2 144 416C144 424.8 151.2 432 160 432z"],
    "user-doctor-message": [640, 512, ["user-md-chat"], "f82e", "M352 128C352 198.7 294.7 256 223.1 256C153.3 256 95.1 198.7 95.1 128C95.1 57.31 153.3 0 223.1 0C294.7 0 352 57.31 352 128zM127.1 128C127.1 181 170.1 224 223.1 224C277 224 319.1 181 319.1 128C319.1 74.98 277 32 223.1 32C170.1 32 127.1 74.98 127.1 128zM270.8 304C368.7 304 448 383.3 448 481.2C448 498.2 434.2 512 417.2 512H30.81C13.8 512 0 498.2 0 481.2C0 383.3 79.33 304 177.2 304H270.8zM159.1 432C168.8 432 175.1 424.8 175.1 416C175.1 407.2 168.8 400 159.1 400C151.2 400 143.1 407.2 143.1 416C143.1 424.8 151.2 432 159.1 432zM207.1 416C207.1 442.5 186.5 464 159.1 464C133.5 464 111.1 442.5 111.1 416C111.1 395.1 125.4 377.3 143.1 370.7V339.8C80.18 354.7 32.55 411.8 32 480H415.1C415.5 417.6 375.6 364.6 319.1 344.5V370.7C338.6 377.3 352 395.1 352 416V448C352 456.8 344.8 464 336 464C327.2 464 319.1 456.8 319.1 448V416C319.1 407.2 312.8 400 303.1 400C295.2 400 287.1 407.2 287.1 416V448C287.1 456.8 280.8 464 271.1 464C263.2 464 255.1 456.8 255.1 448V416C255.1 395.1 269.4 377.3 287.1 370.7V337C282.4 336.3 276.6 336 270.8 336H177.2L175.1 336V370.7C194.6 377.3 207.1 395.1 207.1 416L207.1 416zM460.8 286.4C458.4 288.2 455.1 288.5 452.4 287.2C449.7 285.8 448 283 448 280V224H432C405.5 224 384 202.5 384 176V48C384 21.49 405.5 0 432 0H592C618.5 0 640 21.49 640 48V176C640 202.5 618.5 224 592 224H544L460.8 286.4zM592 192C600.8 192 608 184.8 608 176V48C608 39.16 600.8 32 592 32H432C423.2 32 416 39.16 416 48V176C416 184.8 423.2 192 432 192H480V232L533.3 192H592z"],
    "user-gear": [640, 512, ["user-cog"], "f4fe", "M627.1 358.8l-16.67-9.625c.5-4.469 .7344-8.781 .7344-12.97c0-4.375-.25-8.781-.75-13.31l16.72-9.656c10.47-6.094 15.33-18.72 11.56-30.03c-7.188-21.66-18.48-41.25-33.59-58.31c-7.766-8.719-21.76-10.81-31.78-4.938l-17.28 9.969c-7-5.031-14.42-9.312-22.23-12.84V197.2c0-12-8.422-22.53-20.12-25.03c-22.5-4.75-44.86-4.75-67.51 0c-11.62 2.5-20.06 13.03-20.06 25.03v19.88c-7.797 3.531-15.23 7.812-22.22 12.84l-17.22-9.938c-10.19-5.938-24.17-3.75-31.89 4.969c-15.06 17-26.36 36.59-33.53 58.22c-3.781 11.34 1.078 23.97 11.58 30.06l16.69 9.656c-.5 4.531-.75 8.938-.75 13.31c0 4.188 .2344 8.5 .7344 12.97l-16.62 9.594c-10.55 6.031-15.44 18.69-11.64 30.06c7.203 21.66 18.48 41.25 33.47 58.13c7.686 8.844 21.83 10.94 31.9 5.156l16.98-9.812c7.045 5.094 14.58 9.438 22.51 13.03v19.5c0 12 8.438 22.53 20.14 25.03c11.25 2.375 22.59 3.562 33.72 3.562s22.47-1.188 33.79-3.562c11.62-2.5 20.05-13.03 20.05-25.03v-19.5c7.936-3.594 15.47-7.938 22.51-13.03l16.94 9.75c10.2 5.938 24.23 3.719 31.87-4.969c15.08-17 26.36-36.59 33.54-58.22C642.5 377.5 637.7 364.8 627.1 358.8zM577.3 317.5c1.156 6.062 1.906 12.31 1.906 18.72c0 6.312-.7656 12.44-1.891 18.44l-2.078 11.12l31.33 18.09c-5.188 13.78-12.5 26.47-21.81 37.84l-31.64-18.22l-8.609 7.438c-9.42 8.125-20.17 14.38-31.95 18.5l-10.7 3.75v36.38c-14.67 2.5-29.09 2.5-43.7 0v-36.38l-10.7-3.75c-11.8-4.156-22.53-10.38-31.94-18.5l-8.594-7.469l-31.65 18.25c-9.297-11.34-16.61-24.03-21.81-37.84l31.33-18.09l-2.078-11.12c-1.125-6-1.891-12.12-1.891-18.44c0-6.406 .75-12.66 1.906-18.72l2.125-11.16l-31.39-18.16c5.188-13.78 12.5-26.47 21.79-37.88l31.86 18.41l8.609-7.375c9.438-8.125 20.11-14.28 31.72-18.34l10.72-3.75V202.5c14.7-2.5 29.09-2.5 43.7 0v36.78l10.73 3.719c11.59 4.062 22.28 10.22 31.72 18.34l8.609 7.375l31.86-18.41c9.295 11.41 16.59 24.09 21.79 37.88l-31.39 18.16L577.3 317.5zM480 280c-30.87 0-55.1 25.12-55.1 56s25.12 56 55.1 56s55.1-25.12 55.1-56S510.9 280 480 280zM480 360c-13.23 0-24-10.78-24-24s10.77-24 24-24s23.1 10.78 23.1 24S493.2 360 480 360zM368 480H34.66C33.21 480 32 478.8 32 477.3C31.99 399.4 95.4 336 173.3 336H272C280.8 336 288 328.8 288 320c0-8.838-7.153-16-15.99-16H173.3C77.54 304-.1152 381.6 0 477.4C.0234 496.4 15.63 512 34.66 512H368c8.836 0 16-7.164 16-16C384 487.2 376.8 480 368 480zM224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM224 32c52.94 0 96 43.06 96 96c0 52.93-43.06 96-96 96S128 180.9 128 128C128 75.06 171.1 32 224 32z"],
    "user-graduate": [512, 512, [], "f501", "M359.2 312.8l-103.2 103.2l-103.2-103.2c-69.93 22.31-120.8 87.19-120.8 164.5C32 496.5 47.53 512 66.67 512h378.7C464.5 512 480 496.5 480 477.3C480 400 429.1 335.1 359.2 312.8zM445.3 479.1H66.66c-1.469 0-2.664-1.197-2.664-2.668c0-55.04 31.85-104 80.95-127.1L233.4 438.6c6.248 6.248 14.44 9.373 22.63 9.373c8.189 0 16.38-3.125 22.63-9.373l88.43-88.43c49.09 23.08 80.95 72.09 80.95 127.1C448 478.8 446.8 479.1 445.3 479.1zM44.41 79.59L64 84.11v89.31L32.83 266.9C31.19 271.8 32.02 277.2 35.02 281.4c3.016 4.172 7.844 6.641 12.98 6.641H112c5.141 0 9.969-2.469 12.98-6.641c2.1-4.172 3.828-9.547 2.187-14.42L96 173.4V91.49L128 98.88l.0016 29.12c0 5.734 3.076 11.05 8.061 13.89l64.37 36.78c17.14 9.797 36.34 14.69 55.56 14.69c19.22 0 38.42-4.891 55.56-14.69l64.37-36.78c4.984-2.844 8.063-8.156 8.063-13.89L384 98.88l83.59-19.29c7.266-1.672 12.39-8.141 12.39-15.59s-5.126-13.92-12.39-15.59l-207.1-48c-2.344-.5313-4.844-.5313-7.187 0L44.41 48.4C37.14 50.07 31.99 56.56 31.99 64.01S37.14 77.92 44.41 79.59zM352 118.7l-56.31 32.17c-24.47 13.97-54.91 13.97-79.37 0L160 118.7V106.3l92.41 21.32c1.172 .2656 2.33 .4063 3.533 .4063s2.483-.1406 3.654-.4063l92.41-21.32V118.7zM256 32.41l136.8 31.58l-136.8 31.58L119.2 63.99L256 32.41zM80 226.6l9.797 29.41H70.2L80 226.6zM368 159.1c-8.844 0-16 7.157-16 16c0 52.94-43.06 96-95.1 96S160 228.9 160 175.1c0-8.844-7.155-16-15.1-16S128 167.2 128 175.1c0 70.58 57.42 128 127.1 128s127.1-57.42 127.1-128C384 167.2 376.8 159.1 368 159.1z"],
    "user-group": [640, 512, [128101, "user-friends"], "f500", "M274.7 304H173.3c-95.73 0-173.3 77.6-173.3 173.3C0 496.5 15.52 512 34.66 512H413.3C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM413.3 480H34.66C33.2 480 32 478.8 32 477.3C32 399.4 95.4 336 173.3 336H274.7C352.6 336 416 399.4 416 477.3C416 478.8 414.8 480 413.3 480zM224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM224 32c52.94 0 96 43.06 96 96c0 52.93-43.06 96-96 96S128 180.9 128 128C128 75.06 171.1 32 224 32zM375.1 241C392.9 250.8 412.3 256 432 256C493.8 256 544 205.8 544 144S493.8 32 432 32c-12.83 0-25.39 2.156-37.34 6.391c-8.328 2.953-12.69 12.09-9.734 20.42c2.953 8.344 12.12 12.66 20.42 9.734C413.9 65.53 422.8 64 432 64C476.1 64 512 99.89 512 144S476.1 224 432 224c-14.08 0-27.91-3.703-39.98-10.69c-7.656-4.453-17.44-1.828-21.86 5.828C365.7 226.8 368.3 236.6 375.1 241zM490.7 320H448c-8.844 0-16 7.156-16 16S439.2 352 448 352h42.67C555.4 352 608 404.6 608 469.3C608 475.2 603.2 480 597.3 480H496c-8.844 0-16 7.156-16 16s7.156 16 16 16h101.3C620.9 512 640 492.9 640 469.3C640 386.1 573 320 490.7 320z"],
    "user-group-crown": [640, 512, ["users-crown"], "f6a5", "M274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512H413.3C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM413.3 480H34.66C33.2 480 32 478.8 32 477.3C32 399.4 95.4 336 173.3 336H274.7C352.6 336 416 399.4 416 477.3C416 478.8 414.8 480 413.3 480zM375.1 241C392.9 250.8 412.3 256 432 256C493.8 256 544 205.8 544 144S493.8 32 432 32c-12.83 0-25.39 2.156-37.34 6.391c-8.328 2.953-12.69 12.09-9.734 20.42c2.953 8.344 12.12 12.66 20.42 9.734C413.9 65.53 422.8 64 432 64C476.1 64 512 99.89 512 144S476.1 224 432 224c-14.08 0-27.91-3.703-39.98-10.69c-7.656-4.453-17.44-1.828-21.86 5.828C365.7 226.8 368.3 236.6 375.1 241zM490.7 320H448c-8.844 0-16 7.156-16 16S439.2 352 448 352h42.67C555.4 352 608 404.6 608 469.3C608 475.2 603.2 480 597.3 480H496c-8.844 0-16 7.156-16 16s7.156 16 16 16h101.3C620.9 512 640 492.9 640 469.3C640 386.1 573 320 490.7 320zM224 272c70.59 0 128-57.42 128-128V24c0-11.89-12.52-19.63-23.16-14.31L288 30.11L231.2 1.689c-4.506-2.254-9.807-2.254-14.31 0L160 30.11L119.2 9.689C108.5 4.369 96 12.11 96 24V144C96 214.6 153.4 272 224 272zM128 49.86l32 16l64-32l64 32l32-16V112H128V49.86zM320 144c0 52.94-43.06 96-96 96s-96-43.06-96-96H320z"],
    "user-hair": [448, 512, [], "e45a", "M96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128V144C352 214.7 294.7 272 224 272C153.3 272 96 214.7 96 144V128zM318.7 112H288.6C273.7 112 259.5 106.1 248.1 95.6L242.7 89.33C223.4 113.5 193.1 128 162.3 128H128V144C128 197 170.1 240 224 240C277 240 320 197 320 144V128C320 122.5 319.5 117.2 318.7 112V112zM307.2 80C290.6 51.31 259.5 32 224 32C182.2 32 146.6 58.71 133.5 96H162.3C189.1 96 213.5 80.97 225.5 57.15C226.3 55.53 227.4 54.02 228.7 52.69C234.9 46.44 245.1 46.44 251.3 52.69L271.6 72.97C276.1 77.47 282.2 80 288.6 80H307.2zM0 483.6C0 393.2 73.23 320 163.6 320H284.4C374.8 320 448 393.2 448 483.6C448 499.3 435.3 512 419.6 512H28.44C12.74 512 0 499.3 0 483.6zM415.1 480C414.1 408.1 355.9 352 284.4 352H163.6C92.09 352 33.93 408.1 32.05 480H415.1z"],
    "user-hair-buns": [448, 512, [], "e3d3", "M88 224c10.94 0 21.05-3.311 29.68-8.768C140.7 249.5 179.7 272 224 272s83.35-22.54 106.3-56.77C338.9 220.7 349.1 224 360 224C390.9 224 416 198.9 416 168v-48C416 89.13 390.9 64 360 64c-8.229 0-15.6 2.539-22.61 5.783C316.1 28.62 273.5 0 224 0S131.9 28.62 110.6 69.78C103.6 66.54 96.23 64 88 64C57.13 64 32 89.13 32 120v48C32 198.9 57.13 224 88 224zM348.5 99.2C351.8 97.19 355.7 96 360 96C373.2 96 384 106.8 384 120v48C384 181.2 373.2 192 360 192c-6.098 0-11.41-2.479-15.54-6.287C349 172.6 352 158.7 352 144V128C352 118.1 350.6 108.5 348.5 99.2zM224 32c39.08 0 72.65 23.55 87.61 57.14c-27.13 14.73-59.62 3.66-73.55-21.92c-5.625-10.31-22.5-10.31-28.12 0C196 92.84 163.5 103.9 136.4 89.14C151.4 55.55 184.9 32 224 32zM128 128c0-2.508 .5508-4.863 .7402-7.324C161.9 134.6 200.1 126.3 224 101.7C240.1 118.3 262.3 128 285.9 128c11.45 0 22.55-3.02 33.35-7.674C319.4 122.9 320 125.4 320 128v16c0 52.93-43.06 96-96 96s-96-43.07-96-96V128zM64 120C64 106.8 74.78 96 88 96c4.252 0 8.152 1.188 11.53 3.203C97.39 108.5 96 118.1 96 128v16c0 14.69 2.984 28.57 7.541 41.71C99.41 189.5 94.1 192 88 192C74.78 192 64 181.2 64 168V120zM274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512H413.3C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM413.3 480H34.66C33.2 480 32 478.8 32 477.3C32 399.4 95.4 336 173.3 336h101.3C352.6 336 416 399.4 416 477.3C416 478.8 414.8 480 413.3 480z"],
    "user-hair-long": [448, 512, [], "e45b", "M224 0C294.7 0 352 57.31 352 128C352 163.3 368.6 196.4 396.8 217.6L401.1 220.8C410.5 227.9 416 238.9 416 250.7C416 271.3 399.3 288 378.7 288H320C311.2 288 304 280.8 304 272C304 263.2 311.2 256 320 256H378.7C381.6 256 384 253.6 384 250.7C384 248.1 383.2 247.4 381.9 246.4L377.6 243.2C361.8 231.3 348.8 216.5 339.2 199.8C318.5 242.6 274.7 272 224 272C173.3 272 129.5 242.6 108.8 199.8C99.19 216.5 86.21 231.3 70.4 243.2L66.13 246.4C64.79 247.4 64 248.1 64 250.7C64 253.6 66.39 256 69.33 256H128C136.8 256 144 263.2 144 272C144 280.8 136.8 288 128 288H69.33C48.71 288 32 271.3 32 250.7C32 238.9 37.53 227.9 46.93 220.8L51.2 217.6C79.4 196.4 96 163.3 96 128C96 57.31 153.3 0 224 0V0zM318.7 112H288.6C273.7 112 259.5 106.1 248.1 95.6L242.7 89.33C223.4 113.5 193.1 128 162.3 128H128V144C128 197 170.1 240 224 240C277 240 320 197 320 144V128C320 122.5 319.5 117.2 318.7 112V112zM251.3 52.69L271.6 72.97C276.1 77.47 282.2 80 288.6 80H307.2C290.6 51.31 259.5 32 224 32C182.2 32 146.6 58.71 133.5 96H162.3C189.1 96 213.5 80.97 225.5 57.15C226.3 55.53 227.4 54.02 228.7 52.69C234.9 46.44 245.1 46.44 251.3 52.69H251.3zM0 483.6C0 393.2 73.23 320 163.6 320H284.4C374.8 320 448 393.2 448 483.6C448 499.3 435.3 512 419.6 512H28.44C12.74 512 0 499.3 0 483.6zM415.1 480C414.1 408.1 355.9 352 284.4 352H163.6C92.09 352 33.93 408.1 32.05 480H415.1z"],
    "user-hair-mullet": [448, 512, ["business-front", "party-back", "trian-balbot"], "e45c", "M88 96C88 87.16 95.16 80 104 80H105.3C124.3 33.09 170.3 0 224 0C277.7 0 323.7 33.09 342.7 80H344C352.8 80 360 87.16 360 96C360 102.4 356.2 107.9 350.8 110.5C351.6 116.2 352 122.1 352 128V144C352 159.6 349.2 174.6 344.1 188.5C344.8 214.1 351.8 234.8 365.3 255.1C367.9 258.9 368.6 263.7 367.5 268.1C366.3 272.5 363.3 276.3 359.2 278.3L343.2 286.3C335.3 290.3 325.6 287.1 321.7 279.2C317.7 271.3 320.9 261.6 328.8 257.7L329.4 257.4C324.8 248.7 321.1 239.8 318.3 230.5C312.6 236.8 306.2 242.5 299.4 247.5L311.2 282.9C313.1 291.3 309.4 300.4 301.1 303.2C292.7 305.1 283.6 301.4 280.8 293.1L270.9 263.2C256.3 268.9 240.5 271.1 224 271.1C207.5 271.1 191.7 268.9 177.1 263.2L167.2 293.1C164.4 301.4 155.3 305.1 146.9 303.2C138.6 300.4 134 291.3 136.8 282.9L148.6 247.5C141.8 242.5 135.4 236.8 129.7 230.5C126.9 239.8 123.2 248.7 118.6 257.4L119.2 257.7C127.1 261.6 130.3 271.3 126.3 279.2C122.4 287.1 112.7 290.3 104.8 286.3L88.84 278.3C84.74 276.3 81.71 272.5 80.54 268.1C79.36 263.7 80.14 258.9 82.69 255.1C96.24 234.8 103.2 214.1 103.9 188.5C98.81 174.6 96 159.6 96 144V128C96 122.1 96.41 116.2 97.19 110.5C91.76 107.9 88 102.4 88 96V96zM320 144V128C320 122.5 319.5 117.2 318.7 112H307.4C275.3 112 245.1 98.28 224 74.78C202.9 98.28 172.7 112 140.6 112H129.3C128.5 117.2 128 122.5 128 128V144C128 197 170.1 240 224 240C277 240 320 197 320 144zM140.8 79.1C167.5 79.93 192.4 66.57 207.2 44.38L210.7 39.12C213.7 34.67 218.7 32 224 32C229.4 32 234.3 34.67 237.3 39.12L240.8 44.38C255.6 66.57 280.5 79.93 307.2 79.1C290.6 51.31 259.5 32 224 32C188.5 32 157.4 51.31 140.8 79.1zM284.4 320C374.8 320 448 393.2 448 483.6C448 499.3 435.3 512 419.6 512H28.44C12.74 512 0 499.3 0 483.6C0 393.2 73.23 320 163.6 320H284.4zM163.6 352C92.09 352 33.93 408.1 32.05 480H415.1C414.1 408.1 355.9 352 284.4 352H163.6z"],
    "user-headset": [448, 512, [], "f82d", "M223.7 96h.6387c37.75 0 71.97 22.1 87.43 56.63c15.38 34.63 8.982 75.33-16.39 103.3c0 .125 0-.125 0 0L304 256c16.5 0 31.9-8.6 40.52-22.6C349 220.4 352 206.6 352 192c0-70.75-57.25-128-128-128s-128 57.25-128 128c0 40.38 19.12 75.99 48.37 99.49C144.2 290.2 144 289.3 144 288C144.1 276.8 147.1 265.6 152.9 256c-25.5-28-32.13-68.5-16.75-103.3C151.6 118.2 185.8 96 223.7 96zM48 224C56.88 224 64 216.9 64 208V192c0-88.25 71.75-160 160-160s160 71.75 160 160v16C384 252.1 348.1 288 304 288h-32c0-17.62-14.38-32-32-32h-32c-17.62 0-32 14.38-32 32s14.38 32 32 32h96c61.88-.125 111.9-50.13 112-112V192c0-105.9-86.13-192-192-192S32 86.13 32 192v16C32 216.9 39.13 224 48 224zM314.7 352H133.3C59.7 352 0 411.7 0 485.3C0 500.1 11.94 512 26.66 512H421.3C436.1 512 448 500.1 448 485.3C448 411.7 388.3 352 314.7 352zM32.14 480c2.779-53.41 47.11-96 101.2-96h181.3c54.09 0 98.42 42.59 101.2 96H32.14z"],
    "user-helmet-safety": [448, 512, [128119, "user-construction", "user-hard-hat"], "f82c", "M447 472.2C434.1 420.4 387.5 384 334 384H113.1c-53.45 0-100 36.38-113 88.24C-4.079 492.4 11.2 512 32.02 512h383.1C436.8 512 452.1 492.4 447 472.2zM32.02 479.1C41.44 442.3 75.14 416 113.1 416h220c38.84 0 72.54 26.32 81.97 64L32.02 479.1zM322.4 224c0 52.94-43.07 96-96.01 96S130.4 276.9 130.4 224c0-8.844-7.158-16-16-16s-16 7.156-16 16c0 70.58 57.43 128 128 128c70.58 0 128-57.42 128-128c0-8.844-7.158-16-16-16C329.6 208 322.4 215.2 322.4 224zM80.44 176h289.6c8.884 0 16.09-7.164 16.09-16c0-8.838-7.203-16-16.09-16l-16.09-.0078c0-.0059 0 .0059 0 0c0-65.1-49.3-118.4-112.6-126.4V16c0-8.844-7.195-16-16.09-16C216.3 0 209.1 7.156 209.1 16v1.602c-63.31 7.977-112.6 61.29-112.6 126.4c0 .0059 0-.0059 0 0L80.44 144C71.55 144 64.35 151.2 64.35 160C64.35 168.8 71.55 176 80.44 176zM241.3 49.6c45.56 7.672 80.44 46.93 80.44 94.39c0 .0059 0-.0059 0 0L241.3 144V49.6zM128.7 143.1c0-47.46 34.88-86.72 80.44-94.39V144L128.7 143.1C128.7 143.1 128.7 143.1 128.7 143.1z"],
    "user-injured": [448, 512, [], "f728", "M274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512h378.7C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM64 480H34.66C33.2 480 32 478.8 32 477.3c0-33.64 12.3-64.16 32-88.45V480zM96 480v-120.7c12.79-8.406 27.13-14.46 42.34-18.37L226.9 480H96zM288 480h-23.22l-40.72-64H288c17.64 0 32 14.36 32 32S305.6 480 288 480zM413.3 480h-70.24C348.6 470.5 352 459.7 352 448c0-35.3-28.7-64-64-64H203.7l-30.44-47.99c.0605 0-.0605 0 0 0L274.7 336C352.6 336 416 399.4 416 477.3C416 478.8 414.8 480 413.3 480zM224 256c70.7 0 128-57.31 128-128s-57.3-128-128-128C153.3 0 96 57.31 96 128S153.3 256 224 256zM306.6 80h-69.02l39.69-31.76C289.4 56.37 299.3 67.37 306.6 80zM224 32c6.777 0 13.38 .748 19.76 2.09L186.6 80H141.4C158 51.45 188.6 32 224 32zM129.6 112h188.8C319.3 117.2 320 122.5 320 128c0 52.93-43.06 96-96 96S128 180.9 128 128C128 122.5 128.7 117.2 129.6 112z"],
    "user-large": [512, 512, ["user-alt"], "f406", "M256 288c79.53 0 144-64.47 144-144s-64.47-144-144-144c-79.52 0-144 64.47-144 144S176.5 288 256 288zM256 32c61.76 0 112 50.24 112 112C368 205.8 317.8 256 256 256S144 205.8 144 144C144 82.24 194.2 32 256 32zM351.1 320H160c-88.36 0-160 71.63-160 160c0 17.67 14.33 32 31.1 32H480c17.67 0 31.1-14.33 31.1-32C512 391.6 440.4 320 351.1 320zM32 480c0-70.58 57.42-128 128-128h191.1C422.6 352 480 409.4 480 480H32z"],
    "user-large-slash": [640, 512, ["user-alt-slash"], "f4fa", "M320 32c61.76 0 112 50.24 112 112c0 34.85-16.33 65.64-41.37 86.2l25.62 20.22c29.12-26.35 47.75-64.06 47.75-106.4c0-79.53-64.47-143.1-143.1-143.1c-54.45 0-101.3 30.58-125.7 75.16l25.4 20.05C237.9 57.95 275.8 32 320 32zM96 480c0-70.58 57.42-128 128-128h114.3L297.8 320l-73.78 .0006c-88.36 0-160 71.63-160 159.1C63.1 497.7 78.33 512 95.1 512h444.1l-40.53-32H96zM633.9 483.4l-608-480c-6.938-5.453-17-4.25-22.48 2.641c-5.469 6.938-4.281 17 2.641 22.48l608 480C617 510.9 620.5 512 623.1 512c4.734 0 9.422-2.094 12.58-6.078C642 498.1 640.8 488.9 633.9 483.4z"],
    "user-lock": [640, 512, [], "f502", "M576 288V208c0-44.11-35.87-80-79.1-80S416 163.9 416 208V288c-35.35 0-64 28.65-64 64v96c0 35.35 28.65 64 64 64h160c35.35 0 64-28.65 64-64v-96C640 316.7 611.3 288 576 288zM448 208C448 181.5 469.5 160 496 160S544 181.5 544 208V288h-96V208zM608 448c0 17.64-14.36 32-32 32h-160c-17.64 0-32-14.36-32-32v-96c0-17.64 14.36-32 32-32h160c17.64 0 32 14.36 32 32V448zM496 376c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24s24-10.75 24-24C520 386.7 509.3 376 496 376zM224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM224 32c52.94 0 96 43.06 96 96c0 52.93-43.06 96-96 96S128 180.9 128 128C128 75.06 171.1 32 224 32zM173.3 336H274.7c9.516 0 18.76 1.062 27.71 2.971c10.27 2.191 19.9-6.207 18.1-16.67c-.0098-.1172-.0195-.2363-.0313-.3555c-.6172-7.242-5.881-13.08-13.01-14.52C297.4 305.2 286.2 304 274.7 304H173.3C77.54 304-.1152 381.6 0 477.4C.0234 496.4 15.63 512 34.66 512H304c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16H34.66C33.21 480 32 478.8 32 477.3C31.99 399.4 95.4 336 173.3 336z"],
    "user-minus": [640, 512, [], "f503", "M224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM224 32c52.94 0 96 43.06 96 96c0 52.93-43.06 96-96 96S128 180.9 128 128C128 75.06 171.1 32 224 32zM274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512h378.7C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM413.3 480H34.66C33.2 480 32 478.8 32 477.3C32 399.4 95.4 336 173.3 336H274.7C352.6 336 416 399.4 416 477.3C416 478.8 414.8 480 413.3 480zM624 208h-160C455.2 208 448 215.2 448 224s7.156 16 16 16h160C632.8 240 640 232.8 640 224S632.8 208 624 208z"],
    "user-music": [640, 512, [], "f8eb", "M272.2 480H34.66C33.21 480 32 478.8 32 477.3C31.99 399.4 95.4 336 173.3 336H274.7c16.52 0 32.38 2.865 47.13 8.104c4.801 1.705 9.992 1.145 14.28-1.605l.3242-.207c10.87-6.934 8.889-23.64-3.236-28.03C314.9 307.6 295.2 304 274.7 304H173.3C77.54 304-.1152 381.6 0 477.4C.0234 496.4 15.63 512 34.66 512h237.5C280.9 512 288 504.9 288 496.2v-.4141C288 487.1 280.9 480 272.2 480zM224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM224 32c52.94 0 96 43.06 96 96c0 52.93-43.06 96-96 96S128 180.9 128 128C128 75.06 171.1 32 224 32zM621.5 138.2c-11.75-9.172-26.75-12.41-41.16-8.734l-64 16C494.1 150.8 480 169.1 480 192v180.7C462.1 359.1 440.7 352 416 352c-53.02 0-96 35.82-96 80c0 44.18 42.98 80 96 80s96-35.82 96-80V291.6l91.63-22.92C625 263.3 640 244.1 640 222.1V176C640 161.2 633.3 147.4 621.5 138.2zM416 480c-34.69 0-64-21.98-64-48c0-26.02 29.31-48 64-48s64 21.98 64 48C480 458 450.7 480 416 480zM608 222.1c0 7.359-5 13.73-12.12 15.53L512 258.6l.0469-66.46c0-7.359 4.953-13.79 12.08-15.58l64-16c1.312-.3125 2.625-.4844 3.906-.4844c3.531 0 6.969 1.172 9.812 3.406C605.8 166.5 608 171.1 608 176V222.1z"],
    "user-ninja": [512, 512, [129399], "f504", "M208 128h96C312.8 128 320 120.8 320 112s-7.156-15.1-16-15.1H208C199.2 96 192 103.2 192 112S199.2 128 208 128zM68.69 187.3C71.81 190.4 75.91 192 80 192s8.188-1.562 11.31-4.688L130.1 148.6C139.1 209.4 192.3 256 256 256c70.69 0 127.1-57.31 127.1-128c0-70.69-57.31-128-127.1-128c-54.5 0-100.7 34.2-119.2 82.19l-45.5-45.5c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L121.4 112L68.69 164.7C62.44 170.9 62.44 181.1 68.69 187.3zM256 32c52.94 0 96 43.06 96 96c0 52.93-43.06 96-96 96S160 180.9 160 128C160 75.06 203.1 32 256 32zM381.4 291.3c-1.039-.498-20.82-10.16-37.11 6.129L256 385.7L167.7 297.4c-16.29-16.29-36.07-6.627-37.11-6.129c-58.6 27.99-99.11 87.31-98.63 156.7v31.1c0 17.67 14.33 31.1 32 31.1h383.1c17.67 0 32-14.33 32-31.1v-31.1C480.5 378.6 439.1 319.3 381.4 291.3zM240 480h-175.1v-32.22c-.3828-54.83 30.43-103.7 80.42-127.6c.1719-.082 95.57 94.76 95.57 94.76V480zM447.1 480h-175.1v-65.08c0 0 95.4-94.84 95.57-94.76c49.99 23.88 80.81 72.79 80.42 127.6V480z"],
    "user-nurse": [448, 512, [], "f82f", "M447.1 477.4c0-120.1-103.5-159.1-112.9-159.1c-8.385 0-16.64 3.214-22.82 9.398L224 416l-88.26-88.26c-6.185-6.184-14.44-9.397-22.83-9.397c-9.973 0-112.9 39.52-112.9 159.1C.0006 502.4 21.51 512 34.66 512H413.3C426.2 512 447.1 502.6 447.1 477.4zM413.3 480H34.66C33.2 480 32 478.8 32 477.3c0-55.04 31.85-104 80.95-127.1l88.43 88.43C207.6 444.9 215.8 448 224 448s16.38-3.125 22.63-9.373l88.43-88.43C384.1 373.3 416 422.3 416 477.3C416 478.8 414.8 480 413.3 480zM248 72H240V64c0-8.844-7.156-16-16-16S208 55.16 208 64v8H200c-8.844 0-16 7.156-16 16s7.156 16 16 16H208V112C208 120.8 215.2 128 224 128s16-7.156 16-16V104h8c8.844 0 16-7.156 16-16S256.8 72 248 72zM224 304c70.2 0 128-57.42 128-128V65.88c0-13.38-8.25-25.38-20.75-30L246.5 4.125C239.3 1.375 231.6 0 224 0S208.8 1.375 201.5 4.125L116.8 35.88C104.3 40.5 96 52.5 96 65.88V176C96 246.6 153.8 304 224 304zM127.1 65.84l84.87-31.79C216.4 32.69 220.2 32 224 32s7.574 .6875 11.27 2.09L320 65.88V144H127.1L127.1 65.84zM319.5 176c0 52.94-42.83 96-95.49 96s-95.49-43.06-95.49-96H319.5z"],
    "user-nurse-hair": [448, 512, [], "e45d", "M224 48C232.8 48 240 55.17 240 64V72H248C256.8 72 264 79.17 264 88C264 96.84 256.8 104 248 104H240V112C240 120.8 232.8 128 224 128C215.2 128 208 120.8 208 112V104H200C191.2 104 184 96.84 184 88C184 79.17 191.2 72 200 72H208V64C208 55.17 215.2 48 224 48zM96 76.93C96 64.22 103.5 52.71 115.2 47.61L211.2 5.613C219.4 2.035 228.6 2.035 236.8 5.613L332.8 47.61C344.5 52.71 352 64.22 352 76.93V176C352 246.7 294.7 304 224 304C153.3 304 96 246.7 96 176V76.93zM128 76.93V144H320V76.93L224 34.93L128 76.93zM162.3 224H140.8C157.4 252.7 188.5 272 224 272C277 272 320 229 320 176H249.3C230.6 205.7 197.9 224 162.3 224V224zM129.3 192H162.3C178.1 192 194.7 186.2 207.2 176H128C128 181.5 128.5 186.8 129.3 192H129.3zM417.3 509.9H30.72C13.75 509.9 0 496.2 0 479.2C0 400.5 56.33 335 130.9 320.8L224 413.9L317.1 320.8C391.7 335 448 400.5 448 479.2C448 496.2 434.2 509.9 417.3 509.9zM121.1 356.3C69.76 373.1 32.56 421.1 32.01 477.9H415.1C415.4 421.1 378.2 373.1 326.9 356.3L246.6 436.6C240.6 442.6 232.5 445.9 223.1 445.9C215.5 445.9 207.4 442.6 201.4 436.6L121.1 356.3z"],
    "user-nurse-hair-long": [448, 512, [], "e45e", "M224 48C232.8 48 240 55.17 240 64V72H248C256.8 72 264 79.17 264 88C264 96.84 256.8 104 248 104H240V112C240 120.8 232.8 128 224 128C215.2 128 208 120.8 208 112V104H200C191.2 104 184 96.84 184 88C184 79.17 191.2 72 200 72H208V64C208 55.17 215.2 48 224 48zM96 76.93C96 64.22 103.5 52.71 115.2 47.61L211.2 5.613C219.4 2.035 228.6 2.035 236.8 5.613L332.8 47.61C344.5 52.71 352 64.22 352 76.93V160C352 195.3 368.6 228.4 396.8 249.6L401.1 252.8C410.5 259.9 416 270.9 416 282.7C416 303.3 399.3 320 378.7 320H320C311.2 320 304 312.8 304 304C304 295.2 311.2 288 320 288H378.7C381.6 288 384 285.6 384 282.7C384 280.1 383.2 279.4 381.9 278.4L377.6 275.2C361.8 263.3 348.8 248.5 339.2 231.9C318.5 274.6 274.7 304 224 304C173.3 304 129.5 274.6 108.8 231.9C99.19 248.5 86.21 263.3 70.4 275.2L66.13 278.4C64.79 279.4 64 280.1 64 282.7C64 285.6 66.39 288 69.33 288H128C136.8 288 144 295.2 144 304C144 312.8 136.8 320 128 320H69.33C48.71 320 32 303.3 32 282.7C32 270.9 37.53 259.9 46.93 252.8L51.2 249.6C79.4 228.4 96 195.3 96 160V76.93zM128 76.93V144H320V76.93L224 34.93L128 76.93zM162.3 224H140.8C157.4 252.7 188.5 272 224 272C277 272 320 229 320 176H249.3C230.6 205.7 197.9 224 162.3 224V224zM129.3 192H162.3C178.1 192 194.7 186.2 207.2 176H128C128 181.5 128.5 186.8 129.3 192H129.3zM144 349.9L224 429.9L304 349.9H313.6C387.8 349.9 448 410.1 448 484.3C448 498.5 436.5 509.9 422.4 509.9H25.6C11.46 509.9 0 498.5 0 484.3C0 410.1 60.17 349.9 134.4 349.9H144zM201.4 452.6L130.8 381.1C78.05 383.8 35.43 425.5 32.2 477.9H415.8C412.6 425.5 369.1 383.8 317.2 381.1L246.6 452.6C234.1 465.1 213.9 465.1 201.4 452.6H201.4z"],
    "user-pen": [640, 512, ["user-edit"], "f4ff", "M625.9 234.2l-28.13-28.14c-9.373-9.373-21.66-14.06-33.94-14.06s-24.57 4.688-33.94 14.06l-175.5 175.5c-8.936 8.936-15.03 20.32-17.5 32.71l-16.66 83.35C318.7 505.2 324.6 512 331.1 512c.7852 0 1.586-.0781 2.398-.2402l83.35-16.67c12.39-2.479 23.77-8.566 32.7-17.5l175.5-175.5C644.7 283.3 644.7 252.9 625.9 234.2zM427.8 454.1c-4.48 4.48-10.13 7.506-16.35 8.748L357.5 474.5l10.78-53.93c1.244-6.219 4.27-11.88 8.754-16.36l114.3-114.3l50.76 50.76L427.8 454.1zM603.3 279.5l-38.62 38.62l-50.76-50.76l38.62-38.62c4.076-4.076 8.838-4.686 11.31-4.686s7.236 .6094 11.31 4.686l28.13 28.14C607.4 260.9 608 265.7 608 268.1C608 270.6 607.4 275.4 603.3 279.5zM223.1 256c70.7 0 128-57.31 128-128s-57.3-128-128-128C153.3 0 96 57.31 96 128S153.3 256 223.1 256zM223.1 32c52.94 0 96 43.06 96 96c0 52.93-43.06 96-96 96s-96-43.07-96-96C127.1 75.06 171.1 32 223.1 32zM272.5 480H34.66C33.21 480 32 478.8 32 477.3C31.99 399.4 95.4 336 173.3 336h101.3c19.17 0 37.23 4.199 53.84 11.27c6.475 2.758 13.1 .9727 18.97-4.002c7.65-7.652 5.398-20.84-4.533-25.13C321.1 309.1 298.9 304 274.7 304H173.3C77.54 304-.1152 381.6 0 477.4C.0234 496.4 15.63 512 34.66 512h237.9c8.545 0 15.47-6.928 15.47-15.47v-1.059C287.1 486.9 281.1 480 272.5 480z"],
    "user-pilot": [448, 512, [], "e2c0", "M168.8 94.31l48 23.1C219.1 119.4 221.6 120 224 120s4.906-.5625 7.156-1.688l48-23.1c7.906-3.969 11.09-13.56 7.156-21.47c-3.969-7.904-13.53-11.12-21.47-7.156L224 86.13L183.2 65.69c-7.906-3.936-17.5-.7173-21.47 7.156C157.8 80.75 160.9 90.35 168.8 94.31zM77.33 102.4v22.46c0 13.04 7.713 25.22 19.96 29.7C134.3 168.1 177.6 176 224 176s89.73-7.877 126.7-21.42c12.24-4.482 19.96-16.66 19.96-29.7V102.4l22.14-22.3C397.4 75.48 400 69.2 400 62.64c0-11.35-7.664-21.23-18.59-23.98C235.7 1.979 229.2 0 225.5 0C225 0 224.6 .0293 224 .0293c-.5938 0-1.002-.0273-1.443-.0273c-3.787 0-10.05 1.922-155.1 38.66C55.66 41.41 48 51.29 48 62.64c0 6.555 2.584 12.84 7.188 17.48L77.33 102.4zM162.7 47.43c37.47-9.465 55.46-14.01 61.33-15.31c5.906 1.312 137.2 34.44 137.2 34.44L338.7 89.23v13.19l1.043 22.12C304.9 137.3 264.9 144 224 144S143.1 137.3 109.3 124.9V89.23L86.82 66.56L162.7 47.43zM335.8 192c-7.975 0-14.77 5.793-15.9 13.62C313.2 252.1 272.7 288 223.1 288c-48.71 0-89.16-35.87-95.86-82.38C127 197.8 120.3 192 112.3 192C102.5 192 94.78 200.6 96.16 210.2C105.1 272.2 159 320 223.1 320s118.9-47.8 127.8-109.8C353.2 200.6 345.6 192 335.8 192zM319.9 352L224 416l-95.9-64C57.41 352 0 409.3 0 480c0 17.67 14.35 32 32.03 32h383.9C433.6 512 448 497.7 448 480C448 409.3 390.6 352 319.9 352zM32 480c0-49.88 38.24-91 86.95-95.58l87.3 58.2C211.6 446.2 217.8 448 224 448c6.189 0 12.38-1.791 17.75-5.375l87.3-58.2C377.8 389 416 430.1 416 480H32zM352 416h-32c-8.836 0-16 7.164-16 16S311.2 448 320 448h32c8.838 0 16-7.164 16-16S360.8 416 352 416z"],
    "user-pilot-tie": [448, 512, [], "e2c1", "M78.54 102.4v44.04C119.1 164.9 169.4 176 224 176s104.9-11.08 145.5-29.55V102.4l21.96-22.3c4.564-4.635 7.129-10.93 7.129-17.48c0-11.35-7.602-21.24-18.44-23.99l-148.3-37.67C229.2 .3223 226.6 0 224 0C221.4 0 218.8 .3223 216.2 .9707l-148.3 37.67C57.06 41.39 49.46 51.28 49.46 62.62c0 6.555 2.564 12.85 7.129 17.48L78.54 102.4zM224 32.02l135.9 34.5l-22.43 22.78v35.69C303.3 137.5 264.5 144 224 144c-40.5 0-79.3-6.535-113.5-19.01V89.3L88.12 66.52L224 32.02zM168.8 94.31l48 24C219.1 119.4 221.6 120 224 120s4.906-.5625 7.156-1.688l48-24c7.906-3.969 11.09-13.56 7.156-21.47c-3.969-7.906-13.53-11.12-21.47-7.156L224 86.13L183.2 65.69c-7.906-3.938-17.5-.7187-21.47 7.156C157.8 80.75 160.9 90.34 168.8 94.31zM319.9 352l-51.56 68.89L249.9 384H256c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16H192c-8.836 0-16 7.162-16 16C176 376.8 183.2 384 192 384h6.109l-18.44 36.89L128.1 352C57.41 352 0 409.3 0 480c0 17.67 14.35 32 32.03 32h383.9C433.6 512 448 497.7 448 480C448 409.3 390.6 352 319.9 352zM32 480c0-47.79 35.11-87.54 80.89-94.81L184 480H32zM224 480l-22.87-30.49L224 403.8l22.87 45.73L224 480zM264 480l71.11-94.81C380.9 392.5 416 432.2 416 480H264zM319.9 205.6C313.2 252.1 272.7 288 223.1 288c-48.71 0-89.16-35.87-95.86-82.38C127 197.8 120.3 192 112.3 192C102.5 192 94.78 200.6 96.16 210.2C105.1 272.2 159 320 223.1 320s118.9-47.8 127.8-109.8C353.2 200.6 345.6 192 335.8 192C327.8 192 320.1 197.8 319.9 205.6z"],
    "user-plus": [640, 512, [], "f234", "M274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512h378.7C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM413.3 480H34.66C33.2 480 32 478.8 32 477.3C32 399.4 95.4 336 173.3 336H274.7C352.6 336 416 399.4 416 477.3C416 478.8 414.8 480 413.3 480zM224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM224 32c52.94 0 96 43.06 96 96c0 52.93-43.06 96-96 96S128 180.9 128 128C128 75.06 171.1 32 224 32zM624 208h-64v-64C560 135.2 552.8 128 544 128s-16 7.156-16 16v64h-64C455.2 208 448 215.2 448 224s7.156 16 16 16h64v64c0 8.844 7.156 16 16 16s16-7.156 16-16v-64h64C632.8 240 640 232.8 640 224S632.8 208 624 208z"],
    "user-police": [448, 512, [], "e333", "M77.33 102.4v22.46c0 13.04 7.713 25.22 19.96 29.7C134.3 168.1 177.6 176 223.1 176c46.44 0 89.74-7.877 126.7-21.42c12.24-4.482 19.96-16.66 19.96-29.7V102.4l22.14-22.3C397.4 75.48 400 69.2 400 62.64c0-11.35-7.664-21.23-18.59-23.98C235.7 1.979 229.2 0 225.5 0C225 0 224.6 .0293 224 .0293c-.5938 0-1.002-.0273-1.443-.0273c-3.787 0-10.05 1.922-155.1 38.66C55.66 41.41 48 51.29 48 62.64c0 6.555 2.584 12.84 7.188 17.48L77.33 102.4zM224 141.4C215.4 134.9 200.7 119.4 196.9 92.96l27.11-11.3l27.1 11.29C247.4 119.4 232.7 134.1 224 141.4zM162.7 47.43c37.47-9.465 55.46-14.01 61.33-15.31c5.906 1.312 137.2 34.44 137.2 34.44L338.7 89.23v13.19l1.043 22.12c-22.57 8.262-47.45 13.71-73.23 16.71C276.4 125.9 284 105.6 284 79.99c0-4.852-2.928-9.229-7.375-11.07l-48-20.01C227.4 48.41 225.3 48 224 48c-1.322 0-3.382 .4082-4.61 .916l-48 20.01C166.9 70.77 164 75.14 164 79.99c0 25.68 7.637 45.93 17.51 61.27C155.8 138.3 131.2 132.9 109.3 124.9V89.23L86.82 66.56L162.7 47.43zM335.8 192c-7.975 0-14.77 5.793-15.9 13.62C313.2 252.1 272.7 288 223.1 288c-48.71 0-89.16-35.87-95.86-82.38C127 197.8 120.3 192 112.3 192C102.5 192 94.78 200.6 96.16 210.2C105.1 272.2 159 320 223.1 320s118.9-47.8 127.8-109.8C353.2 200.6 345.6 192 335.8 192zM320 352h-32l-64 64l-64-64H128c-70.69 0-128 57.31-128 128c0 17.67 14.33 32 32 32h384c17.67 0 32-14.33 32-32C448 409.3 390.7 352 320 352zM336 480v-16H352c8.844 0 16-7.156 16-16s-7.156-16-16-16h-16V416c0-8.844-7.156-16-16-16s-16 7.156-16 16v16H288c-8.844 0-16 7.156-16 16s7.156 16 16 16h16V480H32c0-52.94 43.06-96 96-96h18.74L224 461.3L301.3 384H320c52.94 0 96 43.06 96 96H336z"],
    "user-police-tie": [448, 512, [], "e334", "M319.9 352l-51.56 68.89L249.9 384H256c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16H192c-8.836 0-16 7.162-16 16C176 376.8 183.2 384 192 384h6.109l-18.44 36.89L128.1 352C57.41 352 0 409.3 0 480c0 17.67 14.35 32 32.03 32h383.9C433.6 512 448 497.7 448 480C448 409.3 390.6 352 319.9 352zM32 480c0-47.79 35.11-87.54 80.89-94.81L184 480H32zM224 480l-22.87-30.49L224 403.8l22.87 45.73L224 480zM264 480l71.11-94.81C380.9 392.5 416 432.2 416 480H264zM77.33 102.4v22.46c0 13.04 7.713 25.22 19.96 29.7C134.3 168.1 177.6 176 223.1 176c46.44 0 89.74-7.877 126.7-21.42c12.24-4.482 19.96-16.66 19.96-29.7V102.4l22.14-22.3C397.4 75.48 400 69.2 400 62.64c0-11.35-7.664-21.23-18.59-23.98C235.7 1.979 229.2 0 225.5 0C225 0 224.6 .0293 224 .0293c-.5938 0-1.002-.0273-1.443-.0273c-3.787 0-10.05 1.922-155.1 38.66C55.66 41.41 48 51.29 48 62.64c0 6.555 2.584 12.84 7.188 17.48L77.33 102.4zM224 141.4C215.4 134.9 200.7 119.4 196.9 92.96l27.11-11.3l27.1 11.29C247.4 119.4 232.7 134.1 224 141.4zM162.7 47.43c37.47-9.465 55.46-14.01 61.33-15.31c5.906 1.312 137.2 34.44 137.2 34.44L338.7 89.23v13.19l1.043 22.12c-22.57 8.262-47.45 13.71-73.23 16.71C276.4 125.9 284 105.6 284 79.99c0-4.852-2.928-9.229-7.375-11.07l-48-20.01C227.4 48.41 225.3 48 224 48c-1.322 0-3.382 .4082-4.61 .916l-48 20.01C166.9 70.77 164 75.14 164 79.99c0 25.68 7.637 45.93 17.51 61.27C155.8 138.3 131.2 132.9 109.3 124.9V89.23L86.82 66.56L162.7 47.43zM335.8 192c-7.975 0-14.77 5.793-15.9 13.62C313.2 252.1 272.7 288 223.1 288c-48.71 0-89.16-35.87-95.86-82.38C127 197.8 120.3 192 112.3 192C102.5 192 94.78 200.6 96.16 210.2C105.1 272.2 159 320 223.1 320s118.9-47.8 127.8-109.8C353.2 200.6 345.6 192 335.8 192z"],
    "user-robot": [448, 512, [], "e04b", "M112 160C112 133.5 133.5 112 160 112C186.5 112 208 133.5 208 160C208 186.5 186.5 208 160 208C133.5 208 112 186.5 112 160zM160 144C151.2 144 144 151.2 144 160C144 168.8 151.2 176 160 176C168.8 176 176 168.8 176 160C176 151.2 168.8 144 160 144zM336 160C336 186.5 314.5 208 288 208C261.5 208 240 186.5 240 160C240 133.5 261.5 112 288 112C314.5 112 336 133.5 336 160zM288 176C296.8 176 304 168.8 304 160C304 151.2 296.8 144 288 144C279.2 144 272 151.2 272 160C272 168.8 279.2 176 288 176zM240 64H304C348.2 64 384 99.82 384 144V240C384 284.2 348.2 320 304 320H144C99.82 320 64 284.2 64 240V144C64 99.82 99.82 64 144 64H208V16C208 7.164 215.2 0 224 0C232.8 0 240 7.164 240 16V64zM96 240C96 266.5 117.5 288 144 288V256C144 247.2 151.2 240 160 240C168.8 240 176 247.2 176 256V288H208V256C208 247.2 215.2 240 224 240C232.8 240 240 247.2 240 256V288H272V256C272 247.2 279.2 240 288 240C296.8 240 304 247.2 304 256V288C330.5 288 352 266.5 352 240V144C352 117.5 330.5 96 304 96H144C117.5 96 96 117.5 96 144V240zM32 144V240C32 248.8 24.84 256 16 256C7.164 256 0 248.8 0 240V144C0 135.2 7.164 128 16 128C24.84 128 32 135.2 32 144zM448 240C448 248.8 440.8 256 432 256C423.2 256 416 248.8 416 240V144C416 135.2 423.2 128 432 128C440.8 128 448 135.2 448 144V240zM48 512C21.49 512 0 490.5 0 464V448C0 394.1 42.98 352 96 352H352C405 352 448 394.1 448 448V464C448 490.5 426.5 512 400 512H176C176 520.8 168.8 528 160 528C151.2 528 144 520.8 144 512H48zM96 384C60.65 384 32 412.7 32 448V464C32 472.8 39.16 480 48 480H80V448C80 430.3 94.33 416 112 416H336C353.7 416 368 430.3 368 448V480H400C408.8 480 416 472.8 416 464V448C416 412.7 387.3 384 352 384H96zM208 448H176V480H208V448zM112 480H144V448H112V480zM240 480H272V448H240V480zM336 448H304V480H336V448z"],
    "user-robot-xmarks": [448, 512, [], "e4a7", "M160 141.3L182.7 118.7C187.8 113.5 196.2 113.5 201.3 118.7C206.5 123.8 206.5 132.2 201.3 137.3L178.7 160L201.3 182.7C206.5 187.8 206.5 196.2 201.3 201.3C196.2 206.5 187.8 206.5 182.7 201.3L160 178.7L137.3 201.3C132.2 206.5 123.8 206.5 118.7 201.3C113.5 196.2 113.5 187.8 118.7 182.7L141.3 160L118.7 137.3C113.5 132.2 113.5 123.8 118.7 118.7C123.8 113.5 132.2 113.5 137.3 118.7L160 141.3zM246.7 118.7C251.8 113.5 260.2 113.5 265.3 118.7L288 141.3L310.7 118.7C315.8 113.5 324.2 113.5 329.3 118.7C334.5 123.8 334.5 132.2 329.3 137.3L306.7 160L329.3 182.7C334.5 187.8 334.5 196.2 329.3 201.3C324.2 206.5 315.8 206.5 310.7 201.3L288 178.7L265.3 201.3C260.2 206.5 251.8 206.5 246.7 201.3C241.5 196.2 241.5 187.8 246.7 182.7L269.3 160L246.7 137.3C241.5 132.2 241.5 123.8 246.7 118.7V118.7zM240 64H304C348.2 64 384 99.82 384 144V240C384 284.2 348.2 320 304 320H144C99.82 320 64 284.2 64 240V144C64 99.82 99.82 64 144 64H208V16C208 7.164 215.2 0 224 0C232.8 0 240 7.164 240 16V64zM96 240C96 266.5 117.5 288 144 288V256C144 247.2 151.2 240 160 240C168.8 240 176 247.2 176 256V288H208V256C208 247.2 215.2 240 224 240C232.8 240 240 247.2 240 256V288H272V256C272 247.2 279.2 240 288 240C296.8 240 304 247.2 304 256V288C330.5 288 352 266.5 352 240V144C352 117.5 330.5 96 304 96H144C117.5 96 96 117.5 96 144V240zM32 144V240C32 248.8 24.84 256 16 256C7.164 256 0 248.8 0 240V144C0 135.2 7.164 128 16 128C24.84 128 32 135.2 32 144zM448 240C448 248.8 440.8 256 432 256C423.2 256 416 248.8 416 240V144C416 135.2 423.2 128 432 128C440.8 128 448 135.2 448 144V240zM48 512C21.49 512 0 490.5 0 464V448C0 394.1 42.98 352 96 352H352C405 352 448 394.1 448 448V464C448 490.5 426.5 512 400 512H48zM96 384C60.65 384 32 412.7 32 448V464C32 472.8 39.16 480 48 480H80V448C80 430.3 94.33 416 112 416H336C353.7 416 368 430.3 368 448V480H400C408.8 480 416 472.8 416 464V448C416 412.7 387.3 384 352 384H96zM112 480H144V448H112V480zM208 448H176V480H208V448zM240 480H272V448H240V480zM336 448H304V480H336V448z"],
    "user-secret": [448, 512, [128373], "f21b", "M398.1 343.4l-10.59-10.59l42.84-85.69c2.469-4.953 2.219-10.84-.6875-15.56C426.7 226.9 421.5 224 416 224h-68.54c2.674-10.29 4.534-20.89 4.534-32c0-8.844-7.155-16-15.1-16S320 183.2 320 192c0 52.94-43.06 96-96 96S128 244.9 128 192c0-8.844-7.156-16-16-16S96 183.2 96 192.1C96 203.2 97.85 213.7 100.5 224H32C26.47 224 21.31 226.9 18.38 231.6c-2.906 4.719-3.156 10.61-.6875 15.56l42.84 85.69l-10.59 10.59C17.75 375.6 0 418.5 0 464C0 490.5 21.53 512 48 512h128c5.031 0 9.75-2.359 12.78-6.359c3.031-4.016 3.969-9.203 2.594-14.03l-32-112c-2.406-8.5-11.25-13.41-19.78-11c-8.5 2.438-13.41 11.3-10.97 19.78L154.8 480H48C39.19 480 32 472.8 32 464c0-37 14.41-71.78 40.56-97.94l18.75-18.75c4.875-4.875 6.094-12.31 3-18.47L57.88 256H112c.5762 0 1.064-.2695 1.625-.3281C135.8 293.9 176.7 320 223.1 320s88.22-26.08 110.4-64.33C334.9 255.7 335.4 256 336 256h54.13l-36.44 72.84c-3.094 6.156-1.875 13.59 3 18.47l18.75 18.75C401.6 392.2 416 427 416 464c0 8.828-7.188 16-16 16h-106.8l26.16-91.61c2.438-8.484-2.469-17.34-10.97-19.78c-8.625-2.422-17.38 2.5-19.78 11l-32 112c-1.375 4.828-.4375 10.02 2.594 14.03C262.3 509.6 266.1 512 272 512h128c26.47 0 48-21.53 48-48C448 418.5 430.3 375.6 398.1 343.4zM224 160c137.1 0 185.3-46.7 187.3-48.69c6.188-6.188 6.188-16.14 .0625-22.42c-6.125-6.25-16.19-6.359-22.56-.3438c-.2363 .2266-14.79 13.46-50.68 24.54C326.3 58.53 306.8 0 277.1 0c-9.156 0-18.34 3.969-27.34 11.83c-14.94 13.11-36.66 13.06-51.53-.0469C189.3 3.969 179.9 0 170.7 0C141.4 0 121.9 58.55 109.9 113.1C74.36 102.2 59.73 89.07 59.19 88.56c-6.219-6.141-16.28-6.078-22.5 .125c-6.25 6.25-6.25 16.38 0 22.62C38.69 113.3 86.94 160 224 160zM172.9 32.81c1 .5469 2.406 1.469 4.188 3.031c27.12 23.91 66.59 23.88 93.72 .0625c1.719-1.5 3.094-2.422 4.094-3c4.857 5.486 18.67 26.19 32.08 87.83C284.8 125 257.5 128 224 128C190.6 128 163.3 125 141 120.7C154.8 57.83 168.3 37.92 172.9 32.81zM272 368c0-8.844-7.156-16-16-16H192c-8.844 0-16 7.156-16 16S183.2 384 192 384h16v112c0 8.844 7.156 16 16 16s16-7.156 16-16V384H256C264.8 384 272 376.8 272 368z"],
    "user-shakespeare": [448, 512, [], "e2c2", "M341.8 329.8C328.2 305 302.2 288 272 288h-96c-30.21 0-56.23 17.02-69.84 41.78C44.35 351.9 0 410.6 0 480C0 497.7 14.33 512 32 512h384c17.67 0 32-14.29 32-31.96C448 410.6 403.6 351.9 341.8 329.8zM240 320h32c26.47 0 48 21.53 48 48v5.406c-18.66-8.441-46.9-17.77-80-20.32V320zM128 368C128 341.5 149.5 320 176 320h32v33.09c-33.1 2.545-61.34 11.88-80 20.32V368zM240 480c0-8.838-7.164-15.89-16-15.89S208 471.2 208 480H32c0-47.24 25.81-88.4 64-110.5V400c0 5.891 3.25 11.3 8.438 14.08c5.188 2.797 11.53 2.516 16.41-.75C121.3 413 165.9 384 224 384s102.7 29.05 103.2 29.33c2.656 1.766 5.75 2.656 8.844 2.656c2.594 0 5.188-.625 7.562-1.906C348.8 411.3 352 405.9 352 400v-30.54C390.2 391.6 416 432.8 416 480H240zM224 400c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16s16-7.164 16-16C240 407.2 232.8 400 224 400zM192 144c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16S176 119.2 176 128C176 136.8 183.2 144 192 144zM256 144c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16S240 119.2 240 128C240 136.8 247.2 144 256 144zM188 204c14.34 0 27.78-7.316 36-12.91C232.2 196.7 245.7 204 260 204c6.625 0 12-5.377 12-12.01c0-6.627-5.375-12-12-12c-10.91 0-23.94-9.379-28.06-12.99c-4.5-4-11.38-4-15.88 0C211.9 170.6 198.9 179.1 188 179.1c-6.625 0-12 5.377-12 12C176 198.6 181.4 204 188 204zM109.3 255.5h57.02C183.2 265.8 202.8 272 224 272s40.82-6.232 57.73-16.47h57.02C363.7 255.5 384 235.3 384 210.3c0-12-4.768-23.51-13.25-32C358.7 166.3 352 149.1 352 133V127.5c0-12.26-7.129-22.56-17.25-27.94C328.5 43.65 281.6 0 224 0S119.5 43.65 113.3 99.59C103.1 104.1 96 115.3 96 127.5v5.492c0 16.97-6.742 33.25-18.75 45.25C68.77 186.8 64 198.3 64 210.3C64 235.3 84.26 255.5 109.3 255.5zM333.8 181.1c4.037 6.756 8.621 13.22 14.33 18.93C350.6 203.4 352 206.7 352 210.3c0 7.309-5.945 13.25-13.25 13.25h-22.62C324.6 211.2 330.8 197.2 333.8 181.1zM144 112C144 67.89 179.9 32 224 32s80 35.89 80 80V160c0 40-29.6 72.94-68 78.79V224c0-6.625-5.375-12-12-12S212 217.4 212 224v14.79C173.6 232.9 144 200 144 160V112zM99.88 200.9c5.711-5.711 10.3-12.17 14.33-18.93c3.025 15.21 9.16 29.25 17.66 41.56H109.3C101.9 223.5 96 217.6 96 210.3C96 206.7 97.38 203.4 99.88 200.9z"],
    "user-shield": [640, 512, [], "f505", "M224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM224 32c52.94 0 96 43.06 96 96c0 52.93-43.06 96-96 96S128 180.9 128 128C128 75.06 171.1 32 224 32zM394.3 486.4C391.3 482.4 386.6 480 381.6 480H34.66C33.21 480 32 478.8 32 477.3C31.99 399.4 95.4 336 173.3 336H274.7c9.516 0 18.76 1.062 27.71 2.971c10.27 2.191 19.9-6.207 18.1-16.67c-.0098-.1172-.0195-.2363-.0313-.3555c-.6172-7.242-5.881-13.08-13.01-14.52C297.4 305.2 286.2 304 274.7 304H173.3C77.54 304-.1152 381.6 0 477.4C.0234 496.4 15.63 512 34.66 512h347.3c12.97 0 20.41-14.78 12.67-25.2L394.3 486.4zM622.3 271.1l-115.1-45.01C503.6 224.7 499.7 224 495.1 224s-7.471 .7224-11.1 2.097L369.8 271.1C359 275.2 352 285.1 352 295.1c0 111.6 68.75 188.8 132.9 213.9C488.4 511.3 492.2 512 495.1 512s7.55-.7214 11.17-2.096C558.4 489.9 640 420.5 640 295.1C640 285.1 633 275.2 622.3 271.1zM480 472c-48.25-26.75-94.63-87.63-96-172.1l96-37.5V472zM496.6 480C496.5 480 496.6 480 496.6 480C496.5 480 496.6 480 496.6 480zM512 472.5V262.4l96 37.5C606.5 394.8 550.9 450.1 512 472.5z"],
    "user-slash": [640, 512, [], "f506", "M320 32c52.94 0 96 43.06 96 96c0 35.88-20.03 66.86-49.27 83.33l26.81 21.17c32.85-23.17 54.45-61.25 54.45-104.5C447.1 57.31 390.7 0 319.1 0C266.1 0 220.1 33.47 201.3 80.71l26.8 21.16C239.5 61.68 276.2 32 320 32zM130.7 480C129.2 480 128 478.8 128 477.3C128 399.4 191.4 336 269.3 336h48.71l-40.53-32H269.3c-95.73 0-173.3 77.6-173.3 173.3c0 19.14 15.52 34.67 34.66 34.67h378.7c8.227 0 15.47-3.275 21.42-8.066L500.4 480H130.7zM633.9 483.4l-608-480c-6.938-5.453-17-4.25-22.48 2.641c-5.469 6.938-4.281 17 2.641 22.48l608 480C617 510.9 620.5 512 623.1 512c4.734 0 9.422-2.094 12.58-6.078C642 498.1 640.8 488.9 633.9 483.4z"],
    "user-tag": [640, 512, [], "f507", "M630.6 364.8L540.4 274.4c-12-12-28.25-18.75-45.13-18.75H415.9c-17.62 0-32 14.38-32 32l-.0588 79.58c0 17 6.647 33.15 18.65 45.15l90.31 90.27C499 508.8 507.3 512 515.4 512c8.25 0 16.33-3.125 22.58-9.375l92.49-92.5C643.1 397.5 643.1 377.3 630.6 364.8zM515.5 479.9l-90.25-90.25c-6-6-9.375-14.12-9.375-22.62V287.6h79.38c8.5 0 16.5 3.375 22.5 9.5l90.25 90.25L515.5 479.9zM463.9 319.9c-8.75 0-16 7.25-16 16s7.195 15.94 15.95 15.94c8.875 0 16-7.25 16-16S472.8 319.9 463.9 319.9zM400 480H34.66c-1.451 0-2.662-1.207-2.662-2.658C31.1 399.4 95.4 336 173.3 336H274.7c19.65 0 38.33 4.1 55.32 11.42c10.39 4.479 21.91-3.477 21.91-14.79c0-6.277-3.576-12.17-9.346-14.64C321.7 309.1 298.8 304 274.7 304H173.3c-95.8 0-173.5 77.56-173.3 173.4C.022 496.4 15.63 512 34.66 512H400c8.836 0 16-7.164 16-16C416 487.2 408.8 480 400 480zM224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM224 32c52.94 0 96 43.06 96 96c0 52.93-43.06 96-96 96S128 180.9 128 128C128 75.06 171.1 32 224 32z"],
    "user-tie": [448, 512, [], "f508", "M96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128C352 198.7 294.7 256 224 256C153.3 256 96 198.7 96 128zM320 128C320 74.98 277 32 224 32C170.1 32 128 74.98 128 128C128 181 170.1 224 224 224C277 224 320 181 320 128zM256 304C264.8 304 272 311.2 272 320C272 328.8 264.8 336 256 336H246.2L266.1 395.8L303.6 320.9C384.7 329.3 448 397.9 448 481.3C448 498.2 434.2 511.1 417.3 511.1H30.72C13.75 511.1 0 498.2 0 481.3C0 397.9 63.28 329.3 144.4 320.9L181.9 395.8L201.8 336H191.1C183.2 336 175.1 328.8 175.1 320C175.1 311.2 183.2 304 191.1 304H256zM224 479.1L245.9 436.2L224 370.6L202.1 436.2L224 479.1zM415.1 479.1C415.4 421.2 375.6 371.8 321.4 356.7L259.8 479.1H415.1zM188.2 479.1L126.6 356.7C72.43 371.8 32.58 421.2 32.01 479.1H188.2z"],
    "user-tie-hair": [448, 512, [], "e45f", "M96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128V144C352 214.7 294.7 272 224 272C153.3 272 96 214.7 96 144V128zM318.7 112H288.6C273.7 112 259.5 106.1 248.1 95.6L242.7 89.33C223.4 113.5 193.1 128 162.3 128H128V144C128 197 170.1 240 224 240C277 240 320 197 320 144V128C320 122.5 319.5 117.2 318.7 112V112zM251.3 52.69L271.6 72.97C276.1 77.47 282.2 80 288.6 80H307.2C290.6 51.31 259.5 32 224 32C182.2 32 146.6 58.71 133.5 96H162.3C189.1 96 213.5 80.97 225.5 57.15C226.3 55.53 227.4 54.02 228.7 52.69C234.9 46.44 245.1 46.44 251.3 52.69L251.3 52.69zM256 304C264.8 304 272 311.2 272 320C272 328.8 264.8 336 256 336H246.2L266.1 395.8L303.6 320.9C384.7 329.3 448 397.9 448 481.3C448 498.2 434.2 511.1 417.3 511.1H30.72C13.75 511.1 0 498.2 0 481.3C0 397.9 63.28 329.3 144.4 320.9L181.9 395.8L201.8 336H191.1C183.2 336 175.1 328.8 175.1 320C175.1 311.2 183.2 304 191.1 304H256zM224 479.1L245.9 436.2L224 370.6L202.1 436.2L224 479.1zM415.1 479.1C415.4 421.2 375.6 371.8 321.4 356.7L259.8 479.1H415.1zM188.2 479.1L126.6 356.7C72.43 371.8 32.58 421.2 32.01 479.1H188.2z"],
    "user-tie-hair-long": [448, 512, [], "e460", "M224 0C294.7 0 352 57.31 352 128C352 163.3 368.6 196.4 396.8 217.6L401.1 220.8C410.5 227.9 416 238.9 416 250.7C416 271.3 399.3 288 378.7 288H320C311.2 288 304 280.8 304 272C304 263.2 311.2 256 320 256H378.7C381.6 256 384 253.6 384 250.7C384 248.1 383.2 247.4 381.9 246.4L377.6 243.2C361.8 231.3 348.8 216.5 339.2 199.8C318.5 242.6 274.7 272 224 272C173.3 272 129.5 242.6 108.8 199.8C99.19 216.5 86.21 231.3 70.4 243.2L66.13 246.4C64.79 247.4 64 248.1 64 250.7C64 253.6 66.39 256 69.33 256H128C136.8 256 144 263.2 144 272C144 280.8 136.8 288 128 288H69.33C48.72 288 32 271.3 32 250.7C32 238.9 37.53 227.9 46.93 220.8L51.2 217.6C79.4 196.4 96 163.3 96 128C96 57.31 153.3 0 224 0V0zM318.7 112H288.6C273.7 112 259.5 106.1 248.1 95.6L242.7 89.33C223.4 113.5 193.1 128 162.3 128H128V144C128 197 170.1 240 224 240C277 240 320 197 320 144V128C320 122.5 319.5 117.2 318.7 112V112zM251.3 52.69L271.6 72.97C276.1 77.47 282.2 80 288.6 80H307.2C290.6 51.31 259.5 32 224 32C182.2 32 146.6 58.71 133.5 96H162.3C189.1 96 213.5 80.97 225.5 57.15C226.3 55.53 227.4 54.02 228.7 52.69C234.9 46.44 245.1 46.44 251.3 52.69H251.3zM.0006 481.3C.0006 397.9 63.28 329.3 144.4 320.9L181.9 395.8L201.8 336H192C183.2 336 176 328.8 176 320C176 311.2 183.2 304 192 304H256C264.8 304 272 311.2 272 320C272 328.8 264.8 336 256 336H246.2L266.1 395.8L303.6 320.9C384.7 329.3 448 397.9 448 481.3C448 498.2 434.2 511.1 417.3 511.1H30.72C13.75 511.1 0 498.2 0 481.3H.0006zM202.1 436.2L223.1 479.1L245.9 436.2L224 370.6L202.1 436.2zM415.1 479.1C415.4 421.2 375.6 371.8 321.4 356.7L259.8 479.1H415.1zM188.2 479.1L126.6 356.7C72.43 371.8 32.58 421.2 32.01 479.1H188.2z"],
    "user-unlock": [640, 512, [], "e058", "M576 288h-128V208C448 181.5 469.5 160 496 160S544 181.5 544 208C544 216.8 551.2 224 560 224S576 216.8 576 208c0-44.11-35.87-80-79.1-80S416 163.9 416 208V288c-35.35 0-64 28.65-64 64v96c0 35.35 28.65 64 64 64h160c35.35 0 64-28.65 64-64v-96C640 316.7 611.3 288 576 288zM608 448c0 17.64-14.36 32-32 32h-160c-17.64 0-32-14.36-32-32v-96c0-17.64 14.36-32 32-32h160c17.64 0 32 14.36 32 32V448zM496 376c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24s24-10.75 24-24C520 386.7 509.3 376 496 376zM173.3 336H274.7c9.516 0 18.76 1.062 27.71 2.971c10.27 2.191 19.9-6.207 18.1-16.67c-.0098-.1172-.0195-.2363-.0313-.3555c-.6172-7.242-5.881-13.08-13.01-14.52C297.4 305.2 286.2 304 274.7 304H173.3C77.54 304-.1152 381.6 0 477.4C.0234 496.4 15.63 512 34.66 512H304c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16H34.66C33.21 480 32 478.8 32 477.3C31.99 399.4 95.4 336 173.3 336zM224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM224 32c52.94 0 96 43.06 96 96c0 52.93-43.06 96-96 96S128 180.9 128 128C128 75.06 171.1 32 224 32z"],
    "user-visor": [448, 512, [], "e04c", "M274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512H413.3C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM413.3 480H34.66C33.2 480 32 478.8 32 477.3C32 399.4 95.4 336 173.3 336h101.3C352.6 336 416 399.4 416 477.3C416 478.8 414.8 480 413.3 480zM100.4 157.7C113.9 213.1 164.2 256 224.6 256c60.64 0 111.2-42.29 124.4-98.91C360.2 152.1 368 140.1 368 128V96c0-17.64-14.34-32-32-32h-1.109c-22.17-38.1-62.99-64-110.2-64S136.6 25.9 114.4 64H112c-17.66 0-32 14.36-32 32v32C80 141.5 88.52 153 100.4 157.7zM224.6 224C182.1 224 147.8 197.2 134.5 160h180.2C301.5 197.2 266.3 224 224.6 224zM224.6 32c28.26 0 53.45 12.5 71.03 32H153.6C171.2 44.5 196.4 32 224.6 32zM112 96h224v32h-224V96zM334.3 376.8c-5.438-10.84-23.19-10.84-28.62 0l-32 64c-3.938 7.906-.75 17.52 7.156 21.47c7.969 3.953 17.5 .7656 21.47-7.156L320 419.8l17.69 35.38C340.5 460.8 346.2 464 352 464c2.406 0 4.844-.5469 7.156-1.688c7.906-3.953 11.09-13.56 7.156-21.47L334.3 376.8z"],
    "user-vneck": [448, 512, [], "e461", "M96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128C352 198.7 294.7 256 224 256C153.3 256 96 198.7 96 128zM320 128C320 74.98 277 32 224 32C170.1 32 128 74.98 128 128C128 181 170.1 224 224 224C277 224 320 181 320 128zM448 479.1C448 497.7 433.7 511.1 416 511.1H32C14.33 511.1 0 497.7 0 479.1V471.1C0 388.2 61.33 318.8 141.6 306.1L224 416L306.4 306.1C386.7 318.8 448 388.2 448 471.1V479.1zM128.4 341.8C72.6 358.8 32 410.7 32 471.1V479.1H416V471.1C416 410.7 375.4 358.8 319.6 341.8L249.6 435.2C243.6 443.3 234.1 448 224 448C213.9 448 204.4 443.3 198.4 435.2L128.4 341.8z"],
    "user-vneck-hair": [448, 512, [], "e462", "M96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128V144C352 214.7 294.7 272 224 272C153.3 272 96 214.7 96 144V128zM318.7 112H288.6C273.7 112 259.5 106.1 248.1 95.6L242.7 89.33C223.4 113.5 193.1 128 162.3 128H128V144C128 197 170.1 240 224 240C277 240 320 197 320 144V128C320 122.5 319.5 117.2 318.7 112V112zM251.3 52.69L271.6 72.97C276.1 77.47 282.2 80 288.6 80H307.2C290.6 51.31 259.5 32 224 32C182.2 32 146.6 58.71 133.5 96H162.3C189.1 96 213.5 80.97 225.5 57.15C226.3 55.53 227.4 54.02 228.7 52.69C234.9 46.44 245.1 46.44 251.3 52.69L251.3 52.69zM448 480C448 497.7 433.7 512 416 512H32C14.33 512 0 497.7 0 480V472C0 388.2 61.33 318.8 141.6 306.1L224 416L306.4 306.1C386.7 318.8 448 388.2 448 472V480zM128.4 341.8C72.6 358.8 32 410.7 32 472V480H416V472C416 410.7 375.4 358.8 319.6 341.8L249.6 435.2C243.6 443.3 234.1 448 224 448C213.9 448 204.4 443.3 198.4 435.2L128.4 341.8z"],
    "user-vneck-hair-long": [448, 512, [], "e463", "M224 0C294.7 0 352 57.31 352 128C352 163.3 368.6 196.4 396.8 217.6L401.1 220.8C410.5 227.9 416 238.9 416 250.7C416 271.3 399.3 288 378.7 288H320C311.2 288 304 280.8 304 272C304 263.2 311.2 256 320 256H378.7C381.6 256 384 253.6 384 250.7C384 248.1 383.2 247.4 381.9 246.4L377.6 243.2C361.8 231.3 348.8 216.5 339.2 199.8C318.5 242.6 274.7 272 224 272C173.3 272 129.5 242.6 108.8 199.8C99.19 216.5 86.21 231.3 70.4 243.2L66.13 246.4C64.79 247.4 64 248.1 64 250.7C64 253.6 66.39 256 69.33 256H128C136.8 256 144 263.2 144 272C144 280.8 136.8 288 128 288H69.33C48.71 288 32 271.3 32 250.7C32 238.9 37.53 227.9 46.93 220.8L51.2 217.6C79.4 196.4 96 163.3 96 128C96 57.31 153.3 0 224 0V0zM318.7 112H288.6C273.7 112 259.5 106.1 248.1 95.6L242.7 89.33C223.4 113.5 193.1 128 162.3 128H128V144C128 197 170.1 240 224 240C277 240 320 197 320 144V128C320 122.5 319.5 117.2 318.7 112V112zM251.3 52.69L271.6 72.97C276.1 77.47 282.2 80 288.6 80H307.2C290.6 51.31 259.5 32 224 32C182.2 32 146.6 58.71 133.5 96H162.3C189.1 96 213.5 80.97 225.5 57.15C226.3 55.53 227.4 54.02 228.7 52.69C234.9 46.44 245.1 46.44 251.3 52.69H251.3zM417.3 512H30.72C13.75 512 0 498.2 0 481.3C0 395.3 67.34 324.1 152.2 320.3L224 416L295.8 320.3C380.7 324.1 448 395.3 448 481.3C448 498.2 434.2 512 417.3 512zM137.6 354.2C77.93 365.2 32.62 417.3 32.01 480H415.1C415.4 417.3 370.1 365.2 310.4 354.2L249.6 435.2C243.6 443.3 234.1 448 223.1 448C213.9 448 204.4 443.3 198.4 435.2L137.6 354.2z"],
    "user-xmark": [640, 512, ["user-times"], "f235", "M224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM224 32c52.94 0 96 43.06 96 96c0 52.93-43.06 96-96 96S128 180.9 128 128C128 75.06 171.1 32 224 32zM274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512h378.7C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM413.3 480H34.66C33.2 480 32 478.8 32 477.3C32 399.4 95.4 336 173.3 336H274.7C352.6 336 416 399.4 416 477.3C416 478.8 414.8 480 413.3 480zM566.6 224l52.69-52.69c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0L544 201.4l-52.69-52.69c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L521.4 224l-52.69 52.69c-6.25 6.25-6.25 16.38 0 22.62c6.246 6.246 16.37 6.254 22.62 0L544 246.6l52.69 52.69c6.246 6.246 16.37 6.254 22.62 0c6.25-6.25 6.25-16.38 0-22.62L566.6 224z"],
    "users": [640, 512, [], "f0c0", "M319.9 320c57.41 0 103.1-46.56 103.1-104c0-57.44-46.54-104-103.1-104c-57.41 0-103.1 46.56-103.1 104C215.9 273.4 262.5 320 319.9 320zM319.9 144c39.68 0 71.96 32.3 71.96 72S359.5 288 319.9 288S247.9 255.7 247.9 216S280.2 144 319.9 144zM369.9 352H270.1C191.6 352 128 411.7 128 485.3C128 500.1 140.7 512 156.4 512h327.2C499.3 512 512 500.1 512 485.3C512 411.7 448.4 352 369.9 352zM160.2 480c3.021-53.41 51.19-96 109.1-96H369.9c58.78 0 106.9 42.59 109.1 96H160.2zM512 160c44.18 0 80-35.82 80-80S556.2 0 512 0c-44.18 0-80 35.82-80 80S467.8 160 512 160zM512 32c26.47 0 48 21.53 48 48S538.5 128 512 128s-48-21.53-48-48S485.5 32 512 32zM128 160c44.18 0 80-35.82 80-80S172.2 0 128 0C83.82 0 48 35.82 48 80S83.82 160 128 160zM128 32c26.47 0 48 21.53 48 48S154.5 128 128 128S80 106.5 80 80S101.5 32 128 32zM561.1 192H496c-11.16 0-22.08 2.5-32.47 7.438c-7.984 3.797-11.39 13.34-7.594 21.31s13.38 11.39 21.31 7.594C483.3 225.5 489.6 224 496 224h65.08C586.1 224 608 246.7 608 274.7V288c0 8.844 7.156 16 16 16S640 296.8 640 288V274.7C640 229.1 604.6 192 561.1 192zM162.8 228.3c7.938 3.797 17.53 .375 21.31-7.594c3.797-7.969 .3906-17.52-7.594-21.31C166.1 194.5 155.2 192 144 192H78.92C35.41 192 0 229.1 0 274.7V288c0 8.844 7.156 16 16 16S32 296.8 32 288V274.7C32 246.7 53.05 224 78.92 224H144C150.4 224 156.7 225.5 162.8 228.3z"],
    "users-between-lines": [640, 512, [], "e591", "M0 16C0 7.164 7.164 0 16 0H624C632.8 0 640 7.164 640 16C640 24.84 632.8 32 624 32H16C7.164 32 0 24.84 0 16zM0 496C0 487.2 7.164 480 16 480H624C632.8 480 640 487.2 640 496C640 504.8 632.8 512 624 512H16C7.164 512 0 504.8 0 496zM83.2 160C83.2 124.7 111.9 96 147.2 96C182.5 96 211.2 124.7 211.2 160C211.2 195.3 182.5 224 147.2 224C111.9 224 83.2 195.3 83.2 160V160zM147.2 192C164.9 192 179.2 177.7 179.2 160C179.2 142.3 164.9 128 147.2 128C129.5 128 115.2 142.3 115.2 160C115.2 177.7 129.5 192 147.2 192zM435.2 160C435.2 124.7 463.9 96 499.2 96C534.5 96 563.2 124.7 563.2 160C563.2 195.3 534.5 224 499.2 224C463.9 224 435.2 195.3 435.2 160V160zM499.2 192C516.9 192 531.2 177.7 531.2 160C531.2 142.3 516.9 128 499.2 128C481.5 128 467.2 142.3 467.2 160C467.2 177.7 481.5 192 499.2 192V192zM177.6 384C177.6 330.1 220.6 288 273.6 288H369.6C422.6 288 465.6 330.1 465.6 384C465.6 401.7 451.3 416 433.6 416H209.6C191.9 416 177.6 401.7 177.6 384V384zM273.6 320C238.3 320 209.6 348.7 209.6 384H433.6C433.6 348.7 404.9 320 369.6 320H273.6zM241.6 176C241.6 131.8 277.4 96 321.6 96C365.8 96 401.6 131.8 401.6 176C401.6 220.2 365.8 256 321.6 256C277.4 256 241.6 220.2 241.6 176V176zM321.6 224C348.1 224 369.6 202.5 369.6 176C369.6 149.5 348.1 128 321.6 128C295.1 128 273.6 149.5 273.6 176C273.6 202.5 295.1 224 321.6 224zM64 336C64 344.8 56.84 352 48 352C39.16 352 32 344.8 32 336V320C32 284.7 60.65 256 96 256H184C192.8 256 200 263.2 200 272C200 280.8 192.8 288 184 288H96C78.33 288 64 302.3 64 320V336zM456 288C447.2 288 440 280.8 440 272C440 263.2 447.2 256 456 256H544C579.3 256 608 284.7 608 320V336C608 344.8 600.8 352 592 352C583.2 352 576 344.8 576 336V320C576 302.3 561.7 288 544 288H456z"],
    "users-gear": [640, 512, ["users-cog"], "f509", "M319.9 320c57.41 0 103.1-46.56 103.1-104c0-57.44-46.54-104-103.1-104c-57.41 0-103.1 46.56-103.1 104C215.9 273.4 262.5 320 319.9 320zM319.9 144c39.68 0 71.96 32.3 71.96 72S359.5 288 319.9 288S247.9 255.7 247.9 216S280.2 144 319.9 144zM496 192c-10.8 0-21.38 2.342-31.47 6.971c-7.74 3.551-12.13 12.51-9.143 20.48c3.336 8.883 13.51 12.88 21.86 8.889C483.3 225.5 489.6 224 496 224h65.08c16.65 0 31.24 9.439 39.55 23.6C603.6 252.7 608.8 256 614.7 256c12.42 0 19.93-13.48 13.7-24.22C614.5 207.1 589.6 192 561.1 192H496zM512 160c44.18 0 80-35.82 80-80S556.2 0 512 0c-44.18 0-80 35.82-80 80S467.8 160 512 160zM512 32c26.47 0 48 21.53 48 48S538.5 128 512 128s-48-21.53-48-48S485.5 32 512 32zM624.5 397.2l-10.02-5.828c.3594-4.891 .3594-9.781 0-14.66l9.531-5.562c8.844-4.766 13.17-15.28 10.2-25.22c-5.672-18.02-15.44-34.89-28.08-48.55c-6.703-7.516-17.92-9.266-26.64-4.25l-9.984 5.766c-4.047-2.734-8.266-5.172-12.64-7.297V279.1c0-10.19-7.234-18.98-16.77-20.83c-18.61-4.188-38.11-4.156-55.88-.0938c-9.922 1.922-17.14 10.72-17.14 20.92v11.61c-4.375 2.125-8.609 4.562-12.66 7.297l-9.75-5.609c-8.547-5.156-19.73-3.578-26.75 3.859C405 311.1 395.3 328 389.7 346.1c-2.906 9.719 1.172 19.94 9.688 24.73l10.06 5.859c-.3281 4.859-.3281 9.734 0 14.59L399.9 396.9c-8.953 4.812-13.12 15.09-10.14 25.12c5.484 17.81 15.22 34.7 28.31 48.97c6.859 7.281 17.73 8.906 26.31 3.938l10.09-5.797c4.031 2.734 8.266 5.172 12.64 7.297v11.61c0 10.2 7.219 19 16.7 20.83C493.2 510.1 502.7 512 512.2 512c9.375 0 18.68-1.016 27.49-3.047c9.969-1.938 17.2-10.73 17.2-20.92v-11.59c4.375-2.125 8.594-4.562 12.64-7.297l9.688 5.594c8.812 5.281 20.11 3.578 26.75-3.859c12.83-13.88 22.59-30.75 28.33-48.98C637.2 412.2 632.9 401.7 624.5 397.2zM581.6 371.2c1.578 8.406 1.578 17.28 0 25.69l-2.094 11.11l21.38 12.44c-3.297 7.953-7.672 15.48-12.98 22.38l-21.28-12.3l-8.609 7.312c-6.688 5.688-14.22 10.05-22.39 12.92l-10.69 3.766v24.67c-8.438 1.094-17.09 1.094-25.78-.0313v-24.62l-10.67-3.781c-8.172-2.875-15.72-7.234-22.39-12.92l-8.578-7.297l-21.38 12.3c-5.359-6.938-9.75-14.52-12.97-22.41L444.3 408l-1.969-11c-1.516-8.5-1.516-17.5 0-26L444.3 360l-21.22-12.38c3.25-7.984 7.641-15.58 12.94-22.42l21.41 12.31l8.578-7.297c6.672-5.688 14.22-10.05 22.39-12.92l10.67-3.781V288.9c8.406-1.156 17.06-1.141 25.78 .0469v24.62l10.69 3.766c8.172 2.875 15.7 7.234 22.39 12.92l8.609 7.312l21.3-12.3c5.297 6.859 9.688 14.42 12.97 22.36l-21.38 12.45L581.6 371.2zM128 160c44.18 0 80-35.82 80-80S172.2 0 128 0C83.82 0 48 35.82 48 80S83.82 160 128 160zM128 32c26.47 0 48 21.53 48 48S154.5 128 128 128S80 106.5 80 80S101.5 32 128 32zM384 480H160.2c3.021-53.41 51.19-96 109.1-96H336c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16H270.1C191.6 352 128 411.7 128 485.3C128 500.1 140.7 512 156.4 512H384c8.836 0 16-7.164 16-16C400 487.2 392.8 480 384 480zM512 336c-26.47 0-48 21.53-48 48s21.53 48 48 48s48-21.53 48-48S538.5 336 512 336zM512 400c-8.828 0-16-7.172-16-16s7.172-16 16-16s16 7.172 16 16S520.8 400 512 400zM162.8 228.3c7.938 3.797 17.53 .375 21.31-7.594c3.797-7.969 .3906-17.52-7.594-21.31C166.1 194.5 155.2 192 144 192H78.92C35.41 192 0 229.1 0 274.7V288c0 8.844 7.156 16 16 16S32 296.8 32 288V274.7C32 246.7 53.05 224 78.92 224H144C150.4 224 156.7 225.5 162.8 228.3z"],
    "users-line": [640, 512, [], "e592", "M83.2 128C83.2 92.65 111.9 64 147.2 64C182.5 64 211.2 92.65 211.2 128C211.2 163.3 182.5 192 147.2 192C111.9 192 83.2 163.3 83.2 128V128zM147.2 160C164.9 160 179.2 145.7 179.2 128C179.2 110.3 164.9 96 147.2 96C129.5 96 115.2 110.3 115.2 128C115.2 145.7 129.5 160 147.2 160zM435.2 128C435.2 92.65 463.9 64 499.2 64C534.5 64 563.2 92.65 563.2 128C563.2 163.3 534.5 192 499.2 192C463.9 192 435.2 163.3 435.2 128V128zM499.2 160C516.9 160 531.2 145.7 531.2 128C531.2 110.3 516.9 96 499.2 96C481.5 96 467.2 110.3 467.2 128C467.2 145.7 481.5 160 499.2 160V160zM177.6 352C177.6 298.1 220.6 256 273.6 256H369.6C422.6 256 465.6 298.1 465.6 352C465.6 369.7 451.3 384 433.6 384H209.6C191.9 384 177.6 369.7 177.6 352V352zM273.6 288C238.3 288 209.6 316.7 209.6 352H433.6C433.6 316.7 404.9 288 369.6 288H273.6zM241.6 144C241.6 99.82 277.4 64 321.6 64C365.8 64 401.6 99.82 401.6 144C401.6 188.2 365.8 224 321.6 224C277.4 224 241.6 188.2 241.6 144V144zM321.6 192C348.1 192 369.6 170.5 369.6 144C369.6 117.5 348.1 96 321.6 96C295.1 96 273.6 117.5 273.6 144C273.6 170.5 295.1 192 321.6 192zM64 304C64 312.8 56.84 320 48 320C39.16 320 32 312.8 32 304V288C32 252.7 60.65 224 96 224H184C192.8 224 200 231.2 200 240C200 248.8 192.8 256 184 256H96C78.33 256 64 270.3 64 288V304zM456 256C447.2 256 440 248.8 440 240C440 231.2 447.2 224 456 224H544C579.3 224 608 252.7 608 288V304C608 312.8 600.8 320 592 320C583.2 320 576 312.8 576 304V288C576 270.3 561.7 256 544 256H456zM624 448C632.8 448 640 455.2 640 464C640 472.8 632.8 480 624 480H16C7.164 480 0 472.8 0 464C0 455.2 7.164 448 16 448H624z"],
    "users-medical": [640, 512, [], "f830", "M597.1 338h-8v-8C589.1 306.8 571.2 288 548 288h-40c-23.16 0-42 18.84-42 42v8h-8C434.8 338 416 356.8 416 380v40c0 23.16 18.84 42 41.1 42h8v8c0 23.16 18.84 42 42 42h40c23.16 0 41.1-18.84 41.1-42v-8h8C621.2 462 640 443.2 640 420v-40C640 356.8 621.2 338 597.1 338zM608 420c0 5.521-4.477 10-10 10h-40v40c0 5.521-4.476 10-9.1 10h-40c-5.521 0-10-4.479-10-10v-40h-40C452.5 430 448 425.5 448 420v-40c0-5.523 4.479-10 9.1-10h40v-40c0-5.523 4.479-10 10-10h40c5.523 0 9.1 4.477 9.1 10v40h40C603.5 370 608 374.5 608 380V420zM496 192c-10.8 0-21.38 2.342-31.47 6.971c-7.74 3.551-12.13 12.51-9.143 20.48c3.336 8.883 13.51 12.88 21.86 8.889C483.3 225.5 489.6 224 496 224h65.08c16.65 0 31.24 9.439 39.55 23.6C603.6 252.7 608.8 256 614.7 256c12.42 0 19.93-13.48 13.7-24.22C614.5 207.1 589.6 192 561.1 192H496zM512 160c44.18 0 80-35.82 80-80S556.2 0 512 0c-44.18 0-80 35.82-80 80S467.8 160 512 160zM512 32c26.47 0 48 21.53 48 48S538.5 128 512 128s-48-21.53-48-48S485.5 32 512 32zM400 480H160.2c3.021-53.41 51.19-96 109.1-96H368c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16H270.1C191.6 352 128 411.7 128 485.3C128 500.1 140.7 512 156.4 512H400c8.836 0 16-7.164 16-16C416 487.2 408.8 480 400 480zM162.8 228.3c7.938 3.797 17.53 .375 21.31-7.594c3.797-7.969 .3906-17.52-7.594-21.31C166.1 194.5 155.2 192 144 192H78.92C35.41 192 0 229.1 0 274.7V288c0 8.844 7.156 16 16 16S32 296.8 32 288V274.7C32 246.7 53.05 224 78.92 224H144C150.4 224 156.7 225.5 162.8 228.3zM128 160c44.18 0 80-35.82 80-80S172.2 0 128 0C83.82 0 48 35.82 48 80S83.82 160 128 160zM128 32c26.47 0 48 21.53 48 48S154.5 128 128 128S80 106.5 80 80S101.5 32 128 32zM319.9 320c57.41 0 103.1-46.56 103.1-104c0-57.44-46.54-104-103.1-104c-57.41 0-103.1 46.56-103.1 104C215.9 273.4 262.5 320 319.9 320zM319.9 144c39.68 0 71.96 32.3 71.96 72S359.5 288 319.9 288S247.9 255.7 247.9 216S280.2 144 319.9 144z"],
    "users-rays": [640, 512, [], "e593", "M4.687 4.687C10.93-1.562 21.07-1.562 27.31 4.687L91.31 68.69C97.56 74.94 97.56 85.07 91.31 91.31C85.07 97.56 74.94 97.56 68.69 91.31L4.687 27.31C-1.562 21.07-1.562 10.94 4.687 4.687V4.687zM635.3 27.31L571.3 91.31C565.1 97.56 554.9 97.56 548.7 91.31C542.4 85.07 542.4 74.94 548.7 68.69L612.7 4.686C618.9-1.562 629.1-1.562 635.3 4.686C641.6 10.93 641.6 21.07 635.3 27.31V27.31zM27.31 507.3C21.07 513.6 10.93 513.6 4.686 507.3C-1.562 501.1-1.562 490.9 4.686 484.7L68.69 420.7C74.93 414.4 85.06 414.4 91.31 420.7C97.56 426.9 97.56 437.1 91.31 443.3L27.31 507.3zM635.3 507.3C629.1 513.6 618.9 513.6 612.7 507.3L548.7 443.3C542.4 437.1 542.4 426.9 548.7 420.7C554.9 414.4 565.1 414.4 571.3 420.7L635.3 484.7C641.6 490.9 641.6 501.1 635.3 507.3zM384 192C384 227.3 355.3 256 320 256C284.7 256 256 227.3 256 192C256 156.7 284.7 128 320 128C355.3 128 384 156.7 384 192zM320 160C302.3 160 288 174.3 288 192C288 209.7 302.3 224 320 224C337.7 224 352 209.7 352 192C352 174.3 337.7 160 320 160zM360 288C399.8 288 432 320.2 432 360C432 373.3 421.3 384 408 384H232C218.7 384 208 373.3 208 360C208 320.2 240.2 288 280 288H360zM280 320C260.6 320 244.5 333.7 240.8 352H399.2C395.5 333.7 379.4 320 360 320H280zM223.8 176C223.8 202.5 202.3 224 175.8 224C149.3 224 127.8 202.5 127.8 176C127.8 149.5 149.3 128 175.8 128C202.3 128 223.8 149.5 223.8 176zM175.8 160C166.1 160 159.8 167.2 159.8 176C159.8 184.8 166.1 192 175.8 192C184.7 192 191.8 184.8 191.8 176C191.8 167.2 184.7 160 175.8 160zM128 320C128 328.8 120.8 336 112 336C103.2 336 96 328.8 96 320V312C96 281.1 121.1 256 152 256H208C216.8 256 224 263.2 224 272C224 280.8 216.8 288 208 288H152C138.7 288 128 298.7 128 312V320zM464.2 224C437.7 224 416.2 202.5 416.2 176C416.2 149.5 437.7 128 464.2 128C490.7 128 512.2 149.5 512.2 176C512.2 202.5 490.7 224 464.2 224zM480.2 176C480.2 167.2 473 160 464.2 160C455.3 160 448.2 167.2 448.2 176C448.2 184.8 455.3 192 464.2 192C473 192 480.2 184.8 480.2 176zM432 288C423.2 288 416 280.8 416 272C416 263.2 423.2 256 432 256H488C518.9 256 544 281.1 544 312V320C544 328.8 536.8 336 528 336C519.2 336 512 328.8 512 320V312C512 298.7 501.3 288 488 288H432z"],
    "users-rectangle": [640, 512, [], "e594", "M384 192C384 227.3 355.3 256 320 256C284.7 256 256 227.3 256 192C256 156.7 284.7 128 320 128C355.3 128 384 156.7 384 192zM320 160C302.3 160 288 174.3 288 192C288 209.7 302.3 224 320 224C337.7 224 352 209.7 352 192C352 174.3 337.7 160 320 160zM360 288C399.8 288 432 320.2 432 360C432 373.3 421.3 384 408 384H232C218.7 384 208 373.3 208 360C208 320.2 240.2 288 280 288H360zM280 320C260.6 320 244.5 333.7 240.8 352H399.2C395.5 333.7 379.4 320 360 320H280zM223.8 176C223.8 202.5 202.3 224 175.8 224C149.3 224 127.8 202.5 127.8 176C127.8 149.5 149.3 128 175.8 128C202.3 128 223.8 149.5 223.8 176zM175.8 160C166.1 160 159.8 167.2 159.8 176C159.8 184.8 166.1 192 175.8 192C184.7 192 191.8 184.8 191.8 176C191.8 167.2 184.7 160 175.8 160zM128 320C128 328.8 120.8 336 112 336C103.2 336 96 328.8 96 320V312C96 281.1 121.1 256 152 256H208C216.8 256 224 263.2 224 272C224 280.8 216.8 288 208 288H152C138.7 288 128 298.7 128 312V320zM464.2 224C437.7 224 416.2 202.5 416.2 176C416.2 149.5 437.7 128 464.2 128C490.7 128 512.2 149.5 512.2 176C512.2 202.5 490.7 224 464.2 224zM480.2 176C480.2 167.2 473 160 464.2 160C455.3 160 448.2 167.2 448.2 176C448.2 184.8 455.3 192 464.2 192C473 192 480.2 184.8 480.2 176zM432 288C423.2 288 416 280.8 416 272C416 263.2 423.2 256 432 256H488C518.9 256 544 281.1 544 312V320C544 328.8 536.8 336 528 336C519.2 336 512 328.8 512 320V312C512 298.7 501.3 288 488 288H432zM560 0C604.2 0 640 35.82 640 80V432C640 476.2 604.2 512 560 512H80C35.82 512 0 476.2 0 432V80C0 35.82 35.82 0 80 0H560zM32 432C32 458.5 53.49 480 80 480H560C586.5 480 608 458.5 608 432V80C608 53.49 586.5 32 560 32H80C53.49 32 32 53.49 32 80V432z"],
    "users-slash": [640, 512, [], "e073", "M319.9 144c39.68 0 71.96 32.3 71.96 72c0 4.799-.5176 9.477-1.416 14.02l26.88 21.22C421.3 240.2 423.8 228.4 423.8 216c0-57.44-46.54-104-103.1-104c-21.12 0-40.72 6.391-57.13 17.22l27.22 21.49C299.1 146.5 309.2 144 319.9 144zM512 160c44.18 0 80-35.82 80-80S556.2 0 512 0c-44.18 0-80 35.82-80 80S467.8 160 512 160zM512 32c26.47 0 48 21.53 48 48S538.5 128 512 128s-48-21.53-48-48S485.5 32 512 32zM168.8 55.09l38.61 30.48C207.6 83.7 208 81.91 208 80C208 35.82 172.2 0 128 0C119.6 0 111.7 1.643 104.2 4.023l38.73 30.57C153.8 38.19 162.9 45.46 168.8 55.09zM25.92 3.42c-6.938-5.453-17-4.25-22.48 2.641c-5.469 6.938-4.281 17 2.641 22.48l608 480C617 510.9 620.5 512 623.1 512c4.734 0 9.422-2.094 12.58-6.078c5.469-6.938 4.281-17-2.641-22.49L25.92 3.42zM561.1 192H496c-11.16 0-22.08 2.5-32.47 7.438c-7.984 3.797-11.39 13.34-7.594 21.31s13.38 11.39 21.31 7.594C483.3 225.5 489.6 224 496 224h65.08C586.1 224 608 246.7 608 274.7V288c0 8.844 7.156 16 16 16S640 296.8 640 288V274.7C640 229.1 604.6 192 561.1 192zM135.7 192H78.92C35.41 192 0 229.1 0 274.7V288c0 8.844 7.156 16 16 16S32 296.8 32 288V274.7C32 246.7 53.05 224 78.92 224h97.26L135.7 192zM160.2 480c3.021-53.41 51.19-96 109.1-96H369.9c3.459 0 6.732 .6211 10.11 .9102L338.3 352H270.1C191.6 352 128 411.7 128 485.3C128 500.1 140.7 512 156.4 512h327.2c14.47 0 25.94-10.3 27.72-23.42L500.4 480H160.2z"],
    "users-viewfinder": [640, 512, [], "e595", "M32 128C32 136.8 24.84 144 16 144C7.164 144 0 136.8 0 128V24C0 10.75 10.75 0 24 0H128C136.8 0 144 7.164 144 16C144 24.84 136.8 32 128 32H32V128zM608 32H512C503.2 32 496 24.84 496 16C496 7.164 503.2 0 512 0H616C629.3 0 640 10.75 640 24V128C640 136.8 632.8 144 624 144C615.2 144 608 136.8 608 128V32zM144 496C144 504.8 136.8 512 128 512H24C10.75 512 0 501.3 0 488V384C0 375.2 7.164 368 16 368C24.84 368 32 375.2 32 384V480H128C136.8 480 144 487.2 144 496zM608 384C608 375.2 615.2 368 624 368C632.8 368 640 375.2 640 384V488C640 501.3 629.3 512 616 512H512C503.2 512 496 504.8 496 496C496 487.2 503.2 480 512 480H608V384zM384 192C384 227.3 355.3 256 320 256C284.7 256 256 227.3 256 192C256 156.7 284.7 128 320 128C355.3 128 384 156.7 384 192zM320 160C302.3 160 288 174.3 288 192C288 209.7 302.3 224 320 224C337.7 224 352 209.7 352 192C352 174.3 337.7 160 320 160zM360 288C399.8 288 432 320.2 432 360C432 373.3 421.3 384 408 384H232C218.7 384 208 373.3 208 360C208 320.2 240.2 288 280 288H360zM280 320C260.6 320 244.5 333.7 240.8 352H399.2C395.5 333.7 379.4 320 360 320H280zM223.8 176C223.8 202.5 202.3 224 175.8 224C149.3 224 127.8 202.5 127.8 176C127.8 149.5 149.3 128 175.8 128C202.3 128 223.8 149.5 223.8 176zM175.8 160C166.1 160 159.8 167.2 159.8 176C159.8 184.8 166.1 192 175.8 192C184.7 192 191.8 184.8 191.8 176C191.8 167.2 184.7 160 175.8 160zM128 320C128 328.8 120.8 336 112 336C103.2 336 96 328.8 96 320V312C96 281.1 121.1 256 152 256H208C216.8 256 224 263.2 224 272C224 280.8 216.8 288 208 288H152C138.7 288 128 298.7 128 312V320zM464.2 224C437.7 224 416.2 202.5 416.2 176C416.2 149.5 437.7 128 464.2 128C490.7 128 512.2 149.5 512.2 176C512.2 202.5 490.7 224 464.2 224zM480.2 176C480.2 167.2 473 160 464.2 160C455.3 160 448.2 167.2 448.2 176C448.2 184.8 455.3 192 464.2 192C473 192 480.2 184.8 480.2 176zM432 288C423.2 288 416 280.8 416 272C416 263.2 423.2 256 432 256H488C518.9 256 544 281.1 544 312V320C544 328.8 536.8 336 528 336C519.2 336 512 328.8 512 320V312C512 298.7 501.3 288 488 288H432z"],
    "utensils": [448, 512, [61685, 127860, "cutlery"], "f2e7", "M221.9 149.7C224.8 162.2 224.9 175.3 222.1 187.8C219.3 200.4 213.6 212.1 205.6 222.2C197.1 232.6 186.5 240.1 174.5 246.8C162.4 252.7 149.2 255.8 135.8 256H128V495.1C128 499.3 126.3 503.4 123.3 506.4C120.3 509.4 116.2 511.1 112 511.1C107.8 511.1 103.7 509.4 100.7 506.4C97.69 503.4 96 499.3 96 495.1V256H88.16C74.77 255.9 61.57 252.8 49.5 246.1C37.43 241.2 26.78 232.8 18.31 222.4C10.2 212.2 4.542 200.2 1.769 187.5C-1.005 174.7-.821 161.5 2.306 148.8L24.39 13.44C25.23 9.417 27.6 5.873 30.99 3.547C34.39 1.221 38.54 .2908 42.6 .9497C46.66 1.609 50.32 3.806 52.8 7.085C55.28 10.37 56.41 14.47 55.94 18.56L33.76 154.8C31.57 162.1 31.3 171.5 32.96 179.7C34.63 187.9 38.19 195.7 43.36 202.3C48.79 208.9 55.61 214.4 63.35 218.1C71.09 221.9 79.56 223.9 88.16 224H135.8C144.4 223.8 152.9 221.7 160.6 217.1C168.4 214.2 175.2 208.8 180.7 202.1C185.8 195.7 189.3 188.2 191 180.1C192.7 172 192.5 163.7 190.5 155.7L168.1 18.56C167.4 14.38 168.4 10.1 170.9 6.661C173.4 3.223 177.1 .909 181.3 .2255C185.5-.4487 189.7 .5644 193.2 3.042C196.6 5.52 198.9 9.259 199.6 13.44L221.9 149.7zM73.14 190.5C71.24 189.6 69.53 188.3 68.13 186.7C66.72 185.2 65.63 183.3 64.93 181.4C64.23 179.4 63.92 177.3 64.03 175.2L72.03 15.17C72.01 13.03 72.43 10.91 73.29 8.951C74.14 6.99 75.41 5.234 76.99 3.8C78.58 2.365 80.45 1.284 82.49 .6297C84.52-.0254 86.68-.2395 88.8 .0015C90.9 .1039 92.96 .6201 94.87 1.52C96.77 2.42 98.48 3.687 99.89 5.248C101.3 6.809 102.4 8.632 103.1 10.61C103.8 12.6 104.1 14.7 104 16.8L96 176.8C95.8 180.9 94.02 184.8 91.04 187.6C88.06 190.4 84.11 192 80 192H79.2C77.1 191.9 75.04 191.4 73.14 190.5L73.14 190.5zM132.1 187.6C129.1 184.7 128.2 180.9 128 176.8L120 16.77C119.8 12.54 121.3 8.391 124.1 5.248C126.1 2.104 130.1 .2169 135.2 .0015C137.3-.2033 139.5 .037 141.5 .7071C143.5 1.377 145.4 2.462 146.1 3.892C148.5 5.323 149.8 7.068 150.7 9.015C151.5 10.96 151.1 13.07 152 15.2L160 175.2C160.1 177.3 159.8 179.4 159.1 181.4C158.4 183.4 157.3 185.2 155.9 186.8C154.5 188.3 152.8 189.6 150.9 190.5C148.1 191.4 146.9 191.9 144.8 192H144C139.9 191.1 135.9 190.4 132.1 187.6zM448 78.11C448 78.4 448 78.66 448 78.98V494.1C448 499.2 446.3 503.3 443.3 506.3C440.3 509.3 436.2 510.1 432 510.1C427.8 510.1 423.7 509.3 420.7 506.3C417.7 503.3 416 499.2 416 494.1V350.1H351.2C342.8 350.1 334.4 349.3 326.6 346.1C318.9 342.8 311.8 338.1 305.8 332.1C299.9 326.1 295.2 318.1 291.1 311.2C288.8 303.4 287.2 295 287.2 286.6L288 172.8C288 135.9 299.1 99.84 319.8 69.29C340.5 38.74 369.9 15.08 404.1 1.378C408.1-.5626 414.2-1.283 419.4-.7207C424.6-.1585 429.6 1.669 433.1 4.603C438.3 7.536 441.8 11.49 444.3 16.11C446.7 20.73 448 25.88 448 31.11L448 78.11zM416 31.11C387.6 42.36 363.3 61.89 346.2 87.16C329 112.4 319.9 142.3 320 172.8L319.2 286.9C319.2 291.1 320 295.3 321.6 299.2C323.2 303.1 325.6 306.7 328.5 309.7C331.5 312.6 335 315 338.9 316.6C342.8 318.3 347 319.1 351.2 319.1H414.9L416 31.11z"],
    "utensils-slash": [640, 512, [], "e464", "M196.1 78.08L166.1 53.83L168 16C167.1 13.86 168.4 11.74 169.3 9.779C170.1 7.816 171.4 6.061 172.1 4.633C174.6 3.205 176.4 2.137 178.5 1.504C180.5 .8705 182.7 .6858 184.8 .963C189 1.178 192.1 3.061 195.8 6.198C198.7 9.334 200.2 13.47 199.1 17.7L196.1 78.08zM219.1 96.23L216 17.7C215.8 13.47 217.3 9.335 220.2 6.198C223 3.061 226.1 1.179 231.2 .9633C233.3 .729 235.5 .9438 237.5 1.593C239.5 2.242 241.4 3.312 242.9 4.732C244.5 6.151 245.8 7.889 246.7 9.831C247.5 11.77 247.1 13.88 247.1 16L253.3 122.5L219.1 96.23zM284.1 147.5L264.1 19.46C263.6 15.37 264.7 11.26 267.2 7.983C269.7 4.703 273.3 2.506 277.4 1.847C281.5 1.189 285.6 2.119 289 4.445C292.4 6.771 294.8 10.31 295.6 14.34L317.9 150.4C319.5 158.4 320.1 166.5 319.5 174.7L284.1 147.5zM415.5 250.3L383.6 225.2L384 173.5C384 136.6 395.1 100.6 415.8 70.09C436.5 39.57 465.9 15.96 500.1 2.307C504.1 .3681 510.2-.3526 515.4 .2081C520.6 .7687 525.6 2.594 529.9 5.523C534.3 8.453 537.8 12.4 540.3 17.01C542.7 21.63 543.1 26.78 544 32V352L512 326.4V32C483.6 43.21 459.3 62.7 442.2 87.95C425 113.2 415.9 143 416 173.5L415.5 250.3zM148.7 39.97L119.9 17.35L120.4 14.34C121.2 10.31 123.6 6.771 126.1 4.445C130.4 2.119 134.5 1.189 138.6 1.847C142.7 2.506 146.3 4.704 148.8 7.983C151.3 11.26 152.4 15.37 151.9 19.46L148.7 39.97zM174.8 223.4L223.1 262.2V495.1C223.1 499.3 222.3 503.4 219.3 506.4C216.3 509.4 212.2 511.1 207.1 511.1C203.8 511.1 199.7 509.4 196.7 506.4C193.7 503.4 191.1 499.3 191.1 495.1V256.4H184.2C170.8 256.2 157.7 253.1 145.6 247.3C133.6 241.5 122.1 233.2 114.5 222.8C100.9 205.6 94.58 183.8 96.9 162L132.1 189.8C133.9 194.4 136.4 198.8 139.4 202.9C148.4 213.7 160.9 220.1 174.8 223.4zM634 483.5C635.7 484.7 637.2 486.3 638.3 488.2C639.4 490 640.1 492.1 640.3 494.2C640.6 496.3 640.5 498.5 639.9 500.6C639.3 502.6 638.4 504.6 637 506.2C635.7 507.9 634 509.3 632.2 510.3C630.3 511.4 628.2 512 626.1 512.2C623.1 512.4 621.8 512.2 619.8 511.6C617.7 510.1 615.8 509.9 614.2 508.5L6.175 29.38C2.864 26.75 .7261 22.92 .2285 18.73C-.2691 14.53 .914 10.31 3.519 6.979C6.15 3.673 9.982 1.541 14.18 1.05C18.38 .5582 22.6 1.746 25.92 4.355L633.9 483.5L634 483.5z"],
    "utility-pole": [512, 512, [], "e2c3", "M496 32C487.2 32 480 39.16 480 48V96h-64V48C416 39.16 408.8 32 400 32S384 39.16 384 48V96h-80V32c0-17.67-14.33-32-32-32h-32c-17.67 0-32 14.33-32 32v64H128V48C128 39.16 120.8 32 112 32S96 39.16 96 48V96H32V48C32 39.16 24.84 32 16 32S0 39.16 0 48V96c0 17.67 14.33 32 32 32h27.16L208 227.2v268.8C208 504.8 215.2 512 224 512s16-7.163 16-15.1V128h32v368C272 504.8 279.2 512 288 512s16-7.163 16-15.1V227.2L452.8 128H480c17.67 0 32-14.33 32-32V48C512 39.16 504.8 32 496 32zM208 188.8L116.8 128H208V188.8zM272 96h-32V32h32V96zM304 188.8V128h91.16L304 188.8z"],
    "utility-pole-double": [512, 512, [], "e2c4", "M452.8 128H480c17.67 0 32-14.33 32-32V48C512 39.16 504.8 32 496 32S480 39.16 480 48V96h-64V48C416 39.16 408.8 32 400 32S384 39.16 384 48V96h-80V32c0-17.67-14.33-32-32-32h-32c-17.67 0-32 14.33-32 32v64H128V48C128 39.16 120.8 32 112 32S96 39.16 96 48V96H32V48C32 39.16 24.84 32 16 32S0 39.16 0 48V96c0 17.67 14.33 32 32 32h27.16L208 227.2V288H128V240C128 231.2 120.8 224 112 224S96 231.2 96 240V288H32V240C32 231.2 24.84 224 16 224S0 231.2 0 240V288c0 17.67 14.33 32 32 32h27.16L208 419.2V496C208 504.8 215.2 512 224 512s16-7.164 16-16V320h32v176c0 8.836 7.164 16 16 16s16-7.164 16-16v-76.77L452.8 320H480c17.67 0 32-14.33 32-32V240C512 231.2 504.8 224 496 224S480 231.2 480 240V288h-64V240C416 231.2 408.8 224 400 224S384 231.2 384 240V288h-80V227.2L452.8 128zM304 128h91.16L304 188.8V128zM240 32h32v64h-32V32zM116.8 128H208v60.78L116.8 128zM208 380.8L116.8 320H208V380.8zM395.2 320L304 380.8V320H395.2zM240 288V128h32v160H240z"],
    "v": [384, 512, [118], "56", "M192 480c-6.422 0-12.23-3.85-14.73-9.787L1.267 54.22C-2.171 46.1 1.626 36.72 9.767 33.26c8.109-3.375 17.53 .375 20.97 8.531L192 422.9l161.3-381.2c3.422-8.187 12.83-11.94 20.97-8.531c8.141 3.469 11.94 12.84 8.5 20.97l-175.1 415.1C204.2 476.2 198.4 480 192 480z"],
    "vacuum": [640, 512, [], "e04d", "M352 400c-8.875 0-16 7.125-16 16s7.125 16 16 16s16-7.125 16-16S360.9 400 352 400zM640 112c-.125-61.88-50.13-111.9-112-112H302.1C249.1 .125 203.4 37.38 192.5 89.25L124.9 416H80C35.88 416 0 451.9 0 496C0 504.9 7.125 512 16 512h192C216.9 512 224 504.9 224 496v-64C224 423.1 216.9 416 208 416H157.6L223.8 95.75C231.6 58.75 264.2 32.12 302.1 32H528C572.1 32 608 67.88 608 112S572.1 192 528 192h-33.13C458.5 151.2 406.5 128 352 128c-17.62 0-32 14.38-32 32v165.9C282.9 339.1 256 374.4 256 416c0 53 43 96 96 96h128c35.38 0 64-28.62 64-64v-128c0-33.75-8.875-66.88-25.88-96H528C589.9 223.9 639.9 173.9 640 112zM192 448v32H34.75C41.5 460.9 59.62 448 80 448H192zM352 480c-35.38 0-64-28.62-64-64s28.62-64 64-64s64 28.62 64 64S387.4 480 352 480zM512 448c0 17.62-14.38 32-32 32h-57c25.62-28 32.13-68.5 16.75-103.2C424.4 342.1 389.9 319.9 352 320V160c88.25 0 160 71.75 160 160V448z"],
    "vacuum-robot": [512, 512, [], "e04e", "M235.3 212.7c-6.25-6.25-16.38-6.25-22.63 0s-6.25 16.38 0 22.63l64 64C279.8 302.4 283.9 303.1 288 303.1s8.188-1.563 11.31-4.688c6.25-6.25 6.25-16.38 0-22.63L235.3 212.7zM155.3 228.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.63l128 128c3.125 3.125 7.219 4.688 11.31 4.688s8.188-1.563 11.31-4.688c6.25-6.25 6.25-16.38 0-22.63L155.3 228.7zM139.3 308.7c-6.25-6.25-16.38-6.25-22.63 0s-6.25 16.38 0 22.63l64 64c3.125 3.125 7.219 4.688 11.31 4.688s8.188-1.563 11.31-4.688c6.25-6.25 6.25-16.38 0-22.63L139.3 308.7zM380.6 131.3c-33.7-33.69-78.86-52.44-124.8-51.34C209.8 80.56 166.1 99.28 132.7 132.7c-6.25 6.25-6.25 16.38 0 22.63s16.38 6.25 22.63 0c27.47-27.47 63.3-42.84 100.9-43.31c39.11 0 74.31 14.44 101.8 41.97c27.55 27.53 42.45 63.72 41.98 101.8c-.4687 37.56-15.84 73.41-43.31 100.9c-6.25 6.25-6.25 16.38 0 22.63c3.125 3.125 7.219 4.688 11.31 4.688s8.188-1.563 11.31-4.688c33.41-33.41 52.13-77.13 52.69-123.1C432.6 209.4 414.3 165 380.6 131.3zM256 0C114.8 0 0 114.8 0 256s114.8 256 256 256s256-114.8 256-256S397.2 0 256 0zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480z"],
    "value-absolute": [512, 512, [], "f6a6", "M16 32C7.199 32 0 39.2 0 48v416C0 472.8 7.199 480 16 480S32 472.8 32 464v-416C32 39.2 24.8 32 16 32zM496 32C487.2 32 480 39.2 480 48v416c0 8.799 7.199 16 16 16s16-7.201 16-16v-416C512 39.2 504.8 32 496 32zM363.3 148.7c-6.25-6.25-16.38-6.25-22.62 0L256 233.4L171.3 148.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L233.4 256l-84.69 84.69c-6.25 6.25-6.25 16.38 0 22.62C151.8 366.4 155.9 368 160 368s8.188-1.562 11.31-4.688L256 278.6l84.69 84.69C343.8 366.4 347.9 368 352 368s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L278.6 256l84.69-84.69C369.6 165.1 369.6 154.9 363.3 148.7z"],
    "van-shuttle": [640, 512, [128656, "shuttle-van"], "f5b6", "M584 384H576C576 437 533 480 480 480C426.1 480 384 437 384 384H256C256 437 213 480 160 480C106.1 480 64 437 64 384H56C25.07 384 0 358.9 0 328V88C0 57.07 25.07 32 56 32H465.7C479.4 32 492.3 37.78 501.4 47.89L627.7 188.2C635.6 196.1 640 208.4 640 220.3V328C640 358.9 614.9 384 584 384zM32 192H160V64H56C42.75 64 32 74.75 32 88V192zM32 224V328C32 341.3 42.75 352 56 352H69.46C82.64 314.7 118.2 288 160 288C201.8 288 237.4 314.7 250.5 352H389.5C402.6 314.7 438.2 288 480 288C521.8 288 557.4 314.7 570.5 352H584C597.3 352 608 341.3 608 328V224H32zM192 192H352V64H192V192zM384 192H588.1L477.6 69.3C474.6 65.93 470.3 64 465.7 64H384V192zM480 320C444.7 320 416 348.7 416 384C416 419.3 444.7 448 480 448C515.3 448 544 419.3 544 384C544 348.7 515.3 320 480 320zM160 448C195.3 448 224 419.3 224 384C224 348.7 195.3 320 160 320C124.7 320 96 348.7 96 384C96 419.3 124.7 448 160 448z"],
    "vault": [576, 512, [], "e2c5", "M160 240C160 204.7 188.7 176 224 176C259.3 176 288 204.7 288 240C288 275.3 259.3 304 224 304C188.7 304 160 275.3 160 240zM224 272C241.7 272 256 257.7 256 240C256 222.3 241.7 208 224 208C206.3 208 192 222.3 192 240C192 257.7 206.3 272 224 272zM384 240C384 328.4 312.4 400 224 400C135.6 400 64 328.4 64 240C64 151.6 135.6 80 224 80C312.4 80 384 151.6 384 240zM224 112C153.3 112 96 169.3 96 240C96 310.7 153.3 368 224 368C294.7 368 352 310.7 352 240C352 169.3 294.7 112 224 112zM512 176C512 196.9 498.6 214.7 480 221.3V336C480 344.8 472.8 352 464 352C455.2 352 448 344.8 448 336V221.3C429.4 214.7 416 196.9 416 176C416 149.5 437.5 128 464 128C490.5 128 512 149.5 512 176zM464 160C455.2 160 448 167.2 448 176C448 184.8 455.2 192 464 192C472.8 192 480 184.8 480 176C480 167.2 472.8 160 464 160zM0 64C0 28.65 28.65 0 64 0H512C547.3 0 576 28.65 576 64V416C576 451.3 547.3 480 512 480V496C512 504.8 504.8 512 496 512C487.2 512 480 504.8 480 496V480H96V496C96 504.8 88.84 512 80 512C71.16 512 64 504.8 64 496V480C28.65 480 0 451.3 0 416V64zM32 64V416C32 433.7 46.33 448 64 448H512C529.7 448 544 433.7 544 416V64C544 46.33 529.7 32 512 32H64C46.33 32 32 46.33 32 64z"],
    "vector-circle": [512, 512, [], "e2c6", "M453.1 192H472C494.1 192 512 209.9 512 232V280C512 302.1 494.1 320 472 320H453.1C433.5 383.4 383.4 433.5 320 453.1V472C320 494.1 302.1 512 280 512H232C209.9 512 192 494.1 192 472V453.1C128.6 433.5 78.51 383.4 58.03 320H40C17.91 320 0 302.1 0 280V232C0 209.9 17.91 192 40 192H58.03C78.51 128.6 128.6 78.51 192 58.03V40C192 17.91 209.9 0 232 0H280C302.1 0 320 17.91 320 40V58.03C383.4 78.51 433.5 128.6 453.1 192zM280 32H232C227.6 32 224 35.58 224 40V88C224 92.42 227.6 96 232 96H280C284.4 96 288 92.42 288 88V40C288 35.58 284.4 32 280 32zM319.8 91.92C317.8 112.2 300.8 128 280 128H232C211.2 128 194.2 112.2 192.2 91.92C146.3 109.8 109.8 146.3 91.92 192.2C112.2 194.2 128 211.2 128 232V280C128 300.8 112.2 317.8 91.92 319.8C109.8 365.7 146.3 402.2 192.2 420.1C194.2 399.8 211.2 384 231.1 384H280C300.8 384 317.8 399.8 319.8 420.1C365.7 402.2 402.2 365.7 420.1 319.8C399.8 317.8 384 300.8 384 280V232C384 211.2 399.8 194.2 420.1 192.2C402.2 146.3 365.7 109.8 319.8 91.92H319.8zM429.1 224H424C419.6 224 416 227.6 416 232V280C416 284.4 419.6 288 424 288H472C476.4 288 480 284.4 480 280V232C480 227.6 476.4 224 472 224H461.6C461.6 223.1 461.6 224 461.6 224H429.1C429.1 224 429.1 223.1 429.1 224V224zM288 424C288 419.6 284.4 416 280 416H232C227.6 416 224 419.6 224 424V472C224 476.4 227.6 480 232 480H280C284.4 480 288 476.4 288 472V424zM40 224C35.58 224 32 227.6 32 232V280C32 284.4 35.58 288 40 288H88C92.42 288 96 284.4 96 280V232C96 227.6 92.42 224 88 224L82.9 224C82.9 224 82.9 224 82.9 224H50.45C50.45 224 50.45 224 50.45 224L40 224z"],
    "vector-polygon": [448, 512, [], "e2c7", "M408 32C430.1 32 448 49.91 448 72V120C448 142.1 430.1 160 408 160H364.3L338.8 202.3C346.9 209.7 352 220.2 352 232V280C352 291.8 346.9 302.3 338.8 309.7L364.3 352H408C430.1 352 448 369.9 448 392V440C448 462.1 430.1 480 408 480H360C337.9 480 320 462.1 320 440V432H128V440C128 462.1 110.1 480 88 480H40C17.91 480 0 462.1 0 440V392C0 369.9 17.91 352 40 352H48V160H40C17.91 160 0 142.1 0 120V72C0 49.91 17.91 32 40 32H88C110.1 32 128 49.91 128 72V80H320V72C320 49.91 337.9 32 360 32H408zM408 64H360C355.6 64 352 67.58 352 72V120C352 124.4 355.6 128 360 128H408C412.4 128 416 124.4 416 120V72C416 67.58 412.4 64 408 64zM307.7 320H264C241.9 320 224 302.1 224 280V232C224 209.9 241.9 192 264 192H307.7L333.1 149.7C325.1 142.3 320 131.8 320 120V112H128V120C128 142.1 110.1 160 88 160H80V352H88C110.1 352 128 369.9 128 392V400H320V392C320 380.2 325.1 369.7 333.2 362.3L307.7 320zM32 392V440C32 444.4 35.58 448 40 448H88C92.42 448 96 444.4 96 440V392C96 387.6 92.42 384 88 384H40C35.58 384 32 387.6 32 392zM352 392V440C352 444.4 355.6 448 360 448H408C412.4 448 416 444.4 416 440V392C416 387.6 412.4 384 408 384H360C355.6 384 352 387.6 352 392zM256 232V280C256 284.4 259.6 288 264 288H312C316.4 288 320 284.4 320 280V232C320 227.6 316.4 224 312 224H264C259.6 224 256 227.6 256 232zM88 64H40C35.58 64 32 67.58 32 72V120C32 124.4 35.58 128 40 128H88C92.42 128 96 124.4 96 120V72C96 67.58 92.42 64 88 64z"],
    "vector-square": [448, 512, [], "f5cb", "M408 32C430.1 32 448 49.91 448 72V120C448 142.1 430.1 160 408 160H400V352H408C430.1 352 448 369.9 448 392V440C448 462.1 430.1 480 408 480H360C337.9 480 320 462.1 320 440V432H128V440C128 462.1 110.1 480 88 480H40C17.91 480 0 462.1 0 440V392C0 369.9 17.91 352 40 352H48V160H40C17.91 160 0 142.1 0 120V72C0 49.91 17.91 32 40 32H88C110.1 32 128 49.91 128 72V80H320V72C320 49.91 337.9 32 360 32H408zM408 64H360C355.6 64 352 67.58 352 72V120C352 124.4 355.6 128 360 128H408C412.4 128 416 124.4 416 120V72C416 67.58 412.4 64 408 64zM80 352H88C110.1 352 128 369.9 128 392V400H320V392C320 369.9 337.9 352 360 352H368V160H360C337.9 160 320 142.1 320 120V112H128V120C128 142.1 110.1 160 88 160H80V352zM32 392V440C32 444.4 35.58 448 40 448H88C92.42 448 96 444.4 96 440V392C96 387.6 92.42 384 88 384H40C35.58 384 32 387.6 32 392zM352 392V440C352 444.4 355.6 448 360 448H408C412.4 448 416 444.4 416 440V392C416 387.6 412.4 384 408 384H360C355.6 384 352 387.6 352 392zM32 72V120C32 124.4 35.58 128 40 128H88C92.42 128 96 124.4 96 120V72C96 67.58 92.42 64 88 64H40C35.58 64 32 67.58 32 72z"],
    "vent-damper": [640, 512, [], "e465", "M464 240h-288C167.2 240 160 247.2 160 256s7.168 16 16 16h288C472.8 272 480 264.8 480 256S472.8 240 464 240zM464 320h-288C167.2 320 160 327.2 160 336S167.2 352 176 352h288c8.832 0 16-7.168 16-16S472.8 320 464 320zM464 160h-288C167.2 160 160 167.2 160 176S167.2 192 176 192h288C472.8 192 480 184.8 480 176S472.8 160 464 160zM592 128H576c0-35.36-28.64-64-64-64H128C92.64 64 64 92.64 64 128H48C21.5 128 0 149.5 0 176v160C0 362.5 21.5 384 48 384H64c0 35.36 28.64 64 64 64h384c35.36 0 64-28.64 64-64h16c26.5 0 48-21.5 48-48v-160C640 149.5 618.5 128 592 128zM64 352H48C39.17 352 32 344.8 32 336v-160C32 167.2 39.17 160 48 160H64V352zM544 384c0 17.66-14.34 32-32 32H128c-17.66 0-32-14.34-32-32V128c0-17.66 14.34-32 32-32h384c17.66 0 32 14.34 32 32V384zM608 336c0 8.832-7.168 16-16 16H576V160h16C600.8 160 608 167.2 608 176V336z"],
    "venus": [384, 512, [9792], "f221", "M368 176c0-97.2-78.8-176-176-176c-97.2 0-176 78.8-176 176c0 91.8 70.31 167.1 160 175.2V400h-64C103.2 400 96 407.2 96 416s7.156 16 16 16h64v64c0 8.844 7.156 16 16 16s16-7.156 16-16v-64h64c8.844 0 16-7.156 16-16s-7.156-16-16-16h-64v-48.81C297.7 343.1 368 267.8 368 176zM48 176C48 96.6 112.6 32 192 32s144 64.6 144 144S271.4 320 192 320S48 255.4 48 176z"],
    "venus-double": [640, 512, [9890], "f226", "M368 176c0-97.03-78.95-176-176-176s-176 78.97-176 176c0 91.63 70.43 167.1 160 175.2V400h-64C103.2 400 96 407.2 96 416s7.156 16 16 16h64v64C176 504.8 183.2 512 192 512s16-7.156 16-16v-64h64C280.8 432 288 424.8 288 416s-7.156-16-16-16h-64v-48.81C297.6 343.1 368 267.6 368 176zM192 320c-79.41 0-144-64.59-144-144S112.6 32 192 32s144 64.59 144 144S271.4 320 192 320zM624 176C624 78.97 545 0 448 0c-24.47 0-48.16 4.938-70.41 14.66c-8.094 3.531-11.8 12.97-8.25 21.06c3.531 8.062 13 11.81 21.06 8.25C408.6 36.03 427.1 32 448 32c79.41 0 144 64.59 144 144S527.4 320 448 320c-20.03 0-39.41-4.031-57.59-11.97c-8.062-3.5-17.53 .2187-21.06 8.25c-3.547 8.094 .1562 17.53 8.25 21.06c17.36 7.582 35.61 12.16 54.41 13.84V400h-64c-8.844 0-16 7.156-16 16s7.156 16 16 16h64v64c0 8.844 7.156 16 16 16s16-7.156 16-16v-64h64c8.844 0 16-7.156 16-16s-7.156-16-16-16h-64v-48.81C553.6 343.1 624 267.6 624 176z"],
    "venus-mars": [640, 512, [9892], "f228", "M256 400H192v-48.81c89.55-8.123 160-83.56 160-175.2c0-97.03-78.97-176-176-176s-176 78.97-176 176c0 91.63 70.45 167.1 160 175.2V400H96c-8.844 0-16 7.156-16 16s7.156 16 16 16h64v64C160 504.8 167.2 512 176 512S192 504.8 192 496v-64h64c8.844 0 16-7.156 16-16S264.8 400 256 400zM176 320C96.59 320 32 255.4 32 176S96.59 32 176 32S320 96.59 320 176S255.4 320 176 320zM638.8 9.891c-1.621-3.918-4.742-7.039-8.66-8.66C628.2 .4219 626.1 0 624 0l-128 0C487.2 0 480 7.156 480 16S487.2 32 496 32h89.38l-72.84 72.84c-30.53-25.47-69.84-40.81-112.6-40.81c-5.906 0-11.71 .282-17.46 .8133c-8.781 .8438-15.25 8.656-14.41 17.47c.875 8.812 8.844 15.06 17.47 14.41C390.3 96.25 395.1 96 400 96C479.4 96 544 160.6 544 240S479.4 384 400 384c-31.47 0-61.34-9.969-86.38-28.78c-6.969-5.344-17.12-3.938-22.41 3.156c-5.312 7.062-3.906 17.09 3.156 22.41C325 403.8 361.5 416 400 416C497 416 576 337 576 240c0-42.77-15.37-82-40.84-112.5L608 54.63V144C608 152.8 615.2 160 624 160S640 152.8 640 144v-128C640 13.92 639.6 11.85 638.8 9.891z"],
    "vest": [448, 512, [], "e085", "M440 255.6L400 187.7V48C400 21.53 378.5 0 352 0h-38.84c-6.625 0-12.53 4.062-14.94 10.22c-1.166 3.014 .7363 .9629-12.38 10.12c-37.56 26.25-86.13 26.25-123.7 0c-13.1-9.156-11.21-7.111-12.38-10.12C147.4 4.062 141.5 0 134.8 0H96C69.53 0 48 21.53 48 48v139.7L8.656 254.6C3 262.7 0 272.2 0 282.1V464C0 490.5 21.53 512 48 512h352c26.47 0 48-21.53 48-48V282.1C448 272.2 445 262.7 440 255.6zM224 72.09c18.67 0 37.24-4.152 54.84-11.76L224 210.2L169.2 60.33C186.8 67.94 205.3 72.09 224 72.09zM193.1 290.2C192.4 292.1 192 294 192 296V480H48c-6.861 0-12.62-4.404-14.88-10.49l98.2-98.2c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0L32 425.4V282.1c0-3.281 1-6.469 3.562-10.22l42.22-71.75C79.25 197.7 80 194.8 80 192V48C80 39.19 87.19 32 96 32h26.97l1.242 .8672L206.8 254.6L193.1 290.2zM416 425.4l-76.69-76.69c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l98.2 98.2C412.6 475.6 406.9 480 400 480H224V299l99.79-266.1L325 32H352c8.812 0 16 7.188 16 16V192c0 2.844 .75 5.656 2.219 8.125l42.88 72.78C415 275.6 416 278.8 416 282.1V425.4z"],
    "vest-patches": [448, 512, [], "e086", "M440 255.6L400 187.7V48C400 21.53 378.5 0 352 0h-38.84c-6.625 0-12.53 4.062-14.94 10.22c-1.166 3.014 .7363 .9629-12.38 10.12c-37.56 26.25-86.13 26.25-123.7 0c-13.1-9.156-11.21-7.111-12.38-10.12C147.4 4.062 141.5 0 134.8 0H96C69.53 0 48 21.53 48 48v139.7L8.656 254.6C3 262.7 0 272.2 0 282.1V464C0 490.5 21.53 512 48 512h352c26.47 0 48-21.53 48-48V282.1C448 272.2 445 262.7 440 255.6zM224 72.09c18.67 0 37.24-4.152 54.84-11.76L224 210.2L169.2 60.33C186.8 67.94 205.3 72.09 224 72.09zM193.1 290.2C192.4 292.1 192 294 192 296V480H48C39.19 480 32 472.8 32 464V282.1c0-3.281 1-6.469 3.562-10.22l42.22-71.75C79.25 197.7 80 194.8 80 192V48C80 39.19 87.19 32 96 32h26.97l1.242 .8672L206.8 254.6L193.1 290.2zM416 464c0 8.812-7.188 16-16 16H224V299l99.79-266.1L325 32H352c8.812 0 16 7.188 16 16V192c0 2.844 .75 5.656 2.219 8.125l42.88 72.78C415 275.6 416 278.8 416 282.1V464zM352.4 271.7c-4-16.84-18.16-29.97-35.5-31.53c-11.72-.9375-22.72 2.781-31.16 10.41c-8.438 7.656-13.38 18.59-13.5 30.09L272 329.2c-.0625 6.094 2.312 11.84 6.625 16.19C282.9 349.7 288.6 352 294.6 352l48.75-.2187c11.44-.0625 22.38-4.969 30.06-13.44c7.688-8.438 11.47-19.78 10.47-31.16C382.3 289.9 369.2 275.7 352.4 271.7zM343.2 319.8l-39.13 .1875l.1846-39.2c.1016-11.09 17.37-12.65 17.28 .5752l-.25 21.44l21.38-.25C355.8 302.6 354.2 319.7 343.2 319.8zM107.3 244.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L97.38 280L84.69 292.7c-6.25 6.25-6.25 16.38 0 22.62C87.81 318.4 91.91 320 96 320s8.188-1.562 11.31-4.688L120 302.6l12.69 12.69C135.8 318.4 139.9 320 144 320s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L142.6 280l12.69-12.69c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0L120 257.4L107.3 244.7zM112 352C85.53 352 64 373.5 64 400S85.53 448 112 448S160 426.5 160 400S138.5 352 112 352zM112 416C103.2 416 96 408.8 96 400S103.2 384 112 384S128 391.2 128 400S120.8 416 112 416z"],
    "vial": [512, 512, [129514], "f492", "M412.7 199.2L355.8 256H154.9l157.4-157.2c6.256-6.246 6.258-16.38 .0078-22.63c-6.246-6.246-16.37-6.25-22.62-.0078l-256.8 256.4c-38.75 38.75-45.13 102-9.375 143.5C44.08 500 72.76 512 101.5 512h.4473c26.38 0 52.75-10 72.88-30.12l260.5-260c6.26-6.246 6.264-16.38 .0117-22.64C429.1 192.1 418.1 192.1 412.7 199.2zM152.2 459.2C138.8 472.6 120.1 480 101.5 480c-20.59 0-40.15-9.014-53.68-24.76c-23.93-27.78-20.53-71.7 7.744-99.97L122.9 288h200.9L152.2 459.2zM507.3 180.7l-176-176C328.2 1.562 324.1 0 320 0s-8.188 1.562-11.31 4.688c-6.25 6.25-6.25 16.38 0 22.62l176 176C487.8 206.4 491.9 208 496 208s8.188-1.562 11.31-4.688C513.6 197.1 513.6 186.9 507.3 180.7z"],
    "vial-circle-check": [512, 512, [], "e596", "M0 48C0 39.16 7.164 32 16 32H240C248.8 32 256 39.16 256 48C256 56.84 248.8 64 240 64H224V266.8C203.8 295.4 192 330.3 192 368V224H64V384C64 419.3 92.65 448 128 448C163.3 448 192 419.3 192 384V368C192 393.2 197.3 417.1 206.8 438.8C189.5 463.7 160.6 480 128 480C74.98 480 32 437 32 384V64H16C7.164 64 0 56.84 0 48V48zM64 64V192H192V64H64zM435.3 324.7C441.6 330.9 441.6 341.1 435.3 347.3L363.3 419.3C357.1 425.6 346.9 425.6 340.7 419.3L300.7 379.3C294.4 373.1 294.4 362.9 300.7 356.7C306.9 350.4 317.1 350.4 323.3 356.7L352 385.4L412.7 324.7C418.9 318.4 429.1 318.4 435.3 324.7H435.3zM224 368C224 288.5 288.5 224 368 224C447.5 224 512 288.5 512 368C512 447.5 447.5 512 368 512C288.5 512 224 447.5 224 368zM368 480C429.9 480 480 429.9 480 368C480 306.1 429.9 256 368 256C306.1 256 256 306.1 256 368C256 429.9 306.1 480 368 480z"],
    "vial-virus": [576, 512, [], "e597", "M32 48C32 39.16 39.16 32 48 32H272C280.8 32 288 39.16 288 48C288 56.84 280.8 64 272 64H256V208C256 216.8 248.8 224 240 224H96V384C96 419.3 124.7 448 160 448C180.9 448 199.5 437.1 211.2 422.4C216.5 415.3 226.5 413.9 233.6 419.2C240.7 424.5 242.1 434.6 236.8 441.6C219.3 464.9 191.4 480 160 480C106.1 480 64 437 64 384V64H48C39.16 64 32 56.84 32 48H32zM96 192H224V64H96V192zM328 320C328 306.7 338.7 296 352 296C365.3 296 376 306.7 376 320C376 333.3 365.3 344 352 344C338.7 344 328 333.3 328 320zM440 384C440 397.3 429.3 408 416 408C402.7 408 392 397.3 392 384C392 370.7 402.7 360 416 360C429.3 360 440 370.7 440 384zM493.1 311.3C498.6 320.4 508.5 326.9 521.1 326.9C534.3 326.9 545.1 337.6 545.1 350.9C545.1 364.1 534.3 374.9 521.1 374.9C491.8 374.9 477.2 410.3 497.8 430.9C507.2 440.3 507.2 455.5 497.8 464.9C488.5 474.3 473.3 474.3 463.9 464.9C443.2 444.2 407.8 458.8 407.8 488.1C407.8 501.4 397.1 512.1 383.8 512.1C370.6 512.1 359.8 501.4 359.8 488.1C359.8 458.8 324.5 444.2 303.8 464.9C294.4 474.3 279.2 474.3 269.8 464.9C260.5 455.5 260.5 440.3 269.8 430.9C290.5 410.3 275.9 374.9 246.6 374.9C233.4 374.9 222.6 364.1 222.6 350.9C222.6 337.6 233.4 326.9 246.6 326.9C275.9 326.9 290.5 291.5 269.8 270.8C260.5 261.4 260.5 246.2 269.8 236.9C279.2 227.5 294.4 227.5 303.8 236.9C324.5 257.6 359.8 242.9 359.8 213.6C359.8 200.4 370.6 189.6 383.8 189.6C397.1 189.6 407.8 200.4 407.8 213.6C407.8 242.9 443.2 257.6 463.9 236.9C473.3 227.5 488.5 227.5 497.8 236.9C507.2 246.2 507.2 261.4 497.8 270.8C486 282.6 485.7 299.2 493.1 311.3H493.1zM383.8 245.3C369.4 271.3 337.8 284.4 309.2 276.2C317.3 304.8 304.2 336.4 278.2 350.9C304.2 365.3 317.3 396.9 309.2 425.6C337.8 417.4 369.4 430.5 383.8 456.5C398.3 430.5 429.9 417.4 458.5 425.6C450.3 396.9 463.4 365.3 489.4 350.9C463.4 336.4 450.3 304.8 458.5 276.2C429.9 284.4 398.3 271.3 383.8 245.3V245.3z"],
    "vials": [512, 512, [], "f493", "M176 96C167.2 96 160 103.2 160 112V256H64V112C64 103.2 56.84 96 48 96S32 103.2 32 112v288C32 444.1 67.88 480 112 480S192 444.1 192 400v-288C192 103.2 184.8 96 176 96zM160 400C160 426.5 138.5 448 112 448S64 426.5 64 400V288h96V400zM464 96C455.2 96 448 103.2 448 112V256h-96V112C352 103.2 344.8 96 336 96S320 103.2 320 112v288c0 44.13 35.88 80 80 80s80-35.88 80-80v-288C480 103.2 472.8 96 464 96zM448 400c0 26.47-21.53 48-48 48S352 426.5 352 400V288h96V400zM208 32h-192C7.156 32 0 39.16 0 48S7.156 64 16 64h192C216.8 64 224 56.84 224 48S216.8 32 208 32zM496 32h-192C295.2 32 288 39.16 288 48S295.2 64 304 64h192C504.8 64 512 56.84 512 48S504.8 32 496 32z"],
    "video": [576, 512, ["video-camera"], "f03d", "M558.8 99.64c-10.59-5.484-23.37-4.76-33.15 2.099l-102.8 72.04c-7.25 5.062-9 15.05-3.938 22.28C423.1 203.3 433.9 205 441.2 200L544 128v255.9L441.2 312c-7.266-5.047-17.22-3.312-22.28 3.938c-5.062 7.234-3.312 17.22 3.938 22.28l102.8 71.98c5.5 3.844 11.94 5.786 18.38 5.786c5.047 0 10.12-1.203 14.78-3.625C569.4 406.8 576 395.1 576 383.1V128C576 116 569.4 105.2 558.8 99.64zM320 64H64C28.65 64 0 92.65 0 128v256c0 35.35 28.65 64 64 64h256c35.35 0 64-28.65 64-64V128C384 92.65 355.3 64 320 64zM352 384c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V128c0-17.64 14.36-32 32-32h256c17.64 0 32 14.36 32 32V384z"],
    "video-arrow-down-left": [576, 512, [], "e2c8", "M320 64H64C28.65 64 0 92.65 0 128v256c0 35.35 28.65 64 64 64h256c35.35 0 64-28.65 64-64V128C384 92.65 355.3 64 320 64zM352 384c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V128c0-17.64 14.36-32 32-32h256c17.64 0 32 14.36 32 32V384zM558.8 99.64c-10.59-5.484-23.37-4.749-33.15 2.11l-102.8 72.03c-7.25 5.062-9 15.05-3.938 22.28C423.1 203.3 433.9 205 441.2 200L544 128v255.9L441.2 312c-7.266-5.047-17.22-3.312-22.28 3.938c-5.062 7.234-3.312 17.22 3.938 22.28l102.8 71.1c5.5 3.844 11.94 5.77 18.38 5.77c5.047 0 10.12-1.203 14.78-3.625C569.4 406.8 576 395.1 576 383.1V128C576 116 569.4 105.2 558.8 99.64zM260.7 164.7L128 297.4V224c0-8.844-7.156-16-16-16S96 215.2 96 224v112C96 344.8 103.2 352 112 352H224c8.844 0 16-7.156 16-16S232.8 320 224 320H150.6l132.7-132.7c6.25-6.25 6.25-16.38 0-22.62S266.9 158.4 260.7 164.7z"],
    "video-arrow-up-right": [576, 512, [], "e2c9", "M320 64H64C28.65 64 0 92.65 0 128v256c0 35.35 28.65 64 64 64h256c35.35 0 64-28.65 64-64V128C384 92.65 355.3 64 320 64zM352 384c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V128c0-17.64 14.36-32 32-32h256c17.64 0 32 14.36 32 32V384zM558.8 99.64c-10.59-5.484-23.37-4.749-33.15 2.11l-102.8 72.03c-7.25 5.062-9 15.05-3.938 22.28C423.1 203.3 433.9 205 441.2 200L544 128v255.9L441.2 312c-7.266-5.047-17.22-3.312-22.28 3.938c-5.062 7.234-3.312 17.22 3.938 22.28l102.8 71.1c5.5 3.844 11.94 5.77 18.38 5.77c5.047 0 10.12-1.203 14.78-3.625C569.4 406.8 576 395.1 576 383.1V128C576 116 569.4 105.2 558.8 99.64zM123.3 347.3L256 214.6V288c0 8.844 7.156 16 16 16S288 296.8 288 288V176C288 167.2 280.8 160 272 160H160C151.2 160 144 167.2 144 176S151.2 192 160 192h73.38l-132.7 132.7c-6.25 6.25-6.25 16.38 0 22.62S117.1 353.6 123.3 347.3z"],
    "video-plus": [576, 512, [], "f4e1", "M558.8 99.64c-10.59-5.484-23.37-4.76-33.15 2.099l-102.8 72.04c-7.25 5.062-9 15.05-3.938 22.28C423.1 203.3 433.9 205 441.2 200L544 128v255.9L441.2 312c-7.266-5.047-17.22-3.312-22.28 3.938c-5.062 7.234-3.312 17.22 3.938 22.28l102.8 71.98c5.5 3.844 11.94 5.786 18.38 5.786c5.047 0 10.12-1.203 14.78-3.625C569.4 406.8 576 395.1 576 383.1V128C576 116 569.4 105.2 558.8 99.64zM320 64H64C28.65 64 0 92.65 0 128v256c0 35.35 28.65 64 64 64h256c35.35 0 64-28.65 64-64V128C384 92.65 355.3 64 320 64zM352 384c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V128c0-17.64 14.36-32 32-32h256c17.64 0 32 14.36 32 32V384zM272 240H207.1V175.1C207.1 167.2 200.8 160 192 160S176 167.2 176 175.1V240H111.1C103.2 240 96 247.2 96 256c0 8.834 7.154 15.1 15.1 15.1H176v64C176 344.8 183.2 352 192 352c8.838 0 15.1-7.16 15.1-15.1V271.1H272C280.8 271.1 288 264.8 288 256S280.8 240 272 240z"],
    "video-slash": [640, 512, [], "f4e2", "M473.2 200L576 128v248.5l28.16 22.23C606.5 394.3 608 389.3 608 383.1V128c0-11.98-6.594-22.86-17.23-28.39c-10.59-5.484-23.37-4.761-33.15 2.098l-102.8 72.04c-7.25 5.062-9 15.05-3.938 22.28C455.1 203.3 465.9 205 473.2 200zM352 96c17.64 0 32 14.36 32 32v96.97l32 25.26V128c0-35.35-28.65-64-64-64H180.1l40.53 32H352zM633.9 483.4L25.92 3.42c-6.938-5.453-17-4.25-22.48 2.641c-5.469 6.938-4.281 17 2.641 22.48l608 480C617 510.9 620.5 512 623.1 512c4.734 0 9.422-2.094 12.58-6.078C642 498.1 640.8 488.9 633.9 483.4zM352 416H96c-17.64 0-32-14.36-32-32V135.4L34.28 111.1C32.94 117.1 32 122.4 32 128v256c0 35.35 28.65 64 64 64h256c26.38 0 49-15.98 58.8-38.77l-27.51-21.72C381.5 403.4 368.4 416 352 416z"],
    "vihara": [640, 512, [], "f6a7", "M313.2 1.53C315.3 .5021 317.7-.0013 320 0C322.3-.0016 324.7 .5021 326.8 1.53C328 2.1 329.2 2.826 330.2 3.705L356.5 24.72C390.4 51.84 428.8 72.75 470 86.48L501.1 96.82C509.4 99.62 513.1 108.7 511.2 117.1C508.4 125.4 499.3 129.1 490.9 127.2L480 123.5V170.8C508.9 204.5 547.6 228.4 590.7 239.2L595.6 240.4C596.8 240.7 598.1 241.1 599.2 241.7C601.3 242.8 603.2 244.3 604.6 246.2C606 247.1 607.1 250.1 607.6 252.5C608 254.2 608.1 256.1 607.9 257.1C607.7 259.8 607.1 261.6 606.3 263.2C605.2 265.3 603.7 267.2 601.8 268.6C600 270 597.9 271.1 595.5 271.6C594.3 271.9 592.1 272 591.7 272H544V333.6C558.7 364.9 582.9 390.9 613.2 407.7L631.5 417.9C632.1 418.2 632.7 418.5 633.2 418.9C635.1 420.3 636.7 421.1 637.8 423.9C638.9 425.8 639.7 427.1 639.9 430.3C640.1 432.2 639.1 434.1 639.5 436C639 437.9 638.2 439.7 637.1 441.2C635.7 443.1 634 444.7 632.1 445.8C630.2 446.9 628 447.7 625.7 447.9C625 447.1 624.4 448 623.7 448H576V496C576 504.8 568.8 512 560 512C551.2 512 544 504.8 544 496V448H416V496C416 504.8 408.8 512 400 512C391.2 512 384 504.8 384 496V448H256V496C256 504.8 248.8 512 240 512C231.2 512 224 504.8 224 496V448H96V496C96 504.8 88.84 512 80 512C71.17 512 64 504.8 64 496V448H16.32C15.65 448 14.97 447.1 14.3 447.9C11.98 447.7 9.806 446.9 7.887 445.8C5.967 444.7 4.261 443.1 2.919 441.2C1.824 439.7 .9991 437.9 .5108 436C.0189 434.1-.1116 432.2 .0929 430.3C.3389 427.1 1.081 425.8 2.211 423.9C3.339 421.1 4.88 420.3 6.792 418.9C7.341 418.5 7.915 418.2 8.512 417.9L26.81 407.7C57.12 390.9 81.31 364.9 96 333.6V272H48.34C47.03 272 45.73 271.9 44.49 271.6C42.14 271.1 39.99 270 38.16 268.6C36.32 267.2 34.79 265.3 33.71 263.2C32.9 261.6 32.35 259.8 32.12 257.1C31.89 256.1 31.99 254.2 32.39 252.5C32.92 250.1 33.96 247.1 35.39 246.2C36.82 244.3 38.66 242.8 40.81 241.7C41.95 241.1 43.17 240.7 44.45 240.4L49.29 239.2C92.44 228.4 131.1 204.5 160 170.8V123.5L149.1 127.2C140.7 129.1 131.6 125.4 128.8 117.1C126 108.7 130.6 99.62 138.9 96.82L169.1 86.48C211.2 72.75 249.6 51.84 283.5 24.72L309.8 3.705C310.8 2.826 311.1 2.1 313.2 1.531L313.2 1.53zM122.6 352C110.2 376.8 92.67 398.6 71.33 416H568.7C547.3 398.6 529.8 376.8 517.4 352H122.6zM512 320V272H128V320H512zM192 160H448V112.7C407.7 97.8 370.1 76.56 336.5 49.71L320 36.49L303.5 49.71C269.9 76.56 232.3 97.8 192 112.7V160zM511.9 240C491.1 226.1 472.2 210.8 456 192H183.1C167.8 210.8 148.9 226.1 128.1 240H511.9z"],
    "violin": [640, 512, [127931], "f8ed", "M471.1 96.01c13.25 0 24-10.75 24-24s-10.75-24-24-24s-24 10.75-24 24S458.7 96.01 471.1 96.01zM519.1 48.01c13.25 0 24-10.75 24-24s-10.75-24-24-24s-24 10.75-24 24S506.7 48.01 519.1 48.01zM481.1 192.8l-5.627-5.633l159.8-159.8c6.25-6.25 6.265-16.36 .0151-22.61s-16.35-6.229-22.6 .0208l-159.9 159.8l-5.707-5.66c-15.38-12.88-33-23-52.5-27.5C385.1 129.1 375.5 128.1 365.9 128c-21.12 0-47.45 5.643-69.33 27.39C292.9 159.1 290 163.3 287.2 167.4C289.8 185.6 284.4 204.1 272.4 218C260.3 232 242.8 240 224.4 240c-7.875 0-15.77-1.482-23.15-4.357C185.1 240.8 171.9 248.8 160.2 260.5C121.1 298.6 119 360.1 146.9 414L137.1 420c-5.625 3.75-9.25 9.75-9.875 16.38c-.625 6.75 1.75 13.38 6.5 18.12l50.88 50.88c2.375 2.25 5.125 4 8.125 5.125C194.5 510.8 195.5 510.9 196.5 511C198.1 511.5 199.8 511.9 201.4 512c.375 0 .6248-.25 1-.25c2.25-.25 4.5-.75 6.5-1.625c1.125-.25 2.125-.5 3.25-1C215.3 507.5 217.1 505 220 502l5.75-8.75c23.5 12.12 48.17 18.64 71.92 18.64c31 0 60.19-10.5 81.82-32.13c11.75-11.75 19.75-25.75 24.88-41c-16.12-42.25 15.01-86.52 59.14-86.52c2.875 0 5.867 .268 8.867 .643c4.25-2.875 8.501-5.75 12.25-9.5c24.88-25 32.38-61.44 24-97.94C504.1 225.1 493.1 208.3 481.1 192.8zM199.9 474.5L165.5 440.1l80-53.38l7.75 7.75L199.9 474.5zM462.4 320.3c-28.88 .375-56.13 13.75-73.88 36.5c-17.88 22.75-24.5 52.38-18 80.5c-3.25 7.375-7.875 14.12-13.62 19.88C337.1 476 314.3 479.9 297.6 479.9c-17.75 0-36.38-4.625-54-13.25l40.63-61c5.875-8.875 4.75-20.75-2.75-28.25L262.6 358.5c-4.125-3.625-9.375-5.875-14.88-6.375C247.4 352.1 247.1 352 246.8 352c-1.125 0-2.375 .25-3.5 .5c-.75 0-1.5 .125-2.25 .25c-2.375 .625-4.625 1.625-6.625 3l-60.88 40.5C153 354.5 156 309.9 182.9 283c5.75-5.625 12.38-10.25 19.75-13.62C237 277.5 273.1 265.9 296.4 239.1c15-17.12 23.38-39 23.38-61.75C331.6 165.9 347.1 160 365.9 160c7.25 0 14.38 .875 21.5 2.5C399.6 165.4 412 172 424.3 181.8l5.688 5.688l-105.3 105.3c-6.25 6.25-6.25 16.38 0 22.62C327.8 318.4 331.9 320 336 320s8.188-1.562 11.31-4.688l105.3-105.3l5.688 5.688C467.9 228 474.6 240.4 477.4 252.6C483.6 279.5 478.1 304.1 462.4 320.3zM615.1 96.01c-13.25 0-24 10.75-24 24s10.75 24 24 24S640 133.3 640 120S629.2 96.01 615.1 96.01zM567.1 144c-13.25 0-24 10.75-24 24s10.75 24 24 24s24-10.75 24-24S581.2 144 567.1 144zM347.3 4.688c-6.25-6.25-16.38-6.25-22.62 0l-320 320c-6.25 6.25-6.25 16.38 0 22.62C7.812 350.4 11.91 352 16 352s8.188-1.562 11.31-4.688l320-320C353.6 21.06 353.6 10.94 347.3 4.688z"],
    "virus": [512, 512, [], "e074", "M176 224C176 197.5 197.5 176 224 176C250.5 176 272 197.5 272 224C272 250.5 250.5 272 224 272C197.5 272 176 250.5 176 224zM224 240C232.8 240 240 232.8 240 224C240 215.2 232.8 208 224 208C215.2 208 208 215.2 208 224C208 232.8 215.2 240 224 240zM280 304C280 290.7 290.7 280 304 280C317.3 280 328 290.7 328 304C328 317.3 317.3 328 304 328C290.7 328 280 317.3 280 304zM120.2 74.98L128.4 83.15C163.7 118.4 224 93.44 224 43.55V32C224 14.33 238.3 0 256 0C273.7 0 288 14.33 288 32V43.55C288 93.44 348.3 118.4 383.6 83.15L391.8 74.98C404.3 62.48 424.5 62.48 437 74.98C449.5 87.48 449.5 107.7 437 120.2L428.9 128.4C393.6 163.7 418.6 224 468.5 224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H468.5C418.6 288 393.6 348.3 428.9 383.6L437 391.8C449.5 404.3 449.5 424.5 437 437C424.5 449.5 404.3 449.5 391.8 437L383.6 428.9C348.3 393.6 288 418.6 288 468.5V480C288 497.7 273.7 512 256 512C238.3 512 224 497.7 224 480V468.5C224 418.6 163.7 393.6 128.4 428.9L120.2 437C107.7 449.5 87.48 449.5 74.98 437C62.48 424.5 62.48 404.3 74.98 391.8L83.15 383.6C118.4 348.3 93.44 288 43.55 288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H43.55C93.44 224 118.4 163.7 83.15 128.4L74.98 120.2C62.48 107.7 62.48 87.48 74.98 74.98C87.48 62.48 107.7 62.48 120.2 74.98V74.98zM406.2 105.8C350.8 161.2 256 121.9 256 43.55C256 121.9 161.2 161.2 105.8 105.8C161.2 161.2 121.9 256 43.55 256C121.9 256 161.2 350.8 105.8 406.2C161.2 350.8 255.1 390 255.1 468.4C256 390 350.8 350.8 406.2 406.2C350.8 350.8 390.1 256 468.4 256C390.1 256 350.8 161.2 406.2 105.8H406.2z"],
    "virus-covid": [512, 512, [], "e4a8", "M144 224C144 197.5 165.5 176 192 176C218.5 176 240 197.5 240 224C240 250.5 218.5 272 192 272C165.5 272 144 250.5 144 224zM192 240C200.8 240 208 232.8 208 224C208 215.2 200.8 208 192 208C183.2 208 176 215.2 176 224C176 232.8 183.2 240 192 240zM280 304C280 290.7 290.7 280 304 280C317.3 280 328 290.7 328 304C328 317.3 317.3 328 304 328C290.7 328 280 317.3 280 304zM296 0C304.8 0 312 7.164 312 16C312 24.84 304.8 32 296 32H272V72.69C310.8 76.03 346.1 91.41 374.3 115.1L403.1 86.3L386.1 69.33C379.9 63.08 379.9 52.95 386.1 46.7C392.4 40.45 402.5 40.45 408.7 46.7L465.3 103.3C471.6 109.5 471.6 119.6 465.3 125.9C459.1 132.1 448.9 132.1 442.7 125.9L425.7 108.9L396.9 137.7C420.6 165.9 435.1 201.2 439.3 240H480V216C480 207.2 487.2 200 496 200C504.8 200 512 207.2 512 216V296C512 304.8 504.8 312 496 312C487.2 312 480 304.8 480 296V272H439.3C435.1 310.8 420.6 346.1 396.9 374.3L425.7 403.1L442.7 386.1C448.9 379.9 459.1 379.9 465.3 386.1C471.5 392.4 471.5 402.5 465.3 408.7L408.7 465.3C402.5 471.6 392.4 471.6 386.1 465.3C379.9 459.1 379.9 448.9 386.1 442.7L403.1 425.7L374.3 396.9C346.1 420.6 310.8 435.1 272 439.3V480H296C304.8 480 312 487.2 312 496C312 504.8 304.8 512 296 512H215.1C207.2 512 199.1 504.8 199.1 496C199.1 487.2 207.2 480 215.1 480H239.1V439.3C201.2 435.1 165.9 420.6 137.7 396.9L108.9 425.7L125.9 442.7C132.1 448.9 132.1 459.1 125.9 465.3C119.6 471.5 109.5 471.5 103.3 465.3L46.7 408.7C40.45 402.5 40.45 392.4 46.7 386.1C52.94 379.9 63.07 379.9 69.32 386.1L86.3 403.1L115.1 374.3C91.41 346.1 76.03 310.8 72.69 271.1H32V295.1C32 304.8 24.84 311.1 16 311.1C7.164 311.1 0 304.8 0 295.1V215.1C0 207.2 7.164 199.1 16 199.1C24.84 199.1 32 207.2 32 215.1V239.1H72.69C76.03 201.2 91.41 165.9 115.1 137.7L86.3 108.9L69.33 125.9C63.08 132.1 52.95 132.1 46.7 125.9C40.45 119.6 40.45 109.5 46.7 103.3L103.3 46.7C109.5 40.45 119.6 40.45 125.9 46.7C132.1 52.94 132.1 63.07 125.9 69.32L108.9 86.3L137.7 115.1C165.9 91.41 201.2 76.03 240 72.69V32H216C207.2 32 200 24.84 200 16C200 7.164 207.2 0 216 0L296 0zM256 408C339.9 408 408 339.9 408 256C408 172.1 339.9 104 256 104C172.1 104 104 172.1 104 256C104 339.9 172.1 408 256 408z"],
    "virus-covid-slash": [640, 512, [], "e4a9", "M503.3 272C502.1 286.1 499.3 299.7 495.1 312.7L467.9 291.2C470.6 279.9 472 268.1 472 256C472 172.1 403.9 104 319.1 104C295.3 104 272 109.9 251.4 120.3L224.2 98.85C247.8 84.44 274.1 75.19 303.1 72.69V32H279.1C271.2 32 263.1 24.84 263.1 16C263.1 7.164 271.2 0 279.1 0H360C368.8 0 376 7.164 376 16C376 24.84 368.8 32 360 32H336V72.69C374.8 76.03 410.1 91.41 438.3 115.1L467.1 86.3L450.1 69.33C443.9 63.08 443.9 52.95 450.1 46.7C456.4 40.45 466.5 40.45 472.7 46.7L529.3 103.3C535.6 109.5 535.6 119.6 529.3 125.9C523.1 132.1 512.9 132.1 506.7 125.9L489.7 108.9L460.9 137.7C484.6 165.9 499.1 201.2 503.3 240H544V216C544 207.2 551.2 200 560 200C568.8 200 576 207.2 576 216V296C576 304.8 568.8 312 560 312C551.2 312 544 304.8 544 296V272H503.3zM319.1 408C344.7 408 367.1 402.1 388.6 391.7L415.8 413.1C392.2 427.6 365 436.8 336 439.3V480H360C368.8 480 376 487.2 376 496C376 504.8 368.8 512 360 512H279.1C271.2 512 263.1 504.8 263.1 496C263.1 487.2 271.2 480 279.1 480H303.1V439.3C265.2 435.1 229.9 420.6 201.7 396.9L172.9 425.7L189.9 442.7C196.1 448.9 196.1 459.1 189.9 465.3C183.6 471.6 173.5 471.6 167.3 465.3L110.7 408.7C104.4 402.5 104.4 392.4 110.7 386.1C116.9 379.9 127.1 379.9 133.3 386.1L150.3 403.1L179.1 374.3C155.4 346.1 140 310.8 136.7 272H96V296C96 304.8 88.84 312 80 312C71.16 312 64 304.8 64 296V216C64 207.2 71.16 200 80 200C88.84 200 96 207.2 96 216V240H136.7C137.9 225.9 140.7 212.3 144.9 199.3L172.1 220.8C169.4 232.1 168 243.9 168 256C168 339.9 236.1 408 320 408H319.1zM633.9 483.4C640.9 488.9 642 498.1 636.6 505.9C631.1 512.9 621 514 614.1 508.6L6.086 28.56C-.8493 23.08-2.033 13.02 3.443 6.087C8.918-.849 18.98-2.033 25.91 3.443L633.9 483.4z"],
    "virus-slash": [640, 512, [], "e075", "M532.5 287.1C514.1 287.1 499.2 296.1 489.3 308.1L464.2 288.3C479.7 269 503.4 256 532.4 255.1C454.1 255.1 414.8 161.2 470.2 105.8C414.8 161.2 319.1 121.9 319.1 43.55C319.1 85.18 293.3 115.8 259.9 127L224.7 99.23C255.8 103.1 287.1 79.99 287.1 43.55V32C287.1 14.33 302.3 0 319.1 0C337.7 0 352 14.33 352 32V43.55C352 93.44 412.3 118.4 447.6 83.15L455.8 74.98C468.3 62.48 488.5 62.48 501 74.98C513.5 87.48 513.5 107.7 501 120.2L492.9 128.4C457.6 163.7 482.6 224 532.5 224H544C561.7 224 576 238.3 576 256C576 273.7 561.7 288 544 288L532.5 287.1zM169.8 406.2C225.2 350.8 319.1 390 319.1 468.4C320 426.8 346.7 396.2 380.1 384.1L415.3 412.8C384.2 408.9 352 432 352 468.5V480C352 497.7 337.7 512 319.1 512C302.3 512 287.1 497.7 287.1 480V468.5C287.1 418.6 227.7 393.6 192.4 428.9L184.2 437C171.7 449.5 151.5 449.5 138.1 437C126.5 424.5 126.5 404.3 138.1 391.8L147.1 383.6C182.4 348.3 157.4 287.1 107.5 287.1H95.1C78.33 287.1 63.1 273.7 63.1 255.1C63.1 238.3 78.33 223.1 95.1 223.1H107.5C125.9 223.1 140.8 215.9 150.7 203.9L175.8 223.7C160.3 242.1 136.6 255.1 107.5 255.1C185.9 256 225.2 350.8 169.8 406.2H169.8zM633.9 483.4C640.9 488.9 642 498.1 636.6 505.9C631.1 512.9 621 514 614.1 508.6L6.086 28.56C-.8493 23.08-2.033 13.02 3.443 6.086C8.918-.8493 18.98-2.033 25.91 3.443L633.9 483.4z"],
    "viruses": [640, 512, [], "e076", "M240 224c0 8.836-7.164 16-16 16S208 232.8 208 224c0-8.838 7.164-16 16-16S240 215.2 240 224zM316.3 286.2l11.44 11.43c8.332 8.334 8.331 21.84-.0012 30.17c-4.168 4.168-9.624 6.248-15.08 6.248s-10.92-2.082-15.08-6.25L286.2 316.3C277.5 307.6 266.8 303.8 256.3 303.8c-21.93 0-42.97 17.03-42.97 42.75v16.16C213.3 374.5 203.8 384 192 384s-21.33-9.543-21.33-21.33v-16.16c0-25.72-21.04-42.75-42.97-42.75c-10.48 0-21.17 3.891-29.86 12.58l-11.43 11.43c-4.168 4.168-9.625 6.25-15.08 6.25s-10.91-2.08-15.08-6.248c-8.332-8.332-8.336-21.83-.0043-30.17L67.66 286.2c26.88-26.88 7.842-72.84-30.17-72.84H21.33C9.541 213.3 0 203.8 0 192c0-11.79 9.541-21.33 21.33-21.33h16.16c38.01 0 57.05-45.96 30.17-72.84L56.23 86.4c-8.332-8.332-8.331-21.83 .0012-30.17c4.168-4.168 9.624-6.247 15.08-6.247s10.92 2.081 15.08 6.249l11.43 11.43c8.693 8.693 19.38 12.58 29.86 12.58c21.93 0 42.97-17.03 42.97-42.75V21.33C170.7 9.542 180.2 0 192 0s21.33 9.542 21.33 21.33v16.16c0 25.72 21.04 42.75 42.97 42.75c10.48 0 21.17-3.891 29.86-12.58l11.43-11.43c4.168-4.168 9.625-6.249 15.08-6.249s10.92 2.079 15.08 6.247c8.332 8.334 8.333 21.84 .0012 30.17L316.3 97.83c-26.88 26.88-7.842 72.84 30.17 72.84h16.16C374.5 170.7 384 180.2 384 192c0 11.79-9.541 21.33-21.33 21.33h-16.16C308.5 213.3 289.5 259.3 316.3 286.2zM307.1 192c-13.38-8.053-24.17-20.29-30.44-35.43C271.3 141.5 270.2 125.2 273.1 110.1c-5.725 1.416-11.64 2.146-17.66 2.146C229 112.2 205.1 97.65 192 75.89C178.9 97.65 154.1 112.2 127.7 112.2c-6.02 0-11.94-.7305-17.66-2.146c3.736 15.13 2.701 31.38-3.553 46.47C100.2 171.7 89.42 183.9 76.04 192c13.38 8.053 24.17 20.29 30.44 35.42c6.254 15.1 7.289 31.35 3.553 46.47c5.725-1.416 11.64-2.145 17.66-2.145C154.1 271.8 178.9 286.3 192 308.1c13.12-21.77 37.04-36.36 64.31-36.36c6.018 0 11.94 .7285 17.66 2.145C270.2 258.8 271.3 242.5 277.5 227.4C283.8 212.3 294.6 200.1 307.1 192zM480 336c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16s16-7.164 16-16C496 343.2 488.8 336 480 336zM640 368c0 8.844-7.156 16-16 16h-12.12c-28.51 0-42.79 34.47-22.63 54.63l8.576 8.576c6.25 6.25 6.247 16.38-.0031 22.63c-3.125 3.125-7.216 4.684-11.31 4.684s-8.188-1.562-11.31-4.688l-8.576-8.576c-6.52-6.52-14.53-9.436-22.39-9.436C527.8 451.8 512 464.6 512 483.9V496c0 8.844-7.156 16-16 16S480 504.8 480 496v-12.12c0-19.29-15.78-32.06-32.23-32.06c-7.863 0-15.88 2.918-22.4 9.436l-8.576 8.576c-3.125 3.125-7.219 4.688-11.31 4.688s-8.191-1.566-11.32-4.691c-6.25-6.25-6.247-16.37 .0031-22.62l8.576-8.576C422.9 418.5 408.6 384 380.1 384H368c-8.844 0-16-7.156-16-16s7.156-16 16-16h12.12c28.51 0 42.79-34.47 22.63-54.63l-8.576-8.576c-6.25-6.25-6.247-16.38 .0031-22.63c3.125-3.125 7.216-4.684 11.31-4.684s8.188 1.562 11.31 4.688l8.576 8.576c6.52 6.52 14.53 9.436 22.4 9.436C464.2 284.2 480 271.4 480 252.1V240C480 231.2 487.2 224 496 224S512 231.2 512 240v12.12c0 19.29 15.78 32.06 32.23 32.06c7.861 0 15.88-2.918 22.39-9.436l8.576-8.576c3.125-3.125 7.219-4.688 11.31-4.688s8.188 1.566 11.31 4.691c6.25 6.25 6.25 16.37 0 22.62l-8.576 8.576C569.1 317.5 583.4 352 611.9 352H624C632.8 352 640 359.2 640 368zM569.5 368c-7.143-6.316-12.92-14.29-16.74-23.51c-3.814-9.207-5.363-18.91-4.787-28.41c-1.238 .0723-2.484 .1074-3.734 .1074c-19.2 0-36.45-8.439-48.23-21.8c-11.78 13.36-29.04 21.8-48.23 21.8c-1.25 0-2.496-.0352-3.734-.1074c.5762 9.502-.9727 19.21-4.787 28.41c-3.818 9.225-9.6 17.19-16.74 23.51c7.143 6.316 12.92 14.29 16.74 23.51c3.814 9.207 5.363 18.91 4.787 28.41c1.238-.0723 2.484-.1074 3.734-.1074c19.2 0 36.45 8.439 48.23 21.8c11.78-13.36 29.04-21.8 48.23-21.8c1.25 0 2.496 .0352 3.734 .1074c-.5762-9.502 .9727-19.21 4.787-28.41C556.6 382.3 562.4 374.3 569.5 368zM168 144C154.7 144 144 154.7 144 168C144 181.3 154.7 192 168 192S192 181.3 192 168C192 154.7 181.3 144 168 144z"],
    "voicemail": [640, 512, [], "f897", "M640 240c0-79.5-64.5-144-144-144S352 160.5 352 240c0 45.5 21.5 85.63 54.5 112h-173C266.5 325.6 288 285.5 288 240C288 160.5 223.5 96 144 96S0 160.5 0 240c0 74 56.12 134.4 128 142.4V384h384v-1.625C583.9 374.4 640 314 640 240zM32 240C32 178.1 82.12 128 144 128S256 178.1 256 240S205.9 352 144 352C82.12 351.9 32.12 301.9 32 240zM496 352C434.1 352 384 301.9 384 240S434.1 128 496 128S608 178.1 608 240C607.9 301.9 557.9 351.9 496 352z"],
    "volcano": [512, 512, [127755], "f770", "M340.7 116.7l-48 48c-6.25 6.25-6.25 16.38 0 22.62C295.8 190.4 299.9 192 304 192s8.188-1.562 11.31-4.688l48-48c6.25-6.25 6.25-16.38 0-22.62S346.9 110.4 340.7 116.7zM112 96C120.8 96 128 88.84 128 80c0-17.66 14.36-32 32-32c9.531 0 18.55 4.375 24.73 12.03c3.422 4.25 8.609 6.312 14.23 5.844C204.4 65.25 209.1 61.91 211.5 57C218.1 41.81 236.4 32 256 32s37.02 9.812 44.45 25c2.406 4.906 7.156 8.25 12.58 8.875c5.422 .4687 10.81-1.594 14.23-5.844C333.5 52.38 342.5 48 352 48c17.64 0 32 14.34 32 32C384 88.84 391.2 96 400 96s16.01-7.156 16.01-16c0-35.28-28.71-64-64-64c-12.33 0-24.18 3.562-34.33 10.12C302.7 9.844 280.2 0 255.1 0s-46.72 9.844-61.67 26.12C184.2 19.56 172.3 16 159.1 16c-35.3 0-64 28.72-64 64C95.99 88.84 103.2 96 112 96zM148.7 116.7c-6.25 6.25-6.25 16.38 0 22.62l48 48C199.8 190.4 203.9 192 208 192s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62l-48-48C165.1 110.4 154.9 110.4 148.7 116.7zM502.6 447.3l-178.2-209.9C317.2 228.9 306.7 224 295.7 224H216.3C205.3 224 194.8 228.9 187.6 237.4l-178.2 209.9C-12.01 472.6 5.467 512 38.1 512h435.8C506.5 512 524 472.6 502.6 447.3zM211.1 258.1C213.1 256.8 214.7 256 216.3 256h79.46c1.584 0 3.141 .7656 4.273 2.1l63.94 75.34l-18.09 18.1c-6.453 6.406-15.11 9.625-24.09 9.312c-9.094-.4062-17.31-4.469-23.12-11.47l-17.16-20.59c-21.84-26.16-60.3-30.69-87.56-10.22l-14.7 11.03C173.7 333.7 166.9 336 160 336H145.9L211.1 258.1zM479.2 476.3C477.5 480 474.8 480 473.9 480H38.1c-.8848 0-3.58 0-5.297-3.707c-.791-1.707-1.707-5.053 1.025-8.273L118.7 368H160c13.73 0 27.36-4.531 38.39-12.78l14.73-11.03c13.62-10.31 32.89-7.969 43.77 5.094l17.16 20.59c11.48 13.78 28.34 22.12 46.25 22.94c.9687 .0625 1.938 .0938 2.906 .0938c16.91 0 33.27-6.75 45.28-18.75l16.23-16.24l93.45 110.1C480.9 471.2 479.1 474.6 479.2 476.3zM240 96v80C240 184.8 247.2 192 256 192s16-7.156 16-16V96c0-8.844-7.156-16-16-16S240 87.16 240 96z"],
    "volleyball": [512, 512, [127952, "volleyball-ball"], "f45f", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM480 256c0 6.359-.4316 12.62-.9551 18.85c-22.94 5-45.04 7.867-65.29 7.832c4.967-40.59 6.307-131.4-51.14-223.6C432.5 97.01 480 171.1 480 256zM171.4 352.3c32.64-44.53 69.08-68.89 84.32-77.86C276.5 286.3 334.7 315 414.4 315c18.52 0 38.46-2.266 59.03-6c-9.486 38.88-29.04 73.8-55.88 101.8C291.4 432.5 202.7 376.4 171.4 352.3zM309.2 38.66c81.9 98.4 77.72 203.3 72.46 242.4c-54.8-5.992-94.08-25.31-109.5-34.04c-.2129-30.16-8.186-121.8-79.26-205.8C212.9 35.3 234.1 32 256 32C274.4 32 292.1 34.47 309.2 38.66zM161.4 53.23c15.84 17.39 28.73 35.22 38.84 52.8C162.7 122 83.5 166.1 32.29 261.8C32.24 259.9 32 257.1 32 256C32 166.3 85.11 88.98 161.4 53.23zM41.1 318.7C85.37 198.4 178.4 149.6 214.9 134.6c22.21 50.46 25.1 94.15 25.26 111.9c-25.99 15.25-101.3 67.95-138.6 171.4C73.45 391 52.29 357 41.1 318.7zM128.4 439.8c7.064-22.39 15.48-43.09 25.62-60.58c31.47 23.71 104.6 68.58 207.2 68.58c3.551 0 7.457-.6016 11.1-.7461C338.3 467.8 298.6 480 256 480C208.6 480 164.6 465.1 128.4 439.8z"],
    "volume": [576, 512, [128265, "volume-medium"], "f6a8", "M333.2 34.84c-4.201-1.895-8.727-2.841-13.16-2.841c-7.697 0-15.29 2.784-21.27 8.1L163.8 160H80c-26.51 0-48 21.49-48 47.1v95.1c0 26.51 21.49 47.1 48 47.1h83.84l134.9 119.9C304.7 477.2 312.3 480 320 480c4.438 0 8.959-.9312 13.16-2.837C344.7 472 352 460.6 352 448V64C352 51.41 344.7 39.1 333.2 34.84zM319.1 447.1L175.1 319.1H80c-8.822 0-16-7.16-16-15.96v-96c0-8.801 7.178-15.96 16-15.96h95.1l143.1-127.1c.0078-.0078-.0039 .0039 0 0L319.1 447.1zM491.4 98.7c-7.344-4.922-17.28-2.953-22.2 4.391s-2.953 17.28 4.391 22.2C517.7 154.8 544 203.7 544 256s-26.33 101.2-70.44 130.7c-7.344 4.922-9.312 14.86-4.391 22.2C472.3 413.5 477.3 416 482.5 416c3.062 0 6.156-.875 8.891-2.703C544.4 377.8 576 319 576 256S544.4 134.2 491.4 98.7zM438.4 178.7c-7.328-4.922-17.28-2.953-22.2 4.391s-2.953 17.28 4.391 22.2C437.8 216.8 448 235.7 448 256s-10.23 39.23-27.38 50.7c-7.344 4.922-9.312 14.86-4.391 22.2C419.3 333.5 424.4 336 429.5 336c3.062 0 6.156-.875 8.891-2.703C464.5 315.9 480 286.1 480 256S464.5 196.1 438.4 178.7z"],
    "volume-high": [640, 512, [128266, "volume-up"], "f028", "M301.2 34.98c-4.201-1.895-8.727-2.902-13.16-2.902c-7.697 0-15.29 2.876-21.27 8.192L131.8 160.1H48c-26.51 0-48 21.45-48 47.96v95.92c0 26.51 21.49 47.96 48 47.96h83.84l134.9 119.8C272.7 477 280.3 479.8 288 479.8c4.438 0 8.959-.9292 13.16-2.835C312.7 471.8 320 460.5 320 447.9V64.12C320 51.53 312.7 40.14 301.2 34.98zM287.1 447.1L143.1 319.1H48c-8.822 0-16-7.16-16-15.96v-96c0-8.801 7.178-15.96 16-15.96h95.1l143.1-127.1c.0078-.0078-.0039 .0039 0 0L287.1 447.1zM520.9 34.7c-7.328-4.906-17.27-2.953-22.2 4.391c-4.922 7.344-2.953 17.28 4.391 22.2C568.8 105.3 608 178.1 608 256s-39.22 150.7-104.9 194.7c-7.344 4.922-9.312 14.86-4.391 22.2C501.8 477.5 506.9 480 512 480c3.062 0 6.156-.875 8.891-2.703C595.5 427.3 640 344.6 640 255.1S595.5 84.66 520.9 34.7zM459.4 98.7c-7.344-4.922-17.28-2.953-22.2 4.391s-2.953 17.28 4.391 22.2C485.7 154.8 512 203.7 512 256s-26.33 101.2-70.44 130.7c-7.344 4.922-9.312 14.86-4.391 22.2C440.3 413.5 445.3 416 450.5 416c3.062 0 6.156-.875 8.891-2.703C512.4 377.8 544 318.1 544 255.1S512.4 134.2 459.4 98.7zM406.4 178.7c-7.328-4.922-17.28-2.953-22.2 4.391s-2.953 17.28 4.391 22.2C405.8 216.8 416 235.7 416 256s-10.23 39.23-27.38 50.7c-7.344 4.922-9.312 14.86-4.391 22.2C387.3 333.5 392.4 336 397.5 336c3.062 0 6.156-.875 8.891-2.703C432.5 315.9 448 286.1 448 255.1S432.5 196.1 406.4 178.7z"],
    "volume-low": [448, 512, [128264, "volume-down"], "f027", "M301.2 34.84c-4.201-1.895-8.727-2.842-13.16-2.842c-7.697 0-15.29 2.784-21.27 8.101L131.8 160H48c-26.51 0-48 21.49-48 47.1v95.1c0 26.51 21.49 47.1 48 47.1h83.84l134.9 119.9C272.7 477.2 280.3 480 288 480c4.438 0 8.959-.9312 13.16-2.837C312.7 472 320 460.6 320 448V64C320 51.41 312.7 39.1 301.2 34.84zM287.1 447.1L143.1 319.1H48c-8.822 0-16-7.16-16-15.96v-96c0-8.801 7.178-15.96 16-15.96h95.1l143.1-127.1c.0078-.0078-.0039 .0039 0 0L287.1 447.1zM406.4 178.7c-7.328-4.922-17.28-2.953-22.2 4.391s-2.953 17.28 4.391 22.2C405.8 216.8 416 235.7 416 256s-10.23 39.23-27.38 50.7c-7.344 4.922-9.312 14.86-4.391 22.2C387.3 333.5 392.4 336 397.5 336c3.062 0 6.156-.875 8.891-2.703C432.5 315.9 448 286.1 448 256S432.5 196.1 406.4 178.7z"],
    "volume-off": [320, 512, [], "f026", "M301.2 34.84c-4.201-1.895-8.727-2.841-13.16-2.841c-7.697 0-15.29 2.784-21.27 8.1L131.8 160H48c-26.51 0-48 21.49-48 47.1v95.1c0 26.51 21.49 47.1 48 47.1h83.84l134.9 119.9C272.7 477.2 280.3 480 288 480c4.438 0 8.959-.9312 13.16-2.837C312.7 472 320 460.6 320 448V64C320 51.41 312.7 39.1 301.2 34.84zM287.1 447.1L143.1 319.1H48c-8.822 0-16-7.16-16-15.96v-96c0-8.801 7.178-15.96 16-15.96h95.1l143.1-127.1c.0078-.0078-.0039 .0039 0 0L287.1 447.1z"],
    "volume-slash": [640, 512, [128263], "f2e2", "M351.1 64.05C351.1 64.04 351.1 64.05 351.1 64.05l.002 135.6L384 224.1V64c0-12.6-7.337-24.01-18.84-29.16c-4.201-1.895-8.727-2.841-13.16-2.841c-7.697 0-15.29 2.784-21.27 8.1L245.6 115.7L271.2 135.9L351.1 64.05zM480 256c0 12.91-4.529 25.05-11.97 35.3L493 311C504.8 295.2 512 276.2 512 256c0-30.97-15.53-59.86-41.56-77.3c-7.328-4.922-17.28-2.953-22.2 4.391s-2.953 17.28 4.391 22.2C469.8 216.8 480 235.7 480 256zM576 256c0 34.73-11.82 67.81-32.54 94.86l25.07 19.79C593.7 338 608 298 608 256c0-63-31.64-121.8-84.63-157.3c-7.344-4.922-17.28-2.953-22.2 4.391s-2.953 17.28 4.391 22.2C549.7 154.8 576 203.7 576 256zM351.1 447.1L207.1 319.1H112c-8.822 0-16-7.16-16-15.96v-96c0-8.801 7.178-15.96 16-15.96h23.71L98.04 162.3C78.39 168.3 64 186.4 64 208V304c0 26.51 21.49 47.1 48 47.1h83.84l134.9 119.9C336.7 477.2 344.3 480 352 480c4.438 0 8.959-.9312 13.16-2.837C376.7 472 384 460.6 384 448v-59.93l-32.02-25.28L351.1 447.1zM633.9 483.4L25.92 3.42c-6.938-5.453-17-4.25-22.48 2.641c-5.469 6.938-4.281 17 2.641 22.48l608 480C617 510.9 620.5 512 623.1 512c4.734 0 9.422-2.094 12.58-6.078C642 498.1 640.8 488.9 633.9 483.4z"],
    "volume-xmark": [576, 512, ["volume-mute", "volume-times"], "f6a9", "M502.6 256l52.69-52.69c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0L480 233.4l-52.69-52.69c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L457.4 256l-52.69 52.69c-6.25 6.25-6.25 16.38 0 22.62c6.246 6.246 16.37 6.254 22.62 0L480 278.6l52.69 52.69c6.246 6.246 16.37 6.254 22.62 0c6.25-6.25 6.25-16.38 0-22.62L502.6 256zM288 31.1c-7.697 0-15.29 2.784-21.27 8.1L131.8 160H48c-26.51 0-48 21.49-48 47.1v95.1c0 26.51 21.49 47.1 48 47.1h83.84l134.9 119.9c5.984 5.312 13.58 8.094 21.26 8.094c21.04 0 31.1-17.87 31.1-31.1V64C319.1 50.14 309.1 31.1 288 31.1zM287.1 447.1L143.1 319.1H48c-8.822 0-16-7.16-16-15.96v-96c0-8.801 7.178-15.96 16-15.96h95.1l143.1-127.1c.0078-.0078-.0039 .0039 0 0L287.1 447.1z"],
    "vr-cardboard": [640, 512, [], "f729", "M464 160C419.9 160 384 195.8 384 240c0 44.13 35.88 80 80 80S544 284.1 544 240S508.1 160 464 160zM464 288C437.5 288 416 266.5 416 240S437.5 192 464 192S512 213.5 512 240S490.5 288 464 288zM576 64H64c-35.35 0-64 28.65-64 64v256c0 35.35 28.65 64 64 64L213.6 448c25.22 0 48.11-14.77 58.51-37.75l16.64-36.77C294.6 360.2 306.8 352 320 352s25.36 8.234 31.23 21.48l16.64 36.77C378.3 433.2 401.2 448 426.4 448L576 448c35.35 0 64-28.65 64-64v-256C640 92.65 611.3 64 576 64zM608 384c0 17.67-14.33 32-32 32h-149.9c-12.57 0-23.96-7.375-29.11-18.84l-16.52-36.79c-11.12-24.5-34.75-40.37-60.5-40.37s-49.38 15.87-60.5 40.37l-16.52 36.79C237.8 408.6 226.4 416 213.9 416H64c-17.67 0-32-14.33-32-32V128c0-17.67 14.33-32 32-32h512c17.67 0 32 14.33 32 32V384zM176 160C131.9 160 96 195.8 96 240C96 284.1 131.9 320 176 320S256 284.1 256 240S220.1 160 176 160zM176 288C149.5 288 128 266.5 128 240S149.5 192 176 192S224 213.5 224 240S202.5 288 176 288z"],
    "w": [576, 512, [119], "57", "M406.1 480h-.5938c-6.922-.2813-12.89-4.938-14.8-11.59L288 106.2L184.4 468.4C182.5 475.1 176.5 479.7 169.6 480c-7.672-.5313-13.22-3.969-15.61-10.47L.986 53.5C-2.061 45.19 2.189 36 10.49 32.94c8.281-2.938 17.48 1.219 20.53 9.501l136.1 370L272.6 43.57c3.937-13.75 26.84-13.75 30.78 0l105.5 368.9l136.1-370c3.062-8.282 12.3-12.44 20.53-9.501c8.297 3.063 12.55 12.25 9.5 20.56l-152.1 416C419.7 475.8 413.7 480 406.1 480z"],
    "waffle": [512, 512, [129479], "e466", "M511.7 225.4c-13.94-118.7-106.7-211.2-225.5-225.1c-1.857-.2207-3.717-.3281-5.573-.3281c-8.627 0-17.13 2.341-24.59 6.675C248.5 2.346 240 0 231.4 0C229.6 0 227.7 .1094 225.8 .334C106.1 14.21 14.26 106.8 .3184 225.4c-1.221 10.55 1.096 21.1 6.359 30.12C1.414 264.6-.9023 275.1 .3184 285.7c0 0 0-.0156 0 0c14.38 122.6 114.3 217.7 237.7 226.2C238.9 511.1 239.8 512 240.7 512C245.1 512 251.1 510.7 256 508.6C260.9 510.7 266 512 271.3 512c.875 0 1.75-.0313 2.625-.0938c123.4-8.5 223.3-103.6 237.7-226.2c1.221-10.54-1.094-21.08-6.357-30.11C510.6 246.5 512.9 235.1 511.7 225.4zM479.9 229.1c.4121 3.566-.3535 7.139-2.215 10.33L477.4 240l-93.36 .001V160L459.1 160C469.1 181.4 477 204.6 479.9 229.1zM479.9 281.9C476.1 306.9 469.6 330.3 459.3 352l-75.31 .001v-80L477.7 272C479.5 275.1 480.3 278.5 479.9 281.9zM32.11 281.1C31.71 278.5 32.52 275.1 34.25 272l93.75 .001v80L52.68 352C42.36 330.3 35.03 306.9 32.11 281.1zM34.32 239.4c-1.861-3.195-2.629-6.768-2.223-10.28C34.99 204.6 42.01 181.4 52.02 160l75.99 .002v79.1L34.64 240L34.32 239.4zM240 240L160 240V160h79.1L240 240zM272 160h79.1v79.1l-80-.0006L272 160zM160 272l79.1-.0006l.0018 80H160V272zM272 272l80 .0006v80h-79.1L272 272zM441.7 128l-57.67 .002L384 70.37C406.6 85.9 426.1 105.4 441.7 128zM280.6 32.01c.6016 0 1.207 .0332 1.863 .1113C307.2 35 330.5 42.03 352 52.07l.002 75.93h-79.1L272 34.39C274.6 32.86 277.7 32.01 280.6 32.01zM229.7 32.11C230.3 32.03 230.8 32 231.4 32c2.871 0 5.881 .8301 8.475 2.34L240 128H160L160 52.09C181.6 42.03 204.9 34.1 229.7 32.11zM128 70.39l.0049 57.61L70.34 128C85.88 105.4 105.4 85.92 128 70.39zM71.4 384h56.6L128 440.6C105.9 425.3 86.83 406.1 71.4 384zM160 458.8L160 384h79.1L240 479.9C211.5 477.1 184.6 470.4 160 458.8zM272 479.9L272 384h79.1L352 458.7C327.4 470.3 300.5 477.9 272 479.9zM384 440.5L384 384h56.57C425.2 406 406.1 425.2 384 440.5z"],
    "wagon-covered": [640, 512, [], "f8ee", "M239.4 34.14C250.1 13.84 271.4-.002 295.1-.002H344C368.6-.002 389.9 13.84 400.6 34.14C413.8 21.54 431.2 13.35 450.7 12.05L565.8 4.378C607.5 1.596 637.5 43.87 620.1 82.31L560.3 224C568.1 224.1 576 231.3 576 239.1V271.1C576 280.8 568.8 287.1 560 287.1C551.2 287.1 544 280.8 544 271.1V255.1H96V271.1C96 280.8 88.84 287.1 80 287.1C71.16 287.1 64 280.8 64 271.1V239.1C64 231.3 71.02 224.1 79.74 224L19.01 82.31C2.539 43.87 32.48 1.596 74.21 4.379L189.3 12.05C208.8 13.35 226.2 21.54 239.4 34.14L239.4 34.14zM114.6 224H231.1V91.88C231.1 66.61 212.4 45.66 187.2 43.98L72.08 36.31C54.2 35.12 41.36 53.23 48.42 69.71L114.6 224zM408 224H525.4L591.6 69.71C598.6 53.23 585.8 35.12 567.9 36.31L452.8 43.98C427.6 45.66 408 66.61 408 91.88L408 224zM263.1 223.1H376V63.1C376 46.33 361.7 31.1 344 31.1H295.1C278.3 31.1 263.1 46.33 263.1 63.1V223.1zM64 400C64 338.1 114.1 287.1 176 287.1C232.4 287.1 279.1 329.7 286.9 384H353.1C360.9 329.7 407.6 287.1 464 287.1C525.9 287.1 576 338.1 576 400C576 461.9 525.9 512 464 512C407.6 512 360.9 470.3 353.1 416H286.9C279.1 470.3 232.4 512 176 512C114.1 512 64 461.9 64 400V400zM192 478.4C223.3 472 248 447.3 254.4 416H192V478.4zM160 478.4V416H97.6C103.1 447.3 128.7 472 160 478.4zM96 399.6L95.1 400L96 400.4V399.6zM97.6 384H160V321.6C128.7 327.1 103.1 352.7 97.6 384V384zM192 321.6V384H254.4C248 352.7 223.3 327.1 192 321.6zM480 416V478.4C511.3 472 536 447.3 542.4 416H480zM385.6 416C391.1 447.3 416.7 472 448 478.4V416H385.6zM384 400.4V399.6L384 400L384 400.4zM448 321.6C416.7 327.1 391.1 352.7 385.6 384H448V321.6zM542.4 384C536 352.7 511.3 327.1 480 321.6V384H542.4z"],
    "walker": [448, 512, [], "f831", "M95.1 224V223.6L31.58 499.6C29.57 508.2 20.97 513.6 12.36 511.6C3.759 509.6-1.589 500.1 .4182 492.4L100.9 61.82C109.3 25.61 141.6 0 178.8 0H320C364.2 0 400 35.82 400 80V386C427.6 393.1 448 418.2 448 448C448 483.3 419.3 512 384 512C348.7 512 320 483.3 320 448C320 418.2 340.4 393.1 368 386V224H95.1zM178.8 32C156.5 32 137.1 47.37 132 69.09L103.4 192H368V80C368 53.49 346.5 32 320 32H178.8zM384 480C401.7 480 416 465.7 416 448C416 430.3 401.7 416 384 416C366.3 416 352 430.3 352 448C352 465.7 366.3 480 384 480z"],
    "walkie-talkie": [384, 512, [], "f8ef", "M320 96H96V16C96 7.162 88.84 0 80 0S64 7.162 64 16V96C28.65 96 0 124.7 0 160v133.5c0 16.97 6.744 33.25 18.75 45.25L32 352v96c0 35.35 28.65 64 64 64h192c35.35 0 64-28.65 64-64v-96l13.26-13.26C377.3 326.7 384 310.5 384 293.5V160C384 124.7 355.3 96 320 96zM352 293.5c0 8.547-3.328 16.58-9.371 22.63L320 338.7V448c0 17.64-14.36 32-32 32H96c-17.64 0-32-14.36-32-32v-109.3L41.37 316.1C35.33 310.1 32 302 32 293.5V160c0-17.64 14.36-32 32-32h256c17.64 0 32 14.36 32 32V293.5zM176 80h32C216.8 80 224 72.84 224 64s-7.156-16-16-16h-32C167.2 48 160 55.16 160 64S167.2 80 176 80zM272 176h-160C103.2 176 96 183.2 96 192s7.156 16 16 16h160C280.8 208 288 200.8 288 192S280.8 176 272 176zM272 240h-160C103.2 240 96 247.2 96 256s7.156 16 16 16h160C280.8 272 288 264.8 288 256S280.8 240 272 240zM272 304h-160C103.2 304 96 311.2 96 320s7.156 16 16 16h160c8.844 0 16-7.156 16-16S280.8 304 272 304zM272 80h32C312.8 80 320 72.84 320 64s-7.156-16-16-16h-32C263.2 48 256 55.16 256 64S263.2 80 272 80z"],
    "wallet": [512, 512, [], "f555", "M464 32C472.8 32 480 39.16 480 48C480 56.84 472.8 64 464 64H80C53.49 64 32 85.49 32 112V400C32 426.5 53.49 448 80 448H432C458.5 448 480 426.5 480 400V176C480 149.5 458.5 128 432 128H112C103.2 128 96 120.8 96 112C96 103.2 103.2 96 112 96H432C476.2 96 512 131.8 512 176V400C512 444.2 476.2 480 432 480H80C35.82 480 0 444.2 0 400V112C0 67.82 35.82 32 80 32H464zM360 288C360 274.7 370.7 264 384 264C397.3 264 408 274.7 408 288C408 301.3 397.3 312 384 312C370.7 312 360 301.3 360 288z"],
    "wand": [512, 512, [], "f72a", "M502.8 9.02c-11.44-11.35-31.06-11.97-43.11-1.06L186.6 255.1H144c-8.843 0-15.1 7.153-15.1 16v36.88L10.52 414.9c-6.546 5.94-10.29 14.09-10.5 22.88c-.2187 8.817 3.11 17.18 9.36 23.46l41.4 41.41C56.82 508.7 64.87 512 73.42 512c9.14 0 17.53-3.7 23.73-10.52l279.2-309.5h23.62c8.843 0 15.1-7.153 15.1-16V147.1l87.92-95.82c.0156 0-.0156 .0313 0 0C515.1 39.82 514.7 20.9 502.8 9.02zM388.2 130.8c-2.719 2.939-4.218 6.816-4.218 10.82v18.23h-14.73c-4.531 0-8.843 1.907-11.87 5.284L73.41 479.1l-41.44-41.4l122.7-110.8c3.375-3.033 5.297-7.379 5.297-11.91V287.9h32.79c3.969 0 7.812-1.469 10.75-4.158l271.2-247.3L388.2 130.8z"],
    "wand-magic": [512, 512, ["magic"], "f0d0", "M12.28 403.7L403.7 12.28C419.3-3.337 444.7-3.337 460.3 12.28L499.7 51.72C515.3 67.34 515.3 92.66 499.7 108.3L108.3 499.7C92.66 515.3 67.34 515.3 51.72 499.7L12.28 460.3C-3.337 444.7-3.337 419.3 12.28 403.7V403.7zM356.7 206.1L477.1 85.66C480.2 82.53 480.2 77.47 477.1 74.34L437.7 34.91C434.5 31.79 429.5 31.79 426.3 34.91L305.9 155.3L356.7 206.1zM283.3 177.9L34.91 426.3C31.79 429.5 31.79 434.5 34.91 437.7L74.34 477.1C77.47 480.2 82.53 480.2 85.66 477.1L334.1 228.7L283.3 177.9z"],
    "wand-magic-sparkles": [576, 512, ["magic-wand-sparkles"], "e2ca", "M492.3 12.28L531.7 51.72C547.3 67.34 547.3 92.66 531.7 108.3L140.3 499.7C124.7 515.3 99.34 515.3 83.72 499.7L44.28 460.3C28.66 444.7 28.66 419.3 44.28 403.7L435.7 12.28C451.3-3.337 476.7-3.337 492.3 12.28V12.28zM458.3 34.91L337.9 155.3L388.7 206.1L509.1 85.66C512.2 82.53 512.2 77.47 509.1 74.34L469.7 34.91C466.5 31.79 461.5 31.79 458.3 34.91L458.3 34.91zM66.91 437.7L106.3 477.1C109.5 480.2 114.5 480.2 117.7 477.1L366.1 228.7L315.3 177.9L66.91 426.3C63.79 429.5 63.79 434.5 66.91 437.7L66.91 437.7zM128 127.1H176C184.8 127.1 192 135.2 192 143.1C192 152.8 184.8 159.1 176 159.1H128V207.1C128 216.8 120.8 223.1 112 223.1C103.2 223.1 96 216.8 96 207.1V159.1H48C39.16 159.1 32 152.8 32 143.1C32 135.2 39.16 127.1 48 127.1H96V79.1C96 71.16 103.2 63.1 112 63.1C120.8 63.1 128 71.16 128 79.1V127.1zM464 319.1C472.8 319.1 480 327.2 480 336V384H528C536.8 384 544 391.2 544 400C544 408.8 536.8 416 528 416H480V464C480 472.8 472.8 480 464 480C455.2 480 448 472.8 448 464V416H400C391.2 416 384 408.8 384 400C384 391.2 391.2 384 400 384H448V336C448 327.2 455.2 319.1 464 319.1zM252.2 35.84H272C278.7 35.84 284.2 41.28 284.2 47.1C284.2 54.72 278.7 60.16 272 60.16H252.2V79.1C252.2 86.72 246.7 92.16 240 92.16C233.3 92.16 227.8 86.72 227.8 79.1V60.16H208C201.3 60.16 195.8 54.72 195.8 47.1C195.8 41.28 201.3 35.84 208 35.84H227.8V15.1C227.8 9.284 233.3 3.84 240 3.84C246.7 3.84 252.2 9.284 252.2 15.1V35.84z"],
    "wand-sparkles": [512, 512, [], "f72b", "M399.1 191.1c8.844 0 15.1-7.154 15.1-16v-28l87.92-95.82c.0156 0-.0156 .0313 0 0c11.19-12.32 10.78-31.24-1.082-43.12c-11.44-11.35-31.06-11.97-43.11-1.06l-273.1 248H144c-8.844 0-15.1 7.148-15.1 15.1v36.88l-117.5 106c-6.547 5.938-10.29 14.1-10.51 22.88c-.2187 8.82 3.117 17.17 9.367 23.46l41.4 41.41C56.82 508.7 64.87 512 73.42 512c9.141 0 17.53-3.695 23.74-10.52l279.2-309.5H399.1zM357.3 165.1l-283.9 314.9l-41.44-41.4l122.7-110.8c3.375-3.031 5.297-7.375 5.297-11.91V287.9h32.79c3.969 0 7.812-1.473 10.75-4.16l271.2-247.3l-86.61 94.33c-2.719 2.938-4.217 6.812-4.217 10.81v18.23H369.2C364.7 159.8 360.4 161.7 357.3 165.1zM16 160H64v48c0 8.844 7.153 15.1 15.1 15.1S96 216.8 96 208V160h48c8.844 0 15.98-7.142 15.98-15.99S152.8 128 144 128H96V80c0-8.844-7.156-15.1-15.1-15.1S64 71.16 64 80V128H16C7.156 128 0 135.2 0 144S7.156 160 16 160zM192 80h32v32C224 120.8 231.2 128 240 128S256 120.8 256 112v-32h32c8.844 0 16-7.156 16-16S296.8 48 288 48h-32v-32C256 7.156 248.8 0 240 0S224 7.156 224 16v32H192C183.2 48 176 55.16 176 64S183.2 80 192 80zM496 352H448V304C448 295.2 440.8 288 432 288S416 295.2 416 304V352h-48c-8.844 0-15.99 7.152-15.99 15.1S359.2 384 368 384H416v48c0 8.844 7.157 16 16 16S448 440.8 448 432V384h48c8.844 0 15.99-7.152 15.99-15.1S504.8 352 496 352z"],
    "warehouse": [640, 512, [], "f494", "M326.2 35.98C322.2 34.3 317.8 34.3 313.8 35.98L51.58 146.4C39.72 151.4 32 162.1 32 175.9V496C32 504.8 24.84 512 16 512C7.164 512 0 504.8 0 496V175.9C0 150.1 15.43 126.9 39.16 116.9L301.4 6.484C313.3 1.469 326.7 1.469 338.6 6.484L600.8 116.9C624.6 126.9 640 150.1 640 175.9V496C640 504.8 632.8 512 624 512C615.2 512 608 504.8 608 496V175.9C608 162.1 600.3 151.4 588.4 146.4L326.2 35.98zM96 224C96 206.3 110.3 192 128 192H512C529.7 192 544 206.3 544 224V496C544 504.8 536.8 512 528 512C527.9 512 527.8 512 527.8 512H112.2C112.2 512 112.1 512 112 512C103.2 512 96 504.8 96 496L96 224zM128 480H512V416H128V480zM128 319.1V384H512V319.1H128zM128 287.1H512V224H128V287.1z"],
    "warehouse-full": [640, 512, ["warehouse-alt"], "f495", "M326.2 35.98C322.2 34.3 317.8 34.3 313.8 35.98L51.58 146.4C39.72 151.4 32 162.1 32 175.9V496C32 504.8 24.84 512 16 512C7.164 512 0 504.8 0 496V175.9C0 150.1 15.43 126.9 39.16 116.9L301.4 6.484C313.3 1.469 326.7 1.469 338.6 6.484L600.8 116.9C624.6 126.9 640 150.1 640 175.9V496C640 504.8 632.8 512 624 512C615.2 512 608 504.8 608 496V175.9C608 162.1 600.3 151.4 588.4 146.4L326.2 35.98zM96 224C96 206.3 110.3 192 128 192H512C529.7 192 544 206.3 544 224V496C544 504.8 536.8 512 528 512C519.2 512 512 504.8 512 496V224H128V496C128 504.8 120.8 512 112 512C103.2 512 96 504.8 96 496V224zM480 416V464C480 490.5 458.5 512 432 512H208C181.5 512 160 490.5 160 464V303.1C160 277.5 181.5 255.1 208 255.1H304C330.5 255.1 352 277.5 352 303.1V368H432C458.5 368 480 389.5 480 416zM352 400V480H432C440.8 480 448 472.8 448 464V416C448 407.2 440.8 400 432 400H352zM320 480V400H192V464C192 472.8 199.2 480 208 480H320zM304 287.1H208C199.2 287.1 192 295.2 192 303.1V368H320V303.1C320 295.2 312.8 287.1 304 287.1z"],
    "washing-machine": [448, 512, ["washer"], "f898", "M352 0H96C42.98 0 0 42.98 0 96v352c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 42.98 405 0 352 0zM416 448c0 17.64-14.36 32-32 32H64c-17.64 0-32-14.36-32-32V96c0-35.29 28.71-64 64-64h256c35.29 0 64 28.71 64 64V448zM192.1 120C205.3 120 216 109.3 216 96S205.3 72 192.1 72C178.7 72 168 82.75 168 96S178.7 120 192.1 120zM120 96c0-13.25-10.69-24-24-24C82.82 72 72 82.75 72 96S82.82 120 96 120C109.3 120 120 109.3 120 96zM224 160c-79.52 0-143.1 64.5-143.1 144s64.46 144 143.1 144s143.1-64.5 143.1-144S303.5 160 224 160zM224 416c-56.97 0-103.6-42.93-110.6-98.06c22.45 7.602 47.68 4.746 67.71-8.938C193.6 317.6 208.6 322.3 224 322.3c15.41 0 30.44-4.75 42.92-13.38c12.3 8.469 26.78 13.12 42 13.34c8.893-.1797 17.49-1.855 25.68-4.609C327.8 372.9 281.1 416 224 416zM309.4 290.3c-11.78-.1562-22.81-4.938-31.06-13.44c-4.531-4.625-11.42-6.094-17.5-3.594c-2.422 1-4.516 2.531-6.141 4.469c-16.25 16.19-46.02 15.97-61.92-.625c-3-3.125-7.141-4.906-11.47-4.938c-4.438 .6562-8.5 1.719-11.52 4.812c-14.98 15.38-38.17 16.66-55.54 5.383C124.3 230.9 169.7 192 224 192c54.58 0 100 39.3 109.9 91.06C326.6 287.5 318.1 289.6 309.4 290.3z"],
    "watch": [384, 512, [8986], "f2e1", "M208 247.4L248.9 274.7C256.2 279.6 258.2 289.5 253.3 296.9C248.4 304.2 238.5 306.2 231.1 301.3L183.1 269.3C178.7 266.3 176 261.3 176 256V176C176 167.2 183.2 160 192 160C200.8 160 208 167.2 208 176V247.4zM64 64C64 28.65 92.65 0 128 0H256C291.3 0 320 28.65 320 64V112H318.1C358.9 147.2 384 198.7 384 256C384 313.3 358.9 364.8 318.1 400H320V448C320 483.3 291.3 512 256 512H128C92.65 512 64 483.3 64 448V400H65C25.14 364.8 0 313.3 0 256C0 198.7 25.14 147.2 65 112H64V64zM128 32C110.3 32 96 46.33 96 64V89.69C124.2 73.35 157 64 192 64C226.1 64 259.8 73.35 288 89.69V64C288 46.33 273.7 32 256 32H128zM288 422.3C259.8 438.6 226.1 448 192 448C157 448 124.2 438.6 96 422.3V448C96 465.7 110.3 480 128 480H256C273.7 480 288 465.7 288 448V422.3zM192 96C103.6 96 32 167.6 32 256C32 344.4 103.6 416 192 416C280.4 416 352 344.4 352 256C352 167.6 280.4 96 192 96z"],
    "watch-apple": [384, 512, [], "e2cb", "M168 256C168 242.7 178.7 232 192 232C205.3 232 216 242.7 216 256C216 269.3 205.3 280 192 280C178.7 280 168 269.3 168 256zM256 328C256 341.3 245.3 352 232 352C218.7 352 208 341.3 208 328C208 314.7 218.7 304 232 304C245.3 304 256 314.7 256 328zM128 328C128 314.7 138.7 304 152 304C165.3 304 176 314.7 176 328C176 341.3 165.3 352 152 352C138.7 352 128 341.3 128 328zM256 184C256 197.3 245.3 208 232 208C218.7 208 208 197.3 208 184C208 170.7 218.7 160 232 160C245.3 160 256 170.7 256 184zM128 184C128 170.7 138.7 160 152 160C165.3 160 176 170.7 176 184C176 197.3 165.3 208 152 208C138.7 208 128 197.3 128 184zM144 256C144 269.3 133.3 280 120 280C106.7 280 96 269.3 96 256C96 242.7 106.7 232 120 232C133.3 232 144 242.7 144 256zM240 256C240 242.7 250.7 232 264 232C277.3 232 288 242.7 288 256C288 269.3 277.3 280 264 280C250.7 280 240 269.3 240 256zM64 65.6V48C64 21.49 85.49 0 112 0H272C298.5 0 320 21.49 320 48V65.6C356.5 73.01 384 105.3 384 144V368C384 406.7 356.5 438.1 320 446.4V464C320 490.5 298.5 512 272 512H112C85.49 512 64 490.5 64 464V446.4C27.48 438.1 0 406.7 0 368V144C0 105.3 27.48 73.01 64 65.6zM96 64H288V48C288 39.16 280.8 32 272 32H112C103.2 32 96 39.16 96 48V64zM112 480H272C280.8 480 288 472.8 288 464V448H96V464C96 472.8 103.2 480 112 480zM32 144V368C32 394.5 53.49 416 80 416H304C330.5 416 352 394.5 352 368V144C352 117.5 330.5 96 304 96H80C53.49 96 32 117.5 32 144z"],
    "watch-calculator": [384, 512, [], "f8f0", "M64 144C64 135.2 71.16 128 80 128H304C312.8 128 320 135.2 320 144V208C320 216.8 312.8 224 304 224H80C71.16 224 64 216.8 64 208V144zM288 192V160H96V192H288zM80 280C80 266.7 90.75 256 104 256C117.3 256 128 266.7 128 280C128 293.3 117.3 304 104 304C90.75 304 80 293.3 80 280zM216 280C216 293.3 205.3 304 192 304C178.7 304 168 293.3 168 280C168 266.7 178.7 256 192 256C205.3 256 216 266.7 216 280zM256 280C256 266.7 266.7 256 280 256C293.3 256 304 266.7 304 280C304 293.3 293.3 304 280 304C266.7 304 256 293.3 256 280zM128 360C128 373.3 117.3 384 104 384C90.75 384 80 373.3 80 360C80 346.7 90.75 336 104 336C117.3 336 128 346.7 128 360zM168 360C168 346.7 178.7 336 192 336C205.3 336 216 346.7 216 360C216 373.3 205.3 384 192 384C178.7 384 168 373.3 168 360zM304 360C304 373.3 293.3 384 280 384C266.7 384 256 373.3 256 360C256 346.7 266.7 336 280 336C293.3 336 304 346.7 304 360zM64 65.6V48C64 21.49 85.49 0 112 0H272C298.5 0 320 21.49 320 48V65.6C356.5 73.01 384 105.3 384 144V368C384 406.7 356.5 438.1 320 446.4V464C320 490.5 298.5 512 272 512H112C85.49 512 64 490.5 64 464V446.4C27.48 438.1 0 406.7 0 368V144C0 105.3 27.48 73.01 64 65.6zM96 64H288V48C288 39.16 280.8 32 272 32H112C103.2 32 96 39.16 96 48V64zM112 480H272C280.8 480 288 472.8 288 464V448H96V464C96 472.8 103.2 480 112 480zM32 144V368C32 394.5 53.49 416 80 416H304C330.5 416 352 394.5 352 368V144C352 117.5 330.5 96 304 96H80C53.49 96 32 117.5 32 144z"],
    "watch-fitness": [384, 512, [], "f63e", "M288.6 269.1L214.2 340.8C201.8 352.8 182.2 352.8 169.8 340.8L95.44 269.1C70.04 244.6 70.04 203.9 95.44 179.5C119.6 156.2 157.8 156.2 181.9 179.5L192 189.2L202.1 179.5C226.2 156.2 264.4 156.2 288.6 179.5C313.1 203.9 313.1 244.6 288.6 269.1H288.6zM192 233.7L159.7 202.5C147.1 191.2 129.4 191.2 117.7 202.5C105.3 214.4 105.3 234.2 117.7 246.1L192 317.8L266.3 246.1C278.7 234.2 278.7 214.4 266.3 202.5C254.6 191.2 236 191.2 224.3 202.5L192 233.7zM64 65.6V48C64 21.49 85.49 0 112 0H272C298.5 0 320 21.49 320 48V65.6C356.5 73.01 384 105.3 384 144V368C384 406.7 356.5 438.1 320 446.4V464C320 490.5 298.5 512 272 512H112C85.49 512 64 490.5 64 464V446.4C27.48 438.1 0 406.7 0 368V144C0 105.3 27.48 73.01 64 65.6zM96 64H288V48C288 39.16 280.8 32 272 32H112C103.2 32 96 39.16 96 48V64zM112 480H272C280.8 480 288 472.8 288 464V448H96V464C96 472.8 103.2 480 112 480zM32 144V368C32 394.5 53.49 416 80 416H304C330.5 416 352 394.5 352 368V144C352 117.5 330.5 96 304 96H80C53.49 96 32 117.5 32 144z"],
    "watch-smart": [384, 512, [], "e2cc", "M208 247.4L248.9 274.7C256.2 279.6 258.2 289.5 253.3 296.9C248.4 304.2 238.5 306.2 231.1 301.3L183.1 269.3C178.7 266.3 176 261.3 176 256V176C176 167.2 183.2 160 192 160C200.8 160 208 167.2 208 176V247.4zM64 65.6V48C64 21.49 85.49 0 112 0H272C298.5 0 320 21.49 320 48V65.6C356.5 73.01 384 105.3 384 144V368C384 406.7 356.5 438.1 320 446.4V464C320 490.5 298.5 512 272 512H112C85.49 512 64 490.5 64 464V446.4C27.48 438.1 0 406.7 0 368V144C0 105.3 27.48 73.01 64 65.6zM96 64H288V48C288 39.16 280.8 32 272 32H112C103.2 32 96 39.16 96 48V64zM112 480H272C280.8 480 288 472.8 288 464V448H96V464C96 472.8 103.2 480 112 480zM32 144V368C32 394.5 53.49 416 80 416H304C330.5 416 352 394.5 352 368V144C352 117.5 330.5 96 304 96H80C53.49 96 32 117.5 32 144z"],
    "water": [576, 512, [], "f773", "M562 415.1c-28.14-3.625-53.29-18.34-69.03-40.38c-6-8.438-20.04-8.438-26.04 0C448.5 400.6 417.5 416 383.1 416c-33.52 0-64.53-15.44-82.97-41.28c-6.031-8.438-20.03-8.438-26.06 0C256.5 400.6 225.5 416 192 416c-33.51 0-64.53-15.44-82.97-41.28C106 370.5 101.2 368 96 368s-10.02 2.5-13.02 6.719c-15.73 22.03-40.89 36.75-69.03 40.38c-8.766 1.125-14.95 9.156-13.83 17.94c1.125 8.75 9.029 15.06 17.92 13.81c29.98-3.875 57.48-17.47 77.94-38.09c24.62 24.84 59.28 39.25 96.06 39.25c36.77 0 71.33-14.41 95.95-39.25C312.6 433.6 347.3 448 384.1 448c36.78 0 71.33-14.41 95.95-39.25c20.45 20.62 47.95 34.22 77.94 38.09c8.951 1.375 16.79-5.062 17.92-13.81C576.1 424.3 570.8 416.2 562 415.1zM18.05 142.8c29.98-3.875 57.48-17.47 77.94-38.09C120.6 129.6 155.2 144 192 144C228.8 144 263.4 129.6 288 104.8C312.6 129.6 347.2 144 383.1 144c36.78 0 71.39-14.41 96.01-39.25c20.45 20.62 47.95 34.22 77.94 38.09c8.951 1.375 16.79-5.062 17.92-13.81c1.125-8.781-5.062-16.81-13.83-17.94c-28.14-3.625-53.29-18.34-69.03-40.38c-6-8.438-20.04-8.438-26.04 0c-18.44 25.84-49.38 41.21-82.89 41.21c-33.52 0-64.6-15.36-83.04-41.21c-6.031-8.438-20.03-8.438-26.06 0c-18.44 25.84-49.38 41.21-82.9 41.21c-33.51 0-64.6-15.36-83.04-41.21C106 66.5 101.2 64 95.1 64C90.83 64 85.99 66.5 82.99 70.72c-15.73 22.03-40.89 36.75-69.03 40.38C5.193 112.2-.9922 120.3 .1328 129C1.258 137.8 9.162 144.1 18.05 142.8zM562 263.1c-28.14-3.625-53.29-18.34-69.03-40.38c-6-8.438-20.04-8.438-26.04 0C448.5 248.6 417.5 264 383.1 264c-33.52 0-64.53-15.44-82.97-41.28c-6.031-8.438-20.03-8.438-26.06 0C256.5 248.6 225.5 264 192 264c-33.51 0-64.53-15.44-82.97-41.28C106 218.5 101.2 216 96 216S85.99 218.5 82.99 222.7c-15.73 22.03-40.89 36.75-69.03 40.38C5.193 264.2-.9922 272.3 .1328 281c1.125 8.75 9.029 15.06 17.92 13.81c29.98-3.875 57.48-17.47 77.94-38.09C120.6 281.6 155.2 296 192 296C228.8 296 263.4 281.6 288 256.8C312.6 281.6 347.2 296 383.1 296c36.78 0 71.39-14.41 96.01-39.25c20.45 20.62 47.95 34.22 77.94 38.09c8.951 1.375 16.79-5.062 17.92-13.81C576.1 272.3 570.8 264.2 562 263.1z"],
    "water-arrow-down": [576, 512, ["water-lower"], "f774", "M562 479.1c-28.14-3.625-53.29-18.34-69.03-40.38c-6-8.438-20.04-8.438-26.04 0C448.5 464.6 417.5 480 383.1 480c-33.52 0-64.53-15.44-82.97-41.28c-6.031-8.438-20.03-8.438-26.06 0C256.5 464.6 225.5 480 192 480c-33.51 0-64.53-15.44-82.97-41.28C106 434.5 101.2 432 96 432s-10.02 2.5-13.02 6.719c-15.73 22.03-40.89 36.75-69.03 40.38c-8.766 1.125-14.95 9.156-13.83 17.94c1.125 8.75 9.029 15.06 17.92 13.81c29.98-3.875 57.48-17.47 77.94-38.09c24.62 24.84 59.28 39.25 96.06 39.25c36.77 0 71.33-14.41 95.95-39.25C312.6 497.6 347.3 512 384.1 512c36.78 0 71.33-14.41 95.95-39.25c20.45 20.62 47.95 34.22 77.94 38.09c8.951 1.375 16.79-5.062 17.92-13.81C576.1 488.3 570.8 480.2 562 479.1zM18.05 382.8c29.98-3.875 57.48-17.47 77.94-38.09c24.62 24.84 59.28 39.16 96.06 39.16c36.77 0 71.33-14.32 95.95-39.16c24.62 24.84 59.28 39.16 96.05 39.16c36.78 0 71.34-14.32 95.96-39.16c20.45 20.62 47.95 34.22 77.94 38.09c8.951 1.375 16.79-5.062 17.92-13.81c1.125-8.781-5.062-16.81-13.83-17.94c-28.14-3.625-53.29-18.34-69.03-40.38c-6-8.438-20.04-8.438-26.04 0C448.5 336.6 417.5 352 383.1 352c-33.52 0-64.53-15.44-82.97-41.28c-6.031-8.438-20.03-8.438-26.06 0C256.5 336.6 225.5 352 192 352c-33.51 0-64.53-15.44-82.97-41.28C106 306.5 101.2 304 96 304S85.99 306.5 82.99 310.7c-15.73 22.03-40.89 36.75-69.03 40.38c-8.766 1.125-14.95 9.156-13.83 17.94C1.258 377.8 9.162 384.1 18.05 382.8zM276.7 235.3C279.8 238.4 283.9 240 288 240s8.188-1.562 11.31-4.688l96-96c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0L304 185.4V16c0-8.844-7.157-16-16-16S272 7.156 272 16v169.4L203.3 116.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L276.7 235.3z"],
    "water-arrow-up": [576, 512, ["water-rise"], "f775", "M562 479.1c-28.14-3.625-53.29-18.34-69.03-40.38c-6-8.438-20.04-8.438-26.04 0C448.5 464.6 417.5 480 383.1 480c-33.52 0-64.53-15.44-82.97-41.28c-6.031-8.438-20.03-8.438-26.06 0C256.5 464.6 225.5 480 192 480c-33.51 0-64.53-15.44-82.97-41.28C106 434.5 101.2 432 96 432s-10.02 2.5-13.02 6.719c-15.73 22.03-40.89 36.75-69.03 40.38c-8.766 1.125-14.95 9.156-13.83 17.94c1.125 8.75 9.029 15.06 17.92 13.81c29.98-3.875 57.48-17.47 77.94-38.09c24.62 24.84 59.27 39.25 96.05 39.25c36.77 0 71.34-14.41 95.96-39.25C312.6 497.6 347.3 512 384 512c36.78 0 71.34-14.41 95.96-39.25c20.45 20.62 47.95 34.22 77.94 38.09c8.951 1.375 16.79-5.062 17.92-13.81C576.1 488.3 570.8 480.2 562 479.1zM18.05 382.8c29.98-3.875 57.48-17.47 77.94-38.09c24.62 24.84 59.27 39.16 96.05 39.16c36.77 0 71.34-14.32 95.96-39.16c24.62 24.84 59.27 39.16 96.04 39.16c36.78 0 71.35-14.32 95.97-39.16c20.45 20.62 47.95 34.22 77.94 38.09c8.951 1.375 16.79-5.062 17.92-13.81c1.125-8.781-5.062-16.81-13.83-17.94c-28.14-3.625-53.29-18.34-69.03-40.38c-6-8.438-20.04-8.438-26.04 0C448.5 336.6 417.5 352 383.1 352c-33.52 0-64.53-15.44-82.97-41.28c-6.031-8.438-20.03-8.438-26.06 0C256.5 336.6 225.5 352 192 352c-33.51 0-64.53-15.44-82.97-41.28C106 306.5 101.2 304 96 304S85.99 306.5 82.99 310.7c-15.73 22.03-40.89 36.75-69.03 40.38c-8.766 1.125-14.95 9.156-13.83 17.94C1.258 377.8 9.162 384.1 18.05 382.8zM299.3 4.688C296.2 1.562 292.1 0 288 0S279.8 1.562 276.7 4.688l-96 96c-6.25 6.25-6.25 16.38 0 22.62s16.38 6.25 22.62 0L272 54.63V224c0 8.844 7.156 16 16 16s16-7.156 16-16V54.63l68.69 68.69c6.25 6.25 16.38 6.25 22.62 0s6.25-16.38 0-22.62L299.3 4.688z"],
    "water-ladder": [576, 512, ["ladder-water", "swimming-pool"], "f5c5", "M562 447.1c-28.14-3.625-53.29-18.34-69.03-40.38c-6-8.438-20.04-8.438-26.04 0C448.5 432.6 417.5 448 383.1 448c-33.52 0-64.53-15.44-82.97-41.28c-6.031-8.438-20.03-8.438-26.06 0C256.5 432.6 225.5 448 192 448c-33.51 0-64.53-15.44-82.97-41.28C106 402.5 101.2 400 96 400s-10.02 2.5-13.02 6.719c-15.73 22.03-40.89 36.75-69.03 40.38c-8.766 1.125-14.95 9.156-13.83 17.94c1.125 8.75 9.029 15.06 17.92 13.81c29.98-3.875 57.48-17.47 77.94-38.09c24.62 24.84 59.28 39.25 96.05 39.25c36.77 0 71.33-14.41 95.96-39.25c24.62 24.84 59.29 39.22 96.05 39.22c36.78 0 71.33-14.38 95.96-39.22c20.45 20.62 47.95 34.22 77.94 38.09c8.951 1.375 16.79-5.062 17.92-13.81C576.1 456.3 570.8 448.2 562 447.1zM144 384C152.8 384 160 376.8 160 368V256h224v112c0 8.844 7.156 16 16 16s16-7.156 16-16v-256C416 85.53 437.5 64 464 64S512 85.53 512 112V128c0 8.844 7.156 16 16 16S544 136.8 544 128V112C544 67.89 508.1 32 464 32S384 67.89 384 112V224H160V112C160 85.53 181.5 64 208 64S256 85.53 256 112V128c0 8.844 7.156 16 16 16S288 136.8 288 128V112C288 67.89 252.1 32 208 32S128 67.89 128 112v256C128 376.8 135.2 384 144 384z"],
    "watermelon-slice": [512, 512, [], "e337", "M340.8 203.4c6.254 6.258 16.39 6.25 22.63 0c6.252-6.252 6.252-16.38 0-22.63l-16.08-16.04c-6.252-6.252-16.3-6.219-22.56 .0325c-6.252 6.254-6.322 16.34-.0706 22.6L340.8 203.4zM252.8 332.8c-6.252 6.252-6.307 16.31-.055 22.56l16.06 16.08c6.256 6.256 16.38 6.248 22.63 0c6.252-6.252 6.252-16.38 0-22.63l-16.06-16.07C269.1 326.5 259 326.5 252.8 332.8zM332.8 252.8c-6.252 6.252-6.324 16.32-.0724 22.58l16.08 16.06c6.256 6.256 16.38 6.248 22.63 0c6.252-6.254 6.252-16.38 0-22.64l-16.08-16.06C349.1 246.5 339 246.5 332.8 252.8zM187.3 324.7c-6.252-6.252-16.34-6.186-22.59 .0654c-6.252 6.252-6.288 16.31-.0358 22.56l16.04 16.08c6.256 6.256 16.38 6.248 22.63 0c6.252-6.252 6.252-16.38 0-22.63L187.3 324.7zM260.8 283.4c6.256 6.256 16.38 6.248 22.63 0c6.252-6.254 6.252-16.38 0-22.63L267.3 244.7c-6.252-6.254-16.32-6.205-22.57 .049C238.5 251 238.5 261.1 244.7 267.4L260.8 283.4zM425.1 4.689C422.1 1.688 418 0 413.8 0c-4.251 0-8.315 1.688-11.32 4.689L4.689 402.4C1.688 405.4 0 409.5 0 413.8s1.688 8.315 4.689 11.32C62.64 483 138.8 512 214.9 512c76.15 0 152.3-28.98 210.2-86.93C540.1 309.2 540.1 120.6 425.1 4.689zM367.9 84.47c67.35 78.99 63.87 198.1-10.74 272.7c-38.01 38.01-88.56 58.94-142.3 58.94c-48.39 0-94.07-17.08-130.5-48.17L367.9 84.47zM402.5 402.4c-99.56 99.62-259.4 103.3-363.5 10.97l22.84-22.84c42.48 37.1 96.16 57.55 153.1 57.55c62.27 0 120.8-24.26 164.9-68.32c87.11-87.11 90.54-226.4 10.74-317.1l22.86-22.86C505.7 143 502.1 302.8 402.5 402.4z"],
    "wave-pulse": [640, 512, ["heart-rate"], "f5f8", "M640 240C640 248.8 632.8 256 624 256h-133.1l-60 150c-2.625 6.375-8.375 10.25-16 9.1C408 415.5 402.1 410.6 400.5 403.9l-78.75-315l-82 410.3C238.3 506.5 231.9 511.8 224.4 512H224c-7.25 0-13.75-5-15.5-12.12L147.5 256H16C7.201 256 0 248.8 0 240s7.201-15.1 16-15.1H160c7.375 0 13.75 4.993 15.5 12.12l46.75 187l82-410.3C305.8 5.5 312 .25 319.5 0c8.125 .125 14.25 4.875 16 12.12l84 336l45.63-114.1C467.5 228 473.5 224 480 224h144C632.8 224 640 231.2 640 240z"],
    "wave-sine": [640, 512, [8767], "f899", "M623.3 276.6C617.5 296.1 563.8 464 463.4 464c-87.4 0-125.2-107.6-158.5-202.7C275.1 176.3 241.3 80 176.6 80c-62.77 0-111.1 106.6-129.2 164.5c-3.346 11.3-14.68 12.62-19.87 10.78C18.89 252.7 14.14 243.7 16.69 235.4C22.48 215.9 76.25 48 176.6 48c87.4 0 125.2 107.6 158.5 202.7C364.9 335.7 398.7 432 463.4 432c62.78 0 111.1-106.7 129.2-164.5c3.309-11.17 14.7-12.57 19.87-10.78C621.1 259.2 625.9 268.2 623.3 276.6z"],
    "wave-square": [640, 512, [], "f83e", "M640 256C640 264.8 632.8 272 624 272H512c-8.822 0-16 7.178-16 16v128c0 26.47-21.53 48-48 48h-96c-26.47 0-48-21.53-48-48V96c0-8.822-7.178-16-16-16H192C183.2 80 176 87.18 176 96v128c0 26.47-21.53 48-48 48H16C7.178 272 0 264.8 0 256C0 247.2 7.178 240 16 240H128c8.822 0 16-7.178 16-16V96c0-26.47 21.53-48 48-48h96c26.47 0 48 21.53 48 48v320c0 8.822 7.178 16 16 16h96c8.822 0 16-7.178 16-16V288c0-26.47 21.53-48 48-48h112C632.8 240 640 247.2 640 256z"],
    "wave-triangle": [640, 512, [], "f89a", "M617.6 242.4c-9.367-7.158-19.06-1.291-22.4 3.245l-118.4 162.8c-5.934 8.166-19.64 8.18-25.56-.0121L214.4 83.04C205.7 71.12 191.4 64 175.1 64C160.6 64 146.3 71.1 137.6 83L19.18 245.7C13.91 252.1 15.34 263.4 22.37 268.8c9.448 7.24 19.12 1.289 22.44-3.303l118.4-162.7c5.935-8.166 19.64-8.18 25.56 .0121l236.8 325.4C434.7 440.8 448.7 448 464 448c15.24 0 29.24-7.21 38.4-19.78L620.8 265.5C626.1 258.2 624.7 247.9 617.6 242.4z"],
    "waveform": [640, 512, [], "f8f1", "M383.9 512C383.8 512 383.1 512 383.9 512c-7.938-.0937-14.81-6.031-15.86-13.88L320 137.3L271.1 498.1C270.9 505.1 264.2 511.9 256.3 512c-.0781 0 .0625 0 0 0c-7.844 0-14.7-5.688-15.95-13.47L192.9 202.8l-33.06 231.5C158.7 441.1 152.2 447.8 144.4 448c-7.875 .1562-14.59-5.25-16.12-12.88L92.13 254.2L79.17 293.1C77 299.6 70.89 304 64 304L15.98 303.1C7.156 303.1 0 296.8 0 287.1C0 279.1 7.172 271.1 16 271.1L52.47 272l28.36-85.06C83.11 180.1 89.45 175.3 97 176c7.234 .4375 13.27 5.719 14.69 12.84l29.69 148.4l34.78-243.5C177.3 85.91 183.1 80.06 191.9 80c7.922 1.125 14.69 5.656 15.94 13.47l46.86 292.3L304.1 13.88C305.2 5.938 311.1 0 320 0s14.8 5.938 15.86 13.88l49.48 371.9l46.86-292.3C433.5 85.66 441.7 80.56 448.1 80c7.906 .0625 14.58 5.906 15.7 13.75l34.78 243.5l29.69-148.4c1.422-7.125 7.453-12.41 14.69-12.84c7.469-.6875 13.88 4.031 16.17 10.91L587.5 272L624 271.1c8.828 0 16 7.169 16 16.01c0 8.812-7.156 15.99-15.98 15.99L576 304c-6.891 0-13-4.406-15.17-10.94l-12.95-38.84l-36.19 180.9C510.2 442.8 503.3 448 495.6 448c-7.797-.2187-14.3-6.031-15.41-13.75l-33.06-231.5l-47.42 295.8C398.4 506.3 391.7 512 383.9 512z"],
    "waveform-lines": [640, 512, ["waveform-path"], "f8f2", "M224 96C215.2 96 208 103.2 208 111.1v288C208 408.8 215.2 416 223.1 416C232.8 416 240 408.8 240 400V111.1C240 103.2 232.8 96 224 96zM128 192C119.2 192 112 199.2 112 207.1V304C112 312.8 119.2 320 127.1 320S144 312.8 144 304V207.1C144 199.2 136.8 192 128 192zM32 224C23.2 224 16 231.2 16 239.1V272C16 280.8 23.2 288 31.1 288S48 280.8 48 272V239.1C48 231.2 40.8 224 32 224zM416 128C407.2 128 400 135.2 400 143.1v224C400 376.8 407.2 384 415.1 384S432 376.8 432 368V143.1C432 135.2 424.8 128 416 128zM608 224c-8.8 0-16 7.2-16 15.1V272C592 280.8 599.2 288 608 288s16-7.2 16-15.1V239.1C624 231.2 616.8 224 608 224zM512 64c-8.8 0-16 7.2-16 15.1V432C496 440.8 503.2 448 511.1 448C520.8 448 528 440.8 528 432V79.1C528 71.2 520.8 64 512 64zM320 0C311.2 0 304 7.2 304 15.1V496C304 504.8 311.2 512 319.1 512S336 504.8 336 496V15.1C336 7.2 328.8 0 320 0z"],
    "weight-hanging": [512, 512, [], "f5cd", "M509.9 431.4l-68.43-267.7C436.2 142.7 417.9 128 397 128h-77.38c10.15-13.41 16.38-29.92 16.38-48c0-44.13-35.89-80-80.01-80S175.1 35.88 175.1 80c0 18.08 6.23 34.59 16.38 48H114.1C94.1 128 75.8 142.7 70.53 163.6l-68.45 267.8c-5.08 19.81-.75 41.13 11.6 57.03C25.29 503.4 42.53 512 60.95 512h390.1c18.42 0 35.66-8.594 47.27-23.59C510.7 472.5 514.1 451.2 509.9 431.4zM256 32c26.47 0 48.01 21.53 48.01 48S282.5 128 256 128S207.1 106.5 207.1 80S229.5 32 256 32zM473 468.8C467.4 476 459.6 480 451 480H60.95c-8.578 0-16.39-3.969-21.99-11.19c-6.33-8.156-8.518-19.16-5.877-29.47L101.6 171.5C103.3 164.7 108.8 160 114.1 160h282c6.205 0 11.74 4.719 13.46 11.56l68.45 267.8C481.6 449.6 479.4 460.7 473 468.8z"],
    "weight-scale": [512, 512, ["weight"], "f496", "M448 64h-64.75C353.1 25.38 308.1 0 256 0S157.1 25.38 128.8 64H64C28.75 64 0 92.75 0 128v320c0 35.25 28.75 64 64 64h384c35.25 0 64-28.75 64-64V128C512 92.75 483.3 64 448 64zM256 32c70.75 0 128 57.25 128 128s-57.25 128-128 128S128 230.8 128 160S185.2 32 256 32zM480 448c0 17.62-14.38 32-32 32H64c-17.62 0-32-14.38-32-32V128c0-17.62 14.38-32 32-32h45.5C101 115.6 96 137.2 96 160c0 88.25 71.75 160 160 160s160-71.75 160-160c0-22.75-5-44.38-13.5-64H448c17.62 0 32 14.38 32 32V448zM256 256c26.5 0 48-21.5 48-48c0-13.88-6-26.38-15.5-35.12l30.25-70.63c3.375-8-.375-17.5-8.5-21c-8-3.375-17.5 .375-21 8.5L259 160.2C223.6 158 208 188.6 208 208C208 234.5 229.5 256 256 256zM256 192c8.875 0 16 7.125 16 16S264.9 224 256 224S240 216.9 240 208S247.1 192 256 192z"],
    "whale": [640, 512, [128011], "f72c", "M496 128h-64.34C376 128 323.7 149.7 284.3 189l-151.7 151.7c-6.25 6.25-6.25 16.38 0 22.62s16.38 6.25 22.62 0l151.7-151.7C340.3 178.3 384.6 160 431.7 160H496C557.8 160 608 210.3 608 272v96c0 44.13-35.88 80-80 80H172.2C103.7 448 48 392.3 48 323.8c0-29.62 10.62-58.31 29.91-80.81l51.29-59.84l67.54 24.18C198.8 207.8 200.1 208 203.1 208c8.396 0 16.6-3.322 22.7-9.424l57.52-57.52c9.055-9.055 4.35-24.59-8.256-27.08L191.3 96.7l-17.3-83.74C172.4 4.84 165.4-.002 158.2-.002c-3.986 0-8.031 1.48-11.25 4.703L89.42 62.22C81.79 69.86 78.51 80.78 80.64 91.25l25.1 70.13l-52.14 60.83C29.34 250.5 16 286.6 16 323.8C16 409.9 86.06 480 172.2 480H528c61.75 0 112-50.25 112-112v-96C640 192.6 575.4 128 496 128zM148.6 48.26l15.61 75.52l75.49 15.58L203.4 175.7L136.3 151.7L112.3 84.64L148.6 48.26zM408 288c0-13.26-10.75-24-24-24s-24 10.74-24 24S370.7 312 384 312S408 301.3 408 288z"],
    "wheat": [512, 512, [], "f72d", "M454 171.4c-4.376-4.375-9.126-8.25-14.25-11.62c14.75-5.25 28.4-12.13 39.27-22.38c26.63-28.75 34.88-75.07 32.63-120.1c-.3751-9.25-8.017-16.55-17.27-17.05c-4.251-.125-8.734-.199-13.36-.199c-34.26 0-76.94 6.376-105.7 33.13c-10.88 10.88-18.46 24.07-23.59 37.95c-3.126-4.625-6.626-9-10.63-13.12l-34.51-34.38c-6.251-6.25-16.38-6.25-22.63 0L250.4 57.25C232.9 74.75 223.8 97.38 222.6 120.2L216.3 114c-6.251-6.25-16.38-6.25-22.63 0L159.1 147.6C142.3 165.2 133.3 187.9 132.2 210.9L125.8 204.5c-6.251-6.25-16.38-6.25-22.63 0l-33.76 33.62c-37.51 37.5-37.51 98.38 0 135.9l23 22.88l-87.76 87.88c-6.251 6.25-6.251 16.37 0 22.5C7.689 510.5 11.81 512 15.94 512c4.126 0 8.251-1.5 11.25-4.75l87.64-87.5l22.88 22.75c18.75 18.75 43.26 28.12 67.89 28.12c24.5 0 49.13-9.375 67.89-28.12l33.76-33.75c6.251-6.25 6.251-16.38 0-22.63l-6.501-6.375C323.7 378.6 346.4 369.6 363.1 352L397.8 318.2c6.251-6.25 6.251-16.37 0-22.62L391.4 289.4c22.88-1.25 45.38-10.25 62.89-27.62L488 228c6.251-6.25 6.251-16.38 0-22.62L454 171.4zM397 56.62C418.6 36.5 453.9 32.12 480 32c-.25 36-8.626 65.62-23.63 82.75c-22 19.62-57.01 23.75-82.76 23.75h-.3751C372.1 112.5 377.3 76.5 397 56.62zM272.1 80l22.38-22.5l23.13 23.12c24.38 24.38 25.38 64.13 .6251 89.75C318.9 170.6 318.5 170.8 318.2 171L295.9 193.4L272.1 170.5C247.1 145.5 247.9 105 272.1 80zM182.6 170.2l22.38-22.37L228.1 171c13.63 13.62 33.76 53.25 2 88.13l-24.63 24.63l-22.88-23C157.6 235.8 157.6 195.2 182.6 170.2zM92.08 351.2c-25-25-25-65.5 0-90.5L114.5 238.4L137.6 261.5C161.3 285.2 163.2 324 139.3 349.9l-24.25 24.37L92.08 351.2zM250.7 419.9c-25 25-65.39 25-90.39 0l-22.75-22.63l22.5-22.37c25-25 65.51-25 90.52 0l22.63 22.62L250.7 419.9zM341.4 329.4c-25 25-65.51 25-90.52 0L228.1 306.8L250.6 284.4c25-25 65.51-25.13 90.52 0L363.7 307L341.4 329.4zM431.6 239.1c-25 24.88-65.39 25-90.52 0l-22.63-22.75L340.1 194c25-25 65.39-25 90.52 0l22.63 22.62L431.6 239.1z"],
    "wheat-awn": [512, 512, ["wheat-alt"], "e2cd", "M364.2 170.1C381 169.1 397.1 171.3 414 176.9L468.4 122.5C474.6 116.3 484.8 116.3 491 122.5C497.3 128.8 497.3 138.9 491 145.1L444.2 191.1C450.7 196.4 456.1 201.6 462.8 207.4L485.4 229.1C491.6 236.2 491.6 246.4 485.4 252.6L451.5 286.5C434.1 303.9 411.7 313.2 388.9 314.5L394.9 320.5C401.1 326.7 401.1 336.9 394.9 343.1L360.1 377C343.6 394.4 321.2 403.7 298.4 404.1L304.4 410.1C310.6 417.2 310.7 427.4 304.4 433.6L270.5 467.5C233 505 172.2 505 134.7 467.5L100.8 433.6L27.31 507.1C21.07 513.4 10.94 513.4 4.687 507.1C-1.562 500.9-1.562 490.8 4.685 484.5L78.19 410.1L44.28 377.1C6.793 339.6 6.788 278.8 44.27 241.3L78.18 207.4C84.43 201.1 94.56 201.1 100.8 207.4L106.8 213.4C108 190.6 117.4 168.2 134.8 150.8L168.7 116.9C174.9 110.6 185 110.6 191.3 116.9L197.3 122.9C198.5 100.1 207.8 77.69 225.2 60.3L259.1 26.38C265.4 20.13 275.5 20.13 281.8 26.38L304.4 48.97C310.2 54.78 315.3 61 319.8 67.55L366.6 20.71C372.8 14.46 382.1 14.46 389.2 20.71C395.5 26.96 395.5 37.09 389.2 43.34L334.9 97.7C340.4 113.8 342.7 130.7 341.6 147.5L468.4 20.7C474.6 14.45 484.7 14.45 490.1 20.7C497.2 26.95 497.2 37.08 490.1 43.33L364.2 170.1zM191.3 162.1L179.1 150.8L157.4 173.4C132.4 198.4 132.4 238.9 157.4 263.9L191.3 297.9L191.6 297.5C228.8 260 228.6 199.5 191.3 162.1L191.3 162.1zM247.9 173.4L281.8 207.4C319.2 169.9 319.2 109.1 281.7 71.6L270.5 60.32L247.9 82.92C222.9 107.9 222.9 148.4 247.9 173.4L247.9 173.4zM89.5 241.3L66.9 263.9C41.91 288.9 41.91 329.4 66.91 354.4L100.8 388.4C138.3 350.9 138.3 290.1 100.8 252.6L89.5 241.3zM259.2 411C221.7 373.5 160.9 373.5 123.5 410.1L157.4 444.9C182.4 469.9 222.9 469.9 247.9 444.9L270.5 422.3L259.2 411zM349.7 320.5C312.2 283 251.4 283 213.9 320.5L247.8 354.4C272.8 379.4 313.4 379.4 338.3 354.4L360.9 331.8L349.7 320.5zM440.1 230C402.7 192.5 341.9 192.5 304.4 229.1L338.3 263.9C363.3 288.9 403.8 288.9 428.8 263.9L451.4 241.3L440.1 230z"],
    "wheat-awn-circle-exclamation": [640, 512, [], "e598", "M364.4 170.1C381.2 169.1 398.1 171.3 414.2 176.9L468.5 122.5C474.8 116.3 484.9 116.2 491.2 122.5C497.4 128.7 497.4 138.9 491.2 145.1L444.3 191.1C446.9 193.7 449.5 195.6 451.9 197.6C438.9 200.9 426.5 205.7 414.9 211.8C379 194.1 334.4 200.1 304.6 229.1L338.5 263.9C341.6 266.1 344.9 269.7 348.4 272C341.5 282.6 335.8 293.1 331.2 305.1C294.4 283.9 245.9 288.7 214.1 320.5L248 354.4C267.5 373.9 296.4 378.2 320 367.3L320 367.1C320 379.1 321 389.9 322.1 400.4C315 403 306.8 404.5 298.6 404.1L304.6 410.1C310.8 417.2 310.8 427.3 304.6 433.6L270.7 467.5C233.2 505 172.4 505 134.9 467.5L100.1 433.6L27.48 507.1C21.23 513.4 11.1 513.4 4.851 507.1C-1.398 500.9-1.398 490.8 4.849 484.5L78.36 410.1L44.45 377.1C6.957 339.6 6.952 278.8 44.44 241.3L78.35 207.4C84.59 201.1 94.72 201.1 100.1 207.4L106.1 213.4C108.2 190.6 117.5 168.2 134.9 150.8L168.8 116.9C175.1 110.6 185.2 110.6 191.5 116.9L197.4 122.8C198.7 100.1 208 77.68 225.4 60.29L259.3 26.37C265.6 20.12 275.7 20.12 281.9 26.37L304.5 48.97C310.3 54.77 315.5 60.1 319.9 67.54L366.7 20.7C372.1 14.45 383.1 14.45 389.4 20.7C395.6 26.95 395.6 37.08 389.4 43.33L335 97.69C340.6 113.8 342.8 130.7 341.8 147.5L468.5 20.7C474.8 14.45 484.9 14.45 491.2 20.69C497.4 26.94 497.4 37.07 491.2 43.32L364.4 170.1zM191.4 162.1L180.1 150.8L157.5 173.4C132.6 198.4 132.6 238.9 157.6 263.9L191.5 297.8L191.8 297.5C228.9 259.1 228.8 199.5 191.4 162.1L191.4 162.1zM248 173.4L281.9 207.3C319.4 169.8 319.4 109.1 281.9 71.6L270.6 60.31L248 82.91C223 107.9 223 148.4 248 173.4L248 173.4zM89.66 241.3L67.06 263.9C42.07 288.9 42.08 329.4 67.07 354.4L100.1 388.3C138.4 350.8 138.4 290.1 100.9 252.6L89.66 241.3zM259.3 410.1C221.9 373.5 161.1 373.5 123.6 410.1L157.5 444.9C182.5 469.9 223 469.9 248 444.9L270.6 422.3L259.3 410.1zM472 423.1C472 410.7 482.7 399.1 496 399.1C509.3 399.1 520 410.7 520 423.1C520 437.3 509.3 447.1 496 447.1C482.7 447.1 472 437.3 472 423.1V423.1zM495.1 287.1C504.8 287.1 511.1 295.2 511.1 303.1V367.1C511.1 376.8 504.8 383.1 495.1 383.1C487.2 383.1 479.1 376.8 479.1 367.1V303.1C479.1 295.2 487.2 287.1 495.1 287.1zM640 367.1C640 447.5 575.5 511.1 496 511.1C416.5 511.1 352 447.5 352 367.1C352 288.5 416.5 223.1 496 223.1C575.5 223.1 640 288.5 640 367.1zM496 255.1C434.1 255.1 384 306.1 384 367.1C384 429.9 434.1 479.1 496 479.1C557.9 479.1 608 429.9 608 367.1C608 306.1 557.9 255.1 496 255.1V255.1z"],
    "wheat-awn-slash": [640, 512, [], "e338", "M305.5 138.3c0-16.35 6.252-32.7 18.8-45.19l22.38-22.5l23.13 23.12c12.34 12.34 18.63 28.58 18.63 44.95c0 15.07-5.344 30.25-16.23 42.55l-19.26 19.25l25.65 20.25l13.71-13.62c12.5-12.5 28.85-18.75 45.21-18.75s32.74 6.25 45.3 18.75l22.63 22.62l-22.5 22.5c-11.49 11.43-26.24 17.37-41.25 18.32l32.08 25.33c11.71-4.748 22.5-11.78 31.73-20.96l22.56-22.56c6.002-6.002 9.375-14.14 9.375-22.63s-3.373-16.63-9.375-22.63l-20.25-20.24l63.5-63.5C574.4 120.2 576 116.1 576 112c0-9.141-7.473-16-16-16c-4.094 0-8.188 1.562-11.31 4.688l-66.92 66.92c-12.3-6.441-25.76-10.22-39.89-10.86l129.4-129.4C574.4 24.19 576 20.09 576 16c0-9.141-7.473-16-16-16c-4.094 0-8.188 1.562-11.31 4.688l-128.8 128.8c-.7578-14.07-4.602-27.45-11.12-39.63l66.52-66.52C478.4 24.19 480 20.09 480 16c0-9.141-7.473-16-16-16c-4.094 0-8.188 1.562-11.31 4.688l-63.32 63.32l-20.08-20.08c-6-6.002-14.14-9.371-22.63-9.371c-8.5 .0117-16.69 3.406-22.69 9.434l-22.38 22.5C283.6 88.37 273.7 112.3 273.5 137.7l40.56 32.02C308.5 159.1 305.5 149.2 305.5 138.3zM633.9 483.4L25.92 3.42c-6.938-5.453-17-4.25-22.48 2.641c-5.469 6.938-4.281 17 2.641 22.48l608 480C617 510.9 620.5 512 623.1 512c4.734 0 9.422-2.094 12.58-6.078C642 498.1 640.8 488.9 633.9 483.4zM324.5 365.3c-18.14-18.13-42.24-28.12-67.88-28.12c-6.541 0-12.97 .6855-19.24 1.955c1.342-6.383 2.197-12.88 2.197-19.48c0-25.56-9.977-49.61-28.09-67.73L188.4 228.8C182.1 222.6 173.9 219.4 165.8 219.4S149.4 222.6 143.1 228.8L120.7 251.2C102.6 269.3 92.62 293.4 92.62 319.1c0 25.64 9.988 49.74 28.13 67.88l22.85 22.84l-74.9 74.9C65.56 487.8 64 491.9 64 496C64 505.1 71.47 512 80 512c4.094 0 8.188-1.562 11.31-4.688l74.91-74.44c.0762 .0762-.0762-.0762 0 0l22.85 22.75c18.07 18.07 42.16 28.06 67.76 28.06s49.68-9.988 67.82-28.12l22.44-22.31c6.029-5.994 9.426-14.14 9.438-22.65c.0117-8.504-3.361-16.66-9.375-22.67L324.5 365.3zM166.2 387.2l-22.85-22.84c-12.5-12.5-18.75-28.88-18.75-45.25s6.25-32.75 18.75-45.25l22.38-22.38l23.13 23.12c12.31 12.3 18.72 28.63 18.72 45.1c0 15.02-5.328 30.15-16.37 42.49L166.2 387.2zM302 432.9c-12.5 12.5-28.85 18.75-45.19 18.75c-16.35 0-32.69-6.25-45.2-18.75l-22.75-22.62l22.5-22.38c12.5-12.5 28.88-18.75 45.26-18.75c16.38 0 32.75 6.25 45.26 18.75l22.63 22.62L302 432.9z"],
    "wheat-slash": [640, 512, [], "e339", "M633.9 483.4L25.92 3.42c-6.938-5.453-17-4.25-22.48 2.641c-5.469 6.938-4.281 17 2.641 22.48l608 480C617 510.9 620.5 512 623.1 512c4.734 0 9.422-2.094 12.58-6.078C642 498.1 640.8 488.9 633.9 483.4zM324.5 365.3c-18.14-18.13-42.24-28.12-67.88-28.12c-6.541 0-12.97 .6855-19.24 1.955c1.342-6.383 2.197-12.88 2.197-19.48c0-25.56-9.977-49.61-28.09-67.73L188.4 228.8C182.1 222.6 173.9 219.4 165.8 219.4S149.4 222.6 143.1 228.8L120.7 251.2C102.6 269.3 92.62 293.4 92.62 319.1c0 25.64 9.988 49.74 28.13 67.88l22.85 22.84l-74.9 74.9C65.56 487.8 64 491.9 64 496C64 505.1 71.47 512 80 512c4.094 0 8.188-1.562 11.31-4.688l74.91-74.44c.0762 .0762-.0762-.0762 0 0l22.85 22.75c18.07 18.07 42.16 28.06 67.76 28.06s49.68-9.988 67.82-28.12l22.44-22.31c6.029-5.994 9.426-14.14 9.438-22.65c.0117-8.504-3.361-16.66-9.375-22.67L324.5 365.3zM166.2 387.2l-22.85-22.84c-12.5-12.5-18.75-28.88-18.75-45.25s6.25-32.75 18.75-45.25l22.38-22.38l23.13 23.12c12.31 12.3 18.72 28.63 18.72 45.1c0 15.02-5.328 30.15-16.37 42.49L166.2 387.2zM302 432.9c-12.5 12.5-28.85 18.75-45.19 18.75c-16.35 0-32.69-6.25-45.2-18.75l-22.75-22.62l22.5-22.38c12.5-12.5 28.88-18.75 45.26-18.75c16.38 0 32.75 6.25 45.26 18.75l22.63 22.62L302 432.9zM336.1 80l22.38-22.5l23.13 23.12c24.38 24.38 25.38 64.13 .625 89.75c-.25 .25-.625 .375-.875 .625l-18 17.1l25.52 20.15L404.1 194c25-25 65.39-25 90.52 0l22.63 22.62l-22.5 22.5c-12.45 12.38-28.71 18.05-44.99 18.09l32.85 25.93c12.65-4.453 24.6-11.31 34.77-21.4L552 228c6.252-6.25 6.252-16.38 0-22.62l-34-34C513.6 167 508.9 163.1 503.8 159.8c14.75-5.25 28.4-12.13 39.27-22.38c26.63-28.75 34.88-75.07 32.63-120.1c-.377-9.25-8.016-16.55-17.27-17.05c-4.25-.125-8.735-.1992-13.36-.1992c-34.26 0-76.95 6.376-105.7 33.13c-10.88 10.88-18.46 24.07-23.59 37.95c-3.125-4.625-6.627-9-10.63-13.12l-34.51-34.38c-6.25-6.25-16.38-6.25-22.63 0L314.4 57.25c-17.5 17.5-26.5 40.13-27.75 63l41.86 39.61C312.4 135.1 315.2 101.7 336.1 80zM461 56.63C482.6 36.5 517.9 32.13 544 32c-.25 36-8.627 65.63-23.63 82.75C498.4 134.4 463.4 138.5 437.6 138.5h-.375C437 112.5 441.3 76.5 461 56.63z"],
    "wheelchair": [512, 512, [], "f193", "M176 112c30.88 0 56-25.12 56-56S206.9 0 176 0S120 25.12 120 56S145.1 112 176 112zM176 32c13.23 0 24 10.77 24 24S189.2 80 176 80S152 69.23 152 56S162.8 32 176 32zM511.5 428.1c-2.141-8.578-10.84-13.83-19.39-11.64l-50.97 12.73L382.6 297.5C380 291.7 374.3 288 367.1 288H236.8L222.6 224H336C344.8 224 352 216.8 352 208S344.8 192 336 192H215.5L207.6 156.5c-1.906-8.625-10.45-14-19.09-12.16C179.9 146.3 174.5 154.8 176.4 163.5l32 144C210 314.8 216.5 320 224 320h133.6l59.77 134.5C419.1 460.4 425.8 464 432 464c1.281 0 2.576-.1562 3.873-.4844l64-16C508.5 445.4 513.7 436.7 511.5 428.1zM303.1 368.4c-8.766-1.984-17.2 3.453-19.16 12.06C271.5 439.1 220.2 480 160 480c-70.58 0-128-57.42-128-128c0-60.19 40.94-111.5 99.55-124.8c8.609-1.969 14.02-10.53 12.06-19.16C141.6 199.4 133 193.1 124.5 195.1C51.17 212.6 0 276.8 0 352c0 88.22 71.78 160 160 160c75.23 0 139.4-51.17 156-124.5C317.1 378.9 312.6 370.4 303.1 368.4z"],
    "wheelchair-move": [448, 512, ["wheelchair-alt"], "e2ce", "M312 56C312 25.07 337.1 0 368 0C398.9 0 424 25.07 424 56C424 86.93 398.9 112 368 112C337.1 112 312 86.93 312 56zM368 80C381.3 80 392 69.25 392 56C392 42.75 381.3 32 368 32C354.7 32 344 42.75 344 56C344 69.25 354.7 80 368 80zM199.5 106.9C187.6 102 173.9 104.8 164.7 113.9L123.3 155.3C117.1 161.6 106.9 161.6 100.7 155.3C94.44 149.1 94.44 138.9 100.7 132.7L142.1 91.26C160.3 73.03 187.7 67.51 211.6 77.28L313.5 118.1C345.3 131.1 353.5 173.1 329.3 197.3L280.2 246.4C287.1 254.3 293.3 262.9 298.6 271.1H432C436.9 271.1 441.4 274.2 444.5 277.1C447.5 281.8 448.7 286.7 447.6 291.5L415.6 435.5C413.7 444.1 405.2 449.5 396.5 447.6C387.9 445.7 382.5 437.2 384.4 428.5L412.1 304H312.7C317.4 319.2 320 335.3 320 352C320 440.4 248.4 512 160 512C71.63 512 0 440.4 0 352C0 263.6 71.63 192 160 192C165.6 192 171.1 192.3 176.5 192.8L244.2 125.2L199.5 106.9zM301.4 148.6L276.3 138.3L213.5 201.2C229.2 206.7 243.8 214.7 256.8 224.6L306.7 174.7C314.7 166.6 311.1 152.9 301.4 148.6V148.6zM160 480C230.7 480 288 422.7 288 352C288 281.3 230.7 224 160 224C89.31 224 32 281.3 32 352C32 422.7 89.31 480 160 480z"],
    "whiskey-glass": [512, 512, [129347, "glass-whiskey"], "f7a0", "M447.1 64H64.04C44.55 64 29.68 81.25 32.3 100.5l55.99 292.6C92.79 424.6 119.8 448 151.8 448h208.9c31.74 0 58.86-23.38 63.36-54.89l55.61-292.6C482.3 81.25 467.5 64 447.1 64zM392.3 388.6c-2.125 15.75-15.87 27.51-31.62 27.51h-208.9c-15.87 0-29.49-11.75-31.74-27.88L99.29 288.1h313.7L392.3 388.6zM417.1 256.1H94.29L64.04 96.01h383.9L417.1 256.1z"],
    "whiskey-glass-ice": [512, 512, ["glass-whiskey-rocks"], "f7a1", "M447.1 64H64.04C44.55 64 29.68 81.25 32.3 100.5l55.99 292.6C92.79 424.6 119.8 448 151.8 448h208.9c31.74 0 58.86-23.38 63.36-54.89l55.61-292.6C482.3 81.25 467.5 64 447.1 64zM392.3 388.6c-2.125 15.76-15.87 27.51-31.62 27.51H151.8c-15.87 0-29.49-11.75-31.74-27.88L100.8 288l19.06 .0352L119.8 296.2c0 11.05 4.486 21.06 11.76 28.33c7.248 7.248 17.34 11.63 28.39 11.63l64.02 .0371c13.68 0 25.18-7.342 32.4-17.85l32.63 32.72c7.812 7.812 18.06 11.72 28.34 11.72c10.25 0 20.53-3.906 28.34-11.72l45.25-45.38C395.9 300.6 398.7 294.4 400.5 288h10.95L392.3 388.6zM231.9 296.2c0 4.408-3.588 7.996-8.041 7.996L159.8 304.3c-2.887 0-4.811-1.494-5.701-2.383C153 300.8 151.8 298.9 151.8 296.2l.0879-64.13c0-4.41 3.588-7.996 8.041-7.996l64.06-.0879C228.4 224 232 227.6 232 232L231.9 296.2zM266.4 271.7l45.22-45.34c1.939-1.939 4.18-2.346 5.717-2.346s3.777 .4062 5.686 2.314l45.28 45.41c1.92 1.92 2.322 4.133 2.322 5.652S370.2 281.1 368.2 283.1l-45.22 45.34c-2.041 2.041-4.459 2.346-5.717 2.346c-1.537 0-3.777-.4062-5.686-2.314l-45.28-45.41C264.4 281.1 264 278.9 264 277.4S264.4 273.6 266.4 271.7zM417.5 256h-22.08c-1.504-2.326-2.545-4.869-4.582-6.906L345.6 203.7C337.8 195.9 327.6 192 317.3 192S296.8 195.9 288.9 203.7l-25.51 25.58C261.9 208.6 245 192 223.9 192L159.8 192.1c-22.05 0-39.1 17.94-39.1 39.1L119.8 256H94.7L64.02 96h383.1L417.5 256z"],
    "whistle": [640, 512, [], "f460", "M210 191.1C174.3 191.1 145.4 220.6 145.4 256s28.87 64.01 64.62 64.01C245.8 320 274.6 291.4 274.6 256S245.8 191.1 210 191.1zM210 287.9C192.3 287.9 177.8 273.6 177.8 256c0-17.58 14.5-31.94 32.25-31.94c17.75 0 32.25 14.36 32.25 31.94C242.3 273.6 227.8 287.9 210 287.9zM464.3 205.1l-27.75 16.22c-2.875 1.733-6.501 1.486-9.25-.619l-25.37-20.18c-2.625-2.105-3.625-5.695-2.625-8.79l10.38-29.59c2.125-6.438 .125-13.37-5.25-17.7c-68-53.86-107.8-96.32-194.5-96.32c-33 0-66 7.676-96.12 23.03C101.5 56.67 83.75 48 64.63 48c-35.62 0-64.62 28.72-64.62 64.01c0 19.31 8.75 37.14 23.25 49.15c-40.5 78.25-27.87 176.4 38.25 241.9C102.5 443.7 156.3 464 210 464c53.75 0 107.5-20.3 148.5-60.91c10.12-10.03 18.88-20.68 26.5-32.07l151.9 85.92c7.125 3.962 16 2.229 20.88-4.21l79-104.4c5.249-6.933 4-16.71-2.751-22.04l-151.5-120.1C477.3 202.1 470 201.6 464.3 205.1zM32.25 112c0-17.7 14.5-32.07 32.38-32.07c8.125 0 15.75 2.971 21.62 8.295c-8.625 6.19-17 13-24.75 20.68s-14.38 15.85-20.75 24.27C35.63 127.5 32.25 120.1 32.25 112zM544.8 416.6c-2.375 3.219-6.875 4.086-10.5 2.105l-159.5-90.26c-13.13 19.69-57 103.1-164 103.6c-158 .4952-238.4-189.7-126.5-300.5c82.37-81.47 183.5-47.54 220.5-24.27c9.249 6.686 70.5 55.1 70.5 55.1l-12 34.91c-2.25 6.438-.125 13.37 5.125 17.7l51.87 41.1c5.25 4.086 12.5 4.581 18.38 1.238l32.5-18.94l124.4 98.55c3.375 2.6 4 7.552 1.375 11.02L544.8 416.6z"],
    "wifi": [640, 512, ["wifi-3", "wifi-strong"], "f1eb", "M635.6 165C555.7 80.47 440.7 32 320 32s-235.7 48.47-315.6 133c-6.063 6.438-5.781 16.56 .625 22.62C11.43 193.7 21.53 193.4 27.62 187C101.5 108.8 208.1 64 320 64s218.5 44.84 292.4 123C615.5 190.3 619.8 192 624 192c3.938 0 7.906-1.438 11-4.375C641.4 181.6 641.7 171.4 635.6 165zM320 191.1c-77.75 0-150 30.16-203.4 84.85C110.4 283.1 110.5 293.3 116.8 299.4c6.375 6.219 16.5 6.031 22.63-.25C186.8 250.7 250.9 224 320 224s133.2 26.69 180.6 75.19C503.7 302.4 507.8 304 512 304c4.031 0 8.063-1.5 11.19-4.562c6.313-6.156 6.438-16.31 .25-22.62C470 222.1 397.8 191.1 320 191.1zM319.1 351.1c-35.35 0-64 28.66-64 64.01s28.66 64.01 64 64.01s64-28.66 64-64.01S355.3 351.1 319.1 351.1zM320 448c-17.64 0-32-14.36-32-32S302.4 384 320 384s32 14.36 32 32S337.6 448 320 448z"],
    "wifi-exclamation": [640, 512, [], "e2cf", "M256 48c0-3.781 .4844-7.438 1.117-11.04C160.1 50.7 70.22 95.34 4.369 165c-6.062 6.438-5.781 16.56 .625 22.62C11.43 193.7 21.53 193.4 27.62 187C87.24 123.1 168.2 83.09 256 69.45V48zM320 304c8.844 0 16-7.156 16-16V48C336 39.16 328.8 32 320 32S304 39.16 304 48V288C304 296.8 311.2 304 320 304zM256 199.3C203.1 211.2 154.9 237.5 116.6 276.8C110.4 283.1 110.5 293.3 116.8 299.4c6.375 6.219 16.5 6.031 22.62-.25C171.7 266.1 211.9 243.5 256 232.3V199.3zM635.6 165c-65.85-69.66-155.7-114.3-252.7-128C383.5 40.56 384 44.22 384 48v21.45c87.78 13.64 168.8 54.51 228.4 117.6C615.5 190.3 619.8 192 624 192c3.938 0 7.906-1.438 11-4.375C641.4 181.6 641.7 171.4 635.6 165zM320 352c-35.35 0-64 28.65-64 64s28.65 64 63.1 64s64-28.65 64-64S355.3 352 320 352zM320 448c-17.64 0-32-14.36-32-32s14.35-32 31.99-32S352 398.4 352 416S337.6 448 320 448zM384 199.3v32.96c44.11 11.25 84.28 33.88 116.6 66.93C503.7 302.4 507.8 304 512 304c4.031 0 8.062-1.5 11.19-4.562c6.312-6.156 6.438-16.31 .25-22.62C485.1 237.5 436.9 211.2 384 199.3z"],
    "wifi-fair": [640, 512, ["wifi-2"], "f6ab", "M320 192C242.2 192 169.1 222.1 116.6 276.8C110.4 283.1 110.5 293.3 116.8 299.4c6.375 6.219 16.5 6.031 22.63-.25C186.8 250.7 250.9 224 320 224s133.2 26.69 180.6 75.19C503.7 302.4 507.8 304 512 304c4.031 0 8.063-1.5 11.19-4.562c6.313-6.156 6.438-16.31 .25-22.62C470 222.1 397.8 192 320 192zM319.1 352c-35.35 0-64 28.65-64 63.1s28.66 64 64 64s64-28.65 64-64S355.3 352 319.1 352zM320 448c-17.64 0-32-14.36-32-32S302.4 384 320 384s32 14.36 32 32S337.6 448 320 448z"],
    "wifi-slash": [640, 512, [], "f6ac", "M398.1 236.1c38.55 12.27 73.61 33.56 102.4 63.05C503.7 302.4 507.8 304 512 304c4.031 0 8.062-1.5 11.19-4.562c6.312-6.156 6.438-16.31 .25-22.62c-47.96-49.08-111.1-78.17-179.7-83.66L398.1 236.1zM320 64c111.9 0 218.5 44.84 292.4 123C615.5 190.3 619.8 192 624 192c3.938 0 7.906-1.438 11-4.375c6.406-6.062 6.688-16.19 .625-22.62C555.7 80.47 440.7 32 319.1 32C268.9 32 218.9 41.19 172.1 57.65l29.9 23.6C239.8 70.05 279.5 64 320 64zM4.369 165c-6.062 6.438-5.781 16.56 .625 22.62C11.43 193.7 21.53 193.4 27.62 187c14.73-15.57 31.06-29.42 48.17-42.26l-25.89-20.44C33.86 136.9 18.4 150.2 4.369 165zM116.6 276.8C110.4 283.1 110.5 293.3 116.8 299.4c6.375 6.219 16.5 6.031 22.62-.25c20.26-20.73 43.71-37.21 69.17-49.59l-27.66-21.84C157.5 240.8 135.8 257.2 116.6 276.8zM344.5 356.9c-7.559-3.141-15.84-4.925-24.54-4.925c-35.35 0-64 28.66-64 64.01s28.66 64.01 64 64.01s64-28.66 64-64.01c0-14.29-4.838-27.34-12.75-37.99L344.5 356.9zM320 448c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S337.6 448 320 448zM25.92 3.422c-6.938-5.453-17-4.25-22.48 2.641c-5.469 6.938-4.281 17 2.641 22.48l608 480C617 510.9 620.5 512 623.1 512c4.734 0 9.422-2.094 12.58-6.078c5.469-6.938 4.281-17-2.641-22.48L25.92 3.422z"],
    "wifi-weak": [640, 512, ["wifi-1"], "f6aa", "M319.1 352c-35.35 0-64 28.65-64 63.1s28.65 64 64 64s64-28.65 64-64S355.3 352 319.1 352zM320 448c-17.64 0-32-14.36-32-32S302.4 384 320 384s32 14.36 32 32S337.6 448 320 448z"],
    "wind": [512, 512, [], "f72e", "M16 192h352C412.1 192 448 156.1 448 112S412.1 32 368 32h-32C327.2 32 320 39.16 320 48S327.2 64 336 64h32C394.5 64 416 85.53 416 112S394.5 160 368 160h-352C7.156 160 0 167.2 0 176S7.156 192 16 192zM176 320h-160C7.156 320 0 327.2 0 336S7.156 352 16 352h160C202.5 352 224 373.5 224 400S202.5 448 176 448h-32C135.2 448 128 455.2 128 464S135.2 480 144 480h32c44.13 0 80-35.88 80-80S220.1 320 176 320zM424 240H16C7.156 240 0 247.2 0 256s7.156 16 16 16h408c30.88 0 56 25.12 56 56S454.9 384 424 384H400c-8.844 0-16 7.156-16 16s7.156 16 16 16h24c48.53 0 88-39.47 88-88S472.5 240 424 240z"],
    "wind-turbine": [512, 512, [], "f89b", "M404.1 395.5l-78.02-163.3C324.2 225.7 324 218.3 326.5 212l64.81-160.7c7.453-19.06-1.875-40.91-20.94-48.72c-16-6.281-34.09-1-44.03 12.97L225.5 156C221.4 161.7 215.4 165.4 208.6 166.5L39.42 193.7C21.14 196.7 7.625 213 8 231.9c.4687 18.75 14.77 34.41 33.27 36.44l167.6 18.41c6.75 .7187 13.14 4.312 17.78 10.19L240 312.9V480h-96C135.2 480 128 487.2 128 496S135.2 512 144 512h224c8.844 0 16-7.156 16-16S376.8 480 368 480h-96v-128.9l69.3 82.74C349.2 443.8 359.1 448 370.3 448c7.234 0 14.22-2.031 19.81-5.531C405.9 432.8 412.3 412.7 404.1 395.5zM373.3 415.3c-.0469-.0313-4 2.406-7.125-1.594L251.5 276.7C241.8 264.5 227.5 256.6 212.3 254.9L44.75 236.5C42.16 236.3 40.06 233.9 40 231.2C39.94 228.3 41.88 225.7 44.5 225.3l169.1-27.16c15.34-2.469 28.8-10.84 37.86-23.53l100.9-140.4c1.016-1.438 2.641-2.219 4.25-2.219c.5938 0 1.188 .125 1.75 .3438c2.859 1.156 4.25 4.469 3.172 7.219l-64.8 160.6c-5.578 14.19-5.281 30.47 1.062 45.28l77.84 162.9C376.6 410.8 375.6 413.8 373.3 415.3zM256 208C247.2 208 239.1 215.2 239.1 224c0 8.836 7.164 16 16 16c8.836 0 15.1-7.164 15.1-16C271.1 215.2 264.8 208 256 208z"],
    "wind-warning": [640, 512, ["wind-circle-exclamation"], "f776", "M184 352c0 13.25 10.75 24 24 24S232 365.3 232 352c0-13.26-10.75-24-24-24S184 338.7 184 352zM340 372.4C306.6 410.3 258.4 432 208 432C110.1 432 32 353 32 256s78.97-176 176-176c86.34 0 159.3 61.69 173.6 146.7C383 235.4 391.1 241.3 400 239.8c8.719-1.469 14.59-9.719 13.12-18.44C396.3 120.9 310 48 208 48C93.31 48 0 141.3 0 256s93.31 208 208 208c59.63 0 116.5-25.66 156-70.41c5.844-6.625 5.219-16.75-1.406-22.59C356 365.2 345.8 365.8 340 372.4zM224 272v-128C224 135.2 216.8 128 208 128S192 135.2 192 144v128C192 280.8 199.2 288 208 288S224 280.8 224 272zM464 224H544c52.94 0 96-43.06 96-96s-43.06-96-96-96h-48C487.2 32 480 39.16 480 48S487.2 64 496 64H544c35.28 0 64 28.72 64 64s-28.72 64-64 64h-80C455.2 192 448 199.2 448 208S455.2 224 464 224zM544 288h-208C327.2 288 320 295.1 320 303.1S327.2 320 336 320H544c35.28 0 64 28.72 64 64s-28.72 64-64 64h-48c-8.844 0-16 7.156-16 16s7.156 16 16 16H544c52.94 0 96-43.06 96-96S596.9 288 544 288z"],
    "window": [512, 512, [], "f40e", "M72 128C72 114.7 82.75 104 96 104C109.3 104 120 114.7 120 128C120 141.3 109.3 152 96 152C82.75 152 72 141.3 72 128zM216 128C216 141.3 205.3 152 192 152C178.7 152 168 141.3 168 128C168 114.7 178.7 104 192 104C205.3 104 216 114.7 216 128zM264 128C264 114.7 274.7 104 288 104C301.3 104 312 114.7 312 128C312 141.3 301.3 152 288 152C274.7 152 264 141.3 264 128zM0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM32 96V416C32 433.7 46.33 448 64 448H448C465.7 448 480 433.7 480 416V96C480 78.33 465.7 64 448 64H64C46.33 64 32 78.33 32 96z"],
    "window-flip": [512, 512, ["window-alt"], "f40f", "M416 152C402.7 152 392 141.3 392 128C392 114.7 402.7 104 416 104C429.3 104 440 114.7 440 128C440 141.3 429.3 152 416 152zM320 104C333.3 104 344 114.7 344 128C344 141.3 333.3 152 320 152C306.7 152 296 141.3 296 128C296 114.7 306.7 104 320 104zM224 152C210.7 152 200 141.3 200 128C200 114.7 210.7 104 224 104C237.3 104 248 114.7 248 128C248 141.3 237.3 152 224 152zM512 416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416zM448 64H64C46.33 64 32 78.33 32 96V416C32 433.7 46.33 448 64 448H448C465.7 448 480 433.7 480 416V96C480 78.33 465.7 64 448 64z"],
    "window-frame": [512, 512, [129695], "e04f", "M496 480H480V64c0-35.35-28.65-64-64-64H96C60.65 0 32 28.65 32 64v416H16C7.164 480 0 487.2 0 496C0 504.8 7.164 512 16 512h480c8.836 0 16-7.164 16-16C512 487.2 504.8 480 496 480zM240 480H64V288h176V480zM240 256H64V64c0-17.67 14.33-32 32-32h144V256zM448 480h-176V288H448V480zM448 256h-176V32H416c17.67 0 32 14.33 32 32V256z"],
    "window-frame-open": [512, 512, [], "e050", "M496 480H480v-160h-32v160H64v-160H32v160H16C7.164 480 0 487.2 0 496C0 504.8 7.164 512 16 512h480c8.836 0 16-7.164 16-16C512 487.2 504.8 480 496 480zM480 64c0-35.35-28.65-64-64-64H96C60.65 0 32 28.65 32 64v224h448V64zM240 256H64V64c0-17.67 14.33-32 32-32h144V256zM448 256h-176V32H416c17.67 0 32 14.33 32 32V256z"],
    "window-maximize": [512, 512, [128470], "f2d0", "M0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM32 96V192H480V96C480 78.33 465.7 64 448 64H64C46.33 64 32 78.33 32 96zM32 224V416C32 433.7 46.33 448 64 448H448C465.7 448 480 433.7 480 416V224H32z"],
    "window-minimize": [512, 512, [128469], "f2d1", "M0 464C0 455.2 7.164 448 16 448H496C504.8 448 512 455.2 512 464C512 472.8 504.8 480 496 480H16C7.164 480 0 472.8 0 464z"],
    "window-restore": [512, 512, [], "f2d2", "M432 32H208C181.5 32 160 53.49 160 80V96H128V80C128 35.82 163.8 0 208 0H432C476.2 0 512 35.82 512 80V304C512 348.2 476.2 384 432 384H416V352H432C458.5 352 480 330.5 480 304V80C480 53.49 458.5 32 432 32zM320 128C355.3 128 384 156.7 384 192V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V192C0 156.7 28.65 128 64 128H320zM320 160H64C46.33 160 32 174.3 32 192V256H352V192C352 174.3 337.7 160 320 160zM64 480H320C337.7 480 352 465.7 352 448V288H32V448C32 465.7 46.33 480 64 480z"],
    "windsock": [512, 512, [], "f777", "M471.9 107.8L114.6 48.22c-4.594-.7813-9.391 .5313-12.97 3.562C98.06 54.84 96 59.31 96 64v46.5H32V16C32 7.156 24.84 0 16 0S0 7.156 0 16v480C0 504.8 7.156 512 16 512S32 504.8 32 496V311.3h64V352c0 4.688 2.062 9.156 5.656 12.22C104.6 366.7 108.2 368 112 368c.875 0 1.75-.0625 2.625-.2187l357.3-59.53C495.1 304.3 512 284.4 512 260.9V155.1C512 131.6 495.1 111.7 471.9 107.8zM96 279.3H32V142.5h64V279.3zM224 317.1l-96 16V82.88l96 16V317.1zM384 290.5l-128 21.33V104.2l128 21.33V290.5zM480 260.9c0 7.844-5.625 14.47-13.36 15.78L416 285.1V130.9l50.61 8.436C474.4 140.6 480 147.3 480 155.1V260.9z"],
    "wine-bottle": [512, 512, [], "f72f", "M507.3 84.69l-80-80c-6.25-6.25-16.38-6.25-22.62 0c-5.127 5.127-5.812 12.75-2.527 18.82l-92.57 92.37C260.1 99.63 207.5 112 170.7 148.8l-148.5 148.5c-29.62 29.75-29.62 77.88 0 107.6l84.88 84.88C121.3 504.1 140.5 512 160.7 512c20.38 0 39.5-7.875 53.75-22.25l148.6-148.6c36.63-36.63 49-90.25 32.75-139l92.61-92.31C490.8 111.1 493.4 112 496 112c4.094 0 8.188-1.562 11.31-4.688C513.6 101.1 513.6 90.94 507.3 84.69zM191.1 467.1c-16.75 16.62-45.63 16.62-62.25 0l-84.88-84.88c-17.12-17.25-17.12-45.13 0-62.38l14.25-14.25l147.1 147.3L191.1 467.1zM228.8 430.1L81.72 283l89.38-89.38l147.1 147.1L228.8 430.1zM340.8 318.1L193.7 171c50.88-50.25 111.8-22.5 113.6-21.75l10 4.25l34.94-34.59l40.88 40.88L358.3 194.5l4.125 9.875C379.1 243.5 370.5 288 340.8 318.1zM415.8 137.2l-40.79-40.79l49.62-49.13l40.62 40.62L415.8 137.2z"],
    "wine-glass": [320, 512, [127863], "f4e3", "M240 480H176v-130.2c76.68-8.744 134.6-77.24 127.4-157.2l-14.66-163.5C287.3 12.62 273.7 0 257.3 0H62.66C46.35 0 32.73 12.62 31.25 29.1L16.6 192.6C9.433 272.6 67.32 341.1 144 349.8V480H79.1c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16h160c8.836 0 16-7.164 16-16C256 487.2 248.8 480 240 480zM256.9 32l8.6 96H54.33l8.328-96H256.9zM154.1 319.2C123.7 317.6 95.86 303.9 75.76 280.7C55.35 257.1 45.66 226.9 48.47 195.5L51.55 160h216.8l3.182 35.51c2.809 31.34-6.881 61.58-27.28 85.14c-20.11 23.22-47.92 36.91-78.32 38.56C158.6 319.6 161.5 319.6 154.1 319.2z"],
    "wine-glass-crack": [320, 512, ["fragile"], "f4bb", "M240 480h-64v-130.2c76.68-8.744 134.6-77.24 127.4-157.2l-14.66-163.5C287.3 12.62 273.7 0 257.3 0H62.66C46.35 0 32.73 12.62 31.25 29.1L16.6 192.6C9.432 272.6 67.32 341.1 144 349.8V480h-64c-8.838 0-16 7.162-16 16c0 8.836 7.164 16 16 16h160c8.838 0 16-7.164 16-16C256 487.2 248.8 480 240 480zM154.1 319.2C123.7 317.6 95.86 303.9 75.76 280.7C55.35 257.1 45.66 226.9 48.47 195.5L62.66 32H149.2l22.51 56.27L120.8 113.7C116.3 115.1 113 120.4 112.2 125.4s.8438 10.23 4.484 13.88l64 64C183.8 206.4 187.9 208 192 208s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L155 132.4l44.14-22.08c7.438-3.719 10.8-12.53 7.703-20.25L183.6 32h73.24l14.65 163.5c2.809 31.34-6.881 61.58-27.29 85.14c-20.1 23.22-47.92 36.91-78.32 38.56C158.6 319.6 161.5 319.6 154.1 319.2z"],
    "wine-glass-empty": [320, 512, ["wine-glass-alt"], "f5ce", "M303.4 192.6l-14.66-163.5C287.3 12.62 273.7 0 257.3 0H62.66C46.35 0 32.73 12.62 31.25 29.1L16.6 192.6c-7.164 79.96 50.72 148.5 127.4 157.2V480H79.1c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16h160c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16h-64v-130.2C252.7 341.1 310.6 272.6 303.4 192.6zM48.47 195.5L62.66 32h194.2l14.65 163.5c2.809 31.34-6.881 61.58-27.28 85.14c-20.1 23.22-47.92 36.91-78.32 38.56c-7.273 .3934-4.458 .3995-11.84 0C123.7 317.6 95.86 303.9 75.76 280.7C55.35 257.1 45.66 226.9 48.47 195.5z"],
    "won-sign": [512, 512, [8361, "krw", "won"], "f159", "M96.74 256H183.4L240.6 43.84C242.4 36.85 248.8 32 256 32C263.2 32 269.6 36.86 271.4 43.84L328.6 256H415.3L480.7 43.3C483.3 34.85 492.3 30.11 500.7 32.71C509.2 35.31 513.9 44.26 511.3 52.71L448.7 256H496C504.8 256 512 263.2 512 272C512 280.8 504.8 288 496 288H438.9L383.3 468.7C381.2 475.5 374.8 480.1 367.7 479.1C360.6 479.9 354.4 475 352.6 468.2L304 288H207.1L159.5 468.2C157.6 475 151.4 479.9 144.3 479.1C137.2 480.1 130.8 475.5 128.7 468.7L73.11 288H16C7.164 288 0 280.8 0 272C0 263.2 7.164 256 16 256H63.26L.7078 52.71C-1.891 44.26 2.849 35.31 11.3 32.71C19.74 30.11 28.69 34.85 31.29 43.3L96.74 256zM106.6 288L142.1 406.3L174.8 288H106.6zM216.6 256H295.4L256 109.5L216.6 256zM337.2 288L369 406.3L405.4 288H337.2z"],
    "worm": [512, 512, [], "e599", "M384 88C384 74.75 394.7 64 408 64C421.3 64 432 74.75 432 88C432 101.3 421.3 112 408 112C394.7 112 384 101.3 384 88zM422.4 0C471.9 0 512 40.12 512 89.6V356C512 442.2 442.2 512 356 512C269.8 512 200 442.2 200 356V320C200 293.5 178.5 272 152 272C129.9 272 112 289.9 112 312V456C112 486.9 86.93 512 56 512C25.07 512 0 486.9 0 456V312C0 228.1 68.05 160 152 160C240.4 160 312 231.6 312 320V356C312 380.3 331.7 400 356 400C380.3 400 400 380.3 400 356V192L368.9 187.6C322.5 180.9 288 141.2 288 94.25C288 42.2 330.2 0 382.3 0H422.4zM432 356C432 397.1 397.1 432 356 432C314 432 280 397.1 280 356V320C280 249.3 222.7 192 152 192C85.73 192 32 245.7 32 312V456C32 469.3 42.75 480 56 480C69.25 480 80 469.3 80 456V312C80 272.2 112.2 240 152 240C196.2 240 232 275.8 232 320V356C232 424.5 287.5 480 356 480C424.5 480 480 424.5 480 356V89.6C480 57.79 454.2 32 422.4 32H382.3C347.9 32 320 59.87 320 94.25C320 125.2 342.8 151.5 373.4 155.9L432 164.2V356z"],
    "wreath": [448, 512, [], "f7e2", "M281.9 385.3c-.375 .0938-.75 .2187-1.125 .375L224 406.9l-57.75-21.63C157.1 382.5 147 384.2 139.4 389.9C132.2 395.2 128 403.3 128 412v71.89c0 8.656 4.094 16.69 11.22 22c7.625 5.721 17.69 7.533 28 4.408L224 489.1l57.75 21.63C284.7 511.6 287.6 512 290.6 512c6.438 0 12.81-2.031 18.03-5.908C315.8 500.7 320 492.7 320 483.9v-71.89c0-8.658-4.094-16.69-11.22-22C301.2 384.3 291.1 382.5 281.9 385.3zM288 478.9l-58.38-21.88c-3.626-1.375-7.626-1.375-11.25 0L160 479.7V417.1l58.38 21.88c3.624 1.375 7.624 1.375 11.25 0L288 417.1V478.9zM448 221.9c0-15.44-5.938-30.01-16.31-41.07c5.344-14.1 5.188-29.82-.8438-44.24c-6.062-14.44-17.38-25.69-31.47-31.87c-.3438-15.22-6.281-29.6-17-40.23c-10.72-10.65-25.19-16.56-40.47-16.9c-6.219-14.17-17.59-25.38-32.09-31.28c-14.28-5.965-30.16-6.121-44.44-.7773c-22.25-20.75-60.47-20.78-82.72-.0313c-14.28-5.342-30.09-5.188-44.5 .8086c-14.56 6.088-25.84 17.33-32 31.28c-15.28 .373-29.72 6.275-40.31 16.8C54.97 75.1 48.97 89.51 48.69 104.8C34.5 110.9 23.22 122.2 17.28 136.6c-6 14.2-6.156 29.92-.8125 44.17C5.999 191.8 0 206.4 0 221.9c0 15.41 5.938 29.98 16.31 41.04C10.97 277.1 11.13 292.8 17.16 307.2c6.031 14.26 17.34 25.41 31.5 31.53c.2813 15.44 6.281 29.98 17.16 40.66C68.94 382.5 73 384 77.06 384c4.125 0 8.25-1.584 11.41-4.723c6.188-6.275 6.125-16.34-.1562-22.52c-6.594-6.43-9.094-15.9-6.906-26c.9375-4.256 .0938-8.668-2.344-12.27S72.81 312.5 68.53 311.7C58.41 309.9 50.44 303.8 46.69 294.9C42.94 286.1 44 276 49.47 268.1c2.469-3.512 3.375-7.859 2.562-12.08c-.8438-4.195-3.312-7.891-6.906-10.25C36.91 240.4 32 231.5 32 221.9C32 212.3 36.91 203.5 45.16 198.1c3.594-2.299 6.094-5.965 6.969-10.16c.8438-4.162-.0313-8.512-2.406-12.05C44.19 167.7 43.09 157.7 46.84 148.8c3.688-8.947 11.78-15.28 21.69-17.02c4.281-.7461 8.094-3.199 10.53-6.803s3.281-8.014 2.344-12.27C79.25 102.9 81.75 93.52 88.38 87.03c6.531-6.492 16.09-8.885 26.03-6.896c4.281 .8398 8.719-.0313 12.31-2.422c3.594-2.455 6.031-6.244 6.75-10.53C135.1 57.52 141.5 49.47 150.6 45.68c8.875-3.697 18.97-2.609 27.03 2.857c3.531 2.393 7.875 3.355 12.12 2.455C193.9 50.18 197.7 47.7 200 44.13c10.75-16.28 37.25-16.28 48 0c2.344 3.541 6.031 6.025 10.22 6.865c4.094 .8379 8.531-.0313 12.09-2.393c8.156-5.498 18.34-6.617 27.25-2.857c8.969 3.635 15.38 11.71 17.12 21.56c.75 4.256 3.188 8.014 6.781 10.44c3.625 2.422 8.031 3.262 12.28 2.391c9.969-2.174 19.5 .4355 26 6.928c6.531 6.43 9.031 15.84 6.906 25.75c-.9062 4.225-.0313 8.637 2.406 12.21c2.406 3.604 6.219 6.025 10.5 6.771c9.844 1.74 17.97 8.139 21.75 17.09c3.75 8.945 2.688 18.98-2.781 26.87c-2.469 3.51-3.375 7.889-2.562 12.08c.8438 4.193 3.344 7.889 6.938 10.25C411.1 203.4 416 212.3 416 221.9c0 9.568-4.812 18.45-12.91 23.76c-3.594 2.361-6.062 6.027-6.906 10.22c-.8125 4.193 .0938 8.543 2.531 12.08c5.531 7.953 6.625 18.02 2.969 26.81c-3.75 8.916-11.72 15-21.84 16.78c-4.312 .7129-8.125 3.168-10.56 6.771s-3.282 8.014-2.344 12.27c2.188 10.03-.3438 19.54-6.969 26.06c-6.25 6.213-6.25 16.28-.0313 22.52c6.25 6.213 16.41 6.182 22.66 .0313c10.81-10.75 16.78-25.25 17.06-40.57c14.22-6.121 25.53-17.3 31.56-31.62c5.969-14.32 6.094-30.07 .6875-44.23C442.2 251.8 448 237.3 448 221.9zM309.8 195.4c-.6875-2.219-.8438-4.688-1.094-7.125c-.6875-6.625-1.542-14.69-6.761-22.22c-5.375-7.654-13.21-11.49-18.93-14.21c-2.062-.9687-4.156-1.844-5.844-3.092c-1.156-.875-2.875-2.844-4.531-4.781c-4.188-4.812-9.875-11.4-18.75-14.4c-8.688-2.938-16.75-1.156-23.16 .25c-5 1.062-8.375 1.062-13.38 0C210.8 128.4 202.8 126.9 194.2 129.7C185.3 132.7 179.6 139.2 175.4 143.1C173.8 145.9 172 147.9 170.8 148.8C169.6 149.8 167.2 150.9 164.9 151.1C159.2 154.6 151.5 158.4 146.1 166C140.1 173.5 140 181.7 139.3 188.3c-.25 2.438-.4062 4.906-1.062 7c-.6562 2.029-1.844 3.967-2.969 5.998C132.2 206.9 128.1 214.5 128.1 223.1c0 9.436 4.112 17.12 7.205 22.71c1.125 2.031 2.312 4 2.938 5.906c.6875 2.219 .8438 4.688 1.094 7.125c.6875 6.623 1.562 14.84 6.781 22.37C151.5 289.8 159.3 293.4 165 296.2C167.1 297.1 169.2 298 170.9 299.3c1.156 .875 2.875 2.844 4.531 4.781c4.188 4.811 9.875 11.4 18.75 14.4C197.6 319.6 200.1 320 204.1 320c4.844 0 9.312-.9687 13.19-1.812c5-1.062 8.375-1.062 13.38 0c6.469 1.406 14.5 3.094 23.19 .2187c8.844-2.969 14.53-9.562 18.72-14.37c1.656-1.938 3.375-3.906 4.594-4.844c1.25-.9375 3.625-2.062 5.938-3.156c5.656-2.656 13.4-6.416 18.8-14.1c5.156-7.467 6.042-15.58 6.73-22.2c.25-2.406 .4062-4.844 1.094-7.062c.6562-2.031 1.844-3.938 2.938-5.969c3.094-5.592 7.268-13.27 7.268-22.71c0-9.469-4.174-17.1-7.268-22.69C311.6 199.3 310.4 197.3 309.8 195.4zM279.2 243.1C279.2 243.1 279.2 243 279.2 243.1c-2.352 7.57-2.566 18.69-3.453 20.53c-2 2.24-10.53 4.494-17.81 10c-6.408 4.83-11.64 12.32-13.84 14.34c-1.438 .4687-4.5-.5938-6.656-1.062c-7.938-1.688-18.94-1.688-26.88 0c-2.219 .5-5.531 1.219-6 1.281c-2.645-1.443-7.248-9.088-14.53-14.59C183.7 268.9 173.8 265.4 172.4 263.9C171.2 261.7 171.3 251.1 168.8 243C166.4 235.4 160.1 226.4 160 224c0-2.434 6.275-11.05 8.812-19.15C171.2 197.3 171.4 186.2 172.3 184.4c2-2.238 10.53-4.492 17.81-9.998c6.408-4.83 11.8-12.34 14-14.36c.0938-.0313-.0938 0 0 0c1.344 0 4.469 .6406 6.5 1.078c7.938 1.688 18.94 1.688 26.88 0c2.219-.5 5.531-1.219 6-1.281c2.645 1.441 7.248 9.088 14.53 14.59c6.318 4.68 16.25 8.234 17.59 9.717c1.203 2.215 1.168 12.78 3.656 20.84C281.7 212.8 288 221.6 288 224C287.9 226.4 281.6 235.5 279.2 243.1z"],
    "wrench": [512, 512, [128295], "f0ad", "M507.4 114.5c-2.25-9.5-9.626-17-19-19.63c-9.501-2.625-19.63 0-26.63 7L397.9 165.7l-44.25-7.375l-7.376-44.25l63.88-63.88c6.876-6.875 9.626-17.13 7.001-26.5c-2.625-9.5-10.25-16.88-19.75-19.25c-51.75-12.75-105.4 2-143.3 39.75C216.2 82.12 201.9 136.9 215.5 188.1l-193.3 193.3c-29.63 29.63-29.63 77.88 0 107.5C36.47 504.1 55.6 512 75.98 512c20.25 0 39.25-7.875 53.63-22.25l193.1-193.1c52.13 13.75 106.9-.75 144.9-38.88C505.5 219.1 520.4 166.4 507.4 114.5zM445 235.2c-31.75 31.75-78.38 42.63-121.8 28.13l-9.376-3.125L106.1 467.1c-16.63 16.63-45.5 16.63-62.13 0c-17.13-17.13-17.13-45.13 0-62.25l207-207L248.7 188.6c-14.38-43.5-3.625-90.13 28-121.8c22.75-22.63 52.75-34.88 83.76-34.88c6.876 0 13.88 .625 20.75 1.75l-69.26 69.38l13.75 83l83.13 13.88l69.26-69.38C484.9 168.9 472.8 207.5 445 235.2zM79.99 415.1c-8.876 0-16 7.125-16 16s7.125 16 16 16s16-7.125 16-16S88.86 415.1 79.99 415.1z"],
    "wrench-simple": [384, 512, [], "e2d1", "M384 179.4c0 69.16-36.54 132-96.04 166.3V496c0 8.844-7.158 16-16.01 16s-16.01-7.156-16.01-16v-159.8c0-6 3.375-11.5 8.721-14.25c53.87-27.5 87.32-82.13 87.32-142.5c0-57.84-30.73-109.8-80.03-138v139.9c0 5.035-2.377 9.785-6.408 12.82l-64.03 48C198.7 244.2 195.4 245.3 192 245.3c-3.352-.0156-6.699-1.055-9.523-3.164l-64.03-48C114.4 191.1 112 186.3 112 181.3V41.36C62.74 69.62 32.01 121.6 32.01 179.4c0 60.41 33.45 115 87.32 142.5c5.346 2.75 8.721 8.25 8.721 14.25V496c0 8.844-7.158 16-16.01 16s-16.01-7.156-16.01-16v-150.3C36.54 311.4 0 248.6 0 179.4c0-79.21 47.96-149.2 122.2-178.3c4.971-1.875 10.47-1.312 14.85 1.688C141.4 5.738 144.1 10.71 144.1 15.99v157.3L192 209.3l47.94-35.95V15.99c0-5.281 2.627-10.25 7.004-13.22c4.377-3 9.879-3.562 14.85-1.688C336 30.18 384 100.2 384 179.4z"],
    "x": [384, 512, [120], "58", "M380.2 453.7c5.703 6.75 4.859 16.84-1.891 22.56C375.3 478.7 371.7 480 368 480c-4.547 0-9.063-1.938-12.23-5.657L192 280.8l-163.8 193.6C25.05 478.1 20.53 480 15.98 480c-3.641 0-7.313-1.25-10.31-3.781c-6.75-5.719-7.594-15.81-1.891-22.56l167.2-197.7L3.781 58.32c-5.703-6.75-4.859-16.84 1.891-22.56c6.75-5.688 16.83-4.813 22.55 1.875L192 231.2l163.8-193.6c5.703-6.688 15.8-7.563 22.55-1.875c6.75 5.719 7.594 15.81 1.891 22.56l-167.2 197.7L380.2 453.7z"],
    "x-ray": [512, 512, [], "f497", "M496 448H480V64h16C504.8 64 512 56.84 512 48S504.8 32 496 32h-480C7.164 32 0 39.16 0 48S7.164 64 16 64H32v384H16C7.164 448 0 455.2 0 464S7.164 480 16 480h480c8.836 0 16-7.164 16-16S504.8 448 496 448zM448 448H64V64h384V448zM112 224h128v32h-96C135.2 256 128 263.2 128 272S135.2 288 144 288h96v32H170.7c-25.56 0-40.8 28.48-26.62 49.75l21.33 32C171.3 410.7 181.3 416 192 416h127.1c10.7 0 20.69-5.348 26.63-14.25l21.33-32C382.1 348.5 366.9 320 341.3 320H272V288h96C376.8 288 384 280.8 384 272S376.8 256 368 256h-96V224h128C408.8 224 416 216.8 416 208S408.8 192 400 192h-128V160h96C376.8 160 384 152.8 384 144S376.8 128 368 128h-96V112C272 103.2 264.8 96 256 96C247.2 96 240 103.2 240 112V128h-96C135.2 128 128 135.2 128 144S135.2 160 144 160h96v32h-128C103.2 192 96 199.2 96 208S103.2 224 112 224zM341.3 352l-21.34 32l-127.1 .0006L170.7 352H341.3z"],
    "xmark": [320, 512, [128473, 10005, 10006, 10060, 215, "close", "multiply", "remove", "times"], "f00d", "M315.3 411.3c-6.253 6.253-16.37 6.253-22.63 0L160 278.6l-132.7 132.7c-6.253 6.253-16.37 6.253-22.63 0c-6.253-6.253-6.253-16.37 0-22.63L137.4 256L4.69 123.3c-6.253-6.253-6.253-16.37 0-22.63c6.253-6.253 16.37-6.253 22.63 0L160 233.4l132.7-132.7c6.253-6.253 16.37-6.253 22.63 0c6.253 6.253 6.253 16.37 0 22.63L182.6 256l132.7 132.7C321.6 394.9 321.6 405.1 315.3 411.3z"],
    "xmark-large": [448, 512, [], "e59b", "M420.7 36.69C426.9 30.44 437.1 30.44 443.3 36.69C449.6 42.93 449.6 53.06 443.3 59.31L246.6 256L443.3 452.7C449.6 458.9 449.6 469.1 443.3 475.3C437.1 481.6 426.9 481.6 420.7 475.3L224 278.6L27.31 475.3C21.07 481.6 10.94 481.6 4.686 475.3C-1.562 469.1-1.562 458.9 4.686 452.7L201.4 256L4.686 59.31C-1.562 53.07-1.562 42.94 4.686 36.69C10.93 30.44 21.06 30.44 27.31 36.69L224 233.4L420.7 36.69z"],
    "xmark-to-slot": [576, 512, ["times-to-slot", "vote-nay"], "f771", "M80 416h416c8.836 0 16-7.164 16-16S504.8 384 496 384H480V80C480 53.49 458.5 32 432 32h-288C117.5 32 96 53.49 96 80V384H80C71.16 384 64 391.2 64 400S71.16 416 80 416zM128 80C128 71.16 135.2 64 144 64h288C440.8 64 448 71.16 448 80V384H128V80zM528 320c-8.844 0-16 7.156-16 16s7.156 16 16 16c8.812 0 16 7.172 16 16v64c0 8.828-7.188 16-16 16h-480C39.19 448 32 440.8 32 432v-64C32 359.2 39.19 352 48 352C56.84 352 64 344.8 64 336S56.84 320 48 320C21.53 320 0 341.5 0 368v64C0 458.5 21.53 480 48 480h480c26.47 0 48-21.53 48-48v-64C576 341.5 554.5 320 528 320zM363.3 132.7c-6.25-6.25-16.38-6.25-22.62 0L288 185.4L235.3 132.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L265.4 208L212.7 260.7c-6.25 6.25-6.25 16.38 0 22.62c6.246 6.246 16.37 6.254 22.62 0L288 230.6l52.69 52.69c6.246 6.246 16.37 6.254 22.62 0c6.25-6.25 6.25-16.38 0-22.62L310.6 208l52.69-52.69C369.6 149.1 369.6 138.9 363.3 132.7z"],
    "xmarks-lines": [640, 512, [], "e59a", "M624 32C632.8 32 640 39.16 640 48C640 56.84 632.8 64 624 64H16C7.164 64 .0002 56.84 .0002 48C.0002 39.16 7.164 32 16 32H624zM624 448C632.8 448 640 455.2 640 464C640 472.8 632.8 480 624 480H16C7.164 480 .0002 472.8 .0002 464C.0002 455.2 7.164 448 16 448H624zM228.7 164.7C234.9 158.4 245.1 158.4 251.3 164.7L320 233.4L388.7 164.7C394.9 158.4 405.1 158.4 411.3 164.7C417.6 170.9 417.6 181.1 411.3 187.3L342.6 256L411.3 324.7C417.6 330.9 417.6 341.1 411.3 347.3C405.1 353.6 394.9 353.6 388.7 347.3L320 278.6L251.3 347.3C245.1 353.6 234.9 353.6 228.7 347.3C222.4 341.1 222.4 330.9 228.7 324.7L297.4 256L228.7 187.3C222.4 181.1 222.4 170.9 228.7 164.7zM118.6 256L187.3 324.7C193.6 330.9 193.6 341.1 187.3 347.3C181.1 353.6 170.9 353.6 164.7 347.3L96 278.6L27.31 347.3C21.07 353.6 10.93 353.6 4.686 347.3C-1.562 341.1-1.562 330.9 4.686 324.7L73.37 256L4.686 187.3C-1.562 181.1-1.562 170.9 4.686 164.7C10.93 158.4 21.07 158.4 27.31 164.7L96 233.4L164.7 164.7C170.9 158.4 181.1 158.4 187.3 164.7C193.6 170.9 193.6 181.1 187.3 187.3L118.6 256zM452.7 164.7C458.9 158.4 469.1 158.4 475.3 164.7L544 233.4L612.7 164.7C618.9 158.4 629.1 158.4 635.3 164.7C641.6 170.9 641.6 181.1 635.3 187.3L566.6 256L635.3 324.7C641.6 330.9 641.6 341.1 635.3 347.3C629.1 353.6 618.9 353.6 612.7 347.3L544 278.6L475.3 347.3C469.1 353.6 458.9 353.6 452.7 347.3C446.4 341.1 446.4 330.9 452.7 324.7L521.4 256L452.7 187.3C446.4 181.1 446.4 170.9 452.7 164.7z"],
    "y": [384, 512, [121], "59", "M380.9 57.49l-172.9 235.8v170.8c0 8.844-7.154 15.99-15.1 15.99s-16-7.142-16-15.99V293.3L3.091 57.49C-2.128 50.37-.5965 40.34 6.529 35.12C13.59 29.87 23.68 31.4 28.9 38.56l163.1 222.4l163.1-222.4c5.219-7.156 15.34-8.625 22.38-3.438C384.6 40.34 386.1 50.37 380.9 57.49z"],
    "yen-sign": [320, 512, [165, "cny", "jpy", "rmb", "yen"], "f157", "M160 220.6L291 38.65C296.2 31.48 306.2 29.85 313.4 35.02C320.5 40.18 322.1 50.18 316.1 57.35L196.1 224H272C280.8 224 288 231.2 288 240C288 248.8 280.8 256 272 256H176V320H272C280.8 320 288 327.2 288 336C288 344.8 280.8 352 272 352H176V464C176 472.8 168.8 480 160 480C151.2 480 144 472.8 144 464V352H48C39.16 352 32 344.8 32 336C32 327.2 39.16 320 48 320H144V256H48C39.16 256 32 248.8 32 240C32 231.2 39.16 224 48 224H123L3.017 57.35C-2.147 50.18-.5187 40.18 6.652 35.02C13.82 29.85 23.82 31.48 28.99 38.65L160 220.6z"],
    "yin-yang": [512, 512, [9775], "f6ad", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM32 256c0-123.5 100.5-224 224-224c57.34 0 104 46.66 104 104S313.3 240 256 240c-75 0-136 61-136 136c0 26.46 7.904 50.97 21.02 71.88C75.84 408.7 32 337.5 32 256zM256 480c-57.34 0-104-46.66-104-104S198.7 272 256 272c75 0 136-61 136-136c0-26.46-7.904-50.97-21.02-71.88C436.2 103.3 480 174.5 480 256C480 379.5 379.5 480 256 480zM256 160c13.26 0 24-10.75 24-24S269.3 112 256 112c-13.25 0-24 10.75-24 24S242.7 160 256 160zM256 352c-13.25 0-24 10.75-24 24S242.7 400 256 400c13.26 0 24-10.75 24-24S269.3 352 256 352z"],
    "z": [384, 512, [122], "5a", "M368 480h-352c-6.219 0-11.91-3.625-14.5-9.281c-2.625-5.625-1.75-12.31 2.281-17.06L333.5 64H16C7.156 64 0 56.84 0 48S7.156 32 16 32h352c6.219 0 11.91 3.625 14.5 9.281c2.625 5.625 1.75 12.31-2.281 17.06L50.5 448H368c8.844 0 16 7.156 16 16S376.8 480 368 480z"]
  };

  bunker(function () {
    defineIcons('fal', icons);
    defineIcons('fa-light', icons);
  });

}());
(function () {
  'use strict';

  var _WINDOW = {};
  var _DOCUMENT = {};

  try {
    if (typeof window !== 'undefined') _WINDOW = window;
    if (typeof document !== 'undefined') _DOCUMENT = document;
  } catch (e) {}

  var _ref = _WINDOW.navigator || {},
      _ref$userAgent = _ref.userAgent,
      userAgent = _ref$userAgent === void 0 ? '' : _ref$userAgent;
  var WINDOW = _WINDOW;
  var DOCUMENT = _DOCUMENT;
  var IS_BROWSER = !!WINDOW.document;
  var IS_DOM = !!DOCUMENT.documentElement && !!DOCUMENT.head && typeof DOCUMENT.addEventListener === 'function' && typeof DOCUMENT.createElement === 'function';
  var IS_IE = ~userAgent.indexOf('MSIE') || ~userAgent.indexOf('Trident/');

  function ownKeys(object, enumerableOnly) {
    var keys = Object.keys(object);

    if (Object.getOwnPropertySymbols) {
      var symbols = Object.getOwnPropertySymbols(object);
      enumerableOnly && (symbols = symbols.filter(function (sym) {
        return Object.getOwnPropertyDescriptor(object, sym).enumerable;
      })), keys.push.apply(keys, symbols);
    }

    return keys;
  }

  function _objectSpread2(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = null != arguments[i] ? arguments[i] : {};
      i % 2 ? ownKeys(Object(source), !0).forEach(function (key) {
        _defineProperty(target, key, source[key]);
      }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }

    return target;
  }

  function _defineProperty(obj, key, value) {
    if (key in obj) {
      Object.defineProperty(obj, key, {
        value: value,
        enumerable: true,
        configurable: true,
        writable: true
      });
    } else {
      obj[key] = value;
    }

    return obj;
  }

  function _toConsumableArray(arr) {
    return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread();
  }

  function _arrayWithoutHoles(arr) {
    if (Array.isArray(arr)) return _arrayLikeToArray(arr);
  }

  function _iterableToArray(iter) {
    if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
  }

  function _unsupportedIterableToArray(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _arrayLikeToArray(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(o);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen);
  }

  function _arrayLikeToArray(arr, len) {
    if (len == null || len > arr.length) len = arr.length;

    for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i];

    return arr2;
  }

  function _nonIterableSpread() {
    throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
  }

  var NAMESPACE_IDENTIFIER = '___FONT_AWESOME___';
  var PRODUCTION = function () {
    try {
      return "production" === 'production';
    } catch (e) {
      return false;
    }
  }();
  var STYLE_TO_PREFIX = {
    'solid': 'fas',
    'regular': 'far',
    'light': 'fal',
    'thin': 'fat',
    'duotone': 'fad',
    'brands': 'fab',
    'kit': 'fak'
  };
  var oneToTen = [1, 2, 3, 4, 5, 6, 7, 8, 9, 10];
  var oneToTwenty = oneToTen.concat([11, 12, 13, 14, 15, 16, 17, 18, 19, 20]);
  var DUOTONE_CLASSES = {
    GROUP: 'duotone-group',
    SWAP_OPACITY: 'swap-opacity',
    PRIMARY: 'primary',
    SECONDARY: 'secondary'
  };
  var RESERVED_CLASSES = [].concat(_toConsumableArray(Object.keys(STYLE_TO_PREFIX)), ['2xs', 'xs', 'sm', 'lg', 'xl', '2xl', 'beat', 'border', 'fade', 'beat-fade', 'bounce', 'flip-both', 'flip-horizontal', 'flip-vertical', 'flip', 'fw', 'inverse', 'layers-counter', 'layers-text', 'layers', 'li', 'pull-left', 'pull-right', 'pulse', 'rotate-180', 'rotate-270', 'rotate-90', 'rotate-by', 'shake', 'spin-pulse', 'spin-reverse', 'spin', 'stack-1x', 'stack-2x', 'stack', 'ul', DUOTONE_CLASSES.GROUP, DUOTONE_CLASSES.SWAP_OPACITY, DUOTONE_CLASSES.PRIMARY, DUOTONE_CLASSES.SECONDARY]).concat(oneToTen.map(function (n) {
    return "".concat(n, "x");
  })).concat(oneToTwenty.map(function (n) {
    return "w-".concat(n);
  }));

  function bunker(fn) {
    try {
      for (var _len = arguments.length, args = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
        args[_key - 1] = arguments[_key];
      }

      fn.apply(void 0, args);
    } catch (e) {
      if (!PRODUCTION) {
        throw e;
      }
    }
  }

  var w = WINDOW || {};
  if (!w[NAMESPACE_IDENTIFIER]) w[NAMESPACE_IDENTIFIER] = {};
  if (!w[NAMESPACE_IDENTIFIER].styles) w[NAMESPACE_IDENTIFIER].styles = {};
  if (!w[NAMESPACE_IDENTIFIER].hooks) w[NAMESPACE_IDENTIFIER].hooks = {};
  if (!w[NAMESPACE_IDENTIFIER].shims) w[NAMESPACE_IDENTIFIER].shims = [];
  var namespace = w[NAMESPACE_IDENTIFIER];

  function normalizeIcons(icons) {
    return Object.keys(icons).reduce(function (acc, iconName) {
      var icon = icons[iconName];
      var expanded = !!icon.icon;

      if (expanded) {
        acc[icon.iconName] = icon.icon;
      } else {
        acc[iconName] = icon;
      }

      return acc;
    }, {});
  }

  function defineIcons(prefix, icons) {
    var params = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
    var _params$skipHooks = params.skipHooks,
        skipHooks = _params$skipHooks === void 0 ? false : _params$skipHooks;
    var normalized = normalizeIcons(icons);

    if (typeof namespace.hooks.addPack === 'function' && !skipHooks) {
      namespace.hooks.addPack(prefix, normalizeIcons(icons));
    } else {
      namespace.styles[prefix] = _objectSpread2(_objectSpread2({}, namespace.styles[prefix] || {}), normalized);
    }
    /**
     * Font Awesome 4 used the prefix of `fa` for all icons. With the introduction
     * of new styles we needed to differentiate between them. Prefix `fa` is now an alias
     * for `fas` so we'll ease the upgrade process for our users by automatically defining
     * this as well.
     */


    if (prefix === 'fas') {
      defineIcons('fa', icons);
    }
  }

  var icons = {
    "0": [320, 512, [], "30", "M160 80c61.76 0 112 50.24 112 112V320c0 61.76-50.24 112-112 112S48 381.8 48 320V192C48 130.2 98.24 80 160 80zM160 32.01c-88.37 0-160 71.63-160 160v127.1c0 88.37 71.63 160 160 160c88.37 0 160-71.63 160-160V192C320 103.6 248.4 32.01 160 32.01z"],
    "1": [256, 512, [], "31", "M256 456c0 13.25-10.75 24-24 24h-208C10.75 480 0 469.3 0 456s10.75-24 24-24h80V98.95L36.58 140.4C25.3 147.4 10.53 143.9 3.563 132.6C-3.391 121.3 .1406 106.5 11.42 99.56l104-64c7.391-4.562 16.7-4.734 24.28-.5156C147.3 39.3 152 47.31 152 56V432h80C245.3 432 256 442.8 256 456z"],
    "2": [320, 512, [], "32", "M296 480h-272c-9.922 0-18.81-6.109-22.39-15.36s-1.078-19.75 6.266-26.42l205.8-186.7c41.23-35.58 46-95.23 11.3-136.2c-17.31-20.45-41.73-32.88-68.75-35.02c-27.2-2.172-53.39 6.391-73.84 24L43.34 139c-9.906 8.812-25.12 7.891-33.88-2c-8.812-9.906-7.906-25.08 2-33.88l39.34-34.97c30.52-26.28 69.3-39.02 109.2-35.72c39.88 3.141 75.97 21.55 101.6 51.83c51.08 60.31 43.84 151.5-16.12 203.2L86.19 432H296c13.25 0 24 10.75 24 24S309.3 480 296 480z"],
    "3": [320, 512, [], "33", "M188.3 480H98.14c-44.03 0-82.98-28.06-96.91-69.84c-4.188-12.58 2.594-26.17 15.17-30.36c12.61-4.234 26.17 2.609 30.36 15.17C54.16 417.1 74.8 432 98.14 432h90.17C234.5 432 272 394.5 272 348.3c0-46.16-37.55-83.7-83.69-83.7H88c-9.797 0-18.61-5.953-22.27-15.03C62.08 240.5 64.31 230.1 71.36 223.3L220.4 80H24C10.75 80 0 69.25 0 56S10.75 32 24 32h256c9.797 0 18.61 5.953 22.27 15.03c3.656 9.094 1.422 19.48-5.625 26.27L147.6 216.6h40.72C260.9 216.6 320 275.7 320 348.3C320 420.9 260.9 480 188.3 480z"],
    "4": [384, 512, [], "34", "M384 328c0 13.25-10.75 24-24 24l-39.1 .001L320 456c0 13.25-10.75 24-24 24s-24-10.75-24-24V352H24c-8.422 0-16.22-4.406-20.56-11.62c-4.344-7.203-4.594-16.17-.6406-23.61l144-272C153 33.08 167.6 28.62 179.2 34.8c11.7 6.188 16.17 20.72 9.969 32.44L63.86 304H272V152C272 138.8 282.8 128 296 128S320 138.8 320 152V304h40C373.3 304 384 314.8 384 328z"],
    "5": [320, 512, [], "35", "M187.7 480H105.7c-47.47 0-89.47-30.27-104.5-75.31c-4.203-12.58 2.594-26.17 15.17-30.36c12.56-4.219 26.17 2.609 30.36 15.17C55.25 414.9 78.94 432 105.7 432h81.95C234.2 432 272 394.2 272 347.7S234.2 263.4 187.7 263.4H24c-7.094 0-13.81-3.125-18.38-8.562C1.063 249.4-.8594 242.3 .3594 235.3l32-183.4C34.36 40.39 44.35 32 56 32H264C277.3 32 288 42.75 288 56S277.3 80 264 80H76.17L52.55 215.4h135.1C260.6 215.4 320 274.7 320 347.7S260.6 480 187.7 480z"],
    "6": [320, 512, [], "36", "M0 320c0 88.22 71.78 160 160 160s160-71.78 160-160S248.2 160 160 160C154.5 160 149.2 161.1 143.9 161.6l74.64-90.35c8.438-10.22 7-25.34-3.219-33.78C210.8 33.8 205.4 32 200 32c-6.906 0-13.75 2.969-18.5 8.719C37.81 214.7 0 244.4 0 320zM272 320c0 61.75-50.25 112-112 112S48 381.8 48 320S98.25 208 160 208S272 258.3 272 320z"],
    "7": [320, 512, [], "37", "M55.98 480c-4.203 0-8.469-1.094-12.33-3.422c-11.38-6.812-15.06-21.56-8.234-32.92L253.6 80H24C10.75 80 0 69.25 0 56S10.75 32 24 32h272c8.641 0 16.62 4.656 20.89 12.17c4.25 7.531 4.141 16.77-.3125 24.17l-240 400C72.08 475.8 64.13 480 55.98 480z"],
    "8": [320, 512, [], "38", "M259.7 250.2C286.6 227.4 304 193.9 304 156C304 87.63 248.4 32 180 32h-40C71.63 32 16 87.63 16 156c0 37.88 17.43 71.42 44.28 94.18C24.33 271.9 0 311 0 356C0 424.4 55.63 480 124 480h72C264.4 480 320 424.4 320 356C320 311 295.7 271.9 259.7 250.2zM140 80h40C221.9 80 256 114.1 256 156S221.9 232 180 232h-40C98.09 232 64 197.9 64 156S98.09 80 140 80zM196 432h-72c-41.91 0-76-34.09-76-76S82.09 280 124 280h72c41.91 0 76 34.09 76 76S237.9 432 196 432z"],
    "9": [320, 512, [], "39", "M320 192c0-88.22-71.78-160-160-160s-160 71.78-160 160S71.78 352 160 352c5.525 0 10.75-1.082 16.14-1.631L101.5 440.7c-8.438 10.22-7 25.34 3.219 33.78C109.2 478.2 114.6 480 120 480c6.906 0 13.75-2.969 18.5-8.719C282.2 297.3 320 267.6 320 192zM48 192c0-61.75 50.25-112 112-112s112 50.25 112 112S221.8 304 160 304S48 253.8 48 192z"],
    "00": [640, 512, [], "e467", "M288 176V336C288 415.5 223.5 480 144 480C64.47 480 0 415.5 0 336V176C0 96.47 64.47 32 144 32C223.5 32 288 96.47 288 176zM48 336C48 389 90.98 432 144 432C197 432 240 389 240 336V176C240 122.1 197 80 144 80C90.98 80 48 122.1 48 176V336zM640 176V336C640 415.5 575.5 480 496 480C416.5 480 352 415.5 352 336V176C352 96.47 416.5 32 496 32C575.5 32 640 96.47 640 176zM400 336C400 389 442.1 432 496 432C549 432 592 389 592 336V176C592 122.1 549 80 496 80C442.1 80 400 122.1 400 176V336z"],
    "360-degrees": [640, 512, [], "e2dc", "M496 64c-44.13 0-79.1 35.89-79.1 80v224c0 44.11 35.87 80 79.1 80s79.1-35.89 79.1-80v-224C576 99.89 540.1 64 496 64zM528 368c0 17.64-14.34 32-32 32s-32-14.36-32-32v-224c0-17.64 14.34-32 32-32s32 14.36 32 32V368zM304 192C292.6 192 281.8 194.5 272 198.8V196.7c0-36.77 23.19-70.05 60.5-86.84c12.09-5.453 17.47-19.66 12.03-31.73c-5.438-12.09-19.75-17.44-31.72-12.05C258 90.77 224 140.8 224 196.7L224 368c0 44.11 35.87 80 79.1 80s79.1-35.89 79.1-80l.0001-96C384 227.9 348.1 192 304 192zM336 368c0 17.64-14.34 32-32 32s-32-14.36-32-32v-96c0-17.64 14.34-32 32-32s32 14.36 32 32V368zM608 0c-17.67 0-31.1 14.33-31.1 32s14.33 32 31.1 32S640 49.67 640 32S625.7 0 608 0zM98.75 208.1l65.72-107.6C169 93.11 169.2 83.83 164.9 76.27C160.7 68.69 152.7 64 144 64H24C10.75 64 0 74.75 0 88S10.75 112 24 112h77.22L35.53 219.5C31 226.9 30.81 236.2 35.06 243.7C39.31 251.3 47.31 256 56 256h39.03C122 256 144 277.1 144 304.1v46.09C144 378 122 400 95.03 400c-16.41 0-31.62-8.156-40.72-21.8l-10.34-15.52c-7.344-11.03-22.22-14.02-33.28-6.656c-11.03 7.359-14 22.25-6.656 33.28l10.34 15.52C32.41 431.9 62.56 448 95.03 448C148.5 448 192 404.5 192 351V304.1C192 252.7 150.5 210 98.75 208.1z"],
    "a": [384, 512, [97], "41", "M382.1 446.7l-168-400c-7.469-17.81-36.78-17.81-44.25 0l-168 400c-5.141 12.22 .6094 26.3 12.83 31.42c12.25 5.156 26.3-.6094 31.42-12.83l33.79-80.45h224.2l33.79 80.45C341.7 474.5 350.6 480 360 480c3.094 0 6.25-.5938 9.281-1.875C381.5 473 387.3 458.9 382.1 446.7zM100.1 336.8L192 117.1l91.92 218.9H100.1z"],
    "abacus": [576, 512, [129518], "f640", "M512 32H64c-35.35 0-64 28.65-64 64v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64v-320C576 60.65 547.3 32 512 32zM128 264H112C103.2 264 96 271.2 96 280v16c0 8.836 7.164 16 16 16H128v24H112C103.2 336 96 343.2 96 352v16c0 8.836 7.164 16 16 16L128 384v48H64c-8.837 0-16-7.163-16-16V240H128V264zM128 128L112 128C103.2 128 96 135.2 96 144V160c0 8.836 7.164 16 16 16H128v32H48V96c0-8.837 7.163-16 16-16h64V128zM256 264H240C231.2 264 224 271.2 224 280v16c0 8.836 7.164 16 16 16H256v24H240C231.2 336 224 343.2 224 352v16c0 8.836 7.164 16 16 16L256 384v48H160V384l16 .0002c8.836 0 16-7.164 16-16V352c0-8.836-7.164-16-16-16H160V312h16c8.836 0 16-7.164 16-16v-16c0-8.836-7.164-16-16-16H160V240h96V264zM256 128L240 128C231.2 128 224 135.2 224 144V160c0 8.836 7.164 16 16 16H256v32H160v-32h16C184.8 176 192 168.8 192 160V144c0-8.836-7.164-15.1-16-15.1L160 128V80h96V128zM416 336h-16c-8.836 0-16 7.164-16 16v16c0 8.836 7.164 16 16 16L416 384v48h-128V384l16 .0002c8.836 0 16-7.164 16-16V352c0-8.836-7.164-16-16-16H288V312h16c8.836 0 16-7.164 16-16v-16c0-8.836-7.164-16-16-16H288V240h128V336zM416 128l-16 .0002C391.2 128 384 135.2 384 144V160c0 8.836 7.164 16 16 16H416v32h-128v-32h16C312.8 176 320 168.8 320 160V144c0-8.836-7.164-15.1-16-15.1L288 128V80h128V128zM512 432h-64V384l16 .0002c8.836 0 16-7.164 16-16V352c0-8.836-7.164-16-16-16H448v-96h80V416C528 424.8 520.8 432 512 432zM528 208H448v-32h16C472.8 176 480 168.8 480 160V144c0-8.836-7.164-15.1-16-15.1L448 128V80h64c8.837 0 16 7.163 16 16V208z"],
    "accent-grave": [192, 512, [], "60", "M40.3 90.61l67.69 115.4c6.688 11.43 18.84 18.03 31.51 18.03c4.164 0 8.381-.7115 12.48-2.2c16.59-6.018 26.48-22.99 23.49-40.31l-22.57-131.7c-3.045-17.81-13.79-33.2-29.45-42.25c-8.891-5.154-18.84-7.542-28.8-7.544c-25.06-.002-50.22 15.12-58.1 39.39C29.5 56.36 31.18 75.03 40.3 90.61zM80.77 55.77C82.28 51.61 88.75 48 94.65 48c1.316 .002 3.203 .1875 4.73 1.072c3.385 1.955 5.57 5.074 6.209 8.809l11.9 69.42L81.71 66.32C79.82 63.09 79.48 59.33 80.77 55.77z"],
    "acorn": [448, 512, [], "f6ae", "M447.1 160C447.1 107 404.1 64.04 352 64.04l-96.2 .0015c3.699-7.031 9.035-14.94 17.16-23.07c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0C218.3 27.79 208.7 48.57 204.2 64.04L96 64.04c-52.99 0-95.98 42.99-95.1 95.97L0 192c0 17.67 14.33 32 32 32l16 .0003C48 397.9 176.1 457.1 224 480c33.04-16.06 176-70.88 176-255.1L416 224c17.67 0 32-14.33 32-32L447.1 160zM224 426.6C135.1 383.4 96 302.3 96 224h256C352 298.8 316.7 381.6 224 426.6zM400 176H48l.002-15.98C48.01 133.6 69.54 112 96 112h256c26.46 0 47.99 21.52 48 47.96V176z"],
    "address-book": [512, 512, [62138, "contact-book"], "f2b9", "M272 288h-64C163.8 288 128 323.8 128 368C128 376.8 135.2 384 144 384h192c8.836 0 16-7.164 16-16C352 323.8 316.2 288 272 288zM240 256c35.35 0 64-28.65 64-64s-28.65-64-64-64c-35.34 0-64 28.65-64 64S204.7 256 240 256zM496 320H480v96h16c8.836 0 16-7.164 16-16v-64C512 327.2 504.8 320 496 320zM496 64H480v96h16C504.8 160 512 152.8 512 144v-64C512 71.16 504.8 64 496 64zM496 192H480v96h16C504.8 288 512 280.8 512 272v-64C512 199.2 504.8 192 496 192zM384 0H96C60.65 0 32 28.65 32 64v384c0 35.35 28.65 64 64 64h288c35.35 0 64-28.65 64-64V64C448 28.65 419.3 0 384 0zM400 448c0 8.836-7.164 16-16 16H96c-8.836 0-16-7.164-16-16V64c0-8.838 7.164-16 16-16h288c8.836 0 16 7.162 16 16V448z"],
    "address-card": [576, 512, [62140, "contact-card", "vcard"], "f2bb", "M208 256c35.35 0 64-28.65 64-64c0-35.35-28.65-64-64-64s-64 28.65-64 64C144 227.3 172.7 256 208 256zM464 232h-96c-13.25 0-24 10.75-24 24s10.75 24 24 24h96c13.25 0 24-10.75 24-24S477.3 232 464 232zM240 288h-64C131.8 288 96 323.8 96 368C96 376.8 103.2 384 112 384h192c8.836 0 16-7.164 16-16C320 323.8 284.2 288 240 288zM464 152h-96c-13.25 0-24 10.75-24 24s10.75 24 24 24h96c13.25 0 24-10.75 24-24S477.3 152 464 152zM512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM528 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h448c8.822 0 16 7.178 16 16V416z"],
    "air-conditioner": [576, 512, [], "f8f4", "M464 128h-352C103.2 128 96 135.2 96 144V160c0 8.836 7.164 16 16 16h352C472.8 176 480 168.8 480 160V144C480 135.2 472.8 128 464 128zM512 .0002H64c-35.2 0-64 28.8-64 64V192c0 35.2 28.8 64 64 64h448c35.2 0 64-28.8 64-64V64C576 28.8 547.2 .0002 512 .0002zM528 192c0 8.672-7.326 16-16 16H64C55.33 208 48 200.7 48 192V64c0-8.672 7.328-16 16-16h448c8.674 0 16 7.328 16 16V192zM208 424c0 22.06-17.94 40-40 40S128 446.1 128 424c0-16.38 9.812-30.94 25.02-37.09c12.28-4.969 18.2-18.97 13.23-31.25c-4.984-12.28-18.92-18.16-31.27-13.25C101.6 355.9 80 387.1 80 424c0 48.53 39.47 88 88 88s88-39.47 88-88V288H208V424zM441 310.4c-12.34-4.906-26.28 .9687-31.27 13.25c-4.969 12.28 .9531 26.28 13.23 31.25C438.2 361.1 448 375.6 448 392c0 22.06-17.94 40-40 40s-40-17.94-40-40V288H320v104c0 48.53 39.47 88 88 88s88-39.47 88-88C496 355.1 474.4 323.9 441 310.4z"],
    "airplay": [576, 512, [], "e089", "M488 32H88C39.47 32 0 71.47 0 120v208C0 376.5 39.47 416 88 416c13.25 0 24-10.75 24-24S101.3 368 88 368c-22.06 0-40-17.94-40-40v-208c0-22.06 17.94-40 40-40h400c22.06 0 40 17.94 40 40v208c0 22.06-17.94 40-40 40c-13.25 0-24 10.75-24 24S474.8 416 488 416c48.53 0 88-39.47 88-88v-208C576 71.47 536.5 32 488 32zM321.9 286.1c-18.62-18.75-49.13-18.75-67.88 0l-112 112C112 428.2 133.3 480 176 480h223.9c42.63 0 64.25-51.77 33.88-81.9L321.9 286.1zM176 431.1l111.1-112l112 112H176z"],
    "alarm-clock": [512, 512, [9200], "f34e", "M160 25.4L14.86 146.4C5.452 131.6 0 114.1 0 95.24C0 42.64 42.64 0 95.24 0C120.2 0 143 9.638 160 25.4zM280 278.1L320.1 319C330.3 328.4 330.3 343.6 320.1 352.1C311.6 362.3 296.4 362.3 287 352.1L239 304.1C234.5 300.5 232 294.4 232 288V184C232 170.7 242.7 160 256 160C269.3 160 280 170.7 280 184V278.1zM115.5 462.5L72.97 504.1C63.6 514.3 48.4 514.3 39.03 504.1C29.66 495.6 29.66 480.4 39.03 471L81.54 428.5C50.55 390.1 32 341.2 32 288C32 164.3 132.3 64 256 64C379.7 64 480 164.3 480 288C480 341.2 461.4 390.1 430.5 428.5L472.1 471C482.3 480.4 482.3 495.6 472.1 504.1C463.6 514.3 448.4 514.3 439 504.1L396.5 462.5C358.1 493.4 309.2 512 256 512C202.8 512 153.9 493.4 115.5 462.5V462.5zM256 464C353.2 464 432 385.2 432 288C432 190.8 353.2 112 256 112C158.8 112 80 190.8 80 288C80 385.2 158.8 464 256 464zM497.1 146.4L352 25.4C368.1 9.638 391.8 0 416.8 0C469.4 0 512 42.64 512 95.24C512 114 506.5 131.6 497.1 146.4z"],
    "alarm-exclamation": [512, 512, [], "f843", "M0 95.24C0 42.64 42.64 0 95.24 0C120.2 0 143 9.638 160 25.4L14.86 146.4C5.452 131.6 0 114.1 0 95.24zM224 384C224 366.3 238.3 352 256 352C273.7 352 288 366.3 288 384C288 401.7 273.7 416 256 416C238.3 416 224 401.7 224 384zM280 296C280 309.3 269.3 320 256 320C242.7 320 232 309.3 232 296V184C232 170.7 242.7 160 256 160C269.3 160 280 170.7 280 184V296zM396.5 462.5C358.1 493.4 309.2 512 256 512C202.8 512 153.9 493.4 115.5 462.5L72.97 504.1C63.6 514.3 48.4 514.3 39.03 504.1C29.66 495.6 29.66 480.4 39.03 471L81.54 428.5C50.55 390.1 32 341.2 32 288C32 164.3 132.3 64 256 64C379.7 64 480 164.3 480 288C480 341.2 461.4 390.1 430.5 428.5L472.1 471C482.3 480.4 482.3 495.6 472.1 504.1C463.6 514.3 448.4 514.3 439 504.1L396.5 462.5zM256 112C158.8 112 80 190.8 80 288C80 385.2 158.8 464 256 464C353.2 464 432 385.2 432 288C432 190.8 353.2 112 256 112zM416.8 0C469.4 0 512 42.64 512 95.24C512 114 506.5 131.6 497.1 146.4L352 25.4C368.1 9.638 391.8 0 416.8 0z"],
    "alarm-plus": [512, 512, [], "f844", "M160 25.4L14.86 146.4C5.452 131.6 0 114.1 0 95.24C0 42.64 42.64 0 95.24 0C120.2 0 143 9.638 160 25.4zM256 176C269.3 176 280 186.7 280 200V264H344C357.3 264 368 274.7 368 288C368 301.3 357.3 312 344 312H280V376C280 389.3 269.3 400 256 400C242.7 400 232 389.3 232 376V312H168C154.7 312 144 301.3 144 288C144 274.7 154.7 264 168 264H232V200C232 186.7 242.7 176 256 176zM115.5 462.5L72.97 504.1C63.6 514.3 48.4 514.3 39.03 504.1C29.66 495.6 29.66 480.4 39.03 471L81.54 428.5C50.55 390.1 32 341.2 32 288C32 164.3 132.3 64 256 64C379.7 64 480 164.3 480 288C480 341.2 461.4 390.1 430.5 428.5L472.1 471C482.3 480.4 482.3 495.6 472.1 504.1C463.6 514.3 448.4 514.3 439 504.1L396.5 462.5C358.1 493.4 309.2 512 256 512C202.8 512 153.9 493.4 115.5 462.5V462.5zM256 464C353.2 464 432 385.2 432 288C432 190.8 353.2 112 256 112C158.8 112 80 190.8 80 288C80 385.2 158.8 464 256 464zM497.1 146.4L352 25.4C368.1 9.638 391.8 0 416.8 0C469.4 0 512 42.64 512 95.24C512 114 506.5 131.6 497.1 146.4z"],
    "alarm-snooze": [512, 512, [], "f845", "M160 25.4L14.86 146.4C5.452 131.6 0 114.1 0 95.24C0 42.64 42.64 0 95.24 0C120.2 0 143 9.638 160 25.4zM312 192C321.2 192 329.5 197.2 333.6 205.5C337.6 213.7 336.6 223.5 330.9 230.7L249.1 336H312C325.3 336 336 346.7 336 360C336 373.3 325.3 384 312 384H200C190.8 384 182.5 378.8 178.4 370.5C174.4 362.3 175.4 352.5 181.1 345.3L262.9 239.1H200C186.7 239.1 176 229.3 176 215.1C176 202.7 186.7 191.1 200 191.1L312 192zM115.5 462.5L72.97 504.1C63.6 514.3 48.4 514.3 39.03 504.1C29.66 495.6 29.66 480.4 39.03 471L81.54 428.5C50.55 390.1 32 341.2 32 288C32 164.3 132.3 64 256 64C379.7 64 480 164.3 480 288C480 341.2 461.4 390.1 430.5 428.5L472.1 471C482.3 480.4 482.3 495.6 472.1 504.1C463.6 514.3 448.4 514.3 439 504.1L396.5 462.5C358.1 493.4 309.2 512 256 512C202.8 512 153.9 493.4 115.5 462.5V462.5zM256 464C353.2 464 432 385.2 432 288C432 190.8 353.2 112 256 112C158.8 112 80 190.8 80 288C80 385.2 158.8 464 256 464zM497.1 146.4L352 25.4C368.1 9.638 391.8 0 416.8 0C469.4 0 512 42.64 512 95.24C512 114 506.5 131.6 497.1 146.4z"],
    "album": [448, 512, [128189], "f89f", "M368 256C368 335.5 303.5 400 224 400C144.5 400 80 335.5 80 256C80 176.5 144.5 112 224 112C303.5 112 368 176.5 368 256zM224 224C206.3 224 192 238.3 192 256C192 273.7 206.3 288 224 288C241.7 288 256 273.7 256 256C256 238.3 241.7 224 224 224zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM48 96V416C48 424.8 55.16 432 64 432H384C392.8 432 400 424.8 400 416V96C400 87.16 392.8 80 384 80H64C55.16 80 48 87.16 48 96z"],
    "album-circle-plus": [576, 512, [], "e48c", "M48 96V416C48 424.8 55.16 432 64 432H267.1C274.8 449.5 284.4 465.7 296.2 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V192.7C442.7 192.2 437.4 192 432 192C421.1 192 410.4 192.1 400 194.9V96C400 87.16 392.8 80 384 80H64C55.16 80 48 87.16 48 96V96zM224 112C286.5 112 339.7 151.8 359.6 207.5C298.5 235.1 256 296.6 256 368C256 377.5 256.8 386.8 258.2 395.9C247.2 398.6 235.8 400 224 400C144.5 400 80 335.5 80 256C80 176.5 144.5 112 224 112zM224 224C206.3 224 192 238.3 192 256C192 273.7 206.3 288 224 288C241.7 288 256 273.7 256 256C256 238.3 241.7 224 224 224zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM448 303.1C448 295.2 440.8 287.1 432 287.1C423.2 287.1 416 295.2 416 303.1V351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H416V431.1C416 440.8 423.2 447.1 432 447.1C440.8 447.1 448 440.8 448 431.1V383.1H496C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1H448V303.1z"],
    "album-circle-user": [576, 512, [], "e48d", "M48 96V416C48 424.8 55.16 432 64 432H267.1C274.8 449.5 284.4 465.7 296.2 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V192.7C442.7 192.2 437.4 192 432 192C421.1 192 410.4 192.1 400 194.9V96C400 87.16 392.8 80 384 80H64C55.16 80 48 87.16 48 96V96zM224 112C286.5 112 339.7 151.8 359.6 207.5C298.5 235.1 256 296.6 256 368C256 377.5 256.8 386.8 258.2 395.9C247.2 398.6 235.8 400 224 400C144.5 400 80 335.5 80 256C80 176.5 144.5 112 224 112zM224 224C206.3 224 192 238.3 192 256C192 273.7 206.3 288 224 288C241.7 288 256 273.7 256 256C256 238.3 241.7 224 224 224zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM464.6 416H399.4C378.4 416 360.5 429.7 354.3 448.7C374.5 468.1 401.8 480 432 480C462.2 480 489.5 468.1 509.7 448.7C503.5 429.7 485.6 416 464.6 416V416zM432 288C405.5 288 384 309.5 384 336C384 362.5 405.5 384 432 384C458.5 384 480 362.5 480 336C480 309.5 458.5 288 432 288z"],
    "album-collection": [512, 512, [], "f8a0", "M456 0C469.3 0 480 10.75 480 24C480 37.25 469.3 48 456 48H56C42.75 48 32 37.25 32 24C32 10.75 42.75 0 56 0H456zM408 336C408 393.4 341.7 440 260 440C178.3 440 112 393.4 112 336C112 278.6 178.3 232 260 232C341.7 232 408 278.6 408 336zM256 368C273.7 368 288 357.3 288 344C288 330.7 273.7 320 256 320C238.3 320 224 330.7 224 344C224 357.3 238.3 368 256 368zM6.155 232.3C1.111 194 30.95 160 69.61 160H442.4C481.1 160 510.9 194 505.8 232.3L476.4 456.3C472.2 488.2 445 512 412.9 512H99.08C66.96 512 39.82 488.2 35.63 456.3L6.155 232.3zM69.61 208C59.94 208 52.48 216.5 53.74 226.1L83.22 450.1C84.27 458 91.05 464 99.08 464H412.9C420.9 464 427.7 458 428.8 450.1L458.3 226.1C459.5 216.5 452.1 208 442.4 208H69.61zM16 104C16 90.75 26.75 80 40 80H472C485.3 80 496 90.75 496 104C496 117.3 485.3 128 472 128H40C26.75 128 16 117.3 16 104z"],
    "album-collection-circle-plus": [640, 512, [], "e48e", "M456 0C469.3 0 480 10.75 480 24C480 37.25 469.3 48 456 48H56C42.75 48 32 37.25 32 24C32 10.75 42.75 0 56 0H456zM6.155 232.3C1.111 194 30.95 160 69.61 160H442.4C466.3 160 486.8 173 497.8 192L496 192C469.8 192 444.9 197.7 422.6 208H69.61C59.94 208 52.48 216.5 53.74 226.1L83.22 450.1C84.27 458 91.05 464 99.08 464H348.5C360.7 482.8 376.5 499.1 394.8 512H99.08C66.96 512 39.82 488.2 35.63 456.3L6.155 232.3zM260 232C297.8 232 332.2 241.9 358.4 258.3C334.4 288.4 320 326.5 320 368C320 388.9 323.6 408.9 330.3 427.5C309.4 435.5 285.5 440 259.1 440C178.3 440 111.1 393.4 111.1 336C111.1 278.6 178.3 232 259.1 232H260zM256 368C273.7 368 288 357.3 288 344C288 330.7 273.7 320 256 320C238.3 320 224 330.7 224 344C224 357.3 238.3 368 256 368zM16 104C16 90.75 26.75 80 40 80H472C485.3 80 496 90.75 496 104C496 117.3 485.3 128 472 128H40C26.75 128 16 117.3 16 104zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM512 303.1C512 295.2 504.8 287.1 496 287.1C487.2 287.1 480 295.2 480 303.1V351.1H432C423.2 351.1 416 359.2 416 367.1C416 376.8 423.2 383.1 432 383.1H480V431.1C480 440.8 487.2 447.1 496 447.1C504.8 447.1 512 440.8 512 431.1V383.1H560C568.8 383.1 576 376.8 576 367.1C576 359.2 568.8 351.1 560 351.1H512V303.1z"],
    "album-collection-circle-user": [640, 512, [], "e48f", "M456 0C469.3 0 480 10.75 480 24C480 37.25 469.3 48 456 48H56C42.75 48 32 37.25 32 24C32 10.75 42.75 0 56 0H456zM6.155 232.3C1.111 194 30.95 160 69.61 160H442.4C466.3 160 486.8 173 497.8 192L496 192C469.8 192 444.9 197.7 422.6 208H69.61C59.94 208 52.48 216.5 53.74 226.1L83.22 450.1C84.27 458 91.05 464 99.08 464H348.5C360.7 482.8 376.5 499.1 394.8 512H99.08C66.96 512 39.82 488.2 35.63 456.3L6.155 232.3zM260 232C297.8 232 332.2 241.9 358.4 258.3C334.4 288.4 320 326.5 320 368C320 388.9 323.6 408.9 330.3 427.5C309.4 435.5 285.5 440 259.1 440C178.3 440 111.1 393.4 111.1 336C111.1 278.6 178.3 232 259.1 232H260zM256 368C273.7 368 288 357.3 288 344C288 330.7 273.7 320 256 320C238.3 320 224 330.7 224 344C224 357.3 238.3 368 256 368zM16 104C16 90.75 26.75 80 40 80H472C485.3 80 496 90.75 496 104C496 117.3 485.3 128 472 128H40C26.75 128 16 117.3 16 104zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM528.6 416H463.4C442.4 416 424.5 429.7 418.3 448.7C438.5 468.1 465.8 480 496 480C526.2 480 553.5 468.1 573.7 448.7C567.5 429.7 549.6 416 528.6 416zM496 288C469.5 288 448 309.5 448 336C448 362.5 469.5 384 496 384C522.5 384 544 362.5 544 336C544 309.5 522.5 288 496 288z"],
    "alicorn": [640, 512, [], "f6b0", "M480 96c0-8.875-7.124-16-16-16c-8.877 0-15.92 7.125-15.92 16s7.125 16 16 16S480 104.9 480 96zM632 48h-86.41l-2.258-2.75c15.99-5.371 29.11-18.73 32.62-35.59C577 4.688 573.1 0 567.1 0h-135.9c-68.39 0-125.9 48-140.4 112H265.8c-39.02 0-78.06-13.54-104.8-41.95C157.1 65.87 152.1 64 147.2 64C137.4 64 128 71.63 128 83c0 86.13 59.76 162.8 140 183.3c10.13 2.625 20-5.125 20-15.62V234.3c0-6.91-4.403-13.24-11.06-15.11C239.6 208.7 207.9 181.4 190.5 145.8C213.9 155.1 239.4 160 265.8 160h70.26V144c0-53.02 42.99-96 96.02-96h51.39l44.63 54.25v65.38c0 4.744-3.014 8.961-7.502 10.5l-31.01 10.62c-1.5 .5-9.75 3-16.5-3.75L448.1 160h-32.01l-.0049 80c0 26.12-12.62 49-32 63.63l-.0277 160.4L336.1 464V320L196.2 288.9L167.5 369L191.5 464H150l-21.13-87.88C127.6 370.8 127.8 365.3 129.3 360l22.75-76.75C128.5 273.8 112 250.9 112 224c0-15 5.124-28.62 13.75-39.5c-8.877-14.25-15.63-29.75-20.63-46.13C97.27 144.9 89.89 152 84.01 160.4C37.38 162.5 0 200.9 0 248v48C0 309.3 10.75 320 24 320s24-10.75 24-24l-.0037-48c0-13.25 6.876-24.37 16.75-31.62c-.125 2.5-.7524 5-.7524 7.625c0 30.12 11.88 58.12 32.14 78.62l-12.88 43.75c-3.999 13.25-4.374 27.38-1.125 40.88L106.3 487.5C109.8 501.9 122.6 512 137.4 512h74.76c20.85 0 36.13-19.62 31.02-39.84l-25.52-100.8L227 345l61.01 13.5L288.1 480c0 17.6 14.4 32 32 32h80.01c17.6 0 32.01-14.4 32.01-32v-155.6c20-22.5 31.26-51.13 32.01-81.63V234.4c21 7 38.38 .75 41.01-.125l30.1-10.62c23.94-8.203 40.01-30.71 40.01-56V102.5c0-5.104-1.03-10.08-2.579-14.86l62.87-25C643 58.25 639.9 48 632 48z"],
    "alien": [448, 512, [128125], "f8f5", "M224 .0001c-123.8 0-224 87.1-224 232.5c0 111.7 134.3 224.5 194.9 269.9c17.25 12.88 41 12.88 58.25 0C313.8 456.1 448 344.2 448 232.5C448 87.1 347.8 .0001 224 .0001zM223.6 463.8C113.6 381.7 48 295.2 48 232.5c0-110.4 70.75-184.5 176-184.5s176 74.12 176 184.5C400 295.2 334.4 381.7 223.6 463.8zM129.9 223.1H97.75c-8.75 0-16 7.125-16 15.1c.125 44.12 35.88 79.1 80 79.1h32c8.875 0 16-7.125 16-16C209.9 259.9 173.1 223.1 129.9 223.1zM352 224l-30.25-.0137c-44.13 0-80 35.87-80 79.99c.125 8.875 7.375 16 16.12 16l31.88-.0004c44.25 0 80-35.87 80.13-79.1C369.9 231.1 360.9 224 352 224z"],
    "alien-8bit": [576, 512, [128126, "alien-monster"], "f8f6", "M560 128L544 128c-8.875 0-16 7.125-16 16v96L480 240V176c0-8.875-7.125-16-16-16L432 160V96h32C472.9 96 480 88.88 480 80v-32C480 39.12 472.9 32 464 32L448 32c-8.875 0-16 7.125-16 15.1V64h-32C391.1 64 384 71.12 384 80V128H192V80C192 71.12 184.9 64 176 64h-32V48c0-8.875-7.125-15.1-16-15.1L112 32C103.1 32 96 39.12 96 48v32C96 88.88 103.1 96 112 96h32v64l-32 .0002c-8.875 0-16 7.125-16 16V240L48 240v-96C48 135.1 40.88 128 32 128L16 128c-8.875 0-16 7.125-16 15.1v128c0 8.875 7.125 16 16 16H64v80c0 8.875 7.125 16 16 16l48 0v80c0 8.875 7.125 16 16 16l96 0c8.875 0 16-7.125 16-15.1V448c0-8.875-7.125-15.1-16-15.1h-64v-48h224v48h-64c-8.875 0-16 7.125-16 15.1v16c0 8.875 7.125 15.1 16 15.1l96 0c8.875 0 16-7.125 16-16v-80l48 0c8.875 0 16-7.125 16-16v-80h48c8.875 0 16-7.125 16-16v-128C576 135.1 568.9 128 560 128zM464 336h-352V288h32V208H192v-32h192v32h48V288h32V336zM240 224l-32 .0004C199.1 224 192 231.1 192 240V288c0 8.875 7.125 16 16 16L240 304C248.9 304 256 296.9 256 288V240C256 231.1 248.9 224 240 224zM368 224L336 224C327.1 224 320 231.1 320 240V288c0 8.875 7.125 16 16 16l32 .0004C376.9 304 384 296.9 384 288V240C384 231.1 376.9 224 368 224z"],
    "align-center": [448, 512, [], "f037", "M328 40C341.3 40 352 50.75 352 64C352 77.25 341.3 88 328 88H120C106.7 88 96 77.25 96 64C96 50.75 106.7 40 120 40H328zM424 168C437.3 168 448 178.7 448 192C448 205.3 437.3 216 424 216H24C10.75 216 0 205.3 0 192C0 178.7 10.75 168 24 168H424zM96 320C96 306.7 106.7 296 120 296H328C341.3 296 352 306.7 352 320C352 333.3 341.3 344 328 344H120C106.7 344 96 333.3 96 320zM424 424C437.3 424 448 434.7 448 448C448 461.3 437.3 472 424 472H24C10.75 472 0 461.3 0 448C0 434.7 10.75 424 24 424H424z"],
    "align-justify": [448, 512, [], "f039", "M424 40C437.3 40 448 50.75 448 64C448 77.25 437.3 88 424 88H24C10.75 88 0 77.25 0 64C0 50.75 10.75 40 24 40H424zM424 168C437.3 168 448 178.7 448 192C448 205.3 437.3 216 424 216H24C10.75 216 0 205.3 0 192C0 178.7 10.75 168 24 168H424zM0 320C0 306.7 10.75 296 24 296H424C437.3 296 448 306.7 448 320C448 333.3 437.3 344 424 344H24C10.75 344 0 333.3 0 320zM424 424C437.3 424 448 434.7 448 448C448 461.3 437.3 472 424 472H24C10.75 472 0 461.3 0 448C0 434.7 10.75 424 24 424H424z"],
    "align-left": [448, 512, [], "f036", "M264 40C277.3 40 288 50.75 288 64C288 77.25 277.3 88 264 88H24C10.75 88 0 77.25 0 64C0 50.75 10.75 40 24 40H264zM424 168C437.3 168 448 178.7 448 192C448 205.3 437.3 216 424 216H24C10.75 216 0 205.3 0 192C0 178.7 10.75 168 24 168H424zM0 320C0 306.7 10.75 296 24 296H264C277.3 296 288 306.7 288 320C288 333.3 277.3 344 264 344H24C10.75 344 0 333.3 0 320zM424 424C437.3 424 448 434.7 448 448C448 461.3 437.3 472 424 472H24C10.75 472 0 461.3 0 448C0 434.7 10.75 424 24 424H424z"],
    "align-right": [448, 512, [], "f038", "M424 40C437.3 40 448 50.75 448 64C448 77.25 437.3 88 424 88H184C170.7 88 160 77.25 160 64C160 50.75 170.7 40 184 40H424zM424 168C437.3 168 448 178.7 448 192C448 205.3 437.3 216 424 216H24C10.75 216 0 205.3 0 192C0 178.7 10.75 168 24 168H424zM424 344H184C170.7 344 160 333.3 160 320C160 306.7 170.7 296 184 296H424C437.3 296 448 306.7 448 320C448 333.3 437.3 344 424 344zM424 424C437.3 424 448 434.7 448 448C448 461.3 437.3 472 424 472H24C10.75 472 0 461.3 0 448C0 434.7 10.75 424 24 424H424z"],
    "align-slash": [640, 512, [], "f846", "M99.03 52.32C103.1 44.97 110.1 40 119.1 40H520C533.3 40 544 50.75 544 64C544 77.25 533.3 88 520 88H144.6L246.6 168H520C533.3 168 544 178.7 544 192C544 205.3 533.3 216 520 216H307.9L409.9 296H520C533.3 296 544 306.7 544 320C544 333.3 533.3 344 520 344H471.2L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L99.03 52.32zM119.1 215.1C106.7 215.1 95.1 205.3 95.1 191.1C95.1 185.1 98.21 180.5 101.9 176.3L152.3 215.1H119.1zM119.1 344C106.7 344 95.1 333.3 95.1 319.1C95.1 306.7 106.7 295.1 119.1 295.1H253.8L314.8 344H119.1zM119.1 424H416.3L477.2 472H119.1C106.7 472 95.1 461.3 95.1 448C95.1 434.7 106.7 424 119.1 424z"],
    "alt": [640, 512, [], "e08a", "M416 424c0 13.26 10.75 24 24 24h176c13.25 0 24-10.74 24-24c0-13.25-10.75-24-24-24h-176C426.7 400 416 410.7 416 424zM640 88C640 74.75 629.3 64 616 64h-129.5c-26.69 0-51.59 11.88-68.41 32.59l-233.6 288.6C176.9 394.6 165.6 400 153.5 400H24C10.75 400 0 410.8 0 424S10.75 448 24 448h129.5c26.69 0 51.59-11.88 68.41-32.59l233.6-288.6C463.1 117.4 474.4 112 486.5 112H616C629.3 112 640 101.3 640 88z"],
    "amp-guitar": [512, 512, [], "f8a1", "M384 336c8.875 0 16-7.125 16-16S392.9 304 384 304s-16 7.125-16 16S375.1 336 384 336zM320 336c8.875 0 16-7.125 16-16S328.9 304 320 304s-16 7.125-16 16S311.1 336 320 336zM416 384c8.875 0 16-7.125 16-16S424.9 352 416 352s-16 7.125-16 16S407.1 384 416 384zM352 384c8.875 0 16-7.125 16-16S360.9 352 352 352s-16 7.125-16 16S343.1 384 352 384zM128 400c-8.875 0-16 7.125-16 16s7.125 16 16 16s16-7.125 16-16S136.9 400 128 400zM192 400c-8.875 0-16 7.125-16 16s7.125 16 16 16s16-7.125 16-16S200.9 400 192 400zM288 384c8.875 0 16-7.125 16-16S296.9 352 288 352s-16 7.125-16 16S279.1 384 288 384zM384 400c-8.875 0-16 7.125-16 16s7.125 16 16 16s16-7.125 16-16S392.9 400 384 400zM320 400c-8.875 0-16 7.125-16 16s7.125 16 16 16s16-7.125 16-16S328.9 400 320 400zM256 400c-8.875 0-16 7.125-16 16s7.125 16 16 16s16-7.125 16-16S264.9 400 256 400zM256 336c8.875 0 16-7.125 16-16S264.9 304 256 304S240 311.1 240 320S247.1 336 256 336zM192 152c-13.25 0-24 10.75-24 24S178.8 200 192 200S216 189.3 216 176S205.3 152 192 152zM112 152c-13.25 0-24 10.75-24 24S98.75 200 112 200S136 189.3 136 176S125.3 152 112 152zM448 80h-45.5C377.8 52.75 321.5 0 256 0S134.3 52.75 109.5 80H64c-35.35 0-64 28.65-64 64V448c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V144C512 108.7 483.3 80 448 80zM256 48c26.88 0 53.1 14.75 76.25 32h-152.5C201.1 62.75 229.1 48 256 48zM464 448c0 8.836-7.164 16-16 16H64c-8.836 0-16-7.164-16-16V272h416V448zM464 224h-416V144C48 135.2 55.16 128 64 128h384c8.836 0 16 7.162 16 16V224zM96 384c8.875 0 16-7.125 16-16S104.9 352 96 352s-16 7.125-16 16S87.13 384 96 384zM192 336c8.875 0 16-7.125 16-16S200.9 304 192 304S176 311.1 176 320S183.1 336 192 336zM224 384c8.875 0 16-7.125 16-16S232.9 352 224 352s-16 7.125-16 16S215.1 384 224 384zM128 336c8.875 0 16-7.125 16-16S136.9 304 128 304S112 311.1 112 320S119.1 336 128 336zM160 384c8.875 0 16-7.125 16-16S168.9 352 160 352s-16 7.125-16 16S151.1 384 160 384zM320 152c-13.25 0-24 10.75-24 24S306.8 200 320 200s24-10.75 24-24S333.3 152 320 152zM400 152c-13.25 0-24 10.75-24 24s10.75 24 24 24s24-10.75 24-24S413.3 152 400 152z"],
    "ampersand": [384, 512, [], "26", "M360 480c-6.25 0-12.5-2.422-17.19-7.266l-60.47-62.14l-14.69 22.48c-19.19 29.38-51.44 46.93-86.56 46.93L103.7 480C46.55 480 0 433.5 0 376.4c0-32.88 15.81-64.11 42.34-83.56l73.19-53.67L79.22 201.8C59.09 181.2 48 153.9 48 125C48 73.73 89.72 32 141 32h53.94C246.3 32 288 73.73 288 125c0 29.55-14.22 57.59-38.03 75.03L188.4 245.2l86.56 88.98l64.94-99.33c7.281-11.06 22.19-14.19 33.22-6.953c11.09 7.266 14.22 22.14 6.969 33.23l-70.84 108.3l67.94 69.83c9.25 9.5 9.062 24.69-.4375 33.94C372.1 477.7 366 480 360 480zM149.3 273.9L70.72 331.5C56.5 341.9 48 358.7 48 376.4C48 407 72.97 432 103.7 432h77.25c18.88 0 36.28-9.406 46.56-25.19l20.59-31.47L149.3 273.9zM141 80C116.2 80 96 100.2 96 125c0 16.28 6.25 31.66 17.59 43.3l41 42.14l67-49.13C233.1 152.9 240 139.3 240 125C240 100.2 219.8 80 194.1 80H141z"],
    "anchor": [576, 512, [9875], "f13d", "M368 80C368 115.9 344.3 146.3 311.7 156.4C311.9 157.6 312 158.8 312 160V192H360C373.3 192 384 202.7 384 216C384 229.3 373.3 240 360 240H312V464H336C409.7 464 469.7 405.4 471.9 332.2L455.6 346.2C445.6 354.8 430.4 353.7 421.8 343.6C413.2 333.6 414.3 318.4 424.4 309.8L480.4 261.8C489.4 254.1 502.6 254.1 511.6 261.8L567.6 309.8C577.7 318.4 578.8 333.6 570.2 343.6C561.6 353.7 546.4 354.8 536.4 346.2L519.1 332.1C517.8 431.8 436.2 512 336 512H240C139.8 512 58.25 431.8 56.05 332.1L39.62 346.2C29.56 354.8 14.4 353.7 5.778 343.6C-2.848 333.6-1.682 318.4 8.381 309.8L64.38 261.8C73.37 254.1 86.63 254.1 95.62 261.8L151.6 309.8C161.7 318.4 162.8 333.6 154.2 343.6C145.6 353.7 130.4 354.8 120.4 346.2L104.1 332.2C106.3 405.4 166.3 464 240 464H264V240H216C202.7 240 192 229.3 192 216C192 202.7 202.7 192 216 192H264V160C264 158.8 264.1 157.6 264.3 156.4C231.7 146.3 208 115.9 208 80C208 35.82 243.8 0 288 0C332.2 0 368 35.82 368 80H368zM288 112C305.7 112 320 97.67 320 80C320 62.33 305.7 48 288 48C270.3 48 256 62.33 256 80C256 97.67 270.3 112 288 112z"],
    "anchor-circle-check": [640, 512, [], "e4aa", "M368 80C368 115.9 344.3 146.3 311.7 156.4C311.9 157.6 312 158.8 312 160V192H360C373.3 192 384 202.7 384 216C384 229.3 373.3 240 360 240H312V464H336C340.1 464 344.1 463.8 348.1 463.5C358.4 479.3 371.1 493.4 385.7 505.2C369.9 509.6 353.2 512 336 512H240C139.8 512 58.25 431.8 56.05 332.1L39.62 346.2C29.56 354.8 14.4 353.7 5.778 343.6C-2.848 333.6-1.682 318.4 8.382 309.8L64.38 261.8C73.37 254.1 86.63 254.1 95.62 261.8L151.6 309.8C161.7 318.4 162.8 333.6 154.2 343.6C145.6 353.7 130.4 354.8 120.4 346.2L104.1 332.2C106.3 405.4 166.3 464 240 464H264V240H216C202.7 240 192 229.3 192 216C192 202.7 202.7 192 216 192H264V160C264 158.8 264.1 157.6 264.3 156.4C231.7 146.3 208 115.9 208 80C208 35.82 243.8 0 288 0C332.2 0 368 35.82 368 80H368zM288 112C305.7 112 320 97.67 320 80C320 62.33 305.7 48 288 48C270.3 48 256 62.33 256 80C256 97.67 270.3 112 288 112zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM540.7 324.7L480 385.4L451.3 356.7C445.1 350.4 434.9 350.4 428.7 356.7C422.4 362.9 422.4 373.1 428.7 379.3L468.7 419.3C474.9 425.6 485.1 425.6 491.3 419.3L563.3 347.3C569.6 341.1 569.6 330.9 563.3 324.7C557.1 318.4 546.9 318.4 540.7 324.7H540.7z"],
    "anchor-circle-exclamation": [640, 512, [], "e4ab", "M368 80C368 115.9 344.3 146.3 311.7 156.4C311.9 157.6 312 158.8 312 160V192H360C373.3 192 384 202.7 384 216C384 229.3 373.3 240 360 240H312V464H336C340.1 464 344.1 463.8 348.1 463.5C358.4 479.3 371.1 493.4 385.7 505.2C369.9 509.6 353.2 512 336 512H240C139.8 512 58.25 431.8 56.05 332.1L39.62 346.2C29.56 354.8 14.4 353.7 5.778 343.6C-2.848 333.6-1.682 318.4 8.382 309.8L64.38 261.8C73.37 254.1 86.63 254.1 95.62 261.8L151.6 309.8C161.7 318.4 162.8 333.6 154.2 343.6C145.6 353.7 130.4 354.8 120.4 346.2L104.1 332.2C106.3 405.4 166.3 464 240 464H264V240H216C202.7 240 192 229.3 192 216C192 202.7 202.7 192 216 192H264V160C264 158.8 264.1 157.6 264.3 156.4C231.7 146.3 208 115.9 208 80C208 35.82 243.8 0 288 0C332.2 0 368 35.82 368 80H368zM288 112C305.7 112 320 97.67 320 80C320 62.33 305.7 48 288 48C270.3 48 256 62.33 256 80C256 97.67 270.3 112 288 112zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 464C509.3 464 520 453.3 520 440C520 426.7 509.3 416 496 416C482.7 416 472 426.7 472 440C472 453.3 482.7 464 496 464zM479.1 288V368C479.1 376.8 487.2 384 495.1 384C504.8 384 511.1 376.8 511.1 368V288C511.1 279.2 504.8 272 495.1 272C487.2 272 479.1 279.2 479.1 288z"],
    "anchor-circle-xmark": [640, 512, [], "e4ac", "M368 80C368 115.9 344.3 146.3 311.7 156.4C311.9 157.6 312 158.8 312 160V192H360C373.3 192 384 202.7 384 216C384 229.3 373.3 240 360 240H312V464H336C340.1 464 344.1 463.8 348.1 463.5C358.4 479.3 371.1 493.4 385.7 505.2C369.9 509.6 353.2 512 336 512H240C139.8 512 58.25 431.8 56.05 332.1L39.62 346.2C29.56 354.8 14.4 353.7 5.778 343.6C-2.848 333.6-1.682 318.4 8.382 309.8L64.38 261.8C73.37 254.1 86.63 254.1 95.62 261.8L151.6 309.8C161.7 318.4 162.8 333.6 154.2 343.6C145.6 353.7 130.4 354.8 120.4 346.2L104.1 332.2C106.3 405.4 166.3 464 240 464H264V240H216C202.7 240 192 229.3 192 216C192 202.7 202.7 192 216 192H264V160C264 158.8 264.1 157.6 264.3 156.4C231.7 146.3 208 115.9 208 80C208 35.82 243.8 0 288 0C332.2 0 368 35.82 368 80H368zM288 112C305.7 112 320 97.67 320 80C320 62.33 305.7 48 288 48C270.3 48 256 62.33 256 80C256 97.67 270.3 112 288 112zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM555.3 331.3C561.6 325.1 561.6 314.9 555.3 308.7C549.1 302.4 538.9 302.4 532.7 308.7L496 345.4L459.3 308.7C453.1 302.4 442.9 302.4 436.7 308.7C430.4 314.9 430.4 325.1 436.7 331.3L473.4 368L436.7 404.7C430.4 410.9 430.4 421.1 436.7 427.3C442.9 433.6 453.1 433.6 459.3 427.3L496 390.6L532.7 427.3C538.9 433.6 549.1 433.6 555.3 427.3C561.6 421.1 561.6 410.9 555.3 404.7L518.6 368L555.3 331.3z"],
    "anchor-lock": [640, 512, [], "e4ad", "M368 80C368 115.9 344.3 146.3 311.7 156.4C311.9 157.6 312 158.8 312 160V192H360C373.3 192 384 202.7 384 216C384 229.3 373.3 240 360 240H312V464H336C352.9 464 369.1 460.9 384 455.3V480C384 488.6 385.7 496.8 388.8 504.3C372.1 509.3 354.3 512 336 512H240C139.8 512 58.25 431.8 56.05 332.1L39.62 346.2C29.56 354.8 14.4 353.7 5.778 343.6C-2.848 333.6-1.682 318.4 8.382 309.8L64.38 261.8C73.37 254.1 86.63 254.1 95.62 261.8L151.6 309.8C161.7 318.4 162.8 333.6 154.2 343.6C145.6 353.7 130.4 354.8 120.4 346.2L104.1 332.2C106.3 405.4 166.3 464 240 464H264V240H216C202.7 240 192 229.3 192 216C192 202.7 202.7 192 216 192H264V160C264 158.8 264.1 157.6 264.3 156.4C231.7 146.3 208 115.9 208 80C208 35.82 243.8 0 288 0C332.2 0 368 35.82 368 80H368zM288 112C305.7 112 320 97.67 320 80C320 62.33 305.7 48 288 48C270.3 48 256 62.33 256 80C256 97.67 270.3 112 288 112zM528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320V272C448 227.8 483.8 192 528 192zM528 240C510.3 240 496 254.3 496 272V320H560V272C560 254.3 545.7 240 528 240z"],
    "angel": [640, 512, [], "f779", "M603.7 453.1l-38.16-78.63c-6.625-13.5-6.625-29.62 0-43.13c16.25-33.37 26.37-37.59 26.37-75.34c0-51.13-46.87-96-100.4-96c-25.12 0-48.84 10-66.34 28.12L352.6 261.5c-10.25-3.375-21.33-5.453-32.58-5.453s-22.18 2.042-32.43 5.417L214.1 188.3c-17.62-18-41.31-28.19-66.44-28.19c-53.5 0-100.3 45.06-100.3 96.19c0 37.88 10.12 42 26.37 75.25c6.625 13.5 6.625 29.62 0 43.13l-38.34 78.5C21.79 482.9 45.57 512 72.57 512h494.1C595.2 512 617.7 482.1 603.7 453.1zM84.32 464l33.37-68.63c12.1-26.62 12.1-58.5 0-85.13c-5.375-11.12-9.875-18.87-13.5-25C97.07 272.8 96.13 271.2 96.13 256c0-24.75 25.5-48 52.37-48c12.12 0 23.56 4.938 32.19 13.81L245.8 287.5C238.6 295 232.1 303.6 227.4 313.2L152.1 464H84.32zM205.8 464l64.62-129.2C279.9 315.8 298.9 304 320.1 304c21.12 0 40.12 11.75 49.62 30.75L434.3 464H205.8zM487.9 464L412.6 313.2C407.7 303.5 401.5 295 394.2 287.5l65.19-65.75C468.1 212.8 479.4 208 491.6 208c26.1 0 52.37 23.25 52.37 48c0 15.25-.875 16.75-8.125 29.25c-3.5 6.125-7.1 13.88-13.5 25c-12.87 26.63-12.87 58.5 0 85.13L555.7 464H487.9zM240 144c0 44.25 35.75 80 79.1 80s79.1-35.75 79.1-80S364.2 64 320 64S240 99.75 240 144zM352 144c0 17.62-14.37 32-31.1 32s-31.1-14.38-31.1-32s14.37-32 31.1-32S352 126.4 352 144zM208.8 137.2c.875-13 3.872-25.23 8.872-36.61C206.6 94.64 200.1 87.62 200.1 80c0-22.12 53.62-40 119.1-40c66.25 0 119.1 17.88 119.1 40c0 7.625-6.75 14.64-17.63 20.64c4.875 11.38 8 23.61 8.75 36.61C461 122.8 479.1 102.5 479.1 80c0-44.25-71.63-80-159.1-80S160 35.75 160 80C160 102.5 178.8 122.8 208.8 137.2z"],
    "angle": [448, 512, [], "e08c", "M63.53 432H424C437.3 432 448 442.7 448 456C448 469.3 437.3 480 424 480H24C15.61 480 7.837 475.6 3.485 468.5C-.8672 461.3-1.162 452.4 2.707 444.9L210.7 44.93C216.8 33.17 231.3 28.59 243.1 34.71C254.8 40.82 259.4 55.31 253.3 67.07L63.53 432zM241.1 175.5C268.5 195.1 291.9 220.2 311.5 247.4L270.7 272.9C255.1 252.8 238.7 234.7 219.4 218.9L241.1 175.5zM322.7 392C317.4 364.4 308.3 338.1 295.9 313.8L336.7 288.2C353.5 320.2 365.4 355.1 371.5 392H322.7z"],
    "angle-90": [448, 512, [], "e08d", "M315.5 400h48.89c-6.318-43.29-20.84-83.96-42.02-120.3l-41.1 24.66C298.1 333.4 309.6 365.7 315.5 400zM263.6 277.6l41.31-24.79c-21.5-29.97-47.75-56.22-77.72-77.72L202.4 216.4C225.8 233.6 246.4 254.2 263.6 277.6zM424 432H48V56C48 42.75 37.25 32 24 32S0 42.75 0 56v400C0 469.3 10.75 480 24 480h400c13.25 0 24-10.75 24-24S437.3 432 424 432zM200.3 157.7C163.1 136.5 123.3 121.1 80 115.7v48.89c34.26 5.869 66.62 17.41 95.68 34.23L200.3 157.7z"],
    "angle-down": [384, 512, [8964], "f107", "M360.5 217.5l-152 143.1C203.9 365.8 197.9 368 192 368s-11.88-2.188-16.5-6.562L23.5 217.5C13.87 208.3 13.47 193.1 22.56 183.5C31.69 173.8 46.94 173.5 56.5 182.6L192 310.9l135.5-128.4c9.562-9.094 24.75-8.75 33.94 .9375C370.5 193.1 370.1 208.3 360.5 217.5z"],
    "angle-left": [256, 512, [8249], "f104", "M166.5 424.5l-143.1-152c-4.375-4.625-6.562-10.56-6.562-16.5c0-5.938 2.188-11.88 6.562-16.5l143.1-152c9.125-9.625 24.31-10.03 33.93-.9375c9.688 9.125 10.03 24.38 .9375 33.94l-128.4 135.5l128.4 135.5c9.094 9.562 8.75 24.75-.9375 33.94C190.9 434.5 175.7 434.1 166.5 424.5z"],
    "angle-right": [256, 512, [8250], "f105", "M89.45 87.5l143.1 152c4.375 4.625 6.562 10.56 6.562 16.5c0 5.937-2.188 11.87-6.562 16.5l-143.1 152C80.33 434.1 65.14 434.5 55.52 425.4c-9.688-9.125-10.03-24.38-.9375-33.94l128.4-135.5l-128.4-135.5C45.49 110.9 45.83 95.75 55.52 86.56C65.14 77.47 80.33 77.87 89.45 87.5z"],
    "angle-up": [384, 512, [8963], "f106", "M23.5 294.5l152-143.1C180.1 146.2 186.1 144 192 144s11.88 2.188 16.5 6.562l152 143.1c9.625 9.125 10.03 24.31 .9375 33.93c-9.125 9.688-24.38 10.03-33.94 .9375l-135.5-128.4l-135.5 128.4c-9.562 9.094-24.75 8.75-33.94-.9375C13.47 318.9 13.87 303.7 23.5 294.5z"],
    "angles-down": [384, 512, ["angle-double-down"], "f103", "M328 270.1L192 391.8L55.1 270.1c-4.563-4.094-10.28-6.125-16-6.125c-6.594 0-13.16 2.687-17.88 7.1C13.28 281.9 14.12 297.1 23.99 305.9l152 135.1c9.125 8.187 22.88 8.187 32 0l152-135.1c9.875-8.812 10.72-23.1 1.875-33.87C353.1 262.1 337.8 261.3 328 270.1zM175.1 249.9c9.125 8.187 22.88 8.187 32 0l152-135.1c9.875-8.812 10.72-23.1 1.875-33.87c-8.813-9.906-24.03-10.72-33.88-1.875L192 199.8L55.1 78.13c-4.563-4.094-10.28-6.125-16-6.125c-6.594 0-13.16 2.687-17.88 7.1C13.28 89.88 14.12 105.1 23.99 113.9L175.1 249.9z"],
    "angles-left": [448, 512, [171, "angle-double-left"], "f100", "M213.9 388L92.23 252l121.6-136c4.094-4.563 6.125-10.28 6.125-16c0-6.594-2.687-13.16-7.1-17.88C202.1 73.28 186.9 74.12 178.1 83.99L42.14 235.1c-8.187 9.125-8.187 22.88 0 32l135.1 152c8.812 9.875 23.1 10.72 33.87 1.875C221.9 413.1 222.7 397.8 213.9 388zM234.1 235.1c-8.187 9.125-8.187 22.88 0 32l135.1 152c8.812 9.875 23.1 10.72 33.87 1.875c9.906-8.813 10.72-24.03 1.875-33.88L284.2 252l121.6-136c4.094-4.563 6.125-10.28 6.125-16c0-6.594-2.687-13.16-7.1-17.88c-9.874-8.844-25.06-8-33.87 1.875L234.1 235.1z"],
    "angles-right": [448, 512, [187, "angle-double-right"], "f101", "M238.1 115.1L359.8 252l-121.6 136c-4.094 4.563-6.125 10.28-6.125 16c0 6.594 2.687 13.16 7.1 17.88c9.874 8.844 25.06 8 33.87-1.875l135.1-152c8.187-9.125 8.187-22.88 0-32l-135.1-152c-8.812-9.875-23.1-10.72-33.87-1.875C230.1 90.93 229.3 106.2 238.1 115.1zM217.9 268c8.187-9.125 8.187-22.88 0-32L81.88 83.99C73.07 74.12 57.88 73.28 48 82.12C38.1 90.93 37.29 106.2 46.13 115.1L167.8 252l-121.6 136c-4.094 4.563-6.125 10.28-6.125 16c0 6.594 2.687 13.16 7.1 17.88c9.874 8.844 25.06 8 33.87-1.875L217.9 268z"],
    "angles-up": [384, 512, ["angle-double-up"], "f102", "M55.1 241.9L192 120.2l136 121.6c4.563 4.094 10.28 6.125 16 6.125c6.594 0 13.16-2.687 17.88-7.1c8.844-9.874 8-25.06-1.875-33.87L208 70.14c-9.125-8.187-22.88-8.187-32 0L23.99 206.1C14.12 214.9 13.28 230.1 22.12 240C30.93 249.9 46.15 250.7 55.1 241.9zM208 262.1c-9.125-8.187-22.88-8.187-32 0l-152 135.1c-9.875 8.812-10.72 23.1-1.875 33.87c8.813 9.906 24.03 10.72 33.88 1.875L192 312.2l136 121.6c4.563 4.094 10.28 6.125 16 6.125c6.594 0 13.16-2.687 17.88-7.1c8.844-9.874 8-25.06-1.875-33.87L208 262.1z"],
    "ankh": [320, 512, [9765], "f644", "M296 272h-68.88c29.38-36.38 54.75-87.88 54.75-134.9C281.9 53 227.4 0 160 0S38.12 53 38.12 137.1c0 47 25.38 98.5 54.75 134.9H23.1C10.75 272 0 282.7 0 295.1S10.75 320 23.1 320H136v168C136 501.3 146.7 512 160 512s24-10.75 24-23.1V320h112C309.3 320 320 309.3 320 296S309.3 272 296 272zM160 48c44.25 0 73.88 35.88 73.88 89.12c0 53.88-49.63 119.5-73.88 133.4C135.8 256.6 86.12 191 86.12 137.1C86.12 83.88 115.8 48 160 48z"],
    "apartment": [576, 512, [], "e468", "M320 336C311.2 336 304 328.8 304 320V288C304 279.2 311.2 272 320 272H352C360.8 272 368 279.2 368 288V320C368 328.8 360.8 336 352 336H320zM496 416C496 424.8 488.8 432 480 432H448C439.2 432 432 424.8 432 416V384C432 375.2 439.2 368 448 368H480C488.8 368 496 375.2 496 384V416zM96 336C87.16 336 80 328.8 80 320V288C80 279.2 87.16 272 96 272H128C136.8 272 144 279.2 144 288V320C144 328.8 136.8 336 128 336H96zM144 416C144 424.8 136.8 432 128 432H96C87.16 432 80 424.8 80 416V384C80 375.2 87.16 368 96 368H128C136.8 368 144 375.2 144 384V416zM224 336C215.2 336 208 328.8 208 320V288C208 279.2 215.2 272 224 272H256C264.8 272 272 279.2 272 288V320C272 328.8 264.8 336 256 336H224zM368 128C368 136.8 360.8 144 352 144H320C311.2 144 304 136.8 304 128V96C304 87.16 311.2 80 320 80H352C360.8 80 368 87.16 368 96V128zM256 80C264.8 80 272 87.16 272 96V128C272 136.8 264.8 144 256 144H224C215.2 144 208 136.8 208 128V96C208 87.16 215.2 80 224 80H256zM368 224C368 232.8 360.8 240 352 240H320C311.2 240 304 232.8 304 224V192C304 183.2 311.2 176 320 176H352C360.8 176 368 183.2 368 192V224zM448 336C439.2 336 432 328.8 432 320V288C432 279.2 439.2 272 448 272H480C488.8 272 496 279.2 496 288V320C496 328.8 488.8 336 480 336H448zM144 224C144 232.8 136.8 240 128 240H96C87.16 240 80 232.8 80 224V192C80 183.2 87.16 176 96 176H128C136.8 176 144 183.2 144 192V224zM224 240C215.2 240 208 232.8 208 224V192C208 183.2 215.2 176 224 176H256C264.8 176 272 183.2 272 192V224C272 232.8 264.8 240 256 240H224zM64 512C28.65 512 0 483.3 0 448V160C0 124.7 28.65 96 64 96H128V64C128 28.65 156.7 0 192 0H384C419.3 0 448 28.65 448 64V192H512C547.3 192 576 220.7 576 256V448C576 483.3 547.3 512 512 512H64zM176 144H64C55.16 144 48 151.2 48 160V448C48 456.8 55.16 464 64 464H256V416C256 398.3 270.3 384 288 384C305.7 384 320 398.3 320 416V464H512C520.8 464 528 456.8 528 448V256C528 247.2 520.8 240 512 240H400V64C400 55.16 392.8 48 384 48H192C183.2 48 176 55.16 176 64V144z"],
    "aperture": [512, 512, [], "e2df", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM435.9 152H251.4l56.16-97.27C362.2 68.74 408.2 104.3 435.9 152zM320.7 256l-32.33 56H223.7L191.3 256l32.33-56h64.67L320.7 256zM256 48L163.6 208L107.4 110.7C145.2 72.07 197.8 48 256 48zM76 152.2L168.2 312H55.88C50.87 294.2 48 275.4 48 256C48 218.2 58.3 182.8 76 152.2zM76.14 360h184.5l-56.16 97.27C149.8 443.3 103.8 407.7 76.14 360zM256 464l92.38-160l56.19 97.31C366.8 439.9 314.2 464 256 464zM435.1 359.8L343.8 200h112.4C461.1 217.8 464 236.6 464 256C464 293.8 453.7 329.2 435.1 359.8z"],
    "apostrophe": [192, 512, [], "27", "M96 32C42.98 32 0 74.98 0 128s42.98 96 96 96c17.58 0 33.83-5.068 48-13.31V232c0 39.7-32.31 72-72 72h-16C42.75 304 32 314.8 32 328S42.75 352 56 352h16C138.2 352 192 298.2 192 232V128C192 74.98 149 32 96 32zM96 176C69.53 176 48 154.5 48 128S69.53 80 96 80s48 21.53 48 48S122.5 176 96 176z"],
    "apple-core": [384, 512, [], "e08f", "M190.4 112c18.75 0 52.13-3.25 73.26-24.38c30.51-30.62 23.75-87 23.75-87S281.9 0 273.6 0c-18.75 0-52.13 3.25-73.26 24.38c-30.5 30.62-23.75 87-23.75 87S181.1 112 190.4 112zM287.1 304c0-60.89 30.92-114.5 77.93-146.1c-15.96-14.96-35-24.79-56.29-28.48c-5.32-.9258-11.05-1.348-17.04-1.348c-32.9 0-73.95 12.73-100.6 25.1C165.3 140.8 124.4 128 91.43 128c-6.008-.002-11.74 .4219-17.09 1.348c-21.3 3.684-40.29 13.53-56.27 28.49C65.06 189.5 95.1 243.1 95.1 304c0 60.87-30.92 114.5-77.88 146.1C45.24 486.5 83.68 512 135.2 512c13.38 0 27.63-4 42.26-12c4.502-2.438 9.502-3.656 14.5-3.656c4.1 0 10 1.219 14.5 3.656c14.63 8 28.88 12 42.26 12c51.55 0 89.99-25.46 117.1-61.89C318.9 418.5 287.1 364.9 287.1 304zM248.7 464c-3.67 0-9.984-1.061-19.39-6.207c-11.41-6.182-24.33-9.449-37.36-9.449S166 451.6 154.5 457.9C145.2 462.9 138.9 464 135.2 464c-17.2 0-32.66-4.131-46.63-12.53C123.9 411.1 143.1 358.1 143.1 304c0-46.13-14.13-90.28-39.55-127.1c22.71 2.703 49.5 11.51 67.34 19.8l20.21 9.383l20.21-9.383c17.84-8.281 44.62-17.09 67.34-19.8C254.1 213.7 239.1 257.9 239.1 304c0 54.96 20.06 107.1 55.39 147.5C281.4 459.9 265.9 464 248.7 464z"],
    "apple-whole": [448, 512, [127823, 127822, "apple-alt"], "f5d1", "M415.3 177.6c-18.5-26.5-44.01-43.12-73.64-48.25c-34.51-6-86.14 9.125-117.6 23.75C192.5 138.5 140.1 123.4 106.4 129.4C76.73 134.5 51.35 151.1 32.72 177.6C4.841 217.5-6.536 280.1 3.716 337.1C18.97 421.8 69.98 512 167.2 512c13.38 0 27.63-4 42.26-12c9.001-4.875 20-4.875 29 0C253.1 508 267.4 512 280.8 512c97.27 0 148.3-90.25 163.5-174.9C454.5 280.1 443.2 217.5 415.3 177.6zM397 328.6C393 351.2 368.3 464 280.8 464c-5.251 0-11.88-2.125-19.25-6.125c-11.63-6.25-24.5-9.5-37.51-9.5s-25.88 3.25-37.51 9.5C179.1 461.9 172.5 464 167.2 464c-87.51 0-112.3-112.8-116.3-135.4C42.97 284.2 51.47 234.6 72.1 205.1c11.13-16 25.38-25.5 42.38-28.5c12.63-2.125 53.88 0 109.5 30.75c55.63-30.75 97.02-32.88 109.5-30.75c17 3 31.25 12.5 42.38 28.5C396.5 234.6 405 284.2 397 328.6zM222.4 112c18.75 0 52.13-3.25 73.26-24.38c30.5-30.62 23.75-86.1 23.75-86.1S313.9 0 305.6 0c-18.75 0-52.13 3.25-73.26 24.38c-30.5 30.62-23.75 87-23.75 87S213.1 112 222.4 112z"],
    "archway": [512, 512, [], "f557", "M0 56C0 42.75 10.75 32 24 32H480C493.3 32 504 42.75 504 56C504 69.25 493.3 80 480 80V432H488C501.3 432 512 442.7 512 456C512 469.3 501.3 480 488 480H336V336C336 291.8 300.2 256 256 256C211.8 256 176 291.8 176 336V480H24C10.75 480 0 469.3 0 456C0 442.7 10.75 432 24 432H32V80H24C10.75 80 0 69.25 0 56zM80 112H432V80H80V112zM80 160V432H128V336C128 265.3 185.3 208 256 208C326.7 208 384 265.3 384 336V432H432V160H80z"],
    "arrow-down": [384, 512, [8595], "f063", "M377.4 296.6l-168 176C204.8 477.3 198.6 480 192 480s-12.84-2.688-17.38-7.438l-168-176C-2.5 286.1-2.156 271.8 7.438 262.6c9.5-9.156 24.75-8.812 33.94 .8125L168 396.1V56.02c0-13.25 10.75-24.01 23.1-24.01S216 42.77 216 56.02v340.1l126.6-132.7c9.156-9.625 24.41-9.969 33.94-.8125C386.2 271.8 386.5 286.1 377.4 296.6z"],
    "arrow-down-1-9": [512, 512, ["sort-numeric-asc", "sort-numeric-down"], "f162", "M352 175.1c-13.25 0-24 10.75-24 24s10.75 24.01 23.1 24.01L432 223.1c13.25 0 24-10.75 24-24s-10.75-24-24-24H416v-120c0-8.656-4.656-16.62-12.19-20.88c-7.531-4.312-16.78-4.094-24.16 .2813l-40 24c-11.38 6.844-15.06 21.56-8.25 32.94c6.812 11.34 21.5 15.06 32.94 8.25l3.656-2.219v77.63H352zM392 256c-48.6 0-88 39.4-88 88c0 42.05 29.55 77.1 68.98 85.81l-15.54 19c-8.406 10.25-6.906 25.38 3.375 33.75C365.3 486.2 370.6 488 376 488c6.938 0 13.84-3 18.56-8.812C465.1 392.1 480 382.5 480 344C480 295.4 440.6 256 392 256zM421.3 370.8l-1.443 1.762C412.6 379.6 402.8 384 392 384c-22.06 0-40-17.95-40-40S369.9 304 392 304s40 17.95 40 40C432 354.4 427.8 363.7 421.3 370.8zM206.4 335.1L152 394.9V56.02C152 42.76 141.3 32 128 32S104 42.76 104 56.02v338.9l-54.37-58.95c-4.719-5.125-11.16-7.719-17.62-7.719c-5.812 0-11.66 2.094-16.28 6.375c-9.75 8.977-10.34 24.18-1.344 33.94l95.1 104.1c9.062 9.82 26.19 9.82 35.25 0l95.1-104.1c9-9.758 8.406-24.96-1.344-33.94C230.5 325.5 215.3 326.2 206.4 335.1z"],
    "arrow-down-9-1": [512, 512, ["sort-numeric-desc", "sort-numeric-down-alt"], "f886", "M206.4 335.1L152 394.9V56.02C152 42.76 141.3 32 128 32S104 42.76 104 56.02v338.9l-54.37-58.95c-4.719-5.125-11.16-7.719-17.62-7.719c-5.812 0-11.66 2.094-16.28 6.375c-9.75 8.977-10.34 24.18-1.344 33.94l95.1 104.1c9.062 9.82 26.19 9.82 35.25 0l95.1-104.1c9-9.758 8.406-24.96-1.344-33.94C230.5 325.5 215.3 326.2 206.4 335.1zM432 432H416V312c0-8.656-4.656-16.62-12.19-20.88c-7.531-4.312-16.78-4.094-24.16 .2813l-40 24c-11.38 6.844-15.06 21.56-8.25 32.94c6.812 11.34 21.5 15.06 32.94 8.25l3.656-2.219V432h-16c-13.25 0-24 10.75-24 24S338.8 480 352 480H432c13.25 0 24-10.75 24-24S445.3 432 432 432zM372.1 205.8l-15.54 19c-8.406 10.25-6.906 25.38 3.375 33.75C365.3 262.2 370.6 264 376 264c6.938 0 13.84-3 18.56-8.812C465.1 168.1 480 158.5 480 120c0-48.6-39.4-88-88-88s-88 39.4-88 88C303.1 162.1 333.5 197.1 372.1 205.8zM392 80c22.06 0 40 17.95 40 40c0 10.4-4.223 19.7-10.75 26.82l-1.443 1.762C412.6 155.6 402.8 160 392 160c-22.06 0-40-17.95-40-40S369.9 80 392 80z"],
    "arrow-down-a-z": [512, 512, ["sort-alpha-asc", "sort-alpha-down"], "f15d", "M439.1 432H377.1l81.87-105.3c5.625-7.25 6.656-17.06 2.625-25.28C457.5 293.2 449.1 288 439.1 288h-111.1c-13.25 0-23.1 10.75-23.1 24s10.75 24 23.1 24h62.94L309.1 441.3c-5.623 7.25-6.654 17.06-2.625 25.28C310.5 474.8 318.8 480 327.1 480h111.1c13.25 0 23.1-10.75 23.1-24S453.2 432 439.1 432zM477.5 189.3l-71.1-144c-8.123-16.31-34.81-16.31-42.94 0l-71.1 144c-5.938 11.84-1.125 26.25 10.75 32.19c11.9 5.938 26.25 1.156 32.19-10.75L338.8 200h90.34l5.359 10.72C438.7 219.2 447.2 224 456 224c3.594 0 7.25-.8125 10.69-2.531C478.6 215.5 483.4 201.1 477.5 189.3zM362.8 152l21.17-42.34L405.2 152H362.8zM206.4 335.1L152 394.9V56.02c0-13.27-10.75-24.02-24-24.02S104 42.76 104 56.02v338.9l-54.37-58.95c-4.719-5.125-11.16-7.719-17.62-7.719c-5.812 0-11.66 2.094-16.28 6.375c-9.75 8.977-10.34 24.18-1.344 33.94l95.1 104.1c9.062 9.82 26.19 9.82 35.25 0l95.1-104.1c9-9.758 8.406-24.96-1.344-33.94C230.5 325.5 215.3 326.2 206.4 335.1z"],
    "arrow-down-arrow-up": [448, 512, ["sort-alt"], "f883", "M206.4 335.1L152 394.9V56.02C152 42.76 141.3 32 128 32S104 42.76 104 56.02v338.9l-54.37-58.95c-4.719-5.125-11.16-7.719-17.62-7.719c-5.812 0-11.66 2.094-16.28 6.375c-9.75 8.977-10.34 24.18-1.344 33.94l95.1 104.1c9.062 9.82 26.19 9.82 35.25 0l95.1-104.1c9-9.758 8.406-24.96-1.344-33.94C230.5 325.5 215.3 326.2 206.4 335.1zM433.6 143.4l-95.1-104.1c-9.062-9.82-26.19-9.82-35.25 0L206.4 143.4c-9 9.758-8.406 24.96 1.344 33.94c4.623 4.281 10.47 6.375 16.28 6.375c6.469 0 12.91-2.594 17.62-7.719L296 117.1v338.9C296 469.2 306.8 480 320 480s24-10.76 24-24.02V117.1l54.37 58.95c8.938 9.758 24.12 10.41 33.9 1.344C442 168.4 442.6 153.2 433.6 143.4z"],
    "arrow-down-big-small": [512, 512, ["sort-size-down"], "f88c", "M480 32h-160c-17.67 0-32 14.33-32 32v160c0 17.67 14.33 32 32 32h160c17.67 0 32-14.33 32-32V64C512 46.33 497.7 32 480 32zM464 208h-128v-128h128V208zM416 320h-96c-17.6 0-32 14.4-32 32v96c0 17.6 14.4 32 32 32h96c17.6 0 32-14.4 32-32v-96C448 334.4 433.6 320 416 320zM400 432h-64v-64h64V432zM206.4 335.1L152 394.9V56.02C152 42.76 141.3 32 128 32S104 42.76 104 56.02v338.9l-54.37-58.95c-4.719-5.125-11.16-7.719-17.62-7.719c-5.812 0-11.66 2.094-16.28 6.375c-9.75 8.977-10.34 24.18-1.344 33.94l95.1 104.1c9.062 9.82 26.19 9.82 35.25 0l95.1-104.1c9-9.758 8.406-24.96-1.344-33.94C230.5 325.5 215.3 326.2 206.4 335.1z"],
    "arrow-down-from-dotted-line": [448, 512, [], "e090", "M224 95.1c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S206.3 95.1 224 95.1zM416 95.1c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S398.3 95.1 416 95.1zM320 95.1c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S302.3 95.1 320 95.1zM128 95.1c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S110.3 95.1 128 95.1zM32 95.1c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S14.33 95.1 32 95.1zM206.5 472.7c9.062 9.699 25.88 9.699 34.94 0l128-136.2c9.094-9.672 8.625-24.88-1.031-33.96c-9.625-9.109-24.81-8.672-33.91 1.031L248 395.6v-211.6c0-13.27-10.75-24.04-24-24.04S200 170.8 200 184v211.6l-86.53-92.05C108.8 298.6 102.4 296 96 296c-5.906 0-11.81 2.16-16.44 6.543c-9.656 9.074-10.12 24.29-1.031 33.96L206.5 472.7z"],
    "arrow-down-from-line": [384, 512, [8615, "arrow-from-top"], "f345", "M24 80.03h336c13.25 0 24-10.76 24-24.02S373.3 32 360 32h-336c-13.25 0-24 10.76-24 24.02S10.75 80.03 24 80.03zM302.5 303.7L216 395.7V152.1c0-13.26-10.75-24.05-24-24.05S168 138.8 168 152.1v243.6l-86.53-91.97C76.75 298.7 70.38 296.2 64 296.2c-5.906 0-11.81 2.158-16.44 6.536c-9.656 9.069-10.12 24.27-1.031 33.93l127.1 136.1c9.062 9.694 25.88 9.694 34.94 0l128-136.1c9.094-9.663 8.625-24.86-1.031-33.93C326.8 293.6 311.6 294 302.5 303.7z"],
    "arrow-down-left": [320, 512, [], "e091", "M312.1 136.1L81.94 368H264c13.25 0 24 10.75 24 24S277.3 416 264 416h-240C10.75 416 0 405.3 0 392v-240C0 138.8 10.75 128 24 128S48 138.8 48 152v182.1l231-231c9.375-9.375 24.56-9.375 33.94 0S322.3 127.6 312.1 136.1z"],
    "arrow-down-left-and-arrow-up-right-to-center": [512, 512, [], "e092", "M286.8 238.1C289.8 239.4 292.9 240 296 240h144c13.25 0 23.94-10.69 23.94-23.94S453.3 192 440 192h-86.06l135-135c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0L320 158.1V72c0-13.25-10.81-23.94-24.06-23.94S272 58.75 272 72v144c0 3.133 .6406 6.25 1.855 9.18C276.3 231 280.1 235.7 286.8 238.1zM225.2 273.9C222.2 272.6 219.1 272 216 272h-144c-13.25 0-23.94 10.69-23.94 23.94S58.75 320 72 320h86.06l-135 135c-9.375 9.375-9.375 24.56 0 33.94s24.56 9.375 33.94 0L192 353.9V440c0 13.25 10.81 23.94 24.06 23.94S240 453.3 240 440v-144c0-3.133-.6406-6.25-1.855-9.18C235.7 280.1 231 276.3 225.2 273.9z"],
    "arrow-down-long": [320, 512, ["long-arrow-down"], "f175", "M7.031 335C11.72 330.3 17.84 328 24 328s12.28 2.344 16.97 7.031L136 430.1V24C136 10.75 146.8 0 160 0s24 10.75 24 24v406.1l95.03-95.03c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94l-136 136c-9.375 9.375-24.56 9.375-33.94 0l-136-136C-2.344 359.6-2.344 344.4 7.031 335z"],
    "arrow-down-right": [320, 512, [], "e093", "M320 152v240c0 13.25-10.75 24-24 24h-240C42.75 416 32 405.3 32 392s10.75-24 24-24h182.1L7.031 136.1c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0L272 334.1V152C272 138.8 282.8 128 296 128S320 138.8 320 152z"],
    "arrow-down-short-wide": [576, 512, ["sort-amount-desc", "sort-amount-down-alt"], "f884", "M312 96h48c13.25 0 23.1-10.75 23.1-24S373.2 48 360 48h-48C298.8 48 288 58.75 288 72S298.8 96 312 96zM312 224h111.1c13.25 0 24-10.75 24-24s-10.75-24-24-24H312C298.8 176 288 186.8 288 200S298.8 224 312 224zM551.1 432H312c-13.25 0-24 10.75-24 24S298.8 480 312 480h239.1c13.25 0 24-10.75 24-24S565.2 432 551.1 432zM312 352h175.1c13.25 0 24-10.75 24-24s-10.75-24-24-24H312C298.8 304 288 314.8 288 328S298.8 352 312 352zM206.4 335.1L152 394.9V56.02C152 42.76 141.3 32 128 32S104 42.76 104 56.02v338.9l-54.37-58.95c-4.719-5.125-11.16-7.719-17.62-7.719c-5.812 0-11.66 2.094-16.28 6.375c-9.75 8.977-10.34 24.18-1.344 33.94l95.1 104.1c9.062 9.82 26.19 9.82 35.25 0l95.1-104.1c9-9.758 8.406-24.96-1.344-33.94C230.5 325.5 215.3 326.2 206.4 335.1z"],
    "arrow-down-small-big": [512, 512, ["sort-size-down-alt"], "f88d", "M320 192h96c17.6 0 32-14.4 32-32V64c0-17.6-14.4-32-32-32h-96c-17.6 0-32 14.4-32 32v96C288 177.6 302.4 192 320 192zM336 80h64v64h-64V80zM480 256h-160c-17.67 0-32 14.33-32 32v160c0 17.67 14.33 32 32 32h160c17.67 0 32-14.33 32-32V288C512 270.3 497.7 256 480 256zM464 432h-128v-128h128V432zM206.4 335.1L152 394.9V56.02C152 42.76 141.3 32 128 32S104 42.76 104 56.02v338.9l-54.37-58.95c-4.719-5.125-11.16-7.719-17.62-7.719c-5.812 0-11.66 2.094-16.28 6.375c-9.75 8.977-10.34 24.18-1.344 33.94l95.1 104.1c9.062 9.82 26.19 9.82 35.25 0l95.1-104.1c9-9.758 8.406-24.96-1.344-33.94C230.5 325.5 215.3 326.2 206.4 335.1z"],
    "arrow-down-square-triangle": [512, 512, ["sort-shapes-down-alt"], "f889", "M448 32h-128c-17.67 0-31.1 14.33-31.1 32v128c0 17.67 14.33 32 31.1 32h128c17.67 0 32-14.33 32-32V64C480 46.33 465.7 32 448 32zM432 176h-96v-96h96V176zM492.1 438.9l-83.13-137.1c-5.375-8.625-14.84-13.76-24.97-13.76c-10.13 0-19.53 5.136-24.91 13.76l-83.25 137.1c-11 18.25 2.749 41.13 25 41.13h166.3C489.4 480 503.1 457.1 492.1 438.9zM336.3 432l47.75-78.88L431.8 432H336.3zM241.6 368.6c9-9.758 8.406-24.96-1.344-33.93c-4.623-4.281-10.47-6.379-16.28-6.379c-6.469 0-12.91 2.598-17.62 7.723L152 394.9V56.02c0-13.26-10.75-24.02-24-24.02S104 42.76 104 56.02v338.9l-54.37-58.95c-8.938-9.758-24.12-10.41-33.9-1.344c-9.75 8.977-10.34 24.18-1.344 33.93l95.1 104.1c9.062 9.82 26.19 9.82 35.25 0L241.6 368.6z"],
    "arrow-down-to-arc": [512, 512, [], "e4ae", "M256 464C370.9 464 464 370.9 464 255.1C464 242.7 474.7 231.1 488 231.1C501.3 231.1 512 242.7 512 255.1C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 255.1C0 242.7 10.75 231.1 24 231.1C37.25 231.1 48 242.7 48 255.1C48 370.9 141.1 464 256 464zM273.6 344.3C269 349.2 262.7 352 256 352C249.3 352 242.1 349.2 238.4 344.3L134.4 232.3C125.4 222.6 125.1 207.4 135.7 198.4C145.4 189.4 160.6 189.1 169.6 199.7L232 266.9V24C232 10.75 242.7 0 256 0C269.3 0 280 10.75 280 24V266.9L342.4 199.7C351.4 189.1 366.6 189.4 376.3 198.4C386 207.4 386.6 222.6 377.6 232.3L273.6 344.3z"],
    "arrow-down-to-bracket": [448, 512, [], "e094", "M352 512H96c-53.02 0-96-42.98-96-96v-72C0 330.7 10.75 320 24 320c13.26 0 24 10.75 24 24V416c0 26.4 21.6 48 48 48h256c26.4 0 48-21.6 48-48v-72c0-13.25 10.75-24 24-24c13.26 0 24 10.75 24 24V416C448 469 405 512 352 512zM240.4 345.5l136-128c9.688-9.094 10.12-24.28 1.031-33.91c-9.062-9.656-24.25-10.12-33.91-1.031L248 272.4V24C248 10.75 237.3 0 224 0S200 10.75 200 24v248.4L104.4 182.5C94.78 173.4 79.59 173.9 70.53 183.6C66.16 188.2 64 194.1 64 200c0 6.375 2.531 12.75 7.562 17.47l136 128C216.8 354.2 231.2 354.2 240.4 345.5z"],
    "arrow-down-to-dotted-line": [448, 512, [], "e095", "M224 416c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S241.7 416 224 416zM32 416c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S49.67 416 32 416zM128 416c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S145.7 416 128 416zM320 416c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S337.7 416 320 416zM416 416c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S433.7 416 416 416zM206.5 360.7c9.062 9.699 25.88 9.699 34.94 0l128-136.2c9.094-9.672 8.625-24.88-1.031-33.96c-9.625-9.109-24.81-8.672-33.91 1.031L248 283.6v-211.6c0-13.27-10.75-24.04-24-24.04S200 58.76 200 72.04v211.6l-86.53-92.05C108.8 186.6 102.4 184 96 184c-5.906 0-11.81 2.16-16.44 6.543C69.91 199.6 69.44 214.8 78.53 224.5L206.5 360.7z"],
    "arrow-down-to-line": [384, 512, ["arrow-to-bottom"], "f33d", "M360 431.1H24c-13.25 0-24 10.76-24 24.02C0 469.2 10.75 480 24 480h336c13.25 0 24-10.76 24-24.02C384 442.7 373.3 431.1 360 431.1zM302.5 207.7L216 299.7v-243.6C216 42.76 205.3 32 192 32S168 42.76 168 56.02v243.6L81.47 207.7C76.75 202.6 70.38 200.1 64 200.1c-5.906 0-11.81 2.158-16.44 6.536c-9.656 9.069-10.12 24.27-1.031 33.93l128 136.1c9.062 9.694 25.88 9.694 34.94 0l128-136.1c9.094-9.663 8.625-24.86-1.031-33.93C326.8 197.5 311.6 197.1 302.5 207.7z"],
    "arrow-down-to-square": [512, 512, [], "e096", "M416 128h-40C362.7 128 352 138.7 352 152c0 13.25 10.75 24 24 24H416c8.836 0 16 7.164 16 16v256c0 8.836-7.164 16-16 16H96c-8.836 0-16-7.164-16-16V192c0-8.836 7.164-16 16-16h40C149.3 176 160 165.3 160 152C160 138.7 149.3 128 136 128H96C60.65 128 32 156.7 32 192v256c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V192C480 156.7 451.3 128 416 128zM143.7 238.6C133.1 247.6 133.4 262.8 142.4 272.6l96 104.1c9.062 9.82 26.19 9.82 35.25 0l96-104.1c9-9.758 8.406-24.95-1.344-33.93c-9.781-9.07-24.97-8.414-33.91 1.344L280 298.9V24.02C280 10.76 269.3 0 256 0S232 10.76 232 24.02v274.9l-54.38-58.95C172.9 234.8 166.5 232.3 160 232.3C154.2 232.3 148.3 234.3 143.7 238.6z"],
    "arrow-down-triangle-square": [512, 512, ["sort-shapes-down"], "f888", "M448 288h-128c-17.67 0-31.1 14.33-31.1 32V448c0 17.67 14.33 32 31.1 32h128c17.67 0 32-14.33 32-32v-127.1C480 302.3 465.7 288 448 288zM432 432h-96v-96h96V432zM492.1 182.9l-83.13-137.1c-5.375-8.625-14.84-13.78-24.97-13.78c-10.13 0-19.53 5.153-24.91 13.78l-83.25 137.1c-11 18.25 2.749 41.12 25 41.12h166.3C489.4 224 503.1 201.1 492.1 182.9zM336.3 176l47.75-78.88L431.8 176H336.3zM241.6 368.6c9-9.758 8.406-24.96-1.344-33.93c-4.623-4.281-10.47-6.379-16.28-6.379c-6.469 0-12.91 2.598-17.62 7.723L152 394.9V56.02c0-13.26-10.75-24.02-24-24.02S104 42.76 104 56.02v338.9l-54.37-58.95c-8.938-9.758-24.12-10.41-33.9-1.344c-9.75 8.977-10.34 24.18-1.344 33.93l95.1 104.1c9.062 9.82 26.19 9.82 35.25 0L241.6 368.6z"],
    "arrow-down-up-across-line": [576, 512, [], "e4af", "M47.03 408.1C37.66 399.6 37.66 384.4 47.03 375C56.4 365.7 71.6 365.7 80.97 375L136 430.1V280H24C10.75 280 0 269.3 0 256C0 242.7 10.75 232 24 232H392V81.94L336.1 136.1C327.6 146.3 312.4 146.3 303 136.1C293.7 127.6 293.7 112.4 303 103L399 7.029C408.4-2.343 423.6-2.343 432.1 7.029L528.1 103C538.3 112.4 538.3 127.6 528.1 136.1C519.6 146.3 504.4 146.3 495 136.1L440 81.94V232H552C565.3 232 576 242.7 576 256C576 269.3 565.3 280 552 280H184V430.1L239 375C248.4 365.7 263.6 365.7 272.1 375C282.3 384.4 282.3 399.6 272.1 408.1L176.1 504.1C167.6 514.3 152.4 514.3 143 504.1L47.03 408.1zM136 56C136 42.75 146.7 31.1 160 31.1C173.3 31.1 184 42.75 184 56V192H136V56zM440 320V456C440 469.3 429.3 480 416 480C402.7 480 392 469.3 392 456V320H440z"],
    "arrow-down-up-lock": [640, 512, [], "e4b0", "M111 504.1L15.03 408.1C5.657 399.6 5.657 384.4 15.03 375C24.4 365.7 39.6 365.7 48.97 375L104 430.1V280H24C10.75 280 0 269.3 0 256C0 242.7 10.75 232 24 232H296V81.94L240.1 136.1C231.6 146.3 216.4 146.3 207 136.1C197.7 127.6 197.7 112.4 207 103L303 7.029C307.5 2.529 313.6 0 320 0C326.4 0 332.5 2.529 336.1 7.029L432.1 103C442.3 112.4 442.3 127.6 432.1 136.1C423.6 146.3 408.4 146.3 399 136.1L344 81.94V232H423.4C418.6 244.4 416 257.9 416 272V280H152V430.1L207 375C216.4 365.7 231.6 365.7 240.1 375C250.3 384.4 250.3 399.6 240.1 408.1L144.1 504.1C135.6 514.3 120.4 514.3 111 504.1H111zM104 192V56C104 42.75 114.7 32 128 32C141.3 32 152 42.75 152 56V192H104zM344 320V456C344 469.3 333.3 480 320 480C306.7 480 296 469.3 296 456V320H344zM528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320V272C448 227.8 483.8 192 528 192zM528 240C510.3 240 496 254.3 496 272V320H560V272C560 254.3 545.7 240 528 240z"],
    "arrow-down-wide-short": [576, 512, ["sort-amount-asc", "sort-amount-down"], "f160", "M360 432h-48c-13.25 0-24 10.75-24 24S298.8 480 312 480h48c13.25 0 23.1-10.75 23.1-24S373.2 432 360 432zM423.1 304H312C298.8 304 288 314.8 288 328S298.8 352 312 352h111.1c13.25 0 24-10.75 24-24S437.2 304 423.1 304zM487.1 176H312C298.8 176 288 186.8 288 200S298.8 224 312 224h175.1c13.25 0 24-10.75 24-24S501.2 176 487.1 176zM551.1 48H312C298.8 48 288 58.75 288 72S298.8 96 312 96h239.1c13.25 0 24-10.75 24-24S565.2 48 551.1 48zM206.4 335.1L152 394.9V56.02C152 42.76 141.3 32 128 32S104 42.76 104 56.02v338.9l-54.37-58.95c-4.719-5.125-11.16-7.719-17.62-7.719c-5.812 0-11.66 2.094-16.28 6.375c-9.75 8.977-10.34 24.18-1.344 33.94l95.1 104.1c9.062 9.82 26.19 9.82 35.25 0l95.1-104.1c9-9.758 8.406-24.96-1.344-33.94C230.5 325.5 215.3 326.2 206.4 335.1z"],
    "arrow-down-z-a": [512, 512, ["sort-alpha-desc", "sort-alpha-down-alt"], "f881", "M327.1 80h62.94L309.1 185.2c-5.623 7.25-6.654 17.06-2.625 25.28c4.031 8.25 12.41 13.47 21.56 13.47h111.1c13.25 0 23.1-10.75 23.1-24s-10.75-24-23.1-24H377.1l81.87-105.2c5.625-7.25 6.656-17.06 2.625-25.28C457.5 37.22 449.1 32 439.1 32h-111.1c-13.25 0-23.1 10.75-23.1 24S314.7 80 327.1 80zM477.5 445.3l-71.1-144c-8.123-16.3-34.81-16.3-42.94 0l-71.1 144c-5.938 11.84-1.125 26.25 10.75 32.19c11.9 5.938 26.25 1.156 32.19-10.75l5.359-10.72h90.34l5.359 10.72c4.219 8.438 12.69 13.28 21.5 13.28c3.594 0 7.25-.8125 10.69-2.531C478.6 471.5 483.4 457.1 477.5 445.3zM362.8 407.1l21.17-42.34l21.17 42.34H362.8zM206.4 335.1L152 394.9V56.02c0-13.27-10.75-24.02-24-24.02S104 42.76 104 56.02v338.9l-54.37-58.95c-4.719-5.125-11.16-7.719-17.62-7.719c-5.812 0-11.66 2.094-16.28 6.375c-9.75 8.977-10.34 24.18-1.344 33.94l95.1 104.1c9.062 9.82 26.19 9.82 35.25 0l95.1-104.1c9-9.758 8.406-24.96-1.344-33.94C230.5 325.5 215.3 326.2 206.4 335.1z"],
    "arrow-left": [448, 512, [8592], "f060", "M447.1 256c0 13.25-10.76 24.01-24.01 24.01H83.9l132.7 126.6c9.625 9.156 9.969 24.41 .8125 33.94c-9.156 9.594-24.34 9.938-33.94 .8125l-176-168C2.695 268.9 .0078 262.6 .0078 256S2.695 243.2 7.445 238.6l176-168C193 61.51 208.2 61.85 217.4 71.45c9.156 9.5 8.812 24.75-.8125 33.94l-132.7 126.6h340.1C437.2 232 447.1 242.8 447.1 256z"],
    "arrow-left-from-line": [448, 512, [8612, "arrow-from-right"], "f344", "M399.1 88v336c0 13.25 10.76 24 24.02 24S448 437.3 448 424V88C448 74.75 437.2 64 423.1 64S399.1 74.75 399.1 88zM176.3 366.5L84.28 280h243.6c13.26 0 24.05-10.75 24.05-24S341.2 232 327.9 232h-243.6l91.98-86.53C181.3 140.8 183.8 134.4 183.8 128c0-5.906-2.158-11.81-6.536-16.44C168.2 101.9 153 101.4 143.4 110.5l-136.1 128c-9.694 9.062-9.694 25.88 0 34.94l136.1 128c9.663 9.094 24.86 8.625 33.93-1.031C186.4 390.8 185.1 375.6 176.3 366.5z"],
    "arrow-left-long": [512, 512, ["long-arrow-left"], "f177", "M176.1 103C181.7 107.7 184 113.8 184 120S181.7 132.3 176.1 136.1L81.94 232H488C501.3 232 512 242.8 512 256s-10.75 24-24 24H81.94l95.03 95.03c9.375 9.375 9.375 24.56 0 33.94s-24.56 9.375-33.94 0l-136-136c-9.375-9.375-9.375-24.56 0-33.94l136-136C152.4 93.66 167.6 93.66 176.1 103z"],
    "arrow-left-long-to-line": [640, 512, [], "e3d4", "M0 88C0 74.75 10.75 64 24 64C37.25 64 48 74.75 48 88V424C48 437.3 37.25 448 24 448C10.75 448 0 437.3 0 424V88zM296 392C296 398.2 293.7 404.3 288.1 408.1C279.6 418.3 264.4 418.3 255 408.1L119 272.1C109.7 263.6 109.7 248.4 119 239L255 103C264.4 93.66 279.6 93.66 288.1 103C298.3 112.4 298.3 127.6 288.1 136.1L193.9 232H616C629.3 232 640 242.8 640 256C640 269.2 629.3 280 616 280H193.9L288.1 375C293.7 379.7 296 385.8 296 392z"],
    "arrow-left-to-line": [448, 512, [8676, "arrow-to-left"], "f33e", "M48.03 424V88c0-13.25-10.76-24-24.02-24S0 74.75 0 88v336C0 437.3 10.76 448 24.02 448S48.03 437.3 48.03 424zM272.3 366.5L180.3 280h243.6C437.2 280 448 269.3 448 256s-10.76-23.1-24.02-23.1H180.3l91.98-86.53c5.035-4.719 7.568-11.09 7.568-17.47c0-5.906-2.158-11.81-6.536-16.44c-9.069-9.656-24.27-10.12-33.93-1.031l-136.1 128c-9.694 9.062-9.694 25.87 0 34.94l136.1 128c9.663 9.094 24.86 8.625 33.93-1.031C282.5 390.8 282 375.6 272.3 366.5z"],
    "arrow-pointer": [320, 512, ["mouse-pointer"], "f245", "M.0003 425.1V55.18C.0003 42.38 10.38 32 23.19 32C28.86 32 34.34 34.08 38.59 37.86L312.6 281.4C317.3 285.6 320 291.6 320 297.9C320 310.1 310.1 320 297.9 320H170.5L229.5 446.8C235.1 458.9 229.9 473.1 217.9 478.7C205.9 484.3 191.6 479.1 186 467.1L126.7 339.7L38.58 440.5C34.4 445.3 28.36 448 22.01 448C9.855 448 0 438.1 0 425.1H.0003zM229.8 272L48 110.4V356.8L107.9 288.4C116.1 277.1 130.2 272 144 272L229.8 272z"],
    "arrow-right": [448, 512, [8594], "f061", "M264.6 70.63l176 168c4.75 4.531 7.438 10.81 7.438 17.38s-2.688 12.84-7.438 17.38l-176 168c-9.594 9.125-24.78 8.781-33.94-.8125c-9.156-9.5-8.812-24.75 .8125-33.94l132.7-126.6H24.01c-13.25 0-24.01-10.76-24.01-24.01s10.76-23.99 24.01-23.99h340.1l-132.7-126.6C221.8 96.23 221.5 80.98 230.6 71.45C239.8 61.85 254.1 61.51 264.6 70.63z"],
    "arrow-right-arrow-left": [512, 512, [8644, "exchange"], "f0ec", "M488 344H79.24l74.29-79.63C162.6 254.7 162.1 239.5 152.4 230.5C142.7 221.4 127.5 221.9 118.5 231.6l-112 120c-8.625 9.219-8.625 23.53 0 32.75l112 120C123.2 509.4 129.6 512 136 512c5.875 0 11.75-2.125 16.38-6.469c9.688-9.031 10.22-24.22 1.156-33.91L79.24 392H488c13.25 0 24-10.75 24-24S501.3 344 488 344zM24 168h408.8l-74.29 79.63c-9.062 9.688-8.531 24.88 1.156 33.91c9.656 9.094 24.88 8.562 33.91-1.156l112-120c8.625-9.219 8.625-23.53 0-32.75l-112-120C388.8 2.562 382.4 0 376 0c-5.875 0-11.75 2.125-16.38 6.469c-9.688 9.031-10.22 24.22-1.156 33.91L432.8 120H24C10.75 120 0 130.8 0 144S10.75 168 24 168z"],
    "arrow-right-from-arc": [512, 512, [], "e4b1", "M256 464C269.3 464 280 474.7 280 488C280 501.3 269.3 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C269.3 0 280 10.75 280 24C280 37.25 269.3 48 256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464zM504.3 238.4C509.2 242.1 512 249.3 512 256C512 262.7 509.2 269 504.3 273.6L392.3 377.6C382.6 386.6 367.4 386 358.4 376.3C349.4 366.6 349.1 351.4 359.7 342.4L426.9 279.1H184C170.7 279.1 160 269.3 160 255.1C160 242.7 170.7 231.1 184 231.1H426.9L359.7 169.6C349.1 160.6 349.4 145.4 358.4 135.7C367.4 125.1 382.6 125.4 392.3 134.4L504.3 238.4z"],
    "arrow-right-from-bracket": [512, 512, ["sign-out"], "f08b", "M192 456C192 469.3 181.3 480 168 480H96c-53.02 0-96-42.98-96-96V128c0-53.02 42.98-96 96-96h72C181.3 32 192 42.74 192 56C192 69.25 181.3 80 168 80H96C69.6 80 48 101.6 48 128v256c0 26.4 21.6 48 48 48h72C181.3 432 192 442.7 192 456zM505.5 239.6l-127.1-136c-9.094-9.688-24.28-10.12-33.91-1.031c-9.656 9.062-10.12 24.25-1.031 33.91L432.4 232H183.1C170.7 232 160 242.8 160 256s10.75 24 23.1 24h248.4l-89.92 95.56c-9.094 9.656-8.625 24.84 1.031 33.91C348.2 413.8 354.1 416 359.1 416c6.375 0 12.75-2.531 17.47-7.562l127.1-136C514.2 263.2 514.2 248.8 505.5 239.6z"],
    "arrow-right-from-line": [448, 512, [8614, "arrow-from-left"], "f343", "M48.03 424V88c0-13.25-10.76-24-24.02-24S0 74.75 0 88v336c0 13.25 10.76 24 24.02 24S48.03 437.3 48.03 424zM271.7 145.5L363.7 232H120.1C106.8 232 96.03 242.8 96.03 256S106.8 280 120.1 280h243.6l-91.98 86.53C266.7 371.3 264.2 377.6 264.2 384c0 5.906 2.158 11.81 6.536 16.44c9.069 9.656 24.27 10.12 33.93 1.031l136.1-128c9.694-9.062 9.694-25.88 0-34.94l-136.1-128c-9.663-9.094-24.86-8.625-33.93 1.031C261.6 121.2 262 136.4 271.7 145.5z"],
    "arrow-right-long": [512, 512, ["long-arrow-right"], "f178", "M335 408.1C330.3 404.3 328 398.2 328 392s2.344-12.28 7.031-16.97L430.1 280H24C10.75 280 0 269.2 0 255.1C0 242.7 10.75 232 24 232h406.1l-95.03-95.03c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0l136 136c9.375 9.375 9.375 24.56 0 33.94l-136 136C359.6 418.3 344.4 418.3 335 408.1z"],
    "arrow-right-long-to-line": [640, 512, [], "e3d5", "M640 424C640 437.3 629.3 448 616 448C602.7 448 592 437.3 592 424V88C592 74.75 602.7 64 616 64C629.3 64 640 74.75 640 88V424zM351 375L446.1 280H24C10.75 280 0 269.2 0 256C0 242.8 10.75 232 24 232H446.1L351 136.1C341.7 127.6 341.7 112.4 351 103C360.4 93.66 375.6 93.66 384.1 103L520.1 239C530.3 248.4 530.3 263.6 520.1 272.1L384.1 408.1C375.6 418.3 360.4 418.3 351 408.1C346.3 404.3 344 398.2 344 392C344 385.8 346.3 379.7 351 375V375z"],
    "arrow-right-to-arc": [512, 512, [], "e4b2", "M464 256C464 141.1 370.9 48 255.1 48C242.7 48 231.1 37.25 231.1 24C231.1 10.75 242.7 0 255.1 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 255.1 512C242.7 512 231.1 501.3 231.1 488C231.1 474.7 242.7 464 255.1 464C370.9 464 464 370.9 464 256zM344.3 238.4C349.2 242.1 352 249.3 352 256C352 262.7 349.2 269 344.3 273.6L232.3 377.6C222.6 386.6 207.4 386 198.4 376.3C189.4 366.6 189.1 351.4 199.7 342.4L266.9 279.1H24C10.75 279.1 0 269.3 0 255.1C0 242.7 10.75 231.1 24 231.1H266.9L199.7 169.6C189.1 160.6 189.4 145.4 198.4 135.7C207.4 125.1 222.6 125.4 232.3 134.4L344.3 238.4z"],
    "arrow-right-to-bracket": [512, 512, ["sign-in"], "f090", "M512 128v256c0 53.02-42.98 96-96 96h-72C330.7 480 320 469.3 320 456c0-13.26 10.75-24 24-24H416c26.4 0 48-21.6 48-48V128c0-26.4-21.6-48-48-48h-72C330.7 80 320 69.25 320 56C320 42.74 330.7 32 344 32H416C469 32 512 74.98 512 128zM345.5 239.6l-128-136C208.4 93.88 193.2 93.44 183.6 102.5C173.9 111.6 173.4 126.8 182.5 136.4L272.4 232H24C10.75 232 0 242.8 0 256s10.75 24 24 24h248.4l-89.92 95.56c-9.094 9.656-8.625 24.84 1.031 33.91C188.2 413.8 194.1 416 200 416c6.375 0 12.75-2.531 17.47-7.562l128-136C354.2 263.2 354.2 248.8 345.5 239.6z"],
    "arrow-right-to-city": [640, 512, [], "e4b3", "M336 488C336 501.3 325.3 512 312 512C298.7 512 288 501.3 288 488V56C288 25.07 313.1 0 344 0H456C486.9 0 512 25.07 512 56V192H544V120C544 106.7 554.7 96 568 96C581.3 96 592 106.7 592 120V192.6C619.1 196.4 640 219.8 640 248V488C640 501.3 629.3 512 616 512C602.7 512 592 501.3 592 488V248C592 243.6 588.4 240 584 240H464V56C464 51.58 460.4 48 456 48H344C339.6 48 336 51.58 336 56V488zM368 96C368 87.16 375.2 80 384 80H416C424.8 80 432 87.16 432 96V128C432 136.8 424.8 144 416 144H384C375.2 144 368 136.8 368 128V96zM416 176C424.8 176 432 183.2 432 192V224C432 232.8 424.8 240 416 240H384C375.2 240 368 232.8 368 224V192C368 183.2 375.2 176 384 176H416zM368 288C368 279.2 375.2 272 384 272H416C424.8 272 432 279.2 432 288V320C432 328.8 424.8 336 416 336H384C375.2 336 368 328.8 368 320V288zM544 272C552.8 272 560 279.2 560 288V320C560 328.8 552.8 336 544 336H512C503.2 336 496 328.8 496 320V288C496 279.2 503.2 272 512 272H544zM496 384C496 375.2 503.2 368 512 368H544C552.8 368 560 375.2 560 384V416C560 424.8 552.8 432 544 432H512C503.2 432 496 424.8 496 416V384zM248.1 238.2C253.1 242.8 256 249.2 256 256C256 262.8 253.1 269.2 248.1 273.8L160.1 353.8C150.3 362.7 135.2 361.1 126.2 352.1C117.3 342.3 118 327.2 127.9 318.2L169.9 280H24C10.75 280 0 269.3 0 256C0 242.7 10.75 232 24 232H169.9L127.9 193.8C118 184.8 117.3 169.7 126.2 159.9C135.2 150 150.3 149.3 160.1 158.2L248.1 238.2z"],
    "arrow-right-to-line": [448, 512, [8677, "arrow-to-right"], "f340", "M399.1 88v336c0 13.25 10.76 24 24.02 24C437.2 448 448 437.3 448 424V88C448 74.75 437.2 64 423.1 64C410.7 64 399.1 74.75 399.1 88zM175.7 145.5l91.98 86.53h-243.6C10.76 232 0 242.8 0 256s10.76 24 24.02 24h243.6l-91.98 86.53C170.6 371.3 168.1 377.6 168.1 384c0 5.906 2.158 11.81 6.536 16.44c9.069 9.656 24.27 10.12 33.93 1.031l136.1-128c9.694-9.062 9.694-25.87 0-34.94l-136.1-128C198.9 101.4 183.7 101.9 174.6 111.6C165.5 121.2 165.1 136.4 175.7 145.5z"],
    "arrow-rotate-left": [512, 512, [8634, "arrow-left-rotate", "arrow-rotate-back", "arrow-rotate-backward", "undo"], "f0e2", "M40 16C53.25 16 64 26.75 64 40v102.1C103.7 75.57 176.3 32.11 256.1 32.11C379.6 32.11 480 132.5 480 256s-100.4 223.9-223.9 223.9c-52.31 0-103.3-18.33-143.5-51.77c-10.19-8.5-11.56-23.62-3.062-33.81c8.5-10.22 23.66-11.56 33.81-3.062C174.9 417.5 214.9 432 256 432c97.03 0 176-78.97 176-176S353 80 256 80c-66.54 0-126.8 38.28-156.5 96H200C213.3 176 224 186.8 224 200S213.3 224 200 224h-160C26.75 224 16 213.3 16 200v-160C16 26.75 26.75 16 40 16z"],
    "arrow-rotate-right": [512, 512, [8635, "arrow-right-rotate", "arrow-rotate-forward", "redo"], "f01e", "M496 40v160C496 213.3 485.3 224 472 224h-160C298.8 224 288 213.3 288 200s10.75-24 24-24h100.5C382.8 118.3 322.5 80 256 80C158.1 80 80 158.1 80 256s78.97 176 176 176c41.09 0 81.09-14.47 112.6-40.75c10.16-8.5 25.31-7.156 33.81 3.062c8.5 10.19 7.125 25.31-3.062 33.81c-40.16 33.44-91.17 51.77-143.5 51.77C132.4 479.9 32 379.5 32 256s100.4-223.9 223.9-223.9c79.85 0 152.4 43.46 192.1 109.1V40c0-13.25 10.75-24 24-24S496 26.75 496 40z"],
    "arrow-trend-down": [576, 512, [], "e097", "M376 368H494.1L320 193.9L208.1 304.1C199.6 314.3 184.4 314.3 175 304.1L7.029 136.1C-2.343 127.6-2.343 112.4 7.029 103C16.4 93.66 31.6 93.66 40.97 103L192 254.1L303 143C312.4 133.7 327.6 133.7 336.1 143L528 334.1V216C528 202.7 538.7 192 552 192C565.3 192 576 202.7 576 216V392C576 405.3 565.3 416 552 416H376C362.7 416 352 405.3 352 392C352 378.7 362.7 368 376 368z"],
    "arrow-trend-up": [576, 512, [], "e098", "M352 120C352 106.7 362.7 96 376 96H552C565.3 96 576 106.7 576 120V296C576 309.3 565.3 320 552 320C538.7 320 528 309.3 528 296V177.9L336.1 368.1C327.6 378.3 312.4 378.3 303 368.1L192 257.9L40.97 408.1C31.6 418.3 16.4 418.3 7.029 408.1C-2.343 399.6-2.343 384.4 7.029 375L175 207C184.4 197.7 199.6 197.7 208.1 207L320 318.1L494.1 144H376C362.7 144 352 133.3 352 120V120z"],
    "arrow-turn-down": [384, 512, ["level-down"], "f149", "M336.1 376.1l-128 128C204.3 509.7 198.2 512 191.1 512s-12.28-2.344-16.97-7.031l-128-128c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0L168 430.1V48h-144C10.75 48 0 37.25 0 24S10.75 0 24 0H192c13.25 0 24 10.75 24 24v406.1l87.03-87.03c9.375-9.375 24.56-9.375 33.94 0S346.3 367.6 336.1 376.1z"],
    "arrow-turn-down-left": [512, 512, [], "e2e1", "M135 432.1l-128-128C2.344 300.3 0 294.2 0 288s2.344-12.28 7.031-16.97l128-128c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94L81.94 264H464v-208C464 42.75 474.8 32 488 32S512 42.75 512 56V288c0 13.25-10.75 24-24 24H81.94l87.03 87.03c9.375 9.375 9.375 24.56 0 33.94S144.4 442.3 135 432.1z"],
    "arrow-turn-down-right": [512, 512, [], "e3d6", "M343 432.1C333.7 423.6 333.7 408.4 343 399L430.1 312H24C10.75 312 0 301.2 0 288V56C0 42.75 10.75 32 24 32C37.25 32 48 42.75 48 56V264H430.1L343 176.1C333.7 167.6 333.7 152.4 343 143C352.4 133.7 367.6 133.7 376.1 143L504.1 271C509.7 275.7 512 281.8 512 287.1C512 294.2 509.7 300.3 504.1 304.1L376.1 432.1C367.6 442.3 352.4 442.3 343 432.1V432.1z"],
    "arrow-turn-up": [384, 512, ["level-up"], "f148", "M336.1 168.1c-9.375 9.375-24.56 9.375-33.94 0L216 81.94V488c0 13.25-10.75 24-24 24H24C10.75 512 0 501.3 0 488s10.75-24 24-24h144V81.94L80.97 168.1c-9.375 9.375-24.56 9.375-33.94 0s-9.375-24.56 0-33.94l128-128C179.7 2.344 185.8 0 192 0s12.28 2.344 16.97 7.031l128 128C346.3 144.4 346.3 159.6 336.1 168.1z"],
    "arrow-up": [384, 512, [8593], "f062", "M6.625 215.5l168-176C179.2 34.7 185.4 32.02 192 32.02s12.84 2.688 17.38 7.438l168 176c9.125 9.594 8.781 24.78-.8125 33.94c-9.5 9.156-24.75 8.812-33.94-.8125L216 115.9V456c0 13.25-10.75 23.1-23.1 23.1S168 469.3 168 456V115.9l-126.6 132.7C32.22 258.2 16.97 258.5 7.438 249.4C-2.156 240.2-2.5 225 6.625 215.5z"],
    "arrow-up-1-9": [512, 512, ["sort-numeric-up"], "f163", "M352 175.1c-13.25 0-24 10.75-24 24s10.75 24.01 23.1 24.01L432 223.1c13.25 0 24-10.75 24-24s-10.75-24-24-24H416v-120c0-8.656-4.656-16.62-12.19-20.88c-7.531-4.312-16.78-4.094-24.16 .2813l-40 24c-11.38 6.844-15.06 21.56-8.25 32.94c6.812 11.34 21.5 15.06 32.94 8.25l3.656-2.219v77.63H352zM392 256c-48.6 0-88 39.4-88 88c0 42.05 29.55 77.1 68.98 85.81l-15.54 19c-8.406 10.25-6.906 25.38 3.375 33.75C365.3 486.2 370.6 488 376 488c6.938 0 13.84-3 18.56-8.812C465.1 392.1 480 382.5 480 344C480 295.4 440.6 256 392 256zM421.3 370.8l-1.443 1.762C412.6 379.6 402.8 384 392 384c-22.06 0-40-17.95-40-40S369.9 304 392 304s40 17.95 40 40C432 354.4 427.8 363.7 421.3 370.8zM145.6 39.37c-9.062-9.82-26.19-9.82-35.25 0L14.38 143.4c-9 9.758-8.406 24.96 1.344 33.93C20.35 181.7 26.19 183.8 32 183.8c6.469 0 12.91-2.598 17.62-7.723L104 117.1v338.9c0 13.26 10.75 24.02 24 24.02S152 469.2 152 455.1V117.1l54.37 58.95C215.3 185.8 230.5 186.5 240.3 177.4c9.75-8.977 10.34-24.18 1.344-33.93L145.6 39.37z"],
    "arrow-up-9-1": [512, 512, ["sort-numeric-up-alt"], "f887", "M372.1 205.8l-15.54 19c-8.406 10.25-6.906 25.38 3.375 33.75C365.3 262.2 370.6 264 376 264c6.938 0 13.84-3 18.56-8.812C465.1 168.1 480 158.5 480 120c0-48.6-39.4-88-88-88s-88 39.4-88 88C303.1 162.1 333.5 197.1 372.1 205.8zM392 80c22.06 0 40 17.95 40 40c0 10.4-4.223 19.7-10.75 26.82l-1.443 1.762C412.6 155.6 402.8 160 392 160c-22.06 0-40-17.95-40-40S369.9 80 392 80zM145.6 39.37c-9.062-9.82-26.19-9.82-35.25 0L14.38 143.4c-9 9.758-8.406 24.96 1.344 33.93C20.35 181.7 26.19 183.8 32 183.8c6.469 0 12.91-2.598 17.62-7.723L104 117.1v338.9c0 13.26 10.75 24.02 24 24.02S152 469.2 152 455.1V117.1l54.37 58.95C215.3 185.8 230.5 186.5 240.3 177.4c9.75-8.977 10.34-24.18 1.344-33.93L145.6 39.37zM432 432H416V312c0-8.656-4.656-16.62-12.19-20.88c-7.531-4.312-16.78-4.094-24.16 .2813l-40 24c-11.38 6.844-15.06 21.56-8.25 32.94c6.812 11.34 21.5 15.06 32.94 8.25l3.656-2.219V432h-16c-13.25 0-24 10.75-24 24S338.8 480 352 480H432c13.25 0 24-10.75 24-24S445.3 432 432 432z"],
    "arrow-up-a-z": [512, 512, ["sort-alpha-up"], "f15e", "M477.5 189.1l-71.1-144.1c-8.123-16.32-34.81-16.32-42.94 0l-71.1 144.1c-5.938 11.86-1.125 26.27 10.75 32.21c11.9 5.941 26.25 1.16 32.19-10.76l5.359-10.73h90.34l5.359 10.73c4.219 8.441 12.69 13.29 21.5 13.29c3.594 0 7.25-.8125 10.69-2.535C478.6 215.3 483.4 200.9 477.5 189.1zM362.8 151.8l21.17-42.38l21.17 42.38H362.8zM439.1 431.1H377.1l81.87-105.3c5.625-7.258 6.656-17.08 2.625-25.3c-4.031-8.258-12.41-13.48-21.56-13.48h-111.1c-13.25 0-23.1 10.76-23.1 24.02s10.75 24.02 23.1 24.02h62.94L309.1 441.2c-5.623 7.258-6.654 17.08-2.625 25.3C310.5 474.8 318.8 480 327.1 480h111.1c13.25 0 23.1-10.76 23.1-24.02S453.2 431.1 439.1 431.1zM145.6 39.37c-9.062-9.82-26.19-9.82-35.25 0L14.38 143.4c-9 9.758-8.406 24.96 1.344 33.94C20.35 181.7 26.19 183.8 32 183.8c6.469 0 12.91-2.594 17.62-7.719L104 117.1v338.9C104 469.2 114.8 480 128 480S152 469.2 152 455.1V117.1l54.37 58.95C215.3 185.8 230.5 186.5 240.3 177.4C250 168.4 250.6 153.2 241.6 143.4L145.6 39.37z"],
    "arrow-up-arrow-down": [448, 512, ["sort-up-down"], "e099", "M240.3 177.4c9.75-8.977 10.34-24.18 1.344-33.94L145.6 39.37c-9.062-9.82-26.19-9.82-35.25 0L14.38 143.4c-9 9.758-8.406 24.96 1.344 33.94C20.35 181.7 26.19 183.8 32 183.8c6.469 0 12.91-2.594 17.62-7.719L104 117.1v338.9C104 469.2 114.8 480 128 480s24-10.76 24-24.02V117.1l54.37 58.95C215.3 185.8 230.5 186.5 240.3 177.4zM432.3 334.6c-9.779-9.07-24.97-8.414-33.9 1.344L344 394.9V56.02C344 42.76 333.3 32 320 32s-24 10.76-24 24.02v338.9l-54.37-58.95c-4.719-5.125-11.16-7.719-17.62-7.719c-5.812 0-11.66 2.094-16.28 6.375c-9.75 8.977-10.34 24.18-1.344 33.94l95.1 104.1c9.062 9.82 26.19 9.82 35.25 0l95.1-104.1C442.6 358.8 442 343.6 432.3 334.6z"],
    "arrow-up-big-small": [512, 512, ["sort-size-up"], "f88e", "M416 320h-96c-17.6 0-32 14.4-32 32v96c0 17.6 14.4 32 32 32h96c17.6 0 32-14.4 32-32v-96C448 334.4 433.6 320 416 320zM400 432h-64v-64h64V432zM480 32h-160c-17.67 0-32 14.33-32 32v160c0 17.67 14.33 32 32 32h160c17.67 0 32-14.33 32-32V64C512 46.33 497.7 32 480 32zM464 208h-128v-128h128V208zM145.6 39.37c-9.062-9.82-26.19-9.82-35.25 0L14.38 143.4c-9 9.758-8.406 24.96 1.344 33.94C20.35 181.7 26.19 183.8 32 183.8c6.469 0 12.91-2.594 17.62-7.719L104 117.1v338.9C104 469.2 114.8 480 128 480s24-10.76 24-24.02V117.1l54.37 58.95C215.3 185.8 230.5 186.5 240.3 177.4C250 168.4 250.6 153.2 241.6 143.4L145.6 39.37z"],
    "arrow-up-from-arc": [512, 512, [], "e4b4", "M464 256C464 242.7 474.7 232 488 232C501.3 232 512 242.7 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 242.7 10.75 232 24 232C37.25 232 48 242.7 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256zM238.4 7.669C242.1 2.779 249.3 0 255.1 0C262.7 0 269 2.779 273.6 7.669L377.6 119.7C386.6 129.4 386 144.6 376.3 153.6C366.6 162.6 351.4 162 342.4 152.3L280 85.12V328C280 341.3 269.3 352 255.1 352C242.7 352 231.1 341.3 231.1 328V85.12L169.6 152.3C160.6 162 145.4 162.6 135.7 153.6C125.1 144.6 125.4 129.4 134.4 119.7L238.4 7.669z"],
    "arrow-up-from-bracket": [448, 512, [], "e09a", "M424 320c13.25 0 24 10.75 24 24V416c0 53.02-42.98 96-96 96H96c-53.02 0-96-42.98-96-96v-72C0 330.7 10.74 320 24 320c13.25 0 24 10.75 24 24V416c0 26.4 21.6 48 48 48h256c26.4 0 48-21.6 48-48v-72C400 330.7 410.7 320 424 320zM207.6 6.539l-136 127.1C61.88 143.6 61.44 158.8 70.53 168.4c9.062 9.656 24.25 10.12 33.91 1.031L200 79.56v248.4C200 341.3 210.8 352 224 352s24-10.75 24-23.1V79.56l95.56 89.92c9.656 9.094 24.84 8.625 33.91-1.031C381.8 163.8 384 157.9 384 152c0-6.375-2.531-12.75-7.562-17.47l-136-127.1C231.2-2.18 216.8-2.18 207.6 6.539z"],
    "arrow-up-from-dotted-line": [448, 512, [], "e09b", "M224 416c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S241.7 416 224 416zM32 416c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S49.67 416 32 416zM128 416c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S145.7 416 128 416zM320 416c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S337.7 416 320 416zM416 416c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S433.7 416 416 416zM241.5 39.27c-9.062-9.699-25.88-9.699-34.94 0l-128 136.2C69.44 185.2 69.91 200.4 79.56 209.4c9.625 9.109 24.81 8.672 33.91-1.031L200 116.4v211.6C200 341.2 210.8 352 224 352s24-10.77 24-24.04v-211.6l86.53 92.05C339.3 213.4 345.6 215.1 352 215.1c5.906 0 11.81-2.16 16.44-6.543c9.656-9.074 10.12-24.29 1.031-33.96L241.5 39.27z"],
    "arrow-up-from-ground-water": [576, 512, [], "e4b5", "M263.1 328V81.94L224.1 120.1C215.6 130.3 200.4 130.3 191 120.1C181.7 111.6 181.7 96.4 191 87.03L271 7.029C280.4-2.343 295.6-2.343 304.1 7.029L384.1 87.03C394.3 96.4 394.3 111.6 384.1 120.1C375.6 130.3 360.4 130.3 351 120.1L312 81.94V328C312 341.3 301.3 352 287.1 352C274.7 352 263.1 341.3 263.1 328V328zM79.1 430.1C89.09 421.1 102.8 421.1 111.9 430.1C133.5 448.7 163.1 464 191.1 464C220.8 464 250.5 448.7 272 430.1C281.1 421.9 294.8 421.1 303.1 430.1C325.5 448.7 355.1 464 383.1 464C412.8 464 442.5 448.7 464 430.1C473.1 421.1 486.8 421.1 495.9 430.1C512.9 445.1 535.2 456.9 557.2 461.8C570.1 464.7 578.3 477.5 575.4 490.5C572.5 503.4 559.6 511.5 546.7 508.6C518 502.2 494.4 488.2 479.1 478.2C451.9 497.7 418.6 512 383.1 512C349.4 512 316.1 497.7 287.1 478.2C259.9 497.7 226.6 512 191.1 512C157.4 512 124.1 497.7 95.98 478.2C81.61 488.2 57.99 502.2 29.3 508.6C16.37 511.5 3.534 503.4 .633 490.5C-2.268 477.5 5.864 464.7 18.8 461.8C41 456.8 62.76 444.1 79.1 430.1L79.1 430.1zM191.1 239.1H63.1C55.16 239.1 47.1 247.2 47.1 255.1V404.6C38.69 410.9 27.94 415.7 17.49 418.1C11.19 419.6 5.326 421.9 0 425V255.1C0 220.7 28.65 191.1 64 191.1H192L191.1 239.1zM576 255.1V424.1C570.7 421.9 564.8 419.6 558.5 418.1C548.1 415.7 537.3 410.9 528 404.6V255.1C528 247.2 520.8 239.1 512 239.1H384V191.1H512C547.3 191.1 576 220.7 576 255.1V255.1z"],
    "arrow-up-from-line": [384, 512, [8613, "arrow-from-bottom"], "f342", "M360 431.1H24c-13.25 0-24 10.76-24 24.02C0 469.2 10.75 480 24 480h336c13.25 0 24-10.76 24-24.02C384 442.7 373.3 431.1 360 431.1zM81.47 208.3L168 116.3v243.6c0 13.26 10.75 24.05 24 24.05s24-10.79 24-24.05V116.3l86.53 91.98C307.3 213.3 313.6 215.8 320 215.8c5.906 0 11.81-2.158 16.44-6.536c9.656-9.068 10.12-24.27 1.031-33.93l-128-136.1c-9.062-9.694-25.88-9.694-34.94 0l-128 136.1C37.44 185 37.91 200.2 47.56 209.3C57.19 218.4 72.38 217.1 81.47 208.3z"],
    "arrow-up-from-square": [512, 512, [], "e09c", "M416 159.9l-8-.1648c-13.25 0-24 10.75-24 24.02c0 13.26 10.75 24.02 24 24.02H416c8.836 0 16 7.169 16 16.01v224.2c0 8.842-7.164 16.01-16 16.01H96c-8.836 0-16-7.169-16-16.01V223.8c0-8.842 7.164-16.01 16-16.01h8c13.25 0 24-10.75 24-24.02c0-13.27-10.75-24.02-24-24.02L96 159.9c-35.35 0-64 28.51-64 63.88v224.2C32 483.3 60.65 512 96 512h320c35.35 0 64-28.68 64-64.04V223.8C480 188.4 451.3 159.9 416 159.9zM160 151.8c6.47 0 12.91-2.614 17.62-7.752L232 85.08v234.8c0 13.26 10.75 24.02 24 24.02s24-10.76 24-24.02V85.08l54.38 58.95C339.1 149.2 345.5 151.7 352 151.7c13.23 0 24-10.77 24-24.05c0-5.83-2.108-11.64-6.376-16.26l-96-104.1C269.1 2.455 262.5-.0002 256-.0002S242.9 2.455 238.4 7.365l-96 104.1C138.1 116.1 135.1 121.9 135.1 127.7C135.1 141.1 146.9 151.8 160 151.8z"],
    "arrow-up-from-water-pump": [576, 512, [], "e4b6", "M240 0C266.5 0 288 21.49 288 48V256H424V81.94L384.1 120.1C375.6 130.3 360.4 130.3 351 120.1C341.7 111.6 341.7 96.4 351 87.03L431 7.03C440.4-2.343 455.6-2.343 464.1 7.03L544.1 87.03C554.3 96.4 554.3 111.6 544.1 120.1C535.6 130.3 520.4 130.3 511 120.1L472 81.94V256H512C547.3 256 576 284.7 576 320V425C570.7 421.9 564.8 419.6 558.5 418.1C548.1 415.7 537.3 410.9 528 404.6V319.1C528 311.2 520.8 303.1 512 303.1H64C55.16 303.1 48 311.2 48 319.1V404.6C38.69 410.9 27.94 415.7 17.49 418.1C11.19 419.6 5.326 421.9 0 425V320C0 284.7 28.65 256 64 256V48C64 21.49 85.49 0 112 0H240zM191.1 464C220.8 464 250.5 448.7 272 430.1C281.1 421.1 294.8 421.1 303.1 430.1C325.5 448.7 355.1 464 383.1 464C412.8 464 442.5 448.7 464 430.1C473.1 421.1 486.8 421.1 495.9 430.1C512.9 445.1 535.2 456.9 557.2 461.8C570.1 464.7 578.3 477.5 575.4 490.5C572.5 503.4 559.6 511.5 546.7 508.6C518 502.2 494.4 488.2 479.1 478.2C451.9 497.7 418.6 512 383.1 512C349.4 512 316.1 497.7 287.1 478.2C259.9 497.7 226.6 512 191.1 512C157.4 512 124.1 497.7 95.98 478.2C81.61 488.2 57.99 502.2 29.3 508.6C16.37 511.5 3.535 503.4 .6333 490.5C-2.268 477.5 5.865 464.7 18.8 461.8C41 456.8 62.76 444.1 79.1 430.1C89.09 421.1 102.8 421.1 111.9 430.1C133.5 448.7 163.1 464 191.1 464L191.1 464z"],
    "arrow-up-left": [320, 512, [], "e09d", "M312.1 408.1C308.3 413.7 302.1 416 296 416s-12.28-2.344-16.97-7.031L48 177.9V360C48 373.3 37.25 384 24 384S0 373.3 0 360v-240C0 106.8 10.75 96 24 96h240C277.3 96 288 106.8 288 120S277.3 144 264 144H81.94l231 231C322.3 384.4 322.3 399.6 312.1 408.1z"],
    "arrow-up-left-from-circle": [512, 512, [], "e09e", "M312 336c6.156 0 12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94L81.94 48H192c13.25 0 24-10.75 24-24S205.3 0 192 0H24C10.75 0 0 10.75 0 24V192c0 13.25 10.75 24 24 24S48 205.3 48 192V81.94l247 247C299.7 333.7 305.8 336 312 336zM288 64c-13.25 0-24 10.75-24 24S274.8 112 288 112c97.03 0 176 78.97 176 176s-78.97 176-176 176S112 385 112 288c0-13.25-10.75-24-24-24S64 274.8 64 288c0 123.5 100.5 224 224 224s224-100.5 224-224S411.5 64 288 64z"],
    "arrow-up-long": [320, 512, ["long-arrow-up"], "f176", "M312.1 176.1C308.3 181.7 302.2 184 296 184s-12.28-2.344-16.97-7.031L184 81.94V488c0 13.25-10.75 24-24 24s-24-10.75-24-24V81.94L40.97 176.1c-9.375 9.375-24.56 9.375-33.94 0s-9.375-24.56 0-33.94l136-136c9.375-9.375 24.56-9.375 33.94 0l136 136C322.3 152.4 322.3 167.6 312.1 176.1z"],
    "arrow-up-right": [320, 512, [], "e09f", "M320 120v240c0 13.25-10.75 24-24 24s-24-10.75-24-24V177.9l-231 231C36.28 413.7 30.14 416 24 416s-12.28-2.344-16.97-7.031c-9.375-9.375-9.375-24.56 0-33.94L238.1 144H56C42.75 144 32 133.3 32 120S42.75 96 56 96h240C309.3 96 320 106.8 320 120z"],
    "arrow-up-right-and-arrow-down-left-from-center": [512, 512, [], "e0a0", "M497.2 1.852C494.2 .6406 491.1 0 488 0h-143.1C330.8 0 320 10.75 320 24s10.75 24 24 24h86.06l-135 135c-9.375 9.375-9.375 24.56 0 33.94s24.56 9.375 33.94 0L464 81.94V168C464 181.3 474.8 192 488 192S512 181.2 512 167.1V24c0-3.133-.6406-6.25-1.855-9.18C507.7 8.957 503 4.285 497.2 1.852zM14.83 510.1C17.76 511.4 20.88 512 24 512h143.1C181.2 512 192 501.3 192 488S181.3 464 168 464H81.94l135-135c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0L48 430.1V344C48 330.8 37.25 320 24 320S0 330.8 0 344V488c0 3.133 .6406 6.25 1.855 9.18C4.289 503 8.965 507.7 14.83 510.1z"],
    "arrow-up-right-dots": [576, 512, [], "e4b7", "M152 0H296C309.3 0 320 10.75 320 24V168C320 181.3 309.3 192 296 192C282.7 192 272 181.3 272 168V81.94L40.97 312.1C31.6 322.3 16.4 322.3 7.029 312.1C-2.343 303.6-2.343 288.4 7.029 279L238.1 48H152C138.7 48 128 37.25 128 24C128 10.75 138.7 0 152 0V0zM576 80C576 106.5 554.5 128 528 128C501.5 128 480 106.5 480 80C480 53.49 501.5 32 528 32C554.5 32 576 53.49 576 80zM448 208C448 234.5 426.5 256 400 256C373.5 256 352 234.5 352 208C352 181.5 373.5 160 400 160C426.5 160 448 181.5 448 208zM352 336C352 309.5 373.5 288 400 288C426.5 288 448 309.5 448 336C448 362.5 426.5 384 400 384C373.5 384 352 362.5 352 336zM448 464C448 490.5 426.5 512 400 512C373.5 512 352 490.5 352 464C352 437.5 373.5 416 400 416C426.5 416 448 437.5 448 464zM576 464C576 490.5 554.5 512 528 512C501.5 512 480 490.5 480 464C480 437.5 501.5 416 528 416C554.5 416 576 437.5 576 464zM224 336C224 309.5 245.5 288 272 288C298.5 288 320 309.5 320 336C320 362.5 298.5 384 272 384C245.5 384 224 362.5 224 336zM320 464C320 490.5 298.5 512 272 512C245.5 512 224 490.5 224 464C224 437.5 245.5 416 272 416C298.5 416 320 437.5 320 464zM96 464C96 437.5 117.5 416 144 416C170.5 416 192 437.5 192 464C192 490.5 170.5 512 144 512C117.5 512 96 490.5 96 464zM576 336C576 362.5 554.5 384 528 384C501.5 384 480 362.5 480 336C480 309.5 501.5 288 528 288C554.5 288 576 309.5 576 336zM480 208C480 181.5 501.5 160 528 160C554.5 160 576 181.5 576 208C576 234.5 554.5 256 528 256C501.5 256 480 234.5 480 208z"],
    "arrow-up-right-from-square": [448, 512, ["external-link"], "f08e", "M280 80C266.7 80 256 69.25 256 56C256 42.75 266.7 32 280 32H424C437.3 32 448 42.75 448 56V200C448 213.3 437.3 224 424 224C410.7 224 400 213.3 400 200V113.9L200.1 312.1C191.6 322.3 176.4 322.3 167 312.1C157.7 303.6 157.7 288.4 167 279L366.1 80H280zM0 120C0 89.07 25.07 64 56 64H168C181.3 64 192 74.75 192 88C192 101.3 181.3 112 168 112H56C51.58 112 48 115.6 48 120V424C48 428.4 51.58 432 56 432H360C364.4 432 368 428.4 368 424V312C368 298.7 378.7 288 392 288C405.3 288 416 298.7 416 312V424C416 454.9 390.9 480 360 480H56C25.07 480 0 454.9 0 424V120z"],
    "arrow-up-short-wide": [576, 512, ["sort-amount-up-alt"], "f885", "M312 95.7h48c13.25 0 23.1-10.76 23.1-24.02c0-13.26-10.75-24.02-23.1-24.02h-48c-13.25 0-24 10.76-24 24.02C288 84.95 298.8 95.7 312 95.7zM312 351.9h175.1c13.25 0 24-10.76 24-24.02s-10.75-24.02-24-24.02H312c-13.25 0-24 10.76-24 24.02S298.8 351.9 312 351.9zM312 223.8h111.1c13.25 0 24-10.76 24-24.02s-10.75-24.02-24-24.02H312c-13.25 0-24 10.76-24 24.02S298.8 223.8 312 223.8zM551.1 431.1H312c-13.25 0-24 10.76-24 24.02S298.8 480 312 480h239.1c13.25 0 24-10.76 24-24.02S565.2 431.1 551.1 431.1zM145.6 39.37c-9.062-9.82-26.19-9.82-35.25 0L14.38 143.4c-9 9.758-8.406 24.96 1.344 33.94C20.35 181.7 26.19 183.8 32 183.8c6.469 0 12.91-2.594 17.62-7.719L104 117.1v338.9C104 469.2 114.8 480 128 480S152 469.2 152 455.1V117.1l54.37 58.95C215.3 185.8 230.5 186.5 240.3 177.4C250 168.4 250.6 153.2 241.6 143.4L145.6 39.37z"],
    "arrow-up-small-big": [512, 512, ["sort-size-up-alt"], "f88f", "M480 256h-160c-17.67 0-32 14.33-32 32v160c0 17.67 14.33 32 32 32h160c17.67 0 32-14.33 32-32V288C512 270.3 497.7 256 480 256zM464 432h-128v-128h128V432zM320 192h96c17.6 0 32-14.4 32-32V64c0-17.6-14.4-32-32-32h-96c-17.6 0-32 14.4-32 32v96C288 177.6 302.4 192 320 192zM336 80h64v64h-64V80zM145.6 39.37c-9.062-9.82-26.19-9.82-35.25 0L14.38 143.4c-9 9.758-8.406 24.96 1.344 33.94C20.35 181.7 26.19 183.8 32 183.8c6.469 0 12.91-2.594 17.62-7.719L104 117.1v338.9C104 469.2 114.8 480 128 480s24-10.76 24-24.02V117.1l54.37 58.95C215.3 185.8 230.5 186.5 240.3 177.4C250 168.4 250.6 153.2 241.6 143.4L145.6 39.37z"],
    "arrow-up-square-triangle": [512, 512, ["sort-shapes-up-alt"], "f88b", "M320 224h128c17.67 0 32-14.33 32-32V64c0-17.67-14.33-32-32-32h-128c-17.67 0-31.1 14.33-31.1 32v128C288 209.7 302.3 224 320 224zM336 80h96v96h-96V80zM492.1 438.9l-83.13-137.1c-5.375-8.625-14.84-13.76-24.97-13.76c-10.13 0-19.53 5.136-24.91 13.76l-83.25 137.1c-11 18.25 2.749 41.13 25 41.13h166.3C489.4 480 503.1 457.1 492.1 438.9zM336.3 432l47.75-78.88L431.8 432H336.3zM145.6 39.37c-9.062-9.82-26.19-9.82-35.25 0L14.38 143.4c-9 9.758-8.406 24.96 1.344 33.93c9.779 9.07 24.97 8.414 33.9-1.344L104 117.1v338.9C104 469.2 114.8 480 128 480s24-10.76 24-24.02V117.1l54.37 58.95c4.719 5.125 11.16 7.723 17.62 7.723c5.812 0 11.66-2.098 16.28-6.379c9.75-8.977 10.34-24.18 1.344-33.93L145.6 39.37z"],
    "arrow-up-to-dotted-line": [448, 512, [], "e0a1", "M224 95.1c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S206.3 95.1 224 95.1zM416 95.1c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S398.3 95.1 416 95.1zM320 95.1c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S302.3 95.1 320 95.1zM128 95.1c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S110.3 95.1 128 95.1zM32 95.1c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S14.33 95.1 32 95.1zM241.5 151.3c-9.062-9.699-25.88-9.699-34.94 0l-128 136.2c-9.094 9.672-8.625 24.88 1.031 33.96c9.625 9.109 24.81 8.672 33.91-1.031L200 228.4v211.6C200 453.2 210.8 464 224 464s24-10.77 24-24.04v-211.6l86.53 92.05C339.3 325.4 345.6 327.1 352 327.1c5.906 0 11.81-2.16 16.44-6.543c9.656-9.074 10.12-24.29 1.031-33.96L241.5 151.3z"],
    "arrow-up-to-line": [384, 512, ["arrow-to-top"], "f341", "M24 80.03h336c13.25 0 24-10.76 24-24.02S373.3 32 360 32H24C10.75 32 0 42.76 0 56.02S10.75 80.03 24 80.03zM81.47 304.2L168 212.1v243.8C168 469.2 178.8 480 192 480s24-10.77 24-24.04V212.1l86.53 92.05C307.3 309.2 313.6 311.7 320 311.7c5.906 0 11.81-2.16 16.44-6.541c9.656-9.076 10.12-24.29 1.031-33.96l-128-136.2c-9.062-9.702-25.88-9.702-34.94 0L46.53 271.2C37.44 280.9 37.91 296.1 47.56 305.2C57.19 314.3 72.38 313.9 81.47 304.2z"],
    "arrow-up-triangle-square": [512, 512, ["sort-shapes-up"], "f88a", "M448 288h-128c-17.67 0-31.1 14.33-31.1 32V448c0 17.67 14.33 32 31.1 32h128c17.67 0 32-14.33 32-32v-127.1C480 302.3 465.7 288 448 288zM432 432h-96v-96h96V432zM492.1 182.9l-83.13-137.1c-5.375-8.625-14.84-13.78-24.97-13.78c-10.13 0-19.53 5.153-24.91 13.78l-83.25 137.1c-11 18.25 2.749 41.12 25 41.12h166.3C489.4 224 503.1 201.1 492.1 182.9zM336.3 176l47.75-78.88L431.8 176H336.3zM145.6 39.37c-9.062-9.82-26.19-9.82-35.25 0L14.38 143.4c-9 9.758-8.406 24.96 1.344 33.93c9.779 9.07 24.97 8.414 33.9-1.344L104 117.1v338.9C104 469.2 114.8 480 128 480s24-10.76 24-24.02V117.1l54.37 58.95c4.719 5.125 11.16 7.723 17.62 7.723c5.812 0 11.66-2.098 16.28-6.379c9.75-8.977 10.34-24.18 1.344-33.93L145.6 39.37z"],
    "arrow-up-wide-short": [576, 512, ["sort-amount-up"], "f161", "M551.1 47.67H312c-13.25 0-24 10.76-24 24.02c0 13.26 10.75 24.02 24 24.02h239.1c13.25 0 24-10.76 24-24.02C575.1 58.43 565.2 47.67 551.1 47.67zM360 431.1h-48c-13.25 0-24 10.76-24 24.02S298.8 480 312 480h48c13.25 0 23.1-10.76 23.1-24.02S373.2 431.1 360 431.1zM423.1 303.9H312c-13.25 0-24 10.76-24 24.02s10.75 24.02 24 24.02h111.1c13.25 0 24-10.76 24-24.02S437.2 303.9 423.1 303.9zM487.1 175.8H312c-13.25 0-24 10.76-24 24.02s10.75 24.02 24 24.02h175.1c13.25 0 24-10.76 24-24.02S501.2 175.8 487.1 175.8zM145.6 39.37c-9.062-9.82-26.19-9.82-35.25 0L14.38 143.4c-9 9.758-8.406 24.96 1.344 33.94C20.35 181.7 26.19 183.8 32 183.8c6.469 0 12.91-2.594 17.62-7.719L104 117.1v338.9C104 469.2 114.8 480 128 480S152 469.2 152 455.1V117.1l54.37 58.95C215.3 185.8 230.5 186.5 240.3 177.4C250 168.4 250.6 153.2 241.6 143.4L145.6 39.37z"],
    "arrow-up-z-a": [512, 512, ["sort-alpha-up-alt"], "f882", "M327.1 80h62.94L309.1 185.2c-5.623 7.25-6.654 17.06-2.625 25.28c4.031 8.25 12.41 13.47 21.56 13.47h111.1c13.25 0 23.1-10.75 23.1-24s-10.75-24-23.1-24H377.1l81.87-105.2c5.625-7.25 6.656-17.06 2.625-25.28C457.5 37.22 449.1 32 439.1 32h-111.1c-13.25 0-23.1 10.75-23.1 24S314.7 80 327.1 80zM477.5 445.3l-71.1-143.1c-8.123-16.31-34.81-16.31-42.94 0l-71.1 143.1c-5.938 11.84-1.125 26.25 10.75 32.19c11.9 5.938 26.25 1.156 32.19-10.75l5.359-10.72h90.34l5.359 10.72c4.219 8.438 12.69 13.28 21.5 13.28c3.594 0 7.25-.8125 10.69-2.531C478.6 471.5 483.4 457.1 477.5 445.3zM362.8 407.1l21.17-42.34l21.17 42.34H362.8zM145.6 39.37c-9.062-9.82-26.19-9.82-35.25 0L14.38 143.4c-9 9.758-8.406 24.96 1.344 33.94C20.35 181.7 26.19 183.8 32 183.8c6.469 0 12.91-2.594 17.62-7.719L104 117.1v338.9C104 469.2 114.8 480 128 480S152 469.2 152 455.1V117.1l54.37 58.95C215.3 185.8 230.5 186.5 240.3 177.4C250 168.4 250.6 153.2 241.6 143.4L145.6 39.37z"],
    "arrows-cross": [448, 512, [], "e0a2", "M424 32h-143.1C266.8 32 256 42.75 256 56s10.75 24 24 24h86.06L7.031 439c-9.375 9.375-9.375 24.56 0 33.94s24.56 9.375 33.94 0L400 113.9V200C400 213.3 410.8 224 424 224S448 213.2 448 199.1V56C448 42.84 437.2 32 424 32zM167.4 233.4l33.94-33.94L40.97 39.03c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L167.4 233.4zM424 288c-13.25 0-24 10.75-24 24v86.06l-119.4-119.4l-33.94 33.94L366.1 432H280c-13.25 0-24 10.75-24 24S266.8 480 280 480H424c13.16 0 24-10.81 24-24V312C448 298.8 437.3 288 424 288z"],
    "arrows-down-to-line": [576, 512, [], "e4b8", "M552 432C565.3 432 576 442.7 576 456C576 469.3 565.3 480 552 480H24C10.75 480 0 469.3 0 456C0 442.7 10.75 432 24 432H552zM464.1 376.1C460.5 381.5 454.4 384 448 384C441.6 384 435.5 381.5 431 376.1L327 272.1C317.7 263.6 317.7 248.4 327 239C336.4 229.7 351.6 229.7 360.1 239L424 302.1L424 56C424 42.75 434.7 32 448 32C461.3 32 472 42.75 472 56L472 302.1L535 239C544.4 229.7 559.6 229.7 568.1 239C578.3 248.4 578.3 263.6 568.1 272.1L464.1 376.1zM248.1 272.1L144.1 376.1C135.6 386.3 120.4 386.3 111 376.1L7.029 272.1C-2.343 263.6-2.343 248.4 7.029 239C16.4 229.7 31.6 229.7 40.97 239L103.1 302.1L104 56C104 42.75 114.7 32 128 32C141.3 32 152 42.75 152 56V302.1L215 239C224.4 229.7 239.6 229.7 248.1 239C258.3 248.4 258.3 263.6 248.1 272.1H248.1z"],
    "arrows-down-to-people": [640, 512, [], "e4b9", "M120 24C120 10.75 130.7 0 144 0C157.3 0 168 10.75 168 24V142.1L191 119C200.4 109.7 215.6 109.7 224.1 119C234.3 128.4 234.3 143.6 224.1 152.1L160.1 216.1C151.6 226.3 136.4 226.3 127 216.1L63.03 152.1C53.66 143.6 53.66 128.4 63.03 119C72.4 109.7 87.6 109.7 96.97 119L120 142.1V24zM448.1 119L472 142.1V24C472 10.75 482.7 0 496 0C509.3 0 520 10.75 520 24V142.1L543 119C552.4 109.7 567.6 109.7 576.1 119C586.3 128.4 586.3 143.6 576.1 152.1L512.1 216.1C503.6 226.3 488.4 226.3 479 216.1L415 152.1C405.7 143.6 405.7 128.4 415 119C424.4 109.7 439.6 109.7 448.1 119V119zM456 296C456 273.9 473.9 256 496 256C518.1 256 536 273.9 536 296C536 318.1 518.1 336 496 336C473.9 336 456 318.1 456 296V296zM578.9 491.4L560 456.3V480C560 497.7 545.7 512 528 512H464C446.3 512 432 497.7 432 480V456.3L413.1 491.4C406.9 503 392.3 507.4 380.6 501.1C368.1 494.8 364.6 480.3 370.9 468.6L407.2 401.1C405.5 399.5 404.1 397.6 402.9 395.4L384 360.3V400C384 417.7 369.7 432 352 432H288C270.3 432 256 417.7 256 400V360.3L237.1 395.4C235.1 397.6 234.5 399.5 232.8 401.1L269.1 468.6C275.4 480.3 271.1 494.8 259.4 501.1C247.7 507.4 233.2 503 226.9 491.4L208 456.3V480C208 497.7 193.7 512 176 512H112C94.33 512 80 497.7 80 480V456.3L61.14 491.4C54.85 503 40.3 507.4 28.63 501.1C16.96 494.8 12.59 480.3 18.87 468.6L56.75 398.3C72.1 369.8 101.9 352 134.2 352H153.8C170.1 352 185.7 356.5 199.2 364.6L232.8 302.3C248.1 273.8 277.9 256 310.2 256H329.8C362.2 256 391.9 273.8 407.3 302.3L440.8 364.6C454.3 356.5 469.9 352 486.2 352H505.8C538.2 352 567.9 369.8 583.3 398.3L621.1 468.6C627.4 480.3 623.1 494.8 611.4 501.1C599.7 507.4 585.2 503 578.9 491.4L578.9 491.4zM512 464V400.5C509.1 400.2 507.9 400 505.8 400H486.2C484.1 400 482 400.2 480 400.5V464H512zM304 304.5V384H336V304.5C333.1 304.2 331.9 304 329.8 304H310.2C308.1 304 306 304.2 304 304.5zM160 464V400.5C157.1 400.2 155.9 400 153.8 400H134.2C132.1 400 130 400.2 128 400.5V464H160zM360 200C360 222.1 342.1 240 320 240C297.9 240 280 222.1 280 200C280 177.9 297.9 160 320 160C342.1 160 360 177.9 360 200zM104 296C104 273.9 121.9 256 144 256C166.1 256 184 273.9 184 296C184 318.1 166.1 336 144 336C121.9 336 104 318.1 104 296V296z"],
    "arrows-from-dotted-line": [448, 512, [], "e0a3", "M224 223.1c-17.67 0-32 14.33-32 32S206.3 287.1 224 287.1s32-14.33 32-32S241.7 223.1 224 223.1zM32 223.1c-17.67 0-32 14.33-32 32S14.33 287.1 32 287.1s32-14.33 32-32S49.67 223.1 32 223.1zM152 119.1c6.141 0 12.28-2.344 16.97-7.031L200 81.91v86.07c0 13.25 10.75 24 24 24s24-10.75 24-24V81.91l31.03 31.03C283.7 117.6 289.8 119.1 296 119.1c18.79 0 24-17.2 24-23.1c0-6.141-2.344-12.28-7.031-16.97l-72-72.01C234.9 .9766 227.7 0 223.1 0c-3.682 0-10.94 .9687-16.97 7l-72 72.01C130.3 83.7 128 89.84 128 95.98C128 109.7 139.2 119.1 152 119.1zM416 223.1c-17.67 0-32 14.33-32 32S398.3 287.1 416 287.1s32-14.33 32-32S433.7 223.1 416 223.1zM320 223.1c-17.67 0-32 14.33-32 32S302.3 287.1 320 287.1s32-14.33 32-32S337.7 223.1 320 223.1zM160 255.1c0-17.67-14.33-32-32-32S96 238.3 96 255.1S110.3 287.1 128 287.1S160 273.7 160 255.1zM296 391.1c-6.141 0-12.28 2.344-16.97 7.031L248 430.1v-86.06c0-13.25-10.75-24-24-24s-24 10.75-24 24v86.06l-31.03-31.03C164.3 394.3 158.1 391.1 152 391.1c-12.82 0-24 10.33-24 24c0 6.141 2.344 12.28 7.031 16.97l72 72.01C209.6 507.5 215.5 512 224 512s14.4-4.461 16.97-7.031l72-72.01C317.7 428.3 320 422.1 320 415.1C320 402.3 308.8 391.1 296 391.1z"],
    "arrows-from-line": [448, 512, [], "e0a4", "M296 391.1c-6.141 0-12.28 2.344-16.97 7.031L248 430.1v-86.06c0-13.25-10.75-24-24-24s-24 10.75-24 24v86.06l-31.03-31.03C164.3 394.3 158.1 391.1 152 391.1c-12.82 0-24 10.33-24 24c0 6.141 2.344 12.28 7.031 16.97l72 72.01C209.6 507.5 215.5 512 224 512s14.4-4.461 16.97-7.031l72-72.01C317.7 428.3 320 422.1 320 415.1C320 402.3 308.8 391.1 296 391.1zM152 119.1c6.141 0 12.28-2.344 16.97-7.031L200 81.91v86.07c0 13.25 10.75 24 24 24s24-10.75 24-24V81.91l31.03 31.03C283.7 117.6 289.8 119.1 296 119.1c18.79 0 24-17.2 24-23.1c0-6.141-2.344-12.28-7.031-16.97l-72-72.01C234.9 .9766 227.7 0 223.1 0C220.3 0 213.1 .9687 207 7l-72 72.01C130.3 83.7 128 89.84 128 95.98C128 109.7 139.2 119.1 152 119.1zM424 232H24C10.75 232 0 242.7 0 255.1S10.75 280 24 280h400c13.25 0 24-10.76 24-24.01S437.3 232 424 232z"],
    "arrows-left-right": [512, 512, ["arrows-h"], "f07e", "M512 256c0 6.688-2.812 13.09-7.719 17.62l-104 96C395.7 373.9 389.8 376 384 376c-6.469 0-12.91-2.594-17.62-7.719c-9-9.75-8.406-24.94 1.344-33.91L426.6 280H85.38l58.91 54.38c9.75 8.969 10.34 24.16 1.344 33.91C140.9 373.4 134.5 376 128 376c-5.812 0-11.66-2.094-16.28-6.375l-104-96C2.813 269.1 0 262.7 0 256s2.812-13.09 7.719-17.62l104-96C121.5 133.3 136.7 134 145.6 143.7c9 9.75 8.406 24.94-1.344 33.91L85.38 232h341.3l-58.91-54.38c-9.75-8.969-10.34-24.16-1.344-33.91C375.3 134 390.5 133.3 400.3 142.4l104 96C509.2 242.9 512 249.3 512 256z"],
    "arrows-left-right-to-line": [640, 512, [], "e4ba", "M24 64C37.25 64 48 74.75 48 88V424C48 437.3 37.25 448 24 448C10.75 448 0 437.3 0 424V88C0 74.75 10.75 64 24 64zM240.1 135C250.3 144.4 250.3 159.6 240.1 168.1L177.9 232H462.1L399 168.1C389.7 159.6 389.7 144.4 399 135C408.4 125.7 423.6 125.7 432.1 135L536.1 239C546.3 248.4 546.3 263.6 536.1 272.1L432.1 376.1C423.6 386.3 408.4 386.3 399 376.1C389.7 367.6 389.7 352.4 399 343L462.1 280H177.9L240.1 343C250.3 352.4 250.3 367.6 240.1 376.1C231.6 386.3 216.4 386.3 207 376.1L103 272.1C93.66 263.6 93.66 248.4 103 239L207 135C216.4 125.7 231.6 125.7 240.1 135H240.1zM640 424C640 437.3 629.3 448 616 448C602.7 448 592 437.3 592 424V88C592 74.75 602.7 64 616 64C629.3 64 640 74.75 640 88V424z"],
    "arrows-maximize": [448, 512, ["expand-arrows"], "f31d", "M400 200V113.9L257.9 256L400 398.1V312C400 298.8 410.8 288 424 288S448 298.8 448 312v144c0 3.125-.6387 6.238-1.854 9.172c-2.432 5.863-7.104 10.54-12.96 12.97C430.2 479.4 427.1 480 424 480h-144C266.8 480 256 469.3 256 456s10.75-24 24-24h86.06L224 289.9L81.94 432H168C181.3 432 192 442.8 192 456S181.3 480 168 480h-144c-3.125 0-6.238-.6406-9.172-1.852c-5.863-2.434-10.54-7.105-12.97-12.97C.6406 462.3 0 459.1 0 456v-144C0 298.8 10.75 288 24 288S48 298.8 48 312v86.06L190.1 256L48 113.9V200C48 213.3 37.25 224 24 224S0 213.3 0 200v-144c0-3.125 .6387-6.238 1.854-9.172c2.432-5.863 7.104-10.54 12.96-12.97C17.75 32.64 20.87 32 24 32h144C181.3 32 192 42.75 192 56S181.3 80 168 80H81.94L224 222.1L366.1 80H280C266.8 80 256 69.25 256 56S266.8 32 280 32h144c3.125 0 6.238 .6406 9.172 1.852c5.863 2.434 10.54 7.105 12.97 12.97C447.4 49.75 448 52.87 448 56v144C448 213.3 437.3 224 424 224S400 213.3 400 200z"],
    "arrows-minimize": [512, 512, ["compress-arrows"], "e0a5", "M200 32C186.8 32 176 42.75 176 56v86.06L56.97 23.03c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L142.1 176H56C42.75 176 32 186.8 32 200s10.8 24.06 24.05 24.06L200 224c3.135 0 6.248-.6406 9.182-1.855c5.861-2.434 10.53-7.109 12.96-12.97C223.4 206.2 224 203.1 224 200l.0549-143.9C224.1 42.81 213.3 32 200 32zM302.8 222.1C305.8 223.4 308.9 224 312 224l143.9 .0576C469.2 224.1 480 213.3 480 200S469.3 176 456 176h-86.06l119-119c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0L336 142.1V56C336 42.75 325.3 32 312 32s-24.05 10.81-24.05 24.06L288 200c0 3.133 .6406 6.25 1.855 9.18C292.3 215 296.1 219.7 302.8 222.1zM369.9 336H456c13.25 0 24-10.75 24-24s-10.81-24.06-24.06-24.06L312 288c-3.135 0-6.248 .6406-9.182 1.855c-5.861 2.434-10.53 7.109-12.96 12.97C288.6 305.8 288 308.9 288 312l-.0567 143.9C287.9 469.2 298.8 480 312 480s24-10.75 24-24v-86.06l119 119c9.375 9.375 24.56 9.375 33.94 0s9.375-24.56 0-33.94L369.9 336zM209.2 289.9C206.2 288.6 203.1 288 200 288L56.06 287.9C42.81 287.9 32 298.8 32 312s10.75 24 24 24h86.06l-119 119c-9.375 9.375-9.375 24.56 0 33.94s24.56 9.375 33.94 0L176 369.9V456C176 469.3 186.8 480 200 480s24.06-10.81 24.06-24.06L224 312c0-3.133-.6406-6.25-1.855-9.18C219.7 296.1 215 292.3 209.2 289.9z"],
    "arrows-repeat": [512, 512, ["repeat-alt"], "f364", "M488 232c-13.25 0-24 10.75-24 24c0 57.34-46.66 104-104 104H145.9l63.03-63.03c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0l-104 104c-9.375 9.375-9.375 24.56 0 33.94l104 104C179.7 509.7 185.8 512 192 512s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94L145.9 408H360c83.81 0 152-68.19 152-152C512 242.7 501.3 232 488 232zM152 152h214.1l-63.03 63.03c-9.375 9.375-9.375 24.56 0 33.94C307.7 253.7 313.8 256 320 256s12.28-2.344 16.97-7.031l104-104c9.375-9.375 9.375-24.56 0-33.94l-104-104c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L366.1 104H152C68.19 104 0 172.2 0 255.1C0 269.2 10.75 280 24 280S48 269.3 48 256C48 198.7 94.66 152 152 152z"],
    "arrows-repeat-1": [512, 512, ["repeat-1-alt"], "f366", "M488 232c-13.25 0-24 10.75-24 24c0 57.34-46.66 104-104 104h-272c-13.33 0-23.99 10.88-23.99 24c0 3.649 .9775 10.93 7.021 16.97l104 104C179.7 509.7 185.8 512 191.1 512C210.8 512 216 494.8 216 488c0-6.141-2.344-12.28-7.031-16.97L145.9 408H360c83.81 0 152-68.19 152-152C512 242.7 501.3 232 488 232zM152 152h272c13.33 0 23.99-10.88 23.99-24c0-3.649-.9775-10.93-7.021-16.97l-104-104C332.3 2.344 326.1 0 320 0C306.3 0 296 11.21 296 24c0 6.141 2.344 12.28 7.031 16.97L366.1 104H152C68.19 104 0 172.2 0 255.1C0 269.2 10.75 280 24 280S48 269.3 48 256C48 198.7 94.66 152 152 152zM264 328c13.25 0 24-10.75 24-24V216c0-9.132-7.215-24.01-24.01-24.01c-3.67 0-7.335 .8282-10.71 2.539l-32 16C212.9 214.7 207.1 223.2 207.1 232c0 12.52 10.1 24.01 23.97 24.01c2.681 0 5.399-.4545 8.047-1.403V304C240 317.3 250.8 328 264 328z"],
    "arrows-retweet": [640, 512, ["retweet-alt"], "f361", "M328 368h-176V145.9l63.03 63.03C219.7 213.7 225.8 216 232 216s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94l-104-104c-9.375-9.375-24.56-9.375-33.94 0l-104 104c-9.375 9.375-9.375 24.56 0 33.94s24.56 9.375 33.94 0L104 145.9V392C104 405.3 114.8 416 128 416h200c13.25 0 24-10.75 24-24S341.3 368 328 368zM632.1 303c-9.375-9.375-24.56-9.375-33.94 0L536 366.1V120C536 106.8 525.3 96 512 96H312C298.8 96 288 106.8 288 120S298.8 144 312 144h176v222.1l-63.03-63.03C420.3 298.3 414.2 296 408 296s-12.28 2.344-16.97 7.031c-9.375 9.375-9.375 24.56 0 33.94l104 104c9.375 9.375 24.56 9.375 33.94 0l104-104C642.3 327.6 642.3 312.4 632.1 303z"],
    "arrows-rotate": [512, 512, [128472, "refresh", "sync"], "f021", "M454.7 288.1c-12.78-3.75-26.06 3.594-29.75 16.31C403.3 379.9 333.8 432 255.1 432c-66.53 0-126.8-38.28-156.5-96h100.4c13.25 0 24-10.75 24-24S213.2 288 199.9 288h-160c-13.25 0-24 10.75-24 24v160c0 13.25 10.75 24 24 24s24-10.75 24-24v-102.1C103.7 436.4 176.1 480 255.1 480c99 0 187.4-66.31 215.1-161.3C474.8 305.1 467.4 292.7 454.7 288.1zM472 16C458.8 16 448 26.75 448 40v102.1C408.3 75.55 335.8 32 256 32C157 32 68.53 98.31 40.91 193.3C37.19 206 44.5 219.3 57.22 223c12.84 3.781 26.09-3.625 29.75-16.31C108.7 132.1 178.2 80 256 80c66.53 0 126.8 38.28 156.5 96H312C298.8 176 288 186.8 288 200S298.8 224 312 224h160c13.25 0 24-10.75 24-24v-160C496 26.75 485.3 16 472 16z"],
    "arrows-spin": [512, 512, [], "e4bb", "M257.1 87.53C245.8 87.53 234.7 88.66 223.1 90.8V42.06C234.8 40.39 245.9 39.53 257.1 39.53C313.1 39.53 364.1 60.83 402.5 95.77L437.6 60.69C447.7 50.61 464.9 57.75 464.9 72V177.4C464.9 186.2 457.7 193.4 448.9 193.4H343.5C329.3 193.4 322.1 176.1 332.2 166.1L368.5 129.8C338.9 103.5 299.9 87.53 257.1 87.53V87.53zM89.14 255.5C89.14 266.6 90.22 277.5 92.27 288H43.56C41.96 277.4 41.14 266.6 41.14 255.5C41.14 200.4 61.82 150 95.85 111.9L60.69 76.69C50.61 66.61 57.74 49.38 71.1 49.38H177.4C186.2 49.38 193.4 56.54 193.4 65.38V170.7C193.4 185 176.1 192.1 166.1 182.1L129.9 145.9C104.5 175.3 89.14 213.6 89.14 255.5L89.14 255.5zM182.1 348.2L147.5 382.8C176.9 408.2 215.2 423.5 257.1 423.5C267.7 423.5 277.1 422.6 288 420.7V469.3C277.9 470.8 267.6 471.5 257.1 471.5C201.1 471.5 151.6 450.9 113.5 416.8L76.69 453.6C66.61 463.7 49.37 456.5 49.37 442.3V336.9C49.37 328.1 56.54 320.9 65.37 320.9H170.7C184.1 320.9 192.1 338.1 182.1 348.2V348.2zM348.2 332.2L382.9 366.9C409.2 337.3 425.1 298.3 425.1 255.5C425.1 244.8 424.1 234.2 422.2 224H470.9C472.4 234.3 473.1 244.8 473.1 255.5C473.1 311.5 451.8 362.5 416.9 400.9L453.6 437.6C463.7 447.7 456.5 464.9 442.3 464.9H336.9C328.1 464.9 320.9 457.7 320.9 448.9V343.5C320.9 329.3 338.1 322.1 348.2 332.2V332.2z"],
    "arrows-split-up-and-left": [512, 512, [], "e4bc", "M240.1 136.1C231.6 146.3 216.4 146.3 207 136.1C197.7 127.6 197.7 112.4 207 103L303 7.029C312.4-2.343 327.6-2.343 336.1 7.029L432.1 103C442.3 112.4 442.3 127.6 432.1 136.1C423.6 146.3 408.4 146.3 399 136.1L344 81.94V392C344 431.8 376.2 464 416 464H488C501.3 464 512 474.7 512 488C512 501.3 501.3 512 488 512H416C349.7 512 296 458.3 296 392V384C296 344.2 263.8 312 224 312H81.94L136.1 367C146.3 376.4 146.3 391.6 136.1 400.1C127.6 410.3 112.4 410.3 103 400.1L7.029 304.1C2.529 300.5 0 294.4 0 288C0 281.6 2.529 275.5 7.029 271L103 175C112.4 165.7 127.6 165.7 136.1 175C146.3 184.4 146.3 199.6 136.1 208.1L81.94 264H224C251 264 275.9 272.9 296 287.1V81.94L240.1 136.1z"],
    "arrows-to-circle": [640, 512, [], "e4bd", "M7.029 7.029C16.4-2.343 31.6-2.343 40.97 7.029L160 126.1V88C160 74.75 170.7 64 184 64C197.3 64 208 74.75 208 88V184C208 197.3 197.3 208 184 208H88C74.75 208 64 197.3 64 184C64 170.7 74.75 160 88 160H126.1L7.029 40.97C-2.343 31.6-2.343 16.4 7.029 7.029V7.029zM632.1 40.97L513.9 160H552C565.3 160 576 170.7 576 184C576 197.3 565.3 208 552 208H456C442.7 208 432 197.3 432 184V88C432 74.75 442.7 64 456 64C469.3 64 480 74.75 480 88V126.1L599 7.029C608.4-2.343 623.6-2.343 632.1 7.029C642.3 16.4 642.3 31.6 632.1 40.97V40.97zM384 256C384 291.3 355.3 320 320 320C284.7 320 256 291.3 256 256C256 220.7 284.7 192 320 192C355.3 192 384 220.7 384 256zM432 328C432 314.7 442.7 304 456 304H552C565.3 304 576 314.7 576 328C576 341.3 565.3 352 552 352H513.9L632.1 471C642.3 480.4 642.3 495.6 632.1 504.1C623.6 514.3 608.4 514.3 599 504.1L480 385.9V424C480 437.3 469.3 448 456 448C442.7 448 432 437.3 432 424V328zM208 424C208 437.3 197.3 448 184 448C170.7 448 160 437.3 160 424V385.9L40.97 504.1C31.6 514.3 16.4 514.3 7.029 504.1C-2.343 495.6-2.343 480.4 7.029 471L126.1 352H88C74.75 352 64 341.3 64 328C64 314.7 74.75 304 88 304H184C197.3 304 208 314.7 208 328V424z"],
    "arrows-to-dot": [512, 512, [], "e4be", "M280 110.1L311 79.03C320.4 69.66 335.6 69.66 344.1 79.03C354.3 88.4 354.3 103.6 344.1 112.1L272.1 184.1C263.6 194.3 248.4 194.3 239 184.1L167 112.1C157.7 103.6 157.7 88.4 167 79.03C176.4 69.66 191.6 69.66 200.1 79.03L232 110.1V24C232 10.75 242.7 0 256 0C269.3 0 280 10.75 280 24V110.1zM432.1 344.1C423.6 354.3 408.4 354.3 399 344.1L327 272.1C317.7 263.6 317.7 248.4 327 239L399 167C408.4 157.7 423.6 157.7 432.1 167C442.3 176.4 442.3 191.6 432.1 200.1L401.9 232H488C501.3 232 512 242.7 512 256C512 269.3 501.3 280 488 280H401.9L432.1 311C442.3 320.4 442.3 335.6 432.1 344.1H432.1zM288 256C288 273.7 273.7 288 256 288C238.3 288 224 273.7 224 256C224 238.3 238.3 224 256 224C273.7 224 288 238.3 288 256zM184.1 239C194.3 248.4 194.3 263.6 184.1 272.1L112.1 344.1C103.6 354.3 88.4 354.3 79.03 344.1C69.66 335.6 69.66 320.4 79.03 311L110.1 280H24C10.75 280 0 269.3 0 256C0 242.7 10.75 232 24 232H110.1L79.03 200.1C69.66 191.6 69.66 176.4 79.03 167C88.4 157.7 103.6 157.7 112.1 167L184.1 239zM167 432.1C157.7 423.6 157.7 408.4 167 399L239 327C248.4 317.7 263.6 317.7 272.1 327L344.1 399C354.3 408.4 354.3 423.6 344.1 432.1C335.6 442.3 320.4 442.3 311 432.1L280 401.9V488C280 501.3 269.3 512 256 512C242.7 512 232 501.3 232 488V401.9L200.1 432.1C191.6 442.3 176.4 442.3 167 432.1V432.1z"],
    "arrows-to-dotted-line": [448, 512, [], "e0a6", "M32 224C14.33 224 0 238.3 0 256s14.33 32 32 32s32-14.33 32-32S49.67 224 32 224zM192 256c0 17.67 14.33 32 32 32s32-14.33 32-32s-14.33-32-32-32S192 238.3 192 256zM207 184.1C209.6 187.5 215.5 192 224 192s14.4-4.461 16.97-7.031l72-72C317.7 108.3 320 102.1 320 96c0-13.71-11.21-24-24-24c-6.141 0-12.28 2.344-16.97 7.031L248 110.1V24C248 10.75 237.3 0 224 0S200 10.75 200 24v86.06L168.1 79.03C164.3 74.34 158.1 72 152 72C138.3 72 128 83.21 128 96c0 6.141 2.344 12.28 7.031 16.97L207 184.1zM320 224c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S337.7 224 320 224zM416 224c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S433.7 224 416 224zM240.1 327C234.9 321 227.7 320 224 320c-3.682 0-10.94 .9902-16.97 7.021l-72 72C130.3 403.7 128 409.9 128 416c0 13.71 11.21 24 24 24c6.141 0 12.28-2.344 16.97-7.031L200 401.9V488C200 501.3 210.8 512 224 512s24-10.75 24-24v-86.06l31.03 31.03C283.7 437.7 289.8 440 296 440c18.79 0 24-17.2 24-24c0-6.141-2.344-12.28-7.031-16.97L240.1 327zM160 256c0-17.67-14.33-32-32-32S96 238.3 96 256s14.33 32 32 32S160 273.7 160 256z"],
    "arrows-to-eye": [640, 512, [], "e4bf", "M112 78.06V40C112 26.75 122.7 15.1 136 15.1C149.3 15.1 160 26.75 160 40V136C160 149.3 149.3 160 136 160H40C26.75 160 15.1 149.3 15.1 136C15.1 122.7 26.75 112 40 112H78.06L15.03 48.97C5.657 39.6 5.657 24.4 15.03 15.03C24.4 5.657 39.6 5.657 48.97 15.03L112 78.06zM256 256C256 220.7 284.7 192 320 192C355.3 192 384 220.7 384 256C384 291.3 355.3 320 320 320C284.7 320 256 291.3 256 256zM506.5 243.9C510.3 251.6 510.3 260.4 506.5 268.1C481.4 318.4 417.3 400 320 400C222.7 400 158.6 318.4 133.5 268.1C129.7 260.4 129.7 251.6 133.5 243.9C158.6 193.6 222.7 112 320 112C417.3 112 481.4 193.6 506.5 243.9V243.9zM458.5 256C433.8 212.1 384.5 160 320 160C255.5 160 206.2 212.1 181.5 256C206.2 299.9 255.5 352 320 352C384.5 352 433.8 299.9 458.5 256V256zM624.1 48.97L561.9 112H600C613.3 112 624 122.7 624 136C624 149.3 613.3 160 600 160H504C490.7 160 480 149.3 480 136V40C480 26.75 490.7 15.1 504 15.1C517.3 15.1 528 26.75 528 40V78.06L591 15.03C600.4 5.657 615.6 5.657 624.1 15.03C634.3 24.4 634.3 39.6 624.1 48.97zM48.97 496.1C39.6 506.3 24.4 506.3 15.03 496.1C5.657 487.6 5.657 472.4 15.03 463L78.06 400H40C26.75 400 15.1 389.3 15.1 376C15.1 362.7 26.75 352 40 352H136C149.3 352 160 362.7 160 376V472C160 485.3 149.3 496 136 496C122.7 496 112 485.3 112 472V433.9L48.97 496.1zM624.1 496.1C615.6 506.3 600.4 506.3 591 496.1L528 433.9V472C528 485.3 517.3 496 504 496C490.7 496 480 485.3 480 472V376C480 362.7 490.7 352 504 352H600C613.3 352 624 362.7 624 376C624 389.3 613.3 400 600 400H561.9L624.1 463C634.3 472.4 634.3 487.6 624.1 496.1z"],
    "arrows-to-line": [448, 512, [], "e0a7", "M207 184.1C209.6 187.5 215.5 192 224 192s14.4-4.461 16.97-7.031l72-72C317.7 108.3 320 102.1 320 96c0-13.71-11.21-24-24-24c-6.141 0-12.28 2.344-16.97 7.031L248 110.1V24C248 10.75 237.3 0 224 0S200 10.75 200 24v86.06L168.1 79.03C164.3 74.34 158.1 72 152 72C138.3 72 128 83.21 128 96c0 6.141 2.344 12.28 7.031 16.97L207 184.1zM240.1 327C234.9 321 227.7 320 224 320c-3.682 0-10.94 .9906-16.97 7.022l-72 72C130.3 403.7 128 409.9 128 416c0 13.71 11.21 24 24 24c6.141 0 12.28-2.344 16.97-7.031L200 401.9V488C200 501.3 210.8 512 224 512s24-10.75 24-24v-86.06l31.03 31.03C283.7 437.7 289.8 440 296 440c18.79 0 24-17.2 24-24c0-6.141-2.344-12.28-7.031-16.97L240.1 327zM424 232H24C10.75 232 0 242.7 0 255.1S10.75 280 24 280h400c13.25 0 24-10.76 24-24.01S437.3 232 424 232z"],
    "arrows-turn-right": [448, 512, [], "e4c0", "M294.4 7.669C303.4-2.044 318.6-2.606 328.3 6.413L440.3 110.4C445.2 114.1 448 121.3 448 128C448 134.7 445.2 141 440.3 145.6L328.3 249.6C318.6 258.6 303.4 258 294.4 248.3C285.4 238.6 285.1 223.4 295.7 214.4L362.9 152H120C80.24 152 48 184.2 48 224V264C48 277.3 37.25 288 24 288C10.75 288 0 277.3 0 264V224C0 157.7 53.73 104 120 104H362.9L295.7 41.59C285.1 32.57 285.4 17.38 294.4 7.669V7.669zM198.4 263.7C207.4 253.1 222.6 253.4 232.3 262.4L344.3 366.4C349.2 370.1 352 377.3 352 384C352 390.7 349.2 397 344.3 401.6L232.3 505.6C222.6 514.6 207.4 514 198.4 504.3C189.4 494.6 189.1 479.4 199.7 470.4L266.9 408H88C65.91 408 48 425.9 48 448V488C48 501.3 37.25 512 24 512C10.75 512 0 501.3 0 488V448C0 399.4 39.4 360 88 360H266.9L199.7 297.6C189.1 288.6 189.4 273.4 198.4 263.7V263.7z"],
    "arrows-turn-to-dots": [512, 512, [], "e4c1", "M255 31.03C264.4 21.66 279.6 21.66 288.1 31.03C298.3 40.4 298.3 55.6 288.1 64.97L249.9 104H424C472.6 104 512 143.4 512 192V232C512 245.3 501.3 256 488 256C474.7 256 464 245.3 464 232V192C464 169.9 446.1 152 424 152H249.9L288.1 191C298.3 200.4 298.3 215.6 288.1 224.1C279.6 234.3 264.4 234.3 255 224.1L175 144.1C165.7 135.6 165.7 120.4 175 111L255 31.03zM336.1 367C346.3 376.4 346.3 391.6 336.1 400.1L256.1 480.1C247.6 490.3 232.4 490.3 223 480.1C213.7 471.6 213.7 456.4 223 447L262.1 408H88C65.91 408 48 425.9 48 448V488C48 501.3 37.25 512 24 512C10.75 512 0 501.3 0 488V448C0 399.4 39.4 360 88 360H262.1L223 320.1C213.7 311.6 213.7 296.4 223 287C232.4 277.7 247.6 277.7 256.1 287L336.1 367zM512 384C512 419.3 483.3 448 448 448C412.7 448 384 419.3 384 384C384 348.7 412.7 320 448 320C483.3 320 512 348.7 512 384zM128 128C128 163.3 99.35 192 64 192C28.65 192 0 163.3 0 128C0 92.65 28.65 64 64 64C99.35 64 128 92.65 128 128z"],
    "arrows-up-down": [256, 512, ["arrows-v"], "f07d", "M127.1 511.1c-6.688 0-13.09-2.812-17.62-7.719l-96-104c-4.281-4.625-6.375-10.47-6.375-16.28c0-6.469 2.594-12.91 7.719-17.62c9.75-9 24.94-8.406 33.91 1.344l54.38 58.91V85.37L49.62 144.3C40.65 154 25.47 154.6 15.72 145.6C10.59 140.9 7.998 134.5 7.998 127.1c0-5.812 2.094-11.66 6.375-16.28l96-104c4.531-4.906 10.94-7.719 17.62-7.719s13.09 2.812 17.62 7.719l96 104c9.031 9.781 8.375 24.97-1.344 33.91c-9.75 9-24.94 8.406-33.91-1.344l-54.38-58.91v341.3l54.38-58.91c8.969-9.75 24.16-10.34 33.91-1.344c9.719 8.969 10.38 24.12 1.344 33.91l-96 104C141.1 509.2 134.7 511.1 127.1 511.1z"],
    "arrows-up-down-left-right": [512, 512, ["arrows"], "f047", "M512 255.1c0 6.755-2.844 13.09-7.844 17.62l-88 80.05C411.5 357.8 405.8 359.9 400 359.9c-13.27 0-24-10.76-24-24c0-6.534 2.647-13.04 7.844-17.78l42.07-38.28H280v146l38.25-42.1c4.715-5.2 11.21-7.849 17.74-7.849c13.23 0 24.01 10.71 24.01 24.03c0 5.765-2.061 11.55-6.25 16.15l-80 88.06C269.2 509.2 262.8 512 256 512s-13.22-2.846-17.75-7.849l-80-88.06c-4.189-4.603-6.25-10.39-6.25-16.15c0-13.38 10.83-24.03 23.1-24.03c6.526 0 13.02 2.649 17.75 7.849L232 425.9V279.8H86.09l42.07 38.28c5.196 4.735 7.844 11.24 7.844 17.78c0 13.22-10.71 24-24 24c-5.781 0-11.53-2.064-16.16-6.254l-88-80.05C2.844 269.1 0 262.7 0 255.1c0-6.755 2.844-13.37 7.844-17.9l88-80.05C100.5 153.8 106.2 151.8 112 151.8c13.26 0 23.99 10.74 23.99 23.99c0 6.534-2.647 13.04-7.844 17.78L86.09 231.8H232V85.8L193.8 127.9C189 133.1 182.5 135.7 175.1 135.7c-13.16 0-23.1-10.66-23.1-24.03c0-5.765 2.061-11.55 6.25-16.15l80-88.06C242.8 2.502 249.4 0 256 0s13.22 2.502 17.75 7.505l80 88.06c4.189 4.603 6.25 10.39 6.25 16.15c0 13.35-10.81 24.03-24 24.03c-6.531 0-13.03-2.658-17.75-7.849L280 85.8v146h145.9l-42.07-38.28c-5.196-4.735-7.844-11.24-7.844-17.78c0-13.25 10.74-23.99 23.98-23.99c5.759 0 11.55 2.061 16.18 6.242l88 80.05C509.2 242.6 512 249.2 512 255.1z"],
    "arrows-up-to-line": [576, 512, [], "e4c2", "M24 80C10.75 80 0 69.25 0 56C0 42.75 10.75 32 24 32H552C565.3 32 576 42.75 576 56C576 69.25 565.3 80 552 80H24zM111 135C115.5 130.5 121.6 128 128 128C134.4 128 140.5 130.5 144.1 135L248.1 239C258.3 248.4 258.3 263.6 248.1 272.1C239.6 282.3 224.4 282.3 215 272.1L152 209.9L152 456C152 469.3 141.3 480 128 480C114.7 480 104 469.3 104 456L104 209.9L40.97 272.1C31.6 282.3 16.4 282.3 7.029 272.1C-2.343 263.6-2.343 248.4 7.029 239L111 135zM327 239L431 135C440.4 125.7 455.6 125.7 464.1 135L568.1 239C578.3 248.4 578.3 263.6 568.1 272.1C559.6 282.3 544.4 282.3 535 272.1L472 209.9V456C472 469.3 461.3 480 448 480C434.7 480 424 469.3 424 456V209.9L360.1 272.1C351.6 282.3 336.4 282.3 327 272.1C317.7 263.6 317.7 248.4 327 239V239z"],
    "asterisk": [448, 512, [10033, 61545], "2a", "M417.1 368c-4.437 7.688-12.5 12-20.81 12c-4.062 0-8.188-1.031-11.97-3.219L248 297.6V456c0 13.25-10.75 24-23.1 24S200 469.3 200 456V297.6l-137.2 79.22C59 378.1 54.88 380 50.81 380c-8.312 0-16.37-4.312-20.81-12c-6.625-11.47-2.687-26.16 8.781-32.78L176 256l-137.2-79.22C27.31 170.2 23.38 155.5 29.1 144C36.59 132.6 51.28 128.5 62.78 135.2L200 214.4V56C200 42.75 210.8 32 224 32S248 42.75 248 56v158.4l137.2-79.22C396.8 128.5 411.4 132.6 417.1 144c6.625 11.47 2.688 26.16-8.781 32.78L271.1 256l137.2 79.22C420.7 341.8 424.6 356.5 417.1 368z"],
    "at": [512, 512, [61946], "40", "M263.4 16.12C198.2 14.06 136.2 38.14 89.31 83.67C42.03 129.5 16 191.2 16 257.2c0 118.6 87.89 221.1 204.5 238.5C221.7 495.9 222.8 496 224 496c11.69 0 21.92-8.547 23.7-20.45c1.953-13.11-7.078-25.33-20.19-27.28C134.3 434.3 64 352.2 64 257.2c0-52.94 20.86-102.3 58.73-139.1c37.53-36.41 86.25-55.83 139.2-54.03C364.5 67.2 448 157.9 448 266.3v19.05c0 24.45-19.73 44.36-44 44.36S360 309.8 360 285.3V168.7c0-13.25-10.75-23.1-24-23.1c-11.92 0-21.38 8.855-23.24 20.25C294.4 151.9 272.2 144 248 144c-61.75 0-112 50.25-112 111.1s50.25 111.1 112 111.1c30.75 0 58.62-12.48 78.88-32.62c16.41 25.4 44.77 42.32 77.12 42.32c50.73 0 92-41.44 92-92.36V266.3C496 132.2 391.6 19.1 263.4 16.12zM248 320c-35.3 0-64-28.7-64-63.1c0-35.29 28.7-63.1 64-63.1s64 28.7 64 63.1C312 291.3 283.3 320 248 320z"],
    "atom": [512, 512, [9883], "f5d2", "M256 224C238.3 224 223.1 238.4 223.1 256S238.3 288 256 288c17.62 0 32-14.38 32-32C287.9 238.4 273.6 224 256 224zM471.2 128c-15.62-27.75-49.62-41.38-93.11-41.38c-9.499 .125-18.87 .75-28.25 2C327.1 34.38 293.5 0 256 0S184.9 34.38 162.1 88.62c-9.374-1.25-18.75-1.875-28.25-2C90.39 86.62 56.4 100.2 40.78 128c-18.75 33.5-6.499 80.62 27.62 128c-34.12 47.38-46.37 94.5-27.62 128c15.62 27.75 49.62 41.38 93.11 41.38c9.499-.125 18.87-.75 28.25-2C184.9 477.6 218.5 512 256 512s71.12-34.38 93.86-88.63c9.374 1.25 18.75 1.875 28.25 2c43.49 0 77.49-13.62 93.11-41.38c18.75-33.5 6.499-80.63-27.62-128C477.7 208.6 489.1 161.5 471.2 128zM256 48c14.37 0 32.12 18.12 47.12 50C287.1 102.4 271.4 107.8 256 114.1c-15.37-6.375-31.12-11.76-47.12-16.14C223.9 66.12 241.6 48 256 48zM133.9 377.4c-26.5 0-46.74-6.625-52.74-17.38c-7.124-12.75-.5-37.63 18.62-66.63C111.4 305.2 123.8 316.5 136.8 327c2.25 16.5 5.374 33 9.624 49.13C142.3 376.4 137.9 377.4 133.9 377.4zM136.8 185C123.8 195.5 111.4 206.8 99.77 218.6C80.65 189.6 74.02 164.8 81.15 152c5.999-10.75 26.25-17.38 52.74-17.38c3.1 0 8.374 1 12.5 1.25C142.1 152 139 168.5 136.8 185zM256 464c-14.37 0-32.12-18.12-47.12-49.1C224.9 409.6 240.6 404.2 256 397.9c15.37 6.375 31.12 11.76 47.12 16.14C288.1 445.9 270.4 464 256 464zM256 352c-52.99 0-95.99-43-95.99-96S203 160 256 160s95.99 43 95.99 96S308.1 352 256 352zM430.9 360c-5.999 10.75-26.25 17.38-52.74 17.38c-3.1 0-8.374-1-12.5-1.25C369.9 360 372.1 343.5 375.2 327c12.1-10.5 25.37-21.75 36.1-33.63C431.4 322.4 437.1 347.2 430.9 360zM412.2 218.6C400.6 206.8 388.2 195.5 375.2 185C372.1 168.5 369.9 152 365.6 135.9c4.125-.25 8.499-1.25 12.5-1.25c26.5 0 46.74 6.625 52.74 17.38C437.1 164.8 431.4 189.6 412.2 218.6z"],
    "atom-simple": [448, 512, ["atom-alt"], "f5d3", "M397.9 255.9c53.63 83.37 66.75 161.2 27.13 200.7c-61.13 60.1-182.8-15.25-201-26.1c-18.12 11.62-140 87.99-201 26.1c-39.5-39.5-26.5-117.4 27.12-200.7C-3.52 172.4-16.52 94.66 22.98 55.03c39.63-39.5 117.5-26.5 201 27.12c83.5-53.62 161.4-66.75 201-27.12S451.5 172.4 397.9 255.9zM80.73 213.3c29.5-37.25 63.37-70.99 100.7-100.6C139.6 88.66 79.36 66.78 56.98 89.03C40.23 105.8 46.36 153.7 80.73 213.3zM181.5 398.9c-37.38-29.37-71.25-63.12-100.7-100.5c-34.38 59.62-40.5 107.6-23.75 124.2C73.73 439.4 121.7 433.3 181.5 398.9zM338.1 255.9c-32.5-43.1-71.25-82.87-115-115.4c-43.88 32.5-82.62 71.37-115 115.4c34 45.62 70 81.37 115 114.7C269.4 337 305.2 301.1 338.1 255.9zM255.1 255.1c0 17.62-14.25 32-32 32c-17.75 0-32-14.38-32-32c0-17.75 14.25-32.03 32-32.03C241.7 223.9 255.1 238.2 255.1 255.1zM367.2 298.4c-29.5 37.37-63.37 71.12-100.7 100.5c59.75 34.37 107.7 40.5 124.5 23.75C407.7 406 401.6 358 367.2 298.4zM266.5 112.7c37.38 29.5 71.25 63.37 100.7 100.6c34.38-59.62 40.5-107.5 23.75-124.2C368.7 66.78 308.6 88.53 266.5 112.7z"],
    "audio-description": [576, 512, [], "f29e", "M512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM528 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h448c8.822 0 16 7.178 16 16V416zM213.5 173.3c-8.125-16.25-34.81-16.25-42.94 0l-72 144c-5.938 11.86-1.125 26.27 10.75 32.2c11.88 5.969 26.28 1.125 32.19-10.73L150.8 320H233.2l9.367 18.73C246.8 347.1 255.2 352 264 352c3.594 0 7.25-.8125 10.69-2.531c11.88-5.938 16.69-20.34 10.75-32.2L213.5 173.3zM170.8 280L192 237.7L213.2 280H170.8zM384 160h-56c-13.25 0-24 10.75-24 24v144c0 13.25 10.75 24 24 24H384c52.94 0 96-43.06 96-96S436.9 160 384 160zM384 304h-32v-96h32c26.47 0 48 21.53 48 48S410.5 304 384 304z"],
    "audio-description-slash": [640, 512, [], "e0a8", "M96 432c-8.822 0-16-7.178-16-16V159.4L32 121.8l0 294.2c0 35.35 28.65 64 64 64l393.1 .0002L427.8 432H96zM173 232.3L130.5 317.3c-5.937 11.86-1.125 26.27 10.75 32.2c11.88 5.969 26.28 1.125 32.19-10.73l9.367-18.73h82.33l9.367 18.73c4.219 8.406 12.69 13.27 21.5 13.27c3.594 0 7.25-.8125 10.69-2.531c3.125-1.562 5.686-3.76 7.766-6.295l-80.6-63.17H202.8l8.741-17.48L173 232.3zM630.8 469.1l-30.73-24.09c4.623-8.785 7.922-18.37 7.922-29.02L608 96c0-35.35-28.65-64-64-64L96 32c-6.646 0-12.96 1.176-18.96 3.073L38.81 5.111C28.34-3.061 13.32-1.249 5.121 9.189C-3.051 19.63-1.233 34.72 9.189 42.89l591.1 463.1C605.6 510.3 610.8 512 615.1 512c7.125 0 14.16-3.161 18.9-9.193C643.1 492.4 641.2 477.3 630.8 469.1zM419.7 303.6l-35.68-27.97V208h32c26.47 0 48 21.53 48 48C464 281.2 444.4 301.7 419.7 303.6zM560 413.6l-95.78-75.08c28.44-16.68 47.78-47.24 47.78-82.53c0-52.94-43.06-96-96-96h-56c-13.25 0-24 10.75-24 24v54.04L134.4 80H544c8.822 0 16 7.178 16 16V413.6z"],
    "austral-sign": [448, 512, [], "e0a9", "M320.6 224H424C437.3 224 448 234.7 448 248C448 261.3 437.3 272 424 272H340.8L360.9 320H424C437.3 320 448 330.7 448 344C448 357.3 437.3 368 424 368H381.1L414.1 446.7C419.3 458.9 413.5 472.1 401.3 478.1C389.1 483.3 375 477.5 369.9 465.3L329 368H118.1L78.13 465.3C72.99 477.5 58.93 483.3 46.71 478.1C34.49 472.1 28.74 458.9 33.87 446.7L66.93 368H24C10.75 368 0 357.3 0 344C0 330.7 10.75 320 24 320H87.09L107.2 272H24C10.75 272 0 261.3 0 248C0 234.7 10.75 224 24 224H127.4L201.9 46.71C205.6 37.8 214.3 32 224 32C233.7 32 242.4 37.8 246.1 46.71L320.6 224zM268.5 224L224 117.1L179.5 224H268.5zM159.3 272L139.2 320H308.8L288.7 272H159.3z"],
    "avocado": [512, 512, [], "e0aa", "M512 142.3c0-72.05-56.44-142.3-140.5-142.3c-39.21 0-78.71 15.73-108.1 45.17C232.4 76.31 192.1 97.3 150.6 108.9C115.4 118.6 .0005 170.8 .0005 306.7c0 113.8 92.76 205.3 205.1 205.3c52.37 0 104.7-20.04 144.7-60.13c67.65-67.87 42.56-130 115.1-203.7l4.357-4.371C498 215.8 512 179.1 512 142.3zM463.1 142.3c0 25.29-10.03 49.74-27.9 67.67l-4.357 4.371C334.2 312.2 366.7 464 205.1 464c-68.51 0-157.1-55.16-157.1-157.3c0-73.22 50.04-133.6 115.3-151.5C295.8 118.9 291.1 48 371.5 48C429.8 48 463.1 97.93 463.1 142.3zM247 191.1c-60.51 0-119.1 58.66-119.1 119.3c0 28.31 17.39 72.66 72.49 72.66c60.51 0 119.1-58.66 119.1-119.3C319.5 236.3 302.1 191.1 247 191.1z"],
    "award": [384, 512, [], "f559", "M334.6 312c8.174-5.266 17.02-12.56 23.64-23.1c10.58-18.27 9.528-36.67 8.917-47.69c-.0234-.4102-.0508-.8184-.0781-1.229c.1602-.2363 .3184-.4746 .4766-.7129C373.7 229.1 383.1 213.5 383.1 192s-10.27-37.09-16.4-46.41c-.1543-.2363-.3105-.4707-.4668-.7031c.0273-.4082 .0547-.8145 .0762-1.223c.6133-11.01 1.663-29.42-8.907-47.68c-10.63-18.38-27.22-26.74-37.12-31.71c-.3145-.1582-.6309-.3125-.9453-.4687c-.1562-.3164-.3125-.6328-.4707-.9492c-4.971-9.898-13.32-26.49-31.71-37.13c-10.8-6.25-23.06-9.267-37.54-9.267c-3.32 0-6.729 .1641-10.14 .3535c-.4121 .0215-.8262 .0469-1.24 .0703c-.2363-.1582-.4727-.3164-.7109-.4727C229.1 10.27 213.5 0 192 0C170.5 0 154.9 10.27 145.6 16.4C145.4 16.56 145.1 16.71 144.9 16.87C144.5 16.84 144.1 16.82 143.7 16.79C140.2 16.61 136.8 16.44 133.5 16.44c-14.47 0-26.72 3.012-37.52 9.262C77.59 36.34 69.24 52.93 64.27 62.83c-.1582 .3145-.3125 .6289-.4668 .9434c-.3145 .1543-.6309 .3086-.9453 .4668C52.96 69.21 36.37 77.56 25.72 95.95C15.15 114.2 16.19 132.6 16.81 143.6c.0215 .4082 .0488 .8184 .0762 1.225C16.72 145.1 16.57 145.3 16.41 145.6C10.27 154.9 .0008 170.5 .0008 192c0 21.5 10.27 37.09 16.41 46.41C16.56 238.6 16.72 238.9 16.87 239.1C16.85 239.5 16.82 239.9 16.8 240.3C16.18 251.3 15.13 269.7 25.7 288c6.84 11.81 16.05 19.24 24.44 24.52l-48.42 120.7c-3.25 8.188-1.781 17.48 3.875 24.25c4.619 5.512 11.39 8.621 18.39 8.621c1.572 0 3.156-.1523 4.732-.4727l45.19-9.035l21.43 42.27C99.46 507 107.6 512 116.7 512c.3438 0 .6641-.0117 1.008-.0273c9.5-.375 17.65-6.082 21.24-14.88L184.6 384h15.65l44.8 113.1c3.594 8.797 11.74 14.5 21.24 14.88C266.6 511.1 266.1 512 267.3 512c9.094 0 17.23-4.973 21.35-13.14l21.43-42.28l45.19 9.035c1.576 .3203 3.16 .4727 4.732 .4727c7.008 0 13.77-3.109 18.39-8.621c5.656-6.766 7.125-16.06 3.875-24.25L334.6 312zM316.7 264c-6.07 10.49-22.54 13.14-31.05 21.66c-8.508 8.51-11.17 24.97-21.66 31.04c-3.916 2.266-8.58 2.832-13.51 2.832c-4.916 0-10.09-.5645-15.04-.5645c-3.188 0-6.283 .2344-9.156 1.002C214.9 323 204.4 336 192 336c-12.38 0-22.9-12.95-34.32-16.01C154.8 319.2 151.7 318.1 148.5 318.1c-4.945 0-10.11 .5605-15.02 .5605c-4.932 0-9.602-.5664-13.52-2.834C109.5 310.6 106.8 294.2 98.31 285.7C89.8 277.2 73.34 274.5 67.27 264C61.29 253.7 67.16 238.1 64.01 226.3C60.96 214.9 48 204.4 48 192c0-12.38 12.96-22.9 16.01-34.32c3.154-11.81-2.711-27.37 3.277-37.71C73.36 109.5 89.82 106.8 98.34 98.31c8.51-8.508 11.17-24.97 21.66-31.04c3.916-2.266 8.58-2.832 13.51-2.832c4.916 0 10.09 .5645 15.04 .5645c3.188 0 6.283-.2344 9.156-1.002C169.1 60.95 179.6 48 192 48c12.39 0 22.9 12.95 34.32 16.01c2.877 .7695 5.977 1.004 9.17 1.004c4.945 0 10.11-.5605 15.02-.5605c4.932 0 9.604 .5664 13.52 2.834c10.49 6.068 13.14 22.54 21.66 31.05c8.508 8.512 24.97 11.17 31.04 21.66c5.982 10.34 .1152 25.9 3.27 37.71C323.1 169.1 336 179.6 336 192c0 12.38-12.95 22.9-16.01 34.32C316.8 238.1 322.7 253.7 316.7 264zM192 128C156.7 128 128 156.6 128 192c0 35.33 28.65 64 64 64s64-28.67 64-64C256 156.6 227.3 128 192 128z"],
    "award-simple": [384, 512, [], "e0ab", "M384 192c0-21.5-10.27-37.09-16.4-46.41c-.1543-.2363-.3105-.4707-.4668-.7031c.0273-.4082 .0547-.8145 .0762-1.223c.6133-11.01 1.66-29.42-8.91-47.69c-10.63-18.38-27.22-26.73-37.12-31.71c-.3145-.1582-.6309-.3125-.9453-.4687c-.1562-.3164-.3125-.6328-.4707-.9492c-4.971-9.898-13.31-26.48-31.7-37.13c-10.8-6.25-23.07-9.271-37.54-9.271c-3.32 0-6.729 .1641-10.14 .3535c-.4121 .0215-.8262 .0469-1.24 .0703c-.2363-.1582-.4727-.3164-.7109-.4727C229.1 10.27 213.5 0 192 0C170.5 0 154.9 10.27 145.6 16.4C145.4 16.56 145.1 16.71 144.9 16.87C144.5 16.84 144.1 16.82 143.7 16.79C140.2 16.61 136.8 16.44 133.5 16.44c-14.47 0-26.72 3.016-37.52 9.266c-18.39 10.64-26.74 27.22-31.71 37.12c-.1582 .3145-.3125 .6289-.4668 .9434c-.3145 .1543-.6309 .3086-.9453 .4668C52.96 69.21 36.37 77.55 25.73 95.95C15.15 114.2 16.19 132.6 16.81 143.6c.0215 .4082 .0488 .8184 .0762 1.225C16.72 145.1 16.57 145.3 16.41 145.6C10.27 154.9 0 170.5 0 192c0 21.5 10.27 37.09 16.41 46.41C16.56 238.6 16.72 238.9 16.87 239.1C16.85 239.5 16.82 239.9 16.8 240.3C16.18 251.3 15.13 269.8 25.71 288c10.65 18.39 27.23 26.74 37.12 31.71c.3164 .1582 .6328 .3145 .9492 .4687c.1543 .3184 .3105 .6348 .4687 .9512c4.971 9.896 13.32 26.48 31.7 37.12c.8105 .4687 1.758 .5944 2.587 1.028l-27.79 133.4c-2.727 13.09 10.86 23.55 22.82 17.57L192 461.1l98.44 49.22c11.96 5.98 25.54-4.48 22.82-17.57l-27.79-133.4c.8145-.4277 1.756-.5534 2.555-1.016c18.4-10.64 26.74-27.23 31.72-37.13c.1562-.3125 .3105-.625 .4648-.9375c.3125-.1543 .627-.3086 .9414-.4668c9.898-4.973 26.49-13.32 37.13-31.71c10.58-18.27 9.531-36.68 8.92-47.69c-.0234-.4102-.0508-.8184-.0781-1.229c.1602-.2363 .3184-.4746 .4766-.7129C373.7 229.1 384 213.5 384 192zM319.1 226.3c-3.154 11.81 2.711 27.37-3.275 37.71c-6.07 10.49-22.54 13.14-31.05 21.66c-8.508 8.51-11.17 24.97-21.66 31.04c-3.916 2.266-8.58 2.832-13.51 2.832c-4.916 0-10.09-.5645-15.04-.5645c-3.188 0-6.283 .2344-9.156 1.002C214.9 323 204.4 336 192 336c-12.38 0-22.9-12.95-34.32-16.01C154.8 319.2 151.7 318.1 148.5 318.1c-4.945 0-10.11 .5605-15.02 .5605c-4.932 0-9.602-.5664-13.52-2.834C109.5 310.6 106.8 294.2 98.31 285.7C89.8 277.2 73.34 274.5 67.27 264C61.29 253.7 67.16 238.1 64.01 226.3C60.96 214.9 48 204.4 48 192c0-12.38 12.96-22.9 16.01-34.32c3.154-11.81-2.711-27.37 3.277-37.71C73.36 109.5 89.82 106.8 98.34 98.31c8.51-8.508 11.17-24.97 21.66-31.04c3.916-2.266 8.58-2.832 13.51-2.832c4.916 0 10.09 .5645 15.04 .5645c3.188 0 6.283-.2344 9.156-1.002C169.1 60.95 179.6 48 192 48c12.39 0 22.9 12.95 34.32 16.01c2.877 .7695 5.977 1.004 9.17 1.004c4.945 0 10.11-.5605 15.02-.5605c4.932 0 9.604 .5664 13.52 2.834c10.49 6.068 13.14 22.54 21.66 31.05c8.508 8.512 24.97 11.17 31.04 21.66c5.982 10.34 .1152 25.9 3.27 37.71C323.1 169.1 336 179.6 336 192C336 204.4 323 214.9 319.1 226.3zM192 128C156.7 128 128 156.6 128 192c0 35.33 28.65 64 64 64s64-28.67 64-64C256 156.6 227.3 128 192 128z"],
    "axe": [640, 512, [129683], "f6b2", "M9.373 434.7c-12.5 12.5-12.5 32.76 0 45.26l22.63 22.63C38.26 508.9 46.45 512 54.64 512s16.38-3.125 22.63-9.375l231.2-231.2L240.6 203.6L9.373 434.7zM525.7 160l-52.94-52.94l29.82-29.82c12.5-12.5 12.5-32.76-.0001-45.26l-22.62-22.62C473.8 3.124 465.6 0 457.4 0s-16.38 3.124-22.63 9.374l-29.82 29.82l-29.81-29.81c-6.25-6.25-14.44-9.375-22.63-9.375s-16.38 3.125-22.63 9.375L233.4 105.9C220.9 118.4 220.9 138.6 233.4 151.1l150.6 150.6L384 416l31.1-.0032C539.7 416 640 315.7 640 192V160L525.7 160zM432 367.3V281.9L278.6 128.5l73.87-73.85L505.9 208h85.41C583.7 292.3 516.3 359.6 432 367.3z"],
    "axe-battle": [512, 512, [], "f6b3", "M512 176.4c-3.75-68-31.25-128.9-73.5-171.6C435.3 1.5 431.4 0 427.6 0c-7.125 0-13.83 5.104-15.83 13.6C407 33.23 381.1 120 280 120v-64c0-13.26-10.75-23.1-24-23.1S232 42.74 232 56v64c-100 0-126.2-86.89-130.1-106.4C99.03 5.105 92.19 0 85.06 0C81.31 0 77.5 1.479 74.25 4.729C28.75 50.85 0 117.6 0 192s28.75 141.1 74.25 187.3C77.5 382.5 81.31 384 85.06 384c7.125 0 13.97-5.105 15.97-13.61C105.8 350.9 132 264 232 264v224C232 501.3 242.7 512 256 512s24-10.75 24-24v-224c101.1 0 127 86.77 131.8 106.4C413.8 378.9 420.5 384 427.6 384c3.75 0 7.625-1.5 10.88-4.75C480.8 336.5 508.3 275.6 512 207.6L496.8 192L512 176.4zM232 216c-70.75 0-123.3 33.88-155.1 87.5C58.25 270.6 48.13 232 48.13 192s10.12-78.63 28.75-111.5C108.6 133.9 161.1 168 232 168V216zM461.1 225.3C458.1 253.5 449.1 280 435.9 303.5C404.4 250.5 352.4 216 280 216v-48c71.13 0 123.8-33.38 155.9-87.5c13.25 23.5 22.25 50 26.12 78.25L429.5 192L461.1 225.3z"],
    "b": [320, 512, [98], "42", "M250.1 244.9C273.4 222.4 288 190.9 288 156C288 87.63 232.4 32 164 32H24C10.75 32 0 42.75 0 56v400C0 469.3 10.75 480 24 480h172C264.4 480 320 424.4 320 356C320 307.1 291.3 265.1 250.1 244.9zM48 80h116c41.91 0 76 34.09 76 76S205.9 232 164 232H48V80zM196 432H48V280h148c41.91 0 76 34.09 76 76S237.9 432 196 432z"],
    "baby": [448, 512, [], "f77c", "M359.7 216.2l42.8-30c14.5-10.1 18-30.1 7.799-44.6c-10.1-14.5-30.1-18-44.6-7.801l-42.8 30C264 205.1 184 205.1 125.1 163.8l-42.8-30c-14.5-10.2-34.5-6.6-44.6 7.801C27.5 156.1 31 176 45.5 186.2l42.8 30c17.4 12.2 36.2 21.4 55.6 28.5v86.26L95.1 396c-9.102 11.4-9.301 27.5-.6016 39.2l48 64C148.8 507.6 158.4 512 168.1 512c6.701 0 13.4-2.1 19.2-6.4c14.2-10.6 17-30.7 6.4-44.8l-33.1-44.2l18.3-22.9c11.3 9 25.2 14.2 39.8 14.2h10.1c14.6 0 28.5-5.201 39.8-14.2l18.3 22.9l-33.1 44.2c-10.6 14.1-7.799 34.2 6.4 44.8C266.9 509.9 273.6 512 280.3 512c9.799 0 19.3-4.4 25.6-12.8l48-64c8.799-11.7 8.5-27.8-.6016-39.2l-48.1-65.25V244.7C323.6 237.6 342.3 228.4 359.7 216.2zM272.1 333l-29.06 29.08C239.2 365.9 234.2 368 228.9 368H219.3c-5.359 0-10.36-2.078-14.11-5.875l-29.08-29.08V312h96V333zM224 159.1c44.2 0 79.99-35.8 79.99-79.1C303.1 35.8 268.2 0 224 0C179.8 0 144 35.8 144 79.1C144 124.2 179.8 159.1 224 159.1z"],
    "baby-carriage": [512, 512, ["carriage-baby"], "f77d", "M138.9 22.92L256 192H400V152C400 121.1 425.1 96 456 96H488C501.3 96 512 106.7 512 120C512 133.3 501.3 144 488 144H456C451.6 144 448 147.6 448 152V224C448 251.1 441.9 279.6 430.3 305.1C418.6 330.7 401.7 353.6 380.7 372.7C359.8 391.7 335.1 406.6 308.3 416.7C281.4 426.8 252.8 432 224 432C195.2 432 166.6 426.8 139.7 416.7C112.9 406.6 88.24 391.7 67.26 372.7C46.28 353.6 29.36 330.7 17.72 305.1C6.07 279.6 0 251.1 0 224V192H.1405C2.742 117.9 41.34 52.95 98.99 14.1C112.2 5.175 129.8 9.784 138.9 22.92V22.92zM61.4 285.2C70.24 304.6 83.21 322.3 99.55 337.1C115.9 351.1 135.3 363.8 156.6 371.8C178 379.9 200.9 384 224 384C247.1 384 270 379.9 291.4 371.8C312.7 363.8 332.1 351.1 348.5 337.1C364.8 322.3 377.8 304.6 386.6 285.2C388.6 280.9 390.3 276.5 391.9 272C395.5 261.6 397.9 250.9 399.1 240H48.88C50.08 250.9 52.5 261.6 56.11 272C57.65 276.5 59.42 280.9 61.4 285.2H61.4zM32 464C32 437.5 53.49 416 80 416C106.5 416 128 437.5 128 464C128 490.5 106.5 512 80 512C53.49 512 32 490.5 32 464zM416 464C416 490.5 394.5 512 368 512C341.5 512 320 490.5 320 464C320 437.5 341.5 416 368 416C394.5 416 416 437.5 416 464z"],
    "backpack": [448, 512, [127890], "f5d4", "M320 80h-8V56C312 25.12 286.9 0 256 0H192C161.1 0 136 25.12 136 56V80H128c-70.75 0-128 57.25-128 128V448c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V208C448 137.2 390.8 80 320 80zM184 56C184 51.62 187.6 48 192 48h64c4.375 0 8 3.625 8 8V80h-80V56zM320 464H128v-64h192V464zM320 352H128v-32c0-17.62 14.38-32 32-32h128c17.62 0 32 14.38 32 32V352zM400 448c0 8.875-7.125 16-16 16h-16V320c0-44.13-35.88-80-80-80H160c-44.12 0-80 35.88-80 80v144H64c-8.875 0-16-7.125-16-16V208C48 163.9 83.88 128 128 128h192c44.13 0 80 35.88 80 80V448zM304 160H143.1C135.1 160 128 167.1 128 175.1V192c0 8.875 7.125 16 16 16h160C312.9 208 320 200.9 320 192V176C320 167.1 312.9 160 304 160z"],
    "backward": [512, 512, [9194], "f04a", "M223.8 64c-7.002 0-14.15 2.305-20.29 7.406L11.44 231.4c-15.25 12.87-15.25 36.37 0 49.24l192 159.1C209.6 445.7 216.8 448 223.8 448c16.5 0 32.22-12.81 32.22-32.03v-319.9C255.1 76.81 240.3 64 223.8 64zM207.1 381.9L56.88 256l151.1-125.9V381.9zM495.4 67.95c-10.25-5.625-22.69-5.172-32.53 1.062l-163.7 104.2c-11.19 7.109-14.5 21.95-7.375 33.14c7.094 11.19 21.94 14.48 33.13 7.359L464 125.2v261.7l-139.1-88.52c-11.19-7.125-26.03-3.828-33.13 7.359c-7.125 11.19-3.812 26.03 7.375 33.14l163.7 104.2c5.219 3.344 11.11 5.023 17.08 5.023c5.281 0 10.7-1.32 15.48-3.945C505.6 438.4 512 427.7 512 415.1V96.03C512 84.34 505.6 73.58 495.4 67.95z"],
    "backward-fast": [512, 512, [9198, "fast-backward"], "f049", "M479.8 64c-7 0-14.14 2.307-20.29 7.406L288 227.9V96.03C288 76.81 272.3 64 255.8 64c-7 0-14.14 2.307-20.29 7.406L64 227.9V88.03c0-13.25-10.74-24-24-24c-13.25 0-24 10.74-24 23.1v335.9c0 13.26 10.75 24 24 24c13.26 0 24-10.74 24-24V285.2l171.5 155.3C241.6 445.7 248.8 448 255.8 448C272.3 448 288 435.2 288 415.1V285.2l171.5 155.3C465.6 445.7 472.8 448 479.8 448C496.3 448 512 435.2 512 415.1V96.03C512 76.81 496.3 64 479.8 64zM240 379.9L103.8 256.5L240 132.3V379.9zM464 379.9l-136.2-123.4L464 132.3V379.9z"],
    "backward-step": [320, 512, ["step-backward"], "f048", "M32 88v336C32 437.3 42.75 448 56 448s24-10.75 24-24V318.2l173.4 123.9C258.9 446 265.4 448 272 448c5 0 10.03-1.156 14.66-3.531c10.66-5.5 17.34-16.48 17.34-28.48V96.01c0-12-6.687-22.98-17.34-28.48c-4.619-2.357-9.648-3.529-14.66-3.529c-6.549 .002-13.07 2.002-18.59 5.967L80 193.8V88C80 74.75 69.25 64 56 64S32 74.75 32 88zM80 252.8L256 127.1v257.8L80 259.2V252.8z"],
    "bacon": [576, 512, [129363], "f7e5", "M564.7 99.68l-77.83-86.8C479.4 4.459 469 0 458.5 0c-5.193 0-10.42 1.1-15.34 3.36l-92.75 42.99c-51.13 23.69-93.34 64.03-122.1 116.6L207.7 200.7c-27.11 49.56-66.8 87.5-114.8 109.8l-68.88 31.94c-11.86 5.486-20.28 16.52-23.09 30.23c-2.938 14.35 .9062 29.18 10.31 39.65l77.83 86.8C96.64 507.5 106.1 512 117.5 512c5.188 0 10.41-1.11 15.33-3.375l92.75-42.99c51.13-23.69 93.34-64.03 122.1-116.6l20.66-37.76c27.11-49.56 66.8-87.5 114.8-109.8l68.88-31.94c11.86-5.484 20.28-16.52 23.09-30.23C577.1 124.1 574.1 110.1 564.7 99.68zM113.1 354c57.34-26.61 104.6-71.65 136.7-130.3l20.66-37.76c23.81-43.53 58.46-76.77 100.2-96.1l85.36-39.57l22.27 24.84L408.2 107.6C355.6 132 312.1 173.5 282.5 227.6L261.9 265.4c-26.28 48.05-64.7 84.81-111.2 106.3l-78.69 36.46l-22.21-24.77L113.1 354zM462.9 157.1c-57.34 26.61-104.6 71.65-136.7 130.3l-20.66 37.76c-23.81 43.54-58.46 76.77-100.2 96.11l-85.36 39.57l-25.62-28.57l69.81-32.35c52.7-24.42 96.19-65.92 125.8-120l20.66-37.75c26.28-48.03 64.7-84.8 111.1-106.3l78.9-36.59l25.56 28.5L462.9 157.1z"],
    "bacteria": [640, 512, [], "e059", "M191.1 128c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16c8.836 0 16-7.164 16-16C207.1 135.2 200.8 128 191.1 128zM111.1 224c-8.836 0-15.1 7.163-15.1 15.1S103.2 256 111.1 256c8.838 0 16-7.164 16-16S120.8 224 111.1 224zM399.1 384c-8.836 0-15.1 7.163-15.1 15.1s7.162 16 15.1 16c8.838 0 16-7.164 16-16S408.8 384 399.1 384zM613.8 231.3l13.46-3.98c9.439-2.781 14.81-12.65 12-22.04c-3.039-10.21-13.57-14.52-22.14-11.95l-13.59 4.02c-7.914-14.22-19.88-25.9-34.76-33.47l3.58-13.71c2.469-9.477-3.248-19.15-12.77-21.62c-10.36-2.639-19.46 4.046-21.72 12.71l-3.517 13.47c-2.512-.1016-23.41-2.252-46.96 12.3L477.6 157.1c-3.777-3.873-15.44-9.781-25.19-.3691c-7.063 6.822-7.225 18.04-.3711 25.07l9.821 10.07c-6.217 9.375-10.83 19.99-12.8 31.79c-.8184 4.883-2.369 9.469-3.76 14.13L436.2 233.5C427.4 229.4 416.8 233.1 412.6 242c-4.186 8.854-.3599 19.42 8.546 23.58l9.27 4.336c-9.199 13.67-21.15 25.2-35.11 34.03l-4.11-9.279c-3.922-8.822-14.33-13.05-23.49-9.074c-9 3.959-13.08 14.42-9.115 23.39l4.041 9.127c-3.791 1.021-7.46 2.33-11.39 2.982c-12.86 2.131-24.33 7.33-34.29 14.38l-10.47-9.436C299.5 319.7 288.1 319.7 281.3 327.3c-6.611 7.262-6.055 18.47 1.24 25.04l10.51 9.479c-8.004 13.9-11.92 30.04-10.67 46.93l-13.63 4.035c-9.428 2.793-14.8 12.66-11.99 22.05c2.783 9.385 12.69 14.71 22.15 11.94l13.57-4.019c8.117 14.52 20.26 26.11 34.85 33.52l-3.549 13.56c-2.48 9.479 3.224 19.16 12.75 21.62c9.566 2.482 19.25-3.221 21.72-12.69l3.484-13.31c7.436 .2715 19.21-.0664 48.59-8.465l3.97 11.11c3.305 9.223 13.5 14.11 22.75 10.76c9.266-3.277 14.1-13.41 10.81-22.65l-3.908-10.94c15.31-6.527 29.83-14.45 43.61-23.41l7.063 9.42c5.891 7.838 17.05 9.443 24.93 3.602c7.885-5.863 9.496-16.97 3.617-24.82l-6.992-9.324c12.62-10.66 24.22-22.44 34.81-35.12l9.504 6.912c7.932 5.795 19.08 4.076 24.89-3.855c5.811-7.906 4.07-19-3.874-24.77l-9.482-6.898c8.859-13.8 16.59-28.38 22.99-43.68l11.07 3.795c9.334 3.188 19.44-1.719 22.64-10.99c3.213-9.258-1.739-19.35-11.04-22.53l-11.18-3.832c2.625-9.467 4.951-19.06 6.6-28.91C614.2 244.2 614.2 237.7 613.8 231.3zM369.8 439.5c-1.982 .334-3.988 .502-5.963 .502c-17.31 0-32.52-12.94-35.38-30.11c-1.58-9.484 .627-19.02 6.215-26.84c5.586-7.82 13.88-12.1 23.38-14.58c70.95-11.83 126.6-67.45 138.4-138.4c2.904-17.44 17.79-30.09 35.4-30.09c1.99 0 3.996 .168 6.029 .5078c9.48 1.578 17.78 6.756 23.37 14.58c5.588 7.824 7.795 17.35 6.213 26.84C550.6 343.2 471.2 422.6 369.8 439.5zM272.3 226.4c9-3.957 13.08-14.42 9.115-23.39L277.4 193.9c3.791-1.021 7.46-2.329 11.39-2.983c12.86-2.131 24.33-7.328 34.29-14.38l10.47 9.435c6.969 6.301 18.28 6.326 25.15-1.236c6.609-7.26 6.053-18.47-1.24-25.04l-10.51-9.478c8.004-13.9 11.92-30.04 10.67-46.93l13.63-4.038c9.428-2.793 14.8-12.66 11.99-22.05c-2.781-9.385-12.69-14.71-22.15-11.94l-13.57 4.02c-8.115-14.52-20.26-26.11-34.85-33.52l3.547-13.56C318.7 12.73 313 3.04 303.5 .5811c-9.566-2.482-19.25 3.22-21.72 12.69L278.3 26.58C270.8 26.31 259.1 26.65 229.7 35.05L225.7 23.93C222.4 14.71 212.2 9.827 202.1 13.17C193.7 16.45 188.9 26.59 192.2 35.82l3.908 10.94c-15.31 6.525-29.84 14.45-43.61 23.41L145.4 60.76C139.5 52.92 128.3 51.32 120.5 57.16C112.6 63.02 110.1 74.13 116.8 81.98l6.992 9.325c-12.62 10.66-24.22 22.44-34.81 35.12L79.52 119.5c-7.932-5.795-19.08-4.074-24.89 3.855C48.82 131.3 50.56 142.4 58.51 148.1l9.482 6.899C59.13 168.8 51.4 183.4 45 198.7L33.93 194.9C24.6 191.7 14.5 196.6 11.3 205.9C8.086 215.2 13.04 225.3 22.34 228.4L33.52 232.3C30.89 241.7 28.57 251.3 26.92 261.2c-1.107 6.609-1.166 13.11-.7051 19.51L12.75 284.7C3.309 287.4-2.061 297.3 .7441 306.7c3.039 10.21 13.57 14.52 22.14 11.95l13.59-4.019c7.914 14.22 19.88 25.9 34.76 33.47l-3.578 13.71c-1.865 7.158 1.902 22.19 17.26 22.19c7.92 0 15.14-5.287 17.23-13.28l3.516-13.47c2.512 .1016 23.42 2.248 46.96-12.3l9.734 9.982c3.777 3.873 15.44 9.781 25.19 .3691c7.062-6.822 7.225-18.04 .3711-25.07l-9.821-10.07c6.217-9.375 10.83-19.99 12.8-31.79c.8164-4.883 2.367-9.471 3.76-14.13L203.8 278.5C212.6 282.6 223.2 278.9 227.4 269.1C231.6 261.1 227.8 250.6 218.9 246.4L209.6 242.1C218.8 228.4 230.8 216.9 244.7 208l4.11 9.278C252.8 226.2 263.3 230.3 272.3 226.4zM143.5 281.9C142.4 288.4 132.4 316.6 102.1 311.5C92.59 309.9 84.29 304.7 78.71 296.9c-5.588-7.824-7.795-17.36-6.213-26.84C89.37 168.8 168.8 89.38 270.2 72.48c29.75-4.994 40.21 22.8 41.34 29.61c3.258 19.52-9.859 38.13-29.6 41.42C210.1 155.3 155.3 210.1 143.5 281.9z"],
    "bacterium": [576, 512, [], "e05a", "M543 102.9c-3.711-12.51-16.92-19.61-29.53-15.92l-18.1 5.362c-10.82-19.36-27.01-34.81-46.47-44.69l4.729-18.08c3.309-12.64-4.299-25.55-16.99-28.83c-12.76-3.309-25.67 4.295-28.96 16.92L403 35.44c-7.357-.2676-14.85 .1934-22.38 1.457c-14.47 2.4-28.54 5.869-42.41 9.828l-5.295-14.82c-4.406-12.3-17.1-18.81-30.34-14.34c-12.35 4.371-18.8 17.88-14.41 30.2l5.211 14.59C273 71.05 253.6 81.62 235.3 93.57L225.9 81.01C217.1 70.56 203.1 68.42 192.6 76.21C182.1 84.03 179.9 98.83 187.8 109.3l9.324 12.43C180.3 135.9 164.8 151.7 150.7 168.6L138 159.3C127.5 151.6 112.6 153.9 104.8 164.5c-7.748 10.54-5.428 25.33 5.164 33.03l12.64 9.198C110.8 225.1 100.5 244.5 92.01 264.9L77.25 259.9C64.8 255.6 51.33 262.2 47.06 274.5C42.78 286.9 49.38 300.3 61.78 304.6L76.69 309.7c-3.502 12.62-6.604 25.41-8.801 38.54c-1.477 8.812-1.555 17.48-.9414 26.01l-17.95 5.308c-12.59 3.709-19.74 16.87-16 29.38c3.062 10.28 12.51 16.91 22.75 16.91c2.242 0 4.514-.3066 6.771-.9844l18.13-5.359c10.55 18.97 26.51 34.53 46.35 44.63l-4.772 18.28c-3.293 12.63 4.33 25.53 17.02 28.83C141.2 511.8 143.2 512 145.2 512c10.56 0 20.19-7.049 22.98-17.7L172.9 476.3c1.482 .0586 2.99 .3711 4.465 .3711c21.06 0 41.01-6.182 58.15-16.77l12.98 13.31c4.654 4.771 10.84 7.172 17.04 7.172c5.969 0 11.92-2.217 16.54-6.68c9.416-9.096 9.633-24.06 .4941-33.43l-13.09-13.43c8.289-12.5 14.44-26.66 17.07-42.38c1.09-6.512 2.889-12.75 4.744-18.96l12.4 5.803c3.264 1.523 6.695 2.246 10.08 2.246c8.922 0 17.46-5.018 21.51-13.59c5.582-11.8 .4785-25.89-11.4-31.45l-12.36-5.781c12.27-18.23 28.19-33.6 46.82-45.38l5.481 12.37c3.928 8.834 12.63 14.1 21.75 14.1c3.201 0 6.449-.6465 9.572-2c11.1-5.279 17.44-19.22 12.15-31.18L401.9 258.5c5.053-1.361 9.956-3.085 15.2-3.958c17.15-2.84 32.44-9.771 45.71-19.17l13.95 12.58c4.547 4.109 10.25 6.125 15.94 6.125c6.463 0 12.91-2.617 17.6-7.773c8.814-9.68 8.072-24.62-1.654-33.38l-14.02-12.64c10.67-18.53 15.89-40.05 14.23-62.57l18.17-5.381C539.6 128.6 546.7 115.4 543 102.9zM452.1 181.2c-9.934 13.91-24.69 23.11-41.56 25.92C322.7 221.8 253.8 290.7 239.1 378.5c-5.164 30.1-31.65 53.5-62.98 53.5c-3.539 0-7.104-.2969-10.67-.8945c-16.86-2.807-31.62-12.01-41.55-25.92c-9.936-13.91-13.86-30.85-11.05-47.72c23.63-141.8 134.8-252.1 276.7-276.6c3.516-.5918 7.086-.8906 10.62-.8906c30.8 0 57.86 23 62.95 53.51C465.9 150.4 462 167.3 452.1 181.2zM192 288c-17.67 0-31.1 14.33-31.1 31.1s14.33 31.1 31.1 31.1s31.1-14.33 31.1-31.1S209.7 288 192 288zM272 184c-13.25 0-23.92 10.74-23.92 23.1c0 13.25 10.67 24 23.92 24c13.26 0 23.1-10.75 23.1-23.1C295.1 194.7 285.3 184 272 184z"],
    "badge": [512, 512, [], "f335", "M167.9 43.41C188.2 17.04 220.1 0 256 0C291.9 0 323.8 17.04 344.1 43.41C377 39.1 411.6 49.59 437 74.98C462.4 100.4 472.9 134.1 468.6 167.9C494.1 188.2 512 220.1 512 256C512 291.9 494.1 323.8 468.6 344.1C472.9 377 462.4 411.6 437 437C411.6 462.4 377 472.9 344.1 468.6C323.8 494.1 291.9 512 256 512C220.1 512 188.2 494.1 167.9 468.6C134.1 472.9 100.4 462.4 74.98 437C49.6 411.6 39.1 377 43.41 344.1C17.04 323.8 0 291.9 0 255.1C0 220.1 17.04 188.2 43.42 167.9C39.1 134.1 49.6 100.4 74.98 74.98C100.4 49.6 134.1 39.1 167.9 43.41L167.9 43.41zM256 48C231.9 48 210.9 61.54 200.3 81.55L190.1 99.07L172 93.25C150.4 86.6 125.1 91.87 108.9 108.9C91.87 125.1 86.6 150.4 93.25 172L99.07 190.1L81.55 200.3C61.54 210.9 48 231.9 48 256C48 280.1 61.54 301.1 81.55 311.7L99.07 321L93.25 339.1C86.6 361.6 91.87 386 108.9 403.1C125.1 420.1 150.4 425.4 172 418.7L190.1 412.9L200.3 430.5C210.9 450.5 231.9 464 256 464C280.1 464 301.1 450.5 311.7 430.5L321 412.9L339.1 418.7C361.6 425.4 386 420.1 403.1 403.1C420.1 386 425.4 361.6 418.7 339.1L412.9 321L430.5 311.7C450.5 301.1 464 280.1 464 255.1C464 231.9 450.5 210.9 430.5 200.3L412.9 190.1L418.7 172C425.4 150.4 420.1 125.1 403.1 108.9C386 91.87 361.6 86.6 339.1 93.25L321 99.07L311.7 81.55C301.1 61.54 280.1 47.1 256 47.1V48z"],
    "badge-check": [512, 512, [], "f336", "M240.1 336.1C231.6 346.3 216.4 346.3 207 336.1L151 280.1C141.7 271.6 141.7 256.4 151 247C160.4 237.7 175.6 237.7 184.1 247L224 286.1L319 191C328.4 181.7 343.6 181.7 352.1 191C362.3 200.4 362.3 215.6 352.1 224.1L240.1 336.1zM344.1 43.41C377 39.1 411.6 49.59 437 74.98C462.4 100.4 472.9 134.1 468.6 167.9C494.1 188.2 512 220.1 512 256C512 291.9 494.1 323.8 468.6 344.1C472.9 377 462.4 411.6 437 437C411.6 462.4 377 472.9 344.1 468.6C323.8 494.1 291.9 512 256 512C220.1 512 188.2 494.1 167.9 468.6C134.1 472.9 100.4 462.4 74.98 437C49.6 411.6 39.1 377 43.41 344.1C17.04 323.8 0 291.9 0 256C0 220.1 17.04 188.2 43.42 167.9C39.1 134.1 49.6 100.4 74.98 74.98C100.4 49.6 134.1 39.1 167.9 43.41C188.2 17.04 220.1 0 256 0C291.9 0 323.8 17.04 344.1 43.41L344.1 43.41zM190.1 99.07L172 93.25C150.4 86.6 125.1 91.87 108.9 108.9C91.87 125.1 86.6 150.4 93.25 172L99.07 190.1L81.55 200.3C61.54 210.9 48 231.9 48 256C48 280.1 61.54 301.1 81.55 311.7L99.07 321L93.25 339.1C86.6 361.6 91.87 386 108.9 403.1C125.1 420.1 150.4 425.4 172 418.7L190.1 412.9L200.3 430.5C210.9 450.5 231.9 464 256 464C280.1 464 301.1 450.5 311.7 430.5L321 412.9L339.1 418.8C361.6 425.4 386 420.1 403.1 403.1C420.1 386 425.4 361.6 418.7 339.1L412.9 321L430.5 311.7C450.5 301.1 464 280.1 464 256C464 231.9 450.5 210.9 430.5 200.3L412.9 190.1L418.7 172C425.4 150.4 420.1 125.1 403.1 108.9C386 91.87 361.6 86.6 339.1 93.25L321 99.07L311.7 81.55C301.1 61.54 280.1 48 256 48C231.9 48 210.9 61.54 200.3 81.55L190.1 99.07z"],
    "badge-dollar": [512, 512, [], "f645", "M276.1 158.2C284.2 159.4 296.8 161.9 302 163.3C312.7 166.2 319.1 177.1 316.2 187.8C313.4 198.5 302.4 204.8 291.7 201.1C287.4 200.8 272.3 197.9 267.4 197.1C253.5 194.9 241.9 196.7 234.3 200.2C226.8 203.6 224.5 207.7 223.9 210.8C223.2 214.1 223.9 216.9 224.3 217.7C224.8 218.8 225.1 220.4 229.1 222.5C236.2 227.4 247.3 230.8 262.9 235.5L263.7 235.8C277.2 239.8 294.9 245.2 308 254.8C315.2 259.1 321.1 267 326.1 276.6C330.3 286.2 331.2 296.9 329.2 308C325.7 328.3 312.3 342.2 295.4 349.4C289.6 351.9 283.4 353.6 276.1 354.7V362.7C276.1 373.8 267.1 382.8 256.9 382.8C245.8 382.8 236.8 373.8 236.8 362.7V353.8C226.2 351.5 211.5 346.5 202.3 343.3C200.3 342.7 198.6 342.1 197.2 341.6C186.8 338.2 181.1 326.8 184.6 316.3C188.1 305.9 199.4 300.2 209.9 303.7C212.1 304.4 214.4 305.2 216.8 306C227.4 309.6 239.6 313.8 246.4 314.9C260.1 317.2 272.4 315.7 279.7 312.6C286.3 309.8 289 305.9 289.8 301.2C290.7 296.4 290 293.9 289.4 292.5C288.8 291.1 287.5 289.3 284.5 287.1C277.6 282.1 266.7 278.5 251.3 273.8L248.1 273.1C235.9 269.2 219.2 264.1 206.6 255.6C199.5 250.8 192.5 244.1 188.1 234.8C183.7 225.4 182.6 214.9 184.5 203.1C187.9 184.5 201.7 171 217.8 163.7C223.7 161.1 230.1 159.1 236.8 157.8V149.3C236.8 138.2 245.8 129.2 256.9 129.2C267.1 129.2 276.1 138.2 276.1 149.3L276.1 158.2zM344.1 43.41C377 39.1 411.6 49.59 437 74.98C462.4 100.4 472.9 134.1 468.6 167.9C494.1 188.2 512 220.1 512 256C512 291.9 494.1 323.8 468.6 344.1C472.9 377 462.4 411.6 437 437C411.6 462.4 377 472.9 344.1 468.6C323.8 494.1 291.9 512 256 512C220.1 512 188.2 494.1 167.9 468.6C134.1 472.9 100.4 462.4 74.98 437C49.6 411.6 39.1 377 43.41 344.1C17.04 323.8 0 291.9 0 256C0 220.1 17.04 188.2 43.42 167.9C39.1 134.1 49.6 100.4 74.98 74.98C100.4 49.6 134.1 39.1 167.9 43.41C188.2 17.04 220.1 0 256 0C291.9 0 323.8 17.04 344.1 43.41L344.1 43.41zM190.1 99.07L172 93.25C150.4 86.6 125.1 91.87 108.9 108.9C91.87 125.1 86.6 150.4 93.25 172L99.07 190.1L81.55 200.3C61.54 210.9 48 231.9 48 256C48 280.1 61.54 301.1 81.55 311.7L99.07 321L93.25 339.1C86.6 361.6 91.87 386 108.9 403.1C125.1 420.1 150.4 425.4 172 418.7L190.1 412.9L200.3 430.5C210.9 450.5 231.9 464 256 464C280.1 464 301.1 450.5 311.7 430.5L321 412.9L339.1 418.8C361.6 425.4 386 420.1 403.1 403.1C420.1 386 425.4 361.6 418.7 339.1L412.9 321L430.5 311.7C450.5 301.1 464 280.1 464 256C464 231.9 450.5 210.9 430.5 200.3L412.9 190.1L418.7 172C425.4 150.4 420.1 125.1 403.1 108.9C386 91.87 361.6 86.6 339.1 93.25L321 99.07L311.7 81.55C301.1 61.54 280.1 48 256 48C231.9 48 210.9 61.54 200.3 81.55L190.1 99.07z"],
    "badge-percent": [512, 512, [], "f646", "M160 192C160 174.3 174.3 160 192 160C209.7 160 224 174.3 224 192C224 209.7 209.7 224 192 224C174.3 224 160 209.7 160 192zM352 320C352 337.7 337.7 352 320 352C302.3 352 288 337.7 288 320C288 302.3 302.3 288 320 288C337.7 288 352 302.3 352 320zM208.1 336.1C199.6 346.3 184.4 346.3 175 336.1C165.7 327.6 165.7 312.4 175 303L303 175C312.4 165.7 327.6 165.7 336.1 175C346.3 184.4 346.3 199.6 336.1 208.1L208.1 336.1zM344.1 43.41C377 39.1 411.6 49.59 437 74.98C462.4 100.4 472.9 134.1 468.6 167.9C494.1 188.2 512 220.1 512 256C512 291.9 494.1 323.8 468.6 344.1C472.9 377 462.4 411.6 437 437C411.6 462.4 377 472.9 344.1 468.6C323.8 494.1 291.9 512 256 512C220.1 512 188.2 494.1 167.9 468.6C134.1 472.9 100.4 462.4 74.98 437C49.6 411.6 39.1 377 43.41 344.1C17.04 323.8 0 291.9 0 256C0 220.1 17.04 188.2 43.42 167.9C39.1 134.1 49.6 100.4 74.98 74.98C100.4 49.6 134.1 39.1 167.9 43.41C188.2 17.04 220.1 0 256 0C291.9 0 323.8 17.04 344.1 43.41L344.1 43.41zM190.1 99.07L172 93.25C150.4 86.6 125.1 91.87 108.9 108.9C91.87 125.1 86.6 150.4 93.25 172L99.07 190.1L81.55 200.3C61.54 210.9 48 231.9 48 256C48 280.1 61.54 301.1 81.55 311.7L99.07 321L93.25 339.1C86.6 361.6 91.87 386 108.9 403.1C125.1 420.1 150.4 425.4 172 418.7L190.1 412.9L200.3 430.5C210.9 450.5 231.9 464 256 464C280.1 464 301.1 450.5 311.7 430.5L321 412.9L339.1 418.8C361.6 425.4 386 420.1 403.1 403.1C420.1 386 425.4 361.6 418.7 339.1L412.9 321L430.5 311.7C450.5 301.1 464 280.1 464 256C464 231.9 450.5 210.9 430.5 200.3L412.9 190.1L418.7 172C425.4 150.4 420.1 125.1 403.1 108.9C386 91.87 361.6 86.6 339.1 93.25L321 99.07L311.7 81.55C301.1 61.54 280.1 48 256 48C231.9 48 210.9 61.54 200.3 81.55L190.1 99.07z"],
    "badge-sheriff": [512, 512, [], "f8a2", "M439.9 320c-1.124 0-2.124 .5-3.248 .625L398.2 256l38.48-64.62C437.8 191.5 438.8 192 439.9 192c19.99 .125 36.98-14.62 39.73-34.38c2.748-19.87-9.494-38.62-28.73-44.12C431.6 108.1 411.3 117.8 403.3 136h-76.45l-41.35-69.5C292.1 59.25 295.9 49.88 295.1 40C295.1 17.88 278.1 0 256 0S216 17.88 216 40C216.1 49.88 219.9 59.38 226.6 66.62L185.3 136h-76.58C100.7 117.6 80.36 108.1 61.12 113.5s-31.48 24.25-28.73 44C35.13 177.4 52.12 192 72.11 192C73.23 192 74.23 191.5 75.36 191.4L113.8 256L75.36 320.6C74.23 320.6 73.23 320 72.11 320c-19.99 0-36.98 14.62-39.73 34.5c-2.748 19.75 9.494 38.63 28.73 44S100.7 394.4 108.7 376h76.45l41.35 69.5C219.9 452.8 216.1 462.1 216 472C216 494.1 233.9 512 256 512s39.98-17.88 39.98-40c-.1249-9.875-3.873-19.38-10.62-26.62L326.7 376h76.58c7.995 18.38 28.36 27.88 47.6 22.5c19.24-5.375 31.48-24.25 28.73-44C476.9 334.6 459.9 320 439.9 320zM312.1 328c-8.37 0-16.24 4.5-20.49 11.75l-36.6 61.37l-36.48-61.37C215.1 332.5 207.3 328 198.8 328H126.8l35.48-59.63c4.497-7.625 4.497-16.1 0-24.62L126.8 184h72.21c8.37 0 16.24-4.5 20.49-11.75l36.6-61.37l36.48 61.37C296.9 179.5 304.7 184 313.2 184h71.96l-35.48 59.62c-4.497 7.625-4.497 17 0 24.62L385.2 328H312.1zM256 208C229.5 208 208 229.5 208 256S229.5 304 256 304s47.97-21.5 47.97-48S282.5 208 256 208z"],
    "badger-honey": [640, 512, [129441], "f6b4", "M622.3 142.5C596.6 127.1 579.5 116 551.6 97.12c-14.25-9.625-29.75-18-44.87-24.62c-13.38-5.75-27.38-8.479-41.25-8.479c-19.12 0-38.12 5.255-55.5 15.26C392.9 89.03 373.1 96.02 355 96.02H128c-70.75 0-128 57.26-128 128v15.95c0 8.875 7.125 16 16 16h20c7.125 30.38 23.88 55.89 45.1 73.14l-12.37 33c-6.25 16.88-7.375 34.88-2 55.25l13.62 34.25C86.38 468.4 101.8 480 119.5 480h63.12c12.25 0 24-5.25 31.75-14.75c8-9.875 10.75-22.75 7.75-35l-12.75-34.12L231.1 352h55.12l19.13 95.88C309.1 466.5 325.6 480 344.6 480h62.62c11.75 0 23.13-4.875 30.88-13.62c8.125-9.5 11.5-22 9.125-34.25l-25.5-127.3c53-31.75 91.12-46.84 119.4-54.59L560 287.1l23-46.12c22.5-2.75 33-2.75 40.88-19C631.1 207.8 640 187.2 640 175.3C640 161.4 633.1 148.6 622.3 142.5zM128 144h227c25.62 0 52.25-7.75 78.88-23.25C444 115 454.9 112 465.5 112c7.625 0 15.12 1.5 22.12 4.625c24.5 10.5 33.63 18.62 48.5 27.38l-76.17-.0505c-31.75 0-61.46 13.05-93.08 28.43l-100.6 61C257 237.8 247.3 240 237.5 240L192 240.1c-37 0-71.75-44.06-78.62-94.68C118.1 144.5 123 144 128 144zM584.6 193.4c-98.63 12.25-162.9 55.5-216.5 87.75C376.9 325.5 373 305.8 398.2 432h-47.12l-25.5-128H201.2l-44.13 89.5L171.5 432H125.1l-11.75-29.25c-2.5-11.63-.75-18.88 1.125-23.75l24.75-66.13L111.4 291.1c-14-10.88-24.25-27.25-28.62-46L74.12 208H49.62c4.25-20.75 16.62-38.38 33.5-49.88C94.12 216.6 135.6 272 192 272h45.5c14.75 0 29-3.25 44-10.5l100.6-61.12C408.9 187.5 435 176 460 176h16.75C478.8 185 486.4 192 496 192s17.25-7 19.25-16h80.38C592.3 181.2 586.6 188.9 584.6 193.4z"],
    "badminton": [640, 512, [], "e33a", "M511.1 399.1L512 431.1h96l-.0031-32.02c0-26.51-21.49-48.01-48-48.01S511.1 373.5 511.1 399.1zM544 495.1c0 8.844 7.153 16 15.1 16s16-7.159 16-16l.1181-47.97l-32.23 .0273L544 495.1zM575.1 155.9c0-118.8-102.8-155.9-160.6-155.9c-100.1 0-229.6 85.81-229.6 220.1c0 29.23 7.266 57.54 22.34 82.25l-68.01 54.45c-7.625-6.672-17.24-10.24-26.88-10.24c-8.396 0-16.81 2.704-23.94 8.416l-68.21 54.44c-.8922 .7094-21.09 15.4-21.09 43.88c0 12.64 4.221 24.8 12.25 34.9l2.219 2.781C25.53 504.8 41.83 512 58.32 512c12.21 0 24.52-3.969 34.82-12.19l68.21-54.44c14.59-11.66 15.05-27.68 15.05-30.28c0-.1723-.002-.2857-.002-.3351c0-7.332-2.37-14.32-6.115-20.65l69.11-55.34c.0918-.0742 .127-.1855 .2168-.2598c29.54 24.69 67.72 37.32 108.3 37.32C438.6 375.8 575.1 297.5 575.1 155.9zM62.75 462.3c-1.454 1.189-3.198 1.764-4.94 1.764c-2.377 0-4.749-1.07-6.372-3.108l-2.219-2.75c-1.455-1.831-1.762-3.742-1.762-5.072c0-3.418 2.121-5.492 3.012-6.209l62.03-49.47l12.25 15.38L62.75 462.3zM528.3 156.3c0 45.36-24.35 94.99-68.73 130.4c-34.59 27.56-74.85 41.37-111.8 41.37c-38.56 0-114.2-22.5-114.2-108.3c0-81.44 81.94-171.7 180.4-171.7h1.904C484.2 48.86 528.3 95.64 528.3 156.3zM624 495.1c0-1.671-.2634-3.371-.8185-5.043l-14.31-42.94l-32.75 .0325c0 .0096 0 0 0 0s0 .0018 0 0c0-.0069 0 0 0 0s0-.0096 0 0c0 1.637 .1519 3.394 .6954 5.031l15.1 48.01c2.25 6.688 8.5 10.94 15.19 10.94C616.1 511.1 624 504.7 624 495.1zM496.8 490.9c-.5552 1.672-.8185 3.372-.8185 5.043c0 8.709 7.03 16.02 16 16.02c6.688 0 12.94-4.251 15.19-10.94l16-48.01c.5435-1.636 .6954-3.366 .6954-5.003c0-.0096 0 0 0 0s0-.0069 0 0c0 .0018 0 0 0 0s0 .0096 0 0l-32.75-.0598L496.8 490.9z"],
    "bag-shopping": [448, 512, ["shopping-bag"], "f290", "M112 160V112C112 50.14 162.1 0 224 0C285.9 0 336 50.14 336 112V160H400C426.5 160 448 181.5 448 208V416C448 469 405 512 352 512H96C42.98 512 0 469 0 416V208C0 181.5 21.49 160 48 160H112zM160 160H288V112C288 76.65 259.3 48 224 48C188.7 48 160 76.65 160 112V160zM48 208V416C48 442.5 69.49 464 96 464H352C378.5 464 400 442.5 400 416V208H336V264C336 277.3 325.3 288 312 288C298.7 288 288 277.3 288 264V208H160V264C160 277.3 149.3 288 136 288C122.7 288 112 277.3 112 264V208H48z"],
    "bagel": [640, 512, [129391], "e3d7", "M208 240c-35.29 0-64 28.71-64 64c0 35.29 28.71 64 64 64s64-28.71 64-64C272 268.7 243.3 240 208 240zM208 320C199.2 320 192 312.8 192 304C192 295.2 199.2 288 208 288S224 295.2 224 304C224 312.8 216.8 320 208 320zM208 96C93.13 96 0 189.1 0 304S93.13 512 208 512S416 418.9 416 304S322.9 96 208 96zM208 464c-88.22 0-160-71.78-160-160s71.78-160 160-160s160 71.78 160 160S296.2 464 208 464zM160 224c8.836 0 16-7.164 16-16C176 199.2 168.8 192 160 192S144 199.2 144 208C144 216.8 151.2 224 160 224zM96 256C87.16 256 80 263.2 80 272C80 280.8 87.16 288 96 288s16-7.164 16-16C112 263.2 104.8 256 96 256zM240 400C231.2 400 224 407.2 224 416c0 8.836 7.164 16 16 16S256 424.8 256 416C256 407.2 248.8 400 240 400zM304 368C295.2 368 288 375.2 288 384c0 8.836 7.164 16 16 16S320 392.8 320 384C320 375.2 312.8 368 304 368zM304 224C295.2 224 288 231.2 288 240C288 248.8 295.2 256 304 256S320 248.8 320 240C320 231.2 312.8 224 304 224zM128 368c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16s16-7.164 16-16C144 375.2 136.8 368 128 368zM433.9 223.6c5.346 15.02 9.21 30.7 11.48 46.92C474.3 264.4 495.1 238.7 495.1 208c0-35.3-28.69-64-64-64c-13.33 0-25.76 4.163-36.02 11.16c9.984 12.59 18.72 26.17 26.05 40.63C424.8 193.5 428.2 192 432 192C440.8 192 448 199.2 448 208C448 216.2 441.8 222.6 433.9 223.6zM432 0c-63.46 0-120.2 28.52-158.4 73.33c17.2 4.887 33.68 11.48 49.07 19.88c2.895-5.711 6.201-11.07 11.27-14.62c13.42-9.377 34.64-5.072 50.77-10.1C400.3 63.63 414.8 48 431.1 48s31.68 15.63 47.25 20.5c16.11 5.039 37.34 .7187 50.75 10.1c13.55 9.473 15.79 30.24 25.66 43.23c9.777 12.89 29.73 21.28 35.01 36.72C595.7 173.5 584.9 191.5 584.9 208c0 16.51 10.8 34.51 5.76 49.44c-5.279 15.47-25.23 23.86-35.01 36.72c-9.871 13.01-12.11 33.78-25.66 43.25c-13.41 9.359-34.67 5.055-50.75 10.1c-13.24 4.131-25.76 15.49-39.76 18.98c-4.617 17.13-10.95 33.54-19.04 48.93C424.3 415.6 428.1 416 432 416c114.9 0 208-93.13 208-208S546.9 0 432 0z"],
    "bags-shopping": [576, 512, [128717], "f847", "M128 96C128 42.98 170.1 0 224 0C277 0 320 42.98 320 96V160H384C419.3 160 448 188.7 448 224H400C400 215.2 392.8 208 384 208H64C55.16 208 48 215.2 48 224V416C48 424.8 55.16 432 64 432H160V480H64C28.65 480 0 451.3 0 416V224C0 188.7 28.65 160 64 160H128V96zM176 160H272V96C272 69.49 250.5 48 224 48C197.5 48 176 69.49 176 96V160zM512 256C547.3 256 576 284.7 576 320V448C576 483.3 547.3 512 512 512H256C220.7 512 192 483.3 192 448V320C192 284.7 220.7 256 256 256H512zM320 336C320 327.2 312.8 320 304 320C295.2 320 288 327.2 288 336V352C288 405 330.1 448 384 448C437 448 480 405 480 352V336C480 327.2 472.8 320 464 320C455.2 320 448 327.2 448 336V352C448 387.3 419.3 416 384 416C348.7 416 320 387.3 320 352V336z"],
    "baguette": [640, 512, [129366], "e3d8", "M565.7 7.055C550.8 2.303 534.7 0 518.2 0c-36.6 0-74.87 11.38-105.9 32.65L80.88 259.7c-44.86 30.74-76.46 83.44-80.53 134.3c-1.979 24.08 4.307 48.37 17.61 68.4c13.4 20.16 33.41 35.27 56.29 42.54C89.24 509.7 105.4 512 121.8 512c36.58 0 74.82-11.41 105.9-32.68l331.4-227.1c44.87-30.74 76.46-83.44 80.53-134.3c1.98-24.08-4.307-48.37-17.61-68.4C608.6 29.43 588.6 14.32 565.7 7.055zM531.1 212.7L200.6 439.7C178.1 455.2 149.4 464 121.8 464c-11.87 0-22.99-1.623-33.07-4.832c-12.52-3.975-23.47-12.27-30.83-23.34c-7.389-11.13-10.86-24.61-9.752-38.04c2.91-36.4 26.95-75.98 59.81-98.5l17.42-11.93l49.6 49.6C179.7 341.7 185.8 344 192 344s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94L165.7 259.8l73.66-50.46l47.66 47.66C291.7 261.7 297.8 264 304 264s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94L279.6 181.7l73.66-50.46l45.72 45.72C403.7 181.7 409.8 184 416 184s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94l-39.38-39.38l45.84-31.41C461.9 56.84 490.6 48 518.2 48c11.86 0 22.97 1.617 33.01 4.803c12.52 3.975 23.47 12.27 30.83 23.34c7.391 11.13 10.86 24.6 9.752 38.04C588.9 150.6 564.8 190.2 531.1 212.7z"],
    "bahai": [512, 512, ["haykal"], "f666", "M496.3 202.5l-110-15.38l41.88-104.4c5.251-13.13-4.936-25.54-16.94-25.54c-3.125 0-6.565 .9121-9.69 2.912L307.5 120l-34.13-107.1C270.6 4.25 263.4 0 255.1 0C248.6 0 241.4 4.25 238.6 12.88L204.5 120L110.5 60.12c-3.125-2-6.524-2.887-9.649-2.887c-12 0-22.32 12.39-16.95 25.51l41.85 104.4L15.71 202.5C-1.792 205-5.917 228.8 9.71 237.2l98.14 52.63l-74.51 83.5c-10.88 12.25-1.657 31 13.35 31c1.375 0 2.657-.25 4.032-.5l108.6-23.63l-4.126 112.5C154.7 504.4 164.1 512 173.6 512c5.126 0 10.38-2.25 14.25-7.25l68.13-88.88l68.23 88.88C328.1 509.8 333.2 512 338.4 512c9.501 0 18.88-7.625 18.38-19.25l-4.032-112.5l108.5 23.63c1.375 .25 2.733 .4707 4.108 .4707c15 0 24.15-18.72 13.27-30.97l-74.51-83.5l98.14-52.72C517.9 228.7 513.8 205 496.3 202.5zM369 322l14 15.75l-79.89-17.38l3 82.75L256 337.8l-50.13 65.37l3-82.75l-79.89 17.38l54.76-61.5L111.6 237.5l80.89-11.38L161.7 149.4l69.14 44.12L256 114.6l25.13 78.88l69.14-44.12l-30.75 76.75l80.89 11.38l-72.14 38.75L369 322z"],
    "baht-sign": [320, 512, [], "e0ac", "M160 24V64H180C239.6 64 288 112.4 288 172C288 199.5 277.7 224.6 260.8 243.6C295.9 261.5 320 297.9 320 340C320 399.6 271.6 448 212 448H160V488C160 501.3 149.3 512 136 512C122.7 512 112 501.3 112 488V448H41.74C18.69 448 0 429.3 0 406.3V101.6C0 80.82 16.82 64 37.57 64H112V24C112 10.75 122.7 0 136 0C149.3 0 160 10.75 160 24V24zM112 112H48V232H112V112zM180 232C213.1 232 240 205.1 240 172C240 138.9 213.1 112 180 112H160V232H180zM112 280H48V400H112V280zM212 400C245.1 400 272 373.1 272 340C272 306.9 245.1 280 212 280H160V400H212z"],
    "ball-pile": [576, 512, [], "f77e", "M480 320c-10.41 0-20.3 2.081-29.68 5.174C468.5 307.7 480 283.3 480 256c0-53-43-96-96-96c-10.41 0-20.3 2.081-29.68 5.174C372.6 147.7 384 123.2 384 96c0-53-43-96-96-96S192 43 192 96c0 27.19 11.4 51.67 29.68 69.17C212.3 162.1 202.5 160 192 160C139 160 96 203 96 256c0 27.19 11.4 51.67 29.68 69.17C116.3 322.1 106.5 320 96 320c-53 0-96 43-96 96s43 96 96 96s96-43 96-96c0-27.19-11.4-51.67-29.68-69.17C171.7 349.9 181.5 352 192 352s20.3-2.081 29.68-5.174C203.4 364.3 192 388.8 192 416c0 53 43 96 96 96s96-43 96-96c0-27.19-11.4-51.67-29.68-69.17C363.7 349.9 373.5 352 384 352s20.3-2.081 29.68-5.174C395.4 364.3 384 388.8 384 416c0 53 43 96 96 96s96-43 96-96S533 320 480 320zM288 48c26.5 0 48 21.5 48 48S314.5 144 288 144S240 122.5 240 96S261.5 48 288 48zM317.7 325.2C308.3 322.1 298.5 320 288 320s-20.3 2.081-29.68 5.174C276.5 307.7 288 283.3 288 256S276.6 204.3 258.3 186.8C267.7 189.9 277.5 192 288 192s20.3-2.081 29.68-5.174C299.4 204.3 288 228.8 288 256S299.4 307.7 317.7 325.2zM96 464c-26.5 0-48-21.5-48-48s21.5-48 48-48s48 21.5 48 48S122.5 464 96 464zM192 304C165.5 304 144 282.5 144 256S165.5 208 192 208S240 229.5 240 256S218.5 304 192 304zM288 464c-26.5 0-48-21.5-48-48s21.5-48 48-48s48 21.5 48 48S314.5 464 288 464zM384 304c-26.5 0-48-21.5-48-48s21.5-48 48-48s48 21.5 48 48S410.5 304 384 304zM480 464c-26.5 0-48-21.5-48-48s21.5-48 48-48s48 21.5 48 48S506.5 464 480 464z"],
    "balloon": [384, 512, [], "e2e3", "M184 80C126.7 80 80 126.7 80 184c0 13.25 10.75 24 24 24S128 197.3 128 184C128 153.1 153.1 128 184 128c13.25 0 24-10.75 24-24S197.3 80 184 80zM384 192c0-105.9-86.13-192-192-192S0 86.13 0 192c0 77.22 86.33 182.1 147.1 226.6l-32.1 57.78c-4.156 7.438-4.031 16.5 .2813 23.81C119.6 507.5 127.5 512 136 512h112c8.5 0 16.38-4.5 20.69-11.84c4.312-7.312 4.438-16.38 .2813-23.81l-32.1-57.78C297.7 374.1 384 269.2 384 192zM192 391.3C162.3 378 48 266.8 48 192c0-79.41 64.59-144 144-144s144 64.59 144 144C336 266.8 221.7 378 192 391.3z"],
    "balloons": [640, 512, [], "e2e4", "M521.6 428.9C572.4 388.1 640 299.8 640 232.8C640 139.7 568.2 64 480 64c-54.09 0-101.8 28.63-130.8 72.11C350.9 146.8 352 157.7 352 168.8c0 30.95-11.31 63.97-27.87 95.5C326.8 275.1 330.8 286.3 336 297.9c19.9 44.04 64.79 100.1 102.4 131.1l-25.01 47.9c-3.875 7.438-3.594 16.34 .75 23.53S426.3 512 434.7 512h90.69c8.406 0 16.19-4.375 20.53-11.56s4.625-16.09 .75-23.53L521.6 428.9zM480 400.5c-19.31-11.69-74.5-65.31-100.3-122.4C371.9 260.9 368 245.6 368 232.8C368 166.2 418.3 112 480 112s112 54.19 112 120.8C592 294.6 506.7 384.6 480 400.5zM480 152c-39.69 0-72 32.31-72 72c0 13.25 10.75 24 24 24S456 237.3 456 224c0-13.22 10.78-24 24-24c13.25 0 24-10.75 24-24S493.3 152 480 152zM160 88C120.3 88 88 120.3 88 160c0 13.25 10.75 24 24 24S136 173.3 136 160c0-13.22 10.78-24 24-24c13.25 0 24-10.75 24-24S173.3 88 160 88zM320 168.8C320 75.72 248.2 0 160 0S0 75.72 0 168.8c0 67.03 67.64 156.1 118.4 196.1l-25.04 47.96c-3.875 7.438-3.594 16.34 .75 23.53S106.3 448 114.7 448h90.69c8.406 0 16.19-4.375 20.53-11.56s4.625-16.09 .75-23.53l-25.04-47.96C252.4 324.1 320 235.8 320 168.8zM160 336.5c-26.66-15.84-112-105.9-112-167.7C48 102.2 98.25 48 160 48s112 54.19 112 120.8C272 230.7 186.7 320.7 160 336.5z"],
    "ballot": [448, 512, [], "f732", "M128 352H96c-8.836 0-16 7.164-16 16v32C80 408.8 87.16 416 96 416h32c8.836 0 16-7.164 16-16v-32C144 359.2 136.8 352 128 352zM128 224H96C87.16 224 80 231.2 80 240v32C80 280.8 87.16 288 96 288h32c8.836 0 16-7.164 16-16v-32C144 231.2 136.8 224 128 224zM128 96H96C87.16 96 80 103.2 80 112v32C80 152.8 87.16 160 96 160h32c8.836 0 16-7.164 16-16v-32C144 103.2 136.8 96 128 96zM384 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V64C448 28.65 419.3 0 384 0zM400 448c0 8.824-7.178 16-16 16H64c-8.822 0-16-7.176-16-16V64c0-8.824 7.178-16 16-16h320c8.822 0 16 7.176 16 16V448zM344 104h-144C186.8 104 176 114.8 176 128s10.75 24 24 24h144c13.25 0 24-10.75 24-24S357.3 104 344 104zM344 232h-144C186.8 232 176 242.8 176 256s10.75 24 24 24h144c13.25 0 24-10.75 24-24S357.3 232 344 232zM344 360h-144c-13.25 0-24 10.75-24 24s10.75 24 24 24h144c13.25 0 24-10.75 24-24S357.3 360 344 360z"],
    "ballot-check": [448, 512, [], "f733", "M128 352H96c-8.836 0-16 7.164-16 16v32C80 408.8 87.16 416 96 416h32c8.836 0 16-7.164 16-16v-32C144 359.2 136.8 352 128 352zM96 160h32c8.836 0 16-7.164 16-16v-32C144 103.2 136.8 96 128 96H96C87.16 96 80 103.2 80 112v32C80 152.8 87.16 160 96 160zM344 360h-144c-13.25 0-24 10.75-24 24s10.75 24 24 24h144c13.25 0 24-10.75 24-24S357.3 360 344 360zM171.3 220.7c-6.25-6.25-16.38-6.25-22.62 0L112 257.4L99.31 244.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l24 24C103.8 294.4 107.9 296 112 296s8.188-1.562 11.31-4.688l48-48C177.6 237.1 177.6 226.9 171.3 220.7zM344 232h-112C218.8 232 208 242.8 208 256s10.75 24 24 24h112c13.25 0 24-10.75 24-24S357.3 232 344 232zM384 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V64C448 28.65 419.3 0 384 0zM400 448c0 8.824-7.178 16-16 16H64c-8.822 0-16-7.176-16-16V64c0-8.824 7.178-16 16-16h320c8.822 0 16 7.176 16 16V448zM344 104h-144C186.8 104 176 114.8 176 128s10.75 24 24 24h144c13.25 0 24-10.75 24-24S357.3 104 344 104z"],
    "ban": [512, 512, [128683, "cancel"], "f05e", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM92.93 126.9C64.8 162.3 48 207.2 48 256C48 370.9 141.1 464 256 464C304.8 464 349.7 447.2 385.1 419.1L92.93 126.9zM464 256C464 141.1 370.9 48 256 48C207.2 48 162.3 64.8 126.9 92.93L419.1 385.1C447.2 349.7 464 304.8 464 256z"],
    "ban-bug": [512, 512, ["debug"], "f7f9", "M140.9 272.3L174.1 265.5L275.2 365.7C269 367.2 262.6 368 255.1 368C236.2 368 218.1 360.8 204.2 348.1L176.2 365.7C168.7 370.3 158.8 367.8 154.3 360.2C149.7 352.7 152.2 342.8 159.8 338.3L184.3 323.6C180.4 315.6 177.7 306.1 176.6 297.8L147.1 303.7C138.5 305.4 130 299.8 128.3 291.1C126.6 282.5 132.2 274 140.9 272.3L140.9 272.3zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 464C304.8 464 349.7 447.2 385.1 419.1L92.93 126.9C64.8 162.3 48 207.2 48 256C48 370.9 141.1 464 256 464zM334.9 301L419.1 385.1C447.2 349.7 464 304.8 464 256C464 141.1 370.9 48 256 48C207.2 48 162.3 64.8 126.9 92.93L200.4 166.5C214.8 152.6 234.4 144 255.1 144C275.8 144 293.9 151.2 307.8 163L335.8 146.3C343.3 141.7 353.2 144.2 357.7 151.8C362.3 159.3 359.8 169.2 352.2 173.7L327.7 188.4C331.6 196.4 334.3 205.1 335.4 214.2L364.9 208.3C373.5 206.6 381.1 212.2 383.7 220.9C385.4 229.5 379.8 237.1 371.1 239.7L336 246.7V265.3L371.1 272.3C379.8 274 385.4 282.5 383.7 291.1C381.1 299.8 373.5 305.4 364.9 303.7L335.4 297.8C335.3 298.9 335.1 299.9 334.9 301V301z"],
    "ban-parking": [512, 512, ["parking-circle-slash"], "f616", "M168 265.9L222.1 320H216V360C216 373.3 205.3 384 192 384C178.7 384 168 373.3 168 360V265.9zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 464C304.8 464 349.7 447.2 385.1 419.1L92.93 126.9C64.8 162.3 48 207.2 48 256C48 370.9 141.1 464 256 464zM335.1 302L419.1 385.1C447.2 349.7 464 304.8 464 256C464 141.1 370.9 48 255.1 48C207.2 48 162.3 64.8 126.9 92.93L174.5 140.6C180.4 132.9 189.6 128 199.1 128H280C333 128 376 170.1 376 224C376 256.1 360.2 284.6 335.1 302H335.1zM301.1 267.1C317 259.3 328 242.9 328 224C328 197.5 306.5 176 280 176H216V182.1L301.1 267.1z"],
    "ban-smoking": [512, 512, [128685, "smoking-ban"], "f54d", "M112 320h106.3L122.2 224H112C103.2 224 96 231.2 96 240v64C96 312.8 103.2 320 112 320zM320.6 128C305 128 292 116.8 289.3 102.1C288.5 98.5 285.2 96 281.5 96h-16.25c-5 0-8.625 4.5-8 9.375C261.9 136.2 288.5 160 320.6 160C336.2 160 349.2 171.2 352 185.9C352.8 189.5 356 192 359.8 192h16.17c5 0 8.708-4.5 7.958-9.375C379.2 151.8 352.8 128 320.6 128zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.8 0-208-93.25-208-208c0-48.75 17-93.5 45.13-129l291.9 291.9C349.5 447 304.8 464 256 464zM289.9 256H384v32h-62.13L289.9 256zM418.9 385L353.9 320H400c8.75 0 16-7.25 16-16v-64C416 231.2 408.8 224 400 224h-142.1L127 93.12C162.5 65 207.3 48 256 48c114.8 0 208 93.25 208 208C464 304.8 447 349.5 418.9 385z"],
    "banana": [576, 512, [], "e2e5", "M293.3 146.4c0 51.19-12.77 69.4-12.77 80.76c0 13.15 10.75 23.91 24.04 23.91c10.1 0 19.46-6.406 22.78-16.51c4.207-12.82 13.98-43.75 13.98-88.14c0-51.31-13.34-83.79-13.34-88.68c0-5.878 5.104-9.955 8.524-9.955c4.266 0 71.47 60.86 71.47 167.2c0 18.26-1.852 28.59-1.852 32.08c0 4.617 3.758 23.9 24.03 23.9c26.98 0 25.83-31.53 25.83-56.07C456 106.2 387.9 0 336.5 0C307.6 0 280.1 24.25 280.1 57.97C280.1 78 293.3 95.45 293.3 146.4zM575.1 390.5c0-3.695-.8637-7.445-2.687-10.96l-15.12-29.17c-21.05-40.62-63.08-64.65-106.9-64.65c-13.43 0-27.02 2.257-40.22 6.984l-84.84 30.34L297.6 294.6C274.4 271.4 243.7 259.5 212.8 259.5c-23.72 0-47.57 6.985-68.29 21.25L106.3 307.1C99.61 311.7 95.1 319.2 95.1 326.8c0 14.96 12.7 23.92 24.04 23.92c4.695 0 9.443-1.379 13.61-4.269l38.13-26.29c12.43-8.543 26.71-12.72 40.91-12.72c10.64 0 21.24 2.344 30.97 6.949c-50.62 62.37-128.3 100.1-211.4 100.1C14.42 414.4 0 428.8 0 446.5v31.45c0 17.72 14.66 32.09 32.46 32.09l28.98 .0009c68.41 0 286.5 25.73 363.9-171.6c9.021-3.227 17.95-4.722 26.53-4.722c27.65 0 51.7 15.53 63.7 38.63l15.12 29.17c3.484 6.737 11.74 13.01 21.41 13.01C564.1 414.5 575.1 404.6 575.1 390.5z"],
    "bandage": [640, 512, [129657, "band-aid"], "f462", "M560 96C604.2 96 640 131.8 640 176V336C640 380.2 604.2 416 560 416H80C35.82 416 0 380.2 0 336V176C0 131.8 35.82 96 80 96H560zM448 368H560C577.7 368 592 353.7 592 336V176C592 158.3 577.7 144 560 144H448V368zM192 144H80C62.33 144 48 158.3 48 176V336C48 353.7 62.33 368 80 368H192V144zM272 232C285.3 232 296 221.3 296 208C296 194.7 285.3 184 272 184C258.7 184 248 194.7 248 208C248 221.3 258.7 232 272 232zM368 184C354.7 184 344 194.7 344 208C344 221.3 354.7 232 368 232C381.3 232 392 221.3 392 208C392 194.7 381.3 184 368 184zM272 328C285.3 328 296 317.3 296 304C296 290.7 285.3 280 272 280C258.7 280 248 290.7 248 304C248 317.3 258.7 328 272 328zM368 280C354.7 280 344 290.7 344 304C344 317.3 354.7 328 368 328C381.3 328 392 317.3 392 304C392 290.7 381.3 280 368 280z"],
    "bangladeshi-taka-sign": [384, 512, [], "e2e6", "M48.75 34.35C93.74 38.85 127.1 76.71 127.1 121.9V175.1H167.1C181.3 175.1 191.1 186.7 191.1 199.1C191.1 213.3 181.3 223.1 167.1 223.1H127.1V391.1C127.1 414.1 145.9 431.1 167.1 431.1H199.1C275.1 431.1 335.1 371.1 335.1 295.1V263.1C335.1 241.9 318.1 223.1 295.1 223.1H279.1C266.7 223.1 255.1 213.3 255.1 199.1C255.1 186.7 266.7 175.1 279.1 175.1H295.1C344.6 175.1 383.1 215.4 383.1 263.1V295.1C383.1 397.6 301.6 479.1 199.1 479.1H167.1C119.4 479.1 79.1 440.6 79.1 391.1V223.1H23.1C10.74 223.1-.0019 213.3-.0019 199.1C-.0019 186.7 10.74 175.1 23.1 175.1H79.1V121.9C79.1 101.4 64.43 84.16 43.98 82.12L21.61 79.88C8.421 78.56-1.202 66.8 .1171 53.61C1.436 40.42 13.2 30.8 26.39 32.12L48.75 34.35z"],
    "banjo": [512, 512, [129685], "f8a3", "M502.6 38.1l-29.63-29.62c-12.5-12.5-32.75-12.5-45.25 0l-46.25 46.38c-3.875 3.875-6.75 8.5-8.5 13.75L355.2 123l-62.88 62.88C270.6 169.6 245.4 159 218.8 154.6l-.6384-.5C218.1 139.8 206.5 128 192 128C177.5 128 165.8 139.8 165.8 154.1L165.7 154.6c-26.25 4-50.87 14.23-72.24 29.86C83.24 174.9 66.88 174.9 56.88 184.9c-9.876 10-10.25 26-.625 36.37C40.75 242.6 30.76 267.6 26.64 293.7L26.25 293.8C11.75 293.8 0 305.5 0 320c0 14.38 11.75 26.12 26.25 26.12l.3792 .02c4.125 26.12 14.36 50.99 29.86 72.36c-7.001 6.5-10.12 16.62-7.743 25.87c2.375 9.25 9.625 16.5 18.88 18.87c9.251 2.375 19.13-.4999 25.63-7.5c21.38 15.5 46.37 25.54 72.63 29.54v.4616C165.9 500.2 177.5 512 192 512c14.5 0 26.13-11.75 26.13-26.25v-.4616c26.25-4 51.01-14.28 72.38-29.78c6.501 7 16.62 10.12 25.87 7.743c9.251-2.375 16.5-9.625 18.88-18.87c2.375-9.25-.4995-19.13-7.5-25.62c15.5-21.38 25.49-46.48 29.62-72.61l.3821-.02c14.5 0 26.25-11.75 26.25-26.12c0-14.5-11.75-26.25-26.25-26.25l-.3885-.0508C353.1 266.8 342.4 241.5 326.2 219.8l63.01-63l53.35-17.75c5.125-1.75 9.875-4.625 13.75-8.5L502.6 84.17C515 71.67 515.1 51.5 502.6 38.1zM192 440c-66.26 0-120-53.75-120-120s53.75-120 120-120s120 53.75 120 120C311.9 386.2 258.3 439.9 192 440zM150.6 308.8c-6.251-6.25-16.38-6.25-22.63 0L116.6 320c-6.251 6.25-6.251 16.38 0 22.62l52.75 52.62c6.251 6.25 16.38 6.25 22.63 0L203.3 384c6.251-6.25 6.251-16.38 0-22.62L150.6 308.8z"],
    "barcode": [512, 512, [], "f02a", "M48 55.1V455.1C48 469.3 37.25 479.1 24 479.1C10.75 479.1 0 469.3 0 455.1V55.1C0 42.74 10.75 31.1 24 31.1C37.25 31.1 48 42.74 48 55.1V55.1zM128 47.1V463.1C128 472.8 120.8 479.1 112 479.1C103.2 479.1 96 472.8 96 463.1V47.1C96 39.16 103.2 31.1 112 31.1C120.8 31.1 128 39.16 128 47.1V47.1zM208 55.1V455.1C208 469.3 197.3 479.1 184 479.1C170.7 479.1 160 469.3 160 455.1V55.1C160 42.74 170.7 31.1 184 31.1C197.3 31.1 208 42.74 208 55.1V55.1zM320 55.1V455.1C320 469.3 309.3 479.1 296 479.1C282.7 479.1 272 469.3 272 455.1V55.1C272 42.74 282.7 31.1 296 31.1C309.3 31.1 320 42.74 320 55.1V55.1zM464 55.1C464 42.74 474.7 31.1 488 31.1C501.3 31.1 512 42.74 512 55.1V455.1C512 469.3 501.3 479.1 488 479.1C474.7 479.1 464 469.3 464 455.1V55.1zM400 47.1C400 39.16 407.2 31.1 416 31.1C424.8 31.1 432 39.16 432 47.1V463.1C432 472.8 424.8 479.1 416 479.1C407.2 479.1 400 472.8 400 463.1V47.1z"],
    "barcode-read": [576, 512, [], "f464", "M56 47.1C51.58 47.1 48 51.58 48 55.1V135.1C48 149.3 37.25 159.1 24 159.1C10.75 159.1 0 149.3 0 135.1V55.1C0 25.07 25.07-.002 56-.002H136C149.3-.002 160 10.74 160 23.1C160 37.25 149.3 47.1 136 47.1H56zM144 151.1V359.1C144 373.3 133.3 383.1 120 383.1C106.7 383.1 96 373.3 96 359.1V151.1C96 138.7 106.7 127.1 120 127.1C133.3 127.1 144 138.7 144 151.1V151.1zM176 143.1C176 135.2 183.2 127.1 192 127.1C200.8 127.1 208 135.2 208 143.1V367.1C208 376.8 200.8 383.1 192 383.1C183.2 383.1 176 376.8 176 367.1V143.1zM448 143.1C448 135.2 455.2 127.1 464 127.1C472.8 127.1 480 135.2 480 143.1V367.1C480 376.8 472.8 383.1 464 383.1C455.2 383.1 448 376.8 448 367.1V143.1zM240 151.1C240 138.7 250.7 127.1 264 127.1C277.3 127.1 288 138.7 288 151.1V359.1C288 373.3 277.3 383.1 264 383.1C250.7 383.1 240 373.3 240 359.1V151.1zM416 151.1V359.1C416 373.3 405.3 383.1 392 383.1C378.7 383.1 368 373.3 368 359.1V151.1C368 138.7 378.7 127.1 392 127.1C405.3 127.1 416 138.7 416 151.1V151.1zM528 55.1C528 51.58 524.4 47.1 520 47.1H440C426.7 47.1 416 37.25 416 23.1C416 10.74 426.7-.002 440-.002H520C550.9-.002 576 25.07 576 55.1V135.1C576 149.3 565.3 159.1 552 159.1C538.7 159.1 528 149.3 528 135.1V55.1zM136 463.1C149.3 463.1 160 474.7 160 487.1C160 501.3 149.3 511.1 136 511.1H56C25.07 511.1 0 486.9 0 455.1V375.1C0 362.7 10.75 351.1 24 351.1C37.25 351.1 48 362.7 48 375.1V455.1C48 460.4 51.58 463.1 56 463.1H136zM528 375.1C528 362.7 538.7 351.1 552 351.1C565.3 351.1 576 362.7 576 375.1V455.1C576 486.9 550.9 511.1 520 511.1H440C426.7 511.1 416 501.3 416 487.1C416 474.7 426.7 463.1 440 463.1H520C524.4 463.1 528 460.4 528 455.1V375.1z"],
    "barcode-scan": [640, 512, [], "f465", "M112 55.1V191.1H64V55.1C64 42.74 74.75 31.1 88 31.1C101.3 31.1 112 42.74 112 55.1V55.1zM64 455.1V319.1H112V455.1C112 469.3 101.3 479.1 88 479.1C74.75 479.1 64 469.3 64 455.1zM160 463.1V319.1H192V463.1C192 472.8 184.8 479.1 176 479.1C167.2 479.1 160 472.8 160 463.1zM224 455.1V319.1H272V455.1C272 469.3 261.3 479.1 248 479.1C234.7 479.1 224 469.3 224 455.1zM248 31.1C261.3 31.1 272 42.74 272 55.1V191.1H224V55.1C224 42.74 234.7 31.1 248 31.1V31.1zM336 455.1V319.1H384V455.1C384 469.3 373.3 479.1 360 479.1C346.7 479.1 336 469.3 336 455.1zM360 31.1C373.3 31.1 384 42.74 384 55.1V191.1H336V55.1C336 42.74 346.7 31.1 360 31.1V31.1zM464 463.1V319.1H496V463.1C496 472.8 488.8 479.1 480 479.1C471.2 479.1 464 472.8 464 463.1zM480 31.1C488.8 31.1 496 39.16 496 47.1V191.1H464V47.1C464 39.16 471.2 31.1 480 31.1V31.1zM528 455.1V319.1H576V455.1C576 469.3 565.3 479.1 552 479.1C538.7 479.1 528 469.3 528 455.1zM552 31.1C565.3 31.1 576 42.74 576 55.1V191.1H528V55.1C528 42.74 538.7 31.1 552 31.1V31.1zM160 47.1C160 39.16 167.2 31.1 176 31.1C184.8 31.1 192 39.16 192 47.1V191.1H160V47.1zM24 231.1H616C629.3 231.1 640 242.7 640 255.1C640 269.3 629.3 279.1 616 279.1H24C10.75 279.1 0 269.3 0 255.1C0 242.7 10.75 231.1 24 231.1V231.1z"],
    "bars": [448, 512, ["navicon"], "f0c9", "M0 88C0 74.75 10.75 64 24 64H424C437.3 64 448 74.75 448 88C448 101.3 437.3 112 424 112H24C10.75 112 0 101.3 0 88zM0 248C0 234.7 10.75 224 24 224H424C437.3 224 448 234.7 448 248C448 261.3 437.3 272 424 272H24C10.75 272 0 261.3 0 248zM424 432H24C10.75 432 0 421.3 0 408C0 394.7 10.75 384 24 384H424C437.3 384 448 394.7 448 408C448 421.3 437.3 432 424 432z"],
    "bars-filter": [448, 512, [], "e0ad", "M0 88C0 74.75 10.75 64 24 64H424C437.3 64 448 74.75 448 88C448 101.3 437.3 112 424 112H24C10.75 112 0 101.3 0 88zM64 248C64 234.7 74.75 224 88 224H360C373.3 224 384 234.7 384 248C384 261.3 373.3 272 360 272H88C74.75 272 64 261.3 64 248zM264 432H184C170.7 432 160 421.3 160 408C160 394.7 170.7 384 184 384H264C277.3 384 288 394.7 288 408C288 421.3 277.3 432 264 432z"],
    "bars-progress": [512, 512, ["tasks-alt"], "f828", "M464 64C490.5 64 512 85.49 512 112V176C512 202.5 490.5 224 464 224H48C21.49 224 0 202.5 0 176V112C0 85.49 21.49 64 48 64H464zM464 112H320V176H464V112zM464 288C490.5 288 512 309.5 512 336V400C512 426.5 490.5 448 464 448H48C21.49 448 0 426.5 0 400V336C0 309.5 21.49 288 48 288H464zM464 336H192V400H464V336z"],
    "bars-sort": [448, 512, [], "e0ae", "M0 88C0 74.75 10.75 64 24 64H424C437.3 64 448 74.75 448 88C448 101.3 437.3 112 424 112H24C10.75 112 0 101.3 0 88zM0 248C0 234.7 10.75 224 24 224H296C309.3 224 320 234.7 320 248C320 261.3 309.3 272 296 272H24C10.75 272 0 261.3 0 248zM168 432H24C10.75 432 0 421.3 0 408C0 394.7 10.75 384 24 384H168C181.3 384 192 394.7 192 408C192 421.3 181.3 432 168 432z"],
    "bars-staggered": [512, 512, ["reorder", "stream"], "f550", "M0 88C0 74.75 10.75 64 24 64H424C437.3 64 448 74.75 448 88C448 101.3 437.3 112 424 112H24C10.75 112 0 101.3 0 88zM64 248C64 234.7 74.75 224 88 224H488C501.3 224 512 234.7 512 248C512 261.3 501.3 272 488 272H88C74.75 272 64 261.3 64 248zM424 432H24C10.75 432 0 421.3 0 408C0 394.7 10.75 384 24 384H424C437.3 384 448 394.7 448 408C448 421.3 437.3 432 424 432z"],
    "baseball": [512, 512, [129358, 9918, "baseball-ball"], "f433", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM296.2 460c.2572-10.46 .4785-9.2 .4785-11.59c0-9.1-7.065-23.92-23.93-23.92c-12.19 0-22.93 9.427-23.97 21.99c-.4824 5.68-.709 11.39-.7246 17.09c-108.3-4.133-195.5-91.28-199.6-199.6c.0576-.0001 2.753 .0141 4.242 .0141c13.51 0 36.8-1.172 36.8-24.77c0-20.41-19.61-24.03-24.02-24.03c-2.217 0-2.762 .2998-7.163 .2998c-1.799 0-6.237-.0479-6.242-.0479c16.33-82.37 81.41-147.3 163.8-163.5c-.2805 11.19-.537 10.04-.537 12.56c0 9.258 7.257 23.97 24.03 23.97c12.34 0 22.81-9.469 23.88-21.97c.5156-6.031 .7715-12.06 .7871-18.12C372.5 52.56 459.7 140 463.6 248.5C461.1 248.5 458.6 248.5 456 248.5c-4.246 0-8.501 .1193-12.77 .5449c-12.38 1.203-21.65 11.63-21.65 23.82c0 9.07 6.946 24.1 23.5 24.1c2.526 0 3.033-.3976 8.46-.3976c1.867 0 6.401 .0441 6.405 .0441C443.6 378.9 378.6 443.8 296.2 460zM246.2 128.9c0-6.546-5.204-24-23.93-24c-9.054 0-17.78 5.135-21.86 13.91c-38.11 82.29-94.79 70.25-94.79 103c0 18.71 17.12 24 24.04 24C161.7 245.8 246.2 163.6 246.2 128.9zM381.5 266.6c-32.27 0-116.1 82.71-116.1 117.5c0 6.58 5.254 24 24 24c9.094 0 17.78-5.188 21.81-14.03c37.75-82.56 94.25-70.68 94.25-103.4C405.5 271.9 388.4 266.6 381.5 266.6z"],
    "baseball-bat-ball": [640, 512, [], "f432", "M512 320c-52.88 0-96 43.13-96 96s43.13 96 96 96s96-43.13 96-96S564.9 320 512 320zM511.1 464c-26.51 0-48.02-21.51-48.02-48.02s21.51-48.03 48.02-48.03c26.51 0 48.02 21.52 48.02 48.03S538.5 464 511.1 464zM640 98.65c0-15.41-4.592-30.84-14.41-44.24L608.8 32.41c-15.95-21.76-39.98-32.41-64.11-32.41c-16.91 0-33.87 5.23-48.14 15.53L308.7 152.2c-48 34.63-92 73.27-130.1 117.8c-54.75 62.64-106 101.3-135.5 122.5c-4.816-5.524-11.56-8.4-18.36-8.4c-5.205 0-10.45 1.683-14.89 5.15c-5.882 4.735-8.965 11.73-8.965 18.78c0 5.23 1.7 10.48 5.215 14.85l64 80.02c4.592 5.758 11.65 9.008 18.89 9.008c5.178 0 10.45-1.662 14.99-5.258c5.74-4.654 8.641-11.38 8.641-18.21c0-4.173-1.084-8.382-3.266-12.18c29.12-21 81.88-56.63 155.1-88.02c54.75-23 106.5-52.13 154.6-86.89l185.9-135.4C627.3 149.8 640 124.2 640 98.65zM589.2 101.3c0 9.955-4.579 19.95-13.27 26.98l-185.1 135.6c-75 52.76-136.4 76.02-161.6 87.64L202.1 314.5c18.88-20.25 59.75-69.26 134.8-123.4l187.9-136.3c5.76-4.16 12.84-6.386 19.94-6.386c9.538 0 19.11 4.018 25.56 12.76l13 21.51C587.3 88.31 589.2 94.81 589.2 101.3z"],
    "basket-shopping": [576, 512, ["shopping-basket"], "f291", "M224 392C224 405.3 213.3 416 200 416C186.7 416 176 405.3 176 392V312C176 298.7 186.7 288 200 288C213.3 288 224 298.7 224 312V392zM288 288C301.3 288 312 298.7 312 312V392C312 405.3 301.3 416 288 416C274.7 416 264 405.3 264 392V312C264 298.7 274.7 288 288 288zM400 392C400 405.3 389.3 416 376 416C362.7 416 352 405.3 352 392V312C352 298.7 362.7 288 376 288C389.3 288 400 298.7 400 312V392zM243.1 2.708C254.8 8.823 259.4 23.31 253.3 35.07L171.7 192H404.3L322.7 35.07C316.6 23.31 321.2 8.823 332.9 2.708C344.7-3.407 359.2 1.169 365.3 12.93L458.4 192H552C565.3 192 576 202.7 576 216C576 229.3 565.3 240 552 240H532L476.1 463.5C468.1 492 443.4 512 414 512H161.1C132.6 512 107 492 99.88 463.5L44 240H24C10.75 240 0 229.3 0 216C0 202.7 10.75 192 24 192H117.6L210.7 12.93C216.8 1.169 231.3-3.407 243.1 2.708H243.1zM146.4 451.9C148.2 459 154.6 464 161.1 464H414C421.4 464 427.8 459 429.6 451.9L482.5 240H93.48L146.4 451.9z"],
    "basket-shopping-simple": [576, 512, ["shopping-basket-alt"], "e0af", "M192 296C192 309.3 181.3 320 168 320C154.7 320 144 309.3 144 296C144 282.7 154.7 272 168 272C181.3 272 192 282.7 192 296zM384 296C384 282.7 394.7 272 408 272C421.3 272 432 282.7 432 296C432 309.3 421.3 320 408 320C394.7 320 384 309.3 384 296zM243.1 2.71C254.8 8.825 259.4 23.32 253.3 35.08L171.7 192H404.3L322.7 35.08C316.6 23.32 321.2 8.825 332.9 2.71C344.7-3.405 359.2 1.171 365.3 12.93L458.4 192H552C565.3 192 576 202.7 576 216C576 229.3 565.3 240 552 240H532L476.1 463.5C468.1 492 443.4 512 414 512H161.1C132.6 512 107 492 99.88 463.5L44 240H24C10.75 240 0 229.3 0 216C0 202.7 10.75 192 24 192H117.6L210.7 12.93C216.8 1.171 231.3-3.405 243.1 2.71H243.1zM482.5 240H93.48L146.4 451.9C148.2 459 154.6 464 161.1 464H414C421.4 464 427.8 459 429.6 451.9L482.5 240z"],
    "basketball": [512, 512, [127936, "basketball-ball"], "f434", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM464 256c0 .1816-.0273 .3574-.0273 .5391C461.3 256.4 458.7 256 456 256c-46.5 0-89.24 16.09-123.3 42.81L289.9 256l128.1-128.1C447 162.5 464 207.3 464 256zM304 456c0-33.25 11.04-63.79 29.22-88.84l51.73 51.73c-23.4 18.56-50.85 32.11-80.81 39.25C304.1 457.4 304 456.7 304 456zM384.1 93.11L256 222.1L213.2 179.3C239.9 145.2 256 102.5 256 56c0-2.705-.4336-5.293-.5391-7.973C255.6 48.03 255.8 48 256 48C304.7 48 349.5 64.95 384.1 93.11zM127 93.11c23.4-18.56 50.85-32.11 80.81-39.25C207.9 54.58 208 55.27 208 56c0 33.25-11.04 63.79-29.22 88.84L127 93.11zM93.11 127L144.8 178.8C119.8 196.1 89.25 208 56 208c-.7285 0-1.422-.1367-2.148-.1465C60.99 177.9 74.54 150.4 93.11 127zM48 256c0-.1816 .0273-.3574 .0273-.5391C50.71 255.6 53.29 256 56 256c46.5 0 89.24-16.09 123.3-42.81L222.1 256l-128.1 128.1C64.95 349.5 48 304.7 48 256zM127 418.9L256 289.9l42.81 42.81C272.1 366.8 256 409.5 256 456c0 2.705 .4336 5.293 .5391 7.973C256.4 463.1 256.2 464 256 464C207.3 464 162.5 447 127 418.9zM418.9 384.1l-51.73-51.73C392.2 315 422.7 304 456 304c.7285 0 1.422 .1367 2.148 .1465C451 334.1 437.5 361.6 418.9 384.1z"],
    "basketball-hoop": [640, 512, [], "f435", "M320 0C102.1 0 0 169.8 0 208.1v118c0 25.43 15.05 48.44 38.35 58.63l84.6 37.01l-6.441-55.21l-58.92-25.78C51.76 338.3 48 332.5 48 326.1V208.1C48 182.4 145.9 48 320 48c175.9 0 272 135.1 272 160.1v118c0 6.357-3.764 12.11-9.586 14.66l-58.92 25.78l-6.441 55.21l84.6-37.01C624.9 374.6 640 351.6 640 326.1V208.1C640 167.8 534.1 0 320 0zM528 264C528 250.7 517.3 240 504 240H135.1C122.7 240 112 250.7 112 263.1S122.7 288 135.1 288h7.67l24.46 206.6c.3141 2.636 3.943 17.43 19.87 17.43c5.375 0 10.66-2.152 14.5-6.125l51.5-53.42l51.5 53.42C309.3 509.8 314.5 512 320 512s10.72-2.217 14.5-6.129l51.5-53.42l51.5 53.42C441.3 509.8 446.6 512 452 512c15.93 0 19.56-14.79 19.88-17.43L496.3 288h7.67C517.3 288 528 277.3 528 264zM357.3 288L320 326.7L282.7 288H357.3zM187.1 314.1L183.1 288h35.15L187.1 314.1zM202.9 448.2L196.3 392.6l30.08 31.2L202.9 448.2zM253.1 395.2L208.1 348.5l42.34-35.76l41.09 42.63L253.1 395.2zM320 463.7L281.6 423.8L320 383.1l38.41 39.85L320 463.7zM347.6 355.4l41.09-42.63l42.34 35.76l-45.02 46.71L347.6 355.4zM437.1 448.2l-23.5-24.38l30.08-31.2L437.1 448.2zM452.9 314.1L420.9 288h35.15L452.9 314.1zM480 208V168C480 145.9 462.1 128 440 128h-240C177.9 128 160 145.9 160 168V208h48v-32h224v32H480z"],
    "bat": [576, 512, [], "f6b5", "M576 376.9C576 387.5 564.8 394.4 555.4 389.7L493.3 358.6C485.8 354.9 476.7 357.5 472.4 364.7L442.5 414.4C437.2 423.4 424.9 424.9 417.5 417.5L380.9 380.9C374.1 374.1 362.8 374.8 356.9 382.4L300.7 455.5C294.3 463.8 281.7 463.8 275.3 455.5L219.1 382.4C213.2 374.8 201.9 374.1 195.1 380.9L158.5 417.5C151.1 424.9 138.8 423.4 133.5 414.4L103.6 364.7C99.32 357.5 90.23 354.9 82.75 358.6L20.65 389.7C11.16 394.4 0 387.5 0 376.9V325.2C0 249.6 27.05 176.4 76.27 119C87.91 105.4 107.2 101.3 123.4 109L197.9 144.5L213.8 59.52C215.1 52.84 220.9 48 227.7 48C230.5 48 233.2 48.83 235.6 50.37L280 80H296L340.4 50.37C342.8 48.83 345.5 48 348.3 48C355.1 48 360.9 52.84 362.2 59.52L378.1 144.5L452.6 109C468.8 101.3 488.1 105.4 499.7 119C548.9 176.4 576 249.6 576 325.2L576 376.9zM265.5 128L251.6 118.7L233.6 214.7L108.6 155.2C70.06 202.4 48.67 261.3 48.01 322.3L61.28 315.7C91.19 300.7 127.6 311.3 144.8 340L153.5 354.6L161.2 346.9C188.5 319.6 233.6 322.6 257.2 353.2L287.1 393.3L318.8 353.2C342.4 322.6 387.5 319.6 414.8 346.9L422.5 354.6L431.2 340C448.4 311.3 484.8 300.7 514.7 315.7L527.1 322.3C527.3 261.3 505.9 202.4 467.4 155.2L342.4 214.7L324.4 118.7L310.5 127.1L265.5 128z"],
    "bath": [512, 512, [128705, "bathtub"], "f2cd", "M488 256.1H80V69.36c0-8.623 5.25-16.37 13.12-19.62c8-3.25 17.12-1.5 23.12 4.623l3.162 3.162C106.4 84.63 110.9 117.1 133.4 140.5l14.84 14.85c-5.936 9.285-5.281 21.56 2.834 29.67C155.7 189.7 161.9 192 168 192s12.28-2.344 16.97-7.031l96-96c9.375-9.375 9.375-24.56 0-33.94c-4.562-4.562-10.44-6.768-16.36-6.766c-4.609 0-9.246 1.334-13.31 3.932L236.5 37.35C213.1 14.86 180.5 10.42 153.4 23.49L151.9 22.01C136.4 6.529 114.8-2.289 93.04 .5156C57.11 5.158 32 35.21 32 69.36v186.7L24 256.1c-13.25 0-24 10.71-24 23.96s10.75 24.02 24 24.02H32v79.96c0 27.12 11.75 52.97 32 71.09v32.9C64 501.3 74.75 512 88 512s24-10.74 24-23.99v-9.623c5.25 1 10.62 1.495 16 1.62h256c5.375-.125 10.75-.6198 16-1.62v9.623C400 501.3 410.7 512 424 512S448 501.3 448 488v-32.9c20.25-18.12 32-43.97 32-71.09V304.1h8c13.25 0 24-10.77 24-24.02S501.3 256.1 488 256.1zM202.5 71.29l14.13 14.13L181.4 120.6L167.3 106.5C157.6 96.8 157.6 81 167.3 71.29C177 61.57 192.8 61.55 202.5 71.29zM432 384c0 26.49-21.5 47.99-48 47.99H128c-26.5 0-48-21.49-48-47.99V304.1h352V384z"],
    "battery-bolt": [576, 512, [], "f376", "M368 144C367.1 126.8 360 110 345.6 99.2C344.1 98.04 342.5 96.98 340.8 96H464C508.2 96 544 131.8 544 176V192C561.7 192 576 206.3 576 224V288C576 305.7 561.7 320 544 320V336C544 380.2 508.2 416 464 416H244.9C247.2 414.6 249.4 413 251.6 411.2L304.1 368H464C481.7 368 496 353.7 496 336V176C496 158.3 481.7 144 464 144H368zM0 336V176C0 131.8 35.82 96 80 96H283.1C280.8 97.41 278.6 98.1 276.4 100.8L223.9 144H80C62.33 144 48 158.3 48 176V336C48 353.7 62.33 368 80 368H159.1C160 385.2 167.1 401.1 182.4 412.8C183.9 413.1 185.5 415 187.2 416H80C35.82 416 .0006 380.2 .0006 336H0zM321.6 131.2C327.5 135.6 329.6 143.5 326.7 150.3L288.3 240H352C358.8 240 364.8 244.2 367.1 250.6C369.3 256.1 367.4 264.1 362.2 268.4L226.2 380.4C220.5 385 212.3 385.2 206.4 380.8C200.5 376.4 198.4 368.5 201.3 361.7L239.7 271.1H176C169.2 271.1 163.2 267.8 160.9 261.4C158.7 255 160.6 247.9 165.8 243.6L301.8 131.6C307.5 126.1 315.7 126.8 321.6 131.2V131.2z"],
    "battery-empty": [576, 512, ["battery-0"], "f244", "M464 96C508.2 96 544 131.8 544 176V192C561.7 192 576 206.3 576 224V288C576 305.7 561.7 320 544 320V336C544 380.2 508.2 416 464 416H80C35.82 416 0 380.2 0 336V176C0 131.8 35.82 96 80 96H464zM48 336C48 353.7 62.33 368 80 368H464C481.7 368 496 353.7 496 336V176C496 158.3 481.7 144 464 144H80C62.33 144 48 158.3 48 176V336z"],
    "battery-exclamation": [576, 512, [], "e0b0", "M80 96H208V144H80C62.33 144 48 158.3 48 176V336C48 353.7 62.33 368 80 368H193.6C192.6 373.2 192 378.5 192 384C192 395.4 194.4 406.2 198.7 416H80C35.82 416 0 380.2 0 336V176C0 131.8 35.82 96 80 96V96zM352 384C352 378.5 351.4 373.2 350.4 368H464C481.7 368 496 353.7 496 336V176C496 158.3 481.7 144 464 144H336V96H464C508.2 96 544 131.8 544 176V192C561.7 192 576 206.3 576 224V288C576 305.7 561.7 320 544 320V336C544 380.2 508.2 416 464 416H345.3C349.6 406.2 352 395.4 352 384zM304 384C304 401.7 289.7 416 272 416C254.3 416 240 401.7 240 384C240 366.3 254.3 352 272 352C289.7 352 304 366.3 304 384zM296 296C296 309.3 285.3 320 272 320C258.7 320 248 309.3 248 296V120C248 106.7 258.7 96 272 96C285.3 96 296 106.7 296 120V296z"],
    "battery-full": [576, 512, [128267, "battery", "battery-5"], "f240", "M448 320H96V192H448V320zM0 176C0 131.8 35.82 96 80 96H464C508.2 96 544 131.8 544 176V192C561.7 192 576 206.3 576 224V288C576 305.7 561.7 320 544 320V336C544 380.2 508.2 416 464 416H80C35.82 416 0 380.2 0 336V176zM80 144C62.33 144 48 158.3 48 176V336C48 353.7 62.33 368 80 368H464C481.7 368 496 353.7 496 336V176C496 158.3 481.7 144 464 144H80z"],
    "battery-half": [576, 512, ["battery-3"], "f242", "M288 320H96V192H288V320zM0 176C0 131.8 35.82 96 80 96H464C508.2 96 544 131.8 544 176V192C561.7 192 576 206.3 576 224V288C576 305.7 561.7 320 544 320V336C544 380.2 508.2 416 464 416H80C35.82 416 0 380.2 0 336V176zM80 144C62.33 144 48 158.3 48 176V336C48 353.7 62.33 368 80 368H464C481.7 368 496 353.7 496 336V176C496 158.3 481.7 144 464 144H80z"],
    "battery-low": [576, 512, ["battery-1"], "e0b1", "M160 320H96V192H160V320zM0 176C0 131.8 35.82 96 80 96H464C508.2 96 544 131.8 544 176V192C561.7 192 576 206.3 576 224V288C576 305.7 561.7 320 544 320V336C544 380.2 508.2 416 464 416H80C35.82 416 0 380.2 0 336V176zM80 144C62.33 144 48 158.3 48 176V336C48 353.7 62.33 368 80 368H464C481.7 368 496 353.7 496 336V176C496 158.3 481.7 144 464 144H80z"],
    "battery-quarter": [576, 512, ["battery-2"], "f243", "M192 320H96V192H192V320zM0 176C0 131.8 35.82 96 80 96H464C508.2 96 544 131.8 544 176V192C561.7 192 576 206.3 576 224V288C576 305.7 561.7 320 544 320V336C544 380.2 508.2 416 464 416H80C35.82 416 0 380.2 0 336V176zM80 144C62.33 144 48 158.3 48 176V336C48 353.7 62.33 368 80 368H464C481.7 368 496 353.7 496 336V176C496 158.3 481.7 144 464 144H80z"],
    "battery-slash": [640, 512, [], "f377", "M154.8 96H496C540.2 96 576 131.8 576 176V192C593.7 192 608 206.3 608 224V288C608 305.7 593.7 320 576 320V336C576 362.5 563.1 385.1 543.3 400.5L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L154.8 96zM216 144L501.3 367.6C516.4 365.1 528 351.9 528 336V176C528 158.3 513.7 144 496 144H216zM345.2 368L406.2 416H112C67.82 416 32 380.2 32 336V176C32 159.6 36.92 144.4 45.35 131.7L83.37 161.7C81.21 165.1 80 170.9 80 176V336C80 353.7 94.33 368 112 368H345.2z"],
    "battery-three-quarters": [576, 512, ["battery-4"], "f241", "M352 320H96V192H352V320zM0 176C0 131.8 35.82 96 80 96H464C508.2 96 544 131.8 544 176V192C561.7 192 576 206.3 576 224V288C576 305.7 561.7 320 544 320V336C544 380.2 508.2 416 464 416H80C35.82 416 0 380.2 0 336V176zM80 144C62.33 144 48 158.3 48 176V336C48 353.7 62.33 368 80 368H464C481.7 368 496 353.7 496 336V176C496 158.3 481.7 144 464 144H80z"],
    "bed": [640, 512, [128716], "f236", "M48 336H288V184C288 153.1 313.1 128 344 128H520C586.3 128 640 181.7 640 248V464C640 477.3 629.3 488 616 488C602.7 488 592 477.3 592 464V384H48V456C48 469.3 37.25 480 24 480C10.75 480 0 469.3 0 456V56C0 42.75 10.75 32 24 32C37.25 32 48 42.75 48 56V336zM520 176H344C339.6 176 336 179.6 336 184V336H592V248C592 208.2 559.8 176 520 176zM256 216C256 264.6 216.6 304 168 304C119.4 304 80 264.6 80 216C80 167.4 119.4 128 168 128C216.6 128 256 167.4 256 216zM168 176C145.9 176 128 193.9 128 216C128 238.1 145.9 256 168 256C190.1 256 208 238.1 208 216C208 193.9 190.1 176 168 176z"],
    "bed-bunk": [576, 512, [], "f8f8", "M208 328C208 358.9 182.9 384 152 384C121.1 384 96 358.9 96 328C96 297.1 121.1 272 152 272C182.9 272 208 297.1 208 328zM24 0C37.25 0 48 10.75 48 24V160H256V40C256 17.91 273.9 0 296 0H456C522.3 0 576 53.73 576 120V488C576 501.3 565.3 512 552 512C538.7 512 528 501.3 528 488V463.7H48V488C48 501.3 37.25 512 24 512C10.75 512 0 501.3 0 488V24C0 10.75 10.75 0 24 0zM256 415.7V296C256 273.9 273.9 256 296 256H528V208H48V415.7H256zM528 160V120C528 80.24 495.8 48 456 48H304V160H528zM528 304H304V415.7H528V304zM96 72C96 41.07 121.1 16 152 16C182.9 16 208 41.07 208 72C208 102.9 182.9 128 152 128C121.1 128 96 102.9 96 72z"],
    "bed-empty": [640, 512, [128719], "f8f9", "M24 32C37.25 32 48 42.75 48 56V160H520C586.3 160 640 213.7 640 280V464C640 477.3 629.3 488 616 488C602.7 488 592 477.3 592 464V384H48V456C48 469.3 37.25 480 24 480C10.75 480 0 469.3 0 456V56C0 42.75 10.75 32 24 32zM48 208V336H592V280C592 240.2 559.8 208 520 208H48z"],
    "bed-front": [512, 512, ["bed-alt"], "f8f7", "M32 80C32 53.49 53.49 32 80 32H432C458.5 32 480 53.49 480 80V205.8C465.5 198.2 449.2 193.4 432 192.3L432 192V160C432 142.3 417.7 128 400 128H304C286.3 128 272 142.3 272 160V192H240V160C240 142.3 225.7 128 208 128H112C94.33 128 80 142.3 80 160V192L80 192.3C62.75 193.4 46.5 198.2 32 205.8V80zM424 224C472.6 224 512 263.4 512 312V456C512 469.3 501.3 480 488 480C474.7 480 464 469.3 464 456V416H48V456C48 469.3 37.25 480 24 480C10.75 480 0 469.3 0 456V312C0 263.4 39.4 224 88 224H424zM464 312C464 289.9 446.1 272 424 272H88C65.91 272 48 289.9 48 312V368H464V312z"],
    "bed-pulse": [640, 512, ["procedures"], "f487", "M524 64H616C629.3 64 640 74.75 640 88C640 101.3 629.3 112 616 112H512C504.4 112 497.3 108.4 492.8 102.4L468.7 70.31L421.7 170.2C418 178.1 410.4 183.3 401.8 183.9C393.1 184.6 384.8 180.5 380 173.3L339.2 112H216C202.7 112 192 101.3 192 88C192 74.75 202.7 64 216 64H352C360 64 367.5 68.01 371.1 74.69L396.4 111.3L442.3 13.78C445.9 6.163 453.2 .9806 461.6 .1246C469.9-.7314 478.1 2.865 483.2 9.6L524 64zM288 216C288 188.7 307.5 165.1 333.4 161L353.4 191.1C358.1 198.1 364.2 203.8 371.2 208H344C339.6 208 336 211.6 336 216V368H592V280C592 240.2 559.8 208 520 208H428.8C438.2 202.4 445.9 194.1 450.7 183.8L461.9 160H520C586.3 160 640 213.7 640 280V496C640 509.3 629.3 520 616 520C602.7 520 592 509.3 592 496V416H48V488C48 501.3 37.25 512 24 512C10.75 512 0 501.3 0 488V88C0 74.75 10.75 64 24 64C37.25 64 48 74.75 48 88V368H288V216zM256 248C256 296.6 216.6 336 168 336C119.4 336 80 296.6 80 248C80 199.4 119.4 160 168 160C216.6 160 256 199.4 256 248zM168 208C145.9 208 128 225.9 128 248C128 270.1 145.9 288 168 288C190.1 288 208 270.1 208 248C208 225.9 190.1 208 168 208z"],
    "bee": [576, 512, [], "e0b2", "M448 95.1c-27.73 0-55.34 9.451-80.73 22.73C367.5 116.4 368 114.3 368 111.1c0-20.4-7.832-38.84-20.4-52.97l31.71-31.71c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0l-34.99 34.99C311.4 34.88 300.1 31.1 288 31.1S264.6 34.88 254.3 39.68L219.3 4.688c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L228.4 58.99C215.8 73.12 208 91.6 208 111.1c0 2.342 .4805 4.438 .6777 6.727C183.3 105.4 155.7 95.1 128 95.1C57.34 95.1 0 146.1 0 207.1C0 269.8 57.28 320 127.1 320C134.8 320 141.8 319.2 148.7 318.2C162.5 417.7 288 512 288 512s125.5-94.34 139.3-193.8C434.2 319.2 441.1 320 448 320c70.66 0 128-50.13 128-111.1C576 146.2 518.7 95.99 448 95.1zM195.6 304h184.8c-.4375 10.4-3.008 21.14-7.146 32H202.7C198.6 325.1 196 314.4 195.6 304zM207.2 256c4.152-7.475 8.984-14.61 15.2-20.82C239.9 217.7 263.2 208 287.9 208s48.18 9.652 65.7 27.18C359.9 241.4 364.7 248.5 368.8 256H207.2zM151.2 268.6C143.4 270.6 135.6 272 127.1 272C83.87 272 48 243.3 48 207.1C48 172.7 83.87 144 127.1 144c29.16 0 61.19 16.16 89.06 35.83C184.3 199 160.1 230.7 151.2 268.6zM288 449.1C269.4 431.9 247.4 408.9 229.5 384h116.9C328.6 408.9 306.6 431.9 288 449.1zM448 272c-7.586 0-15.38-1.363-23.23-3.367c-8.891-37.93-33.12-69.59-65.79-88.8C386.9 160.2 418.8 144 448 144c44.08 0 80 28.69 80 64.04C528 243.3 492.1 272 448 272z"],
    "beer-mug": [512, 512, ["beer-foam"], "e0b3", "M423.1 156.7h-40V144.1c13.61-18.82 19.01-42.45 14.25-65.9c-6.141-30.26-28.99-54.6-58.18-62.04c-21.27-5.447-43.1-2.119-61.4 9.354c-3.735 2.371-5.641 .5332-6.36-.1562C237.3-8.461 178.6-8.43 143.7 25.32C142.1 26.02 141.1 27.84 137.3 25.49C118.9 14.03 97.15 10.7 75.9 16.15C46.69 23.59 23.84 47.93 17.7 78.19C12.94 101.6 18.34 125.3 31.95 144.1V432c0 44.18 35.82 80 80.01 80h192c39.44 0 72.03-28.59 78.61-66.14l76.66-34.39C491.3 397.5 512 365.8 512 330.8V244.7C512 196.1 472.6 156.7 423.1 156.7zM335.1 432c0 17.67-14.33 32-32 32H111.1c-17.68 0-32-14.33-32-32V174.1c20.49 4.258 42.44 1.004 60.16-11.18c.6563 .0781 2.094 .6113 3.516 1.994C161.1 182.7 183.1 192 207.1 192c24.02 0 46.84-9.309 64.3-26.23c1.641-1.57 3.25-2.041 3.25-2.182c17.78 12.33 39.85 15.64 60.44 11.37V432zM344.3 117.5c-10.13 12.46-28.6 15.33-41.48 6.404c-19.36-13.47-45.6-10.52-63.84 7.141c-16.97 16.42-45.06 16.42-62.06 0C166.4 120.8 153.1 115.5 139.1 115.5c-9.438 0-18.77 2.762-26.88 8.381c-12.86 8.914-31.33 6.027-41.48-6.404C64.97 109.3 62.52 98.77 64.74 87.83C67.15 75.96 76.58 65.71 87.7 62.89c10.89-2.73 19.18 .4082 24.18 3.531c21.29 13.28 47.43 10.75 65.09-6.357c16.94-16.38 45.04-16.42 62.04 .0313c17.71 17.09 43.84 19.56 65.04 6.326c5.047-3.123 13.35-6.277 24.21-3.531c11.1 2.824 20.54 13.07 22.94 24.94C353.4 98.77 350.1 109.3 344.3 117.5zM463.1 330.8c0 15.89-9.407 30.28-23.97 36.66L383.1 392V204.7h40c22.06 0 40 17.94 40 40V330.8zM159.1 240l-.0274 168c0 8.844-7.157 16-16 16s-16-7.156-16-16L127.1 240c0-8.844 7.157-16 16-16C152.8 224 159.1 231.2 159.1 240zM223.1 240l-.0224 168c0 8.844-7.157 16-16 16s-16-7.156-16-16L191.1 240c0-8.844 7.157-16 16-16S223.1 231.2 223.1 240zM287.1 240l-.0174 168c0 8.844-7.157 16-16 16s-16-7.156-16-16L255.1 240c0-8.844 7.157-16 16-16S287.1 231.2 287.1 240z"],
    "beer-mug-empty": [512, 512, ["beer"], "f0fc", "M424 96H384V64c0-17.67-14.33-32-32-32H64C46.33 32 32 46.33 32 64v336C32 444.2 67.82 480 112 480h192c44.18 0 80-35.82 80-80v-16.08l75.26-33.15C491.3 336.8 512 305.1 512 270.1V184C512 135.4 472.6 96 424 96zM336 400c0 17.67-14.33 32-32 32h-192c-17.67 0-32-14.33-32-32v-320h256V400zM464 270.1c0 15.89-9.406 30.28-23.97 36.66L384 331.3V144h40c22.06 0 40 17.94 40 40V270.1zM128 368v-224C128 135.2 135.2 128 144 128S160 135.2 160 144v224C160 376.8 152.8 384 144 384S128 376.8 128 368zM192 368v-224C192 135.2 199.2 128 208 128S224 135.2 224 144v224C224 376.8 216.8 384 208 384S192 376.8 192 368zM256 368v-224C256 135.2 263.2 128 272 128S288 135.2 288 144v224c0 8.844-7.156 16-16 16S256 376.8 256 368z"],
    "bell": [448, 512, [61602, 128276], "f0f3", "M256 32V49.88C328.5 61.39 384 124.2 384 200V233.4C384 278.8 399.5 322.9 427.8 358.4L442.7 377C448.5 384.2 449.6 394.1 445.6 402.4C441.6 410.7 433.2 416 424 416H24C14.77 416 6.365 410.7 2.369 402.4C-1.628 394.1-.504 384.2 5.26 377L20.17 358.4C48.54 322.9 64 278.8 64 233.4V200C64 124.2 119.5 61.39 192 49.88V32C192 14.33 206.3 0 224 0C241.7 0 256 14.33 256 32V32zM216 96C158.6 96 112 142.6 112 200V233.4C112 281.3 98.12 328 72.31 368H375.7C349.9 328 336 281.3 336 233.4V200C336 142.6 289.4 96 232 96H216zM288 448C288 464.1 281.3 481.3 269.3 493.3C257.3 505.3 240.1 512 224 512C207 512 190.7 505.3 178.7 493.3C166.7 481.3 160 464.1 160 448H288z"],
    "bell-concierge": [512, 512, [128718, "concierge-bell"], "f562", "M488 400h-464C10.75 400 0 410.7 0 423.1C0 437.3 10.75 448 23.1 448h464c13.25 0 24-10.75 24-23.1C512 410.7 501.3 400 488 400zM80 352c0-97 79-176 176-176s176 79 176 176v16H480V352c0-112.9-83.5-205.9-192-221.5V112h24c13.25 0 24-10.75 24-24C336 74.74 325.3 64 311.1 64h-112C186.7 64 176 74.74 176 88c0 13.25 10.75 24 24 24H224v18.5C115.5 146.1 32 239.1 32 352v16h48V352z"],
    "bell-exclamation": [448, 512, [], "f848", "M256 320C256 337.7 241.7 352 224 352C206.3 352 192 337.7 192 320C192 302.3 206.3 288 224 288C241.7 288 256 302.3 256 320zM248 232C248 245.3 237.3 256 224 256C210.7 256 200 245.3 200 232V152C200 138.7 210.7 128 224 128C237.3 128 248 138.7 248 152V232zM256 32V49.88C328.5 61.39 384 124.2 384 200V233.4C384 278.8 399.5 322.9 427.8 358.4L442.7 377C448.5 384.2 449.6 394.1 445.6 402.4C441.6 410.7 433.2 416 424 416H24C14.77 416 6.365 410.7 2.369 402.4C-1.628 394.1-.504 384.2 5.26 377L20.17 358.4C48.54 322.9 64 278.8 64 233.4V200C64 124.2 119.5 61.39 192 49.88V32C192 14.33 206.3 0 224 0C241.7 0 256 14.33 256 32V32zM216 96C158.6 96 112 142.6 112 200V233.4C112 281.3 98.12 328 72.31 368H375.7C349.9 328 336 281.3 336 233.4V200C336 142.6 289.4 96 232 96H216zM288 448C288 464.1 281.3 481.3 269.3 493.3C257.3 505.3 240.1 512 224 512C207 512 190.7 505.3 178.7 493.3C166.7 481.3 160 464.1 160 448H288z"],
    "bell-on": [640, 512, [128365], "f8fa", "M352 32V49.88C424.5 61.39 480 124.2 480 200V233.4C480 278.8 495.5 322.9 523.8 358.4L538.7 377C544.5 384.2 545.6 394.1 541.6 402.4C537.6 410.7 529.2 416 520 416H120C110.8 416 102.4 410.7 98.37 402.4C94.37 394.1 95.5 384.2 101.3 377L116.2 358.4C144.5 322.9 160 278.8 160 233.4V200C160 124.2 215.5 61.39 288 49.88V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V32zM312 96C254.6 96 208 142.6 208 200V233.4C208 281.3 194.1 328 168.3 368H471.7C445.9 328 432 281.3 432 233.4V200C432 142.6 385.4 96 328 96H312zM384 448C384 464.1 377.3 481.3 365.3 493.3C353.3 505.3 336.1 512 320 512C303 512 286.7 505.3 274.7 493.3C262.7 481.3 256 464.1 256 448H384zM0 200C0 186.7 10.75 176 24 176H104C117.3 176 128 186.7 128 200C128 213.3 117.3 224 104 224H24C10.75 224 0 213.3 0 200zM616 176C629.3 176 640 186.7 640 200C640 213.3 629.3 224 616 224H536C522.7 224 512 213.3 512 200C512 186.7 522.7 176 536 176H616zM597.5 21.27C603.4 33.12 598.6 47.54 586.7 53.47L522.7 85.47C510.9 91.39 496.5 86.59 490.5 74.73C484.6 62.88 489.4 48.46 501.3 42.53L565.3 10.53C577.1 4.606 591.5 9.412 597.5 21.27V21.27zM53.27 53.47C41.41 47.54 36.61 33.12 42.53 21.27C48.46 9.412 62.88 4.606 74.73 10.53L138.7 42.53C150.6 48.46 155.4 62.88 149.5 74.73C143.5 86.59 129.1 91.39 117.3 85.47L53.27 53.47z"],
    "bell-plus": [448, 512, [], "f849", "M224 152C237.3 152 248 162.7 248 176V216H288C301.3 216 312 226.7 312 240C312 253.3 301.3 264 288 264H248V304C248 317.3 237.3 328 224 328C210.7 328 200 317.3 200 304V264H160C146.7 264 136 253.3 136 240C136 226.7 146.7 216 160 216H200V176C200 162.7 210.7 152 224 152zM256 32V49.88C328.5 61.39 384 124.2 384 200V233.4C384 278.8 399.5 322.9 427.8 358.4L442.7 377C448.5 384.2 449.6 394.1 445.6 402.4C441.6 410.7 433.2 416 424 416H24C14.77 416 6.365 410.7 2.369 402.4C-1.628 394.1-.504 384.2 5.26 377L20.17 358.4C48.54 322.9 64 278.8 64 233.4V200C64 124.2 119.5 61.39 192 49.88V32C192 14.33 206.3 0 224 0C241.7 0 256 14.33 256 32V32zM216 96C158.6 96 112 142.6 112 200V233.4C112 281.3 98.12 328 72.31 368H375.7C349.9 328 336 281.3 336 233.4V200C336 142.6 289.4 96 232 96H216zM288 448C288 464.1 281.3 481.3 269.3 493.3C257.3 505.3 240.1 512 224 512C207 512 190.7 505.3 178.7 493.3C166.7 481.3 160 464.1 160 448H288z"],
    "bell-school": [512, 512, [], "f5d5", "M112 208C112 154.1 154.1 112 208 112C261 112 304 154.1 304 208C304 261 261 304 208 304C154.1 304 112 261 112 208zM208 256C234.5 256 256 234.5 256 208C256 181.5 234.5 160 208 160C181.5 160 160 181.5 160 208C160 234.5 181.5 256 208 256zM352 448C352 453.5 351.3 458.9 349.1 464H416C428.7 464 439.2 454.1 439.1 441.5C425.6 433.2 416 417.7 416 400C416 373.5 437.5 352 464 352C490.5 352 512 373.5 512 400C512 417.8 502.3 433.3 487.1 441.6C487.1 480.6 455.2 512 416 512H128C92.65 512 64 483.3 64 448V358.1C24.55 320.2 0 266.1 0 208C0 93.12 93.12 0 208 0C322.9 0 416 93.12 416 208C416 266.1 391.4 320.2 352 358.1V448zM208 368C296.4 368 368 296.4 368 208C368 119.6 296.4 48 208 48C119.6 48 48 119.6 48 208C48 296.4 119.6 368 208 368zM304 448V392.6C275.3 407.5 242.6 416 208 416C173.4 416 140.7 407.5 112 392.6V448C112 456.8 119.2 464 128 464H288C296.8 464 304 456.8 304 448z"],
    "bell-school-slash": [640, 512, [], "f5d6", "M118.5 67.6C156.6 26.05 211.2 0 271.1 0C386.9 0 480 93.12 480 208C480 250.7 467.1 290.5 445 323.5L496.5 363.8C504.9 356.5 515.9 352 528 352C554.5 352 576 373.5 576 400C576 407.9 574.1 415.4 570.7 421.1L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L118.5 67.6zM156.5 97.32L207.2 137.1C224.3 121.5 247 112 271.1 112C325 112 368 154.1 368 208C368 224.7 363.8 240.3 356.3 253.1L407.1 293.8C422.9 268.1 432 239.6 432 207.1C432 119.6 360.4 47.1 271.1 47.1C226.6 47.1 185.6 66.93 156.5 97.32V97.32zM317.4 223.5C319.1 218.6 319.1 213.4 319.1 208C319.1 181.5 298.5 160 271.1 160C262.5 160 253.6 162.8 246.1 167.6L317.4 223.5zM416 423.8V448C416 453.5 415.3 458.9 413.1 464H467.1L515.9 502.4C505.3 508.5 493.1 512 480 512H191.1C156.7 512 127.1 483.3 127.1 448V358.1C88.55 320.2 63.1 266.1 63.1 208C63.1 188.7 66.62 170.1 71.53 152.4L113.6 185.5C112.5 192.8 111.1 200.4 111.1 207.1C111.1 296.4 183.6 368 271.1 368C292.8 368 312.7 364 330.1 356.8L416 423.8zM352 464C360.8 464 368 456.8 368 448V392.6C339.3 407.5 306.6 416 271.1 416C237.4 416 204.7 407.5 175.1 392.6V448C175.1 456.8 183.2 464 191.1 464H352z"],
    "bell-slash": [640, 512, [61943, 128277], "f1f6", "M183.6 118.6C206.5 82.58 244.1 56.84 288 49.88V32C288 14.33 302.3 .0003 320 .0003C337.7 .0003 352 14.33 352 32V49.88C424.5 61.39 480 124.2 480 200V233.4C480 278.8 495.5 322.9 523.8 358.4L538.7 377C543.1 383.5 545.4 392.2 542.6 400L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L183.6 118.6zM221.7 148.4L450.7 327.1C438.4 298.2 432 266.1 432 233.4V200C432 142.6 385.4 96 328 96H312C273.3 96 239.6 117.1 221.7 148.4V148.4zM160 233.4V222.1L206.7 258.9C202.7 297.7 189.5 335.2 168.3 368H345.2L406.2 416H120C110.8 416 102.4 410.7 98.37 402.4C94.37 394.1 95.5 384.2 101.3 377L116.2 358.4C144.5 322.9 160 278.8 160 233.4V233.4zM384 448C384 464.1 377.3 481.3 365.3 493.3C353.3 505.3 336.1 512 320 512C303 512 286.7 505.3 274.7 493.3C262.7 481.3 256 464.1 256 448H384z"],
    "bells": [640, 512, [], "f77f", "M249.5 296.7C261.2 328.5 262.4 363.2 253.1 395.8L251.9 399.7L21.4 315.8C10.03 311.7 1.976 301.5 .5931 289.5C-.7903 277.5 4.729 265.7 14.86 259L23.04 253.7C57.61 230.1 83.95 197.8 98.16 159L112.8 119C137.1 50.44 213.1 15.09 282.6 40.08C287.4 41.82 292.1 43.82 296.5 46.04C232.4 88.2 203.2 170.3 230.8 245.5L249.5 296.7zM279.6 285.8L260.8 234.6C234.7 163.3 271.4 84.41 342.8 58.43C414.1 32.46 493.2 69.21 519.3 140.5L538 191.7C552 229.9 577.8 262.7 611.6 285.3L625.4 294.5C635.4 301.2 640.8 312.1 639.4 324.9C637.9 336.9 629.9 346.1 618.6 351.1L321.1 459.4C309.8 463.5 297.1 460.9 288.3 452.7C279.5 444.5 276 432 279.3 420.5L283.9 404.6C295.1 365.6 293.6 323.1 279.6 285.8H279.6zM324.7 269.4C340.5 312.5 343.6 359.1 333.7 403.7L573 316.6C536.6 288.9 508.8 251.3 492.9 208.1L474.2 156.9C457.2 110.5 405.7 86.59 359.3 103.5C312.8 120.4 288.9 171.7 305.1 218.2L324.7 269.4zM480.8 480C459.6 480 440.8 469.9 429.1 454.1L545.2 411.9C545.3 413.2 545.3 414.5 545.3 415.8C545.3 451.3 516.4 480 480.8 480V480zM94.34 376.2L211.9 419.5C200.3 436.7 180.7 447.9 158.4 447.9C122.8 447.9 93.91 419.2 93.91 383.7C93.91 381.1 94.05 378.6 94.34 376.2z"],
    "bench-tree": [640, 512, [], "e2e7", "M360 352h-32V318.4C341.7 314.8 352 302.8 352 288V224c0-17.67-14.33-32-32-32H64C46.33 192 32 206.3 32 224v64c0 14.83 10.3 26.76 24 30.38V352h-32C10.75 352 0 362.8 0 376s10.75 24 24 24H32v88C32 501.3 42.75 512 56 512s24-10.75 24-24V400h224v88c0 13.25 10.75 24 24 24S352 501.3 352 488V400h8c13.25 0 24-10.75 24-24S373.3 352 360 352zM280 352h-176v-32h176V352zM304 272h-224v-32h224V272zM606.5 111.1C607.3 106.2 608 101.2 608 96c0-53.02-42.98-96-96-96s-96 42.98-96 96c0 5.174 .7363 10.15 1.523 15.11C397.3 125.6 384 149.2 384 176C384 220.2 419.8 256 464 256h24v232c0 13.25 10.75 24 24 24s24-10.75 24-24V256h24C604.2 256 640 220.2 640 176C640 149.2 626.7 125.6 606.5 111.1zM560 208h-96c-17.64 0-32-14.36-32-32c0-10.3 4.924-19.74 13.51-25.9c14.75-10.59 22.27-28.6 19.42-46.53C464.6 101.2 464 97.73 464 96c0-26.47 21.53-48 48-48s48 21.53 48 48c0 1.729-.5586 5.244-.9277 7.572c-2.852 17.93 4.664 35.94 19.42 46.53C587.1 156.3 592 165.7 592 176C592 193.6 577.6 208 560 208z"],
    "bezier-curve": [640, 512, [], "f55b", "M352 32C378.5 32 400 53.49 400 80V88H516.7C526.1 64.55 549.1 48 576 48C611.3 48 640 76.65 640 112C640 147.3 611.3 176 576 176C549.1 176 526.1 159.5 516.7 136H437.6C501.8 173.8 546.1 241.5 551.5 320H560C586.5 320 608 341.5 608 368V432C608 458.5 586.5 480 560 480H496C469.5 480 448 458.5 448 432V368C448 341.5 469.5 320 496 320H503.3C497.4 251.6 454.1 193.9 393.9 167.4C385.7 182.1 369.1 192 352 192H288C270 192 254.3 182.1 246.1 167.4C185.9 193.9 142.6 251.6 136.7 320H144C170.5 320 192 341.5 192 368V432C192 458.5 170.5 480 144 480H80C53.49 480 32 458.5 32 432V368C32 341.5 53.49 320 80 320H88.54C93.89 241.5 138.2 173.8 202.4 136H123.3C113.9 159.5 90.86 176 64 176C28.65 176 0 147.3 0 112C0 76.65 28.65 48 64 48C90.86 48 113.9 64.55 123.3 88H240V80C240 53.49 261.5 32 288 32H352zM352 80H288V144H352V80zM64 96C55.16 96 48 103.2 48 112C48 120.8 55.16 128 64 128C72.84 128 80 120.8 80 112C80 103.2 72.84 96 64 96zM576 96C567.2 96 560 103.2 560 112C560 120.8 567.2 128 576 128C584.8 128 592 120.8 592 112C592 103.2 584.8 96 576 96zM144 368H80V432H144V368zM496 432H560V368H496V432z"],
    "bicycle": [640, 512, [128690], "f206", "M347.2 32C358.1 32 369.8 38.44 375.4 48.78L473.3 229.1C485.5 226.1 498.5 224 512 224C582.7 224 640 281.3 640 352C640 422.7 582.7 480 512 480C441.3 480 384 422.7 384 352C384 311.1 402.4 276.3 431.1 252.8L409.4 212.7L324.7 356.2C320.3 363.5 312.5 368 304 368H255C247.1 431.1 193.3 480 128 480C57.31 480 0 422.7 0 352C0 281.3 57.31 224 128 224C138.8 224 149.2 225.3 159.2 227.8L185.8 174.7L163.7 144H120C106.7 144 96 133.3 96 120C96 106.7 106.7 96 120 96H176C183.7 96 190.1 99.71 195.5 105.1L222.9 144H372.3L337.7 80H311.1C298.7 80 287.1 69.25 287.1 56C287.1 42.75 298.7 32 311.1 32H347.2zM432 352C432 396.2 467.8 432 512 432C556.2 432 592 396.2 592 352C592 307.8 556.2 272 512 272C506.8 272 501.7 272.5 496.8 273.4L533.1 340.6C539.4 352.2 535.1 366.8 523.4 373.1C511.8 379.4 497.2 375.1 490.9 363.4L454.6 296.3C440.6 310.7 432 330.3 432 352V352zM136.9 272.5C133.1 272.2 131 272 127.1 272C83.82 272 47.1 307.8 47.1 352C47.1 396.2 83.82 432 127.1 432C166.7 432 198.1 404.5 206.4 368H133.2C112.1 368 99.81 346.7 108.8 328.6L136.9 272.5zM290.3 320L290.4 319.9L217.5 218.7L166.8 320H290.3zM257.4 192L317 274.8L365.9 192H257.4z"],
    "binary": [384, 512, [], "e33b", "M328 176H360C373.3 176 384 186.7 384 200C384 213.3 373.3 224 360 224H248C234.7 224 224 213.3 224 200C224 186.7 234.7 176 248 176H280V57.3L263.6 62.77C251 66.96 237.4 60.16 233.2 47.59C229 35.01 235.8 21.42 248.4 17.23L296.4 1.232C303.7-1.208 311.8 .0196 318 4.53C324.3 9.041 328 16.29 328 24V176zM104 464H136C149.3 464 160 474.7 160 488C160 501.3 149.3 512 136 512H24C10.75 512 0 501.3 0 488C0 474.7 10.75 464 24 464H56V345.3L39.59 350.8C27.01 354.1 13.42 348.2 9.232 335.6C5.04 323 11.84 309.4 24.41 305.2L72.41 289.2C79.73 286.8 87.77 288 94.03 292.5C100.3 297 104 304.3 104 312V464zM0 72C0 32.24 32.24 .0001 72 .0001H120C159.8 .0001 192 32.24 192 72V152C192 191.8 159.8 224 120 224H72C32.24 224 0 191.8 0 152V72zM72 48C58.75 48 48 58.75 48 72V152C48 165.3 58.75 176 72 176H120C133.3 176 144 165.3 144 152V72C144 58.75 133.3 48 120 48H72zM312 288C351.8 288 384 320.2 384 360V440C384 479.8 351.8 512 312 512H264C224.2 512 192 479.8 192 440V360C192 320.2 224.2 288 264 288H312zM240 440C240 453.3 250.7 464 264 464H312C325.3 464 336 453.3 336 440V360C336 346.7 325.3 336 312 336H264C250.7 336 240 346.7 240 360V440z"],
    "binary-circle-check": [640, 512, [], "e33c", "M328 176H360C373.3 176 384 186.7 384 200C384 213.3 373.3 224 360 224H248C234.7 224 224 213.3 224 200C224 186.7 234.7 176 248 176H280V57.3L263.6 62.77C251 66.96 237.4 60.16 233.2 47.59C229 35.01 235.8 21.42 248.4 17.23L296.4 1.232C303.7-1.208 311.8 .0196 318 4.53C324.3 9.041 328 16.29 328 24V176zM104 464H136C149.3 464 160 474.7 160 488C160 501.3 149.3 512 136 512H24C10.75 512 0 501.3 0 488C0 474.7 10.75 464 24 464H56V345.3L39.59 350.8C27.01 354.1 13.42 348.2 9.232 335.6C5.04 323 11.84 309.4 24.41 305.2L72.41 289.2C79.73 286.8 87.77 288 94.03 292.5C100.3 297 104 304.3 104 312V464zM0 72C0 32.24 32.24 .0001 72 .0001H120C159.8 .0001 192 32.24 192 72V152C192 191.8 159.8 224 120 224H72C32.24 224 0 191.8 0 152V72zM72 48C58.75 48 48 58.75 48 72V152C48 165.3 58.75 176 72 176H120C133.3 176 144 165.3 144 152V72C144 58.75 133.3 48 120 48H72zM312 288C317.1 288 323.7 288.7 329.3 290.1C322.5 304.5 317.6 319.1 314.7 336.2C313.8 336.1 312.9 336 312 336H264C250.7 336 240 346.7 240 360V440C240 453.3 250.7 464 264 464H312C320.7 464 328.3 459.4 332.5 452.5C340.1 467.2 349.7 480.8 360.9 492.9C348 504.7 330.9 512 312 512H264C224.2 512 192 479.8 192 440V360C192 320.2 224.2 288 264 288H312zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 223.1 496 223.1C575.5 223.1 640 288.5 640 368zM540.7 324.7L480 385.4L451.3 356.7C445.1 350.4 434.9 350.4 428.7 356.7C422.4 362.9 422.4 373.1 428.7 379.3L468.7 419.3C474.9 425.6 485.1 425.6 491.3 419.3L563.3 347.3C569.6 341.1 569.6 330.9 563.3 324.7C557.1 318.4 546.9 318.4 540.7 324.7H540.7z"],
    "binary-lock": [640, 512, [], "e33d", "M318 4.53C324.3 9.041 328 16.29 328 24V176H360C373.3 176 384 186.7 384 200C384 213.3 373.3 224 360 224H248C234.7 224 224 213.3 224 200C224 186.7 234.7 176 248 176H280V57.3L263.6 62.77C251 66.96 237.4 60.16 233.2 47.59C229 35.01 235.8 21.42 248.4 17.23L296.4 1.232C303.7-1.208 311.8 .0196 318 4.53V4.53zM94.03 292.5C100.3 297 104 304.3 104 312V464H136C149.3 464 160 474.7 160 488C160 501.3 149.3 512 136 512H24C10.75 512 0 501.3 0 488C0 474.7 10.75 464 24 464H56V345.3L39.59 350.8C27.01 354.1 13.42 348.2 9.232 335.6C5.04 323 11.84 309.4 24.41 305.2L72.41 289.2C79.73 286.8 87.77 288 94.03 292.5V292.5zM120 .0004C159.8 .0004 192 32.24 192 72V152C192 191.8 159.8 224 120 224H72C32.24 224 0 191.8 0 152V72C0 32.24 32.24 .0004 72 .0004H120zM48 152C48 165.3 58.75 176 72 176H120C133.3 176 144 165.3 144 152V72C144 58.75 133.3 48 120 48H72C58.75 48 48 58.75 48 72V152zM192 360C192 320.2 224.2 288 264 288H312C351.8 288 384 320.2 384 360V440C384 479.8 351.8 512 312 512H264C224.2 512 192 479.8 192 440V360zM264 336C250.7 336 240 346.7 240 360V440C240 453.3 250.7 464 264 464H312C325.3 464 336 453.3 336 440V360C336 346.7 325.3 336 312 336H264zM528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320V272C448 227.8 483.8 192 528 192zM528 240C510.3 240 496 254.3 496 272V320H560V272C560 254.3 545.7 240 528 240z"],
    "binary-slash": [640, 512, [], "e33e", "M128 75.02V72C128 32.24 160.2 .0013 200 .0013H248C287.8 .0013 320 32.24 320 72V152C320 173.6 310.5 193 295.4 206.2L399.7 288H440C479.8 288 512 320.2 512 360V375.1L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L128 75.02zM176 112.6L255.4 174.8C265 171.7 272 162.7 272 152V72C272 58.75 261.3 48 248 48H200C186.7 48 176 58.75 176 72V112.6zM456 176H488C501.3 176 512 186.7 512 200C512 213.3 501.3 224 488 224H376C362.7 224 352 213.3 352 200C352 186.7 362.7 176 376 176H408V57.3L391.6 62.77C379 66.96 365.4 60.17 361.2 47.59C357 35.02 363.8 21.42 376.4 17.23L424.4 1.233C431.7-1.207 439.8 .0208 446 4.532C452.3 9.042 456 16.29 456 24V176zM232 464H264C277.3 464 288 474.7 288 488C288 501.3 277.3 512 264 512H152C138.7 512 128 501.3 128 488C128 474.7 138.7 464 152 464H184V345.3L167.6 350.8C155 354.1 141.4 348.2 137.2 335.6C133 323 139.8 309.4 152.4 305.2L200.4 289.2C207.7 286.8 215.8 288 222 292.5C228.3 297 232 304.3 232 312V464zM320 360C320 356.2 320.3 352.5 320.9 348.8L368 385.9V440C368 453.3 378.7 464 392 464H440C446.9 464 453.1 461.1 457.5 456.4L495.2 486.2C482 501.1 462.2 512 440 512H392C352.2 512 320 479.8 320 440V360z"],
    "binoculars": [512, 512, [], "f1e5", "M416 80h-96v-32C320 39.2 327.2 32 336 32h64C408.8 32 416 39.2 416 48V80zM192 48C192 39.2 184.8 32 176 32h-64C103.2 32 96 39.2 96 48v32h96V48zM512 432c.2253 26.44-21.15 48-47.59 48H336c-26.51 0-48-21.49-48-48V288H224v144C224 458.5 202.5 480 176 480H47.59C21.15 480-.2254 458.4 0 432l.375-44c3.374-129.7 60.96-150.1 63.5-243.9c.4767-17.61 14.38-32.1 32-32.1L191.1 112C209.7 112 224 126.3 224 144V160h64V144c0-17.67 14.33-32 32-32l96.12 .0001c17.62 0 31.53 14.49 32 32.1C450.7 237.9 508.3 258.3 511.6 388L512 432zM176 160H111.1C107.4 205 92.75 236.6 79.75 264.8c-15.38 33-29.88 64.25-31.5 124.5L48 432.4L176 432V160zM464 432l-.375-43.63c-1.5-59.38-16-90.63-31.38-123.6C419.3 236.6 404.6 205 400.9 160H336v272H464z"],
    "biohazard": [576, 512, [9763], "f780", "M287.1 112c18.63 0 36.25 3.748 52.88 9.621c13.25-10.37 23.44-24.42 29.44-40.8C345 69.98 317.3 63.94 288.1 63.94c-29.13 0-56.91 5.962-82.16 16.84c5.877 16.5 16.31 30.5 29.57 40.75C251.1 115.8 269.5 112 287.1 112zM387.8 396.1c4.125 15.1 12.39 30.53 24.39 42.4c47.5-35.49 79.23-90.62 83.1-153.4c-7.125-2-14.61-3.02-22.11-3.02c-9.25 0-18 1.875-26.63 4.623C442.5 330.1 420.6 369.7 387.8 396.1zM163.8 438.5c12-11.87 20.28-26.34 24.4-42.34c-32.88-26.37-54.88-65.23-58.88-109.5C120.8 283.9 112.1 282.1 102.8 282.1c-7.5 0-15.12 1-22.5 3.125C84.45 347.1 116.3 403.1 163.8 438.5zM575.5 283.5c-13.13-39.12-39.5-71.98-74.13-92.35c-17.5-10.37-36.25-16.62-55.25-19.87c6-17.74 10-36.49 10-56.24c0-40.99-14.5-80.73-41-112.2c-2.5-3-6.625-3.625-10-1.75c-3.25 1.875-4.75 5.998-3.625 9.748c4.5 13.75 6.625 26.24 6.625 38.49c0 67.73-53.76 122.8-120 122.8s-120-55.11-120-122.8c0-12.12 2.25-24.74 6.625-38.49c1.125-3.75-.375-7.873-3.625-9.748c-3.375-1.875-7.502-1.25-10 1.75C134.7 34.3 120.1 74.04 120.1 115c0 19.75 3.875 38.49 10 56.24C111.2 174.5 92.32 180.8 74.82 191.1c-34.63 20.49-61.01 53.23-74.38 92.35c-1.25 3.748 .25 7.748 3.5 9.748c3.375 1.998 7.5 1.373 10-1.5c9.377-10.87 19-19.12 29.25-25.12c57.25-33.87 130.8-13.75 163.9 44.99c33.13 58.61 13.38 133.1-43.88 167.8c-10.25 6.123-22 10.37-35.88 13.37c-3.627 .875-6.377 4.248-6.377 8.123c.125 3.998 2.75 7.248 6.502 7.998c39.75 7.748 80.63 .7515 115.3-19.74c18-10.5 32.88-24.49 45.25-39.99c12.38 15.5 27.38 29.49 45.38 39.99c34.5 20.5 75.51 27.49 115.1 19.74c3.875-.75 6.375-4 6.5-7.998c0-3.875-2.625-7.248-6.375-8.123c-13.88-2.875-25.63-7.248-35.75-13.37c-57.38-33.87-77.01-109.2-44-167.8c33.13-58.73 106.6-78.85 164-44.99c10.12 6.123 19.75 14.24 29.13 25.12c2.5 2.873 6.752 3.498 10 1.5C575.4 291.2 576.9 287.2 575.5 283.5zM287.1 320.1c-26.5 0-48-21.49-48-47.99c0-26.49 21.5-47.99 48-47.99c26.5 0 48.01 21.5 48.01 47.99C335.1 298.6 314.5 320.1 287.1 320.1z"],
    "bird": [512, 512, [], "e469", "M312 120C312 106.7 322.7 96 336 96C349.3 96 360 106.7 360 120C360 133.3 349.3 144 336 144C322.7 144 312 133.3 312 120zM28.44 160H192C209.7 160 224 145.7 224 128V112C224 50.14 274.1 0 336 0C385.7 0 427.9 32.4 442.5 77.24L504.2 114.3C509.1 117.2 512 122.4 512 128C512 133.6 509.1 138.8 504.2 141.7L448 175.5V192C448 285.9 390.3 366.3 308.3 399.6L349.2 476.8C355.4 488.5 350.9 503 339.2 509.2C327.5 515.4 312.1 510.9 306.8 499.2L261.1 412.9C249 414.1 236.6 416 224 416C223 416 222 415.1 221 415.1L253.2 476.8C259.4 488.5 254.9 503 243.2 509.2C231.5 515.4 216.1 510.9 210.8 499.2L162.1 407.4C68.52 380.5 0 294.3 0 192V188.4C0 172.7 12.74 160 28.44 160L28.44 160zM48.72 208C56.8 297.7 132.2 368 224 368C321.2 368 400 289.2 400 192V112C400 76.65 371.3 48 336 48C300.7 48 272 76.65 272 112V128C272 172.2 236.2 208 192 208H48.72z"],
    "bitcoin-sign": [320, 512, [], "e0b4", "M64 24C64 10.75 74.75 0 88 0C101.3 0 112 10.75 112 24V64H144V24C144 10.75 154.7 0 168 0C181.3 0 192 10.75 192 24V64.66C246 70.63 288 116.4 288 172C288 199.5 277.7 224.6 260.8 243.6C295.9 261.5 320 297.9 320 340C320 399.6 271.6 448 212 448H192V488C192 501.3 181.3 512 168 512C154.7 512 144 501.3 144 488V448H112V488C112 501.3 101.3 512 88 512C74.75 512 64 501.3 64 488V448H41.74C18.69 448 0 429.3 0 406.3V101.6C0 80.82 16.82 64 37.57 64H64V24zM180 232C213.1 232 240 205.1 240 172C240 138.9 213.1 112 180 112H48V232H180zM48 280V400H212C245.1 400 272 373.1 272 340C272 306.9 245.1 280 212 280H48z"],
    "blanket": [448, 512, [], "f498", "M448 120C448 71.47 408.5 32 360 32h-272C39.47 32 0 71.47 0 120v248C0 429.8 50.25 480 112 480h312c13.25 0 24-10.75 24-24s-10.75-24-24-24H112c-35.3 0-64-28.72-64-64s28.7-64 64-64h268c11.03 0 20 8.969 20 20s-8.969 20-20 20H120C106.8 344 96 354.8 96 368s10.75 24 24 24h260c37.5 0 68-30.5 68-68c0-.9121-.2344-1.762-.2695-2.666C447.8 320.9 448 320.5 448 320V120zM380 256H112c-23.82 0-45.83 7.604-64 20.33V120c0-22.06 17.94-40 40-40h272c22.06 0 40 17.94 40 40v139.3C393.6 257.4 387 256 380 256z"],
    "blanket-fire": [640, 512, [], "e3da", "M96 328C96 341.2 106.9 352 120 352H288v-1.92C288 335.1 290.9 319.5 296 304h-176C106.9 304 96 314.8 96 328zM325.1 242.7c7.039-11.55 15.04-23.17 24-34.72H120c-26.88 0-51.84 8.928-72 24v-144c0-22.08 17.92-40 40-40h272c22.08 0 40 17.92 40 40v63.39c4.16-3.904 8.32-7.744 12.48-11.52C422.4 130.9 435.5 127 448 128.2V88C448 39.39 408.6 0 360 0h-272C39.36 0 0 39.39 0 88v240C0 394.3 53.76 448 120 448h194.2c-8.637-14.91-15.36-31.04-19.84-48H120c-39.68 0-72-32.22-72-72S80.32 256 120 256h197.4C320 251.5 322.6 247.1 325.1 242.7zM616 273.2c-15.04-28.48-35.84-58.46-60.48-81.15C549.8 186.9 541.1 186.9 535.4 192c-9.598 8.768-18.56 19.62-26.24 29.5c-17.28-20.77-35.84-39.97-55.68-57.73C448 158.8 439.4 158.8 433.9 163.7c-33.28 29.7-61.44 63.42-81.6 95.78C332.8 291.5 320 323.7 320 350.1C320 437.9 390.4 512 480 512c88.64 0 160-74.11 160-161.9C640 329.9 630.4 301.2 616 273.2zM529.9 432.1C514.9 443 498.9 448 480.1 448C435.8 448 400 419 400 369.1c0-24 15.04-44.99 45.12-81.98c3.84 4.992 61.76 79.01 61.76 79.01l36.16-42.02c2.883 4 4.801 8 7.039 12C568 369.1 560 412 529.9 432.1z"],
    "blender": [512, 512, [], "f517", "M425.9 330L512 0H48C21.5 0 0 21.5 0 48v160C0 234.5 21.5 256 48 256h102.3l6.125 71C121 341.1 96 375.6 96 416l.0001 64c0 17.62 14.38 32 32 32h320c17.62 0 32-14.38 32-32L480 416C480 378.1 457.9 345.6 425.9 330zM48 208v-160h84.12l14 160H48zM449.9 48L437.4 96H304C295.2 96 288 103.2 288 111.1S295.2 128 304 128h125l-16.75 64H304C295.2 192 288 199.2 288 207.1C288 216.8 295.2 224 304 224h100l-25.12 96H204L180.4 48H449.9zM432 464h-288V416c0-26.5 21.5-48 48-48h192c26.5 0 48 21.5 48 48V464zM288 392c-13.25 0-24 10.75-24 24s10.75 24 24 24s24-10.75 24-24S301.2 392 288 392z"],
    "blender-phone": [576, 512, [], "f6b6", "M351.1 392c-13.25 0-24 10.75-24 24s10.75 24 24 24c13.25 0 24-10.75 24-24S365.2 392 351.1 392zM115.7 122.6c7.5 .75 14.5-3.499 17.25-10.25l25.75-63.25c3.127-7.375 .2499-15.87-6.625-20.12L112.9 4.887C98.49-3.863 80.11-.4889 68.99 12.01C-23.64 115.6-23.01 271.5 70.99 374.5c9.875 10.75 29.13 12.5 41.75 4.75l39.38-24.12c6.875-4.25 9.627-12.75 6.625-20.12L132.1 271.7C130.2 264.1 123.2 260.7 115.7 261.5l-45 4.374c-17.25-46.88-17.63-99.74 0-147.6L115.7 122.6zM489.9 330L576 .008L191.1 .006l28.37 326.1c-35.38 14.12-60.38 48.62-60.38 88.1l.0068 63.1c0 17.62 14.37 31.1 31.1 31.1L511.1 512c17.62 0 32-14.37 32-31.1L544 416C544 378.1 521.9 345.6 489.9 330zM513.9 48.01l-12.5 48l-133.4-.0049c-8.801 0-16 7.199-16 16c0 8.799 7.199 15.1 16 15.1l125 .0039l-16.75 64l-108.3-.0039c-8.801 0-16 7.2-16 15.1c0 8.801 7.199 16 16 16l100 .0029l-25.12 95.1H267.1L244.4 48.01H513.9zM495.1 464H207.1v-47.1c0-26.5 21.5-48 48-48h192c26.5 0 48 21.5 48 48V464z"],
    "blinds": [512, 512, [], "f8fb", "M494.8 432.4c-4.219-12.56-17.72-19.31-30.37-15.19c-12.56 4.219-19.38 17.78-15.19 30.38L454.7 464H57.32l5.469-16.41c4.188-12.59-2.625-26.16-15.19-30.38c-12.69-4.125-26.15 2.625-30.37 15.19l-16 48c-2.438 7.312-1.188 15.38 3.312 21.62S16.29 512 24.01 512h463.1c7.719 0 14.97-3.719 19.47-9.969s5.75-14.31 3.312-21.62L494.8 432.4zM494.8 304.4C490.6 291.8 477.1 285.1 464.4 289.2c-12.56 4.219-19.38 17.78-15.19 30.38L454.7 336H57.32l5.469-16.41C66.97 307 60.16 293.4 47.6 289.2C34.91 285.1 21.44 291.8 17.22 304.4l-16 48c-2.438 7.312-1.188 15.38 3.312 21.62S16.29 384 24.01 384h463.1c7.719 0 14.97-3.719 19.47-9.969s5.75-14.31 3.312-21.62L494.8 304.4zM494.2 46.74C504.4 43.95 511.1 35.04 511.1 24c0-13.25-10.75-24-24-24H24.01c-13.25 0-24 10.75-24 24c0 11.04 7.619 19.95 17.77 22.74l-16.55 49.66C-1.213 103.7 .0371 111.8 4.537 118S16.29 128 24.01 128H144v36.41C116.1 174.3 96 200.7 96 232c0 39.76 32.24 72 71.1 72C207.8 304 240 271.8 240 232c0-31.3-20.1-57.67-47.1-67.59V48h252l10.67 32H224V128h263.1c7.719 0 14.97-3.719 19.47-9.969s5.75-14.31 3.312-21.62L494.2 46.74zM57.32 80l10.67-32H144v32H57.32zM168 256c-13.23 0-24-10.77-24-24s10.77-24 24-24s24 10.77 24 24S181.2 256 168 256zM494.8 176.4C490.6 163.8 477.1 157.1 464.4 161.2c-12.56 4.219-19.38 17.78-15.19 30.38L454.7 208H268.9C270.8 215.7 272 223.7 272 232S270.8 248.3 268.9 256h219c7.719 0 14.97-3.719 19.47-9.969s5.75-14.31 3.312-21.62L494.8 176.4zM47.6 161.2C34.91 157.2 21.44 163.8 17.22 176.4l-16 48C-1.213 231.7 .0371 239.8 4.537 246S16.29 256 24.01 256h43.01c-1.836-7.736-3.016-15.7-3.016-24s1.221-16.26 3.057-24H57.32l5.469-16.41C66.97 179 60.16 165.4 47.6 161.2z"],
    "blinds-open": [512, 512, [], "f8fc", "M488 464H24C10.75 464 0 474.8 0 488S10.75 512 24 512h464c13.25 0 24-10.75 24-24S501.3 464 488 464zM488 160H224v48h264C501.3 208 512 197.3 512 184S501.3 160 488 160zM24 160C10.75 160 0 170.8 0 184S10.75 208 24 208H144v32c0 1.471 .584 2.75 .8379 4.148C116.5 253.8 96 280.4 96 312C96 351.8 128.2 384 168 384S240 351.8 240 312c0-31.61-20.51-58.17-48.84-67.85C191.4 242.8 192 241.5 192 240v-192h296C501.3 48 512 37.25 512 24S501.3 0 488 0H24C10.75 0 0 10.75 0 24S10.75 48 24 48H144V160H24zM168 288C181.2 288 192 298.8 192 312S181.2 336 168 336S144 325.2 144 312S154.8 288 168 288zM488 320h-216.8c-1.359 17.58-6.773 33.96-15.79 48H488c13.25 0 24-10.75 24-24S501.3 320 488 320zM24 368h56.6C71.58 353.1 66.17 337.6 64.81 320H24C10.75 320 0 330.8 0 344S10.75 368 24 368z"],
    "blinds-raised": [512, 512, [], "f8fd", "M494.2 46.74C504.4 43.95 511.1 35.04 511.1 24c0-13.25-10.75-24-23.1-24H24.01C10.76 0 .006 10.75 .006 24c0 11.04 7.619 19.95 17.77 22.74L1.225 96.41C-1.213 103.7 .0372 111.8 4.537 118s11.75 9.938 19.47 9.938L144 128v80H57.32l5.469-16.41C66.97 179 60.16 165.4 47.6 161.2C34.82 157.2 21.44 163.8 17.22 176.4l-15.1 48C-1.213 231.7 .0372 239.8 4.537 246S16.29 256 24.01 256h119.1v116.4C116.1 382.3 96 408.7 96 440c0 39.76 32.24 72 71.1 72s71.1-32.24 71.1-72c0-31.3-20.1-57.67-47.1-67.59V48h252l10.67 32H224V128l263.1-.0313c7.719 0 14.97-3.688 19.47-9.938c4.5-6.25 5.75-14.31 3.312-21.62L494.2 46.74zM57.32 80l10.67-32h76.02v32H57.32zM168 464c-13.23 0-23.1-10.77-23.1-24S154.8 416 168 416s23.1 10.77 23.1 24S181.2 464 168 464zM494.8 176.4c-4.219-12.56-17.72-19.28-30.37-15.19c-12.56 4.219-19.37 17.78-15.19 30.38L454.7 208H224V256h263.1c7.719 0 14.97-3.719 19.47-9.969c4.5-6.25 5.75-14.31 3.312-21.62L494.8 176.4z"],
    "block": [448, 512, [], "e46a", "M112 120C112 133.3 101.3 144 88 144C74.75 144 64 133.3 64 120C64 106.7 74.75 96 88 96C101.3 96 112 106.7 112 120zM336 120C336 106.7 346.7 96 360 96C373.3 96 384 106.7 384 120C384 133.3 373.3 144 360 144C346.7 144 336 133.3 336 120zM112 392C112 405.3 101.3 416 88 416C74.75 416 64 405.3 64 392C64 378.7 74.75 368 88 368C101.3 368 112 378.7 112 392zM336 392C336 378.7 346.7 368 360 368C373.3 368 384 378.7 384 392C384 405.3 373.3 416 360 416C346.7 416 336 405.3 336 392zM384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM384 80H64C55.16 80 48 87.16 48 96V416C48 424.8 55.16 432 64 432H384C392.8 432 400 424.8 400 416V96C400 87.16 392.8 80 384 80z"],
    "block-brick": [448, 512, ["wall-brick"], "e3db", "M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM144 128H304V80H144V128zM96 128V80H64C55.16 80 48 87.16 48 96V128H96zM48 176V232H200V176H48zM96 336V280H48V336H96zM48 384V416C48 424.8 55.16 432 64 432H200V384H48zM144 336H304V280H144V336zM400 336V280H352V336H400zM400 384H248V432H384C392.8 432 400 424.8 400 416V384zM248 176V232H400V176H248zM400 128V96C400 87.16 392.8 80 384 80H352V128H400z"],
    "block-brick-fire": [640, 512, ["firewall"], "e3dc", "M176 336H288.8C288.3 340.7 288 345.4 288 350.1C288 361.6 289 372.9 290.1 384H256V432H306.1C314.2 449.5 324.8 465.7 337.6 480H96C60.65 480 32 451.3 32 416V96C32 60.65 60.65 32 96 32H416C451.3 32 480 60.65 480 96V144.6C478.3 143 476.7 141.5 474.1 139.1C457.3 124 430.2 123.1 412.5 139.9C399.5 151.4 387.3 163.5 375.9 176H256V232H332C329.6 235.6 327.4 239.2 325.2 242.7C317.8 254.7 310.1 267.2 305.2 280H176V336zM176 128H336V80H176V128zM128 128V80H96C87.16 80 80 87.16 80 96V128H128zM80 176V232H208V176H80zM128 336V280H80V336H128zM80 384V416C80 424.8 87.16 432 96 432H208V384H80zM432 128V96C432 87.16 424.8 80 416 80H384V128H432zM509 221.5C516.9 211.6 525.8 200.8 535.5 191.1C541.1 186.9 549.9 186.9 555.5 192C580.2 214.7 601.1 244.7 615.8 273.2C630.4 301.2 640 329.9 640 350.1C640 437.9 568.7 512 480 512C390.3 512 320 437.8 320 350.1C320 323.7 332.7 291.5 352.4 259.5C372.4 227.2 400.5 193.4 433.8 163.7C439.4 158.7 447.1 158.8 453.5 163.8C473.3 181.6 491.8 200.7 509 221.5V221.5zM550 336.1C548 332.1 546 328.1 543 324.1L507 367C507 367 448.1 293 444.1 288C415 324.1 400 346 400 370C400 419 436 448 480.1 448C499 448 515 443 530 432.1C560 412 568 370 550 336.1z"],
    "block-question": [448, 512, [], "e3dd", "M200 176C191.2 176 184 183.2 184 192V200C184 213.3 173.3 224 160 224C146.7 224 136 213.3 136 200V192C136 156.7 164.7 128 200 128H258C296.7 128 328 159.3 328 197.1C328 222.5 315.1 245.3 294 257.1L248 285.6V288C248 301.3 237.3 312 224 312C210.7 312 200 301.3 200 288V272C200 263.6 204.4 255.8 211.7 251.4L269.3 216.8C275.1 212.8 280 205.7 280 197.1C280 185.8 270.2 176 258 176L200 176zM192 368C192 350.3 206.3 336 224 336C241.7 336 256 350.3 256 368C256 385.7 241.7 400 224 400C206.3 400 192 385.7 192 368zM112 120C112 133.3 101.3 144 88 144C74.75 144 64 133.3 64 120C64 106.7 74.75 96 88 96C101.3 96 112 106.7 112 120zM336 120C336 106.7 346.7 96 360 96C373.3 96 384 106.7 384 120C384 133.3 373.3 144 360 144C346.7 144 336 133.3 336 120zM112 392C112 405.3 101.3 416 88 416C74.75 416 64 405.3 64 392C64 378.7 74.75 368 88 368C101.3 368 112 378.7 112 392zM336 392C336 378.7 346.7 368 360 368C373.3 368 384 378.7 384 392C384 405.3 373.3 416 360 416C346.7 416 336 405.3 336 392zM384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM384 80H64C55.16 80 48 87.16 48 96V416C48 424.8 55.16 432 64 432H384C392.8 432 400 424.8 400 416V96C400 87.16 392.8 80 384 80z"],
    "block-quote": [448, 512, [], "e0b5", "M424 72C437.3 72 448 82.75 448 96C448 109.3 437.3 120 424 120H24C10.75 120 0 109.3 0 96C0 82.75 10.75 72 24 72H424zM424 232C437.3 232 448 242.7 448 256C448 269.3 437.3 280 424 280H152C138.7 280 128 269.3 128 256C128 242.7 138.7 232 152 232H424zM128 416C128 402.7 138.7 392 152 392H424C437.3 392 448 402.7 448 416C448 429.3 437.3 440 424 440H152C138.7 440 128 429.3 128 416zM0 248C0 234.7 10.75 224 24 224C37.25 224 48 234.7 48 248V424C48 437.3 37.25 448 24 448C10.75 448 0 437.3 0 424V248z"],
    "blog": [512, 512, [], "f781", "M216.1 .0803C204-1.045 192.6 9.798 192 23.05C191.5 36.3 201.7 47.48 214.1 48.01c131.8 5.531 243.5 117.2 249 249c.5468 12.91 11.17 22.1 23.97 22.1c.3281 0 .6718 0 1.016-.0313c13.25-.5312 23.53-11.72 22.98-24.97C505.4 138.9 373.1 6.611 216.1 .0803zM217.6 96.1c-12.95-.6249-24.66 9.157-25.52 22.37C191.2 131.7 201.2 143.1 214.4 143.1c79.53 5.187 148.4 74.09 153.6 153.6c.8281 12.69 11.39 22.43 23.94 22.43c.5156 0 1.047-.0313 1.578-.0625c13.22-.8437 23.25-12.28 22.39-25.5C409.3 191.7 320.3 102.8 217.6 96.1zM143.1 224H119.1c-13.25 0-23.1 10.75-23.1 23.1c0 13.25 10.75 23.1 23.1 23.1h23.1c52.94 0 95.1 43.06 95.1 95.99S196.9 464 143.1 464s-95.1-43.06-95.1-95.99V120c0-13.25-10.75-24.01-23.1-24.01S0 106.8 0 120v247.1C0 447.4 64.59 512 143.1 512s143.1-64.59 143.1-143.1S223.4 224 143.1 224z"],
    "blueberries": [512, 512, [], "e2e8", "M208 284H180V256c0-11.05-8.969-20-20-20S140 244.1 140 256v28H112c-11.03 0-20 8.953-20 20s8.969 20 20 20h28V352c0 11.05 8.969 20 20 20S180 363 180 352v-28H208c11.03 0 20-8.953 20-20S219 284 208 284zM336 0C244 0 169.2 70.78 161.4 160.7C71.05 168.2 0 243.7 0 336C0 433.2 78.8 512 176 512c92.28 0 167.8-71.05 175.3-161.4C441.2 342.8 512 267.1 512 176C512 78.8 433.2 0 336 0zM176 464c-70.58 0-128-57.42-128-128s57.42-128 128-128s128 57.42 128 128S246.6 464 176 464zM416 128h-32v32c0 8.844-7.156 16-16 16S352 168.8 352 160V128h-32c-8.844 0-16-7.156-16-16S311.2 96 320 96h32V64c0-8.844 7.156-16 16-16S384 55.16 384 64v32h32c8.844 0 16 7.156 16 16S424.8 128 416 128z"],
    "bluetooth": [320, 512, [], "f293", "M196.1 256l114.6-97.75C316.9 153.7 320 147 320 140s-3.094-13.68-8.438-18.25l-136-115.1c-7.092-6.094-17.12-7.5-25.62-3.531C141.4 6.141 136 14.64 136 24.02v179.1L39.56 121.8c-10-8.594-25.16-7.406-33.81 2.688C-2.873 134.5-1.654 149.7 8.439 158.3l114.6 97.75l-114.6 97.75c-10.09 8.594-11.31 23.75-2.688 33.81c8.625 10.09 23.78 11.31 33.81 2.688L136 308V488c0 9.375 5.438 17.88 13.94 21.78C153.2 511.3 156.6 512 160 512c5.594 0 11.16-1.969 15.56-5.75l136-115.1C316.9 385.7 320 379 320 372s-3.094-13.69-8.438-18.25L196.1 256zM184 76.01l75.03 63.1l-75.03 64V76.01zM184 436V308l75.03 63.1L184 436z"],
    "bold": [384, 512, [], "f032", "M303.8 241.7c2.084-1.838 4.41-3.307 6.385-5.303c22.72-22.91 35.03-53.31 34.72-85.59C344.3 85.31 290.4 32 224.9 32H24C10.75 32 0 42.75 0 56S10.75 80 24 80H48v352H24C10.75 432 0 442.8 0 456S10.75 480 24 480h216c70.59 0 128-57.41 128-128C368 304.8 341.1 263.9 303.8 241.7zM224.9 80c39.31 0 71.59 32 72 71.31c.1875 19.34-7.219 37.56-20.84 51.34C262.5 216.4 244.3 224 224.9 224H96V80H224.9zM240 432H96v-160h144c44.13 0 80 35.88 80 80.01S284.1 432 240 432z"],
    "bolt": [384, 512, [9889, "zap"], "f0e7", "M289.7 .0006C308.8 .0006 322.6 18.26 317.4 36.61L263.8 224H349.1C368.4 224 384 239.6 384 258.9C384 269.2 379.5 278.9 371.7 285.6L112.9 505.2C107.7 509.6 101.1 512 94.27 512C75.18 512 61.4 493.7 66.64 475.4L120.2 288H33.74C15.1 288 0 272.9 0 254.3C0 244.4 4.315 235 11.81 228.6L271.1 6.893C276.3 2.445 282.9 0 289.7 0V.0006zM253.6 84.99L72.36 240H152C159.5 240 166.6 243.5 171.2 249.5C175.7 255.6 177.1 263.4 175.1 270.6L130.3 427.5L313.5 272H232C224.5 272 217.4 268.5 212.8 262.5C208.3 256.4 206.9 248.6 208.9 241.4L253.6 84.99z"],
    "bolt-auto": [576, 512, [], "e0b6", "M263.8 224H349.1C368.4 224 384 239.6 384 258.9C384 269.2 379.5 278.9 371.7 285.6L112.9 505.2C107.7 509.6 101.1 512 94.27 512C75.18 512 61.4 493.7 66.64 475.4L120.2 288H33.74C15.1 288 0 272.9 0 254.3C0 244.4 4.315 235 11.81 228.6L271.1 6.893C276.3 2.445 282.9 0 289.7 0C308.8 0 322.6 18.26 317.4 36.61L263.8 224zM152 240C159.5 240 166.6 243.5 171.2 249.5C175.7 255.6 177.1 263.4 175.1 270.6L130.3 427.5L313.5 272H232C224.5 272 217.4 268.5 212.8 262.5C208.3 256.4 206.9 248.6 208.9 241.4L253.6 84.99L72.36 240H152zM464 288C473.1 288 481.4 293.1 485.5 301.3L573.5 477.3C579.4 489.1 574.6 503.5 562.7 509.5C550.9 515.4 536.5 510.6 530.5 498.7L517.2 472H410.8L397.5 498.7C391.5 510.6 377.1 515.4 365.3 509.5C353.4 503.5 348.6 489.1 354.5 477.3L442.5 301.3C446.6 293.1 454.9 288 464 288H464zM434.8 424H493.2L464 365.7L434.8 424z"],
    "bolt-lightning": [384, 512, [], "e0b7", "M381.2 172.8C377.1 164.9 368.9 160 360 160h-156.6l50.84-127.1c2.969-7.375 2.062-15.78-2.406-22.38S239.1 0 232 0h-176C43.97 0 33.81 8.906 32.22 20.84l-32 240C-.7179 267.7 1.376 274.6 5.938 279.8C10.5 285 17.09 288 24 288h146.3l-41.78 194.1c-2.406 11.22 3.469 22.56 14 27.09C145.6 511.4 148.8 512 152 512c7.719 0 15.22-3.75 19.81-10.44l208-304C384.8 190.2 385.4 180.7 381.2 172.8zM201 373.9l22.47-104.8c1.531-7.094-.25-14.47-4.812-20.12C214.1 243.3 207.3 240 200 240H51.41l25.59-192h119.6L145.7 175.1C142.8 182.5 143.7 190.9 148.1 197.5S160 208 168 208h146.5L201 373.9z"],
    "bolt-slash": [640, 512, [], "e0b8", "M227.9 153.3L399.1 6.894C404.3 2.445 410.9 .0003 417.7 .0003C436.8 .0003 450.6 18.26 445.4 36.61L391.8 224H477.1C496.4 224 512 239.6 512 258.9C512 269.2 507.5 278.9 499.7 285.6L450.2 327.6L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L227.9 153.3zM266.4 183.5L337.5 239.3L381.6 84.99L266.4 183.5zM379.3 272L411.6 297.3L441.5 272H379.3zM336.5 361.1L374.9 391.4L240.9 505.2C235.7 509.6 229.1 512 222.3 512C203.2 512 189.4 493.7 194.6 475.4L247.4 290.9L288.1 322.1L258.3 427.5L336.5 361.1zM153.5 216.9L243.7 288H161.7C143.1 288 128 272.9 128 254.3C128 244.4 132.3 235 139.8 228.6L153.5 216.9z"],
    "bomb": [512, 512, [128163], "f1e2", "M459.1 52.39L504.8 69.22C509 70.78 512 75.12 512 79.67C512 84.15 508.1 88.38 504.8 89.83L459.1 106.7L442.6 152.5C441.1 156.9 436.7 160 432.1 160C427.5 160 423.2 156.9 421.7 152.5L404.9 106.7L359.2 89.83C355 88.38 352 84.15 352 79.67C351.1 75.12 354.1 70.78 359.2 69.22L405.2 52.39L421.7 6.548C423.6 2.623 427.8 0 432.1 0C436.5 0 440.7 2.623 442.6 6.548L459.1 52.39zM200 224C160.2 224 128 256.2 128 296C128 309.3 117.3 320 104 320C90.75 320 80 309.3 80 296C80 229.7 133.7 176 200 176C213.3 176 224 186.7 224 200C224 213.3 213.3 224 200 224zM278.5 108.3L281.4 105.4C293.9 92.88 314.1 92.88 326.6 105.4L406.6 185.4C419.1 197.9 419.1 218.1 406.6 230.6L403.8 233.5C411.7 255.5 416 279.3 416 304C416 418.9 322.9 512 208 512C93.12 512 0 418.9 0 304C0 189.1 93.12 96 208 96C232.7 96 256.5 100.3 278.5 108.3V108.3zM302.9 149.6C290.8 156.7 275.9 158.3 262.2 153.4C245.4 147.3 227.1 144 208 144C119.6 144 48 215.6 48 304C48 392.4 119.6 464 208 464C296.4 464 368 392.4 368 304C368 284.9 364.7 266.6 358.6 249.8C353.7 236.1 355.3 221.2 362.4 209.1L302.9 149.6z"],
    "bone": [576, 512, [129460], "f5d7", "M576 189.7V185.9c0-42.54-30.56-79.58-72.66-88.05c-45.97-9.096-91.81 15.44-107.1 57.76c-2.25 6.345-8.719 12.32-13.31 12.32H193c-4.594 0-11.12-6.095-13.53-12.88c-15-41.79-61.09-66.3-106.8-57.2C30.56 106.4 0 143.4 0 185.9v3.72c0 26.16 11.94 50.14 32.13 66.33C11.91 272.2 0 296.2 0 322.3v3.72c0 42.54 30.56 79.58 72.66 88.05c6.469 1.282 12.91 1.907 19.28 1.907c38.91 0 74.69-23.29 87.78-59.67c2.25-6.345 8.719-12.32 13.31-12.32h189.9c4.625 0 11.12 6.095 13.53 12.88c15.03 41.79 61.09 66.39 106.8 57.2C545.4 405.6 576 368.6 576 326v-3.72c0-26.13-11.91-50.07-32.16-66.33C564.1 239.7 576 215.8 576 189.7zM528 189.7c0 14.69-9.094 28.01-23.88 34.82c-12.5 5.845-20.25 17.94-20.25 31.51s7.75 25.66 20.25 31.51C518.8 294.2 528 307.6 528 322.3v3.72c0 19.75-14.34 37.01-34.09 40.98c-22.78 4.72-45.19-6.783-52.28-26.54c-7.594-21.41-29.19-44.48-58.66-44.48H193c-29.44 0-51 22.94-58.72 44.63c-7 19.6-29.47 30.98-52.22 26.38C62.34 363 48 345.8 48 326v-3.72c0-14.69 9.094-28.01 23.88-34.82c12.5-5.845 20.25-17.94 20.25-31.51s-7.75-25.66-20.41-31.6C57.09 217.7 48 204.3 48 189.7V185.9c0-19.75 14.34-37.01 34.09-40.98c3.375-.6877 6.719-1 10.03-1c19.03 0 36.22 10.72 42.25 27.54c7.624 21.44 29.22 44.48 58.66 44.48h189.9c29.44 0 51-22.94 58.72-44.63c7-19.6 29.44-31.04 52.22-26.38C513.7 148.9 528 166.2 528 185.9V189.7z"],
    "bone-break": [640, 512, [], "f5d8", "M407.1 159.1c6.156 0 12.28-2.344 16.97-7.031l47.1-47.1c9.374-9.374 9.374-24.56 0-33.94s-24.56-9.374-33.94 0l-47.1 47.1c-9.374 9.374-9.374 24.56 0 33.94C395.7 157.7 401.8 159.1 407.1 159.1zM319.1 127.1c13.25 0 23.1-10.75 23.1-24V23.1C343.1 10.75 333.2 0 319.1 0S295.1 10.75 295.1 23.1v79.1C295.1 117.2 306.7 127.1 319.1 127.1zM215 152.1C219.7 157.7 225.8 159.1 231.1 159.1s12.28-2.344 16.97-7.031c9.374-9.374 9.374-24.56 0-33.94L200.1 71.03c-9.374-9.374-24.56-9.374-33.94 0c-9.374 9.374-9.374 24.56 0 33.94L215 152.1zM582.5 198.4c-43.65-16.5-93.56 .25-116.3 39.18c-2.937 5.062-9.406 7.655-14.41 7.093l-78.49-17.56c-12.97-3.031-25.75 5.218-28.65 18.15s5.218 25.78 18.15 28.65l79.87 17.84c25.81 4.187 52.15-7.843 65.15-30.25c10.94-18.72 35.65-26.5 57.75-18.25c18.62 7.062 29.47 26.31 25.78 45.68l-.7187 3.781c-2.844 14.94-14.69 26.93-31.06 31.37c-13.44 3.781-23.19 14.5-25.47 27.1c-2.25 13.31 3.312 26.43 14.75 34.37c13.06 8.874 19.47 23.4 16.69 37.1l-.6562 3.593c-3.843 20.06-21.72 35.12-42.56 35.87c-22.22 .125-42.72-13.44-46.43-33.31l-.1875-1.312c-3.1-25.53-24.5-45.59-49.12-49.53l-106.5-26.22l-104.6 25.84c-26.53 4.312-47.03 24.37-50.97 49.65l-.3125 1.781c-3.812 19.75-23.65 34.28-46.4 33.06c-20.81-.7187-38.68-15.78-42.5-35.72l-.7187-3.812c-2.75-14.5 3.656-29.03 16.91-38.03c11.25-7.812 16.81-20.94 14.56-34.25c-2.281-13.5-12.03-24.22-25.62-28.03c-16.22-4.406-28.06-16.4-30.9-31.4L48.73 289c-3.718-19.47 7.124-38.71 25.78-45.78c21.97-8.218 46.78-.4687 57.78 18.37C145.2 283.9 171.3 296.2 198.7 291.5l78.49-17.56c12.94-2.875 21.06-15.72 18.15-28.65c-2.875-12.94-15.75-21.15-28.65-18.15L189.6 244.4C182.9 245.5 176.7 242.6 173.7 237.3C151.1 198.6 101.1 181.9 57.54 198.4c-40.5 15.28-64.03 57.15-55.96 99.68l.7187 3.656c4.937 25.93 21.4 47.71 44.68 60.37c-16.94 19.53-24.5 45.62-19.65 71.12l.7187 3.843c7.968 41.84 44.97 73.3 87.93 74.8c46.75 2.625 88.59-30.28 95.71-74.52l.2187-1.219c1.031-4.687 5.531-8.437 13.06-9.718l95.02-23.4l96.93 23.78c5.687 .9374 10.09 4.625 11.22 9.686l.1562 .8749c6.937 43.09 46.15 74.62 92.02 74.62c1.219 0 2.437-.0312 3.656-.0625c42.1-1.531 79.99-32.1 87.99-74.96l.6562-3.625c4.875-25.59-2.687-51.74-19.59-71.24c23.28-12.65 39.75-34.4 44.65-60.28l.7499-3.812C646.5 255.5 622.9 213.7 582.5 198.4z"],
    "bong": [512, 512, [], "f55c", "M467.1 211.7l-41.35-41.45c-9.353-9.375-24.54-9.384-33.9-.0201c-9.356 9.356-9.468 24.64-.112 33.99l3.746 3.747l-39.37 39.38c-11.5-11.38-24.5-21.25-38.63-29.5V47.75h8.121c13.13 0 23.88-10.75 23.88-23.88c0-13.19-10.7-23.88-23.89-23.86L118.2 .2457C105 .2604 94.35 10.95 94.35 24.13c0 13.19 10.69 23.88 23.88 23.88h8.121v169.9c-57.38 33.25-95.1 95.12-95.1 166.1c0 43.07 14.29 82.87 38.35 114.9c5.382 7.158 16.94 13.14 25.9 13.14h255.4c9.024 0 20.68-6.02 26.1-13.24c24.01-31.98 38.28-71.74 38.28-114.8c0-36.13-10.12-69.75-27.5-98.63l43.5-43.37l3.715 3.715c9.369 9.369 24.66 9.327 33.97-.094C477.3 236.2 477.3 221.1 467.1 211.7zM150.4 259.4l24-13.88v-197.5h96v197.5l24 13.88c24.75 14.38 44 35.75 56.5 60.63h-257C106.4 295.1 125.6 273.8 150.4 259.4z"],
    "book": [448, 512, [128212], "f02d", "M448 352V48C448 21.53 426.5 0 400 0h-320C35.89 0 0 35.88 0 80v352C0 476.1 35.89 512 80 512h344c13.25 0 24-10.75 24-24s-10.75-24-24-24H416v-66.95C434.6 390.4 448 372.8 448 352zM368 464h-288c-17.64 0-32-14.34-32-32s14.36-32 32-32h288V464zM400 352h-320c-11.38 0-22.2 2.375-32 6.688V80c0-17.66 14.36-32 32-32h320V352zM152 160h176C341.3 160 352 149.3 352 136S341.3 112 328 112h-176C138.8 112 128 122.8 128 136S138.8 160 152 160zM152 240h176C341.3 240 352 229.3 352 216S341.3 192 328 192h-176C138.8 192 128 202.8 128 216S138.8 240 152 240z"],
    "book-arrow-right": [640, 512, [], "e0b9", "M424 288c-13.25 0-24 10.74-24 24V352h-320c-11.38 0-22.2 2.375-32 6.688V80c0-17.67 14.33-32 32-32h320v56C400 117.3 410.7 128 424 128S448 117.3 448 104V48C448 21.49 426.5 0 400 0h-320C35.82 0 0 35.82 0 80v352C0 476.2 35.82 512 80 512h344c13.25 0 24-10.75 24-24s-10.75-24-24-24H416v-66.95C434.6 390.4 448 372.8 448 352V312C448 298.7 437.3 288 424 288zM368 464h-288c-17.64 0-32-14.34-32-32s14.36-32 32-32h288V464zM632.1 191l-80-80c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L558.1 184H280C266.8 184 256 194.8 256 208s10.75 24 24 24h278.1l-39.03 39.03C514.3 275.7 512 281.8 512 288s2.344 12.28 7.031 16.97c9.375 9.375 24.56 9.375 33.94 0l80-80C642.3 215.6 642.3 200.4 632.1 191z"],
    "book-arrow-up": [448, 512, [], "e0ba", "M448 352V48C448 21.53 426.5 0 400 0h-320C35.82 0 0 35.82 0 80v352C0 476.2 35.82 512 80 512h72c13.25 0 24-10.75 24-24c0-13.26-10.75-24-24-24H80c-17.64 0-32-14.34-32-32s14.36-32 32-32h72c13.25 0 24-10.75 24-24C176 362.7 165.3 352 152 352H80c-11.38 0-22.2 2.375-32 6.688V80c0-17.67 14.33-32 32-32h320V352h-72c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24h40v64h-40c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24h96c13.25 0 24-10.75 24-24s-10.75-24-24-24H416v-66.95C434.6 390.4 448 372.8 448 352zM336.1 248.1c9.375-9.375 9.375-24.56 0-33.94l-80-80c-9.375-9.375-24.56-9.375-33.94 0l-80 80c-9.375 9.375-9.375 24.56 0 33.94s24.56 9.375 33.94 0L216 209.9V488c0 13.25 10.75 24 24 24s24-10.75 24-24V209.9l39.03 39.03C307.7 253.7 313.8 256 320 256S332.3 253.7 336.1 248.1z"],
    "book-atlas": [448, 512, ["atlas"], "f558", "M448 352V48C448 21.53 426.5 0 400 0h-320C35.89 0 0 35.88 0 80v352C0 476.1 35.89 512 80 512h344c13.25 0 24-10.75 24-24s-10.75-24-24-24H416v-66.95C434.6 390.4 448 372.8 448 352zM368 464h-288c-17.64 0-32-14.34-32-32s14.36-32 32-32h288V464zM400 352h-320c-11.38 0-22.2 2.375-32 6.688V80c0-17.66 14.36-32 32-32h320V352zM232 80C165.8 80 112 133.8 112 200S165.8 320 232 320S352 266.3 352 200S298.3 80 232 80zM145.6 216h34.63C181.6 239.6 185.1 261 192.5 278.3C168.5 266 150.6 243.4 145.6 216zM180.3 184H145.6c5-27.38 22.75-50 46.88-62.25C185.1 139 181.6 160.4 180.3 184zM232 285.8C225.1 277.4 214.5 253.4 212 216h40C249.5 253.4 238.9 277.4 232 285.8zM212 184c2.5-37.38 13.12-61.38 20-69.75C238.9 122.6 249.5 146.6 252 184H212zM271.5 278.3C277.1 261 282.4 239.6 283.8 216h34.63C313.4 243.4 295.5 266 271.5 278.3zM283.8 184c-1.375-23.62-5.75-45-12.25-62.25C295.6 134 313.4 156.6 318.4 184H283.8z"],
    "book-bible": [448, 512, ["bible"], "f647", "M448 352V48C448 21.53 426.5 0 400 0h-320C35.89 0 0 35.88 0 80v352C0 476.1 35.89 512 80 512h344c13.25 0 24-10.75 24-24s-10.75-24-24-24H416v-66.95C434.6 390.4 448 372.8 448 352zM368 464h-288c-17.64 0-32-14.34-32-32s14.36-32 32-32h288V464zM400 352h-320c-11.38 0-22.2 2.375-32 6.688V80c0-17.66 14.36-32 32-32h320V352zM160 208L208 208v96c0 8.875 7.125 16 16 16l32 .0002c8.875 0 16-7.127 16-16v-96L320 208c8.875 0 16-7.129 16-16V160c0-8.875-7.125-15.1-16-15.1L272 144V96c0-8.875-7.125-15.99-16-15.99h-32C215.1 80.01 208 87.13 208 96v48L160 144C151.1 144 144 151.1 144 160v32C144 200.9 151.1 208 160 208z"],
    "book-blank": [448, 512, [128215, 128216, 128217, 128213, "book-alt"], "f5d9", "M448 352V48C448 21.53 426.5 0 400 0h-320C35.89 0 0 35.88 0 80v352C0 476.1 35.89 512 80 512h344c13.25 0 24-10.75 24-24s-10.75-24-24-24H416v-66.95C434.6 390.4 448 372.8 448 352zM368 464h-288c-17.64 0-32-14.34-32-32s14.36-32 32-32h288V464zM400 352h-320c-11.38 0-22.2 2.375-32 6.688V80c0-17.66 14.36-32 32-32h320V352z"],
    "book-bookmark": [448, 512, [], "e0bb", "M448 352V48C448 21.53 426.5 0 400 0h-320C35.89 0 0 35.88 0 80v352C0 476.1 35.89 512 80 512h344c13.25 0 24-10.75 24-24s-10.75-24-24-24H416v-66.95C434.6 390.4 448 372.8 448 352zM368 464h-288c-17.64 0-32-14.34-32-32s14.36-32 32-32h288V464zM400 352h-320c-11.38 0-22.2 2.375-32 6.688V80c0-17.66 14.36-32 32-32H192v159.1c0 13.41 15.52 20.88 25.1 12.49L272 176l54 44.46C336.5 228.8 352 221.4 352 207.1V48h48V352z"],
    "book-circle-arrow-right": [640, 512, [], "e0bc", "M348.6 464H80c-17.64 0-32-14.34-32-32s14.36-32 32-32h243C321.1 389.6 320 378.9 320 368c0-5.4 .3281-10.72 .8047-16H80c-11.38 0-22.2 2.375-32 6.688V80c0-17.66 14.36-32 32-32h320v172.6c14.63-9.553 30.78-16.93 48-21.8V48C448 21.53 426.5 0 400 0h-320C35.89 0 0 35.88 0 80v352C0 476.1 35.89 512 80 512h315C376.6 499.1 360.9 482.8 348.6 464zM496 224C416.5 224 352 288.5 352 368s64.46 144 144 144s144-64.46 144-144S575.5 224 496 224zM571.3 379.3l-56 56C512.2 438.4 508.1 440 504 440s-8.188-1.562-11.31-4.688c-6.25-6.25-6.25-16.38 0-22.62L521.4 384H432c-8.836 0-15.1-7.164-15.1-16S423.2 352 432 352h89.38l-28.69-28.69c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0l56 56C577.6 362.9 577.6 373.1 571.3 379.3z"],
    "book-circle-arrow-up": [640, 512, [], "e0bd", "M348.6 464H80c-17.64 0-32-14.34-32-32s14.36-32 32-32h243C321.1 389.6 320 378.9 320 368c0-5.4 .3281-10.72 .8047-16H80c-11.38 0-22.2 2.375-32 6.688V80c0-17.66 14.36-32 32-32h320v172.6c14.63-9.553 30.78-16.93 48-21.8V48C448 21.53 426.5 0 400 0h-320C35.89 0 0 35.88 0 80v352C0 476.1 35.89 512 80 512h315C376.6 499.1 360.9 482.8 348.6 464zM496 224C416.5 224 352 288.5 352 367.1S416.5 512 496 512s144-64.46 144-144S575.5 224 496 224zM563.3 371.3c-6.25 6.25-16.38 6.25-22.62 0L512 342.6V432c0 8.836-7.164 15.1-16 15.1S480 440.8 480 432v-89.38l-28.69 28.69c-6.25 6.25-16.38 6.25-22.62 0s-6.25-16.38 0-22.62l56-56c6.25-6.25 16.38-6.25 22.62 0l56 56C566.4 351.8 568 355.9 568 360S566.4 368.2 563.3 371.3z"],
    "book-copy": [576, 512, [], "e0be", "M576 256V48C576 21.53 554.5 0 528 0h-256C227.9 0 192 35.88 192 80v256C192 380.1 227.9 416 272 416h280c13.25 0 24-10.75 24-24s-10.75-24-24-24H544V301.1C562.6 294.4 576 276.8 576 256zM496 368h-224c-17.64 0-32-14.34-32-32s14.36-32 32-32h224V368zM528 256h-256c-11.38 0-22.2 2.375-32 6.688V80c0-17.66 14.36-32 32-32h256V256zM360 464H352l0-16H304v16h-224c-17.64 0-32-14.34-32-32s14.36-32 32-32h100.3c-9.805-13.99-16.16-30.36-18.72-48H80c-11.38 0-22.2 2.375-32 6.688V176c0-17.66 14.36-32 32-32H160V96H80C35.89 96 0 131.9 0 176v256C0 476.1 35.89 512 80 512h280c13.25 0 24-10.75 24-24S373.3 464 360 464z"],
    "book-font": [448, 512, [], "e0bf", "M448 352V48C448 21.53 426.5 0 400 0h-320C35.89 0 0 35.88 0 80v352C0 476.1 35.89 512 80 512h344c13.25 0 24-10.75 24-24s-10.75-24-24-24H416v-66.95C434.6 390.4 448 372.8 448 352zM368 464h-288c-17.64 0-32-14.34-32-32s14.36-32 32-32h288V464zM400 352h-320c-11.38 0-22.2 2.375-32 6.688V80c0-17.66 14.36-32 32-32h320V352zM141.3 301.5c11.89 5.938 26.27 1.156 32.2-10.75L190.8 256h98.34l17.36 34.72C310.7 299.2 319.2 304 328 304c3.609 0 7.266-.8125 10.72-2.531c11.86-5.938 16.66-20.34 10.73-32.19l-88-176c-8.125-16.31-34.81-16.31-42.94 0l-88 176C124.6 281.1 129.4 295.5 141.3 301.5zM240 157.7L265.2 208H214.8L240 157.7z"],
    "book-heart": [448, 512, [], "f499", "M448 352V48C448 21.53 426.5 0 400 0h-320C35.89 0 0 35.88 0 80v352C0 476.1 35.89 512 80 512h344c13.25 0 24-10.75 24-24s-10.75-24-24-24H416v-66.95C434.6 390.4 448 372.8 448 352zM368 464h-288c-17.64 0-32-14.34-32-32s14.36-32 32-32h288V464zM400 352h-320c-11.38 0-22.2 2.375-32 6.688V80c0-17.66 14.36-32 32-32h320V352zM230.1 299.9c5.496 5.504 14.24 5.504 19.74 0l84.72-85.56c24.62-25.02 23.12-66.17-4.502-89.19C306.2 105.1 270.5 108.7 248.5 130.9l-8.623 8.762l-8.619-8.762C209.4 108.7 173.8 105.1 149.8 125.1C122.3 148.1 120.8 189.3 145.4 214.3L230.1 299.9z"],
    "book-journal-whills": [448, 512, ["journal-whills"], "f66a", "M448 352V48C448 21.53 426.5 0 400 0h-320C35.89 0 0 35.88 0 80v352C0 476.1 35.89 512 80 512h344c13.25 0 24-10.75 24-24s-10.75-24-24-24H416v-66.95C434.6 390.4 448 372.8 448 352zM368 464h-288c-17.64 0-32-14.34-32-32s14.36-32 32-32h288V464zM400 352h-320c-11.38 0-22.2 2.375-32 6.688V80c0-17.66 14.36-32 32-32h320V352zM149.3 230.5C151.5 232.4 152.4 235.3 151.9 238.1c-.5 2.75-2.625 5.125-5.25 6C143.9 245 140.9 244.5 138.8 242.5l-20-17.5C130.5 279.3 180.4 320 240 320s109.5-40.75 121.3-95l-20 17.5c-3.25 3-8.375 2.625-11.25-.75C328.8 240.3 328.1 238.5 328 236.5c.125-2.25 1.125-4.375 2.75-6l33.13-29c0-.375 .125-.75 .125-1.125c0-10.75-1.625-21.5-4.625-31.88l-17.75 17.75c-3.125 3-8.188 3.125-11.31 0S327.3 178 330.4 174.9L353 152.1c-11.12-23.75-29.62-43.25-52.88-55.63C298.6 95.63 296.6 96 295.4 97.25C294.8 98.13 294.4 99 294.3 100c.125 .75 .25 1.5 .625 2.125C301.1 111.8 304.5 123 304.5 134.4c0 14.38-5.125 27.88-15 39.13c-1.125 1.375-1.25 3.5-.25 5c11.5 16.38 13.88 37.5 6.5 56.13c-7.25 18.62-23.5 32.38-43.13 36.5H252V243.4l6.375 6.25c2 2.125 4.875 2.875 7.75 2.125C268.9 251 271 248.9 271.8 246.1s-.125-5.75-2.125-7.75L259.3 228H272c4.375 0 8-3.625 8-8s-3.625-8-8-8h-12.75l10.38-10.38c3.125-3.125 3.125-8.125 0-11.25s-8.125-3.125-11.25 0L252 196.8V100c0-6.625-5.375-12-12-12s-12 5.375-12 12v96.75L221.6 190.4c-3.125-3.125-8.125-3.125-11.25 0s-3.125 8.125 0 11.25L220.6 212H208c-4.375 0-8 3.625-8 8s3.625 8 8 8h12.62L210.4 238.4c-3.125 3.125-3.125 8.125 0 11.25s8.125 3.125 11.25 0L228 243.3v27.88h-.625C207.8 267 191.6 253.3 184.3 234.6s-5-39.75 6.5-56.13c1-1.625 .875-3.625-.25-5c-9.875-11.25-15-24.75-15-39.13c0-11.38 3.375-22.62 9.625-32.25c.8746-1.5 .75-3.5-.5-4.875S181.4 95.63 179.8 96.5C156.6 108.9 138.1 128.4 127 152.1l22.62 22.75c3.125 3.125 3.125 8.25 0 11.38s-8.125 3-11.25-.125L120.6 168.5C117.6 178.9 116 189.6 116 200.4c0 .375 .125 .75 .125 1.125L149.3 230.5z"],
    "book-medical": [448, 512, [], "f7e6", "M448 352V48C448 21.53 426.5 0 400 0h-320C35.89 0 0 35.88 0 80v352C0 476.1 35.89 512 80 512h344c13.25 0 24-10.75 24-24s-10.75-24-24-24H416v-66.95C434.6 390.4 448 372.8 448 352zM368 464h-288c-17.64 0-32-14.34-32-32s14.36-32 32-32h288V464zM400 352h-320c-11.38 0-22.2 2.375-32 6.688V80c0-17.66 14.36-32 32-32h320V352zM160 223.1l48-.002v48C208 280.8 215.2 288 224 288l32-.0031c8.801 0 16-7.198 16-15.1v-48l48-.002c8.801 0 16-7.199 16-15.1V175.1c0-8.801-7.199-15.1-16-15.1h-48V111.1c0-8.801-7.199-16-16-16L224 96C215.2 96 208 103.2 208 111.1V160H160C151.2 160 144 167.2 144 175.1V208C144 216.8 151.2 223.1 160 223.1z"],
    "book-open": [576, 512, [128366, 128214], "f518", "M540.9 56.77C493.8 39.74 449.6 31.58 410.9 32.02C352.2 32.96 308.3 50 288 59.74C267.7 50 223.9 32.98 165.2 32.04C125.8 31.35 82.18 39.72 35.1 56.77C14.02 64.41 0 84.67 0 107.2v292.1c0 16.61 7.594 31.95 20.84 42.08c13.73 10.53 31.34 13.91 48.2 9.344c118.1-32 202 22.92 205.5 25.2C278.6 478.6 283.3 480 287.1 480s9.37-1.359 13.43-4.078c3.516-2.328 87.59-57.21 205.5-25.25c16.92 4.563 34.5 1.188 48.22-9.344C568.4 431.2 576 415.9 576 399.2V107.2C576 84.67 561.1 64.41 540.9 56.77zM264 416.8c-27.86-11.61-69.84-24.13-121.4-24.13c-26.39 0-55.28 3.281-86.08 11.61C53.19 405.3 50.84 403.9 50 403.2C48 401.7 48 399.8 48 399.2V107.2c0-2.297 1.516-4.531 3.594-5.282c40.95-14.8 79.61-22.36 112.8-21.84C211.3 80.78 246.8 93.75 264 101.5V416.8zM528 399.2c0 .5938 0 2.422-2 3.969c-.8438 .6407-3.141 2.063-6.516 1.109c-90.98-24.6-165.4-5.032-207.5 12.53v-315.3c17.2-7.782 52.69-20.74 99.59-21.47c32.69-.5157 71.88 7.047 112.8 21.84C526.5 102.6 528 104.9 528 107.2V399.2z"],
    "book-open-cover": [640, 512, ["book-open-alt"], "e0c0", "M600.2 32.97L592 35.03v368.1L320 463.6l-272-60.45V35.03L39.76 32.97C19.56 27.92 0 43.19 0 64.01v351.1c0 15 10.42 27.98 25.06 31.24l288 63.1c4.572 1.016 9.311 1.016 13.88 0l288-63.1C629.6 443.1 640 431 640 416V64.01C640 43.19 620.4 27.92 600.2 32.97zM97.97 375.2l216 56C315.9 431.8 317.1 432 320 432s4.062-.25 6.031-.7813l216-56C552.6 372.5 560 362.9 560 352V24c0-7.125-3.156-13.91-8.656-18.44c-5.5-4.562-12.66-6.469-19.72-5.156L320 39.59L108.4 .4062C101.3-.9062 94.16 1 88.66 5.562C83.16 10.09 80 16.88 80 24V352C80 362.9 87.41 372.5 97.97 375.2zM344 83.96L512 52.84v280.6l-168 43.56V83.96zM128 52.84l168 31.12v293L128 333.4V52.84z"],
    "book-open-reader": [512, 512, ["book-reader"], "f5da", "M459.9 192c-.625 0-1.375 0-2 .125C408 194.9 317.4 205.1 256 239.6c-61.38-34.5-152-44.75-201.9-47.5C53.5 192 52.75 192 52.12 192C31.75 192 0 206.4 0 242.2v177.1C0 447 21.25 469 48.38 470.4c34.38 1.875 120.5 9.125 177 37.5C230.8 510.6 236.5 512 242.4 512h27.12c5.75 0 11.75-1.375 17.12-4.125c56.5-28.38 142.6-35.63 177-37.5C490.8 469 512 447 512 420.2V242.2C512 206.4 480.3 192 459.9 192zM232 458.4c-60.62-25.75-138.1-33.62-181.1-35.88C49.12 422.4 48 421.2 48 420.2L47.5 241.9C48.25 241 50.88 240.1 51.38 240C87.25 242 176.5 250.1 232 281.2V458.4zM464 420.2c0 1-1.125 2.125-2.875 2.25c-42.88 2.25-120.4 10.12-181.1 36V281.2C335.4 250.2 424.1 242.1 459.9 240C461.4 240.1 463.8 241.1 464 242.2V420.2zM256 192c53 0 96-43 96-96s-43-96-96-96S160 43 160 96S203 192 256 192zM256 48c26.5 0 48 21.5 48 48S282.5 144 256 144S208 122.5 208 96S229.5 48 256 48z"],
    "book-quran": [448, 512, ["quran"], "f687", "M368 0h-320C21.53 0 0 21.53 0 48V352c0 20.83 13.42 38.43 32 45.05V464H24C10.75 464 0 474.8 0 488S10.75 512 24 512H368c44.11 0 80-35.88 80-80v-352C448 35.88 412.1 0 368 0zM368 464h-288v-64h288c17.64 0 32 14.34 32 32S385.6 464 368 464zM400 358.7C390.2 354.4 379.4 352 368 352h-320V48h320c17.64 0 32 14.34 32 32V358.7zM304.1 172l-12.75-25.88c-1.376-2.75-5.376-2.75-6.75 0L271.9 172l-28.62 4.25c-3.125 .375-4.375 4.125-2.125 6.375l20.75 20.12L257 231.3c-.5 3 2.625 5.375 5.375 4L288 221.8l25.62 13.5c2.75 1.375 5.875-.875 5.375-4l-4.875-28.5l20.75-20.12c2.25-2.25 1-6-2.125-6.375L304.1 172zM248.4 270.9L244.9 271c-39.13 0-71-31.88-71-71s31.88-71 71-71l3.5 .125c6.375 0 12-4.625 13.38-10.88c1.25-6.625-2.25-13.12-8.625-15.62C241.3 98.25 229 96 216.6 96c-57.25 0-104 46.63-104 104s46.63 104 104 104c12.38 0 24.62-2.25 36.13-6.5c5.5-1.875 9.249-7.125 9.249-13C261.1 277 255.9 270.9 248.4 270.9z"],
    "book-section": [448, 512, ["book-law"], "e0c1", "M448 352V48C448 21.53 426.5 0 400 0h-320C35.89 0 0 35.88 0 80v352C0 476.1 35.89 512 80 512h344c13.25 0 24-10.75 24-24s-10.75-24-24-24H416v-66.95C434.6 390.4 448 372.8 448 352zM368 464h-288c-17.64 0-32-14.34-32-32s14.36-32 32-32h288V464zM400 352h-320c-11.38 0-22.2 2.375-32 6.688V80c0-17.66 14.36-32 32-32h320V352zM228.9 286.9C219.4 285.7 208.1 281.1 198.1 278.7L192.9 277C184.3 274.3 175.5 278.9 172.8 287.3C170.1 295.8 174.7 304.8 183.1 307.5L188.2 309.1c11.28 3.688 24.09 7.875 36.34 9.531c6.594 .9219 12.91 1.375 18.91 1.375c34.5 0 58.75-15 63.66-40.7c3.766-19.76-3.5-32.58-14.96-41.59c7.691-6.637 13-15.07 14.96-25.27c8.188-42.97-34.73-53.92-63.11-61.27l-6.734-1.906C204.3 140.5 202.8 134.7 204.4 126.7c2.188-11.41 21.81-17.11 46.63-13.64c7.969 1.125 17.09 3.812 23.22 5.734c8.531 2.625 17.41-2.109 20.06-10.52c2.625-8.438-2.094-17.41-10.5-20.05c-11.5-3.578-20.47-5.75-28.28-6.859C211 75.11 178.7 90.52 172.9 120.7c-3.781 19.83 3.82 32.73 14.94 41.61C180.2 168.9 174.9 177.4 172.9 187.5c-8.094 42.48 35.22 54 56.06 59.55l6.938 1.812c36.44 9.422 41.66 14.12 39.69 24.42C273.5 284.8 253.8 290.5 228.9 286.9zM275.6 206.5c-1.859 9.682-14.38 12.88-22.17 13.98c-3.25-.8965-16.23-4.295-16.23-4.295C204.3 207.4 202.8 201.5 204.4 193.5c1.859-9.701 14.44-12.9 22.22-13.99c.7695 .207 9.328 2.602 9.328 2.602C272.4 191.6 277.6 196.2 275.6 206.5z"],
    "book-skull": [448, 512, ["book-dead"], "f6b7", "M448 352V48C448 21.53 426.5 0 400 0h-320C35.89 0 0 35.88 0 80v352C0 476.1 35.89 512 80 512h344c13.25 0 24-10.75 24-24s-10.75-24-24-24H416v-66.95C434.6 390.4 448 372.8 448 352zM368 464h-288c-17.64 0-32-14.34-32-32s14.36-32 32-32h288V464zM400 352h-320c-11.38 0-22.2 2.375-32 6.688V80c0-17.66 14.36-32 32-32h320V352zM191.1 194.9L191.1 208c0 8.875 7.11 16 15.98 16h64c8.875 0 16-7.125 16-16V194.9c19.38-11.62 32.02-30 32.02-50.88c0-35.38-35.88-64-80-64s-80 28.62-80 64C159.1 164.9 172.6 183.3 191.1 194.9zM271.1 128c8.875 0 16.02 7.125 16.02 16S280.8 160 271.1 160s-16-7.125-16-16S263.1 128 271.1 128zM207.1 128c8.875 0 16 7.125 16 16s-7.125 16-16 16s-16-7.125-16-16S199.1 128 207.1 128zM128.8 309.1C131.1 315.8 137.3 320 144 320c1.672 0 3.375-.25 5.062-.8125L240 288.9l90.94 30.31C332.6 319.8 334.3 320 336 320c6.703 0 12.94-4.25 15.17-10.94c2.797-8.375-1.734-17.44-10.11-20.25L290.6 272l50.44-16.81c8.375-2.812 12.91-11.88 10.11-20.25C348.4 226.6 339.4 222 330.9 224.8L240 255.1L149.1 224.8C140.6 222 131.6 226.6 128.8 234.9c-2.797 8.375 1.734 17.44 10.11 20.25L189.4 272L138.9 288.8C130.6 291.6 126 300.7 128.8 309.1z"],
    "book-sparkles": [448, 512, ["book-spells"], "f6b8", "M448 352V48C448 21.53 426.5 0 400 0h-320C35.89 0 0 35.88 0 80v352C0 476.1 35.89 512 80 512h344c13.25 0 24-10.75 24-24s-10.75-24-24-24H416v-66.95C434.6 390.4 448 372.8 448 352zM368 464h-288c-17.64 0-32-14.34-32-32s14.36-32 32-32h288V464zM400 352h-320c-11.38 0-22.2 2.375-32 6.688V80c0-17.66 14.36-32 32-32h320V352zM159.1 144l12.42 29.78C173 175 174.6 176 175.1 176s2.965-.9922 3.574-2.219L191.1 144L221.8 131.6C222.1 130.1 223.1 129.4 223.1 128c0-1.367-1-2.969-2.217-3.578L191.1 112L179.6 82.22C178.1 80.99 177.4 80 175.1 80S173 80.99 172.4 82.22L159.1 112L130.2 124.4C128.1 125 128 126.6 128 128c0 1.359 .9922 2.969 2.211 3.578L159.1 144zM208 239.1c.0117 2.266 1.67 4.965 3.693 5.973l49.38 20.59l.4004 .4492l20.56 49.3c1.012 2.035 3.672 3.68 5.944 3.695c2.279 0 4.965-1.652 5.98-3.695l20.7-49.64l49.64-20.7C366.3 244.9 368 242.3 368 240c0-2.281-1.652-4.945-3.682-5.961L314.7 213.3l-20.7-49.64c-1.016-2.043-3.698-3.693-5.977-3.693c-2.271 .0156-4.935 1.662-5.947 3.693l-20.72 49.63L211.7 234C209.7 235 208 237.7 208 239.1z"],
    "book-tanakh": [448, 512, ["tanakh"], "f827", "M306.6 200l27.62-46.38C338 147.5 338 139.8 334.5 133.5s-10.25-10.12-17.38-10.12h-56.38L233 77.13C229.5 71.13 223 67.5 216 67.5S202.4 71.13 198.8 77.25L171.1 123.5H114.9C107.6 123.4 101 127.3 97.38 133.6c-3.625 6.125-3.5 13.88 .25 20L125.4 200L97.75 246.4C94 252.5 94 260.3 97.5 266.5s10.25 10.12 17.38 10.12h56.38L199 322.9c3.5 6 10 9.625 17 9.625c7.125 0 13.62-3.75 17.25-9.75l27.62-46.25h56.25c7.25 .125 13.88-3.75 17.5-10.12c3.625-6.125 3.5-13.88-.25-20L306.6 200zM310 147.4l-17.38 29.25l-17.5-29.12L310 147.4zM216 95.38l16.75 28.12H199.1L216 95.38zM122 147.5h34.88l-17.5 29.12L122 147.5zM122 252.5l17.5-29.12L157 252.5H122zM216 304.6L199.3 276.5h33.5L216 304.6zM247.1 252.5H184.9L153.4 200l31.5-52.5h62.25L278.6 200L247.1 252.5zM275.1 252.5l17.5-29.12L310 252.5H275.1zM368 0h-320C21.53 0 0 21.53 0 48V352c0 20.83 13.42 38.43 32 45.05V464H24C10.75 464 0 474.8 0 488S10.75 512 24 512H368c44.11 0 80-35.88 80-80v-352C448 35.88 412.1 0 368 0zM368 464h-288v-64h288c17.64 0 32 14.34 32 32S385.6 464 368 464zM400 358.7C390.2 354.4 379.4 352 368 352h-320V48h320c17.64 0 32 14.34 32 32V358.7z"],
    "book-user": [448, 512, [], "f7e7", "M448 352V48C448 21.53 426.5 0 400 0h-320C35.89 0 0 35.88 0 80v352C0 476.1 35.89 512 80 512h344c13.25 0 24-10.75 24-24s-10.75-24-24-24H416v-66.95C434.6 390.4 448 372.8 448 352zM368 464h-288c-17.64 0-32-14.34-32-32s14.36-32 32-32h288V464zM400 352H352v-16C352 291.8 316.2 256 272 256h-64C163.8 256 128 291.8 128 336V352H80c-11.38 0-22.2 2.375-32 6.688V80c0-17.66 14.36-32 32-32h320V352zM240 224c35.35 0 64-28.66 64-64s-28.65-64-64-64s-64 28.66-64 64S204.7 224 240 224z"],
    "bookmark": [384, 512, [61591, 128278], "f02e", "M336 0h-288C21.49 0 0 21.49 0 48v431.9c0 24.7 26.79 40.08 48.12 27.64L192 423.6l143.9 83.93C357.2 519.1 384 504.6 384 479.9V48C384 21.49 362.5 0 336 0zM336 452L192 368l-144 84V54C48 50.63 50.63 48 53.1 48h276C333.4 48 336 50.63 336 54V452z"],
    "bookmark-slash": [640, 512, [], "e0c2", "M630.8 469.1L512 375.1V48C512 21.49 490.5 0 464 0h-288C149.5 0 128 21.49 128 48v27.01L38.81 5.111C28.35-3.061 13.32-1.249 5.121 9.189C-3.051 19.63-1.233 34.72 9.189 42.89L601.2 506.9C605.6 510.3 610.8 512 615.1 512c7.125 0 14.16-3.161 18.89-9.193C643.1 492.4 641.2 477.3 630.8 469.1zM464 338.4l-288-225.7V54C176 50.63 178.6 48 181.1 48h276C461.4 48 464 50.63 464 54V338.4zM320 368l-144 84V234.2L128 196.6v283.4c0 24.7 26.79 40.08 48.12 27.64L320 423.6l143.9 83.93c16.62 9.695 36.39 2.383 44.38-12.96l-83.71-65.6L320 368z"],
    "books": [512, 512, [128218], "f5db", "M510.4 435.4l-107.7-399.9C396.9 14.08 377.5 0 356.4 0c-4.111 0-8.294 .5313-12.46 1.641l-61.82 16.48c-5.885 1.57-11.14 4.258-15.78 7.633C258.3 10.51 242.4 0 224 0H160C151.2 0 143.1 2.531 136 6.656C128.9 2.531 120.8 0 112 0h-64C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h64c8.787 0 16.92-2.531 24-6.656C143.1 509.5 151.2 512 160 512h64c26.51 0 48-21.49 48-48V165.3l83.8 311.3C361.6 497.9 380.9 512 402.1 512c4.111 0 8.293-.5313 12.46-1.641l61.82-16.48C502 487 517.2 460.8 510.4 435.4zM224 48V96L160 96L160 48H224zM160 144h64v224H160V144zM112 368h-64v-224h64V368zM112 48V96h-64V48H112zM48 464V416h64v48H48zM160 464l.0011-47.1L224 416v48H160zM294.4 64.5l61.83-16.48l12.47 45.91L306.8 110.4L294.4 64.5zM319.3 156.6l61.91-16.51l58.04 215.3l-61.91 16.51L319.3 156.6zM402.2 464.1l-12.41-46.04l61.91-16.51l12.38 45.94L402.2 464.1z"],
    "books-medical": [576, 512, [], "f7e8", "M79.1 352h31.1c8.836 0 16-7.164 16-16L127.1 288h47.1c8.836 0 16-7.165 16-16v-32c0-8.836-7.165-15.1-16-15.1H127.1l.0006-47.1c0-8.836-7.165-15.1-16-15.1H79.1c-8.836 0-15.1 7.163-15.1 15.1L63.1 224H16c-8.836 0-16 7.163-16 15.1v32c0 8.836 7.164 16 16 16h47.1L63.1 336C63.1 344.8 71.16 352 79.1 352zM574.4 435.4l-107.7-399.9C460.9 14.08 441.5 0 420.4 0c-4.111 0-8.294 .5313-12.46 1.641l-61.82 16.48c-5.885 1.57-11.14 4.258-15.78 7.633C322.3 10.51 306.4 0 288 0H224C215.2 0 207.1 2.531 200 6.656C192.9 2.531 184.8 0 176 0h-64C85.49 0 64 21.49 64 48v56C64 117.3 74.75 128 88 128S112 117.3 112 104V48h64v120C176 181.3 186.7 192 200 192S224 181.3 224 168V144h64v224H224v-24C224 330.7 213.3 320 200 320S176 330.7 176 344v120h-64v-56C112 394.7 101.3 384 88 384S64 394.7 64 408v56C64 490.5 85.49 512 112 512h64c8.787 0 16.92-2.531 24-6.656C207.1 509.5 215.2 512 224 512h64c26.51 0 48-21.49 48-48V165.3l83.8 311.3C425.6 497.9 444.9 512 466.1 512c4.111 0 8.293-.5313 12.46-1.641l61.91-16.51C565.1 487.1 581.2 460.8 574.4 435.4zM288 464H224L224 416H288V464zM288 96H224L224 48h64V96zM358.4 64.5l61.83-16.48l12.47 45.91L370.8 110.4L358.4 64.5zM383.3 156.6l61.91-16.51l58.04 215.3l-61.91 16.51L383.3 156.6zM466.2 464.1l-12.41-46.04l61.91-16.51l12.38 45.94L466.2 464.1z"],
    "boombox": [640, 512, [128254], "f8a5", "M592 162.3V88C592 39.47 552.5 0 504 0H136C87.47 0 48 39.47 48 88v74.26C20.44 169.4 0 194.2 0 224v224c0 35.35 28.65 64 64 64h512c35.35 0 64-28.65 64-64V224C640 194.2 619.6 169.4 592 162.3zM96 88C96 65.94 113.9 48 136 48h368C526.1 48 544 65.94 544 88V160h-96V144C448 135.2 440.8 128 432 128h-32C391.2 128 384 135.2 384 144V160h-32V144C352 135.2 344.8 128 336 128h-32C295.2 128 288 135.2 288 144V160H256V144C256 135.2 248.8 128 240 128h-32C199.2 128 192 135.2 192 144V160H96V88zM592 448c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V224c0-8.822 7.178-16 16-16h512c8.822 0 16 7.178 16 16V448zM176 240c-53.02 0-96 42.98-96 96s42.98 96 96 96s96-42.98 96-96S229 240 176 240zM176 384C149.5 384 128 362.5 128 336S149.5 288 176 288S224 309.5 224 336S202.5 384 176 384zM464 240c-53.02 0-96 42.98-96 96s42.98 96 96 96s96-42.98 96-96S517 240 464 240zM464 384c-26.47 0-48-21.53-48-48S437.5 288 464 288S512 309.5 512 336S490.5 384 464 384z"],
    "boot": [512, 512, [129406], "f782", "M414.1 263.7L352 248V144c17.75 0 32-14.25 32-32v-64C384 21.49 362.5 0 336 0h-288C21.49 0 0 21.49 0 48v418.7c0 8.373 3.418 16.55 9.322 22.49L32 512h64l32-32l32 32h64l32-32l32 32h64l32-32l32 32h64l22.63-22.67C508.6 483.3 512 475.2 512 466.7V388C512 329.2 472 278 414.1 263.7zM48 48h288V96h-288V48zM464 416h-416V144h256V192h-64C231.2 192 224 199.2 224 207.1S231.2 224 240 224h64v32h-64C231.2 256 224 263.2 224 272S231.2 288 239.1 288h74.13l89.25 22.25C439.1 319.2 464 351.1 464 387.9V416z"],
    "boot-heeled": [512, 512, [], "e33f", "M456 464v-56.45c0-24.24-13.7-46.4-35.38-57.24l-121.2-60.62C277.7 278.8 264 256.7 264 232.4V32c0-17.67-14.33-32-32-32H40.01C20.76 0 5.865 16.87 8.252 35.97l24.43 161.5C37.5 235.1 33.63 275.1 21.35 311.1C12.51 338.5 8 366.3 8 394.2V488C8 501.3 18.75 512 32 512h80c13.25 0 24-10.75 24-24V480c0-2.875-.5-5.625-1.438-8.156l112.5 33.72C261.3 509.8 275.9 512 290.8 512H456c13.25 0 24-10.75 24-24S469.3 464 456 464zM260.9 459.6l-134.8-40.41C119.1 417.1 111.9 416 104.5 416H56v-21.8c0-22.84 3.662-45.4 10.88-67.06c14.46-43.37 19.1-90.27 13.43-135.6L58.13 48H104v184C104 245.3 114.8 256 128 256s24-10.75 24-24V48h64v184.4c0 42.7 23.72 81.08 61.91 100.2l121.2 60.62C404.6 395.1 408 401.5 408 407.6V464h-117.2C280.6 464 270.6 462.5 260.9 459.6z"],
    "booth-curtain": [512, 512, [], "f734", "M0 56v432C0 501.3 10.75 512 24 512s24-10.75 24-24V56c0-4.406 3.594-8 8-8H112V0H56C25.13 0 0 25.12 0 56zM456 0H144v400c0 35.28 28.7 64 64 64c15.21 0 29.01-5.555 40-14.45C258.1 458.4 272.8 464 288 464s29.01-5.555 40-14.45C338.1 458.4 352.8 464 368 464s29.01-5.555 40-14.45C418.1 458.4 432.8 464 448 464c5.557 0 10.86-.9336 16-2.271V488c0 13.25 10.75 24 24 24S512 501.3 512 488V56C512 25.12 486.9 0 456 0zM224 400C224 408.8 216.8 416 208 416S192 408.8 192 400v-352h32V400zM304 400c0 8.812-7.172 16-16 16s-16-7.188-16-16v-352h32V400zM384 400c0 8.812-7.172 16-16 16S352 408.8 352 400v-352h32V400zM464 400c0 8.812-7.172 16-16 16s-16-7.188-16-16v-352h24c4.406 0 8 3.594 8 8V400z"],
    "border-all": [448, 512, [], "f84c", "M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM384 80H248V232H400V96C400 87.16 392.8 80 384 80zM400 280H248V432H384C392.8 432 400 424.8 400 416V280zM200 232V80H64C55.16 80 48 87.16 48 96V232H200zM48 416C48 424.8 55.16 432 64 432H200V280H48V416z"],
    "border-bottom": [448, 512, [], "f84d", "M448 456C448 469.3 437.3 480 424 480H24C10.75 480 0 469.3 0 456C0 442.7 10.75 432 24 432H424C437.3 432 448 442.7 448 456zM448 352C448 369.7 433.7 384 416 384C398.3 384 384 369.7 384 352C384 334.3 398.3 320 416 320C433.7 320 448 334.3 448 352zM32 320C49.67 320 64 334.3 64 352C64 369.7 49.67 384 32 384C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320zM256 352C256 369.7 241.7 384 224 384C206.3 384 192 369.7 192 352C192 334.3 206.3 320 224 320C241.7 320 256 334.3 256 352zM416 128C433.7 128 448 142.3 448 160C448 177.7 433.7 192 416 192C398.3 192 384 177.7 384 160C384 142.3 398.3 128 416 128zM64 160C64 177.7 49.67 192 32 192C14.33 192 0 177.7 0 160C0 142.3 14.33 128 32 128C49.67 128 64 142.3 64 160zM224 128C241.7 128 256 142.3 256 160C256 177.7 241.7 192 224 192C206.3 192 192 177.7 192 160C192 142.3 206.3 128 224 128zM448 256C448 273.7 433.7 288 416 288C398.3 288 384 273.7 384 256C384 238.3 398.3 224 416 224C433.7 224 448 238.3 448 256zM32 224C49.67 224 64 238.3 64 256C64 273.7 49.67 288 32 288C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224zM256 256C256 273.7 241.7 288 224 288C206.3 288 192 273.7 192 256C192 238.3 206.3 224 224 224C241.7 224 256 238.3 256 256zM416 32C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96C398.3 96 384 81.67 384 64C384 46.33 398.3 32 416 32zM64 64C64 81.67 49.67 96 32 96C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64zM224 32C241.7 32 256 46.33 256 64C256 81.67 241.7 96 224 96C206.3 96 192 81.67 192 64C192 46.33 206.3 32 224 32zM352 256C352 273.7 337.7 288 320 288C302.3 288 288 273.7 288 256C288 238.3 302.3 224 320 224C337.7 224 352 238.3 352 256zM320 32C337.7 32 352 46.33 352 64C352 81.67 337.7 96 320 96C302.3 96 288 81.67 288 64C288 46.33 302.3 32 320 32zM160 64C160 81.67 145.7 96 128 96C110.3 96 96 81.67 96 64C96 46.33 110.3 32 128 32C145.7 32 160 46.33 160 64zM128 224C145.7 224 160 238.3 160 256C160 273.7 145.7 288 128 288C110.3 288 96 273.7 96 256C96 238.3 110.3 224 128 224z"],
    "border-bottom-right": [448, 512, ["border-style-alt"], "f854", "M448 408C448 447.8 415.8 480 376 480H24C10.75 480 0 469.3 0 456C0 442.7 10.75 432 24 432H376C389.3 432 400 421.3 400 408V56C400 42.75 410.7 32 424 32C437.3 32 448 42.75 448 56V408zM288 64C288 46.33 302.3 32 320 32C337.7 32 352 46.33 352 64C352 81.67 337.7 96 320 96C302.3 96 288 81.67 288 64zM96 64C96 46.33 110.3 32 128 32C145.7 32 160 46.33 160 64C160 81.67 145.7 96 128 96C110.3 96 96 81.67 96 64zM224 32C241.7 32 256 46.33 256 64C256 81.67 241.7 96 224 96C206.3 96 192 81.67 192 64C192 46.33 206.3 32 224 32zM0 64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64C64 81.67 49.67 96 32 96C14.33 96 0 81.67 0 64zM32 224C49.67 224 64 238.3 64 256C64 273.7 49.67 288 32 288C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224zM0 160C0 142.3 14.33 128 32 128C49.67 128 64 142.3 64 160C64 177.7 49.67 192 32 192C14.33 192 0 177.7 0 160zM32 320C49.67 320 64 334.3 64 352C64 369.7 49.67 384 32 384C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320z"],
    "border-center-h": [448, 512, [], "f89c", "M32 480C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416C49.67 416 64 430.3 64 448C64 465.7 49.67 480 32 480zM128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416C145.7 416 160 430.3 160 448C160 465.7 145.7 480 128 480zM128 96C110.3 96 96 81.67 96 64C96 46.33 110.3 32 128 32C145.7 32 160 46.33 160 64C160 81.67 145.7 96 128 96zM352 448C352 465.7 337.7 480 320 480C302.3 480 288 465.7 288 448C288 430.3 302.3 416 320 416C337.7 416 352 430.3 352 448zM320 96C302.3 96 288 81.67 288 64C288 46.33 302.3 32 320 32C337.7 32 352 46.33 352 64C352 81.67 337.7 96 320 96zM256 448C256 465.7 241.7 480 224 480C206.3 480 192 465.7 192 448C192 430.3 206.3 416 224 416C241.7 416 256 430.3 256 448zM224 96C206.3 96 192 81.67 192 64C192 46.33 206.3 32 224 32C241.7 32 256 46.33 256 64C256 81.67 241.7 96 224 96zM448 448C448 465.7 433.7 480 416 480C398.3 480 384 465.7 384 448C384 430.3 398.3 416 416 416C433.7 416 448 430.3 448 448zM448 64C448 81.67 433.7 96 416 96C398.3 96 384 81.67 384 64C384 46.33 398.3 32 416 32C433.7 32 448 46.33 448 64zM32 96C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64C64 81.67 49.67 96 32 96zM256 352C256 369.7 241.7 384 224 384C206.3 384 192 369.7 192 352C192 334.3 206.3 320 224 320C241.7 320 256 334.3 256 352zM416 384C398.3 384 384 369.7 384 352C384 334.3 398.3 320 416 320C433.7 320 448 334.3 448 352C448 369.7 433.7 384 416 384zM64 352C64 369.7 49.67 384 32 384C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320C49.67 320 64 334.3 64 352zM416 192C398.3 192 384 177.7 384 160C384 142.3 398.3 128 416 128C433.7 128 448 142.3 448 160C448 177.7 433.7 192 416 192zM64 160C64 177.7 49.67 192 32 192C14.33 192 0 177.7 0 160C0 142.3 14.33 128 32 128C49.67 128 64 142.3 64 160zM224 192C206.3 192 192 177.7 192 160C192 142.3 206.3 128 224 128C241.7 128 256 142.3 256 160C256 177.7 241.7 192 224 192zM424 232C437.3 232 448 242.7 448 256C448 269.3 437.3 280 424 280H24C10.75 280 0 269.3 0 256C0 242.7 10.75 232 24 232H424z"],
    "border-center-v": [448, 512, [], "f89d", "M448 448C448 465.7 433.7 480 416 480C398.3 480 384 465.7 384 448C384 430.3 398.3 416 416 416C433.7 416 448 430.3 448 448zM448 352C448 369.7 433.7 384 416 384C398.3 384 384 369.7 384 352C384 334.3 398.3 320 416 320C433.7 320 448 334.3 448 352zM64 352C64 369.7 49.67 384 32 384C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320C49.67 320 64 334.3 64 352zM416 128C433.7 128 448 142.3 448 160C448 177.7 433.7 192 416 192C398.3 192 384 177.7 384 160C384 142.3 398.3 128 416 128zM64 160C64 177.7 49.67 192 32 192C14.33 192 0 177.7 0 160C0 142.3 14.33 128 32 128C49.67 128 64 142.3 64 160zM416 224C433.7 224 448 238.3 448 256C448 273.7 433.7 288 416 288C398.3 288 384 273.7 384 256C384 238.3 398.3 224 416 224zM64 256C64 273.7 49.67 288 32 288C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224C49.67 224 64 238.3 64 256zM416 32C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96C398.3 96 384 81.67 384 64C384 46.33 398.3 32 416 32zM32 32C49.67 32 64 46.33 64 64C64 81.67 49.67 96 32 96C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32zM64 448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416C49.67 416 64 430.3 64 448zM320 224C337.7 224 352 238.3 352 256C352 273.7 337.7 288 320 288C302.3 288 288 273.7 288 256C288 238.3 302.3 224 320 224zM352 64C352 81.67 337.7 96 320 96C302.3 96 288 81.67 288 64C288 46.33 302.3 32 320 32C337.7 32 352 46.33 352 64zM320 416C337.7 416 352 430.3 352 448C352 465.7 337.7 480 320 480C302.3 480 288 465.7 288 448C288 430.3 302.3 416 320 416zM160 64C160 81.67 145.7 96 128 96C110.3 96 96 81.67 96 64C96 46.33 110.3 32 128 32C145.7 32 160 46.33 160 64zM128 416C145.7 416 160 430.3 160 448C160 465.7 145.7 480 128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416zM160 256C160 273.7 145.7 288 128 288C110.3 288 96 273.7 96 256C96 238.3 110.3 224 128 224C145.7 224 160 238.3 160 256zM200 56C200 42.75 210.7 32 224 32C237.3 32 248 42.75 248 56V456C248 469.3 237.3 480 224 480C210.7 480 200 469.3 200 456V56z"],
    "border-inner": [448, 512, [], "f84e", "M384 448C384 430.3 398.3 416 416 416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480C398.3 480 384 465.7 384 448zM384 352C384 334.3 398.3 320 416 320C433.7 320 448 334.3 448 352C448 369.7 433.7 384 416 384C398.3 384 384 369.7 384 352zM0 352C0 334.3 14.33 320 32 320C49.67 320 64 334.3 64 352C64 369.7 49.67 384 32 384C14.33 384 0 369.7 0 352zM448 160C448 177.7 433.7 192 416 192C398.3 192 384 177.7 384 160C384 142.3 398.3 128 416 128C433.7 128 448 142.3 448 160zM0 160C0 142.3 14.33 128 32 128C49.67 128 64 142.3 64 160C64 177.7 49.67 192 32 192C14.33 192 0 177.7 0 160zM448 64C448 81.67 433.7 96 416 96C398.3 96 384 81.67 384 64C384 46.33 398.3 32 416 32C433.7 32 448 46.33 448 64zM64 64C64 81.67 49.67 96 32 96C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64zM0 448C0 430.3 14.33 416 32 416C49.67 416 64 430.3 64 448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448zM352 64C352 81.67 337.7 96 320 96C302.3 96 288 81.67 288 64C288 46.33 302.3 32 320 32C337.7 32 352 46.33 352 64zM288 448C288 430.3 302.3 416 320 416C337.7 416 352 430.3 352 448C352 465.7 337.7 480 320 480C302.3 480 288 465.7 288 448zM160 64C160 81.67 145.7 96 128 96C110.3 96 96 81.67 96 64C96 46.33 110.3 32 128 32C145.7 32 160 46.33 160 64zM96 448C96 430.3 110.3 416 128 416C145.7 416 160 430.3 160 448C160 465.7 145.7 480 128 480C110.3 480 96 465.7 96 448zM224 480C210.7 480 200 469.3 200 456V280H24C10.75 280 0 269.3 0 256C0 242.7 10.75 232 24 232H200V56C200 42.75 210.7 32 224 32C237.3 32 248 42.75 248 56V232H424C437.3 232 448 242.7 448 256C448 269.3 437.3 280 424 280H248V456C248 469.3 237.3 480 224 480z"],
    "border-left": [448, 512, [], "f84f", "M24 480C10.75 480 0 469.3 0 456V56C0 42.75 10.75 32 24 32C37.25 32 48 42.75 48 56V456C48 469.3 37.25 480 24 480zM128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416C145.7 416 160 430.3 160 448C160 465.7 145.7 480 128 480zM160 64C160 81.67 145.7 96 128 96C110.3 96 96 81.67 96 64C96 46.33 110.3 32 128 32C145.7 32 160 46.33 160 64zM128 288C110.3 288 96 273.7 96 256C96 238.3 110.3 224 128 224C145.7 224 160 238.3 160 256C160 273.7 145.7 288 128 288zM352 448C352 465.7 337.7 480 320 480C302.3 480 288 465.7 288 448C288 430.3 302.3 416 320 416C337.7 416 352 430.3 352 448zM320 96C302.3 96 288 81.67 288 64C288 46.33 302.3 32 320 32C337.7 32 352 46.33 352 64C352 81.67 337.7 96 320 96zM352 256C352 273.7 337.7 288 320 288C302.3 288 288 273.7 288 256C288 238.3 302.3 224 320 224C337.7 224 352 238.3 352 256zM224 480C206.3 480 192 465.7 192 448C192 430.3 206.3 416 224 416C241.7 416 256 430.3 256 448C256 465.7 241.7 480 224 480zM256 64C256 81.67 241.7 96 224 96C206.3 96 192 81.67 192 64C192 46.33 206.3 32 224 32C241.7 32 256 46.33 256 64zM224 288C206.3 288 192 273.7 192 256C192 238.3 206.3 224 224 224C241.7 224 256 238.3 256 256C256 273.7 241.7 288 224 288zM448 448C448 465.7 433.7 480 416 480C398.3 480 384 465.7 384 448C384 430.3 398.3 416 416 416C433.7 416 448 430.3 448 448zM416 96C398.3 96 384 81.67 384 64C384 46.33 398.3 32 416 32C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96zM448 256C448 273.7 433.7 288 416 288C398.3 288 384 273.7 384 256C384 238.3 398.3 224 416 224C433.7 224 448 238.3 448 256zM224 384C206.3 384 192 369.7 192 352C192 334.3 206.3 320 224 320C241.7 320 256 334.3 256 352C256 369.7 241.7 384 224 384zM448 352C448 369.7 433.7 384 416 384C398.3 384 384 369.7 384 352C384 334.3 398.3 320 416 320C433.7 320 448 334.3 448 352zM416 192C398.3 192 384 177.7 384 160C384 142.3 398.3 128 416 128C433.7 128 448 142.3 448 160C448 177.7 433.7 192 416 192zM256 160C256 177.7 241.7 192 224 192C206.3 192 192 177.7 192 160C192 142.3 206.3 128 224 128C241.7 128 256 142.3 256 160z"],
    "border-none": [448, 512, [], "f850", "M64 448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416C49.67 416 64 430.3 64 448zM128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416C145.7 416 160 430.3 160 448C160 465.7 145.7 480 128 480zM128 96C110.3 96 96 81.67 96 64C96 46.33 110.3 32 128 32C145.7 32 160 46.33 160 64C160 81.67 145.7 96 128 96zM160 256C160 273.7 145.7 288 128 288C110.3 288 96 273.7 96 256C96 238.3 110.3 224 128 224C145.7 224 160 238.3 160 256zM320 480C302.3 480 288 465.7 288 448C288 430.3 302.3 416 320 416C337.7 416 352 430.3 352 448C352 465.7 337.7 480 320 480zM352 64C352 81.67 337.7 96 320 96C302.3 96 288 81.67 288 64C288 46.33 302.3 32 320 32C337.7 32 352 46.33 352 64zM320 288C302.3 288 288 273.7 288 256C288 238.3 302.3 224 320 224C337.7 224 352 238.3 352 256C352 273.7 337.7 288 320 288zM256 448C256 465.7 241.7 480 224 480C206.3 480 192 465.7 192 448C192 430.3 206.3 416 224 416C241.7 416 256 430.3 256 448zM224 96C206.3 96 192 81.67 192 64C192 46.33 206.3 32 224 32C241.7 32 256 46.33 256 64C256 81.67 241.7 96 224 96zM256 256C256 273.7 241.7 288 224 288C206.3 288 192 273.7 192 256C192 238.3 206.3 224 224 224C241.7 224 256 238.3 256 256zM416 480C398.3 480 384 465.7 384 448C384 430.3 398.3 416 416 416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480zM416 96C398.3 96 384 81.67 384 64C384 46.33 398.3 32 416 32C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96zM64 64C64 81.67 49.67 96 32 96C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64zM416 288C398.3 288 384 273.7 384 256C384 238.3 398.3 224 416 224C433.7 224 448 238.3 448 256C448 273.7 433.7 288 416 288zM64 256C64 273.7 49.67 288 32 288C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224C49.67 224 64 238.3 64 256zM224 384C206.3 384 192 369.7 192 352C192 334.3 206.3 320 224 320C241.7 320 256 334.3 256 352C256 369.7 241.7 384 224 384zM448 352C448 369.7 433.7 384 416 384C398.3 384 384 369.7 384 352C384 334.3 398.3 320 416 320C433.7 320 448 334.3 448 352zM32 384C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320C49.67 320 64 334.3 64 352C64 369.7 49.67 384 32 384zM448 160C448 177.7 433.7 192 416 192C398.3 192 384 177.7 384 160C384 142.3 398.3 128 416 128C433.7 128 448 142.3 448 160zM32 192C14.33 192 0 177.7 0 160C0 142.3 14.33 128 32 128C49.67 128 64 142.3 64 160C64 177.7 49.67 192 32 192zM256 160C256 177.7 241.7 192 224 192C206.3 192 192 177.7 192 160C192 142.3 206.3 128 224 128C241.7 128 256 142.3 256 160z"],
    "border-outer": [448, 512, [], "f851", "M256 160C256 177.7 241.7 192 224 192C206.3 192 192 177.7 192 160C192 142.3 206.3 128 224 128C241.7 128 256 142.3 256 160zM96 256C96 238.3 110.3 224 128 224C145.7 224 160 238.3 160 256C160 273.7 145.7 288 128 288C110.3 288 96 273.7 96 256zM256 256C256 273.7 241.7 288 224 288C206.3 288 192 273.7 192 256C192 238.3 206.3 224 224 224C241.7 224 256 238.3 256 256zM288 256C288 238.3 302.3 224 320 224C337.7 224 352 238.3 352 256C352 273.7 337.7 288 320 288C302.3 288 288 273.7 288 256zM256 352C256 369.7 241.7 384 224 384C206.3 384 192 369.7 192 352C192 334.3 206.3 320 224 320C241.7 320 256 334.3 256 352zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM48 96V416C48 424.8 55.16 432 64 432H384C392.8 432 400 424.8 400 416V96C400 87.16 392.8 80 384 80H64C55.16 80 48 87.16 48 96z"],
    "border-right": [448, 512, [], "f852", "M424 32C437.3 32 448 42.75 448 56V456C448 469.3 437.3 480 424 480C410.7 480 400 469.3 400 456V56C400 42.75 410.7 32 424 32zM320 32C337.7 32 352 46.33 352 64C352 81.67 337.7 96 320 96C302.3 96 288 81.67 288 64C288 46.33 302.3 32 320 32zM288 448C288 430.3 302.3 416 320 416C337.7 416 352 430.3 352 448C352 465.7 337.7 480 320 480C302.3 480 288 465.7 288 448zM320 224C337.7 224 352 238.3 352 256C352 273.7 337.7 288 320 288C302.3 288 288 273.7 288 256C288 238.3 302.3 224 320 224zM96 64C96 46.33 110.3 32 128 32C145.7 32 160 46.33 160 64C160 81.67 145.7 96 128 96C110.3 96 96 81.67 96 64zM128 416C145.7 416 160 430.3 160 448C160 465.7 145.7 480 128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416zM96 256C96 238.3 110.3 224 128 224C145.7 224 160 238.3 160 256C160 273.7 145.7 288 128 288C110.3 288 96 273.7 96 256zM224 32C241.7 32 256 46.33 256 64C256 81.67 241.7 96 224 96C206.3 96 192 81.67 192 64C192 46.33 206.3 32 224 32zM192 448C192 430.3 206.3 416 224 416C241.7 416 256 430.3 256 448C256 465.7 241.7 480 224 480C206.3 480 192 465.7 192 448zM224 224C241.7 224 256 238.3 256 256C256 273.7 241.7 288 224 288C206.3 288 192 273.7 192 256C192 238.3 206.3 224 224 224zM0 64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64C64 81.67 49.67 96 32 96C14.33 96 0 81.67 0 64zM32 416C49.67 416 64 430.3 64 448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416zM0 256C0 238.3 14.33 224 32 224C49.67 224 64 238.3 64 256C64 273.7 49.67 288 32 288C14.33 288 0 273.7 0 256zM224 128C241.7 128 256 142.3 256 160C256 177.7 241.7 192 224 192C206.3 192 192 177.7 192 160C192 142.3 206.3 128 224 128zM0 160C0 142.3 14.33 128 32 128C49.67 128 64 142.3 64 160C64 177.7 49.67 192 32 192C14.33 192 0 177.7 0 160zM32 320C49.67 320 64 334.3 64 352C64 369.7 49.67 384 32 384C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320zM192 352C192 334.3 206.3 320 224 320C241.7 320 256 334.3 256 352C256 369.7 241.7 384 224 384C206.3 384 192 369.7 192 352z"],
    "border-top": [448, 512, [], "f855", "M0 56C0 42.75 10.75 32 24 32H424C437.3 32 448 42.75 448 56C448 69.25 437.3 80 424 80H24C10.75 80 0 69.25 0 56zM0 160C0 142.3 14.33 128 32 128C49.67 128 64 142.3 64 160C64 177.7 49.67 192 32 192C14.33 192 0 177.7 0 160zM416 192C398.3 192 384 177.7 384 160C384 142.3 398.3 128 416 128C433.7 128 448 142.3 448 160C448 177.7 433.7 192 416 192zM192 160C192 142.3 206.3 128 224 128C241.7 128 256 142.3 256 160C256 177.7 241.7 192 224 192C206.3 192 192 177.7 192 160zM32 384C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320C49.67 320 64 334.3 64 352C64 369.7 49.67 384 32 384zM384 352C384 334.3 398.3 320 416 320C433.7 320 448 334.3 448 352C448 369.7 433.7 384 416 384C398.3 384 384 369.7 384 352zM224 384C206.3 384 192 369.7 192 352C192 334.3 206.3 320 224 320C241.7 320 256 334.3 256 352C256 369.7 241.7 384 224 384zM0 256C0 238.3 14.33 224 32 224C49.67 224 64 238.3 64 256C64 273.7 49.67 288 32 288C14.33 288 0 273.7 0 256zM416 288C398.3 288 384 273.7 384 256C384 238.3 398.3 224 416 224C433.7 224 448 238.3 448 256C448 273.7 433.7 288 416 288zM192 256C192 238.3 206.3 224 224 224C241.7 224 256 238.3 256 256C256 273.7 241.7 288 224 288C206.3 288 192 273.7 192 256zM32 480C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416C49.67 416 64 430.3 64 448C64 465.7 49.67 480 32 480zM384 448C384 430.3 398.3 416 416 416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480C398.3 480 384 465.7 384 448zM224 480C206.3 480 192 465.7 192 448C192 430.3 206.3 416 224 416C241.7 416 256 430.3 256 448C256 465.7 241.7 480 224 480zM96 256C96 238.3 110.3 224 128 224C145.7 224 160 238.3 160 256C160 273.7 145.7 288 128 288C110.3 288 96 273.7 96 256zM128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416C145.7 416 160 430.3 160 448C160 465.7 145.7 480 128 480zM288 448C288 430.3 302.3 416 320 416C337.7 416 352 430.3 352 448C352 465.7 337.7 480 320 480C302.3 480 288 465.7 288 448zM320 288C302.3 288 288 273.7 288 256C288 238.3 302.3 224 320 224C337.7 224 352 238.3 352 256C352 273.7 337.7 288 320 288z"],
    "border-top-left": [448, 512, ["border-style"], "f853", "M0 104C0 64.24 32.24 32 72 32H424C437.3 32 448 42.75 448 56C448 69.25 437.3 80 424 80H72C58.75 80 48 90.75 48 104V456C48 469.3 37.25 480 24 480C10.75 480 0 469.3 0 456V104zM160 448C160 465.7 145.7 480 128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416C145.7 416 160 430.3 160 448zM352 448C352 465.7 337.7 480 320 480C302.3 480 288 465.7 288 448C288 430.3 302.3 416 320 416C337.7 416 352 430.3 352 448zM224 480C206.3 480 192 465.7 192 448C192 430.3 206.3 416 224 416C241.7 416 256 430.3 256 448C256 465.7 241.7 480 224 480zM448 448C448 465.7 433.7 480 416 480C398.3 480 384 465.7 384 448C384 430.3 398.3 416 416 416C433.7 416 448 430.3 448 448zM416 288C398.3 288 384 273.7 384 256C384 238.3 398.3 224 416 224C433.7 224 448 238.3 448 256C448 273.7 433.7 288 416 288zM448 352C448 369.7 433.7 384 416 384C398.3 384 384 369.7 384 352C384 334.3 398.3 320 416 320C433.7 320 448 334.3 448 352zM416 192C398.3 192 384 177.7 384 160C384 142.3 398.3 128 416 128C433.7 128 448 142.3 448 160C448 177.7 433.7 192 416 192z"],
    "bore-hole": [512, 512, [], "e4c3", "M280 228.7C303.5 238.1 320 261.1 320 288C320 323.3 291.3 352 256 352C220.7 352 192 323.3 192 288C192 261.1 208.5 238.1 232 228.7V24C232 10.75 242.7 0 256 0C269.3 0 280 10.75 280 24V228.7zM256 304C264.8 304 272 296.8 272 288C272 279.2 264.8 272 256 272C247.2 272 240 279.2 240 288C240 296.8 247.2 304 256 304zM160 128V288C160 341 202.1 384 256 384C309 384 352 341 352 288V128H432C476.2 128 512 163.8 512 208V432C512 476.2 476.2 512 432 512H80C35.82 512 0 476.2 0 432V208C0 163.8 35.82 128 80 128H160zM432 176H400V288C400 367.5 335.5 432 256 432C176.5 432 112 367.5 112 288V176H80C62.33 176 48 190.3 48 208V432C48 449.7 62.33 464 80 464H432C449.7 464 464 449.7 464 432V208C464 190.3 449.7 176 432 176z"],
    "bottle-droplet": [320, 512, [], "e4c4", "M112 336C112 304 160 256 160 256C160 256 208 304 208 336C208 368 186.5 384 160 384C133.5 384 112 362.5 112 336zM256 23.1C256 34.45 249.3 43.34 240 46.63V152.2C278.6 178.1 304 222.1 304 272V448C304 483.3 275.3 512 240 512H80C44.65 512 16 483.3 16 448V272C16 222.1 41.41 178.1 80 152.2V46.64C70.68 43.34 64 34.45 64 24C63.1 10.75 74.74 .0042 87.1 .0038L232 0C245.3-.0003 256 10.74 256 23.1V23.1zM128 177.9L106.7 192.1C80.85 209.4 64 238.8 64 272V448C64 456.8 71.16 464 80 464H240C248.8 464 256 456.8 256 448V272C256 238.8 239.1 209.4 213.3 192.1L192 177.9V48L128 48V177.9z"],
    "bottle-water": [320, 512, [], "e4c5", "M200 0C213.3 0 224 10.75 224 24V78C234.7 81.75 244.9 87.2 253.1 94.21L259.1 98.79C282.7 116.2 296 143.2 296 171.9C296 184.4 293.5 196.3 288.1 207.2C293.5 217.2 296 228.3 296 240C296 251.4 293.6 262.2 289.3 272C293.6 281.8 296 292.6 296 304C296 315.4 293.6 326.2 289.3 336C293.6 345.8 296 356.6 296 368C296 379.4 293.6 390.2 289.3 400C293.6 409.8 296 420.6 296 432C296 476.2 260.2 512 216 512H104C59.82 512 24 476.2 24 432C24 420.6 26.38 409.8 30.66 400C26.38 390.2 24 379.4 24 368C24 356.6 26.38 345.8 30.66 336C26.38 326.2 24 315.4 24 304C24 292.6 26.38 281.8 30.66 272C26.38 262.2 24 251.4 24 240C24 228.3 26.51 217.2 31.02 207.2C26.5 196.3 24 184.4 24 171.9C24 143.2 37.32 116.2 60.03 98.79L66.01 94.21C75.14 87.2 85.28 81.75 96 78V24C96 10.75 106.7 0 120 0L200 0zM224.8 132.3C214.4 124.3 201.7 120 188.6 120H131.4C118.3 120 105.6 124.3 95.24 132.3L89.26 136.9C79.8 144.1 73.75 154.8 72.32 166.5C72.11 168.3 72 170.1 72 171.9C72 186.8 79.42 200 90.78 208H229.2C240.6 200 248 186.8 248 171.9C248 170.1 247.9 168.3 247.7 166.5C246.2 154.8 240.2 144.1 230.7 136.9L224.8 132.3zM73.6 378C77.81 390.8 89.83 400 104 400C86.33 400 72 414.3 72 432C72 435.5 72.56 438.9 73.6 442C77.81 454.8 89.83 464 104 464H216C230.2 464 242.2 454.8 246.4 442C247.4 438.9 248 435.5 248 432C248 414.3 233.7 400 216 400C230.2 400 242.2 390.8 246.4 378C247.4 374.9 248 371.5 248 368C248 364.5 247.4 361.1 246.4 357.1C242.2 345.2 230.2 336 216 336H104C89.83 336 77.81 345.2 73.6 357.1C72.56 361.1 72 364.5 72 368C72 371.5 72.56 374.9 73.6 378zM95.24 132.3L66.01 94.21L95.24 132.3zM230.7 136.9L259.1 98.79z"],
    "bow-arrow": [512, 512, [127993], "f6b9", "M145.7 286.9l34.01-34.08L80.11 153.4c33.88-24.5 74.38-37.88 116.9-37.88c34 0 66.75 8.5 95.75 24.38l35-34.88c-38.88-24.25-83.75-37.5-130.8-37.5c-55.38 0-107.9 18.25-151.1 51.63L38.6 111.9c-3.125-3.125-7.219-4.688-11.31-4.688s-8.188 1.563-11.31 4.688L4.708 123.3c-3.123 3.123-4.685 7.227-4.685 11.33c0 4.112 1.565 8.225 4.692 11.35L145.7 286.9zM512 15.64c0-8.961-7.497-15.64-15.72-15.64c-.9825 0-2.065 .0972-3.053 .29l-128.6 25.75c-7.885 1.529-12.61 8.417-12.61 15.47c0 3.907 1.449 7.875 4.612 10.99l34.5 34.5L140.5 337.2l-49.76-16.26C89.84 320.6 87.5 319.9 84.23 319.9c-4.147 0-9.677 1.181-14.5 6.006l-63.75 63.39C1.902 393.4 0 398.6 0 403.7c0 8.368 5.1 16.57 14.1 19.52l55.63 18.63l18.5 55.5c3 9 11.25 14.13 19.63 14.13c5.125 0 10.38-2 14.38-6L185.1 441.8c3.93-3.931 6.01-9.201 6.01-14.58c0-2.149-.3317-4.315-1.01-6.42L174.4 371.4l250.6-250.5l34.5 34.47c3.161 3.205 7.113 4.639 11.01 4.639c7.039 0 13.88-4.751 15.49-12.64l25.72-128.6C511.9 17.66 512 16.71 512 15.64zM116.2 454.9l-14.88-44.75l-44.88-14.88l33-32.88l44.75 14.88l15 44.75L116.2 454.9zM455.6 94.92l-38.63-38.63l48.25-9.625L455.6 94.92zM407.1 183.9l-35 34.88C388.2 248.1 396.1 280.9 396.1 315.3c0 42.5-13.38 82.88-37.88 116.6l-100.3-100L224.1 365.8l141.7 141.5c3.125 3.125 7.22 4.687 11.31 4.687s8.188-1.562 11.31-4.687l11.26-11.25c3.125-3.125 4.688-7.219 4.688-11.31s-1.563-8.188-4.688-11.31l-7.25-7.25c33.38-43.13 51.63-95.5 51.63-150.9C444.1 268.1 431.6 222.9 407.1 183.9z"],
    "bowl-chopsticks": [512, 512, [], "e2e9", "M0 109.3C0 101.6 5.488 94.97 13.06 93.55L484.4 5.172C498.7 2.484 512 13.48 512 28.06C512 39.54 503.6 49.31 492.3 51.08L18.49 125.1C8.774 126.6 0 119.1 0 109.3V109.3zM0 159.7C0 150.1 6.97 143.8 15.74 143.5L487.6 128.8C500.1 128.3 512 139 512 152.4C512 165.4 501.4 175.1 488.4 175.1H16.25C7.275 175.1 0 168.7 0 159.7V159.7zM0 271.1C0 245.5 21.49 223.1 48 223.1H464C490.5 223.1 512 245.5 512 271.1C512 362.8 457.9 441 380.3 476.2C372.2 497.1 351.8 512 328 512H184C160.2 512 139.8 497.1 131.7 476.2C54.05 441 0 362.8 0 271.1V271.1zM151.5 432.5C163 437.6 171.1 447.1 176.5 458.9C177.7 461.1 180.7 464 184 464H328C331.3 464 334.3 461.1 335.5 458.9C340 447.1 348.1 437.6 360.5 432.5C421.6 404.8 464 343.3 464 272H48C48 343.3 90.39 404.8 151.5 432.5V432.5z"],
    "bowl-chopsticks-noodles": [512, 512, [], "e2ea", "M479.1 223.1L192 224V40C192 26.74 181.3 16 168 16S144 26.74 144 40V224h-32V56C112 42.74 101.3 32 88 32C74.74 32 64 42.74 64 56v31.95L11.75 98.84C4.854 100.3 0 106.4 0 113.2C0 122.1 7.361 127.1 14.71 127.1c.9121 0-5.301 1.1 49.29-8.09V142L15.74 143.5C6.969 143.8 0 150.1 0 159.8C0 168.7 7.275 176 16.25 176H64V224L32 223.1c-17.62 0-32 14.39-32 32.19c0 95.69 51.5 179 127.1 223.8c0 17.67 14.33 32 32 32h191.1c17.67 0 32-14.33 32-32c76.5-44.81 127.1-128.1 127.1-223.8C511.1 238.4 497.6 223.1 479.1 223.1zM359.7 438.6c-9.928 5.816-17.27 14.89-20.99 25.42H173.3c-3.723-10.53-11.07-19.6-20.99-25.42C92.47 403.6 53.74 340.7 48.59 272h414.8C458.3 340.7 419.5 403.6 359.7 438.6zM512 24.08c0-14.41-11.93-24.01-23.98-24.01c-3.096 0 17.55-4.234-264 54.51V92.89l267.9-45.18C504.1 45.62 512 35.29 512 24.08zM487.6 128.8L224 137V176h264.4C501.4 176 512 165.4 512 152.4C512 139 500.1 128.3 487.6 128.8z"],
    "bowl-food": [512, 512, [], "e4c6", "M64 128C64.53 128 65.07 128 65.6 128C73 91.49 105.3 64 144 64C158.1 64 172.1 68.1 184.9 75.25C198.2 49.55 225.1 32 256 32C286.9 32 313.8 49.56 327.1 75.25C339 68.1 353 64 368 64C406.7 64 438.1 91.49 446.4 128C446.9 128 447.5 128 448 128C483.3 128 512 156.7 512 192C512 203.7 508.9 214.6 503.4 224H8.562C3.117 214.6 .0003 203.7 .0003 192C.0003 156.7 28.65 128 64 128H64zM484.6 256C499.7 256 512 268.3 512 283.4C512 350.9 471.4 408.8 413.4 434.3C405.5 460.7 381 480 352 480H160C130.1 480 106.5 460.7 98.64 434.3C40.57 408.8 0 350.9 0 283.4C0 268.3 12.28 256 27.43 256H484.6zM160 432H352C359.2 432 365.4 427.2 367.3 420.6C371.4 407 381.2 395.1 394.1 390.3C429.3 374.9 455.3 342.7 462.2 304H49.81C56.7 342.7 82.72 374.9 117.9 390.3C130.8 395.1 140.6 407 144.7 420.6C146.6 427.2 152.8 432 160 432V432z"],
    "bowl-hot": [512, 512, ["soup"], "f823", "M152 0C165.3 0 176 10.75 176 24V32C176 49.63 184.3 66.22 198.4 76.8C224.6 96.44 240 127.3 240 160V168C240 181.3 229.3 192 216 192C202.7 192 192 181.3 192 168V160C192 142.4 183.7 125.8 169.6 115.2C143.4 95.56 128 64.73 128 32V24C128 10.75 138.7 0 152 0zM0 272C0 245.5 21.49 224 48 224H464C490.5 224 512 245.5 512 272C512 362.8 457.9 441 380.3 476.2C372.2 497.1 351.8 512 328 512H184C160.2 512 139.8 497.1 131.7 476.2C54.05 441 0 362.8 0 272V272zM151.5 432.5C163 437.6 171.1 447.1 176.5 458.9C177.7 461.1 180.7 464 184 464H328C331.3 464 334.3 461.1 335.5 458.9C340 447.1 348.1 437.6 360.5 432.5C421.6 404.8 464 343.3 464 272H48C48 343.3 90.39 404.8 151.5 432.5V432.5zM304 32C304 49.63 312.3 66.22 326.4 76.8C352.6 96.44 368 127.3 368 160V168C368 181.3 357.3 192 344 192C330.7 192 320 181.3 320 168V160C320 142.4 311.7 125.8 297.6 115.2C271.4 95.56 256 64.73 256 32V24C256 10.75 266.7 0 280 0C293.3 0 304 10.75 304 24V32z"],
    "bowl-rice": [512, 512, [], "e2eb", "M176 56C176 42.75 186.7 32 200 32H216C229.3 32 240 42.75 240 56C240 69.25 229.3 80 216 80H200C186.7 80 176 69.25 176 56zM216 104C229.3 104 240 114.7 240 128C240 141.3 229.3 152 216 152H200C186.7 152 176 141.3 176 128C176 114.7 186.7 104 200 104H216zM72 176C85.25 176 96 186.7 96 200C96 213.3 85.25 224 72 224H56C42.75 224 32 213.3 32 200C32 186.7 42.75 176 56 176H72zM484.6 256C499.7 256 512 268.3 512 283.4C512 350.9 471.4 408.8 413.4 434.3C405.5 460.7 381 480 352 480H160C130.1 480 106.5 460.7 98.64 434.3C40.57 408.8 0 350.9 0 283.4C0 268.3 12.28 256 27.43 256H484.6zM160 432H352C359.2 432 365.4 427.2 367.3 420.6C371.4 407 381.2 395.1 394.1 390.3C429.3 374.9 455.3 342.7 462.2 304H49.81C56.7 342.7 82.72 374.9 117.9 390.3C130.8 395.1 140.6 407 144.7 420.6C146.6 427.2 152.8 432 160 432V432zM224 200C224 186.7 234.7 176 248 176H264C277.3 176 288 186.7 288 200C288 213.3 277.3 224 264 224H248C234.7 224 224 213.3 224 200zM128 200C128 186.7 138.7 176 152 176H168C181.3 176 192 186.7 192 200C192 213.3 181.3 224 168 224H152C138.7 224 128 213.3 128 200zM120 104C133.3 104 144 114.7 144 128C144 141.3 133.3 152 120 152H104C90.75 152 80 141.3 80 128C80 114.7 90.75 104 104 104H120zM320 200C320 186.7 330.7 176 344 176H360C373.3 176 384 186.7 384 200C384 213.3 373.3 224 360 224H344C330.7 224 320 213.3 320 200zM312 104C325.3 104 336 114.7 336 128C336 141.3 325.3 152 312 152H296C282.7 152 272 141.3 272 128C272 114.7 282.7 104 296 104H312zM416 200C416 186.7 426.7 176 440 176H456C469.3 176 480 186.7 480 200C480 213.3 469.3 224 456 224H440C426.7 224 416 213.3 416 200zM408 104C421.3 104 432 114.7 432 128C432 141.3 421.3 152 408 152H392C378.7 152 368 141.3 368 128C368 114.7 378.7 104 392 104H408zM312 32C325.3 32 336 42.75 336 56C336 69.25 325.3 80 312 80H296C282.7 80 272 69.25 272 56C272 42.75 282.7 32 296 32H312z"],
    "bowl-scoop": [448, 512, [127847, "bowl-shaved-ice"], "e3de", "M359.8 88.24C395.8 124.2 416 173.1 416 224H32C32 173.1 52.23 124.2 88.24 88.24C124.2 52.23 173.1 32 224 32C274.9 32 323.8 52.23 359.8 88.24zM394.9 375.6C365.4 401.7 327.4 416.1 288 416L347.9 485.3C349.1 487.6 351.3 490.4 351.8 493.5C352.3 496.5 351.9 499.7 350.6 502.5C349.4 505.3 347.3 507.7 344.7 509.4C342.1 511.1 339.1 512 336 512H112C108.9 512 105.9 511.1 103.3 509.4C100.7 507.7 98.62 505.3 97.36 502.5C96.1 499.7 95.69 496.5 96.17 493.5C96.66 490.4 98.02 487.6 100.1 485.3L160 416C120.6 416.1 82.61 401.7 53.12 375.6C23.64 349.5 4.739 313.5 .0026 274.4C-.312 272.1-.1338 269.8 .5251 267.6C1.184 265.4 2.309 263.3 3.824 261.6C5.339 259.8 7.209 258.4 9.309 257.5C11.41 256.5 13.69 256 16 256H432C434.3 256 436.6 256.5 438.7 257.5C440.8 258.4 442.7 259.8 444.2 261.6C445.7 263.3 446.8 265.4 447.5 267.6C448.1 269.8 448.3 272.1 448 274.4C443.3 313.5 424.4 349.5 394.9 375.6zM266.1 464L224 415.3L181.1 464H266.1zM389.3 304H58.75C67.86 323.1 82.21 339.3 100.1 350.6C118 361.1 138.8 367.1 160 368H288C302.7 368 317.3 365.2 330.9 359.5C344.5 353.9 356.8 345.6 367.2 335.2C376.3 326.1 383.7 315.6 389.3 304z"],
    "bowl-scoops": [448, 512, [127813], "e3df", "M178.9 81.28C161.4 72.04 142.2 66.53 122.5 65.09C131.4 45.66 145.7 29.21 163.6 17.67C181.6 6.127 202.5-.0078 223.9-.0078C245.2-.0078 266.1 6.127 284.1 17.67C302.1 29.21 316.4 45.66 325.3 65.09C305.6 66.61 286.5 72.16 269 81.39C251.6 90.63 236.3 103.3 224 118.7C211.7 103.3 196.3 90.51 178.9 81.28zM256.8 128.8C277.8 107.8 306.3 95.1 336 95.1C365.7 95.1 394.2 107.8 415.2 128.8C436.2 149.8 448 178.3 448 207.1C447.8 213.4 447.3 218.7 446.4 223.1H225.6C224.7 218.7 224.2 213.4 224 207.1C224 178.3 235.8 149.8 256.8 128.8zM1.603 223.1C.696 218.7 .1613 213.4 .0026 207.1C.0598 183.9 7.904 160.4 22.37 141.1C36.83 121.8 57.15 107.7 80.28 100.8C103.4 94.02 128.1 94.84 150.8 103.2C173.4 111.5 192.7 126.1 205.9 147.2C196.8 166.2 192.1 186.1 192 207.1C191.1 213.3 192.3 218.7 192.1 223.1H1.603zM438.7 257.5C440.8 258.4 442.7 259.8 444.2 261.6C445.7 263.3 446.8 265.4 447.5 267.6C448.1 269.8 448.3 272.1 448 274.4C443.3 313.5 424.4 349.5 394.9 375.6C365.4 401.7 327.4 416.1 288 415.1L347.9 485.3C349.1 487.6 351.3 490.4 351.8 493.5C352.3 496.5 351.9 499.7 350.6 502.5C349.4 505.3 347.3 507.7 344.7 509.4C342.1 511.1 339.1 512 336 511.1H112C108.9 512 105.9 511.1 103.3 509.4C100.7 507.7 98.62 505.3 97.36 502.5C96.1 499.7 95.69 496.5 96.17 493.5C96.66 490.4 98.02 487.6 100.1 485.3L160 415.1C120.6 416.1 82.61 401.7 53.12 375.6C23.64 349.5 4.739 313.5 .0026 274.4C-.312 272.1-.1338 269.8 .5251 267.6C1.184 265.4 2.309 263.3 3.824 261.6C5.339 259.8 7.209 258.4 9.309 257.5C11.41 256.5 13.69 256 16 255.1H432C434.3 256 436.6 256.5 438.7 257.5zM266.1 463.1L224 415.3L181.1 463.1H266.1zM389.3 303.1H58.75C67.86 323.1 82.21 339.3 100.1 350.6C118 361.1 138.8 367.1 160 367.1H288C302.7 368 317.3 365.2 330.9 359.5C344.5 353.9 356.8 345.6 367.2 335.2C376.3 326.1 383.7 315.6 389.3 303.1z"],
    "bowl-soft-serve": [512, 512, [], "e46b", "M280 0C355.1 0 416 60.89 416 136C416 142.1 415.3 147.1 414 153.6C460.7 162.1 496 202.9 496 252C496 280.1 483.7 307.1 464 325.3V344C464 401.4 417.4 448 360 448H329.9L350.3 488.8C351.4 491.1 352 493.6 352 496C352 498.9 351.2 501.8 349.6 504.4C346.7 509.1 341.5 512 336 512H175.1C170.5 512 165.3 509.1 162.4 504.4C160.8 501.8 159.1 498.9 159.1 496C159.1 493.6 160.6 491.1 161.7 488.8L182.1 448H152C94.56 448 48 401.4 48 344V325.3C28.32 307.1 16 280.1 16 252C16 203.2 50.98 162.5 97.24 153.8C96.43 149.3 96 144.7 96 140C96 98.03 130 64 172 64H241.3C244.1 64 248 60.1 248 57.3C248 55.97 247.6 54.68 246.9 53.58L236 37.31C231.1 29.95 230.7 20.48 234.8 12.68C239 4.872 247.1 0 256 0L280 0zM396 304C424.7 304 448 280.7 448 252C448 223.3 424.7 200 396 200H280C266.7 200 255.1 189.3 255.1 176C255.1 162.7 266.7 152 280 152H363.7C366.5 147.3 368 141.8 368 136C368 92.66 336.7 56.64 295.4 49.35C295.8 51.97 296 54.62 296 57.3C296 87.51 271.5 112 241.3 112H171.1C156.5 112 143.1 124.5 143.1 140C143.1 144.3 144.1 148.4 146.7 152H167.1C181.3 152 191.1 162.7 191.1 176C191.1 189.3 181.3 200 167.1 200H115.1C87.28 200 63.1 223.3 63.1 252C63.1 280.7 87.28 304 115.1 304H396z"],
    "bowl-spoon": [512, 512, [129379], "e3e0", "M0 96C0 42.98 50.14 0 112 0C164.2 0 208 30.59 220.5 72H488C501.3 72 512 82.75 512 96C512 109.3 501.3 120 488 120H220.5C208 161.4 164.2 192 112 192C50.14 192 0 149 0 96zM112 144C154.6 144 176 115.8 176 96C176 76.17 154.6 48 112 48C69.45 48 48 76.17 48 96C48 115.8 69.45 144 112 144zM464 224C490.5 224 512 245.5 512 272C512 362.8 457.9 441 380.3 476.2C372.2 497.1 351.8 512 328 512H184C160.2 512 139.8 497.1 131.7 476.2C54.05 441 0 362.8 0 272C0 245.5 21.49 224 48 224H464zM184 464H328C331.3 464 334.3 461.1 335.5 458.9C340 447.1 348.1 437.6 360.5 432.5C421.6 404.8 464 343.3 464 272H48C48 343.3 90.39 404.8 151.5 432.5C163 437.6 171.1 447.1 176.5 458.9C177.7 461.1 180.7 464 184 464V464z"],
    "bowling-ball": [512, 512, [], "f436", "M240 176c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S257.7 176 240 176zM144 144c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S161.7 144 144 144zM240 80c-17.67 0-32.05 14.33-32.05 32s14.37 32 32.05 32s31.95-14.33 31.95-32S257.7 80 240 80zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464z"],
    "bowling-ball-pin": [576, 512, [], "e0c3", "M122.7 224C107.9 224 96 235.9 96 250.7C96 265.5 107.9 277.3 122.7 277.3c14.75 0 26.67-11.88 26.67-26.67C149.3 235.9 137.4 224 122.7 224zM197.3 266.7c-14.75 0-26.67 11.88-26.67 26.67S182.6 320 197.3 320C212.1 320 224 308.1 224 293.3S212.1 266.7 197.3 266.7zM197.3 178.7c-14.75 0-26.67 11.88-26.67 26.67S182.6 232 197.3 232C212.1 232 224 220.1 224 205.3S212.1 178.7 197.3 178.7zM529.3 186c0-18.47 20-43.1 20-90.99c0-62.29-42.89-94.96-85.26-95.05c-42.36 0-85.4 32.65-85.4 95.05c0 46.97 20 72.66 20 90.99c0 8.293-1.801 17.1-4.25 26.12C360.5 143.4 289.9 96 208 96C93.13 96 0 189.1 0 304S93.13 512 208 512c64.5 0 122.1-29.36 160.3-75.45C383.7 477.3 398.1 512 439.7 512h48.76C560.8 512 576 372.3 576 354C576 290.5 529.3 232.6 529.3 186zM208 464c-88.22 0-160-71.78-160-160s71.78-160 160-160s160 71.78 160 160S296.2 464 208 464zM463.9 47.86c18.71 0 37.46 15.8 37.46 47.19c0 26.54-8.686 41.75-15.62 64.98h-43.44c-6.928-23.22-15.62-38.44-15.62-64.98C426.7 63.52 445.3 47.86 463.9 47.86zM497.7 457.8C495.8 461.7 492.3 464 488.4 464h-48.76c-3.922 0-7.395-2.293-9.814-7.195c-10.66-21.57-22.98-47.63-27.62-78.84C410.1 354.1 416 330.1 416 304c0-3.875-.3711-7.652-.5801-11.47c12.08-30.12 24.35-55.83 29.21-84.5h38.73C492.2 260.2 528 308.8 528 354C528 396.2 511.6 429.6 497.7 457.8z"],
    "bowling-pins": [512, 512, [], "f437", "M449.3 186c0-18.45 20-43.99 20-90.99c0-62.29-43.01-94.96-85.38-95.05c-42.36 0-85.28 32.65-85.28 95.05c0 46.98 20 72.66 20 90.99c0 46.74-46.67 104-46.67 167.1C272 372.4 287.3 512 359.7 512h48.76C480.8 512 496 372.3 496 354C496 290.5 449.3 232.6 449.3 186zM383.9 47.86c18.71 0 37.46 15.8 37.46 47.19c0 26.54-8.699 41.8-15.62 64.98h-43.44c-6.921-23.2-15.62-38.44-15.62-64.98C346.7 63.52 365.3 47.86 383.9 47.86zM417.7 457.8C415.8 461.7 412.3 464 408.4 464h-48.76c-3.922 0-7.395-2.293-9.814-7.195C336.5 429.9 320 396.4 320 354c0-45.15 35.77-93.76 44.63-145.1h38.73C412.2 260.2 448 308.8 448 354C448 396.2 431.6 429.6 417.7 457.8zM193.3 186c0-18.45 20-43.99 20-90.99c0-62.29-43.01-94.96-85.38-95.05c-42.36 0-85.28 32.65-85.28 95.05c0 46.98 20 72.66 20 90.99C62.67 232.8 16 290.1 16 354C16 372.4 31.31 512 103.7 512h48.76C224.8 512 240 372.3 240 354C240 290.5 193.3 232.6 193.3 186zM127.9 47.86c18.71 0 37.46 15.8 37.46 47.19c0 26.54-8.699 41.8-15.62 64.98H106.3C99.36 136.8 90.67 121.6 90.67 95.05C90.67 63.52 109.3 47.86 127.9 47.86zM161.7 457.8C159.8 461.7 156.3 464 152.4 464H103.7c-3.922 0-7.395-2.293-9.814-7.195C80.55 429.9 64 396.4 64 354c0-45.15 35.77-93.76 44.63-145.1h38.73C156.2 260.2 192 308.8 192 354C192 396.2 175.6 429.6 161.7 457.8z"],
    "box": [448, 512, [128230], "f466", "M342.4 32C367.7 32 390.6 46.9 400.9 70.01L442.5 163.6C446.1 171.8 448 180.6 448 189.6V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V189.6C0 180.6 1.879 171.8 5.516 163.6L47.11 70.01C57.38 46.89 80.3 32 105.6 32H342.4zM342.4 80H248V160H388.4L357 89.5C354.5 83.72 348.7 80 342.4 80V80zM400 208H48V416C48 424.8 55.16 432 64 432H384C392.8 432 400 424.8 400 416V208zM59.64 160H200V80H105.6C99.27 80 93.54 83.72 90.97 89.5L59.64 160z"],
    "box-archive": [512, 512, ["archive"], "f187", "M464 32h-416C21.49 32 0 53.49 0 80v64C0 161.6 14.4 176 31.1 176L32 416c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V176c17.6 0 32-14.4 32-31.1V80C512 53.49 490.5 32 464 32zM416 432H96c-8.837 0-16-7.163-16-16V176h352V416C432 424.8 424.8 432 416 432zM464 128h-416V80h416V128zM183.1 272h144C341.3 272 352 261.3 352 248C352 234.7 341.3 224 328 224H183.1C170.7 224 160 234.7 160 247.1C160 261.3 170.7 272 183.1 272z"],
    "box-ballot": [576, 512, [128499], "f735", "M520 160H480v48h40c4.406 0 8 3.594 8 8V320h-480V216c0-4.406 3.594-8 8-8H96V160H56C25.13 160 0 185.1 0 216v240C0 486.9 25.13 512 56 512h464c30.88 0 56-25.12 56-56v-240C576 185.1 550.9 160 520 160zM528 456c0 4.406-3.594 8-8 8H56c-4.406 0-8-3.594-8-8V368h480V456zM160 256h256c17.67 0 32-14.33 32-32V32c0-17.67-14.33-32-32-32H160C142.3 0 128 14.33 128 32v192C128 241.7 142.3 256 160 256zM176 48h224v160h-224V48z"],
    "box-check": [448, 512, [], "f467", "M208.1 392.1C199.6 402.3 184.4 402.3 175 392.1L119 336.1C109.7 327.6 109.7 312.4 119 303C128.4 293.7 143.6 293.7 152.1 303L192 342.1L287 247C296.4 237.7 311.6 237.7 320.1 247C330.3 256.4 330.3 271.6 320.1 280.1L208.1 392.1zM442.5 163.6C446.1 171.8 448 180.6 448 189.6V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V189.6C0 180.6 1.879 171.8 5.516 163.6L47.11 70.01C57.38 46.89 80.3 32 105.6 32H342.4C367.7 32 390.6 46.9 400.9 70.01L442.5 163.6zM248 160H388.4L357 89.5C354.5 83.72 348.7 80 342.4 80H248V160zM48 416C48 424.8 55.16 432 64 432H384C392.8 432 400 424.8 400 416V208H48V416zM200 80H105.6C99.27 80 93.54 83.72 90.97 89.5L59.64 160H200V80z"],
    "box-circle-check": [576, 512, [], "e0c4", "M48 416C48 424.8 55.16 432 64 432H267.1C274.8 449.5 284.4 465.7 296.2 480H64C28.65 480 0 451.3 0 416V189.6C0 180.6 1.879 171.8 5.516 163.6L47.11 70.01C57.38 46.89 80.3 32 105.6 32H342.4C367.7 32 390.6 46.9 400.9 70.01L442.5 163.6C446.1 171.8 448 180.6 448 189.6V192.7C442.7 192.2 437.4 192 432 192C405.8 192 380.9 197.7 358.6 208H48L48 416zM342.4 80H248V160H388.4L357 89.5C354.5 83.72 348.7 80 342.4 80V80zM59.64 160H200V80H105.6C99.27 80 93.54 83.72 90.97 89.5L59.64 160zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM476.7 324.7L416 385.4L387.3 356.7C381.1 350.4 370.9 350.4 364.7 356.7C358.4 362.9 358.4 373.1 364.7 379.3L404.7 419.3C410.9 425.6 421.1 425.6 427.3 419.3L499.3 347.3C505.6 341.1 505.6 330.9 499.3 324.7C493.1 318.4 482.9 318.4 476.7 324.7H476.7z"],
    "box-dollar": [448, 512, ["box-usd"], "f4a0", "M442.5 163.6C446.1 171.8 448 180.6 448 189.6V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V189.6C0 180.6 1.879 171.8 5.516 163.6L47.11 70.01C57.38 46.89 80.3 32 105.6 32H342.4C367.7 32 390.6 46.9 400.9 70.01L442.5 163.6zM248 160H388.4L357 89.5C354.5 83.72 348.7 80 342.4 80H248V160zM244.1 224V230.3C250.7 231.5 260.7 233.5 265.1 234.7C275.8 237.5 282.2 248.5 279.3 259.1C276.5 269.8 265.5 276.2 254.9 273.3C251 272.3 237.5 269.7 233.1 268.1C220.9 267.1 210.1 268.7 204.5 271.6C198.2 274.4 196.7 277.7 196.3 279.7C195.7 283.1 196.3 284.3 196.5 284.7C196.7 285.2 197.5 286.4 200.1 288.2C206.2 292.4 215.8 295.4 229.1 299.7L230.8 299.9C242.9 303.6 259.1 308.4 271.2 317.3C277.9 322.1 284.2 328.7 288.1 337.7C292.1 346.8 292.9 356.8 291.1 367.2C287.8 386.2 275.2 399.2 259.4 405.9C254.6 407.1 249.4 409.5 244.1 410.5V416C244.1 422.5 240.1 428.3 236.2 432H384C392.8 432 400 424.8 400 416V207.1H236.2C240.1 211.7 244.1 217.5 244.1 223.1V224zM211.8 208H48V416C48 424.8 55.16 432 64 432H211.8C207 428.3 203.9 422.5 203.9 416V409.6C194.4 407.4 181.1 403.2 174.1 400.5C172.4 399.9 170.9 399.4 169.7 398.1C159.2 395.5 153.5 384.2 157 373.7C160.5 363.2 171.8 357.5 182.3 361C184.3 361.7 186.5 362.4 188.7 363.2C198.2 366.4 208.9 370 214.9 371C227.7 373 237.6 371.7 243.7 369.1C249.2 366.8 251.1 363.8 251.7 360.3C252.4 356.3 251.8 354.5 251.4 353.7C251.1 352.8 250.2 351.4 247.7 349.6C241.8 345.3 232.4 342.2 218.4 337.9L216.2 337.3C204.5 333.8 189.2 329.2 177.6 321.3C171 316.8 164.5 310.6 160.3 301.8C156.1 292.9 155.1 283 156.9 272.8C160.1 254.5 173.1 241.9 188 235.1C192.1 232.9 198.3 231.2 203.9 230V223.1C203.9 217.5 207 211.7 211.8 207.1L211.8 208zM200 80H105.6C99.27 80 93.54 83.72 90.97 89.5L59.64 160H200V80z"],
    "box-heart": [448, 512, [], "f49d", "M212.7 404.7L135.4 327.4C114.9 306.9 114.9 273.7 135.4 253.1C155.9 232.6 189.2 232.6 209.7 253.1L224 267.4L238.3 253.1C258.8 232.6 292.1 232.6 312.6 253.1C333.1 273.7 333.1 306.9 312.6 327.4L235.3 404.7C229.1 410.9 218.9 410.9 212.7 404.7V404.7zM442.5 163.6C446.1 171.8 448 180.6 448 189.6V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V189.6C0 180.6 1.879 171.8 5.516 163.6L47.11 70.01C57.38 46.89 80.3 32 105.6 32H342.4C367.7 32 390.6 46.9 400.9 70.01L442.5 163.6zM248 160H388.4L357 89.5C354.5 83.72 348.7 80 342.4 80H248V160zM48 416C48 424.8 55.16 432 64 432H384C392.8 432 400 424.8 400 416V208H48V416zM200 80H105.6C99.27 80 93.54 83.72 90.97 89.5L59.64 160H200V80z"],
    "box-open": [640, 512, [], "f49e", "M17.24 125.5L58.94 42.12C61.97 36.06 68.5 32.56 75.23 33.4L320 63.1L236.6 202.1C229.2 215.4 214.3 221.2 200.4 217.3L37.07 170.6C17.81 165.1 8.283 143.4 17.24 125.5V125.5zM320 63.1L564.8 33.4C571.5 32.56 578 36.06 581.1 42.12L622.8 125.5C631.7 143.4 622.2 165.1 602.9 170.6L439.6 217.3C425.7 221.2 410.8 215.4 403.4 202.1L320 63.1zM576 211.6V378.5C576 400.5 561 419.7 539.6 425.1L335.5 476.1C325.3 478.7 314.7 478.7 304.5 476.1L100.4 425.1C78.99 419.7 64 400.5 64 378.5V211.6L112 225.3V378.5L296 424.5V184C296 170.7 306.7 160 320 160C333.3 160 344 170.7 344 184V424.5L528 378.5V225.3L576 211.6zM318.9 128H321.1z"],
    "box-open-full": [640, 512, ["box-full"], "f49c", "M480.9 3.069C505.7 12.38 518.3 40.04 508.9 64.87L481.4 138.3L319.1 158.5L312.8 157.6C317.4 148.7 319.1 138.7 319.1 128C319.1 92.67 291.3 64.01 255.1 64.01C220.7 64.01 191.1 92.67 191.1 128C191.1 133.1 192.6 137.1 193.7 142.7L128.2 134.5C128.1 132.4 127.1 130.2 127.1 128C127.1 57.32 185.3 .0129 255.1 .0129C325.6 .0129 382.2 55.57 383.1 124.8L419.1 31.16C428.4 6.337 456-6.239 480.9 3.069V3.069zM75.23 161.4L319.1 191.1L236.6 330.1C229.2 343.4 214.3 349.2 200.4 345.3L37.07 298.6C17.8 293.1 8.279 271.4 17.24 253.5L58.93 170.1C61.97 164.1 68.5 160.6 75.23 161.4V161.4zM576 410.5C576 432.5 561 451.7 539.6 457.1L335.5 508.1C325.3 510.7 314.7 510.7 304.5 508.1L100.4 457.1C78.99 451.7 63.1 432.5 63.1 410.5V339.6L111.1 353.3V410.5L295.1 456.5V311.1C295.1 298.7 306.7 287.1 319.1 287.1C333.3 287.1 344 298.7 344 311.1V456.5L528 410.5V353.3L576 339.6V410.5zM602.9 298.6L439.6 345.3C425.7 349.2 410.8 343.4 403.4 330.1L319.1 191.1L564.8 161.4C571.5 160.6 578 164.1 581.1 170.1L622.8 253.5C631.7 271.4 622.2 293.1 602.9 298.6H602.9z"],
    "box-taped": [448, 512, ["box-alt"], "f49a", "M442.5 163.6C446.1 171.8 448 180.6 448 189.6V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V189.6C0 180.6 1.879 171.8 5.516 163.6L47.11 70.01C57.38 46.89 80.3 32 105.6 32H342.4C367.7 32 390.6 46.9 400.9 70.01L442.5 163.6zM288 160H388.4L357 89.5C354.5 83.72 348.7 80 342.4 80H261.3L288 160zM186.7 80H105.6C99.27 80 93.54 83.72 90.97 89.5L59.64 160H159.1L186.7 80zM160 208H48V416C48 424.8 55.16 432 64 432H384C392.8 432 400 424.8 400 416V208H288V256C288 273.7 273.7 288 256 288H192C174.3 288 160 273.7 160 256V208z"],
    "box-tissue": [512, 512, [], "e05b", "M133.3 320h245.3c10.44 0 19.69-6.75 22.86-16.69l61.33-192C465.2 104 463.9 96.03 459.4 89.84C454.9 83.66 447.7 80 440 80h-104.8c-18.7 0-35.22-11.66-41.09-29.03C286.2 27.72 264.8 0 207.5 0H72C64.7 0 57.81 3.312 53.25 9C48.7 14.72 46.98 22.16 48.59 29.28l61.33 272C112.4 312.2 122.1 320 133.3 320zM207.5 48c34.88 0 39.22 12.84 41.08 18.34C261.1 103.2 295.8 128 335.2 128h71.98l-46 144H152.5l-50.5-224H207.5zM460.3 224.4L445.1 272H456c4.406 0 8 3.594 8 8v88h-416V280c0-4.406 3.594-8 8-8h14.52L59.69 224H56C25.13 224 0 249.1 0 280v176C0 486.9 25.13 512 56 512h400c30.88 0 56-25.12 56-56v-176C512 250.6 489.2 226.7 460.3 224.4zM464 456c0 4.406-3.594 8-8 8H56c-4.406 0-8-3.594-8-8V416h416V456z"],
    "boxes-packing": [640, 512, [], "e4c7", "M592 48H304V128H256V48C256 21.49 277.5 0 304 0H592C618.5 0 640 21.49 640 48V464C640 490.5 618.5 512 592 512H381.3C383 506.1 384 501.6 384 496V464H592V48zM560.1 311C570.3 320.4 570.3 335.6 560.1 344.1C551.6 354.3 536.4 354.3 527 344.1L504 321.9V392C504 405.3 493.3 416 480 416C466.7 416 456 405.3 456 392V321.9L432.1 344.1C423.6 354.3 408.4 354.3 399 344.1C389.7 335.6 389.7 320.4 399 311L463 247C472.4 237.7 487.6 237.7 496.1 247L560.1 311zM232 336C245.3 336 256 346.7 256 360C256 373.3 245.3 384 232 384H152C138.7 384 128 373.3 128 360C128 346.7 138.7 336 152 336H232zM0 192C0 174.3 14.33 160 32 160H352C369.7 160 384 174.3 384 192V272C384 289.7 369.7 304 352 304V480C352 497.7 337.7 512 320 512H64C46.33 512 32 497.7 32 480V304C14.33 304 0 289.7 0 272V192zM48 208V256H336V208H48zM80 464H304V304H80V464z"],
    "boxes-stacked": [576, 512, [62625, "boxes", "boxes-alt"], "f468", "M360 0C390.9 0 416 25.07 416 56V184C416 214.9 390.9 240 360 240H200C169.1 240 144 214.9 144 184V56C144 25.07 169.1 0 200 0H360zM360 48H320V112C320 120.8 312.8 128 304 128H256C247.2 128 240 120.8 240 112V48H200C195.6 48 192 51.58 192 56V184C192 188.4 195.6 192 200 192H360C364.4 192 368 188.4 368 184V56C368 51.58 364.4 48 360 48V48zM0 328C0 297.1 25.07 272 56 272H216C246.9 272 272 297.1 272 328V456C272 486.9 246.9 512 216 512H56C25.07 512 0 486.9 0 456V328zM176 384C176 392.8 168.8 400 160 400H112C103.2 400 96 392.8 96 384V320H56C51.58 320 48 323.6 48 328V456C48 460.4 51.58 464 56 464H216C220.4 464 224 460.4 224 456V328C224 323.6 220.4 320 216 320H176V384zM304 328C304 297.1 329.1 272 360 272H520C550.9 272 576 297.1 576 328V456C576 486.9 550.9 512 520 512H360C329.1 512 304 486.9 304 456V328zM480 384C480 392.8 472.8 400 464 400H416C407.2 400 400 392.8 400 384V320H360C355.6 320 352 323.6 352 328V456C352 460.4 355.6 464 360 464H520C524.4 464 528 460.4 528 456V328C528 323.6 524.4 320 520 320H480V384z"],
    "boxing-glove": [512, 512, [129354, "glove-boxing"], "f438", "M417.6 130.1c-.4668-.207-1.096-.2874-1.577-.4671c-.0033-.0006 0 0 0 0s.0893 .0149 0 0c.0394 .0065 0 0 0 0s.0176 .0029 0 0c.0088 .0015-.0033-.0006 0 0L415.1 96c0-52.94-43.06-96-95.1-96H127.1C75.06 0 32.01 43.06 32.01 96L32 288c0 27.41 11.56 52.87 31.1 71.14L64 448c0 35.3 28.7 64 64 64h192c35.3 0 64-28.7 64-64v-57.38l63.19-63.19C468.3 306.3 480 278.2 480 248.2V208C480 169.9 453.2 138.1 417.6 130.1zM432 248.2c0 16.98-6.746 33.27-18.75 45.28L336 370.7V448c0 8.837-7.163 16-16 16H128c-8.837 0-16-7.163-16-16v-110.3l-16.01-14.31C85.81 314.3 80 301.3 80 287.7V96c0-26.51 21.49-48 48-48h192c26.51 0 48 21.49 48 48v32h-24c-37.22 0-68.92 23.29-81.77 56L227.1 183.1C175 183.1 144.9 152 128 152c-13.45 0-24.03 10.87-24.03 23.96C104 206.4 182.8 232 233.7 232h23.93C265.2 272.9 300.9 304 344 304c13.25 0 24-10.75 24-24S357.3 256 344 256c-22.06 0-40-17.94-40-40s17.94-40 40-40h56c17.67 0 32 14.33 32 32V248.2zM288 359.1c0-8.791-7.17-15.98-16.03-15.98c-3.056 0-6.137 .875-8.85 2.691L224 372.8l-39.13-26.09c-2.707-1.812-5.785-2.683-8.838-2.683c-8.862 0-16.04 7.164-16.04 15.97c0 5.172 2.505 10.25 7.126 13.34L195.2 392l-28.03 18.69c-4.621 3.087-7.126 8.167-7.126 13.34C159.1 432.8 167.1 440 176 440c3.062 0 6.156-.875 8.875-2.688L224 411.2l39.13 26.09C265.8 439.1 268.9 440 272 440c8.876 0 16-7.224 16-15.97c0-5.172-2.505-10.25-7.126-13.34L252.8 392l28.03-18.69C285.5 370.2 288 365.1 288 359.1z"],
    "bracket-curly": [256, 512, ["bracket-curly-left"], "7b", "M200 32H120C89.07 32 64 57.07 64 88v77.5c0 10.56-4.197 20.7-11.67 28.17L7 239C2.5 243.5 0 249.6 0 256c0 6.375 2.5 12.5 7 17l45.33 45.33C59.8 325.8 64 335.9 64 346.5V424C64 454.9 89.07 480 120 480h80C213.3 480 224 469.3 224 456S213.3 432 200 432H120c-4.4 0-8-3.6-8-8v-77.5c0-23.44-9.337-45.91-25.95-62.45L57.88 256l28.18-28.05C102.7 211.4 112 188.9 112 165.5V88c0-4.4 3.6-8 8-8h80C213.3 80 224 69.25 224 56S213.3 32 200 32z"],
    "bracket-curly-right": [256, 512, [], "7d", "M32 55.1C32 69.25 42.75 80 55.1 80H136c4.4 0 8 3.6 8 8v77.5c0 23.44 9.337 45.91 25.95 62.45L198.1 256l-28.18 28.05C153.3 300.6 144 323.1 144 346.5V424c0 4.4-3.6 8-8 8H55.1C42.75 432 32 442.7 32 455.1S42.75 480 55.1 480H136c30.93 0 56-25.07 56-56v-77.5c0-10.56 4.197-20.7 11.67-28.17L249 273C253.5 268.5 256 262.4 256 256c0-6.375-2.5-12.5-7-17l-45.33-45.33C196.2 186.2 192 176.1 192 165.5V88C192 57.07 166.9 32 136 32H55.1C42.75 32 32 42.75 32 55.1z"],
    "bracket-round": [192, 512, ["parenthesis"], "28", "M156.6 468.3c-4.5 7.5-12.47 11.69-20.62 11.69c-4.156 0-8.375-1.094-12.22-3.375c-5.031-3-123.7-75.31-123.7-220.6s118.7-217.6 123.7-220.6c11.44-6.781 26.12-3 32.91 8.344c6.781 11.38 3.031 26.09-8.344 32.91c-4.625 2.813-100.3 62.25-100.3 179.4c0 117.5 96.25 176.9 100.3 179.4C159.7 442.2 163.3 456.1 156.6 468.3z"],
    "bracket-round-right": [192, 512, [], "29", "M43.66 435.4c4.094-2.469 100.3-61.91 100.3-179.4c0-117.1-95.65-176.6-100.3-179.4C32.35 69.81 28.6 55.09 35.38 43.72C42.16 32.37 56.85 28.59 68.28 35.37C73.32 38.37 192 110.7 192 256s-118.7 217.6-123.7 220.6c-3.844 2.281-8.062 3.375-12.22 3.375c-8.156 0-16.12-4.188-20.62-11.69C28.66 456.1 32.35 442.2 43.66 435.4z"],
    "bracket-square": [192, 512, ["bracket", "bracket-left"], "5b", "M120 32H32C14.4 32 0 46.4 0 64v384c0 17.6 14.4 32 32 32h88c13.25 0 24-10.75 24-23.1S133.3 432 120 432H48v-352h72C133.3 80 144 69.25 144 56S133.3 32 120 32z"],
    "bracket-square-right": [192, 512, [], "5d", "M48 55.1C48 69.25 58.75 80 71.1 80H144v352H71.1C58.75 432 48 442.7 48 455.1S58.75 480 72 480H160c17.6 0 32-14.4 32-32V64c0-17.6-14.4-32-32-32H72C58.75 32 48 42.75 48 55.1z"],
    "brackets-curly": [576, 512, [], "f7ea", "M200 32H120C89.07 32 64 57.07 64 88v77.5c0 10.56-4.197 20.7-11.67 28.17L7 239C2.5 243.5 0 249.6 0 256c0 6.375 2.5 12.5 7 17l45.33 45.33C59.8 325.8 64 335.9 64 346.5V424C64 454.9 89.07 480 120 480h80C213.3 480 224 469.3 224 456S213.3 432 200 432H120c-4.4 0-8-3.6-8-8v-77.5c0-23.44-9.337-45.91-25.95-62.45L57.88 256l28.18-28.05C102.7 211.4 112 188.9 112 165.5V88c0-4.4 3.6-8 8-8h80C213.3 80 224 69.25 224 56S213.3 32 200 32zM569 239l-45.33-45.33C516.2 186.2 512 176.1 512 165.5V88C512 57.07 486.9 32 456 32h-80C362.7 32 352 42.75 352 55.1S362.7 80 375.1 80H456c4.4 0 8 3.6 8 8v77.5c0 23.37 9.284 45.78 25.81 62.31L517.1 256l-28.19 28.19C473.3 300.7 464 323.1 464 346.5V424c0 4.4-3.6 8-8 8h-80C362.7 432 352 442.7 352 455.1S362.7 480 375.1 480H456c30.93 0 56-25.07 56-56v-77.5c0-10.56 4.197-20.7 11.67-28.17L569 273C573.5 268.5 576 262.4 576 256C576 249.6 573.5 243.5 569 239z"],
    "brackets-round": [512, 512, ["parentheses"], "e0c5", "M148.3 76.62c11.38-6.813 15.12-21.53 8.344-32.91c-6.781-11.34-21.5-15.13-32.91-8.344C118.7 38.37 0 110.7 0 256s118.7 217.6 123.7 220.6c3.844 2.281 8.062 3.375 12.22 3.375c8.156 0 16.12-4.188 20.62-11.69c6.781-11.34 3.094-26.06-8.219-32.91C144.3 432.9 48 373.5 48 255.1C48 138.9 143.7 79.44 148.3 76.62zM388.3 35.37c-11.38-6.781-26.03-3-32.84 8.313c-6.781 11.34-3.094 26.06 8.219 32.91C367.8 79.06 464 138.5 464 255.1s-96.25 176.9-100.3 179.4c-11.38 6.781-15.12 21.5-8.344 32.91c4.5 7.531 12.47 11.72 20.66 11.72c4.156 0 8.406-1.094 12.25-3.375C393.3 473.6 512 401.3 512 256S393.3 38.37 388.3 35.37z"],
    "brackets-square": [448, 512, ["brackets"], "f7e9", "M120 32H32C14.4 32 0 46.4 0 64v384c0 17.6 14.4 32 32 32h88C133.3 480 144 469.3 144 456S133.3 432 120 432H48v-352h72C133.3 80 144 69.25 144 56S133.3 32 120 32zM416 32h-88C314.7 32 304 42.75 304 55.1S314.7 80 327.1 80H400v352h-72C314.7 432 304 442.7 304 455.1S314.7 480 327.1 480H416c17.6 0 32-14.4 32-32V64C448 46.4 433.6 32 416 32z"],
    "braille": [640, 512, [], "f2a1", "M128 96C128 131.3 99.35 160 64 160C28.65 160 0 131.3 0 96C0 60.65 28.65 32 64 32C99.35 32 128 60.65 128 96zM160 256C160 220.7 188.7 192 224 192C259.3 192 288 220.7 288 256C288 291.3 259.3 320 224 320C188.7 320 160 291.3 160 256zM224 280C237.3 280 248 269.3 248 256C248 242.7 237.3 232 224 232C210.7 232 200 242.7 200 256C200 269.3 210.7 280 224 280zM128 416C128 451.3 99.35 480 64 480C28.65 480 0 451.3 0 416C0 380.7 28.65 352 64 352C99.35 352 128 380.7 128 416zM64 392C50.75 392 40 402.7 40 416C40 429.3 50.75 440 64 440C77.25 440 88 429.3 88 416C88 402.7 77.25 392 64 392zM288 416C288 451.3 259.3 480 224 480C188.7 480 160 451.3 160 416C160 380.7 188.7 352 224 352C259.3 352 288 380.7 288 416zM224 392C210.7 392 200 402.7 200 416C200 429.3 210.7 440 224 440C237.3 440 248 429.3 248 416C248 402.7 237.3 392 224 392zM0 256C0 220.7 28.65 192 64 192C99.35 192 128 220.7 128 256C128 291.3 99.35 320 64 320C28.65 320 0 291.3 0 256zM160 96C160 60.65 188.7 32 224 32C259.3 32 288 60.65 288 96C288 131.3 259.3 160 224 160C188.7 160 160 131.3 160 96zM480 96C480 131.3 451.3 160 416 160C380.7 160 352 131.3 352 96C352 60.65 380.7 32 416 32C451.3 32 480 60.65 480 96zM640 96C640 131.3 611.3 160 576 160C540.7 160 512 131.3 512 96C512 60.65 540.7 32 576 32C611.3 32 640 60.65 640 96zM576 72C562.7 72 552 82.75 552 96C552 109.3 562.7 120 576 120C589.3 120 600 109.3 600 96C600 82.75 589.3 72 576 72zM512 256C512 220.7 540.7 192 576 192C611.3 192 640 220.7 640 256C640 291.3 611.3 320 576 320C540.7 320 512 291.3 512 256zM576 280C589.3 280 600 269.3 600 256C600 242.7 589.3 232 576 232C562.7 232 552 242.7 552 256C552 269.3 562.7 280 576 280zM640 416C640 451.3 611.3 480 576 480C540.7 480 512 451.3 512 416C512 380.7 540.7 352 576 352C611.3 352 640 380.7 640 416zM576 392C562.7 392 552 402.7 552 416C552 429.3 562.7 440 576 440C589.3 440 600 429.3 600 416C600 402.7 589.3 392 576 392zM352 256C352 220.7 380.7 192 416 192C451.3 192 480 220.7 480 256C480 291.3 451.3 320 416 320C380.7 320 352 291.3 352 256zM416 280C429.3 280 440 269.3 440 256C440 242.7 429.3 232 416 232C402.7 232 392 242.7 392 256C392 269.3 402.7 280 416 280zM480 416C480 451.3 451.3 480 416 480C380.7 480 352 451.3 352 416C352 380.7 380.7 352 416 352C451.3 352 480 380.7 480 416zM416 392C402.7 392 392 402.7 392 416C392 429.3 402.7 440 416 440C429.3 440 440 429.3 440 416C440 402.7 429.3 392 416 392z"],
    "brain": [512, 512, [129504], "f5dc", "M0 295.1C0 268.2 10.12 242.8 26.84 223.3C24.99 215.8 24 208 24 199.1C24 167.4 40.26 138.6 65.13 121.2C69.59 92.34 86.91 67.74 111.1 53.41C124.5 22 155.7 0 192 0C217.2 0 239.1 10.61 256 27.6C272 10.61 294.8 0 320 0C356.3 0 387.5 22 400.9 53.41C425.1 67.74 442.4 92.34 446.9 121.2C471.7 138.6 488 167.4 488 199.1C488 208 487 215.8 485.2 223.3C501.9 242.8 512 268.2 512 295.1C512 326.6 499.8 354.2 479.1 374.4C479.1 374.9 480 375.5 480 376C480 423.3 445.9 462.5 400.9 470.5C384.5 495.5 356.2 512 324 512C297 512 272.8 500.4 256 481.1C239.2 500.4 214.1 512 188 512C155.8 512 127.5 495.5 111.1 470.5C66.14 462.5 32 423.3 32 376C32 375.5 32 374.9 32.01 374.4C12.24 354.2 0 326.6 0 295.1zM231.8 424H232V87.1C232 65.91 214.1 47.1 192 47.1C169.9 47.1 152 65.91 152 87.1L152 88.66C131.3 92.13 115.2 108.8 112.4 129.7C112.1 131.8 112 133.9 112 135.1C112 141.7 112.1 147.2 114.8 152.3C107 153.1 99.77 155.8 93.53 159.9C81.99 167.6 73.95 180.1 72.31 194.5C72.1 196.3 72 198.2 72 199.1C72 214.5 78.47 227.6 88.69 236.4C73.18 242.4 60.62 254.4 53.74 269.5C50.05 277.6 47.1 286.5 47.1 296C47.1 319.9 61.12 340.8 80.55 351.8C82.08 352.6 83.65 353.4 85.25 354.2C84.65 355.3 84.1 356.5 83.59 357.7C81.28 363.4 80 369.5 80 376C80 397.8 94.59 416.3 114.6 422.1C118.8 423.3 123.3 424 128 424C133.6 424 139 423 144 421.3C144.3 430.8 147.6 439.6 153 446.7C161.1 457.2 173.7 464 188 464C210.1 464 229.8 446.4 231.8 424L231.8 424zM359.1 88.66L360 87.1C360 65.91 342.1 47.1 320 47.1C297.9 47.1 280 65.91 280 87.1V424H280.2C282.2 446.4 301 464 324 464C338.3 464 350.9 457.2 358.1 446.7C364.4 439.6 367.7 430.8 367.1 421.3C372.1 423 378.4 424 384 424C388.7 424 393.2 423.3 397.4 422.1C417.4 416.3 432 397.8 432 376C432 369.5 430.7 363.4 428.4 357.7C427.9 356.5 427.4 355.3 426.8 354.2C428.4 353.4 429.9 352.6 431.4 351.8C450.9 340.8 464 319.9 464 296C464 286.5 461.9 277.6 458.3 269.5C451.4 254.4 438.8 242.4 423.3 236.4C433.5 227.6 440 214.5 440 199.1C440 198.2 439.9 196.3 439.7 194.5C438.1 180.1 430 167.6 418.5 159.9C412.2 155.8 404.1 153.1 397.2 152.3C399 147.2 400 141.7 400 135.1C400 133.9 399.9 131.8 399.6 129.7C396.8 108.8 380.7 92.13 359.1 88.66L359.1 88.66z"],
    "brain-arrow-curved-right": [640, 512, ["mind-share"], "f677", "M634.9 339.8L538.9 244.6c-10.12-10-26.1-2.625-26.1 12.13V304h-79.87c-5.624 0-11.25-.125-16.1 .75c-47.12 7-85.61 44.5-93.36 91.5c-7.874 46.75 13.25 89.5 48.24 113c9.749 6.5 21.62-3.25 17.75-14.5c-8.999-26.5-5.499-94.63 60.37-94.63h63.99v47.12c0 14.88 16.87 22.25 26.1 12.25l95.99-95.25C641.7 357.6 641.7 346.4 634.9 339.8zM289.1 391c1.25-8 3.375-15.75 6.125-23.25V82C296.1 63.25 311.3 48 330.2 48c15.5 0 29.12 10.5 32.1 25.62l4.749 18.88l22.87-1.25c16.5 .125 31.87 15.5 31.87 34.13c0 4.375-.375 5.375-5.499 27.25l18.1 7.625c13.62 5.625 42.62 30.25 24.1 66l-9.874 20l19.5 11.25c3.5 2 6.249 4.5 8.874 6.875l.1458-7.727c0-22 14.35-40.4 34.1-46.52C514.1 208.4 514.7 206.8 514.7 205c0-33-16.75-62.1-43.74-80.62c-.375-39.62-29.37-72.75-67.49-79.75C389.8 17.75 361.7 0 330.2 0C307.5 0 286.8 9.25 271.1 24.12C256.5 8.625 235.6 0 213.7 0C182.2 0 154.1 17.75 140.4 44.88C102.2 51.88 73.24 85 72.87 124.8C45.74 142.2 29.25 172.2 29.25 205.2c0 7.75 .9999 15.5 2.875 23C11.87 246.2 0 272.2 0 299.5c0 33 16.75 63 43.74 80.63c.4999 47.5 38.5 86.12 85.74 88.25C145.4 495.1 174.4 512 206.2 512c25.1 0 49.24-11.25 65.62-28.75c13.37 14.38 31.5 24 51.87 27.25C295.7 478.2 282.7 434.6 289.1 391zM247.7 422.8C247.7 445.6 229.2 464 206.3 464c-32.87 0-39.5-29.5-45.62-47.63l-20.25 3.375c-23.1 4-48.49-15.25-48.49-40.5c0-2.75 4.749-27.37 4.749-27.37l-18.25-7.5C41.62 329.2 37.25 278.2 72.99 257.8l19.5-11.13L82.61 226.5C64.99 190.8 93.99 166 107.7 160.4L126.6 152.8c-4.999-22-5.499-22.88-5.499-27.25c0-18.75 15.25-34 31.87-34.12l22.87 1.25l4.874-18.87c3.874-15.13 17.37-25.63 32.87-25.63c18.87 0 34.12 15.12 34.12 34V422.8z"],
    "brain-circuit": [512, 512, [], "e0c6", "M32 376C32 375.5 32 374.9 32.01 374.4C12.24 354.2 0 326.6 0 295.1C0 268.2 10.12 242.8 26.84 223.3C24.99 215.8 24 208 24 199.1C24 167.4 40.26 138.6 65.13 121.2C69.59 92.34 86.91 67.74 111.1 53.41C124.5 22 155.7 0 192 0C217.2 0 239.1 10.61 256 27.6C272 10.61 294.8 0 320 0C356.3 0 387.5 22 400.9 53.41C425.1 67.74 442.4 92.34 446.9 121.2C471.7 138.6 488 167.4 488 199.1C488 208 487 215.8 485.2 223.3C501.9 242.8 512 268.2 512 295.1C512 326.6 499.8 354.2 479.1 374.4C479.1 374.7 479.1 374.9 479.1 375.2C480 375.5 480 375.7 480 376C480 423.3 445.9 462.5 400.9 470.5C384.5 495.5 356.2 512 324 512C297 512 272.8 500.4 256 481.1C239.2 500.4 214.1 512 188 512C155.8 512 127.5 495.5 111.1 470.5C66.14 462.5 32 423.3 32 376zM232 287.1H192C183.2 287.1 176 295.2 176 303.1V315.3C190.1 321.5 200 335.6 200 352C200 374.1 182.1 392 160 392C137.9 392 120 374.1 120 352C120 335.6 129.9 321.5 144 315.3V303.1C144 277.5 165.5 255.1 192 255.1H232V159.1H212.7C206.5 174.1 192.4 183.1 176 183.1C153.9 183.1 136 166.1 136 143.1C136 121.9 153.9 103.1 176 103.1C192.4 103.1 206.5 113.9 212.7 127.1H232V87.1C232 65.91 214.1 47.1 192 47.1C169.9 47.1 152 65.91 152 87.1L152 88.66C131.3 92.13 115.2 108.8 112.4 129.7C112.1 131.8 112 133.9 112 135.1C112 141.7 112.1 147.2 114.8 152.3C107 153.1 99.77 155.8 93.53 159.9C81.99 167.6 73.95 180.1 72.31 194.5C72.1 196.3 72 198.2 72 199.1C72 214.5 78.47 227.6 88.69 236.4C73.18 242.4 60.62 254.4 53.74 269.5C50.05 277.6 47.1 286.5 47.1 296C47.1 319.9 61.12 340.8 80.55 351.8C82.08 352.6 83.65 353.4 85.25 354.2C84.65 355.3 84.1 356.5 83.59 357.7C81.28 363.4 80 369.5 80 376C80 397.8 94.59 416.3 114.6 422.1C118.8 423.3 123.3 424 128 424C133.6 424 139 423 144 421.3C144.3 430.8 147.6 439.6 153 446.7C161.1 457.2 173.7 464 188 464C210.1 464 229.8 446.4 231.8 424H232L232 287.1zM320 47.1C297.9 47.1 280 65.91 280 87.1V127.1H320C346.5 127.1 368 149.5 368 175.1V187.3C382.1 193.5 392 207.6 392 223.1C392 246.1 374.1 263.1 352 263.1C329.9 263.1 312 246.1 312 223.1C312 207.6 321.9 193.5 336 187.3V175.1C336 167.2 328.8 159.1 320 159.1H280V319.1H331.3C337.5 305.9 351.6 295.1 368 295.1C390.1 295.1 408 313.9 408 336C408 358.1 390.1 376 368 376C351.6 376 337.5 366.1 331.3 352H280V424H280.2C282.2 446.4 301 464 324 464C338.3 464 350.9 457.2 358.1 446.7C364.4 439.6 367.7 430.8 367.1 421.3C372.1 423 378.4 424 384 424C388.7 424 393.2 423.3 397.4 422.1C417.4 416.3 432 397.8 432 376C432 369.5 430.7 363.4 428.4 357.7C427.9 356.5 427.4 355.3 426.8 354.2C428.4 353.4 429.9 352.6 431.4 351.8C450.9 340.8 464 319.9 464 296C464 286.5 461.9 277.6 458.3 269.5C451.4 254.4 438.8 242.4 423.3 236.4C433.5 227.6 440 214.5 440 199.1C440 198.2 439.9 196.3 439.7 194.5C438.1 180.1 430 167.6 418.5 159.9C412.2 155.8 404.1 153.1 397.2 152.3C399 147.2 400 141.7 400 135.1C400 133.9 399.9 131.8 399.6 129.7C396.8 108.8 380.7 92.13 359.1 88.66L360 88C360 65.91 342.1 48 320 48L320 47.1zM176 159.1C184.8 159.1 192 152.8 192 143.1C192 135.2 184.8 127.1 176 127.1C167.2 127.1 160 135.2 160 143.1C160 152.8 167.2 159.1 176 159.1zM160 368C168.8 368 176 360.8 176 352C176 343.2 168.8 336 160 336C151.2 336 144 343.2 144 352C144 360.8 151.2 368 160 368zM368 223.1C368 215.2 360.8 207.1 352 207.1C343.2 207.1 336 215.2 336 223.1C336 232.8 343.2 239.1 352 239.1C360.8 239.1 368 232.8 368 223.1zM368 352C376.8 352 384 344.8 384 336C384 327.2 376.8 319.1 368 319.1C359.2 319.1 352 327.2 352 336C352 344.8 359.2 352 368 352z"],
    "brake-warning": [640, 512, [], "e0c7", "M320 128C333.3 128 344 138.7 344 152V264C344 277.3 333.3 288 320 288C306.7 288 296 277.3 296 264V152C296 138.7 306.7 128 320 128zM352 352C352 369.7 337.7 384 320 384C302.3 384 288 369.7 288 352C288 334.3 302.3 320 320 320C337.7 320 352 334.3 352 352zM96 256C96 132.3 196.3 32 320 32C443.7 32 544 132.3 544 256C544 379.7 443.7 480 320 480C196.3 480 96 379.7 96 256zM320 432C417.2 432 496 353.2 496 256C496 158.8 417.2 80 320 80C222.8 80 144 158.8 144 256C144 353.2 222.8 432 320 432zM83.92 75.82C95.06 82.99 98.28 97.85 91.11 108.1C63.83 151.4 48 201.8 48 255.1C48 310.2 63.83 360.6 91.11 403C98.28 414.2 95.06 429 83.92 436.2C72.77 443.4 57.92 440.1 50.75 428.1C18.63 379.1 0 319.7 0 255.1C0 192.3 18.63 132.9 50.75 83.01C57.92 71.86 72.77 68.65 83.92 75.82V75.82zM556.1 75.82C567.2 68.65 582.1 71.86 589.3 83.01C621.4 132.9 640 192.3 640 255.1C640 319.7 621.4 379.1 589.3 428.1C582.1 440.1 567.2 443.4 556.1 436.2C544.9 429 541.7 414.2 548.9 403C576.2 360.6 592 310.2 592 255.1C592 201.8 576.2 151.4 548.9 108.1C541.7 97.85 544.9 82.99 556.1 75.82V75.82z"],
    "brazilian-real-sign": [512, 512, [], "e46c", "M400 0C413.3 0 424 10.75 424 24V65.16C438.6 66.89 452.1 70.53 466.7 76.02L480.9 81.72C493.2 86.64 499.2 100.6 494.3 112.9C489.4 125.2 475.4 131.2 463.1 126.3L448.8 120.6C434.7 114.9 419.5 112 404.3 112H391.1C361.1 112 336 137.1 336 167.1C336 191.5 350.7 212.5 372.8 220.6L443.6 246.3C484.6 261.2 512 300.3 512 344C512 396 473.8 439.1 424 446.8V488C424 501.3 413.3 512 400 512C386.7 512 376 501.3 376 488V445.8C358.9 442.9 342.3 436.9 327.1 428.2L300.1 412.8C288.6 406.3 284.6 391.6 291.2 380.1C297.7 368.6 312.4 364.6 323.9 371.2L350.9 386.6C366.3 395.4 383.7 400 401.4 400H408C438.9 400 464 374.9 464 344C464 320.5 449.3 299.5 427.1 291.4L356.4 265.7C315.4 250.8 288 211.7 288 167.1C288 115.1 326.2 72.91 376 65.22V24C376 10.75 386.7 0 400 0L400 0zM0 56C0 42.75 10.75 32 24 32H120C195.1 32 256 92.89 256 168C256 227.4 217.9 277.9 164.9 296.4L222.4 447.5C227.1 459.8 220.9 473.7 208.5 478.4C196.2 483.1 182.3 476.9 177.6 464.5L116.4 304H48V456C48 469.3 37.25 480 24 480C10.75 480 0 469.3 0 456V56zM48 256H120C168.6 256 208 216.6 208 168C208 119.4 168.6 80 120 80H48V256z"],
    "bread-loaf": [640, 512, [127838], "f7eb", "M400 32h-160C107.5 32 0 103.6 0 192c0 35.38 26.88 64 60 64H64v192c0 17.62 14.38 32 32 32h448c17.62 0 32-14.38 32-32V256h4C613.1 256 640 227.4 640 192C640 103.6 532.5 32 400 32zM420 208H368v224h-256v-224H60C54.25 208 48 201.6 48 192c0-59.62 89.75-112 192-112s192 52.38 192 112C432 201.6 425.8 208 420 208z"],
    "bread-slice": [512, 512, [], "f7ec", "M256 32C132.4 32 0 96.29 0 192c0 35.29 26.92 64 60 64H64v176C64 458.5 85.49 480 112 480h288c26.51 0 48-21.49 48-48V256h4C485.1 256 512 227.3 512 192C512 96.29 379.6 32 256 32zM452 208H400v224h-288v-224H60C54.25 208 48 201.6 48 192c0-59.63 105.8-112 208-112s208 52.38 208 112C464 201.6 457.8 208 452 208z"],
    "bread-slice-butter": [512, 512, [], "e3e1", "M323.9 265.4C329.9 271.4 333.2 279.5 333.2 288C333.2 296.5 329.9 304.6 323.9 310.6L278.6 355.9C272.6 361.9 264.5 365.2 255.1 365.2C247.5 365.2 239.4 361.9 233.4 355.9L188.1 310.6C182.1 304.6 178.8 296.5 178.8 288C178.8 279.5 182.1 271.4 188.1 265.4L233.4 220.1C239.4 214.1 247.5 210.8 255.1 210.8C264.5 210.8 272.6 214.1 278.6 220.1L323.9 265.4zM511.1 192C512.5 208.4 506.5 224.4 495.2 236.4C483.1 248.4 468.4 255.4 451.1 256H447.1V432C447.1 444.7 442.9 456.9 433.9 465.9C424.9 474.9 412.7 480 399.1 480H111.1C99.27 480 87.06 474.9 78.06 465.9C69.05 456.9 63.1 444.7 63.1 432V256H59.1C43.57 255.4 28.03 248.4 16.79 236.4C5.541 224.4-.4955 208.4-.0034 192C-.0034 96.29 132.4 32 255.1 32C379.6 32 511.1 96.29 511.1 192zM461.2 202.4C463.4 199.4 464.4 195.7 463.1 192C463.1 132.4 358.2 80 255.1 80C153.8 80 47.1 132.4 47.1 192C47.58 195.7 48.58 199.4 50.82 202.4C53.05 205.4 56.33 207.4 59.1 208H111.1V432H399.1V208H451.1C455.7 207.4 458.9 205.4 461.2 202.4z"],
    "bridge": [576, 512, [], "e4c8", "M544 32C557.3 32 568 42.75 568 56C568 69.25 557.3 80 544 80H504V144H552C565.3 144 576 154.7 576 168C576 181.3 565.3 192 552 192H24C10.75 192 0 181.3 0 168C0 154.7 10.75 144 24 144H72V80H24C10.75 80 0 69.25 0 56C0 42.75 10.75 32 24 32H544zM456 80H376V144H456V80zM248 80V144H328V80H248zM200 80H120V144H200V80zM120 336V432H168V344C168 286.6 214.6 240 272 240H304C361.4 240 408 286.6 408 344V432H456V336C456 282.1 498.1 240 552 240C565.3 240 576 250.7 576 264C576 277.3 565.3 288 552 288C525.5 288 504 309.5 504 336V440C504 462.1 486.1 480 464 480H400C377.9 480 360 462.1 360 440V344C360 313.1 334.9 288 304 288H272C241.1 288 216 313.1 216 344V440C216 462.1 198.1 480 176 480H112C89.91 480 72 462.1 72 440V336C72 309.5 50.51 288 24 288C10.75 288 0 277.3 0 264C0 250.7 10.75 240 24 240C77.02 240 120 282.1 120 336z"],
    "bridge-circle-check": [640, 512, [], "e4c9", "M576 32C589.3 32 600 42.75 600 56C600 69.25 589.3 80 576 80H536V144H584C597.3 144 608 154.7 608 168C608 181.3 597.3 192 584 192H56C42.75 192 32 181.3 32 168C32 154.7 42.75 144 56 144H104V80H56C42.75 80 32 69.25 32 56C32 42.75 42.75 32 56 32H576zM488 80H408V144H488V80zM280 80V144H360V80H280zM232 80H152V144H232V80zM336 288H304C273.1 288 248 313.1 248 344V440C248 462.1 230.1 480 208 480H144C121.9 480 104 462.1 104 440V336C104 309.5 82.51 288 56 288C42.75 288 32 277.3 32 264C32 250.7 42.75 240 56 240C109 240 152 282.1 152 336V432H200V344C200 286.6 246.6 240 304 240H336C347.8 240 359 241.9 369.6 245.5C357.4 258.1 347.2 272.4 339.1 288.1C338.1 288 337.1 287.1 336 287.1V288zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM480 385.4L451.3 356.7C445.1 350.4 434.9 350.4 428.7 356.7C422.4 362.9 422.4 373.1 428.7 379.3L468.7 419.3C474.9 425.6 485.1 425.6 491.3 419.3L563.3 347.3C569.6 341.1 569.6 330.9 563.3 324.7C557.1 318.4 546.9 318.4 540.7 324.7L480 385.4z"],
    "bridge-circle-exclamation": [640, 512, [], "e4ca", "M576 32C589.3 32 600 42.75 600 56C600 69.25 589.3 80 576 80H536V144H584C597.3 144 608 154.7 608 168C608 181.3 597.3 192 584 192H56C42.75 192 32 181.3 32 168C32 154.7 42.75 144 56 144H104V80H56C42.75 80 32 69.25 32 56C32 42.75 42.75 32 56 32H576zM488 80H408V144H488V80zM280 80V144H360V80H280zM232 80H152V144H232V80zM336 288H304C273.1 288 248 313.1 248 344V440C248 462.1 230.1 480 208 480H144C121.9 480 104 462.1 104 440V336C104 309.5 82.51 288 56 288C42.75 288 32 277.3 32 264C32 250.7 42.75 240 56 240C109 240 152 282.1 152 336V432H200V344C200 286.6 246.6 240 304 240H336C347.8 240 359 241.9 369.6 245.5C357.4 258.1 347.2 272.4 339.1 288.1C338.1 288 337.1 287.1 336 287.1V288zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 464C509.3 464 520 453.3 520 440C520 426.7 509.3 416 496 416C482.7 416 472 426.7 472 440C472 453.3 482.7 464 496 464zM479.1 288V368C479.1 376.8 487.2 384 495.1 384C504.8 384 511.1 376.8 511.1 368V288C511.1 279.2 504.8 272 495.1 272C487.2 272 479.1 279.2 479.1 288z"],
    "bridge-circle-xmark": [640, 512, [], "e4cb", "M576 32C589.3 32 600 42.75 600 56C600 69.25 589.3 80 576 80H536V144H584C597.3 144 608 154.7 608 168C608 181.3 597.3 192 584 192H56C42.75 192 32 181.3 32 168C32 154.7 42.75 144 56 144H104V80H56C42.75 80 32 69.25 32 56C32 42.75 42.75 32 56 32H576zM488 80H408V144H488V80zM280 80V144H360V80H280zM232 80H152V144H232V80zM336 288H304C273.1 288 248 313.1 248 344V440C248 462.1 230.1 480 208 480H144C121.9 480 104 462.1 104 440V336C104 309.5 82.51 288 56 288C42.75 288 32 277.3 32 264C32 250.7 42.75 240 56 240C109 240 152 282.1 152 336V432H200V344C200 286.6 246.6 240 304 240H336C347.8 240 359 241.9 369.6 245.5C357.4 258.1 347.2 272.4 339.1 288.1C338.1 288 337.1 287.1 336 287.1V288zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM555.3 331.3C561.6 325.1 561.6 314.9 555.3 308.7C549.1 302.4 538.9 302.4 532.7 308.7L496 345.4L459.3 308.7C453.1 302.4 442.9 302.4 436.7 308.7C430.4 314.9 430.4 325.1 436.7 331.3L473.4 368L436.7 404.7C430.4 410.9 430.4 421.1 436.7 427.3C442.9 433.6 453.1 433.6 459.3 427.3L496 390.6L532.7 427.3C538.9 433.6 549.1 433.6 555.3 427.3C561.6 421.1 561.6 410.9 555.3 404.7L518.6 368L555.3 331.3z"],
    "bridge-lock": [640, 512, [], "e4cc", "M576 32C589.3 32 600 42.75 600 56C600 69.25 589.3 80 576 80H536V144H584C597.3 144 608 154.7 608 168C608 175.2 604.8 181.7 599.8 186.1C580.4 169.8 555.3 160 528 160C497.5 160 469.8 172.2 449.6 192H56C42.75 192 32 181.3 32 168C32 154.7 42.75 144 56 144H104V80H56C42.75 80 32 69.25 32 56C32 42.75 42.75 32 56 32H576zM488 80H408V144H488V80zM280 80V144H360V80H280zM232 80H152V144H232V80zM336 240C368.2 240 396.9 254.6 416 277.5V296.6C404.2 303.4 394.7 313.9 389.2 326.6C381.9 304.2 360.9 288 336 288H304C273.1 288 248 313.1 248 344V440C248 462.1 230.1 480 208 480H144C121.9 480 104 462.1 104 440V336C104 309.5 82.51 288 56 288C42.75 288 32 277.3 32 264C32 250.7 42.75 240 56 240C109 240 152 282.1 152 336V432H200V344C200 286.6 246.6 240 304 240H336zM528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320V272C448 227.8 483.8 192 528 192zM528 240C510.3 240 496 254.3 496 272V320H560V272C560 254.3 545.7 240 528 240z"],
    "bridge-suspension": [640, 512, [], "e4cd", "M320 112C390.3 112 455.8 73.6 490.9 12.47C495 5.04 502.9 0 512 0C520.8 0 528.5 4.728 532.7 11.78C545.7 32.98 559.3 53.94 574.7 71.54C590.2 89.21 606.4 102.1 624.1 108.5C636.6 112.1 643.1 126.7 638.6 139.2C634.1 151.7 620.3 158.1 607.9 153.6C579.7 143.5 557.1 124.2 538.6 103.2C537.7 102.2 536.9 101.2 536 100.2V240H616C629.3 240 640 250.7 640 264C640 277.3 629.3 288 616 288H24C10.75 288 .0009 277.3 .0009 264C.0009 250.7 10.75 240 24 240H104V100.2C103.1 101.2 102.3 102.2 101.4 103.2C82.94 124.2 60.33 143.5 32.14 153.6C19.67 158.1 5.921 151.7 1.424 139.2C-3.073 126.7 3.39 112.1 15.86 108.5C33.57 102.1 49.79 89.21 65.3 71.54C80.73 53.94 94.29 32.98 107.3 11.78C111.5 4.729 119.2 .0003 128 .0003C137.1 .0003 144.1 5.04 149.1 12.47C184.2 73.6 249.7 112 320 112L320 112zM200 128.3C182.7 118.5 166.5 106.6 152 92.85V240H200V128.3zM296 158.8C279.6 157.2 263.5 153.9 248 149V240H296V158.8zM392 149C376.5 153.9 360.4 157.2 344 158.8V240H392V149zM488 92.85C473.5 106.6 457.3 118.5 440 128.3V240H488V92.85zM.0012 360C.0012 346.7 10.75 336 24 336H40C97.44 336 144 382.6 144 440V464H192C192 393.3 249.3 336 320 336C390.7 336 448 393.3 448 464H496V440C496 382.6 542.6 336 600 336H616C629.3 336 640 346.7 640 360C640 373.3 629.3 384 616 384H600C569.1 384 544 409.1 544 440V464C544 490.5 522.5 512 496 512H446.6C420.9 512 400 491.1 400 465.4V464C400 419.8 364.2 384 320 384C275.8 384 240 419.8 240 464V465.4C240 491.1 219.1 512 193.4 512H144C117.5 512 96 490.5 96 464V440C96 409.1 70.93 384 40 384H24C10.75 384 .0012 373.3 .0012 360V360z"],
    "bridge-water": [576, 512, [], "e4ce", "M48 112V162.8C93.88 173.8 128 215.1 128 264.3V361C113.2 352.5 95.96 350.4 80 354.5V264.3C80 233.2 54.8 208 23.7 208C10.61 208 0 197.4 0 184.3V96C0 78.33 14.33 64 32 64H544C561.7 64 576 78.33 576 96V184.3C576 197.4 565.4 208 552.3 208C521.2 208 496 233.2 496 264.3V354.5C480 350.4 462.8 352.5 448 361V264.3C448 215.1 482.1 173.8 528 162.8V112L48 112zM192 384.5C186.9 384.5 181.5 383.9 176 382.8V272C176 210.1 226.1 160 288 160C349.9 160 400 210.1 400 272V382.8C394.5 383.9 389.2 384.5 384 384.5C373.6 384.5 362.7 382.3 352 378.3V272C352 236.7 323.3 208 288 208C252.7 208 224 236.7 224 272V378.4C213.7 382.2 202.9 384.5 192 384.5zM191.1 432C220.8 432 250.5 416.7 272 398.1C281.1 389.1 294.8 389.1 303.1 398.1C325.5 416.7 355.1 432 383.1 432C412.8 432 442.5 416.7 464 398.1C473.1 389.1 486.8 389.1 495.9 398.1C512.9 413.1 535.2 424.9 557.2 429.8C570.1 432.7 578.3 445.5 575.4 458.5C572.5 471.4 559.6 479.5 546.7 476.6C518 470.2 494.4 456.2 479.1 446.2C451.9 465.7 418.6 480 383.1 480C349.4 480 316.1 465.7 287.1 446.2C259.9 465.7 226.6 480 191.1 480C157.4 480 124.1 465.7 95.98 446.2C81.61 456.2 57.99 470.2 29.3 476.6C16.37 479.5 3.535 471.4 .6333 458.5C-2.268 445.5 5.865 432.7 18.8 429.8C41 424.8 62.76 412.1 79.1 398.1C89.09 389.1 102.8 389.1 111.9 398.1C133.5 416.7 163.1 432 191.1 432L191.1 432z"],
    "briefcase": [512, 512, [128188], "f0b1", "M448 96h-64V64c0-35.35-28.65-64-64-64H192C156.7 0 128 28.65 128 64v32H64C28.65 96 0 124.7 0 160v256c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V160C512 124.7 483.3 96 448 96zM192 48h128c8.837 0 16 7.163 16 16v32h-160V64C176 55.16 183.2 48 192 48zM64 144h384c8.8 0 16 7.2 16 16v96h-416V160C48 151.2 55.2 144 64 144zM448 432H64c-8.8 0-16-7.2-16-16V304H192V320c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32V304h144V416C464 424.8 456.8 432 448 432z"],
    "briefcase-arrow-right": [512, 512, [], "e2f2", "M296.1 191c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L302.1 264H152C138.8 264 128 274.8 128 288s10.75 24 24 24h150.1l-39.03 39.03C258.3 355.7 256 361.8 256 368s2.344 12.28 7.031 16.97c9.375 9.375 24.56 9.375 33.94 0l80-80c9.375-9.375 9.375-24.56 0-33.94L296.1 191zM448 96h-64V64c0-35.35-28.65-64-64-64H192C156.7 0 128 28.65 128 64v32H64C28.65 96 0 124.7 0 160v256c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V160C512 124.7 483.3 96 448 96zM176 64c0-8.838 7.164-16 16-16h128c8.836 0 16 7.162 16 16v32h-160V64zM464 416c0 8.799-7.199 16-16 16H64c-8.801 0-16-7.201-16-16V160c0-8.801 7.199-16 16-16h384c8.801 0 16 7.199 16 16V416z"],
    "briefcase-blank": [512, 512, [], "e0c8", "M448 96h-64V64c0-35.35-28.65-64-64-64H192C156.7 0 128 28.65 128 64v32H64C28.65 96 0 124.7 0 160v256c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V160C512 124.7 483.3 96 448 96zM176 64c0-8.838 7.164-16 16-16h128c8.836 0 16 7.162 16 16v32h-160V64zM464 416c0 8.799-7.199 16-16 16H64c-8.801 0-16-7.201-16-16V160c0-8.801 7.199-16 16-16h384c8.801 0 16 7.199 16 16V416z"],
    "briefcase-medical": [512, 512, [], "f469", "M448 96h-64V64c0-35.35-28.65-64-64-64H192C156.7 0 128 28.65 128 64v32H64C28.65 96 0 124.7 0 160v256c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V160C512 124.7 483.3 96 448 96zM176 64c0-8.838 7.164-16 16-16h128c8.836 0 16 7.162 16 16v32h-160V64zM464 416c0 8.799-7.199 16-16 16H64c-8.801 0-16-7.201-16-16V160c0-8.801 7.199-16 16-16h384c8.801 0 16 7.199 16 16V416zM336 256H288V208C288 199.2 280.8 192 272 192h-32C231.2 192 224 199.2 224 208V256H176C167.2 256 160 263.2 160 272v32C160 312.8 167.2 320 176 320H224v48C224 376.8 231.2 384 240 384h32c8.836 0 16-7.164 16-16V320h48c8.836 0 16-7.164 16-16v-32C352 263.2 344.8 256 336 256z"],
    "brightness": [512, 512, [], "e0c9", "M232 24C232 10.75 242.7 0 256 0C269.3 0 280 10.75 280 24V88C280 101.3 269.3 112 256 112C242.7 112 232 101.3 232 88V24zM160 256C160 202.1 202.1 160 256 160C309 160 352 202.1 352 256C352 309 309 352 256 352C202.1 352 160 309 160 256zM256 304C282.5 304 304 282.5 304 256C304 229.5 282.5 208 256 208C229.5 208 208 229.5 208 256C208 282.5 229.5 304 256 304zM0 256C0 242.7 10.75 232 24 232H88C101.3 232 112 242.7 112 256C112 269.3 101.3 280 88 280H24C10.75 280 0 269.3 0 256zM488 232C501.3 232 512 242.7 512 256C512 269.3 501.3 280 488 280H424C410.7 280 400 269.3 400 256C400 242.7 410.7 232 424 232H488zM256 512C242.7 512 232 501.3 232 488V424C232 410.7 242.7 400 256 400C269.3 400 280 410.7 280 424V488C280 501.3 269.3 512 256 512zM74.98 74.98C84.35 65.61 99.55 65.61 108.9 74.98L154.2 120.2C163.5 129.6 163.5 144.8 154.2 154.2C144.8 163.5 129.6 163.5 120.2 154.2L74.98 108.9C65.61 99.55 65.61 84.35 74.98 74.98V74.98zM437 403.1C446.4 412.4 446.4 427.6 437 437C427.6 446.4 412.4 446.4 403.1 437L357.8 391.8C348.5 382.4 348.5 367.2 357.8 357.8C367.2 348.5 382.4 348.5 391.8 357.8L437 403.1zM74.98 437C65.61 427.6 65.61 412.5 74.98 403.1L120.2 357.8C129.6 348.5 144.8 348.5 154.2 357.8C163.5 367.2 163.5 382.4 154.2 391.8L108.9 437C99.55 446.4 84.35 446.4 74.98 437zM403.1 74.98C412.4 65.61 427.6 65.61 437 74.98C446.4 84.35 446.4 99.55 437 108.9L391.8 154.2C382.4 163.6 367.2 163.6 357.8 154.2C348.5 144.8 348.5 129.6 357.8 120.2L403.1 74.98z"],
    "brightness-low": [448, 512, [], "e0ca", "M256 80C256 97.67 241.7 112 224 112C206.3 112 192 97.67 192 80C192 62.33 206.3 48 224 48C241.7 48 256 62.33 256 80zM128 256C128 202.1 170.1 160 224 160C277 160 320 202.1 320 256C320 309 277 352 224 352C170.1 352 128 309 128 256zM224 304C250.5 304 272 282.5 272 256C272 229.5 250.5 208 224 208C197.5 208 176 229.5 176 256C176 282.5 197.5 304 224 304zM192 432C192 414.3 206.3 400 224 400C241.7 400 256 414.3 256 432C256 449.7 241.7 464 224 464C206.3 464 192 449.7 192 432zM400 288C382.3 288 368 273.7 368 256C368 238.3 382.3 224 400 224C417.7 224 432 238.3 432 256C432 273.7 417.7 288 400 288zM48 224C65.67 224 80 238.3 80 256C80 273.7 65.67 288 48 288C30.33 288 16 273.7 16 256C16 238.3 30.33 224 48 224zM128 128C128 145.7 113.7 160 96 160C78.33 160 64 145.7 64 128C64 110.3 78.33 96 96 96C113.7 96 128 110.3 128 128zM352 416C334.3 416 320 401.7 320 384C320 366.3 334.3 352 352 352C369.7 352 384 366.3 384 384C384 401.7 369.7 416 352 416zM384 128C384 145.7 369.7 160 352 160C334.3 160 320 145.7 320 128C320 110.3 334.3 96 352 96C369.7 96 384 110.3 384 128zM96 352C113.7 352 128 366.3 128 384C128 401.7 113.7 416 96 416C78.33 416 64 401.7 64 384C64 366.3 78.33 352 96 352z"],
    "bring-forward": [512, 512, [], "f856", "M224 464H448C456.8 464 464 456.8 464 448V224C464 215.2 456.8 208 448 208H384V160H448C483.3 160 512 188.7 512 224V448C512 483.3 483.3 512 448 512H224C188.7 512 160 483.3 160 448V384H208V448C208 456.8 215.2 464 224 464zM64 352C28.65 352 0 323.3 0 288V64C0 28.65 28.65 0 64 0H288C323.3 0 352 28.65 352 64V288C352 323.3 323.3 352 288 352H64z"],
    "bring-front": [640, 512, [], "f857", "M48 64V192C48 200.8 55.16 208 64 208H128V256H64C28.65 256 0 227.3 0 192V64C0 28.65 28.65 0 64 0H192C227.3 0 256 28.65 256 64H208C208 55.16 200.8 48 192 48H64C55.16 48 48 55.16 48 64zM448 512C412.7 512 384 483.3 384 448H432C432 456.8 439.2 464 448 464H576C584.8 464 592 456.8 592 448V320C592 311.2 584.8 304 576 304H512V256H576C611.3 256 640 284.7 640 320V448C640 483.3 611.3 512 576 512H448zM416 96C451.3 96 480 124.7 480 160V352C480 387.3 451.3 416 416 416H224C188.7 416 160 387.3 160 352V160C160 124.7 188.7 96 224 96H416z"],
    "broccoli": [512, 512, [129382], "e3e2", "M455.4 146.5C455.8 143.3 456 140 456 136.7c0-46.52-39.48-84.36-88-84.36c-4.316 0-8.611 .3066-12.85 .9121C334.7 20.79 297.6 0 256 0S177.3 20.79 156.8 53.28C152.6 52.67 148.3 52.36 144 52.36c-48.52 0-88 37.85-88 84.36c0 3.295 .2012 6.568 .5996 9.812C22.1 165.1 0 201.4 0 241.5C0 302.4 52.04 352 116 352h17.92c73.02 102.6 46.7 160 93.32 160h57.73c46.32 0 20.05-56.33 93.17-160H396C459.1 352 512 302.4 512 241.5C512 201.4 489.9 165.1 455.4 146.5zM256 412.7C246.9 389.4 237.1 369 227.8 352h56.42C274.9 369 265.1 389.4 256 412.7zM396 304h-280C78.5 304 48 275.9 48 241.5c0-29.06 21.56-54.03 52.42-60.72c7.364-1.598 12.61-8.116 12.61-15.64C113 155.4 104 152.4 104 136.7c0-20.05 17.94-36.36 40-36.36c17.99 0 20.76 8.449 30.34 8.449c7.324 0 13.76-4.987 15.53-12.15C196.1 68.01 224.2 48 256 48s59.03 20.01 66.13 48.66c1.774 7.166 8.207 12.15 15.53 12.15c9.542 0 12.42-8.449 30.34-8.449c22.06 0 40 16.31 40 36.36c0 15.59-9.035 18.64-9.035 28.37c0 7.536 5.262 14.04 12.61 15.64C442.4 187.4 464 212.4 464 241.5C464 275.9 433.5 304 396 304z"],
    "broom": [640, 512, [129529], "f51a", "M634.9 9.24c-8.172-10.44-23.25-12.34-33.69-4.125L368.1 187.3l-39.39-49.48C323.8 131.8 314.7 131.8 309.8 137.9l-57.61 73.12C221.1 211.8 148.2 217.6 100.2 255.8C38.24 305 0 511.3 0 511.3c15.12 .75 212.3 7.5 272.2-39.1c47.62-37.1 69.99-107.5 77.73-137.6l84.23-39.5c6.1-3.375 9.123-12.37 4.375-18.37l-40.57-50.96l232.8-181.9C641.2 34.77 643.1 19.68 634.9 9.24zM242.2 433.8c-16.5 13.12-74.23 28.5-182.7 30.12c4.748-19.12 10.12-38.12 15.75-56.37l45.37-35.1c4.1-3.875 1.125-11.87-4.998-10.62l-26.12 5.5c13.37-35.25 27.74-62.1 40.74-73.37c26.99-21.5 71.24-30.1 109.6-33.5l59.86 74.1C290.3 365.8 271.7 410.4 242.2 433.8zM365.7 273.3l-35.49 16.5L290.4 239.9l24.25-30.75c2.375-2.1 6.998-3.125 9.373 0L367.8 264C370.2 267 369.2 271.5 365.7 273.3z"],
    "broom-ball": [640, 512, ["quidditch", "quidditch-broom-ball"], "f458", "M512 319.8c-52.86 0-95.98 42.1-95.98 95.75s43.12 95.75 95.98 95.75c52.87 0 95.98-42.1 95.98-95.75S564.9 319.8 512 319.8zM512 463.5c-26.49 0-47.99-21.5-47.99-47.87c0-26.37 21.5-47.87 47.99-47.87c26.49 0 47.99 21.5 47.99 47.87C560 442 538.4 463.5 512 463.5zM640 23.1C640 11.22 629.7 0 615.1 0c-5.162 0-10.36 1.666-14.74 5.115L368.1 187.3l-39.39-49.48c-2.424-2.984-5.899-4.484-9.381-4.484c-3.517 0-7.04 1.531-9.49 4.609l-57.61 73.12C221.1 211.8 148.2 217.6 100.2 255.8C38.24 305 0 511.3 0 511.3C3.767 511.4 18.84 512 40.27 512c64.59 0 186.1-5.08 231.9-40.74c47.62-37.1 69.99-107.5 77.73-137.6l84.23-39.5c4.446-2.144 6.925-6.557 6.925-11.03c0-2.569-.8177-5.157-2.55-7.346l-40.57-50.96l232.8-181.9C636.8 38.2 640 31.13 640 23.1zM59.49 463.9c4.748-19.12 10.12-38.12 15.75-56.37l45.37-35.1c1.599-1.24 2.291-2.901 2.291-4.547c0-3.133-2.504-6.209-6.017-6.209c-.411 0-.8357 .0421-1.272 .1311l-26.12 5.5C110.1 312.1 123.9 267.1 239.8 259.5l59.86 74.1C269.4 435.3 238.1 461.2 59.49 463.9zM369.1 267.7c0 2.224-1.212 4.42-3.418 5.523l-35.49 16.5L290.4 239.9l24.25-30.75c1.2-1.515 2.973-2.297 4.74-2.297c1.732 0 3.458 .7505 4.633 2.297L367.8 264C368.7 265.1 369.1 266.4 369.1 267.7z"],
    "browser": [512, 512, [128468], "f37e", "M7.724 65.49C13.36 55.11 21.79 46.47 32 40.56C39.63 36.15 48.25 33.26 57.46 32.33C59.61 32.11 61.79 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 93.79 .112 91.61 .3306 89.46C1.204 80.85 3.784 72.75 7.724 65.49V65.49zM48 416C48 424.8 55.16 432 64 432H448C456.8 432 464 424.8 464 416V160H48V416z"],
    "browsers": [576, 512, [], "e0cb", "M512 0C547.3 0 576 28.65 576 64V352C576 387.3 547.3 416 512 416H160C124.7 416 96 387.3 96 352V64C96 28.65 124.7 0 160 0H512zM160 368H512C520.8 368 528 360.8 528 352V128H144V352C144 360.8 151.2 368 160 368zM48 376C48 424.6 87.4 464 136 464H456C469.3 464 480 474.7 480 488C480 501.3 469.3 512 456 512H136C60.89 512 0 451.1 0 376V120C0 106.7 10.75 96 24 96C37.25 96 48 106.7 48 120V376z"],
    "brush": [384, 512, [], "f55d", "M0 64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V320C384 355.3 355.3 384 320 384H256V448C256 483.3 227.3 512 192 512C156.7 512 128 483.3 128 448V384H64C28.65 384 0 355.3 0 320V64zM336 288V64C336 55.16 328.8 48 320 48H224V112C224 120.8 216.8 128 208 128C199.2 128 192 120.8 192 112V48H128V144C128 152.8 120.8 160 112 160C103.2 160 96 152.8 96 144V48H64C55.16 48 48 55.16 48 64V288H336zM192 464C200.8 464 208 456.8 208 448C208 439.2 200.8 432 192 432C183.2 432 176 439.2 176 448C176 456.8 183.2 464 192 464z"],
    "bucket": [448, 512, [], "e4cf", "M96 160H48V152C48 68.05 116.1 0 200 0H248C331.9 0 400 68.05 400 152V160H352V152C352 94.56 305.4 48 248 48H200C142.6 48 96 94.56 96 152V160zM.0003 216C.0003 202.7 10.75 192 24 192H424C437.3 192 448 202.7 448 216C448 229.3 437.3 240 424 240H418L389.3 469.1C386.3 493.1 365.8 512 341.6 512H106.4C82.17 512 61.75 493.1 58.74 469.1L30 240H24C10.75 240 0 229.3 0 216H.0003zM106.4 464H341.6L369.6 240H78.37L106.4 464z"],
    "bug": [512, 512, [], "f188", "M352 96V99.56C352 115.3 339.3 128 323.6 128H188.4C172.7 128 160 115.3 160 99.56V96C160 42.98 202.1 0 256 0C309 0 352 42.98 352 96zM39.03 103C48.4 93.66 63.6 93.66 72.97 103L145.4 175.5C161.3 165.7 179.1 160 200 160H312C332 160 350.7 165.7 366.6 175.5L439 103C448.4 93.66 463.6 93.66 472.1 103C482.3 112.4 482.3 127.6 472.1 136.1L400.5 209.4C410.3 225.3 416 243.1 416 264H488C501.3 264 512 274.7 512 288C512 301.3 501.3 312 488 312H416V320C416 347.2 409.2 372.8 397.2 395.3L472.1 471C482.3 480.4 482.3 495.6 472.1 504.1C463.6 514.3 448.4 514.3 439 504.1L368.2 434.1C339.3 462.5 299.7 480 256 480C212.3 480 172.7 462.5 143.8 434.1L72.97 504.1C63.6 514.3 48.4 514.3 39.03 504.1C29.66 495.6 29.66 480.4 39.03 471L114.8 395.3C102.8 372.8 96 347.2 96 320V312H24C10.75 312 0 301.3 0 288C0 274.7 10.75 264 24 264H96C96 243.1 101.7 225.3 111.5 209.4L39.03 136.1C29.66 127.6 29.66 112.4 39.03 103V103zM144 320C144 373.6 181.7 418.4 232 429.4V280C232 266.7 242.7 256 256 256C269.3 256 280 266.7 280 280V429.4C330.3 418.4 368 373.6 368 320V264C368 233.1 342.9 208 312 208H200C169.1 208 144 233.1 144 264V320z"],
    "bug-slash": [640, 512, [], "e490", "M239.1 162.8C247.7 160.1 255.7 160 264 160H376C396 160 414.7 165.7 430.6 175.5L503 103C512.4 93.66 527.6 93.66 536.1 103C546.3 112.4 546.3 127.6 536.1 136.1L464.5 209.4C474.3 225.3 480 243.1 480 264H552C565.3 264 576 274.7 576 288C576 301.3 565.3 312 552 312H480V320C480 329.9 479.1 339.5 477.4 348.9L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L239.1 162.8zM297.7 208L432 313.3V264C432 233.1 406.9 208 376 208H297.7zM416 96V99.56C416 115.3 403.3 128 387.6 128H252.4C236.7 128 224 115.3 224 99.56V96C224 42.98 266.1 .001 320 .001C373 .001 416 42.98 416 96V96zM160 264C160 251.1 162.4 238.7 166.7 227.3L208.1 259.1C208 261.3 208 262.7 208 264V320C208 373.6 245.7 418.4 296 429.4V329.2L344 367V429.4C362.3 425.4 378.8 417 392.6 405.3L430.8 435.4C402.1 463 363 480 320 480C276.3 480 236.7 462.5 207.8 434.1L136.1 504.1C127.6 514.3 112.4 514.3 103 504.1C93.66 495.6 93.66 480.4 103 471L178.8 395.3C166.8 372.8 160 347.2 160 320V312H88C74.75 312 64 301.3 64 288C64 274.7 74.75 264 88 264H160z"],
    "bugs": [576, 512, [], "e4d0", "M187.4 135.1H204.3L208.5 115.3C211.1 102.3 223.7 93.86 236.7 96.46C249.7 99.06 258.1 111.7 255.5 124.7L247.5 164.7C245.3 175.9 235.4 183.1 224 183.1H192V207.3L229.8 216.7C239.3 219.1 246.4 226.9 247.8 236.6L255.8 292.6C257.6 305.7 248.5 317.9 235.4 319.8C222.3 321.6 210.1 312.5 208.2 299.4L202.5 259.4L184.1 254.8C173.3 274.6 152.2 287.1 128 287.1C103.8 287.1 82.75 274.6 71.87 254.8L53.48 259.4L47.76 299.4C45.89 312.5 33.73 321.6 20.61 319.8C7.489 317.9-1.628 305.7 .2461 292.6L8.246 236.6C9.626 226.9 16.72 219.1 26.18 216.7L64 207.3V183.1H32C20.56 183.1 10.71 175.9 8.471 164.7L.4707 124.7C-2.129 111.7 6.3 99.06 19.3 96.46C32.3 93.86 44.94 102.3 47.54 115.3L51.68 135.1H68.66C73.36 124.4 81.37 114.5 91.52 107.4L58.15 33.92C52.67 21.85 58.01 7.625 70.08 2.145C82.15-3.335 96.38 2.007 101.9 14.08L128 71.66L154.2 14.08C159.6 2.007 173.9-3.335 185.9 2.145C197.1 7.625 203.3 21.85 197.9 33.92L164.5 107.4C174.6 114.5 182.7 124.4 187.4 135.1L187.4 135.1zM144 224V160C144 151.2 136.8 144 128 144C119.2 144 112 151.2 112 160V224C112 232.8 119.2 240 128 240C136.8 240 144 232.8 144 224zM501.5 322.7L516.2 331.2L530.1 315.3C538.9 305.3 554 304.4 563.1 313.1C573.9 321.9 574.9 337 566.2 346.1L539.2 377.6C531.7 386.2 519.1 388.3 509.2 382.6L481.5 366.6L469.9 386.7L497.9 413.8C504.9 420.6 507.1 430.9 503.5 440L482.4 492.5C477.5 504.8 463.5 510.8 451.2 505.8C438.9 500.9 432.9 486.9 437.9 474.6L452.9 437.1L439.3 423.9C419.1 435.6 395 436.7 374.1 424.6C353.1 412.5 341.6 390.4 342.1 367.8L323.8 362.6L298.9 394.4C290.7 404.8 275.6 406.6 265.2 398.4C254.8 390.3 252.9 375.2 261.1 364.7L296.1 320.2C302.1 312.6 312.2 309.3 321.5 311.1L359 322.7L370.6 302.6L342.9 286.6C333 280.8 328.5 268.9 332.2 258.1L345.3 219.4C349.5 206.9 363.1 200.2 375.7 204.4C388.3 208.7 394.1 222.3 390.7 234.8L383.1 254.8L398.7 263.3C408.6 255.6 420.5 251 432.8 249.1L440.6 169.7C441.9 156.5 453.6 146.8 466.8 148.1C480 149.4 489.7 161.1 488.4 174.3L482.2 237.3L533.7 200.5C544.5 192.8 559.4 195.3 567.2 206C574.9 216.8 572.4 231.8 561.6 239.5L495.1 286.5C501.2 297.7 503.2 310.3 501.5 322.7L501.5 322.7zM446.1 299.9C438.4 295.5 428.6 298.1 424.2 305.8L392.2 361.2C387.8 368.9 390.4 378.6 398.1 383.1C405.7 387.5 415.5 384.9 419.9 377.2L451.9 321.8C456.3 314.1 453.7 304.3 446.1 299.9V299.9z"],
    "building": [384, 512, [61687, 127970], "f1ad", "M88 104C88 95.16 95.16 88 104 88H152C160.8 88 168 95.16 168 104V152C168 160.8 160.8 168 152 168H104C95.16 168 88 160.8 88 152V104zM280 88C288.8 88 296 95.16 296 104V152C296 160.8 288.8 168 280 168H232C223.2 168 216 160.8 216 152V104C216 95.16 223.2 88 232 88H280zM88 232C88 223.2 95.16 216 104 216H152C160.8 216 168 223.2 168 232V280C168 288.8 160.8 296 152 296H104C95.16 296 88 288.8 88 280V232zM280 216C288.8 216 296 223.2 296 232V280C296 288.8 288.8 296 280 296H232C223.2 296 216 288.8 216 280V232C216 223.2 223.2 216 232 216H280zM0 64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64zM48 64V448C48 456.8 55.16 464 64 464H144V400C144 373.5 165.5 352 192 352C218.5 352 240 373.5 240 400V464H320C328.8 464 336 456.8 336 448V64C336 55.16 328.8 48 320 48H64C55.16 48 48 55.16 48 64z"],
    "building-circle-arrow-right": [640, 512, [], "e4d1", "M48 64V448C48 456.8 55.16 464 64 464H144V400C144 373.5 165.5 352 192 352C218.5 352 240 373.5 240 400V464H320C328.8 464 336 456.8 336 448V441.4C344.2 459.3 355.3 475.5 368.7 489.5C356.1 503.3 339.5 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V232.2C363.7 249 347.1 270.3 336 294.6V64C336 55.16 328.8 48 320 48H64C55.16 48 48 55.16 48 64zM88 104C88 95.16 95.16 88 104 88H152C160.8 88 168 95.16 168 104V152C168 160.8 160.8 168 152 168H104C95.16 168 88 160.8 88 152V104zM280 88C288.8 88 296 95.16 296 104V152C296 160.8 288.8 168 280 168H232C223.2 168 216 160.8 216 152V104C216 95.16 223.2 88 232 88H280zM88 232C88 223.2 95.16 216 104 216H152C160.8 216 168 223.2 168 232V280C168 288.8 160.8 296 152 296H104C95.16 296 88 288.8 88 280V232zM280 216C288.8 216 296 223.2 296 232V280C296 288.8 288.8 296 280 296H232C223.2 296 216 288.8 216 280V232C216 223.2 223.2 216 232 216H280zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM492.7 323.3L521.4 352H432C423.2 352 416 359.2 416 368C416 376.8 423.2 384 432 384H521.4L492.7 412.7C486.4 418.9 486.4 429.1 492.7 435.3C498.9 441.6 509.1 441.6 515.3 435.3L571.3 379.3C577.6 373.1 577.6 362.9 571.3 356.7L515.3 300.7C509.1 294.4 498.9 294.4 492.7 300.7C486.4 306.9 486.4 317.1 492.7 323.3V323.3z"],
    "building-circle-check": [640, 512, [], "e4d2", "M48 64V448C48 456.8 55.16 464 64 464H144V400C144 373.5 165.5 352 192 352C218.5 352 240 373.5 240 400V464H320C328.8 464 336 456.8 336 448V441.4C344.2 459.3 355.3 475.5 368.7 489.5C356.1 503.3 339.5 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V232.2C363.7 249 347.1 270.3 336 294.6V64C336 55.16 328.8 48 320 48H64C55.16 48 48 55.16 48 64zM88 104C88 95.16 95.16 88 104 88H152C160.8 88 168 95.16 168 104V152C168 160.8 160.8 168 152 168H104C95.16 168 88 160.8 88 152V104zM280 88C288.8 88 296 95.16 296 104V152C296 160.8 288.8 168 280 168H232C223.2 168 216 160.8 216 152V104C216 95.16 223.2 88 232 88H280zM88 232C88 223.2 95.16 216 104 216H152C160.8 216 168 223.2 168 232V280C168 288.8 160.8 296 152 296H104C95.16 296 88 288.8 88 280V232zM280 216C288.8 216 296 223.2 296 232V280C296 288.8 288.8 296 280 296H232C223.2 296 216 288.8 216 280V232C216 223.2 223.2 216 232 216H280zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM540.7 324.7L480 385.4L451.3 356.7C445.1 350.4 434.9 350.4 428.7 356.7C422.4 362.9 422.4 373.1 428.7 379.3L468.7 419.3C474.9 425.6 485.1 425.6 491.3 419.3L563.3 347.3C569.6 341.1 569.6 330.9 563.3 324.7C557.1 318.4 546.9 318.4 540.7 324.7H540.7z"],
    "building-circle-exclamation": [640, 512, [], "e4d3", "M48 64V448C48 456.8 55.16 464 64 464H144V400C144 373.5 165.5 352 192 352C218.5 352 240 373.5 240 400V464H320C328.8 464 336 456.8 336 448V441.4C344.2 459.3 355.3 475.5 368.7 489.5C356.1 503.3 339.5 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V232.2C363.7 249 347.1 270.3 336 294.6V64C336 55.16 328.8 48 320 48H64C55.16 48 48 55.16 48 64zM88 104C88 95.16 95.16 88 104 88H152C160.8 88 168 95.16 168 104V152C168 160.8 160.8 168 152 168H104C95.16 168 88 160.8 88 152V104zM280 88C288.8 88 296 95.16 296 104V152C296 160.8 288.8 168 280 168H232C223.2 168 216 160.8 216 152V104C216 95.16 223.2 88 232 88H280zM88 232C88 223.2 95.16 216 104 216H152C160.8 216 168 223.2 168 232V280C168 288.8 160.8 296 152 296H104C95.16 296 88 288.8 88 280V232zM280 216C288.8 216 296 223.2 296 232V280C296 288.8 288.8 296 280 296H232C223.2 296 216 288.8 216 280V232C216 223.2 223.2 216 232 216H280zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 464C509.3 464 520 453.3 520 440C520 426.7 509.3 416 496 416C482.7 416 472 426.7 472 440C472 453.3 482.7 464 496 464zM479.1 288V368C479.1 376.8 487.2 384 495.1 384C504.8 384 511.1 376.8 511.1 368V288C511.1 279.2 504.8 272 495.1 272C487.2 272 479.1 279.2 479.1 288z"],
    "building-circle-xmark": [640, 512, [], "e4d4", "M48 64V448C48 456.8 55.16 464 64 464H144V400C144 373.5 165.5 352 192 352C218.5 352 240 373.5 240 400V464H320C328.8 464 336 456.8 336 448V441.4C344.2 459.3 355.3 475.5 368.7 489.5C356.1 503.3 339.5 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V232.2C363.7 249 347.1 270.3 336 294.6V64C336 55.16 328.8 48 320 48H64C55.16 48 48 55.16 48 64zM88 104C88 95.16 95.16 88 104 88H152C160.8 88 168 95.16 168 104V152C168 160.8 160.8 168 152 168H104C95.16 168 88 160.8 88 152V104zM280 88C288.8 88 296 95.16 296 104V152C296 160.8 288.8 168 280 168H232C223.2 168 216 160.8 216 152V104C216 95.16 223.2 88 232 88H280zM88 232C88 223.2 95.16 216 104 216H152C160.8 216 168 223.2 168 232V280C168 288.8 160.8 296 152 296H104C95.16 296 88 288.8 88 280V232zM280 216C288.8 216 296 223.2 296 232V280C296 288.8 288.8 296 280 296H232C223.2 296 216 288.8 216 280V232C216 223.2 223.2 216 232 216H280zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM555.3 331.3C561.6 325.1 561.6 314.9 555.3 308.7C549.1 302.4 538.9 302.4 532.7 308.7L496 345.4L459.3 308.7C453.1 302.4 442.9 302.4 436.7 308.7C430.4 314.9 430.4 325.1 436.7 331.3L473.4 368L436.7 404.7C430.4 410.9 430.4 421.1 436.7 427.3C442.9 433.6 453.1 433.6 459.3 427.3L496 390.6L532.7 427.3C538.9 433.6 549.1 433.6 555.3 427.3C561.6 421.1 561.6 410.9 555.3 404.7L518.6 368L555.3 331.3z"],
    "building-columns": [512, 512, ["bank", "institution", "museum", "university"], "f19c", "M494.4 128.1C505.3 134.1 512 145.5 512 157.9C512 176.8 496.8 192 477.9 192H34.06C15.25 192 0 176.8 0 157.9C0 145.5 6.745 134.1 17.61 128.1L244.4 2.986C251.6-.9954 260.4-.9954 267.6 2.986L494.4 128.1zM224 128C224 110.3 238.3 96 256 96C273.7 96 288 110.3 288 128C288 133.8 286.4 139.3 283.7 144H423.8L256 51.41L88.18 144H228.3C225.6 139.3 224 133.8 224 128V128zM64 224H112V384H176V224H224V384H288V224H336V384H400V224H448V384H456C469.3 384 480 394.7 480 408C480 421.3 469.3 432 456 432H64C50.75 432 40 421.3 40 408C40 394.7 50.75 384 64 384V224zM488 464C501.3 464 512 474.7 512 488C512 501.3 501.3 512 488 512H32C18.75 512 8 501.3 8 488C8 474.7 18.75 464 32 464H488z"],
    "building-flag": [640, 512, [], "e4d5", "M88 104C88 95.16 95.16 88 104 88H152C160.8 88 168 95.16 168 104V152C168 160.8 160.8 168 152 168H104C95.16 168 88 160.8 88 152V104zM280 88C288.8 88 296 95.16 296 104V152C296 160.8 288.8 168 280 168H232C223.2 168 216 160.8 216 152V104C216 95.16 223.2 88 232 88H280zM88 232C88 223.2 95.16 216 104 216H152C160.8 216 168 223.2 168 232V280C168 288.8 160.8 296 152 296H104C95.16 296 88 288.8 88 280V232zM280 216C288.8 216 296 223.2 296 232V280C296 288.8 288.8 296 280 296H232C223.2 296 216 288.8 216 280V232C216 223.2 223.2 216 232 216H280zM0 64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64zM48 64V448C48 456.8 55.16 464 64 464H144V400C144 373.5 165.5 352 192 352C218.5 352 240 373.5 240 400V464H320C328.8 464 336 456.8 336 448V64C336 55.16 328.8 48 320 48H64C55.16 48 48 55.16 48 64zM448 0C465.7 0 480 14.33 480 32H624C632.8 32 640 39.16 640 48V176C640 184.8 632.8 192 624 192H480V512H416V32C416 14.33 430.3 0 448 0z"],
    "building-lock": [576, 512, [], "e4d6", "M48 64V448C48 456.8 55.16 464 64 464H144V400C144 373.5 165.5 352 192 352C218.5 352 240 373.5 240 400V464H320V480C320 491.4 323 502.2 328.3 511.5C325.6 511.8 322.8 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V193.6C364.2 213.8 352 241.5 352 272V296.6C345.1 300 340.6 304.5 336 309.7V63.1C336 55.16 328.8 47.1 320 47.1H64C55.16 47.1 48 55.16 48 63.1V64zM88 104C88 95.16 95.16 88 104 88H152C160.8 88 168 95.16 168 104V152C168 160.8 160.8 168 152 168H104C95.16 168 88 160.8 88 152V104zM280 88C288.8 88 296 95.16 296 104V152C296 160.8 288.8 168 280 168H232C223.2 168 216 160.8 216 152V104C216 95.16 223.2 88 232 88H280zM88 232C88 223.2 95.16 216 104 216H152C160.8 216 168 223.2 168 232V280C168 288.8 160.8 296 152 296H104C95.16 296 88 288.8 88 280V232zM280 216C288.8 216 296 223.2 296 232V280C296 288.8 288.8 296 280 296H232C223.2 296 216 288.8 216 280V232C216 223.2 223.2 216 232 216H280zM464 192C508.2 192 544 227.8 544 272V320C561.7 320 576 334.3 576 352V480C576 497.7 561.7 512 544 512H384C366.3 512 352 497.7 352 480V352C352 334.3 366.3 320 384 320V272C384 227.8 419.8 192 464 192zM464 240C446.3 240 432 254.3 432 272V320H496V272C496 254.3 481.7 240 464 240z"],
    "building-ngo": [384, 512, [], "e4d7", "M2.016 48C9.121 20.4 34.18 0 64 0H320C349.8 0 374.9 20.4 381.1 48H2.016zM336 240H384V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V240H48V448C48 456.8 55.16 464 64 464H144V400C144 373.5 165.5 352 192 352C218.5 352 240 373.5 240 400V464H320C328.8 464 336 456.8 336 448V240zM216 80C224.8 80 232 87.16 232 96C232 104.8 224.8 112 216 112H184V176H200V160C200 151.2 207.2 144 216 144C224.8 144 232 151.2 232 160V184C232 197.3 221.3 208 208 208H176C162.7 208 152 197.3 152 184V96C152 87.16 159.2 80 168 80H216zM256 128C256 101.5 277.5 80 304 80C330.5 80 352 101.5 352 128V160C352 186.5 330.5 208 304 208C277.5 208 256 186.5 256 160V128zM304 112C295.2 112 288 119.2 288 128V160C288 168.8 295.2 176 304 176C312.8 176 320 168.8 320 160V128C320 119.2 312.8 112 304 112zM96 139.2V96C96 87.16 103.2 80 112 80C120.8 80 128 87.16 128 96V192C128 199.1 123.4 205.3 116.6 207.3C109.9 209.4 102.6 206.7 98.69 200.9L64 148.8V192C64 200.8 56.84 208 48 208C39.16 208 32 200.8 32 192V96C32 88.95 36.62 82.73 43.36 80.69C50.11 78.64 57.4 81.26 61.31 87.12L96 139.2zM88 264C88 255.2 95.16 248 104 248H152C160.8 248 168 255.2 168 264V312C168 320.8 160.8 328 152 328H104C95.16 328 88 320.8 88 312V264zM280 248C288.8 248 296 255.2 296 264V312C296 320.8 288.8 328 280 328H232C223.2 328 216 320.8 216 312V264C216 255.2 223.2 248 232 248H280z"],
    "building-shield": [576, 512, [], "e4d8", "M47.1 64V448C47.1 456.8 55.16 464 63.1 464H143.1V400C143.1 373.5 165.5 352 191.1 352C218.5 352 239.1 373.5 239.1 400V464H310.7C321.7 478.4 334.8 492.1 350.2 504.4C341.2 509.3 330.9 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V207L336 226.2V64C336 55.16 328.8 48 320 48H64C55.16 48 48 55.16 48 64H47.1zM296 232V242.2L291.2 244.2C269.1 252.6 256.1 273.2 256 295.1H231.1C223.2 295.1 215.1 288.8 215.1 279.1V231.1C215.1 223.2 223.2 215.1 231.1 215.1H279.1C288.8 215.1 296 223.2 296 231.1V232zM87.1 104C87.1 95.16 95.16 88 103.1 88H151.1C160.8 88 167.1 95.16 167.1 104V152C167.1 160.8 160.8 168 151.1 168H103.1C95.16 168 87.1 160.8 87.1 152V104zM279.1 88C288.8 88 296 95.16 296 104V152C296 160.8 288.8 168 279.1 168H231.1C223.2 168 215.1 160.8 215.1 152V104C215.1 95.16 223.2 88 231.1 88H279.1zM87.1 232C87.1 223.2 95.16 216 103.1 216H151.1C160.8 216 167.1 223.2 167.1 232V280C167.1 288.8 160.8 296 151.1 296H103.1C95.16 296 87.1 288.8 87.1 280V232zM423.1 225.7C428.8 223.4 435.2 223.4 440.9 225.7L560.9 273.7C570 277.4 576 286.2 576 296C576 359.3 550.1 464.8 441.2 510.2C435.3 512.6 428.7 512.6 422.8 510.2C313.9 464.8 288 359.3 288 296C288 286.2 293.1 277.4 303.1 273.7L423.1 225.7zM432 273.8V461.7C500.2 428.7 523.4 362.7 527.4 311.1L432 273.8z"],
    "building-un": [384, 512, [], "e4d9", "M152 248C160.8 248 168 255.2 168 264V312C168 320.8 160.8 328 152 328H104C95.16 328 88 320.8 88 312V264C88 255.2 95.16 248 104 248H152zM216 264C216 255.2 223.2 248 232 248H280C288.8 248 296 255.2 296 264V312C296 320.8 288.8 328 280 328H232C223.2 328 216 320.8 216 312V264zM272 139.2V96C272 87.16 279.2 80 288 80C296.8 80 304 87.16 304 96V192C304 199.1 299.4 205.3 292.6 207.3C285.9 209.4 278.6 206.7 274.7 200.9L240 148.8V192C240 200.8 232.8 208 224 208C215.2 208 208 200.8 208 192V96C208 88.95 212.6 82.73 219.4 80.69C226.1 78.64 233.4 81.26 237.3 87.12L272 139.2zM112 160C112 168.8 119.2 176 128 176C136.8 176 144 168.8 144 160V96C144 87.16 151.2 80 160 80C168.8 80 176 87.16 176 96V160C176 186.5 154.5 208 128 208C101.5 208 80 186.5 80 160V96C80 87.16 87.16 80 96 80C104.8 80 112 87.16 112 96V160zM0 64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64zM48 64V448C48 456.8 55.16 464 64 464H144V400C144 373.5 165.5 352 192 352C218.5 352 240 373.5 240 400V464H320C328.8 464 336 456.8 336 448V64C336 55.16 328.8 48 320 48H64C55.16 48 48 55.16 48 64z"],
    "building-user": [640, 512, [], "e4da", "M48 64V448C48 456.8 55.16 464 64 464H144V400C144 373.5 165.5 352 192 352C218.5 352 240 373.5 240 400V464H320C320.2 464 320.4 463.1 320.7 463.1C320.2 468.2 320 472.6 320 476.9C320 489.5 323.5 501.3 329.5 511.3C326.4 511.8 323.2 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V367.8C363.9 379 347.3 395.6 336 415.7V64C336 55.16 328.8 48 320 48H64C55.16 48 48 55.16 48 64V64zM88 104C88 95.16 95.16 88 104 88H152C160.8 88 168 95.16 168 104V152C168 160.8 160.8 168 152 168H104C95.16 168 88 160.8 88 152V104zM280 88C288.8 88 296 95.16 296 104V152C296 160.8 288.8 168 280 168H232C223.2 168 216 160.8 216 152V104C216 95.16 223.2 88 232 88H280zM88 232C88 223.2 95.16 216 104 216H152C160.8 216 168 223.2 168 232V280C168 288.8 160.8 296 152 296H104C95.16 296 88 288.8 88 280V232zM280 216C288.8 216 296 223.2 296 232V280C296 288.8 288.8 296 280 296H232C223.2 296 216 288.8 216 280V232C216 223.2 223.2 216 232 216H280zM576 272C576 316.2 540.2 352 496 352C451.8 352 416 316.2 416 272C416 227.8 451.8 192 496 192C540.2 192 576 227.8 576 272zM352 477.1C352 425.7 393.7 384 445.1 384H546.9C598.3 384 640 425.7 640 477.1C640 496.4 624.4 512 605.1 512H386.9C367.6 512 352 496.4 352 477.1V477.1z"],
    "building-wheat": [640, 512, [], "e4db", "M152 88C160.8 88 168 95.16 168 104V152C168 160.8 160.8 168 152 168H104C95.16 168 88 160.8 88 152V104C88 95.16 95.16 88 104 88H152zM216 104C216 95.16 223.2 88 232 88H280C288.8 88 296 95.16 296 104V152C296 160.8 288.8 168 280 168H232C223.2 168 216 160.8 216 152V104zM152 216C160.8 216 168 223.2 168 232V280C168 288.8 160.8 296 152 296H104C95.16 296 88 288.8 88 280V232C88 223.2 95.16 216 104 216H152zM216 232C216 223.2 223.2 216 232 216H280C288.8 216 296 223.2 296 232V280C296 288.8 288.8 296 280 296H232C223.2 296 216 288.8 216 280V232zM320 0C355.3 0 384 28.65 384 64V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H320zM320 48H64C55.16 48 48 55.16 48 64V448C48 456.8 55.16 464 64 464H144V400C144 373.5 165.5 352 192 352C218.5 352 240 373.5 240 400V464H320C328.8 464 336 456.8 336 448V64C336 55.16 328.8 48 320 48zM640 192V208C640 252.2 604.2 288 560 288H544V272C544 227.8 579.8 192 624 192H640zM560 400H544V384C544 339.8 579.8 304 624 304H640V320C640 364.2 604.2 400 560 400zM560 512H544V496C544 451.8 579.8 416 624 416H640V432C640 476.2 604.2 512 560 512zM512 496V512H496C451.8 512 416 476.2 416 432V416H432C476.2 416 512 451.8 512 496zM496 400C451.8 400 416 364.2 416 320V304H432C476.2 304 512 339.8 512 384V400H496zM512 272V288H496C451.8 288 416 252.2 416 208V192H432C476.2 192 512 227.8 512 272zM528 32C541.3 32 552 42.75 552 56V160C552 173.3 541.3 184 528 184C514.7 184 504 173.3 504 160V56C504 42.75 514.7 32 528 32zM624 128C624 141.3 613.3 152 600 152C586.7 152 576 141.3 576 128V96C576 82.75 586.7 72 600 72C613.3 72 624 82.75 624 96V128zM456 72C469.3 72 480 82.75 480 96V128C480 141.3 469.3 152 456 152C442.7 152 432 141.3 432 128V96C432 82.75 442.7 72 456 72z"],
    "buildings": [512, 512, [], "e0cc", "M336 304C336 295.2 343.2 288 352 288H384C392.8 288 400 295.2 400 304V336C400 344.8 392.8 352 384 352H352C343.2 352 336 344.8 336 336V304zM336 112C336 103.2 343.2 96 352 96H384C392.8 96 400 103.2 400 112V144C400 152.8 392.8 160 384 160H352C343.2 160 336 152.8 336 144V112zM352 256C343.2 256 336 248.8 336 240V208C336 199.2 343.2 192 352 192H384C392.8 192 400 199.2 400 208V240C400 248.8 392.8 256 384 256H352zM448 0C483.3 0 512 28.65 512 64V448C512 483.3 483.3 512 448 512H288C252.7 512 224 483.3 224 448V64C224 28.65 252.7 0 288 0H448zM448 48H288C279.2 48 272 55.16 272 64V448C272 456.8 279.2 464 288 464H448C456.8 464 464 456.8 464 448V64C464 55.16 456.8 48 448 48zM192 176H72C58.75 176 48 186.7 48 200V440C48 453.3 58.75 464 72 464H193.3C196.4 482.3 204.6 498.8 216.4 512H72C32.24 512 0 479.8 0 440V200C0 160.2 32.24 128 72 128H192V176zM144 320C152.8 320 160 327.2 160 336V368C160 376.8 152.8 384 144 384H112C103.2 384 96 376.8 96 368V336C96 327.2 103.2 320 112 320H144zM144 224C152.8 224 160 231.2 160 240V272C160 280.8 152.8 288 144 288H112C103.2 288 96 280.8 96 272V240C96 231.2 103.2 224 112 224H144z"],
    "bullhorn": [512, 512, [128363, 128226], "f0a1", "M200.7 128C270.7 128 337.9 100.2 387.4 50.68L425.4 12.69C445.5-7.472 480 6.805 480 35.31V179.6C498.6 188.4 512 212.1 512 240C512 267.9 498.6 291.6 480 300.4V444.7C480 473.2 445.5 487.5 425.4 467.3L387.4 429.3C339.6 381.5 275.4 353.1 208 352.1V456C208 486.9 182.9 512 152 512H120C89.07 512 64 486.9 64 456V352C28.65 352 0 323.3 0 288V192C0 156.7 28.65 128 64 128L200.7 128zM432 73.94L421.3 84.62C364.5 141.4 288.1 174 208 175.9V304.1C288.1 305.1 364.5 338.6 421.3 395.4L432 406.1V73.94zM112 456C112 460.4 115.6 464 120 464H152C156.4 464 160 460.4 160 456V352H112V456zM48 192V288C48 296.8 55.16 303.1 64 303.1H160V176H64C55.16 176 48 183.2 48 192V192z"],
    "bullseye": [512, 512, [], "f140", "M192 256C192 220.7 220.7 192 256 192C291.3 192 320 220.7 320 256C320 291.3 291.3 320 256 320C220.7 320 192 291.3 192 256zM256 272C264.8 272 272 264.8 272 256C272 247.2 264.8 240 256 240C247.2 240 240 247.2 240 256C240 264.8 247.2 272 256 272zM96 256C96 167.6 167.6 96 256 96C344.4 96 416 167.6 416 256C416 344.4 344.4 416 256 416C167.6 416 96 344.4 96 256zM256 368C317.9 368 368 317.9 368 256C368 194.1 317.9 144 256 144C194.1 144 144 194.1 144 256C144 317.9 194.1 368 256 368zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "bullseye-arrow": [512, 512, [127919], "f648", "M366.4 213.5L412.2 221.1C414.7 232.4 416 244 416 256C416 344.4 344.4 416 256 416C167.6 416 96 344.4 96 256C96 167.6 167.6 96 256 96C267.1 96 279.6 97.32 290.9 99.81L298.5 145.6L293.6 150.5C281.9 146.3 269.2 143.1 256 143.1C194.1 143.1 144 194.1 144 255.1C144 317.9 194.1 368 256 368C317.9 368 368 317.9 368 255.1C368 242.8 365.7 230.1 361.5 218.4L366.4 213.5zM497.7 171.5C506.1 197.1 512 226.4 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C285.6 0 314 5.024 340.5 14.27L301.7 53.04C286.1 49.74 271.7 48 256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 240.3 462.3 225 458.1 210.3L497.7 171.5zM272.1 272.1C263.6 282.3 248.4 282.3 239 272.1C229.7 263.6 229.7 248.4 239 239L331.2 146.9L322.7 96.24C321 86.05 324.3 75.66 331.6 68.36L382.8 17.16C390.1 9.035 404.7 11.86 409 22.53L432 79.1L489.5 102.1C500.1 107.3 502.1 121 494.8 129.2L443.6 180.4C436.3 187.7 425.9 190.1 415.8 189.3L365.1 180.8L272.1 272.1z"],
    "bullseye-pointer": [512, 512, [], "f649", "M256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48C141.1 48 48 141.1 48 256C48 261.5 48.21 266.9 48.63 272.3L1.754 286.1C.5958 276.2 0 266.2 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C245.8 512 235.8 511.4 225.9 510.2L239.7 463.4C245.1 463.8 250.5 464 256 464zM267.9 367.4C324.2 361.4 368 313.8 368 256C368 194.1 317.9 144 256 144C198.2 144 150.6 187.8 144.6 244.1L96.02 258.4C96.01 257.6 96 256.8 96 256C96 167.6 167.6 96 256 96C344.4 96 416 167.6 416 256C416 344.4 344.4 416 256 416C255.2 416 254.4 415.1 253.6 415.1L267.9 367.4zM39.01 308.5L243.9 248.3C256 244.7 267.3 255.1 263.7 268.1L203.5 472.1C199.4 486.9 180.3 488.6 173.8 475.6L145.2 418.3C144.5 416.1 143.6 415.7 142.6 414.6L54.63 502.6C42.13 515.1 21.87 515.1 9.373 502.6C-3.124 490.1-3.124 469.9 9.373 457.4L97.36 369.4C96.26 368.4 95.02 367.5 93.68 366.8L36.37 338.2C23.38 331.7 25.07 312.6 39.01 308.5V308.5z"],
    "burger": [512, 512, ["hamburger"], "f805", "M50.39 220.8C45.93 218.6 42.03 215.5 38.97 211.6C35.91 207.7 33.79 203.2 32.75 198.4C31.71 193.5 31.8 188.5 32.99 183.7C54.98 97.02 146.5 32 256 32C365.5 32 457 97.02 479 183.7C480.2 188.5 480.3 193.5 479.2 198.4C478.2 203.2 476.1 207.7 473 211.6C469.1 215.5 466.1 218.6 461.6 220.8C457.2 222.9 452.3 224 447.3 224H64.67C59.73 224 54.84 222.9 50.39 220.8zM86.4 176H425.6C413 149.5 393 127.3 368 112C368 116.2 366.3 120.3 363.3 123.3C360.3 126.3 356.2 128 352 128C347.8 128 343.7 126.3 340.7 123.3C337.7 120.3 336 116.2 336 112C336 109.3 336.7 106.7 338.1 104.4C339.4 102 341.3 100.1 343.6 98.72C320.4 88.44 295.5 82.41 270.2 80.9C271.3 83.09 271.1 85.52 272 88C272 92.24 270.3 96.31 267.3 99.31C264.3 102.3 260.2 104 256 104C251.8 104 247.7 102.3 244.7 99.31C241.7 96.31 240 92.24 240 88C240 85.52 240.7 83.09 241.8 80.9C216.5 82.41 191.6 88.44 168.4 98.72C170.7 100.1 172.6 102 173.9 104.4C175.3 106.7 175.1 109.3 176 112C176 116.2 174.3 120.3 171.3 123.3C168.3 126.3 164.2 128 160 128C155.8 128 151.7 126.3 148.7 123.3C145.7 120.3 144 116.2 144 112C118.1 127.3 98.95 149.5 86.4 176zM486.6 265.4C492.6 271.4 496 279.5 496 288C496 296.5 492.6 304.6 486.6 310.6C480.6 316.6 472.5 320 464 320H48C39.51 320 31.37 316.6 25.37 310.6C19.37 304.6 16 296.5 16 288C16 279.5 19.37 271.4 25.37 265.4C31.37 259.4 39.51 256 48 256H464C472.5 256 480.6 259.4 486.6 265.4zM475.3 356.7C478.3 359.7 480 363.8 480 368V384C480 409.5 469.9 433.9 451.9 451.9C433.9 469.9 409.5 480 384 480H128C102.5 480 78.12 469.9 60.12 451.9C42.11 433.9 32 409.5 32 384V368C32 363.8 33.69 359.7 36.69 356.7C39.69 353.7 43.76 352 48 352H464C468.2 352 472.3 353.7 475.3 356.7zM411.7 423.2C419.8 417.5 425.9 409.4 429.2 400H82.75C86.06 409.4 92.19 417.5 100.3 423.2C108.4 428.9 118.1 432 128 432H384C393.9 432 403.6 428.9 411.7 423.2z"],
    "burger-cheese": [512, 512, [127828, "cheeseburger"], "f7f1", "M50.39 220.8C45.93 218.6 42.03 215.5 38.97 211.6C35.91 207.7 33.79 203.2 32.75 198.4C31.71 193.5 31.8 188.5 32.99 183.7C54.98 97.02 146.5 32 256 32C365.5 32 457 97.02 479 183.7C480.2 188.5 480.3 193.5 479.2 198.4C478.2 203.2 476.1 207.7 473 211.6C469.1 215.5 466.1 218.6 461.6 220.8C457.2 222.9 452.3 224 447.3 224H64.67C59.73 224 54.84 222.9 50.39 220.8zM86.4 176H425.6C413 149.5 393 127.3 368 112C368 116.2 366.3 120.3 363.3 123.3C360.3 126.3 356.2 128 352 128C347.8 128 343.7 126.3 340.7 123.3C337.7 120.3 336 116.2 336 112C336 109.3 336.7 106.7 338.1 104.4C339.4 102 341.3 100.1 343.6 98.72C320.4 88.44 295.5 82.41 270.2 80.9C271.3 83.09 271.1 85.52 272 88C272 92.24 270.3 96.31 267.3 99.31C264.3 102.3 260.2 104 256 104C251.8 104 247.7 102.3 244.7 99.31C241.7 96.31 240 92.24 240 88C240 85.52 240.7 83.09 241.8 80.9C216.5 82.41 191.6 88.44 168.4 98.72C170.7 100.1 172.6 102 173.9 104.4C175.3 106.7 175.1 109.3 176 112C176 116.2 174.3 120.3 171.3 123.3C168.3 126.3 164.2 128 160 128C155.8 128 151.7 126.3 148.7 123.3C145.7 120.3 144 116.2 144 112C118.1 127.3 98.95 149.5 86.4 176zM486.6 265.4C492.6 271.4 496 279.5 496 288C496 296.5 492.6 304.6 486.6 310.6C480.6 316.6 472.5 320 464 320H48C39.51 320 31.37 316.6 25.37 310.6C19.37 304.6 16 296.5 16 288C16 279.5 19.37 271.4 25.37 265.4C31.37 259.4 39.51 256 48 256H240L336 301.2L432 256H464C472.5 256 480.6 259.4 486.6 265.4zM475.3 356.7C478.3 359.7 480 363.8 480 368V384C480 409.5 469.9 433.9 451.9 451.9C433.9 469.9 409.5 480 384 480H128C102.5 480 78.12 469.9 60.12 451.9C42.11 433.9 32 409.5 32 384V368C32 363.8 33.69 359.7 36.69 356.7C39.69 353.7 43.76 352 48 352H464C468.2 352 472.3 353.7 475.3 356.7zM411.7 423.2C419.8 417.5 425.9 409.4 429.2 400H82.75C86.06 409.4 92.19 417.5 100.3 423.2C108.4 428.9 118.1 432 128 432H384C393.9 432 403.6 428.9 411.7 423.2z"],
    "burger-fries": [640, 512, [], "e0cd", "M238.3 463.1C244.2 482.2 254.6 498.7 268.4 511.1H85.73C78.44 512 71.36 509.6 65.67 505C59.97 500.5 55.1 494.1 54.4 487L.3847 243.5C-.1378 241.1-.1279 238.7 .4135 236.4C.9553 234 2.015 231.9 3.514 229.1C5.013 228.1 6.914 226.6 9.075 225.6C11.24 224.5 13.6 223.1 16 223.1H49.98C53.39 223.8 56.75 224.8 59.52 226.8C62.29 228.8 64.31 231.7 65.25 234.1C73.89 273.1 127.4 303.1 192 303.1C205.8 303.1 219.7 302.5 233.2 299.5C231.5 312.4 232.2 325.4 235.3 337.9C233.3 341.5 231.6 345.2 230.2 349.1C217.5 350.1 204.8 351.1 192 351.1C146.8 353.2 102.4 339.9 65.25 314.1L98.5 463.1H238.3zM101.1 237.7L64.29 40.61C63.73 37.67 64.01 34.63 65.09 31.84C66.17 29.06 68.01 26.63 70.4 24.83L98.88 3.197C101.1 1.553 103.6 .4938 106.3 .1197C109-.2544 111.8 .0695 114.3 1.061C116.9 2.052 119.1 3.677 120.9 5.781C122.6 7.886 123.8 10.4 124.3 13.09L128 33.09V258.5C117.4 253.9 108.2 246.8 101.1 237.7H101.1zM16.51 191.1L.2567 98.72C-.1961 96.03 .0433 93.28 .9518 90.71C1.86 88.15 3.408 85.86 5.448 84.06C7.489 82.26 9.955 81.01 12.61 80.43C15.27 79.84 18.03 79.95 20.64 80.73L40.38 86.59L60.38 193.8C57 192.8 53.53 192.2 50.02 191.1H16.51zM160 268.8V15.1C160 13.28 160.7 10.6 162 8.228C163.4 5.853 165.3 3.857 167.6 2.429C169.9 .9997 172.6 .1853 175.3 .0624C177.1-.0604 180.7 .5117 183.1 1.725L215.1 17.73C217.8 19.02 220.1 21.05 221.6 23.58C223.2 26.11 224 29.02 224 31.1V268.8C202.9 273.2 181.1 273.2 160 268.8zM371.2 171.5C356.4 175.8 342 181.5 328.2 188.3L346.1 85.92L363.4 80.8C365.1 80.02 368.8 79.92 371.4 80.5C374.1 81.09 376.5 82.34 378.6 84.14C380.6 85.94 382.1 88.23 383 90.79C383.1 93.35 384.2 96.1 383.7 98.78L371.2 171.5zM256 245.9V51.2C256.9 49.3 258.2 47.59 259.7 46.19C261.3 44.79 263.1 43.72 265.1 43.04L299.4 32.8C301.1 32.02 304.8 31.92 307.4 32.5C310.1 33.09 312.5 34.34 314.6 36.14C316.6 37.94 318.1 40.23 319 42.79C319.1 45.35 320.2 48.1 319.7 50.78L291.8 210.8C278.4 220.9 266.3 232.7 256 245.9H256zM436.7 259.3C433.7 256.3 432 252.2 432 247.1C432 244.8 432.9 241.7 434.7 239.1C436.5 236.5 438.1 234.4 441.9 233.2C444.8 232 448 231.7 451.1 232.3C454.2 232.9 457.1 234.4 459.3 236.7C461.6 238.9 463.1 241.8 463.7 244.9C464.3 247.1 463.1 251.2 462.8 254.1C461.6 257 459.5 259.5 456.9 261.3C454.3 263.1 451.2 263.1 448 263.1C443.8 263.1 439.7 262.3 436.7 259.3zM516.7 275.3C513.7 272.3 512 268.2 512 263.1C512 260.8 512.9 257.7 514.7 255.1C516.5 252.5 518.1 250.4 521.9 249.2C524.8 248 528 247.7 531.1 248.3C534.2 248.9 537.1 250.4 539.3 252.7C541.6 254.9 543.1 257.8 543.7 260.9C544.3 263.1 543.1 267.2 542.8 270.1C541.6 273 539.5 275.5 536.9 277.3C534.3 279.1 531.2 279.1 528 279.1C523.8 279.1 519.7 278.3 516.7 275.3H516.7zM356.7 275.3C353.7 272.3 352 268.2 352 263.1C352 260.8 352.9 257.7 354.7 255.1C356.5 252.5 358.1 250.4 361.9 249.2C364.8 248 368 247.7 371.1 248.3C374.2 248.9 377.1 250.4 379.3 252.7C381.6 254.9 383.1 257.8 383.7 260.9C384.3 263.1 383.1 267.2 382.8 270.1C381.6 273 379.5 275.5 376.9 277.3C374.3 279.1 371.2 279.1 368 279.1C363.8 279.1 359.7 278.3 356.7 275.3zM636.7 391.8C634.5 396.7 631.3 401.2 627.4 404.9C630.4 412.2 631.1 420.1 632 427.1C631.1 450.3 623.1 471.6 607.4 487.4C591.6 503.1 570.3 511.1 548 511.1H348C325.7 511.1 304.4 503.1 288.6 487.4C272.9 471.6 264 450.3 264 427.1C264 420.1 265.6 412.2 268.6 404.9C264.4 400.1 261 396.2 258.9 390.8C256.7 385.5 255.7 379.7 256.1 373.1C256.4 368.2 257.1 362.6 260.7 357.6C263.5 352.5 267.3 348.1 272 344.7C265.1 333.1 263.3 319.1 264.2 306.9C265.1 293.8 269.6 281.2 277.1 270.5C297.6 245.1 323.7 224.8 353.4 211.2C382.1 197.6 415.4 191 448 191.1C480.6 190.1 513 197.6 542.7 211.2C572.3 224.8 598.4 245.1 618.9 270.5C626.4 281.2 630.9 293.8 631.8 306.9C632.7 319.1 630 333.1 624 344.7C628.9 348.4 632.9 353.1 635.7 358.5C638.4 363.9 639.9 369.9 640 375.1C640 381.4 638.9 386.8 636.7 391.8H636.7zM316.4 297.1C313.8 301.6 312.3 305.8 311.1 310.2C311.7 314.6 312.6 319 314.6 322.1C316.6 326.9 319.7 330.2 323.5 332.5C327.2 334.8 331.6 336 336 335.1H559.9C564.3 336 568.6 334.8 572.4 332.5C576.2 330.2 579.3 326.9 581.3 323C583.3 319.1 584.2 314.7 583.9 310.3C583.6 305.9 582.2 301.6 579.6 297.1C563.6 278.9 543.4 263.8 520.5 253.7C497.7 243.7 472.9 238.1 448 239.1C423.1 238.1 398.3 243.7 375.5 253.7C352.7 263.8 332.5 278.9 316.5 297.1H316.4zM573.5 453.5C580.2 446.7 584 437.5 584 427.1C584 424.8 582.7 421.8 580.5 419.5C578.2 417.3 575.2 415.1 572 415.1H324C320.8 415.1 317.8 417.3 315.5 419.5C313.3 421.8 312 424.8 312 427.1C312 437.5 315.8 446.7 322.5 453.5C329.3 460.2 338.5 463.1 348 463.1H548C557.5 463.1 566.7 460.2 573.5 453.5z"],
    "burger-glass": [640, 512, [], "e0ce", "M238.3 464C244.1 481.1 254.2 498.2 267.7 511.4C265.7 511.7 263.6 511.9 261.5 512H96.67C80.52 512 64.95 505.1 53.08 495C41.21 484.1 33.92 469 32.67 452.9L.0012 34.46C-.3389 30.06 .2368 25.63 1.692 21.46C3.147 17.29 5.45 13.46 8.456 10.23C11.46 6.989 15.11 4.409 19.16 2.649C23.21 .8888 27.58-.013 32 .0001H320C324.4-.0082 328.7 .8805 332.7 2.611C336.7 4.342 340.4 6.878 343.4 10.06C346.4 13.25 348.7 17.01 350.2 21.13C351.6 25.24 352.3 29.62 352 33.98L342.8 181.6C325.1 189.1 308.3 198.6 292.9 210V208H61.76L80.51 449.2C80.88 453.3 82.76 457 85.77 459.8C88.77 462.5 92.7 464 96.77 464H238.3zM58.02 160H295.9L302.1 48H49.31L58.02 160zM516.7 275.3C513.7 272.3 512 268.2 512 264C512 260.8 512.9 257.7 514.7 255.1C516.5 252.5 518.1 250.4 521.9 249.2C524.8 248 528 247.7 531.1 248.3C534.2 248.9 537.1 250.4 539.3 252.7C541.6 254.9 543.1 257.8 543.7 260.9C544.3 263.1 543.1 267.2 542.8 270.1C541.6 273 539.5 275.5 536.9 277.3C534.3 279.1 531.2 280 528 280C523.8 280 519.7 278.3 516.7 275.3H516.7zM636.7 391.8C634.5 396.7 631.3 401.2 627.4 404.9C630.4 412.2 631.1 420.1 632 428C631.1 450.3 623.1 471.6 607.4 487.4C591.6 503.1 570.3 511.1 548 512H348C325.7 511.1 304.4 503.1 288.6 487.4C272.9 471.6 264 450.3 264 428C264 420.1 265.6 412.2 268.6 404.9C264.4 400.1 261 396.2 258.9 390.8C256.7 385.5 255.7 379.8 256.1 373.1C256.4 368.2 257.1 362.6 260.7 357.6C263.5 352.5 267.3 348.1 272 344.7C265.1 333.1 263.3 319.1 264.2 306.9C265.1 293.8 269.6 281.2 277.1 270.5C297.6 245.1 323.7 224.8 353.4 211.2C382.1 197.6 415.4 191 448 192C480.6 190.1 513 197.6 542.7 211.2C572.3 224.8 598.4 245.1 618.9 270.5C626.4 281.2 630.9 293.8 631.8 306.9C632.7 319.1 630 333.1 624 344.7C628.9 348.4 632.9 353.1 635.7 358.5C638.4 363.9 639.9 369.9 640 376C640 381.4 638.9 386.8 636.7 391.8H636.7zM316.4 297.1C313.8 301.6 312.3 305.8 311.1 310.2C311.7 314.6 312.6 319 314.6 322.1C316.6 326.9 319.7 330.2 323.5 332.5C327.2 334.8 331.6 336 336 336H559.9C564.3 336 568.6 334.8 572.4 332.5C576.2 330.2 579.3 326.9 581.3 323C583.3 319.1 584.2 314.7 583.9 310.3C583.6 305.9 582.2 301.6 579.6 297.1C563.6 278.9 543.4 263.8 520.5 253.7C497.7 243.7 472.9 238.1 448 240C423.1 238.1 398.3 243.7 375.5 253.7C352.7 263.8 332.5 278.9 316.5 297.1L316.4 297.1zM573.5 453.5C580.2 446.7 584 437.5 584 428C584 424.8 582.7 421.8 580.5 419.5C578.2 417.3 575.2 416 572 416H324C320.8 416 317.8 417.3 315.5 419.5C313.3 421.8 312 424.8 312 428C312 437.5 315.8 446.7 322.5 453.5C329.3 460.2 338.5 464 348 464H548C557.5 464 566.7 460.2 573.5 453.5zM436.7 259.3C433.7 256.3 432 252.2 432 248C432 244.8 432.9 241.7 434.7 239.1C436.5 236.5 438.1 234.4 441.9 233.2C444.8 232 448 231.7 451.1 232.3C454.2 232.9 457.1 234.4 459.3 236.7C461.6 238.9 463.1 241.8 463.7 244.9C464.3 247.1 463.1 251.2 462.8 254.1C461.6 257 459.5 259.5 456.9 261.3C454.3 263.1 451.2 264 448 264C443.8 264 439.7 262.3 436.7 259.3zM356.7 275.3C353.7 272.3 352 268.2 352 264C352 260.8 352.9 257.7 354.7 255.1C356.5 252.5 358.1 250.4 361.9 249.2C364.8 248 368 247.7 371.1 248.3C374.2 248.9 377.1 250.4 379.3 252.7C381.6 254.9 383.1 257.8 383.7 260.9C384.3 263.1 383.1 267.2 382.8 270.1C381.6 273 379.5 275.5 376.9 277.3C374.3 279.1 371.2 280 368 280C363.8 280 359.7 278.3 356.7 275.3z"],
    "burger-lettuce": [512, 512, [], "e3e3", "M511.1 285.6C511.5 291.9 508.6 297.9 503.8 302C486.1 318.1 464.8 327.3 441.6 328C418.4 327.3 396.2 318.1 379.4 302C375.6 297.6 370.9 294.1 365.6 291.7C360.3 289.2 354.6 287.1 348.8 287.1C342.1 287.1 337.2 289.2 331.1 291.7C326.7 294.1 321.1 297.6 318.2 302C310.1 310.3 300.4 316.8 289.7 321.3C279 325.7 267.6 328 256 328C244.4 328 232.1 325.7 222.3 321.3C211.6 316.8 201.9 310.3 193.8 302C190 297.6 185.3 294.1 180 291.7C174.8 289.2 169 287.1 163.2 287.1C157.4 287.1 151.7 289.2 146.4 291.7C141.1 294.1 136.4 297.6 132.6 302C124.5 310.3 114.8 316.8 104.1 321.3C93.45 325.7 81.99 328 70.42 328C58.84 328 47.38 325.7 36.7 321.3C26.02 316.8 16.33 310.3 8.193 302C5.73 299.1 3.702 297.5 2.228 294.6C.7551 291.8-.1342 288.7-.3863 285.5C-.6388 282.3-.249 279.1 .7593 276C1.768 272.1 3.375 270.2 5.485 267.8C7.596 265.4 10.17 263.4 13.05 262C15.93 260.6 19.06 259.8 22.26 259.6C25.46 259.5 28.66 259.9 31.67 261C34.69 262.1 37.45 263.8 39.81 265.1C43.59 270.4 48.28 273.9 53.56 276.3C58.85 278.8 64.59 280 70.4 280C76.21 280 81.96 278.8 87.24 276.3C92.52 273.9 97.21 270.4 100.1 265.1C109.1 257.7 118.8 251.2 129.5 246.7C140.2 242.3 151.6 239.1 163.2 239.1C174.8 239.1 186.2 242.3 196.9 246.7C207.6 251.2 217.3 257.7 225.4 265.1C229.2 270.4 233.9 273.9 239.2 276.3C244.4 278.8 250.2 280 256 280C261.8 280 267.6 278.8 272.8 276.3C278.1 273.9 282.8 270.4 286.6 265.1C294.7 257.7 304.4 251.2 315.1 246.7C325.8 242.3 337.2 239.1 348.8 239.1C360.4 239.1 371.8 242.3 382.5 246.7C393.2 251.2 402.9 257.7 411 265.1C414.8 270.4 419.5 273.9 424.8 276.3C430 278.8 435.8 280 441.6 280C447.4 280 453.2 278.8 458.4 276.3C463.7 273.9 468.4 270.4 472.2 265.1C474.6 263.9 477.3 262.3 480.3 261.3C483.3 260.3 486.5 259.8 489.6 260C492.7 260.3 495.8 261.1 498.7 262.5C501.5 263.9 504 265.8 506.1 268.2C510.3 272.1 512.4 279.2 511.1 285.6L511.1 285.6zM50.39 220.8C45.93 218.6 42.03 215.5 38.97 211.6C35.92 207.7 33.79 203.2 32.75 198.4C31.72 193.5 31.8 188.5 32.99 183.7C54.98 97.02 146.5 32 256 32C365.5 32 457 97.02 479 183.7C480.2 188.5 480.3 193.5 479.3 198.4C478.2 203.2 476.1 207.7 473 211.6C469.1 215.5 466.1 218.6 461.6 220.8C457.2 222.9 452.3 224 447.3 224H64.67C59.73 224 54.84 222.9 50.39 220.8zM86.4 176H425.6C413 149.5 393 127.3 368 112C368 116.2 366.3 120.3 363.3 123.3C360.3 126.3 356.2 128 352 128C347.8 128 343.7 126.3 340.7 123.3C337.7 120.3 336 116.2 336 112C336 109.3 336.7 106.7 338.1 104.4C339.4 102 341.3 100.1 343.6 98.72C320.4 88.44 295.5 82.41 270.2 80.9C271.3 83.09 271.1 85.52 272 88C272 92.24 270.3 96.31 267.3 99.31C264.3 102.3 260.2 104 256 104C251.8 104 247.7 102.3 244.7 99.31C241.7 96.31 240 92.24 240 88C240 85.52 240.7 83.09 241.8 80.9C216.5 82.41 191.6 88.44 168.4 98.72C170.7 100.1 172.6 102 173.9 104.4C175.3 106.7 175.1 109.3 176 112C176 116.2 174.3 120.3 171.3 123.3C168.3 126.3 164.2 128 160 128C155.8 128 151.7 126.3 148.7 123.3C145.7 120.3 144 116.2 144 112C118.1 127.3 98.95 149.5 86.4 176zM475.3 356.7C478.3 359.7 480 363.8 480 368V384C480 409.5 469.9 433.9 451.9 451.9C433.9 469.9 409.5 480 384 480H128C102.5 480 78.12 469.9 60.12 451.9C42.12 433.9 32 409.5 32 384V368C32 363.8 33.69 359.7 36.69 356.7C39.69 353.7 43.76 352 48 352H464C468.2 352 472.3 353.7 475.3 356.7zM411.7 423.2C419.8 417.5 425.9 409.4 429.2 400H82.75C86.06 409.4 92.19 417.5 100.3 423.2C108.4 428.9 118.1 432 128 432H384C393.9 432 403.6 428.9 411.7 423.2z"],
    "burger-soda": [640, 512, [], "f858", "M238.3 464C244.2 482.2 254.6 498.7 268.4 512H96C87.89 512 80.07 508.1 74.13 503.4C68.19 497.9 64.57 490.3 64 482.2L33.6 176H24C17.63 176 11.53 173.5 7.029 168.1C2.529 164.5 0 158.4 0 152C0 145.6 2.529 139.5 7.029 135C11.53 130.5 17.63 128 24 128H157.2L181.8 30.24C183.9 21.6 188.9 13.93 195.9 8.452C202.1 2.972 211.6-.0026 220.5 0H264C270.4 0 276.5 2.529 280.1 7.029C285.5 11.53 288 17.63 288 24C288 30.37 285.5 36.47 280.1 40.97C276.5 45.47 270.4 48 264 48H226.8L206.8 128H328.1C334.5 128 340.6 130.5 345.1 135C349.6 139.5 352.1 145.6 352.1 152C352.1 158.4 349.6 164.5 345.1 168.1C340.6 173.5 334.5 176 328.1 176H81.7L110.5 464H238.3zM516.7 275.3C513.7 272.3 512 268.2 512 264C512 260.8 512.9 257.7 514.7 255.1C516.5 252.5 518.1 250.4 521.9 249.2C524.8 248 528 247.7 531.1 248.3C534.2 248.9 537.1 250.4 539.3 252.7C541.6 254.9 543.1 257.8 543.7 260.9C544.3 263.1 543.1 267.2 542.8 270.1C541.6 273 539.5 275.5 536.9 277.3C534.3 279.1 531.2 280 528 280C523.8 280 519.7 278.3 516.7 275.3H516.7zM436.7 259.3C433.7 256.3 432 252.2 432 248C432 244.8 432.9 241.7 434.7 239.1C436.5 236.5 438.1 234.4 441.9 233.2C444.8 232 448 231.7 451.1 232.3C454.2 232.9 457.1 234.4 459.3 236.7C461.6 238.9 463.1 241.8 463.7 244.9C464.3 247.1 463.1 251.2 462.8 254.1C461.6 257 459.5 259.5 456.9 261.3C454.3 263.1 451.2 264 448 264C443.8 264 439.7 262.3 436.7 259.3zM356.7 275.3C353.7 272.3 352 268.2 352 264C352 260.8 352.9 257.7 354.7 255.1C356.5 252.5 358.1 250.4 361.9 249.2C364.8 248 368 247.7 371.1 248.3C374.2 248.9 377.1 250.4 379.3 252.7C381.6 254.9 383.1 257.8 383.7 260.9C384.3 263.1 383.1 267.2 382.8 270.1C381.6 273 379.5 275.5 376.9 277.3C374.3 279.1 371.2 280 368 280C363.8 280 359.7 278.3 356.7 275.3zM636.7 391.8C634.5 396.7 631.3 401.2 627.4 404.9C630.4 412.2 631.1 420.1 632 428C631.1 450.3 623.1 471.6 607.4 487.4C591.6 503.1 570.3 511.1 548 512H348C325.8 511.9 304.4 503.1 288.7 487.3C272.1 471.6 264.2 450.2 264.2 428C264.2 420.1 265.8 412.2 268.8 404.9C264.5 400.1 261.2 396.2 259 390.9C256.8 385.5 255.8 379.8 256.1 374C256.4 368.3 258 362.7 260.8 357.6C263.5 352.5 267.3 348.1 271.1 344.7C265.1 333.1 263.3 319.1 264.2 306.9C265.1 293.8 269.6 281.2 277.1 270.5C297.6 245.1 323.7 224.8 353.4 211.2C382.1 197.6 415.4 191 448 192C480.6 190.1 513 197.6 542.7 211.2C572.3 224.8 598.4 245.1 618.9 270.5C626.4 281.2 630.9 293.8 631.8 306.9C632.7 319.1 630 333.1 624 344.7C628.9 348.4 632.9 353.1 635.7 358.5C638.4 363.9 639.9 369.9 640 376C640 381.4 638.9 386.8 636.7 391.8H636.7zM316.4 297.1C313.8 301.6 312.3 305.8 311.1 310.2C311.7 314.6 312.6 319 314.6 322.1C316.6 326.9 319.7 330.2 323.5 332.5C327.2 334.8 331.6 336 336 336H559.9C564.3 336 568.6 334.8 572.4 332.5C576.2 330.2 579.3 326.9 581.3 323C583.3 319.1 584.2 314.7 583.9 310.3C583.6 305.9 582.2 301.6 579.6 297.1C563.6 278.9 543.4 263.8 520.5 253.7C497.7 243.7 472.9 238.1 448 240C423.1 238.1 398.3 243.7 375.5 253.7C352.7 263.8 332.5 278.9 316.5 297.1H316.4zM573.5 453.5C580.2 446.7 584 437.5 584 428C584 424.8 582.7 421.8 580.5 419.5C578.2 417.3 575.2 416 572 416H324C320.8 416 317.8 417.3 315.5 419.5C313.3 421.8 312 424.8 312 428C312 437.5 315.8 446.7 322.5 453.5C329.3 460.2 338.5 464 348 464H548C557.5 464 566.7 460.2 573.5 453.5z"],
    "burrito": [512, 512, [127791], "f7ed", "M511.1 123c0-32.5-21.25-61.13-52.25-70.76c-6.25-20.38-21.05-37-40.55-45.75c-19.5-8.75-41.75-8.625-61.13 .25c-40.75-17.88-88.22 .7671-105.1 41.52L33.94 266.6c-45.25 45.25-45.25 118.8 0 164l47.5 47.5c45.25 45.25 118.7 45.25 163.9-.0011l218.3-218.1c40.75-17.75 59.39-65.26 41.52-106C509.7 144.3 511.1 133.7 511.1 123zM163.4 464.1c-18 0-35.38-7.125-48-19.88l-47.63-47.63c-8.125-8.25-14-18.38-17-29.63c19.75 6 40.38 9 61.13 9.125c92.13 0 170.8-58.13 201.8-139.5c32.88-7.5 67.13-5 98.63 6.875l-200.8 200.8C198.8 456.9 181.6 464.1 163.4 464.1zM268.3 99.92c7.625 19.13 11.5 39.5 11.63 60.13c0 92.63-75.38 168-168 168c-19.25-.125-38.38-3.5-56.5-10.13c3.25-6.375 7.375-12.38 12.38-17.5L268.3 99.92z"],
    "burst": [512, 512, [], "e4dc", "M200.9 116.2L233.2 16.6C236.4 6.706 245.6 .001 256 .001C266.4 .001 275.6 6.706 278.8 16.6L313.3 123.1L383.8 97.45C392.6 94.26 402.4 96.43 408.1 103C415.6 109.6 417.7 119.4 414.6 128.2L388.9 198.7L495.4 233.2C505.3 236.4 512 245.6 512 256C512 266.4 505.3 275.6 495.4 278.8L392.3 312.2L445.2 412.8C450.1 422.1 448.4 433.5 440.1 440.1C433.5 448.4 422.1 450.1 412.8 445.2L312.2 392.3L278.8 495.4C275.6 505.3 266.4 512 256 512C245.6 512 236.4 505.3 233.2 495.4L199.8 392.3L99.17 445.2C89.87 450.1 78.46 448.4 71.03 440.1C63.6 433.5 61.87 422.1 66.76 412.8L119.7 312.2L16.6 278.8C6.705 275.6 .0003 266.4 .0003 256C.0003 245.6 6.705 236.4 16.6 233.2L116.2 200.9L4.208 37.57C-2.33 28.04-1.143 15.2 7.03 7.03C15.2-1.144 28.04-2.33 37.57 4.208L200.9 116.2zM161.7 216.4C156.8 230.7 145.4 241.9 131 246.6L101.9 256L134.5 266.6C147.9 270.9 158.8 281 164.1 294.1C169.5 307.2 168.7 322 162.2 334.6L145.2 366.8L177.4 349.8C189.1 343.3 204.8 342.5 217.9 347.9C230.1 353.2 241.1 364.1 245.4 377.5L256 410.1L266.6 377.5C270.9 364.1 281 353.2 294.1 347.9C307.2 342.5 322 343.3 334.6 349.8L366.8 366.8L349.8 334.6C343.3 322 342.5 307.2 347.9 294.1C353.2 281 364.1 270.9 377.5 266.6L410.1 256L374.1 244.3C361.7 240.3 351.5 231.4 345.8 219.7C340 208 339.3 194.5 343.8 182.2L351.8 160.2L329.8 168.2C317.5 172.7 303.1 171.1 292.3 166.3C280.6 160.5 271.7 150.3 267.7 137.9L256 101.9L246.6 131C241.9 145.4 230.7 156.8 216.4 161.7C202 166.5 186.2 164.4 173.8 155.8L116.6 116.6L155.8 173.8C164.4 186.2 166.5 202 161.7 216.4L161.7 216.4z"],
    "bus": [576, 512, [128653], "f207", "M144 336C144 318.3 158.3 304 176 304C193.7 304 208 318.3 208 336C208 353.7 193.7 368 176 368C158.3 368 144 353.7 144 336zM368 336C368 318.3 382.3 304 400 304C417.7 304 432 318.3 432 336C432 353.7 417.7 368 400 368C382.3 368 368 353.7 368 336zM74.2 70.03C99.86 38.75 167.8 0 288 0C416.6 0 478 38.63 502.4 70.55C509.9 80.32 512 91.48 512 100.4V128C529.7 128 544 142.3 544 160V224C544 241.7 529.7 256 512 256V376C512 400.1 499.3 422.1 480 435.9V488C480 501.3 469.3 512 456 512C442.7 512 432 501.3 432 488V448H144V488C144 501.3 133.3 512 120 512C106.7 512 96 501.3 96 488V435.9C76.7 422.1 64 400.1 64 376V256C46.33 256 32 241.7 32 224V160C32 142.3 46.33 128 64 128V100.4C64 91.58 66.05 79.97 74.2 70.03zM363.7 96H461.2C445.4 78.89 399.2 48 288 48C185.8 48 133.8 78.27 115.5 96H212.3C217.8 86.44 228.2 80 240 80H336C347.8 80 358.2 86.44 363.7 96zM464 144H312V224H464V144zM112 224H264V144H112V224zM112 272V376C112 389.3 122.7 400 136 400H440C453.3 400 464 389.3 464 376V272H112z"],
    "bus-school": [512, 512, [], "f5dd", "M176 336C176 353.7 161.7 368 144 368C126.3 368 112 353.7 112 336C112 318.3 126.3 304 144 304C161.7 304 176 318.3 176 336zM400 336C400 353.7 385.7 368 368 368C350.3 368 336 353.7 336 336C336 318.3 350.3 304 368 304C385.7 304 400 318.3 400 336zM464 94.98V128H480C497.7 128 512 142.3 512 160V224C512 241.7 497.7 256 480 256H467C484.1 274.7 496 300.1 496 328V384C496 413.8 475.6 438.9 448 445.1V488C448 501.3 437.3 512 424 512C410.7 512 400 501.3 400 488V448H112V488C112 501.3 101.3 512 88 512C74.75 512 64 501.3 64 488V445.1C36.4 438.9 16 413.8 16 384V328C16 300.1 27.02 274.7 44.95 256H32C14.33 256 0 241.7 0 224V160C0 142.3 14.33 128 32 128H48V94.98C48 86.18 50.01 74.43 58.41 64.42C82.89 35.23 145.9 0 256 0C373.7 0 430.9 35.09 454.3 64.96C461.1 74.8 464 86.1 464 94.98zM96 96H180.3C185.8 86.44 196.2 80 208 80H304C315.8 80 326.2 86.44 331.7 96H416V94.98C416 94.54 415.1 94.19 415.9 93.93L415.9 93.87C404.2 79.44 363.5 48 255.1 48C156.9 48 109.6 79.11 96.02 94.3C96.01 94.48 95.1 94.71 95.1 94.98L96 96zM96 144V226.8C103.7 224.1 111.7 224 120 224H232V144H96zM416 144H280V224H392C400.3 224 408.3 224.1 416 226.8V144zM120 272C89.07 272 64 297.1 64 328V384C64 392.8 71.16 400 80 400H432C440.8 400 448 392.8 448 384V328C448 297.1 422.9 272 392 272H120z"],
    "bus-simple": [448, 512, ["bus-alt"], "f55e", "M80 336C80 318.3 94.33 304 112 304C129.7 304 144 318.3 144 336C144 353.7 129.7 368 112 368C94.33 368 80 353.7 80 336zM304 336C304 318.3 318.3 304 336 304C353.7 304 368 318.3 368 336C368 353.7 353.7 368 336 368C318.3 368 304 353.7 304 336zM10.2 70.03C35.86 38.75 103.8 0 224 0C352.6 0 414 38.63 438.4 70.55C445.9 80.32 448 91.48 448 100.4V376C448 400.1 435.3 422.1 416 435.9V488C416 501.3 405.3 512 392 512C378.7 512 368 501.3 368 488V448H80V488C80 501.3 69.25 512 56 512C42.75 512 32 501.3 32 488V435.9C12.7 422.1 0 400.1 0 376V100.4C0 91.58 2.045 79.97 10.2 70.03V70.03zM51.47 96H397.2C381.4 78.89 335.2 48 224 48C121.8 48 69.82 78.27 51.47 96zM400 144H48V224H400V144zM400 272H48V376C48 389.3 58.75 400 72 400H376C389.3 400 400 389.3 400 376V272z"],
    "business-time": [640, 512, ["briefcase-clock"], "f64a", "M496 224C416.5 224 352 288.5 352 368s64.47 144 144 144s144-64.47 144-144S575.5 224 496 224zM544 384h-48c-8.844 0-16-7.156-16-16v-64C480 295.2 487.2 288 496 288S512 295.2 512 304V352h32c8.844 0 16 7.156 16 16S552.8 384 544 384zM64 432c-8.801 0-16-7.201-16-16V304H192V320c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32V304h12.18c6.85-17.52 16.27-33.74 28.05-48H48V160c0-8.801 7.199-16 16-16h384c8.801 0 16 7.199 16 16v35.05C474.4 193.1 485.1 192 496 192c5.402 0 10.72 .3301 16 .8066V160c0-35.35-28.65-64-64-64h-64V64c0-35.35-28.65-64-64-64H192C156.7 0 128 28.65 128 64v32H64C28.65 96 0 124.7 0 160v256c0 35.35 28.65 64 64 64h296.2c-11.78-14.26-21.2-30.48-28.05-48H64zM176 64c0-8.838 7.164-16 16-16h128c8.836 0 16 7.162 16 16v32h-160V64z"],
    "butter": [640, 512, [129480], "e3e4", "M576 112C576 85.49 554.5 64 528 64h-416C85.49 64 64 85.49 64 112V288h512V112zM416 240H112v-128H416V240zM528 240h-64v-128h64V240zM608 320H32c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32v32c0 17.67 14.33 32 32 32h512c17.67 0 32-14.33 32-32v-32c17.67 0 32-14.33 32-32C640 334.3 625.7 320 608 320z"],
    "c": [384, 512, [99], "43", "M220.8 480c-138.1 0-220.7-116.1-220.7-223.1C.0961 149.4 82.89 32 220.8 32c0 0-.0156 0 0 0c94.95 0 163.2 62.45 163.2 82.57c0 9.143-7.111 24.02-24 24.02C335.8 138.6 312 80 220.8 80C112.8 80 48.04 171.1 48.04 256c0 83.45 64.67 176 172.8 176c91.1 0 115.1-58.58 139.2-58.58c9.122 0 24.01 7.079 24.01 24.01C384 417.2 316.3 480 220.8 480z"],
    "cabin": [576, 512, [], "e46d", "M320 128C320 145.7 305.7 160 288 160C270.3 160 256 145.7 256 128C256 110.3 270.3 96 288 96C305.7 96 320 110.3 320 128zM263.8 12.22C278.1 1.372 297.9 1.372 312.2 12.22L464 127.4V56C464 42.75 474.7 31.1 488 31.1C501.3 31.1 512 42.75 512 56V163.8L534.5 180.9C542.7 187.1 546 197.9 542.7 207.7C539.5 217.4 530.3 224 520 224H55.1C45.69 224 36.54 217.4 33.25 207.7C29.97 197.9 33.28 187.1 41.49 180.9L263.8 12.22zM288 54.12L127.3 176H448.7L288 54.12zM63.1 296C63.1 282.7 74.74 272 87.1 272H199.1C213.3 272 223.1 282.7 223.1 296C223.1 309.3 213.3 320 199.1 320H87.1C74.74 320 63.1 309.3 63.1 296V296zM63.1 488C63.1 474.7 74.74 464 87.1 464H199.1C213.3 464 223.1 474.7 223.1 488C223.1 501.3 213.3 512 199.1 512H87.1C74.74 512 63.1 501.3 63.1 488V488zM199.1 368C213.3 368 223.1 378.7 223.1 392C223.1 405.3 213.3 416 199.1 416H87.1C74.74 416 63.1 405.3 63.1 392C63.1 378.7 74.74 368 87.1 368H199.1zM352 296C352 282.7 362.7 272 376 272H488C501.3 272 512 282.7 512 296C512 309.3 501.3 320 488 320H376C362.7 320 352 309.3 352 296zM488 464C501.3 464 512 474.7 512 488C512 501.3 501.3 512 488 512H376C362.7 512 352 501.3 352 488C352 474.7 362.7 464 376 464H488zM352 392C352 378.7 362.7 368 376 368H488C501.3 368 512 378.7 512 392C512 405.3 501.3 416 488 416H376C362.7 416 352 405.3 352 392z"],
    "cabinet-filing": [448, 512, [128452], "f64b", "M384 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V64C448 28.65 419.3 0 384 0zM384 464H64c-8.837 0-16-7.163-16-16V280h352V448C400 456.8 392.8 464 384 464zM400 232h-352V64c0-8.837 7.163-16 16-16h320c8.837 0 16 7.163 16 16V232zM128 168h16c8.875 0 16-7.125 16-16V144h128v8c0 8.875 7.125 16 16 16H320c8.875 0 16-7.125 16-16V128c0-17.62-14.38-32-32-32h-160c-17.62 0-32 14.38-32 32v24C112 160.9 119.1 168 128 168zM128 408h16c8.875 0 16-7.125 16-16V384h128v8c0 8.875 7.125 16 16 16H320c8.875 0 16-7.125 16-16V368c0-17.62-14.38-32-32-32h-160c-17.62 0-32 14.38-32 32v24C112 400.9 119.1 408 128 408z"],
    "cable-car": [512, 512, [128673, 57551, "tram"], "f7da", "M256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32zM224 56C224 73.67 209.7 88 192 88C174.3 88 160 73.67 160 56C160 38.33 174.3 24 192 24C209.7 24 224 38.33 224 56zM232 224V157.5L28.86 199.5C15.88 202.2 3.183 193.8 .4976 180.9C-2.188 167.9 6.157 155.2 19.14 152.5L483.1 56.5C496.1 53.81 508.8 62.16 511.5 75.14C514.2 88.12 505.8 100.8 492.9 103.5L280 147.5V224H416C451.3 224 480 252.7 480 288V448C480 483.3 451.3 512 416 512H96C60.65 512 32 483.3 32 448V288C32 252.7 60.65 224 96 224L232 224zM432 288C432 279.2 424.8 272 416 272H352V352H432V288zM432 400H80V448C80 456.8 87.16 464 96 464H416C424.8 464 432 456.8 432 448V400zM80 352H160V272H96C87.16 272 80 279.2 80 288V352zM208 272V352H304V272H208z"],
    "cactus": [512, 512, [127797], "f8a7", "M240 130c-8.875 0-16 7.125-16 16c0 8.75 7.125 16 16 16s16-7.25 16-16C256 137.1 248.9 130 240 130zM272 354c-8.875 0-16 7.125-16 16c0 8.75 7.125 16 16 16s16-7.25 16-16C288 361.1 280.9 354 272 354zM464 224c-26.5 0-48 21.5-48 47.1v63.1c0 8.875-7.125 15.1-16 15.1H352V101.4c0-52-38.88-98.5-90.88-101.2C259.4 .0047 257.8 0 256.1 0C203.1 0 160 43 160 96v127.1L112 224c-8.875 0-16-7.125-16-15.1V144c0-26.5-21.5-47.1-48-47.1S0 117.5 0 144v63.1c0 61.88 50.12 111.1 112 111.1H160v159.1C160 497.6 174.4 512 192 512h128c17.62 0 32-14.37 32-31.1v-31.1h48c61.88 0 112-50.12 112-111.1V272C512 245.5 490.5 224 464 224zM304 464h-96V96c0-26.5 21.5-48 48-48l2.625 .125C283.6 49.38 304 73.38 304 101.4V464z"],
    "cake-candles": [448, 512, [127874, "birthday-cake", "cake"], "f1fd", "M383.1 223.1L376 224V168c0-13.25-10.75-24-24-24s-24 10.75-24 24V224h-80V168c0-13.25-10.75-24-24-24S200 154.8 200 168V224h-80V168C120 154.8 109.3 144 96 144S72 154.8 72 168V224L64 223.1c-35.35 0-64 28.65-64 63.1v192C0 497.7 14.33 512 32 512h384c17.67 0 32-14.33 32-32V287.1C448 252.6 419.3 223.1 383.1 223.1zM400 464h-352v-71.57c18.12-2.906 34.43-10.33 48-19.1c17.34 11.19 39.64 21.37 64 21.37s46.66-10.19 64-21.37c17.34 11.19 39.64 21.37 64 21.37s46.66-10.19 64-21.37c13.46 8.68 29.94 16.68 48 19.82V464zM400 343.8c-13.47-4.363-25.79-12.82-33.05-18.58c-8.75-6.969-21.16-6.969-29.91 0C326.1 333.2 307.2 346.7 288 346.7s-38.97-13.47-49.05-21.48c-8.75-6.969-21.16-6.969-29.91 0C198.1 333.2 179.2 346.7 160 346.7s-38.97-13.47-49.05-21.48c-8.75-6.969-21.16-6.969-29.91 0C73.79 330.1 61.47 339.4 48 343.8V288c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V343.8zM352 111.1c22.09 0 40-17.88 40-39.97S352 0 352 0s-40 49.91-40 72S329.9 111.1 352 111.1zM224 111.1c22.09 0 40-17.88 40-39.97S224 0 224 0S184 49.91 184 72S201.9 111.1 224 111.1zM96 111.1c22.09 0 40-17.88 40-39.97S96 0 96 0S56 49.91 56 72S73.91 111.1 96 111.1z"],
    "cake-slice": [512, 512, [127856, "shortcake"], "e3e5", "M450.6 101.7C490 143.4 512 198.6 512 256V416C511.9 432.1 505.2 449.2 493.2 461.2C481.2 473.2 464.1 479.1 448 480H64C47.04 479.1 30.79 473.2 18.8 461.2C6.81 449.2 .0506 432.1 0 416V271.6C.0064 266.8 1.122 261.1 3.262 257.6C5.403 253.2 8.511 249.4 12.35 246.4L278.8 39.01C284.7 34.22 292.2 31.74 299.9 32C357.2 35.12 411.1 60.07 450.6 101.7zM464 384H48V416C48 420.2 49.69 424.3 52.69 427.3C55.69 430.3 59.76 432 64 432H448C452.2 432 456.3 430.3 459.3 427.3C462.3 424.3 464 420.2 464 416V384zM464 304H48V352H464V304z"],
    "calculator": [384, 512, [128425], "f1ec", "M192 344c13.26 0 24-10.75 24-24S205.3 296 192 296S168 306.7 168 320S178.7 344 192 344zM192 256c13.26 0 24-10.75 24-24S205.3 208 192 208S168 218.7 168 232S178.7 256 192 256zM280 344c13.26 0 24-10.75 24-24s-10.74-24-24-24S256 306.7 256 320S266.7 344 280 344zM280 256c13.26 0 24-10.75 24-24S293.3 208 280 208S256 218.7 256 232S266.7 256 280 256zM280 432c13.26 0 24-10.75 24-24S293.3 384 280 384S256 394.7 256 408S266.7 432 280 432zM104 432h80c13.26 0 24-10.75 24-24S197.3 384 184 384h-80c-13.26 0-24 10.75-24 24S90.74 432 104 432zM320 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h256c35.35 0 64-28.65 64-64V64C384 28.65 355.3 0 320 0zM336 448c0 8.836-7.164 16-16 16H64c-8.836 0-16-7.164-16-16V176h288V448zM336 128h-288V64c0-8.838 7.164-16 16-16h256c8.836 0 16 7.162 16 16V128zM104 256C117.3 256 128 245.3 128 232S117.3 208 104 208S80 218.7 80 232S90.74 256 104 256zM104 344C117.3 344 128 333.3 128 320S117.3 296 104 296S80 306.7 80 320S90.74 344 104 344z"],
    "calculator-simple": [512, 512, ["calculator-alt"], "f64c", "M168.1 343c-9.375-9.375-24.56-9.375-33.94 0L112 366.1l-23.03-23.03c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L78.06 400l-23.03 23.03c-9.375 9.375-9.375 24.56 0 33.94C59.72 461.7 65.84 464 72 464s12.28-2.344 16.97-7.031L112 433.9l23.03 23.03C139.7 461.7 145.8 464 152 464s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94L145.9 400l23.03-23.03C178.3 367.6 178.3 352.4 168.1 343zM64 134.9h96c13.25 0 24-10.75 24-24s-10.75-24-24-24H64c-13.25 0-24 10.75-24 24S50.75 134.9 64 134.9zM344 136.1h32v32c0 13.25 10.75 23.92 24 23.92s24-10.67 24-23.92v-32h32c13.25 0 24-10.83 24-24.08s-10.75-23.92-24-23.92h-32v-32c0-13.25-10.75-24.08-24-24.08s-24 10.83-24 24.08v32h-32c-13.25 0-24 10.67-24 23.92S330.8 136.1 344 136.1zM488 232h-208v-208C280 10.75 269.3 0 256 0S232 10.75 232 24v208h-208C10.75 232 0 242.8 0 256s10.75 24 24 24h208v208C232 501.3 242.8 512 256 512s24-10.75 24-24v-208h208C501.3 280 512 269.3 512 256S501.3 232 488 232zM448 416h-96.06C338.7 416 328 426.8 328 440S338.8 464 352 464h96c13.25 0 24-10.75 24-24S461.3 416 448 416zM448 336h-96c-13.25 0-24 10.75-24 24S338.7 384 351.1 384h96.06C461.3 384 472 373.3 472 360S461.3 336 448 336z"],
    "calendar": [448, 512, [128198, 128197], "f133", "M152 64H296V24C296 10.75 306.7 0 320 0C333.3 0 344 10.75 344 24V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H104V24C104 10.75 114.7 0 128 0C141.3 0 152 10.75 152 24V64zM48 448C48 456.8 55.16 464 64 464H384C392.8 464 400 456.8 400 448V192H48V448z"],
    "calendar-arrow-down": [448, 512, ["calendar-download"], "e0d0", "M248 350.1L287 311C296.4 301.7 311.6 301.7 320.1 311C330.3 320.4 330.3 335.6 320.1 344.1L240.1 424.1C231.6 434.3 216.4 434.3 207 424.1L127 344.1C117.7 335.6 117.7 320.4 127 311C136.4 301.7 151.6 301.7 160.1 311L200 350.1V248C200 234.7 210.7 224 224 224C237.3 224 248 234.7 248 248V350.1zM128 0C141.3 0 152 10.75 152 24V64H296V24C296 10.75 306.7 0 320 0C333.3 0 344 10.75 344 24V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H104V24C104 10.75 114.7 0 128 0zM400 192H48V448C48 456.8 55.16 464 64 464H384C392.8 464 400 456.8 400 448V192z"],
    "calendar-arrow-up": [448, 512, ["calendar-upload"], "e0d1", "M200 305.9L160.1 344.1C151.6 354.3 136.4 354.3 127 344.1C117.7 335.6 117.7 320.4 127 311L207 231C216.4 221.7 231.6 221.7 240.1 231L320.1 311C330.3 320.4 330.3 335.6 320.1 344.1C311.6 354.3 296.4 354.3 287 344.1L248 305.9V408C248 421.3 237.3 432 224 432C210.7 432 200 421.3 200 408V305.9zM128 0C141.3 0 152 10.75 152 24V64H296V24C296 10.75 306.7 0 320 0C333.3 0 344 10.75 344 24V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H104V24C104 10.75 114.7 0 128 0zM400 192H48V448C48 456.8 55.16 464 64 464H384C392.8 464 400 456.8 400 448V192z"],
    "calendar-check": [448, 512, [], "f274", "M216.1 408.1C207.6 418.3 192.4 418.3 183 408.1L119 344.1C109.7 335.6 109.7 320.4 119 311C128.4 301.7 143.6 301.7 152.1 311L200 358.1L295 263C304.4 253.7 319.6 253.7 328.1 263C338.3 272.4 338.3 287.6 328.1 296.1L216.1 408.1zM128 0C141.3 0 152 10.75 152 24V64H296V24C296 10.75 306.7 0 320 0C333.3 0 344 10.75 344 24V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H104V24C104 10.75 114.7 0 128 0zM400 192H48V448C48 456.8 55.16 464 64 464H384C392.8 464 400 456.8 400 448V192z"],
    "calendar-circle-exclamation": [576, 512, [], "e46e", "M151.1 64H296V24C296 10.75 306.7 0 320 0C333.3 0 344 10.75 344 24V64H384C419.3 64 448 92.65 448 128V192H47.1V448C47.1 456.8 55.16 464 63.1 464H284.5C296.7 482.8 312.5 499.1 330.8 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H104V24C104 10.75 114.7 0 128 0C141.3 0 152 10.75 152 24L151.1 64zM576 368C576 447.5 511.5 512 432 512C352.5 512 287.1 447.5 287.1 368C287.1 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 416C418.7 416 408 426.7 408 440C408 453.3 418.7 464 432 464C445.3 464 456 453.3 456 440C456 426.7 445.3 416 432 416zM447.1 288C447.1 279.2 440.8 272 431.1 272C423.2 272 415.1 279.2 415.1 288V368C415.1 376.8 423.2 384 431.1 384C440.8 384 447.1 376.8 447.1 368V288z"],
    "calendar-circle-minus": [576, 512, [], "e46f", "M151.1 64H296V24C296 10.75 306.7 0 320 0C333.3 0 344 10.75 344 24V64H384C419.3 64 448 92.65 448 128V192H47.1V448C47.1 456.8 55.16 464 63.1 464H284.5C296.7 482.8 312.5 499.1 330.8 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H104V24C104 10.75 114.7 0 128 0C141.3 0 152 10.75 152 24L151.1 64zM287.1 368C287.1 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 287.1 447.5 287.1 368zM496 383.1C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H496z"],
    "calendar-circle-plus": [576, 512, [], "e470", "M151.1 64H296V24C296 10.75 306.7 0 320 0C333.3 0 344 10.75 344 24V64H384C419.3 64 448 92.65 448 128V192H47.1V448C47.1 456.8 55.16 464 63.1 464H284.5C296.7 482.8 312.5 499.1 330.8 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H104V24C104 10.75 114.7 0 128 0C141.3 0 152 10.75 152 24L151.1 64zM576 368C576 447.5 511.5 512 432 512C352.5 512 287.1 447.5 287.1 368C287.1 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM416 303.1V351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H416V431.1C416 440.8 423.2 447.1 432 447.1C440.8 447.1 448 440.8 448 431.1V383.1H496C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1H448V303.1C448 295.2 440.8 287.1 432 287.1C423.2 287.1 416 295.2 416 303.1z"],
    "calendar-circle-user": [576, 512, [], "e471", "M151.1 64H296V24C296 10.75 306.7 0 320 0C333.3 0 344 10.75 344 24V64H384C419.3 64 448 92.65 448 128V192H47.1V448C47.1 456.8 55.16 464 63.1 464H284.5C296.7 482.8 312.5 499.1 330.8 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H104V24C104 10.75 114.7 0 128 0C141.3 0 152 10.75 152 24L151.1 64zM287.1 368C287.1 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 287.1 447.5 287.1 368zM432 480C462.2 480 489.5 468.1 509.7 448.7C503.5 429.7 485.6 416 464.6 416H399.4C378.4 416 360.5 429.7 354.3 448.7C374.5 468.1 401.8 480 432 480V480zM432 384C458.5 384 480 362.5 480 336C480 309.5 458.5 288 432 288C405.5 288 384 309.5 384 336C384 362.5 405.5 384 432 384z"],
    "calendar-clock": [576, 512, ["calendar-time"], "e0d2", "M127.1 0C141.3 0 151.1 10.75 151.1 24V64H296V24C296 10.75 306.7 0 320 0C333.3 0 344 10.75 344 24V64H384C419.3 64 448 92.65 448 128V192H47.1V448C47.1 456.8 55.16 464 63.1 464H284.5C296.7 482.8 312.5 499.1 330.8 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H104V24C104 10.75 114.7 0 128 0H127.1zM576 368C576 447.5 511.5 512 432 512C352.5 512 287.1 447.5 287.1 368C287.1 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM415.1 304V368C415.1 376.8 423.2 384 431.1 384H480C488.8 384 496 376.8 496 368C496 359.2 488.8 352 480 352H447.1V304C447.1 295.2 440.8 288 431.1 288C423.2 288 415.1 295.2 415.1 304V304z"],
    "calendar-day": [448, 512, [], "f783", "M208 256C216.8 256 224 263.2 224 272V368C224 376.8 216.8 384 208 384H112C103.2 384 96 376.8 96 368V272C96 263.2 103.2 256 112 256H208zM128 0C141.3 0 152 10.75 152 24V64H296V24C296 10.75 306.7 0 320 0C333.3 0 344 10.75 344 24V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H104V24C104 10.75 114.7 0 128 0zM400 192H48V448C48 456.8 55.16 464 64 464H384C392.8 464 400 456.8 400 448V192z"],
    "calendar-days": [448, 512, ["calendar-alt"], "f073", "M152 64H296V24C296 10.75 306.7 0 320 0C333.3 0 344 10.75 344 24V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H104V24C104 10.75 114.7 0 128 0C141.3 0 152 10.75 152 24V64zM48 248H128V192H48V248zM48 296V360H128V296H48zM176 296V360H272V296H176zM320 296V360H400V296H320zM400 192H320V248H400V192zM400 408H320V464H384C392.8 464 400 456.8 400 448V408zM272 408H176V464H272V408zM128 408H48V448C48 456.8 55.16 464 64 464H128V408zM272 192H176V248H272V192z"],
    "calendar-exclamation": [448, 512, [], "f334", "M256 400C256 417.7 241.7 432 224 432C206.3 432 192 417.7 192 400C192 382.3 206.3 368 224 368C241.7 368 256 382.3 256 400zM248 312C248 325.3 237.3 336 224 336C210.7 336 200 325.3 200 312V248C200 234.7 210.7 224 224 224C237.3 224 248 234.7 248 248V312zM152 64H296V24C296 10.75 306.7 0 320 0C333.3 0 344 10.75 344 24V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H104V24C104 10.75 114.7 0 128 0C141.3 0 152 10.75 152 24V64zM48 448C48 456.8 55.16 464 64 464H384C392.8 464 400 456.8 400 448V192H48V448z"],
    "calendar-heart": [448, 512, [], "e0d3", "M212.7 420.7L120 328C97.91 305.9 97.91 270.1 120 248C142.1 225.9 177.9 225.9 200 248L224 272L248 248C270.1 225.9 305.9 225.9 328 248C350.1 270.1 350.1 305.9 328 328L235.3 420.7C229.1 426.9 218.9 426.9 212.7 420.7H212.7zM128 0C141.3 0 152 10.75 152 24V64H296V24C296 10.75 306.7 0 320 0C333.3 0 344 10.75 344 24V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H104V24C104 10.75 114.7 0 128 0zM400 192H48V448C48 456.8 55.16 464 64 464H384C392.8 464 400 456.8 400 448V192z"],
    "calendar-image": [448, 512, [], "e0d4", "M172.6 328.9L184 344L242.3 259.8C248.8 250.4 262.8 250.7 268.9 260.3L352.4 391.4C359.1 402.1 351.5 416 338.9 416H112.5C99.22 416 91.72 400.8 99.81 390.2L147.2 328.7C153.6 320.3 166.3 320.4 172.6 328.9V328.9zM96 256C96 238.3 110.3 224 128 224C145.7 224 160 238.3 160 256C160 273.7 145.7 288 128 288C110.3 288 96 273.7 96 256zM152 64H296V24C296 10.75 306.7 0 320 0C333.3 0 344 10.75 344 24V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H104V24C104 10.75 114.7 0 128 0C141.3 0 152 10.75 152 24V64zM48 448C48 456.8 55.16 464 64 464H384C392.8 464 400 456.8 400 448V192H48V448z"],
    "calendar-lines": [448, 512, ["calendar-note"], "e0d5", "M96 280C96 266.7 106.7 256 120 256H328C341.3 256 352 266.7 352 280C352 293.3 341.3 304 328 304H120C106.7 304 96 293.3 96 280zM232 352C245.3 352 256 362.7 256 376C256 389.3 245.3 400 232 400H120C106.7 400 96 389.3 96 376C96 362.7 106.7 352 120 352H232zM152 64H296V24C296 10.75 306.7 0 320 0C333.3 0 344 10.75 344 24V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H104V24C104 10.75 114.7 0 128 0C141.3 0 152 10.75 152 24V64zM48 448C48 456.8 55.16 464 64 464H384C392.8 464 400 456.8 400 448V192H48V448z"],
    "calendar-lines-pen": [576, 512, [], "e472", "M128 0C141.3 0 152 10.75 152 24V64H296V24C296 10.75 306.7 0 320 0C333.3 0 344 10.75 344 24V64H384C419.3 64 448 92.65 448 128V192H48V448C48 456.8 55.16 464 64 464H262.5L257.4 484.2C255.1 493.6 255.7 503.2 258.8 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H104V24C104 10.75 114.7 0 128 0V0zM296 256C309.3 256 320 266.7 320 280C320 293.3 309.3 304 296 304H120C106.7 304 96 293.3 96 280C96 266.7 106.7 256 120 256H296zM96 376C96 362.7 106.7 352 120 352H232C245.3 352 256 362.7 256 376C256 389.3 245.3 400 232 400H120C106.7 400 96 389.3 96 376zM564.1 250.1C579.8 265.7 579.8 291 564.1 306.7L534.7 336.1L463.8 265.1L493.2 235.7C508.8 220.1 534.1 220.1 549.8 235.7L564.1 250.1zM311.9 416.1L441.1 287.8L512.1 358.7L382.9 487.9C378.8 492 373.6 494.9 368 496.3L307.9 511.4C302.4 512.7 296.7 511.1 292.7 507.2C288.7 503.2 287.1 497.4 288.5 491.1L303.5 431.8C304.9 426.2 307.8 421.1 311.9 416.1V416.1z"],
    "calendar-minus": [448, 512, [], "f272", "M152 352C138.7 352 128 341.3 128 328C128 314.7 138.7 304 152 304H296C309.3 304 320 314.7 320 328C320 341.3 309.3 352 296 352H152zM128 0C141.3 0 152 10.75 152 24V64H296V24C296 10.75 306.7 0 320 0C333.3 0 344 10.75 344 24V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H104V24C104 10.75 114.7 0 128 0zM400 192H48V448C48 456.8 55.16 464 64 464H384C392.8 464 400 456.8 400 448V192z"],
    "calendar-pen": [448, 512, ["calendar-edit"], "f333", "M308.8 296.4L293.9 311.3L240.6 257.1L255.5 243C270.2 228.3 294.1 228.3 308.8 243C323.5 257.8 323.5 281.6 308.8 296.4V296.4zM146.1 352.5L217.1 280.6L271.3 333.9L199.4 405.9C195.3 409.1 190.1 412.9 184.5 414.3L147.9 423.4C142.4 424.8 136.7 423.2 132.7 419.2C128.7 415.3 127.1 409.5 128.5 404L137.6 367.4C139 361.8 141.1 356.6 146.1 352.5H146.1zM128 0C141.3 0 152 10.75 152 24V64H296V24C296 10.75 306.7 0 320 0C333.3 0 344 10.75 344 24V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H104V24C104 10.75 114.7 0 128 0zM400 192H48V448C48 456.8 55.16 464 64 464H384C392.8 464 400 456.8 400 448V192z"],
    "calendar-plus": [448, 512, [], "f271", "M224 232C237.3 232 248 242.7 248 256V304H296C309.3 304 320 314.7 320 328C320 341.3 309.3 352 296 352H248V400C248 413.3 237.3 424 224 424C210.7 424 200 413.3 200 400V352H152C138.7 352 128 341.3 128 328C128 314.7 138.7 304 152 304H200V256C200 242.7 210.7 232 224 232zM152 64H296V24C296 10.75 306.7 0 320 0C333.3 0 344 10.75 344 24V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H104V24C104 10.75 114.7 0 128 0C141.3 0 152 10.75 152 24V64zM48 448C48 456.8 55.16 464 64 464H384C392.8 464 400 456.8 400 448V192H48V448z"],
    "calendar-range": [448, 512, [], "e0d6", "M96 288C96 270.3 110.3 256 128 256C145.7 256 160 270.3 160 288C160 305.7 145.7 320 128 320C110.3 320 96 305.7 96 288zM320 352C337.7 352 352 366.3 352 384C352 401.7 337.7 416 320 416C302.3 416 288 401.7 288 384C288 366.3 302.3 352 320 352zM192 288C192 274.7 202.7 264 216 264H328C341.3 264 352 274.7 352 288C352 301.3 341.3 312 328 312H216C202.7 312 192 301.3 192 288zM232 360C245.3 360 256 370.7 256 384C256 397.3 245.3 408 232 408H120C106.7 408 96 397.3 96 384C96 370.7 106.7 360 120 360H232zM152 64H296V24C296 10.75 306.7 0 320 0C333.3 0 344 10.75 344 24V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H104V24C104 10.75 114.7 0 128 0C141.3 0 152 10.75 152 24V64zM48 448C48 456.8 55.16 464 64 464H384C392.8 464 400 456.8 400 448V192H48V448z"],
    "calendar-star": [448, 512, [], "f736", "M256.9 290.7L309.7 298.4C318.2 299.6 321.6 310.1 315.4 316.1L277.3 353.3L286.3 405.8C287.7 414.3 278.8 420.8 271.2 416.8L224 392L176.8 416.8C169.2 420.8 160.3 414.3 161.7 405.8L170.7 353.3L132.6 316.1C126.4 310.1 129.8 299.6 138.3 298.4L191.1 290.7L214.7 242.9C218.5 235.2 229.5 235.2 233.3 242.9L256.9 290.7zM128 0C141.3 0 152 10.75 152 24V64H296V24C296 10.75 306.7 0 320 0C333.3 0 344 10.75 344 24V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H104V24C104 10.75 114.7 0 128 0zM400 192H48V448C48 456.8 55.16 464 64 464H384C392.8 464 400 456.8 400 448V192z"],
    "calendar-week": [448, 512, [], "f784", "M336 256C344.8 256 352 263.2 352 272V336C352 344.8 344.8 352 336 352H112C103.2 352 96 344.8 96 336V272C96 263.2 103.2 256 112 256H336zM128 0C141.3 0 152 10.75 152 24V64H296V24C296 10.75 306.7 0 320 0C333.3 0 344 10.75 344 24V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H104V24C104 10.75 114.7 0 128 0zM400 192H48V448C48 456.8 55.16 464 64 464H384C392.8 464 400 456.8 400 448V192z"],
    "calendar-xmark": [448, 512, ["calendar-times"], "f273", "M257.9 328L304.1 375C314.3 384.4 314.3 399.6 304.1 408.1C295.6 418.3 280.4 418.3 271 408.1L224 361.9L176.1 408.1C167.6 418.3 152.4 418.3 143 408.1C133.7 399.6 133.7 384.4 143 375L190.1 328L143 280.1C133.7 271.6 133.7 256.4 143 247C152.4 237.7 167.6 237.7 176.1 247L224 294.1L271 247C280.4 237.7 295.6 237.7 304.1 247C314.3 256.4 314.3 271.6 304.1 280.1L257.9 328zM128 0C141.3 0 152 10.75 152 24V64H296V24C296 10.75 306.7 0 320 0C333.3 0 344 10.75 344 24V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H104V24C104 10.75 114.7 0 128 0zM400 192H48V448C48 456.8 55.16 464 64 464H384C392.8 464 400 456.8 400 448V192z"],
    "calendars": [512, 512, [], "e0d7", "M224 0C237.3 0 248 10.75 248 24V64H360V24C360 10.75 370.7 0 384 0C397.3 0 408 10.75 408 24V64H448C483.3 64 512 92.65 512 128V352C512 387.3 483.3 416 448 416H160C124.7 416 96 387.3 96 352V128C96 92.65 124.7 64 160 64H200V24C200 10.75 210.7 0 224 0zM144 352C144 360.8 151.2 368 160 368H448C456.8 368 464 360.8 464 352V192H144V352zM48 392C48 431.8 80.24 464 120 464H392C405.3 464 416 474.7 416 488C416 501.3 405.3 512 392 512H120C53.73 512 0 458.3 0 392V184C0 170.7 10.75 160 24 160C37.25 160 48 170.7 48 184V392z"],
    "camcorder": [576, 512, [128249, "video-handheld"], "f8a8", "M312 240H104C90.75 240 80 250.8 80 264S90.75 288 104 288h208c13.25 0 24-10.75 24-24S325.3 240 312 240zM557.6 182.3c-11.53-7.406-25.88-8.391-38.28-2.688L416 227V224c0-35.35-28.65-64-64-64L96 159.1V120C96 97.94 113.9 80 136 80h160C309.3 80 320 69.25 320 56S309.3 32 296 32h-160C87.47 32 48 71.47 48 120l.0003 42.26C20.44 169.4 .0002 194.2 .0002 223.1l-.0001 191.1c0 35.35 28.65 63.1 64 63.1L352 480c35.35 0 64-28.65 64-64v-3.016l103.3 47.36c5.344 2.453 11.03 3.672 16.69 3.672c7.531 0 15.02-2.141 21.59-6.359C569.1 450.3 576 437.7 576 423.1V216C576 202.3 569.1 189.8 557.6 182.3zM368 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V224c0-8.822 7.178-16 16-16h288c8.822 0 16 7.178 16 16V416zM528 411.5l-112-51.33V279.8l112-51.33V411.5z"],
    "camera": [512, 512, [62258, "camera-alt"], "f030", "M144 288C144 226.1 194.1 176 256 176C317.9 176 368 226.1 368 288C368 349.9 317.9 400 256 400C194.1 400 144 349.9 144 288zM256 224C220.7 224 192 252.7 192 288C192 323.3 220.7 352 256 352C291.3 352 320 323.3 320 288C320 252.7 291.3 224 256 224zM362.9 64.82L373.3 96H448C483.3 96 512 124.7 512 160V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V160C0 124.7 28.65 96 64 96H138.7L149.1 64.82C155.6 45.22 173.9 32 194.6 32H317.4C338.1 32 356.4 45.22 362.9 64.82H362.9zM64 144C55.16 144 48 151.2 48 160V416C48 424.8 55.16 432 64 432H448C456.8 432 464 424.8 464 416V160C464 151.2 456.8 144 448 144H338.7L317.4 80H194.6L173.3 144H64z"],
    "camera-cctv": [576, 512, ["cctv"], "f8ac", "M517.5 168.6L139.2 2.266C135.4 .7323 131.3 0 127.4 0C116.2 0 105.4 5.882 99.62 16.14l-95.37 166.9C-.5001 191.3-1.25 201 1.999 209.9C5.25 218.8 12.25 225.8 21.12 229l164.3 67.98L143.4 408H48v-32C48 362.7 37.25 352 24 352S0 362.7 0 376v112C0 501.3 10.75 512 24 512s24-10.75 24-24v-32H160c9.1 0 19-6.25 22.5-15.5l47.2-125.2l75.67 31.31c3.588 1.309 7.327 1.96 11.05 1.96c5.871 0 11.7-1.62 16.83-4.835l189.2-118.4C544.7 211.5 541.7 178.3 517.5 168.6zM314.9 298.6L54.94 191.1l79.21-138.6l337.2 148.3L314.9 298.6zM574.9 283.1c-1.625-4.25-4.875-7.5-8.1-9.375l-35.37-15.5l-138.4 86.5l119.5 52.51c8.5 3.748 18.46-.1317 22.21-8.632l40.74-92.62C576.4 291.9 576.5 287.3 574.9 283.1z"],
    "camera-movie": [576, 512, [127910, 127909], "f8a9", "M557.6 262.4c-11.53-7.41-25.88-8.396-38.28-2.689l-83.95 38.5C423.7 282.4 405.1 272 384 272H24C10.75 272 0 282.7 0 296C0 309.3 10.75 320 24 320h42.26C64.93 325.1 64 330.4 64 336l.0002 111.1c0 35.35 28.65 63.1 64 63.1L384 512c26.38 0 49.01-15.98 58.8-38.77l76.53 35.1C524.7 510.8 530.4 512 536 512c7.531 0 15.02-2.143 21.59-6.363C569.1 498.2 576 485.6 576 471.9V296.1C576 282.4 569.1 269.8 557.6 262.4zM400 448c0 8.822-7.178 16-16 16H128c-8.822 0-16-7.178-16-16v-112C112 327.2 119.2 320 128 320l256-.0068c8.822 0 16 7.185 16 16.01L400 448zM528 459.5L448 422.8v-77.56l80-36.69V459.5zM152 240h192c66.28 0 120-53.73 120-120C464 53.72 410.3 0 344 0c-39.44 0-74.13 19.28-96 48.66C226.1 19.28 191.4 0 152 0C85.73 0 32 53.72 32 120C32 186.3 85.73 240 152 240zM344 48C383.7 48 416 80.3 416 120S383.7 192 344 192S272 159.7 272 120S304.3 48 344 48zM152 48C191.7 48 224 80.3 224 120S191.7 192 152 192S80 159.7 80 120S112.3 48 152 48z"],
    "camera-polaroid": [576, 512, [], "f8aa", "M288 128C243.9 128 208 163.9 208 208S243.9 288 288 288s80-35.88 80-80C367.9 163.9 332.1 128.1 288 128zM288 240c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S305.6 240 288 240zM565.3 335.1L512 256L512 96c0-35.35-28.65-64-64-64H128C92.65 32 64 60.65 64 96l.0001 160l-53.26 79.95C3.736 346.5 0 358.8 0 371.4V416c0 35.2 28.8 64 64 64h448c35.2 0 64-28.8 64-64v-44.57C576 358.8 572.3 346.5 565.3 335.1zM112 270.5V96c0-8.837 7.163-16 16-16h320c8.837 0 16 7.163 16 16v174.5L507.6 336H68.38L112 270.5zM512 432H64c-8.837 0-16-7.163-16-16v-32h480v32C528 424.8 520.8 432 512 432zM424 112h-32C387.6 112 384 115.6 384 120v32C384 156.4 387.6 160 392 160h32c4.375 0 8-3.625 8-8v-32C432 115.6 428.4 112 424 112z"],
    "camera-retro": [512, 512, [128247], "f083", "M0 416V128C0 92.65 28.65 64 64 64V48C64 39.16 71.16 32 80 32H144C152.8 32 160 39.16 160 48V64H192L242.5 38.76C251.4 34.31 261.2 32 271.1 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416zM64 112C55.16 112 48 119.2 48 128V192H156.1C179.5 162.7 215.6 144 256 144C296.4 144 332.5 162.7 355.9 192H464V96C464 87.16 456.8 80 448 80H271.1C268.6 80 266.2 80.58 263.1 81.69L213.5 106.9C206.8 110.3 199.5 112 192 112H64zM48 240V416C48 424.8 55.16 432 64 432H448C456.8 432 464 424.8 464 416V240H379.1C382.6 250.2 384 260.1 384 272C384 342.7 326.7 400 256 400C185.3 400 128 342.7 128 272C128 260.1 129.4 250.2 132 240H48zM256 192C211.8 192 176 227.8 176 272C176 316.2 211.8 352 256 352C300.2 352 336 316.2 336 272C336 227.8 300.2 192 256 192z"],
    "camera-rotate": [512, 512, [], "e0d8", "M448 96h-72l-8.457-22.51C358.2 48.51 334.3 32 307.6 32H204.4C177.7 32 153.9 48.51 144.5 73.45L136 96H64C28.65 96 0 124.7 0 160v256c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V160C512 124.7 483.3 96 448 96zM464 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V160c0-8.822 7.178-16 16-16h105.2l20.19-53.64C191.7 84.16 197.8 80 204.4 80h103.3c6.631 0 12.65 4.172 14.98 10.38L342.7 144H448c8.822 0 16 7.178 16 16V416zM346.9 187.7l-14.76 14.77C311.2 183.8 284.6 173 256 173c-35.64 0-68.69 16.12-90.64 44.22C157.2 227.7 159 242.8 169.5 250.9C179.9 259.1 195 257.2 203.2 246.8c22.5-28.79 67.17-32.26 95.08-10.48l-14.61 14.62C275.9 258.6 281.3 271.7 292.1 272h67.36C364.2 271.9 368 268 368 263.3V196.4C368 185.4 354.7 179.9 346.9 187.7zM308.8 329.2c-22.5 28.79-67.17 32.26-95.08 10.48l14.61-14.62C236.1 317.4 230.7 304.3 219.9 304H152.6C147.8 304.1 144 307.1 144 312.7v66.87c0 11.02 13.33 16.54 21.12 8.74l14.76-14.77C200.8 392.2 227.4 403 256 403c35.64 0 68.69-16.12 90.64-44.22c8.172-10.45 6.312-25.53-4.125-33.69C332.1 316.9 317 318.8 308.8 329.2z"],
    "camera-security": [448, 512, ["camera-home"], "f8fe", "M384 0h-320c-35.35 0-64 28.65-64 64v288c0 35.35 28.65 64 64 64h41.37l-37.62 59.11c-4.703 7.391-5 16.77-.7813 24.44C71.17 507.2 79.25 512 88.02 512h271.1c8.766 0 16.84-4.766 21.05-12.45c4.219-7.672 3.922-17.05-.7813-24.44L342.6 416h41.37c35.35 0 64-28.65 64-64V64C448 28.65 419.3 0 384 0zM131.7 464L162.3 416h123.5l30.55 48H131.7zM400 352c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V64c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V352zM224 96c-61.86 0-112 50.14-112 112s50.14 112 112 112s112-50.14 112-112S285.9 96 224 96zM224 272c-35.29 0-64-28.71-64-64s28.71-64 64-64c35.29 0 64 28.71 64 64S259.3 272 224 272z"],
    "camera-slash": [640, 512, [], "e0d9", "M154.8 96H202.7L213.1 64.82C219.6 45.22 237.9 32 258.6 32H381.4C402.1 32 420.4 45.22 426.9 64.82L437.3 96H512C547.3 96 576 124.7 576 160V416C576 419.3 575.8 422.5 575.3 425.6L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L154.8 96zM216 144L271.1 187.2C285.9 180 302.5 176 320 176C381.9 176 432 226.1 432 288C432 296 431.2 303.8 429.6 311.4L528 388.5V160C528 151.2 520.8 144 512 144H402.7L381.4 80H258.6L237.3 144H216zM382.6 274.6C376.4 245.7 350.7 224 320 224C319.4 224 318.7 224 318.1 224L382.6 274.6zM320 400C258.1 400 208 349.9 208 288C208 279.1 209 270.5 210.1 262.2L256.8 298.4C261.8 328.8 288.2 352 320 352C321.6 352 323.2 351.9 324.7 351.8L370.6 387.1C355.4 395.7 338.2 400 320 400H320zM128 432H426.5L487.4 480H128C92.66 480 64 451.3 64 416V160C64 155.7 64.43 151.5 65.24 147.4L112 184.2V416C112 424.8 119.2 432 128 432V432z"],
    "camera-viewfinder": [512, 512, ["screenshot"], "e0da", "M0 24C0 10.75 10.75 0 24 0H136C149.3 0 160 10.75 160 24C160 37.25 149.3 48 136 48H48V136C48 149.3 37.25 160 24 160C10.75 160 0 149.3 0 136V24zM200 256C200 225.1 225.1 200 256 200C286.9 200 312 225.1 312 256C312 286.9 286.9 312 256 312C225.1 312 200 286.9 200 256zM301.4 96C317.4 96 331.9 105.5 338.2 120.2L341.5 128H352C387.3 128 416 156.7 416 192V320C416 355.3 387.3 384 352 384H160C124.7 384 96 355.3 96 320V192C96 156.7 124.7 128 160 128H170.5L173.8 120.2C180.1 105.5 194.5 96 210.6 96H301.4zM202.1 176H160C151.2 176 144 183.2 144 192V320C144 328.8 151.2 336 160 336H352C360.8 336 368 328.8 368 320V192C368 183.2 360.8 176 352 176H309.9L296.2 144H215.8L202.1 176zM488 0C501.3 0 512 10.75 512 24V136C512 149.3 501.3 160 488 160C474.7 160 464 149.3 464 136V48H376C362.7 48 352 37.25 352 24C352 10.75 362.7 0 376 0H488zM0 376C0 362.7 10.75 352 24 352C37.25 352 48 362.7 48 376V464H136C149.3 464 160 474.7 160 488C160 501.3 149.3 512 136 512H24C10.75 512 0 501.3 0 488V376zM376 512C362.7 512 352 501.3 352 488C352 474.7 362.7 464 376 464H464V376C464 362.7 474.7 352 488 352C501.3 352 512 362.7 512 376V488C512 501.3 501.3 512 488 512H376z"],
    "camera-web": [448, 512, ["webcam"], "f832", "M224 96C157.7 96 104 149.7 104 216c0 66.27 53.73 120 120 120c66.28 0 120-53.73 120-120C344 149.7 290.3 96 224 96zM224 288C184.3 288 152 255.7 152 216S184.2 144 223.9 144S296 176.3 296 216S263.7 288 224 288zM347.8 392.9C403.5 353.8 440 289.2 440 216c0-119.3-96.71-215.1-216-215.1c-119.3 0-216 96.71-216 215.1c0 73.22 36.52 137.8 92.25 176.9l-63.13 80.29c-5.656 7.219-6.719 17.05-2.719 25.31C38.44 506.8 46.81 512 56 512h336c9.188 0 17.56-5.25 21.59-13.52c4-8.266 2.938-18.09-2.719-25.31L347.8 392.9zM105.4 464l37.61-47.84C168 426.3 195.3 432 224 432s55.96-5.705 80.98-15.84L342.6 464H105.4zM224 384c-92.63 0-168-75.37-168-168C56 123.4 131.4 48 224 48c92.64 0 168 75.36 168 168C392 308.6 316.6 384 224 384z"],
    "camera-web-slash": [640, 512, ["webcam-slash"], "f833", "M630.8 469.1l-145.7-114.2C516.8 317.4 536 268.1 536 216c0-119.3-96.71-215.1-216-215.1c-71.71 0-134.8 35.3-174 89.09l-107.1-83.97C28.35-3.058 13.33-1.246 5.122 9.191c-8.172 10.44-6.354 25.53 4.068 33.7l591.1 463.1C605.6 510.3 610.8 512 615.1 512c7.125 0 14.16-3.161 18.9-9.193C643.1 492.4 641.2 477.3 630.8 469.1zM371.7 265.1L259.2 177.8C271.9 157.6 294.3 143.1 319.9 143.1C359.6 143.1 392 176.3 392 216C392 235.4 384.2 253.1 371.7 265.1zM409.5 295.6C428.4 274.5 440 246.7 440 216c0-66.28-53.73-120-120-120c-41.05 0-76.86 20.89-98.45 52.34L184 118.9C214.3 76.16 263.7 48 320 48c92.64 0 168 75.36 168 168c0 41.77-15.62 79.7-40.99 109L409.5 295.6zM201.4 464l37.61-47.84C264 426.3 291.3 432 320 432c30.47 0 59.43-6.383 85.72-17.77l-45.48-35.65c-12.96 3.215-26.3 5.412-40.24 5.412C227.4 383.1 152 308.6 152 216c0-.2012 .0586-.3848 .0586-.5859L107.2 180.3C105.3 191.9 104 203.8 104 216c0 73.22 36.52 137.8 92.25 176.9l-63.13 80.29c-5.656 7.219-6.719 17.05-2.719 25.31C134.4 506.8 142.8 512 152 512h378.5l-61.24-48H201.4z"],
    "campfire": [512, 512, [], "f6ba", "M256 320c79.5 0 144-64.5 144-144c0-33.25-33.38-102-80-144c-13.38 12-25.5 24.75-36.13 37.5C266.4 46 244.6 22.25 220 0c-63.12 57-108 131.3-108 176C112 255.5 176.5 320 256 320zM220.2 67.88c9.125 10 17.62 20.25 25.12 30.38l36.25 48.5l36.87-43.88C339.9 133.3 351.1 165.1 351.1 176c0 52.88-42.1 96-95.1 96c-52.87 0-95.1-43.13-95.1-96C159.1 156.6 180.7 112.6 220.2 67.88zM496.1 465.4L326.5 404l169.7-61.44c12.47-4.5 18.94-18.28 14.41-30.72c-4.5-12.5-18.28-18.88-30.72-14.41L256 378.5L32.16 297.4C19.76 292.1 5.947 299.3 1.447 311.8c-4.531 12.44 1.938 26.22 14.41 30.72L185.5 404l-169.7 61.44c-12.47 4.5-18.94 18.28-14.41 30.72C4.979 505.9 14.2 512 24.01 512c2.719 0 5.469-.4687 8.156-1.438L256 429.5l223.8 81.05C482.5 511.5 485.3 512 487.1 512c9.811 0 19.03-6.062 22.56-15.84C515.1 483.7 508.6 469.9 496.1 465.4z"],
    "campground": [576, 512, [9978], "f6bb", "M375.4 5.587C385.6 14.09 386.9 29.22 378.4 39.39L319.3 110.1L554.1 392.1C563.4 402.1 568 414.8 568 427.1V456C568 486.9 542.9 512 512 512H64C33.07 512 8 486.9 8 456V427.1C8 414.8 12.61 402.1 21.04 392.1L256.7 110.1L197.6 39.39C189.1 29.22 190.4 14.09 200.6 5.587C210.8-2.914 225.9-1.562 234.4 8.608L288 72.71L341.6 8.608C350.1-1.562 365.2-2.914 375.4 5.587V5.587zM56 427.1V456C56 460.4 59.58 464 64 464H126L269.1 281.2C273.6 275.4 280.6 272 288 272C295.4 272 302.4 275.4 306.9 281.2L449.1 464H512C516.4 464 520 460.4 520 456V427.1C520 426.1 519.3 424.3 518.1 422.8L288 147.5L57.86 422.8C56.66 424.3 56 426.1 56 427.1V427.1zM186.1 464H389L288 334.9L186.1 464z"],
    "can-food": [384, 512, [129387], "e3e6", "M192 0C94.8 0 16 32.75 16 73.14v365.7C16 479.3 94.8 512 192 512s176-32.75 176-73.14V73.14C368 32.75 289.2 0 192 0zM320 433.7C309.9 443.2 267.5 464 192 464s-117.9-20.78-128-30.3V288c13.98 6.168 31.11 10.88 49.49 14.73C120.4 339.8 152.9 368 192 368c39.06 0 71.56-28.19 78.51-65.27C288.9 298.9 306 294.2 320 288V433.7zM144 288c0-26.51 21.49-48 48-48s48 21.49 48 48s-21.49 48-48 48S144 314.5 144 288zM192 104c-70.69 0-128-13.07-128-29.2s57.31-29.2 128-29.2s128 13.07 128 29.2S262.7 104 192 104z"],
    "candle-holder": [448, 512, [128367], "f6bc", "M372 368.1c-23.54 1.27-44.8 16.06-57.18 36.13C300.9 426.8 302.3 446.7 308.4 464H272v-192C272 245.6 250.4 224 224 224H96C69.6 224 48 245.6 48 272v192H24C10.75 464 0 474.7 0 488C0 501.3 10.75 512 24 512h348.7c34.79 0 67.07-23.22 73.8-57.35C455.9 407.1 418.4 365.6 372 368.1zM224 464H96v-192h32v56C128 341.3 138.8 352 152 352s24-10.75 24-24V272H224V464zM376 464c-13.25 0-24-10.75-24-24S362.8 416 376 416s24 10.75 24 24S389.3 464 376 464zM160 191.1c45.88 0 77.1-32.62 77.1-79.25C237.1 82.75 205.4 37.88 160 0C114.4 38 81.1 82.88 81.1 112.8C81.1 159.4 114.1 191.1 160 191.1zM160 66.13C180 88.25 189.8 106.1 189.1 112.8C190.4 124.4 186.1 144 160 144S129.1 124.4 129.1 113C130.5 106.3 140 88.25 160 66.13z"],
    "candy": [640, 512, [127852], "e3e7", "M624.1 319C628.3 322.4 630.6 326.7 631.5 331.3C632.4 335.1 631.1 340.8 630.2 345.2C628.3 349.6 625.3 353.3 621.3 355.9C617.4 358.6 612.7 359.1 608 360C604.3 360 600.6 359.1 597.3 357.5L504 310.8C492.2 350.4 467.9 385.2 434.8 409.9C401.6 434.6 361.4 447.1 320 447.1C278.7 447.1 238.4 434.6 205.3 409.9C172.1 385.2 147.8 350.4 136 310.8L42.72 357.5C39.4 359.2 35.73 360 32 360C27.26 359.1 22.62 358.6 18.68 355.9C14.74 353.3 11.66 349.6 9.85 345.2C8.035 340.8 7.56 335.1 8.484 331.3C9.409 326.7 11.69 322.4 15.04 319L45.57 288.3L16.42 278.7C11.65 277.1 7.494 273.1 4.554 269.9C1.613 265.8 .0312 260.9 .0312 255.9C.0312 250.8 1.613 245.9 4.554 241.8C7.494 237.8 11.65 234.7 16.42 233.1L45.57 223.5L15.04 192.1C11.03 188.9 8.576 183.6 8.123 177.9C7.671 172.3 9.247 166.6 12.57 161.1C15.9 157.4 20.75 154.1 26.28 152.7C31.8 151.4 37.63 151.1 42.72 154.5L135.1 201.2C147.8 161.6 172.1 126.8 205.2 102.1C238.4 77.38 278.6 64.03 319.1 64.03C361.3 64.03 401.6 77.38 434.7 102.1C467.9 126.8 492.2 161.6 503.1 201.2L597.3 154.8C602.4 152.3 608.2 151.7 613.7 153.1C619.2 154.4 624 157.7 627.4 162.3C630.7 166.9 632.3 172.5 631.8 178.2C631.4 183.9 628.1 189.2 624.1 193.2L594.4 223.7L623.6 233.3C628.4 234.9 632.5 238 635.5 242.1C638.4 246.2 639.1 251.1 639.1 256.1C639.1 261.2 638.4 266.1 635.5 270.2C632.5 274.3 628.4 277.3 623.6 278.9L594.4 288.5L624.1 319zM406.4 370.5L280.3 118.4C263.4 123.2 247.6 131 233.6 141.5L359.7 393.6C376.6 388.8 392.4 380.1 406.4 370.5zM214.3 353.4C238.9 379.9 272.6 396.2 308.6 398.1L198.7 179.2C183.1 202.1 176.1 228.8 176 256C176.1 292.1 189.8 326.9 214.3 353.4zM463.7 263.3C465 238.5 459.9 213.9 448.8 191.7C437.7 169.6 421.1 150.7 400.5 136.9C379.9 123.1 356.1 114.9 331.4 113.2L441.3 332.8C454.7 311.1 462.4 287.1 463.7 263.3L463.7 263.3z"],
    "candy-bar": [640, 512, [127851, "chocolate-bar"], "e3e8", "M0 352H128V448H32C23.51 448 15.37 444.6 9.372 438.6C3.371 432.6 0 424.5 0 416V352zM621.3 82.75C633.3 94.75 640 111 640 128V384C640 400.1 633.3 417.3 621.3 429.3C609.3 441.3 592.1 448 576 448H160V352H288V320H160V224H288V192H160V64H576C592.1 64 609.3 70.74 621.3 82.75zM592 128C592 123.8 590.3 119.7 587.3 116.7C584.3 113.7 580.2 112 576 112H336V400H576C580.2 400 584.3 398.3 587.3 395.3C590.3 392.3 592 388.2 592 384V128zM0 224H128V320H0V224zM80 128C97.36 127.9 114.2 122.2 128 111.6V192H47.65C58.2 178.2 63.94 161.4 64 144V128H80z"],
    "candy-cane": [512, 512, [], "f786", "M497.1 95.38C469.2 36.62 411.4 0 346.4 0c-29.88 0-59.25 8.125-85 23.5L235.7 38.88c-21.88 13-29 41.37-16 63.13L250.6 153.5c12.13 20.25 39.88 29.75 63.13 15.88l25.75-15.37c16-9.625 30.13 14.62 14.38 24L22.43 375c-10.63 6.25-18 16.38-21 28.25c-3 12-1.25 24.38 5.125 34.88l30.75 51.5C45.68 503.4 60.68 512 76.8 512c8.375 0 16.38-2.25 23.63-6.5L426.2 311.9C501.8 266.6 533.1 171.5 497.1 95.38zM212.3 383.2L155.9 351.5l64.25-38.25l56.38 31.88L212.3 383.2zM324.2 316.8L267.7 285l59.5-35.25l56.25 31.62L324.2 316.8zM395.1 128.1c-3.25-4.125-6.875-7.875-10.88-10.88v-63c30 10 55.25 31.63 69.5 61.75c1.875 3.875 2.875 8 4.25 12.12H395.1zM336.1 48.75v56.62c-15.88 2.875-19.38 6.25-45.13 22l-28.88-48.25C289.7 62.62 304.7 51.5 336.1 48.75zM108.3 379.8l56.5 31.87L77.68 463.5l-29-48.25L108.3 379.8zM426.6 250.6l-51.88-29.25C392.7 210.8 403.9 198.2 407.7 176h55.38C459.9 203.5 447.2 229.9 426.6 250.6z"],
    "candy-corn": [640, 512, [], "f6bd", "M479.1 0c-165.8 1.625-164.5 39.5-157.9 72.5c30.38 151.5 94.01 343.5 157.8 343.5c63.75-.125 127.6-191.9 158-343.5C644.5 39.5 645.8 1.625 479.1 0zM479.9 365.6c-12-10.25-29.25-39.63-47.5-84.13c31.25-1.875 64-1.875 95.26 0C509.3 326.1 492 355.4 479.9 365.6zM591 63c-3.25 16.25-6.75 31.88-10.25 47.13c-63.75-8-137.8-8-201.5 0c-3.5-15.25-7-30.88-10.25-47.13c-.125-.625-.25-1.25-.375-1.75C378.9 57 407.6 48.75 479.1 48c72.38 .75 101.1 9 111.4 13.25C591.3 61.75 591.1 62.38 591 63zM84.97 205.8c-116.1 118.5-88.35 144.4-60.47 162.1c128.6 85.63 309.5 176.4 354.5 131.3c44.88-45.25-45.39-225.9-131.1-354.6C229.2 117.5 203.4 89.77 84.97 205.8zM91.61 354.9c-13.25-8.25-26.75-16.75-40.63-26c-.5-.375-1-.75-1.502-1c4.252-10.25 18.75-36.38 69.38-88.13C170.6 189.1 196.7 174.6 206.1 170.4c.25 .5 .625 1 1 1.5c9.25 13.88 17.75 27.38 26 40.63C183.2 251.9 130.1 304.1 91.61 354.9zM317.6 371.3c18.62 44.5 27.12 77.38 25.75 93.13c-15.75 1.25-48.63-7.25-93.13-25.75C271.1 415.3 294.2 392 317.6 371.3z"],
    "cannabis": [576, 512, [], "f55f", "M523.4 326.9c-2.25-1.156-16.91-8.625-39.5-15.94c44.47-64.09 58.53-126.1 59.19-130c2.781-12.66-1-25.81-10.78-35.84c-9.375-8.844-24.75-12.06-34.44-9.969c-.6562 .125-57.41 11.66-119.4 50.53c-10.06-87.56-49.16-153.9-58.25-168.3C305.9-4.438 270.5-5.062 255.3 18C246.6 31.91 207.5 98.19 197.5 185.8c-60-37.47-115.1-49.88-118.3-50.34L70.5 134.4c-9.969 0-19.5 3.812-27.28 11.19c-9.281 9.281-13.12 22.5-10.31 35.34C33.56 184 47.63 246.9 92.09 311C69.5 318.3 54.81 325.8 52.5 326.1C39.84 333.6 32 346.7 32 360.9c0 14.38 7.906 27.41 20.16 33.78C52.69 395 100.1 420.6 164 425.5c-.7813 2.188-1.25 3.656-1.406 4.188c-4.562 13.78-1 28.75 9.156 38.94c10.03 10.16 24.81 13.94 38.59 9.75C215.5 476.8 240.1 463.4 264 449.1v39.86c0 13.25 10.75 24 24 24s24-10.75 24-24v-39.86c23.85 14.27 48.45 27.69 53.63 29.24C369.4 479.5 373.2 480 376.1 480c10.12 0 19.88-3.906 26.84-11c10.41-10.06 14.19-25.5 9.938-38.25c-.25-.875-.8438-2.688-1.781-5.281c63.94-4.875 111.3-30.47 111.4-30.53C536.1 388.3 544 375.3 544 360.9C544 346.7 536.2 333.6 523.4 326.9zM391.3 378.3c-5.344 0-10.47-.125-15.28-.25l-40.47-1c0 0 21 40.88 22.09 43.19c-11.78-6.656-26.38-15.22-40.72-24.41L312 392.6V311.1C312 298.7 301.3 288 288 288S264 298.7 264 311.1v80.62l-4.938 3.16c-14.47 9.281-29.25 17.91-40.78 24.47c1.094-2.281 2.281-4.719 3.594-7.219L240.5 377c0 0-50.5 1.25-55.84 1.25c-37.53 0-70.38-9.719-90.16-17.28c10.94-4.094 25.88-8.906 43.38-12.38l40.41-8L151.4 309.4C111.8 263.4 92.13 211.8 84.19 186.5c24.72 7.562 74.59 26.09 119.8 62.69l39.09 31.62V226.6c0-76.41 29.94-141.5 44.88-169.3c15.03 27.97 44.88 93 44.88 169.3v54.22l39.09-31.62c46.09-37.28 96.34-55.69 119.9-62.94C484 211.5 464.3 263.2 424.6 309.4l-26.88 31.19l40.41 8c17.53 3.5 32.47 8.281 43.41 12.41C461.8 368.5 428.9 378.3 391.3 378.3z"],
    "capsules": [576, 512, [], "f46b", "M553.8 301l-133.1-179.5c-37-49.59-107.2-59.79-156.7-22.79C244.1 112.8 231 131.8 224 152.6L223.9 143.9C223.9 82.07 173.8 32 111.1 32S-.0021 82.08-.0021 143.1L-.0028 368c0 61.88 50.13 112 112 112s112-50.13 112-112L224 223c3.688 11.31 8.75 22.34 16.26 32.4l133.1 179.5c37 49.59 107.2 59.79 156.7 22.79C580.6 420.7 590.8 350.6 553.8 301zM176 256h-128V144c0-84.75 128-84.75 128 0V256zM345.7 316.5L278.7 226.7c-50.68-67.92 51.91-144.5 102.6-76.55L448.3 239.9L345.7 316.5z"],
    "car": [512, 512, [128664, "automobile"], "f1b9", "M80 288C80 270.3 94.33 256 112 256C129.7 256 144 270.3 144 288C144 305.7 129.7 320 112 320C94.33 320 80 305.7 80 288zM432 288C432 305.7 417.7 320 400 320C382.3 320 368 305.7 368 288C368 270.3 382.3 256 400 256C417.7 256 432 270.3 432 288zM48.1 188.8L82.35 90.93C94.7 55.63 128 32 165.4 32H346.6C383.1 32 417.3 55.63 429.7 90.93L463.9 188.8C492.6 205.4 512 236.4 512 272V456C512 469.3 501.3 480 488 480C474.7 480 464 469.3 464 456V400H48V456C48 469.3 37.25 480 24 480C10.75 480 0 469.3 0 456V272C0 236.4 19.35 205.4 48.1 188.8V188.8zM103.4 176H408.6L384.3 106.8C378.7 90.74 363.6 80 346.6 80H165.4C148.4 80 133.3 90.74 127.7 106.8L103.4 176zM416 224H96C69.49 224 48 245.5 48 272V352H464V272C464 245.5 442.5 224 416 224z"],
    "car-battery": [512, 512, ["battery-car"], "f5df", "M368 176C376.8 176 384 183.2 384 192V224H416C424.8 224 432 231.2 432 240C432 248.8 424.8 256 416 256H384V288C384 296.8 376.8 304 368 304C359.2 304 352 296.8 352 288V256H320C311.2 256 304 248.8 304 240C304 231.2 311.2 224 320 224H352V192C352 183.2 359.2 176 368 176zM192 224C200.8 224 208 231.2 208 240C208 248.8 200.8 256 192 256H96C87.16 256 80 248.8 80 240C80 231.2 87.16 224 96 224H192zM80 96C80 78.33 94.33 64 112 64H176C193.7 64 208 78.33 208 96H304C304 78.33 318.3 64 336 64H400C417.7 64 432 78.33 432 96H448C483.3 96 512 124.7 512 160V384C512 419.3 483.3 448 448 448H64C28.65 448 0 419.3 0 384V160C0 124.7 28.65 96 64 96H80zM48 160V384C48 392.8 55.16 400 64 400H448C456.8 400 464 392.8 464 384V160C464 151.2 456.8 144 448 144H64C55.16 144 48 151.2 48 160z"],
    "car-bolt": [512, 512, [], "e341", "M80 288C80 270.3 94.33 256 112 256C129.7 256 144 270.3 144 288C144 305.7 129.7 320 112 320C94.33 320 80 305.7 80 288zM432 288C432 305.7 417.7 320 400 320C382.3 320 368 305.7 368 288C368 270.3 382.3 256 400 256C417.7 256 432 270.3 432 288zM315.2 116.6C320.5 121.8 321.5 129.9 317.7 136.2L284.3 192H336C343.1 192 349.4 196.7 351.4 203.6C353.3 210.5 350.5 217.8 344.5 221.6L216.5 301.6C210.2 305.5 202.1 304.6 196.8 299.4C191.5 294.2 190.5 286.1 194.3 279.8L227.7 224H176C168.9 224 162.6 219.3 160.6 212.4C158.7 205.5 161.5 198.2 167.5 194.4L295.5 114.4C301.8 110.5 309.9 111.4 315.2 116.6H315.2zM48.1 188.8L82.35 90.93C94.7 55.63 128 32 165.4 32H346.6C383.1 32 417.3 55.63 429.7 90.93L463.9 188.8C492.6 205.4 512 236.4 512 272V456C512 469.3 501.3 480 488 480C474.7 480 464 469.3 464 456V400H48V456C48 469.3 37.25 480 24 480C10.75 480 0 469.3 0 456V272C0 236.4 19.35 205.4 48.1 188.8V188.8zM103.4 176H128V224H96C69.49 224 48 245.5 48 272V352H464V272C464 245.5 442.5 224 416 224H384V176H408.6L384.3 106.8C378.7 90.74 363.6 80 346.6 80H165.4C148.4 80 133.3 90.74 127.7 106.8L103.4 176z"],
    "car-building": [640, 512, [], "f859", "M288 48H64C55.16 48 48 55.16 48 64V416C48 424.8 55.16 432 64 432H192V480H64C28.65 480 0 451.3 0 416V64C0 28.65 28.65 0 64 0H288C323.3 0 352 28.65 352 64V128.5C334.5 130.1 318.1 136.1 304 145.6V63.1C304 55.16 296.8 47.1 288 47.1V48zM242.9 255.7C241.1 255.9 240.1 256 240 256H208C199.2 256 192 248.8 192 240V208C192 199.2 199.2 192 208 192H240C248.8 192 256 199.2 256 208V219.1L242.9 255.7zM96 112C96 103.2 103.2 96 112 96H144C152.8 96 160 103.2 160 112V144C160 152.8 152.8 160 144 160H112C103.2 160 96 152.8 96 144V112zM240 96C248.8 96 256 103.2 256 112V144C256 152.8 248.8 160 240 160H208C199.2 160 192 152.8 192 144V112C192 103.2 199.2 96 208 96H240zM96 208C96 199.2 103.2 192 112 192H144C152.8 192 160 199.2 160 208V240C160 248.8 152.8 256 144 256H112C103.2 256 96 248.8 96 240V208zM96 304C96 295.2 103.2 288 112 288H144C152.8 288 160 295.2 160 304V336C160 344.8 152.8 352 144 352H112C103.2 352 96 344.8 96 336V304zM312 360C312 346.7 322.7 336 336 336C349.3 336 360 346.7 360 360C360 373.3 349.3 384 336 384C322.7 384 312 373.3 312 360zM552 360C552 373.3 541.3 384 528 384C514.7 384 504 373.3 504 360C504 346.7 514.7 336 528 336C541.3 336 552 346.7 552 360zM294 207.8C304.3 179.1 331.4 160 361.8 160H502.2C532.6 160 559.7 179.1 569.1 207.8L598.6 287.9C598.8 288.4 598.9 288.9 599.1 289.3C623.8 306.7 640 335.5 640 368V488C640 501.3 629.3 512 616 512C602.7 512 592 501.3 592 488V448H272V488C272 501.3 261.3 512 248 512C234.7 512 224 501.3 224 488V368C224 335.5 240.2 306.7 264.9 289.3C265.1 288.9 265.2 288.4 265.4 287.9L294 207.8zM361.8 208C351.7 208 342.6 214.4 339.2 223.9L322.1 272H541.9L524.8 223.9C521.4 214.4 512.3 208 502.2 208H361.8zM544 320H320C293.5 320 272 341.5 272 368V400H592V368C592 341.5 570.5 320 544 320z"],
    "car-bump": [640, 512, [], "f5e0", "M172.2 299.9C176.6 316.3 166.9 333.2 150.4 337.6C133.1 341.1 117.1 332.2 112.7 315.8C108.3 299.4 118.1 282.5 134.5 278.1C150.9 273.7 167.8 283.4 172.2 299.9V299.9zM380.4 244.1C376 227.6 385.8 210.8 402.2 206.4C418.6 201.1 435.5 211.7 439.9 228.1C444.3 244.6 434.6 261.4 418.1 265.8C401.7 270.2 384.8 260.5 380.4 244.1H380.4zM129.8 55.25L294.9 11C330.1 1.326 369.3 15.53 390.4 46.43L447.4 130.1C477.6 139.7 502.4 163.1 511.2 196.8L556.1 364.4C559.4 376.7 552.1 389.4 539.8 392.7C527.5 395.1 514.8 388.6 511.5 376.3L497.6 324.3L110.9 427.9L124.8 479.9C128.1 492.3 120.8 504.9 108.5 508.2C96.16 511.5 83.49 504.2 80.19 491.9L35.29 324.3C26.49 291.5 35.84 258.1 57.2 234.7L64.78 133.7C67.57 96.38 93.63 64.93 129.8 55.25V55.25zM142.2 101.6C125.8 106 113.9 120.3 112.6 137.3L107.5 205.6L389.3 130.1L350.7 73.47C341.1 59.43 323.7 52.97 307.3 57.37L142.2 101.6zM81.66 311.9L100.2 381.1L483.4 278.4L464.9 209.2C458 183.6 431.7 168.4 406.1 175.3L115.6 253.1C89.99 260 74.8 286.3 81.66 311.9V311.9zM436.9 512C417.4 512 402.2 494.3 411.1 476.1C429.7 440.8 467.4 416 510.9 416C554.3 416 592 440.8 610.6 476.1C619.5 494.3 604.3 512 584.8 512H436.9z"],
    "car-burst": [640, 512, ["car-crash"], "f5e1", "M227.3 77.46L290.4 65.64C291.5 65.45 292.5 65.32 293.5 65.26C289.9 69.34 286.5 73.69 283.4 78.29L254 121.3L218.8 127.9C208.5 129.8 198.1 124.8 193.2 115.6L175.1 83.18L158.8 115.6C153.9 124.8 143.5 129.8 133.2 127.9L97.18 121.1L111.8 154.8C115.9 164.4 113.4 175.6 105.4 182.5L77.71 206.4L113.1 215.1C123.2 218.7 130.4 227.7 130.8 238.2L132.3 274.8L161.8 253.1C163.6 251.8 165.7 250.7 167.8 249.9L148.3 322.6L124.3 340.3C117.1 345.5 107.6 346.4 99.64 342.6C91.64 338.7 86.42 330.8 86.07 321.9L83.55 257.7L21.56 240.1C12.98 238.7 6.388 231.8 4.412 223.2C2.436 214.5 5.402 205.5 12.12 199.7L60.71 157.7L35.15 98.79C31.61 90.64 32.86 81.21 38.4 74.27C43.93 67.32 52.85 64.01 61.58 65.64L124.7 77.46L154.8 20.75C158.1 12.9 167.1 8 176 8C184.9 8 193 12.9 197.2 20.75L227.3 77.46zM548.9 304.1C563.5 307.1 572.2 323 568.3 337.6C564.3 352.2 549.3 360.9 534.7 356.1C520.1 353 511.5 338 515.4 323.4C519.3 308.8 534.3 300.2 548.9 304.1zM296.8 293.2C282.2 289.3 273.5 274.3 277.4 259.7C281.3 245.1 296.3 236.4 310.9 240.3C325.5 244.2 334.2 259.2 330.3 273.8C326.4 288.4 311.4 297.1 296.8 293.2zM613.9 180.5L621.1 276.9C636.2 299.2 641.8 327.5 634.3 355.5L597.2 494.1C594.2 505.1 582.1 511.6 572 508.6C561.1 505.7 554.6 494.5 557.5 483.5L569.9 437.2L226.2 345.1L213.8 391.4C210.8 402.4 199.6 408.9 188.6 405.9C177.7 402.1 171.2 391.7 174.1 380.8L211.3 242.1C218.7 214.2 237.8 192.4 261.1 180.7L316.4 100.8C337.5 69.93 375.8 55.72 411.9 65.4L548.9 102.1C585 111.8 611.1 143.2 613.9 180.5L613.9 180.5zM399.5 111.8C383.1 107.4 365.7 113.8 356.1 127.9L325.1 173.3C326.3 173.6 327.6 173.9 328.8 174.3L566.4 237.9C567.7 238.3 568.9 238.6 570.2 239L566 184.1C564.8 167.2 552.9 152.9 536.5 148.5L399.5 111.8zM554 284.3L316.4 220.6C290.8 213.8 264.5 228.1 257.6 254.6L245.3 300.6L575.6 389.1L587.9 343.1C594.8 317.5 579.6 291.2 554 284.3V284.3z"],
    "car-bus": [640, 512, [], "f85a", "M48 256V352C48 365.3 58.75 376 72 376H192V424H80V456C80 469.3 69.25 480 56 480C42.75 480 32 469.3 32 456V411.9C12.7 398.1 0 376.1 0 352V118.2C0 96.18 4.597 66.28 28.76 46.81C58.65 22.73 111.5 0 192 0C276.9 0 327.8 22.09 356.5 46.62C379.9 66.62 384 96.49 384 118.2V128H348.2C344.1 128 340 128.3 336 128.8V128H216V208H252.9L239.2 256L48 256zM321.4 80C302.1 65.3 263.5 48 192 48C126.6 48 86.16 64.83 64.46 80H321.4zM48 128V208H168V128H48zM80 312C80 298.7 90.75 288 104 288C117.3 288 128 298.7 128 312C128 325.3 117.3 336 104 336C90.75 336 80 325.3 80 312zM312 360C312 346.7 322.7 336 336 336C349.3 336 360 346.7 360 360C360 373.3 349.3 384 336 384C322.7 384 312 373.3 312 360zM552 360C552 373.3 541.3 384 528 384C514.7 384 504 373.3 504 360C504 346.7 514.7 336 528 336C541.3 336 552 346.7 552 360zM294 207.8C304.3 179.1 331.4 160 361.8 160H502.2C532.6 160 559.7 179.1 569.1 207.8L598.6 287.9C598.8 288.4 598.9 288.9 599.1 289.3C623.8 306.7 640 335.5 640 368V488C640 501.3 629.3 512 616 512C602.7 512 592 501.3 592 488V448H272V488C272 501.3 261.3 512 248 512C234.7 512 224 501.3 224 488V368C224 335.5 240.2 306.7 264.9 289.3C265.1 288.9 265.2 288.4 265.4 287.9L294 207.8zM361.8 208C351.7 208 342.6 214.4 339.2 223.9L322.1 272H541.9L524.8 223.9C521.4 214.4 512.3 208 502.2 208H361.8zM544 320H320C293.5 320 272 341.5 272 368V400H592V368C592 341.5 570.5 320 544 320z"],
    "car-circle-bolt": [640, 512, [], "e342", "M48.1 188.8L82.35 90.93C94.7 55.63 128 32 165.4 32H346.6C383.1 32 417.3 55.63 429.7 90.93L463.9 188.8C466.5 190.3 469.1 191.9 471.5 193.7C443.2 197.6 417.1 208.3 394.8 224H96C69.49 224 48 245.5 48 272V352H320.7C320.2 357.3 320 362.6 320 368C320 378.9 320.1 389.6 322.9 400H48V456C48 469.3 37.25 480 24 480C10.75 480 0 469.3 0 456V272C0 236.4 19.35 205.4 48.1 188.8V188.8zM103.4 176H408.6L384.3 106.8C378.7 90.74 363.6 80 346.6 80H165.4C148.4 80 133.3 90.74 127.7 106.8L103.4 176zM80 288C80 270.3 94.33 256 112 256C129.7 256 144 270.3 144 288C144 305.7 129.7 320 112 320C94.33 320 80 305.7 80 288zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM528.8 286.4L432.8 358.4C428.7 361.5 426.1 366.9 428.6 371.8C430.2 376.7 434.8 380 440 380H475.6L445.5 434.2C442.8 439.1 443.8 445.3 448.1 449C452.4 452.8 458.7 452.1 463.2 449.6L559.2 377.6C563.3 374.5 565 369.1 563.4 364.2C561.8 359.3 557.2 356 552 356H516.4L546.5 301.8C549.2 296.9 548.2 290.7 543.9 286.1C539.6 283.2 533.3 283 528.8 286.4V286.4z"],
    "car-garage": [640, 512, [], "f5e2", "M627.4 162.9C639.1 169.2 643.4 183.8 637.1 195.4C630.8 207.1 616.2 211.4 604.6 205.1L319.1 51.28L35.41 205.1C23.75 211.4 9.19 207.1 2.887 195.4C-3.416 183.8 .9271 169.2 12.59 162.9L308.6 2.887C315.7-.9623 324.3-.9623 331.4 2.887L627.4 162.9zM200 360C200 346.7 210.7 336 224 336C237.3 336 248 346.7 248 360C248 373.3 237.3 384 224 384C210.7 384 200 373.3 200 360zM440 360C440 373.3 429.3 384 416 384C402.7 384 392 373.3 392 360C392 346.7 402.7 336 416 336C429.3 336 440 346.7 440 360zM182 207.8C192.3 179.1 219.4 160 249.8 160H390.2C420.6 160 447.7 179.1 457.1 207.8L486.6 287.9C486.8 288.4 486.9 288.9 487.1 289.3C511.8 306.7 528 335.5 528 368V488C528 501.3 517.3 512 504 512C490.7 512 480 501.3 480 488V448H160V488C160 501.3 149.3 512 136 512C122.7 512 112 501.3 112 488V368C112 335.5 128.2 306.7 152.9 289.3C153.1 288.9 153.2 288.4 153.4 287.9L182 207.8zM249.8 208C239.7 208 230.6 214.4 227.2 223.9L210.1 272H429.9L412.8 223.9C409.4 214.4 400.3 208 390.2 208H249.8zM432 320H208C181.5 320 160 341.5 160 368V400H480V368C480 341.5 458.5 320 432 320z"],
    "car-mirrors": [576, 512, [], "e343", "M176 288C176 305.7 161.7 320 144 320C126.3 320 112 305.7 112 288C112 270.3 126.3 256 144 256C161.7 256 176 270.3 176 288zM400 288C400 270.3 414.3 256 432 256C449.7 256 464 270.3 464 288C464 305.7 449.7 320 432 320C414.3 320 400 305.7 400 288zM44.84 224H40C26.75 224 16 213.3 16 200C16 186.7 26.75 176 40 176H84.57L114.3 90.93C126.7 55.63 160 32 197.4 32H378.6C415.1 32 449.3 55.63 461.7 90.93L491.4 176H536C549.3 176 560 186.7 560 200C560 213.3 549.3 224 536 224H531.2C539.3 238.1 544 254.5 544 272V456C544 469.3 533.3 480 520 480C506.7 480 496 469.3 496 456V400H80V456C80 469.3 69.25 480 56 480C42.75 480 32 469.3 32 456V272C32 254.5 36.67 238.1 44.84 224zM197.4 80C180.4 80 165.3 90.74 159.7 106.8L135.4 176H440.6L416.3 106.8C410.7 90.74 395.6 80 378.6 80H197.4zM80 272V352H496V272C496 245.5 474.5 224 448 224H128C101.5 224 80 245.5 80 272z"],
    "car-on": [448, 512, [], "e4dd", "M248 104C248 117.3 237.3 128 224 128C210.7 128 200 117.3 200 104V24C200 10.75 210.7 0 224 0C237.3 0 248 10.75 248 24V104zM104 360C104 346.7 114.7 336 128 336C141.3 336 152 346.7 152 360C152 373.3 141.3 384 128 384C114.7 384 104 373.3 104 360zM344 360C344 373.3 333.3 384 320 384C306.7 384 296 373.3 296 360C296 346.7 306.7 336 320 336C333.3 336 344 346.7 344 360zM86.02 207.8C96.26 179.1 123.4 160 153.8 160H294.2C324.6 160 351.7 179.1 361.1 207.8L390.6 287.9C390.8 288.4 390.9 288.9 391.1 289.3C415.8 306.7 432 335.5 432 368V488C432 501.3 421.3 512 408 512C394.7 512 384 501.3 384 488V448H64V488C64 501.3 53.25 512 40 512C26.75 512 16 501.3 16 488V368C16 335.5 32.18 306.7 56.94 289.3C57.08 288.9 57.23 288.4 57.4 287.9L86.02 207.8zM153.8 208C143.7 208 134.6 214.4 131.2 223.9L114.1 272H333.9L316.8 223.9C313.4 214.4 304.3 208 294.2 208H153.8zM384 368C384 341.5 362.5 320 336 320H112C85.49 320 64 341.5 64 368V400H384V368zM7.029 39.03C16.4 29.66 31.6 29.66 40.97 39.03L88.97 87.03C98.34 96.4 98.34 111.6 88.97 120.1C79.6 130.3 64.4 130.3 55.03 120.1L7.029 72.97C-2.343 63.6-2.343 48.4 7.029 39.03V39.03zM407 39.03C416.4 29.66 431.6 29.66 440.1 39.03C450.3 48.4 450.3 63.6 440.1 72.97L392.1 120.1C383.6 130.3 368.4 130.3 359 120.1C349.7 111.6 349.7 96.4 359 87.03L407 39.03z"],
    "car-rear": [512, 512, ["car-alt"], "f5de", "M165.4 32H346.6C383.1 32 417.3 55.63 429.7 90.93L463.9 188.8C492.6 205.4 512 236.4 512 272V336C512 359.7 499.1 380.4 480 391.4V456C480 469.3 469.3 480 456 480C442.7 480 432 469.3 432 456V400H80V456C80 469.3 69.25 480 56 480C42.75 480 32 469.3 32 456V391.4C12.87 380.4 0 359.7 0 336V272C0 236.4 19.35 205.4 48.1 188.8L82.35 90.93C94.7 55.63 128 32 165.4 32V32zM165.4 80C148.4 80 133.3 90.74 127.7 106.8L103.4 176H408.6L384.3 106.8C378.7 90.74 363.6 80 346.6 80H165.4zM50.73 256H104C117.3 256 128 266.7 128 280C128 293.3 117.3 304 104 304H48V336C48 344.8 55.16 352 64 352H192V320C192 302.3 206.3 288 224 288H288C305.7 288 320 302.3 320 320V352H448C456.8 352 464 344.8 464 336V304H408C394.7 304 384 293.3 384 280C384 266.7 394.7 256 408 256H461.3C454.7 237.4 436.9 224 416 224H96C75.1 224 57.32 237.4 50.73 256V256z"],
    "car-side": [640, 512, [128663], "f5e4", "M640 320V368C640 385.7 625.7 400 608 400H574.7C567.1 445.4 527.6 480 480 480C432.4 480 392.9 445.4 385.3 400H254.7C247.1 445.4 207.6 480 160 480C112.4 480 72.94 445.4 65.33 400H32C14.33 400 0 385.7 0 368V256C0 226.6 19.82 201.8 46.82 194.3L89.62 87.32C102.1 53.91 135.3 32 171.3 32H353.2C379.1 32 405.3 44.15 421.1 65.03L523.1 192.6C589.1 198.6 640 253.3 640 320V320zM171.3 80C154.1 80 140.3 89.96 134.2 105.1L99.45 192H224V80H171.3zM272 192H462.1L384.5 95.01C376.9 85.52 365.4 80 353.2 80H271.1L272 192zM525.3 400C527 394.1 528 389.6 528 384C528 378.4 527 373 525.3 368C518.7 349.4 500.9 336 480 336C459.1 336 441.3 349.4 434.7 368C432.1 373 432 378.4 432 384C432 389.6 432.1 394.1 434.7 400C441.3 418.6 459.1 432 480 432C500.9 432 518.7 418.6 525.3 400zM570.5 352H592V320C592 275.8 556.2 240 512 240H64C55.16 240 48 247.2 48 256V352H69.46C82.64 314.7 118.2 288 160 288C201.8 288 237.4 314.7 250.5 352H389.5C402.6 314.7 438.2 288 480 288C521.8 288 557.4 314.7 570.5 352H570.5zM205.3 400C207 394.1 208 389.6 208 384C208 378.4 207 373 205.3 368C198.7 349.4 180.9 336 160 336C139.1 336 121.3 349.4 114.7 368C112.1 373 112 378.4 112 384C112 389.6 112.1 394.1 114.7 400C121.3 418.6 139.1 432 160 432C180.9 432 198.7 418.6 205.3 400z"],
    "car-side-bolt": [640, 512, [], "e344", "M331.2 100.6C336.5 105.8 337.5 113.9 333.7 120.2L300.3 176H352C359.1 176 365.4 180.7 367.4 187.6C369.4 194.5 366.5 201.8 360.5 205.6L232.5 285.6C226.2 289.5 218.1 288.6 212.8 283.4C207.5 278.2 206.5 270.1 210.3 263.8L243.7 208H192C184.9 208 178.6 203.3 176.6 196.4C174.7 189.6 177.5 182.2 183.5 178.4L311.5 98.43C317.8 94.51 325.9 95.4 331.2 100.6H331.2zM46.82 194.3L89.62 87.32C102.1 53.91 135.3 32 171.3 32H353.2C379.1 32 405.3 44.15 421.1 65.03L523.1 192.6C589.1 198.6 640 253.3 640 320V368C640 385.7 625.7 400 608 400H574.7C567.1 445.4 527.6 480 480 480C432.4 480 392.9 445.4 385.3 400H254.7C247.1 445.4 207.6 480 160 480C112.4 480 72.94 445.4 65.33 400H32C14.33 400 0 385.7 0 368V256C0 226.6 19.82 201.8 46.82 194.3V194.3zM99.45 192H128V240H64C55.16 240 48 247.2 48 256V352H69.46C82.64 314.7 118.2 288 160 288C201.8 288 237.4 314.7 250.5 352H389.5C402.6 314.7 438.2 288 480 288C521.8 288 557.4 314.7 570.5 352H592V320C592 275.8 556.2 240 512 240H416V192H462.1L384.5 95.01C376.9 85.52 365.4 80 353.2 80H171.3C154.1 80 140.3 89.96 134.2 105.1L99.45 192zM434.7 400C441.3 418.6 459.1 432 480 432C500.9 432 518.7 418.6 525.3 400C527 394.1 528 389.6 528 384C528 378.4 527 373 525.3 368C518.7 349.4 500.9 336 480 336C459.1 336 441.3 349.4 434.7 368C432.1 373 432 378.4 432 384C432 389.6 432.1 394.1 434.7 400V400zM205.3 368C198.7 349.4 180.9 336 160 336C139.1 336 121.3 349.4 114.7 368C112.1 373 112 378.4 112 384C112 389.6 112.1 394.1 114.7 400C121.3 418.6 139.1 432 160 432C180.9 432 198.7 418.6 205.3 400C207 394.1 208 389.6 208 384C208 378.4 207 373 205.3 368z"],
    "car-tilt": [640, 512, [], "f5e5", "M172.2 299.9C176.6 316.3 166.9 333.2 150.4 337.6C133.1 341.1 117.1 332.2 112.7 315.8C108.3 299.4 118.1 282.5 134.5 278.1C150.9 273.7 167.8 283.4 172.2 299.9V299.9zM380.4 244.1C376 227.6 385.8 210.8 402.2 206.4C418.6 201.1 435.5 211.7 439.9 228.1C444.3 244.6 434.6 261.4 418.1 265.8C401.7 270.2 384.8 260.5 380.4 244.1H380.4zM129.8 55.25L294.9 11C330.1 1.326 369.3 15.53 390.4 46.43L447.4 130.1C477.6 139.7 502.4 163.1 511.2 196.8L556.1 364.4C559.4 376.7 552.1 389.4 539.8 392.7C527.5 395.1 514.8 388.6 511.5 376.3L497.6 324.3L110.9 427.9L120.5 464H616C629.3 464 640 474.7 640 488C640 501.3 629.3 512 616 512H24C10.75 512 0 501.3 0 488C0 474.7 10.75 464 24 464H72.71L35.3 324.3C26.49 291.5 35.84 258.1 57.2 234.7L64.78 133.7C67.57 96.38 93.63 64.93 129.8 55.25V55.25zM142.2 101.6C125.8 106 113.9 120.3 112.6 137.3L107.5 205.6L389.3 130.1L350.7 73.47C341.1 59.43 323.7 52.97 307.3 57.37L142.2 101.6zM81.66 311.9L100.2 381.1L483.4 278.4L464.9 209.2C458 183.6 431.7 168.4 406.1 175.3L115.6 253.1C89.99 260 74.8 286.3 81.66 311.9V311.9z"],
    "car-tunnel": [512, 512, [], "e4de", "M256 48C141.1 48 48 141.1 48 256V488C48 501.3 37.25 512 24 512C10.75 512 0 501.3 0 488V256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256V488C512 501.3 501.3 512 488 512C474.7 512 464 501.3 464 488V256C464 141.1 370.9 48 256 48zM208 400C208 413.3 197.3 424 184 424C170.7 424 160 413.3 160 400C160 386.7 170.7 376 184 376C197.3 376 208 386.7 208 400zM304 400C304 386.7 314.7 376 328 376C341.3 376 352 386.7 352 400C352 413.3 341.3 424 328 424C314.7 424 304 413.3 304 400zM122.7 332L145.1 262.7C152.6 239.6 174.1 224 198.4 224H313.6C337.9 224 359.4 239.6 366.9 262.7L389.3 332C405.5 343.6 416 362.6 416 384V488C416 501.3 405.3 512 392 512C378.7 512 368 501.3 368 488V480H144V488C144 501.3 133.3 512 120 512C106.7 512 96 501.3 96 488V384C96 362.6 106.5 343.6 122.7 332V332zM177 320H334.1L321.2 277.5C320.2 274.2 317.1 272 313.6 272H198.4C194.9 272 191.8 274.2 190.8 277.5L177 320zM144 432H368V384C368 375.2 360.8 368 352 368H160C151.2 368 144 375.2 144 384V432z"],
    "car-wash": [448, 512, [], "f5e6", "M176 80C176 48 224 0 224 0C224 0 272 48 272 80C272 112 250.5 128 224 128C197.5 128 176 106.5 176 80zM104 360C104 346.7 114.7 336 128 336C141.3 336 152 346.7 152 360C152 373.3 141.3 384 128 384C114.7 384 104 373.3 104 360zM344 360C344 373.3 333.3 384 320 384C306.7 384 296 373.3 296 360C296 346.7 306.7 336 320 336C333.3 336 344 346.7 344 360zM86.02 207.8C96.26 179.1 123.4 160 153.8 160H294.2C324.6 160 351.7 179.1 361.1 207.8L390.6 287.9C390.8 288.4 390.9 288.9 391.1 289.3C415.8 306.7 432 335.5 432 368V488C432 501.3 421.3 512 408 512C394.7 512 384 501.3 384 488V448H64V488C64 501.3 53.25 512 40 512C26.75 512 16 501.3 16 488V368C16 335.5 32.18 306.7 56.94 289.3C57.08 288.9 57.23 288.4 57.4 287.9L86.02 207.8zM153.8 208C143.7 208 134.6 214.4 131.2 223.9L114.1 272H333.9L316.8 223.9C313.4 214.4 304.3 208 294.2 208H153.8zM384 368C384 341.5 362.5 320 336 320H112C85.49 320 64 341.5 64 368V400H384V368zM112 80C112 112 90.51 128 64 128C37.49 128 16 106.5 16 80C16 48 64 0 64 0C64 0 112 48 112 80zM336 80C336 48 384 0 384 0C384 0 432 48 432 80C432 112 410.5 128 384 128C357.5 128 336 106.5 336 80z"],
    "car-wrench": [576, 512, ["car-mechanic"], "f5e3", "M534.5 104C545.3 104 552.1 114.6 547.1 123.6C543.5 129.1 539.3 134.1 534.5 138.5C530.3 142.4 525.7 145.9 520.7 148.9C518.8 149.1 516.9 151 514.9 152C504.4 157.1 492.5 160 480 160C450.9 160 425.5 144.5 411.5 121.3C408.2 115.8 402.5 112 396.2 112H179.8C173.5 112 167.8 115.8 164.5 121.3C150.5 144.5 125.1 160 96 160C83.48 160 71.64 157.1 61.09 152C59.1 151 57.16 149.1 55.27 148.9C50.29 145.9 45.66 142.4 41.46 138.5C36.71 134.1 32.5 129.1 28.94 123.6C23.04 114.6 30.65 104 41.46 104H72L72.51 103.1C73.24 103.1 73.95 103.9 74.66 103.9C86.66 102.5 96 92.36 96 80C96 67.64 86.66 57.47 74.66 56.15C73.95 56.07 73.24 56.02 72.51 56.01L72 56H41.46C30.65 56 23.04 45.4 28.94 36.35C32.5 30.9 36.71 25.9 41.46 21.47C45.66 17.55 50.29 14.08 55.27 11.13C57.16 10.01 59.1 8.965 61.09 8C71.64 2.875 83.48 0 96 0C125.1 0 150.5 15.51 164.5 38.71C167.8 44.15 173.5 48 179.8 48H396.2C402.5 48 408.2 44.15 411.5 38.71C425.5 15.51 450.9 0 480 0C492.5 0 504.4 2.875 514.9 8C516.9 8.965 518.8 10.01 520.7 11.13C525.7 14.08 530.3 17.55 534.5 21.47C539.3 25.9 543.5 30.9 547.1 36.35C552.1 45.4 545.3 56 534.5 56H504L503.5 56.01C502.8 56.02 502 56.07 501.3 56.15C489.3 57.47 480 67.64 480 80C480 92.36 489.3 102.5 501.3 103.9C502 103.9 502.8 103.1 503.5 103.1L504 104H534.5zM168 360C168 346.7 178.7 336 192 336C205.3 336 216 346.7 216 360C216 373.3 205.3 384 192 384C178.7 384 168 373.3 168 360zM408 360C408 373.3 397.3 384 384 384C370.7 384 360 373.3 360 360C360 346.7 370.7 336 384 336C397.3 336 408 346.7 408 360zM150 207.8C160.3 179.1 187.4 160 217.8 160H358.2C388.6 160 415.7 179.1 425.1 207.8L454.6 287.9C454.8 288.4 454.9 288.9 455.1 289.3C479.8 306.7 496 335.5 496 368V488C496 501.3 485.3 512 472 512C458.7 512 448 501.3 448 488V448H128V488C128 501.3 117.3 512 104 512C90.75 512 80 501.3 80 488V368C80 335.5 96.18 306.7 120.9 289.3C121.1 288.9 121.2 288.4 121.4 287.9L150 207.8zM217.8 208C207.7 208 198.6 214.4 195.2 223.9L178.1 272H397.9L380.8 223.9C377.4 214.4 368.3 208 358.2 208H217.8zM400 320H176C149.5 320 128 341.5 128 368V400H448V368C448 341.5 426.5 320 400 320z"],
    "caravan": [640, 512, [], "f8ff", "M256 128C273.7 128 288 142.3 288 160V224C288 241.7 273.7 256 256 256H128C110.3 256 96 241.7 96 224V160C96 142.3 110.3 128 128 128H256zM0 336V112C0 67.82 35.82 32 80 32H416C504.4 32 576 103.6 576 192V368H616C629.3 368 640 378.7 640 392C640 405.3 629.3 416 616 416H288C288 469 245 512 192 512C138.1 512 96 469 96 416H80C35.82 416 0 380.2 0 336zM416 80H80C62.33 80 48 94.33 48 112V336C48 353.7 62.33 368 80 368H108.8C125.4 339.3 156.5 320 192 320C227.5 320 258.6 339.3 275.2 368H320V168C320 145.9 337.9 128 360 128H440C462.1 128 480 145.9 480 168V368H528V192C528 130.1 477.9 80 416 80zM432 224V176H368V368H432V272H416C402.7 272 392 261.3 392 248C392 234.7 402.7 224 416 224H432zM192 464C218.5 464 240 442.5 240 416C240 389.5 218.5 368 192 368C165.5 368 144 389.5 144 416C144 442.5 165.5 464 192 464z"],
    "caravan-simple": [640, 512, ["caravan-alt"], "e000", "M96 160C96 142.3 110.3 128 128 128H256C273.7 128 288 142.3 288 160V224C288 241.7 273.7 256 256 256H128C110.3 256 96 241.7 96 224V160zM416 128C433.7 128 448 142.3 448 160V224C448 241.7 433.7 256 416 256H352C334.3 256 320 241.7 320 224V160C320 142.3 334.3 128 352 128H416zM96 416H80C35.82 416 0 380.2 0 336V112C0 67.82 35.82 32 80 32H416C504.4 32 576 103.6 576 192V368H616C629.3 368 640 378.7 640 392C640 405.3 629.3 416 616 416H288C288 469 245 512 192 512C138.1 512 96 469 96 416zM48 112V336C48 353.7 62.33 368 80 368H108.8C125.4 339.3 156.5 320 192 320C227.5 320 258.6 339.3 275.2 368H528V192C528 130.1 477.9 80 416 80H80C62.33 80 48 94.33 48 112zM192 368C165.5 368 144 389.5 144 416C144 442.5 165.5 464 192 464C218.5 464 240 442.5 240 416C240 389.5 218.5 368 192 368z"],
    "card-club": [384, 512, [], "e3e9", "M130.1 208.3C128.7 203.1 128 197.6 128 192C128 156.7 156.7 128 192 128C227.3 128 256 156.7 256 192C256 197.6 255.3 203.1 253.9 208.3C282.1 211.3 304 235.1 304 264C304 294.9 278.9 320 248 320C232.3 320 218.2 313.6 208 303.2V336H224C232.8 336 240 343.2 240 352C240 360.8 232.8 368 224 368H160C151.2 368 144 360.8 144 352C144 343.2 151.2 336 160 336H176V303.2C165.8 313.6 151.7 320 136 320C105.1 320 80 294.9 80 264C80 235.1 101.9 211.3 130.1 208.3zM320 0C355.3 0 384 28.65 384 64V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H320zM320 48H64C55.16 48 48 55.16 48 64V448C48 456.8 55.16 464 64 464H320C328.8 464 336 456.8 336 448V64C336 55.16 328.8 48 320 48z"],
    "card-diamond": [384, 512, [], "e3ea", "M180.7 148.7C186.9 142.4 197.1 142.4 203.3 148.7L299.3 244.7C305.6 250.9 305.6 261.1 299.3 267.3L203.3 363.3C197.1 369.6 186.9 369.6 180.7 363.3L84.69 267.3C78.44 261.1 78.44 250.9 84.69 244.7L180.7 148.7zM0 64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64zM48 64V448C48 456.8 55.16 464 64 464H320C328.8 464 336 456.8 336 448V64C336 55.16 328.8 48 320 48H64C55.16 48 48 55.16 48 64z"],
    "card-heart": [384, 512, [], "e3eb", "M182.1 347.8L97.37 262.2C72.9 237.4 74.21 196.3 101.7 173.1C125.3 153 161.6 156.9 183.5 178.7L192.2 187.7L200.5 178.7C222.3 156.9 258.2 153 282.6 173.1C309.7 196.3 311.1 237.4 286.6 262.2L202.2 347.8C196.6 353.4 187.4 353.4 182.1 347.8H182.1zM0 64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64zM48 64V448C48 456.8 55.16 464 64 464H320C328.8 464 336 456.8 336 448V64C336 55.16 328.8 48 320 48H64C55.16 48 48 55.16 48 64z"],
    "card-spade": [384, 512, [], "e3ec", "M175 141.2C184.4 131.8 199.6 131.8 208.1 141.2L291.3 223.5C313.2 245.4 313.2 280.8 291.3 302.7C269.5 324.6 234 324.6 212.1 302.7L208.1 299.5C208.7 299.2 208.3 298.9 207.1 298.6V335.1H223.1C232.8 335.1 239.1 343.2 239.1 351.1C239.1 360.8 232.8 367.1 223.1 367.1H159.1C151.2 367.1 143.1 360.8 143.1 351.1C143.1 343.2 151.2 335.1 159.1 335.1H175.1V298.6C175.7 298.9 175.3 299.2 175 299.5L171.9 302.7C149.1 324.6 114.5 324.6 92.67 302.7C70.8 280.8 70.8 245.4 92.67 223.5L175 141.2zM0 64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64zM48 64V448C48 456.8 55.16 464 64 464H320C328.8 464 336 456.8 336 448V64C336 55.16 328.8 48 320 48H64C55.16 48 48 55.16 48 64z"],
    "cards": [640, 512, [], "e3ed", "M171.4 174.3C174.4 163.2 185.8 156.6 196.1 159.6L299.9 187.1C325.9 194.1 341.3 220.8 334.4 246.8C327.4 272.8 300.7 288.2 274.7 281.2L265.9 278.9C265.5 278.8 265.1 278.7 264.7 278.6L282.5 309.3L294.5 302.4C301.2 298.5 309.7 300.8 313.5 307.4C317.4 314.1 315.1 322.6 308.4 326.5L260.2 354.3C253.6 358.1 245.1 355.9 241.2 349.2C237.4 342.5 239.6 334 246.3 330.2L258.4 323.2L240.6 292.5C240.5 292.9 240.4 293.3 240.3 293.6L237.9 302.5C230.1 328.5 204.3 343.9 178.3 336.9C152.3 329.1 136.9 303.2 143.8 277.3L171.4 174.3zM220.7 7.468C247.3-7.906 281.4 1.218 296.8 27.85L463.8 317.1C479.1 343.8 470 377.8 443.4 393.2L250.5 504.5C223.9 519.9 189.9 510.8 174.5 484.2L7.468 194.9C-7.906 168.2 1.218 134.2 27.85 118.8L220.7 7.468zM244.7 49.04L51.85 160.4C48.18 162.5 46.92 167.2 49.04 170.9L216.1 460.2C218.2 463.8 222.9 465.1 226.5 462.1L419.4 351.6C423.1 349.5 424.3 344.8 422.2 341.1L255.2 51.85C253.1 48.18 248.4 46.92 244.7 49.04H244.7zM324.1 499L459.4 420.9C501.3 396.7 515.7 343.1 491.5 301.1L354.7 64.25C356.5 64.08 358.2 63.1 360 63.1H584C614.9 63.1 640 89.07 640 119.1V456C640 486.9 614.9 512 584 512H360C346.4 512 333.8 507.1 324.1 498.1L324.1 499zM579.8 135.7C565.8 123.9 545.3 126.2 532.9 138.9L528.1 144.2L523.1 138.9C510.6 126.2 489.9 123.9 476.4 135.7C460.7 149.2 459.9 173.1 473.9 187.6L522.4 237.6C525.4 240.8 530.6 240.8 533.9 237.6L582 187.6C596 173.1 595.3 149.2 579.8 135.7H579.8z"],
    "cards-blank": [640, 512, [], "e4df", "M7.468 194.9C-7.906 168.2 1.218 134.2 27.85 118.8L220.7 7.468C247.3-7.906 281.4 1.218 296.8 27.85L463.8 317.1C479.1 343.8 470 377.8 443.4 393.2L250.5 504.5C223.9 519.9 189.9 510.8 174.5 484.2L7.468 194.9zM49.04 170.9L216.1 460.2C218.2 463.8 222.9 465.1 226.5 462.1L419.4 351.6C423.1 349.5 424.3 344.8 422.2 341.1L255.2 51.85C253.1 48.18 248.4 46.92 244.7 49.04L51.85 160.4C48.18 162.5 46.92 167.2 49.04 170.9H49.04zM491.5 301.1L354.7 64.25C356.5 64.08 358.2 63.1 360 63.1H584C614.9 63.1 640 89.07 640 119.1V456C640 486.9 614.9 512 584 512H360C346.4 512 333.8 507.1 324.1 498.1L459.4 420.9C501.3 396.7 515.7 343.1 491.5 301.1L491.5 301.1z"],
    "caret-down": [320, 512, [], "f0d7", "M271.1 176H48.08c-42.63 0-64.25 51.77-33.88 81.9l111.9 112c18.63 18.76 49.13 18.76 67.88 0l112-112C335.1 227.8 314.7 176 271.1 176zM159.1 336L47.96 224H271.1L159.1 336z"],
    "caret-left": [256, 512, [], "f0d9", "M208 368V144c0-42.63-51.76-64.13-82.01-33.88l-112 111.9c-18.63 18.75-18.63 49.25 0 68l112 111.9C156.2 432 208 410.7 208 368zM47.98 256l112-112v224L47.98 256z"],
    "caret-right": [256, 512, [], "f0da", "M48 143.1v224c0 42.63 51.76 64.13 82.01 33.88l112-111.9c18.63-18.75 18.63-49.25 0-68l-112-111.9C99.76 79.97 48 101.3 48 143.1zM208 255.1L96.01 367.1V143.1L208 255.1z"],
    "caret-up": [320, 512, [], "f0d8", "M47.97 336h224c42.63 0 64.13-51.76 33.88-82.01l-111.9-112c-18.75-18.63-49.25-18.63-68 0l-111.9 112C-16.03 284.2 5.342 336 47.97 336zM159.1 175.1l112 112H47.97L159.1 175.1z"],
    "carrot": [512, 512, [129365], "f787", "M369.7 142.3C392.4 94.77 380.6 38.38 334.3 0c-44.49 36.88-56.61 90.02-37.37 136.2c-13.1-4.876-28.26-8.05-42.51-8.05c-47.99 0-94.11 26.75-116.6 72.76l-135.4 277.5c-2.999 6.252-3.287 13.9-.0378 20.53C6.468 507.2 14.72 512 23.34 512c3.374 0 6.85-.7753 10.35-2.401l277.5-135.5c24.1-12.25 46.43-32.63 59.55-59.63c15.75-32.13 16.89-67.64 6.142-98.89C422.8 234.3 475.3 221.8 512 177.7C473.4 131.3 417.1 119.5 369.7 142.3zM327.7 293.4c-8.124 16.5-20.1 29.51-37.49 37.51l-57.36 28.01l-23.87-23.88c-9.373-9.377-24.62-9.377-33.87 0c-9.373 9.377-9.373 24.63 0 33.88l12.12 12.25l-110.4 54.01l96.11-196.9l33.99 34.76c4.749 4.751 10.75 7.002 16.1 7.002c6.249 0 12.25-2.251 16.1-7.002c9.373-9.377 9.373-24.63 0-33.88L199.3 198.3C214.2 184.5 233.3 176.2 254.4 176.2c12.37 0 24.37 2.751 35.74 8.252c19.5 9.627 34.24 26.26 41.37 46.89C338.5 251.8 337.2 273.9 327.7 293.4z"],
    "cars": [640, 512, [], "f85b", "M70.02 47.78C80.26 19.13 107.4 0 137.8 0H278.2C308.6 0 335.7 19.13 345.1 47.78L374.6 127.9L374.6 127.1H361.8C332.9 127.1 305.1 139.1 286.8 159.1H96C69.49 159.1 48 181.5 48 207.1V239.1H248.5L237.9 269.8C231.4 275.3 225.4 281.4 220.1 287.1H48V328C48 341.3 37.25 352 24 352C10.75 352 0 341.3 0 328V207.1C0 175.5 16.18 146.7 40.94 129.3C41.08 128.9 41.23 128.4 41.4 127.9L70.02 47.78zM137.8 48C127.7 48 118.6 54.38 115.2 63.93L98.06 112H317.9L300.8 63.93C297.4 54.38 288.3 48 278.2 48H137.8zM88 200C88 186.7 98.75 176 112 176C125.3 176 136 186.7 136 200C136 213.3 125.3 224 112 224C98.75 224 88 213.3 88 200zM312 360C312 346.7 322.7 336 336 336C349.3 336 360 346.7 360 360C360 373.3 349.3 384 336 384C322.7 384 312 373.3 312 360zM552 360C552 373.3 541.3 384 528 384C514.7 384 504 373.3 504 360C504 346.7 514.7 336 528 336C541.3 336 552 346.7 552 360zM294 207.8C304.3 179.1 331.4 160 361.8 160H502.2C532.6 160 559.7 179.1 569.1 207.8L598.6 287.9C598.8 288.4 598.9 288.9 599.1 289.3C623.8 306.7 640 335.5 640 368V488C640 501.3 629.3 512 616 512C602.7 512 592 501.3 592 488V448H272V488C272 501.3 261.3 512 248 512C234.7 512 224 501.3 224 488V368C224 335.5 240.2 306.7 264.9 289.3C265.1 288.9 265.2 288.4 265.4 287.9L294 207.8zM361.8 208C351.7 208 342.6 214.4 339.2 223.9L322.1 272H541.9L524.8 223.9C521.4 214.4 512.3 208 502.2 208H361.8zM544 320H320C293.5 320 272 341.5 272 368V400H592V368C592 341.5 570.5 320 544 320z"],
    "cart-arrow-down": [576, 512, [], "f218", "M121.1 32H280V64.57C263.3 62.18 245.7 67.32 232.8 80H131.1L161.6 240H475.6L520.6 80H439.2C426.3 67.32 408.7 62.18 392 64.57V32H541.8C562.1 32 578.3 52.25 572.6 72.66L518.6 264.7C514.7 278.5 502.1 288 487.8 288H170.7L179.9 336H488C501.3 336 512 346.7 512 360C512 373.3 501.3 384 488 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.25 0 24C0 10.75 10.75 0 24 0H96C107.5 0 117.4 8.19 119.6 19.51L121.1 32zM128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464zM512 464C512 490.5 490.5 512 464 512C437.5 512 416 490.5 416 464C416 437.5 437.5 416 464 416C490.5 416 512 437.5 512 464zM360 126.1L383 103C392.4 93.66 407.6 93.66 416.1 103C426.3 112.4 426.3 127.6 416.1 136.1L352.1 200.1C343.6 210.3 328.4 210.3 319 200.1L255 136.1C245.7 127.6 245.7 112.4 255 103C264.4 93.66 279.6 93.66 288.1 103L312 126.1V24C312 10.75 322.7 0 336 0C349.3 0 360 10.75 360 24V126.1z"],
    "cart-arrow-up": [576, 512, [], "e3ee", "M312 81.94L288.1 104.1C279.6 114.3 264.4 114.3 255 104.1C245.7 95.6 245.7 80.4 255 71.03L319 7.029C328.4-2.343 343.6-2.343 352.1 7.029L416.1 71.03C426.3 80.4 426.3 95.6 416.1 104.1C407.6 114.3 392.4 114.3 383 104.1L360 81.94V184C360 197.3 349.3 208 336 208C322.7 208 312 197.3 312 184V81.94zM229.6 45.57C219.9 55.25 214.2 67.41 212.5 80H131.1L161.6 240H475.6L520.6 80H459.5C457.8 67.41 452.1 55.25 442.4 45.57L428.9 32H541.8C562.1 32 578.3 52.25 572.6 72.66L518.6 264.7C514.7 278.5 502.1 288 487.8 288H170.7L179.9 336H488C501.3 336 512 346.7 512 360C512 373.3 501.3 384 488 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.26 0 24C0 10.75 10.75 .0002 24 .0002H96C107.5 .0002 117.4 8.19 119.6 19.51L121.1 32H243.1L229.6 45.57zM128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464zM512 464C512 490.5 490.5 512 464 512C437.5 512 416 490.5 416 464C416 437.5 437.5 416 464 416C490.5 416 512 437.5 512 464z"],
    "cart-circle-arrow-down": [640, 512, [], "e3ef", "M96 0C107.5 0 117.4 8.19 119.6 19.51L121.1 32H541.8C562.1 32 578.3 52.25 572.6 72.66L537.6 196.9C524.3 193.7 510.3 192 496 192C493.7 192 491.4 192 489.1 192.1L520.6 80H131.1L161.6 240H375.2C360.6 253.8 348.4 269.1 339.2 288H170.7L179.9 336H322.9C320.1 346.4 319.1 357.1 319.1 368C319.1 373.4 320.2 378.7 320.7 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.26 0 24C0 10.75 10.75 .0003 24 .0003L96 0zM128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464zM496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512zM540.7 364.7L512 393.4V304C512 295.2 504.8 288 496 288C487.2 288 480 295.2 480 304V393.4L451.3 364.7C445.1 358.4 434.9 358.4 428.7 364.7C422.4 370.9 422.4 381.1 428.7 387.3L484.7 443.3C490.9 449.6 501.1 449.6 507.3 443.3L563.3 387.3C569.6 381.1 569.6 370.9 563.3 364.7C557.1 358.4 546.9 358.4 540.7 364.7H540.7z"],
    "cart-circle-arrow-up": [640, 512, [], "e3f0", "M96 0C107.5 0 117.4 8.19 119.6 19.51L121.1 32H541.8C562.1 32 578.3 52.25 572.6 72.66L537.6 196.9C524.3 193.7 510.3 192 496 192C493.7 192 491.4 192 489.1 192.1L520.6 80H131.1L161.6 240H375.2C360.6 253.8 348.4 269.1 339.2 288H170.7L179.9 336H322.9C320.1 346.4 319.1 357.1 319.1 368C319.1 373.4 320.2 378.7 320.7 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.26 0 24C0 10.75 10.75 .0003 24 .0003L96 0zM128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464zM496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224zM451.3 371.3L480 342.6V432C480 440.8 487.2 448 496 448C504.8 448 512 440.8 512 432V342.6L540.7 371.3C546.9 377.6 557.1 377.6 563.3 371.3C569.6 365.1 569.6 354.9 563.3 348.7L507.3 292.7C501.1 286.4 490.9 286.4 484.7 292.7L428.7 348.7C422.4 354.9 422.4 365.1 428.7 371.3C434.9 377.6 445.1 377.6 451.3 371.3H451.3z"],
    "cart-circle-check": [640, 512, [], "e3f1", "M96 0C107.5 0 117.4 8.19 119.6 19.51L121.1 32H541.8C562.1 32 578.3 52.25 572.6 72.66L537.6 196.9C524.3 193.7 510.3 192 496 192C493.7 192 491.4 192 489.1 192.1L520.6 80H131.1L161.6 240H375.2C360.6 253.8 348.4 269.1 339.2 288H170.7L179.9 336H322.9C320.1 346.4 319.1 357.1 319.1 368C319.1 373.4 320.2 378.7 320.7 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.26 0 24C0 10.75 10.75 .0003 24 .0003L96 0zM128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM480 385.4L451.3 356.7C445.1 350.4 434.9 350.4 428.7 356.7C422.4 362.9 422.4 373.1 428.7 379.3L468.7 419.3C474.9 425.6 485.1 425.6 491.3 419.3L563.3 347.3C569.6 341.1 569.6 330.9 563.3 324.7C557.1 318.4 546.9 318.4 540.7 324.7L480 385.4z"],
    "cart-circle-exclamation": [640, 512, [], "e3f2", "M96 0C107.5 0 117.4 8.19 119.6 19.51L121.1 32H541.8C562.1 32 578.3 52.25 572.6 72.66L537.6 196.9C524.3 193.7 510.3 192 496 192C493.7 192 491.4 192 489.1 192.1L520.6 80H131.1L161.6 240H375.2C360.6 253.8 348.4 269.1 339.2 288H170.7L179.9 336H322.9C320.1 346.4 319.1 357.1 319.1 368C319.1 373.4 320.2 378.7 320.7 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.26 0 24C0 10.75 10.75 .0003 24 .0003L96 0zM128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 464C509.3 464 520 453.3 520 440C520 426.7 509.3 416 496 416C482.7 416 472 426.7 472 440C472 453.3 482.7 464 496 464zM479.1 288V368C479.1 376.8 487.2 384 495.1 384C504.8 384 511.1 376.8 511.1 368V288C511.1 279.2 504.8 272 495.1 272C487.2 272 479.1 279.2 479.1 288z"],
    "cart-circle-plus": [640, 512, [], "e3f3", "M96 0C107.5 0 117.4 8.19 119.6 19.51L121.1 32H541.8C562.1 32 578.3 52.25 572.6 72.66L537.6 196.9C524.3 193.7 510.3 192 496 192C493.7 192 491.4 192 489.1 192.1L520.6 80H131.1L161.6 240H375.2C360.6 253.8 348.4 269.1 339.2 288H170.7L179.9 336H322.9C320.1 346.4 319.1 357.1 319.1 368C319.1 373.4 320.2 378.7 320.7 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.26 0 24C0 10.75 10.75 .0003 24 .0003L96 0zM128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464zM496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224zM560 384C568.8 384 576 376.8 576 368C576 359.2 568.8 352 560 352H512V304C512 295.2 504.8 288 496 288C487.2 288 480 295.2 480 304V352H432C423.2 352 416 359.2 416 368C416 376.8 423.2 384 432 384H480V432C480 440.8 487.2 448 496 448C504.8 448 512 440.8 512 432V384H560z"],
    "cart-circle-xmark": [640, 512, [], "e3f4", "M96 0C107.5 0 117.4 8.19 119.6 19.51L121.1 32H541.8C562.1 32 578.3 52.25 572.6 72.66L537.6 196.9C524.3 193.7 510.3 192 496 192C493.7 192 491.4 192 489.1 192.1L520.6 80H131.1L161.6 240H375.2C360.6 253.8 348.4 269.1 339.2 288H170.7L179.9 336H322.9C320.1 346.4 319.1 357.1 319.1 368C319.1 373.4 320.2 378.7 320.7 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.26 0 24C0 10.75 10.75 .0003 24 .0003L96 0zM128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM555.3 331.3C561.6 325.1 561.6 314.9 555.3 308.7C549.1 302.4 538.9 302.4 532.7 308.7L496 345.4L459.3 308.7C453.1 302.4 442.9 302.4 436.7 308.7C430.4 314.9 430.4 325.1 436.7 331.3L473.4 368L436.7 404.7C430.4 410.9 430.4 421.1 436.7 427.3C442.9 433.6 453.1 433.6 459.3 427.3L496 390.6L532.7 427.3C538.9 433.6 549.1 433.6 555.3 427.3C561.6 421.1 561.6 410.9 555.3 404.7L518.6 368L555.3 331.3z"],
    "cart-flatbed": [640, 512, ["dolly-flatbed"], "f474", "M616 399.1H144V64c0-35.2-28.8-64-64-64H24C10.8 0 0 10.8 0 23.1c0 13.2 10.8 23.1 24 23.1h48c13.25 0 24 10.75 24 24v343.1c0 17.6 14.4 31.1 31.1 31.1l34.92 .0023C161.1 453 160 458.4 160 464C160 490.5 181.5 512 208 512S256 490.5 256 464c0-5.643-1.128-10.97-2.917-16h197.9c-1.789 5.029-2.928 10.36-2.928 16C448 490.5 469.5 512 496 512c26.51 0 48.01-21.49 48.01-47.1c0-5.643-1.118-10.97-2.907-16L616 447.1c13.2 0 24-10.8 24-23.1C640 410.8 629.2 399.1 616 399.1zM256 352h288c35.35 0 64-28.66 64-64V96c0-35.35-28.65-63.1-64-63.1H256c-35.35 0-64 28.65-64 63.1v191.1C192 323.3 220.7 352 256 352zM240 96C240 87.18 247.2 80 256 80l80-.0016v111.1l64-31.1l64 31.1V80L544 80c8.822 0 16 7.178 16 15.1v191.1c0 8.822-7.178 15.1-16 15.1H256c-8.822 0-16-7.178-16-15.1V96z"],
    "cart-flatbed-boxes": [640, 512, ["dolly-flatbed-alt"], "f475", "M616 399.1H144V64c0-35.2-28.8-64-64-64H24C10.8 0 0 10.8 0 24C0 37.2 10.8 48 24 48h48C85.25 48 96 58.74 96 72v343.1c0 17.6 14.4 32 32 32l34.92 .0026C161.1 453 160 458.4 160 464C160 490.5 181.5 512 208 512S256 490.5 256 464c0-5.643-1.128-10.97-2.917-16h197.9c-1.789 5.029-2.928 10.36-2.928 16c0 26.51 21.48 48 47.99 48c26.51 0 48.01-21.49 48.01-48c0-5.643-1.118-10.97-2.907-16L616 447.1c13.2 0 24-10.8 24-23.1C640 410.8 629.2 399.1 616 399.1zM256 352h112c15.12 0 29.04-5.271 40-14.07C418.1 346.7 432.9 352 448 352h96c35.29 0 64-28.71 64-64V240c0-30.63-21.63-56.3-50.42-62.55C559.2 171.9 560 166 560 160V112c0-35.29-28.71-64-64-64H448c-10.97 0-21.31 2.775-30.35 7.662C405.9 41.23 388 32 368 32H256C220.7 32 192 60.71 192 96v192C192 323.3 220.7 352 256 352zM432 112C432 103.2 439.2 96 448 96h48C504.8 96 512 103.2 512 112V160c0 8.822-7.178 16-16 16H448c-8.822 0-16-7.178-16-16V112zM432 240C432 231.2 439.2 224 448 224h96c8.822 0 16 7.178 16 16V288c0 8.822-7.178 16-16 16h-96c-8.822 0-16-7.178-16-16V240zM240 96c0-8.822 7.178-16 16-16h112C376.8 80 384 87.18 384 96v192c0 8.822-7.178 16-16 16H256C247.2 304 240 296.8 240 288V96z"],
    "cart-flatbed-empty": [640, 512, ["dolly-flatbed-empty"], "f476", "M616 399.1H144V64c0-35.2-28.8-64-64-64H24C10.8 0 0 10.8 0 24C0 37.2 10.8 48 24 48h48C85.25 48 96 58.74 96 72v343.1c0 17.6 14.4 32 32 32l34.92 .0026C161.1 453 160 458.4 160 464C160 490.5 181.5 512 208 512S256 490.5 256 464c0-5.643-1.128-10.97-2.917-16h197.9c-1.789 5.029-2.928 10.36-2.928 16c0 26.51 21.48 48 47.99 48c26.51 0 48.01-21.49 48.01-48c0-5.643-1.118-10.97-2.907-16L616 447.1c13.2 0 24-10.8 24-23.1C640 410.8 629.2 399.1 616 399.1z"],
    "cart-flatbed-suitcase": [640, 512, ["luggage-cart"], "f59d", "M256 352h288c35.2 0 64-28.8 64-64V160c0-35.2-28.8-64-64-64h-48V64c0-35.35-28.65-64-64-64h-64c-35.35 0-64 28.65-64 64v32H256C220.8 96 192 124.8 192 160v128C192 323.2 220.8 352 256 352zM512 144h32c8.836 0 16 7.162 16 16v128c0 8.836-7.164 16-16 16h-32V144zM352 64c0-8.838 7.164-16 16-16h64C440.8 48 448 55.16 448 64v32h-96V64zM336 144h128v160h-128V144zM240 160c0-8.838 7.164-16 16-16h32v160H256C247.2 304 240 296.8 240 288V160zM616 399.1H144V64c0-35.2-28.8-64-64-64H24C10.8 0 0 10.8 0 24C0 37.2 10.8 48 24 48h48C85.25 48 96 58.74 96 72v343.1c0 17.6 14.4 32 32 32l34.9 .0026C161.1 453 160 458.4 160 464C160 490.5 181.5 512 208 512S256 490.5 256 464c0-5.643-1.114-10.97-2.903-16h197.9C449.2 453 448.1 458.4 448.1 464c0 26.51 21.48 48 47.99 48s48.01-21.49 48.01-48c0-5.643-1.1-10.97-2.889-16L616 447.1c13.2 0 24-10.8 24-23.1C640 410.8 629.2 399.1 616 399.1z"],
    "cart-minus": [576, 512, [], "e0db", "M0 24C0 10.75 10.75 0 24 0H96C107.5 0 117.4 8.19 119.6 19.51L161.6 240H477.6L520.7 80H472C458.7 80 448 69.25 448 56C448 42.75 458.7 32 472 32H552C559.5 32 566.5 35.47 571 41.4C575.6 47.33 577.1 55.03 575.2 62.24L519.2 270.2C516.4 280.7 506.9 288 496 288H170.7L179.9 336H488C501.3 336 512 346.7 512 360C512 373.3 501.3 384 488 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.25 0 24V24zM224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464zM416 464C416 437.5 437.5 416 464 416C490.5 416 512 437.5 512 464C512 490.5 490.5 512 464 512C437.5 512 416 490.5 416 464zM384 104C397.3 104 408 114.7 408 128C408 141.3 397.3 152 384 152H256C242.7 152 232 141.3 232 128C232 114.7 242.7 104 256 104H384z"],
    "cart-plus": [576, 512, [], "f217", "M96 0C107.5 0 117.4 8.19 119.6 19.51L161.6 240H477.6L520.7 80H472C458.7 80 448 69.25 448 56C448 42.75 458.7 32 472 32H552C559.5 32 566.5 35.47 571 41.4C575.6 47.33 577.1 55.03 575.2 62.24L519.2 270.2C516.4 280.7 506.9 288 496 288H170.7L179.9 336H488C501.3 336 512 346.7 512 360C512 373.3 501.3 384 488 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.25 0 24C0 10.75 10.75 0 24 0H96zM128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464zM512 464C512 490.5 490.5 512 464 512C437.5 512 416 490.5 416 464C416 437.5 437.5 416 464 416C490.5 416 512 437.5 512 464zM232 128C232 114.7 242.7 104 256 104H296V64C296 50.75 306.7 40 320 40C333.3 40 344 50.75 344 64V104H384C397.3 104 408 114.7 408 128C408 141.3 397.3 152 384 152H344V192C344 205.3 333.3 216 320 216C306.7 216 296 205.3 296 192V152H256C242.7 152 232 141.3 232 128z"],
    "cart-shopping": [576, 512, [128722, "shopping-cart"], "f07a", "M96 0C107.5 0 117.4 8.19 119.6 19.51L121.1 32H541.8C562.1 32 578.3 52.25 572.6 72.66L518.6 264.7C514.7 278.5 502.1 288 487.8 288H170.7L179.9 336H488C501.3 336 512 346.7 512 360C512 373.3 501.3 384 488 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.25 0 24C0 10.75 10.75 0 24 0H96zM475.6 240L520.6 80H131.1L161.6 240H475.6zM128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464zM512 464C512 490.5 490.5 512 464 512C437.5 512 416 490.5 416 464C416 437.5 437.5 416 464 416C490.5 416 512 437.5 512 464z"],
    "cart-shopping-fast": [640, 512, [], "e0dc", "M64 24C64 10.75 74.75 0 88 0H160C171.5 0 181.4 8.19 183.6 19.51L185.1 32H605.8C626.1 32 642.3 52.25 636.6 72.66L582.6 264.7C578.7 278.5 566.1 288 551.8 288H234.7L243.9 336H552C565.3 336 576 346.7 576 360C576 373.3 565.3 384 552 384H223.1C212.5 384 202.6 375.8 200.4 364.5L140.1 48H88C74.75 48 64 37.25 64 24V24zM195.1 80L225.6 240H539.6L584.6 80H195.1zM288 464C288 490.5 266.5 512 240 512C213.5 512 192 490.5 192 464C192 437.5 213.5 416 240 416C266.5 416 288 437.5 288 464zM480 464C480 437.5 501.5 416 528 416C554.5 416 576 437.5 576 464C576 490.5 554.5 512 528 512C501.5 512 480 490.5 480 464zM104 96C117.3 96 128 106.7 128 120C128 133.3 117.3 144 104 144H24C10.75 144 0 133.3 0 120C0 106.7 10.75 96 24 96H104zM120 176C133.3 176 144 186.7 144 200C144 213.3 133.3 224 120 224H24C10.75 224 0 213.3 0 200C0 186.7 10.75 176 24 176H120zM136 256C149.3 256 160 266.7 160 280C160 293.3 149.3 304 136 304H24C10.75 304 0 293.3 0 280C0 266.7 10.75 256 24 256H136z"],
    "cart-xmark": [576, 512, [], "e0dd", "M96 0C107.5 0 117.4 8.19 119.6 19.51L161.6 240H477.6L520.7 80H472C458.7 80 448 69.25 448 56C448 42.75 458.7 32 472 32H552C559.5 32 566.5 35.47 571 41.4C575.6 47.33 577.1 55.03 575.2 62.24L519.2 270.2C516.4 280.7 506.9 288 496 288H170.7L179.9 336H488C501.3 336 512 346.7 512 360C512 373.3 501.3 384 488 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.25 0 24C0 10.75 10.75 0 24 0H96zM128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464zM512 464C512 490.5 490.5 512 464 512C437.5 512 416 490.5 416 464C416 437.5 437.5 416 464 416C490.5 416 512 437.5 512 464zM257.8 65.77C267.1 56.4 282.3 56.4 291.7 65.77L320 94.06L348.3 65.77C357.7 56.4 372.9 56.4 382.2 65.77C391.6 75.15 391.6 90.34 382.2 99.72L353.9 128L382.2 156.3C391.6 165.7 391.6 180.9 382.2 190.2C372.9 199.6 357.7 199.6 348.3 190.2L320 161.9L291.7 190.2C282.3 199.6 267.1 199.6 257.8 190.2C248.4 180.9 248.4 165.7 257.8 156.3L286.1 128L257.8 99.72C248.4 90.34 248.4 75.15 257.8 65.77V65.77z"],
    "cash-register": [512, 512, [], "f788", "M136 256C136 269.3 125.3 280 112 280C98.75 280 88 269.3 88 256C88 242.7 98.75 232 112 232C125.3 232 136 242.7 136 256zM184 256C184 242.7 194.7 232 208 232C221.3 232 232 242.7 232 256C232 269.3 221.3 280 208 280C194.7 280 184 269.3 184 256zM184 336C184 349.3 173.3 360 160 360C146.7 360 136 349.3 136 336C136 322.7 146.7 312 160 312C173.3 312 184 322.7 184 336zM280 256C280 242.7 290.7 232 304 232C317.3 232 328 242.7 328 256C328 269.3 317.3 280 304 280C290.7 280 280 269.3 280 256zM280 336C280 349.3 269.3 360 256 360C242.7 360 232 349.3 232 336C232 322.7 242.7 312 256 312C269.3 312 280 322.7 280 336zM376 256C376 242.7 386.7 232 400 232C413.3 232 424 242.7 424 256C424 269.3 413.3 280 400 280C386.7 280 376 269.3 376 256zM376 336C376 349.3 365.3 360 352 360C338.7 360 328 349.3 328 336C328 322.7 338.7 312 352 312C365.3 312 376 322.7 376 336zM288 0C305.7 0 320 14.33 320 32V96C320 113.7 305.7 128 288 128H208V160H424.5C456.3 160 483.3 183.4 487.8 214.9L511.4 379.5C511.8 382.5 512 385.5 512 388.5V448C512 483.3 483.3 512 448 512H64C28.65 512 0 483.3 0 448V388.5C0 385.5 .215 382.5 .6432 379.5L24.15 214.9C28.65 183.4 55.66 160 87.51 160H144V128H64C46.33 128 32 113.7 32 96V32C32 14.33 46.33 0 64 0L288 0zM96 48C87.16 48 80 55.16 80 64C80 72.84 87.16 80 96 80H256C264.8 80 272 72.84 272 64C272 55.16 264.8 48 256 48H96zM64 464H448C456.8 464 464 456.8 464 448V432H48V448C48 456.8 55.16 464 64 464zM424.5 208H87.51C79.54 208 72.79 213.9 71.67 221.7L48.49 384H463.5L440.3 221.7C439.2 213.9 432.5 208 424.5 208V208z"],
    "cassette-betamax": [576, 512, ["betamax"], "f8a4", "M352 384h112c17.62 0 32-14.38 32-32V240c0-17.62-14.38-32-32-32H352c-17.62 0-32 14.38-32 32V352C320 369.6 334.4 384 352 384zM368 256H448v80h-80V256zM512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM528 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V160h480V416zM184 400c57.44 0 104-46.56 104-104S241.4 192 184 192S80 238.6 80 296S126.6 400 184 400zM184 240c30.88 0 56 25.12 56 56S214.9 352 184 352S128 326.9 128 296S153.1 240 184 240zM184 320C197.3 320 208 309.3 208 296c0-13.26-10.74-24-24-24C170.7 272 160 282.7 160 296C160 309.3 170.7 320 184 320z"],
    "cassette-tape": [576, 512, [128429], "f8ab", "M512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM157 432L176.3 384h223.5l19.21 48H157zM528 416c0 8.822-7.178 16-16 16h-43.99l2.268-.9062l-32-80C434.6 341.1 425.8 336 416 336H160c-9.812 0-18.62 5.969-22.28 15.09l-32 80L107.1 432H64c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h448c8.822 0 16 7.178 16 16V416zM400 160h-224c-35.35 0-64 28.65-64 64c0 35.35 28.65 64 64 64h224c35.35 0 64-28.65 64-64C464 188.7 435.3 160 400 160zM176 240C167.2 240 160 232.8 160 224s7.178-16 16-16S192 215.2 192 224S184.8 240 176 240zM338.3 240H237.7C239.1 234.9 240 229.6 240 224S239.1 213.1 237.7 208h100.5C336.9 213.1 336 218.4 336 224S336.9 234.9 338.3 240zM400 240C391.2 240 384 232.8 384 224s7.178-16 16-16S416 215.2 416 224S408.8 240 400 240z"],
    "cassette-vhs": [576, 512, [128252, "vhs"], "f8ec", "M184 384h208C440.6 384 480 344.6 480 296S440.6 208 392 208h-208C135.4 208 96 247.4 96 296S135.4 384 184 384zM400 264c17.62 0 32 14.38 32 32s-14.38 32-32 32V264zM224 256h128v80H224V256zM176 264v64c-17.62 0-32-14.38-32-32S158.4 264 176 264zM512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM528 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V160h480V416z"],
    "castle": [640, 512, [], "e0de", "M176 64H240V24C240 10.75 250.7 0 264 0C277.3 0 288 10.75 288 24V64H352V24C352 10.75 362.7 0 376 0C389.3 0 400 10.75 400 24V64H464V24C464 10.75 474.7 0 488 0C501.3 0 512 10.75 512 24V224H592V184C592 170.7 602.7 160 616 160C629.3 160 640 170.7 640 184V440C640 479.8 607.8 512 568 512H72C32.24 512 0 479.8 0 440V184C0 170.7 10.75 160 24 160C37.25 160 48 170.7 48 184V224H128V24C128 10.75 138.7 0 152 0C165.3 0 176 10.75 176 24V64zM176 112V224H464V112H176zM48 272V440C48 453.3 58.75 464 72 464H256V384C256 348.7 284.7 320 320 320C355.3 320 384 348.7 384 384V464H568C581.3 464 592 453.3 592 440V272H48z"],
    "cat": [576, 512, [128008], "f6be", "M416 128c-8.875 0-16 7.125-16 16s7.125 16 16 16s16-7.125 16-16S424.9 128 416 128zM547.5 4.125C541.4 1.375 534.8 0 528 0c-11.62 0-23.12 4.25-32.13 12.38L456.2 48h-16.5l-39.63-35.62c-14.13-12.75-34.37-15.88-51.63-8.25C331.1 11.88 320 29 320 48V160c0 4.25 .875 8.25 1.25 12.38l-47 7.125C206.8 189.8 149.6 225.9 112 277V184C112 135.5 72.5 96 24 96C10.75 96 0 106.8 0 120c0 13.35 10.87 24.13 24.16 24.01C46.69 143.8 64 164.4 64 186.9L64 399.2C64 472.8 103.4 512 152 512h184c8.875 0 16-7.125 16-15.1C352 478.4 337.6 464 320 464h-16.12c-.125-7.375-.75-14.62-1.876-21.75L384 394V464c0 26.4 21.6 48 48 48h32c26.4 0 48-21.6 48-48V270.2C550.1 248 576 207.1 576 160V48C576 29 564.9 11.88 547.5 4.125zM464 464h-32v-98c0-11.5-6.125-22.12-16.12-27.75c-9.876-5.75-22.12-5.625-32.12 .125L287.5 395.1c-12.12-25-30.25-46.88-53.5-63.13c-7.499-5.25-18.12-2.25-22.5 5.75L204 351.1c-4 7.25-2.5 16.5 4.125 21.38C237.3 393.6 255 427.5 255.8 464H152c-22 0-40-17.1-40-39.1c0-99.25 71.25-182.1 169.5-197l53.5-8.125C356.4 259.8 398.8 288 448 288c5.5 0 10.75-1 16-1.625V464zM528 160c0 44.12-35.88 80-80 80s-80-35.87-80-79.99V48L421.4 96h53.25L528 48V160zM464 144C464 152.9 471.1 160 480 160s16-7.125 16-15.1S488.9 128 480 128S464 135.1 464 144z"],
    "cat-space": [640, 512, [], "e001", "M202.6 85.36l16.6 39.65c.875 1.875 2.763 2.986 4.763 2.986s3.875-1.111 4.75-2.986L245.3 85.36l39.65-16.6c1.875-.875 2.992-2.756 2.992-4.756s-1.117-3.882-2.992-4.757L245.3 42.64L228.7 2.986C227.9 1.111 225.1 .0001 223.1 .0001S220.1 1.111 219.2 2.986L202.6 42.64L162.1 59.24c-1.875 .875-2.98 2.757-2.98 4.757S161.1 67.88 162.1 68.76L202.6 85.36zM463.1 0c-97.25 0-176 78.75-176 176c0 1.375 .125 2.625 .25 3.875C221.6 190.6 165.2 226.4 127.1 277V184c0-48.63-39.38-88-88-88C31.35 96 23.35 100.6 19.1 108.3C14.85 115.8 14.97 125 19.47 132.4C23.85 139.8 31.97 144.3 40.6 144c22.38-.625 39.38 20.5 39.38 42.88v212.4c0 73.5 39.38 112.8 88 112.8h184c4.25 0 8.375-1.625 11.38-4.625S367.1 500.3 367.1 496c0-17.62-14.38-32-32-32H319.8c-.125-7.25-.75-14.62-1.875-21.88l82-48.13V464c0 26.4 21.6 48 48 48h32c26.4 0 48-21.6 48-48v-124.1c65.5-25.62 112-89.25 112-163.9C639.1 78.75 561.2 0 463.1 0zM463.1 48c26.12 0 51.63 8.125 73 23L495.1 112h-64l-41-41C412.3 56.13 437.8 48 463.1 48zM519.1 176C519.1 184.9 512.8 192 503.1 192s-15.99-7.125-15.99-16s7.13-15.1 16-15.1c4.25 0 8.355 1.625 11.36 4.625S519.1 171.8 519.1 176zM439.1 176C439.1 184.9 432.8 192 423.1 192s-15.99-7.125-15.99-16s7.13-15.1 16-15.1c4.25 0 8.355 1.625 11.36 4.625S439.1 171.8 439.1 176zM303.3 395.1c-12-25.38-30.5-47-53.38-63.13c-7.5-5.25-18.12-2.25-22.5 5.75l-7.5 13.38c-4 7.125-2.5 16.5 4.125 21.38C253.3 393.9 270.1 427.8 271.7 464H167.1c-22.12 0-40-17.88-40-40c0-98.63 70.38-181 167.6-196.6c15.62 50.88 53.38 92 102.8 111.9L303.3 395.1zM479.1 464h-32l-.0146-98c0-5.375-1.375-10.5-4-15.25c12 1.5 24 1.625 36 .5L479.1 464zM463.1 304c-70.63-.125-127.9-57.38-128-128c0-32.13 12.38-61.25 32-83.75V176c0 53 43 96 96 96s96.01-42.1 96.01-95.1l-.0146-83.75c19.62 22.5 32 51.63 32 83.75C591.8 246.6 534.6 303.9 463.1 304z"],
    "cauldron": [448, 512, [], "f6bf", "M128 32C128 14.33 142.3 0 160 0C177.7 0 192 14.33 192 32C192 49.67 177.7 64 160 64C142.3 64 128 49.67 128 32zM224 80C224 53.49 245.5 32 272 32C298.5 32 320 53.49 320 80C320 106.5 298.5 128 272 128C245.5 128 224 106.5 224 80zM24 208C10.75 208 0 197.3 0 184C0 170.7 10.75 160 24 160H424C437.3 160 448 170.7 448 184C448 197.3 437.3 208 424 208H403.4C425.5 243.4 448 290.8 448 334.4C448 371.8 436.1 403.8 416 429.9V488C416 501.3 405.3 512 392 512C378.7 512 368 501.3 368 488V473C327.6 498.5 276.2 512 224 512C171.8 512 120.4 498.5 80 473V488C80 501.3 69.25 512 56 512C42.75 512 32 501.3 32 488V429.9C11.93 403.8 0 371.8 0 334.4C0 290.8 22.46 243.4 44.64 208H24zM74.17 252.5C58.26 281.8 48 311.1 48 334.4C48 373.6 66.28 404.4 97.44 426.9C129.7 450.2 175.4 464 224 464C272.6 464 318.3 450.2 350.6 426.9C381.7 404.4 400 373.6 400 334.4C400 311.1 389.7 281.8 373.8 252.5C364.2 234.9 353.7 219.4 345.2 208H102.8C94.27 219.4 83.78 234.9 74.17 252.5H74.17z"],
    "cedi-sign": [320, 512, [], "e0df", "M184 0C197.3 0 208 10.75 208 24V72.47C245.9 75.04 280.1 87.97 309.9 108.4C320.7 116.1 323.2 131 315.6 141.9C307.9 152.7 292.1 155.2 282.1 147.6C261.2 132.8 235.8 123.1 208 120.6V391.4C235.8 388.9 261.2 379.2 282.1 364.4C292.1 356.8 307.9 359.3 315.6 370.1C323.2 380.1 320.7 395.9 309.9 403.6C280.1 424 245.9 436.1 208 439.5V488C208 501.3 197.3 512 184 512C170.7 512 160 501.3 160 488V437.2C69.99 422 0 347.7 0 256C0 164.3 69.99 89.99 160 74.83V24C160 10.75 170.7 0 184 0V0zM160 388.3V123.7C94.96 138.1 48 192.8 48 256C48 319.2 94.96 373.9 160 388.3z"],
    "cent-sign": [320, 512, [], "e3f5", "M184 0C197.3 0 208 10.75 208 24V72.47C245.9 75.04 280.1 87.97 309.9 108.4C320.7 116.1 323.2 131 315.6 141.9C307.9 152.7 292.1 155.2 282.1 147.6C257.7 130.3 227.2 120 193.1 120C111.1 120 48 182.2 48 256C48 329.8 111.1 392 193.1 392C227.2 392 257.7 381.7 282.1 364.4C292.1 356.8 307.9 359.3 315.6 370.1C323.2 380.1 320.7 395.9 309.9 403.6C280.1 424 245.9 436.1 208 439.5V488C208 501.3 197.3 512 184 512C170.7 512 160 501.3 160 488V437.2C69.99 422 0 347.7 0 256C0 164.3 69.99 89.99 160 74.83V24C160 10.75 170.7 0 184 0V0z"],
    "certificate": [512, 512, [], "f0a3", "M256 53.46L300.1 7.261C307 1.034 315.1-1.431 324.4 .8185C332.8 3.068 339.3 9.679 341.4 18.1L357.3 80.6L419.3 63.07C427.7 60.71 436.7 63.05 442.8 69.19C448.1 75.34 451.3 84.33 448.9 92.69L431.4 154.7L493.9 170.6C502.3 172.7 508.9 179.2 511.2 187.6C513.4 196 510.1 204.1 504.7 211L458.5 256L504.7 300.1C510.1 307 513.4 315.1 511.2 324.4C508.9 332.8 502.3 339.3 493.9 341.4L431.4 357.3L448.9 419.3C451.3 427.7 448.1 436.7 442.8 442.8C436.7 448.1 427.7 451.3 419.3 448.9L357.3 431.4L341.4 493.9C339.3 502.3 332.8 508.9 324.4 511.2C315.1 513.4 307 510.1 300.1 504.7L256 458.5L211 504.7C204.1 510.1 196 513.4 187.6 511.2C179.2 508.9 172.7 502.3 170.6 493.9L154.7 431.4L92.69 448.9C84.33 451.3 75.34 448.1 69.19 442.8C63.05 436.7 60.71 427.7 63.07 419.3L80.6 357.3L18.1 341.4C9.679 339.3 3.068 332.8 .8186 324.4C-1.431 315.1 1.034 307 7.261 300.1L53.46 256L7.261 211C1.034 204.1-1.431 196 .8186 187.6C3.068 179.2 9.679 172.7 18.1 170.6L80.6 154.7L63.07 92.69C60.71 84.33 63.05 75.34 69.19 69.19C75.34 63.05 84.33 60.71 92.69 63.07L154.7 80.6L170.6 18.1C172.7 9.679 179.2 3.068 187.6 .8185C196-1.431 204.1 1.034 211 7.261L256 53.46zM178.7 122.2C167.5 128.6 154.1 130.3 141.7 126.8L120.9 120.9L126.8 141.7C130.3 154.1 128.6 167.5 122.2 178.7C115.7 189.1 104.1 198.1 92.39 201.3L71.48 206.6L86.94 221.6C96.22 230.6 101.5 243 101.5 256C101.5 268.1 96.22 281.4 86.94 290.4L71.48 305.4L92.39 310.7C104.1 313.9 115.7 322.1 122.2 333.3C128.6 344.5 130.3 357.9 126.8 370.3L120.9 391.1L141.7 385.2C154.1 381.7 167.5 383.4 178.7 389.8C189.1 396.3 198.1 407 201.3 419.6L206.6 440.5L221.6 425.1C230.6 415.8 243 410.5 256 410.5C268.1 410.5 281.4 415.8 290.4 425.1L305.4 440.5L310.7 419.6C313.9 407 322.1 396.3 333.3 389.8C344.5 383.4 357.9 381.7 370.3 385.2L391.1 391.1L385.2 370.3C381.7 357.9 383.4 344.5 389.8 333.3C396.3 322 407.1 313.9 419.6 310.7L440.5 305.4L425.1 290.4C415.8 281.4 410.5 268.1 410.5 256C410.5 243 415.8 230.6 425.1 221.6L440.5 206.6L419.6 201.3C407.1 198.1 396.3 189.1 389.8 178.7C383.4 167.5 381.7 154.1 385.2 141.7L391.1 120.9L370.3 126.8C357.9 130.3 344.5 128.6 333.3 122.2C322.1 115.7 313.9 104.9 310.7 92.39L305.4 71.48L290.4 86.94C281.4 96.22 268.1 101.5 256 101.5C243 101.5 230.6 96.22 221.6 86.94L206.6 71.48L201.3 92.39C198.1 104.9 189.1 115.7 178.7 122.2V122.2z"],
    "chair": [448, 512, [129681], "f6c0", "M445.1 326.2l-10.63-32c-7.375-22-27.5-36.75-50.5-37.87L383.1 128c0-70.69-57.31-128-128-128H191.1C121.3 0 63.98 57.31 63.98 128L63.95 256.4c-23 1.125-43.13 15.87-50.5 37.87l-10.63 32c-5.625 17.13-2.75 36 7.75 50.5c5.5 7.75 13 13.62 21.38 17.62v93.63C31.95 501.3 42.72 512 55.97 512s23.98-10.75 23.98-23.1V400h288v88C367.1 501.3 378.7 512 391.1 512s23.98-10.75 23.98-23.1v-93.63c8.375-4 15.88-9.875 21.5-17.62C447.1 362.2 450.8 343.4 445.1 326.2zM295.1 59.13C319.7 73 335.1 98.5 335.1 128l-.0094 128h-40L295.1 59.13zM199.1 48h48L247.1 256H199.1L199.1 48zM151.1 59.13L151.1 256H111.1l.009-128C111.1 98.5 128.2 73 151.1 59.13zM48.32 341.5l10.75-32C60.07 306.1 63.2 304 66.57 304h314.8c3.375 0 6.5 2.25 7.625 5.5l10.62 32C401.3 346.8 397.3 352 391.9 352h-336C50.57 352 46.57 346.8 48.32 341.5z"],
    "chair-office": [448, 512, [], "f6c1", "M402.5 294.3c-7.375-22-27.5-36.75-50.5-37.88L351.1 64c0-35.38-28.62-64-64-64h-128C124.6 0 95.98 28.62 95.98 64L95.95 256.4c-23 1.125-43.13 15.88-50.38 37.88l-10.75 32c-5.625 17.12-2.75 36 7.75 50.5S69.95 400 87.95 400h112v64H152C138.7 464 128 474.7 128 488C128 501.3 138.7 512 152 512h144c13.25 0 24-10.75 24-24c0-13.26-10.75-24-24-24h-48.04v-64h112c17.1 0 35-8.75 45.5-23.25c10.5-14.62 13.38-33.38 7.625-50.5L402.5 294.3zM143.1 64c0-8.875 7.125-16 16-16h128c8.875 0 16 7.125 16 16v192H143.1V64zM359.1 352H87.95c-5.375 0-9.375-5.25-7.625-10.5l10.75-32C92.08 306.1 95.2 304 98.58 304h250.8c3.375 0 6.5 2.25 7.625 5.5l10.63 32C369.3 346.8 365.3 352 359.1 352zM64 232v-80C64 138.8 53.25 128 40 128S16 138.8 16 152v80C16 245.3 26.75 256 40 256S64 245.3 64 232zM408 128C394.8 128 384 138.8 384 152v80C384 245.3 394.8 256 408 256s24-10.75 24-24v-80C432 138.8 421.3 128 408 128z"],
    "chalkboard": [576, 512, ["blackboard"], "f51b", "M552 432H416V384c0-17.67-14.33-32-32-32H256c-17.67 0-32 14.33-32 32v48H24C10.75 432 0 442.7 0 456C0 469.3 10.75 480 24 480h528c13.25 0 24-10.75 24-24C576 442.7 565.3 432 552 432zM368 432h-96v-32h96V432zM80 88c0-4.406 3.594-8 8-8h400c4.406 0 8 3.594 8 8v312H544V88C544 57.13 518.9 32 488 32H88C57.13 32 32 57.13 32 88v312h48V88z"],
    "chalkboard-user": [640, 512, ["chalkboard-teacher"], "f51c", "M192 352H128c-70.69 0-128 57.3-128 128c0 17.67 14.33 32 32 32h256c17.67 0 32-14.33 32-32C320 409.3 262.7 352 192 352zM49.61 464C57.04 427.5 89.37 400 128 400h64c38.63 0 70.96 27.53 78.39 64H49.61zM160 320c53.02 0 96-42.98 96-96c0-53.02-42.98-96-96-96C106.1 128 64 170.1 64 224C64 277 106.1 320 160 320zM160 176c26.47 0 48 21.53 48 48S186.5 272 160 272S112 250.5 112 224S133.5 176 160 176zM584 0H216C185.1 0 160 25.12 160 56V80c0 13.25 10.75 24 24 24S208 93.25 208 80V56c0-4.406 3.594-8 8-8h368c4.406 0 8 3.594 8 8v304c0 4.406-3.594 8-8 8H528v-32c0-17.67-14.33-32-32-32H416c-17.67 0-32 14.33-32 32v32h-32c-13.25 0-24 10.75-24 24S338.8 416 352 416h232c30.88 0 56-25.12 56-56v-304C640 25.12 614.9 0 584 0z"],
    "champagne-glass": [256, 512, ["glass-champagne"], "f79e", "M216 464h-64.01v-114.5c64.98-12 111.6-71.08 102.1-137.2l-26.99-184.9C225.7 11.75 212.2 0 196.2 0H59.77c-15.1 0-29.49 11.75-31.74 27.38L1.033 212.3c-8.746 66.25 38.01 125.3 102.1 137.1V464H40c-13.25 0-23.99 10.74-23.99 24c0 13.25 10.74 24 23.99 24h176c13.25 0 23.99-10.75 23.99-24C240 474.7 229.3 464 216 464zM182.5 48l11.71 80h-132.4l11.71-80H182.5zM48.55 219.2L54.85 176h146.3l6.213 42.58C211.5 250.2 186.2 304 128 304C70.25 304 44.37 250.7 48.55 219.2z"],
    "champagne-glasses": [640, 512, [129346, "glass-cheers"], "f79f", "M638.2 422.9c-3.803-9.258-12.68-14.88-22.13-14.88c-3.055 0-6.17 .5879-9.193 1.828l-44.59 18.36l-42.35-105.5c51.71-33.5 71.1-100.1 40.81-154.2L475.4 16.5C469.6 6.123 458.6 0 447 0c-3.928 0-7.984 .75-11.79 2.25L320 46.84L204.7 2.25C200.9 .75 196.9 0 192.1 0c-11.53 0-22.56 6.123-28.39 16.5L79.28 168.5c-30.29 54.12-10.9 120.7 40.81 154.2l-42.35 105.5l-44.59-18.36c-3.021-1.24-6.139-1.828-9.193-1.828c-9.453 0-18.33 5.617-22.13 14.88c-5.047 12.27 .7969 26.28 13.05 31.33l136 56C153.9 511.4 156.1 512 159.1 512c9.438 0 18.39-5.594 22.2-14.86c5.047-12.27-.7969-26.28-13.05-31.33l-46.59-19.19l42.52-105.7c8.111 1.625 16.22 2.5 24.08 2.5c53.36 0 102.3-34.25 115.8-87.37l14.96-59.62l15.08 59.62c13.56 53.12 62.48 87.37 115.8 87.37c7.857 0 15.97-.875 24.08-2.5l42.52 105.7l-46.59 19.19c-12.25 5.047-18.09 19.06-13.05 31.33C461.6 506.4 470.6 512 480 512c3.031 0 6.125-.5781 9.123-1.812l136-56C637.4 449.1 643.2 435.1 638.2 422.9zM121.1 191.1l26.21-46.71l122.8 52.61L258.5 244.2C232.7 345 70.54 282.4 121.1 191.1zM281.9 150.7l-110.1-47.55l28.82-51.36l97.49 37.72L281.9 150.7zM342.7 89.53l97.5-37.72l28.82 51.36L358 150.7L342.7 89.53zM381.6 244.4l-11.68-46.54l122.8-52.61l26.19 46.66C569.5 282.5 407.2 344.8 381.6 244.4z"],
    "charging-station": [576, 512, [], "f5e7", "M199.6 176H240C246.7 176 252.8 180.2 255 186.6C257.3 192.9 255.4 199.1 250.2 204.3L154.2 284.3C148.6 288.1 140.5 289.2 134.6 284.9C128.7 280.6 126.4 272.9 129.1 266.1L152.4 208H112C105.3 208 99.25 203.8 96.96 197.4C94.66 191.1 96.58 184 101.8 179.7L197.8 99.71C203.4 95.02 211.5 94.75 217.4 99.06C223.3 103.4 225.6 111.1 222.9 117.9L199.6 176zM32 464V64C32 28.65 60.65 0 96 0H256C291.3 0 320 28.65 320 64V256H328C376.6 256 416 295.4 416 344V372C416 387.5 428.5 400 444 400C459.5 400 472 387.5 472 372V268.3C439.5 258.1 416 227.8 416 192V152C416 138.7 426.7 128 440 128H448V80C448 71.16 455.2 64 464 64C472.8 64 480 71.16 480 80V128H512V80C512 71.16 519.2 64 528 64C536.8 64 544 71.16 544 80V128H552C565.3 128 576 138.7 576 152V192C576 227.8 552.5 258.1 520 268.3V372C520 413.1 485.1 448 444 448C402 448 368 413.1 368 372V344C368 321.9 350.1 304 328 304H320V464H328C341.3 464 352 474.7 352 488C352 501.3 341.3 512 328 512H24C10.75 512 0 501.3 0 488C0 474.7 10.75 464 24 464H32zM80 64V464H272V64C272 55.16 264.8 48 256 48H96C87.16 48 80 55.16 80 64zM496 224C513.7 224 528 209.7 528 192V176H464V192C464 209.7 478.3 224 496 224z"],
    "chart-area": [512, 512, ["area-chart"], "f1fe", "M48 408C48 421.3 58.75 432 72 432H488C501.3 432 512 442.7 512 456C512 469.3 501.3 480 488 480H72C32.24 480 0 447.8 0 408V56C0 42.75 10.75 32 24 32C37.25 32 48 42.75 48 56V408zM359.6 152.4C372.7 139.3 394.4 140.1 406.5 154.2L468.4 226.5C475.9 235.2 480 246.3 480 257.8V352C480 369.7 465.7 384 448 384H128C110.3 384 96 369.7 96 352V243.9C96 231.2 101.1 218.9 110.1 209.9L201.4 118.6C213.9 106.1 234.1 106.1 246.6 118.6L320 192L359.6 152.4zM224 163.9L144 243.9V336H432V257.8L381.3 198.6L353.9 225.9C344.9 234.9 332.7 240 320 240C307.3 240 295.1 234.9 286.1 225.9L224 163.9z"],
    "chart-bar": [512, 512, ["bar-chart"], "f080", "M24 32C37.25 32 48 42.75 48 56V408C48 421.3 58.75 432 72 432H488C501.3 432 512 442.7 512 456C512 469.3 501.3 480 488 480H72C32.24 480 0 447.8 0 408V56C0 42.75 10.75 32 24 32zM128 136C128 122.7 138.7 112 152 112H360C373.3 112 384 122.7 384 136C384 149.3 373.3 160 360 160H152C138.7 160 128 149.3 128 136zM296 208C309.3 208 320 218.7 320 232C320 245.3 309.3 256 296 256H152C138.7 256 128 245.3 128 232C128 218.7 138.7 208 152 208H296zM424 304C437.3 304 448 314.7 448 328C448 341.3 437.3 352 424 352H152C138.7 352 128 341.3 128 328C128 314.7 138.7 304 152 304H424z"],
    "chart-bullet": [512, 512, [], "e0e1", "M264 32C277.3 32 288 42.75 288 56V64H464C490.5 64 512 85.49 512 112V176C512 202.5 490.5 224 464 224H288V232C288 245.3 277.3 256 264 256C250.7 256 240 245.3 240 232V224H48C21.49 224 0 202.5 0 176V112C0 85.49 21.49 64 48 64H240V56C240 42.75 250.7 32 264 32zM160 176H240V112H160V176zM288 112V176H464V112H288zM112 112H48V176H112V112zM360 256C373.3 256 384 266.7 384 280V288H464C490.5 288 512 309.5 512 336V400C512 426.5 490.5 448 464 448H384V456C384 469.3 373.3 480 360 480C346.7 480 336 469.3 336 456V448H48C21.49 448 0 426.5 0 400V336C0 309.5 21.49 288 48 288H336V280C336 266.7 346.7 256 360 256zM224 400H336V336H224V400zM384 336V400H464V336H384zM176 336H48V400H176V336z"],
    "chart-candlestick": [512, 512, [], "e0e2", "M48 408C48 421.3 58.75 432 72 432H488C501.3 432 512 442.7 512 456C512 469.3 501.3 480 488 480H72C32.24 480 0 447.8 0 408V56C0 42.75 10.75 32 24 32C37.25 32 48 42.75 48 56V408zM320 96C337.7 96 352 110.3 352 128V224C352 241.7 337.7 256 320 256V304C320 312.8 312.8 320 304 320C295.2 320 288 312.8 288 304V256C270.3 256 256 241.7 256 224V128C256 110.3 270.3 96 288 96V48C288 39.16 295.2 32 304 32C312.8 32 320 39.16 320 48V96zM384 224C384 206.3 398.3 192 416 192V144C416 135.2 423.2 128 432 128C440.8 128 448 135.2 448 144V192C465.7 192 480 206.3 480 224V288C480 305.7 465.7 320 448 320V368C448 376.8 440.8 384 432 384C423.2 384 416 376.8 416 368V320C398.3 320 384 305.7 384 288V224zM160 80C160 71.16 167.2 64 176 64C184.8 64 192 71.16 192 80V128C209.7 128 224 142.3 224 160V288C224 305.7 209.7 320 192 320V368C192 376.8 184.8 384 176 384C167.2 384 160 376.8 160 368V320C142.3 320 128 305.7 128 288V160C128 142.3 142.3 128 160 128V80z"],
    "chart-column": [512, 512, [], "e0e3", "M24 32C37.25 32 48 42.75 48 56V408C48 421.3 58.75 432 72 432H488C501.3 432 512 442.7 512 456C512 469.3 501.3 480 488 480H72C32.24 480 0 447.8 0 408V56C0 42.75 10.75 32 24 32zM168 224C181.3 224 192 234.7 192 248V328C192 341.3 181.3 352 168 352C154.7 352 144 341.3 144 328V248C144 234.7 154.7 224 168 224zM288 328C288 341.3 277.3 352 264 352C250.7 352 240 341.3 240 328V152C240 138.7 250.7 128 264 128C277.3 128 288 138.7 288 152V328zM360 192C373.3 192 384 202.7 384 216V328C384 341.3 373.3 352 360 352C346.7 352 336 341.3 336 328V216C336 202.7 346.7 192 360 192zM480 328C480 341.3 469.3 352 456 352C442.7 352 432 341.3 432 328V88C432 74.75 442.7 64 456 64C469.3 64 480 74.75 480 88V328z"],
    "chart-gantt": [512, 512, [], "e0e4", "M24 32C37.25 32 48 42.75 48 56V408C48 421.3 58.75 432 72 432H488C501.3 432 512 442.7 512 456C512 469.3 501.3 480 488 480H72C32.24 480 0 447.8 0 408V56C0 42.75 10.75 32 24 32zM128 136C128 122.7 138.7 112 152 112H264C277.3 112 288 122.7 288 136C288 149.3 277.3 160 264 160H152C138.7 160 128 149.3 128 136zM360 208C373.3 208 384 218.7 384 232C384 245.3 373.3 256 360 256H216C202.7 256 192 245.3 192 232C192 218.7 202.7 208 216 208H360zM456 304C469.3 304 480 314.7 480 328C480 341.3 469.3 352 456 352H376C362.7 352 352 341.3 352 328C352 314.7 362.7 304 376 304H456z"],
    "chart-line": [512, 512, ["line-chart"], "f201", "M48 408C48 421.3 58.75 432 72 432H488C501.3 432 512 442.7 512 456C512 469.3 501.3 480 488 480H72C32.24 480 0 447.8 0 408V56C0 42.75 10.75 32 24 32C37.25 32 48 42.75 48 56V408zM336.1 304.1C327.6 314.3 312.4 314.3 303 304.1L223.1 225.9L144.1 304.1C135.6 314.3 120.4 314.3 111 304.1C101.7 295.6 101.7 280.4 111 271L207 175C211.5 170.5 217.6 168 223.1 168C230.4 168 236.5 170.5 240.1 175L320 254.1L439 135C448.4 125.7 463.6 125.7 472.1 135C482.3 144.4 482.3 159.6 472.1 168.1L336.1 304.1z"],
    "chart-line-down": [512, 512, [128201], "f64d", "M48 408C48 421.3 58.75 432 72 432H488C501.3 432 512 442.7 512 456C512 469.3 501.3 480 488 480H72C32.24 480 0 447.8 0 408V56C0 42.75 10.75 32 24 32C37.25 32 48 42.75 48 56V408zM320 296C320 282.7 330.7 272 344 272H398.1L304 177.9L224.1 256.1C215.6 266.3 200.4 266.3 191 256.1L111 176.1C101.7 167.6 101.7 152.4 111 143C120.4 133.7 135.6 133.7 144.1 143L207.1 206.1L287 127C296.4 117.7 311.6 117.7 320.1 127L432 238.1V184C432 170.7 442.7 160 456 160C469.3 160 480 170.7 480 184V296C480 309.3 469.3 320 456 320H344C330.7 320 320 309.3 320 296V296z"],
    "chart-line-up": [512, 512, [], "e0e5", "M48 408C48 421.3 58.75 432 72 432H488C501.3 432 512 442.7 512 456C512 469.3 501.3 480 488 480H72C32.24 480 0 447.8 0 408V56C0 42.75 10.75 32 24 32C37.25 32 48 42.75 48 56V408zM344 128H456C469.3 128 480 138.7 480 152V264C480 277.3 469.3 288 456 288C442.7 288 432 277.3 432 264V209.9L320.1 320.1C311.6 330.3 296.4 330.3 287 320.1L207.1 241.9L144.1 304.1C135.6 314.3 120.4 314.3 111 304.1C101.7 295.6 101.7 280.4 111 271L191 191C200.4 181.7 215.6 181.7 224.1 191L304 270.1L398.1 176H344C330.7 176 320 165.3 320 152C320 138.7 330.7 128 344 128V128z"],
    "chart-mixed": [512, 512, ["analytics"], "f643", "M335.6 218.2C326.6 225.1 313.2 225.9 304.2 218.1L190 118.2L37.31 219.1C26.29 227.3 11.38 224.3 4.033 213.3C-3.32 202.3-.3395 187.4 10.69 180L178.7 68.03C187.7 62.01 199.6 62.8 207.8 69.94L320.2 168.2L472.4 37.78C482.4 29.15 497.6 30.32 506.2 40.38C514.9 50.44 513.7 65.59 503.6 74.22L335.6 218.2zM240 271.1V431.1C240 458.5 218.5 479.1 192 479.1C165.5 479.1 144 458.5 144 431.1V271.1C144 245.5 165.5 223.1 192 223.1C218.5 223.1 240 245.5 240 271.1zM200 431.1V271.1C200 267.6 196.4 263.1 192 263.1C187.6 263.1 184 267.6 184 271.1V431.1C184 436.4 187.6 439.1 192 439.1C196.4 439.1 200 436.4 200 431.1zM112 367.1V431.1C112 458.5 90.51 479.1 64 479.1C37.49 479.1 16 458.5 16 431.1V367.1C16 341.5 37.49 319.1 64 319.1C90.51 319.1 112 341.5 112 367.1zM72 431.1V367.1C72 363.6 68.42 359.1 64 359.1C59.58 359.1 56 363.6 56 367.1V431.1C56 436.4 59.58 439.1 64 439.1C68.42 439.1 72 436.4 72 431.1zM272 335.1C272 309.5 293.5 287.1 320 287.1C346.5 287.1 368 309.5 368 335.1V431.1C368 458.5 346.5 479.1 320 479.1C293.5 479.1 272 458.5 272 431.1V335.1zM320 327.1C315.6 327.1 312 331.6 312 335.1V431.1C312 436.4 315.6 439.1 320 439.1C324.4 439.1 328 436.4 328 431.1V335.1C328 331.6 324.4 327.1 320 327.1zM496 271.1V431.1C496 458.5 474.5 479.1 448 479.1C421.5 479.1 400 458.5 400 431.1V271.1C400 245.5 421.5 223.1 448 223.1C474.5 223.1 496 245.5 496 271.1zM456 431.1V271.1C456 267.6 452.4 263.1 448 263.1C443.6 263.1 440 267.6 440 271.1V431.1C440 436.4 443.6 439.1 448 439.1C452.4 439.1 456 436.4 456 431.1z"],
    "chart-network": [640, 512, [], "f78a", "M288 64C288 80.85 281.5 96.18 270.8 107.6L297.7 165.2C309.9 161.8 322.7 160 336 160C374.1 160 410.4 175.5 436.3 200.7L513.9 143.7C512.7 138.7 512 133.4 512 128C512 92.65 540.7 64 576 64C611.3 64 640 92.65 640 128C640 163.3 611.3 192 576 192C563.7 192 552.1 188.5 542.3 182.4L464.7 239.4C474.5 258.8 480 280.8 480 304C480 322.5 476.5 340.2 470.1 356.5L537.5 396.9C548.2 388.8 561.5 384 576 384C611.3 384 640 412.7 640 448C640 483.3 611.3 512 576 512C540.7 512 512 483.3 512 448C512 444.6 512.3 441.3 512.8 438.1L445.4 397.6C418.1 428.5 379.8 448 336 448C264.6 448 205.4 396.1 193.1 328H123.3C113.9 351.5 90.86 368 64 368C28.65 368 0 339.3 0 304C0 268.7 28.65 240 64 240C90.86 240 113.9 256.5 123.3 280H193.1C200.6 240.9 222.9 207.1 254.2 185.5L227.3 127.9C226.2 127.1 225.1 128 224 128C188.7 128 160 99.35 160 64C160 28.65 188.7 0 224 0C259.3 0 288 28.65 288 64V64zM336 400C389 400 432 357 432 304C432 250.1 389 208 336 208C282.1 208 240 250.1 240 304C240 357 282.1 400 336 400z"],
    "chart-pie": [576, 512, ["pie-chart"], "f200", "M304 240V16.58C304 7.555 310.1 0 320 0C443.7 0 544 100.3 544 224C544 233 536.4 240 527.4 240H304zM493.1 192C479.1 120.5 423.5 64.04 352 50.9V192H493.1zM256 49.61V288L412.5 444.5C419.2 451.2 418.7 462.2 411 467.7C371.8 495.6 323.8 512 272 512C139.5 512 32 404.6 32 272C32 150.7 122.1 50.34 238.1 34.25C248.2 32.99 256 40.36 256 49.61V49.61zM208 307.9V90.91C133.4 117.3 80 188.4 80 272C80 378 165.1 464 272 464C299.2 464 324.1 458.4 348.4 448.2L208 307.9zM558.4 288C567.6 288 575 295.8 573.8 305C566.1 360.9 539.1 410.6 499.9 447.3C493.9 452.1 484.5 452.5 478.7 446.7L320 288H558.4z"],
    "chart-pie-simple": [512, 512, ["chart-pie-alt"], "f64e", "M495.4 240H272V16.58C272 7.555 278.1 0 288 0C411.7 0 512 100.3 512 224C512 233 504.4 240 495.4 240zM224 288H445.3C463.8 288 478.6 303.7 474.8 321.8C451.9 430.5 355.5 512 240 512C107.5 512 0 404.6 0 272C0 156.5 81.53 60.12 190.2 37.18C208.3 33.36 224 48.2 224 66.7V288zM176 90.91C101.4 117.3 48 188.4 48 272C48 378 133.1 464 240 464C323.6 464 394.7 410.6 421.1 336H176V90.91z"],
    "chart-pyramid": [512, 512, [], "e0e6", "M214.5 71.57C233.1 39.82 278.9 39.82 297.5 71.57L493.6 407.8C512.3 439.8 489.2 480 452.1 480H59.86C22.81 480-.2704 439.8 18.4 407.8L214.5 71.57zM256 95.75L199.9 191.1H312.1L256 95.75zM386.8 320L340.1 239.1H171.9L125.2 320H386.8zM97.19 368L59.86 432H452.1L414.8 368H97.19z"],
    "chart-radar": [512, 512, [], "e0e7", "M330.4 281.4C347.4 285.9 360 301.5 360 320C360 342.1 342.1 360 320 360C304.1 360 290.3 350.7 283.9 337.3L186.7 317.8C179.6 324.1 170.2 328 160 328C137.9 328 120 310.1 120 288C120 265.9 137.9 248 160 248L217.6 171.2C216.6 167.7 216 163.9 216 160C216 137.9 233.9 120 256 120C278.1 120 296 137.9 296 160C296 167.6 293.9 174.7 290.2 180.8L330.4 281.4zM202 271.9L281.3 287.8L249.6 208.6L202 271.9zM109.1 59.9C120 42.63 138.5 32 158.4 32H353.6C373.5 32 391.1 42.63 402 59.9L499.4 227.9C509.5 245.3 509.5 266.7 499.4 284.1L402 452.1C391.1 469.4 373.5 480 353.6 480H158.4C138.5 480 120 469.4 109.1 452.1L12.55 284.1C2.474 266.7 2.474 245.3 12.55 227.9L109.1 59.9zM158.4 80C155.6 80 152.9 81.52 151.5 83.99L54.07 251.1C52.63 254.5 52.63 257.5 54.07 260L151.5 428C152.9 430.5 155.6 432 158.4 432H353.6C356.4 432 359.1 430.5 360.5 428L457.9 260C459.4 257.5 459.4 254.5 457.9 251.1L360.5 83.99C359.1 81.52 356.4 80 353.6 80H158.4z"],
    "chart-scatter": [512, 512, [], "f7ee", "M48 408C48 421.3 58.75 432 72 432H488C501.3 432 512 442.7 512 456C512 469.3 501.3 480 488 480H72C32.24 480 0 447.8 0 408V56C0 42.75 10.75 32 24 32C37.25 32 48 42.75 48 56V408zM160 160C160 142.3 174.3 128 192 128C209.7 128 224 142.3 224 160C224 177.7 209.7 192 192 192C174.3 192 160 177.7 160 160zM320 256C320 273.7 305.7 288 288 288C270.3 288 256 273.7 256 256C256 238.3 270.3 224 288 224C305.7 224 320 238.3 320 256zM352 320C352 302.3 366.3 288 384 288C401.7 288 416 302.3 416 320C416 337.7 401.7 352 384 352C366.3 352 352 337.7 352 320zM448 128C448 145.7 433.7 160 416 160C398.3 160 384 145.7 384 128C384 110.3 398.3 96 416 96C433.7 96 448 110.3 448 128zM128 320C128 302.3 142.3 288 160 288C177.7 288 192 302.3 192 320C192 337.7 177.7 352 160 352C142.3 352 128 337.7 128 320z"],
    "chart-scatter-3d": [512, 512, [], "e0e8", "M0 64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64C64 81.67 49.67 96 32 96C14.33 96 0 81.67 0 64zM280 276.8L471.4 437.6C481.6 446.1 482.9 461.3 474.4 471.4C465.9 481.6 450.7 482.9 440.6 474.4L255.1 319.3L71.44 474.4C61.29 482.9 46.15 481.6 37.62 471.4C29.1 461.3 30.41 446.1 40.56 437.6L231.1 276.8V56C231.1 42.75 242.7 32 255.1 32C269.3 32 280 42.75 280 56L280 276.8zM352 64C352 46.33 366.3 32 384 32C401.7 32 416 46.33 416 64C416 81.67 401.7 96 384 96C366.3 96 352 81.67 352 64zM416 256C416 273.7 401.7 288 384 288C366.3 288 352 273.7 352 256C352 238.3 366.3 224 384 224C401.7 224 416 238.3 416 256zM448 160C448 142.3 462.3 128 480 128C497.7 128 512 142.3 512 160C512 177.7 497.7 192 480 192C462.3 192 448 177.7 448 160zM160 160C160 177.7 145.7 192 128 192C110.3 192 96 177.7 96 160C96 142.3 110.3 128 128 128C145.7 128 160 142.3 160 160zM64 256C64 273.7 49.67 288 32 288C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224C49.67 224 64 238.3 64 256zM224 448C224 430.3 238.3 416 256 416C273.7 416 288 430.3 288 448C288 465.7 273.7 480 256 480C238.3 480 224 465.7 224 448z"],
    "chart-scatter-bubble": [512, 512, [], "e0e9", "M24 32C37.25 32 48 42.75 48 56V408C48 421.3 58.75 432 72 432H488C501.3 432 512 442.7 512 456C512 469.3 501.3 480 488 480H72C32.24 480 0 447.8 0 408V56C0 42.75 10.75 32 24 32zM128 304C128 277.5 149.5 256 176 256C202.5 256 224 277.5 224 304C224 330.5 202.5 352 176 352C149.5 352 128 330.5 128 304zM416 288C416 323.3 387.3 352 352 352C316.7 352 288 323.3 288 288C288 252.7 316.7 224 352 224C387.3 224 416 252.7 416 288zM352 264C338.7 264 328 274.7 328 288C328 301.3 338.7 312 352 312C365.3 312 376 301.3 376 288C376 274.7 365.3 264 352 264zM192 176C192 149.5 213.5 128 240 128C266.5 128 288 149.5 288 176C288 202.5 266.5 224 240 224C213.5 224 192 202.5 192 176zM448 128C448 163.3 419.3 192 384 192C348.7 192 320 163.3 320 128C320 92.65 348.7 64 384 64C419.3 64 448 92.65 448 128zM384 104C370.7 104 360 114.7 360 128C360 141.3 370.7 152 384 152C397.3 152 408 141.3 408 128C408 114.7 397.3 104 384 104z"],
    "chart-simple": [448, 512, [], "e473", "M240 32C266.5 32 288 53.49 288 80V432C288 458.5 266.5 480 240 480H208C181.5 480 160 458.5 160 432V80C160 53.49 181.5 32 208 32H240zM240 80H208V432H240V80zM80 224C106.5 224 128 245.5 128 272V432C128 458.5 106.5 480 80 480H48C21.49 480 0 458.5 0 432V272C0 245.5 21.49 224 48 224H80zM80 272H48V432H80V272zM320 144C320 117.5 341.5 96 368 96H400C426.5 96 448 117.5 448 144V432C448 458.5 426.5 480 400 480H368C341.5 480 320 458.5 320 432V144zM368 432H400V144H368V432z"],
    "chart-simple-horizontal": [448, 512, [], "e474", "M448 272C448 298.5 426.5 320 400 320H48C21.49 320 0 298.5 0 272V240C0 213.5 21.49 192 48 192H400C426.5 192 448 213.5 448 240V272zM48 240V272H400V240H48zM256 432C256 458.5 234.5 480 208 480H48C21.49 480 0 458.5 0 432V400C0 373.5 21.49 352 48 352H208C234.5 352 256 373.5 256 400V432zM48 400V432H208V400H48zM48 160C21.49 160 0 138.5 0 112V80C0 53.49 21.49 32 48 32H336C362.5 32 384 53.49 384 80V112C384 138.5 362.5 160 336 160H48zM336 112V80H48V112H336z"],
    "chart-tree-map": [512, 512, [], "e0ea", "M176 32C202.5 32 224 53.49 224 80V192C224 218.5 202.5 240 176 240H48C21.49 240 0 218.5 0 192V80C0 53.49 21.49 32 48 32H176zM176 80H48V192H176V80zM176 272C202.5 272 224 293.5 224 320V432C224 458.5 202.5 480 176 480H48C21.49 480 0 458.5 0 432V320C0 293.5 21.49 272 48 272H176zM176 320H48V432H176V320zM256 80C256 53.49 277.5 32 304 32H464C490.5 32 512 53.49 512 80V112C512 138.5 490.5 160 464 160H304C277.5 160 256 138.5 256 112V80zM304 112H464V80H304V112zM464 192C490.5 192 512 213.5 512 240V272C512 298.5 490.5 320 464 320H304C277.5 320 256 298.5 256 272V240C256 213.5 277.5 192 304 192H464zM464 240H304V272H464V240zM256 400C256 373.5 277.5 352 304 352H464C490.5 352 512 373.5 512 400V432C512 458.5 490.5 480 464 480H304C277.5 480 256 458.5 256 432V400zM304 432H464V400H304V432z"],
    "chart-user": [640, 512, ["user-chart"], "f6a3", "M160 320c53.02 0 96-42.98 96-96c0-53.02-42.98-96-96-96C106.1 128 64 170.1 64 224C64 277 106.1 320 160 320zM160 176c26.47 0 48 21.53 48 48S186.5 272 160 272S112 250.5 112 224S133.5 176 160 176zM192 352H128c-70.69 0-128 57.3-128 128c0 17.67 14.33 32 32 32h256c17.67 0 32-14.33 32-32C320 409.3 262.7 352 192 352zM49.61 464C57.04 427.5 89.37 400 128 400h64c38.63 0 70.96 27.53 78.39 64H49.61zM584 0H216C185.1 0 160 25.12 160 56V80c0 13.25 10.75 24 24 24S208 93.25 208 80V56c0-4.406 3.594-8 8-8h368c4.406 0 8 3.594 8 8v304c0 4.406-3.594 8-8 8H352c-13.25 0-24 10.75-24 24S338.8 416 352 416h232c30.88 0 56-25.12 56-56v-304C640 25.12 614.9 0 584 0zM328.1 167c-9.375-9.375-24.6-9.375-33.98 0s-9.354 24.58 .0208 33.96l71.98 72.02C371.7 277.7 377.8 280 384 280s12.3-2.323 16.99-7.01L496 177.9V200C496 213.3 506.8 224 520 224S544 213.3 544 200v-80C544 106.8 533.3 96 520 96h-80C426.8 96 416 106.8 416 120s10.75 24 24 24h22.06L384 222L328.1 167z"],
    "chart-waterfall": [512, 512, [], "e0eb", "M24 32C37.25 32 48 42.75 48 56V408C48 421.3 58.75 432 72 432H488C501.3 432 512 442.7 512 456C512 469.3 501.3 480 488 480H72C32.24 480 0 447.8 0 408V56C0 42.75 10.75 32 24 32zM168 224C181.3 224 192 234.7 192 248V328C192 341.3 181.3 352 168 352C154.7 352 144 341.3 144 328V248C144 234.7 154.7 224 168 224zM288 232C288 245.3 277.3 256 264 256C250.7 256 240 245.3 240 232V152C240 138.7 250.7 128 264 128C277.3 128 288 138.7 288 152V232zM360 64C373.3 64 384 74.75 384 88V168C384 181.3 373.3 192 360 192C346.7 192 336 181.3 336 168V88C336 74.75 346.7 64 360 64zM480 328C480 341.3 469.3 352 456 352C442.7 352 432 341.3 432 328V88C432 74.75 442.7 64 456 64C469.3 64 480 74.75 480 88V328z"],
    "check": [448, 512, [10004, 10003], "f00c", "M440.1 103C450.3 112.4 450.3 127.6 440.1 136.1L176.1 400.1C167.6 410.3 152.4 410.3 143 400.1L7.029 264.1C-2.343 255.6-2.343 240.4 7.029 231C16.4 221.7 31.6 221.7 40.97 231L160 350.1L407 103C416.4 93.66 431.6 93.66 440.1 103V103z"],
    "check-double": [448, 512, [], "f560", "M176.1 240.1C167.6 250.3 152.4 250.3 143 240.1L63.03 160.1C53.66 151.6 53.66 136.4 63.03 127C72.4 117.7 87.6 117.7 96.97 127L160 190.1L303 47.03C312.4 37.66 327.6 37.66 336.1 47.03C346.3 56.4 346.3 71.6 336.1 80.97L176.1 240.1zM176.1 464.1C167.6 474.3 152.4 474.3 143 464.1L7.029 328.1C-2.343 319.6-2.343 304.4 7.029 295C16.4 285.7 31.6 285.7 40.97 295L160 414.1L407 167C416.4 157.7 431.6 157.7 440.1 167C450.3 176.4 450.3 191.6 440.1 200.1L176.1 464.1z"],
    "check-to-slot": [576, 512, ["vote-yea"], "f772", "M341.1 137.2L268.6 229.5L231.6 197.8C221.6 189.2 206.4 190.3 197.8 200.4C189.2 210.4 190.3 225.6 200.4 234.2l56 48C260.8 285.1 266.2 287.1 271.1 287.1c.7813 0 1.606-.0187 2.388-.1125c6.531-.625 12.5-3.906 16.53-9.062l88-112c8.188-10.41 6.375-25.5-4.062-33.69C364.4 124.1 349.3 126.8 341.1 137.2zM96 408h384c13.25 0 24-10.75 24-24c0-13.26-10.75-24-24-24V96c0-35.35-28.65-64-64-64H160C124.7 32 96 60.65 96 96v264c-13.25 0-24 10.74-24 24C72 397.3 82.75 408 96 408zM144 96c0-8.836 7.164-16 16-16h256c8.836 0 16 7.164 16 16v264h-288V96zM524.6 288c-13.25 0-24 10.75-24 24s10.75 24 24 24C526.5 336 528 337.5 528 339.4V424c0 4.406-3.594 8-8 8H56c-4.406 0-8-3.594-8-8v-84.58C48 337.5 49.53 336 51.41 336c13.25 0 24-10.75 24-24S64.66 288 51.41 288C23.06 288 0 311.1 0 339.4V424C0 454.9 25.13 480 56 480h464c30.88 0 56-25.12 56-56v-84.58C576 311.1 552.9 288 524.6 288z"],
    "cheese": [512, 512, [], "f7ef", "M299.9 32.01L298.4 32c-7.125 .125-14.13 2.508-19.62 7.008L0 255.1v192C0 465.6 14.38 480 32 480h448c17.62 0 32-14.37 32-31.1V255.1C512 136.1 417.1 38.26 299.9 32.01zM303.6 80.38c87.75 7.75 155.6 79.5 159.6 167.5H88.5L303.6 80.38zM464 432h-416V295.9h416V432z"],
    "cheese-swiss": [512, 512, [129472], "f7f0", "M176 319.9c-26.5 0-48 21.5-48 48s21.5 48 48 48s48-21.5 48-48S202.5 319.9 176 319.9zM299.9 32.01L298.4 32c-7.125 .125-14.13 2.508-19.62 7.008L0 255.1v192C0 465.6 14.38 480 32 480h448c17.62 0 32-14.37 32-31.1V255.1C512 136.1 417.1 38.26 299.9 32.01zM196.5 163.8C204.6 181.9 223.1 193 242.9 191.9c19.88-1.25 36.88-14.5 42.88-33.38S285.5 119 269.1 106.6l33.63-26.12c87.75 7.625 155.6 79.38 159.6 167.4h-53.88c-8.5-14.88-24.25-24-41.38-24s-32.88 9.125-41.38 24H88.5L196.5 163.8zM464 432h-416V295.9h278.6c8.5 14.88 24.25 24 41.38 24s32.88-9.125 41.38-24H464V432z"],
    "cherries": [640, 512, [], "e0ec", "M539.3 224.1c-20.45 0-44.27 4.555-71.23 14.38C434.6 109.9 313.6 .0001 287.9 .0001c-11.19 0-21.47 7.998-23.63 19.68c-25.78 140.1-73.11 202.6-89.55 219.9c-12.51-4.698-43.26-15.48-74.13-15.48c-92.32 0-100.6 82.48-100.6 105.7c0 82.16 67.03 182.2 191.1 182.2c53.65 0 96.47-18.54 128-46.11c31.54 27.53 74.31 46.11 127.9 46.11c125 0 192.1-100.1 192.1-182.2C640 306.5 631.7 224.1 539.3 224.1zM303.4 67.38c33.89 30.3 88.24 88.81 113.6 167.4c-26.62-8.542-46.49-10.8-60.5-10.8c-13.72 0-25.53 2.499-36.34 6.143C309.2 226.5 297.1 224.1 283.3 224.1c-12.69 0-26.63 1.762-41.81 5.393C260.1 197.1 285.3 145.2 303.4 67.38zM48.02 329.8c0-23.24 6.353-57.79 52.57-57.79c30.45 0 59.48 12.81 91.34 26.82c33.63-14.79 60.76-26.82 91.32-26.82c46.22 0 52.59 34.54 52.59 57.79c0 19.76-19.1 134.2-143.9 134.2C66.58 464 48.02 349.1 48.02 329.8zM591.1 329.8c0 19.62-19.03 134.2-144.1 134.2c-45.82 0-76.86-17.05-96.34-33.88c21.22-31.24 32.31-67.2 32.31-100.4c0-29.51-9.051-48.89-13.16-56.73c28.8 3.611 53.32 15.29 77.19 25.78c33.55-14.74 60.84-26.81 91.4-26.81C585.7 272 591.1 306.7 591.1 329.8z"],
    "chess": [512, 512, [], "f439", "M497.6 279.1C506.6 273.2 512 263.2 512 252.5V192c0-17.6-14.4-32-32-32h-192c-17.6 0-32 14.4-32 32v60.5c0 10.88 5.5 21 12.75 25.5L296 299.6v74.75C291 378.9 288 385.2 288 392V416l-25.62 19.25C258.4 438.2 256 443 256 448c0-5-2.375-9.75-6.375-12.75L224 416v-24c-.125-10.38-6.875-19.5-16.88-22.5c-3.75-25-6.375-50.25-6.375-75.5V256H208C216.8 256 224 248.8 224 240V224c0-8.837-7.163-16-16-16H204.9l26.88-80.38c.8527-2.516 1.269-5.104 1.269-7.67c0-11.89-9.075-23.95-24.91-23.95L144.8 96V64h16C169.6 64 176.8 56.8 176.8 48S169.6 32 160.8 32H144.8V15.1C144.8 7.2 137.6 0 128.8 0S112.8 7.2 112.8 15.1V32H96.86C88.06 32 80.75 39.2 80.75 47.1S87.95 64 96.75 64H112.8v32L49.39 95.1c-15.54 0-24.91 11.86-24.91 23.95c0 2.567 .4164 5.155 1.269 7.671L52.75 208H48C39.16 208 32 215.2 32 224v16C32 248.8 39.16 256 48 256h8.75v38c0 25.12-2.5 50.25-6.375 75.12C39.88 371.8 32 380.8 32 392V416l-25.63 19.26C2.358 438.3 0 442.1 0 448v48C0 504.8 7.163 512 16 512h224c8.875 0 16-7.125 16-16c0 8.875 7.125 16 16 16h224c8.837 0 16-7.163 16-16V448c0-5.012-2.358-9.732-6.365-12.74L480 416v-24c0-6.75-3-13.12-8-17.62V299.5L497.6 279.1zM175.8 144l-21.5 64H103.4l-21.5-64H175.8zM158.8 368H98.88c3.5-25.25 5.875-50.13 5.875-73.1V256h48v38C152.8 317.9 155.1 342.8 158.8 368zM48 464l32-24V416h96v24l32 24H48zM304 464l32-24V416h96v24l32 24H304zM464 244.6l-40 31.75V368h-80V276.4L304 244.9V208h32v24h32V208h32v24h32V208h32V244.6zM384 288c-8.875 0-16 7.125-16 16v32h32v-32C400 295.1 392.9 288 384 288z"],
    "chess-bishop": [320, 512, [9821], "f43a", "M296 464H23.1C10.75 464 0 474.7 0 487.1S10.75 512 23.1 512h272C309.3 512 320 501.3 320 488S309.3 464 296 464zM0 304c0 51.63 30.12 85.25 64 96v32h48v-67.13l-33.5-10.63C63.75 349.5 48 333.9 48 304c0-84.1 93.2-206.5 112.6-206.5c19.63 0 60.01 67.18 70.28 85.8l-66.13 66.13c-3.125 3.125-4.688 7.219-4.688 11.31S161.6 268.9 164.8 272L176 283.2c3.125 3.125 7.219 4.688 11.31 4.688s8.188-1.562 11.31-4.688L253 229C264.4 256.8 272 283.5 272 304c0 29.88-15.75 45.5-30.5 50.25L208 364.9V432H256v-32c33.88-10.75 64-44.38 64-96c0-73.38-67.75-197.2-120.6-241.5C213.4 59.12 224 47 224 32c0-17.62-14.38-32-32-32H128C110.4 0 96 14.38 96 32c0 15 10.62 27.12 24.62 30.5C67.75 106.8 0 230.6 0 304z"],
    "chess-bishop-piece": [256, 512, ["chess-bishop-alt"], "f43b", "M249.6 435.2L224 416v-24c0-12.12-9.125-21.62-20.75-23.38C201.4 352.5 200.2 336.2 200 320h8c8.875 0 16-7.125 16-16V288c-.125-7.875-5.875-14.5-13.62-15.5C224 261.6 232 243.4 232 211.4c0-41.63-25.88-100.6-58-132.6C184.2 76 192 67 192 56C192 42.75 181.2 32 168 32h-80C74.75 32 64 42.75 64 56c0 11 7.75 20 17.1 22.75C49.88 110.8 24 169.8 24 211.4c0 32 8 50.25 21.62 61.12C37.88 273.5 32.12 280.1 32 288v16C32 312.9 39.12 320 48 320h8c-.25 16.25-1.375 32.5-3.25 48.63C41.12 370.2 32 379.9 32 392V416l-25.62 19.25C2.375 438.2 0 443 0 448v48C0 504.9 7.125 512 16 512h224c8.875 0 16-7.125 16-16V448C256 443 253.6 438.2 249.6 435.2zM115.2 110.4C118.2 106.5 123 104.2 128 104.2c8.129 0 13.59 3.458 30.62 32.38L121 174.2C119.5 175.8 118.6 177.9 118.6 180S119.5 184.1 121 185.6L134.5 199C136 200.5 137.1 201.4 140.1 201.4c2.125 0 4.125-.875 5.625-2.375l28.62-28.62C180.2 185.6 184 200.2 184 211.4v.5C183.9 225.1 178.5 237.8 169 247L160 256v16H96V256L87 247C77.5 237.8 72.13 225.1 72 211.9V211.2C72 185.6 89.75 142.4 115.2 110.4zM154.9 368H101.1C102.6 352 103.9 336 104 320h48C152.1 336 153.4 352 154.9 368zM48 464l32-24V416h96v24l32 24H48z"],
    "chess-board": [448, 512, [], "f43c", "M64 96v64h64V96H64zM256 96H192v64h64V96zM192 416h64v-64H192V416zM64 416h64v-64H64V416zM64 224v64h64V224H64zM384 288V224h-64v64H384zM384 416v-64h-64v64H384zM320 160h64V96h-64V160zM256 224h64V160h-64V224zM384 32H64C28.8 32 0 60.8 0 96v320c0 35.2 28.8 64 64 64h320c35.2 0 64-28.8 64-64V96C448 60.8 419.2 32 384 32zM400 416c0 8.674-7.326 16-16 16H64c-8.672 0-16-7.326-16-16V96c0-8.674 7.328-16 16-16h320c8.674 0 16 7.326 16 16V416zM192 160H128v64h64V160zM192 288h64V224H192V288zM128 288v64h64V288H128zM256 352h64V288h-64V352z"],
    "chess-clock": [640, 512, [], "f43d", "M544 112L544 104c0-13.25-10.74-24-24-24h-112C394.7 80 384 90.75 384 104V112H200l.1662-32H232C245.3 80 256 69.25 256 56S245.3 32 232 32h-112C106.7 32 96 42.75 96 56S106.7 80 120 80h32.17L152 112H96c-53.02 0-96 42.98-96 96V384c0 53.02 42.98 96 96 96h448c53.02 0 96-42.98 96-96V207.1C640 154.1 597 112 544 112zM592 384c0 26.51-21.49 48-48 48H96c-26.51 0-48-21.49-48-48V208C48 181.5 69.49 160 96 160h448c26.51 0 48 21.49 48 48V384zM200 192C142.6 192 96 238.6 96 296s46.56 104 104 104S304 353.4 304 296S257.4 192 200 192zM216 288c0 8.844-7.156 16-16 16S184 296.8 184 288V240c0-8.844 7.156-16 16-16s16 7.156 16 16V288zM440 191.1c-59.49 0-104 48.64-104 103.1c0 55.64 44.81 103.1 104 103.1c59.49 0 104-48.62 104-103.1C544 240.4 499.3 191.1 440 191.1zM495.6 256.4c0 4.093-1.563 8.187-4.69 11.31l-33.94 33.94c-3.127 3.127-7.22 4.69-11.31 4.69c-8.552 0-16-6.904-16-16c0-4.093 1.563-8.187 4.69-11.31l33.94-33.94c3.126-3.127 7.219-4.69 11.31-4.69C488.7 240.4 495.6 247.9 495.6 256.4z"],
    "chess-clock-flip": [640, 512, ["chess-clock-alt"], "f43e", "M440 192c-57.44 0-104 46.56-104 104s46.56 104 104 104S544 353.4 544 296S497.4 192 440 192zM456 288c0 8.844-7.156 16-16 16s-16-7.156-16-16V240c0-8.844 7.156-16 16-16s16 7.156 16 16V288zM0 207.1l0 176.1C0 437 42.96 480 95.96 480h448.1C597 480 640 437 640 384V207.1C640 154.1 597 112 544 112H488l-.1662-32H520C533.3 80 544 69.25 544 56S533.3 32 520 32h-112C394.7 32 384 42.75 384 56s10.74 24 24 24h31.83L440 112H255.1L256 104C256 90.75 245.3 80 232 80h-112C106.7 80 96 90.75 96 104L95.97 112C42.98 112 0 154.1 0 207.1zM48 208C48 181.5 69.49 160 96 160h448c26.51 0 48 21.49 48 48V384c0 26.51-21.49 48-48 48H96c-26.51 0-48-21.49-48-48V208zM200 191.1c-59.49 0-104 48.64-104 103.1c0 55.64 44.81 103.1 104 103.1c59.49 0 104-48.62 104-103.1C304 240.4 259.3 191.1 200 191.1zM255.6 256.4c0 4.093-1.563 8.187-4.69 11.31L216.1 301.7c-3.127 3.127-7.221 4.69-11.31 4.69c-8.569 0-16-6.921-16-16c0-4.093 1.563-8.187 4.69-11.31l33.94-33.94c3.126-3.127 7.219-4.69 11.31-4.69C248.7 240.4 255.6 247.9 255.6 256.4z"],
    "chess-king": [448, 512, [9818], "f43f", "M391.9 464H55.95c-13.25 0-23.1 10.75-23.1 23.1S42.7 512 55.95 512h335.1c13.25 0 23.1-10.75 23.1-23.1S405.2 464 391.9 464zM448 216c0-11.82-3.783-23.51-11.08-33.17c-10.3-14.39-27-22.88-44.73-22.88L247.9 160V104h31.1c13.2 0 24.06-10.8 24.06-24S293.1 56 279.9 56h-31.1V23.1C247.9 10.8 237.2 0 223.1 0S199.9 10.8 199.9 23.1V56H167.9c-13.2 0-23.97 10.8-23.97 24S154.7 104 167.9 104h31.1V160H55.95C24.72 160 0 185.3 0 215.9C0 221.6 .8893 227.4 2.704 233L68.45 432h50.5L48.33 218.4C48.09 217.6 47.98 216.9 47.98 216.1C47.98 212.3 50.93 208 55.95 208h335.9c6.076 0 8.115 5.494 8.115 8.113c0 .6341-.078 1.269-.2405 1.887L328.8 432h50.62l65.1-199.2C447.2 227.3 448 221.7 448 216z"],
    "chess-king-piece": [256, 512, ["chess-king-alt"], "f440", "M249.6 435.3L224 416v-24c-.125-10.38-6.875-19.5-16.88-22.5c-3.75-25-6.375-50.25-6.375-75.5V256H208C216.8 256 224 248.8 224 240V224c0-8.875-7.125-16-16-16h-3.125l26.1-80.38c.7917-2.458 1.181-4.986 1.181-7.495C233.1 107.3 222.8 96 209 96h-64.25V64h16c8.8 0 16-7.2 16-15.1S169.6 32 160.8 32h-16V15.1c0-8.8-7.2-15.1-16-15.1s-16 7.2-16 15.1V32H96.86C88.06 32 80.75 39.2 80.75 47.1S87.95 64 96.75 64h16v32H48.5C35.21 96 24.48 106.8 24.48 119.1c0 2.567 .4164 5.155 1.269 7.671L52.75 208H48C39.12 208 32 215.1 32 224v16C32 248.8 39.16 256 48 256h8.75v38c0 25.12-2.5 50.25-6.375 75.12C39.88 371.8 32 380.8 32 392V416l-25.63 19.26C2.358 438.3 0 442.1 0 448v48C0 504.8 7.163 512 16 512h224c8.837 0 16-7.163 16-16V448C256 442.1 253.6 438.3 249.6 435.3zM175.8 144l-21.5 64H103.4l-21.5-64H175.8zM158.4 368H99.12c3.375-24.5 5.625-49.25 5.625-73.1V256h48v38C152.8 318.8 155 343.5 158.4 368zM48 464l32-24V416h96v24l32 24H48z"],
    "chess-knight": [384, 512, [9822], "f441", "M44 320.6l14.5 6.5c-17.01 20.24-26.44 45.91-26.44 72.35C32.06 399.7 32.12 432 32.12 432h48v-32c0-24.75 14-47.5 36.13-58.63l38.13-23.37c13.25-6.625 21.75-20.25 21.75-35.13v-58.75l-15.37 9C155.6 235.8 151.9 240.4 150.5 245.9L143 271c-2.25 7.625-8 13.88-15.38 16.75L117.1 292C114 293.3 110.7 293.9 107.4 293.9c-3.626 0-7.263-.7514-10.66-2.254L63.5 276.9C54.12 272.6 48 263.2 48 252.9V140.5c0-5.125 2.125-10.12 5.75-13.88l7.375-7.375L49.5 96C48.5 94.12 48 92 48 89.88C48 84.38 52.38 80 57.88 80h105c86.75 0 156.1 70.38 156.1 157.1V432h48.06l-.0625-194.9C367.9 124 276 32 162.9 32H57.88C25.88 32 0 57.88 0 89.88c0 8.5 1.75 16.88 5.125 24.62C1.75 122.8 0 131.6 0 140.5v112.4C0 282.2 17.25 308.8 44 320.6zM80.12 164c0 11 8.875 20 20 20c11 0 20-9 20-20s-9-20-20-20C89 144 80.12 153 80.12 164zM360 464H23.1C10.75 464 0 474.7 0 487.1S10.75 512 23.1 512H360C373.3 512 384 501.3 384 488S373.3 464 360 464z"],
    "chess-knight-piece": [320, 512, ["chess-knight-alt"], "f442", "M89.75 195.2c7.849 0 13.87-6.619 13.87-13.97c0-3.581-1.416-7.122-3.991-9.78C96.93 168.9 93.33 167.5 89.7 167.5c-7.556 0-13.83 6.145-13.83 13.9C75.88 189 81.1 195.1 89.75 195.2zM313.6 435.2L288 416v-30.12c10.25-13.63 15.88-30.12 16-47.12V232.6C304 139.6 228.4 64 135.4 64H55.38C25.02 64-.0433 88.92-.0433 119.6c0 6.22 1.043 12.48 3.168 18.5C1 144.5 0 151.1 0 157.8v84.75C0 268 14.38 291.4 37 303c-21.32 29.94-20.88 61.54-20.88 62.21c0 16.67 5.481 33.03 15.88 46.42V416l-25.62 19.25C2.375 438.2 0 443 0 448v48C0 504.9 7.125 512 16 512h288c8.875 0 16-7.125 16-16V448C320 443 317.6 438.2 313.6 435.2zM48.01 119.6C48.01 115.2 51.47 112 55.38 112h80C201.8 112 256 166.2 256 232.6v106.1c0 8.5-3.375 16.62-9.375 22.62L240 368H64.75c-.0968-1.645-.4933-3.291-.4933-4.936c0-1.975 1.253-38.11 46.24-58.44l34.88-10.87C154.3 289.8 160 280.9 160 271.2V222.9L132.9 227.6c-3.875 2-6.625 5.5-7.75 9.625L119.5 256.2C115.1 270.8 94.67 273.5 92.5 273.5c-2.625 0-5.25-.625-7.75-1.75l-25-11.13C52.62 257.5 48 250.4 48 242.5V157.8c0-7.375 4.375-10.63 9.875-16L49.12 124.1C48.35 122.5 48.01 121 48.01 119.6zM48 464l32-24V416h160v24l32 24H48z"],
    "chess-pawn": [320, 512, [9823], "f443", "M296 463.1H23.1c-13.25 0-23.1 10.75-23.1 24s10.75 24 23.1 24h272c13.25 0 23.1-10.75 23.1-23.1S309.3 463.1 296 463.1zM55.1 287.1L80 287.1v29.5c0 40.25-3.5 81.25-23.38 114.5h53.5C125.1 394.1 128 354.6 128 317.5v-29.5h64v29.5c0 37.13 2.875 77.5 17.88 114.5h53.5C243.5 398.7 240 357.7 240 317.5V287.1l24-.0001C277.3 287.1 288 277.3 288 263.1c0-13.25-10.75-24-23.1-24H241c23.75-21.88 38.1-53.12 38.1-87.1c0-9.393-1.106-19.05-3.451-28.86C272.3 105.4 244.9 32 159.1 32C93.75 32 40 85.75 40 151.1c0 34.88 15.12 66.12 39 88H55.1C42.75 239.1 32 250.7 32 263.1C32 277.3 42.75 287.1 55.1 287.1zM160 79.1c39.75 0 72 32.25 72 72S199.8 223.1 160 223.1S88 191.7 88 151.1S120.2 79.1 160 79.1z"],
    "chess-pawn-piece": [256, 512, ["chess-pawn-alt"], "f444", "M249.6 435.4L224 416.2v-23.96c0-13.23-10.75-23.96-24-23.96h2.625C201.1 352.3 200 336.3 200 320.3V288.4h8c8.875 0 16-7.112 16-15.97V256.5c-.125-7.861-5.875-14.35-13.62-15.47c5.34-8.784 13.63-25.79 13.63-49.01C224 138.7 180.8 96 127.1 96C77.19 96 32 136.1 32 191.8c0 16.94 4.491 33.95 13.62 49.17C37.88 242.1 32 248.6 32 256.5v15.97c0 8.859 7.125 15.97 16 15.97h8v31.94c0 15.97-1.125 31.94-2.625 47.92H56c-13.25 0-24 10.73-24 23.96v23.96l-25.62 19.22C2.375 438.4 0 443.1 0 448.1v47.9C0 504.9 7.125 512 16 512h224c8.875 0 16-7.126 16-15.99v-47.9C256 443.1 253.6 438.4 249.6 435.4zM152 288.4v29.95c0 16.72 1 33.32 2.5 49.91h-53C103 351.7 104 335.1 104 318.3V288.4H152zM128 144.7c26.5 0 48 21.46 48 47.92S154.5 240.5 128 240.5S80 219 80 192.6S101.5 144.7 128 144.7zM48 464.1l32-23.96v-23.96h96v23.96l32 23.96H48z"],
    "chess-queen": [512, 512, [9819], "f445", "M256 112c30.88 0 56-25.12 56-56S286.9 0 256 0S199.1 25.12 199.1 56S225.1 112 256 112zM511.1 197.4c0-5.178-2.509-10.2-7.096-13.26L476.4 168.2c-2.5-1.75-5.497-2.62-8.497-2.62c-5.501 .125-10.63 2.87-13.75 7.245c-9.001 12-23.16 19.13-38.16 19.13c-3.125 0-6.089-.2528-9.089-.8778c-23.13-4.25-38.88-26.25-38.88-49.75C367.1 134 361.1 128 354.6 128h-38.75c-6.001 0-11.63 4-12.88 9.875C298.2 160.1 278.7 176 255.1 176c-22.75 0-42.25-15.88-47-38.12C207.7 132 202.2 128 196.1 128h-38.75C149.1 128 143.1 134 143.1 141.4c0 18.49-13.66 50.62-47.95 50.62c-15.13 0-29.3-7.118-38.3-19.24C54.6 168.4 49.66 165.7 44.15 165.6c-3 0-5.931 .8951-8.432 2.645l-28.63 16C2.509 187.2 0 192.3 0 197.4c0 2.438 .5583 4.901 1.72 7.185L109.9 432h53.13L69.85 236.4C78.35 238.8 87.11 240 95.98 240c2.432 0 56.83 1.503 84.76-52.5C198.1 210.5 226.6 224 255.9 224c29.38 0 57.01-13.38 75.26-36.25C336.1 197.6 360.6 240 416 240c8.751 0 17.5-1.125 26-3.5L349 432h53.13l108.1-227.4C511.4 202.3 511.1 199.8 511.1 197.4zM424 464H87.98c-13.26 0-24 10.75-24 23.1S74.72 512 87.98 512h336c13.26 0 24-10.75 24-23.1S437.3 464 424 464z"],
    "chess-queen-piece": [256, 512, ["chess-queen-alt"], "f446", "M223.6 416v-24c0-11.25-7.874-20.25-18.25-22.88c-3.125-22.25-5.25-44.63-5.25-67.12V256h23.1c8.749 0 15.1-7.125 15.1-16V224c0-8.875-7.249-16-15.1-16h-7.499l38.5-105C255.7 101.8 256 100.6 256 99.31c0-2.614-1.281-5.167-3.649-6.689l-12.12-8.125c-1.337-.8916-2.818-1.306-4.294-1.306c-8.735 0-9.064 13.41-26.12 13.41c-12.47 0-24.7-9.738-24.7-25.85c0-1.75-.6249-3.5-1.1-4.75C181.9 64.75 180.1 64 178.4 64l-20.01-.0052c-3.009 0-5.509 2.089-6.238 5.005c-2.375 11.25-12.37 19.38-23.87 19.38c-11.62 0-21.62-8.125-23.1-19.38c-.6075-2.916-3.353-5.003-6.369-5.003c-.0869 0 .0875-.0035 0 0L77.99 64c-3.749 0-6.749 3-6.749 6.875c0 16.14-12.25 25.74-24.72 25.74c-7.039 0-14.15-3.062-19.15-9.739C25.81 84.66 23.23 83.2 20.47 83.2c-1.443 0-2.934 .4002-4.35 1.302l-12.12 8.125c-2.308 1.539-3.623 4.131-3.623 6.775c0 1.222 .2804 2.454 .8728 3.6L39.87 208H32.37c-8.874 0-15.1 7.125-15.1 16v16c0 8.875 7.124 16 15.1 16h23.1v46c0 22.5-2.25 44.75-5.375 66.1C40.25 371.4 31.1 380.5 31.1 392V416l-25.62 19.25C2.375 438.2 0 443 0 448v48C0 504.9 7.125 512 15.1 512h223.6c8.874 0 15.1-7.125 15.1-16V448c0-5-2.375-9.75-6.374-12.75L223.6 416zM93.24 127.4c10.84 6.078 22.87 9.109 34.92 9.109c11.98 0 23.98-2.1 34.83-8.984c7.749 6.625 16.87 11.5 26.75 14.38L166.9 208H89.49l-22.87-66.25C76.37 139 85.49 134 93.24 127.4zM156.9 368H99.49c2.75-21.88 4.75-43.88 4.75-65.1V256h47.87v46C152.1 324.1 154.1 346.1 156.9 368zM47.87 464l31.1-24V416h95.87v24l31.87 24H47.87zM128.2 56c15.37 0 27.1-12.5 27.1-28S143.4 0 128 0c-15.5 0-27.81 12.5-27.81 28S112.7 56 128.2 56z"],
    "chess-rook": [384, 512, [9820], "f447", "M360 464H23.1C10.75 464 0 474.7 0 487.1S10.75 512 23.1 512H360C373.3 512 384 501.3 384 488S373.3 464 360 464zM345.1 32h-308C17 32 0 49 0 70v139.4C0 218.8 4 227.5 11 233.6L48 265.8c0 8.885 .0504 17.64 .0504 26.46c0 39.32-1.001 79.96-11.93 139.8h49C94.95 374.3 96.11 333.3 96.11 285.5C96.11 270.7 96 255.1 96 238.2L48 196.5V80h64V128H160V80h64V128h48V80h64v116.5L288 238.2c0 16.77-.1124 32.25-.1124 47.1c0 47.79 1.164 89.15 10.99 146.7h49c-10.92-59.83-11.93-100.6-11.93-139.9C335.9 283.3 336 274.6 336 265.8l37-32.13C380 227.5 384 218.8 384 209.4V70C384 49 367 32 345.1 32zM192 224C174.4 224 160 238.4 160 256v64h64V256C224 238.4 209.6 224 192 224z"],
    "chess-rook-piece": [320, 512, ["chess-rook-alt"], "f448", "M313.6 435.2L288 416v-24c0-11.12-7.75-20.12-18.12-22.75L264.5 251.5l26.75-20.12c8-6 12.75-15.5 12.75-25.5V96c0-17.62-14.38-32-32-32h-224c-17.62 0-32 14.38-32 32v110C16 216 20.75 225.5 28.75 231.6l26.75 20l-5.375 117.6C39.75 371.9 32 380.9 32 392V416l-25.62 19.25C2.375 438.2 0 443 0 448v48C0 504.9 7.125 512 16 512h288c8.875 0 16-7.125 16-16V448C320 443 317.6 438.2 313.6 435.2zM64 112h40v32h32v-32h48v32h32v-32H256v85.88L215.5 228.5L221.5 368h-123l6-139.6L64 198V112zM48 464l32-24V416h160v24l32 24H48zM184 247.6C184 234.5 173.5 224 160.4 224c-13 0-23.5 10.5-23.5 23.62V288H184V247.6z"],
    "chestnut": [448, 512, [127792], "e3f6", "M302.9 99.43c-25.37-20.56-49.36-39.98-66.48-61.41C233.2 34.01 228.6 32 224 32S214.8 34.01 211.5 38.02C194.4 59.45 170.4 78.87 145.1 99.43C80.44 151.7 0 216.8 0 352C0 422.7 57.31 480 128 480h192c70.69 0 128-57.3 128-127.1C448 216.8 367.6 151.7 302.9 99.43zM320 432H128c-44.11 0-80-35.88-80-79.98c0-.0078 0-.0156 0-.0234h352c0 .0078 0 .0156 0 .0234C400 396.1 364.1 432 320 432z"],
    "chevron-down": [448, 512, [], "f078", "M432.6 209.3l-191.1 183.1C235.1 397.8 229.1 400 224 400s-11.97-2.219-16.59-6.688L15.41 209.3C5.814 200.2 5.502 184.1 14.69 175.4c9.125-9.625 24.38-9.938 33.91-.7187L224 342.8l175.4-168c9.5-9.219 24.78-8.906 33.91 .7187C442.5 184.1 442.2 200.2 432.6 209.3z"],
    "chevron-left": [320, 512, [9001], "f053", "M206.7 464.6l-183.1-191.1C18.22 267.1 16 261.1 16 256s2.219-11.97 6.688-16.59l183.1-191.1c9.152-9.594 24.34-9.906 33.9-.7187c9.625 9.125 9.938 24.37 .7187 33.91L73.24 256l168 175.4c9.219 9.5 8.906 24.78-.7187 33.91C231 474.5 215.8 474.2 206.7 464.6z"],
    "chevron-right": [320, 512, [9002], "f054", "M113.3 47.41l183.1 191.1c4.469 4.625 6.688 10.62 6.688 16.59s-2.219 11.97-6.688 16.59l-183.1 191.1c-9.152 9.594-24.34 9.906-33.9 .7187c-9.625-9.125-9.938-24.38-.7187-33.91l168-175.4L78.71 80.6c-9.219-9.5-8.906-24.78 .7187-33.91C88.99 37.5 104.2 37.82 113.3 47.41z"],
    "chevron-up": [448, 512, [], "f077", "M15.41 302.7l191.1-183.1C212 114.2 218 111.1 224 111.1s11.97 2.219 16.59 6.688l191.1 183.1c9.594 9.152 9.906 24.34 .7187 33.9c-9.125 9.625-24.38 9.938-33.91 .7187L224 169.2l-175.4 168c-9.5 9.219-24.78 8.906-33.91-.7187C5.502 327 5.814 311.8 15.41 302.7z"],
    "chevrons-down": [448, 512, ["chevron-double-down"], "f322", "M207.4 265.3c9.313 8.875 23.88 8.875 33.19 0l184-176c9.563-9.156 9.906-24.34 .75-33.94C420.6 50.47 414.3 48 408 48c-5.969 0-11.94 2.219-16.59 6.656L224 214.8L56.59 54.66C46.1 45.53 31.81 45.81 22.65 55.41S13.84 80.19 23.4 89.34L207.4 265.3zM408 240c-5.969 0-11.94 2.219-16.59 6.656L224 406.8L56.59 246.7C46.1 237.5 31.81 237.8 22.65 247.4S13.84 272.2 23.4 281.3l184 176c9.313 8.875 23.88 8.875 33.19 0l184-176c9.563-9.156 9.906-24.34 .75-33.94C420.6 242.5 414.3 240 408 240z"],
    "chevrons-left": [448, 512, ["chevron-double-left"], "f323", "M73.22 256l160.1-167.4c9.125-9.594 8.844-24.78-.75-33.94S207.8 45.84 198.7 55.4l-176 184c-8.875 9.313-8.875 23.88 0 33.19l176 184c9.156 9.563 24.34 9.907 33.94 .75C237.5 452.6 240 446.3 240 440c0-5.969-2.219-11.94-6.656-16.59L73.22 256zM425.3 423.4L265.2 256l160.1-167.4c9.125-9.594 8.844-24.78-.75-33.94s-24.78-8.813-33.94 .75l-176 184c-8.875 9.313-8.875 23.88 0 33.19l176 184c9.156 9.563 24.34 9.907 33.94 .75C429.5 452.6 432 446.3 432 440C432 434 429.8 428.1 425.3 423.4z"],
    "chevrons-right": [448, 512, ["chevron-double-right"], "f324", "M233.3 239.4l-176-184C48.19 45.84 33 45.49 23.41 54.65C18.47 59.37 16 65.68 16 71.99c0 5.969 2.219 11.94 6.656 16.59L182.8 256l-160.1 167.4c-9.125 9.594-8.844 24.78 .75 33.94c9.594 9.156 24.78 8.813 33.94-.75l176-184C242.2 263.3 242.2 248.7 233.3 239.4zM425.3 239.4l-176-184C240.2 45.84 225 45.49 215.4 54.65C210.5 59.37 208 65.68 208 71.99c0 5.969 2.219 11.94 6.656 16.59L374.8 256l-160.1 167.4c-9.125 9.594-8.844 24.78 .75 33.94c9.594 9.156 24.78 8.813 33.94-.75l176-184C434.2 263.3 434.2 248.7 425.3 239.4z"],
    "chevrons-up": [448, 512, ["chevron-double-up"], "f325", "M56.59 265.3L224 105.2l167.4 160.1C396.1 269.8 402 272 408 272c6.312 0 12.62-2.469 17.34-7.406c9.156-9.594 8.812-24.78-.75-33.94l-184-176c-9.312-8.875-23.88-8.875-33.19 0l-184 176C13.84 239.8 13.49 255 22.65 264.6S46.1 274.5 56.59 265.3zM240.6 246.7c-9.312-8.875-23.88-8.875-33.19 0l-184 176c-9.562 9.156-9.906 24.34-.75 33.94s24.35 9.875 33.94 .75L224 297.2l167.4 160.1C396.1 461.8 402 464 408 464c6.312 0 12.62-2.469 17.34-7.406c9.156-9.594 8.812-24.78-.75-33.94L240.6 246.7z"],
    "child": [320, 512, [], "f1ae", "M87.1 72C87.1 32.24 120.2 0 159.1 0C199.8 0 231.1 32.24 231.1 72C231.1 111.8 199.8 144 159.1 144C120.2 144 87.1 111.8 87.1 72V72zM159.1 96C173.3 96 183.1 85.25 183.1 72C183.1 58.75 173.3 48 159.1 48C146.7 48 135.1 58.75 135.1 72C135.1 85.25 146.7 96 159.1 96zM128 384V488C128 501.3 117.3 512 104 512C90.75 512 80 501.3 80 488V257.9L43.66 309.8C36.05 320.6 21.08 323.3 10.23 315.7C-.6269 308-3.259 293.1 4.349 282.2L50.1 216.1C75.12 181.3 115.1 159.1 159.6 159.1C202.7 159.1 243.2 180.8 268.3 215.1L315.5 282C323.2 292.8 320.7 307.8 309.1 315.5C299.2 323.2 284.2 320.7 276.5 309.9L240 258.9V488C240 501.3 229.3 512 216 512C202.7 512 192 501.3 192 488V384L128 384zM128 336H192V214.4C181.8 210.2 170.8 208 159.6 208C148.6 208 137.9 210.1 128 214V336z"],
    "child-dress": [320, 512, [], "e59c", "M231.1 72C231.1 111.8 199.8 144 159.1 144C120.2 144 87.1 111.8 87.1 72C87.1 32.24 120.2 0 159.1 0C199.8 0 231.1 32.24 231.1 72zM159.1 48C146.7 48 135.1 58.75 135.1 72C135.1 85.25 146.7 96 159.1 96C173.3 96 183.1 85.25 183.1 72C183.1 58.75 173.3 48 159.1 48zM70.95 201.8C92.27 176.1 123.6 160.9 156.9 160C157.6 160 158.3 160 159.1 160H160.9C161.7 160 162.4 160 163.1 160C196.4 160.9 227.7 176.1 249.1 201.8L314.5 280.7C322.9 290.9 321.5 306 311.3 314.5C301.1 322.9 285.1 321.5 277.5 311.3L234.4 259.4L270.8 368.4C273.2 375.7 271.1 383.8 267.5 390C262.1 396.3 255.7 400 248 400H224V488C224 501.3 213.3 512 200 512C186.7 512 176 501.3 176 488V400H144V488C144 501.3 133.3 512 120 512C106.7 512 96 501.3 96 488V400H71.1C64.28 400 57.04 396.3 52.53 390C48.02 383.8 46.79 375.7 49.23 368.4L85.58 259.4L42.47 311.3C34.01 321.5 18.88 322.9 8.676 314.5C-1.525 306-2.933 290.9 5.53 280.7L70.95 201.8zM160 208C159.5 208 159 208 158.6 208C155.3 208.2 152.5 210.4 151.5 213.5L105.3 352H214.7L168.5 213.5C167.5 210.4 164.7 208.2 161.4 208C160.1 208 160.5 208 160 208V208z"],
    "child-reaching": [384, 512, [], "e59d", "M119.1 72C119.1 32.24 152.2 0 191.1 0C231.8 0 264 32.24 264 72C264 111.8 231.8 144 191.1 144C152.2 144 119.1 111.8 119.1 72zM191.1 96C205.3 96 216 85.25 216 72C216 58.75 205.3 48 191.1 48C178.7 48 167.1 58.75 167.1 72C167.1 85.25 178.7 96 191.1 96zM291.7 118.6L307.3 91.91C313.1 80.46 328.6 76.59 340.1 83.27C351.5 89.95 355.4 104.6 348.7 116.1L333.1 142.8C318.2 168.4 296.1 188.1 272 202.1V488C272 501.3 261.3 512 248 512C234.7 512 224 501.3 224 488V384H160V488C160 501.3 149.3 512 136 512C122.7 512 112 501.3 112 488V203.2C86.32 188.9 64.53 167.6 49.5 141.2L35.13 115.8C28.59 104.3 32.63 89.67 44.15 83.13C55.68 76.58 70.33 80.62 76.87 92.15L91.24 117.5C111.8 153.6 150.2 176 191.8 176C232.9 176 270.1 154.2 291.7 118.6H291.7zM224 336V220.8C213.5 222.9 202.7 224 191.8 224C181 224 170.4 222.9 160 220.9V336H224z"],
    "child-rifle": [512, 512, [], "e4e0", "M207.1 64C207.1 99.35 179.3 128 143.1 128C108.7 128 79.1 99.35 79.1 64C79.1 28.65 108.7 .0003 143.1 .0003C179.3 .0003 207.1 28.65 207.1 64zM143.1 48C135.2 48 127.1 55.16 127.1 64C127.1 72.84 135.2 80 143.1 80C152.8 80 159.1 72.84 159.1 64C159.1 55.16 152.8 48 143.1 48zM104 512C90.75 512 80 501.3 80 488V264.8L52.31 308.8C45.25 320 30.44 323.4 19.22 316.3C8 309.3 4.631 294.4 11.69 283.2L60.08 206.3C78.24 177.5 109.9 160 144 160C178.1 160 209.8 177.5 227.9 206.3L276.3 283.2C283.4 294.4 280 309.3 268.8 316.3C257.6 323.4 242.8 320 235.7 308.8L208 264.8V488C208 501.3 197.3 512 184 512C170.7 512 160 501.3 160 488V384H128V488C128 501.3 117.3 512 104 512H104zM144 208C138.5 208 133.1 208.9 128 210.6V336H160V210.6C154.9 208.9 149.5 208 144 208zM416 .0003C424.8 .0003 432 7.164 432 16V132.3C441.6 137.8 448 148.2 448 160V269.3L464 264V208C464 199.2 471.2 192 480 192H496C504.8 192 512 199.2 512 208V292.5C512 299.4 507.6 305.5 501.1 307.6L448 325.3V352H496C504.8 352 512 359.2 512 368V384C512 392.8 504.8 400 496 400H452L475 492.1C477.6 502.2 469.9 512 459.5 512H400C391.2 512 384 504.8 384 496V384H352C334.3 384 320 369.7 320 352V224C320 206.3 334.3 192 352 192H368V160C368 148.2 374.4 137.8 384 132.3V32C375.2 32 368 24.84 368 16C368 7.164 375.2 0 384 0L416 .0003zM400 240H368V336H400V240z"],
    "children": [640, 512, [], "e4e1", "M87.1 72C87.1 32.24 120.2 0 159.1 0C199.8 0 231.1 32.24 231.1 72C231.1 111.8 199.8 144 159.1 144C120.2 144 87.1 111.8 87.1 72zM159.1 96C173.3 96 183.1 85.25 183.1 72C183.1 58.75 173.3 48 159.1 48C146.7 48 135.1 58.75 135.1 72C135.1 85.25 146.7 96 159.1 96zM248.2 203.8L307.1 281.5C315.1 292.1 313.1 307.1 302.5 315.1C291.9 323.1 276.9 321.1 268.9 310.5L223.5 250.7L262.8 368.4C265.2 375.7 263.1 383.8 259.5 390C254.1 396.3 247.7 400 240 400H224V488C224 501.3 213.3 512 200 512C186.8 512 176 501.3 176 488V400H144V488C144 501.3 133.3 512 120 512C106.8 512 96.01 501.3 96.01 488V400H80C72.29 400 65.04 396.3 60.53 390C56.02 383.8 54.79 375.7 57.23 368.4L96.47 250.7L51.13 310.5C43.12 321.1 28.07 323.1 17.5 315.1C6.943 307.1 4.873 292.1 12.88 281.5L71.78 203.8C92.71 176.2 125.4 160 160 160C194.7 160 227.3 176.2 248.2 203.8L248.2 203.8zM206.7 352L160 211.9L113.3 352H206.7zM552 72C552 111.8 519.8 144 480 144C440.2 144 408 111.8 408 72C408 32.24 440.2 0 480 0C519.8 0 552 32.24 552 72zM480 48C466.7 48 456 58.75 456 72C456 85.25 466.7 96 480 96C493.3 96 504 85.25 504 72C504 58.75 493.3 48 480 48zM440 512C426.7 512 416 501.3 416 488V264.8L388.3 308.8C381.3 320 366.4 323.4 355.2 316.3C344 309.3 340.6 294.4 347.7 283.2L396.1 206.3C414.2 177.5 445.9 160 480 160C514.1 160 545.8 177.5 563.9 206.3L612.3 283.2C619.4 294.4 616 309.3 604.8 316.3C593.6 323.4 578.8 320 571.7 308.8L544 264.8V488C544 501.3 533.3 512 520 512C506.7 512 496 501.3 496 488V384H464V488C464 501.3 453.3 512 440 512H440zM480 208C474.5 208 469.1 208.9 464 210.6V336H496V210.6C490.9 208.9 485.5 208 480 208z"],
    "chimney": [448, 512, [], "f78b", "M416 32H32C14.33 32 0 46.33 0 64v128c0 17.75 14.25 32 32 32v232C32 469.3 42.75 480 55.1 480S80 469.3 80 456V384H256v72C256 469.3 266.7 480 279.1 480S304 469.3 304 456V384h64v72C368 469.3 378.7 480 391.1 480S416 469.3 416 456V224c17.75 0 32-14.25 32-32V64C448 46.33 433.7 32 416 32zM160 336H80V224H160V336zM368 336h-160V224h160V336zM400 176h-352v-96h352V176z"],
    "chopsticks": [640, 512, [], "e3f7", "M637.3 110.6C639.8 119.1 640.6 128.1 639.5 136.9C638.5 145.7 635.7 154.2 631.3 161.9C626.9 169.5 621 176.3 613.9 181.6L191.1 504C183.1 510.2 172.1 513 162.9 511.9C152.9 510.8 143.6 505.9 137.1 498.1C130.6 490.3 127.4 480.4 128.1 470.3C128.8 460.2 133.3 450.7 140.8 443.9L530.3 81.31C536.8 75.3 544.4 70.67 552.8 67.71C561.2 64.75 570 63.52 578.9 64.1C587.7 64.67 596.3 67.04 604.2 71.06C612.2 75.07 619.2 80.65 624.8 87.46C630.5 94.27 634.7 102.2 637.3 110.6H637.3zM584.1 143.4C586.9 142 588.5 140.2 589.7 138.2C590.9 136.1 591.6 133.9 591.9 131.5C592.2 129.2 592 126.8 591.3 124.5C590.7 122.2 589.5 120.1 588 118.3C586.5 116.5 584.7 115 582.5 113.9C580.4 112.9 578.1 112.2 575.8 112.1C573.4 111.9 571.1 112.2 568.9 113C566.7 113.8 564.7 115 562.1 116.6L303.8 357.7L584.9 143.3L584.1 143.4zM412.5 86.35C409.7 94.73 405.2 102.4 399.3 109L68.89 497.5C65.14 501.7 60.55 505.1 55.41 507.4C50.27 509.7 44.71 510.9 39.07 510.9C30.12 510.9 21.44 507.8 14.53 502.1C6.703 495.8 1.617 486.7 .3246 476.7C-.9682 466.7 1.631 456.6 7.582 448.5L297.9 26.72C305.8 15.95 316.8 7.843 329.4 3.505C342-.8325 355.7-1.198 368.5 2.459C381.4 6.116 392.8 13.62 401.2 23.96C409.7 34.3 414.7 46.98 415.8 60.29C416.5 69.11 415.3 77.97 412.5 86.35V86.35zM366.1 71.24C367.8 68.92 368.2 66.46 367.1 64C367.8 61.64 367.2 59.35 366 57.25C364.9 55.16 363.4 53.32 361.6 51.84C359.8 50.31 357.7 49.19 355.4 48.55C353.1 47.91 350.7 47.76 348.4 48.13C346.1 48.41 343.9 49.15 341.9 50.31C339.9 51.47 338.2 53.03 336.8 54.88L143.6 335.6L363.1 77.44C364.8 75.67 366.2 73.55 366.1 71.24z"],
    "church": [640, 512, [9962], "f51d", "M344 48H376C389.3 48 400 58.75 400 72C400 85.25 389.3 96 376 96H344V122.9L447.1 189.7C467.6 202.9 480 225.7 480 250.1V464H568C581.3 464 592 453.3 592 440V370.1C592 361.1 587.9 354.4 581 349.1L512 305.3V248.1L607.1 309.7C627.6 322.9 640 345.7 640 370.1V440C640 479.8 607.8 512 568 512L72 512C32.24 512 0 479.8 0 440V370.1C0 345.7 12.38 322.9 32.89 309.7L128 248.1V305.3L58.96 349.1C52.13 354.4 48 361.1 48 370.1V440C48 453.3 58.75 464 72 464H160V250.1C160 225.7 172.4 202.9 192.9 189.7L296 122.9V96H264C250.7 96 240 85.25 240 72C240 58.75 250.7 48 264 48H296V24C296 10.75 306.7 0 320 0C333.3 0 344 10.75 344 24V48zM320 164.6L218.1 229.1C212.1 234.4 208 241.1 208 250.1V464H272V368C272 341.5 293.5 320 320 320C346.5 320 368 341.5 368 368V464H432V250.1C432 241.1 427.9 234.4 421 229.1L320 164.6z"],
    "circle": [512, 512, [128308, 128309, 128992, 128993, 128994, 128995, 128996, 9898, 9899, 11044, 61708, 61915, 9679], "f111", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "circle-0": [512, 512, [], "e0ed", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464zM256 128C203.1 128 160 171.1 160 224v64c0 52.94 43.06 96 96 96s96-43.06 96-96V224C352 171.1 308.9 128 256 128zM304 288c0 26.47-21.53 48-48 48S208 314.5 208 288V224c0-26.47 21.53-48 48-48s48 21.53 48 48V288z"],
    "circle-1": [512, 512, [], "e0ee", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464zM320 336h-40V152c0-8.844-4.875-16.97-12.67-21.16c-7.781-4.188-17.25-3.75-24.64 1.188l-52 34.66C179.7 174 176.7 188.9 184 199.1c7.328 11 22.23 13.97 33.28 6.656L232 196.8V336H192c-13.25 0-24 10.75-24 24S178.8 384 192 384h128c13.25 0 24-10.75 24-24S333.3 336 320 336z"],
    "circle-2": [512, 512, [], "e0ef", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464zM328 336H246.2l63.06-57.19c17-16.69 26.38-38.91 26.38-62.56s-9.375-45.88-26.38-62.56c-34.8-34.19-91.45-34.19-126.3 0L172 164.5C162.5 173.7 162.4 188.9 171.7 198.4c9.312 9.469 24.48 9.656 33.94 .3125L216.6 187.9c16.27-15.94 42.78-15.94 59.02 0c7.734 7.594 12 17.66 12 28.31s-4.266 20.72-11.31 27.66l-108.4 98.31c-7.344 6.656-9.844 17.16-6.266 26.41C165.2 377.9 174.1 384 184 384h144c13.25 0 24-10.75 24-24S341.3 336 328 336z"],
    "circle-3": [512, 512, [], "e0f0", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464zM277.2 216.5l51.06-46.81c7.297-6.688 9.734-17.16 6.156-26.38C330.8 134.1 321.9 128 312 128h-128C170.8 128 160 138.8 160 152S170.8 176 184 176h66.3L199.8 222.3C192.5 229 190 239.5 193.6 248.7C197.2 257.9 206.1 264 216 264h52c19.84 0 36 16.16 36 36S287.8 336 268 336H223.4c-7.547 0-14.2-4.812-16.59-11.97C202.6 311.5 189 304.8 176.4 308.8c-12.58 4.188-19.38 17.78-15.19 30.38C170.2 366 195.1 384 223.4 384H268C314.3 384 352 346.3 352 300C352 256.8 319.2 221.1 277.2 216.5z"],
    "circle-4": [512, 512, [], "e0f1", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464zM328 272H320V221.3c0-13.25-10.75-24-24-24s-24 10.75-24 24V272H206.5l47.58-110.5c5.234-12.19-.375-26.31-12.56-31.53C229.3 124.7 215.2 130.3 209.1 142.5l-62 144c-3.188 7.438-2.438 15.94 2 22.69S161.9 320 169.1 320H272v40c0 13.25 10.75 24 24 24S320 373.3 320 360V320h8C341.3 320 352 309.3 352 296S341.3 272 328 272z"],
    "circle-5": [512, 512, [], "e0f2", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464zM282.2 226.4L220.4 219.2L228.6 176H312c13.25 0 24-10.75 24-24S325.3 128 312 128H208.7C197.2 128 187.3 136.2 185.2 147.5l-16.73 88C167.2 242.1 168.7 248.8 172.6 254.2c3.953 5.375 9.938 8.875 16.56 9.656l87.39 10.28C292.2 275.9 304 289.2 304 304.9C304 322.1 290.1 336 272.1 336H223.4c-7.547 0-14.2-4.812-16.59-11.97C202.6 311.5 188.1 304.8 176.4 308.8c-12.58 4.188-19.38 17.78-15.19 30.38C170.2 366 195.1 384 223.4 384h49.59C316.5 384 352 348.5 352 304.9C352 264.8 321.1 231.1 282.2 226.4z"],
    "circle-6": [512, 512, [], "e0f3", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464zM282 196l29.76-25.94c9.969-8.719 11.03-23.88 2.312-33.88C309.3 130.8 302.7 128 296 128c-5.594 0-11.22 1.938-15.78 5.906L200.3 203.6C187.5 214.7 160 246.7 160 288c0 52.94 43.06 96 96 96s96-43.06 96-96C352 244.1 322.3 207.5 282 196zM256 336c-26.47 0-48-21.53-48-48c0-4.719 .6562-9.312 1.969-13.72C216 254.1 234.9 240 256 240c26.47 0 48 21.53 48 48S282.5 336 256 336z"],
    "circle-7": [512, 512, [], "e0f4", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464zM328 128h-144C170.8 128 160 138.8 160 152S170.8 176 184 176h103.8l-92.94 172.6c-6.281 11.66-1.938 26.22 9.75 32.5C208.3 383.1 212.1 384 215.1 384c8.562 0 16.81-4.562 21.16-12.62l112-208c4-7.438 3.812-16.44-.5313-23.69C344.3 132.4 336.4 128 328 128z"],
    "circle-8": [512, 512, [], "e0f5", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464zM336 200C336 160.3 303.7 128 264 128h-16C208.3 128 176 160.3 176 200c0 15.77 5.254 30.26 13.9 42.13C171.8 256.8 160 278.9 160 304C160 348.1 195.9 384 240 384h32c44.13 0 80-35.88 80-80c0-25.06-11.81-47.19-29.9-61.87C330.7 230.3 336 215.8 336 200zM248 176h16C277.2 176 288 186.8 288 200S277.2 224 264 224h-16C234.8 224 224 213.2 224 200S234.8 176 248 176zM272 336h-32c-17.66 0-32-14.34-32-32s14.34-32 32-32h32c17.66 0 32 14.34 32 32S289.7 336 272 336z"],
    "circle-9": [512, 512, [], "e0f6", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464zM256 128C203.1 128 160 171.1 160 224c0 43.86 29.73 80.53 69.98 91.96l-29.76 25.94c-9.969 8.719-11.03 23.88-2.312 33.88C202.7 381.2 209.3 384 216 384c5.594 0 11.22-1.938 15.78-5.906l79.94-69.69C324.5 297.3 352 265.3 352 224C352 171.1 308.9 128 256 128zM302 237.7C296 257.9 277.1 272 256 272C229.5 272 208 250.5 208 224S229.5 176 256 176s48 21.53 48 48C304 228.7 303.3 233.3 302 237.7z"],
    "circle-a": [512, 512, [], "e0f7", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464zM277.8 124.8c-7.842-17.08-35.75-17.08-43.59 0l-95.99 208.1c-5.547 12.09-.2966 26.43 11.73 31.99c12.09 5.588 26.28 .3125 31.86-11.77l12.03-26.18h124.3l12.03 26.18c4.061 8.822 12.73 14 21.81 14c3.359 0 6.781-.7228 10.05-2.229c12.03-5.559 17.28-19.91 11.73-31.99L277.8 124.8zM215.1 279.6L256 192.5l40.02 87.14H215.1z"],
    "circle-ampersand": [512, 512, [], "e0f8", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464zM331.5 315.3l28.15-41.31c7.469-10.95 4.625-25.89-6.312-33.34c-10.97-7.484-25.88-4.609-33.38 6.312l-21.76 31.93l-29.74-32.53l19.69-15.89c13.59-11 21.41-27.36 21.41-44.86C309.6 153.9 283.7 128 251.9 128H228.8C197 128 171.1 153.9 171.1 185.7c0 16.36 6.062 32.03 17.12 44.14l10.34 11.33L168.8 265.2C153.1 277.9 144 296.9 144 317.2C144 354 173.1 384 210.8 384h32.47c23.41 0 45.38-10.41 60.16-28.19l18.62 20.38C326.8 381.4 333.3 384 339.8 384c5.781 0 11.59-2.078 16.19-6.281c9.781-8.953 10.47-24.12 1.531-33.91L331.5 315.3zM228.8 176h23.12c5.312 0 9.656 4.328 9.656 9.656c0 2.938-1.312 5.688-3.594 7.516L236 210.9L223.7 197.4C220.8 194.2 219.1 190 219.1 185.7C219.1 180.3 223.5 176 228.8 176zM268.3 322.8C262.7 331.1 253.3 336 243.3 336H210.8C200.5 336 192 327.5 192 317.2c0-5.719 2.531-11.06 7-14.64L231.1 276.6l39.37 43.08L268.3 322.8z"],
    "circle-arrow-down": [512, 512, ["arrow-circle-down"], "f0ab", "M342.4 247.7L280 314.9V144c0-13.25-10.75-24-24-24S232 130.8 232 144v170.9L169.6 247.7C160.5 237.9 145.4 237.4 135.7 246.4C125.1 255.4 125.4 270.6 134.4 280.3l104 112C242.1 397.2 249.3 400 256 400s13.03-2.781 17.59-7.656l104-112c9-9.719 8.438-24.91-1.25-33.94C366.6 237.4 351.5 237.9 342.4 247.7zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464z"],
    "circle-arrow-down-left": [512, 512, [], "e0f9", "M327 151L192 286.1V188.7c0-13.25-10.75-24-24-24s-24 10.75-24 24V344c0 13.25 10.75 24 24 24h155.3c13.25 0 24-10.75 24-24s-10.75-24-24-24H225.9l135-135c9.375-9.375 9.375-24.56 0-33.94S336.4 141.7 327 151zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464z"],
    "circle-arrow-down-right": [512, 512, [], "e0fa", "M344 164.7c-13.25 0-24 10.75-24 24v97.34L184.1 151c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L286.1 320H188.7c-13.25 0-24 10.75-24 24s10.75 24 24 24H344c13.25 0 24-10.75 24-24V188.7C368 175.5 357.3 164.7 344 164.7zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464z"],
    "circle-arrow-left": [512, 512, ["arrow-circle-left"], "f0a8", "M368 232H197.1l67.21-62.41c9.719-9.062 10.25-24.22 1.25-33.94c-9.031-9.688-24.22-10.25-33.94-1.25l-112 104C114.8 242.1 112 249.3 112 256s2.781 13.03 7.656 17.59l112 104c9.719 9 24.91 8.438 33.94-1.25c9-9.719 8.469-24.88-1.25-33.94L197.1 280H368c13.25 0 24-10.75 24-24S381.3 232 368 232zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464z"],
    "circle-arrow-right": [512, 512, ["arrow-circle-right"], "f0a9", "M280.3 134.4c-9.719-9-24.91-8.438-33.94 1.25c-9 9.719-8.469 24.88 1.25 33.94L314.9 232H144C130.8 232 120 242.8 120 256S130.8 280 144 280h170.9l-67.21 62.41c-9.719 9.062-10.25 24.22-1.25 33.94c9.031 9.688 24.22 10.25 33.94 1.25l112-104C397.2 269 400 262.7 400 256s-2.781-13.03-7.656-17.59L280.3 134.4zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464z"],
    "circle-arrow-up": [512, 512, ["arrow-circle-up"], "f0aa", "M273.6 119.7C269 114.8 262.7 112 256 112S242.1 114.8 238.4 119.7l-104 112c-9 9.719-8.438 24.91 1.25 33.94c9.719 9 24.88 8.469 33.94-1.25L232 197.1V368c0 13.25 10.75 24 24 24s24-10.75 24-24V197.1l62.41 67.21c9.062 9.719 24.22 10.25 33.94 1.25c9.688-9.031 10.25-24.22 1.25-33.94L273.6 119.7zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464z"],
    "circle-arrow-up-left": [512, 512, [], "e0fb", "M225.9 192h97.36c13.25 0 24-10.75 24-24s-10.75-24-24-24H168C154.8 144 144 154.8 144 168v155.3c0 13.25 10.75 24 24 24s24-10.75 24-24V225.9l135 135C331.7 365.7 337.9 368 344 368s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94L225.9 192zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464z"],
    "circle-arrow-up-right": [512, 512, [], "e0fc", "M344 144H188.7c-13.25 0-24 10.75-24 24S175.5 192 188.7 192h97.36l-135 135c-9.375 9.375-9.375 24.56 0 33.94C155.7 365.7 161.9 368 168 368s12.28-2.344 16.97-7.031L320 225.9v97.34c0 13.25 10.75 24 24 24s24-10.75 24-24V168C368 154.8 357.3 144 344 144zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464z"],
    "circle-b": [512, 512, [], "e0fd", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464zM337.9 247.8C346.7 235.4 352 220.3 352 204C352 162.1 317.9 128 276 128H184C170.8 128 160 138.8 160 152v208C160 373.3 170.8 384 184 384h108c41.91 0 76-34.09 76-76C368 283.4 356.1 261.7 337.9 247.8zM208 176h68c15.44 0 28 12.56 28 28S291.4 232 276 232H208V176zM292 336H208V280h84C307.4 280 320 292.6 320 308S307.4 336 292 336z"],
    "circle-bolt": [512, 512, [], "e0fe", "M313.6 131.2C319.5 135.6 321.6 143.5 318.7 150.3L280.3 240H344C350.8 240 356.8 244.2 359.1 250.6C361.3 256.1 359.4 264.1 354.2 268.4L218.2 380.4C212.5 385 204.3 385.2 198.4 380.8C192.5 376.4 190.4 368.5 193.3 361.7L231.7 271.1H168C161.2 271.1 155.2 267.8 152.9 261.4C150.7 255 152.6 247.9 157.8 243.6L293.8 131.6C299.5 126.1 307.7 126.8 313.6 131.2V131.2zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "circle-book-open": [512, 512, ["book-circle"], "e0ff", "M375.2 172.8c-21.23-8.648-41.63-12.94-59.14-12.79C296.1 160.3 281.9 164.9 272 168.1v183c11.81-6.961 50.9-25.71 101.4-3.73C378.4 350.4 384 346.9 384 341.9v-156.3C384 180.1 380.6 175 375.2 172.8zM136.8 172.8C131.4 174.1 128 180.1 128 185.5v156.3c0 5.047 5.643 8.545 10.56 6.405C189.1 326.3 228.2 345 240 352V168.1C230.1 164.9 215 160.3 195.9 160C178.3 159.7 157.1 164.1 136.8 172.8zM256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464z"],
    "circle-bookmark": [512, 512, ["bookmark-circle"], "e100", "M309.3 144H202.7C187.9 144 176 155.9 176 170.7v165.3c0 13.41 15.52 20.88 25.1 12.49L256 304l54 44.46C320.5 356.8 336 349.4 336 335.1V170.7C336 155.9 324.1 144 309.3 144zM256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464z"],
    "circle-c": [512, 512, [], "e101", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464zM310.1 199.4c9.359 9.438 24.55 9.445 33.94 .1328c9.422-9.344 9.484-24.53 .1562-33.94c-48.05-48.47-131.9-48.47-179.9 0c-49.44 49.88-49.44 131 0 180.9C189.2 370.7 221.1 384 255.1 384c.0156 0 0 0 0 0c33.98 0 65.95-13.34 89.96-37.56c9.328-9.438 9.266-24.62-.1562-33.94c-9.391-9.375-24.61-9.25-33.94 .125C296 327.7 276.2 336 255.1 336c-21.09 0-40.92-8.312-55.84-23.38c-30.97-31.22-30.97-82.03 0-113.3C229.1 169.3 281.1 169.2 310.1 199.4z"],
    "circle-calendar": [512, 512, ["calendar-circle"], "e102", "M208 112C216.8 112 224 119.2 224 128V144H288V128C288 119.2 295.2 112 304 112C312.8 112 320 119.2 320 128V144H336C362.5 144 384 165.5 384 192V320C384 346.5 362.5 368 336 368H176C149.5 368 128 346.5 128 320V192C128 165.5 149.5 144 176 144H192V128C192 119.2 199.2 112 208 112zM336 320V224H176V320H336zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "circle-camera": [512, 512, ["camera-circle"], "e103", "M352 160h-36l-6.188-16.44C306.3 134.2 297.4 128 287.4 128H224.6c-10 0-19 6.188-22.5 15.56L196 160H160C142.3 160 128 174.3 128 192v128c0 17.67 14.33 32 32 32h192c17.67 0 32-14.33 32-32V192C384 174.3 369.7 160 352 160zM256 304C229.5 304 208 282.5 208 256S229.5 208 256 208s48 21.5 48 48S282.5 304 256 304zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464z"],
    "circle-caret-down": [512, 512, ["caret-circle-down"], "f32d", "M352 208H160c-9.531 0-18.16 5.656-22 14.38C134.2 231.1 135.9 241.3 142.4 248.3l96 104C242.9 357.2 249.3 360 256 360s13.09-2.812 17.62-7.719l96-104c6.469-7 8.188-17.19 4.375-25.91C370.2 213.7 361.5 208 352 208zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464z"],
    "circle-caret-left": [512, 512, ["caret-circle-left"], "f32e", "M289.6 138c-8.719-3.812-18.91-2.094-25.91 4.375l-104 96C154.8 242.9 152 249.3 152 256s2.812 13.09 7.719 17.62l104 96c7 6.469 17.19 8.188 25.91 4.375C298.3 370.2 304 361.5 304 352V160C304 150.5 298.3 141.8 289.6 138zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464z"],
    "circle-caret-right": [512, 512, ["caret-circle-right"], "f330", "M248.3 142.4C241.3 135.9 231.1 134.2 222.4 138C213.7 141.8 208 150.5 208 160v192c0 9.531 5.656 18.16 14.38 22c8.719 3.812 18.91 2.094 25.91-4.375l104-96C357.2 269.1 360 262.7 360 256s-2.812-13.09-7.719-17.62L248.3 142.4zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464z"],
    "circle-caret-up": [512, 512, ["caret-circle-up"], "f331", "M273.6 159.7C269.1 154.8 262.7 152 256 152S242.9 154.8 238.4 159.7l-96 104c-6.469 7-8.188 17.19-4.375 25.91C141.8 298.3 150.5 304 160 304h192c9.531 0 18.16-5.656 21.1-14.38c3.813-8.719 2.094-18.91-4.375-25.91L273.6 159.7zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464z"],
    "circle-check": [512, 512, [61533, "check-circle"], "f058", "M243.8 339.8C232.9 350.7 215.1 350.7 204.2 339.8L140.2 275.8C129.3 264.9 129.3 247.1 140.2 236.2C151.1 225.3 168.9 225.3 179.8 236.2L224 280.4L332.2 172.2C343.1 161.3 360.9 161.3 371.8 172.2C382.7 183.1 382.7 200.9 371.8 211.8L243.8 339.8zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "circle-chevron-down": [512, 512, ["chevron-circle-down"], "f13a", "M351 207L256 302.1L160.1 207c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94l112 112C243.7 357.7 249.8 360 256 360s12.28-2.344 16.97-7.031l112-112c9.375-9.375 9.375-24.56 0-33.94S360.4 197.7 351 207zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464z"],
    "circle-chevron-left": [512, 512, ["chevron-circle-left"], "f137", "M304.1 127c-9.375-9.375-24.56-9.375-33.94 0l-112 112C154.3 243.7 152 249.8 152 256s2.344 12.28 7.031 16.97l112 112c9.375 9.375 24.56 9.375 33.94 0s9.375-24.56 0-33.94L209.9 256l95.03-95.03C314.3 151.6 314.3 136.4 304.1 127zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464z"],
    "circle-chevron-right": [512, 512, ["chevron-circle-right"], "f138", "M240.1 127c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L302.1 256l-95.03 95.03c-9.375 9.375-9.375 24.56 0 33.94s24.56 9.375 33.94 0l112-112C357.7 268.3 360 262.2 360 256s-2.344-12.28-7.031-16.97L240.1 127zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464z"],
    "circle-chevron-up": [512, 512, ["chevron-circle-up"], "f139", "M272.1 159C268.3 154.3 262.2 152 256 152S243.7 154.3 239 159l-112 112c-9.375 9.375-9.375 24.56 0 33.94s24.56 9.375 33.94 0L256 209.9l95.03 95.03c9.375 9.375 24.56 9.375 33.94 0s9.375-24.56 0-33.94L272.1 159zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464z"],
    "circle-d": [512, 512, [], "e104", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464zM254.4 128H184C170.8 128 160 138.8 160 152v208C160 373.3 170.8 384 184 384h70.41C325.9 384 384 326.6 384 256C384 185.4 325.9 128 254.4 128zM254.4 336H208v-160h46.41C299.4 176 336 211.9 336 256C336 300.1 299.4 336 254.4 336z"],
    "circle-dashed": [512, 512, [], "e105", "M27.73 232C13.45 232 2.153 219.7 4.947 205.7C11.59 172.4 24.69 141.4 42.9 114.1C50.83 102.2 67.53 101.5 77.64 111.6C86.35 120.3 87.01 134.1 80.39 144.5C67.66 164.5 58.26 186.8 52.95 210.7C50.28 222.7 40.06 232 27.73 232zM144.5 80.39C134.1 87.01 120.3 86.35 111.6 77.64C101.5 67.53 102.2 50.83 114.1 42.9C141.4 24.69 172.4 11.59 205.7 4.947C219.7 2.153 232 13.45 232 27.73C232 40.06 222.7 50.28 210.7 52.95C186.8 58.26 164.5 67.66 144.5 80.39V80.39zM280 484.3C280 471.9 289.3 461.7 301.3 459C325.2 453.7 347.5 444.3 367.5 431.6C377.9 424.1 391.7 425.6 400.4 434.4C410.5 444.5 409.8 461.2 397.9 469.1C370.6 487.3 339.6 500.4 306.3 507.1C292.3 509.8 280 498.6 280 484.3H280zM459 301.3C461.7 289.3 471.9 280 484.3 280C498.6 280 509.8 292.3 507.1 306.3C500.4 339.6 487.3 370.6 469.1 397.9C461.2 409.8 444.5 410.5 434.4 400.4C425.6 391.7 424.1 377.9 431.6 367.5C444.3 347.5 453.7 325.2 459 301.3zM144.5 431.6C164.5 444.3 186.8 453.7 210.7 459C222.7 461.7 232 471.9 232 484.3C232 498.6 219.7 509.8 205.7 507.1C172.4 500.4 141.4 487.3 114.1 469.1C102.2 461.2 101.5 444.5 111.6 434.4C120.3 425.6 134.1 424.1 144.5 431.6L144.5 431.6zM4.947 306.3C2.153 292.3 13.45 280 27.73 280C40.06 280 50.28 289.3 52.95 301.3C58.26 325.2 67.66 347.5 80.39 367.5C87.01 377.9 86.35 391.7 77.64 400.4C67.53 410.5 50.83 409.8 42.9 397.9C24.69 370.6 11.59 339.6 4.947 306.3V306.3zM367.5 80.39C347.5 67.66 325.2 58.26 301.3 52.95C289.3 50.28 280 40.06 280 27.73C280 13.45 292.3 2.153 306.3 4.947C339.6 11.59 370.6 24.69 397.9 42.9C409.8 50.83 410.5 67.53 400.4 77.64C391.7 86.35 377.9 87.01 367.5 80.39V80.39zM431.6 144.5C424.1 134.1 425.6 120.3 434.4 111.6C444.5 101.5 461.2 102.2 469.1 114.1C487.3 141.4 500.4 172.4 507.1 205.7C509.8 219.7 498.6 232 484.3 232C471.9 232 461.7 222.7 459 210.7C453.7 186.8 444.3 164.5 431.6 144.5L431.6 144.5z"],
    "circle-divide": [512, 512, [], "e106", "M224 160C224 142.3 238.3 128 256 128C273.7 128 288 142.3 288 160C288 177.7 273.7 192 256 192C238.3 192 224 177.7 224 160zM344 232C357.3 232 368 242.7 368 256C368 269.3 357.3 280 344 280H168C154.7 280 144 269.3 144 256C144 242.7 154.7 232 168 232H344zM288 352C288 369.7 273.7 384 256 384C238.3 384 224 369.7 224 352C224 334.3 238.3 320 256 320C273.7 320 288 334.3 288 352zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "circle-dollar": [512, 512, ["dollar-circle", "usd-circle"], "f2e8", "M276.8 147.8C286.5 149 296.2 151.7 305.8 154.4C307.6 154.9 309.5 155.5 311.3 155.1C322.8 159.2 329.6 171.1 326.4 182.6C323.2 194.1 311.3 200.8 299.8 197.6C298.3 197.2 296.7 196.8 295.2 196.3C288.2 194.4 281.2 192.4 274.1 191C260.9 188.5 245.6 189.7 233.2 195C222.2 199.8 213.1 211.4 225.6 219.4C235.5 225.7 247.4 228.9 258.8 231.1C261.1 232.6 263.5 233.3 265.8 233.9C281.4 238.4 301.3 244 316.2 254.2C335.6 267.5 344.7 289.2 340.5 312.4C336.3 334.8 320.8 349.5 302 357C294.2 360.2 285.7 362.2 276.8 363.2L276.8 378.4C276.8 390.3 267.1 400 255.2 400C243.3 400 233.6 390.3 233.6 378.4L233.6 361C219.1 357.8 204.9 353.1 190.8 348.5C179.5 344.8 173.3 332.5 177.1 321.2C180.8 309.9 193.1 303.7 204.4 307.5C206.9 308.3 209.4 309.2 211.9 310C223.2 313.8 234.8 317.8 246.4 319.6C263.4 322.1 276.1 320.6 285.9 316.1C297.9 312.1 303.5 297.9 291.8 289.9C281.7 282.1 269.2 279.6 257.3 276.4C254.1 275.7 252.7 275.1 250.5 274.5C235.4 270.2 216.6 264.9 202.4 255.8C182.9 243.3 172.9 222.5 177.1 199.4C181.1 177.6 198.1 163.1 216.1 155.4C221.6 152.1 227.5 151.1 233.6 149.7V133.6C233.6 121.7 243.3 111.1 255.2 111.1C267.1 111.1 276.8 121.7 276.8 133.6L276.8 147.8zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "circle-dollar-to-slot": [512, 512, ["donate"], "f4b9", "M276.1 118.3C282.7 119.5 292.7 121.5 297.1 122.7C307.8 125.5 314.2 136.5 311.3 147.1C308.5 157.8 297.5 164.2 286.9 161.3C283 160.3 269.5 157.7 265.1 156.1C252.9 155.1 242.1 156.7 236.5 159.6C230.2 162.4 228.7 165.7 228.3 167.7C227.7 171.1 228.3 172.3 228.5 172.7C228.7 173.2 229.5 174.4 232.1 176.2C238.2 180.4 247.8 183.4 261.1 187.7L262.8 187.9C274.9 191.6 291.1 196.4 303.2 205.3C309.9 210.1 316.2 216.7 320.1 225.7C324.1 234.8 324.9 244.8 323.1 255.2C319.8 274.2 307.2 287.2 291.4 293.9C286.6 295.1 281.4 297.5 276.1 298.5V303.1C276.1 315.1 267.1 324.1 255.1 324.1C244.9 324.1 235.9 315.1 235.9 303.1V297.6C226.4 295.4 213.1 291.2 206.1 288.5C204.4 287.9 202.9 287.4 201.7 286.1C191.2 283.5 185.5 272.2 189 261.7C192.5 251.2 203.8 245.5 214.3 249C216.3 249.7 218.5 250.4 220.7 251.2C230.2 254.4 240.9 258 246.9 259C259.7 261 269.6 259.7 275.7 257.1C281.2 254.8 283.1 251.8 283.7 248.3C284.4 244.3 283.8 242.5 283.4 241.7C283.1 240.8 282.2 239.4 279.7 237.6C273.8 233.3 264.4 230.2 250.4 225.9L248.2 225.3C236.5 221.8 221.2 217.2 209.6 209.3C203 204.8 196.5 198.6 192.3 189.8C188.1 180.9 187.1 171 188.9 160.8C192.1 142.5 205.1 129.9 220 123.1C224.1 120.9 230.3 119.2 235.9 118V111.1C235.9 100.9 244.9 91.9 256 91.9C267.1 91.9 276.1 100.9 276.1 111.1L276.1 118.3zM48 208C48 93.12 141.1 0 256 0C370.9 0 464 93.12 464 208C464 322.9 370.9 416 256 416C141.1 416 48 322.9 48 208zM256 368C344.4 368 416 296.4 416 208C416 119.6 344.4 48 256 48C167.6 48 96 119.6 96 208C96 296.4 167.6 368 256 368zM111.1 400H64C55.16 400 48 407.2 48 416V448C48 456.8 55.16 464 64 464H448C456.8 464 464 456.8 464 448V416C464 407.2 456.8 400 448 400H400C418.2 386.3 434.4 370.2 448 352C483.4 352 512 380.7 512 416V448C512 483.3 483.3 512 448 512H64C28.65 512 0 483.3 0 448V416C0 380.7 28.64 352 63.98 352C77.63 370.2 93.8 386.3 111.1 400z"],
    "circle-dot": [512, 512, [128280, "dot-circle"], "f192", "M160 256C160 202.1 202.1 160 256 160C309 160 352 202.1 352 256C352 309 309 352 256 352C202.1 352 160 309 160 256zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "circle-down": [512, 512, [61466, "arrow-alt-circle-down"], "f358", "M344 240h-56L287.1 152c0-13.25-10.75-24-24-24h-16C234.7 128 223.1 138.8 223.1 152L224 240h-56c-9.531 0-18.16 5.656-22 14.38C142.2 263.1 143.9 273.3 150.4 280.3l88.75 96C243.7 381.2 250.1 384 256.8 384c7.781-.3125 13.25-2.875 17.75-7.844l87.25-96c6.406-7.031 8.031-17.19 4.188-25.88S353.5 240 344 240zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464z"],
    "circle-down-left": [512, 512, [], "e107", "M340.9 159.8c-9.369-9.371-24.57-9.373-33.94-.002L242.3 224.4L200.1 183C196.4 178.4 190.2 176 184 176c-3.094 0-6.219 .5938-9.188 1.812C165.8 181.5 160 190.3 160 200v128C160 341.3 170.8 352 184 352h128c9.703 0 18.45-5.844 22.17-14.81s1.656-19.28-5.203-26.16l-41.37-41.38l64.57-64.57c9.369-9.371 9.369-24.57 0-33.94L340.9 159.8zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464z"],
    "circle-down-right": [512, 512, [], "e108", "M337.2 177.8C334.2 176.6 331.1 176 328 176c-6.234 0-12.38 2.438-16.97 7.031l-41.37 41.38L205.1 159.8C195.7 150.5 180.5 150.5 171.1 159.8L159.8 171.1c-9.369 9.367-9.369 24.57 0 33.94l64.57 64.57L183 311c-6.859 6.875-8.922 17.19-5.203 26.16S190.3 352 200 352h128c13.25 0 24-10.75 24-24v-128C352 190.3 346.2 181.5 337.2 177.8zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464z"],
    "circle-e": [512, 512, [], "e109", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464zM328 176C341.3 176 352 165.3 352 152S341.3 128 328 128h-144C170.8 128 160 138.8 160 152v208C160 373.3 170.8 384 184 384h144c13.25 0 24-10.75 24-24s-10.75-24-24-24H208V280h88C309.3 280 320 269.3 320 256s-10.75-24-24-24H208V176H328z"],
    "circle-ellipsis": [512, 512, [], "e10a", "M256 224C273.7 224 288 238.3 288 256C288 273.7 273.7 288 256 288C238.3 288 224 273.7 224 256C224 238.3 238.3 224 256 224zM352 288C334.3 288 320 273.7 320 256C320 238.3 334.3 224 352 224C369.7 224 384 238.3 384 256C384 273.7 369.7 288 352 288zM160 224C177.7 224 192 238.3 192 256C192 273.7 177.7 288 160 288C142.3 288 128 273.7 128 256C128 238.3 142.3 224 160 224zM256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM464 256C464 141.1 370.9 48 256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256z"],
    "circle-ellipsis-vertical": [512, 512, [], "e10b", "M224 256C224 238.3 238.3 224 256 224C273.7 224 288 238.3 288 256C288 273.7 273.7 288 256 288C238.3 288 224 273.7 224 256zM288 160C288 177.7 273.7 192 256 192C238.3 192 224 177.7 224 160C224 142.3 238.3 128 256 128C273.7 128 288 142.3 288 160zM224 352C224 334.3 238.3 320 256 320C273.7 320 288 334.3 288 352C288 369.7 273.7 384 256 384C238.3 384 224 369.7 224 352zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "circle-envelope": [512, 512, ["envelope-circle"], "e10c", "M256 288C253.1 288 251.1 287.6 250.1 286.9L128 238V320c0 17.67 14.33 32 32 32h192c17.67 0 32-14.33 32-32V238l-122.1 48.82C260 287.6 258 288 256 288zM352 160H160C142.3 160 128 174.3 128 192v11.57l128 51.2l128-51.2V192C384 174.3 369.7 160 352 160zM256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464z"],
    "circle-exclamation": [512, 512, ["exclamation-circle"], "f06a", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464zM256 304c13.25 0 24-10.75 24-24v-128C280 138.8 269.3 128 256 128S232 138.8 232 152v128C232 293.3 242.8 304 256 304zM256 337.1c-17.36 0-31.44 14.08-31.44 31.44C224.6 385.9 238.6 400 256 400s31.44-14.08 31.44-31.44C287.4 351.2 273.4 337.1 256 337.1z"],
    "circle-exclamation-check": [640, 512, [], "e10d", "M256 464C315.3 464 368.7 439.2 406.6 399.4C415.8 389.8 430.1 389.5 440.6 398.6C450.2 407.8 450.5 422.1 441.4 432.6C394.8 481.5 328.9 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C359.6 0 448.8 61.59 489.1 150.1C494.6 162.1 489.3 176.4 477.2 181.8C465.1 187.3 450.9 182 445.4 169.9C412.7 97.96 340.1 48 255.1 48C141.1 48 47.1 141.1 47.1 256C47.1 370.9 141.1 464 255.1 464L256 464zM280 263.1C280 277.3 269.3 287.1 256 287.1C242.7 287.1 232 277.3 232 263.1V151.1C232 138.7 242.7 127.1 256 127.1C269.3 127.1 280 138.7 280 151.1V263.1zM224 352C224 334.3 238.3 319.1 256 319.1C273.7 319.1 288 334.3 288 352C288 369.7 273.7 384 256 384C238.3 384 224 369.7 224 352zM627.8 172.2C638.7 183.1 638.7 200.9 627.8 211.8L499.8 339.8C488.9 350.7 471.1 350.7 460.2 339.8L396.2 275.8C385.3 264.9 385.3 247.1 396.2 236.2C407.1 225.3 424.9 225.3 435.8 236.2L480 280.4L588.2 172.2C599.1 161.3 616.9 161.3 627.8 172.2V172.2z"],
    "circle-f": [512, 512, [], "e10e", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464zM328 128h-144C170.8 128 160 138.8 160 152v208C160 373.3 170.8 384 184 384s24-10.75 24-24V288h88C309.3 288 320 277.3 320 264S309.3 240 296 240H208v-64h120C341.3 176 352 165.3 352 152S341.3 128 328 128z"],
    "circle-g": [512, 512, [], "e10f", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464zM360 240h-80C266.8 240 256 250.8 256 264S266.8 288 280 288h50.47c-4.219 8.578-10.31 16.97-17.91 24.58c-30.19 30.22-82.94 30.22-113.1 0c-31.19-31.2-31.19-81.95 0-113.2C229.7 169.2 280.1 167.8 312 196.4c9.812 8.859 25 8.078 33.88-1.859c8.844-9.875 8-25.05-1.875-33.89c-50.53-45.3-130.6-43.06-178.5 4.875c-49.91 49.91-49.91 131.1 0 181C189.7 370.7 221.8 384 256 384s66.34-13.31 90.5-37.48c19.53-19.56 32.72-43.44 37.09-67.27C383.9 277.8 384 276.4 384 274.9V264C384 250.8 373.3 240 360 240z"],
    "circle-h": [512, 512, [9405, "hospital-symbol"], "f47e", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464zM344 128C330.8 128 320 138.8 320 152v80H192v-80C192 138.8 181.3 128 168 128S144 138.8 144 152v208C144 373.3 154.8 384 168 384S192 373.3 192 360v-80h128v80c0 13.25 10.75 24 24 24s24-10.75 24-24v-208C368 138.8 357.3 128 344 128z"],
    "circle-half": [512, 512, [], "e110", "M224.1 1.971C241.6-.2109 256 14.33 256 31.1V480C256 497.7 241.6 512.2 224.1 510C97.75 494.3 0 386.6 0 255.1C0 125.4 97.75 17.69 224.1 1.971V1.971zM208 53.55C116.3 75.21 48 157.7 48 255.1C48 354.3 116.3 436.8 208 458.4V53.55z"],
    "circle-half-stroke": [512, 512, [9680, "adjust"], "f042", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48V464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "circle-heart": [512, 512, ["heart-circle"], "f4c7", "M144.9 272.9C118.6 246.2 118.6 202.9 144.9 176.3C171.2 149.6 213.8 149.6 240.1 176.3L256 192.4L271.9 176.3C298.2 149.6 340.8 149.6 367.1 176.3C393.4 202.9 393.4 246.2 367.1 272.9L278.5 362.8C272.2 369.2 264.1 372.3 255.9 372.3C247.8 372.3 239.7 369.1 233.5 362.8L144.9 272.9zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "circle-i": [512, 512, [], "e111", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464zM328 176C341.3 176 352 165.3 352 152S341.3 128 328 128h-144C170.8 128 160 138.8 160 152S170.8 176 184 176h48v160h-48C170.8 336 160 346.8 160 360S170.8 384 184 384h144c13.25 0 24-10.75 24-24s-10.75-24-24-24h-48v-160H328z"],
    "circle-info": [512, 512, ["info-circle"], "f05a", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464zM296 336h-16V248C280 234.8 269.3 224 256 224H224C210.8 224 200 234.8 200 248S210.8 272 224 272h8v64h-16C202.8 336 192 346.8 192 360S202.8 384 216 384h80c13.25 0 24-10.75 24-24S309.3 336 296 336zM256 192c17.67 0 32-14.33 32-32c0-17.67-14.33-32-32-32S224 142.3 224 160C224 177.7 238.3 192 256 192z"],
    "circle-j": [512, 512, [], "e112", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464zM312 128C298.8 128 288 138.8 288 152v138.7C288 315.7 266.5 336 240 336S192 315.7 192 290.7V280C192 266.8 181.3 256 168 256S144 266.8 144 280v10.67C144 342.1 187.1 384 240 384s96-41.86 96-93.33V152C336 138.8 325.3 128 312 128z"],
    "circle-k": [512, 512, [], "e113", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464zM345.1 135.2c-9.266-9.422-24.48-9.547-33.94-.25L208 236.5V152C208 138.8 197.3 128 184 128S160 138.8 160 152v208C160 373.3 170.8 384 184 384s24-10.75 24-24V303.9l30.89-30.42l69.38 100.2C312.9 380.4 320.4 384 328 384c4.719 0 9.484-1.375 13.64-4.266c10.91-7.547 13.62-22.5 6.078-33.39l-72-104c-.7324-1.057-1.805-1.662-2.666-2.564l71.78-70.69C354.3 159.8 354.4 144.6 345.1 135.2z"],
    "circle-l": [512, 512, [], "e114", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464zM328 336H208V152C208 138.8 197.3 128 184 128S160 138.8 160 152v208C160 373.3 170.8 384 184 384h144c13.25 0 24-10.75 24-24S341.3 336 328 336z"],
    "circle-left": [512, 512, [61840, "arrow-alt-circle-left"], "f359", "M360 224L272 224v-56c0-9.531-5.656-18.16-14.38-22C248.9 142.2 238.7 143.9 231.7 150.4l-96 88.75C130.8 243.7 128 250.1 128 256.8c.3125 7.781 2.875 13.25 7.844 17.75l96 87.25c7.031 6.406 17.19 8.031 25.88 4.188s14.28-12.44 14.28-21.94l-.002-56L360 288C373.3 288 384 277.3 384 264v-16C384 234.8 373.3 224 360 224zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464z"],
    "circle-location-arrow": [512, 512, ["location-circle"], "f602", "M358.2 182.7L274.2 378.7C270.7 386.8 262.8 392 253.1 392C252.6 392 251.1 391.9 249.6 391.6C239.4 389.5 232 380.4 232 370V280H141.1C131.6 280 122.5 272.6 120.4 262.4C118.3 252.3 123.8 241.9 133.3 237.8L329.3 153.8C337.8 150.3 347.3 152.1 353.6 158.5C359.1 164.8 361.8 174.3 358.2 182.7V182.7zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "circle-m": [512, 512, [], "e115", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464zM367.4 129.2c-9.953-3.25-20.75 .3125-26.84 8.781L256 255L171.5 137.1C165.4 129.5 154.5 125.9 144.6 129.2C134.7 132.4 128 141.6 128 152v208C128 373.3 138.8 384 152 384s24-10.75 24-24V226.2l60.55 83.83c9.031 12.5 29.88 12.5 38.91 0L336 226.2V360c0 13.25 10.75 24 24 24S384 373.3 384 360v-208C384 141.6 377.3 132.4 367.4 129.2z"],
    "circle-microphone": [512, 512, ["microphone-circle"], "e116", "M256 304c26.52 0 48-21.48 48-48V144C304 117.5 282.5 96 256 96S208 117.5 208 144V256C208 282.5 229.5 304 256 304zM360 232c-13.25 0-24 10.75-24 24c0 44.11-35.89 80-80 80S176 300.1 176 256c0-13.25-10.75-24-24-24S128 242.8 128 256c0 62.36 44.88 114.3 104 125.6V392C232 405.3 242.8 416 256 416s24-10.75 24-24v-10.43C339.1 370.3 384 318.4 384 256C384 242.8 373.3 232 360 232zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464z"],
    "circle-microphone-lines": [512, 512, ["microphone-circle-alt"], "e117", "M360 232c-13.25 0-24 10.75-24 24c0 44.11-35.89 80-80 80S176 300.1 176 256c0-13.25-10.75-24-24-24S128 242.8 128 256c0 62.36 44.88 114.3 104 125.6V392C232 405.3 242.8 416 256 416s24-10.75 24-24v-10.43C339.1 370.3 384 318.4 384 256C384 242.8 373.3 232 360 232zM256 304c26.52 0 48-21.48 48-48V224h-24c-4.418 0-8-3.582-8-8s3.582-8 8-8h24v-32h-24c-4.418 0-8-3.582-8-8S275.6 160 280 160h24V144C304 117.5 282.5 96 256 96S208 117.5 208 144V256C208 282.5 229.5 304 256 304zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464z"],
    "circle-minus": [512, 512, ["minus-circle"], "f056", "M344 232C357.3 232 368 242.7 368 256C368 269.3 357.3 280 344 280H168C154.7 280 144 269.3 144 256C144 242.7 154.7 232 168 232H344zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "circle-n": [512, 512, [], "e118", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464zM328 128c-13.25 0-24 10.75-24 24v131.2L203.7 138.3c-5.953-8.641-16.88-12.31-26.89-9.25C166.8 132.2 160 141.5 160 152v208C160 373.3 170.8 384 184 384s24-10.75 24-24V228.8l100.3 144.8C312.8 380.3 320.3 384 328 384c2.391 0 4.797-.3594 7.156-1.094C345.2 379.8 352 370.5 352 360v-208C352 138.8 341.3 128 328 128z"],
    "circle-nodes": [512, 512, [], "e4e2", "M373.3 361.2C398.7 374.6 416 401.3 416 432C416 476.2 380.2 512 336 512C291.8 512 255.1 476.2 255.1 432C255.1 420.5 258.4 409.6 262.7 399.8L121.6 276.3C109.5 283.7 95.25 288 80 288C35.82 288 0 252.2 0 208C0 163.8 35.82 128 80 128C104.1 128 127.3 139.4 141.9 157.4L320.2 86.06C320.1 84.06 320 82.04 320 80C320 35.82 355.8 0 400 0C444.2 0 480 35.82 480 80C480 120.8 449.4 154.5 409.1 159.4L373.3 361.2zM400 48C382.3 48 368 62.33 368 80C368 97.67 382.3 112 400 112C417.7 112 432 97.67 432 80C432 62.33 417.7 48 400 48zM159.8 201.9C159.9 203.9 159.1 205.1 159.1 208C159.1 219.5 157.6 230.4 153.3 240.2L294.4 363.7C303.8 357.9 314.5 354 326 352.6L362.7 150.8C353.2 145.8 344.8 138.9 338.1 130.6L159.8 201.9zM336 400C318.3 400 304 414.3 304 432C304 449.7 318.3 464 336 464C353.7 464 368 449.7 368 432C368 414.3 353.7 400 336 400zM79.1 240C97.67 240 111.1 225.7 111.1 208C111.1 190.3 97.67 176 79.1 176C62.33 176 47.1 190.3 47.1 208C47.1 225.7 62.33 240 79.1 240z"],
    "circle-notch": [512, 512, [], "f1ce", "M215.1 26.33C218.7 39.07 211.4 52.36 198.6 56.01C111.6 80.92 48 161.1 48 255.1C48 370.9 141.1 463.1 256 463.1C370.9 463.1 464 370.9 464 255.1C464 161.1 400.4 80.92 313.4 56.01C300.6 52.36 293.3 39.07 296.9 26.33C300.6 13.59 313.9 6.214 326.6 9.863C433.6 40.51 512 139.1 512 255.1C512 397.4 397.4 511.1 256 511.1C114.6 511.1 0 397.4 0 255.1C0 139.1 78.37 40.51 185.4 9.863C198.1 6.214 211.4 13.59 215.1 26.33H215.1z"],
    "circle-o": [512, 512, [], "e119", "M256 128C185.4 128 128 185.4 128 256s57.42 128 128 128s128-57.42 128-128S326.6 128 256 128zM256 336c-44.11 0-80-35.89-80-80S211.9 176 256 176s80 35.89 80 80S300.1 336 256 336zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464z"],
    "circle-p": [512, 512, [], "e11a", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464zM280 128h-96C170.8 128 160 138.8 160 152v208C160 373.3 170.8 384 184 384s24-10.75 24-24V304h72c48.53 0 88-39.47 88-88S328.5 128 280 128zM280 256H208V176h72C302.1 176 320 193.9 320 216S302.1 256 280 256z"],
    "circle-parking": [512, 512, ["parking-circle"], "f615", "M280 320H216V360C216 373.3 205.3 384 192 384C178.7 384 168 373.3 168 360V160C168 142.3 182.3 128 200 128H280C333 128 376 170.1 376 224C376 277 333 320 280 320zM280 272C306.5 272 328 250.5 328 224C328 197.5 306.5 176 280 176H216V272H280zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "circle-pause": [512, 512, [62092, "pause-circle"], "f28b", "M200 160C186.8 160 176 170.8 176 184v144C176 341.3 186.8 352 200 352S224 341.3 224 328v-144C224 170.8 213.3 160 200 160zM312 160C298.8 160 288 170.8 288 184v144c0 13.25 10.75 24 24 24s24-10.75 24-24v-144C336 170.8 325.3 160 312 160zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464z"],
    "circle-phone": [512, 512, ["phone-circle"], "e11b", "M374.5 303.6l-54.24-23.25c-6.391-2.766-13.9-.9062-18.24 4.484l-22.02 26.91c-34.63-17-62.77-45.14-79.77-79.75L227.2 209.1c5.375-4.391 7.211-11.83 4.492-18.22L208.4 137.5C205.4 130.5 197.8 126.7 190.5 128.4L140.1 140C132.1 141.7 127.1 147.9 127.1 155.2c0 126.1 102.6 228.8 228.7 228.8c7.336 0 13.6-4.984 15.24-12.11l11.62-50.39C385.3 314.2 381.5 306.6 374.5 303.6zM256 0c-141.4 0-256 114.6-256 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464z"],
    "circle-phone-flip": [512, 512, ["phone-circle-alt"], "e11c", "M371.9 140l-50.38-11.62c-7.344-1.703-14.88 2.109-17.93 9.062L280.3 191.7c-2.719 6.391-.8828 13.83 4.492 18.22l26.91 22.05c-16.99 34.61-45.14 62.75-79.77 79.75L209.9 284.9C205.6 279.5 198.1 277.6 191.7 280.4L137.5 303.6c-6.953 3-10.74 10.58-9.055 17.88l11.62 50.39c1.633 7.125 7.9 12.11 15.24 12.11c126.1 0 228.7-102.6 228.7-228.8C384 147.9 379 141.7 371.9 140zM256 0c-141.4 0-256 114.6-256 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464z"],
    "circle-phone-hangup": [512, 512, ["phone-circle-down"], "e11d", "M417.7 236.7C328.6 147.5 183.4 147.5 94.25 236.7c-5.188 5.188-6.088 13.14-2.205 19.33l27.41 43.85c3.965 6.354 12.03 9.05 19.06 6.253l54.82-21.92c6.475-2.562 10.46-9.18 9.717-16.06L199.6 233.6c36.5-12.46 76.31-12.46 112.8-.0003l-3.446 34.61c-.6973 6.904 3.275 13.47 9.717 16.06l54.82 21.92c7.07 2.762 15.08 .1433 19.06-6.253l27.41-43.85C423.8 249.9 422.9 241.9 417.7 236.7zM256 0c-141.4 0-256 114.6-256 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464z"],
    "circle-play": [512, 512, [61469, "play-circle"], "f144", "M188.3 147.1C195.8 142.8 205.1 142.1 212.5 147.5L356.5 235.5C363.6 239.9 368 247.6 368 256C368 264.4 363.6 272.1 356.5 276.5L212.5 364.5C205.1 369 195.8 369.2 188.3 364.9C180.7 360.7 176 352.7 176 344V167.1C176 159.3 180.7 151.3 188.3 147.1V147.1zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "circle-plus": [512, 512, ["plus-circle"], "f055", "M232 344V280H168C154.7 280 144 269.3 144 256C144 242.7 154.7 232 168 232H232V168C232 154.7 242.7 144 256 144C269.3 144 280 154.7 280 168V232H344C357.3 232 368 242.7 368 256C368 269.3 357.3 280 344 280H280V344C280 357.3 269.3 368 256 368C242.7 368 232 357.3 232 344zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "circle-q": [512, 512, [], "e11e", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464zM256 128C185.4 128 128 185.4 128 256s57.41 128 128 128c26.64 0 51.37-8.209 71.88-22.18l15.15 15.15C347.7 381.7 353.8 384 360 384s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94l-15.15-15.15C375.8 307.4 384 282.6 384 256C384 185.4 326.6 128 256 128zM326.7 292.7l-29.69-29.69c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94l29.69 29.69C281.7 332.4 269.3 336 256 336c-44.13 0-80-35.89-80-80S211.9 176 256 176s80 35.89 80 80C336 269.3 332.4 281.7 326.7 292.7z"],
    "circle-quarter": [512, 512, [], "e11f", "M224.1 1.971C241.6-.2109 255.1 14.33 255.1 31.1V223.1C255.1 241.7 241.7 255.1 223.1 255.1H31.1C14.33 255.1-.2112 241.6 1.972 224.1C16.39 108.2 108.2 16.39 224.1 1.971V1.971zM53.56 207.1H207.1V53.56C131.7 71.57 71.57 131.7 53.56 207.1V207.1z"],
    "circle-quarters": [512, 512, [], "e3f8", "M256 0c-141.4 0-256 114.6-256 256s114.6 256 256 256c141.4 0 256-114.6 256-256S397.4 0 256 0zM403.1 403.1L256 256l-147.1 147.1C71.28 365.4 48 313.4 48 256s23.28-109.4 60.92-147.1L256 256l147.1-147.1C440.7 146.6 464 198.6 464 256S440.7 365.4 403.1 403.1z"],
    "circle-question": [512, 512, [62108, "question-circle"], "f059", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464zM256 336c-18 0-32 14-32 32s13.1 32 32 32c17.1 0 32-14 32-32S273.1 336 256 336zM289.1 128h-51.1C199 128 168 159 168 198c0 13 11 24 24 24s24-11 24-24C216 186 225.1 176 237.1 176h51.1C301.1 176 312 186 312 198c0 8-4 14.1-11 18.1L244 251C236 256 232 264 232 272V288c0 13 11 24 24 24S280 301 280 288V286l45.1-28c21-13 34-36 34-60C360 159 329 128 289.1 128z"],
    "circle-r": [512, 512, [], "e120", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464zM368 208C368 163.9 332.1 128 288 128H184C170.8 128 160 138.8 160 152v208C160 373.3 170.8 384 184 384s24-10.75 24-24V288h45.97l62.63 86.11C321.3 380.6 328.6 384 336 384c4.875 0 9.812-1.484 14.09-4.594c10.72-7.797 13.09-22.8 5.281-33.52l-44.77-61.55C343.7 274.5 368 244.2 368 208zM288 240H208v-64H288c17.66 0 32 14.36 32 32S305.7 240 288 240z"],
    "circle-radiation": [512, 512, [9762, "radiation-alt"], "f7ba", "M256 16C123.5 16 16 123.5 16 256s107.5 240 240 240s240-107.5 240-240S388.5 16 256 16zM256 448c-105.9 0-192-86.13-192-192s86.13-192 192-192s192 86.13 192 192S361.9 448 256 448zM226.4 208.6L184.8 141.9C179.6 133.7 168.3 132 160.7 138.2C130.8 162.3 110.1 197.4 105.1 237.4C103.9 247.2 111.2 256 121 256H200C200 236 210.6 218.6 226.4 208.6zM256 288c17.67 0 32-14.33 32-32s-14.33-32-32-32C238.3 224 224 238.3 224 256S238.3 288 256 288zM285.6 303.3C276.1 308.7 266.9 312 256 312c-10.89 0-20.98-3.252-29.58-8.65l-41.74 66.8c-5.211 8.338-1.613 19.07 7.27 23.29C211.4 402.7 233.1 408 256 408c22.97 0 44.64-5.334 64.12-14.59c8.883-4.219 12.48-14.95 7.262-23.29L285.6 303.3zM351.4 138.2c-7.604-6.145-18.86-4.518-24.04 3.77l-41.71 66.67C301.4 218.6 312 236 312 256h78.96c9.844 0 17.11-8.791 15.91-18.56C401.9 197.5 381.3 162.4 351.4 138.2z"],
    "circle-right": [512, 512, [61838, "arrow-alt-circle-right"], "f35a", "M280.2 150.2C273.1 143.8 262.1 142.2 254.3 146.1S239.1 158.5 239.1 167.1l.002 56L152 224C138.8 224 128 234.8 128 248v16C128 277.3 138.8 288 152 288L240 287.1v56c0 9.531 5.656 18.16 14.38 22c8.75 3.812 18.91 2.094 25.91-4.375l96-88.75C381.2 268.3 384 261.9 384 255.2c-.3125-7.781-2.875-13.25-7.844-17.75L280.2 150.2zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464z"],
    "circle-s": [512, 512, [], "e121", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464zM262.4 232.9C212.5 219.1 205.7 212.4 208.5 196.6c1.031-5.688 4.156-10.27 9.344-13.61c8.594-5.547 30.84-12.88 83.63 .5781c12.81 3.297 25.94-4.469 29.19-17.31c3.281-12.84-4.469-25.92-17.31-29.19c-53.66-13.69-94.47-11.81-121.5 5.562C175.5 153.2 164.7 169.4 161.3 188.2c-11.28 63.38 48.66 80 88.31 91c49.94 13.86 56.69 20.53 53.88 36.31c-1.312 7.312-4.344 11.81-10.12 15.06c-18.09 10.09-58.5 5.844-100.6-10.7c-12.22-4.75-26.28 1.188-31.12 13.58c-4.844 12.33 1.219 26.27 13.56 31.11c18.31 7.172 54.88 19.48 90.63 19.48c18 0 35.78-3.109 50.94-11.58c18.38-10.28 30.09-27.06 33.94-48.53C361.1 260.6 302.1 243.9 262.4 232.9z"],
    "circle-small": [320, 512, [], "e122", "M320 256C320 344.4 248.4 416 160 416C71.63 416 0 344.4 0 256C0 167.6 71.63 96 160 96C248.4 96 320 167.6 320 256zM160 144C98.14 144 48 194.1 48 256C48 317.9 98.14 368 160 368C221.9 368 272 317.9 272 256C272 194.1 221.9 144 160 144z"],
    "circle-sort": [512, 512, ["sort-circle"], "e030", "M347.5 272h-183C148 272 139.9 291.9 151.4 303.4L243 394.6C246.5 398 251.1 400 256 400s9.625-2 13.12-5.375l91.5-91.25C372.1 291.9 364 272 347.5 272zM269.1 117.4C265.6 114 260.9 112 256 112S246.5 114 243 117.4L151.4 208.6C139.9 220.1 148 240 164.5 240h183c16.5 0 24.62-19.88 13.12-31.38L269.1 117.4zM256 0c-141.4 0-256 114.6-256 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464z"],
    "circle-sort-down": [512, 512, ["sort-circle-down"], "e031", "M269.1 117.4C265.6 114 260.9 112 256 112S246.5 114 243 117.4L151.4 208.6C139.9 220.1 148 240 164.5 240h183c16.5 0 24.62-19.88 13.12-31.38L269.1 117.4zM197.3 208l58.7-58.47L314.7 208H197.3zM347.5 272h-183C148 272 139.9 291.9 151.4 303.4L243 394.6C246.5 398 251.1 400 256 400s9.625-2 13.12-5.375l91.5-91.25C372.1 291.9 364 272 347.5 272zM256 0c-141.4 0-256 114.6-256 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464z"],
    "circle-sort-up": [512, 512, ["sort-circle-up"], "e032", "M269.1 117.4C265.6 114 260.9 112 256 112S246.5 114 243 117.4L151.4 208.6C139.9 220.1 148 240 164.5 240h183c16.5 0 24.62-19.88 13.12-31.38L269.1 117.4zM347.5 272h-183C148 272 139.9 291.9 151.4 303.4L243 394.6C246.5 398 251.1 400 256 400s9.625-2 13.12-5.375l91.5-91.25C372.1 291.9 364 272 347.5 272zM256.1 362.5L197.3 304h117.3L256.1 362.5zM256 0c-141.4 0-256 114.6-256 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464z"],
    "circle-star": [512, 512, ["star-circle"], "e123", "M256 121C262.1 121 267.7 124.5 270.3 129.9L301.6 193.2L371.5 203.4C377.5 204.3 382.5 208.5 384.4 214.3C386.3 220.1 384.7 226.4 380.3 230.7L329.8 279.1L341.7 349.6C342.7 355.6 340.3 361.6 335.4 365.2C330.4 368.8 323.9 369.3 318.5 366.4L256 333.6L193.5 366.4C188.1 369.3 181.6 368.8 176.6 365.2C171.7 361.6 169.3 355.6 170.3 349.6L182.2 279.1L131.7 230.7C127.3 226.4 125.7 220.1 127.6 214.3C129.5 208.5 134.5 204.3 140.5 203.4L210.4 193.2L241.7 129.9C244.3 124.5 249.9 121 256 121V121zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "circle-stop": [512, 512, [62094, "stop-circle"], "f28d", "M328 160h-144C170.8 160 160 170.8 160 184v144C160 341.2 170.8 352 184 352h144c13.2 0 24-10.8 24-24v-144C352 170.8 341.2 160 328 160zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464z"],
    "circle-t": [512, 512, [], "e124", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464zM360 144h-208C138.8 144 128 154.8 128 168S138.8 192 152 192h80v168C232 373.3 242.8 384 256 384s24-10.75 24-24V192h80C373.3 192 384 181.3 384 168S373.3 144 360 144z"],
    "circle-three-quarters": [512, 512, [], "e125", "M224.1 1.971C241.6-.2109 256 14.33 256 31.1V255.1H480C497.7 255.1 512.2 270.4 510 287.9C494.3 414.2 386.6 512 256 512C114.6 512 0 397.4 0 255.1C0 125.4 97.75 17.69 224.1 1.971V1.971zM208 303.1V53.55C116.3 75.21 48 157.7 48 255.1C48 370.9 141.1 464 256 464C354.3 464 436.8 395.7 458.4 303.1H208z"],
    "circle-trash": [512, 512, ["trash-circle"], "e126", "M201.4 128L212.7 116.7C215.7 113.7 219.8 112 223.1 112H288C292.2 112 296.3 113.7 299.3 116.7L310.6 128H352C360.8 128 368 135.2 368 144C368 152.8 360.8 160 352 160H159.1C151.2 160 143.1 152.8 143.1 144C143.1 135.2 151.2 128 159.1 128H201.4zM352 192L338.4 354.7C337.1 371.2 323.2 384 306.6 384H205.4C188.8 384 174.9 371.2 173.6 354.7L160 192H352zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "circle-u": [512, 512, [], "e127", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464zM344 144C330.8 144 320 154.8 320 168v122.9C320 324.6 291.3 352 256 352s-64-27.41-64-61.09V168C192 154.8 181.3 144 168 144S144 154.8 144 168v122.9C144 351.1 194.3 400 256 400s112-48.94 112-109.1V168C368 154.8 357.3 144 344 144z"],
    "circle-up": [512, 512, [61467, "arrow-alt-circle-up"], "f35b", "M272.9 135.7C268.3 130.8 261.9 128 255.2 128C247.5 128.3 241.1 130.9 237.5 135.8l-87.25 96C143.8 238.9 142.2 249 146.1 257.7C149.9 266.4 158.5 272 167.1 272h56L224 360c0 13.25 10.75 24 24 24h16c13.25 0 23.1-10.75 23.1-24L287.1 272h56c9.531 0 18.16-5.656 22-14.38c3.811-8.75 2.092-18.91-4.377-25.91L272.9 135.7zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464z"],
    "circle-up-left": [512, 512, [], "e128", "M287.6 242.3l41.37-41.38c6.859-6.875 8.922-17.19 5.203-26.16S321.7 160 312 160h-128C170.8 160 160 170.8 160 184v128c0 9.719 5.844 18.47 14.81 22.19C177.8 335.4 180.9 336 184 336c6.234 0 12.38-2.438 16.97-7.031l41.37-41.38l64.57 64.57c9.369 9.371 24.57 9.371 33.94 0l11.31-11.31c9.369-9.367 9.369-24.57 0-33.94L287.6 242.3zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464z"],
    "circle-up-right": [512, 512, [], "e129", "M328 160h-128C190.3 160 181.5 165.8 177.8 174.8S176.2 194.1 183 200.1l41.37 41.38L159.8 306.9c-9.369 9.371-9.369 24.57 0 33.94l11.31 11.31c9.369 9.371 24.57 9.371 33.94 0l64.57-64.57l41.37 41.38C315.6 333.6 321.8 336 328 336c3.094 0 6.219-.5938 9.188-1.812C346.2 330.5 352 321.7 352 312v-128C352 170.8 341.3 160 328 160zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464z"],
    "circle-user": [512, 512, [62142, "user-circle"], "f2bd", "M256 112c-48.6 0-88 39.4-88 88C168 248.6 207.4 288 256 288s88-39.4 88-88C344 151.4 304.6 112 256 112zM256 240c-22.06 0-40-17.95-40-40C216 177.9 233.9 160 256 160s40 17.94 40 40C296 222.1 278.1 240 256 240zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-46.73 0-89.76-15.68-124.5-41.79C148.8 389 182.4 368 220.2 368h71.69c37.75 0 71.31 21.01 88.68 54.21C345.8 448.3 302.7 464 256 464zM416.2 388.5C389.2 346.3 343.2 320 291.8 320H220.2c-51.36 0-97.35 26.25-124.4 68.48C65.96 352.5 48 306.3 48 256c0-114.7 93.31-208 208-208s208 93.31 208 208C464 306.3 446 352.5 416.2 388.5z"],
    "circle-v": [512, 512, [], "e12a", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464zM370.7 146.5c-11.86-5.891-26.27-1.125-32.2 10.73L256 322.3L173.5 157.3C167.5 145.4 153.2 140.6 141.3 146.5C129.4 152.5 124.6 166.9 130.5 178.7l104 208C238.6 394.9 246.9 400 256 400s17.41-5.141 21.47-13.27l104-208C387.4 166.9 382.6 152.5 370.7 146.5z"],
    "circle-video": [512, 512, ["video-circle"], "e12b", "M284 176h-120C152.1 176 144 184.1 144 196v120c0 11.04 8.955 20 20 20h120c11.04 0 20-8.955 20-20v-120C304 184.1 295 176 284 176zM379.8 194.3L336 224.5v62.96l43.84 30.2C388.3 323.5 400 317.6 400 307.4V204.6C400 194.4 388.4 188.4 379.8 194.3zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464z"],
    "circle-w": [512, 512, [], "e12c", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464zM383.1 145.1c-12.66-3.828-26.11 3.203-30 15.88L313.5 289.4l-34.36-127.6C276.4 151.3 266.9 144 256 144S235.6 151.3 232.8 161.8L198.5 289.4L158.9 160.9c-3.906-12.67-17.34-19.73-30-15.88c-12.67 3.891-19.78 17.33-15.88 30l64 208C180.2 393.3 189.7 399.1 200.4 400c10.7-.1875 19.97-7.438 22.75-17.77L256 260.3l32.83 121.9C291.6 392.6 300.9 399.8 311.6 400H312c10.52 0 19.84-6.859 22.94-16.94l64-208C402.8 162.4 395.7 148.1 383.1 145.1z"],
    "circle-waveform-lines": [512, 512, ["waveform-circle"], "e12d", "M232 128C218.8 128 208 138.8 208 152v208C208 373.2 218.8 384 232 384S256 373.2 256 360v-208C256 138.8 245.2 128 232 128zM152 192C138.8 192 128 202.8 128 216v80C128 309.2 138.8 320 152 320S176 309.2 176 296v-80C176 202.8 165.2 192 152 192zM392 216c-13.22 0-24 10.78-24 24v32c0 13.22 10.78 24 24 24S416 285.2 416 272v-32C416 226.8 405.2 216 392 216zM312 176C298.8 176 288 186.8 288 200v112c0 13.22 10.78 24 24 24s24-10.78 24-24v-112C336 186.8 325.2 176 312 176zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464z"],
    "circle-x": [512, 512, [], "e12e", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464zM359.5 133.7c-10.11-8.578-25.28-7.297-33.83 2.828L256 218.8L186.3 136.5C177.8 126.4 162.6 125.1 152.5 133.7C142.4 142.2 141.1 157.4 149.7 167.5L224.6 256l-74.88 88.5c-8.562 10.11-7.297 25.27 2.828 33.83C157 382.1 162.5 384 167.1 384c6.812 0 13.59-2.891 18.34-8.5L256 293.2l69.67 82.34C330.4 381.1 337.2 384 344 384c5.469 0 10.98-1.859 15.48-5.672c10.12-8.562 11.39-23.72 2.828-33.83L287.4 256l74.88-88.5C370.9 157.4 369.6 142.2 359.5 133.7z"],
    "circle-xmark": [512, 512, [61532, "times-circle", "xmark-circle"], "f057", "M175 175C184.4 165.7 199.6 165.7 208.1 175L255.1 222.1L303 175C312.4 165.7 327.6 165.7 336.1 175C346.3 184.4 346.3 199.6 336.1 208.1L289.9 255.1L336.1 303C346.3 312.4 346.3 327.6 336.1 336.1C327.6 346.3 312.4 346.3 303 336.1L255.1 289.9L208.1 336.1C199.6 346.3 184.4 346.3 175 336.1C165.7 327.6 165.7 312.4 175 303L222.1 255.1L175 208.1C165.7 199.6 165.7 184.4 175 175V175zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "circle-y": [512, 512, [], "e12f", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464zM341.8 152.4L256 252.5L170.2 152.4C161.6 142.3 146.5 141.2 136.4 149.8C126.3 158.4 125.2 173.6 133.8 183.6L232 298.2V376c0 13.25 10.75 24 24 24s24-10.75 24-24V298.2l98.22-114.6c8.625-10.06 7.469-25.22-2.594-33.84C365.5 141.1 350.4 142.3 341.8 152.4z"],
    "circle-z": [512, 512, [], "e130", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464zM328 336H229.8l117.9-170.3c5.094-7.328 5.688-16.89 1.531-24.8C345.1 132.1 336.9 128 328 128h-144C170.8 128 160 138.8 160 152S170.8 176 184 176h98.19l-117.9 170.3c-5.094 7.328-5.688 16.89-1.531 24.8C166.9 379 175.1 384 184 384h144c13.25 0 24-10.75 24-24S341.3 336 328 336z"],
    "citrus": [512, 512, [], "e2f4", "M496 271.1C496 404.3 388.3 512 256 512s-240-107.7-240-240S123.7 31.1 256 31.1c17.55 0 34.8 2.515 51.75 6.255C325.3 15.14 352.7 0 384 0h80C472.8 0 480 7.162 480 16v16c0 53.02-42.98 96-96 96h-80C295.2 128 288 120.8 288 112V96c0-4.396 .7227-8.596 1.295-12.84C278.3 81.25 267.2 80 256 80c-105.9 0-192 86.13-192 192s86.13 192 192 192s192-86.13 192-192c0-31.06-7.156-60.67-21.31-88c-6.094-11.78-1.5-26.25 10.28-32.34c11.81-6.172 26.28-1.484 32.34 10.28C486.8 195.7 496 233.7 496 271.1z"],
    "citrus-slice": [512, 512, [], "e2f5", "M425.3 7.031c-9.375-9.375-24.56-9.375-33.94 0L7.037 391.4c-10.56 10.56-8.143 25.79 0 33.94C62.91 481.2 137.2 512 216.2 512c79.03 0 153.3-30.77 209.2-86.64C481.2 369.5 512 295.2 512 216.2C512 137.2 481.2 62.89 425.3 7.031zM239.1 261.7l83.3 83.3C292.4 369.8 255.6 384 216.2 384C213.4 384 210.8 383.5 208 383.3V269.1C218.8 270.1 229.5 267.3 239.1 261.7zM345.1 322.4l-83.3-83.3C267.3 229.5 270.1 218.8 269.1 208h113.4c.1328 2.748 .6543 5.418 .6543 8.188C384 255.6 369.8 292.4 345.1 322.4zM378.6 176H290.3l60.29-60.3C364.2 133.7 373.3 154.3 378.6 176zM176 290.3v88.28c-21.71-5.34-42.25-14.47-60.28-28L176 290.3zM391.4 391.4C344.6 438.2 282.4 464 216.2 464c-58.12 0-113.2-19.9-157.4-56.45l22.81-22.81C119.7 415.3 166.6 432 216.2 432c57.63 0 111.8-22.45 152.6-63.22c40.77-40.76 63.22-94.95 63.22-152.6c0-49.55-16.69-96.5-47.25-134.6l22.81-22.81c36.54 44.26 56.44 99.31 56.44 157.4C464 282.4 438.2 344.6 391.4 391.4z"],
    "city": [640, 512, [127961], "f64f", "M104 0C117.3 0 128 10.75 128 24V64H176V24C176 10.75 186.7 0 200 0C213.3 0 224 10.75 224 24V112H72C58.75 112 48 122.7 48 136V440C48 453.3 58.75 464 72 464H224C224 482 229.1 498.6 239.1 512H72C32.24 512 0 479.8 0 440V136C0 96.24 32.24 64 72 64H80V24C80 10.75 90.75 0 104 0zM352 304C352 295.2 359.2 288 368 288H400C408.8 288 416 295.2 416 304V336C416 344.8 408.8 352 400 352H368C359.2 352 352 344.8 352 336V304zM400 96C408.8 96 416 103.2 416 112V144C416 152.8 408.8 160 400 160H368C359.2 160 352 152.8 352 144V112C352 103.2 359.2 96 368 96H400zM352 208C352 199.2 359.2 192 368 192H400C408.8 192 416 199.2 416 208V240C416 248.8 408.8 256 400 256H368C359.2 256 352 248.8 352 240V208zM496 416C487.2 416 480 408.8 480 400V368C480 359.2 487.2 352 496 352H528C536.8 352 544 359.2 544 368V400C544 408.8 536.8 416 528 416H496zM480 272C480 263.2 487.2 256 496 256H528C536.8 256 544 263.2 544 272V304C544 312.8 536.8 320 528 320H496C487.2 320 480 312.8 480 304V272zM512 160H576C611.3 160 640 188.7 640 224V448C640 483.3 611.3 512 576 512H320C284.7 512 256 483.3 256 448V64C256 28.65 284.7 0 320 0H448C483.3 0 512 28.65 512 64V160zM464 64C464 55.16 456.8 48 448 48H320C311.2 48 304 55.16 304 64V448C304 456.8 311.2 464 320 464H576C584.8 464 592 456.8 592 448V224C592 215.2 584.8 208 576 208H464V64zM112 320C103.2 320 96 312.8 96 304V272C96 263.2 103.2 256 112 256H144C152.8 256 160 263.2 160 272V304C160 312.8 152.8 320 144 320H112zM96 368C96 359.2 103.2 352 112 352H144C152.8 352 160 359.2 160 368V400C160 408.8 152.8 416 144 416H112C103.2 416 96 408.8 96 400V368zM112 224C103.2 224 96 216.8 96 208V176C96 167.2 103.2 160 112 160H144C152.8 160 160 167.2 160 176V208C160 216.8 152.8 224 144 224H112z"],
    "clapperboard": [512, 512, [], "e131", "M448 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V96C512 60.65 483.3 32 448 32zM254.1 80h67.88l-80 80H174.1L254.1 80zM48 126.1L94.06 80h67.88l-80 80H48V126.1zM464 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V208h416V416zM464 97.94L401.9 160h-67.88l80-80H448c8.822 0 16 7.178 16 16V97.94z"],
    "clapperboard-play": [512, 512, [], "e132", "M448 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V96C512 60.65 483.3 32 448 32zM254.1 80h67.88l-80 80H174.1L254.1 80zM48 126.1L94.06 80h67.88l-80 80H48V126.1zM464 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V208h416V416zM464 97.94L401.9 160h-67.88l80-80H448c8.822 0 16 7.178 16 16V97.94zM218.7 400c1.959 0 3.938-.5605 5.646-1.682l106.7-68.97C334.1 327.3 336 323.8 336 319.1s-1.896-7.34-5.021-9.354l-106.7-68.97C221.1 239.5 216.9 239.5 213.5 241.4C210.1 243.3 208 247 208 251v137.9c0 4.008 2.104 7.705 5.5 9.656C215.1 399.5 216.9 400 218.7 400z"],
    "clarinet": [640, 512, [], "f8ad", "M272 231.1c-13.25 0-24 10.75-24 23.1c0 13.25 10.75 23.1 24 23.1S296 269.2 296 255.1C296 242.7 285.3 231.1 272 231.1zM368 231.1c-13.25 0-24 10.75-24 23.1c0 13.25 10.75 23.1 24 23.1s24-10.75 24-23.1C392 242.7 381.3 231.1 368 231.1zM616 111.1c-4.75 0-9.375 1.375-13.25 3.1l-66 43.1L480 159.1V127.1h16c8.8 0 16-7.2 16-15.1S504.8 96 496 96h-256C231.2 96 224 103.2 224 111.1s7.2 15.1 16 15.1H256v31.1l-149.6-.0013c-6.891 0-13.74 1.113-20.27 3.295L21.82 184.8C8.754 189.1 0 201.3 0 215.1v81.82c0 13.77 8.81 26 21.87 30.37l64.25 21.45c6.536 2.182 13.38 3.295 20.27 3.295l430.4 0l66 43.1c7.375 4.875 16.75 5.375 24.62 1.125C635.1 392.1 640 384.9 640 375.1V135.1C640 122.7 629.3 111.1 616 111.1zM384 127.1h64v31.1l-64 .0002V127.1zM288 127.1h64v31.1L288 159.1V127.1zM592 331.1l-40.75-27.12H103.8L48 285.4V226.6l55.75-18.62h447.5L592 180.9V331.1zM464 231.1c-13.25 0-24 10.75-24 23.1c0 13.25 10.75 23.1 24 23.1s24-10.75 24-23.1C488 242.7 477.3 231.1 464 231.1z"],
    "claw-marks": [576, 512, [], "f6c2", "M39.03 7.029C48.4-2.343 63.6-2.343 72.97 7.029L176.6 110.6C191.6 125.6 200 145.1 200 167.2V184H216.8C238 184 258.4 192.4 273.4 207.4L368.6 302.6C383.6 317.6 392 337.1 392 359.2V376H408.8C430 376 450.4 384.4 465.4 399.4L536.1 471C546.3 480.4 546.3 495.6 536.1 504.1C527.6 514.3 512.4 514.3 503 504.1L431.4 433.4C425.4 427.4 417.3 424 408.8 424H368C354.7 424 344 413.3 344 400V359.2C344 350.7 340.6 342.6 334.6 336.6L239.4 241.4C233.4 235.4 225.3 232 216.8 232H176C162.7 232 152 221.3 152 208V167.2C152 158.7 148.6 150.6 142.6 144.6L39.03 40.97C29.66 31.6 29.66 16.4 39.03 7.029V7.029zM39.03 231C48.4 221.7 63.6 221.7 72.97 231L146.9 304.1C160.4 318.5 168 336.8 168 355.9V376H188.1C207.2 376 225.5 383.6 239 397.1L312.1 471C322.3 480.4 322.3 495.6 312.1 504.1C303.6 514.3 288.4 514.3 279 504.1L205.1 431C200.6 426.5 194.5 424 188.1 424H144C130.7 424 120 413.3 120 400V355.9C120 349.5 117.5 343.4 112.1 338.9L39.03 264.1C29.66 255.6 29.66 240.4 39.03 231V231zM306.9 16.97C320.4 30.47 328 48.79 328 67.88V88H348.1C367.2 88 385.5 95.59 399 109.1L434.9 144.1C448.4 158.5 456 176.8 456 195.9V216H476.1C495.2 216 513.5 223.6 527 237.1L536.1 247C546.3 256.4 546.3 271.6 536.1 280.1C527.6 290.3 512.4 290.3 503 280.1L493.1 271C488.6 266.5 482.5 264 476.1 264H432C418.7 264 408 253.3 408 240V195.9C408 189.5 405.5 183.4 400.1 178.9L365.1 143C360.6 138.5 354.5 136 348.1 136H304C290.7 136 280 125.3 280 112V67.88C280 61.52 277.5 55.41 272.1 50.91L263 40.97C253.7 31.6 253.7 16.4 263 7.029C272.4-2.343 287.6-2.343 296.1 7.029L306.9 16.97z"],
    "clipboard": [384, 512, [128203], "f328", "M320 64h-49.61C262.1 27.48 230.7 0 192 0S121 27.48 113.6 64H64C28.65 64 0 92.66 0 128v320c0 35.34 28.65 64 64 64h256c35.35 0 64-28.66 64-64V128C384 92.66 355.3 64 320 64zM192 48c13.23 0 24 10.77 24 24S205.2 96 192 96S168 85.23 168 72S178.8 48 192 48zM336 448c0 8.82-7.178 16-16 16H64c-8.822 0-16-7.18-16-16V128c0-8.82 7.178-16 16-16h18.26C80.93 117.1 80 122.4 80 128v16C80 152.8 87.16 160 96 160h192c8.836 0 16-7.164 16-16V128c0-5.559-.9316-10.86-2.264-16H320c8.822 0 16 7.18 16 16V448z"],
    "clipboard-check": [384, 512, [], "f46c", "M245.1 233.2L172.6 325.5L135.6 293.8C125.5 285.2 110.4 286.3 101.8 296.4c-8.625 10.06-7.469 25.22 2.594 33.84l56 48C164.8 381.1 170.3 384 176 384c.7813 0 1.562-.0313 2.344-.125c6.516-.625 12.48-3.906 16.53-9.062l88-112c8.188-10.41 6.375-25.5-4.047-33.69C268.4 220.1 253.3 222.8 245.1 233.2zM320 64h-49.61C262.1 27.48 230.7 0 192 0S121 27.48 113.6 64H64C28.65 64 0 92.66 0 128v320c0 35.34 28.65 64 64 64h256c35.35 0 64-28.66 64-64V128C384 92.66 355.3 64 320 64zM192 48c13.23 0 24 10.77 24 24S205.2 96 192 96S168 85.23 168 72S178.8 48 192 48zM336 448c0 8.82-7.178 16-16 16H64c-8.822 0-16-7.18-16-16V128c0-8.82 7.178-16 16-16h18.26C80.93 117.1 80 122.4 80 128v16C80 152.8 87.16 160 96 160h192c8.836 0 16-7.164 16-16V128c0-5.559-.9316-10.86-2.264-16H320c8.822 0 16 7.18 16 16V448z"],
    "clipboard-list": [384, 512, [], "f46d", "M104 248C90.75 248 80 258.7 80 272s10.75 24 24 24C117.3 296 128 285.3 128 272S117.3 248 104 248zM104 344c-13.25 0-24 10.75-24 24s10.75 24 24 24C117.3 392 128 381.3 128 368S117.3 344 104 344zM288 352H176C167.2 352 160 359.2 160 368S167.2 384 176 384H288c8.844 0 16-7.156 16-16S296.8 352 288 352zM320 64h-49.61C262.1 27.48 230.7 0 192 0S121 27.48 113.6 64H64C28.65 64 0 92.66 0 128v320c0 35.34 28.65 64 64 64h256c35.35 0 64-28.66 64-64V128C384 92.66 355.3 64 320 64zM192 48c13.23 0 24 10.77 24 24S205.2 96 192 96S168 85.23 168 72S178.8 48 192 48zM336 448c0 8.82-7.178 16-16 16H64c-8.822 0-16-7.18-16-16V128c0-8.82 7.178-16 16-16h18.26C80.93 117.1 80 122.4 80 128v16C80 152.8 87.16 160 96 160h192c8.836 0 16-7.164 16-16V128c0-5.559-.9316-10.86-2.264-16H320c8.822 0 16 7.18 16 16V448zM288 256H176C167.2 256 160 263.2 160 272S167.2 288 176 288H288c8.844 0 16-7.156 16-16S296.8 256 288 256z"],
    "clipboard-list-check": [384, 512, [], "f737", "M320 64h-49.61C262.1 27.48 230.7 0 192 0S121 27.48 113.6 64H64C28.65 64 0 92.66 0 128v320c0 35.34 28.65 64 64 64h256c35.35 0 64-28.66 64-64V128C384 92.66 355.3 64 320 64zM192 48c13.23 0 24 10.77 24 24S205.2 96 192 96S168 85.23 168 72S178.8 48 192 48zM336 448c0 8.82-7.178 16-16 16H64c-8.822 0-16-7.18-16-16V128c0-8.82 7.178-16 16-16h18.26C80.93 117.1 80 122.4 80 128v16C80 152.8 87.16 160 96 160h192c8.836 0 16-7.164 16-16V128c0-5.559-.9316-10.86-2.264-16H320c8.822 0 16 7.18 16 16V448zM288 256H176C167.2 256 160 263.2 160 272S167.2 288 176 288H288c8.844 0 16-7.156 16-16S296.8 256 288 256zM288 352H176C167.2 352 160 359.2 160 368S167.2 384 176 384H288c8.844 0 16-7.156 16-16S296.8 352 288 352zM104 344c-13.25 0-24 10.75-24 24s10.75 24 24 24C117.3 392 128 381.3 128 368S117.3 344 104 344zM108 288c4.094 0 8.188-1.562 11.31-4.688l48-48c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0L108 249.4L95.31 236.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l24 24C99.81 286.4 103.9 288 108 288z"],
    "clipboard-medical": [384, 512, [], "e133", "M320 64h-49.61C262.1 27.48 230.7 0 192 0S121 27.48 113.6 64H64C28.65 64 0 92.66 0 128v320c0 35.34 28.65 64 64 64h256c35.35 0 64-28.66 64-64V128C384 92.66 355.3 64 320 64zM192 48c13.23 0 24 10.77 24 24S205.2 96 192 96S168 85.23 168 72S178.8 48 192 48zM336 448c0 8.82-7.178 16-16 16H64c-8.822 0-16-7.18-16-16V128c0-8.82 7.178-16 16-16h18.26C80.93 117.1 80 122.4 80 128v16C80 152.8 87.16 160 96 160h192c8.836 0 16-7.164 16-16V128c0-5.559-.9316-10.86-2.264-16H320c8.822 0 16 7.18 16 16V448zM272 288H224V240C224 231.2 216.8 224 208 224h-32C167.2 224 160 231.2 160 240V288H112C103.2 288 96 295.2 96 304v32C96 344.8 103.2 352 112 352H160v48C160 408.8 167.2 416 176 416h32c8.801 0 16-7.203 16-16V352h48c8.801 0 16-7.203 16-16v-32C288 295.2 280.8 288 272 288z"],
    "clipboard-prescription": [384, 512, [], "f5e8", "M320 64h-49.61C262.1 27.48 230.7 0 192 0S121 27.48 113.6 64H64C28.65 64 0 92.66 0 128v320c0 35.34 28.65 64 64 64h256c35.35 0 64-28.66 64-64V128C384 92.66 355.3 64 320 64zM192 48c13.23 0 24 10.77 24 24S205.2 96 192 96S168 85.23 168 72S178.8 48 192 48zM336 448c0 8.82-7.178 16-16 16H64c-8.822 0-16-7.18-16-16V128c0-8.82 7.178-16 16-16h18.26C80.93 117.1 80 122.4 80 128v16C80 152.8 87.16 160 96 160h192c8.836 0 16-7.164 16-16V128c0-5.559-.9316-10.86-2.264-16H320c8.822 0 16 7.18 16 16V448zM294.2 321.8c-7.812-7.812-20.5-7.812-28.31 0L240 347.7l-32.72-32.72C224.4 304.4 236 285.6 236 264c0-33.09-26.91-60-60-60H104C92.97 204 84 212.1 84 224v144c0 11.03 8.969 20 20 20s20-8.969 20-20v-44h35.69l52 52l-25.84 25.84c-7.781 7.812-7.781 20.5 0 28.31C189.8 434.1 194.9 436 200 436s10.25-1.938 14.16-5.844L240 404.3l25.84 25.84C269.8 434.1 274.9 436 280 436s10.25-1.938 14.16-5.844c7.781-7.812 7.781-20.5 0-28.31L268.3 376l25.84-25.84C301.9 342.3 301.9 329.7 294.2 321.8zM176 284H124v-40H176c11.03 0 20 8.969 20 20S187 284 176 284z"],
    "clipboard-question": [384, 512, [], "e4e3", "M105.8 229.3C113.8 206.9 134.9 192 158.6 192H216.9C251.7 192 280 220.3 280 255.1C280 277.8 267.9 298.7 248.3 309.9L215.1 328.4C215.8 341.5 205.1 352 192 352C178.7 352 168 341.3 168 328V314.5C168 305.9 172.6 298 180.1 293.7L224.4 268.3C229.1 265.6 232 260.6 232 255.1C232 246.8 225.2 239.1 216.9 239.1H158.6C155.2 239.1 152.2 242.1 151.1 245.3L150.6 246.6C146.2 259.1 132.5 265.6 119.1 261.2C107.5 256.7 100.9 243 105.4 230.5L105.8 229.3zM224 416C224 433.7 209.7 448 192 448C174.3 448 160 433.7 160 416C160 398.3 174.3 384 192 384C209.7 384 224 398.3 224 416zM384 128V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H113.6C121 27.48 153.3 0 192 0C230.7 0 262.1 27.48 270.4 64H320C355.3 64 384 92.65 384 128zM80 112H64C55.16 112 48 119.2 48 128V448C48 456.8 55.16 464 64 464H320C328.8 464 336 456.8 336 448V128C336 119.2 328.8 112 320 112H304V136C304 149.3 293.3 160 280 160H104C90.75 160 80 149.3 80 136V112zM192 56C178.7 56 168 66.75 168 80C168 93.25 178.7 104 192 104C205.3 104 216 93.25 216 80C216 66.75 205.3 56 192 56z"],
    "clipboard-user": [384, 512, [], "f7f3", "M320 64h-49.61C262.1 27.48 230.7 0 192 0S121 27.48 113.6 64H64C28.65 64 0 92.66 0 128v320c0 35.34 28.65 64 64 64h256c35.35 0 64-28.66 64-64V128C384 92.66 355.3 64 320 64zM192 48c13.23 0 24 10.77 24 24S205.2 96 192 96S168 85.23 168 72S178.8 48 192 48zM336 448c0 8.82-7.178 16-16 16h-1.613C310.7 418.6 271.5 384 224 384H160c-47.54 0-86.73 34.64-94.39 80H64c-8.822 0-16-7.18-16-16V128c0-8.82 7.178-16 16-16h18.26C80.93 117.1 80 122.4 80 128v16C80 152.8 87.16 160 96 160h192c8.836 0 16-7.164 16-16V128c0-5.559-.9316-10.86-2.264-16H320c8.822 0 16 7.18 16 16V448zM192 224C156.7 224 128 252.7 128 288c0 35.34 28.65 64 64 64s64-28.66 64-64C256 252.7 227.3 224 192 224z"],
    "clock": [512, 512, [128339, "clock-four"], "f017", "M232 120C232 106.7 242.7 96 256 96C269.3 96 280 106.7 280 120V243.2L365.3 300C376.3 307.4 379.3 322.3 371.1 333.3C364.6 344.3 349.7 347.3 338.7 339.1L242.7 275.1C236 271.5 232 264 232 255.1L232 120zM256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48C141.1 48 48 141.1 48 256z"],
    "clock-desk": [448, 512, [], "e134", "M224 96C237.3 96 248 106.7 248 120V214.1L288.1 255C298.3 264.4 298.3 279.6 288.1 288.1C279.6 298.3 264.4 298.3 255 288.1L207 240.1C202.5 236.5 200 230.4 200 224V120C200 106.7 210.7 96 224 96V96zM224 0C347.7 0 448 100.3 448 224V464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V224C0 100.3 100.3 0 224 0zM224 48C126.8 48 48 126.8 48 224C48 321.2 126.8 400 224 400C321.2 400 400 321.2 400 224C400 126.8 321.2 48 224 48z"],
    "clock-eight": [512, 512, [], "e345", "M280 256C280 264 275.1 271.5 269.3 275.1L173.3 339.1C162.3 347.3 147.4 344.3 140 333.3C132.7 322.3 135.7 307.4 146.7 300L232 243.2V120C232 106.7 242.7 96 256 96C269.3 96 280 106.7 280 120L280 256zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "clock-eight-thirty": [512, 512, [], "e346", "M232 300.8L173.3 339.1C162.3 347.3 147.4 344.3 140 333.3C132.7 322.3 135.7 307.4 146.7 300L242.7 236C250.1 231.1 259.5 230.7 267.3 234.8C275.1 239 280 247.1 280 256V392C280 405.3 269.3 416 256 416C242.7 416 232 405.3 232 392L232 300.8zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464z"],
    "clock-eleven": [512, 512, [], "e347", "M232 120C232 106.7 242.7 96 256 96C269.3 96 280 106.7 280 120V256C280 266.6 273.1 275.9 262.1 278.1C252.8 282 241.9 278.1 236 269.3L172 173.3C164.7 162.3 167.7 147.4 178.7 140C189.7 132.7 204.6 135.7 211.1 146.7L231.1 176.7L232 120zM256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48C141.1 48 48 141.1 48 256z"],
    "clock-eleven-thirty": [512, 512, [], "e348", "M232 263.3L172 173.3C164.7 162.3 167.7 147.4 178.7 140C189.7 132.7 204.6 135.7 211.1 146.7L275.1 242.7C278.6 246.6 280 251.3 280 256V392C280 405.3 269.3 416 255.1 416C242.7 416 231.1 405.3 231.1 392L232 263.3zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464z"],
    "clock-five": [512, 512, [], "e349", "M280 248.7L339.1 338.7C347.3 349.7 344.3 364.6 333.3 371.1C322.3 379.3 307.4 376.3 300 365.3L236 269.3C233.4 265.4 232 260.7 232 256V120C232 106.7 242.7 96 256 96C269.3 96 280 106.7 280 120L280 248.7zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "clock-five-thirty": [512, 512, [], "e34a", "M280 392C280 405.3 269.3 416 256 416C242.7 416 232 405.3 232 392V256C232 245.4 238.9 236.1 249 233C259.2 229.1 270.1 233.9 275.1 242.7L339.1 338.7C347.3 349.7 344.3 364.6 333.3 371.1C322.3 379.3 307.4 376.3 300 365.3L280 335.3L280 392zM256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM464 256C464 141.1 370.9 48 256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256z"],
    "clock-four-thirty": [512, 512, [], "e34b", "M280 392C280 405.3 269.3 416 256 416C242.7 416 232 405.3 232 392V256C232 247.1 236.9 239 244.7 234.8C252.5 230.7 261.9 231.1 269.3 236L365.3 300C376.3 307.4 379.3 322.3 371.1 333.3C364.6 344.3 349.7 347.3 338.7 339.1L280 300.8L280 392zM256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM464 256C464 141.1 370.9 48 256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256z"],
    "clock-nine": [512, 512, [], "e34c", "M280 256C280 269.3 269.3 280 256 280H152C138.7 280 128 269.3 128 256C128 242.7 138.7 232 152 232H232V120C232 106.7 242.7 96 256 96C269.3 96 280 106.7 280 120V256zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "clock-nine-thirty": [512, 512, [], "e34d", "M280 392C280 405.3 269.3 416 256 416C242.7 416 232 405.3 232 392V280H152C138.7 280 128 269.3 128 256C128 242.7 138.7 232 152 232H256C269.3 232 280 242.7 280 256V392zM256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM464 256C464 141.1 370.9 48 256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256z"],
    "clock-one": [512, 512, [], "e34e", "M280 176.7L300 146.7C307.4 135.7 322.3 132.7 333.3 140C344.3 147.4 347.3 162.3 339.1 173.3L275.1 269.3C270.1 278.1 259.2 282 249 278.1C238.9 275.9 231.1 266.6 231.1 256V120C231.1 106.7 242.7 96 255.1 96C269.3 96 280 106.7 280 120L280 176.7zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "clock-one-thirty": [512, 512, [], "e34f", "M280 392C280 405.3 269.3 416 256 416C242.7 416 232 405.3 232 392V256C232 251.3 233.4 246.6 236 242.7L300 146.7C307.4 135.7 322.3 132.7 333.3 140C344.3 147.4 347.3 162.3 339.1 173.3L280 263.3L280 392zM256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM464 256C464 141.1 370.9 48 256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256z"],
    "clock-rotate-left": [512, 512, ["history"], "f1da", "M256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C203.8 512 155.2 496.4 114.7 469.5C103.7 462.2 100.7 447.3 107.1 436.3C115.3 425.2 130.2 422.2 141.3 429.5C174.1 451.3 213.5 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48C182.4 48 117.7 86.24 80.69 144H136C149.3 144 160 154.7 160 168C160 181.3 149.3 192 136 192H24C10.75 192 0 181.3 0 168V56C0 42.75 10.75 32 24 32C37.25 32 48 42.75 48 56V106.7C94.45 42.12 170.3 0 256 0H256zM256 128C269.3 128 280 138.7 280 152V246.1L344.1 311C354.3 320.4 354.3 335.6 344.1 344.1C335.6 354.3 320.4 354.3 311 344.1L239 272.1C234.5 268.5 232 262.4 232 256V152C232 138.7 242.7 128 256 128V128z"],
    "clock-seven": [512, 512, [], "e350", "M232 120C232 106.7 242.7 96 256 96C269.3 96 280 106.7 280 120V256C280 260.7 278.6 265.4 275.1 269.3L211.1 365.3C204.6 376.3 189.7 379.3 178.7 371.1C167.7 364.6 164.7 349.7 172 338.7L232 248.7L232 120zM256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48C141.1 48 48 141.1 48 256z"],
    "clock-seven-thirty": [512, 512, [], "e351", "M232 335.3L211.1 365.3C204.6 376.3 189.7 379.3 178.7 371.1C167.7 364.6 164.7 349.7 172 338.7L236 242.7C241.9 233.9 252.8 229.1 262.1 233C273.1 236.1 280 245.4 280 256V392C280 405.3 269.3 416 256 416C242.7 416 232 405.3 232 392L232 335.3zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464z"],
    "clock-six": [512, 512, [], "e352", "M280 360C280 373.3 269.3 384 256 384C242.7 384 232 373.3 232 360V120C232 106.7 242.7 96 256 96C269.3 96 280 106.7 280 120V360zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "clock-six-thirty": [512, 512, [], "e353", "M280 392C280 405.3 269.3 416 256 416C242.7 416 232 405.3 232 392V256C232 242.7 242.7 232 256 232C269.3 232 280 242.7 280 256V392zM256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM464 256C464 141.1 370.9 48 256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256z"],
    "clock-ten": [512, 512, [], "e354", "M232 120C232 106.7 242.7 96 256 96C269.3 96 280 106.7 280 120V256C280 264.9 275.1 272.1 267.3 277.2C259.5 281.3 250.1 280.9 242.7 275.1L146.7 211.1C135.7 204.6 132.7 189.7 140 178.7C147.4 167.7 162.3 164.7 173.3 172L231.1 211.2L232 120zM256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48C141.1 48 48 141.1 48 256z"],
    "clock-ten-thirty": [512, 512, [], "e355", "M280 392C280 405.3 269.3 416 256 416C242.7 416 232 405.3 232 392V268.8L146.7 211.1C135.7 204.6 132.7 189.7 140 178.7C147.4 167.7 162.3 164.7 173.3 172L269.3 236C275.1 240.5 280 247.1 280 256L280 392zM256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM464 256C464 141.1 370.9 48 256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256z"],
    "clock-three": [512, 512, [], "e356", "M232 120C232 106.7 242.7 96 256 96C269.3 96 280 106.7 280 120V232H360C373.3 232 384 242.7 384 256C384 269.3 373.3 280 360 280H256C242.7 280 232 269.3 232 256V120zM256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48C141.1 48 48 141.1 48 256z"],
    "clock-three-thirty": [512, 512, [], "e357", "M232 256C232 242.7 242.7 232 256 232H360C373.3 232 384 242.7 384 256C384 269.3 373.3 280 360 280H280V392C280 405.3 269.3 416 256 416C242.7 416 232 405.3 232 392V256zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464z"],
    "clock-twelve": [512, 512, [], "e358", "M280 256C280 269.3 269.3 280 256 280C242.7 280 232 269.3 232 256V120C232 106.7 242.7 96 256 96C269.3 96 280 106.7 280 120V256zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "clock-twelve-thirty": [512, 512, [], "e359", "M280 392C280 405.3 269.3 416 256 416C242.7 416 232 405.3 232 392V152C232 138.7 242.7 128 256 128C269.3 128 280 138.7 280 152V392zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "clock-two": [512, 512, [], "e35a", "M280 211.2L338.7 172C349.7 164.7 364.6 167.7 371.1 178.7C379.3 189.7 376.3 204.6 365.3 211.1L269.3 275.1C261.9 280.9 252.5 281.3 244.7 277.2C236.9 272.1 231.1 264.9 231.1 255.1V119.1C231.1 106.7 242.7 95.1 255.1 95.1C269.3 95.1 280 106.7 280 119.1L280 211.2zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "clock-two-thirty": [512, 512, [], "e35b", "M232 256C232 247.1 236 240.5 242.7 236L338.7 172C349.7 164.7 364.6 167.7 371.1 178.7C379.3 189.7 376.3 204.6 365.3 211.1L280 268.8V392C280 405.3 269.3 416 255.1 416C242.7 416 231.1 405.3 231.1 392L232 256zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464z"],
    "clone": [512, 512, [], "f24d", "M64 464H288C296.8 464 304 456.8 304 448V384H352V448C352 483.3 323.3 512 288 512H64C28.65 512 0 483.3 0 448V224C0 188.7 28.65 160 64 160H128V208H64C55.16 208 48 215.2 48 224V448C48 456.8 55.16 464 64 464zM160 64C160 28.65 188.7 0 224 0H448C483.3 0 512 28.65 512 64V288C512 323.3 483.3 352 448 352H224C188.7 352 160 323.3 160 288V64zM224 304H448C456.8 304 464 296.8 464 288V64C464 55.16 456.8 48 448 48H224C215.2 48 208 55.16 208 64V288C208 296.8 215.2 304 224 304z"],
    "closed-captioning": [576, 512, [], "f20a", "M512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM528 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h448c8.822 0 16 7.178 16 16V416zM236.5 222.1c9.375 9.375 24.56 9.375 33.94 0c9.375-9.375 9.375-24.56 0-33.94c-37.44-37.44-98.31-37.44-135.7 0C116.5 206.2 106.5 230.4 106.5 256s9.1 49.75 28.12 67.88c18.72 18.72 43.28 28.08 67.87 28.08s49.16-9.359 67.87-28.08c9.375-9.375 9.375-24.56 0-33.94c-9.375-9.375-24.56-9.375-33.94 0c-18.69 18.72-49.19 18.72-67.87 0C159.5 280.9 154.5 268.8 154.5 256s5-24.88 14.06-33.94C187.3 203.3 217.8 203.3 236.5 222.1zM428.5 222.1c9.375 9.375 24.56 9.375 33.94 0c9.375-9.375 9.375-24.56 0-33.94c-37.44-37.44-98.31-37.44-135.7 0C308.5 206.2 298.5 230.4 298.5 256s9.1 49.75 28.12 67.88c18.72 18.72 43.28 28.08 67.87 28.08s49.16-9.359 67.87-28.08c9.375-9.375 9.375-24.56 0-33.94c-9.375-9.375-24.56-9.375-33.94 0c-18.69 18.72-49.19 18.72-67.87 0C351.5 280.9 346.5 268.8 346.5 256s5-24.88 14.06-33.94C379.3 203.3 409.8 203.3 428.5 222.1z"],
    "closed-captioning-slash": [640, 512, [], "e135", "M96 432c-8.822 0-16-7.178-16-16V159.4L32 121.8v294.2c0 35.35 28.65 64 64 64l393.1 .0002L427.8 432H96zM630.8 469.1l-30.73-24.09C604.7 436.2 608 426.7 608 416V95.1c0-35.35-28.65-64-64-64L96 31.1c-6.646 0-12.96 1.176-18.96 3.073L38.81 5.111c-10.47-8.172-25.49-6.359-33.69 4.078C-3.051 19.63-1.233 34.72 9.189 42.89l591.1 463.1C605.6 510.3 610.8 512 615.1 512c7.125 0 14.16-3.162 18.89-9.193C643.1 492.4 641.2 477.3 630.8 469.1zM560 413.6l-91.51-71.73c9.318-4.539 18.2-10.27 25.93-18.01c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0c-11.55 11.57-27.47 15.11-42.47 12.38l-35.89-28.13c-2.336-5.701-3.577-11.85-3.577-18.19c0-12.81 5-24.88 14.06-33.94c18.69-18.72 49.19-18.72 67.88 0c9.375 9.375 24.56 9.375 33.94 0s9.375-24.56 0-33.94c-37.44-37.44-98.31-37.44-135.8 0c-13.2 13.2-21.95 29.62-25.81 47.45L306.9 215.3c4.213-8.904 2.85-19.77-4.517-27.14C284.3 170 260.8 161 237 160.5L134.4 80H544c8.822 0 16 7.178 16 16V413.6zM148.9 213.4C142.4 226.5 138.5 240.9 138.5 256c0 25.64 10 49.75 28.12 67.88c18.72 18.72 43.28 28.08 67.88 28.08c22.08 0 43.9-7.969 61.72-23.06L256.6 297.8c-18.11 9.52-40.82 7.335-56.01-7.88C191.5 280.9 186.5 268.8 186.5 256c0-4.053 .6732-7.98 1.644-11.81L148.9 213.4z"],
    "clothes-hanger": [640, 512, [], "e136", "M607.8 382.1l-248.2-161l22.5-15C413.3 185.3 432 150.4 432 112C432 50.25 381.8 0 320 0S208 50.25 208 112c0 13.25 10.75 24 24 24S256 125.3 256 112c0-35.28 28.72-64 64-64s64 28.72 64 64.91c0 21.44-10.66 41.34-28.5 53.25L31.47 382.2C11.78 395.3 0 417.3 0 441.3C0 480.3 31.69 512 70.66 512h498.7C608.3 512 640 480.3 640 441.3C640 417.3 627.1 395.2 607.8 382.1zM569.3 464H70.66C58.16 464 48 453.8 48 440.1c0-7.594 3.781-14.62 10.09-18.84l258-172l265.6 172.3C588.2 426.5 592 433.6 592 441.3C592 453.8 581.8 464 569.3 464z"],
    "cloud": [640, 512, [9729], "f0c2", "M512 479.8V480H144C64.47 480 0 415.5 0 336C0 273.3 40.07 219.1 96 200.2V200C96 107.2 171.2 32 264 32C314.9 32 360.4 54.6 391.3 90.31C406.2 83.68 422.6 80 440 80C506.3 80 560 133.7 560 200C560 206.6 559.5 213 558.5 219.3C606.5 240.3 640 288.3 640 344C640 416.4 583.4 475.6 512 479.8zM378.2 148.7L354.9 121.7C332.8 96.08 300.3 80 264 80C197.7 80 144 133.7 144 199.1L144 234.1L111.1 245.4C74.64 258.7 48 294.3 48 336C48 389 90.98 432 144 432H506.6L509.2 431.8C555.4 429.2 592 390.8 592 344C592 308 570.4 276.9 539.2 263.3L505.1 248.4L511.1 211.7C511.7 207.9 512 204 512 200C512 160.2 479.8 128 440 128C429.5 128 419.6 130.2 410.8 134.2L378.2 148.7zM144 199.1C144 199.1 144 199.1 144 199.1V199.1z"],
    "cloud-arrow-down": [640, 512, [62337, "cloud-download", "cloud-download-alt"], "f0ed", "M223 312.1C213.7 303.6 213.7 288.4 223 279C232.4 269.7 247.6 269.7 256.1 279L296 318.1V184C296 170.7 306.7 160 320 160C333.3 160 344 170.7 344 184V318.1L383 279C392.4 269.7 407.6 269.7 416.1 279C426.3 288.4 426.3 303.6 416.1 312.1L336.1 392.1C327.6 402.3 312.4 402.3 303 392.1L223 312.1zM144 480C64.47 480 0 415.5 0 336C0 273.3 40.07 219.1 96 200.2V200C96 107.2 171.2 32 264 32C314.9 32 360.4 54.6 391.3 90.31C406.2 83.68 422.6 80 440 80C506.3 80 560 133.7 560 200C560 206.6 559.5 213 558.5 219.3C606.5 240.3 640 288.3 640 344C640 416.4 583.4 475.6 512 479.8V480H144zM264 80C197.7 80 144 133.7 144 200L144 234.1L111.1 245.5C74.64 258.7 48 294.3 48 336C48 389 90.98 432 144 432H506.6L509.2 431.8C555.4 429.2 592 390.8 592 344C592 308 570.4 276.9 539.2 263.3L505.1 248.4L511.1 211.7C511.7 207.9 512 204 512 200C512 160.2 479.8 128 440 128C429.5 128 419.6 130.2 410.8 134.2L378.2 148.7L354.9 121.7C332.8 96.08 300.3 80 263.1 80L264 80z"],
    "cloud-arrow-up": [640, 512, [62338, "cloud-upload", "cloud-upload-alt"], "f0ee", "M303 175C312.4 165.7 327.6 165.7 336.1 175L416.1 255C426.3 264.4 426.3 279.6 416.1 288.1C407.6 298.3 392.4 298.3 383 288.1L344 249.9V384C344 397.3 333.3 408 320 408C306.7 408 296 397.3 296 384V249.9L256.1 288.1C247.6 298.3 232.4 298.3 223 288.1C213.7 279.6 213.7 264.4 223 255L303 175zM144 480C64.47 480 0 415.5 0 336C0 273.3 40.07 219.1 96 200.2V200C96 107.2 171.2 32 264 32C314.9 32 360.4 54.6 391.3 90.31C406.2 83.68 422.6 80 440 80C506.3 80 560 133.7 560 200C560 206.6 559.5 213 558.5 219.3C606.5 240.3 640 288.3 640 344C640 416.4 583.4 475.6 512 479.8V480H144zM264 80C197.7 80 144 133.7 144 200L144 234.1L111.1 245.5C74.64 258.7 48 294.3 48 336C48 389 90.98 432 144 432H506.6L509.2 431.8C555.4 429.2 592 390.8 592 344C592 308 570.4 276.9 539.2 263.3L505.1 248.4L511.1 211.7C511.7 207.9 512 204 512 200C512 160.2 479.8 128 440 128C429.5 128 419.6 130.2 410.8 134.2L378.2 148.7L354.9 121.7C332.8 96.08 300.3 80 263.1 80L264 80z"],
    "cloud-bolt": [512, 512, [127785, "thunderstorm"], "f76c", "M410.8 104.3C397.3 61.75 357.1 32 312 32c-13.5 0-26.75 2.625-39.25 7.75C250.3 14.5 218.4 0 184 0c-64 0-116.4 50.25-119.8 113.4C25.63 130.4 0 168.5 0 212C0 271.5 48.53 320 108.2 320h41.31l52.79-48H108C74.88 272 48 245.1 48 212C48 184 67.13 160 94.38 153.8l20.75-4.875L112.4 124C112.3 122.8 112 121.4 112 120c0-39.75 32.25-72 72-72c25.25 0 48.25 13.12 61.38 35.13l13.38 22.12l21-15C289.4 83.63 300.5 80 312 80c28.62 0 52.38 21.75 55.25 50.38L369.5 152H404c33.13 0 60 26.88 60 60S437.1 272 404 272h-56.48L327.7 320h76.18C463.5 320 512 271.5 512 212C512 154.8 467.1 107.8 410.8 104.3zM344 352h-64.09l43.69-105.9c2.875-6.906 .5313-14.88-5.594-19.19c-6.093-4.25-14.37-3.781-19.94 1.25l-140.8 128c-4.906 4.438-6.562 11.44-4.188 17.62C155.5 379.9 161.4 384 168 384h64.09l-43.69 105.9c-2.875 6.906-.5313 14.88 5.593 19.19C196.8 511 199.1 512 203.2 512c3.875 0 7.719-1.406 10.75-4.156l140.8-128c4.906-4.438 6.562-11.44 4.188-17.62C356.5 356.1 350.6 352 344 352z"],
    "cloud-bolt-moon": [576, 512, ["thunderstorm-moon"], "f76d", "M363.4 183.4C351.4 146.6 316.8 120 276 120c-3.125 0-6.125 .25-9.125 .5C245.3 104.8 219.3 96 192 96C139.6 96 94.38 127.3 74.75 173.3C31.38 187.3 0 228 0 276c0 47.53 30.94 87.46 73.61 101.9c-3.422-16.57 1.51-34 14.17-45.45C64.57 324.2 48 302 48 276c0-33.13 26.88-60 60-60c1.625 0 3.25 .375 4.75 .5C116.6 175.9 150.4 144 192 144c25.25 0 47.38 11.88 62.13 30.12C260.6 170.3 268 168 276 168C300.3 168 320 187.8 320 212c0 1.75-.25 3.375-.5 5.25C347.1 222.6 368 246.8 368 276c0 26.23-16.96 48.31-40.43 56.46c5.549 4.936 10.32 10.81 13.18 18.1c3.398 8.867 3.85 18.3 1.992 27.21C385.2 363.2 416 323.4 416 276C416 237.3 395.3 202.4 363.4 183.4zM567.9 223.8C497.6 237.1 432.9 183.5 432.9 113c0-40.63 21.88-78 57.5-98.13c5.5-3.125 4.125-11.38-2.125-12.5C479.7 .75 470.8 0 461.8 0c-63.82 0-117.1 41.42-136.4 98.44c28.26 12.28 51.46 34.72 64.13 63.87C425.9 188.4 448 230.9 448 276c0 3.541-.4102 6.977-.6699 10.45c4.844 .5195 9.488 1.424 14.47 1.424c44.63 0 85.51-20.12 112.5-53.25C578.6 229.8 574.2 222.6 567.9 223.8zM296 352H231.9l43.69-105.9c2.875-6.906 .5313-14.88-5.594-19.19C263.9 222.7 255.7 223.1 250.1 228.2l-140.8 128c-4.906 4.438-6.562 11.44-4.188 17.62C107.5 379.9 113.4 384 120 384h64.09l-43.69 105.9c-2.875 6.906-.5313 14.88 5.593 19.19C148.8 511 151.1 512 155.2 512c3.875 0 7.719-1.406 10.75-4.156l140.8-128c4.906-4.438 6.562-11.44 4.188-17.62C308.5 356.1 302.6 352 296 352z"],
    "cloud-bolt-sun": [640, 512, ["thunderstorm-sun"], "f76e", "M148 176c.0098 18.99 9.012 35.72 22.79 46.71c13.54-32.94 39.09-60.06 72.66-74.8c2.424-4.523 5.293-8.709 8.109-12.93C240.6 123.4 225.2 116 208 116C174.9 116 148 142.9 148 176zM162.5 250.1C137.1 235.5 120 207.9 120 176C120 127.4 159.4 88.01 208 88.01c23.74 0 45.2 9.502 61.03 24.79c10.82-11.24 23.32-20.62 36.88-28.22L300.4 83.59L286.9 8.637c-1.357-7.516-10.04-11.11-16.31-6.754L208 45.31L145.4 1.883C139.2-2.473 130.5 1.121 129.1 8.637L115.6 83.59l-74.94 13.55C33.12 98.5 29.53 107.2 33.88 113.4L77.28 176L33.88 238.6C29.53 244.8 33.12 253.5 40.64 254.9l74.94 13.55l13.54 74.96c1.357 7.516 10.04 11.11 16.31 6.754l26.59-18.46C164.5 314.5 160 295.8 160 276C160 267.5 161 259.1 162.5 250.1zM555.4 183.4C543.4 146.6 508.8 120 468 120c-3.125 0-6.125 .25-9.125 .5C437.3 104.8 411.3 96 384 96c-52.38 0-97.63 31.25-117.3 77.25C223.4 187.3 192 228 192 276c0 47.52 30.93 87.45 73.6 101.9c-3.434-16.45 1.475-33.93 14.14-45.41C256.5 324.2 240 302 240 276c0-33.13 26.88-60 60-60c1.625 0 3.25 .375 4.75 .5C308.6 175.9 342.4 144 384 144c25.25 0 47.38 11.88 62.13 30.12C452.6 170.3 460 168 468 168C492.3 168 512 187.8 512 212c0 1.75-.25 3.375-.5 5.25C539.1 222.6 560 246.8 560 276c0 26.27-17.02 48.38-40.54 56.49c5.658 4.988 10.51 10.93 13.32 18.2c3.387 8.775 3.84 18.18 1.979 27.08C577.2 363.2 608 323.4 608 276C608 237.3 587.3 202.4 555.4 183.4zM488 352h-64.09l43.69-105.9c2.844-6.906 .5156-14.88-5.609-19.19c-6.094-4.281-14.39-3.75-19.95 1.25l-140.8 128c-4.891 4.438-6.547 11.44-4.156 17.62C299.5 379.9 305.4 384 312 384h64.09l-43.69 105.9c-2.844 6.906-.5156 14.88 5.609 19.19C340.8 511 344 512 347.2 512c3.875 0 7.734-1.406 10.77-4.156l140.8-128c4.891-4.438 6.547-11.44 4.156-17.62C500.5 356.1 494.6 352 488 352z"],
    "cloud-check": [640, 512, [], "e35c", "M307.8 371.8C296.9 382.7 279.1 382.7 268.2 371.8L204.2 307.8C193.3 296.9 193.3 279.1 204.2 268.2C215.1 257.3 232.9 257.3 243.8 268.2L288 312.4L396.2 204.2C407.1 193.3 424.9 193.3 435.8 204.2C446.7 215.1 446.7 232.9 435.8 243.8L307.8 371.8zM144 480C64.47 480 0 415.5 0 336C0 273.3 40.07 219.1 96 200.2V200C96 107.2 171.2 32 264 32C314.9 32 360.4 54.6 391.3 90.31C406.2 83.68 422.6 80 440 80C506.3 80 560 133.7 560 200C560 206.6 559.5 213 558.5 219.3C606.5 240.3 640 288.3 640 344C640 416.4 583.4 475.6 512 479.8V480H144zM264 80C197.7 80 144 133.7 144 200L144 234.1L111.1 245.5C74.64 258.7 48 294.3 48 336C48 389 90.98 432 144 432H506.6L509.2 431.8C555.4 429.2 592 390.8 592 344C592 308 570.4 276.9 539.2 263.3L505.1 248.4L511.1 211.7C511.7 207.9 512 204 512 200C512 160.2 479.8 128 440 128C429.5 128 419.6 130.2 410.8 134.2L378.2 148.7L354.9 121.7C332.8 96.08 300.3 80 263.1 80L264 80z"],
    "cloud-drizzle": [512, 512, [], "f738", "M410.8 104.3C397.3 61.75 357.1 32 312 32c-13.5 0-26.75 2.625-39.25 7.75C250.3 14.5 218.4 0 184 0c-64 0-116.4 50.25-119.8 113.4C25.63 130.4 0 168.5 0 212C0 271.5 48.38 320 108 320h296C463.6 320 512 271.5 512 212C512 154.8 467.1 107.8 410.8 104.3zM404 272h-296C74.88 272 48 245.1 48 212C48 184 67.13 160 94.38 153.8l20.88-4.875L112.4 124C112.3 122.8 112 121.4 112 120c0-39.75 32.25-72 72-72c25.25 0 48.25 13.12 61.38 35.13l13.38 22.12l21-15C289.4 83.63 300.5 80 312 80c28.62 0 52.38 21.75 55.25 50.38L369.5 152H404c33.13 0 60 26.88 60 60S437.1 272 404 272zM352 424c-13.25 0-24 10.75-24 24v40c0 13.25 10.75 24 24 24s24-10.75 24-24V448C376 434.8 365.3 424 352 424zM448 352c-13.25 0-24 10.75-24 24V416c0 13.25 10.75 24 24 24s24-10.75 24-24v-40C472 362.8 461.3 352 448 352zM160 424c-13.25 0-24 10.75-24 24v40C136 501.3 146.8 512 160 512s24-10.75 24-24V448C184 434.8 173.3 424 160 424zM64 352c-13.25 0-24 10.75-24 24V416c0 13.25 10.75 24 24 24S88 429.3 88 416v-40C88 362.8 77.25 352 64 352zM256 352c-13.25 0-24 10.75-24 24V416c0 13.25 10.75 24 24 24s24-10.75 24-24v-40C280 362.8 269.3 352 256 352z"],
    "cloud-exclamation": [640, 512, [], "e491", "M320 160C333.3 160 344 170.7 344 184V296C344 309.3 333.3 320 320 320C306.7 320 296 309.3 296 296V184C296 170.7 306.7 160 320 160zM352 384C352 401.7 337.7 416 320 416C302.3 416 288 401.7 288 384C288 366.3 302.3 352 320 352C337.7 352 352 366.3 352 384zM144 480C64.47 480 0 415.5 0 336C0 273.3 40.07 219.1 96 200.2V200C96 107.2 171.2 32 264 32C314.9 32 360.4 54.6 391.3 90.31C406.2 83.68 422.6 80 440 80C506.3 80 560 133.7 560 200C560 206.6 559.5 213 558.5 219.3C606.5 240.3 640 288.3 640 344C640 416.4 583.4 475.6 512 479.8V480H144zM264 80C197.7 80 144 133.7 144 200L144 234.1L111.1 245.5C74.64 258.7 48 294.3 48 336C48 389 90.98 432 144 432H506.6L509.2 431.8C555.4 429.2 592 390.8 592 344C592 308 570.4 276.9 539.2 263.3L505.1 248.4L511.1 211.7C511.7 207.9 512 204 512 200C512 160.2 479.8 128 440 128C429.5 128 419.6 130.2 410.8 134.2L378.2 148.7L354.9 121.7C332.8 96.08 300.3 80 263.1 80L264 80z"],
    "cloud-fog": [640, 512, [127787, "fog"], "f74e", "M200 464H87.1C74.8 464 64 474.8 64 487.1S74.8 512 87.1 512H200C213.2 512 224 501.2 224 488S213.2 464 200 464zM616 464H295.1C282.8 464 272 474.8 272 487.1S282.8 512 295.1 512H616c13.2 0 24-10.8 24-23.1S629.2 464 616 464zM576 400C576 386.8 565.2 376 552 376h-528C10.8 376 0 386.8 0 399.1C0 413.2 10.8 424 23.1 424h528C565.2 424 576 413.2 576 400zM172 320h296C527.6 320 576 271.5 576 212c0-57.25-44.88-104.2-101.2-107.8C461.2 61.75 421.1 32 376 32c-13.5 0-26.75 2.625-39.25 7.75C314.2 14.5 282.4 0 248 0c-64 0-116.4 50.25-119.8 113.4C89.62 130.4 64 168.5 64 212C64 271.5 112.4 320 172 320zM158.4 153.8L179.2 148.9L176.4 124C176.2 122.8 176 121.4 176 120c0-39.75 32.25-72 72-72c25.25 0 48.25 13.12 61.38 35.12l13.38 22.12l21-15C353.4 83.62 364.5 80 376 80c28.62 0 52.38 21.75 55.25 50.38L433.5 152H468c33.13 0 60 26.88 60 60S501.1 272 468 272h-296C138.9 272 112 245.1 112 212C112 184 131.1 160 158.4 153.8z"],
    "cloud-hail": [512, 512, [], "f739", "M384 352c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S401.8 352 384 352zM192 448c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S209.8 448 192 448zM320 448c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S337.8 448 320 448zM256 352c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S273.8 352 256 352zM64 448c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S81.75 448 64 448zM128 352c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S145.8 352 128 352zM410.8 104.2C397.2 61.75 357.1 32 312 32c-13.5 0-26.75 2.625-39.25 7.75C250.2 14.5 218.4 0 184 0c-64 0-116.4 50.25-119.8 113.4C25.62 130.4 0 168.5 0 212C0 271.5 48.38 320 108 320h296C463.6 320 512 271.5 512 212C512 154.8 467.1 107.8 410.8 104.2zM404 272h-296C74.88 272 48 245.1 48 212C48 184 67.12 160 94.38 153.8L115.2 148.9L112.4 124C112.2 122.8 112 121.4 112 120c0-39.75 32.25-72 72-72c25.25 0 48.25 13.12 61.38 35.12l13.38 22.12l21-15C289.4 83.62 300.5 80 312 80c28.62 0 52.38 21.75 55.25 50.38L369.5 152H404c33.13 0 60 26.88 60 60S437.1 272 404 272z"],
    "cloud-hail-mixed": [512, 512, [], "f73a", "M32 448c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S49.75 448 32 448zM410.8 104.3C397.3 61.75 357.1 32 312 32c-13.5 0-26.75 2.625-39.25 7.75C250.3 14.5 218.4 0 184 0c-64 0-116.4 50.25-119.8 113.4C25.63 130.4 0 168.5 0 212C0 271.5 48.38 320 108 320h296C463.6 320 512 271.5 512 212C512 154.8 467.1 107.8 410.8 104.3zM404 272h-296C74.88 272 48 245.1 48 212C48 184 67.13 160 94.38 153.8l20.88-4.875L112.4 124C112.3 122.8 112 121.4 112 120c0-39.75 32.25-72 72-72c25.25 0 48.25 13.12 61.38 35.13l13.38 22.12l21-15C289.4 83.63 300.5 80 312 80c28.62 0 52.38 21.75 55.25 50.38L369.5 152H404c33.13 0 60 26.88 60 60S437.1 272 404 272zM256 448c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S273.8 448 256 448zM198.8 353.9c-12.17-5.219-26.3 .4062-31.52 12.59l-48 112c-5.219 12.19 .4219 26.31 12.61 31.53C134.1 511.4 138.2 512 141.3 512c9.312 0 18.17-5.438 22.08-14.53l48-112C216.6 373.3 210.1 359.2 198.8 353.9zM81.45 353.9c-12.19-5.219-26.3 .4062-31.52 12.59l-8 18.66c-5.219 12.19 .4219 26.31 12.61 31.53c3.078 1.312 6.281 1.938 9.438 1.938c9.312 0 18.17-5.438 22.08-14.53l8-18.66C99.28 373.3 93.64 359.2 81.45 353.9zM305.5 353.9c-12.19-5.219-26.3 .4062-31.52 12.59l-8 18.66c-5.219 12.19 .4219 26.31 12.61 31.53c3.078 1.312 6.281 1.938 9.438 1.938c9.312 0 18.17-5.438 22.08-14.53l8-18.66C323.3 373.3 317.6 359.2 305.5 353.9zM433.5 353.9c-12.16-5.219-26.28 .4062-31.52 12.59l-48 112c-5.219 12.19 .4219 26.31 12.61 31.53C369.6 511.4 372.8 512 375.1 512c9.312 0 18.17-5.438 22.08-14.53l48-112C451.3 373.3 445.6 359.2 433.5 353.9z"],
    "cloud-meatball": [576, 512, [], "f73b", "M384.5 375.6l-16.75-8.748l5.75-17.1c6.125-19.12-7.501-35.87-25.25-35.87c-6 0-8.5 1.25-27.12 7.124l-8.75-16.75c-10.75-20.62-38.13-20.62-48.75 0l-8.75 16.75C237.2 314.4 234.1 312.9 227.8 312.9c-17.75 0-31.38 16.75-25.25 35.87l5.75 17.1l-16.75 8.748c-20.5 10.62-20.75 37.99 0 48.74l16.75 8.748l-5.75 17.1c-6.25 19.87 8.625 36.37 26.12 36.37c3.625 0 12.5-3.249 26.25-7.624l8.75 16.75c10.75 20.62 38.13 20.62 48.75 0l8.75-16.75c13.88 4.374 22.63 7.624 26.25 7.624c17.62 0 32.38-16.37 26.12-36.37l-5.75-17.1l16.75-8.748C405.2 413.5 405.1 386.2 384.5 375.6zM576 255.1c0-59.24-41.5-110.1-97.63-123.7c-9.5-56.86-59-100.2-118.4-100.2c-12.75 0-25.62 2.247-38 6.496C293.6 13.5 257.1 0 220 0C137.8 0 70.12 64.11 64.38 144.1C24.75 167.6 0 209.6 0 255.1c0 70.61 57.38 127.1 128 127.1h18.5c3.75-13.12 12-24.75 23.75-32.74c-1-5.124-1.125-10.25-.875-15.25H128c-44.12 0-80-35.87-80-79.99c0-32.49 19.38-61.49 49.62-73.86L113.2 175.7L112.4 158.7C112.2 157.3 112.2 155.1 112 155.1c0-59.49 48.38-107.1 108-107.1c30.12 0 58.25 12.37 79.13 34.99l12.25 13.25l16.25-8.124c49-24.87 103.5 12.62 104.4 62.49L429.2 174.7l24.88 1.875C495.6 179.7 528 214.6 528 255.8c0 44.12-35.88 79.99-80 79.99h-41.38c.25 4.999 .125 10.12-.75 15.25c11.75 7.999 19.88 19.62 23.75 32.74H448C518.6 383.9 576 326.6 576 255.1zM64 415.9c-17.75 0-32 14.25-32 31.99c0 17.75 14.25 31.99 32 31.99s32-14.25 32-31.99C96 430.2 81.75 415.9 64 415.9zM512 415.9c-17.75 0-32 14.25-32 31.99c0 17.75 14.25 31.99 32 31.99s32-14.25 32-31.99C544 430.2 529.8 415.9 512 415.9z"],
    "cloud-minus": [640, 512, [], "e35d", "M408 264C421.3 264 432 274.7 432 288C432 301.3 421.3 312 408 312H232C218.7 312 208 301.3 208 288C208 274.7 218.7 264 232 264H408zM144 480C64.47 480 0 415.5 0 336C0 273.3 40.07 219.1 96 200.2V200C96 107.2 171.2 32 264 32C314.9 32 360.4 54.6 391.3 90.31C406.2 83.68 422.6 80 440 80C506.3 80 560 133.7 560 200C560 206.6 559.5 213 558.5 219.3C606.5 240.3 640 288.3 640 344C640 416.4 583.4 475.6 512 479.8V480H144zM264 80C197.7 80 144 133.7 144 200L144 234.1L111.1 245.5C74.64 258.7 48 294.3 48 336C48 389 90.98 432 144 432H506.6L509.2 431.8C555.4 429.2 592 390.8 592 344C592 308 570.4 276.9 539.2 263.3L505.1 248.4L511.1 211.7C511.7 207.9 512 204 512 200C512 160.2 479.8 128 440 128C429.5 128 419.6 130.2 410.8 134.2L378.2 148.7L354.9 121.7C332.8 96.08 300.3 80 263.1 80L264 80z"],
    "cloud-moon": [576, 512, [], "f6c3", "M566.5 261.1C484 276.6 408.2 214.1 408.2 131.8c0-47.39 25.68-90.97 67.44-114.5c6.436-3.609 4.816-13.25-2.492-14.58C464.7 1.25 450.7 0 442.1 0C348.2 0 272 75.14 272 168c0 .5703 .1641 1.094 .1699 1.662c3.479 2.164 7.135 4.008 10.46 6.432C284.4 176 286.2 176 288 176c61.69 0 115.7 42.47 131.3 100.1c20.34 14.92 36.18 34.78 46.64 57.19c42.93-5.99 81.37-27.71 108.2-60.36C578.9 268.1 573.8 259.7 566.5 261.1zM390.8 296.4C383.3 246.4 340 208 288 208c-5.125 0-10.25 .375-15.25 1.125C248.5 188 217.3 176 184 176c-64 0-118.3 45.25-132.4 105.3C19.63 305.1 0 343 0 384c0 70.63 57.38 128 128 128h204c64 0 116-52 116-116C448 354.3 425.3 316.8 390.8 296.4zM332 464H128c-44.25 0-80-35.75-80-80c0-32.75 19.75-61 48.13-73.25C96.75 262.8 135.8 224 184 224c31.25 0 58.38 16.25 74.13 40.75c8.625-5.5 18.87-8.75 29.87-8.75C318.9 255.1 344 281.1 344 312c0 5.875-1.25 11.5-2.875 16.88C374.3 333.4 400 361.5 400 396C400 433.6 369.5 464 332 464z"],
    "cloud-moon-rain": [576, 512, [], "f73c", "M148 426.7l-32 48c-7.344 11.03-4.375 25.94 6.657 33.28C126.8 510.7 131.4 512 135.1 512c7.75 0 15.38-3.75 20-10.69l32-48c7.344-11.03 4.375-25.94-6.657-33.28C170.3 412.7 155.4 415.7 148 426.7zM244 426.7l-32 48c-7.344 11.03-4.375 25.94 6.657 33.28C222.8 510.7 227.4 512 231.1 512c7.75 0 15.38-3.75 20-10.69l32-48c7.344-11.03 4.375-25.94-6.657-33.28C266.3 412.7 251.4 415.7 244 426.7zM340.1 426.7l-32 48c-7.344 11.03-4.375 25.94 6.657 33.28C318.8 510.7 323.4 512 327.1 512c7.75 0 15.38-3.75 20-10.69l32-48c7.344-11.03 4.375-25.94-6.657-33.28C362.3 412.7 347.4 415.7 340.1 426.7zM363.4 183.4C351.4 146.6 316.8 120 276 120c-3.125 0-6.125 .25-9.125 .5C245.3 104.8 219.3 96 192 96C139.6 96 94.38 127.3 74.75 173.3C31.38 187.3 0 228 0 276C0 335.6 48.38 384 108 384h200C367.6 384 416 335.6 416 276C416 237.3 395.3 202.4 363.4 183.4zM308 336h-200C74.88 336 48 309.1 48 276S74.88 216 108 216c1.625 0 3.25 .375 4.75 .5C116.6 175.9 150.4 144 192 144c25.25 0 47.38 11.88 62.13 30.12C260.6 170.3 268 168 276 168C300.3 168 320 187.8 320 212c0 1.75-.25 3.375-.5 5.25C347.1 222.6 368 246.8 368 276C368 309.1 341.1 336 308 336zM567.9 223.8C497.6 237.1 432.9 183.5 432.9 113c0-40.63 21.88-78 57.5-98.13c5.5-3.125 4.077-11.37-2.173-12.5C479.6 .7538 470.8 0 461.8 0c-63.82 0-117.2 41.42-136.4 98.44c28.26 12.28 51.46 34.72 64.13 63.87C425.9 188.4 448 230.9 448 276c0 3.541-.4102 6.977-.6699 10.45c4.844 .5195 9.533 1.446 14.52 1.446c44.63 0 85.46-20.15 112.5-53.27C578.6 229.8 574.2 222.6 567.9 223.8zM52.03 426.7l-32 48c-7.344 11.03-4.375 25.94 6.657 33.28C30.78 510.7 35.41 512 39.97 512c7.75 0 15.38-3.75 20-10.69l32-48c7.344-11.03 4.375-25.94-6.657-33.28C74.26 412.7 59.41 415.7 52.03 426.7z"],
    "cloud-music": [640, 512, [], "f8ae", "M416 336C416 358.1 394.5 376 368 376C341.5 376 320 358.1 320 336C320 313.9 341.5 296 368 296C373.6 296 378.1 296.8 384 298.3V239.1L288 275.1V368C288 390.1 266.5 408 240 408C213.5 408 192 390.1 192 368C192 345.9 213.5 328 240 328C245.6 328 250.1 328.8 256 330.3V243.1C256 229.7 264.3 217.8 276.8 213.1L372.8 177.1C393.7 169.3 416 184.7 416 207.1V336zM144 480C64.47 480 0 415.5 0 336C0 273.3 40.07 219.1 96 200.2V200C96 107.2 171.2 32 264 32C314.9 32 360.4 54.6 391.3 90.31C406.2 83.68 422.6 80 440 80C506.3 80 560 133.7 560 200C560 206.6 559.5 213 558.5 219.3C606.5 240.3 640 288.3 640 344C640 416.4 583.4 475.6 512 479.8V480H144zM264 80C197.7 80 144 133.7 144 200L144 234.1L111.1 245.5C74.64 258.7 48 294.3 48 336C48 389 90.98 432 144 432H506.6L509.2 431.8C555.4 429.2 592 390.8 592 344C592 308 570.4 276.9 539.2 263.3L505.1 248.4L511.1 211.7C511.7 207.9 512 204 512 200C512 160.2 479.8 128 440 128C429.5 128 419.6 130.2 410.8 134.2L378.2 148.7L354.9 121.7C332.8 96.08 300.3 80 263.1 80L264 80z"],
    "cloud-plus": [640, 512, [], "e35e", "M296 376V312H232C218.7 312 208 301.3 208 288C208 274.7 218.7 264 232 264H296V200C296 186.7 306.7 176 320 176C333.3 176 344 186.7 344 200V264H408C421.3 264 432 274.7 432 288C432 301.3 421.3 312 408 312H344V376C344 389.3 333.3 400 320 400C306.7 400 296 389.3 296 376zM144 480C64.47 480 0 415.5 0 336C0 273.3 40.07 219.1 96 200.2V200C96 107.2 171.2 32 264 32C314.9 32 360.4 54.6 391.3 90.31C406.2 83.68 422.6 80 440 80C506.3 80 560 133.7 560 200C560 206.6 559.5 213 558.5 219.3C606.5 240.3 640 288.3 640 344C640 416.4 583.4 475.6 512 479.8V480H144zM264 80C197.7 80 144 133.7 144 200L144 234.1L111.1 245.5C74.64 258.7 48 294.3 48 336C48 389 90.98 432 144 432H506.6L509.2 431.8C555.4 429.2 592 390.8 592 344C592 308 570.4 276.9 539.2 263.3L505.1 248.4L511.1 211.7C511.7 207.9 512 204 512 200C512 160.2 479.8 128 440 128C429.5 128 419.6 130.2 410.8 134.2L378.2 148.7L354.9 121.7C332.8 96.08 300.3 80 263.1 80L264 80z"],
    "cloud-question": [640, 512, [], "e492", "M233.8 197.3C241.8 174.9 262.9 160 286.6 160H344.9C379.7 160 408 188.3 408 223.1C408 245.8 395.9 266.7 376.3 277.9L343.1 296.4C343.8 309.5 333.1 319.1 320 319.1C306.7 319.1 296 309.3 296 295.1V282.5C296 273.9 300.6 266 308.1 261.7L352.4 236.3C357.1 233.6 360 228.6 360 223.1C360 214.8 353.2 207.1 344.9 207.1H286.6C283.2 207.1 280.2 210.1 279.1 213.3L278.6 214.6C274.2 227.1 260.5 233.6 247.1 229.2C235.5 224.7 228.9 211 233.4 198.5L233.8 197.3zM352 384C352 401.7 337.7 416 320 416C302.3 416 288 401.7 288 384C288 366.3 302.3 352 320 352C337.7 352 352 366.3 352 384zM144 480C64.47 480 0 415.5 0 336C0 273.3 40.07 219.1 96 200.2V200C96 107.2 171.2 32 264 32C314.9 32 360.4 54.6 391.3 90.31C406.2 83.68 422.6 80 440 80C506.3 80 560 133.7 560 200C560 206.6 559.5 213 558.5 219.3C606.5 240.3 640 288.3 640 344C640 416.4 583.4 475.6 512 479.8V480H144zM264 80C197.7 80 144 133.7 144 200L144 234.1L111.1 245.5C74.64 258.7 48 294.3 48 336C48 389 90.98 432 144 432H506.6L509.2 431.8C555.4 429.2 592 390.8 592 344C592 308 570.4 276.9 539.2 263.3L505.1 248.4L511.1 211.7C511.7 207.9 512 204 512 200C512 160.2 479.8 128 440 128C429.5 128 419.6 130.2 410.8 134.2L378.2 148.7L354.9 121.7C332.8 96.08 300.3 80 263.1 80L264 80z"],
    "cloud-rain": [512, 512, [127783, 9926], "f73d", "M410.8 104.3C397.3 61.75 357.1 32 312 32c-13.5 0-26.75 2.625-39.25 7.75C250.3 14.5 218.4 0 184 0c-64 0-116.4 50.25-119.8 113.4C25.63 130.4 0 168.5 0 212C0 271.5 48.38 320 108 320h296C463.6 320 512 271.5 512 212C512 154.8 467.1 107.8 410.8 104.3zM404 272h-296C74.88 272 48 245.1 48 212C48 184 67.13 160 94.38 153.8l20.88-4.875L112.4 124C112.3 122.8 112 121.4 112 120c0-39.75 32.25-72 72-72c25.25 0 48.25 13.12 61.38 35.13l13.38 22.12l21-15C289.4 83.63 300.5 80 312 80c28.62 0 52.38 21.75 55.25 50.38L369.5 152H404c33.13 0 60 26.88 60 60S437.1 272 404 272zM368 464c0 26.51 21.49 48 48 48s48-21.49 48-48s-48.01-95.1-48.01-95.1S368 437.5 368 464zM48 464C48 490.5 69.49 512 96 512s48-21.49 48-48s-48.01-95.1-48.01-95.1S48 437.5 48 464zM208 464c0 26.51 21.49 48 48 48s48-21.49 48-48s-48.01-95.1-48.01-95.1S208 437.5 208 464z"],
    "cloud-rainbow": [576, 512, [], "f73e", "M560.6 48.01C569.3 47.64 576 40.89 576 32.26V16.13c0-8.1-7.625-16.49-16.62-16.12c-140.1 5.1-260.9 87.25-323.5 204.2C220 196.4 202.4 192 184 192c-64 0-116.4 50.25-119.8 113.4C25.62 322.4 0 360.5 0 404C0 463.5 48.38 512 108 512h296C463.6 512 512 463.5 512 404c0-38.5-20.38-71.87-50.75-91.12c23.63-30.62 59-51.1 99.63-56.12C569.3 255.8 576 249.3 576 240.8V224.8c0-9.25-7.75-16.1-16.75-16.12c-61 5.25-113.9 39.12-145.5 87.87c-1-.125-2-.375-3-.5c-5.625-17.75-16-33.12-29.38-45.25c41.25-55.1 105.8-93.87 179.4-98.5C569.3 151.8 576 145.1 576 136.5V120.5c0-9.125-7.625-16.75-16.75-16.25c-91 5.25-170.6 52.1-220 123.5C330.5 225.3 321.4 223.8 312 223.8c-12 0-23.75 2.5-35 6.5C331.2 126.5 436.9 53.64 560.6 48.01zM312 272c28.62 0 52.38 21.75 55.25 50.37l2.25 21.62H404c33.13 0 60 26.87 60 59.1s-26.88 59.1-60 59.1h-296c-33.12 0-60-26.87-60-59.1c0-27.1 19.12-51.1 46.38-58.25l20.87-4.875L112.4 316C112.2 314.8 112 313.4 112 312c0-39.75 32.25-71.1 72-71.1c25.25 0 48.25 13.12 61.38 35.12l13.38 22.12l21-14.1C289.4 275.6 300.5 272 312 272z"],
    "cloud-showers": [512, 512, [], "f73f", "M410.8 104.3C397.3 61.75 358 32 312 32c-13.5 0-26.75 2.625-39.25 7.75C250.3 14.5 218.4 0 184 0c-64 0-116.4 50.25-119.8 113.4C25.63 130.4 0 168.5 0 212C0 271.5 48.38 320 108 320h296C463.6 320 512 271.5 512 212C512 154.8 467.1 107.8 410.8 104.3zM404 272h-296C74.88 272 48 245.1 48 212C48 184 67.13 160 94.38 153.8l20.88-4.875L112.4 124C112.3 122.8 112 121.4 112 120c0-39.75 32.25-72 72-72c25.25 0 48.25 13.12 61.38 35.13l13.38 22.12l21-15C289.4 83.63 300.5 80 312 80c28.62 0 52.38 21.75 55.25 50.38L369.5 152H404c33.13 0 60 26.88 60 60S437.1 272 404 272zM200 384c-13.25 0-24 10.75-24 24v80C176 501.3 186.8 512 200 512S224 501.3 224 488v-80C224 394.8 213.3 384 200 384zM104 352c-13.25 0-24 10.75-24 24v80C80 469.3 90.75 480 104 480S128 469.3 128 456v-80C128 362.8 117.3 352 104 352zM296 352c-13.25 0-24 10.75-24 24v80c0 13.25 10.75 24 24 24S320 469.3 320 456v-80C320 362.8 309.3 352 296 352zM392 384c-13.25 0-24 10.75-24 24v80c0 13.25 10.75 24 24 24S416 501.3 416 488v-80C416 394.8 405.3 384 392 384z"],
    "cloud-showers-heavy": [512, 512, [], "f740", "M410.8 104.3C397.3 61.75 358 32 312 32c-13.5 0-26.75 2.625-39.25 7.75C250.3 14.5 218.4 0 184 0c-64 0-116.4 50.25-119.8 113.4C25.63 130.4 0 168.5 0 212C0 271.5 48.38 320 108 320h296C463.6 320 512 271.5 512 212C512 154.8 467.1 107.8 410.8 104.3zM404 272h-296C74.88 272 48 245.1 48 212C48 184 67.13 160 94.38 153.8l20.75-4.875L112.4 124C112.3 122.8 112 121.4 112 120c0-39.75 32.25-72 72-72c25.25 0 48.25 13.12 61.38 35.13l13.38 22.12l21-15C289.4 83.63 300.5 80 312 80c28.62 0 52.38 21.75 55.25 50.38L369.5 152H404c33.13 0 60 26.88 60 60S437.1 272 404 272zM198.8 353.9c-12.17-5.219-26.3 .4062-31.52 12.59l-47.1 112c-5.219 12.19 .4217 26.31 12.61 31.53C134.1 511.4 138.2 512 141.3 512c9.312 0 18.17-5.438 22.08-14.53l47.1-112C216.6 373.3 210.1 359.2 198.8 353.9zM81.46 353.9c-12.19-5.219-26.3 .4062-31.52 12.59l-47.1 112c-5.219 12.19 .4217 26.31 12.61 31.53C17.63 511.4 20.83 512 23.99 512c9.312 0 18.17-5.438 22.08-14.53l47.1-112C99.29 373.3 93.65 359.2 81.46 353.9zM316.1 353.9c-12.19-5.219-26.3 .4062-31.52 12.59l-47.1 112c-5.219 12.19 .4218 26.31 12.61 31.53C252.3 511.4 255.5 512 258.7 512c9.312 0 18.17-5.438 22.08-14.53l47.1-112C333.1 373.3 328.3 359.2 316.1 353.9zM433.5 353.9c-12.17-5.219-26.28 .4062-31.52 12.59l-47.1 112c-5.219 12.19 .4218 26.31 12.61 31.53C369.6 511.4 372.8 512 375.1 512c9.312 0 18.17-5.438 22.08-14.53l47.1-112C451.3 373.3 445.6 359.2 433.5 353.9z"],
    "cloud-showers-water": [576, 512, [], "e4e4", "M331.1 36.87C340.1 33.72 349.9 32 360 32C395.2 32 425.6 52.68 439.6 82.55C480.2 85.86 512 119.8 512 161.1C512 204.7 476.7 239.1 433.1 239.1H142.9C99.31 239.1 64 204.7 64 161.1C64 118.6 97.76 83.85 139.1 82.34C152.1 34.87 196.4 0 248 0C280.1 0 310.6 14.25 331.1 36.87H331.1zM182.7 130.3H142.9C125.8 130.3 112 144.1 112 161.1C112 178.2 125.8 191.1 142.9 191.1H433.1C450.2 191.1 464 178.2 464 161.1C464 144.1 450.2 130.3 433.1 130.3H403.2L399.1 111.4C395.2 93.44 379.1 80 360 80C351.6 80 343.8 82.58 337.4 87.01L316.2 101.6L303.1 79.46C291.9 60.57 271.4 48 248 48C214.1 48 186.3 74.43 184.1 107.8L182.7 130.3zM84.58 388.3C77.76 399.7 63.02 403.4 51.65 396.6C40.29 389.8 36.6 375 43.42 363.7L91.42 283.7C98.24 272.3 112.1 268.6 124.3 275.4C135.7 282.2 139.4 296.1 132.6 308.3L84.58 388.3zM460.3 275.4C471.7 282.2 475.4 296.1 468.6 308.3L420.6 388.3C413.8 399.7 399 403.4 387.7 396.6C376.3 389.8 372.6 375 379.4 363.7L427.4 283.7C434.2 272.3 448.1 268.6 460.3 275.4zM196.6 388.3C189.8 399.7 175 403.4 163.7 396.6C152.3 389.8 148.6 375 155.4 363.7L203.4 283.7C210.2 272.3 224.1 268.6 236.3 275.4C247.7 282.2 251.4 296.1 244.6 308.3L196.6 388.3zM348.3 275.4C359.7 282.2 363.4 296.1 356.6 308.3L308.6 388.3C301.8 399.7 287 403.4 275.7 396.6C264.3 389.8 260.6 375 267.4 363.7L315.4 283.7C322.2 272.3 336.1 268.6 348.3 275.4zM191.1 464C220.8 464 250.5 448.7 272 430.1C281.1 421.1 294.9 421.1 303.1 430.1C325.5 448.7 355.1 464 383.1 464C412.8 464 442.5 448.7 464 430.1C473.1 421.1 486.8 421.1 495.9 430.1C512.9 445.1 535.2 456.9 557.2 461.8C570.1 464.7 578.3 477.5 575.4 490.5C572.5 503.4 559.6 511.5 546.7 508.6C518 502.2 494.4 488.2 479.1 478.2C451.9 497.7 418.6 512 383.1 512C349.4 512 316.1 497.7 287.1 478.2C259.9 497.7 226.6 512 191.1 512C157.4 512 124.1 497.7 95.98 478.2C81.61 488.2 57.99 502.2 29.31 508.6C16.37 511.5 3.535 503.4 .6339 490.5C-2.267 477.5 5.865 464.7 18.8 461.8C41 456.8 62.76 444.1 79.1 430.1C89.09 421.1 102.8 421.1 111.9 430.1C133.5 448.7 163.1 464 191.1 464L191.1 464z"],
    "cloud-slash": [640, 512, [], "e137", "M141.2 85.36C171.9 52.53 215.5 32 264 32C314.9 32 360.4 54.6 391.3 90.31C406.2 83.69 422.6 80 440 80C506.3 80 560 133.7 560 200C560 206.6 559.5 213 558.5 219.3C606.5 240.3 640 288.3 640 344C640 382.1 623.6 418.1 597.4 442.9L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L141.2 85.36zM179.2 115.1L558.9 412.8C579.1 396.6 592 371.8 592 344C592 308 570.4 276.9 539.2 263.3L505.1 248.4L511.1 211.7C511.7 207.9 512 204 512 200C512 160.2 479.8 128 440 128C429.5 128 419.6 130.2 410.8 134.2L378.2 148.7L354.9 121.7C332.8 96.08 300.3 80 263.1 80C230.9 80 200.9 93.42 179.2 115.1L179.2 115.1zM426.5 432L487.4 480H144C64.47 480 0 415.5 0 336C0 273.3 40.07 219.1 96 200.2V200C96 190.9 96.72 181.1 98.11 173.3L144 209.5L144 234.1L111.1 245.5C74.64 258.7 47.1 294.3 47.1 336C47.1 389 90.98 432 143.1 432H426.5z"],
    "cloud-sleet": [576, 512, [], "f741", "M544.8 212c0-57.25-44.88-104.3-101.3-107.8C430 61.75 390.8 32 344.8 32c-13.5 0-26.75 2.625-39.25 7.75C283 14.5 251.1 0 216.8 0c-64 0-116.4 50.25-119.8 113.4C58.38 130.4 32.76 168.5 32.76 212c0 59.5 48.38 108 108 108h296C496.4 320 544.8 271.5 544.8 212zM80.76 212c0-28 19.12-52 46.38-58.25l20.75-4.875L145.1 124C145 122.8 144.8 121.4 144.8 120c0-39.75 32.25-72 72-72c25.25 0 48.25 13.12 61.38 35.13l13.38 22.12l21-15C322.1 83.63 333.3 80 344.8 80c28.62 0 52.38 21.75 55.25 50.38L402.3 152h34.5c33.13 0 60 26.88 60 60s-26.88 60-60 60h-296C107.6 272 80.76 245.1 80.76 212zM113.5 353.9c-12.19-5.219-26.3 .4062-31.52 12.59l-47.1 112c-5.219 12.19 .4217 26.31 12.61 31.53C49.63 511.4 52.83 512 55.99 512c9.312 0 18.17-5.438 22.08-14.53l47.1-112C131.3 373.3 125.6 359.2 113.5 353.9zM385.5 353.9c-12.22-5.219-26.28 .4062-31.52 12.59l-47.1 112c-5.219 12.19 .4218 26.31 12.61 31.53C321.6 511.4 324.8 512 327.1 512c9.312 0 18.17-5.438 22.08-14.53l47.1-112C403.3 373.3 397.6 359.2 385.5 353.9zM520 392h-15.1v-16c0-13.25-10.75-24-23.1-24s-23.1 10.75-23.1 24v16h-15.1c-13.25 0-23.1 10.75-23.1 24s10.75 24 23.1 24h15.1v16c0 13.25 10.75 24 23.1 24s23.1-10.75 23.1-24v-16h15.1C533.3 440 544 429.3 544 416S533.3 392 520 392zM264 392H248v-16c0-13.25-10.75-24-23.1-24c-13.25 0-23.1 10.75-23.1 24v16H184c-13.25 0-23.1 10.75-23.1 24s10.75 24 23.1 24H200v16c0 13.25 10.75 24 23.1 24c13.25 0 23.1-10.75 23.1-24v-16h15.1c13.25 0 23.1-10.75 23.1-24S277.3 392 264 392z"],
    "cloud-snow": [512, 512, [127784], "f742", "M108 320h296C463.6 320 512 271.5 512 212c0-57.25-44.88-104.3-101.3-107.8C397.3 61.75 357.1 32 312 32c-13.5 0-26.75 2.625-39.25 7.75C250.3 14.5 218.4 0 184 0c-64 0-116.4 50.25-119.8 113.4C25.63 130.4 0 168.5 0 212C0 271.5 48.38 320 108 320zM94.38 153.8l20.75-4.875L112.4 124C112.3 122.8 112 121.4 112 120c0-39.75 32.25-72 72-72c25.25 0 48.25 13.12 61.38 35.13l13.38 22.12l21-15C289.4 83.63 300.5 80 312 80c28.62 0 52.38 21.75 55.25 50.38L369.5 152H404c33.13 0 60 26.88 60 60S437.1 272 404 272h-296C74.88 272 48 245.1 48 212C48 184 67.13 160 94.38 153.8zM104 392h-16v-16C88 362.8 77.25 352 64 352s-24 10.75-24 24v16h-16C10.75 392 0 402.8 0 416s10.75 24 24 24h16v16C40 469.3 50.75 480 64 480s24-10.75 24-24v-16h16C117.3 440 128 429.3 128 416S117.3 392 104 392zM488 392h-16v-16c0-13.25-10.75-24-24-24s-24 10.75-24 24v16h-16C394.8 392 384 402.8 384 416s10.75 24 24 24h16v16c0 13.25 10.75 24 24 24s24-10.75 24-24v-16h16c13.25 0 24-10.75 24-24S501.3 392 488 392zM296 424h-16v-16c0-13.25-10.75-24-24-24s-24 10.75-24 24v16h-16C202.8 424 192 434.8 192 448s10.75 24 24 24h16v16C232 501.3 242.8 512 256 512s24-10.75 24-24v-16h16c13.25 0 24-10.75 24-24S309.3 424 296 424z"],
    "cloud-sun": [640, 512, [9925], "f6c4", "M128 208C128 247.2 156.2 279.6 193.3 286.5C199.9 277.1 207.3 269.1 215.5 262.8C226.8 226.5 250.3 195.9 280.5 174.7C267.9 147.2 240.3 128 208 128C163.8 128 128 163.8 128 208zM96 208C96.02 146.1 146.2 96.01 208 96.01c44.25 0 82.14 25.89 100.3 63.14C329.3 149.7 352.2 144 376 144c9.805 0 19.48 1.035 29.01 2.709l8.767-12.65c5.145-7.414 .8965-17.67-7.984-19.27L317.2 98.78L301.2 10.21C299.6 1.325 289.4-2.921 281.9 2.226L208 53.54L134.1 2.225C126.6-2.922 116.4 1.324 114.8 10.21L98.78 98.78L10.21 114.8C1.326 116.4-2.922 126.6 2.223 134.1l51.3 73.94L2.224 281.9c-5.145 7.414-.8975 17.67 7.983 19.27L98.78 317.2l16.01 88.58c1.605 8.883 11.86 13.13 19.27 7.982l27.06-18.78C160.9 391.3 160 387.8 160 384c0-24.19 5.697-47.81 15.1-69.22C129.9 300.9 96.02 258.7 96 208zM582.8 296.4C575.3 246.4 532 208 480 208c-5.125 0-10.25 .375-15.25 1.125C440.5 188 409.3 176 376 176c-64 0-118.3 45.25-132.4 105.3C211.6 305.1 192 343 192 384c0 70.63 57.38 128 128 128h204c64 0 116-52 116-116C640 354.3 617.3 316.8 582.8 296.4zM524 464H320c-44.25 0-80-35.75-80-80c0-32.75 19.75-61 48.13-73.25C288.8 262.8 327.8 224 376 224c31.25 0 58.38 16.25 74.13 40.75C458.8 259.3 469 256 480 256c30.88 0 56 25.12 56 56c0 5.875-1.25 11.5-2.875 16.88C566.3 333.4 592 361.5 592 396C592 433.6 561.6 464 524 464z"],
    "cloud-sun-rain": [640, 512, [127782], "f743", "M162.5 250.1c-76.92-46.82-41.95-162.1 45.52-162.1c23.74 0 45.19 9.513 61.02 24.8c10.82-11.24 23.32-20.62 36.88-28.22L300.4 83.58L286.9 8.637c-.9554-5.29-5.537-8.637-10.35-8.637c-2.027 0-4.097 .5915-5.955 1.881l-62.57 43.42L145.4 1.882C143.6 .5918 141.5-.0003 139.5-.0003c-4.817 0-9.399 3.346-10.35 8.636l-13.54 74.95L40.64 97.13C35.35 98.08 31.1 102.7 31.1 107.5c0 2.026 .5922 4.094 1.881 5.951l43.41 62.57L33.88 238.6C32.59 240.4 32 242.5 32 244.5c0 4.818 3.347 9.398 8.636 10.35l74.95 13.54l13.54 74.95c.9554 5.29 5.537 8.636 10.35 8.636c2.027 0 4.096-.5919 5.954-1.882l26.31-18.27C164.3 314.7 160 295.9 160 276C160 267.5 161 259.1 162.5 250.1zM170.8 222.7c13.54-32.94 39.09-60.06 72.66-74.8c2.424-4.523 5.293-8.709 8.109-12.93C240.6 123.4 225.2 116 208 116C151.9 116 125.1 186.1 170.8 222.7zM555.4 183.4C543.4 146.6 508.8 120 468 120c-3.125 0-6.125 .25-9.125 .5C437.3 104.8 411.3 96 384 96c-52.38 0-97.63 31.25-117.3 77.25C223.4 187.3 192 228 192 276C192 335.6 240.4 384 300 384h200C559.6 384 608 335.6 608 276C608 237.3 587.3 202.4 555.4 183.4zM500 336h-200C266.9 336 240 309.1 240 276S266.9 216 300 216c1.625 0 3.25 .375 4.75 .5C308.6 175.9 342.4 144 384 144c25.25 0 47.38 11.88 62.13 30.12C452.6 170.3 460 168 468 168C492.3 168 512 187.8 512 212c0 1.75-.25 3.375-.5 5.25C539.1 222.6 560 246.8 560 276C560 309.1 533.1 336 500 336zM552 415.1c-7.753 0-15.35 3.752-19.97 10.69l-32 48c-2.73 4.093-4.037 8.719-4.037 13.29C496 501.4 506.9 512 520 512c7.75 0 15.36-3.75 19.98-10.69l32-48c2.731-4.093 4.037-8.719 4.037-13.29C576 426.6 565.1 415.1 552 415.1zM456 415.1c-7.75 0-15.34 3.752-19.98 10.69l-32 48c-2.73 4.093-4.037 8.719-4.037 13.29C400 501.4 410.9 512 423.1 512c7.75 0 15.36-3.75 19.98-10.69l32-48c2.73-4.093 4.037-8.719 4.037-13.29C480 426.6 469.1 415.1 456 415.1zM360 415.1c-7.753 0-15.34 3.752-19.97 10.69l-32 48c-2.73 4.093-4.037 8.719-4.037 13.29C304 501.4 314.9 512 327.1 512c7.75 0 15.36-3.75 19.99-10.69l32-48c2.73-4.093 4.037-8.719 4.037-13.29C384 426.6 373.1 415.1 360 415.1zM264 415.1c-7.755 0-15.35 3.752-19.97 10.69l-32 48c-2.73 4.093-4.037 8.719-4.037 13.29C208 501.4 218.9 512 231.1 512c7.75 0 15.36-3.75 19.98-10.69l32-48c2.73-4.093 4.037-8.719 4.037-13.29C288 426.6 277.1 415.1 264 415.1z"],
    "cloud-word": [640, 512, [], "e138", "M496 384H304C295.2 384 288 376.8 288 368C288 359.2 295.2 352 304 352H496C504.8 352 512 359.2 512 368C512 376.8 504.8 384 496 384zM240 352C248.8 352 256 359.2 256 368C256 376.8 248.8 384 240 384H144C135.2 384 128 376.8 128 368C128 359.2 135.2 352 144 352H240zM128 304C128 295.2 135.2 288 144 288H336C344.8 288 352 295.2 352 304C352 312.8 344.8 320 336 320H144C135.2 320 128 312.8 128 304zM496 288C504.8 288 512 295.2 512 304C512 312.8 504.8 320 496 320H400C391.2 320 384 312.8 384 304C384 295.2 391.2 288 400 288H496zM512 479.8V480H144C64.47 480 0 415.5 0 336C0 273.3 40.07 219.1 96 200.2V200C96 107.2 171.2 32 264 32C314.9 32 360.4 54.6 391.3 90.31C406.2 83.68 422.6 80 440 80C506.3 80 560 133.7 560 200C560 206.6 559.5 213 558.5 219.3C606.5 240.3 640 288.3 640 344C640 416.4 583.4 475.6 512 479.8zM378.2 148.7L354.9 121.7C332.8 96.08 300.3 80 264 80C197.7 80 144 133.7 144 199.1L144 234.1L111.1 245.4C74.64 258.7 48 294.3 48 336C48 389 90.98 432 144 432H506.6L509.2 431.8C555.4 429.2 592 390.8 592 344C592 308 570.4 276.9 539.2 263.3L505.1 248.4L511.1 211.7C511.7 207.9 512 204 512 200C512 160.2 479.8 128 440 128C429.5 128 419.6 130.2 410.8 134.2L378.2 148.7z"],
    "cloud-xmark": [640, 512, [], "e35f", "M239 207C248.4 197.7 263.6 197.7 272.1 207L319.1 254.1L367 207C376.4 197.7 391.6 197.7 400.1 207C410.3 216.4 410.3 231.6 400.1 240.1L353.9 287.1L400.1 335C410.3 344.4 410.3 359.6 400.1 368.1C391.6 378.3 376.4 378.3 367 368.1L319.1 321.9L272.1 368.1C263.6 378.3 248.4 378.3 239 368.1C229.7 359.6 229.7 344.4 239 335L286.1 287.1L239 240.1C229.7 231.6 229.7 216.4 239 207V207zM144 480C64.47 480 0 415.5 0 336C0 273.3 40.07 219.1 96 200.2V200C96 107.2 171.2 32 264 32C314.9 32 360.4 54.6 391.3 90.31C406.2 83.68 422.6 80 440 80C506.3 80 560 133.7 560 200C560 206.6 559.5 213 558.5 219.3C606.5 240.3 640 288.3 640 344C640 416.4 583.4 475.6 512 479.8V480H144zM264 80C197.7 80 144 133.7 144 200L144 234.1L111.1 245.5C74.64 258.7 48 294.3 48 336C48 389 90.98 432 144 432H506.6L509.2 431.8C555.4 429.2 592 390.8 592 344C592 308 570.4 276.9 539.2 263.3L505.1 248.4L511.1 211.7C511.7 207.9 512 204 512 200C512 160.2 479.8 128 440 128C429.5 128 419.6 130.2 410.8 134.2L378.2 148.7L354.9 121.7C332.8 96.08 300.3 80 263.1 80L264 80z"],
    "clouds": [640, 512, [], "f744", "M538.9 296.2C525.4 253.8 486.1 224 440.1 224c-13.5 0-26.76 2.625-39.26 7.75c-1.75-2.125-4.001-3.625-6.001-5.5c17-19 26.51-43.63 26.51-69c0-57.25-46.63-104-104-104c-7.001 0-13.88 .75-20.63 2.125C275.6 21.62 238 0 197.3 0c-51.13 0-96.02 33.88-111.3 81.62C37.26 90.12 0 132.8 0 184c0 57.25 46.76 104 104 104h90.77C193.7 293.8 192.5 299.4 192.2 305.4C153.5 322.4 127.9 360.5 127.9 404c0 59.5 48.38 108 108 108h296.1c59.64 0 108-48.5 108-108C640.1 346.8 595.2 299.8 538.9 296.2zM104 240c-30.88 0-56.01-25.12-56.01-56c0-30.38 24.38-55.25 54.76-56l23.38 .75l3.001-21.25C133.9 73.62 163.3 48 197.3 48c29.01 0 54.39 17.75 64.64 45l9.002 24l23.38-10.62C301.8 103 309.4 101.2 317.3 101.2c30.88 0 56.01 25.13 56.01 56c0 15.88-6.751 30.5-18.88 41.5l-1.25 1.125C340.2 195.1 326.4 192 311.9 192C272.9 192 238 210.9 216.2 240H104zM532.1 464H236c-33.13 0-60.01-26.88-60.01-60c0-28 19.13-52 46.38-58.25l20.88-4.875L240.4 316C240.3 314.8 240 313.4 240 312c0-39.75 32.26-72 72.01-72c25.25 0 48.26 13.12 61.39 35.13l13.38 22.12l21-15C417.5 275.5 428.6 272 440.1 272c28.63 0 52.39 21.75 55.26 50.38L497.6 344h34.51c33.13 0 60.01 26.88 60.01 60S565.2 464 532.1 464z"],
    "clouds-moon": [640, 512, [], "f745", "M630.1 248.7c-78.58 14.79-150.8-44.79-150.8-123.2c0-45.14 24.46-86.64 64.22-109c6.129-3.438 4.588-12.62-2.373-13.89C533.1 1.191 520.5 0 512.3 0c-69.37 0-127.1 43.29-151.1 103.9c31.84 24.83 52.24 63.54 52.24 107.3c0 12.28-1.719 24.34-5.094 36.09c37.04 11.93 67.07 37.73 85.35 70.79C499.1 318.9 506 320 512.5 320c49.97 0 95.57-22.47 125.8-59.25C642.7 255.3 637.9 247.4 630.1 248.7zM382.8 273.9c-3.75-5.75-8.5-10.62-13.12-15.62c7.375-14 11.88-29.88 11.88-47c0-56-44.38-102-99.75-103.9c-23.62-29.62-60-48.13-99-48.13c-40 0-77.13 19-100.9 50.38C35.13 119.5 0 161.4 0 211.3c0 37 19.5 69.13 48.63 87.5c-27.25 22-44.38 55.5-44.38 93.25c0 66.25 53.5 120 119.1 120h238.4c65.75 0 119.3-53.75 119.3-120C481 333 438.6 283.8 382.8 273.9zM47.75 211.3c0-30.88 24.88-56 55.5-56h6.75c12.25-28.12 40.25-48 72.75-48c34.25 0 63 21.88 74.38 52.25c6.5-2.75 13.62-4.25 21.12-4.25c30.62 0 55.5 25.12 55.5 56c0 7.5-1.75 14.25-4.375 20.75C317.1 227.3 304.3 224 290.4 224c-9.625 0-19 1.25-28.12 3.625C242.3 214.9 219 208 195.1 208c-43.5 0-82.88 22.38-105.9 57.25C65.25 258.9 47.75 237.3 47.75 211.3zM361.8 464H123.4c-39.5 0-71.5-32.25-71.5-72c0-37.63 28.75-68 65.13-71.25C124.1 283.9 156.3 256 194.9 256c23.75 0 44.88 10.75 59.38 27.25C264.5 276.3 276.9 272 290.3 272c30 0 55 20.88 61.63 49C355.3 320.5 358.4 320 361.8 320c39.5 0 71.5 32.25 71.5 72C433.4 431.8 401.3 464 361.8 464z"],
    "clouds-sun": [640, 512, [], "f746", "M95.1 208c.0156-61.85 50.15-111.1 111.1-111.1c36.89 0 69.35 18.08 89.76 45.61c7.939-7.496 16.5-14.34 26.21-19.67c3.967-6.971 8.594-13.37 13.52-19.49l-20.26-3.668L301.2 10.21c-1.605-8.883-11.86-13.13-19.27-7.983l-73.94 51.31l-73.94-51.32C126.6-2.922 116.4 1.324 114.8 10.21l-16.01 88.58L10.21 114.8C1.326 116.4-2.922 126.6 2.223 134.1l51.3 73.94l-51.3 73.94c-5.145 7.414-.8982 17.67 7.983 19.27l88.57 15.99l16.01 88.58c1.354 7.488 8.797 11.3 15.56 9.348C129.2 407.5 128 399.9 128 392c0-31.74 9.822-61.36 26.8-86.03C119.9 286.1 96.01 250.5 95.1 208zM127.1 208c.0137 32.79 19.79 60.88 48.03 73.23C187.1 270.9 199.7 262 213.9 255.3C225.5 235.7 241.1 218.8 259.1 205.5c3.357-13.62 9.428-26.13 16.73-37.84C262.8 144 237.4 128 207.1 128C163.8 128 128 163.8 127.1 208zM640 236.8c0-50.75-38.5-92.88-87.75-98.5C532 103.4 494.4 80 452 80c-46 0-85.88 26.38-104.5 66C315.8 159.8 293.1 189.6 288.9 225C266.6 237.8 248.3 256.8 236.8 280.3C191.4 297.6 160 341.1 160 392C160 458.3 213.8 512 280 512h240c66.25 0 120-53.75 120-120c0-32-12.75-60.75-33.25-82.25C626.8 291.6 640 266 640 236.8zM520 464h-240c-39.75 0-72-32.25-72-72c0-37.63 28.88-68 65.5-71.25C280.8 283.9 313 256 352 256c23.88 0 45.13 10.75 59.75 27.25C422.1 276.3 434.6 272 448 272c30.25 0 55.25 20.88 61.1 49C513.3 320.5 516.5 320 520 320c39.75 0 72 32.25 72 72S559.8 464 520 464zM565.6 281.3c-7.875-3.125-15.88-6-24.5-7.5C520.8 243.3 486.4 224 448 224c-9.625 0-19.25 1.25-28.25 3.625C399.5 214.9 376.1 208 352 208c-2.25 0-4.25 .375-6.375 .5c8.75-12.88 22.75-21.88 39.38-22.62c4.875-32.63 32.88-57.75 67-57.75c35.75 0 64.75 27.75 67.5 62.88c6.5-3.125 13.62-5.25 21.25-5.25C569.1 185.8 592 208.6 592 236.9C592 256 581.3 272.6 565.6 281.3z"],
    "clover": [448, 512, [], "e139", "M100.3 106C100.3 65.15 133.5 32 174.4 32H176.1C194.1 32 210.6 37.73 224 48.13C237.4 37.73 253.9 32 271 32H273.3C314.4 32 347.7 65.29 347.7 106.4C347.7 117.5 345.6 128.5 341.4 138.7C351.8 134.5 362.9 132.3 374.1 132.3C414.9 132.3 448 165.4 448 206.2V208.1C448 226.1 442.3 242.6 431.9 256C442.3 269.4 448 285.9 448 303V305.6C448 346.5 414.8 379.7 373.1 379.7C362.7 379.7 351.6 377.5 341.3 373.3C345.5 383.6 347.7 394.7 347.7 405.1C347.7 446.8 314.5 480 273.6 480H271C253.9 480 237.4 474.3 224 463.9C210.6 474.3 194.1 480 176.1 480H174.4C133.5 480 100.3 446.8 100.3 405.1C100.3 394.7 102.5 383.6 106.7 373.3C96.37 377.5 85.28 379.7 74.05 379.7C33.15 379.7 0 346.5 0 305.6V303C0 285.9 5.731 269.4 16.13 256C5.731 242.6 0 226.1 0 208.1V206.4C0 165.5 33.15 132.3 74.05 132.3C85.28 132.3 96.37 134.5 106.7 138.7C102.5 128.4 100.3 117.3 100.3 106L100.3 106zM174.4 80C159.1 80 148.3 91.66 148.3 106C148.3 112.7 150 119.2 153.3 124.1L188.9 188.2C194.2 197.6 192.6 209.4 184.1 216.1C177.4 224.6 165.6 226.2 156.2 220.9L92.98 185.3C87.2 182 80.68 180.3 74.05 180.3C59.66 180.3 48 191.1 48 206.4V208.1C48 216.6 51.02 223.8 56.39 229.2L66.2 239C70.7 243.5 73.23 249.6 73.23 256C73.23 262.4 70.7 268.5 66.2 272.1L56.39 282.8C51.02 288.2 48 295.4 48 303V305.6C48 320 59.66 331.7 74.05 331.7C80.68 331.7 87.2 329.1 92.98 326.7L156.2 291.1C165.6 285.8 177.4 287.4 184.1 295C192.6 302.6 194.2 314.4 188.9 323.8L153.3 387C150 392.8 148.3 399.3 148.3 405.1C148.3 420.3 159.1 432 174.4 432H176.1C184.6 432 191.8 428.1 197.2 423.6L207 413.8C211.5 409.3 217.6 406.8 224 406.8C230.4 406.8 236.5 409.3 240.1 413.8L250.8 423.6C256.2 428.1 263.4 432 271 432H273.6C288 432 299.7 420.3 299.7 405.1C299.7 399.3 297.1 392.8 294.7 387L259.1 323.8C253.8 314.4 255.4 302.6 263 295C270.6 287.4 282.4 285.8 291.8 291.1L355 326.7C360.8 329.1 367.3 331.7 373.1 331.7C388.3 331.7 400 320 400 305.6V303C400 295.4 396.1 288.2 391.6 282.8L381.8 272.1C377.3 268.5 374.8 262.4 374.8 256C374.8 249.6 377.3 243.5 381.8 239L391.6 229.2C396.1 223.8 400 216.6 400 208.1V206.2C400 191.9 388.4 180.3 374.1 180.3C367.4 180.3 360.9 182.1 355.1 185.4L293.2 220.8C283.8 226.2 272.1 224.7 264.4 217.1C256.8 209.6 255 197.9 260.2 188.5L294.9 125.1C298 119.3 299.7 112.9 299.7 106.4C299.7 91.8 287.9 80 273.3 80H271C263.4 80 256.2 83.02 250.8 88.39L240.1 98.2C236.5 102.7 230.4 105.2 224 105.2C217.6 105.2 211.5 102.7 207 98.2L197.2 88.39C191.8 83.02 184.6 80 176.1 80L174.4 80z"],
    "club": [512, 512, [9827], "f327", "M368 432C340.1 432 314.1 424.1 291.1 410.3C287.8 407.8 283.8 404.1 280 401.1V464H328C341.3 464 352 474.7 352 488C352 501.3 341.3 512 328 512H184C170.7 512 160 501.3 160 488C160 474.7 170.7 464 184 464H232V401.1C228.2 404.1 224.2 407.8 220 410.3C197.9 424.1 171.9 432 144 432C64.47 432 0 367.5 0 288C0 219.5 47.89 162.1 112 147.6C112 146.4 112 145.2 112 144C112 64.47 176.5 0 256 0C335.5 0 400 64.47 400 144C400 145.2 399.1 146.4 399.1 147.6C464.1 162.1 512 219.5 512 288C512 367.5 447.5 432 368 432V432zM352 144C352 90.98 309 48 256 48C202.1 48 160 90.98 160 144C160 144.8 160 145.6 160 146.4C160.6 169.2 144.9 189.3 122.7 194.4C79.89 204.1 48 242.4 48 288C48 341 90.98 384 144 384C174.1 384 201 370.2 218.7 348.3C227.8 337.1 241.5 330.5 256 330.5C270.5 330.5 284.2 337.1 293.3 348.3C310.1 370.2 337.9 384 368 384C421 384 464 341 464 288C464 242.4 432.1 204.1 389.4 194.4C367.1 189.3 351.4 169.2 351.1 146.4C351.1 145.6 352 144.8 352 144L352 144z"],
    "coconut": [512, 512, [], "e2f6", "M323.3 101.3C302.8 80.9 236.6 114.2 175.4 175.6C114.1 236.9 81.07 303.2 101.5 323.6C121.1 343.1 188.2 310.7 249.4 249.3C310.7 187.9 343.7 121.6 323.3 101.3zM437.4 67.21c-43.56-43.57-42.33-42.77-46.7-45.27C372.8 7.393 349.7 0 322.9 0c-63.44 0-145.3 38.98-214.6 108.3c-102.2 102.2-138.5 231.8-80.99 289.3l39.89 39.89C116.9 487.2 182.1 512 247.2 512C465.9 512 605.1 235.8 437.4 67.21zM60.95 363.5c-4.393-4.393-7.709-10.01-9.92-16.79c-2.213-6.781-3.326-14.74-3.326-23.81c0-52.45 36.98-123.3 94.22-180.6c14.33-14.33 29.51-27.39 45.05-38.92C233.6 68.83 283.4 48 322.9 48c18.34 0 32.13 4.494 40.1 13.36c8.783 8.785 13.24 22.45 13.24 40.6c0 52.45-36.98 123.3-94.22 180.6C225.6 339.9 154.6 376.9 101.9 376.9C83.61 376.9 69.82 372.4 60.95 363.5zM415.8 379.8l-35.38-35.26c-9.404-9.375-24.59-9.312-33.93 .0625c-9.342 9.391-9.342 24.58 .0625 33.94l35.41 35.28c-24.18 20.88-52.42 35.57-82.88 43.42l-34.17-34.17c-9.375-9.375-24.56-9.375-33.93 0c-9.373 9.375-9.373 24.56 0 33.94l6.566 6.566c-41.41-1.877-80.53-15.85-113.4-40.28c59.61-7.711 130.9-45.14 192.4-106.6c61.56-61.56 98.97-132.1 106.6-192.6c24.68 32.98 38.78 72.3 40.62 113.9l-6.863-6.863c-9.373-9.375-24.56-9.375-33.93 0s-9.373 24.56 0 33.94l34.37 34.38C449.7 328.8 435.7 356.2 415.8 379.8z"],
    "code": [640, 512, [], "f121", "M414.9 31.11L270.9 495.1C266.1 507.8 253.5 514.8 240.9 510.9C228.2 506.1 221.1 493.5 225.1 480.9L369.1 16.89C373 4.226 386.5-2.852 399.1 1.077C411.8 5.006 418.9 18.45 414.9 31.11V31.11zM504.4 118.5L632.4 238.5C637.3 243 640 249.4 640 255.1C640 262.6 637.3 268.1 632.4 273.5L504.4 393.5C494.7 402.6 479.6 402.1 470.5 392.4C461.4 382.7 461.9 367.6 471.6 358.5L580.9 255.1L471.6 153.5C461.9 144.4 461.4 129.3 470.5 119.6C479.6 109.9 494.7 109.4 504.4 118.5V118.5zM168.4 153.5L59.09 255.1L168.4 358.5C178.1 367.6 178.6 382.7 169.5 392.4C160.4 402.1 145.3 402.6 135.6 393.5L7.585 273.5C2.746 268.1 0 262.6 0 255.1C0 249.4 2.746 243 7.585 238.5L135.6 118.5C145.3 109.4 160.4 109.9 169.5 119.6C178.6 129.3 178.1 144.4 168.4 153.5V153.5z"],
    "code-branch": [448, 512, [], "f126", "M160 80C160 115.8 136.5 146.1 104 156.3V255.1C124.1 240.9 148.1 232 176 232H272C311.8 232 344 199.8 344 160V156.3C311.5 146.1 288 115.8 288 80C288 35.82 323.8 0 368 0C412.2 0 448 35.82 448 80C448 115.8 424.5 146.1 392 156.3V160C392 226.3 338.3 280 272 280H176C136.2 280 104 312.2 104 352V355.7C136.5 365.9 160 396.2 160 432C160 476.2 124.2 512 80 512C35.82 512 0 476.2 0 432C0 396.2 23.54 365.9 56 355.7V156.3C23.54 146.1 0 115.8 0 80C0 35.82 35.82 0 80 0C124.2 0 160 35.82 160 80V80zM80 112C97.67 112 112 97.67 112 80C112 62.33 97.67 48 80 48C62.33 48 48 62.33 48 80C48 97.67 62.33 112 80 112zM368 48C350.3 48 336 62.33 336 80C336 97.67 350.3 112 368 112C385.7 112 400 97.67 400 80C400 62.33 385.7 48 368 48zM80 464C97.67 464 112 449.7 112 432C112 414.3 97.67 400 80 400C62.33 400 48 414.3 48 432C48 449.7 62.33 464 80 464z"],
    "code-commit": [640, 512, [], "f386", "M478.2 280C466.6 356.1 400.2 416 320 416C239.8 416 173.4 356.1 161.8 280H24C10.75 280 0 269.3 0 256C0 242.7 10.75 232 24 232H161.8C173.4 155 239.8 96 320 96C400.2 96 466.6 155 478.2 232H616C629.3 232 640 242.7 640 256C640 269.3 629.3 280 616 280H478.2zM320 368C381.9 368 432 317.9 432 256C432 194.1 381.9 144 320 144C258.1 144 208 194.1 208 256C208 317.9 258.1 368 320 368z"],
    "code-compare": [512, 512, [], "e13a", "M320 488C320 497.5 314.4 506.1 305.8 509.9C297.1 513.8 286.1 512.2 279.9 505.8L199.9 433.8C194.9 429.3 192 422.8 192 416C192 409.2 194.9 402.7 199.9 398.2L279.9 326.2C286.1 319.8 297.1 318.2 305.8 322.1C314.4 325.9 320 334.5 320 344V392H336C375.8 392 408 359.8 408 320V156.3C375.5 146.1 352 115.8 352 80C352 35.82 387.8 0 432 0C476.2 0 512 35.82 512 80C512 115.8 488.5 146.1 456 156.3V320C456 386.3 402.3 440 336 440H320V488zM464 79.1C464 62.33 449.7 47.1 432 47.1C414.3 47.1 400 62.33 400 79.1C400 97.67 414.3 111.1 432 111.1C449.7 111.1 464 97.67 464 79.1zM192 24C192 14.52 197.6 5.932 206.2 2.076C214.9-1.78 225-.1789 232.1 6.161L312.1 78.16C317.1 82.71 320 89.2 320 96C320 102.8 317.1 109.3 312.1 113.8L232.1 185.8C225 192.2 214.9 193.8 206.2 189.9C197.6 186.1 192 177.5 192 168V120H176C136.2 120 104 152.2 104 192V355.7C136.5 365.9 160 396.2 160 432C160 476.2 124.2 512 80 512C35.82 512 0 476.2 0 432C0 396.2 23.54 365.9 56 355.7V192C56 125.7 109.7 72 176 72H192V24zM48 432C48 449.7 62.33 464 80 464C97.67 464 112 449.7 112 432C112 414.3 97.67 400 80 400C62.33 400 48 414.3 48 432z"],
    "code-fork": [448, 512, [], "e13b", "M160 80C160 115.8 136.5 146.1 104 156.3V192C104 214.1 121.9 232 144 232H304C326.1 232 344 214.1 344 192V156.3C311.5 146.1 288 115.8 288 80C288 35.82 323.8 0 368 0C412.2 0 448 35.82 448 80C448 115.8 424.5 146.1 392 156.3V192C392 240.6 352.6 280 304 280H248V355.7C280.5 365.9 304 396.2 304 432C304 476.2 268.2 512 224 512C179.8 512 144 476.2 144 432C144 396.2 167.5 365.9 200 355.7V280H144C95.4 280 56 240.6 56 192V156.3C23.54 146.1 0 115.8 0 80C0 35.82 35.82 0 80 0C124.2 0 160 35.82 160 80V80zM80 112C97.67 112 112 97.67 112 80C112 62.33 97.67 48 80 48C62.33 48 48 62.33 48 80C48 97.67 62.33 112 80 112zM368 112C385.7 112 400 97.67 400 80C400 62.33 385.7 48 368 48C350.3 48 336 62.33 336 80C336 97.67 350.3 112 368 112zM224 400C206.3 400 192 414.3 192 432C192 449.7 206.3 464 224 464C241.7 464 256 449.7 256 432C256 414.3 241.7 400 224 400z"],
    "code-merge": [448, 512, [], "f387", "M208 248H291.7C301.9 215.5 332.2 192 368 192C412.2 192 448 227.8 448 272C448 316.2 412.2 352 368 352C332.2 352 301.9 328.5 291.7 296H208C167.8 296 131.2 280.4 104 254.9V355.7C136.5 365.9 160 396.2 160 432C160 476.2 124.2 512 80 512C35.82 512 0 476.2 0 432C0 396.2 23.54 365.9 56 355.7V156.3C23.54 146.1 0 115.8 0 80C0 35.82 35.82 0 80 0C124.2 0 160 35.82 160 80C160 115.6 136.8 145.7 104.7 156.1C110.7 207.8 154.7 248 208 248V248zM80 112C97.67 112 112 97.67 112 80C112 62.33 97.67 48 80 48C62.33 48 48 62.33 48 80C48 97.67 62.33 112 80 112zM80 464C97.67 464 112 449.7 112 432C112 414.3 97.67 400 80 400C62.33 400 48 414.3 48 432C48 449.7 62.33 464 80 464zM368 240C350.3 240 336 254.3 336 272C336 289.7 350.3 304 368 304C385.7 304 400 289.7 400 272C400 254.3 385.7 240 368 240z"],
    "code-pull-request": [512, 512, [], "e13c", "M305.8 2.076C314.4 5.932 320 14.52 320 24V72H336C402.3 72 456 125.7 456 192V355.7C488.5 365.9 512 396.2 512 432C512 476.2 476.2 512 432 512C387.8 512 352 476.2 352 432C352 396.2 375.5 365.9 408 355.7V192C408 152.2 375.8 120 336 120H320V168C320 177.5 314.4 186.1 305.8 189.9C297.1 193.8 286.1 192.2 279.9 185.8L199.9 113.8C194.9 109.3 192 102.8 192 96C192 89.2 194.9 82.71 199.9 78.16L279.9 6.161C286.1-.1791 297.1-1.779 305.8 2.077V2.076zM432 464C449.7 464 464 449.7 464 432C464 414.3 449.7 400 432 400C414.3 400 400 414.3 400 432C400 449.7 414.3 464 432 464zM104 355.7C136.5 365.9 160 396.2 160 432C160 476.2 124.2 512 80 512C35.82 512 0 476.2 0 432C0 396.2 23.54 365.9 56 355.7V156.3C23.54 146.1 0 115.8 0 80C0 35.82 35.82 .0001 80 .0001C124.2 .0001 160 35.82 160 80C160 115.8 136.5 146.1 104 156.3V355.7zM80 48C62.33 48 48 62.33 48 80C48 97.67 62.33 112 80 112C97.67 112 112 97.67 112 80C112 62.33 97.67 48 80 48zM80 400C62.33 400 48 414.3 48 432C48 449.7 62.33 464 80 464C97.67 464 112 449.7 112 432C112 414.3 97.67 400 80 400z"],
    "code-pull-request-closed": [448, 512, [], "e3f9", "M160 80C160 115.8 136.5 146.1 104 156.3V355.7C136.5 365.9 160 396.2 160 432C160 476.2 124.2 512 80 512C35.82 512 0 476.2 0 432C0 396.2 23.54 365.9 56 355.7V156.3C23.54 146.1 0 115.8 0 80C0 35.82 35.82 0 80 0C124.2 0 160 35.82 160 80V80zM80 48C62.33 48 48 62.33 48 80C48 97.67 62.33 112 80 112C97.67 112 112 97.67 112 80C112 62.33 97.67 48 80 48zM80 464C97.67 464 112 449.7 112 432C112 414.3 97.67 400 80 400C62.33 400 48 414.3 48 432C48 449.7 62.33 464 80 464zM288 432C288 396.2 311.5 365.9 344 355.7V224C344 210.7 354.7 200 368 200C381.3 200 392 210.7 392 224V355.7C424.5 365.9 448 396.2 448 432C448 476.2 412.2 512 368 512C323.8 512 288 476.2 288 432zM368 464C385.7 464 400 449.7 400 432C400 414.3 385.7 400 368 400C350.3 400 336 414.3 336 432C336 449.7 350.3 464 368 464zM295 7.029C304.4-2.343 319.6-2.343 328.1 7.029L368 46.06L407 7.029C416.4-2.343 431.6-2.343 440.1 7.029C450.3 16.4 450.3 31.6 440.1 40.97L401.9 80L440.1 119C450.3 128.4 450.3 143.6 440.1 152.1C431.6 162.3 416.4 162.3 407 152.1L368 113.9L328.1 152.1C319.6 162.3 304.4 162.3 295 152.1C285.7 143.6 285.7 128.4 295 119L334.1 80L295 40.97C285.7 31.6 285.7 16.4 295 7.029V7.029z"],
    "code-pull-request-draft": [448, 512, [], "e3fa", "M104 355.7C136.5 365.9 160 396.2 160 432C160 476.2 124.2 512 80 512C35.82 512 0 476.2 0 432C0 396.2 23.54 365.9 56 355.7V156.3C23.54 146.1 0 115.8 0 80C0 35.82 35.82 0 80 0C124.2 0 160 35.82 160 80C160 115.8 136.5 146.1 104 156.3V355.7zM80 48C62.33 48 48 62.33 48 80C48 97.67 62.33 112 80 112C97.67 112 112 97.67 112 80C112 62.33 97.67 48 80 48zM80 400C62.33 400 48 414.3 48 432C48 449.7 62.33 464 80 464C97.67 464 112 449.7 112 432C112 414.3 97.67 400 80 400zM288 432C288 387.8 323.8 352 368 352C412.2 352 448 387.8 448 432C448 476.2 412.2 512 368 512C323.8 512 288 476.2 288 432zM368 464C385.7 464 400 449.7 400 432C400 414.3 385.7 400 368 400C350.3 400 336 414.3 336 432C336 449.7 350.3 464 368 464zM416 80C416 106.5 394.5 128 368 128C341.5 128 320 106.5 320 80C320 53.49 341.5 32 368 32C394.5 32 416 53.49 416 80zM320 240C320 213.5 341.5 192 368 192C394.5 192 416 213.5 416 240C416 266.5 394.5 288 368 288C341.5 288 320 266.5 320 240z"],
    "code-simple": [576, 512, [], "e13d", "M58.76 256L216.6 406.6C226.2 415.8 226.5 430.1 217.4 440.6C208.2 450.2 193 450.5 183.4 441.4L7.428 273.4C2.684 268.8 0 262.6 0 256C0 249.4 2.684 243.2 7.428 238.6L183.4 70.64C193 61.49 208.2 61.84 217.4 71.43C226.5 81.02 226.2 96.21 216.6 105.4L58.76 256zM359.4 105.4C349.8 96.21 349.5 81.02 358.6 71.43C367.8 61.84 382.1 61.49 392.6 70.64L568.6 238.6C573.3 243.2 576 249.4 576 256C576 262.6 573.3 268.8 568.6 273.4L392.6 441.4C382.1 450.5 367.8 450.2 358.6 440.6C349.5 430.1 349.8 415.8 359.4 406.6L517.2 256L359.4 105.4z"],
    "coffee-bean": [448, 512, [], "e13e", "M435.8 130.5c-9.9-23.33-65.71-77.27-82.65-84.81C332.1 36.3 309.9 32 287.2 32C219.8 32 148.4 69.66 93.44 124.7c-72.35 72.44-116.1 174.8-81.27 256.8c9.9 23.33 65.7 77.27 82.65 84.81C115.9 475.7 138.1 480 160.9 480c67.34 0 138.7-37.67 193.6-92.7C426.9 314.9 470.6 212.5 435.8 130.5zM127.5 158.6C176.6 109.4 236.3 80 287.1 80c16.24 0 31.5 3.027 45.37 8.998c5.111 3.217 13.72 10.62 22.84 19.31c-23.39 75.84-69.77 121.2-138.7 134.2c-74.55 14.06-129.5 56.87-159.4 121.7c-.2422-.4121-.7031-.9941-.8945-1.365C29 298.3 72.36 213.8 127.5 158.6zM320.5 353.4C271.4 402.6 211.7 432 160.9 432c-16.24 0-31.5-3.027-45.37-9c-5.086-3.199-13.63-10.55-22.7-19.18c20.95-62.9 65.34-101.5 132.7-114.2c78.09-14.67 134.6-63.12 166.1-140.5c.0078 .0156-.0078-.0156 0 0C418.1 213.7 375.6 298.2 320.5 353.4z"],
    "coffee-beans": [512, 512, [], "e13f", "M170.2 196.4C162 193.3 144.4 192 127.3 192c-16.83 0-33.06 1.297-39.01 3.449C29.4 216.8-.0469 283.8 0 351.6c.0449 66.77 28.7 134.1 85.8 155.9C93.97 510.7 111.6 512 128.7 512c16.83 0 33.06-1.297 39.01-3.451c58.92-21.33 88.37-88.34 88.32-156.2C255.1 285.6 227.3 218.2 170.2 196.4zM111.2 463.4c-4.756-.3691-7.926-.8145-9.361-1.102c-37.13-14.1-53.8-66.21-53.83-110.7C47.97 311 62.39 265.3 93.84 246.2c-16.13 43.87-11.81 87.11 13.72 124.4C128 400.7 129.1 431.9 111.2 463.4zM166.7 455.2c11.04-37.78 4.574-76.39-19.48-111.7c-20.75-30.32-20.02-64.84 1.797-102.5c2.35 .2578 4.256 .5156 5.191 .7031c37.13 14.1 53.79 66.21 53.82 110.7C208 391.1 195.1 434.7 166.7 455.2zM455.6 56.93C421.8 23.23 377.1 0 334.4 0c-14.98 0-29.73 2.852-43.69 9.106c-15.31 6.859-51.31 44.04-56.53 55.17C208.5 119 234.1 184.8 280.4 231c33.74 33.7 78.42 56.93 121.2 56.93c14.98 0 29.73-2.852 43.69-9.106c15.31-6.859 51.31-44.04 56.53-55.17C527.5 168.1 501.9 103.2 455.6 56.93zM424.6 235.5c-6.99 2.947-14.71 4.439-22.98 4.439c-27.33 0-60.77-16.44-87.26-42.89c-24.65-24.61-44.18-59.9-41.79-91.41c21.45 35.34 53.63 58.46 94.51 66.15c33.6 6.328 56.2 25.03 68.68 54.34C431.4 230.2 427.3 233.8 424.6 235.5zM375.1 124.6c-34.92-6.57-59.39-28.59-73.04-65.35c3.328-2.967 6.328-5.439 8.471-6.832c6.99-2.947 14.71-4.439 22.98-4.439c27.33 0 60.77 16.44 87.26 42.89c23.36 23.33 42.15 56.25 42.04 86.46C443.2 149.9 413.4 131.7 375.1 124.6z"],
    "coffee-pot": [512, 512, [], "e002", "M428 175L480 32H88C39.4 32 0 71.4 0 120v80C0 213.3 10.75 224 23.1 224S48 213.3 48 200V120c0-22.09 17.91-40 40-40h25.5l34.75 95.5C96.88 215.2 64 276.1 64 344.6c0 51.5 18.62 84.74 49.62 117.7C124.5 473.6 139.5 480 155.1 480l265.8 0c15.53 0 30.66-6.274 41.32-17.57C493.3 429.5 512 396.2 512 344.6C512 276.9 480 215.1 428 175zM411.5 80L382.4 160H193.6L164.5 80H411.5zM114.1 320C121.2 273.8 148.2 234.1 186.2 208h205.9c37.25 26.12 63 66.25 69.75 112H114.1z"],
    "coffin": [448, 512, [9904], "f6c6", "M406.5 115.2l-107.8-105.9C292.6 3.375 284.3 0 275.6 0H172.4C163.7 0 155.4 3.375 149.2 9.375L41.46 115.2c-8.002 7.875-11.25 19.38-8.502 30.38l87.14 342.1C123.7 502 136.7 512 151.7 512h144.7c14.88 0 27.88-9.1 31.51-24.25l87.14-342.1C417.8 134.6 414.5 123.1 406.5 115.2zM284.5 464H163.5l-81.64-321.1L178.5 48h91.02l96.64 94.88L284.5 464z"],
    "coffin-cross": [384, 512, [], "e051", "M374.5 115.3l-107.8-105.9C260.6 3.375 252.3 0 243.6 0h-103.3C131.7 0 123.4 3.375 117.2 9.375l-107.8 105.9c-8.002 7.875-11.25 19.38-8.502 30.38l87.14 342.1C91.73 502 104.7 512 119.7 512h144.7c14.88 0 27.88-9.1 31.51-24.25l87.14-342.1C385.8 134.6 382.5 123.1 374.5 115.3zM252.5 464H131.5l-81.64-321.1L146.5 48h91.02l96.64 94.88L252.5 464zM216 120C216 106.7 205.3 96 192 96C178.7 96 167.1 106.7 167.1 120V160H119.1c-13.25 0-23.1 10.74-23.1 23.1S106.7 208 119.1 208h48.02v119.1C167.1 341.3 178.7 352 191.1 352c13.26 0 24.01-10.75 24.01-24V208h48.01c13.26 0 24-10.75 24-24C288 170.7 277.3 160 264 160h-48.02V120z"],
    "coin": [512, 512, [129689], "f85c", "M410.4 245.9C399.7 253.9 385.8 260.1 370.7 264.8C340.3 274.4 299.7 279.1 256 279.1C212.3 279.1 171.7 274.4 141.3 264.8C126.2 260.1 112.3 253.9 101.6 245.9C91.33 238.3 80 225.7 80 208C80 190.3 91.33 177.7 101.6 170.1C112.3 162.1 126.2 155.9 141.3 151.2C171.7 141.6 212.3 136 256 136C299.7 136 340.3 141.6 370.7 151.2C385.8 155.9 399.7 162.1 410.4 170.1C420.7 177.7 432 190.3 432 208C432 225.7 420.7 238.3 410.4 245.9V245.9zM155.7 196.9C143.1 200.7 135.9 204.6 131.1 208C135.9 211.4 143.1 215.3 155.7 219.1C180.3 226.8 215.8 232 256 232C296.2 232 331.7 226.8 356.3 219.1C368 215.3 376.1 211.4 380.9 208C376.1 204.6 368 200.7 356.3 196.9C331.7 189.2 296.2 184 256 184C215.8 184 180.3 189.2 155.7 196.9zM512 208V320C512 390.7 397.4 448 256 448C114.6 448 0 390.7 0 320V208C0 128.5 114.6 64 256 64C397.4 64 512 128.5 512 208zM98.51 267.1C136.4 289.3 191.1 304 256 304C320 304 375.6 289.3 413.5 267.1C452.9 245.8 464 222.7 464 208C464 193.3 452.9 170.2 413.5 148C375.6 126.7 320 112 256 112C191.1 112 136.4 126.7 98.51 148C59.11 170.2 48 193.3 48 208C48 222.7 59.11 245.8 98.51 267.1zM216 398.3C228.9 399.4 242.3 400 256 400C269.7 400 283.1 399.4 296 398.3V350.3C282.1 351.4 269.6 352 256 352C242.4 352 229 351.4 216 350.3V398.3zM184 346.2C161.2 342.5 139.7 336.1 120 330V377.7C138.7 384.7 160.3 390.4 184 394.3V346.2zM48 320C48 326.8 54.21 344.2 88 363.1V316.7C73.04 309.3 59.6 301 48 291.1V320zM392 377.7V330C372.3 336.1 350.8 342.5 328 346.2V394.3C351.7 390.4 373.3 384.7 392 377.7zM424 363.1C457.8 344.2 464 326.8 464 320V291.1C452.4 301 438.1 309.3 424 316.7V363.1zM384.7 211.2C384.7 211.3 384.8 211.4 384.8 211.4L384.7 211.2zM384.8 204.6C384.8 204.6 384.7 204.7 384.7 204.8L384.8 204.6zM127.3 204.8C127.3 204.7 127.2 204.6 127.2 204.6L127.3 204.8zM127.2 211.4C127.2 211.4 127.3 211.3 127.3 211.2z"],
    "coin-blank": [512, 512, [], "e3fb", "M0 208C0 128.5 114.6 64 256 64C397.4 64 512 128.5 512 208V320C512 390.7 397.4 448 256 448C114.6 448 0 390.7 0 320V208zM413.5 267.1C452.9 245.8 464 222.7 464 208C464 193.3 452.9 170.2 413.5 148C375.6 126.7 320 112 256 112C191.1 112 136.4 126.7 98.51 148C59.11 170.2 48 193.3 48 208C48 222.7 59.11 245.8 98.51 267.1C136.4 289.3 191.1 304 256 304C320 304 375.6 289.3 413.5 267.1zM256 352C242.4 352 229 351.4 216 350.3V398.3C228.9 399.4 242.3 400 256 400C269.7 400 283.1 399.4 296 398.3V350.3C282.1 351.4 269.6 352 256 352zM120 377.7C138.7 384.7 160.3 390.4 184 394.3V346.2C161.2 342.5 139.7 336.1 120 330V377.7zM88 316.7C73.04 309.3 59.6 301 48 291.1V319.1C48 326.8 54.21 344.2 88 363.1V316.7zM328 346.2V394.3C351.7 390.4 373.3 384.7 392 377.7V330C372.3 336.1 350.8 342.5 328 346.2zM464 291.1C452.4 301 438.1 309.3 424 316.7V363.1C457.8 344.2 464 326.8 464 320V291.1z"],
    "coin-front": [512, 512, [], "e3fc", "M280 328C280 341.3 269.3 352 256 352C242.7 352 232 341.3 232 328V184C232 170.7 242.7 160 256 160C269.3 160 280 170.7 280 184V328zM80 256C80 158.8 158.8 80 256 80C353.2 80 432 158.8 432 256C432 353.2 353.2 432 256 432C158.8 432 80 353.2 80 256zM256 384C326.7 384 384 326.7 384 256C384 185.3 326.7 128 256 128C185.3 128 128 185.3 128 256C128 326.7 185.3 384 256 384zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464z"],
    "coin-vertical": [384, 512, [], "e3fd", "M181.9 101.6C189.9 112.3 196.1 126.2 200.8 141.3C210.4 171.7 216 212.3 216 256C216 299.7 210.4 340.3 200.8 370.7C196.1 385.8 189.9 399.7 181.9 410.4C174.3 420.7 161.7 432 144 432C126.3 432 113.7 420.7 106.1 410.4C98.1 399.7 91.93 385.8 87.17 370.7C77.56 340.3 72 299.7 72 256C72 212.3 77.56 171.7 87.17 141.3C91.93 126.2 98.1 112.3 106.1 101.6C113.7 91.33 126.3 80 144 80C161.7 80 174.3 91.33 181.9 101.6V101.6zM132.9 356.3C136.7 368 140.6 376.1 144 380.9C147.4 376.1 151.3 368 155.1 356.3C162.8 331.7 168 296.2 168 256C168 215.8 162.8 180.3 155.1 155.7C151.3 143.1 147.4 135.9 144 131.1C140.6 135.9 136.7 143.1 132.9 155.7C125.2 180.3 120 215.8 120 256C120 296.2 125.2 331.7 132.9 356.3V356.3zM144 0H256C326.7 0 384 114.6 384 256C384 397.4 326.7 512 256 512H144C64.47 512 0 397.4 0 256C0 114.6 64.47 0 144 0zM203.1 413.5C225.3 375.6 240 320 240 256C240 191.1 225.3 136.4 203.1 98.51C181.8 59.11 158.7 48 144 48C129.3 48 106.2 59.11 84.01 98.51C62.7 136.4 48 191.1 48 256C48 320 62.7 375.6 84.01 413.5C106.2 452.9 129.3 464 144 464C158.7 464 181.8 452.9 203.1 413.5zM334.3 296C335.4 283.1 336 269.7 336 256C336 242.3 335.4 228.9 334.3 216H286.3C287.4 229 288 242.4 288 256C288 269.6 287.4 282.1 286.3 296H334.3zM282.2 328C278.5 350.8 272.1 372.3 266 392H313.7C320.7 373.3 326.4 351.7 330.3 328H282.2zM256 464C262.8 464 280.2 457.8 299.1 424H252.7C245.3 438.1 237 452.4 227.1 464H256zM313.7 120H266C272.1 139.7 278.5 161.2 282.2 184H330.3C326.4 160.3 320.7 138.7 313.7 120zM299.1 88C280.2 54.21 262.8 48 256 48H227.1C237 59.6 245.3 73.04 252.7 88H299.1zM147.2 127.3C147.3 127.3 147.4 127.2 147.4 127.2L147.2 127.3zM140.6 127.2C140.6 127.2 140.7 127.3 140.8 127.3L140.6 127.2zM140.8 384.7C140.7 384.7 140.6 384.8 140.6 384.8L140.8 384.7zM147.4 384.8C147.4 384.8 147.3 384.7 147.2 384.7z"],
    "coins": [512, 512, [], "f51e", "M176.6 89.54C177.2 90.75 178.6 92.65 181.3 95.08C181.6 95.41 182 95.75 182.4 96.09C163.8 96.45 145.5 97.84 128 100.2V87.1C128 69.98 137.7 55.58 149.1 45.26C160.6 34.92 175.9 26.72 192.7 20.32C226.4 7.454 271.5 0 320 0C368.5 0 413.6 7.454 447.3 20.32C464.1 26.72 479.4 34.92 490.9 45.26C502.3 55.58 512 69.98 512 87.1V295.1C512 314 502.3 328.4 490.9 338.7C479.4 349.1 464.1 357.3 447.3 363.7C437.7 367.3 427.2 370.6 416 373.3V323.6C421.1 322.1 425.8 320.5 430.2 318.8C443.9 313.6 453.2 308.1 458.7 303.1C461.4 300.7 462.8 298.7 463.4 297.5C464 296.5 464 296 464 295.1V252.4C458.7 255.1 453.1 257.5 447.3 259.7C437.7 263.3 427.2 266.6 416 269.3V219.6C421.1 218.1 425.8 216.5 430.2 214.8C443.9 209.6 453.2 204.1 458.7 199.1C461.4 196.7 462.8 194.7 463.4 193.5C463.9 192.6 463.1 192.1 464 191.1V148.4C458.7 151.1 453.1 153.5 447.3 155.7C433.6 160.9 417.1 165.3 401 168.6C395.9 161 390 154.7 384.3 149.5C374.2 140.4 362.4 132.1 350.2 126.9C381.9 124.6 409.6 118.7 430.2 110.8C443.9 105.6 453.2 100.1 458.7 95.08C461.4 92.65 462.8 90.75 463.4 89.54C463.9 88.61 463.1 88.11 464 87.1C464 87.98 464 87.53 463.4 86.46C462.8 85.25 461.4 83.34 458.7 80.92C453.2 75.94 443.9 70.35 430.2 65.17C403.2 54.87 364.2 47.1 320 47.1C275.8 47.1 236.8 54.87 209.7 65.17C196.1 70.35 186.8 75.94 181.3 80.92C178.6 83.34 177.2 85.25 176.6 86.46C175.1 87.53 175.1 87.98 175.1 87.1C176 88.12 176.1 88.61 176.6 89.54L176.6 89.54zM0 215.1C0 197.1 9.674 183.6 21.14 173.3C32.61 162.9 47.86 154.7 64.66 148.3C98.43 135.5 143.5 128 192 128C240.5 128 285.6 135.5 319.3 148.3C336.1 154.7 351.4 162.9 362.9 173.3C374.3 183.6 384 197.1 384 215.1V424C384 442 374.3 456.4 362.9 466.7C351.4 477.1 336.1 485.3 319.3 491.7C285.6 504.5 240.5 512 192 512C143.5 512 98.43 504.5 64.66 491.7C47.86 485.3 32.61 477.1 21.14 466.7C9.674 456.4 0 442 0 424V215.1zM48.56 217.5C49.2 218.7 50.57 220.7 53.26 223.1C58.79 228.1 68.15 233.6 81.75 238.8C108.8 249.1 147.8 255.1 192 255.1C236.2 255.1 275.2 249.1 302.2 238.8C315.9 233.6 325.2 228.1 330.7 223.1C333.4 220.7 334.8 218.7 335.4 217.5C335.9 216.6 335.1 216.1 336 215.1C336 215.1 336 215.5 335.4 214.5C334.8 213.3 333.4 211.3 330.7 208.9C325.2 203.9 315.9 198.4 302.2 193.2C275.2 182.9 236.2 176 192 176C147.8 176 108.8 182.9 81.75 193.2C68.15 198.4 58.79 203.9 53.26 208.9C50.57 211.3 49.2 213.3 48.56 214.5C47.98 215.5 47.1 215.1 48 215.1C48 216.1 48.05 216.6 48.56 217.5V217.5zM336 276.4C330.7 279.1 325.1 281.5 319.3 283.7C285.6 296.5 240.5 303.1 192 303.1C143.5 303.1 98.43 296.5 64.66 283.7C58.9 281.5 53.31 279.1 48 276.4V320C48 320.1 48.05 320.6 48.56 321.5C49.2 322.7 50.57 324.7 53.26 327.1C58.79 332.1 68.15 337.6 81.75 342.8C108.8 353.1 147.8 360 192 360C236.2 360 275.2 353.1 302.2 342.8C315.9 337.6 325.2 332.1 330.7 327.1C333.4 324.7 334.8 322.7 335.4 321.5C335.9 320.6 335.1 320.1 336 320L336 276.4zM64.66 387.7C58.9 385.5 53.31 383.1 48 380.4V424C47.1 424 47.98 424.5 48.56 425.5C49.2 426.7 50.57 428.7 53.26 431.1C58.79 436.1 68.15 441.6 81.75 446.8C108.8 457.1 147.8 464 192 464C236.2 464 275.2 457.1 302.2 446.8C315.9 441.6 325.2 436.1 330.7 431.1C333.4 428.7 334.8 426.7 335.4 425.5C336 424.5 336 424 336 424V380.4C330.7 383.1 325.1 385.5 319.3 387.7C285.6 400.5 240.5 408 191.1 408C143.5 408 98.43 400.5 64.66 387.7L64.66 387.7z"],
    "colon": [128, 512, [], "3a", "M64 192c35.35 0 64-28.65 64-64c0-35.35-28.65-64-64-64s-64 28.65-64 64C.0008 163.3 28.66 192 64 192zM64 112c8.822 0 16 7.178 16 16S72.82 144 64 144S48 136.8 48 128S55.18 112 64 112zM64 320c-35.35 0-64 28.65-64 64c0 35.35 28.65 64 64 64s64-28.65 64-64C128 348.7 99.35 320 64 320zM64 400c-8.822 0-16-7.178-16-16s7.178-16 16-16s16 7.178 16 16S72.82 400 64 400z"],
    "colon-sign": [320, 512, [], "e140", "M212.9 72.86C222.9 73.78 232.8 75.44 242.3 77.76L256.7 18.37C259.8 5.481 272.7-2.442 285.6 .6677C298.5 3.778 306.4 16.74 303.3 29.63L287.6 94.8C295.4 98.86 302.8 103.4 309.9 108.4C320.7 116.1 323.2 131 315.6 141.9C307.9 152.7 292.1 155.2 282.1 147.6C280.1 146.1 278 144.7 275.9 143.4L216.2 390.4C240.8 386.9 263.3 377.7 282.1 364.4C292.1 356.7 307.9 359.3 315.6 370.1C323.2 380.1 320.7 395.9 309.9 403.6C280 424.7 243.7 437.8 204.3 439.7L191.3 493.6C188.2 506.5 175.3 514.4 162.4 511.3C149.5 508.2 141.6 495.3 144.7 482.4L155.8 436.4C145.9 434.5 136.3 431.9 127 428.7L111.3 493.6C108.2 506.5 95.25 514.4 82.37 511.3C69.48 508.2 61.56 495.3 64.67 482.4L82.9 406.8C33.04 373.8 0 319 0 255.1C0 163.2 71.63 88.26 163.2 74.32L176.7 18.37C179.8 5.482 192.7-2.442 205.6 .6684C218.5 3.778 226.4 16.74 223.3 29.63L212.9 72.86zM150.7 126C90.52 143.4 48 195.9 48 255.1C48 295.1 66 331 95.15 356.1L150.7 126zM167 389.7L231.1 124.4C221.6 122.1 211.7 120.7 201.5 120.2L138.3 381.8C147.4 385.3 157 387.1 167 389.7V389.7z"],
    "columns-3": [640, 512, [], "e361", "M0 96C0 60.65 28.65 32 64 32H576C611.3 32 640 60.65 640 96V416C640 451.3 611.3 480 576 480H64C28.65 480 0 451.3 0 416V96zM448 432H576C584.8 432 592 424.8 592 416V96C592 87.16 584.8 80 576 80H448V432zM400 80H240V432H400V80zM192 432V80H64C55.16 80 48 87.16 48 96V416C48 424.8 55.16 432 64 432H192z"],
    "comet": [512, 512, [], "e003", "M308.4 263.1l-61.01-9l-27.38-55.5c-2.25-4.625-7.001-7.5-12-7.5c-5.125 0-9.751 2.875-12 7.5l-27.38 55.5l-61.13 9C102.3 264.6 98.22 268.2 96.59 273.1C95.09 277.8 96.34 283.2 100.1 286.7l44.25 43.25l-10.5 61c-.8751 5 1.125 10.12 5.25 13.12s9.626 3.375 14.13 1l54.75-29.02l54.64 29.02c4.5 2.375 10 2 14.13-1c4.125-3 6.126-8.125 5.375-13.12l-10.5-61l44.25-43.25c3.625-3.5 5-8.875 3.375-13.75C317.6 268.2 313.5 264.6 308.4 263.1zM502.4 9.722c-8.626-8.75-21.38-11.88-33.13-8.25c-28.38 8.5-95.01 29.12-153.3 52.25c-4-10.25-12.13-18.38-22.38-22.25s-21.75-3.125-31.5 1.1c-42.25 22-146.3 79.13-203.5 136.3c-78.13 78.13-78.13 205.4 0 283.5c78.38 78.38 205.3 78.38 283.7 0c57.01-57 114.4-161.2 136.4-203.4c5.125-9.75 5.75-21.12 1.875-31.5c-3.875-10.25-12-18.38-22.38-22.38c23.25-58.5 43.88-124.9 52.38-153.1C514.1 31.1 511 18.35 502.4 9.722zM430.7 237.7c-23.88 44.75-74.01 133.1-122.5 181.5c-28.5 28.63-67.38 44.75-107.8 44.75c-40.5 0-79.26-16.12-107.9-44.75c-59.38-59.37-59.38-156.1 0-215.6c49.13-49.12 141.8-101.1 181.6-122.4c2.5 8 4.375 14.38 11 37.38l25-10.62c47.5-20.5 107.4-40.25 146.3-52.5c-12.25 38.88-31.88 98.5-52.38 146.4l-10.75 24.88C421.6 235.1 424.7 236.1 430.7 237.7z"],
    "comma": [192, 512, [], "2c", "M156.4 327.4c-8.775-24.27-33.94-39.39-58.1-39.39c-9.959 .002-19.91 2.39-28.8 7.544c-15.66 9.051-26.41 24.44-29.45 42.25l-22.57 131.7c-2.986 17.32 6.9 34.29 23.49 40.31C44.12 511.3 48.34 511.1 52.51 511.1c12.67 0 24.82-6.604 31.51-18.03l67.69-115.4C160.8 363 162.5 344.4 156.4 327.4zM110.3 354.3l-35.78 60.99l11.9-69.42c.6387-3.734 2.824-6.854 6.209-8.809C94.15 336.2 96.04 336 97.36 335.1c5.896 .002 12.37 3.605 13.88 7.768C112.5 347.3 112.2 351.1 110.3 354.3z"],
    "command": [448, 512, [], "e142", "M352 288h-48V224H352c53.02 0 96-42.98 96-96s-42.98-96-96-96s-96 42.98-96 96v48H192V128c0-53.02-42.98-96-96-96S0 74.98 0 128s42.98 96 96 96h48v64H96c-53.02 0-96 42.98-96 96s42.98 96 96 96s96-42.98 96-96v-48h64V384c0 53.02 42.98 96 96 96s96-42.98 96-96S405 288 352 288zM304 128c0-26.47 21.53-48 48-48s48 21.53 48 48S378.5 176 352 176h-48V128zM144 384c0 26.47-21.53 48-48 48S48 410.5 48 384s21.53-48 48-48h48V384zM144 176H96C69.53 176 48 154.5 48 128S69.53 80 96 80S144 101.5 144 128V176zM256 288H192V224h64V288zM352 432c-26.47 0-48-21.53-48-48v-48H352c26.47 0 48 21.53 48 48S378.5 432 352 432z"],
    "comment": [512, 512, [61669, 128489], "f075", "M256 32C114.6 32 .0272 125.1 .0272 240c0 47.63 19.91 91.25 52.91 126.2c-14.88 39.5-45.87 72.88-46.37 73.25c-6.625 7-8.375 17.25-4.625 26C5.818 474.2 14.38 480 24 480c61.5 0 109.1-25.75 139.1-46.25C191.1 442.8 223.3 448 256 448c141.4 0 255.1-93.13 255.1-208S397.4 32 256 32zM256.1 400c-26.75 0-53.12-4.125-78.38-12.12l-22.75-7.125l-19.5 13.75c-14.25 10.12-33.88 21.38-57.5 29c7.375-12.12 14.37-25.75 19.88-40.25l10.62-28l-20.62-21.87C69.82 314.1 48.07 282.2 48.07 240c0-88.25 93.25-160 208-160s208 71.75 208 160S370.8 400 256.1 400z"],
    "comment-arrow-down": [512, 512, [], "e143", "M319 223L280 262.1V160c0-13.25-10.75-24-24-24S232 146.8 232 160v102.1L192.1 223C188.3 218.3 182.2 216 176 216S163.7 218.3 159 223c-9.375 9.375-9.375 24.56 0 33.94l80 80c9.375 9.375 24.56 9.375 33.94 0l80-80c9.375-9.375 9.375-24.56 0-33.94S328.4 213.7 319 223zM256 32C114.7 32 .0273 125.1 .0273 240c0 47.63 19.91 91.25 52.91 126.3c-14.87 39.5-45.87 72.88-46.37 73.25c-6.623 7-8.373 17.25-4.623 26C5.816 474.3 14.38 480 24 480c61.49 0 109.1-25.75 139.1-46.25C191.1 442.8 223.3 448 256 448C397.4 448 512 354.9 512 240S397.4 32 256 32zM256 400c-26.75 0-53.12-4.125-78.36-12.12l-22.75-7.125L135.4 394.5c-14.25 10.12-33.87 21.38-57.49 29c7.373-12.12 14.37-25.75 19.87-40.25l10.62-28l-20.62-21.88C69.81 314.1 48.06 282.3 48.06 240c0-88.25 93.24-160 207.1-160c114.7 0 207.1 71.75 207.1 160S370.8 400 256 400z"],
    "comment-arrow-up": [512, 512, [], "e144", "M272.1 143c-9.375-9.375-24.56-9.375-33.94 0l-80 80c-9.375 9.375-9.375 24.56 0 33.94s24.56 9.375 33.94 0L232 217.9V320c0 13.25 10.75 24 24 24s24-10.75 24-24V217.9l39.03 39.03C323.7 261.7 329.8 264 336 264s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94L272.1 143zM256 32C114.7 32 .0273 125.1 .0273 240c0 47.63 19.91 91.25 52.91 126.3c-14.87 39.5-45.87 72.88-46.37 73.25c-6.623 7-8.373 17.25-4.623 26C5.816 474.3 14.38 480 24 480c61.49 0 109.1-25.75 139.1-46.25C191.1 442.8 223.3 448 256 448C397.4 448 512 354.9 512 240S397.4 32 256 32zM256 400c-26.75 0-53.12-4.125-78.36-12.12l-22.75-7.125L135.4 394.5c-14.25 10.12-33.87 21.38-57.49 29c7.373-12.12 14.37-25.75 19.87-40.25l10.62-28l-20.62-21.88C69.81 314.1 48.06 282.3 48.06 240c0-88.25 93.24-160 207.1-160c114.7 0 207.1 71.75 207.1 160S370.8 400 256 400z"],
    "comment-arrow-up-right": [512, 512, [], "e145", "M312 144h-112C186.8 144 176 154.8 176 168S186.8 192 200 192h54.06L167 279c-9.375 9.375-9.375 24.56 0 33.94c9.373 9.375 24.56 9.381 33.94 0L288 225.9V280c0 13.25 10.75 24 24 24s24-10.75 24-24v-112C336 154.8 325.3 144 312 144zM256 32C114.6 32 .0273 125.1 .0273 240c0 47.63 19.91 91.25 52.91 126.3c-14.88 39.5-45.87 72.88-46.37 73.25c-6.625 7-8.374 17.25-4.624 26C5.818 474.3 14.38 480 24 480c61.5 0 109.1-25.75 139.1-46.25C191.1 442.8 223.3 448 256 448c141.4 0 255.1-93.13 255.1-208S397.4 32 256 32zM256.1 400c-26.75 0-53.13-4.125-78.38-12.12L154.9 380.8L135.4 394.5c-14.25 10.12-33.88 21.38-57.5 29c7.375-12.12 14.38-25.75 19.88-40.25l10.62-28l-20.62-21.88C69.82 314.1 48.07 282.3 48.07 240c0-88.25 93.25-160 208-160s208 71.75 208 160S370.8 400 256.1 400z"],
    "comment-captions": [512, 512, [], "e146", "M256 31.1c-141.4 0-255.1 93.13-255.1 208c0 47.62 19.91 91.25 52.91 126.3c-14.87 39.5-45.87 72.88-46.37 73.25c-6.624 7-8.374 17.25-4.625 26C5.817 474.3 14.38 480 24 480c61.49 0 109.1-25.75 139.1-46.25c28.87 9 60.16 14.25 92.91 14.25c141.4 0 255.1-93.13 255.1-207.1S397.4 31.1 256 31.1zM256 400c-26.75 0-53.12-4.125-78.36-12.12l-22.75-7.125L135.4 394.5c-14.25 10.12-33.87 21.38-57.49 29c7.374-12.12 14.37-25.75 19.87-40.25l10.62-28l-20.62-21.88C69.81 314.1 48.06 282.3 48.06 240c0-88.25 93.24-160 207.1-160s207.1 71.75 207.1 160S370.8 400 256 400zM239.1 216c0-13.25-10.75-24-23.1-24H119.1C106.7 192 95.99 202.8 95.99 216S106.7 240 119.1 240l96-.0006C229.2 239.1 239.1 229.3 239.1 216zM295.1 272H215.1c-13.25 0-23.1 10.75-23.1 24S202.7 320 215.1 320h79.99c13.25 0 23.1-10.75 23.1-24S309.2 272 295.1 272zM135.1 272H119.1c-13.25 0-23.1 10.75-23.1 24S106.7 320 119.1 320h15.1c13.25 0 23.1-10.75 23.1-24S149.2 272 135.1 272zM391.9 272h-15.1c-13.25 0-23.1 10.75-23.1 24S362.7 320 375.9 320h15.1c13.25 0 23.1-10.75 23.1-24S405.2 272 391.9 272zM391.9 192h-95.99c-13.25 0-23.1 10.75-23.1 24s10.75 24 23.1 24h95.99c13.25 0 23.1-10.75 23.1-24S405.2 192 391.9 192z"],
    "comment-check": [512, 512, [], "f4ac", "M309.8 168.4L230.7 260.7L200.1 231c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94l48 48C219.5 317.5 225.7 319.1 232 319.1c.3125 0 .625 0 .9062-.0313C239.6 319.7 245.9 316.7 250.2 311.6l96-112c8.625-10.06 7.469-25.22-2.594-33.84C333.6 157.2 318.4 158.3 309.8 168.4zM256 31.1c-141.4 0-255.1 93.13-255.1 208c0 47.62 19.91 91.25 52.91 126.3c-14.87 39.5-45.87 72.88-46.37 73.25c-6.623 7-8.374 17.25-4.624 26C5.815 474.3 14.38 480 24 480c61.49 0 109.1-25.75 139.1-46.25c28.87 9 60.16 14.25 92.9 14.25c141.4 0 255.1-93.13 255.1-207.1S397.4 31.1 256 31.1zM256 400c-26.75 0-53.12-4.125-78.36-12.12l-22.75-7.125L135.4 394.5c-14.25 10.12-33.87 21.38-57.49 29c7.373-12.12 14.37-25.75 19.87-40.25l10.62-28l-20.62-21.88C69.81 314.1 48.06 282.3 48.06 240c0-88.25 93.24-160 207.1-160c114.7 0 207.1 71.75 207.1 160S370.8 400 256 400z"],
    "comment-code": [512, 512, [], "e147", "M256 32C114.6 32 .0273 125.1 .0273 240c0 47.63 19.91 91.25 52.91 126.3c-14.88 39.5-45.87 72.88-46.37 73.25c-6.625 7-8.374 17.25-4.624 26C5.818 474.3 14.38 480 24 480c61.5 0 109.1-25.75 139.1-46.25C191.1 442.8 223.3 448 256 448c141.4 0 255.1-93.13 255.1-208S397.4 32 256 32zM256.1 400c-26.75 0-53.13-4.125-78.38-12.12L154.9 380.8L135.4 394.5c-14.25 10.12-33.88 21.38-57.5 29c7.375-12.12 14.38-25.75 19.88-40.25l10.62-28l-20.62-21.88C69.82 314.1 48.07 282.3 48.07 240c0-88.25 93.25-160 208-160s208 71.75 208 160S370.8 400 256.1 400zM216.1 159c-9.375-9.375-24.56-9.375-33.94 0l-64 64c-9.375 9.375-9.375 24.56 0 33.94l64 64C187.7 325.7 193.9 328 200 328s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94L169.9 240l47.03-47.03C226.3 183.6 226.3 168.4 216.1 159zM328.1 159c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L342.1 240l-47.03 47.03c-9.375 9.375-9.375 24.56 0 33.94C299.7 325.7 305.9 328 312 328s12.28-2.344 16.97-7.031l64-64c9.375-9.375 9.375-24.56 0-33.94L328.1 159z"],
    "comment-dollar": [512, 512, [], "f651", "M256 31.1c-141.4 0-255.1 93.13-255.1 208c0 47.62 19.91 91.25 52.9 126.3c-14.87 39.5-45.87 72.88-46.37 73.25c-6.623 7-8.374 17.25-4.624 26C5.816 474.3 14.4 480 24.02 480c61.49 0 109.1-25.75 139.1-46.25c28.87 9 60.14 14.25 92.89 14.25c141.4 0 255.1-93.13 255.1-207.1S397.4 31.1 256 31.1zM256 400c-26.75 0-53.12-4.125-78.36-12.12l-22.75-7.125L135.4 394.5c-14.25 10.12-33.87 21.38-57.49 29c7.373-12.12 14.37-25.75 19.87-40.25l10.62-28l-20.62-21.88C69.81 314.1 48.06 282.3 48.06 240c0-88.25 93.24-160 207.1-160c114.7 0 207.1 71.75 207.1 160S370.8 400 256 400zM261.5 220.8L255.1 219.2C232.3 212.2 232.8 208.1 233.6 204.5c1.375-7.812 16.59-9.719 30.27-7.625c5.594 .8438 11.73 2.812 17.59 4.844c10.39 3.594 21.83-1.938 25.45-12.34c3.625-10.44-1.891-21.84-12.33-25.47c-7.219-2.484-13.11-4.078-18.56-5.273V148c0-11.03-8.946-20-19.99-20S236 136.1 236 148v9.992C213.6 162.8 197.8 176.8 194.2 197.7C186.8 240.5 227.4 252.4 244.7 257.5L250.5 259.2c29.28 8.375 28.8 11.19 27.92 16.28c-1.375 7.812-16.59 9.75-30.31 7.625C241.2 282.1 232.3 278.9 224.5 276.1L219.1 274.5C209.6 270.9 198.2 276.3 194.5 286.7C190.8 297.1 196.3 308.5 206.7 312.2l4.266 1.5c7.758 2.789 16.38 5.59 25.06 7.512V332c0 11.03 8.961 20 20.01 20s19.99-8.969 19.99-20v-10.25c22.36-4.793 38.21-18.53 41.83-39.43C325.3 239 283.8 227.1 261.5 220.8z"],
    "comment-dots": [512, 512, [62075, 128172, "commenting"], "f4ad", "M144 208C126.3 208 112 222.2 112 239.1C112 257.7 126.3 272 144 272s31.1-14.25 31.1-32S161.8 208 144 208zM256 207.1c-17.75 0-31.1 14.25-31.1 32s14.25 31.1 31.1 31.1s31.1-14.25 31.1-31.1S273.8 207.1 256 207.1zM368 208c-17.75 0-31.1 14.25-31.1 32s14.25 32 31.1 32c17.75 0 31.99-14.25 31.99-32C400 222.2 385.8 208 368 208zM256 31.1c-141.4 0-255.1 93.12-255.1 208c0 47.62 19.91 91.25 52.91 126.3c-14.87 39.5-45.87 72.88-46.37 73.25c-6.624 7-8.373 17.25-4.624 26C5.818 474.2 14.38 480 24 480c61.49 0 109.1-25.75 139.1-46.25c28.87 9 60.16 14.25 92.9 14.25c141.4 0 255.1-93.13 255.1-207.1S397.4 31.1 256 31.1zM256 400c-26.75 0-53.12-4.125-78.36-12.12l-22.75-7.125L135.4 394.5c-14.25 10.12-33.87 21.38-57.49 29c7.374-12.12 14.37-25.75 19.87-40.25l10.62-28l-20.62-21.87C69.81 314.1 48.06 282.2 48.06 240c0-88.25 93.24-160 207.1-160s207.1 71.75 207.1 160S370.8 400 256 400z"],
    "comment-exclamation": [512, 512, [], "f4af", "M256 31.1c-141.4 0-255.1 93.13-255.1 208c0 47.62 19.91 91.25 52.91 126.3c-14.87 39.5-45.87 72.88-46.37 73.25c-6.623 7-8.373 17.25-4.623 26C5.816 474.3 14.38 480 24 480c61.49 0 109.1-25.75 139.1-46.25c28.87 9 60.16 14.25 92.9 14.25c141.4 0 255.1-93.13 255.1-207.1S397.4 31.1 256 31.1zM256 400c-26.75 0-53.12-4.125-78.36-12.12l-22.75-7.125L135.4 394.5c-14.25 10.12-33.87 21.38-57.49 29c7.373-12.12 14.37-25.75 19.87-40.25l10.62-28l-20.62-21.88C69.81 314.1 48.06 282.3 48.06 240c0-88.25 93.24-160 207.1-160c114.7 0 207.1 71.75 207.1 160S370.8 400 256 400zM256 304c-17.67 0-32 14.33-32 32s14.33 32 32 32c17.67 0 32-14.33 32-32S273.7 304 256 304zM256 272c13.25 0 24-10.75 24-24v-112c0-13.25-10.75-24-24-24S232 122.8 232 136v112C232 261.3 242.8 272 256 272z"],
    "comment-image": [512, 512, [], "e148", "M256 32C114.7 32 .0273 125.1 .0273 240c0 47.63 19.91 91.25 52.91 126.3c-14.87 39.5-45.87 72.88-46.37 73.25c-6.623 7-8.373 17.25-4.623 26C5.816 474.3 14.38 480 24 480c61.49 0 109.1-25.75 139.1-46.25C191.1 442.8 223.3 448 256 448C397.4 448 512 354.9 512 240S397.4 32 256 32zM256 400c-26.75 0-53.12-4.125-78.36-12.12l-22.75-7.125L135.4 394.5c-14.25 10.12-33.87 21.38-57.49 29c7.373-12.12 14.37-25.75 19.87-40.25l10.62-28l-20.62-21.88C69.81 314.1 48.06 282.3 48.06 240c0-88.25 93.24-160 207.1-160c114.7 0 207.1 71.75 207.1 160S370.8 400 256 400zM176 192c17.62 0 32-14.38 32-32s-14.38-32-32-32s-32 14.38-32 32S158.4 192 176 192zM311.1 167.1C309 162.7 304 160 298.7 160s-10.35 2.672-13.31 7.125L231.8 247.4L219.6 230.6C216.6 226.4 211.8 224 206.7 224S196.8 226.4 193.7 230.6l-46.67 64c-3.549 4.863-4.064 11.31-1.334 16.68C148.5 316.6 153.1 320 160 320h224c5.9 0 11.32-3.246 14.11-8.449c2.783-5.203 2.479-11.52-.7949-16.43L311.1 167.1z"],
    "comment-lines": [512, 512, [], "f4b0", "M264 272h-112C138.8 272 128 282.8 128 296S138.8 320 152 320h112C277.3 320 288 309.3 288 296S277.3 272 264 272zM360 176h-208C138.8 176 128 186.8 128 200S138.8 224 152 224h208C373.3 224 384 213.3 384 200S373.3 176 360 176zM256 31.1c-141.4 0-255.1 93.13-255.1 208c0 47.62 19.91 91.25 52.91 126.3c-14.87 39.5-45.87 72.88-46.37 73.25c-6.623 7-8.373 17.25-4.623 26C5.816 474.3 14.38 480 24 480c61.49 0 109.1-25.75 139.1-46.25c28.87 9 60.16 14.25 92.9 14.25c141.4 0 255.1-93.13 255.1-207.1S397.4 31.1 256 31.1zM256 400c-26.75 0-53.12-4.125-78.36-12.12l-22.75-7.125L135.4 394.5c-14.25 10.12-33.87 21.38-57.49 29c7.373-12.12 14.37-25.75 19.87-40.25l10.62-28l-20.62-21.88C69.81 314.1 48.06 282.3 48.06 240c0-88.25 93.24-160 207.1-160c114.7 0 207.1 71.75 207.1 160S370.8 400 256 400z"],
    "comment-medical": [512, 512, [], "f7f5", "M336 208H288V160c0-8.801-7.199-16-16-16h-32C231.2 144 224 151.2 224 160v48H176C167.2 208 160 215.2 160 223.1V256c0 8.797 7.199 15.1 16 15.1H224v48C224 328.8 231.2 336 240 336h32c8.801 0 16-7.201 16-16v-48h48C344.8 271.1 352 264.8 352 256V223.1C352 215.2 344.8 208 336 208zM256 31.1c-141.4 0-255.1 93.13-255.1 208c0 47.62 19.91 91.25 52.91 126.3c-14.87 39.5-45.87 72.88-46.37 73.25c-6.623 7-8.373 17.25-4.623 26C5.816 474.3 14.38 480 24 480c61.49 0 109.1-25.75 139.1-46.25c28.87 9 60.16 14.25 92.9 14.25C397.4 447.1 512 354.9 512 239.1S397.4 31.1 256 31.1zM256 400c-26.75 0-53.12-4.125-78.36-12.12l-22.75-7.125L135.4 394.5c-14.25 10.12-33.87 21.38-57.49 29c7.373-12.12 14.37-25.75 19.87-40.25l10.62-28l-20.62-21.88C69.81 314.1 48.06 282.3 48.06 240c0-88.25 93.24-160 207.1-160c114.7 0 207.1 71.75 207.1 160S370.8 400 256 400z"],
    "comment-middle": [512, 512, [], "e149", "M256 0C114.6 0 0 93.09 0 208c0 95.99 80.08 176.5 188.8 200.5l48.89 93.39C241.2 508.6 248.6 512 256 512s14.76-3.361 18.28-10.08l48.89-93.39C431.9 384.5 512 303.1 512 208C512 93.09 397.4 0 256 0zM312.8 361.7L291 366.5L256 433.3l-35-66.86l-21.82-4.814C110.2 342 48 278.8 48 208c0-88.22 93.31-160 208-160s208 71.78 208 160C464 278.8 401.8 342 312.8 361.7z"],
    "comment-middle-top": [512, 512, [], "e14a", "M323.2 103.5l-48.89-93.39C270.8 3.361 263.4 0 256 0S241.2 3.361 237.7 10.08l-48.89 93.39C80.08 127.5 0 208 0 304c0 114.9 114.6 208 256 208s256-93.09 256-208C512 208 431.9 127.5 323.2 103.5zM256 464c-114.7 0-208-71.78-208-160c0-70.83 62.17-134 151.2-153.7L221 145.5L256 78.67l35 66.86l21.82 4.814C401.8 169.1 464 233.2 464 304C464 392.2 370.7 464 256 464z"],
    "comment-minus": [512, 512, [], "f4b1", "M256 32C114.6 32 .0281 125.1 .0281 240c0 47.63 19.91 91.25 52.91 126.3c-14.88 39.5-45.87 72.88-46.37 73.25c-6.625 7-8.373 17.25-4.623 26C5.82 474.3 14.38 480 24 480c61.5 0 109.1-25.75 139.1-46.25C191.1 442.8 223.3 448 256 448c141.4 0 255.1-93.13 255.1-208S397.4 32 256 32zM256.1 400c-26.75 0-53.13-4.125-78.38-12.12L154.9 380.8L135.4 394.5c-14.25 10.12-33.88 21.38-57.5 29c7.375-12.12 14.38-25.75 19.88-40.25l10.62-28l-20.62-21.88C69.82 314.1 48.07 282.3 48.07 240c0-88.25 93.25-160 208-160s208 71.75 208 160S370.8 400 256.1 400zM336 216H175.1C162.7 216 152 226.7 152 240c0 13.26 10.73 23.1 23.1 23.1h160C349.3 263.1 360 253.3 360 240S349.3 216 336 216z"],
    "comment-music": [512, 512, [], "f8b0", "M256 31.1c-141.4 0-255.1 93.12-255.1 208c0 47.62 19.93 91.25 52.93 126.3c-14.88 39.5-45.87 72.88-46.37 73.25c-6.625 7-8.374 17.25-4.624 26C5.722 474.2 14.47 480 23.97 480c61.5 0 109.1-25.75 139.1-46.25c30 9.375 61.42 14.25 92.92 14.25c141.4 0 255.1-93.13 255.1-207.1S397.4 31.1 256 31.1zM256 400c-26.62 0-53-4.125-78.38-12.12L155 380.8L135.5 394.5c-17.62 12.5-37 22.25-57.5 29c7.876-12.75 14.5-26.25 19.88-40.25l10.62-28l-20.62-21.87C69.75 314.1 48 282.2 48 240c0-88.25 93.38-160 208-160c114.8 0 208 71.75 208 160S370.8 400 256 400zM331.2 128.8l-128 47.25C196.5 178.1 192 184.2 192 191.2v98.72c-5.25-1.25-10.63-1.996-16-1.996c-26.5 0-48 14.38-48 32s21.5 32 48 32s47.1-14.38 47.1-32L224 235.1l96-37.5v60.34c-5.25-1.25-10.63-1.996-16-1.996c-26.5 0-48 14.38-48 32s21.5 32 48 32s48-14.38 48-32L352 144c0-5.125-2.375-9.875-6.5-12.88S336.1 127.2 331.2 128.8z"],
    "comment-pen": [512, 512, ["comment-edit"], "f4ae", "M324.2 149.3c-7.031-7.031-18.45-7.031-25.47 0l-18.23 18.23l48.01 48.01l18.24-18.24c7.029-7.035 7.029-18.44 0-25.47L324.2 149.3zM172.9 275.1C171.2 276.7 170.1 278.9 169.6 281.2l-9.521 47.61c-.8379 4.195 2.861 7.898 7.059 7.059l47.61-9.52c2.322-.4687 4.455-1.609 6.131-3.281l90.58-90.57L263.5 184.5L172.9 275.1zM256 31.1c-141.4 0-255.1 93.13-255.1 208c0 47.62 19.91 91.25 52.91 126.3c-14.87 39.5-45.87 72.88-46.37 73.25c-6.623 7-8.373 17.25-4.623 26C5.816 474.3 14.38 480 24 480c61.49 0 109.1-25.75 139.1-46.25c28.87 9 60.16 14.25 92.9 14.25c141.4 0 255.1-93.13 255.1-207.1S397.4 31.1 256 31.1zM256 400c-26.75 0-53.12-4.125-78.36-12.12l-22.75-7.125L135.4 394.5c-14.25 10.12-33.87 21.38-57.49 29c7.373-12.12 14.37-25.75 19.87-40.25l10.62-28l-20.62-21.88C69.81 314.1 48.06 282.3 48.06 240c0-88.25 93.24-160 207.1-160c114.7 0 207.1 71.75 207.1 160S370.8 400 256 400z"],
    "comment-plus": [512, 512, [], "f4b2", "M256 32C114.6 32 .0281 125.1 .0281 240c0 47.63 19.91 91.25 52.91 126.3c-14.88 39.5-45.87 72.88-46.37 73.25c-6.625 7-8.373 17.25-4.623 26C5.82 474.3 14.38 480 24 480c61.5 0 109.1-25.75 139.1-46.25C191.1 442.8 223.3 448 256 448c141.4 0 255.1-93.13 255.1-208S397.4 32 256 32zM256.1 400c-26.75 0-53.13-4.125-78.38-12.12L154.9 380.8L135.4 394.5c-14.25 10.12-33.88 21.38-57.5 29c7.375-12.12 14.38-25.75 19.88-40.25l10.62-28l-20.62-21.88C69.82 314.1 48.07 282.3 48.07 240c0-88.25 93.25-160 208-160s208 71.75 208 160S370.8 400 256.1 400zM336 216h-56V159.1C279.1 146.7 269.3 136 256 136S232 146.7 232 159.1V216H175.1C162.7 216 152 226.7 152 240c0 13.26 10.73 23.1 23.1 23.1h56v56C232 333.3 242.7 344 256 344c13.26 0 23.1-10.74 23.1-23.1V263.1h56C349.3 263.1 360 253.3 360 240S349.3 216 336 216z"],
    "comment-question": [512, 512, [], "e14b", "M277.7 128H234.3C201.8 128 176 153.6 176 185.8c0 10.74 9.166 19.83 20 19.83S216 196.6 216 185.8c0-9.914 8.334-18.17 18.33-18.17h43.33c10 0 18.33 8.26 18.33 18.17c0 6.607-3.334 12.39-9.166 15.7L239.3 229.6c-6.668 4.131-10 10.74-10 17.35v13.22c0 10.74 9.166 19.83 20 19.83c10.83 0 20-9.088 20-19.83V258.5l38.33-23.13C325.2 224.7 336 205.7 336 185.8C336 153.6 310.2 128 277.7 128zM249.1 300C235.4 300 224 311.4 224 326S235.4 352 249.1 352c14.63 0 26-11.38 26-26S264.6 300 249.1 300zM256 31.1c-141.4 0-255.1 93.13-255.1 208c0 47.63 19.91 91.25 52.91 126.3c-14.87 39.5-45.87 72.88-46.37 73.25c-6.623 7-8.373 17.25-4.623 26C5.816 474.3 14.38 480 24 480c61.49 0 109.1-25.75 139.1-46.25c28.87 9 60.16 14.25 92.9 14.25c141.4 0 255.1-93.13 255.1-208S397.4 31.1 256 31.1zM256 400c-26.75 0-53.12-4.125-78.36-12.12l-22.75-7.125L135.4 394.5c-14.25 10.12-33.87 21.38-57.49 29c7.373-12.12 14.37-25.75 19.87-40.25l10.62-28l-20.62-21.88C69.81 314.1 48.06 282.3 48.06 240c0-88.25 93.24-160 207.1-160c114.7 0 207.1 71.75 207.1 160S370.8 400 256 400z"],
    "comment-quote": [512, 512, [], "e14c", "M183.1 143.1c-30.93 0-56 25.07-56 56s25.07 56 56 56c2.74 0 5.365-.4256 8-.8064V264C192 277.2 181.2 288 168 288C154.8 288 144 298.8 144 312s10.75 23.1 23.1 23.1c39.7 0 71.1-32.3 71.1-72l0-63.1C239.1 169.1 214.9 143.1 183.1 143.1zM256 31.1c-141.4 0-255.1 93.13-255.1 208c0 47.62 19.91 91.25 52.91 126.3c-14.87 39.5-45.87 72.88-46.37 73.25c-6.623 7-8.373 17.25-4.623 26C5.816 474.3 14.38 480 24 480c61.49 0 109.1-25.75 139.1-46.25c28.87 9 60.16 14.25 92.9 14.25c141.4 0 255.1-93.13 255.1-207.1S397.4 31.1 256 31.1zM256 400c-26.75 0-53.12-4.125-78.36-12.12l-22.75-7.125L135.4 394.5c-14.25 10.12-33.87 21.38-57.49 29c7.373-12.12 14.37-25.75 19.87-40.25l10.62-28l-20.62-21.88C69.81 314.1 48.06 282.3 48.06 240c0-88.25 93.24-160 207.1-160c114.7 0 207.1 71.75 207.1 160S370.8 400 256 400zM327.1 143.1c-30.93 0-56 25.07-56 56s25.07 56 56 56c2.74 0 5.365-.4256 8-.8064V264C336 277.2 325.2 288 312 288C298.8 288 288 298.8 288 312s10.75 23.1 23.1 23.1c39.7 0 72-32.3 72-72l0-63.1C383.1 169.1 358.9 143.1 327.1 143.1z"],
    "comment-slash": [640, 512, [], "f4b3", "M630.8 469.1l-118.1-92.59C552 340 576 292.4 576 240c0-114.9-114.6-207.1-255.1-207.1c-67.74 0-129.1 21.53-174.9 56.47L38.81 5.117c-10.47-8.172-25.49-6.365-33.7 4.073C-3.057 19.63-1.234 34.72 9.188 42.89l591.1 463.1C605.6 510.3 610.8 512 615.1 512c7.125 0 14.17-3.159 18.9-9.191C643.1 492.4 641.2 477.3 630.8 469.1zM474.6 346.6l-290.3-227.5C220.8 94.85 268.1 80 320.1 80c114.8 0 208 71.75 208 160C528.1 281 507.7 318.3 474.6 346.6zM320.1 400c-26.75 0-53.13-4.125-78.38-12.12L218.9 380.8L199.4 394.5c-14.25 10.12-33.88 21.38-57.5 29c7.375-12.12 14.38-25.75 19.88-40.25l10.62-28l-20.62-21.88C133.8 314.1 112.1 282.3 112.1 240c0-16.84 3.438-33.05 9.727-48.3L83.13 161.4C70.92 185.7 64.03 212.2 64.03 239.1c0 47.63 19.91 91.25 52.91 126.3c-14.88 39.5-45.87 72.88-46.37 73.25c-6.625 7-8.374 17.25-4.624 26C69.82 474.3 78.38 480 88 480c61.5 0 109.1-25.75 139.1-46.25c28.88 9 60.15 14.25 92.9 14.25c37.51 0 73.08-6.715 105.2-18.5l-46.13-36.15C360.4 397.6 340.6 400 320.1 400z"],
    "comment-smile": [512, 512, [], "f4b4", "M256 31.1c-141.4 0-255.1 93.13-255.1 208c0 47.62 19.91 91.25 52.91 126.3c-14.87 39.5-45.87 72.88-46.37 73.25c-6.623 7-8.373 17.25-4.623 26C5.816 474.3 14.38 480 24 480c61.49 0 109.1-25.75 139.1-46.25c28.87 9 60.16 14.25 92.9 14.25c141.4 0 255.1-93.13 255.1-207.1S397.4 31.1 256 31.1zM256 400c-26.75 0-53.12-4.125-78.36-12.12l-22.75-7.125L135.4 394.5c-14.25 10.12-33.87 21.38-57.49 29c7.373-12.12 14.37-25.75 19.87-40.25l10.62-28l-20.62-21.88C69.81 314.1 48.06 282.3 48.06 240c0-88.25 93.24-160 207.1-160c114.7 0 207.1 71.75 207.1 160S370.8 400 256 400zM319.1 207.1c17.75 0 31.99-14.25 31.99-31.1s-14.25-32-31.1-32s-31.1 14.25-31.1 32S302.2 207.1 319.1 207.1zM191.1 207.1c17.75 0 31.99-14.25 31.99-31.1s-14.25-32-31.1-32s-31.1 14.25-31.1 32S174.2 207.1 191.1 207.1zM325.7 272.3C308.5 292.4 283.1 304 255.1 304c-27.12 0-52.49-11.62-69.74-31.75C177.6 262.1 162.4 261 152.4 269.5C142.2 278.1 141.2 293.3 149.7 303.3c26.5 31 65.12 48.75 106.2 48.75c41.12 0 79.73-17.75 106.2-48.75c8.5-10 7.375-25.12-2.75-33.75C349.5 260.9 334.3 262.1 325.7 272.3z"],
    "comment-sms": [512, 512, ["sms"], "f7cd", "M302.1 185.1c-5.623-1.793-11.93 .0547-15.54 4.863L256 230.7L225.4 189.9c-3.613-4.809-9.889-6.684-15.54-4.863C204.2 186.1 200.4 192.3 200.4 198.3v83.46c0 7.689 6.223 13.91 13.91 13.91c7.689 0 13.91-6.221 13.91-13.91V239.1l16.68 22.25c5.271 7.01 17.01 7.01 22.28 0l16.68-22.25v41.73c0 7.689 6.221 13.91 13.91 13.91s13.91-6.221 13.91-13.91V198.3C311.6 192.3 307.8 186.1 302.1 185.1zM141.6 226.6C132.2 223.9 123.1 221.9 124 216.1C124.7 213.1 132.1 211.3 142.7 212.7c3.613 .5703 7.607 1.82 11.38 3.125C161.4 218.4 169.3 214.5 171.8 207.2c2.498-7.254-1.359-15.19-8.613-17.69C157.8 187.7 152.1 186 147 185.2C120.3 181 100.1 191.9 96.58 212.3C91.66 240.1 119.6 249.2 130.2 252.3c11.93 3.432 22.27 5.59 21.35 10.73C150.8 266.9 142.7 268.8 132.8 267.3C127.3 266.4 120.7 263.8 114.6 261.7C107.3 259.1 100.7 263.3 98.13 270.5C95.54 277.8 100.5 286.2 107.8 288.8c6.357 2.309 13.58 4.916 20.76 6.004c3.775 .5977 7.443 .8691 10.95 .8691c21.11 0 36.46-10.46 39.45-27.93C183.1 238.7 156.4 230.8 141.6 226.6zM378.1 226.6c-9.385-2.68-18.47-4.719-17.58-9.617c.6797-3.912 8.967-5.705 18.69-4.266c3.613 .5703 7.607 1.82 11.38 3.125c7.309 2.527 15.19-1.357 17.69-8.611c2.5-7.254-1.357-15.19-8.611-17.69c-5.354-1.848-11.03-3.531-16.17-4.32c-26.73-4.184-46.92 6.711-50.42 27.03c-4.918 28.72 23.04 36.92 33.58 39.99c11.93 3.432 22.27 5.59 21.35 10.73c-.6777 3.967-8.803 5.787-18.75 4.293c-5.514-.8594-12.08-3.426-18.15-5.598c-7.279-2.58-13.91 1.631-16.49 8.857s2.406 15.52 9.633 18.13c6.357 2.309 13.6 5.018 20.77 6.105c3.777 .5977 7.445 .8691 10.95 .8691c21.11 0 36.46-10.46 39.45-27.93C420.4 238.7 392.9 230.8 378.1 226.6zM256 32C114.7 32 .0137 125.1 .0137 240c0 47.63 19.9 91.25 52.89 126.3c-14.87 39.5-45.87 72.88-46.37 73.25c-6.623 7-8.374 17.25-4.624 26C5.782 474.3 14.35 480 23.97 480c61.49 0 109.1-25.75 139.1-46.25C191.1 442.8 223.3 448 256 448C397.4 448 512 354.9 512 240S397.4 32 256 32zM256 400c-26.75 0-53.12-4.125-78.36-12.12l-22.75-7.125L135.4 394.5c-14.25 10.12-33.87 21.38-57.49 29c7.373-12.12 14.37-25.75 19.87-40.25l10.62-28l-20.62-21.88C69.81 314.1 48.06 282.3 48.06 240c0-88.25 93.24-160 207.1-160c114.7 0 207.1 71.75 207.1 160S370.8 400 256 400z"],
    "comment-text": [512, 512, [], "e14d", "M256 31.1c-141.4 0-255.1 93.13-255.1 208c0 47.62 19.91 91.25 52.91 126.3c-14.88 39.5-45.87 72.88-46.37 73.25c-6.625 7-8.374 17.25-4.624 26C5.818 474.3 14.38 480 24 480c61.5 0 109.1-25.75 139.1-46.25c28.88 9 60.15 14.25 92.9 14.25c141.4 0 255.1-93.13 255.1-207.1S397.4 31.1 256 31.1zM256.1 400c-26.75 0-53.13-4.125-78.38-12.12L154.9 380.8L135.4 394.5c-14.25 10.12-33.88 21.38-57.5 29c7.375-12.12 14.38-25.75 19.88-40.25l10.62-28l-20.62-21.88C69.82 314.1 48.07 282.3 48.07 240c0-88.25 93.25-160 208-160s208 71.75 208 160S370.8 400 256.1 400zM328 160h-144C170.8 160 160 170.7 160 183.1S170.8 208 184 208h48v104c0 13.25 10.75 23.1 23.1 23.1S280 325.3 280 312V208h48C341.3 208 352 197.2 352 183.1S341.3 160 328 160z"],
    "comment-xmark": [512, 512, ["comment-times"], "f4b5", "M256 31.1c-141.4 0-255.1 93.13-255.1 208c0 47.63 19.91 91.25 52.91 126.3c-14.87 39.5-45.87 72.88-46.37 73.25c-6.623 7-8.373 17.25-4.623 26C5.816 474.3 14.38 480 24 480c61.49 0 109.1-25.75 139.1-46.25c28.87 9 60.16 14.25 92.9 14.25c141.4 0 255.1-93.13 255.1-208S397.4 31.1 256 31.1zM256 400c-26.75 0-53.12-4.125-78.36-12.12l-22.75-7.125L135.4 394.5c-14.25 10.12-33.87 21.38-57.49 29c7.373-12.12 14.37-25.75 19.87-40.25l10.62-28l-20.62-21.88C69.81 314.1 48.06 282.3 48.06 240c0-88.25 93.24-160 207.1-160c114.7 0 207.1 71.75 207.1 160S370.8 400 256 400zM336.1 159c-9.375-9.375-24.56-9.375-33.94 0l-47.03 47.03L208.1 159c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L222.1 240L175 287c-9.375 9.375-9.375 24.56 0 33.94c9.373 9.371 24.56 9.379 33.94 0l47.03-47.03l47.03 47.03c9.373 9.371 24.56 9.379 33.94 0c9.375-9.375 9.375-24.56 0-33.94L289.9 240l47.03-47.03C346.3 183.6 346.3 168.4 336.1 159z"],
    "comments": [640, 512, [61670, 128490], "f086", "M208 0C322.9 0 416 78.8 416 176C416 273.2 322.9 352 208 352C189.3 352 171.2 349.7 153.9 345.8C123.3 364.8 79.13 384 24.95 384C14.97 384 5.93 378.1 2.018 368.9C-1.896 359.7-.0074 349.1 6.739 341.9C7.26 341.5 29.38 317.4 45.73 285.9C17.18 255.8 0 217.6 0 176C0 78.8 93.13 0 208 0zM164.6 298.1C179.2 302.3 193.8 304 208 304C296.2 304 368 246.6 368 176C368 105.4 296.2 48 208 48C119.8 48 48 105.4 48 176C48 211.2 65.71 237.2 80.57 252.9L104.1 277.8L88.31 308.1C84.74 314.1 80.73 321.9 76.55 328.5C94.26 323.4 111.7 315.5 128.7 304.1L145.4 294.6L164.6 298.1zM441.6 128.2C552 132.4 640 209.5 640 304C640 345.6 622.8 383.8 594.3 413.9C610.6 445.4 632.7 469.5 633.3 469.9C640 477.1 641.9 487.7 637.1 496.9C634.1 506.1 625 512 615 512C560.9 512 516.7 492.8 486.1 473.8C468.8 477.7 450.7 480 432 480C350 480 279.1 439.8 245.2 381.5C262.5 379.2 279.1 375.3 294.9 369.9C322.9 407.1 373.9 432 432 432C446.2 432 460.8 430.3 475.4 426.1L494.6 422.6L511.3 432.1C528.3 443.5 545.7 451.4 563.5 456.5C559.3 449.9 555.3 442.1 551.7 436.1L535.9 405.8L559.4 380.9C574.3 365.3 592 339.2 592 304C592 237.7 528.7 183.1 447.1 176.6L448 176C448 159.5 445.8 143.5 441.6 128.2H441.6z"],
    "comments-dollar": [640, 512, [], "f653", "M207.1 158.1L212.7 159.5C231.8 164.1 267.4 175.2 260.1 212.3C257.9 230.2 244.3 241.1 225.1 246.1V254.9C225.1 264.3 217.5 272 208 272C198.5 272 190.9 264.3 190.9 254.9V245.6C183.4 243.1 176 241.6 169.4 239.2L165.7 237.9C156.8 234.7 152.1 224.9 155.3 216C158.4 207.1 168.2 202.5 177.1 205.5L180.1 206.9L181 206.1C187.7 209.4 195.3 212.1 201.2 212.1C212.1 214.8 226 213.1 227.2 206.4C227.1 202.1 228.4 199.7 203.3 192.5L198.3 191C183.4 186.7 148.7 176.4 155 139.7C158.1 121.8 171.6 109.8 190.9 105.7V97.14C190.9 87.69 198.5 79.1 208 79.1C217.5 79.1 225.1 87.69 225.1 97.14V106.3C229.8 107.3 234.9 108.6 241.1 110.8C250 113.9 254.7 123.7 251.6 132.6C248.5 141.5 238.7 146.3 229.8 143.2C224.8 141.4 219.5 139.8 214.7 139C203 137.2 189.1 138.9 188.8 145.6C188.1 149.4 187.7 152.2 207.1 158.1V158.1zM208 352C189.3 352 171.2 349.7 153.9 345.8C123.3 364.8 79.13 384 24.95 384C14.97 384 5.93 378.1 2.018 368.9C-1.896 359.7-.0074 349.1 6.739 341.9C7.26 341.5 29.38 317.4 45.73 285.9C17.18 255.8 0 217.6 0 176C0 78.8 93.13 0 208 0C322.9 0 416 78.8 416 176C416 273.2 322.9 352 208 352zM368 176C368 105.4 296.2 48 208 48C119.8 48 48 105.4 48 176C48 211.2 65.71 237.2 80.57 252.9L104.1 277.8L88.31 308.1C84.74 314.1 80.73 321.9 76.55 328.5C94.26 323.4 111.7 315.5 128.7 304.1L145.4 294.6L164.6 298.1C179.2 302.3 193.8 304 207.1 304C296.2 304 368 246.6 368 176H368zM448 176.6L448 176C448 159.5 445.8 143.5 441.6 128.2C552 132.4 640 209.5 640 304C640 345.6 622.8 383.8 594.3 413.9C610.6 445.4 632.7 469.5 633.3 469.9C640 477.1 641.9 487.7 637.1 496.9C634.1 506.1 625 512 615 512C560.9 512 516.7 492.8 486.1 473.8C468.8 477.7 450.7 480 432 480C350 480 279.1 439.8 245.2 381.5C262.5 379.2 279.1 375.3 294.9 369.9C322.9 407.1 373.9 432 432 432C446.2 432 460.8 430.3 475.4 426.1L494.6 422.6L511.3 432.1C528.3 443.5 545.7 451.4 563.5 456.5C559.3 449.9 555.3 442.1 551.7 436.1L535.9 405.8L559.4 380.9C574.3 365.3 592 339.2 592 304C592 237.7 528.7 183.1 447.1 176.6H448z"],
    "comments-question": [640, 512, [], "e14e", "M191.1 88H221.8C247.9 88 269.2 109.3 269.2 135.4C269.2 153.5 259.1 169.8 242.1 177.8L223.1 187.3V192C223.1 200.8 216.8 208 207.1 208C199.2 208 191.1 200.8 191.1 192V177.4C191.1 171.3 195.4 165.8 200.8 163.1L228.7 149.2C233.9 146.6 237.2 141.3 237.2 135.4C237.2 126.9 230.3 120 221.8 120H191.1C184.3 120 178.8 125.5 178.8 132.2C178.8 141.1 171.7 148.2 162.8 148.2C153.1 148.2 146.8 141.1 146.8 132.2C146.8 107.8 166.7 88 191.1 88L191.1 88zM187.1 240C187.1 228.1 196.1 220 207.1 220C219 220 227.1 228.1 227.1 240C227.1 251 219 260 207.1 260C196.1 260 187.1 251 187.1 240zM208 352C189.3 352 171.2 349.7 153.9 345.8C123.3 364.8 79.13 384 24.95 384C14.97 384 5.93 378.1 2.018 368.9C-1.896 359.7-.0074 349.1 6.739 341.9C7.26 341.5 29.38 317.4 45.73 285.9C17.18 255.8 0 217.6 0 176C0 78.8 93.13 0 208 0C322.9 0 416 78.8 416 176C416 273.2 322.9 352 208 352zM368 176C368 105.4 296.2 48 208 48C119.8 48 48 105.4 48 176C48 211.2 65.71 237.2 80.57 252.9L104.1 277.8L88.31 308.1C84.74 314.1 80.73 321.9 76.55 328.5C94.26 323.4 111.7 315.5 128.7 304.1L145.4 294.6L164.6 298.1C179.2 302.3 193.8 304 207.1 304C296.2 304 368 246.6 368 176H368zM448 176.6L448 176C448 159.5 445.8 143.5 441.6 128.2C552 132.4 640 209.5 640 304C640 345.6 622.8 383.8 594.3 413.9C610.6 445.4 632.7 469.5 633.3 469.9C640 477.1 641.9 487.7 637.1 496.9C634.1 506.1 625 512 615 512C560.9 512 516.7 492.8 486.1 473.8C468.8 477.7 450.7 480 432 480C350 480 279.1 439.8 245.2 381.5C262.5 379.2 279.1 375.3 294.9 369.9C322.9 407.1 373.9 432 432 432C446.2 432 460.8 430.3 475.4 426.1L494.6 422.6L511.3 432.1C528.3 443.5 545.7 451.4 563.5 456.5C559.3 449.9 555.3 442.1 551.7 436.1L535.9 405.8L559.4 380.9C574.3 365.3 592 339.2 592 304C592 237.7 528.7 183.1 447.1 176.6H448z"],
    "comments-question-check": [640, 512, [], "e14f", "M227.1 240C227.1 251 219 260 207.1 260C196.1 260 187.1 251 187.1 240C187.1 228.1 196.1 220 207.1 220C219 220 227.1 228.1 227.1 240zM269.2 135.4C269.2 153.5 259.1 169.8 242.1 177.8L223.1 187.3V192C223.1 200.8 216.8 208 207.1 208C199.2 208 191.1 200.8 191.1 192V177.4C191.1 171.3 195.4 165.8 200.8 163.1L228.7 149.2C233.9 146.6 237.2 141.3 237.2 135.4C237.2 126.9 230.3 120 221.8 120H191.1C184.3 120 178.8 125.5 178.8 132.2C178.8 141.1 171.7 148.2 162.8 148.2C153.1 148.2 146.8 141.1 146.8 132.2C146.8 107.8 166.7 88 191.1 88H221.8C247.9 88 269.2 109.3 269.2 135.4L269.2 135.4zM208 0C322.9 0 416 78.8 416 176C416 273.2 322.9 352 208 352C189.3 352 171.2 349.7 153.9 345.8C123.3 364.8 79.13 384 24.95 384C14.97 384 5.93 378.1 2.018 368.9C-1.896 359.7-.0074 349.1 6.739 341.9C7.26 341.5 29.38 317.4 45.73 285.9C17.18 255.8 0 217.6 0 176C0 78.8 93.13 0 208 0zM164.6 298.1C179.2 302.3 193.8 304 208 304C296.2 304 368 246.6 368 176C368 105.4 296.2 48 208 48C119.8 48 48 105.4 48 176C48 211.2 65.71 237.2 80.57 252.9L104.1 277.8L88.31 308.1C84.74 314.1 80.73 321.9 76.55 328.5C94.26 323.4 111.7 315.5 128.7 304.1L145.4 294.6L164.6 298.1zM441.6 128.2C552 132.4 640 209.5 640 304C640 345.6 622.8 383.8 594.3 413.9C610.6 445.4 632.7 469.5 633.3 469.9C640 477.1 641.9 487.7 637.1 496.9C634.1 506.1 625 512 615 512C560.9 512 516.7 492.8 486.1 473.8C468.8 477.7 450.7 480 432 480C350 480 279.1 439.8 245.2 381.5C262.5 379.2 279.1 375.3 294.9 369.9C322.9 407.1 373.9 432 432 432C446.2 432 460.8 430.3 475.4 426.1L494.6 422.6L511.3 432.1C528.3 443.5 545.7 451.4 563.5 456.5C559.3 449.9 555.3 442.1 551.7 436.1L535.9 405.8L559.4 380.9C574.3 365.3 592 339.2 592 304C592 237.7 528.7 183.1 447.1 176.6L448 176C448 159.5 445.8 143.5 441.6 128.2H441.6zM451.3 371.3C445.1 377.6 434.9 377.6 428.7 371.3L388.7 331.3C382.4 325.1 382.4 314.9 388.7 308.7C394.9 302.4 405.1 302.4 411.3 308.7L440 337.4L516.7 260.7C522.9 254.4 533.1 254.4 539.3 260.7C545.6 266.9 545.6 277.1 539.3 283.3L451.3 371.3z"],
    "compact-disc": [512, 512, [128192, 128440, 128191], "f51f", "M227.5 131.2c8.609-1.953 14.03-10.52 12.08-19.14c-1.953-8.609-10.55-13.95-19.14-12.08c-59.7 13.5-107 60.81-120.5 120.5C97.1 229.1 103.4 237.7 112 239.6C113.2 239.9 114.4 240 115.6 240c7.312 0 13.91-5.047 15.59-12.47C141.1 179.8 179.8 141.1 227.5 131.2zM256 159.1c-53.08 0-96 42.92-96 96c0 53.08 42.92 95.1 96 95.1s96-42.92 96-95.1C352 202.9 309.1 159.1 256 159.1zM256 280C242.8 280 232 269.3 232 256S242.8 232 256 232S280 242.8 280 256S269.3 280 256 280zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464z"],
    "compass": [512, 512, [129517], "f14e", "M306.7 325.1L162.4 380.6C142.1 388.1 123.9 369 131.4 349.6L186.9 205.3C190.1 196.8 196.8 190.1 205.3 186.9L349.6 131.4C369 123.9 388.1 142.1 380.6 162.4L325.1 306.7C321.9 315.2 315.2 321.9 306.7 325.1V325.1zM255.1 224C238.3 224 223.1 238.3 223.1 256C223.1 273.7 238.3 288 255.1 288C273.7 288 288 273.7 288 256C288 238.3 273.7 224 255.1 224V224zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "compass-drafting": [512, 512, ["drafting-compass"], "f568", "M284.4 187.7C275.4 190.5 265.9 191.1 256 191.1C246.1 191.1 236.6 190.5 227.6 187.7L158.1 306.4C187.9 320.3 221 328 256 328C341.8 328 416.8 281.4 456.1 211.1C463.6 200.5 478.3 196.6 489.8 203.2C501.2 209.9 505.2 224.5 498.5 236C450.2 319.6 359.7 376 256 376C212.2 376 170.7 365.9 133.8 347.1L44.71 500.1C38.02 511.6 23.32 515.4 11.88 508.7C.4368 502-3.408 487.3 3.288 475.9L92.56 323.4C60.41 300.2 33.38 270.4 13.47 236C6.836 224.5 10.76 209.9 22.23 203.2C33.7 196.6 48.39 200.5 55.02 211.1C70.78 239.2 91.9 262.9 116.9 281.7L186.7 162.5C170.2 145.2 160 121.8 160 96C160 42.98 202.1 0 256 0C309 0 352 42.98 352 96C352 121.8 341.8 145.2 325.3 162.5L378.8 253.9C366.2 263.7 352.4 272 337.6 278.6L284.4 187.7zM256 47.1C229.5 47.1 208 69.49 208 95.1C208 122.5 229.5 143.1 256 143.1C282.5 143.1 304 122.5 304 95.1C304 69.49 282.5 47.1 256 47.1zM500.1 508.7C488.7 515.4 473.1 511.6 467.3 500.1L394.4 375.7C408.9 368.5 422.6 360.3 435.7 351.1L508.7 475.9C515.4 487.3 511.6 502 500.1 508.7V508.7z"],
    "compass-slash": [640, 512, [], "f5e9", "M134.2 79.88C180.9 30.69 246.8 .0013 319.1 .0013C461.4 .0013 576 114.6 576 256C576 306.1 561.1 354.5 535.4 394.4L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L134.2 79.88zM172.2 109.7L270.3 186.5L413.6 131.4C433 123.9 452.1 142.1 444.6 162.4L397.1 285.9L497.4 364.6C516.8 332.1 528 295.8 528 256C528 141.1 434.9 48 319.1 48C262.2 48 209.9 71.58 172.2 109.7V109.7zM319.1 464C359.7 464 396.8 452.9 428.4 433.5L468.1 464.8C426.3 494.5 375.2 512 319.1 512C178.6 512 63.1 397.4 63.1 256C63.1 222.4 70.49 190.2 82.28 160.8L121.1 192.1C115.5 212.2 111.1 233.7 111.1 256C111.1 370.9 205.1 464 319.1 464V464zM226.4 380.6C206.1 388.1 187.9 369 195.4 349.6L224.8 273.1L317 345.8L226.4 380.6z"],
    "compress": [448, 512, [], "f066", "M136 320h-112C10.75 320 0 330.7 0 344c0 13.25 10.75 24 24 24H112v88C112 469.3 122.7 480 136 480S160 469.3 160 456v-112C160 330.7 149.3 320 136 320zM312 192h112C437.3 192 448 181.3 448 168c0-13.26-10.75-24-24-24H336V56C336 42.74 325.3 32 312 32S288 42.74 288 56v112C288 181.3 298.7 192 312 192zM136 32C122.7 32 112 42.74 112 56V144H24C10.75 144 0 154.7 0 168C0 181.3 10.75 192 24 192h112C149.3 192 160 181.3 160 168v-112C160 42.74 149.3 32 136 32zM424 320h-112C298.7 320 288 330.7 288 344v112c0 13.25 10.75 24 24 24s24-10.75 24-24V368h88c13.25 0 24-10.75 24-24C448 330.7 437.3 320 424 320z"],
    "compress-wide": [512, 512, [], "f326", "M376 224h112C501.3 224 512 213.3 512 200c0-13.26-10.75-24-24-24H400V88C400 74.74 389.3 64 376 64S352 74.74 352 88v112C352 213.3 362.7 224 376 224zM136 288h-112C10.75 288 0 298.7 0 312c0 13.25 10.75 24 24 24H112v88C112 437.3 122.7 448 136 448S160 437.3 160 424v-112C160 298.7 149.3 288 136 288zM488 288h-112C362.7 288 352 298.7 352 312v112c0 13.25 10.75 24 24 24s24-10.75 24-24V336h88c13.25 0 24-10.75 24-24C512 298.7 501.3 288 488 288zM136 64C122.7 64 112 74.74 112 88V176H24C10.75 176 0 186.7 0 200C0 213.3 10.75 224 24 224h112C149.3 224 160 213.3 160 200v-112C160 74.74 149.3 64 136 64z"],
    "computer": [640, 512, [], "e4e5", "M0 320V96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V320C448 355.3 419.3 384 384 384H297.3L313.3 432H360C373.3 432 384 442.7 384 456C384 469.3 373.3 480 360 480H88C74.75 480 64 469.3 64 456C64 442.7 74.75 432 88 432H134.7L150.7 384H64C28.65 384 0 355.3 0 320H0zM384 80H64C55.16 80 48 87.16 48 96V320C48 328.8 55.16 336 64 336H384C392.8 336 400 328.8 400 320V96C400 87.16 392.8 80 384 80zM262.7 432L246.7 384H201.3L185.3 432H262.7zM480 80C480 53.49 501.5 32 528 32H592C618.5 32 640 53.49 640 80V432C640 458.5 618.5 480 592 480H528C501.5 480 480 458.5 480 432V80zM528 112H592V80H528V112zM528 160V192H592V160H528zM560 304C577.7 304 592 318.3 592 336V240H528V336C528 318.3 542.3 304 560 304zM528 432H592V336C592 353.7 577.7 368 560 368C542.3 368 528 353.7 528 336V432z"],
    "computer-classic": [448, 512, [], "f8b1", "M384 0H64C28.65 0 0 28.65 0 64v304c0 23.63 12.95 44.04 32 55.12V480c0 17.67 14.33 32 32 32h320c17.67 0 32-14.33 32-32v-56.88c19.05-11.09 32-31.49 32-55.12V64C448 28.65 419.3 0 384 0zM368 464h-288v-32h288V464zM400 368c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V64c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V368zM336 80h-224c-17.67 0-32 14.33-32 32l0 96c0 17.67 14.33 32 32 32h224c17.67 0 31.1-14.33 31.1-32L368 112C368 94.33 353.7 80 336 80zM120 304C106.7 304 96 314.7 96 328C96 341.3 106.7 352 120 352s24-10.75 24-24C144 314.7 133.3 304 120 304zM352 304h-128c-8.844 0-16 7.156-16 16s7.156 16 16 16h128c8.844 0 16-7.156 16-16S360.8 304 352 304z"],
    "computer-mouse": [384, 512, [128433, "mouse"], "f8cc", "M224 0H160C71.63 0 0 71.62 0 160v192c0 88.38 71.63 160 160 160h64c88.38 0 160-71.63 160-160V160C384 71.62 312.4 0 224 0zM336 160v16h-120v-128H224C285.9 48.12 335.9 98.12 336 160zM160 48h8v128H48V160C48.13 98.12 98.13 48.12 160 48zM224 464H160c-61.88-.125-111.9-50.13-112-112V224h288v128C335.9 413.9 285.9 463.9 224 464z"],
    "computer-mouse-scrollwheel": [384, 512, ["mouse-alt"], "f8cd", "M224 0H160c-88.38 0-160 71.62-160 160v192c0 88.38 71.62 160 160 160h64c88.38 0 160-71.63 160-160V160C384 71.62 312.4 0 224 0zM336 352c-.125 61.88-50.13 111.9-112 112H160c-61.88-.125-111.9-50.13-112-112V160C48.12 98.12 98.12 48.12 160 48h64c61.88 .125 111.9 50.12 112 112V352zM192 95.1c-17.62 0-32 14.38-32 32v31.1C160 177.6 174.4 192 192 192c17.62 0 32-14.38 32-32V127.1C224 110.4 209.6 95.1 192 95.1z"],
    "computer-speaker": [640, 512, [], "f8b2", "M576 32h-192c-35.35 0-64 28.65-64 64v320c0 35.35 28.65 64 64 64h192c35.35 0 64-28.65 64-64V96C640 60.65 611.3 32 576 32zM592 416c0 8.822-7.178 16-16 16h-192c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h192c8.822 0 16 7.178 16 16V416zM0 96v224c0 35.35 28.65 64 64 64h224v-48H64c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h225.6C292.7 61.67 301 45.24 312.1 32H64C28.65 32 0 60.65 0 96zM120 432C106.7 432 96 442.7 96 456C96 469.3 106.7 480 120 480h192.1c-11.94-13.24-20.25-29.67-23.35-48H120zM479.1 240c-44.18 0-80 35.82-80 80c0 44.18 35.82 80 80 80c44.18 0 79.1-35.82 79.1-80C559.1 275.8 524.2 240 479.1 240zM479.1 352c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S497.6 352 479.1 352zM480 176c17.67 0 32-14.33 32-32s-14.33-32-32-32C462.3 112 448 126.3 448 144S462.3 176 480 176z"],
    "container-storage": [640, 512, [], "f4b7", "M616 432H608v-352h8C629.3 80 640 69.25 640 56S629.3 32 616 32H24C10.75 32 0 42.75 0 56S10.75 80 24 80H32v352H24C10.75 432 0 442.8 0 456S10.75 480 24 480h592c13.25 0 24-10.75 24-24S629.3 432 616 432zM560 432h-480v-352h480V432zM192 400c13.25 0 24-10.75 24-24v-240C216 122.8 205.3 112 192 112S168 122.8 168 136v240C168 389.3 178.8 400 192 400zM320 400c13.25 0 24-10.75 24-24v-240c0-13.25-10.75-24-24-24S296 122.8 296 136v240C296 389.3 306.8 400 320 400zM448 400c13.25 0 24-10.75 24-24v-240c0-13.25-10.75-24-24-24s-24 10.75-24 24v240C424 389.3 434.8 400 448 400z"],
    "conveyor-belt": [640, 512, [], "f46e", "M128 368c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S145.8 368 128 368zM528 288h-416C50.14 288 0 338.1 0 400S50.14 512 112 512h416c61.86 0 112-50.14 112-112S589.9 288 528 288zM527.1 464H111.1C76.71 464 48 435.3 48 400c0-35.29 28.71-64 64-64h416c35.29 0 64 28.71 64 64C592 435.3 563.3 464 527.1 464zM512 368c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S529.8 368 512 368zM319.1 368C302.2 368 288 382.3 288 400s14.25 32 32 32s32-14.25 32-32S337.7 368 319.1 368zM192 256h256c35.35 0 64-28.65 64-64V64c0-35.35-28.65-64-64-64H192C156.7 0 128 28.65 128 64v128C128 227.3 156.7 256 192 256zM176 64c0-8.822 7.178-16 16-16h64V128l64-32l64 32V48h64c8.822 0 16 7.178 16 16v128c0 8.822-7.178 16-16 16H192C183.2 208 176 200.8 176 192V64z"],
    "conveyor-belt-boxes": [640, 512, ["conveyor-belt-alt"], "f46f", "M128 368c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S145.8 368 128 368zM160 256h144c15.22 0 29.02-5.535 40-14.41C354.1 250.5 368.8 256 384 256h96c35.35 0 64-28.65 64-64V128c0-35.35-28.65-64-64-64h-96c-5.559 0-10.86 .9316-16 2.264V64c0-35.35-28.65-64-64-64H160C124.7 0 96 28.65 96 64v128C96 227.3 124.7 256 160 256zM368 128c0-8.822 7.178-16 16-16h96c8.822 0 16 7.178 16 16v64c0 8.822-7.178 16-16 16h-96c-8.822 0-16-7.178-16-16V128zM144 64c0-8.822 7.178-16 16-16h144C312.8 48 320 55.18 320 64v128c0 8.822-7.178 16-16 16H160C151.2 208 144 200.8 144 192V64zM512 368c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S529.8 368 512 368zM320 368c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S337.8 368 320 368zM528 288h-416C50.14 288 0 338.1 0 400S50.14 512 112 512h416c61.86 0 112-50.14 112-112S589.9 288 528 288zM528 464h-416c-35.29 0-64-28.71-64-64c0-35.29 28.71-64 64-64h416c35.29 0 64 28.71 64 64C592 435.3 563.3 464 528 464z"],
    "conveyor-belt-empty": [640, 512, [], "e150", "M128 368c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S145.8 368 128 368zM512 368c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S529.8 368 512 368zM320 368c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S337.8 368 320 368zM528 288h-416C50.14 288 0 338.1 0 400S50.14 512 112 512h416c61.86 0 112-50.14 112-112S589.9 288 528 288zM528 464h-416c-35.29 0-64-28.71-64-64c0-35.29 28.71-64 64-64h416c35.29 0 64 28.71 64 64C592 435.3 563.3 464 528 464z"],
    "cookie": [512, 512, [127850], "f563", "M352 320c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S369.6 320 352 320zM320 160c17.62 0 32-14.38 32-32s-14.38-32-32-32s-32 14.38-32 32S302.4 160 320 160zM192 192c0-17.62-14.38-32-32-32s-32 14.38-32 32s14.38 32 32 32S192 209.6 192 192zM192 320c-17.62 0-32 14.38-32 32s14.38 32 32 32c17.62 0 32-14.38 32-32S209.6 320 192 320zM288 224c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S305.6 224 288 224zM510.4 254.8l-12.13-76.25c-4.375-27.62-17.37-53.12-37.12-72.88l-54.75-54.75c-19.75-19.75-45.13-32.75-72.75-37.12l-76.63-12.13C250.1 .5 243.3 0 236.4 0C215.6 0 195.1 4.875 176.5 14.38L107.4 49.62C82.5 62.25 62.25 82.5 49.5 107.4l-35 68.87C1.752 201.2-2.748 229.5 1.627 257.2l12.13 76.25c4.375 27.62 17.37 53.13 37.12 72.88l54.75 54.75c19.75 19.75 45.13 32.75 72.75 37.12l76.63 12.13C261.9 511.5 268.8 512 275.6 512c20.75 0 41.25-4.875 59.88-14.38l69.13-35.25c24.88-12.62 45.13-32.88 57.88-57.75l35-68.87C510.3 310.8 514.8 282.5 510.4 254.8zM454.8 314l-35.13 68.87c-8.125 15.88-20.75 28.62-36.75 36.75l-69.12 35.25C302 460.9 288.9 464 275.6 464c-4.375 0-8.75-.375-13.12-1l-76.63-12.12C168.3 448 152.3 439.9 139.6 427.2L84.75 372.5c-12.63-12.75-20.88-28.75-23.63-46.5L49 249.8c-2.75-17.75 0-35.63 8.25-51.75l35.13-68.88C100.5 113.2 113.1 100.5 129.1 92.38l69.13-35.25C210 51.12 223.1 48 236.4 48c4.375 0 8.75 .375 13.12 1l76.63 12.12C343.8 64 359.8 72.12 372.5 84.75l54.75 54.75c12.63 12.75 20.88 28.75 23.63 46.5l12.12 76.25C465.8 280 463 297.9 454.8 314z"],
    "cookie-bite": [512, 512, [], "f564", "M352 320c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S369.6 320 352 320zM192 192c0-17.62-14.38-32-32-32s-32 14.38-32 32s14.38 32 32 32S192 209.6 192 192zM192 320c-17.62 0-32 14.38-32 32s14.38 32 32 32c17.62 0 32-14.38 32-32S209.6 320 192 320zM288 224c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S305.6 224 288 224zM510.5 255.9C440.5 255 384 198.1 384 128c-70.13 0-127-56.5-127.8-126.5C249.6 .5 242.9 0 236.3 0c-20.62 0-41.13 4.875-59.75 14.38L107.4 49.5c-24.88 12.75-45.13 33-57.88 57.88l-35 68.87C1.752 201.2-2.748 229.5 1.627 257.2l12.13 76.25c4.375 27.62 17.37 53.13 37.12 72.88l54.75 54.87c19.75 19.63 45.13 32.63 72.75 37l76.63 12.13C261.9 511.5 268.9 512 275.8 512c20.62 0 41.25-4.875 59.87-14.38l69.13-35.25c24.87-12.62 45.12-32.88 57.75-57.75l35.13-68.87C510.1 311.1 514.6 283.1 510.5 255.9zM454.9 313.9l-35.12 68.88c-8.125 16-20.88 28.75-36.88 36.87l-69.12 35.25C302 460.9 288.9 464 275.8 464c-4.375 0-8.875-.375-13.13-1l-76.75-12.12C168.3 448 152.3 439.9 139.6 427.2L84.75 372.5c-12.63-12.75-20.88-28.75-23.63-46.5L49 249.8c-2.75-17.88 0-35.63 8.25-51.75l35.13-68.88C100.5 113.2 113.3 100.5 129.1 92.38l69.13-35.25c5.5-2.875 11.38-5 17.38-6.5c17.88 58.88 65.88 104.9 125.8 120.1c15.12 59.75 61.13 107.7 120.1 125.6C459.9 302.5 457.8 308.4 454.9 313.9z"],
    "copy": [512, 512, [], "f0c5", "M502.6 70.63l-61.25-61.25C435.4 3.371 427.2 0 418.7 0H255.1c-35.35 0-64 28.66-64 64l.0195 256C192 355.4 220.7 384 256 384h192c35.2 0 64-28.8 64-64V93.25C512 84.77 508.6 76.63 502.6 70.63zM464 320c0 8.836-7.164 16-16 16H255.1c-8.838 0-16-7.164-16-16L239.1 64.13c0-8.836 7.164-16 16-16h128L384 96c0 17.67 14.33 32 32 32h47.1V320zM272 448c0 8.836-7.164 16-16 16H63.1c-8.838 0-16-7.164-16-16L47.98 192.1c0-8.836 7.164-16 16-16H160V128H63.99c-35.35 0-64 28.65-64 64l.0098 256C.002 483.3 28.66 512 64 512h192c35.2 0 64-28.8 64-64v-32h-47.1L272 448z"],
    "copyright": [512, 512, [169], "f1f9", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464zM255.1 176C255.1 176 255.1 176 255.1 176c21.06 0 40.92 8.312 55.83 23.38c9.375 9.344 24.53 9.5 33.97 .1562c9.406-9.344 9.469-24.53 .1562-33.97c-24-24.22-55.95-37.56-89.95-37.56c0 0 .0313 0 0 0c-33.97 0-65.95 13.34-89.95 37.56c-49.44 49.88-49.44 131 0 180.9c24 24.22 55.98 37.56 89.95 37.56c.0313 0 0 0 0 0c34 0 65.95-13.34 89.95-37.56c9.312-9.438 9.25-24.62-.1562-33.97c-9.438-9.312-24.59-9.219-33.97 .1562c-14.91 15.06-34.77 23.38-55.83 23.38c0 0 .0313 0 0 0c-21.09 0-40.95-8.312-55.89-23.38c-30.94-31.22-30.94-82.03 0-113.3C214.2 184.3 234 176 255.1 176z"],
    "corn": [512, 512, [127805], "f6c7", "M441.8 .3613c-1.1-.25-4.5-.375-6.1-.375c-12.12 0-23.75 2.875-34.12 8c-3.5-.5-7.125-.7501-10.75-.7501c-7.25 0-14.5 1-21.5 3.125c-9.249 2.625-17.87 7-25.5 12.75c-9.124 .5-18.12 2.5-26.62 6.125c-8.874 4-16.75 9.376-23.37 15.88c-9.124 1.5-17.1 4.75-25.1 9.501c-7.625 4.375-14.37 10-19.87 16.63C238.3 73.62 230 77.49 222.5 82.87C217.5 86.37 213.8 91.12 209.8 95.62C205 89.99 200.3 84.24 194.8 78.87L173.9 57.96C155.8 39.9 124.9 49.25 119.9 74.3L98.54 180.7L37.04 242.1C-10.21 289.4-12.08 364.4 30.54 413.6l60.75 62c27.27 27.27 65.2 40.28 104.9 35.31c29.42-3.678 56.23-18.87 77.21-39.81l57.87-57.75l106.4-21.35c25.05-5.024 34.4-35.94 16.33-54.01l-20.9-20.9c-5.375-5.375-10.87-10.25-16.62-15c3.625-3.375 7.625-6.375 10.5-10.5c5.375-7.375 9.249-15.5 11.5-24c6.1-5.875 12.1-12.88 17.5-20.75c4.5-7.75 7.625-16.25 9.125-25c6.5-6.5 11.87-14.13 15.62-22.5c3.1-8.875 6.125-18.13 6.625-27.5c5.75-7.375 10.12-15.75 12.87-24.63c3.125-10.25 3.1-21.13 2.625-31.75c5.375-10.13 8.5-21.38 8.1-32.88V80.62C514.3 39.49 483.5 3.987 441.8 .3613zM64.41 379.8c-24.12-30.63-21.75-75.5 6.5-103.8l71.75-71.75l18.37-91.63c45.87 46 62.25 102.1 48.87 155.3c-33.75 12-65.5 31.88-92.74 59.25L64.41 379.8zM307.6 369.3L235.9 441c-30.66 30.66-80.83 30.66-111.5-.0001l-26.75-26.75l53.37-53.38c37.87-37.88 85.99-58.38 133.5-58.38c41.12 0 81.87 15.5 114.7 48.5L307.6 369.3zM448 105.4c6.375 7.125 9.374 17.5 6.375 27.63c-2.1 9.626-10.62 16.75-19.5 19.5c4.1 7.875 6.125 18 1.1 27.13c-4.125 9.251-12.37 15-21.62 16.5c4.25 8.375 3.1 18.38-1.125 27c-4.75 8.5-13.5 13.5-22.75 14.25c3.25 8.5 2.375 18.38-3.375 26.38c-4.125 5.75-10.12 8.75-16.37 10.5c-27.12-12.75-56.75-19.63-87.12-19.63c-7.1 0-15.87 .5-23.62 1.375c4.75-39-2.375-78.63-21.37-115.6c1.375-7.25 4.75-14 10.1-18.38c9.499-6.875 19.1-6 26.62-3.5c.7499-9 5.75-17.75 14.25-22.5c13.62-8.125 26.5-1.375 26.87-1.125c1.625-9 7.625-17.25 16.87-21.38c11.5-5 21.75-1.25 27.12 2.25c2.75-9.251 9.999-16.5 19.75-19.25c2.5-.8751 15.1-4.375 27.5 6.875C432.9 18.61 495 81.24 448 105.4z"],
    "corner": [448, 512, [], "e3fe", "M424 384c-13.25 0-24-10.75-24-24V208H24C10.75 208 0 197.3 0 184S10.75 160 24 160h400C437.3 160 448 170.8 448 184v176C448 373.3 437.3 384 424 384z"],
    "couch": [640, 512, [], "f4b8", "M576 224c-35.35 0-64 28.65-64 64h-384c0-35.35-28.65-64-64-64s-64 28.65-64 64v160c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32h384c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32V288C640 252.7 611.3 224 576 224zM80 432h-32V288c0-8.822 7.178-16 16-16S80 279.2 80 288V432zM512 400H128v-64h384V400zM592 432h-32V288c0-8.822 7.178-16 16-16s16 7.178 16 16V432zM88 192C101.3 192 112 181.3 112 168v-16c0-39.69 32.3-72 72-72h272c39.7 0 72 32.31 72 72v16C528 181.3 538.8 192 552 192S576 181.3 576 168v-16C576 85.84 522.2 32 456 32h-272C117.8 32 64 85.84 64 152v16C64 181.3 74.75 192 88 192z"],
    "cow": [640, 512, [128004], "f6c8", "M624.5 238L608 218.9V176c0-11.88-12.5-19.62-23.12-14.25c-6.125 3-11.38 7-16.12 11.5l-59.1-69.54C490.6 78.71 461.8 64 431 64H112c-48.62 0-88 39.38-88 88v86.38C9.5 250.1 0 267.9 0 288v32c39.75 0 72-32.25 72-72l.0002-96c0-16.88 10.63-31.12 25.38-37C96.5 119.1 96 123.5 96 128L96 416c0 17.62 14.38 32 32 32h64c17.75 0 32-14.38 32-32v-40c2.625 .875 5.375 1.375 8.125 2.125L232.1 392c0 8.875 7.125 16 16 16c8.75 0 16-7.125 16-16l.0625-8.625c2.625 .125 13.25 .125 16-.125L280.1 392c0 8.875 7.125 16 16 16c8.75 0 16-7.125 16-16l.0625-14C314.8 377.2 317.5 376.9 320 376V416c0 17.62 14.38 32 32 32h64C433.6 448 448 433.6 448 416V272L464 288v42c0 12.25 3.5 24.38 10.25 34.75l35.38 54.87C521.1 437.2 540.8 448 561.8 448H576c35.38 0 64-28.62 64-64V279.8C640 264.5 634.5 249.6 624.5 238zM210.1 320.6C217 292.8 242.1 272 272 272s54.88 20.75 61.88 48.5C272.6 341.5 271.8 341.5 210.1 320.6zM592 384c0 8.875-7.125 16-16 16h-14.25c-4.75 0-9.125-2.375-11.75-6.5l-35.5-54.88C513.6 335.8 512.9 332.1 512 329.1V268.1l-75.75-75.75C422.9 179 400 188.5 400 207.4V400h-32v-64c0-45.63-38.13-96-96-96c-58.12 0-95.1 50.75-95.1 96L176 400h-32V128c0-8.875 7.25-16 16-16h4.375C165.1 113.5 189.8 146.9 189.8 146.9C211.5 175.8 241.1 192 272 192s60.5-16.25 82.38-45.12c0 0 24.5-33.38 25.38-34.88H431c15.25 0 29.88 7.375 38.88 19.88l118.3 137.5C590.6 272.2 592 276 592 279.8V384zM560 304C551.1 304 544 311.1 544 320s7.126 16 16 16s16-7.125 16-16S568.9 304 560 304z"],
    "cowbell": [448, 512, [], "f8b3", "M167.1 0H280C302.1 0 320 17.91 320 40V96H336C357.4 96 376.3 110.2 382.2 130.8L446.2 354.8C450.3 369.3 447.4 384.9 438.3 396.9C429.3 408.9 415.1 416 400 416H47.1C32.94 416 18.75 408.9 9.679 396.9C.6086 384.9-2.291 369.3 1.847 354.8L65.85 130.8C71.73 110.2 90.57 96 112 96H128V40C128 17.91 145.9 0 168 0L167.1 0zM175.1 48V96H272V48H175.1zM111.1 144L47.1 368H400L336 144H111.1zM288 448C288 483.3 259.3 512 223.1 512C188.7 512 159.1 483.3 159.1 448H288z"],
    "cowbell-circle-plus": [576, 512, ["cowbell-more"], "f8b4", "M167.1 .0003H279.1C302.1 .0003 320 17.91 320 40V96H336C357.4 96 376.3 110.2 382.2 130.8L400.4 194.8C384.4 197.7 369 202.8 354.8 209.8L336 144H111.1L47.1 368H255.1C255.1 384.6 258.3 400.7 262.6 416H47.1C32.94 416 18.75 408.9 9.679 396.9C.6086 384.9-2.291 369.3 1.847 354.8L65.85 130.8C71.73 110.2 90.57 96 112 96H128V40C128 17.91 145.9 0 168 0L167.1 .0003zM175.1 48V96H271.1V48H175.1zM159.1 448H275.2C278.3 454.1 281.8 459.1 285.5 465.6C277.9 492.4 253.2 512 223.1 512C188.7 512 159.1 483.3 159.1 448zM287.1 368C287.1 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 287.1 447.5 287.1 368zM448 303.1C448 295.2 440.8 287.1 432 287.1C423.2 287.1 416 295.2 416 303.1V351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H416V431.1C416 440.8 423.2 447.1 432 447.1C440.8 447.1 448 440.8 448 431.1V383.1H496C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1H448V303.1z"],
    "crab": [512, 512, [129408], "e3ff", "M511.1 192V128c0-70.69-57.31-128-127.1-128h-63.1l63.1 64h-63.1c0 35.35 28.65 64 63.1 64h79.1v48.77l-81.87 38.53c-17.94-12.4-39.23-19.97-62.13-22.13L319.1 151.1C319.1 138.7 309.3 128 295.1 128S272 138.7 272 151.1V192h-32V151.1C240 138.7 229.3 128 216 128s-23.1 10.74-23.1 23.1L192 193.2C169.1 195.3 147.8 202.9 129.9 215.3L48 176.8V128h79.1C163.3 128 192 99.35 192 64h-63.1l63.1-64h-63.1c-70.69 0-127.1 57.31-127.1 128v64c0 9.297 5.375 17.75 13.78 21.72l80.73 37.99C91.98 255.6 89.97 259.8 87.85 264H61.67L34.73 250.5C22.89 244.6 8.48 249.4 2.543 261.3C-3.395 273.1 1.418 287.5 13.29 293.5l31.1 16C48.6 311.1 52.29 312 56.01 312h18.26c-.3184 3.732-1.11 7.322-1.11 11.14c0 .168 .0823 .3184 .0842 .4863l-16.83 5.611c-3.531 1.172-6.75 3.156-9.375 5.797l-31.1 32c-9.375 9.375-9.375 24.56 0 33.94C19.73 405.7 25.86 408 32.01 408c6.156 0 12.28-2.344 16.97-7.031l27.1-27.98l23.15-7.721l18.05 18.05l-29.76 9.922c-3.531 1.172-6.75 3.156-9.375 5.797l-31.1 32c-9.375 9.375-9.375 24.56 0 33.94C51.73 469.7 57.85 472 64.01 472c6.154 0 12.28-2.344 16.97-7.031l28-27.98l47.15-15.72l2.676 2.676l-19.14 11.48C132.4 439.8 128 447.6 128 456v32c0 13.25 10.75 24 24 24c13.25 0 23.1-10.75 23.1-24v-18.41L211.1 448h88.04l35.98 21.59V488c0 13.25 10.75 24 23.1 24c13.25 0 24-10.75 24-24v-32c0-8.438-4.438-16.25-11.66-20.58l-19.14-11.48l2.676-2.676l47.15 15.72l28 27.98C435.7 469.7 441.8 472 447.1 472c6.156 0 12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94l-31.1-32c-2.625-2.641-5.844-4.625-9.375-5.797l-29.76-9.922l18.05-18.05l23.15 7.721l27.1 27.98C467.7 405.7 473.8 408 479.1 408c6.154 0 12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94l-31.1-32c-2.625-2.641-5.844-4.625-9.375-5.797l-16.83-5.611c.002-.168 .1035-.3184 .1035-.4863c0-3.787-.5352-7.432-.8496-11.14h17.98c3.719 0 7.406-.875 10.72-2.531l31.1-16c11.88-5.938 16.69-20.34 10.75-32.2c-5.938-11.83-20.31-16.64-32.19-10.73L450.3 264h-25.73c-2.148-4.236-4.524-8.341-7.104-12.3l80.71-37.98C506.6 209.8 511.1 201.3 511.1 192zM309.3 400H202.7L121.3 318.5C123.7 274.8 159.1 240 204.3 240h103.4c44.3 0 80.61 34.82 83.01 78.53L309.3 400z"],
    "crate-apple": [512, 512, ["apple-crate"], "f6b1", "M210.5 50.5c11.38-12.25 14.5-32 13.25-50.25c-12.88-.875-35.63-.125-50 13.25C157.3 30.13 160 59.88 160.5 63.75C179 65 198.3 61.88 210.5 50.5zM402.3 50.5c11.25-12.25 14.38-32 13.25-50.25c-13-.875-35.75-.125-50.13 13.25c-16.5 16.62-13.75 46.38-13.12 50.25C370.6 65 389.1 61.88 402.3 50.5zM82.5 192C82.25 190.5 81.63 189.4 81.38 187.9c-3.125-17-1-43 9.125-57.63c5.25-7.625 11-9.5 14.38-10.12C112 119.3 133.4 123.5 148.3 131.9L160 138.4l11.75-6.5C186.5 123.6 207.9 119 215 120.1c6 1.125 10.62 4.375 14.62 10.12c10.12 14.62 12.25 40.63 9 58C238.4 189.6 237.9 190.6 237.6 192l48.66 .0003c2.625-18 1.462-40-4.413-60.38c.25-.375 .375-1 .625-1.375c5.25-7.625 10.88-9.5 14.5-10.12c6.75-1.125 28.5 3.375 43.38 11.75L352 138.4l11.75-6.5C378.5 123.6 399.9 119 407 120.1c3.75 .75 9.375 2.625 14.62 10.12c10.12 14.62 12.25 40.63 9 58C430.4 189.6 429.9 190.6 429.6 192h48.7c4-27 .4248-63.5-17.2-89c-11.25-16.38-27.13-26.75-45.88-30.12C397 69.75 371.5 75.88 352 84.25c-19.5-8.375-44.88-14.38-63.25-11.38C276.4 75.13 265.4 80.75 256 88.75c-9.375-8-20.38-13.62-32.75-15.88C205 69.75 179.5 75.88 160 84.25C140.5 75.88 115 69.88 96.75 72.88c-18.62 3.375-34.5 13.75-45.75 30C33.25 128.6 29.71 165.4 33.71 192L82.5 192zM480 223.8H32c-17.67 0-32 14.33-32 32v224.2C0 497.7 14.33 512 32 512h448c17.67 0 32-14.33 32-32V255.8C512 238.2 497.7 223.8 480 223.8zM464 464h-416v-72h416V464zM464 344h-416V271.7h416V344zM96 320c8.836 0 16-7.164 16-16S104.8 288 96 288S80 295.2 80 304S87.16 320 96 320zM416 320c8.836 0 16-7.164 16-16S424.8 288 416 288s-16 7.164-16 16S407.2 320 416 320zM96 448c8.836 0 16-7.164 16-16S104.8 416 96 416s-16 7.164-16 16S87.16 448 96 448zM416 448c8.836 0 16-7.164 16-16S424.8 416 416 416s-16 7.164-16 16S407.2 448 416 448z"],
    "crate-empty": [512, 512, [], "e151", "M480 223.8H32c-17.67 0-32 14.33-32 32v224.2C0 497.7 14.33 512 32 512h448c17.67 0 32-14.33 32-32V255.8C512 238.2 497.7 223.8 480 223.8zM464 464h-416v-72h416V464zM464 344h-416V271.7h416V344zM96 320c8.836 0 16-7.164 16-16S104.8 288 96 288S80 295.2 80 304S87.16 320 96 320zM416 320c8.836 0 16-7.164 16-16S424.8 288 416 288s-16 7.164-16 16S407.2 320 416 320zM96 448c8.836 0 16-7.164 16-16S104.8 416 96 416s-16 7.164-16 16S87.16 448 96 448zM416 448c8.836 0 16-7.164 16-16S424.8 416 416 416s-16 7.164-16 16S407.2 448 416 448z"],
    "credit-card": [576, 512, [62083, 128179, "credit-card-alt"], "f09d", "M168 336C181.3 336 192 346.7 192 360C192 373.3 181.3 384 168 384H120C106.7 384 96 373.3 96 360C96 346.7 106.7 336 120 336H168zM360 336C373.3 336 384 346.7 384 360C384 373.3 373.3 384 360 384H248C234.7 384 224 373.3 224 360C224 346.7 234.7 336 248 336H360zM512 32C547.3 32 576 60.65 576 96V416C576 451.3 547.3 480 512 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H512zM512 80H64C55.16 80 48 87.16 48 96V128H528V96C528 87.16 520.8 80 512 80zM528 224H48V416C48 424.8 55.16 432 64 432H512C520.8 432 528 424.8 528 416V224z"],
    "credit-card-blank": [576, 512, [], "f389", "M96 360C96 346.7 106.7 336 120 336H168C181.3 336 192 346.7 192 360C192 373.3 181.3 384 168 384H120C106.7 384 96 373.3 96 360zM224 360C224 346.7 234.7 336 248 336H360C373.3 336 384 346.7 384 360C384 373.3 373.3 384 360 384H248C234.7 384 224 373.3 224 360zM0 96C0 60.65 28.65 32 64 32H512C547.3 32 576 60.65 576 96V416C576 451.3 547.3 480 512 480H64C28.65 480 0 451.3 0 416V96zM48 96V416C48 424.8 55.16 432 64 432H512C520.8 432 528 424.8 528 416V96C528 87.16 520.8 80 512 80H64C55.16 80 48 87.16 48 96z"],
    "credit-card-front": [576, 512, [], "f38a", "M96 360C96 346.7 106.7 336 120 336H168C181.3 336 192 346.7 192 360C192 373.3 181.3 384 168 384H120C106.7 384 96 373.3 96 360zM224 360C224 346.7 234.7 336 248 336H360C373.3 336 384 346.7 384 360C384 373.3 373.3 384 360 384H248C234.7 384 224 373.3 224 360zM96 280C96 266.7 106.7 256 120 256H456C469.3 256 480 266.7 480 280C480 293.3 469.3 304 456 304H120C106.7 304 96 293.3 96 280zM456 128C469.3 128 480 138.7 480 152V200C480 213.3 469.3 224 456 224H376C362.7 224 352 213.3 352 200V152C352 138.7 362.7 128 376 128H456zM0 96C0 60.65 28.65 32 64 32H512C547.3 32 576 60.65 576 96V416C576 451.3 547.3 480 512 480H64C28.65 480 0 451.3 0 416V96zM48 96V416C48 424.8 55.16 432 64 432H512C520.8 432 528 424.8 528 416V96C528 87.16 520.8 80 512 80H64C55.16 80 48 87.16 48 96z"],
    "cricket-bat-ball": [512, 512, [127951, "cricket"], "f449", "M415.1 237.6c0-7.07-2.697-14.14-8.092-19.54l-34.35-34.35l129.1-129.1c6.247-6.246 9.374-14.44 9.374-22.62C511.1 14.94 498.3 0 480 0c-8.188 0-16.38 3.128-22.62 9.374l-129.1 129.1l-34.35-34.35c-5.395-5.395-12.46-8.09-19.54-8.09S260.3 98.69 254.9 104.1l-245.3 245.3c-5.861 5.861-9.592 13.8-9.592 22.02c0 102.8 108.9 140.6 140.6 140.6c8.219 0 16.16-3.727 22.03-9.594l245.3-245.3C413.3 251.7 415.1 244.6 415.1 237.6zM226.6 370.6l-92.39 92.39c-43.41-7.586-77.55-41.73-85.15-85.14L176 250.9V336h85.13L226.6 370.6zM309.1 288L224 287.1L224 202.9l50.42-50.42l85.14 85.14L309.1 288zM431.1 352c-44.25 0-80 35.75-80 79.1c0 44.25 35.75 79.1 80 79.1s80-35.75 80-79.1C511.1 387.8 476.2 352 431.1 352zM431.1 464c-17.64 0-32-14.36-32-32c0-17.64 14.36-31.99 32-31.99s32 14.35 32 31.99C463.1 449.6 449.6 464 431.1 464z"],
    "croissant": [512, 512, [129360], "f7f6", "M507.7 167.1c-13.75-35.87-39.75-65.62-73.5-83.1c-3.375-16.87-12.62-31.1-26.25-42.5C372.8 14.75 329.7 .125 285.5 0c-15.5 .125-30.1 2-46.12 5.75C224.9-.375 208.6-1.625 193.4 2.25C99.12 25.62 25.62 99.12 2.123 193.4C-1.627 208.5-.3772 224.5 5.622 238.9c-13.87 58.62-.7499 120.4 35.75 168.4c10.25 13.25 24.1 22.5 41.5 25.1c18.5 34.25 48.62 60.62 84.99 74.5c46.87 17.62 95.37-21.1 87.12-71.5L239.1 341.2c1.625-1.875 2.1-3.75 4.375-5.75c18.12-.75 35.37-8.25 48.25-21.12l22.62-22.62c12.1-12.1 19.75-29.1 20.87-47.62c2.25-1.375 4.5-2.1 6.625-4.75l94.37 15.75C486.1 263.4 525.3 214.4 507.7 167.1zM111.7 382.2c-11.5 8.1-25.75 4.375-32.25-4.125c-21.87-28.62-31.87-63.25-30.75-97.87c.9999 .375 1.1 .1 3.125 1.25l135.2 41.62L111.7 382.2zM184.1 462.9c-20.12-7.75-37.62-20.1-50.5-38.25c2.375-1.375 4.75-2.1 6.1-4.625l54.1-43.12l11.12 67.37c.9999 5.875-1.25 11.1-5.1 15.87C196.1 463.9 190.6 464.1 184.1 462.9zM280.4 257.7l-22.62 22.75C251.1 287.1 241.2 289.6 232.2 286.9L65.99 235.6C52.99 231.6 45.37 218.2 48.74 204.1C67.87 127.1 127.1 67.87 204.1 48.75c13.12-3.25 26.62 4.25 30.62 17.25l51.12 166.1C289.6 241.2 287.1 251.1 280.4 257.7zM323.4 187.1l-41.87-135.1c-.375-1.25-.9999-2.375-1.375-3.625c1.75-.125 3.625-.375 5.375-.375c33.75 0 66.62 11.12 93.49 31.62c8.499 6.5 12.1 20.87 3.1 32.25L323.4 187.1zM444.2 207.7l-66.75-11.12l43.37-55.12c1.5-2.125 2.1-4.25 4.25-6.5c16.1 12.75 30.12 30.12 37.75 49.1c2.125 5.625 .9999 11.1-2.75 16.75C456.2 206.4 450.2 208.7 444.2 207.7z"],
    "crop": [512, 512, [], "f125", "M80 24C80 10.75 90.75 0 104 0C117.3 0 128 10.75 128 24V350.1L350.1 128H160V80H398.1L471 7.029C480.4-2.343 495.6-2.343 504.1 7.029C514.3 16.4 514.3 31.6 504.1 40.97L432 113.9V384H488C501.3 384 512 394.7 512 408C512 421.3 501.3 432 488 432H432V488C432 501.3 421.3 512 408 512C394.7 512 384 501.3 384 488V161.9L161.9 384H352V432H136C105.1 432 80 406.9 80 376V128H24C10.75 128 0 117.3 0 104C0 90.75 10.75 80 24 80H80V24z"],
    "crop-simple": [512, 512, ["crop-alt"], "f565", "M128 376C128 380.4 131.6 384 136 384H352V432H136C105.1 432 80 406.9 80 376V128H24C10.75 128 0 117.3 0 104C0 90.75 10.75 80 24 80H80V24C80 10.75 90.75 0 104 0C117.3 0 128 10.75 128 24V376zM384 136C384 131.6 380.4 128 376 128H160V80H376C406.9 80 432 105.1 432 136V384H488C501.3 384 512 394.7 512 408C512 421.3 501.3 432 488 432H432V488C432 501.3 421.3 512 408 512C394.7 512 384 501.3 384 488V136z"],
    "cross": [384, 512, [128327, 10013], "f654", "M335.1 112H272v-64C272 21.49 250.5 0 224 0H160C133.5 0 112 21.49 112 48v64H47.1C21.49 112-.0008 133.5-.0008 160v64c0 26.51 21.49 48 47.1 48H112v192C112 490.5 133.5 512 160 512h64c26.51 0 48-21.49 48-48v-192h63.1c26.51 0 48-21.49 48-48V160C383.1 133.5 362.5 112 335.1 112zM335.1 224H224v240H160V224H47.1V160H160V48h64V160h111.1V224z"],
    "crosshairs": [512, 512, [], "f05b", "M224 256C224 238.3 238.3 224 256 224C273.7 224 288 238.3 288 256C288 273.7 273.7 288 256 288C238.3 288 224 273.7 224 256zM256 0C269.3 0 280 10.75 280 24V41.32C380.1 52.39 459.6 131.9 470.7 232H488C501.3 232 512 242.7 512 256C512 269.3 501.3 280 488 280H470.7C459.6 380.1 380.1 459.6 280 470.7V488C280 501.3 269.3 512 256 512C242.7 512 232 501.3 232 488V470.7C131.9 459.6 52.39 380.1 41.32 280H24C10.75 280 0 269.3 0 256C0 242.7 10.75 232 24 232H41.32C52.39 131.9 131.9 52.39 232 41.32V24C232 10.75 242.7 0 256 0V0zM232 422.3V392C232 378.7 242.7 368 256 368C269.3 368 280 378.7 280 392V422.3C353.6 411.8 411.8 353.6 422.3 280H392C378.7 280 368 269.3 368 256C368 242.7 378.7 232 392 232H422.3C411.8 158.4 353.6 100.2 280 89.7V120C280 133.3 269.3 144 256 144C242.7 144 232 133.3 232 120V89.7C158.4 100.2 100.2 158.4 89.7 232H120C133.3 232 144 242.7 144 256C144 269.3 133.3 280 120 280H89.7C100.2 353.6 158.4 411.8 232 422.3z"],
    "crosshairs-simple": [512, 512, [], "e59f", "M256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM280 49.37V120C280 133.3 269.3 144 256 144C242.7 144 232 133.3 232 120V49.37C136.3 60.36 60.36 136.3 49.37 232H120C133.3 232 144 242.7 144 256C144 269.3 133.3 280 120 280H49.37C60.36 375.7 136.3 451.6 232 462.6V392C232 378.7 242.7 368 256 368C269.3 368 280 378.7 280 392V462.6C375.7 451.6 451.6 375.7 462.6 280H392C378.7 280 368 269.3 368 256C368 242.7 378.7 232 392 232H462.6C451.6 136.3 375.7 60.36 280 49.37z"],
    "crow": [640, 512, [], "f520", "M416 103.1C416 90.74 426.7 79.1 440 79.1C453.3 79.1 464 90.74 464 103.1C464 117.3 453.3 127.1 440 127.1C426.7 127.1 416 117.3 416 103.1zM111.2 384L39.17 442.6C28.89 450.1 13.75 449.4 5.386 439.2C-2.982 428.9-1.431 413.8 8.849 405.4L336 139.1V104C336 46.56 382.6 0 440 0C469.5 0 496.1 12.28 515 32H558C596.8 32 630.6 58.39 640 96L544 120V192C544 279.1 484.9 354.1 404.2 376.8L446.2 478.9C451.2 491.1 445.4 505.1 433.1 510.2C420.9 515.2 406.9 509.4 401.8 497.1L355.2 383.1C354.1 383.1 353.1 384 352 384H311.1L350.2 478.9C355.2 491.1 349.4 505.1 337.1 510.2C324.9 515.2 310.9 509.4 305.8 497.1L259.2 384L111.2 384zM352 336C431.5 336 496 271.5 496 191.1V103.1C496 73.07 470.9 47.1 440 47.1C409.1 47.1 384 73.07 384 103.1V161.9L170.1 336H352zM360 127.1C373.3 127.1 384 138.7 384 151.1V175.2C384 261.7 323.8 336.5 239.3 354.1L109.1 383.4L98.87 336.6L229.1 308.1C291.5 294.4 336 239.1 336 175.2V151.1C336 138.7 346.7 127.1 360 127.1H360z"],
    "crown": [576, 512, [128081], "f521", "M536 96c-22.09 0-40 17.91-40 40c0 8.998 3.521 16.89 8.537 23.57l-89.63 71.7c-5.955 4.764-12.99 7.019-19.94 7.019c-11.61 0-22.98-6.298-28.68-17.7l-57.6-115.2C320 98.34 327.1 86.34 327.1 72C327.1 49.91 310.1 32 288 32S247.1 49.91 247.1 72c0 14.34 7.963 26.34 19.3 33.4L209.7 220.6C204 231.1 192.6 238.3 181 238.3c-6.945 0-13.98-2.255-19.94-7.019l-89.63-71.7C76.48 152.9 79.1 144.1 79.1 136c0-22.09-17.91-40-40-40s-40 17.91-40 40s17.91 40 40 40c.248 0 .457-.1164 .7051-.1203l50.52 277.8C93.99 468.9 107.2 480 122.7 480h330.6c15.46 0 28.72-11.06 31.48-26.27l50.52-277.9C535.5 175.9 535.8 176 536 176C558.1 176 576 158.1 576 136S558.1 96 536 96zM439.9 432H136.1l-33.89-186.4l28.94 23.15c14.14 11.31 31.87 17.54 49.92 17.54c30.53 0 57.97-16.95 71.61-44.23L288 171.3l35.37 70.73c13.64 27.28 41.08 44.23 71.61 44.23c18.06 0 35.79-6.229 49.92-17.54l28.94-23.15L439.9 432z"],
    "crutch": [512, 512, [], "f7f7", "M328.5 262.8L249.4 183.7l71.38-71.38l-33.88-33.88l-121.1 121c-11.75 11.62-19.88 26.38-23.5 42.38l-28.38 122.5l-106.8 106.7c-9.375 9.375-9.375 24.56 0 33.94C11.72 509.7 17.84 512 24 512s12.28-2.344 16.97-7.031l106.9-106.8l122.5-28.25c16-3.625 30.75-11.88 42.38-23.5l121.2-121L400 191.4L328.5 262.8zM278.8 312.6c-5.25 5.25-11.88 9-19.25 10.62l-91.75 21.25L189 252.7c1.625-7.375 5.375-14 10.75-19.25L215.5 217.6l79.13 79.25L278.8 312.6zM504.1 216.1C500.3 221.7 494.2 224 488 224s-12.28-2.344-16.97-7.031l-123.5-123.5c-.0391-.0391 .0391 .0391 0 0l-52.49-52.5c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0l123.5 123.5c.0391 .0391-.0391-.0391 0 0l52.49 52.5C514.3 192.4 514.3 207.6 504.1 216.1z"],
    "crutches": [640, 512, [], "f7f8", "M456.5 262.8l-79.13-79.13l71.38-71.38l-33.88-33.88l-121.1 121c-11.75 11.62-19.88 26.38-23.5 42.38l-28.38 122.5l-106.8 106.7C130.3 475.7 128 481.9 128 488C128 494.9 133.4 512 152 512c6.156 0 12.28-2.344 16.97-7.031l106.9-106.8l122.5-28.25c16-3.625 30.75-11.88 42.38-23.5l121.2-121L528 191.4L456.5 262.8zM406.8 312.6c-5.25 5.25-11.88 9-19.25 10.62l-91.75 21.25L317 252.7c1.625-7.375 5.375-14 10.75-19.25l15.75-15.88l79.13 79.25L406.8 312.6zM640 200C640 206.9 634.6 224 616 224c-6.156 0-12.28-2.344-16.97-7.031l-123.5-123.5c-.0391-.0391 .0391 .0391 0 0l-52.49-52.5C418.3 36.28 416 30.14 416 24C416 10.29 427.2 0 440 0c6.141 0 12.28 2.344 16.97 7.031l123.5 123.5c.0391 .0391-.0391-.0391 0 0l52.49 52.5C637.7 187.7 640 193.9 640 200zM55.26 202.7L40.97 216.1C36.28 221.7 30.16 224 24 224C5.205 224 0 206.8 0 200c0-6.141 2.344-12.28 7.031-16.97l52.49-52.5c.0391-.0391-.0391 .0391 0 0l123.5-123.5C187.7 2.344 193.9 0 200 0C213.7 0 224 11.21 224 24c0 6.141-2.344 12.28-7.031 16.97L202.3 55.62l95.05 94.98L271.1 176.8c-2.609 2.582-4.879 5.447-7.225 8.248L168.4 89.5L164.5 93.46c-.0391 .0391 .0391-.0391 0 0l-75.22 75.22l134.1 133.9l-10.54 45.52l-4.84 4.834c-2.869-2.234-6.098-3.969-8.68-6.551L55.26 202.7zM504.1 471C509.7 475.7 512 481.9 512 488c0 6.861-5.368 24-24 24c-6.156 0-12.28-2.344-16.97-7.031l-96.75-96.63l31.28-7.215c7.553-1.711 14.79-4.422 21.83-7.57L504.1 471z"],
    "cruzeiro-sign": [384, 512, [], "e152", "M160 419.6V247.1C160 234.7 170.7 223.1 184 223.1C194.1 223.1 204.2 231.3 207.1 241.4C218.8 235.4 232.1 231.1 246.2 231.1C269.1 231.1 291 241.1 307.2 257.3L312.1 263C322.3 272.4 322.3 287.6 312.1 296.1C303.6 306.3 288.4 306.3 279 296.1L273.3 291.2C266.1 284 256.4 279.1 246.2 279.1C225.1 279.1 208 297.1 208 318.2V424C208 426.5 207.6 428.8 206.1 431C213.1 431.7 219.3 432 225.6 432C271.2 432 312.6 415 344.1 387.1C353.1 378.3 369.1 379.2 377.9 389.1C386.7 399 385.8 414.2 375.9 423C336 458.5 283.3 480 225.6 480C101.2 480 0 379.9 0 256C0 132.1 101.2 32 225.6 32C283.3 32 336 53.55 375.9 88.98C385.8 97.78 386.7 112.9 377.9 122.9C369.1 132.8 353.1 133.7 344.1 124.9C312.6 96.97 271.2 80 225.6 80C127.3 80 48 158.1 48 256C48 330.1 94.31 393.7 160 419.6V419.6z"],
    "crystal-ball": [448, 512, [], "e362", "M363.2 398.6C414.7 358.4 448 294.2 448 223.9C448 99.63 347.7 0 223.1 0C100.3 0 0 98.72 0 222.1c0 70.34 33.25 134.5 84.76 174.7l-46.35 62.09c-4.426 6.221-6.424 13.03-6.424 19.68C31.99 496.5 45.07 512 64.04 512h320c18.97 0 32.05-15.55 32.05-32.22c0-6.512-1.998-13.14-6.424-19.09L363.2 398.6zM296.9 383.5H151.1c-60.73-27.91-103.1-89.32-103.1-160.6c0-97.34 79.01-176.6 176-176.6s176 79.28 176 176.6C400.1 294.2 357.6 355.6 296.9 383.5zM364.4 217.4l-49.66-20.87l-20.73-50.08c-1.002-2.082-3.69-3.72-5.973-3.72c-2.315 0-4.909 1.639-5.911 3.72l-20.61 49.76l-.4063 .3783L211.6 217.4c-2.002 1.009-3.596 3.848-3.596 6.055c0 2.27 1.656 4.982 3.659 5.992l49.66 20.87l20.73 50.14c1.002 2.017 3.596 2.775 5.911 2.838c2.284 0 4.971-1.703 5.973-3.722l20.73-50.07l49.66-20.94c2.033-.1882 3.69-2.901 3.69-6.055C368.1 221.1 366.4 218.4 364.4 217.4zM205.8 139.1L175.8 126.6L163.2 96.72C162.6 95.53 162.8 94.52 160.5 94.52c-2.334 0-3.028 1.004-3.627 2.195L144.3 126.6L114.3 139.1C113 139.7 112 141.3 112 142.7s1.01 2.948 2.241 3.575L144.3 158.7l12.53 29.92c.631 1.254 3.123 2.258 3.627 2.258c.5059 0 2.114-1.004 3.598-3.136l12.56-29.92l29.19-11.54C207 145.6 208 144 208 142.7C208 141.3 207 139.7 205.8 139.1z"],
    "cube": [512, 512, [], "f1b2", "M236.1 5.865C248.9 1.011 263.1 1.011 275.9 5.865L475.9 81.73C497.6 89.98 512 110.8 512 134.1V377.9C512 401.2 497.6 422 475.9 430.3L275.9 506.1C263.1 510.1 248.9 510.1 236.1 506.1L36.14 430.3C14.39 422 0 401.2 0 377.9V134.1C0 110.8 14.39 89.98 36.14 81.73L236.1 5.865zM258.8 50.74C257 50.05 254.1 50.05 253.2 50.74L63.62 122.6L256 198.2L448.4 122.6L258.8 50.74zM53.16 385.4L232 453.2V240.4L48 168.1V377.9C48 381.2 50.06 384.2 53.16 385.4zM280 453.2L458.8 385.4C461.9 384.2 464 381.2 464 377.9V168.1L280 240.4V453.2z"],
    "cubes": [576, 512, [], "f1b3", "M448 92.99V207.5L539.9 242.4C561.6 250.6 576 271.5 576 294.7V413.9C576 436.1 562.9 456.2 542.5 465.1L446.2 507.5C432.2 513.7 416.3 513.8 402.2 507.1L288 460.7L173.8 507.1C159.7 513.8 143.8 513.7 129.8 507.5L33.46 465.1C13.13 456.2 0 436.1 0 413.9V294.7C0 271.5 14.39 250.6 36.15 242.4L128 207.5V92.99C128 69.32 142.9 48.2 165.2 40.24L269.2 3.134C281.4-1.209 294.6-1.209 306.8 3.134L410.8 40.24C433.1 48.2 448 69.32 448 92.99V92.99zM290.7 48.34C288.1 47.72 287.1 47.72 285.3 48.34L204.1 77.32L288 109.5L371.9 77.32L290.7 48.34zM264 238.6V151.7L176 117.9V207.2L264 238.6zM312 238.6L400 207.2V117.9L312 151.7V238.6zM176 353.9V455.1L264 418.7V320.2L176 353.9zM52.78 421.2L128 454.3V353.9L48 323.2V413.9C48 417.1 49.88 419.9 52.78 421.2zM400 353.9L312 320.2V418.7L400 455.1V353.9zM448 454.3L523.2 421.2C526.1 419.9 528 417.1 528 413.9V323.2L448 353.9V454.3zM155 250.7C153.2 250 151.3 250.1 149.5 250.7L70.81 280.6L152 311.7L235.9 279.5L155 250.7zM340.1 279.5L424 311.7L505.2 280.6L426.5 250.7C424.7 250.1 422.8 250 420.1 250.7L340.1 279.5z"],
    "cubes-stacked": [448, 512, [], "e4e6", "M288 32C305.7 32 320 46.33 320 64V128C320 145.7 305.7 160 288 160H224C206.3 160 192 145.7 192 128V64C192 46.33 206.3 32 224 32H288zM240 80V112H272V80H240zM70.96 250.7C62.12 235.4 67.37 215.8 82.67 206.1L138.1 174.1C153.4 166.1 172.1 171.4 181.8 186.7L213.8 242.1C222.6 257.4 217.4 276.1 202.1 285.8L146.7 317.8C131.4 326.6 111.8 321.4 102.1 306.1L70.96 250.7zM164.2 252.2L148.2 224.5L120.5 240.5L136.5 268.2L164.2 252.2zM256 224C256 206.3 270.3 192 288 192H352C369.7 192 384 206.3 384 224V288C384 305.7 369.7 320 352 320H288C270.3 320 256 305.7 256 288V224zM336 272V240H304V272H336zM320 384C320 366.3 334.3 352 352 352H416C433.7 352 448 366.3 448 384V448C448 465.7 433.7 480 416 480H352C334.3 480 320 465.7 320 448V384zM400 432V400H368V432H400zM256 352C273.7 352 288 366.3 288 384V448C288 465.7 273.7 480 256 480H192C174.3 480 160 465.7 160 448V384C160 366.3 174.3 352 192 352H256zM208 400V432H240V400H208zM0 384C0 366.3 14.33 352 32 352H96C113.7 352 128 366.3 128 384V448C128 465.7 113.7 480 96 480H32C14.33 480 0 465.7 0 448V384zM80 432V400H48V432H80z"],
    "cucumber": [512, 512, [129362], "e401", "M474.7 37.48C449.7 12.49 416.9 0 384.2 0s-65.56 12.49-90.54 37.48L169.2 161.8C166.3 160.9 163.3 159.1 160.1 159.1c-17.68 0-32.01 14.33-32.01 32c0 3.242 .9476 6.191 1.844 9.141L37.51 293.5c-50.02 50-50.02 131 0 181C62.49 499.5 95.29 512 128.1 512c31.01 0 61.83-11.59 86.24-33.98c3.132 1.023 6.321 1.977 9.797 1.977c17.68 0 32.01-14.33 32.01-32c0-3.242-.9476-6.191-1.844-9.141l184.8-184.7c2.95 .8965 5.899 1.846 9.142 1.846c17.68 0 32.01-14.33 32.01-32c0-3.475-.9535-6.662-1.977-9.795C524.3 163.1 523.4 86.13 474.7 37.48zM440.7 184.6l-63.16 63.14c-4.385-4.689-10.51-7.713-17.43-7.713c-13.24 0-24.01 10.76-24.01 24c0 6.912 3.025 13.04 7.716 17.42l-159.2 159.2C169.5 455.7 149.4 464 128.1 464s-41.48-8.316-56.58-23.43c-31.21-31.2-31.21-81.96 0-113.2l256.1-256C342.7 56.31 362.8 48 384.2 48c21.39 0 41.48 8.312 56.58 23.42C471.9 102.6 471.9 153.4 440.7 184.6zM160.1 295.1c-13.24 0-24.01 10.76-24.01 24c0 13.24 10.77 24 24.01 24c13.24 0 24.01-10.76 24.01-24C184.1 306.8 173.3 295.1 160.1 295.1zM352.1 103.1c-13.24 0-24.01 10.76-24.01 24c0 13.24 10.77 24 24.01 24c13.24 0 24.01-10.76 24.01-24C376.2 114.8 365.4 103.1 352.1 103.1z"],
    "cup-straw": [384, 512, [129380], "e363", "M360 128l-153.3-.002l20-80L264 48C277.3 48 288 37.25 288 24C288 10.74 277.3 0 264 0l-43.5-.002c-18.32 0-34.29 12.47-38.75 30.24L157.3 127.1L24 128C10.75 128 0 138.7 0 152C0 165.3 10.75 176 24 176H32l30.5 306.3c1.25 16.88 15.12 29.88 32 29.75h195c16.88 .125 30.75-12.88 32-29.75L352 176h8C373.3 176 384 165.3 384 152C384 138.7 373.3 128 360 128zM275 464h-166l-28.75-288h223.5L275 464z"],
    "cup-straw-swoosh": [384, 512, [], "e364", "M360 128l-153.3-.002l20-80L264 48C277.3 48 288 37.25 288 24C288 10.74 277.3 0 264 0l-43.5-.002c-18.32 0-34.29 12.47-38.75 30.24L157.3 127.1L24 128C10.75 128 0 138.7 0 152C0 165.3 10.75 176 24 176H32l30.5 306.3c1.25 16.88 15.12 29.88 32 29.75h195c16.88 .125 30.75-12.88 32-29.75L352 176h8C373.3 176 384 165.3 384 152C384 138.7 373.3 128 360 128zM303.8 176l-5.707 57.17C253.7 238.7 211.7 264.3 180.8 305.6c-22.76 30.38-51.67 48.05-82.37 52.49L80.25 176H303.8zM275 464h-166l-5.719-57.29c43.83-5.83 85.28-31.45 115.9-72.31c20.66-27.57 46.35-44.97 73.86-51.35L275 464z"],
    "cup-togo": [448, 512, ["coffee-togo"], "f6c5", "M424 80h-9.789c-.3242-.9043-.3008-1.854-.7422-2.734l-32-64C377.4 5.141 369.1 0 360 0h-272C78.91 0 70.59 5.141 66.53 13.27l-32 64C34.09 78.15 34.11 79.1 33.79 80H24C10.75 80 0 90.74 0 104C0 117.3 10.75 128 24 128h400C437.3 128 448 117.3 448 104C448 90.74 437.3 80 424 80zM86.84 80l16.01-32h242.3l16.01 32H86.84zM387.8 160.3c-13.19-2-25.38 6.859-27.47 19.95L353.4 224H94.62L87.72 180.3C85.66 167.2 73.34 158.3 60.25 160.3C47.16 162.4 38.22 174.7 40.28 187.8l48 304C90.13 503.4 100.2 512 112 512h223.9c11.81 0 21.92-8.594 23.77-20.25l48-304C409.8 174.7 400.8 162.4 387.8 160.3zM315.5 464h-183L119.9 384h208.3L315.5 464z"],
    "cupcake": [448, 512, [129473], "e402", "M431.9 178C442.8 193.7 448.4 212.4 447.1 231.5C447.5 250.6 441 269 429.4 284.2C417.8 299.3 401.7 310.4 383.4 315.8L356.4 485.2C355.2 492.7 351.4 499.5 345.6 504.4C339.8 509.3 332.5 511.1 324.9 512H300.1L324.1 320H291.9L267.9 512H180.1L156.1 320H123.9L147.9 512H123.1C115.6 512 108.2 509.3 102.5 504.5C96.7 499.6 92.83 492.9 91.55 485.4L64.61 315.8C46.3 310.4 30.18 299.3 18.57 284.2C6.963 269 .4654 250.6 .0171 231.5C-.4315 212.4 5.192 193.7 16.08 178C26.96 162.4 42.54 150.5 60.58 144.3L80.64 133.9C83.09 114.6 92.51 96.85 107.1 83.97C121.7 71.1 140.5 64 160 64H197.5C201.8 64.06 205.9 62.82 209.5 60.45C213 58.08 215.8 54.68 217.3 50.72C219 46.81 219.5 42.47 218.6 38.3C217.8 34.12 215.7 30.29 212.7 27.33C210.4 25.09 208.9 22.24 208.3 19.13C207.7 16.02 207.1 12.8 209.2 9.873C210.4 6.946 212.5 4.445 215.1 2.687C217.7 .9296 220.8-.0057 223.1 0C260.5 .0403 295.6 13.9 322.2 38.77C348.9 63.65 365.1 97.71 367.6 134.1L387.4 144.3C405.5 150.5 421 162.4 431.9 178H431.9zM385.1 261.9C392.8 255.4 397.9 246.4 399.5 236.4C401.1 226.5 399.2 216.3 393.9 207.7C388.7 199 380.6 192.6 371 189.4C369.5 188.9 367.9 188.2 366.5 187.5L337.3 172.4C332.1 169.8 327.7 165.7 324.7 160.7C321.6 155.6 319.1 149.9 320 144C319.1 125.9 314.9 108.1 305.2 92.8C295.5 77.47 281.7 65.19 265.4 57.38C264.5 61.38 263.3 65.3 261.7 69.09C256.5 81.81 247.6 92.68 236.1 100.3C224.7 107.1 211.3 112 197.5 112H160C151.5 112 143.4 115.4 137.4 121.4C131.4 127.4 128 135.5 128 144C128 149.9 126.4 155.6 123.3 160.7C120.3 165.7 115.9 169.8 110.7 172.4L81.54 187.5C80.06 188.2 78.55 188.9 76.99 189.4C67.42 192.6 59.3 199 54.07 207.7C48.85 216.3 46.86 226.5 48.48 236.4C50.09 246.4 55.2 255.4 62.88 261.9C70.57 268.5 80.32 272 90.4 272H357.6C367.7 272 377.4 268.5 385.1 261.9z"],
    "curling-stone": [576, 512, [129356, "curling"], "f44a", "M480 224c0-35.35-28.65-64-64-64H224V120C224 97.94 241.9 80 264 80h128C405.3 80 416 69.25 416 56S405.3 32 392 32h-128C215.5 32 176 71.47 176 120L175.1 160H160C124.7 160 95.1 188.7 95.1 224c-53.02 0-96 42.98-96 96v64c0 53.02 42.98 96 96 96h384c53.02 0 96-42.98 96-96v-64C576 266.1 533 224 480 224zM96 272h384c26.47 0 48 21.53 48 48v8h-480V320C48 293.5 69.53 272 96 272zM480 432H96c-26.47 0-48-21.53-48-48v-8h480V384C528 410.5 506.5 432 480 432z"],
    "custard": [576, 512, [127854], "e403", "M568.1 407C573.5 411.5 576 417.6 576 423.1C576 430.4 573.5 436.5 568.1 440.1C564.5 445.5 558.4 447.1 552 447.1H24C17.63 447.1 11.53 445.5 7.029 440.1C2.529 436.5 0 430.4 0 423.1C0 417.6 2.529 411.5 7.029 407C11.53 402.5 17.63 399.1 24 399.1H552C558.4 399.1 564.5 402.5 568.1 407zM66.45 356.7C63.08 351.3 61.1 344.8 63.42 338.6L115.2 115.1C118.8 101 127.3 87.73 139.5 78.28C151.6 68.83 166.6 63.79 182 63.1H393.1C409.4 63.79 424.4 68.83 436.5 78.28C448.7 87.73 457.2 101 460.8 115.1L512.6 338.6C514 344.8 512.9 351.3 509.6 356.7C506.2 362.1 500.8 365.9 494.6 367.4C492.8 367.8 490.1 368 489.2 367.1C483.7 367.1 478.5 366.2 474.3 362.8C470 359.4 467 354.7 465.8 349.4L438.6 232.2L436.7 230.7C425.7 221.2 411.7 215.9 397.2 215.9C382.7 215.9 368.6 221.2 357.7 230.7C338.1 247 313.5 255.1 288 255.1C262.5 255.1 237.9 247 218.3 230.7C207.4 221.2 193.3 215.9 178.8 215.9C164.3 215.9 150.2 221.2 139.3 230.7L137.4 232.2L110.2 349.4C109.5 352.5 108.2 355.4 106.3 357.1C104.5 360.5 102.2 362.7 99.51 364.4C96.83 366.1 93.85 367.2 90.74 367.7C87.63 368.2 84.44 368.1 81.38 367.4C75.18 365.9 69.81 362.1 66.45 356.7zM151.4 172.1C168.1 167.6 185.6 167.2 202.5 170.9C219.4 174.6 235.2 182.3 248.5 193.3C259.5 202.6 273.5 207.7 288 207.7C302.5 207.7 316.5 202.6 327.5 193.3C340.9 182.3 356.6 174.6 373.5 170.1C390.4 167.3 407.9 167.7 424.6 172.1L414.1 126.8C412.9 122.5 410.2 118.6 406.6 115.9C402.1 113.3 398.5 111.9 393.1 111.1H182C177.5 111.9 173 113.3 169.4 115.9C165.8 118.6 163.1 122.5 161.9 126.8L151.4 172.1z"],
    "d": [384, 512, [100], "44", "M154.7 480H24C10.75 480 0 469.3 0 456V56C0 42.75 10.75 32 24 32h130.7C281.1 32 384 132.5 384 256S281.1 480 154.7 480zM48 432h106.7C254.7 432 336 353 336 256s-81.34-176-181.3-176H48V432z"],
    "dagger": [384, 512, [], "f6cb", "M341.8 127.1L216 128V23.1C216 10.75 205.3 0 192 0S168 10.75 168 23.1V128L42.21 127.1C21.28 127.1 2.249 143.1 .201 163.9C-2.155 187.9 16.53 208 40 208c19.25 0 34.63-13.88 38.38-32H112v232l63.38 95.13C179.4 509 185.6 512 191.1 512c6.375 0 12.62-3 16.62-8.875L272 408V176h33.63c3.75 18.12 19.13 32 38.38 32c23.47 0 42.16-20.11 39.8-44.07C381.8 143.1 362.7 127.1 341.8 127.1zM224 393.5l-32 48l-32-48V176h64V393.5z"],
    "dash": [512, 512, ["minus-large"], "e404", "M512 256c0 13.25-10.75 24-24 24H24C10.75 280 0 269.3 0 256s10.75-24 24-24h464C501.3 232 512 242.8 512 256z"],
    "database": [448, 512, [], "f1c0", "M224 512C100.3 512 0 476.2 0 432V80C0 35.82 100.3 0 224 0C347.7 0 448 35.82 448 80V432C448 476.2 347.7 512 224 512zM400 86.03L399.4 85.54C394.1 81.03 383.5 74.8 366.2 68.64C332.1 56.45 281.8 48 224 48C166.2 48 115.9 56.45 81.75 68.64C64.49 74.8 53.91 81.03 48.57 85.54L48 86.03V174.7C61.28 181.1 79.64 188.9 102.8 194.6C136.7 202.1 178.5 208 224 208C269.5 208 311.3 202.1 345.2 194.6C368.4 188.9 386.7 181.1 400 174.7L400 86.03zM400 227.6C386.7 232.9 372.1 237.4 356.7 241.2C318.5 250.6 272.8 256 224 256C175.2 256 129.5 250.6 91.31 241.2C75.93 237.4 61.32 232.9 48 227.6V302.7C61.28 309.1 79.64 316.9 102.8 322.6C136.7 330.1 178.5 336 224 336C269.5 336 311.3 330.1 345.2 322.6C368.4 316.9 386.7 309.1 400 302.7V227.6zM48.57 426.5C53.91 430.1 64.48 437.2 81.75 443.4C115.9 455.5 166.2 464 223.1 464C281.8 464 332.1 455.5 366.2 443.4C383.5 437.2 394.1 430.1 399.4 426.5L400 425.1V355.6C386.7 360.9 372.1 365.4 356.7 369.2C318.5 378.6 272.8 384 223.1 384C175.2 384 129.5 378.6 91.31 369.2C75.93 365.4 61.32 360.9 47.1 355.6V425.1L48.57 426.5zM402 423.9L401.9 424.1C402 423.1 402.1 423.9 402.1 423.9L402 423.9zM46.1 424.1C46 423.1 45.95 423.9 45.94 423.9L46.1 424.1zM46.1 87.9C45.98 88.04 45.94 88.11 45.94 88.11L46.1 87.9zM402.1 88.11C402.1 88.11 402 88.04 401.9 87.9z"],
    "deer": [576, 512, [129420], "f78e", "M448 160C448 168.8 440.8 176 432 176C423.2 176 416 168.8 416 160C416 151.2 423.2 144 432 144C440.8 144 448 151.2 448 160zM288 40C288 53.25 298.7 64 312 64H328C341.3 64 352 53.25 352 40V16C352 7.164 359.2 0 368 0C376.8 0 384 7.164 384 16V40C384 48.59 382.1 56.73 378.6 64H448C461.3 64 472 53.25 472 40V16C472 7.164 479.2 0 488 0C496.8 0 504 7.164 504 16V40C504 60.67 492.8 78.72 476.1 88.42L529.6 137C543.9 149.1 552 168.4 552 187.6C552 225.4 521.4 256 483.6 256H441.3L425.2 304.2C424.4 306.6 424 309.2 424 311.8V472C424 494.1 406.1 512 384 512H336C313.9 512 296 494.1 296 472V376H289.2C267.1 376 245.4 371.4 225.4 362.7C221.1 379.8 210.7 395.1 195.5 405.2L188.1 409.5L206.7 458.3C216.2 484.4 196.9 512 169.2 512H123.2C106.4 512 91.36 501.5 85.62 485.7L63.16 423.9C57.61 408.7 57.38 391.1 62.52 376.5L70.77 351.8C71.58 349.4 72 346.8 72 344.2V339.9C72 333.5 69.47 327.4 64.97 322.9L63.9 321.8C62.93 330.2 55.54 336.5 47 335.1C38.18 335.4 31.48 327.8 32.03 319L35.34 266C36.45 248.4 42.25 232.1 51.5 218.4C67.73 188.4 99.49 168 136 168H327L334.2 144H305.1C296 144 288 135.1 288 126C288 117.8 293.6 110.6 301.6 108.6L352 96H312C281.1 96 256 70.93 256 40V16C256 7.164 263.2 .0003 272 .0003C280.8 .0003 288 7.164 288 16L288 40zM418.1 112C403.7 112 391 121.4 386.9 135.2L367.9 198.9C364.8 209 355.5 216 344.9 216H136C109.5 216 88 237.5 88 264V268.1C88 274.5 90.53 280.6 95.03 285.1L98.91 288.1C112.4 302.5 120 320.8 120 339.9V344.2C120 351.9 118.8 359.6 116.3 366.1L108.1 391.7C106.3 396.9 106.4 402.4 108.3 407.5L128.8 464H157.7L137.4 408.2C133.7 397.8 137.5 386.2 146.7 380L168.9 365.2C176.7 360 180.8 350.6 179.2 341.3L176.3 323.9C174.8 314.5 178.9 305 186.1 299.8C195 294.7 205.4 294.7 213.3 300L227.1 309.2C245.4 321.5 267.1 328 289.2 328H320C333.3 328 344 338.7 344 352V464H376V311.8C376 304 377.2 296.4 379.7 289L401.2 224.4C404.5 214.6 413.7 207.1 424 207.1H483.6C494.9 207.1 504 198.9 504 187.6C504 181.9 501.6 176.4 497.3 172.6L440 120.5C434 115 426.2 111.1 418.1 111.1L418.1 112z"],
    "deer-rudolph": [576, 512, [], "f78f", "M384 160C384 151.2 391.2 144 400 144C408.8 144 416 151.2 416 160C416 168.8 408.8 176 400 176C391.2 176 384 168.8 384 160zM240 0C248.8 0 256 7.164 256 16V40C256 53.25 266.7 64 280 64H296C309.3 64 320 53.25 320 40V16C320 7.164 327.2 0 336 0C344.8 0 352 7.164 352 16V40C352 48.59 350.1 56.73 346.6 64H416C429.3 64 440 53.25 440 40V16C440 7.164 447.2 0 456 0C464.8 0 472 7.164 472 16V40C472 60.67 460.8 78.72 444.1 88.42L487.9 128.2C495.2 118.4 506.8 112 520 112C542.1 112 560 129.9 560 152C560 174.1 542.1 192 520 192L519.9 191.1C517.6 227.7 487.9 256 451.6 256H409.3L393.2 304.2C392.4 306.6 392 309.2 392 311.8V472C392 494.1 374.1 512 352 512H304C281.9 512 264 494.1 264 472V376H257.2C235.1 376 213.4 371.4 193.4 362.7C189.1 379.8 178.7 395.1 163.5 405.2L156.1 409.5L174.7 458.3C184.2 484.4 164.9 512 137.2 512H91.21C74.39 512 59.36 501.5 53.62 485.7L31.16 423.9C25.61 408.7 25.38 391.1 30.52 376.5L38.77 351.8C39.58 349.4 40 346.8 40 344.2V339.9C40 333.5 37.47 327.4 32.97 322.9L31.9 321.8C30.93 330.2 23.54 336.5 15 335.1C6.183 335.4-.5194 327.8 .0317 319L3.344 266C4.445 248.4 10.25 232.1 19.5 218.4C35.73 188.4 67.49 168 104 168H295L302.2 144H273.1C264 144 256 135.1 256 126C256 117.8 261.6 110.6 269.6 108.6L320 96H280C249.1 96 224 70.93 224 40V16C224 7.164 231.2 .0003 240 .0003V0zM335.9 198.9C332.8 209 323.5 216 312.9 216H104C77.49 216 56 237.5 56 264V268.1C56 274.5 58.53 280.6 63.03 285.1L66.91 288.1C80.42 302.5 88 320.8 88 339.9V344.2C88 351.9 86.75 359.6 84.31 366.1L76.06 391.7C74.35 396.9 74.42 402.4 76.27 407.5L96.81 464H125.7L105.4 408.2C101.7 397.8 105.5 386.2 114.7 380L136.9 365.2C144.7 360 148.8 350.6 147.2 341.3L144.3 323.9C142.8 314.5 146.9 305 154.1 299.8C163 294.7 173.4 294.7 181.3 300L195.1 309.2C213.4 321.5 235.1 328 257.2 328H288C301.3 328 312 338.7 312 352V464H344V311.8C344 304 345.2 296.4 347.7 289L369.2 224.4C372.5 214.6 381.7 207.1 392 207.1H451.6C462.9 207.1 472 198.9 472 187.6C472 181.9 469.6 176.4 465.3 172.6L408 120.5C402 115 394.2 111.1 386.1 111.1C371.7 111.1 359 121.4 354.9 135.2L335.9 198.9z"],
    "delete-left": [576, 512, [9003, "backspace"], "f55a", "M432.1 208.1L385.9 256L432.1 303C442.3 312.4 442.3 327.6 432.1 336.1C423.6 346.3 408.4 346.3 399 336.1L352 289.9L304.1 336.1C295.6 346.3 280.4 346.3 271 336.1C261.7 327.6 261.7 312.4 271 303L318.1 256L271 208.1C261.7 199.6 261.7 184.4 271 175C280.4 165.7 295.6 165.7 304.1 175L352 222.1L399 175C408.4 165.7 423.6 165.7 432.1 175C442.3 184.4 442.3 199.6 432.1 208.1V208.1zM512 64C547.3 64 576 92.65 576 128V384C576 419.3 547.3 448 512 448H205.3C188.3 448 172 441.3 160 429.3L9.372 278.6C3.371 272.6 0 264.5 0 256C0 247.5 3.372 239.4 9.372 233.4L160 82.75C172 70.74 188.3 64 205.3 64L512 64zM528 128C528 119.2 520.8 112 512 112H205.3C201 112 196.9 113.7 193.9 116.7L54.63 256L193.9 395.3C196.9 398.3 201 400 205.3 400H512C520.8 400 528 392.8 528 384V128z"],
    "delete-right": [576, 512, [], "e154", "M143 175C152.4 165.7 167.6 165.7 176.1 175L223.1 222.1L271 175C280.4 165.7 295.6 165.7 304.1 175C314.3 184.4 314.3 199.6 304.1 208.1L257.9 255.1L304.1 303C314.3 312.4 314.3 327.6 304.1 336.1C295.6 346.3 280.4 346.3 271 336.1L223.1 289.9L176.1 336.1C167.6 346.3 152.4 346.3 143 336.1C133.7 327.6 133.7 312.4 143 303L190.1 255.1L143 208.1C133.7 199.6 133.7 184.4 143 175V175zM370.7 64C387.7 64 403.1 70.74 416 82.75L566.6 233.4C572.6 239.4 576 247.5 576 256C576 264.5 572.6 272.6 566.6 278.6L416 429.3C403.1 441.3 387.7 448 370.7 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64L370.7 64zM48 384C48 392.8 55.16 400 64 400H370.7C374.1 400 379.1 398.3 382.1 395.3L521.4 256L382.1 116.7C379.1 113.7 374.1 112 370.7 112H64C55.16 112 48 119.2 48 128V384z"],
    "democrat": [640, 512, [], "f747", "M638.7 221.2l-19.75-29.5c-25.25-37.88-66.51-61.25-111.6-63.75H288.3L214.6 66.75C226 47.62 226.1 23.75 213.8 4.87c-3.376-5.125-10.75-5.875-15.13-1.5L157.6 44.25l-41.88-41.88C112.1-1.255 106.1-.6302 103.4 3.62C91.1 20.75 93.5 43.25 106.5 59.62L13.48 168.2c-14.75 17.13-17.63 41.38-7.501 61.5l13.63 27.38c9.627 19.13 28.88 30.88 50.13 30.88h31.01c14.88 0 29.25-6 38.26-15.13l10.25-8.625l26.38 68.25v139.5C175.6 494.1 193.6 512 215.6 512h72.01c22.13 0 40.01-17.88 40.01-40v-40h96.14v40C423.8 494.1 441.8 512 463.8 512h72.14c22.13 0 40.01-17.88 40.01-40V214.8c.9728 1.227 2.2 2.195 3.125 3.586l19.63 29.38c1.125 1.875 3 3 5.001 3.5c2.25 .5 4.251 0 6.001-1.25l26.75-17.75C640.1 229.7 641.1 224.7 638.7 221.2zM527.8 463.1h-56.13v-64c0-8.75-7.126-16-16-16H295.7c-8.876 0-16 7.25-16 16v64H223.5v-112h304.3V463.1zM527.8 303.1H214.6l-37.01-98.75c-3.876-10.5-16.88-13.88-25.38-6.625L106.2 237.7C104.7 239.2 102.6 239.1 100.6 239.1H69.62c-3.126 0-5.876-1.75-7.251-4.375L48.62 208.2C47.24 205.4 47.62 201.1 49.74 199.5l88.76-103.5h36.26l96.14 80h216.9c22.13 0 40.01 17.88 40.01 40V303.1zM283.7 226.7L275.4 210.2c-1.5-3-5.751-3-7.251 0L260 226.7L241.6 229.5c-3.251 .5-4.501 4.5-2.125 6.75L252.6 249.2L249.6 267.4C249 270.7 252.5 273.2 255.4 271.6l16.25-8.625l16.38 8.625c2.875 1.5 6.376-.875 5.751-4.25L290.7 249.2l13.25-13c2.375-2.25 1.125-6.25-2.25-6.75L283.7 226.7zM379.4 226.7L371.2 210.2c-1.5-3-5.626-3-7.126 0L355.8 226.7l-18.25 2.75c-3.376 .5-4.626 4.5-2.25 6.75L348.5 249.2l-3.126 18.13c-.6251 3.375 2.875 5.875 5.751 4.25l16.38-8.625l16.25 8.625c2.875 1.5 6.376-.875 5.876-4.25L386.5 249.2l13.13-13c2.5-2.25 1.125-6.25-2.125-6.75L379.4 226.7zM475.7 226.7l-8.251-16.5c-1.5-3-5.751-3-7.251 0l-8.126 16.5l-18.38 2.75c-3.251 .5-4.501 4.5-2.125 6.75l13.13 13l-3 18.13c-.6251 3.375 2.875 5.875 5.751 4.25l16.25-8.625l16.38 8.625c2.875 1.5 6.376-.875 5.751-4.25L482.7 249.2l13.25-13c2.375-2.25 1.125-6.25-2.25-6.75L475.7 226.7z"],
    "desktop": [576, 512, [61704, 128421, "desktop-alt"], "f390", "M512 0H64C28.65 0 0 28.65 0 64v288c0 35.35 28.65 64 64 64h148.3l-9.6 48H152C138.8 464 128 474.8 128 488S138.8 512 152 512h272c13.25 0 24-10.75 24-24s-10.75-24-24-24h-50.73L363.7 416H512c35.35 0 64-28.65 64-64V64C576 28.65 547.3 0 512 0zM324.3 464H251.7L261.3 416h53.46L324.3 464zM528 352c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V304h480V352zM528 256h-480V64c0-8.822 7.178-16 16-16h448c8.822 0 16 7.178 16 16V256z"],
    "desktop-arrow-down": [576, 512, [], "e155", "M191 103c-9.375 9.375-9.375 24.56 0 33.94l80 80c9.375 9.375 24.56 9.375 33.94 0l80-80c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0L312 142.1V24C312 10.75 301.3 0 288 0S264 10.75 264 24v118.1L224.1 103C220.3 98.34 214.2 96 208 96S195.7 98.34 191 103zM512 0h-160v48h160c8.822 0 16 7.178 16 16v192h-480V64c0-8.822 7.178-16 16-16h160V0H64C28.65 0 0 28.65 0 64v288c0 35.35 28.65 64 64 64h148.3l-9.6 48H152C138.8 464 128 474.8 128 488S138.8 512 152 512h272c13.25 0 24-10.75 24-24s-10.75-24-24-24h-50.73L363.7 416H512c35.35 0 64-28.65 64-64V64C576 28.65 547.3 0 512 0zM251.7 464L261.3 416h53.46l9.6 48H251.7zM528 352c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V304h480V352z"],
    "dharmachakra": [512, 512, [9784], "f655", "M499.3 232l-20.5 .625C474.1 188.2 456.6 147.9 429.1 115l15-14c5.125-4.75 5.25-12.75 .375-17.75l-16.62-16.62c-5-4.875-13-4.75-17.75 .375l-14 15C364.1 55.38 323.8 37.88 279.4 33.25L280 12.75C280.2 5.75 274.8 0 267.8 0h-23.5C237.3 0 231.8 5.75 232 12.75l.625 20.5C188.2 37.88 147.9 55.38 115 82L101 67C96.25 61.88 88.25 61.75 83.25 66.62L66.63 83.25C61.75 88.25 61.88 96.25 67 101l14.1 14c-26.62 32.88-44.12 73.25-48.75 117.6L12.75 232C5.75 231.8 0 237.2 0 244.2v23.5C0 274.8 5.75 280.2 12.75 280l20.5-.625c4.625 44.38 22.13 84.75 48.75 117.6l-14.1 14c-5.125 4.75-5.25 12.75-.375 17.75l16.62 16.62c5 4.875 13 4.75 17.75-.375l14-14.1c32.88 26.62 73.25 44.12 117.6 48.75L232 499.2C231.8 506.2 237.3 512 244.3 512h23.5c7 0 12.5-5.75 12.25-12.75l-.625-20.5c44.38-4.625 84.75-22.13 117.6-48.75l14 14.1c4.75 5.125 12.75 5.25 17.75 .375l16.62-16.62c4.875-5 4.75-13-.375-17.75l-15-14c26.63-32.88 44.13-73.25 48.75-117.6L499.3 280C506.3 280.2 512 274.8 512 267.8V244.2C512 237.2 506.3 231.8 499.3 232zM430.5 234.1l-80.5 2.5c-2.5-12.12-7.375-23.25-13.87-33.25l58.63-55.25C413.8 172.5 426.5 202 430.5 234.1zM256 304C229.5 304 208 282.5 208 256S229.5 208 256 208s48 21.5 48 48S282.5 304 256 304zM363.9 117.2l-55.25 58.63c-9.875-6.5-21.12-11.38-33.13-13.87l2.375-80.5C309.1 85.5 339.5 98.25 363.9 117.2zM234.1 81.5l2.5 80.5C224.5 164.5 213.4 169.4 203.4 175.9L148.1 117.2C172.5 98.25 201.1 85.5 234.1 81.5zM117.2 148.1l58.63 55.25C169.4 213.2 164.5 224.5 161.1 236.5L81.5 234.1C85.5 202 98.25 172.5 117.2 148.1zM81.5 277.9l80.5-2.5C164.5 287.5 169.4 298.6 175.9 308.6L117.2 363.9C98.25 339.5 85.5 310 81.5 277.9zM148.1 394.8l55.25-58.63c9.875 6.5 21.12 11.38 33.13 13.88L234.1 430.5C201.1 426.5 172.5 413.8 148.1 394.8zM277.9 430.5l-2.5-80.5c12.12-2.5 23.25-7.375 33.25-13.88l55.25 58.63C339.5 413.8 309.1 426.5 277.9 430.5zM394.8 363.9l-58.63-55.25c6.5-9.875 11.38-21.12 13.87-33.13l80.5 2.375C426.5 310 413.8 339.5 394.8 363.9z"],
    "diagram-cells": [512, 512, [], "e475", "M64 224C28.65 224 0 195.3 0 160V96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V160C512 195.3 483.3 224 448 224H64zM512 416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V352C0 316.7 28.65 288 64 288H448C483.3 288 512 316.7 512 352V416zM448 336H64C55.16 336 48 343.2 48 352V416C48 424.8 55.16 432 64 432H448C456.8 432 464 424.8 464 416V352C464 343.2 456.8 336 448 336z"],
    "diagram-lean-canvas": [640, 512, [], "e156", "M0 96C0 60.65 28.65 32 64 32H576C611.3 32 640 60.65 640 96V416C640 451.3 611.3 480 576 480H64C28.65 480 0 451.3 0 416V96zM512 296H592V96C592 87.16 584.8 80 576 80H512V296zM464 80H400V168H464V80zM352 80H288V296H352V80zM240 80H176V168H240V80zM128 80H64C55.16 80 48 87.16 48 96V296H128V80zM48 344V416C48 424.8 55.16 432 64 432H296V344H48zM344 432H576C584.8 432 592 424.8 592 416V344H344V432zM240 216H176V296H240V216zM400 216V296H464V216H400z"],
    "diagram-nested": [448, 512, [], "e157", "M144 32C170.5 32 192 53.49 192 80V176C192 202.5 170.5 224 144 224H120V320C120 342.1 137.9 360 160 360H256V336C256 309.5 277.5 288 304 288H400C426.5 288 448 309.5 448 336V432C448 458.5 426.5 480 400 480H304C277.5 480 256 458.5 256 432V408H160C111.4 408 72 368.6 72 320V224H48C21.49 224 0 202.5 0 176V80C0 53.49 21.49 32 48 32H144zM144 80H48V176H144V80zM400 336H304V432H400V336z"],
    "diagram-next": [512, 512, [], "e476", "M280 224V310.1L303 287C312.4 277.7 327.6 277.7 336.1 287C346.3 296.4 346.3 311.6 336.1 320.1L272.1 384.1C263.6 394.3 248.4 394.3 239 384.1L175 320.1C165.7 311.6 165.7 296.4 175 287C184.4 277.7 199.6 277.7 208.1 287L232 310.1V224H64C28.65 224 0 195.3 0 160V96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V160C512 195.3 483.3 224 448 224H280zM64 288H130C125.9 304 128.1 321.3 136.6 336H64C55.16 336 48 343.2 48 352V416C48 424.8 55.16 432 64 432H448C456.8 432 464 424.8 464 416V352C464 343.2 456.8 336 448 336H375.4C383.9 321.3 386.1 304 381.1 288H448C483.3 288 512 316.7 512 352V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V352C0 316.7 28.65 288 64 288z"],
    "diagram-predecessor": [512, 512, [], "e477", "M64 480C28.65 480 0 451.3 0 416V352C0 316.7 28.65 288 64 288H448C483.3 288 512 316.7 512 352V416C512 451.3 483.3 480 448 480H64zM464 416V352C464 343.2 456.8 336 448 336H64C55.16 336 48 343.2 48 352V416C48 424.8 55.16 432 64 432H448C456.8 432 464 424.8 464 416zM288 160C288 195.3 259.3 224 224 224H64C28.65 224 0 195.3 0 160V96C0 60.65 28.65 32 64 32H368C407.8 32 440 64.24 440 104V142.1L463 119C472.4 109.7 487.6 109.7 496.1 119C506.3 128.4 506.3 143.6 496.1 152.1L432.1 216.1C423.6 226.3 408.4 226.3 399 216.1L335 152.1C325.7 143.6 325.7 128.4 335 119C344.4 109.7 359.6 109.7 368.1 119L392 142.1V104C392 90.75 381.3 80 368 80H285.1C287.3 85.11 288 90.48 288 96V160z"],
    "diagram-previous": [512, 512, [], "e478", "M512 416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V352C0 316.7 28.65 288 64 288H232V201.9L208.1 224.1C199.6 234.3 184.4 234.3 175 224.1C165.7 215.6 165.7 200.4 175 191L239 127C248.4 117.7 263.6 117.7 272.1 127L336.1 191C346.3 200.4 346.3 215.6 336.1 224.1C327.6 234.3 312.4 234.3 303 224.1L280 201.9V288H448C483.3 288 512 316.7 512 352V416zM464 416V352C464 343.2 456.8 336 448 336H64C55.16 336 48 343.2 48 352V416C48 424.8 55.16 432 64 432H448C456.8 432 464 424.8 464 416zM0 160V96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V160C512 195.3 483.3 224 448 224H381.1C387.4 202.8 381.9 179.3 365.3 162.7L301.3 98.75C276.3 73.75 235.7 73.75 210.7 98.75L146.7 162.7C130.1 179.3 124.6 202.8 130 224H64C28.65 224 .0003 195.3 .0003 160H0z"],
    "diagram-project": [576, 512, ["project-diagram"], "f542", "M136 32C166.9 32 192 57.07 192 88V104H384V88C384 57.07 409.1 32 440 32H520C550.9 32 576 57.07 576 88V168C576 198.9 550.9 224 520 224H440C409.1 224 384 198.9 384 168V152H192V168C192 175.5 190.5 182.6 187.9 189.2L263.8 290.4C268.9 288.8 274.4 288 280 288H360C390.9 288 416 313.1 416 344V424C416 454.9 390.9 480 360 480H280C249.1 480 224 454.9 224 424V344C224 336.5 225.5 329.4 228.1 322.8L152.2 221.6C147.1 223.2 141.6 224 136 224H56C25.07 224 0 198.9 0 168V88C0 57.07 25.07 32 56 32H136zM136 80H56C51.58 80 48 83.58 48 88V168C48 172.4 51.58 176 56 176H136C140.4 176 144 172.4 144 168V88C144 83.58 140.4 80 136 80zM360 336H280C275.6 336 272 339.6 272 344V424C272 428.4 275.6 432 280 432H360C364.4 432 368 428.4 368 424V344C368 339.6 364.4 336 360 336zM432 88V168C432 172.4 435.6 176 440 176H520C524.4 176 528 172.4 528 168V88C528 83.58 524.4 80 520 80H440C435.6 80 432 83.58 432 88z"],
    "diagram-sankey": [576, 512, [], "e158", "M329.9 80C327.2 80 324.6 81.45 323.1 83.83L253.8 197.2C243.7 213.8 225.6 224 206.1 224H24C10.75 224 0 213.3 0 200C0 186.7 10.75 176 24 176H206.1C208.8 176 211.4 174.5 212.9 172.2L282.2 58.8C292.3 42.15 310.4 32 329.9 32H552C565.3 32 576 42.75 576 56C576 69.25 565.3 80 552 80H329.9zM205.9 320L267.6 427.1C269 430.5 271.7 432 274.6 432H552C565.3 432 576 442.7 576 456C576 469.3 565.3 480 552 480H274.6C254.5 480 235.9 469.2 225.9 451.8L150.6 320H24C10.75 320 0 309.3 0 296C0 282.7 10.75 272 24 272H552C565.3 272 576 282.7 576 296C576 309.3 565.3 320 552 320H205.9z"],
    "diagram-subtask": [512, 512, [], "e479", "M0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V160C512 195.3 483.3 224 448 224H152V320C152 342.1 169.9 360 192 360H224V352C224 316.7 252.7 288 288 288H448C483.3 288 512 316.7 512 352V416C512 451.3 483.3 480 448 480H288C252.7 480 224 451.3 224 416V408H192C143.4 408 104 368.6 104 320V224H64C28.65 224 0 195.3 0 160V96zM448 336H288C279.2 336 272 343.2 272 352V416C272 424.8 279.2 432 288 432H448C456.8 432 464 424.8 464 416V352C464 343.2 456.8 336 448 336z"],
    "diagram-successor": [512, 512, [], "e47a", "M512 416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V352C0 316.7 28.65 288 64 288H448C483.3 288 512 316.7 512 352V416zM288 160C288 195.3 259.3 224 224 224H64C28.65 224 0 195.3 0 160V96C0 60.65 28.65 32 64 32H368C407.8 32 440 64.24 440 104V142.1L463 119C472.4 109.7 487.6 109.7 496.1 119C506.3 128.4 506.3 143.6 496.1 152.1L432.1 216.1C423.6 226.3 408.4 226.3 399 216.1L335 152.1C325.7 143.6 325.7 128.4 335 119C344.4 109.7 359.6 109.7 368.1 119L392 142.1V104C392 90.75 381.3 80 368 80H285.1C287.3 85.11 288 90.48 288 96V160zM240 160V96C240 87.16 232.8 80 224 80H64C55.16 80 48 87.16 48 96V160C48 168.8 55.16 176 64 176H224C232.8 176 240 168.8 240 160z"],
    "diagram-venn": [640, 512, [], "e15a", "M320 458.4C290.9 472.3 258.4 480 224 480C100.3 480 0 379.7 0 256C0 132.3 100.3 32 224 32C258.4 32 290.9 39.73 320 53.56C349.1 39.73 381.6 32 416 32C539.7 32 640 132.3 640 256C640 379.7 539.7 480 416 480C381.6 480 349.1 472.3 320 458.4zM192 256C192 188 222.3 127.2 270 86.08C255.4 82.12 239.9 80 224 80C126.8 80 48 158.8 48 256C48 353.2 126.8 432 224 432C239.9 432 255.4 429.9 270 425.9C222.3 384.8 192 323.1 192 256V256zM388 320C393.9 304.9 397.8 288.8 399.3 272H240.7C242.2 288.8 246.1 304.9 251.1 320H388zM268.5 352C281.9 372.6 299.4 390.1 320 403.5C340.6 390.1 358.1 372.6 371.5 352H268.5zM251.1 192C246.1 207.1 242.2 223.2 240.7 240H399.3C397.8 223.2 393.9 207.1 388 192H251.1zM371.5 160C358.1 139.4 340.6 121.9 320 108.5C299.4 121.9 281.9 139.4 268.5 160H371.5z"],
    "dial": [576, 512, ["dial-med-high"], "e15b", "M256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32zM401.1 401.1C338.7 463.6 237.3 463.6 174.9 401.1C112.4 338.7 112.4 237.3 174.9 174.9C237.3 112.4 338.7 112.4 401.1 174.9C463.6 237.3 463.6 338.7 401.1 401.1zM208.8 367.2C252.5 410.9 323.5 410.9 367.2 367.2C405.1 329.3 410.2 270.9 382.3 227.6L304.1 304.1C295.6 314.3 280.4 314.3 271 304.1C261.7 295.6 261.7 280.4 271 271L348.4 193.7C305.1 165.8 246.7 170.9 208.8 208.8C165.1 252.5 165.1 323.5 208.8 367.2V367.2zM576 288C576 305.7 561.7 320 544 320C526.3 320 512 305.7 512 288C512 270.3 526.3 256 544 256C561.7 256 576 270.3 576 288zM0 288C0 270.3 14.33 256 32 256C49.67 256 64 270.3 64 288C64 305.7 49.67 320 32 320C14.33 320 0 305.7 0 288zM128 96C128 113.7 113.7 128 96 128C78.33 128 64 113.7 64 96C64 78.33 78.33 64 96 64C113.7 64 128 78.33 128 96zM448 96C448 78.33 462.3 64 480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128C462.3 128 448 113.7 448 96zM128 480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480C64 462.3 78.33 448 96 448C113.7 448 128 462.3 128 480zM448 480C448 462.3 462.3 448 480 448C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480z"],
    "dial-high": [576, 512, [], "e15c", "M256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32zM288 448C199.6 448 128 376.4 128 288C128 199.6 199.6 128 288 128C376.4 128 448 199.6 448 288C448 376.4 376.4 448 288 448zM264 288C264 274.7 274.7 264 288 264H397.4C386.4 213.7 341.6 176 288 176C226.1 176 176 226.1 176 288C176 349.9 226.1 400 288 400C341.6 400 386.4 362.3 397.4 312H288C274.7 312 264 301.3 264 288zM576 288C576 305.7 561.7 320 544 320C526.3 320 512 305.7 512 288C512 270.3 526.3 256 544 256C561.7 256 576 270.3 576 288zM0 288C0 270.3 14.33 256 32 256C49.67 256 64 270.3 64 288C64 305.7 49.67 320 32 320C14.33 320 0 305.7 0 288zM128 96C128 113.7 113.7 128 96 128C78.33 128 64 113.7 64 96C64 78.33 78.33 64 96 64C113.7 64 128 78.33 128 96zM448 96C448 78.33 462.3 64 480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128C462.3 128 448 113.7 448 96zM128 480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480C64 462.3 78.33 448 96 448C113.7 448 128 462.3 128 480zM448 480C448 462.3 462.3 448 480 448C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480z"],
    "dial-low": [576, 512, [], "e15d", "M256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32zM288 128C376.4 128 448 199.6 448 288C448 376.4 376.4 448 288 448C199.6 448 128 376.4 128 288C128 199.6 199.6 128 288 128zM400 288C400 226.1 349.9 176 288 176C234.4 176 189.6 213.7 178.6 264H288C301.3 264 312 274.7 312 288C312 301.3 301.3 312 288 312H178.6C189.6 362.3 234.4 400 288 400C349.9 400 400 349.9 400 288zM576 288C576 305.7 561.7 320 544 320C526.3 320 512 305.7 512 288C512 270.3 526.3 256 544 256C561.7 256 576 270.3 576 288zM0 288C0 270.3 14.33 256 32 256C49.67 256 64 270.3 64 288C64 305.7 49.67 320 32 320C14.33 320 0 305.7 0 288zM128 96C128 113.7 113.7 128 96 128C78.33 128 64 113.7 64 96C64 78.33 78.33 64 96 64C113.7 64 128 78.33 128 96zM448 96C448 78.33 462.3 64 480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128C462.3 128 448 113.7 448 96zM128 480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480C64 462.3 78.33 448 96 448C113.7 448 128 462.3 128 480zM448 480C448 462.3 462.3 448 480 448C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480z"],
    "dial-max": [576, 512, [], "e15e", "M256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32zM174.9 401.1C112.4 338.7 112.4 237.3 174.9 174.9C237.3 112.4 338.7 112.4 401.1 174.9C463.6 237.3 463.6 338.7 401.1 401.1C338.7 463.6 237.3 463.6 174.9 401.1V401.1zM271 271C280.4 261.7 295.6 261.7 304.1 271L382.3 348.4C410.2 305.1 405.1 246.7 367.2 208.8C323.5 165.1 252.5 165.1 208.8 208.8C165.1 252.5 165.1 323.5 208.8 367.2C246.7 405.1 305 410.2 348.4 382.3L271 304.1C261.7 295.6 261.7 280.4 271 271L271 271zM576 288C576 305.7 561.7 320 544 320C526.3 320 512 305.7 512 288C512 270.3 526.3 256 544 256C561.7 256 576 270.3 576 288zM0 288C0 270.3 14.33 256 32 256C49.67 256 64 270.3 64 288C64 305.7 49.67 320 32 320C14.33 320 0 305.7 0 288zM128 96C128 113.7 113.7 128 96 128C78.33 128 64 113.7 64 96C64 78.33 78.33 64 96 64C113.7 64 128 78.33 128 96zM448 96C448 78.33 462.3 64 480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128C462.3 128 448 113.7 448 96zM128 480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480C64 462.3 78.33 448 96 448C113.7 448 128 462.3 128 480zM448 480C448 462.3 462.3 448 480 448C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480z"],
    "dial-med": [576, 512, [], "e15f", "M256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32zM448 288C448 376.4 376.4 448 288 448C199.6 448 128 376.4 128 288C128 199.6 199.6 128 288 128C376.4 128 448 199.6 448 288zM288 400C349.9 400 400 349.9 400 288C400 234.4 362.3 189.6 312 178.6V288C312 301.3 301.3 312 288 312C274.7 312 264 301.3 264 288V178.6C213.7 189.6 176 234.4 176 287.1C176 349.9 226.1 400 288 400V400zM576 288C576 305.7 561.7 320 544 320C526.3 320 512 305.7 512 288C512 270.3 526.3 256 544 256C561.7 256 576 270.3 576 288zM0 288C0 270.3 14.33 256 32 256C49.67 256 64 270.3 64 288C64 305.7 49.67 320 32 320C14.33 320 0 305.7 0 288zM128 96C128 113.7 113.7 128 96 128C78.33 128 64 113.7 64 96C64 78.33 78.33 64 96 64C113.7 64 128 78.33 128 96zM448 96C448 78.33 462.3 64 480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128C462.3 128 448 113.7 448 96zM128 480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480C64 462.3 78.33 448 96 448C113.7 448 128 462.3 128 480zM448 480C448 462.3 462.3 448 480 448C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480z"],
    "dial-med-low": [576, 512, [], "e160", "M256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32zM401.1 174.9C463.6 237.3 463.6 338.7 401.1 401.1C338.7 463.6 237.3 463.6 174.9 401.1C112.4 338.7 112.4 237.3 174.9 174.9C237.3 112.4 338.7 112.4 401.1 174.9V174.9zM367.2 367.2C410.9 323.5 410.9 252.5 367.2 208.8C329.3 170.9 270.9 165.8 227.6 193.7L304.1 271C314.3 280.4 314.3 295.6 304.1 304.1C295.6 314.3 280.4 314.3 271 304.1L193.7 227.6C165.8 270.9 170.9 329.3 208.8 367.2C252.5 410.9 323.5 410.9 367.2 367.2L367.2 367.2zM576 288C576 305.7 561.7 320 544 320C526.3 320 512 305.7 512 288C512 270.3 526.3 256 544 256C561.7 256 576 270.3 576 288zM0 288C0 270.3 14.33 256 32 256C49.67 256 64 270.3 64 288C64 305.7 49.67 320 32 320C14.33 320 0 305.7 0 288zM128 96C128 113.7 113.7 128 96 128C78.33 128 64 113.7 64 96C64 78.33 78.33 64 96 64C113.7 64 128 78.33 128 96zM448 96C448 78.33 462.3 64 480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128C462.3 128 448 113.7 448 96zM128 480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480C64 462.3 78.33 448 96 448C113.7 448 128 462.3 128 480zM448 480C448 462.3 462.3 448 480 448C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480z"],
    "dial-min": [576, 512, [], "e161", "M256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32zM174.9 174.9C237.3 112.4 338.7 112.4 401.1 174.9C463.6 237.3 463.6 338.7 401.1 401.1C338.7 463.6 237.3 463.6 174.9 401.1C112.4 338.7 112.4 237.3 174.9 174.9V174.9zM304.1 271C314.3 280.4 314.3 295.6 304.1 304.1L227.6 382.3C270.9 410.2 329.3 405.1 367.2 367.2C410.9 323.5 410.9 252.5 367.2 208.8C323.5 165.1 252.5 165.1 208.8 208.8C170.9 246.7 165.8 305.1 193.7 348.4L271 271C280.4 261.7 295.6 261.7 304.1 271L304.1 271zM576 288C576 305.7 561.7 320 544 320C526.3 320 512 305.7 512 288C512 270.3 526.3 256 544 256C561.7 256 576 270.3 576 288zM0 288C0 270.3 14.33 256 32 256C49.67 256 64 270.3 64 288C64 305.7 49.67 320 32 320C14.33 320 0 305.7 0 288zM128 96C128 113.7 113.7 128 96 128C78.33 128 64 113.7 64 96C64 78.33 78.33 64 96 64C113.7 64 128 78.33 128 96zM448 96C448 78.33 462.3 64 480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128C462.3 128 448 113.7 448 96zM128 480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480C64 462.3 78.33 448 96 448C113.7 448 128 462.3 128 480zM448 480C448 462.3 462.3 448 480 448C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480z"],
    "dial-off": [576, 512, [], "e162", "M256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32zM128 288C128 199.6 199.6 128 288 128C376.4 128 448 199.6 448 288C448 376.4 376.4 448 288 448C199.6 448 128 376.4 128 288zM288 264C301.3 264 312 274.7 312 288V397.4C362.3 386.4 400 341.6 400 288C400 226.1 349.9 176 288 176C226.1 176 176 226.1 176 288C176 341.6 213.7 386.4 264 397.4V288C264 274.7 274.7 264 288 264zM576 288C576 305.7 561.7 320 544 320C526.3 320 512 305.7 512 288C512 270.3 526.3 256 544 256C561.7 256 576 270.3 576 288zM0 288C0 270.3 14.33 256 32 256C49.67 256 64 270.3 64 288C64 305.7 49.67 320 32 320C14.33 320 0 305.7 0 288zM128 96C128 113.7 113.7 128 96 128C78.33 128 64 113.7 64 96C64 78.33 78.33 64 96 64C113.7 64 128 78.33 128 96zM448 96C448 78.33 462.3 64 480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128C462.3 128 448 113.7 448 96zM128 480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480C64 462.3 78.33 448 96 448C113.7 448 128 462.3 128 480zM448 480C448 462.3 462.3 448 480 448C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480z"],
    "diamond": [512, 512, [9830], "f219", "M227.7 11.72C243.3-3.905 268.7-3.905 284.3 11.72L500.3 227.7C515.9 243.3 515.9 268.7 500.3 284.3L284.3 500.3C268.7 515.9 243.3 515.9 227.7 500.3L11.72 284.3C-3.905 268.7-3.905 243.3 11.72 227.7L227.7 11.72zM256 51.31L51.31 256L256 460.7L460.7 256L256 51.31z"],
    "diamond-exclamation": [512, 512, [], "e405", "M256 319.1c-17.66 0-32 14.34-32 32s14.34 32 32 32s32-14.34 32-32S273.7 319.1 256 319.1zM232 151.1v112c0 13.25 10.75 24 24 24s24-10.75 24-24v-112c0-13.25-10.75-24-24-24S232 138.7 232 151.1zM497.7 222.6l-208.2-209.1c-19.01-18.02-50.05-18.02-68.06 0L14.27 222.6c-19.04 17.98-19.04 49.03 0 67.01l208.2 208.1c18.02 19.04 49.05 19.04 67.07 0l208.2-208.1C516.8 271.6 516.8 240.6 497.7 222.6zM256 463.4L48.64 256.1l206.2-208.1h.2891c.416 0 .7988 .0957 1.057 .1914c.127 .0332 .1914 .0645 .2559 .0957l206.9 207.8L256 463.4z"],
    "diamond-turn-right": [512, 512, ["directions"], "f5eb", "M497.1 222.1l-208.1-208.1c-9.354-9.355-21.63-14.03-33.89-14.03c-12.26 0-24.5 4.675-33.85 14.03L14.03 222.1C4.677 231.5 .0004 243.7 .0004 255.1c0 12.26 4.676 24.52 14.03 33.87l208.1 208.1C231.5 507.3 243.7 511.1 256 511.1c12.26 0 24.52-4.679 33.87-14.03l208.1-208.1c9.353-9.354 14.03-21.61 14.03-33.87C511.1 243.7 507.3 231.5 497.1 222.1zM256.1 464L47.97 256.1l207.1-208.1l208.1 207.9L256.1 464zM302.1 216H200C186.8 216 176 226.8 176 240v72c0 13.25 10.75 24 24 24S224 325.3 224 312v-48h78.06l-23.03 23.03c-9.375 9.375-9.375 24.56 0 33.94C283.7 325.7 289.8 328 296 328s12.28-2.344 16.97-7.031l64-64c9.375-9.375 9.375-24.56 0-33.94l-64-64c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L302.1 216z"],
    "dice": [640, 512, [127922], "f522", "M575.1 192h-102.2c3.551 10.11 5.748 20.73 5.748 31.77c0 25.64-9.984 49.75-28.12 67.89L320 423.2v24.84C320 483.3 348.7 512 383.1 512h191.1c35.35 0 63.1-28.65 63.1-63.1v-191.1C639.1 220.7 611.3 192 575.1 192zM479.1 376c-13.25 0-23.1-10.75-23.1-23.1c0-13.26 10.75-23.1 23.1-23.1s23.1 10.74 23.1 23.1C503.1 365.3 493.3 376 479.1 376zM447.5 223.8c0-16.38-6.249-32.76-18.75-45.26L269 18.73C256.5 6.238 240.3 0 223.1 0S191 6.238 178.5 18.73l-159.8 159.8C6.235 191-.0011 207.6-.0011 223.1s6.236 32.57 18.73 45.06l159.8 159.8c12.5 12.5 28.88 18.74 45.26 18.74s32.76-6.248 45.25-18.74l159.8-159.8C441.3 256.5 447.5 240.1 447.5 223.8zM394.9 235.1l-159.8 159.8c-4.076 4.076-8.838 4.686-11.31 4.686c-2.477 0-7.238-.6094-11.31-4.686L52.67 235.1C48.59 231 47.99 226.2 47.99 223.8s.6074-7.236 4.686-11.31l159.8-159.8c4.082-4.08 8.844-4.689 11.32-4.689s7.234 .6094 11.31 4.687l159.8 159.8c4.078 4.078 4.687 8.84 4.687 11.31S398.9 231 394.9 235.1zM223.8 301.6c-12.79 0-23.1 10.29-23.1 23.1c0 13.76 11.25 23.1 23.1 23.1c13.73 0 24-11.22 24-23.1C247.8 312.8 237.5 301.6 223.8 301.6zM223.8 199.8c-13.76 0-23.1 11.25-23.1 23.1c0 12.84 10.34 23.1 23.1 23.1c13.71 0 24-11.21 24-23.1C247.8 210.1 237.5 199.8 223.8 199.8zM121.9 199.8c-13.76 0-24 11.25-24 23.1c0 12.79 10.29 23.1 24 23.1c13.71 0 23.1-11.2 23.1-23.1C145.9 210.1 135.7 199.8 121.9 199.8zM325.6 199.8c-13.76 0-24 11.25-24 23.1c0 12.79 10.29 23.1 24 23.1c13.71 0 24-11.21 24-23.1C349.6 210.1 339.3 199.8 325.6 199.8zM223.8 97.94c-12.79 0-23.1 10.29-23.1 23.1c0 13.76 11.25 23.1 23.1 23.1c13.73 0 24-11.22 24-23.1C247.8 109.1 237.5 97.94 223.8 97.94z"],
    "dice-d10": [512, 512, [], "f6cd", "M512 282.6c0-7.59-2.683-15.19-8.118-21.32l-224.1-250.6C273.5 3.5 264.8 0 256 0S238.5 3.5 232.2 10.62L8.151 261.3C2.671 267.4 0 274.1 0 282.5C0 291.4 3.662 300.2 10.8 306.5l224.1 197.5C240.9 509.4 248.5 512 256 512c7.5 0 15.12-2.615 21.12-7.99l224.1-197.5C508.4 300.2 512 291.4 512 282.6zM256 287.9L189.9 243.8l66.12-154.1l66.12 154.1L256 287.9zM142.7 232.2L85.79 246.5l97.49-109.1L142.7 232.2zM155.5 278.5l76.5 51v108l-157.4-138.7L155.5 278.5zM280 329.5l76.5-51l80.87 20.25l-157.4 138.7V329.5zM369.4 232.2l-40.62-94.87l97.49 109.1L369.4 232.2z"],
    "dice-d12": [512, 512, [], "f6ce", "M508.6 185.2l-55.87-111.7c-3.125-6.125-8.125-11.12-14.25-14.25l-111.7-55.87C322.4 1.125 317.4 0 312.5 0h-113C194.6 0 189.6 1.125 185.2 3.375L73.5 59.25C67.38 62.38 62.38 67.38 59.25 73.5L3.375 185.2C1.125 189.6 0 194.6 0 199.5v113c0 4.875 1.125 9.75 3.375 14.25l55.87 111.7c3.125 6.125 8.125 11.12 14.25 14.25l111.7 55.87C189.6 510.9 194.6 512 199.5 512h113c4.875 0 9.75-1.125 14.25-3.375l111.7-55.87c6.125-3.125 11.12-8.125 14.25-14.25l55.87-111.7C510.9 322.2 512 317.4 512 312.5v-113C512 194.6 510.9 189.8 508.6 185.2zM455 185.4l-78.13 104.2L280 241.1v-93.5l140.8-28.12l-1-4.625L455 185.4zM300.5 464h-89l-53-132.4L256 282.9l97.5 48.75L300.5 464zM203.4 48h105.3L373 80.12L256 103.5L139 80.12L203.4 48zM92.25 114.9l-1 4.625L232 147.6v93.5L135.1 289.6L57 185.4L92.25 114.9zM48 308.6v-55.25l58.88 78.5l42 104.9L99.75 412.2L48 308.6zM412.2 412.2l-49.12 24.5l42-104.9L464 253.4v55.25L412.2 412.2z"],
    "dice-d20": [512, 512, [], "f6cf", "M463.9 116.1l-192-111.9C267 1.438 261.5 0 255.1 0S245 1.438 240.1 4.25l-192 111.9C38.12 121.1 32 132.7 32 144.5v223c0 11.75 6.125 22.48 16.12 28.36l192 111.9C245 510.6 250.5 512 256 512s11-1.438 15.88-4.25l192-111.9C473.9 390 480 379.3 480 367.5V144.5C480 132.7 473.9 121.1 463.9 116.1zM256 87.85l72.5 96.14h-145L256 87.85zM256 339.3L187.8 231.1h136.5L256 339.3zM145.1 254.5l63.38 99.51l-83.38-19.38L145.1 254.5zM366.9 254.5l20 80.13l-83.38 19.38L366.9 254.5zM383.5 177.2l-70.38-93.39l106 61.76L383.5 177.2zM128.5 177.2L92.88 145.6l106-61.76L128.5 177.2zM104.2 219.9L80 317V198.4L104.2 219.9zM232 408.8v38.63l-110.2-64.26L232 408.8zM280 408.8l110.2-25.63L280 447.4V408.8zM432 317l-24.25-97.14L432 198.4V317z"],
    "dice-d4": [512, 512, [], "f6d0", "M512 309.1c0-7.05-2.318-14.15-7.127-20.07l-224-277.1C274.5 3.1 265.2 0 256 0C246.8 0 237.5 3.1 231.1 11.88l-224 277.1C2.318 294.9 0 302 0 309.1c0 9.625 4.319 19.15 12.62 25.43l224 170.1C242.1 509.7 249 512 256 512c6.875 0 13.62-2.135 19.37-6.51l224-170.1C507.7 328.2 512 318.7 512 309.1zM232 87.12V441.5L54.76 306.4L232 87.12zM279.1 441.5V87.12l177.2 219.3L279.1 441.5z"],
    "dice-d6": [448, 512, [], "f6d1", "M431.9 116.1l-192-111.9C235 1.438 229.5 0 224 0S213 1.438 208.1 4.25l-192 111.9C6.125 121.1 0 132.7 0 144.5v223c0 11.75 6.125 22.48 16.12 28.36l192 111.9C213 510.6 218.5 512 224 512s11-1.438 15.88-4.25l192-111.9C441.9 390 448 379.3 448 367.5V144.5C448 132.7 441.9 121.1 431.9 116.1zM224 50.6l152.4 88.76L224 228.2L71.63 139.4L224 50.6zM48 181.1l152 88.64v177.6L48 358.9V181.1zM248 447.4V269.8l152-88.64v177.8L248 447.4z"],
    "dice-d8": [512, 512, [], "f6d2", "M512 256c0-8.625-3.305-17.25-9.868-23.88l-222.2-222.3C273.3 3.262 264.6 0 256 0S238.7 3.262 232.1 9.887L9.868 232.1C3.305 238.8 0 247.4 0 256S3.305 273.3 9.868 279.9l222.2 222.3C238.7 508.7 247.4 512 256 512s17.26-3.262 23.89-9.887l222.2-222.3C508.7 273.2 512 264.7 512 256zM280 77.88l166.4 166.4l-166.4 71.38V77.88zM231.1 315.6L65.6 244.2L231.1 77.88V315.6zM231.1 367.9v66.25l-116-116L231.1 367.9zM280 367.9l116-49.75l-116 116V367.9z"],
    "dice-five": [448, 512, [9860], "f523", "M128 128C110.4 128 96 142.4 96 160s14.38 32 32 32s32-14.38 32-32S145.6 128 128 128zM128 320c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S145.6 320 128 320zM320 320c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S337.6 320 320 320zM320 128c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S337.6 128 320 128zM384 32H64C28.63 32 0 60.63 0 96v320c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V96C448 60.63 419.4 32 384 32zM400 416c0 8.875-7.125 16-16 16H64c-8.875 0-16-7.125-16-16V96c0-8.875 7.125-16 16-16h320c8.875 0 16 7.125 16 16V416zM224 224C206.4 224 192 238.4 192 256s14.38 32 32 32s32-14.38 32-32S241.6 224 224 224z"],
    "dice-four": [448, 512, [9859], "f524", "M384 32H64C28.63 32 0 60.63 0 96v320c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V96C448 60.63 419.4 32 384 32zM400 416c0 8.875-7.125 16-16 16H64c-8.875 0-16-7.125-16-16V96c0-8.875 7.125-16 16-16h320c8.875 0 16 7.125 16 16V416zM128 128C110.4 128 96 142.4 96 160s14.38 32 32 32s32-14.38 32-32S145.6 128 128 128zM320 320c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S337.6 320 320 320zM320 128c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S337.6 128 320 128zM128 320c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S145.6 320 128 320z"],
    "dice-one": [448, 512, [9856], "f525", "M224 224C206.4 224 192 238.4 192 256s14.38 32 32 32s32-14.38 32-32S241.6 224 224 224zM384 32H64C28.63 32 0 60.63 0 96v320c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V96C448 60.63 419.4 32 384 32zM400 416c0 8.875-7.125 16-16 16H64c-8.875 0-16-7.125-16-16V96c0-8.875 7.125-16 16-16h320c8.875 0 16 7.125 16 16V416z"],
    "dice-six": [448, 512, [9861], "f526", "M128 128C110.4 128 96 142.4 96 160s14.38 32 32 32s32-14.38 32-32S145.6 128 128 128zM128 224C110.4 224 96 238.4 96 256s14.38 32 32 32s32-14.38 32-32S145.6 224 128 224zM128 320c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S145.6 320 128 320zM384 32H64C28.63 32 0 60.63 0 96v320c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V96C448 60.63 419.4 32 384 32zM400 416c0 8.875-7.125 16-16 16H64c-8.875 0-16-7.125-16-16V96c0-8.875 7.125-16 16-16h320c8.875 0 16 7.125 16 16V416zM320 128c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S337.6 128 320 128zM320 320c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S337.6 320 320 320zM320 224c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S337.6 224 320 224z"],
    "dice-three": [448, 512, [9858], "f527", "M128 128C110.4 128 96 142.4 96 160s14.38 32 32 32s32-14.38 32-32S145.6 128 128 128zM224 224C206.4 224 192 238.4 192 256s14.38 32 32 32s32-14.38 32-32S241.6 224 224 224zM384 32H64C28.63 32 0 60.63 0 96v320c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V96C448 60.63 419.4 32 384 32zM400 416c0 8.875-7.125 16-16 16H64c-8.875 0-16-7.125-16-16V96c0-8.875 7.125-16 16-16h320c8.875 0 16 7.125 16 16V416zM320 320c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S337.6 320 320 320z"],
    "dice-two": [448, 512, [9857], "f528", "M128 128C110.4 128 96 142.4 96 160s14.38 32 32 32s32-14.38 32-32S145.6 128 128 128zM384 32H64C28.63 32 0 60.63 0 96v320c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V96C448 60.63 419.4 32 384 32zM400 416c0 8.875-7.125 16-16 16H64c-8.875 0-16-7.125-16-16V96c0-8.875 7.125-16 16-16h320c8.875 0 16 7.125 16 16V416zM320 320c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S337.6 320 320 320z"],
    "diploma": [640, 512, ["scroll-ribbon"], "f5ea", "M539.3 144h-66.1C477.5 134.2 480 123.4 480 112C480 68.15 444.3 32 400.5 32C367.7 32 345.5 47.09 320 78.95C294.5 47.09 272.3 32 239.5 32C195.7 32 160 68.15 160 112c0 11.4 2.506 22.19 6.844 32H96c-53.02 0-96 48.47-96 128S42.98 416 96 416l160-34.29v82.26c0 2.98 .9551 5.52 2.266 7.805c.3672 .6445 .7793 1.156 1.227 1.734c1.244 1.613 2.709 2.926 4.438 3.953c.5078 .3008 .9023 .6758 1.438 .9219C267.5 479.4 269.7 480 272.1 480c.2383 0 .4766-.1016 .7148-.1172c.3438-.0156 .6523-.1172 .9961-.1562c2.688-.2969 5.381-1.121 7.826-2.957L320 447.1l38.4 28.78c2.445 1.836 5.139 2.66 7.826 2.957c.3438 .0391 .6523 .1406 .9961 .1562C367.5 479.9 367.7 480 367.9 480c2.35 0 4.592-.6406 6.693-1.613c.5371-.2461 .9355-.6211 1.443-.9258c1.73-1.031 3.195-2.336 4.439-3.953c.4453-.5781 .8535-1.086 1.219-1.727C383 469.5 384 466.1 384 463.1v-81.96L539.3 416C594.9 416 640 351.5 640 272C640 192.5 594.9 144 539.3 144zM400.5 80.47C417.9 80.47 432 94.59 432 112s-14.11 31.53-31.53 31.53H332.6C373.2 83.07 384.8 80.47 400.5 80.47zM239.5 80.47c15.69 0 27.27 2.6 67.86 63.06H239.5C222.1 143.5 208 129.4 208 112S222.1 80.47 239.5 80.47zM245.9 334.8l-153.4 32.86C73.29 363.7 48 327.3 48 272C48 224.9 67.74 192 96 192h144.6L240.3 191.5H256v141.1L245.9 334.8zM543 367.7L384 332.9V191.5h15.65L399.4 192h139.8C570.8 192 592 224.1 592 272C592 324.2 566.9 363.8 543 367.7z"],
    "disc-drive": [512, 512, [], "f8b5", "M256 112C176.5 112 112 176.5 112 256s64.5 144 144 144s144-64.5 144-144S335.5 112 256 112zM256 288C238.4 288 224 273.6 224 256s14.38-32 32-32c17.62 0 32 14.38 32 32S273.6 288 256 288zM488 432H480V96c0-35.35-28.65-64-64-64H96C60.65 32 32 60.65 32 96v336H23.1C10.75 432 0 442.7 0 455.1S10.75 480 23.1 480H488c13.25 0 24-10.75 24-23.1S501.3 432 488 432zM432 432h-352V96c0-8.875 7.125-16 16-16h320c8.875 0 16 7.125 16 16V432z"],
    "disease": [512, 512, [], "f7fa", "M459.6 179.6l-60.74-20.5c-9.748-3.25-16.87-9.875-18.1-17.62l-14.5-54c-6.874-25.5-27.62-45-55.74-52.5c-30.87-7.1-63.12 .25-84.24 21.62L183.6 99.25c-6.999 7.125-18.62 11-30.12 10.13l-65.11-5c-33.74-2.5-65.11 13.25-79.99 40.25c-12.87 23.38-10.87 50.25 5.374 72l34.87 46.88c4.624 6.125 5.374 13.12 1.1 19.62l-25.62 50.88c-11.87 23.38-9.249 49.88 6.874 70.88c19.25 24.88 52.99 36.37 86.11 29.37l63.37-13.75c11.37-2.375 23.87 0 32.37 6.375l49.24 36.37c15.12 11 33.24 16.88 51.87 16.75c12.87 0 25.5-2.75 37.24-8c25.37-11.62 41.74-33.75 43.74-59.38l4.249-55.25c.4999-7.375 5.999-14.38 14.62-18.75l56.24-28.38c27.25-13.75 42.89-39.65 40.89-67.52C509.7 213.1 489.7 189.8 459.6 179.6zM449.3 267.4l-56.24 28.38c-23.75 12-38.99 33.62-40.87 58l-4.249 55.12c-.8748 11.37-11.37 17.37-15.75 19.37c-10.25 4.75-26.1 6.5-40.74-3.5l-49.12-36.5c-14.75-10.87-33.24-16.62-51.99-16.62c-6.374 0-12.75 .625-18.1 2l-63.37 13.62c-16.1 3.75-31.5-3.25-37.99-11.75c-4.874-6.375-5.624-13-2.125-19.88l25.75-50.87c11.37-22.5 8.999-49.38-6.374-70L52.28 187.9C47.28 181.4 46.78 174.5 50.53 167.8c4.374-8 16.37-16.88 34.12-15.5l65.11 5c25.25 2 51.12-7.125 68.11-24.37l41.74-42.63c8.874-9 23.87-12.5 37.87-8.75c11.12 2.875 19.25 9.75 21.5 18.38l14.5 54c6.249 23.37 24.1 42.25 50.12 50.75l60.74 20.5c11.62 3.875 18.87 11.75 19.62 21C464.6 254.6 459.2 262.4 449.3 267.4zM159.1 192c-17.62 0-31.1 14.37-31.1 31.1S142.4 256 159.1 256s31.1-14.37 31.1-31.1S177.6 192 159.1 192zM287.1 288c-17.62 0-31.1 14.37-31.1 31.1s14.38 31.1 31.1 31.1s31.1-14.37 31.1-31.1S305.6 288 287.1 288zM303.1 192c-8.874 0-15.1 7.124-15.1 15.1s7.126 15.1 15.1 15.1s15.1-7.124 15.1-15.1S312.9 192 303.1 192z"],
    "display": [576, 512, [], "e163", "M512 0H64C28.65 0 0 28.65 0 64v288c0 35.35 28.65 64 64 64h148.3l-9.6 48H152C138.8 464 128 474.8 128 488S138.8 512 152 512h272c13.25 0 24-10.75 24-24s-10.75-24-24-24h-50.73L363.7 416H512c35.35 0 64-28.65 64-64V64C576 28.65 547.3 0 512 0zM324.3 464H251.7L261.3 416h53.46L324.3 464zM528 352c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V64c0-8.822 7.178-16 16-16h448c8.822 0 16 7.178 16 16V352z"],
    "display-arrow-down": [576, 512, [], "e164", "M191 167c-9.375 9.375-9.375 24.56 0 33.94l80 80c9.375 9.375 24.56 9.375 33.94 0l80-80c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0L312 206.1V24C312 10.75 301.3 0 288 0S264 10.75 264 24v182.1L224.1 167C220.3 162.3 214.2 160 208 160S195.7 162.3 191 167zM512 0h-160v48h160c8.822 0 16 7.178 16 16v288c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V64c0-8.822 7.178-16 16-16h160V0H64C28.65 0 0 28.65 0 64v288c0 35.35 28.65 64 64 64h148.3l-9.6 48H152C138.8 464 128 474.8 128 488S138.8 512 152 512h272c13.25 0 24-10.75 24-24s-10.75-24-24-24h-50.73L363.7 416H512c35.35 0 64-28.65 64-64V64C576 28.65 547.3 0 512 0zM251.7 464L261.3 416h53.46l9.6 48H251.7z"],
    "display-code": [576, 512, ["desktop-code"], "e165", "M512 0H64C28.65 0 0 28.65 0 64v288c0 35.35 28.65 64 64 64h148.3l-9.6 48H152C138.8 464 128 474.8 128 488S138.8 512 152 512h272c13.25 0 24-10.75 24-24s-10.75-24-24-24h-50.73L363.7 416H512c35.35 0 64-28.65 64-64V64C576 28.65 547.3 0 512 0zM251.7 464L261.3 416h53.46l9.6 48H251.7zM528 352c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V64c0-8.822 7.178-16 16-16h448c8.822 0 16 7.178 16 16V352zM362.1 137.9c-7.812-7.812-20.47-7.812-28.28 0s-7.812 20.5 0 28.31l33.86 33.84l-33.86 33.84c-7.812 7.812-7.812 20.5 0 28.31C337.8 266.1 342.9 268 348 268s10.23-1.938 14.14-5.844l48-48c7.812-7.812 7.812-20.5 0-28.31L362.1 137.9zM242.1 137.9c-7.812-7.812-20.47-7.812-28.28 0l-48 48c-7.812 7.812-7.812 20.5 0 28.31l48 48C217.8 266.1 222.9 268 228 268S238.2 266.1 242.1 262.2c7.812-7.812 7.812-20.5 0-28.31L208.3 200L242.1 166.2C249.1 158.4 249.1 145.7 242.1 137.9z"],
    "display-medical": [576, 512, ["desktop-medical"], "e166", "M368 176H320V128c0-8.801-7.199-16-16-16h-32C263.2 112 256 119.2 256 128v48H208C199.2 176 192 183.2 192 191.1V224c0 8.797 7.199 15.1 16 15.1H256v48C256 296.8 263.2 304 272 304h32c8.801 0 16-7.2 16-16v-48h48C376.8 239.1 384 232.8 384 224V191.1C384 183.2 376.8 176 368 176zM512 0H64C28.65 0 0 28.65 0 64v288c0 35.35 28.65 64 64 64h148.3l-9.6 48H152C138.8 464 128 474.8 128 488S138.8 512 152 512h272c13.25 0 24-10.75 24-24s-10.75-24-24-24h-50.73L363.7 416H512c35.35 0 64-28.65 64-64V64C576 28.65 547.3 0 512 0zM251.7 464L261.3 416h53.46l9.6 48H251.7zM528 352c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V64c0-8.822 7.178-16 16-16h448c8.822 0 16 7.178 16 16V352z"],
    "display-slash": [640, 512, ["desktop-slash"], "e2fa", "M630.8 469.1l-70.69-55.41C587.6 406.5 608 381.7 608 352V64c0-35.35-28.65-64-64-64H96C79.54 0 64.69 6.334 53.41 16.55L38.81 5.113c-10.47-8.172-25.49-6.359-33.69 4.078C-3.051 19.63-1.234 34.72 9.188 42.89L601.2 506.9C605.6 510.3 610.8 512 615.1 512c7.125 0 14.17-3.159 18.9-9.19C643.1 492.4 641.2 477.3 630.8 469.1zM560 352c0 8.822-7.178 16-16 16h-42.19L94.04 48.4C94.71 48.31 95.3 48 96 48h448c8.822 0 16 7.178 16 16V352zM455.1 464h-50.73L395.7 416h12.31l-61.25-48H96c-8.822 0-16-7.178-16-16V158.9l-48-37.63L32 352c0 35.35 28.65 64 64 64h148.3l-9.6 48H183.1c-13.25 0-24 10.75-24 24s10.75 24 24 24h271.1c13.25 0 24-10.75 24-24S469.2 464 455.1 464zM283.7 464L293.3 416h53.46l9.6 48H283.7z"],
    "distribute-spacing-horizontal": [448, 512, [], "e365", "M424 0C437.3 0 448 10.75 448 24V488C448 501.3 437.3 512 424 512C410.7 512 400 501.3 400 488V24C400 10.75 410.7 0 424 0zM320 368C320 394.5 298.5 416 272 416H176C149.5 416 128 394.5 128 368V144C128 117.5 149.5 96 176 96H272C298.5 96 320 117.5 320 144V368zM272 368V144H176V368H272zM48 488C48 501.3 37.25 512 24 512C10.75 512 0 501.3 0 488V24C0 10.75 10.75 0 24 0C37.25 0 48 10.75 48 24V488z"],
    "distribute-spacing-vertical": [512, 512, [], "e366", "M0 56C0 42.75 10.75 32 24 32H488C501.3 32 512 42.75 512 56C512 69.25 501.3 80 488 80H24C10.75 80 0 69.25 0 56zM368 160C394.5 160 416 181.5 416 208V304C416 330.5 394.5 352 368 352H144C117.5 352 96 330.5 96 304V208C96 181.5 117.5 160 144 160H368zM368 208H144V304H368V208zM488 432C501.3 432 512 442.7 512 456C512 469.3 501.3 480 488 480H24C10.75 480 0 469.3 0 456C0 442.7 10.75 432 24 432H488z"],
    "ditto": [320, 512, [], "22", "M63.99 32C45.53 32 27.06 39.64 14.89 54.93C2.692 70.21-2.372 90.22 1.044 109.9l25.21 145.2C29.55 274.1 45.44 288 63.99 288S98.43 274.1 101.7 255l25.24-145.2c3.389-19.6-1.678-39.61-13.88-54.9C100.9 39.64 82.46 32 63.99 32zM63.1 191.8L48.33 101.6c-1.057-6.08 .4277-12.19 4.113-16.8C56.01 80.35 62.18 80 63.99 80s7.982 .3477 11.58 4.871C79.23 89.45 80.72 95.56 79.68 101.6L63.1 191.8zM305.1 54.93C292.9 39.64 274.5 32 255.1 32s-36.93 7.643-49.1 22.93c-12.2 15.29-17.27 35.3-13.85 54.93l25.21 145.2C221.6 274.1 237.4 288 255.1 288s34.44-13.89 37.74-32.99l25.24-145.2C322.4 90.22 317.3 70.21 305.1 54.93zM255.1 191.8l-15.67-90.19c-1.057-6.08 .4277-12.19 4.113-16.8C248 80.35 254.2 80 255.1 80s7.982 .3477 11.58 4.871c3.654 4.578 5.148 10.69 4.104 16.73L255.1 191.8z"],
    "divide": [448, 512, [10135, 247], "f529", "M424 232H24C10.75 232 0 242.8 0 256s10.75 24 24 24h400C437.3 280 448 269.3 448 256S437.3 232 424 232zM224 144c26.51 0 48-21.49 48-48s-21.49-48-48-48s-48 21.49-48 48S197.5 144 224 144zM224 368c-26.51 0-48 21.49-48 48s21.49 48 48 48s48-21.49 48-48S250.5 368 224 368z"],
    "dna": [448, 512, [129516], "f471", "M32.03 495.1C31.53 503 37.28 512 47.4 512h15.37c8.124 0 14.75-6.25 15.37-14.38C78.4 493.1 79.15 487.1 80.27 480h286.1c1.25 7.125 2.125 13.38 2.5 17.75C370.5 505.8 377.1 512 385.1 512h15.5c11.5 0 15.75-10.75 15.25-16.75c-2.125-29.5-16.25-126.9-108.5-208.9c-12.62 9.375-26.12 18.25-40.87 26.75c9.124 7.5 16.1 15.12 24.62 23H155.6c20.62-20.88 46.37-41.37 79.24-59.37C391.7 190.5 413.2 56 415.1 16.88C416.5 9 410.7 0 400.6 0H385.2c-8.124 0-14.75 6.25-15.37 14.38C369.6 18.88 368.9 24.88 367.7 32H80.65c-1.375-7.125-1.1-13.25-2.375-17.75C77.52 6.25 70.9 0 62.9 0H47.4c-10.12 0-15.87 9.125-15.37 16.88c2.625 35.75 21.25 153 147.9 238.9C53.28 341.4 34.65 458.9 32.03 495.1zM354.4 80c-5.624 15-13.62 31.25-24.12 48H118.3C107.8 111.2 99.77 95 94.02 80H354.4zM224 228.8C196.6 212.5 174.6 194.5 156.5 176h135.4C273.7 194.4 251.6 212.4 224 228.8zM93.4 432c5.749-14.88 13.5-31.25 24.12-48h211.7c10.5 16.75 18.5 33 24.37 48H93.4z"],
    "do-not-enter": [512, 512, [], "f5ec", "M384 208C401.7 208 416 222.3 416 240V272C416 289.7 401.7 304 384 304H128C110.3 304 96 289.7 96 272V240C96 222.3 110.3 208 128 208H384zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "dog": [576, 512, [128021], "f6d3", "M448 112C448 120.8 440.8 128 432 128C423.2 128 416 120.8 416 112C416 103.2 423.2 96 432 96C440.8 96 448 103.2 448 112zM64.23 220.2C63.13 219.8 62.05 219.5 60.97 219.1C33.58 209.5 11.94 186.7 4.597 157.3L.7168 141.8C-2.498 128.1 5.32 115.9 18.18 112.7C31.04 109.5 44.07 117.3 47.28 130.2L51.16 145.7C55.62 163.5 71.62 176 89.97 176H290.7L317.5 14.89C318.1 6.296 326.4 0 335.1 0C340.7 0 345.1 2.64 349.3 7.126L368 32H444.1C456.8 32 469.1 37.06 478.1 46.06L496 64H528C554.5 64 576 85.49 576 112V144C576 197 533 240 480 240H434.7L432 255.1V448C432 483.3 403.3 512 368 512H352C316.7 512 288 483.3 288 448V379.6C277.6 381.9 266.9 383.4 256 383.8C253.3 383.9 250.7 384 248 384C245.3 384 242.7 383.9 240 383.8C229.1 383.4 218.4 381.9 208 379.6V448C208 483.3 179.3 512 144 512H128C92.65 512 64 483.3 64 448V224C64 222.7 64.08 221.4 64.23 220.2H64.23zM336 319.8V448C336 456.8 343.2 464 352 464H368C376.8 464 384 456.8 384 448V274.3L302.2 224H112.1L112 224.9V448C112 456.8 119.2 464 128 464H144C152.8 464 160 456.8 160 448V319.8L218.4 332.8C227.9 334.9 237.8 336 248 336C258.2 336 268.1 334.9 277.6 332.8L336 319.8zM337.1 189.1L389.1 221.1L394 192H480C506.5 192 528 170.5 528 144V112H476.1L444.1 80H355.3L337.1 189.1z"],
    "dog-leashed": [576, 512, [129454], "f6d4", "M448 112C448 120.8 440.8 128 432 128C423.2 128 416 120.8 416 112C416 103.2 423.2 96 432 96C440.8 96 448 103.2 448 112zM69.62 8.564C78.15-1.586 93.29-2.902 103.4 5.624L292.6 164.5L317.5 14.89C318.1 6.297 326.4 .0007 335.1 .0007C340.7 .0007 345.1 2.641 349.3 7.127L368 32H444.1C456.8 32 469.1 37.06 478.1 46.06L496 64H528C554.5 64 576 85.49 576 112V144C576 197 533 240 480 240H434.7L432 256V448C432 483.3 403.3 512 368 512H352C316.7 512 287.1 483.3 287.1 448V379.6C277.6 381.9 266.9 383.4 255.1 383.8C253.3 383.9 250.7 384 247.1 384C245.3 384 242.7 383.9 239.1 383.8C229.1 383.4 218.4 381.9 207.1 379.6V448C207.1 483.3 179.3 512 143.1 512H127.1C92.65 512 63.1 483.3 63.1 448V224C63.1 222.7 64.08 221.4 64.23 220.2C63.13 219.8 62.05 219.5 60.97 219.1C33.58 209.5 11.94 186.7 4.597 157.3L.7168 141.8C-2.498 128.1 5.32 115.9 18.18 112.7C31.04 109.5 44.07 117.3 47.28 130.2L51.16 145.7C55.62 163.5 71.62 176 89.97 176H231.6L72.56 42.38C62.41 33.85 61.1 18.71 69.62 8.564L69.62 8.564zM336 319.8V448C336 456.8 343.2 464 352 464H368C376.8 464 384 456.8 384 448V274.8L288 226.8V330.5L336 319.8zM240 224H112.1L112 224.9V448C112 456.8 119.2 464 128 464H144C152.8 464 160 456.8 160 448V319.8L218.4 332.8C225.4 334.3 232.6 335.3 240 335.8L240 224zM335.8 197.1L388.7 223.5L394 192H480C506.5 192 528 170.5 528 144V112H476.1L444.1 80H355.3L335.8 197.1z"],
    "dollar-sign": [320, 512, [128178, 61781, "dollar", "usd"], "24", "M184 73.46C211.3 76.26 236.8 81.56 255.5 85.98C268.4 89.03 276.4 101.1 273.4 114.9C270.3 127.8 257.4 135.7 244.5 132.7C213.7 125.4 168.9 117 130.6 120.2C111.6 121.7 96.18 125.1 85.27 132.9C75.19 139.3 67.98 148.5 65.09 163.3C62.82 175 64.4 182.5 67.05 187.9C69.87 193.5 75.14 199.1 84.19 204.7C103.4 216.6 131.1 224.1 165.9 232.7L168.2 233.3C199.2 241.2 234.9 250.3 261.1 266.5C275 275.1 287.9 286.7 295.9 302.7C304 318.1 305.1 337.5 302 357.8C295.1 393.2 269.4 416.3 237.5 428.4C221.4 434.6 203.3 438.2 184 439.4V488C184 501.3 173.3 512 160 512C146.7 512 136 501.3 136 488V438.3C132.7 437.9 129.4 437.5 126.1 437.1L125.1 437C101.1 433.4 57.02 423.2 30.25 411.3C18.14 405.9 12.69 391.7 18.07 379.6C23.45 367.5 37.64 362 49.75 367.4C70.96 376.8 110.2 386.2 132.8 389.5C168.4 394.5 198.8 391.8 220.4 383.6C241.5 375.5 252.1 363.3 254.9 348.7C257.2 336.1 255.6 329.5 252.9 324.1C250.1 318.5 244.9 312.9 235.8 307.3C216.6 295.4 188 287.9 154.1 279.3L151.8 278.7C120.8 270.8 85.09 261.7 58.92 245.5C44.98 236.9 32.13 225.3 24.12 209.3C15.96 193 14.03 174.5 17.98 154.2C23.46 125.1 38.71 105.6 59.54 92.39C79.54 79.68 103.5 74.2 126.7 72.32C129.8 72.07 132.9 71.88 136 71.74V24C136 10.75 146.7 0 160 0C173.3 0 184 10.75 184 24L184 73.46z"],
    "dolly": [576, 512, ["dolly-box"], "f472", "M574.6 304c-4.391-12.5-18.11-19.06-30.59-14.69l-16.29 5.725l-70.73-188.6c-4.969-13.28-14.81-23.83-27.72-29.69c-12.89-5.875-27.34-6.391-40.58-1.375l-194.8 73.06L150.8 16.55C147.6 6.672 138.4 0 127.1 0H24C10.75 0 0 10.75 0 24S10.75 48 24 48h86.59l93.8 287.3C177.8 352.3 160 382 160 416c0 53.02 42.98 96 96 96s96-42.98 96-96c0-2.744-.584-5.326-.8105-8.012l208.8-73.35C572.5 330.2 579 316.5 574.6 304zM256 464c-26.47 0-48-21.53-48-48s21.53-48 48-48s48 21.53 48 48S282.5 464 256 464zM335.7 362.6C318.5 336.9 289.2 320 256 320c-2.023 0-3.917 .4727-5.909 .5957L208.8 194.1l89.75-33.65l26.98 71.96C329.1 242.1 338.3 248 348 248c2.797 0 5.656-.4844 8.422-1.531c12.42-4.656 18.7-18.48 14.05-30.89L343.5 143.6l62.1-23.28c2.203-.7969 5.641 .7187 6.484 2.953l70.4 187.7L335.7 362.6z"],
    "dolly-empty": [576, 512, [], "f473", "M574.6 304c-4.391-12.5-18.11-19.06-30.59-14.69l-208.3 73.2C318.5 336.9 289.2 320 256 320c-2.023 0-3.917 .4727-5.909 .5957L150.8 16.55C147.6 6.672 138.4 0 127.1 0H24C10.75 0 0 10.75 0 24S10.75 48 24 48h86.59l93.8 287.3C177.8 352.3 160 382 160 416c0 53.02 42.98 96 96 96s96-42.98 96-96c0-2.744-.584-5.326-.8105-8.012l208.8-73.35C572.5 330.2 579 316.5 574.6 304zM256 464c-26.47 0-48-21.53-48-48s21.53-48 48-48s48 21.53 48 48S282.5 464 256 464z"],
    "dolphin": [512, 512, [], "e168", "M434.1 138.8L429.4 134.8c9.318-19.63 23.7-42.8 42.81-68.99c10.8-14.93 10.46-33.99-.8613-48.59C462.7 6.119 450.2 0 435.1 0c-2.523 0-5.094 .1973-7.699 .6016c-41.18 6.473-80.86 18.58-118 36.01C278.4 14.77 249.2 1.166 206.1 .3203c-85.27 1.752-157.3 60.3-171.6 139.2C30.16 163 31.19 186.7 37.46 210.1l-12.67 8.445C4.256 232.2-4.727 257.2 2.438 280.7c7.197 23.84 28.17 39.26 53.42 39.26h336.1c13.24 0 24.01-10.77 24.01-24c0-13.23-10.77-24-24.01-24H55.85c-4.912 0-6.768-2.783-7.459-5.117C47.78 264.9 47.37 261.2 51.42 258.5C95.79 228.9 88.16 234 95.31 229.3C85.27 203.5 75.53 181.9 81.67 148.1c10.03-55.26 63.49-98.16 124.4-99.79c28.89 .666 45.37 4.709 99.84 44.16c36.65-18.77 68.93-33.29 118.6-42.54c-40.29 57.64-48.2 87.63-52.41 98.97c51.64 44.19 91.88 71.78 91.88 147.1c0 71.84-60.29 103.1-120 103.1h-50.98l-28.8-44.41c-9.254-12.42-23.91-19.58-39.51-19.58H163.9c-13.96 0-26.4 7.514-32.45 19.61c-5.746 11.49-4.494 25.03 3.268 35.33l24.78 33.06l-24.76 33.02c-7.756 10.38-8.986 23.94-3.215 35.4C137.6 504.5 149.1 512 163.9 512h60.74c15.84 0 30.36-7.303 39.84-20.04L292.1 448h50.96C441.3 448 512 384.1 512 296C512 204.2 459.4 160 434.1 138.8zM225.1 464.6l-35.72-.4121L219.5 424l-29.98-39.1h35.15c.2969 .0527 .6064 .0596 .7451 .0596c.0977 0-.0352 .0254 0 0L251.3 424L225.1 464.6zM135.9 160c0 13.26 10.75 24 24.01 24S183.9 173.3 183.9 160s-10.75-24-24.01-24S135.9 146.7 135.9 160z"],
    "dong-sign": [384, 512, [], "e169", "M320 56V64H328C341.3 64 352 74.75 352 88C352 101.3 341.3 112 328 112H320V392C320 405.3 309.3 416 296 416C282.7 416 272 405.3 272 392V387.9C250.1 405.5 222.3 416 192 416C121.3 416 64 358.7 64 288C64 217.3 121.3 160 192 160C222.3 160 250.1 170.5 272 188.1V112H216C202.7 112 192 101.3 192 88C192 74.75 202.7 64 216 64H272V56C272 42.75 282.7 32 296 32C309.3 32 320 42.75 320 56V56zM272 288C272 243.8 236.2 208 192 208C147.8 208 112 243.8 112 288C112 332.2 147.8 368 192 368C236.2 368 272 332.2 272 288zM360 448C373.3 448 384 458.7 384 472C384 485.3 373.3 496 360 496H24C10.75 496 0 485.3 0 472C0 458.7 10.75 448 24 448H360z"],
    "donut": [512, 512, [127849, "doughnut"], "e406", "M512 208V304C512 392.4 397.4 464 256 464C114.6 464 0 392.4 0 304V208C0 119.6 114.6 48 256 48C397.4 48 512 119.6 512 208zM369.2 137.9C368.4 139.8 367.1 141.9 367.1 144C367.1 146.1 368.4 148.2 369.2 150.1C370 152.1 371.2 153.8 372.7 155.3L404.7 187.3C407.7 190.3 411.8 192 416 192C420.2 192 424.3 190.3 427.3 187.3C430.3 184.3 432 180.2 432 176C432 171.8 430.3 167.7 427.3 164.7L395.3 132.7C393.8 131.2 392.1 129.1 390.1 129.2C388.2 128.4 386.1 127.1 384 127.1C381.9 127.1 379.8 128.4 377.9 129.2C375.9 130 374.2 131.2 372.7 132.7C371.2 134.2 370 135.9 369.2 137.9zM369.2 233.9C368.4 235.8 367.1 237.9 367.1 240C367.1 242.1 368.4 244.2 369.2 246.1C370 248.1 371.2 249.8 372.7 251.3L404.7 283.3C407.7 286.3 411.8 288 416 288C420.2 288 424.3 286.3 427.3 283.3C430.3 280.3 432 276.2 432 272C432 267.8 430.3 263.7 427.3 260.7L395.3 228.7C393.8 227.2 392.1 225.1 390.1 225.2C388.2 224.4 386.1 223.1 384 223.1C381.9 223.1 379.8 224.4 377.9 225.2C375.9 226 374.2 227.2 372.7 228.7C371.2 230.2 370 231.9 369.2 233.9zM334.8 278.1C335.6 276.2 336 274.1 336 272C336 269.9 335.6 267.8 334.8 265.9C333.1 263.9 332.8 262.2 331.3 260.7C329.8 259.2 328.1 258 326.1 257.2C324.2 256.4 322.1 255.1 320 255.1C317.9 255.1 315.8 256.4 313.9 257.2C311.9 258 310.2 259.2 308.7 260.7L276.7 292.7C275.2 294.2 274 295.9 273.2 297.9C272.4 299.8 271.1 301.9 271.1 304C271.1 306.1 272.4 308.2 273.2 310.1C274 312.1 275.2 313.8 276.7 315.3C278.2 316.8 279.9 317.1 281.9 318.8C283.8 319.6 285.9 320 288 320C290.1 320 292.2 319.6 294.1 318.8C296.1 317.1 297.8 316.8 299.3 315.3L331.3 283.3C332.8 281.8 333.1 280.1 334.8 278.1zM241.2 105.9C240.4 107.8 239.1 109.9 239.1 112C239.1 114.1 240.4 116.2 241.2 118.1C242 120.1 243.2 121.8 244.7 123.3C246.2 124.8 247.9 125.1 249.9 126.8C251.8 127.6 253.9 128 256 128C258.1 128 260.2 127.6 262.1 126.8C264.1 125.1 265.8 124.8 267.3 123.3L283.3 107.3C286.3 104.3 288 100.2 288 96C288 91.75 286.3 87.68 283.3 84.67C280.3 81.67 276.2 79.98 272 79.98C267.8 79.98 263.7 81.67 260.7 84.67L244.7 100.7C243.2 102.2 242 103.9 241.2 105.9zM192 192C192 210.2 219.5 224 256 224C292.5 224 320 210.2 320 192C320 173.8 292.5 160 256 160C219.5 160 192 173.8 192 192zM190.8 294.1C191.6 292.2 192 290.1 192 288C192 285.9 191.6 283.8 190.8 281.9C190 279.9 188.8 278.2 187.3 276.7L155.3 244.7C152.3 241.7 148.2 239.1 144 239.1C139.8 239.1 135.7 241.7 132.7 244.7C129.7 247.7 127.1 251.8 127.1 256C127.1 260.2 129.7 264.3 132.7 267.3L164.7 299.3C166.2 300.8 167.9 302 169.9 302.8C171.8 303.6 173.9 304 176 304C178.1 304 180.2 303.6 182.1 302.8C184.1 302 185.8 300.8 187.3 299.3C188.8 297.8 190 296.1 190.8 294.1zM111.1 144C111.1 148.2 113.7 152.3 116.7 155.3C119.7 158.3 123.8 160 128 160C132.2 160 136.3 158.3 139.3 155.3L171.3 123.3C174.3 120.3 176 116.2 176 112C176 107.8 174.3 103.7 171.3 100.7C168.3 97.67 164.2 95.98 160 95.98C155.8 95.98 151.7 97.67 148.7 100.7L116.7 132.7C113.7 135.7 111.1 139.8 111.1 144zM52.69 196.7C49.69 199.7 48 203.8 48 208C48 212.2 49.69 216.3 52.69 219.3C55.69 222.3 59.76 224 64 224H96C100.2 224 104.3 222.3 107.3 219.3C110.3 216.3 112 212.2 112 208C112 203.8 110.3 199.7 107.3 196.7C104.3 193.7 100.2 192 96 192H64C59.76 192 55.69 193.7 52.69 196.7zM464 290.3C455.5 295.3 448.5 302.3 443.6 310.8C433.8 323.5 421 333.5 406.3 339.9C391.7 346.3 375.7 348.1 359.7 347.6C341.9 347.5 324.3 350.9 307.8 357.8C274.6 371.4 237.4 371.4 204.2 357.8C187.7 350.9 170.1 347.5 152.3 347.6C136.3 348.1 120.3 346.3 105.7 339.9C90.1 333.5 78.19 323.5 68.42 310.8C63.48 302.3 56.45 295.3 48 290.3V304C48 356.1 133.4 416 256 416C378.6 416 464 356.1 464 304V290.3z"],
    "door-closed": [576, 512, [128682], "f52a", "M368 224c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S385.6 224 368 224zM552 464H480V64c0-35.2-28.8-64-64-64H160C124.8 0 96 28.8 96 64v400H24C10.75 464 0 474.7 0 488C0 501.3 10.75 512 24 512h528c13.25 0 24-10.75 24-24C576 474.7 565.3 464 552 464zM432 464h-288V64c0-8.838 7.164-16 16-16h256c8.836 0 16 7.162 16 16V464z"],
    "door-open": [576, 512, [], "f52b", "M224 288c13.25 0 24-14.37 24-31.1S237.3 224 224 224S200 238.4 200 256S210.8 288 224 288zM288 0C285.5 0 282.9 .382 280.3 1.007l-192 49.75C73.1 54.51 64 67.76 64 82.88V464H24C10.75 464 0 474.7 0 488C0 501.3 10.75 512 24 512H288c17.67 0 32-14.33 32-32V33.13C320 14.38 305.3 0 288 0zM272 464h-160V94.13l160-41.38V464zM552 464H512V128c0-35.35-28.65-64-64-64l-96 .0061V112h96c8.836 0 16 7.162 16 16v352c0 17.67 14.33 32 32 32h56c13.25 0 24-10.75 24-24C576 474.7 565.3 464 552 464z"],
    "dove": [512, 512, [128330], "f4ba", "M368 160.3c0 8.751 7.25 16 16 16s16.01-7.427 16.01-16.18c0-8.876-7.259-16.01-16.01-16.01C375.1 144.1 368 151.4 368 160.3zM383.1 63.98c-46.25 0-84.73 32.81-93.86 76.44c-29-36.63-49.01-79.75-56.26-126.5C231.7 .6552 215.1-5.145 206.1 5.481c-25.12 29.63-44.35 65.17-55.1 105.2C149.4 116.4 148.6 122.3 147.6 128.2c-25.38-24.38-46.4-53.53-60.65-86.4c-5.5-12.5-23.34-13.04-29.21-.6633C41.64 75.22 32.57 113.1 31.94 153.1c-1.25 96.13 54.81 163.2 95.93 199.4l-114.1 38.5c-12.13 3.25-17.63 18.25-10.75 29.25c19.75 32.38 68.84 87.02 174.7 91.64c13.5 .625 17.66-4.632 25.29-9.383l76.38-54.13h40.63c88.38 0 159.1-71.77 159.1-160.3l-.002-128.2l32-95.95L383.1 63.98zM197.4 123c2.625-9.751 5.875-19.13 9.625-28.25c15.88 38.5 39.88 73.01 69.25 102.5c-30.12-6.876-58.5-18.25-84-34.13C192.6 149.4 194 135.9 197.4 123zM432 152.2v136.1c0 61.76-50.25 111.6-112 111.6h-55.88l-89.38 63.76c-52.38-3.375-86-21.38-107-40.25l154-52.01c-55.88-46.5-143.1-110.3-141.8-217.6c.125-9.001 .75-17 1.875-25.75c92.75 121.1 238.1 128 254.1 128V160.3c0-26.63 21.5-48.13 48-48.13h61.38L432 152.2z"],
    "down": [384, 512, ["arrow-alt-down"], "f354", "M381.6 259.8C376.6 247.8 364.9 240 352 240h-80v-160C272 53.49 250.5 32 224 32H160C133.5 32 112 53.49 112 80v160H32c-12.94 0-24.61 7.797-29.56 19.75C-2.516 271.7 .2188 285.5 9.375 294.6l160 176C175.6 476.9 183.8 480 192 480s16.38-3.125 22.62-9.375l160-176C383.8 285.5 386.5 271.7 381.6 259.8zM192 425.4L70.63 288H160V80h64V288h89.37L192 425.4z"],
    "down-from-dotted-line": [448, 512, [], "e407", "M188.1 463.9L60.12 319.9C47.57 305.8 44.47 285.6 52.21 268.3C59.96 251.1 77.1 239.1 95.1 239.1H143.1V183.1C143.1 153.1 169.1 127.1 199.1 127.1H248C278.9 127.1 304 153.1 304 183.1V239.1H352C370.9 239.1 388 251.1 395.8 268.3C403.5 285.6 400.4 305.8 387.9 319.9L259.9 463.9C250.8 474.1 237.7 480 223.1 480C210.3 480 197.2 474.1 188.1 463.9V463.9zM352 288H256V184C256 179.6 252.4 176 248 176H199.1C195.6 176 191.1 179.6 191.1 184V288H95.1L223.1 432L352 288zM448 64C448 81.67 433.7 96 416 96C398.3 96 384 81.67 384 64C384 46.33 398.3 32 416 32C433.7 32 448 46.33 448 64zM288 64C288 46.33 302.3 32 320 32C337.7 32 352 46.33 352 64C352 81.67 337.7 96 320 96C302.3 96 288 81.67 288 64zM256 64C256 81.67 241.7 96 224 96C206.3 96 192 81.67 192 64C192 46.33 206.3 32 224 32C241.7 32 256 46.33 256 64zM96 64C96 46.33 110.3 32 128 32C145.7 32 160 46.33 160 64C160 81.67 145.7 96 128 96C110.3 96 96 81.67 96 64zM64 64C64 81.67 49.67 96 32 96C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64z"],
    "down-from-line": [384, 512, ["arrow-alt-from-top"], "f349", "M314.9 240H272v-64c0-26.51-21.49-47.95-48-47.95H160c-26.51 0-48 21.44-48 47.95v64H68.71c-41.63 0-63.52 49.37-35.58 80.23l136.2 150.4C175.6 476.9 183.8 480 192 480s16.38-3.125 22.62-9.375l135.9-150.4C378.4 289.3 356.5 240 314.9 240zM192 425.4L70.63 288H160V176h64V288h89.37L192 425.4zM360 32H24C10.75 32 0 42.75 0 56S10.75 80 24 80h336C373.3 80 384 69.25 384 56S373.3 32 360 32z"],
    "down-left": [384, 512, [], "e16a", "M290.7 112l45.28 45.25L179.3 313.9L249.4 384H63.1V198.6l70.06 70.05L290.7 112C290.7 111.1 290.7 112 290.7 112zM290.7 64c-12.28 0-24.57 4.684-33.94 14.06L134.1 200.8L70.62 137.4C64.5 131.2 56.33 127.1 48.01 127.1c-4.131 0-8.295 .8086-12.26 2.48C23.8 135.4 15.1 147.1 15.1 160l.0002 240C15.1 417.7 30.33 432 47.1 432h240c12.94 0 24.61-7.781 29.56-19.75s2.219-25.72-6.938-34.88L247.2 313.9l122.7-122.8c18.74-18.74 18.75-49.14 0-67.88l-45.25-45.25C315.3 68.68 303 64 290.7 64z"],
    "down-left-and-up-right-to-center": [512, 512, ["compress-alt"], "f422", "M488.1 23.03c-9.375-9.375-24.56-9.375-33.94 0l-81.38 81.38l-47.03-47.03c-6.127-6.117-14.3-9.35-22.63-9.35c-4.117 0-8.275 .7918-12.24 2.413c-11.97 4.953-19.75 16.63-19.75 29.56v135.1c0 13.25 10.74 23.1 24 23.1h136c12.94 0 24.63-7.797 29.56-19.75c4.969-11.97 2.219-25.72-6.938-34.87l-47.04-47.03l81.38-81.38C498.3 47.59 498.3 32.41 488.1 23.03zM215.1 272h-136c-12.94 0-24.63 7.797-29.56 19.75C45.47 303.7 48.22 317.5 57.37 326.6l47.04 47.03l-81.38 81.38c-9.375 9.375-9.375 24.56 0 33.94s24.56 9.375 33.94 0l81.38-81.38l47.03 47.03c6.127 6.117 14.29 9.367 22.63 9.367c4.117 0 8.279-.8086 12.25-2.43c11.97-4.953 19.75-16.63 19.75-29.56V296C239.1 282.7 229.3 272 215.1 272z"],
    "down-long": [320, 512, ["long-arrow-alt-down"], "f309", "M34 366.3c3.811-8.758 12.45-14.42 21.1-14.42h80V24c0-13.25 10.75-24 23.1-24s24 10.75 24 24v327.9h79.1c9.547 0 18.19 5.66 22 14.42c3.811 8.754 2.076 18.95-4.408 25.94l-104 112.1c-9.5 10.23-25.69 10.23-35.19 0l-104-112.1C31.92 385.3 30.19 375.1 34 366.3z"],
    "down-right": [384, 512, [], "e16b", "M93.23 112l156.7 156.7l70.06-70.05V384h-185.4l70.06-70.05l-156.7-156.7L93.23 112C93.24 111.1 93.23 112 93.23 112zM93.25 64C80.97 64 68.69 68.68 59.31 78.06L14.06 123.3c-18.75 18.75-18.74 49.14 0 67.88L136.8 313.9l-63.43 63.43c-9.156 9.156-11.89 22.91-6.938 34.88C71.39 424.2 83.06 432 96 432h240c17.67 0 31.1-14.31 31.1-31.1L368 160c0-12.94-7.797-24.62-19.75-29.56c-3.967-1.672-8.133-2.48-12.26-2.48c-8.313 0-16.48 3.281-22.61 9.418l-63.43 63.43L127.2 78.06C117.8 68.68 105.5 64 93.25 64z"],
    "down-to-bracket": [448, 512, [], "e4e7", "M352 512H96C42.98 512 0 469 0 416V344C0 330.7 10.75 320 24 320C37.26 320 48 330.7 48 344V416C48 442.4 69.6 464 96 464H352C378.4 464 400 442.4 400 416V344C400 330.7 410.7 320 424 320C437.3 320 448 330.7 448 344V416C448 469 405 512 352 512zM206.1 367.9L72.44 215.5C66.91 209.3 64 201.3 64 193.3C64 188.6 64.97 183.8 66.97 179.4C72.28 167.6 83.94 160 96.69 160H152V40C152 17.94 169.9 0 192 0H256C278.1 0 296 17.94 296 40V160H351.3C364.1 160 375.7 167.6 381 179.4C386.4 191.5 384.3 205.7 375.6 215.5L241.9 367.9C237.4 373.1 230.9 376 224 376C217.1 376 210.6 373.1 206.1 367.9V367.9zM224 315.8L318 208H248V48H200V208H129.1L224 315.8z"],
    "down-to-dotted-line": [448, 512, [], "e408", "M188.1 367.9L60.12 223.9C47.57 209.8 44.47 189.6 52.21 172.3C59.96 155.1 77.1 144 96 144H144V88C144 57.07 169.1 32 200 32H248C278.9 32 304 57.07 304 88V144H352C370.9 144 388 155.1 395.8 172.3C403.5 189.6 400.4 209.8 387.9 223.9L259.9 367.9C250.8 378.1 237.7 384 224 384C210.3 384 197.2 378.1 188.1 367.9zM352 192H256V88C256 83.58 252.4 80 248 80H200C195.6 80 192 83.58 192 88V192H96L224 336L352 192zM0 448C0 430.3 14.33 416 32 416C49.67 416 64 430.3 64 448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448zM160 448C160 465.7 145.7 480 128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416C145.7 416 160 430.3 160 448zM192 448C192 430.3 206.3 416 224 416C241.7 416 256 430.3 256 448C256 465.7 241.7 480 224 480C206.3 480 192 465.7 192 448zM352 448C352 465.7 337.7 480 320 480C302.3 480 288 465.7 288 448C288 430.3 302.3 416 320 416C337.7 416 352 430.3 352 448zM384 448C384 430.3 398.3 416 416 416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480C398.3 480 384 465.7 384 448z"],
    "down-to-line": [384, 512, ["arrow-alt-to-bottom"], "f34a", "M169.8 374.6C176 380.9 184.2 384 192.4 384s16.38-3.125 22.62-9.375l135.9-150.4C378.8 193.3 356.9 144 315.3 144h-42.91v-64c0-26.51-21.49-48-48-48h-64c-26.51 0-48 21.49-48 48v64H69.09c-41.63 0-63.52 49.37-35.58 80.23L169.8 374.6zM160.4 192V80h64V192h89.37l-121.4 137.4L71.01 192H160.4zM360 432H24C10.75 432 0 442.8 0 456S10.75 480 24 480h336c13.25 0 24-10.75 24-24S373.3 432 360 432z"],
    "download": [512, 512, [], "f019", "M448 304h-53.5l-48 48H448c8.822 0 16 7.178 16 16V448c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16v-80C48 359.2 55.18 352 64 352h101.5l-48-48H64c-35.35 0-64 28.65-64 64V448c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64v-80C512 332.7 483.3 304 448 304zM432 408c0-13.26-10.75-24-24-24S384 394.7 384 408c0 13.25 10.75 24 24 24S432 421.3 432 408zM239 368.1C243.7 373.7 249.8 376 256 376s12.28-2.344 16.97-7.031l136-136c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0L280 294.1V24C280 10.75 269.3 0 256 0S232 10.75 232 24v270.1L136.1 199c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L239 368.1z"],
    "dragon": [640, 512, [128009], "f6d5", "M568.8 265.6l-78.07-45.94c-6.609-3.312-10.72-10-10.72-17.5L479.1 192h10.66l17.89 16.47C518.5 218.5 531.8 224 545.1 224h28.09c19.92 0 38.51-11.56 47.57-29.94l12.8-27.47c8.905-18.03 6.984-39.22-5.031-55.38l-67.65-90.25C551.7 7.844 535.9 0 519.5 0h-215.2c-12.67 0-23.98 7.562-28.82 19.25C270.6 30.97 273.3 44.34 284 54.94L308.9 75.25L290.1 83.06C279.6 88.44 273 99.13 273 110.1c0 11.81 6.546 22.5 19.44 28.94l43.59 16.62v48.66L200.3 106.8C176.5 90.88 145 92.75 123.3 111.2l-117.5 116.4C-6.561 238 2.437 258 18.43 255.8L192 224L100.8 292.6C90.67 302.8 97.8 320 112 320h240.2c8.688 21.67 20.39 42.05 35.52 59.97C219.6 391 80.49 421.8 31.48 432.7C13.23 436.7 0 453.1 0 471.9C0 494 17.98 512 40.07 512h464.3c72.24 0 131.7-54.06 135.4-123.1C642.5 337.3 614.7 289 568.8 265.6zM504.4 464H116.3c78.27-15.16 198.5-34.41 331.6-39l74.52-2.594l-62.04-41.38c-47.78-31.84-76.29-85.16-76.29-142.6V123.5l-34.61-13.16l51.81-21.53L351.3 48h168.2c1.547 0 3.14 .8125 4.015 1.969l67.46 90c1.156 1.531 1.328 3.594 .2187 5.844l-12.8 27.47C577.6 174.9 575.9 176 574.1 176h-28.09c-1.312 0-2.593-.5313-4.234-2.156L509.4 144h-77.33v58.19c0 25.81 14.3 48.97 35.82 59.66l78.69 46.31c29.73 14.91 47.1 44.88 45.34 78.19C589.6 429.2 550.4 464 504.4 464zM502.5 109.6c11.62 .625 21.37-7.25 24.12-18.25L480.8 80C476.6 97.13 489.5 109 502.5 109.6z"],
    "draw-circle": [512, 512, [], "f5ed", "M462.9 193.7C491.1 200.5 512 225.8 512 255.1C512 286.2 491.1 311.5 462.9 318.3C442.1 387.5 387.5 442.1 318.3 462.9C311.5 491.1 286.2 512 255.1 512C225.8 512 200.5 491.1 193.7 462.9C124.5 442.1 69.91 387.5 49.11 318.3C20.94 311.5 0 286.2 0 256C0 225.8 20.94 200.5 49.11 193.7C69.91 124.5 124.5 69.91 193.7 49.11C200.5 20.94 225.8 0 256 0C286.2 0 311.5 20.94 318.3 49.11C387.5 69.91 442.1 124.5 462.9 193.7L462.9 193.7zM255.1 79.1C264.8 79.1 272 72.84 272 63.1C272 55.16 264.8 47.1 255.1 47.1C247.2 47.1 239.1 55.16 239.1 63.1C239.1 72.84 247.2 79.1 255.1 79.1zM310.8 97.13C299.6 115.6 279.2 127.1 255.1 127.1C232.8 127.1 212.4 115.6 201.2 97.13C152.5 113.9 113.9 152.5 97.13 201.2C115.6 212.4 128 232.8 128 255.1C128 279.2 115.6 299.6 97.13 310.8C113.9 359.5 152.5 398.1 201.2 414.9C212.4 396.4 232.8 384 256 384C279.2 384 299.5 396.4 310.8 414.9C359.5 398.1 398.1 359.5 414.9 310.8C396.4 299.5 384 279.2 384 255.1C384 232.8 396.4 212.4 414.9 201.2C398.1 152.5 359.5 113.9 310.8 97.13V97.13zM255.1 464C264.8 464 272 456.8 272 448C272 439.2 264.8 432 255.1 432C247.2 432 239.1 439.2 239.1 448C239.1 456.8 247.2 464 255.1 464zM63.1 239.1C55.16 239.1 47.1 247.2 47.1 255.1C47.1 264.8 55.16 271.1 63.1 271.1C72.84 271.1 79.1 264.8 79.1 255.1C79.1 247.2 72.84 239.1 63.1 239.1zM448 271.1C456.8 271.1 464 264.8 464 255.1C464 247.2 456.8 239.1 448 239.1C439.2 239.1 432 247.2 432 255.1C432 264.8 439.2 271.1 448 271.1z"],
    "draw-polygon": [448, 512, [], "f5ee", "M374.1 352.8C377.3 352.3 380.6 352 384 352C419.3 352 448 380.7 448 416C448 451.3 419.3 480 384 480C357.1 480 334.1 463.5 324.7 440H123.3C113.9 463.5 90.86 480 64 480C28.65 480 0 451.3 0 416C0 389.1 16.55 366.1 40 356.7V155.3C16.55 145.9 0 122.9 0 96C0 60.65 28.65 32 64 32C90.86 32 113.9 48.55 123.3 72H324.7C334.1 48.55 357.1 32 384 32C419.3 32 448 60.65 448 96C448 131.3 419.3 160 384 160C380.6 160 377.3 159.7 374.1 159.2L339.1 217.5C347.2 228.2 352 241.5 352 256C352 270.5 347.2 283.8 339.1 294.5L374.1 352.8zM64 80C55.16 80 48 87.16 48 96C48 104.8 55.16 112 64 112C72.84 112 80 104.8 80 96C80 87.16 72.84 80 64 80zM88 356.7C104 363.1 116.9 375.1 123.3 392H324.7C326.8 386.8 329.5 381.9 332.9 377.5L297.9 319.2C294.7 319.7 291.4 320 288 320C252.7 320 224 291.3 224 256C224 220.7 252.7 192 288 192C291.4 192 294.7 192.3 297.9 192.8L332.9 134.5C329.5 130.1 326.8 125.2 324.7 120H123.3C116.9 136 104 148.9 88 155.3V356.7zM384 80C375.2 80 368 87.16 368 96C368 104.8 375.2 112 384 112C392.8 112 400 104.8 400 96C400 87.16 392.8 80 384 80zM64 432C72.84 432 80 424.8 80 416C80 407.2 72.84 400 64 400C55.16 400 48 407.2 48 416C48 424.8 55.16 432 64 432zM384 400C375.2 400 368 407.2 368 416C368 424.8 375.2 432 384 432C392.8 432 400 424.8 400 416C400 407.2 392.8 400 384 400zM288 272C296.8 272 304 264.8 304 256C304 247.2 296.8 240 288 240C279.2 240 272 247.2 272 256C272 264.8 279.2 272 288 272z"],
    "draw-square": [448, 512, [], "f5ef", "M123.3 440C113.9 463.5 90.86 480 64 480C28.65 480 0 451.3 0 416C0 389.1 16.55 366.1 40 356.7V155.3C16.55 145.9 0 122.9 0 96C0 60.65 28.65 32 64 32C90.86 32 113.9 48.55 123.3 72H324.7C334.1 48.55 357.1 32 384 32C419.3 32 448 60.65 448 96C448 122.9 431.5 145.9 408 155.3V356.7C431.5 366.1 448 389.1 448 416C448 451.3 419.3 480 384 480C357.1 480 334.1 463.5 324.7 440H123.3zM64 112C72.84 112 80 104.8 80 96C80 87.16 72.84 80 64 80C55.16 80 48 87.16 48 96C48 104.8 55.16 112 64 112zM88 356.7C104 363.1 116.9 375.1 123.3 392H324.7C331.1 375.1 343.1 363.1 360 356.7V155.3C343.1 148.9 331.1 136 324.7 120H123.3C116.9 136 104 148.9 88 155.3V356.7zM64 400C55.16 400 48 407.2 48 416C48 424.8 55.16 432 64 432C72.84 432 80 424.8 80 416C80 407.2 72.84 400 64 400zM384 400C375.2 400 368 407.2 368 416C368 424.8 375.2 432 384 432C392.8 432 400 424.8 400 416C400 407.2 392.8 400 384 400zM384 80C375.2 80 368 87.16 368 96C368 104.8 375.2 112 384 112C392.8 112 400 104.8 400 96C400 87.16 392.8 80 384 80z"],
    "dreidel": [448, 512, [], "f792", "M448 56C448 42.29 436.8 32 424 32c-6.141 0-12.28 2.344-16.97 7.031l-112.3 112.3l-77.52-77.63c-6.5-6.5-15.18-9.737-23.68-9.737c-8.625 0-17.15 3.237-23.65 9.737L19.62 223.1C6.999 236.5 0 253.5 0 271.3v141.9C0 450.1 29.87 480 66.87 480h141.9c17.62 0 34.63-7.002 47.26-19.63l150.2-150.1c6.5-6.562 9.813-15.13 9.813-23.69c0-8.564-3.313-17.13-9.813-23.69l-77.57-77.57l112.3-112.3C445.7 68.28 448 62.14 448 56zM222.1 426.5C218.5 430.1 213.8 432 208.8 432H66.88C56.5 432 48 423.5 48 413.1V271.3c0-5 1.1-9.75 5.5-13.25l53.25-53.25l168.5 168.5L222.1 426.5zM309.3 339.3l-168.5-168.5l52.63-52.63l168.6 168.5L309.3 339.3z"],
    "drone": [512, 512, [], "f85f", "M224 112C224 117.2 223.7 122.3 222.1 127.2L171.6 88.73C162.3 64.89 139.1 48 112 48C76.65 48 48 76.65 48 112C48 139.1 64.89 162.3 88.73 171.6L127.2 222.1C122.2 223.7 117.2 224 112 224C50.14 224 0 173.9 0 112C0 50.14 50.14 .0006 112 .0006C173.9 .0006 224 50.14 224 112L224 112zM213.3 160H298.7L368.3 107.8C370.3 92.11 383.8 80 400 80C417.7 80 432 94.33 432 112C432 128.2 419.9 141.7 404.2 143.7L352 213.3V298.7L404.2 368.3C419.9 370.3 432 383.8 432 400C432 417.7 417.7 432 400 432C383.8 432 370.3 419.9 368.3 404.2L298.7 352H213.3L143.7 404.2C141.7 419.9 128.2 432 112 432C94.33 432 80 417.7 80 400C80 383.8 92.11 370.3 107.8 368.3L160 298.7V213.3L107.8 143.7C92.11 141.7 80 128.2 80 112C80 94.33 94.33 80 112 80C128.2 80 141.7 92.11 143.7 107.8L213.3 160zM224 208C215.2 208 208 215.2 208 224V288C208 296.8 215.2 304 224 304H288C296.8 304 304 296.8 304 288V224C304 215.2 296.8 208 288 208H224zM222.1 384.8C223.7 389.8 224 394.8 224 400C224 461.9 173.9 512 112 512C50.14 512 .0003 461.9 .0003 400C.0003 338.1 50.14 288 112 288C117.2 288 122.3 288.4 127.2 289L88.73 340.4C64.89 349.7 48 372.9 48 400C48 435.3 76.65 464 112 464C139.1 464 162.3 447.1 171.6 423.3L222.1 384.8zM400 .0003C461.9 .0003 512 50.14 512 112C512 173.9 461.9 224 400 224C394.8 224 389.8 223.7 384.8 222.1L423.3 171.6C447.1 162.3 464 139.1 464 112C464 76.65 435.3 48 400 48C372.9 48 349.7 64.89 340.4 88.73L289 127.2C288.3 122.2 288 117.2 288 112C288 50.14 338.1 0 400 0L400 .0003zM340.4 423.3C349.7 447.1 372.9 464 400 464C435.3 464 464 435.3 464 400C464 372.9 447.1 349.7 423.3 340.4L384.8 289C389.8 288.3 394.8 288 400 288C461.9 288 512 338.1 512 400C512 461.9 461.9 512 400 512C338.1 512 288 461.9 288 400C288 394.8 288.3 389.8 289 384.8L340.4 423.3z"],
    "drone-front": [640, 512, ["drone-alt"], "f860", "M136 96C146.4 96 155.3 102.7 158.6 112H264C277.3 112 288 122.7 288 136C288 149.3 277.3 160 264 160H24C10.75 160 0 149.3 0 136C0 122.7 10.75 112 24 112H113.4C116.7 102.7 125.6 96 136 96zM504 96C514.5 96 523.3 102.7 526.6 112H616C629.3 112 640 122.7 640 136C640 149.3 629.3 160 616 160H376C362.7 160 352 149.3 352 136C352 122.7 362.7 112 376 112H481.4C484.7 102.7 493.5 96 504 96zM112 256V192H160V241.6L170.8 247.3L218.4 219.5C249.3 201.5 284.3 192 320 192C355.7 192 390.7 201.5 421.6 219.5L469.2 247.3L480 241.6V192H528V256C528 264.9 523.1 273.1 515.2 277.2L463.7 304.5L468.2 309.9C486.2 331.5 496 358.7 496 386.8V392C496 405.3 485.3 416 472 416C458.7 416 448 405.3 448 392V386.8C448 369.9 442.1 353.6 431.3 340.7L420.3 327.5L379.2 349.2C375.8 351 371.9 352 368 352H272C268.1 352 264.2 351 260.8 349.2L219.7 327.5L208.7 340.7C197.9 353.6 192 369.9 192 386.8V392C192 405.3 181.3 416 168 416C154.7 416 144 405.3 144 392V386.8C144 358.7 153.8 331.5 171.8 309.9L176.3 304.5L124.8 277.2C116.9 273.1 112 264.9 112 256V256zM419.3 273.7L397.4 260.9C373.9 247.2 347.2 240 320 240C292.8 240 266.1 247.2 242.6 260.9L220.7 273.7L277.1 304H362L419.3 273.7z"],
    "droplet": [384, 512, [128167, "tint"], "f043", "M200 368C213.3 368 224 378.7 224 392C224 405.3 213.3 416 200 416C142.6 416 96 369.4 96 311.1C96 298.7 106.7 287.1 120 287.1C133.3 287.1 144 298.7 144 311.1C144 342.9 169.1 368 200 368zM368 319.1C368 417.2 289.2 496 192 496C94.8 496 16 417.2 16 319.1C16 245.9 118.3 89.43 166.9 19.3C179.2 1.585 204.8 1.585 217.1 19.3C265.7 89.43 368 245.9 368 319.1zM306.6 269.3C297.3 245.7 284.1 218.1 268.8 191.4C243.9 146.4 214.8 101.5 192 67.67C169.2 101.5 140.1 146.4 115.2 191.4C99.95 218.1 86.7 245.7 77.39 269.3C67.65 293.9 64 310.7 64 319.1C64 390.7 121.3 448 192 448C262.7 448 320 390.7 320 319.1C320 310.7 316.3 293.9 306.6 269.3z"],
    "droplet-degree": [448, 512, ["dewpoint"], "f748", "M368 32c-44.06 0-79.1 35.94-79.1 80S323.9 192 368 192s79.1-35.94 79.1-80S412.1 32 368 32zM368 144c-17.64 0-31.1-14.36-31.1-32s14.36-32 31.1-32s31.1 14.36 31.1 32S385.6 144 368 144zM159.1 32C148.7 32 137.5 38.32 133.4 51.36c-42.5 137.9-133.4 175.5-133.4 272.8C.0003 410.2 71.56 480 159.1 480s159.1-69.78 159.1-155.9c0-97.78-90.73-134.1-133.4-272.8C182.9 38.6 171.5 32 159.1 32zM272 324.1C272 383.6 221.8 432 160 432s-112-48.39-112-107.9c0-33.94 15.76-57.27 45.97-98.93c20.85-28.76 45.5-62.75 66.02-108.4c20.61 45.93 45.33 79.92 66.23 108.7C256.3 266.8 272 289.1 272 324.1z"],
    "droplet-percent": [320, 512, ["humidity"], "f750", "M186.6 51.36c-3.631-12.77-15.08-19.36-26.57-19.36c-11.25 0-22.53 6.32-26.55 19.36C90.94 189.3 0 226.9 0 324.1c0 86.08 71.56 155.9 160 155.9s160-69.78 160-155.9C320 226.4 229.3 190 186.6 51.36zM160 432c-61.76 0-112-48.38-112-107.9c0-33.94 15.76-57.26 45.97-98.93c20.85-28.76 45.5-62.76 66.02-108.4c20.61 45.93 45.33 79.92 66.23 108.7C256.3 266.8 272 289.1 272 324.1C272 383.6 221.8 432 160 432zM120 304c13.31 0 24-10.69 24-24S133.3 256 120 256S96 266.7 96 280S106.7 304 120 304zM196.7 260.7l-96 95.1c-6.25 6.25-6.25 16.37 0 22.62C103.8 382.4 107.9 383.1 112 383.1s8.188-1.562 11.31-4.688l96-95.1c6.25-6.25 6.25-16.37 0-22.62C213.1 254.4 202.9 254.4 196.7 260.7zM200 336c-13.31 0-24 10.69-24 24S186.7 384 200 384S224 373.3 224 360S213.3 336 200 336z"],
    "droplet-slash": [640, 512, ["tint-slash"], "f5c7", "M215.3 143.4C243.5 95.07 274.2 49.29 294.9 19.3C307.2 1.585 332.8 1.585 345.1 19.3C393.7 89.43 496 245.9 496 319.1C496 333.7 494.4 347.1 491.5 359.9L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L215.3 143.4zM253.5 173.3L447.9 325.7C447.1 323.8 448 321.9 448 319.1C448 310.7 444.3 293.9 434.6 269.3C425.3 245.7 412.1 218.1 396.8 191.4C371.9 146.4 342.8 101.5 319.1 67.67C300.2 96.93 275.8 134.6 253.5 173.3V173.3zM271.1 311.1C271.1 342.9 297.1 368 328 368C341.3 368 352 378.7 352 392C352 405.3 341.3 416 328 416C270.6 416 223.1 369.4 223.1 311.1C223.1 300.1 232.7 290.2 244.1 288.3L271.9 310.3C271.1 310.8 271.1 311.4 271.1 311.1V311.1zM191.1 319.1C191.1 390.7 249.3 448 319.1 448C352.8 448 382.7 435.7 405.4 415.4L443.5 445.4C411.7 476.7 368.1 496 319.1 496C222.8 496 143.1 417.2 143.1 319.1C143.1 296.5 154.3 264.6 169.1 229.9L208.9 260.6C207.7 263.5 206.5 266.4 205.4 269.3C195.7 293.9 191.1 310.7 191.1 319.1V319.1z"],
    "drum": [512, 512, [129345], "f569", "M431.6 121.9l69.53-45.77c11.09-7.264 14.19-22.15 6.906-33.25c-7.219-11.06-22.09-14.22-33.22-6.924l-106.4 69.73c-48.5-8.5-94.94-9.669-112.4-9.669C213.2 96 0 101.4 0 207.1v159.1C0 429.9 114.6 480 255.1 480s256-50.15 256-112V207.1C511.1 164.6 476.5 138.1 431.6 121.9zM88 400.3C61.1 387.9 48 375.1 48 368V279.5c12.75 7.125 26.12 13 40 17.5V400.3zM232 431c-37.5-1.625-69.75-6.625-96-13.5V309.3c36 6.875 71.63 9.375 96 10.25V431zM376 417.5c-26.25 7-58.5 11.88-96 13.5V319.5c24.38-.875 60-3.375 96-10.25V417.5zM464 368c0 7.125-14 19.88-40 32.25V297c13.88-4.5 27.25-10.38 40-17.5V368zM256 272.1c-114.9 0-207.1-28.62-207.1-63.97c0-35.35 93.12-63.1 207.1-63.1c17.57 0 34.41 .7041 50.71 1.966L242.8 187.1c-11.09 7.266-14.19 22.15-6.906 33.25C240.5 228.3 248.2 232.1 256 232.1c4.5 0 9.062-1.267 13.12-3.923l109.3-71.67c51.69 11.64 85.5 30.44 85.5 51.67C463.1 243.5 370.9 272.1 256 272.1z"],
    "drum-steelpan": [576, 512, [], "f56a", "M288 32C129 32 0 89.25 0 160v192c0 70.75 129 128 288 128s288-57.25 288-128V160C576 89.25 447 32 288 32zM288 80c24.25 0 47.75 1.25 69.88 3.5l-11.5 44.62C341.9 145.8 315.6 160 288 160S234.1 145.8 229.6 128.1L218.1 83.5C240.2 81.25 263.8 80 288 80zM229.6 175.5C245.1 185.9 266.6 192 288 192c21 0 41.5-5.875 57.63-16c2.875 21.75 11.5 42 24.75 59C344.6 238.2 317 240 288 240c-29.38 0-57.25-1.875-83.25-5C217.9 217.6 226.8 197.4 229.6 175.5zM174.5 89.5l13 46.12C197.4 170.4 184.1 206.1 157.2 227C91.5 212.8 48 188.1 48 160C48 129.5 99.25 103 174.5 89.5zM528 352c0 27.5-93.5 80-240 80S48 379.5 48 352V230.8C99.62 265.2 187.8 288 288 288s188.4-22.75 240-57.25V352zM418.1 227.1C409.8 221 402.5 213.2 396.9 204.2c-11.75-18.87-15.5-41.13-10.38-62.75l12.12-52.5C475.5 102.4 528 129.1 528 160C528 188.1 484.3 212.9 418.1 227.1z"],
    "drumstick": [512, 512, [127831], "f6d6", "M511.1 165.4c0-40.03-14.06-77.61-40.87-107.8c-48.4-54.99-110.1-57.63-128.3-57.63c-45.19 0-88.72 17.86-120.9 49.71C195.4 76.13 160.2 119.3 160 189.2l.0506 88.67L119.5 318.3c-6.024 6.103-13.93 8.918-22.11 8.918c-13.76 0-18.3-7.244-37.06-7.244c-19.8 0-38.89 9.78-50.32 27.19c-6.721 10.11-9.99 21.63-9.99 33.09c0 22.44 16.85 59.58 59.13 59.58c4.923 0 9.876-.5726 14.72-1.683c-1.109 4.841-1.682 9.791-1.682 14.71c0 15.01 5.319 29.84 16.81 41.42c11.66 11.67 27.12 17.69 42.7 17.69c32.88 0 60.36-26.58 60.36-60.3c0-19.02-7.243-23.02-7.243-37.02c0-8.157 2.815-16.04 8.917-22.14l40.48-40.58l88.82-.0508c38.76 0 72.77-10.12 104-31.12C480.8 284.9 511.1 226.2 511.1 165.4zM464.6 164.2c0 61.18-52.3 139.7-141.6 139.7H239.1c-17.67 0-32-14.33-32-32V189.7c0-40.99 14.25-72.61 47.76-105.1c25.52-25.35 55.8-35.86 85.07-35.86C395.6 47.84 464.6 89.74 464.6 164.2z"],
    "drumstick-bite": [512, 512, [], "f6d7", "M471.2 57.62c-48.3-54.88-109.9-57.62-128.2-57.62c-45.18 0-88.83 17.86-121 49.71C195.4 76.1 160.3 119.2 160 188.9l.0603 88.93L119.5 318.3c-6.104 6.103-13.98 8.914-22.14 8.914c-13.75 0-18.21-7.219-36.96-7.219c-33.29 0-60.39 26.97-60.39 60.34c0 22.31 16.74 59.5 59.13 59.5c4.925 0 9.876-.5709 14.72-1.681c-1.12 4.851-1.695 9.806-1.695 14.75c0 14.94 5.265 29.8 16.82 41.26C100.6 505.9 116.1 512 131.7 512c32.95 0 60.37-26.61 60.37-60.33c0-19.32-7.244-22.92-7.244-37.03c0-8.163 2.817-16.07 8.921-22.17l40.59-40.49l88.65-.0636c17.13 0 34.25-2.375 50.76-7c7.906-2.081 17.72-9.92 17.72-23.04c0-14.05-15.03-22.75-15.03-56.05c0-31.12 22.64-81.6 81.04-81.6c17.38 0 23.13 4.202 30.54 4.202c17.55 0 23.1-15.73 23.1-23.85C511.1 117.4 492.1 81.09 471.2 57.62zM457 136.3c-34.1 0-66.8 13.42-91.04 37.54c-24.69 24.68-37.5 57.93-37.5 91.9c0 9.712 1.047 19.48 3.161 29.13l-7.018 9.068H246.1c-24.66 0-39.03-14.4-39.03-32V189.7c0-40.99 14.25-72.61 47.76-105.1c25.52-25.35 55.82-35.86 85.11-35.86c36.99 0 72.36 16.77 94.41 41.61c12 13.37 20.5 29.5 25 46.87C459.2 136.3 458.1 136.3 457 136.3z"],
    "dryer": [448, 512, [], "f861", "M368 0h-288C35.82 0 0 35.82 0 80V448c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V80C448 35.82 412.2 0 368 0zM400 448c0 8.824-7.178 16-16 16H64c-8.822 0-16-7.176-16-16V80c0-17.64 14.36-32 32-32h288c17.64 0 32 14.36 32 32V448zM128.1 104c0-13.25-10.83-24-24.02-24c-13.31 0-24.02 10.75-24.02 24S90.72 128 104 128C117.2 128 128.1 117.3 128.1 104zM184.1 128c13.19 0 23.89-10.75 23.89-24S197.2 80 184.1 80c-13.31 0-24.02 10.75-24.02 24S170.7 128 184.1 128zM224 160C148.8 160 87.98 220.9 87.98 296S148.8 432 224 432s136-60.88 136-136S299.2 160 224 160zM224 384c-40.16 0-73.74-27.18-84.27-64H176c13.25 0 24-10.75 24-24S189.3 272 176 272H139.7C150.3 235.2 183.8 208 224 208c48.53 0 88.02 39.48 88.02 88S272.5 384 224 384z"],
    "dryer-heat": [448, 512, ["dryer-alt"], "f862", "M368 0h-288C35.82 0 0 35.82 0 80V448c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V80C448 35.82 412.2 0 368 0zM400 448c0 8.824-7.178 16-16 16H64c-8.822 0-16-7.176-16-16V80c0-17.64 14.36-32 32-32h288c17.64 0 32 14.36 32 32V448zM128.1 104c0-13.25-10.83-24-24.02-24c-13.31 0-24.02 10.75-24.02 24S90.72 128 104 128C117.2 128 128.1 117.3 128.1 104zM184.1 128c13.19 0 23.89-10.75 23.89-24S197.2 80 184.1 80c-13.31 0-24.02 10.75-24.02 24S170.7 128 184.1 128zM224 160C148.8 160 87.98 220.9 87.98 296S148.8 432 224 432s136-60.88 136-136S299.2 160 224 160zM219.3 371.3C216.2 374.4 212.1 376 208 376s-8.172-1.562-11.3-4.688l-6.703-6.688c-20.03-20.03-24.97-50.47-12.31-75.78C184.2 275.9 181.6 260.3 171.4 250L164.7 243.3C158.4 237.1 158.4 226.1 164.7 220.7c6.25-6.25 16.38-6.25 22.62 0l6.703 6.688c20.03 20.03 24.97 50.47 12.31 75.78C199.8 316.1 202.4 331.8 212.6 342l6.688 6.688C225.6 354.9 225.6 365 219.3 371.3zM283.3 371.3C280.2 374.4 276.1 376 272 376s-8.172-1.562-11.3-4.688l-6.703-6.688c-20.03-20.03-24.97-50.47-12.31-75.78C248.2 275.9 245.6 260.3 235.4 250l-6.688-6.688c-6.266-6.219-6.266-16.34-.0313-22.62c6.25-6.25 16.38-6.25 22.62 0l6.703 6.688c20.03 20.03 24.97 50.47 12.31 75.78c-6.484 12.97-3.953 28.59 6.297 38.84l6.688 6.688C289.6 354.9 289.6 365 283.3 371.3z"],
    "duck": [512, 512, [129414], "f6d8", "M104.3 325.2C92.83 329.3 80.26 328.9 69.09 324.1L51.91 316.8C67.29 382.6 126.2 432 196 432H312C356.2 432 392 396.2 392 352V339.2C392 317.5 383.4 297.8 369.1 283.2C354.1 268.8 351.4 247.1 360.1 228.9C364.9 218.8 371.4 210.3 378.5 203.4L412.1 237.6C408.5 241.1 405.5 245.2 403.4 249.6C426.1 272.8 440 304.5 440 339.2V352C440 422.7 382.7 480 312 480H196C87.75 480 0 390.1 0 282.7C0 268.1 11.89 255.1 26.55 255.1C30.15 255.1 33.7 256.7 37.01 258.1L88 279.1L234.5 227.3C224.4 214.7 216.8 200.1 212.4 184.2C209.5 173.1 208 163.2 208 152C208 85.73 261.7 32 328 32C394.3 32 448 85.73 448 152C448 185.5 434.3 215.8 412.1 237.6L378.5 203.4C391.8 190.2 400 172.1 400 152C400 112.2 367.8 80 328 80C288.2 80 256 112.2 256 152C256 169.1 261.9 184.8 271.9 197.1C281.6 209.2 284.9 225.3 280.7 240.2C276.5 255.2 265.4 267.2 250.8 272.4L104.3 325.2zM368 151.1C368 165.3 357.3 175.1 344 175.1C330.7 175.1 320 165.3 320 151.1C320 138.7 330.7 127.1 344 127.1C357.3 127.1 368 138.7 368 151.1zM243.1 400.3C209 408.8 174.5 399.5 150.3 378C140.4 369.2 139.5 354.1 148.3 344.2C157.1 334.2 172.3 333.4 182.2 342.2C194.6 353.2 212.9 358.4 231.5 353.7C254.2 348.1 269.6 329.7 272.2 309.7C273.1 296.6 286 287.4 299.2 289.1C312.3 290.9 321.6 302.9 319.8 316.1C314.5 355.9 284.6 389.9 243.1 400.3L243.1 400.3zM384 215.1L416 131.1L432.1 134C442.7 135.3 453.3 135.3 463.9 134L499.2 129.6C505.1 128.7 512 134 512 140.9C512 191.2 471.2 231.1 420.9 231.1H384V215.1z"],
    "dumbbell": [640, 512, [], "f44b", "M608 224V152C608 121.1 582.9 96 552 96h-32C517.3 96 514.6 96.38 512 96.75V88C512 57.07 486.9 32 456 32h-32c-30.93 0-56 25.07-56 56V224h-96V88C272 57.07 246.9 32 216 32h-32C153.1 32 128 57.07 128 88v8.75C125.4 96.38 122.8 96 120 96h-32C57.07 96 32 121.1 32 152V224C14.4 224 0 238.4 0 256s14.4 32 31.1 32L32 360C32 390.9 57.07 416 88 416h32c2.75 0 5.375-.375 8-.75V424C128 454.9 153.1 480 184 480h32c30.93 0 56-25.07 56-56V288h96v136c0 30.93 25.07 56 56 56h32c30.93 0 56-25.07 56-56v-8.75C514.6 415.6 517.3 416 520 416h32c30.93 0 56-25.07 56-56V288c17.6 0 32-14.4 32-32S625.6 224 608 224zM120 368h-32c-4.375 0-8-3.625-8-8v-208c0-4.375 3.625-8 8-8h32C124.4 144 128 147.6 128 152v208C128 364.4 124.4 368 120 368zM224 424c0 4.375-3.625 8-8 8h-32c-4.375 0-8-3.625-8-8V88c0-4.375 3.625-8 8-8h32C220.4 80 224 83.62 224 88V424zM464 424c0 4.375-3.625 8-8 8h-32c-4.375 0-8-3.625-8-8V88c0-4.375 3.625-8 8-8h32c4.375 0 8 3.625 8 8V424zM560 360c0 4.375-3.625 8-8 8h-32c-4.375 0-8-3.625-8-8v-208c0-4.375 3.625-8 8-8h32c4.375 0 8 3.625 8 8V360z"],
    "dumpster": [576, 512, [], "f793", "M560 160c10.38 0 17.1-9.75 15.5-19.88l-24-95.1C549.8 37 543.3 32 536 32h-98.88l25.62 128H560zM404.5 32H304v128h126.1L404.5 32zM552 224h-12L544 192H32l4 32H23.1C10.8 224 0 234.8 0 247.1S10.8 272 23.1 272h17.1L64 448v8C64 469.3 74.75 480 87.1 480S112 469.3 112 456V448h352v8C464 469.3 474.7 480 488 480c13.25 0 24-10.75 24-23.1V448l21.1-176H552C565.2 272 576 261.2 576 248C576 234.8 565.2 224 552 224zM469.6 400H106.4l-20-160h403.4L469.6 400zM16 160h97.25l25.63-128H40C32.75 32 26.25 37 24.5 44.12l-24 95.1C-2 150.2 5.625 160 16 160zM272 32H171.5L145.9 160H272V32z"],
    "dumpster-fire": [640, 512, [], "f794", "M418.8 104.2L404.6 32H304.1L304 159.1h60.77C381.1 140.7 399.1 121.8 418.8 104.2zM461.3 104.2c18.25 16.25 35.51 33.62 51.14 51.49c5.751-5.623 11.38-11.12 17.38-16.37l21.26-18.98l21.25 18.98c1.125 .9997 2.125 2.124 3.126 3.124c-.125-.7498 .2501-1.5 0-2.249l-24-95.97c-1.625-7.123-8.127-12.12-15.38-12.12H437.2l12.25 61.5L461.3 104.2zM272.1 32.12H171.5L145.9 160.1h126.1L272.1 32.12zM106.4 400L86.39 240.1h225.4c7.876-15.75 17.45-31.89 28.83-48.01L32.01 192.1l4.001 31.99L24 224.1C10.8 224.1 0 234.9 0 248.1s10.8 23.99 24 23.99h18l22 175.9l.0033 8C64.01 469.2 74.81 480 88.02 480s24-10.8 24-23.99v-7.998l224.8-.0025c-12.75-14.25-23.47-30.36-31.47-47.98H106.4zM16 160.1l97.26-.0223l25.64-127.9h-98.89c-7.251 0-13.75 4.999-15.5 12.12L.5001 140.2C-2 150.3 5.626 160.1 16 160.1zM551.2 163.3c-14.88 13.25-28.38 27.12-40.26 41.12c-19.5-25.74-43.63-51.99-71.01-76.36c-70.14 62.73-120 144.2-120 193.6C319.1 409.1 391.6 480 479.1 480s160-70.87 160-158.3C640.1 285 602.1 209.4 551.2 163.3zM480.1 432c-61.76 0-112-49.49-112-110.3c0-22.62 24.88-74.73 72.26-126.3c22.38 23.62 30.51 35.62 68.51 85.98c40.51-47.74 39.01-45.99 41.01-48.36c26.51 35.37 42.26 73.98 42.26 88.85C592.1 382.5 541.9 432 480.1 432z"],
    "dungeon": [512, 512, [], "f6d9", "M64 512C28.65 512 0 483.3 0 448V408C0 396.3 3.116 385.4 8.562 376C3.117 366.6 0 355.7 0 344V303.1C0 292.3 3.125 281.4 8.584 271.1C2.774 261.8-.2701 249.7 .743 236.4C2.918 207.8 9.809 180.4 20.65 155.1C26.78 140.9 36.85 130.7 48.64 124.5C49.22 111.2 54.15 97.78 64.39 86.22C81.19 67.28 100.8 50.84 122.5 37.54C135.7 29.44 149.8 26.95 163 28.73C171.2 18.19 183 10.08 198.1 6.582C216.8 2.269 236.1 0 256 0C275.9 0 295.2 2.269 313.9 6.582C328.1 10.08 340.8 18.19 348.1 28.73C362.2 26.95 376.3 29.44 389.5 37.54C411.2 50.84 430.8 67.28 447.6 86.22C457.8 97.78 462.8 111.2 463.4 124.5C475.2 130.7 485.2 140.9 491.4 155.1C502.2 180.4 509.1 207.8 511.3 236.4C512.3 249.7 509.2 261.8 503.4 271.1C508.9 281.4 512 292.3 512 303.1V344C512 355.7 508.9 366.6 503.4 376C508.9 385.4 512 396.3 512 408V448C512 483.3 483.3 512 448 512H64zM276.4 129.4L276.6 129.5C284.4 130.5 292.2 126.5 295.1 119.2L313.2 73.84C316.3 66.22 313.1 57.68 306 54.36C305.1 53.93 304.1 53.59 303.1 53.35C287.9 49.85 272.2 47.1 256 47.1C239.8 47.1 224.1 49.85 208.9 53.35C207.9 53.59 206.9 53.93 205.1 54.36C198.9 57.68 195.7 66.22 198.8 73.84L216.9 119.2C219.8 126.5 227.6 130.5 235.4 129.5L235.6 129.4C242.3 128.5 249.1 127.1 256 127.1C262.9 127.1 269.7 128.5 276.4 129.4H276.4zM408.3 140.6C415.1 136.1 417.3 127.3 413.5 120.6C413 119.7 412.4 118.9 411.7 118.1C398 102.7 382.1 89.28 364.4 78.47C363.5 77.92 362.6 77.48 361.7 77.14C354.4 74.58 346.2 78.32 342.1 85.73L342.8 86.19L325.5 129.3C325.3 129.9 325.1 130.5 324.9 131.1C322.1 138.2 326.3 145.9 332.6 150.1L332.9 150.2C339.1 154.2 344.1 158.5 350.5 163.3L350.7 163.5C356.6 168.5 365 169.4 371.4 165.2L408.3 140.6zM396.8 241.9C396.9 242.2 396.1 242.5 397.1 242.8C399.1 250.3 405.6 256 413.4 256H448C456.2 256 463 249.8 463.4 241.9C463.4 241.3 463.4 240.6 463.4 240C461.6 216.8 456 194.6 447.2 174.1C446.8 173.1 446.3 172.2 445.7 171.4C441.4 165.2 432.9 163.5 426.1 167.2C425.7 167.5 425.3 167.7 424.9 167.9L392.3 189.7C391.2 190.4 390.3 191.3 389.4 192.2C384.8 197.2 383.8 204.7 386.6 211.2L386.8 211.6C391.2 221.2 394.6 231.3 396.8 241.9V241.9zM400 344C400 344.7 400 345.3 400.1 345.1C401.1 353.9 407.8 360 416 360H448C456.2 360 462.9 353.9 463.9 345.1C463.1 345.3 464 344.7 464 344V303.1C464 303.3 463.1 302.6 463.9 301.1C462.9 294.1 456.1 287.1 448 287.1H416C415.1 287.1 414.3 288.1 413.4 288.2C406.3 289.4 400.7 295.3 400.1 302.6C400 303.1 400 303.5 400 303.1V344zM400 448C400 456.8 407.2 464 416 464H448C456.8 464 464 456.8 464 448V408C464 407.3 463.1 406.7 463.9 406C462.9 398.1 456.2 392 448 392H416C407.8 392 401.1 398.1 400.1 406C400 406.7 400 407.3 400 408V448zM100.3 118.1C99.59 118.9 98.99 119.7 98.49 120.6C94.72 127.3 96.94 136.1 103.7 140.6L140.6 165.2C146.1 169.4 155.4 168.5 161.3 163.5L161.5 163.3C167 158.5 172.9 154.2 179.1 150.2L179.4 150.1C185.7 145.9 189 138.2 187.1 131.1C186.9 130.5 186.7 129.9 186.5 129.3L169.2 86.19L169 85.73C165.8 78.32 157.6 74.58 150.3 77.14C149.4 77.48 148.5 77.92 147.6 78.47C129.9 89.28 113.1 102.7 100.3 118.1L100.3 118.1zM48.61 240C48.56 240.6 48.55 241.3 48.58 241.9C48.97 249.8 55.79 255.1 64 255.1H98.55C106.4 255.1 112.9 250.3 114.9 242.8C115 242.5 115.1 242.2 115.2 241.9C117.4 231.3 120.8 221.2 125.2 211.6L125.4 211.2C128.2 204.7 127.2 197.2 122.6 192.2C121.7 191.3 120.8 190.4 119.7 189.7L87.08 167.9C86.7 167.7 86.3 167.5 85.91 167.2C79.09 163.5 70.6 165.2 66.26 171.4C65.68 172.2 65.18 173.1 64.76 174.1C55.97 194.6 50.37 216.8 48.61 240H48.61zM48 344C48 344.7 48.04 345.3 48.12 345.1C49.1 353.9 55.84 360 64 360H96C104.2 360 110.9 353.9 111.9 345.1C111.1 345.3 112 344.7 112 344V303.1C112 303.5 111.1 303.1 111.9 302.6C111.3 295.3 105.7 289.4 98.55 288.2C97.72 288.1 96.87 287.1 96 287.1H64C55.86 287.1 49.13 294.1 48.13 301.1C48.04 302.6 48 303.3 48 303.1V344zM48 448C48 456.8 55.16 464 64 464H96C104.8 464 112 456.8 112 448V408C112 407.3 111.1 406.7 111.9 406C110.9 398.1 104.2 392 96 392H64C55.84 392 49.1 398.1 48.12 406C48.04 406.7 48 407.3 48 408V448zM272 191.1C272 183.2 264.8 175.1 256 175.1C247.2 175.1 240 183.2 240 191.1V448C240 456.8 247.2 464 256 464C264.8 464 272 456.8 272 448V191.1zM208 223.1C208 215.2 200.8 207.1 192 207.1C183.2 207.1 176 215.2 176 223.1V448C176 456.8 183.2 464 192 464C200.8 464 208 456.8 208 448V223.1zM336 223.1C336 215.2 328.8 207.1 320 207.1C311.2 207.1 304 215.2 304 223.1V448C304 456.8 311.2 464 320 464C328.8 464 336 456.8 336 448V223.1z"],
    "e": [320, 512, [101], "45", "M320 456c0 13.25-10.75 24-24 24h-272C10.75 480 0 469.3 0 456V56C0 42.75 10.75 32 24 32h272C309.3 32 320 42.75 320 56S309.3 80 296 80H48v152h184c13.25 0 24 10.76 24 24.01C256 269.3 245.3 280 232 280H48v152h248C309.3 432 320 442.8 320 456z"],
    "ear": [384, 512, [128066], "f5f0", "M192 0C86 0 0 86 0 192v176C0 447.5 64.5 512 144 512s144-64.5 144-144v-9.875C345.4 324.9 384 263 384 192C384 86 298 0 192 0zM263.9 316.6L240 330.5V368c0 52.94-43.06 96-96 96s-96-43.06-96-96V192c0-79.4 64.6-144 144-144s144 64.6 144 144C336 243.1 308.4 290.8 263.9 316.6zM200 80h-16C126.7 80 80 126.7 80 184v47.97c0 9.9 5.934 18.65 15.12 22.28l28.98 11.58c3.857 1.547 4.746 4.91 4.949 6.283c.2031 1.367 .3242 4.826-2.916 7.418L89 309.2c-10.32 8.285-12 23.42-3.756 33.74C89.81 348.6 96.88 352 104.2 352c5.35 0 10.47-1.818 14.81-5.262l37.15-29.71c15.73-12.59 23.36-32 20.4-51.92C173.6 245.2 160.6 228.8 141.9 221.3L128 215.7V184C128 153.1 153.1 128 184 128h16C230.9 128 256 153.1 256 184c0 13.23 10.77 24 24 24s24-10.77 24-24C304 126.7 257.3 80 200 80zM104.2 344c-.4102 0-.7539-.2422-1.158-.2734c1.154 .0898 2.32 .0625 3.502-.1191C105.7 343.7 104.9 344 104.2 344z"],
    "ear-deaf": [512, 512, ["deaf", "deafness", "hard-of-hearing"], "f2a4", "M240 63.1C142.1 63.1 64 145.3 64 245.1c0 13.25 10.75 24 24 24s24-10.75 24-24C112 171.7 169.4 112 240 112s128 59.72 128 133.1c0 46.97-17.52 91.19-49.31 124.5l-5.625 5.906l-.8594 8.125C307.4 429.5 270.4 464 226.2 464c-13.25 0-24 10.75-24 24s10.75 24 24 24c66.11 0 121.8-48.91 132.6-115.1C395.8 355.4 416 301.8 416 245.1C416 145.3 337 63.1 240 63.1zM168 320c-6.141 0-12.28 2.344-16.97 7.031l-144 144C2.344 475.7 0 481.9 0 488C0 501.7 11.21 512 24 512c6.141 0 12.28-2.344 16.97-7.031l144-144C189.7 356.3 192 350.1 192 344C192 330.3 180.8 320 168 320zM512 24C512 10.29 500.8 0 488 0c-6.141 0-12.28 2.344-16.97 7.031l-64 64C402.3 75.72 400 81.86 400 88c0 13.71 11.21 24 24 24c6.141 0 12.28-2.344 16.97-7.031l64-64C509.7 36.28 512 30.14 512 24zM240 200c22.06 0 40 17.94 40 40c0 13.25 10.75 24 24 24s24-10.75 24-24c0-48.53-39.47-88-88-88S152 191.5 152 240c0 13.25 10.75 24 24 24S200 253.3 200 240C200 217.9 217.9 200 240 200z"],
    "ear-listen": [512, 512, ["assistive-listening-systems"], "f2a2", "M80.97 367c-9.375-9.377-24.56-9.377-33.94 0c-9.375 9.375-9.375 24.56 0 33.94l64 64C115.7 469.7 121.9 471.1 128 471.1s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94L80.97 367zM386.7 2.516c-11.86-5.875-26.28-1.125-32.2 10.75c-5.922 11.84-1.125 26.25 10.73 32.19c.8438 .4062 84.67 43.56 98.92 157.5c1.516 12.16 11.86 21.03 23.78 21.03c1 0 2-.0625 3.016-.1875c13.14-1.656 22.47-13.62 20.83-26.78C494.4 57.86 391.1 4.703 386.7 2.516zM24 463.1c-13.25 0-24 10.74-24 24S10.75 512 24 512s24-10.75 24-24S37.25 463.1 24 463.1zM168 319.1c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24S192 357.2 192 343.1C192 330.7 181.3 319.1 168 319.1zM240 63.1c-97.05 0-176 81.24-176 181.1c0 13.25 10.75 24 24 24s24-10.75 24-24c0-73.41 57.42-133.1 128-133.1s128 59.72 128 133.1c0 46.97-17.52 91.19-49.31 124.5l-5.625 5.906l-.8594 8.125c-4.844 45.78-41.83 80.31-86.02 80.31c-13.25 0-24 10.75-24 24c0 13.25 10.75 24 24 24c66.11 0 121.8-48.91 132.6-115.1C395.8 355.4 416 301.8 416 245.1C416 145.2 337 63.1 240 63.1zM240 200c22.06 0 40 17.94 40 40c0 13.25 10.75 24 24 24s24-10.75 24-24c0-48.53-39.47-88-88-88S152 191.5 152 240c0 13.25 10.75 24 24 24S200 253.3 200 240C200 217.9 217.9 200 240 200z"],
    "ear-muffs": [640, 512, [], "f795", "M638.5 335.1c-.0313-.1562-.0781-.3125-.1094-.4687c-2.938-11.41-9.33-21.47-18.27-29.1c-1.156-11.57-5.969-22.6-13.96-31.35c-8.143-9.158-19.1-15.57-31.33-18.54c-6.812-10-16.83-17.79-29-22.22c-5.766-2.07-11.77-3.047-17.8-3.336V208.1C528.1 93.33 434.7 0 320 0C205.3 0 112 93.33 112 208.1v22.01C105.9 230.3 99.83 231.3 93.98 233.4C81.92 237.8 71.95 245.6 65.13 255.6c-12.22 2.938-23.14 9.283-31.15 18.29C25.88 282.8 21 293.9 19.83 305.5c-8.939 7.658-15.36 17.85-18.38 29.57c-2.656 11.25-1.609 22.91 2.705 33.32c-4.283 10.66-5.143 22.47-2.174 33.79c3.049 11.31 9.408 21.29 18.14 28.82c1.297 11.47 6.221 22.47 14.58 31.85c8.422 8.971 19.31 15.13 31.19 17.91c6.783 9.971 16.57 17.63 27.4 21.32c11.24 4.908 25.99 5.908 39.79 2.189C142.2 509.3 152.6 512 163.4 512c33.44 0 60.65-25.76 60.65-57.39c0-7.439-1.641-14.79-4.734-21.66c3.094-6.877 4.734-14.25 4.734-21.69c0-7.564-1.531-14.91-4.438-21.69c2.906-6.781 4.438-14.1 4.438-21.6s-1.531-14.82-4.438-21.57c2.906-6.783 4.438-14.1 4.438-21.6c0-7.596-1.594-14.94-4.688-21.79C222.4 296.2 224 288.9 224 281.3c0-31.63-27.21-57.39-60.65-57.39c-1.141 0-2.225 .3848-3.359 .4492V208.1c0-88.24 71.79-160 160-160s160 71.8 160 160V224.4c-1.162-.0664-2.271-.459-3.439-.459c-33.44 0-60.65 25.76-60.65 57.39c0 7.533 1.594 14.85 4.688 21.69c-3.094 6.844-4.688 14.19-4.688 21.79c0 7.502 1.531 14.82 4.438 21.6c-2.906 6.752-4.438 14.07-4.438 21.57s1.531 14.82 4.438 21.6c-2.906 6.783-4.438 14.13-4.438 21.69c0 7.439 1.641 14.82 4.734 21.69c-3.094 6.877-4.734 14.22-4.734 21.66c0 31.63 27.21 57.39 60.65 57.39c10.8 0 21.16-2.689 30.3-7.752c13.75 3.688 29.71 2.25 37.99-1.5c12.05-4.158 22.22-11.97 29.14-22.01c11.92-2.814 22.93-9.096 31.69-18.41c8.049-9.066 12.88-19.94 14.13-31.35c8.736-7.564 15.1-17.57 18.18-29.01c2.938-11.19 2.062-22.94-2.203-33.6C640.2 357.9 641.2 346.3 638.5 335.1zM176 281.3c0 1.875-1.471 3.781-2.705 5.064C164.4 295.7 164.4 310.4 173.4 319.7c1.766 1.844 2.658 3.562 2.658 5.125c0 1.846-.6895 3.439-2.08 4.908c-8.953 9.283-8.984 23.97-.0469 33.29c1.908 1.969 2.121 3.8 2.121 4.988s-.2129 2.983-2.121 4.952c-8.938 9.316-8.906 24.01 .0469 33.29c1.422 1.471 2.08 3.064 2.08 5.033c0 1.844-1.455 3.721-2.658 5.002c-8.955 9.283-8.986 23.97-.0469 33.29c1.688 1.75 2.705 3.656 2.705 5.064c0 5.094-5.783 9.377-12.64 9.377c-4.922 0-8.203-2.189-10.08-4.033c-4.609-4.562-10.69-6.908-16.83-6.908c-4.109 0-8.252 1.062-12 3.221c-4.986 2.844-10.03 2.531-13.72 1.094c-3.689-1.281-5.643-3.846-6.236-5.846c-3.109-10.41-11.97-16.66-23.69-17.13c-4.299-.0625-8.393-1.531-10.69-3.938c-1.953-2.221-2.688-4.596-2.141-7.096c2.375-11.07-3.314-22.29-13.64-26.95c-3.031-1.344-5.203-3.812-5.953-6.564c-.6719-2.594 .8125-4.812 1.766-5.906c7.971-9.189 7.814-22.88-.3594-31.88c-1.094-1.219-2.266-3.221-1.719-5.533c.9531-3.719 4.219-5.658 6.078-6.471c10.58-4.719 16.29-16.29 13.6-27.54c-.375-1.594-.3906-3.939 1.922-6.502c2.375-2.656 6.531-4.252 11.14-4.252c10.52 0 19.8-6.844 22.93-16.88C104.6 282.1 107 279.8 110.3 278.6c5.627-1.971 10.85 .2813 13.44 1.781c9.658 5.783 21.96 4 29.66-4.096c1.533-1.625 4.846-4.312 9.955-4.312C170.2 271.9 176 276.2 176 281.3zM589.9 383.9c.9531 1.094 2.438 3.312 1.812 5.719c-.7969 2.939-2.969 5.408-6.002 6.752c-10.33 4.658-16.02 15.88-13.64 26.95c.5469 2.5-.1875 4.875-1.672 6.594c-2.734 2.908-6.658 4.439-11.16 4.439c-12.14-.125-20.58 6.721-23.69 17.13c-.5938 2-2.549 4.564-8.018 6.533c-.0938 .0625-6.971 1.062-11.94-1.781c-9.33-5.377-21.13-3.877-28.85 3.688c-1.875 1.844-5.125 4.033-10.06 4.033c-6.859 0-12.64-4.283-12.64-9.377c0-1.408 1.016-3.314 2.703-5.064c8.939-9.314 8.908-24.01-.0469-33.29c-1.203-1.281-2.656-3.158-2.656-5.002c0-1.969 .6562-3.562 2.078-5.033c8.955-9.283 8.986-23.97 .0469-33.29c-1.906-1.969-2.119-3.765-2.119-4.953s.2129-3.018 2.119-4.987c8.939-9.314 8.908-24.01-.0469-33.29c-1.391-1.469-2.078-3.062-2.078-4.908c0-1.562 .8906-3.281 2.656-5.125c8.955-9.283 8.986-23.97 .0469-33.29c-1.234-1.283-2.703-3.189-2.703-5.064c0-5.096 5.783-9.377 12.64-9.377c5.111 0 8.424 2.688 9.955 4.312c7.689 8.096 20 9.879 29.66 4.096c2.609-1.5 7.861-3.752 13.3-1.844c3.406 1.25 5.861 3.562 6.721 6.344c3.109 10.07 12.41 16.91 22.93 16.91c4.609 0 8.768 1.596 11.35 4.502c2.109 2.312 2.094 4.658 1.719 6.252c-2.688 11.25 3.016 22.82 13.6 27.54c1.828 .8125 4.986 2.689 6.018 6.252c.5313 2.625-.5938 4.564-1.656 5.752C582 361.1 581.9 374.7 589.9 383.9z"],
    "earth-africa": [512, 512, [127757, "globe-africa"], "f57c", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM456.4 200.1L428.1 194.6C421.3 193.1 413.6 196.8 410.1 203.8C404.3 215.4 390.9 220.1 378.6 216.9L364.5 212.2C356.8 209.6 348.4 211.6 342.7 217.3C338.1 221 338.1 226.1 342.7 230.7L376.2 264.2C381.2 269.2 384 275.1 384 283.1C384 295.4 375.6 306.1 363.7 309.1L358.4 310.4C354.6 311.3 352 314.7 352 318.6V330.7C352 344.5 347.5 357.1 339.2 369.1L313.6 403.2C307.6 411.3 298.1 416 288 416C270.3 416 255.1 401.7 255.1 384V336C255.1 327.2 248.8 320 239.1 320H207.1C181.5 320 159.1 298.5 159.1 272V244C159.1 231.4 165.9 219.6 175.1 212L215.4 182.5C220.1 178.3 227.8 176 234.8 176C238.2 176 241.7 176.6 244.1 177.7L276.1 188.3C284.2 190.7 291.9 191 299.3 189.2L334.7 180.3C344.9 177.8 352 168.6 352 158.1C352 149.5 347.1 141.6 339.4 137.7L310.1 123.1C306.5 121.2 302 121.1 299.1 124.9L295.2 128.8C290.6 133.4 284.3 135.1 277.8 135.1C273.1 135.1 270.2 135.1 266.8 133.4L251.6 125.8C244.8 122.4 236.6 124.2 231.9 130.1L218.3 147.1C212.8 153.1 202.6 154.6 196.3 148.3C193.6 145.6 191.1 141.8 191.1 137.9V96.5C191.1 90.93 190.5 85.46 187.8 80.62L177.8 63.19C101.7 94.09 47.1 168.8 47.1 255.1C47.1 370.9 141.1 464 255.1 464C370.9 464 464 370.9 464 255.1C464 236.6 461.4 217.9 456.4 200.1L456.4 200.1z"],
    "earth-americas": [512, 512, [127758, "earth", "earth-america", "globe-americas"], "f57d", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464zM410.4 255.3L393.5 204.6C388.2 188.6 396.3 171.1 412 164.8L464 144L480 288L433 276.3C422.4 273.6 413.9 265.7 410.4 255.3L410.4 255.3zM67.07 209.4L48 176L64 128L144 48L248 16L268.8 52.42C275.5 64.16 274.1 78.85 265.3 89.12L249.6 107.5C239.4 119.3 239.3 136.8 249.3 148.8L262.9 165C268.3 171.5 268.8 180.8 264.1 187.9C259.3 195 250.3 198.1 242.2 195.4L218.1 187.7C211.9 185.3 204.3 185.9 197.7 189.2L191.7 192.1C182.7 196.7 178.4 207.1 181.6 216.7C183.1 221.4 186.4 225.4 190.7 227.8L225.2 247.6C234.9 253.1 245.9 255.1 256.1 255.1H300.1C312.8 255.1 325.1 261.1 334.1 270.1L337.9 273.9C346.9 282.9 352 295.2 352 307.9V316.1C352 333.4 342.8 349.3 327.8 357.8L318.6 363.1C304.1 371.4 293.4 384.1 288.8 401.1L287.3 406.5C282.8 422.3 270.3 434.8 254.5 439.3C239.2 443.7 223.1 432.2 223.1 416.3V385.9C223.1 374.9 217.8 364.9 207.1 360C198.2 355.1 191.1 345.1 191.1 334.1V294.2C191.1 276.3 180.2 260.6 162.1 255.7L105.1 239.2C88.99 234.6 75.36 223.9 67.07 209.4L67.07 209.4z"],
    "earth-asia": [512, 512, [127759, "globe-asia"], "f57e", "M195.9 344.5C204.5 346.6 209.7 355.3 207.5 363.9C205.4 372.5 196.7 377.7 188.1 375.5L156.1 367.5C147.5 365.4 142.3 356.7 144.5 348.1C146.6 339.5 155.3 334.3 163.9 336.5L195.9 344.5zM248.1 347.5C239.5 345.4 234.3 336.7 236.5 328.1L244.5 296.1C246.6 287.5 255.3 282.3 263.9 284.5C272.5 286.6 277.7 295.3 275.5 303.9L267.5 335.9C265.4 344.5 256.7 349.7 248.1 347.5zM334.3 167.2C330.4 175.1 320.7 178.3 312.8 174.3C304.9 170.4 301.7 160.7 305.7 152.8L321.7 120.8C325.6 112.9 335.3 109.7 343.2 113.7C351.1 117.6 354.3 127.3 350.3 135.2L334.3 167.2zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM324.9 59.69L308.6 100.6C305.7 107.8 299.6 113.1 292.1 114.1L275.1 119.2C258.4 123.4 251.4 143.2 261.7 156.9L277.8 178.4C283.9 186.6 284.2 197.7 278.6 206.1L267.9 222.2C260.5 233.3 247.1 239.1 234.6 239.1H232.3C216.2 239.1 204.6 255.5 209.3 270.9L215.2 290.8C219.6 305.4 208.7 319.1 193.5 319.1C182.8 319.1 172.1 313.9 168.2 304.3L158.9 285.8C151.6 271.1 132 267.1 120.5 279.5L105.1 294.9C99.41 300.6 91.27 303.1 83.41 301.5L51.68 295.1C69.98 391.3 154.5 464 256 464C304.1 464 348.3 447.7 383.5 420.3L377.6 416L358.1 422.9C339.2 430.3 317.1 421 308.5 401.8L302.1 389.4C294.5 370.5 301.9 348.2 319.1 338.1L356.2 317.1C358.5 316.7 360.4 314.8 361.8 312.6L367.9 303.1C373.1 293.7 384.4 287.1 395.5 287.1C406.7 287.1 417.1 293.7 423.1 303.1L425.1 306.2C428.8 312 435.9 314.7 442.6 312.9L457.2 308.8C461.7 291.9 464 274.2 464 255.1C464 165.3 405.9 88.13 324.9 59.69L324.9 59.69z"],
    "earth-europe": [512, 512, ["globe-europe"], "f7a2", "M155.3 155.3C149.1 161.6 138.9 161.6 132.7 155.3C126.4 149.1 126.4 138.9 132.7 132.7L164.7 100.7C170.9 94.44 181.1 94.44 187.3 100.7C193.6 106.9 193.6 117.1 187.3 123.3L155.3 155.3zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 464C261.8 464 267.5 463.8 273.1 463.3C272.4 461 272 458.5 272 456C272 442.7 261.3 432 248 432H226.7C214.7 432 203.2 427.2 194.7 418.7L178.7 402.7C166.7 390.7 160 374.5 160 357.5V354.3C160 332.9 170.7 312.9 188.5 301L215.9 282.7C226.4 275.7 238.7 272 251.4 272H272.3C287.6 272 302.4 277.5 313.1 287.4L340.5 310.2C347.9 316.5 357.4 320 367.1 320C377.9 320 388.3 324.3 395.1 331.1L409.4 345.4C413.6 349.6 419.4 352 425.4 352C430.2 352 434.7 353.5 438.4 356.1C444.7 344.7 449.9 332.6 453.1 320H446.6C432.1 320 418.2 314.2 408 304L389.7 285.7C386 282 384 277.1 384 272C384 266.9 386 261.1 389.7 258.3L397.2 250.8C398.1 249 400 246.6 400 244C400 241.4 398.1 238.1 397.2 237.2L390.6 230.6C386.4 226.4 380.6 224 374.6 224H363.3C357.1 224 352 218.9 352 212.7C352 209.7 353.2 206.8 355.3 204.7L360 200C365.1 194.9 372.1 192 379.3 192H400C408.8 192 416 184.8 416 176C416 167.2 408.8 160 400 160H370.6C360.3 160 352 168.3 352 178.6C352 186.6 346.9 193.7 339.3 196.2L318.1 203.3C310.7 205.8 307.1 214.3 310.7 221.3L311.8 223.6C315.6 231.1 310.1 240 301.7 240C298.1 240 294.7 238.3 292.6 235.5L276.3 213.7C273.6 210.1 269.4 208 264.8 208C259.4 208 254.5 211.1 252 215.9L248 224C243.1 233.8 232.9 240 221.9 240C205.6 240 192 226.7 192 210.3V206.1C192 197.1 195.6 188.4 201.9 182.1L219.9 164.1C222.5 161.5 224 157.9 224 154.2C224 148.1 227.9 142.7 233.6 140.8L260.2 131.9C267.9 129.4 275 124.1 280.8 119.2L300.7 99.31C302.8 97.19 304 94.31 304 91.31C304 85.07 298.9 80 292.7 80H291.7C289.3 80 286.9 80.72 284.9 82.06L243.1 109.9C241.1 111.3 238.7 112 236.3 112C229.5 112 224 106.5 224 99.72V90.67C224 83.95 227.2 77.63 232.5 73.6L266.3 48.25C262.9 48.09 259.5 48 256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464V464z"],
    "earth-oceania": [512, 512, ["globe-oceania"], "e47b", "M208.6 357.3L169.6 343.8C163.1 341.6 156 341.5 149.5 343.6L134.1 348.4C115.7 354.3 95.67 346.1 86.65 328.9L83.37 322.7C72.8 302.6 81.08 277.7 101.6 267.9L136.9 251.1C139.2 250 141.3 248.4 142.8 246.3L148.1 239.3C155.3 229.7 166.7 224 178.7 224C190.7 224 202.1 229.7 209.3 239.3L213.8 245.4C215.8 247.1 218.7 249.8 221.9 250.5C229.7 252.1 237.7 248.1 242.4 242.6L252.8 228.4C254.8 225.6 258 224 261.5 224C265.9 224 269.9 226.7 271.5 230.8L281.6 256.7C284.4 263.1 288.3 270.7 293.1 276.9L311 299.8C316.8 307.2 320 316.4 320 325.8C320 335.2 316.8 344.4 311 351.8L298.1 367.2C290.7 377.8 278 384 264.6 384C256.2 384 247.1 381.6 240.9 377L215.5 360.6C213.4 359.2 211 358.1 208.6 357.3H208.6zM296 164.7C306.1 174.8 298.9 192 284.7 192H254.8C249.2 192 243.7 190.8 238.5 188.6L195.7 169.5C181.5 163.2 183.8 142.3 199.1 139.2L237.6 131.5C250.8 128.9 264.3 132.1 273.8 142.5L296 164.7zM248 416C248 407.2 255.2 400 264 400H280C288.8 400 296 407.2 296 416C296 424.8 288.8 432 280 432H264C255.2 432 248 424.8 248 416zM431.2 314.9C433.1 323.3 429.4 332.4 421.1 335.2C412.7 337.1 403.6 333.4 400.8 325.1L392.8 301.1C390 292.7 394.6 283.6 402.9 280.8C411.3 278 420.4 282.6 423.2 290.9L431.2 314.9zM371.3 403.3C365.1 409.6 354.9 409.6 348.7 403.3C342.4 397.1 342.4 386.9 348.7 380.7L380.7 348.7C386.9 342.4 397.1 342.4 403.3 348.7C409.6 354.9 409.6 365.1 403.3 371.3L371.3 403.3zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "eclipse": [640, 512, [], "f749", "M256 458l-51.88-76.1l-90.88 17.62l17.5-91.24L53.1 255.4l76.75-51.1l-17.5-91.12l91 17.5L256 53.03l31.75 46.87c11.12-11.5 23.62-21.88 37.13-30.75L289.6 16.78c-15.12-22.37-51.88-22.37-67 0L182.3 76.65L111.4 62.9C97.1 60.4 84.5 64.53 75 74.15C65.5 83.78 61.25 97.28 63.88 110.4l13.75 70.1l-59.88 40.5C6.625 229.5 0 242 0 255.5c0 13.5 6.75 25.1 17.75 33.5l59.88 40.5l-13.75 70.1c-2.625 13.25 1.594 26.96 11.09 36.46s22.91 13.54 36.28 10.91l70.88-13.62l40.38 59.87C229.1 505.3 242.5 512 255.9 512s26.08-6.75 33.58-17.75l34.75-51.62c-13.5-9-25.75-19.37-37-30.87L256 458zM229.6 206.9c4.25-19.12 11-37.25 19.88-54.25c-54.25 3.5-97.49 48.24-97.49 103.4c0 55.12 43.24 99.88 97.49 103.3c-8.875-16.88-15.62-34.1-19.88-54.25C212.1 295.5 200 277.3 200 255.9C200 234.6 212.1 216.4 229.6 206.9zM448 64.02c-106 0-191.1 86-191.1 191.1S341.1 448.1 448 448.1c105.1 0 192-86.05 192-192S553.1 64.02 448 64.02zM448 400c-79.38 0-143.1-64.63-143.1-143.1c0-79.37 64.62-143.1 143.1-143.1s144 64.62 144 143.1C592 335.4 527.4 400 448 400z"],
    "egg": [384, 512, [129370], "f7fb", "M192 0C85.1 0 0 214 0 320s85.1 192 192 192c105.1 0 192-86 192-192S297.1 0 192 0zM192 464c-79.38 0-144-64.63-144-144c0-117.4 90.63-272 144-272s144 154.6 144 272C336 399.4 271.4 464 192 464zM168 103.1c-7.299 0-14.11 3.262-18.7 8.949C113.1 156.8 76.34 238.6 76.34 304c0 13.23 10.77 24 24 24c13.24 0 24-10.77 24-24c0-52.42 31.7-122.1 62.35-160.9c8.303-10.29 6.688-25.43-3.596-33.75C178.8 105.9 173.5 103.1 168 103.1z"],
    "egg-fried": [512, 512, [], "f7fc", "M478.4 150.5c-39.5-40.75-100.8-46.38-144.5-82.25C290.2 32.24 255.6 0 200.5 0C192.1 0 183.7 .7387 175.3 2.114c-86.76 13.1-111.8 80.01-125 157.1c-11.13 64.38-54.38 127-50 192.9c4.375 65.88 52.88 128.5 115 150.8C132.9 509.3 149.2 512 164.2 512c64.76 0 109-51.12 155.8-95.49c43.63-41.5 93.38-37.75 140.9-74C517.2 299.8 532.6 201.1 478.4 150.5zM431.9 304.2c-16.13 12.38-33.63 18.75-53.88 26.13c-28.25 10.38-60.26 22-91.01 51.25c-5.501 5.125-11 10.5-16.5 15.88C233.7 433.1 201.1 464 164.2 464c-10.25 0-20.88-1.999-32.75-6.25c-44.38-16-80.26-62.75-83.26-108.8C46.19 320 58.44 287.6 71.44 253.2C81.69 226 92.44 197.9 97.57 167.5c13.88-80.12 35.38-109.9 85.38-118C188.7 48.62 194.6 48.12 200.5 48c32.38 0 54.38 17 93.51 49.5l9.376 7.875c25.5 21 54.13 33.12 79.38 43.75c25 10.63 46.5 19.75 61.13 34.75l.6251 .75l.75 .75c17.75 16.87 19.25 40.75 18.63 53.5C462.5 264.9 449.9 290.6 431.9 304.2zM223.1 128.1c-61.76 0-112 50.38-112 112.1c0 61.88 50.26 112.1 112 112.1s112-50.26 112-112.1C335.1 178.5 285.7 128.1 223.1 128.1zM223.1 200.1c-22.13 0-40 17.91-40 40.03c0 8.875-7.125 15.99-16 15.99c-8.876 0-16-7.113-16-15.99c0-39.75 32.25-71.89 72-72.01c8.876 0 16 7.238 16 15.99C239.1 192.1 232.9 200.1 223.1 200.1z"],
    "eggplant": [512, 512, [], "e16c", "M414.2 193.7c-21.8 42.21-44.23 81.8-68.53 119c-95.67 145.4-135.5 151.3-165.4 151.3c-149.1 0-175.8-186-62.07-233.3c19.83-7.764 92.45-40.21 203.7-130.8c-14.41-7.936-26.46-19.42-35.17-33.33C190.3 144.5 124.7 176.7 100.8 186.1C31.93 214.6 .0005 275.1 .0005 337.4c0 141.1 129.2 174.7 172.6 174.7c57.68 0 108.2-13.32 213.2-172.9c23.94-36.67 44.8-73.65 64.42-110.8C435.3 220.2 423 208.1 414.2 193.7zM512 24C512 10.29 500.8 0 488 0c-6.141 0-12.28 2.344-16.97 7.031l-14.04 14.04C449.3 17.81 440.9 16 432 16h-128c0 35.35 28.65 64 64 64c0 35.35 28.65 64 64 64c0 35.35 28.65 64 64 64v-128c0-8.871-1.812-17.31-5.074-24.99l14.04-14.04C509.7 36.28 512 30.14 512 24z"],
    "eject": [448, 512, [9167], "f052", "M48.01 351.1h351.1c41.62 0 63.49-49.63 35.37-80.38l-175.1-192.1C249.9 69.16 236.9 64.01 224 64.01c-12.94 0-25.87 5.156-35.37 15.47L12.64 271.6C-15.48 302.2 6.393 351.1 48.01 351.1zM223.9 112C223.9 112 223.9 112 223.9 112L399.1 304L48.04 304L223.9 112zM424 400H24C10.75 400 0 410.7 0 424C0 437.3 10.75 448 24 448h400c13.26 0 24-10.75 24-24C448 410.7 437.3 400 424 400z"],
    "elephant": [640, 512, [128024], "f6da", "M299.8 47.1C266.8 47.1 240 74.79 240 107.8V111.1C240 147.3 268.7 175.1 304 175.1H312C325.3 175.1 336 186.7 336 199.1C336 213.3 325.3 223.1 312 223.1H304C242.1 223.1 192 173.9 192 111.1V107.8C192 101.4 192.6 95.11 193.6 88.99C127.5 111.6 80 174.2 80 248V267C80 282.5 78.47 298.1 75.42 313.3C72.16 329.6 65.29 344.9 55.32 358.2L43.2 374.4C35.25 385 20.21 387.2 9.601 379.2C-1.002 371.2-3.152 356.2 4.801 345.6L16.92 329.4C22.59 321.9 26.5 313.1 28.35 303.9C30.78 291.7 32 279.4 32 267V248C32 137.6 114.8 46.6 221.6 33.59C241.3 12.9 269.1 0 299.8 0C330.7 0 358.8 12.12 379.6 32H384C472.4 32 544 103.6 544 192V296C544 309.3 533.3 320 520 320C506.7 320 496 309.3 496 296V192C496 139.4 459.7 95.19 410.7 83.21C412.8 90.48 414.3 98.06 414.9 105.9L415.9 118C417 131.2 407.2 142.8 393.1 143.9C380.8 145 369.2 135.2 368.1 121.1L367.1 109.9C364.2 74.9 334.9 48 299.8 48L299.8 47.1zM528 399.7C528 417.5 542.5 432 560.3 432C576.1 432 589.6 420.6 592.2 405L592.3 404.1C594.5 390.1 606.9 382.1 619.9 384.3C633 386.5 641.9 398.9 639.7 411.9L639.5 412.9C633.1 451.6 599.6 480 560.3 480C515.1 480 480 444 480 399.7V380.8C455.1 376.7 434.1 366.9 416 352.7V464C416 490.5 394.5 512 368 512H320C293.5 512 272 490.5 272 464V411.7C250.8 414.4 229.2 414.4 208 411.7V464C208 490.5 186.5 512 160 512H112C85.49 512 64 490.5 64 464V392C64 378.7 74.75 368 88 368C101.3 368 112 378.7 112 392V464H160V384C160 377 163 370.4 168.3 365.9C173.5 361.3 180.5 359.3 187.4 360.2L211.7 363.7C230.5 366.4 249.5 366.4 268.3 363.7L292.6 360.2C299.5 359.3 306.5 361.3 311.7 365.9C316.1 370.4 320 377 320 384V464H368V311.1C368 298.7 378.7 287.1 392 287.1C403.2 287.1 412.6 295.6 415.2 305.1C433.1 332.7 466.8 350.9 504.7 350.9C534.8 350.9 561.8 339.4 581 321.3C587.4 315.2 597.6 315.5 603.6 321.9C609.7 328.3 609.4 338.4 602.1 344.5C583 363.4 557 376.4 528 381L528 399.7zM416 207.1C416 199.2 423.2 191.1 432 191.1C440.8 191.1 448 199.2 448 207.1C448 216.8 440.8 223.1 432 223.1C423.2 223.1 416 216.8 416 207.1z"],
    "elevator": [512, 512, [], "e16d", "M448 128H64c-35.35 0-64 28.65-64 63.1v255.1C0 483.3 28.65 512 64 512h384c35.35 0 64-28.65 64-63.1V192C512 156.7 483.3 128 448 128zM464 448c0 8.822-7.178 16-16 16h-16v-64c0-26.51-21.49-48-48-48h-64c-26.51 0-48 21.49-48 48v64h-32v-64C240 373.5 218.5 352 192 352H128c-26.51 0-48 21.49-48 48v64H64c-8.822 0-16-7.178-16-16V192c0-8.822 7.178-16 16-16h384c8.822 0 16 7.178 16 16V448zM160 224C133.5 224.1 112 245.5 112 272c0 26.46 21.47 47.9 48 48C186.5 319.9 208 298.5 208 272C208 245.5 186.5 224.1 160 224zM352 224C325.5 224.1 304 245.5 304 272c0 26.46 21.47 47.9 48 48C378.5 319.9 400 298.5 400 272C400 245.5 378.5 224.1 352 224zM79 96h130c5.967 0 11.37-3.402 13.75-8.662c2.385-5.262 1.299-11.39-2.754-15.59l-65-67.34c-5.684-5.881-16.31-5.881-21.99 0l-65 67.34C63.95 75.95 62.87 82.08 65.25 87.34C67.63 92.6 73.03 96 79 96zM357 91.59c5.686 5.881 16.31 5.881 21.99 0l65-67.34c4.053-4.199 5.137-10.32 2.754-15.59C444.4 3.402 438.1 0 433 0h-130c-5.967 0-11.37 3.402-13.75 8.662c-2.385 5.262-1.301 11.39 2.752 15.59L357 91.59z"],
    "ellipsis": [448, 512, ["ellipsis-h"], "f141", "M336 256C336 229.5 357.5 208 384 208C410.5 208 432 229.5 432 256C432 282.5 410.5 304 384 304C357.5 304 336 282.5 336 256zM176 256C176 229.5 197.5 208 224 208C250.5 208 272 229.5 272 256C272 282.5 250.5 304 224 304C197.5 304 176 282.5 176 256zM112 256C112 282.5 90.51 304 64 304C37.49 304 16 282.5 16 256C16 229.5 37.49 208 64 208C90.51 208 112 229.5 112 256z"],
    "ellipsis-stroke": [512, 512, ["ellipsis-h-alt"], "f39b", "M480 256C480 291.3 451.3 320 416 320C380.7 320 352 291.3 352 256C352 220.7 380.7 192 416 192C451.3 192 480 220.7 480 256zM416 232C402.7 232 392 242.7 392 256C392 269.3 402.7 280 416 280C429.3 280 440 269.3 440 256C440 242.7 429.3 232 416 232zM320 256C320 291.3 291.3 320 256 320C220.7 320 192 291.3 192 256C192 220.7 220.7 192 256 192C291.3 192 320 220.7 320 256zM256 232C242.7 232 232 242.7 232 256C232 269.3 242.7 280 256 280C269.3 280 280 269.3 280 256C280 242.7 269.3 232 256 232zM32 256C32 220.7 60.65 192 96 192C131.3 192 160 220.7 160 256C160 291.3 131.3 320 96 320C60.65 320 32 291.3 32 256zM96 280C109.3 280 120 269.3 120 256C120 242.7 109.3 232 96 232C82.75 232 72 242.7 72 256C72 269.3 82.75 280 96 280z"],
    "ellipsis-stroke-vertical": [192, 512, ["ellipsis-v-alt"], "f39c", "M96 480C60.65 480 32 451.3 32 416C32 380.7 60.65 352 96 352C131.3 352 160 380.7 160 416C160 451.3 131.3 480 96 480zM120 416C120 402.7 109.3 392 96 392C82.75 392 72 402.7 72 416C72 429.3 82.75 440 96 440C109.3 440 120 429.3 120 416zM96 320C60.65 320 32 291.3 32 256C32 220.7 60.65 192 96 192C131.3 192 160 220.7 160 256C160 291.3 131.3 320 96 320zM120 256C120 242.7 109.3 232 96 232C82.75 232 72 242.7 72 256C72 269.3 82.75 280 96 280C109.3 280 120 269.3 120 256zM96 32C131.3 32 160 60.65 160 96C160 131.3 131.3 160 96 160C60.65 160 32 131.3 32 96C32 60.65 60.65 32 96 32zM72 96C72 109.3 82.75 120 96 120C109.3 120 120 109.3 120 96C120 82.75 109.3 72 96 72C82.75 72 72 82.75 72 96z"],
    "ellipsis-vertical": [128, 512, ["ellipsis-v"], "f142", "M64 368C90.51 368 112 389.5 112 416C112 442.5 90.51 464 64 464C37.49 464 16 442.5 16 416C16 389.5 37.49 368 64 368zM64 208C90.51 208 112 229.5 112 256C112 282.5 90.51 304 64 304C37.49 304 16 282.5 16 256C16 229.5 37.49 208 64 208zM64 144C37.49 144 16 122.5 16 96C16 69.49 37.49 48 64 48C90.51 48 112 69.49 112 96C112 122.5 90.51 144 64 144z"],
    "empty-set": [512, 512, [8709, 216], "f656", "M504.1 7.031c-9.375-9.375-24.56-9.375-33.94 0l-74.59 74.59C358 50.63 309.2 32 256 32C132.3 32 32 132.3 32 256c0 53.21 18.63 102 49.62 140.4l-74.59 74.59c-9.375 9.375-9.375 24.56 0 33.94C11.72 509.7 17.84 512 24 512s12.28-2.344 16.97-7.031l74.59-74.59C153.1 461.4 202.8 480 256 480c123.7 0 224-100.3 224-224c0-53.21-18.63-102-49.62-140.4l74.59-74.59C514.3 31.59 514.3 16.41 504.1 7.031zM80 256c0-97.05 78.95-176 176-176c39.88 0 76.59 13.49 106.1 35.93l-246.2 246.2C93.49 332.6 80 295.9 80 256zM432 256c0 97.05-78.95 176-176 176c-39.88 0-76.59-13.49-106.1-35.93l246.2-246.2C418.5 179.4 432 216.1 432 256z"],
    "engine": [640, 512, [], "e16e", "M256 256C256 238.3 270.3 224 288 224C305.7 224 320 238.3 320 256C320 273.7 305.7 288 288 288C270.3 288 256 273.7 256 256zM224 256C224 273.7 209.7 288 192 288C174.3 288 160 273.7 160 256C160 238.3 174.3 224 192 224C209.7 224 224 238.3 224 256zM352 256C352 238.3 366.3 224 384 224C401.7 224 416 238.3 416 256C416 273.7 401.7 288 384 288C366.3 288 352 273.7 352 256zM424 88C424 101.3 413.3 112 400 112H328V144H396.6C409.3 144 421.6 147.7 432.1 154.7L483.5 189C501.3 200.9 512 220.9 512 242.3V384C512 419.3 483.3 448 448 448H254.8C235.3 448 216.9 439.2 204.8 423.1L172.8 384H144C108.7 384 80 355.3 80 320V280H48V352C48 365.3 37.25 376 24 376C10.75 376 0 365.3 0 352V160C0 146.7 10.75 136 24 136C37.25 136 48 146.7 48 160V232H80V208C80 172.7 108.7 144 144 144H280V112H208C194.7 112 184 101.3 184 88C184 74.75 194.7 64 208 64H400C413.3 64 424 74.75 424 88zM195.9 336L242.3 393.1C245.3 397.8 249.9 400 254.8 400H448C456.8 400 464 392.8 464 384V242.3C464 236.9 461.3 231.9 456.9 228.9L405.5 194.7C402.9 192.9 399.8 192 396.6 192H144C135.2 192 128 199.2 128 208V320C128 328.8 135.2 336 144 336H195.9zM608 192C625.7 192 640 206.3 640 224V416C640 433.7 625.7 448 608 448H576C558.3 448 544 433.7 544 416V224C544 206.3 558.3 192 576 192H608z"],
    "engine-warning": [640, 512, ["engine-exclamation"], "f5f2", "M304 212C315 212 324 220.1 324 232V288C324 299 315 308 304 308C292.1 308 284 299 284 288V232C284 220.1 292.1 212 304 212zM328 352C328 365.3 317.3 376 304 376C290.7 376 280 365.3 280 352C280 338.7 290.7 328 304 328C317.3 328 328 338.7 328 352zM424 88C424 101.3 413.3 112 400 112H328V144H409.5C424.1 144 438.2 148.9 449.5 158L487.1 188.8C503.2 200.9 512 219.3 512 238.8V384C512 419.3 483.3 448 448 448H254.8C235.3 448 216.9 439.2 204.8 423.1L172.8 384H144C108.7 384 80 355.3 80 320V280H48V352C48 365.3 37.25 376 24 376C10.75 376 0 365.3 0 352V160C0 146.7 10.75 136 24 136C37.25 136 48 146.7 48 160V232H80V208C80 172.7 108.7 144 144 144H280V112H208C194.7 112 184 101.3 184 88C184 74.75 194.7 64 208 64H400C413.3 64 424 74.75 424 88zM195.9 336L242.3 393.1C245.3 397.8 249.9 400 254.8 400H448C456.8 400 464 392.8 464 384V238.8C464 233.9 461.8 229.3 457.1 226.3L419.5 195.5C416.7 193.2 413.2 192 409.5 192H144C135.2 192 128 199.2 128 208V320C128 328.8 135.2 336 144 336H195.9zM608 192C625.7 192 640 206.3 640 224V416C640 433.7 625.7 448 608 448H576C558.3 448 544 433.7 544 416V224C544 206.3 558.3 192 576 192H608z"],
    "envelope": [512, 512, [128386, 61443, 9993], "f0e0", "M0 128C0 92.65 28.65 64 64 64H448C483.3 64 512 92.65 512 128V384C512 419.3 483.3 448 448 448H64C28.65 448 0 419.3 0 384V128zM48 128V150.1L220.5 291.7C241.1 308.7 270.9 308.7 291.5 291.7L464 150.1V127.1C464 119.2 456.8 111.1 448 111.1H64C55.16 111.1 48 119.2 48 127.1L48 128zM48 212.2V384C48 392.8 55.16 400 64 400H448C456.8 400 464 392.8 464 384V212.2L322 328.8C283.6 360.3 228.4 360.3 189.1 328.8L48 212.2z"],
    "envelope-circle-check": [640, 512, [], "e4e8", "M48 128V150.1L220.5 291.7C241.1 308.7 270.9 308.7 291.5 291.7L342.4 249.9C329 273.8 321 301.2 320.1 330.4C281.8 360.3 227.7 359.8 189.1 328.8L48 212.2V384C48 392.8 55.16 400 64 400H331.1C338.8 417.5 348.4 433.7 360.2 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H448C483.3 64 512 92.65 512 128V160.7C506.7 160.2 501.4 160 496 160C476.1 160 458.6 163 441.4 168.6L464 150.1V128C464 119.2 456.8 112 448 112H64C55.16 112 48 119.2 48 128zM640 336C640 415.5 575.5 480 496 480C416.5 480 352 415.5 352 336C352 256.5 416.5 192 496 192C575.5 192 640 256.5 640 336zM540.7 292.7L480 353.4L451.3 324.7C445.1 318.4 434.9 318.4 428.7 324.7C422.4 330.9 422.4 341.1 428.7 347.3L468.7 387.3C474.9 393.6 485.1 393.6 491.3 387.3L563.3 315.3C569.6 309.1 569.6 298.9 563.3 292.7C557.1 286.4 546.9 286.4 540.7 292.7H540.7z"],
    "envelope-dot": [576, 512, ["envelope-badge"], "e16f", "M512 0c-35.35 0-64 28.65-64 64c0 35.35 28.65 64 64 64s64-28.65 64-64C576 28.65 547.3 0 512 0zM488.2 156.7l-158.9 132.5c-23.19 19.28-59.34 19.27-82.47 .0156L80 150.2V128c0-8.822 7.178-16 16-16h333.3C421.1 97.83 416 81.58 416 64H96C60.65 64 32 92.65 32 128v256c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V154.1C533.9 157.7 523.3 160 512 160C503.7 160 495.9 158.6 488.2 156.7zM496 384c0 8.822-7.178 16-16 16H96c-8.822 0-16-7.178-16-16V212.7l136.1 113.4C236.3 342.8 261.8 352 288 352s51.75-9.184 71.97-25.98L496 212.7V384z"],
    "envelope-open": [512, 512, [62135], "f2b6", "M493.6 163c-24.88-19.62-45.5-35.37-164.3-121.6C312.7 29.21 279.7 0 256.4 0H255.6C232.3 0 199.3 29.21 182.6 41.38C63.88 127.6 43.25 143.4 18.38 163C6.75 172 0 186 0 200.8v247.2C0 483.3 28.65 512 64 512h384c35.35 0 64-28.67 64-64.01V200.8C512 186 505.3 172 493.6 163zM464 448c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V276.7l136.1 113.4C204.3 406.8 229.8 416 256 416s51.75-9.211 71.97-26.01L464 276.7V448zM464 214.2l-166.8 138.1c-23.19 19.28-59.34 19.27-82.47 .0156L48 214.2l.1055-13.48c23.24-18.33 42.25-32.97 162.9-120.6c3.082-2.254 6.674-5.027 10.63-8.094C229.4 65.99 246.7 52.59 256 48.62c9.312 3.973 26.62 17.37 34.41 23.41c3.959 3.066 7.553 5.84 10.76 8.186C421.6 167.7 440.7 182.4 464 200.8V214.2z"],
    "envelope-open-dollar": [512, 512, [], "f657", "M257.3 304c11.05 0 20-8.969 20-20V273.7c22.36-4.793 38.21-18.53 41.83-39.43c7.484-43.28-34.03-55.19-56.33-61.56l-5.547-1.594C233.5 164.2 234.1 160.1 234.9 156.5c1.375-7.812 16.59-9.719 30.27-7.625c5.594 .8438 11.73 2.812 17.59 4.844c10.39 3.594 21.83-1.938 25.45-12.34c3.625-10.44-1.891-21.84-12.33-25.47c-7.219-2.484-13.11-4.078-18.56-5.273V100c0-11.03-8.953-20-20-20s-20 8.969-20 20v9.992C214.9 114.8 199.1 128.8 195.5 149.7C188 192.5 228.6 204.4 245.1 209.5l5.812 1.688c29.28 8.375 28.8 11.19 27.92 16.28C278.3 235.3 263.1 237.3 249.4 235.1C242.5 234.1 233.6 230.9 225.7 228.1L221.3 226.5C210.9 222.9 199.4 228.3 195.8 238.7C192.1 249.1 197.5 260.5 207.1 264.2l4.266 1.5c7.758 2.789 16.38 5.59 25.06 7.512V284C237.3 295 246.2 304 257.3 304zM476.8 214.2c-8.244 0-16.23 2.891-22.56 8.168l-156.9 130.8c-22.68 18.9-59.8 18.91-82.49 .002L57.8 222.3c-6.332-5.277-14.32-8.168-22.56-8.168C15.78 214.2 0 229.9 0 249.4v198.6C0 483.3 28.65 512 64 512h384c35.35 0 64-28.67 64-64.01V249.4C512 229.9 496.2 214.2 476.8 214.2zM464 448c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V276.7l136.1 113.4C204.3 406.8 229.8 416.1 256 416.1s51.75-9.224 71.97-26.02L464 276.7V448zM112 225.9V56c0-4.406 3.594-8 8-8h272c4.406 0 8 3.594 8 8v169.8l33.72-28.1C438.1 194.1 442.9 191.3 448 188.9V56C448 25.12 422.9 0 392 0h-272C89.13 0 64 25.12 64 56v132.9c5.064 2.41 9.941 5.23 14.3 8.863L112 225.9z"],
    "envelope-open-text": [512, 512, [], "f658", "M476.8 214.2c-8.244 0-16.23 2.891-22.56 8.168l-156.9 130.8c-22.68 18.9-59.8 18.91-82.49 .002L57.8 222.3c-6.332-5.277-14.32-8.168-22.56-8.168C15.78 214.2 0 229.9 0 249.4v198.6C0 483.3 28.65 512 64 512h384c35.35 0 64-28.67 64-64.01V249.4C512 229.9 496.2 214.2 476.8 214.2zM464 448c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V276.7l136.1 113.4C204.3 406.8 229.8 416.1 256 416.1s51.75-9.224 71.97-26.02L464 276.7V448zM112 225.9V56c0-4.406 3.594-8 8-8h272c4.406 0 8 3.594 8 8v169.8l33.72-28.1C438.1 194.1 442.9 191.3 448 188.9V56C448 25.12 422.9 0 392 0h-272C89.13 0 64 25.12 64 56v132.9c5.064 2.41 9.941 5.23 14.3 8.863L112 225.9zM328 96h-144C170.7 96 160 106.7 160 120C160 133.3 170.7 144 184 144h144C341.3 144 352 133.3 352 120C352 106.7 341.3 96 328 96zM328 176h-144C170.7 176 160 186.7 160 200C160 213.3 170.7 224 184 224h144C341.3 224 352 213.3 352 200C352 186.7 341.3 176 328 176z"],
    "envelopes": [640, 512, [], "e170", "M544 32H192C156.7 32 128 60.65 128 96v224c0 35.35 28.65 64 64 64h352c35.35 0 64-28.65 64-64V96C608 60.65 579.3 32 544 32zM560 320c0 8.822-7.178 16-16 16H192c-8.822 0-16-7.178-16-16V161.9l120.1 100.1C316.3 278.8 341.8 288 368 288s51.75-9.25 71.97-26.05L560 161.9V320zM560 99.42l-150.8 125.6c-23.19 19.28-59.34 19.27-82.47 .0156L176 99.42V96c0-8.822 7.178-16 16-16h352c8.822 0 16 7.178 16 16V99.42zM488 480H152C85.83 480 32 426.2 32 360v-240C32 106.8 42.75 96 56 96S80 106.8 80 120v240c0 39.7 32.3 72 72 72h336c13.25 0 24 10.75 24 24S501.3 480 488 480z"],
    "envelopes-bulk": [640, 512, ["mail-bulk"], "f674", "M592 128h-320C245.5 128 224 149.5 224 176V192h48V176h320v192H416V416h176c26.5 0 48-21.5 48-48v-192C640 149.5 618.5 128 592 128zM112 48h320V96H480V48C480 21.5 458.5 0 432 0h-320C85.5 0 64 21.5 64 48V192h48V48zM336 224h-288C21.5 224 0 245.5 0 272v192C0 490.5 21.5 512 48 512h288c26.5 0 48-21.5 48-48v-192C384 245.5 362.5 224 336 224zM336 464h-288v-120C62.5 355 128 402.1 128 402.1C142.5 413.3 166.6 432 192 432s49.5-18.75 64-29.88c0 0 65.5-47.13 80-58.13V464zM336 285.4c-2.375 1.875-111.8 82-117.1 85.63C210.4 376.8 199.8 384 192 384c-9.375 0-22.75-10.5-31.5-17.5C157.1 363.8 50.38 284 48 282.3V272h288V285.4zM496 208v64h64v-64H496z"],
    "equals": [448, 512, [62764], "3d", "M408 328H40c-13.25 0-24 10.76-24 24.01S26.75 376 40 376h368c13.25 0 24-10.74 24-23.99S421.3 328 408 328zM40 184h368c13.25 0 24-10.74 24-23.99S421.3 136 408 136H40c-13.25 0-24 10.76-24 24.01S26.75 184 40 184z"],
    "eraser": [512, 512, [], "f12d", "M264 479.1C263.4 479.1 262.7 480 262.1 480H153.9C134.8 480 116.5 472.4 103 458.9L31.03 386.9C2.912 358.8 2.912 313.2 31.03 285.1L253.1 63.03C281.2 34.91 326.8 34.91 354.9 63.03L480.1 189.1C509.1 217.2 509.1 262.8 480.1 290.9L339.9 432H488C501.3 432 512 442.7 512 456C512 469.3 501.3 480 488 480L264 479.1zM64.97 352.1L136.1 424.1C141.5 429.5 147.6 432 153.9 432H262.1C268.4 432 274.5 429.5 279 424.1L344 360L184 200L64.97 319C55.6 328.4 55.6 343.6 64.97 352.1zM31.03 285.1L64.97 319z"],
    "escalator": [640, 512, [], "e171", "M544 96h-96c-23.25 0-45.72 8.438-63.22 23.75L303.9 190.6C303.1 155.9 274.9 128 240 128c-35.35 0-64 28.65-64 64v110.4L155.9 320H96c-53.03 0-96 42.98-96 96s42.97 96 96 96h96c23.25 0 45.72-8.438 63.22-23.75L484.1 288H544c53.03 0 96-42.98 96-96S597 96 544 96zM544 240h-77.97L223.6 452.1C214.9 459.8 203.6 464 192 464H96c-26.47 0-48-21.53-48-48s21.53-48 48-48h77.97l242.4-212.1C425.1 148.2 436.4 144 448 144h96c26.47 0 48 21.53 48 48S570.5 240 544 240zM240 96C266.5 95.9 288 74.46 288 48C288 21.54 266.5 .0996 240 0C213.5 .0996 192 21.54 192 48C192 74.46 213.5 95.9 240 96z"],
    "ethernet": [512, 512, [], "f796", "M480 192h-32V160c0-17.6-14.4-32-32-32h-32V96c0-17.6-14.4-32-32-32H160C142.4 64 128 78.4 128 96v32H96C78.4 128 64 142.4 64 160v32H32C14.4 192 0 206.4 0 224v192c0 17.6 14.4 32 32 32h448c17.6 0 32-14.4 32-32V224C512 206.4 497.6 192 480 192zM464 400h-40v-56c0-13.25-10.75-24-24-24s-24 10.75-24 24v56h-48v-56c0-13.25-10.75-24-24-24s-24 10.75-24 24v56h-48v-56C232 330.8 221.3 320 208 320s-24 10.75-24 24v56h-48v-56C136 330.8 125.3 320 112 320s-24 10.75-24 24v56H48v-160H96c8.836 0 16-7.164 16-16V176H160c8.836 0 16-7.164 16-16V112h160V160c0 8.836 7.164 16 16 16h48V224c0 8.836 7.164 16 16 16h48V400z"],
    "euro-sign": [384, 512, [8364, "eur", "euro"], "f153", "M56 240C42.75 240 32 229.3 32 216C32 202.7 42.75 192 56 192H89.28C116.8 99.47 202.5 32 304 32H328C341.3 32 352 42.75 352 56C352 69.25 341.3 80 328 80H304C229.4 80 165.6 126.4 139.1 192H296C309.3 192 320 202.7 320 216C320 229.3 309.3 240 296 240H128.7C128.2 245.3 128 250.6 128 256C128 261.4 128.2 266.7 128.7 272H296C309.3 272 320 282.7 320 296C320 309.3 309.3 320 296 320H139.1C165.6 385.6 229.4 432 304 432H328C341.3 432 352 442.7 352 456C352 469.3 341.3 480 328 480H304C202.5 480 116.8 412.5 89.28 320H56C42.75 320 32 309.3 32 296C32 282.7 42.75 272 56 272H80.56C80.19 266.7 80 261.4 80 256C80 250.6 80.19 245.3 80.56 240H56z"],
    "exclamation": [128, 512, [10069, 10071, 61738], "21", "M64 368c13.27 0 24-10.75 24-24v-288c0-13.25-10.73-23.99-24-23.99S40 42.75 40 56v288C40 357.3 50.73 368 64 368zM64 416c-17.67 0-32 14.33-32 32s14.33 32.01 32 32.01S96 465.7 96 448S81.67 416 64 416z"],
    "expand": [448, 512, [], "f065", "M136 32h-112C10.75 32 0 42.75 0 56v112C0 181.3 10.75 192 24 192C37.26 192 48 181.3 48 168V80h88C149.3 80 160 69.25 160 56S149.3 32 136 32zM424 32h-112C298.7 32 288 42.75 288 56c0 13.26 10.75 24 24 24h88v88C400 181.3 410.7 192 424 192S448 181.3 448 168v-112C448 42.75 437.3 32 424 32zM136 432H48v-88C48 330.7 37.25 320 24 320S0 330.7 0 344v112C0 469.3 10.75 480 24 480h112C149.3 480 160 469.3 160 456C160 442.7 149.3 432 136 432zM424 320c-13.26 0-24 10.75-24 24v88h-88c-13.26 0-24 10.75-24 24S298.7 480 312 480h112c13.25 0 24-10.75 24-24v-112C448 330.7 437.3 320 424 320z"],
    "expand-wide": [512, 512, [], "f320", "M136 400H48V312C48 298.7 37.25 288 24 288S0 298.7 0 312v112C0 437.3 10.75 448 24 448h112C149.3 448 160 437.3 160 424C160 410.7 149.3 400 136 400zM136 64h-112C10.75 64 0 74.75 0 88v112C0 213.3 10.75 224 24 224C37.26 224 48 213.3 48 200V112h88C149.3 112 160 101.3 160 88S149.3 64 136 64zM488 64h-112C362.7 64 352 74.75 352 88c0 13.26 10.75 24 24 24h88v88C464 213.3 474.7 224 488 224S512 213.3 512 200v-112C512 74.75 501.3 64 488 64zM488 288c-13.26 0-24 10.75-24 24v88h-88c-13.26 0-24 10.75-24 24S362.7 448 376 448h112c13.25 0 24-10.75 24-24v-112C512 298.7 501.3 288 488 288z"],
    "explosion": [576, 512, [], "e4e9", "M464.1 324.1L517.8 320.1C527.1 319.3 536 323.9 540.7 331.9C545.4 339.1 545 349.1 539.7 357.7L488.3 431.1H429.9L471 372.5L434.2 375.9C426.4 376.6 418.7 373.5 413.6 367.5C408.6 361.4 406.8 353.4 408.8 345.8L451.2 187.1L356.7 348.2C351.7 356.5 342.3 361.1 332.7 359.8C323.1 358.4 315.2 351.4 312.8 342.1L288 247.1L263.2 342.1C261.1 350.4 254.6 356.9 246.3 359.2C237.1 361.4 229.1 359 223 352.1L172.3 302.2L183.3 346.2C185.2 353.7 183.3 361.6 178.3 367.5C173.4 373.4 165.9 376.5 158.2 375.9L104.4 371.8L146.1 431.1H87.73L36.27 357.7C30.1 350 30.58 340.1 35.19 332.1C39.79 324 48.61 319.4 57.84 320.1L128.6 325.5L104.7 229.8C102.1 219.4 106.8 208.4 116.2 203.1C125.6 197.8 137.3 199.4 144.1 207L227.4 289.4L264.8 145.9C267.5 135.4 277.1 127.1 288 127.1C298.9 127.1 308.5 135.4 311.2 145.9L344.7 274.1L499.3 11.8C505.4 1.465 518.2-2.78 529.3 1.867C540.4 6.513 546.3 18.62 543.2 30.21L464.1 324.1zM552 463.1C565.3 463.1 576 474.7 576 487.1C576 501.3 565.3 511.1 552 511.1H24C10.75 511.1 0 501.3 0 487.1C0 474.7 10.75 463.1 24 463.1H186.8C197.6 418.1 238.8 383.1 288 383.1C337.2 383.1 378.4 418.1 389.2 463.1H552zM237.4 463.1H338.6C329.6 445.1 310.3 431.1 288 431.1C265.7 431.1 246.4 445.1 237.4 463.1zM312 71.1C312 85.25 301.3 95.1 288 95.1C274.7 95.1 264 85.25 264 71.1V23.1C264 10.74 274.7-.0028 288-.0028C301.3-.0028 312 10.74 312 23.1V71.1z"],
    "eye": [576, 512, [128065], "f06e", "M160 256C160 185.3 217.3 128 288 128C358.7 128 416 185.3 416 256C416 326.7 358.7 384 288 384C217.3 384 160 326.7 160 256zM288 336C332.2 336 368 300.2 368 256C368 211.8 332.2 176 288 176C287.3 176 286.7 176 285.1 176C287.3 181.1 288 186.5 288 192C288 227.3 259.3 256 224 256C218.5 256 213.1 255.3 208 253.1C208 254.7 208 255.3 208 255.1C208 300.2 243.8 336 288 336L288 336zM95.42 112.6C142.5 68.84 207.2 32 288 32C368.8 32 433.5 68.84 480.6 112.6C527.4 156 558.7 207.1 573.5 243.7C576.8 251.6 576.8 260.4 573.5 268.3C558.7 304 527.4 355.1 480.6 399.4C433.5 443.2 368.8 480 288 480C207.2 480 142.5 443.2 95.42 399.4C48.62 355.1 17.34 304 2.461 268.3C-.8205 260.4-.8205 251.6 2.461 243.7C17.34 207.1 48.62 156 95.42 112.6V112.6zM288 80C222.8 80 169.2 109.6 128.1 147.7C89.6 183.5 63.02 225.1 49.44 256C63.02 286 89.6 328.5 128.1 364.3C169.2 402.4 222.8 432 288 432C353.2 432 406.8 402.4 447.9 364.3C486.4 328.5 512.1 286 526.6 256C512.1 225.1 486.4 183.5 447.9 147.7C406.8 109.6 353.2 80 288 80V80z"],
    "eye-dropper": [512, 512, ["eye-dropper-empty", "eyedropper"], "f1fb", "M191 160.1C181.7 151.6 181.7 136.4 191 127C200.4 117.7 215.6 117.7 224.1 127L232.1 135L338.2 29.82C357.3 10.73 383.2 0 410.2 0C466.4 0 512 45.59 512 101.8C512 128.8 501.3 154.7 482.2 173.8L376.1 279L384.1 287C394.3 296.4 394.3 311.6 384.1 320.1C375.6 330.3 360.4 330.3 351 320.1L191 160.1zM464 101.8C464 72.1 439.9 48 410.2 48C395.9 48 382.2 53.67 372.1 63.76L266.9 168.1L343 245.1L448.2 139.9C458.3 129.8 464 116.1 464 101.8V101.8zM53.09 328.1L183.4 198.6L217.4 232.6L87.03 362.9C82.53 367.4 80 373.5 80 379.9V432H132.1C138.5 432 144.6 429.5 149.1 424.1L279.4 294.6L313.4 328.6L183 458.9C169.5 472.4 151.2 480 132.1 480H79.27L37.31 507.1C27.79 514.3 15.12 513.1 7.03 504.1C-1.06 496.9-2.315 484.2 4.031 474.7L32 432.7V379.9C32 360.8 39.59 342.5 53.09 328.1H53.09z"],
    "eye-dropper-full": [512, 512, [], "e172", "M191 160.1C181.7 151.6 181.7 136.4 191 127C200.4 117.7 215.6 117.7 224.1 127L232.1 135L338.2 29.82C357.3 10.73 383.2 0 410.2 0C466.4 0 512 45.59 512 101.8C512 128.8 501.3 154.7 482.2 173.8L376.1 279L384.1 287C394.3 296.4 394.3 311.6 384.1 320.1C375.6 330.3 360.4 330.3 351 320.1L191 160.1zM464 101.8C464 72.1 439.9 48 410.2 48C395.9 48 382.2 53.67 372.1 63.76L266.9 168.1L343 245.1L448.2 139.9C458.3 129.8 464 116.1 464 101.8V101.8zM53.09 328.1L183.4 198.6L313.4 328.6L183 458.9C169.5 472.4 151.2 480 132.1 480H79.27L37.31 507.1C27.79 514.3 15.12 513.1 7.03 504.1C-1.06 496.9-2.315 484.2 4.031 474.7L32 432.7V379.9C32 360.8 39.59 342.5 53.09 328.1H53.09z"],
    "eye-dropper-half": [512, 512, [], "e173", "M191 160.1C181.7 151.6 181.7 136.4 191 127C200.4 117.7 215.6 117.7 224.1 127L232.1 135L338.2 29.82C357.3 10.73 383.2 0 410.2 0C466.4 0 512 45.59 512 101.8C512 128.8 501.3 154.7 482.2 173.8L376.1 279L384.1 287C394.3 296.4 394.3 311.6 384.1 320.1C375.6 330.3 360.4 330.3 351 320.1L191 160.1zM343 245.1L448.2 139.9C458.3 129.8 464 116.1 464 101.8C464 72.1 439.9 48 410.2 48C395.9 48 382.2 53.67 372.1 63.76L266.9 168.1L343 245.1zM217.4 232.6L129.9 320H254.1L279.4 294.6L313.4 328.6L183 458.9C169.5 472.4 151.2 480 132.1 480H79.27L37.31 507.1C27.79 514.3 15.12 513.1 7.03 504.1C-1.06 496.9-2.315 484.2 4.031 474.7L32 432.7V379.9C32 360.8 39.59 342.5 53.09 328.1L183.4 198.6L217.4 232.6z"],
    "eye-evil": [640, 512, [], "f6db", "M610.1 217.5l-94.53-25.16c44.73-69.76 47.53-70.96 47.53-85.6c0-29.4-27.26-39.92-41.17-39.92c-4.707 0-9.479 .7809-14.12 2.396l-101.6 36.06c-4-1.688-8.062-3.281-12.17-4.781l-36.7-76.97C350.5 9.031 336.2 0 319.1 0S289.5 9.031 282.7 23.44L245.1 100.5c-4.109 1.5-8.172 3.094-12.17 4.781L132.1 69.22C127.5 67.65 122.8 66.89 118.2 66.89c-13.39 0-41.25 10.3-41.25 39.86c0 7.252 2.058 14.56 6.222 21.16l41.3 64.47L29.1 217.5c-17.95 4.656-29.1 20.16-29.1 38.5s12.05 33.84 29.88 38.47l94.44 25.12c-44.83 69.88-47.42 71.28-47.42 85.63c0 29.37 27.27 39.95 41.17 39.95c4.711 0 9.485-.7885 14.13-2.423l101.6-36.06c4 1.688 8.062 3.281 12.17 4.781l36.7 76.97C289.5 502.1 303.8 512 319.1 512s30.5-9.031 37.27-23.44l36.77-77.09c4.109-1.5 8.172-3.094 12.17-4.781l101.7 36.09c4.613 1.602 9.356 2.376 14.04 2.376c14.32 0 41.16-11.06 41.16-39.91c0-14.56-2.749-15.88-47.41-85.65l94.31-25.09c17.95-4.656 30-20.15 30-38.49C640 237.7 628 222.2 610.1 217.5zM486.2 277.8l-5 6.719c-4.125 5.531-8.797 11.25-13.91 17.34l-11.45 13.91c0 0 33.81 52.22 48.16 74.69l-100.3-35.59l-9.031 4.375c-7.984 3.844-16.34 7.125-24.88 9.719l-10.11 3.094L320 455.2l-39.66-83.16l-10.11-3.094c-8.531-2.594-16.89-5.875-24.88-9.719l-9.031-4.375L136 390.4c14.34-22.47 36.19-56.69 37.92-59.31L184.6 316L172.7 301.8C167.6 295.8 162.9 290 158.8 284.5l-5-6.719L71.95 256l81.81-21.78l5-6.688C163.2 221.7 167.8 216 172.6 210.4L184.4 196.8c0 0-33.63-52.22-48.31-75.19l100.3 35.59l9.031-4.375c7.984-3.844 16.34-7.125 24.88-9.719l10.11-3.094L320 56.81l39.66 83.16l10.11 3.094c8.531 2.594 16.89 5.875 24.88 9.719l9.031 4.375l100.3-35.59c-14.72 23-48.38 75.28-48.38 75.28l11.95 13.69c5.094 5.812 9.672 11.53 13.7 16.97l5 6.719L568 256L486.2 277.8zM390.7 200.9c-11.89 0-29.03 12.51-70.69 12.51c-41.58 0-58.71-12.57-70.98-12.57c-28.76 0-33.01 28-33.01 47.19c0 6.472 .5959 13.08 1.843 19.78c3.021 16.22 26.01 84.23 102.1 84.23c57.49 0 103.1-46.51 103.1-104C423.1 201.1 395.8 200.9 390.7 200.9zM319.1 304c-36.19 0-53.47-30.08-55.62-49.57c12.07 3.094 24.52 4.766 37.12 5.785L320 288l18.51-27.77c12.6-1.016 25.05-2.691 37.11-5.781C372.4 282.3 348.7 304 319.1 304z"],
    "eye-low-vision": [640, 512, ["low-vision"], "f2a8", "M150.7 92.77C195 58.27 251.8 32 320 32C400.8 32 465.5 68.84 512.6 112.6C559.4 156 590.7 207.1 605.5 243.7C608.8 251.6 608.8 260.4 605.5 268.3C592.1 300.6 565.2 346.1 525.6 386.7L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L150.7 92.77zM189.8 123.5L235.8 159.5C258.3 139.9 287.8 128 320 128C390.7 128 448 185.3 448 256C448 277.2 442.9 297.1 433.8 314.7L487.6 356.9C521.1 322.8 545.9 283.1 558.6 256C544.1 225.1 518.4 183.5 479.9 147.7C438.8 109.6 385.2 79.1 320 79.1C269.5 79.1 225.1 97.73 189.8 123.5L189.8 123.5zM394.9 284.2C398.2 275.4 400 265.9 400 255.1C400 211.8 364.2 175.1 320 175.1C319.3 175.1 318.7 176 317.1 176C319.3 181.1 320 186.5 320 191.1C320 202.2 317.6 211.8 313.4 220.3L394.9 284.2zM393.6 469.4L54.65 203.7C62.6 190.1 72.08 175.8 83.09 161.5L446.2 447.5C429.8 456.4 412.3 463.8 393.6 469.4V469.4zM34.46 268.3C31.74 261.8 31.27 254.5 33.08 247.8L113.3 310.6C126.1 328.7 141.7 347.2 160.1 364.3C186.6 388.9 218.4 409.1 255.1 421.8L329.2 479.8C326.1 479.9 323.1 480 320 480C239.2 480 174.5 443.2 127.4 399.4C80.62 355.1 49.34 304 34.46 268.3V268.3z"],
    "eye-slash": [640, 512, [], "f070", "M150.7 92.77C195 58.27 251.8 32 320 32C400.8 32 465.5 68.84 512.6 112.6C559.4 156 590.7 207.1 605.5 243.7C608.8 251.6 608.8 260.4 605.5 268.3C592.1 300.6 565.2 346.1 525.6 386.7L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L150.7 92.77zM189.8 123.5L235.8 159.5C258.3 139.9 287.8 128 320 128C390.7 128 448 185.3 448 256C448 277.2 442.9 297.1 433.8 314.7L487.6 356.9C521.1 322.8 545.9 283.1 558.6 256C544.1 225.1 518.4 183.5 479.9 147.7C438.8 109.6 385.2 79.1 320 79.1C269.5 79.1 225.1 97.73 189.8 123.5L189.8 123.5zM394.9 284.2C398.2 275.4 400 265.9 400 255.1C400 211.8 364.2 175.1 320 175.1C319.3 175.1 318.7 176 317.1 176C319.3 181.1 320 186.5 320 191.1C320 202.2 317.6 211.8 313.4 220.3L394.9 284.2zM404.3 414.5L446.2 447.5C409.9 467.1 367.8 480 320 480C239.2 480 174.5 443.2 127.4 399.4C80.62 355.1 49.34 304 34.46 268.3C31.18 260.4 31.18 251.6 34.46 243.7C44 220.8 60.29 191.2 83.09 161.5L120.8 191.2C102.1 214.5 89.76 237.6 81.45 255.1C95.02 286 121.6 328.5 160.1 364.3C201.2 402.4 254.8 432 320 432C350.7 432 378.8 425.4 404.3 414.5H404.3zM192 255.1C192 253.1 192.1 250.3 192.3 247.5L248.4 291.7C258.9 312.8 278.5 328.6 302 333.1L358.2 378.2C346.1 381.1 333.3 384 319.1 384C249.3 384 191.1 326.7 191.1 255.1H192z"],
    "eyes": [640, 512, [], "e367", "M468 32c-62.9 0-117.9 44.34-147.9 110.1c-10.8-23.89-24.89-45.37-42.23-62.99C247.5 48.31 210.9 32 172 32C77.16 32 0 132.5 0 256s77.16 224 172 224c62.1 0 118-44.48 148-110.4C349.1 435.5 405 480 468 480C562.8 480 640 379.5 640 256S562.8 32 468 32zM172 432c-45.95 0-86.05-35.75-107.5-88.59C73.86 348.7 84.5 352 96 352c35.35 0 64-28.65 64-64S131.3 224 96 224C76.98 224 60.09 232.5 48.37 245.6C52.19 153.4 106.1 80 172 80c25.75 0 50.53 11.34 71.72 32.84C276.4 146.1 296 199.6 296 256C296 353 240.4 432 172 432zM468 432c-44.59 0-83.64-33.7-105.5-83.97C369.3 350.4 376.4 352 384 352c35.35 0 64-28.65 64-64s-28.65-64-64-64c-14.91 0-28.46 5.312-39.34 13.87C351.1 149.3 403.9 80 468 80C536.4 80 592 158.1 592 256S536.4 432 468 432z"],
    "f": [320, 512, [102], "46", "M320 56c0 13.25-10.75 24-24 24H48v152h184c13.25 0 24 10.76 24 24.01S245.3 280 232 280H48v176C48 469.3 37.25 480 24 480S0 469.3 0 456V56C0 42.75 10.75 32 24 32h272C309.3 32 320 42.75 320 56z"],
    "face-angry": [512, 512, [128544, "angry"], "f556", "M328.4 393.5C318.7 402.6 303.5 402.1 294.5 392.4C287.1 384.5 274.4 376 256 376C237.6 376 224.9 384.5 217.5 392.4C208.5 402.1 193.3 402.6 183.6 393.5C173.9 384.5 173.4 369.3 182.5 359.6C196.7 344.3 221.4 328 256 328C290.6 328 315.3 344.3 329.5 359.6C338.6 369.3 338.1 384.5 328.4 393.5zM144.4 240C144.4 231.2 147.9 223.2 153.7 217.4L122.9 207.2C114.6 204.4 110 195.3 112.8 186.9C115.6 178.6 124.7 174 133.1 176.8L229.1 208.8C237.4 211.6 241.1 220.7 239.2 229.1C236.4 237.4 227.3 241.1 218.9 239.2L208.1 235.6C208.3 237 208.4 238.5 208.4 240C208.4 257.7 194 272 176.4 272C158.7 272 144.4 257.7 144.4 240V240zM368.4 240C368.4 257.7 354 272 336.4 272C318.7 272 304.4 257.7 304.4 240C304.4 238.4 304.5 236.8 304.7 235.3L293.1 239.2C284.7 241.1 275.6 237.4 272.8 229.1C270 220.7 274.6 211.6 282.9 208.8L378.9 176.8C387.3 174 396.4 178.6 399.2 186.9C401.1 195.3 397.4 204.4 389.1 207.2L358.9 217.2C364.7 223 368.4 231.1 368.4 240H368.4zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464z"],
    "face-angry-horns": [640, 512, [], "e368", "M392.4 409.5C382.7 418.6 367.5 418.1 358.5 408.4C351.1 400.5 338.4 392 320 392C301.6 392 288.9 400.5 281.5 408.4C272.5 418.1 257.3 418.6 247.6 409.5C237.9 400.5 237.4 385.3 246.5 375.6C260.7 360.3 285.4 344 320 344C354.6 344 379.3 360.3 393.5 375.6C402.6 385.3 402.1 400.5 392.4 409.5zM208.4 256C208.4 247.2 211.9 239.2 217.7 233.4L186.9 223.2C178.6 220.4 174 211.3 176.8 202.9C179.6 194.6 188.7 190 197.1 192.8L293.1 224.8C301.4 227.6 305.1 236.7 303.2 245.1C300.4 253.4 291.3 257.1 282.9 255.2L272.1 251.6C272.3 253 272.4 254.5 272.4 256C272.4 273.7 258 288 240.4 288C222.7 288 208.4 273.7 208.4 256H208.4zM432.4 256C432.4 273.7 418 288 400.4 288C382.7 288 368.4 273.7 368.4 256C368.4 254.4 368.5 252.8 368.7 251.3L357.1 255.2C348.7 257.1 339.6 253.4 336.8 245.1C334 236.7 338.6 227.6 346.9 224.8L442.9 192.8C451.3 190 460.4 194.6 463.2 202.9C465.1 211.3 461.4 220.4 453.1 223.2L422.9 233.2C428.7 239 432.4 247.1 432.4 256H432.4zM64 256C64 231.4 67.47 207.6 73.94 185.1C29.61 125.8 6.506 50.11 .3109 19.14C-.9582 12.79 1.72 6.307 7.097 2.706C12.47-.8952 19.49-.9025 24.88 2.687C44.17 15.55 73.41 26.86 103.3 35.78C126.5 42.74 149.2 47.99 166.2 51.3C209.1 19.09 262.3 .0002 320 .0002C377.7 .0002 430.9 19.09 473.8 51.3C490.8 47.99 513.5 42.74 536.7 35.78C566.6 26.86 595.8 15.55 615.1 2.687C620.5-.9025 627.5-.8952 632.9 2.706C638.3 6.307 640.1 12.79 639.7 19.14C633.5 50.11 610.4 125.8 566.1 185.1C572.5 207.6 576 231.4 576 256C576 397.4 461.4 512 320 512C178.6 512 64 397.4 64 256V256zM320 464C434.9 464 528 370.9 528 256C528 141.1 434.9 48 320 48C205.1 48 112 141.1 112 256C112 370.9 205.1 464 320 464z"],
    "face-anguished": [512, 512, [], "e369", "M336 400C336 408.8 328.8 416 320 416H192C183.2 416 176 408.8 176 400C176 355.8 211.8 320 256 320C300.2 320 336 355.8 336 400zM208.4 224C208.4 241.7 194 256 176.4 256C158.7 256 144.4 241.7 144.4 224C144.4 206.3 158.7 192 176.4 192C194 192 208.4 206.3 208.4 224zM304.4 224C304.4 206.3 318.7 192 336.4 192C354 192 368.4 206.3 368.4 224C368.4 241.7 354 256 336.4 256C318.7 256 304.4 241.7 304.4 224zM192 144C187.6 144 183.2 144.3 178.1 144.9C157.8 147.7 138.4 157.2 122.9 171.7C116.5 177.7 106.3 177.4 100.3 170.9C94.28 164.5 94.62 154.3 101.1 148.3C121.1 129.6 146.6 116.9 174.8 113.1C180.4 112.4 186.2 112 192 112C200.8 112 208 119.2 208 128C208 136.8 200.8 144 192 144zM333 144.9C328.8 144.3 324.4 144 320 144C311.2 144 304 136.8 304 128C304 119.2 311.2 112 320 112C325.8 112 331.6 112.4 337.2 113.1C365.4 116.9 390.9 129.6 410.9 148.3C417.4 154.3 417.7 164.5 411.7 170.9C405.7 177.4 395.5 177.7 389.1 171.7C373.6 157.2 354.2 147.7 333 144.9zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "face-anxious-sweat": [576, 512, [], "e36a", "M288 48C173.1 48 80 141.1 80 256C80 261.7 80.23 267.4 80.68 272.1L80.01 272.1C68.39 256.5 48.28 252.2 32.02 259.3C32.01 258.2 32 257.1 32 256C32 114.6 146.6 0 288 0C429.4 0 544 114.6 544 256C544 397.4 429.4 512 288 512C213.5 512 146.4 480.2 99.62 429.3C112.6 418.5 122.1 403.7 126 386.5C164.2 433.8 222.6 464 288 464C402.9 464 496 370.9 496 256C496 141.1 402.9 48 288 48L288 48zM.0003 369C.0003 351.7 21.44 319.1 35.66 299.4C37.84 296.3 39.86 293.6 41.6 291.3C44.8 286.9 51.2 286.9 54.4 291.3C67.57 308.6 96 349 96 369C96 383.2 89.58 395.9 79.45 404.5C71.02 411.7 60.02 416 48 416C21.54 416 0 395 0 369H.0003zM367.6 240C385.3 240 399.6 254.3 399.6 272C399.6 289.7 385.3 304 367.6 304C349.1 304 335.6 289.7 335.6 272C335.6 254.3 349.1 240 367.6 240zM207.6 304C189.1 304 175.6 289.7 175.6 272C175.6 254.3 189.1 240 207.6 240C225.3 240 239.6 254.3 239.6 272C239.6 289.7 225.3 304 207.6 304zM227.3 148.7C233.6 154.9 233.6 165.1 227.3 171.3L219.9 178.7C196.4 202.3 166 217.9 133.1 223.4L130.6 223.8C121.9 225.2 113.7 219.3 112.2 210.6C110.8 201.9 116.7 193.7 125.4 192.2L127.9 191.8C154.2 187.4 178.5 174.9 197.3 156.1L204.7 148.7C210.9 142.4 221.1 142.4 227.3 148.7zM348.7 171.3C342.4 165.1 342.4 154.9 348.7 148.7C354.9 142.4 365.1 142.4 371.3 148.7L378.7 156.1C397.5 174.9 421.8 187.4 448.2 191.8L450.6 192.2C459.3 193.7 465.2 201.9 463.8 210.6C462.3 219.3 454.1 225.2 445.4 223.8L442.9 223.4C409.1 217.9 379.6 202.3 356.1 178.7L348.7 171.3zM368 400C368 408.8 360.8 416 352 416H224C215.2 416 208 408.8 208 400C208 355.8 243.8 320 288 320C332.2 320 368 355.8 368 400z"],
    "face-astonished": [512, 512, [], "e36b", "M304 352V384C304 410.5 282.5 432 256 432C229.5 432 208 410.5 208 384V352C208 325.5 229.5 304 256 304C282.5 304 304 325.5 304 352zM208.4 224C208.4 241.7 194 256 176.4 256C158.7 256 144.4 241.7 144.4 224C144.4 206.3 158.7 192 176.4 192C194 192 208.4 206.3 208.4 224zM304.4 224C304.4 206.3 318.7 192 336.4 192C354 192 368.4 206.3 368.4 224C368.4 241.7 354 256 336.4 256C318.7 256 304.4 241.7 304.4 224zM192 144C187.6 144 183.2 144.3 178.1 144.9C157.8 147.7 138.4 157.2 122.9 171.7C116.5 177.7 106.3 177.4 100.3 170.9C94.28 164.5 94.62 154.3 101.1 148.3C121.1 129.6 146.6 116.9 174.8 113.1C180.4 112.4 186.2 112 192 112C200.8 112 208 119.2 208 128C208 136.8 200.8 144 192 144zM333 144.9C328.8 144.3 324.4 144 320 144C311.2 144 304 136.8 304 128C304 119.2 311.2 112 320 112C325.8 112 331.6 112.4 337.2 113.1C365.4 116.9 390.9 129.6 410.9 148.3C417.4 154.3 417.7 164.5 411.7 170.9C405.7 177.4 395.5 177.7 389.1 171.7C373.6 157.2 354.2 147.7 333 144.9zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "face-awesome": [512, 512, ["gave-dandy"], "e409", "M224 200V224C224 241.7 209.7 256 192 256H112C94.33 256 80 241.7 80 224V200C80 160.2 112.2 128 152 128C191.8 128 224 160.2 224 200zM192 224V200C192 198 191.9 196.1 191.6 194.2C187.4 197.8 181.1 200 176 200C162.7 200 152 189.3 152 176C152 170 154.2 164.6 157.8 160.4C155.9 160.1 153.1 160 152 160C129.9 160 112 177.9 112 200V224H192zM416 208V225.9C416 242.5 402.5 256 385.9 256H286.1C269.5 256 255.1 242.5 255.1 225.9V208C255.1 163.8 291.8 128 336 128C380.2 128 416 163.8 416 208H416zM344 176C344 170.6 345.8 165.7 348.7 161.7C344.7 160.6 340.4 160 336 160C309.5 160 288 181.5 288 208V224H384V208C384 203.6 383.4 199.3 382.3 195.3C378.3 198.2 373.4 200 368 200C354.7 200 344 189.3 344 176zM116.3 288H395.7C406.1 288 413.9 297.6 411.6 307.8C407.7 325.2 401 341.4 392.1 356C363.9 401.9 313.2 431.6 257.1 431.1L256 432C251.4 432 246.7 431.8 242.2 431.4C173.7 425.5 115.5 375.8 100.4 307.8C98.14 297.6 105.9 288 116.3 288H116.3zM338.3 336C299.1 336 266.4 363.3 258 399.1C302.1 399.3 341.8 375.9 364.2 340.2C356.1 337.5 347.4 336 338.3 336V336zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "face-beam-hand-over-mouth": [512, 512, [129325], "e47c", "M256 47.1C141.1 47.1 48 141.1 48 255.1C48 314.1 72.55 368.2 112 406.1V416.8C112 438.7 117.5 459.3 127.3 477.4C51.17 432.1 0 350.5 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 369.1 438.7 465.1 336.9 498.9L385.9 449.9C397.6 438.2 402 422 399.1 406.9C439.1 369 464 315.4 464 256C464 141.1 370.9 48 256 48V47.1zM217.6 228.8L217.6 228.8L217.4 228.5C217.2 228.3 217 228 216.7 227.6C216 226.8 215.1 225.7 213.9 224.3C211.4 221.4 207.9 217.7 203.7 213.1C194.9 206.2 184.8 200 176 200C167.2 200 157.1 206.2 148.3 213.1C144.1 217.7 140.6 221.4 138.1 224.3C136.9 225.7 135.1 226.8 135.3 227.6C134.1 228 134.8 228.3 134.6 228.5L134.4 228.8L134.4 228.8C132.3 231.6 128.7 232.7 125.5 231.6C122.2 230.5 120 227.4 120 223.1C120 206.1 126.7 188.4 136.6 175.2C146.4 162.2 160.5 151.1 176 151.1C191.5 151.1 205.6 162.2 215.4 175.2C225.3 188.4 232 206.1 232 223.1C232 227.4 229.8 230.5 226.5 231.6C223.3 232.7 219.7 231.6 217.6 228.8V228.8zM377.6 228.8L377.4 228.5C377.2 228.3 377 228 376.7 227.6C376 226.8 375.1 225.7 373.9 224.3C371.4 221.4 367.9 217.7 363.7 213.1C354.9 206.2 344.8 200 336 200C327.2 200 317.1 206.2 308.3 213.1C304.1 217.7 300.6 221.4 298.1 224.3C296.9 225.7 295.1 226.8 295.3 227.6C294.1 228 294.8 228.3 294.6 228.5L294.4 228.8L294.4 228.8C292.3 231.6 288.7 232.7 285.5 231.6C282.2 230.5 280 227.4 280 224C280 206.1 286.7 188.4 296.6 175.2C306.4 162.2 320.5 152 336 152C351.5 152 365.6 162.2 375.4 175.2C385.3 188.4 392 206.1 392 224C392 227.4 389.8 230.5 386.5 231.6C383.3 232.7 379.7 231.6 377.6 228.8L377.6 228.8zM299.3 276.7C305.6 282.9 305.6 293.1 299.3 299.3L248 350.6C245.4 353.2 245.4 357.4 248 360C250.6 362.6 254.8 362.6 257.4 360L324.7 292.7C330.9 286.4 341.1 286.4 347.3 292.7C353.6 298.9 353.6 309.1 347.3 315.3L280 382.6C277.4 385.2 277.4 389.4 280 392C282.6 394.6 286.8 394.6 289.4 392L340.7 340.7C346.9 334.4 357.1 334.4 363.3 340.7C369.6 346.9 369.6 357.1 363.3 363.3L312 414.6C309.4 417.2 309.4 421.4 312 424C314.6 426.6 318.8 426.6 321.4 424L340.7 404.7C346.9 398.4 357.1 398.4 363.3 404.7C369.6 410.9 369.6 421.1 363.3 427.3L306.5 484.1C288.7 501.1 264.4 512 239.2 512C186.6 512 144 469.4 144 416.8V330.4C144 319.4 152.1 310.4 164 310.4C175 310.4 184 319.4 184 330.4V350.1C184 357.2 192.6 360.8 197.7 355.7L276.7 276.7C282.9 270.4 293.1 270.4 299.3 276.7L299.3 276.7z"],
    "face-clouds": [640, 512, [], "e47d", "M188.4 42.8C198.6 35.98 210.8 32 224 32C259.3 32 288 60.65 288 96C288 131.3 259.3 160 224 160H64C28.65 160 0 131.3 0 96C0 60.65 28.65 32 64 32H72.56C83.63 12.87 104.3 0 128 0C155.9 0 179.7 17.87 188.4 42.8zM122 192C115.5 212.2 112 233.7 112 256C112 336.2 157.4 405.9 224 440.6C224.1 462.8 231.2 483.4 243.3 500.3C139.4 467.7 64 370.6 64 256C64 233.9 66.8 212.5 72.06 192L122 192zM307.4 48.38C296.8 29.83 280.1 15.16 260.1 7.036C279.3 2.436 299.4 0 320 0C461.4 0 576 114.6 576 256C576 270.8 574.7 285.3 572.3 299.5C559.9 288.7 544 281.7 526.6 280.3C527.5 272.3 528 264.2 528 256C528 141.1 434.9 48 320 48C315.8 48 311.6 48.13 307.4 48.38V48.38zM272.4 208C272.4 225.7 258 240 240.4 240C222.7 240 208.4 225.7 208.4 208C208.4 190.3 222.7 176 240.4 176C258 176 272.4 190.3 272.4 208zM368.4 208C368.4 190.3 382.7 176 400.4 176C418 176 432.4 190.3 432.4 208C432.4 225.7 418 240 400.4 240C382.7 240 368.4 225.7 368.4 208zM336 368C336 323.8 371.8 288 416 288C445.3 288 470.9 303.8 484.9 327.3C493.6 317.9 506.1 312 520 312C546.5 312 568 333.5 568 360C568 362.7 567.8 365.4 567.3 368H568C607.8 368 640 400.2 640 440C640 479.8 607.8 512 568 512H328C288.2 512 256 479.8 256 440C256 400.2 288.2 368 328 368H336z"],
    "face-confounded": [512, 512, [], "e36c", "M256 353.3L281 333.3C289.2 326.7 300.6 326.2 309.3 332L340.9 353.1L351 343C360.4 333.7 375.6 333.7 384.1 343C394.3 352.4 394.3 367.6 384.1 376.1L360.1 400.1C352.9 409.1 340.2 410.3 330.7 403.1L297.3 381.7L270.1 402.7C262.2 409.8 249.8 409.8 241 402.7L214.7 381.7L181.3 403.1C171.8 410.3 159.1 409.1 151 400.1L127 376.1C117.7 367.6 117.7 352.4 127 343C136.4 333.7 151.6 333.7 160.1 343L171.1 353.1L202.7 332C211.4 326.2 222.8 326.7 230.1 333.3L256 353.3zM223.4 226.6C234.1 232.3 234.1 247.7 223.4 253.4L133.5 301.3C125.6 305.6 116 299.8 116 290.9C116 288.1 116.1 285.4 118.8 283.2L154.8 240L118.8 196.8C116.1 194.6 116 191.9 116 189.1C116 180.2 125.6 174.4 133.5 178.7L223.4 226.6zM393.2 196.8L357.2 240L393.2 283.2C395 285.4 396 288.1 396 290.9C396 299.8 386.4 305.6 378.5 301.3L288.6 253.4C277.9 247.7 277.9 232.3 288.6 226.6L378.5 178.7C386.4 174.4 396 180.2 396 189.1C396 191.9 395 194.6 393.2 196.8zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "face-confused": [512, 512, [], "e36d", "M190.4 395.2C179.8 403.2 164.8 401 156.8 390.4C148.8 379.8 150.1 364.8 161.6 356.8L174.4 347.2C211.8 319.2 257.3 304 304 304H344C357.3 304 368 314.7 368 328C368 341.3 357.3 352 344 352H304C267.7 352 232.3 363.8 203.2 385.6L190.4 395.2zM208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208zM304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "face-cowboy-hat": [512, 512, [], "e36e", "M242.1 10.71C250.1 17.16 261.9 17.16 269.9 10.71C278.1 4.003 286.9 0 296 0C332.8 0 363.4 64.93 378.4 109.8C411.1 99.32 441.1 84.62 466.9 66.75C469.4 64.98 472.3 64 475.3 64C484.3 64 490.1 72.25 488.2 80.75C461.2 163.2 367.5 224 256 224C144.5 224 50.77 163.2 23.8 80.75C21.02 72.25 27.72 64 36.66 64C39.7 64 42.64 64.99 45.1 66.75C70.04 84.62 100 99.32 133.6 109.8C148.6 64.93 179.2 0 215.1 0C225.1 0 233.9 4.003 242.1 10.71H242.1zM117 224.7C103.6 248.1 96 275.1 96 303.1C96 392.4 167.6 464 256 464C344.4 464 416 392.4 416 303.1C416 275.1 408.4 248.1 394.1 224.7C409.6 217.5 423.4 209.3 436.2 200C453.9 230.6 464 266.1 464 303.1C464 418.9 370.9 512 256 512C141.1 512 48 418.9 48 303.1C48 266.1 58.12 230.6 75.81 200C88.58 209.3 102.4 217.5 117 224.7V224.7zM256.2 436C207.1 436 166.2 408.1 146 367.5C140.3 355.1 152.2 345.2 164.6 348.7C192.5 356.5 223.5 360.8 256.2 360.8C288.9 360.8 319.9 356.5 347.8 348.7C360.2 345.2 372.1 355.1 366.4 367.5C346.2 408.1 304.5 436 256.2 436zM168 280C168 266.7 178.7 256 192 256C205.3 256 216 266.7 216 280C216 293.3 205.3 304 192 304C178.7 304 168 293.3 168 280zM344 280C344 293.3 333.3 304 320 304C306.7 304 296 293.3 296 280C296 266.7 306.7 256 320 256C333.3 256 344 266.7 344 280z"],
    "face-diagonal-mouth": [512, 512, [129764], "e47e", "M174.1 383.2C161.2 386.6 148.1 378.9 144.8 366.1C141.4 353.2 149.1 340.1 161.9 336.8L345.9 288.8C358.8 285.4 371.9 293.1 375.2 305.9C378.6 318.8 370.9 331.9 358.1 335.2L174.1 383.2zM208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208zM304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "face-disappointed": [512, 512, [], "e36f", "M256 392C237.6 392 224.9 400.5 217.5 408.4C208.5 418.1 193.3 418.6 183.6 409.5C173.9 400.5 173.4 385.3 182.5 375.6C196.7 360.3 221.4 344 256 344C290.6 344 315.3 360.3 329.5 375.6C338.6 385.3 338.1 400.5 328.4 409.5C318.7 418.6 303.5 418.1 294.5 408.4C287.1 400.5 274.4 392 256 392zM211.3 267.3L203.9 274.7C180.4 298.3 150 313.9 117.1 319.4L114.6 319.8C105.9 321.2 97.67 315.3 96.22 306.6C94.76 297.9 100.7 289.7 109.4 288.2L111.9 287.8C138.2 283.4 162.5 270.9 181.3 252.1L188.7 244.7C194.9 238.4 205.1 238.4 211.3 244.7C217.6 250.9 217.6 261.1 211.3 267.3V267.3zM300.7 267.3C294.4 261.1 294.4 250.9 300.7 244.7C306.9 238.4 317.1 238.4 323.3 244.7L330.7 252.1C349.5 270.9 373.8 283.4 400.2 287.8L402.6 288.2C411.3 289.7 417.2 297.9 415.8 306.6C414.3 315.3 406.1 321.2 397.4 319.8L394.9 319.4C361.1 313.9 331.6 298.3 308.1 274.7L300.7 267.3zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "face-disguise": [576, 512, [], "e370", "M224 216C224 229.3 213.3 240 200 240C186.7 240 176 229.3 176 216C176 202.7 186.7 192 200 192C213.3 192 224 202.7 224 216zM352 216C352 202.7 362.7 192 376 192C389.3 192 400 202.7 400 216C400 229.3 389.3 240 376 240C362.7 240 352 229.3 352 216zM544 192C544 196.7 541.1 200.1 538.7 203.9C542.2 220.7 544 238.1 544 256C544 397.4 429.4 512 288 512C146.6 512 32 397.4 32 256C32 238.1 33.83 220.7 37.31 203.9C34.05 200.1 32 196.7 32 192C32 184.3 37.41 177.9 44.63 176.4C78.12 73.97 174.4 0 288 0C401.6 0 497.9 73.97 531.4 176.4C538.6 177.9 544 184.3 544 192zM490.4 208H472C472 258.1 433.6 299.2 384.7 303.6C394.3 311.5 400 323.3 400 336C400 351.9 391 366.4 376.9 373.5L396.5 398C402 404.9 400.9 414.1 393.1 420.5C387.1 426 377 424.9 371.5 417.1L347.6 388.1L340.3 391.7L350.9 418.1C354.1 426.3 350.1 435.6 341.9 438.9C333.7 442.1 324.4 438.1 321.1 429.9L311.2 405C308.8 405.7 306.4 406.3 304 406.8V432C304 440.8 296.8 448 288 448C279.2 448 272 440.8 272 432V406.8C269.6 406.3 267.2 405.7 264.8 405L254.9 429.9C251.6 438.1 242.3 442.1 234.1 438.9C225.9 435.6 221.9 426.3 225.1 418.1L235.7 391.7L228.4 388.1L204.5 417.1C198.1 424.9 188.9 426 182 420.5C175.1 414.1 173.1 404.9 179.5 398L199.1 373.5C184.1 366.4 176 351.9 176 336C176 323.3 181.7 311.5 191.3 303.6C142.4 299.2 104 258.1 104 208H85.57C81.93 223.4 80 239.5 80 256C80 370.9 173.1 464 288 464C402.9 464 496 370.9 496 256C496 239.5 494.1 223.4 490.4 208H490.4zM263.6 215.3C263.9 212.9 264 210.5 264 208C264 172.7 235.3 144 200 144C164.7 144 136 172.7 136 208C136 243.3 164.7 272 200 272C209.3 272 218.1 270 226.1 266.5C226.7 266.2 227.6 265.7 228.7 265.1L250 229.5C253.5 223.7 258.2 218.9 263.6 215.3zM312 208C312 210.5 312.1 212.9 312.4 215.3C317.8 218.9 322.5 223.7 325.1 229.5L347.3 265.1C348.4 265.7 349.3 266.2 349.9 266.5C357.9 270 366.7 272 376 272C411.3 272 440 243.3 440 208C440 172.7 411.3 144 376 144C340.7 144 312 172.7 312 208zM95.94 176H109.5C112.9 166.4 117.8 157.4 123.9 149.5L122.5 146.7C120.3 142.4 119.6 137.6 120.2 133.1C110.5 146.3 102.3 160.7 95.94 176H95.94zM455.8 133.1C456.4 137.6 455.7 142.4 453.5 146.7L452.1 149.5C458.2 157.4 463.1 166.4 466.5 176H480.1C473.7 160.7 465.5 146.3 455.8 133.1H455.8zM136.9 113.1C145.9 110.3 155.6 113 161.8 119.9C163.8 119 165.9 118.2 168 117.5V112C168 98.75 178.7 88 192 88C205.3 88 216 98.75 216 112V113.3C217.5 113.6 218.9 113.9 220.4 114.2C227.1 104.6 239.1 101.2 250.7 106.5C261.5 111.9 266.5 124.3 262.8 135.4C273.6 144.7 282.2 156.4 287.1 169.6C293.8 156.4 302.4 144.7 313.2 135.4C309.5 124.3 314.5 111.9 325.3 106.5C336 101.2 348.9 104.6 355.6 114.2C357.1 113.9 358.5 113.6 360 113.3V112C360 98.75 370.7 88 384 88C397.3 88 408 98.75 408 112V117.5C410.1 118.2 412.2 119 414.2 119.9C420.4 113 430.1 110.3 439.1 113.1C401.2 73 347.5 48 287.1 48C228.5 48 174.8 73 136.9 113.1H136.9zM288 240C283.7 240 279.7 242.3 277.5 245.1L235.3 316.2L213.5 327.2C210.1 328.8 208 332.3 208 336C208 339.7 210.1 343.2 213.5 344.8L266.5 371.4C280 378.1 295.1 378.1 309.5 371.4L362.5 344.8C365.9 343.2 368 339.7 368 336C368 332.3 365.9 328.8 362.5 327.2L340.7 316.2L298.5 245.1C296.3 242.3 292.3 240 288 240V240z"],
    "face-dizzy": [512, 512, ["dizzy"], "f567", "M192 352C192 316.7 220.7 288 256 288C291.3 288 320 316.7 320 352C320 387.3 291.3 416 256 416C220.7 416 192 387.3 192 352zM103 135C112.4 125.7 127.6 125.7 136.1 135L160 158.1L183 135C192.4 125.7 207.6 125.7 216.1 135C226.3 144.4 226.3 159.6 216.1 168.1L193.9 192L216.1 215C226.3 224.4 226.3 239.6 216.1 248.1C207.6 258.3 192.4 258.3 183 248.1L160 225.9L136.1 248.1C127.6 258.3 112.4 258.3 103 248.1C93.66 239.6 93.66 224.4 103 215L126.1 192L103 168.1C93.66 159.6 93.66 144.4 103 135V135zM295 135C304.4 125.7 319.6 125.7 328.1 135L352 158.1L375 135C384.4 125.7 399.6 125.7 408.1 135C418.3 144.4 418.3 159.6 408.1 168.1L385.9 192L408.1 215C418.3 224.4 418.3 239.6 408.1 248.1C399.6 258.3 384.4 258.3 375 248.1L352 225.9L328.1 248.1C319.6 258.3 304.4 258.3 295 248.1C285.7 239.6 285.7 224.4 295 215L318.1 192L295 168.1C285.7 159.6 285.7 144.4 295 135V135zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "face-dotted": [512, 512, [129765], "e47f", "M296 3.115C309.1 5.173 318.1 17.46 316 30.55C313.1 43.64 301.7 52.59 288.6 50.53C277.1 48.87 267.1 47.1 255.1 47.1C244.9 47.1 234 48.87 223.4 50.53C210.3 52.59 198 43.64 195.1 30.55C193.9 17.46 202.9 5.172 215.1 3.115C229 1.063 242.4 0 255.1 0C269.6 0 282.1 1.063 296 3.115V3.115zM87.7 133.7C79.9 144.5 64.89 146.8 54.17 139C43.45 131.2 41.09 116.2 48.89 105.5C64.68 83.8 83.8 64.68 105.5 48.89C116.2 41.09 131.2 43.45 139 54.17C146.8 64.89 144.5 79.9 133.7 87.7C116.1 100.5 100.5 116.1 87.7 133.7L87.7 133.7zM463.1 105.5C470.9 116.2 468.5 131.2 457.8 139C447.1 146.8 432.1 144.5 424.3 133.7C411.5 116.1 395.9 100.5 378.2 87.7C367.5 79.9 365.2 64.89 372.1 54.17C380.8 43.45 395.8 41.09 406.5 48.89C428.2 64.68 447.3 83.8 463.1 105.5L463.1 105.5zM47.1 256C47.1 267.1 48.87 277.1 50.53 288.6C52.59 301.7 43.64 313.1 30.55 316C17.46 318.1 5.172 309.1 3.115 296C1.063 282.1 0 269.6 0 256C0 242.4 1.063 229 3.115 215.1C5.173 202.9 17.46 193.9 30.55 195.1C43.64 198 52.59 210.3 50.53 223.4C48.87 234 47.1 244.9 47.1 256V256zM512 256C512 269.6 510.9 282.1 508.9 296C506.8 309.1 494.5 318.1 481.4 316C468.4 313.1 459.4 301.7 461.5 288.6C463.1 277.1 464 267.1 464 256C464 244.9 463.1 234 461.5 223.4C459.4 210.3 468.4 198 481.4 195.1C494.5 193.9 506.8 202.9 508.9 215.1C510.9 229 512 242.4 512 256V256zM133.7 424.3C144.5 432.1 146.8 447.1 139 457.8C131.2 468.5 116.2 470.9 105.5 463.1C83.8 447.3 64.68 428.2 48.89 406.5C41.09 395.8 43.45 380.8 54.17 372.1C64.89 365.2 79.9 367.5 87.7 378.3C100.5 395.9 116.1 411.5 133.7 424.3L133.7 424.3zM406.5 463.1C395.8 470.9 380.8 468.5 372.1 457.8C365.2 447.1 367.5 432.1 378.2 424.3C395.9 411.5 411.5 395.9 424.3 378.2C432.1 367.5 447.1 365.2 457.8 372.1C468.5 380.8 470.9 395.8 463.1 406.5C447.3 428.2 428.2 447.3 406.5 463.1L406.5 463.1zM255.1 464C267.1 464 277.1 463.1 288.6 461.5C301.7 459.4 313.1 468.4 316 481.4C318.1 494.5 309.1 506.8 296 508.9C282.1 510.9 269.6 512 255.1 512C242.4 512 229 510.9 215.1 508.9C202.9 506.8 193.9 494.5 195.1 481.4C198 468.4 210.3 459.4 223.4 461.5C234 463.1 244.9 464 255.1 464zM144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208zM368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208zM328 328C341.3 328 352 338.7 352 352C352 365.3 341.3 376 328 376H183.1C170.7 376 159.1 365.3 159.1 352C159.1 338.7 170.7 328 183.1 328H328z"],
    "face-downcast-sweat": [512, 512, [], "e371", "M35.23 126.3C14.94 120.8 0 102.7 0 81.01C0 61.02 28.55 20.65 41.6 3.281C44.8-1.094 51.2-1.094 54.4 3.281C63.94 15.86 81.49 40.51 90.43 60.74C90.75 61.46 91.06 62.17 91.35 62.87C94.22 69.74 95.1 76.01 95.1 81.01C95.1 107 74.46 128 47.1 128C43.58 128 39.3 127.4 35.23 126.3L35.23 126.3zM116.6 41.23C156.7 15.15 204.6 .0005 256 .0005C397.4 .0005 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 220.2 7.341 186.1 20.6 155.2C29.19 158.3 38.43 160 48 160C56.93 160 65.58 158.5 73.67 155.8C57.31 185.5 48 219.7 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48C207.3 48 162.6 64.72 127.1 92.72C127.7 88.91 128 84.1 128 81.01C128 69.58 124.2 58.57 120.9 50.53C119.6 47.43 118.1 44.32 116.6 41.23V41.23zM96 272C96 263.2 103.2 256 112 256H208C216.8 256 224 263.2 224 272C224 280.8 216.8 288 208 288H112C103.2 288 96 280.8 96 272zM400 256C408.8 256 416 263.2 416 272C416 280.8 408.8 288 400 288H304C295.2 288 288 280.8 288 272C288 263.2 295.2 256 304 256H400zM182.5 375.6C196.7 360.3 221.4 344 256 344C290.6 344 315.3 360.3 329.5 375.6C338.6 385.3 338.1 400.5 328.4 409.5C318.7 418.6 303.5 418.1 294.5 408.4C287.1 400.5 274.4 392 256 392C237.6 392 224.9 400.5 217.5 408.4C208.5 418.1 193.3 418.6 183.6 409.5C173.9 400.5 173.4 385.3 182.5 375.6V375.6z"],
    "face-drooling": [512, 512, [], "e372", "M48 256C48 370.9 141.1 464 256 464V512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 336.8 474.5 408.9 416 455.9V388.9C445.1 352.9 464 306.5 464 256C464 141.1 370.9 48 256 48C141.1 48 48 141.1 48 256V256zM128.4 238.8C115.8 234.6 109 220.1 113.2 208.4C117 197.1 125.4 181.6 139.1 168.6C153.2 155.2 173.5 144 200 144C213.3 144 224 154.7 224 168C224 181.3 213.3 192 200 192C188.1 192 179.1 196.8 172.1 203.4C164.7 210.4 160.3 218.9 158.8 223.6C154.6 236.2 140.1 242.1 128.4 238.8V238.8zM129 309.3C139.4 300.1 154.5 302.7 162.7 313C181.5 336.4 212.5 360 256 360C299.5 360 330.5 336.4 349.3 313C357.5 302.7 372.6 300.1 382.1 309.3C393.3 317.5 395 332.6 386.7 342.1C385.9 344.1 384.9 345.2 384 346.3V496C384 504.8 376.8 512 368 512C359.2 512 352 504.8 352 496V376.4C342.5 383.4 331.8 389.7 320 394.8V464C320 472.8 312.8 480 304 480C295.2 480 288 472.8 288 464V404.9C277.1 406.9 267.3 408 256 408C193.4 408 149.8 373.7 125.3 342.1C116.1 332.6 118.7 317.5 129 309.3V309.3zM312 192C298.7 192 288 181.3 288 168C288 154.7 298.7 144 312 144C338.5 144 358.8 155.2 372.9 168.6C386.6 181.6 394.1 197.1 398.8 208.4C402.1 220.1 396.2 234.6 383.6 238.8C371 242.1 357.4 236.2 353.2 223.6C351.7 218.9 347.3 210.4 339.9 203.4C332.9 196.8 323.9 192 312 192V192z"],
    "face-exhaling": [576, 512, [], "e480", "M288 464C333.3 464 375.1 449.5 409.3 424.1L416.1 427.3C419.6 441.7 426.1 454.5 437.5 463.8C395.4 494.1 343.8 512 288 512C146.6 512 32 397.4 32 256C32 114.6 146.6 0 288 0C429.4 0 544 114.6 544 256C544 258.8 543.1 261.6 543.9 264.5C541.2 264.2 538.5 264 535.8 264C520.6 264 506.6 268.7 494.1 276.7C495.7 269.9 496 262.1 496 256C496 141.1 402.9 48 288 48C173.1 48 80 141.1 80 256C80 370.9 173.1 464 288 464H288zM248 384C248 361.9 265.9 344 288 344C310.1 344 328 361.9 328 384C328 406.1 310.1 424 288 424C265.9 424 248 406.1 248 384zM409 242.3C416.6 234.3 429.2 233.9 437.3 241.4C445.4 248.1 445.8 261.6 438.2 269.7C423.7 285.2 402.1 291.1 383.6 291.1C364.3 291.1 343.6 285.2 329 269.7C321.5 261.6 321.9 248.1 329.9 241.4C338 233.9 350.7 234.3 358.2 242.3C363.7 248.2 372.1 251.1 383.6 251.1C394.3 251.1 403.6 248.2 409 242.3V242.3zM166.2 242.3C171.7 248.2 180.1 251.1 191.6 251.1C202.3 251.1 211.6 248.2 217 242.3C224.6 234.3 237.2 233.9 245.3 241.4C253.4 248.1 253.8 261.6 246.2 269.7C231.7 285.2 210.1 291.1 191.6 291.1C172.3 291.1 151.6 285.2 137 269.7C129.5 261.6 129.9 248.1 137.1 241.4C146 233.9 158.7 234.3 166.2 242.3V242.3zM608 383.1C608 405.1 594.4 423.1 575.4 429.5C575.4 430.3 575.5 431.2 575.5 432C575.5 454.1 557.6 472 535.5 472C521.4 472 508.9 464.6 501.8 453.5C497.5 455.1 492.8 456 487.8 456C465.8 456 447.9 438.1 447.9 416C447.9 413.3 448.1 410.7 448.6 408.2L368 384L447.9 360C447.9 337.9 465.8 319.1 487.8 319.1C491.5 319.1 494.1 320.5 498.3 321.4C504.2 306.5 518.6 295.1 535.5 295.1C557.6 295.1 575.5 313.9 575.5 336C575.5 336.8 575.4 337.7 575.4 338.5C594.4 344.9 608 362.9 608 383.1L608 383.1z"],
    "face-explode": [512, 512, ["exploding-head"], "e2fe", "M144.4 336C144.4 318.3 158.7 304 176.4 304C194 304 208.4 318.3 208.4 336C208.4 353.7 194 368 176.4 368C158.7 368 144.4 353.7 144.4 336zM368.4 336C368.4 353.7 354 368 336.4 368C318.7 368 304.4 353.7 304.4 336C304.4 318.3 318.7 304 336.4 304C354 304 368.4 318.3 368.4 336zM304 416V421.3C304 427.2 299.2 432 293.3 432H218.7C212.8 432 208 427.2 208 421.3V416C208 389.5 229.5 368 256 368C282.5 368 304 389.5 304 416H304zM120 160C89.07 160 64 134.9 64 104C64 73.07 89.07 48 120 48C128.9 48 137.3 50.08 144.8 53.78C149.7 23.29 176.1 0 208 0C227.1 0 244.3 8.38 256 21.67C267.7 8.38 284.9 0 304 0C335.9 0 362.3 23.29 367.2 53.78C374.7 50.08 383.1 48 392 48C422.9 48 448 73.07 448 104C448 134.9 422.9 160 392 160H352C334.3 160 320 174.3 320 192V196.5C320 206.8 324.4 216.6 331.9 223.4L341.4 229.4C351.8 235.9 364.1 235.9 375.4 229.4L392.6 218.6C403 212.1 416.2 212.1 426.6 218.6L447.3 231.5C452.1 234.6 457.6 236.2 463.1 236.4C467.3 236.5 471.6 235.8 475.7 234.3L509.7 221.2C511.2 232.6 512 244.2 512 256C512 261.3 511.8 266.7 511.5 271.9C503.3 405.9 392 512 256 512C119.1 512 8.708 405.9 .487 271.9C.1638 266.7 0 261.3 0 256C0 244.2 .7984 232.6 2.344 221.2L36.3 234.3C40.37 235.8 44.66 236.5 48.91 236.4C54.45 236.2 59.92 234.6 64.74 231.5L85.44 218.6C95.82 212.1 108.1 212.1 119.4 218.6L136.6 229.4C147 235.9 160.2 235.9 170.6 229.4L180.1 223.4C187.6 216.6 192 206.8 192 196.5V192C192 174.3 177.7 160 160 160H120zM111.2 270.1L102.4 264.6L90.18 272.2C77.92 279.9 63.1 283.1 49.92 284.4C63.76 385.8 150.7 464 256 464C361.3 464 448.2 385.8 462.1 284.4C448 283.1 434.1 279.9 421.8 272.2L409.6 264.6L400.8 270.1C374.9 286.3 341.9 286.3 316 270.1L307.2 264.6L298.4 270.1C272.5 286.3 239.5 286.3 213.6 270.1L204.8 264.6L196 270.1C170.1 286.3 137.1 286.3 111.2 270.1H111.2z"],
    "face-expressionless": [512, 512, [], "e373", "M352 328C365.3 328 376 338.7 376 352C376 365.3 365.3 376 352 376H160C146.7 376 136 365.3 136 352C136 338.7 146.7 328 160 328H352zM128 208C128 199.2 135.2 192 144 192H208C216.8 192 224 199.2 224 208C224 216.8 216.8 224 208 224H144C135.2 224 128 216.8 128 208zM368 192C376.8 192 384 199.2 384 208C384 216.8 376.8 224 368 224H304C295.2 224 288 216.8 288 208C288 199.2 295.2 192 304 192H368zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "face-eyes-xmarks": [512, 512, [], "e374", "M160 158.1L183 135C192.4 125.7 207.6 125.7 216.1 135C226.3 144.4 226.3 159.6 216.1 168.1L193.9 192L216.1 215C226.3 224.4 226.3 239.6 216.1 248.1C207.6 258.3 192.4 258.3 183 248.1L160 225.9L136.1 248.1C127.6 258.3 112.4 258.3 103 248.1C93.66 239.6 93.66 224.4 103 215L126.1 192L103 168.1C93.66 159.6 93.66 144.4 103 135C112.4 125.7 127.6 125.7 136.1 135L160 158.1zM352 158.1L375 135C384.4 125.7 399.6 125.7 408.1 135C418.3 144.4 418.3 159.6 408.1 168.1L385.9 192L408.1 215C418.3 224.4 418.3 239.6 408.1 248.1C399.6 258.3 384.4 258.3 375 248.1L352 225.9L328.1 248.1C319.6 258.3 304.4 258.3 295 248.1C285.7 239.6 285.7 224.4 295 215L318.1 192L295 168.1C285.7 159.6 285.7 144.4 295 135C304.4 125.7 319.6 125.7 328.1 135L352 158.1zM336 384C336 392.8 328.8 400 320 400H192C183.2 400 176 392.8 176 384C176 339.8 211.8 304 256 304C300.2 304 336 339.8 336 384zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "face-fearful": [512, 512, [], "e375", "M336 400C336 408.8 328.8 416 320 416H192C183.2 416 176 408.8 176 400C176 355.8 211.8 320 256 320C300.2 320 336 355.8 336 400zM184.4 224C184.4 237.3 173.6 248 160.4 248C147.1 248 136.4 237.3 136.4 224C136.4 210.7 147.1 200 160.4 200C173.6 200 184.4 210.7 184.4 224zM80 224C80 179.8 115.8 144 160 144C204.2 144 240 179.8 240 224C240 268.2 204.2 304 160 304C115.8 304 80 268.2 80 224zM160 176C133.5 176 112 197.5 112 224C112 250.5 133.5 272 160 272C186.5 272 208 250.5 208 224C208 197.5 186.5 176 160 176zM328.4 224C328.4 210.7 339.1 200 352.4 200C365.6 200 376.4 210.7 376.4 224C376.4 237.3 365.6 248 352.4 248C339.1 248 328.4 237.3 328.4 224zM432 224C432 268.2 396.2 304 352 304C307.8 304 272 268.2 272 224C272 179.8 307.8 144 352 144C396.2 144 432 179.8 432 224zM352 272C378.5 272 400 250.5 400 224C400 197.5 378.5 176 352 176C325.5 176 304 197.5 304 224C304 250.5 325.5 272 352 272zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM427.8 138.8L427.7 138.9C421.7 145.4 411.5 145.7 405.1 139.7C389.6 125.2 370.2 115.7 349 112.9C344.8 112.3 340.4 112 336 112C327.2 112 320 104.8 320 96C320 87.16 327.2 80 336 80C341.8 80 347.6 80.38 353.2 81.13C361.2 82.18 368.9 83.95 376.4 86.37C342.4 62.21 300.9 47.1 256 47.1C211.1 47.1 169.6 62.21 135.6 86.37C143.1 83.95 150.8 82.18 158.8 81.13C164.4 80.38 170.2 80 176 80C184.8 80 192 87.16 192 96C192 104.8 184.8 112 176 112C171.6 112 167.2 112.3 162.1 112.9C141.8 115.7 122.4 125.2 106.9 139.7C100.5 145.7 90.34 145.4 84.31 138.9L84.16 138.8C61.34 172.1 48 212.5 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 212.5 450.7 172.1 427.8 138.8z"],
    "face-flushed": [512, 512, [128563, "flushed"], "f579", "M320 336C333.3 336 344 346.7 344 360C344 373.3 333.3 384 320 384H192C178.7 384 168 373.3 168 360C168 346.7 178.7 336 192 336H320zM136.4 224C136.4 210.7 147.1 200 160.4 200C173.6 200 184.4 210.7 184.4 224C184.4 237.3 173.6 248 160.4 248C147.1 248 136.4 237.3 136.4 224zM80 224C80 179.8 115.8 144 160 144C204.2 144 240 179.8 240 224C240 268.2 204.2 304 160 304C115.8 304 80 268.2 80 224zM160 272C186.5 272 208 250.5 208 224C208 197.5 186.5 176 160 176C133.5 176 112 197.5 112 224C112 250.5 133.5 272 160 272zM376.4 224C376.4 237.3 365.6 248 352.4 248C339.1 248 328.4 237.3 328.4 224C328.4 210.7 339.1 200 352.4 200C365.6 200 376.4 210.7 376.4 224zM432 224C432 268.2 396.2 304 352 304C307.8 304 272 268.2 272 224C272 179.8 307.8 144 352 144C396.2 144 432 179.8 432 224zM352 176C325.5 176 304 197.5 304 224C304 250.5 325.5 272 352 272C378.5 272 400 250.5 400 224C400 197.5 378.5 176 352 176zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464z"],
    "face-frown": [512, 512, [9785, "frown"], "f119", "M143.9 398.6C131.4 394.1 124.9 380.3 129.4 367.9C146.9 319.4 198.9 288 256 288C313.1 288 365.1 319.4 382.6 367.9C387.1 380.3 380.6 394.1 368.1 398.6C355.7 403.1 341.9 396.6 337.4 384.1C328.2 358.5 297.2 336 256 336C214.8 336 183.8 358.5 174.6 384.1C170.1 396.6 156.3 403.1 143.9 398.6V398.6zM208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208zM304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "face-frown-open": [512, 512, [128550, "frown-open"], "f57a", "M179.3 369.3C166.1 374.5 153.1 365.1 158.4 352.9C175.1 314.7 214.3 287.8 259.9 287.8C305.6 287.8 344.8 314.7 361.4 352.1C366.7 365.2 352.9 374.5 340.6 369.3C316.2 359 288.8 353.2 259.9 353.2C231 353.2 203.7 358.1 179.3 369.3L179.3 369.3zM208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208zM304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "face-frown-slight": [512, 512, [], "e376", "M256 351.1C218.8 351.1 192.8 369.5 177.6 385.9C168.7 395.6 153.5 396.3 143.7 387.3C133.1 378.3 133.4 363.1 142.4 353.4C164.3 329.5 202.3 303.1 256 303.1C309.7 303.1 347.7 329.5 369.6 353.4C378.6 363.1 378 378.3 368.3 387.3C358.5 396.3 343.3 395.6 334.4 385.9C319.2 369.5 293.2 351.1 256 351.1V351.1zM208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208zM304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "face-glasses": [512, 512, [], "e377", "M143.7 332.7C153.5 323.7 168.7 324.4 177.6 334.1C192.8 350.5 218.8 368 256 368C293.2 368 319.2 350.5 334.4 334.1C343.3 324.4 358.5 323.7 368.3 332.7C378 341.7 378.6 356.9 369.6 366.6C347.7 390.5 309.7 416 256 416C202.3 416 164.3 390.5 142.4 366.6C133.4 356.9 133.1 341.7 143.7 332.7zM320.4 224C320.4 206.3 334.7 192 352.4 192C370 192 384.4 206.3 384.4 224C384.4 241.7 370 256 352.4 256C334.7 256 320.4 241.7 320.4 224zM192.4 224C192.4 241.7 178 256 160.4 256C142.7 256 128.4 241.7 128.4 224C128.4 206.3 142.7 192 160.4 192C178 192 192.4 206.3 192.4 224zM0 256C0 233.2 2.971 211.2 8.546 190.2C3.464 187.5 0 182.1 0 176C0 167.2 7.164 160 16 160H18.61C56.59 66.18 148.6 0 256 0C363.4 0 455.4 66.18 493.4 160H496C504.8 160 512 167.2 512 176C512 182.1 508.5 187.5 503.5 190.2C509 211.2 512 233.2 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 464C370.9 464 464 370.9 464 256C464 254.2 463.1 252.5 463.9 250.7C462.5 280.4 438 304 408 304H328C297.1 304 272 278.9 272 248V200C272 197.3 272.2 194.6 272.6 192H239.4C239.8 194.6 240 197.3 240 200V248C240 278.9 214.9 304 184 304H104C73.99 304 49.49 280.4 48.07 250.7C48.02 252.5 48 254.2 48 256C48 370.9 141.1 464 256 464V464zM224 160H288V160.8C298.2 150.4 312.3 144 328 144H408C418.1 144 427.6 146.7 435.8 151.4C399.8 89.55 332.7 48 256 48C179.3 48 112.2 89.55 76.18 151.4C84.38 146.7 93.88 144 104 144H184C199.7 144 213.8 150.4 224 160.8V160zM304 248C304 261.3 314.7 272 328 272H408C421.3 272 432 261.3 432 248V200C432 186.7 421.3 176 408 176H328C314.7 176 304 186.7 304 200V248zM104 176C90.75 176 80 186.7 80 200V248C80 261.3 90.75 272 104 272H184C197.3 272 208 261.3 208 248V200C208 186.7 197.3 176 184 176H104z"],
    "face-grimace": [512, 512, [128556, "grimace"], "f57f", "M344 288C374.9 288 400 313.1 400 344C400 374.9 374.9 400 344 400H168C137.1 400 112 374.9 112 344C112 313.1 137.1 288 168 288H344zM168 320C154.7 320 144 330.7 144 344C144 357.3 154.7 368 168 368H176V320H168zM208 368H240V320H208V368zM304 320H272V368H304V320zM336 368H344C357.3 368 368 357.3 368 344C368 330.7 357.3 320 344 320H336V368zM208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208zM304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "face-grin": [512, 512, [128512, "grin"], "f580", "M349.5 308.4C368.2 303.1 385.4 320.4 374.1 336.5C350.4 374.6 306.3 399.1 255.9 399.1C205.6 399.1 161.5 374.6 136.9 336.5C126.5 320.4 143.7 303.1 162.3 308.4C191.3 315.1 222.8 318.8 255.9 318.8C289 318.8 320.6 315.1 349.5 308.4zM208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208zM304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "face-grin-beam": [512, 512, [128516, "grin-beam"], "f582", "M349.5 308.4C368.2 303.1 385.4 320.4 374.1 336.5C350.4 374.6 306.3 399.1 255.9 399.1C205.6 399.1 161.5 374.6 136.9 336.5C126.5 320.4 143.7 303.1 162.3 308.4C191.3 315.1 222.8 318.8 255.9 318.8C289 318.8 320.6 315.1 349.5 308.4zM217.6 228.8L217.6 228.8L217.4 228.5C217.2 228.3 217 228 216.7 227.6C216 226.8 215.1 225.7 213.9 224.3C211.4 221.4 207.9 217.7 203.7 213.1C194.9 206.2 184.8 200 176 200C167.2 200 157.1 206.2 148.3 213.1C144.1 217.7 140.6 221.4 138.1 224.3C136.9 225.7 135.1 226.8 135.3 227.6C134.1 228 134.8 228.3 134.6 228.5L134.4 228.8L134.4 228.8C132.3 231.6 128.7 232.7 125.5 231.6C122.2 230.5 120 227.4 120 224C120 206.1 126.7 188.4 136.6 175.2C146.4 162.2 160.5 152 176 152C191.5 152 205.6 162.2 215.4 175.2C225.3 188.4 232 206.1 232 224C232 227.4 229.8 230.5 226.5 231.6C223.3 232.7 219.7 231.6 217.6 228.8V228.8zM377.6 228.8L377.4 228.5C377.2 228.3 377 228 376.7 227.6C376 226.8 375.1 225.7 373.9 224.3C371.4 221.4 367.9 217.7 363.7 213.1C354.9 206.2 344.8 200 336 200C327.2 200 317.1 206.2 308.3 213.1C304.1 217.7 300.6 221.4 298.1 224.3C296.9 225.7 295.1 226.8 295.3 227.6C294.1 228 294.8 228.3 294.6 228.5L294.4 228.8L294.4 228.8C292.3 231.6 288.7 232.7 285.5 231.6C282.2 230.5 280 227.4 280 224C280 206.1 286.7 188.4 296.6 175.2C306.4 162.2 320.5 152 336 152C351.5 152 365.6 162.2 375.4 175.2C385.3 188.4 392 206.1 392 224C392 227.4 389.8 230.5 386.5 231.6C383.3 232.7 379.7 231.6 377.6 228.8L377.6 228.8zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "face-grin-beam-sweat": [512, 512, [128517, "grin-beam-sweat"], "f583", "M464 128C437.5 128 416 107 416 81.01C416 76.01 417.8 69.74 420.6 62.87C420.9 62.17 421.2 61.46 421.6 60.74C430.5 40.51 448.1 15.86 457.6 3.281C460.8-1.094 467.2-1.094 470.4 3.281C483.4 20.65 512 61.02 512 81.01C512 102.7 497.1 120.8 476.8 126.3C472.7 127.4 468.4 128 464 128L464 128zM391.1 50.53C387.8 58.57 384 69.57 384 81.01C384 84.1 384.3 88.91 384.9 92.72C349.4 64.71 304.7 48 256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 219.7 454.7 185.5 438.3 155.8C446.4 158.5 455.1 160 464 160C473.6 160 482.8 158.3 491.4 155.2C504.7 186.2 512 220.2 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 .0002 256 .0002C307.4 .0002 355.3 15.15 395.4 41.23C393.9 44.32 392.4 47.43 391.1 50.53V50.53zM255.9 399.1C205.6 399.1 161.5 374.6 136.9 336.5C126.5 320.4 143.7 303.1 162.3 308.4C191.3 315.1 222.8 318.9 255.9 318.9C289 318.9 320.6 315.1 349.5 308.4C368.2 303.1 385.4 320.4 374.1 336.5C350.4 374.6 306.3 399.1 255.9 399.1zM217.6 228.8L217.4 228.5C217.2 228.3 217 228 216.7 227.6C216 226.8 215.1 225.7 213.9 224.3C211.4 221.4 207.9 217.7 203.7 213.1C194.9 206.2 184.8 200 176 200C167.2 200 157.1 206.2 148.3 213.1C144.1 217.7 140.6 221.4 138.1 224.3C136.9 225.7 135.1 226.8 135.3 227.6C134.1 228 134.8 228.3 134.6 228.5L134.4 228.8L134.4 228.8C132.3 231.6 128.7 232.7 125.5 231.6C122.2 230.5 119.1 227.4 119.1 224C119.1 206.1 126.7 188.4 136.6 175.2C146.4 162.2 160.5 152 175.1 152C191.5 152 205.6 162.2 215.4 175.2C225.3 188.4 231.1 206.1 231.1 224C231.1 227.4 229.8 230.5 226.5 231.6C223.3 232.7 219.7 231.6 217.6 228.8L217.6 228.8zM377.6 228.8L377.6 228.8L377.4 228.5C377.2 228.3 377 228 376.7 227.6C376 226.8 375.1 225.7 373.9 224.3C371.4 221.4 367.9 217.7 363.7 213.1C354.9 206.2 344.8 200 336 200C327.2 200 317.1 206.2 308.3 213.1C304.1 217.7 300.6 221.4 298.1 224.3C296.9 225.7 295.1 226.8 295.3 227.6C294.1 228 294.8 228.3 294.6 228.5L294.4 228.8L294.4 228.8C292.3 231.6 288.7 232.7 285.5 231.6C282.2 230.5 280 227.4 280 224C280 206.1 286.7 188.4 296.6 175.2C306.4 162.2 320.5 152 336 152C351.5 152 365.6 162.2 375.4 175.2C385.3 188.4 392 206.1 392 224C392 227.4 389.8 230.5 386.5 231.6C383.3 232.7 379.7 231.6 377.6 228.8V228.8z"],
    "face-grin-hearts": [512, 512, [128525, "grin-hearts"], "f584", "M349.5 308.4C368.2 303.1 385.4 320.4 374.1 336.5C350.4 374.6 306.3 399.1 255.9 399.1C205.6 399.1 161.5 374.6 136.9 336.5C126.5 320.4 143.7 303.1 162.3 308.4C191.3 315.1 222.8 318.8 255.9 318.8C289 318.8 320.6 315.1 349.5 308.4zM238.9 177.1L221.4 243C219.1 251.6 210.4 256.6 201.8 254.3L136.7 236.9C118.9 232.1 108.4 213.8 113.1 196.1C117.9 178.3 136.2 167.7 153.1 172.5L170.1 176.8L174.4 160.7C179.2 142.9 197.5 132.4 215.3 137.1C233.1 141.9 243.6 160.2 238.9 177.1H238.9zM341.9 176.8L358 172.5C375.8 167.7 394.1 178.3 398.9 196.1C403.6 213.8 393.1 232.1 375.3 236.9L310.2 254.3C301.6 256.6 292.9 251.6 290.6 243L273.1 177.1C268.4 160.2 278.9 141.9 296.7 137.1C314.5 132.4 332.8 142.9 337.6 160.7L341.9 176.8zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "face-grin-squint": [512, 512, [128518, "grin-squint"], "f585", "M349.5 308.4C368.2 303.1 385.4 320.4 374.1 336.5C350.4 374.6 306.3 399.1 255.9 399.1C205.6 399.1 161.5 374.6 136.9 336.5C126.5 320.4 143.7 303.1 162.3 308.4C191.3 315.1 222.8 318.8 255.9 318.8C289 318.8 320.6 315.1 349.5 308.4zM223.4 194.6C234.1 200.3 234.1 215.7 223.4 221.4L133.5 269.3C125.6 273.6 116 267.8 116 258.9C116 256.1 116.1 253.4 118.8 251.2L154.8 208L118.8 164.8C116.1 162.6 116 159.9 116 157.1C116 148.2 125.6 142.4 133.5 146.7L223.4 194.6zM393.2 164.8L357.2 208L393.2 251.2C395 253.4 396 256.1 396 258.9C396 267.8 386.4 273.6 378.5 269.3L288.6 221.4C277.9 215.7 277.9 200.3 288.6 194.6L378.5 146.7C386.4 142.4 396 148.2 396 157.1C396 159.9 395 162.6 393.2 164.8zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "face-grin-squint-tears": [512, 512, [129315, "grin-squint-tears"], "f586", "M426.8 14.18C446-5.046 477.5-4.646 497.1 14.92C516.6 34.49 517 65.95 497.8 85.18C483 99.97 432.2 108.8 409.6 111.9C403.1 112.8 399.2 108 400.1 102.4C403.3 79.94 412 28.97 426.8 14.18H426.8zM74.98 74.98C158.2-8.253 284.5-22.19 382.2 33.17C380.6 37.96 379.3 42.81 378.1 47.52C375 59.67 372.6 72.08 370.8 82.52C290.1 28.93 180.1 37.74 108.9 108.9C37.75 180.1 28.94 290 82.49 370.8C72.01 372.6 59.6 374.1 47.46 378.1C42.76 379.3 37.93 380.6 33.15 382.1C-22.19 284.5-8.245 158.2 74.98 74.98V74.98zM478.8 129.9C534.2 227.5 520.2 353.8 437 437C353.8 520.3 227.5 534.2 129.8 478.8C131.3 474 132.7 469.2 133.9 464.5C136.1 452.3 139.4 439.9 141.2 429.5C221.9 483.1 331.9 474.3 403.1 403.1C474.3 331.9 483.1 221.1 429.5 141.2C439.1 139.4 452.4 137 464.5 133.9C469.2 132.7 474.1 131.4 478.8 129.9L478.8 129.9zM359.2 226.9C369.3 210.6 393 210 397 228.8C406.6 273.1 393.4 322.3 357.8 357.9C322.2 393.5 273 406.7 228.6 397.1C209.9 393.1 210.5 369.4 226.8 359.3C252 343.6 276.1 323.9 300.4 300.5C323.8 277.1 343.5 252.1 359.2 226.9L359.2 226.9zM189.5 235.7C201.1 232.1 211.1 242.1 208.5 254.6L178.8 352.1C176.2 360.7 165.4 363.4 159 357C157.1 355 155.8 352.5 155.6 349.7L150.5 293.6L94.43 288.5C91.66 288.3 89.07 287.1 87.1 285.1C80.76 278.7 83.46 267.9 92.05 265.3L189.5 235.7zM288.5 94.43L293.6 150.5L349.7 155.6C352.5 155.8 355 157.1 357 159C363.4 165.4 360.7 176.2 352.1 178.8L254.6 208.5C242.1 211.1 232.1 201.1 235.7 189.5L265.3 92.05C267.9 83.46 278.7 80.76 285.1 87.1C287.1 89.07 288.3 91.66 288.5 94.43V94.43zM14.18 426.8C28.97 412 79.85 403.2 102.4 400.1C108 399.2 112.8 403.1 111.9 409.6C108.7 432.1 99.97 483 85.18 497.8C65.95 517 34.5 516.6 14.93 497.1C-4.645 477.5-5.046 446 14.18 426.8H14.18z"],
    "face-grin-stars": [512, 512, [129321, "grin-stars"], "f587", "M199.8 167.3L237.9 172.3C240.1 172.7 243.5 174.8 244.5 177.8C245.4 180.7 244.6 183.9 242.4 186L214.5 212.5L221.5 250.3C222 253.4 220.8 256.4 218.3 258.2C215.8 260.1 212.5 260.3 209.8 258.8L175.1 240.5L142.2 258.8C139.5 260.3 136.2 260.1 133.7 258.2C131.2 256.4 129.1 253.4 130.5 250.3L137.5 212.5L109.6 186C107.4 183.9 106.6 180.7 107.5 177.8C108.5 174.8 111 172.7 114.1 172.3L152.2 167.3L168.8 132.6C170.1 129.8 172.9 128 175.1 128C179.1 128 181.9 129.8 183.2 132.6L199.8 167.3zM359.8 167.3L397.9 172.3C400.1 172.7 403.5 174.8 404.5 177.8C405.4 180.7 404.6 183.9 402.4 186L374.5 212.5L381.5 250.3C382 253.4 380.8 256.4 378.3 258.2C375.8 260.1 372.5 260.3 369.8 258.8L336 240.5L302.2 258.8C299.5 260.3 296.2 260.1 293.7 258.2C291.2 256.4 289.1 253.4 290.5 250.3L297.5 212.5L269.6 186C267.4 183.9 266.6 180.7 267.5 177.8C268.5 174.8 271 172.7 274.1 172.3L312.2 167.3L328.8 132.6C330.1 129.8 332.9 128 336 128C339.1 128 341.9 129.8 343.2 132.6L359.8 167.3zM349.5 308.4C368.2 303.1 385.4 320.4 374.1 336.5C350.4 374.6 306.3 399.1 255.9 399.1C205.6 399.1 161.5 374.6 136.9 336.5C126.5 320.4 143.7 303.1 162.3 308.4C191.3 315.1 222.8 318.8 255.9 318.8C289 318.8 320.6 315.1 349.5 308.4zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464z"],
    "face-grin-tears": [640, 512, [128514, "grin-tears"], "f588", "M519.4 334.4C522.7 342.5 527.8 352.1 535.9 361.1C539.9 365 544.1 368.4 548.6 371.4C506.4 454.8 419.9 512 319.1 512C220.1 512 133.6 454.8 91.4 371.4C95.87 368.4 100.1 365 104.1 361.1C112.2 352.1 117.3 342.5 120.6 334.4C121.8 331.5 122.9 328.6 123.9 325.5C152.5 406.2 229.5 464 319.1 464C410.5 464 487.5 406.2 516.1 325.5C517.1 328.6 518.2 331.5 519.4 334.4V334.4zM319.1 47.1C218.6 47.1 134.2 120.5 115.7 216.5C109.1 213.4 101.4 212.2 93.4 213.3C86.59 214.3 77.18 215.7 66.84 217.7C85.31 94.5 191.6 0 319.1 0C448.4 0 554.7 94.5 573.2 217.7C562.8 215.7 553.4 214.3 546.6 213.3C538.6 212.2 530.9 213.4 524.2 216.5C505.8 120.5 421.4 48 319.1 48V47.1zM78.5 341.1C59.98 356.7 32.01 355.5 14.27 337.7C-4.442 319-4.825 288.9 13.55 270.6C22.19 261.9 43.69 255.4 64.05 250.1C77.02 248.2 89.53 246.2 97.94 245C103.3 244.2 107.8 248.7 106.1 254.1C103.9 275.6 95.58 324.3 81.43 338.4C80.49 339.4 79.51 340.3 78.5 341.1V341.1zM561.5 341.1C560.7 340.5 559.1 339.8 559.2 339.1C559 338.9 558.8 338.7 558.6 338.4C544.4 324.3 536.1 275.6 533 254.1C532.2 248.7 536.7 244.2 542.1 245C543.1 245.2 544.2 245.3 545.4 245.5C553.6 246.7 564.6 248.5 575.1 250.1C596.3 255.4 617.8 261.9 626.4 270.6C644.8 288.9 644.4 319 625.7 337.7C607.1 355.5 580 356.7 561.5 341.1L561.5 341.1zM319.9 399.1C269.6 399.1 225.5 374.6 200.9 336.5C190.5 320.4 207.7 303.1 226.3 308.4C255.3 315.1 286.8 318.8 319.9 318.8C353 318.8 384.6 315.1 413.5 308.4C432.2 303.1 449.4 320.4 438.1 336.5C414.4 374.6 370.3 399.1 319.9 399.1zM281.6 228.8L281.4 228.5C281.2 228.3 281 228 280.7 227.6C280 226.8 279.1 225.7 277.9 224.3C275.4 221.4 271.9 217.7 267.7 213.1C258.9 206.2 248.8 200 239.1 200C231.2 200 221.1 206.2 212.3 213.1C208.1 217.7 204.6 221.4 202.1 224.3C200.9 225.7 199.1 226.8 199.3 227.6C198.1 228 198.8 228.3 198.6 228.5L198.4 228.8L198.4 228.8C196.3 231.6 192.7 232.7 189.5 231.6C186.2 230.5 183.1 227.4 183.1 224C183.1 206.1 190.7 188.4 200.6 175.2C210.4 162.2 224.5 152 239.1 152C255.5 152 269.6 162.2 279.4 175.2C289.3 188.4 295.1 206.1 295.1 224C295.1 227.4 293.8 230.5 290.5 231.6C287.3 232.7 283.7 231.6 281.6 228.8L281.6 228.8zM441.6 228.8L441.6 228.8L441.4 228.5C441.2 228.3 441 228 440.7 227.6C440 226.8 439.1 225.7 437.9 224.3C435.4 221.4 431.9 217.7 427.7 213.1C418.9 206.2 408.8 200 400 200C391.2 200 381.1 206.2 372.3 213.1C368.1 217.7 364.6 221.4 362.1 224.3C360.9 225.7 359.1 226.8 359.3 227.6C358.1 228 358.8 228.3 358.6 228.5L358.4 228.8L358.4 228.8C356.3 231.6 352.7 232.7 349.5 231.6C346.2 230.5 344 227.4 344 223.1C344 206.1 350.7 188.4 360.6 175.2C370.4 162.2 384.5 151.1 400 151.1C415.5 151.1 429.6 162.2 439.4 175.2C449.3 188.4 456 206.1 456 223.1C456 227.4 453.8 230.5 450.5 231.6C447.3 232.7 443.7 231.6 441.6 228.8V228.8z"],
    "face-grin-tongue": [512, 512, [128539, "grin-tongue"], "f589", "M144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208zM368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 337.7 95.13 408.4 163.7 442.4C161.3 434 160 425.2 160 416V363.6C151.1 355.6 143.3 346.5 136.9 336.5C126.5 320.4 143.7 303.1 162.3 308.4C191.3 315.1 222.8 318.8 255.9 318.8C289 318.8 320.6 315.1 349.5 308.4C368.2 303.1 385.4 320.4 374.1 336.5C368.6 346.4 360.8 355.5 352 363.5V416C352 425.2 350.7 434 348.3 442.4C416.9 408.4 464 337.7 464 256C464 141.1 370.9 48 255.1 48H256zM320 416V378.6C320 363.9 308.1 352 293.4 352H291.4C280.1 352 270.3 359.9 267.8 370.9C264.1 383.5 247 383.5 244.2 370.9C241.7 359.9 231.9 352 220.6 352H218.6C203.9 352 192 363.9 192 378.6V416C192 451.3 220.7 480 256 480C291.3 480 320 451.3 320 416z"],
    "face-grin-tongue-squint": [512, 512, [128541, "grin-tongue-squint"], "f58a", "M116 157.1C116 148.2 125.6 142.4 133.5 146.7L223.4 194.6C234.1 200.3 234.1 215.7 223.4 221.4L133.5 269.3C125.6 273.6 116 267.8 116 258.9C116 256.1 116.1 253.4 118.8 251.2L154.8 208L118.8 164.8C116.1 162.6 116 159.9 116 157.1V157.1zM378.5 146.7C386.4 142.4 396 148.2 396 157.1C396 159.9 395 162.6 393.2 164.8L357.2 208L393.2 251.2C395 253.4 396 256.1 396 258.9C396 267.8 386.4 273.6 378.5 269.3L288.6 221.4C277.9 215.7 277.9 200.3 288.6 194.6L378.5 146.7zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 337.7 95.13 408.4 163.7 442.4C161.3 434 160 425.2 160 416V392.7C135.1 375.1 116.9 351.3 105.2 323.5C100.2 311.7 112.2 301 124.5 304.8C164.1 316.9 208.9 323.8 256.3 323.8C303.7 323.8 348.4 316.9 388.1 304.8C400.4 301 412.4 311.7 407.4 323.5C395.6 351.5 376.3 375.5 352 393.1V416C352 425.2 350.7 434 348.3 442.4C416.9 408.4 464 337.7 464 255.1C464 141.1 370.9 47.1 256 47.1L256 48zM320 416V378.6C320 363.9 308.1 352 293.4 352H291.4C280.1 352 270.3 359.9 267.8 370.9C264.1 383.5 247 383.5 244.2 370.9C241.7 359.9 231.9 352 220.6 352H218.6C203.9 352 192 363.9 192 378.6V416C192 451.3 220.7 480 256 480C291.3 480 320 451.3 320 416z"],
    "face-grin-tongue-wink": [512, 512, [128540, "grin-tongue-wink"], "f58b", "M159.6 220C148.1 220 139.7 223.8 134.2 229.7C126.7 237.7 114 238.1 105.9 230.6C97.89 223 97.48 210.4 105 202.3C119.6 186.8 140.3 180 159.6 180C178.1 180 199.7 186.8 214.2 202.3C221.8 210.4 221.4 223 213.3 230.6C205.2 238.1 192.6 237.7 185 229.7C179.6 223.8 170.3 220 159.6 220zM312.4 208C312.4 194.7 323.1 184 336.4 184C349.6 184 360.4 194.7 360.4 208C360.4 221.3 349.6 232 336.4 232C323.1 232 312.4 221.3 312.4 208zM256 208C256 163.8 291.8 128 336 128C380.2 128 416 163.8 416 208C416 252.2 380.2 288 336 288C291.8 288 256 252.2 256 208zM336 256C362.5 256 384 234.5 384 208C384 181.5 362.5 160 336 160C309.5 160 288 181.5 288 208C288 234.5 309.5 256 336 256zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM348.3 442.4C416.9 408.4 464 337.7 464 256C464 141.1 370.9 48 256 48C141.1 48 48 141.1 48 256C48 337.7 95.13 408.4 163.7 442.4C161.3 434 160 425.2 160 416V363.6C151.1 355.6 143.3 346.5 136.9 336.5C126.5 320.4 143.7 303.1 162.3 308.4C191.3 315.1 222.8 318.8 255.9 318.8C289 318.8 320.6 315.1 349.5 308.4C368.2 303.1 385.4 320.4 374.1 336.5C368.6 346.4 360.8 355.5 352 363.5V416C352 425.2 350.7 434 348.3 442.4H348.3zM320 416V378.6C320 363.9 308.1 352 293.4 352H291.4C280.1 352 270.3 359.9 267.8 370.9C264.1 383.5 247 383.5 244.2 370.9C241.7 359.9 231.9 352 220.6 352H218.6C203.9 352 192 363.9 192 378.6V416C192 451.3 220.7 480 256 480C291.3 480 320 451.3 320 416z"],
    "face-grin-wide": [512, 512, [128515, "grin-alt"], "f581", "M349.5 308.4C368.2 303.1 385.4 320.4 374.1 336.5C350.4 374.6 306.3 399.1 255.9 399.1C205.6 399.1 161.5 374.6 136.9 336.5C126.5 320.4 143.7 303.1 162.3 308.4C191.3 315.1 222.8 318.8 255.9 318.8C289 318.8 320.6 315.1 349.5 308.4zM224 192C224 227.3 209.7 256 192 256C174.3 256 160 227.3 160 192C160 156.7 174.3 128 192 128C209.7 128 224 156.7 224 192zM288 192C288 156.7 302.3 128 320 128C337.7 128 352 156.7 352 192C352 227.3 337.7 256 320 256C302.3 256 288 227.3 288 192zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "face-grin-wink": [512, 512, ["grin-wink"], "f58c", "M349.5 308.4C368.2 303.1 385.4 320.4 374.1 336.5C350.4 374.6 306.3 399.1 255.9 399.1C205.6 399.1 161.5 374.6 136.9 336.5C126.5 320.4 143.7 303.1 162.3 308.4C191.3 315.1 222.8 318.8 255.9 318.8C289 318.8 320.6 315.1 349.5 308.4zM208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208zM281.9 230.6C273.9 223 273.5 210.4 281 202.3C295.6 186.8 316.3 180 335.6 180C354.1 180 375.7 186.8 390.2 202.3C397.8 210.4 397.4 223 389.3 230.6C381.2 238.1 368.6 237.7 361 229.7C355.6 223.8 346.3 220 335.6 220C324.1 220 315.7 223.8 310.2 229.7C302.7 237.7 290 238.1 281.9 230.6zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "face-hand-over-mouth": [512, 512, [129762], "e378", "M256 47.1C141.1 47.1 48 141.1 48 255.1C48 314.1 72.55 368.2 112 406.1V416.8C112 438.7 117.5 459.3 127.3 477.4C51.17 432.1 0 350.5 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 369.1 438.7 465.1 336.9 498.9L385.9 449.9C397.6 438.2 402 422 399.1 406.9C439.1 369 464 315.4 464 256C464 141.1 370.9 48 256 48V47.1zM208.4 207.1C208.4 225.7 194 239.1 176.4 239.1C158.7 239.1 144.4 225.7 144.4 207.1C144.4 190.3 158.7 175.1 176.4 175.1C194 175.1 208.4 190.3 208.4 207.1zM304.4 207.1C304.4 190.3 318.7 175.1 336.4 175.1C354 175.1 368.4 190.3 368.4 207.1C368.4 225.7 354 239.1 336.4 239.1C318.7 239.1 304.4 225.7 304.4 207.1zM299.3 276.7C305.6 282.9 305.6 293.1 299.3 299.3L248 350.6C245.4 353.2 245.4 357.4 248 360C250.6 362.6 254.8 362.6 257.4 360L324.7 292.7C330.9 286.4 341.1 286.4 347.3 292.7C353.6 298.9 353.6 309.1 347.3 315.3L280 382.6C277.4 385.2 277.4 389.4 280 392C282.6 394.6 286.8 394.6 289.4 392L340.7 340.7C346.9 334.4 357.1 334.4 363.3 340.7C369.6 346.9 369.6 357.1 363.3 363.3L312 414.6C309.4 417.2 309.4 421.4 312 424C314.6 426.6 318.8 426.6 321.4 424L340.7 404.7C346.9 398.4 357.1 398.4 363.3 404.7C369.6 410.9 369.6 421.1 363.3 427.3L306.5 484.1C288.7 501.1 264.4 512 239.2 512C186.6 512 144 469.4 144 416.8V330.4C144 319.4 152.1 310.4 164 310.4C175 310.4 184 319.4 184 330.4V350.1C184 357.2 192.6 360.8 197.7 355.7L276.7 276.7C282.9 270.4 293.1 270.4 299.3 276.7L299.3 276.7z"],
    "face-hand-peeking": [640, 512, [129763], "e481", "M319.1 48C261.3 48 208.2 72.34 170.4 111.5C168.8 103 164.8 94.89 158.2 88.32C152.3 82.35 144.1 78.45 137.3 76.63C183.8 29.34 248.5 0 319.1 0C417.5 0 502.2 54.49 545.5 134.7C529.6 128.2 510.7 131.4 497.8 144.3C497.3 144.8 496.8 145.3 496.4 145.7C459.6 87.04 394.4 48 319.1 48V48zM319.1 512C210.4 512 116.1 443.2 80.43 346.4C92.79 350.7 105.9 352.9 119.2 352.9H135.9C170.7 418.1 240.1 464 319.1 464C382.5 464 438.5 436.5 476.6 392.9H520.8C526.3 392.9 531.7 392.5 537.1 391.8C491.8 463.1 411.5 512 319.1 512V512zM352 272C352 285.4 358.6 297.3 368.7 304.5C368.4 305.9 368.2 307.3 368.1 308.7C331.1 298.3 303.1 264.3 303.1 224C303.1 175.4 343.4 136 392 136C398.6 136 405 136.7 411.2 138.1C403.5 140.7 396.5 145.6 391.4 152.8C387.1 157.6 385.8 162.1 384.7 168.5C357.2 172 336 195.5 336 224C336 239.7 342.4 253.8 352.8 263.1C352.3 266.6 352 269.3 352 272V272zM256 384C256 357.5 284.7 336 320 336C355.3 336 384 357.5 384 384C384 410.5 355.3 432 320 432C284.7 432 256 410.5 256 384zM374.5 240C370.7 235.8 368.4 230.1 368.4 224C368.4 210.7 379.1 200 392.4 200C405.6 200 416.4 210.7 416.4 224C416.4 230.1 414.1 235.8 410.3 240H374.5zM248 192C248 200.8 240.8 208 232 208H169.6C167.4 208 165.6 209.8 165.6 212C165.6 214.2 167.4 216 169.6 216H248C256.8 216 264 223.2 264 232C264 240.8 256.8 248 248 248H169.6C167.4 248 165.6 249.8 165.6 252C165.6 254.2 167.4 256 169.6 256H232C240.8 256 248 263.2 248 272C248 280.8 240.8 288 232 288H170C167.6 288 165.6 289.1 165.6 292.5C165.6 294.9 167.6 296.9 170 296.9H183.1C192.8 296.9 199.1 304.1 199.1 312.9C199.1 321.7 192.8 328.9 183.1 328.9H119.2C93.95 328.9 69.73 318.9 51.88 301C14.98 264.1 14.71 204.4 51.08 167.2L51.88 166.4L112.1 105.3C120.8 97.48 133.5 97.48 141.3 105.3C149.1 113.1 149.1 125.8 141.3 133.6L112.5 162.3C107.5 167.4 111 176 118.2 176H232C240.8 176 248 183.2 248 192L248 192zM433.3 162.1L515.1 221.4C517.3 223 520.1 223.7 522.9 223.4C532.2 222.3 536.1 210.1 529.5 204.4L514.7 189.6C506.9 181.8 506.9 169.1 514.7 161.3C522.5 153.5 535.2 153.5 543 161.3L588.1 206.4L588.9 207.2C625.3 244.4 625 304.1 588.1 341C570.3 358.9 546.1 368.9 520.8 368.9H456C447.2 368.9 440 361.7 440 352.9C440 344.1 447.2 336.9 456 336.9H475.5C478 336.9 480 334.9 480 332.5C480 329.1 478 328 475.5 328H408C399.2 328 392 320.8 392 312C392 303.2 399.2 296 408 296H476C478.2 296 480 294.2 480 292C480 289.8 478.2 288 476 288H392C383.2 288 376 280.8 376 272C376 263.2 383.2 256 392 256H466.6C473.1 256 480 249.1 480 242.6C480 238.2 477.9 234.2 474.4 231.6L414.7 189C407.5 183.9 405.8 173.9 410.1 166.7C416.1 159.5 426.1 157.8 433.3 162.1H433.3z"],
    "face-hand-yawn": [512, 512, [], "e379", "M112 406.1V416.8C112 438.7 117.5 459.3 127.3 477.4C51.17 432.1 0 350.5 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 369.1 438.7 465.1 336.9 498.9L385.9 449.9C397.6 438.2 402 422 399.1 406.9C439.1 369 464 315.4 464 256C464 141.1 370.9 48 256 48C141.1 48 48 141.1 48 256C48 314.1 72.55 368.2 112 406.1V406.1zM256 207.1C291.6 207.1 322.6 227.4 339.2 256.1C334.4 255.8 329.6 256.2 324.9 257.3C323.1 256.2 322.1 255.1 321.9 254.1C303.2 235.3 272.8 235.3 254.1 254.1L206.1 301.1C197.6 287.4 181.9 278.4 164 278.4L163.5 278.4C174.7 237.8 211.8 207.1 256 207.1V207.1zM226.7 105C235 115.4 233.3 130.5 222.1 138.7L142.1 202.7C132.6 211 117.5 209.3 109.3 198.1C100.1 188.6 102.7 173.5 113 165.3L193 101.3C203.4 92.98 218.5 94.66 226.7 105V105zM289 138.7C278.7 130.5 276.1 115.4 285.3 105C293.5 94.66 308.6 92.98 318.1 101.3L398.1 165.3C409.3 173.5 411 188.6 402.7 198.1C394.5 209.3 379.4 211 369 202.7L289 138.7zM299.3 276.7C305.6 282.9 305.6 293.1 299.3 299.3L248 350.6C245.4 353.2 245.4 357.4 248 360C250.6 362.6 254.8 362.6 257.4 360L324.7 292.7C330.9 286.4 341.1 286.4 347.3 292.7C353.6 298.9 353.6 309.1 347.3 315.3L280 382.6C277.4 385.2 277.4 389.4 280 392C282.6 394.6 286.8 394.6 289.4 392L340.7 340.7C346.9 334.4 357.1 334.4 363.3 340.7C369.6 346.9 369.6 357.1 363.3 363.3L312 414.6C309.4 417.2 309.4 421.4 312 424C314.6 426.6 318.8 426.6 321.4 424L340.7 404.7C346.9 398.4 357.1 398.4 363.3 404.7C369.6 410.9 369.6 421.1 363.3 427.3L306.5 484.1C288.7 501.1 264.4 512 239.2 512C186.6 512 144 469.4 144 416.8V330.4C144 319.4 152.1 310.4 164 310.4C175 310.4 184 319.4 184 330.4V350.1C184 357.2 192.6 360.8 197.7 355.7L276.7 276.7C282.9 270.4 293.1 270.4 299.3 276.7L299.3 276.7z"],
    "face-head-bandage": [576, 512, [], "e37a", "M71.29 353.1C77.85 344.2 84.73 334.8 91.91 325.6C120.5 406.2 197.5 464 288 464C402.9 464 496 370.9 496 256C496 242.8 494.8 229.8 492.4 217.3C504.3 220.3 516.1 223.6 527.8 227.1L542.9 231.6C543.6 239.6 544 247.8 544 256C544 397.4 429.4 512 288 512C188.5 512 102.2 455.2 59.83 372.2C62.31 368.4 64.59 364.7 66.56 361.5C68.48 358.4 70.09 355.7 71.29 353.1V353.1zM240.4 240C240.4 257.7 226 272 208.4 272C190.7 272 176.4 257.7 176.4 240C189.9 229.2 203.9 219.1 218.5 209.6C231.2 213.9 240.4 225.9 240.4 240zM368.1 12.79C323 21.94 279.6 35.83 238.5 53.92C224.6 57.31 211.3 62.09 198.7 68.1C165.2 71.19 132.2 76 99.81 82.44C146.6 31.75 213.6 0 288 0C315.1 0 342.9 4.491 368.1 12.79V12.79zM296 368C283.7 368 272.8 369.9 263.2 372.9C250.6 376.9 237.1 369.9 233.1 357.2C229.1 344.6 236.2 331.1 248.8 327.1C262.1 322.7 278.8 319.1 296 319.1C342.5 319.1 377.4 339.3 400.2 359.9C409.1 368.9 410.7 384 401.8 393.8C392.8 403.6 377.7 404.4 367.9 395.4C352.2 381.2 328.4 368 296 368H296zM400.4 240C400.4 257.7 386 272 368.4 272C350.7 272 336.4 257.7 336.4 240C336.4 222.3 350.7 208 368.4 208C386 208 400.4 222.3 400.4 240zM420.1 36.7C440.9 49.25 459.8 64.69 476.2 82.44C419.3 71.13 360.6 64.86 300.6 64.08C338.9 51.1 378.9 41.83 420.1 36.7V36.7zM405.1 103.4C439.9 107.7 473.3 113.9 506 121.8C520.1 144.5 530.7 169.7 537 196.4C458.2 172.7 374.6 160 287.1 160C270.9 160 253.9 160.5 237 161.5C189.2 164.3 142.5 170.9 97.08 181.2C77.45 185.6 58.07 190.7 38.97 196.4C45.35 169.7 55.93 144.5 69.98 121.8C118.4 110.1 168.2 102.2 219.2 98.51C241.9 96.85 264.9 96 287.1 96C327.1 96 367.3 98.53 405.1 103.4zM50.33 226.4C91.29 214.2 133.6 205.1 176.1 199.3C125.3 236.8 80.5 283.1 44.77 336.1C36.48 310.9 32 283.1 32 256C32 252.1 32.05 249.9 32.16 246.9C38.06 239.9 44.12 233.1 50.33 226.4V226.4z"],
    "face-holding-back-tears": [512, 512, [129401], "e482", "M128 240C145.7 240 160 225.7 160 208C177.7 208 192 222.3 192 240C192 257.7 177.7 272 160 272C142.3 272 128 257.7 128 240zM240 304C240 312.8 232.8 320 224 320C215.2 320 208 312.8 208 304C194.6 314 178 320 160 320C148.6 320 137.8 317.6 128 313.3V320C128 328.8 120.8 336 112 336C103.2 336 96 328.8 96 320V288C85.95 274.6 80 258 80 240C80 221.1 85.95 205.4 95.99 192C88.04 192 81.14 186.1 80.12 177.1C79.03 169.2 85.25 161.2 94.02 160.1L105.5 158.7C130.1 155.5 152.1 137.4 159.1 112.8L160.6 107.6C163 99.11 171.9 94.19 180.4 96.62C188.9 99.04 193.8 107.9 191.4 116.4L189.9 121.5C185.7 136.3 178.1 149.6 168 160.4C208.5 164.4 240 198.5 240 240V304zM160 192C133.5 192 112 213.5 112 240C112 266.5 133.5 288 160 288C186.5 288 208 266.5 208 240C208 213.5 186.5 192 160 192zM384 240C384 257.7 369.7 272 352 272C334.3 272 320 257.7 320 240C337.7 240 352 225.7 352 208C369.7 208 384 222.3 384 240zM416 320C416 328.8 408.8 336 400 336C391.2 336 384 328.8 384 320V313.3C374.2 317.6 363.4 320 352 320C307.8 320 272 284.2 272 240C272 198.5 303.5 164.4 343.1 160.4C333.9 149.6 326.3 136.3 322.1 121.5L320.6 116.4C318.2 107.9 323.1 99.04 331.6 96.62C340.1 94.19 348.1 99.11 351.4 107.6L352.9 112.8C359.9 137.4 381 155.5 406.5 158.7L417.1 160.1C426.8 161.2 432.1 169.2 431.9 177.1C430.9 186.1 423.1 192 416 192C426 205.4 432 221.1 432 240C432 258 426 274.6 416 288V320zM352 288C378.5 288 400 266.5 400 240C400 213.5 378.5 192 352 192C325.5 192 304 213.5 304 240C304 266.5 325.5 288 352 288zM310.4 362.5C319.3 352.8 334.5 352.2 344.3 361.1C354 370.1 354.6 385.3 345.6 395.1C328.3 413.8 298.3 434 256 434C213.7 434 183.7 413.8 166.4 395.1C157.4 385.3 157.1 370.1 167.7 361.1C177.5 352.2 192.7 352.8 201.6 362.5C212.1 373.9 230.1 386 256 386C281.9 386 299.9 373.9 310.4 362.5V362.5zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "face-hushed": [512, 512, [], "e37b", "M144.4 256C144.4 238.3 158.7 224 176.4 224C194 224 208.4 238.3 208.4 256C208.4 273.7 194 288 176.4 288C158.7 288 144.4 273.7 144.4 256zM368.4 256C368.4 273.7 354 288 336.4 288C318.7 288 304.4 273.7 304.4 256C304.4 238.3 318.7 224 336.4 224C354 224 368.4 238.3 368.4 256zM122.9 187.7C116.5 193.7 106.3 193.4 100.3 186.9C94.28 180.5 94.62 170.3 101.1 164.3C121.1 145.6 146.6 132.9 174.8 129.1C180.4 128.4 186.2 128 192 128C200.8 128 208 135.2 208 144C208 152.8 200.8 160 192 160C187.6 160 183.2 160.3 178.1 160.9C157.8 163.7 138.4 173.2 122.9 187.7zM304 144C304 135.2 311.2 128 320 128C325.8 128 331.6 128.4 337.2 129.1C365.4 132.9 390.9 145.6 410.9 164.3C417.4 170.3 417.7 180.5 411.7 186.9C405.7 193.4 395.5 193.7 389.1 187.7C373.6 173.2 354.2 163.7 333 160.9C328.8 160.3 324.4 160 320 160C311.2 160 304 152.8 304 144zM208 384C208 357.5 229.5 336 256 336C282.5 336 304 357.5 304 384C304 410.5 282.5 432 256 432C229.5 432 208 410.5 208 384zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "face-icicles": [512, 512, [], "e37c", "M256 48C141.1 48 48 141.1 48 256C48 257.4 47.89 258.7 47.67 260L32.66 440C32.29 444.5 28.52 448 24 448C19.48 448 15.71 444.5 15.34 440L.3347 260C.1146 258.7 0 257.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 257 511.9 258 511.8 259L496.5 504C496.2 508.5 492.5 512 488 512C483.5 512 479.8 508.5 479.5 504L464.2 259C464.1 258 464 257 464 256C464 141.1 370.9 48 256 48V48zM344 288C374.9 288 400 313.1 400 344C400 359.7 393.6 373.8 383.2 384L374.3 470.7C373.7 475.1 369.3 480 364 480C358.7 480 354.3 475.1 353.7 470.7L346.5 399.9C345.6 399.1 344.8 400 344 400H317.3L310.9 438.8C309.1 444.1 305.4 448 300 448C294.6 448 290 444.1 289.1 438.8L282.7 400H168C137.1 400 112 374.9 112 344C112 313.1 137.1 287.1 168 287.1L344 288zM168 320C154.7 320 144 330.7 144 344C144 357.3 154.7 368 168 368H176V320H168zM208 368H240V320H208V368zM304 320H272V368H304V320zM336 368H344C357.3 368 368 357.3 368 344C368 330.7 357.3 320 344 320H336V368zM208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208zM304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208zM255.1 512C180.5 512 112.7 479.3 65.83 427.4L72.02 353.1C106.9 419.1 176.2 464 255.1 464C259.5 464 262.9 463.9 266.3 463.7C274.3 473.7 286.5 480 300 480C307.9 480 315.4 477.8 321.9 474C322.9 484.1 327.5 493.1 334.3 499.8C309.6 507.7 283.3 512 255.1 512V512zM407.3 462.5L414.7 390.5C423.6 379.1 431.5 368.6 438.2 356.4L442.9 430.1C432 442.6 420.1 453.1 407.3 462.5H407.3z"],
    "face-kiss": [512, 512, [128535, "kiss"], "f596", "M304.7 281.7C308.9 286.8 312 293.1 312 300C312 306.9 308.9 313.2 304.7 318.3C300.4 323.5 294.5 328 287.9 331.7C285.2 333.3 282.3 334.7 279.2 336C282.3 337.3 285.2 338.7 287.9 340.3C294.5 343.1 300.4 348.5 304.7 353.7C308.9 358.8 312 365.1 312 372C312 378.9 308.9 385.2 304.7 390.3C300.4 395.5 294.5 400 287.9 403.7C274.7 411.1 257.4 416 240 416C236.4 416 233.2 413.5 232.3 410C231.3 406.5 232.9 402.8 236.1 401L236.1 401L236.3 400.9C236.5 400.8 236.8 400.6 237.2 400.3C238 399.9 239.2 399.1 240.6 398.2C243.4 396.4 247.2 393.7 250.8 390.6C254.6 387.5 258 384 260.5 380.6C262.1 377 264 374.2 264 372C264 369.8 262.1 366.1 260.5 363.4C258 359.1 254.6 356.5 250.8 353.4C247.2 350.3 243.4 347.6 240.6 345.8C239.2 344.9 238 344.1 237.2 343.7L236.5 343.2L236.3 343.1L236.1 342.1L236.1 342.1C233.6 341.6 232 338.9 232 336C232 333.1 233.6 330.4 236.1 329L236.1 329L236.3 328.9C236.5 328.8 236.8 328.6 237.2 328.3C238 327.9 239.2 327.1 240.6 326.2C243.4 324.4 247.2 321.7 250.8 318.6C254.6 315.5 258 312.1 260.5 308.6C262.1 305 264 302.2 264 300C264 297.8 262.1 294.1 260.5 291.4C258 287.1 254.6 284.5 250.8 281.4C247.2 278.3 243.4 275.6 240.6 273.8C239.2 272.9 238 272.1 237.2 271.7C236.8 271.4 236.5 271.2 236.3 271.1L236.1 270.1L236.1 270.1C232.9 269.2 231.3 265.5 232.3 261.1C233.2 258.5 236.4 256 240 256C257.4 256 274.7 260.9 287.9 268.3C294.5 271.1 300.4 276.5 304.7 281.7V281.7zM208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208zM304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "face-kiss-beam": [512, 512, [128537, "kiss-beam"], "f597", "M304.7 297.7C308.9 302.8 312 309.1 312 316C312 322.9 308.9 329.2 304.7 334.3C300.4 339.5 294.5 344 287.9 347.7C285.2 349.3 282.3 350.7 279.2 352C282.3 353.3 285.2 354.7 287.9 356.3C294.5 359.1 300.4 364.5 304.7 369.7C308.9 374.8 312 381.1 312 388C312 394.9 308.9 401.2 304.7 406.3C300.4 411.5 294.5 416 287.9 419.7C274.7 427.1 257.4 432 240 432C236.4 432 233.2 429.5 232.3 426C231.3 422.5 232.9 418.8 236.1 417L236.1 417L236.3 416.9C236.5 416.8 236.8 416.6 237.2 416.3C238 415.9 239.2 415.1 240.6 414.2C243.4 412.4 247.2 409.7 250.8 406.6C254.6 403.5 258 400 260.5 396.6C262.1 393 264 390.2 264 388C264 385.8 262.1 382.1 260.5 379.4C258 375.1 254.6 372.5 250.8 369.4C247.2 366.3 243.4 363.6 240.6 361.8C239.2 360.9 238 360.1 237.2 359.7C236.8 359.4 236.5 359.2 236.3 359.1L236.1 358.1L236.1 358.1C233.6 357.6 232 354.9 232 352C232 349.1 233.6 346.4 236.1 345L236.1 345L236.3 344.9C236.5 344.8 236.8 344.6 237.2 344.3C238 343.9 239.2 343.1 240.6 342.2C243.4 340.4 247.2 337.7 250.8 334.6C254.6 331.5 258 328.1 260.5 324.6C262.1 321 264 318.2 264 316C264 313.8 262.1 310.1 260.5 307.4C258 303.1 254.6 300.5 250.8 297.4C247.2 294.3 243.4 291.6 240.6 289.8C239.2 288.9 238 288.1 237.2 287.7C236.8 287.4 236.5 287.2 236.3 287.1L236.1 286.1L236.1 286.1C232.9 285.2 231.3 281.5 232.3 277.1C233.2 274.5 236.4 272 240 272C257.4 272 274.7 276.9 287.9 284.3C294.5 287.1 300.4 292.5 304.7 297.7L304.7 297.7zM217.6 228.8L217.6 228.8L217.4 228.5C217.2 228.3 217 228 216.7 227.6C216 226.8 215.1 225.7 213.9 224.3C211.4 221.4 207.9 217.7 203.7 213.1C194.9 206.2 184.8 200 176 200C167.2 200 157.1 206.2 148.3 213.1C144.1 217.7 140.6 221.4 138.1 224.3C136.9 225.7 135.1 226.8 135.3 227.6C134.1 228 134.8 228.3 134.6 228.5L134.4 228.8L134.4 228.8C132.3 231.6 128.7 232.7 125.5 231.6C122.2 230.5 120 227.4 120 224C120 206.1 126.7 188.4 136.6 175.2C146.4 162.2 160.5 152 176 152C191.5 152 205.6 162.2 215.4 175.2C225.3 188.4 232 206.1 232 224C232 227.4 229.8 230.5 226.5 231.6C223.3 232.7 219.7 231.6 217.6 228.8V228.8zM377.6 228.8L377.4 228.5C377.2 228.3 377 228 376.7 227.6C376 226.8 375.1 225.7 373.9 224.3C371.4 221.4 367.9 217.7 363.7 213.1C354.9 206.2 344.8 200 336 200C327.2 200 317.1 206.2 308.3 213.1C304.1 217.7 300.6 221.4 298.1 224.3C296.9 225.7 295.1 226.8 295.3 227.6C294.1 228 294.8 228.3 294.6 228.5L294.4 228.8L294.4 228.8C292.3 231.6 288.7 232.7 285.5 231.6C282.2 230.5 280 227.4 280 224C280 206.1 286.7 188.4 296.6 175.2C306.4 162.2 320.5 152 336 152C351.5 152 365.6 162.2 375.4 175.2C385.3 188.4 392 206.1 392 224C392 227.4 389.8 230.5 386.5 231.6C383.3 232.7 379.7 231.6 377.6 228.8L377.6 228.8zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "face-kiss-closed-eyes": [512, 512, [], "e37d", "M304.7 297.7C308.9 302.8 312 309.1 312 316C312 322.9 308.9 329.2 304.7 334.3C300.4 339.5 294.5 344 287.9 347.7C285.2 349.3 282.3 350.7 279.2 352C282.3 353.3 285.2 354.7 287.9 356.3C294.5 359.1 300.4 364.5 304.7 369.7C308.9 374.8 312 381.1 312 388C312 394.9 308.9 401.2 304.7 406.3C300.4 411.5 294.5 416 287.9 419.7C274.7 427.1 257.4 432 240 432C236.4 432 233.2 429.5 232.3 426C231.3 422.5 232.9 418.8 236.1 417L236.1 417L236.3 416.9C236.5 416.8 236.8 416.6 237.2 416.3C238 415.9 239.2 415.1 240.6 414.2C243.4 412.4 247.2 409.7 250.8 406.6C254.6 403.5 258 400 260.5 396.6C262.1 393 264 390.2 264 388C264 385.8 262.1 382.1 260.5 379.4C258 375.1 254.6 372.5 250.8 369.4C247.2 366.3 243.4 363.6 240.6 361.8C239.2 360.9 238 360.1 237.2 359.7C236.8 359.4 236.5 359.2 236.3 359.1L236.1 358.1L236.1 358.1C233.6 357.6 232 354.9 232 352C232 349.1 233.6 346.4 236.1 345L236.1 345L236.3 344.9C236.5 344.8 236.8 344.6 237.2 344.3C238 343.9 239.2 343.1 240.6 342.2C243.4 340.4 247.2 337.7 250.8 334.6C254.6 331.5 258 328.1 260.5 324.6C262.1 321 264 318.2 264 316C264 313.8 262.1 310.1 260.5 307.4C258 303.1 254.6 300.5 250.8 297.4C247.2 294.3 243.4 291.6 240.6 289.8C239.2 288.9 238 288.1 237.2 287.7C236.8 287.4 236.5 287.2 236.3 287.1L236.1 286.1L236.1 286.1C232.9 285.2 231.3 281.5 232.3 277.1C233.2 274.5 236.4 272 240 272C257.4 272 274.7 276.9 287.9 284.3C294.5 287.1 300.4 292.5 304.7 297.7L304.7 297.7zM175.6 220C164.1 220 155.7 223.8 150.2 229.7C142.7 237.7 130 238.1 121.9 230.6C113.9 223 113.5 210.4 121 202.3C135.6 186.8 156.3 180 175.6 180C194.1 180 215.7 186.8 230.2 202.3C237.8 210.4 237.4 223 229.3 230.6C221.2 238.1 208.6 237.7 201 229.7C195.6 223.8 186.3 220 175.6 220V220zM281.9 230.6C273.9 223 273.5 210.4 281 202.3C295.6 186.8 316.3 180 335.6 180C354.1 180 375.7 186.8 390.2 202.3C397.8 210.4 397.4 223 389.3 230.6C381.2 238.1 368.6 237.7 361 229.7C355.6 223.8 346.3 220 335.6 220C324.1 220 315.7 223.8 310.2 229.7C302.7 237.7 290 238.1 281.9 230.6zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "face-kiss-wink-heart": [512, 512, [128536, "kiss-wink-heart"], "f598", "M345.3 472.1C347.3 479.7 350.9 486.4 355.7 491.8C325.1 504.8 291.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 285.3 507.1 313.4 498 339.7C486.9 334.1 474.5 333.1 461.8 334.6C459.7 329.4 457 324.6 453.9 320.1C460.5 299.9 464 278.4 464 256C464 141.1 370.9 48 256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C285.4 464 313.5 457.9 338.9 446.8L345.3 472.1zM288.7 334.3C284.4 339.5 278.5 344 271.9 347.7C269.2 349.3 266.3 350.7 263.2 352C266.3 353.3 269.2 354.7 271.9 356.3C278.5 359.1 284.4 364.5 288.7 369.7C292.9 374.8 296 381.1 296 388C296 394.9 292.9 401.2 288.7 406.3C284.4 411.5 278.5 416 271.9 419.7C258.7 427.1 241.4 432 224 432C220.4 432 217.2 429.5 216.3 426C215.3 422.5 216.9 418.8 220.1 417L220.1 417L220.3 416.9C220.5 416.8 220.8 416.6 221.2 416.3C222 415.9 223.2 415.1 224.6 414.2C227.4 412.4 231.2 409.7 234.8 406.6C238.6 403.5 242 400 244.5 396.6C246.1 393 248 390.2 248 388C248 385.8 246.1 382.1 244.5 379.4C242 375.1 238.6 372.5 234.8 369.4C231.2 366.3 227.4 363.6 224.6 361.8C223.2 360.9 222 360.1 221.2 359.7C220.8 359.4 220.5 359.2 220.3 359.1L220.1 358.1L220.1 358.1C217.6 357.6 216 354.9 216 352C216 349.1 217.6 346.4 220.1 345L220.1 345L220.3 344.9C220.5 344.8 220.8 344.6 221.2 344.3C222 343.9 223.2 343.1 224.6 342.2C227.4 340.4 231.2 337.7 234.8 334.6C238.6 331.5 242 328.1 244.5 324.6C246.1 321 248 318.2 248 316C248 313.8 246.1 310.1 244.5 307.4C242 303.1 238.6 300.5 234.8 297.4C231.2 294.3 227.4 291.6 224.6 289.8C223.2 288.9 222 288.1 221.2 287.7C220.8 287.4 220.5 287.2 220.3 287.1L220.1 286.1L220.1 286.1C216.9 285.2 215.3 281.5 216.3 277.1C217.2 274.5 220.4 272 224 272C241.4 272 258.7 276.9 271.9 284.3C278.5 287.1 284.4 292.5 288.7 297.7C292.9 302.8 296 309.1 296 316C296 322.9 292.9 329.2 288.7 334.3V334.3zM144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208zM335.6 220C324.1 220 315.7 223.8 310.2 229.7C302.7 237.7 290 238.1 281.9 230.6C273.9 223 273.5 210.4 281 202.3C295.6 186.8 316.3 180 335.6 180C354.1 180 375.7 186.8 390.2 202.3C397.8 210.4 397.4 223 389.3 230.6C381.2 238.1 368.6 237.7 361 229.7C355.6 223.8 346.3 220 335.6 220zM439.4 373.3L459.5 367.6C481.7 361.4 504.6 375.2 510.6 398.4C516.5 421.7 503.3 445.6 481.1 451.8L396.1 475.6C387.5 478 378.6 472.9 376.3 464.2L353.4 374.9C347.5 351.6 360.7 327.7 382.9 321.5C405.2 315.3 428 329.1 433.1 352.3L439.4 373.3z"],
    "face-laugh": [512, 512, ["laugh"], "f599", "M130.7 313.9C126.5 300.4 137.8 288 151.1 288H364.5C378.7 288 389.9 300.4 385.8 313.9C368.1 368.4 318.2 408 258.2 408C198.2 408 147.5 368.4 130.7 313.9V313.9zM208.4 192C208.4 209.7 194 224 176.4 224C158.7 224 144.4 209.7 144.4 192C144.4 174.3 158.7 160 176.4 160C194 160 208.4 174.3 208.4 192zM304.4 192C304.4 174.3 318.7 160 336.4 160C354 160 368.4 174.3 368.4 192C368.4 209.7 354 224 336.4 224C318.7 224 304.4 209.7 304.4 192zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "face-laugh-beam": [512, 512, [128513, "laugh-beam"], "f59a", "M130.7 313.9C126.5 300.4 137.8 288 151.1 288H364.5C378.7 288 389.9 300.4 385.8 313.9C368.1 368.4 318.2 408 258.2 408C198.2 408 147.5 368.4 130.7 313.9V313.9zM217.6 228.8L217.6 228.8L217.4 228.5C217.2 228.3 217 228 216.7 227.6C216 226.8 215.1 225.7 213.9 224.3C211.4 221.4 207.9 217.7 203.7 213.1C194.9 206.2 184.8 200 176 200C167.2 200 157.1 206.2 148.3 213.1C144.1 217.7 140.6 221.4 138.1 224.3C136.9 225.7 135.1 226.8 135.3 227.6C134.1 228 134.8 228.3 134.6 228.5L134.4 228.8L134.4 228.8C132.3 231.6 128.7 232.7 125.5 231.6C122.2 230.5 120 227.4 120 224C120 206.1 126.7 188.4 136.6 175.2C146.4 162.2 160.5 152 176 152C191.5 152 205.6 162.2 215.4 175.2C225.3 188.4 232 206.1 232 224C232 227.4 229.8 230.5 226.5 231.6C223.3 232.7 219.7 231.6 217.6 228.8V228.8zM377.6 228.8L377.4 228.5C377.2 228.3 377 228 376.7 227.6C376 226.8 375.1 225.7 373.9 224.3C371.4 221.4 367.9 217.7 363.7 213.1C354.9 206.2 344.8 200 336 200C327.2 200 317.1 206.2 308.3 213.1C304.1 217.7 300.6 221.4 298.1 224.3C296.9 225.7 295.1 226.8 295.3 227.6C294.1 228 294.8 228.3 294.6 228.5L294.4 228.8L294.4 228.8C292.3 231.6 288.7 232.7 285.5 231.6C282.2 230.5 280 227.4 280 224C280 206.1 286.7 188.4 296.6 175.2C306.4 162.2 320.5 152 336 152C351.5 152 365.6 162.2 375.4 175.2C385.3 188.4 392 206.1 392 224C392 227.4 389.8 230.5 386.5 231.6C383.3 232.7 379.7 231.6 377.6 228.8L377.6 228.8zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "face-laugh-squint": [512, 512, ["laugh-squint"], "f59b", "M130.7 313.9C126.5 300.4 137.8 288 151.1 288H364.5C378.7 288 389.9 300.4 385.8 313.9C368.1 368.4 318.2 408 258.2 408C198.2 408 147.5 368.4 130.7 313.9V313.9zM223.4 178.6C234.1 184.3 234.1 199.7 223.4 205.4L133.5 253.3C125.6 257.6 116 251.8 116 242.9C116 240.1 116.1 237.4 118.8 235.2L154.8 192L118.8 148.8C116.1 146.6 116 143.9 116 141.1C116 132.2 125.6 126.4 133.5 130.7L223.4 178.6zM393.2 148.8L357.2 192L393.2 235.2C395 237.4 396 240.1 396 242.9C396 251.8 386.4 257.6 378.5 253.3L288.6 205.4C277.9 199.7 277.9 184.3 288.6 178.6L378.5 130.7C386.4 126.4 396 132.2 396 141.1C396 143.9 395 146.6 393.2 148.8V148.8zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "face-laugh-wink": [512, 512, ["laugh-wink"], "f59c", "M130.7 313.9C126.5 300.4 137.8 288 151.1 288H364.5C378.7 288 389.9 300.4 385.8 313.9C368.1 368.4 318.2 408 258.2 408C198.2 408 147.5 368.4 130.7 313.9V313.9zM208.4 192C208.4 209.7 194 224 176.4 224C158.7 224 144.4 209.7 144.4 192C144.4 174.3 158.7 160 176.4 160C194 160 208.4 174.3 208.4 192zM281.9 214.6C273.9 207 273.5 194.4 281 186.3C295.6 170.8 316.3 164 335.6 164C354.1 164 375.7 170.8 390.2 186.3C397.8 194.4 397.4 207 389.3 214.6C381.2 222.1 368.6 221.7 361 213.7C355.6 207.8 346.3 204 335.6 204C324.1 204 315.7 207.8 310.2 213.7C302.7 221.7 290 222.1 281.9 214.6zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "face-lying": [512, 512, [], "e37e", "M208.4 176C208.4 193.7 194 208 176.4 208C158.7 208 144.4 193.7 144.4 176C144.4 158.3 158.7 144 176.4 144C194 144 208.4 158.3 208.4 176zM368.4 176C368.4 193.7 354 208 336.4 208C318.7 208 304.4 193.7 304.4 176C304.4 158.3 318.7 144 336.4 144C354 144 368.4 158.3 368.4 176zM161.6 395.2C150.1 387.2 148.9 372.2 156.8 361.6C175.7 336.4 205.1 320 240 320C254.7 320 268.8 323.1 281.6 328.7C293.8 333.1 299.3 348.1 293.1 360.3C288.7 372.4 274.5 377.1 262.4 372.6C255.6 369.7 248 368 240 368C221.7 368 205.4 376.8 195.2 390.4C187.2 401 172.2 403.1 161.6 395.2L161.6 395.2zM498.7 337.7C464.6 439 368.8 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 264.8 511.6 273.6 510.7 282.2C511.5 286.7 512 291.3 512 296C512 311.6 507.1 325.1 498.7 337.7zM352 368C338.7 368 328 357.3 328 344C328 330.7 338.7 320 352 320H440C453.3 320 464 309.3 464 296C464 282.7 453.3 272 440 272H288C274.7 272 264 261.3 264 248C264 234.7 274.7 224 288 224H440C447.7 224 455.1 225.2 462.1 227.4C448.1 126.1 361.2 48 256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C329.6 464 394.3 425.7 431.3 368H352z"],
    "face-mask": [576, 512, [], "e37f", "M136.6 210.4C126.5 201.1 125.1 186.8 133.6 176.6C146.6 161 181.6 136 231.1 136C245.3 136 255.1 146.7 255.1 160C255.1 173.3 245.3 184 231.1 184C197.1 184 175.2 201.6 170.4 207.4C161.1 217.5 146.8 218.9 136.6 210.4L136.6 210.4zM320 160C320 146.7 330.7 136 344 136C392.9 136 427.5 156.2 440.1 169.7C450.3 179.1 450.3 194.3 440.1 203.6C431.6 213 416.4 213 407 203.6C402.7 199.3 380.4 184 344 184C330.7 184 320 173.3 320 160V160zM287.1 .0003C413.2 .0003 517.4 89.86 539.6 208.6C546.7 206.6 554.5 209.7 558.1 216.5C562.3 224.3 559.3 233.1 551.5 238.1L543.6 242.3C543.9 246.9 544 251.4 544 256C544 397.4 429.4 512 288 512C146.6 512 32 397.4 32 256C32 251.4 32.12 246.9 32.36 242.3L24.47 238.1C16.67 233.1 13.72 224.3 17.88 216.5C21.49 209.7 29.28 206.6 36.38 208.6C58.6 89.86 162.8 0 288 0L287.1 .0003zM127.1 388.9V312C127.1 305.1 128.8 300.1 130.4 294.6L80.34 267.9C82.93 313.8 100.4 355.7 127.1 388.9zM146.5 266.1C158.1 255.2 174.2 248 191.1 248H384C401.8 248 417.9 255.2 429.5 266.1L494.7 232.2C482.8 128.5 394.8 48 287.1 48C181.2 48 93.16 128.5 81.35 232.2L146.5 266.1zM495.7 267.9L445.6 294.6C447.2 300.1 448 305.1 448 312V388.9C475.6 355.7 493.1 313.8 495.7 267.9zM175.1 320H400V312C400 303.2 392.8 296 384 296H191.1C183.2 296 175.1 303.2 175.1 312V320zM175.1 384H400V352H175.1V384zM199.1 440H376C389.3 440 400 429.3 400 416H175.1C175.1 429.3 186.7 440 199.1 440z"],
    "face-meh": [512, 512, [128528, "meh"], "f11a", "M144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208zM368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208zM328 328C341.3 328 352 338.7 352 352C352 365.3 341.3 376 328 376H184C170.7 376 160 365.3 160 352C160 338.7 170.7 328 184 328H328zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464z"],
    "face-meh-blank": [512, 512, [128566, "meh-blank"], "f5a4", "M208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208zM304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "face-melting": [640, 512, [129760], "e483", "M224.6 180.7C229.2 163.7 246.7 153.5 263.8 158.1C280.9 162.7 290.1 180.2 286.4 197.3C281.8 214.4 264.3 224.5 247.2 219.9C230.2 215.4 220 197.8 224.6 180.7V180.7zM440.1 238.7C436.4 255.8 418.8 265.9 401.8 261.3C384.7 256.8 374.6 239.2 379.1 222.2C383.7 205.1 401.3 194.1 418.3 199.5C435.4 204.1 445.5 221.6 440.1 238.7zM293.1 340.5C332.2 350.9 364.9 338.8 386.3 324.3C397.3 316.9 412.2 319.8 419.6 330.7C427.1 341.7 424.2 356.6 413.2 364.1C383.7 384 336.7 401.8 280.7 386.8C224.6 371.8 192.8 332.9 177.3 300.8C171.5 288.9 176.4 274.6 188.3 268.8C200.3 262.1 214.6 267.9 220.4 279.9C231.7 303.1 254 329.1 293.1 340.5L293.1 340.5zM.0003 488C.0003 474.7 10.75 464 24 464H46.39C85.25 464 108.3 405 90.92 370.3C63.96 316.3 55.88 252.6 72.72 189.7C109.3 53.18 249.7-27.87 386.3 8.723C522.8 45.32 603.9 185.7 567.3 322.3C561.4 344.1 576.5 367.1 599.1 368H616C629.3 368 640 378.7 640 392C640 405.3 629.3 416 616 416H552C538.7 416 528 426.7 528 440C528 453.3 538.7 464 552 464C565.3 464 576 474.7 576 488C576 501.3 565.3 512 552 512H325.8C322.1 512.1 318.3 512.1 314.5 512H24C10.75 512 0 501.3 0 488L.0003 488zM324.8 464L325.3 464H484.1C481.4 456.5 480 448.4 480 440C480 408.6 500.1 381.9 528.1 372.1C518.3 352.7 515.5 329.9 520.9 309.8C550.6 198.9 484.8 84.82 373.8 55.09C262.9 25.36 148.8 91.2 119.1 202.2C105.4 253.3 111.9 304.9 133.9 348.8C150.6 382.3 146.2 421.2 133.6 449.6C131.6 454.3 129 459.1 126 464H315L315.6 464C318.6 464.1 321.7 464.1 324.8 464L324.8 464z"],
    "face-monocle": [512, 512, [], "e380", "M176.4 191.1C176.4 209.7 162 223.1 144.4 223.1C126.7 223.1 112.4 209.7 112.4 191.1C112.4 174.3 126.7 159.1 144.4 159.1C162 159.1 176.4 174.3 176.4 191.1zM144 352C144 343.2 151.2 336 160 336C177.7 336 205.3 339.5 232.2 349.9C258.1 360.3 287.1 378.3 302.3 408.8C306.3 416.7 303.1 426.4 295.2 430.3C287.3 434.3 277.6 431.1 273.7 423.2C263.3 402.5 243.4 388.5 220.6 379.7C197.9 370.9 174.3 368 160 368C151.2 368 144 360.8 144 352L144 352zM288.4 223.1C288.4 206.3 302.7 191.1 320.4 191.1C338 191.1 352.4 206.3 352.4 223.1C352.4 241.7 338 255.1 320.4 255.1C302.7 255.1 288.4 241.7 288.4 223.1zM493.1 475.3L504.5 482.4C511.1 487.1 514.3 496.1 509.6 504.5C504.9 511.1 495 514.3 487.5 509.6L476.2 502.5C454.3 488.8 437.4 469.1 427.2 446.3C381.9 487.2 321.8 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 318.8 489.4 376.3 451.9 420.9C458.4 443.2 472.9 462.7 493.1 475.3L493.1 475.3zM448 336.1C458.3 311.5 464 284.4 464 255.1C464 189.1 433.2 131.1 385.3 93.04C380 96.77 372.8 97.1 367.1 93.31L358.5 87.59C351.1 82.64 342.4 79.1 333.5 79.1C323.2 79.1 313.2 83.49 305.2 89.91L281.1 108.5C275.1 114 265 112.9 259.5 105.1C253.1 99.09 255.1 89.03 262 83.51L285.2 64.92C291.1 60.23 297.6 56.45 304.4 53.67C288.9 49.96 272.7 47.1 256 47.1C141.1 47.1 48 141.1 48 255.1C48 370.9 141.1 464 256 464C320.3 464 377.8 434.8 416 388.9V302.4C395.7 323.1 367.3 336 336 336C274.1 336 224 285.9 224 223.1C224 162.1 274.1 111.1 336 111.1C397.9 111.1 448 162.1 448 223.1V336.1zM336 143.1C291.8 143.1 256 179.8 256 223.1C256 268.2 291.8 303.1 336 303.1C380.2 303.1 416 268.2 416 223.1C416 179.8 380.2 143.1 336 143.1z"],
    "face-nauseated": [512, 512, [], "e381", "M335.6 240C317.1 240 303.6 225.7 303.6 208C303.6 190.3 317.1 176 335.6 176C353.3 176 367.6 190.3 367.6 208C367.6 225.7 353.3 240 335.6 240zM175.6 176C193.3 176 207.6 190.3 207.6 208C207.6 225.7 193.3 240 175.6 240C157.1 240 143.6 225.7 143.6 208C143.6 190.3 157.1 176 175.6 176zM187.9 130.7C164.4 154.3 134 169.9 101.1 175.4L98.63 175.8C89.91 177.2 81.67 171.3 80.22 162.6C78.76 153.9 84.65 145.7 93.37 144.2L95.85 143.8C122.2 139.4 146.5 126.9 165.3 108.1L172.7 100.7C178.9 94.44 189.1 94.44 195.3 100.7C201.6 106.9 201.6 117.1 195.3 123.3L187.9 130.7zM339.3 100.7L346.7 108.1C365.5 126.9 389.8 139.4 416.2 143.8L418.6 144.2C427.3 145.7 433.2 153.9 431.8 162.6C430.3 171.3 422.1 177.2 413.4 175.8L410.9 175.4C377.1 169.9 347.6 154.3 324.1 130.7L316.7 123.3C310.4 117.1 310.4 106.9 316.7 100.7C322.9 94.44 333.1 94.44 339.3 100.7V100.7zM208 312H304.2C310.3 293.2 323.2 277.5 339.1 267.8C351.5 261.2 366.1 265.1 372.8 276.5C379.4 288 375.5 302.7 364 309.3C354.6 314.8 348.3 324.1 348.3 336.6C348.3 348.2 354.6 358.3 364 363.8C375.5 370.4 379.4 385.1 372.8 396.6C366.1 408.1 351.5 411.1 339.1 405.3C322.9 395.4 309.8 379.3 303.8 360H208C201.1 379 188.1 394.1 172 404.8C160.5 411.4 145.9 407.5 139.2 396C132.6 384.5 136.5 369.9 147.1 363.2C157.4 357.8 163.7 347.6 163.7 336C163.7 324.4 157.4 314.2 147.1 308.8C136.5 302.1 132.6 287.5 139.2 275.1C145.9 264.5 160.5 260.6 172 267.2C188.1 277 201.1 292.1 208 311.1L208 312zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "face-nose-steam": [576, 512, [], "e382", "M288 464C308.9 464 329 460.9 348 455.2C351.1 463.9 356.2 472.1 363.1 479.1C364.4 480.4 365.8 481.6 367.1 482.8C367.4 488.1 368.4 493.4 370 498.6C344.3 507.3 316.7 512 288 512C258.6 512 230.4 507 204.1 497.9C205.8 492.7 206.8 487.3 207.1 481.9C208.5 480.7 209.8 479.5 211.1 478.2C217.1 471.3 222.1 463.2 226.1 454.6C245.6 460.7 266.4 464 288 464V464zM288 48C173.1 48 80 141.1 80 256C80 276.8 83.05 296.8 88.72 315.8C79.68 318.8 71.2 323.1 63.1 331.1C62.71 332.4 61.49 333.8 60.33 335.1C55.27 335.4 50.24 336.3 45.35 337.8C36.69 312.1 32 284.6 32 256C32 114.6 146.6 0 288 0C429.4 0 544 114.6 544 256C544 285.1 539.1 313 530.2 339.1C524.9 337.4 519.4 336.3 513.9 336C512.7 334.7 511.5 333.3 510.2 332C503.4 325.2 495.4 320.2 486.9 317.1C492.8 297.8 496 277.3 496 256C496 141.1 402.9 48 288 48H288zM377.9 443.6C374.4 432.6 377 419.1 385.8 411.2C390.1 406.9 395.5 404 401.1 402.7L352 320.9L433.8 369.1C435.1 364.4 437.1 359 442.3 354.7C451.2 345.8 463.1 343.2 475.1 346.9C475.1 346.9 475.1 346.9 475.1 346.9C479.7 348.5 483.1 351 487.6 354.7C488.2 355.3 488.9 355.1 489.4 356.7C493 360.9 495.3 365.9 496.4 371.1C501.3 368.7 506.7 367.7 512.1 367.1C514 368.1 515.9 368.4 517.9 368.8C523.4 370.2 528.6 372.1 532.9 377.3C545.3 389.8 545.3 410 532.9 422.5C530.8 424.6 528.5 426.3 526.1 427.7C540.6 446.5 539.2 473.6 521.9 490.8C504.7 508.1 477.6 509.4 458.8 494.1C457.4 497.4 455.7 499.7 453.7 501.7C441.2 514.2 420.9 514.2 408.4 501.7C403.1 496.4 400.1 489.8 399.2 482.9C399.2 482.2 399.1 481.6 399.1 480.9C399 479.6 399 478.3 399.1 476.9C399.4 472.9 400.4 468.9 402.2 465.2C397 464.2 392 461.9 387.8 458.3C387.1 457.8 386.4 457.1 385.8 456.5C382 452.7 379.4 448.3 377.9 443.6H377.9zM174.4 485.5C173.1 491.1 170.2 496.5 165.8 500.9C153.3 513.4 133.1 513.4 120.6 500.9C118.5 498.8 116.8 496.5 115.4 494.1C96.59 508.6 69.51 507.2 52.28 489.9C35.05 472.7 33.66 445.6 48.11 426.8C45.7 425.4 43.43 423.7 41.37 421.7C28.88 409.2 28.88 388.9 41.37 376.4C45.98 371.8 51.64 368.9 57.58 367.7C59.1 367.4 60.63 367.2 62.17 367.1C67.52 366.8 72.93 367.8 77.86 370.2C78.88 365 81.19 360 84.78 355.8C85.36 355.1 85.98 354.4 86.63 353.8C90.57 349.8 95.28 347.1 100.3 345.7C111.1 342.5 123.3 345.2 131.9 353.8C136.3 358.2 139.1 363.5 140.4 369.1L222.2 320L173.1 401.8C178.7 403.1 184.1 405.1 188.4 410.3C197.2 419.1 199.8 431.7 196.3 442.7C194.8 447.4 192.2 451.9 188.4 455.6C187.8 456.2 187.1 456.9 186.4 457.4C182.2 461 177.2 463.3 172 464.4C174.4 469.3 175.4 474.7 175.1 480.1C175 481.9 174.8 483.7 174.4 485.5V485.5zM240 224C248.8 224 256 231.2 256 240C256 248.8 248.8 256 240 256H144C135.2 256 128 248.8 128 240C128 231.2 135.2 224 144 224H240zM432 224C440.8 224 448 231.2 448 240C448 248.8 440.8 256 432 256H336C327.2 256 320 248.8 320 240C320 231.2 327.2 224 336 224H432zM431.2 122.9C433.1 131.3 429.4 140.4 421.1 143.2C385.5 155 356.6 177.1 347.3 187.3C341.1 193.6 330.9 193.6 324.7 187.3C318.4 181.1 318.4 170.9 324.7 164.7C336.7 152.7 369.7 126.6 410.9 112.8C419.3 110 428.4 114.6 431.2 122.9H431.2zM165.1 112.8C206.3 126.6 239.3 152.7 251.3 164.7C257.6 170.9 257.6 181.1 251.3 187.3C245.1 193.6 234.9 193.6 228.7 187.3C219.4 177.1 190.5 155 154.9 143.2C146.6 140.4 142 131.3 144.8 122.9C147.6 114.6 156.7 110 165.1 112.8V112.8zM63.1 331.1L68.01 335.2z"],
    "face-party": [640, 512, [], "e383", "M320 464C378.1 464 432.2 439.4 470.1 400H531.7C485.6 467.6 407.1 512 320 512C178.6 512 64 397.4 64 256C64 114.6 178.6 0 320 0C433.4 0 529.7 73.79 563.3 176H560C544.1 176 529.3 180.6 516.8 188.6C488.9 106.8 411.3 48 320 48C205.1 48 112 141.1 112 256C112 370.9 205.1 464 320 464zM182.4 236.8C175.3 231.5 173.9 221.5 179.2 214.4C209.6 173.9 270.4 173.9 300.8 214.4C306.1 221.5 304.7 231.5 297.6 236.8C290.5 242.1 280.5 240.7 275.2 233.6C257.6 210.1 222.4 210.1 204.8 233.6C199.5 240.7 189.5 242.1 182.4 236.8V236.8zM342.4 236.8C335.3 231.5 333.9 221.5 339.2 214.4C369.6 173.9 430.4 173.9 460.8 214.4C466.1 221.5 464.7 231.5 457.6 236.8C450.5 242.1 440.5 240.7 435.2 233.6C417.6 210.1 382.4 210.1 364.8 233.6C359.5 240.7 349.5 242.1 342.4 236.8zM408.7 334.3C408.2 334.9 407.7 335.4 407.2 336H592C600.8 336 608 328.8 608 320V256C608 247.2 600.8 240 592 240H560C551.2 240 544 247.2 544 256C544 264.8 551.2 272 560 272H576C584.8 272 592 279.2 592 288C592 296.8 584.8 304 576 304H560C533.5 304 512 282.5 512 256C512 229.5 533.5 208 560 208H592C618.5 208 640 229.5 640 256V320C640 346.5 618.5 368 592 368H407.2C407.7 368.6 408.2 369.1 408.7 369.7C412.9 374.8 416 381.1 416 388C416 394.9 412.9 401.2 408.7 406.3C404.4 411.5 398.5 416 391.9 419.7C378.7 427.1 361.4 432 344 432C340.4 432 337.2 429.5 336.3 426C335.3 422.5 336.9 418.8 340.1 417L340.1 417L340.3 416.9C340.5 416.8 340.8 416.6 341.2 416.3C342 415.9 343.2 415.1 344.6 414.2C347.4 412.4 351.2 409.7 354.8 406.6C358.6 403.5 362 400 364.5 396.6C366.1 393 368 390.2 368 388C368 385.8 366.1 382.1 364.5 379.4C362 375.1 358.6 372.5 354.8 369.4C351.2 366.3 347.4 363.6 344.6 361.8C343.2 360.9 342 360.1 341.2 359.7C340.8 359.4 340.5 359.2 340.3 359.1L340.1 358.1L340.1 358.1C337.6 357.6 336 354.9 336 352C336 349.1 337.6 346.4 340.1 345L340.1 345L340.3 344.9C340.5 344.8 340.8 344.6 341.2 344.3C342 343.9 343.2 343.1 344.6 342.2C347.4 340.4 351.2 337.7 354.8 334.6C358.6 331.5 362 328.1 364.5 324.6C366.1 321 368 318.2 368 316C368 313.8 366.1 310.1 364.5 307.4C362 303.1 358.6 300.5 354.8 297.4C351.2 294.3 347.4 291.6 344.6 289.8C343.2 288.9 342 288.1 341.2 287.7C340.8 287.4 340.5 287.2 340.3 287.1L340.1 286.1L340.1 286.1C336.9 285.2 335.3 281.5 336.3 277.1C337.2 274.5 340.4 272 344 272C361.4 272 378.7 276.9 391.9 284.3C398.5 287.1 404.4 292.5 408.7 297.7C412.9 302.8 416 309.1 416 316C416 322.9 412.9 329.2 408.7 334.3L408.7 334.3zM51.26 152.2L31.26 100.3C46.62 71.85 66.04 45.97 88.75 23.39L132 37.81C96.46 68.47 68.47 107.7 51.26 152.2zM55.14 12.18C40.89 27.64 27.99 44.36 16.6 62.14L1.067 21.74C-1.156 15.97 .1552 9.423 4.433 4.947C8.71 .4704 15.19-1.136 21.06 .8218L55.14 12.18z"],
    "face-pensive": [512, 512, [], "e384", "M304 368C317.3 368 328 378.7 328 392C328 405.3 317.3 416 304 416H208C194.7 416 184 405.3 184 392C184 378.7 194.7 368 208 368H304zM377 274.3C384.6 266.3 397.2 265.9 405.3 273.4C413.4 280.1 413.8 293.6 406.2 301.7C391.7 317.2 370.1 324 351.6 324C332.3 324 311.6 317.2 297 301.7C289.5 293.6 289.9 280.1 297.9 273.4C306 265.9 318.7 266.3 326.2 274.3C331.7 280.2 340.1 284 351.6 284C362.3 284 371.6 280.2 377 274.3zM134.2 274.3C139.7 280.2 148.1 284 159.6 284C170.3 284 179.6 280.2 185 274.3C192.6 266.3 205.2 265.9 213.3 273.4C221.4 280.1 221.8 293.6 214.2 301.7C199.7 317.2 178.1 324 159.6 324C140.3 324 119.6 317.2 105 301.7C97.48 293.6 97.89 280.1 105.9 273.4C114 265.9 126.7 266.3 134.2 274.3V274.3zM81.69 215.2C77.74 207.3 80.94 197.6 88.84 193.7L111.7 182.3C126.2 175 138.9 164.7 149.1 152.1L163.5 134C169 127.1 179.1 125.1 185.1 131.5C192.9 137 194 147.1 188.5 153.1L174.1 172C161 188.3 144.6 201.6 126 210.9L103.2 222.3C95.25 226.3 85.64 223.1 81.69 215.2V215.2zM423.2 193.7C431.1 197.6 434.3 207.3 430.3 215.2C426.4 223.1 416.7 226.3 408.8 222.3L385.1 210.9C367.4 201.6 350.1 188.3 337.9 172L323.5 153.1C317.1 147.1 319.1 137 326 131.5C332.9 125.1 342.1 127.1 348.5 134L362.9 152.1C373.1 164.7 385.8 175 400.3 182.3L423.2 193.7zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "face-persevering": [512, 512, [], "e385", "M256 392C237.6 392 224.9 400.5 217.5 408.4C208.5 418.1 193.3 418.6 183.6 409.5C173.9 400.5 173.4 385.3 182.5 375.6C196.7 360.3 221.4 344 256 344C290.6 344 315.3 360.3 329.5 375.6C338.6 385.3 338.1 400.5 328.4 409.5C318.7 418.6 303.5 418.1 294.5 408.4C287.1 400.5 274.4 392 256 392zM211.3 100.7C217.6 106.9 217.6 117.1 211.3 123.3L203.9 130.7C180.4 154.3 150 169.9 117.1 175.4L114.6 175.8C105.9 177.2 97.67 171.3 96.22 162.6C94.76 153.9 100.7 145.7 109.4 144.2L111.9 143.8C138.2 139.4 162.5 126.9 181.3 108.1L188.7 100.7C194.9 94.44 205.1 94.44 211.3 100.7zM300.7 123.3C294.4 117.1 294.4 106.9 300.7 100.7C306.9 94.44 317.1 94.44 323.3 100.7L330.7 108.1C349.5 126.9 373.8 139.4 400.2 143.8L402.6 144.2C411.3 145.7 417.2 153.9 415.8 162.6C414.3 171.3 406.1 177.2 397.4 175.8L394.9 175.4C361.1 169.9 331.6 154.3 308.1 130.7L300.7 123.3zM223.4 258.6C234.1 264.3 234.1 279.7 223.4 285.4L133.5 333.3C125.6 337.6 116 331.8 116 322.9C116 320.1 116.1 317.4 118.8 315.2L154.8 272L118.8 228.8C116.1 226.6 116 223.9 116 221.1C116 212.2 125.6 206.4 133.5 210.7L223.4 258.6zM393.2 228.8L357.2 272L393.2 315.2C395 317.4 396 320.1 396 322.9C396 331.8 386.4 337.6 378.5 333.3L288.6 285.4C277.9 279.7 277.9 264.3 288.6 258.6L378.5 210.7C386.4 206.4 396 212.2 396 221.1C396 223.9 395 226.6 393.2 228.8V228.8zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "face-pleading": [512, 512, [], "e386", "M256 408C250.8 408 247.5 410.3 245.5 412.4C236.5 422.1 221.3 422.6 211.6 413.5C201.9 404.5 201.4 389.3 210.5 379.6C219.3 370.1 234.6 360 256 360C277.4 360 292.7 370.1 301.5 379.6C310.6 389.3 310.1 404.5 300.4 413.5C290.7 422.6 275.5 422.1 266.5 412.4C264.5 410.3 261.2 408 256 408zM128 240C145.7 240 160 225.7 160 208C177.7 208 192 222.3 192 240C192 257.7 177.7 272 160 272C142.3 272 128 257.7 128 240zM80 240C80 221.1 85.95 205.4 95.99 192C88.04 192 81.14 186.1 80.12 177.1C79.03 169.2 85.25 161.2 94.02 160.1L105.5 158.7C130.1 155.5 152.1 137.4 159.1 112.8L160.6 107.6C163 99.11 171.9 94.19 180.4 96.62C188.9 99.04 193.8 107.9 191.4 116.4L189.9 121.5C185.7 136.3 178.1 149.6 168 160.4C208.5 164.4 240 198.5 240 240C240 284.2 204.2 320 160 320C115.8 320 80 284.2 80 240zM160 288C186.5 288 208 266.5 208 240C208 213.5 186.5 192 160 192C133.5 192 112 213.5 112 240C112 266.5 133.5 288 160 288zM384 240C384 257.7 369.7 272 352 272C334.3 272 320 257.7 320 240C337.7 240 352 225.7 352 208C369.7 208 384 222.3 384 240zM432 240C432 284.2 396.2 320 352 320C307.8 320 272 284.2 272 240C272 198.5 303.5 164.4 343.1 160.4C333.9 149.6 326.3 136.3 322.1 121.5L320.6 116.4C318.2 107.9 323.1 99.04 331.6 96.62C340.1 94.19 348.1 99.11 351.4 107.6L352.9 112.8C359.9 137.4 381 155.5 406.5 158.7L417.1 160.1C426.8 161.2 432.1 169.2 431.9 177.1C430.9 186.1 423.1 192 416 192C426 205.4 432 221.1 432 240V240zM352 192C325.5 192 304 213.5 304 240C304 266.5 325.5 288 352 288C378.5 288 400 266.5 400 240C400 213.5 378.5 192 352 192zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "face-pouting": [512, 512, [], "e387", "M256.1 319.1C298.4 319.1 334.9 345.5 350.8 382.1C356.2 394.4 342.1 403.7 329.7 398.5C307.3 389 282.4 383.7 256.1 383.7C229.7 383.7 204.8 389 182.4 398.5C170 403.7 155.9 394.4 161.3 382.1C177.2 345.5 213.7 319.1 256.1 319.1V319.1zM144.4 240C144.4 231.2 147.9 223.2 153.7 217.4L122.9 207.2C114.6 204.4 110 195.3 112.8 186.9C115.6 178.6 124.7 174 133.1 176.8L229.1 208.8C237.4 211.6 241.1 220.7 239.2 229.1C236.4 237.4 227.3 241.1 218.9 239.2L208.1 235.6C208.3 237 208.4 238.5 208.4 240C208.4 257.7 194 272 176.4 272C158.7 272 144.4 257.7 144.4 240V240zM368.4 240C368.4 257.7 354 272 336.4 272C318.7 272 304.4 257.7 304.4 240C304.4 238.4 304.5 236.8 304.7 235.3L293.1 239.2C284.7 241.1 275.6 237.4 272.8 229.1C270 220.7 274.6 211.6 282.9 208.8L378.9 176.8C387.3 174 396.4 178.6 399.2 186.9C401.1 195.3 397.4 204.4 389.1 207.2L358.9 217.2C364.7 223 368.4 231.1 368.4 240H368.4zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464z"],
    "face-raised-eyebrow": [512, 512, [], "e388", "M208.4 240C208.4 257.7 194 272 176.4 272C158.7 272 144.4 257.7 144.4 240C144.4 222.3 158.7 208 176.4 208C194 208 208.4 222.3 208.4 240zM304.4 240C304.4 222.3 318.7 208 336.4 208C354 208 368.4 222.3 368.4 240C368.4 257.7 354 272 336.4 272C318.7 272 304.4 257.7 304.4 240zM160 352C160 338.7 170.7 328 184 328H328C341.3 328 352 338.7 352 352C352 365.3 341.3 376 328 376H184C170.7 376 160 365.3 160 352zM299.3 171.3C293.1 177.6 282.9 177.6 276.7 171.3C270.4 165.1 270.4 154.9 276.7 148.7L306.2 119.2C331.2 94.2 372.8 98.32 392.4 127.7L397.3 135.1C402.2 142.5 400.2 152.4 392.9 157.3C385.5 162.2 375.6 160.2 370.7 152.9L365.8 145.5C357.4 132.9 339.5 131.1 328.8 141.8L299.3 171.3zM192 144C200.8 144 208 151.2 208 160C208 168.8 200.8 176 192 176H128C119.2 176 112 168.8 112 160C112 151.2 119.2 144 128 144H192zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "face-relieved": [512, 512, [], "e389", "M256 368C286.4 368 307.2 354.9 319 343C328.4 333.7 343.6 333.7 352.1 343C362.3 352.4 362.3 367.6 352.1 376.1C333.9 396.1 301.4 416 256 416C210.6 416 178.1 396.1 159 376.1C149.7 367.6 149.7 352.4 159 343C168.4 333.7 183.6 333.7 192.1 343C204.8 354.9 225.6 368 256 368zM377 242.3C384.6 234.3 397.2 233.9 405.3 241.4C413.4 248.1 413.8 261.6 406.2 269.7C391.7 285.2 370.1 292 351.6 292C332.3 292 311.6 285.2 297 269.7C289.5 261.6 289.9 248.1 297.9 241.4C306 233.9 318.7 234.3 326.2 242.3C331.7 248.2 340.1 252 351.6 252C362.3 252 371.6 248.2 377 242.3zM134.2 242.3C139.7 248.2 148.1 252 159.6 252C170.3 252 179.6 248.2 185 242.3C192.6 234.3 205.2 233.9 213.3 241.4C221.4 248.1 221.8 261.6 214.2 269.7C199.7 285.2 178.1 292 159.6 292C140.3 292 119.6 285.2 105 269.7C97.48 261.6 97.89 248.1 105.9 241.4C114 233.9 126.7 234.3 134.2 242.3V242.3zM207.2 106.9C209.1 115.3 205.4 124.4 197.1 127.2L190.7 129.3C167.1 137.2 146.8 152.7 132.1 173.4L125.3 184.9C120.4 192.2 110.5 194.2 103.1 189.3C95.77 184.4 93.79 174.5 98.69 167.1L106.3 155.7C124.1 129 150.2 109.1 180.6 98.93L186.9 96.82C195.3 94.03 204.4 98.56 207.2 106.9L207.2 106.9zM314.9 127.2C306.6 124.4 302 115.3 304.8 106.9C307.6 98.56 316.7 94.03 325.1 96.82L331.4 98.93C361.8 109.1 387.9 129 405.7 155.7L413.3 167.1C418.2 174.5 416.2 184.4 408.9 189.3C401.5 194.2 391.6 192.2 386.7 184.9L379 173.4C365.2 152.7 344.9 137.2 321.3 129.3L314.9 127.2zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "face-rolling-eyes": [512, 512, [128580, "meh-rolling-eyes"], "f5a5", "M168 376C168 362.7 178.7 352 192 352H320C333.3 352 344 362.7 344 376C344 389.3 333.3 400 320 400H192C178.7 400 168 389.3 168 376zM80 224C80 179.8 115.8 144 160 144C204.2 144 240 179.8 240 224C240 268.2 204.2 304 160 304C115.8 304 80 268.2 80 224zM160 272C186.5 272 208 250.5 208 224C208 209.7 201.7 196.8 191.8 188C191.9 189.3 192 190.6 192 192C192 209.7 177.7 224 160 224C142.3 224 128 209.7 128 192C128 190.6 128.1 189.3 128.2 188C118.3 196.8 112 209.7 112 224C112 250.5 133.5 272 160 272V272zM272 224C272 179.8 307.8 144 352 144C396.2 144 432 179.8 432 224C432 268.2 396.2 304 352 304C307.8 304 272 268.2 272 224zM352 272C378.5 272 400 250.5 400 224C400 209.7 393.7 196.8 383.8 188C383.9 189.3 384 190.6 384 192C384 209.7 369.7 224 352 224C334.3 224 320 209.7 320 192C320 190.6 320.1 189.3 320.2 188C310.3 196.8 304 209.7 304 224C304 250.5 325.5 272 352 272zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464z"],
    "face-sad-cry": [512, 512, [128557, "sad-cry"], "f5b3", "M159.6 220C148.1 220 139.7 223.8 134.2 229.7C126.7 237.7 114 238.1 105.1 230.6C97.89 223 97.48 210.4 105 202.3C119.6 186.8 140.3 180 159.6 180C178.1 180 199.7 186.8 214.2 202.3C221.8 210.4 221.4 223 213.3 230.6C205.2 238.1 192.6 237.7 185 229.7C179.6 223.8 170.3 220 159.6 220zM297.9 230.6C289.9 223 289.5 210.4 297 202.3C311.6 186.8 332.3 180 351.6 180C370.1 180 391.7 186.8 406.2 202.3C413.8 210.4 413.4 223 405.3 230.6C397.2 238.1 384.6 237.7 377 229.7C371.6 223.8 362.3 220 351.6 220C340.1 220 331.7 223.8 326.2 229.7C318.7 237.7 306 238.1 297.9 230.6zM208 320C208 293.5 229.5 272 256 272C282.5 272 304 293.5 304 320V352C304 378.5 282.5 400 256 400C229.5 400 208 378.5 208 352V320zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM400 406.1C439.4 368.2 464 314.1 464 256C464 141.1 370.9 48 256 48C141.1 48 48 141.1 48 256C48 314.1 72.55 368.2 112 406.1V288C112 274.7 122.7 264 136 264C149.3 264 160 274.7 160 288V440.6C188.7 455.5 221.4 464 256 464C290.6 464 323.3 455.5 352 440.6V288C352 274.7 362.7 264 376 264C389.3 264 400 274.7 400 288V406.1z"],
    "face-sad-sweat": [576, 512, [], "e38a", "M288 48C173.1 48 80 141.1 80 256C80 261.7 80.23 267.4 80.68 272.1L80.01 272.1C68.39 256.5 48.28 252.2 32.02 259.3C32.01 258.2 32 257.1 32 256C32 114.6 146.6 0 288 0C429.4 0 544 114.6 544 256C544 397.4 429.4 512 288 512C213.5 512 146.4 480.2 99.62 429.3C112.6 418.5 122.1 403.7 126 386.5C164.2 433.8 222.6 464 288 464C402.9 464 496 370.9 496 256C496 141.1 402.9 48 288 48L288 48zM35.66 299.4C37.84 296.3 39.86 293.6 41.6 291.3C44.8 286.9 51.2 286.9 54.4 291.3C67.57 308.6 96 349 96 369C96 383.2 89.58 395.9 79.45 404.5C71.02 411.7 60.02 416 48 416C21.54 416 0 395 0 369C0 351.7 21.44 319.1 35.66 299.4H35.66zM360.4 409.5C350.7 418.6 335.5 418.1 326.5 408.4C319.1 400.5 306.4 392 288 392C269.6 392 256.9 400.5 249.5 408.4C240.5 418.1 225.3 418.6 215.6 409.5C205.9 400.5 205.4 385.3 214.5 375.6C228.7 360.3 253.4 344 288 344C322.6 344 347.3 360.3 361.5 375.6C370.6 385.3 370.1 400.5 360.4 409.5zM367.6 304C349.1 304 335.6 289.7 335.6 272C335.6 254.3 349.1 240 367.6 240C385.3 240 399.6 254.3 399.6 272C399.6 289.7 385.3 304 367.6 304zM207.6 240C225.3 240 239.6 254.3 239.6 272C239.6 289.7 225.3 304 207.6 304C189.1 304 175.6 289.7 175.6 272C175.6 254.3 189.1 240 207.6 240zM219.9 178.7C196.4 202.3 166 217.9 133.1 223.4L130.6 223.8C121.9 225.2 113.7 219.3 112.2 210.6C110.8 201.9 116.7 193.7 125.4 192.2L127.9 191.8C154.2 187.4 178.5 174.9 197.3 156.1L204.7 148.7C210.9 142.4 221.1 142.4 227.3 148.7C233.6 154.9 233.6 165.1 227.3 171.3L219.9 178.7zM371.3 148.7L378.7 156.1C397.5 174.9 421.8 187.4 448.2 191.8L450.6 192.2C459.3 193.7 465.2 201.9 463.8 210.6C462.3 219.3 454.1 225.2 445.4 223.8L442.9 223.4C409.1 217.9 379.6 202.3 356.1 178.7L348.7 171.3C342.4 165.1 342.4 154.9 348.7 148.7C354.9 142.4 365.1 142.4 371.3 148.7z"],
    "face-sad-tear": [512, 512, [128546, "sad-tear"], "f5b4", "M169.6 291.3C172.8 286.9 179.2 286.9 182.4 291.3C195.6 308.6 223.1 349 223.1 369C223.1 395 202.5 416 175.1 416C149.5 416 127.1 395 127.1 369C127.1 349 156.6 308.6 169.6 291.3H169.6zM368 346.8C377.9 355.6 378.7 370.8 369.9 380.7C361 390.6 345.9 391.4 335.1 382.6C314.7 363.5 286.7 352 256 352C242.7 352 232 341.3 232 328C232 314.7 242.7 304 256 304C299 304 338.3 320.2 368 346.8L368 346.8zM335.6 176C353.3 176 367.6 190.3 367.6 208C367.6 225.7 353.3 240 335.6 240C317.1 240 303.6 225.7 303.6 208C303.6 190.3 317.1 176 335.6 176zM175.6 240C157.1 240 143.6 225.7 143.6 208C143.6 190.3 157.1 176 175.6 176C193.3 176 207.6 190.3 207.6 208C207.6 225.7 193.3 240 175.6 240zM256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM175.9 448C200.5 458.3 227.6 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48C141.1 48 48 141.1 48 256C48 308.7 67.59 356.8 99.88 393.4C110.4 425.4 140.9 447.9 175.9 448V448z"],
    "face-saluting": [640, 512, [129761], "e484", "M169.9 155.4C169.9 155.4 169.9 155.4 169.9 155.4L173.2 152.1C187.5 142.6 207.5 145.7 217.9 160C228.3 174.3 225.2 194.3 210.9 204.7L128.5 264.6C99.17 285.9 59.12 284.8 30.98 261.9L29.49 260.7C-12.06 226.9-9.257 162.5 35.09 132.5L222.2 5.523C236.8-4.4 256.7-.5875 266.6 14.04C276.5 28.66 272.7 48.56 258.1 58.48L127.1 146.8V185.8L169.9 155.4zM352 0C493.4 0 608 114.6 608 256C608 397.4 493.4 512 352 512C229.1 512 126.5 425.5 101.7 310C117.6 307.1 133.1 300.7 146.9 290.8C163.4 389.1 248.1 464 352 464C466.9 464 560 370.9 560 256C560 141.1 466.9 48 352 48C334.1 48 316.7 50.27 300 54.54C305.9 38.98 305.6 21.36 298.5 5.609C315.7 1.934 333.6 0 352 0V0zM272.4 176C290 176 304.4 190.3 304.4 208C304.4 225.7 290 240 272.4 240C258.4 240 246.6 231.1 242.2 218.6C250.9 207.6 255.7 194.2 256 180.5C260.8 177.6 266.4 176 272.4 176zM352 355C392.6 355 419.9 343 434.5 333.1C445.5 325.7 460.4 328.5 467.9 339.5C475.3 350.5 472.4 365.4 461.5 372.9C438.1 388.1 402.3 403 352 403C301.7 403 265 388.1 242.5 372.9C231.6 365.4 228.7 350.5 236.1 339.5C243.6 328.5 258.5 325.7 269.5 333.1C284.1 343 311.4 355 352 355zM400.4 208C400.4 190.3 414.7 176 432.4 176C450 176 464.4 190.3 464.4 208C464.4 225.7 450 240 432.4 240C414.7 240 400.4 225.7 400.4 208z"],
    "face-scream": [640, 512, [], "e38b", "M319.1 48C205.1 48 111.1 141.1 111.1 256C111.1 271.2 113.6 285.1 116.7 300.2C101.8 290.5 83.74 286.4 66.05 288.6C64.7 277.9 63.1 267 63.1 256C63.1 114.6 178.6 0 319.1 0C461.4 0 576 114.6 576 256C576 267 575.3 277.9 573.9 288.5C556.2 286.4 538.2 290.6 523.3 300.3C526.4 286 528 271.2 528 256C528 141.1 434.9 48 319.1 48H319.1zM319.1 464C361.7 464 400.5 451.8 433 430.7C426.1 450.9 421.3 471.8 418.2 492.5C387.1 505.1 354.8 512 319.1 512C285.2 512 252.1 505.1 221.8 492.5C218.8 471.8 213.9 450.1 207.1 430.7C239.6 451.8 278.4 464 319.1 464L319.1 464zM588.5 326.1C608.5 339.1 614.1 366.5 600.9 386.2C574.5 426.2 557.3 461.5 557.8 511.1L448 512C455 443.6 482.8 374.1 536.7 330.1C550.9 318.2 572.1 316.4 588.5 326.1L588.5 326.1zM174.6 189C197.1 152.2 237.5 134.4 264.7 149.3C291.1 164.2 295.9 206.1 273.4 242.1C250.9 279.8 210.5 297.6 183.3 282.7C156 267.8 152.1 225.9 174.6 189V189zM368 352V384C368 410.5 346.5 432 320 432C293.5 432 272 410.5 272 384V352C272 325.5 293.5 304 320 304C346.5 304 368 325.5 368 352zM375.3 149.3C402.5 134.4 442.9 152.2 465.4 189C487.9 225.9 483.1 267.8 456.7 282.7C429.5 297.6 389.1 279.8 366.6 242.1C344.1 206.1 348 164.2 375.3 149.3zM192 512L82.29 511.1C82.73 461.5 65.56 426.2 39.12 386.2C25.99 366.5 31.53 339.1 51.55 326.1C67.97 316.4 89.12 318.2 103.4 330.1C157.2 374.1 185 443.6 192 512L192 512z"],
    "face-shush": [512, 512, [], "e38c", "M48 256C48 329.6 86.27 394.3 144 431.3V456C144 467.8 146.3 479.1 150.5 489.3C61.76 449.1 0 359.8 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 338.2 473.2 411.4 412.1 458.3C419.3 439.8 415.6 418.8 402.6 403.6C440.5 365.9 464 313.7 464 256C464 141.1 370.9 48 256 48C141.1 48 48 141.1 48 256V256zM347.3 251.3C338.6 260.1 326.8 269 312 275.9V248C312 245.2 311.8 242.4 311.4 239.6C316.6 236.1 321 232.4 324.7 228.7C330.9 222.4 341.1 222.4 347.3 228.7C353.6 234.9 353.6 245.1 347.3 251.3H347.3zM200 275.9C185.2 269 173.4 260.1 164.7 251.3C158.4 245.1 158.4 234.9 164.7 228.7C170.9 222.4 181.1 222.4 187.3 228.7C190.1 232.4 195.4 236.1 200.6 239.6C200.2 242.4 200 245.2 200 248L200 275.9zM144.4 144C144.4 126.3 158.7 112 176.4 112C194 112 208.4 126.3 208.4 144C208.4 161.7 194 176 176.4 176C158.7 176 144.4 161.7 144.4 144zM304.4 144C304.4 126.3 318.7 112 336.4 112C354 112 368.4 126.3 368.4 144C368.4 161.7 354 176 336.4 176C318.7 176 304.4 161.7 304.4 144zM280 320H232V248C232 234.7 242.7 224 256 224C269.3 224 280 234.7 280 248V320zM224 419.5L287.6 464H297.5C304.6 464 311.4 460.8 315.1 455.4L341.6 424.6C350 414.5 365.2 413.1 375.4 421.6C385.5 430 386.9 445.2 378.4 455.4L352.8 486.1C339.1 502.5 318.9 512 297.5 512H232C201.1 512 176 486.9 176 456V408C176 377.1 201.1 352 232 352H264C294.9 352 320 377.1 320 408V416C320 429.3 309.3 440 296 440C282.7 440 272 429.3 272 416V408C272 403.6 268.4 400 264 400H232C227.6 400 224 403.6 224 408V419.5z"],
    "face-sleeping": [512, 512, [], "e38d", "M255.1 464C370.9 464 464 370.9 464 256C464 225.3 457.3 196.1 445.4 169.9C439.9 157.9 445.3 143.6 457.3 138.2C469.4 132.7 483.6 137.1 489.1 150.1C503.8 182.4 512 218.3 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C293.7 0 329.6 8.18 361.9 22.89C374 28.38 379.3 42.61 373.8 54.67C368.4 66.74 354.1 72.07 342.1 66.58C315.9 54.65 286.7 48 256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464L255.1 464zM215.1 384C215.1 361.9 233.9 344 255.1 344C278.1 344 296 361.9 296 384C296 406.1 278.1 424 255.1 424C233.9 424 215.1 406.1 215.1 384zM320 128C311.2 128 304 120.8 304 112C304 103.2 311.2 96 320 96H384C390.5 96 396.3 99.9 398.8 105.9C401.3 111.9 399.9 118.7 395.3 123.3L358.6 160H384C392.8 160 400 167.2 400 176C400 184.8 392.8 192 384 192H320C313.5 192 307.7 188.1 305.2 182.1C302.7 176.1 304.1 169.3 308.7 164.7L345.4 128H320zM432 .0003H496C502.5 .0003 508.3 3.899 510.8 9.877C513.3 15.86 511.9 22.74 507.3 27.31L470.6 64H496C504.8 64 512 71.16 512 80C512 88.84 504.8 96 496 96H432C425.5 96 419.7 92.1 417.2 86.12C414.7 80.14 416.1 73.26 420.7 68.69L457.4 32H432C423.2 32 416 24.84 416 16C416 7.164 423.2 .0006 432 .0006V.0003zM377 242.3C384.6 234.3 397.2 233.9 405.3 241.4C413.4 248.1 413.8 261.6 406.2 269.7C391.7 285.2 370.1 292 351.6 292C332.3 292 311.6 285.2 297 269.7C289.5 261.6 289.9 248.1 297.9 241.4C306 233.9 318.7 234.3 326.2 242.3C331.7 248.2 340.1 252 351.6 252C362.3 252 371.6 248.2 377 242.3zM134.2 242.3C139.7 248.2 148.1 252 159.6 252C170.3 252 179.6 248.2 185 242.3C192.6 234.3 205.2 233.9 213.3 241.4C221.4 248.1 221.8 261.6 214.2 269.7C199.7 285.2 178.1 292 159.6 292C140.3 292 119.6 285.2 105 269.7C97.48 261.6 97.89 248.1 105.9 241.4C114 233.9 126.7 234.3 134.2 242.3V242.3z"],
    "face-sleepy": [512, 512, [], "e38e", "M256 464C303 464 346.4 448.4 381.2 422.1C383.9 436.1 384 451.8 384 464C384 468.5 384.4 472.9 385.1 477.1C347.2 499.3 303.1 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 292.1 504.2 328.1 490 359.9C482.7 353.6 474.1 348.1 467.4 343.1C461.6 339.4 455.6 335.8 449.5 332.6C458.8 308.9 464 283 464 256C464 141.1 370.9 48 256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464zM256 347.1C290.8 347.1 320.1 364.8 336.1 389.5C342.9 400.6 330.1 410.2 317.8 405.9C298.9 399.4 278 395.8 256 395.8C234.1 395.8 213.2 399.4 194.3 405.9C181.1 410.2 169.2 400.6 175.1 389.5C191.1 364.8 221.3 347.1 256 347.1V347.1zM326.2 250.3C331.7 256.2 340.1 260 351.6 260C362.3 260 371.6 256.2 377 250.3C384.6 242.3 397.2 241.9 405.3 249.4C413.4 256.1 413.8 269.6 406.2 277.7C391.7 293.2 370.1 300 351.6 300C332.3 300 311.6 293.2 297 277.7C289.5 269.6 289.9 256.1 297.9 249.4C306 241.9 318.7 242.3 326.2 250.3zM185 250.3C192.6 242.3 205.2 241.9 213.3 249.4C221.4 256.1 221.8 269.6 214.2 277.7C199.7 293.2 178.1 300 159.6 300C140.3 300 119.6 293.2 105 277.7C97.48 269.6 97.89 256.1 105.9 249.4C114 241.9 126.7 242.3 134.2 250.3C139.7 256.2 148.1 260 159.6 260C170.3 260 179.6 256.2 185 250.3V250.3zM464 512C437.5 512 416 490.5 416 464C416 432 416 361.6 352 336C400 336 512 384 512 464C512 490.5 490.5 512 464 512z"],
    "face-smile": [512, 512, [128578, "smile"], "f118", "M256 352C293.2 352 319.2 334.5 334.4 318.1C343.3 308.4 358.5 307.7 368.3 316.7C378 325.7 378.6 340.9 369.6 350.6C347.7 374.5 309.7 400 256 400C202.3 400 164.3 374.5 142.4 350.6C133.4 340.9 133.1 325.7 143.7 316.7C153.5 307.7 168.7 308.4 177.6 318.1C192.8 334.5 218.8 352 256 352zM208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208zM304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "face-smile-beam": [512, 512, [128522, "smile-beam"], "f5b8", "M256 352C293.2 352 319.2 334.5 334.4 318.1C343.3 308.4 358.5 307.7 368.3 316.7C378 325.7 378.6 340.9 369.6 350.6C347.7 374.5 309.7 400 256 400C202.3 400 164.3 374.5 142.4 350.6C133.4 340.9 133.1 325.7 143.7 316.7C153.5 307.7 168.7 308.4 177.6 318.1C192.8 334.5 218.8 352 256 352zM217.6 228.8L217.6 228.8L217.4 228.5C217.2 228.3 217 228 216.7 227.6C216 226.8 215.1 225.7 213.9 224.3C211.4 221.4 207.9 217.7 203.7 213.1C194.9 206.2 184.8 200 176 200C167.2 200 157.1 206.2 148.3 213.1C144.1 217.7 140.6 221.4 138.1 224.3C136.9 225.7 135.1 226.8 135.3 227.6C134.1 228 134.8 228.3 134.6 228.5L134.4 228.8L134.4 228.8C132.3 231.6 128.7 232.7 125.5 231.6C122.2 230.5 120 227.4 120 224C120 206.1 126.7 188.4 136.6 175.2C146.4 162.2 160.5 152 176 152C191.5 152 205.6 162.2 215.4 175.2C225.3 188.4 232 206.1 232 224C232 227.4 229.8 230.5 226.5 231.6C223.3 232.7 219.7 231.6 217.6 228.8V228.8zM377.6 228.8L377.4 228.5C377.2 228.3 377 228 376.7 227.6C376 226.8 375.1 225.7 373.9 224.3C371.4 221.4 367.9 217.7 363.7 213.1C354.9 206.2 344.8 200 336 200C327.2 200 317.1 206.2 308.3 213.1C304.1 217.7 300.6 221.4 298.1 224.3C296.9 225.7 295.1 226.8 295.3 227.6C294.1 228 294.8 228.3 294.6 228.5L294.4 228.8L294.4 228.8C292.3 231.6 288.7 232.7 285.5 231.6C282.2 230.5 280 227.4 280 224C280 206.1 286.7 188.4 296.6 175.2C306.4 162.2 320.5 152 336 152C351.5 152 365.6 162.2 375.4 175.2C385.3 188.4 392 206.1 392 224C392 227.4 389.8 230.5 386.5 231.6C383.3 232.7 379.7 231.6 377.6 228.8L377.6 228.8zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "face-smile-halo": [512, 512, [], "e38f", "M512 80C512 124.2 397.4 160 256 160C114.6 160 0 124.2 0 80C0 35.82 114.6 0 256 0C397.4 0 512 35.82 512 80zM256 48C149.1 48 64 62.33 64 80C64 97.67 149.1 112 256 112C362 112 448 97.67 448 80C448 62.33 362 48 256 48zM92.01 172.1C74.24 201.2 64 235.4 64 271.1C64 378 149.1 464 256 464C362 464 448 378 448 271.1C448 235.4 437.8 201.2 419.1 172.1C436.9 167.5 452.4 162.3 466.4 156.5C485.3 190.7 496 230.1 496 271.1C496 404.5 388.5 512 256 512C123.5 512 16 404.5 16 271.1C16 230.1 26.73 190.7 45.58 156.5C59.57 162.3 75.14 167.5 92.01 172.1V172.1zM217.6 284.8L217.6 284.8L217.4 284.5C217.2 284.3 217 284 216.7 283.6C216 282.8 215.1 281.7 213.9 280.3C211.4 277.4 207.9 273.7 203.7 269.1C194.9 262.2 184.8 256 176 256C167.2 256 157.1 262.2 148.3 269.1C144.1 273.7 140.6 277.4 138.1 280.3C136.9 281.7 135.1 282.8 135.3 283.6C134.1 284 134.8 284.3 134.6 284.5L134.4 284.8L134.4 284.8C132.3 287.6 128.7 288.7 125.5 287.6C122.2 286.5 120 283.4 120 280C120 262.1 126.7 244.4 136.6 231.2C146.4 218.2 160.5 208 176 208C191.5 208 205.6 218.2 215.4 231.2C225.3 244.4 232 262.1 232 280C232 283.4 229.8 286.5 226.5 287.6C223.3 288.7 219.7 287.6 217.6 284.8V284.8zM143.7 332.7C153.5 323.7 168.7 324.4 177.6 334.1C192.8 350.5 218.8 368 256 368C293.2 368 319.2 350.5 334.4 334.1C343.3 324.4 358.5 323.7 368.3 332.7C378 341.7 378.6 356.9 369.6 366.6C347.7 390.5 309.7 416 256 416C202.3 416 164.3 390.5 142.4 366.6C133.4 356.9 133.1 341.7 143.7 332.7zM377.6 284.8L377.4 284.5C377.2 284.3 377 284 376.7 283.6C376 282.8 375.1 281.7 373.9 280.3C371.4 277.4 367.9 273.7 363.7 269.1C354.9 262.2 344.8 256 336 256C327.2 256 317.1 262.2 308.3 269.1C304.1 273.7 300.6 277.4 298.1 280.3C296.9 281.7 295.1 282.8 295.3 283.6C294.1 284 294.8 284.3 294.6 284.5L294.4 284.8L294.4 284.8C292.3 287.6 288.7 288.7 285.5 287.6C282.2 286.5 280 283.4 280 280C280 262.1 286.7 244.4 296.6 231.2C306.4 218.2 320.5 208 336 208C351.5 208 365.6 218.2 375.4 231.2C385.3 244.4 392 262.1 392 280C392 283.4 389.8 286.5 386.5 287.6C383.3 288.7 379.7 287.6 377.6 284.8L377.6 284.8z"],
    "face-smile-hearts": [640, 512, [], "e390", "M503.7 353.6C519.2 324.5 528 291.3 528 256C528 236.1 525.2 216.8 519.1 198.6C516.3 185.9 523.7 172.6 536.5 168.9C549.2 165.3 562.5 172.7 566.1 185.4C572.6 207.8 576 231.5 576 256C576 293.4 567.1 329 553.5 361.1C538.2 352.5 520.4 349.1 503.7 353.6L503.7 353.6zM448.1 419.9C447.3 436.8 452.6 453.1 463.8 467.8C422.8 495.7 373.3 512 320 512C258.7 512 202.4 490.4 158.3 454.4L171.3 441.3C178.6 433.1 183.1 425.4 187.4 416.3C223.4 446.1 269.6 464 320 464C368.3 464 412.8 447.5 448.1 419.9zM80.04 333.3C78.34 332 76.59 330.9 74.81 329.8C67.78 306.5 64 281.7 64 256C64 114.6 178.6 .0003 320 .0003C357.7 .0003 393.6 8.181 425.9 22.89C438 28.38 443.3 42.61 437.8 54.67C432.4 66.74 418.1 72.07 406.1 66.58C379.9 54.65 350.7 48 320 48C205.1 48 112 141.1 112 256C112 278.4 115.5 299.9 122.1 320.1C107.3 319.9 92.55 324.3 80.04 333.3H80.04zM207.7 316.7C217.5 307.7 232.7 308.4 241.6 318.1C256.8 334.5 282.8 352 320 352C357.2 352 383.2 334.5 398.4 318.1C407.3 308.4 422.5 307.7 432.3 316.7C442 325.7 442.6 340.9 433.6 350.6C411.7 374.5 373.7 400 320 400C266.3 400 228.3 374.5 206.4 350.6C197.4 340.9 197.1 325.7 207.7 316.7zM185.9 230.6C177.9 223 177.5 210.4 185 202.3C199.6 186.8 220.3 180 239.6 180C258.1 180 279.7 186.8 294.2 202.3C301.8 210.4 301.4 223 293.3 230.6C285.2 238.1 272.6 237.7 265 229.7C259.6 223.8 250.3 220 239.6 220C228.1 220 219.7 223.8 214.2 229.7C206.7 237.7 194 238.1 185.9 230.6V230.6zM399.6 220C388.1 220 379.7 223.8 374.2 229.7C366.7 237.7 354 238.1 345.9 230.6C337.9 223 337.5 210.4 345 202.3C359.6 186.8 380.3 180 399.6 180C418.1 180 439.7 186.8 454.2 202.3C461.8 210.4 461.4 223 453.3 230.6C445.2 238.1 432.6 237.7 425 229.7C419.6 223.8 410.3 220 399.6 220zM573.7 11.5C588.9-3.757 613.5-3.757 628.6 11.5C643.8 26.76 643.8 51.49 628.6 66.75L573.2 122.5C565.9 129.8 554.1 129.8 546.9 122.5L491.4 66.69C476.2 51.43 476.2 26.7 491.4 11.44C506.5-3.814 531.1-3.814 546.3 11.44L560 25.27L573.7 11.5zM628.6 450.7L573.2 506.5C565.9 513.8 554.1 513.8 546.9 506.5L491.4 450.7C476.2 435.4 476.2 410.7 491.4 395.4C506.5 380.2 531.1 380.2 546.3 395.4L560 409.3L573.7 395.5C588.9 380.2 613.5 380.2 628.6 395.5C643.8 410.8 643.8 435.5 628.6 450.7L628.6 450.7zM93.71 363.5C108.9 348.2 133.5 348.2 148.6 363.5C163.8 378.8 163.8 403.5 148.6 418.7L93.2 474.5C85.93 481.8 74.13 481.8 66.86 474.5L11.37 418.7C-3.791 403.4-3.791 378.7 11.37 363.4C26.54 348.2 51.12 348.2 66.29 363.4L80.03 377.3L93.71 363.5z"],
    "face-smile-horns": [640, 512, [], "e391", "M207.7 332.7C217.5 323.7 232.7 324.4 241.6 334.1C256.8 350.5 282.8 368 320 368C357.2 368 383.2 350.5 398.4 334.1C407.3 324.4 422.5 323.7 432.3 332.7C442 341.7 442.6 356.9 433.6 366.6C411.7 390.5 373.7 416 320 416C266.3 416 228.3 390.5 206.4 366.6C197.4 356.9 197.1 341.7 207.7 332.7V332.7zM208.4 256C208.4 247.2 211.9 239.2 217.7 233.4L186.9 223.2C178.6 220.4 174 211.3 176.8 202.9C179.6 194.6 188.7 190 197.1 192.8L293.1 224.8C301.4 227.6 305.1 236.7 303.2 245.1C300.4 253.4 291.3 257.1 282.9 255.2L272.1 251.6C272.3 253 272.4 254.5 272.4 256C272.4 273.7 258 288 240.4 288C222.7 288 208.4 273.7 208.4 256H208.4zM432.4 256C432.4 273.7 418 288 400.4 288C382.7 288 368.4 273.7 368.4 256C368.4 254.4 368.5 252.8 368.7 251.3L357.1 255.2C348.7 257.1 339.6 253.4 336.8 245.1C334 236.7 338.6 227.6 346.9 224.8L442.9 192.8C451.3 190 460.4 194.6 463.2 202.9C465.1 211.3 461.4 220.4 453.1 223.2L422.9 233.2C428.7 239 432.4 247.1 432.4 256H432.4zM64 256C64 231.4 67.47 207.6 73.94 185.1C29.61 125.8 6.506 50.11 .3109 19.14C-.9582 12.79 1.72 6.307 7.097 2.706C12.47-.8952 19.49-.9025 24.88 2.687C44.17 15.55 73.41 26.86 103.3 35.78C126.5 42.74 149.2 47.99 166.2 51.3C209.1 19.09 262.3 .0002 320 .0002C377.7 .0002 430.9 19.09 473.8 51.3C490.8 47.99 513.5 42.74 536.7 35.78C566.6 26.86 595.8 15.55 615.1 2.687C620.5-.9025 627.5-.8952 632.9 2.706C638.3 6.307 640.1 12.79 639.7 19.14C633.5 50.11 610.4 125.8 566.1 185.1C572.5 207.6 576 231.4 576 256C576 397.4 461.4 512 320 512C178.6 512 64 397.4 64 256V256zM320 464C434.9 464 528 370.9 528 256C528 141.1 434.9 48 320 48C205.1 48 112 141.1 112 256C112 370.9 205.1 464 320 464z"],
    "face-smile-plus": [640, 512, ["smile-plus"], "f5b9", "M544 0C557.3 0 568 10.75 568 24V72H616C629.3 72 640 82.75 640 96C640 109.3 629.3 120 616 120H568V168C568 181.3 557.3 192 544 192C530.7 192 520 181.3 520 168V120H472C458.7 120 448 109.3 448 96C448 82.75 458.7 72 472 72H520V24C520 10.75 530.7 0 544 0zM112.4 240C112.4 222.3 126.7 208 144.4 208C162 208 176.4 222.3 176.4 240C176.4 257.7 162 272 144.4 272C126.7 272 112.4 257.7 112.4 240V240zM336.4 240C336.4 257.7 322 272 304.4 272C286.7 272 272.4 257.7 272.4 240C272.4 222.3 286.7 208 304.4 208C322 208 336.4 222.3 336.4 240zM224 368C255.1 368 282.9 354.4 302 332.8C310.8 322.8 325.9 321.9 335.9 330.7C345.8 339.4 346.8 354.6 337.1 364.5C310.2 396.1 269.4 416 224 416C178.6 416 137.8 396.1 110 364.5C101.2 354.6 102.2 339.4 112.1 330.7C122.1 321.9 137.2 322.8 145.1 332.8C165.1 354.4 192.9 368 224 368zM448 288C448 411.7 347.7 512 224 512C100.3 512 0 411.7 0 288C0 164.3 100.3 64 224 64C347.7 64 448 164.3 448 288zM224 112C126.8 112 48 190.8 48 288C48 385.2 126.8 464 224 464C321.2 464 400 385.2 400 288C400 190.8 321.2 112 224 112z"],
    "face-smile-relaxed": [512, 512, [], "e392", "M256 352C293.2 352 319.2 334.5 334.4 318.1C343.3 308.4 358.5 307.7 368.3 316.7C378 325.7 378.6 340.9 369.6 350.6C347.7 374.5 309.7 400 256 400C202.3 400 164.3 374.5 142.4 350.6C133.4 340.9 133.1 325.7 143.7 316.7C153.5 307.7 168.7 308.4 177.6 318.1C192.8 334.5 218.8 352 256 352zM175.6 220C164.1 220 155.7 223.8 150.2 229.7C142.7 237.7 130 238.1 121.9 230.6C113.9 223 113.5 210.4 121 202.3C135.6 186.8 156.3 180 175.6 180C194.1 180 215.7 186.8 230.2 202.3C237.8 210.4 237.4 223 229.3 230.6C221.2 238.1 208.6 237.7 201 229.7C195.6 223.8 186.3 220 175.6 220V220zM281.9 230.6C273.9 223 273.5 210.4 281 202.3C295.6 186.8 316.3 180 335.6 180C354.1 180 375.7 186.8 390.2 202.3C397.8 210.4 397.4 223 389.3 230.6C381.2 238.1 368.6 237.7 361 229.7C355.6 223.8 346.3 220 335.6 220C324.1 220 315.7 223.8 310.2 229.7C302.7 237.7 290 238.1 281.9 230.6zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "face-smile-tear": [512, 512, [], "e393", "M136.3 317.9C146.3 309.2 161.5 310.3 170.1 320.3C187 339.8 215.5 360 255.1 360C269.3 360 280 370.7 280 384C280 397.3 269.3 408 255.1 408C197.1 408 157.2 378.6 133.9 351.7C125.2 341.7 126.3 326.5 136.3 317.9L136.3 317.9zM304 369C304 349 332.4 308.6 345.6 291.3C348.8 286.9 355.2 286.9 358.4 291.3C371.4 308.6 400 349 400 369C400 395 378.5 416 352 416C325.5 416 304 395 304 369H304zM208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208zM304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM352 448C395.4 448 432 413.4 432 369C432 368.3 431.1 367.6 431.1 366.1C452.3 334.9 464 296.8 464 256C464 141.1 370.9 48 256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C285.4 464 313.4 457.9 338.7 446.9C343 447.6 347.5 448 352 448V448z"],
    "face-smile-tongue": [512, 512, [], "e394", "M217.6 228.8L217.4 228.5C217.2 228.3 217 228 216.7 227.6C216 226.8 215.1 225.7 213.9 224.3C211.4 221.4 207.9 217.7 203.7 213.1C194.9 206.2 184.8 200 176 200C167.2 200 157.1 206.2 148.3 213.1C144.1 217.7 140.6 221.4 138.1 224.3C136.9 225.7 135.1 226.8 135.3 227.6C134.1 228 134.8 228.3 134.6 228.5L134.4 228.8L134.4 228.8C132.3 231.6 128.7 232.7 125.5 231.6C122.2 230.5 119.1 227.4 119.1 224C119.1 206.1 126.7 188.4 136.6 175.2C146.4 162.2 160.5 152 175.1 152C191.5 152 205.6 162.2 215.4 175.2C225.3 188.4 231.1 206.1 231.1 224C231.1 227.4 229.8 230.5 226.5 231.6C223.3 232.7 219.7 231.6 217.6 228.8L217.6 228.8zM377.6 228.8L377.6 228.8L377.4 228.5C377.2 228.3 377 228 376.7 227.6C376 226.8 375.1 225.7 373.9 224.3C371.4 221.4 367.9 217.7 363.7 213.1C354.9 206.2 344.8 200 336 200C327.2 200 317.1 206.2 308.3 213.1C304.1 217.7 300.6 221.4 298.1 224.3C296.9 225.7 295.1 226.8 295.3 227.6C294.1 228 294.8 228.3 294.6 228.5L294.4 228.8L294.4 228.8C292.3 231.6 288.7 232.7 285.5 231.6C282.2 230.5 280 227.4 280 224C280 206.1 286.7 188.4 296.6 175.2C306.4 162.2 320.5 152 336 152C351.5 152 365.6 162.2 375.4 175.2C385.3 188.4 392 206.1 392 224C392 227.4 389.8 230.5 386.5 231.6C383.3 232.7 379.7 231.6 377.6 228.8V228.8zM419.5 452.1C375.2 489.8 318.2 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 283.2 507.8 309.4 499.9 333.9C509 357.8 507.7 385.5 493.9 409.4C477.1 436.1 449.2 452.6 419.5 452.1V452.1zM319.1 406.8C299.6 414.8 278.3 419.2 256 419.2C185.6 419.2 125.9 375.4 98.52 313.7C93.15 301.6 98.62 287.4 110.7 282.1C122.9 276.7 137 282.2 142.4 294.3C162.8 340.4 206.5 371.2 256 371.2C312.5 371.2 361.6 330.9 376.8 273.8C378.8 266.5 384 260.6 391 257.7C398 254.9 405.9 255.5 412.4 259.4L461.4 288.1C463.1 278.2 464 267.2 464 256C464 141.1 370.9 48 256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C295.3 464 331.1 453.1 363.3 434.2L319.1 406.8zM452.4 385.4C463.4 366.2 456.8 341.8 437.7 330.7L437.3 330.5L412.6 315.6C401.4 340.1 385.1 361.7 365 378.8L398.5 399.6C417.3 410.6 441.5 404.2 452.4 385.4V385.4z"],
    "face-smile-upside-down": [512, 512, [], "e395", "M177.6 193.9C168.7 203.6 153.5 204.3 143.7 195.3C133.1 186.3 133.4 171.1 142.4 161.4C164.3 137.5 202.3 111.1 256 111.1C309.7 111.1 347.7 137.5 369.6 161.4C378.6 171.1 378 186.3 368.3 195.3C358.5 204.3 343.3 203.6 334.4 193.9C319.2 177.5 293.2 159.1 256 159.1C218.8 159.1 192.8 177.5 177.6 193.9V193.9zM176.4 336C158.7 336 144.4 321.7 144.4 304C144.4 286.3 158.7 272 176.4 272C194 272 208.4 286.3 208.4 304C208.4 321.7 194 336 176.4 336zM336.4 272C354 272 368.4 286.3 368.4 304C368.4 321.7 354 336 336.4 336C318.7 336 304.4 321.7 304.4 304C304.4 286.3 318.7 272 336.4 272zM256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM464 256C464 141.1 370.9 48 256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256z"],
    "face-smile-wink": [512, 512, [128521, "smile-wink"], "f4da", "M256 352C293.2 352 319.2 334.5 334.4 318.1C343.3 308.4 358.5 307.7 368.3 316.7C378 325.7 378.6 340.9 369.6 350.6C347.7 374.5 309.7 400 256 400C202.3 400 164.3 374.5 142.4 350.6C133.4 340.9 133.1 325.7 143.7 316.7C153.5 307.7 168.7 308.4 177.6 318.1C192.8 334.5 218.8 352 256 352zM208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208zM281.9 230.6C273.9 223 273.5 210.4 281 202.3C295.6 186.8 316.3 180 335.6 180C354.1 180 375.7 186.8 390.2 202.3C397.8 210.4 397.4 223 389.3 230.6C381.2 238.1 368.6 237.7 361 229.7C355.6 223.8 346.3 220 335.6 220C324.1 220 315.7 223.8 310.2 229.7C302.7 237.7 290 238.1 281.9 230.6zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "face-smiling-hands": [640, 512, [], "e396", "M319.1 352C347.4 352 368.6 342.6 384 331.1V386.5C365.1 394.6 344.6 400 319.1 400C295.4 400 274 394.6 255.1 386.5V331.1C271.4 342.6 292.6 352 319.1 352zM64.34 242.6C71.31 107.5 183.1 0 319.1 0C456.9 0 568.7 107.5 575.7 242.6C559.6 237.1 541.3 240.3 527.1 252.3C525.1 139.1 433.6 48 319.1 48C206.4 48 114 139.1 112 252.3C98.73 240.3 80.37 237.1 64.34 242.6H64.34zM319.1 464C344.2 464 367.4 459.9 389 452.3C393.6 468.1 401.2 482.7 411.1 495.3C382.8 506.1 352.1 512 320 512C287.9 512 257.2 506.1 228.9 495.3C238.8 482.7 246.4 468.1 250.1 452.3C272.6 459.9 295.8 464 320 464H319.1zM281.6 228.8L281.6 228.8L281.4 228.5C281.2 228.3 281 228 280.7 227.6C280 226.8 279.1 225.7 277.9 224.3C275.4 221.4 271.9 217.7 267.7 213.1C258.9 206.2 248.8 200 239.1 200C231.2 200 221.1 206.2 212.3 213.1C208.1 217.7 204.6 221.4 202.1 224.3C200.9 225.7 199.1 226.8 199.3 227.6C198.1 228 198.8 228.3 198.6 228.5L198.4 228.8L198.4 228.8C196.3 231.6 192.7 232.7 189.5 231.6C186.2 230.5 183.1 227.4 183.1 224C183.1 206.1 190.7 188.4 200.6 175.2C210.4 162.2 224.5 152 239.1 152C255.5 152 269.6 162.2 279.4 175.2C289.3 188.4 295.1 206.1 295.1 224C295.1 227.4 293.8 230.5 290.5 231.6C287.3 232.7 283.7 231.6 281.6 228.8V228.8zM441.6 228.8L441.4 228.5C441.2 228.3 441 228 440.7 227.6C440 226.8 439.1 225.7 437.9 224.3C435.4 221.4 431.9 217.7 427.7 213.1C418.9 206.2 408.8 200 400 200C391.2 200 381.1 206.2 372.3 213.1C368.1 217.7 364.6 221.4 362.1 224.3C360.9 225.7 359.1 226.8 359.3 227.6C358.1 228 358.8 228.3 358.6 228.5L358.4 228.8L358.4 228.8C356.3 231.6 352.7 232.7 349.5 231.6C346.2 230.5 344 227.4 344 224C344 206.1 350.7 188.4 360.6 175.2C370.4 162.2 384.5 152 400 152C415.5 152 429.6 162.2 439.4 175.2C449.3 188.4 456 206.1 456 224C456 227.4 453.8 230.5 450.5 231.6C447.3 232.7 443.7 231.6 441.6 228.8L441.6 228.8zM520 350.6C517.4 353.2 517.4 357.4 520 360C522.6 362.6 526.8 362.6 529.4 360L596.7 292.7C602.9 286.4 613.1 286.4 619.3 292.7C625.6 298.9 625.6 309.1 619.3 315.3L552 382.6C549.4 385.2 549.4 389.4 552 392C554.6 394.6 558.8 394.6 561.4 392L612.7 340.7C618.9 334.4 629.1 334.4 635.3 340.7C641.6 346.9 641.6 357.1 635.3 363.3L584 414.6C581.4 417.2 581.4 421.4 584 424C586.6 426.6 590.8 426.6 593.4 424L612.7 404.7C618.9 398.4 629.1 398.4 635.3 404.7C641.6 410.9 641.6 421.1 635.3 427.3L578.5 484.1C560.7 501.1 536.4 512 511.2 512C458.6 512 416 469.4 416 416.8V330.4C416 319.4 424.1 310.4 436 310.4C447 310.4 456 319.4 456 330.4V350.1C456 357.2 464.6 360.8 469.7 355.7L548.7 276.7C554.9 270.4 565.1 270.4 571.3 276.7C577.6 282.9 577.6 293.1 571.3 299.3L520 350.6zM91.31 276.7L170.3 355.7C175.4 360.8 184 357.2 184 350.1V330.4C184 319.4 192.1 310.4 204 310.4C215 310.4 224 319.4 224 330.4V416.8C224 469.4 181.4 512 128.8 512C103.6 512 79.34 501.1 61.49 484.1L4.686 427.3C-1.562 421.1-1.562 410.9 4.686 404.7C10.93 398.4 21.07 398.4 27.31 404.7L46.63 424C49.22 426.6 53.41 426.6 55.1 424C58.59 421.4 58.59 417.2 55.1 414.6L4.686 363.3C-1.562 357.1-1.562 346.9 4.686 340.7C10.93 334.4 21.07 334.4 27.31 340.7L78.63 392C81.22 394.6 85.41 394.6 87.1 392C90.59 389.4 90.59 385.2 87.1 382.6L20.69 315.3C14.44 309.1 14.44 298.9 20.69 292.7C26.93 286.4 37.06 286.4 43.31 292.7L110.6 360C113.2 362.6 117.4 362.6 119.1 360C122.6 357.4 122.6 353.2 119.1 350.6L68.69 299.3C62.44 293.1 62.44 282.9 68.69 276.7C74.93 270.4 85.06 270.4 91.31 276.7L91.31 276.7z"],
    "face-smirking": [512, 512, [], "e397", "M380.4 349.7C368.2 380.1 338.8 400 306.1 400H184C170.7 400 160 389.3 160 376C160 362.7 170.7 352 184 352H306.1C319.2 352 330.9 344 335.8 331.9L337.7 327.1C342.6 314.8 356.6 308.8 368.9 313.7C381.2 318.6 387.2 332.6 382.3 344.9L380.4 349.7zM176 192C193.7 192 208 206.3 208 224C208 241.7 193.7 256 176 256C158.3 256 144 241.7 144 224H112C103.2 224 96 216.8 96 208C96 199.2 103.2 192 112 192H176zM288 208C288 199.2 295.2 192 304 192H368C385.7 192 400 206.3 400 224C400 241.7 385.7 256 368 256C350.3 256 336 241.7 336 224H304C295.2 224 288 216.8 288 208zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "face-spiral-eyes": [512, 512, [], "e485", "M338.1 304.5C337.8 297.9 342.1 292.3 349.6 292C396.5 290.1 431.8 247.1 427.7 207.7L427.6 207.4L427.6 207C425.6 166.8 386.8 136.4 351.4 140.3L351.1 140.4L350.8 140.4C314.5 142.5 288.6 176.1 292.4 204.9L292.4 205.3L292.4 205.6C294.6 235.4 323.7 256.6 348.4 253.1L348.7 253.1L349.1 253C374.8 250.9 391.1 226.8 387.1 208.5L387.9 208.1L387.9 207.8C385.7 188.3 366.4 176.4 352.4 179.2L352.1 179.3L351.7 179.3C336.6 181.4 329.8 195.7 331.8 203.4L331.9 203.7L332 204.1C332.9 208.4 335.4 211.5 338.6 213.3C339.5 213.8 340.3 214.2 341.1 214.5C339.5 212.6 338.4 210.2 338.1 207.5C337.1 196.4 346.1 191.7 352.2 191.1C358.8 190.4 365.6 193.3 369.9 199.6C374.8 206.4 374.3 215.1 371.7 221.4C368.8 228.4 362.8 234.6 353.9 237.3C344.7 240.6 334.5 238.7 326.4 234C318.1 229.1 310.1 220.7 308.6 209.2C302.7 186.4 320.4 159.7 348.1 155.6C375.8 150.3 407.9 171.8 411.7 204.8C417.1 237.8 389.8 273.5 351.4 276.9C313.2 282.1 271.8 251.1 268.5 207.7C263.1 164.4 299.1 119.4 349.1 116.5C397.9 111.2 448.7 151.6 451.6 205.5C457.1 259.3 410.5 313.6 350.6 315.1C343.9 316.3 338.4 311.1 338.1 304.5L338.1 304.5zM308.9 346.6C331.1 331.8 360.6 334.7 379.5 353.6L384.1 359C394.3 368.4 394.3 383.6 384.1 392.1C375.6 402.3 360.4 402.3 351 392.1L345.6 387.5C342.9 384.8 338.7 384.4 335.5 386.5L328.8 390.1C308.5 404.5 281.8 403.4 262.7 388.1L260.1 386.7C258.1 384.4 253.9 384.4 251 386.7L249.3 388.1C230.2 403.4 203.5 404.5 183.2 390.1L176.5 386.5C173.3 384.4 169.1 384.8 166.4 387.5L160.1 392.1C151.6 402.3 136.4 402.3 127 392.1C117.7 383.6 117.7 368.4 127 359L132.5 353.6C151.4 334.7 180.9 331.8 203.1 346.6L209.8 351.1C212.7 352.1 216.6 352.8 219.3 350.6L221 349.3C241.5 332.9 270.5 332.9 290.1 349.3L292.7 350.6C295.4 352.8 299.3 352.1 302.2 351.1L308.9 346.6zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C185 48 122.4 83.52 84.86 137.8C103.3 116.2 130.6 101.2 161.4 100C168.1 99.74 173.6 104.9 173.9 111.5C174.2 118.1 169 123.7 162.4 123.1C115.5 125.9 80.15 168.9 84.34 208.3L84.38 208.6L84.39 208.1C86.38 249.2 125.2 279.6 160.6 275.7L160.9 275.6L161.2 275.6C197.5 273.5 223.4 239.9 219.6 211.1L219.6 210.7L219.6 210.4C217.4 180.6 188.3 159.4 163.6 162.9L163.3 162.9L162.9 162.1C137.2 165.1 120.9 189.2 124 207.5L124.1 207.9L124.1 208.2C126.3 227.7 145.6 239.6 159.6 236.8L159.9 236.7L160.3 236.7C175.4 234.6 182.2 220.3 180.2 212.6L180.1 212.3L179.1 211.9C179.1 207.6 176.6 204.5 173.5 202.7C172.5 202.2 171.7 201.8 170.9 201.5C172.5 203.4 173.6 205.8 173.9 208.5C174.9 219.6 165 224.3 159.8 224.9C153.2 225.6 146.4 222.7 142.1 216.4C137.2 209.6 137.7 200.9 140.3 194.6C143.2 187.6 149.2 181.4 158.1 178.7C167.3 175.4 177.5 177.3 185.6 181.1C193.9 186.9 201 195.3 203.4 206.8C209.3 229.6 191.6 256.3 163.9 260.4C136.2 265.7 104.1 244.2 100.3 211.2C94.91 178.2 122.2 142.5 160.6 139.1C198.8 133.9 240.2 164.9 243.5 208.3C248.9 251.6 212 296.6 162.9 299.5C114.1 304.8 63.3 264.4 60.44 210.5C59.29 199.2 60.42 187.9 63.47 177.1C53.5 201.5 47.1 228.1 47.1 255.1C47.1 370.9 141.1 464 255.1 464C370.9 464 464 370.9 464 255.1C464 141.1 370.9 47.1 255.1 47.1L256 48z"],
    "face-sunglasses": [512, 512, [], "e398", "M143.7 332.7C153.5 323.7 168.7 324.4 177.6 334.1C192.8 350.5 218.8 368 256 368C293.2 368 319.2 350.5 334.4 334.1C343.3 324.4 358.5 323.7 368.3 332.7C378 341.7 378.6 356.9 369.6 366.6C347.7 390.5 309.7 416 256 416C202.3 416 164.3 390.5 142.4 366.6C133.4 356.9 133.1 341.7 143.7 332.7zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 464C370.9 464 464 370.9 464 256C464 239.7 462.1 223.8 458.6 208.6L454.7 231.9C450.8 255 430.8 272 407.3 272H328.7C305.2 272 285.2 255 281.3 231.9L274.7 192H237.3L230.7 231.9C226.8 255 206.8 272 183.3 272H104.7C81.2 272 61.17 255 57.31 231.9L53.43 208.6C49.88 223.8 47.1 239.7 47.1 256C47.1 370.9 141.1 464 255.1 464H256zM284.9 144C293.6 134.2 306.3 128 320.7 128H415.3C416.1 128 418.6 128.1 420.1 128.2C382.1 79.4 322.7 48 256 48C189.3 48 129.9 79.4 91.85 128.2C93.43 128.1 95.04 128 96.66 128H191.3C205.7 128 218.4 134.2 227.1 144H284.9z"],
    "face-surprise": [512, 512, [128558, "surprise"], "f5c2", "M144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208zM368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208zM192 352C192 316.7 220.7 288 256 288C291.3 288 320 316.7 320 352C320 387.3 291.3 416 256 416C220.7 416 192 387.3 192 352zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "face-swear": [640, 512, [], "e399", "M112 256H64C64 114.6 178.6 0 320 0C461.4 0 576 114.6 576 256H528C528 141.1 434.9 48 320 48C205.1 48 112 141.1 112 256zM208.4 192C208.4 183.2 211.9 175.2 217.7 169.4L186.9 159.2C178.6 156.4 174 147.3 176.8 138.9C179.6 130.6 188.7 126 197.1 128.8L293.1 160.8C301.4 163.6 305.1 172.7 303.2 181.1C300.4 189.4 291.3 193.1 282.9 191.2L272.1 187.6C272.3 189 272.4 190.5 272.4 192C272.4 209.7 258 224 240.4 224C222.7 224 208.4 209.7 208.4 192H208.4zM432.4 192C432.4 209.7 418 224 400.4 224C382.7 224 368.4 209.7 368.4 192C368.4 190.4 368.5 188.8 368.7 187.3L357.1 191.2C348.7 193.1 339.6 189.4 336.8 181.1C334 172.7 338.6 163.6 346.9 160.8L442.9 128.8C451.3 126 460.4 130.6 463.2 138.9C465.1 147.3 461.4 156.4 453.1 159.2L422.9 169.2C428.7 175 432.4 183.1 432.4 192H432.4zM320 384H352V416H320V384zM592 288C618.5 288 640 309.5 640 336V464C640 490.5 618.5 512 592 512H48C21.49 512 0 490.5 0 464V336C0 309.5 21.49 288 48 288H592zM400 384C408.8 384 416 376.8 416 368C416 359.2 408.8 352 400 352H384V336C384 327.2 376.8 320 368 320C359.2 320 352 327.2 352 336V352H320V336C320 327.2 312.8 320 304 320C295.2 320 288 327.2 288 336V352H272C263.2 352 256 359.2 256 368C256 376.8 263.2 384 272 384H288V416H272C263.2 416 256 423.2 256 432C256 440.8 263.2 448 272 448H288V464C288 472.8 295.2 480 304 480C312.8 480 320 472.8 320 464V448H352V464C352 472.8 359.2 480 368 480C376.8 480 384 472.8 384 464V448H400C408.8 448 416 440.8 416 432C416 423.2 408.8 416 400 416H384V384H400zM547.9 333.6L451.9 445.6C446.1 452.3 446.9 462.4 453.6 468.1C460.3 473.9 470.4 473.1 476.1 466.4L572.1 354.4C577.9 347.7 577.1 337.6 570.4 331.9C563.7 326.1 553.6 326.9 547.9 333.6zM472 328C458.7 328 448 338.7 448 352C448 365.3 458.7 376 472 376C485.3 376 496 365.3 496 352C496 338.7 485.3 328 472 328zM552 472C565.3 472 576 461.3 576 448C576 434.7 565.3 424 552 424C538.7 424 528 434.7 528 448C528 461.3 538.7 472 552 472zM192 336V400C192 408.8 199.2 416 208 416C216.8 416 224 408.8 224 400V336C224 327.2 216.8 320 208 320C199.2 320 192 327.2 192 336zM208 432C194.7 432 184 442.7 184 456C184 469.3 194.7 480 208 480C221.3 480 232 469.3 232 456C232 442.7 221.3 432 208 432zM128 336C128 327.2 120.8 320 112 320C103.2 320 96 327.2 96 336V337.5C90.36 338.7 84.45 340.8 79.15 344.5C71.63 349.9 66.4 357.8 64.64 368C63.39 375.3 64.04 382.4 67.13 388.9C70.16 395.3 74.89 399.8 79.58 403C87.66 408.5 98.25 411.7 105.1 414L107.5 414.5C116.9 417.3 122.7 419.3 126.2 421.9C127.6 422.8 127.8 423.4 127.8 423.5C127.9 423.5 127.9 423.7 127.1 424.1C128 424.5 128 425.2 127.8 426.4C127.3 429.6 126.3 430.1 125.9 430.4L125.8 430.4C124.7 431.1 122 431.1 117.1 431.9C106.9 431.8 94.52 427.1 85.06 424.8C76.68 422 67.62 426.6 64.82 434.9C62.03 443.3 66.56 452.4 74.94 455.2C79.82 456.8 87.02 459.2 95.11 461V464C95.11 472.8 102.3 480 111.1 480C119.9 480 127.1 472.8 127.1 464V463.2C132.2 462.4 137.5 460.8 142.4 457.8C151.5 452.3 157.4 443.4 159.4 431.9C160.6 424.5 160.1 417.4 157.2 410.7C154.4 404.2 149.8 399.4 145.1 395.1C136.6 389.8 125.4 386.5 117.5 384L116.8 383.8C107.2 380.9 101.2 379 97.56 376.5C96.55 375.9 96.18 375.4 96.07 375.3C96.03 375.1 95.1 374.5 96.18 373.5C96.51 371.6 97.1 371 97.7 370.6C98.76 369.9 101 368.9 105.1 368.4C113.4 367.5 123.1 369.3 131.9 371.4C140.4 373.6 149.2 368.6 151.5 360C153.7 351.5 148.7 342.7 140.1 340.4C136.7 339.5 132.6 338.6 128 337.8L128 336zM96.1 375.4C96.1 375.4 96.08 375.3 96.07 375.3z"],
    "face-thermometer": [576, 512, [], "e39a", "M288 47.1C173.1 47.1 80 141.1 80 255.1C80 370.9 173.1 464 288 464C353.9 464 412.7 433.3 450.8 385.5C452.3 384.2 453.7 382.9 455.2 381.5L540 301.1C518.8 420.1 414 512 288 512C146.6 512 32 397.4 32 256C32 114.6 146.6 0 288 0C385 0 469.4 53.96 512.8 133.5C496.3 133.2 479.8 137.9 465.5 147.6C428.1 87.84 363.1 48 288 48L288 47.1zM545.9 251.5L415.1 376.1C413.1 380.2 411.7 384.1 408.3 387.3C398.5 396.3 383.3 395.6 374.4 385.9C359.2 369.5 333.2 352 296 352C258.8 352 232.8 369.5 217.6 385.9C208.7 395.6 193.5 396.3 183.7 387.3C173.1 378.3 173.4 363.1 182.4 353.4C204.3 329.5 242.3 303.1 296 303.1C312.2 303.1 327.1 306.3 340.4 310.3L476.1 179.4C496.6 160.6 527.6 160.1 546.8 180.1C566.6 199.1 566.2 232.2 545.9 251.5L545.9 251.5zM429.4 318.3L423.5 312.5C418.8 307.8 418.8 300.2 423.5 295.5C428.2 290.8 435.8 290.8 440.5 295.5L446.7 301.8L462.1 287.1L455.5 280.5C450.8 275.8 450.8 268.2 455.5 263.5C460.2 258.8 467.8 258.8 472.5 263.5L479.5 270.6L494.9 255.9L487.5 248.5C482.8 243.8 482.8 236.2 487.5 231.5C492.2 226.8 499.8 226.8 504.5 231.5L512.3 239.3L523.8 228.4C531.1 221.4 531.2 209.9 524.1 202.8C517.3 195.9 506.1 195.8 499.1 202.5L372.5 323.9C383.7 330.2 393.3 337.5 401.3 345L429.4 318.3zM176.4 207.1C176.4 190.3 190.7 175.1 208.4 175.1C226 175.1 240.4 190.3 240.4 207.1C240.4 225.7 226 239.1 208.4 239.1C190.7 239.1 176.4 225.7 176.4 207.1zM400.4 207.1C400.4 225.7 386 239.1 368.4 239.1C350.7 239.1 336.4 225.7 336.4 207.1C336.4 190.3 350.7 175.1 368.4 175.1C386 175.1 400.4 190.3 400.4 207.1z"],
    "face-thinking": [512, 512, [], "e39b", "M256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48C141.1 48 48 141.1 48 256C48 273.7 50.21 290.8 54.36 307.2C40.78 317.4 32 333.7 32 352V380C11.61 343.3 0 301 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C245.4 512 234.9 511.4 224.6 510.1C228.6 504.4 231.9 498.1 234.4 491.3L244.4 463.7C248.3 463.9 252.1 464 256 464V464zM268.3 307.6L237.9 318.1L172.3 303.6C163.7 301.6 158.4 292.9 160.4 284.3C162.4 275.7 171.1 270.4 179.7 272.4L276.7 295.3C284.9 297.2 292.4 300.6 299 305.1C289.1 303.1 278.5 303.7 268.3 307.6L268.3 307.6zM208.4 192C208.4 209.7 194 224 176.4 224C158.7 224 144.4 209.7 144.4 192C144.4 174.3 158.7 160 176.4 160C194 160 208.4 174.3 208.4 192zM304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208zM216.4 144.8C195.9 127.2 166.5 124.4 142.1 137.9L135.9 141.9C128.3 146.3 118.5 143.6 114.1 135.9C109.7 128.3 112.4 118.5 120.1 114.1L127.1 110.1C162.3 89.95 206.4 94.14 237.2 120.5L250.4 131.9C257.1 137.6 257.9 147.7 252.1 154.4C246.4 161.1 236.3 161.9 229.6 156.1L216.4 144.8zM112 400.4L279.6 337.5C291.1 332.9 305.8 339.2 310.5 351.6C315.1 363.1 308.8 377.8 296.4 382.5L230.9 407C230.8 407.4 230.7 407.8 230.6 408.2L204.3 480.4C197.4 499.4 179.4 512 159.2 512H112C85.49 512 64 490.5 64 464V352C64 338.7 74.75 328 88 328C101.3 328 112 338.7 112 352L112 400.4z"],
    "face-tired": [512, 512, [128555, "tired"], "f5c8", "M176.5 320.3C196.1 302.1 223.8 288 256 288C288.2 288 315.9 302.1 335.5 320.3C354.5 338.1 368 362 368 384C368 389.4 365.3 394.4 360.8 397.4C356.2 400.3 350.5 400.8 345.6 398.7L328.4 391.1C305.6 381.2 280.9 376 256 376C231.1 376 206.4 381.2 183.6 391.1L166.4 398.7C161.5 400.8 155.8 400.3 151.2 397.4C146.7 394.4 144 389.4 144 384C144 362 157.5 338.1 176.5 320.3zM223.4 194.6C234.1 200.3 234.1 215.7 223.4 221.4L133.5 269.3C125.6 273.6 116 267.8 116 258.9C116 256.1 116.1 253.4 118.8 251.2L154.8 208L118.8 164.8C116.1 162.6 116 159.9 116 157.1C116 148.2 125.6 142.4 133.5 146.7L223.4 194.6zM393.2 164.8L357.2 208L393.2 251.2C395 253.4 396 256.1 396 258.9C396 267.8 386.4 273.6 378.5 269.3L288.6 221.4C277.9 215.7 277.9 200.3 288.6 194.6L378.5 146.7C386.4 142.4 396 148.2 396 157.1C396 159.9 395 162.6 393.2 164.8zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "face-tissue": [512, 512, [], "e39c", "M256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48C141.1 48 48 141.1 48 256C48 264.7 48.54 273.3 49.58 281.7L8.11 288.7C6.109 288.1 4.15 289.4 2.241 290C.7642 278.9 .0016 267.5 .0016 256C.0016 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C244.5 512 233.1 511.2 221.1 509.8C222.6 507.9 223 505.9 223.3 503.9L230.3 462.4C238.7 463.5 247.3 464 256 464V464zM251.7 333.8L256 337.3L281 317.3C289.2 310.7 300.6 310.2 309.3 316L340.9 337.1L351 327C360.4 317.7 375.6 317.7 384.1 327C394.3 336.4 394.3 351.6 384.1 360.1L360.1 384.1C352.9 393.1 340.2 394.3 330.7 387.1L297.3 365.7L270.1 386.7C262.8 393.3 251.3 393.7 242.7 387.1L251.7 333.8zM116 141.1C116 132.2 125.6 126.4 133.5 130.7L223.4 178.6C234.1 184.3 234.1 199.7 223.4 205.4L133.5 253.3C125.6 257.6 116 251.8 116 242.9C116 240.1 116.1 237.4 118.8 235.2L154.8 192L118.8 148.8C116.1 146.6 116 143.9 116 141.1V141.1zM378.5 130.7C386.4 126.4 396 132.2 396 141.1C396 143.9 395 146.6 393.2 148.8L357.2 192L393.2 235.2C395 237.4 396 240.1 396 242.9C396 251.8 386.4 257.6 378.5 253.3L288.6 205.4C277.9 199.7 277.9 184.3 288.6 178.6L378.5 130.7zM219.3 292.7C222.1 296.3 224.6 301.5 223.8 306.6L191.8 498.6C190.7 505.3 185.5 510.6 178.8 511.8C172.2 512.9 165.5 509.8 162.1 503.9L136.1 458.5L51.88 479.5C46.43 480.9 40.66 479.3 36.69 475.3C32.71 471.3 31.12 465.6 32.48 460.1L53.54 375.9L8.063 349.9C2.187 346.5-.9405 339.8 .2509 333.2C1.442 326.5 6.696 321.3 13.37 320.2L205.4 288.2C210.5 287.4 215.7 289 219.3 292.7L219.3 292.7z"],
    "face-tongue-money": [512, 512, [], "e39d", "M192 129.8C196.6 130.7 200.7 131.6 204.1 132.5C212.7 134.8 217.7 143.6 215.5 152.1C213.2 160.7 204.4 165.7 195.9 163.5C187.6 161.3 177.1 159.4 168.9 160.3C164.9 160.7 162.8 161.7 161.8 162.4C159.2 164.3 159.2 167.1 161.6 169.6C168.4 174.4 176.6 176.6 184.9 178.7C193.2 180.9 201.6 183.2 208.7 188.1C213.5 191.5 218.2 196.1 221.1 202.7C224.1 209.4 224.6 216.6 223.4 223.9C221.4 235.4 215.5 244.3 206.4 249.8C201.8 252.6 196.8 254.2 192 255.1V263.1C192 272.8 184.8 279.1 176 279.1C167.2 279.1 160 272.8 160 263.1V253.2C151.6 251.3 144 248.9 138.1 247.2C130.6 244.4 126 235.3 128.8 226.9C131.6 218.6 140.7 214 149.1 216.8C158.5 219.1 170.9 223.8 181.1 223.9C186 223.1 188.7 223.1 189.8 222.4L189.9 222.4C192.6 220.8 193 216.2 190.4 214.4C186.1 211.1 181.2 210.1 171.6 207.4L170.5 207.1C162.6 204.8 151.6 201.7 143.3 195.9C138.5 192.5 133.8 187.9 130.9 181.3C127.9 174.6 127.4 167.4 128.6 160.1C130.4 149.1 135.5 141.9 143 136.5C148.4 132.6 154.3 130.5 160 129.3V119.1C160 111.2 167.2 103.1 176 103.1C184.8 103.1 192 111.2 192 119.1L192 129.8zM336 104C344.8 104 352 111.2 352 120V129.8C356.6 130.7 360.7 131.6 364.1 132.5C372.7 134.8 377.7 143.6 375.5 152.1C373.2 160.7 364.4 165.7 355.9 163.5C347.6 161.3 337.1 159.4 328.9 160.3C324.9 160.7 322.8 161.7 321.8 162.4C319.2 164.3 319.2 167.1 321.6 169.6C328.4 174.4 336.6 176.6 344.9 178.7C353.2 180.9 361.6 183.2 368.7 188.1C373.5 191.5 378.2 196.1 381.1 202.7C384.1 209.4 384.6 216.6 383.4 223.9C381.4 235.4 375.5 244.3 366.4 249.8C361.8 252.6 356.8 254.2 352 255.1V263.1C352 272.8 344.8 279.1 336 279.1C327.2 279.1 320 272.8 320 263.1V253.2C311.6 251.3 304 248.9 298.1 247.2C290.6 244.4 286 235.3 288.8 226.9C291.6 218.6 300.7 214 309.1 216.8C318.5 219.1 330.9 223.8 341.1 223.9C346 223.1 348.7 223.1 349.8 222.4L349.9 222.4C352.6 220.8 353 216.2 350.4 214.4C346.1 211.1 341.2 210.1 331.6 207.4L330.5 207.1C322.6 204.8 311.6 201.7 303.3 195.9C298.5 192.5 293.8 187.9 290.9 181.3C287.9 174.6 287.4 167.4 288.6 160.1C290.4 149.1 295.5 141.9 303 136.5C308.4 132.6 314.3 130.5 320 129.3V119.1C320 111.2 327.2 103.1 336 103.1L336 104zM267.2 362.8C270.6 363.4 273.7 364.1 276.3 364.8C282.7 366.4 286.5 372.8 284.8 378.1C283.1 385.2 276.5 388.9 270.1 387.2C263.9 385.6 255.1 384.3 249.9 384.9C246.9 385.3 245.3 385.1 244.5 386.5C242.6 387.8 242.6 390.5 244.4 391.7C249.5 395.2 255.7 396.8 261.8 398.4C268.1 399.1 274.4 401.6 279.8 405.2C283.3 407.6 286.9 411 289 415.8C291.3 420.6 291.7 425.9 290.7 431.2C289.2 439.6 284.8 446.1 277.1 450.1C274.5 452.1 270.8 453.2 267.2 453.9V460.4C267.2 466.8 261.8 472 255.2 472C248.6 472 243.2 466.8 243.2 460.4V452.5C236.9 451.2 231.2 449.4 227.4 448.1C221.1 446.1 217.7 439.5 219.8 433.4C221.9 427.3 228.7 424 234.1 426.1C242.1 428.3 251.4 431.1 258.1 431.2C262.7 431.3 264.7 430.6 265.6 430.1C267.7 428.9 267.1 425.6 266 424.3C263.4 422.5 259.1 421.2 251.9 419.2L251.1 418.1C245.2 417.3 236.9 415 230.7 410.8C227.1 408.4 223.5 404.1 221.4 400.2C219.1 395.4 218.7 390.1 219.7 384.8C221 377.4 224.8 371.6 230.5 367.6C234.5 364.8 238.9 363.3 243.2 362.4V355.6C243.2 349.2 248.6 344 255.2 344C261.8 344 267.2 349.2 267.2 355.6L267.2 362.8zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM348.3 442.4C416.9 408.4 464 337.7 464 256C464 141.1 370.9 48 256 48C141.1 48 48 141.1 48 256C48 337.7 95.13 408.4 163.7 442.4C161.5 434.7 160.2 426.6 160 418.2C129.6 397 106.9 366.1 96.76 330.1C92.92 316.4 104.2 304 118.4 304H393.6C407.8 304 419.1 316.4 415.2 330.1C405.2 366.1 382.4 397 351.1 418.2C351.8 426.6 350.5 434.7 348.3 442.4H348.3zM303.9 458.5C309.4 452.2 313.7 444.9 316.5 436.9C318.8 430.4 320 423.3 320 416V336H192V416C192 423.3 193.2 430.3 195.5 436.9C198.3 444.9 202.6 452.2 208.1 458.5C219.8 471.7 236.9 480 256 480C275.1 480 292.2 471.7 303.9 458.5V458.5z"],
    "face-tongue-sweat": [576, 512, [], "e39e", "M288 48C173.1 48 80 141.1 80 256C80 261.7 80.23 267.4 80.68 272.1L80.01 272.1C68.39 256.5 48.28 252.2 32.02 259.3C32.01 258.2 32 257.1 32 256C32 114.6 146.6 0 288 0C429.4 0 544 114.6 544 256C544 397.4 429.4 512 288 512C213.5 512 146.4 480.2 99.62 429.3C112.6 418.5 122.1 403.7 126 386.5C144.9 409.8 168.6 429 195.7 442.4C193.3 434 192 425.2 192 416V400.7C181.8 393.5 176 385 176 376C176 349.5 226.1 328 288 328C349.9 328 400 349.5 400 376C400 385 394.2 393.5 384 400.7V416C384 425.2 382.7 434 380.3 442.4C448.9 408.4 496 337.7 496 256C496 141.1 402.9 48 288 48L288 48zM352 416V394.6C352 379.9 340.1 368 325.4 368H323.4C312.1 368 302.3 375.9 299.8 386.9C296.1 399.5 279 399.5 276.2 386.9C273.7 375.9 263.9 368 252.6 368H250.6C235.9 368 224 379.9 224 394.6V416C224 451.3 252.7 480 288 480C323.3 480 352 451.3 352 416zM96 369C96 383.2 89.58 395.9 79.45 404.5C71.02 411.7 60.02 416 48 416C21.54 416 0 395 0 369C0 351.7 21.44 319.1 35.66 299.4C37.84 296.3 39.86 293.6 41.6 291.3C44.8 286.9 51.2 286.9 54.4 291.3C67.57 308.6 95.1 349 95.1 369H96zM367.6 240C385.3 240 399.6 254.3 399.6 272C399.6 289.7 385.3 304 367.6 304C349.1 304 335.6 289.7 335.6 272C335.6 254.3 349.1 240 367.6 240zM207.6 304C189.1 304 175.6 289.7 175.6 272C175.6 254.3 189.1 240 207.6 240C225.3 240 239.6 254.3 239.6 272C239.6 289.7 225.3 304 207.6 304zM227.3 148.7C233.6 154.9 233.6 165.1 227.3 171.3L219.9 178.7C196.4 202.3 166 217.9 133.1 223.4L130.6 223.8C121.9 225.2 113.7 219.3 112.2 210.6C110.8 201.9 116.7 193.7 125.4 192.2L127.9 191.8C154.2 187.4 178.5 174.9 197.3 156.1L204.7 148.7C210.9 142.4 221.1 142.4 227.3 148.7zM348.7 171.3C342.4 165.1 342.4 154.9 348.7 148.7C354.9 142.4 365.1 142.4 371.3 148.7L378.7 156.1C397.5 174.9 421.8 187.4 448.2 191.8L450.6 192.2C459.3 193.7 465.2 201.9 463.8 210.6C462.3 219.3 454.1 225.2 445.4 223.8L442.9 223.4C409.1 217.9 379.6 202.3 356.1 178.7L348.7 171.3z"],
    "face-unamused": [512, 512, [], "e39f", "M256 376C237.6 376 224.9 384.5 217.5 392.4C208.5 402.1 193.3 402.6 183.6 393.5C173.9 384.5 173.4 369.3 182.5 359.6C196.7 344.3 221.4 328 256 328C290.6 328 315.3 344.3 329.5 359.6C338.6 369.3 338.1 384.5 328.4 393.5C318.7 402.6 303.5 402.1 294.5 392.4C287.1 384.5 274.4 376 256 376zM176 192C193.7 192 208 206.3 208 224C208 241.7 193.7 256 176 256C158.3 256 144 241.7 144 224H112C103.2 224 96 216.8 96 208C96 199.2 103.2 192 112 192H176zM288 208C288 199.2 295.2 192 304 192H368C385.7 192 400 206.3 400 224C400 241.7 385.7 256 368 256C350.3 256 336 241.7 336 224H304C295.2 224 288 216.8 288 208zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "face-viewfinder": [512, 512, [], "e2ff", "M24 160C37.25 160 48 149.3 48 136V48h88C149.3 48 160 37.25 160 24S149.3 0 136 0H32C14.33 0 0 14.33 0 32v104C0 149.3 10.75 160 24 160zM136 464H48v-88C48 362.7 37.25 352 24 352S0 362.7 0 376V480c0 17.67 14.33 32 32 32h104C149.3 512 160 501.3 160 488S149.3 464 136 464zM488 352c-13.25 0-24 10.75-24 24v88h-88c-13.25 0-24 10.75-24 24S362.7 512 376 512H480c17.67 0 32-14.33 32-32v-104C512 362.7 501.3 352 488 352zM480 0h-104C362.7 0 352 10.75 352 24s10.75 24 24 24h88v88C464 149.3 474.7 160 488 160S512 149.3 512 136V32C512 14.33 497.7 0 480 0zM416 256c0-88.37-71.63-160-160-160S96 167.6 96 256s71.63 160 160 160S416 344.4 416 256zM256 368c-61.76 0-112-50.24-112-112S194.2 144 256 144c61.76 0 112 50.24 112 112S317.8 368 256 368zM296 240C309.3 240 320 229.3 320 216S309.3 192 296 192S272 202.7 272 216S282.7 240 296 240zM216 240c13.25 0 24-10.75 24-24S229.3 192 216 192S192 202.7 192 216S202.7 240 216 240zM319.4 274.2C311.9 269.8 302 272.4 297.6 280C289 294.8 273.1 304 256 304S222.1 294.8 214.4 280C209.1 272.3 200.1 269.7 192.6 274.2C184.9 278.6 182.3 288.4 186.7 296C200.1 320.7 227.5 336 256 336s55.03-15.31 69.28-39.97C329.7 288.4 327.1 278.6 319.4 274.2z"],
    "face-vomit": [576, 512, [], "e3a0", "M288 48C173.1 48 80 141.1 80 256C80 319.4 108.3 376.1 153 414.3C147.3 423.8 138.2 431.3 127.2 434.9L110.5 440.5C62.12 393.9 32 328.5 32 256C32 114.6 146.6 0 288 0C429.4 0 544 114.6 544 256C544 328.5 513.9 393.9 465.5 440.5L448.8 434.9C437.8 431.3 428.7 423.8 422.1 414.3C467.7 376.1 496 319.4 496 256C496 141.1 402.9 48 288 48zM148 157.1C148 148.2 157.6 142.4 165.5 146.7L255.4 194.6C266.1 200.3 266.1 215.7 255.4 221.4L165.5 269.3C157.6 273.6 148 267.8 148 258.9C148 256.1 148.1 253.4 150.8 251.2L186.8 208L150.8 164.8C148.1 162.6 148 159.9 148 157.1V157.1zM410.5 146.7C418.4 142.4 428 148.2 428 157.1C428 159.9 427 162.6 425.2 164.8L389.2 208L425.2 251.2C427 253.4 428 256.1 428 258.9C428 267.8 418.4 273.6 410.5 269.3L320.6 221.4C309.9 215.7 309.9 200.3 320.6 194.6L410.5 146.7zM0 480C0 462.3 14.33 448 32 448C49.67 448 64 462.3 64 480C64 497.7 49.67 512 32 512C14.33 512 0 497.7 0 480zM576 448C576 465.7 561.7 480 544 480C526.3 480 512 465.7 512 448C512 430.3 526.3 416 544 416C561.7 416 576 430.3 576 448zM433.2 464.4L467.3 475.8C474.9 478.3 480 485.4 480 493.4C480 503.7 471.7 512 461.4 512H114.6C104.3 512 96 503.7 96 493.4C96 485.4 101.1 478.3 108.7 475.8L142.8 464.4C172.2 454.6 192 427.1 192 396.1V337.8C181.2 342.1 173.3 346.4 168.9 349.3C161.5 354.2 151.6 352.2 146.7 344.9C141.8 337.5 143.8 327.6 151.1 322.7C169.7 310.3 220.8 288 288 288C355.2 288 406.3 310.3 424.9 322.7C432.2 327.6 434.2 337.5 429.3 344.9C424.4 352.2 414.5 354.2 407.1 349.3C402.7 346.4 394.8 342.1 384 337.8V396.1C384 427.1 403.8 454.6 433.2 464.4H433.2zM288 400C288 408.8 295.2 416 304 416C312.8 416 320 408.8 320 400C320 391.2 312.8 384 304 384C295.2 384 288 391.2 288 400zM240 416C231.2 416 224 423.2 224 432C224 440.8 231.2 448 240 448C248.8 448 256 440.8 256 432C256 423.2 248.8 416 240 416z"],
    "face-weary": [512, 512, [], "e3a1", "M176.5 320.3C196.1 302.1 223.8 288 256 288C288.2 288 315.9 302.1 335.5 320.3C354.5 338.1 368 362 368 384C368 389.4 365.3 394.4 360.8 397.4C356.2 400.3 350.5 400.8 345.6 398.7L328.4 391.1C305.6 381.2 280.9 376 256 376C231.1 376 206.4 381.2 183.6 391.1L166.4 398.7C161.5 400.8 155.8 400.3 151.2 397.4C146.7 394.4 144 389.4 144 384C144 362 157.5 338.1 176.5 320.3zM211.3 164.7C217.6 170.9 217.6 181.1 211.3 187.3L203.9 194.7C180.4 218.3 150 233.9 117.1 239.4L114.6 239.8C105.9 241.2 97.67 235.3 96.22 226.6C94.76 217.9 100.7 209.7 109.4 208.2L111.9 207.8C138.2 203.4 162.5 190.9 181.3 172.1L188.7 164.7C194.9 158.4 205.1 158.4 211.3 164.7zM300.7 187.3C294.4 181.1 294.4 170.9 300.7 164.7C306.9 158.4 317.1 158.4 323.3 164.7L330.7 172.1C349.5 190.9 373.8 203.4 400.2 207.8L402.6 208.2C411.3 209.7 417.2 217.9 415.8 226.6C414.3 235.3 406.1 241.2 397.4 239.8L394.9 239.4C361.1 233.9 331.6 218.3 308.1 194.7L300.7 187.3zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "face-woozy": [512, 512, [], "e3a2", "M368 208C368 243.3 353.7 272 336 272C318.3 272 304 243.3 304 208C304 172.7 318.3 144 336 144C353.7 144 368 172.7 368 208zM149.8 263.3C136.1 266.5 123.9 258.7 120.7 245.8C117.5 232.1 125.3 219.9 138.2 216.7L202.2 200.7C215 197.5 228.1 205.3 231.3 218.2C234.5 231 226.7 244.1 213.8 247.3L149.8 263.3zM200.9 98.69C208.2 103.6 210.2 113.5 205.3 120.9C177.3 162.8 135.7 184.1 117.1 191.2C108.7 193.1 99.62 189.4 96.82 181.1C94.03 172.7 98.56 163.6 106.9 160.8C120.3 156.4 155.5 137.1 178.7 103.1C183.6 95.77 193.5 93.79 200.9 98.69zM354.5 394.6C342.1 408.2 324.6 416 306.2 416C292.9 416 280 411.1 269.1 404.5L257.4 396.4C247.2 389.4 234.1 388.1 222.7 393.1C195.2 405.2 163.4 401.8 139.2 383.1L129.8 377.1C119.1 369.2 116.8 354.2 124.7 343.5C132.5 332.8 147.5 330.5 158.2 338.4L167.7 345.3C177.1 352.9 191.6 354.4 203.3 349.2C229.9 337.5 260.7 340.4 284.7 356.9L296.4 364.1C299.3 366.9 302.7 368 306.2 368C311 368 315.7 365.9 318.1 362.3L350.2 327.9C359.1 318.1 374.3 317.3 384.1 326.2C393.9 335.1 394.7 350.3 385.8 360.1L354.5 394.6zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464z"],
    "face-worried": [512, 512, [], "e3a3", "M182.4 414.5C170 419.7 155.9 410.4 161.3 398.1C177.2 361.5 213.7 335.1 256.1 335.1C298.4 335.1 334.9 361.5 350.8 398.1C356.2 410.4 342.1 419.7 329.7 414.5C307.3 405 282.4 399.7 256.1 399.7C229.7 399.7 204.8 405 182.4 414.5V414.5zM208.4 272C208.4 289.7 194 304 176.4 304C158.7 304 144.4 289.7 144.4 272C144.4 254.3 158.7 240 176.4 240C194 240 208.4 254.3 208.4 272zM304.4 272C304.4 254.3 318.7 240 336.4 240C354 240 368.4 254.3 368.4 272C368.4 289.7 354 304 336.4 304C318.7 304 304.4 289.7 304.4 272zM192 160C187.6 160 183.2 160.3 178.1 160.9C157.8 163.7 138.4 173.2 122.9 187.7C116.5 193.7 106.3 193.4 100.3 186.9C94.28 180.5 94.62 170.3 101.1 164.3C121.1 145.6 146.6 132.9 174.8 129.1C180.4 128.4 186.2 128 192 128C200.8 128 208 135.2 208 144C208 152.8 200.8 160 192 160zM333 160.9C328.8 160.3 324.4 160 320 160C311.2 160 304 152.8 304 144C304 135.2 311.2 128 320 128C325.8 128 331.6 128.4 337.2 129.1C365.4 132.9 390.9 145.6 410.9 164.3C417.4 170.3 417.7 180.5 411.7 186.9C405.7 193.4 395.5 193.7 389.1 187.7C373.6 173.2 354.2 163.7 333 160.9zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "face-zany": [576, 512, [], "e3a4", "M272 152C272 112.2 304.2 80 344 80C383.8 80 416 112.2 416 152C416 191.8 383.8 224 344 224C304.2 224 272 191.8 272 152zM305.2 142.3C304.4 145.4 304 148.6 304 152C304 174.1 321.9 192 344 192C366.1 192 384 174.1 384 152C384 129.9 366.1 112 344 112C340.1 112 338 112.3 335.2 112.1C345.1 115.9 352.4 125.1 352.4 136C352.4 149.3 341.6 160 328.4 160C317.3 160 307.9 152.5 305.2 142.3H305.2zM176 240C167.2 240 160 232.8 160 224C160 215.2 167.2 208 176 208C184.8 208 192 215.2 192 224C192 232.8 184.8 240 176 240zM240 224C240 259.3 211.3 288 176 288C140.7 288 112 259.3 112 224C112 188.7 140.7 160 176 160C211.3 160 240 188.7 240 224zM176 192C158.3 192 144 206.3 144 224C144 241.7 158.3 256 176 256C193.7 256 208 241.7 208 224C208 206.3 193.7 192 176 192zM416 477.7C388.1 493.8 358.5 504 328.5 508.8C320.7 510.9 312.5 512 304 512C302.1 512 300.3 511.9 298.4 511.8C206.4 515.5 115.5 469.3 66.3 384C-4.395 261.6 37.56 104.1 159.1 34.3C282.4-36.4 439 5.557 509.7 127.1C580.4 250.4 538.4 407 416 477.7V477.7zM183.1 75.87C84.51 133.3 50.43 260.5 107.9 360C132.9 403.3 171 434.2 214.4 450.6C210.3 439.8 208 428.2 208 416V408.2C197.6 401.9 187.9 394.5 179.1 385.9C168.1 375.1 172.5 359.6 184.8 352.5L423.2 214.9C435.5 207.8 451.4 212.9 454.1 226.7C470.1 286.1 449.1 350.8 400 391.7V416C400 421.5 399.5 426.9 398.7 432.1C492.1 372.1 524.3 249.2 468.1 151.1C410.7 52.51 283.5 18.43 184 75.87H183.1zM368 416V378.6C368 363.9 356.1 352 341.4 352H339.4C328.1 352 318.3 359.9 315.8 370.9C312.1 383.5 295 383.5 292.2 370.9C289.7 359.9 279.9 352 268.6 352H266.6C251.9 352 240 363.9 240 378.6V416C240 451.3 268.7 480 304 480C339.3 480 368 451.3 368 416V416z"],
    "face-zipper": [512, 512, [], "e3a5", "M392.2 375.8L407.8 360.2C412.7 355.3 420.2 354.1 426.3 357.2L484.4 386.2C513.7 400.9 520.1 439.9 496.9 463.1L495.1 464.9C471.9 488.1 432.9 481.7 418.2 452.4L389.2 394.3C386.1 388.2 387.3 380.7 392.2 375.8L392.2 375.8zM480.5 432.5C485.2 427.8 485.2 420.2 480.5 415.5C475.8 410.8 468.2 410.8 463.5 415.5L447.5 431.5C442.8 436.2 442.8 443.8 447.5 448.5C452.2 453.2 459.8 453.2 464.5 448.5L480.5 432.5zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C298.5 464 337.1 451.3 370.9 429.4L389.6 466.7C390.6 468.7 391.6 470.6 392.7 472.5C353.2 497.5 306.3 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 290.9 505 324.1 492.4 354.4L449.3 332.9C458.8 309.1 464 283.2 464 256C464 141.1 370.9 48 256 48zM208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208zM304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208zM208 320C216.8 320 224 327.2 224 336V368C224 376.8 216.8 384 208 384C199.2 384 192 376.8 192 368V336C192 327.2 199.2 320 208 320zM288 368C288 376.8 280.8 384 272 384C263.2 384 256 376.8 256 368V336C256 327.2 263.2 320 272 320C280.8 320 288 327.2 288 336V368zM336 320C344.8 320 352 327.2 352 336V368C352 376.8 344.8 384 336 384C327.2 384 320 376.8 320 368V336C320 327.2 327.2 320 336 320zM160 368C160 376.8 152.8 384 144 384C135.2 384 128 376.8 128 368V336C128 327.2 135.2 320 144 320C152.8 320 160 327.2 160 336V368z"],
    "falafel": [576, 512, [129478], "e40a", "M224 144C215.2 144 208 151.2 208 160C208 168.8 215.2 176 224 176s16-7.164 16-15.1C240 151.2 232.8 144 224 144zM128 400C119.2 400 112 407.2 112 416s7.164 16 16 16s16-7.164 16-16S136.8 400 128 400zM160 336C151.2 336 144 343.2 144 352C144 360.8 151.2 368 160 368s16-7.164 16-15.1C176 343.2 168.8 336 160 336zM96 336C87.17 336 80 343.2 80 352C80 360.8 87.16 368 96 368s16-7.164 16-15.1C112 343.2 104.8 336 96 336zM352 336C343.2 336 336 343.2 336 352C336 360.8 343.2 368 352 368s16-7.164 16-15.1C368 343.2 360.8 336 352 336zM384 432c8.836 0 16-7.164 16-16s-7.162-16-15.1-16S368 407.2 368 416S375.2 432 384 432zM507.8 411.5c-3.447 2.6-7.059 5.092-9.57 8.275c-5.088 6.449-6.492 16.87-12.92 22.05c-6.326 5.1-16.55 4.098-24.01 7.705c-7.227 3.492-12.91 12.26-21.04 14.1c-8.131 1.846-16.91-3.635-24.9-3.676c-8.248-.0391-17.09 5.291-24.94 3.412c-7.971-1.914-13.56-10.74-20.84-14.38c-7.32-3.658-17.57-2.756-23.92-7.973c-6.312-5.195-7.637-15.61-12.71-22.17c-4.996-6.459-14.63-10.18-18.16-17.79c-3.422-7.375-.1836-17.32-1.99-25.63C311 367.1 303.1 359.5 304 351.3c.041-8.422 7.229-15.95 9.07-23.96c1.873-8.139-1.25-18.14 2.311-25.57c3.582-7.473 13.25-11.09 18.36-17.57c5.088-6.449 6.492-16.87 12.92-22.05c6.326-5.1 16.55-4.1 24.01-7.705c5.801-2.805 10.67-8.848 16.55-12.14c3.111-11.61 8.422-22.13 16.71-30.42c7.881-7.881 17.65-13.21 28.61-16.34C436.6 184.9 447.9 171.8 448 160.9c.0547-11.66-10.03-22.53-12.61-34.38c-2.58-11.86 2.045-26.08-2.844-36.61c-5.045-10.88-18.81-16.19-25.95-25.41c-7.25-9.375-9.141-24.25-18.16-31.67c-9.061-7.453-23.71-6.17-34.17-11.39c-10.4-5.197-18.39-17.81-29.78-20.54c-11.2-2.688-23.84 4.93-35.62 4.871c-11.41-.0566-23.96-7.885-35.58-5.252C241.7 3.178 233.6 15.7 223.2 20.69c-10.65 5.15-25.26 3.721-34.3 11.01C179.8 39.1 177.7 53.98 170.5 63.19c-7.303 9.256-21.11 14.43-26.22 25.1C139.2 98.92 143.6 113.2 140.1 124.8C138.3 136.3 128.1 147 128 159.1C127.9 170.7 138 181.6 140.6 193.4c.0117 .0547-.002 .1172 .0098 .1719C135.5 192.3 130.3 191.4 125.3 192.5C113.7 195.2 105.6 207.7 95.23 212.7C84.58 217.8 69.97 216.4 60.94 223.7c-9.182 7.404-11.19 22.29-18.46 31.5c-7.303 9.256-21.11 14.43-26.22 25.1C11.17 290.9 15.63 305.2 12.96 316.8C10.33 328.3 .0566 339 0 351.1c-.0547 11.66 10.03 22.52 12.61 34.38c2.58 11.86-2.045 26.07 2.844 36.61c5.043 10.88 18.81 16.19 25.95 25.41c7.25 9.375 9.141 24.25 18.16 31.67c9.061 7.455 23.71 6.168 34.17 11.39c10.4 5.195 18.39 17.81 29.78 20.54c11.21 2.689 23.84-4.928 35.62-4.869c11.41 .0547 23.96 7.883 35.58 5.248c11.62-2.637 19.74-15.16 30.06-20.15c10.65-5.15 25.26-3.719 34.3-11c9.182-7.402 11.19-22.29 18.46-31.5c2.912-3.689 6.887-6.713 10.9-9.713c3.342 2.594 6.564 5.25 8.98 8.375c7.25 9.375 9.141 24.25 18.16 31.67c9.061 7.453 23.71 6.168 34.17 11.39c10.4 5.195 18.39 17.81 29.78 20.54c11.21 2.688 23.84-4.93 35.62-4.871c11.41 .0566 23.96 7.885 35.58 5.25c11.62-2.637 19.74-15.16 30.06-20.15c10.65-5.15 25.26-3.719 34.3-11c9.182-7.402 11.19-22.29 18.46-31.5c7.303-9.256 21.1-14.43 26.22-25.11c1.73-3.611 2.207-7.707 2.385-11.92C554.3 414.4 545.8 416 536.7 416C527.4 416 517.7 414.2 507.8 411.5zM262.9 376.6c-1.873 8.139 1.25 18.14-2.311 25.57c-3.582 7.475-13.25 11.1-18.36 17.57c-5.088 6.449-6.492 16.87-12.92 22.05c-6.326 5.1-16.55 4.098-24.01 7.705c-7.225 3.492-12.91 12.26-21.04 14.1C176.2 465.5 167.4 459.1 159.4 459.9c-8.248-.0391-17.09 5.291-24.93 3.412C126.5 461.4 120.9 452.6 113.6 448.1c-7.318-3.658-17.57-2.756-23.92-7.973c-6.314-5.195-7.639-15.61-12.71-22.17c-4.996-6.459-14.63-10.18-18.16-17.79c-3.424-7.375-.1855-17.32-1.992-25.63S47.96 359.5 48 351.3c.041-8.422 7.229-15.95 9.072-23.96C58.95 319.2 55.82 309.2 59.38 301.8C62.96 294.3 72.63 290.7 77.74 284.2c5.088-6.449 6.492-16.87 12.92-22.05C96.98 257.1 107.2 258.1 114.7 254.5C121.9 250.1 127.6 242.2 135.7 240.4C143.8 238.5 152.6 244 160.6 244.1c8.248 .041 17.09-5.291 24.94-3.41C193.5 242.6 199.1 251.4 206.4 255C213.7 258.7 223.1 257.8 230.3 262.1c6.312 5.195 7.637 15.61 12.71 22.17c4.996 6.457 14.63 10.17 18.16 17.79c3.422 7.377 .1836 17.32 1.99 25.63c.084 .3848 .293 .752 .3984 1.133C259.9 336.7 256 343.6 256 351.1c-.0352 7.695 4.301 15.06 8.025 22.58C263.7 374.6 263.2 375.6 262.9 376.6zM287.6 264.9C284.2 262.3 281 259.7 278.6 256.5C271.3 247.2 269.5 232.3 260.4 224.9c-9.061-7.453-23.71-6.168-34.17-11.39c-10.4-5.197-18.39-17.81-29.78-20.54C192.9 192.1 189.1 192.4 185.3 193.1c.1191-3.301 .1719-6.592-.4941-9.656C183 175.1 175.1 167.5 176 159.3C176 150.9 183.2 143.4 185.1 135.4C186.9 127.2 183.8 117.2 187.4 109.8C190.1 102.3 200.6 98.71 205.7 92.24c5.088-6.449 6.492-16.87 12.92-22.05C224.1 65.09 235.2 66.09 242.7 62.48C249.9 58.99 255.6 50.22 263.7 48.38C271.8 46.54 280.6 52.02 288.6 52.05c8.248 .041 17.09-5.291 24.93-3.41c7.971 1.914 13.57 10.74 20.85 14.38c7.318 3.654 17.57 2.756 23.92 7.973c6.314 5.195 7.639 15.61 12.71 22.17c4.996 6.457 14.63 10.17 18.16 17.79c3.424 7.377 .1855 17.32 1.992 25.63C392.1 144.9 400 152.5 400 160.7c-.041 8.422-7.229 15.95-9.072 23.96c-.5586 2.424-.6445 5.021-.625 7.658c-3.039-.3828-6.053-.4043-9.006 .2656c-11.62 2.637-19.74 15.16-30.06 20.15c-10.65 5.15-25.26 3.721-34.3 11.01c-9.182 7.404-11.19 22.29-18.46 31.5C295.6 258.9 291.6 261.9 287.6 264.9zM535.7 264.3c-38.35-38.35-87.21-51.68-109.1-29.76c-21.92 21.92-8.592 70.78 29.76 109.1c38.35 38.36 87.21 51.68 109.1 29.76C587.4 351.5 574 302.7 535.7 264.3z"],
    "family": [512, 512, [], "e300", "M256 224c26.53 0 48-21.47 48-48S282.5 128 256 128S208 149.5 208 176S229.5 224 256 224zM288 256H224C197.5 256 176 277.5 176 304V384c0 17.67 14.33 32 32 32v64c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32v-64c17.67 0 32-14.33 32-32V304C336 277.5 314.5 256 288 256zM288 368H224v-64h64V368zM384 128c35.38 0 64-28.62 64-64s-28.62-64-64-64s-64 28.62-64 64S348.6 128 384 128zM128 128c35.38 0 64-28.62 64-64S163.4 0 128 0S64 28.62 64 64S92.63 128 128 128zM80 224c0-8.822 7.178-16 16-16h87.12C178.7 198.2 176 187.5 176 176c0-4.561 .6107-8.963 1.347-13.32C171.8 161.1 166.1 160 160 160H96C60.65 160 32 188.7 32 224v96c0 17.67 14.33 32 32 32v136C64 501.3 74.75 512 88 512s24-10.75 24-24V352h32V304h-64V224zM505.5 343.2l-39.08-136.8C458.6 178.9 433.5 160 404.9 160h-41.86c-10.08 0-19.34 3.043-27.95 7.299C335.4 170.2 336 173 336 176c0 11.46-2.699 22.19-7.121 32h76.05c7.145 0 13.42 4.734 15.38 11.6L453.6 336H368V384h32v104c0 13.25 10.75 24 24 24S448 501.3 448 488V384h26.78C496 384 511.4 363.7 505.5 343.2z"],
    "family-dress": [512, 512, [], "e301", "M256 224c26.53 0 48-21.47 48-48S282.5 128 256 128S208 149.5 208 176S229.5 224 256 224zM288 256H224C197.5 256 176 277.5 176 304V384c0 17.67 14.33 32 32 32v64c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32v-64c17.67 0 32-14.33 32-32V304C336 277.5 314.5 256 288 256zM288 368H224v-64h64V368zM384 128c35.38 0 64-28.62 64-64s-28.62-64-64-64s-64 28.62-64 64S348.6 128 384 128zM505.5 343.2l-39.08-136.8C458.6 178.9 433.5 160 404.9 160h-41.86c-10.08 0-19.34 3.043-27.95 7.299C335.4 170.2 336 173 336 176c0 11.46-2.699 22.19-7.121 32h76.05c7.145 0 13.42 4.734 15.38 11.6L453.6 336H368V384h32v104c0 13.25 10.75 24 24 24S448 501.3 448 488V384h26.78C496 384 511.4 363.7 505.5 343.2zM128 128c35.38 0 64-28.62 64-64S163.4 0 128 0S64 28.62 64 64S92.63 128 128 128zM91.69 219.6C93.65 212.7 99.93 208 107.1 208h76.05C178.7 198.2 176 187.5 176 176c0-2.98 .5605-5.805 .8789-8.701C168.3 163 159 160 148.9 160H107.1C78.5 160 53.39 178.9 45.54 206.4l-39.08 136.8C.6105 363.7 15.96 384 37.22 384H64v104C64 501.3 74.75 512 88 512s24-10.75 24-24V384h32v-48H58.43L91.69 219.6z"],
    "family-pants": [448, 512, [], "e302", "M224 224c26.53 0 48-21.47 48-48S250.5 128 224 128S176 149.5 176 176S197.5 224 224 224zM256 256H192C165.5 256 144 277.5 144 304V384c0 17.67 14.33 32 32 32v64c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32v-64c17.67 0 32-14.33 32-32V304C304 277.5 282.5 256 256 256zM256 368H192v-64h64V368zM96 128c35.38 0 64-28.62 64-64S131.4 0 96 0S32 28.62 32 64S60.63 128 96 128zM48 224c0-8.822 7.178-16 16-16h87.12C146.7 198.2 144 187.5 144 176c0-4.561 .6107-8.963 1.347-13.32C139.8 161.1 134.1 160 128 160H64C28.65 160 0 188.7 0 224v96c0 17.67 14.33 32 32 32v136C32 501.3 42.75 512 56 512s24-10.75 24-24V352h32V304h-64V224zM352 128c35.38 0 64-28.62 64-64s-28.62-64-64-64s-64 28.62-64 64S316.6 128 352 128zM384 160h-64c-6.055 0-11.8 1.111-17.35 2.682C303.4 167 304 171.4 304 176c0 11.46-2.699 22.19-7.121 32H384c8.822 0 16 7.178 16 16v80h-64V352h32v136c0 13.25 10.75 24 24 24S416 501.3 416 488V352c17.67 0 32-14.33 32-32V224C448 188.7 419.3 160 384 160z"],
    "fan": [512, 512, [], "f863", "M255.1 223.1c-17.62 0-31.1 14.38-31.1 32s14.38 32 31.1 32s31.1-14.38 31.1-32S273.6 223.1 255.1 223.1zM511.7 265.1c-10.75-84.88-82.98-149.1-168.2-149.1c-14.25 0-28.37 1.125-42.49 3.625l7.748-77.13c1.125-11.75-3.125-23.38-11.62-31.62s-20.37-12.12-31.99-10.5C180.1 10.99 116 83.24 116 168.5c0 14.25 1.125 28.5 3.623 42.5L42.55 203.2c-11.62-1.25-23.24 3-31.37 11.38c-8.373 8.502-12.37 20.5-10.87 32.25c10.75 85 82.98 149.1 168.2 149.1c14.25 0 28.37-1.125 42.49-3.625L203.3 469.5c-1.25 11.62 3 23.25 11.37 31.38C222 508 231.8 512 242 512c1.623 0 3.373-.125 4.998-.25c84.86-10.75 148.1-83 148.1-168.3c0-14.25-1.125-28.38-3.623-42.5l77.11 7.875c11.62 1.125 23.25-3.125 31.37-11.5C509.2 288.9 513.2 276.1 511.7 265.1zM350.1 248.6c-11.73-1.184-20.67 10.29-16.65 21.37l4.328 11.95c6.748 18.62 10.25 39.38 10.25 61.63c0 57.25-40.49 106.5-95.85 118.6l11.32-112.1c1.184-11.73-10.29-20.67-21.37-16.65l-11.94 4.328c-18.62 6.875-39.37 10.25-61.61 10.25c-57.24 0-106.3-40.5-118.6-95.88l112 11.32c11.73 1.186 20.67-10.29 16.65-21.37L174.3 230.1C167.5 211.5 164 190.7 164 168.5c0-57.25 40.49-106.4 95.85-118.6L248.6 161.9c-1.184 11.73 10.29 20.67 21.37 16.65l11.94-4.326c18.62-6.75 39.37-10.25 61.61-10.25c57.24 0 106.5 40.5 118.6 95.88L350.1 248.6z"],
    "fan-table": [448, 512, [], "e004", "M353.1 266.3c5.125 .875 10.25-.5 14.25-3.875c3.875-3.25 6.125-8.125 6.125-13.38c.125-34.13-19.75-65.13-50.75-79.5S256.1 160 229.1 182.1L195.6 90.25c-2.625-6.875-13-15.88-25.12-9C150.4 92.88 135.6 112 129.6 134.5C120.8 167.6 132 220.5 185 239.4L122.4 315.5c-8.75 10.62-1.75 22.5 4.75 26.25c42 24.25 95.63 9.875 119.8-32.13c10.38-18 13.88-39.13 10-59.5L353.1 266.3zM224 240C215.1 240 208 232.9 208 224S215.1 208 224 208s16 7.125 16 16S232.9 240 224 240zM360 464h-112v-17.38C360.4 434.8 448 339.6 448 224c0-123.8-100.3-224-224-224S0 100.3 0 224c0 115.6 87.63 210.8 200 222.6V464h-112C74.75 464 64 474.7 64 488C64 501.3 74.75 512 88 512h272c13.25 0 24-10.75 24-24C384 474.7 373.3 464 360 464zM48 224c0-97 79-176 176-176s176 79 176 176s-79 176-176 176S48 321 48 224z"],
    "farm": [576, 512, ["barn-silo"], "f864", "M48 464H128.4C129.1 482.2 137.1 498.7 148.1 512H48C21.49 512 0 490.5 0 464V112C0 50.14 50.14 0 112 0C166.6 0 212.1 39.06 221.1 90.77C206.5 97.87 193.9 110.3 186.7 125.8L163.3 176H48V464zM176 128V112C176 76.65 147.3 48 112 48C76.65 48 48 76.65 48 112V128H176zM320 248C320 234.7 330.7 224 344 224H392C405.3 224 416 234.7 416 248V296C416 309.3 405.3 320 392 320H344C330.7 320 320 309.3 320 296V248zM500.1 119.6C509 123.5 516.2 130.5 520.3 139.3L572.2 250.6C574.7 255.9 576 261.7 576 267.5V456C576 486.9 550.9 512 520 512H216C185.1 512 160 486.9 160 456V267.5C160 261.7 161.3 255.9 163.8 250.6L215.7 139.3C219.8 130.5 226.1 123.5 235.9 119.6L351.1 68.82C362.2 64.35 373.8 64.35 384 68.82L500.1 119.6zM208 269.3V456C208 460.4 211.6 464 216 464H304V408C304 385.9 321.9 368 344 368H392C414.1 368 432 385.9 432 408V464H520C524.4 464 528 460.4 528 456V269.3L478.1 162.4L368 114.2L257.9 162.4L208 269.3z"],
    "faucet": [512, 512, [], "e005", "M512 368v32c0 26.51-21.49 48-48 48h-64c-26.51 0-48-21.49-48-48V384h-28.88C299.8 413 264.3 432 224 432S148.3 413 124.9 384H24C10.75 384 0 373.3 0 360c0-13.26 10.75-24 24-24h126.8C163.5 365.1 192.3 384 224 384s60.5-18.88 73.25-48H368c17.6 0 32 14.4 32 32v32h64v-32c0-53.02-42.98-96-96-96h-70.75C284.5 242.9 255.8 224 224 224S163.5 242.9 150.8 272H24C10.75 272 0 261.3 0 248C0 234.7 10.75 224 24 224h100.9C143.5 200.9 169.6 184.3 200 178.4V147.6C200 147.6 81.38 160 80 160C71.25 160 64 152.5 64 143.1V112.9c0-9.375 7.238-16.85 15.99-16.85c1.375 0-6.113-.7881 120 13.34V80c0-8.838 7.164-16 16-16h16c8.836 0 16 7.162 16 16v29.38c126.1-14.12 118.6-13.34 120-13.34C376.8 96.04 384 103.5 384 112.9v30.24C384 152.5 376.8 160 368 160c-1.375 0-120-12.38-120-12.38v30.75C278.4 184.3 304.5 200.9 323.1 224H368C447.5 224 512 288.5 512 368z"],
    "faucet-drip": [512, 512, [128688], "e006", "M416 480c0 17.62 14.38 32 32 32s32-14.38 32-32s-32-64-32-64S416 462.4 416 480zM368 160h-44.88C304.5 136.9 278.4 120.2 248 114.4V83.62C248 83.62 366.6 96 368 96C376.8 96 384 88.5 384 79.12V48.89c0-9.375-7.242-16.86-15.99-16.86c-1.375 0 6.117-.7754-120 13.35V16c0-8.837-7.163-16-16-16h-16c-8.837 0-16 7.163-16 16v29.38C73.88 31.25 81.37 32.03 79.99 32.03C71.24 32.03 64 39.51 64 48.89V79.12C64 88.5 71.25 96 80 96c1.375 0 120-12.38 120-12.38v30.75C169.6 120.2 143.5 136.9 124.9 160H23.1C10.75 160 0 170.7 0 183.1S10.75 208 23.1 208H150.8C163.5 178.9 192.3 160 224 160s60.5 18.88 73.25 48H368c53.02 0 96 42.98 96 96v32h-64v-32c0-17.6-14.4-32-32-32h-70.75C284.5 301.1 255.8 320 224 320S163.5 301.1 150.8 272H23.1C10.75 272 0 282.7 0 295.1S10.75 320 23.1 320h100.9C148.2 349 183.8 368 224 368s75.75-19 99.13-48H352v16c0 26.51 21.49 48 48 48h64c26.51 0 48-21.49 48-48v-32C512 224.5 447.5 160 368 160z"],
    "fax": [512, 512, [128439, 128224], "f1ac", "M352 432h32c8.875 0 16-7.125 16-16v-32c0-8.875-7.125-16-16-16h-32c-8.875 0-16 7.125-16 16v32C336 424.9 343.1 432 352 432zM352 336h32c8.875 0 16-7.125 16-16V288c0-8.875-7.125-16-16-16h-32c-8.875 0-16 7.125-16 16v32C336 328.9 343.1 336 352 336zM256 336h32c8.875 0 16-7.125 16-16V288c0-8.875-7.125-16-16-16h-32C247.1 272 240 279.1 240 288v32C240 328.9 247.1 336 256 336zM464 192H176L175.1 48h222.1L432 81.94V160H480V81.94c0-12.73-5.057-24.94-14.06-33.94l-33.94-33.94C423 5.057 410.8 0 398.1 0H175.1c-26.51 0-48 21.49-48 48l.0059 82.26C122.9 128.9 117.6 128 112 128H64C28.65 128 0 156.7 0 192v256c0 35.35 28.65 64 64 64h400c26.47 0 48-21.53 48-48v-224C512 213.5 490.5 192 464 192zM128 448c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V192c0-8.822 7.178-16 16-16h48C120.8 176 128 183.2 128 192V448zM464 464H173.7C175.1 458.9 176 453.6 176 448V240h288V464zM256 432h32c8.875 0 16-7.125 16-16v-32c0-8.875-7.125-16-16-16h-32c-8.875 0-16 7.125-16 16v32C240 424.9 247.1 432 256 432z"],
    "feather": [512, 512, [129718], "f52d", "M467.1 44.85C438.3 15.97 401.7 0 361.7 0c-46.75 0-98.01 21.88-146.9 70.63L129.1 156.3c-74.99 75.12-72.23 196.4-56.24 248.9l-65.84 65.77c-9.374 9.374-9.374 24.6 0 33.98c9.374 9.374 24.6 9.374 33.98 0l65.64-65.62c17.37 5.25 42.36 9.138 70.86 9.138c57.12 0 127.1-15.56 178.1-65.56l85.75-85.75C531.1 206.6 529.6 107.5 467.1 44.85zM147.4 398.6l46.62-46.62h123.1c-44.5 41.87-106.7 48.5-140.5 48.5C166 400.5 156.1 399.6 147.4 398.6zM350.6 319.1H226l63.1-63.1h123.7c-2.25 2.375-3.1 4.875-6.375 7.25L350.6 319.1zM438.9 223.1h-116.9l22.5-22.5c9.374-9.374 9.374-24.62 0-33.1c-9.374-9.374-24.62-9.374-33.1 0l-196.1 196.1c-5.25-45.87-.25-124.2 49.5-174.1l85.74-85.74c36.1-36.1 75.99-56.62 112.9-56.62c26.62 0 51.37 10.75 71.49 30.87C472.2 117.1 473.1 171.1 438.9 223.1z"],
    "feather-pointed": [512, 512, ["feather-alt"], "f56b", "M481.2 0c-.7578 0-1.514 .0299-2.284 .0846C362.5 8.436-2.977 61.97 75.11 402.1l-68.07 68.07c-9.375 9.375-9.375 24.56 0 33.94c4.688 4.688 10.81 7.031 16.97 7.031s12.28-2.344 16.97-7.031l68.13-68.13c32.43 7.434 62.3 11.16 89.74 11.16c261.1 0 305.5-309.5 313.1-414.9C513.2 15.04 498.1 0 481.2 0zM198.8 400c-15.38 0-31.8-1.74-48.63-4.275L193.9 352h141.2C284.7 392 231.6 400 198.8 400zM380.2 304H241.9l48-48h119.8C400.6 274.4 390.6 289.9 380.2 304zM429.5 208h-91.54l7.031-7.031c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0l-195.1 195.1C105 291.4 116.4 233.6 150.6 186.4c73.56-101.5 238.6-129.2 311.8-136.7C456.5 113.7 444.6 165.2 429.5 208z"],
    "fence": [512, 512, [], "e303", "M64 32C71.75 32 79.02 35.74 83.53 42.05L123.5 98.05C126.4 102.1 128 106.1 128 112V160H192V112C192 106.1 193.6 102.1 196.5 98.05L236.5 42.05C240.1 35.74 248.2 32 256 32C263.8 32 271 35.74 275.5 42.05L315.5 98.05C318.4 102.1 320 106.1 320 112V160H384V112C384 106.1 385.6 102.1 388.5 98.05L428.5 42.05C432.1 35.74 440.2 32 448 32C455.8 32 463 35.74 467.5 42.05L507.5 98.05C510.4 102.1 512 106.1 512 112V448C512 465.7 497.7 480 480 480H416C398.3 480 384 465.7 384 448V400H320V448C320 465.7 305.7 480 288 480H224C206.3 480 192 465.7 192 448V400H128V448C128 465.7 113.7 480 96 480H32C14.33 480 0 465.7 0 448V112C0 106.1 1.563 102.1 4.47 98.05L44.47 42.05C48.98 35.74 56.25 32 64 32zM320 352H384V208H320V352zM128 208V352H192V208H128zM48 119.7V432H80V119.7L64 97.29L48 119.7zM240 119.7V432H272V119.7L256 97.29L240 119.7zM464 432V119.7L448 97.29L432 119.7V432H464z"],
    "ferris-wheel": [512, 512, [], "e174", "M400 64C426.5 64 448 85.49 448 112C448 122.7 444.5 132.6 438.6 140.5C451.5 160.1 461.2 183.8 466.7 208.1C491.9 209.5 512 230.4 512 256C512 281.6 491.9 302.5 466.7 303.9C461.2 328.2 451.5 351 438.6 371.4C444.5 379.4 448 389.3 448 400C448 425.6 428 446.4 402.9 447.9L364.3 367.9C371.8 359.6 382 353.1 393.6 352.4C408.4 331.3 418.5 306.7 422.3 279.1H332.3C334.7 272.4 336 264.4 336 255.1C336 247.6 334.7 239.6 332.3 231.1H422.3C418.5 205.3 408.4 180.7 393.6 159.6C391.5 159.3 389.5 158.9 387.6 158.4L326.9 218.1C319.4 204.5 307.5 192.6 293 185.1L353.6 124.4C353.1 122.5 352.7 120.5 352.4 118.4C331.3 103.6 306.7 93.52 280 89.7V179.7C272.4 177.3 264.4 175.1 256 175.1C247.6 175.1 239.6 177.3 232 179.7V89.7C205.3 93.52 180.7 103.6 159.6 118.4C159.3 120.5 158.9 122.5 158.4 124.4L218.1 185.1C204.5 192.6 192.6 204.5 185.1 218.1L124.4 158.4C122.5 158.9 120.5 159.3 118.4 159.6C103.6 180.7 93.52 205.3 89.7 232H179.7C177.3 239.6 176 247.6 176 256C176 264.4 177.3 272.4 179.7 280H89.7C93.52 306.7 103.6 331.3 118.4 352.4C129.1 353.1 140.2 359.6 147.7 367.9L109.1 447.9C83.97 446.4 64 425.6 64 400C64 389.3 67.5 379.4 73.41 371.4C60.46 351 50.85 328.2 45.34 303.9C20.07 302.5 0 281.6 0 256C0 230.4 20.07 209.5 45.34 208.1C50.85 183.8 60.46 160.1 73.41 140.6C67.5 132.6 64 122.7 64 112C64 85.49 85.49 64 112 64C122.7 64 132.6 67.5 140.6 73.41C160.1 60.46 183.8 50.85 208.1 45.34C209.5 20.07 230.4 0 256 0C281.6 0 302.5 20.07 303.9 45.34C328.2 50.85 351 60.46 371.4 73.41C379.4 67.5 389.3 64 400 64L400 64zM304 256C304 267.6 299.9 278.3 292.1 286.6L381.8 477.9C385.2 485.3 384.6 494 380.2 500.9C375.8 507.8 368.2 512 360 512H152C143.8 512 136.2 507.8 131.8 500.9C127.4 494 126.8 485.3 130.2 477.9L219 286.6C212.1 278.3 208 267.6 208 256C208 229.5 229.5 208 256 208C282.5 208 304 229.5 304 256zM322.4 464L256 320.1L189.6 464H322.4z"],
    "ferry": [576, 512, [], "e4ea", "M192 32C192 14.33 206.3 0 224 0H352C369.7 0 384 14.33 384 32H452C469.1 32 480.7 49.42 474.2 65.23L468 80H472C502.9 80 528 105.1 528 136V293.9C528 305.4 524.5 316.6 517.9 326L467.7 397.8C460.1 408.6 445.1 411.3 434.2 403.7C423.4 396.1 420.7 381.1 428.3 370.2L463.5 320H112.5L147.7 370.2C155.3 381.1 152.6 396.1 141.8 403.7C130.9 411.3 115.9 408.6 108.3 397.8L58.12 326C51.53 316.6 48 305.4 48 293.9V136C48 105.1 73.07 80 104 80H108L101.8 65.23C95.26 49.42 106.9 32 124 32H192zM480 136C480 131.6 476.4 128 472 128H104C99.58 128 96 131.6 96 136V272H128V184C128 170.7 138.7 160 152 160H424C437.3 160 448 170.7 448 184V272H480V136zM176 208V272H400V208H176zM191.1 464C220.8 464 250.5 448.7 272 430.1C281.1 421.1 294.9 421.1 303.1 430.1C325.5 448.7 355.1 464 383.1 464C412.8 464 442.5 448.7 464 430.1C473.1 421.1 486.8 421.1 495.9 430.1C512.9 445.1 535.2 456.9 557.2 461.8C570.1 464.7 578.3 477.5 575.4 490.5C572.5 503.4 559.6 511.5 546.7 508.6C518 502.2 494.4 488.2 479.1 478.2C451.9 497.7 418.6 512 383.1 512C349.4 512 316.1 497.7 287.1 478.2C259.9 497.7 226.6 512 191.1 512C157.4 512 124.1 497.7 95.98 478.2C81.61 488.2 57.99 502.2 29.31 508.6C16.37 511.5 3.535 503.4 .6339 490.5C-2.267 477.5 5.865 464.7 18.8 461.8C41 456.8 62.76 444.1 79.1 430.1C89.09 421.1 102.8 421.1 111.9 430.1C133.5 448.7 163.1 464 191.1 464L191.1 464z"],
    "field-hockey-stick-ball": [512, 512, [127953, "field-hockey"], "f44c", "M424 335.1c-48.61 0-88.06 39.42-88.06 88.01c0 48.59 39.44 88.01 88.06 88.01s87.94-39.42 87.94-88.01C511.1 375.4 472.7 335.1 424 335.1zM424 463.1c-22.09 0-40.06-17.95-40.06-40.01s17.97-40.01 40.06-40.01c22.02 0 39.94 17.95 39.94 40.01S446.1 463.1 424 463.1zM512 69.12c0-5.412-.851-29.12-23.64-44.25l-24.14-16.1C455.3 2.84 445.1 0 435.1 0c-16.1 0-33.74 8.118-43.98 23.12L155.3 370.4c-3.264 4.647-8.247 6.721-11.92 6.721c-5.541 0-8.546-5.585-8.546-9.874c0-2.792 1.114-4.767 1.824-5.785l8.906-12.78c8.187-11.74 12.11-25.22 12.11-38.56c0-31.83-25.09-67.66-67.32-67.66c-6.721 0-35.98 .9878-55.37 28.93L26.14 284.1c-10.26 14.73-26.14 43.33-26.14 83.53C.0012 452.9 69.81 512 142.1 512c72.6 0 113.1-50.18 123.5-65.1l236.3-348C508.9 89.93 512 79.66 512 69.12zM226.9 419.6c-7.126 10.21-34.61 44.42-84.72 44.42c-47.71 0-94.2-39.97-94.2-96.61c0-26.93 10.64-46.09 17.51-55.95l8.906-12.75c1.119-1.61 6.099-8.314 15.89-8.314c12.17 0 19.42 10.34 19.42 19.57c0 3.87-1.138 7.778-3.509 11.18l-8.906 12.78c-9.069 12.98-10.44 25.99-10.44 33.06c0 17.32 7.724 38.72 29.68 51.07c8.312 4.75 17.54 7.018 26.85 7.018c19.35 0 39.03-9.805 51.44-27.49l173.5-255.5l31.16 23.37L226.9 419.6z"],
    "file": [384, 512, [128459, 61462, 128196], "f15b", "M0 64C0 28.65 28.65 0 64 0H229.5C246.5 0 262.7 6.743 274.7 18.75L365.3 109.3C377.3 121.3 384 137.5 384 154.5V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64zM336 448V160H256C238.3 160 224 145.7 224 128V48H64C55.16 48 48 55.16 48 64V448C48 456.8 55.16 464 64 464H320C328.8 464 336 456.8 336 448z"],
    "file-arrow-down": [384, 512, ["file-download"], "f56d", "M216 342.1V240c0-13.25-10.75-24-24-24S168 226.8 168 240v102.1L128.1 303C124.3 298.3 118.2 296 112 296S99.72 298.3 95.03 303c-9.375 9.375-9.375 24.56 0 33.94l80 80c9.375 9.375 24.56 9.375 33.94 0l80-80c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0L216 342.1zM365.3 93.38l-74.63-74.64C278.6 6.742 262.3 0 245.4 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.2 0 64-28.8 64-64V138.6C384 121.7 377.3 105.4 365.3 93.38zM336 448c0 8.836-7.164 16-16 16H64.02c-8.838 0-16-7.164-16-16L48 64.13c0-8.836 7.164-16 16-16h160L224 128c0 17.67 14.33 32 32 32h79.1V448z"],
    "file-arrow-up": [384, 512, ["file-upload"], "f574", "M175 223l-80 80c-9.375 9.375-9.375 24.56 0 33.94s24.56 9.375 33.94 0L168 297.9V400c0 13.25 10.75 24 24 24s24-10.75 24-24V297.9l39.03 39.03C259.7 341.7 265.8 344 272 344s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94l-80-80C199.6 213.7 184.4 213.7 175 223zM365.3 93.38l-74.63-74.64C278.6 6.742 262.3 0 245.4 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.2 0 64-28.8 64-64V138.6C384 121.7 377.3 105.4 365.3 93.38zM336 448c0 8.836-7.164 16-16 16H64.02c-8.838 0-16-7.164-16-16L48 64.13c0-8.836 7.164-16 16-16h160L224 128c0 17.67 14.33 32 32 32h79.1V448z"],
    "file-audio": [384, 512, [], "f1c7", "M365.3 93.38l-74.63-74.64C278.6 6.742 262.3 0 245.4 0L64-.0001c-35.35 0-64 28.65-64 64l.0065 384c0 35.34 28.65 64 64 64H320c35.2 0 64-28.8 64-64V138.6C384 121.7 377.3 105.4 365.3 93.38zM336 448c0 8.836-7.164 16-16 16H64.02c-8.838 0-16-7.164-16-16L48 64.13c0-8.836 7.164-16 16-16h160L224 128c0 17.67 14.33 32 32 32h79.1V448zM171.5 259.5L136 296H92C85.38 296 80 301.4 80 308v56C80 370.7 85.38 376 92 376H136l35.5 36.5C179.1 420 192 414.8 192 404v-136C192 257.3 179.1 251.9 171.5 259.5zM235.1 260.7c-6.25 6.25-6.25 16.38 0 22.62C235.3 283.5 256 305.1 256 336c0 30.94-20.77 52.53-20.91 52.69c-6.25 6.25-6.25 16.38 0 22.62C238.2 414.4 242.3 416 246.4 416s8.188-1.562 11.31-4.688C258.1 410.1 288 380.5 288 336s-29.05-74.06-30.28-75.31C251.5 254.4 241.3 254.4 235.1 260.7z"],
    "file-binary": [384, 512, [], "e175", "M365.3 93.38l-74.63-74.64C278.6 6.742 262.3 0 245.4 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.2 0 64-28.8 64-64V138.6C384 121.7 377.3 105.4 365.3 93.38zM336 448c0 8.836-7.164 16-16 16H64.02c-8.838 0-16-7.164-16-16L48 64.13c0-8.836 7.164-16 16-16h160L224 128c0 17.67 14.33 32 32 32h79.1V448zM216 264C216 277.3 226.8 288 240 288v80c-13.25 0-24 10.75-24 24S226.8 416 240 416H288c13.25 0 24-10.75 24-24S301.3 368 288 368V264c0-13.25-10.75-24-24-24H240C226.8 240 216 250.8 216 264zM144 240H128c-30.88 0-56 25.12-56 56v64C72 390.9 97.13 416 128 416h16c30.88 0 56-25.12 56-56v-64C200 265.1 174.9 240 144 240zM152 360c0 4.406-3.594 8-8 8H128c-4.406 0-8-3.594-8-8v-64C120 291.6 123.6 288 128 288h16c4.406 0 8 3.594 8 8V360z"],
    "file-certificate": [512, 512, ["file-award"], "f5f3", "M247.4 338.3c7.5-7.5 10.37-18.5 7.625-28.75c-5.375-20.62-5.5-17.75 0-38.38c2.748-10.38-.125-21.38-7.625-28.88C232.5 227.1 233.1 229.6 228.5 209C225.9 198.8 217.1 190.8 207.9 188C187.5 182.4 190 183.9 175.1 168.8C167.8 161.3 156.1 158.3 146.9 161c-20.37 5.5-17.49 5.5-37.74 0C99.01 158.3 88.26 161.3 80.89 168.8C65.89 183.9 68.39 182.4 48.14 188C38.02 190.8 30.23 198.8 27.48 209c-5.375 20.75-4 18.12-18.87 33.25c-7.375 7.5-10.33 18.5-7.582 28.88c5.375 20.62 5.375 17.75 0 38.38c-2.75 10.25 .207 21.25 7.582 28.75c14.87 15.12 13.5 12.62 18.87 33.25c2.75 10.38 10.54 18.38 20.67 21.12c14.37 3.875 11.5 3 15.87 5V512l63.99-32l63.99 32v-114.4c4.25-2 1.499-1.125 15.87-5c9.998-2.75 17.1-10.75 20.62-21.12C233.1 350.8 232.5 353.4 247.4 338.3zM128 352c-35.37 0-63.99-28.62-63.99-64S92.64 224 128 224s63.99 28.62 63.99 64S163.4 352 128 352zM493.3 93.38l-74.63-74.64C406.6 6.742 390.3 0 373.4 0L191.1-.0001c-35.35 0-64 28.65-64 64l.0105 68.94c0 0 22.02-10.7 48-.7539L176 64.13c0-8.836 7.164-16 16-16h160L352 128c0 17.67 14.33 32 32 32h79.1v288c0 8.836-7.164 16-16 16H224L223.1 512l224-.0001c35.2 0 64-28.8 64-64V138.6C512 121.7 505.3 105.4 493.3 93.38z"],
    "file-chart-column": [384, 512, ["file-chart-line"], "f659", "M365.3 93.38l-74.63-74.64C278.6 6.742 262.3 0 245.4 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.2 0 64-28.8 64-64V138.6C384 121.7 377.3 105.4 365.3 93.38zM336 448c0 8.836-7.164 16-16 16H64.02c-8.838 0-16-7.164-16-16L48 64.13c0-8.836 7.164-16 16-16h160L224 128c0 17.67 14.33 32 32 32h79.1V448zM192 256C178.8 256 168 266.8 168 280v128c0 13.25 10.75 24 24 24s24-10.75 24-24v-128C216 266.8 205.3 256 192 256zM256 408c0 13.25 10.75 24 24 24s24-10.75 24-24v-96C304 298.8 293.3 288 280 288S256 298.8 256 312V408zM104 320c-13.25 0-24 10.75-24 24v64c0 13.25 10.75 24 24 24S128 421.3 128 408v-64C128 330.8 117.3 320 104 320z"],
    "file-chart-pie": [384, 512, [], "f65a", "M365.3 93.38l-74.63-74.64C278.6 6.742 262.3 0 245.4 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.2 0 64-28.8 64-64V138.6C384 121.7 377.3 105.4 365.3 93.38zM336 448c0 8.836-7.164 16-16 16H64.02c-8.838 0-16-7.164-16-16L48 64.13c0-8.836 7.164-16 16-16h160L224 128c0 17.67 14.33 32 32 32h79.1V448zM176 240c-53.02 0-96 42.98-96 96s42.98 96 96 96s96-42.98 96-96h-96V240zM208 304h96c0-53.02-42.98-96-96-96V304z"],
    "file-check": [384, 512, [], "f316", "M365.3 93.38l-74.63-74.64C278.6 6.742 262.3 0 245.4 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.2 0 64-28.8 64-64V138.6C384 121.7 377.3 105.4 365.3 93.38zM336 448c0 8.836-7.164 16-16 16H64.02c-8.838 0-16-7.164-16-16L48 64.13c0-8.836 7.164-16 16-16h160L224 128c0 17.67 14.33 32 32 32h79.1V448zM166.7 324.7L136.1 295c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94l48 48C155.5 381.5 161.7 384 168 384c.3125 0 .625 0 .9062-.0313c6.688-.25 12.97-3.281 17.31-8.344l96-112c8.625-10.06 7.469-25.22-2.594-33.84c-10.03-8.594-25.19-7.469-33.84 2.594L166.7 324.7z"],
    "file-circle-check": [576, 512, [], "e5a0", "M63.1 464H284.5C296.5 482.4 311.9 498.5 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H229.5C246.5 0 262.7 6.743 274.7 18.75L365.3 109.3C377.3 121.3 384 137.5 384 154.5V198.6C366.8 203.5 350.6 210.9 336 220.5V160H256C238.3 160 224 145.7 224 128V48H64C55.16 48 48 55.16 48 64V448C48 456.8 55.16 464 64 464H63.1zM576 368C576 447.5 511.5 512 432 512C352.5 512 287.1 447.5 287.1 368C287.1 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM476.7 324.7L416 385.4L387.3 356.7C381.1 350.4 370.9 350.4 364.7 356.7C358.4 362.9 358.4 373.1 364.7 379.3L404.7 419.3C410.9 425.6 421.1 425.6 427.3 419.3L499.3 347.3C505.6 341.1 505.6 330.9 499.3 324.7C493.1 318.4 482.9 318.4 476.7 324.7H476.7z"],
    "file-circle-exclamation": [576, 512, [], "e4eb", "M63.1 464H284.5C296.5 482.4 311.9 498.5 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H229.5C246.5 0 262.7 6.743 274.7 18.75L365.3 109.3C377.3 121.3 384 137.5 384 154.5V198.6C366.8 203.5 350.6 210.9 336 220.5V160H256C238.3 160 224 145.7 224 128V48H64C55.16 48 48 55.16 48 64V448C48 456.8 55.16 464 64 464H63.1zM287.1 368C287.1 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 287.1 447.5 287.1 368zM432 464C445.3 464 456 453.3 456 440C456 426.7 445.3 416 432 416C418.7 416 408 426.7 408 440C408 453.3 418.7 464 432 464zM415.1 288V368C415.1 376.8 423.2 384 431.1 384C440.8 384 447.1 376.8 447.1 368V288C447.1 279.2 440.8 272 431.1 272C423.2 272 415.1 279.2 415.1 288z"],
    "file-circle-info": [576, 512, [58604], "e493", "M63.1 464H284.5C296.5 482.4 311.9 498.5 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H229.5C246.5 0 262.7 6.743 274.7 18.75L365.3 109.3C377.3 121.3 384 137.5 384 154.5V198.6C366.8 203.5 350.6 210.9 336 220.5V160H256C238.3 160 224 145.7 224 128V48H64C55.16 48 48 55.16 48 64V448C48 456.8 55.16 464 64 464H63.1zM287.1 368C287.1 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 287.1 447.5 287.1 368zM432 320C445.3 320 456 309.3 456 296C456 282.7 445.3 272 432 272C418.7 272 408 282.7 408 296C408 309.3 418.7 320 432 320zM416 384L416 432C407.2 432 400 439.2 400 448C400 456.8 407.2 464 416 464H448C456.8 464 464 456.8 464 448C464 439.2 456.8 432 448 432V368C448 359.2 440.8 352 432 352H416C407.2 352 400 359.2 400 368C400 376.8 407.2 384 416 384z"],
    "file-circle-minus": [576, 512, [], "e4ed", "M63.1 464H284.5C296.5 482.4 311.9 498.5 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H229.5C246.5 0 262.7 6.743 274.7 18.75L365.3 109.3C377.3 121.3 384 137.5 384 154.5V198.6C366.8 203.5 350.6 210.9 336 220.5V160H256C238.3 160 224 145.7 224 128V48H64C55.16 48 48 55.16 48 64V448C48 456.8 55.16 464 64 464H63.1zM576 368C576 447.5 511.5 512 432 512C352.5 512 287.1 447.5 287.1 368C287.1 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM496 351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H496C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1z"],
    "file-circle-plus": [576, 512, [58606], "e494", "M63.1 464H284.5C296.5 482.4 311.9 498.5 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H229.5C246.5 0 262.7 6.743 274.7 18.75L365.3 109.3C377.3 121.3 384 137.5 384 154.5V198.6C366.8 203.5 350.6 210.9 336 220.5V160H256C238.3 160 224 145.7 224 128V48H64C55.16 48 48 55.16 48 64V448C48 456.8 55.16 464 64 464H63.1zM287.1 368C287.1 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 287.1 447.5 287.1 368zM448 303.1C448 295.2 440.8 287.1 432 287.1C423.2 287.1 416 295.2 416 303.1V351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H416V431.1C416 440.8 423.2 447.1 432 447.1C440.8 447.1 448 440.8 448 431.1V383.1H496C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1H448V303.1z"],
    "file-circle-question": [576, 512, [], "e4ef", "M63.1 464H284.5C296.5 482.4 311.9 498.5 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H229.5C246.5 0 262.7 6.743 274.7 18.75L365.3 109.3C377.3 121.3 384 137.5 384 154.5V198.6C366.8 203.5 350.6 210.9 336 220.5V160H256C238.3 160 224 145.7 224 128V48H64C55.16 48 48 55.16 48 64V448C48 456.8 55.16 464 64 464H63.1zM287.1 368C287.1 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 287.1 447.5 287.1 368zM432 464C445.3 464 456 453.3 456 440C456 426.7 445.3 416 432 416C418.7 416 408 426.7 408 440C408 453.3 418.7 464 432 464zM368 328C368 336.8 375.2 344 384 344C392.8 344 400 336.8 400 328V321.6C400 316.3 404.3 312 409.6 312H450.1C457.8 312 464 318.2 464 325.9C464 331.1 461.1 335.8 456.6 338.3L424.6 355.1C419.3 357.9 416 363.3 416 369.2V384C416 392.8 423.2 400 432 400C440.8 400 448 392.8 448 384V378.9L471.5 366.6C486.5 358.6 496 342.1 496 325.9C496 300.6 475.4 280 450.1 280H409.6C386.6 280 368 298.6 368 321.6V328z"],
    "file-circle-xmark": [576, 512, [], "e5a1", "M63.1 464H284.5C296.5 482.4 311.9 498.5 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H229.5C246.5 0 262.7 6.743 274.7 18.75L365.3 109.3C377.3 121.3 384 137.5 384 154.5V198.6C366.8 203.5 350.6 210.9 336 220.5V160H256C238.3 160 224 145.7 224 128V48H64C55.16 48 48 55.16 48 64V448C48 456.8 55.16 464 64 464H63.1zM287.1 368C287.1 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 287.1 447.5 287.1 368zM491.3 331.3C497.6 325.1 497.6 314.9 491.3 308.7C485.1 302.4 474.9 302.4 468.7 308.7L432 345.4L395.3 308.7C389.1 302.4 378.9 302.4 372.7 308.7C366.4 314.9 366.4 325.1 372.7 331.3L409.4 368L372.7 404.7C366.4 410.9 366.4 421.1 372.7 427.3C378.9 433.6 389.1 433.6 395.3 427.3L432 390.6L468.7 427.3C474.9 433.6 485.1 433.6 491.3 427.3C497.6 421.1 497.6 410.9 491.3 404.7L454.6 368L491.3 331.3z"],
    "file-code": [384, 512, [], "f1c9", "M162.1 257.8c-7.812-7.812-20.47-7.812-28.28 0l-48 48c-7.812 7.812-7.812 20.5 0 28.31l48 48C137.8 386.1 142.9 388 148 388s10.23-1.938 14.14-5.844c7.812-7.812 7.812-20.5 0-28.31L128.3 320l33.86-33.84C169.1 278.3 169.1 265.7 162.1 257.8zM365.3 93.38l-74.63-74.64C278.6 6.742 262.3 0 245.4 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.2 0 64-28.8 64-64V138.6C384 121.7 377.3 105.4 365.3 93.38zM336 448c0 8.836-7.164 16-16 16H64.02c-8.838 0-16-7.164-16-16L48 64.13c0-8.836 7.164-16 16-16h160L224 128c0 17.67 14.33 32 32 32h79.1V448zM221.9 257.8c-7.812 7.812-7.812 20.5 0 28.31L255.7 320l-33.86 33.84c-7.812 7.812-7.812 20.5 0 28.31C225.8 386.1 230.9 388 236 388s10.23-1.938 14.14-5.844l48-48c7.812-7.812 7.812-20.5 0-28.31l-48-48C242.3 250 229.7 250 221.9 257.8z"],
    "file-contract": [384, 512, [], "f56c", "M365.3 93.38l-74.63-74.64C278.6 6.742 262.3 0 245.4 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.2 0 64-28.8 64-64V138.6C384 121.7 377.3 105.4 365.3 93.38zM336 448c0 8.836-7.164 16-16 16H64.02c-8.838 0-16-7.164-16-16L48 64.13c0-8.836 7.164-16 16-16h160L224 128c0 17.67 14.33 32 32 32h79.1V448zM96 128h80C184.8 128 192 120.8 192 112S184.8 96 176 96H96C87.16 96 80 103.2 80 112S87.16 128 96 128zM96 192h80C184.8 192 192 184.8 192 176S184.8 160 176 160H96C87.16 160 80 167.2 80 176S87.16 192 96 192zM196.6 363.4l-13.88-41.63C179.5 311.9 170.4 305.3 160 305.3s-19.5 6.625-22.75 16.5L119 376.4C117.5 380.9 113.3 384 108.4 384H96c-8.875 0-16 7.125-16 16S87.13 416 96 416h12.38c18.62 0 35.13-11.88 41-29.5L160 354.6L176.9 405c2 6.25 7.5 10.5 14 11H192c5.1 0 11.62-3.375 14.25-8.875l7.75-15.38C216.8 386.3 221.9 385.6 224 385.6s7.25 .625 10.12 6.5C241.5 406.9 256.4 416 272.8 416H288c8.875 0 16-7.125 16-16S296.9 384 288 384h-15.25c-4.125 0-8.125-2.5-10.12-6.5C250.8 353.6 216.4 347.1 196.6 363.4z"],
    "file-csv": [384, 512, [], "f6dd", "M336 448V416H384V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V416H48V448C48 456.8 55.16 464 64 464H320C328.8 464 336 456.8 336 448zM256 160C238.3 160 224 145.7 224 128V48H64C55.16 48 48 55.16 48 64V192H0V64C0 28.65 28.65 0 64 0H229.5C246.5 0 262.7 6.743 274.7 18.75L365.3 109.3C377.3 121.3 384 137.5 384 154.5V192H336V160H256zM96 224C118.1 224 136 241.9 136 264V272C136 280.8 128.8 288 120 288C111.2 288 104 280.8 104 272V264C104 259.6 100.4 256 96 256H80C75.58 256 72 259.6 72 264V344C72 348.4 75.58 352 80 352H96C100.4 352 104 348.4 104 344V336C104 327.2 111.2 320 120 320C128.8 320 136 327.2 136 336V344C136 366.1 118.1 384 96 384H80C57.91 384 40 366.1 40 344V264C40 241.9 57.91 224 80 224H96zM152 270.4C152 244.8 172.8 224 198.4 224H216C224.8 224 232 231.2 232 240C232 248.8 224.8 256 216 256H198.4C190.4 256 184 262.4 184 270.4C184 275.5 186.8 280.3 191.2 282.9L216.6 297.4C231.1 305.6 240 320.1 240 337.6C240 363.2 219.2 384 193.6 384H168C159.2 384 152 376.8 152 368C152 359.2 159.2 352 168 352H193.6C201.6 352 208 345.6 208 337.6C208 332.5 205.2 327.7 200.8 325.1L175.4 310.6C160.9 302.4 152 287 152 270.4zM280 271.6C280 294.6 285.5 317.2 296 337.5C306.5 317.2 312 294.6 312 271.6V240C312 231.2 319.2 224 328 224C336.8 224 344 231.2 344 240V271.6C344 306.3 333.7 340.3 314.4 369.2L309.3 376.9C306.3 381.3 301.4 384 296 384C290.6 384 285.7 381.3 282.7 376.9L277.6 369.2C258.3 340.3 248 306.3 248 271.6V240C248 231.2 255.2 224 264 224C272.8 224 280 231.2 280 240V271.6z"],
    "file-dashed-line": [576, 512, ["page-break"], "f877", "M432 448V368H480V448C480 483.3 451.3 512 416 512H160C124.7 512 96 483.3 96 448V368H144V448C144 456.8 151.2 464 160 464H416C424.8 464 432 456.8 432 448zM352 160C334.3 160 320 145.7 320 128V48H160C151.2 48 144 55.16 144 64V256H96V64C96 28.65 124.7 0 160 0H325.5C342.5 0 358.7 6.743 370.7 18.75L461.3 109.3C473.3 121.3 480 137.5 480 154.5V256H432V160H352zM136 288C149.3 288 160 298.7 160 312C160 325.3 149.3 336 136 336H24C10.75 336 0 325.3 0 312C0 298.7 10.75 288 24 288H136zM328 288C341.3 288 352 298.7 352 312C352 325.3 341.3 336 328 336H248C234.7 336 224 325.3 224 312C224 298.7 234.7 288 248 288H328zM552 288C565.3 288 576 298.7 576 312C576 325.3 565.3 336 552 336H440C426.7 336 416 325.3 416 312C416 298.7 426.7 288 440 288H552z"],
    "file-excel": [384, 512, [], "f1c3", "M365.3 93.38l-74.63-74.64C278.6 6.742 262.3 0 245.4 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.2 0 64-28.8 64-64V138.6C384 121.7 377.3 105.4 365.3 93.38zM336 448c0 8.836-7.164 16-16 16H64.02c-8.838 0-16-7.164-16-16L48 64.13c0-8.836 7.164-16 16-16h160L224 128c0 17.67 14.33 32 32 32h79.1V448zM229.1 233.3L192 280.9L154.9 233.3C146.8 222.8 131.8 220.9 121.3 229.1C110.8 237.2 108.9 252.3 117.1 262.8L161.6 320l-44.53 57.25c-8.156 10.47-6.25 25.56 4.188 33.69C125.7 414.3 130.8 416 135.1 416c7.156 0 14.25-3.188 18.97-9.25L192 359.1l37.06 47.65C233.8 412.8 240.9 416 248 416c5.125 0 10.31-1.656 14.72-5.062c10.44-8.125 12.34-23.22 4.188-33.69L222.4 320l44.53-57.25c8.156-10.47 6.25-25.56-4.188-33.69C252.2 220.9 237.2 222.8 229.1 233.3z"],
    "file-exclamation": [384, 512, [], "f31a", "M365.3 93.38l-74.63-74.64C278.6 6.742 262.3 0 245.4 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.2 0 64-28.8 64-64V138.6C384 121.7 377.3 105.4 365.3 93.38zM336 448c0 8.836-7.164 16-16 16H64.02c-8.838 0-16-7.164-16-16L48 64.13c0-8.836 7.164-16 16-16h160L224 128c0 17.67 14.33 32 32 32h79.1V448zM192 336c13.25 0 24-10.75 24-24v-96C216 202.8 205.3 192 192 192S168 202.8 168 216v96C168 325.3 178.8 336 192 336zM191.1 368C174.3 368 160 382.3 160 400s14.33 32 32 32c17.67 0 32-14.33 32-32S209.7 368 191.1 368z"],
    "file-export": [576, 512, ["arrow-right-from-file"], "f56e", "M568.1 303l-80-80c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L494.1 296H216C202.8 296 192 306.8 192 320s10.75 24 24 24h278.1l-39.03 39.03C450.3 387.7 448 393.8 448 400s2.344 12.28 7.031 16.97c9.375 9.375 24.56 9.375 33.94 0l80-80C578.3 327.6 578.3 312.4 568.1 303zM360 384c-13.25 0-24 10.74-24 24V448c0 8.836-7.164 16-16 16H64.02c-8.836 0-16-7.164-16-16L48 64.13c0-8.836 7.164-16 16-16h160L224 128c0 17.67 14.33 32 32 32h79.1v72c0 13.25 10.74 24 23.1 24S384 245.3 384 232V138.6c0-16.98-6.742-33.26-18.75-45.26l-74.63-74.64C278.6 6.742 262.3 0 245.4 0H63.1C28.65 0-.002 28.66 0 64l.0065 384c.002 35.34 28.65 64 64 64H320c35.2 0 64-28.8 64-64v-40C384 394.7 373.3 384 360 384z"],
    "file-heart": [384, 512, [], "e176", "M365.3 93.38l-74.63-74.64C278.6 6.742 262.3 0 245.4 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.2 0 64-28.8 64-64V138.6C384 121.7 377.3 105.4 365.3 93.38zM336 448c0 8.836-7.164 16-16 16H64.02c-8.838 0-16-7.164-16-16L48 64.13c0-8.836 7.164-16 16-16h160L224 128c0 17.67 14.33 32 32 32h79.1V448zM199.3 264.5l-7.391 7.664l-7.389-7.664c-18.74-19.37-49.27-22.55-69.83-5.031C91.11 279.6 89.83 315.6 110.9 337.5l72.62 74.86c4.713 4.816 12.21 4.816 16.92 0l72.62-74.86c21.1-21.89 19.81-57.9-3.859-78.04C248.8 241.1 218.1 245.1 199.3 264.5z"],
    "file-image": [384, 512, [128443], "f1c5", "M365.3 93.38l-74.63-74.64C278.6 6.742 262.3 0 245.4 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.2 0 64-28.8 64-64V138.6C384 121.7 377.3 105.4 365.3 93.38zM336 448c0 8.836-7.164 16-16 16H64.02c-8.838 0-16-7.164-16-16L48 64.13c0-8.836 7.164-16 16-16h160L224 128c0 17.67 14.33 32 32 32h79.1V448zM215.3 292c-4.68 0-9.051 2.34-11.65 6.234L164 357.8l-11.68-17.53C149.7 336.3 145.3 334 140.7 334c-4.682 0-9.053 2.34-11.65 6.234l-46.67 70c-2.865 4.297-3.131 9.82-.6953 14.37C84.09 429.2 88.84 432 93.1 432h196c5.163 0 9.907-2.844 12.34-7.395c2.436-4.551 2.17-10.07-.6953-14.37l-74.67-112C224.4 294.3 220 292 215.3 292zM128 288c17.67 0 32-14.33 32-32S145.7 224 128 224S96 238.3 96 256S110.3 288 128 288z"],
    "file-import": [512, 512, ["arrow-right-to-file"], "f56f", "M263 383C258.3 387.7 256 393.8 256 400s2.344 12.28 7.031 16.97c9.375 9.375 24.56 9.375 33.94 0l80-80c9.375-9.375 9.375-24.56 0-33.94l-80-80c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L302.1 296H24C10.75 296 0 306.8 0 320s10.75 24 24 24h278.1L263 383zM493.3 93.38l-74.63-74.64C406.6 6.742 390.3 0 373.4 0H192C156.7 0 127.1 28.66 128 64l.0078 168c.002 13.26 10.75 24 24 24s24-10.75 23.1-24L176 64.13c0-8.836 7.162-16 16-16h160L352 128c0 17.67 14.33 32 32 32h79.1v288c0 8.836-7.164 16-16 16H192c-8.838 0-16-7.164-16-16l-.002-40C176 394.7 165.3 384 152 384s-24 10.75-23.1 24L128 448c.002 35.34 28.65 64 64 64H448c35.2 0 64-28.8 64-64V138.6C512 121.7 505.3 105.4 493.3 93.38z"],
    "file-invoice": [384, 512, [], "f570", "M80 256v64c0 17.67 14.33 32 32 32h160c17.67 0 32-14.33 32-32V256c0-17.67-14.33-32-32-32h-160C94.33 224 80 238.3 80 256zM365.3 93.38l-74.63-74.64C278.6 6.742 262.3 0 245.4 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.2 0 64-28.8 64-64V138.6C384 121.7 377.3 105.4 365.3 93.38zM336 448c0 8.836-7.164 16-16 16H64.02c-8.838 0-16-7.164-16-16L48 64.13c0-8.836 7.164-16 16-16h160L224 128c0 17.67 14.33 32 32 32h79.1V448zM96 128h80C184.8 128 192 120.8 192 112S184.8 96 176 96H96C87.16 96 80 103.2 80 112S87.16 128 96 128zM96 192h80C184.8 192 192 184.8 192 176S184.8 160 176 160H96C87.16 160 80 167.2 80 176S87.16 192 96 192zM288 384h-80c-8.844 0-16 7.156-16 16s7.156 16 16 16H288c8.844 0 16-7.156 16-16S296.8 384 288 384z"],
    "file-invoice-dollar": [384, 512, [], "f571", "M365.3 93.38l-74.63-74.64C278.6 6.742 262.3 0 245.4 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.2 0 64-28.8 64-64V138.6C384 121.7 377.3 105.4 365.3 93.38zM336 448c0 8.836-7.164 16-16 16H64.02c-8.838 0-16-7.164-16-16L48 64.13c0-8.836 7.164-16 16-16h160L224 128c0 17.67 14.33 32 32 32h79.1V448zM96 128h80C184.8 128 192 120.8 192 112S184.8 96 176 96H96C87.16 96 80 103.2 80 112S87.16 128 96 128zM192 176C192 167.2 184.8 160 176 160H96C87.16 160 80 167.2 80 176S87.16 192 96 192h80C184.8 192 192 184.8 192 176zM197.5 308.8L191.1 307.2C168.3 300.2 168.8 296.1 169.6 292.5c1.375-7.812 16.59-9.719 30.27-7.625c5.594 .8438 11.73 2.812 17.59 4.844c10.39 3.594 21.83-1.938 25.45-12.34c3.625-10.44-1.891-21.84-12.33-25.47c-7.219-2.484-13.11-4.078-18.56-5.273V240c0-11.03-8.953-20-20-20s-20 8.969-20 20v5.992C149.6 250.8 133.8 264.8 130.2 285.7c-7.406 42.84 33.19 54.75 50.52 59.84l5.812 1.688c29.28 8.375 28.8 11.19 27.92 16.28c-1.375 7.812-16.59 9.75-30.31 7.625c-6.938-1.031-15.81-4.219-23.66-7.031l-4.469-1.625c-10.41-3.594-21.83 1.812-25.52 12.22c-3.672 10.41 1.781 21.84 12.2 25.53l4.266 1.5c7.758 2.789 16.38 5.59 25.06 7.512V416c0 11.03 8.953 20 20 20s20-8.969 20-20v-6.254c22.36-4.793 38.21-18.53 41.83-39.43C261.3 327 219.8 315.1 197.5 308.8z"],
    "file-lines": [384, 512, [128462, 61686, 128441, "file-alt", "file-text"], "f15c", "M365.3 93.38l-74.63-74.64C278.6 6.742 262.3 0 245.4 0L64-.0001c-35.35 0-64 28.65-64 64l.0065 384c0 35.34 28.65 64 64 64H320c35.2 0 64-28.8 64-64V138.6C384 121.7 377.3 105.4 365.3 93.38zM336 448c0 8.836-7.164 16-16 16H64.02c-8.838 0-16-7.164-16-16L48 64.13c0-8.836 7.164-16 16-16h160L224 128c0 17.67 14.33 32 32 32h79.1V448zM96 280C96 293.3 106.8 304 120 304h144C277.3 304 288 293.3 288 280S277.3 256 264 256h-144C106.8 256 96 266.8 96 280zM264 352h-144C106.8 352 96 362.8 96 376s10.75 24 24 24h144c13.25 0 24-10.75 24-24S277.3 352 264 352z"],
    "file-lock": [576, 512, [], "e3a6", "M543.1 320L544 272C544 227.9 508.1 192 464 192S384 227.9 384 272V320c-17.68 0-32 14.33-32 32.01v127.1C352 497.7 366.3 512 384 512h159.1C561.7 512 576 497.7 576 479.1v-127.1C576 334.3 561.7 320 543.1 320zM496 320h-64V272c0-17.64 14.34-32 32-32s32 14.36 32 32V320zM360.4 192C373.4 192 384 181.4 384 168.4V138.6c0-16.97-6.742-33.25-18.74-45.25l-74.64-74.64C278.6 6.742 262.3 0 245.4 0H64C28.65 0 .0007 28.65 .0007 64l.0059 384c0 35.35 28.66 64 64 64h232.4c13.06 0 23.64-10.58 23.64-23.64v-.7207C320 474.6 309.4 464 296.4 464H64.02c-8.836 0-16-7.164-16-16L48 64.13c0-8.836 7.164-16 16-16h160L224 127.1c0 17.67 14.33 32 32 32H336v8.357C336 181.4 346.6 192 359.6 192H360.4z"],
    "file-magnifying-glass": [384, 512, ["file-search"], "f865", "M365.3 93.38l-74.63-74.64C278.6 6.742 262.3 0 245.4 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.2 0 64-28.8 64-64V138.6C384 121.7 377.3 105.4 365.3 93.38zM336 448c0 8.836-7.164 16-16 16H64.02c-8.838 0-16-7.164-16-16L48 64.13c0-8.836 7.164-16 16-16h160L224 128c0 17.67 14.33 32 32 32h79.1V448zM176 208c-53.02 0-96 42.98-96 96s42.98 96 96 96c17.77 0 34.21-5.16 48.48-13.58l46.55 46.55C275.7 437.7 281.8 440 288 440s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94l-46.55-46.55C266.8 338.2 272 321.8 272 304C272 250.1 229 208 176 208zM176 352C149.5 352 128 330.5 128 304S149.5 256 176 256S224 277.5 224 304S202.5 352 176 352z"],
    "file-medical": [384, 512, [], "f477", "M224 240C224 231.2 216.8 224 208 224h-32C167.2 224 160 231.2 160 240V288H112C103.2 288 96 295.2 96 303.1V336c0 8.797 7.199 15.1 16 15.1l48 .0006v47.1C160 408.8 167.2 416 176 416h32c8.801 0 16-7.201 16-16v-47.1l48-.0006c8.801 0 16-7.201 16-15.1V303.1C288 295.2 280.8 288 272 288H224V240zM365.3 93.38l-74.63-74.64C278.6 6.742 262.3 0 245.4 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.2 0 64-28.8 64-64V138.6C384 121.7 377.3 105.4 365.3 93.38zM336 448c0 8.836-7.164 16-16 16H64.02c-8.838 0-16-7.164-16-16L48 64.13c0-8.836 7.164-16 16-16h160L224 128c0 17.67 14.33 32 32 32h79.1V448z"],
    "file-minus": [384, 512, [], "f318", "M365.3 93.38l-74.63-74.64C278.6 6.742 262.3 0 245.4 0H64C28.66 0 0 28.65 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.2 0 64-28.8 64-64V138.6C384 121.7 377.3 105.4 365.3 93.38zM336 448c0 8.836-7.164 16-16 16H64.02c-8.836 0-16-7.164-16-16L48 64.13c0-8.836 7.164-16 16-16h160L224 128c0 17.67 14.33 32 32 32H336V448zM112 280c-13.26 0-24 10.74-24 23.1c0 13.26 10.73 23.1 24 23.1h160c13.26 0 24-10.74 24-23.1s-10.74-23.1-24-23.1H112z"],
    "file-music": [384, 512, [], "f8b6", "M365.3 93.38l-74.63-74.64C278.6 6.742 262.3 0 245.4 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.2 0 64-28.8 64-64V138.6C384 121.7 377.3 105.4 365.3 93.38zM336 448c0 8.836-7.164 16-16 16H64.02c-8.838 0-16-7.164-16-16L48 64.13c0-8.836 7.164-16 16-16h160L224 128c0 17.67 14.33 32 32 32h79.1V448zM144 255.3V370C138.8 368.8 133.4 368 128 368c-26.5 0-48 14.38-48 32s21.5 32 48 32s48-14.38 48-32V299.1l96-37.5V338C266.8 336.8 261.4 336 256 336c-26.5 0-48 14.38-48 32s21.5 32 48 32s48-14.38 48-32v-160c0-5.125-2.375-9.875-6.5-12.88S288 191.3 283.3 192.8l-128 47.25C148.5 242.1 144 248.3 144 255.3z"],
    "file-pdf": [384, 512, [], "f1c1", "M320 464C328.8 464 336 456.8 336 448V416H384V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V416H48V448C48 456.8 55.16 464 64 464H320zM256 160C238.3 160 224 145.7 224 128V48H64C55.16 48 48 55.16 48 64V192H0V64C0 28.65 28.65 0 64 0H229.5C246.5 0 262.7 6.743 274.7 18.75L365.3 109.3C377.3 121.3 384 137.5 384 154.5V192H336V160H256zM88 224C118.9 224 144 249.1 144 280C144 310.9 118.9 336 88 336H80V368C80 376.8 72.84 384 64 384C55.16 384 48 376.8 48 368V240C48 231.2 55.16 224 64 224H88zM112 280C112 266.7 101.3 256 88 256H80V304H88C101.3 304 112 293.3 112 280zM160 240C160 231.2 167.2 224 176 224H200C226.5 224 248 245.5 248 272V336C248 362.5 226.5 384 200 384H176C167.2 384 160 376.8 160 368V240zM192 352H200C208.8 352 216 344.8 216 336V272C216 263.2 208.8 256 200 256H192V352zM336 224C344.8 224 352 231.2 352 240C352 248.8 344.8 256 336 256H304V288H336C344.8 288 352 295.2 352 304C352 312.8 344.8 320 336 320H304V368C304 376.8 296.8 384 288 384C279.2 384 272 376.8 272 368V240C272 231.2 279.2 224 288 224H336z"],
    "file-pen": [576, 512, [128221, "file-edit"], "f31c", "M64 464H262.5L257.4 484.2C255.1 493.6 255.7 503.2 258.8 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H229.5C246.5 0 262.7 6.743 274.7 18.75L365.3 109.3C377.3 121.3 384 137.5 384 154.5V299.6L336 347.6V160H256C238.3 160 224 145.7 224 128V48H64C55.16 48 48 55.16 48 64V448C48 456.8 55.16 464 64 464H64zM564.1 250.1C579.8 265.7 579.8 291 564.1 306.7L534.7 336.1L463.8 265.1L493.2 235.7C508.8 220.1 534.1 220.1 549.8 235.7L564.1 250.1zM311.9 416.1L441.1 287.8L512.1 358.7L382.9 487.9C378.8 492 373.6 494.9 368 496.3L307.9 511.4C302.4 512.7 296.7 511.1 292.7 507.2C288.7 503.2 287.1 497.4 288.5 491.1L303.5 431.8C304.9 426.2 307.8 421.1 311.9 416.1V416.1z"],
    "file-plus": [384, 512, [], "f319", "M365.3 93.38l-74.63-74.64C278.6 6.742 262.3 0 245.4 0H64C28.66 0 0 28.65 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.2 0 64-28.8 64-64V138.6C384 121.7 377.3 105.4 365.3 93.38zM336 448c0 8.836-7.164 16-16 16H64.02c-8.836 0-16-7.164-16-16L48 64.13c0-8.836 7.164-16 16-16h160L224 128c0 17.67 14.33 32 32 32H336V448zM216 223.1C216 210.7 205.3 200 192 200S168 210.7 168 223.1V280H112c-13.26 0-24 10.74-24 23.1c0 13.26 10.73 23.1 24 23.1h56v56C168 397.3 178.7 408 192 408c13.26 0 24-10.74 24-23.1V327.1h56c13.26 0 24-10.74 24-23.1s-10.74-23.1-24-23.1h-56V223.1z"],
    "file-plus-minus": [384, 512, [], "e177", "M365.3 93.38l-74.63-74.64C278.6 6.742 262.3 0 245.4 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.2 0 64-28.8 64-64V138.6C384 121.7 377.3 105.4 365.3 93.38zM336 448c0 8.836-7.164 16-16 16H64.02c-8.838 0-16-7.164-16-16L48 64.13c0-8.836 7.164-16 16-16h160L224 128c0 17.67 14.33 32 32 32h79.1V448zM216 232V192c0-13.25-10.75-24-24-24S168 178.8 168 192v40H128C114.8 232 104 242.8 104 256S114.8 280 128 280h40V320c0 13.25 10.75 24 24 24s24-10.75 24-24V280H256c13.25 0 24-10.75 24-24S269.3 232 256 232H216zM256 376H128c-13.25 0-24 10.75-24 24S114.8 424 128 424h128c13.25 0 24-10.75 24-24S269.3 376 256 376z"],
    "file-powerpoint": [384, 512, [], "f1c4", "M365.3 93.38l-74.63-74.64C278.6 6.742 262.3 0 245.4 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.2 0 64-28.8 64-64V138.6C384 121.7 377.3 105.4 365.3 93.38zM336 448c0 8.836-7.164 16-16 16H64.02c-8.838 0-16-7.164-16-16L48 64.13c0-8.836 7.164-16 16-16h160L224 128c0 17.67 14.33 32 32 32h79.1V448zM200 224H128C119.2 224 112 231.2 112 240v168c0 13.25 10.75 24 24 24S160 421.3 160 408v-32h44c44.21 0 79.73-37.95 75.69-82.98C276.1 253.2 240 224 200 224zM204 328H160V272h44c15.44 0 28 12.56 28 28S219.4 328 204 328z"],
    "file-prescription": [384, 512, [], "f572", "M365.3 93.38l-74.63-74.64C278.6 6.742 262.3 0 245.4 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.2 0 64-28.8 64-64V138.6C384 121.7 377.3 105.4 365.3 93.38zM336 448c0 8.836-7.164 16-16 16H64.02c-8.838 0-16-7.164-16-16L48 64.13c0-8.836 7.164-16 16-16h160L224 128c0 17.67 14.33 32 32 32h79.1V448zM206.5 311.9c22.46-12.29 36.94-37.2 32.79-65.51C234.6 214.6 205.6 192 173.5 192H96C87.16 192 80 199.2 80 208v152.1C80 373.3 90.75 384 103.1 384S128 373.3 128 360.1V320h18.75l59.25 59.25l-24.43 24.53c-9.318 9.352-9.303 24.49 .0352 33.82c9.348 9.348 24.66 9.371 34.01 .0273L240 413.3l24.35 24.45c9.385 9.426 24.72 9.398 34.07-.0586c9.297-9.398 9.279-24.57-.0703-33.92l-24.35-24.35l24.25-24.35c9.367-9.406 9.311-24.63-.1289-33.97c-9.4-9.297-24.54-9.254-33.89 .0938L240 345.4L206.5 311.9zM176 272H128v-32h48C184.9 240 192 247.1 192 256S184.9 272 176 272z"],
    "file-shield": [576, 512, [], "e4f0", "M63.1 464H310.7C321.7 478.4 334.8 492.1 350.2 504.4C341.2 509.3 330.9 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H229.5C246.5 0 262.7 6.743 274.7 18.75L365.3 109.3C377.3 121.3 384 137.5 384 154.5V207L336 226.2V160H256C238.3 160 224 145.7 224 128V48H64C55.16 48 48 55.16 48 64V448C48 456.8 55.16 464 64 464H63.1zM423.1 225.7C428.8 223.4 435.2 223.4 440.9 225.7L560.9 273.7C570 277.4 576 286.2 576 296C576 359.3 550.1 464.8 441.2 510.2C435.3 512.6 428.7 512.6 422.8 510.2C313.9 464.8 288 359.3 288 296C288 286.2 293.1 277.4 303.1 273.7L423.1 225.7zM432 273.8V461.7C500.2 428.7 523.4 362.7 527.4 311.1L432 273.8z"],
    "file-signature": [576, 512, [], "f573", "M48.02 448L48 64.13c0-8.836 7.164-16 16-16h160L224 128c0 17.67 14.33 32 32 32h79.1v94.18L384 206.5V138.6c0-16.98-6.742-33.26-18.74-45.26l-74.63-74.64C278.6 6.742 262.3 0 245.4 0H63.93C28.58 0 0 28.65 0 64l.0065 384c0 35.34 28.58 64 63.93 64H320c29.65 0 54.53-20.52 61.71-48H64.02C55.18 464 48.02 456.8 48.02 448zM292.7 342.3C289.7 345.3 288 349.4 288 353.7V383.9L272.8 384c-4.125 0-8.125-2.5-10.12-6.5c-11.88-23.88-46.25-30.38-66-14.12l-13.88-41.63C179.5 311.9 170.4 305.3 160 305.3s-19.5 6.625-22.75 16.5L119 376.4C117.5 380.9 113.3 384 108.4 384H96c-8.875 0-16 7.125-16 16S87.13 416 96 416h12.38c18.62 0 35.13-11.88 41-29.5L160 354.6L176.9 405c2 6.25 7.5 10.5 14 11H192c5.999 0 11.62-3.375 14.25-8.875l7.749-15.38C216.8 386.3 221.9 385.6 224 385.6s7.25 .625 10.12 6.5C241.5 406.9 256.4 416 272.8 416h77.59c4.264 0 8.35-1.703 11.35-4.727l156.9-158l-67.88-67.88L292.7 342.3zM568.5 167.4L536.6 135.5c-9.875-10-26-10-36 0l-27.25 27.25l67.88 67.88l27.25-27.25C578.5 193.4 578.5 177.3 568.5 167.4z"],
    "file-slash": [640, 512, [], "e3a7", "M639.1 487.1c0-7.119-3.153-14.16-9.191-18.89l-118.8-93.12l.0013-237.3c0-16.97-6.742-33.26-18.74-45.26l-74.63-74.64C406.6 6.742 390.3 0 373.4 0H192C156.7 0 128 28.65 128 64L128 75.01L38.82 5.11C34.41 1.672 29.19 0 24.04 0C10.19 0-.0002 11.3-.0002 23.1c0 7.12 3.153 14.16 9.192 18.89l591.1 463.1C605.6 510.3 610.8 512 615.1 512C629.8 512 639.1 500.6 639.1 487.1zM464 338.4l-287.1-225.7l-.002-48.51c0-8.836 7.164-16 15.1-16h160l-.0065 79.87c0 17.67 14.33 31.1 31.1 31.1L464 159.1V338.4zM448 463.1H192c-8.834 0-15.1-7.164-15.1-16L176 234.6L128 197L128 447.1c0 35.34 28.65 64 63.1 64H448c20.4 0 38.45-9.851 50.19-24.84l-37.72-29.56C457.5 461.4 453.2 463.1 448 463.1z"],
    "file-spreadsheet": [384, 512, [], "f65b", "M365.3 93.38l-74.63-74.64C278.6 6.742 262.3 0 245.4 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.2 0 64-28.8 64-64V138.6C384 121.7 377.3 105.4 365.3 93.38zM336 448c0 8.836-7.164 16-16 16H64.02c-8.838 0-16-7.164-16-16L48 64.13c0-8.836 7.164-16 16-16h160L224 128c0 17.67 14.33 32 32 32h79.1V448zM80 256v128c0 17.67 14.33 32 32 32h160c17.67 0 32-14.33 32-32V256c0-17.67-14.33-32-32-32h-160C94.33 224 80 238.3 80 256zM176 384h-64v-48h64V384zM208 256h64v48h-64V256zM208 336h64V384h-64V336zM176 304h-64V256h64V304z"],
    "file-user": [384, 512, [], "f65c", "M365.3 93.38l-74.63-74.64C278.6 6.742 262.3 0 245.4 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.2 0 64-28.8 64-64V138.6C384 121.7 377.3 105.4 365.3 93.38zM336 448c0 8.836-7.164 16-16 16H318.4C310.7 418.6 271.5 384 224 384H160c-47.54 0-86.73 34.64-94.39 80H64.02c-8.838 0-16-7.164-16-16L48 64.13c0-8.836 7.164-16 16-16h160L224 128c0 17.67 14.33 32 32 32h79.1V448zM192 224C156.7 224 128 252.7 128 288c0 35.34 28.65 64 64 64s64-28.66 64-64C256 252.7 227.3 224 192 224z"],
    "file-video": [384, 512, [], "f1c8", "M365.3 93.38l-74.63-74.64C278.6 6.742 262.3 0 245.4 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.2 0 64-28.8 64-64V138.6C384 121.7 377.3 105.4 365.3 93.38zM336 448c0 8.836-7.164 16-16 16H64.02c-8.838 0-16-7.164-16-16L48 64.13c0-8.836 7.164-16 16-16h160L224 128c0 17.67 14.33 32 32 32h79.1V448zM240 288c0-17.67-14.33-32-32-32h-96c-17.67 0-32 14.33-32 32v96c0 17.67 14.33 32 32 32h96c17.67 0 32-14.33 32-32v-16.52l43.84 30.2C292.3 403.5 304 397.6 304 387.4V284.6c0-10.16-11.64-16.16-20.16-10.32L240 304.5V288z"],
    "file-waveform": [448, 512, ["file-medical-alt"], "f478", "M172 381.3C176.5 388 183.9 392 191.9 392c.5 0 1.047 0 1.547-.0313c8.547-.5313 16.16-5.594 19.98-13.25l43.94-87.88l9.75 17.06C271.4 315.4 279.4 320 288 320h40C341.3 320 352 309.3 352 296S341.3 272 328 272h-26.08l-25.08-43.91C272.5 220.4 264.7 215.8 255.3 216c-8.844 .25-16.84 5.344-20.8 13.28l-45.5 91L163.1 282.7C159.5 276 152 272 144 272H24C10.75 272 0 282.8 0 296S10.75 320 24 320h107.2L172 381.3zM429.3 93.38l-74.63-74.64C342.6 6.742 326.3 0 309.4 0H128C92.65 0 63.1 28.66 64 64l.0059 152c.002 13.26 10.75 24 24 24s24-10.75 24-24L112 64.13c0-8.836 7.162-16 16-16h160L288 128c0 17.67 14.33 32 32 32h79.1v288c0 8.836-7.164 16-16 16H128c-8.836 0-16-7.164-16-16l-.0039-72c0-13.26-10.74-24-23.1-24s-24 10.74-24 24L64.01 448c.002 35.34 28.65 64 64 64H384c35.2 0 64-28.8 64-64V138.6C448 121.7 441.3 105.4 429.3 93.38z"],
    "file-word": [384, 512, [], "f1c2", "M365.3 93.38l-74.63-74.64C278.6 6.742 262.3 0 245.4 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.2 0 64-28.8 64-64V138.6C384 121.7 377.3 105.4 365.3 93.38zM336 448c0 8.836-7.164 16-16 16H64.02c-8.838 0-16-7.164-16-16L48 64.13c0-8.836 7.164-16 16-16h160L224 128c0 17.67 14.33 32 32 32h79.1V448zM214.6 248C211.3 238.4 202.2 232 192 232s-19.25 6.406-22.62 16L144.7 318.1l-25.89-77.66C114.6 227.8 101 221.2 88.41 225.2C75.83 229.4 69.05 243 73.23 255.6l48 144C124.5 409.3 133.5 415.9 143.8 416c10.17 0 19.45-6.406 22.83-16L192 328.1L217.4 400C220.8 409.6 229.8 416 240 416c10.27-.0938 19.53-6.688 22.77-16.41l48-144c4.188-12.59-2.594-26.16-15.17-30.38c-12.61-4.125-26.2 2.594-30.36 15.19l-25.89 77.66L214.6 248z"],
    "file-xmark": [384, 512, ["file-times"], "f317", "M365.3 93.38l-74.63-74.64C278.6 6.742 262.3 0 245.4 0H64C28.66 0 0 28.65 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.2 0 64-28.8 64-64V138.6C384 121.7 377.3 105.4 365.3 93.38zM336 448c0 8.836-7.164 16-16 16H64.02c-8.836 0-16-7.164-16-16L48 64.13c0-8.836 7.164-16 16-16h160L224 128c0 17.67 14.33 32 32 32H336V448zM239 239L192 286.1L144.1 239c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L158.1 320l-47.03 47.03c-9.375 9.375-9.375 24.56 0 33.94c9.375 9.371 24.55 9.379 33.94 0L192 353.9l47.03 47.03c9.375 9.371 24.55 9.379 33.94 0c9.375-9.375 9.375-24.56 0-33.94L225.9 320l47.03-47.03c9.375-9.375 9.375-24.56 0-33.94S248.4 229.7 239 239z"],
    "file-zipper": [384, 512, ["file-archive"], "f1c6", "M365.3 93.38l-74.63-74.64C278.6 6.742 262.3 0 245.4 0L64-.0001c-35.35 0-64 28.65-64 64l.0065 384c0 35.34 28.65 64 64 64H320c35.2 0 64-28.8 64-64V138.6C384 121.7 377.3 105.4 365.3 93.38zM336 448c0 8.836-7.164 16-16 16H64.02c-8.838 0-16-7.164-16-16L48 64.13c0-8.836 7.164-16 16-16h48V64h64V48.13h48.01L224 128c0 17.67 14.33 32 32 32h79.1V448zM176 96h-64v32h64V96zM176 160h-64v32h64V160zM176 224h-64l-30.56 116.5C73.51 379.5 103.7 416 144.3 416c40.26 0 70.45-36.3 62.68-75.15L176 224zM160 368H128c-8.836 0-16-7.164-16-16s7.164-16 16-16h32c8.836 0 16 7.164 16 16S168.8 368 160 368z"],
    "files": [448, 512, [], "e178", "M429.3 93.38l-74.63-74.64C342.6 6.742 326.3 0 309.4 0H160C124.7 0 96 28.65 96 64l.0098 288c0 35.34 28.65 64 64 64h224C419.2 416 448 387.2 448 352V138.6C448 121.7 441.3 105.4 429.3 93.38zM400 352c0 8.836-7.164 16-16 16H160c-8.838 0-16-7.164-16-16L144 64.13c0-8.836 7.164-16 16-16h128V128c0 17.67 14.33 32 32 32h79.99V352zM328 512h-208C53.83 512 0 458.2 0 392v-272C0 106.8 10.75 96 24 96S48 106.8 48 120v272c0 39.7 32.3 72 72 72h208c13.25 0 24 10.75 24 24S341.3 512 328 512z"],
    "files-medical": [448, 512, [], "f7fd", "M298.7 189.3C298.7 182 292.7 176 285.3 176h-26.67c-7.334 0-13.33 6-13.33 13.33v40h-40C197.1 229.3 192 235.3 192 242.7v26.67c0 7.332 5.1 13.33 13.33 13.33h40v40c0 7.332 5.998 13.34 13.33 13.34h26.67c7.334 0 13.33-6.004 13.33-13.34v-40h40C345.1 282.7 352 276.7 352 269.3V242.7c0-7.332-6-13.33-13.33-13.33h-40V189.3zM429.3 93.38l-74.63-74.64C342.6 6.742 326.3 0 309.4 0H160C124.7 0 96 28.65 96 64l.0098 288c0 35.34 28.65 64 64 64h224C419.2 416 448 387.2 448 352V138.6C448 121.7 441.3 105.4 429.3 93.38zM400 352c0 8.836-7.164 16-16 16H160c-8.838 0-16-7.164-16-16L144 64.13c0-8.836 7.164-16 16-16h128V128c0 17.67 14.33 32 32 32h79.99V352zM328 512h-208C53.83 512 0 458.2 0 392v-272C0 106.8 10.75 96 24 96S48 106.8 48 120v272c0 39.7 32.3 72 72 72h208c13.25 0 24 10.75 24 24S341.3 512 328 512z"],
    "fill": [512, 512, [], "f575", "M162.3 96.4L221.1 37.66C249.2 9.539 294.8 9.539 322.9 37.66L474.3 189.1C502.5 217.2 502.5 262.8 474.3 290.9L283.9 481.4C246.4 518.9 185.6 518.9 148.1 481.4L30.63 363.9C-6.863 326.4-6.863 265.6 30.63 228.1L128.4 130.3L39.03 40.97C29.66 31.6 29.66 16.4 39.03 7.029C48.4-2.343 63.6-2.343 72.97 7.029L162.3 96.4zM64.57 262.1C57.24 269.4 52.77 278.5 51.18 288H409.4L440.4 256.1C449.8 247.6 449.8 232.4 440.4 223L288.1 71.6C279.6 62.23 264.4 62.23 255 71.6L196.3 130.3L264.1 199C274.3 208.4 274.3 223.6 264.1 232.1C255.6 242.3 240.4 242.3 231 232.1L162.3 164.3L64.57 262.1z"],
    "fill-drip": [576, 512, [], "f576", "M39.03 7.029C48.4-2.343 63.6-2.343 72.97 7.029L162.3 96.4L221.1 37.66C249.2 9.539 294.8 9.539 322.9 37.66L474.3 189.1C502.5 217.2 502.5 262.8 474.3 290.9L283.9 481.4C246.4 518.9 185.6 518.9 148.1 481.4L30.63 363.9C-6.863 326.4-6.863 265.6 30.63 228.1L128.4 130.3L39.03 40.97C29.66 31.6 29.66 16.4 39.03 7.029V7.029zM231 232.1L162.3 164.3L64.57 262.1C57.24 269.4 52.77 278.5 51.18 288H409.4L440.4 256.1C449.8 247.6 449.8 232.4 440.4 223L288.1 71.6C279.6 62.23 264.4 62.23 255 71.6L196.3 130.3L264.1 199C274.3 208.4 274.3 223.6 264.1 232.1C255.6 242.3 240.4 242.3 231 232.1H231zM448 448C448 422.8 480.6 368.4 499.2 339.3C505.3 329.9 518.7 329.9 524.8 339.3C543.4 368.4 576 422.8 576 448C576 483.3 547.3 512 512 512C476.7 512 448 483.3 448 448H448z"],
    "film": [512, 512, [127902], "f008", "M448 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V96C512 60.65 483.3 32 448 32zM112 432H64c-8.822 0-16-7.178-16-16v-72h64V432zM112 296h-64v-80h64V296zM112 168h-64V96c0-8.822 7.178-16 16-16h48V168zM352 432H160V280h192V432zM352 232H160V80h192V232zM464 416c0 8.822-7.178 16-16 16h-48v-88h64V416zM464 296h-64v-80h64V296zM464 168h-64V80H448c8.822 0 16 7.178 16 16V168z"],
    "film-canister": [576, 512, ["film-cannister"], "f8b7", "M544 128h-224V80h8C341.3 80 352 69.25 352 56C352 42.74 341.3 32 328 32H256V16C256 7.162 248.8 0 240 0h-128C103.2 0 96 7.162 96 16V32H24C10.75 32 0 42.74 0 56C0 69.25 10.75 80 24 80H32v384H24C10.75 464 0 474.7 0 488C0 501.3 10.75 512 24 512h304c13.25 0 24-10.75 24-24c0-13.26-10.75-24-24-24H320V416h160c17.62 0 32-14.38 32-32v-32c0-17.62 14.38-32 32-32s32-14.38 32-32V160C576 142.4 561.6 128 544 128zM272 464h-192v-384h192V464zM440 360c0 8.875-7.125 16-16 16h-16c-8.875 0-16-7.125-16-16v-16c0-8.875 7.125-16 16-16h16c8.875 0 16 7.125 16 16V360zM440 200c0 8.875-7.125 16-16 16h-16c-8.875 0-16-7.125-16-16v-16c0-8.875 7.125-16 16-16h16c8.875 0 16 7.125 16 16V200zM536 200c0 8.875-7.125 16-16 16h-16c-8.875 0-16-7.125-16-16v-16c0-8.875 7.125-16 16-16h16c8.875 0 16 7.125 16 16V200z"],
    "film-simple": [512, 512, ["film-alt"], "f3a0", "M448 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V96C512 60.65 483.3 32 448 32zM112 432H64c-8.822 0-16-7.178-16-16v-72h64V432zM112 296h-64v-80h64V296zM112 168h-64V96c0-8.822 7.178-16 16-16h48V168zM352 432H160v-352h192V432zM464 416c0 8.822-7.178 16-16 16h-48v-88h64V416zM464 296h-64v-80h64V296zM464 168h-64V80H448c8.822 0 16 7.178 16 16V168z"],
    "film-slash": [640, 512, [], "e179", "M224 432V272.3L176 234.6V296h-64v-80h40.22L64 146.9V416c0 35.35 28.65 64 64 64h361l-61.24-48H224zM176 432H128c-8.822 0-16-7.178-16-16v-72h64V432zM630.8 469.1l-55.93-43.84C575.3 422.2 576 419.2 576 416V96c0-35.35-28.65-64-64-64H128C113.6 32 100.4 36.98 89.78 45.06l-50.97-39.95C28.34-3.058 13.31-1.246 5.109 9.192C-3.063 19.63-1.235 34.72 9.187 42.89L601.2 506.9C605.6 510.3 610.8 512 615.1 512c7.125 0 14.17-3.156 18.91-9.188C643.1 492.4 641.2 477.3 630.8 469.1zM176 112.6L134.4 80H176V112.6zM416 300.7L389.5 280H416V300.7zM416 232h-87.71L224 150.3V80h192V232zM528 388.5L471.2 344H528V388.5zM528 296h-64v-80h64V296zM528 168h-64V80H512c8.822 0 16 7.178 16 16V168z"],
    "films": [576, 512, [], "e17a", "M512 32H160C124.7 32 96 60.65 96 96v224c0 35.35 28.65 64 64 64h352c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM208 336H160c-8.822 0-16-7.178-16-16V280h64V336zM208 232h-64v-48h64V232zM208 136h-64V96c0-8.822 7.178-16 16-16h48V136zM416 336H256V232h160V336zM416 184H256V80h160V184zM528 320c0 8.822-7.178 16-16 16h-48V280h64V320zM528 232h-64v-48h64V232zM528 136h-64V80H512c8.822 0 16 7.178 16 16V136zM456 480H120C53.83 480 0 426.2 0 360v-240C0 106.8 10.75 96 24 96S48 106.8 48 120v240c0 39.7 32.3 72 72 72h336c13.25 0 24 10.75 24 24S469.3 480 456 480z"],
    "filter": [512, 512, [], "f0b0", "M0 73.7C0 50.67 18.67 32 41.7 32H470.3C493.3 32 512 50.67 512 73.7C512 83.3 508.7 92.6 502.6 100L336 304.5V447.7C336 465.5 321.5 480 303.7 480C296.4 480 289.3 477.5 283.6 472.1L191.1 399.6C181.6 392 176 380.5 176 368.3V304.5L9.373 100C3.311 92.6 0 83.3 0 73.7V73.7zM54.96 80L218.6 280.8C222.1 285.1 224 290.5 224 296V364.4L288 415.2V296C288 290.5 289.9 285.1 293.4 280.8L457 80H54.96z"],
    "filter-circle-dollar": [576, 512, ["funnel-dollar"], "f662", "M472.2 .0003C494.2 .0003 512 17.81 512 39.77C512 48.85 508.9 57.65 503.2 64.71L418.7 169.7C410.4 180 395.3 181.7 384.1 173.4C374.6 165.1 372.1 149.9 381.3 139.6L455 48H57.94L218.7 249C222.1 253.3 224 258.6 224 264V332L246.4 348.8C257 356.8 259.2 371.8 251.2 382.4C243.2 393 228.2 395.2 217.6 387.2L185.6 363.2C179.6 358.7 176 351.6 176 344V272.4L8.504 63.05C2.999 56.17 0 47.62 0 38.81C0 17.37 17.37 0 38.81 0L472.2 .0003zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM413 331.1C418.1 329.3 425.6 327.9 431.8 328C439.1 328.1 448.9 329.8 458.1 332.1C466.7 334.2 475.4 328.1 477.5 320.4C479.7 311.8 474.4 303.2 465.9 301C460.3 299.6 454.3 298.3 448 297.4V288C448 279.2 440.8 272 432 272C423.2 272 416 279.2 416 288V297.5C409.9 298.7 403.7 300.7 397.1 303.8C386.1 310.1 374.9 322.2 376.1 341C377.1 357 387.8 366.4 397.7 371.7C406.6 376.4 417.5 379.5 426.3 381.1L428.1 382.5C438.3 385.4 445.1 387.7 451.2 390.8C455.8 393.5 455.1 395.1 455.1 396.5C456.1 398.9 455.5 400.2 454.1 401C454.3 401.1 453.2 403.2 450.1 404.4C446.3 406.9 439.2 408.2 432.5 407.1C422.1 407.7 414 404.8 402.6 401.2C400.7 400.6 398.8 400 396.8 399.4C388.3 396.8 379.3 401.5 376.7 409.9C374.1 418.3 378.8 427.3 387.2 429.9C388.9 430.4 390.5 430.1 392.3 431.5C399.3 433.8 407.4 436.4 416 438.1V449.5C416 458.4 423.2 465.5 432 465.5C440.8 465.5 448 458.4 448 449.5V438.7C454.2 437.6 460.5 435.6 466.3 432.5C478.3 425.9 488.5 413.8 487.1 395.5C487.5 379.4 477.7 369.3 467.5 363.3C458.1 357.7 446.2 354.4 436.9 351.7L436.8 351.7C426.3 348.7 418.5 346.5 412.9 343.5C408.1 340.9 408.1 339.5 408.1 339.1L408.1 338.1C407.9 337 408.4 336.1 408.8 335.4C409.4 334.5 410.6 333.3 413 331.1L413 331.1z"],
    "filter-circle-xmark": [576, 512, [], "e17b", "M472.2 .0003C494.2 .0003 512 17.81 512 39.77C512 48.85 508.9 57.65 503.2 64.71L418.7 169.7C410.4 180 395.3 181.7 384.1 173.4C374.6 165.1 372.1 149.9 381.3 139.6L455 48H57.94L218.7 249C222.1 253.3 224 258.6 224 264V332L246.4 348.8C257 356.8 259.2 371.8 251.2 382.4C243.2 393 228.2 395.2 217.6 387.2L185.6 363.2C179.6 358.7 176 351.6 176 344V272.4L8.504 63.05C2.999 56.17 0 47.62 0 38.81C0 17.37 17.37 0 38.81 0L472.2 .0003zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM491.3 331.3C497.6 325.1 497.6 314.9 491.3 308.7C485.1 302.4 474.9 302.4 468.7 308.7L432 345.4L395.3 308.7C389.1 302.4 378.9 302.4 372.7 308.7C366.4 314.9 366.4 325.1 372.7 331.3L409.4 368L372.7 404.7C366.4 410.9 366.4 421.1 372.7 427.3C378.9 433.6 389.1 433.6 395.3 427.3L432 390.6L468.7 427.3C474.9 433.6 485.1 433.6 491.3 427.3C497.6 421.1 497.6 410.9 491.3 404.7L454.6 368L491.3 331.3z"],
    "filter-list": [512, 512, [], "e17c", "M310.8 64C333.5 64 352 82.46 352 105.2C352 115.6 348.1 125.7 340.1 133.3L247.1 233.4V415.4C247.1 433.4 233.4 448 215.4 448C208.1 448 202.7 446.1 197.4 442.6L121.1 392.8C110.7 385.4 104 372.8 104 359.4V233.4L11.02 133.3C3.936 125.7 0 115.6 0 105.2C0 82.46 18.46 64 41.23 64H310.8zM151.1 224V355.1L199.1 386.8V224C199.1 217.9 202.3 212.1 206.4 207.7L295.2 112H56.75L145.6 207.7C149.7 212.1 151.1 217.9 151.1 224H151.1zM488 392C501.3 392 512 402.7 512 416C512 429.3 501.3 440 488 440H344C330.7 440 320 429.3 320 416C320 402.7 330.7 392 344 392H488zM320 256C320 242.7 330.7 232 344 232H488C501.3 232 512 242.7 512 256C512 269.3 501.3 280 488 280H344C330.7 280 320 269.3 320 256zM488 72C501.3 72 512 82.75 512 96C512 109.3 501.3 120 488 120H408C394.7 120 384 109.3 384 96C384 82.75 394.7 72 408 72H488z"],
    "filter-slash": [640, 512, [], "e17d", "M82.15 39.08C88.75 34.61 96.71 32 105.3 32H534.3C557.3 32 576 50.67 576 73.7C576 83.3 572.7 92.6 566.6 100L408.1 294.6L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L82.15 39.08zM134.4 80L370.3 264.1L521 80H134.4zM352 415.2V373.3L400 411.2V447.7C400 465.5 385.5 480 367.7 480C360.4 480 353.3 477.5 347.6 472.1L255.1 399.6C245.6 392 240 380.5 240 368.3V285.1L288 322.9V364.4L352 415.2z"],
    "filters": [640, 512, [], "e17e", "M598.2 32C621.3 32 640 50.74 640 73.85C640 83.2 636.9 92.27 631.1 99.64L496 272.3V415.5C496 442.2 465.2 457.2 444.2 440.7L351.3 367.7C341.6 360.1 336 348.5 336 336.2V272.3L200.9 99.64C195.1 92.27 192 83.2 192 73.85C192 50.74 210.7 32 233.8 32H598.2zM384 264V332.3L448 382.6V264C448 258.6 449.8 253.4 453.1 249.2L585.5 80H246.5L378.9 249.2C382.2 253.4 384 258.6 384 264V264zM175.7 119.4L194.1 144H54.48L186.9 313.2C190.2 317.4 192 322.6 192 328V364.3L256 414.6V328C256 322.6 257.8 317.4 261.1 313.2L294.3 270.8L304 283.3V447.5C304 474.2 273.2 489.2 252.2 472.7L159.3 399.7C149.6 392.1 144 380.5 144 368.2V336.3L8.892 163.6C3.131 156.3 0 147.2 0 137.8C0 114.7 18.74 96 41.85 96H163.4C166 104.4 170.2 112.3 175.7 119.4V119.4z"],
    "fingerprint": [512, 512, [], "f577", "M256.1 246c-13.25 0-23.1 10.75-23.1 23.1c1.125 72.25-8.124 141.9-27.75 211.5C201.7 491.3 206.6 512 227.5 512c10.5 0 20.12-6.875 23.12-17.5c13.5-47.87 30.1-125.4 29.5-224.5C280.1 256.8 269.4 246 256.1 246zM255.2 164.3C193.1 164.1 151.2 211.3 152.1 265.4c.75 47.87-3.75 95.87-13.37 142.5c-2.75 12.1 5.624 25.62 18.62 28.37c12.1 2.625 25.62-5.625 28.37-18.62c10.37-50.12 15.12-101.6 14.37-152.1C199.7 238.6 219.1 212.1 254.5 212.3c31.37 .5 57.24 25.37 57.62 55.5c.8749 47.1-2.75 96.25-10.62 143.5c-2.125 12.1 6.749 25.37 19.87 27.62c19.87 3.25 26.75-15.12 27.5-19.87c8.249-49.1 12.12-101.1 11.25-151.1C359.2 211.1 312.2 165.1 255.2 164.3zM144.6 144.5C134.2 136.1 119.2 137.6 110.7 147.9C85.25 179.4 71.38 219.3 72 259.9c.6249 37.62-2.375 75.37-8.999 112.1c-2.375 12.1 6.249 25.5 19.25 27.87c20.12 3.5 27.12-14.87 27.1-19.37c7.124-39.87 10.5-80.62 9.749-121.4C119.6 229.3 129.2 201.3 147.1 178.3C156.4 167.9 154.9 152.9 144.6 144.5zM253.1 82.14C238.6 81.77 223.1 83.52 208.2 87.14c-12.87 2.1-20.87 15.1-17.87 28.87c3.125 12.87 15.1 20.75 28.1 17.75C230.4 131.3 241.7 130 253.4 130.1c75.37 1.125 137.6 61.5 138.9 134.6c.5 37.87-1.375 75.1-5.624 113.6c-1.5 13.12 7.999 24.1 21.12 26.5c16.75 1.1 25.5-11.87 26.5-21.12c4.625-39.75 6.624-79.75 5.999-119.7C438.6 165.3 355.1 83.64 253.1 82.14zM506.1 203.6c-2.875-12.1-15.51-21.25-28.63-18.38c-12.1 2.875-21.12 15.75-18.25 28.62c4.75 21.5 4.875 37.5 4.75 61.62c-.1249 13.25 10.5 24.12 23.75 24.25c13.12 0 24.12-10.62 24.25-23.87C512.1 253.8 512.3 231.8 506.1 203.6zM465.1 112.9c-48.75-69.37-128.4-111.7-213.3-112.9c-69.74-.875-134.2 24.84-182.2 72.96c-46.37 46.37-71.34 108-70.34 173.6l-.125 21.5C-.3651 281.4 10.01 292.4 23.26 292.8C23.51 292.9 23.76 292.9 24.01 292.9c12.1 0 23.62-10.37 23.1-23.37l.125-23.62C47.38 193.4 67.25 144 104.4 106.9c38.87-38.75 91.37-59.62 147.7-58.87c69.37 .1 134.7 35.62 174.6 92.37c7.624 10.87 22.5 13.5 33.37 5.875C470.1 138.6 473.6 123.8 465.1 112.9z"],
    "fire": [448, 512, [128293], "f06d", "M323.5 51.25C302.8 70.5 284 90.75 267.4 111.1C240.1 73.62 206.2 35.5 168 0C69.75 91.12 0 210 0 281.6C0 408.9 100.2 512 224 512s224-103.1 224-230.4C448 228.4 396 118.5 323.5 51.25zM224 464c-97 0-176-81.88-176-182.4c0-45.38 44.25-133.2 120.1-214.1C190.5 90.88 211 115.2 228.5 139.4l36.63 50.38l39.38-48.25c5.875-7.125 11.88-14.12 18-21C368.9 178 400 250.4 400 281.6C400 382.1 321 464 224 464zM313.5 243.1l-51.38 58.5c0 0-80.37-102.6-86.37-109.6C133.2 242.9 112 272.6 112 306.4C112 374.3 163.4 416 226.5 416c25.25 0 48.63-7.875 67.63-21.12c43-30.12 53.12-88.63 29.25-134.3C320.4 255 317.1 249.1 313.5 243.1z"],
    "fire-burner": [640, 512, [], "e4f1", "M349 61.49C356.9 51.61 365.8 40.76 375.5 31.99C381.1 26.87 389.9 26.89 395.5 32.03C420.2 54.71 441.1 84.69 455.8 113.2C470.4 141.2 480 169.9 480 190.1C480 277.9 408.7 352 320 352C230.3 352 160 277.8 160 190.1C160 163.7 172.7 131.5 192.4 99.52C212.4 67.16 240.5 33.43 273.8 3.734C279.4-1.26 287.1-1.242 293.5 3.773C313.3 21.55 331.8 40.74 349 61.49V61.49zM390 176.1C388 172.1 386 168.1 383 164.1L347 206.1C347 206.1 289 132.1 285 127.1C255 164.1 240 185.1 240 209.1C240 258.1 276 287.1 320.1 287.1C339 287.1 355 282.1 370 272.1C400 251.1 408 209.1 390 176.1zM32 279.1C32 266.7 42.75 255.1 56 255.1H104C117.3 255.1 128 266.7 128 279.1C128 293.3 117.3 303.1 104 303.1H80V384H560V303.1H536C522.7 303.1 512 293.3 512 279.1C512 266.7 522.7 255.1 536 255.1H584C597.3 255.1 608 266.7 608 279.1V384C625.7 384 640 398.3 640 416V480C640 497.7 625.7 512 608 512H32C14.33 512 0 497.7 0 480V416C0 398.3 14.33 384 32 384V279.1zM164.3 464C161.6 459.3 160 453.8 160 448C160 442.2 161.6 436.7 164.3 432H48V464H164.3zM219.7 464H292.3C289.6 459.3 288 453.8 288 448C288 442.2 289.6 436.7 292.3 432H219.7C222.4 436.7 224 442.2 224 448C224 453.8 222.4 459.3 219.7 464zM347.7 464H420.3C417.6 459.3 416 453.8 416 448C416 442.2 417.6 436.7 420.3 432H347.7C350.4 436.7 352 442.2 352 448C352 453.8 350.4 459.3 347.7 464zM592 432H475.7C478.4 436.7 480 442.2 480 448C480 453.8 478.4 459.3 475.7 464H592V432z"],
    "fire-extinguisher": [512, 512, [129519], "f134", "M503.4 5.56c-5.453-4.531-12.61-6.406-19.67-5.188l-175.1 32c-11.41 2.094-19.7 12.03-19.7 23.63L200 56v-32C200 10.75 189.3 0 176 0S152 10.75 152 24v32h-32C53.84 56 0 109.8 0 176c0 13.25 10.75 24 24 24S48 189.3 48 176c0-39.69 32.31-72 72-72h32v26.72C101.7 141.7 64 186.4 64 240L64 480c0 17.67 14.33 32 31.1 32H256c17.67 0 31.1-14.33 31.1-32l0-240c0-53.6-37.71-98.27-87.1-109.3V104l87.1-.002c0 11.59 8.297 21.53 19.7 23.62l175.1 31.1c1.438 .25 2.875 .375 4.297 .375c5.578 0 11.03-1.938 15.37-5.562c5.469-4.562 8.625-11.31 8.625-18.44V23.1C511.1 16.87 508.8 10.12 503.4 5.56zM240 464h-128v-32h128V464zM240 240V384h-128V240c0-35.29 28.71-64 64-64C211.3 176 240 204.7 240 240z"],
    "fire-flame": [384, 512, ["flame"], "f6df", "M191.1 0C79.75 101.4 0 220.9 0 300.5C0 425 79 512 192 512s192-87 192-211.5C384 220.6 303.7 100.9 191.1 0zM192 464c-86.13 0-144-65.75-144-163.5c0-46.25 45.25-136.6 144-234.4C278.2 152 336 244.9 336 300.5C336 398.2 278.1 464 192 464zM237.1 239.6c-20-17-38.75-33-38.75-58.12c0-3.499-2.75-4.75-4-5.125C192 175.6 188.6 175.8 186.4 178.8C131.5 253.4 216 248 216 302C216 325.2 197.2 344 173.1 344C150.8 344 132 325.2 132 302V272c0-2.375-1.5-4.625-3.75-5.5C125.1 265.5 123.5 266 121.8 267.8C115.4 274 96 294.5 96 327.6C96 376.4 139 416 192 416s96-39.63 96-88.38C288 283.2 262.1 261.1 237.1 239.6z"],
    "fire-flame-curved": [384, 512, ["fire-alt"], "f7e4", "M215.1 23.88c0-23.75-31.15-33.15-44.15-13.03C76.47 158.1 200 238.7 200 287.1c0 22-18 40-40 40c-22 0-40-18-40-40V182.1c0-19.38-21.88-30.75-37.75-19.63C30.75 198.4 0 257.2 0 319.1C0 425.9 86.12 512 192 512s192-86.12 192-192C384 149.7 215.1 127 215.1 23.88zM192 463.1c-79.38 0-144-64.63-144-144c0-28.63 8.5-64.75 24-88v56c0 48.5 39.5 88 88 88s88-39.5 88-88c0-64.25-88-120-64-208C224 167.1 336 201.7 336 319.1C336 399.4 271.4 463.1 192 463.1z"],
    "fire-flame-simple": [384, 512, ["burn"], "f46a", "M192 0C86.25 93.5 0 214.4 0 298.1C0 424 79 512 192 512s192-88 192-213.9C384 214.1 296.8 92.5 192 0zM192 65.25c51.38 51 144 158.5 144 232.9c0 29.5-5.625 55.63-15.12 78.38C317.4 301.8 237.2 218.6 192 167.8c-45.75 51.5-125.4 133.7-128.9 208.7C53.75 353.8 48 327.5 48 298.1C48 223.9 140.6 116.4 192 65.25zM173.9 462.2C135.8 454.8 110.5 423.5 110.5 381.1C110.5 360.5 124 316.5 192 240c68 76.5 81.5 120.5 81.5 141.1c0 42.38-25.25 73.63-63.38 81.12C189.2 464.6 194.8 464.6 173.9 462.2z"],
    "fire-hydrant": [384, 512, [], "e17f", "M56 176h272C341.3 176 352 165.3 352 152C352 138.7 341.3 128 328 128h-12.53C303.9 83.17 268.8 48.13 224 36.53V32c0-17.67-14.33-32-32-32S160 14.33 160 32v4.525C115.2 48.13 80.13 83.17 68.53 128H56C42.75 128 32 138.7 32 152C32 165.3 42.75 176 56 176zM320 240v-32h-48v64h32v96h-32v96h-160v-96h-32v-96h32v-64H64v32c-17.67 0-32 14.33-32 32v96c0 17.67 14.33 32 32 32v64H56C42.75 464 32 474.7 32 488C32 501.3 42.75 512 56 512h272c13.25 0 24-10.75 24-24c0-13.26-10.75-24-24-24H320v-64c17.67 0 32-14.33 32-32v-96C352 254.3 337.7 240 320 240zM128 320c0 35.35 28.65 64 64 64s64-28.65 64-64c0-35.35-28.65-64-64-64S128 284.7 128 320z"],
    "fire-smoke": [640, 512, [], "f74b", "M352 200c0 0-70.25-71.75-75.38-77.88C240.4 167 222.3 193.3 222.3 223.3c0 11.38 2 21.5 5 31.25C254.1 235 286.5 224 320 224c32.38 0 63.75 10.5 90.13 28.75C416 229.9 413.9 204.8 402.9 182.8c-2.5-5-5.488-10.01-8.613-15.38L352 200zM152 240c15.75 0 30.88 2.625 45.38 7.25C194.3 236.3 192 224.9 192 213c0-29.75 31.5-89.75 84.25-146.1C290.8 82 304.1 97.63 315.8 113l36 47.88c0 0 43-50.63 45.25-53.13C428.9 148.8 448 195.6 448 213c0 11.88-2.25 23.25-5.375 34.25C457.1 242.6 472.3 240 488 240c1.875 0 3.75 .5 5.625 .625c1.5-9 2.312-18.37 2.312-27.75c0-40.25-40.75-123.3-97.75-174.2c-16.38 14.62-31.12 29.94-44.25 45.44C332.6 55.63 306.1 26.88 276 0C198.8 68.88 144 158.8 144 213c0 9.375 1 18.62 2.375 27.62C148.3 240.5 150.1 240 152 240zM486.4 282c-24.36 0-47.94 8.125-67.25 22.62C395.5 274.3 359.3 255.1 320 255.1S244.5 274.3 220.8 304.6C201.5 290.1 177.1 282 153.6 282C90.95 282 40 333.6 40 397S90.95 512 153.6 512h332.8C549 512 600 460.4 600 397S549 282 486.4 282zM486.4 464H153.6C117.4 464 88 433.9 88 397s29.42-67 65.59-67c20.88 0 40.06 10.03 52.63 27.47c5.078 7.062 13.62 10.69 22.2 9.844c8.641-1 16.06-6.562 19.42-14.59C260.2 323.1 288.5 304 320 304s59.78 19.12 72.16 48.72c3.359 8.031 10.78 13.59 19.42 14.59c8.641 .9687 17.12-2.781 22.2-9.844c12.56-17.44 31.75-27.47 52.63-27.47c36.17 0 65.59 30.06 65.59 67S522.6 464 486.4 464z"],
    "fireplace": [640, 512, [], "f79a", "M342.3 311.6C328.3 292.8 310.9 273.8 291.3 256c-50.5 45.63-86.5 105-86.5 140.8C204.8 460.4 256.4 512 320 512s115.3-51.63 115.3-115.3c0-26.5-26.75-81.5-64-115.1C360.5 291.3 350.8 301.4 342.3 311.6zM357.8 448.5C347.3 456.3 334.1 460.8 320 460.8c-35.25 0-64-24.38-64-64c0-19.62 11.88-36.1 35.63-66.75c3.375 4.125 48.25 64.12 48.25 64.12l28.75-34.25c2 3.5 3.875 6.875 5.5 10.25C387.5 396.8 381.9 430.9 357.8 448.5zM608 0H32C14.4 0 0 14.4 0 32v64c0 17.6 14.4 32 32 32v360C32 501.3 42.75 512 56 512s24-10.75 24-24V128h480v359.9c0 13.25 10.75 24 24 24s24-10.75 24-24V128c17.6 0 32-14.4 32-32V32C640 14.4 625.6 0 608 0zM592 72c0 4.418-3.582 8-8 8H56C51.58 80 48 76.42 48 72v-16c0-4.418 3.582-8 8-8h528c4.418 0 8 3.582 8 8V72zM317.1 160C201.2 160.9 112 261.3 112 374.9V488C112 501.3 122.7 512 136 512S160 501.3 160 488v-115.4c0-87.06 74.03-164.7 160-164.7c88.38 0 160 71.63 160 160v120c0 13.25 10.75 24 24 24s24-10.75 24-24v-119C528 253.4 433.5 159.1 317.1 160z"],
    "fish": [576, 512, [128031], "f578", "M384 256C384 238.3 398.3 224 416 224C433.7 224 448 238.3 448 256C448 273.7 433.7 288 416 288C398.3 288 384 273.7 384 256zM4.217 336.1L50 256L4.217 175.9C-2.68 163.8-.9958 148.7 8.385 138.4C17.77 128.1 32.7 125.1 45.33 130.9L144.8 176.5C155.4 164.6 167.3 152.7 180.5 141.5C219.7 108.5 272.6 80 336 80C399.4 80 452.3 108.5 491.5 141.5C530.5 174.5 558.3 213.1 572.4 241.3C577.2 250.5 577.2 261.5 572.4 270.7C558.3 298 530.5 337.5 491.5 370.5C452.3 403.5 399.4 432 336 432C272.6 432 219.7 403.5 180.5 370.5C167.3 359.3 155.4 347.4 144.8 335.5L45.33 381.1C32.7 386.9 17.77 383.9 8.385 373.6C-.9952 363.3-2.68 348.2 4.217 336.1H4.217zM211.5 333.8C245.2 362.2 287.5 384 336 384C384.5 384 426.8 362.2 460.5 333.8C490.8 308.2 513.2 278.1 525.8 256C513.2 233.9 490.8 203.8 460.5 178.2C426.8 149.7 384.5 128 336 128C287.5 128 245.2 149.7 211.5 178.2C200.2 187.7 189.1 197.1 180.8 208.3L157.2 234.1L70.59 195.3L105.3 256L70.59 316.7L157.2 277L180.8 303.7C189.1 314 200.2 324.3 211.5 333.8V333.8z"],
    "fish-bones": [576, 512, [], "e304", "M448.3 96c-16.65 0-32.28 13.36-32.28 32.2l-.0001 103.8h-40V160c0-13.23-10.75-23.99-24-23.99c-13.25 0-24 10.76-24 23.99v71.96h-48V160c0-13.23-10.75-23.99-24-23.99c-13.25 0-24 10.76-24 23.99v71.96H184V160c0-13.23-10.75-23.99-24-23.99c-13.25 0-24 10.76-24 23.99v71.96L69.37 232L53.4 164.8l3.598 2.882C61.57 171.3 66.79 172.1 71.9 172.1c12.41 0 24.11-9.757 24.11-24c0-7.27-3.307-14.15-8.987-18.7l-21.96-17.58C57.65 106.3 48.57 102.1 39.42 102.1c-20.23 0-39.27 16.27-39.27 40.2c0 2.758 .2631 5.569 .8059 8.405l24.78 104.4L.7056 361.5C.2307 363.1 0 366.5 0 368.1c0 23.48 19.22 40.1 39.67 40.1c8.944 0 17.67-3.132 24.51-9.1l22.85-18.32c5.672-4.548 8.973-11.42 8.973-18.68c0-14.25-11.7-24-24.11-24c-5.104 0-10.33 1.651-14.9 5.319l-3.561 2.855l15.94-67.19l66.64 .0238v71.96c0 13.23 10.75 23.99 24 23.99c13.25 0 24-10.76 24-23.99V279.1h48v71.96c0 13.23 10.75 23.99 24 23.99c13.25 0 24-10.76 24-23.99V279.1h48v71.96c0 13.23 10.75 23.99 24 23.99c13.25 0 24-10.76 24-23.99V279.1h40l.0001 103.8C416 402.6 431.7 416 448.3 416C484.7 416 576 303.5 576 256C576 208.6 484.7 96 448.3 96zM464 350.2V161.8c37.38 35.23 60.87 78.77 63.85 94.24C524.9 271.5 501.4 315 464 350.2z"],
    "fish-cooked": [576, 512, [], "f7fe", "M323.9 64C231.7 64 160.3 125.5 126.4 161.7L65.05 112.5C52.3 101.4 34.61 99.63 20.08 107.1c-14.78 8.453-22.56 25.48-19.13 43.47L25.74 256l-25.03 105.6c-3.188 16.91 4.625 33.95 19.41 42.41c14.53 8.375 32.16 6.578 44.06-3.828l62.13-49.88C160.3 386.5 231.7 448 323.9 448c138.7 0 252.1-144.1 252.1-192S462.6 64 323.9 64zM323.9 400c-70.97 0-137.5-50.58-176.1-97.92L132.7 283.6l-79.31 63.67L75.05 256L53.39 164.7L132.8 228.4l15.06-18.5C186.4 162.6 252.8 112 323.9 112c110.3 0 201.5 120.4 204.2 143.5C525.4 279.6 434.2 400 323.9 400zM251.3 251.3l64-64c6.25-6.25 6.25-16.38 0-22.62c-6.25-6.25-16.38-6.25-22.63 0l-64 64c-6.25 6.25-6.25 16.38 0 22.62C231.8 254.4 235.9 256 239.1 256S248.2 254.4 251.3 251.3zM427.3 164.7c-6.25-6.25-16.37-6.25-22.63 0l-160 160c-6.25 6.25-6.25 16.38 0 22.62C247.8 350.4 251.9 352 255.1 352s8.187-1.562 11.31-4.688l160-160C433.6 181.1 433.6 170.9 427.3 164.7zM420.7 260.7l-64 64c-6.25 6.25-6.25 16.38 0 22.62C359.8 350.4 363.9 352 367.1 352s8.188-1.562 11.31-4.688l64-64c6.25-6.25 6.25-16.38 0-22.62S426.9 254.4 420.7 260.7z"],
    "fish-fins": [576, 512, [], "e4f2", "M384 256C384 238.3 398.3 224 416 224C433.7 224 448 238.3 448 256C448 273.7 433.7 288 416 288C398.3 288 384 273.7 384 256zM8.385 373.6C-.9958 363.3-2.68 348.2 4.217 336.1L50 256L4.217 175.9C-2.68 163.8-.9958 148.7 8.385 138.4C17.77 128.1 32.7 125.1 45.33 130.9L149.2 178.5C159.1 168.9 169.1 159.4 181.1 150.4C195.1 140.6 209.7 131.2 225.6 123.2L224 64.85C223.7 52.45 230.5 40.98 241.6 35.41C252.7 29.84 266 31.17 275.8 38.84L348.1 96.36C405.6 99.52 453.4 122.9 490 150.4C529.2 179.8 557.3 215.1 571.7 239.9C577.4 249.9 577.4 262.1 571.7 272.1C557.3 296.9 529.2 332.2 490 361.6C453.4 389.1 405.6 412.5 348.1 415.6L275.8 473.2C265.1 480.9 252.6 482.2 241.5 476.5C230.4 470.9 223.6 459.4 224 446.9L225.9 389C209.9 380.9 195.2 371.5 181.1 361.6C169.1 352.6 159.1 343.1 149.2 333.5L45.33 381.1C32.7 386.9 17.77 383.9 8.385 373.6L8.385 373.6zM247.3 165.1C234.1 172.6 221.9 180.4 210.8 188.8C200.6 196.4 191.3 204.6 182.8 212.8L159.3 235.9L70.59 195.3L105.3 256L70.59 316.7L159.3 276.1L182.8 299.2C191.3 307.4 200.6 315.6 210.8 323.2C222 331.6 234.3 339.5 247.6 346.2L274.9 359.1L273.1 414.2L331.2 368.6L346.3 367.7C390.1 365.2 429.1 346.7 461.2 323.2C490.6 301.1 512.5 275.3 525.2 256C512.5 236.8 490.6 210.9 461.2 188.8C429.1 165.3 390.1 146.8 346.3 144.3L331.2 143.4L272.9 97.63L274.4 152.2L247.3 165.1z"],
    "fishing-rod": [512, 512, [], "e3a8", "M438.5 456.4C463.8 429.7 496 385.3 496 332.2c0-72.64-62.91-131.4-88-151.9V88.04C408 23.46 351 0 320.2 0c-7.168 0-14.39 .8792-21.55 2.668L235.6 18.45C139.3 42.51 72 128.7 72 227.1v60.03H64c-17.67 0-32 14.33-32 31.1v159.1c0 17.67 14.33 31.1 32 31.1h64c17.67 0 32-14.33 32-31.1v-159.1c0-17.67-14.33-31.1-32-31.1H120V227.1c0-77.25 52.31-144.2 127.3-162.1l63-15.78c3.261-.8088 6.546-1.207 9.799-1.207c13.78 0 39.92 10.72 39.92 40.02v92.25c-25.09 20.54-88 79.29-88 151.9c0 53.06 32.22 97.53 57.47 124.2l-15.16 13.87c-5.168 4.722-7.788 11.19-7.788 17.68c0 13.17 10.67 24.01 23.1 24.01c5.796 0 11.61-2.089 16.23-6.319l33.97-31.12C381.9 473.4 383 472.2 384 470.9c.9687 1.312 2.062 2.562 3.281 3.687l33.97 31.12c4.625 4.219 10.41 6.312 16.22 6.312c13.33 0 24.01-10.82 24.01-24.01c0-6.492-2.621-12.96-7.788-17.68L438.5 456.4zM384 442.9c-3.592-5.071-64-52.52-64-110.7c0-46.94 41.56-89.68 64-109.3c22.44 19.66 64 62.4 64 109.3C448 390.3 387.5 437.9 384 442.9zM384 288c-13.25 0-24 10.74-24 23.1c0 13.25 10.75 23.1 24 23.1s24-10.75 24-23.1C408 298.8 397.3 288 384 288z"],
    "flag": [512, 512, [61725, 127988], "f024", "M476.3 0c-6.365 0-13.01 1.35-19.34 4.233c-45.69 20.86-79.56 27.94-107.8 27.94c-59.96 0-94.81-31.86-163.9-31.87c-34.63 0-77.87 8.003-137.2 32.05V24C48 10.75 37.25 0 24 0S0 10.75 0 24v464C0 501.3 10.75 512 24 512s24-10.75 24-24v-104c53.59-23.86 96.02-31.81 132.8-31.81c73.63 0 124.9 31.78 198.6 31.78c31.91 0 68.02-5.971 111.1-23.09C504.1 355.9 512 344.4 512 332.1V30.73C512 11.1 495.3 0 476.3 0zM464 319.8c-30.31 10.82-58.08 16.1-84.6 16.1c-30.8 0-58.31-7-87.44-14.41c-32.01-8.141-68.29-17.37-111.1-17.37c-42.35 0-85.99 9.09-132.8 27.73V84.14l18.03-7.301c47.39-19.2 86.38-28.54 119.2-28.54c28.24 .0039 49.12 6.711 73.31 14.48c25.38 8.148 54.13 17.39 90.58 17.39c35.43 0 72.24-8.496 114.9-26.61V319.8z"],
    "flag-checkered": [576, 512, [127937], "f11e", "M508.3 0c-6.365 0-13.04 1.35-19.37 4.232c-45.69 20.86-79.56 27.94-107.8 27.94c-59.96 0-94.8-31.86-163.9-31.87c-34.63 0-77.87 8.002-137.2 32.04V24C80 10.75 69.26 0 56 0S32 10.75 32 24v464C32 501.3 42.74 512 56 512s24-10.75 24-24v-104c53.59-23.86 96.02-31.81 132.8-31.81c73.63 0 124.9 31.78 198.6 31.78c31.91 0 68.02-5.973 111.1-23.09C536.1 355.8 544 344.4 544 332.1V30.74C544 12.01 527.3 0 508.3 0zM152 310.4C128.7 315 104.8 322 80 331.9V283.8l18.03-7.301C117.5 268.7 135.2 262.8 152 258.3V310.4zM152 208.6C130.8 213.7 107.3 221 80 232.1V187.8l18.03-7.301C117.5 172.7 135.2 166.8 152 162.3V208.6zM152 112.6C130.8 117.7 107.3 125 80 136.1V84.14l18.03-7.301C117.5 68.95 135.2 63.15 152 58.55V112.6zM272 309.7C253.7 306.4 234.1 304.2 212.8 304.2c-4.248 0-8.574 .5039-12.85 .6836V249.2C205.8 248.6 211.7 248 217.2 248C238.1 248 254.9 251.7 272 256.7V309.7zM272 207.1C255.7 203.1 238.1 200 217.2 200C211.8 200 205.8 200.6 200 201v-47.84C205.8 152.6 211.7 152 217.2 152C238.1 152 254.9 155.7 272 160.7V207.1zM272 111.1C255.7 107.1 238.1 104 217.2 104C211.8 104 205.8 104.6 200 105V49.47c5.826-.5195 11.74-1.172 17.21-1.172C238.1 48.3 254.9 51.98 272 57.02V111.1zM392 334.9c-23.25-2.121-45.17-7.555-68.04-13.37C322.7 321.2 321.3 320.9 320 320.6V271.2C338.1 276 357.9 279.9 381.1 279.9c3.592 0 7.283-.4766 10.91-.6523V334.9zM392 231.2c-3.627 .2227-7.457 .6992-10.91 .6992c-22.93 0-42.19-4.672-61.09-10.43V175.2C338.1 180 357.9 183.9 381.1 183.9c3.592 0 7.283-.4766 10.91-.6523V231.2zM392 135.2c-3.627 .2227-7.457 .6992-10.91 .6992c-22.93 0-42.19-4.672-61.09-10.43V71.48c18.07 4.82 37.91 8.684 61.09 8.684c3.592 0 7.283-.4766 10.91-.6523V135.2zM496 319.8c-19.64 7.012-38.14 11.46-56 13.89v-61.55c17.73-4.375 36.19-10.5 56-18.91V319.8zM496 201.6c-2.371 .6562-4.75 1.289-7.072 2.344C470.7 212.2 454.8 217.8 440 222.2V176.2c17.73-4.375 36.19-10.5 56-18.91V201.6zM496 105.6c-2.371 .6562-4.75 1.289-7.072 2.344C470.7 116.2 454.8 121.8 440 126.2V72.47c17.73-4.375 36.19-10.5 56-18.91V105.6z"],
    "flag-pennant": [512, 512, [128681, "pennant"], "f456", "M496.3 185.5L47.19 20.01C45.23 8.734 35.84 0 24 0C10.75 0 0 10.74 0 24v464C0 501.3 10.75 512 24 512s24-10.75 24-24v-92.3l448.3-165.2C505.7 227 512 218.1 512 208S505.7 188.1 496.3 185.5zM48 344.5V71.48L418.6 208L48 344.5z"],
    "flag-swallowtail": [512, 512, ["flag-alt"], "f74c", "M391.4 208l114.1-136.5c6.016-7.156 7.344-17.12 3.406-25.59S497.3 32 487.1 32H48V24C48 10.74 37.25 0 24 0S0 10.74 0 24v464C0 501.3 10.75 512 24 512s24-10.75 24-24V384h439.1c9.326 0 17.83-5.406 21.76-13.88s2.609-18.44-3.406-25.59L391.4 208zM48 336v-256h388.4l-94.77 112.5c-7.516 8.938-7.516 22 0 30.94L436.4 336H48z"],
    "flag-usa": [576, 512, [], "f74d", "M508.3 0c-6.365 0-13.04 1.35-19.37 4.232c-45.69 20.86-79.56 27.94-107.8 27.94c-59.96 0-94.8-31.86-163.9-31.87c-34.63 0-77.87 8.002-137.2 32.04V24C80 10.75 69.26 0 56 0C42.75 0 32 10.75 32 24v464C32 501.3 42.75 512 56 512c13.26 0 24-10.75 24-24v-104c53.59-23.86 96.02-31.81 132.8-31.81c73.63 0 124.9 31.78 198.6 31.78c31.91 0 68.02-5.973 111.1-23.09C536.1 355.8 544 344.4 544 332.1V30.74C544 12.01 527.3 0 508.3 0zM184 32c8.836 0 16 7.164 16 16S192.8 64 184 64s-16-7.164-16-16S175.2 32 184 32zM184 88c8.836 0 16 7.164 16 16s-7.164 16-16 16s-16-7.164-16-16S175.2 88 184 88zM120 48c8.836 0 16 7.164 16 16s-7.164 16-16 16S104 72.84 104 64S111.2 48 120 48zM120 112c8.836 0 16 7.164 16 16s-7.164 16-16 16S104 136.8 104 128S111.2 112 120 112zM496 319.8c-30.31 10.82-58.08 16.1-84.6 16.1c-30.8 0-58.31-7-87.44-14.41c-32.01-8.141-68.29-17.37-111.1-17.37c-42.35 0-85.99 9.09-132.8 27.73V283.8l18.03-7.301C145.4 257.3 184.4 248 217.2 248c28.24 .0039 49.13 6.711 73.31 14.48c25.38 8.148 54.13 17.39 90.58 17.39c35.43 0 72.24-8.496 114.9-26.61V319.8zM496 201.6c-2.371 .6562-4.75 1.289-7.072 2.344c-45.69 20.86-79.56 27.94-107.8 27.94c-59.96 0-94.8-31.86-163.9-31.87C182.6 200 139.3 208 80 232.1V187.8l18.03-7.301C145.4 161.3 184.4 152 217.2 152c28.24 .0039 49.13 6.711 73.31 14.48c25.38 8.148 54.13 17.39 90.58 17.39c35.43 0 72.24-8.496 114.9-26.61V201.6zM496 105.6c-2.371 .6562-4.75 1.289-7.072 2.344c-45.69 20.86-79.56 27.94-107.8 27.94c-52.97 0-86.42-24.78-141.1-30.59V49.96c17.7 2.422 33.32 7.297 50.52 12.82c25.38 8.148 54.13 17.39 90.58 17.39c35.43 0 72.24-8.496 114.9-26.61V105.6z"],
    "flashlight": [640, 512, [128294], "f8b8", "M607.1 96h-32c-62.63 0-123.7 18.5-175.9 53.25L383.1 160H48C21.5 160 0 181.5 0 208v96C0 330.5 21.5 352 48 352h335.1l16.12 10.75C452.2 397.5 513.4 416 575.1 416h32c17.62 0 32-14.38 32-32V128C639.1 110.4 625.6 96 607.1 96zM544 365.6c-41.88-4.75-82.13-19.5-117.2-42.87L398.5 304H48v-96h350.5l28.25-18.75C461.9 165.9 502.1 151.2 544 146.4V365.6zM284 232h-24c-13.25 0-24 10.75-24 24c0 13.25 10.75 24 24 24h24c13.25 0 24-10.75 24-24C308 242.8 297.2 232 284 232z"],
    "flask": [448, 512, [], "f0c3", "M437.2 403.5L319.1 215L319.1 48h7.998c13.25 0 23.1-10.75 23.1-24S341.2 0 327.1 0H120C106.8 0 96.01 10.75 96.01 24S106.8 48 120 48h7.998L128 215l-117.2 188.5C-18.48 450.6 15.27 512 70.89 512h306.2C432.7 512 466.5 450.5 437.2 403.5zM119.2 320l56.78-91.29V48h95.98v180.7L328.8 320H119.2z"],
    "flask-round-poison": [448, 512, ["flask-poison"], "f6e0", "M319.1 169V48h7.996c13.26 0 24-10.75 24-24c0-13.26-10.74-24-24-24H119.1c-13.26 0-24 10.74-24 24c0 13.25 10.74 24 24 24h7.992v120.1C61.62 202.9 16 271.9 16 352c0 53.75 20.38 102.8 53.99 139.8C81.87 504.9 99.12 512 116.1 512h213.1c18 0 35.5-7.5 47.5-20.88c32.24-35.75 52.24-82.75 53.49-134.5C433.7 276.8 387.2 205.1 319.1 169zM342.7 459.1C339.1 462.2 335.6 464 330.1 464H116.1c-4.617 0-8.879-1.666-11.47-4.527C78.74 430 64 391.8 64 352c0-59.33 33.05-113.5 86.25-141.4l25.73-13.47V48h95.98v149.7l25.28 13.58c53.96 28.99 88 85.63 86.72 144.2C383 393.8 368.4 430.6 342.7 459.1zM224 256c-49.13 0-88.88 31.88-88.88 71.13c0 23.12 14.12 43.63 35.5 56.5v14.62C170.6 408 178.6 416 188.5 416h71c9.875 0 17.88-8 17.88-17.75v-14.62c21.38-12.88 35.5-33.38 35.5-56.5C312.9 287.9 273.1 256 224 256zM188.5 344.9c-9.875 0-17.88-8-17.88-17.75c0-9.875 8-17.75 17.88-17.75c9.75 0 17.75 7.875 17.75 17.75C206.3 336.9 198.3 344.9 188.5 344.9zM259.5 344.9c-9.75 0-17.75-8-17.75-17.75c0-9.875 8-17.75 17.75-17.75c9.875 0 17.88 7.875 17.88 17.75C277.4 336.9 269.4 344.9 259.5 344.9z"],
    "flask-round-potion": [448, 512, ["flask-potion"], "f6e1", "M319.1 169V48h7.996c13.26 0 24-10.75 24-24c0-13.26-10.74-24-24-24H119.1c-13.26 0-24 10.74-24 24c0 13.25 10.74 24 24 24h7.992v120.1C61.62 202.9 16 271.9 16 352c0 53.75 20.38 102.8 53.99 139.8C81.87 504.9 99.12 512 116.1 512h213.1c18 0 35.5-7.5 47.5-20.88c32.24-35.75 52.24-82.75 53.49-134.5C433.7 276.8 387.2 205.1 319.1 169zM267.5 329.1c-60.31-30.16-128.9-32.3-202.1 3.932c6.24-51.7 37.48-97.5 84.93-122.3l25.73-13.47V48h95.98v149.7l25.28 13.58c52.88 28.41 86.4 83.38 86.54 140.7C357.5 351.1 317.3 353.1 267.5 329.1z"],
    "flask-vial": [640, 512, [], "e4f3", "M160 442.5C149.1 446.1 139.2 448 128 448C74.98 448 32 405 32 352V48H24C10.75 48 0 37.25 0 24C0 10.75 10.75 0 24 0H232C245.3 0 256 10.75 256 24C256 37.25 245.3 48 232 48H224V309.9L175 389.4C165.2 405.4 160 423.8 160 442.5zM80 160H176V48H80V160zM80 208V352C80 378.5 101.5 400 128 400C154.5 400 176 378.5 176 352V208H80zM520 0C533.3 0 544 10.75 544 24C544 37.25 533.3 48 520 48H512V217.2L629.1 408.9C636.5 419.6 640 431.8 640 444.4C640 481.7 609.7 512 572.4 512H259.6C222.3 512 191.1 481.7 191.1 444.4C191.1 431.8 195.5 419.6 202 408.9L319.1 217.2V48H311.1C298.7 48 287.1 37.25 287.1 24C287.1 10.75 298.7 0 311.1 0H520zM464 48H368V224C368 228.4 366.8 232.8 364.4 236.6L313.1 320H518.9L467.6 236.6C465.2 232.8 464 228.4 464 224V48zM240 444.4C240 455.2 248.8 464 259.6 464H572.4C583.2 464 592 455.2 592 444.4C592 440.7 590.1 437.2 589.1 434.1L548.4 368H283.6L242.9 434.1C241 437.2 240 440.7 240 444.4H240z"],
    "flatbread": [512, 512, [129747], "e40b", "M361.8 166.1c3.438-4.812 2.906-11.31-1.25-15.47c-4.25-4.219-10.75-4.766-15.47-1.281c-75.41 53.88-140.9 119.4-194.8 194.8c-3.438 4.812-2.906 11.31 1.281 15.48C153.8 362.8 156.8 364 160 364c2.531 0 4.938-.7656 6.969-2.234C242.4 307.9 307.9 242.4 361.8 166.1zM250.3 118.2V118.2C253.1 113.4 252.4 107.4 248.5 103.5C244.6 99.58 238.6 98.83 233.8 101.7C179.1 134.6 134.6 179 101.7 233.8C98.88 238.6 99.63 244.6 103.5 248.5C105.7 250.7 108.8 252 112 252c2.188 0 4.312-.5938 6.188-1.703C172.9 217.4 217.4 172.1 250.3 118.2zM408.5 263.5c-3.875-3.859-9.844-4.625-14.69-1.812c-54.75 32.86-99.22 77.31-132.1 132.1c-2.812 4.719-2.062 10.75 1.812 14.62C265.7 410.7 268.8 412 272 412c2.188 0 4.312-.5938 6.188-1.703c54.75-32.86 99.22-77.31 132.1-132.1C413.1 273.4 412.4 267.4 408.5 263.5zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464z"],
    "flatbread-stuffed": [512, 512, [129369], "e40c", "M240 376c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24s24-10.75 24-24C264 386.7 253.3 376 240 376zM336 344c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24s24-10.75 24-24C360 354.7 349.3 344 336 344zM468.8 86.78c-9.541-14.95-25.54-22.79-41.66-22.79c-2.604 0-5.2 .3389-7.782 .751c-6.09-8.76-13.33-16.66-23.31-21.15c-18.2-8.273-37.71-3.221-54.79 1.309c-10.54 2.701-21.43 5.576-28.83 4.27c-7.926-1.307-18.03-7.75-27.79-14.02C269.4 25.3 251.9 14.1 232.9 16.27C213.4 18.54 200.1 33.76 188.5 47.17C181.5 55.18 174.2 63.54 167.4 66.68C160.8 69.82 149.8 70.17 139.2 70.52C100 71.82 72.87 74.79 70.6 139.1C70.17 149.6 69.82 160.8 66.77 167.3C63.46 174.1 55.19 181.3 47.08 188.4C33.67 200 18.54 213.2 16.28 232.9C14.1 251.8 25.31 269.2 35.15 284.6c6.27 9.756 12.71 19.69 14.11 27.7c1.307 7.402-1.568 18.29-4.355 28.74c-4.443 17.16-9.582 36.58-1.223 54.87c4.498 9.996 12.4 17.26 21.17 23.36c-2.988 18.59 4.569 38.38 21.95 49.47C131.1 497.6 183.7 512 235.4 512c70.79 0 141.6-27 195.6-81.02C524.5 337.5 537 193.8 468.8 86.78zM192 192c11.51 0 22.39 2.355 32.61 6.068C224.5 196 224 194.1 224 192c0-53.02 42.98-96 96-96c15.88 0 30.52 4.305 43.6 11.21l-24.31 24.31C333.2 129.5 326.8 128 320 128c-35.29 0-64 28.71-64 64c0 6.812 1.475 13.18 3.52 19.29L120.1 350.7C105.4 333.9 96 312.2 96 288C96 234.1 138.1 192 192 192zM397 397C353.9 440.2 296.5 464 235.4 464c-43.73 0-86.51-14.24-123.1-37.6l314.1-314.1C426.6 112.1 426.7 112 427.1 112l1.197 .6152C485.4 202.2 472.3 321.8 397 397z"],
    "floppy-disk": [448, 512, [128426, 128190, "save"], "f0c7", "M224 256c-35.2 0-64 28.8-64 64c0 35.2 28.8 64 64 64c35.2 0 64-28.8 64-64C288 284.8 259.2 256 224 256zM433.1 129.1l-83.9-83.9C341.1 37.06 328.8 32 316.1 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V163.9C448 151.2 442.9 138.9 433.1 129.1zM128 80h144V160H128V80zM400 416c0 8.836-7.164 16-16 16H64c-8.836 0-16-7.164-16-16V96c0-8.838 7.164-16 16-16h16v104c0 13.25 10.75 24 24 24h192C309.3 208 320 197.3 320 184V83.88l78.25 78.25C399.4 163.2 400 164.8 400 166.3V416z"],
    "floppy-disk-circle-arrow-right": [576, 512, ["save-circle-arrow-right"], "e180", "M224 256c-35.2 0-64 28.8-64 64c0 35.2 28.8 64 64 64c11.83 0 22.81-3.473 32.35-9.133C256.3 372.6 256 370.3 256 368c0-30.26 7.65-58.73 21.1-83.6C265.6 267.3 246 256 224 256zM64 432c-8.836 0-16-7.164-16-16V96c0-8.838 7.164-16 16-16h16v104c0 13.25 10.75 24 24 24h192C309.3 208 320 197.3 320 184V83.88l78.25 78.25C399.4 163.2 400 164.8 400 166.3v28.7C410.4 193.1 421.1 192 432 192c5.402 0 10.72 .3301 16 .8066V163.9c0-12.68-5.076-24.94-14.04-33.9l-83.9-83.9C341.1 37.06 328.8 32 316.1 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h232.2c-11.78-14.26-21.2-30.48-28.05-48H64zM128 80h144V160H128V80zM432 224c-79.54 0-144 64.46-144 144s64.46 144 144 144c79.54 0 143.1-64.46 143.1-144S511.5 224 432 224zM507.3 379.3l-56 56C448.2 438.4 444.1 440 439.1 440s-8.187-1.562-11.31-4.688c-6.25-6.25-6.25-16.38 0-22.62L457.4 384h-89.38c-8.836 0-15.1-7.164-15.1-16s7.163-16 15.1-16h89.38l-28.69-28.69c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0l56 56C513.6 362.9 513.6 373.1 507.3 379.3z"],
    "floppy-disk-circle-xmark": [576, 512, ["floppy-disk-times", "save-circle-xmark", "save-times"], "e181", "M432 224c-9.941 0-19.65 1.008-29.02 2.926C337.4 240.4 288 298.4 288 368c0 79.54 64.46 144 144 144s144-64.46 144-144S511.5 224 432 224zM488.5 401.9c6.242 6.242 6.252 16.37 .0098 22.62c-6.24 6.242-16.37 6.231-22.62-.0113l-33.91-33.91l-33.91 33.91c-6.242 6.242-16.37 6.253-22.62 .0106s-6.232-16.37 .0098-22.62l33.91-33.91l-33.91-33.91c-6.242-6.242-6.251-16.37-.009-22.62s16.37-6.232 22.62 .0106l33.91 33.91l33.91-33.91c6.242-6.242 16.37-6.254 22.61-.0113s6.233 16.37-.009 22.62l-33.91 33.91L488.5 401.9zM224 256c-35.2 0-64 28.8-64 64c0 35.2 28.8 64 64 64c11.83 0 22.81-3.473 32.35-9.133C256.3 372.6 256 370.3 256 368c0-30.26 7.65-58.73 21.1-83.6C265.6 267.3 246 256 224 256zM64 432c-8.836 0-16-7.164-16-16V96c0-8.838 7.164-16 16-16h16v104c0 13.25 10.75 24 24 24h192C309.3 208 320 197.3 320 184V83.88l78.25 78.25C399.4 163.2 400 164.8 400 166.3v28.7C410.4 193.1 421.1 192 432 192c5.402 0 10.72 .3301 16 .8066V163.9c0-12.68-5.077-24.94-14.04-33.9l-83.9-83.9C341.1 37.06 328.8 32 316.1 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h232.2c-11.78-14.26-21.2-30.48-28.05-48H64zM128 80h144V160H128V80z"],
    "floppy-disk-pen": [576, 512, [], "e182", "M48 416V96c0-8.838 7.164-16 16-16h16v104c0 13.25 10.75 24 24 24h192C309.3 208 320 197.3 320 184V83.88l78.25 78.25C399.4 163.2 400 164.8 400 166.3v116.4l48-48V163.9c0-12.68-5.076-24.94-14.04-33.9l-83.9-83.9C341.1 37.06 328.8 32 316.1 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h195.8l9.594-48H64C55.16 432 48 424.8 48 416zM128 80h144V160H128V80zM307.4 420.6c-2.514 2.512-4.227 5.715-4.924 9.203l-14.28 71.41c-1.258 6.289 4.293 11.84 10.59 10.59l71.42-14.29c3.482-.6992 6.682-2.406 9.195-4.922l125.3-125.3l-72.01-72.01L307.4 420.6zM224 256c-35.2 0-64 28.8-64 64c0 35.2 28.8 64 64 64c35.2 0 64-28.8 64-64C288 284.8 259.2 256 224 256zM565.5 255.7l-21.1-21.11c-14.06-14.06-36.85-14.06-50.91 0l-38.13 38.13l72.01 72.01l38.13-38.13C579.5 292.5 579.5 269.7 565.5 255.7z"],
    "floppy-disks": [512, 512, [], "e183", "M497.9 97.94l-83.88-83.88C405.1 5.061 392.9 0 380.1 0H160C124.7 0 96 28.65 96 64v288c0 35.35 28.65 64 64 64h288c35.35 0 64-28.65 64-64V131.9C512 119.1 506.9 106.9 497.9 97.94zM224 48h112V96H224V48zM464 352c0 8.836-7.164 16-16 16H160c-8.836 0-16-7.164-16-16V64c0-8.838 7.164-16 16-16h16v72c0 13.25 10.75 24 24 24h160C373.3 144 384 133.3 384 120V51.88l78.23 78.23C463.4 131.2 464 132.8 464 134.4V352zM304 192c-35.2 0-64 28.8-64 64c0 35.2 28.8 64 64 64c35.2 0 64-28.8 64-64C368 220.8 339.2 192 304 192zM392 512h-272C53.83 512 0 458.2 0 392v-272C0 106.8 10.75 96 24 96S48 106.8 48 120v272c0 39.7 32.3 72 72 72h272c13.25 0 24 10.75 24 24S405.3 512 392 512z"],
    "florin-sign": [384, 512, [], "e184", "M360 32C373.3 32 384 42.75 384 56C384 69.25 373.3 80 360 80H315.3C298.1 80 284.3 89.96 278.2 105.1L230.6 224H328C341.3 224 352 234.7 352 248C352 261.3 341.3 272 328 272H211.4L150.4 424.7C137 458.1 104.7 480 68.67 480H24C10.75 480 0 469.3 0 456C0 442.7 10.75 432 24 432H68.67C85.03 432 99.73 422 105.8 406.9L159.8 272H56C42.75 272 32 261.3 32 248C32 234.7 42.75 224 56 224H178.1L233.6 87.32C246.1 53.91 279.3 32 315.3 32H360z"],
    "flower": [512, 512, [127804, 10047], "f7ff", "M480 170.3C480 94.03 417.1 32 341.7 32C310.5 32 280.3 42.84 256 62.31C231.7 42.84 201.5 32 170.3 32C94.03 32 32 94.03 32 170.3C32 201.5 42.83 231.7 62.3 256C42.83 280.3 32 310.5 32 341.7C32 417.1 94.03 480 170.3 480C201.5 480 231.7 469.2 256 449.7C280.3 469.2 310.5 480 341.7 480C417.1 480 480 417.1 480 341.7C480 310.5 469.2 280.3 449.7 256C469.2 231.7 480 201.5 480 170.3zM400.8 274.1C420.9 291.7 432 315.7 432 341.7C432 391.5 391.5 432 341.7 432c-26.03 0-50.06-11.09-67.66-31.22L256 380.1l-18.06 20.66C220.3 420.9 196.3 432 170.3 432C120.5 432 80 391.5 80 341.7c0-26.03 11.08-50.06 31.19-67.66L131.9 256L111.2 237.9C91.08 220.3 80 196.3 80 170.3C80 120.5 120.5 80 170.3 80c26.03 0 50.06 11.09 67.66 31.22L256 131.9l18.06-20.66C291.7 91.09 315.7 80 341.7 80C391.5 80 432 120.5 432 170.3c0 26.03-11.08 50.06-31.19 67.66L380.1 256L400.8 274.1zM256 176C211.9 176 176 211.9 176 256s35.88 80 80 80s80-35.88 80-80S300.1 176 256 176zM256 288C238.4 288 224 273.6 224 256s14.36-32 32-32s32 14.36 32 32S273.6 288 256 288z"],
    "flower-daffodil": [512, 512, [9880], "f800", "M495.9 288h-47.26c-67.51 0-127.5 30-168.7 77v-82c37.38 12.88 78.76 0 102.3-31.88C405.8 219.2 405.9 175.9 382.5 144c11.38-15.5 17.5-34.12 17.5-53.38C400 40.62 359.4 0 309.4 0C290.1 0 271.5 6.125 256 17.5C240.5 6.125 221.9 0 202.6 0C152.6 0 111.1 40.62 111.1 90.62c0 19.25 6.126 37.88 17.5 53.38C118.1 159.5 111.1 178.1 111.1 197.4c0 29.25 14 56.75 37.88 73.75S204.4 292.6 231.1 283v82C190.9 318 130.9 288 63.35 288H16.09C6.962 288-.9142 296.9 .0859 307.7C9.962 422.1 106.4 512 223.9 512h64.26c117.5 0 213.9-89.88 223.8-204.4C512.9 297 505 288 495.9 288zM223.9 464c-79.51 0-148.8-54.13-169.9-128c75.26 0 128.6 32.25 160.9 85.88L240.1 464H223.9zM236.7 222.6C226.9 236.1 209.1 242.5 193.6 239C177.2 235.5 164.5 222.8 160.1 206.4C157.5 190 163.9 173.1 177.4 163.2L203.2 144L177.4 124.8c-10.88-8-17.38-20.63-17.38-34.13C159.1 67.12 179.1 48 202.6 48c13.5 0 26.13 6.5 34.13 17.38L256 91.25l19.25-25.87C283.1 54.5 295.9 48 309.4 48c23.5 0 42.63 19.12 42.63 42.62c0 13.5-6.501 26.13-17.38 34.13L308.8 144l25.88 19.25c10.88 8 17.38 20.63 17.38 34.13c0 23.5-19.13 42.62-42.63 42.62c-13.5 0-26.13-6.5-34.13-17.38L256 196.8L236.7 222.6zM288 464h-16.13l25.25-42.13C329.3 368.5 382.5 336 458.2 336C436.9 409.9 367.8 464 288 464zM288 144c0-17.62-14.38-32-32-32s-32 14.38-32 32S238.4 176 256 176S288 161.6 288 144z"],
    "flower-tulip": [512, 512, [127799], "f801", "M495.9 288h-47.26c-67.51 0-127.5 30-168.7 77V287.9c75.26-.875 136-61.1 136-137.5V16c0-5.999-3.375-11.5-8.751-14.25c-5.376-2.75-11.88-2.125-16.75 1.375L316.6 56.75l-48.38-51C265.3 2.125 260.8 0 256 0C251.2 0 246.7 2.125 243.7 5.75l-48.38 51L121.5 3.125C116.6-.375 110.1-1 104.7 1.75C99.35 4.5 95.98 10 95.98 16v134.4c0 75.5 60.76 136.6 136 137.5V365C190.9 318 130.9 288 63.35 288H16.09C6.962 288-.9142 297 .0859 307.6C9.962 422.1 106.4 512 223.9 512h64.26c117.5 0 213.9-89.88 223.8-204.4C512.9 297 505 288 495.9 288zM143.1 150.4V78.38L199.1 120L256 64l56.01 56l56.01-41.62v72c0 49.5-40.13 89.62-89.64 89.62H233.6C184.1 240 143.1 199.9 143.1 150.4zM223.9 464c-79.64 0-148.8-54.13-170-128c75.26 0 128.8 32.25 161 85.88L240.1 464H223.9zM288 464h-16.13l25.25-42.13C329.1 368.6 382.4 336 458.2 336C436.9 409.9 367.8 464 288 464z"],
    "flute": [640, 512, [], "f8b9", "M320 232C306.8 232 296 242.8 296 256S306.8 280 320 280S344 269.3 344 256S333.3 232 320 232zM576 160H64C28.65 160 0 188.7 0 224v64c0 35.35 28.65 64 64 64h512c35.35 0 64-28.65 64-64V224C640 188.7 611.3 160 576 160zM96 304H64C55.16 304 48 296.8 48 288V224c0-8.838 7.164-16 16-16h32V304zM592 288c0 8.836-7.164 16-16 16H144v-96H576c8.836 0 16 7.162 16 16V288zM512 232c-13.25 0-24 10.75-24 24S498.8 280 512 280S536 269.3 536 256S525.3 232 512 232zM416 232c-13.25 0-24 10.75-24 24S402.8 280 416 280S440 269.3 440 256S429.3 232 416 232z"],
    "flux-capacitor": [448, 512, [], "f8ba", "M283.3 253.3L332.3 204.3C347.9 188.7 347.9 163.3 332.3 147.7C316.7 132.1 291.3 132.1 275.7 147.7L224 199.4L172.3 147.7C156.7 132.1 131.3 132.1 115.7 147.7C100.1 163.3 100.1 188.7 115.7 204.3L164.7 253.3C158.1 255.1 151.2 256 144 256C99.82 256 64 220.2 64 176C64 131.8 99.82 96 144 96C188.2 96 224 131.8 224 176C224 131.8 259.8 96 304 96C348.2 96 384 131.8 384 176C384 220.2 348.2 256 304 256C296.8 256 289.9 255.1 283.3 253.3V253.3zM180.4 268.9L184 272.6V336C184 358.1 201.9 376 224 376C246.1 376 264 358.1 264 336V272.6L267.6 268.9C289.5 283.2 304 307.9 304 336C304 380.2 268.2 416 224 416C179.8 416 144 380.2 144 336C144 307.9 158.5 283.2 180.4 268.9zM224 233.4L292.7 164.7C298.9 158.4 309.1 158.4 315.3 164.7C321.6 170.9 321.6 181.1 315.3 187.3L240 262.6V336C240 344.8 232.8 352 224 352C215.2 352 208 344.8 208 336V262.6L132.7 187.3C126.4 181.1 126.4 170.9 132.7 164.7C138.9 158.4 149.1 158.4 155.3 164.7L224 233.4zM384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM384 80H64C55.16 80 48 87.16 48 96V416C48 424.8 55.16 432 64 432H384C392.8 432 400 424.8 400 416V96C400 87.16 392.8 80 384 80z"],
    "flying-disc": [448, 512, [], "e3a9", "M447.1 131.1C447.1 92.05 425.5 32 349 32c-57.26 0-133.3 38.62-203.3 101.9c-15.97 14.21-31.13 28.83-49.86 50.78C41.42 246.8 0 319.7 0 380.9C0 419.1 22.51 480 98.97 480C233.5 480 447.1 270.6 447.1 131.1zM74.73 323.6c0-69.64 148.5-217.1 217.1-217.1c13.06 0 24.23 6.177 24.23 24.23c0 69.63-148.4 217.1-217.1 217.1C86.07 347.8 74.73 341.8 74.73 323.6zM400 130.1c0 110.8-191 301-301 301c-37.63 0-50.83-23.82-50.83-50.96c0-1.467 .0363-2.958 .1084-4.472c9.439 9.031 25.53 19.27 50.71 19.27c92.85 0 265.7-165.6 265.7-266.9c0-18.25-5.483-34.88-18.17-48.65C347.3 80.22 348.2 80 349 80C376.1 80 400 93.42 400 130.1z"],
    "folder": [512, 512, [128447, 61716, 128193, "folder-blank"], "f07b", "M447.1 96h-172.1L226.7 50.75C214.7 38.74 198.5 32 181.5 32H63.1c-35.35 0-64 28.66-64 64v320c0 35.34 28.65 64 64 64h384c35.35 0 64-28.66 64-64V160C511.1 124.7 483.3 96 447.1 96zM463.1 416c0 8.824-7.178 16-16 16h-384c-8.822 0-16-7.176-16-16V96c0-8.824 7.178-16 16-16h117.5c4.273 0 8.293 1.664 11.31 4.688L255.1 144h192c8.822 0 16 7.176 16 16V416z"],
    "folder-arrow-down": [512, 512, ["folder-download"], "e053", "M448 96h-172.1L226.7 50.75C214.7 38.74 198.5 32 181.5 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h384c35.35 0 64-28.66 64-64V160C512 124.7 483.3 96 448 96zM464 416c0 8.824-7.178 16-16 16H64c-8.822 0-16-7.176-16-16V96c0-8.824 7.178-16 16-16h117.5c4.273 0 8.293 1.664 11.31 4.688L256 144h192c8.822 0 16 7.176 16 16V416zM319 271L280 310.1V208c0-13.25-10.75-24-24-24S232 194.8 232 208v102.1L192.1 271c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94l80 80C243.7 389.7 249.9 392 256 392s12.28-2.344 16.97-7.031l80-80c9.375-9.375 9.375-24.56 0-33.94S328.4 261.7 319 271z"],
    "folder-arrow-up": [512, 512, ["folder-upload"], "e054", "M272.1 191c-9.375-9.375-24.56-9.375-33.94 0l-80 80c-9.375 9.375-9.375 24.56 0 33.94s24.56 9.375 33.94 0L232 265.9V368c0 13.25 10.75 24 24 24s24-10.75 24-24V265.9l39.03 39.03C323.7 309.7 329.8 312 336 312s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94L272.1 191zM448 96h-172.1L226.7 50.75C214.7 38.74 198.5 32 181.5 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h384c35.35 0 64-28.66 64-64V160C512 124.7 483.3 96 448 96zM464 416c0 8.824-7.178 16-16 16H64c-8.822 0-16-7.176-16-16V96c0-8.824 7.178-16 16-16h117.5c4.273 0 8.293 1.664 11.31 4.688L256 144h192c8.822 0 16 7.176 16 16V416z"],
    "folder-bookmark": [512, 512, [], "e186", "M448 96h-172.1L226.7 50.75C214.7 38.74 198.5 32 181.5 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h384c35.35 0 64-28.66 64-64V160C512 124.7 483.3 96 448 96zM464 416c0 8.824-7.178 16-16 16H64c-8.822 0-16-7.176-16-16V96c0-8.824 7.178-16 16-16h117.5c4.273 0 8.293 1.664 11.31 4.688L256 144v159.1c0 13.41 15.52 20.86 25.1 12.48L336 273.3l54 43.2C400.5 324.8 416 317.4 416 303.1V144h32c8.822 0 16 7.176 16 16V416z"],
    "folder-closed": [512, 512, [], "e185", "M448 96h-172.1L226.7 50.75C214.7 38.74 198.5 32 181.5 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h384c35.35 0 64-28.66 64-64V160C512 124.7 483.3 96 448 96zM64 80h117.5c4.273 0 8.293 1.664 11.31 4.688L256 144h192c8.822 0 16 7.176 16 16v32h-416V96C48 87.18 55.18 80 64 80zM448 432H64c-8.822 0-16-7.176-16-16V240h416V416C464 424.8 456.8 432 448 432z"],
    "folder-gear": [512, 512, ["folder-cog"], "e187", "M448 96h-172.1L226.7 50.75C214.7 38.74 198.5 32 181.5 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h384c35.35 0 64-28.66 64-64V160C512 124.7 483.3 96 448 96zM464 416c0 8.824-7.178 16-16 16H64c-8.822 0-16-7.176-16-16V96c0-8.824 7.178-16 16-16h117.5c4.273 0 8.293 1.664 11.31 4.688L256 144h192c8.822 0 16 7.176 16 16V416zM338.5 303.3C339.4 298.3 340 293.2 340 288s-.625-10.31-1.541-15.28L358.8 261c2.811-1.625 4.207-4.984 3.229-8.082C359.7 245.8 356.9 238.8 352.1 232s-8.562-12.73-13.62-18.25c-2.193-2.398-5.805-2.875-8.615-1.246l-20.52 11.85C302.5 217.8 293.7 212.6 284 209.1V185.5c0-3.246-2.215-6.137-5.387-6.836C271.3 177 263.8 176 256 176S240.7 177 233.4 178.7C230.2 179.4 228 182.3 228 185.5v23.64C218.3 212.6 209.5 217.8 201.8 224.4L181.2 212.5C178.4 210.9 174.8 211.4 172.6 213.8C167.6 219.3 162.9 225.2 159 232c-3.898 6.754-6.744 13.78-8.998 20.91C149 256 150.4 259.4 153.2 261l20.3 11.72C172.6 277.7 172 282.8 172 288s.623 10.31 1.539 15.28L153.2 315c-2.812 1.621-4.207 4.984-3.23 8.082C152.3 330.2 155.1 337.2 159 344c3.9 6.754 8.562 12.73 13.62 18.25c2.195 2.398 5.805 2.875 8.617 1.246l20.52-11.85C209.5 358.2 218.3 363.4 228 366.9v23.64c0 3.242 2.215 6.137 5.387 6.836C240.7 398.1 248.2 400 256 400s15.3-1.047 22.61-2.664c3.172-.6992 5.387-3.594 5.387-6.836v-23.64c9.734-3.465 18.54-8.637 26.24-15.21l20.52 11.85c2.811 1.629 6.422 1.152 8.615-1.246c5.055-5.52 9.716-11.5 13.62-18.25s6.745-13.78 8.999-20.92c.9766-3.098-.4199-6.461-3.23-8.082L338.5 303.3zM256 323c-19.33 0-35-15.67-35-35S236.7 253 256 253c19.33 0 35 15.67 35 35S275.3 323 256 323z"],
    "folder-grid": [512, 512, [], "e188", "M448 96h-172.1L226.7 50.75C214.7 38.74 198.5 32 181.5 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h384c35.35 0 64-28.66 64-64V160C512 124.7 483.3 96 448 96zM464 416c0 8.824-7.178 16-16 16H64c-8.822 0-16-7.176-16-16V96c0-8.824 7.178-16 16-16h117.5c4.273 0 8.293 1.664 11.31 4.688L256 144h192c8.822 0 16 7.176 16 16V416zM160 240H96C87.16 240 80 247.2 80 256v64c0 8.844 7.156 16 16 16h64c8.844 0 16-7.156 16-16V256C176 247.2 168.8 240 160 240zM288 240H224C215.2 240 208 247.2 208 256v64c0 8.844 7.156 16 16 16h64c8.844 0 16-7.156 16-16V256C304 247.2 296.8 240 288 240zM416 240h-64c-8.844 0-16 7.156-16 16v64c0 8.844 7.156 16 16 16h64c8.844 0 16-7.156 16-16V256C432 247.2 424.8 240 416 240z"],
    "folder-heart": [512, 512, [], "e189", "M448 96h-172.1L226.7 50.75C214.7 38.74 198.5 32 181.5 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h384c35.35 0 64-28.66 64-64V160C512 124.7 483.3 96 448 96zM464 416c0 8.824-7.178 16-16 16H64c-8.822 0-16-7.176-16-16V96c0-8.824 7.178-16 16-16h117.5c4.273 0 8.293 1.664 11.31 4.688L256 144h192c8.822 0 16 7.176 16 16V416zM264.3 210.9L255.9 219.7L247.4 210.9C226 188.7 191.1 185.1 167.6 205.1C140.7 228.1 139.2 269.3 163.3 294.3l82.93 85.56c5.385 5.504 14.04 5.504 19.42 0l82.97-85.56c24.11-25.02 22.64-66.17-4.41-89.19C320.9 185.1 285.9 188.7 264.3 210.9z"],
    "folder-image": [512, 512, [], "e18a", "M448 96h-172.1L226.7 50.75C214.7 38.74 198.5 32 181.5 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h384c35.35 0 64-28.66 64-64V160C512 124.7 483.3 96 448 96zM464 416c0 8.824-7.178 16-16 16H64c-8.822 0-16-7.176-16-16V96c0-8.824 7.178-16 16-16h117.5c4.273 0 8.293 1.664 11.31 4.688L256 144h192c8.822 0 16 7.176 16 16V416zM127.1 240c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S110.3 240 127.1 240zM306.6 215.1C303.7 210.7 298.7 208 293.3 208s-10.35 2.672-13.31 7.125l-62.74 94.11L194.9 278.6C191.9 274.4 187.1 272 181.1 272c-5.111 0-9.916 2.441-12.93 6.574l-70 96c-3.549 4.863-4.064 11.31-1.334 16.68C100.5 396.6 105.1 400 112 400h288c5.9 0 11.32-3.246 14.11-8.449c2.783-5.203 2.479-11.52-.7949-16.43L306.6 215.1z"],
    "folder-magnifying-glass": [512, 512, ["folder-search"], "e18b", "M448 96h-172.1L226.7 50.75C214.7 38.74 198.5 32 181.5 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h384c35.35 0 64-28.66 64-64V160C512 124.7 483.3 96 448 96zM464 416c0 8.824-7.178 16-16 16H64c-8.822 0-16-7.176-16-16V96c0-8.824 7.178-16 16-16h117.5c4.273 0 8.293 1.664 11.31 4.688L256 144h192c8.822 0 16 7.176 16 16V416zM322.4 320.5C330.8 306.2 336 289.8 336 272c0-53.02-42.98-96-96-96s-96 42.98-96 96s42.98 96 96 96c17.77 0 34.21-5.16 48.48-13.58l46.55 46.55C339.7 405.7 345.8 408 352 408s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94L322.4 320.5zM240 320C213.5 320 192 298.5 192 272S213.5 224 240 224S288 245.5 288 272S266.5 320 240 320z"],
    "folder-medical": [512, 512, [], "e18c", "M448 96h-172.1L226.7 50.75C214.7 38.74 198.5 32 181.5 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h384c35.35 0 64-28.66 64-64V160C512 124.7 483.3 96 448 96zM464 416c0 8.824-7.178 16-16 16H64c-8.822 0-16-7.176-16-16V96c0-8.824 7.178-16 16-16h117.5c4.273 0 8.293 1.664 11.31 4.688L256 144h192c8.822 0 16 7.176 16 16V416zM336 256H288V208C288 199.2 280.8 192 272 192h-32C231.2 192 224 199.2 224 208V256H176C167.2 256 160 263.2 160 271.1V304c0 8.797 7.199 15.1 16 15.1L224 319.1v47.1C224 376.8 231.2 384 240 384h32c8.801 0 16-7.201 16-16V319.1l48-.0012c8.801 0 16-7.201 16-15.1V271.1C352 263.2 344.8 256 336 256z"],
    "folder-minus": [512, 512, [], "f65d", "M448 96h-172.1L226.7 50.75C214.7 38.74 198.5 32 181.5 32H64C28.66 32 0 60.66 0 96v320c0 35.34 28.66 64 64 64h384c35.34 0 64-28.66 64-64V160C512 124.7 483.3 96 448 96zM464 416c0 8.824-7.18 16-16 16H64c-8.82 0-16-7.176-16-16V96c0-8.824 7.18-16 16-16h117.5c4.273 0 8.289 1.664 11.31 4.688L256 144h192c8.82 0 16 7.176 16 16V416zM336 264H175.1C162.7 264 152 274.7 152 288c0 13.26 10.73 23.1 23.1 23.1h160C349.3 311.1 360 301.3 360 288S349.3 264 336 264z"],
    "folder-music": [512, 512, [], "e18d", "M448 96h-172.1L226.7 50.75C214.7 38.74 198.5 32 181.5 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h384c35.35 0 64-28.66 64-64V160C512 124.7 483.3 96 448 96zM464 416c0 8.824-7.178 16-16 16H64c-8.822 0-16-7.176-16-16V96c0-8.824 7.178-16 16-16h117.5c4.273 0 8.293 1.664 11.31 4.688L256 144h192c8.822 0 16 7.176 16 16V416zM331.3 176.8L203.3 224C196.5 226.1 192 232.3 192 239.3v114.7C186.8 352.8 181.4 352 176 352C149.5 352 128 366.4 128 384s21.5 32 48 32S224 401.6 224 384V283.1l96-37.5v76.38C314.8 320.8 309.4 320 304 320c-26.5 0-48 14.38-48 32s21.5 32 48 32s48-14.38 48-32V192c0-5.125-2.375-9.875-6.5-12.88S336 175.3 331.3 176.8z"],
    "folder-open": [576, 512, [128449, 61717, 128194], "f07c", "M572.6 270.3l-96 192C471.2 473.2 460.1 480 447.1 480H64c-35.35 0-64-28.66-64-64V96c0-35.34 28.65-64 64-64h117.5c16.97 0 33.25 6.742 45.26 18.75L275.9 96H416c35.35 0 64 28.66 64 64v32h-48V160c0-8.824-7.178-16-16-16H256L192.8 84.69C189.8 81.66 185.8 80 181.5 80H64C55.18 80 48 87.18 48 96v288l71.16-142.3C124.6 230.8 135.7 224 147.8 224h396.2C567.7 224 583.2 249 572.6 270.3z"],
    "folder-plus": [512, 512, [], "f65e", "M448 96h-172.1L226.7 50.75C214.7 38.74 198.5 32 181.5 32H64C28.66 32 0 60.66 0 96v320c0 35.34 28.66 64 64 64h384c35.34 0 64-28.66 64-64V160C512 124.7 483.3 96 448 96zM464 416c0 8.824-7.18 16-16 16H64c-8.82 0-16-7.176-16-16V96c0-8.824 7.18-16 16-16h117.5c4.273 0 8.289 1.664 11.31 4.688L256 144h192c8.82 0 16 7.176 16 16V416zM336 264h-56V207.1C279.1 194.7 269.3 184 256 184S232 194.7 232 207.1V264H175.1C162.7 264 152 274.7 152 288c0 13.26 10.73 23.1 23.1 23.1h56v56C232 381.3 242.7 392 256 392c13.26 0 23.1-10.74 23.1-23.1V311.1h56C349.3 311.1 360 301.3 360 288S349.3 264 336 264z"],
    "folder-tree": [576, 512, [], "f802", "M544 320h-96l-44.16-27.23C398.8 289.6 392.1 288 387 288H320c-17.67 0-32 14.33-32 32v160c0 17.67 14.33 32 32 32h224c17.67 0 32-14.33 32-32v-128C576 334.3 561.7 320 544 320zM528 464h-192v-128h46.5l40.3 24.86C430.4 365.5 439.1 368 448 368h80V464zM232 160C245.3 160 256 149.3 256 136C256 122.7 245.3 112 232 112H48V24C48 10.74 37.25 0 24 0S0 10.74 0 24v368C0 422.9 25.07 448 56 448h176C245.3 448 256 437.3 256 424c0-13.26-10.75-24-24-24h-176c-4.4 0-8-3.602-8-8V160H232zM544 32h-96l-44.16-27.23C398.8 1.648 392.1 0 387 0H320c-17.67 0-32 14.33-32 32v160c0 17.67 14.33 32 32 32h224c17.67 0 32-14.33 32-32V64C576 46.33 561.7 32 544 32zM528 176h-192v-128h46.5l40.3 24.86C430.4 77.53 439.1 80 448 80h80V176z"],
    "folder-user": [512, 512, [], "e18e", "M448 96h-172.1L226.7 50.75C214.7 38.74 198.5 32 181.5 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h384c35.35 0 64-28.66 64-64V160C512 124.7 483.3 96 448 96zM464 416c0 8.824-7.178 16-16 16h-65.61C374.7 386.6 335.5 352 288 352H224c-47.54 0-86.73 34.64-94.39 80H64c-8.822 0-16-7.176-16-16V96c0-8.824 7.178-16 16-16h117.5c4.273 0 8.293 1.664 11.31 4.688L256 144h192c8.822 0 16 7.176 16 16V416zM256 192C220.7 192 192 220.7 192 256c0 35.34 28.65 64 64 64s64-28.66 64-64C320 220.7 291.3 192 256 192z"],
    "folder-xmark": [512, 512, ["folder-times"], "f65f", "M448 96h-172.1L226.7 50.75C214.7 38.74 198.5 32 181.5 32H64C28.66 32 0 60.66 0 96v320c0 35.34 28.66 64 64 64h384c35.34 0 64-28.66 64-64V160C512 124.7 483.3 96 448 96zM464 416c0 8.824-7.18 16-16 16H64c-8.82 0-16-7.176-16-16V96c0-8.824 7.18-16 16-16h117.5c4.273 0 8.289 1.664 11.31 4.688L256 144h192c8.82 0 16 7.176 16 16V416zM336.1 207c-9.375-9.375-24.56-9.375-33.94 0L256 254.1L208.1 207c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L222.1 288l-47.03 47.03c-9.375 9.375-9.375 24.56 0 33.94c9.375 9.371 24.55 9.379 33.94 0L256 321.9l47.03 47.03c9.375 9.371 24.55 9.379 33.94 0c9.375-9.375 9.375-24.56 0-33.94L289.9 288l47.03-47.03C346.3 231.6 346.3 216.4 336.1 207z"],
    "folders": [640, 512, [], "f660", "M544 96h-140.1l-49.14-45.25C342.7 38.74 326.5 32 309.5 32H192C156.7 32 128 60.66 128 96v224c0 35.34 28.65 64 64 64h352c35.35 0 64-28.66 64-64V160C608 124.7 579.3 96 544 96zM560 320c0 8.824-7.178 16-16 16H192c-8.822 0-16-7.176-16-16V96c0-8.824 7.178-16 16-16h117.5c4.273 0 8.293 1.664 11.31 4.688L384 144h160c8.822 0 16 7.176 16 16V320zM488 480H152C85.83 480 32 426.2 32 360v-240C32 106.8 42.75 96 56 96S80 106.8 80 120v240c0 39.7 32.3 72 72 72h336c13.25 0 24 10.75 24 24S501.3 480 488 480z"],
    "fondue-pot": [512, 512, [129749], "e40d", "M488 223.1h-143.2l40.84-64.18c.418 .0156 .832 .1758 1.25 .1758c10.56 0 20.94-5.234 27.03-14.81l61.09-96c9.5-14.92 5.094-34.7-9.812-44.19C450.3-4.475 430.5-.084 421 14.81l-61.09 96c-6.299 9.893-5.984 21.72-1.051 31.46l-52.01 81.72H252.2l17.82-65.34c10.62-2.859 19.55-10.86 22.65-22.24l26.19-96c4.656-17.05-5.406-34.64-22.47-39.3c-16.84-4.594-34.63 5.375-39.28 22.45l-26.19 96c-3.088 11.3 .7109 22.5 8.314 30.35L219.1 223.1H32c-17.69 0-32 14.33-32 32v64c0 52.06 25.38 97.95 64 127.2V488C64 501.3 74.75 512 88 512s24-10.75 24-24v-16.17C127.3 476.7 143.2 480 160 480h128c16.83 0 32.75-3.328 48-8.17V488c0 13.25 10.75 24 24 24S384 501.3 384 488v-40.82c38.62-29.24 64-75.12 64-127.2v-48h40c13.25 0 24-10.75 24-24S501.3 223.1 488 223.1zM400 319.1c0 61.86-50.14 112-112 112H160c-61.86 0-112-50.14-112-112v-48h32l0 55.1c0 11.61 7.843 22.25 19.24 24.44C114.6 354.5 128 342.8 128 327.1v-48c0-4.418 3.582-8 7.1-8H136c4.418 0 8 3.582 7.1 8L143.1 295.1C143.1 306.7 151.8 317.3 163.2 319.5C178.6 322.5 192 310.8 192 295.1v-24h208V319.1z"],
    "font": [448, 512, [], "f031", "M424 432h-31.44L246.4 47.47c-3.5-9.25-12.51-15.37-22.38-15.46c-.0938 0 .0625 0 0 0c-9.812 0-18.68 5.961-22.34 15.09L47.76 432H24C10.75 432 0 442.8 0 456S10.75 480 24 480h112C149.3 480 160 469.3 160 456S149.3 432 136 432H99.45l35.21-88h173.1l33.44 88H312c-13.25 0-24 10.75-24 24S298.8 480 312 480h112c13.25 0 24-10.75 24-24S437.3 432 424 432zM153.9 296l69.58-173.9L289.5 296H153.9z"],
    "font-awesome": [448, 512, [62694, 62501, "font-awesome-flag", "font-awesome-logo-full"], "f2b4", "M448 48V384c-63.09 22.54-82.34 32-119.5 32c-62.82 0-86.6-32-149.3-32c-21.69 0-38.48 3.791-53.74 8.766C110.1 397.5 96 386.1 96 371.7v-.7461c0-9.275 5.734-17.6 14.42-20.86C129.1 342.8 150.2 336 179.2 336c62.73 0 86.51 32 149.3 32c25.5 0 42.85-4.604 71.47-14.7v-240C379.2 120.6 357.7 128 328.5 128c-.0039 0 .0039 0 0 0c-62.81 0-86.61-32-149.3-32C122.1 96 98.8 122.1 48 126.1V456C48 469.3 37.25 480 24 480S0 469.3 0 456V56C0 42.74 10.75 32 24 32S48 42.74 48 56v22.99C98.8 74.14 122.1 48 179.2 48c62.77 0 86.45 32 149.3 32C366.1 80 386.8 69.85 448 48z"],
    "font-case": [640, 512, [], "f866", "M198.4 47.47c-7.094-18.62-37.78-18.62-44.88 0l-152 400c-4.703 12.41 1.516 26.25 13.91 30.97c12.44 4.75 26.28-1.531 30.97-13.91L83.12 368h185.8l36.68 96.53C309.2 474.1 318.3 480 328 480c2.844 0 5.719-.5 8.531-1.562c12.39-4.719 18.61-18.56 13.91-30.97L198.4 47.47zM101.4 320L176 123.6L250.6 320H101.4zM616 160c-13.25 0-24 10.75-24 24v4.889c-21.99-17.79-49.58-28.88-80-28.88c-70.58 0-128 57.41-128 128l.0007 63.93c0 70.59 57.42 128.1 127.1 128.1c30.42 0 58.01-11.11 79.1-28.9V456c0 13.25 10.75 24 24 24S640 469.3 640 456v-272C640 170.8 629.3 160 616 160zM592 352c0 44.13-35.89 80-80 80s-80-35.88-80-80V288c0-44.13 35.89-80 80-80s80 35.88 80 80V352z"],
    "football": [512, 512, [127944, "football-ball"], "f44e", "M496 174.8c0-45.12-7.712-83.76-14.15-108.2c-4.688-17.54-18.34-31.23-36.04-35.95C435.5 27.91 392.9 16 337 16C149 16 15.1 154.6 15.1 337.2c0 45.12 7.713 83.77 14.15 108.2C35.22 464.3 50.46 496 174.9 496C362.1 496 496 357.4 496 174.8zM78.6 435.1c-2.242-.5965-11.89-35.97-14.02-80.55l92.27 92.27C130.8 445.5 104.7 442.1 78.6 435.1zM222.3 444.4L67.7 289.8c12.81-85.59 76.59-200.7 222-222.1l154.6 154.6C431.5 307.8 367.7 422.1 222.3 444.4zM355.2 65.23c25.9 1.322 51.94 4.732 78.29 11.84c2.241 .596 11.84 36.04 13.96 80.41L355.2 65.23zM235.3 212.7C232.2 209.6 228.1 207.1 224 207.1c-9.141 0-16 7.473-16 16c0 4.094 1.562 8.188 4.688 11.31l64.01 64.01c3.125 3.125 7.219 4.689 11.31 4.689c8.526 0 16-6.867 16-16c0-4.094-1.562-8.188-4.688-11.31L235.3 212.7zM187.3 260.7C184.2 257.6 180.1 255.1 176 255.1c-9.142 0-16 7.472-16 16c0 4.094 1.562 8.188 4.688 11.31l64.01 64c3.125 3.125 7.219 4.689 11.31 4.689c8.526 0 16-6.867 16-16c0-4.094-1.562-8.188-4.688-11.31L187.3 260.7zM272 159.1c-9.141 0-16 7.473-16 16c0 4.094 1.562 8.188 4.688 11.31l64.01 64.01c3.125 3.125 7.221 4.688 11.31 4.688c8.545 0 16-6.882 16-16c0-4.094-1.562-8.188-4.688-11.31l-64.01-64.01C280.2 161.5 276.1 159.1 272 159.1z"],
    "football-helmet": [512, 512, [], "f44f", "M496 320H354.3l-14.2-75.98l137-17.82c8.523-1.188 14.67-9.027 13.83-17.39C459.4 61.7 332.5 16 256 16c-132.5 0-240 107.5-240 240c0 56.09 19.41 107.5 51.68 148.4c5.941 7.52 15.3 11.58 24.89 11.58h27.39l85.75 45.04c9.297 4.672 19.32 6.946 29.28 6.946c16.96 0 33.74-6.633 46.34-19.23C317.6 412.5 292.3 366.8 286.4 352h41.36l9.875 52.66C347.5 457.6 393.8 496 447.7 496h48.31c8.844 0 16-7.156 16-16v-144C512 327.2 504.8 320 496 320zM273.6 320l-10.34-25.79c-7.75-19.38 4.996-40.89 25.62-43.51l19.48-2.538L321.7 320H273.6zM333.8 196.4L282.8 203.1c-24.71 3.145-46.13 17.28-58.79 38.78C212.8 260.9 209.1 283.1 215.9 304H215.5c0 0 27.88 69.69 28.94 72.11c10.74 24.62 9.504 32.07 2.936 38.64c-3.312 3.314-7.713 5.139-12.39 5.139c-2.711 0-5.316-.6191-6.988-1.451l-96.22-50.5H100.3C76.52 335.1 64 296.6 64 256c0-105.9 86.13-192 192-192c51.51 0 140.6 26.17 177.4 119.5L333.8 196.4zM479.1 464h-32.31c-32.28 0-60.54-19.45-73.07-48h105.4V464zM479.1 384h-113.7l-5.992-32h119.7V384zM175.1 311.1c-13.25 0-24 10.75-24 24s10.75 24 24 24s24-10.75 24-24S189.2 311.1 175.1 311.1z"],
    "fork": [512, 512, ["utensil-fork"], "f2e3", "M510.2 150.6C511.4 153.5 511.1 156.6 511.1 159.7C511.1 162.9 511.4 166 510.2 168.9C508.1 171.8 507.2 174.5 504.1 176.7L391.8 289.9C375.3 306.3 352.9 315.6 329.6 315.6C306.2 315.6 283.9 306.3 267.3 289.9L261.7 284.2L40.89 504.1C38.7 507.4 36.05 509.2 33.1 510.6C30.16 511.9 26.98 512.6 23.76 512.6C20.54 512.7 17.34 512.1 14.35 510.9C11.36 509.7 8.644 507.9 6.365 505.6C4.086 503.3 2.29 500.6 1.083 497.6C-.1243 494.6-.7173 491.4-.6603 488.2C-.6034 484.1 .1019 481.8 1.414 478.9C2.725 475.9 4.616 473.3 6.975 471.1L227.8 250.3L222.1 244.6C205.6 228.1 196.4 205.7 196.4 182.4C196.4 159.1 205.6 136.7 222.1 120.2L335.3 7.043C339.8 2.803 345.9 .4955 352.1 .6053C358.3 .7151 364.2 3.234 368.6 7.631C373 12.03 375.5 17.96 375.7 24.18C375.8 30.4 373.5 36.41 369.2 40.96L284.4 125.8L318.3 159.8L401.1 76.07C404.2 73.84 406.9 72.07 409.8 70.86C412.7 69.66 415.8 69.04 418.1 69.04C422.1 69.04 425.2 69.66 428.1 70.86C431.1 72.07 433.7 73.84 435.9 76.07C438.2 78.3 439.9 80.94 441.1 83.86C442.3 86.77 442.1 89.89 442.1 93.04C442.1 96.2 442.3 99.32 441.1 102.2C439.9 105.1 438.2 107.8 435.9 110L352.2 193.7L386.2 227.7L471 142.8C473.3 140.6 475.9 138.8 478.8 137.6C481.7 136.4 484.8 135.8 487.1 135.8C491.1 135.8 494.3 136.4 497.2 137.6C500.1 138.8 502.7 140.6 504.1 142.8C507.2 145 508.1 147.7 510.2 150.6H510.2zM325.4 267.1C334.4 267.9 343.5 265.6 351 260.5L251.5 160.9C246.4 168.4 244 177.5 244.9 186.6C245.7 195.7 249.6 204.2 255.1 210.7L301.3 256C307.8 262.4 316.3 266.3 325.4 267.1z"],
    "fork-knife": [576, 512, ["utensils-alt"], "f2e6", "M504.1 471C509.2 475.6 511.5 481.6 511.4 487.8C511.3 494 508.8 499.1 504.4 504.4C499.1 508.8 494 511.3 487.8 511.4C481.6 511.5 475.6 509.2 471 504.1L310.6 344.6L327.4 327.8C343.3 338.3 361.6 344.8 380.6 346.7L504.1 471zM158.4 327.1L54.11 222.8C28.01 196.7 10.32 163.3 3.341 127.1C-3.641 90.84 .4008 53.33 14.94 19.39C17 14.59 20.21 10.36 24.28 7.083C28.36 3.804 33.17 1.573 38.3 .5847C43.44-.4035 48.73-.119 53.73 1.414C58.73 2.947 63.28 5.68 66.98 9.377L229.4 171.8C229.1 175.4 228.4 178.8 228.4 182.4C228.4 206 235.3 229.1 248.4 248.8L243.4 253.7L51.39 61.7C46.17 84.25 46.8 107.8 53.22 130C59.64 152.3 71.63 172.5 88.06 188.8L192.4 293.2C194.4 295.2 196.9 296.6 199.6 297.2L164.6 332.2C162.5 330.6 160.4 328.9 158.4 327.1L158.4 327.1zM574.2 150.6C575.4 153.5 575.1 156.6 575.1 159.7C575.1 162.9 575.4 166 574.2 168.9C572.1 171.8 571.2 174.5 568.1 176.7L455.8 289.9C439.3 306.3 416.9 315.6 393.6 315.6C370.2 315.6 347.9 306.3 331.3 289.9L325.7 284.2L104.9 504.1C102.7 507.4 100 509.2 97.1 510.6C94.16 511.9 90.98 512.6 87.76 512.6C84.54 512.7 81.34 512.1 78.35 510.9C75.36 509.7 72.64 507.9 70.37 505.6C68.09 503.3 66.29 500.6 65.08 497.6C63.88 494.6 63.28 491.4 63.34 488.2C63.4 484.1 64.1 481.8 65.41 478.9C66.73 475.9 68.62 473.3 70.98 471.1L291.8 250.3L286.1 244.6C269.6 228.1 260.4 205.7 260.4 182.4C260.4 159.1 269.6 136.7 286.1 120.2L399.3 7.04C403.8 2.801 409.9 .4932 416.1 .6026C422.3 .7124 428.2 3.231 432.6 7.628C437 12.03 439.5 17.96 439.7 24.18C439.8 30.39 437.5 36.41 433.2 40.96L348.4 125.8L382.3 159.8L465.1 76.06C468.2 73.83 470.9 72.07 473.8 70.86C476.7 69.65 479.8 69.03 482.1 69.03C486.1 69.03 489.2 69.65 492.1 70.86C495.1 72.07 497.7 73.83 499.9 76.06C502.2 78.29 503.9 80.94 505.1 83.85C506.3 86.77 506.1 89.89 506.1 93.04C506.1 96.19 506.3 99.31 505.1 102.2C503.9 105.1 502.2 107.8 499.9 110L416.2 193.7L450.2 227.6L535 142.8C537.3 140.6 539.9 138.8 542.8 137.6C545.7 136.4 548.8 135.8 552 135.8C555.1 135.8 558.3 136.4 561.2 137.6C564.1 138.8 566.7 140.6 568.1 142.8C571.2 145 572.1 147.7 574.2 150.6L574.2 150.6zM389.4 267.1C398.4 267.9 407.5 265.6 415 260.4L315.5 160.9C310.4 168.4 308 177.5 308.9 186.6C309.7 195.7 313.6 204.2 319.1 210.7L365.3 256C371.8 262.4 380.3 266.3 389.4 267.1z"],
    "forklift": [640, 512, [], "f47a", "M80 160H96V40C96 17.91 113.9 0 136 0H292.1C309.6 0 324.5 10.28 330.4 25.81L413.4 244.7C415.1 249.3 416 254.1 416 258.9V344.4C435.6 362 448 387.6 448 416C448 469 405 512 352 512C298.1 512 256 469 256 416H192C192 469 149 512 96 512C42.98 512 0 469 0 416V240C0 195.8 35.82 160 80 160zM360.3 240L287.4 48H144V171.4L240 240H360.3zM212.1 279.1L112.6 208H80C62.33 208 48 222.3 48 240V332.8C62.12 324.7 78.51 320 96 320C131.5 320 162.6 339.3 179.2 368H268.8C285.4 339.3 316.5 320 352 320C357.5 320 362.8 320.5 368 321.3V288H239.1C229.1 288 220.2 284.9 212.1 279.1H212.1zM96 464C122.5 464 144 442.5 144 416C144 389.5 122.5 368 96 368C69.49 368 48 389.5 48 416C48 442.5 69.49 464 96 464zM352 464C378.5 464 400 442.5 400 416C400 389.5 378.5 368 352 368C325.5 368 304 389.5 304 416C304 442.5 325.5 464 352 464zM528 400H616C629.3 400 640 410.7 640 424C640 437.3 629.3 448 616 448H504C490.7 448 480 437.3 480 424V24C480 10.75 490.7 0 504 0C517.3 0 528 10.75 528 24V400z"],
    "fort": [640, 512, [], "e486", "M224 160C224 165.5 223.3 170.9 221.1 176H418C416.7 170.9 416 165.5 416 160V24C416 10.75 426.7 0 440 0C447.1 0 453.4 3.051 457.8 7.907C461.7 12.16 464 17.81 464 24V64H504V24C504 17.81 506.3 12.16 510.2 7.907C514.6 3.051 520.9 0 528 0C535.1 0 541.4 3.051 545.8 7.907C549.7 12.16 552 17.81 552 24V64H592V24C592 17.81 594.3 12.16 598.2 7.907C602.6 3.051 608.9 0 616 0C629.3 0 640 10.75 640 24V160C640 183.7 627.1 204.4 608 215.4V448C608 483.3 579.3 512 544 512H96C60.65 512 32 483.3 32 448V215.4C12.87 204.4 0 183.7 0 160V24C0 10.75 10.75 0 24 0C31.06 0 37.41 3.051 41.81 7.907C45.66 12.16 48 17.81 48 24V64H88V24C88 17.81 90.34 12.16 94.19 7.907C98.59 3.051 104.9 0 112 0C119.1 0 125.4 3.051 129.8 7.907C133.7 12.16 136 17.81 136 24V64H176V24C176 17.81 178.3 12.16 182.2 7.907C186.6 3.051 192.9 0 200 0C213.3 0 224 10.75 224 24V160zM48 160C48 168.8 55.16 176 64 176H160C168.8 176 176 168.8 176 160V112H48V160zM448 464V224H192V464H256V384C256 348.7 284.7 320 320 320C355.3 320 384 348.7 384 384V464H448zM496 464H544C552.8 464 560 456.8 560 448V224H496V464zM96 464H144V224H80V448C80 456.8 87.16 464 96 464zM576 176C584.8 176 592 168.8 592 160V112H464V160C464 168.8 471.2 176 480 176H576z"],
    "forward": [512, 512, [9193], "f04e", "M256 96.03v319.9C256 435.2 271.7 448 288.2 448c7 0 14.15-2.307 20.29-7.406l192-159.1c15.25-12.87 15.25-36.37 0-49.24l-192-159.1C302.4 66.3 295.2 64 288.2 64C271.7 64 256 76.81 256 96.03zM304 130.1L455.1 256l-151.1 125.9V130.1zM0 96.03v319.9c0 11.69 6.375 22.45 16.62 28.07c4.781 2.625 10.2 3.945 15.49 3.945c5.969 0 11.86-1.68 17.08-5.023l163.7-104.2c11.19-7.109 14.5-21.95 7.375-33.14C213.2 294.5 198.3 291.2 187.1 298.3L48 386.8V125.2l139.1 88.52c11.19 7.125 26.03 3.828 33.13-7.359c7.125-11.19 3.812-26.03-7.375-33.14L49.16 69.02C39.31 62.78 26.88 62.33 16.63 67.95S0 84.34 0 96.03z"],
    "forward-fast": [512, 512, [9197, "fast-forward"], "f050", "M0 96.03v319.9C0 435.2 15.71 448 32.21 448c7.002 0 14.14-2.307 20.29-7.406L224 285.2v130.7C224 435.2 239.7 448 256.2 448c7.002 0 14.14-2.307 20.29-7.406L448 285.2v138.7c0 13.26 10.74 24 24 24c13.25 0 24-10.74 24-24V88.03c0-13.25-10.74-23.1-23.1-23.1c-13.26 0-24 10.75-24 24v139.8l-171.5-156.5C270.4 66.31 263.2 64 256.2 64C239.7 64 224 76.81 224 96.03v131.9L52.5 71.41C46.36 66.31 39.21 64 32.21 64C15.71 64 0 76.81 0 96.03zM272 132.3l136.2 124.3L272 379.9V132.3zM48 132.3l136.2 124.3L48 379.9V132.3z"],
    "forward-step": [320, 512, ["step-forward"], "f051", "M264 64c-13.25 0-24 10.75-24 24v105.8L66.59 69.97C61.07 66 54.55 64 48 64c-5.012 0-10.04 1.172-14.66 3.529c-10.66 5.5-17.34 16.48-17.34 28.48v319.1c0 12 6.687 22.98 17.34 28.48C37.97 446.8 43 448 48 448c6.562 0 13.06-2 18.59-5.969L240 318.2V424c0 13.25 10.75 24 24 24S288 437.3 288 424V88C288 74.75 277.3 64 264 64zM240 259.2L64 384.9V127.1l176 125.7V259.2z"],
    "frame": [448, 512, [], "e495", "M424 144H384V368H424C437.3 368 448 378.7 448 392C448 405.3 437.3 416 424 416H384V456C384 469.3 373.3 480 360 480C346.7 480 336 469.3 336 456V416H112V456C112 469.3 101.3 480 88 480C74.75 480 64 469.3 64 456V416H24C10.75 416 0 405.3 0 392C0 378.7 10.75 368 24 368H64V144H24C10.75 144 0 133.3 0 120C0 106.7 10.75 96 24 96H64V56C64 42.75 74.75 32 88 32C101.3 32 112 42.75 112 56V96H336V56C336 42.75 346.7 32 360 32C373.3 32 384 42.75 384 56V96H424C437.3 96 448 106.7 448 120C448 133.3 437.3 144 424 144zM112 368H336V144H112V368z"],
    "franc-sign": [320, 512, [], "e18f", "M296 32C309.3 32 320 42.75 320 56C320 69.25 309.3 80 296 80H96V192H264C277.3 192 288 202.7 288 216C288 229.3 277.3 240 264 240H96V320H200C213.3 320 224 330.7 224 344C224 357.3 213.3 368 200 368H96V456C96 469.3 85.25 480 72 480C58.75 480 48 469.3 48 456V368H24C10.75 368 0 357.3 0 344C0 330.7 10.75 320 24 320H48V56C48 42.75 58.75 32 72 32H296z"],
    "french-fries": [384, 512, [127839], "f803", "M287.5 228.1c.5-1.75 1.5-3.25 2.125-4.875l30.12-172.5c1-5.5-.9999-11-5.125-14.63c-4.125-3.75-9.875-5-15.25-3.375l-34.25 10.25c-4.25 1.25-7.125 4.5-9.125 8.25v207.3C273.5 250.1 285.1 238.1 287.5 228.1zM223.1 268.7V31.97c0-6-3.375-11.63-8.875-14.25L183.1 1.722C178.3-.7781 172.3-.5281 167.6 2.347C162.9 5.222 160 10.47 160 15.97v252.8C181.1 273.1 202.9 273.1 223.1 268.7zM367.5 191.1l16.25-93.26c1-5.5-.1-11-5.125-14.63c-4.125-3.75-9.875-5-15.25-3.375l-17.25 5.125l-18.75 107.3c2.25-.375 4.25-1.125 6.625-1.125H367.5zM16.5 191.1h33.5c3.625 0 6.1 1 10.37 1.75L40.38 86.6L20.63 80.73C15.25 79.1 9.504 80.35 5.379 83.98C1.254 87.73-.7458 93.23 .2542 98.73L16.5 191.1zM101.1 237.7c5.375 7.625 14.5 14.88 26.87 20.75V33.1L124.3 13.1c-.1-5.5-4.75-10-9.1-12C109.1-.9031 103.3-.1531 98.88 3.222L70.38 24.85C65.5 28.47 63.13 34.6 64.25 40.6L101.1 237.7zM368 223.1l-34-.0027c-6.875 0-13.75 4.25-15.25 11c-8.5 39-62 69-126.8 69c-64.62 0-118.1-30-126.8-69C63.75 228.2 56.1 223.1 49.1 223.1l-34 .0027c-4.875 0-9.522 2.281-12.52 6.031C.4768 233.8-.6266 238.7 .3734 243.5l54.13 243.5c3.25 14.63 16.25 25 31.25 25h212.5c14.1 0 28-10.37 31.25-25l54.13-243.5c.1-4.75-.1035-9.716-3.103-13.47C377.5 226.3 372.9 223.1 368 223.1zM285.5 463.1H98.5L65.25 314.1C97.13 337.9 141.8 351.1 192 351.1s94.87-14.13 126.7-37.88L285.5 463.1z"],
    "frog": [576, 512, [], "f52e", "M576 190c0-21.5-11.75-41-30.5-51.25C516.9 122.1 479.6 109 460 102.1C448.6 61.75 412 32 368 32c-43 0-78.88 28.38-91.13 67.38C120.2 120.5-.4999 254.5 .0001 417C.1251 451.9 29.13 480 64 480h304c8.875 0 16-7.125 16-16c0-17.62-14.38-32-32-32h-29.75l18.88-25.5c9.25-13.88 14.75-29.25 17.12-44.75L469.6 480h90.38c8.875 0 16-7.125 16-16c0-17.62-14.38-32-32-32h-53.63l-98.5-104.6l154.4-86.75C564.6 230.4 576 211 576 190zM522.8 198.8L348 294.9c-7.5-15.38-18.25-29.5-32.88-40.38c-39.63-29.75-95-29.75-134.7 0l-34.75 26c-10.62 8-12.75 23-4.75 33.63c7.875 10.63 23 12.75 33.5 4.875L209.2 292.9c22.63-17.12 54.38-17 76.1 0c27.25 20.5 33.88 58.63 15.63 86L262.5 432H64c-8.625 0-16-7-16-15.12c-.375-135.8 100.8-251.8 235.2-270l30.25-4l9.125-29.12C329 93.5 347.3 80 368 80c21.12 0 39.1 14.38 45.75 35.12L420.5 139L444 147.4c18.38 6.5 52.88 19.38 78.5 33.38C525.9 182.8 528 186.1 528 190C528 193.6 525.1 197 522.8 198.8zM368 120c-13.25 0-24 10.75-24 24s10.75 24 24 24s24-10.75 24-24S381.2 120 368 120z"],
    "function": [640, 512, [], "f661", "M200 0L160 .0098c-48.6 0-88 39.65-88 88.58v96.64h-48c-13.25 0-24 10.82-24 24.16C0 222.7 10.75 233.6 24 233.6h48v161.1c0 22.24-17.91 40.27-40 40.27H24c-13.25 0-24 10.82-24 24.16s10.75 24.16 24 24.16H32c48.6 0 88-39.66 88-88.59V233.6h48c13.25 0 24-10.82 24-24.16c0-13.34-10.75-24.16-24-24.16h-48V88.59c0-22.24 17.91-40.27 40-40.27h40c13.25 0 24-10.82 24-24.16S213.3 0 200 0zM311.5 137.4C300.1 128.7 284.3 131.4 276.5 143.6C242.5 196.5 224 258.1 224 322.1c0 63.15 18.48 125.6 52.51 178.6c7.781 12.11 23.56 14.88 34.99 6.189c9.865-7.498 12.28-21.35 5.568-31.8C287.9 429.7 272 376.2 272 322.1c0-54.02 15.91-107.6 45.08-152.1C323.8 158.7 321.4 144.9 311.5 137.4zM587.5 143.6c-7.781-12.11-23.56-14.88-34.99-6.189c-9.865 7.498-12.28 21.35-5.568 31.8C576.1 214.6 592 268.1 592 322.1c0 54.02-15.91 107.6-45.08 152.1c-6.713 10.45-4.297 24.3 5.568 31.8c11.44 8.691 27.21 5.922 34.99-6.189C621.5 447.8 640 385.3 640 322.1C640 258.1 621.5 196.5 587.5 143.6zM501.1 251.7c-9.074-9.137-23.93-9.137-32.1 0L432 288.9l-37-37.25c-9.074-9.137-23.93-9.137-33 0c-9.074 9.135-9.074 24.09 0 33.22l37 37.25l-37 37.25c-9.074 9.135-9.074 24.09 0 33.22c9.074 9.137 23.93 9.137 33 0L432 355.4l37 37.25c9.074 9.137 23.93 9.137 32.1 0c9.074-9.135 9.074-24.09 0-33.22L465 322.1l36.1-37.25C511.1 275.8 511.1 260.8 501.1 251.7z"],
    "futbol": [512, 512, [9917, "futbol-ball", "soccer-ball"], "f1e3", "M177.1 228.6L207.9 320h96.5l29.62-91.38L256 172.1L177.1 228.6zM255.1 0C114.6 0 .0001 114.6 .0001 256S114.6 512 256 512s255.1-114.6 255.1-255.1S397.4 0 255.1 0zM435.2 361.1l-103.9-1.578l-30.67 99.52C286.2 462.2 271.3 464 256 464s-30.19-1.773-44.56-4.93L180.8 359.6L76.83 361.1c-14.93-25.35-24.79-54.01-27.8-84.72L134.3 216.4L100.7 118.1c19.85-22.34 44.32-40.45 72.04-52.62L256 128l83.29-62.47c27.72 12.17 52.19 30.27 72.04 52.62L377.7 216.4l85.23 59.97C459.1 307.1 450.1 335.8 435.2 361.1z"],
    "g": [448, 512, [103], "47", "M222.1 480c-132.2 0-222.1-106.7-222.1-223.3c0-124.4 100.4-224.7 223.1-224.7c96.07 0 165.4 62.38 165.4 82.79c0 18.86-17.21 24.04-24.01 24.04c-24.5 0-48.42-58.82-141.4-58.82c-96.33 0-175.1 78.13-175.1 176.6c0 37.36 28.91 175.6 175 175.6c53.38 0 161.5-34.97 175.5-151.4h-150.6C234.7 280.9 224 270.1 224 256.8s10.75-24.03 23.1-24.03h175.1c13.25 0 23.1 10.76 23.1 24.03C447.1 399.1 330.2 479.1 222.1 480z"],
    "galaxy": [512, 512, [], "e008", "M506.5 266.9c-17.25-73.12-78.37-132.1-151.9-146.8c-20-4.125-40.63-5.125-60.87-3c11.5-20.5 29.25-36.5 50.75-45.88c15.62-6.375 24.62-22.63 21.88-39.26c-2.375-16.62-15.88-29.5-32.62-31c-22.38-2.25-45-.6196-66.88 4.505c-73.13 17.38-132.1 78.38-146.8 151.9c-4.125 20.12-5 40.62-2.875 60.87c-20.5-11.37-36.62-29.25-46-50.75c-6.5-15.5-22.75-24.51-39.25-21.88c-16.62 2.375-29.5 15.88-31 32.63c-2.25 22.38-.625 45 4.625 66.88c17.25 73.12 78.25 132.1 151.8 146.9c20 4 40.5 5 60.87 2.875c-11.5 20.5-29.25 36.5-50.75 45.88c-15.5 6.5-24.38 22.74-21.88 39.24c2.5 16.62 15.88 29.38 32.63 31c6.5 .625 13.13 1.005 19.75 1.005c15.88 0 31.62-1.875 47.12-5.5c73.13-17.38 132.1-78.38 146.8-151.9c4.125-20.12 5-40.63 2.875-60.87c20.5 11.37 36.62 29.25 46 50.75c6.5 15.38 22.75 24.37 39.25 21.87c16.62-2.5 29.25-15.87 31-32.49C513.2 311.4 511.7 288.7 506.5 266.9zM365.1 233.9c-8.375-1.25-16.62 2-22 8.375c-5.375 6.5-7 15.25-4.25 23.13c8.75 25.75 10.62 53.25 5.125 79.75c-11.38 56.75-58.25 106-121 116.6c29.25-24.25 48.5-58.25 54.25-95.75c1.25-8.25-2-16.62-8.375-22c-6.5-5.375-15.25-7-23.13-4.25c-25.75 8.75-53.25 10.5-79.75 5.125c-57-11.38-106.3-58.75-116.6-120.9c24.25 29.12 58.25 48.38 95.75 54.13c8.375 1.25 16.62-2 22-8.375c5.375-6.5 7-15.25 4.25-23.13c-8.75-25.62-10.62-53.25-5.125-79.75c11.38-56.75 58.25-106 121-116.6c-29.25 24.25-48.5 58.25-54.25 95.75c-1.25 8.375 2 16.62 8.375 22c6.5 5.375 15.25 7 23.13 4.25c25.62-8.75 53.25-10.62 79.75-5.125c56.88 11.38 106.2 58.63 116.6 121C437.5 258.9 403.5 239.6 365.1 233.9zM255.1 215.1c-22.12 0-40 17.88-40 40c0 22.13 17.88 40 40 40s40-17.88 40-40C295.1 233.9 278.1 215.1 255.1 215.1z"],
    "gallery-thumbnails": [576, 512, [], "e3aa", "M512 0C547.3 0 576 28.65 576 64V288C576 323.3 547.3 352 512 352H64C28.65 352 0 323.3 0 288V64C0 28.65 28.65 0 64 0H512zM512 48H64C55.16 48 48 55.16 48 64V288C48 296.8 55.16 304 64 304H512C520.8 304 528 296.8 528 288V64C528 55.16 520.8 48 512 48zM0 448C0 430.3 14.33 416 32 416H64C81.67 416 96 430.3 96 448V480C96 497.7 81.67 512 64 512H32C14.33 512 0 497.7 0 480V448zM224 416C241.7 416 256 430.3 256 448V480C256 497.7 241.7 512 224 512H192C174.3 512 160 497.7 160 480V448C160 430.3 174.3 416 192 416H224zM320 448C320 430.3 334.3 416 352 416H384C401.7 416 416 430.3 416 448V480C416 497.7 401.7 512 384 512H352C334.3 512 320 497.7 320 480V448zM544 416C561.7 416 576 430.3 576 448V480C576 497.7 561.7 512 544 512H512C494.3 512 480 497.7 480 480V448C480 430.3 494.3 416 512 416H544z"],
    "game-board": [448, 512, [], "f867", "M64 96L64 176h80V96H64zM64 256l0 80h80V256H64zM304 96h-80v80h80V96zM144 416h80v-80h-80V416zM384 416l-.0001-80h-80V416H384zM304 256h80V176h-80V256zM224 176h-80V256h80V176zM384 32h-320c-35.2 0-64 28.8-64 64v320c0 35.2 28.8 64 64 64h320c35.2 0 64-28.8 64-64V96C448 60.8 419.2 32 384 32zM400 416c0 8.674-7.326 16-16 16H64c-8.672 0-16-7.326-16-16V96c0-8.674 7.328-16 16-16h320c8.674 0 16 7.326 16 16V416zM224 336h80V256h-80V336z"],
    "game-board-simple": [448, 512, ["game-board-alt"], "f868", "M224 400h144V256h-143.1L224 400zM384 32h-320C28.8 32 0 60.8 0 96v320c0 35.2 28.8 64 64 64h320c35.2 0 64-28.8 64-64V96C448 60.8 419.2 32 384 32zM400 416c0 8.674-7.326 16-16 16H64c-8.672 0-16-7.326-16-16V96c0-8.674 7.328-16 16-16h320c8.674 0 16 7.326 16 16V416zM80 112V256h144L224 112H80z"],
    "game-console-handheld": [384, 512, [], "f8bb", "M320 0H64C28.8 0 0 28.8 0 64l.0001 352c0 52.8 43.2 96 96 96h192c53.02 0 96-42.98 96-96L384 63.1C384 28.8 355.2 0 320 0zM336 416c0 26.51-21.49 48-48 48H96c-26.51 0-48-21.49-48-48V64c0-8.8 7.2-16 16-16h256c8.8 0 16 7.2 16 16V416zM128 240h127.1C273.6 240 288 225.6 288 208V112C288 103.2 280.8 96 272 96h-160C103.2 96 95.1 103.2 96 112l.0001 96C96 225.7 110.3 240 128 240zM160 320H144L144 304C144 295.2 136.8 288 128 288S112 295.2 112 304V320H96C87.2 320 80 327.2 80 336c0 8.799 7.199 16 16 16H112v16C112 376.8 119.2 384 128 384s16-7.201 16-16L144 352H160c8.801 0 16-7.201 16-16C176 327.2 168.8 320 160 320zM232 336c-13.25 0-24 10.75-24 24s10.75 24 24 24s24-10.75 24-24S245.3 336 232 336zM280 288C266.8 288 256 298.8 256 312s10.75 24 24 24s24-10.75 24-24S293.3 288 280 288z"],
    "gamepad": [640, 512, [], "f11b", "M400 272c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S417.6 272 400 272zM247.1 232h-32v-32c0-13.2-10.78-24-23.98-24c-13.2 0-24.02 10.8-24.02 24v32L136 231.1C122.8 231.1 111.1 242.8 111.1 256c0 13.2 10.85 23.99 24.05 23.99L167.1 280v32c0 13.2 10.82 24 24.02 24c13.2 0 23.98-10.8 23.98-24v-32h32c13.2 0 24.02-10.8 24.02-24C271.1 242.8 261.2 232 247.1 232zM464 176c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S481.6 176 464 176zM448 64H192C85.96 64 0 149.1 0 256s85.96 192 192 192h256c106 0 192-85.96 192-192S554 64 448 64zM448 400H192c-79.4 0-144-64.6-144-144S112.6 112 192 112h256c79.4 0 144 64.6 144 144S527.4 400 448 400z"],
    "gamepad-modern": [640, 512, [63676, 127918, "gamepad-alt"], "e5a2", "M639.1 357.2c0-6.198-.4631-12.49-1.421-18.83l-27.5-181.3C603.5 107.4 581.8 32 319.1 32C57.05 32 36.44 106.9 28.83 157.1l-27.37 181.3C.4734 344.8 0 351.1 0 357.4C0 423.9 53.35 480 121.2 480c46.12-.125 88.37-26.5 108.6-68L243.6 384h152.7l13.75 28c20.25 41.5 62.25 67.88 108.4 68C586.5 480 639.1 423.8 639.1 357.2zM591.1 357.2c0 17.99-6.413 35.55-18.26 49.46c-13.66 16.14-33.73 25.38-54.82 25.38c-.1417 0-.2834-.0004-.4252-.0013c-27.75 0-52.75-15.75-65.25-41.13l-18.32-37.05C429.5 342.9 418.4 336 406.2 336H233.7c-12.17 0-23.29 6.907-28.69 17.82l-18.32 37.05c-4.671 9.482-23.54 41.13-65.92 41.13c-21.09 0-41.04-9.357-54.58-25.38c-11.85-13.91-18.26-31.47-18.26-49.46c0-3.839 .292-7.697 .8855-11.54l27.5-181.3C81.2 132.5 104.1 107.5 134.8 100.6C195.8 86.88 257.9 80 319.1 80s124.2 6.875 185.1 20.62c30.75 6.875 53.62 31.88 58.5 63.75l27.5 181.3C591.7 349.5 591.1 353.3 591.1 357.2zM399.1 240c-17.62 0-31.1 14.38-31.1 32s14.37 32 31.1 32s31.1-14.38 31.1-32S417.6 240 399.1 240zM247.1 200l-31.96-.011L215.1 168c0-13.2-10.78-24-23.98-24C178.8 144 167.1 154.8 167.1 168l.0367 31.99L135.1 200c-13.2 0-23.98 10.8-23.98 24c0 13.2 10.77 24 23.98 24l32.04-.0098L167.1 280c0 13.2 10.82 24 24.02 24c13.2 0 23.98-10.8 23.98-24l.0368-32.01L247.1 248c13.2 0 24.02-10.8 24.02-24C271.1 210.8 261.2 200 247.1 200zM463.1 144c-17.62 0-31.1 14.38-31.1 32s14.37 32 31.1 32c17.62 0 31.1-14.38 31.1-32S481.6 144 463.1 144z"],
    "garage": [640, 512, [], "e009", "M323 51.12C321.1 50.34 318.9 50.34 316.1 51.12L62.98 154.1C53.93 157.8 48 166.6 48 176.3V488C48 501.3 37.25 512 24 512C10.75 512 0 501.3 0 488V176.3C0 147 17.78 120.6 44.95 109.6L298.1 6.634C312.5 1.164 327.5 1.164 341 6.634L595 109.6C622.2 120.6 640 147 640 176.3V488C640 501.3 629.3 512 616 512C602.7 512 592 501.3 592 488V176.3C592 166.6 586.1 157.8 577 154.1L323 51.12zM143.1 368V488C143.1 501.3 133.3 512 119.1 512C106.7 512 95.1 501.3 95.1 488V232C95.1 209.9 113.9 192 135.1 192H504C526.1 192 544 209.9 544 232V488C544 501.3 533.3 512 520 512C506.7 512 496 501.3 496 488V368H143.1zM143.1 320H496V240H143.1V320zM360 416C373.3 416 384 426.7 384 440C384 453.3 373.3 464 360 464H279.1C266.7 464 255.1 453.3 255.1 440C255.1 426.7 266.7 416 279.1 416H360z"],
    "garage-car": [640, 512, [], "e00a", "M323 51.12C321.1 50.34 318.9 50.34 316.1 51.12L62.98 154.1C53.93 157.8 48 166.6 48 176.3V488C48 501.3 37.25 512 24 512C10.75 512 0 501.3 0 488V176.3C0 147 17.78 120.6 44.95 109.6L298.1 6.634C312.5 1.164 327.5 1.164 341 6.634L595 109.6C622.2 120.6 640 147 640 176.3V488C640 501.3 629.3 512 616 512C602.7 512 592 501.3 592 488V176.3C592 166.6 586.1 157.8 577 154.1L323 51.12zM143.1 240V488C143.1 501.3 133.3 512 119.1 512C106.7 512 95.1 501.3 95.1 488V232C95.1 209.9 113.9 192 135.1 192H504C526.1 192 544 209.9 544 232V488C544 501.3 533.3 512 520 512C506.7 512 496 501.3 496 488V240H143.1zM212.2 362.1L225.6 313.4C232.1 288.1 254.3 272 279.6 272H359.9C384.9 272 406.8 288.6 413.7 312.6L428.2 363.2C444.1 374.7 456 394.1 456 416V488C456 501.3 445.3 512 432 512C418.7 512 408 501.3 408 488V480H231.1V488C231.1 501.3 221.3 512 207.1 512C194.7 512 183.1 501.3 183.1 488V416C183.1 393.9 195.2 374.5 212.2 362.1V362.1zM264.9 352H375L367.6 325.8C366.6 322.4 363.4 320 359.9 320H279.6C276 320 272.8 322.4 271.9 325.9L264.9 352zM392 400H247.1C239.2 400 231.1 407.2 231.1 416V432H408V416C408 407.2 400.8 400 392 400z"],
    "garage-open": [640, 512, [], "e00b", "M323 51.12C321.1 50.34 318.9 50.34 316.1 51.12L62.98 154.1C53.93 157.8 48 166.6 48 176.3V488C48 501.3 37.25 512 24 512C10.75 512 0 501.3 0 488V176.3C0 147 17.78 120.6 44.95 109.6L298.1 6.634C312.5 1.164 327.5 1.164 341 6.634L595 109.6C622.2 120.6 640 147 640 176.3V488C640 501.3 629.3 512 616 512C602.7 512 592 501.3 592 488V176.3C592 166.6 586.1 157.8 577 154.1L323 51.12zM143.1 320V488C143.1 501.3 133.3 512 119.1 512C106.7 512 95.1 501.3 95.1 488V232C95.1 209.9 113.9 192 135.1 192H504C526.1 192 544 209.9 544 232V488C544 501.3 533.3 512 520 512C506.7 512 496 501.3 496 488V320H143.1zM496 272V240H143.1V272H496zM207.1 512C194.7 512 183.1 501.3 183.1 488V416C183.1 380.7 212.7 352 247.1 352H392C427.3 352 456 380.7 456 416V488C456 501.3 445.3 512 432 512C418.7 512 408 501.3 408 488V480H231.1V488C231.1 501.3 221.3 512 207.1 512zM247.1 400C239.2 400 231.1 407.2 231.1 416V432H408V416C408 407.2 400.8 400 392 400H247.1z"],
    "garlic": [512, 512, [129476], "e40e", "M463.2 206.5l-85.23-71.59C361.5 121 352 100.7 352 79.18V48C352 21.53 330.5 0 304 0h-96C181.5 0 160 21.53 160 48v31.18c0 21.55-9.465 41.86-25.97 55.72L48.8 206.5C17.79 232.5 0 270.7 0 311.2c0 75.15 60.95 136.3 136 136.7V488C136 501.3 146.8 512 160 512s24-10.75 24-24V448h16v40C200 501.3 210.8 512 224 512s24-10.75 24-24V448h16v40c0 13.25 10.75 24 24 24s24-10.75 24-24V448h16v40c0 13.25 10.75 24 24 24s24-10.75 24-24v-40.08C451.1 447.5 512 386.4 512 311.2C512 270.7 494.2 232.5 463.2 206.5zM136.8 400C87.82 400 48 360.2 48 311.2c0-26.29 11.54-51.07 31.68-67.98L139.8 192.7L121.1 218.9C104.7 241.9 96 268.1 96 297.3C96 338.6 115.2 375.3 144.6 400H136.8zM128 297.3c0-21.56 6.625-42.2 19.16-59.72l34.16-47.83C198.8 165.2 208 138.2 208 111.4V48h32v63.39c0 26.77 9.219 53.84 26.69 78.31l34.19 47.84C313.4 255 320 275.7 320 297.3C320 429.3 128 430.4 128 297.3zM375.2 400h-71.83C332.8 375.3 352 338.6 352 297.3c0-28.27-8.688-55.36-25.09-78.31L292.8 171.1C279.4 152.4 272 131.2 272 111.4V48h32v31.18c0 35.77 15.71 69.47 43.09 92.48l85.23 71.59C452.5 260.2 464 284.9 464 311.2C464 360.2 424.2 400 375.2 400z"],
    "gas-pump": [512, 512, [9981], "f52f", "M96 0H256C291.3 0 320 28.65 320 64V256H328C376.6 256 416 295.4 416 344V376C416 389.3 426.7 400 440 400C453.3 400 464 389.3 464 376V221.1C436.4 214.9 416 189.8 416 160V97.94L383 64.97C373.7 55.6 373.7 40.4 383 31.03C392.4 21.66 407.6 21.66 416.1 31.03L490.9 104.1C504.4 118.5 512 136.8 512 155.9V376C512 415.8 479.8 448 440 448C400.2 448 368 415.8 368 376V344C368 321.9 350.1 304 328 304H320V464H328C341.3 464 352 474.7 352 488C352 501.3 341.3 512 328 512H24C10.75 512 0 501.3 0 488C0 474.7 10.75 464 24 464H32V64C32 28.65 60.65 0 96 0zM256 48H96C87.16 48 80 55.16 80 64V192H272V64C272 55.16 264.8 48 256 48zM272 240H80V464H272V240z"],
    "gas-pump-slash": [640, 512, [], "f5f4", "M97.33 50.98C103.3 21.88 129.1 0 160 0H320C355.3 0 384 28.65 384 64V275.7L525.5 386.6C527.1 383.4 528 379.8 528 376V221.1C500.4 214.9 480 189.8 480 160V97.94L447 64.97C437.7 55.6 437.7 40.4 447 31.03C456.4 21.66 471.6 21.66 480.1 31.03L554.9 104.1C568.4 118.5 576 136.8 576 155.9V376C576 390.1 571.4 404.9 563.6 416.4L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L97.33 50.98zM144 87.56L336 238V64C336 55.16 328.8 48 320 48H160C151.2 48 144 55.16 144 64V87.56zM336 464V360.7L384 398.5V464H392C405.3 464 416 474.7 416 488C416 501.3 405.3 512 392 512H88C74.75 512 64 501.3 64 488C64 474.7 74.75 464 88 464H96V171.6L144 209.5V464H336z"],
    "gauge": [512, 512, ["dashboard", "gauge-med", "tachometer-alt-average"], "f624", "M312 352C312 382.9 286.9 408 256 408C225.1 408 200 382.9 200 352C200 329.7 213.1 310.4 231.1 301.4V119.1C231.1 106.7 242.7 95.1 255.1 95.1C269.3 95.1 280 106.7 280 119.1V301.4C298.9 310.4 312 329.7 312 352V352zM128 160C128 142.3 142.3 128 160 128C177.7 128 192 142.3 192 160C192 177.7 177.7 192 160 192C142.3 192 128 177.7 128 160zM144 256C144 273.7 129.7 288 112 288C94.33 288 80 273.7 80 256C80 238.3 94.33 224 112 224C129.7 224 144 238.3 144 256zM368 256C368 238.3 382.3 224 400 224C417.7 224 432 238.3 432 256C432 273.7 417.7 288 400 288C382.3 288 368 273.7 368 256zM384 160C384 177.7 369.7 192 352 192C334.3 192 320 177.7 320 160C320 142.3 334.3 128 352 128C369.7 128 384 142.3 384 160zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464z"],
    "gauge-circle-bolt": [640, 512, [], "e496", "M256 464C285.4 464 313.3 457.9 338.6 446.9C346 461.6 355.4 475.1 366.4 487C332.1 503 295.5 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C375.4 0 475.6 81.67 503.1 192.2C501.3 192.1 498.7 192 496 192C482 192 468.5 193.6 455.4 196.7C429.9 110.7 350.3 48 256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464zM200 352C200 329.7 213.1 310.4 231.1 301.4V119.1C231.1 106.7 242.7 95.1 255.1 95.1C269.3 95.1 279.1 106.7 279.1 119.1V301.4C298.9 310.4 312 329.7 312 352C312 382.9 286.9 408 256 408C225.1 408 200 382.9 200 352V352zM192 160C192 177.7 177.7 192 160 192C142.3 192 128 177.7 128 160C128 142.3 142.3 128 160 128C177.7 128 192 142.3 192 160zM80 256C80 238.3 94.33 224 112 224C129.7 224 144 238.3 144 256C144 273.7 129.7 288 112 288C94.33 288 80 273.7 80 256zM384 160C384 177.7 369.7 192 352 192C334.3 192 320 177.7 320 160C320 142.3 334.3 128 352 128C369.7 128 384 142.3 384 160zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM528.8 286.4L432.8 358.4C428.7 361.5 426.1 366.9 428.6 371.8C430.2 376.7 434.8 380 440 380H475.6L445.5 434.2C442.8 439.1 443.8 445.3 448.1 449C452.4 452.8 458.7 452.1 463.2 449.6L559.2 377.6C563.3 374.5 565 369.1 563.4 364.2C561.8 359.3 557.2 356 552 356H516.4L546.5 301.8C549.2 296.9 548.2 290.7 543.9 286.1C539.6 283.2 533.3 283 528.8 286.4V286.4z"],
    "gauge-circle-minus": [640, 512, [], "e497", "M256 464C285.4 464 313.3 457.9 338.6 446.9C346 461.6 355.4 475.1 366.4 487C332.1 503 295.5 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C375.4 0 475.6 81.67 503.1 192.2C501.3 192.1 498.7 192 496 192C482 192 468.5 193.6 455.4 196.7C429.9 110.7 350.3 48 256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464zM200 352C200 329.7 213.1 310.4 231.1 301.4V119.1C231.1 106.7 242.7 95.1 255.1 95.1C269.3 95.1 279.1 106.7 279.1 119.1V301.4C298.9 310.4 312 329.7 312 352C312 382.9 286.9 408 256 408C225.1 408 200 382.9 200 352V352zM192 160C192 177.7 177.7 192 160 192C142.3 192 128 177.7 128 160C128 142.3 142.3 128 160 128C177.7 128 192 142.3 192 160zM80 256C80 238.3 94.33 224 112 224C129.7 224 144 238.3 144 256C144 273.7 129.7 288 112 288C94.33 288 80 273.7 80 256zM384 160C384 177.7 369.7 192 352 192C334.3 192 320 177.7 320 160C320 142.3 334.3 128 352 128C369.7 128 384 142.3 384 160zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM560 351.1H432C423.2 351.1 416 359.2 416 367.1C416 376.8 423.2 383.1 432 383.1H560C568.8 383.1 576 376.8 576 367.1C576 359.2 568.8 351.1 560 351.1z"],
    "gauge-circle-plus": [640, 512, [], "e498", "M256 464C285.4 464 313.3 457.9 338.6 446.9C346 461.6 355.4 475.1 366.4 487C332.1 503 295.5 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C375.4 0 475.6 81.67 503.1 192.2C501.3 192.1 498.7 192 496 192C482 192 468.5 193.6 455.4 196.7C429.9 110.7 350.3 48 256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464zM200 352C200 329.7 213.1 310.4 231.1 301.4V119.1C231.1 106.7 242.7 95.1 255.1 95.1C269.3 95.1 279.1 106.7 279.1 119.1V301.4C298.9 310.4 312 329.7 312 352C312 382.9 286.9 408 256 408C225.1 408 200 382.9 200 352V352zM192 160C192 177.7 177.7 192 160 192C142.3 192 128 177.7 128 160C128 142.3 142.3 128 160 128C177.7 128 192 142.3 192 160zM80 256C80 238.3 94.33 224 112 224C129.7 224 144 238.3 144 256C144 273.7 129.7 288 112 288C94.33 288 80 273.7 80 256zM384 160C384 177.7 369.7 192 352 192C334.3 192 320 177.7 320 160C320 142.3 334.3 128 352 128C369.7 128 384 142.3 384 160zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM512 303.1C512 295.2 504.8 287.1 496 287.1C487.2 287.1 480 295.2 480 303.1V351.1H432C423.2 351.1 416 359.2 416 367.1C416 376.8 423.2 383.1 432 383.1H480V431.1C480 440.8 487.2 447.1 496 447.1C504.8 447.1 512 440.8 512 431.1V383.1H560C568.8 383.1 576 376.8 576 367.1C576 359.2 568.8 351.1 560 351.1H512V303.1z"],
    "gauge-high": [512, 512, [62461, "tachometer-alt", "tachometer-alt-fast"], "f625", "M288 112C288 129.7 273.7 144 256 144C238.3 144 224 129.7 224 112C224 94.33 238.3 80 256 80C273.7 80 288 94.33 288 112zM200 352C200 321.6 224.2 296.9 254.4 296L322 142.3C327.4 130.2 341.5 124.7 353.7 130C365.8 135.4 371.3 149.5 365.1 161.7L298.3 315.4C306.9 325.2 312 337.1 312 352C312 382.9 286.9 408 256 408C225.1 408 200 382.9 200 352V352zM192 160C192 177.7 177.7 192 160 192C142.3 192 128 177.7 128 160C128 142.3 142.3 128 160 128C177.7 128 192 142.3 192 160zM80 256C80 238.3 94.33 224 112 224C129.7 224 144 238.3 144 256C144 273.7 129.7 288 112 288C94.33 288 80 273.7 80 256zM432 256C432 273.7 417.7 288 400 288C382.3 288 368 273.7 368 256C368 238.3 382.3 224 400 224C417.7 224 432 238.3 432 256zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464z"],
    "gauge-low": [512, 512, ["tachometer-alt-slow"], "f627", "M256 80C273.7 80 288 94.33 288 112C288 129.7 273.7 144 256 144C238.3 144 224 129.7 224 112C224 94.33 238.3 80 256 80zM256 408C225.1 408 200 382.9 200 352C200 337.1 205.1 325.2 213.7 315.4L146 161.7C140.7 149.5 146.2 135.4 158.3 130C170.5 124.7 184.6 130.2 189.1 142.3L257.6 296C287.8 296.9 312 321.6 312 352C312 382.9 286.9 408 256 408V408zM352 128C369.7 128 384 142.3 384 160C384 177.7 369.7 192 352 192C334.3 192 320 177.7 320 160C320 142.3 334.3 128 352 128zM400 288C382.3 288 368 273.7 368 256C368 238.3 382.3 224 400 224C417.7 224 432 238.3 432 256C432 273.7 417.7 288 400 288zM112 224C129.7 224 144 238.3 144 256C144 273.7 129.7 288 112 288C94.33 288 80 273.7 80 256C80 238.3 94.33 224 112 224zM256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM464 256C464 141.1 370.9 48 256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256z"],
    "gauge-max": [512, 512, ["tachometer-alt-fastest"], "f626", "M256 80C273.7 80 288 94.33 288 112C288 129.7 273.7 144 256 144C238.3 144 224 129.7 224 112C224 94.33 238.3 80 256 80zM256 408C225.1 408 200 382.9 200 352C200 321.1 225.1 296 256 296C266.3 296 275.9 298.8 284.2 303.6L394.4 228.2C405.4 220.7 420.3 223.5 427.8 234.4C435.3 245.4 432.5 260.3 421.6 267.8L311.3 343.2C311.8 346.1 312 349 312 352C312 382.9 286.9 408 256 408V408zM352 128C369.7 128 384 142.3 384 160C384 177.7 369.7 192 352 192C334.3 192 320 177.7 320 160C320 142.3 334.3 128 352 128zM112 288C94.33 288 80 273.7 80 256C80 238.3 94.33 224 112 224C129.7 224 144 238.3 144 256C144 273.7 129.7 288 112 288zM160 128C177.7 128 192 142.3 192 160C192 177.7 177.7 192 160 192C142.3 192 128 177.7 128 160C128 142.3 142.3 128 160 128zM256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM464 256C464 141.1 370.9 48 256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256z"],
    "gauge-min": [512, 512, ["tachometer-alt-slowest"], "f628", "M288 112C288 129.7 273.7 144 256 144C238.3 144 224 129.7 224 112C224 94.33 238.3 80 256 80C273.7 80 288 94.33 288 112zM200 352C200 349 200.2 346.1 200.7 343.2L90.45 267.8C79.51 260.3 76.71 245.4 84.19 234.4C91.68 223.5 106.6 220.7 117.6 228.2L227.8 303.6C236.1 298.8 245.7 296 256 296C286.9 296 312 321.1 312 352C312 382.9 286.9 408 256 408C225.1 408 200 382.9 200 352V352zM192 160C192 177.7 177.7 192 160 192C142.3 192 128 177.7 128 160C128 142.3 142.3 128 160 128C177.7 128 192 142.3 192 160zM368 256C368 238.3 382.3 224 400 224C417.7 224 432 238.3 432 256C432 273.7 417.7 288 400 288C382.3 288 368 273.7 368 256zM384 160C384 177.7 369.7 192 352 192C334.3 192 320 177.7 320 160C320 142.3 334.3 128 352 128C369.7 128 384 142.3 384 160zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464z"],
    "gauge-simple": [512, 512, ["gauge-simple-med", "tachometer-average"], "f629", "M312 352C312 382.9 286.9 408 256 408C225.1 408 200 382.9 200 352C200 329.7 213.1 310.4 231.1 301.4V119.1C231.1 106.7 242.7 95.1 255.1 95.1C269.3 95.1 280 106.7 280 119.1V301.4C298.9 310.4 312 329.7 312 352V352zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464z"],
    "gauge-simple-high": [512, 512, [61668, "tachometer", "tachometer-fast"], "f62a", "M312 352C312 382.9 286.9 408 256 408C225.1 408 200 382.9 200 352C200 321.6 224.2 296.9 254.4 296L322 142.3C327.4 130.2 341.5 124.7 353.7 130C365.8 135.4 371.3 149.5 365.1 161.7L298.3 315.4C306.9 325.2 312 337.1 312 352V352zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464z"],
    "gauge-simple-low": [512, 512, ["tachometer-slow"], "f62c", "M213.7 315.4L146 161.7C140.7 149.5 146.2 135.4 158.3 130C170.5 124.7 184.6 130.2 189.1 142.3L257.6 296C287.8 296.9 312 321.6 312 352C312 382.9 286.9 408 256 408C225.1 408 200 382.9 200 352C200 337.1 205.1 325.2 213.7 315.4V315.4zM256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM464 256C464 141.1 370.9 48 256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256z"],
    "gauge-simple-max": [512, 512, ["tachometer-fastest"], "f62b", "M256 296C266.3 296 275.9 298.8 284.2 303.6L394.4 228.2C405.4 220.7 420.3 223.5 427.8 234.4C435.3 245.4 432.5 260.3 421.6 267.8L311.3 343.2C311.8 346.1 312 349 312 352C312 382.9 286.9 408 256 408C225.1 408 200 382.9 200 352C200 321.1 225.1 295.1 256 295.1V296zM256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM464 256C464 141.1 370.9 48 256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256z"],
    "gauge-simple-min": [512, 512, ["tachometer-slowest"], "f62d", "M312 352C312 382.9 286.9 408 256 408C225.1 408 200 382.9 200 352C200 349 200.2 346.1 200.7 343.2L90.45 267.8C79.51 260.3 76.71 245.4 84.19 234.4C91.68 223.5 106.6 220.7 117.6 228.2L227.8 303.6C236.1 298.8 245.7 296 256 296C286.9 296 312 321.1 312 352V352zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464z"],
    "gavel": [512, 512, ["legal"], "f0e3", "M512 216c0-9.079-7.009-23.88-23.72-23.88c-5.738 0-11.49 2.064-16.09 6.142l-158.5-158.5c4.078-4.593 6.143-10.35 6.143-16.09C319.9 7.028 305.2 0 296 0c-6.141 0-12.48 2.344-17.17 7.031l-127.8 128C146.3 139.7 144 145.9 144 152c0 12.79 10.3 24 24 24c5.689 0 11.27-2.234 15.8-6.258L246.1 232L175 303L169.4 297.4C163.1 291.1 154.9 288 146.7 288S130.4 291.1 124.1 297.4l-114.7 114.7c-6.25 6.248-9.375 14.43-9.375 22.62s3.125 16.37 9.375 22.62l45.25 45.25C60.87 508.9 69.06 512 77.25 512s16.37-3.125 22.62-9.375l114.7-114.7c6.25-6.25 9.376-14.44 9.376-22.62c0-8.185-3.125-16.37-9.374-22.62l-5.656-5.656L280 265.9l62.26 62.26c-4.078 4.593-6.143 10.35-6.143 16.09C336.1 360.1 350.8 368 360 368c6.141 0 12.28-2.344 16.97-7.031l128-127.8C509.7 228.5 512 222.1 512 216zM376 294.1L217.9 136L280 73.94L438.1 232L376 294.1z"],
    "gear": [512, 512, [9881, "cog"], "f013", "M160 256C160 202.1 202.1 160 256 160C309 160 352 202.1 352 256C352 309 309 352 256 352C202.1 352 160 309 160 256zM256 208C229.5 208 208 229.5 208 256C208 282.5 229.5 304 256 304C282.5 304 304 282.5 304 256C304 229.5 282.5 208 256 208zM293.1 .0003C315.3 .0003 334.6 15.19 339.8 36.74L347.6 69.21C356.1 73.36 364.2 78.07 371.9 83.28L404 73.83C425.3 67.56 448.1 76.67 459.2 95.87L496.3 160.1C507.3 179.3 503.8 203.6 487.8 218.9L463.5 241.1C463.8 246.6 464 251.3 464 256C464 260.7 463.8 265.4 463.5 270L487.8 293.1C503.8 308.4 507.3 332.7 496.3 351.9L459.2 416.1C448.1 435.3 425.3 444.4 404 438.2L371.9 428.7C364.2 433.9 356.1 438.6 347.6 442.8L339.8 475.3C334.6 496.8 315.3 512 293.1 512H218.9C196.7 512 177.4 496.8 172.2 475.3L164.4 442.8C155.9 438.6 147.8 433.9 140.1 428.7L107.1 438.2C86.73 444.4 63.94 435.3 52.85 416.1L15.75 351.9C4.66 332.7 8.168 308.4 24.23 293.1L48.47 270C48.16 265.4 48 260.7 48 255.1C48 251.3 48.16 246.6 48.47 241.1L24.23 218.9C8.167 203.6 4.66 179.3 15.75 160.1L52.85 95.87C63.94 76.67 86.73 67.56 107.1 73.83L140.1 83.28C147.8 78.07 155.9 73.36 164.4 69.21L172.2 36.74C177.4 15.18 196.7 0 218.9 0L293.1 .0003zM205.5 103.6L194.3 108.3C181.6 113.6 169.8 120.5 159.1 128.7L149.4 136.1L94.42 119.9L57.31 184.1L98.81 223.6L97.28 235.6C96.44 242.3 96 249.1 96 256C96 262.9 96.44 269.7 97.28 276.4L98.81 288.4L57.32 327.9L94.42 392.1L149.4 375.9L159.1 383.3C169.8 391.5 181.6 398.4 194.3 403.7L205.5 408.4L218.9 464H293.1L306.5 408.4L317.7 403.7C330.4 398.4 342.2 391.5 352.9 383.3L362.6 375.9L417.6 392.1L454.7 327.9L413.2 288.4L414.7 276.4C415.6 269.7 416 262.9 416 256C416 249.1 415.6 242.3 414.7 235.6L413.2 223.6L454.7 184.1L417.6 119.9L362.6 136.1L352.9 128.7C342.2 120.5 330.4 113.6 317.7 108.3L306.5 103.6L293.1 48H218.9L205.5 103.6z"],
    "gears": [640, 512, ["cogs"], "f085", "M119.1 176C119.1 153.9 137.9 136 159.1 136C182.1 136 199.1 153.9 199.1 176C199.1 198.1 182.1 216 159.1 216C137.9 216 119.1 198.1 119.1 176zM207.3 23.36L213.9 51.16C223.4 55.3 232.4 60.5 240.6 66.61L267.7 58.52C273.2 56.85 279.3 58.3 283.3 62.62C299.5 80.44 311.9 101.8 319.3 125.4C321.1 130.9 319.3 136.9 315.1 140.9L294.1 160C295.7 165.5 295.1 171.1 295.1 176.8C295.1 181.1 295.7 187.1 295.2 192.1L315.1 211.1C319.3 215.1 321.1 221.1 319.3 226.6C311.9 250.2 299.5 271.6 283.3 289.4C279.3 293.7 273.2 295.2 267.7 293.5L242.1 285.8C233.3 292.5 223.7 298.1 213.5 302.6L207.3 328.6C205.1 334.3 201.7 338.8 196 340.1C184.4 342.6 172.4 344 159.1 344C147.6 344 135.6 342.6 123.1 340.1C118.3 338.8 114 334.3 112.7 328.6L106.5 302.6C96.26 298.1 86.67 292.5 77.91 285.8L52.34 293.5C46.75 295.2 40.65 293.7 36.73 289.4C20.5 271.6 8.055 250.2 .6513 226.6C-1.078 221.1 .6929 215.1 4.879 211.1L24.85 192.1C24.29 187.1 24 181.1 24 176.8C24 171.1 24.34 165.5 25.01 160L4.879 140.9C.6936 136.9-1.077 130.9 .652 125.4C8.056 101.8 20.51 80.44 36.73 62.62C40.65 58.3 46.75 56.85 52.34 58.52L79.38 66.61C87.62 60.5 96.57 55.3 106.1 51.17L112.7 23.36C114 17.71 118.3 13.17 123.1 11.91C135.6 9.35 147.6 8 159.1 8C172.4 8 184.4 9.35 196 11.91C201.7 13.16 205.1 17.71 207.3 23.36L207.3 23.36zM63.1 176.8C63.1 180.5 64.21 184.1 64.6 187.7L66.79 207.4L44.25 228.9C47.68 236.5 51.84 243.7 56.63 250.4L85.96 241.7L102.2 254C108.4 258.7 115.1 262.7 122.3 265.8L140.8 273.8L147.8 303.4C151.8 303.8 155.9 304 159.1 304C164.1 304 168.2 303.8 172.2 303.4L179.2 273.8L197.7 265.8C204.9 262.7 211.6 258.7 217.8 254L234 241.7L263.4 250.4C268.2 243.7 272.3 236.5 275.7 228.9L253.2 207.4L255.4 187.7C255.8 184.1 255.1 180.5 255.1 176.8C255.1 172.7 255.8 168.7 255.3 164.8L252.9 144.9L275.7 123.1C272.3 115.5 268.2 108.3 263.4 101.6L232.9 110.7L216.8 98.74C210.1 94.42 204.7 90.76 197.1 87.85L179.6 79.87L172.2 48.58C168.2 48.2 164.1 48 159.1 48C155.9 48 151.8 48.2 147.8 48.58L140.4 79.87L122 87.85C115.3 90.76 109 94.42 103.2 98.74L87.1 110.7L56.63 101.6C51.84 108.3 47.68 115.5 44.25 123.1L67.14 144.9L64.72 164.8C64.25 168.7 63.1 172.7 63.1 176.8L63.1 176.8zM464 312C486.1 312 504 329.9 504 352C504 374.1 486.1 392 464 392C441.9 392 424 374.1 424 352C424 329.9 441.9 312 464 312zM581.5 244.3L573.4 271.4C579.5 279.6 584.7 288.6 588.8 298.1L616.6 304.7C622.3 306 626.8 310.3 628.1 315.1C630.6 327.6 632 339.6 632 352C632 364.4 630.6 376.4 628.1 388C626.8 393.7 622.3 397.1 616.6 399.3L588.8 405.9C584.7 415.4 579.5 424.4 573.4 432.6L581.5 459.7C583.2 465.3 581.7 471.4 577.4 475.3C559.6 491.5 538.2 503.9 514.6 511.4C509.1 513.1 503.1 511.3 499.1 507.1L479.1 486.1C474.5 487.7 468.9 488 463.2 488C458 488 452.9 487.7 447.9 487.2L428.9 507.1C424.9 511.3 418.9 513.1 413.4 511.4C389.8 503.9 368.4 491.5 350.6 475.3C346.3 471.4 344.8 465.3 346.5 459.7L354.2 434.1C347.5 425.3 341.9 415.7 337.4 405.5L311.4 399.3C305.7 397.1 301.2 393.7 299.9 388C297.3 376.4 295.1 364.4 295.1 352C295.1 339.6 297.4 327.6 299.9 315.1C301.2 310.3 305.7 306 311.4 304.7L337.4 298.5C341.9 288.3 347.5 278.7 354.2 269.9L346.5 244.3C344.8 238.8 346.3 232.7 350.6 228.7C368.4 212.5 389.8 200.1 413.4 192.7C418.9 190.9 424.9 192.7 428.9 196.9L447.9 216.9C452.9 216.3 458 216 463.2 216C468.9 216 474.5 216.4 479.1 217L499.1 196.9C503.1 192.7 509.1 190.9 514.6 192.7C538.2 200.1 559.6 212.5 577.4 228.7C581.7 232.7 583.2 238.8 581.5 244.3V244.3zM463.2 256C459.5 256 455.9 256.2 452.3 256.6L432.6 258.8L411.1 236.3C403.5 239.7 396.3 243.8 389.6 248.6L398.3 277.1L385.1 294.2C381.3 300.4 377.3 307.1 374.2 314.3L366.2 332.8L336.6 339.8C336.2 343.8 336 347.9 336 352C336 356.1 336.2 360.2 336.6 364.2L366.2 371.2L374.2 389.7C377.3 396.9 381.3 403.6 385.1 409.8L398.3 426L389.6 455.4C396.3 460.2 403.5 464.3 411.1 467.8L432.6 445.2L452.3 447.4C455.9 447.8 459.5 448 463.2 448C467.3 448 471.3 447.8 475.2 447.3L495.1 444.9L516.9 467.8C524.5 464.3 531.7 460.2 538.4 455.4L529.3 424.9L541.3 408.8C545.6 402.1 549.2 396.7 552.2 389.1L560.1 371.6L591.4 364.2C591.8 360.2 592 356.1 592 352C592 347.9 591.8 343.8 591.4 339.8L560.1 332.4L552.2 314C549.2 307.4 545.6 301 541.3 295.2L529.3 279.1L538.4 248.6C531.7 243.8 524.5 239.7 516.9 236.3L495.1 259.1L475.2 256.7C471.3 256.3 467.3 256 463.2 256V256z"],
    "gem": [512, 512, [128142], "f3a5", "M507.9 196.4l-104-153.8C399.4 35.95 391.1 32 384 32H127.1C120 32 112.6 35.95 108.1 42.56l-103.1 153.8c-6.312 9.297-5.281 21.72 2.406 29.89l231.1 246.2C243.1 477.3 249.4 480 256 480s12.94-2.734 17.47-7.547l232-246.2C513.2 218.1 514.2 205.7 507.9 196.4zM382.5 96.59L446.1 192h-140.1L382.5 96.59zM256 178.9L177.6 80h156.7L256 178.9zM129.5 96.59L205.1 192H65.04L129.5 96.59zM256 421L85.42 240h341.2L256 421z"],
    "genderless": [384, 512, [], "f22d", "M192 80C94.8 80 16 158.8 16 256s78.8 176 176 176s176-78.8 176-176S289.2 80 192 80zM192 384c-70.58 0-128-57.42-128-128s57.42-128 128-128s128 57.42 128 128S262.6 384 192 384z"],
    "ghost": [384, 512, [128123], "f6e2", "M192 0C190 0 188.1-.0218 186.1 .1032c-105.1 3.125-186.1 94.77-186.1 199.9v264c0 9.625 7.856 15.99 16.11 15.99c3.875 0 7.819-1.486 11.19-4.736l24.95-18.5c2.875-2.125 6.251-3.157 9.501-3.157c4.5 0 8.874 1.782 11.1 5.407l43 48.31C119.9 510.5 123.9 512 128 512c4.125 0 8.229-1.538 11.35-4.663l40.62-45.81c3.25-3.625 7.625-5.41 12-5.41c4.375 0 8.75 1.785 11.1 5.41l40.63 45.81C247.8 510.5 251.9 512 255.1 512s8.146-1.538 11.27-4.663l43-48.31c5.5-6.25 14.88-7.25 21.5-2.25l24.95 18.5c3.375 3.25 7.32 4.736 11.19 4.736c8.25 0 16.11-6.362 16.11-15.99V192C384 86 298 0 192 0zM336 407.1c-4.5-1-9.125-1.5-13.75-1.5c-18.25 0-35.75 7.75-47.87 21.5L256 447.8l-16.12-18.13C227.8 415.9 210.2 408.1 192 408.1s-35.75 7.75-47.88 21.5L128 447.8l-18.38-20.63C97.5 413.4 80 405.6 61.75 405.6c-4.625 0-9.25 .5-13.75 1.5V200c0-81.5 62.62-149.6 139.5-151.9L192 48c79.38 0 144 64.62 144 144V407.1zM128 159.1c-17.62 0-31.1 14.38-31.1 32.01s14.38 32.01 31.1 32.01s32-14.38 32-32.01S145.6 159.1 128 159.1zM256 159.1c-17.62 0-32 14.38-32 32.01s14.38 32.01 32 32.01c17.62 0 32-14.38 32-32.01S273.6 159.1 256 159.1z"],
    "gif": [576, 512, [], "e190", "M512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM528 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h448c8.822 0 16 7.178 16 16V416zM464 164h-88c-11.05 0-20 8.953-20 20v144c0 11.05 8.953 20 20 20s20-8.953 20-20V276H448c11.05 0 20-8.953 20-20S459 236 448 236h-52v-32H464c11.05 0 20-8.953 20-20S475 164 464 164zM304 164c-11.05 0-20 8.953-20 20v144c0 11.05 8.953 20 20 20s20-8.953 20-20v-144C324 172.1 315 164 304 164zM240 244H182.8c-11.05 0-20 8.953-20 20s8.953 20 20 20H220v13.73c-20.47 14.67-55.2 12.61-72.77-4.969C137.4 282.9 132 269.9 132 256s5.406-26.94 15.23-36.77c19.66-19.67 52.7-19.67 72.36 0c7.797 7.812 20.45 7.812 28.28 0c7.812-7.797 7.812-20.47 0-28.28c-34.75-34.75-94.17-34.78-128.9 0C101.6 208.3 92 231.4 92 256s9.578 47.67 26.95 65.05C136.1 338.2 160.7 348 186.5 348c25.83 0 50.47-9.828 67.59-26.95C257.9 317.3 260 312.2 260 306.9V264C260 252.1 251 244 240 244z"],
    "gift": [512, 512, [127873], "f06b", "M256 85.46L280.1 44.45C296.3 16.91 325.9 0 357.8 0H360C408.6 0 448 39.4 448 88C448 102.4 444.5 115.1 438.4 128H464C490.5 128 512 149.5 512 176V240C512 260.9 498.6 278.7 480 285.3V448C480 483.3 451.3 512 416 512H96C60.65 512 32 483.3 32 448V285.3C13.36 278.7 0 260.9 0 240V176C0 149.5 21.49 128 48 128H73.6C67.46 115.1 64 102.4 64 88C64 39.4 103.4 0 152 0H154.2C186.1 0 215.7 16.91 231.9 44.45L256 85.46zM288 176V240H464V176H288zM224 176H48V240H224V176zM224 288H80V448C80 456.8 87.16 464 96 464H224V288zM288 464H416C424.8 464 432 456.8 432 448V288H288V464zM360 128C382.1 128 400 110.1 400 88C400 65.91 382.1 48 360 48H357.8C342.9 48 329.1 55.91 321.5 68.78L286.7 128H360zM225.3 128L190.5 68.78C182.9 55.91 169.1 48 154.2 48H152C129.9 48 112 65.91 112 88C112 110.1 129.9 128 152 128H225.3z"],
    "gift-card": [576, 512, [], "f663", "M263.9 44.45L288 85.46L312.1 44.45C328.3 16.91 357.9 0 389.8 0H392C440.6 0 480 39.4 480 88C480 102.4 476.5 115.1 470.4 128H512C547.3 128 576 156.7 576 192V448C576 483.3 547.3 512 512 512H64C28.65 512 0 483.3 0 448V192C0 156.7 28.65 128 64 128H105.6C99.46 115.1 96 102.4 96 88C96 39.4 135.4 0 184 0H186.2C218.1 0 247.7 16.91 263.9 44.45zM318.7 128H392C414.1 128 432 110.1 432 88C432 65.91 414.1 48 392 48H389.8C374.9 48 361.1 55.91 353.5 68.78L318.7 128zM288 197.5L226.4 271.4C217.1 281.5 202.8 282.9 192.6 274.4C182.5 265.1 181.1 250.8 189.6 240.6L243.4 176H64C55.16 176 48 183.2 48 192V320H528V192C528 183.2 520.8 176 512 176H332.6L386.4 240.6C394.9 250.8 393.5 265.1 383.4 274.4C373.2 282.9 358 281.5 349.6 271.4L288 197.5zM48 384V448C48 456.8 55.16 464 64 464H512C520.8 464 528 456.8 528 448V384H48zM257.3 128L222.5 68.78C214.9 55.91 201.1 48 186.2 48H184C161.9 48 144 65.91 144 88C144 110.1 161.9 128 184 128H257.3z"],
    "gifts": [640, 512, [], "f79c", "M192.5 55.09L217.9 36.59C228.6 28.79 243.6 31.16 251.4 41.88C259.2 52.6 256.8 67.61 246.1 75.41L217.8 96H224C245.1 96 263.8 106.2 275.4 121.9C268.1 128.3 261.7 135.8 256.4 144H64C55.16 144 48 151.2 48 160V448C48 456.8 55.16 464 64 464H192V480C192 491.7 195.1 502.6 200.6 512H64C28.65 512 0 483.3 0 448V160C0 124.7 28.65 96 64 96H70.2L41.88 75.41C31.16 67.61 28.79 52.6 36.59 41.88C44.39 31.16 59.4 28.79 70.12 36.59L97.55 56.54L89.23 31.59C85.04 19.01 91.84 5.423 104.4 1.232C116.1-2.96 130.6 3.836 134.8 16.41L144.7 46.17L155.4 15.99C159.8 3.493 173.5-3.048 186 1.377C198.5 5.802 205 19.52 200.6 32.01L192.5 55.09zM344.2 128C366.6 128 387.8 138.4 401.5 156.2L432 195.8L462.5 156.2C476.2 138.4 497.4 128 519.8 128C559.5 128 592 160.1 592 200C592 208.4 590.6 216.5 587.9 224H592C618.5 224 640 245.5 640 272V464C640 490.5 618.5 512 592 512H272C245.5 512 224 490.5 224 464V272C224 245.5 245.5 224 272 224H276.1C273.4 216.5 272 208.4 272 200C272 160.1 304.5 128 344.2 128H344.2zM363.5 185.5C358.9 179.5 351.7 176 344.2 176C330.8 176 320 186.9 320 200C320 213.3 330.7 224 344 224H393.1L363.5 185.5zM272 344H408V272H272V344zM272 464H408V392H272V464zM592 392H456V464H592V392zM456 344H592V272H456V344zM519.8 176C512.3 176 505.1 179.5 500.5 185.5L470.9 224H520C533.3 224 544 213.3 544 200C544 186.9 533.2 176 519.8 176H519.8z"],
    "gingerbread-man": [448, 512, [], "f79d", "M192 95.1c-8.748 0-15.98 7.253-15.98 16S183.3 128 192 128s15.1-7.25 15.1-16S200.8 95.1 192 95.1zM224 335.1c-8.748 0-15.1 7.251-15.1 16s7.252 15.1 15.1 15.1s16-7.249 16-15.1S232.8 335.1 224 335.1zM446.7 226.6c-7.624-46.75-48.49-81-97.98-82.5c.8748-5.875 1.25-12 1.25-18.12c0-33.75-13.12-65.25-36.87-89.13C289.3 13.12 257.8 0 224 0s-65.23 13.12-89.1 36.88C111.2 60.75 98.05 92.25 98.05 126c0 6.124 .3749 12.12 1.25 18.12c-49.37 1.5-90.36 35.75-97.98 82.5C-3.434 255.8 4.815 285.4 23.81 307.8c11.37 13.37 25.75 23.25 41.74 29.12l-6.999 8.5c-17.1 21.62-26.62 50.25-23.62 78.5c2.874 27 15.87 50.88 36.74 67.13C89.05 504.5 110.8 512 133 512c29.74 0 57.74-13.12 76.74-36l14.25-17l14.25 17C257.3 498.9 285.3 512 315 512c22.25 0 43.99-7.5 61.49-21.12c20.75-16.12 33.74-40 36.74-67.12c2.999-28.25-5.624-56.88-23.62-78.5l-6.999-8.5c15.1-5.875 30.24-15.75 41.62-29C443.2 285.4 451.4 255.8 446.7 226.6zM347.1 295h-31.24c-8.124 0-14.75 6.625-14.75 14.75c0 3.5 1.25 6.875 3.374 9.5L352.7 376c18.87 22.75 17.5 58.75-5.874 77c-25.5 19.88-56.86 10.25-71.86-7.75L244 408c-5.249-6.25-12.62-9.375-19.1-9.375S209.3 401.8 204 408L172.9 445.2c-14.1 18.13-46.37 27.63-71.86 7.75C77.8 434.8 76.3 398.8 95.3 376L142.5 319.2c2.25-2.625 3.374-6 3.374-9.5c0-8.125-6.624-14.75-14.75-14.75H100C33.18 295 28.06 192 102.8 192H163.3c5.749 0 8.498-7.875 4.499-12.12c-13.5-14-21.75-33-21.75-53.87C146 82.88 180.9 48 224 48s77.99 34.88 77.99 78c0 20.87-8.248 39.87-21.75 53.87C276.3 184.1 278.9 192 284.8 192h60.49C419.1 192 414.1 295 347.1 295zM224 271.1c-8.748 0-15.1 7.252-15.1 16s7.252 15.1 15.1 15.1s16-7.249 16-15.1S232.8 271.1 224 271.1zM256 95.1c-8.748 0-15.99 7.253-15.99 16S247.3 128 256 128s15.1-7.25 15.1-16S264.8 95.1 256 95.1zM224 207.1c-8.748 0-15.1 7.251-15.1 16s7.252 15.1 15.1 15.1s16-7.249 16-15.1S232.8 207.1 224 207.1z"],
    "glass": [384, 512, [129371], "f804", "M360 0C366.7 0 373.1 2.82 377.7 7.775C382.2 12.73 384.5 19.36 383.9 26.06L347.7 446.2C344.5 483.4 313.3 512 275.1 512H108C70.67 512 39.52 483.4 36.31 446.2L.0886 26.06C-.489 19.36 1.77 12.73 6.316 7.775C10.86 2.82 17.28 0 24 0L360 0zM326.9 128L333.8 48H50.16L57.06 128H326.9zM61.19 176L84.13 442.1C85.2 454.5 95.58 464 108 464H275.1C288.4 464 298.8 454.5 299.9 442.1L322.8 176H61.19z"],
    "glass-citrus": [512, 512, [], "f869", "M368 0c-62.62 0-115.4 40.25-135.1 96h52.5c16.62-28.5 47.24-48 82.62-48c52.1 0 95.99 43 95.99 96c0 50.13-38.62 90.88-87.62 95.13l-4.875 48.5C449.4 285.8 512 222.4 512 144C512 64.5 447.5 0 368 0zM319.1 128H32.02c-9 0-17.62 3.875-23.75 10.5c-6 6.75-8.998 15.62-8.123 24.62l29.13 291.2C32.56 487.1 60.09 512 92.96 512h166.1c32.88 0 60.41-24.92 63.68-57.63l29.1-291.2c.875-9-2.124-17.87-8.124-24.62C337.6 131.9 328.1 128 319.1 128zM275 449.6C274.2 457.8 267.3 464 259.1 464H92.96c-8.254 0-15.1-6.195-15.92-14.41L62.49 304h227.1L275 449.6zM294.4 256H57.69l-8-80h252.7L294.4 256z"],
    "glass-empty": [384, 512, [], "e191", "M6.316 7.775C10.86 2.82 17.28 0 24 0H360C366.7 0 373.1 2.82 377.7 7.775C382.2 12.73 384.5 19.36 383.9 26.06L347.7 446.2C344.5 483.4 313.3 512 275.1 512H108C70.67 512 39.52 483.4 36.31 446.2L.0886 26.06C-.489 19.36 1.77 12.73 6.316 7.775H6.316zM50.16 48L84.13 442.1C85.2 454.5 95.58 464 108 464H275.1C288.4 464 298.8 454.5 299.9 442.1L333.8 48H50.16z"],
    "glass-half": [384, 512, ["glass-half-empty", "glass-half-full"], "e192", "M360 0C366.7 0 373.1 2.82 377.7 7.775C382.2 12.73 384.5 19.36 383.9 26.06L347.7 446.2C344.5 483.4 313.3 512 275.1 512H108C70.67 512 39.52 483.4 36.31 446.2L.0886 26.06C-.489 19.36 1.77 12.73 6.316 7.775C10.86 2.82 17.28 0 24 0L360 0zM317.3 240L333.8 48H50.16L66.71 240H317.3zM70.85 288L84.13 442.1C85.2 454.5 95.58 464 108 464H275.1C288.4 464 298.8 454.5 299.9 442.1L313.2 288H70.85z"],
    "glass-water": [384, 512, [], "e4f4", "M360 0C366.7 0 373.1 2.82 377.7 7.775C382.2 12.73 384.5 19.36 383.9 26.06L347.7 446.2C344.5 483.4 313.3 512 275.1 512H108C70.67 512 39.52 483.4 36.31 446.2L.0886 26.06C-.489 19.36 1.77 12.73 6.316 7.775C10.86 2.82 17.28 0 24 0L360 0zM82.81 148.3C99 157.3 119 155.6 133.5 144.1C167.7 116.7 216.3 116.7 250.5 144.1C264.1 155.6 284.1 157.3 301.2 148.3L326.4 134.3L333.8 47.1H50.16L57.6 134.3L82.81 148.3zM62.57 191.9L84.13 442.1C85.2 454.5 95.58 464 108 464H275.1C288.4 464 298.8 454.5 299.9 442.1L321.4 191.9C288.8 208.5 249.3 204.6 220.5 181.5C203.8 168.2 180.2 168.2 163.5 181.5C134.7 204.6 95.22 208.5 62.57 191.9V191.9z"],
    "glass-water-droplet": [384, 512, [], "e4f5", "M256 196C256 229.1 227.3 256 192 256C156.7 256 128 229.1 128 196C128 171.1 161.7 125.9 180.2 102.5C186.3 94.77 197.7 94.77 203.8 102.5C222.3 125.9 256 171.1 256 196zM360 0C366.7 0 373.1 2.82 377.7 7.775C382.2 12.73 384.5 19.36 383.9 26.06L347.7 446.2C344.5 483.4 313.3 512 275.1 512H108C70.67 512 39.52 483.4 36.31 446.2L.0886 26.06C-.489 19.36 1.77 12.73 6.316 7.775C10.86 2.82 17.28 0 24 0L360 0zM82.81 324.3C99 333.3 119 331.6 133.5 320.1C167.7 292.7 216.3 292.7 250.5 320.1C264.1 331.6 284.1 333.3 301.2 324.3L310.5 319.2L333.8 47.1H50.16L73.54 319.2L82.81 324.3zM78.28 374.2L84.13 442.1C85.2 454.5 95.58 464 108 464H275.1C288.4 464 298.8 454.5 299.9 442.1L305.7 374.2C276.7 382.8 244.8 376.1 220.5 357.5C203.8 344.2 180.2 344.2 163.5 357.5C139.2 376.1 107.3 382.8 78.28 374.2H78.28z"],
    "glasses": [576, 512, [], "f530", "M574.1 280.4l-45.38-181.8c-5.875-23.63-21.62-44-43-55.75c-21.5-11.75-46.1-14.13-70.25-6.375l-15.25 5.125c-8.375 2.75-12.87 11.88-10 20.25l5 15.13c2.75 8.375 11.88 12.88 20.25 10.13l13.12-4.375c10.88-3.625 23-3.625 33.25 1.75c10.25 5.375 17.5 14.5 20.38 25.75l38.38 153.9c-22.12-6.875-49.75-12.5-81.13-12.5c-40 0-85.63 9.25-133.1 36.38H269.6C222.2 260.9 176.5 251.6 136.5 251.6c-31.38 0-59 5.625-81.12 12.5l38.38-153.9c2.875-11.25 10.12-20.38 20.5-25.75C124.4 79.12 136.5 79.12 147.4 82.74l13.12 4.375c8.375 2.75 17.5-1.75 20.25-10.13l5-15.13C188.6 53.49 184.1 44.37 175.6 41.62l-15.25-5.125c-23.13-7.75-48.75-5.375-70.13 6.375c-21.37 11.75-37.12 32.13-43 55.75L1.875 280.4C.6251 285.4 .0001 290.6 .0001 295.9v70.25C.0001 428.1 51.63 480 115.3 480h37.13c60.25 0 110.4-46 114.9-105.4l2.875-38.63h35.75l2.875 38.63C313.3 433.1 363.4 480 423.6 480h37.13c63.62 0 115.2-51 115.2-113.9V295.9C576 290.6 575.4 285.5 574.1 280.4zM219.4 370.1C216.8 405.2 187.2 431.1 152.2 431.1h-37c-37.12 0-67.25-29.5-67.25-65.88V317.6c19.75-8.125 51.25-18 88.62-18c29.75 0 58.88 6.25 86.75 18.5L219.4 370.1zM528 366.1c0 36.38-30.12 65.88-67.25 65.88h-37.13c-34.87 0-64.38-26.75-67-61l-4-52.88c28-12.25 57-18.5 86.88-18.5c37.38 0 68.75 9.875 88.5 18V366.1z"],
    "glasses-round": [576, 512, [128083, "glasses-alt"], "f5f5", "M560.5 225.9L528.8 98.62C521.1 71.75 495 32 443.4 32c-15.62 0-23.12 3-43.13 9.625c-8.375 2.75-12.87 11.88-10 20.25l5 15.12C397.5 83.75 403.8 88 410.4 88c3.625 0 4.875-.75 18.25-5.25c26.13-8.625 48.25 6.125 53.63 27.5L511.9 229c-20.88-13.12-45.37-21-71.87-21c-55.13 0-102.2 32.88-123.6 80H259.6C238.2 240.9 191.1 207.1 136 207.1c-26.5 0-51 7.877-71.88 21l29.63-118.8c5.375-21.37 27.5-36.25 53.63-27.5C160.8 87.25 161.1 88 165.6 88c6.625 0 12.88-4.25 15.13-11l5-15.12c2.875-8.375-1.625-17.5-10-20.25C155.8 35 148.3 32 132.6 32c-51.62 0-78.63 39.75-85.38 66.62L15.5 225.9C2.125 279.4 .0001 300.1 .0001 343.1c0 75.13 60.88 136 136 136c72.38 0 130.1-56.75 135.2-127.1h33.5c4.25 71.25 62.88 127.1 135.3 127.1c75.13 0 136-60.88 136-136C576 300.1 573.9 279.4 560.5 225.9zM136 432c-48.5 0-88-39.5-88-88S87.5 256 136 256s87.1 39.5 87.1 88S184.5 432 136 432zM440 432c-48.5 0-88-39.5-88-88s39.5-88 88-88s88 39.5 88 88S488.5 432 440 432z"],
    "globe": [512, 512, [127760], "f0ac", "M256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM256 464C263.4 464 282.1 456.8 303.6 415.6C312.4 397.9 319.1 376.4 325.6 352H186.4C192 376.4 199.6 397.9 208.4 415.6C229 456.8 248.6 464 256 464zM178.5 304H333.5C335.1 288.7 336 272.6 336 256C336 239.4 335.1 223.3 333.5 208H178.5C176.9 223.3 176 239.4 176 256C176 272.6 176.9 288.7 178.5 304V304zM325.6 160C319.1 135.6 312.4 114.1 303.6 96.45C282.1 55.22 263.4 48 256 48C248.6 48 229 55.22 208.4 96.45C199.6 114.1 192 135.6 186.4 160H325.6zM381.8 208C383.2 223.5 384 239.6 384 256C384 272.4 383.2 288.5 381.8 304H458.4C462.1 288.6 464 272.5 464 256C464 239.5 462.1 223.4 458.4 208H381.8zM342.1 66.61C356.2 92.26 367.4 124.1 374.7 160H440.6C419.2 118.9 384.4 85.88 342.1 66.61zM169.9 66.61C127.6 85.88 92.84 118.9 71.43 160H137.3C144.6 124.1 155.8 92.26 169.9 66.61V66.61zM48 256C48 272.5 49.93 288.6 53.57 304H130.2C128.8 288.5 128 272.4 128 256C128 239.6 128.8 223.5 130.2 208H53.57C49.93 223.4 48 239.5 48 256zM440.6 352H374.7C367.4 387.9 356.2 419.7 342.1 445.4C384.4 426.1 419.2 393.1 440.6 352zM137.3 352H71.43C92.84 393.1 127.6 426.1 169.9 445.4C155.8 419.7 144.6 387.9 137.3 352V352z"],
    "globe-snow": [448, 512, [], "f7a3", "M232 80C218.8 80 208 90.75 208 104S218.8 128 232 128S256 117.2 256 104S245.3 80 232 80zM104 160C90.75 160 80 170.8 80 184S90.75 208 104 208S128 197.2 128 184S117.2 160 104 160zM328 144c-13.25 0-24 10.75-24 24S314.8 192 328 192S352 181.2 352 168S341.2 144 328 144zM363.2 399c51.5-40.1 84.75-104 84.75-174.1c0-123.8-100.3-223.1-224-223.1S.0001 100.2 .0001 224c0 70.1 33.25 134 84.75 174.1l-46.38 61.75C22.62 481.9 37.63 512 64 512h320c26.38 0 41.38-30.12 25.62-51.25L363.2 399zM296.9 384l-40.87-.0001L256 336h57.88c14.25 0 22-15 12.88-24.88L276 256h15.28c10.75 0 16.5-11.25 9.75-18.75l-67.38-73.12c-5-5.5-14.38-5.5-19.38 0L146.9 237.3C140.2 244.8 145.9 256 156.7 256H172L121.2 311.1C112.2 321 120 336 134.2 336H192l.0001 47.1L151.1 384C90.38 356.2 48 295 48 224c0-97 79-176 176-176s176 79 176 176C400 295 357.6 356.2 296.9 384z"],
    "globe-stand": [448, 512, [], "f5f6", "M49.61 332.5C58.98 323.1 74.18 323.1 83.55 332.5C152.3 401.2 263.7 401.2 332.5 332.5C401.2 263.7 401.2 152.3 332.5 83.55C323.1 74.18 323.1 58.98 332.5 49.61L367 15.03C376.4 5.657 391.6 5.657 400.1 15.03C410.3 24.4 410.3 39.6 400.1 48.97L382.5 67.48C453.5 155.4 448.1 284.6 366.4 366.4C328.8 404 281.1 425.5 232 430.7V464H328C341.3 464 352 474.7 352 488C352 501.3 341.3 512 328 512H87.1C74.74 512 63.1 501.3 63.1 488C63.1 474.7 74.74 464 87.1 464H183.1V430.7C142.4 426.3 101.8 410.2 67.48 382.5L48.97 400.1C39.6 410.3 24.4 410.3 15.03 400.1C5.657 391.6 5.657 376.4 15.03 367L49.61 332.5zM352 207.1C352 287.5 287.5 352 208 352C128.5 352 64 287.5 64 207.1C64 128.5 128.5 63.1 208 63.1C287.5 63.1 352 128.5 352 207.1zM208 111.1C154.1 111.1 112 154.1 112 207.1C112 261 154.1 303.1 208 303.1C261 303.1 304 261 304 207.1C304 154.1 261 111.1 208 111.1z"],
    "goal-net": [640, 512, [], "e3ab", "M552 32H88C39.47 32 0 71.47 0 120v336C0 469.3 10.75 480 24 480s24-10.75 24-24V120c0-22.06 17.94-40 40-40h464c22.06 0 40 17.94 40 40v336c0 13.25 10.75 24 24 24S640 469.3 640 456V120C640 71.47 600.5 32 552 32zM528 224C536.8 224 544 216.8 544 208C544 199.2 536.8 192 528 192H480V144C480 135.2 472.8 128 464 128S448 135.2 448 144V192h-64V144C384 135.2 376.8 128 368 128S352 135.2 352 144V192H288V144C288 135.2 280.8 128 272 128S256 135.2 256 144V192H192V144C192 135.2 184.8 128 176 128S160 135.2 160 144V192H112C103.2 192 96 199.2 96 208C96 216.8 103.2 224 112 224H160v64H112C103.2 288 96 295.2 96 304C96 312.8 103.2 320 112 320H160v64H112C103.2 384 96 391.2 96 400C96 408.8 103.2 416 112 416H160v48C160 472.8 167.2 480 176 480S192 472.8 192 464V416h64v48C256 472.8 263.2 480 272 480S288 472.8 288 464V416h64v48c0 8.836 7.164 16 16 16s16-7.164 16-16V416h64v48c0 8.836 7.164 16 16 16s16-7.164 16-16V416h48c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16H480v-64h48c8.836 0 16-7.164 16-16C544 295.2 536.8 288 528 288H480V224H528zM256 384H192v-64h64V384zM256 288H192V224h64V288zM352 384H288v-64h64V384zM352 288H288V224h64V288zM448 384h-64v-64h64V384zM448 288h-64V224h64V288z"],
    "golf-ball-tee": [384, 512, ["golf-ball"], "f450", "M203.1 171.7c0 17.83-14.73 32.23-32.43 32.23C167.8 203.9 163.9 203.3 160 201.9c4.625 12.88 16.5 22.12 30.88 22.12C209.3 224 224 209.3 224 190.9c0-14.38-9.25-26.25-22.12-30.88C203.3 164 203.1 167.9 203.1 171.7zM219.1 251.7c0 17.83-14.73 32.23-32.43 32.23c-3.748 0-7.629-.645-11.53-2.039c4.625 12.88 16.5 22.12 30.88 22.12C225.3 304 240 289.3 240 270.9c0-14.38-9.25-26.25-22.12-30.88C219.3 244 219.1 247.9 219.1 251.7zM283.1 187.7c0 17.83-14.73 32.23-32.43 32.23c-3.748 0-7.629-.645-11.53-2.039c4.625 12.88 16.5 22.12 30.88 22.12C289.3 240 304 225.3 304 206.9c0-14.38-9.25-26.25-22.12-30.88C283.3 180 283.1 183.9 283.1 187.7zM96 399.1c0 17.67 14.33 31.1 32 31.1s32 14.33 32 31.1v48h64v-48c0-17.67 14.33-31.1 32-31.1s32-14.33 32-31.1v-16H96V399.1zM192 .0001C86.13 .0001 0 86.13 0 192c0 91.33 70.37 161.8 95.93 161.8c11.12 0 24.06-8.647 24.06-23.94c0-7.578-3.582-15.03-10.27-19.71C71.06 283.3 48 239.1 48 192c0-79.41 64.59-144 144-144s144 64.59 144 144c0 47.06-23.06 91.25-61.72 118.2c-6.684 4.674-10.27 12.13-10.27 19.71c0 15.12 12.77 23.98 24.02 23.98C315 353.9 384 282.6 384 192C384 86.13 297.9 .0001 192 .0001z"],
    "golf-club": [512, 512, [], "f451", "M488 0c-8.809 0-17.3 4.84-21.51 13.25l-169.2 338.4L70.73 289.1C65.8 288.6 60.8 287.1 55.85 287.1C21.14 287.1 0 317.2 0 344v111.1C0 486.9 25.07 512 56 512H251.1c12.12 0 23.2-6.85 28.62-17.69l229.8-459.6C511.2 31.27 512 27.61 512 24C512 11.31 501.8 0 488 0zM241.2 463.1H56c-4.406 0-8-3.594-8-8V448l31.1-.0009c8.836 0 15.1-7.164 15.1-16c0-8.838-7.164-16-15.1-16L48 416v-16l31.1-.0003c8.836 0 15.1-7.165 15.1-16c0-8.838-7.164-16-15.1-16L48 368v-23.99c0-4.415 3.573-8.004 7.96-8.004c.6995 0 1.42 .0912 2.15 .2849l217.3 59.27L241.2 463.1z"],
    "golf-flag-hole": [512, 512, [], "e3ac", "M256 304c-16.07 0-32.15 .6074-48 1.75V242.7l198.4-99.21c6.39-3.195 9.584-9.353 9.584-15.51s-3.195-12.31-9.584-15.51L185.1 1.854C182.6 .582 179.9 0 177.3 0C168.2 0 160 7.311 160 17.36V408c0 17.67 35.82 32 80 32s80-14.33 80-32c0-17.67-35.82-32-80-32c-11.39 0-22.19 .9844-32 2.701V353.8C222.1 352.7 238.9 352 256 352c137.2 0 208 39.25 208 56S393.2 464 256 464s-208-39.25-208-56c0-10.33 27.14-29.2 80-42.16V316.1C54.75 332.1 0 363.5 0 408C0 476.3 128.8 512 256 512s256-35.72 256-104S383.2 304 256 304zM208 189.1V66.97l122.1 61.05L208 189.1z"],
    "gopuram": [512, 512, [], "f664", "M120 0C133.3 0 144 10.75 144 24V32H192V24C192 10.75 202.7 0 216 0C229.3 0 240 10.75 240 24V32H272V24C272 10.75 282.7 0 296 0C309.3 0 320 10.75 320 24V32H368V24C368 10.75 378.7 0 392 0C405.3 0 416 10.75 416 24V130.7C434.6 137.3 448 155.1 448 176V224C448 224.9 447.1 225.8 447.9 226.7C466.6 233.3 480 251.1 480 272V336C480 336.9 479.1 337.8 479.9 338.7C498.6 345.3 512 363.1 512 384V464C512 490.5 490.5 512 464 512H48C21.49 512 0 490.5 0 464V384C0 363.1 13.39 345.3 32.07 338.7C32.03 337.8 32 336.9 32 336V272C32 251.1 45.39 233.3 64.07 226.7C64.03 225.8 64 224.9 64 224V176C64 155.1 77.36 137.3 96 130.7V24C96 10.75 106.7 0 120 0zM144 128H368V80H144V128zM112 176V224H160V176H112zM320 176H192V224H224C224 206.3 238.3 192 256 192C273.7 192 288 206.3 288 224H320V176zM352 176V224H400V176H352zM160 272V336H224V320C224 302.3 238.3 288 256 288C273.7 288 288 302.3 288 320V336H352V272H160zM432 336V272H384V336H432zM208 464V448C208 421.5 229.5 400 256 400C282.5 400 304 421.5 304 448V464H384V384H128V464H208zM416 464H464V384H416V464zM80 272V336H128V272H80zM96 384H48V464H96V384z"],
    "graduation-cap": [640, 512, [127891, "mortar-board"], "f19d", "M623.1 136.9l-282.7-101.2C334.3 33.23 327.2 32 320 32S305.7 33.23 298.8 35.68L16.05 136.9C6.438 140.4 0 149.6 0 160s6.438 19.65 16.05 23.09L76.07 204.6c-11.89 15.8-20.26 34.16-24.55 53.95C40.05 263.4 32 274.8 32 288c0 9.953 4.814 18.49 11.94 24.36l-24.83 149C17.48 471.1 25 480 34.89 480H93.11c9.887 0 17.41-8.879 15.78-18.63l-24.83-149C91.19 306.5 96 297.1 96 288c0-10.29-5.174-19.03-12.72-24.89c4.252-17.76 12.88-33.82 24.94-47.03l190.6 68.23C305.7 286.8 312.8 288 320 288s14.35-1.229 21.21-3.684l282.7-101.2C633.6 179.6 640 170.4 640 160S633.6 140.4 623.1 136.9zM325.1 239.1c-4.428 1.584-8.197 .6816-10.09 .0059L175.5 189.2l149.2-45.92c8.453-2.594 13.16-11.55 10.57-20.02c-2.594-8.438-11.57-13.27-20.01-10.55L125.2 171.2L93.96 160l220.1-79.12c4.428-1.584 8.197-.6836 10.09-.0059L546 160L325.1 239.1zM452.3 278.5L464 390.7C464 401.3 414.5 432 320 432s-144-30.72-144-41.34l11.72-112.1l-46.08-16.5l-13.51 126.1C128 449.3 224.6 480 320 480s192-30.69 191.9-91.81l-13.51-126.1L452.3 278.5z"],
    "gramophone": [384, 512, [], "f8bd", "M56.1 319.1c4.875 0 9.533-1.465 13.41-4.215c40.25-27.38 124.1-77.16 201.2-77.16c12.62-.125 25.25 1.497 37.38 4.622c11.75 3.125 19.88 13.75 19.88 25.88c0 19.25-15.62 34.75-34.75 34.75H184c-13.25 0-24 10.75-24 24s10.75 24 24 24l109.2-.0018c45.63 0 82.75-37 82.75-82.75c0-33.88-22.75-63.38-55.38-72.25C236.9 174.5 175.4 64.97 150.9 13.6C146.5 4.474 137-.8811 127 .1189c-10 .875-18.37 7.976-20.1 17.6L32.82 289.8C30.95 297 32.38 304.7 37 310.6C41.5 316.5 48.6 319.1 56.1 319.1zM136.8 88.75c21.75 36.5 50.5 76 86 106.8C176.5 204.5 131.5 224.7 94.88 244.1L136.8 88.75zM359.1 463.1L352 463.1l0-48c0-17.6-14.4-32-32-32H64c-17.6 0-32 14.4-32 32L32 463.1l-7.1-.0003C10.75 463.1 0 474.7 0 487.1S10.75 512 24 512h335.1C373.3 512 384 501.3 384 487.1C384 474.7 373.3 463.1 359.1 463.1zM304 463.1h-224v-32h224V463.1z"],
    "grapes": [512, 512, [], "e306", "M327.9 184.1C325.9 139.6 289 104 244 104c-26.04 0-49.35 11.91-64.77 30.57C165.8 125.4 149.5 120 132 120C85.68 120 48 157.7 48 204c0 17.5 5.377 33.76 14.57 47.23C43.91 266.7 32 289.1 32 316c0 14.22 3.553 27.63 9.816 39.38C16.83 369.1 0 397 0 428C0 474.3 37.68 512 84 512c30.95 0 58.05-16.83 72.62-41.82C168.4 476.4 181.8 480 196 480c26.04 0 49.35-11.91 64.77-30.57C274.2 458.6 290.5 464 308 464c46.32 0 84-37.68 84-84c0-17.5-5.377-33.76-14.57-47.23C396.1 317.3 408 294 408 268C408 222.1 372.4 186.1 327.9 184.1zM84 464c-19.88 0-36-16.12-36-36s16.12-36 36-36s36 16.12 36 36S103.9 464 84 464zM116 352C96.12 352 80 335.9 80 316S96.12 280 116 280S152 296.1 152 316S135.9 352 116 352zM132 240C112.1 240 96 223.9 96 204S112.1 168 132 168S168 184.1 168 204S151.9 240 132 240zM196 432C176.1 432 160 415.9 160 396s16.12-36 36-36s36 16.12 36 36S215.9 432 196 432zM220 328c-19.88 0-36-16.12-36-36S200.1 256 220 256S256 272.1 256 292S239.9 328 220 328zM244 224C224.1 224 208 207.9 208 188S224.1 152 244 152s36 16.12 36 36S263.9 224 244 224zM308 416c-19.88 0-36-16.12-36-36s16.12-36 36-36s36 16.12 36 36S327.9 416 308 416zM324 304C304.1 304 288 287.9 288 268s16.12-36 36-36s36 16.12 36 36S343.9 304 324 304zM507.2 139.4c-33.12-31.33-77.06-37.86-114.9-19.77c18.08-37.78 11.56-81.72-19.76-114.8c-6.01-6.352-16.8-6.354-22.8 .0097c-40.48 42.96-39.09 103.8 3.263 145.9l8.246 8.246c42.12 42.35 103 43.74 145.9 3.263C513.6 156.2 513.6 145.4 507.2 139.4z"],
    "grate": [448, 512, [], "e193", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM400 96v136h-56V80H384C392.8 80 400 87.18 400 96zM200 280v152h-48V280H200zM152 232V80h48v152H152zM248 280h48v152h-48V280zM248 232V80h48v152H248zM64 80h40v152H48V96C48 87.18 55.18 80 64 80zM48 416V280h56v152H64C55.18 432 48 424.8 48 416zM384 432h-40V280h56V416C400 424.8 392.8 432 384 432z"],
    "grate-droplet": [576, 512, [], "e194", "M414.8 198.1C419.8 181.5 432.3 169.2 448 164.1V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h279.4C328.7 457.5 320 430.9 320 402.2c0-31.68 10.48-56.45 24-78.76V280h29.45C389 257.6 404.2 233.1 414.8 198.1zM104 432H64c-8.822 0-16-7.178-16-16V280h56V432zM104 232H48V96c0-8.822 7.178-16 16-16h40V232zM200 432h-48V280h48V432zM200 232h-48V80h48V232zM296 432h-48V280h48V432zM296 232h-48V80h48V232zM344 80H384c8.822 0 16 7.178 16 16v136h-56V80zM482.6 205.8c-5.031-18.05-31.5-18.83-37.19 0C415.7 304.3 352 331.2 352 400.7C352 462.2 402.1 512 464 512s112-49.84 112-111.3C576 330.8 512.5 304.9 482.6 205.8z"],
    "greater-than": [384, 512, [62769], "3e", "M384 256c0 9.25-5.312 17.68-13.69 21.65l-336 160C31 439.3 27.47 440 24.03 440c-8.969 0-17.59-5.031-21.69-13.69c-5.719-11.97-.625-26.28 11.34-31.97L304.2 256l-290.5-138.3c-11.97-5.688-17.06-20-11.34-31.97c5.688-11.97 20-17.09 31.97-11.34l336 160C378.7 238.3 384 246.8 384 256z"],
    "greater-than-equal": [448, 512, [], "f532", "M33.94 353.5C37.84 362.6 46.69 368 56 368c3.156 0 6.375-.625 9.469-1.938l336-144C410.3 218.3 416 209.6 416 200s-5.719-18.28-14.53-22.06l-336-144C53.22 28.75 39.19 34.34 33.94 46.53C28.72 58.72 34.38 72.84 46.53 78.06L331.1 200l-284.5 121.9C34.38 327.2 28.72 341.3 33.94 353.5zM424 432H24C10.75 432 0 442.8 0 456S10.75 480 24 480h400c13.25 0 24-10.75 24-24S437.3 432 424 432z"],
    "grid": [448, 512, ["grid-3"], "e195", "M88 32C110.1 32 128 49.91 128 72V120C128 142.1 110.1 160 88 160H40C17.91 160 0 142.1 0 120V72C0 49.91 17.91 32 40 32H88zM88 72H40V120H88V72zM88 192C110.1 192 128 209.9 128 232V280C128 302.1 110.1 320 88 320H40C17.91 320 0 302.1 0 280V232C0 209.9 17.91 192 40 192H88zM88 232H40V280H88V232zM0 392C0 369.9 17.91 352 40 352H88C110.1 352 128 369.9 128 392V440C128 462.1 110.1 480 88 480H40C17.91 480 0 462.1 0 440V392zM40 440H88V392H40V440zM248 32C270.1 32 288 49.91 288 72V120C288 142.1 270.1 160 248 160H200C177.9 160 160 142.1 160 120V72C160 49.91 177.9 32 200 32H248zM248 72H200V120H248V72zM160 232C160 209.9 177.9 192 200 192H248C270.1 192 288 209.9 288 232V280C288 302.1 270.1 320 248 320H200C177.9 320 160 302.1 160 280V232zM200 280H248V232H200V280zM248 352C270.1 352 288 369.9 288 392V440C288 462.1 270.1 480 248 480H200C177.9 480 160 462.1 160 440V392C160 369.9 177.9 352 200 352H248zM248 392H200V440H248V392zM320 72C320 49.91 337.9 32 360 32H408C430.1 32 448 49.91 448 72V120C448 142.1 430.1 160 408 160H360C337.9 160 320 142.1 320 120V72zM360 120H408V72H360V120zM408 192C430.1 192 448 209.9 448 232V280C448 302.1 430.1 320 408 320H360C337.9 320 320 302.1 320 280V232C320 209.9 337.9 192 360 192H408zM408 232H360V280H408V232zM320 392C320 369.9 337.9 352 360 352H408C430.1 352 448 369.9 448 392V440C448 462.1 430.1 480 408 480H360C337.9 480 320 462.1 320 440V392zM360 440H408V392H360V440z"],
    "grid-2": [448, 512, [], "e196", "M0 80C0 53.49 21.49 32 48 32H144C170.5 32 192 53.49 192 80V176C192 202.5 170.5 224 144 224H48C21.49 224 0 202.5 0 176V80zM48 176H144V80H48V176zM0 336C0 309.5 21.49 288 48 288H144C170.5 288 192 309.5 192 336V432C192 458.5 170.5 480 144 480H48C21.49 480 0 458.5 0 432V336zM48 432H144V336H48V432zM400 32C426.5 32 448 53.49 448 80V176C448 202.5 426.5 224 400 224H304C277.5 224 256 202.5 256 176V80C256 53.49 277.5 32 304 32H400zM400 80H304V176H400V80zM256 336C256 309.5 277.5 288 304 288H400C426.5 288 448 309.5 448 336V432C448 458.5 426.5 480 400 480H304C277.5 480 256 458.5 256 432V336zM304 432H400V336H304V432z"],
    "grid-2-plus": [512, 512, [], "e197", "M176 32C202.5 32 224 53.49 224 80V176C224 202.5 202.5 224 176 224H80C53.49 224 32 202.5 32 176V80C32 53.49 53.49 32 80 32H176zM176 80H80V176H176V80zM176 288C202.5 288 224 309.5 224 336V432C224 458.5 202.5 480 176 480H80C53.49 480 32 458.5 32 432V336C32 309.5 53.49 288 80 288H176zM176 336H80V432H176V336zM288 80C288 53.49 309.5 32 336 32H432C458.5 32 480 53.49 480 80V176C480 202.5 458.5 224 432 224H336C309.5 224 288 202.5 288 176V80zM336 176H432V80H336V176zM384 272C397.3 272 408 282.7 408 296V360H472C485.3 360 496 370.7 496 384C496 397.3 485.3 408 472 408H408V472C408 485.3 397.3 496 384 496C370.7 496 360 485.3 360 472V408H296C282.7 408 272 397.3 272 384C272 370.7 282.7 360 296 360H360V296C360 282.7 370.7 272 384 272z"],
    "grid-4": [448, 512, [], "e198", "M89.6 105.6C89.6 111.9 85.94 117.4 80.63 119.1C78.51 121 76.12 121.6 73.6 121.6H16C13.48 121.6 11.09 121 8.972 119.1C3.659 117.4 0 111.9 0 105.6V48C0 39.16 7.164 32 16 32H73.6C82.44 32 89.6 39.16 89.6 48V105.6zM57.6 89.6V64H32V89.6H57.6zM73.6 151.5C76.12 151.5 78.51 152 80.63 153.1C85.94 155.7 89.6 161.2 89.6 167.5V225.1C89.6 231.4 85.94 236.8 80.63 239.4C78.51 240.5 76.12 241.1 73.6 241.1H16C13.48 241.1 11.09 240.5 8.972 239.4C3.659 236.8 0 231.4 0 225.1V167.5C0 161.2 3.659 155.7 8.972 153.1C11.09 152 13.48 151.5 16 151.5H73.6zM57.6 209.1V183.5H32V209.1H57.6zM73.6 270.9C76.12 270.9 78.51 271.5 80.63 272.6C85.94 275.2 89.6 280.6 89.6 286.9V344.5C89.6 350.8 85.94 356.3 80.63 358.9C78.51 359.9 76.12 360.5 73.6 360.5H16C13.48 360.5 11.09 359.9 8.972 358.9C3.659 356.3 0 350.8 0 344.5V286.9C0 280.6 3.659 275.2 8.972 272.6C11.09 271.5 13.48 270.9 16 270.9H73.6zM57.6 328.5V302.9H32V328.5H57.6zM16 390.4H73.6C76.12 390.4 78.51 390.1 80.63 392C85.94 394.6 89.6 400.1 89.6 406.4V464C89.6 472.8 82.44 480 73.6 480H16C7.164 480 0 472.8 0 464V406.4C0 400.1 3.659 394.6 8.972 392C11.09 390.1 13.48 390.4 16 390.4zM57.6 448V422.4H32V448H57.6zM209.1 105.6C209.1 111.9 205.4 117.4 200.1 119.1C197.1 121 195.6 121.6 193.1 121.6H135.5C132.9 121.6 130.6 121 128.4 119.1C123.1 117.4 119.5 111.9 119.5 105.6V48C119.5 39.16 126.6 32 135.5 32H193.1C201.9 32 209.1 39.16 209.1 48V105.6zM177.1 89.6V64H151.5V89.6H177.1zM193.1 151.5C195.6 151.5 197.1 152 200.1 153.1C205.4 155.7 209.1 161.2 209.1 167.5V225.1C209.1 231.4 205.4 236.8 200.1 239.4C197.1 240.5 195.6 241.1 193.1 241.1H135.5C132.9 241.1 130.6 240.5 128.4 239.4C123.1 236.8 119.5 231.4 119.5 225.1V167.5C119.5 161.2 123.1 155.7 128.4 153.1C130.6 152 132.9 151.5 135.5 151.5H193.1zM177.1 209.1V183.5H151.5V209.1H177.1zM193.1 270.9C195.6 270.9 197.1 271.5 200.1 272.6C205.4 275.2 209.1 280.6 209.1 286.9V344.5C209.1 350.8 205.4 356.3 200.1 358.9C197.1 359.9 195.6 360.5 193.1 360.5H135.5C132.9 360.5 130.6 359.9 128.4 358.9C123.1 356.3 119.5 350.8 119.5 344.5V286.9C119.5 280.6 123.1 275.2 128.4 272.6C130.6 271.5 132.9 270.9 135.5 270.9H193.1zM177.1 328.5V302.9H151.5V328.5H177.1zM135.5 390.4H193.1C195.6 390.4 197.1 390.1 200.1 392C205.4 394.6 209.1 400.1 209.1 406.4V464C209.1 472.8 201.9 480 193.1 480H135.5C126.6 480 119.5 472.8 119.5 464V406.4C119.5 400.1 123.1 394.6 128.4 392C130.6 390.1 132.9 390.4 135.5 390.4zM177.1 448V422.4H151.5V448H177.1zM312.5 121.6H254.9C252.4 121.6 250 121 247.9 119.1C242.6 117.4 238.9 111.9 238.9 105.6V48C238.9 39.16 246.1 32 254.9 32H312.5C321.4 32 328.5 39.16 328.5 48V105.6C328.5 111.9 324.9 117.4 319.6 119.1C317.4 121 315.1 121.6 312.5 121.6H312.5zM270.9 64V89.6H296.5V64H270.9zM328.5 167.5V225.1C328.5 231.4 324.9 236.8 319.6 239.4C317.4 240.5 315.1 241.1 312.5 241.1H254.9C252.4 241.1 250 240.5 247.9 239.4C242.6 236.8 238.9 231.4 238.9 225.1V167.5C238.9 161.2 242.6 155.7 247.9 153.1C250 152 252.4 151.5 254.9 151.5H312.5C315.1 151.5 317.4 152 319.6 153.1C324.9 155.7 328.5 161.2 328.5 167.5H328.5zM270.9 183.5V209.1H296.5V183.5H270.9zM328.5 286.9V344.5C328.5 350.8 324.9 356.3 319.6 358.9C317.4 359.9 315.1 360.5 312.5 360.5H254.9C252.4 360.5 250 359.9 247.9 358.9C242.6 356.3 238.9 350.8 238.9 344.5V286.9C238.9 280.6 242.6 275.2 247.9 272.6C250 271.5 252.4 270.9 254.9 270.9H312.5C315.1 270.9 317.4 271.5 319.6 272.6C324.9 275.2 328.5 280.6 328.5 286.9zM270.9 302.9V328.5H296.5V302.9H270.9zM319.6 392C324.9 394.6 328.5 400.1 328.5 406.4V464C328.5 472.8 321.4 480 312.5 480H254.9C246.1 480 238.9 472.8 238.9 464V406.4C238.9 400.1 242.6 394.6 247.9 392C250 390.1 252.4 390.4 254.9 390.4H312.5C315.1 390.4 317.4 390.1 319.6 392zM270.9 422.4V448H296.5V422.4H270.9zM448 105.6C448 111.9 444.3 117.4 439 119.1C436.9 121 434.5 121.6 432 121.6H374.4C371.9 121.6 369.5 121 367.4 119.1C362.1 117.4 358.4 111.9 358.4 105.6V48C358.4 39.16 365.6 32 374.4 32H432C440.8 32 448 39.16 448 48V105.6zM416 89.6V64H390.4V89.6H416zM432 151.5C434.5 151.5 436.9 152 439 153.1C444.3 155.7 448 161.2 448 167.5V225.1C448 231.4 444.3 236.8 439 239.4C436.9 240.5 434.5 241.1 432 241.1H374.4C371.9 241.1 369.5 240.5 367.4 239.4C362.1 236.8 358.4 231.4 358.4 225.1V167.5C358.4 161.2 362.1 155.7 367.4 153.1C369.5 152 371.9 151.5 374.4 151.5H432zM416 209.1V183.5H390.4V209.1H416zM432 270.9C434.5 270.9 436.9 271.5 439 272.6C444.3 275.2 448 280.6 448 286.9V344.5C448 350.8 444.3 356.3 439 358.9C436.9 359.9 434.5 360.5 432 360.5H374.4C371.9 360.5 369.5 359.9 367.4 358.9C362.1 356.3 358.4 350.8 358.4 344.5V286.9C358.4 280.6 362.1 275.2 367.4 272.6C369.5 271.5 371.9 270.9 374.4 270.9H432zM416 328.5V302.9H390.4V328.5H416zM374.4 390.4H432C434.5 390.4 436.9 390.1 439 392C444.3 394.6 448 400.1 448 406.4V464C448 472.8 440.8 480 432 480H374.4C365.6 480 358.4 472.8 358.4 464V406.4C358.4 400.1 362.1 394.6 367.4 392C369.5 390.1 371.9 390.4 374.4 390.4zM416 448V422.4H390.4V448H416z"],
    "grid-5": [448, 512, [], "e199", "M0 48C0 39.16 7.164 32 16 32H48C56.84 32 64 39.16 64 48V80C64 88.84 56.84 96 48 96H16C7.164 96 0 88.84 0 80V48zM0 144C0 135.2 7.164 128 16 128H48C56.84 128 64 135.2 64 144V176C64 184.8 56.84 192 48 192H16C7.164 192 0 184.8 0 176V144zM48 224C56.84 224 64 231.2 64 240V272C64 280.8 56.84 288 48 288H16C7.164 288 0 280.8 0 272V240C0 231.2 7.164 224 16 224H48zM0 336C0 327.2 7.164 320 16 320H48C56.84 320 64 327.2 64 336V368C64 376.8 56.84 384 48 384H16C7.164 384 0 376.8 0 368V336zM48 416C56.84 416 64 423.2 64 432V464C64 472.8 56.84 480 48 480H16C7.164 480 0 472.8 0 464V432C0 423.2 7.164 416 16 416H48zM96 48C96 39.16 103.2 32 112 32H144C152.8 32 160 39.16 160 48V80C160 88.84 152.8 96 144 96H112C103.2 96 96 88.84 96 80V48zM144 128C152.8 128 160 135.2 160 144V176C160 184.8 152.8 192 144 192H112C103.2 192 96 184.8 96 176V144C96 135.2 103.2 128 112 128H144zM96 240C96 231.2 103.2 224 112 224H144C152.8 224 160 231.2 160 240V272C160 280.8 152.8 288 144 288H112C103.2 288 96 280.8 96 272V240zM144 320C152.8 320 160 327.2 160 336V368C160 376.8 152.8 384 144 384H112C103.2 384 96 376.8 96 368V336C96 327.2 103.2 320 112 320H144zM96 432C96 423.2 103.2 416 112 416H144C152.8 416 160 423.2 160 432V464C160 472.8 152.8 480 144 480H112C103.2 480 96 472.8 96 464V432zM240 32C248.8 32 256 39.16 256 48V80C256 88.84 248.8 96 240 96H208C199.2 96 192 88.84 192 80V48C192 39.16 199.2 32 208 32H240zM192 144C192 135.2 199.2 128 208 128H240C248.8 128 256 135.2 256 144V176C256 184.8 248.8 192 240 192H208C199.2 192 192 184.8 192 176V144zM240 224C248.8 224 256 231.2 256 240V272C256 280.8 248.8 288 240 288H208C199.2 288 192 280.8 192 272V240C192 231.2 199.2 224 208 224H240zM192 336C192 327.2 199.2 320 208 320H240C248.8 320 256 327.2 256 336V368C256 376.8 248.8 384 240 384H208C199.2 384 192 376.8 192 368V336zM240 416C248.8 416 256 423.2 256 432V464C256 472.8 248.8 480 240 480H208C199.2 480 192 472.8 192 464V432C192 423.2 199.2 416 208 416H240zM288 48C288 39.16 295.2 32 304 32H336C344.8 32 352 39.16 352 48V80C352 88.84 344.8 96 336 96H304C295.2 96 288 88.84 288 80V48zM336 128C344.8 128 352 135.2 352 144V176C352 184.8 344.8 192 336 192H304C295.2 192 288 184.8 288 176V144C288 135.2 295.2 128 304 128H336zM288 240C288 231.2 295.2 224 304 224H336C344.8 224 352 231.2 352 240V272C352 280.8 344.8 288 336 288H304C295.2 288 288 280.8 288 272V240zM336 320C344.8 320 352 327.2 352 336V368C352 376.8 344.8 384 336 384H304C295.2 384 288 376.8 288 368V336C288 327.2 295.2 320 304 320H336zM288 432C288 423.2 295.2 416 304 416H336C344.8 416 352 423.2 352 432V464C352 472.8 344.8 480 336 480H304C295.2 480 288 472.8 288 464V432zM432 32C440.8 32 448 39.16 448 48V80C448 88.84 440.8 96 432 96H400C391.2 96 384 88.84 384 80V48C384 39.16 391.2 32 400 32H432zM384 144C384 135.2 391.2 128 400 128H432C440.8 128 448 135.2 448 144V176C448 184.8 440.8 192 432 192H400C391.2 192 384 184.8 384 176V144zM432 224C440.8 224 448 231.2 448 240V272C448 280.8 440.8 288 432 288H400C391.2 288 384 280.8 384 272V240C384 231.2 391.2 224 400 224H432zM384 336C384 327.2 391.2 320 400 320H432C440.8 320 448 327.2 448 336V368C448 376.8 440.8 384 432 384H400C391.2 384 384 376.8 384 368V336zM432 416C440.8 416 448 423.2 448 432V464C448 472.8 440.8 480 432 480H400C391.2 480 384 472.8 384 464V432C384 423.2 391.2 416 400 416H432z"],
    "grid-dividers": [512, 512, [], "e3ad", "M0 24C0 10.75 10.75 0 24 0H488C501.3 0 512 10.75 512 24C512 37.25 501.3 48 488 48H24C10.75 48 0 37.25 0 24zM32 128C32 110.3 46.33 96 64 96H128C145.7 96 160 110.3 160 128V192C160 209.7 145.7 224 128 224H64C46.33 224 32 209.7 32 192V128zM112 176V144H80V176H112zM32 416C32 398.3 46.33 384 64 384H128C145.7 384 160 398.3 160 416V480C160 497.7 145.7 512 128 512H64C46.33 512 32 497.7 32 480V416zM112 464V432H80V464H112zM288 96C305.7 96 320 110.3 320 128V192C320 209.7 305.7 224 288 224H224C206.3 224 192 209.7 192 192V128C192 110.3 206.3 96 224 96H288zM240 144V176H272V144H240zM192 416C192 398.3 206.3 384 224 384H288C305.7 384 320 398.3 320 416V480C320 497.7 305.7 512 288 512H224C206.3 512 192 497.7 192 480V416zM272 464V432H240V464H272zM448 96C465.7 96 480 110.3 480 128V192C480 209.7 465.7 224 448 224H384C366.3 224 352 209.7 352 192V128C352 110.3 366.3 96 384 96H448zM400 144V176H432V144H400zM352 416C352 398.3 366.3 384 384 384H448C465.7 384 480 398.3 480 416V480C480 497.7 465.7 512 448 512H384C366.3 512 352 497.7 352 480V416zM432 464V432H400V464H432zM488 288C501.3 288 512 298.7 512 312C512 325.3 501.3 336 488 336H24C10.75 336 0 325.3 0 312C0 298.7 10.75 288 24 288H488z"],
    "grid-horizontal": [448, 512, [], "e307", "M0 168C0 145.9 17.91 128 40 128H88C110.1 128 128 145.9 128 168V216C128 238.1 110.1 256 88 256H40C17.91 256 0 238.1 0 216V168zM40 216H88V168H40V216zM0 328C0 305.9 17.91 288 40 288H88C110.1 288 128 305.9 128 328V376C128 398.1 110.1 416 88 416H40C17.91 416 0 398.1 0 376V328zM40 376H88V328H40V376zM248 128C270.1 128 288 145.9 288 168V216C288 238.1 270.1 256 248 256H200C177.9 256 160 238.1 160 216V168C160 145.9 177.9 128 200 128H248zM248 168H200V216H248V168zM160 328C160 305.9 177.9 288 200 288H248C270.1 288 288 305.9 288 328V376C288 398.1 270.1 416 248 416H200C177.9 416 160 398.1 160 376V328zM200 376H248V328H200V376zM408 128C430.1 128 448 145.9 448 168V216C448 238.1 430.1 256 408 256H360C337.9 256 320 238.1 320 216V168C320 145.9 337.9 128 360 128H408zM408 168H360V216H408V168zM320 328C320 305.9 337.9 288 360 288H408C430.1 288 448 305.9 448 328V376C448 398.1 430.1 416 408 416H360C337.9 416 320 398.1 320 376V328zM360 376H408V328H360V376z"],
    "grill": [448, 512, [], "e5a3", "M408 32C430.1 32 448 49.91 448 72V96C448 185.8 395.1 263.3 318.8 298.1L382.1 446.5C387.3 458.7 381.6 472.8 369.5 478.1C357.3 483.3 343.2 477.6 337.9 465.5L316.7 416H160C160 451.3 131.3 480 96 480C60.65 480 32 451.3 32 416C32 380.7 60.65 352 96 352C99.44 352 102.8 352.3 106.1 352.8L129.2 298.1C52.86 263.3 0 185.8 0 96V72C0 49.91 17.91 32 40 32L408 32zM48 80V96C48 193.2 126.8 272 224 272C321.2 272 400 193.2 400 96V80H48zM151.8 368H296.2L273.3 314.6C257.4 318.1 240.9 320 224 320C207.1 320 190.6 318.1 174.7 314.6L151.8 368zM96 392C82.75 392 72 402.7 72 416C72 429.3 82.75 440 96 440C109.3 440 120 429.3 120 416C120 402.7 109.3 392 96 392z"],
    "grill-fire": [576, 512, [], "e5a4", "M48 80V96C48 193.2 126.8 272 224 272C231.3 272 238.5 271.6 245.6 270.7C237.7 286.8 231.3 303.5 227.6 319.1C226.4 319.1 225.2 320 224 320C207.1 320 190.6 318.1 174.7 314.6L151.8 368H224.8C226.4 384.6 229.1 400.7 235.5 416H160C160 451.3 131.3 480 96 480C60.65 480 32 451.3 32 416C32 380.7 60.65 352 96 352C99.44 352 102.8 352.3 106.1 352.8L129.2 298.1C52.86 263.3 0 185.8 0 96V72C0 49.91 17.91 32 40 32H408C430.1 32 448 49.91 448 72V96C448 120.1 444.2 143.3 437.1 165.1C428.7 156.4 419.9 148.1 410.1 139.1C406.6 136.1 401.7 133.1 396.5 131.1C398.8 119.8 400 108 400 96V80L48 80zM96 392C82.75 392 72 402.7 72 416C72 429.3 82.75 440 96 440C109.3 440 120 429.3 120 416C120 402.7 109.3 392 96 392zM445 221.5C452.9 211.6 461.8 200.8 471.5 191.1C477.1 186.9 485.9 186.9 491.5 192C516.2 214.7 537.1 244.7 551.8 273.2C566.4 301.2 576 329.9 576 350.1C576 437.9 504.7 512 416 512C326.3 512 256 437.8 256 350.1C256 323.7 268.7 291.5 288.4 259.5C308.4 227.2 336.5 193.4 369.8 163.7C375.4 158.7 383.1 158.8 389.5 163.8C409.3 181.6 427.8 200.7 445 221.5V221.5zM486 337C484 333 482 329 479 325L443 367C443 367 385 293 381 288C351 325 336 346 336 370C336 419 372 448 417 448C435 448 451 443 466 433C496 412 504 370 486 337z"],
    "grill-hot": [448, 512, [], "e5a5", "M119.1 0C133.3 0 143.1 10.75 143.1 24V26.59C143.1 31.94 146.7 36.94 151.1 39.91L163.5 48.16C181.3 60.03 191.1 80.01 191.1 101.4V104C191.1 117.3 181.3 128 167.1 128C154.7 128 143.1 117.3 143.1 104V101.4C143.1 96.06 141.3 91.06 136.9 88.09L124.5 79.84C106.7 67.97 95.1 47.99 95.1 26.59V24C95.1 10.75 106.7 .0003 119.1 .0003V0zM416 160C433.7 160 448 174.3 448 192C448 270.1 401.4 337.3 334.4 367.3L382.1 478.5C387.3 490.7 381.6 504.8 369.5 510.1C357.3 515.3 343.2 509.6 337.9 497.5L327 472H155.3C145.9 495.5 122.9 512 95.1 512C60.65 512 31.1 483.3 31.1 448C31.1 412.7 60.65 384 95.1 384C99.44 384 102.8 384.3 106.1 384.8L113.6 367.3C46.65 337.3 0 270.1 0 192C0 174.3 14.33 160 32 160H416zM48.88 208C56.84 279.1 117.9 336 191.1 336H256C330.1 336 391.2 279.1 399.1 208H48.88zM147.5 410C150.7 414.3 153.3 418.1 155.3 424H306.5L288.2 381.3C277.7 383.1 266.1 384 256 384H191.1C181 384 170.3 383.1 159.8 381.3L147.5 410zM95.1 424C82.74 424 71.1 434.7 71.1 448C71.1 461.3 82.74 472 95.1 472C109.3 472 119.1 461.3 119.1 448C119.1 434.7 109.3 424 95.1 424zM256 26.59C256 31.94 258.7 36.94 263.1 39.91L275.5 48.16C293.3 60.03 304 80.01 304 101.4V104C304 117.3 293.3 128 280 128C266.7 128 256 117.3 256 104V101.4C256 96.06 253.3 91.06 248.9 88.09L236.5 79.84C218.7 67.97 207.1 47.99 207.1 26.59V24C207.1 10.75 218.7 .0003 232 .0003C245.3 .0003 256 10.75 256 24V26.59z"],
    "grip": [448, 512, ["grip-horizontal"], "f58d", "M448 376C448 398.1 430.1 416 408 416H360C337.9 416 320 398.1 320 376V328C320 305.9 337.9 288 360 288H408C430.1 288 448 305.9 448 328V376zM408 328H360V376H408V328zM448 184C448 206.1 430.1 224 408 224H360C337.9 224 320 206.1 320 184V136C320 113.9 337.9 96 360 96H408C430.1 96 448 113.9 448 136V184zM408 136H360V184H408V136zM200 416C177.9 416 160 398.1 160 376V328C160 305.9 177.9 288 200 288H248C270.1 288 288 305.9 288 328V376C288 398.1 270.1 416 248 416H200zM200 376H248V328H200V376zM288 184C288 206.1 270.1 224 248 224H200C177.9 224 160 206.1 160 184V136C160 113.9 177.9 96 200 96H248C270.1 96 288 113.9 288 136V184zM248 136H200V184H248V136zM40 416C17.91 416 0 398.1 0 376V328C0 305.9 17.91 288 40 288H88C110.1 288 128 305.9 128 328V376C128 398.1 110.1 416 88 416H40zM40 376H88V328H40V376zM128 184C128 206.1 110.1 224 88 224H40C17.91 224 0 206.1 0 184V136C0 113.9 17.91 96 40 96H88C110.1 96 128 113.9 128 136V184zM88 136H40V184H88V136z"],
    "grip-dots": [448, 512, [], "e410", "M384 160C401.7 160 416 174.3 416 192C416 209.7 401.7 224 384 224C366.3 224 352 209.7 352 192C352 174.3 366.3 160 384 160zM224 160C241.7 160 256 174.3 256 192C256 209.7 241.7 224 224 224C206.3 224 192 209.7 192 192C192 174.3 206.3 160 224 160zM64 224C46.33 224 32 209.7 32 192C32 174.3 46.33 160 64 160C81.67 160 96 174.3 96 192C96 209.7 81.67 224 64 224zM384 288C401.7 288 416 302.3 416 320C416 337.7 401.7 352 384 352C366.3 352 352 337.7 352 320C352 302.3 366.3 288 384 288zM224 352C206.3 352 192 337.7 192 320C192 302.3 206.3 288 224 288C241.7 288 256 302.3 256 320C256 337.7 241.7 352 224 352zM64 288C81.67 288 96 302.3 96 320C96 337.7 81.67 352 64 352C46.33 352 32 337.7 32 320C32 302.3 46.33 288 64 288z"],
    "grip-dots-vertical": [256, 512, [], "e411", "M32 96C32 78.33 46.33 64 64 64C81.67 64 96 78.33 96 96C96 113.7 81.67 128 64 128C46.33 128 32 113.7 32 96zM32 256C32 238.3 46.33 224 64 224C81.67 224 96 238.3 96 256C96 273.7 81.67 288 64 288C46.33 288 32 273.7 32 256zM96 416C96 433.7 81.67 448 64 448C46.33 448 32 433.7 32 416C32 398.3 46.33 384 64 384C81.67 384 96 398.3 96 416zM160 96C160 78.33 174.3 64 192 64C209.7 64 224 78.33 224 96C224 113.7 209.7 128 192 128C174.3 128 160 113.7 160 96zM224 256C224 273.7 209.7 288 192 288C174.3 288 160 273.7 160 256C160 238.3 174.3 224 192 224C209.7 224 224 238.3 224 256zM160 416C160 398.3 174.3 384 192 384C209.7 384 224 398.3 224 416C224 433.7 209.7 448 192 448C174.3 448 160 433.7 160 416z"],
    "grip-lines": [448, 512, [], "f7a4", "M424 216H24C10.75 216 0 205.3 0 192C0 178.7 10.75 168 24 168H424C437.3 168 448 178.7 448 192C448 205.3 437.3 216 424 216zM424 344H24C10.75 344 0 333.3 0 320C0 306.7 10.75 296 24 296H424C437.3 296 448 306.7 448 320C448 333.3 437.3 344 424 344z"],
    "grip-lines-vertical": [192, 512, [], "f7a5", "M56 56V456C56 469.3 45.25 480 32 480C18.75 480 8 469.3 8 456V56C8 42.75 18.75 32 32 32C45.25 32 56 42.75 56 56zM184 56V456C184 469.3 173.3 480 160 480C146.7 480 136 469.3 136 456V56C136 42.75 146.7 32 160 32C173.3 32 184 42.75 184 56z"],
    "grip-vertical": [320, 512, [], "f58e", "M40 480C17.91 480 0 462.1 0 440V392C0 369.9 17.91 352 40 352H88C110.1 352 128 369.9 128 392V440C128 462.1 110.1 480 88 480H40zM88 440V392H40V440H88zM232 480C209.9 480 192 462.1 192 440V392C192 369.9 209.9 352 232 352H280C302.1 352 320 369.9 320 392V440C320 462.1 302.1 480 280 480H232zM280 440V392H232V440H280zM0 232C0 209.9 17.91 192 40 192H88C110.1 192 128 209.9 128 232V280C128 302.1 110.1 320 88 320H40C17.91 320 0 302.1 0 280V232zM40 232V280H88V232H40zM232 320C209.9 320 192 302.1 192 280V232C192 209.9 209.9 192 232 192H280C302.1 192 320 209.9 320 232V280C320 302.1 302.1 320 280 320H232zM280 280V232H232V280H280zM0 72C0 49.91 17.91 32 40 32H88C110.1 32 128 49.91 128 72V120C128 142.1 110.1 160 88 160H40C17.91 160 0 142.1 0 120V72zM40 72V120H88V72H40zM232 160C209.9 160 192 142.1 192 120V72C192 49.91 209.9 32 232 32H280C302.1 32 320 49.91 320 72V120C320 142.1 302.1 160 280 160H232zM280 120V72H232V120H280z"],
    "group-arrows-rotate": [512, 512, [], "e4f6", "M158.3 81.43C159.4 86.11 160 90.99 160 96C160 131.3 131.4 160 96 160C90.99 160 86.11 159.4 81.43 158.3C74.3 171 68.52 184.6 64.28 198.8C60.5 211.6 47.14 218.8 34.43 215C21.73 211.2 14.5 197.9 18.28 185.2C24.03 165.8 32.06 147.5 42.07 130.5C35.7 120.5 32 108.7 32 96C32 60.66 60.66 32 96 32C108.7 32 120.5 35.7 130.5 42.07C147.5 32.06 165.8 24.03 185.2 18.28C197.9 14.5 211.2 21.73 215 34.43C218.8 47.14 211.6 60.5 198.8 64.28C184.6 68.52 171 74.3 158.3 81.43H158.3zM381.5 42.07C391.5 35.7 403.3 32 416 32C451.4 32 480 60.66 480 96C480 108.7 476.3 120.5 469.9 130.5C479.9 147.5 487.1 165.8 493.7 185.2C497.5 197.9 490.3 211.2 477.6 215C464.9 218.8 451.5 211.6 447.7 198.8C443.5 184.6 437.7 171 430.6 158.3C425.9 159.4 421 160 416 160C380.7 160 352 131.3 352 96C352 90.99 352.6 86.11 353.7 81.43C340.1 74.3 327.4 68.52 313.2 64.28C300.5 60.5 293.2 47.14 297 34.43C300.8 21.73 314.1 14.5 326.9 18.28C346.2 24.03 364.5 32.06 381.5 42.07H381.5zM81.43 353.7C86.11 352.6 90.99 352 96 352C131.4 352 160 380.7 160 416C160 421 159.4 425.9 158.3 430.6C171 437.7 184.6 443.5 198.8 447.7C211.6 451.5 218.8 464.9 215 477.6C211.2 490.3 197.9 497.5 185.2 493.7C165.8 487.1 147.5 479.9 130.5 469.9C120.5 476.3 108.7 480 96 480C60.66 480 32 451.4 32 416C32 403.3 35.7 391.5 42.07 381.5C32.06 364.5 24.03 346.2 18.28 326.9C14.5 314.1 21.73 300.8 34.43 297C47.14 293.2 60.5 300.5 64.28 313.2C68.52 327.4 74.3 340.1 81.43 353.7V353.7zM469.9 381.5C476.3 391.5 480 403.3 480 416C480 451.4 451.4 480 416 480C403.3 480 391.5 476.3 381.5 469.9C364.5 479.9 346.2 487.1 326.9 493.7C314.1 497.5 300.8 490.3 297 477.6C293.2 464.9 300.5 451.5 313.2 447.7C327.4 443.5 340.1 437.7 353.7 430.6C352.6 425.9 352 421 352 416C352 380.7 380.7 352 416 352C421 352 425.9 352.6 430.6 353.7C437.7 340.1 443.5 327.4 447.7 313.2C451.5 300.5 464.9 293.2 477.6 297C490.3 300.8 497.5 314.1 493.7 326.9C487.1 346.2 479.9 364.5 469.9 381.5L469.9 381.5zM192.8 256.8C192.8 281.6 206.9 303.2 227.7 313.8C239.5 319.9 244.2 334.3 238.2 346.1C232.1 357.9 217.7 362.6 205.9 356.6C169.7 338.1 144.8 300.4 144.8 256.8C144.8 227.9 155.8 201.6 173.7 181.7L162.5 170.6C155.1 164 160.6 152.8 169.9 152.8H230.4C236.1 152.8 240.8 157.5 240.8 163.2V223.7C240.8 232.1 229.6 237.6 223 231L207.7 215.7C198.4 226.8 192.8 241.1 192.8 256.8V256.8zM275.4 165.9C281.5 154.1 295.9 149.4 307.7 155.4C343.9 173.9 368.8 211.6 368.8 255.2C368.8 284.1 357.8 310.5 339.9 330.3L351 341.5C357.6 348 352.1 359.2 343.7 359.2H283.2C277.5 359.2 272.8 354.6 272.8 348.8V288.3C272.8 279.1 284 274.4 290.6 280.1L305.9 296.3C315.2 285.2 320.8 270.9 320.8 255.2C320.8 230.4 306.7 208.8 285.9 198.2C274.1 192.1 269.4 177.7 275.4 165.9V165.9z"],
    "guarani-sign": [384, 512, [], "e19a", "M216 24V65.49C258.8 70.82 297.2 90.23 326.4 118.9C335.9 128.2 336 143.4 326.7 152.8C317.5 162.3 302.3 162.4 292.8 153.2C272.2 132.1 245.7 118.1 216 113.1V232H360C373.3 232 384 242.7 384 256C384 353.9 310.7 434.7 216 446.5V488C216 501.3 205.3 512 192 512C178.7 512 168 501.3 168 488V446.5C73.29 434.7 0 353.9 0 256C0 158.1 73.29 77.3 168 65.49V24C168 10.75 178.7 0 192 0C205.3 0 216 10.75 216 24H216zM168 113.1C99.9 125.4 48 184.6 48 256C48 327.4 99.9 386.6 168 398V113.1zM216 398C276.3 387.9 323.9 340.3 334 280H216V398z"],
    "guitar": [512, 512, [], "f7a6", "M502.7 39.02L473 9.37c-12.5-12.5-32.74-12.49-45.24 .0106l-46.24 46.37c-3.876 3.875-6.848 8.506-8.598 13.76l-17.62 53.49l-36.01 36C303.8 146.1 286.2 136 266.7 131.4C257.3 129.1 247.8 128 238.2 128C211.8 128 187 137 168.5 155.4c-10.13 10.25-17.75 22.75-22 36.5C139.9 212.1 121.2 227.6 100.5 229.5C74.66 232 50.65 242 32.28 260.5c-49.88 49.63-40.88 139.1 19.63 199.6C86.16 494.2 129.5 512 169.7 512c31 0 60.26-10.5 81.89-32.13c18.5-18.5 28.5-42.5 31-68.5c1.875-20.5 17.38-39.38 37.51-46c13.75-4.25 26.38-11.88 36.63-22c24.88-25 32.38-61.5 24-97.1c-4.626-19.5-14.63-37.13-27.5-52.63l35.88-36l53.45-17.66c5.126-1.75 9.893-4.715 13.77-8.59l46.36-46.29C515 71.72 515 51.52 502.7 39.02zM305.3 319.8c-38.51 12.5-66.88 47.62-70.51 87.12C229.9 457.1 186.5 464 169.7 464c-29.25 0-59.76-13.75-83.76-37.88c-24-24-37.88-54.63-37.88-83.88c0-16.75 7.001-60.12 57.01-65C144.7 273.6 179.7 245.2 192.2 206.6c10.88-33.75 56.13-41.75 92.89-13.5L220.3 257.8C198.9 251.9 176.3 261 165 280.1c-11.13 19.12-8.001 43.5 7.626 59.12C188.3 355 212.6 358.1 231.8 347c19.13-11.12 28.38-33.88 22.5-55.25L319.1 227C345.6 261.5 341.1 308.2 305.3 319.8z"],
    "guitar-electric": [512, 512, [127928], "f8be", "M511.2 39.56c-3.624-19.25-18.62-34.41-37.87-38.29c-22.87-4.25-22.75-.5833-106.6 53.66c-9.249 5.875-14.75 15.1-14.75 26.1l.0006 44.58l-83.22 83.24c-2.875-3.625-3.625-8.625-1.75-12.87l15.87-34.12c8.499-18.12 2.749-39.75-13.75-51.25C252.7 100 230.4 101.9 216.2 116.1L180.1 151.4C170.1 161.4 163.4 173.5 158.6 186.8C154.2 198.8 145.4 208.5 133.9 213.9L63.5 246.5c-30.1 12.37-54.37 40.37-61.37 74.37c-6.999 33.87 3.502 68.1 27.1 93.5l67.5 67.5c24.5 24.5 59.62 34.1 93.49 27.1c33.87-6.875 61.1-30.5 74.87-62.62l31.1-69.12c5.374-11.5 15.25-20.37 27.12-24.75c13.37-4.75 25.5-12.37 35.5-22.37l19.87-19.87c16.5-16.5 16.5-43.25 0-59.75c-17.62-17.62-38.87-11.62-42.75-10.37l-21.87 6.937c-6.999 2.25-11.5-1.813-13.5-3.937l149.3-149.4c3.999 1.125 8.124 1.75 12.25 1.75c14.25 0 27.87-6.333 36.99-17.33C510.1 68.06 513.8 53.56 511.2 39.56zM312.1 288.5c5.374 0 10.75-.875 15.1-2.5l24.12-6.375l-19.87 23.12c-5.874 5.75-12.87 10.12-20.62 12.1c-21.1 7.875-39.99 24.25-49.99 45.5l-32.87 71.12c-7.874 19.62-24.1 33.1-45.74 38.25c-20.75 4.25-42.12-2.125-57.12-17.12l-67.49-67.5c-15.12-14.87-21.62-36.37-17.25-57.12c4.374-21.12 18.37-37.75 39.12-46.12l70.24-32.5c21.37-9.1 37.74-27.1 45.62-49.1c2.75-7.75 7.249-14.75 12.1-20.62l36.24-35.62L230.7 180C221.5 200.1 225.6 223.9 241.2 239.5l33.62 33.62C284.7 283 298.1 288.5 312.1 288.5zM134.6 324.8c-6.249-6.25-16.37-6.25-22.62 0l-11.37 11.25c-6.249 6.25-6.249 16.37 0 22.62l52.74 52.62c6.249 6.25 16.37 6.25 22.62 0l11.25-11.25c6.249-6.25 6.249-16.37 0-22.62L134.6 324.8zM198.6 260.8c-6.249-6.25-16.37-6.25-22.62 0L164.6 272c-6.249 6.25-6.249 16.37 0 22.62l52.74 52.62c6.249 6.25 16.37 6.25 22.62 0l11.25-11.25c6.249-6.25 6.249-16.37 0-22.62L198.6 260.8z"],
    "guitars": [512, 512, [], "f8bf", "M188.1 444.1c-15.37 12.62-37.37 19.87-60.12 19.87s-44.75-7.25-60.12-19.87c-7.375-6.125-19.87-18.1-19.87-37.25c0-9.375 3.625-18.62 10.75-27.25c22.1-27.87 27.37-68.5 10.62-101.2C56.5 253.2 86.38 235.7 86.75 235.5C91.13 232.9 97.13 230.9 103.1 229.5v82.5c0 13.25 10.75 24 24 24c13.25 0 23.1-10.75 23.1-24V229.5c6.875 1.375 12.1 3.375 17.25 5.1c15.1 9.1 25.1 26.12 17.37 42.87c-16.75 32.75-12.37 73.37 10.62 101.1c1.1 2.375 2.1 4.875 4.375 7.375l23.12-62.1C224.1 315.7 225.7 307.5 229.3 300.2c.125-.25 .2083-.5005 .3333-.7505C229.4 294.6 228.1 289.9 226.1 285.4c-6.625-13.1-10.12-29.25-10.12-44.62V212.9c-.1-1.125-1.875-2.375-2.875-3.375C207.5 203.9 201.2 199.1 194.5 194.8C181.7 186.8 167 182.8 152 181L152 126.7l16.59-33.19c1.1-3.1 3.033-8.565 3.033-13.06V26.37C171.6 11.88 159.9 0 145.3 0H110.8c-14.62 0-26.5 11.91-26.5 26.41v54.09c0 4.5 1.098 8.947 3.098 12.95l16.66 33.3l.0001 54.25C89.02 182.9 74.25 186.9 61.38 194.9C54.63 198.1 48.5 203.9 42.88 209.5c-15.37 15.37-24.62 35-24.62 56.62c0 11.88 2.875 23.63 8.375 34.12c7.1 15.62 5.1 35.63-4.875 48.75c-13.62 16.5-21.87 36.38-21.75 57.1c-.125 57.1 57.38 105 127.1 105c28.37 .125 56.12-8.001 79.87-23.5c-8.75-14.87-13.1-31.37-15.25-48.62C190.1 441.5 189.5 442.1 188.1 444.1zM399.1 383.1h-63.1c-8.875 0-15.1 7.125-15.1 15.1l.0074 16.06c0 8.875 7.125 15.1 15.1 15.1h64c8.875 0 15.1-7.125 15.1-15.1l-.0085-16.06C415.1 391.1 408.9 383.1 399.1 383.1zM505.5 400.9l-26.1-73.5c-6.625-18.25-5.75-38.25 2.625-55.75c4.625-9.75 6.1-20.25 6.1-30.1V212.4c0-4.1-1.875-9.625-5.375-13.13c-3.5-3.5-8.125-5.375-13.12-5.375c-6.875 0-13.25 3.875-16.37 10l-10.62 20.5C437.2 234.7 427.2 238 415.1 240h-23.1V73.37c1.75-1.125 3.5-2.375 5.125-3.75c11.62-11.75 15.12-29.25 8.75-44.5C399.6 9.875 384.7 0 368.2 0c-7.1 0-15.87 2.375-22.62 6.875c-16.37 11.13-13.1 13.25-31.87 96.25c-1.875 8.1 .875 18.37 7.375 24.1l22.87 22.87V240h-23.1c-11.25-2.1-20.87-8.501-24.1-19.88L281.1 184.4c-2.5-6.875-9.125-11.5-16.37-11.5c-9.75 0-17.5 7.875-17.5 17.5V240.7c0 10.75 2.375 21.25 6.1 30.1c8.25 17.5 9.125 37.5 2.5 55.75l-26.1 73.5c-22.62 52.5 15.87 110.1 73.12 110.1l128.4 .0009C489.4 511.1 527.1 453.4 505.5 400.9zM432.1 463.1h-128.4c-28.87 0-35.5-29.25-29.12-44.12c.375-.875-2.1 8.5 27.1-75.87C308.1 326.1 311.2 306.9 309.1 288c0 0 116.9 .125 117.7 0c-1.875 18 .25 38.62 6.625 55.87c30.87 84.37 27.5 74.1 27.87 75.87C472.7 446.2 448.4 463.1 432.1 463.1z"],
    "gun": [576, 512, [], "e19b", "M544 64h-16V56C528 42.74 517.3 32 504 32S480 42.74 480 56V64H43.17C19.33 64 0 83.33 0 107.2v89.66C0 220.7 19.33 240 43.17 240c21.26 0 36.61 20.35 30.77 40.79l-40.69 158.4C27.41 459.7 42.76 480 64.02 480h119.8c14.29 0 26.84-9.469 30.77-23.21L242.4 352h78.58c24.16 0 45.5-15.41 53.13-38.28L398.6 240h36.1c8.486 0 16.62-3.373 22.63-9.373L480 208h64c17.67 0 32-14.33 32-32V96C576 78.33 561.7 64 544 64zM171.5 432h-86.89l35.44-138C125.3 275.7 123.9 256.8 116.5 240h105.8L171.5 432zM328.5 298.6C327.4 301.8 324.4 304 320.9 304H255.1L272 240h76.02L328.5 298.6zM528 160h-67.88l-31.1 32H48V112h480V160z"],
    "gun-slash": [640, 512, [], "e19c", "M630.8 469.1l-219.3-171.9L430.6 240h36.1c8.486 0 16.62-3.373 22.63-9.373L512 208h64c17.67 0 32-14.33 32-32V96c0-17.67-14.33-32-32-32h-16V56C560 42.74 549.3 32 536 32S512 42.74 512 56V64H113.1L38.81 5.109C34.41 1.672 29.19 0 24.03 0C16.91 0 9.846 3.156 5.127 9.188C-3.061 19.62-1.248 34.72 9.189 42.89l591.1 463.1c10.5 8.203 25.56 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1zM371.4 265.8L338.5 240h41.52L371.4 265.8zM277.3 192L175.2 112H560V160h-67.88l-31.1 32H277.3zM203.5 432h-86.89l35.44-138C157.3 275.7 155.9 256.8 148.5 240h34.32L121.6 192H80V159.4L32 121.8v75.06C32 220.7 51.33 240 75.17 240c21.26 0 36.61 20.35 30.77 40.79l-40.69 158.4C59.41 459.7 74.76 480 96.02 480h119.8c14.29 0 26.84-9.469 30.77-23.21L274.4 352h51.39L242.1 286.4L203.5 432z"],
    "gun-squirt": [576, 512, [], "e19d", "M560 128H544c0-35.35-28.65-64-64-64H128V56C128 42.74 117.3 32 104 32S80 42.74 80 56v9.613C34.64 73.27 0 112.5 0 160c0 47.94 35.24 87.33 81.16 94.5l-47.91 184.7C27.41 459.6 42.76 480 64.02 480h103.8c14.29 0 26.84-9.469 30.77-23.21L220.6 376H272v16c0 13.25 10.75 24 24 24S320 405.3 320 392v-80C320 298.7 309.3 288 296 288S272 298.7 272 312v16H233.6L253.2 256H480c35.35 0 64-28.65 64-64h16C568.8 192 576 184.8 576 176v-32C576 135.2 568.8 128 560 128zM155.6 432H84.71L130.4 256h73.11L155.6 432zM496 192c0 8.824-7.178 16-16 16H96C69.53 208 48 186.5 48 160S69.53 112 96 112h384c8.822 0 16 7.176 16 16V192zM448 144H96C87.16 144 80 151.2 80 160S87.16 176 96 176h352c8.844 0 16-7.156 16-16S456.8 144 448 144z"],
    "h": [384, 512, [104], "48", "M384 56v400c0 13.25-10.75 24-24 24s-24-10.75-24-24V256h-288v200C48 469.3 37.25 480 24 480S0 469.3 0 456V56C0 42.75 10.75 32 24 32S48 42.75 48 56V208h288V56C336 42.75 346.8 32 360 32S384 42.75 384 56z"],
    "h1": [576, 512, [], "f313", "M296 64C282.8 64 272 74.75 272 88V224h-224V88C48 74.75 37.25 64 24 64S0 74.75 0 88v336C0 437.3 10.75 448 24 448s24-10.75 24-24V272h224v152c0 13.25 10.75 24 24 24S320 437.3 320 424V88C320 74.75 309.3 64 296 64zM552 400h-48V88.02c0-8.842-4.875-16.97-12.69-21.15C483.5 62.65 474 63.12 466.7 68.05l-72 47.1c-11.03 7.344-14 22.25-6.656 33.28c7.375 11.03 22.22 13.97 33.28 6.656L456 132.9v267.1h-48c-13.25 0-24 10.75-24 24C384 437.3 394.8 448 408 448h143.1C565.2 448 576 437.3 576 424C576 410.8 565.3 400 552 400z"],
    "h2": [640, 512, [], "f314", "M296 64C282.8 64 272 74.75 272 88V224h-224V88C48 74.75 37.25 64 24 64S0 74.75 0 88v336C0 437.3 10.75 448 24 448s24-10.75 24-24V272h224v152C272 437.3 282.8 448 296 448S320 437.3 320 424V88C320 74.75 309.3 64 296 64zM616 400.2h-162.2l125.7-114.8c51.39-45.5 57.39-122.7 13.64-175.7c-21.81-26.44-52.56-42.47-86.58-45.13c-34-2.562-66.73 8.344-92.33 30.94l-25.66 22.66c-9.938 8.781-10.88 23.94-2.094 33.88c8.766 9.938 23.94 10.91 33.88 2.125l25.66-22.69c15.77-13.91 36.2-20.59 56.78-19.06c20.94 1.656 39.88 11.53 53.33 27.84c26.73 32.41 22.95 81.38-8.719 109.4l-171.6 156.8c-7.312 6.688-9.766 17.16-6.188 26.41c3.578 9.219 12.47 15.31 22.38 15.31h224c13.25 0 24-10.75 24-24S629.3 400.2 616 400.2z"],
    "h3": [640, 512, [], "f315", "M296 64C282.8 64 272 74.75 272 88V224h-224V88C48 74.75 37.25 64 24 64S0 74.75 0 88v336C0 437.3 10.75 448 24 448s24-10.75 24-24V272h224v152C272 437.3 282.8 448 296 448S320 437.3 320 424V88C320 74.75 309.3 64 296 64zM534.6 223.4h-34.13l115.5-118.9c6.719-6.906 8.641-17.19 4.891-26.06c-3.766-8.875-12.47-14.66-22.11-14.66L400 63.94c-13.25 0-24 10.59-24 23.84s10.75 24 24 24h141.1l-115.5 118.9c-6.719 6.906-8.641 17.19-4.891 26.06c3.766 8.875 12.47 14.66 22.11 14.66h90.91c31.66 0 57.41 28.78 57.41 64.19s-25.75 64.19-57.41 64.19h-77.11c-15.52 0-29.41-11.22-34.55-27.94c-3.906-12.66-17.23-19.81-30-15.88c-12.67 3.906-19.78 17.31-15.88 30c11.38 36.97 43.69 61.81 80.42 61.81h77.11C592.7 447.8 640 397.5 640 335.6S592.7 223.4 534.6 223.4z"],
    "h4": [640, 512, [], "f86a", "M616 64.22c-13.25 0-24 10.75-24 24V256h-167.3l30.83-163.3c2.469-13-6.094-25.56-19.12-28.03c-12.98-2.406-25.58 6.125-28.03 19.16l-36.2 191.8c-1.328 7 .5469 14.25 5.094 19.75C381.9 300.8 388.7 304 395.8 304H592v120.2c0 13.25 10.75 24 24 24s24-10.75 24-24v-336C640 74.97 629.3 64.22 616 64.22zM296 64C282.8 64 272 74.75 272 88V224h-224V88C48 74.75 37.25 64 24 64S0 74.75 0 88v336C0 437.3 10.75 448 24 448s24-10.75 24-24V272h224v152C272 437.3 282.8 448 296 448S320 437.3 320 424V88C320 74.75 309.3 64 296 64z"],
    "h5": [640, 512, [], "e412", "M48 224H272V88C272 74.75 282.7 64 296 64C309.3 64 320 74.75 320 88V424C320 437.3 309.3 448 296 448C282.7 448 272 437.3 272 424V272H48V424C48 437.3 37.25 448 24 448C10.75 448 0 437.3 0 424V88C0 74.75 10.75 64 24 64C37.25 64 48 74.75 48 88V224zM584 64C597.3 64 608 74.75 608 88C608 101.3 597.3 112 584 112H459.7L437.3 224H528C589.9 224 640 274.1 640 336C640 397.9 589.9 448 528 448H464.4C429.9 448 399.4 425.1 388.5 393.3L385.2 383.6C381 371 387.8 357.4 400.4 353.2C412.1 349 426.6 355.8 430.8 368.4L434 378.1C438.4 391.2 450.6 400 464.4 400H528C563.3 400 592 371.3 592 336C592 300.7 563.3 272 528 272H408C400.8 272 393.1 268.8 389.4 263.2C384.9 257.7 383.1 250.3 384.5 243.3L416.5 83.29C418.7 72.07 428.6 64 440 64H584z"],
    "h6": [640, 512, [], "e413", "M48 224H272V88C272 74.75 282.7 64 296 64C309.3 64 320 74.75 320 88V424C320 437.3 309.3 448 296 448C282.7 448 272 437.3 272 424V272H48V424C48 437.3 37.25 448 24 448C10.75 448 0 437.3 0 424V88C0 74.75 10.75 64 24 64C37.25 64 48 74.75 48 88V224zM518.1 69.26C529.3 77.54 531 92.64 522.7 102.1L476 161.4C482.6 160.5 489.2 160 496 160C575.5 160 640 224.5 640 304C640 383.5 575.5 448 496 448C416.5 448 352 383.5 352 304C352 301.3 352.1 298.6 352.2 296H352C352 259.5 364.4 224 387.2 195.5L485.3 73.01C493.5 62.66 508.6 60.98 518.1 69.26H518.1zM496 400C549 400 592 357 592 304C592 250.1 549 208 496 208C442.1 208 400 250.1 400 304C400 357 442.1 400 496 400z"],
    "hammer": [576, 512, [128296], "f6e3", "M21.09 389.1c-28.12 28.12-28.16 73.72-.0371 101.8C35.12 505 53.56 512 71.1 512s36.84-7.031 50.91-21.09l202.2-231.5L252.8 186.7L21.09 389.1zM571.3 194.9l-22.73-22.86c-6.279-6.148-16.45-6.277-22.73 0l-11.3 11.43l-29.01-29.01c5.652-21.48 .377-45.09-16.45-61.91l-45.47-45.46C392.2 15.7 350.1 0 309.9 0c-41.2 0-82.27 15.7-113.7 47.09l68.2 68.19v18.84c0 8.035 1.633 15.95 4.521 23.36l85.03 85.52c7.662 3.016 15.7 4.52 23.74 4.52c5.652 0 11.3-.75 16.83-2.133l29.01 29.01l-11.3 11.43c-6.279 6.281-6.279 16.45 0 22.73l22.61 22.73c6.281 6.281 16.46 6.281 22.86 0l113.7-113.7C577.6 211.4 577.6 201.2 571.3 194.9zM469 251.7L409 191.6l-26.75 7.156c-9.545 2.516-15.2-3.641-15.57-3.891l-49.36-49.48c-3.014-2.887-4.646-7.035-4.646-11.3V95.32L272.1 54.75c11.93-4.27 24.62-6.527 37.8-6.527c30.02 0 58.28 11.68 79.5 32.9l45.47 45.46c5.904 5.906 4.521 13.31 4.02 15.57l-7.158 26.75l60.04 60.03L469 251.7z"],
    "hammer-crash": [640, 512, [], "e414", "M627.1 202.7l-70.85-36.77l24.06-76.1c2.719-8.543 .4473-17.89-5.889-24.22s-15.68-8.607-24.22-5.887l-76.1 24.06l-36.77-70.85c-6.111-11.74-20.61-16.32-32.38-10.24c-11.74 6.111-16.32 20.61-10.24 32.38l46.08 88.74c5.377 10.37 17.44 15.36 28.54 11.84l51.26-16.22l-16.22 51.27c-3.52 11.1 1.473 23.17 11.84 28.54l47.71 24.77l-47.71 24.77c-10.37 5.377-15.36 17.44-11.84 28.54l16.22 51.26l-51.26-16.22c-11.1-3.52-23.17 1.473-28.54 11.84l-24.77 47.71l-24.77-47.71c-5.375-10.37-17.44-15.36-28.54-11.84l-95.36 30.18c-12.64 4-19.62 17.5-15.62 30.14c4 12.64 17.47 19.62 30.11 15.62l76.1-24.06l36.77 70.85c4.127 7.936 12.35 12.93 21.31 12.93c8.961 0 17.18-4.992 21.31-12.93l36.77-70.85l76.1 24.06c8.545 2.719 17.89 .4473 24.22-5.889s8.607-15.68 5.889-24.22l-24.06-76.1l70.85-36.77c7.936-4.129 12.93-12.35 12.93-21.31C640 215 635 206.8 627.1 202.7zM361.9 266.8l48-83.13c15.46-26.79 6.273-61.02-20.51-76.51l-55.42-32l-83.14-48L230.6 15.48c-8.512-4.896-18.18-7.488-28-7.488H115.3c-20.73 0-39.78 11.46-49.47 29.76L41.26 84.05c-14.11 26.62-4.607 59.65 21.47 74.72l82.53 47.65l-138.5 233.1c-13.57 22.79-6.08 52.22 16.74 65.76c22.79 13.57 52.22 6.08 65.76-16.74l139.2-234.1l56.99 32.93C312.2 302.8 346.5 293.6 361.9 266.8zM86.73 117.2C83.02 115.1 81.64 110.3 83.66 106.5l24.54-46.27C109.6 57.62 112.3 55.99 115.3 55.99h87.3c1.408 0 2.783 .3848 4 1.057l20.29 11.74l83.14 48l55.42 32c3.84 2.207 5.152 7.072 2.943 10.91l-48 83.13c-2.207 3.842-7.104 5.152-10.94 2.945L86.73 117.2z"],
    "hammer-war": [384, 512, [], "f6e4", "M352.1 32.02c-3.875 0 5.013-1.268-136.1 22.23V23.1C216 10.75 205.3 0 192 0S168 10.75 168 23.1V54.25C26.25 30.62 35.76 32.02 31.89 32.02c-17.25 0-31.89 13.98-31.89 31.98v192c0 18 14.6 31.98 31.97 31.98c3.75 0-5.096 1.268 136-22.23v222.3C168 501.3 178.7 512 192 512s24-10.75 24-23.1V265.8c141.8 23.62 132.3 22.23 136.1 22.23c17.38 0 31.93-13.98 31.93-31.98V64C384 46 369.4 32.02 352.1 32.02zM336 237.1l-144-24l-144 24V82.88l144 24l144-24V237.1z"],
    "hamsa": [512, 512, [], "f665", "M256 288c-53.01 0-96.01 64-96.01 64s42.1 64 96.01 64s96.01-64 96.01-64S309 288 256 288zM256 384c-17.63 0-32-14.38-32-32s14.37-32 32-32c17.63 0 32 14.38 32 32S273.6 384 256 384zM505.6 283.4C493.8 257.1 467.3 240 438 240H432V113.8c0-39.75-28.75-74.5-67.01-80.75C360.7 32.38 356.3 32 352 32c-10.25 0-19.99 1.875-28.86 5.375c-12-18.88-31.38-32.62-54.01-36.38C264.8 .375 260.4 0 256 0C227.6 0 202.6 14.88 188.4 37.25C183.5 35.38 178.4 33.88 173.1 33C168.6 32.38 164.3 32 160 32C115.9 32 79.99 67.88 79.99 112v128H73.99c-29.25 0-55.76 17.12-67.63 43.5c-12.13 27.12-6.626 58.63 14.13 80.13l83.39 86.5C141.9 489.4 197.4 512 256 512s114.2-22.62 152.2-61.88l83.39-86.5C512.3 342.1 517.8 310.6 505.6 283.4zM457 330.2l-83.51 86.5C344.7 446.8 301.8 464 256 464s-88.51-17.25-117.5-47.25l-83.51-86.5c-7.001-7.25-8.876-18-4.751-27.12C54.36 294 63.74 288 73.99 288H127.1V112c0-17.62 14.38-32 32-32c1.75 0 3.626 .125 5.376 .5C181.1 83 192 97.75 192 113.8l.004 94.32C192 216.8 199.2 224 207.1 224c8.785 0 16.05-7.152 16.05-15.94L224 80c0-17.62 14.38-32 32-32c1.75 0 3.5 .125 5.376 .5c15.75 2.5 26.63 17.25 26.63 33.25l-.0023 126.3C288 216.8 295.2 224 303.1 224c8.856 0 16.05-7.17 15.95-16.02C319.6 177.9 318.9 115.8 320 112c0-17.62 14.25-32 32-32c3.531 0 7.061 .5086 11.62 2.552c12.56 5.63 20.39 18.48 20.39 32.24L384 288h54.01c10.38 0 19.63 6 23.75 15.12C466 312.2 464 323 457 330.2z"],
    "hand": [512, 512, [129306, 9995, "hand-paper"], "f256", "M408 80c-3.994 0-7.91 .3262-11.73 .9551c-9.586-28.51-36.57-49.11-68.27-49.11c-6.457 0-12.72 .8555-18.68 2.457C296.6 13.73 273.9 0 248 0C222.1 0 199.3 13.79 186.6 34.44C180.7 32.85 174.5 32 168.1 32C128.4 32 96.01 64.3 96.01 104v121.6C90.77 224.6 85.41 224 80.01 224c-.0026 0 .0026 0 0 0C36.43 224 0 259.2 0 304.1c0 20.29 7.558 39.52 21.46 54.45l81.25 87.24C141.9 487.9 197.4 512 254.9 512h33.08C393.9 512 480 425.9 480 320V152C480 112.3 447.7 80 408 80zM432 320c0 79.41-64.59 144-143.1 144H254.9c-44.41 0-86.83-18.46-117.1-50.96l-79.76-85.63c-6.202-6.659-9.406-15.4-9.406-23.1c0-22.16 18.53-31.4 31.35-31.4c8.56 0 17.1 3.416 23.42 10.18l26.72 28.69C131.8 312.7 133.9 313.4 135.9 313.4c4.106 0 8.064-3.172 8.064-8.016V104c0-13.25 10.75-24 23.1-24c13.25 0 23.1 10.75 23.1 24v152C192 264.8 199.2 272 208 272s15.1-7.163 15.1-15.1L224 72c0-13.25 10.75-24 23.1-24c13.25 0 23.1 10.75 23.1 24v184C272 264.8 279.2 272 288 272s15.99-7.164 15.99-15.1l.0077-152.2c0-13.25 10.75-24 23.1-24c13.25 0 23.1 10.75 23.1 24v152.2C352 264.8 359.2 272 368 272s15.1-7.163 15.1-15.1V152c0-13.25 10.75-24 23.1-24c13.25 0 23.1 10.75 23.1 24V320z"],
    "hand-back-fist": [448, 512, ["hand-rock"], "f255", "M377.1 68.05C364.4 50.65 343.7 40 321.2 40h-13.53c-3.518 0-7.039 .2754-10.53 .8184C284.8 31.33 269.6 26 253.5 26H240c-3.977 0-7.904 .3691-11.75 1.084C216.7 10.71 197.6 0 176 0H160C124.7 0 96 28.65 96 64v49.71L63.04 143.3C43.3 160 32 184.6 32 210.9v78.97c0 32.1 17.11 61.65 44.65 77.12L112 386.9v101.1C112 501.3 122.7 512 135.1 512S160 501.3 160 488v-129.9c-1.316-.6543-2.775-.9199-4.062-1.639l-55.78-31.34C87.72 318.2 80 304.6 80 289.9V210.9c0-12.31 5.281-23.77 14.5-31.39L112 163.8V208C112 216.8 119.2 224 128 224s16-7.156 16-16V64c0-8.828 7.188-16 16-16h16C184.8 48 192 55.17 192 64v16c0 9.578 7.942 16.04 16.15 16.04c6.432 0 12.31-4.018 14.73-10.17C223.3 84.84 228.3 74 240 74h13.53c20.97 0 17.92 19.58 34.27 19.58c8.177 0 9.9-5.584 19.88-5.584h13.53c25.54 0 18.27 28.23 38.66 28.23c.1562 0 .3125-.002 .4668-.0078L375.4 116C388.1 116 400 127.7 400 142V272c0 36.15-19.54 67.32-48 83.69v132.3C352 501.3 362.7 512 375.1 512S400 501.3 400 488v-108.1C430.1 352.8 448 313.6 448 272V142C448 102.1 416.8 69.44 377.1 68.05z"],
    "hand-back-point-down": [448, 512, [], "e19e", "M63.43 241L96 270.3V440C96 479.7 128.3 512 168 512s72-32.3 72-72V352h13.53c15.91 0 31.08-5.205 43.55-14.81c3.504 .541 7.049 .8145 10.61 .8145h13.53c22.11 0 43.11-10.55 56.74-28.05C416.8 308.6 448 275.9 448 236V144C448 64.6 385.1 0 307.7 0H199.8C176.4 0 153.1 6.104 132.5 17.65L76.63 49C49.1 64.47 32 94.02 32 126.1v46.97C32 199.8 43.46 224.5 63.43 241zM80 126.1c0-14.77 7.719-28.28 20.16-35.27l55.78-31.34C169.4 51.98 184.6 48 199.8 48h107.9C358.6 48 400 91.06 400 144v92c0 14.34-11.03 26-24.62 26c0 0-15.34-.2268-15.5-.2268c-20.42 0-13.07 28.23-38.66 28.23h-13.53c-9.989 0-11.7-5.583-19.88-5.583C271.4 284.4 274.5 304 253.5 304H240c-11.69 0-16.66-10.84-17.12-11.88C220.5 285.1 214.6 281.1 208.1 281.1C200 281.1 192 288.4 192 298V440c0 13.23-10.78 24-24 24S144 453.2 144 440V175.1c0-8.844-7.156-16-16-16S111.1 167.2 111.1 176L112 220.2L94.5 204.5C85.28 196.9 80 185.4 80 173.1V126.1z"],
    "hand-back-point-left": [512, 512, [], "e19f", "M270.1 95.43L241.7 128H71.1c-39.7 0-71.1 32.3-71.1 71.1S32.3 272 71.1 272H160v13.53c0 15.91 5.205 31.08 14.81 43.55c-.541 3.504-.8149 7.049-.8149 10.61v13.53c0 22.11 10.55 43.11 28.05 56.74C203.4 448.8 236.1 480 276 480h91.1c79.4 0 144-62.95 144-140.3V231.8c0-23.44-6.104-46.73-17.65-67.35L462.1 108.6c-15.47-27.53-45.02-44.63-77.12-44.63h-46.97C312.2 64 287.5 75.46 270.1 95.43zM385.9 112c14.77 0 28.28 7.719 35.27 20.16l31.34 55.78C460 201.4 464 216.6 464 231.8v107.9c0 50.91-43.06 92.31-96 92.31H276c-14.34 0-26-11.03-26-24.62c0 0 .2272-15.34 .2272-15.5c0-20.42-28.23-13.07-28.23-38.66v-13.53c0-9.989 5.584-11.7 5.584-19.88C227.6 303.4 208 306.5 208 285.5V272c0-11.69 10.84-16.66 11.88-17.12c6.149-2.422 10.17-8.296 10.17-14.73c0-8.119-6.424-16.15-16.04-16.15H71.1c-13.23 0-23.1-10.78-23.1-24s10.77-24 23.1-24L336 176c8.844 0 16-7.156 16-16s-7.159-16.01-16-16.01L291.8 144l15.69-17.5c7.625-9.219 19.08-14.5 31.39-14.5H385.9z"],
    "hand-back-point-ribbon": [448, 512, [], "e1a0", "M377.1 202C364.3 184.6 343.3 174 321.2 174h-13.53c-3.557 0-7.102 .2734-10.61 .8145C284.6 165.2 269.4 160 253.5 160H240V72C240 32.3 207.7 0 168 0S96 32.3 96 72V96H48C41.53 96 35.69 99.89 33.22 105.9S32.13 118.7 36.69 123.3L57.38 144L36.69 164.7C32.13 169.3 30.75 176.1 33.22 182.1S41.53 192 48 192H96v49.72L63.43 270.1C43.46 287.5 32 312.2 32 338.9v46.97c0 32.1 17.1 61.65 44.63 77.12l55.83 31.35C153.1 505.9 176.4 512 199.8 512h107.9C385.1 512 448 447.4 448 368V276C448 236.1 416.8 203.4 377.1 202zM144 72c0-13.23 10.78-24 24-24S192 58.77 192 72L192 96H144V72zM400 368c0 52.94-41.41 96-92.31 96H199.8c-15.25 0-30.41-3.984-43.88-11.52l-55.78-31.34C87.72 414.2 80 400.6 80 385.9v-46.97c0-12.31 5.281-23.77 14.5-31.39L112 291.8l-.0054 44.17C111.1 344.8 119.2 352 128 352s16-7.156 16-16L144 192H192v22c0 9.578 7.941 16.04 16.15 16.04c6.434 0 12.31-4.016 14.73-10.16C223.3 218.8 228.3 208 240 208h13.53c20.97 0 17.92 19.58 34.27 19.58c8.211 0 9.846-5.582 19.88-5.582h13.53c25.55 0 18.27 28.23 38.66 28.23c.1582 0 .3125-.002 .4687-.0078L375.4 250C388.1 250 400 261.7 400 276V368z"],
    "hand-back-point-right": [512, 512, [], "e1a1", "M173.1 63.1H126.1c-32.1 0-61.65 17.1-77.12 44.63L17.65 164.5C6.103 185.1 0 208.4 0 231.8v107.9c0 77.37 64.6 140.3 144 140.3H236c39.92 0 72.56-31.19 73.95-70.04c17.5-13.63 28.05-34.63 28.05-56.74v-13.53c0-3.557-.273-7.102-.814-10.61C346.8 316.6 352 301.4 352 285.5V271.1h87.1C479.7 271.1 512 239.7 512 199.1s-32.3-72-72-72h-169.7L241 95.43C224.5 75.46 199.8 63.1 173.1 63.1zM173.1 111.1c12.31 0 23.77 5.281 31.39 14.5L220.2 143.1L176 143.1c-8.844 0-16 7.162-16 16.01s7.156 16 16 16L439.1 175.1c13.23 0 24 10.78 24 24s-10.77 24-24 24h-142c-9.578 0-16.04 7.941-16.04 16.15c0 6.433 4.017 12.31 10.17 14.73C293.2 255.3 304 260.3 304 271.1v13.53c0 20.97-19.58 17.92-19.58 34.27c0 8.211 5.583 9.847 5.583 19.88v13.53c0 25.55-28.23 18.27-28.23 38.66c0 .1566 .0027 .3126 .0081 .4679l.2183 15.03c0 13.59-11.66 24.62-25.1 24.62H143.1c-52.94 0-95.1-41.41-95.1-92.31V231.8c0-15.25 3.984-30.41 11.52-43.88l31.34-55.78c6.984-12.44 20.5-20.16 35.27-20.16H173.1z"],
    "hand-back-point-up": [448, 512, [], "e1a2", "M31.1 338.9v46.97c0 32.1 17.1 61.65 44.63 77.12l55.83 31.35C153.1 505.9 176.4 512 199.8 512h107.9c77.37 0 140.3-64.6 140.3-144V276c0-39.92-31.19-72.56-70.04-73.95C364.3 184.6 343.3 174 321.2 174h-13.53c-3.557 0-7.102 .2734-10.61 .8145C284.6 165.2 269.4 160 253.5 160h-13.53V72c0-39.7-32.3-72-71.1-72C128.3 0 95.1 32.3 95.1 72v169.7L63.43 270.1C43.46 287.5 31.1 312.2 31.1 338.9zM79.1 338.9c0-12.31 5.281-23.77 14.5-31.39l17.5-15.69l-.0058 44.17C111.1 344.8 119.2 352 127.1 352s16-7.156 16-16L143.1 72c0-13.23 10.78-24 23.1-24c13.22 0 24 10.77 24 24v142c0 9.578 7.941 16.04 16.15 16.04c6.433 0 12.31-4.017 14.73-10.17C223.3 218.8 228.3 208 239.1 208h13.53c20.97 0 17.92 19.58 34.27 19.58c8.211 0 9.847-5.583 19.88-5.583h13.53c25.55 0 18.27 28.23 38.66 28.23c.1566 0 .3126-.0027 .4679-.0081L375.4 250c13.59 0 24.62 11.66 24.62 26V368c0 52.94-41.41 96-92.31 96H199.8c-15.25 0-30.41-3.984-43.87-11.52l-55.78-31.34c-12.44-6.984-20.16-20.5-20.16-35.27V338.9z"],
    "hand-dots": [512, 512, ["allergies"], "f461", "M304 352c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16s16-7.164 16-16C320 359.2 312.8 352 304 352zM255.9 400C247.1 400 240 407.2 240 416c0 8.836 7.164 16 16 16s15.93-7.164 15.93-16C271.9 407.2 264.8 400 255.9 400zM192 352c-8.836 0-16 7.162-16 16C176 376.8 183.2 384 192 384s16-7.164 16-16C208 359.2 200.8 352 192 352zM256 304c-8.836 0-16 7.162-16 16c0 8.836 7.099 16 15.93 16s16-7.164 16-16C271.9 311.2 264.8 304 256 304zM368 304C359.2 304 352 311.2 352 320c0 8.836 7.164 16 16 16S384 328.8 384 320C384 311.2 376.8 304 368 304zM336 400c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16S352 424.8 352 416C352 407.2 344.8 400 336 400zM408 80c-3.994 0-7.91 .3262-11.73 .9551c-9.586-28.51-36.57-49.11-68.27-49.11c-6.457 0-12.72 .8555-18.68 2.457C296.6 13.73 273.9 0 248 0C222.1 0 199.3 13.79 186.6 34.44C180.7 32.85 174.5 32 168.1 32C128.4 32 96.01 64.3 96.01 104v121.6C90.77 224.6 85.41 224 80.01 224c-.0026 0 .0026 0 0 0c-43.58 0-80.01 35.15-80.01 80.07c0 20.29 7.558 39.52 21.45 54.45l81.25 87.24C141.9 487.9 197.4 512 254.9 512h33.08C393.9 512 480 425.9 480 320V152C480 112.3 447.7 80 408 80zM432 320c0 79.41-64.59 144-143.1 144H254.9c-44.41 0-86.83-18.46-117.1-50.96l-79.76-85.63C51.87 320.7 48.66 312 48.66 303.4c0-22.11 18.46-31.4 31.35-31.4c8.561 0 17.1 3.416 23.42 10.18l26.72 28.69c1.65 1.771 3.738 2.564 5.79 2.564c4.106 0 8.065-3.172 8.065-8.017V104c0-13.25 10.75-24 23.1-24s24 10.75 24 24V256c0 8.836 7.164 16 16 16S224 264.8 224 256l.0018-184c0-13.25 10.75-24 24-24s24 10.75 24 24V256c0 8.836 7.162 16 15.1 16c8.838 0 15.99-7.164 15.99-16l.0073-152.2c0-13.25 10.75-24 24-24s24 10.75 24 24V256c0 8.836 7.164 16 16 16s16-7.164 16-16V152c0-13.25 10.75-24 24-24C421.3 128 432 138.8 432 152V320z"],
    "hand-fingers-crossed": [512, 512, [], "e1a3", "M412 160c-8.322 0-16.3 1.514-23.67 4.268C367.1 142.8 341 144 340 144c-10.98 0-23.57 4.461-23.8 4.547l21.93-48.56c4.244-9.414 6.252-19.28 6.252-28.1c0-20.09-15.82-71.01-70.77-71.01c-26.71 0-52.68 15.25-64.61 41.72L148.6 175.4L105.6 80.27c-1.366-3.038-2.012-6.223-2.012-9.36c0-6.322 4.956-22.87 22.83-22.87c8.714 0 17 4.992 20.81 13.41L156.1 81.07l23.73-52.54c.3594-.7988 .9121-1.463 1.291-2.25C167.5 9.645 147.2 .0928 126.1 .0928c-54.75 0-70.45 50.54-70.45 70.91c0 9.718 2.008 19.59 6.25 29L120.6 231.1c-8.428 1.311-16.34 2.555-17.27 2.76c-32.05 7.023-55.32 36.51-55.32 70.11v80c0 22.06 10.4 43.32 27.83 56.86l45.95 35.74c29.35 22.83 65.98 35.41 103.2 35.41l78.81 .0352c97.19 0 176.3-79.06 176.3-176.3V228.3C480 210.5 465.2 160 412 160zM320 212.3c0-11.17 8.982-20.25 20-20.25c10.1 0 19.98 9.071 19.98 20.24l.0195 55.51c0 11.17-8.98 20.25-20 20.25c-11.02 0-20-9.078-20-20.25V212.3zM252.8 61.45c3.805-8.465 12.2-13.44 20.83-13.44c17.75 0 22.81 16.32 22.81 22.89c0 3.133-.6466 6.314-2.012 9.346L232.7 216.8C229.8 216.4 226.9 216 223.9 216c0 0 .002 0 0 0c-4.475 0-8.967 .4199-13.38 1.254L181.1 221.8L252.8 61.45zM303.8 464l-78.81-.0352c-26.56 0-52.72-8.984-73.69-25.3L105.3 402.9c-5.812-4.516-9.281-11.61-9.281-18.95v-80c0-11.23 7.969-21.11 17.59-23.22l105.3-16.23C220.6 264.2 222.3 264 223.9 264c11.91 0 24.09 9.521 24.09 24.06c0 11.04-7.513 20.95-17.17 23.09L172.8 319c-12.03 1.633-20.78 11.92-20.78 23.75c0 20.21 18.82 24.08 23.7 24.08c2.645 0 64.61-8.619 65.54-8.826c23.55-5.227 41.51-22.23 49.73-43.64c12.34 13.18 29.61 21.64 49.03 21.64c8.326 0 16.31-1.51 23.69-4.27c12.33 12.51 29.44 20.27 48.31 20.27c.1992 0 10.08-.4453 18.65-2.92C423.9 413.5 369.9 464 303.8 464zM432 283.8c0 11.17-8.98 20.25-20 20.25c-11.02 0-20-9.078-20-20.25v-55.5c0-11.17 8.982-20.25 20-20.25C423 208 432 217.1 432 228.3L432 283.8z"],
    "hand-fist": [448, 512, [9994, "fist-raised"], "f6de", "M344 64c-6.352 0-12.62 .8711-18.74 2.6C312.4 45.39 289.5 32 264 32c-6.352 0-12.62 .8711-18.74 2.6C232.4 13.39 209.5 0 184 0S135.6 13.39 122.7 34.6C116.6 32.87 110.4 32 104 32C64.3 32 32 64.3 32 104v64c0 6.389 1.289 12.42 2.871 18.31C13.82 202.4 0 227.5 0 256v88.42c0 27.31 12.38 52.61 33.97 69.41L64 437.2V488C64 501.3 74.75 512 88 512s24-10.75 24-24v-63.28c0-14.86-12.35-21.16-14.94-22.64l-33.63-26.14C53.63 368.3 48 356.8 48 344.4V256c0-22.06 17.94-40 40-40h84c15.44 0 28 12.56 28 28S187.4 272 172 272H120C106.8 272 96 282.8 96 296S106.8 320 120 320h52c33.23 0 61.25-21.58 71.54-51.36C250 270.7 256.9 272 264 272c14.45 0 28.25-4.258 40-12.19C315.8 267.7 329.5 272 344 272c8.457 0 16.46-1.734 24-4.424V312c0 38.45-19.72 73.81-52.78 94.58C308.3 410.1 304 418.7 304 426.9V488c0 13.25 10.75 24 24 24S352 501.3 352 488v-48.48c40.31-30.23 64-76.97 64-127.5v-176C416 96.3 383.7 64 344 64zM160 72C160 58.77 170.8 48 184 48S208 58.77 208 72v96c0 3.029-.7012 5.875-1.73 8.545C195.9 171.3 184.4 168 172 168H160V72zM80 168v-64c0-13.23 10.78-24 24-24S128 90.77 128 104v64H88c-2.686 0-5.217 .5566-7.84 .793C80.15 168.5 80 168.3 80 168zM288 200C288 213.2 277.2 224 264 224S240 213.2 240 200v-96c0-13.23 10.78-24 24-24S288 90.77 288 104V200zM344 224C330.8 224 320 213.2 320 200v-64c0-13.23 10.78-24 24-24s24 10.77 24 24v64C368 213.2 357.2 224 344 224z"],
    "hand-heart": [512, 512, [], "f4bc", "M306.4 303.1c-10.48 0-21.05 4.401-28.9 12.64l-5.543 5.799l-5.543-5.799c-7.839-8.238-18.4-12.64-28.89-12.64c-21.88 0-37.57 18.85-37.57 39.78c0 10.27 3.732 20.53 11.19 28.37l54.42 57.08c1.758 1.846 4.065 2.769 6.372 2.769s4.614-.9229 6.372-2.769l54.42-57.08c7.481-7.841 11.22-18.11 11.22-28.39C344 322.8 328.3 303.1 306.4 303.1zM408 80c-3.994 0-7.91 .3262-11.73 .9551c-9.586-28.51-36.57-49.11-68.27-49.11c-6.457 0-12.72 .8555-18.68 2.457C296.6 13.73 273.9 0 248 0C222.1 0 199.3 13.79 186.6 34.44C180.7 32.85 174.5 32 168.1 32C128.4 32 96.01 64.3 96.01 104v121.6C90.77 224.6 85.41 224 80.01 224c-.0026 0 .0026 0 0 0c-43.58 0-80.01 35.15-80.01 80.07c0 20.29 7.558 39.52 21.45 54.45l81.25 87.24C141.9 487.9 197.4 512 254.9 512h33.08C393.9 512 480 425.9 480 320V152C480 112.3 447.7 80 408 80zM432 320c0 79.41-64.59 144-143.1 144H254.9c-44.41 0-86.83-18.46-117.1-50.96l-79.76-85.63C51.87 320.7 48.66 312 48.66 303.4c0-22.11 18.46-31.4 31.35-31.4c8.561 0 17.1 3.416 23.42 10.18l26.72 28.69c1.65 1.771 3.738 2.564 5.79 2.564c4.106 0 8.065-3.172 8.065-8.017V104c0-13.25 10.75-24 23.1-24s24 10.75 24 24V256c0 8.836 7.164 16 16 16S224 264.8 224 256l.0018-184c0-13.25 10.75-24 24-24s24 10.75 24 24V256c0 8.836 7.162 16 15.1 16c8.838 0 15.99-7.164 15.99-16l.0073-152.2c0-13.25 10.75-24 24-24s24 10.75 24 24V256c0 8.836 7.164 16 16 16s16-7.164 16-16V152c0-13.25 10.75-24 24-24C421.3 128 432 138.8 432 152V320z"],
    "hand-holding": [576, 512, [], "f4bd", "M575.1 365.7c-.6251 20.49-10.5 39.48-27.13 51.97l-100.8 75.83C432.2 505.5 412.8 512 392.8 512H24C10.8 512 0 501.2 0 488s10.8-23.99 24-23.99h368.6c9.751 0 19.13-3.248 26.88-8.995l100.6-75.46c10.25-7.621 11-22.24 .8751-30.73c-7.876-6.621-20.13-6.122-28.38 0l-61.26 46.1c-7.757 5.838-17.2 8.995-26.92 8.995H269.8c-7.501 0-13.75-6.122-13.75-13.74c0-7.621 6.251-13.87 13.75-13.87h59.88c30.13 0 29-40.23 1.125-40.23H186.8c-18 0-35.51 5.747-49.51 16.49l-41.26 31.42l-72 .0601C10.8 384.1 0 373.3 0 360.1s10.8-23.99 24-23.99h55.76l28.38-21.74C130.3 297.4 158.3 288 186.7 288h144c38.63 0 69.01 29.86 69.13 67.84h3.375l60.38-45.47c19.13-14.37 57.26-24.61 88.39 1.749C567.8 325.6 576.7 345.2 575.1 365.7z"],
    "hand-holding-box": [576, 512, [], "f47b", "M551.1 312.1c-31.13-26.36-69.26-16.12-88.39-1.75l-60.38 45.47h-3.375C399.7 317.9 369.3 288 330.7 288H186.7C158.3 288 130.3 297.4 108.1 314.4l-28.38 21.74H24C10.8 336.1 0 346.9 0 360.1c0 13.19 10.8 23.99 24 23.99l72-.0596l41.26-31.42c14-10.74 31.5-16.49 49.51-16.49h144c27.88 0 29 40.23-1.125 40.23H269.8c-7.5 0-13.75 6.123-13.75 13.74c0 7.619 6.252 13.87 13.75 13.87h134.6c9.711 0 19.16-3.158 26.92-8.996l61.26-46.1c8.252-6.121 20.5-6.621 28.38 0c10.12 8.496 9.375 23.11-.877 30.73l-100.6 75.46c-7.75 5.746-17.13 8.994-26.88 8.994H24C10.8 464 0 474.8 0 488C0 501.2 10.8 512 24 512h368.8c20 0 39.38-6.496 55.26-18.49l100.8-75.83c16.63-12.49 26.5-31.48 27.13-51.97C576.7 345.2 567.8 325.6 551.1 312.1zM160 256h255.1C442.4 256 464 234.4 464 208v-160c0-26.4-21.6-48-47.1-48h-255.1C133.6 0 112 21.6 112 48v160C112 234.4 133.6 256 160 256zM160 48h63.97L223.1 128l63.1-32l64 32l-.0001-80H416v160H160V48z"],
    "hand-holding-dollar": [576, 512, ["hand-holding-usd"], "f4c0", "M551.1 312.1c-31.13-26.36-69.26-16.12-88.39-1.75l-60.38 45.47h-3.375C399.7 317.9 369.3 288 330.7 288H186.7C158.3 288 130.3 297.4 108.1 314.4l-28.38 21.74H24C10.8 336.1 0 346.9 0 360.1c0 13.19 10.8 23.99 24 23.99l72-.0596l41.26-31.42c14-10.74 31.5-16.49 49.51-16.49h144c27.88 0 29 40.23-1.125 40.23H269.8c-7.5 0-13.75 6.123-13.75 13.74c0 7.619 6.252 13.87 13.75 13.87h134.6c9.711 0 19.16-3.158 26.92-8.996l61.26-46.1c8.252-6.121 20.5-6.621 28.38 0c10.12 8.496 9.375 23.11-.877 30.73l-100.6 75.46c-7.75 5.746-17.13 8.994-26.88 8.994H24C10.8 464 0 474.8 0 488C0 501.2 10.8 512 24 512h368.8c20 0 39.38-6.496 55.26-18.49l100.8-75.83c16.63-12.49 26.5-31.48 27.13-51.97C576.7 345.2 567.8 325.6 551.1 312.1zM279.3 175C271.7 173.9 261.7 170.3 252.9 167.1L248 165.4C235.5 161 221.8 167.5 217.4 179.1C212.1 192.5 219.5 206.2 231.1 210.6l4.655 1.656c8.469 3.057 17.9 6.093 27.39 8.312V232c0 13.25 10.75 24 23.98 24c13.24 0 24-10.75 24-24V221.6c25.26-5.715 42.88-21.84 46.1-45.72c8.682-50.05-38.91-63.66-64.42-70.95L288.4 103.1C263 95.64 263.6 92.42 264.3 88.31c1.154-6.766 15.35-10.08 32.21-7.391c4.932 .7813 11.38 2.547 19.65 5.422c12.55 4.344 26.18-2.328 30.52-14.84c4.309-12.53-2.318-26.19-14.84-30.53c-7.607-2.631-13.91-4.356-19.82-5.721V24c0-13.25-10.76-24-24-24c-13.24 0-23.98 10.75-23.98 24v10.52C238.8 40.23 221.1 56.26 216.1 80.13C208.4 129.6 256.7 143.8 274.9 149.2l6.498 1.875c31.63 9.062 31.15 11.89 30.34 16.64C310.6 174.4 296.4 177.7 279.3 175z"],
    "hand-holding-droplet": [576, 512, ["hand-holding-water"], "f4c1", "M551.1 312c-31.13-26.38-69.26-16.12-88.39-1.75l-60.38 45.5h-3.375c-.125-38-30.5-67.88-69.13-67.88H186.7c-28.38 0-56.38 9.375-78.51 26.38L79.76 336H24C10.8 336 0 346.8 0 360C0 373.2 10.8 384 24 384l72-.0244l41.26-31.48C151.3 341.8 168.8 336 186.8 336h144c27.88 0 29 40.25-1.125 40.25H269.8c-7.5 0-13.75 6.125-13.75 13.75s6.252 13.88 13.75 13.88h134.6c9.711 0 19.16-3.16 26.92-9l61.26-46.13c8.252-6.125 20.5-6.625 28.38 0c10.12 8.5 9.375 23.12-.877 30.75l-100.6 75.5C411.7 460.8 402.3 464 392.6 464H24C10.8 464 0 474.8 0 488C0 501.2 10.8 512 24 512h368.8c20 0 39.38-6.5 55.26-18.5l100.8-75.88c16.63-12.5 26.5-31.5 27.13-52C576.7 345.1 567.8 325.5 551.1 312zM287.1 256c53 0 95.1-42.12 95.1-93.1c0-40-57.12-120.8-83.25-155.6C297.6 2.125 292.7 0 287.1 0S278.4 2.125 275.2 6.375C249.1 41.25 191.1 122 191.1 162C191.1 213.9 234.1 256 287.1 256zM288 70.88C321.1 120.8 335.5 152 336 162C336 187.4 314.5 208 288 208S240 187.4 240 162.3C240.5 152.1 253.1 120.8 288 70.88z"],
    "hand-holding-hand": [512, 512, [], "e4f7", "M24.05 296.1C55.18 269.8 93.31 279.1 112.4 294.4L172.8 339.8H176.2C176.3 301.9 206.7 271.1 245.3 271.1H357.3C385.7 271.1 413.7 281.4 435.9 298.4L464.2 320.1H487.1C501.2 320.1 512 330.9 512 344.1C512 357.3 501.2 368.1 487.1 368.1L447.1 368L406.7 336.6C392.7 325.8 375.2 320.1 357.2 320.1H245.2C217.3 320.1 216.2 360.3 246.3 360.3H306.2C313.7 360.3 319.1 366.6 319.1 374.2C319.1 381.8 313.7 387.9 306.2 387.9H171.6C161.9 387.9 152.4 384.8 144.7 378.9L83.43 332.8C75.18 326.7 62.93 326.2 55.05 332.8C44.92 341.3 45.67 355.1 55.93 363.6L156.6 439C164.3 444.8 173.7 448 183.4 448H487.1C501.2 448 512 458.8 512 472C512 485.2 501.2 496 487.1 496H183.2C163.2 496 143.8 489.5 127.9 477.5L27.17 401.7C10.55 389.2 .6688 370.2 .0438 349.7C-.7062 329.2 8.17 309.6 24.05 296.1V296.1zM431.1 215.9C400.8 242.2 362.7 232 343.6 217.6L283.2 172.2H279.8C279.7 210.1 249.3 239.1 210.7 239.1H130.7C102.3 239.1 74.27 230.6 52.14 213.6L23.76 191.9H24C10.8 191.9 .0003 181.1 .0003 167.9C.0003 154.7 10.8 143.9 24 143.9L40.01 143.1L81.27 175.4C95.27 186.2 112.8 191.9 130.8 191.9H210.8C238.7 191.9 239.8 151.7 209.7 151.7H165.8C158.3 151.7 152 145.4 152 137.8C152 130.2 158.3 124.1 165.8 124.1H284.4C294.1 124.1 303.6 127.2 311.3 133.1L372.6 179.2C380.8 185.3 393.1 185.8 400.9 179.2C411.1 170.7 410.3 156 400.1 148.4L299.4 72.97C291.7 67.22 282.3 63.97 272.6 63.97H24C10.8 63.97 .0003 53.18 .0003 39.99C.0003 26.79 10.8 16 24 16H272.8C292.8 16 312.2 22.5 328.1 34.49L428.8 110.3C445.5 122.8 455.3 141.8 455.1 162.3C456.7 182.8 447.8 202.4 431.1 215.9L431.1 215.9z"],
    "hand-holding-heart": [576, 512, [], "f4be", "M551.1 312.1c-31.13-26.36-69.26-16.12-88.39-1.75l-60.38 45.47h-3.375C399.7 317.9 369.3 288 330.7 288H186.7C158.3 288 130.3 297.4 108.1 314.4l-28.38 21.74H24C10.8 336.1 0 346.9 0 360.1c0 13.19 10.8 23.99 24 23.99l72-.0596l41.26-31.42c14-10.74 31.5-16.49 49.51-16.49h144c27.88 0 29 40.23-1.125 40.23H269.8c-7.5 0-13.75 6.123-13.75 13.74c0 7.619 6.252 13.87 13.75 13.87h134.6c9.711 0 19.16-3.158 26.92-8.996l61.26-46.1c8.252-6.121 20.5-6.621 28.38 0c10.12 8.496 9.375 23.11-.877 30.73l-100.6 75.46c-7.75 5.746-17.13 8.994-26.88 8.994H24C10.8 464 0 474.8 0 488C0 501.2 10.8 512 24 512h368.8c20 0 39.38-6.496 55.26-18.49l100.8-75.83c16.63-12.49 26.5-31.48 27.13-51.97C576.7 345.2 567.8 325.6 551.1 312.1zM275.2 250.5c7 7.375 18.5 7.375 25.5 0l108.1-114.2c31.5-33.13 29.72-88.1-5.65-118.7c-30.88-26.75-76.75-21.9-104.9 7.724L287.1 36.91L276.8 25.28C248.7-4.344 202.7-9.195 171.1 17.56C136.7 48.18 134.7 103.2 166.4 136.3L275.2 250.5z"],
    "hand-holding-magic": [576, 512, [], "f6e5", "M551.1 312.1c-31.13-26.36-69.26-16.12-88.39-1.75l-60.38 45.47h-3.375C399.7 317.9 369.3 288 330.7 288H186.7C158.3 288 130.3 297.4 108.1 314.4l-28.38 21.74H24C10.8 336.1 0 346.9 0 360.1c0 13.19 10.8 23.99 24 23.99l72-.0596l41.26-31.42c14-10.74 31.5-16.49 49.51-16.49h144c27.88 0 29 40.23-1.125 40.23H269.8c-7.5 0-13.75 6.123-13.75 13.74c0 7.619 6.252 13.87 13.75 13.87h134.6c9.711 0 19.16-3.158 26.92-8.996l61.26-46.1c8.252-6.121 20.5-6.621 28.38 0c10.12 8.496 9.375 23.11-.877 30.73l-100.6 75.46c-7.75 5.746-17.13 8.994-26.88 8.994H24C10.8 464 0 474.8 0 488C0 501.2 10.8 512 24 512h368.8c20 0 39.38-6.496 55.26-18.49l100.8-75.83c16.63-12.49 26.5-31.48 27.13-51.97C576.7 345.2 567.8 325.6 551.1 312.1zM224 208c53 0 95.99-43 95.99-96c0 0-31.99 32-95.99 32c-17.75 0-32-17.5-32-32L192 96c0-17.62 14.38-32 32-32h128c17.62 0 32 14.38 32 32L384 112c0 34.25-17.5 66.5-42.13 90.75L288 256l17.75-1C382.9 250.6 447.4 189.8 448 113.5L447.1 96c0-53-42.1-96-95.1-96H223.1c-53 0-95.1 43-95.1 96L128 112C128 163.1 172.9 208 224 208z"],
    "hand-holding-medical": [576, 512, [], "e05c", "M551.1 312.1c-31.13-26.36-69.26-16.12-88.39-1.75l-60.38 45.47h-3.375C399.7 317.9 369.3 288 330.7 288H186.7C158.3 288 130.3 297.4 108.1 314.4l-28.38 21.74H24C10.8 336.1 0 346.9 0 360.1c0 13.19 10.8 23.99 24 23.99l72-.0596l41.26-31.42c14-10.74 31.5-16.49 49.51-16.49h144c27.88 0 29 40.23-1.125 40.23H269.8c-7.5 0-13.75 6.123-13.75 13.74c0 7.619 6.252 13.87 13.75 13.87h134.6c9.711 0 19.16-3.158 26.92-8.996l61.26-46.1c8.252-6.121 20.5-6.621 28.38 0c10.12 8.496 9.375 23.11-.877 30.73l-100.6 75.46c-7.75 5.746-17.13 8.994-26.88 8.994H24C10.8 464 0 474.8 0 488C0 501.2 10.8 512 24 512h368.8c20 0 39.38-6.496 55.26-18.49l100.8-75.83c16.63-12.49 26.5-31.48 27.13-51.97C576.7 345.2 567.8 325.6 551.1 312.1zM160 176h64v64C224 248.8 231.2 256 240 256h64C312.8 256 320 248.8 320 240v-64h64c8.836 0 16-7.164 16-16V96c0-8.838-7.164-16-16-16h-64v-64C320 7.162 312.8 0 304 0h-64C231.2 0 224 7.162 224 16v64H160C151.2 80 144 87.16 144 96v64C144 168.8 151.2 176 160 176z"],
    "hand-holding-seedling": [576, 512, [], "f4bf", "M250.8 192h13.25v40C264 245.2 274.8 256 288 256s24.02-10.8 24.02-23.1V192h13.25c85.39 0 154.8-75.38 154.8-168c0-13.25-10.75-24-24-24H418.8c-55.26 0-103.4 31.75-130.8 79C260.7 31.75 212.5 0 157.3 0H120C106.8 0 96.01 10.75 96.01 23.1C96.01 116.6 165.4 192 250.8 192zM418.8 48h11.13c-9.876 54.75-53.01 96-104.5 96h-11.13C324.2 89.25 367.3 48 418.8 48zM157.3 48c51.51 0 94.64 41.25 104.5 96H250.7c-51.51 0-94.64-41.25-104.5-96H157.3zM551.1 312c-31.13-26.38-69.26-16.12-88.39-1.75l-60.38 45.5h-3.375c-.1251-38-30.5-67.88-69.13-67.88H186.7c-28.38 0-56.38 9.375-78.51 26.37L79.76 336H24C10.8 336 0 346.8 0 359.1S10.8 384 24 384l72-.0244l41.26-31.48C151.3 341.8 168.8 336 186.8 336h144c27.88 0 29 40.25-1.125 40.25h-59.88c-7.501 0-13.75 6.125-13.75 13.75c0 7.625 6.251 13.87 13.75 13.87h134.6c9.711 0 19.16-3.159 26.92-9l61.26-46.12c8.251-6.125 20.5-6.625 28.38 0c10.13 8.5 9.376 23.12-.8751 30.75l-100.6 75.5C411.7 460.8 402.3 464 392.6 464H24C10.8 464 0 474.8 0 487.1S10.8 512 24 512h368.8c20 0 39.38-6.5 55.26-18.5l100.8-75.88c16.63-12.5 26.5-31.5 27.13-52C576.7 345.1 567.8 325.5 551.1 312z"],
    "hand-holding-skull": [576, 512, [], "e1a4", "M551.1 312.1c-31.13-26.36-69.26-16.12-88.39-1.75l-60.38 45.47h-3.375C399.7 317.9 369.3 288 330.7 288H186.7C158.3 288 130.3 297.4 108.1 314.4l-28.38 21.74H24C10.8 336.1 0 346.9 0 360.1c0 13.19 10.8 23.99 24 23.99l72-.0596l41.26-31.42c14-10.74 31.5-16.49 49.51-16.49h144c27.88 0 29 40.23-1.125 40.23H269.8c-7.5 0-13.75 6.123-13.75 13.74c0 7.619 6.252 13.87 13.75 13.87h134.6c9.711 0 19.16-3.158 26.92-8.996l61.26-46.1c8.252-6.121 20.5-6.621 28.38 0c10.12 8.496 9.375 23.11-.877 30.73l-100.6 75.46c-7.75 5.746-17.13 8.994-26.88 8.994H24C10.8 464 0 474.8 0 488C0 501.2 10.8 512 24 512h368.8c20 0 39.38-6.496 55.26-18.49l100.8-75.83c16.63-12.49 26.5-31.48 27.13-51.97C576.7 345.2 567.8 325.6 551.1 312.1zM248 144c13.25 0 24-10.75 24-24S261.3 96 248 96S224 106.8 224 120S234.8 144 248 144zM328 144C341.3 144 352 133.3 352 120S341.3 96 328 96S304 106.8 304 120S314.8 144 328 144zM192.2 220C189.9 239.1 204.8 256 224 256h128c19.25 0 34.14-16.87 31.75-35.97l-3.795-30.37C402.2 169.5 416 142.2 416 112C416 50.14 358.7 0 288 0S160 50.14 160 112c0 30.21 13.82 57.52 36.04 77.66L192.2 220zM288 48c44.11 0 80 28.71 80 64c0 15.29-7.201 30.24-20.28 42.1l-18.49 16.76L333.9 208H242.1l4.641-37.14L228.3 154.1C215.2 142.2 208 127.3 208 112C208 76.71 243.9 48 288 48z"],
    "hand-horns": [448, 512, [], "e1a9", "M376 64c-39.69 0-72 31.86-72 71.02v26.17C300.2 160.5 296.3 160 292.3 160C279.3 160 266.8 163.7 256 170.5C245.2 163.7 232.7 160 219.8 160C215.7 160 211.8 160.5 208 161.2V72c0-39.7-32.3-72-71.1-72C96.32 0 64.02 32.3 64.02 72v160.4l-7.113 1.188C23.94 240.7 0 270.3 0 303.1v80c0 22.38 10.12 43.09 27.81 56.84l45.97 35.75c29.34 22.83 65.97 35.41 103.2 35.41L271.8 512C368.9 512 448 432.9 448 335.8V135C448 95.86 415.7 64 376 64zM272 228.3C272 217.1 281.1 208 292.3 208s20.25 9.078 20.25 20.25v55.5C312.5 294.9 303.4 304 292.3 304S272 294.9 272 283.8V228.3zM240 228.3v55.5c0 .4414-.2246 .8105-.252 1.246C238.5 255.4 220.9 234.4 200.4 223.9C202.4 214.9 210.1 208 219.8 208C230.9 208 240 217.1 240 228.3zM112 72c0-13.23 10.78-24 23.1-24c13.22 0 24 10.77 24 24v123.9C156.4 202.6 153.8 209.8 152.6 217.6L112 224.4V72zM400 335.8C400 406.5 342.5 464 271.8 464l-94.81-.0156c-26.56 0-52.72-8.984-73.69-25.3l-45.97-35.75C51.47 398.4 48 391.3 48 383.1v-80c0-11.23 7.969-21.11 17.88-23.27l97-16.19c1.692-.3629 3.383-.5372 5.05-.5372c11.86 0 24.09 9.439 24.09 24.06c0 11.04-7.513 20.95-17.17 23.09L116.8 319c-12.03 1.633-20.78 11.92-20.78 23.75c0 20.24 18.82 24.08 23.69 24.08c1.161 0 2.339-.0863 3.526-.2646l59.88-8.172c7.666-1.646 14.58-4.74 21.01-8.496C209.1 351.1 214.3 352 219.8 352C232.7 352 245.2 348.3 256 341.5C266.8 348.3 279.3 352 292.3 352c37.63 0 68.25-30.61 68.25-68.25v-55.5c0-11.75-3.254-22.64-8.5-32.3V135C352 122.3 362.8 112 376 112s24 10.33 24 23.02V335.8z"],
    "hand-lizard": [512, 512, [], "f258", "M512 331.8V424c0 13.25-10.75 24-24 24c-13.25 0-24-10.75-24-24v-92.17c0-10.09-3.031-19.8-8.766-28.08l-118.6-170.5C327.4 119.1 312.2 112 295.1 112H53.32c-2.5 0-5.25 2.453-5.313 4.172c-.2969 9.5 3.156 18.47 9.75 25.28C64.36 148.3 73.2 152 82.67 152h161.8c17.09 0 33.4 8.281 43.4 22.14c9.984 13.88 12.73 31.83 7.328 48.05l-9.781 29.34C278.2 273.3 257.8 288 234.9 288H138.7C129.2 288 120.4 291.8 113.8 298.5c-6.594 6.812-10.05 15.78-9.75 25.28C104.1 325.5 106.8 328 109.3 328h156.6c5.188 0 10.14 1.688 14.3 4.797l78.22 58.67c6.031 4.531 9.594 11.66 9.594 19.2L367.1 424c0 13.25-10.75 24-24 24s-24-10.75-24-24v-1.328L257.8 376H109.3c-28.48 0-52.39-22.72-53.28-50.64c-.7187-22.61 7.531-43.98 23.23-60.2C94.1 248.9 116.1 240 138.7 240h96.19c2.297 0 4.328-1.469 5.063-3.656l9.781-29.33c.7031-2.141-.0156-3.797-.7344-4.797C248.2 201.2 246.9 200 244.6 200H82.67c-22.58 0-43.67-8.938-59.39-25.16C7.575 158.6-.6755 137.3 .0433 114.6C.9339 86.72 24.84 64 53.32 64h242.7c31.94 0 61.86 15.67 80.05 41.92l118.6 170.5C506 292.8 512 311.9 512 331.8z"],
    "hand-love": [512, 512, [], "e1a5", "M408 64c-39.69 0-72 31.86-72 71.02v58.17C332.2 192.5 328.3 192 324.3 192C311.3 192 298.8 195.7 288 202.5C277.2 195.7 264.7 192 251.8 192C247.7 192 243.8 192.5 240 193.2L240 72c0-39.7-32.3-72-71.1-72C128.3 0 96.02 32.3 96.02 72v168.5C84.85 235.1 75.19 235.4 69.83 235.4c-44.35 0-69.83 37.23-69.83 69.85c0 14.99 4.821 29.51 13.99 41.69l78.14 104.2C120.7 489.3 166.2 512 213.7 512h90.19C401.1 512 480 433.1 480 335.9V135C480 95.86 447.7 64 408 64zM304 260.3C304 249.1 313.1 240 324.3 240s20.25 9.078 20.25 20.25v71.5C344.5 342.9 335.4 352 324.3 352S304 342.9 304 331.8V260.3zM231.5 260.3C231.5 249.1 240.6 240 251.8 240S272 249.1 272 260.3v71.5C272 342.9 262.9 352 251.8 352S231.5 342.9 231.5 331.8V260.3zM432 335.8C432 406.5 374.5 464 303.8 464H213.7c-32.56 0-63.65-15.55-83.18-41.59L52.36 318.2C49.44 314.3 48.01 309.7 48.01 305.1c0-15.8 14.02-21.75 21.51-21.75c7.168 0 13.81 3.7 17.55 8.728l28.12 37.5c3.093 4.105 7.866 6.4 12.8 6.4c11.94 0 16.01-10.68 16.01-15.99V72c0-13.23 10.78-24 23.1-24c13.22 0 24 10.77 24 24L192 227.1C186.8 237.6 183.5 248.5 183.5 260.3v71.5C183.5 369.4 214.1 400 251.8 400c12.97 0 25.47-3.672 36.25-10.5C298.8 396.3 311.3 400 324.3 400c37.63 0 68.25-30.61 68.25-68.25v-71.5c0-11.75-3.254-22.64-8.5-32.3V135C384 122.3 394.8 112 408 112s24 10.33 24 23.02V335.8z"],
    "hand-middle-finger": [448, 512, [128405], "f806", "M364 192c-5.395 0-10.72 .5371-15.92 1.578C337.5 185.6 325.2 180 312 177.5V80c0-44.11-35.89-80-80-80c-44.11 0-80 35.89-80 80v97.46C119.6 183.4 93.35 207.2 83.84 238.3L48.57 266.5C27.87 283 16 307.7 16 334.2v38.79c0 18.65 6.164 37.13 17.36 52.05l11.65 15.53c33.3 44.38 86.29 70.87 141.8 70.87h109.8c81.44 0 148.1-64.64 151.3-145.3l.1152-.4863L448 276C448 229.7 410.3 192 364 192zM399.1 360C399.1 360.1 399.1 360 399.1 360c0 57.1-46.28 103.4-103.4 103.4H186.8c-40.67 0-78.96-19.14-103.4-51.67l-11.65-15.53C66.72 389.6 64 381.4 64 373v-38.79c0-11.78 5.354-22.92 14.55-30.28L96 290V320c0 8.836 7.164 16 16 16S128 328.8 128 320V264C128 241.9 145.9 224 168 224c13.44 0 24.75 7.059 32 17.22V80c0-17.67 14.33-32 32-32s32 14.33 32 32v161.2C271.3 231.1 282.6 224 296 224c19.45 0 34.9 14.15 38.5 32.55C340.9 246.8 351.5 240 364 240c19.88 0 36 16.12 36 36L399.1 360z"],
    "hand-peace": [512, 512, [9996], "f25b", "M412 160c-8.326 0-16.3 1.51-23.68 4.27C375.1 151.8 358.9 144 340 144c-11.64 0-22.44 3.223-32.03 8.418l11.12-68.95c.6228-3.874 .9243-7.725 .9243-11.53c0-36.08-28.91-71.95-72.09-71.95c-34.68 0-65.31 25.16-71.03 60.54L173.4 82.22L168.9 72.77c-12.4-25.75-38.07-40.78-64.89-40.78c-40.8 0-72.01 33.28-72.01 72.07c0 10.48 2.296 21.11 7.144 31.18L89.05 238.9C64.64 250.4 48 275.7 48 303.1v80c0 22.06 10.4 43.32 27.83 56.86l45.95 35.74c29.35 22.83 65.98 35.41 103.2 35.41l78.81 .0352C400.9 512 480 432.1 480 335.8v-107.5C480 189.6 447.9 160 412 160zM320 212.3C320 201.1 328.1 192 340 192c11.02 0 20 9.078 20 20.25v55.5C360 278.9 351 288 340 288C328.1 288 320 278.9 320 267.8V212.3zM247.9 47.98c12.05 0 24.13 9.511 24.13 23.98c0 1.277-.1022 2.57-.3134 3.871L248.4 220.5C240.7 217.6 232.4 215.1 223.9 215.1c0 0 .002 0 0 0c-4.475 0-8.967 .4199-13.38 1.254l-10.55 1.627l24.32-150.7C226.2 56.42 236.4 47.98 247.9 47.98zM79.1 104c0-13.27 10.79-24.04 24.02-24.04c8.937 0 17.5 5.023 21.61 13.61l61.29 127.3L137.3 228.5L82.38 114.4C80.76 111.1 79.1 107.5 79.1 104zM303.8 464l-78.81-.0352c-26.56 0-52.72-8.984-73.69-25.3l-45.97-35.75C99.47 398.4 96 391.3 96 383.1v-80c0-11.23 7.969-21.11 17.59-23.22l105.3-16.23C220.6 264.2 222.3 263.1 223.9 263.1c11.91 0 24.09 9.521 24.09 24.06c0 11.04-7.513 20.95-17.17 23.09L172.8 319c-12.03 1.633-20.78 11.92-20.78 23.75c0 20.21 18.82 24.08 23.7 24.08c2.645 0 64.61-8.619 65.54-8.826c23.55-5.227 41.51-22.23 49.73-43.64C303.3 327.5 320.6 336 340 336c8.326 0 16.31-1.51 23.69-4.27C376 344.2 393.1 352 412 352c.1992 0 10.08-.4453 18.65-2.92C423.9 413.5 369.9 464 303.8 464zM432 283.8C432 294.9 423 304 412 304c-11.02 0-20-9.078-20-20.25v-55.5C392 217.1 400.1 208 412 208c11.02 0 20 9.078 20 20.25V283.8z"],
    "hand-point-down": [448, 512, [], "f0a7", "M448 248V144C448 64.6 385.1 0 307.7 0H199.8C176.4 0 153.1 6.104 132.5 17.65L76.63 49C49.1 64.47 32 94.02 32 126.1V176c0 27.23 12.51 51.53 32 67.69V440C64 479.7 96.3 512 136 512s72-32.3 72-72v-56.44C210.6 383.9 213.3 384 216 384c25.95 0 48.73-13.79 61.4-34.43C283.3 351.2 289.6 352 296 352c25.95 0 48.73-13.79 61.4-34.43C363.3 319.2 369.6 320 376 320C415.7 320 448 287.7 448 248zM272 232c0-13.23 10.78-24 24-24S320 218.9 320 232.1V280c0 13.23-10.78 24-24 24S272 293.2 272 280V232zM192 264h12c12.39 0 23.93-3.264 34.27-8.545C239.3 258.1 240 260.1 240 264v48c0 13.23-10.78 24-24 24S192 325.2 192 312V264zM112 264c0-.2813 .1504-.5137 .1602-.793C114.8 263.4 117.3 264 120 264H160v176c0 13.23-10.78 24-24 24S112 453.2 112 440V264zM397.9 123.8C390.9 121.6 383.7 120 376 120c-29.04 0-53.96 17.37-65.34 42.18C305.8 161.2 301 160 296 160c-7.139 0-13.96 1.273-20.46 3.355C265.2 133.6 237.2 112 204 112H152C138.8 112 128 122.8 128 136S138.8 160 152 160h52c15.44 0 28 12.56 28 28S219.4 216 204 216H120C97.94 216 80 198.1 80 176V126.1c0-14.77 7.719-28.28 20.16-35.27l55.78-31.34C169.4 51.98 184.6 48 199.8 48h107.9C351.9 48 388.9 80.56 397.9 123.8zM400 248c0 13.23-10.78 24-24 24S352 261.2 352 248V192c0-13.23 10.78-24 24-24S400 178.8 400 192V248z"],
    "hand-point-left": [512, 512, [], "f0a5", "M264 480h104c79.4 0 144-62.95 144-140.3V231.8c0-23.44-6.104-46.73-17.65-67.35L462.1 108.6C447.5 81.1 417.1 64 385.9 64H336c-27.23 0-51.53 12.51-67.69 32H72C32.3 96 0 128.3 0 168S32.3 240 72 240h56.44C128.1 242.6 128 245.3 128 248c0 25.95 13.79 48.73 34.43 61.4C160.8 315.3 160 321.6 160 328c0 25.95 13.79 48.73 34.43 61.4C192.8 395.3 192 401.6 192 408C192 447.7 224.3 480 264 480zM280 304c13.23 0 24 10.78 24 24S293.1 352 279.9 352H232c-13.23 0-24-10.78-24-24S218.8 304 232 304H280zM248 224v12c0 12.39 3.264 23.93 8.545 34.27C253.9 271.3 251 272 248 272h-48C186.8 272 176 261.2 176 248S186.8 224 200 224H248zM248 144c.2813 0 .5137 .1504 .793 .1602C248.6 146.8 248 149.3 248 152V192h-176C58.77 192 48 181.2 48 168S58.77 144 72 144H248zM388.2 429.9C390.4 422.9 392 415.7 392 408c0-29.04-17.37-53.96-42.18-65.34C350.8 337.8 352 333 352 328c0-7.139-1.273-13.96-3.355-20.46C378.4 297.2 400 269.2 400 236V184C400 170.8 389.3 160 376 160S352 170.8 352 184v52c0 15.44-12.56 28-28 28S296 251.4 296 236V152c0-22.06 17.94-40 40-40h49.88c14.77 0 28.28 7.719 35.27 20.16l31.34 55.78C460 201.4 464 216.6 464 231.8v107.9C464 383.9 431.4 420.9 388.2 429.9zM264 432c-13.23 0-24-10.78-24-24S250.8 384 264 384H320c13.23 0 24 10.78 24 24S333.2 432 320 432H264z"],
    "hand-point-ribbon": [448, 512, [], "e1a6", "M375.1 192c-6.428 0-12.66 .8457-18.6 2.434C344.7 173.8 321.9 160 295.1 160c-6.428 0-12.66 .8457-18.6 2.434C264.7 141.8 241.9 128 215.1 128c-2.705 0-5.373 .1484-8 .4414V72c0-39.7-32.3-72-72-72s-72 32.3-72 72V96h-48C9.523 96 3.68 99.89 1.211 105.9S.1172 118.7 4.68 123.3L25.37 144L4.68 164.7C.1172 169.3-1.258 176.1 1.211 182.1S9.523 192 15.99 192h48v76.31C44.51 284.5 31.1 308.8 31.1 336l-.0059 49.88c0 32.1 17.1 61.65 44.63 77.12l55.83 31.35C153.1 505.9 176.4 512 199.8 512h107.9c77.37 0 140.3-64.6 140.3-144V264C447.1 224.3 415.7 192 375.1 192zM271.1 232c0-13.23 10.78-24 24-24s24 10.77 24 24l.0039 47.91C319.1 293.1 309.2 304 295.1 304s-24-10.77-24-24V232zM191.1 200c0-13.23 10.78-24 24-24s24 10.77 24 24v48c0 3.029-.7012 5.875-1.73 8.545C227.9 251.3 216.4 248 203.1 248h-12V200zM111.1 72c0-13.23 10.78-24 24-24s24 10.77 24 24V96h-48V72zM111.1 192h48v56h-40c-2.686 0-5.217 .5566-7.84 .793C112.1 248.5 111.1 248.3 111.1 248V192zM307.7 464H199.8c-15.25 0-30.41-3.984-43.88-11.52l-55.78-31.34c-12.44-6.984-20.16-20.5-20.16-35.27V336c0-22.06 17.94-40 40-40h84c15.44 0 28 12.56 28 28S219.4 352 203.1 352h-52c-13.25 0-23.1 10.75-23.1 24s10.75 24 23.1 24h52c33.23 0 61.25-21.58 71.54-51.36C282 350.7 288.9 352 295.1 352c5.041 0 9.836-1.166 14.66-2.178C322 374.6 346.1 392 375.1 392c7.684 0 14.94-1.557 21.87-3.836C388.9 431.4 351.9 464 307.7 464zM399.1 320c0 13.23-10.78 24-24 24s-24-10.77-24-24V264c0-13.23 10.78-24 24-24s24 10.77 24 24V320z"],
    "hand-point-right": [512, 512, [], "f0a4", "M320 408c0-6.428-.8457-12.66-2.434-18.6C338.2 376.7 352 353.9 352 328c0-6.428-.8457-12.66-2.434-18.6C370.2 296.7 384 273.9 384 248c0-2.705-.1484-5.373-.4414-8H440C479.7 240 512 207.7 512 168S479.7 96 440 96H243.7C227.5 76.51 203.2 64 176 64H126.1C94.02 64 64.47 81.1 49 108.6L17.65 164.5C6.104 185.1 0 208.4 0 231.8v107.9C0 417.1 64.6 480 144 480h104C287.7 480 320 447.7 320 408zM280 304c13.23 0 24 10.78 24 24S293.2 352 280 352H232.1C218.9 352 208 341.2 208 328S218.8 304 232 304H280zM312 224c13.23 0 24 10.78 24 24S325.2 272 312 272h-48c-3.029 0-5.875-.7012-8.545-1.73C260.7 259.9 264 248.4 264 236V224H312zM440 144c13.23 0 24 10.78 24 24S453.2 192 440 192h-176V152c0-2.686-.5566-5.217-.793-7.84C263.5 144.2 263.7 144 264 144H440zM48 339.7V231.8c0-15.25 3.984-30.41 11.52-43.88l31.34-55.78C97.84 119.7 111.4 112 126.1 112H176c22.06 0 40 17.94 40 40v84c0 15.44-12.56 28-28 28S160 251.4 160 236V184C160 170.8 149.3 160 136 160S112 170.8 112 184v52c0 33.23 21.58 61.25 51.36 71.54C161.3 314 160 320.9 160 328c0 5.041 1.166 9.836 2.178 14.66C137.4 354 120 378.1 120 408c0 7.684 1.557 14.94 3.836 21.87C80.56 420.9 48 383.9 48 339.7zM192 432c-13.23 0-24-10.78-24-24S178.8 384 192 384h56c13.23 0 24 10.78 24 24s-10.77 24-24 24H192z"],
    "hand-point-up": [448, 512, [9757], "f0a6", "M376 192c-6.428 0-12.66 .8457-18.6 2.434C344.7 173.8 321.9 160 296 160c-6.428 0-12.66 .8457-18.6 2.434C264.7 141.8 241.9 128 216 128C213.3 128 210.6 128.1 208 128.4V72C208 32.3 175.7 0 136 0S64 32.3 64 72v196.3C44.51 284.5 32 308.8 32 336v49.88c0 32.1 17.1 61.65 44.63 77.12l55.83 31.35C153.1 505.9 176.4 512 199.8 512h107.9C385.1 512 448 447.4 448 368V264C448 224.3 415.7 192 376 192zM272 232c0-13.23 10.78-24 24-24S320 218.8 320 232v47.91C320 293.1 309.2 304 296 304S272 293.2 272 280V232zM192 200C192 186.8 202.8 176 216 176s24 10.77 24 24v48c0 3.029-.7012 5.875-1.73 8.545C227.9 251.3 216.4 248 204 248H192V200zM112 72c0-13.23 10.78-24 24-24S160 58.77 160 72v176H120c-2.686 0-5.217 .5566-7.84 .793C112.2 248.5 112 248.3 112 248V72zM307.7 464H199.8c-15.25 0-30.41-3.984-43.88-11.52l-55.78-31.34C87.72 414.2 80 400.6 80 385.9V336c0-22.06 17.94-40 40-40h84c15.44 0 28 12.56 28 28S219.4 352 204 352H152C138.8 352 128 362.8 128 376s10.75 24 24 24h52c33.23 0 61.25-21.58 71.54-51.36C282 350.7 288.9 352 296 352c5.041 0 9.836-1.166 14.66-2.178C322 374.6 346.1 392 376 392c7.684 0 14.94-1.557 21.87-3.836C388.9 431.4 351.9 464 307.7 464zM400 320c0 13.23-10.78 24-24 24S352 333.2 352 320V264c0-13.23 10.78-24 24-24s24 10.77 24 24V320z"],
    "hand-pointer": [448, 512, [], "f25a", "M208 288C199.2 288 192 295.2 192 304v96C192 408.8 199.2 416 208 416s16-7.164 16-16v-96C224 295.2 216.8 288 208 288zM272 288C263.2 288 256 295.2 256 304v96c0 8.836 7.162 16 15.1 16S288 408.8 288 400l-.0013-96C287.1 295.2 280.8 288 272 288zM376.9 201.2c-13.74-17.12-34.8-27.45-56.92-27.45h-13.72c-3.713 0-7.412 .291-11.07 .8652C282.7 165.1 267.4 160 251.4 160h-11.44V72c0-39.7-32.31-72-72.01-72c-39.7 0-71.98 32.3-71.98 72v168.5C84.85 235.1 75.19 235.4 69.83 235.4c-44.35 0-69.83 37.23-69.83 69.85c0 14.99 4.821 29.51 13.99 41.69l78.14 104.2C120.7 489.3 166.2 512 213.7 512h109.7c6.309 0 12.83-.957 18.14-2.645c28.59-5.447 53.87-19.41 73.17-40.44C436.1 446.3 448 416.2 448 384.2V274.3C448 234.6 416.3 202.3 376.9 201.2zM400 384.2c0 19.62-7.219 38.06-20.44 52.06c-12.53 13.66-29.03 22.67-49.69 26.56C327.4 463.6 325.3 464 323.4 464H213.7c-32.56 0-63.65-15.55-83.18-41.59L52.36 318.2C49.52 314.4 48.02 309.8 48.02 305.2c0-16.32 14.5-21.75 21.72-21.75c4.454 0 12.01 1.55 17.34 8.703l28.12 37.5c3.093 4.105 7.865 6.419 12.8 6.419c11.94 0 16.01-10.7 16.01-16.01V72c0-13.23 10.78-24 23.1-24c13.22 0 24 10.77 24 24v130.7c0 6.938 5.451 16.01 16.03 16.01C219.5 218.7 220.1 208 237.7 208h13.72c21.5 0 18.56 19.21 34.7 19.21c8.063 0 9.805-5.487 20.15-5.487h13.72c26.96 0 17.37 27.43 40.77 27.43l14.07-.0037c13.88 0 25.16 11.28 25.16 25.14V384.2zM336 288C327.2 288 320 295.2 320 304v96c0 8.836 7.164 16 16 16s16-7.164 16-16v-96C352 295.2 344.8 288 336 288z"],
    "hand-scissors": [512, 512, [], "f257", "M270.1 480h97.92C447.4 480 512 417.1 512 339.7V231.8c0-23.45-6.106-46.73-17.66-67.33l-31.35-55.85C447.5 81.1 417.1 64 385.9 64h-46.97c-26.63 0-51.56 11.63-68.4 31.93l-15.46 18.71L127.3 68.44C119 65.46 110.5 64.05 102.1 64.05c-30.02 0-58.37 18.06-69.41 47.09C15.06 156.8 46.19 194 76.75 204.9l2.146 .7637L68.79 206.4C30.21 209 0 241.2 0 279.3c0 39.7 33.27 72.09 73.92 72.09c1.745 0 3.501-.0605 5.268-.1833l88.79-6.135v8.141c0 22.11 10.55 43.11 28.05 56.74C197.4 448.8 230.2 480 270.1 480zM269.1 432c-14.34 0-26-11.03-26-24.62c0 0 .0403-14.31 .0403-14.71c0-6.894-4.102-14.2-10.67-16.39c-10.39-3.5-17.38-12.78-17.38-23.06v-13.53c0-16.98 13.7-16.4 13.7-29.89c0-9.083-7.392-15.96-15.96-15.96c-.3646 0-.7311 .0125-1.099 .0377c0 0-138.1 9.505-138.7 9.505c-14.32 0-25.93-11.04-25.93-24.49c0-13.28 10.7-23.74 24.1-24.64l163.2-11.28c2.674-.1882 14.92-2.907 14.92-16.18c0-6.675-4.284-12.58-10.65-14.85L92.84 159.7C85.39 156.1 75.97 149.4 75.97 136.7c0-11.14 9.249-24.66 25.97-24.66c3.043 0 6.141 .5115 9.166 1.59l234.1 85.03c1.801 .6581 3.644 .9701 5.456 .9701c8.96 0 16-7.376 16-15.1c0-6.514-4.068-12.69-10.59-15.04l-64.81-23.47l15.34-18.56C315.2 117.3 326.6 112 338.9 112h46.97c14.77 0 28.28 7.719 35.27 20.16L452.5 188c7.531 13.41 11.52 28.56 11.52 43.81v107.9c0 50.91-43.06 92.31-96 92.31H269.1z"],
    "hand-sparkles": [640, 512, [], "e05d", "M80 192c2.277 0 4.943-1.656 5.959-3.699l20.7-49.63L128 129.8V94.23L106.7 85.37L85.96 35.7C84.94 33.65 82.28 32 80 32C77.72 32 75.05 33.65 74.04 35.7L53.34 85.33L3.695 106C1.668 107.1 .0195 109.7 .0156 111.1c.0039 2.262 1.654 4.957 3.68 5.971l49.57 20.67l20.77 49.67C75.05 190.3 77.72 192 80 192zM639.1 432c-.0039-2.275-1.657-4.952-3.687-5.968l-49.57-20.67l-20.77-49.67C564.9 353.7 562.3 352 560 352c-2.281 0-4.959 1.652-5.975 3.695l-20.7 49.63l-49.64 20.71c-2.027 1.016-3.682 3.683-3.686 5.958c.0039 2.262 1.661 4.954 3.686 5.968l49.57 20.67l20.77 49.67C555.1 510.3 557.7 512 560 512c2.277 0 4.933-1.656 5.949-3.699l20.7-49.63l49.65-20.71C638.3 436.9 639.1 434.3 639.1 432zM307.6 322.2C306.1 320.1 305.4 320 304 320s-2.969 .9902-3.578 2.217L288 352l-29.79 12.42C256.1 365 256 366.6 256 367.1c0 1.359 .9922 2.97 2.209 3.58L288 383.1l12.42 29.78C301 415 302.6 416 304 416s2.967-.9941 3.578-2.219L320 383.1l29.79-12.42C351 370.1 352 369.4 352 367.1c0-1.365-.9922-2.967-2.211-3.577L320 352L307.6 322.2zM474.1 395.4l34.76-14.55l15.64-37.52c4.422-8.957 11.54-15.35 19.43-19.23C543.1 322.7 544 321.4 544 320V152c0-39.7-32.3-72-71.1-72c-3.994 0-7.91 .3262-11.73 .9551c-9.586-28.51-36.57-49.11-68.27-49.11c-6.457 0-12.72 .8555-18.68 2.457C360.6 13.73 337.9 0 312 0C286.1 0 263.3 13.79 250.6 34.44C244.7 32.85 238.4 32 232 32c-39.7 0-71.1 32.3-71.1 72v121.6C154.8 224.6 149.4 224 144 224c-.0026 0 .0026 0 0 0c-43.58 0-80.01 35.15-80.01 80.07c0 20.29 7.558 39.52 21.45 54.45l81.25 87.24C205.9 487.9 261.4 512 318.9 512h33.08c46.12 0 88.47-16.37 121.6-43.57l-2.24-.9336c-14.81-7.359-23.36-21.25-23.36-35.5c0-2.107 .5488-4.146 .9082-6.215C423.3 449.3 389.4 464 352 464H318.9c-44.41 0-86.83-18.46-117.1-50.96l-79.76-85.63C115.9 320.7 112.7 312 112.7 303.4c0-22.11 18.46-31.4 31.35-31.4c8.561 0 17.1 3.416 23.42 10.18l26.72 28.69c1.65 1.771 3.738 2.564 5.79 2.564c4.106 0 8.065-3.172 8.065-8.017V104c0-13.25 10.75-24 23.1-24s24 10.75 24 24V256c0 8.836 7.164 16 16 16s15.1-7.164 15.1-15.1L288 72c0-13.25 10.75-24 24-24s24 10.75 24 24V256c0 8.836 7.162 16 15.1 16c8.838 0 15.99-7.164 15.99-15.1l.0072-152.2c0-13.25 10.75-24 24-24s24 10.75 24 24V256c0 8.836 7.164 16 16 16s16-7.164 16-16V152c0-13.25 10.75-24 24-24C485.3 128 496 138.8 496 152V320C496 347.7 487.7 373.4 474.1 395.4z"],
    "hand-spock": [576, 512, [128406], "f259", "M234.9 48.02c10.43 0 20.72 5.834 24.13 19.17l47.33 184.1c2.142 8.456 9.174 12.62 16.21 12.62c7.326 0 14.66-4.505 16.51-13.37l31.72-155.1c2.921-14.09 13.76-20.57 24.67-20.57c13.01 0 26.14 9.19 26.14 25.62c0 2.19-.2333 4.508-.7313 6.951l-28.48 139.2c-.2389 1.156-.3514 2.265-.3514 3.323c0 8.644 7.504 13.9 14.86 13.9c5.869 0 11.65-3.341 13.46-10.98l24.73-104.2c.2347-.9802 4.12-19.76 24.28-19.76c13.21 0 26.64 9.4 26.64 24.79c0 2.168-.2665 4.455-.8378 6.852l-48.06 204.7c-13.59 57.85-65.15 98.74-124.5 98.74l-48.79-.0234c-40.7-.0196-79.86-15.58-109.5-43.51l-75.93-71.55c-5.938-5.584-8.419-11.1-8.419-18.2c0-13.88 12.45-26.69 26.38-26.69c5.756 0 11.76 2.182 17.26 7.376l51.08 48.14c1.682 1.569 3.599 2.249 5.448 2.249c4.192 0 8.04-3.49 8.04-8.001c0-23.76-3.372-47.39-10.12-70.28L142 161.1C141.2 159.1 140.8 156.3 140.8 153.7c0-15.23 13.48-24.82 26.75-24.82c10.11 0 20.1 5.559 23.94 18.42l31.22 105.8c2.231 7.546 8.029 10.8 13.9 10.8c7.752 0 15.64-5.659 15.64-14.57c0-1.339-.1783-2.752-.562-4.23L209.3 80.06C208.7 77.45 208.3 74.97 208.3 72.62C208.3 57.33 221.7 48.02 234.9 48.02zM234.9 0C201.5 0 160.4 25.24 160.4 72.72c0 2.807 .1579 5.632 .4761 8.463C129.9 83.9 92.84 108.9 92.84 153.8c0 7.175 1.038 14.47 3.148 21.68l24.33 81.94C115.8 256.5 111.1 256 106.4 256C65.74 256 32 290.6 32 330.8c0 19.59 8.162 38.58 23.6 53.1l75.89 71.51c38.68 36.45 89.23 56.53 142.3 56.56L322.6 512c82.1 0 152.5-55.83 171.3-135.8l48.06-204.7C543.3 165.7 544 159.7 544 153.9c0-54.55-49.55-72.95-74.59-72.95c-.7689 0-1.534 .0117-2.297 .0352c-10.49-39.43-46.46-54.11-71.62-54.11c-34.1 0-64.45 24.19-71.63 58.83L319.2 108.5l-13.7-53.29C297.1 22.22 268.7 0 234.9 0z"],
    "hand-wave": [512, 512, [], "e1a7", "M304 32C330.5 32 352 53.53 352 80C352 88.84 359.2 96 368 96S384 88.84 384 80C384 35.89 348.1 0 304 0C295.2 0 288 7.156 288 16S295.2 32 304 32zM80 416C53.53 416 32 394.5 32 368C32 359.2 24.84 352 16 352S0 359.2 0 368C0 412.1 35.88 448 80 448C88.84 448 96 440.8 96 432S88.84 416 80 416zM420.3 112c-25.33 0-47.8 12.5-61.56 31.65L267 52.13C254 39.16 236.8 32 218.4 32C217 32 179.7 30.74 158.1 66.02c-2.564-.2871-5.16-.4336-7.777-.4336c-38.18 0-68.78 30.91-68.78 68.81c0 2.588 .1447 5.176 .4341 7.751C47.51 162.9 48.78 200.2 48.78 201.6c0 11.12 2.621 21.85 7.574 31.46c-25.63 21.81-24.31 51.18-24.31 52.52c0 17.61 6.697 35.23 20.09 48.64C147.4 429.5 216.1 512 310.5 512c49.03 0 95.17-19.1 129.9-53.78C476.3 422.3 496 374.6 496 323.9V187.8C496 145.1 462 112 420.3 112zM448 323.9c0 37.89-14.74 73.5-41.52 100.3C380.8 449.9 346.7 464 310.5 464c-70.98 0-128.3-67.61-224.4-163.7C82.03 296.2 80 290.9 80 285.6c0-11.87 9.696-20.81 20.81-20.81c5.324 0 10.65 2.033 14.71 6.098l75.3 75.06c2.891 2.882 6.675 4.322 10.46 4.322c3.792 0 7.584-1.447 10.48-4.34c2.893-2.893 4.349-6.694 4.349-10.49c0-3.797-1.451-7.595-4.352-10.49l-108.9-108.6c-4.065-4.064-6.098-9.39-6.098-14.71c0-11.11 8.954-20.81 20.81-20.81c5.326 0 10.65 2.033 14.71 6.098l108.9 108.6c2.892 2.884 6.677 4.326 10.46 4.326c3.792 0 7.583-1.447 10.48-4.339c2.893-2.893 4.339-6.685 4.339-10.48c0-3.796-1.45-7.593-4.35-10.49L136.5 149.1c-4.064-4.065-6.097-9.391-6.097-14.72c0-11.12 8.951-20.81 20.81-20.81c5.324 0 10.65 2.033 14.71 6.098l125.7 125.4c2.892 2.886 6.679 4.329 10.47 4.329c3.792 0 7.584-1.447 10.48-4.34c2.893-2.893 4.347-6.692 4.347-10.48c0-3.797-1.451-7.594-4.352-10.49L203.7 115.5c-4.065-4.064-6.098-9.39-6.098-14.71C197.6 89.7 206.5 80 218.4 80c5.326 0 10.65 2.031 14.72 6.098L392.5 245.2l-.0001-56.01c0-5.217 4.051-29.21 27.75-29.21C435.6 160 448 172.4 448 187.8V323.9z"],
    "handcuffs": [640, 512, [], "e4f8", "M304 32C304 49.67 289.7 64 272 64C254.3 64 240 49.67 240 32C240 14.33 254.3 0 272 0C289.7 0 304 14.33 304 32zM160 80C160 62.33 174.3 48 192 48C209.7 48 224 62.33 224 80C224 97.67 209.7 112 192 112C174.3 112 160 97.67 160 80zM160 128C177.7 128 192 142.3 192 160H200C213.3 160 224 170.7 224 184V200C224 201.7 223.8 203.4 223.5 205.1C280.3 229.6 320 286.2 320 352C320 440.4 248.4 512 160 512C71.63 512 0 440.4 0 352C0 286.2 39.74 229.6 96.54 205.1C96.19 203.4 96 201.7 96 200V184C96 170.7 106.7 160 120 160H128C128 142.3 142.3 128 160 128zM160 464C221.9 464 272 413.9 272 352C272 290.1 221.9 240 160 240C98.14 240 48 290.1 48 352C48 413.9 98.14 464 160 464zM337.6 278.9C354.5 246.1 382.5 219.8 416.5 205.1C416.2 203.4 416 201.7 416 199.1V183.1C416 170.7 426.7 159.1 440 159.1H448C448 142.3 462.3 127.1 480 127.1C497.7 127.1 512 142.3 512 159.1H520C533.3 159.1 544 170.7 544 183.1V199.1C544 201.7 543.8 203.4 543.5 205.1C600.3 229.6 640 286.2 640 352C640 440.4 568.4 512 480 512C417.1 512 364.2 476.7 337.6 425.1C346.9 402.5 352 377.9 352 352C352 326.1 346.9 301.5 337.6 278.9V278.9zM480 240C418.1 240 368 290.1 368 352C368 413.9 418.1 464 480 464C541.9 464 592 413.9 592 352C592 290.1 541.9 240 480 240zM336 32C336 14.33 350.3 0 368 0C385.7 0 400 14.33 400 32C400 49.67 385.7 64 368 64C350.3 64 336 49.67 336 32zM416 80C416 62.33 430.3 48 448 48C465.7 48 480 62.33 480 80C480 97.67 465.7 112 448 112C430.3 112 416 97.67 416 80z"],
    "hands": [512, 512, ["sign-language", "signing"], "f2a7", "M15.45 383.5c3.174 3.842 6.717 7.282 10.56 10.28c.2793 15.15 5.623 29.84 15.44 41.72c3.174 3.842 6.717 7.281 10.56 10.28c.2793 15.15 5.623 29.84 15.44 41.72C80.32 503.1 99.3 512 119.5 512h168.1c58.92 0 109.8-35.21 132.6-85.7l46.6-46.02C495.7 352.7 511.4 316.1 512 276.4l-.0029-92.23c-.4863-36.81-31.06-66.76-68.58-66.76c-1.529 .0098-3.045 .0723-4.547 .1836l-19.14-60.6c-9.184-29.09-34.37-47.88-64.17-47.88c-6.578 0-13.05 .9395-19.23 2.727C325.5 4.258 312.3 0 298.1 0c-21.89 0-42.6 10.41-55.37 27.84C239 32.93 236.1 38.42 234 44.18c-13.11 4.475-24.72 12.82-33.01 24.13c-3.723 5.082-6.646 10.57-8.744 16.33C179.2 89.11 167.5 97.46 159.3 108.8C146.7 125.1 143.2 147.8 149.9 168.8l12.42 39.31C161 210.8 159.9 213.7 158.1 216.6C158.5 218.1 158.1 219.5 157.8 220.1H94.23c-32.74 0-60.92 22.95-66.1 54.57C26.48 279.5 26.07 283.5 26.01 287.4C13.45 297.1 4.384 311.2 1.237 327.6C-2.599 347.5 2.581 367.9 15.45 383.5zM242 171.7C235.1 170 229.8 168.1 223.5 168.1c-7.705 0-15.1 1.387-22.06 3.781L195.6 154.3c-4.746-15.02 7.145-25.38 19.01-25.38c7.617 0 15.22 4.276 18.4 14.33L242 171.7zM274.8 102.8l27.18 86.47c.1367 .4297 .5313 .6485 .7422 1.027l-45.63-14.08L237.4 113.8c-4.744-15.02 7.146-25.38 19.01-25.38C264 88.46 271.6 92.74 274.8 102.8zM330.9 199l-20.01-6.176c2.76-1.424 4.404-4.42 3.438-7.481l-35.24-111.1c-4.744-15.02 7.146-25.38 19.01-25.38c7.617 0 15.22 4.276 18.4 14.33l38.94 123.3c.875 2.772 3.436 4.545 6.195 4.545c.6484 0 1.309-.0996 1.961-.3047c3.424-1.082 5.322-4.733 4.24-8.157l-31.33-99.17c-4.742-15.02 7.15-25.38 19.01-25.38c7.617 0 15.22 4.276 18.4 14.33l48.73 154.3l1.693-40.66c-.0723-10.76 8.603-19.55 19.39-19.63c10.71 0 20.09 8.594 20.23 19.39V276.4c-.4336 27.16-11.76 51.69-29.1 69.71v-5.66C434 276.4 392.1 219.7 330.9 199zM48.37 336.6c1.779-9.26 10.43-15.63 19.86-15.63h129.3c3.59 0 6.5-2.91 6.5-6.5s-2.91-6.5-6.5-6.5H93.5c-12.03 0-21.52-10.91-19.13-23.37c1.779-9.26 10.43-15.63 19.86-15.63h161.8L217.7 255.1C207.5 251.1 201.7 241 204.9 230.7c2.607-8.366 10.3-13.73 18.67-13.73c1.895 0 3.822 .2754 5.734 .8516l87.52 27.02c41.56 13.86 69.22 52.23 69.22 95.6v26.03c0 53.85-43.65 97.5-97.5 97.5H119.5c-12.03 0-21.52-10.91-19.13-23.37c1.779-9.26 10.43-15.63 19.86-15.63h77.27c3.59 0 6.5-2.91 6.5-6.5s-2.91-6.5-6.5-6.5H93.5c-12.03 0-21.52-10.91-19.13-23.37c1.779-9.26 10.43-15.63 19.86-15.63h103.3c3.59 0 6.5-2.91 6.5-6.5s-2.91-6.5-6.5-6.5H67.5C55.47 359.1 45.98 349.1 48.37 336.6z"],
    "hands-asl-interpreting": [640, 512, ["american-sign-language-interpreting", "asl-interpreting", "hands-american-sign-language-interpreting"], "f2a3", "M513.1 112l-88.57 .0469c-25.23 1.775-48.45 11.69-67.71 26.7c-.3301-3.732-.9453-7.486-2.012-11.22c-4.387-15.39-14.53-28.18-28.56-35.98c-5.242-2.924-10.89-5.037-16.72-6.277c9.553-20.66 6.895-45.92-8.854-64.32C291.1 8.773 276.6 1.395 260.5 .1777C259 .0586 257.5 0 255.9 0C241.6 0 227.8 5.141 216.9 14.48L196.8 31.7c-6.057-11.29-15.67-20.6-27.72-26.18c-7.93-3.65-16.33-5.494-24.99-5.494c-23.41 0-44.88 13.75-54.7 35.03l-73.61 164.7C5.326 223.3 0 248.3 0 274c0 69.48 56.53 125.1 126 125.1l88.57-.0469c25.23-1.775 48.45-11.69 67.71-26.7c.3281 3.732 .9453 7.484 2.012 11.22c4.387 15.39 14.53 28.18 28.56 35.98c5.246 2.918 10.9 5.025 16.73 6.264c-9.559 20.66-6.904 45.93 8.848 64.33c10.44 12.19 25.01 19.57 41.02 20.78C380.9 511.1 382.5 512 384.1 512c14.29 0 28.13-5.135 38.98-14.46l20.1-17.23c6.057 11.29 15.67 20.6 27.72 26.18c7.938 3.652 16.34 5.498 25.01 5.498c23.4 0 44.86-13.75 54.68-35.03l73.61-164.7C634.7 288.7 640 263.7 640 238C640 168.5 583.5 112 513.1 112zM315.5 153.7C312.9 158.4 308.6 161.8 303.5 163.2L209.1 190.2l24.36 8.219c24.42 8.234 43.31 26.8 51.84 50.91c1.766 5.062 1.484 10.47-.8125 15.28C282.2 269.4 278.1 273.1 273.1 274.9C262.7 278.5 251.3 273 247.6 262.7C241.5 245.5 225.2 234 207 234c-23.7 0-43 19.3-43 42.1c0 23.7 19.3 42.1 43 42.1c14.38 0 27.75-7.141 35.75-19.12c6.188-9.141 18.61-11.59 27.75-5.516C274.1 298.3 277.1 302.9 279 308.1C280 313.4 278.1 318.7 276 323.1c-14.02 20.94-37.77 35.06-61.97 36.84l-88.02 .0156c-47.42 0-86.02-38.58-86.02-85.1c0-20.09 4.156-39.59 12.36-57.94l73.45-164.4c4.5-9.781 16.92-14.3 26.58-9.844c4.812 2.219 8.516 6.203 10.36 11.22c1.859 5.031 1.656 10.45-.5781 15.3L127.3 144l115.8-99.22C246.9 41.49 252.1 39.85 257.3 40.05c5.578 .4219 10.44 2.891 13.91 6.953c3.469 4.047 5.156 9.219 4.734 14.55C275.5 66.88 273.1 71.73 269 75.19L170.5 159.6L292.5 124.8c5.203-1.453 10.56-.8281 15.19 1.719C312.4 129.1 315.8 133.4 317.2 138.5C318.7 143.6 318.1 149 315.5 153.7zM587.6 295.9l-73.45 164.4c-2.25 4.937-6.266 8.641-11.33 10.5C500.6 471.6 498.3 472 496 472c-2.891 0-5.75-.6406-8.422-1.906c-4.781-2.203-8.484-6.187-10.33-11.2c-1.859-5.031-1.656-10.45 .5781-15.3l34.91-75.64l-115.8 99.22c-3.938 3.391-9.094 5.125-14.38 4.75c-5.484-.4219-10.34-2.891-13.81-6.953c-3.469-4.047-5.156-9.219-4.734-14.55c.4062-5.328 2.859-10.17 6.906-13.64l98.52-84.45l-121.1 34.87c-5.031 1.5-10.47 .9062-15.2-1.734c-4.688-2.625-8.062-6.891-9.516-12.02c-1.469-5.109-.8594-10.5 1.734-15.19c2.594-4.672 6.844-8.062 11.97-9.515l94.44-26.98l-24.36-8.219c-24.42-8.234-43.31-26.8-51.84-50.91c-1.766-5.062-1.484-10.47 .8125-15.28c2.297-4.828 6.328-8.453 11.36-10.25c10.67-3.625 21.83 1.812 25.55 12.14c6.078 17.19 22.38 28.72 40.56 28.72c23.7 0 43-19.3 43-42.1s-19.3-42.1-43-42.1c-14.38 0-27.75 7.141-35.75 19.12c-6.203 9.172-18.62 11.64-27.78 5.5c-4.422-2.969-7.438-7.5-8.469-12.75c-1.047-5.25 .0156-10.58 3-15.02c14.02-20.94 37.77-35.06 61.97-36.84l88.02-.0156c47.42 0 86.02 38.58 86.02 85.1C600 258.1 595.8 277.6 587.6 295.9z"],
    "hands-bound": [640, 512, [], "e4f9", "M88 0C127.8 0 160 32.24 160 72V138.3C160.5 137.9 161 137.4 161.6 136.1C191.4 111.8 235.9 114.1 261.8 144.2L308.5 196.7C312.7 201.4 316.5 206.3 320 211.5C323.5 206.3 327.3 201.4 331.5 196.7L378.2 144.2C404.1 114.1 448.6 111.8 478.4 136.1C478.1 137.4 479.5 137.9 480 138.3V72C480 32.24 512.2 0 552 0C591.8 0 624 32.24 624 72V206.6C624 228.7 616.6 250.3 602.9 267.8L533.8 356.3C539.1 360.7 544 367.9 544 376C544 389.3 533.3 400 520 400H120C106.7 400 96 389.3 96 376C96 367.9 100 360.7 106.2 356.3L37.07 267.8C23.42 250.3 16 228.7 16 206.6V72C16 32.24 48.24 .0003 88 .0003L88 0zM163.8 352H296V290.1C296 267.4 287.7 245.5 272.6 228.6L225.9 176.1C217.3 166.3 202.5 165.3 192.5 173.7C185.9 179.3 183 187.8 184.3 195.8C184.9 199.8 186.6 203.6 189.3 206.1L220.5 246.1C220.7 246.3 220.8 246.5 220.1 246.6C229.1 257.4 226.4 272.1 214.1 280.4C204.8 286.9 191.4 284.7 183.9 275.3C183.8 275.1 183.6 274.9 183.5 274.8L112 179.4V71.1C112 58.74 101.3 47.1 88 47.1C74.75 47.1 64 58.74 64 71.1V206.6C64 218 67.84 229.2 74.9 238.2L163.8 352zM344 352H476.2L565.1 238.2C572.2 229.2 576 218 576 206.6V72C576 58.75 565.3 48 552 48C538.7 48 528 58.75 528 72V179.4L456.5 274.8C456.4 274.9 456.2 275.1 456.1 275.3C448.6 284.7 435.2 286.9 425 280.4C413.6 272.1 410.9 257.4 419 246.6C419.2 246.5 419.3 246.3 419.5 246.1L450.7 206.1C453.4 203.6 455.1 199.8 455.7 195.8C456.1 187.8 454.1 179.3 447.5 173.7C437.5 165.3 422.7 166.3 414.1 176.1L367.4 228.6C352.3 245.5 344 267.4 344 290.1L344 352zM520 424C533.3 424 544 434.7 544 448C544 461.3 533.3 472 520 472H512V488C512 501.3 501.3 512 488 512C474.7 512 464 501.3 464 488V472H344V488C344 501.3 333.3 512 320 512C306.7 512 296 501.3 296 488V472H176V488C176 501.3 165.3 512 152 512C138.7 512 128 501.3 128 488V472H120C106.7 472 96 461.3 96 448C96 434.7 106.7 424 120 424H520z"],
    "hands-bubbles": [576, 512, ["hands-wash"], "e05e", "M576 192c0-44.11-35.89-80-80-80c-2.389 0-4.637 .5-6.973 .7051C502.1 100.1 512 83.6 512 64c0-35.29-28.71-64-64-64s-64 28.71-64 64s28.71 64 64 64c.1934 0 .3691-.0547 .5625-.0566C428.9 142.5 416 165.7 416 192c0 10.25 2.111 19.98 5.641 29h-35.44c-.6253-2.649-1.894-7.336-4.48-12.92l12.42-39.31c6.088-19.27 3.279-40.05-7.703-57.02c-8.379-12.94-20.77-22.46-35.13-27.29c-1.703-4.568-3.914-8.986-6.625-13.17c-8.377-12.94-20.76-22.46-35.13-27.28c-1.705-4.568-3.916-8.986-6.625-13.17C291.9 13.87 274.1 2.793 253.9 .4453C251.3 .1465 248.8 0 246.2 0C232.2 0 219 4.33 208 11.94c-3.738-1.109-7.602-1.904-11.55-2.365c-2.572-.2988-5.129-.4453-7.66-.4453c-29.56 0-55.51 19.25-64.56 47.89l-19.15 60.61C103.6 117.5 102.1 117.5 100.6 117.4C63.06 117.4 32.49 147.4 32 184.2L32 276.4c.459 28.92 9.332 56.27 24.43 79.53C23.87 366.1 0 396.1 0 432C0 476.1 35.89 512 80 512c31.25 0 58.09-18.19 71.25-44.38C177.7 494.9 214.6 512 255.5 512h169c20.21 0 39.18-8.938 52.05-24.52c9.82-11.89 15.16-26.57 15.44-41.72c13.81-10.78 25.58-28.89 26-52c3.842-3 7.385-6.438 10.56-10.28c12.87-15.58 18.05-35.96 14.21-55.91c-3.146-16.37-12.21-30.41-24.77-40.15c-.1703-10.73-2.475-16.23-2.98-17.95C549.9 260.9 576 229.5 576 192zM448 80c-8.836 0-16-7.164-16-16s7.164-16 16-16c8.838 0 16 7.164 16 16S456.8 80 448 80zM310.1 143.3c8.132-25.72 45.2-13.62 37.41 11.05l-5.838 18.48c-6.963-2.395-14.36-3.781-22.06-3.781c-6.262 0-12.46 1.018-18.51 2.734L310.1 143.3zM306.6 113.9L286.9 176.2L241.3 190.3C241.5 189.9 241.9 189.7 242 189.3l27.18-86.47C277.3 77.09 314.4 89.19 306.6 113.9zM80 184.8c.1426-10.8 9.443-19.39 20.16-19.39C110.9 165.5 119.7 174.3 119.6 185.1l1.693 40.66l48.73-154.3c8.12-25.72 45.2-13.62 37.41 11.05L176.1 181.7C175 185.1 176.9 188.8 180.4 189.9c.6523 .2051 1.312 .3047 1.961 .3047c2.76 0 5.32-1.773 6.195-4.545l38.94-123.3c8.121-25.72 45.2-13.62 37.41 11.05L229.6 185.4c-.9668 3.061 .6777 6.057 3.438 7.48L213.1 199c-62.06 20.69-103.1 77.4-103.1 141.5v5.66C91.76 328.1 80.43 303.6 80 276.4V184.8zM80 464c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32c17.67 0 32 14.33 32 32C112 449.7 97.67 464 80 464zM476.5 360h-130c-3.59 0-6.5 2.91-6.5 6.5s2.91 6.5 6.5 6.5h103.3c9.432 0 18.08 6.373 19.86 15.63C472 401.1 462.5 412 450.5 412h-104c-3.59 0-6.5 2.91-6.5 6.5s2.91 6.5 6.5 6.5h77.27c9.432 0 18.08 6.373 19.86 15.63C446 453.1 436.5 464 424.5 464h-169c-53.85 0-97.5-43.65-97.5-97.5v-26.03c0-43.37 27.65-81.73 69.22-95.6l87.52-27.02c1.912-.5762 3.84-.8516 5.734-.8516c8.367 0 16.06 5.359 18.67 13.72c3.174 10.31-2.59 21.23-12.87 24.4L288 269h161.8c9.432 0 18.08 6.373 19.86 15.63C472 297.1 462.5 308 450.5 308h-104c-3.59 0-6.5 2.91-6.5 6.5s2.91 6.5 6.5 6.5h129.3c9.432 0 18.08 6.373 19.86 15.63C498 349.1 488.5 360 476.5 360zM496 224c-17.67 0-32-14.33-32-32s14.33-32 32-32c17.67 0 32 14.33 32 32S513.7 224 496 224z"],
    "hands-clapping": [512, 512, [], "e1a8", "M383.4 96c5.125 0 10.16-2.453 13.25-7.016l32.56-48c1.854-2.746 2.744-5.865 2.744-8.951c0-8.947-7.273-16.04-15.97-16.04c-5.125 0-10.17 2.465-13.27 7.02l-32.56 48C368.3 73.76 367.4 76.88 367.4 79.97C367.4 88.88 374.7 96 383.4 96zM243.3 88.98C246.4 93.55 251.4 96 256.6 96c8.762 0 15.99-7.117 15.99-16.03c0-3.088-.8906-6.205-2.744-8.951l-32.56-48C234.2 18.46 229.1 15.98 223.1 15.98c-8.664 0-15.98 7.074-15.98 16.05c0 3.086 .8906 6.205 2.744 8.951L243.3 88.98zM320 96c8.844 0 16-7.156 16-16v-64C336 7.156 328.8 0 320 0s-16 7.156-16 16v64C304 88.84 311.2 96 320 96zM437.1 128c-8.65 0-16.73 1.951-24.45 4.691c10.81 12.4 18.81 27.17 22.94 43.61C437 176.3 437.5 176 437.1 176C452.4 176 464 187.6 464 202v136.5c0 40.8-19.67 77.73-50.36 100.8c-16.48 29.42-39.91 54.27-68.04 72.4C437.8 509.1 512 432.5 512 338.5V202.1C512 161.3 478.8 128 437.1 128zM408 338.5V202C408 161.2 374.8 128 333.1 128c-26.01 0-48.94 13.49-62.13 33.85L219.4 109.4C206.6 96.61 189.7 89.59 171.7 89.59c-23.29 0-43.86 11.85-55.1 29.85c-1.166-.0605-2.34-.0898-3.518-.0898c-37.22 0-67.5 30.28-67.5 67.5c0 1.178 .0313 2.352 .0898 3.518C26.73 202.5 14.88 223.1 14.88 246.4c0 9.186 1.824 18.09 5.299 26.31C7.73 284.9 0 301.1 0 320.8c0 18.03 7.021 34.98 19.77 47.73C104.9 453.6 148.2 512 236.8 512C331.2 512 408 434.2 408 338.5zM236.8 464c-65.85 0-97.3-43.72-183-129.5C49.9 330.7 48 325.7 48 320.8c0-10.39 8.361-19.5 19.5-19.5c4.99 0 9.979 1.906 13.79 5.715l51.33 51.33l17.06-17.06L68.59 260.2C64.78 256.3 62.88 251.4 62.88 246.4c0-10.39 8.361-19.5 19.5-19.5c4.99 0 9.979 1.906 13.79 5.715L177.3 313.7l17.06-17.06L98.35 200.6C94.54 196.8 92.64 191.8 92.64 186.8c0-10.39 8.361-19.5 19.5-19.5c4.99 0 9.979 1.906 13.79 5.715l95.97 95.97l17.06-17.06L157.9 170.9C154.1 167.1 152.2 162.1 152.2 157.1c0-10.39 8.361-19.5 19.5-19.5c4.99 0 9.979 1.906 13.79 5.715L308 265.9V202c0-14.36 11.63-26 25.1-26C348.4 176 360 187.6 360 202v136.5C360 406.2 306.4 464 236.8 464z"],
    "hands-holding": [640, 512, [], "f4c2", "M72 64C111.8 64 144 96.24 144 136V264.8C156.1 254.3 171.1 248 189.3 248C207.6 248 225.2 255.3 238.2 268.3L299.6 329.7C307.4 337.4 314.2 345.9 320 354.1C325.8 345.9 332.6 337.4 340.4 329.7L401.8 268.3C414.8 255.3 432.4 248 450.7 248C468 248 483.9 254.3 496 264.8V136C496 96.24 528.2 64 568 64C607.8 64 640 96.24 640 136V352.2C640 384.1 627.4 414.6 604.9 437.1L536.1 504.1C527.6 514.3 512.4 514.3 503 504.1C493.7 495.6 493.7 480.4 503 471L570.9 403.1C584.4 389.6 592 371.3 592 352.2V136C592 122.7 581.3 112 568 112C554.7 112 544 122.7 544 136V281.9C544 307.5 533.8 332.1 515.7 350.3L499.8 366.2C499.7 366.2 499.7 366.2 499.7 366.2L472.1 392.1C472.1 392.1 472.1 392.1 472.9 393L456.1 408.1C447.6 418.3 432.4 418.3 423 408.1C413.7 399.6 413.7 384.4 423 375L438.1 359.1C439 359 439 359 439 359L465.8 332.3C469.8 328.3 472 322.9 472 317.3C472 305.5 462.5 296 450.7 296C445.1 296 439.7 298.2 435.7 302.2L374.3 363.6C354.9 383 344 409.4 344 436.8V488C344 501.3 333.3 512 320 512C306.7 512 296 501.3 296 488V436.8C296 409.4 285.1 383 265.7 363.6L204.3 302.2C200.3 298.2 194.9 296 189.3 296C177.5 296 168 305.5 168 317.3C168 322.9 170.2 328.3 174.2 332.3L216.1 375C226.3 384.4 226.3 399.6 216.1 408.1C207.6 418.3 192.4 418.3 183 408.1L124.3 350.3C106.2 332.1 96 307.5 96 281.9V136C96 122.7 85.25 112 72 112C58.75 112 48 122.7 48 136V352.2C48 371.3 55.59 389.6 69.09 403.1L136.1 471C146.3 480.4 146.3 495.6 136.1 504.1C127.6 514.3 112.4 514.3 103 504.1L35.15 437.1C12.64 414.6 0 384.1 0 352.2V136C0 96.24 32.24 64 72 64L72 64z"],
    "hands-holding-child": [640, 512, [], "e4fa", "M280 40C280 17.91 297.9 0 320 0C342.1 0 360 17.91 360 40C360 62.09 342.1 80 320 80C297.9 80 280 62.09 280 40zM375.8 253C377.5 266.2 368.1 278.2 354.1 279.8C341.8 281.5 329.8 272.1 328.2 258.1L323.8 223.1H316.2L311.8 258.1C310.2 272.1 298.2 281.5 285 279.8C271.9 278.2 262.5 266.2 264.2 253L275.3 164.3L255.5 180.1C245.4 189.6 230.2 188.3 221.7 178.2C213.1 168 214.4 152.9 224.5 144.3L252.4 120.7C271.3 104.8 295.3 96 320 96C344.7 96 368.7 104.8 387.6 120.7L415.5 144.3C425.6 152.9 426.9 168 418.3 178.2C409.8 188.3 394.6 189.6 384.5 180.1L364.7 164.3L375.8 253zM144 264.8C156.1 254.3 171.1 248 189.3 248C207.6 248 225.2 255.3 238.2 268.3L299.6 329.7C307.4 337.4 314.2 345.9 320 354.1C325.8 345.9 332.6 337.4 340.4 329.7L401.8 268.3C414.8 255.3 432.4 248 450.7 248C468 248 483.9 254.3 496 264.8V136C496 96.24 528.2 64 568 64C607.8 64 640 96.24 640 136V352.2C640 384.1 627.4 414.6 604.9 437.1L536.1 504.1C527.6 514.3 512.4 514.3 503 504.1C493.7 495.6 493.7 480.4 503 471L570.9 403.1C584.4 389.6 592 371.3 592 352.2V136C592 122.7 581.3 112 568 112C554.7 112 544 122.7 544 136V281.9C544 307.5 533.8 332.1 515.7 350.3L456.1 408.1C447.6 418.3 432.4 418.3 423 408.1C413.7 399.6 413.7 384.4 423 375L438.1 359.1L439 359L465.8 332.3C469.8 328.3 472 322.9 472 317.3C472 305.5 462.5 295.1 450.7 295.1C445.1 295.1 439.7 298.2 435.7 302.2L374.3 363.6C354.9 383 344 409.4 344 436.8V488C344 501.3 333.3 512 320 512C306.7 512 296 501.3 296 488V436.8C296 409.4 285.1 383 265.7 363.6L204.3 302.2C200.3 298.2 194.9 295.1 189.3 295.1C177.5 295.1 168 305.5 168 317.3C168 322.9 170.2 328.3 174.2 332.3L216.1 375C226.3 384.4 226.3 399.6 216.1 408.1C207.6 418.3 192.4 418.3 183 408.1L124.3 350.3C106.2 332.1 96 307.5 96 281.9V136C96 122.7 85.25 112 72 112C58.75 112 48 122.7 48 136V352.2C48 371.3 55.59 389.6 69.09 403.1L136.1 471C146.3 480.4 146.3 495.6 136.1 504.1C127.6 514.3 112.4 514.3 103 504.1L35.15 437.1C12.64 414.6 0 384.1 0 352.2V136C0 96.24 32.24 64 72 64C111.8 64 144 96.24 144 136L144 264.8z"],
    "hands-holding-circle": [640, 512, [], "e4fb", "M192 128C192 57.31 249.3 0 320 0C390.7 0 448 57.31 448 128C448 198.7 390.7 256 320 256C249.3 256 192 198.7 192 128zM144 264.8C156.1 254.3 171.1 248 189.3 248C207.6 248 225.2 255.3 238.2 268.3L299.6 329.7C307.4 337.4 314.2 345.9 320 354.1C325.8 345.9 332.6 337.4 340.4 329.7L401.8 268.3C414.8 255.3 432.4 248 450.7 248C468 248 483.9 254.3 496 264.8V136C496 96.24 528.2 64 568 64C607.8 64 640 96.24 640 136V352.2C640 384.1 627.4 414.6 604.9 437.1L536.1 504.1C527.6 514.3 512.4 514.3 503 504.1C493.7 495.6 493.7 480.4 503 471L570.9 403.1C584.4 389.6 592 371.3 592 352.2V136C592 122.7 581.3 112 568 112C554.7 112 544 122.7 544 136V281.9C544 307.5 533.8 332.1 515.7 350.3L456.1 408.1C447.6 418.3 432.4 418.3 423 408.1C413.7 399.6 413.7 384.4 423 375L438.1 359.1L439 359L465.8 332.3C469.8 328.3 472 322.9 472 317.3C472 305.5 462.5 295.1 450.7 295.1C445.1 295.1 439.7 298.2 435.7 302.2L374.3 363.6C354.9 383 344 409.4 344 436.8V488C344 501.3 333.3 512 320 512C306.7 512 296 501.3 296 488V436.8C296 409.4 285.1 383 265.7 363.6L204.3 302.2C200.3 298.2 194.9 295.1 189.3 295.1C177.5 295.1 168 305.5 168 317.3C168 322.9 170.2 328.3 174.2 332.3L216.1 375C226.3 384.4 226.3 399.6 216.1 408.1C207.6 418.3 192.4 418.3 183 408.1L124.3 350.3C106.2 332.1 96 307.5 96 281.9V136C96 122.7 85.25 112 72 112C58.75 112 48 122.7 48 136V352.2C48 371.3 55.59 389.6 69.09 403.1L136.1 471C146.3 480.4 146.3 495.6 136.1 504.1C127.6 514.3 112.4 514.3 103 504.1L35.15 437.1C12.64 414.6 0 384.1 0 352.2V136C0 96.24 32.24 64 72 64C111.8 64 144 96.24 144 136L144 264.8z"],
    "hands-holding-diamond": [640, 512, ["hand-receiving"], "f47c", "M297.4 9.372C309.9-3.124 330.1-3.124 342.6 9.372L438.6 105.4C451.1 117.9 451.1 138.1 438.6 150.6L342.6 246.6C330.1 259.1 309.9 259.1 297.4 246.6L201.4 150.6C188.9 138.1 188.9 117.9 201.4 105.4L297.4 9.372zM72 64C111.8 64 144 96.24 144 136V264.8C156.1 254.3 171.1 248 189.3 248C207.6 248 225.2 255.3 238.2 268.3L299.6 329.7C307.4 337.4 314.2 345.9 320 354.1C325.8 345.9 332.6 337.4 340.4 329.7L401.8 268.3C414.8 255.3 432.4 248 450.7 248C468 248 483.9 254.3 496 264.8V136C496 96.24 528.2 64 568 64C607.8 64 640 96.24 640 136V352.2C640 384.1 627.4 414.6 604.9 437.1L536.1 504.1C527.6 514.3 512.4 514.3 503 504.1C493.7 495.6 493.7 480.4 503 471L570.9 403.1C584.4 389.6 592 371.3 592 352.2V136C592 122.7 581.3 112 568 112C554.7 112 544 122.7 544 136V281.9C544 307.5 533.8 332.1 515.7 350.3L456.1 408.1C447.6 418.3 432.4 418.3 423 408.1C413.7 399.6 413.7 384.4 423 375L438.1 359.1L439 359L465.8 332.3C469.8 328.3 472 322.9 472 317.3C472 305.5 462.5 295.1 450.7 295.1C445.1 295.1 439.7 298.2 435.7 302.2L374.3 363.6C354.9 383 344 409.4 344 436.8V488C344 501.3 333.3 512 320 512C306.7 512 296 501.3 296 488V436.8C296 409.4 285.1 383 265.7 363.6L204.3 302.2C200.3 298.2 194.9 295.1 189.3 295.1C177.5 295.1 168 305.5 168 317.3C168 322.9 170.2 328.3 174.2 332.3L216.1 375C226.3 384.4 226.3 399.6 216.1 408.1C207.6 418.3 192.4 418.3 183 408.1L124.3 350.3C106.2 332.1 96 307.5 96 281.9V136C96 122.7 85.25 112 72 112C58.75 112 48 122.7 48 136V352.2C48 371.3 55.59 389.6 69.09 403.1L136.1 471C146.3 480.4 146.3 495.6 136.1 504.1C127.6 514.3 112.4 514.3 103 504.1L35.15 437.1C12.64 414.6 0 384.1 0 352.2V136C0 96.24 32.24 64 72 64H72z"],
    "hands-holding-dollar": [640, 512, ["hands-usd"], "f4c5", "M344 34.51C350.4 35.69 356.6 37.17 362.2 38.66C374.1 42.08 382.6 55.22 379.2 68.03C375.8 80.84 362.6 88.46 349.8 85.05C338.9 82.15 328.7 80.15 319.6 80C312.3 79.89 304.9 81.66 300.3 84.42C298.1 85.69 297.1 86.81 296.7 87.46C296.4 87.92 296.1 88.64 296.1 90.27C296.1 90.61 296.1 90.81 296.1 90.91C296.3 91.12 297 92.07 299.5 93.53C305.3 97.04 313.9 99.75 326.8 103.7L327.7 103.9C338.8 107.3 353.6 111.7 365.6 119.3C379.2 127.9 391.7 142.1 391.1 164.2C392.3 186.7 380.6 203.1 365.3 212.6C358.6 216.8 351.4 219.6 344 221.4V231.1C344 245.3 333.3 255.1 320 255.1C306.7 255.1 296 245.3 296 231.1V220.6C286.5 218.4 277.8 215.4 270.4 212.8C268.3 212.1 266.3 211.4 264.4 210.8C251.8 206.6 245 192.1 249.2 180.4C253.4 167.8 267 161 279.6 165.2C282.2 166.1 284.6 166.9 286.9 167.7C300.6 172.3 310.3 175.6 320.8 175.1C328.8 176.2 335.8 174.4 339.1 171.8C341.8 170.7 342.7 169.6 343.2 168.9C343.5 168.3 344 167.1 343.1 164.8L343.1 164.5C344 163.5 344 162.4 340 159.9C334.3 156.3 325.7 153.5 312.9 149.6L311.1 149C300.3 145.8 286.1 141.5 274.7 134.6C261.2 126.5 248.2 112.6 248.1 90.51C247.9 67.65 260.9 51.91 275.8 43.11C282.2 39.35 289.1 36.67 295.1 34.89V24C295.1 10.75 306.7 0 319.1 0C333.3 0 343.1 10.75 343.1 24L344 34.51zM144 264.8C156.1 254.3 171.1 247.1 189.3 247.1C207.6 247.1 225.2 255.3 238.2 268.3L299.6 329.7C307.4 337.4 314.2 345.9 320 354.1C325.8 345.9 332.6 337.4 340.4 329.7L401.8 268.3C414.8 255.3 432.4 247.1 450.7 247.1C468 247.1 483.9 254.3 496 264.8V135.1C496 96.24 528.2 63.1 568 63.1C607.8 63.1 640 96.24 640 135.1V352.2C640 384.1 627.4 414.6 604.9 437.1L536.1 504.1C527.6 514.3 512.4 514.3 503 504.1C493.7 495.6 493.7 480.4 503 471L570.9 403.1C584.4 389.6 592 371.3 592 352.2V135.1C592 122.7 581.3 111.1 568 111.1C554.7 111.1 544 122.7 544 135.1V281.9C544 307.5 533.8 332.1 515.7 350.3L456.1 408.1C447.6 418.3 432.4 418.3 423 408.1C413.7 399.6 413.7 384.4 423 375L438.1 359.1L439 359L465.8 332.3C469.8 328.3 472 322.9 472 317.3C472 305.5 462.5 295.1 450.7 295.1C445.1 295.1 439.7 298.2 435.7 302.2L374.3 363.6C354.9 383 344 409.4 344 436.8V488C344 501.3 333.3 512 320 512C306.7 512 296 501.3 296 488V436.8C296 409.4 285.1 383 265.7 363.6L204.3 302.2C200.3 298.2 194.9 295.1 189.3 295.1C177.5 295.1 168 305.5 168 317.3C168 322.9 170.2 328.3 174.2 332.3L216.1 375C226.3 384.4 226.3 399.6 216.1 408.1C207.6 418.3 192.4 418.3 183 408.1L124.3 350.3C106.2 332.1 96 307.5 96 281.9V135.1C96 122.7 85.25 111.1 72 111.1C58.75 111.1 48 122.7 48 135.1V352.2C48 371.3 55.59 389.6 69.09 403.1L136.1 471C146.3 480.4 146.3 495.6 136.1 504.1C127.6 514.3 112.4 514.3 103 504.1L35.15 437.1C12.64 414.6 0 384.1 0 352.2V135.1C0 96.24 32.24 63.1 72 63.1C111.8 63.1 144 96.24 144 135.1L144 264.8z"],
    "hands-holding-heart": [640, 512, ["hands-heart"], "f4c3", "M176 72.57C176 32.49 208.5 .0003 248.6 .0003C267.8 .0003 286.3 7.646 299.9 21.26L320 41.37L340.1 21.26C353.7 7.646 372.2 0 391.4 0C431.5 0 464 32.49 464 72.57V77.4C464 98.79 455.1 119.2 439.5 133.9L336.4 230.5C327.2 239.2 312.8 239.2 303.6 230.5L200.5 133.9C184.9 119.2 176 98.79 176 77.4V72.57zM144 264.8C156.1 254.3 171.1 248 189.3 248C207.6 248 225.2 255.3 238.2 268.3L299.6 329.7C307.4 337.4 314.2 345.9 320 354.1C325.8 345.9 332.6 337.4 340.4 329.7L401.8 268.3C414.8 255.3 432.4 248 450.7 248C468 248 483.9 254.3 496 264.8V136C496 96.24 528.2 64 568 64C607.8 64 640 96.24 640 136V352.2C640 384.1 627.4 414.6 604.9 437.1L536.1 504.1C527.6 514.3 512.4 514.3 503 504.1C493.7 495.6 493.7 480.4 503 471L570.9 403.1C584.4 389.6 592 371.3 592 352.2V136C592 122.7 581.3 112 568 112C554.7 112 544 122.7 544 136V281.9C544 307.5 533.8 332.1 515.7 350.3L456.1 408.1C447.6 418.3 432.4 418.3 423 408.1C413.7 399.6 413.7 384.4 423 375L438.1 359.1L439 359L465.8 332.3C469.8 328.3 472 322.9 472 317.3C472 305.5 462.5 296 450.7 296C445.1 296 439.7 298.2 435.7 302.2L374.3 363.6C354.9 383 344 409.4 344 436.8V488C344 501.3 333.3 512 320 512C306.7 512 296 501.3 296 488V436.8C296 409.4 285.1 383 265.7 363.6L204.3 302.2C200.3 298.2 194.9 296 189.3 296C177.5 296 168 305.5 168 317.3C168 322.9 170.2 328.3 174.2 332.3L216.1 375C226.3 384.4 226.3 399.6 216.1 408.1C207.6 418.3 192.4 418.3 183 408.1L124.3 350.3C106.2 332.1 96 307.5 96 281.9V136C96 122.7 85.25 112 72 112C58.75 112 48 122.7 48 136V352.2C48 371.3 55.59 389.6 69.09 403.1L136.1 471C146.3 480.4 146.3 495.6 136.1 504.1C127.6 514.3 112.4 514.3 103 504.1L35.15 437.1C12.64 414.6 0 384.1 0 352.2V136C0 96.24 32.24 64 72 64C111.8 64 144 96.24 144 136L144 264.8z"],
    "hands-praying": [640, 512, ["praying-hands"], "f684", "M640 488.2c0-10.93-7.484-20.5-18.15-23.15l-186.1-51.99C381.5 399.6 344 351.9 344 297.3V228.5c0-13.16 10.75-23.84 24-23.84c13.12 0 24 10.68 24 23.84v55.63c0 8.743 7.2 15.9 16 15.9h16c8.8 0 16-7.153 16-15.9V208c0-12.05-3.5-23.84-10-33.9L372.5 85.69c-6.625-10.43-5.5-24.84 4.125-32.66C388 43.96 404.5 46.82 412.1 58.86l89.87 139.1c6.5 10.18 9.875 21.98 9.875 34.03v103.1l98.32 32.44C625.3 371.3 640 359.9 640 344.4c0-10.92-7.479-20.44-18.14-23.1l-62.11-23.39V232.1c0-21.11-6-41.73-17.25-59.48l-89.88-139.2C439.5 12.67 416.5 0 391.8 0c-13.62 0-26.75 3.726-38.38 11.05C334.5 22.85 322.3 42.47 320 64.95C319.9 66.81 319.8 68.43 319.8 70.16c0-1.739-.125-3.353-.25-5.216C317.3 42.35 305 22.85 286.1 11.05C274.6 3.85 261.4 0 247.8 0C223 0 200 12.67 186.9 33.41L97 172.6c-11.25 17.76-17.25 38.37-17.25 59.48v65.82l-61.61 23.26C7.479 323.8 0 333.4 0 344.3c0 15.49 14.65 26.91 29.77 23.16l97.98-32.26V232.1c0-12.05 3.375-23.84 9.875-34.03L227.5 58.86C235 46.94 251.6 43.96 263 53.15c9.5 7.699 10.88 22.1 4.125 32.54L209.5 174.1C203 184.3 199.6 196.1 199.6 208.1v76c0 8.743 7.2 15.9 16 15.9h16c8.8 0 16-7.153 16-15.9V228.5c0-13.16 10.88-23.84 24-23.84c13.25 0 24 10.68 24 23.84v68.67c0 54.77-37.5 102.5-90.88 115.9l-186.6 51.99C7.485 467.7 0 477.2 0 488.1c0 15.49 14.66 26.91 29.78 23.15l186.7-52.04c44.63-11.18 81-39.61 103.4-76.87c22.25 37.26 58.63 65.69 103.3 76.87l187.1 52.04C625.3 515 640 503.7 640 488.2zM319.8 175.6c-11.5-10.43-26.25-17.39-42.63-18.5L307 110c7.625-12.05 12.5-24.34 12.62-37.88c.25 13.54 5 25.83 12.62 37.88l29.88 47.07C345.1 158.2 331.3 165.2 319.8 175.6z"],
    "handshake": [640, 512, [], "f2b5", "M506.1 127.1c-17.97-20.17-61.46-61.65-122.7-71.1c-22.5-3.354-45.39 3.606-63.41 18.21C302 60.47 279.1 53.42 256.5 56.86C176.8 69.17 126.7 136.2 124.6 139.1c-7.844 10.69-5.531 25.72 5.125 33.57c4.281 3.157 9.281 4.657 14.19 4.657c7.406 0 14.69-3.375 19.38-9.782c.4062-.5626 40.19-53.91 100.5-63.23c7.457-.9611 14.98 .67 21.56 4.483L227.2 168.2C214.8 180.5 207.1 196.1 207.1 214.5c0 17.5 6.812 33.94 19.16 46.29C239.5 273.2 255.9 279.1 273.4 279.1s33.94-6.813 46.31-19.19l11.35-11.35l124.2 100.9c2.312 1.875 2.656 5.251 .5 7.97l-27.69 35.75c-1.844 2.25-5.25 2.594-7.156 1.063l-22.22-18.69l-26.19 27.75c-2.344 2.875-5.344 3.563-6.906 3.719c-1.656 .1562-4.562 .125-6.812-1.719l-32.41-27.66L310.7 392.3l-2.812 2.938c-5.844 7.157-14.09 11.66-23.28 12.6c-9.469 .8126-18.25-1.75-24.5-6.782L170.3 319.8H96V128.3L0 128.3v255.6l64 .0404c11.74 0 21.57-6.706 27.14-16.14h60.64l77.06 69.66C243.7 449.6 261.9 456 280.8 456c2.875 0 5.781-.125 8.656-.4376c13.62-1.406 26.41-6.063 37.47-13.5l.9062 .8126c12.03 9.876 27.28 14.41 42.69 12.78c13.19-1.375 25.28-7.032 33.91-15.35c21.09 8.188 46.09 2.344 61.25-16.47l27.69-35.75c18.47-22.82 14.97-56.48-7.844-75.01l-120.3-97.76l8.381-8.382c9.375-9.376 9.375-24.57 0-33.94c-9.375-9.376-24.56-9.376-33.94 0L285.8 226.8C279.2 233.5 267.7 233.5 261.1 226.8c-3.312-3.282-5.125-7.657-5.125-12.31c0-4.688 1.812-9.064 5.281-12.53l85.91-87.64c7.812-7.845 18.53-11.75 28.94-10.03c59.75 9.22 100.2 62.73 100.6 63.29c3.088 4.155 7.264 6.946 11.84 8.376H544v175.1c0 17.67 14.33 32.05 31.1 32.05L640 384V128.1L506.1 127.1zM48 352c-8.75 0-16-7.245-16-15.99c0-8.876 7.25-15.99 16-15.99S64 327.2 64 336.1C64 344.8 56.75 352 48 352zM592 352c-8.75 0-16-7.245-16-15.99c0-8.876 7.25-15.99 16-15.99s16 7.117 16 15.99C608 344.8 600.8 352 592 352z"],
    "handshake-angle": [640, 512, ["hands-helping"], "f4c4", "M631.1 225.8l-122.9 71.48c-5.625 17.5-19.5 31.12-37.12 36.49v14.25c0 34.37-23.25 63.61-54.75 72.73c-9.249 34.12-40.5 59.23-77.37 59.23H224.1L172.5 509.9c-7.75 4.374-17.5 1.875-21.87-5.874L142.6 490.1c-4.375-7.748-1.875-17.5 5.875-21.87L211.3 431.9h128.6c17.87 0 32.25-14.37 32.25-32.12V375.8h24.12c15.25 0 27.75-12.5 27.75-27.87V287.9h31.1c4.375 0 7.1-3.624 7.1-7.998V247.9c0-4.374-3.625-7.998-7.1-7.998h-103.1v15.1c0 46.86-40.37 84.48-88.24 79.6c-41.75-4.249-71.75-42.49-71.75-84.23V209.1L159.6 228.7C149.9 234.4 144 244.9 144 256.3v61.73l-111.1 64.73c-7.75 4.374-17.5 1.75-21.87-5.998l-7.1-13.87c-4.375-7.623-1.875-17.5 5.875-21.87l87.99-50.74V256.2c0-28.24 14.75-54.36 38.87-68.86l59.37-35.49c4.625-20.49 16.1-38.49 35.25-49.86L263 81.09c17.75-11.12 38.25-16.1 59.25-16.1h92.74l108.7-61.98c7.625-4.374 17.37-1.75 21.75 5.998l7.875 13.87c4.375 7.748 1.75 17.37-5.1 21.87l-119.7 68.11h-105.4c-11.1 0-23.62 3.374-33.87 9.747L255 142.6C245.8 148.3 240 158.7 240 169.7v86.23c0 17.62 14.25 31.99 31.1 31.99c17.75 0 31.1-14.37 31.1-31.99V191.9h151.1c28.37 0 51.62 21.24 55.25 48.61l96.74-56.36c7.75-4.374 17.5-1.875 21.87 5.874l7.1 13.87C642.2 211.7 639.7 221.3 631.1 225.8z"],
    "handshake-simple": [640, 512, [129309, "handshake-alt"], "f4c6", "M640 328c0 13.25-10.75 24-24 24l-129.8-.1582c-1.875 8.248-5.375 16.12-11 22.99l-26.12 32.24c-15.88 19.49-41.88 25.49-64 16.87c-13.5 16.62-30.62 23.99-48.88 23.99c-15 0-28.5-5.123-41-15.87c-31.88 21.87-74.75 21.24-105.6-3.875L105 351.8L24 352C10.75 352 0 341.3 0 328C0 314.7 10.75 304 24 304l99.75-.1426L221 391.8c16.12 13.12 41.38 10.5 55.25-6.623l15.62-19.12l36.88 31.49c2 1.625 5.5 2.75 9 2.375s6.75-2.123 9-4.873l30-36.49l23.88 19.49c3.5 2.748 8.5 2.123 11.25-1.25l26.12-32.24c2.764-3.41 2.24-8.414-1.168-11.18l-108.2-87.79l-8.25 7.496c-40.25 36.74-86.63 11.75-101.5-4.498c-26.62-28.99-25-74.35 4.375-101.2l38.75-35.49L226.1 111.1C209.7 111.1 193.2 118.1 181.2 131.3L137.9 175.8L24 176C10.75 176 0 165.3 0 152C0 138.7 10.75 128 24 128l93.1-.2109l26.39-26.38c24-23.99 56.55-37.47 90.5-37.47h167.5c33.88 0 66.38 13.43 90.38 37.36l26.45 26.37L616 128C629.3 128 640 138.7 640 152c0 13.25-10.75 24-24 24l-116.8-.3516l-48.65-46.19c-11.94-11.34-27.79-17.64-44.26-17.59l-58.1 .1738c-10.04 .0293-19.71 3.811-27.12 10.6l-65.38 60c-9.625 8.748-10.5 23.99-1.125 33.99c8.875 9.371 25.12 8.621 34.63 0l55.13-50.61c6.5-5.873 16.62-5.498 22.62 1l10.88 11.75c6 6.498 5.5 16.62-1 22.62l-12.5 11.37l102.8 83.35c2.75 2.375 5.375 4.998 7.625 7.748L616 304C629.3 304 640 314.7 640 328z"],
    "handshake-simple-slash": [640, 512, ["handshake-alt-slash"], "e05f", "M346.8 395.1c-2.25 2.75-5.5 4.498-9 4.873s-7-.75-9-2.375l-36.88-31.49l-15.62 19.12c-13.88 17.12-39.13 19.74-55.25 6.623L123.8 303.9L24 304C10.75 304 0 314.7 0 328C0 341.3 10.75 352 24 352l81-.1582l84.63 76.35c30.88 25.12 73.75 25.74 105.6 3.875c12.5 10.75 26 15.87 41 15.87c18.25 0 35.38-7.373 48.88-23.99c11.23 4.377 23.44 4.91 34.84 1.898l-59.9-46.95L346.8 395.1zM616 352c13.25 0 24-10.75 24-24c0-13.26-10.75-24-24-24h-195.8l-83.7-65.6l40.42-37.01c6.5-5.998 7-16.12 1-22.62L367 167c-6-6.498-16.12-6.873-22.62-1l-46.17 42.39L260.2 178.6l60.97-55.95c7.4-6.791 17.07-10.57 27.12-10.6l58.1-.1738c16.47-.0488 32.32 6.25 44.26 17.59l48.65 46.19L616 176C629.3 176 640 165.3 640 152C640 138.7 629.3 128 616 128l-96.75-.3359l-26.45-26.37c-23.99-23.92-56.49-37.36-90.38-37.36H234.9c-30.26 0-59.06 11.22-82.04 30.54L38.81 5.109C34.41 1.672 29.19 0 24.03 0c-7.125 0-14.19 3.156-18.91 9.187C-3.06 19.62-1.247 34.72 9.19 42.89L601.2 506.9c10.5 8.203 25.56 6.328 33.69-4.078c8.188-10.44 6.375-25.53-4.062-33.7l-145.6-114.1c.2988-1.059 .8203-2.051 1.064-3.123L616 352zM222.1 148.7L190.2 123.8C200.9 116.2 213.7 111.1 226.1 111.1l35.05-.0449L223.3 147.4C222.8 147.8 222.5 148.3 222.1 148.7zM24 176l77-.1523L39.93 127.1L24 128C10.75 128 0 138.7 0 152C0 165.3 10.75 176 24 176z"],
    "handshake-slash": [640, 512, [], "e060", "M575.1 384h64V128.1l-133.9-.1775c-17.97-20.17-61.46-61.65-122.7-71.1c-22.5-3.355-45.39 3.605-63.41 18.21C302 60.47 279.1 53.42 256.5 56.86c-39.95 6.168-72.08 25.95-94.79 44.59L38.81 5.109C34.41 1.672 29.19 0 24.03 0C16.91 0 9.846 3.156 5.127 9.187C-3.06 19.62-1.248 34.72 9.19 42.89l591.1 463.1c10.5 8.203 25.56 6.328 33.69-4.078c8.188-10.44 6.375-25.53-4.062-33.7l-291.2-228.2l33.95-33.95c9.375-9.375 9.375-24.56 0-33.94c-9.375-9.375-24.56-9.375-33.94 0L301.6 211.1l-27.86-21.83l73.42-74.9c7.812-7.846 18.53-11.75 28.94-10.03c59.75 9.221 100.2 62.73 100.6 63.29c3.088 4.154 7.264 6.945 11.84 8.377H544l-.0004 176.1C543.1 369.7 558.3 384 575.1 384zM591.1 320c8.75 0 15.1 7.12 15.1 15.1c0 8.742-7.25 15.99-15.1 15.99s-16-7.251-16-15.99C575.1 327.2 583.2 320 591.1 320zM235.7 159.4L200.6 131.9c16.63-12.16 38.03-23.73 63.2-27.62c7.457-.9609 14.98 .6699 21.56 4.484L235.7 159.4zM372.5 404.2c-2.344 2.875-5.344 3.562-6.906 3.719c-1.656 .1562-4.562 .125-6.812-1.719l-32.41-27.66l-15.75 13.75l-2.812 2.938c-5.844 7.158-14.09 11.66-23.28 12.6c-9.469 .8125-18.25-1.75-24.5-6.781L170.3 319.8H96l.0004-147.9l-55.77-43.71H.0005v255.7l63.1 .0446c11.74 0 21.57-6.701 27.14-16.13h60.64l77.06 69.66C243.7 449.6 261.9 456 280.8 456c2.875 0 5.781-.125 8.656-.4375c13.62-1.406 26.41-6.064 37.47-13.5l.9062 .8125c12.03 9.877 27.28 14.41 42.69 12.78c13.19-1.375 25.28-7.033 33.91-15.35c11.32 4.395 23.67 4.432 35.11 .9082l-58.63-45.96L372.5 404.2zM48 352c-8.75 0-15.1-7.251-15.1-15.99c0-8.877 7.25-15.1 15.1-15.1s15.1 7.12 15.1 15.1C64 344.8 56.75 352 48 352z"],
    "hanukiah": [640, 512, [128334], "f6e6", "M448 175.1L448 296l31.1-.0561l-.0116-119.1C479.1 167.2 472.8 160 464 160S448 167.2 448 175.1zM464 128c13.25 0 24-12 24-26.62C488 86.63 464 48 464 48s-24 38.63-24 53.38C440 116 450.8 128 464 128zM319.1 79.94C333.2 79.94 344 68 344 53.38C344 38.63 320 0 320 0S296 38.63 296 53.38C296 68 306.7 79.94 319.1 79.94zM400 128c13.25 0 24-12 24-26.62C424 86.63 400 48 400 48s-24 38.63-24 53.38C376 116 386.8 128 400 128zM512 175.1L512 296l31.1-.0561l-.0027-119.1C543.1 167.2 536.8 160 528 160S512 167.2 512 175.1zM616 128C629.3 128 640 116 640 101.4C640 86.63 616 48 616 48S592 86.63 592 101.4C592 116 602.8 128 616 128zM528 128c13.25 0 24-12 24-26.62C552 86.63 528 48 528 48s-24 38.63-24 53.38C504 116 514.8 128 528 128zM384 175.1L384 296l31.1-.0561l-.0194-119.1C415.1 167.2 408.8 160 399.1 160S384 167.2 384 175.1zM24 128C37.25 128 48 116 48 101.4C48 86.63 24 48 24 48S0 86.63 0 101.4C0 116 10.75 128 24 128zM240 128c13.25 0 24-12 24-26.62C264 86.63 240 48 240 48S216 86.63 216 101.4C216 116 226.8 128 240 128zM96 175.1L95.1 295.9L128 296L127.1 175.1C127.1 167.2 120.8 160 111.1 160S96 167.2 96 175.1zM615.1 159.9C602.7 159.9 592 170.7 592 184v110.3C592 317.2 573.2 336 550.3 336H344V136c0-13.26-10.75-24-24-24S296 122.7 296 136v200H89.75C66.79 336 48 317.2 48 294.3V184c0-13.26-10.75-24.09-24-24.09S0 170.7 0 184v110.3C0 343.8 40.18 384 89.75 384H296v80H144c-13.25 0-24 10.74-24 24c0 13.25 10.74 24 23.99 24h352C509.3 512 520 501.3 520 488c0-13.26-10.75-24-24-24h-152V384h206.3C599.8 384 640 343.8 640 294.3V184C640 170.7 629.3 159.9 615.1 159.9zM112 128c13.25 0 24-12 24-26.62C136 86.63 112 48 112 48S88 86.63 88 101.4C88 116 98.75 128 112 128zM224 175.1L223.1 295.9L256 296L255.1 175.1C255.1 167.2 248.8 160 240 160S224 167.2 224 175.1zM176 128c13.25 0 24-12 24-26.62C200 86.63 176 48 176 48S152 86.63 152 101.4C152 116 162.8 128 176 128zM160 175.1L159.1 295.9L192 296L191.1 175.1C191.1 167.2 184.8 160 175.1 160S160 167.2 160 175.1z"],
    "hard-drive": [512, 512, [128436, "hdd"], "f0a0", "M304 344c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24c13.26 0 24-10.75 24-24C328 354.7 317.3 344 304 344zM448 32h-384c-35.35 0-64 28.65-64 64v320c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V96C512 60.65 483.3 32 448 32zM464 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16v-96c0-8.822 7.178-16 16-16h384C456.8 304 464 311.2 464 320V416zM464 258.3C458.9 256.9 453.6 256 448 256H64C58.44 256 53.14 256.9 48 258.3V96c0-8.822 7.178-16 16-16h384c8.822 0 16 7.178 16 16V258.3zM400 344c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24c13.26 0 24-10.75 24-24C424 354.7 413.3 344 400 344z"],
    "hashtag": [448, 512, [62098], "23", "M424 136l-74.01-.0254l13.63-75.76c2.344-13.03-6.312-25.53-19.38-27.88c-13-2.188-25.5 6.344-27.88 19.38l-15.16 84.26h-111.2l13.63-75.76c2.344-13.03-6.312-25.53-19.38-27.88C171.2 30.15 158.7 38.69 156.4 51.72l-15.16 84.26H56c-13.25 0-24 10.78-24 24.03c0 13.25 10.75 23.97 24 23.97h76.57l-25.92 144H24c-13.25 0-24 10.76-24 24.01C0 365.3 10.75 376 24 376l74.01-.0078l-13.63 75.76c-2.344 13.03 6.312 25.53 19.38 27.88C105.2 479.9 106.6 480 108 480c11.38 0 21.5-8.158 23.59-19.75l15.16-84.26h111.2l-13.63 75.76c-2.344 13.03 6.312 25.53 19.38 27.88C265.2 479.9 266.6 480 268 480c11.38 0 21.5-8.158 23.59-19.75l15.16-84.26L392 376c13.25 0 24-10.75 24-23.1c0-13.25-10.75-24.01-24-24.01h-76.57l25.92-144L424 184c13.25 0 24-10.75 24-23.1C448 146.8 437.3 136 424 136zM266.7 327.1h-111.2l25.92-144h111.2L266.7 327.1z"],
    "hashtag-lock": [576, 512, [], "e415", "M188.7 32.47C201.7 35.07 210.1 47.71 207.5 60.71L192.5 136H303.5L320.5 51.3C323.1 38.3 335.7 29.87 348.7 32.47C361.7 35.07 370.1 47.71 367.5 60.71L352.5 136H424C437.3 136 448 146.8 448 160C448 160.4 447.1 160.8 447.1 161.1C428 163.1 409.8 172.1 394.7 184H342.9L287.5 460.7C284.9 473.7 272.3 482.1 259.3 479.5C246.3 476.9 237.9 464.3 240.5 451.3L255.5 376L144.5 376L127.5 460.7C124.9 473.7 112.3 482.1 99.29 479.5C86.3 476.9 77.87 464.3 80.47 451.3L95.53 376L23.1 375.1C10.74 375.1-.0003 365.3 0 351.1C.0003 338.7 10.75 327.1 24 327.1L105.1 328L133.9 184H56C42.75 184 32 173.3 32 160C32 146.8 42.75 136 56 136H143.5L160.5 51.3C163.1 38.3 175.7 29.87 188.7 32.47L188.7 32.47zM182.9 184L154.1 328L265.1 328L293.9 184H182.9zM464 192C508.2 192 544 227.8 544 272V320C561.7 320 576 334.3 576 352V480C576 497.7 561.7 512 544 512H384C366.3 512 352 497.7 352 480V352C352 334.3 366.3 320 384 320V272C384 227.8 419.8 192 464 192V192zM464 240C446.3 240 432 254.3 432 272V320H496V272C496 254.3 481.7 240 464 240z"],
    "hat-chef": [512, 512, [], "f86b", "M400 448c0 8.836-7.164 16-16 16H128c-8.836 0-16-7.164-16-16v-64H64v64c0 35.2 28.8 64 64 64h256c35.2 0 64-28.8 64-64v-64h-48V448zM416 32c-20.88 .125-41.13 7-57.75 19.75C334.9 20.5 297.1 0 256 0C213.1 0 177.1 20.5 153.8 51.75C136.7 38.68 116.2 31.1 95.62 31.99c-14.48 0-29.03 3.301-42.49 10.01C20.38 58.13-.125 91.5 0 128c0 41.75 64 224 64 224h384c0 0 64-182.3 64-224C512 75 469 32 416 32zM415.1 304h-41.88l25.69-141.3c1.594-8.719-4.383-16.87-13.09-18.46c-8.688-1.312-16.88 4.398-18.45 13.09L341.6 304H272V160c0-8.844-7.156-16-16-16S240 151.2 240 160v144H170.4L143.8 157.3C142.2 148.6 133.1 142.9 125.3 144.2C116.6 145.8 110.6 153.1 112.2 162.7L137.9 304H96.05C71.44 243.2 48.48 145.5 48 127.8C47.94 109.5 58.03 93.09 74.53 84.96C81.15 81.67 88.24 79.99 95.62 79.99c10.53 0 20.53 3.402 28.91 9.838l38.55 29.58L192.2 80.5C207.6 59.85 230.9 48 256 48c25.11 0 48.36 11.85 63.81 32.5l29.1 38.9l38.55-29.56C395.8 83.46 405.7 80.06 416 80c26.47 0 48 21.53 48 47.9C463.5 145.5 440.6 243.2 415.1 304z"],
    "hat-cowboy": [640, 512, [], "f8c0", "M617.7 207c-23.1-11-43.25 4.25-48.1 11.62c-1.625 2.5-17.75 25.88-57.25 48.5C495.9 166 461.9 32 392.3 32c-18.37 0-36.05 7.25-52.67 21.5c-11.75 10.12-27.5 10.12-39.25 0C283.7 39.25 266.1 32 247.7 32C178.1 32 144.3 166.1 128.5 267.1C91.63 246 75.26 224.2 72.13 219.8C60.76 204.4 40.13 198.9 22.64 206.8C4.387 214.9-4.363 234.6 2.137 252.8C5.262 260.9 79.14 448 319.1 448s314.7-187.1 317.8-195.1C644.3 234.9 635.7 215.2 617.7 207zM247.7 80c6.5 0 13.75 3.375 21.37 10c29.1 25.75 71.87 25.75 101.9 0C378.6 83.38 385.9 80 392.4 80c18.12 0 44.62 57.38 63.37 148.9c-78.12 35.63-186.4 38.88-271.4 0C203.1 137.4 229.5 80 247.7 80zM319.1 400c-135.7 0-209.6-67.5-245.1-115.9c41.5 27 117.1 58.25 245.1 58.25s203.1-31.75 245.2-58.5C529.9 332.4 455.1 400 319.1 400z"],
    "hat-cowboy-side": [640, 512, [], "f8c1", "M483.9 197.1l-18.5-101c-3.625-21-15.63-39.51-33.25-51.51c-17.5-11.88-39.25-16.13-60-11.75L210.2 68.06C177.2 74.94 152.4 102.4 148.9 136.1L141.1 196.2c-67.75 15.5-122.1 75.64-140.1 159.7c-4.625 21.75-.5 44.38 11.38 62.26C25.98 437.1 45.35 448 66.6 448h492.6C603.9 448 640 411.9 640 367.2C640 326.5 601.5 223.7 483.9 197.1zM66.6 399.1c-10.88 0-21.75-16-17.88-34.01c16.25-75.39 67.63-126 127.9-126c26.5 0 52.25 9.502 73.88 26.75l91 78.51c24.63 21.13 46.88 39.51 69.38 54.76H66.6zM311.6 255.1l-30.38-26.13c-25.88-21-57.38-33.76-90.63-36.63l6-51.88c1.25-13 10.88-23.63 23.63-26.38l161.8-34.26c8.125-1.75 16.5-.125 23.38 4.501c6.75 4.751 11.38 12 12.63 20.13l27.75 150.6H311.6zM561.9 399.5c-14-.3751-28-1.75-41.88-4.251l-26.5-144.5c79.38 27.13 98.5 99.64 98.5 116.5C591.1 384.4 578.6 398.1 561.9 399.5z"],
    "hat-santa": [640, 512, [], "f7a7", "M611.9 217.8c2.074-8.539-.2754-17.58-6.625-24.03c-6.324-6.299-15.22-8.641-23.75-6.525c-9.15-15.06-33.85-15.04-43-.0254c-8.4-2.141-17.43 .252-23.82 6.625c-6.301 6.373-8.625 15.42-6.525 23.98C500.7 222.5 496 230.5 496 239.5c0 8.967 4.699 17.05 12.12 21.66c-2.074 8.539 .2187 17.61 6.619 24.11c6.824 6.727 15.26 8.939 23.83 6.572C543.2 299.3 551.2 304 560 304c8.9 0 16.88-4.711 21.45-12.17c6.926 1.965 15.44 1.462 24.01-6.751c6.227-6.322 8.49-15.37 6.391-23.93C619.3 256.5 624 248.5 624 239.5C624 230.5 619.3 222.5 611.9 217.8zM464 368h6.645l-80.24-208.6C386.9 150.2 377.9 144 367.1 144c-2.934 0-5.822 .5313-8.588 1.582c-12.36 4.775-18.54 18.69-13.82 31.03L419.2 368H93.04l77.36-193.4C193.4 117.1 248.3 80 310.2 80c48.52 0 94.31 23.57 122.5 63.05l27.78 38.91c4.529 6.287 11.83 10.02 19.55 10.02c4.99 0 9.799-1.523 13.9-4.406c10.79-7.738 13.29-22.75 5.643-33.52l-27.79-38.92C434.5 63.08 374.1 32 310.2 32c-81.67 0-154 48.99-184.3 124.8L41.37 368H48C21.49 368 0 389.5 0 416v16C0 458.5 21.49 480 48 480h416c26.51 0 48-21.49 48-48V416C512 389.5 490.5 368 464 368zM480.1 183.7c-.3418 .0215-.6465 .3145-.9883 .3145c-.3809 0-.7207-.2324-1.1-.2598C479.6 183.8 480.3 183.7 480.1 183.7z"],
    "hat-winter": [512, 512, [], "f7a8", "M195.3 105.2c-5.5 10-4.462 22.79 4.163 31.41c5.25 5.125 11.96 7.713 18.84 7.713c4.5 0 8.625-1.5 12.5-3.625C234.1 151.8 243.9 160 256 160s21.88-8.25 25.25-19.25c4 2.125 8.125 3.625 12.5 3.625c6.75 0 13.54-2.663 18.91-7.788c8.625-8.625 9.587-21.34 4.087-31.34C327.8 101.9 336 92.13 336 80s-8.25-21.87-19.25-25.25c5.5-10 4.487-22.76-4.138-31.39s-21.36-9.613-31.36-4.113C277.9 8.25 268.1 0 256 0S234.1 8.25 230.8 19.25c-10-5.5-22.76-4.494-31.38 4.131C190.7 32.01 189.8 44.75 195.3 54.75C184.3 58.13 176 67.88 176 80S184.3 101.9 195.3 105.2zM480 416H32c-17.75 0-32 14.25-32 32v32c0 17.75 14.25 32 32 32h448c17.75 0 32-14.25 32-32v-32C512 430.3 497.8 416 480 416zM85.88 335.9L128 314.8l64 32l64-32l64 32l64-32l42.13 21.12C431.6 362.3 432 381.5 432 384H480c0-2-2.25-165.5-131.9-244.9c-2.875 7.25-7.062 14.12-12.94 20.12c-6.625 6.5-14.69 11.13-23.31 14c46.88 24.5 75.25 61.75 92.63 98.13L384 261.3l-64 32l-64-32l-64 32l-64-32L107.4 271.5C124.8 235.1 153.3 197.9 200 173.3C191.4 170.5 183.4 165.9 176.8 159.2C170.9 153.4 166.8 146.6 163.9 139.3C34.25 218.5 32 382 32 384h48C80 381.5 80.38 362.3 85.88 335.9z"],
    "hat-witch": [576, 512, [], "f6e7", "M256 304c-8.836 0-16 7.162-16 16v64h95.97v-64c0-8.838-7.164-16-16-16H256zM553.4 416H22.56C10.1 416 0 426.1 0 438.6c0 6.543 2.781 12.79 7.688 17.12C30.41 475.7 88.99 512 166.4 512h243.2c76.61 0 135.1-36.26 158.7-56.28C573.2 451.4 576 445.3 576 438.7C576 426.3 565.9 416 553.4 416zM231.3 200c9.057-20.25 24.31-36.88 44.74-48.51l168.5-102.6c3.145-1.656 7.117-1.219 9.277 .9375l70.89 73.05c2.225 2.188 2.988 5.281 2.416 7l-7.977 20c-10.58-13.6-27.17-21.97-45.28-21.97h-39.91c-24.53 0-46.24 15.38-54.05 38.38l-6.291 18.85c-7.055 20.63-6.102 42.88 2.605 62.57L435.5 384h53.08l-67.51-155.2c-3.908-8.908-4.322-18.94-1.08-28.41l6.324-18.91c1.08-3.281 4.193-5.5 7.689-5.5l39.91 .0313c3.527 0 6.641 2.188 7.721 5.438l14.24 42.1c3.242 9.596 12.23 16.16 22.53 16.44h.6367c10.01 0 19.03-6.033 22.72-15.22l31.27-78.36c6.928-20.22 1.652-42.23-13.38-56.98l-70.8-72.95c-18.08-18.03-46.36-21.75-69.34-8.658L250.1 110.3C222.1 126.7 199.9 151 186.6 180.6L94.68 384H148.1L231.3 200z"],
    "hat-wizard": [512, 512, [], "f6e8", "M307.9 199.5L283.1 187.1l-12.42-24.84c-1.477-2.949-5.68-2.949-7.156 0L251.1 187.1L226.2 199.5c-2.949 1.477-2.949 5.68 0 7.156L251.1 219.1l12.42 24.84c1.477 2.949 5.68 2.949 7.156 0L283.1 219.1l24.84-12.42C310.8 205.2 310.8 200.1 307.9 199.5zM496 448h-480C7.164 448 0 455.2 0 464C0 490.5 21.49 512 48 512h416c26.51 0 48-21.49 48-48C512 455.2 504.8 448 496 448zM203.2 187.3c8.062-18.34 21.62-33.38 39.22-43.41L361.1 76l-32.03 96.22c-6.562 19.53-5.688 40.56 2.312 58.91L408.6 416h52.04L375.5 212.3c-3.375-7.75-3.719-16.56-.9375-24.81l51.91-155.9c3.125-9.438 .125-19.84-7.562-26.16c-7.719-6.281-18.44-7.219-27.12-2.281l-173.2 99C192 117.3 171.5 140.1 159.5 167.4L43.87 416h52.92L203.2 187.3zM248 328L231.6 278.8c-2.434-7.289-12.75-7.289-15.18 0L200 328l-49.23 16.41c-7.289 2.434-7.289 12.75 0 15.18L200 376L208 416h32l8-40l49.23-16.41c7.289-2.434 7.289-12.75 0-15.18L248 328z"],
    "head-side": [512, 512, [], "f6e9", "M383.1 192c0-17.62-14.38-32-31.1-32c-17.62 0-31.1 14.38-31.1 32s14.37 32 31.1 32C369.6 224 383.1 209.6 383.1 192zM509.2 275c-20.1-47.12-48.5-151.8-73.12-186.8C397.6 33.62 334.5 0 266.1 0H200.1c-104.5 0-195.9 80.12-199.9 184.5c-2.25 59.88 22.99 113.6 63.86 150.4l.0063 153.1C64.01 501.3 74.75 512 88.01 512c13.25 0 23.1-10.74 23.1-23.1V313.4L96.01 299.1C49.13 257 33.01 187.4 63.88 126.6C89.26 76.75 143.1 48 198.1 48h67.12c51.1 0 100.9 25.38 130.7 67.88c11.25 15.88 27.1 65.62 40.37 102C443.7 237.2 450.1 255.8 456.2 272h-56.25V384c0 8.837-7.163 16-16 16h-79.99v88c0 13.25 10.74 23.1 23.1 23.1c13.25 0 23.1-10.74 23.1-23.1V448h31.1c35.34 0 63.1-28.65 63.1-63.1V320h31.1C503.1 320 518.6 296.1 509.2 275z"],
    "head-side-brain": [512, 512, [], "f808", "M313.6 192c21.12 0 38.38-16.5 38.38-36.75c0-20.38-17.25-36.88-38.38-36.88h-2.625c-5.25-15.25-19.62-25.5-35.75-25.62c-7.125 0-13.38 2.5-19.12 5.875C249.4 87.63 237.8 80 224 80S198.6 87.63 191.9 98.63c-5.75-3.375-12-5.875-19.12-5.875c-21.12 0-38.38 17.25-38.38 38.5c-21.12 0-38.38 17.12-38.38 38.38c0 16.88 11 30.75 26.12 35.88C122 206.4 121.6 207.1 121.6 208c0 21.25 17.12 38.38 38.38 38.38c4.375-.125 8.75-1 12.75-2.5v50.5C172.8 308.5 184.2 320 198.4 320s25.62-11.47 25.62-25.62v-50.5c4.125 1.5 8.375 2.375 12.75 2.5c21.25 0 38.5-17.12 38.5-38.38c-.125-5.5-1.375-11-3.75-16H313.6zM509.2 275c-21-47.13-48.5-151.8-73.12-186.8C397.6 33.62 334.5 0 266.1 0H200.1c-104.5 0-195.9 80.13-199.9 184.5C-2.111 244.4 23.13 298.1 64 334.9L64.01 488c0 13.26 10.75 24 24 24c13.25 0 23.1-10.74 23.1-23.1V313.4l-15.1-14.25C49.13 257 33.01 187.4 63.88 126.6C89.26 76.75 143.1 48 198.1 48h67.12c51.1 0 100.9 25.38 130.7 67.88c11.25 15.88 27.1 65.63 40.37 102C443.7 237.3 450.1 255.8 456.2 272h-56.25V384c0 8.836-7.164 16-16 16h-79.99v88c0 13.26 10.74 24 24 24c13.25 0 23.1-10.74 23.1-23.1V448h32.01c35.34 0 63.1-28.65 63.1-63.1V320h31.1C503.1 320 518.6 296.1 509.2 275z"],
    "head-side-cough": [640, 512, [], "e061", "M480 359.1c-13.25 0-23.1 10.75-23.1 24s10.75 24 23.1 24s24-10.75 24-24S493.3 359.1 480 359.1zM477.2 275c-21-47.13-48.49-151.8-73.11-186.8C365.6 33.63 302.5 0 234.1 0L199.1 0C95.51 0 4.139 80.13 .1387 184.5c-2.25 59.88 22.99 113.6 63.86 150.4L64.01 488c0 13.26 10.75 24 24 24c13.25 0 23.1-10.74 23.1-23.1V313.4l-15.1-14.25C49.13 257 33.01 187.4 63.88 126.6C89.26 76.75 143.1 48 198.1 48h35.12c51.1 0 100.9 25.38 130.7 67.88c11.25 15.88 27.1 65.63 40.37 102C411.7 237.3 418.1 255.8 424.2 272h-56.25v52.57l-56.22 8.031C298.1 334.6 288 346.2 288 360s10.13 25.45 23.76 27.39l56.22 8.031V416c0 8.836-7.164 16-16 16H271.1v56c0 13.26 10.74 24 24 24c13.25 0 23.1-10.74 23.1-23.1V480h31.99c35.34 0 64-28.66 64-63.1L415.1 320h31.99C471.1 320 486.6 296.1 477.2 275zM608 359.1c-13.25 0-24 10.75-24 24s10.75 24 24 24s24-10.75 24-24S621.3 359.1 608 359.1zM608 311.1c13.25 0 24-10.75 24-24s-10.75-24-24-24s-24 10.75-24 24S594.8 311.1 608 311.1zM544 407.1c-13.25 0-23.1 10.75-23.1 24s10.75 24 23.1 24s24-10.75 24-24S557.3 407.1 544 407.1zM544 311.1c-13.25 0-23.1 10.75-23.1 24s10.75 24 23.1 24s24-10.75 24-24S557.3 311.1 544 311.1zM608 455.1c-13.25 0-24 10.75-24 24s10.75 24 24 24s24-10.75 24-24S621.3 455.1 608 455.1zM320 224C337.6 224 352 209.6 352 192s-14.37-32-31.1-32C302.4 160 288 174.4 288 192S302.4 224 320 224z"],
    "head-side-cough-slash": [640, 512, [], "e062", "M630.8 469.1l-190.2-149.1h7.4c23.12 0 38.62-23.87 29.25-44.1c-21-47.12-48.49-151.7-73.11-186.7C365.6 33.62 302.5 0 234.1 0H199.1C156.2 0 114.9 14.31 81.26 38.38L38.81 5.109C34.41 1.672 29.19 0 24.03 0C16.91 0 9.845 3.156 5.126 9.187C-3.061 19.62-1.249 34.72 9.189 42.89l591.1 463.1c10.5 8.203 25.56 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1zM379.3 272L317.4 223.5C318.3 223.6 319.1 224 320 224C337.6 224 352 209.6 352 192s-14.37-32-31.1-32C302.4 160 288 174.4 288 192c0 3.547 .9551 6.816 2.029 10.01L120.9 69.41C144.4 55.99 171.1 48 198.1 48h35.12c51.1 0 100.9 25.38 130.7 67.88c11.25 15.88 27.1 65.63 40.37 102C411.7 237.3 418.1 255.8 424.2 272H379.3zM57.82 141.5L18.75 110.9C7.775 133.3 1.15 158.1 .1387 184.5c-2.25 59.88 22.99 113.6 63.86 150.4L64.01 488c0 13.26 10.75 24 24 24c13.25 0 23.1-10.74 23.1-23.1V313.4l-15.1-14.25C52.91 260.4 36.3 198.5 57.82 141.5zM288 360c0 13.77 10.13 25.45 23.76 27.39l56.22 8.031V416c0 8.836-7.164 16-16 16H271.1v56c0 13.26 10.74 24 24 24c13.25 0 23.1-10.74 23.1-23.1V480l31.99-.0015c33.36 0 60.44-25.61 63.41-58.2l-110.8-86.81C294.8 339.3 288 348.8 288 360zM607.1 311.1c13.25 0 24-10.75 24-23.1s-10.75-23.1-24-23.1s-23.1 10.75-23.1 23.1S594.7 311.1 607.1 311.1zM607.1 407.1c13.25 0 24-10.78 24-24.03s-10.75-23.1-24-23.1s-24 10.78-24 24.03S594.7 407.1 607.1 407.1zM543.1 359.1c13.25 0 24-10.78 24-24.03s-10.75-23.1-24-23.1s-24 10.78-24 24.03S530.7 359.1 543.1 359.1z"],
    "head-side-goggles": [512, 512, ["head-vr"], "f6ea", "M56.5 240H6.375C16 277.1 36.25 310 63.1 334.9l-.002 153.1C63.1 501.3 74.75 512 88 512s23.99-10.74 23.99-23.1V313.4l-16-14.25C77.87 282.9 64.5 262.4 56.5 240zM507.1 272h-107.1V384c0 8.836-7.164 16-16 16h-79.1v88c0 13.26 10.75 24 24 24s23.1-10.74 23.1-24L351.1 448h31.1c35.34 0 63.1-28.65 63.1-63.1V320h31.1c23.12 0 38.62-23.88 29.25-45C508.7 274.1 508.3 272.9 507.1 272zM479.1 48h-81.63c-36.5-30.25-82.86-48-132.2-48H199.1C134.9 0 75.12 31.25 38.12 80H31.1C14.38 80 0 94.38 0 112v64c0 17.62 14.38 32 31.1 32h183.1c.25 0 .375-.25 .625-.25C234.2 227.4 259.5 240 287.1 240h191.1c17.62 0 32.01-14.38 32.01-32v-128C511.1 62.38 497.6 48 479.1 48zM193.6 160H47.1V128H193.6C192.7 133.3 191.1 138.5 191.1 144S192.7 154.8 193.6 160zM215.1 80H104.1c26.75-20.38 60.12-32 94.87-32h67.12c4.625 0 9.25 .375 13.88 .75C254.7 50.88 232.5 62.5 216.6 80.25C216.4 80.25 216.2 80 215.1 80zM383.1 192h-95.99c-26.5 0-47.1-21.5-47.1-48S261.5 96 287.1 96h95.1L383.1 192zM463.1 192h-31.1V96h31.1V192z"],
    "head-side-headphones": [512, 512, [], "f8c2", "M509.2 275c-21-47.13-48.5-151.8-73.12-186.8C397.6 33.62 334.5 0 266.1 0H200.1C95.58 0 4.143 80.13 .1433 184.5c-2.25 59.88 22.99 113.6 63.86 150.3L64.01 488c0 13.26 10.75 24 24 24c13.25 0 23.1-10.74 23.1-23.1V313.4l-15.1-14.25C49.13 257 33.01 187.4 63.88 126.6C86.97 81.24 133.7 53.62 184 48.96v49.76C133.7 109.7 95.1 154.4 95.1 208c0 61.86 50.15 112 112 112S320 269.9 320 208c0-53.6-37.71-98.27-88-109.3V48h34.12c51.1 0 100.9 25.38 130.7 67.88c11.25 15.88 27.1 65.63 40.37 102C443.7 237.3 450.1 255.8 456.2 272h-56.25V384c0 8.836-7.164 16-16 16h-79.99v88c0 13.26 10.74 24 24 24c13.25 0 23.1-10.74 23.1-23.1V448h32.02c35.34 0 63.1-28.65 63.1-63.1V320h31.1C503.1 320 518.6 296.1 509.2 275zM272 208c0 35.29-28.71 64-64 64s-64-28.71-64-64c0-35.29 28.71-64 64-64S272 172.7 272 208zM175.1 208c0 17.67 14.33 32 32 32s32-14.33 32-32c0-17.67-14.33-32-32-32S175.1 190.3 175.1 208z"],
    "head-side-heart": [512, 512, [], "e1aa", "M509.2 275c-21-47.13-48.5-151.8-73.12-186.8C397.6 33.63 334.5 0 266.1 0L200.1 0c-104.5 0-195.9 80.13-199.9 184.5C-2.111 244.4 23.13 298.1 64 334.9L64.01 488c0 13.26 10.75 24 24 24c13.25 0 23.1-10.74 23.1-23.1V313.4l-15.1-14.25C49.13 257 33.01 187.4 63.88 126.6C89.26 76.75 143.1 48 198.1 48h67.12c51.1 0 100.9 25.38 130.7 67.88c11.25 15.88 27.1 65.63 40.37 102C443.7 237.3 450.1 255.8 456.2 272h-56.25V384c0 8.836-7.164 16-16 16h-79.99v88c0 13.26 10.74 24 24 24c13.25 0 23.1-10.74 23.1-23.1V448h32.01c35.34 0 63.1-28.65 63.1-63.1V320h31.1C503.1 320 518.6 296.1 509.2 275zM315.1 122.9c-19.88-16.68-49.67-13.65-67.1 4.795L239.9 135L232.7 127.7c-18.22-18.45-47.9-21.47-67.89-4.795C141.9 142.1 140.7 176.4 161.2 197.3L231.8 268.6c4.582 4.586 11.87 4.586 16.45 0l70.6-71.3C339.3 176.4 338.1 142.1 315.1 122.9z"],
    "head-side-mask": [512, 512, [], "e063", "M352 160c-17.68 0-32 14.33-32 32s14.33 32 32 32c17.67 0 31.1-14.33 31.1-32S369.7 160 352 160zM509.2 275c-20.94-47.13-48.47-151.7-73.11-186.8C397.7 33.59 334.6 0 266.1 0H198.2C93.68 0 3.668 80.86 .1133 185.3c-2.023 59.48 23.14 113 63.88 149.6L64.01 488c0 13.25 10.75 24 24 24s24-10.75 24-24V313.4L96.06 299.1C67.58 273.5 50.6 237.8 48.43 200.1l175.6 119.1V480c0 17.67 14.31 32 31.99 32h115.1c37.01 0 70.29-23.39 82.81-58.2l54.6-151.6C512.5 294.1 513.4 284.3 509.2 275zM439.5 352h-103.5c-8.838 0-16 7.162-16 16c0 8.836 7.163 16 16 16h91.98l-11.52 32h-80.46c-8.838 0-16 7.162-16 16c0 8.836 7.163 16 16 16h66.97c-7.438 9.854-19.17 16-31.92 16h-99.03V320h179L439.5 352zM239.8 272L55.62 147c2.137-6.424 4.461-12.84 7.58-19.12C88.22 77.53 142.1 48 198.4 48h67.79c51.99 0 100.9 25.38 130.8 67.88c11.19 15.91 28.07 65.67 40.38 102C443.9 237.2 450.2 255.8 456.3 272H239.8z"],
    "head-side-medical": [512, 512, [], "f809", "M320 208v-32C320 167.2 312.8 160 304 160h-47.1L256 112C256 103.2 248.8 96 240 96h-32C199.2 96 192 103.2 192 112L192 160H144C135.2 160 128 167.2 128 176v32C128 216.8 135.2 224 144 224h48L192 272C192 280.8 199.2 288 208 288h32C248.8 288 256 280.8 256 272L256 224H304C312.8 224 320 216.8 320 208zM509.2 275c-21-47.13-48.5-151.8-73.12-186.8C397.6 33.63 334.5 0 266.1 0H200.1c-104.5 0-195.9 80.13-199.9 184.5C-2.111 244.4 23.13 298.1 64 334.9L64.01 488c0 13.26 10.75 24 24 24c13.25 0 23.1-10.74 23.1-23.1V313.4l-15.1-14.25C49.13 257 33.01 187.4 63.88 126.6C89.26 76.75 143.1 48 198.1 48h67.12c51.1 0 100.9 25.38 130.7 67.88c11.25 15.88 27.1 65.63 40.37 102C443.7 237.3 450.1 255.8 456.2 272h-56.25V384c0 8.836-7.164 16-16 16h-79.99v88c0 13.26 10.74 24 24 24c13.25 0 23.1-10.74 23.1-23.1V448h32.01c35.34 0 63.1-28.65 63.1-63.1V320h31.1C503.1 320 518.6 296.1 509.2 275z"],
    "head-side-virus": [512, 512, [], "e064", "M320.5 302.7c3.639 0 7.277-1.389 10.05-4.166c5.557-5.557 5.557-14.56 0-20.11L322.9 270.8c-17.92-17.92-5.227-48.56 20.11-48.56h10.77c7.861 0 14.22-6.36 14.22-14.22S361.6 193.8 353.8 193.8h-10.77c-25.34 0-38.03-30.64-20.11-48.56l7.623-7.623c5.557-5.557 5.557-14.56 0-20.11c-5.555-5.557-14.55-5.557-20.11 0l-7.623 7.623C284.9 143 254.2 130.3 254.2 104.1V94.22c0-7.861-6.362-14.22-14.22-14.22S225.8 86.36 225.8 94.22v10.77c0 25.34-30.64 38.03-48.56 20.12L169.6 117.5c-5.557-5.557-14.56-5.557-20.11 0c-5.557 5.555-5.555 14.55 .002 20.11L157.1 145.2c17.92 17.92 5.227 48.56-20.11 48.56H126.2c-7.861 0-14.22 6.363-14.22 14.22S118.4 222.2 126.2 222.2H136.1c25.34 0 38.03 30.64 20.11 48.56L149.5 278.4c-5.557 5.555-5.557 14.55 0 20.11c2.777 2.777 6.416 4.166 10.05 4.166s7.279-1.389 10.06-4.166L177.2 290.9c17.92-17.92 48.56-5.229 48.56 20.11v10.77c0 7.861 6.361 14.22 14.22 14.22s14.22-6.361 14.22-14.22V311c0-25.34 30.64-38.03 48.56-20.11l7.623 7.623C313.2 301.3 316.8 302.7 320.5 302.7zM208 207.1c-8.836 0-15.1-7.164-15.1-15.1c0-8.838 7.164-16 16-16s15.1 7.162 15.1 15.1C224 200.8 216.8 207.1 208 207.1zM272 239.1c-8.836 0-16-7.165-16-16c0-8.838 7.165-16 16-16s16 7.162 16 16C288 232.8 280.8 239.1 272 239.1zM509.2 275c-21-47.13-48.48-151.8-73.1-186.8C397.6 33.63 334.5 0 266.1 0H200.1C95.58 0 4.139 80.13 .1387 184.5c-2.25 59.88 22.99 113.6 63.87 150.3L64.01 488c0 13.26 10.75 24 24 24c13.25 0 23.1-10.74 23.1-23.1V313.4l-15.1-14.25C49.13 257 33.01 187.4 63.88 126.6C89.26 76.75 143.1 48 198.1 48h67.12c51.1 0 100.9 25.38 130.7 67.88c11.25 15.88 27.1 65.63 40.37 102C443.7 237.3 450.1 255.8 456.2 272h-56.25V384c0 8.836-7.164 16-16 16h-79.99v88c0 13.26 10.74 24 24 24c13.25 0 23.1-10.74 23.1-23.1V448h32.01c35.34 0 63.1-28.65 63.1-63.1V320h31.98C503.1 320 518.6 296.1 509.2 275z"],
    "heading": [448, 512, ["header"], "f1dc", "M448 456c0 13.25-10.75 24-24 24h-112C298.8 480 288 469.3 288 456s10.75-24 24-24h32V280h-240v152h32C149.3 432 160 442.8 160 456S149.3 480 136 480h-112C10.75 480 0 469.3 0 456s10.75-24 24-24h32v-352h-32C10.75 80 0 69.25 0 56S10.75 32 24 32h112C149.3 32 160 42.75 160 56S149.3 80 136 80h-32v152h240V80h-32C298.8 80 288 69.25 288 56S298.8 32 312 32h112C437.3 32 448 42.75 448 56S437.3 80 424 80h-32v352h32C437.3 432 448 442.8 448 456z"],
    "headphones": [512, 512, [127911], "f025", "M256 32C112.9 32 4.563 151.1 0 288l.0042 111.9c0 .8379 .3493 1.621 .4723 2.424C2.969 445.6 38.49 480 82.36 480C107.6 480 128 459.6 128 434.4V301.8C128 276.5 107.5 256 82.25 256C70.67 256 59.69 258.4 49.7 262.7C62.23 159.9 149.9 80.14 256 80.13c106.1 .0137 193.8 79.79 206.3 182.6C452.3 258.4 441.3 256 429.8 256C404.5 256 384 276.5 384 301.8v132.6C384 459.6 404.4 480 429.6 480c43.87 0 79.39-34.39 81.88-77.64c.123-.8027 .4724-1.586 .4724-2.424L512 287.9C507.4 151 399.1 32 256 32zM80 304.1v127.8c-17.85-1.215-32-16.12-32-34.28v-59.39C48 320.1 62.16 305.2 80 304.1zM432 431.9V304.1c17.84 1.164 32 16.05 32 34.18v59.39C464 415.8 449.8 430.7 432 431.9z"],
    "headphones-simple": [512, 512, ["headphones-alt"], "f58f", "M160 271.9H144c-35.34 0-64 28.7-64 64.13v79.88C80 451.3 108.7 480 144 480L160 480c17.66 0 32-14.34 32-32.05V303.9C192 286.2 177.7 271.9 160 271.9zM144 432c-8.822 0-16-7.234-16-16.12V336c0-8.893 7.178-16.12 16-16.12V432zM256 32C112.9 32 4.563 151.1 0 288v112c0 8.844 7.156 16 16 16L32 416c8.844 0 15.99-7.219 15.99-16.06L48 288c0-114.7 93.34-207.8 208-207.8C370.7 80.2 464 173.3 464 288l-.0068 111.9C463.1 408.8 471.2 416 480 416l16 .0313c8.844 0 16-7.156 16-16V287.1C507.4 151.1 399.1 32 256 32zM368 271.9H352c-17.66 0-32 14.34-32 32.06v144c0 17.7 14.34 32.05 32 32.05L368 480c35.34 0 64-28.7 64-64.13V336C432 300.6 403.3 271.9 368 271.9zM384 415.9C384 424.8 376.8 432 368 432V319.9c8.822 0 16 7.232 16 16.12V415.9z"],
    "headset": [512, 512, [], "f590", "M256 0C112.9 0 4.583 119.1 .0208 256L0 309.2C0 350.5 32.75 384 73.14 384h18.29C111.6 384 128 367.3 128 346.6V213.4C128 192.7 111.6 176 91.43 176H73.14c-3.277 0-6.344 .7148-9.498 1.148C94.8 101.5 169.3 48.2 256 48.19c86.74 .0117 161.2 53.36 192.4 128.1C445.2 176.7 442.1 176 438.9 176h-18.29C400.4 176 384 192.7 384 213.4v133.2C384 367.3 400.4 384 420.6 384h18.29c8.875 0 17.27-1.861 25.14-4.82V400c0 22.06-17.94 40-40 40h-110.7C305 425.7 289.7 416 272 416h-32C213.5 416 192 437.5 192 464S213.5 512 239.1 512H272c17.72 0 33.03-9.711 41.34-24H424c48.53 0 88-39.47 88-88V256C507.4 119.1 399.1 0 256 0zM73.14 224H80v112H73.14C59.28 336 48 323.1 48 309.2V256c0-2.41 .2793-4.75 .3613-7.141C49.33 235 59.91 224 73.14 224zM438.9 336H432V224h6.857c13.23 0 23.81 11.04 24.78 24.86C463.7 251.3 464 253.6 464 256v53.24C464 323.1 452.7 336 438.9 336z"],
    "heart": [512, 512, [128153, 128154, 128155, 128156, 128420, 129293, 129294, 129505, 10084, 61578, 9829], "f004", "M244 84L255.1 96L267.1 84.02C300.6 51.37 347 36.51 392.6 44.1C461.5 55.58 512 115.2 512 185.1V190.9C512 232.4 494.8 272.1 464.4 300.4L283.7 469.1C276.2 476.1 266.3 480 256 480C245.7 480 235.8 476.1 228.3 469.1L47.59 300.4C17.23 272.1 0 232.4 0 190.9V185.1C0 115.2 50.52 55.58 119.4 44.1C164.1 36.51 211.4 51.37 244 84C243.1 84 244 84.01 244 84L244 84zM255.1 163.9L210.1 117.1C188.4 96.28 157.6 86.4 127.3 91.44C81.55 99.07 48 138.7 48 185.1V190.9C48 219.1 59.71 246.1 80.34 265.3L256 429.3L431.7 265.3C452.3 246.1 464 219.1 464 190.9V185.1C464 138.7 430.4 99.07 384.7 91.44C354.4 86.4 323.6 96.28 301.9 117.1L255.1 163.9z"],
    "heart-circle-bolt": [576, 512, [], "e4fc", "M310.3 108.6L257.3 167.2L201.1 109C167.2 73.77 113.2 71.03 81.21 98.88L80.94 99.12C39.31 134.8 37.21 198.7 74.21 237.1L74.24 237.1L256.4 424.1L263.2 417.9C268.1 434.7 275.5 450.4 284.9 464.6L279.4 470.3C266.4 483.2 245.5 483.2 233.5 470.3L39.71 270.5C-16.22 212.5-13.23 116.6 49.7 62.68C98.77 19.96 171.8 23.55 222.2 62.93C227.2 66.83 231.1 71.08 236.5 75.67L256.4 96.64L275.4 75.67C280.1 70.91 285 66.51 290.2 62.5C340.4 23.53 412.5 20.11 463.2 62.68C506.1 100.1 520.7 157.6 507 208.7C492.7 201.1 477.3 197.1 461.2 194.4C469.4 160.9 459.7 123.5 432 99.16C397.6 70.61 344.6 74.22 310.3 108.6zM288 368C288 288.5 352.5 223.1 432 223.1C511.5 223.1 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM464.8 286.4L368.8 358.4C364.7 361.5 362.1 366.9 364.6 371.8C366.2 376.7 370.8 380 376 380H411.6L381.5 434.2C378.8 439.1 379.8 445.3 384.1 449C388.4 452.8 394.7 452.1 399.2 449.6L495.2 377.6C499.3 374.5 501 369.1 499.4 364.2C497.8 359.3 493.2 356 488 356H452.4L482.5 301.8C485.2 296.9 484.2 290.7 479.9 286.1C475.6 283.2 469.3 283 464.8 286.4V286.4z"],
    "heart-circle-check": [576, 512, [], "e4fd", "M310.3 108.6L257.3 167.2L201.1 109C167.2 73.77 113.2 71.03 81.21 98.88L80.94 99.12C39.31 134.8 37.21 198.7 74.21 237.1L74.24 237.1L256.4 424.1L263.2 417.9C268.1 434.7 275.5 450.4 284.9 464.6L279.4 470.3C266.4 483.2 245.5 483.2 233.5 470.3L39.71 270.5C-16.22 212.5-13.23 116.6 49.7 62.68C98.77 19.96 171.8 23.55 222.2 62.93C227.2 66.83 231.1 71.08 236.5 75.67L256.4 96.64L275.4 75.67C280.1 70.91 285 66.51 290.2 62.5C340.4 23.53 412.5 20.11 463.2 62.68C506.1 100.1 520.7 157.6 507 208.7C492.7 201.1 477.3 197.1 461.2 194.4C469.4 160.9 459.7 123.5 432 99.16C397.6 70.61 344.6 74.22 310.3 108.6zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 223.1 432 223.1C511.5 223.1 576 288.5 576 368zM476.7 324.7L416 385.4L387.3 356.7C381.1 350.4 370.9 350.4 364.7 356.7C358.4 362.9 358.4 373.1 364.7 379.3L404.7 419.3C410.9 425.6 421.1 425.6 427.3 419.3L499.3 347.3C505.6 341.1 505.6 330.9 499.3 324.7C493.1 318.4 482.9 318.4 476.7 324.7H476.7z"],
    "heart-circle-exclamation": [576, 512, [], "e4fe", "M310.3 108.6L257.3 167.2L201.1 109C167.2 73.77 113.2 71.03 81.21 98.88L80.94 99.12C39.31 134.8 37.21 198.7 74.21 237.1L74.24 237.1L256.4 424.1L263.2 417.9C268.1 434.7 275.5 450.4 284.9 464.6L279.4 470.3C266.4 483.2 245.5 483.2 233.5 470.3L39.71 270.5C-16.22 212.5-13.23 116.6 49.7 62.68C98.77 19.96 171.8 23.55 222.2 62.93C227.2 66.83 231.1 71.08 236.5 75.67L256.4 96.64L275.4 75.67C280.1 70.91 285 66.51 290.2 62.5C340.4 23.53 412.5 20.11 463.2 62.68C506.1 100.1 520.7 157.6 507 208.7C492.7 201.1 477.3 197.1 461.2 194.4C469.4 160.9 459.7 123.5 432 99.16C397.6 70.61 344.6 74.22 310.3 108.6zM288 368C288 288.5 352.5 223.1 432 223.1C511.5 223.1 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 464C445.3 464 456 453.3 456 440C456 426.7 445.3 416 432 416C418.7 416 408 426.7 408 440C408 453.3 418.7 464 432 464zM415.1 287.1V368C415.1 376.8 423.2 384 431.1 384C440.8 384 447.1 376.8 447.1 368V287.1C447.1 279.2 440.8 271.1 431.1 271.1C423.2 271.1 415.1 279.2 415.1 287.1z"],
    "heart-circle-minus": [576, 512, [], "e4ff", "M310.3 108.6L257.3 167.2L201.1 109C167.2 73.77 113.2 71.03 81.21 98.88L80.94 99.12C39.31 134.8 37.21 198.7 74.21 237.1L74.24 237.1L256.4 424.1L263.2 417.9C268.1 434.7 275.5 450.4 284.9 464.6L279.4 470.3C266.4 483.2 245.5 483.2 233.5 470.3L39.71 270.5C-16.22 212.5-13.23 116.6 49.7 62.68C98.77 19.96 171.8 23.55 222.2 62.93C227.2 66.83 231.1 71.08 236.5 75.67L256.4 96.64L275.4 75.67C280.1 70.91 285 66.51 290.2 62.5C340.4 23.53 412.5 20.11 463.2 62.68C506.1 100.1 520.7 157.6 507 208.7C492.7 201.1 477.3 197.1 461.2 194.4C469.4 160.9 459.7 123.5 432 99.16C397.6 70.61 344.6 74.22 310.3 108.6zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 223.1 432 223.1C511.5 223.1 576 288.5 576 368zM496 351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H496C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1z"],
    "heart-circle-plus": [576, 512, [], "e500", "M310.3 108.6L257.3 167.2L201.1 109C167.2 73.77 113.2 71.03 81.21 98.88L80.94 99.12C39.31 134.8 37.21 198.7 74.21 237.1L74.24 237.1L256.4 424.1L263.2 417.9C268.1 434.7 275.5 450.4 284.9 464.6L279.4 470.3C266.4 483.2 245.5 483.2 233.5 470.3L39.71 270.5C-16.22 212.5-13.23 116.6 49.7 62.68C98.77 19.96 171.8 23.55 222.2 62.93C227.2 66.83 231.1 71.08 236.5 75.67L256.4 96.64L275.4 75.67C280.1 70.91 285 66.51 290.2 62.5C340.4 23.53 412.5 20.11 463.2 62.68C506.1 100.1 520.7 157.6 507 208.7C492.7 201.1 477.3 197.1 461.2 194.4C469.4 160.9 459.7 123.5 432 99.16C397.6 70.61 344.6 74.22 310.3 108.6zM288 368C288 288.5 352.5 223.1 432 223.1C511.5 223.1 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM448 303.1C448 295.2 440.8 287.1 432 287.1C423.2 287.1 416 295.2 416 303.1V351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H416V431.1C416 440.8 423.2 447.1 432 447.1C440.8 447.1 448 440.8 448 431.1V383.1H496C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1H448V303.1z"],
    "heart-circle-xmark": [576, 512, [], "e501", "M310.3 108.6L257.3 167.2L201.1 109C167.2 73.77 113.2 71.03 81.21 98.88L80.94 99.12C39.31 134.8 37.21 198.7 74.21 237.1L74.24 237.1L256.4 424.1L263.2 417.9C268.1 434.7 275.5 450.4 284.9 464.6L279.4 470.3C266.4 483.2 245.5 483.2 233.5 470.3L39.71 270.5C-16.22 212.5-13.23 116.6 49.7 62.68C98.77 19.96 171.8 23.55 222.2 62.93C227.2 66.83 231.1 71.08 236.5 75.67L256.4 96.64L275.4 75.67C280.1 70.91 285 66.51 290.2 62.5C340.4 23.53 412.5 20.11 463.2 62.68C506.1 100.1 520.7 157.6 507 208.7C492.7 201.1 477.3 197.1 461.2 194.4C469.4 160.9 459.7 123.5 432 99.16C397.6 70.61 344.6 74.22 310.3 108.6zM288 368C288 288.5 352.5 223.1 432 223.1C511.5 223.1 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM491.3 331.3C497.6 325.1 497.6 314.9 491.3 308.7C485.1 302.4 474.9 302.4 468.7 308.7L432 345.4L395.3 308.7C389.1 302.4 378.9 302.4 372.7 308.7C366.4 314.9 366.4 325.1 372.7 331.3L409.4 368L372.7 404.7C366.4 410.9 366.4 421.1 372.7 427.3C378.9 433.6 389.1 433.6 395.3 427.3L432 390.6L468.7 427.3C474.9 433.6 485.1 433.6 491.3 427.3C497.6 421.1 497.6 410.9 491.3 404.7L454.6 368L491.3 331.3z"],
    "heart-crack": [512, 512, [128148, "heart-broken"], "f7a9", "M255.1 96L267.1 84.02C300.6 51.37 347 36.51 392.6 44.1C461.5 55.58 512 115.2 512 185.1V190.9C512 232.4 494.8 272.1 464.4 300.4L283.7 469.1C276.2 476.1 266.3 480 256 480C245.7 480 235.8 476.1 228.3 469.1L47.59 300.4C17.23 272.1 0 232.4 0 190.9V185.1C0 115.2 50.52 55.58 119.4 44.1C164.1 36.51 211.4 51.37 244 84L255.1 96zM316 158.9L227.1 210.8L286.8 307.8C288.9 311.2 288.2 315.6 285.1 318.2C281.1 320.7 277.5 320.6 274.6 317.9L162.6 213.9C160.1 212.4 160 210.3 160 208.1C159.1 205.1 160.8 203.9 162.3 202.3L228.4 136.3L210.1 117.1C188.4 96.28 157.6 86.4 127.3 91.44C81.55 99.07 48 138.7 48 185.1V190.9C48 219.1 59.71 246.1 80.34 265.3L256 429.3L431.7 265.3C452.3 246.1 464 219.1 464 190.9V185.1C464 138.7 430.4 99.07 384.7 91.44C355.3 86.55 325.4 95.72 303.8 116.1L319.2 148.6C321 152.3 319.6 156.8 316 158.9L316 158.9z"],
    "heart-half": [512, 512, [], "e1ab", "M47.59 300.4C17.23 272.1 0 232.4 0 190.9V185.1C0 115.2 50.52 55.58 119.4 44.1C164.1 36.51 211.4 51.37 244 84.02L256 96V468.5C256 474.9 250.9 480 244.5 480C241.6 480 238.8 478.9 236.7 476.9L47.59 300.4zM208 384.5V115.9C186.5 95.67 156.6 86.56 127.3 91.44C81.55 99.07 48 138.7 48 185.1V190.9C48 219.1 59.71 246.1 80.34 265.3L208 384.5z"],
    "heart-half-stroke": [512, 512, ["heart-half-alt"], "e1ac", "M119.4 44.1C164.1 36.51 211.4 51.37 244 84L255.1 96L267.1 84.02C300.6 51.37 347 36.51 392.6 44.1C461.5 55.58 512 115.2 512 185.1V190.9C512 232.4 494.8 272.1 464.4 300.4L283.7 469.1C276.2 476.1 266.3 480 256 480C245.7 480 235.8 476.1 228.3 469.1L47.59 300.4C17.23 272.1 0 232.4 0 190.9V185.1C0 115.2 50.52 55.58 119.4 44.09L119.4 44.1zM255.1 163.9V429.3L431.7 265.3C452.3 246.1 464 219.1 464 190.9V185.1C464 138.7 430.4 99.07 384.7 91.44C354.4 86.4 323.6 96.28 301.9 117.1L255.1 163.9z"],
    "heart-pulse": [576, 512, ["heartbeat"], "f21e", "M287.1 424.9L186.5 320h-66.78l145.2 150.2C271.3 476.7 279.6 480 287.1 480c8.332 0 16.69-3.268 23.01-9.805L456.2 320h-66.78L287.1 424.9zM495.2 62.86C471 41.92 440.1 31.1 410.8 32c-37.49 0-75.41 15.34-103.1 43.92L288 96.25L268.3 75.92C240.6 47.34 202.7 32 165.2 32C135.1 32 104.1 41.92 80.81 62.86C18.66 116.7 15.8 212.5 71.82 270.5l16.73 17.53l97.16 .0313l29.88-71.75l56.88 126.4c5.5 12.25 22.88 12.62 28.88 .625l49.75-99.5l22.12 44.25l114.2-.0313l16.73-17.53C560.2 212.5 557.4 116.6 495.2 62.86zM469.6 237.1l-18.31 18.93h-58.33l-27.62-55.25c-5.875-11.75-22.62-11.75-28.5 0l-49 98L229.7 169.4c-5.75-12.75-24-12.5-29.38 .375l-36 86.25H124.6L106.3 237.1C74.1 203.8 66.46 138.1 112.5 99.15c39.9-34.54 94.59-17.5 121.4 10.17l54.17 55.92l54.16-55.92c26.42-27.27 81.26-44.89 121.4-10.17C509.1 138.6 502.5 203.1 469.6 237.1z"],
    "heat": [448, 512, [], "e00c", "M48 156.1V120C48 106.7 37.25 96 24 96C10.74 96 0 106.7 0 120v36.13C-.125 205.8 19.5 253.5 54.63 288.6C81 314.9 95.88 350.6 96 387.9V456C96 469.3 106.7 480 120 480c13.25 0 24-10.75 24-24v-68.13c.125-49.63-19.5-97.38-54.63-132.5C63 229.1 48.13 193.4 48 156.1zM393.4 255.4C367 229.1 352.1 193.4 352 156.1V120C352 106.7 341.3 96 328 96c-13.26 0-24 10.74-24 24v36.13c-.125 49.63 19.5 97.38 54.63 132.5c26.38 26.25 41.25 62 41.38 99.25V456c0 13.25 10.74 24 24 24c13.25 0 24-10.75 24-24v-68.13C448.1 338.3 428.5 290.5 393.4 255.4zM200 156.1V56C200 42.74 189.3 32 176 32C162.7 32 152 42.74 152 56v100.1C151.9 205.8 171.5 253.5 206.6 288.6c26.38 26.25 41.25 62 41.38 99.25V456c0 13.25 10.74 24 24 24c13.25 0 24-10.75 24-24v-68.13c.125-49.63-19.5-97.38-54.63-132.5C215 229.1 200.1 193.4 200 156.1z"],
    "helicopter": [640, 512, [128641], "f533", "M128 24C128 10.75 138.7 0 152 0H552C565.3 0 576 10.75 576 24C576 37.25 565.3 48 552 48H384V128H424C507.1 128 576 196.1 576 280V336C576 371.4 547.3 400 511.1 400H320.6C303.6 400 287.3 393.3 275.3 381.3L186.2 292.1L46.25 229.9C39.13 226.8 33.99 220.3 32.47 212.7L12.29 111.8C7.343 87.09 26.27 64 51.52 64H57.48C73.63 64 88.99 70.97 99.62 83.12L138.9 128H336V48H152C138.7 48 128 37.25 128 24H128zM209.7 250.1C212.4 251.3 214.9 252.9 216.1 255L309.3 347.3C312.3 350.3 316.3 352 320.6 352H336V176H127.1C121.1 176 114.5 173 109.9 167.8L63.5 114.7C62.92 114.1 62.24 113.5 61.49 113.1L77.1 191.1L209.7 250.1zM511.1 352C520.8 352 528 344.8 528 336V280C528 222.6 481.5 176 424 176H384V352H511.1zM608.5 492.7C592.9 505.2 573.5 512 553.5 512H248C234.7 512 224 501.3 224 488C224 474.7 234.7 464 248 464H553.5C562.6 464 571.4 460.9 578.5 455.2L601 437.3C611.4 428.1 626.5 430.7 634.7 441C643 451.4 641.3 466.5 630.1 474.7L608.5 492.7z"],
    "helicopter-symbol": [576, 512, [], "e502", "M320 50.45V1.985C435.8 16.42 527.6 108.2 542 224H493.6C479.8 134.8 409.3 64.23 320 50.45H320zM320 510V461.6C409.3 447.8 479.8 377.3 493.6 288H542C527.6 403.8 435.8 495.6 320 510V510zM33.98 288H82.45C96.23 377.3 166.7 447.8 256 461.6V510C140.2 495.6 48.42 403.8 33.98 288V288zM256 1.984V50.45C166.7 64.23 96.23 134.8 82.45 224H33.98C48.42 108.2 140.2 16.42 255.1 1.985L256 1.984zM224 232H352V160C352 146.7 362.7 136 376 136C389.3 136 400 146.7 400 160V352C400 365.3 389.3 376 376 376C362.7 376 352 365.3 352 352V280H224V352C224 365.3 213.3 376 200 376C186.7 376 176 365.3 176 352V160C176 146.7 186.7 136 200 136C213.3 136 224 146.7 224 160V232z"],
    "helmet-battle": [576, 512, [], "f6eb", "M31.99 256c17.63 0 32.01-12.5 32.01-28V0L.9928 221.1C-4.132 238.9 11.24 256 31.99 256zM575 221.1L512 0v228c0 15.5 14.38 28 32 28C564.8 256 580.1 238.9 575 221.1zM480 210.9C480 90.38 288 0 288 0S95.1 90.38 95.1 210.9c0 82.75-22.88 145.9-31.13 180.6c-3.375 14.5 3.625 29.38 16.38 35.25l161.5 78.75C251.5 509.8 260.1 512 270.7 512h34.5c9.75 0 19.25-2.25 28-6.5l161.6-78.75c12.63-5.875 19.75-20.75 16.25-35.25C502.9 356.8 480 293.6 480 210.9zM312 462.5V288l88-32.01L400 224H175.1L175.1 255.1L263.1 288v174.5l-149.1-72.75C115.6 387 116.5 384 117.2 381c10.75-38.63 26.75-97 26.75-170.1c0-63.5 91.88-127.8 144-156.9c52.13 29.12 144 93.37 144 156.9c0 73.12 16 131.5 26.75 170.1c.75 3 1.625 6 2.375 8.75L312 462.5z"],
    "helmet-safety": [576, 512, ["hard-hat", "hat-hard"], "f807", "M573.1 376.8C567.2 361.8 553.1 352 537.4 352h6.659V304c0-113.4-73.84-209.3-176-242.9v-5.498C368 33.75 350.3 16 328.4 16H247.6c-21.81 0-39.57 17.75-39.57 39.56v5.498C105.8 94.67 31.99 190.6 31.99 304V352h6.661c-15.77 0-29.82 9.75-35.78 24.81c-5.594 14.12-2.844 30.59 6.938 41.84C16.62 426.6 82.34 496 288 496s271.4-69.44 278.1-77.25C575.1 407.4 578.7 390.9 573.1 376.8zM79.98 304c0-86.24 53.05-159.8 128-191.2V296c0 13.25 10.75 24 24 24c13.25 0 24-10.75 24-24V64h64.01v232c0 13.25 10.75 24 24 24c13.25 0 24-10.75 24-24V112.8C442.1 144.2 496 217.8 496 304V352H79.98V304zM288 448c-131.2 0-197.6-30.19-225.4-48h450.8C485.6 417.8 419.2 448 288 448z"],
    "helmet-un": [512, 512, [], "e503", "M320 155.2V112C320 103.2 327.2 96 336 96C344.8 96 352 103.2 352 112V208C352 215.1 347.4 221.3 340.6 223.3C333.9 225.4 326.6 222.7 322.7 216.9L288 164.8V208C288 216.8 280.8 224 272 224C263.2 224 256 216.8 256 208V112C256 104.9 260.6 98.73 267.4 96.69C274.1 94.64 281.4 97.26 285.3 103.1L320 155.2zM160 176C160 184.8 167.2 192 176 192C184.8 192 192 184.8 192 176V112C192 103.2 199.2 96 208 96C216.8 96 224 103.2 224 112V176C224 202.5 202.5 224 176 224C149.5 224 128 202.5 128 176V112C128 103.2 135.2 96 144 96C152.8 96 160 103.2 160 112V176zM369.1 464H456C469.3 464 480 474.7 480 488C480 501.3 469.3 512 456 512H360C354.2 512 348.5 509.9 344.1 505.1L205.9 384H82.43C36.91 384 0 347.1 0 301.6V240C0 107.5 107.5 0 240 0C372.5 0 480 107.5 480 240H488C501.3 240 512 250.7 512 264C512 277.3 501.3 288 488 288H368V463.1L369.1 464zM240 48C133.1 48 48 133.1 48 240V301.6C48 320.6 63.42 336 82.44 336H196.9L234.2 254.1C238 245.5 246.6 240 256 240H432C432 133.1 346 48 240 48H240zM320 288H271.5L242.3 352.1L320 420.7L320 288z"],
    "hexagon": [512, 512, [11043], "f312", "M15.96 218.6L108.5 66.56C121.5 45.1 144.9 32 169.1 32H342C367.1 32 390.5 45.1 403.5 66.56L496 218.6C510 241.6 510 270.4 496 293.4L403.5 445.4C390.5 466.9 367.1 480 342 480H169.1C144.9 480 121.5 466.9 108.5 445.4L15.96 293.4C1.962 270.4 1.962 241.6 15.96 218.6V218.6zM56.96 243.5C52.29 251.2 52.29 260.8 56.96 268.5L149.5 420.5C153.8 427.6 161.6 432 169.1 432H342C350.4 432 358.2 427.6 362.5 420.5L455 268.5C459.7 260.8 459.7 251.2 455 243.5L362.5 91.52C358.2 84.37 350.4 80 342 80H169.1C161.6 80 153.8 84.37 149.5 91.52L56.96 243.5zM403.5 66.56L362.5 91.52L403.5 66.56zM15.96 293.4L56.96 268.5z"],
    "hexagon-check": [512, 512, [], "e416", "M243.8 339.8C232.9 350.7 215.1 350.7 204.2 339.8L140.2 275.8C129.3 264.9 129.3 247.1 140.2 236.2C151.1 225.3 168.9 225.3 179.8 236.2L224 280.4L332.2 172.2C343.1 161.3 360.9 161.3 371.8 172.2C382.7 183.1 382.7 200.9 371.8 211.8L243.8 339.8zM15.96 218.6L108.5 66.56C121.5 45.1 144.9 32 169.1 32H342C367.1 32 390.5 45.1 403.5 66.56L496 218.6C510 241.6 510 270.4 496 293.4L403.5 445.4C390.5 466.9 367.1 480 342 480H169.1C144.9 480 121.5 466.9 108.5 445.4L15.96 293.4C1.962 270.4 1.962 241.6 15.96 218.6V218.6zM56.96 243.5C52.29 251.2 52.29 260.8 56.96 268.5L149.5 420.5C153.8 427.6 161.6 432 169.1 432H342C350.4 432 358.2 427.6 362.5 420.5L455 268.5C459.7 260.8 459.7 251.2 455 243.5L362.5 91.52C358.2 84.37 350.4 80 342 80H169.1C161.6 80 153.8 84.37 149.5 91.52L56.96 243.5zM403.5 66.56L362.5 91.52L403.5 66.56zM15.96 293.4L56.96 268.5z"],
    "hexagon-divide": [512, 512, [], "e1ad", "M223.1 160C223.1 142.3 238.3 128 255.1 128C273.7 128 288 142.3 288 160C288 177.7 273.7 192 255.1 192C238.3 192 223.1 177.7 223.1 160zM344 232C357.3 232 368 242.7 368 256C368 269.3 357.3 280 344 280H167.1C154.7 280 143.1 269.3 143.1 256C143.1 242.7 154.7 232 167.1 232H344zM288 352C288 369.7 273.7 384 255.1 384C238.3 384 223.1 369.7 223.1 352C223.1 334.3 238.3 320 255.1 320C273.7 320 288 334.3 288 352zM15.96 218.6L108.5 66.56C121.5 45.1 144.9 32 169.1 32H342C367.1 32 390.5 45.1 403.5 66.56L496 218.6C510 241.6 510 270.4 496 293.4L403.5 445.4C390.5 466.9 367.1 480 342 480H169.1C144.9 480 121.5 466.9 108.5 445.4L15.96 293.4C1.962 270.4 1.962 241.6 15.96 218.6V218.6zM56.96 243.5C52.29 251.2 52.29 260.8 56.96 268.5L149.5 420.5C153.8 427.6 161.6 432 169.1 432H342C350.4 432 358.2 427.6 362.5 420.5L455 268.5C459.7 260.8 459.7 251.2 455 243.5L362.5 91.52C358.2 84.37 350.4 80 342 80H169.1C161.6 80 153.8 84.37 149.5 91.52L56.96 243.5zM403.5 66.56L362.5 91.52L403.5 66.56zM15.96 293.4L56.96 268.5z"],
    "hexagon-exclamation": [512, 512, [], "e417", "M255.1 128C269.3 128 280 138.7 280 152V264C280 277.3 269.3 288 255.1 288C242.7 288 231.1 277.3 231.1 264V152C231.1 138.7 242.7 128 255.1 128zM288 352C288 369.7 273.7 384 255.1 384C238.3 384 223.1 369.7 223.1 352C223.1 334.3 238.3 320 255.1 320C273.7 320 288 334.3 288 352zM15.96 218.6L108.5 66.56C121.5 45.1 144.9 32 169.1 32H342C367.1 32 390.5 45.1 403.5 66.56L496 218.6C510 241.6 510 270.4 496 293.4L403.5 445.4C390.5 466.9 367.1 480 342 480H169.1C144.9 480 121.5 466.9 108.5 445.4L15.96 293.4C1.962 270.4 1.962 241.6 15.96 218.6V218.6zM56.96 243.5C52.29 251.2 52.29 260.8 56.96 268.5L149.5 420.5C153.8 427.6 161.6 432 169.1 432H342C350.4 432 358.2 427.6 362.5 420.5L455 268.5C459.7 260.8 459.7 251.2 455 243.5L362.5 91.52C358.2 84.37 350.4 80 342 80H169.1C161.6 80 153.8 84.37 149.5 91.52L56.96 243.5zM403.5 66.56L362.5 91.52L403.5 66.56zM15.96 293.4L56.96 268.5z"],
    "hexagon-image": [512, 512, [], "e504", "M232 159.1C232 182.1 214.1 199.1 192 199.1C169.9 199.1 152 182.1 152 159.1C152 137.9 169.9 119.1 192 119.1C214.1 119.1 232 137.9 232 159.1zM105.4 67.08C118.2 44.81 141.1 31.08 167.7 31.08H344.3C370 31.08 393.8 44.81 406.6 67.08L494.9 219.1C507.8 242.3 507.8 269.7 494.9 291.1L406.6 444.9C393.8 467.2 370 480.9 344.3 480.9H167.7C141.1 480.9 118.2 467.2 105.4 444.9L17.07 291.1C4.206 269.7 4.206 242.3 17.07 219.1L105.4 67.08zM101.4 342.1L158.3 279.8C162.8 274.9 169.1 272.1 175.7 272C182.4 271.9 188.7 274.6 193.3 279.4L232.2 320L303.8 233.8C308.4 228.3 315.2 225.1 322.3 225.1C329.4 225.1 336.2 228.3 340.7 233.8L418.8 327.8L453.4 267.1C457.6 260.6 457.6 251.4 453.4 243.1L365.1 91.08C360.8 83.66 352.9 79.08 344.3 79.08H167.7C159.1 79.08 151.2 83.66 146.9 91.08L58.64 243.1C54.35 251.4 54.35 260.6 58.64 267.1L101.4 342.1z"],
    "hexagon-minus": [512, 512, ["minus-hexagon"], "f307", "M344 232C357.3 232 368 242.7 368 256C368 269.3 357.3 280 344 280H167.1C154.7 280 143.1 269.3 143.1 256C143.1 242.7 154.7 232 167.1 232H344zM15.96 218.6L108.5 66.56C121.5 45.1 144.9 32 169.1 32H342C367.1 32 390.5 45.1 403.5 66.56L496 218.6C510 241.6 510 270.4 496 293.4L403.5 445.4C390.5 466.9 367.1 480 342 480H169.1C144.9 480 121.5 466.9 108.5 445.4L15.96 293.4C1.962 270.4 1.962 241.6 15.96 218.6V218.6zM56.96 243.5C52.29 251.2 52.29 260.8 56.96 268.5L149.5 420.5C153.8 427.6 161.6 432 169.1 432H342C350.4 432 358.2 427.6 362.5 420.5L455 268.5C459.7 260.8 459.7 251.2 455 243.5L362.5 91.52C358.2 84.37 350.4 80 342 80H169.1C161.6 80 153.8 84.37 149.5 91.52L56.96 243.5zM403.5 66.56L362.5 91.52L403.5 66.56zM15.96 293.4L56.96 268.5z"],
    "hexagon-plus": [512, 512, ["plus-hexagon"], "f300", "M231.1 344V280H167.1C154.7 280 143.1 269.3 143.1 256C143.1 242.7 154.7 232 167.1 232H231.1V168C231.1 154.7 242.7 144 255.1 144C269.3 144 280 154.7 280 168V232H344C357.3 232 368 242.7 368 256C368 269.3 357.3 280 344 280H280V344C280 357.3 269.3 368 255.1 368C242.7 368 231.1 357.3 231.1 344zM15.96 218.6L108.5 66.56C121.5 45.1 144.9 32 169.1 32H342C367.1 32 390.5 45.1 403.5 66.56L496 218.6C510 241.6 510 270.4 496 293.4L403.5 445.4C390.5 466.9 367.1 480 342 480H169.1C144.9 480 121.5 466.9 108.5 445.4L15.96 293.4C1.962 270.4 1.962 241.6 15.96 218.6V218.6zM56.96 243.5C52.29 251.2 52.29 260.8 56.96 268.5L149.5 420.5C153.8 427.6 161.6 432 169.1 432H342C350.4 432 358.2 427.6 362.5 420.5L455 268.5C459.7 260.8 459.7 251.2 455 243.5L362.5 91.52C358.2 84.37 350.4 80 342 80H169.1C161.6 80 153.8 84.37 149.5 91.52L56.96 243.5zM403.5 66.56L362.5 91.52L403.5 66.56zM15.96 293.4L56.96 268.5z"],
    "hexagon-vertical-nft": [512, 512, [], "e505", "M160.9 253.5V176.6C160.9 167.7 168.1 160.6 176.9 160.6C185.8 160.6 192.9 167.7 192.9 176.6V336.6C192.9 344.2 187.5 350.8 179.9 352.3C172.4 353.7 164.9 349.6 162.1 342.5L128.9 259.7V336.6C128.9 345.4 121.8 352.6 112.9 352.6C104.1 352.6 96.92 345.4 96.92 336.6V176.6C96.92 168.9 102.4 162.3 109.9 160.9C117.4 159.4 124.9 163.5 127.8 170.6L160.9 253.5zM224.9 176.6C224.9 167.7 232.1 160.6 240.9 160.6H288.9C297.8 160.6 304.9 167.7 304.9 176.6C304.9 185.4 297.8 192.6 288.9 192.6H256.9V240.6H288.9C297.8 240.6 304.9 247.7 304.9 256.6C304.9 265.4 297.8 272.6 288.9 272.6H256.9V336.6C256.9 345.4 249.8 352.6 240.9 352.6C232.1 352.6 224.9 345.4 224.9 336.6V176.6zM400.9 160.6C409.8 160.6 416.9 167.7 416.9 176.6C416.9 185.4 409.8 192.6 400.9 192.6H384.9V336.6C384.9 345.4 377.8 352.6 368.9 352.6C360.1 352.6 352.9 345.4 352.9 336.6V192.6H336.9C328.1 192.6 320.9 185.4 320.9 176.6C320.9 167.7 328.1 160.6 336.9 160.6H400.9zM220.9 17.65C243.2 4.785 270.6 4.785 292.9 17.65L445.8 105.9C468.1 118.8 481.8 142.6 481.8 168.3V344.9C481.8 370.6 468.1 394.4 445.8 407.2L292.9 495.5C270.6 508.4 243.2 508.4 220.9 495.5L68 407.2C45.72 394.4 32 370.6 32 344.9V168.3C32 142.6 45.72 118.8 68 105.9L220.9 17.65zM268.9 59.22C261.5 54.93 252.3 54.93 244.9 59.22L92 147.5C84.57 151.8 80 159.7 80 168.3V344.9C80 353.4 84.57 361.4 92 365.6L244.9 453.9C252.3 458.2 261.5 458.2 268.9 453.9L421.8 365.6C429.3 361.4 433.8 353.4 433.8 344.9V168.3C433.8 159.7 429.3 151.8 421.8 147.5L268.9 59.22z"],
    "hexagon-vertical-nft-slanted": [512, 512, [], "e506", "M445.8 105.9C468.1 118.8 481.8 142.6 481.8 168.3V344.9C481.8 370.6 468.1 394.4 445.8 407.2L292.9 495.5C270.6 508.4 243.2 508.4 220.9 495.5L68 407.2C45.72 394.4 32 370.6 32 344.9V168.3C32 142.6 45.72 118.8 68 105.9L220.9 17.65C243.2 4.785 270.6 4.785 292.9 17.65L445.8 105.9zM91.1 147.5C84.57 151.8 79.1 159.7 79.1 168.3V344.9C79.1 353.4 84.57 361.4 91.1 365.6L244.9 453.9C252.3 458.2 261.5 458.2 268.9 453.9L421.8 365.6C429.3 361.4 433.8 353.4 433.8 344.9V168.3C433.8 159.7 429.3 151.8 421.8 147.5L268.9 59.22C261.5 54.93 252.3 54.93 244.9 59.22L91.1 147.5zM295.9 109.6C300.9 112.4 304 117.7 304 123.5C304 135.8 290.7 143.5 280.1 137.4L255.8 123.6V240.6H287.8C296.7 240.6 303.8 247.7 303.8 256.6C303.8 265.4 296.7 272.6 287.8 272.6H255.8V400.6C255.8 409.4 248.7 416.6 239.8 416.6C231 416.6 223.8 409.4 223.8 400.6V96.34C223.8 94.77 224 93.18 224.5 91.63C224.1 89.71 225.9 87.94 227 86.4C228.2 84.9 229.5 83.64 231 82.65C233.6 80.97 236.6 80 239.8 80H239.9C240.4 80 240.9 80.03 241.4 80.07C243.8 80.3 246.1 81.09 248.1 82.31L295.9 109.6zM328.1 164.8C323.1 161.9 320 156.6 320 150.9C320 138.6 333.3 130.9 343.9 137L415.9 178.1C423.6 182.5 426.3 192.3 421.9 199.9C417.5 207.6 407.7 210.3 400.1 205.9L383.8 196.6V352.6C383.8 361.4 376.7 368.6 367.8 368.6C359 368.6 351.8 361.4 351.8 352.6V178.4L328.1 164.8zM191.8 368.6C191.8 376.4 186.2 383.1 178.4 384.4C170.7 385.6 163.1 381.1 160.7 373.6L127.8 275.2V336.6C127.8 345.4 120.7 352.6 111.8 352.6C103 352.6 95.85 345.4 95.85 336.6V176.6C95.85 168.7 101.5 162 109.3 160.8C117 159.5 124.5 164.1 127 171.5L159.8 269.1V144.6C159.8 135.7 167 128.6 175.8 128.6C184.7 128.6 191.8 135.7 191.8 144.6V368.6z"],
    "hexagon-xmark": [512, 512, ["times-hexagon", "xmark-hexagon"], "f2ee", "M175 175C184.4 165.7 199.6 165.7 208.1 175L255.1 222.1L303 175C312.4 165.7 327.6 165.7 336.1 175C346.3 184.4 346.3 199.6 336.1 208.1L289.9 255.1L336.1 303C346.3 312.4 346.3 327.6 336.1 336.1C327.6 346.3 312.4 346.3 303 336.1L255.1 289.9L208.1 336.1C199.6 346.3 184.4 346.3 175 336.1C165.7 327.6 165.7 312.4 175 303L222.1 255.1L175 208.1C165.7 199.6 165.7 184.4 175 175V175zM15.96 218.6L108.5 66.56C121.5 45.1 144.9 32 169.1 32H342C367.1 32 390.5 45.1 403.5 66.56L496 218.6C510 241.6 510 270.4 496 293.4L403.5 445.4C390.5 466.9 367.1 480 342 480H169.1C144.9 480 121.5 466.9 108.5 445.4L15.96 293.4C1.962 270.4 1.962 241.6 15.96 218.6V218.6zM56.96 243.5C52.29 251.2 52.29 260.8 56.96 268.5L149.5 420.5C153.8 427.6 161.6 432 169.1 432H342C350.4 432 358.2 427.6 362.5 420.5L455 268.5C459.7 260.8 459.7 251.2 455 243.5L362.5 91.52C358.2 84.37 350.4 80 342 80H169.1C161.6 80 153.8 84.37 149.5 91.52L56.96 243.5zM403.5 66.56L362.5 91.52L403.5 66.56zM15.96 293.4L56.96 268.5z"],
    "high-definition": [576, 512, ["rectangle-hd"], "e1ae", "M512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM528 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h448c8.822 0 16 7.178 16 16V416zM248 160C234.8 160 224 170.8 224 184v48H160v-48C160 170.8 149.3 160 136 160S112 170.8 112 184v144C112 341.3 122.8 352 136 352S160 341.3 160 328v-48h64v48C224 341.3 234.8 352 248 352s24-10.75 24-24v-144C272 170.8 261.3 160 248 160zM384 160h-56c-13.25 0-24 10.75-24 24v144c0 13.25 10.75 24 24 24H384c52.94 0 96-43.06 96-96S436.9 160 384 160zM384 304h-32v-96h32c26.47 0 48 21.53 48 48S410.5 304 384 304z"],
    "highlighter": [576, 512, [], "f591", "M219.7 459.7C208.1 470.4 193.7 473.8 180.1 469.8L147.3 502.6C141.3 508.6 133.2 512 124.7 512H40C22.33 512 8 497.7 8 480V475.3C8 466.8 11.37 458.7 17.37 452.7L90.18 379.9C86.21 366.3 89.58 351 100.3 340.3L143.1 296.6V248.6C143.1 233.2 151.4 218.7 164 209.6L441.8 10.2C451 3.567 462.1 0 473.5 0C487.9 0 501.7 5.726 511.9 15.92L544.1 48.08C554.3 58.27 559.1 72.1 559.1 86.51C559.1 97.88 556.4 108.1 549.8 118.2L350.4 395.1C341.3 408.6 326.8 416 311.4 416H263.4L219.7 459.7zM191.1 316.5L139.9 368.6L191.4 420.1L243.5 368H311.4L327.5 345.5L214.5 232.5L191.1 248.6L191.1 316.5zM511.1 86.51C511.1 84.83 511.3 83.21 510.1 82.02L477.1 49.86C476.8 48.67 475.2 48 473.5 48C472.2 48 470.9 48.42 469.8 49.19L254 204.1L355.9 305.1L510.8 90.21C511.6 89.13 511.1 87.84 511.1 86.51L511.1 86.51zM142.7 439.3L120.7 417.3L73.94 464H118.1L142.7 439.3z"],
    "highlighter-line": [576, 512, [], "e1af", "M303.4 416H255.4L211.7 459.7C200.1 470.4 185.7 473.8 172.1 469.8L139.3 502.6C133.3 508.6 125.2 512 116.7 512H32C14.33 512 0 497.7 0 480V475.3C0 466.8 3.372 458.7 9.372 452.7L82.18 379.9C78.21 366.3 81.58 351 92.29 340.3L135.1 296.6V248.6C135.1 233.2 143.4 218.7 156 209.6L433.8 10.2C443 3.567 454.1 0 465.5 0C479.9 0 493.7 5.726 503.9 15.92L536.1 48.08C546.3 58.27 551.1 72.1 551.1 86.51C551.1 97.88 548.4 108.1 541.8 118.2L342.4 395.1C333.3 408.6 318.8 416 303.4 416L303.4 416zM131.9 368.6L183.4 420.1L235.5 368H303.4L319.5 345.5L206.5 232.5L183.1 248.6V316.5L131.9 368.6zM347.9 305.1L502.8 90.21C503.6 89.13 503.1 87.84 503.1 86.51C503.1 84.83 503.3 83.21 502.1 82.02L469.1 49.86C468.8 48.67 467.2 48 465.5 48C464.2 48 462.9 48.42 461.8 49.19L246 204.1L347.9 305.1zM65.94 464H110.1L134.7 439.3L112.7 417.3L65.94 464zM552 464C565.3 464 576 474.7 576 488C576 501.3 565.3 512 552 512H248C234.7 512 224 501.3 224 488C224 474.7 234.7 464 248 464H552z"],
    "hill-avalanche": [640, 512, [], "e507", "M583.1 391.1C552.8 421.4 505.9 425 471.7 401.9L161.4 91.58C160.5 87.87 159.1 83.99 159.1 80C159.1 53.49 181.5 32 207.1 32C229.9 32 248.3 46.62 254.1 66.62C268.5 45.7 292.7 32 319.1 32C364.2 32 400 67.82 400 112C400 119.4 398.1 126.6 397.1 133.5C426.9 145.1 448 174.1 448 208C448 236.4 433.2 261.3 410.9 275.5L492.6 357.2C508.2 372.8 533.6 372.8 549.2 357.2C564.8 341.6 564.8 316.2 549.2 300.6C533.6 284.1 508.2 284.1 492.6 300.6L458.7 266.7C493 232.3 548.8 232.3 583.1 266.7C617.5 301 617.5 356.8 583.1 391.1V391.1zM448 64C448 46.33 462.3 32 480 32C497.7 32 512 46.33 512 64C512 81.67 497.7 96 480 96C462.3 96 448 81.67 448 64zM544 160C544 177.7 529.7 192 512 192C494.3 192 480 177.7 480 160C480 142.3 494.3 128 512 128C529.7 128 544 142.3 544 160zM445.7 443.7C470.9 468.9 453 512 417.4 512H104C64.24 512 32 479.8 32 440V126.6C32 90.99 75.09 73.14 100.3 98.34L445.7 443.7zM103.1 464H398.1L79.1 145.9V440C79.1 453.3 90.74 464 103.1 464z"],
    "hill-rockslide": [576, 512, [], "e508", "M192 64C192 81.67 177.7 96 160 96C142.3 96 128 81.67 128 64C128 46.33 142.3 32 160 32C177.7 32 192 46.33 192 64zM252.4 135.8C249.7 130.1 249.7 125 252.4 120.2L279.4 72.16C282.2 67.12 287.6 64 293.4 64H346.6C352.4 64 357.8 67.12 360.6 72.16L387.6 120.2C390.3 125 390.3 130.1 387.6 135.8L360.6 183.8C357.8 188.9 352.4 192 346.6 192H293.4C287.6 192 282.2 188.9 279.4 183.8L252.4 135.8zM0 126.6C0 90.99 43.09 73.14 68.28 98.34L413.7 443.7C438.9 468.9 421 512 385.4 512H72C32.24 512 0 479.8 0 440V126.6zM48 145.9V440C48 453.3 58.75 464 72 464H366.1L48 145.9zM456.2 376.6C451.1 373.8 448 368.4 448 362.6V309.4C448 303.6 451.1 298.2 456.2 295.4L504.2 268.4C509 265.7 514.1 265.7 519.8 268.4L567.8 295.4C572.9 298.2 576 303.6 576 309.4V362.6C576 368.4 572.9 373.8 567.8 376.6L519.8 403.6C514.1 406.3 509 406.3 504.2 403.6L456.2 376.6zM320 288C320 270.3 334.3 256 352 256C369.7 256 384 270.3 384 288C384 305.7 369.7 320 352 320C334.3 320 320 305.7 320 288z"],
    "hippo": [640, 512, [129435], "f6ed", "M448 144C448 135.2 455.2 128 464 128C472.8 128 480 135.2 480 144C480 152.8 472.8 160 464 160C455.2 160 448 152.8 448 144zM544 144C544 152.8 536.8 160 528 160C519.2 160 512 152.8 512 144C512 135.2 519.2 128 528 128C536.8 128 544 135.2 544 144zM431.1 224C431.1 210.7 442.7 200 455.1 200C469.3 200 479.1 210.7 479.1 224C479.1 237.3 469.3 248 455.1 248C442.7 248 431.1 237.3 431.1 224zM575.1 224C575.1 237.3 565.3 248 551.1 248C538.7 248 527.1 237.3 527.1 224C527.1 210.7 538.7 200 551.1 200C565.3 200 575.1 210.7 575.1 224zM391 39.03C400.4 29.66 415.6 29.66 424.1 39.03L439.2 53.27C449.5 49.85 460.5 48 472 48H504C519.8 48 534.8 51.53 548.2 57.84L559 47.03C568.4 37.66 583.6 37.66 592.1 47.03C602.3 56.4 602.3 71.6 592.1 80.97L585.1 87.98C599.8 105.6 608 127.9 608 152C608 152.3 608.1 152.6 608.3 152.7C627.8 170.3 640 195.7 640 224C640 252.4 627.6 277.1 607.1 295.6L607.1 296V328C607.1 341.3 597.3 352 583.1 352H567.1C554.7 352 543.1 341.3 543.1 328V320H479.1V328C479.1 341.3 469.3 352 455.1 352H439.1C426.7 352 415.1 341.3 415.1 328V314.5C378.7 301.4 352 265.8 352 224C352 207.8 356 192.6 363.1 179.2C366 173.6 368 167.6 368 161.2V152C368 143.1 369.1 134.5 371.2 126.2C345.6 116.8 318.5 112 291.2 112H231.2C147.7 112 79.1 179.7 79.1 263.2C79.1 282.9 75.86 302.4 67.86 320.4L45.93 369.7C40.55 381.9 26.36 387.3 14.25 381.9C2.138 376.5-3.317 362.4 2.067 350.3L23.1 300.9C29.27 289 31.1 276.2 31.1 263.2C31.1 153.2 121.2 64 231.2 64H291.2C326.3 64 361.1 70.61 393.8 83.46C394.1 82.09 396.2 80.75 397.5 79.44L391 72.97C381.7 63.6 381.7 48.4 391 39.03V39.03zM472 96C441.1 96 416 121.1 416 152V161.2C416 177.6 410.9 191.5 405.5 201.6C402 208.3 400 215.8 400 224C400 250.5 421.5 272 448 272H544C570.5 272 592 250.5 592 224C592 209.9 585.1 197.2 576.2 188.4C565.1 179.2 560 165.1 560 152C560 121.1 534.9 96 504 96H472zM431.1 384H456V424C456 454.9 430.9 480 400 480H352C321.1 480 296 454.9 296 424V407.6C269.6 412.1 242.4 412.1 216 407.6V424C216 454.9 190.9 480 160 480H120C89.07 480 64 454.9 64 424V376C64 362.7 74.75 352 88 352C101.3 352 112 362.7 112 376V424C112 428.4 115.6 432 120 432H160C164.4 432 168 428.4 168 424V376C168 368.4 171.6 361.2 177.8 356.7C183.1 352.1 191.9 350.8 199.2 353.1L210.5 356.7C240.1 365.9 271.9 365.9 301.5 356.7L312.8 353.1C320.1 350.8 328.1 352.1 334.2 356.7C340.4 361.2 344 368.4 344 376V424C344 428.4 347.6 432 352 432H400C404.4 432 408 428.4 408 424V377.6C415.1 381.7 423.3 384 431.1 384H431.1z"],
    "hockey-mask": [448, 512, [], "f6ee", "M191.1 416c-8.875 0-15.1 7.12-15.1 15.1s7.125 16 16 16c8.875 0 15.1-7.122 15.1-15.1S200.9 416 191.1 416zM191.1 352c-8.875 0-15.1 7.122-15.1 15.1s7.122 15.1 15.1 15.1S207.1 376.9 207.1 368S200.9 352 191.1 352zM272 112c8.875 0 16-7.142 16-16.02s-7.125-16-16-16c-8.875 0-16 7.143-16 16.02S263.1 112 272 112zM175.1 112c8.875 0 16-7.125 16-16s-7.125-16.02-16-16.02s-16 7.127-16 16S167.1 112 175.1 112zM191.1 288C183.1 288 175.1 295.1 175.1 303.1s7.12 15.1 15.1 15.1S207.1 312.9 207.1 304S200.9 288 191.1 288zM256 416c-8.875 0-16 7.125-16 16s7.127 15.1 16 15.1c8.875 0 15.1-7.125 15.1-16S264.9 416 256 416zM256 288c-8.875 0-16 7.125-16 16s7.129 15.99 16 15.99c8.875 0 15.1-7.122 15.1-15.1S264.9 288 256 288zM256 352c-8.875 0-16 7.125-16 16s7.125 15.99 16 15.99c8.875 0 15.1-7.125 15.1-16S264.9 352 256 352zM224 128C215.1 128 207.1 135.1 207.1 144S215.1 160 224 160s16-7.125 16-16S232.9 128 224 128zM448 238.2c0-88.34-30.45-147.8-71.37-183.7C335.1 18.12 279.5-.0002 224-.0002c-55.63 0-111.1 18.13-152.6 54.5C30.45 90.31 .0002 149.8 .0002 238.2c0 49.81 9.68 108.8 32.62 177.8C64.5 511.1 224 512 224 512s159.5-.0051 191.4-96.01C438.3 346.9 448 287.1 448 238.2zM399.7 238.1c0 47.57-9.922 102.5-29.94 162.7C352.9 451.9 256.4 463.9 224 464c-26.38 0-128.4-10.75-145.8-63.13c-20.01-60.2-29.94-115.2-29.94-162.7c0-64.73 18.37-115.7 54.69-147.5C133.9 63.5 177.1 48 224 48s90.13 15.5 121 42.62C381.3 122.4 399.7 173.4 399.7 238.1zM199.1 207.1C199.1 190.4 185.6 176 167.1 176H103.1c-17.63 0-31.1 14.36-31.1 31.98C71.1 243.4 100.6 272 135.1 272S199.1 243.4 199.1 207.1zM280 176c-17.63 0-32 14.36-32 31.98C248 243.4 276.6 272 312 272s63.1-28.64 63.1-64.02C376 190.4 361.6 176 344 176H280z"],
    "hockey-puck": [512, 512, [], "f453", "M256 64C128.6 64 0 96.27 0 177.8v137.2C0 402.3 128.7 448 256 448s256-45.69 256-132.9V184C512 102.4 383.4 64 256 64zM464 315.1C464 361.1 368.7 400 256 400s-208-38.89-208-84.92V258.9c39.56 26.11 105.8 45.07 207.1 45.07S424.4 285 464 258.9V315.1zM256 256C141.1 256 48 223.8 48 184C48 150.1 131.6 112 256 112s208 38.12 208 72C464 223.8 370.9 256 256 256z"],
    "hockey-stick-puck": [640, 512, [], "e3ae", "M592 384h-160c-26.51 0-48 21.49-48 48v32c0 26.51 21.49 48 48 48h160c26.51 0 48-21.49 48-48v-32C640 405.5 618.5 384 592 384zM592 464h-160v-32h160V464zM512 24.04c0-14-11.49-24.04-23.98-24.04c-8.674 0-17.06 4.74-21.33 12.99l-158.1 307.3c-1.203-.1875-2.453-.2813-3.719-.2813H56c-30.88 0-56 25.12-56 55.1v79.1C0 486.9 25.12 512 56 512h153c33.05 0 63-18.22 78.16-47.56l222.1-429.4C511.1 31.52 512 27.75 512 24.04zM96 464H56c-4.406 0-8-3.594-8-8v-79.1c0-4.406 3.594-7.998 8-7.998L96 368V464zM244.6 442.4C237.7 455.7 224.1 464 209 464H128v-95.1h155L244.6 442.4z"],
    "hockey-sticks": [640, 512, [], "f454", "M261.5 288h26.84l13.6-26.29l-128.7-248.7C169 4.74 160.7-.0001 151.1-.0001c-12.59 0-23.98 10.15-23.98 24.04c0 3.714 .865 7.484 2.69 11.01L261.5 288zM584 320h-186.1l-24.83 48H512v95.1h-81.04c-15.02 0-28.62-8.281-35.53-21.62l-30.39-58.75l-27.02 52.23l14.78 28.58C367.1 493.8 397.9 512 430.1 512H584c30.88 0 56-25.12 56-55.1v-79.1C640 345.1 614.9 320 584 320zM592 456c0 4.406-3.594 8-8 8H544v-95.99l40-.0013c4.406 0 8 3.592 8 7.998V456zM512 24.04c0-14-11.49-24.04-23.98-24.04c-8.674 0-17.06 4.74-21.33 12.99l-158.1 307.3c-1.203-.1875-2.453-.2813-3.719-.2813H56c-30.88 0-56 25.12-56 55.1v79.1C0 486.9 25.12 512 56 512h153c33.05 0 63-18.22 78.16-47.56l222.1-429.4C511.1 31.52 512 27.75 512 24.04zM96 464H56c-4.406 0-8-3.594-8-8v-79.1c0-4.406 3.594-7.998 8-7.998L96 368V464zM244.6 442.4C237.7 455.7 224.1 464 209 464H128v-95.1h155L244.6 442.4z"],
    "holly-berry": [512, 512, [], "f7aa", "M255.1 95.99c26.5 0 48-21.5 48-47.1S282.5 0 255.1 0S208 21.5 208 47.1S229.5 95.99 255.1 95.99zM287.1 143.1c0 26.49 21.5 47.1 47.1 47.1s48-21.5 48-47.1s-21.5-47.1-48-47.1S287.1 117.5 287.1 143.1zM176 191.1c26.5 0 47.1-21.5 47.1-47.1S202.5 95.96 176 95.96S128 117.5 128 143.1S149.5 191.1 176 191.1zM452 336.2c-14.38-1.5-29.25-4.249-43.88-8.498c-7.125-1.1-11.37-8.623-9.875-15.12c3.5-14.25 8.375-27.74 14.13-39.99c8.875-18.75-3.875-40.87-25-42.61C310 223.1 292.5 192.1 256 192.1c-37.62 0-52.88 30.87-131.4 37.87c-21.38 1.874-33.87 24.12-25 42.61c5.875 12.37 10.62 25.87 14.13 40.12c1.5 6.498-2.75 13.12-9.875 15.12c-14.75 4.249-29.63 6.998-43.88 8.373c-19.25 1.1-34.75 22.62-25 42.74c14.38 29.74 22 64.11 22.25 98.98C57.25 502.1 78.75 512 92.13 512c5.875 0 11.75-1.5 17.25-4.499c32.25-17.5 67.5-28.37 102.1-31.49c21.25-1.875 33.88-23.99 25-42.61c-5.875-12.37-10.62-25.87-14.12-39.99c-6.625-26.24 73.75-26.24 67.12 0c-3.5 14.25-8.25 27.62-14.12 39.99c-8.75 18.75 3.875 40.74 24.1 42.61c34.63 3.124 69.87 13.1 102.1 31.49C408 510.5 413.9 512 419.8 512c13.25 0 34.87-9.748 35-34.12c.1249-34.87 7.75-69.23 22.12-98.98C487.1 357.8 470.4 337.9 452 336.2zM219.1 332c-32.25 9.123-51.25 41.11-43.25 72.98c2.375 8.998 4.875 17.75 8 26.24c-27.12 4.624-53.63 12.1-79.5 24.99c-2-26.37-7.5-51.61-16.5-75.61c9.75-1.875 19.37-3.999 29.12-6.873c32.25-9.123 51.25-41.11 43.25-72.98c-2.375-8.998-5-17.75-8-26.24c27-4.624 53.88-13.12 79.5-25.12c2 26.24 7.5 51.74 16.5 75.73C238.5 326.9 228.8 329.2 219.1 332zM407.6 456.3c-25.75-11.1-52.38-20.37-79.5-24.99c3.125-8.498 5.625-17.25 8-26.24c7.125-28.37-7.375-56.74-33.25-69.11c-1.875-13.1-17.88-35.24-22.88-84.98c0-.4999 .125-.9995 .25-1.5c25.5 11.87 52.5 20.37 79.5 25.12c-3.125 8.498-5.75 17.25-8 26.24c-8 31.87 11 63.86 43.12 72.98c9.75 2.874 19.37 4.999 29.12 6.873C415.1 404.7 409.6 429.9 407.6 456.3z"],
    "honey-pot": [448, 512, [127855], "e418", "M433.6 144.7C444.5 169.7 449.4 196.8 448 224C445.8 313.8 408.8 399.2 344.8 462.2C333.2 473.5 317.7 479.9 301.6 480H146.4C130.3 479.9 114.8 473.5 103.2 462.2C39.23 399.2 2.215 313.8 .0016 224C-1.433 196.8 3.482 169.7 14.36 144.7C25.23 119.8 41.77 97.68 62.66 80.23H56C49.64 80.23 43.53 77.7 39.03 73.2C34.53 68.7 32 62.59 32 56.23C32 49.86 34.53 43.76 39.03 39.26C43.53 34.76 49.64 32.23 56 32.23H392C398.4 32.23 404.5 34.76 408.1 39.26C413.5 43.76 416 49.86 416 56.23C416 62.59 413.5 68.7 408.1 73.2C404.5 77.7 398.4 80.23 392 80.23H385.3C406.2 97.68 422.8 119.8 433.6 144.7zM67.01 147.3C52.61 170.1 45.94 197 48 224H400C400 106.5 302.8 82.69 236.5 80.23H211.5C199.6 80.68 187.8 81.85 176 83.71V136.1C176 142.4 173.5 148.5 168.1 153C164.5 157.5 158.4 160.1 152 160.1C145.6 160.1 139.5 157.5 135 153C130.5 148.5 128 142.4 128 136.1V96.96C102.8 106.8 81.42 124.4 67.01 147.3zM366.8 352H81.25C95.43 380 114.1 405.5 136.5 427.6C139.1 430.3 142.7 431.9 146.4 432H301.6C305.3 431.9 308.9 430.3 311.5 427.6C333.9 405.5 352.6 380 366.8 352z"],
    "hood-cloak": [576, 512, [], "f6ef", "M569.6 460.8c-57.62-76.88-57.62-140.9-57.62-140.9v-64c0-84-46.3-122.1-101.2-182.8l39.77-39.75c12.25-12.25 3.623-33.5-13.87-33.5H287.6c-95.62 0-223.6 109.5-223.6 256v64c0 0 .0952 63.97-57.65 140.9c-15.75 21-.2478 51.15 25.1 51.15h511.3C570 511.1 585.4 481.1 569.6 460.8zM368.3 464H208.3v-136c0-44.13 35.1-80 79.99-80c44.12 0 79.99 35.88 79.99 80V464zM416.3 464v-136c0-70.63-57.52-128-128.1-128c-70.49 0-127.8 57.38-127.8 128v136H62.57C110.6 388.2 112.1 327.4 112.1 320V256c0-118.8 106.5-208 175.5-208h80.74L344.3 71.88c36.5 39.75 34.5 37.5 49.25 53.25C441.2 175.8 464 202.6 464 256v64c0 7.375 1.5 68.25 49.5 144H416.3z"],
    "horizontal-rule": [640, 512, [8213], "f86c", "M616 280H24C10.75 280 0 269.3 0 256S10.75 232 24 232h592c13.25 0 24 10.72 24 23.97S629.3 280 616 280z"],
    "horse": [576, 512, [128014], "f6f0", "M464 80c-8.875 0-16 7.125-16 16s7.125 16 16 16s16-7.125 16-16S472.9 80 464 80zM576 102.5c0-11.21-3.888-22.07-11-30.74l-21.75-26.5c15.99-5.371 29.09-18.75 32.6-35.61c1.035-4.97-2.897-9.641-7.974-9.641l-135.9 .0009C363.6 .001 306.1 48 291.6 112H176c-38.12 0-71.75 19.25-92 48.38C37.38 162.5 .0001 200.9 .0001 248l.0001 48C.0002 309.3 10.75 320 24 320s24-10.75 24-23.1L47.1 248c0-13.25 6.883-24.4 16.76-31.65c-.125 2.5-.758 5.024-.758 7.649c0 30.12 11.88 58.12 32.13 78.62l-12.88 43.75c-4 13.25-4.375 27.38-1.125 40.87l24.12 100.3C109.8 501.9 122.6 512 137.4 512h74.75c20.85 0 36.13-19.62 31.01-39.84l-25.51-100.8L227 345l61 13.5V480c0 17.6 14.4 32 32 32h80c17.6 0 32-14.4 32-32v-155.6c20-22.5 31.25-51.13 32-81.62V234.4c21 7 38.38 .75 41-.125l30.99-10.62c23.93-8.202 40.01-30.7 40.01-56V102.5zM520.5 178.2l-31 10.5c-1.5 .5-9.75 3-16.5-3.75L448 160h-32v80c0 26.12-12.62 49-32 63.63l-.0001 160.4L336 464V320L196.1 288.9L167.5 369l24 95H149.1l-21.12-87.88C127.6 370.8 127.8 365.2 129.3 360l22.75-76.75c-23.5-9.5-40-32.37-40-59.25c0-35.38 28.62-64 64-64l159.1 .0007L336 144c0-53 43-96 96-96h51.38l44.63 54.25v65.38C528 172.4 525 176.6 520.5 178.2z"],
    "horse-head": [512, 512, [], "f7ab", "M506.9 268.6c-.75-1.875-71.38-140.4-103.9-166c6.125-18.88 6.75-39.88 1-61.38c-8.25-31.5-42-48.88-72.38-38L166.8 65.12C19 118.2 0 256.1 0 371.1v76C0 483.2 28.75 512 64 512h232c19.88 0 38.5-10.75 48.38-27.88c10-17.25 10.13-38.63 .25-55.88l-.5-1l-39.63-63c2.25-1 .25-.4999 3.875-1.625l5.5 7.375c14.13 18.75 36.63 30 60 30h27.38c18.75 0 36.5-7 50.25-19.75c42.75-35.38 36.75-30.25 38.75-32.25C511.1 327.2 517.6 295.1 506.9 268.6zM456.4 313.1l-36.75 30.25c-4.875 5-11.5 7.625-18.38 7.625h-27.38c-8.5 0-16.63-4-21.63-10.75l-33.75-45.5c-18.63 18.63-37.5 32.38-67.75 32.38c-34.5 0-66-20.63-80-52.63c-2.5-5.75-8.375-9.5-14.63-9.5c-4.25 0-8.25 1.75-11.38 4.75L132.8 282.7c-5 5-6.25 12.38-3.125 18.5c23.38 46.13 69.75 74.75 121.1 74.75c1.375 0 2.625-.25 4-.375l48 76.38c3 5.25-.7509 12-6.875 12H64c-8.75 0-16-7.25-16-16v-76c0-129.9 29.25-223.8 135.6-262l164.3-61.63c5.5-2 9.125 2.625 9.75 5c9.875 37.75-13.13 58.38-27.75 66.88c34.63 6.75 60.5 36 75.5 64.5l56.88 101.5C466 295.7 463.8 306.7 456.4 313.1zM296 175.1c-13.25 0-24 10.75-24 24c0 13.25 10.75 24 24 24c13.25 0 24-10.75 24-24C320 186.7 309.3 175.1 296 175.1z"],
    "horse-saddle": [576, 512, [], "f8c3", "M464 80C455.1 80 448 87.12 448 96s7.125 16 16 16S480 104.9 480 96S472.9 80 464 80zM576 102.5c0-9.536-4.95-23.37-11-30.74l-21.75-26.5c16-5.375 29.11-18.74 32.61-35.62c.375-2.375-.2344-4.757-1.734-6.632C572.6 1.125 570.4 0 567.9 0L432 .001C363.6 .001 306.2 48 291.6 112H176c-36.75 0-71.12 18.12-92 48.38C37.38 162.5 0 200.9 0 248.1V296C0 309.3 10.75 320 23.1 320S48 309.3 48 296V248.1c0-13.25 6.883-24.36 16.76-31.74C64.63 218.6 57.1 264 96.12 302.6L83.25 346.4c-3.75 13.25-4.125 27.38-1.125 40.87l24.12 100.3C109.8 501.9 122.6 512 137.4 512h74.75c9.875 0 19.12-4.625 25.25-12.38c6-7.75 8.125-17.87 5.75-27.5l-25.5-100.8L227 345L288 358.5V480c0 17.6 14.4 32 32 32h80c17.6 0 32-14.4 32-32v-155.6c20-22.5 31.38-51.5 32-81.62c0-.875 .125-8.375 .125-8.375C477.4 238.8 491.8 238.8 505 234.2L536 223.6c24-8.125 40-30.75 40-56V102.5zM224 295.1L196.2 289l-28.75 80l24 95H149.1l-21.12-87.88C127.6 370.8 127.8 365.2 129.2 360L152 283.2C126.4 272.9 110.2 247.4 112.1 219.8C113.9 192.2 133.2 169 160 162.2v13.75C160 216.1 187.1 249.8 224 260.2V295.1zM208 176V160H288v16c0 22.12-17.88 40-40 40C225.9 216 208 198.1 208 176zM520.5 178.2l-31 10.5c-5.75 2-12.12 .5-16.5-3.75L448 160h-32v80c0 25.12-11.88 48.63-32 63.63V464h-48V320l-64-14.25V260.2c36.88-10.5 64-44.12 64-84.25v-32c0-53 43-96 96-96h51.38L528 102.2v65.38C528.1 172.4 525 176.6 520.5 178.2z"],
    "hose": [448, 512, [], "e419", "M416 384H32c-13.25 0-24 10.75-24 24S18.75 432 32 432h384c13.25 0 24-10.75 24-24S429.2 384 416 384zM416 304H32c-13.25 0-24 10.75-24 24S18.75 352 32 352h384c13.25 0 24-10.75 24-24S429.2 304 416 304zM416 464H32c-13.25 0-24 10.75-24 24S18.75 512 32 512h384c13.25 0 24-10.75 24-24S429.2 464 416 464zM416 224H124C86.43 224 56 193.6 56 156S86.43 88 124 88H256v-48H124c-64.06 0-116 51.94-116 116S59.94 272 124 272H416c13.25 0 24-10.75 24-24S429.2 224 416 224zM432 24c-8.064 0-14.75 5.984-15.84 13.73L336 26.27V24C336 10.75 325.2 0 312 0S288 10.75 288 24v80C288 117.2 298.8 128 312 128s24-10.75 24-24V101.7l80.16-11.46C417.2 98.02 423.9 104 432 104c8.832 0 16-7.168 16-16v-48C448 31.17 440.8 24 432 24z"],
    "hose-reel": [576, 512, [], "e41a", "M320 192C284.6 192 256 220.6 256 256s28.64 64 64 64s64-28.64 64-64S355.4 192 320 192zM592 352H576V256c0-141.4-114.6-256-256-256C178.6 0 64 114.6 64 256s114.6 256 256 256c54.37 0 104.8-16.96 146.3-45.89c10.88-7.584 13.54-22.56 5.951-33.44c-7.584-10.85-22.53-13.54-33.41-5.951C405.2 450.2 364.2 464 320 464c-114.9 0-208-93.12-208-208S205.1 48 320 48c114.9 0 208 93.12 208 208v96H512c-13.25 0-24 10.75-24 24S498.8 400 512 400h2.271l11.46 80.16C517.1 481.2 512 487.9 512 496c0 8.832 7.168 16 16 16H576c8.832 0 16-7.168 16-16c0-8.064-5.984-14.75-13.73-15.84L589.7 400H592c13.25 0 24-10.75 24-24S605.2 352 592 352zM320 96C231.6 96 160 167.6 160 256s71.65 160 160 160s160-71.65 160-160S408.4 96 320 96zM320 368c-61.86 0-112-50.14-112-112S258.1 144 320 144s112 50.14 112 112S381.9 368 320 368z"],
    "hospital": [640, 512, [127973, 62589, "hospital-alt", "hospital-wide"], "f0f8", "M296 96C296 87.16 303.2 80 312 80H328C336.8 80 344 87.16 344 96V120H368C376.8 120 384 127.2 384 136V152C384 160.8 376.8 168 368 168H344V192C344 200.8 336.8 208 328 208H312C303.2 208 296 200.8 296 192V168H272C263.2 168 256 160.8 256 152V136C256 127.2 263.2 120 272 120H296V96zM408 0C447.8 0 480 32.24 480 72V80H568C607.8 80 640 112.2 640 152V440C640 479.8 607.8 512 568 512H71.98C32.19 512 0 479.8 0 440V152C0 112.2 32.24 80 72 80H160V72C160 32.24 192.2 0 232 0L408 0zM480 128V464H568C581.3 464 592 453.3 592 440V336H536C522.7 336 512 325.3 512 312C512 298.7 522.7 288 536 288H592V240H536C522.7 240 512 229.3 512 216C512 202.7 522.7 192 536 192H592V152C592 138.7 581.3 128 568 128H480zM48 152V192H104C117.3 192 128 202.7 128 216C128 229.3 117.3 240 104 240H48V288H104C117.3 288 128 298.7 128 312C128 325.3 117.3 336 104 336H48V440C48 453.3 58.74 464 71.98 464H160V128H72C58.75 128 48 138.7 48 152V152zM208 464H272V400C272 373.5 293.5 352 320 352C346.5 352 368 373.5 368 400V464H432V72C432 58.75 421.3 48 408 48H232C218.7 48 208 58.75 208 72V464z"],
    "hospital-user": [576, 512, [], "f80d", "M48 64V272H136C149.3 272 160 282.7 160 296C160 309.3 149.3 320 136 320H48V368H136C149.3 368 160 378.7 160 392C160 405.3 149.3 416 136 416H48V448C48 456.8 55.16 464 64 464H256C256.2 464 256.4 463.1 256.7 463.1C256.2 468.2 256 472.6 256 476.9C256 489.5 259.5 501.3 265.5 511.3C262.4 511.8 259.2 512 256 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H256C291.3 0 320 28.65 320 64V367.8C299.9 379 283.3 395.6 272 415.7V64C272 55.16 264.8 48 256 48H64C55.16 48 48 55.16 48 64V64zM136 112C136 103.2 143.2 96 152 96H168C176.8 96 184 103.2 184 112V136H208C216.8 136 224 143.2 224 152V168C224 176.8 216.8 184 208 184H184V208C184 216.8 176.8 224 168 224H152C143.2 224 136 216.8 136 208V184H112C103.2 184 96 176.8 96 168V152C96 143.2 103.2 136 112 136H136V112zM512 272C512 316.2 476.2 352 432 352C387.8 352 352 316.2 352 272C352 227.8 387.8 192 432 192C476.2 192 512 227.8 512 272zM288 477.1C288 425.7 329.7 384 381.1 384H482.9C534.3 384 576 425.7 576 477.1C576 496.4 560.4 512 541.1 512H322.9C303.6 512 288 496.4 288 477.1V477.1z"],
    "hospitals": [576, 512, [], "f80e", "M304 64V70.66C294.2 66.38 283.4 64 272 64H256C256 28.65 284.7 0 320 0H480C515.3 0 544 28.65 544 64V448C544 483.3 515.3 512 480 512H336C346 498.6 352 482 352 464H480C488.8 464 496 456.8 496 448V400H352V352H496V304H352V256H496V64C496 55.16 488.8 48 480 48H320C311.2 48 304 55.16 304 64zM384 96C384 87.16 391.2 80 400 80H416C424.8 80 432 87.16 432 96V120H456C464.8 120 472 127.2 472 136V152C472 160.8 464.8 168 456 168H432V192C432 200.8 424.8 208 416 208H400C391.2 208 384 200.8 384 192V168H360C351.2 168 344 160.8 344 152V136C344 127.2 351.2 120 360 120H384V96zM184 176C192.8 176 200 183.2 200 192V216H224C232.8 216 240 223.2 240 232V248C240 256.8 232.8 264 224 264H200V288C200 296.8 192.8 304 184 304H168C159.2 304 152 296.8 152 288V264H128C119.2 264 112 256.8 112 248V232C112 223.2 119.2 216 128 216H152V192C152 183.2 159.2 176 168 176H184zM32 160C32 124.7 60.65 96 96 96H256C291.3 96 320 124.7 320 160V448C320 483.3 291.3 512 256 512H96C60.65 512 32 483.3 32 448V160zM80 160V352H272V160C272 151.2 264.8 144 256 144H96C87.16 144 80 151.2 80 160zM80 448C80 456.8 87.16 464 96 464H256C264.8 464 272 456.8 272 448V400H80V448z"],
    "hot-tub-person": [512, 512, ["hot-tub"], "f593", "M320.9 177.6C321.9 185.9 328.4 192 336.1 192h15.99c9.375 0 16.88-8.625 15.75-18.38c-4.25-39.13-22-74.5-49.25-97.13c-17.12-14.12-28.38-36.75-31.5-62.13C286.1 6.125 279.5 0 271.6 0H255.9C246.5 0 238.1 8.5 240.1 18.38c4.25 39.13 22 74.5 49.25 97.13C306.5 129.6 317.7 152.3 320.9 177.6zM416.9 177.6C417.9 185.9 424.5 192 432.2 192h15.88c9.375 0 16.88-8.625 15.75-18.38c-4.25-39.13-22-74.5-49.25-97.13c-17.12-14.12-28.38-36.75-31.5-62.13C382.1 6.125 375.5 0 367.6 0h-15.75c-9.375 0-16.88 8.5-15.75 18.38c4.25 39.13 22 74.5 49.25 97.13C402.5 129.6 413.7 152.3 416.9 177.6zM480 256h-218.6L150.5 172.8C139.4 164.5 125.9 160 112 160H64C28.63 160 0 188.6 0 224v224c0 35.38 28.62 64 64 64h384c35.38 0 64-28.62 64-64V288C512 270.4 497.6 256 480 256zM48 224c0-8.875 7.125-16 16-16h48c3.5 0 6.875 1.125 9.625 3.25L181.4 256H48V224zM112 464H64c-8.875 0-16-7.125-16-16V304h64V464zM232 464H160v-160h72V464zM352 464h-72v-160H352V464zM464 448c0 8.875-7.125 16-16 16h-48v-160h64V448zM64 128c35.35 0 64-28.65 64-64c0-35.35-28.65-64-64-64S0 28.65 0 64C0 99.35 28.65 128 64 128z"],
    "hotdog": [512, 512, [127789], "f80f", "M484 186.6C501.9 166.1 512 140.5 512 113C512 50.63 461.4 .0016 399 .0016c-27.5 0-53.13 10.12-73.63 27.1L322.5 25.13c-16-15.1-37.5-25.12-59.38-25.12C243.2-.1234 224 7.627 209.1 21.75L21.75 209.9c-30.13 30.12-28.63 80.62 3.25 112.6L28 325.4C10.12 345.9 0 371.5 0 398.1c0 62.37 50.62 112.1 113 112.1c27.5 0 53.12-10.12 73.62-27.1l2.875 2.875c16 15.1 37.5 25.12 59.38 25.12C268.8 512.1 288 504.4 301.1 490.2l188.3-188.1c30.12-30.12 28.62-80.62-3.375-112.6L484 186.6zM55.62 243.9l188.3-188.2c10.12-10.25 29.25-11.1 46.1 5.75L61.38 290.9C43.62 273.1 45.5 254 55.62 243.9zM456.4 268.1l-188.3 188.2c-10.13 10.25-29.25 11.1-47-5.75l229.5-229.5C468.4 238.9 466.5 258 456.4 268.1zM445 159l-286 285.1c-25.38 25.37-66.62 25.37-92 0s-25.38-66.62 0-91.1l286-285.1c25.38-25.37 66.63-25.37 92 0S470.4 133.6 445 159zM400 112c-10.5 10.5-19 11.5-30.75 12.1c-5.625 .625-63.5 3.25-71.62 71.62c-5.125 41.75-35.25 42.75-43.75 43.75C248.2 241 190.4 243.6 182.4 311.9c-1 8.375-1.875 38.5-43.5 43.5C125 356.1 107.8 359.1 89.38 377.4c-5.875 6.375-5.75 16.12 .375 22.25c6.125 6.125 16 6.25 22.25 .375c10.5-10.5 19-11.5 30.75-12.87c5.625-.75 63.37-3.25 71.37-71.5C215.1 307.5 216 277.1 257.8 272.1c5.75-.75 63.5-3.375 71.62-71.62c5.125-41.75 35.38-42.75 43.63-43.75c14-1.75 31.25-3.75 49.63-22.12c6-6.25 5.875-16.25-.25-22.37C416.2 106.1 406.2 106 400 112z"],
    "hotel": [512, 512, [127976], "f594", "M176 96C184.8 96 192 103.2 192 112V144C192 152.8 184.8 160 176 160H144C135.2 160 128 152.8 128 144V112C128 103.2 135.2 96 144 96H176zM224 112C224 103.2 231.2 96 240 96H272C280.8 96 288 103.2 288 112V144C288 152.8 280.8 160 272 160H240C231.2 160 224 152.8 224 144V112zM368 96C376.8 96 384 103.2 384 112V144C384 152.8 376.8 160 368 160H336C327.2 160 320 152.8 320 144V112C320 103.2 327.2 96 336 96H368zM128 208C128 199.2 135.2 192 144 192H176C184.8 192 192 199.2 192 208V240C192 248.8 184.8 256 176 256H144C135.2 256 128 248.8 128 240V208zM272 192C280.8 192 288 199.2 288 208V240C288 248.8 280.8 256 272 256H240C231.2 256 224 248.8 224 240V208C224 199.2 231.2 192 240 192H272zM320 208C320 199.2 327.2 192 336 192H368C376.8 192 384 199.2 384 208V240C384 248.8 376.8 256 368 256H336C327.2 256 320 248.8 320 240V208zM488 0C501.3 0 512 10.75 512 24C512 37.25 501.3 48 488 48H480V464H488C501.3 464 512 474.7 512 488C512 501.3 501.3 512 488 512H24C10.75 512 0 501.3 0 488C0 474.7 10.75 464 24 464H32V48H24C10.75 48 0 37.25 0 24C0 10.75 10.75 0 24 0H488zM80 48V464H208V384H176C167.2 384 159.9 376.8 161.3 368.1C168.9 322.6 208.4 288 256 288C303.6 288 343.1 322.6 350.7 368.1C352.1 376.8 344.8 384 336 384H304V464H432V48H80z"],
    "hourglass": [384, 512, [62032, 9203, "hourglass-empty"], "f254", "M360 0C373.3 0 384 10.75 384 24C384 37.25 373.3 48 360 48H352V66.98C352 107.3 335.1 145.1 307.5 174.5L225.9 256L307.5 337.5C335.1 366 352 404.7 352 445V464H360C373.3 464 384 474.7 384 488C384 501.3 373.3 512 360 512H24C10.75 512 0 501.3 0 488C0 474.7 10.75 464 24 464H32V445C32 404.7 48.01 366 76.52 337.5L158.1 256L76.52 174.5C48.01 145.1 32 107.3 32 66.98V48H24C10.75 48 0 37.25 0 24C0 10.75 10.75 0 24 0L360 0zM192 289.9L110.5 371.5C90.96 390.1 80 417.4 80 445V464H304V445C304 417.4 293 390.1 273.5 371.5L192 289.9zM192 222.1L273.5 140.5C293 121 304 94.56 304 66.98V47.1H80V66.98C80 94.56 90.96 121 110.5 140.5L192 222.1z"],
    "hourglass-clock": [576, 512, [], "e41b", "M0 24C0 10.75 10.75 0 24 0H360C373.3 0 384 10.75 384 24C384 37.25 373.3 48 360 48H352V66.98C352 107.3 335.1 145.1 307.5 174.5L225.9 256L269.7 299.8C260.9 320.8 256 343.8 256 368C256 427.5 285.6 480.1 330.8 512H24C10.75 512 0 501.3 0 488C0 474.7 10.75 464 24 464H32V445C32 404.7 48.01 366 76.52 337.5L158.1 256L76.52 174.5C48.01 145.1 32 107.3 32 66.98V47.1H24C10.75 47.1 0 37.25 0 23.1V24zM99.78 128H284.2C296.1 110.4 304 89.03 304 66.98V48H80V66.98C80 89.03 87 110.4 99.78 128H99.78zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM415.1 304V368C415.1 376.8 423.2 384 431.1 384H480C488.8 384 496 376.8 496 368C496 359.2 488.8 352 480 352H447.1V304C447.1 295.2 440.8 288 431.1 288C423.2 288 415.1 295.2 415.1 304V304z"],
    "hourglass-end": [384, 512, [8987, "hourglass-3"], "f253", "M0 24C0 10.75 10.75 0 24 0H360C373.3 0 384 10.75 384 24C384 37.25 373.3 48 360 48H352V66.98C352 107.3 335.1 145.1 307.5 174.5L225.9 256L307.5 337.5C335.1 366 352 404.7 352 445V464H360C373.3 464 384 474.7 384 488C384 501.3 373.3 512 360 512H24C10.75 512 0 501.3 0 488C0 474.7 10.75 464 24 464H32V445C32 404.7 48.01 366 76.52 337.5L158.1 256L76.52 174.5C48.01 145.1 32 107.3 32 66.98V48H24C10.75 48 0 37.25 0 24V24zM304 66.98V48H80V66.98C80 94.56 90.96 121 110.5 140.5L192 222.1L273.5 140.5C293 121 304 94.56 304 66.98V66.98z"],
    "hourglass-half": [384, 512, ["hourglass-2"], "f252", "M0 24C0 10.75 10.75 0 24 0H360C373.3 0 384 10.75 384 24C384 37.25 373.3 48 360 48H352V66.98C352 107.3 335.1 145.1 307.5 174.5L225.9 256L307.5 337.5C335.1 366 352 404.7 352 445V464H360C373.3 464 384 474.7 384 488C384 501.3 373.3 512 360 512H24C10.75 512 0 501.3 0 488C0 474.7 10.75 464 24 464H32V445C32 404.7 48.01 366 76.52 337.5L158.1 256L76.52 174.5C48.01 145.1 32 107.3 32 66.98V48H24C10.75 48 0 37.25 0 24V24zM99.78 384H284.2C281 379.6 277.4 375.4 273.5 371.5L192 289.9L110.5 371.5C106.6 375.4 102.1 379.6 99.78 384H99.78zM284.2 128C296.1 110.4 304 89.03 304 66.98V48H80V66.98C80 89.03 87 110.4 99.78 128H284.2z"],
    "hourglass-start": [384, 512, ["hourglass-1"], "f251", "M24 464H32V445C32 404.7 48.01 366 76.52 337.5L158.1 256L76.52 174.5C48.01 145.1 32 107.3 32 66.98V48H24C10.75 48 0 37.25 0 24C0 10.75 10.75 0 24 0H360C373.3 0 384 10.75 384 24C384 37.25 373.3 48 360 48H352V66.98C352 107.3 335.1 145.1 307.5 174.5L225.9 256L307.5 337.5C335.1 366 352 404.7 352 445V464H360C373.3 464 384 474.7 384 488C384 501.3 373.3 512 360 512H24C10.75 512 0 501.3 0 488C0 474.7 10.75 464 24 464zM273.5 371.5L192 289.9L110.5 371.5C90.96 390.1 80 417.4 80 445V464H304V445C304 417.4 293 390.1 273.5 371.5z"],
    "house": [576, 512, [63498, 63500, 127968, "home", "home-alt", "home-lg-alt"], "f015", "M567.5 229.7C577.6 238.3 578.9 253.4 570.3 263.5C561.7 273.6 546.6 274.9 536.5 266.3L512 245.5V432C512 476.2 476.2 512 432 512H144C99.82 512 64 476.2 64 432V245.5L39.53 266.3C29.42 274.9 14.28 273.6 5.7 263.5C-2.875 253.4-1.634 238.3 8.473 229.7L272.5 5.7C281.4-1.9 294.6-1.9 303.5 5.7L567.5 229.7zM144 464H192V312C192 289.9 209.9 272 232 272H344C366.1 272 384 289.9 384 312V464H432C449.7 464 464 449.7 464 432V204.8L288 55.47L112 204.8V432C112 449.7 126.3 464 144 464V464zM240 464H336V320H240V464z"],
    "house-blank": [576, 512, ["home-blank"], "e487", "M272.5 5.7C281.4-1.9 294.6-1.9 303.5 5.7L567.5 229.7C577.6 238.3 578.9 253.4 570.3 263.5C561.7 273.6 546.6 274.9 536.5 266.3L512 245.5V432C512 476.2 476.2 512 432 512H144C99.82 512 64 476.2 64 432V245.5L39.53 266.3C29.42 274.9 14.28 273.6 5.7 263.5C-2.876 253.4-1.634 238.3 8.473 229.7L272.5 5.7zM112 204.8V432C112 449.7 126.3 464 144 464H432C449.7 464 464 449.7 464 432V204.8L288 55.47L112 204.8z"],
    "house-building": [640, 512, [], "e1b1", "M336 64V168.6L288 124.6V64C288 28.65 316.7 0 352 0H576C611.3 0 640 28.65 640 64V448C640 483.3 611.3 512 576 512H400C410 498.6 416 482 416 464H576C584.8 464 592 456.8 592 448V64C592 55.16 584.8 48 576 48H352C343.2 48 336 55.16 336 64zM413.2 256C409.2 241.6 401.3 228.4 390.1 218.1L384 212.6V208C384 199.2 391.2 192 400 192H432C440.8 192 448 199.2 448 208V240C448 248.8 440.8 256 432 256H413.2zM416 352V288H432C440.8 288 448 295.2 448 304V336C448 344.8 440.8 352 432 352H416zM480 208C480 199.2 487.2 192 496 192H528C536.8 192 544 199.2 544 208V240C544 248.8 536.8 256 528 256H496C487.2 256 480 248.8 480 240V208zM528 288C536.8 288 544 295.2 544 304V336C544 344.8 536.8 352 528 352H496C487.2 352 480 344.8 480 336V304C480 295.2 487.2 288 496 288H528zM432 96C440.8 96 448 103.2 448 112V144C448 152.8 440.8 160 432 160H400C391.2 160 384 152.8 384 144V112C384 103.2 391.2 96 400 96H432zM480 112C480 103.2 487.2 96 496 96H528C536.8 96 544 103.2 544 112V144C544 152.8 536.8 160 528 160H496C487.2 160 480 152.8 480 144V112zM144 296C144 282.7 154.7 272 168 272H216C229.3 272 240 282.7 240 296V344C240 357.3 229.3 368 216 368H168C154.7 368 144 357.3 144 344V296zM148.8 119.6C173.2 97.21 210.8 97.21 235.2 119.6L363.2 236.1C376.5 249.1 384 266.2 384 284.2V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V284.2C0 266.2 7.529 249.1 20.75 236.1L148.8 119.6zM48 284.2V448C48 456.8 55.16 464 64 464H320C328.8 464 336 456.8 336 448V284.2C336 279.7 334.1 275.4 330.8 272.4L202.8 155C196.7 149.4 187.3 149.4 181.2 155L53.19 272.4C49.88 275.4 48 279.7 48 284.2V284.2z"],
    "house-chimney": [576, 512, [63499, "home-lg"], "e3af", "M272.5 5.7C281.4-1.9 294.6-1.9 303.5 5.7L464 141.9V56C464 42.75 474.7 31.1 488 31.1C501.3 31.1 512 42.75 512 56V182.6L567.5 229.7C577.6 238.3 578.9 253.4 570.3 263.5C561.7 273.6 546.6 274.9 536.5 266.3L512 245.5V432C512 476.2 476.2 512 432 512H144C99.82 512 64 476.2 64 432V245.5L39.53 266.3C29.42 274.9 14.28 273.6 5.7 263.5C-2.876 253.4-1.634 238.3 8.473 229.7L272.5 5.7zM112 204.8V432C112 449.7 126.3 464 144 464H192V312C192 289.9 209.9 272 232 272H344C366.1 272 384 289.9 384 312V464H432C449.7 464 464 449.7 464 432V204.8L288 55.47L112 204.8zM240 320V464H336V320H240z"],
    "house-chimney-blank": [576, 512, [], "e3b0", "M464 141.9V56C464 42.75 474.7 31.1 488 31.1C501.3 31.1 512 42.75 512 56V182.6L567.5 229.7C577.6 238.3 578.9 253.4 570.3 263.5C561.7 273.6 546.6 274.9 536.5 266.3L512 245.5V432C512 476.2 476.2 512 432 512H144C99.82 512 64 476.2 64 432V245.5L39.53 266.3C29.42 274.9 14.28 273.6 5.7 263.5C-2.876 253.4-1.634 238.3 8.473 229.7L272.5 5.7C281.4-1.9 294.6-1.9 303.5 5.7L464 141.9zM144 464H432C449.7 464 464 449.7 464 432V204.8L288 55.47L112 204.8V432C112 449.7 126.3 464 144 464z"],
    "house-chimney-crack": [576, 512, ["house-damage"], "f6f1", "M272.5 5.7C281.4-1.9 294.6-1.9 303.5 5.7L464 141.9V56C464 42.75 474.7 31.1 488 31.1C501.3 31.1 512 42.75 512 56V182.6L567.5 229.7C577.6 238.3 578.9 253.4 570.3 263.5C561.7 273.6 546.6 274.9 536.5 266.3L512 245.5V432C512 476.2 476.2 512 432 512H144C99.82 512 64 476.2 64 432V245.5L39.53 266.3C29.42 274.9 14.28 273.6 5.7 263.5C-2.875 253.4-1.634 238.3 8.473 229.7L272.5 5.7zM112 204.8V432C112 449.7 126.3 464 144 464H229.9L199.6 415.9C195.3 409 196.8 399.1 203.2 394.9L288 327.6L229.9 251.5C218.6 236.7 237.3 217.8 252.2 228.1L367.4 315.2C375.8 321.5 375.1 334 367.7 340.5L288 403.8L325.9 464H432C449.7 464 464 449.7 464 432V204.8L288 55.48L112 204.8z"],
    "house-chimney-heart": [576, 512, [], "e1b2", "M184 224C206.1 201.9 241.9 201.9 264 224L288 248L312 224C334.1 201.9 369.9 201.9 392 224C414.1 246.1 414.1 281.9 392 304L299.3 396.7C293.1 402.9 282.9 402.9 276.7 396.7L183.1 304C161.9 281.9 161.9 246.1 183.1 224H184zM272.5 5.7C281.4-1.9 294.6-1.9 303.5 5.7L464 141.9V56C464 42.75 474.7 31.1 488 31.1C501.3 31.1 512 42.75 512 56V182.6L567.5 229.7C577.6 238.3 578.9 253.4 570.3 263.5C561.7 273.6 546.6 274.9 536.5 266.3L512 245.5V432C512 476.2 476.2 512 432 512H144C99.82 512 64 476.2 64 432V245.5L39.53 266.3C29.42 274.9 14.28 273.6 5.7 263.5C-2.876 253.4-1.634 238.3 8.473 229.7L272.5 5.7zM112 204.8V432C112 449.7 126.3 464 144 464H432C449.7 464 464 449.7 464 432V204.8L288 55.47L112 204.8z"],
    "house-chimney-medical": [576, 512, ["clinic-medical"], "f7f2", "M400 296C400 304.8 392.8 312 384 312H328V368C328 376.8 320.8 384 312 384H264C255.2 384 248 376.8 248 368V312H192C183.2 312 176 304.8 176 296V248C176 239.2 183.2 232 192 232H248V176C248 167.2 255.2 160 264 160H312C320.8 160 328 167.2 328 176V232H384C392.8 232 400 239.2 400 248V296zM464 141.9V56C464 42.75 474.7 31.1 488 31.1C501.3 31.1 512 42.75 512 56V182.6L567.5 229.7C577.6 238.3 578.9 253.4 570.3 263.5C561.7 273.6 546.6 274.9 536.5 266.3L512 245.5V432C512 476.2 476.2 512 432 512H144C99.82 512 64 476.2 64 432V245.5L39.53 266.3C29.42 274.9 14.28 273.6 5.7 263.5C-2.875 253.4-1.634 238.3 8.473 229.7L272.5 5.7C281.4-1.9 294.6-1.9 303.5 5.7L464 141.9zM144 464H432C449.7 464 464 449.7 464 432V204.8L288 55.47L112 204.8V432C112 449.7 126.3 464 144 464V464z"],
    "house-chimney-user": [576, 512, [], "e065", "M224 224C224 188.7 252.7 160 288 160C323.3 160 352 188.7 352 224C352 259.3 323.3 288 288 288C252.7 288 224 259.3 224 224zM176 400C176 355.8 211.8 320 256 320H320C364.2 320 400 355.8 400 400C400 408.8 392.8 416 384 416H192C183.2 416 176 408.8 176 400zM464 141.9V56C464 42.75 474.7 31.1 488 31.1C501.3 31.1 512 42.75 512 56V182.6L567.5 229.7C577.6 238.3 578.9 253.4 570.3 263.5C561.7 273.6 546.6 274.9 536.5 266.3L512 245.5V432C512 476.2 476.2 512 432 512H144C99.82 512 64 476.2 64 432V245.5L39.53 266.3C29.42 274.9 14.28 273.6 5.7 263.5C-2.876 253.4-1.634 238.3 8.473 229.7L272.5 5.7C281.4-1.9 294.6-1.9 303.5 5.7L464 141.9zM144 464H432C449.7 464 464 449.7 464 432V204.8L288 55.47L112 204.8V432C112 449.7 126.3 464 144 464z"],
    "house-chimney-window": [576, 512, [], "e00d", "M208 216C208 193.9 225.9 176 248 176H328C350.1 176 368 193.9 368 216V296C368 318.1 350.1 336 328 336H248C225.9 336 208 318.1 208 296V216zM320 288V224H256V288H320zM272.5 5.7C281.4-1.9 294.6-1.9 303.5 5.7L464 141.9V56C464 42.75 474.7 31.1 488 31.1C501.3 31.1 512 42.75 512 56V182.6L567.5 229.7C577.6 238.3 578.9 253.4 570.3 263.5C561.7 273.6 546.6 274.9 536.5 266.3L512 245.5V432C512 476.2 476.2 512 432 512H144C99.82 512 64 476.2 64 432V245.5L39.53 266.3C29.42 274.9 14.28 273.6 5.7 263.5C-2.876 253.4-1.634 238.3 8.473 229.7L272.5 5.7zM112 204.8V432C112 449.7 126.3 464 144 464H432C449.7 464 464 449.7 464 432V204.8L288 55.47L112 204.8z"],
    "house-circle-check": [640, 512, [], "e509", "M272.5 5.7C281.4-1.9 294.6-1.9 303.5 5.7L526.1 194.6C516.3 192.9 506.3 192 496 192C481.8 192 467.9 193.7 454.7 196.9L288 55.47L112 204.8V432C112 449.7 126.3 464 144 464H192V312C192 289.9 209.9 272 232 272H344C345.5 272 346.9 272.1 348.3 272.2C338.8 286.8 331.5 302.9 326.6 320H240V464H348.5C360.7 482.8 376.5 499.1 394.8 512H144C99.82 512 64 476.2 64 432V245.5L39.53 266.3C29.42 274.9 14.28 273.6 5.7 263.5C-2.875 253.4-1.634 238.3 8.473 229.7L272.5 5.7zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM540.7 324.7L480 385.4L451.3 356.7C445.1 350.4 434.9 350.4 428.7 356.7C422.4 362.9 422.4 373.1 428.7 379.3L468.7 419.3C474.9 425.6 485.1 425.6 491.3 419.3L563.3 347.3C569.6 341.1 569.6 330.9 563.3 324.7C557.1 318.4 546.9 318.4 540.7 324.7H540.7z"],
    "house-circle-exclamation": [640, 512, [], "e50a", "M272.5 5.7C281.4-1.9 294.6-1.9 303.5 5.7L526.1 194.6C516.3 192.9 506.3 192 496 192C481.8 192 467.9 193.7 454.7 196.9L288 55.47L112 204.8V432C112 449.7 126.3 464 144 464H192V312C192 289.9 209.9 272 232 272H344C345.5 272 346.9 272.1 348.3 272.2C338.8 286.8 331.5 302.9 326.6 320H240V464H348.5C360.7 482.8 376.5 499.1 394.8 512H144C99.82 512 64 476.2 64 432V245.5L39.53 266.3C29.42 274.9 14.28 273.6 5.7 263.5C-2.875 253.4-1.634 238.3 8.473 229.7L272.5 5.7zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 464C509.3 464 520 453.3 520 440C520 426.7 509.3 416 496 416C482.7 416 472 426.7 472 440C472 453.3 482.7 464 496 464zM479.1 288V368C479.1 376.8 487.2 384 495.1 384C504.8 384 511.1 376.8 511.1 368V288C511.1 279.2 504.8 272 495.1 272C487.2 272 479.1 279.2 479.1 288z"],
    "house-circle-xmark": [640, 512, [], "e50b", "M272.5 5.7C281.4-1.9 294.6-1.9 303.5 5.7L526.1 194.6C516.3 192.9 506.3 192 496 192C481.8 192 467.9 193.7 454.7 196.9L288 55.47L112 204.8V432C112 449.7 126.3 464 144 464H192V312C192 289.9 209.9 272 232 272H344C345.5 272 346.9 272.1 348.3 272.2C338.8 286.8 331.5 302.9 326.6 320H240V464H348.5C360.7 482.8 376.5 499.1 394.8 512H144C99.82 512 64 476.2 64 432V245.5L39.53 266.3C29.42 274.9 14.28 273.6 5.7 263.5C-2.875 253.4-1.634 238.3 8.473 229.7L272.5 5.7zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM518.6 368L555.3 331.3C561.6 325.1 561.6 314.9 555.3 308.7C549.1 302.4 538.9 302.4 532.7 308.7L496 345.4L459.3 308.7C453.1 302.4 442.9 302.4 436.7 308.7C430.4 314.9 430.4 325.1 436.7 331.3L473.4 368L436.7 404.7C430.4 410.9 430.4 421.1 436.7 427.3C442.9 433.6 453.1 433.6 459.3 427.3L496 390.6L532.7 427.3C538.9 433.6 549.1 433.6 555.3 427.3C561.6 421.1 561.6 410.9 555.3 404.7L518.6 368z"],
    "house-crack": [576, 512, [], "e3b1", "M567.5 229.7C577.6 238.3 578.9 253.4 570.3 263.5C561.7 273.6 546.6 274.9 536.5 266.3L512 245.5V432C512 476.2 476.2 512 432 512H144C99.82 512 64 476.2 64 432V245.5L39.53 266.3C29.42 274.9 14.28 273.6 5.7 263.5C-2.875 253.4-1.634 238.3 8.473 229.7L272.5 5.7C281.4-1.9 294.6-1.9 303.5 5.7L567.5 229.7zM144 464H229.9L199.6 415.9C195.3 409 196.8 399.1 203.2 394.9L288 327.6L229.9 251.5C218.6 236.7 237.3 217.8 252.2 228.1L367.4 315.2C375.8 321.5 375.1 334 367.7 340.5L288 403.8L325.9 464H432C449.7 464 464 449.7 464 432V204.8L288 55.48L112 204.8V432C112 449.7 126.3 464 144 464V464z"],
    "house-day": [640, 512, [], "e00e", "M201.8 59.52L257.4 42.83C263.1 41.14 269.2 42.69 273.4 46.85C277.5 51.01 279.1 57.12 277.4 62.75L260.7 118.4L292.3 135.5L237.7 180C239.2 173.9 240 167.5 240 160.8C240 116.7 204.2 80.84 160 80.84C115.8 80.84 80 116.7 80 160.8C80 205 115.8 240.8 160 240.8C161 240.8 162.1 240.8 163.1 240.8L124.6 272.1L118.4 260.7L62.75 277.4C57.12 279.1 51.01 277.5 46.85 273.4C42.69 269.2 41.14 263.1 42.83 257.4L59.52 201.8L8.344 174.2C3.165 171.4 0 165.9 0 159.1C0 154.1 3.165 148.8 8.344 146L59.52 118.4L42.83 62.75C41.14 57.12 42.69 51.01 46.85 46.85C51.01 42.69 57.12 41.14 62.75 42.83L118.4 59.52L146 8.345C148.8 3.165 154.1 0 160 0C165.9 0 171.4 3.165 174.2 8.345L201.8 59.52zM208 159.1C208 186.5 186.5 207.1 160 207.1C133.5 207.1 112 186.5 112 159.1C112 133.5 133.5 111.1 160 111.1C186.5 111.1 208 133.5 208 159.1zM352 311.1C352 298.7 362.7 287.1 376 287.1H424C437.3 287.1 448 298.7 448 311.1V360C448 373.3 437.3 384 424 384H376C362.7 384 352 373.3 352 360V311.1zM631.2 277.4C637.1 282.2 640.1 288.9 640 296C639.9 301.2 638.2 306.8 634.6 311.2C626.2 321.4 611.1 322.1 600.8 314.6L576 294.4V456C576 486.9 550.9 512 520 512H280C249.1 512 224 486.9 224 456V294.4L199.2 314.6C188.9 322.1 173.8 321.4 165.4 311.2C161.8 306.8 160.1 299.6 160 294.4C159.9 287.3 162.9 282.2 168.8 277.4L384.8 101.4C393.7 94.2 406.3 94.2 415.2 101.4L631.2 277.4zM528 255.3L400 150.1L272 255.3V456C272 460.4 275.6 464 280 464H520C524.4 464 528 460.4 528 456V255.3z"],
    "house-fire": [640, 512, [], "e50c", "M447.9 128.2C435.4 127.1 422.4 130.9 412.5 139.9C408.4 143.5 404.4 147.2 400.5 150.9L288 55.47L112 204.8V432C112 449.7 126.3 464 144 464H192V312C192 289.9 209.9 272 232 272H308.1C301.3 287.7 295.2 303.1 291.6 320H240V464H324.8C338.3 482.8 355 499.1 374.3 512H144C99.82 512 64 476.2 64 432V245.5L39.53 266.3C29.42 274.9 14.28 273.6 5.7 263.5C-2.875 253.4-1.634 238.3 8.473 229.7L272.5 5.7C281.4-1.9 294.6-1.9 303.5 5.7L447.9 128.2zM509 221.5C516.9 211.6 525.8 200.8 535.5 191.1C541.1 186.9 549.9 186.9 555.5 192C580.2 214.7 601.1 244.7 615.8 273.2C630.4 301.2 640 329.9 640 350.1C640 437.9 568.7 512 480 512C390.3 512 320 437.8 320 350.1C320 323.7 332.7 291.5 352.4 259.5C372.4 227.2 400.5 193.4 433.8 163.7C439.4 158.7 447.1 158.8 453.5 163.8C473.3 181.6 491.8 200.7 509 221.5V221.5zM550 336.1C548 332.1 546 328.1 543 324.1L507 366.1C507 366.1 449 293 445 288C415 324.1 400 346 400 370C400 418.1 436 448 481 448C499 448 515 442.1 530 432.1C560 412 568 370 550 336.1z"],
    "house-flag": [640, 512, [], "e50d", "M472 0C485.3 0 496 10.75 496 24V32H624C632.8 32 640 39.16 640 48V176C640 184.8 632.8 192 624 192H496V512H448V24C448 10.75 458.7 0 472 0zM416 192.7L272 85.88L112 204.6V432C112 449.7 126.3 464 144 464H192V344C192 321.9 209.9 304 232 304H312C334.1 304 352 321.9 352 344V464H400C405.8 464 411.3 462.4 416 459.7V510.4C410.8 511.4 405.5 512 400 512H144C99.82 512 64 476.2 64 432V240.2L38.3 259.3C27.66 267.2 12.63 264.9 4.727 254.3C-3.171 243.7-.9438 228.6 9.701 220.7L257.7 36.73C266.2 30.42 277.8 30.42 286.3 36.73L416 132.1L416 192.7zM240 352V464H304V352H240z"],
    "house-flood-water": [576, 512, [], "e50e", "M493.9 140.4C504.7 148.1 507.2 163.1 499.6 173.9C491.9 184.7 476.9 187.2 466.1 179.6L464 178.1V258.5C456.7 260.4 449.6 263.6 443.2 268.1C434.8 273.9 425.5 278.7 416 282.2V144.1L288 53.41L159.1 144.1V282.2C150.5 278.7 141.2 273.9 132.9 268.1C126.4 263.6 119.3 260.4 111.1 258.5V178.1L109.9 179.6C99.06 187.2 84.08 184.7 76.41 173.9C68.75 163.1 71.31 148.1 82.13 140.4L274.1 4.415C282.4-1.472 293.6-1.472 301.9 4.415L493.9 140.4zM79.1 318.1C89.09 309.1 102.8 309.1 111.9 318.1C133.5 336.7 163.1 352 191.1 352C220.8 352 250.5 336.7 272 318.1C281.1 309.1 294.9 309.1 303.1 318.1C325.5 336.7 355.1 352 383.1 352C412.8 352 442.5 336.7 464 318.1C473.1 309.1 486.8 309.1 495.9 318.1C512.9 333.1 535.2 344.9 557.2 349.8C570.1 352.7 578.3 365.5 575.4 378.5C572.5 391.4 559.6 399.5 546.7 396.6C518 390.2 494.4 376.2 479.1 366.2C451.9 385.7 418.6 400 383.1 400C349.4 400 316.1 385.7 287.1 366.2C259.9 385.7 226.6 400 191.1 400C157.4 400 124.1 385.7 95.98 366.2C81.61 376.2 57.99 390.2 29.31 396.6C16.37 399.5 3.535 391.4 .6339 378.5C-2.267 365.5 5.865 352.7 18.8 349.8C41 344.8 62.76 332.1 79.1 318.1L79.1 318.1zM191.1 464C220.8 464 250.5 448.7 272 430.1C281.1 421.1 294.9 421.1 303.1 430.1C325.5 448.7 355.1 464 383.1 464C412.8 464 442.5 448.7 464 430.1C473.1 421.1 486.8 421.1 495.9 430.1C512.9 445.1 535.2 456.9 557.2 461.8C570.1 464.7 578.3 477.5 575.4 490.5C572.5 503.4 559.6 511.5 546.7 508.6C518 502.2 494.4 488.2 479.1 478.2C451.9 497.7 418.6 512 383.1 512C349.4 512 316.1 497.7 287.1 478.2C259.9 497.7 226.6 512 191.1 512C157.4 512 124.1 497.7 95.98 478.2C81.61 488.2 57.99 502.2 29.31 508.6C16.37 511.5 3.535 503.4 .6339 490.5C-2.267 477.5 5.865 464.7 18.8 461.8C41 456.8 62.76 444.1 79.1 430.1C89.09 421.1 102.8 421.1 111.9 430.1C133.5 448.7 163.1 464 191.1 464L191.1 464z"],
    "house-flood-water-circle-arrow-right": [640, 512, [], "e50f", "M316.1 107.1C312.6 90.62 306.8 74.95 298.1 60.49L378.1 4.415C386.4-1.472 397.6-1.472 405.9 4.415L597.9 140.4C608.7 148.1 611.2 163.1 603.6 173.9C595.9 184.7 580.9 187.2 570.1 179.6L568 178.1V281.4C562.7 278.6 557.7 275.2 553.2 271.5C543.5 263.3 531.1 258.5 520 256.1V144.1L392 53.41L316.1 107.1zM223.1 352C252.8 352 282.5 336.7 304 318.1C313.1 309.1 326.9 309.1 335.1 318.1C357.5 336.7 387.1 352 415.1 352C444.8 352 474.5 336.7 496 318.1C505.1 309.1 518.8 309.1 527.9 318.1C544.9 333.1 567.2 344.9 589.2 349.8C602.1 352.7 610.3 365.5 607.4 378.5C604.5 391.4 591.6 399.5 578.7 396.6C550 390.2 526.4 376.2 511.1 366.2C483.9 385.7 450.6 400 415.1 400C381.4 400 348.1 385.7 319.1 366.2C291.9 385.7 258.6 400 223.1 400C189.4 400 156.1 385.7 127.1 366.2C113.6 376.2 89.99 390.2 61.31 396.6C48.37 399.5 35.54 391.4 32.63 378.5C29.73 365.5 37.87 352.7 50.8 349.8C73.01 344.8 94.76 332.1 111.1 318.1C121.1 309.1 134.8 309.1 143.9 318.1C165.5 336.7 195.1 352 223.1 352L223.1 352zM111.1 430.1C121.1 421.1 134.8 421.1 143.9 430.1C165.5 448.7 195.1 464 223.1 464C252.8 464 282.5 448.7 304 430.1C313.1 421.1 326.9 421.1 335.1 430.1C357.5 448.7 387.1 464 415.1 464C444.8 464 474.5 448.7 496 430.1C505.1 421.1 518.8 421.1 527.9 430.1C544.9 445.1 567.2 456.9 589.2 461.8C602.1 464.7 610.3 477.5 607.4 490.5C604.5 503.4 591.6 511.5 578.7 508.6C550 502.2 526.4 488.2 511.1 478.2C483.9 497.7 450.6 512 415.1 512C381.4 512 348.1 497.7 319.1 478.2C291.9 497.7 258.6 512 223.1 512C189.4 512 156.1 497.7 127.1 478.2C113.6 488.2 89.99 502.2 61.31 508.6C48.37 511.5 35.54 503.4 32.63 490.5C29.73 477.5 37.87 464.7 50.8 461.8C73.01 456.8 94.76 444.1 111.1 430.1L111.1 430.1zM288 144C288 223.5 223.5 288 144 288C64.47 288 0 223.5 0 144C0 64.47 64.47 0 144 0C223.5 0 288 64.47 288 144zM140.7 99.31L169.4 128H80C71.16 128 64 135.2 64 144C64 152.8 71.16 160 80 160H169.4L140.7 188.7C134.4 194.9 134.4 205.1 140.7 211.3C146.9 217.6 157.1 217.6 163.3 211.3L219.3 155.3C225.6 149.1 225.6 138.9 219.3 132.7L163.3 76.69C157.1 70.44 146.9 70.44 140.7 76.69C134.4 82.93 134.4 93.07 140.7 99.31V99.31z"],
    "house-heart": [576, 512, ["home-heart"], "f4c9", "M276.7 396.7L184 304C161.9 281.9 161.9 246.1 184 224C206.1 201.9 241.9 201.9 264 224L288 248L312 224C334.1 201.9 369.9 201.9 392 224C414.1 246.1 414.1 281.9 392 304L299.3 396.7C293.1 402.9 282.9 402.9 276.7 396.7H276.7zM567.5 229.7C577.6 238.3 578.9 253.4 570.3 263.5C561.7 273.6 546.6 274.9 536.5 266.3L512 245.5V432C512 476.2 476.2 512 432 512H144C99.82 512 64 476.2 64 432V245.5L39.53 266.3C29.42 274.9 14.28 273.6 5.7 263.5C-2.876 253.4-1.634 238.3 8.473 229.7L272.5 5.7C281.4-1.9 294.6-1.9 303.5 5.7L567.5 229.7zM144 464H432C449.7 464 464 449.7 464 432V204.8L288 55.47L112 204.8V432C112 449.7 126.3 464 144 464z"],
    "house-laptop": [640, 512, ["laptop-house"], "e066", "M224.8 5.394C233.7-1.798 246.3-1.798 255.2 5.394L471.2 181.4C481.4 189.8 482.1 204.9 474.6 215.2C466.2 225.4 451.1 226.1 440.8 218.6L416 198.4V240H368V159.3L240 54.96L112 159.3V360C112 364.4 115.6 368 120 368H272V416H120C89.07 416 64 390.9 64 360V198.4L39.16 218.6C28.89 226.1 13.77 225.4 5.395 215.2C-2.978 204.9-1.435 189.8 8.841 181.4L224.8 5.394zM288 216V261.7C281.1 268.5 277.4 276.6 274.7 285.5C271.5 287.1 267.9 288 264 288H216C202.7 288 192 277.3 192 264V216C192 202.7 202.7 192 216 192H264C277.3 192 288 202.7 288 216zM336 272H560C577.7 272 592 286.3 592 304V464H628C634.6 464 640 469.4 640 476C640 495.9 623.9 512 604 512H292C272.1 512 256 495.9 256 476C256 469.4 261.4 464 268 464H304V304C304 286.3 318.3 272 336 272zM352 320V464H544V320H352z"],
    "house-lock": [640, 512, [], "e510", "M492.2 165.8C475.9 171.3 461.3 180.5 449.3 192.3L288 55.47L112 204.8V432C112 449.7 126.3 464 144 464H192V312C192 289.9 209.9 272 232 272H344C366.1 272 384 289.9 384 312V480C384 491.7 387.1 502.6 392.6 512H144C99.82 512 64 476.2 64 432V245.5L39.53 266.3C29.42 274.9 14.28 273.6 5.7 263.5C-2.875 253.4-1.634 238.3 8.473 229.7L272.5 5.7C281.4-1.9 294.6-1.9 303.5 5.7L492.2 165.8zM336 464V319.1H240V464H336zM528 191.1C572.2 191.1 608 227.8 608 271.1V319.1C625.7 319.1 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 319.1 448 319.1V271.1C448 227.8 483.8 191.1 528 191.1zM528 239.1C510.3 239.1 496 254.3 496 271.1V319.1H560V271.1C560 254.3 545.7 239.1 528 239.1z"],
    "house-medical": [576, 512, [], "e3b2", "M384 232C392.8 232 400 239.2 400 248V296C400 304.8 392.8 312 384 312H328V368C328 376.8 320.8 384 312 384H264C255.2 384 248 376.8 248 368V312H192C183.2 312 176 304.8 176 296V248C176 239.2 183.2 232 192 232H248V176C248 167.2 255.2 160 264 160H312C320.8 160 328 167.2 328 176V232H384zM272.5 5.7C281.4-1.9 294.6-1.9 303.5 5.7L567.5 229.7C577.6 238.3 578.9 253.4 570.3 263.5C561.7 273.6 546.6 274.9 536.5 266.3L512 245.5V432C512 476.2 476.2 512 432 512H144C99.82 512 64 476.2 64 432V245.5L39.53 266.3C29.42 274.9 14.28 273.6 5.7 263.5C-2.875 253.4-1.634 238.3 8.473 229.7L272.5 5.7zM112 204.8V432C112 449.7 126.3 464 144 464H432C449.7 464 464 449.7 464 432V204.8L288 55.47L112 204.8z"],
    "house-medical-circle-check": [640, 512, [], "e511", "M272.5 5.7C281.4-1.9 294.6-1.9 303.5 5.7L526.1 194.6C516.3 192.9 506.3 192 496 192C481.8 192 467.9 193.7 454.7 196.9L288 55.47L112 204.8V432C112 449.7 126.3 464 144 464H348.5C360.7 482.8 376.5 499.1 394.8 512H144C99.82 512 64 476.2 64 432V245.5L39.53 266.3C29.42 274.9 14.28 273.6 5.7 263.5C-2.875 253.4-1.634 238.3 8.473 229.7L272.5 5.7zM384 232L384.3 232C359.1 252.7 339.7 280.4 329.1 312H328V315.4C322.8 331.1 320 349.7 320 368C320 372.6 320.2 377.1 320.5 381.5C318 383.1 315.1 384 312 384H264C255.2 384 248 376.8 248 368V312H192C183.2 312 176 304.8 176 296V248C176 239.2 183.2 232 192 232H248V176C248 167.2 255.2 160 264 160H312C320.8 160 328 167.2 328 176V232H384zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM540.7 324.7L480 385.4L451.3 356.7C445.1 350.4 434.9 350.4 428.7 356.7C422.4 362.9 422.4 373.1 428.7 379.3L468.7 419.3C474.9 425.6 485.1 425.6 491.3 419.3L563.3 347.3C569.6 341.1 569.6 330.9 563.3 324.7C557.1 318.4 546.9 318.4 540.7 324.7H540.7z"],
    "house-medical-circle-exclamation": [640, 512, [], "e512", "M272.5 5.7C281.4-1.9 294.6-1.9 303.5 5.7L526.1 194.6C516.3 192.9 506.3 192 496 192C481.8 192 467.9 193.7 454.7 196.9L288 55.47L112 204.8V432C112 449.7 126.3 464 144 464H348.5C360.7 482.8 376.5 499.1 394.8 512H144C99.82 512 64 476.2 64 432V245.5L39.53 266.3C29.42 274.9 14.28 273.6 5.7 263.5C-2.875 253.4-1.634 238.3 8.473 229.7L272.5 5.7zM384 232L384.3 232C359.1 252.7 339.7 280.4 329.1 312H328V315.4C322.8 331.1 320 349.7 320 368C320 372.6 320.2 377.1 320.5 381.5C318 383.1 315.1 384 312 384H264C255.2 384 248 376.8 248 368V312H192C183.2 312 176 304.8 176 296V248C176 239.2 183.2 232 192 232H248V176C248 167.2 255.2 160 264 160H312C320.8 160 328 167.2 328 176V232H384zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 464C509.3 464 520 453.3 520 440C520 426.7 509.3 416 496 416C482.7 416 472 426.7 472 440C472 453.3 482.7 464 496 464zM479.1 288V368C479.1 376.8 487.2 384 495.1 384C504.8 384 511.1 376.8 511.1 368V288C511.1 279.2 504.8 272 495.1 272C487.2 272 479.1 279.2 479.1 288z"],
    "house-medical-circle-xmark": [640, 512, [], "e513", "M272.5 5.7C281.4-1.9 294.6-1.9 303.5 5.7L526.1 194.6C516.3 192.9 506.3 192 496 192C481.8 192 467.9 193.7 454.7 196.9L288 55.47L112 204.8V432C112 449.7 126.3 464 144 464H348.5C360.7 482.8 376.5 499.1 394.8 512H144C99.82 512 64 476.2 64 432V245.5L39.53 266.3C29.42 274.9 14.28 273.6 5.7 263.5C-2.875 253.4-1.634 238.3 8.473 229.7L272.5 5.7zM384 232L384.3 232C359.1 252.7 339.7 280.4 329.1 312H328V315.4C322.8 331.1 320 349.7 320 368C320 372.6 320.2 377.1 320.5 381.5C318 383.1 315.1 384 312 384H264C255.2 384 248 376.8 248 368V312H192C183.2 312 176 304.8 176 296V248C176 239.2 183.2 232 192 232H248V176C248 167.2 255.2 160 264 160H312C320.8 160 328 167.2 328 176V232H384zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM555.3 331.3C561.6 325.1 561.6 314.9 555.3 308.7C549.1 302.4 538.9 302.4 532.7 308.7L496 345.4L459.3 308.7C453.1 302.4 442.9 302.4 436.7 308.7C430.4 314.9 430.4 325.1 436.7 331.3L473.4 368L436.7 404.7C430.4 410.9 430.4 421.1 436.7 427.3C442.9 433.6 453.1 433.6 459.3 427.3L496 390.6L532.7 427.3C538.9 433.6 549.1 433.6 555.3 427.3C561.6 421.1 561.6 410.9 555.3 404.7L518.6 368L555.3 331.3z"],
    "house-medical-flag": [640, 512, [], "e514", "M472 0C485.3 0 496 10.75 496 24V32H624C632.8 32 640 39.16 640 48V176C640 184.8 632.8 192 624 192H496V512H448V24C448 10.75 458.7 0 472 0zM416 192.7L272 85.88L112 204.6V432C112 449.7 126.3 464 144 464H400C405.8 464 411.3 462.4 416 459.7V510.4C410.8 511.4 405.5 512 400 512H144C99.82 512 64 476.2 64 432V240.2L38.3 259.3C27.66 267.2 12.63 264.9 4.727 254.3C-3.171 243.7-.9438 228.6 9.701 220.7L257.7 36.73C266.2 30.42 277.8 30.42 286.3 36.73L416 132.1L416 192.7zM240 208C240 199.2 247.2 192 256 192H288C296.8 192 304 199.2 304 208V256H352C360.8 256 368 263.2 368 272V304C368 312.8 360.8 320 352 320H304V368C304 376.8 296.8 384 288 384H256C247.2 384 240 376.8 240 368V320H192C183.2 320 176 312.8 176 304V272C176 263.2 183.2 256 192 256H240V208z"],
    "house-night": [640, 512, [], "e010", "M88 88C88 136.6 127.4 176 176 176C179 176 182 175.8 184.1 175.6C192.6 174.8 198.8 183.2 193.5 188.8C173.1 210.5 144.1 224 112 224C50.14 224 0 173.9 0 112C0 50.14 50.14 0 112 0C115.7 0 119.4 .1805 123 .5334C130.6 1.275 131.5 11.71 125.2 16.12C102.7 32.06 88 58.31 88 88L88 88zM352 312C352 298.7 362.7 288 376 288H424C437.3 288 448 298.7 448 312V360C448 373.3 437.3 384 424 384H376C362.7 384 352 373.3 352 360V312zM631.2 277.4C641.4 285.8 642.1 300.9 634.6 311.2C626.2 321.4 611.1 322.1 600.8 314.6L576 294.4V456C576 486.9 550.9 512 520 512H280C249.1 512 224 486.9 224 456V294.4L199.2 314.6C188.9 322.1 173.8 321.4 165.4 311.2C157 300.9 158.6 285.8 168.8 277.4L384.8 101.4C393.7 94.2 406.3 94.2 415.2 101.4L631.2 277.4zM528 255.3L400 150.1L272 255.3V456C272 460.4 275.6 464 280 464H520C524.4 464 528 460.4 528 456V255.3zM248.5 12.28C251.1 5.312 260.9 5.312 263.5 12.28L275.4 44.55L307.7 56.5C314.7 59.07 314.7 68.93 307.7 71.5L275.4 83.45L263.5 115.7C260.9 122.7 251.1 122.7 248.5 115.7L236.6 83.45L204.3 71.5C197.3 68.93 197.3 59.07 204.3 56.5L236.6 44.55L248.5 12.28zM115.4 364.6L147.7 376.5C154.7 379.1 154.7 388.9 147.7 391.5L115.4 403.4L103.5 435.7C100.9 442.7 91.07 442.7 88.5 435.7L76.55 403.4L44.28 391.5C37.31 388.9 37.31 379.1 44.28 376.5L76.55 364.6L88.5 332.3C91.07 325.3 100.9 325.3 103.5 332.3L115.4 364.6z"],
    "house-person-leave": [640, 512, ["house-leave", "house-person-depart"], "e00f", "M362.8 389.7l2.062-3.094l7.615-18.58H112V169.9l128-113.8l103.6 92.04c10.94-10.09 23.61-18.2 37.62-23.84l5.363-2.176L255.9 6.047c-9.062-8.062-22.81-8.062-31.88 0l-216 192c-9.906 8.812-10.81 23.97-2 33.88c8.844 9.969 24.03 10.75 33.88 2L64 212.5l-.0029 163.4c0 22.06 17.94 39.1 39.1 39.1L336.6 416L362.8 389.7zM175.1 191.1c-8.836 0-16 7.166-16 16v64c0 8.836 7.164 16 16 16h64c8.838 0 16-7.164 16-16v-64c0-8.836-7.162-16-16-16H175.1zM528 96.02c26.51 0 48-21.5 48-48.01s-21.49-48.01-48-48.01c-26.51 0-48 21.5-48 48.01S501.5 96.02 528 96.02zM632.7 270.9l-29.36-28.88c-.875-.875-1.5-2-2-3.25L588.5 199.1C574.3 156.1 534 128 488.8 128c-34.85 0-52.97 8.75-95.69 26c-21.11 8.498-38.23 24.37-48.22 44.75l-14.37 31.12c-13.32 27.88 29.47 49.54 43.47 20.25l13.99-30.37c4.746-9.625 12.87-17 22.86-21c21.61-8.75 32.98-13.5 44.22-17.12l-19.74 79.25c-4.748 18.88 .248 38.75 14.87 54.5l78.95 72.1c5.871 5.5 9.994 12.62 11.74 20.5l19.49 84.75c4.402 16.15 19.42 19.7 28.73 18c12.87-3 20.86-15.88 17.86-28.75l-19.49-84.75c-3.871-17.25-12.99-32.87-25.98-44.87l-53.72-49.62l26.11-104.7c7.369 9.625 7.494 12.62 21.86 55.37c2.873 8.375 7.496 16 13.74 22.25l29.36 28.1C620.7 326.2 655.1 294.5 632.7 270.9zM422.1 331.2l-27.65 67.48c-2.002 5.143-5.004 9.783-9.008 13.54l-58.43 58.7c-9.383 9.406-9.383 24.58 0 33.99c9.385 9.406 24.52 9.406 33.91 0l58.43-58.7c8.381-8.404 15.01-18.44 19.39-29.6l19.52-50.04C449 358 423.8 333.1 422.1 331.2z"],
    "house-person-return": [640, 512, ["house-person-arrive", "house-return"], "e011", "M112 169.9l128-113.8l116.2 103.3c8.783-13.73 19.76-25.62 32.54-35.29L255.9 6.047c-9.062-8.062-22.81-8.062-31.88 0l-216 192c-9.906 8.812-10.81 23.97-2 33.88c8.844 9.969 24.03 10.75 33.88 2L64 212.5v163.5c0 22.06 17.94 40 40 40L335.5 416l5.762-25.05c1.795-8.006 4.873-15.56 8.256-22.96H112V169.9zM175.1 191.1c-8.836 0-16 7.166-16 16v64c0 8.836 7.164 16 16 16h64c8.838 0 16-7.164 16-16v-64c0-8.836-7.162-16-16-16H175.1zM432.2 96.02C458.7 96.02 480 74.51 480 48s-21.27-47.99-47.78-47.99s-48.05 21.49-48.05 48S405.7 96.02 432.2 96.02zM524.6 260.9l-19.74-79.25c11.24 3.625 22.61 8.375 44.22 17.12c9.994 4 18.12 11.38 22.86 21l13.99 30.37c14 29.29 56.8 7.625 43.47-20.25l-14.37-31.12c-9.994-20.38-27.11-36.25-48.22-44.75C524.2 136.8 506 128 471.2 128c-45.22 0-85.45 28.1-99.69 71.1l-12.87 38.75c-.5 1.25-1.125 2.375-2 3.25l-29.36 28.88c-22.37 23.62 12.06 55.29 33.86 34.62l29.36-28.1c6.246-6.25 10.87-13.88 13.74-22.25c14.37-42.75 14.49-45.75 21.86-55.37l26.11 104.7l-53.72 49.62c-12.99 12-22.11 27.62-25.98 44.87l-19.49 84.75c-2.998 12.88 4.996 25.75 17.86 28.75c9.316 1.695 24.33-1.848 28.73-18l19.49-84.75c1.748-7.875 5.871-15 11.74-20.5l78.95-72.1C524.4 299.6 529.4 279.7 524.6 260.9zM632.1 470.1l-58.43-58.7c-4.004-3.762-7.006-8.402-9.008-13.54l-27.65-67.48c-1.627 1.881-26.88 26.77-36.16 35.37l19.52 50.04c4.379 11.16 11.01 21.2 19.39 29.6L599.1 504.9c9.385 9.406 24.52 9.406 33.91 0C642.3 495.5 642.3 480.4 632.1 470.1z"],
    "house-signal": [576, 512, [], "e012", "M320.8 5.394C329.7-1.798 342.3-1.798 351.2 5.394L567.2 181.4C577.4 189.8 578.1 204.9 570.6 215.2C562.2 225.4 547.1 226.1 536.8 218.6L512 198.4V360C512 390.9 486.9 416 456 416H296.4C292.4 399.4 286.9 383.3 279.9 368H456C460.4 368 464 364.4 464 360V159.3L336 54.96L208 159.3V272.6C193.3 260.1 177.2 249.1 160 239.9V198.4L135.2 218.6C131.7 221.5 127.6 223.2 123.4 223.8C116.9 221.4 110.3 219.4 103.6 217.5C102.8 216.8 102.1 216 101.4 215.2C93.02 204.9 94.57 189.8 104.8 181.4L320.8 5.394zM360 192C373.3 192 384 202.7 384 216V264C384 277.3 373.3 288 360 288H312C298.7 288 288 277.3 288 264V216C288 202.7 298.7 192 312 192H360zM256 488C256 501.3 245.3 512 232 512C218.7 512 208 501.3 208 488C208 386.4 125.6 304 24 304C10.75 304 0 293.3 0 280C0 266.7 10.75 256 24 256C152.1 256 256 359.9 256 488zM0 480C0 462.3 14.33 448 32 448C49.67 448 64 462.3 64 480C64 497.7 49.67 512 32 512C14.33 512 0 497.7 0 480zM0 376C0 362.7 10.75 352 24 352C99.11 352 160 412.9 160 488C160 501.3 149.3 512 136 512C122.7 512 112 501.3 112 488C112 439.4 72.6 400 24 400C10.75 400 0 389.3 0 376z"],
    "house-tree": [640, 512, [], "e1b3", "M569.4 167.5C576 174.4 577.8 184.7 574.1 193.5C570.3 202.3 561.6 208 552 208H503.7L601.4 311.5C608 318.5 609.8 328.7 606 337.5C602.2 346.3 593.6 352 584 352H531.9L634.3 472.5C640.3 479.6 641.7 489.6 637.8 498.1C633.9 506.6 625.4 512 616 512H400C410 498.6 416 482 416 464H564.1L461.7 343.5C455.7 336.4 454.3 326.4 458.2 317.9C462.1 309.4 470.6 304 480 304H528.3L430.6 200.5C423.1 193.5 422.2 183.3 425.1 174.5C429.8 165.7 438.4 160 448 160H496.1L400 58.85L314.5 148.9L279.1 116.4L382.6 7.47C387.1 2.7 393.4 0 400 0C406.6 0 412.9 2.7 417.4 7.47L569.4 167.5zM144 295.1C144 282.7 154.7 271.1 168 271.1H216C229.3 271.1 240 282.7 240 295.1V344C240 357.3 229.3 368 216 368H168C154.7 368 144 357.3 144 344V295.1zM148.8 119.6C173.2 97.21 210.8 97.21 235.2 119.6L363.2 236.1C376.5 249.1 384 266.2 384 284.2V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V284.2C0 266.2 7.529 249.1 20.75 236.1L148.8 119.6zM48 284.2V448C48 456.8 55.16 464 64 464H320C328.8 464 336 456.8 336 448V284.2C336 279.7 334.1 275.4 330.8 272.4L202.8 155C196.7 149.4 187.3 149.4 181.2 155L53.19 272.4C49.88 275.4 48 279.7 48 284.2V284.2z"],
    "house-tsunami": [576, 512, [], "e515", "M184.4 95.1C207.5 95.1 229.4 101.1 249 110.3C261 115.9 266.2 130.2 260.6 142.2C255 154.2 240.7 159.4 228.7 153.8C215.3 147.5 200.3 143.1 184.4 143.1C126.7 143.1 79.1 190.6 79.1 247.1C79.1 295.2 111.6 335.1 154.1 347.8C166.4 350.6 178.7 352 191.6 352C191.7 352 191.9 352 192 352C220.8 351.1 250.5 336.7 272 318.1C281.1 309.1 294.9 309.1 303.1 318.1C325.5 336.7 355.1 352 383.1 352C412.8 352 442.5 336.7 464 318.1C473.1 309.1 486.8 309.1 495.9 318.1C512.9 333.1 535.2 344.9 557.2 349.8C570.1 352.7 578.3 365.5 575.4 378.5C572.5 391.4 559.6 399.5 546.7 396.6C518 390.2 494.4 376.2 479.1 366.2C451.9 385.7 418.6 400 383.1 400C349.4 400 316.1 385.7 287.1 366.2C259.9 385.7 226.6 399.1 192 399.1C191.9 400 191.7 400 191.6 400C189.8 400 188 399.1 186.2 399.9C185.6 399.1 185 400 184.4 400C170.7 400 157.4 398.2 144.8 394.8C54.66 373.1 0 293.2 0 200C0 88.38 94.97 0 209.4 0C233.4 0 256.4 3.84 277.9 10.94C290.5 15.09 297.3 28.67 293.2 41.25C289 53.84 275.5 60.67 262.9 56.52C246.2 51.01 228.2 48 209.4 48C127.8 48 61.96 104.5 49.96 176.4C75.65 128.5 126.3 96 184.4 96V95.1zM324.8 268.1C323.3 267 321.7 265.1 320 265V143.1C320 133.9 324.7 124.4 332.8 118.4L428.8 46.43C440.2 37.88 455.8 37.9 467.2 46.47L562.7 118.4C570.7 124.5 575.4 133.9 575.5 143.9L575.8 296.9C570.5 293.9 564.7 291.6 558.5 290.1C547.1 287.7 537.1 282.8 527.7 276.4L527.5 151.1L447.9 92.05L368 151.1V286.9C353.3 283.1 338.3 277.4 324.8 268.1V268.1zM191.1 464C220.8 464 250.5 448.7 272 430.1C281.1 421.1 294.9 421.1 303.1 430.1C325.5 448.7 355.1 464 383.1 464C412.8 464 442.5 448.7 464 430.1C473.1 421.1 486.8 421.1 495.9 430.1C512.9 445.1 535.2 456.9 557.2 461.8C570.1 464.7 578.3 477.5 575.4 490.5C572.5 503.4 559.6 511.5 546.7 508.6C518 502.2 494.4 488.2 479.1 478.2C451.9 497.7 418.6 512 383.1 512C349.4 512 316.1 497.7 287.1 478.2C259.9 497.7 226.6 512 191.1 512C157.4 512 124.1 497.7 95.98 478.2C81.61 488.2 57.99 502.2 29.31 508.6C16.37 511.5 3.536 503.4 .6342 490.5C-2.267 477.5 5.866 464.7 18.8 461.8C41.01 456.8 62.76 444.1 79.1 430.1C89.09 421.1 102.8 421.1 111.9 430.1C133.5 448.7 163.1 464 191.1 464L191.1 464z"],
    "house-turret": [640, 512, [], "e1b4", "M56 48C51.58 48 48 51.58 48 56V203.8C48 205.8 48.72 207.7 50.02 209.1L105.9 272.1C109.8 276.4 112 282.1 112 288V488C112 501.3 101.3 512 88 512C74.75 512 64 501.3 64 488V297.1L14.14 241C5.033 230.8 0 217.5 0 203.8V56C0 25.07 25.07 0 56 0H296C326.9 0 352 25.07 352 56V124.6L304 168.6V56C304 51.58 300.4 48 296 48H256V88C256 101.3 245.3 112 232 112C218.7 112 208 101.3 208 88V48H144V88C144 101.3 133.3 112 120 112C106.7 112 96 101.3 96 88V48H56zM216 184V224C216 232.8 208.8 240 200 240H152C143.2 240 136 232.8 136 224V184C136 161.9 153.9 144 176 144C198.1 144 216 161.9 216 184zM400 296C400 282.7 410.7 272 424 272H472C485.3 272 496 282.7 496 296V344C496 357.3 485.3 368 472 368H424C410.7 368 400 357.3 400 344V296zM404.8 119.6C429.2 97.21 466.8 97.21 491.2 119.6L619.2 236.1C632.5 249.1 640 266.2 640 284.2V448C640 483.3 611.3 512 576 512H320C284.7 512 256 483.3 256 448V284.2C256 266.2 263.5 249.1 276.8 236.1L404.8 119.6zM304 284.2V448C304 456.8 311.2 464 320 464H576C584.8 464 592 456.8 592 448V284.2C592 279.7 590.1 275.4 586.8 272.4L458.8 155C452.7 149.4 443.3 149.4 437.2 155L309.2 272.4C305.9 275.4 304 279.7 304 284.2V284.2z"],
    "house-user": [576, 512, ["home-user"], "e1b0", "M352 224C352 259.3 323.3 288 288 288C252.7 288 224 259.3 224 224C224 188.7 252.7 160 288 160C323.3 160 352 188.7 352 224zM320 320C364.2 320 400 355.8 400 400C400 408.8 392.8 416 384 416H192C183.2 416 176 408.8 176 400C176 355.8 211.8 320 256 320H320zM272.5 5.7C281.4-1.9 294.6-1.9 303.5 5.7L567.5 229.7C577.6 238.3 578.9 253.4 570.3 263.5C561.7 273.6 546.6 274.9 536.5 266.3L512 245.5V432C512 476.2 476.2 512 432 512H144C99.82 512 64 476.2 64 432V245.5L39.53 266.3C29.42 274.9 14.28 273.6 5.7 263.5C-2.876 253.4-1.634 238.3 8.473 229.7L272.5 5.7zM112 204.8V432C112 449.7 126.3 464 144 464H432C449.7 464 464 449.7 464 432V204.8L288 55.47L112 204.8z"],
    "house-water": [576, 512, ["house-flood"], "f74f", "M24.02 271.1c5.492 0 11.01-1.871 15.52-5.684L64 245.5v106.5c0 13.25 10.75 24 24 24s24-10.75 24-24V207.1c0-.9629-.4375-1.783-.5488-2.717L288 55.46l175.1 149.4v147.2c0 13.25 10.75 24 24 24s24-10.75 24-24V245.5l24.47 20.77c4.531 3.812 10.03 5.688 15.53 5.688c10.13 0 23.1-7.988 23.1-23.98c0-6.809-2.877-13.57-8.467-18.33l-263.1-224c-4.469-3.781-9.999-5.67-15.53-5.67c-5.531 0-11.07 1.889-15.53 5.67L8.473 229.7c-5.592 4.76-8.469 11.52-8.469 18.33C.0039 264.1 13.87 271.1 24.02 271.1zM556.2 464.2c-47.49-8.484-53.88-40.21-76.2-40.21c-22.92 0-33.77 39.83-95.1 39.83c-62.23 0-73.08-39.83-96-39.83c-22.92 0-33.77 39.83-95.1 39.83c-69.59 0-81.1-39.83-103.1-39.83c-21.95 0-30.18 33.43-68.2 40.21c-11.62 2.066-19.8 12.22-19.8 23.67c0 12.26 9.656 24.12 23.94 24.12c7.637 0 35.43-4.889 65.27-31.81c28 19.74 66.33 31.69 103.1 31.69c34.89 0 68.48-11.41 95.67-32.06c27.19 20.65 61.6 30.98 96.01 30.98c34.32 0 68.63-10.27 95.78-30.82c30.6 24.3 63.21 32.03 72.23 32.03c11.94 0 23.97-9.596 23.97-24.12C575.1 476.4 567.8 466.3 556.2 464.2zM248 175.1c-22.06 0-39.1 17.94-39.1 40v80c0 22.06 17.94 40 39.1 40h80c22.06 0 40-17.94 40-40v-80c0-22.06-17.94-40-40-40H248zM320 287.1H256v-64h64V287.1z"],
    "house-window": [576, 512, [], "e3b3", "M208 216C208 193.9 225.9 176 248 176H328C350.1 176 368 193.9 368 216V296C368 318.1 350.1 336 328 336H248C225.9 336 208 318.1 208 296V216zM320 288V224H256V288H320zM567.5 229.7C577.6 238.3 578.9 253.4 570.3 263.5C561.7 273.6 546.6 274.9 536.5 266.3L512 245.5V432C512 476.2 476.2 512 432 512H144C99.82 512 64 476.2 64 432V245.5L39.53 266.3C29.42 274.9 14.28 273.6 5.7 263.5C-2.876 253.4-1.634 238.3 8.473 229.7L272.5 5.7C281.4-1.9 294.6-1.9 303.5 5.7L567.5 229.7zM144 464H432C449.7 464 464 449.7 464 432V204.8L288 55.47L112 204.8V432C112 449.7 126.3 464 144 464z"],
    "hryvnia-sign": [384, 512, [8372, "hryvnia"], "f6f2", "M102.1 106.7C92.64 115 77.54 113.3 69.26 102.1C60.98 92.64 62.66 77.54 73.01 69.26L75.7 67.11C104.1 44.38 139.4 32 175.8 32H227C287.2 32 336 80.8 336 141C336 159.1 331.5 176.6 323.3 192H360C373.3 192 384 202.7 384 216C384 229.3 373.3 240 360 240H272.1L183 288H360C373.3 288 384 298.7 384 312C384 325.3 373.3 336 360 336H107C99.98 346.1 96 358.2 96 371C96 404.7 123.3 432 157 432H208.2C233.7 432 258.4 423.3 278.3 407.4L281 405.3C291.4 396.1 306.5 398.7 314.7 409C323 419.4 321.3 434.5 310.1 442.7L308.3 444.9C279.9 467.6 244.6 480 208.2 480H157C96.8 480 48 431.2 48 371C48 358.9 50 347.1 53.77 336H24C10.75 336 0 325.3 0 312C0 298.7 10.75 288 24 288H86.34C92.23 282.1 98.71 278.6 105.7 274.8L171 240H24C10.75 240 0 229.3 0 216C0 202.7 10.75 192 24 192H260.5C277.5 180.8 288 161.7 288 141C288 107.3 260.7 80 227 80H175.8C150.3 80 125.6 88.67 105.7 104.6L102.1 106.7z"],
    "hundred-points": [512, 512, [128175, "100"], "e41c", "M171.2 99.64C175.3 61.17 207.8 32 246.5 32C291.5 32 326.5 71.02 321.7 115.8L308.8 236.4C304.7 274.8 272.2 304 233.5 304C188.5 304 153.5 264.1 158.3 220.2L171.2 99.64zM246.5 80C232.3 80 220.4 90.68 218.9 104.8L205.1 225.3C204.2 241.7 217.1 256 233.5 256C247.7 256 259.6 245.3 261.1 231.2L274 110.7C275.8 94.28 262.9 80 246.5 80V80zM118.4 36.59C125.3 41.65 128.9 50.04 127.8 58.59L95.82 314.6C94.17 327.8 82.18 337.3 69.02 335.9C55.87 334.4 46.54 322.6 48.19 309.4L74.99 94.99L41.45 109.9C29.26 115.3 15.15 109.9 9.938 97.81C4.721 85.71 10.37 71.52 22.56 66.1L94.56 34.1C102.5 30.59 111.6 31.54 118.4 36.59V36.59zM507.2 114.1L499.9 202.5C496.6 241.8 463.8 272 424.3 272C379.1 272 345.1 234.1 348.8 189.9L356.1 101.5C359.4 62.23 392.3 32 431.7 32C476 32 510.9 69.91 507.2 114.1V114.1zM396.6 193.9C395.2 210.1 408 224 424.3 224C438.8 224 450.8 212.9 452 198.5L459.4 110.1C460.8 93.91 447.1 79.1 431.7 79.1C417.2 79.1 405.2 91.09 403.1 105.5L396.6 193.9zM511.7 323.9C513.9 336.1 505.1 349.4 492.1 351.7L28.08 431.7C15.02 433.9 2.605 425.1 .353 412.1C-1.899 399 6.864 386.6 19.93 384.3L483.9 304.3C496.1 302.1 509.4 310.9 511.7 323.9H511.7zM219.9 479.7C206.9 481.9 194.5 473 192.3 459.9C190.2 446.9 198.1 434.5 212.1 432.3L452.1 392.3C465.1 390.1 477.5 398.1 479.7 412.1C481.9 425.1 473 437.5 459.9 439.7L219.9 479.7z"],
    "hurricane": [448, 512, [], "f751", "M224 96C210.8 96 200 106.8 200 120S210.8 144 224 144c88.22 0 160 71.79 160 160S312.2 464 224 464c-13.25 0-24 10.75-24 24S210.8 512 224 512c114.7 0 208-93.31 208-208S338.7 96 224 96zM264 392c0-13.25-10.75-24-24-24c-88.22 0-160-71.78-160-160s71.78-160 160-160c13.25 0 24-10.75 24-24S253.3 0 240 0C125.3 0 32 93.31 32 208s93.31 208 208 208C253.3 416 264 405.3 264 392zM256 255.1c0-17.67-14.33-32-32-32S192 238.3 192 255.1c0 17.67 14.33 32 32 32S256 273.7 256 255.1z"],
    "hyphen": [320, 512, [], "2d", "M320 256C320 269.3 309.3 280 296 280h-272C10.75 280 0 269.3 0 256C0 242.8 10.75 232 24 232h272C309.3 232 320 242.8 320 256z"],
    "i": [320, 512, [105], "49", "M320 456c0 13.25-10.75 24-24 24h-272C10.75 480 0 469.3 0 456s10.75-24 24-24h112v-352h-112C10.75 80 0 69.25 0 56S10.75 32 24 32h272C309.3 32 320 42.75 320 56S309.3 80 296 80h-112v352h112C309.3 432 320 442.8 320 456z"],
    "i-cursor": [256, 512, [], "f246", "M256 488c0 13.25-10.75 24-24 24c-42.93 0-80.77-21.4-104-53.92C104.8 490.6 66.93 512 24 512C10.75 512 0 501.3 0 488s10.75-24 24-24c44.13 0 80-35.88 80-80V280h-32C58.75 280 48 269.3 48 256s10.75-24 24-24h32V128c0-44.13-35.88-80-80-80C10.75 48 0 37.25 0 24S10.75 0 24 0C66.93 0 104.8 21.4 128 53.92C151.2 21.4 189.1 0 232 0C245.3 0 256 10.75 256 24S245.3 48 232 48c-44.13 0-80 35.88-80 80v104h32c13.25 0 24 10.75 24 24s-10.75 24-24 24h-32V384c0 44.13 35.88 80 80 80C245.3 464 256 474.8 256 488z"],
    "ice-cream": [448, 512, [127848], "f810", "M380.8 129.2C400.4 132.7 417.1 143.4 430.1 159.1C442.3 174.9 448.1 194.6 446.5 214.4C444.9 234.3 435.1 252.8 421.5 266.4C406.1 279.1 387.9 287.7 368 287.1H352L252.6 493.8C250.1 499.2 246 503.8 240.1 507C235.9 510.3 230 511.1 223.1 511.1C217.1 511.1 212.1 510.3 207 507C201.1 503.8 197.9 499.2 195.4 493.8L95.1 287.1H79.1C60.1 287.7 41.01 280.1 26.46 266.5C11.92 252.9 2.959 234.4 1.34 214.5C-.2799 194.7 5.555 174.9 17.7 159.2C29.85 143.4 47.44 132.7 67.04 129.2C74.23 92.9 93.8 60.18 122.4 36.66C151.1 13.15 186.1 .2891 223.1 .2891C261 .2891 296.9 13.15 325.6 36.66C354.2 60.18 373.8 92.9 380.1 129.2H380.8zM389 231.2C394.7 225.8 398.2 218.5 398.9 210.7C399.5 202.8 397.3 195 392.5 188.8C387.8 182.5 380.9 178.2 373.2 176.6L340.3 171.3L333.9 138.5C328.7 113.1 315 90.34 295 73.96C274.1 57.58 249.9 48.63 224.1 48.63C198.2 48.63 173.1 57.58 153.1 73.96C133.1 90.34 119.4 113.1 114.3 138.5L107.9 171.3L74.88 176.6C67.19 178.2 60.33 182.5 55.6 188.7C50.88 195 48.62 202.8 49.25 210.6C49.88 218.4 53.36 225.7 59.03 231.1C64.7 236.6 72.16 239.7 79.1 239.1H368C375.8 239.7 383.3 236.6 389 231.2H389z"],
    "ice-skate": [576, 512, [9976], "f7ac", "M552 416c-13.2 0-24 10.8-24 23.1C528 453.3 517.3 464 504 464h-71.1l0-48H448c35.2 0 64-28.8 64-64V299c0-44.12-30-82.38-72.75-93.12L352 184v-160C352 10.8 341.2 0 328 0S304 10.8 304 23.1V32H204.2c-8 0-16.12 1.625-23.75 4.625L52.12 88C40 92.75 32 104.6 32 117.8L32 352c0 35.25 28.75 64 64 64v48H23.1C10.8 464 0 474.8 0 487.1S10.8 512 23.1 512h488c35.2 0 64-28.8 64-64L576 439.1C576 426.8 565.2 416 552 416zM80 352V128.5l118.4-47.38C200.2 80.25 202.2 80 204.2 80H304v47.1L240 128C231.2 128 224 135.2 224 143.1C224 152.8 231.2 160 240 160h64v32h-64C231.2 192 224 199.2 224 207.1C224 216.8 231.2 224 240 224h74.13l113.5 28.38C449 257.8 464 276.9 464 299V352c0 8.8-7.2 16-16 16H96C87.2 368 80 360.8 80 352zM144 416h240l0 48h-240L144 416z"],
    "icicles": [512, 512, [], "f7ad", "M480 0H31.98C10.61 0-4.767 20.74 1.357 41.24l79.5 235.9C83.35 284.2 89.73 288 95.98 288s12.75-3.625 15.12-10.88l28.85-86.65l36.27 181.1C178.2 379.9 184.1 384 191.8 384s13.75-4.125 15.62-12.38l38.78-190.8l26.34 95.77C274.8 284.2 281.3 288 287.8 288c6.5 0 12.1-3.75 15.37-11.38l38.21-134.9l58.67 357.5C401.1 507.8 408.1 512 415.1 512c6.1 0 13.98-4.25 15.73-12.75l79.72-461.4C515.1 18.25 500 0 480 0zM95.73 171.2L54.23 48h82.5L95.73 171.2zM199.2 171.2l-7.125 35L160.2 48h63.1L199.2 171.2zM295.2 128.8l-6.875 24.37L259.3 48h58.75L295.2 128.8zM416.7 303.8L374.6 48h86.37L416.7 303.8z"],
    "icons": [512, 512, ["heart-music-camera-bolt"], "f86d", "M28.8 17.64C58.19-7.039 99.66-4.352 127.1 16.45C156.3-4.461 197.4-6.846 227.3 17.42L227.6 17.7C263.6 48.01 265.4 102 232.8 134.6L154.2 213.4C140.1 227.1 116.4 228.1 101.7 213L23.19 134.7L23.15 134.6C-9.441 101.1-7.674 47.94 28.8 17.64L28.8 17.64zM59.51 54.53C44.93 66.62 44.3 87.87 57.12 100.7L128.2 171.6L198.8 100.7C211.7 87.89 211 66.65 196.9 54.56C184.7 44.85 165.5 45.93 153 57.95L128.6 84.06L103.1 58.14C90.4 45.71 70.77 45.05 59.65 54.42L59.51 54.53zM512 175.1C512 202.5 483.3 223.1 448 223.1C412.7 223.1 384 202.5 384 175.1C384 149.5 412.7 127.1 448 127.1C453.5 127.1 458.9 128.5 464 129.5V53.27L352 75.67V207.1C352 234.5 323.3 255.1 288 255.1C252.7 255.1 224 234.5 224 207.1C224 181.5 252.7 159.1 288 159.1C293.5 159.1 298.9 160.5 304 161.5V55.1C304 44.56 312.1 34.71 323.3 32.46L483.3 .4651C490.3-.9452 497.7 .8801 503.2 5.439C508.8 9.997 512 16.81 512 23.1V175.1zM192 392C192 418.5 170.5 440 144 440C117.5 440 96 418.5 96 392C96 365.5 117.5 344 144 344C170.5 344 192 365.5 192 392zM288 352V448C288 483.3 259.3 512 224 512H64C28.65 512 0 483.3 0 448V352C0 316.7 28.65 288 63.1 288L71.16 273.7C76.58 262.8 87.66 255.1 99.78 255.1H188.2C200.3 255.1 211.4 262.8 216.8 273.7L224 288C259.3 288 288 316.7 288 352L288 352zM93.66 336L63.1 336C55.16 336 48 343.2 48 352V448C48 456.8 55.16 464 64 464H224C232.8 464 240 456.8 240 448V352C240 343.2 232.8 336 224 336L194.3 336L178.3 303.1H109.7L93.66 336zM473.4 259.1C479.4 263.4 481.7 271.4 478.7 278.3L440.3 368H496C502.7 368 508.6 372.1 510.1 378.4C513.3 384.6 511.6 391.7 506.5 396L378.5 508C372.9 512.1 364.6 513.3 358.6 508.9C352.6 504.6 350.4 496.6 353.3 489.7L391.7 400H336C329.3 400 323.4 395.9 321 389.6C318.7 383.4 320.4 376.3 325.5 371.1L453.5 259.1C459.1 255 467.4 254.7 473.4 259.1V259.1z"],
    "id-badge": [384, 512, [], "f2c1", "M320 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h256c35.35 0 64-28.65 64-64V64C384 28.65 355.3 0 320 0zM336 448c0 8.836-7.164 16-16 16H64c-8.836 0-16-7.164-16-16V64c0-8.838 7.164-16 16-16h64V64c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32V48h64c8.836 0 16 7.162 16 16V448zM192 288c35.35 0 64-28.65 64-64s-28.65-64-64-64C156.7 160 128 188.7 128 224S156.7 288 192 288zM224 320H160c-44.18 0-80 35.82-80 80C80 408.8 87.16 416 96 416h192c8.836 0 16-7.164 16-16C304 355.8 268.2 320 224 320z"],
    "id-card": [576, 512, [62147, "drivers-license"], "f2c2", "M368 344h96c13.25 0 24-10.75 24-24s-10.75-24-24-24h-96c-13.25 0-24 10.75-24 24S354.8 344 368 344zM208 320c35.35 0 64-28.65 64-64c0-35.35-28.65-64-64-64s-64 28.65-64 64C144 291.3 172.7 320 208 320zM512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM528 416c0 8.822-7.178 16-16 16h-192c0-44.18-35.82-80-80-80h-64C131.8 352 96 387.8 96 432H64c-8.822 0-16-7.178-16-16V160h480V416zM368 264h96c13.25 0 24-10.75 24-24s-10.75-24-24-24h-96c-13.25 0-24 10.75-24 24S354.8 264 368 264z"],
    "id-card-clip": [576, 512, ["id-card-alt"], "f47f", "M256 128h64c17.67 0 32-14.33 32-32V32c0-17.67-14.33-32-32-32H256C238.3 0 224 14.33 224 32v64C224 113.7 238.3 128 256 128zM288 304c35.35 0 64-28.65 64-64c0-35.35-28.65-64-64-64s-64 28.65-64 64C224 275.3 252.7 304 288 304zM512 64h-128v48h128c8.822 0 16 7.178 16 16v320c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V128c0-8.822 7.178-16 16-16h128V64H64C28.65 64 0 92.65 0 128v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V128C576 92.65 547.3 64 512 64zM192 432h192c8.836 0 16-7.164 16-16c0-44.18-35.82-80-80-80H256c-44.18 0-80 35.82-80 80C176 424.8 183.2 432 192 432z"],
    "igloo": [576, 512, [], "f7ae", "M0 416V320C0 160.9 128.9 32 288 32C447.1 32 576 160.9 576 320V416C576 451.3 547.3 480 512 480H64C28.65 480 0 451.3 0 416zM512 432C520.8 432 528 424.8 528 416V368H400V432H512zM432 320V192H144V320H180.6C194.4 273.7 237.3 240 288 240C338.7 240 381.6 273.7 395.4 320H432zM491.1 192H480V320H528C528 272.9 514.5 229 491.1 192zM96 192H84.95C61.54 229 48 272.9 48 320H96V192zM124.8 144H304V80.52C298.7 80.18 293.4 80 288 80C224.1 80 167.7 104.3 124.8 144zM451.2 144C423.4 118.3 389.6 98.99 352 88.63V144H451.2zM176 368H48V416C48 424.8 55.16 432 64 432H176V368zM288 288C252.7 288 224 316.7 224 352V432H352V352C352 316.7 323.3 288 288 288z"],
    "image": [512, 512, [], "f03e", "M152 120c-26.51 0-48 21.49-48 48s21.49 48 48 48s48-21.49 48-48S178.5 120 152 120zM447.1 32h-384C28.65 32-.0091 60.65-.0091 96v320c0 35.35 28.65 64 63.1 64h384c35.35 0 64-28.65 64-64V96C511.1 60.65 483.3 32 447.1 32zM463.1 409.3l-136.8-185.9C323.8 218.8 318.1 216 312 216c-6.113 0-11.82 2.768-15.21 7.379l-106.6 144.1l-37.09-46.1c-3.441-4.279-8.934-6.809-14.77-6.809c-5.842 0-11.33 2.529-14.78 6.809l-75.52 93.81c0-.0293 0 .0293 0 0L47.99 96c0-8.822 7.178-16 16-16h384c8.822 0 16 7.178 16 16V409.3z"],
    "image-landscape": [576, 512, ["landscape"], "e1b5", "M512 64H64C28.65 64 0 92.65 0 128v256c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V128C576 92.65 547.3 64 512 64zM528 384c0 8.822-7.178 16-16 16h-26.8l-132.3-198.5C348.9 195.6 342.2 192 335.1 192c-7.135 0-13.8 3.562-17.75 9.5l-83.66 125.5L203.9 286.1C199.9 280.6 193.5 277.3 186.7 277.3S173.4 280.6 169.4 286.1L86.37 400H64c-8.822 0-16-7.178-16-16V128c0-8.822 7.178-16 16-16h448c8.822 0 16 7.178 16 16V384zM175.1 160c-17.67 0-32 14.33-32 32s14.33 32 32 32c17.68 0 32-14.33 32-32S193.7 160 175.1 160z"],
    "image-polaroid": [448, 512, [], "f8c4", "M112 112c-17.67 0-32 14.33-32 32s14.33 32 32 32c17.68 0 32-14.33 32-32S129.7 112 112 112zM448 96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96zM400 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16v-48h352V416zM400 320h-28.76l-96.58-144.9C271.7 170.7 266.7 168 261.3 168c-5.352 0-10.35 2.672-13.31 7.125l-62.74 94.11L162.9 238.6C159.9 234.4 155.1 232 150 232c-5.109 0-9.914 2.441-12.93 6.574L77.7 320H48V96c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V320z"],
    "image-polaroid-user": [448, 512, [], "e1b6", "M384 32H64C28.65 32 0 60.65 0 96v328c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM400 424c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16v-48h352V424zM400 328h-67.98C321.8 295.6 291.8 272 256 272H192c-35.78 0-65.79 23.6-76.02 56H48V96c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V328zM224 112c-35.35 0-64 28.65-64 64s28.65 64 64 64s64-28.65 64-64S259.3 112 224 112z"],
    "image-portrait": [384, 512, ["portrait"], "f3e0", "M192 256c35.35 0 64-28.65 64-64s-28.65-64-64-64S128 156.7 128 192S156.7 256 192 256zM320 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h256c35.35 0 64-28.65 64-64V64C384 28.65 355.3 0 320 0zM336 448c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V64c0-8.822 7.178-16 16-16h256c8.822 0 16 7.178 16 16V448zM224 288H160c-44.18 0-80 35.82-80 80C80 376.8 87.16 384 96 384h192c8.836 0 16-7.164 16-16C304 323.8 268.2 288 224 288z"],
    "image-slash": [640, 512, [], "e1b7", "M630.8 469.1l-55.95-43.85C575.3 422.2 575.1 419.2 575.1 416l.0034-320c0-35.35-28.65-64-64-64H127.1C113.6 32 100.4 36.98 89.78 45.06L38.81 5.113C28.34-3.058 13.31-1.246 5.109 9.192C-3.063 19.63-1.235 34.72 9.187 42.89L601.2 506.9C605.6 510.3 610.8 512 615.1 512c7.125 0 14.17-3.156 18.91-9.188C643.1 492.4 641.2 477.3 630.8 469.1zM527.1 388.5l-36.11-28.3l-100.7-136.8C387.8 218.8 382.1 216 376 216c-6.113 0-11.82 2.768-15.21 7.379L344.9 245L261.9 180C262.1 176.1 264 172.2 264 168c0-26.51-21.49-48-48-48c-8.336 0-16.05 2.316-22.88 6.057L134.4 80h377.6c8.822 0 16 7.178 16 16V388.5zM254.2 368.3l-37.09-46.1c-3.441-4.279-8.934-6.809-14.77-6.809c-5.842 0-11.33 2.529-14.78 6.809l-75.52 93.81c0-.0293 0 .0293 0 0L111.1 184.5l-48-37.62L63.99 416c0 35.35 28.65 64 64 64h361.1l-201.1-157.6L254.2 368.3z"],
    "image-user": [512, 512, [], "e1b8", "M448 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V96C512 60.65 483.3 32 448 32zM464 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h384c8.822 0 16 7.178 16 16V416zM256 256c35.35 0 64-28.66 64-64s-28.65-64-64-64s-64 28.66-64 64S220.7 256 256 256zM288 288h-64c-44.18 0-80 35.82-80 80c0 8.836 7.164 16 16 16h192c8.836 0 16-7.164 16-16C368 323.8 332.2 288 288 288z"],
    "images": [576, 512, [], "f302", "M512 32H160c-35.35 0-64 28.65-64 64v224c0 35.35 28.65 64 64 64H512c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM528 320c0 8.822-7.178 16-16 16h-16l-109.3-160.9C383.7 170.7 378.7 168 373.3 168c-5.352 0-10.35 2.672-13.31 7.125l-62.74 94.11L274.9 238.6C271.9 234.4 267.1 232 262 232c-5.109 0-9.914 2.441-12.93 6.574L176 336H160c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16H512c8.822 0 16 7.178 16 16V320zM224 112c-17.67 0-32 14.33-32 32s14.33 32 32 32c17.68 0 32-14.33 32-32S241.7 112 224 112zM456 480H120C53.83 480 0 426.2 0 360v-240C0 106.8 10.75 96 24 96S48 106.8 48 120v240c0 39.7 32.3 72 72 72h336c13.25 0 24 10.75 24 24S469.3 480 456 480z"],
    "images-user": [576, 512, [], "e1b9", "M512 32H160C124.7 32 96 60.65 96 96v224c0 35.35 28.65 64 64 64h352c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM528 320c0 8.822-7.178 16-16 16h-65.61c-7.414-36.52-39.68-64-78.39-64h-64c-38.7 0-70.97 27.48-78.39 64H160c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h352c8.822 0 16 7.178 16 16V320zM336 112c-35.35 0-64 28.65-64 64s28.65 64 64 64s64-28.65 64-64S371.3 112 336 112zM456 480H120C53.83 480 0 426.2 0 360v-240C0 106.8 10.75 96 24 96S48 106.8 48 120v240c0 39.7 32.3 72 72 72h336c13.25 0 24 10.75 24 24S469.3 480 456 480z"],
    "inbox": [512, 512, [], "f01c", "M508.3 304.9l-61.25-248.7C443.5 41.1 430.7 31.1 416 31.1H96c-14.69 0-27.47 10-31.03 24.25L3.715 304.9C1.248 314.9 0 325.2 0 335.5V416c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64v-80.47C512 325.2 510.8 314.9 508.3 304.9zM108.6 80h294.9L454.7 288H368c-9.094 0-17.41 5.125-21.47 13.28L321.2 352H190.8L165.5 301.3C161.4 293.1 153.1 288 144 288H57.32L108.6 80zM464 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16v-80h81.16l25.38 50.72C158.6 394.9 166.9 400 176 400h160c9.094 0 17.41-5.125 21.47-13.28L382.8 336H464V416z"],
    "inbox-full": [512, 512, [], "e1ba", "M508.3 304.9l-61.25-248.7C443.5 42 430.7 32 416 32H96C81.31 32 68.53 42 64.97 56.25l-61.25 248.7C1.248 314.9 0 325.2 0 335.5V416c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64v-80.47C512 325.2 510.8 314.9 508.3 304.9zM108.6 80h294.9L454.7 288H368c-9.094 0-17.41 5.125-21.47 13.28L321.2 352H190.8L165.5 301.3C161.4 293.1 153.1 288 144 288H57.32L108.6 80zM464 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16v-80h81.16l25.38 50.72C158.6 394.9 166.9 400 176 400h160c9.094 0 17.41-5.125 21.47-13.28L382.8 336H464V416zM184 176h144C341.3 176 352 165.3 352 152S341.3 128 328 128h-144C170.8 128 160 138.8 160 152S170.8 176 184 176zM360 256C373.3 256 384 245.3 384 232S373.3 208 360 208h-208C138.8 208 128 218.8 128 232S138.8 256 152 256H360z"],
    "inbox-in": [512, 512, [128229, "inbox-arrow-down"], "f310", "M464 320h-96c-9.094 0-17.41 5.125-21.47 13.28L321.2 384H190.8l-25.38-50.72C161.4 325.1 153.1 320 144 320H32c-17.67 0-32 14.33-32 32v96c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64v-80C512 341.5 490.5 320 464 320zM464 448c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16v-80h81.16l25.38 50.72C158.6 426.9 166.9 432 176 432h160c9.094 0 17.41-5.125 21.47-13.28L382.8 368H464V448zM238.4 312.3C242.1 317.2 249.3 320 256 320s13.03-2.781 17.59-7.656l104-112c9-9.719 8.438-24.91-1.25-33.94c-9.719-8.969-24.88-8.438-33.94 1.25L280 234.9V24c0-13.25-10.75-24-24-24S232 10.75 232 24v210.9L169.6 167.7C160.5 157.1 145.4 157.4 135.7 166.4C125.1 175.4 125.4 190.6 134.4 200.3L238.4 312.3z"],
    "inbox-out": [512, 512, [128228, "inbox-arrow-up"], "f311", "M464 320h-96c-9.094 0-17.41 5.125-21.47 13.28L321.2 384H190.8l-25.38-50.72C161.4 325.1 153.1 320 144 320H32c-17.67 0-32 14.33-32 32v96c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64v-80C512 341.5 490.5 320 464 320zM464 448c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16v-80h81.16l25.38 50.72C158.6 426.9 166.9 432 176 432h160c9.094 0 17.41-5.125 21.47-13.28L382.8 368H464V448zM169.6 152.3L232 85.13V296C232 309.3 242.8 320 256 320s24-10.75 24-24V85.13l62.41 67.21C347.2 157.4 353.6 160 360 160c5.844 0 11.72-2.125 16.34-6.406c9.688-9.031 10.25-24.22 1.25-33.94l-104-112c-9.125-9.75-26.06-9.75-35.19 0l-104 112c-9 9.719-8.438 24.91 1.25 33.94C145.4 162.6 160.5 162.1 169.6 152.3z"],
    "inboxes": [512, 512, [], "e1bb", "M500.9 82.65l-54.48-65.38C437.3 6.328 423.8 0 409.5 0H102.5C88.24 0 74.73 6.328 65.61 17.27L11.13 82.65C3.938 91.28 0 102.1 0 113.4V224c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V113.4C512 102.1 508.1 91.28 500.9 82.65zM102.5 48h307l39.1 48H368c-9.094 0-17.41 5.125-21.47 13.28L321.2 160H190.8L165.5 109.3C161.4 101.1 153.1 96 144 96H62.48L102.5 48zM464 224c0 8.822-7.178 16-16 16H64C55.18 240 48 232.8 48 224V144h81.16l25.38 50.72C158.6 202.9 166.9 208 176 208h160c9.094 0 17.41-5.125 21.47-13.28L382.8 144H464V224zM464 319.1L368 320c-9.094 0-17.41 5.125-21.47 13.28L321.2 384H190.8l-25.38-50.72C161.4 325.1 153.1 320 144 320H32c-17.67 0-32 14.33-32 32v96c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64v-80C512 341.5 490.5 319.1 464 319.1zM464 448c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16v-80h81.16l25.38 50.72C158.6 426.9 166.9 431.1 176 431.1h160c9.094 0 17.41-5.125 21.47-13.28L382.8 368H464V448z"],
    "indent": [448, 512, [], "f03c", "M0 64C0 50.75 10.75 40 24 40H424C437.3 40 448 50.75 448 64C448 77.25 437.3 88 424 88H24C10.75 88 0 77.25 0 64zM192 192C192 178.7 202.7 168 216 168H424C437.3 168 448 178.7 448 192C448 205.3 437.3 216 424 216H216C202.7 216 192 205.3 192 192zM424 296C437.3 296 448 306.7 448 320C448 333.3 437.3 344 424 344H216C202.7 344 192 333.3 192 320C192 306.7 202.7 296 216 296H424zM0 448C0 434.7 10.75 424 24 424H424C437.3 424 448 434.7 448 448C448 461.3 437.3 472 424 472H24C10.75 472 0 461.3 0 448zM26.17 346.4C15.73 355 0 347.6 0 334.1V177.9C0 164.4 15.73 156.1 26.17 165.6L121 243.6C128.8 250 128.8 261.1 121 268.4L26.17 346.4z"],
    "indian-rupee-sign": [320, 512, ["indian-rupee", "inr"], "e1bc", "M.0016 56C.0016 42.75 10.75 32 24 32H296C309.3 32 320 42.75 320 56C320 69.25 309.3 80 296 80H211.3C229.1 99.83 241.4 124.6 246 152H296C309.3 152 320 162.7 320 176C320 189.3 309.3 200 296 200H246C234.6 268.1 175.4 320 104 320H98.89L261.1 436.5C272.7 444.2 275.2 459.2 267.5 469.9C259.8 480.7 244.8 483.2 234.1 475.5L10.05 315.5C1.562 309.5-2.037 298.6 1.147 288.7C4.331 278.7 13.57 272 24 272H104C148.7 272 186.3 241.4 196.1 200H24C10.75 200 .0016 189.3 .0016 176C.0016 162.7 10.75 152 24 152H196.1C186.3 110.6 148.7 80 104 80H24C10.75 80 .0016 69.25 .0016 56V56z"],
    "industry": [576, 512, [], "f275", "M32 88C32 57.07 57.07 32 88 32H136C166.9 32 192 57.07 192 88V172.9L295.8 112.3C327.8 93.66 368 116.7 368 153.8V180.8L470.1 115.4C502.1 94.98 544 117.9 544 155.9V408C544 447.8 511.8 480 472 480H104C64.24 480 32 447.8 32 408V88zM88 80C83.58 80 80 83.58 80 88V408C80 421.3 90.75 432 104 432H472C485.3 432 496 421.3 496 408V155.9L356.9 244.9C349.5 249.6 340.2 249.9 332.5 245.7C324.8 241.5 320 233.4 320 224.6V153.8L180.1 235.4C172.7 239.7 163.5 239.8 156 235.5C148.6 231.2 144 223.3 144 214.7V88C144 83.58 140.4 80 136 80H88z"],
    "industry-windows": [576, 512, [127981, "industry-alt"], "f3b3", "M192 296C200.8 296 208 303.2 208 312V360C208 368.8 200.8 376 192 376H144C135.2 376 128 368.8 128 360V312C128 303.2 135.2 296 144 296H192zM248 312C248 303.2 255.2 296 264 296H312C320.8 296 328 303.2 328 312V360C328 368.8 320.8 376 312 376H264C255.2 376 248 368.8 248 360V312zM432 296C440.8 296 448 303.2 448 312V360C448 368.8 440.8 376 432 376H384C375.2 376 368 368.8 368 360V312C368 303.2 375.2 296 384 296H432zM136 32C166.9 32 192 57.07 192 88V172.9L295.8 112.3C327.8 93.66 368 116.7 368 153.8V180.8L470.1 115.4C502.1 94.98 544 117.9 544 155.9V408C544 447.8 511.8 480 472 480H104C64.24 480 32 447.8 32 408V88C32 57.07 57.07 32 88 32H136zM80 408C80 421.3 90.75 432 104 432H472C485.3 432 496 421.3 496 408V155.9L356.9 244.9C349.5 249.6 340.2 249.9 332.5 245.7C324.8 241.5 320 233.4 320 224.6V153.8L180.1 235.4C172.7 239.7 163.5 239.8 156 235.5C148.6 231.2 144 223.3 144 214.7V88C144 83.58 140.4 80 136 80H88C83.58 80 80 83.58 80 88V408z"],
    "infinity": [640, 512, [9854, 8734], "f534", "M484.4 96C407 96 349.2 164.1 320 208.5C290.8 164.1 233 96 155.6 96C69.75 96 0 167.8 0 256s69.75 160 155.6 160C233.1 416 290.8 347.9 320 303.5C349.2 347.9 407 416 484.4 416C570.3 416 640 344.2 640 256S570.3 96 484.4 96zM155.6 368C96.25 368 48 317.8 48 256s48.25-112 107.6-112c67.75 0 120.5 82.25 137.1 112C276 285.8 223.4 368 155.6 368zM484.4 368c-67.75 0-120.5-82.25-137.1-112C364 226.2 416.6 144 484.4 144C543.8 144 592 194.2 592 256S543.8 368 484.4 368z"],
    "info": [192, 512, [], "f129", "M168 464h-48V200c0-13.25-10.75-24-24-24H56C42.75 176 32 186.8 32 200S42.75 224 56 224h16v240h-48C10.75 464 0 474.8 0 488S10.75 512 24 512h144c13.25 0 24-10.75 24-24S181.3 464 168 464zM96 128c26.51 0 48-21.49 48-48S122.5 32.01 96 32.01s-48 21.49-48 48S69.49 128 96 128z"],
    "inhaler": [576, 512, [], "f5f9", "M127.1 368c-17.63 0-31.99 14.37-31.99 31.1c0 17.62 14.37 31.1 31.99 31.1s31.99-14.37 31.99-31.1C159.1 382.4 145.6 368 127.1 368zM31.99 224C14.37 224 0 238.4 0 256s14.37 31.1 31.99 31.1S63.99 273.6 63.99 256S49.62 224 31.99 224zM31.99 320C14.37 320 0 334.4 0 352c0 17.62 14.37 31.1 31.99 31.1s31.99-14.37 31.99-31.1C63.99 334.4 49.62 320 31.99 320zM31.99 416C14.37 416 0 430.4 0 448c0 17.62 14.37 31.1 31.99 31.1S63.99 465.6 63.99 448C63.99 430.4 49.62 416 31.99 416zM127.1 272c-17.63 0-31.99 14.37-31.99 31.1s14.37 31.1 31.99 31.1s31.99-14.37 31.99-31.1S145.6 272 127.1 272zM327.6 224H223.1c-17.67 0-32 14.33-32 31.1v191.1c0 17.6 14.4 31.1 31.1 31.1h246.4c12.8 0 23.95-8.531 27.13-20.89l42.79-163.1L376.5 132.3c-8.737-8.737-23.66-4.695-26.79 7.257L327.6 224zM374 236.2l7.994-30.5l104.8 104.8l-31.88 121.5H239.1V272h124.6L374 236.2zM555.2 65.24l-120.5-32.26c-14.98-4.047-30.3 4.814-34.34 19.8l-12.26 45.84l147.7 147.7l39.27-146.7C579.1 84.6 570.2 69.29 555.2 65.24z"],
    "input-numeric": [640, 512, [], "e1bd", "M104 184C104 170.7 114.7 160 128 160H160C173.3 160 184 170.7 184 184V304H200C213.3 304 224 314.7 224 328C224 341.3 213.3 352 200 352H120C106.7 352 96 341.3 96 328C96 314.7 106.7 304 120 304H136V208H128C114.7 208 104 197.3 104 184zM283.5 229.9C275.8 240.7 260.8 243.2 250.1 235.5C239.3 227.8 236.8 212.8 244.5 202.1L255.6 186.5C279.3 153.2 327.9 150.8 354.8 181.6C376.1 205.1 375.6 242.5 353.7 266.3L318.8 304H352C365.3 304 376 314.7 376 328C376 341.3 365.3 352 352 352H264C254.5 352 245.8 346.4 242 337.6C238.2 328.9 239.9 318.7 246.4 311.7L318.4 233.7C323.7 227.9 323.8 219.1 318.7 213.2C312.1 205.8 300.4 206.3 294.6 214.4L283.5 229.9zM576 64C611.3 64 640 92.65 640 128V384C640 419.3 611.3 448 576 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H576zM576 112H64C55.16 112 48 119.2 48 128V384C48 392.8 55.16 400 64 400H576C584.8 400 592 392.8 592 384V128C592 119.2 584.8 112 576 112z"],
    "input-pipe": [640, 512, [], "e1be", "M144 328C144 341.3 133.3 352 120 352C106.7 352 96 341.3 96 328V184C96 170.7 106.7 160 120 160C133.3 160 144 170.7 144 184V328zM0 128C0 92.65 28.65 64 64 64H576C611.3 64 640 92.65 640 128V384C640 419.3 611.3 448 576 448H64C28.65 448 0 419.3 0 384V128zM48 128V384C48 392.8 55.16 400 64 400H576C584.8 400 592 392.8 592 384V128C592 119.2 584.8 112 576 112H64C55.16 112 48 119.2 48 128z"],
    "input-text": [640, 512, [], "e1bf", "M184 160C193.5 160 202.1 165.6 205.9 174.3L269.9 318.3C275.3 330.4 269.9 344.5 257.7 349.9C245.6 355.3 231.5 349.9 226.1 337.7L221.7 328H146.3L141.9 337.7C136.5 349.9 122.4 355.3 110.3 349.9C98.14 344.5 92.69 330.4 98.07 318.3L162.1 174.3C165.9 165.6 174.5 160 184 160H184zM167.6 280H200.4L184 243.1L167.6 280zM304 184C304 170.7 314.7 160 328 160H380C413.1 160 440 186.9 440 220C440 229.2 437.9 237.9 434.2 245.7C447.5 256.7 456 273.4 456 292C456 325.1 429.1 352 396 352H328C314.7 352 304 341.3 304 328V184zM352 208V232H380C386.6 232 392 226.6 392 220C392 213.4 386.6 208 380 208H352zM352 304H396C402.6 304 408 298.6 408 292C408 285.4 402.6 280 396 280H352V304zM0 128C0 92.65 28.65 64 64 64H576C611.3 64 640 92.65 640 128V384C640 419.3 611.3 448 576 448H64C28.65 448 0 419.3 0 384V128zM48 128V384C48 392.8 55.16 400 64 400H576C584.8 400 592 392.8 592 384V128C592 119.2 584.8 112 576 112H64C55.16 112 48 119.2 48 128z"],
    "integral": [320, 512, [], "f667", "M288 76c0 13.25-10.75 24-24 24s-24-10.75-24-24c0-15.44-12.56-28-28-28S184 60.56 184 76v360C184 477.9 149.9 512 108 512S32 477.9 32 436c0-13.25 10.75-24 24-24s24 10.75 24 24c0 15.44 12.56 28 28 28s28-12.56 28-28V76C136 34.09 170.1 0 212 0S288 34.09 288 76z"],
    "intersection": [384, 512, [8898], "f668", "M384 224V456c0 13.25-10.75 24-24 24s-24-10.75-24-24V224c0-79.41-64.59-144-144-144S48 144.6 48 224v232C48 469.3 37.25 480 24 480S0 469.3 0 456V224c0-105.9 86.13-192 192-192S384 118.1 384 224z"],
    "island-tropical": [448, 512, [127965, "island-tree-palm"], "f811", "M336.5 32c-22.87-.125-45.37 6.125-64.99 17.88C249.6 20.25 207.9 0 159.4 0C94.89 0 41.41 35.38 32.17 81.62C30.67 89.12 37.39 96 46.39 96h33.61L95.1 64l19.01 37.88C108.8 111.5 103.5 121.5 100.5 132C92.26 160 95.51 191.6 122.3 221.4C123.8 223 125.9 223.9 128 224c2.25 0 4.375-.75 5.1-2.25L200.6 153C194.9 229.8 168.3 306.2 149.6 352H128c-34.25 0-67.12 13.75-91.25 38.25c-23.1 24.5-37.25 57.5-36.75 91.88C.2636 498.9 15.2 512 32.08 512h319.9c16.87 0 31.79-13 32.04-29.88c.1-60.75-40.5-111.6-96.62-125.8C308.5 248 297.3 139.5 295.9 128h72.15l15.97-32l16 32h35.37c3.75 0 7.251-1.5 9.626-4.25c2.375-2.75 3.375-6.5 2.875-10.13C439.7 67.38 392.1 32 336.5 32zM249 150.1l.75 .125C252.4 186.1 255.5 270.8 238.9 352H201.1C220.8 301 244.4 225.8 249 150.1zM334.4 464H49.64c7.625-37.25 40.37-64 78.37-64h127.1C294 400 326.8 426.8 334.4 464z"],
    "italic": [384, 512, [], "f033", "M384 56c0 13.25-10.75 24-24 24h-67.98l-146.9 352H232c13.25 0 24 10.75 24 24S245.3 480 232 480h-208C10.75 480 0 469.3 0 456s10.75-24 24-24h70.6l146.9-352H152C138.8 80 128 69.25 128 56S138.8 32 152 32h208C373.3 32 384 42.75 384 56z"],
    "j": [320, 512, [106], "4a", "M160 480c-88.22 0-160-69.01-160-153.8V280C0 266.8 10.75 256 24 256S48 266.8 48 280v46.19C48 384.5 98.25 432 160 432s112-47.47 112-105.8V56C272 42.75 282.8 32 296 32S320 42.75 320 56v270.2C320 411 248.2 480 160 480z"],
    "jack-o-lantern": [576, 512, [127875], "f30e", "M413.5 72.01c-21.3 0-42.64 5.665-61.47 16.98l.0049-53.25c0-6-3.376-11.5-8.876-14.25l-39.63-19.75c-2.284-1.177-4.724-1.731-7.13-1.731c-6.282 0-12.34 3.778-14.87 10.11L254.9 76.73c-10.25 3-20 7.375-28.88 13.25C206.8 77.91 184.8 71.88 162.8 71.88C66.99 71.88 0 193.5 0 291.1c0 71 28.88 137.8 81.38 187.8C103.7 500.9 133.1 511.9 162.9 511.9c38.1 0 57.47-16.73 62.74-16.73c1.401 0 2.877 .4171 4.274 1.186c17.12 10.38 36.76 15.61 58.13 15.61s40.99-5.238 58.12-15.61c1.398-.7687 2.873-1.186 4.274-1.186c5.619 0 23.79 16.73 62.74 16.73c29.72 0 59.13-11 81.49-32.17C547.1 429.7 576 362.1 576 291.1C576 193.9 508.1 72.01 413.5 72.01zM413.3 464c-32.62 0-35.69-16.8-62.97-16.8c-27.8 0-30.58 16.83-62.29 16.83c-31.77 0-34.43-16.83-62.29-16.83c-26.85 0-30.72 16.8-62.97 16.8C101.2 464 48 370.9 48 291.1c0-57.75 23.62-112.1 66.5-153C127.8 126.5 145.2 120.1 162.8 120.1c17.12 0 34.25 6 47.5 18l16.63 15.13L243 137.7C255.4 125.8 271.7 119.9 288 119.9s32.63 5.882 45 17.82l16.12 15.5l16.63-15.13c13.2-11.97 30.37-17.94 47.49-17.94C475.5 120.2 528 213.7 528 291.1C528 370.9 474.8 464 413.3 464zM249.1 271.1c4.948 0 6.844-3.737 6.844-6.641c0-1.109-.2813-2.234-.8438-3.359l-41.13-66.63c-1.749-2.25-3.874-3.375-6.374-3.375c-2.625 0-4.5 1.125-5.626 3.375l-41.12 66.63C160.3 263.1 160 264.2 160 265.4c0 2.904 1.895 6.641 6.844 6.641H249.1zM409.1 271.1c4.948 0 6.844-3.737 6.844-6.641c0-1.109-.2812-2.234-.8437-3.359l-41.13-66.63c-1.749-2.25-3.874-3.375-6.374-3.375c-2.625 0-4.5 1.125-5.626 3.375l-41.12 66.63c-.5625 1.125-.8437 2.25-.8437 3.359c0 2.904 1.895 6.641 6.844 6.641H409.1zM470.7 303.6c0-8.677-7.526-15.62-16-15.62c-10.77 0-65.5 45.03-166.7 45.03v14.38c0 8.75-7.125 16-16 16H256c-8.875 0-16-7.25-16-16v-18.25C161.7 317.2 133.1 288 121.5 288c-8.5 0-16.14 6.987-16.14 15.71c0 9.267 15.41 49.12 54.79 75.26C160.2 370.2 167.2 363.2 176 363.2H192c8.875 0 16 7.25 16 16v21.5c23.5 6.875 50.13 10.5 80 10.5s56.5-3.625 80-10.5v-21.5c0-8.75 7.125-16 16-16h16c8.625 0 15.62 7 15.88 15.63c13.88-9.25 25.88-20 35.25-33C461.8 330.7 470.7 310.1 470.7 303.6z"],
    "jar": [320, 512, [], "e516", "M32 24C32 10.75 42.75 0 56 0H264C277.3 0 288 10.75 288 24C288 37.25 277.3 48 264 48H56C42.75 48 32 37.25 32 24zM256 80C291.3 80 320 108.7 320 144V448C320 483.3 291.3 512 256 512H64C28.65 512 0 483.3 0 448V144C0 108.7 28.65 80 64 80H256zM256 128H64C55.16 128 48 135.2 48 144V224H272V144C272 135.2 264.8 128 256 128zM272 368H48V448C48 456.8 55.16 464 64 464H256C264.8 464 272 456.8 272 448V368z"],
    "jar-wheat": [320, 512, [], "e517", "M32 24C32 10.75 42.75 0 56 0H264C277.3 0 288 10.75 288 24C288 37.25 277.3 48 264 48H56C42.75 48 32 37.25 32 24zM128 320C92.65 320 64 291.3 64 256H112C131.1 256 148.3 264.4 160 277.7C171.7 264.4 188.9 256 208 256H256C256 291.3 227.3 320 192 320H128zM128 224C92.65 224 64 195.3 64 160H112C131.1 160 148.3 168.4 160 181.7C171.7 168.4 188.9 160 208 160H256C256 195.3 227.3 224 192 224H128zM176 416V432C176 440.8 168.8 448 160 448C151.2 448 144 440.8 144 432V416H128C92.65 416 64 387.3 64 352H112C131.1 352 148.3 360.4 160 373.7C171.7 360.4 188.9 352 208 352H256C256 387.3 227.3 416 192 416H176zM256 80C291.3 80 320 108.7 320 144V448C320 483.3 291.3 512 256 512H64C28.65 512 0 483.3 0 448V144C0 108.7 28.65 80 64 80H256zM256 128H64C55.16 128 48 135.2 48 144V448C48 456.8 55.16 464 64 464H256C264.8 464 272 456.8 272 448V144C272 135.2 264.8 128 256 128z"],
    "jedi": [576, 512, [], "f669", "M559.1 241.2C559.1 390.5 438.1 512 287.1 512c-4.25 0-8.615-.125-12.87-.25c-138.9-6.375-252.5-119.6-258.9-257.7C15.98 247.6 16.24 241.5 16.36 235.2c-.5-2.625-.5-5.25 .125-7.75c4.125-82.88 46.25-159.3 114.1-207c4-2.875 8.735-4.455 13.74-4.455c8 0 15.37 3.1 19.87 10.63C168.7 33.17 169.6 41.62 166.6 49C160.7 63.88 157.7 79.63 157.7 95.63c0 41.13 19.12 78.79 52.62 103.7c5.875 4.25 9.375 11.08 9.75 18.33c.375 7.25-2.5 14.25-8 19.12c-24 21.62-37.36 51-37.36 82.63c0 51.87 35.75 95.25 83.88 108.1l2.25-57.25l-20.63 14.13c-4.75 3-10.87 2.5-15-1.25c-4.125-3.875-5-10-2.125-14.88l17.38-28.87l-36.63-7.625C198.2 330.6 194.2 325.8 194.2 320c0-5.625 4-10.62 9.625-11.75l36.63-7.625L223.1 271.8c-2.875-4.875-2-11 2.125-14.88C229.4 253 235.6 252.5 240.2 255.8l24.5 16.5L275.9 11.5C276.1 5.125 281.6 0 287.1 0c6.5 0 11.63 5.125 11.88 11.5l11.25 260.7l24.5-16.62c4.625-3.125 10.88-2.625 15 1.25c2.25 2.375 3.5 5.375 3.75 8.625c-.125 2.25-.75 4.25-1.75 6.25l-17.25 28.87l36.63 7.625c5.5 1.125 9.5 6 9.5 11.75c0 5.625-4 10.62-9.5 11.75l-36.63 7.5l17.25 29c2.875 4.875 2 11-2 14.88c-4.125 3.75-10.38 4.25-15 1.125l-20.62-14l2.125 57.63C357.9 417.4 390.4 384 398.7 342.5c8-39-5.244-79.25-34.87-105.8c-5.5-4.875-8.417-11.79-8.042-19.17c.375-7.25 3.958-13.96 9.833-18.33c33.5-24.75 52.58-62.5 52.58-103.6c0-16-3.083-31.79-8.958-46.67c-4-9.75-1.045-21.21 7.33-27.83c8.25-6.625 20.1-6.803 28.73-.6781c67.5 47.87 109.4 123.8 113.8 206.4c.75 2.5 1 5 .5 7.625C559.6 236.8 559.1 238.1 559.1 241.2zM107.9 298.5C102.2 305.2 92.07 305.9 85.45 300L68.61 285.4c12.75 62.13 51.88 115.5 105.3 147.3c-57.63-57.13-63-148.5-12.38-212c-30.88-30.5-49.25-71.38-51.62-114.6C95.74 124.4 84.99 145 77.24 166.8l29.96 29.94c6.25 6.25 6.25 16.37 0 22.63C100.9 225.6 90.82 225.6 84.57 219.2L67.86 202.6c-2.125 12.13-3.25 24.5-3.25 36.75L106.4 276c3.25 2.75 5.039 6.75 5.414 11C112.1 291.1 110.7 295.4 107.9 298.5zM506.1 285.6L490.5 300c-6.625 5.875-16.75 5.125-22.62-1.5C462.1 291.9 462.7 281.8 469.5 276l42.24-37.12c-.1251-12.25-1.25-24.5-3.375-36.63l-17.11 17c-6.25 6.25-16.37 6.25-22.62 0c-6.25-6.125-6.25-16.25 0-22.5l30.11-30.13c-7.75-21.75-18.88-42.12-32.75-60.5c-2.5 43.25-20.88 83.1-51.63 114.5C443.6 257.2 455.2 304.8 445.7 352c-6.25 30.75-21.63 58.88-43.88 81C456.1 400.9 494.4 347.4 506.1 285.6z"],
    "jet-fighter": [640, 512, ["fighter-jet"], "f0fb", "M296 .0001C309.3 .0001 320 10.75 320 24C320 37.25 309.3 48 296 48H292.9L386 176H483.1C488.8 176 494.4 176.9 499.8 178.5L607.9 212.3C626.1 218.3 640 235.1 640 256C640 276 626.1 293.7 607.9 299.7L499.8 333.4C494.4 335.1 488.8 336 483.1 336H386L292.9 464H296C309.3 464 320 474.7 320 488C320 501.3 309.3 512 296 512H257.9C250.3 520.5 237.8 522.5 228 516.8C224.5 518.8 220.4 520 216 520C208.9 520 202.5 516.9 198.1 512H184C170.7 512 160 501.3 160 488C160 474.7 170.7 464 184 464H192V336H177.9L146.3 367.6C135.8 378.1 121.6 384 106.7 384H88C57.07 384 32 358.9 32 328V280H24C10.75 280 0 269.3 0 256C0 242.7 10.75 232 24 232H32V184C32 153.1 57.07 128 88 128H106.7C121.6 128 135.8 133.9 146.3 144.4L177.9 176H192V48H184C170.7 48 160 37.25 160 24C160 10.75 170.7 .0001 184 .0001H198.1C202.5-4.91 208.9-7.1 216-7.1C220.4-7.1 224.5-6.831 228-4.788C237.8-10.47 250.3-8.466 257.9 .0001H296zM326.7 176L240 56.8V176H326.7zM326.7 336H240V455.2L326.7 336zM80 280V328C80 332.4 83.58 336 88 336H106.7C108.9 336 110.9 335.2 112.4 333.7L158.1 288H483.1C483.9 288 484.7 287.9 485.5 287.6L586.7 256L485.5 224.4C484.7 224.1 483.9 224 483.1 224H158.1L112.4 178.3C110.9 176.8 108.9 176 106.7 176H88C83.58 176 80 179.6 80 184V232H136C149.3 232 160 242.7 160 256C160 269.3 149.3 280 136 280H80z"],
    "jet-fighter-up": [576, 512, [], "e518", "M375.6 138.2C381.1 148.6 384 160.2 384 171.9V202.8L512 284.3V247.1C512 234.7 522.7 223.1 536 223.1C549.3 223.1 560 234.7 560 247.1V392C560 405.3 549.3 416 536 416C522.7 416 512 405.3 512 392V384H384V385.1L425.9 451.4C429.9 457.7 432 465 432 472.5C432 494.3 414.3 512 392.5 512H183.5C161.7 512 144 494.3 144 472.5C144 465 146.1 457.7 150.1 451.4L192 385.1V384H64V392C64 405.3 53.25 416 40 416C26.75 416 16 405.3 16 392V247.1C16 234.7 26.75 223.1 40 223.1C53.25 223.1 64 234.7 64 247.1V284.3L192 202.8V171.9C192 160.2 194.9 148.6 200.4 138.2L266.8 12.77C270.9 4.914 279.1 0 288 0C296.9 0 305.1 4.914 309.2 12.77L375.6 138.2zM384 259.7V336H503.9L384 259.7zM336 216.4C335.1 216.1 335.1 215.9 336 215.6V171.9C336 168 335 164.2 333.2 160.7L288 75.29L242.8 160.7C240.1 164.2 240 168 240 171.9V215.6C240 215.9 240 216.1 240 216.4V392C240 396.5 238.7 400.1 236.3 404.8L198.9 464H264V408C264 394.7 274.7 384 288 384C301.3 384 312 394.7 312 408V464H377.1L339.7 404.8C337.3 400.1 336 396.5 336 392V216.4zM192 259.7L72.13 336H192V259.7z"],
    "joint": [640, 512, [], "f595", "M471.5 177.9C496.8 193.1 512 220.3 512 249.8v14.25C512 277.2 522.8 288 536 288c13.2 0 24-10.8 24-23.1V249.8c0-43.25-21-83.5-56.38-108.1C479.9 125 464 99.38 464 70.25V23.1C464 10.8 453.2 0 440 0S416 10.8 416 23.1l0 49.79C416 115.6 435.6 156.5 471.5 177.9zM553.3 87.12C547.6 83.25 544 77.12 544 70.25V23.1C544 10.8 533.2 0 520 0C506.8 0 496 10.8 496 23.1l0 47.97c0 22.5 12.12 42.67 30.79 55.21C567.6 154.6 592 200.4 592 249.8v14.25C592 277.2 602.8 288 615.1 288C629.2 288 640 277.2 640 264V249.8C640 184.2 607.6 123.5 553.3 87.12zM616 352H279C180.2 352 83.62 379.8 0 432C83.62 484.2 180.2 512 279 512H616c13.25 0 24-10.75 24-24v-112C640 362.8 629.3 352 616 352zM279 464c-59.25 0-117.5-10.88-172.1-32c49.25-19 101.6-29.25 154.8-31.25L315.8 464H279zM379 464l-54.88-64H421l54.88 64H379zM592 464h-53l-54.88-64H592V464z"],
    "joystick": [448, 512, [128377], "f8c5", "M384 352h-136V221.3c51.88-11.37 88.01-57.3 88.01-109.3c0-37.77-25.15-111.1-112-111.1c-42.57 0-112 33.1-112 111.1c0 52.03 36.12 97.96 88.01 109.3v130.7L128 352c0-17.67-14.33-31.97-32-31.97s-32 14.3-32 31.97c-35.2 0-64 28.82-64 64.01v31.99C0 483.2 28.8 512 64 512h320c35.2 0 64-28.79 64-63.98v-31.99C448 380.8 419.2 352 384 352zM160 112.1C160 76.73 188.6 48.11 224 48.11s64 28.62 64 63.98c0 35.37-28.62 63.98-64 63.98S160 147.5 160 112.1zM400 448c0 8.834-7.164 15.1-16 15.1H64c-8.836 0-16-7.162-16-15.1v-31.99c0-8.834 7.164-15.1 16-15.1h320c8.836 0 16 7.162 16 15.1V448z"],
    "jug": [448, 512, [], "f8c6", "M447.1 167.1C447.1 128.2 415.8 96 376 96c-21.12 0-41.13 9.393-54.63 25.64l-10.37-12.89c-4.5-5.625-6.1-12.68-6.1-19.93L304 48c13.25 0 24-10.75 24-24S317.2 0 303.1 0H143.1C130.7 0 120 10.75 120 24S130.8 48 144 48L143.1 88.76c0 7.281-2.462 14.31-7.011 19.1l-76.93 96.16C41.86 227.7 31.1 255.8 31.1 284.9L32 432C32 476.2 67.82 512 112 512h224c44.18 0 80-35.82 80-80l-.0002-147.1c-.125-17.5-3.875-34.88-11.13-51C431.1 222.4 447.1 196.6 447.1 167.1zM97.5 234.9l77-96.13C185.8 124.5 192 106.9 192 88.75V48h64v40.75c0 18.21 6.195 35.87 17.57 50.09L350.5 235C361.8 249.2 368 266.8 368 284.9V288h-288V284.9C80 266.8 86.25 249.1 97.5 234.9zM336 464h-224c-17.67 0-32-14.33-32-32V416h288v16C368 449.7 353.7 464 336 464zM377.4 191.7l-24.13-30.13c2.875-10.12 11.75-17.63 22.75-17.63c12.88 0 23.5 10.25 23.88 23.25C400.2 180.1 390.2 190.1 377.4 191.7z"],
    "jug-detergent": [384, 512, [], "e519", "M200 0C213.3 0 224 10.75 224 24V48H232C245.3 48 256 58.75 256 72C256 85.25 245.3 96 232 96H88C74.75 96 64 85.25 64 72C64 58.75 74.75 48 88 48H96V24C96 10.75 106.7 0 120 0H200zM288 256V352C288 369.7 273.7 384 256 384C238.3 384 224 369.7 224 352V256C224 238.3 238.3 224 256 224C273.7 224 288 238.3 288 256zM256 128C326.7 128 384 185.3 384 256V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V256C0 185.3 57.31 128 128 128H256zM256 176H128C83.82 176 48 211.8 48 256V448C48 456.8 55.16 464 64 464H320C328.8 464 336 456.8 336 448V256C336 211.8 300.2 176 256 176z"],
    "k": [320, 512, [107], "4b", "M315.6 442.2c7.656 10.83 5.062 25.8-5.75 33.45C305.6 478.6 300.8 480 296 480c-7.531 0-14.97-3.531-19.62-10.16L127.5 258.1L48 338.7V456C48 469.3 37.25 480 24 480S0 469.3 0 456V56C0 42.75 10.75 32 24 32S48 42.75 48 56v214.7l231-231.6c9.344-9.344 24.53-9.422 33.94-.0469c9.406 9.359 9.406 24.56 .0625 33.95l-151.3 151.7c.2578 .3281 .6367 .4883 .8809 .834L315.6 442.2z"],
    "kaaba": [576, 512, [128331], "f66b", "M180.8 301.7C189.2 304.4 193.9 313.3 191.3 321.8C188.6 330.2 179.7 334.9 171.2 332.3L107.2 312.3C98.8 309.6 94.1 300.7 96.73 292.2C99.37 283.8 108.3 279.1 116.8 281.7L180.8 301.7zM404.8 332.3C396.3 334.9 387.4 330.2 384.7 321.8C382.1 313.3 386.8 304.4 395.2 301.7L459.2 281.7C467.7 279.1 476.6 283.8 479.3 292.2C481.9 300.7 477.2 309.6 468.8 312.3L404.8 332.3zM283.2 333.7C286.3 334.7 289.7 334.7 292.8 333.7L331.2 321.7C339.7 319.1 348.6 323.8 351.3 332.2C353.9 340.7 349.2 349.6 340.8 352.3L302.3 364.3C292.1 367.2 283 367.2 273.7 364.3L235.2 352.3C226.8 349.6 222.1 340.7 224.7 332.2C227.4 323.8 236.3 319.1 244.8 321.7L283.2 333.7zM278.5 1.457C284.7-.4856 291.3-.4856 297.5 1.457L553.5 81.46C566.9 85.63 576 98 576 112V400C576 413.1 566.9 426.4 553.5 430.5L297.5 510.5C291.3 512.5 284.7 512.5 278.5 510.5L22.46 430.5C9.096 426.4 0 413.1 0 400V112C0 98.01 9.096 85.63 22.46 81.46L278.5 1.457zM85.64 112L288 175.2L490.4 112L288 48.76L85.64 112zM278.5 222.5L48 150.5V196.2L283.2 269.7C286.3 270.7 289.7 270.7 292.8 269.7L528 196.2V150.5L297.5 222.5C291.3 224.5 284.7 224.5 278.5 222.5H278.5zM48 229.8V260.2L52.78 261.7C61.21 264.4 65.91 273.3 63.28 281.8C61.14 288.6 54.82 293 48 293V388.2L288 463.2L528 388.2V293C521.2 293 514.9 288.6 512.7 281.8C510.1 273.3 514.8 264.4 523.2 261.7L528 260.2V229.8L302.3 300.3C292.1 303.2 283 303.2 273.7 300.3L48 229.8z"],
    "kazoo": [640, 512, [], "f8c7", "M576 128h-95.38C461.1 118.1 439.4 112 416 112S370.9 118.1 351.4 128H241.5C229.8 128 218.1 129.6 206.8 132.9l-183.5 52.5C9.5 189.3 0 201.9 0 216.1v79.75c0 14.25 9.5 26.88 23.25 30.75l183.2 52.4C217.9 382.3 229.9 384 241.9 384h109.5C370.9 393.9 392.6 400 416 400s45.13-6.125 64.63-16H576c35.2 0 64-28.8 64-64v-128C640 156.8 611.2 128 576 128zM296.4 336h-54.5c-7.375 0-14.75-1-22-3.125L48 283.8v-55.5l172-49.13C227.1 177 234.5 176 241.1 176h54.38C264 224.4 264 287.6 296.4 336zM416 352c-53 0-96-43-96-96S363 160 416 160s96 43 96 96S469 352 416 352zM592 320c0 8.836-7.164 16-16 16h-40.38c32.5-48.38 32.5-111.6 0-160H576c8.836 0 16 7.162 16 16V320zM466.2 205.9c-7.812-7.812-20.5-7.812-28.31 0L416 227.7l-21.84-21.84c-7.812-7.812-20.5-7.812-28.31 0c-7.781 7.812-7.781 20.47 0 28.28L387.7 256l-21.86 21.86c-7.781 7.812-7.781 20.47 0 28.28C369.8 310 374.9 312 380 312s10.25-1.953 14.16-5.859L416 284.3l21.84 21.84C441.8 310 446.9 312 452 312s10.25-1.953 14.16-5.859c7.781-7.812 7.781-20.47 0-28.28L444.3 256l21.86-21.86C473.9 226.3 473.9 213.7 466.2 205.9z"],
    "kerning": [640, 512, [], "f86f", "M441.8 2.094c-12.06-5.438-26.28 0-31.72 12.09l-208 464c-5.406 12.09 0 26.28 12.09 31.72C217.4 511.3 220.7 512 224 512c9.156 0 17.91-5.281 21.91-14.19l208-464C459.3 21.72 453.9 7.531 441.8 2.094zM306.7 98.53C294.9 92.63 280.5 97.44 274.5 109.3L160 338.3L45.48 109.3C39.54 97.41 25.13 92.59 13.29 98.53C1.418 104.5-3.395 118.9 2.543 130.7l135.1 272c4.062 8.156 12.37 13.28 21.47 13.28s17.4-5.124 21.47-13.28l135.1-272C323.4 118.9 318.6 104.5 306.7 98.53zM621.1 382.3l-119.1-272c-7.688-17.38-36.25-17.38-43.93 0l-119.1 272c-5.344 12.12 .1562 26.28 12.28 31.66c12.09 5.281 26.28-.1562 31.65-12.28L403.8 352h152.4l21.84 49.69C581.1 410.7 590.8 416 599.1 416c3.25 0 6.531-.6562 9.688-2.031C621.8 408.6 627.3 394.4 621.1 382.3zM425.1 304L480 179.5L534.9 304H425.1z"],
    "key": [512, 512, [128273], "f084", "M336 144C336 126.3 350.3 112 368 112C385.7 112 400 126.3 400 144C400 161.7 385.7 176 368 176C350.3 176 336 161.7 336 144zM336 352C326.5 352 317.2 351.3 308.1 349.8L280.1 376.1C276.5 381.5 270.4 384 264 384H224V424C224 437.3 213.3 448 200 448H160V488C160 501.3 149.3 512 136 512H24C10.75 512 0 501.3 0 488V376C0 369.6 2.529 363.5 7.029 359L162.2 203.9C160.8 194.8 160 185.5 160 176C160 78.8 238.8 0 336 0C433.2 0 512 78.8 512 176C512 273.2 433.2 352 336 352zM336 304C406.7 304 464 246.7 464 176C464 105.3 406.7 48 336 48C265.3 48 208 105.3 208 176C208 182.9 208.5 189.7 209.6 196.3L213.4 220.5L47.1 385.9V464H111.1V400H175.1V336H254.1L291.5 298.6L315.7 302.4C322.3 303.5 329.1 304 336 304z"],
    "key-skeleton": [448, 512, [128477], "f6f3", "M220.6 261.4L121.9 360L168.1 407C178.3 416.4 178.3 431.6 168.1 440.1C159.6 450.3 144.4 450.3 135 440.1L88 393.9L57.94 424L104.1 471C114.3 480.4 114.3 495.6 104.1 504.1C95.6 514.3 80.4 514.3 71.03 504.1L7.029 440.1C-2.343 431.6-2.343 416.4 7.029 407L186.6 227.4C169.9 203.9 160 175.1 160 144C160 64.47 224.5 0 304 0C383.5 0 448 64.47 448 144C448 223.5 383.5 288 304 288C272.9 288 244.1 278.1 220.6 261.4zM304 240C357 240 400 197 400 144C400 90.98 357 48 304 48C250.1 48 208 90.98 208 144C208 197 250.1 240 304 240z"],
    "key-skeleton-left-right": [640, 512, [], "e3b4", "M639.1 128C639.1 198.7 582.7 256 511.1 256C449.5 256 397.5 211.2 386.2 151.1H303.1V200C303.1 213.3 293.3 224 279.1 224C266.7 224 255.1 213.3 255.1 200V151.1H207.1L207.1 200C207.1 213.3 197.2 224 183.1 224C170.7 223.1 159.1 213.3 159.1 199.1L159.1 127.1C159.1 114.7 170.7 103.1 183.1 103.1H386.2C397.5 44.78 449.5 0 511.1 0C582.7 0 639.1 57.31 639.1 128V128zM511.1 48C467.8 48 431.1 83.82 431.1 128C431.1 172.2 467.8 208 511.1 208C556.2 208 591.1 172.2 591.1 128C591.1 83.82 556.2 48 511.1 48zM0 384C0 313.3 57.31 256 128 256C190.5 256 242.5 300.8 253.8 360H336V312C336 298.7 346.7 288 360 288C373.3 288 384 298.7 384 312V360H432L432 311.1C432 298.7 442.7 287.1 456 288C469.3 288 480 298.7 480 312L480 384C479.1 397.3 469.3 408 456 408H253.8C242.5 467.2 190.5 512 128 512C57.31 512 .0003 454.7 .0003 384H0zM128 464C172.2 464 208 428.2 208 384C208 339.8 172.2 304 128 304C83.82 304 48 339.8 48 384C48 428.2 83.82 464 128 464z"],
    "keyboard": [576, 512, [9000], "f11c", "M512 64H64C28.65 64 0 92.65 0 128v256c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V128C576 92.65 547.3 64 512 64zM528 384c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V128c0-8.822 7.178-16 16-16h448c8.822 0 16 7.178 16 16V384zM140 152h-24c-6.656 0-12 5.344-12 12v24c0 6.656 5.344 12 12 12h24c6.656 0 12-5.344 12-12v-24C152 157.3 146.7 152 140 152zM196 200h24c6.656 0 12-5.344 12-12v-24c0-6.656-5.344-12-12-12h-24c-6.656 0-12 5.344-12 12v24C184 194.7 189.3 200 196 200zM276 200h24c6.656 0 12-5.344 12-12v-24c0-6.656-5.344-12-12-12h-24c-6.656 0-12 5.344-12 12v24C264 194.7 269.3 200 276 200zM356 200h24c6.656 0 12-5.344 12-12v-24c0-6.656-5.344-12-12-12h-24c-6.656 0-12 5.344-12 12v24C344 194.7 349.3 200 356 200zM460 152h-24c-6.656 0-12 5.344-12 12v24c0 6.656 5.344 12 12 12h24c6.656 0 12-5.344 12-12v-24C472 157.3 466.7 152 460 152zM140 232h-24c-6.656 0-12 5.344-12 12v24c0 6.656 5.344 12 12 12h24c6.656 0 12-5.344 12-12v-24C152 237.3 146.7 232 140 232zM196 280h24c6.656 0 12-5.344 12-12v-24c0-6.656-5.344-12-12-12h-24c-6.656 0-12 5.344-12 12v24C184 274.7 189.3 280 196 280zM276 280h24c6.656 0 12-5.344 12-12v-24c0-6.656-5.344-12-12-12h-24c-6.656 0-12 5.344-12 12v24C264 274.7 269.3 280 276 280zM356 280h24c6.656 0 12-5.344 12-12v-24c0-6.656-5.344-12-12-12h-24c-6.656 0-12 5.344-12 12v24C344 274.7 349.3 280 356 280zM460 232h-24c-6.656 0-12 5.344-12 12v24c0 6.656 5.344 12 12 12h24c6.656 0 12-5.344 12-12v-24C472 237.3 466.7 232 460 232zM400 320h-224C167.1 320 160 327.1 160 336V352c0 8.875 7.125 16 16 16h224c8.875 0 16-7.125 16-16v-16C416 327.1 408.9 320 400 320z"],
    "keyboard-brightness": [640, 512, [], "e1c0", "M208.1 247C218.3 256.4 218.3 271.6 208.1 280.1C199.6 290.3 184.4 290.3 175 280.1L95.03 200.1C85.66 191.6 85.66 176.4 95.03 167C104.4 157.7 119.6 157.7 128.1 167L208.1 247zM296 88C296 74.75 306.7 64 320 64C333.3 64 344 74.75 344 88V200C344 213.3 333.3 224 320 224C306.7 224 296 213.3 296 200V88zM511 167C520.4 157.7 535.6 157.7 544.1 167C554.3 176.4 554.3 191.6 544.1 200.1L464.1 280.1C455.6 290.3 440.4 290.3 431 280.1C421.7 271.6 421.7 256.4 431 247L511 167zM0 392C0 378.7 10.75 368 24 368H104C117.3 368 128 378.7 128 392C128 405.3 117.3 416 104 416H24C10.75 416 0 405.3 0 392zM424 368C437.3 368 448 378.7 448 392C448 405.3 437.3 416 424 416H216C202.7 416 192 405.3 192 392C192 378.7 202.7 368 216 368H424zM616 368C629.3 368 640 378.7 640 392C640 405.3 629.3 416 616 416H536C522.7 416 512 405.3 512 392C512 378.7 522.7 368 536 368H616z"],
    "keyboard-brightness-low": [512, 512, [], "e1c1", "M224 160C224 142.3 238.3 128 256 128C273.7 128 288 142.3 288 160C288 177.7 273.7 192 256 192C238.3 192 224 177.7 224 160zM64 224C64 206.3 78.33 192 96 192C113.7 192 128 206.3 128 224C128 241.7 113.7 256 96 256C78.33 256 64 241.7 64 224zM448 224C448 241.7 433.7 256 416 256C398.3 256 384 241.7 384 224C384 206.3 398.3 192 416 192C433.7 192 448 206.3 448 224zM448 384C448 366.3 462.3 352 480 352C497.7 352 512 366.3 512 384C512 401.7 497.7 416 480 416C462.3 416 448 401.7 448 384zM64 384C64 401.7 49.67 416 32 416C14.33 416 0 401.7 0 384C0 366.3 14.33 352 32 352C49.67 352 64 366.3 64 384zM352 352C369.7 352 384 366.3 384 384C384 401.7 369.7 416 352 416H160C142.3 416 128 401.7 128 384C128 366.3 142.3 352 160 352H352z"],
    "keyboard-down": [576, 512, [], "e1c2", "M276 136h24c6.656 0 12-5.344 12-12v-24c0-6.656-5.344-12-12-12h-24c-6.656 0-12 5.344-12 12v24C264 130.7 269.3 136 276 136zM356 136h24c6.656 0 12-5.344 12-12v-24c0-6.656-5.344-12-12-12h-24c-6.656 0-12 5.344-12 12v24C344 130.7 349.3 136 356 136zM196 136h24c6.656 0 12-5.344 12-12v-24c0-6.656-5.344-12-12-12h-24c-6.656 0-12 5.344-12 12v24C184 130.7 189.3 136 196 136zM460 88h-24c-6.656 0-12 5.344-12 12v24c0 6.656 5.344 12 12 12h24c6.656 0 12-5.344 12-12v-24C472 93.34 466.7 88 460 88zM512 .0001H64c-35.35 0-64 28.65-64 64V240c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V64C576 28.65 547.3 .0001 512 .0001zM528 240C528 248.8 520.8 256 512 256H64C55.18 256 48 248.8 48 240V64c0-8.822 7.178-16 16-16h448c8.822 0 16 7.178 16 16V240zM140 88h-24c-6.656 0-12 5.344-12 12v24c0 6.656 5.344 12 12 12h24c6.656 0 12-5.344 12-12v-24C152 93.34 146.7 88 140 88zM400 176h-224C167.1 176 160 183.1 160 192v16C160 216.9 167.1 224 176 224h224C408.9 224 416 216.9 416 208V192C416 183.1 408.9 176 400 176zM374.4 359.7L288 452.7l-86.41-93.06c-9.062-9.719-24.22-10.27-33.94-1.266c-9.688 9.031-10.25 24.16-1.251 33.86l104 112.1C274.1 509.2 281.3 512 288 512s13.03-2.786 17.59-7.676l104-112.1c9-9.703 8.436-24.83-1.251-33.86C398.6 349.4 383.4 349.1 374.4 359.7z"],
    "keyboard-left": [640, 512, [], "e1c3", "M436 280h24c6.656 0 12-5.344 12-12v-24c0-6.656-5.344-12-12-12h-24c-6.656 0-12 5.344-12 12v24C424 274.7 429.3 280 436 280zM284 232h-24c-6.656 0-12 5.344-12 12v24c0 6.656 5.344 12 12 12h24c6.656 0 12-5.344 12-12v-24C296 237.3 290.7 232 284 232zM356 200h24c6.656 0 12-5.344 12-12v-24c0-6.656-5.344-12-12-12h-24c-6.656 0-12 5.344-12 12v24C344 194.7 349.3 200 356 200zM436 200h24c6.656 0 12-5.344 12-12v-24c0-6.656-5.344-12-12-12h-24c-6.656 0-12 5.344-12 12v24C424 194.7 429.3 200 436 200zM120.1 159c-9.375-9.375-24.56-9.375-33.94 0l-80 80C2.344 243.7 .0002 249.9 .0002 255.1c0 6.141 2.344 12.29 7.031 16.98l80 80C91.72 357.7 97.84 360 104 360s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94L57.94 256l63.03-63.03C130.3 183.6 130.3 168.4 120.1 159zM356 280h24c6.656 0 12-5.344 12-12v-24c0-6.656-5.344-12-12-12h-24c-6.656 0-12 5.344-12 12v24C344 274.7 349.3 280 356 280zM540 152h-24c-6.656 0-12 5.344-12 12v24c0 6.656 5.344 12 12 12h24c6.656 0 12-5.344 12-12v-24C552 157.3 546.7 152 540 152zM575.1 64h-352c-35.35 0-64 28.65-64 64v256c0 35.35 28.65 64 64 64h352c35.35 0 64-28.65 64-64V128C639.1 92.65 611.3 64 575.1 64zM592 384c0 8.822-7.178 16-16 16H224c-8.822 0-16-7.178-16-16V128c0-8.822 7.178-16 16-16h352c8.822 0 16 7.178 16 16V384zM284 152h-24c-6.656 0-12 5.344-12 12v24c0 6.656 5.344 12 12 12h24c6.656 0 12-5.344 12-12v-24C296 157.3 290.7 152 284 152zM480 320h-160c-8.875 0-16 7.125-16 16V352c0 8.875 7.125 16 16 16h160c8.875 0 16-7.125 16-16v-16C496 327.1 488.9 320 480 320zM540 232h-24c-6.656 0-12 5.344-12 12v24c0 6.656 5.344 12 12 12h24c6.656 0 12-5.344 12-12v-24C552 237.3 546.7 232 540 232z"],
    "keynote": [512, 512, [], "f66c", "M507.4 257.9l-64-88C438.9 163.7 431.7 160 424 160H144V136c0-34.83 24.88-63.95 57.8-70.56C209.1 74.15 219.7 80 232 80h80C334.1 80 352 62.09 352 40C352 17.91 334.1 0 312 0h-80C218.4 0 206.9 7.246 199.7 17.65C141.3 25.69 96 75.42 96 136V160H88C80.33 160 73.11 163.7 68.59 169.9l-64 88C1.609 262 0 266.9 0 272v55.1C0 341.2 10.75 352 24 352h208v112h-80C138.8 464 128 474.8 128 488S138.8 512 152 512h208c13.25 0 24-10.75 24-24s-10.75-24-24-24h-80V352h208c13.25 0 24-10.75 24-24V272C512 266.9 510.4 262 507.4 257.9zM464 304h-416V279.8L100.2 208h311.6L464 279.8V304z"],
    "khanda": [576, 512, [9772], "f66d", "M447.7 65.1C445.4 64.75 442.7 64 439.1 64c-4.25 0-8.527 1.77-11.53 5.02c-5.125 5.375-5.833 13.37-1.958 19.5c16.5 26.25 25.23 56.34 25.23 87.46c-.25 53.25-26.74 102.6-71.24 132.4l-76.62 53.35v-20.12l44.01-36.12c3.875-4.125 4.983-10.13 2.858-15.26L342.8 273c33.88-19.25 56.94-55.25 56.94-97c0-40.75-22.06-76.12-54.56-95.75l5.151-11.39c2.375-5.5 .9824-11.87-3.518-15.1L287.9 .0074l-59.05 52.77c-4.5 4.25-5.861 10.59-3.611 16.09l5.203 11.32c-32.5 19.63-54.56 55.07-54.56 95.82c0 41.75 23.08 77.75 56.95 97L224.1 290.2C222.9 295.4 223.9 301.2 227.9 305.5l43.1 36.11v19.91L195.2 308.1c-44.25-29.5-70.72-78.9-70.97-132.1c0-31.12 8.73-61.2 25.23-87.45C153.3 82.4 151.8 74.75 146.8 69.5c-3-3.25-7.376-4.875-11.75-4.875c-2.875 0-5.75 .75-8.25 2.125C48.34 109.6 9.714 205.2 45.34 296c7 18 17.88 34.38 30.5 49l55.92 65.38c3.125 3.625 7.606 5.627 12.23 5.627c2.5 0 5.106-.6448 7.481-1.895l79.25-42.25l29.26 20.37l-47.09 32.75c-1.625-.375-3.125-1-4.1-1c-13.25 0-23.97 10.75-23.97 24s10.72 23.1 23.97 23.1c12.12 0 21.74-9.126 23.36-20.75l40.6-28.25v29.91c-9.375 5.625-15.97 15.37-15.97 27.12c0 17.62 14.37 31.1 31.1 31.1c17.62 0 31.1-14.37 31.1-31.1c0-11.75-6.656-21.52-16.03-27.14v-30.12l40.87 28.48c1.625 11.63 11.23 20.75 23.35 20.75c13.25 0 23.98-10.74 23.98-23.99s-10.73-24-23.98-24c-1.875 0-3.375 .625-5 1l-47.09-32.75l29.25-20.37l79.26 42.25c2.5 1.25 4.971 1.896 7.471 1.896c4.625 0 9.117-2.003 12.24-5.628l52.51-61.27c18.88-22 33.1-47.49 41.25-75.61C559.6 189.9 521.5 106.2 447.7 65.1zM151.5 359.8L112.2 313.9c-10.25-12-17.75-23.87-22.25-35.5c-8.125-20.5-11.12-41.5-9.625-61.88c10.62 53.25 41.87 100.6 87.5 131.1l2.75 1.875L151.5 359.8zM359.7 176c0 25.5-13.38 47.88-33.5 60.62l-8.803-19.64c-8.75-24.5-8.811-50.99-.061-75.61l11.24-24.62C347.3 129.8 359.7 151.4 359.7 176zM215.8 176c0-24.62 12.37-46.25 31.25-59.25l11.27 24.63c8.75 24.63 8.747 51.11-.0032 75.61L249.3 236.6C229.3 223.9 215.8 201.5 215.8 176zM491.5 261.5c-4.875 18.88-15.38 37.88-31.25 56.38l-35.75 41.88l-19.12-10.25l1.75-1.25c46.38-30.87 77.75-78.5 88.5-131.1C496.7 231 495.5 246.2 491.5 261.5z"],
    "kidneys": [640, 512, [], "f5fb", "M273 216.4L234.3 195.1c2.873-3.375 5.873-6.25 8.373-8.5C283.2 152.7 298.4 82.66 249.8 32.38C207.2-11.59 133.1-9.725 88.82 31.57C12.77 101.1-17.44 201 9.908 294.4c24.37 83.75 92.12 88.38 109.6 88.38c22.25 0 70.62-8.25 97.62-56.5c13.87-24.75 17.12-53.25 9.498-80.25l24.87 13.25c2.75 1.5 4.498 4.125 4.498 7.25v221.5C256 501.3 266.8 512 280 512s23.1-10.74 23.1-23.1V266.5C304 245.1 292.1 225.1 273 216.4zM211.4 151.1C200 160.9 161.5 193.5 180.4 258.6c11.5 39.13-18.62 67-43.5 73.75c-33.5 9.125-68.87-10.38-77.99-41.63c-27.25-93.75 3.5-173.3 67.74-228.6c27.37-23.5 67.37-19.25 89.74 4.875C239 91.48 237 128.1 211.4 151.1zM551.2 31.6c-45.16-41.32-118.5-43.19-161 .8184c-48.6 50.28-33.22 120.2 7.168 155.1c3 2.625 5.75 5.5 8.373 8.5l-38.75 20.38C347.9 225.1 335.1 245.1 335.1 266.5v221.5C335.1 501.3 346.7 512 360 512s23.99-10.74 23.99-23.1V266.5c0-3.125 1.748-5.75 4.498-7.25l24.87-13.25c-7.625 27-4.375 55.5 9.498 80.25c26.1 48.25 75.37 56.5 97.62 56.5c17.5 0 85.24-4.625 109.6-88.38C657.4 201 627.2 101.2 551.2 31.6zM581.1 290.7c-9.125 31.25-44.5 50.75-77.99 41.63C478.2 325.6 448.1 297.7 459.6 258.6c18.87-65.13-19.62-97.75-30.1-107.5c-25.62-22.13-27.62-59.63-5-84.13c22.37-24.13 62.37-28.38 89.74-4.875C577.6 117.5 608.3 196.1 581.1 290.7z"],
    "kip-sign": [384, 512, [], "e1c4", "M88 32C101.3 32 112 42.75 112 56V210.5L312.3 37.82C322.4 29.17 337.5 30.29 346.2 40.33C354.8 50.37 353.7 65.52 343.7 74.18L160.6 232H360C373.3 232 384 242.7 384 256C384 269.3 373.3 280 360 280H160.6L343.7 437.8C353.7 446.5 354.8 461.6 346.2 471.7C337.5 481.7 322.4 482.8 312.3 474.2L112 301.5V456.1C112 470.3 101.3 480.1 88 480.1C74.75 480.1 64 470.3 64 456.1V280H24C10.75 280 0 269.3 0 256C0 242.7 10.75 232 24 232H64V56C64 42.75 74.75 32 88 32V32z"],
    "kit-medical": [576, 512, ["first-aid"], "f479", "M512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM96 432H64c-8.801 0-16-7.201-16-16V96c0-8.801 7.199-16 16-16h32V432zM432 432h-288v-352h288V432zM528 416c0 8.799-7.199 16-16 16h-32v-352h32c8.801 0 16 7.199 16 16V416zM208 288H256v48C256 344.8 263.2 352 272 352h32c8.836 0 16-7.164 16-16V288h48C376.8 288 384 280.8 384 272v-32C384 231.2 376.8 224 368 224H320V176C320 167.2 312.8 160 304 160h-32C263.2 160 256 167.2 256 176V224H208C199.2 224 192 231.2 192 240v32C192 280.8 199.2 288 208 288z"],
    "kitchen-set": [576, 512, [], "e51a", "M208 144C208 179.3 179.3 208 144 208C108.7 208 80 179.3 80 144C80 108.7 108.7 80 144 80C179.3 80 208 108.7 208 144zM286 168C274.6 236.1 215.4 288 144 288C64.47 288 0 223.5 0 144C0 64.47 64.47 0 144 0C215.4 0 274.6 51.9 286 120H352.7C356.5 97.3 376.2 80 400 80H496C522.5 80 544 101.5 544 128V160C544 186.5 522.5 208 496 208H400C376.2 208 356.5 190.7 352.7 168H286zM144 48C90.98 48 48 90.98 48 144C48 197 90.98 240 144 240C197 240 240 197 240 144C240 90.98 197 48 144 48zM400 160H496V128H400V160zM376 264C376 250.7 386.7 240 400 240C413.3 240 424 250.7 424 264V272H520C533.3 272 544 282.7 544 296C544 309.3 533.3 320 520 320H512V464C512 490.5 490.5 512 464 512H336C309.5 512 288 490.5 288 464V320H280C266.7 320 256 309.3 256 296C256 282.7 266.7 272 280 272H376V264zM336 320V464H464V320H336zM32 336C32 327.2 39.16 320 48 320H176C202.5 320 224 341.5 224 368C224 394.5 202.5 416 176 416H160C160 433.7 145.7 448 128 448H64C46.33 448 32 433.7 32 416V336zM160 384H176C184.8 384 192 376.8 192 368C192 359.2 184.8 352 176 352H160V384zM0 488C0 474.7 10.75 464 24 464H200C213.3 464 224 474.7 224 488C224 501.3 213.3 512 200 512H24C10.75 512 0 501.3 0 488z"],
    "kite": [640, 512, [129665], "f6f4", "M608-.0007l-262.5 0c-14.88 0-27.72 10.28-31.22 24.79c0 0-79.14 344.6-79.27 346.4l-88.34 88.29c-3.176 3.176-7.122 4.586-10.95 4.586c-8.013 0-15.66-6.207-15.66-15.6L120.1 319.3l47.12 30.13c2.774 1.816 5.795 2.619 8.773 2.619c8.295 0 16.1-6.355 16.1-15.37V271.3c0-8.953-7.768-15.32-16.11-15.32c-2.956 0-5.985 .7992-8.765 2.566L120 288.8v-64.75c0-48.6-39.4-88.01-88-88.01L23.1 136C10.8 136 0 146.8 0 160s10.8 24 23.1 24L32 184c22.09 0 40 17.91 40 40v64.75L24.88 258.6C22.09 256.8 19.05 256 16.08 256C7.751 256 0 262.5 0 271.4v65.16c0 8.973 7.72 15.42 16.08 15.42c2.939 0 6.03-.8187 8.792-2.574L72 319.3v124C72 484.5 102.3 512 135.6 512c16.74 0 33.15-6.757 44.97-18.63l88.27-88.34c1.75-.125 346.3-79.28 346.3-79.28C629.7 322.4 640 309.4 640 294.5V31.99C640 14.31 625.7-.0007 608-.0007zM592 281.8L288 352l187.1-187.1l-116.8-116.9H592l-116.9 116.9L592 281.8z"],
    "kiwi-bird": [576, 512, [], "f535", "M424 224C424 210.7 434.7 200 448 200C461.3 200 472 210.7 472 224C472 237.3 461.3 248 448 248C434.7 248 424 237.3 424 224zM392.3 352C355.9 352 322.4 369.6 291.2 388.4C280.2 395.1 268.4 400.7 256 405.1V456C256 469.3 245.3 480 232 480C218.7 480 208 469.3 208 456V415.3C202.7 415.8 197.4 416 192 416C175.4 416 159.3 413.9 144 409.1V456C144 469.3 133.3 480 120 480C106.7 480 96 469.3 96 456V390.3C38.61 357.1 0 295.1 0 224C0 117.1 85.96 32 192 32C228.3 32 262.3 42.08 291.2 59.6C322.4 78.44 355.9 96 392.3 96H448C518.7 96 576 153.3 576 224V464C576 471.3 571.1 477.7 564 479.5C556.1 481.3 549.6 478.1 546 471.8L477.6 348.6C468.1 350.8 458.2 352 448 352H392.3zM392.3 304H448C492.2 304 528 268.2 528 224C528 179.8 492.2 144 448 144H392.3C341.3 144 297.6 119.6 266.4 100.7C244.7 87.56 219.3 80 191.1 80C112.5 80 47.1 144.5 47.1 224C47.1 303.5 112.5 368 191.1 368C219.3 368 244.7 360.4 266.4 347.3C297.6 328.4 341.3 304 392.3 304z"],
    "kiwi-fruit": [448, 512, [], "e30c", "M224 32C100.3 32 0 96.47 0 176V256c0 123.7 100.3 224 224 224s224-100.3 224-224V176C448 96.47 347.7 32 224 32zM384 176C384 184.8 376.8 192 368 192h-32C327.2 192 320 184.8 320 176S327.2 160 336 160h32C376.8 160 384 167.2 384 176zM292.7 108.7l16-16c6.25-6.25 16.38-6.25 22.62 0s6.25 16.38 0 22.62l-16 16C312.2 134.4 308.1 136 304 136s-8.188-1.562-11.31-4.688C286.4 125.1 286.4 114.9 292.7 108.7zM292.7 220.7c6.25-6.25 16.38-6.25 22.62 0l16 16c6.25 6.25 6.25 16.38 0 22.62C328.2 262.4 324.1 264 320 264s-8.188-1.562-11.31-4.688l-16-16C286.4 237.1 286.4 226.9 292.7 220.7zM208 80C208 71.16 215.2 64 224 64s16 7.156 16 16v24c0 8.844-7.156 16-16 16s-16-7.156-16-16V80zM224 149c30.93 0 56 12.09 56 27S254.9 203 224 203S168 190.9 168 176S193.1 149 224 149zM240 248V272C240 280.8 232.8 288 224 288S208 280.8 208 272V248c0-8.844 7.156-16 16-16S240 239.2 240 248zM116.7 92.69c6.25-6.25 16.38-6.25 22.62 0l16 16c6.25 6.25 6.25 16.38 0 22.62C152.2 134.4 148.1 136 144 136S135.8 134.4 132.7 131.3l-16-16C110.4 109.1 110.4 98.94 116.7 92.69zM155.3 243.3l-16 16C136.2 262.4 132.1 264 128 264S119.8 262.4 116.7 259.3c-6.25-6.25-6.25-16.38 0-22.62l16-16c6.25-6.25 16.38-6.25 22.62 0S161.6 237.1 155.3 243.3zM80 160h32C120.8 160 128 167.2 128 176S120.8 192 112 192h-32C71.16 192 64 184.8 64 176S71.16 160 80 160zM224 432c-93.91 0-170.7-73.99-175.5-166.7C89.5 298.6 152.8 320 224 320s134.5-21.42 175.5-54.71C394.7 358 317.9 432 224 432z"],
    "knife": [512, 512, ["utensil-knife"], "f2e4", "M508.6 127.1C501.6 163.3 483.9 196.6 457.8 222.7L366.6 314.1C360.6 320.1 353.6 325.8 345.8 329C338 332.3 329.7 333.1 321.2 334C312.8 334 304.4 332.4 296.6 329.2C288.8 325.1 281.7 321.2 275.7 315.3L246.9 286.5L41.6 504.5C37.22 509.2 31.17 511.9 24.79 512.1C18.41 512.3 12.21 509.9 7.567 505.5C2.92 501.1 .2036 495.1 .0145 488.7C-.1746 482.3 2.18 476.1 6.559 471.5L445 9.377C448.7 5.68 453.3 2.947 458.3 1.414C463.3-.119 468.6-.4035 473.7 .5847C478.8 1.573 483.6 3.804 487.7 7.083C491.8 10.36 494.1 14.59 497.1 19.39C511.6 53.33 515.6 90.83 508.6 127.1zM423.7 189.1C440.2 172.7 452.3 152.5 458.7 130.2C465.2 107.9 465.8 84.34 460.6 61.73L447 75.42L279.9 251.4L309.8 281.3C311.3 282.8 313.1 283.1 315 284.8C316.1 285.6 319.1 285.1 321.2 285.1C323.3 285.1 325.4 285.6 327.3 284.8C329.3 283.1 331 282.8 332.5 281.3L423.7 188.1V189.1z"],
    "knife-kitchen": [576, 512, [128298], "f6f5", "M566.3 43.24l-35.12-33.88c-12.92-12.46-34.07-12.46-46.1-.0007l-180.3 173.9c-6.521 6.289-6.525 16.74-.0059 23.03l89.9 86.79c5.809 5.607 14.88 6.01 21.16 .9395l23.38-18.87c6.25-6 9.75-14.12 9.75-22.62V207.1l118.2-119.4C579.3 76.11 579.3 55.74 566.3 43.24zM443.3 155.3c-6.256 6.25-16.36 6.25-22.62 0s-6.256-16.37 0-22.62s16.36-6.25 22.62 0S449.6 149.1 443.3 155.3zM507.3 91.3c-6.256 6.25-16.36 6.25-22.62 0c-6.256-6.25-6.256-16.37 0-22.62c6.256-6.25 16.36-6.25 22.62 0C513.6 74.93 513.6 85.18 507.3 91.3zM390.4 335c-9.297-8.955-24.05-8.98-33.34-.0117l-54.8 52.92c-50.84 49.05-118.6 76.06-190.8 76.06c-9.965 0-19.89-.5293-29.74-1.574l202.4-195.3c9.77-9.439 9.758-25.1-.0273-34.53C274.9 223.7 260.2 223.7 250.9 232.7L4.888 469.9C-3.862 478.2-.3621 492.5 11.39 496.4C44.2 506.9 77.99 512 111.5 512c82.74 0 163.7-31.23 224.1-89.51l54.83-52.93C400.3 360.1 400.3 344.5 390.4 335z"],
    "l": [320, 512, [108], "4c", "M296 480h-240C42.75 480 32 469.3 32 456V56C32 42.75 42.75 32 56 32S80 42.75 80 56V432h216c13.25 0 24 10.75 24 24S309.3 480 296 480z"],
    "lacrosse-stick": [640, 512, [], "e3b5", "M608 184.7C608 110.5 537.1 0 435.1 0c-95.81 0-87.21 84.52-165.7 145.6L263.2 150.4C253.3 158.1 214.5 189.9 214.5 252.8c0 20.8 5.584 40.58 15.22 57.94l-189.2 158.9c-5.648 4.751-8.562 11.55-8.562 18.39C32 504.1 45.73 512 56.02 512c5.438 0 10.92-1.844 15.42-5.625l189.6-159.3c26.17 20.27 53.79 25.87 78.62 25.87c26.7 0 53.6-8.506 76.28-26.14l6.237-4.873c27.08-21.04 61.41-36.49 107.1-48.63C567.9 283.5 608 248.8 608 184.7zM559.9 184.9c0 83.54-73.57 46.45-167.3 119.3l-6.148 4.805c-13.51 10.51-29.69 16.06-46.8 16.06c-68.71 0-77.22-59.5-77.22-71.69c0-.1383-.0111-.553-.0111-1.211c0-6.971 1.245-41.25 30.09-63.69l6.365-4.928C387.5 114.5 371.9 48 435.1 48C494.1 48 559.9 117.7 559.9 184.9z"],
    "lacrosse-stick-ball": [640, 512, [], "e3b6", "M528 352c-44.18 0-79.1 35.82-79.1 80c0 44.18 35.82 80 79.1 80C572.2 512 608 476.2 608 432C608 387.8 572.2 352 528 352zM528 464c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S545.6 464 528 464zM608 184.7C608 110.5 537.1 0 435.1 0c-95.81 0-87.21 84.52-165.7 145.6L263.2 150.4C253.3 158.1 214.5 189.9 214.5 252.8c0 20.8 5.585 40.58 15.23 57.94l-189.2 158.9C34.91 474.4 32 481.2 32 488C32 504.1 45.73 512 56.02 512c5.438 0 10.92-1.844 15.42-5.625l189.6-159.3c26.17 20.27 53.79 25.87 78.62 25.87c26.7 0 53.6-8.506 76.28-26.14l6.237-4.873c27.08-21.04 61.41-36.49 107.1-48.63C567.9 283.5 608 248.8 608 184.7zM392.6 304.1l-6.148 4.805c-13.51 10.51-29.69 16.06-46.8 16.06c-68.71 0-77.22-59.5-77.22-71.69c0-.1383-.0111-.5529-.0111-1.211c0-6.97 1.244-41.25 30.1-63.69l6.365-4.928C387.5 114.5 371.9 48 435.1 48c59.05 0 124.9 69.66 124.9 136.9C559.9 268.4 486.4 231.3 392.6 304.1z"],
    "lambda": [448, 512, [], "f66e", "M447.1 456c0 13.25-10.75 24-23.1 24H359.1c-8.812 0-16.94-4.844-21.12-12.59L171.8 158l-125.6 307C42.41 474.4 33.44 480 24 480c-3.031 0-6.125-.5625-9.094-1.781c-12.25-5.031-18.12-19.03-13.12-31.31L142.3 103.4L129.7 80h-105.7c-13.25 0-23.1-10.75-23.1-24S10.75 32 24 32h119.1c8.812 0 16.94 4.844 21.12 12.59L374.3 432h49.69C437.2 432 447.1 442.8 447.1 456z"],
    "lamp": [448, 512, [], "f4ca", "M445.5 237.8l-77.5-216C363.2 8.625 352.4 0 340.4 0H120.6C109.2 0 98.72 7.75 93.6 19.88l-90.38 216C-6.782 259.8 7.719 288 30.22 288h89.13c-24.63 35.13-39.38 78.5-39.38 113.6c0 32.62 12.75 64.13 36 88.62C128.1 504.1 147.7 512 167.5 512h113c19.75 0 38.5-7.875 51.5-21.75c23.25-24.5 36-56 36-88.62c0-35.13-14.75-78.5-39.38-113.6h89.13C439.5 288 454.1 261.6 445.5 237.8zM319.1 401.6c0 21.25-8.75 40.62-22.88 55.62C292.7 461.8 286.7 464 280.5 464H167.5c-6.25 0-12.38-2.25-16.63-6.75c-14.13-15-22.88-34.37-22.88-55.62c0-34.75 22.75-87.38 55.63-113.6h80.63C297.2 314.2 319.1 366.9 319.1 401.6zM53.47 240l80.38-192h192.6l68.88 192H53.47z"],
    "lamp-desk": [512, 512, [], "e014", "M392.7 278.6c9.576 6.45 20.54 9.616 31.44 9.616c21.33 0 55.94-16.48 55.94-55.89c0-10.89-3.168-21.84-9.623-31.41L392.7 278.6zM512 99.62c0-19.1-15.46-35.24-35.22-35.24H391.8l-35.88-35.84c-18.59-18.86-43.32-28.54-68.2-28.54c-19.61 0-39.32 6.016-56.18 18.29C205.9 36.77 192 65.84 192 95.61c0 14.9 3.486 29.96 10.74 43.96l-99.75 99.67C98.46 243.8 95.98 249.9 95.98 256.2c0 2.173 .2967 4.364 .9069 6.514L154.5 464H24C10.75 464 0 474.7 0 488C0 501.3 10.75 512 24 512h336c13.25 0 24-10.75 24-24c0-13.26-10.75-24-24-24H204.4L147 263.2l86.13-86.05l22.88 22.86v84.93c0 19.59 15.99 35.19 35.28 35.19c9.161 0 18.18-3.581 24.85-10.33l185.5-185.3C508.4 117.8 512 108.8 512 99.62zM304 254.1V180.2l-49.88-49.83c-9.11-9.349-13.64-21.43-13.64-33.49c0-37.53 34.4-47.89 47.98-47.89c12.08 0 24.18 4.528 33.53 13.57l49.88 49.83h74L304 254.1z"],
    "lamp-floor": [384, 512, [], "e015", "M381.1 212.8l-71.11-192C306.4 8.375 294.5 0 281.2 0H102.8C89.52 0 77.77 8.375 73.15 20.75l-71.11 192C-5.715 233.6 9.656 256 31.65 256h136.6v208H88C74.75 464 64 474.7 64 488C64 501.3 74.75 512 88 512h208c13.25 0 24-10.75 24-24c0-13.26-10.75-24-24-24h-80.25V256h136.6C374.3 256 389.7 233.6 381.1 212.8zM54.52 208l59.24-160h156.5l59.24 160H54.52z"],
    "lamp-street": [512, 512, [], "e1c5", "M320 512c35.38 0 64.01-28.62 64.01-64h-128C256 483.4 284.7 512 320 512zM344 225.8L344 120C344 53.83 290.2 0 224 0H120C53.84 0 0 53.83 0 120V512h48V120c0-39.7 32.31-72 72-72H224c39.69 0 72 32.3 72 72v105.8c-86.61 10.7-155.6 77.66-167.8 163.1C126.3 403.2 137.9 416 152.4 416h335.2c14.53 0 26.16-12.81 24.19-27.16C499.6 303.4 430.7 236.5 344 225.8zM182.6 368c9.878-27.52 28.04-51.16 51.52-68.06c24.71-17.79 54.98-26.15 85.43-26.15h.9344c30.46 0 60.75 8.377 85.47 26.18C429.4 316.9 447.6 340.5 457.4 368H182.6z"],
    "land-mine-on": [576, 512, [], "e51b", "M311.1 168C311.1 181.3 301.3 192 287.1 192C274.7 192 263.1 181.3 263.1 168V24C263.1 10.75 274.7 0 287.1 0C301.3 0 311.1 10.75 311.1 24V168zM159.1 336C159.1 309.5 181.5 288 207.1 288H367.1C394.5 288 415.1 309.5 415.1 336V352H447.5C467.1 352 484.8 363.9 492.1 382.2L526.4 468.1C534.9 489.1 519.4 512 496.7 512H79.26C56.62 512 41.14 489.1 49.55 468.1L83.93 382.2C91.22 363.9 108.9 352 128.5 352H159.1L159.1 336zM473.1 464L447.5 400H128.5L102.9 464H473.1zM4.266 138.3C11.81 127.4 26.76 124.7 37.66 132.3L141.7 204.3C152.6 211.8 155.3 226.8 147.7 237.7C140.2 248.6 125.2 251.3 114.3 243.7L10.34 171.7C-.5607 164.2-3.279 149.2 4.266 138.3V138.3zM538.3 132.3C549.2 124.7 564.2 127.4 571.7 138.3C579.3 149.2 576.6 164.2 565.7 171.7L461.7 243.7C450.8 251.3 435.8 248.6 428.3 237.7C420.7 226.8 423.4 211.8 434.3 204.3L538.3 132.3z"],
    "landmark": [512, 512, [127963], "f66f", "M494.4 128.1C505.3 134.1 512 145.5 512 157.9C512 176.8 496.8 192 477.9 192H34.06C15.25 192 0 176.8 0 157.9C0 145.5 6.745 134.1 17.61 128.1L244.4 2.986C251.6-.9954 260.4-.9954 267.6 2.986L494.4 128.1zM88.18 144H423.8L256 51.41L88.18 144zM112 384H176V224H224V384H288V224H336V384H400V224H448V384H456C469.3 384 480 394.7 480 408C480 421.3 469.3 432 456 432H56C42.75 432 32 421.3 32 408C32 394.7 42.75 384 56 384H64V224H112V384zM0 488C0 474.7 10.75 464 24 464H488C501.3 464 512 474.7 512 488C512 501.3 501.3 512 488 512H24C10.75 512 0 501.3 0 488z"],
    "landmark-dome": [512, 512, ["landmark-alt"], "f752", "M256 0C269.3 0 280 10.75 280 24V33.49C369.5 44.65 439.9 117.4 447.3 208H456C469.3 208 480 218.7 480 232C480 245.3 469.3 256 456 256H56C42.75 256 32 245.3 32 232C32 218.7 42.75 208 56 208H64.66C72.13 117.4 142.5 44.65 232 33.49V24C232 10.75 242.7 0 256 0V0zM112.9 208H399.1C391.2 136 330.1 80 255.1 80C181.9 80 120.8 136 112.9 208H112.9zM112 384H176V288H224V384H288V288H336V384H400V288H448V384H456C469.3 384 480 394.7 480 408C480 421.3 469.3 432 456 432H64C50.75 432 40 421.3 40 408C40 394.7 50.75 384 64 384V288H112V384zM8 488C8 474.7 18.75 464 32 464H488C501.3 464 512 474.7 512 488C512 501.3 501.3 512 488 512H32C18.75 512 8 501.3 8 488z"],
    "landmark-flag": [512, 512, [], "e51c", "M352 0C360.8 0 368 7.164 368 16V80C368 88.84 360.8 96 352 96H272V128H464C477.3 128 488 138.7 488 152C488 165.3 477.3 176 464 176H48C34.75 176 24 165.3 24 152C24 138.7 34.75 128 48 128H240V16C240 7.164 247.2 0 256 0H352zM112 384H176V208H224V384H288V208H336V384H400V208H448V384H456C469.3 384 480 394.7 480 408C480 421.3 469.3 432 456 432H56C42.75 432 32 421.3 32 408C32 394.7 42.75 384 56 384H64V208H112V384zM0 488C0 474.7 10.75 464 24 464H488C501.3 464 512 474.7 512 488C512 501.3 501.3 512 488 512H24C10.75 512 0 501.3 0 488z"],
    "language": [640, 512, [], "f1ab", "M456 164C467 164 476 172.1 476 184V188H536C547 188 556 196.1 556 208C556 219 547 228 536 228H534L532.4 232.5C523.5 256.1 509.9 279.1 492.7 297.9C493.6 298.4 494.5 298.1 495.4 299.5L514.3 310.8C523.8 316.5 526.8 328.8 521.1 338.3C515.5 347.8 503.2 350.8 493.7 345.1L474.8 333.8C470.4 331.1 465.1 328.3 461.7 325.3C451.2 332.8 439.8 339.3 427.8 344.7L424.1 346.3C414 350.8 402.2 346.2 397.7 336.1C393.2 326 397.8 314.2 407.9 309.7L411.5 308.1C417.9 305.2 424.1 301.1 430 298.3L417.9 286.1C410 278.3 410 265.7 417.9 257.9C425.7 250 438.3 250 446.1 257.9L460.7 272.4L461.3 272.1C473.7 259.9 483.8 244.7 491.1 227.1H384C372.1 227.1 364 219 364 207.1C364 196.1 372.1 187.1 384 187.1H436V183.1C436 172.1 444.1 163.1 456 163.1L456 164zM140.1 276L160 233.2L179 276H140.1zM576 64C611.3 64 640 92.65 640 128V384C640 419.3 611.3 448 576 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H576zM576 112H320V400H576C584.8 400 592 392.8 592 384V128C592 119.2 584.8 112 576 112zM178.3 175.9C175.1 168.7 167.9 164 160 164C152.1 164 144.9 168.7 141.7 175.9L77.72 319.9C73.24 329.1 77.78 341.8 87.88 346.3C97.97 350.8 109.8 346.2 114.3 336.1L123.2 315.1H196.8L205.7 336.1C210.2 346.2 222 350.8 232.1 346.3C242.2 341.8 246.8 329.1 242.3 319.9L178.3 175.9z"],
    "laptop": [640, 512, [128187], "f109", "M616 352H24C10.75 352 0 362.8 0 376v16C0 440.5 39.47 480 88 480h464c48.53 0 88-39.47 88-88v-16C640 362.8 629.3 352 616 352zM552 432H88c-19.31 0-35.48-13.77-39.2-32h542.4C587.5 418.2 571.3 432 552 432zM112 88c0-4.406 3.594-8 8-8h400c4.406 0 8 3.594 8 8V320H576V88C576 57.13 550.9 32 520 32H120C89.13 32 64 57.13 64 88V320h48V88z"],
    "laptop-arrow-down": [640, 512, [], "e1c6", "M528 88V320H576V88C576 57.13 550.9 32 520 32H384v48h136C524.4 80 528 83.59 528 88zM223 199c-9.375 9.375-9.375 24.56 0 33.94l80 80c9.375 9.375 24.56 9.375 33.94 0l80-80c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0L344 238.1V56c0-13.25-10.75-24-23.1-24S296 42.75 296 56v182.1L256.1 199C252.3 194.3 246.2 192 240 192S227.7 194.3 223 199zM616 352H24C10.75 352 0 362.8 0 376v16C0 440.5 39.47 480 88 480h464c48.53 0 88-39.47 88-88v-16C640 362.8 629.3 352 616 352zM552 432H88c-19.31 0-35.48-13.77-39.2-32h542.4C587.5 418.2 571.3 432 552 432zM112 88c0-4.406 3.594-8 8-8h129.5V32H120C89.13 32 64 57.13 64 88V320h48V88z"],
    "laptop-code": [640, 512, [], "f5fc", "M616 352H24C10.75 352 0 362.8 0 376v16C0 440.5 39.47 480 88 480h464c48.53 0 88-39.47 88-88v-16C640 362.8 629.3 352 616 352zM552 432H88c-19.31 0-35.48-13.77-39.2-32h542.4C587.5 418.2 571.3 432 552 432zM112 88c0-4.406 3.594-8 8-8h400c4.406 0 8 3.594 8 8V320H576V88C576 57.13 550.9 32 520 32H120C89.13 32 64 57.13 64 88V320h48V88zM365.9 262.2C369.8 266.1 374.9 268 380 268s10.23-1.938 14.14-5.844l48-48c7.812-7.812 7.812-20.5 0-28.31l-48-48c-7.812-7.812-20.47-7.812-28.28 0s-7.812 20.5 0 28.31l33.86 33.84l-33.86 33.84C358 241.7 358 254.4 365.9 262.2zM274.1 137.9c-7.812-7.812-20.47-7.812-28.28 0l-48 48c-7.812 7.812-7.812 20.5 0 28.31l48 48C249.8 266.1 254.9 268 260 268S270.2 266.1 274.1 262.2c7.812-7.812 7.812-20.5 0-28.31L240.3 200L274.1 166.2C281.1 158.4 281.1 145.7 274.1 137.9z"],
    "laptop-file": [640, 512, [], "e51d", "M48 368H224V416H48C21.49 416 0 394.5 0 368V48C0 21.49 21.49 0 48 0H204.1C216.8 0 229.1 5.057 238.1 14.06L305.9 81.94C314.9 90.94 320 103.2 320 115.9V208H272V128H224C206.3 128 192 113.7 192 96V48H48V368zM312 256H552C574.1 256 592 273.9 592 296V464H616C629.3 464 640 474.7 640 488C640 501.3 629.3 512 616 512H248C234.7 512 224 501.3 224 488C224 474.7 234.7 464 248 464H272V296C272 273.9 289.9 256 312 256zM320 304V464H544V304H320z"],
    "laptop-medical": [640, 512, [], "f812", "M112 88c0-4.406 3.594-8 8-8h400c4.406 0 8 3.594 8 8V320H576V88C576 57.13 550.9 32 520 32H120C89.13 32 64 57.13 64 88V320h48V88zM616 352H24C10.75 352 0 362.8 0 376v16C0 440.5 39.47 480 88 480h464c48.53 0 88-39.47 88-88v-16C640 362.8 629.3 352 616 352zM552 432H88c-19.31 0-35.48-13.77-39.2-32h542.4C587.5 418.2 571.3 432 552 432zM304 320h32c8.801 0 16-7.201 16-16V255.1h48c8.801 0 16-7.202 16-15.1V207.1C416 199.2 408.8 192 400 192H352V144C352 135.2 344.8 128 336 128h-32C295.2 128 288 135.2 288 144V192H240C231.2 192 224 199.2 224 207.1V240c0 8.797 7.199 15.1 16 15.1H288V303.1C288 312.8 295.2 320 304 320z"],
    "laptop-mobile": [640, 512, ["phone-laptop"], "f87a", "M112 64c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16v32H512V64c0-35.35-28.65-64-64-64H128C92.65 0 64 28.65 64 64v256H16C7.164 320 0 327.2 0 336C0 362.5 21.49 384 48 384H352v-64H112V64zM576 128h-128c-35.35 0-64 28.65-64 64v256c0 35.35 28.65 64 64 64h128c35.35 0 64-28.65 64-64V192C640 156.7 611.3 128 576 128zM592 448c0 8.822-7.178 16-16 16h-128c-8.822 0-16-7.178-16-16V192c0-8.822 7.178-16 16-16h128c8.822 0 16 7.178 16 16V448z"],
    "laptop-slash": [640, 512, [], "e1c7", "M64 146.4V320h48V184L64 146.4zM88 432c-19.31 0-35.48-13.77-39.2-32h338.8L326.3 352H24C10.75 352 0 362.8 0 376v16C0 440.5 39.47 480 88 480h401.6l-61.25-48H88zM640 376c0-13.25-10.75-24-24-24h-134.6L134.4 80H520c4.406 0 8 3.594 8 8V320H576V88C576 57.13 550.9 32 520 32H120C107.7 32 96.38 36.19 87.14 42.1L38.81 5.111C28.34-3.061 13.32-1.249 5.12 9.189C-3.051 19.63-1.234 34.72 9.188 42.89l591.1 463.1C605.6 510.3 610.8 512 615.1 512c7.125 0 14.17-3.159 18.9-9.19c8.172-10.44 6.354-25.53-4.068-33.7l-18.08-14.17C629.4 439 640 416.9 640 392V376zM574.2 424.7L542.6 400h48.56C589.1 410.4 582.7 418.1 574.2 424.7z"],
    "lari-sign": [384, 512, [], "e1c8", "M144 32C157.3 32 168 42.75 168 56V97.49C175.9 96.5 183.9 96 192 96C200.1 96 208.1 96.5 216 97.49V56C216 42.75 226.7 32 240 32C253.3 32 264 42.75 264 56V109.1C322.9 133.8 367.2 185.1 380.2 249.6C382.8 262.6 374.4 275.3 361.4 277.9C348.4 280.6 335.8 272.2 333.1 259.2C324.8 218.2 299.1 183.6 264 163.3V264C264 277.3 253.3 288 240 288C226.7 288 216 277.3 216 264V145.1C208.2 144.7 200.2 144 192 144C183.8 144 175.8 144.7 168 145.1V264C168 277.3 157.3 288 144 288C130.7 288 120 277.3 120 264V163.3C76.96 188.2 48 234.7 48 288C48 367.5 112.5 432 192 432H360C373.3 432 384 442.7 384 456C384 469.3 373.3 480 360 480H24C10.75 480 0 469.3 0 456C0 442.7 10.75 432 24 432H65C25.14 396.8 0 345.3 0 288C0 207.4 49.64 138.4 120 109.1V56C120 42.75 130.7 32 144 32z"],
    "lasso": [576, 512, [], "f8c8", "M576 176C576 273.2 447.1 352 288 352C273.1 352 258.4 351.3 244.1 349.1C251.8 365.3 256 382.4 256 400.2C256 461.9 205.9 512 144.2 512H56C42.75 512 32 501.3 32 488C32 474.7 42.75 464 56 464H144.2C179.4 464 208 435.4 208 400.2C208 375.3 193.5 352.7 170.9 342.2L126.6 321.8C50.2 290.1 0 236.6 0 176C0 78.8 128.9 0 288 0C447.1 0 576 78.8 576 176zM288 304C420.5 304 528 246.7 528 176C528 105.3 420.5 48 288 48C155.5 48 48 105.3 48 176C48 246.7 155.5 304 288 304z"],
    "lasso-sparkles": [576, 512, [], "e1c9", "M281.4 25.36L255.3 34.98C246.4 38.28 238.9 44.04 233.5 51.31C127.2 64.47 48 115.3 48 176C48 246.7 155.5 304 288 304C420.5 304 528 246.7 528 176C528 138.1 497.1 104 447.1 80.59L448 80C448 59.92 435.5 41.95 416.7 34.98L390.6 25.36L385 10.24C496.4 34.58 576 99.61 576 176C576 273.2 447.1 352 288 352C273.1 352 258.4 351.3 244.1 349.1C251.8 365.3 256 382.4 256 400.2C256 461.9 205.9 512 144.2 512H56C42.75 512 32 501.3 32 488C32 474.7 42.75 464 56 464H144.2C179.4 464 208 435.4 208 400.2C208 375.3 193.5 352.7 170.9 342.2L126.6 321.8C50.2 290.1 0 236.6 0 176C0 78.8 128.9 0 288 0L290.7 .0077L281.4 25.36zM365.7 50.26L405.6 64.99C411.8 67.32 416 73.31 416 80C416 86.7 411.8 92.68 405.6 95.01L365.7 109.7L351 149.6C348.7 155.8 342.7 160 336 160C329.3 160 323.3 155.8 320.1 149.6L306.3 109.7L266.4 95.01C260.2 92.68 256 86.7 256 80C256 73.31 260.2 67.32 266.4 64.99L306.3 50.26L320.1 10.45C323.3 4.169 329.3 .0003 336 .0003C342.7 .0003 348.7 4.169 351 10.45L365.7 50.26zM496 352C502.7 352 508.7 356.2 511 362.4L525.7 402.3L565.6 416.1C571.8 419.3 576 425.3 576 432C576 438.7 571.8 444.7 565.6 447L525.7 461.7L511 501.6C508.7 507.8 502.7 512 496 512C489.3 512 483.3 507.8 480.1 501.6L466.3 461.7L426.4 447C420.2 444.7 416 438.7 416 432C416 425.3 420.2 419.3 426.4 416.1L466.3 402.3L480.1 362.4C483.3 356.2 489.3 352 496 352z"],
    "layer-group": [512, 512, [], "f5fd", "M231.2 5.092C239 1.732 247.5 0 256 0C264.5 0 272.1 1.732 280.8 5.092L490.1 94.79C503.4 100.5 512 113.5 512 128C512 142.5 503.4 155.5 490.1 161.2L280.8 250.9C272.1 254.3 264.5 256 256 256C247.5 256 239 254.3 231.2 250.9L21.9 161.2C8.614 155.5 0 142.5 0 128C0 113.5 8.614 100.5 21.9 94.79L231.2 5.092zM256 48C253.1 48 251.1 48.41 250.1 49.21L66.26 128L250.1 206.8C251.1 207.6 253.1 208 256 208C258 208 260 207.6 261.9 206.8L445.7 128L261.9 49.21C260 48.41 258 48 256 48V48zM250.1 334.8C251.1 335.6 253.1 336 256 336C258 336 260 335.6 261.9 334.8L452 253.3C447.4 246.4 446.5 237.2 450.5 229.3C456.5 217.4 470.9 212.6 482.7 218.5L491.8 223.1C504.2 229.3 512 241.9 512 255.7C512 270.4 503.3 283.6 489.9 289.3L280.8 378.9C272.1 382.3 264.5 384 256 384C247.5 384 239 382.3 231.2 378.9L22.81 289.6C8.971 283.7 .0006 270.1 .0006 255C.0006 242.9 5.869 231.5 15.76 224.4L26.05 217C36.84 209.3 51.83 211.8 59.53 222.6C66.15 231.9 65.24 244.3 57.1 252.5L250.1 334.8zM59.53 350.6C66.15 359.9 65.24 372.3 57.1 380.5L250.1 462.8C251.1 463.6 253.1 464 256 464C258 464 260 463.6 261.9 462.8L452 381.3C447.4 374.4 446.5 365.2 450.5 357.3C456.5 345.4 470.9 340.6 482.7 346.5L491.8 351.1C504.2 357.3 512 369.9 512 383.7C512 398.4 503.3 411.6 489.9 417.3L280.8 506.9C272.1 510.3 264.5 512 256 512C247.5 512 239 510.3 231.2 506.9L22.81 417.6C8.971 411.7 .001 398.1 .001 383C.001 370.9 5.87 359.5 15.76 352.4L26.05 345C36.84 337.3 51.83 339.8 59.53 350.6L59.53 350.6z"],
    "layer-minus": [512, 512, ["layer-group-minus"], "f5fe", "M488 60C499 60 508 68.95 508 80C508 91.05 499 100 488 100H376C364.1 100 356 91.05 356 80C356 68.95 364.1 60 376 60H488zM231.2 133.1C239 129.7 247.5 128 256 128C264.5 128 272.1 129.7 280.8 133.1L490.1 222.8C503.4 228.5 512 241.5 512 256C512 270.5 503.4 283.5 490.1 289.2L280.8 378.9C272.1 382.3 264.5 384 256 384C247.5 384 239 382.3 231.2 378.9L21.9 289.2C8.614 283.5 0 270.5 0 256C0 241.5 8.614 228.5 21.9 222.8L231.2 133.1zM256 176C253.1 176 251.1 176.4 250.1 177.2L66.26 256L250.1 334.8C251.1 335.6 253.1 336 256 336C258 336 260 335.6 261.9 334.8L445.7 256L261.9 177.2C260 176.4 258 176 256 176V176zM250.1 462.8C251.1 463.6 253.1 464 256 464C258 464 260 463.6 261.9 462.8L452 381.3C447.4 374.4 446.5 365.2 450.5 357.3C456.5 345.4 470.9 340.6 482.7 346.5L491.8 351.1C504.2 357.3 512 369.9 512 383.7C512 398.4 503.3 411.6 489.9 417.3L280.8 506.9C272.1 510.3 264.5 512 256 512C247.5 512 239 510.3 231.2 506.9L22.81 417.6C8.971 411.7 .0006 398.1 .0006 383C.0006 370.9 5.869 359.5 15.76 352.4L26.05 345C36.84 337.3 51.83 339.8 59.53 350.6C66.15 359.9 65.24 372.3 57.1 380.5L250.1 462.8z"],
    "layer-plus": [512, 512, ["layer-group-plus"], "f5ff", "M452 60H488C499 60 508 68.95 508 80C508 91.05 499 100 488 100H452V136C452 147 443 156 432 156C420.1 156 412 147 412 136V100H376C364.1 100 356 91.05 356 80C356 68.95 364.1 60 376 60H412V24C412 12.95 420.1 4 432 4C443 4 452 12.95 452 24V60zM280.8 133.1L490.1 222.8C503.4 228.5 512 241.5 512 256C512 270.5 503.4 283.5 490.1 289.2L280.8 378.9C272.1 382.3 264.5 384 256 384C247.5 384 239 382.3 231.2 378.9L21.9 289.2C8.614 283.5 0 270.5 0 256C0 241.5 8.614 228.5 21.9 222.8L231.2 133.1C239 129.7 247.5 128 256 128C264.5 128 272.1 129.7 280.8 133.1V133.1zM66.26 256L250.1 334.8C251.1 335.6 253.1 336 256 336C258 336 260 335.6 261.9 334.8L445.7 256L261.9 177.2C260 176.4 258 176 256 176C253.1 176 251.1 176.4 250.1 177.2L66.26 256zM59.53 350.6C66.15 359.9 65.24 372.3 57.1 380.5L250.1 462.8C251.1 463.6 253.1 464 256 464C258 464 260 463.6 261.9 462.8L452 381.3C447.4 374.4 446.5 365.2 450.5 357.3C456.5 345.4 470.9 340.6 482.7 346.5L491.8 351.1C504.2 357.3 512 369.9 512 383.7C512 398.4 503.3 411.6 489.9 417.3L280.8 506.9C272.1 510.3 264.5 512 256 512C247.5 512 239 510.3 231.2 506.9L22.81 417.6C8.971 411.7 .001 398.1 .001 383C.001 370.9 5.87 359.5 15.76 352.4L26.05 345C36.84 337.3 51.83 339.8 59.53 350.6L59.53 350.6z"],
    "leaf": [512, 512, [], "f06c", "M486.2 39.98C483.8 34.67 478.8 32 473.8 32c-4.744 0-9.547 2.381-12.3 7.157c-24.99 43.27-70.11 65.15-115.9 65.15c-11.18 0-22.4-1.304-33.39-3.917c-12.89-3.067-26.35-4.481-40.18-4.481c-97.2 0-176 78.89-176 176.1c0 8.823 .8569 17.43 2.111 25.91c-79.4 69.13-97.38 152.1-97.65 153.4c-2.594 12.97 5.797 25.53 18.73 28.19C20.83 479.8 22.44 480 24.02 480c11.14 0 21.14-7.844 23.5-19.16c.8594-4.149 13.51-60.14 65.91-112.9c28.38 59.12 88.63 100 158.6 100c22.87 0 44.65-4.517 64.69-12.46C441.9 400.7 512 293.3 512 165.4C512 121.9 502.7 76.76 486.2 39.98zM321.6 389.1l-1.316 .4356l-1.289 .5098c-15.19 6.018-31.03 9.079-47.03 9.098c-55.15 0-101.8-35.26-119.8-84.27c41.54-28.86 98.73-52.64 177.1-59.84c13.2-1.219 22.92-12.88 21.73-26.1c-1.219-13.19-13.25-22.88-26.08-21.72c-76.92 6.997-135.6 28.72-181.1 56.24c4.057-66.96 59.28-120.3 127.3-120.3c10.67 0 20.44 1.039 29.05 3.086c14.56 3.465 29.53 5.221 44.5 5.221c42.61 0 82.12-13.73 113.5-38.33C462.3 130.9 464 148.4 464 165.4C464 271.6 406.8 361.8 321.6 389.1z"],
    "leaf-heart": [512, 512, [], "f4cb", "M486.2 39.98C483.8 34.67 478.8 32 473.8 32c-4.744 0-9.547 2.381-12.3 7.156c-24.99 43.27-70.11 65.15-115.9 65.15c-11.18 0-22.41-1.304-33.39-3.917c-12.89-3.066-26.35-4.527-40.18-4.527C174.8 95.86 96 174.8 96 272c0 8.561 .8184 16.91 1.1 25.14c-79.55 68.59-96.8 150.5-97.53 154.1c-2.609 13 5.828 25.66 18.83 28.25C20.89 479.8 22.47 480 24.03 480c11.2 0 21.22-7.875 23.51-19.28c.1348-.6719 13.24-57.63 66.44-111.6c28.6 58.5 88.53 98.88 158 98.88c22.87 0 44.65-4.518 64.69-12.46C441.9 400.7 512 293.2 512 165.4C512 121.9 502.7 76.76 486.2 39.98zM321.6 389.1l-1.316 .4355l-1.289 .5098C303.8 396.9 287.1 399.1 272 400c-70.58 0-128-57.42-128-128c0-70.58 57.43-128 128-128c10.67 0 20.44 1.039 29.05 3.086c14.56 3.465 29.53 5.221 44.5 5.221c42.61 0 82.12-13.72 113.5-38.32C462.3 130.9 464 148.4 464 165.4C464 271.6 406.8 361.8 321.6 389.1zM303.1 207.8l-7.188 7.188l-7.188-7.188c-18.34-18.55-47.92-21.57-67.92-4.898c-22.92 19.17-24.17 53.55-3.646 74.28l70.63 71.36c4.584 4.582 11.88 4.582 16.46 0l70.63-71.36c20.52-20.73 19.27-55.11-3.75-74.28C351.2 186.3 321.4 189.3 303.1 207.8z"],
    "leaf-maple": [512, 512, [127809], "f6f6", "M512 188c-.1562-13.91-7.391-26.52-19.28-33.7c-.0313 0 .0313 0 0 0L472.1 142l7.25-65.28c1.375-12.09-2.781-24-11.38-32.59s-20.44-12.97-32.63-11.47l-65.33 7.281l-12.34-20.69C350.5 7.344 337.9 .1562 324 0c-13.86-.7187-26.59 6.75-33.98 18.41l-32.59 51.22c-.4062-.4375-.8281-.8438-1.25-1.281C246.3 58.75 232.3 55 218.9 58.34C216.1 58.81 215.1 59.56 213.3 60.5L206.7 64.06l-27.86-31.5C163.8 13.62 131.1 14.53 117.5 31.62L88.92 64.03L82.42 60.5C80.66 59.56 78.78 58.84 76.83 58.34C63.36 54.97 49.3 58.72 39.34 68.5C29.41 78.22 25.31 92.13 28.3 105.2l26.05 126.4L38.63 238.4C24.03 244.6 14.56 258.9 14.5 274.8C14.44 290.7 23.83 305.1 38.14 311.3l88.5 40.14l-119.6 119.6C2.344 475.7 0 481.9 0 487.1c0 6.141 2.344 12.28 7.031 16.97C11.72 509.7 17.86 511.1 24 511.1s12.28-2.344 16.97-7.031l119.6-119.6l39.99 88.25c6.375 14.56 20.7 23.91 36.53 23.91c15.83-.0625 30.25-9.5 36.48-24.03l6.797-15.78l125.1 25.94c13.52 3.156 27.45-1.031 37.17-10.97c9.719-9.969 13.52-23.97 10.14-37.47c-.4844-1.969-1.219-3.844-2.172-5.625l-3.531-6.5l31.48-27.84c9.469-7.562 14.91-18.88 14.91-31.03c0-12.12-5.438-23.44-13.98-30.25l-32.44-28.62l3.578-6.656c.9531-1.75 1.672-3.625 2.156-5.562c3.359-13.41-.3906-27.38-10.02-37.28c-.4219-.4375-.8281-.8438-1.266-1.25L493.5 222C505.3 214.6 512.2 201.9 512 188zM339.8 262.9c-9.969 6.344-13.84 18.97-9.141 29.78c4.688 10.81 16.45 16.62 27.98 13.72l39.66-10.19l-1.641 3.062c-5.297 9.812-3.125 21.97 5.234 29.38l40.25 35.5l-40.25 35.53c-8.375 7.406-10.53 19.59-5.219 29.44l2.125 3.906l-127.9-26.34c-11.2-2.375-22.39 3.531-26.89 14l-7.172 16.66l-37.27-82.25C198.7 353.2 197.3 351.6 196 349.9l116.1-116.1c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0L162.1 316c-1.629-1.336-3.252-2.703-5.176-3.574L74.63 275.1l16.69-7.188c10.44-4.5 16.28-15.72 13.98-26.88L78.94 113.2l3.922 2.094c9.859 5.406 22 3.156 29.41-5.188l35.52-40.25l35.56 40.25c7.375 8.312 19.53 10.53 29.36 5.219l3.016-1.625L205.6 153.4c-2.922 11.44 2.891 23.31 13.72 28C230.1 186.2 242.7 182.2 249.1 172.2l74.3-116.8l13.34 22.38c4.812 8.062 13.97 12.56 23.27 11.53l70.53-7.875l-7.844 70.56c-1.031 9.344 3.484 18.44 11.56 23.25l22.34 13.38L339.8 262.9z"],
    "leaf-oak": [512, 512, [], "f6f7", "M480.3 144.7c-.1562-.0938-1.422-.9375-1.594-1.062c-1.922-1.25-3.859-2.5-5.797-3.656c10.78-44.72-7.344-70.48-19.55-82.11c-.0156-.0313 0 0 0 0c-11.98-12.22-37.56-29.33-81.28-18.73c-1.391-2.312-2.953-4.75-4.719-7.406c-12.3-17.72-31.11-29.12-51.61-31.34C295.5-1.594 276 4.875 260.8 19.06c-8.344 7.75-13.89 16.84-19.11 25.41C238.1 48.75 236.4 53.09 233.8 57.5c-15.89-9.375-34.19-12.69-51.7-9.125C161.4 52.59 143.6 66.22 133.2 85.75C119.5 111.6 121 138.2 123.8 161.2C114.7 160.6 105.3 162.1 96.77 165.6C79.39 172.8 66.42 187.9 61.13 207.4c-3.844 14.59-4.156 31.22-.8906 45.44c2.297 10.22 5.922 19.38 9.438 28.22C72.13 287.2 74.63 293.4 76.39 299.1c2.547 9.094 1.438 12.12-.8281 18.38c-7.672 23.25-5.625 48.47 5.734 70.97c.8066 1.59 1.986 2.951 3.125 4.328l-77.39 77.39c-9.375 9.375-9.375 24.56 0 33.94C11.72 509.7 17.86 512 23.1 512s12.28-2.344 16.97-7.031l77.34-77.33c1.35 1.117 2.664 2.285 4.229 3.084c22.55 11.47 47.84 13.53 73.92 4.875c3.359-1.25 6.578-2.406 15.92 .2187C218.7 437.5 224.9 440 231 442.5c8.828 3.5 17.95 7.125 28.06 9.375c6.672 1.562 13.7 2.312 20.78 2.312c8.375 0 16.86-1.062 24.97-3.219c19.27-5.25 34.42-18.22 41.61-35.56c3.547-8.594 5-17.81 4.391-27.09c23.06 2.812 49.61 4.344 75.45-9.406c19.52-10.38 33.13-28.19 37.34-48.88c3.578-17.53 .2656-35.84-9.125-51.78c4.547-2.625 9.078-5.344 13.72-8.219c7.969-4.875 17.02-10.41 24.66-18.66c14.25-15.28 20.91-34.84 18.73-55.06C509.4 175.8 497.1 157 480.3 144.7zM457.7 218.7c-3.172 3.406-8.953 6.938-15.59 11c-8.766 5.469-17.73 10.53-27.3 15.91l-8 4.531c-6.141 3.5-10.42 9.5-11.73 16.47c-1.297 6.938 .5313 14.09 4.984 19.56l10.31 12.5c5.484 6.781 7.688 14.5 6.203 21.75c-1.375 6.812-5.828 12.38-12.86 16.09c-12.77 6.781-27.5 6.594-48.59 3.938c-7.219-.9062-14.52-1.625-22.56-2.406l-16.2-1.625c-9.453-1.125-18.42 3.562-23.19 11.66c-4.797 8.062-4.422 18.19 .9375 25.91l3.562 5.062c1.062 1.5 1.781 2.406 2.344 3.375c2.984 5.219 3.734 10.53 2.047 14.62c-1.891 4.562-6.406 6.656-9.688 7.562c-7.203 1.875-15.61 2.062-22.69 .4687c-7.156-1.625-14.03-4.469-20.95-7.219c-7.891-3.125-15.81-6.219-23.69-8.312c-8.594-2.438-15.95-3.312-22.2-3.312c-11.27 0-19 2.844-24.09 4.719c-7.713 2.555-15.9 2.105-23.93 .1602l158.1-158.1c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0l-158 158c-1.891-8.059-2.252-16.39 .5645-24.86c2.516-6.844 7.781-21.09 1.109-44.91C120.5 279.2 117.4 271.2 114.3 263.3C111.5 256.4 108.7 249.5 107 242.3C105.5 235.3 105.6 226.9 107.5 219.8c.9375-3.469 3.031-7.969 7.594-9.875c4.047-1.594 9.406-.9062 14.75 2.125C130.8 212.6 131.6 213.3 133 214.3l5.141 3.625c7.75 5.375 17.88 5.719 25.92 .9062c8.078-4.781 12.61-13.84 11.61-23.16c0 0-3.109-31.56-4.016-38.75C169 135.8 168.8 121.1 175.6 108.3c3.734-7.031 9.312-11.47 16.11-12.88C198.1 94 206.7 96.16 213.4 101.6l12.42 10.28c5.484 4.469 12.67 6.406 19.59 5.031c6.953-1.281 12.98-5.562 16.48-11.72l4.859-8.594c5.281-9.344 10.23-18.12 16.19-27.72c3.438-5.625 6.969-11.41 10.48-14.66c6.328-5.938 12.83-6.5 17.17-6.156c6.734 .75 12.88 4.625 17.55 11.41c1.375 2.094 2.891 4.125 4.125 7.062c7.672 17.09 27.61 25.94 46.5 20.44c12.56-3.688 29.61-5.938 39.88 4.062c.5 .5625 1.031 1.125 1.594 1.656c.2656 .25 .5469 .5 .8281 .75c9.844 10.38 7.609 27.28 3.859 39.94c-5.422 18.75 3.391 38.69 21.14 46.63c2.25 .9062 4.203 2.375 6.203 3.688c0 0 .4844 .3125 .8125 .5625c6.234 4.406 10.06 10.47 10.78 17.12C464.3 205.8 463.7 212.3 457.7 218.7z"],
    "leafy-green": [576, 512, [129388], "e41d", "M573.1 102.8c-5.312-24.62-17.78-46.92-35.31-63.67c-17.47-18.36-39.72-30.88-64.34-36.17c-22.56-4.889-45.03-3.607-66.69 3.734c-13.65 4.625-27.69 5.562-40.34 2.719c-10.22-2.312-20.66-3.125-31-2.484C291.8 9.678 254.2 37.44 237.3 79.35C236.9 80.54 236.1 81.66 235.5 82.82C224.9 74.7 215.6 63.85 209.1 50.16c-6.756-14.12-16.79-26.72-30.68-36.05C163.9 4.337 147.4 .1842 131.2 1.436C114.1 1.833 98.9 7.641 85.16 18.85C72.03 29.57 63.01 43.13 57.37 57.88C51.24 73.91 41.92 87.31 30.14 96.75c-5.34 4.283-10.21 9.412-14.43 15.44c-18.43 26.33-20.01 60.79-8.064 89.38c15.27 36.55-.5 82.61 27.35 111.9c59.72 62.79 32.27 80.13 56.61 111.1c3.625 4.609 8.41 8.562 13.76 12.13l-34.33 34.33c-9.375 9.375-9.375 24.56 0 33.94C75.72 509.7 81.84 512 87.1 512s12.28-2.344 16.97-7.031l63.58-63.58C177.8 445.6 187.1 448 198.3 448c75.37 0 96.22-11.62 115.7-26.84c9.811-7.656 18.28-14.28 68.12-14.28c36.81 0 60.59-22.73 79.72-40.1c11.59-11.11 22.56-21.59 34.1-26.59c41.81-16.84 69.36-54.42 72.15-98.17c.6875-10.3-.0205-20.79-2.302-31.04c-2.875-12.88-1.938-26.89 2.688-40.53C576.7 147.9 577.1 125.4 573.1 102.8zM523.9 154.1c-7.469 21.97-8.875 44.92-4.094 66.39c1.281 5.828 1.75 11.7 1.406 17.47c-1.625 25.14-17.84 46.9-42.34 56.76c-21 8.469-36.53 23.31-50.25 36.42c-17.97 17.17-29.81 27.7-46.53 27.7c-61.66 0-79.37 10.14-97.69 24.48c-9.764 7.635-20.42 15.41-74.3 16.44l142.6-142.6h87.28c13.25 0 24-10.75 24-24s-10.75-24-24-24h-39.28l64.25-64.25c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0l-111 111V185.2c0-13.25-10.75-24-23.1-24s-24 10.75-24 24v84.84L176.3 365.7C177.9 312.6 185.8 301.6 193.6 291.5c14.25-18.53 24.31-36.36 24.31-97.23c0-16.8 10.5-28.69 27.65-46.72C258.7 133.8 273.5 118.2 281.9 97.22c9.875-24.58 31.56-40.84 56.59-42.44c1.281-.0781 2.562-.125 3.844-.125c4.5 0 9.062 .5156 13.56 1.531c21.41 4.812 44.31 3.391 66.31-4.109c13.34-4.547 27.16-5.281 41.13-2.266c15.16 3.281 28.9 11.02 40.5 23.14c11.34 10.88 19.06 24.64 22.34 39.83C529.2 126.9 528.4 140.8 523.9 154.1z"],
    "left": [448, 512, ["arrow-alt-left"], "f355", "M220.3 445.6C232.2 440.6 240 428.9 240 416v-80h160c26.51 0 48-21.49 48-48V224c0-26.51-21.49-48-48-48h-160V96c0-12.94-7.797-24.61-19.75-29.56C208.3 61.48 194.5 64.22 185.4 73.38l-176 160C3.125 239.6 0 247.8 0 256s3.125 16.38 9.375 22.62l176 160C194.5 447.8 208.3 450.5 220.3 445.6zM54.63 256L192 134.6V224h208v64H192v89.37L54.63 256z"],
    "left-from-line": [448, 512, ["arrow-alt-from-right"], "f348", "M240 378.9V336h64c26.51 0 47.95-21.49 47.95-48v-64C351.9 197.5 330.5 176 304 176h-64V132.7c0-41.63-49.37-63.52-80.23-35.58L9.375 233.4C3.125 239.6 0 247.8 0 256s3.125 16.38 9.375 22.62l150.4 135.9C190.7 442.4 240 420.5 240 378.9zM54.63 256L192 134.6V224h112v64H192v89.37L54.63 256zM448 424V88C448 74.75 437.3 64 424 64S400 74.75 400 88v336c0 13.25 10.75 24 24 24S448 437.3 448 424z"],
    "left-long": [512, 512, ["long-arrow-alt-left"], "f30a", "M145.7 130C154.4 133.8 160.1 142.5 160.1 151.1l.0004 80h327.9c13.25 0 23.1 10.75 23.1 23.1s-10.75 24-23.1 24H160.1l-.0004 79.1c0 9.547-5.66 18.19-14.42 22c-8.754 3.811-18.95 2.077-25.94-4.407l-112.1-104c-10.23-9.5-10.23-25.69 0-35.19l112.1-104C126.7 127.9 136.9 126.2 145.7 130z"],
    "left-long-to-line": [640, 512, [], "e41e", "M0 88C0 74.75 10.75 64 24 64C37.25 64 48 74.75 48 88V424C48 437.3 37.25 448 24 448C10.75 448 0 437.3 0 424V88zM272.1 360C272.1 369.5 266.4 378.2 257.7 382C248.9 385.8 238.7 384.1 231.8 377.6L119.7 273.6C109.4 264.1 109.4 247.9 119.7 238.4L231.8 134.4C238.7 127.9 248.9 126.2 257.7 129.1C266.4 133.8 272.1 142.5 272.1 152L272.1 232H616C629.3 232 640 242.8 640 256C640 269.3 629.3 280 616 280H272.1L272.1 360z"],
    "left-right": [512, 512, [8596, "arrows-alt-h"], "f337", "M504.3 238.4l-112-104C387.8 130.2 381.9 128 375.1 128c-3.238 0-6.505 .6562-9.589 2c-8.75 3.812-14.41 12.45-14.41 22l.001 80h-192l-.001-80c0-9.547-5.656-18.19-14.41-22C142.5 128.7 139.2 128 136 128C130.1 128 124.2 130.2 119.7 134.4l-112 104c-9.781 9.094-9.781 26.09 0 35.19l112 104C124.2 381.8 130.1 384 136 384c3.24 0 6.503-.6562 9.589-2c8.75-3.812 14.41-12.45 14.41-22l.001-80h192l-.001 80c0 9.547 5.656 18.19 14.41 22C369.5 383.3 372.8 384 375.1 384c5.947 0 11.81-2.207 16.33-6.406l112-104C514.1 264.5 514.1 247.5 504.3 238.4z"],
    "left-to-line": [448, 512, ["arrow-alt-to-left"], "f34b", "M105.4 233.8C99.13 240 96 248.2 96 256.4S99.13 272.8 105.4 279l150.4 135.9C286.7 442.8 336 420.9 336 379.3v-42.91h64c26.51 0 48-21.49 48-48v-64c0-26.51-21.49-48-48-48h-64V133.1c0-41.63-49.37-63.52-80.23-35.58L105.4 233.8zM288 224.4h112v64H288v89.37L150.6 256.4L288 135V224.4zM48 424V88C48 74.75 37.25 64 24 64S0 74.75 0 88v336C0 437.3 10.75 448 24 448S48 437.3 48 424z"],
    "lemon": [448, 512, [127819], "f094", "M439.9 144.6c15.34-26.38 8.372-62.41-16.96-87.62c-25.21-25.32-61.22-32.26-87.61-16.95c-9.044 5.218-27.15 3.702-48.08 1.968c-50.78-4.327-127.4-10.73-207.6 69.56C-.6501 191.9 5.801 268.5 10.07 319.3c1.749 20.96 3.28 39.07-1.984 48.08c-15.35 26.4-8.357 62.45 16.92 87.57c16.26 16.37 37.05 25.09 56.83 25.09c10.89 0 21.46-2.64 30.83-8.092c9.013-5.249 27.12-3.718 48.08-1.968c50.69 4.233 127.4 10.7 207.6-69.56c80.27-80.28 73.82-156.9 69.56-207.7C436.2 171.8 434.7 153.7 439.9 144.6zM398.4 120.5c-12.87 22.09-10.67 48.41-8.326 76.25c4.155 49.3 8.841 105.2-55.67 169.7c-64.53 64.49-120.5 59.78-169.7 55.68c-27.85-2.328-54.12-4.53-76.26 8.311c-6.139 3.64-19.17 1.031-29.58-9.451c-10.39-10.33-12.95-23.35-9.372-29.49c12.87-22.09 10.67-48.41 8.326-76.25C53.72 265.1 49.04 210.1 113.5 145.5c48.27-48.27 91.71-57.8 131.2-57.8c13.28 0 26.12 1.078 38.52 2.125c27.9 2.359 54.17 4.561 76.26-8.311c6.123-3.577 19.18-1.031 29.49 9.357C399.4 101.2 402 114.4 398.4 120.5zM239.5 124.1c2.156 8.561-3.062 17.25-11.62 19.43C183.6 154.7 122.7 215.6 111.6 259.9C109.7 267.1 103.2 271.1 96.05 271.1c-1.281 0-2.593-.1562-3.905-.4687C83.58 269.3 78.4 260.6 80.52 252.1C94.67 195.8 163.8 126.7 220.1 112.5C228.8 110.4 237.3 115.5 239.5 124.1z"],
    "less-than": [384, 512, [62774], "3c", "M370.3 117.7L79.81 256l290.5 138.3c11.97 5.688 17.06 20 11.34 31.97C377.6 434.1 368.9 440 359.1 440c-3.438 0-6.969-.75-10.28-2.344l-336-160c-8.375-3.969-13.69-12.4-13.69-21.65c0-9.25 5.313-17.69 13.69-21.66l336-160C361.6 68.59 376 73.72 381.7 85.69C387.4 97.66 382.3 111.1 370.3 117.7z"],
    "less-than-equal": [448, 512, [], "f537", "M46.53 222.1l336 144C385.6 367.4 388.8 368 392 368c9.312 0 18.16-5.438 22.06-14.53c5.219-12.19-.4375-26.31-12.59-31.53L116.9 200l284.5-121.9c12.16-5.219 17.81-19.34 12.59-31.53c-5.25-12.19-19.28-17.78-31.53-12.59l-336 144C37.72 181.7 32 190.4 32 200S37.72 218.3 46.53 222.1zM424 432H24C10.75 432 0 442.8 0 456S10.75 480 24 480h400c13.25 0 24-10.75 24-24S437.3 432 424 432z"],
    "life-ring": [512, 512, [], "f1cd", "M464.1 431C474.3 440.4 474.3 455.6 464.1 464.1C455.6 474.3 440.4 474.3 431 464.1L419.3 453.2C374.9 489.9 318.1 512 256 512C193.9 512 137.1 489.9 92.74 453.2L80.97 464.1C71.6 474.3 56.4 474.3 47.03 464.1C37.66 455.6 37.66 440.4 47.03 431L58.8 419.3C22.08 374.9 0 318.1 0 256C0 193.9 22.08 137.1 58.8 92.74L47.03 80.97C37.66 71.6 37.66 56.4 47.03 47.03C56.4 37.66 71.6 37.66 80.97 47.03L92.74 58.8C137.1 22.08 193.9 0 256 0C318.1 0 374.9 22.08 419.3 58.8L431 47.03C440.4 37.66 455.6 37.66 464.1 47.03C474.3 56.4 474.3 71.6 464.1 80.97L453.2 92.74C489.9 137.1 512 193.9 512 256C512 318.1 489.9 374.9 453.2 419.3L464.1 431zM304.8 338.7C290.5 347.2 273.8 352 256 352C238.2 352 221.5 347.2 207.2 338.7L126.9 419.1C162.3 447.2 207.2 464 256 464C304.8 464 349.7 447.2 385.1 419.1L304.8 338.7zM464 256C464 207.2 447.2 162.3 419.1 126.9L338.7 207.2C347.2 221.5 352 238.2 352 256C352 273.8 347.2 290.5 338.7 304.8L419.1 385.1C447.2 349.7 464 304.8 464 256V256zM256 48C207.2 48 162.3 64.8 126.9 92.93L207.2 173.3C221.5 164.8 238.2 160 256 160C273.8 160 290.5 164.8 304.8 173.3L385.1 92.93C349.7 64.8 304.8 48 256 48V48zM173.3 304.8C164.8 290.5 160 273.8 160 256C160 238.2 164.8 221.5 173.3 207.2L92.93 126.9C64.8 162.3 48 207.2 48 256C48 304.8 64.8 349.7 92.93 385.1L173.3 304.8zM256 208C229.5 208 208 229.5 208 256C208 282.5 229.5 304 256 304C282.5 304 304 282.5 304 256C304 229.5 282.5 208 256 208z"],
    "light-ceiling": [512, 512, [], "e016", "M320 447.1H192c0 35.38 28.62 64 63.1 64S320 483.4 320 447.1zM.3186 379.7C-2.557 398.8 12.91 415.1 32.41 415.1h447.1c19.5 0 34.94-17.19 32.19-36.31c-16.63-116.4-112.4-207.7-231.7-218.6V23.1c0-13.25-10.78-24-24.04-24c-13.26 0-23.97 10.75-23.97 24v137.1C112.7 172 16.95 263.3 .3186 379.7zM51.35 368c22.13-92.38 107-160 204.7-160s182.5 67.63 204.7 160H51.35z"],
    "light-emergency": [448, 512, [], "e41f", "M224 112C179.8 112 144 147.9 144 192c0 8.832 7.039 16 16 16S176 200.8 176 192c0-26.46 21.44-48 48-48c8.961 0 16-7.168 16-16S232.1 112 224 112zM416 384H32c-17.6 0-32 14.34-32 32v32c0 17.66 14.4 32 32 32h384c17.6 0 32-14.34 32-32v-32C448 398.3 433.6 384 416 384zM384 192c0-88.35-71.68-160-160-160S64 103.6 64 192v160h320V192zM336 304h-224V192c0-61.86 50.24-112 112-112s112 50.14 112 112V304z"],
    "light-emergency-on": [640, 512, [], "e420", "M480 192C480 103.6 408.3 32 320 32C231.7 32 160 103.6 160 192V352H480V192zM432 304H208V192C208 130.1 258.2 80 320 80C381.8 80 432 130.1 432 192V304zM320 112C275.8 112 240 147.9 240 192C240 200.8 247 208 256 208C264.1 208 272 200.8 272 192C272 165.5 293.4 144 320 144C328.1 144 336 136.8 336 128C336 119.2 328.1 112 320 112zM549.4 107.1L597.4 75.97C608.3 68.61 611.2 53.73 603.8 42.69C596.5 31.65 581.8 28.67 570.6 36.03L522.6 68.03C511.7 75.39 508.8 90.27 516.2 101.3C523.5 112.4 538.2 115.3 549.4 107.1zM112 224C112 210.8 101.1 200 88 200H24C10.88 200 0 210.8 0 224C0 237.2 10.88 248 24 248H88C101.1 248 112 237.2 112 224zM616 200H552C538.9 200 528 210.8 528 224C528 237.2 538.9 248 552 248H616C629.1 248 640 237.2 640 224C640 210.8 629.1 200 616 200zM90.56 107.1C101.8 115.3 116.5 112.4 123.8 101.3C131.2 90.27 128.3 75.39 117.4 68.03L69.44 36.03C58.24 28.67 43.52 31.65 36.16 42.69C28.8 53.73 31.68 68.61 42.56 75.97L90.56 107.1zM512 384H128C110.4 384 96 398.3 96 416V448C96 465.7 110.4 480 128 480H512C529.6 480 544 465.7 544 448V416C544 398.3 529.6 384 512 384z"],
    "light-switch": [384, 512, [], "e017", "M320 0H64c-35.38 0-64 28.62-64 64v384c0 35.38 28.62 64 64 64h256c35.38 0 64-28.62 64-64v-384C384 28.62 355.4 0 320 0zM336 448c0 8.875-7.125 16-16 16h-105.6C211.1 454.4 202.1 448 192 448s-19.12 6.375-22.38 16H64c-8.875 0-16-7.125-16-16V64c0-8.875 7.125-16 16-16h105.6C172.9 57.62 181.9 64 192 64s19.12-6.375 22.38-16H320c8.875 0 16 7.125 16 16V448zM240 95.1h-96c-26.4 0-48 21.6-48 47.1v224c0 26.4 21.6 48 48 48h96c26.4 0 48-21.6 48-48v-224C288 117.6 266.4 95.1 240 95.1zM240 368h-96V280h96V368zM240 232h-96V144h96V232z"],
    "light-switch-off": [384, 512, [], "e018", "M320 0H64c-35.35 0-64 28.65-64 64v384c0 35.35 28.65 64 64 64h256c35.35 0 64-28.65 64-64v-384C384 28.65 355.3 0 320 0zM336 448c0 8.837-7.163 16-16 16h-105.6C211.1 454.4 202.1 448 192 448s-19.12 6.375-22.38 16H64c-8.837 0-16-7.163-16-16V64c0-8.837 7.163-16 16-16h105.6C172.9 57.62 181.9 64 192 64s19.12-6.375 22.38-16H320c8.837 0 16 7.163 16 16V448zM240 95.1h-96c-26.4 0-48 21.6-48 47.1v224c0 26.4 21.6 48 48 48h96c26.4 0 48-21.6 48-48v-224C288 117.6 266.4 95.1 240 95.1zM240 256h-96V144h96V256z"],
    "light-switch-on": [384, 512, [], "e019", "M320 0H64c-35.35 0-64 28.65-64 64v384c0 35.35 28.65 64 64 64h256c35.35 0 64-28.65 64-64v-384C384 28.65 355.3 0 320 0zM336 448c0 8.837-7.163 16-16 16h-105.6C211.1 454.4 202.1 448 192 448s-19.12 6.375-22.38 16H64c-8.837 0-16-7.163-16-16V64c0-8.837 7.163-16 16-16h105.6C172.9 57.62 181.9 64 192 64s19.12-6.375 22.38-16H320c8.837 0 16 7.163 16 16V448zM240 95.1h-96c-26.4 0-48 21.6-48 48v223.1c0 26.4 21.6 48 48 48h96c26.4 0 48-21.6 48-48V143.1C288 117.6 266.4 95.1 240 95.1zM240 368h-96v-96h96V368z"],
    "lightbulb": [384, 512, [128161], "f0eb", "M112.1 454.3c0 6.297 1.816 12.44 5.284 17.69l17.14 25.69c5.25 7.875 17.17 14.28 26.64 14.28h61.67c9.438 0 21.36-6.401 26.61-14.28l17.08-25.68c2.938-4.438 5.348-12.37 5.348-17.7L272 415.1h-160L112.1 454.3zM192 0C90.02 .3203 16 82.97 16 175.1c0 44.38 16.44 84.84 43.56 115.8c16.53 18.84 42.34 58.23 52.22 91.45c.0313 .25 .0938 .5166 .125 .7823h160.2c.0313-.2656 .0938-.5166 .125-.7823c9.875-33.22 35.69-72.61 52.22-91.45C351.6 260.8 368 220.4 368 175.1C368 78.8 289.2 .0039 192 0zM288.4 260.1c-15.66 17.85-35.04 46.3-49.05 75.89h-94.61c-14.01-29.59-33.39-58.04-49.04-75.88C75.24 236.8 64 206.1 64 175.1C64 113.3 112.1 48.25 191.1 48C262.6 48 320 105.4 320 175.1C320 206.1 308.8 236.8 288.4 260.1zM176 80C131.9 80 96 115.9 96 160c0 8.844 7.156 16 16 16S128 168.8 128 160c0-26.47 21.53-48 48-48c8.844 0 16-7.148 16-15.99S184.8 80 176 80z"],
    "lightbulb-cfl": [320, 512, [], "e5a6", "M37.82 79.28C24.96 82.5 11.93 74.68 8.715 61.82C5.5 48.96 13.32 35.93 26.18 32.72L154.2 .7164C167-2.498 180.1 5.32 183.3 18.18C186.5 31.04 178.7 44.07 165.8 47.28L37.82 79.28zM311.3 82.18C314.5 95.04 306.7 108.1 293.8 111.3L37.82 175.3C24.96 178.5 11.93 170.7 8.715 157.8C5.5 144.1 13.32 131.9 26.18 128.7L282.2 64.72C295 61.5 308.1 69.32 311.3 82.18L311.3 82.18zM311.3 178.2C314.5 191 306.7 204.1 293.8 207.3L37.82 271.3C24.96 274.5 11.93 266.7 8.715 253.8C5.5 240.1 13.32 227.9 26.18 224.7L282.2 160.7C295 157.5 308.1 165.3 311.3 178.2H311.3zM143.1 294.2V384H224C241.7 384 256 398.3 256 416V448C256 465.7 241.7 480 224 480H184V488C184 501.3 173.3 512 159.1 512C146.7 512 135.1 501.3 135.1 488V480H95.1C78.33 480 63.1 465.7 63.1 448V416C63.1 398.3 78.33 384 95.1 384V306.2L143.1 294.2zM311.3 274.2C314.5 287 306.7 300.1 293.8 303.3L223.1 320.7L224 384L175.1 384V302.6C175.7 291.6 183.1 281.5 194.2 278.7L282.2 256.7C295 253.5 308.1 261.3 311.3 274.2V274.2z"],
    "lightbulb-cfl-on": [640, 512, [], "e5a7", "M343.3 18.18C346.5 31.04 338.7 44.07 325.8 47.28L197.8 79.28C184.1 82.5 171.9 74.68 168.7 61.82C165.5 48.96 173.3 35.93 186.2 32.72L314.2 .7164C327-2.498 340.1 5.32 343.3 18.18V18.18zM197.8 175.3C184.1 178.5 171.9 170.7 168.7 157.8C165.5 144.1 173.3 131.9 186.2 128.7L442.2 64.72C455 61.5 468.1 69.32 471.3 82.18C474.5 95.04 466.7 108.1 453.8 111.3L197.8 175.3zM197.8 271.3C184.1 274.5 171.9 266.7 168.7 253.8C165.5 240.1 173.3 227.9 186.2 224.7L442.2 160.7C455 157.5 468.1 165.3 471.3 178.2C474.5 191 466.7 204.1 453.8 207.3L197.8 271.3zM256 384V306.2L304 294.2V384H384C401.7 384 416 398.3 416 416V448C416 465.7 401.7 480 384 480H344V488C344 501.3 333.3 512 320 512C306.7 512 296 501.3 296 488V480H256C238.3 480 224 465.7 224 448V416C224 398.3 238.3 384 256 384zM384 320.7L384 384L336 384V302.6C335.7 291.6 343.1 281.5 354.2 278.7L442.2 256.7C455 253.5 468.1 261.3 471.3 274.2C474.5 287 466.7 300.1 453.8 303.3L384 320.7zM101.3 36.03C112.3 43.38 115.3 58.28 107.1 69.31C100.6 80.34 85.72 83.32 74.69 75.97L26.69 43.97C15.66 36.62 12.68 21.72 20.03 10.69C27.38-.3415 42.28-3.322 53.31 4.031L101.3 36.03zM565.3 75.97C554.3 83.32 539.4 80.34 532 69.31C524.7 58.28 527.7 43.38 538.7 36.03L586.7 4.031C597.7-3.321 612.6-.3409 619.1 10.69C627.3 21.72 624.3 36.62 613.3 43.97L565.3 75.97zM88 160C101.3 160 112 170.7 112 184C112 197.3 101.3 208 88 208H24C10.75 208 0 197.3 0 184C0 170.7 10.75 160 24 160H88zM616 160C629.3 160 640 170.7 640 184C640 197.3 629.3 208 616 208H552C538.7 208 528 197.3 528 184C528 170.7 538.7 160 552 160H616zM53.31 363.1C42.28 371.3 27.38 368.3 20.03 357.3C12.68 346.3 15.66 331.4 26.69 324L74.69 292C85.72 284.7 100.6 287.7 107.1 298.7C115.3 309.7 112.3 324.6 101.3 331.1L53.31 363.1zM613.3 324C624.3 331.4 627.3 346.3 619.1 357.3C612.6 368.3 597.7 371.3 586.7 363.1L538.7 331.1C527.7 324.6 524.7 309.7 532 298.7C539.4 287.7 554.3 284.7 565.3 292L613.3 324z"],
    "lightbulb-dollar": [384, 512, [], "f670", "M112.1 454.4c0 6.297 1.825 12.4 5.294 17.65l17.15 25.71C139.8 505.6 151.7 512 161.2 512h61.68c9.438 0 21.36-6.388 26.61-14.26l17.09-25.7c2.938-4.438 5.361-12.34 5.361-17.67L272 415.1h-160L112.1 454.4zM192 0C90.02 .3203 16 82.98 16 175.1c0 44.38 16.4 84.82 43.52 115.8c16.53 18.84 42.36 58.26 52.24 91.48c.0313 .25 .1146 .4945 .1458 .7601h160.2c.0313-.2656 .1146-.4945 .1458-.7601c9.875-33.22 35.71-72.64 52.24-91.48C351.6 260.8 368 220.4 368 175.1C368 78.8 289.2 .0039 192 0zM288.4 260.1c-15.66 17.85-35.04 46.3-49.05 75.89h-94.61c-14.01-29.59-33.39-58.04-49.04-75.88C75.24 236.8 64 206.1 64 175.1C64 113.3 112.1 48.25 191.1 48C262.6 48 320 105.4 320 175.1C320 206.1 308.8 236.8 288.4 260.1zM197.5 164.8C184.5 161 168.1 157.3 169.6 148.5c1.375-7.812 16.59-9.719 30.27-7.625c5.594 .8438 11.73 2.812 17.59 4.844c10.39 3.594 21.83-1.938 25.45-12.34c3.625-10.44-1.891-21.84-12.33-25.47C223.3 105.4 217.5 103.8 212 102.6V96c0-11.03-8.953-20-20-20S172 84.97 172 96v5.992C149.6 106.8 133.8 120.8 130.2 141.7C122.8 184.5 163.4 196.4 180.7 201.5c25.02 7.264 35.13 9.83 33.73 17.97c-1.375 7.812-16.59 9.75-30.31 7.625c-4.469-.6643-9.099-1.738-28.12-8.656C145.6 214.9 134.2 220.3 130.5 230.7C126.8 241.1 132.3 252.5 142.7 256.2C148.9 258.4 159.1 262.6 172 265.2V272c0 11.03 8.953 20 20 20s20-8.969 20-20V265.7c22.36-4.793 38.21-18.53 41.83-39.43C261.3 183 219.8 171.1 197.5 164.8z"],
    "lightbulb-exclamation": [384, 512, [], "f671", "M192 0C90.02 .3203 16 82.98 16 175.1c0 44.38 16.4 84.82 43.52 115.8c16.53 18.84 42.36 58.26 52.24 91.48c.0313 .25 .0833 .4948 .1146 .7604l160.3 .0006c.0313-.2656 .0521-.4955 .0833-.7611c9.875-33.22 35.71-72.64 52.24-91.48C351.6 260.8 368 220.4 368 175.1C368 78.8 289.2 .0039 192 0zM288.4 260.1c-15.66 17.85-35.04 46.3-49.05 75.89h-94.61c-14.01-29.59-33.39-58.04-49.04-75.88C75.24 236.8 64 206.1 64 175.1C64 113.3 112.1 48.25 191.1 48C262.6 48 320 105.4 320 175.1C320 206.1 308.8 236.8 288.4 260.1zM112.2 454.4c0 6.297 1.886 12.43 5.355 17.68l17.08 25.69C139.8 505.6 151.8 512 161.2 512h61.67c9.438 0 21.36-6.395 26.61-14.27l17.02-25.69c2.938-4.438 5.419-12.36 5.419-17.69L272 415.1h-160L112.2 454.4zM191.1 240C174.3 240 160 254.3 160 272s14.33 32 32 32S224 289.7 224 272S209.7 240 191.1 240zM192 208c13.25 0 24-10.75 24-24v-80c0-13.25-10.78-23.1-24.03-23.1S168 90.75 168 104v80C168 197.3 178.8 208 192 208z"],
    "lightbulb-exclamation-on": [640, 512, [], "e1ca", "M131.1 55.25l-55.5-32C68.25 18.75 59 18.62 51.38 22.88c-7.5 4.375-12.12 12.38-12.12 21c.125 8.75 4.875 16.75 12.38 20.88l55.5 32C114.5 101.3 123.8 101.4 131.4 97.13c7.5-4.375 12.12-12.38 12.12-21C143.4 67.38 138.6 59.38 131.1 55.25zM521 100c4.125 0 8.25-1.125 12-3.25l55.38-32c11.25-6.75 14.88-21.25 8.375-32.5c-6.5-11.38-21-15.38-32.38-9l-55.38 32c-9.5 5.375-14 16.5-11.25 27C500.6 92.75 510.1 100 521 100zM107.1 287.3l-55.5 32c-7.5 4.125-12.25 12.13-12.38 20.88c0 8.625 4.625 16.62 12.12 21c7.625 4.25 16.88 4.125 24.25-.375l55.5-32C142.3 322 145.1 307.5 139.5 296.3C133 284.9 118.5 280.9 107.1 287.3zM112 192c0-13.25-10.75-24-24-24h-64c-13.25 0-24 10.75-24 24s10.75 24 24 24h64C101.3 216 112 205.3 112 192zM240.2 454.4c0 6.297 1.886 12.43 5.355 17.68l17.08 25.69C267.8 505.6 279.8 512 289.2 512h61.67c9.438 0 21.36-6.395 26.61-14.27l17.02-25.69c2.938-4.438 5.419-12.36 5.419-17.69L400 415.1L240.1 415.1L240.2 454.4zM588.4 319.3l-55.5-32c-7.375-4.5-16.62-4.625-24.25-.375c-7.5 4.375-12.12 12.38-12.12 21c.125 8.75 4.875 16.75 12.38 20.88l55.5 32c11.38 6.375 25.88 2.375 32.38-9C603.3 340.5 599.5 326 588.4 319.3zM320 0C218 .3203 144 82.98 144 175.1c0 44.38 16.4 84.82 43.52 115.8c16.53 18.84 42.36 58.26 52.24 91.48c.0313 .25 .0833 .4948 .1146 .7604l160.3 .0006c.0313-.2656 .0521-.4955 .0833-.7611c9.875-33.22 35.71-72.64 52.24-91.48C479.6 260.8 496 220.4 496 175.1C496 78.8 417.2 .0039 320 0zM416.4 260.1c-15.66 17.85-35.04 46.3-49.05 75.89h-94.61c-14.01-29.59-33.39-58.04-49.04-75.88C203.2 236.8 192 206.1 192 175.1C192 113.3 240.1 48.25 319.1 48C390.6 48 448 105.4 448 175.1C448 206.1 436.8 236.8 416.4 260.1zM616 168h-64c-13.25 0-24 10.75-24 24s10.75 24 24 24h64c13.25 0 24-10.75 24-24S629.3 168 616 168zM320 208c13.25 0 24-10.75 24-24v-80c0-13.25-10.78-24-24.03-24S296 90.75 296 104v80C296 197.3 306.8 208 320 208zM319.1 240C302.3 240 288 254.3 288 272s14.33 32 32 32S352 289.7 352 272S337.7 240 319.1 240z"],
    "lightbulb-on": [640, 512, [], "f672", "M107.1 287.3L51.62 319.3c-7.5 4.125-12.25 12.13-12.38 20.88c0 8.625 4.625 16.63 12.13 21c7.625 4.25 16.87 4.125 24.25-.375l55.5-32c11.12-6.75 14.87-21.25 8.375-32.5C133 284.9 118.5 280.9 107.1 287.3zM131.1 55.25l-55.5-32c-7.375-4.5-16.62-4.625-24.25-.375c-7.5 4.375-12.13 12.38-12.13 21C39.37 52.63 44.12 60.63 51.62 64.75L107.1 96.75C114.5 101.3 123.8 101.4 131.4 97.13C138.9 92.75 143.5 84.75 143.5 76.13C143.4 67.38 138.6 59.38 131.1 55.25zM112 192c0-13.25-10.75-24-24-24h-64c-13.25 0-24 10.75-24 24s10.75 24 24 24h64C101.3 216 112 205.3 112 192zM521 100c4.125 0 8.25-1.125 12-3.25l55.38-32c11.25-6.75 14.88-21.25 8.375-32.5c-6.5-11.38-21-15.38-32.38-9L509 55.25c-9.5 5.375-14 16.5-11.25 27C500.6 92.75 510.1 100 521 100zM616 168h-64c-13.25 0-24 10.75-24 24s10.75 24 24 24h64c13.25 0 24-10.75 24-24S629.3 168 616 168zM588.4 319.3l-55.5-32c-7.375-4.5-16.62-4.625-24.25-.375c-7.5 4.375-12.12 12.38-12.12 21c.125 8.75 4.875 16.75 12.38 20.88l55.5 32c11.38 6.375 25.88 2.375 32.38-9C603.3 340.5 599.5 326 588.4 319.3zM320 .0036C218 .3239 144 82.98 144 175.1c0 44.38 16.4 84.82 43.52 115.8c16.53 18.84 42.36 58.26 52.24 91.48c.0313 .25 .0833 .4948 .1146 .7604l160.3 .0007c.0313-.2656 .0521-.4955 .0833-.7611c9.875-33.22 35.71-72.64 52.24-91.48C479.6 260.8 496 220.4 496 175.1C496 78.8 417.2 .0075 320 .0036zM416.4 260.1c-15.66 17.85-35.04 46.3-49.05 75.89h-94.61c-14.01-29.59-33.39-58.04-49.04-75.88C203.2 236.8 192 206.1 192 175.1C192 113.3 240.1 48.25 319.1 48C390.6 48 448 105.4 448 175.1C448 206.1 436.8 236.8 416.4 260.1zM240.1 454.4c0 6.297 1.89 12.43 5.359 17.68l17.09 25.69c5.25 7.875 17.18 14.28 26.65 14.28h61.72c9.438 0 21.38-6.395 26.63-14.27l17.09-25.69C397.6 467.6 400 459.7 400 454.4v-38.36l-159.9 .0048L240.1 454.4zM304 80C259.9 80 224 115.9 224 160c0 8.844 7.156 16.01 16 16.01S256 168.8 256 160c0-26.47 21.53-48 48-48c8.844 0 16-7.145 16-15.99S312.8 80 304 80z"],
    "lightbulb-slash": [640, 512, [], "f673", "M630.8 469.1l-196.2-153.8c6.311-9.273 12.57-17.61 17.82-23.59c27.12-30.94 43.54-71.39 43.54-115.8c0-97.2-78.76-175.1-175.1-175.1C246.1 .2266 188.9 42.1 161.5 101.3L38.81 5.118c-10.47-8.172-25.49-6.365-33.7 4.073c-8.172 10.44-6.349 25.53 4.073 33.7l591.1 463.1C605.6 510.3 610.8 512 615.1 512c7.125 0 14.17-3.159 18.9-9.19C643.1 492.4 641.2 477.3 630.8 469.1zM396.8 285.7l-196.6-154.1C216.1 85.94 259.2 48.19 319.1 48C390.6 48 448 105.4 448 175.1c0 30.97-11.24 60.86-31.64 84.13C410.2 267.1 403.5 275.1 396.8 285.7zM305.9 336h-33.22c-8.037-16.97-17.84-33.3-27.69-47.74L148.1 212.3c6.322 29.98 19.1 57.25 39.48 79.47c16.53 18.84 42.34 58.23 52.22 91.45c.0313 .25 .0625 .5156 .0938 .7812l127.3 .0031L305.9 336zM240.1 454.3c0 6.297 1.875 12.43 5.344 17.68l17.14 25.69c5.25 7.875 17.17 14.28 26.64 14.28h61.66c9.438 0 21.36-6.401 26.61-14.28l17.08-25.68c2.938-4.438 5.348-12.37 5.348-17.7l.1196-38.36H239.1L240.1 454.3z"],
    "lights-holiday": [640, 512, [], "f7b2", "M636.7 75.78c-6.75-11.38-21.47-15.19-32.87-8.438C539.6 105.3 433.5 127.1 320 127.1s-219.6-22.68-283.8-60.65C24.88 60.59 10.11 64.4 3.347 75.78C-3.403 87.18 .3787 101.9 11.78 108.7C45.73 128.7 89.82 144.8 139.6 156.3L117.6 228.6C87.99 229.1 61.08 249.3 51.94 279.2c-11.6 38.03 3.242 126.5 34.08 135.9c30.37 9.266 92.05-55.81 103.7-93.84c9.135-29.95-2.396-61.04-26.2-78.66l23.48-76.96C221.7 171.2 258.4 174.4 296 175.4v85.02c-27.9 9.922-47.1 36.29-47.1 67.59C248 367.8 287.9 448 320.1 448c31.76 0 71.89-80.24 71.89-120c0-31.3-20.1-57.67-47.1-67.59V175.4c37.56-1.027 74.34-4.18 109-9.734l23.48 76.96c-23.8 17.63-35.33 48.72-26.2 78.66c11.61 38.04 73.28 103.1 103.7 93.84c30.84-9.41 45.68-97.83 34.08-135.9c-9.137-29.95-36.05-49.3-65.63-50.64L500.4 156.3c49.81-11.49 93.91-27.56 127.9-47.63C639.6 101.9 643.4 87.18 636.7 75.78zM143.8 307.3c-4.529 14.84-24.86 38.82-40.92 52.07c-5.992-19.89-9.535-51.16-4.986-66.07C101.7 280.6 115.2 273.4 127.8 277.3C140.5 281.2 147.6 294.6 143.8 307.3zM542.1 293.3c4.549 14.91 1.006 46.18-4.986 66.07c-16.06-13.24-36.39-37.22-40.92-52.07c-3.861-12.66 3.293-26.1 15.95-29.96C524.8 273.4 538.3 280.6 542.1 293.3zM320.1 389.7c-11.54-17.28-24.05-46.16-24.05-61.74c0-13.23 10.77-24 23.1-24c13.23 0 23.1 10.77 23.1 24C343.1 343.5 331.5 372.4 320.1 389.7z"],
    "line-columns": [512, 512, [], "f870", "M200 40C213.3 40 224 50.75 224 64C224 77.25 213.3 88 200 88H24C10.75 88 0 77.25 0 64C0 50.75 10.75 40 24 40H200zM200 168C213.3 168 224 178.7 224 192C224 205.3 213.3 216 200 216H24C10.75 216 0 205.3 0 192C0 178.7 10.75 168 24 168H200zM0 320C0 306.7 10.75 296 24 296H200C213.3 296 224 306.7 224 320C224 333.3 213.3 344 200 344H24C10.75 344 0 333.3 0 320zM200 424C213.3 424 224 434.7 224 448C224 461.3 213.3 472 200 472H24C10.75 472 0 461.3 0 448C0 434.7 10.75 424 24 424H200zM288 192C288 178.7 298.7 168 312 168H488C501.3 168 512 178.7 512 192C512 205.3 501.3 216 488 216H312C298.7 216 288 205.3 288 192zM488 40C501.3 40 512 50.75 512 64C512 77.25 501.3 88 488 88H312C298.7 88 288 77.25 288 64C288 50.75 298.7 40 312 40H488zM288 320C288 306.7 298.7 296 312 296H488C501.3 296 512 306.7 512 320C512 333.3 501.3 344 488 344H312C298.7 344 288 333.3 288 320zM488 424C501.3 424 512 434.7 512 448C512 461.3 501.3 472 488 472H312C298.7 472 288 461.3 288 448C288 434.7 298.7 424 312 424H488z"],
    "line-height": [576, 512, [], "f871", "M185.8 119.9C194.7 129.8 193.9 144.1 184.1 153.8C174.2 162.7 159 161.9 150.2 152.1L120 118.5V393.5L150.2 359.9C159 350.1 174.2 349.3 184.1 358.2C193.9 367 194.7 382.2 185.8 392.1L113.8 472.1C109.3 477.1 102.8 480 96 480C89.2 480 82.71 477.1 78.16 472.1L6.161 392.1C-2.706 382.2-1.907 367 7.945 358.2C17.8 349.3 32.97 350.1 41.84 359.9L72 393.5V118.5L41.84 152.1C32.97 161.9 17.8 162.7 7.945 153.8C-1.907 144.1-2.706 129.8 6.161 119.9L78.16 39.94C82.71 34.89 89.2 32 96 32C102.8 32 109.3 34.89 113.8 39.94L185.8 119.9zM552 72C565.3 72 576 82.75 576 96C576 109.3 565.3 120 552 120H248C234.7 120 224 109.3 224 96C224 82.75 234.7 72 248 72H552zM552 232C565.3 232 576 242.7 576 256C576 269.3 565.3 280 552 280H248C234.7 280 224 269.3 224 256C224 242.7 234.7 232 248 232H552zM224 416C224 402.7 234.7 392 248 392H552C565.3 392 576 402.7 576 416C576 429.3 565.3 440 552 440H248C234.7 440 224 429.3 224 416z"],
    "lines-leaning": [384, 512, [], "e51e", "M360 32C373.3 32 384 42.75 384 56V456C384 469.3 373.3 480 360 480C346.7 480 336 469.3 336 456V56C336 42.75 346.7 32 360 32zM268.7 32.46C281.7 35.06 290.1 47.71 287.5 60.7L207.5 460.7C204.9 473.7 192.3 482.1 179.3 479.5C166.3 476.9 157.9 464.3 160.5 451.3L240.5 51.29C243.1 38.29 255.7 29.86 268.7 32.46V32.46zM176.1 33.42C188.6 37.91 195.1 51.66 190.6 64.13L46.58 464.1C42.09 476.6 28.34 483.1 15.87 478.6C3.398 474.1-3.072 460.3 1.417 447.9L145.4 47.87C149.9 35.4 163.7 28.93 176.1 33.42z"],
    "link": [640, 512, [128279, "chain"], "f0c1", "M173 131.5C229.2 75.27 320.3 75.27 376.5 131.5C430 185 432.9 270.9 383 327.9L377.7 334C368.9 344 353.8 345 343.8 336.3C333.8 327.6 332.8 312.4 341.5 302.4L346.9 296.3C380.1 258.3 378.2 201.1 342.5 165.4C305.1 127.1 244.4 127.1 206.1 165.4L93.63 278.7C56.19 316.2 56.19 376.9 93.63 414.3C129.3 449.1 186.6 451.9 224.5 418.7L230.7 413.3C240.6 404.6 255.8 405.6 264.5 415.6C273.3 425.5 272.2 440.7 262.3 449.4L256.1 454.8C199.1 504.6 113.2 501.8 59.69 448.2C3.505 392.1 3.505 300.1 59.69 244.8L173 131.5zM467 380.5C410.8 436.7 319.7 436.7 263.5 380.5C209.1 326.1 207.1 241.1 256.9 184.1L261.6 178.7C270.3 168.7 285.5 167.7 295.5 176.4C305.5 185.1 306.5 200.3 297.8 210.3L293.1 215.7C259.8 253.7 261.8 310.9 297.4 346.6C334.9 384 395.6 384 433.1 346.6L546.4 233.3C583.8 195.8 583.8 135.1 546.4 97.7C510.7 62.02 453.4 60.11 415.5 93.35L409.3 98.7C399.4 107.4 384.2 106.4 375.5 96.44C366.7 86.47 367.8 71.3 377.7 62.58L383.9 57.22C440.9 7.348 526.8 10.21 580.3 63.76C636.5 119.9 636.5 211 580.3 267.2L467 380.5z"],
    "link-horizontal": [640, 512, ["chain-horizontal"], "e1cb", "M304.1 64C383.6 64 448 128.4 448 207.9C448 283.6 389.3 346.4 313.7 351.4L305.6 351.9C292.4 352.8 280.9 342.8 280.1 329.6C279.2 316.4 289.2 304.9 302.4 304.1L310.5 303.5C360.9 300.2 400 258.3 400 207.9C400 154.9 357.1 112 304.1 112H143.9C90.92 112 48 154.9 48 207.9C48 258.3 87.13 300.2 137.5 303.5L145.6 304.1C158.8 304.9 168.8 316.4 167.9 329.6C167.1 342.8 155.6 352.8 142.4 351.9L134.3 351.4C58.72 346.4 0 283.6 0 207.9C0 128.4 64.41 64 143.9 64H304.1zM335.9 448C256.4 448 192 383.6 192 304.1C192 228.4 250.7 165.6 326.2 160.5L333.4 160.1C346.6 159.2 358.1 169.2 358.9 182.4C359.8 195.6 349.8 207.1 336.6 207.9L329.5 208.4C279.1 211.8 240 253.6 240 304.1C240 357.1 282.9 400 335.9 400H496.1C549.1 400 592 357.1 592 304.1C592 253.7 552.9 211.8 502.5 208.5L494.4 207.9C481.2 207.1 471.2 195.6 472.1 182.4C472.9 169.2 484.4 159.2 497.6 160.1L505.7 160.6C581.3 165.6 640 228.4 640 304.1C640 383.6 575.6 448 496.1 448H335.9z"],
    "link-horizontal-slash": [640, 512, ["chain-horizontal-slash"], "e1cc", "M117.1 66.48C125.8 64.85 134.7 64 143.9 64H304.1C383.6 64 448 128.4 448 207.9C448 242.7 435.6 274.8 414.8 299.8L533.2 392.6C567.7 378.1 592 343.1 592 304.1C592 253.7 552.9 211.8 502.5 208.5L494.4 207.9C481.2 207.1 471.2 195.6 472.1 182.4C472.9 169.2 484.4 159.2 497.6 160.1L505.7 160.6C581.3 165.6 640 228.4 640 304.1C640 354.7 613.9 399.2 574.4 424.9L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.064 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L117.1 66.48zM175.2 112L376.1 270.2C391.4 253.4 400 231.6 400 207.9C400 154.9 357.1 112 304.1 112H175.2zM335.9 448C256.4 448 192 383.6 192 304.1C192 286.6 195.1 269.8 200.9 254.3L241.6 286.4C240.6 292.1 240 298.1 240 304.1C240 357.1 282.9 400 335.9 400H385.8L446.8 448H335.9zM30.14 119.7L67.84 149.5C55.4 165.6 48 185.9 48 207.9C48 258.3 87.13 300.2 137.5 303.5L145.6 304.1C158.8 304.9 168.8 316.4 167.9 329.6C167.1 342.8 155.6 352.8 142.4 351.9L134.3 351.4C58.72 346.4 0 283.6 0 207.9C0 174.7 11.25 144.1 30.14 119.7z"],
    "link-simple": [640, 512, [], "e1cd", "M0 256C0 167.6 71.63 96 160 96H264C277.3 96 288 106.7 288 120C288 133.3 277.3 144 264 144H160C98.14 144 48 194.1 48 256C48 317.9 98.14 368 160 368H264C277.3 368 288 378.7 288 392C288 405.3 277.3 416 264 416H160C71.63 416 0 344.4 0 256zM480 416H376C362.7 416 352 405.3 352 392C352 378.7 362.7 368 376 368H480C541.9 368 592 317.9 592 256C592 194.1 541.9 144 480 144H376C362.7 144 352 133.3 352 120C352 106.7 362.7 96 376 96H480C568.4 96 640 167.6 640 256C640 344.4 568.4 416 480 416zM424 232C437.3 232 448 242.7 448 256C448 269.3 437.3 280 424 280H216C202.7 280 192 269.3 192 256C192 242.7 202.7 232 216 232H424z"],
    "link-simple-slash": [640, 512, [], "e1ce", "M154.9 96.08C156.6 96.03 158.3 96 160 96H264C277.3 96 288 106.7 288 120C288 133.3 277.3 144 264 144H216L328.3 232H424C437.3 232 448 242.7 448 256C448 269.3 437.3 280 424 280H389.5L499.6 366.3C552.1 357 592 311.2 592 256C592 194.1 541.9 144 480 144H376C362.7 144 352 133.3 352 120C352 106.7 362.7 96 376 96H480C568.4 96 640 167.6 640 256C640 321.1 601.1 377.1 545.3 402.1L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L154.9 96.08zM.001 256C.001 208.1 20.28 166.7 52.58 137.4L91.05 167.7C64.84 188.2 48 220.2 48 256C48 317.9 98.14 368 160 368H264C277.3 368 288 378.7 288 392C288 405.3 277.3 416 264 416H160C71.64 416 .001 344.4 .001 256V256z"],
    "link-slash": [640, 512, ["chain-broken", "chain-slash", "unlink"], "f127", "M185.7 120.2C242.1 75.56 324.3 79.31 376.5 131.5C419.8 174.8 429.1 239.4 405.7 292.7L451.3 328.4L546.4 233.3C583.8 195.8 583.8 135.1 546.4 97.71C510.7 62.02 453.4 60.11 415.5 93.35L409.3 98.7C399.4 107.4 384.2 106.4 375.5 96.44C366.7 86.47 367.8 71.31 377.7 62.58L383.9 57.22C440.9 7.351 526.8 10.21 580.3 63.77C636.5 119.9 636.5 211 580.3 267.2L489.3 358.2L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L185.7 120.2zM225.1 151.1L366.3 261.8C376.6 228.7 368.5 191.4 342.5 165.4C310.7 133.5 261.1 128.8 225.1 151.1L225.1 151.1zM263.5 380.5C233.4 350.5 219.3 310.2 221.6 270.6L275.8 313.3C280.4 325.4 287.7 336.8 297.4 346.6C312.1 362.1 332.5 371.2 352.6 373.8L406.9 416.6C357.8 431.3 302.3 419.3 263.5 380.5V380.5zM116.6 187.9L154.6 217.8L93.63 278.7C56.19 316.2 56.19 376.9 93.63 414.3C129.3 449.1 186.6 451.9 224.5 418.7L230.7 413.3C240.6 404.6 255.8 405.6 264.5 415.6C273.2 425.5 272.2 440.7 262.3 449.4L256.1 454.8C199.1 504.7 113.2 501.8 59.69 448.2C3.505 392.1 3.505 300.1 59.69 244.8L116.6 187.9z"],
    "lips": [576, 512, [128482, 128068], "f600", "M568.1 201.7C521.6 124.6 419.6 64 375.1 64c0 0-29.37 0-87.99 45C229.4 64 200 64 200 64C156.4 64 54.4 124.6 7.942 201.7c-9.338 15.41-10.46 34.2-3.489 50.73C29.65 312.3 105.9 448 251.3 448h73.36c145.5 0 221.7-135.8 246.9-195.6C578.5 235.9 577.4 217.1 568.1 201.7zM324.7 400H251.3c-123 0-186.2-127.2-202.6-166.3c-1.057-2.51-.9434-5.137 .3672-7.301c37.84-62.76 121.1-111.4 148.7-114.3C203.2 113.5 223.7 120.1 258.8 147.1L288 169.5l29.23-22.44c35.1-26.95 55.54-33.54 61.01-34.94c26.71 2.922 110.8 51.55 148.7 114.4c1.256 2.072 1.369 4.699 .3008 7.232C510.8 272.8 447.7 400 324.7 400zM333.5 215.8C319.3 219.8 303.8 222 288 222S256.7 219.8 242.5 215.8L216 208C144 208 96 236 96 236S160 320 288 320S480 236 480 236S432 208 360 208L333.5 215.8z"],
    "lira-sign": [320, 512, [8356], "f195", "M96 192H232C245.3 192 256 202.7 256 216C256 229.3 245.3 240 232 240H96V288H232C245.3 288 256 298.7 256 312C256 325.3 245.3 336 232 336H96V340.5C96 368.1 88.51 395.1 74.34 418.7L66.39 432H296C309.3 432 320 442.7 320 456C320 469.3 309.3 480 296 480H24C15.35 480 7.375 475.4 3.115 467.8C-1.145 460.3-1.028 451.1 3.42 443.7L33.18 394.1C42.88 377.9 48 359.4 48 340.5V336H24C10.75 336 0 325.3 0 312C0 298.7 10.75 288 24 288H48V240H24C10.75 240 0 229.3 0 216C0 202.7 10.75 192 24 192H48V159.2C48 88.97 104.1 32 175.2 32C188.9 32 202.5 34.2 215.5 38.53L295.6 65.23C308.2 69.42 314.1 83.02 310.8 95.59C306.6 108.2 292.1 114.1 280.4 110.8L200.3 84.07C192.2 81.37 183.8 80 175.2 80C131.5 80 96 115.5 96 159.2L96 192z"],
    "list": [512, 512, ["list-squares"], "f03a", "M88 48C101.3 48 112 58.75 112 72V120C112 133.3 101.3 144 88 144H40C26.75 144 16 133.3 16 120V72C16 58.75 26.75 48 40 48H88zM488 72C501.3 72 512 82.75 512 96C512 109.3 501.3 120 488 120H184C170.7 120 160 109.3 160 96C160 82.75 170.7 72 184 72H488zM488 232C501.3 232 512 242.7 512 256C512 269.3 501.3 280 488 280H184C170.7 280 160 269.3 160 256C160 242.7 170.7 232 184 232H488zM488 392C501.3 392 512 402.7 512 416C512 429.3 501.3 440 488 440H184C170.7 440 160 429.3 160 416C160 402.7 170.7 392 184 392H488zM16 232C16 218.7 26.75 208 40 208H88C101.3 208 112 218.7 112 232V280C112 293.3 101.3 304 88 304H40C26.75 304 16 293.3 16 280V232zM88 368C101.3 368 112 378.7 112 392V440C112 453.3 101.3 464 88 464H40C26.75 464 16 453.3 16 440V392C16 378.7 26.75 368 40 368H88z"],
    "list-check": [512, 512, ["tasks"], "f0ae", "M81.84 152.1C77.43 156.9 71.21 159.8 64.63 159.1C58.05 160.2 51.69 157.6 47.03 152.1L7.029 112.1C-2.343 103.6-2.343 88.4 7.029 79.03C16.4 69.66 31.6 69.66 40.97 79.03L63.08 101.1L118.2 39.94C127 30.09 142.2 29.29 152.1 38.16C161.9 47.03 162.7 62.2 153.8 72.06L81.84 152.1zM81.84 312.1C77.43 316.9 71.21 319.8 64.63 319.1C58.05 320.2 51.69 317.6 47.03 312.1L7.029 272.1C-2.343 263.6-2.343 248.4 7.029 239C16.4 229.7 31.6 229.7 40.97 239L63.08 261.1L118.2 199.9C127 190.1 142.2 189.3 152.1 198.2C161.9 207 162.7 222.2 153.8 232.1L81.84 312.1zM216 120C202.7 120 192 109.3 192 96C192 82.75 202.7 72 216 72H488C501.3 72 512 82.75 512 96C512 109.3 501.3 120 488 120H216zM192 256C192 242.7 202.7 232 216 232H488C501.3 232 512 242.7 512 256C512 269.3 501.3 280 488 280H216C202.7 280 192 269.3 192 256zM160 416C160 402.7 170.7 392 184 392H488C501.3 392 512 402.7 512 416C512 429.3 501.3 440 488 440H184C170.7 440 160 429.3 160 416zM64 448C46.33 448 32 433.7 32 416C32 398.3 46.33 384 64 384C81.67 384 96 398.3 96 416C96 433.7 81.67 448 64 448z"],
    "list-dropdown": [512, 512, [], "e1cf", "M384 232C397.3 232 408 242.7 408 256C408 269.3 397.3 280 384 280H128C114.7 280 104 269.3 104 256C104 242.7 114.7 232 128 232H384zM384 328C397.3 328 408 338.7 408 352C408 365.3 397.3 376 384 376H128C114.7 376 104 365.3 104 352C104 338.7 114.7 328 128 328H384zM0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM48 192V416C48 424.8 55.16 432 64 432H448C456.8 432 464 424.8 464 416V192H48zM436.7 96H363.3C356.2 96 352.6 104.6 357.7 109.7L394.3 146.3C397.5 149.5 402.5 149.5 405.7 146.3L442.3 109.7C447.4 104.6 443.8 96 436.7 96V96z"],
    "list-music": [512, 512, [], "f8c9", "M24 95.97h240c13.25 0 24-10.75 24-24s-10.75-24-24-24h-240c-13.25 0-24 10.75-24 24S10.75 95.97 24 95.97zM498.8 6.162c-8.25-6.125-18.69-7.699-28.44-4.699l-112 35.38C345.1 41.09 336 53.34 336 67.34v299.1c-18.12-9.125-40.13-14.5-64-14.5c-61.88 0-112 35.88-112 80C160 476.1 210.1 512 272 512s112-35.88 112-80V195.4l105.6-33.38C503 157.7 512 145.5 512 131.5V31.96C512 21.71 507.1 12.16 498.8 6.162zM272 463.1c-39.75 0-64-20.75-64-31.1c0-11.25 24.25-32 64-32s64 20.75 64 32C336 443.2 311.8 463.1 272 463.1zM464 119.7L384 144.1V79.09l80-25.25V119.7zM24 223.1h240c13.25 0 24-10.75 24-24s-10.75-24-24-24h-240c-13.25 0-24 10.74-24 24S10.75 223.1 24 223.1zM136 303.1h-112c-13.25 0-24 10.75-24 24s10.75 24 24 24h112c13.25 0 24-10.75 24-24S149.3 303.1 136 303.1z"],
    "list-ol": [576, 512, ["list-1-2", "list-numeric"], "f0cb", "M55.1 56.04C55.1 42.78 66.74 32.04 79.1 32.04H111.1C125.3 32.04 135.1 42.78 135.1 56.04V176H151.1C165.3 176 175.1 186.8 175.1 200C175.1 213.3 165.3 224 151.1 224H71.1C58.74 224 47.1 213.3 47.1 200C47.1 186.8 58.74 176 71.1 176H87.1V80.04H79.1C66.74 80.04 55.1 69.29 55.1 56.04V56.04zM118.7 341.2C112.1 333.8 100.4 334.3 94.65 342.4L83.53 357.9C75.83 368.7 60.84 371.2 50.05 363.5C39.26 355.8 36.77 340.8 44.47 330.1L55.59 314.5C79.33 281.2 127.9 278.8 154.8 309.6C176.1 333.1 175.6 370.5 153.7 394.3L118.8 432H152C165.3 432 176 442.7 176 456C176 469.3 165.3 480 152 480H64C54.47 480 45.84 474.4 42.02 465.6C38.19 456.9 39.9 446.7 46.36 439.7L118.4 361.7C123.7 355.9 123.8 347.1 118.7 341.2L118.7 341.2zM520 72C533.3 72 544 82.75 544 96C544 109.3 533.3 120 520 120H248C234.7 120 224 109.3 224 96C224 82.75 234.7 72 248 72H520zM520 232C533.3 232 544 242.7 544 256C544 269.3 533.3 280 520 280H248C234.7 280 224 269.3 224 256C224 242.7 234.7 232 248 232H520zM520 392C533.3 392 544 402.7 544 416C544 429.3 533.3 440 520 440H248C234.7 440 224 429.3 224 416C224 402.7 234.7 392 248 392H520z"],
    "list-radio": [512, 512, [], "e1d0", "M64 32C99.35 32 128 60.65 128 96C128 131.3 99.35 160 64 160C28.65 160 0 131.3 0 96C0 60.65 28.65 32 64 32zM488 72C501.3 72 512 82.75 512 96C512 109.3 501.3 120 488 120H184C170.7 120 160 109.3 160 96C160 82.75 170.7 72 184 72H488zM488 232C501.3 232 512 242.7 512 256C512 269.3 501.3 280 488 280H184C170.7 280 160 269.3 160 256C160 242.7 170.7 232 184 232H488zM488 392C501.3 392 512 402.7 512 416C512 429.3 501.3 440 488 440H184C170.7 440 160 429.3 160 416C160 402.7 170.7 392 184 392H488zM64 192C99.35 192 128 220.7 128 256C128 291.3 99.35 320 64 320C28.65 320 0 291.3 0 256C0 220.7 28.65 192 64 192zM40 256C40 269.3 50.75 280 64 280C77.25 280 88 269.3 88 256C88 242.7 77.25 232 64 232C50.75 232 40 242.7 40 256zM64 480C28.65 480 0 451.3 0 416C0 380.7 28.65 352 64 352C99.35 352 128 380.7 128 416C128 451.3 99.35 480 64 480zM88 416C88 402.7 77.25 392 64 392C50.75 392 40 402.7 40 416C40 429.3 50.75 440 64 440C77.25 440 88 429.3 88 416z"],
    "list-timeline": [512, 512, [], "e1d1", "M147.3 84.69L190.6 41.37C196.6 35.37 204.8 32 213.3 32H416C433.7 32 448 46.33 448 64V128C448 145.7 433.7 160 416 160H213.3C204.8 160 196.6 156.6 190.6 150.6L147.3 107.3C141.1 101.1 141.1 90.94 147.3 84.69V84.69zM400 111.1V79.1H219.9L203.9 95.1L219.9 111.1H400zM64 63.1C81.67 63.1 96 78.33 96 95.1C96 113.7 81.67 127.1 64 127.1C46.33 127.1 32 113.7 32 95.1C32 78.33 46.33 63.1 64 63.1zM64 223.1C81.67 223.1 96 238.3 96 255.1C96 273.7 81.67 287.1 64 287.1C46.33 287.1 32 273.7 32 255.1C32 238.3 46.33 223.1 64 223.1zM64 448C46.33 448 32 433.7 32 416C32 398.3 46.33 384 64 384C81.67 384 96 398.3 96 416C96 433.7 81.67 448 64 448zM147.3 404.7L190.6 361.4C196.6 355.4 204.8 352 213.3 352H416C433.7 352 448 366.3 448 384V448C448 465.7 433.7 480 416 480H213.3C204.8 480 196.6 476.6 190.6 470.6L147.3 427.3C141.1 421.1 141.1 410.9 147.3 404.7V404.7zM400 432V400H219.9L203.9 416L219.9 432H400zM190.6 310.6L147.3 267.3C141.1 261.1 141.1 250.9 147.3 244.7L190.6 201.4C196.6 195.4 204.8 192 213.3 192H480C497.7 192 512 206.3 512 224V288C512 305.7 497.7 320 480 320H213.3C204.8 320 196.6 316.6 190.6 310.6V310.6zM203.9 255.1L219.9 271.1H464V239.1H219.9L203.9 255.1z"],
    "list-tree": [512, 512, [], "e1d2", "M72 48C85.25 48 96 58.75 96 72V120C96 133.3 85.25 144 72 144V232H128C128 218.7 138.7 208 152 208H200C213.3 208 224 218.7 224 232V280C224 293.3 213.3 304 200 304H152C138.7 304 128 293.3 128 280H72V384C72 388.4 75.58 392 80 392H128C128 378.7 138.7 368 152 368H200C213.3 368 224 378.7 224 392V440C224 453.3 213.3 464 200 464H152C138.7 464 128 453.3 128 440H80C49.07 440 24 414.9 24 384V144C10.75 144 0 133.3 0 120V72C0 58.75 10.75 48 24 48H72zM160 96C160 82.75 170.7 72 184 72H488C501.3 72 512 82.75 512 96C512 109.3 501.3 120 488 120H184C170.7 120 160 109.3 160 96zM288 256C288 242.7 298.7 232 312 232H488C501.3 232 512 242.7 512 256C512 269.3 501.3 280 488 280H312C298.7 280 288 269.3 288 256zM288 416C288 402.7 298.7 392 312 392H488C501.3 392 512 402.7 512 416C512 429.3 501.3 440 488 440H312C298.7 440 288 429.3 288 416z"],
    "list-ul": [512, 512, ["list-dots"], "f0ca", "M64 64C81.67 64 96 78.33 96 96C96 113.7 81.67 128 64 128C46.33 128 32 113.7 32 96C32 78.33 46.33 64 64 64zM488 72C501.3 72 512 82.75 512 96C512 109.3 501.3 120 488 120H184C170.7 120 160 109.3 160 96C160 82.75 170.7 72 184 72H488zM488 232C501.3 232 512 242.7 512 256C512 269.3 501.3 280 488 280H184C170.7 280 160 269.3 160 256C160 242.7 170.7 232 184 232H488zM488 392C501.3 392 512 402.7 512 416C512 429.3 501.3 440 488 440H184C170.7 440 160 429.3 160 416C160 402.7 170.7 392 184 392H488zM64 288C46.33 288 32 273.7 32 256C32 238.3 46.33 224 64 224C81.67 224 96 238.3 96 256C96 273.7 81.67 288 64 288zM64 384C81.67 384 96 398.3 96 416C96 433.7 81.67 448 64 448C46.33 448 32 433.7 32 416C32 398.3 46.33 384 64 384z"],
    "litecoin-sign": [384, 512, [], "e1d3", "M112 207.7L257.8 168.8C270.6 165.4 283.8 173 287.2 185.8C290.6 198.6 282.1 211.8 270.2 215.2L112 257.4V432H360C373.3 432 384 442.7 384 456C384 469.3 373.3 480 360 480H88C74.75 480 64 469.3 64 456V270.2L30.18 279.2C17.38 282.6 4.226 274.1 .8106 262.2C-2.605 249.4 5.009 236.2 17.82 232.8L64 220.5V56C64 42.75 74.75 32 88 32C101.3 32 112 42.75 112 56V207.7z"],
    "loader": [576, 512, [], "e1d4", "M312 104C312 117.3 301.3 128 288 128C274.7 128 264 117.3 264 104V24C264 10.75 274.7 0 288 0C301.3 0 312 10.75 312 24V104zM312 488C312 501.3 301.3 512 288 512C274.7 512 264 501.3 264 488V408C264 394.7 274.7 384 288 384C301.3 384 312 394.7 312 408V488zM32 256C32 242.7 42.75 232 56 232H136C149.3 232 160 242.7 160 256C160 269.3 149.3 280 136 280H56C42.75 280 32 269.3 32 256zM520 232C533.3 232 544 242.7 544 256C544 269.3 533.3 280 520 280H440C426.7 280 416 269.3 416 256C416 242.7 426.7 232 440 232H520zM469 74.98C478.4 84.35 478.4 99.55 469 108.9L412.5 165.5C403.1 174.9 387.9 174.9 378.5 165.5C369.1 156.1 369.1 140.9 378.5 131.6L435.1 74.98C444.5 65.61 459.6 65.61 469 74.98zM140.9 437C131.5 446.4 116.4 446.4 106.1 437C97.61 427.6 97.61 412.4 106.1 403.1L163.5 346.5C172.9 337.1 188.1 337.1 197.5 346.5C206.9 355.9 206.9 371.1 197.5 380.4L140.9 437zM106.1 74.98C116.4 65.61 131.5 65.61 140.9 74.98L197.5 131.6C206.9 140.9 206.9 156.1 197.5 165.5C188.1 174.9 172.9 174.9 163.5 165.5L106.1 108.9C97.61 99.55 97.61 84.35 106.1 74.98V74.98zM469 403.1C478.4 412.4 478.4 427.6 469 437C459.6 446.4 444.5 446.4 435.1 437L378.5 380.4C369.1 371.1 369.1 355.9 378.5 346.5C387.9 337.1 403.1 337.1 412.5 346.5L469 403.1z"],
    "lobster": [512, 512, [129438], "e421", "M432 0L432 96L384 32v92.57c0 15.16 5.045 29.7 13.59 41.42l-26.84 18.78C364 189.5 356.1 192 347.8 192h-8.66C332.1 167.3 318.1 148.2 304 134.3V80c0-17.64 14.34-32 32-32C344.8 48 352 40.84 352 32s-7.156-16-16-16c-35.28 0-64 28.7-64 64v29.5c-2.805-1.643-4.842-2.746-5.281-2.967L256 101.2L245.3 106.5C244.8 106.8 242.8 107.9 240 109.5V80c0-35.3-28.72-64-64-64C167.2 16 160 23.16 160 32s7.156 16 16 16c17.66 0 32 14.36 32 32v54.3C193.9 148.2 179.9 167.3 172.8 192H164.2C155.9 192 147.1 189.5 141.2 184.8l-26.81-18.78C122.1 154.3 128 139.7 128 124.6V32L80 96L79.1 0C35.82 0 0 35.82 0 79.1V128c0 36.37 30.42 65.24 67.17 63.51l46.51 32.58C128.6 234.5 145.1 240 164.2 240H168V256H143.1C135.7 256 128.3 254.3 121.7 250.9l-34.5-17.25c-7.875-3.891-17.5-.7656-21.47 7.156C61.75 248.8 64.94 258.4 72.84 262.3l34.5 17.25C118.4 285.1 130.8 288 143.1 288H168v16H122.4c-5.156 0-10.25-.8281-15.16-2.453L69.06 288.8c-8.344-2.734-17.44 1.719-20.25 10.11C46.03 307.3 50.56 316.4 58.94 319.2l38.16 12.73C105.3 334.6 113.8 336 122.4 336H168v16.83c-9.93 .9004-19.76 3.156-28.66 7.607l-18.5 9.25c-7.906 3.953-11.09 13.56-7.156 21.47C116.5 396.8 122.2 400 128 400c2.406 0 4.844-.5469 7.156-1.688l18.5-9.25c4.887-2.443 10.23-3.721 15.66-4.387c1.01 7.359 2.496 14.63 4.844 21.68l16.99 50.93c.0098 .0293-.0098-.0293 0 0C172.5 468.5 160 488.7 160 511.1L352 512c0-23.29-12.53-43.53-31.12-54.72c.0137-.043-.0137 .043 0 0l16.97-50.92c2.363-7.066 3.848-14.33 4.852-21.68c5.418 .6699 10.77 1.943 15.65 4.385l18.5 9.25C379.2 399.5 381.6 400 384 400c5.844 0 11.5-3.234 14.31-8.844c3.938-7.906 .75-17.52-7.156-21.47l-18.5-9.25c-8.9-4.451-18.73-6.707-28.66-7.607V336h45.63c8.594 0 17.09-1.37 25.28-4.104l38.16-12.72c8.375-2.781 12.91-11.84 10.12-20.23c-2.812-8.391-11.91-12.86-20.25-10.11l-38.16 12.71C399.9 303.2 394.8 304 389.6 304H344V288h24.91c12.34 0 24.72-2.922 35.75-8.438l34.5-17.25c7.906-3.953 11.09-13.56 7.156-21.47c-3.969-7.922-13.53-11.08-21.47-7.156l-34.5 17.25C383.7 254.3 376.3 256 368.9 256H344V240h3.812c18.19 0 35.63-5.5 50.47-15.91l46.54-32.58C481.6 193.2 512 164.4 512 128V79.1C512 35.82 476.2 0 432 0zM256 156.3C270.9 167 296 190.1 296 224v144.4c0 7.766-1.25 15.42-3.688 22.73l-16.94 50.88C274.6 444.4 273.3 446.3 271.8 448H240.2c-1.52-1.68-2.801-3.605-3.58-5.938l-16.97-50.91C217.3 383.8 216 376.2 216 368.4V224C216 190.1 241.1 167 256 156.3z"],
    "location-arrow": [448, 512, [], "f124", "M47.1 256C32.71 256 19.55 245.2 16.6 230.2C13.65 215.2 21.73 200.2 35.88 194.4L387.9 50.38C399.8 45.5 413.5 48.26 422.6 57.37C431.7 66.49 434.5 80.19 429.6 92.12L285.6 444.1C279.8 458.3 264.8 466.3 249.8 463.4C234.8 460.4 223.1 447.3 223.1 432V256H47.1zM272 208V350.6L370.7 109.3L129.4 208H272z"],
    "location-check": [384, 512, ["map-marker-check"], "f606", "M176.1 272.1C167.6 282.3 152.4 282.3 143 272.1L87.03 216.1C77.66 207.6 77.66 192.4 87.03 183C96.4 173.7 111.6 173.7 120.1 183L160 222.1L255 127C264.4 117.7 279.6 117.7 288.1 127C298.3 136.4 298.3 151.6 288.1 160.1L176.1 272.1zM384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192H384zM192 48C112.5 48 48 112.5 48 192C48 204.4 52.49 223.6 63.3 249.2C73.78 274 88.66 301.4 105.8 329.1C134.2 375.3 167.2 419.1 192 451.7C216.8 419.1 249.8 375.3 278.2 329.1C295.3 301.4 310.2 274 320.7 249.2C331.5 223.6 336 204.4 336 192C336 112.5 271.5 48 192 48V48z"],
    "location-crosshairs": [512, 512, ["location"], "f601", "M352 256C352 309 309 352 256 352C202.1 352 160 309 160 256C160 202.1 202.1 160 256 160C309 160 352 202.1 352 256zM256 208C229.5 208 208 229.5 208 256C208 282.5 229.5 304 256 304C282.5 304 304 282.5 304 256C304 229.5 282.5 208 256 208zM256 0C269.3 0 280 10.75 280 24V65.49C366.8 76.32 435.7 145.2 446.5 232H488C501.3 232 512 242.7 512 256C512 269.3 501.3 280 488 280H446.5C435.7 366.8 366.8 435.7 280 446.5V488C280 501.3 269.3 512 256 512C242.7 512 232 501.3 232 488V446.5C145.2 435.7 76.32 366.8 65.49 280H24C10.75 280 0 269.3 0 256C0 242.7 10.75 232 24 232H65.49C76.32 145.2 145.2 76.32 232 65.49V24C232 10.75 242.7 0 256 0V0zM112 256C112 335.5 176.5 400 256 400C335.5 400 400 335.5 400 256C400 176.5 335.5 112 256 112C176.5 112 112 176.5 112 256z"],
    "location-crosshairs-slash": [640, 512, ["location-slash"], "f603", "M184.9 119.6C214.2 90.53 252.9 70.86 296 65.49V24C296 10.75 306.7 .001 320 .001C333.3 .001 344 10.75 344 24V65.49C430.8 76.32 499.7 145.2 510.5 232H552C565.3 232 576 242.7 576 256C576 269.3 565.3 280 552 280H510.5C507.1 307 498.2 332.3 484.8 354.6L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L184.9 119.6zM223.1 149.5L261.6 179.8C277.8 167.4 298 160 320 160C373 160 416 202.1 416 256C416 269.7 413.1 282.7 407.1 294.5L446.6 324.7C457.7 304.3 464 280.9 464 256C464 176.5 399.5 112 320 112C282.7 112 248.6 126.2 223.1 149.5V149.5zM367.5 262.8C367.8 260.6 368 258.3 368 256C368 229.5 346.5 208 320 208C313.7 208 307.6 209.2 302.1 211.5L367.5 262.8zM344 446.5V488C344 501.3 333.3 512 320 512C306.7 512 296 501.3 296 488V446.5C209.2 435.7 140.3 366.9 129.5 280H88C74.75 280 64 269.3 64 256C64 242.7 74.75 232 88 232H129.5C130.7 221.1 132.8 212.2 135.5 202.7L177.4 235.8C176.5 242.4 176 249.1 176 256C176 335.5 240.5 400 320 400C338.7 400 356.6 396.4 373 389.9L414.9 422.9C393.5 435.1 369.5 443.3 344 446.5H344z"],
    "location-dot": [384, 512, ["map-marker-alt"], "f3c5", "M272 192C272 236.2 236.2 272 192 272C147.8 272 112 236.2 112 192C112 147.8 147.8 112 192 112C236.2 112 272 147.8 272 192zM192 160C174.3 160 160 174.3 160 192C160 209.7 174.3 224 192 224C209.7 224 224 209.7 224 192C224 174.3 209.7 160 192 160zM384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192H384zM192 48C112.5 48 48 112.5 48 192C48 204.4 52.49 223.6 63.3 249.2C73.78 274 88.66 301.4 105.8 329.1C134.2 375.3 167.2 419.1 192 451.7C216.8 419.1 249.8 375.3 278.2 329.1C295.3 301.4 310.2 274 320.7 249.2C331.5 223.6 336 204.4 336 192C336 112.5 271.5 48 192 48V48z"],
    "location-dot-slash": [640, 512, ["map-marker-alt-slash"], "f605", "M154 95.42C187.3 38.35 249.2 0 320 0C426 0 512 85.96 512 192C512 230.7 489 282.8 459 334.5L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L154 95.42zM192.3 125.4L244.3 166.1C255 134.7 284.9 112 320 112C364.2 112 400 147.8 400 192C400 220.3 385.3 245.1 363.2 259.4L420.8 304.5C431.8 285.3 441.3 266.6 448.7 249.2C459.5 223.6 464 204.4 464 192C464 112.5 399.5 48 320 48C264.5 48 216.3 79.4 192.3 125.4L192.3 125.4zM317.1 223.9C318.7 223.1 319.3 224 320 224C337.7 224 352 209.7 352 192C352 174.3 337.7 160 320 160C302.3 160 288 174.3 288 192C288 195.3 288.5 198.5 289.5 201.6L317.1 223.9zM233.8 329.1C262.2 375.3 295.2 419.1 320 451.7C334.2 433.5 351.2 410.9 368.5 386.3L406.2 416.1C382.7 449.5 359.9 478.9 343.7 499.2C331.4 514.5 308.6 514.5 296.3 499.2C245.9 436.2 132.3 285.2 128.1 196.9L189.8 245.5C190.3 246.7 190.8 247.1 191.3 249.2C201.8 274 216.7 301.4 233.8 329.1V329.1z"],
    "location-exclamation": [384, 512, ["map-marker-exclamation"], "f608", "M192 96C205.3 96 216 106.7 216 120V232C216 245.3 205.3 256 192 256C178.7 256 168 245.3 168 232V120C168 106.7 178.7 96 192 96zM224 320C224 337.7 209.7 352 192 352C174.3 352 160 337.7 160 320C160 302.3 174.3 288 192 288C209.7 288 224 302.3 224 320zM384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192H384zM192 48C112.5 48 48 112.5 48 192C48 204.4 52.49 223.6 63.3 249.2C73.78 274 88.66 301.4 105.8 329.1C134.2 375.3 167.2 419.1 192 451.7C216.8 419.1 249.8 375.3 278.2 329.1C295.3 301.4 310.2 274 320.7 249.2C331.5 223.6 336 204.4 336 192C336 112.5 271.5 48 192 48V48z"],
    "location-minus": [384, 512, ["map-marker-minus"], "f609", "M264 168C277.3 168 288 178.7 288 192C288 205.3 277.3 216 264 216H120C106.7 216 96 205.3 96 192C96 178.7 106.7 168 120 168H264zM384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192H384zM192 48C112.5 48 48 112.5 48 192C48 204.4 52.49 223.6 63.3 249.2C73.78 274 88.66 301.4 105.8 329.1C134.2 375.3 167.2 419.1 192 451.7C216.8 419.1 249.8 375.3 278.2 329.1C295.3 301.4 310.2 274 320.7 249.2C331.5 223.6 336 204.4 336 192C336 112.5 271.5 48 192 48V48z"],
    "location-pen": [384, 512, ["map-marker-edit"], "f607", "M276.8 160.4L261.9 175.3L208.6 121.1L223.5 107C238.2 92.31 262.1 92.31 276.8 107C291.5 121.8 291.5 145.6 276.8 160.4V160.4zM114.1 216.5L185.1 144.6L239.3 197.9L167.4 269.9C163.3 273.1 158.1 276.9 152.5 278.3L115.9 287.4C110.4 288.8 104.7 287.2 100.7 283.2C96.71 279.3 95.12 273.5 96.48 268L105.6 231.4C107 225.8 109.1 220.6 114.1 216.5H114.1zM384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192H384zM192 48C112.5 48 48 112.5 48 192C48 204.4 52.49 223.6 63.3 249.2C73.78 274 88.66 301.4 105.8 329.1C134.2 375.3 167.2 419.1 192 451.7C216.8 419.1 249.8 375.3 278.2 329.1C295.3 301.4 310.2 274 320.7 249.2C331.5 223.6 336 204.4 336 192C336 112.5 271.5 48 192 48V48z"],
    "location-pin": [384, 512, ["map-marker"], "f041", "M168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2H168.3zM320.7 249.2C331.5 223.6 336 204.4 336 192C336 112.5 271.5 48 192 48C112.5 48 48 112.5 48 192C48 204.4 52.49 223.6 63.3 249.2C73.78 274 88.66 301.4 105.8 329.1C134.2 375.3 167.2 419.1 192 451.7C216.8 419.1 249.8 375.3 278.2 329.1C295.3 301.4 310.2 274 320.7 249.2V249.2z"],
    "location-pin-lock": [512, 512, [], "e51f", "M192 451.7C210.5 427.1 233.6 397.1 256 363.7V446.8C240.7 467.4 226.7 485.4 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C287.7 0 366.1 69.96 381.6 161.5C364.7 164.3 349 170.9 335.5 180.4C329.6 106.3 267.6 48 191.1 48C112.5 48 47.1 112.5 47.1 192C47.1 204.4 52.49 223.6 63.3 249.2C73.78 274 88.66 301.4 105.8 329.1C134.2 375.3 167.2 419.1 191.1 451.7L192 451.7zM272 192C272 236.2 236.2 272 192 272C147.8 272 112 236.2 112 192C112 147.8 147.8 112 192 112C236.2 112 272 147.8 272 192zM192 160C174.3 160 160 174.3 160 192C160 209.7 174.3 224 192 224C209.7 224 224 209.7 224 192C224 174.3 209.7 160 192 160zM400 192C444.2 192 480 227.8 480 272V320C497.7 320 512 334.3 512 352V480C512 497.7 497.7 512 480 512H320C302.3 512 288 497.7 288 480V352C288 334.3 302.3 320 320 320V272C320 227.8 355.8 192 400 192zM400 240C382.3 240 368 254.3 368 272V320H432V272C432 254.3 417.7 240 400 240z"],
    "location-pin-slash": [640, 512, ["map-marker-slash"], "f60c", "M154 95.42C187.3 38.35 249.2 0 320 0C426 0 512 85.96 512 192C512 230.7 489 282.8 459 334.5L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L154 95.42zM192.3 125.4L420.8 304.5C431.8 285.3 441.3 266.6 448.7 249.2C459.5 223.6 464 204.4 464 192C464 112.5 399.5 48 320 48C264.5 48 216.3 79.4 192.3 125.4V125.4zM191.3 249.2C201.8 274 216.7 301.4 233.8 329.1C262.2 375.3 295.2 419.1 320 451.7C334.2 433.5 351.2 410.9 368.5 386.3L406.2 416.1C382.7 449.5 359.9 478.9 343.7 499.2C331.4 514.5 308.6 514.5 296.3 499.2C245.9 436.2 132.3 285.2 128.1 196.9L189.8 245.5C190.3 246.7 190.8 247.1 191.3 249.2V249.2z"],
    "location-plus": [384, 512, ["map-marker-plus"], "f60a", "M192 96C205.3 96 216 106.7 216 120V168H264C277.3 168 288 178.7 288 192C288 205.3 277.3 216 264 216H216V264C216 277.3 205.3 288 192 288C178.7 288 168 277.3 168 264V216H120C106.7 216 96 205.3 96 192C96 178.7 106.7 168 120 168H168V120C168 106.7 178.7 96 192 96zM384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192H384zM192 48C112.5 48 48 112.5 48 192C48 204.4 52.49 223.6 63.3 249.2C73.78 274 88.66 301.4 105.8 329.1C134.2 375.3 167.2 419.1 192 451.7C216.8 419.1 249.8 375.3 278.2 329.1C295.3 301.4 310.2 274 320.7 249.2C331.5 223.6 336 204.4 336 192C336 112.5 271.5 48 192 48V48z"],
    "location-question": [384, 512, ["map-marker-question"], "f60b", "M105.8 133.3C113.8 110.9 134.9 96 158.6 96H216.9C251.7 96 280 124.3 280 159.1C280 181.8 267.9 202.7 248.3 213.9L215.1 232.4C215.8 245.5 205.1 255.1 192 255.1C178.7 255.1 168 245.3 168 231.1V218.5C168 209.9 172.6 202 180.1 197.7L224.4 172.3C229.1 169.6 232 164.6 232 159.1C232 150.8 225.2 143.1 216.9 143.1H158.6C155.2 143.1 152.2 146.1 151.1 149.3L150.6 150.6C146.2 163.1 132.5 169.6 119.1 165.2C107.5 160.7 100.9 147 105.4 134.5L105.8 133.3zM224 320C224 337.7 209.7 352 192 352C174.3 352 160 337.7 160 320C160 302.3 174.3 288 192 288C209.7 288 224 302.3 224 320zM384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192H384zM192 48C112.5 48 48 112.5 48 192C48 204.4 52.49 223.6 63.3 249.2C73.78 274 88.66 301.4 105.8 329.1C134.2 375.3 167.2 419.1 192 451.7C216.8 419.1 249.8 375.3 278.2 329.1C295.3 301.4 310.2 274 320.7 249.2C331.5 223.6 336 204.4 336 192C336 112.5 271.5 48 192 48V48z"],
    "location-smile": [384, 512, ["map-marker-smile"], "f60d", "M112 152C112 138.7 122.7 128 136 128C149.3 128 160 138.7 160 152C160 165.3 149.3 176 136 176C122.7 176 112 165.3 112 152zM272 152C272 165.3 261.3 176 248 176C234.7 176 224 165.3 224 152C224 138.7 234.7 128 248 128C261.3 128 272 138.7 272 152zM192 252C217.7 252 234.9 235.6 239.4 228.9C245.5 219.7 257.9 217.2 267.1 223.4C276.3 229.5 278.8 241.9 272.6 251.1C262.9 265.7 234.5 292 192 292C149.5 292 121.1 265.7 111.4 251.1C105.2 241.9 107.7 229.5 116.9 223.4C126.1 217.2 138.5 219.7 144.6 228.9C149.1 235.6 166.3 252 192 252V252zM384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192H384zM192 48C112.5 48 48 112.5 48 192C48 204.4 52.49 223.6 63.3 249.2C73.78 274 88.66 301.4 105.8 329.1C134.2 375.3 167.2 419.1 192 451.7C216.8 419.1 249.8 375.3 278.2 329.1C295.3 301.4 310.2 274 320.7 249.2C331.5 223.6 336 204.4 336 192C336 112.5 271.5 48 192 48V48z"],
    "location-xmark": [384, 512, ["map-marker-times", "map-marker-xmark"], "f60e", "M116.1 116.1C125.5 106.7 140.7 106.7 150.1 116.1L192 158.1L233.9 116.1C243.3 106.7 258.5 106.7 267.9 116.1C277.3 125.5 277.3 140.7 267.9 150.1L225.9 191.1L267.9 233.9C277.3 243.3 277.3 258.5 267.9 267.9C258.5 277.3 243.3 277.3 233.9 267.9L192 225.9L150.1 267.9C140.7 277.3 125.5 277.3 116.1 267.9C106.7 258.5 106.7 243.3 116.1 233.9L158.1 191.1L116.1 150.1C106.7 140.7 106.7 125.5 116.1 116.1zM384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192H384zM192 48C112.5 48 48 112.5 48 192C48 204.4 52.49 223.6 63.3 249.2C73.78 274 88.66 301.4 105.8 329.1C134.2 375.3 167.2 419.1 192 451.7C216.8 419.1 249.8 375.3 278.2 329.1C295.3 301.4 310.2 274 320.7 249.2C331.5 223.6 336 204.4 336 192C336 112.5 271.5 48 192 48V48z"],
    "lock": [448, 512, [128274], "f023", "M96 192V128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128V192H384C419.3 192 448 220.7 448 256V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V256C0 220.7 28.65 192 64 192H96zM144 192H304V128C304 83.82 268.2 48 224 48C179.8 48 144 83.82 144 128V192zM48 448C48 456.8 55.16 464 64 464H384C392.8 464 400 456.8 400 448V256C400 247.2 392.8 240 384 240H64C55.16 240 48 247.2 48 256V448z"],
    "lock-a": [448, 512, [], "e422", "M122.5 405.3L202.4 245.5C203.6 243.1 205.1 240.9 207 239C209.2 236.9 211.7 235.2 214.5 233.1C217.6 232.6 220.8 231.1 224 231.1C227.2 231.1 230.4 232.6 233.5 233.1C236.3 235.2 238.8 236.9 240.1 239C242.9 240.9 244.4 243.1 245.6 245.5L325.5 405.3C331.4 417.1 326.6 431.5 314.7 437.5C302.9 443.4 288.5 438.6 282.5 426.7L269.2 400H178.8L165.5 426.7C159.5 438.6 145.1 443.4 133.3 437.5C121.4 431.5 116.6 417.1 122.5 405.3H122.5zM202.8 352H245.2L224 309.7L202.8 352zM224 0C294.7 0 352 57.31 352 128V160H384C419.3 160 448 188.7 448 224V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V224C0 188.7 28.65 160 64 160H96V128C96 57.31 153.3 0 224 0zM224 48C179.8 48 144 83.82 144 128V160H304V128C304 83.82 268.2 48 224 48zM48 224V448C48 456.8 55.16 464 64 464H384C392.8 464 400 456.8 400 448V224C400 215.2 392.8 208 384 208H64C55.16 208 48 215.2 48 224z"],
    "lock-hashtag": [448, 512, [], "e423", "M184 224C197.3 224 208 234.7 208 248V272H240V248C240 234.7 250.7 224 264 224C277.3 224 288 234.7 288 248V272H312C325.3 272 336 282.7 336 296C336 309.3 325.3 320 312 320H288V352H312C325.3 352 336 362.7 336 376C336 389.3 325.3 400 312 400H288V424C288 437.3 277.3 448 264 448C250.7 448 240 437.3 240 424V400H208V424C208 437.3 197.3 448 184 448C170.7 448 160 437.3 160 424V400H136C122.7 400 112 389.3 112 376C112 362.7 122.7 352 136 352H160V320H136C122.7 320 112 309.3 112 296C112 282.7 122.7 272 136 272H160V248C160 234.7 170.7 224 184 224zM208 352H240V320H208V352zM96 160V128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128V160H384C419.3 160 448 188.7 448 224V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V224C0 188.7 28.65 160 64 160H96zM144 160H304V128C304 83.82 268.2 48 224 48C179.8 48 144 83.82 144 128V160zM64 208C55.16 208 48 215.2 48 224V448C48 456.8 55.16 464 64 464H384C392.8 464 400 456.8 400 448V224C400 215.2 392.8 208 384 208H64z"],
    "lock-keyhole": [448, 512, ["lock-alt"], "f30d", "M248 384C248 397.3 237.3 408 224 408C210.7 408 200 397.3 200 384V320C200 306.7 210.7 296 224 296C237.3 296 248 306.7 248 320V384zM224 0C294.7 0 352 57.31 352 128V192H384C419.3 192 448 220.7 448 256V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V256C0 220.7 28.65 192 64 192H96V128C96 57.31 153.3 0 224 0zM224 48C179.8 48 144 83.82 144 128V192H304V128C304 83.82 268.2 48 224 48zM64 240C55.16 240 48 247.2 48 256V448C48 456.8 55.16 464 64 464H384C392.8 464 400 456.8 400 448V256C400 247.2 392.8 240 384 240H64z"],
    "lock-keyhole-open": [576, 512, ["lock-open-alt"], "f3c2", "M192 376C178.7 376 168 365.3 168 352C168 338.7 178.7 328 192 328H256C269.3 328 280 338.7 280 352C280 365.3 269.3 376 256 376H192zM432 48C387.8 48 352 83.82 352 128V192H384C419.3 192 448 220.7 448 256V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V256C0 220.7 28.65 192 64 192H304V128C304 57.31 361.3 0 432 0C502.7 0 560 57.31 560 128V200C560 213.3 549.3 224 536 224C522.7 224 512 213.3 512 200V128C512 83.82 476.2 48 432 48zM384 240H64C55.16 240 48 247.2 48 256V448C48 456.8 55.16 464 64 464H384C392.8 464 400 456.8 400 448V256C400 247.2 392.8 240 384 240z"],
    "lock-open": [576, 512, [], "f3c1", "M352 192H384C419.3 192 448 220.7 448 256V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V256C0 220.7 28.65 192 64 192H304V128C304 57.31 361.3 0 432 0C502.7 0 560 57.31 560 128V200C560 213.3 549.3 224 536 224C522.7 224 512 213.3 512 200V128C512 83.82 476.2 48 432 48C387.8 48 352 83.82 352 128V192zM48 256V448C48 456.8 55.16 464 64 464H384C392.8 464 400 456.8 400 448V256C400 247.2 392.8 240 384 240H64C55.16 240 48 247.2 48 256z"],
    "locust": [576, 512, [], "e520", "M448 320C448 306.7 458.7 296 472 296C485.3 296 496 306.7 496 320C496 333.3 485.3 344 472 344C458.7 344 448 333.3 448 320V320zM328 32C464.1 32 576 143 576 280V320L576 320.2C575.9 368.3 540.5 408 494.3 414.9L509.5 445.3C515.4 457.1 510.6 471.5 498.7 477.5C486.9 483.4 472.5 478.6 466.5 466.7L441.2 416H330.5L300.8 467.9C294.3 479.4 279.6 483.4 268.1 476.8C256.6 470.3 252.6 455.6 259.2 444.1L275.2 416H241.8C229.7 416 217.6 414.9 205.8 412.6L163.3 470.2C155.5 480.9 140.4 483.2 129.8 475.3C119.1 467.5 116.8 452.4 124.7 441.8L157.9 396.7L116.3 377.8L42.84 470.9C34.62 481.3 19.53 483 9.13 474.8C-1.274 466.6-3.049 451.5 5.164 441.1L71.42 357.2C47.35 345.5 32 321 32 294.1C32 255.4 63.4 224 102.1 224H176.6L245.2 137.1C249.1 131 257.5 127.6 265.2 128C272.1 128.4 280.1 132.6 284.2 139.1L313.6 185.3L348.7 137.8C353.5 131.2 361.4 127.5 369.6 128.1C377.8 128.6 385.1 133.3 389.1 140.5L434.6 224H480C495.3 224 509.8 227.6 522.7 233.1C501.9 145.7 422.6 80 328 80H304C290.7 80 280 69.25 280 56C280 42.75 290.7 32 304 32L328 32zM344.8 224H379.9L364.1 196.6L344.8 224zM237.7 224H281.4L261.9 193.4L237.7 224zM80 294.1C80 302.8 85.06 310.7 92.94 314.3L102 318.4L138.7 272H102.1C89.91 272 80 281.9 80 294.1H80zM199.8 272L146.1 338.1L181.9 354.1C200.7 363.6 221.1 368 241.8 368H455.5C455.6 367.1 455.8 367.1 455.1 367.1C456.1 367.1 456.3 367.1 456.5 368H480C506.5 368 528 346.5 528 320C528 293.5 506.5 272 480 272L199.8 272z"],
    "lollipop": [512, 512, [127853, "lollypop"], "e424", "M511.4 487.8C511.3 494 508.8 499.1 504.4 504.4C499.1 508.8 494 511.3 487.8 511.4C481.6 511.5 475.6 509.2 471 504.1L309.5 343.5C270.8 373.6 222.1 387.7 173.3 383.2C124.5 378.6 79.33 355.6 46.9 318.8C14.48 282.1-2.718 234.3-1.187 185.3C.3434 136.4 20.49 89.8 55.14 55.14C89.8 20.49 136.4 .3434 185.3-1.187C234.3-2.718 282.1 14.48 318.8 46.9C355.6 79.33 378.6 124.5 383.2 173.3C387.7 222.1 373.6 270.8 343.5 309.5L504.1 471C509.2 475.6 511.5 481.6 511.4 487.8H511.4zM278.9 306.2C301.3 289.2 318.3 266.1 327.7 239.6C337.1 213.1 338.6 184.5 331.9 157.2C325.2 129.9 310.7 105.1 290.1 85.98C269.6 66.83 243.9 54.12 216.2 49.4C188.5 44.69 159.1 48.18 134.2 59.45C108.5 70.72 86.62 89.28 71.3 112.8C55.98 136.4 47.88 163.9 48 192C48 219.6 58.96 246 78.46 265.5C97.97 285 124.4 296 152 296C179.6 296 206 285 225.5 265.5C245 246 256 219.6 256 192C256 175 249.3 158.7 237.3 146.7C225.3 134.7 208.1 128 192 128C175 128 158.7 134.7 146.7 146.7C134.7 158.7 128 175 128 192C128 198.4 130.5 204.5 135 208.1C139.5 213.5 145.6 216 152 216C158.4 216 164.5 213.5 168.1 208.1C173.5 204.5 176 198.4 176 192C176 185.6 178.5 179.5 183 175C187.5 170.5 193.6 168 200 168C206.4 168 212.5 170.5 216.1 175C221.5 179.5 224 185.6 224 192C224 211.1 216.4 229.4 202.9 242.9C189.4 256.4 171.1 264 152 264C132.9 264 114.6 256.4 101.1 242.9C87.59 229.4 80 211.1 80 192C80 162.3 91.8 133.8 112.8 112.8C133.8 91.8 162.3 80 192 80C221.7 80 250.2 91.8 271.2 112.8C292.2 133.8 304 162.3 304 192C303.9 223.5 293.1 254.2 275.6 279.9C257.3 305.5 231.4 324.8 201.6 335C229.6 333.2 256.5 323.1 278.9 306.2z"],
    "loveseat": [512, 512, ["couch-small"], "f4cc", "M448 224c-35.35 0-64 28.65-64 64H128c0-35.35-28.65-64-64-64C28.65 224 0 252.7 0 288v160c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32h256c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32V288C512 252.7 483.3 224 448 224zM80 432h-32V288c0-8.822 7.178-16 16-16S80 279.2 80 288V432zM384 400H128v-64h256V400zM464 432h-32V288c0-8.822 7.178-16 16-16s16 7.178 16 16V432zM88 192C101.3 192 112 181.3 112 168v-16c0-39.69 32.3-72 72-72h144c39.7 0 72 32.31 72 72v16C400 181.3 410.8 192 424 192S448 181.3 448 168v-16C448 85.84 394.2 32 328 32h-144C117.8 32 64 85.84 64 152v16C64 181.3 74.75 192 88 192z"],
    "luchador-mask": [448, 512, ["luchador", "mask-luchador"], "f455", "M224 0C100.2 0 0 100.2 0 224v128c0 88.38 71.62 160 160 160h128c88.38 0 160-71.63 160-160V224C448 100.2 347.8 0 224 0zM400 352c0 61.75-50.25 112-112 112H160c-61.75 0-112-50.25-112-112V224c0-97 79-176 176-176s176 79 176 176V352zM226.5 226.2c-.875-.75-4.25-.75-5.125 0c-8.125-38-39.41-66.21-77.41-66.21L76 160C69.38 160 64 165.4 64 172v30.75C64 249.8 99.75 288 144 288h22.38c-7.375 12.25-12.5 23.5-15.75 32.88C119.8 325.5 96 351.9 96 384c0 35.5 29.38 64 64.88 64H287c35.5 0 64.88-28.5 64.88-64c0-32.13-23.62-58.5-54.63-63.13C293.1 311.4 288.9 300.2 281.5 288H304C348.2 288 384 249.8 384 202.8V172C384 165.4 378.6 160 372 160h-67.97C266.2 160 234.8 188.2 226.5 226.2zM224 266.8C244.2 286.6 255.9 305.2 262.8 320h-77.5C192.1 305.2 203.8 286.6 224 266.8zM144 256C117.5 256 96 232.1 96 202.8V192h48C170.5 192 192 215.9 192 245.2V254C191.4 254.8 190.8 255.2 190.2 256H144zM288 352c17.62 0 32 14.38 32 32s-14.38 32-32 32H160c-17.62 0-32-14.38-32-32s14.38-32 32-32H288zM352 202.8C352 232.1 330.5 256 304 256h-46.25C257.2 255.2 256.6 254.8 256 254V245.2C256 215.9 277.5 192 304 192H352V202.8z"],
    "lungs": [640, 512, [129729], "f604", "M640 419.8C640 472.1 594.4 512 541.9 512c-18 0-24.41-2.872-86.66-19.5c-42.13-11.38-71.25-47.5-71.25-88.63L384 322.5l48 34.3v47.06c0 19.25 14.62 36.63 35.63 42.25C532.3 463.4 532.1 464 541.9 464c30.38 0 58-23.62 47.88-61.5c-20.38-76.63-52.75-149.8-96.13-217.5C470.6 148.6 468.4 144 453.1 144C442.1 144 432 152.1 432 161.8V258.5l69.95 49.97c10.78 7.719 13.28 22.69 5.578 33.47C502.8 348.5 495.5 352 487.1 352c-4.828 0-9.703-1.438-13.94-4.469L320 237.5l-154 110.1C161.7 350.6 156.8 352 152 352c-7.484 0-14.86-3.5-19.55-10.06c-7.703-10.78-5.203-25.75 5.578-33.47L208 258.5V161.8C208 152.1 197.9 144 185.1 144c-14.37 0-16.62 4.625-39.62 41C103 252.8 70.63 325.9 50.25 402.5C40.13 440.4 67.75 464 98.13 464c9.75 0 9.625-.625 74.25-17.88C193.4 440.5 208 423.1 208 403.9v-47.06L256 322.5l.0313 81.36c0 41.13-29.12 77.25-71.25 88.63C122.5 509.1 116.1 512 98.13 512C45.63 512 0 472.1 0 419.8c0-10 1.25-19.88 3.875-29.63c21.62-81.25 56.03-159.1 102-231c22.12-34.63 36.12-63.13 80.12-63.13C224.7 96 256 125.4 256 161.8v62.46l36.64-26.18C294.8 196.5 296 194.1 296 191.5V24C296 10.75 306.8 0 320 0s23.1 10.75 23.1 24v167.5c0 2.562 1.25 5 3.359 6.5L384 224.2V161.8c0-36.38 31.34-65.75 69.97-65.75c43.1 0 58 28.5 80.13 63.13c46 71.88 80.41 149.8 102 231C638.8 399.9 640 409.8 640 419.8z"],
    "lungs-virus": [640, 512, [], "e067", "M195.5 444.5C193.3 442.2 192.1 439.3 190.4 436.7c-5.256 4.062-11.12 7.537-18.06 9.395c-64.62 17.33-64.45 17.92-74.26 17.92c-30.3 0-57.9-23.56-47.78-61.48c20.4-76.58 52.71-149.8 96.04-217.5c23.05-36.41 25.34-41 39.62-41c11.95 0 22.05 8.109 22.05 17.7v25.08c6.611-3.334 13.87-5.283 21.49-5.283c9.576 0 18.72 2.799 26.52 7.986l.04-27.75c0-36.28-31.36-65.72-70.05-65.72c-43.98 0-57.98 28.56-80.09 63.13C59.93 231 25.55 308.8 3.882 390.1C1.289 399.8 0 409.8 0 419.8c0 52.33 45.62 92.23 98.06 92.23c18.09 0 24.46-2.83 86.69-19.5c21.77-5.828 39.91-18.39 52.51-34.73c-2.561 .418-5.128 .7591-7.774 .7591C216.7 458.5 204.6 453.5 195.5 444.5zM343.1 150.7L343.1 23.1C343.1 10.74 333.2 0 319.1 0s-24 10.74-24 23.1L295.1 150.7c7.086-4.135 15.22-6.675 23.1-6.675S336.9 146.5 343.1 150.7zM421.8 421.8c6.25-6.25 6.25-16.37 0-22.62l-8.576-8.576c-20.16-20.16-5.881-54.63 22.63-54.63H448c8.844 0 16-7.156 16-16S456.8 303.1 448 303.1h-12.12c-28.51 0-42.79-34.47-22.63-54.63l8.576-8.577c6.25-6.25 6.25-16.37 0-22.62s-16.38-6.25-22.62 0l-8.576 8.577C370.5 246.9 336 232.6 336 204.1v-12.12c0-8.844-7.156-15.1-16-15.1s-16 7.156-16 15.1v12.12c0 28.51-34.47 42.79-54.63 22.63L240.8 218.2c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.37 0 22.62l8.576 8.577c20.16 20.16 5.881 54.63-22.63 54.63H192c-8.844 0-16 7.156-16 16s7.156 16 16 16h12.12c28.51 0 42.79 34.47 22.63 54.63l-8.576 8.576c-6.25 6.25-6.25 16.37 0 22.62c3.125 3.125 7.219 4.688 11.31 4.688s8.188-1.562 11.31-4.688l8.576-8.575C269.5 393.1 304 407.4 304 435.9v12.12c0 8.844 7.156 16 16 16s16-7.156 16-16v-12.12c0-28.51 34.47-42.78 54.63-22.63l8.576 8.575c3.125 3.125 7.219 4.688 11.31 4.688S418.7 424.9 421.8 421.8zM288 303.1c-8.836 0-16-7.162-16-15.1C272 279.2 279.2 271.1 288 271.1s16 7.16 16 15.1C304 296.8 296.8 303.1 288 303.1zM352 367.1c-8.836 0-16-7.166-16-16c0-8.838 7.164-15.1 16-15.1s16 7.165 16 16C368 360.8 360.8 367.1 352 367.1zM636.1 390.1c-21.67-81.31-56.05-159.1-102-231c-22.11-34.56-36.11-63.13-80.09-63.13c-38.69 0-70.01 29.45-70.01 65.73v27.74c7.795-5.188 16.94-7.986 26.52-7.986c7.625 0 14.87 1.953 21.49 5.29V161.7c0-9.594 10.09-17.7 22.05-17.7c14.28 0 16.56 4.594 39.62 41c43.33 67.73 75.64 140.9 96.04 217.5c10.12 37.92-17.47 61.48-47.78 61.48c-9.811 0-9.639-.5938-74.25-17.91c-6.949-1.865-12.82-5.35-18.08-9.424c-1.732 2.605-2.857 5.504-5.152 7.799c-9.066 9.066-21.12 14.06-33.94 14.06c-2.635 0-5.213-.3438-7.764-.7578c12.59 16.34 30.74 28.9 52.51 34.73C517.5 509.2 523.8 512 541.9 512C594.4 512 640 472.1 640 419.8C639.1 409.8 638.7 399.8 636.1 390.1z"],
    "m": [448, 512, [109], "4d", "M424 480c-13.25 0-24-10.75-24-24V136.1l-155.9 237c-8.875 13.5-31.25 13.5-40.13 0L48 136.1V456C48 469.3 37.25 480 24 480S0 469.3 0 456V56c0-10.61 6.969-19.95 17.12-22.98c10.19-3.078 21.09 .9375 26.94 9.797L224 316.3l179.9-273.5c5.812-8.859 16.66-12.89 26.94-9.797C441 36.05 448 45.39 448 56v400C448 469.3 437.3 480 424 480z"],
    "mace": [512, 512, [], "f6f8", "M500.1 209.9l-80.75-25.77c-13.59-45.11-49.13-80.3-94.35-92.1l-27.32-80.43C295.5 4.172 291.8 1.051 288 0c-3.83 1.051-7.514 4.172-9.699 10.7L250.1 91.12C205.8 103.8 170.2 138.9 156.6 183.1L75.88 209.8C60.13 214.8 59.1 228.3 75.74 233.6l80.08 27.42C160 276.1 166.9 289.1 175.6 302.5l-168.6 168.6c-9.375 9.375-9.375 24.56 0 33.94C11.72 509.7 17.84 512 24 512s12.28-2.344 16.97-7.031l168.5-168.5c11.78 8.258 24.77 14.94 38.9 19.23l25.57 81.04C276.9 445.9 282.6 449.1 288 447.6c5.369 1.492 11.1-1.727 14.01-10.96l25.57-81.19c44.95-13.64 79.95-49.13 92.6-94.51l80.08-27.37C516 228.4 515.9 214.9 500.1 209.9zM288 312C239.5 312 200 272.5 200 224c0-48.47 39.53-88 88-88S376 175.5 376 224C376 272.5 336.5 312 288 312zM288 192c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S305.7 192 288 192z"],
    "magnet": [448, 512, [129522], "f076", "M0 88C0 57.07 25.07 32 56 32H104C134.9 32 160 57.07 160 88V256C160 291.3 188.7 320 224 320C259.3 320 288 291.3 288 256V88C288 57.07 313.1 32 344 32H392C422.9 32 448 57.07 448 88V256C448 379.7 347.7 480 224 480C100.3 480 0 379.7 0 256V88zM224 432C321.2 432 400 353.2 400 256V192H336V256C336 317.9 285.9 368 224 368C162.1 368 112 317.9 112 256V192H48V256C48 353.2 126.8 432 224 432z"],
    "magnifying-glass": [512, 512, [128269, "search"], "f002", "M504.1 471l-134-134C399.1 301.5 415.1 256.8 415.1 208c0-114.9-93.13-208-208-208S-.0002 93.13-.0002 208S93.12 416 207.1 416c48.79 0 93.55-16.91 129-45.04l134 134C475.7 509.7 481.9 512 488 512s12.28-2.344 16.97-7.031C514.3 495.6 514.3 480.4 504.1 471zM48 208c0-88.22 71.78-160 160-160s160 71.78 160 160s-71.78 160-160 160S48 296.2 48 208z"],
    "magnifying-glass-arrow-right": [512, 512, [], "e521", "M304.1 191C314.3 200.4 314.3 215.6 304.1 224.1L240.1 288.1C231.6 298.3 216.4 298.3 207 288.1C197.7 279.6 197.7 264.4 207 255L230.1 232H128C114.7 232 104 221.3 104 208C104 194.7 114.7 184 128 184H230.1L207 160.1C197.7 151.6 197.7 136.4 207 127C216.4 117.7 231.6 117.7 240.1 127L304.1 191zM0 208C0 93.12 93.12 0 208 0C322.9 0 416 93.12 416 208C416 256.8 399.2 301.7 371.1 337.1L504.1 471C514.3 480.4 514.3 495.6 504.1 504.1C495.6 514.3 480.4 514.3 471 504.1L337.1 371.1C301.7 399.2 256.8 416 208 416C93.12 416 0 322.9 0 208V208zM208 368C296.4 368 368 296.4 368 208C368 119.6 296.4 48 208 48C119.6 48 48 119.6 48 208C48 296.4 119.6 368 208 368z"],
    "magnifying-glass-chart": [512, 512, [], "e522", "M104 216C104 202.7 114.7 192 128 192C141.3 192 152 202.7 152 216V280C152 293.3 141.3 304 128 304C114.7 304 104 293.3 104 280V216zM184 120C184 106.7 194.7 96 208 96C221.3 96 232 106.7 232 120V280C232 293.3 221.3 304 208 304C194.7 304 184 293.3 184 280V120zM264 184C264 170.7 274.7 160 288 160C301.3 160 312 170.7 312 184V280C312 293.3 301.3 304 288 304C274.7 304 264 293.3 264 280V184zM0 208C0 93.12 93.12 0 208 0C322.9 0 416 93.12 416 208C416 256.8 399.2 301.7 371.1 337.1L504.1 471C514.3 480.4 514.3 495.6 504.1 504.1C495.6 514.3 480.4 514.3 471 504.1L337.1 371.1C301.7 399.2 256.8 416 208 416C93.12 416 0 322.9 0 208V208zM208 368C296.4 368 368 296.4 368 208C368 119.6 296.4 48 208 48C119.6 48 48 119.6 48 208C48 296.4 119.6 368 208 368z"],
    "magnifying-glass-dollar": [512, 512, ["search-dollar"], "f688", "M504.1 471l-134-134C399.1 301.5 416 256.8 416 208C416 93.13 322.9 0 208 0S0 93.13 0 208S93.13 416 208 416c48.79 0 93.55-16.91 129-45.04l134 134C475.7 509.7 481.9 512 488 512s12.28-2.344 16.97-7.031C514.3 495.6 514.3 480.4 504.1 471zM208 368c-88.22 0-160-71.78-160-160s71.78-160 160-160s160 71.78 160 160S296.2 368 208 368zM213.5 188.7l-6-1.719C180 178.1 180.8 174.8 181.8 168.1c1.703-9.781 18.97-12.41 35.08-9.812c4.969 .75 11.36 2.5 19.52 5.344c10.44 3.594 21.83-1.938 25.45-12.34c3.625-10.44-1.906-21.84-12.33-25.47C241.1 123.8 234.3 121.1 228 120.7V112c0-11.03-8.953-20-20-20S188 100.1 188 112v8.043c-24.53 4.746-41.77 19.6-45.66 42.11C134.5 207.3 177.8 219.1 196.2 225.4l6.266 1.812c32.2 9.219 33.02 12.75 31.8 19.84C232.5 256.8 215.3 259.3 199.1 256.8C191.4 255.7 181.7 252.2 173.2 249.1L168.1 247.3C157.6 243.7 146.2 249.1 142.6 259.5C138.9 269.9 144.4 281.4 154.8 285.1l4.844 1.719C168.4 289.9 178.2 293.2 188 295.2V304c0 11.03 8.953 20 20 20S228 315 228 304V296.1c24.55-4.73 41.77-19.68 45.66-42.21C281.5 208.2 238.9 196 213.5 188.7z"],
    "magnifying-glass-location": [512, 512, ["search-location"], "f689", "M207.1 96C160.4 96 121.9 134.5 121.9 182.2c0 38.35 56.29 108.5 77.87 134C201.8 318.5 204.7 320 207.1 320s6.262-1.459 8.303-3.791c21.58-25.52 77.88-95.67 77.88-134C294.1 134.5 255.5 96 207.1 96zM208 208c-17.67 0-32-14.34-32-32c0-17.67 14.33-32 32-32s32 14.33 32 32C240 193.7 225.7 208 208 208zM504.1 471l-134-134C399.1 301.5 416 256.8 416 208C416 93.13 322.9 0 208 0S0 93.13 0 208S93.13 416 208 416c48.79 0 93.55-16.91 129-45.04l134 134C475.7 509.7 481.9 512 488 512s12.28-2.344 16.97-7.031C514.3 495.6 514.3 480.4 504.1 471zM208 368c-88.22 0-160-71.78-160-160s71.78-160 160-160s160 71.78 160 160S296.2 368 208 368z"],
    "magnifying-glass-minus": [512, 512, ["search-minus"], "f010", "M504.1 471l-134-134C399.1 301.5 416 256.8 416 208C416 93.13 322.9 0 208 0S0 93.13 0 208S93.13 416 208 416c48.79 0 93.55-16.91 129-45.04l134 134C475.7 509.7 481.9 512 488 512s12.28-2.344 16.97-7.031C514.3 495.6 514.3 480.4 504.1 471zM208 368c-88.22 0-160-71.78-160-160s71.78-160 160-160s160 71.78 160 160S296.2 368 208 368zM288 184H127.1C114.7 184 104 194.7 104 208s10.73 24 23.1 24h160C301.3 232 312 221.3 312 208S301.3 184 288 184z"],
    "magnifying-glass-plus": [512, 512, ["search-plus"], "f00e", "M504.1 471l-134-134C399.1 301.5 416 256.8 416 208C416 93.13 322.9 0 208 0S0 93.13 0 208S93.13 416 208 416c48.79 0 93.55-16.91 129-45.04l134 134C475.7 509.7 481.9 512 488 512s12.28-2.344 16.97-7.031C514.3 495.6 514.3 480.4 504.1 471zM208 368c-88.22 0-160-71.78-160-160s71.78-160 160-160s160 71.78 160 160S296.2 368 208 368zM288 184H231.1V128c0-13.26-10.74-24-23.1-24S184 114.7 184 128v56H127.1C114.7 184 104 194.7 104 208s10.73 24 23.1 24H184V288c0 13.26 10.73 24 23.1 24c13.26 0 23.1-10.74 23.1-24V232h56C301.3 232 312 221.3 312 208S301.3 184 288 184z"],
    "mailbox": [576, 512, [128234], "f813", "M184 192h-80C90.75 192 80 202.7 80 216c0 13.25 10.75 24 24 24h80c13.25 0 24-10.75 24-24C208 202.7 197.3 192 184 192zM432 64h-288C64.5 64 0 128.5 0 208v207.1c0 17.62 14.38 31.1 32 31.1h512c17.62 0 32-14.37 32-31.1V208C576 128.5 511.5 64 432 64zM240 400h-192v-192c0-53 43-96 96-96s96 43 96 96V400zM528 400H288V208C288 171 273.6 137.5 250.6 112H432c53 0 96 43 96 96V400zM464 192h-104c-13.2 0-24 10.8-24 24c0 13.2 10.8 24 24 24H416v32C416 280.8 423.2 288 432 288l32-.0001c8.836 0 16-7.164 16-15.1v-64C480 199.2 472.8 192 464 192z"],
    "manat-sign": [384, 512, [], "e1d5", "M216 56V97.49C310.7 109.3 384 190.1 384 288V456C384 469.3 373.3 480 360 480C346.7 480 336 469.3 336 456V288C336 216.6 284.1 157.4 216 145.1V456C216 469.3 205.3 480 192 480C178.7 480 168 469.3 168 456V145.1C99.9 157.4 48 216.6 48 288V456C48 469.3 37.25 480 24 480C10.75 480 0 469.3 0 456V288C0 190.1 73.29 109.3 168 97.49V56C168 42.75 178.7 32 192 32C205.3 32 216 42.75 216 56V56z"],
    "mandolin": [512, 512, [], "f6f9", "M507.3 50.66l-46-46c-5.25-5.25-13.38-6.127-19.76-2.252l-64 40.11c-7 4.375-12 11.12-14 19.12l-18.38 71.38l-59.25 59.25C96.76 188.6 49.63 237.4 30.76 256.2c-46.88 46.87-39.5 150.4 17.5 207.5C80.26 495.6 126.7 512 169.7 512c33.75 0 65.38-10.15 86-30.77c15.5-15.62 67.76-61.1 64.01-255.1l59.25-59.25l71.38-18.38c7.875-2.125 14.75-7.124 19.12-13.1l40.01-63.99C513.5 64.15 512.6 56.03 507.3 50.66zM221.8 447.4c-10.38 10.37-29.88 16.62-52 16.62c-32.88 0-66.38-13.12-87.5-34.25c-39.75-39.75-43.62-113.5-17.62-139.5c47.88-48.37 156.5-48.1 172.9-49.62L188.3 289.8c-21.37-5.875-44 3.25-55.25 22.5c-11.12 19.12-8 43.37 7.625 59.12c15.75 15.62 40 18.75 59.13 7.625c19.25-11.25 28.37-33.87 22.5-55.25l49.13-49.25C270.9 289.5 270.3 399.1 221.8 447.4z"],
    "mango": [512, 512, [], "e30f", "M509.4 253.1C497.8 176.4 440.4 120.1 368 102.4V63.56C385.5 83.31 411.5 96 443 96h51.05c11.19 0 19.79-9.357 17.55-19.28C501.8 32.94 458.1 0 407.7 0H344C330.8 0 320 10.75 320 24l-.0752 72.01c-.0078 0 .0078 0 0 0c-171.5 .1602-208.7 177.9-301.7 268.4C6.512 375.8 0 391.5 0 407.9c0 25.1 15.28 47.62 38.73 56.57C88.42 483.4 181.1 512 287.1 512C423.2 512 530.4 392.3 509.4 253.1zM421.5 402.7C387.1 441.7 339.3 464 288 464c-100.8 0-188.7-27.82-232.2-44.4C51.08 417.8 48 413.2 48 407.9c0-3.48 1.35-6.791 3.705-9.084c32.81-31.94 58.36-71.66 83.07-110.1c49.91-77.61 93.13-144.6 185.1-144.7c.0078 0-.0078 0 0 0L319.1 168c0 13.25 10.75 24 24 24s24-10.75 24-24V151.1c49.18 16.26 86.11 56.71 93.89 108.3C469.8 312.6 455.5 363.2 421.5 402.7z"],
    "manhole": [512, 512, [], "e1d6", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464zM287.4 99.17C285.7 115.3 272.5 128 256 128S226.3 115.3 224.6 99.17C151.4 113.8 96 178.5 96 256s55.39 142.2 128.6 156.8C226.3 396.7 239.5 384 256 384s29.69 12.72 31.36 28.83C360.6 398.2 416 333.5 416 256S360.6 113.8 287.4 99.17zM208 336h-32v-32h32V336zM208 272h-32v-32h32V272zM208 208h-32v-32h32V208zM272 336h-32v-32h32V336zM272 272h-32v-32h32V272zM272 208h-32v-32h32V208zM336 336h-32v-32h32V336zM336 272h-32v-32h32V272zM336 208h-32v-32h32V208z"],
    "map": [576, 512, [62072, 128506], "f279", "M565.6 36.24C572.1 40.72 576 48.11 576 56V392C576 401.1 569.8 410.9 560.5 414.4L392.5 478.4C387.4 480.4 381.7 480.5 376.4 478.8L192.5 417.5L32.54 478.4C25.17 481.2 16.88 480.2 10.38 475.8C3.882 471.3 0 463.9 0 456V120C0 110 6.15 101.1 15.46 97.57L183.5 33.57C188.6 31.6 194.3 31.48 199.6 33.23L383.5 94.52L543.5 33.57C550.8 30.76 559.1 31.76 565.6 36.24H565.6zM48 421.2L168 375.5V90.83L48 136.5V421.2zM360 137.3L216 89.3V374.7L360 422.7V137.3zM408 421.2L528 375.5V90.83L408 136.5V421.2z"],
    "map-location": [576, 512, ["map-marked"], "f59f", "M375.6 207.8L375.5 207.1C372.4 213.3 369.2 218.7 365.9 224C361.5 231 356.9 237.1 352.4 244.8C352.3 244.1 352.1 245.2 352 245.4C333.9 272.3 315.3 296.4 302.8 311.1C295.1 321.6 280.9 321.6 273.2 311.1C260.7 296.4 242.1 272.3 224 245.4C205.6 218.1 187.7 187.9 177.3 160.9C176.5 158.8 175.7 156.7 174.1 154.6C170.6 142 168 130.3 168 120C168 115.3 168.3 110.7 168.8 106.2C175.6 46.44 226.4 0 288 0C354.3 0 408 53.73 408 120C408 128.6 406.2 138.3 402.1 148.6C397.3 166.1 387.4 187.5 375.6 207.8V207.8zM400 229.5V453.7L528 407.2V154.3L419.3 193.8C421.5 189.1 423.6 184.5 425.6 179.9C431.5 165.8 436.6 150.7 438.8 135.6L543.8 97.44C551.2 94.77 559.4 95.85 565.8 100.3C572.2 104.8 576 112.2 576 119.1V424C576 434.1 569.7 443.1 560.2 446.6L384.2 510.6C378.9 512.5 373.1 512.5 367.8 510.6L200 449.5L32.2 510.6C24.84 513.2 16.64 512.2 10.23 507.7C3.819 503.2 0 495.8 0 488V184C0 173.9 6.314 164.9 15.8 161.4L136 117.7C136 118.5 136 119.2 136 119.1C136 135.1 139.7 150.7 144.9 165.6L48 200.8V453.7L176 407.2V229.5C177.8 232.4 179.5 235.3 181.3 238.2C195.2 260.7 210.5 282.4 224 300.6V407.2L352 453.7V300.6C365.5 282.4 380.8 260.7 394.7 238.2C396.5 235.3 398.2 232.4 400 229.5V229.5z"],
    "map-location-dot": [576, 512, ["map-marked-alt"], "f5a0", "M408 119.1C408 128.6 406.2 138.3 402.1 148.6C397.3 166.1 387.4 187.5 375.6 207.8L375.5 207.1C372.4 213.3 369.2 218.7 365.9 224C361.5 231 356.9 237.1 352.4 244.8L352 245.4C333.9 272.3 315.3 296.4 302.8 311.1C295.1 321.6 280.9 321.6 273.2 311.1C260.7 296.4 242.1 272.3 224 245.4C205.6 218.1 187.7 187.9 177.3 160.9C176.5 158.8 175.7 156.7 174.1 154.6C170.6 142 168 130.3 168 120C168 115.3 168.3 110.7 168.8 106.2C175.6 46.44 226.4 0 288 0C354.3 0 408 53.73 408 120V119.1zM288 151.1C310.1 151.1 328 134.1 328 111.1C328 89.91 310.1 71.1 288 71.1C265.9 71.1 248 89.91 248 111.1C248 134.1 265.9 151.1 288 151.1zM352 300.6C365.5 282.4 380.8 260.7 394.7 238.2C396.5 235.3 398.2 232.4 400 229.5V453.7L528 407.2V154.3L419.3 193.8C421.5 189.1 423.6 184.5 425.6 179.8C431.5 165.8 436.6 150.7 438.8 135.6L543.8 97.44C551.2 94.77 559.4 95.85 565.8 100.3C572.2 104.8 576 112.2 576 119.1V424C576 434.1 569.7 443.1 560.2 446.6L384.2 510.6C378.9 512.5 373.1 512.5 367.8 510.6L200 449.5L32.2 510.6C24.84 513.2 16.64 512.2 10.23 507.7C3.819 503.2 0 495.8 0 488V183.1C0 173.9 6.314 164.9 15.8 161.4L136 117.7C136 118.5 136 119.2 136 119.1C136 135.1 139.7 150.7 144.9 165.6L48 200.8V453.7L176 407.2V229.5C177.8 232.4 179.5 235.3 181.3 238.2C195.2 260.7 210.5 282.4 224 300.6V407.2L352 453.7V300.6z"],
    "map-pin": [320, 512, [128205], "f276", "M200 488C200 501.3 189.3 512 176 512C162.7 512 152 501.3 152 488V286C83.9 274.6 32 215.4 32 144C32 64.47 96.47 0 176 0C255.5 0 320 64.47 320 144C320 215.4 268.1 274.6 200 286V488zM176 48C122.1 48 80 90.98 80 144C80 197 122.1 240 176 240C229 240 272 197 272 144C272 90.98 229 48 176 48z"],
    "marker": [512, 512, [], "f5a1", "M232.4 23.75C260.3 5.302 298.3 8.366 322.9 32.94L336 46.06L351 31.03C386.9-4.835 445.1-4.844 480.1 31.03C516.9 66.92 516.9 125.1 480.1 160.1L229.5 412.5C181.5 460.5 120.3 493.2 53.7 506.5L28.71 511.5C20.84 513.1 12.7 510.6 7.03 504.1C1.356 499.3-1.107 491.2 .4662 483.3L5.465 458.3C18.78 391.7 51.52 330.5 99.54 282.5L302.1 80L288.1 66.91C279.6 57.56 264.4 57.55 255 66.91L168.1 152.1C164.9 157.1 159.6 159.4 154.3 159.9C147.4 160.5 140.3 158.2 135 152.1C125.7 143.6 125.7 128.4 135 119L221.1 32.97C224.6 29.46 228.4 26.38 232.4 23.75L232.4 23.75zM225.9 224L288 286.1L447 127C464.2 109.9 464.2 82.11 447 64.98C429.9 47.84 402.1 47.84 384.1 64.98L225.9 224zM192 257.9L133.5 316.5C94.71 355.2 67.52 403.1 54.85 457.2C108 444.5 156.8 417.3 195.5 378.5L254.1 320L192 257.9z"],
    "mars": [448, 512, [9794], "f222", "M424 32h-112C298.8 32 288 42.75 288 56s10.75 24 24 24h54.06L281.8 164.3C250.5 140.6 213.4 128 176 128C130.1 128 85.92 145.2 51.55 179.5c-68.73 68.73-68.73 180.2 0 248.9C85.92 462.8 130.1 480 176 480s89.91-17.18 124.3-51.55c62.92-62.92 67.71-161.2 15.44-230.2L400 113.9V168C400 181.3 410.8 192 424 192S448 181.3 448 168v-112C448 42.75 437.3 32 424 32zM266.5 394.5C242.3 418.7 210.2 432 176 432s-66.33-13.31-90.51-37.49c-49.91-49.91-49.91-131.1 0-181C109.7 189.3 141.8 176 176 176s66.34 13.32 90.51 37.5c.0039 .0039-.0039-.0039 0 0c.002 .002-.002-.002 0 0C316.4 263.4 316.4 344.6 266.5 394.5z"],
    "mars-and-venus": [512, 512, [9893], "f224", "M472 0h-96C362.8 0 352 10.75 352 24s10.75 24 24 24h38.06l-43.01 43.01C340.2 64.28 300 48 256 48C158.8 48 80 126.8 80 224c0 89.04 66.18 162.4 152 174.2V424H208c-13.25 0-24 10.75-24 24s10.75 24 24 24h24v16C232 501.3 242.8 512 256 512s24-10.75 24-24v-16h24c13.25 0 24-10.75 24-24s-10.75-24-24-24h-24v-25.82C365.8 386.4 432 313 432 224c0-35.83-10.77-69.11-29.15-96.91L448 81.94V120c0 13.25 10.75 24 24 24s24-10.75 24-24v-96C496 10.75 485.3 0 472 0zM256 352c-70.58 0-128-57.42-128-128s57.42-128 128-128s128 57.42 128 128S326.6 352 256 352z"],
    "mars-and-venus-burst": [640, 512, [], "e523", "M616 0C629.3 0 640 10.75 640 24V112C640 125.3 629.3 136 616 136C602.7 136 592 125.3 592 112V81.94L535.3 138.6C550.1 163.3 560 192.6 560 224C560 304.2 500.1 370.6 424 382.2V416H456C469.3 416 480 426.7 480 440C480 453.3 469.3 464 456 464H424V488C424 501.3 413.3 512 400 512C386.7 512 376 501.3 376 488V464H344C330.7 464 320 453.3 320 440C320 426.7 330.7 416 344 416H376V382.2C299 370.6 240 304.2 240 224C240 135.6 311.6 64 400 64C439.6 64 475.9 78.4 503.8 102.2L558.1 48H520C506.7 48 496 37.25 496 24C496 10.75 506.7 0 520 0L616 0zM400 112C338.1 112 288 162.1 288 224C288 285.9 338.1 336 400 336C461.9 336 512 285.9 512 224C512 162.1 461.9 112 400 112zM176 8C184.9 8 193 12.9 197.2 20.75L227.3 77.46L290.4 65.64C290.9 65.56 291.3 65.49 291.7 65.43C269 80.94 249.9 101.2 235.6 124.7L218.8 127.9C208.5 129.8 198.1 124.8 193.2 115.6L176 83.18L158.8 115.6C153.9 124.8 143.5 129.8 133.2 127.9L97.18 121.1L111.8 154.8C115.1 164.4 113.4 175.6 105.4 182.5L77.71 206.4L113.1 215.1C123.2 218.7 130.4 227.7 130.8 238.2L132.3 274.8L161.8 253.1C170.2 246.9 181.8 246.9 190.2 253.1L213.6 270.3C220.4 297.5 232.9 322.4 249.8 343.6C242.4 346.2 234.1 344.1 227.7 340.3L176 302.3L124.3 340.3C117.1 345.5 107.6 346.4 99.64 342.6C91.64 338.7 86.42 330.8 86.07 321.9L83.55 257.7L21.56 240.1C12.99 238.7 6.391 231.8 4.415 223.2C2.439 214.5 5.405 205.5 12.12 199.7L60.72 157.7L35.15 98.79C31.61 90.64 32.86 81.21 38.4 74.27C43.94 67.32 52.85 64.01 61.58 65.64L124.7 77.46L154.8 20.75C158.1 12.9 167.1 8.001 176 8.001L176 8z"],
    "mars-double": [640, 512, [9891], "f227", "M616 32h-111.1c-13.25 0-23.1 10.75-23.1 24s10.75 24 23.1 24h54.06L458.5 179.5c-9.375 9.375-9.375 24.56 0 33.94c49.91 49.91 49.9 131.1-.0059 181c-24.18 24.18-56.32 37.49-90.51 37.49c-8.91 0-17.65-1-26.18-2.766c-5.764 7.6-11.88 14.98-18.74 21.84c-6.037 6.037-12.52 11.54-19.13 16.73C324.5 475.8 346.2 480 368 480c45.04 0 89.91-17.18 124.3-51.55c62.92-62.92 67.71-161.3 15.44-230.2l84.29-84.28v54.07c0 13.25 10.75 24 23.1 24S640 181.3 640 168V56C640 42.75 629.3 32 616 32zM315.7 198.2l84.29-84.28v54.07c0 13.25 10.75 24 23.1 24c13.25 0 24-10.75 24-24V56c0-13.25-10.75-24-24-24H312c-13.25 0-23.1 10.75-23.1 24s10.75 24 23.1 24h54.06L281.8 164.3C250.5 140.6 213.4 127.1 176 127.1c-45.04 0-90.08 17.18-124.5 51.55c-68.73 68.73-68.73 180.2 0 248.9C85.92 462.8 130.1 480 176 480s89.91-17.18 124.3-51.55C363.2 365.5 367.1 267.2 315.7 198.2zM266.5 394.5c-24.18 24.18-56.32 37.49-90.51 37.49s-66.33-13.31-90.51-37.49c-49.91-49.91-49.91-131.1 0-181c24.18-24.18 56.32-37.49 90.51-37.49s66.33 13.31 90.51 37.49C316.4 263.4 316.4 344.6 266.5 394.5z"],
    "mars-stroke": [512, 512, [9894], "f229", "M488 0h-112C362.8 0 352 10.75 352 24s10.75 24 24 24h54.07l-54.06 54.07l-31.04-31.04c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94l31.04 31.04L313.8 164.3C282.5 140.6 245.4 128 208 128C162.1 128 117.9 145.2 83.55 179.5c-68.73 68.73-68.73 180.2 0 248.9C117.9 462.8 162.1 480 208 480s90.08-17.18 124.5-51.55c62.92-62.92 67.54-161.2 15.26-230.2L376 169.9l31.03 31.03C411.7 205.7 417.9 208 424 208s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94l-31.03-31.03L464 81.94V136C464 149.3 474.8 160 488 160S512 149.3 512 136v-112C512 10.75 501.3 0 488 0zM298.5 394.5C274.3 418.7 242.2 432 208 432s-66.33-13.31-90.51-37.49c-49.91-49.91-49.91-131.1 0-181C141.7 189.3 173.8 176 208 176s66.34 13.32 90.51 37.5c.0039 .0039-.0039-.0039 0 0c.002 .002-.002-.002 0 0C348.4 263.4 348.4 344.6 298.5 394.5z"],
    "mars-stroke-right": [640, 512, [9897, "mars-stroke-h"], "f22b", "M616.9 238.9l-79.69-79.81c-9.436-9.449-24.72-9.449-34.15 0s-9.436 24.76 0 34.21L541.7 232H464v-48C464 170.8 453.3 160 440 160S416 170.8 416 184v48h-33.82C370.4 146.2 297 80 208 80C110.8 80 32 158.8 32 256s78.8 176 176 176c89.04 0 162.4-66.18 174.2-152H416v48c0 13.25 10.75 24 24 24s24-10.75 24-24v-48h77.73l-38.65 38.71c-9.436 9.447-9.436 24.76 0 34.21C507.8 357.6 513.1 360 520.2 360s12.36-2.363 17.08-7.086l79.69-79.81C626.4 263.7 626.4 248.3 616.9 238.9zM208 384c-70.58 0-128-57.42-128-128s57.42-128 128-128s128 57.42 128 128S278.6 384 208 384z"],
    "mars-stroke-up": [384, 512, [9896, "mars-stroke-v"], "f22a", "M216 161.8V152h32c13.25 0 24-10.75 24-23.1S261.3 104 248 104h-32V72.01l25.59 19.19c4.328 3.25 9.375 4.812 14.39 4.812c7.297 0 14.5-3.312 19.22-9.593c7.953-10.62 5.797-25.66-4.797-33.59l-64-47.1c-8.531-6.437-20.28-6.437-28.81 0l-64 47.1C103 60.76 100.8 75.79 108.8 86.42c7.969 10.62 23.02 12.78 33.61 4.781L168 72.01v32h-32c-13.25 0-24 10.75-24 23.1S122.8 152 136 152h32v9.824C82.18 173.6 16 246.1 16 336C16 433.2 94.8 512 192 512c97.2 0 176-78.8 176-175.1C368 246.1 301.8 173.6 216 161.8zM192 464c-70.58 0-128-57.42-128-127.1s57.42-127.1 128-127.1s128 57.42 128 127.1S262.6 464 192 464z"],
    "martini-glass": [512, 512, [127864, "glass-martini-alt"], "f57b", "M279.1 279.6l222.1-222C523.3 36.38 508.3 0 478.3 0H33.72c-30 0-45 36.38-23.75 57.63L128 175.7V176h.3359l103.6 103.6V463L220.8 464H152C138.8 464 128 474.8 128 488S138.8 512 152 512h208c13.25 0 24-10.75 24-24s-10.75-24-24-24h-78.09c-1.701-.2207-3.203-1-4.965-1h3.02V279.6zM443.7 48l-80 80h-215.5l-80-80H443.7zM255.1 235.8L196.2 176h119.5L255.1 235.8z"],
    "martini-glass-citrus": [576, 512, ["cocktail"], "f561", "M576 144c0 79.5-64.5 144-143.1 144c-27.38 0-52.75-8.125-74.62-21.38l35.25-35.25C404.8 236.8 418 240 432 240c52.88 0 95.1-43 95.1-96s-43.12-96-95.1-96c-35.38 0-65.1 19.5-82.62 48h-52.5c19.75-55.75 72.5-96 135.1-96C511.5 0 576 64.5 576 144zM320 488c0 13.25-10.75 24-24 24h-176C106.8 512 96 501.3 96 488s10.75-24 24-24h64v-117.3l-176.8-176.7C-8.249 154.5 2.751 128 24.63 128h366.7c21.88 0 32.87 26.5 17.37 42L232 346.8V464H296C309.3 464 320 474.8 320 488zM208 302.9L334.9 176H81.13L208 302.9z"],
    "martini-glass-empty": [512, 512, ["glass-martini"], "f000", "M279.1 279.6l222.1-222C523.3 36.38 508.3 0 478.3 0H33.72c-30 0-45 36.38-23.75 57.63l221.1 222V463L220.8 464H152C138.8 464 128 474.8 128 488S138.8 512 152 512h208c13.25 0 24-10.75 24-24s-10.75-24-24-24h-78.09c-1.701-.2207-3.203-1-4.965-1h3.02V279.6zM255.1 235.8L68.21 48h375.5L255.1 235.8z"],
    "mask": [576, 512, [], "f6fa", "M288 64C39.52 64 0 182.1 0 273.5C0 379.5 78.8 448 176 448c27.33 0 51.21-6.516 66.11-36.79l19.93-40.5C268.3 358.6 278.1 352.4 288 352.1c9.9 .3711 19.7 6.501 25.97 18.63l19.93 40.5C348.8 441.5 372.7 448 400 448c97.2 0 176-68.51 176-174.5C576 182.1 536.5 64 288 64zM400 400c-18.12 0-19.56-2.924-23.04-9.986l-20.35-41.33c-13.87-26.86-38.85-43.53-66.82-44.57L288 304L286.2 304.1c-27.96 1.049-52.94 17.71-67.24 45.41l-19.93 40.49C195.6 397.1 194.1 400 176 400c-75.36 0-128-52.04-128-126.5C48 229.3 48 112 288 112s240 117.3 240 161.5C528 347.1 475.4 400 400 400zM160 192C124.7 192 96 220.7 96 256s28.65 64 64 64c35.35 0 64-28.65 64-64S195.3 192 160 192zM416 192c-35.35 0-64 28.65-64 64s28.65 64 64 64c35.35 0 64-28.65 64-64S451.3 192 416 192z"],
    "mask-face": [640, 512, [], "e1d7", "M432 192C440.8 192 448 199.2 448 208C448 216.8 440.8 224 432 224H208C199.2 224 192 216.8 192 208C192 199.2 199.2 192 208 192H432zM192 272C192 263.2 199.2 256 208 256H432C440.8 256 448 263.2 448 272C448 280.8 440.8 288 432 288H208C199.2 288 192 280.8 192 272zM400 320C408.8 320 416 327.2 416 336C416 344.8 408.8 352 400 352H240C231.2 352 224 344.8 224 336C224 327.2 231.2 320 240 320H400zM0 269V184C0 153.1 25.07 128 56 128H153.2C172.2 128 190.7 122.4 206.5 111.9L243.6 87.12C266.2 72.05 292.8 64 320 64C347.2 64 373.8 72.05 396.4 87.12L433.5 111.9C449.3 122.4 467.8 128 486.8 128H584C614.9 128 640 153.1 640 184V269C640 324.1 602.5 372.1 549.1 385.5L441.1 412.5C406.2 434.1 364.6 448 320 448C275.4 448 233.8 434.1 198.9 412.5L90.9 385.5C37.48 372.1 0 324.1 0 269zM320 112C302.3 112 284.1 117.2 270.2 127.1L233.1 151.8C209.5 167.6 181.7 176 153.2 176H144V224C144 283.5 173.5 336.1 218.7 367.9L221.8 368.7L221.5 369.9C249.6 388.9 283.5 400 320 400C356.5 400 390.4 388.9 418.5 369.9L418.2 368.7L421.3 367.9C466.5 336.1 496 283.5 496 224V176H486.8C458.3 176 430.5 167.6 406.9 151.8L369.8 127.1C355 117.2 337.7 112 320 112V112zM96 224V176H56C51.58 176 48 179.6 48 184V269C48 302.1 70.49 330.9 102.5 338.9L132.3 346.3C109.4 311.2 95.1 269.1 95.1 224H96zM592 269V184C592 179.6 588.4 176 584 176H544V224C544 269.1 530.6 311.2 507.7 346.3L537.5 338.9C569.5 330.9 592 302.1 592 269H592z"],
    "mask-snorkel": [576, 512, [], "e3b7", "M384 288c35.35 0 64-28.65 64-64V128c0-35.35-28.65-64-64-64H64C28.65 64 0 92.65 0 128v96c0 35.35 28.65 64 64 64h78.03c29.37 0 54.96-19.99 62.09-48.48l4.359-17.43C210.5 214 217.2 209.1 224 209.1s13.5 4.04 15.52 12.12l4.359 17.43C251 268 276.6 288 305.1 288H384zM290.4 227.9L286.1 210.4C278.1 181.9 253.4 161.1 224 161.1S169 181.9 161.9 210.4L157.6 227.9C155.8 235 149.4 240 142 240H64C55.18 240 48 232.8 48 224V128c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16v96c0 8.822-7.178 16-16 16h-78.03C298.6 240 292.2 235 290.4 227.9zM552 32c-13.25 0-24 10.75-24 24v320c0 48.53-39.47 88-88 88S352 424.5 352 376c0-13.25-10.75-24-24-24s-24 10.75-24 24c0 75 61 136 136 136S576 451 576 376v-320C576 42.75 565.3 32 552 32z"],
    "mask-ventilator": [640, 512, [], "e524", "M248 361.3C248 383.1 257.2 402.5 272 415.8V474.4C226.7 463.7 188 437.1 162.2 403.3L90.9 385.5C37.48 372.1 0 324.1 0 269V184C0 153.1 25.07 128 56 128H185.1C219.8 73.8 267.4 32 320 32C372.1 32 419.7 73.8 454.5 128H584C614.9 128 640 153.1 640 184V269C640 324.1 602.5 372.1 549.1 385.5L477.5 403.4C451.5 437.1 412.8 463.5 368 474.3V415.7C382.7 402.4 392 383.1 392 361.3C392 339.8 382.8 307.6 367 280.8C359.2 267.6 350.6 256.9 341.9 249.7C333.2 242.6 325.9 239.1 319.1 239.1C313.1 239.1 306.5 242.6 297.9 249.7C289.2 256.9 280.6 267.6 272.8 280.7C257.1 307.5 247.1 339.7 247.1 361.3L248 361.3zM200.7 374.4C200.2 370.1 200 365.8 200 361.3C200 329.5 212.4 288.1 231.4 256.5C241.1 240 253.1 224.4 267.4 212.7C281.7 200.9 299.5 192 320 192C340.4 192 358.2 200.9 372.4 212.7C386.7 224.4 398.7 240 408.4 256.4C427.5 288.9 440 329.4 440 361.3C440 365.6 439.8 369.9 439.4 374C455 352.8 464 327.4 464 300.8C464 262.6 446.1 204.2 414.9 155.1C382.2 103.7 346.7 79.1 320 79.1C292.7 79.1 257.3 103.8 224.8 154.1C193.7 204.1 176 262.5 176 300.8C176 327.5 184.9 353.1 200.7 374.4L200.7 374.4zM505.6 346.9L537.5 338.9C569.5 330.9 592 302.1 592 269V184C592 179.6 588.4 176 584 176H480.7C500.4 219.2 512 264.7 512 300.8C512 316.8 509.8 332.2 505.6 346.9V346.9zM56 176C51.58 176 48 179.6 48 184V269C48 302.1 70.49 330.9 102.5 338.9L134.3 346.8C130.2 332.2 127.1 316.7 127.1 300.8C127.1 264.7 139.4 219.2 159.1 176H56zM296 328C296 314.7 306.7 304 320 304C333.3 304 344 314.7 344 328V512H296V328z"],
    "masks-theater": [640, 512, [127917, "theater-masks"], "f630", "M206.9 244.5C171 255 146.9 285.8 149.4 318.8c11.37-12.75 28.75-23.75 49.87-31L206.9 244.5zM193.4 156.6C192.6 152.5 191.1 148.8 189.3 145.3C181 154.1 168.6 161 154 163.6C139.4 166.1 125.3 164 114.5 158.4c-.5 4-.625 8 .125 12.12c3.75 21.75 24.5 36.38 46.25 32.5C182.6 199.1 197.3 178.4 193.4 156.6zM80.02 297.6L48.39 118.3c-1.5-8 1.875-15.88 8.125-19.38c60.12-33.38 128.2-51 196.9-51c8.375 0 16.88 .5 25.37 1c9.5-5.25 19.88-9.125 30.1-10.87c18.88-3 38.12-4.5 57.25-5.25c-9.998-14-24.59-24.27-41.84-27.02C301.2 1.857 277.3-.0001 253.4-.0001c-76.74 0-152.4 19.45-220.1 57.07C9.021 70.57-3.854 98.63 1.021 126.6L32.77 306c14.25 80.5 136.3 142 204.5 142c3.625 0 6.902-.546 10.28-.921c-12.25-15.5-23.12-32.13-31.62-49.38C163 387.3 88.02 343 80.02 297.6zM372.1 223.9c14.62 2.625 26.1 9.5 35.25 18.38c1.875-3.5 3.375-7.25 4.125-11.38c3.75-21.75-10.75-42.5-32.5-46.38s-42.5 10.75-46.37 32.5c-.625 4.125-.5 8.125 0 12.12C344.2 223.5 358.2 221.4 372.1 223.9zM606.7 119.9c-44.5-24.75-92.24-41.63-141.6-50.25c-49.25-8.75-99.99-9.25-150.2-1.25C287.5 72.75 265.8 94.75 260.8 122.9l-31.75 180c-15.37 87.25 95.37 196.8 158.4 207.9c62.1 11.13 204.5-53.87 219.9-141.3l31.75-179.9C643.9 161.4 630.1 133.4 606.7 119.9zM559.1 361.3c-10.25 57.88-124.2 109.3-164.2 102.3c-40.12-7.125-129.6-94.38-119.5-152.3L308 131.3c1.5-8 7.375-14.25 14.38-15.38c44.75-7.25 89.99-6.875 134.4 1c44.5 7.75 87.12 23 126.7 45c6.125 3.5 9.5 11.5 8.125 19.38L559.1 361.3zM505.1 206.8c-21.75-3.875-42.5 10.62-46.37 32.5c-.75 4.125-.625 8.125-.125 12.12c10.88-5.625 24.87-7.875 39.5-5.25c14.62 2.625 27.12 9.5 35.37 18.38c1.75-3.5 3.25-7.25 4-11.38C542.2 231.4 527.7 210.6 505.1 206.8zM417.2 341.3c-43.25-7.625-78.87-28.38-99.49-54c-4.5 53.75 33.37 103.4 88.99 113.3c55.75 9.75 108.2-23.88 122.5-76C501.1 341.6 460.5 348.9 417.2 341.3z"],
    "mattress-pillow": [640, 512, [], "e525", "M80 176C80 158.3 94.33 144 112 144H176C193.7 144 208 158.3 208 176V336C208 353.7 193.7 368 176 368H112C94.33 368 80 353.7 80 336V176zM576 64C611.3 64 640 92.65 640 128V384C640 419.3 611.3 448 576 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H576zM240 112H64C55.16 112 48 119.2 48 128V384C48 392.8 55.16 400 64 400H240V112zM288 112V400H576C584.8 400 592 392.8 592 384V128C592 119.2 584.8 112 576 112H288z"],
    "maximize": [448, 512, ["expand-arrows-alt"], "f31e", "M428.2 290.4c-11.97-4.969-25.72-2.219-34.87 6.937l-47.03 47.04L257.9 256l88.4-88.41l47.03 47.03c6.127 6.117 14.3 9.352 22.63 9.352c4.117 0 8.276-.7977 12.24-2.415c11.97-4.953 19.75-16.62 19.75-29.56V56c0-13.25-10.74-23.1-23.1-23.1h-135.1c-12.94 0-24.62 7.797-29.56 19.75c-4.969 11.97-2.219 25.72 6.937 34.87l47.03 47.03L224 222.1L135.6 133.7l47.03-47.03c6.117-6.129 9.362-14.29 9.362-22.63c0-4.117-.8077-8.277-2.425-12.25c-4.953-11.97-16.62-19.75-29.56-19.75H24c-13.25 0-23.1 10.74-23.1 23.1v135.1c0 12.94 7.797 24.62 19.75 29.56c11.97 4.969 25.72 2.219 34.87-6.937l47.03-47.03L190.1 256l-88.41 88.41L54.63 297.4c-6.127-6.117-14.29-9.367-22.63-9.367c-4.117 0-8.279 .8125-12.25 2.43c-11.97 4.953-19.75 16.62-19.75 29.56v135.1c0 13.25 10.74 23.1 23.1 23.1h135.1c12.94 0 24.62-7.797 29.56-19.75c4.969-11.97 2.219-25.72-6.937-34.87l-47.03-47.03l88.41-88.41l88.4 88.41l-47.03 47.02c-6.117 6.129-9.351 14.3-9.351 22.64c0 4.117 .7968 8.271 2.414 12.24c4.953 11.97 16.62 19.75 29.56 19.75h135.1c13.25 0 23.1-10.74 23.1-23.1V319.1C447.1 307.1 440.2 295.4 428.2 290.4z"],
    "meat": [576, 512, [127830], "f814", "M476 68.42C431.5 23.93 377.1 0 331.1 0c-38.63 0-62.01 18.98-68.76 25.86C223.7 64.47 160.1 139.6 160.1 209.4L160 309.8l-8.556 8.544c-9.627 9.75-24.01 11.12-36.76 5.999c-26.63-10.62-57.01-.998-72.76 22.88c-15.75 23.87-12.5 55.61 7.75 75.86c15.25 15.25 36.5 19.62 56.13 15.12c-4.5 19.5-.1286 40.8 15.12 56.05c20.25 20.37 51.97 23.59 75.97 7.839c23.88-15.75 33.56-46.08 22.81-72.83c-5.002-12.62-3.627-26.99 6-36.74l8.582-8.522l100.5-.0216c81.88 0 181.2-94.51 190.5-111.1C562.7 223.3 542.8 135.2 476 68.42zM334.8 335.9H240.1c-17.67 0-32-14.33-32-32V209.5c0-22.87 11.75-51.74 32.38-82.73c8.625 39.37 31.38 79.11 64.76 112.5c33.25 33.24 73.51 55.99 112.1 64.49C386.3 324.3 357.6 335.9 334.8 335.9zM484.7 247.8c-23.5 23.5-89.85 13.11-145.6-42.63c-53.75-53.74-67.37-120.8-42.74-145.5c23.5-23.37 89.73-13.14 145.6 42.72C495.9 156.2 508.1 223.6 484.7 247.8zM363.9 127.2c-9.75 9.748-5.874 29.62 8.878 44.37c14.75 14.62 34.6 18.62 44.48 8.871c9.75-9.873 5.791-29.75-8.961-44.37C393.6 121.3 373.7 117.3 363.9 127.2z"],
    "medal": [512, 512, [127941], "f5a2", "M342.1 289.6L289.7 282l-23.5-47.5c-2-4.25-6.125-6.375-10.25-6.375S247.9 230.3 245.7 234.5L222.2 282l-52.37 7.625C160.5 291 156.6 302.6 163.5 309.3l37.87 37L192.5 398.5c-1.375 7.375 4.625 13.38 11.25 13.38c1.75 0 3.625-.375 5.375-1.375l46.87-24.62l46.87 24.62c1.75 1 3.625 1.375 5.375 1.375c6.625 0 12.62-6 11.25-13.5l-8.875-52.13l37.87-37C355.4 302.6 351.6 291 342.1 289.6zM256 144c-101.6 0-183.1 82.38-183.1 184S154.4 512 256 512s183.1-82.38 183.1-184S357.6 144 256 144zM256 464c-74.99 0-135.1-61.01-135.1-136S181 192 256 192s135.1 61.01 135.1 136S330.1 464 256 464zM135.9 148.5L68.84 48h69.22l44.13 77.22c15.49-5.641 31.73-9.672 48.65-11.63L172.8 12.09C168.6 4.625 160.6 0 152 0H24.01c-8.844 0-17.03 4.992-21.22 12.8C-1.4 20.59-.8741 29.94 4.032 37.31L99.07 179.9C110.2 168.1 122.4 157.5 135.9 148.5zM509.2 12.8C505 4.992 496.8 0 487.1 0h-127.1c-8.625 0-16.56 4.625-20.84 12.09l-57.99 101.5c16.91 1.961 33.16 5.992 48.65 11.63L373.9 48h69.22l-67.01 100.5c13.45 9.02 25.7 19.63 36.78 31.36l95.04-142.6C512.9 29.94 513.4 20.59 509.2 12.8z"],
    "megaphone": [576, 512, [128227], "f675", "M576 55.1V456C576 469.3 565.3 480 552 480C538.7 480 528 469.3 528 456V450.3L350.3 401.9C341.1 446.4 302.9 480 256 480C202.1 480 160 437 160 384C160 372.6 161.1 361.7 165.6 351.5L48 319.4V328C48 341.3 37.25 352 24 352C10.75 352 0 341.3 0 328V184C0 170.7 10.75 160 24 160C37.25 160 48 170.7 48 184V192.6L528 61.67V56C528 42.75 538.7 32 552 32C565.3 32 576 42.75 576 56V55.1zM528 400.6V111.4L48 242.3V269.7L528 400.6zM256 432C280.8 432 301.1 413.2 303.7 389.2L212.3 364.2C209.5 370.2 208 376.9 208 384C208 410.5 229.5 432 256 432H256z"],
    "melon": [512, 512, [], "e310", "M256 0C114.6 0 0 114.6 0 256c0 70.71 28.66 134.7 74.1 181c.002 .002-.002-.002 0 0s-.002-.002 0 0C121.3 483.3 185.3 512 256 512c141.4 0 256-114.6 256-256S397.4 0 256 0zM402.9 172.1c-13.84 46.17-45.93 96.06-90.34 140.5c-67.1 67.07-138.4 97.09-179.3 97.09c-6.387 0-17.67-.8691-23.64-6.092c-.2891-.2871-.5918-.5605-.8789-.8477c-7.023-7.428-9.643-29.52 .3496-62.81c13.84-46.17 45.93-96.06 90.34-140.5c67.09-67.08 138.4-97.11 179.3-97.11c6.357 0 17.58 .8555 23.58 6.037c.3008 .2988 .6191 .5781 .918 .8789C410.3 116.6 412.9 138.8 402.9 172.1zM256 48c26.09 0 50.98 5.039 74.01 13.85c-51.97 14.85-112 51.13-164.5 103.6C115.6 215.4 79.2 272.5 63.11 326.1c-.4863 1.621-.5469 3.008-.9922 4.607C53.13 307.5 48 282.4 48 256C48 141.3 141.3 48 256 48zM256 464c-26.1 0-50.98-5.039-74.02-13.85c51.98-14.85 112-51.12 164.5-103.6c49.93-49.94 86.29-106.1 102.4-160.6c.4883-1.625 .5488-3.014 .9941-4.617C458.9 204.5 464 229.6 464 256C464 370.7 370.7 464 256 464z"],
    "melon-slice": [512, 512, [], "e311", "M425.3 7.031C420.7 2.344 414.5 0 408.4 0s-12.28 2.344-16.97 7.031l-76.73 76.73C318 97.99 320 112.8 320 128c0 106-85.96 192-192 192c-15.25 0-30.01-1.963-44.23-5.322l-76.74 76.74C2.531 395.9 0 402 0 408.4s2.531 12.47 7.031 16.97C62.91 481.2 137.2 512 216.2 512c79.03 0 153.3-30.77 209.2-86.64C481.2 369.5 512 295.2 512 216.2C512 137.2 481.2 62.89 425.3 7.031zM143.1 367.2c119.8-7.951 215.7-103.9 223.4-223.8c.082 .0703-.0801-.0801 0 0C378.2 165.8 384 190.6 384 216.2c0 44.82-17.46 86.96-49.16 118.6C303.1 366.5 260.1 384 216.2 384c-25.6 0-50.32-5.697-72.73-16.49C143.6 367.4 143.8 367.3 143.1 367.2zM391.4 391.4C344.6 438.2 282.4 464 216.2 464c-58.12 0-113.2-19.88-157.4-56.42l22.83-22.83C119.7 415.3 166.6 432 216.2 432c57.63 0 111.8-22.45 152.6-63.22C409.5 328 432 273.8 432 216.2c0-49.53-16.94-96.28-47.5-134.4l23.07-23.07C444.1 102.1 464 158.1 464 216.2C464 282.4 438.2 344.6 391.4 391.4z"],
    "memo": [384, 512, [], "e1d8", "M264 224h-144C106.8 224 96 234.8 96 248S106.8 272 120 272h144C277.3 272 288 261.3 288 248S277.3 224 264 224zM168 320h-48C106.8 320 96 330.8 96 344s10.75 24 24 24h48c13.25 0 24-10.75 24-24S181.3 320 168 320zM264 128h-144C106.8 128 96 138.8 96 152S106.8 176 120 176h144C277.3 176 288 165.3 288 152S277.3 128 264 128zM320 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h256c35.35 0 64-28.65 64-64V64C384 28.65 355.3 0 320 0zM336 448c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V64c0-8.822 7.178-16 16-16h256c8.822 0 16 7.178 16 16V448z"],
    "memo-circle-check": [576, 512, [], "e1d9", "M320 48H63.1C55.16 48 47.1 55.16 47.1 64V448C47.1 456.8 55.16 464 63.1 464H284.5C296.5 482.4 311.9 498.5 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V198.6C366.8 203.5 350.6 210.9 336 220.5V63.1C336 55.16 328.8 47.1 320 47.1L320 48zM95.1 152C95.1 138.7 106.7 128 119.1 128H263.1C277.3 128 287.1 138.7 287.1 152C287.1 165.3 277.3 176 263.1 176H119.1C106.7 176 95.1 165.3 95.1 152zM263.1 224C277.3 224 287.1 234.7 287.1 248C287.1 261.3 277.3 272 263.1 272H119.1C106.7 272 95.1 261.3 95.1 248C95.1 234.7 106.7 224 119.1 224H263.1zM167.1 320C181.3 320 191.1 330.7 191.1 344C191.1 357.3 181.3 368 167.1 368H119.1C106.7 368 95.1 357.3 95.1 344C95.1 330.7 106.7 320 119.1 320H167.1zM576 368C576 447.5 511.5 512 432 512C352.5 512 287.1 447.5 287.1 368C287.1 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM476.7 324.7L416 385.4L387.3 356.7C381.1 350.4 370.9 350.4 364.7 356.7C358.4 362.9 358.4 373.1 364.7 379.3L404.7 419.3C410.9 425.6 421.1 425.6 427.3 419.3L499.3 347.3C505.6 341.1 505.6 330.9 499.3 324.7C493.1 318.4 482.9 318.4 476.7 324.7H476.7z"],
    "memo-circle-info": [576, 512, [], "e49a", "M320 48H63.1C55.16 48 47.1 55.16 47.1 64V448C47.1 456.8 55.16 464 63.1 464H284.5C296.5 482.4 311.9 498.5 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V198.6C366.8 203.5 350.6 210.9 336 220.5V63.1C336 55.16 328.8 47.1 320 47.1L320 48zM95.1 152C95.1 138.7 106.7 128 119.1 128H263.1C277.3 128 287.1 138.7 287.1 152C287.1 165.3 277.3 176 263.1 176H119.1C106.7 176 95.1 165.3 95.1 152zM263.1 224C277.3 224 287.1 234.7 287.1 248C287.1 261.3 277.3 272 263.1 272H119.1C106.7 272 95.1 261.3 95.1 248C95.1 234.7 106.7 224 119.1 224H263.1zM167.1 320C181.3 320 191.1 330.7 191.1 344C191.1 357.3 181.3 368 167.1 368H119.1C106.7 368 95.1 357.3 95.1 344C95.1 330.7 106.7 320 119.1 320H167.1zM287.1 368C287.1 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 287.1 447.5 287.1 368zM432 320C445.3 320 456 309.3 456 296C456 282.7 445.3 272 432 272C418.7 272 408 282.7 408 296C408 309.3 418.7 320 432 320zM416 384L416 432C407.2 432 400 439.2 400 448C400 456.8 407.2 464 416 464H448C456.8 464 464 456.8 464 448C464 439.2 456.8 432 448 432V368C448 359.2 440.8 352 432 352H416C407.2 352 400 359.2 400 368C400 376.8 407.2 384 416 384z"],
    "memo-pad": [448, 512, [], "e1da", "M120 320h208C341.3 320 352 309.3 352 296S341.3 272 328 272h-208C106.8 272 96 282.8 96 296S106.8 320 120 320zM120 416h112c13.25 0 24-10.75 24-24s-10.75-24-24-24h-112C106.8 368 96 378.8 96 392S106.8 416 120 416zM120 224h208C341.3 224 352 213.3 352 200S341.3 176 328 176h-208C106.8 176 96 186.8 96 200S106.8 224 120 224zM384 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V64C448 28.65 419.3 0 384 0zM400 448c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V128h352V448z"],
    "memory": [576, 512, [], "f538", "M576 162.9V112C576 85.49 554.5 64 528 64h-480C21.49 64 0 85.49 0 112v50.94C18.6 169.5 32 187.1 32 208S18.6 246.5 0 253.1V416c0 17.67 14.33 32 32 32h512c17.67 0 32-14.33 32-32V253.1C557.4 246.5 544 228.9 544 208S557.4 169.5 576 162.9zM528 400h-56c0-13.25-10.75-24-24-24s-24 10.75-24 24h-32c0-13.25-10.75-24-24-24s-24 10.75-24 24h-32c0-13.25-10.75-24-24-24s-24 10.75-24 24h-32c0-13.25-10.75-24-24-24s-24 10.75-24 24h-32c0-13.25-10.75-24-24-24s-24 10.75-24 24H48V352h480V400zM528 136.7c-19.92 17.84-32 43.61-32 71.33c0 27.71 12.08 53.48 32 71.33V304h-480V279.3C67.92 261.5 80 235.7 80 208c0-27.71-12.08-53.48-32-71.33V112h480V136.7zM160 272c13.25 0 24-10.75 24-24v-80C184 154.8 173.3 144 160 144S136 154.8 136 168v80C136 261.3 146.8 272 160 272zM288 272c13.25 0 24-10.75 24-24v-80c0-13.25-10.75-24-24-24S264 154.8 264 168v80C264 261.3 274.8 272 288 272zM416 272c13.25 0 24-10.75 24-24v-80c0-13.25-10.75-24-24-24s-24 10.75-24 24v80C392 261.3 402.8 272 416 272z"],
    "menorah": [640, 512, [], "f676", "M416 95.1c17.62 0 32-14.38 32-32s-32-63.1-32-63.1s-32 46.37-32 63.1S398.4 95.1 416 95.1zM512 128c-13.25 0-24 10.74-24 24V288h48V152C536 138.7 525.3 128 512 128zM608 95.1c17.62 0 32-14.38 32-32s-32-63.1-32-63.1s-32 46.37-32 63.1S590.4 95.1 608 95.1zM512 95.1c17.62 0 32-14.38 32-32s-32-63.1-32-63.1s-32 46.37-32 63.1S494.4 95.1 512 95.1zM320 95.1c17.62 0 32-14.38 32-32s-32-63.1-32-63.1S288 46.37 288 63.1S302.4 95.1 320 95.1zM416 128c-13.25 0-24 10.74-24 24V288h48V152C440 138.7 429.3 128 416 128zM32 95.1c17.62 0 32-14.38 32-32S32 0 32 0S0 46.37 0 63.1S14.38 95.1 32 95.1zM616 128c-13.25 0-24 10.74-24 24v128c0 22.09-17.91 40-40 40h-208V152C344 138.7 333.3 128 320 128S296 138.7 296 152V320h-208C65.91 320 48 302.1 48 280v-128C48 138.7 37.25 128 24 128S0 138.7 0 152v128c0 48.6 39.4 88 88 88h208v96h-144C138.7 464 128 474.7 128 488C128 501.3 138.7 512 152 512h336c13.25 0 24-10.75 24-24c0-13.26-10.75-24-24-24h-144v-96h208c48.6 0 88-39.4 88-88v-128C640 138.7 629.3 128 616 128zM224 95.1c17.62 0 32-14.38 32-32S224 0 224 0S192 46.37 192 63.1S206.4 95.1 224 95.1zM128 128C114.7 128 104 138.7 104 152V288h48V152C152 138.7 141.3 128 128 128zM128 95.1c17.62 0 32-14.38 32-32S128 0 128 0S96 46.37 96 63.1S110.4 95.1 128 95.1zM224 128C210.7 128 200 138.7 200 152V288h48V152C248 138.7 237.3 128 224 128z"],
    "mercury": [384, 512, [9791], "f223", "M368 223.1c0-66.11-36.5-123.7-90.41-153.7c12.86-8.207 25.01-18.11 36-29.96c9-9.719 8.438-24.91-1.281-33.91c-9.656-9-24.91-8.438-33.91 1.281c-48.25 52-124.6 52-172.8 0c-9-9.719-24.25-10.28-33.91-1.281C61.97 15.4 61.41 30.58 70.41 40.3c10.99 11.85 23.14 21.76 36 29.96C52.5 100.3 16 157.9 16 223.1c0 89.04 66.18 162.4 152 174.2v25.82h-32c-13.25 0-24 10.75-24 24c0 13.25 10.75 24 24 24h32v16C168 501.2 178.8 512 192 512s24-10.75 24-24v-16h32c13.25 0 24-10.75 24-24c0-13.25-10.75-24-24-24h-32v-25.82C301.8 386.4 368 313 368 223.1zM64 223.1c0-70.58 57.42-128 128-128s128 57.42 128 128s-57.42 128-128 128S64 294.6 64 223.1z"],
    "merge": [512, 512, [], "e526", "M0 88C0 74.75 10.75 64 24 64H144.2C161.6 64 178.1 72.16 188.7 86.06L297.5 228.8C298.1 230.8 301.4 232 303.8 232H430.1L391 192.1C381.7 183.6 381.7 168.4 391 159C400.4 149.7 415.6 149.7 424.1 159L504.1 239C514.3 248.4 514.3 263.6 504.1 272.1L424.1 352.1C415.6 362.3 400.4 362.3 391 352.1C381.7 343.6 381.7 328.4 391 319L430.1 280H303.8C301.4 280 298.1 281.2 297.5 283.2L188.7 425.9C178.1 439.8 161.6 448 144.2 448H24C10.75 448 0 437.3 0 424C0 410.7 10.75 400 24 400H144.2C146.6 400 149 398.8 150.5 396.8L257.8 256L150.5 115.2C149 113.2 146.6 112 144.2 112H24C10.75 112 0 101.3 0 88V88z"],
    "message": [512, 512, ["comment-alt"], "f27a", "M447.1 0h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.98c0 9.836 11.02 15.55 19.12 9.7l124.9-93.68h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 0 447.1 0zM464 352c0 8.75-7.25 16-16 16h-160l-80 60v-60H64c-8.75 0-16-7.25-16-16V64c0-8.75 7.25-16 16-16h384c8.75 0 16 7.25 16 16V352z"],
    "message-arrow-down": [512, 512, ["comment-alt-arrow-down"], "e1db", "M320.5 191L281.5 230.1V128c0-13.25-10.75-24-24-24s-24 10.75-24 24v102.1L194.5 191C189.8 186.3 183.7 184 177.5 184S165.2 186.3 160.5 191c-9.375 9.375-9.375 24.56 0 33.94l80 80c9.375 9.375 24.56 9.375 33.94 0l80-80c9.375-9.375 9.375-24.56 0-33.94S329.9 181.7 320.5 191zM448 0H64C28.75 0 0 28.75 0 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.836 11.02 15.55 19.12 9.7L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM464 352c0 8.75-7.25 16-16 16h-160l-80 60v-60H64c-8.75 0-16-7.25-16-16V64c0-8.75 7.25-16 16-16h384c8.75 0 16 7.25 16 16V352z"],
    "message-arrow-up": [512, 512, ["comment-alt-arrow-up"], "e1dc", "M274.5 111c-9.375-9.375-24.56-9.375-33.94 0l-80 80c-9.375 9.375-9.375 24.56 0 33.94s24.56 9.375 33.94 0L233.5 185.9V288c0 13.25 10.75 24 24 24s24-10.75 24-24V185.9l39.03 39.03C325.2 229.7 331.3 232 337.5 232s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94L274.5 111zM448 0H64C28.75 0 0 28.75 0 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.836 11.02 15.55 19.12 9.7L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM464 352c0 8.75-7.25 16-16 16h-160l-80 60v-60H64c-8.75 0-16-7.25-16-16V64c0-8.75 7.25-16 16-16h384c8.75 0 16 7.25 16 16V352z"],
    "message-arrow-up-right": [512, 512, [], "e1dd", "M344 112h-128C202.8 112 192 122.8 192 136S202.8 160 216 160h70.06l-96 96c-9.375 9.375-9.375 24.56 0 33.94c9.373 9.373 24.56 9.381 33.94 0l96-96V264C320 277.3 330.8 288 344 288s24-10.75 24-24v-128C368 122.8 357.3 112 344 112zM448 0H64C28.75 0 0 28.75 0 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96V499.1c0 9.836 11.02 15.55 19.12 9.699L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM464 352c0 8.75-7.25 16-16 16h-160l-80 60v-60H64c-8.75 0-16-7.25-16-16V64c0-8.75 7.25-16 16-16h384c8.75 0 16 7.25 16 16V352z"],
    "message-bot": [640, 512, [], "e3b8", "M608 159.1c-18.85 0-25.44 13.31-27.03 16H544V80C544 35.82 508.2 0 464 0h-288C131.8 0 96 35.82 96 80v95.1H59.03C57.44 173.3 50.85 159.1 32 159.1c-17.06 0-32 13.72-32 32c0 18.3 14.97 31.1 32 31.1c18.85 0 25.44-13.3 27.03-15.1H96v127.1c0 44.18 35.82 80 80 80L224 415.1v83.99C224 503.3 226.7 512 236 512c2.521 0 4.998-.8086 7.096-2.328L368 415.1l96 .0059c44.18 0 80-35.82 80-80V207.1h36.98C582.6 210.7 589.2 223.1 608 223.1c17.06 0 32-13.72 32-31.1C640 173.7 625.1 159.1 608 159.1zM496 335.1c0 17.64-14.36 32-31.1 32l-112-.0078L272 428v-60.03l-96 .0117c-17.64 0-32-14.36-32-32V80c0-17.64 14.36-32 32-32h288c17.64 0 32 14.36 32 32V335.1zM448 96H192C174.3 96 160 110.3 160 128v128c0 17.67 14.33 32 32 32h256c17.67 0 32-14.33 32-32V128C480 110.3 465.7 96 448 96zM240 224c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32s32 14.33 32 32C272 209.7 257.7 224 240 224zM400 224c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32s32 14.33 32 32C432 209.7 417.7 224 400 224z"],
    "message-captions": [512, 512, ["comment-alt-captions"], "e1de", "M135.1 272h-15.1C106.7 272 96 282.8 96 296S106.7 320 119.1 320h15.1c13.25 0 23.1-10.75 23.1-24S149.2 272 135.1 272zM295.1 272H215.1c-13.25 0-23.1 10.75-23.1 24S202.7 320 215.1 320h79.99c13.25 0 23.1-10.75 23.1-24S309.2 272 295.1 272zM119.1 240l95.99-.0038c13.25 0 23.99-10.75 23.99-23.1S229.2 192 215.1 192H119.1C106.7 192 96 202.8 96 216S106.7 240 119.1 240zM391.1 272h-15.1c-13.25 0-23.1 10.75-23.1 24S362.7 320 375.1 320h15.1c13.25 0 23.1-10.75 23.1-24S405.2 272 391.1 272zM391.1 192h-95.99c-13.25 0-23.1 10.75-23.1 24S282.7 240 295.1 240h95.99c13.25 0 23.1-10.75 23.1-24S405.2 192 391.1 192zM447.1 0h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.836 11.02 15.55 19.12 9.7l124.9-93.7h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 0 447.1 0zM464 352c0 8.75-7.25 16-16 16h-160l-80 60v-60H64c-8.75 0-16-7.25-16-16V64c0-8.75 7.25-16 16-16h384c8.75 0 16 7.25 16 16V352z"],
    "message-check": [512, 512, ["comment-alt-check"], "f4a2", "M311.3 136.4L232.2 228.7L202.5 199c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94l48 48c4.5 4.5 10.62 7.031 16.97 7.031c.3125 0 .625 0 .9062-.0313C241.1 287.7 247.4 284.7 251.7 279.6l96-112c8.625-10.06 7.469-25.22-2.594-33.84C335.1 125.2 319.9 126.3 311.3 136.4zM447.1 0h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.836 11.02 15.55 19.12 9.7l124.9-93.7h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 0 447.1 0zM464 352c0 8.75-7.25 16-16 16h-160l-80 60v-60H64c-8.75 0-16-7.25-16-16V64c0-8.75 7.25-16 16-16h384c8.75 0 16 7.25 16 16V352z"],
    "message-code": [512, 512, [], "e1df", "M448 0H64C28.75 0 0 28.75 0 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96V499.1c0 9.836 11.02 15.55 19.12 9.699L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM464 352c0 8.75-7.25 16-16 16h-160l-80 60v-60H64c-8.75 0-16-7.25-16-16V64c0-8.75 7.25-16 16-16h384c8.75 0 16 7.25 16 16V352zM216.1 127c-9.375-9.375-24.56-9.375-33.94 0l-64 64c-9.375 9.375-9.375 24.56 0 33.94l64 64C187.7 293.7 193.9 296 200 296s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94L169.9 208l47.03-47.03C226.3 151.6 226.3 136.4 216.1 127zM328.1 127c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L342.1 208l-47.03 47.03c-9.375 9.375-9.375 24.56 0 33.94C299.7 293.7 305.9 296 312 296s12.28-2.344 16.97-7.031l64-64c9.375-9.375 9.375-24.56 0-33.94L328.1 127z"],
    "message-dollar": [512, 512, ["comment-alt-dollar"], "f650", "M262.3 186L255.9 184.2C228.9 176.2 229.5 172.5 230.4 167.4c1.57-8.928 18.96-11.11 34.59-8.715c6.395 .9648 13.41 3.215 20.11 5.537c11.88 4.107 24.95-2.215 29.09-14.11c4.143-11.93-2.16-24.96-14.09-29.11c-8.25-2.84-14.98-4.66-21.21-6.027V102.9C278.9 90.25 268.6 80 256 80S233.1 90.25 233.1 102.9V114.3C207.5 119.7 189.5 135.7 185.3 159.6C176.9 208.6 223.3 222.2 243.1 228l6.643 1.928c33.46 9.572 32.91 12.79 31.91 18.61C280.1 257.5 262.7 259.7 246.1 257.3C239.1 256.1 228.9 252.5 219.9 249.3L214.8 247.4c-11.89-4.107-24.95 2.07-29.16 13.96C181.5 273.3 187.7 286.3 199.6 290.5L204.5 292.3c8.865 3.188 18.72 6.389 28.64 8.584v12.31c0 12.61 10.24 22.86 22.86 22.86s22.85-10.25 22.85-22.86V301.4c25.55-5.479 43.66-21.17 47.8-45.07C335.2 206.9 287.8 193.3 262.3 186zM448 0H64C28.75 0 0 28.75 0 63.1v287.1C0 387.2 28.75 415.1 64 415.1h96v83.1c0 9.836 11.02 15.5 19.12 9.649L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM464 352c0 8.75-7.25 16-16 16h-160l-80 60v-60H64c-8.75 0-16-7.25-16-16V64c0-8.75 7.25-16 16-16h384c8.75 0 16 7.25 16 16V352z"],
    "message-dots": [512, 512, ["comment-alt-dots", "messaging"], "f4a3", "M145.5 176c-17.75 0-31.1 14.25-31.1 32s14.25 32 31.1 32s31.1-14.25 31.1-32S163.3 176 145.5 176zM257.5 176c-17.75 0-31.99 14.25-31.99 32s14.25 32 31.99 32c17.75 0 31.1-14.25 31.1-32S275.3 176 257.5 176zM369.5 176c-17.75 0-31.1 14.25-31.1 32s14.25 32 31.1 32s31.1-14.25 31.1-32S387.3 176 369.5 176zM447.1 0h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.836 11.02 15.55 19.12 9.7l124.9-93.7h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 0 447.1 0zM464 352c0 8.75-7.25 16-16 16h-160l-80 60v-60H64c-8.75 0-16-7.25-16-16V64c0-8.75 7.25-16 16-16h384c8.75 0 16 7.25 16 16V352z"],
    "message-exclamation": [512, 512, ["comment-alt-exclamation"], "f4a5", "M257.5 272c-17.67 0-32 14.33-32 32s14.33 32 32 32c17.67 0 32-14.33 32-32S275.2 272 257.5 272zM257.5 240c13.25 0 24-10.75 24-24v-112c0-13.25-10.75-24-24-24s-24 10.75-24 24v112C233.5 229.3 244.3 240 257.5 240zM447.1 0h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.836 11.02 15.55 19.12 9.7l124.9-93.7h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 0 447.1 0zM464 352c0 8.75-7.25 16-16 16h-160l-80 60v-60H64c-8.75 0-16-7.25-16-16V64c0-8.75 7.25-16 16-16h384c8.75 0 16 7.25 16 16V352z"],
    "message-image": [512, 512, ["comment-alt-image"], "e1e0", "M176 160c17.62 0 32-14.38 32-32s-14.38-32-32-32s-32 14.38-32 32S158.4 160 176 160zM311.1 135.1C309 130.7 304 128 298.7 128s-10.35 2.672-13.31 7.125L231.8 215.4L219.6 198.6C216.6 194.4 211.8 192 206.7 192S196.8 194.4 193.7 198.6l-46.67 64c-3.549 4.863-4.064 11.31-1.334 16.68C148.5 284.6 153.1 288 160 288h224c5.9 0 11.32-3.246 14.11-8.449c2.783-5.203 2.479-11.52-.7949-16.43L311.1 135.1zM447.1 .0041h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.98c0 9.836 11.02 15.55 19.12 9.7l124.9-93.68h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 .0041 447.1 .0041zM464 352c0 8.75-7.25 16-16 16h-160l-80 60v-60H64c-8.75 0-16-7.25-16-16V64c0-8.75 7.25-16 16-16h384c8.75 0 16 7.25 16 16V352z"],
    "message-lines": [512, 512, ["comment-alt-lines"], "f4a6", "M360 144h-208C138.8 144 128 154.8 128 168S138.8 192 152 192h208C373.3 192 384 181.3 384 168S373.3 144 360 144zM264 240h-112C138.8 240 128 250.8 128 264S138.8 288 152 288h112C277.3 288 288 277.3 288 264S277.3 240 264 240zM447.1 0h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.836 11.02 15.55 19.12 9.7l124.9-93.7h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 0 447.1 0zM464 352c0 8.75-7.25 16-16 16h-160l-80 60v-60H64c-8.75 0-16-7.25-16-16V64c0-8.75 7.25-16 16-16h384c8.75 0 16 7.25 16 16V352z"],
    "message-medical": [512, 512, ["comment-alt-medical"], "f7f4", "M336 176H288V128c0-8.801-7.199-16-16-16h-32C231.2 112 224 119.2 224 128v48H176C167.2 176 160 183.2 160 191.1V224c0 8.797 7.199 15.1 16 15.1H224v48C224 296.8 231.2 304 240 304h32c8.801 0 16-7.201 16-16v-48h48C344.8 239.1 352 232.8 352 224V191.1C352 183.2 344.8 176 336 176zM447.1 0h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.836 11.02 15.5 19.12 9.65l124.9-93.65h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 0 447.1 0zM464 352c0 8.75-7.25 16-16 16h-160l-80 60v-60H64c-8.75 0-16-7.25-16-16V64c0-8.75 7.25-16 16-16h384c8.75 0 16 7.25 16 16V352z"],
    "message-middle": [512, 512, ["comment-middle-alt"], "e1e1", "M448 0H64C28.75 0 0 28.75 0 63.99v287.1c0 35.25 28.75 63.1 64 63.1h111.1l67.22 89.63C246.4 509.9 251.2 512 256 512s9.6-2.133 12.8-6.4l67.22-89.63H448c35.25 0 64-28.75 64-63.1V63.99C512 28.75 483.3 0 448 0zM464 351.1c0 8.67-7.326 15.1-16 15.1h-135.1L256 442.7l-56.03-74.7H64c-8.674 0-16-7.326-16-15.1V63.99C48 55.32 55.33 48 64 48h384c8.674 0 16 7.324 16 15.99V351.1z"],
    "message-middle-top": [512, 512, ["comment-middle-top-alt"], "e1e2", "M448 96.03h-111.1l-67.22-89.63C265.6 2.133 260.8 .0002 256 .0002S246.4 2.133 243.2 6.4l-67.22 89.63H64c-35.25 0-64 28.75-64 63.1v287.1C0 483.3 28.75 512 64 512h384c35.25 0 64-28.75 64-63.99V160C512 124.8 483.3 96.03 448 96.03zM464 448C464 456.7 456.7 464 448 464H64c-8.674 0-16-7.324-16-15.99V160c0-8.67 7.326-15.1 16-15.1h135.1L256 69.33l56.03 74.7H448c8.674 0 16 7.326 16 15.1V448z"],
    "message-minus": [512, 512, ["comment-alt-minus"], "f4a7", "M448 0H64C28.75 0 0 28.75 0 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.836 11.02 15.55 19.12 9.7L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM464 352c0 8.75-7.25 16-16 16h-160l-80 60v-60H64c-8.75 0-16-7.25-16-16V64c0-8.75 7.25-16 16-16h384c8.75 0 16 7.25 16 16V352zM336 184h-160C162.7 184 152 194.7 152 208c0 13.26 10.73 23.1 23.1 23.1h160C349.3 231.1 360 221.3 360 208S349.3 184 336 184z"],
    "message-music": [512, 512, ["comment-alt-music"], "f8af", "M331.3 96.75l-128 47.25C196.5 146.1 192 152.3 192 159.3v98.75C186.8 256.7 181.4 255.1 175.1 255.1c-26.5 0-48 14.37-48 31.1s21.5 31.1 48 31.1s47.1-14.37 47.1-31.1L224 203.1l96-37.5v60.38c-5.25-1.25-10.63-2.005-16-2.005c-26.5 0-48 14.37-48 31.1s21.5 31.1 48 31.1s48-14.37 48-31.1L352 112c0-5.125-2.375-9.875-6.5-12.88S336.1 95.25 331.3 96.75zM447.1 .0072h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.836 11.02 15.55 19.12 9.7l124.9-93.7h144c35.25 0 64-28.75 64-63.1V64C511.1 28.75 483.2 .0072 447.1 .0072zM464 352c0 8.75-7.25 16-16 16h-160l-80 60v-60H64c-8.75 0-16-7.25-16-16V64c0-8.75 7.25-16 16-16h384c8.75 0 16 7.25 16 16V352z"],
    "message-pen": [512, 512, ["comment-alt-edit", "message-edit"], "f4a4", "M325.7 117.3c-7.031-7.031-18.45-7.031-25.47 0l-18.23 18.23l48.01 48.01l18.24-18.24c7.029-7.035 7.029-18.44 0-25.47L325.7 117.3zM174.4 243.1C172.7 244.7 171.6 246.9 171.1 249.2l-9.521 47.61C160.8 301 164.5 304.7 168.7 303.9l47.61-9.52c2.322-.4687 4.455-1.609 6.131-3.281l90.58-90.57L264.1 152.5L174.4 243.1zM447.1 0h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.836 11.02 15.55 19.12 9.7l124.9-93.7h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 0 447.1 0zM464 352c0 8.75-7.25 16-16 16h-160l-80 60v-60H64c-8.75 0-16-7.25-16-16V64c0-8.75 7.25-16 16-16h384c8.75 0 16 7.25 16 16V352z"],
    "message-plus": [512, 512, ["comment-alt-plus"], "f4a8", "M448 0H64C28.75 0 0 28.75 0 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.836 11.02 15.55 19.12 9.7L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM464 352c0 8.75-7.25 16-16 16h-160l-80 60v-60H64c-8.75 0-16-7.25-16-16V64c0-8.75 7.25-16 16-16h384c8.75 0 16 7.25 16 16V352zM336 184h-56V127.1C279.1 114.7 269.3 104 256 104S232 114.7 232 127.1V184H175.1C162.7 184 152 194.7 152 208c0 13.26 10.73 23.1 23.1 23.1h56V288C232 301.3 242.7 312 256 312c13.26 0 23.1-10.74 23.1-23.1V231.1h56C349.3 231.1 360 221.3 360 208S349.3 184 336 184z"],
    "message-question": [512, 512, [], "e1e3", "M448 0H64C28.75 0 0 28.75 0 63.1v287.1C0 387.2 28.75 415.1 64 415.1h96v83.1c0 9.836 11.02 15.5 19.12 9.649L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM464 352c0 8.75-7.25 16-16 16h-160l-80 60v-60H64c-8.75 0-16-7.25-16-16V64c0-8.75 7.25-16 16-16h384c8.75 0 16 7.25 16 16V352zM249.1 268C235.4 268 224 279.4 224 294S235.4 320 249.1 320C264.6 320 276 308.6 276 294S264.6 268 249.1 268zM277.7 96H234.3C201.8 96 176 121.6 176 153.8c0 10.74 9.166 19.83 20 19.83S216 164.6 216 153.8c0-9.914 8.334-18.17 18.33-18.17h43.33c10 0 18.33 8.26 18.33 18.17c0 6.607-3.334 12.39-9.166 15.7L239.3 197.6c-6.668 4.131-10 10.74-10 17.35v13.22c0 10.74 9.166 19.83 20 19.83c10.83 0 20-9.088 20-19.83V226.5l38.33-23.13C325.2 192.7 336 173.7 336 153.8C336 121.6 310.2 96 277.7 96z"],
    "message-quote": [512, 512, ["comment-alt-quote"], "e1e4", "M447.1 .0041h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.98c0 9.836 11.02 15.55 19.12 9.7l124.9-93.68h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 .0041 447.1 .0041zM464 352c0 8.75-7.25 16-16 16h-160l-80 60v-60H64c-8.75 0-16-7.25-16-16V64c0-8.75 7.25-16 16-16h384c8.75 0 16 7.25 16 16V352zM327.1 112c-30.93 0-56 25.07-56 55.1s25.07 55.1 56 55.1c2.74 0 5.375-.4262 8.01-.8071V232C336 245.2 325.2 256 312 256C298.8 256 288 266.8 288 280s10.75 23.1 23.1 23.1c39.7 0 72-32.3 72-71.1l-.0094-63.1C383.1 137.1 358.9 112 327.1 112zM183.1 112c-30.93 0-56 25.07-56 55.1s25.07 55.1 56 55.1c2.74 0 5.375-.4262 8.01-.8071V232C192 245.2 181.2 256 168 256C154.8 256 144 266.8 144 280s10.75 23.1 23.1 23.1c39.7 0 71.1-32.3 71.1-71.1L239.1 168C239.1 137.1 214.9 112 183.1 112z"],
    "message-slash": [640, 512, ["comment-alt-slash"], "f4a9", "M630.8 469.1l-82.44-64.61c16.64-11.58 27.63-30.8 27.63-52.52V63.1c0-35.25-28.75-63.1-63.1-63.1H127.1c-23.5 0-43.94 12.9-55.07 31.86L38.81 5.128C28.34-3.043 13.32-1.236 5.115 9.201c-8.172 10.44-6.349 25.53 4.073 33.7l591.1 463.1C605.6 510.3 610.8 512 615.1 512c7.125 0 14.17-3.159 18.9-9.19C643.1 492.4 641.2 477.3 630.8 469.1zM528 352c0 8.75-7.25 16-16 16h-10.19L112.3 62.69C112.1 54.57 119.7 48 128 48h384c8.75 0 16 7.25 16 16V352zM272 428v-60H128c-8.75 0-16-7.25-16-16V184L64 146.4l-.0002 205.6c0 35.25 28.75 63.1 63.1 63.1h95.1v83.99c0 9.836 11.02 15.55 19.12 9.7l124.9-93.69l39.98 .0238l-58.67-45.98L272 428z"],
    "message-smile": [512, 512, ["comment-alt-smile"], "f4aa", "M447.1 .0041h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.99c0 9.836 11.02 15.55 19.12 9.7l124.9-93.69h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 .0041 447.1 .0041zM464 352c0 8.75-7.25 16-16 16h-160l-80 60v-60H64c-8.75 0-16-7.25-16-16V64c0-8.75 7.25-16 16-16h384c8.75 0 16 7.25 16 16V352zM320 175.1c17.75 0 32-14.25 32-31.1s-14.25-32-31.1-32s-31.1 14.25-31.1 32S302.3 175.1 320 175.1zM192 175.1c17.75 0 32-14.25 32-31.1s-14.25-32-31.1-32s-31.1 14.25-31.1 32S174.3 175.1 192 175.1zM325.8 240.3C308.5 260.4 283.2 272 256 272c-27.12 0-52.49-11.62-69.74-31.75C177.7 230.1 162.4 229 152.4 237.5C142.3 246.1 141.3 261.3 149.8 271.3c26.5 31 65.09 48.74 106.2 48.74c41.12 0 79.76-17.74 106.3-48.74c8.5-10 7.375-25.12-2.75-33.75C349.5 228.9 334.4 230.1 325.8 240.3z"],
    "message-sms": [512, 512, [], "e1e5", "M448-.0004H64c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.98c0 9.836 11.02 15.55 19.12 9.7L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3-.0004 448-.0004zM464 352c0 8.75-7.25 16-16 16h-160l-80 60v-60H64c-8.75 0-16-7.25-16-16V64c0-8.75 7.25-16 16-16h384c8.75 0 16 7.25 16 16V352zM124.4 192.6C113.6 189.5 103.2 187.2 104.2 181.5c.7813-4.5 10.28-6.562 21.5-4.906c4.156 .6562 8.75 2.094 13.09 3.594c8.375 2.906 17.47-1.562 20.34-9.906c2.875-8.344-1.562-17.47-9.906-20.34C143.1 147.8 136.5 145.9 130.6 145c-30.69-4.812-53.94 7.719-58 31.09c-5.656 33.03 26.5 42.47 38.63 46c13.72 3.947 25.62 6.432 24.56 12.34C135 239 125.7 241.1 114.3 239.4C107.9 238.4 100.4 235.4 93.38 232.9c-8.375-2.969-16 1.875-18.97 10.19S77.19 261.1 85.5 264.1C92.81 266.8 101.1 269.8 109.4 271C113.7 271.7 117.9 272 121.1 272c24.28 0 41.94-12.03 45.38-32.13C173.1 206.5 141.4 197.5 124.4 192.6zM396.4 192.6C385.6 189.5 375.2 187.2 376.2 181.5c.7813-4.5 10.31-6.562 21.5-4.906c4.156 .6562 8.75 2.094 13.09 3.594c8.406 2.906 17.47-1.562 20.34-9.906c2.875-8.344-1.562-17.47-9.906-20.34c-6.156-2.125-12.69-4.062-18.59-4.969c-30.75-4.812-53.97 7.719-58 31.09c-5.656 33.03 26.5 42.47 38.63 46c13.72 3.947 25.62 6.432 24.56 12.34c-.7813 4.562-10.12 6.656-21.56 4.938c-6.342-.9883-13.9-3.939-20.88-6.438c-8.375-2.969-16 1.875-18.97 10.19s2.781 17.97 11.09 20.97c7.312 2.656 15.62 5.656 23.88 6.906C385.7 271.7 389.9 272 393.1 272c24.28 0 41.94-12.03 45.38-32.13C445.1 206.5 413.4 197.5 396.4 192.6zM309.1 144.8c-6.469-2.062-13.72 .0625-17.88 5.594L256 197.3L220.8 150.4C216.7 144.9 209.4 142.7 202.9 144.8C196.4 147 192 153.1 192 160v96c0 8.844 7.156 16 16 16S224 264.8 224 256V208l19.19 25.59c6.062 8.062 19.56 8.062 25.62 0L288 208V256c0 8.844 7.156 16 16 16S320 264.8 320 256V160C320 153.1 315.6 147 309.1 144.8z"],
    "message-text": [512, 512, ["comment-alt-text"], "e1e6", "M344 112h-176C154.8 112 144 122.8 144 136s10.75 23.1 24 23.1L232 160v136C232 309.3 242.8 320 256 320s24-10.75 24-24V160l64-.0004c13.25 0 24-10.75 24-23.1S357.3 112 344 112zM448-.0004H64c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.98c0 9.836 11.02 15.55 19.12 9.7L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3-.0004 448-.0004zM464 352c0 8.75-7.25 16-16 16h-160l-80 60v-60H64c-8.75 0-16-7.25-16-16V64c0-8.75 7.25-16 16-16h384c8.75 0 16 7.25 16 16V352z"],
    "message-xmark": [512, 512, ["comment-alt-times", "message-times"], "f4ab", "M448 0H64C28.75 0 0 28.75 0 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.836 11.02 15.55 19.12 9.7L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM464 352c0 8.75-7.25 16-16 16h-160l-80 60v-60H64c-8.75 0-16-7.25-16-16V64c0-8.75 7.25-16 16-16h384c8.75 0 16 7.25 16 16V352zM336.1 127c-9.375-9.375-24.56-9.375-33.94 0L256 174.1L208.1 127c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L222.1 208L175 255c-9.375 9.375-9.375 24.56 0 33.94c9.375 9.371 24.55 9.379 33.94 0L256 241.9l47.03 47.03c9.375 9.371 24.55 9.379 33.94 0c9.375-9.375 9.375-24.56 0-33.94L289.9 208l47.03-47.03C346.3 151.6 346.3 136.4 336.1 127z"],
    "messages": [640, 512, ["comments-alt"], "f4b6", "M416 63.1V256C416 291.3 387.3 319.9 352 319.9L224 320L115.1 381.6C112.9 383.3 110.4 384 108 384C101.8 384 96 379.1 96 372V320L64 320C28.75 320 0 291.3 0 256V63.1C0 28.75 28.75 0 64 0H352C387.3 0 416 28.75 416 63.1V63.1zM144 310.1L211.4 272H352C360.7 272 368 264.8 368 256V64C368 55.25 360.7 48 352 48H64C55.25 48 48 55.25 48 64V256C48 264.8 55.25 272 64 272H144V310.1zM256 384V352H304V384C304 392.7 311.2 400 320 400H428.6L496 438.1V400H576C584.7 400 592 392.7 592 384V192C592 183.3 584.7 176 576 176H448V128H576C611.3 128 640 156.7 640 191.1V384C640 419.3 611.3 448 576 448L544 448V500C544 507.1 538.2 512 532 512C529.6 512 527.1 511.3 524.9 509.6L416 448L320 447.9C284.8 447.9 256 419.3 256 384V384z"],
    "messages-dollar": [640, 512, ["comments-alt-dollar"], "f652", "M207.1 142.1L212.7 143.5C231.8 148.1 267.4 159.2 260.1 196.3C257.9 214.2 244.3 225.1 225.1 230.1V238.9C225.1 248.3 217.5 256 208 256C198.5 256 190.9 248.3 190.9 238.9V229.6C183.4 227.1 176 225.6 169.4 223.2L165.7 221.9C156.8 218.7 152.1 208.9 155.3 200C158.4 191.1 168.2 186.5 177.1 189.5L180.1 190.9L181 190.1C187.7 193.4 195.3 196.1 201.2 196.1C212.1 198.8 226 197.1 227.2 190.4C227.1 186.1 228.4 183.7 203.3 176.5L198.3 175C183.4 170.7 148.7 160.4 155 123.7C158.1 105.8 171.6 93.79 190.9 89.71V81.14C190.9 71.69 198.5 63.1 208 63.1C217.5 63.1 225.1 71.69 225.1 81.14V90.26C229.8 91.28 234.9 92.65 241.1 94.78C250 97.88 254.7 107.7 251.6 116.6C248.5 125.5 238.7 130.3 229.8 127.2C224.8 125.4 219.5 123.8 214.7 123C203 121.2 189.1 122.9 188.8 129.6C188.1 133.4 187.7 136.2 207.1 142.1V142.1zM352 319.9L224 320L115.1 381.6C112.9 383.3 110.4 384 108 384C101.8 384 96 379.1 96 372V320L64 320C28.75 320 0 291.3 0 256V63.1C0 28.75 28.75 0 64 0H352C387.3 0 416 28.75 416 63.1V256C416 291.3 387.3 319.9 352 319.9V319.9zM352 272C360.7 272 368 264.8 368 256V64C368 55.25 360.7 48 352 48H64C55.25 48 48 55.25 48 64V256C48 264.8 55.25 272 64 272H144V310.1L211.4 272H352zM304 352V384C304 392.7 311.2 400 320 400H428.6L496 438.1V400H576C584.7 400 592 392.7 592 384V192C592 183.2 584.7 176 576 176H448V128H576C611.3 128 640 156.7 640 191.1V384C640 419.3 611.3 448 576 448L544 448V500C544 507.1 538.2 512 532 512C529.6 512 527.1 511.3 524.9 509.6L416 448L320 447.9C284.8 447.9 256 419.3 256 384V352L304 352z"],
    "messages-question": [640, 512, [], "e1e7", "M188 224C188 212.1 196.1 204 208 204C219 204 228 212.1 228 224C228 235 219 244 208 244C196.1 244 188 235 188 224zM191.1 72H221.8C247.9 72 269.2 93.27 269.2 119.4C269.2 137.5 259.1 153.8 242.1 161.8L223.1 171.3V176C223.1 184.8 216.8 192 207.1 192C199.2 192 191.1 184.8 191.1 176V161.4C191.1 155.3 195.4 149.8 200.8 147.1L228.7 133.2C233.9 130.6 237.2 125.3 237.2 119.4C237.2 110.9 230.3 104 221.8 104H191.1C184.3 104 178.8 109.5 178.8 116.2C178.8 125.1 171.7 132.2 162.8 132.2C153.1 132.2 146.8 125.1 146.8 116.2C146.8 91.84 166.7 72 191.1 72L191.1 72zM352 319.9L224 320L115.1 381.6C112.9 383.3 110.4 384 108 384C101.8 384 96 379.1 96 372V320L64 320C28.75 320 0 291.3 0 256V63.1C0 28.75 28.75 0 64 0H352C387.3 0 416 28.75 416 63.1V256C416 291.3 387.3 319.9 352 319.9V319.9zM352 272C360.7 272 368 264.8 368 256V64C368 55.25 360.7 48 352 48H64C55.25 48 48 55.25 48 64V256C48 264.8 55.25 272 64 272H144V310.1L211.4 272H352zM304 352V384C304 392.7 311.2 400 320 400H428.6L496 438.1V400H576C584.7 400 592 392.7 592 384V192C592 183.2 584.7 176 576 176H448V128H576C611.3 128 640 156.7 640 191.1V384C640 419.3 611.3 448 576 448L544 448V500C544 507.1 538.2 512 532 512C529.6 512 527.1 511.3 524.9 509.6L416 448L320 447.9C284.8 447.9 256 419.3 256 384V352L304 352z"],
    "meteor": [512, 512, [9732], "f753", "M510.5 42.84c-8.501 28.25-29.13 94.62-52.38 153.1c10.38 4 18.5 12.12 22.38 22.38c3.875 10.38 3.25 21.75-1.875 31.5c-22 42.13-79.38 146.4-136.4 203.4c-78.38 78.38-205.3 78.38-283.7 0c-78.13-78.12-78.13-205.4 0-283.5c57.26-57.13 161.3-114.3 203.5-136.3c9.751-5.125 21.25-5.875 31.5-1.1s18.38 11.1 22.38 22.25c58.26-23.13 124.9-43.75 153.3-52.25c11.75-3.625 24.5-.375 33.13 8.25C511 18.34 514.1 31.09 510.5 42.84zM393.4 226.7l10.75-24.88c20.5-47.88 40.13-107.5 52.38-146.4c-38.88 12.25-98.76 32-146.3 52.5l-25 10.62c0 0-9.876-33.75-11-37.38c-39.88 21.25-132.5 73.25-181.6 122.4c-59.38 59.5-59.38 156.3 0 215.6c28.63 28.63 67.38 44.75 107.9 44.75c40.38 0 79.26-16.12 107.8-44.75c48.5-48.37 98.63-136.7 122.5-181.5c-3.625-1-7.376-2.125-11.38-3.375L393.4 226.7zM311.1 311.1c0 61.88-50.13 112-112 112s-112-50.13-112-112s50.25-112 112-112C261.9 199.1 311.1 250.1 311.1 311.1zM199.1 287.1c0-13.25-10.75-24-24-24s-24 10.75-24 24s10.75 24 24 24c6.376 0 12.5-2.5 17-7C197.5 300.5 199.1 294.3 199.1 287.1zM231.1 359.1c0-8.875-7.126-16-16-16c-8.751 0-16 7.125-16 16s7.251 16 16 16C224.9 375.1 231.1 368.8 231.1 359.1z"],
    "meter": [512, 512, [], "e1e8", "M192 200C192 213.3 181.3 224 168 224C154.7 224 144 213.3 144 200V152C144 138.7 154.7 128 168 128C181.3 128 192 138.7 192 152V200zM280 200C280 213.3 269.3 224 256 224C242.7 224 232 213.3 232 200V152C232 138.7 242.7 128 256 128C269.3 128 280 138.7 280 152V200zM368 200C368 213.3 357.3 224 344 224C330.7 224 320 213.3 320 200V152C320 138.7 330.7 128 344 128C357.3 128 368 138.7 368 152V200zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "meter-bolt": [640, 512, [], "e1e9", "M256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C312.5 464 363.8 441.5 401.3 404.9C409.7 411.9 420.5 416 432 416H450.3L442.8 431C396.1 480.9 329.7 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C392.1 0 504.8 107.5 511.7 242.8L462.4 282.2C463.4 273.6 464 264.9 464 256C464 141.1 370.9 48 256 48H256zM192 200C192 213.3 181.3 224 168 224C154.7 224 144 213.3 144 200V152C144 138.7 154.7 128 168 128C181.3 128 192 138.7 192 152V200zM280 200C280 213.3 269.3 224 256 224C242.7 224 232 213.3 232 200V152C232 138.7 242.7 128 256 128C269.3 128 280 138.7 280 152V200zM368 200C368 213.3 357.3 224 344 224C330.7 224 320 213.3 320 200V152C320 138.7 330.7 128 344 128C357.3 128 368 138.7 368 152V200zM602.1 227.6C607.9 232.3 609.7 240.4 606.3 247.2L553.9 352H624C630.8 352 636.9 356.3 639.1 362.7C641.3 369.1 639.3 376.2 633.1 380.5L473.1 508.5C468.1 513.2 459.8 513.2 453.9 508.4C448.1 503.7 446.3 495.6 449.7 488.8L502.1 384H432C425.2 384 419.2 379.7 416.9 373.3C414.7 366.9 416.7 359.8 422 355.5L582 227.5C587.9 222.8 596.2 222.8 602.1 227.6V227.6z"],
    "meter-droplet": [640, 512, [], "e1ea", "M256 464C304.8 464 349.7 447.2 385.2 418.1C387.5 436.2 392.8 452.5 400.6 467.3C359.5 495.5 309.7 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C366.8 0 461.2 70.43 496.8 168.1C488.3 174.3 481.1 181.9 476.2 191.1L460.9 219.9C443.8 122.2 358.6 47.1 256 47.1C141.1 47.1 48 141.1 48 255.1C48 370.9 141.1 464 256 464zM192 199.1C192 213.3 181.3 223.1 168 223.1C154.7 223.1 144 213.3 144 199.1V151.1C144 138.7 154.7 127.1 168 127.1C181.3 127.1 192 138.7 192 151.1V199.1zM280 199.1C280 213.3 269.3 223.1 256 223.1C242.7 223.1 232 213.3 232 199.1V151.1C232 138.7 242.7 127.1 256 127.1C269.3 127.1 280 138.7 280 151.1V199.1zM368 199.1C368 213.3 357.3 223.1 344 223.1C330.7 223.1 320 213.3 320 199.1V151.1C320 138.7 330.7 127.1 344 127.1C357.3 127.1 368 138.7 368 151.1V199.1zM528 191.1C537.8 191.1 546.9 197.4 551.5 206.1L626.8 347.3C635.5 363.5 640 381.6 640 400C640 461.9 589.9 512 528 512C466.1 512 416 461.9 416 400C416 381.6 420.5 363.5 429.2 347.3L504.5 206.1C509.1 197.4 518.2 191.1 528 191.1H528z"],
    "meter-fire": [640, 512, [], "e1eb", "M48 255.1C48 370.9 141.1 464 256 464C277.7 464 298.7 460.7 318.3 454.5C327.5 468.1 338.5 482.2 351.1 493.7C321.7 505.5 289.6 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C361.7 0 452.5 64.07 491.5 155.5C486.1 150.2 480.6 145.1 474.1 139.1C460.6 127.1 440.1 124.6 423.4 132.6C385.5 81.27 324.7 48 256 48C141.1 48 48 141.1 48 256V255.1zM368 151.1V184.9C357.1 197.5 346.1 210.4 337.1 223.2C327.6 220.6 320 211.2 320 199.1V151.1C320 138.7 330.7 127.1 344 127.1C357.3 127.1 368 138.7 368 151.1zM192 199.1C192 213.3 181.3 223.1 168 223.1C154.7 223.1 144 213.3 144 199.1V151.1C144 138.7 154.7 127.1 168 127.1C181.3 127.1 192 138.7 192 151.1V199.1zM280 199.1C280 213.3 269.3 223.1 256 223.1C242.7 223.1 232 213.3 232 199.1V151.1C232 138.7 242.7 127.1 256 127.1C269.3 127.1 280 138.7 280 151.1V199.1zM509 221.3C516.9 211.5 525.8 200.6 535.5 191.8C541.1 186.7 549.9 186.7 555.5 191.9C580.2 214.6 601.1 244.5 615.8 273C630.4 301.1 640 329.8 640 349.9C640 437.8 568.7 511.9 480 511.9C390.3 511.9 320 437.7 320 349.9C320 323.5 332.7 291.3 352.4 259.4C372.4 227 400.5 193.3 433.8 163.6C439.4 158.6 447.1 158.6 453.5 163.6C473.3 181.4 491.8 200.6 509 221.3V221.3zM550 336.9C548 332.9 546 328.9 543 324.9L507 366.9C507 366.9 448.1 292.9 444.1 287.9C415 324.9 400 345.9 400 369.9C400 418.9 436 447.9 480.1 447.9C499 447.9 515 442.9 530 432.9C560 411.9 568 369.9 550 336.9z"],
    "microchip": [512, 512, [], "f2db", "M320 160H192C174.3 160 160 174.3 160 192v128c0 17.67 14.33 32 32 32h128c17.67 0 32-14.33 32-32V192C352 174.3 337.7 160 320 160zM304 304h-96v-96h96V304zM488 280C501.3 280 512 269.3 512 256s-10.75-24-24-24H448v-48h40C501.3 184 512 173.3 512 160s-10.75-24-24-24H448V128c0-35.35-28.65-64-64-64h-8V24C376 10.75 365.3 0 352 0s-24 10.75-24 24V64h-48V24C280 10.75 269.3 0 256 0S232 10.75 232 24V64h-48V24C184 10.75 173.3 0 160 0S136 10.75 136 24V64H128C92.65 64 64 92.65 64 128v8H24C10.75 136 0 146.8 0 160s10.75 24 24 24H64v48H24C10.75 232 0 242.8 0 256s10.75 24 24 24H64v48H24C10.75 328 0 338.8 0 352s10.75 24 24 24H64V384c0 35.35 28.65 64 64 64h8v40C136 501.3 146.8 512 160 512s24-10.75 24-24V448h48v40C232 501.3 242.8 512 256 512s24-10.75 24-24V448h48v40c0 13.25 10.75 24 24 24s24-10.75 24-24V448H384c35.35 0 64-28.65 64-64v-8h40c13.25 0 24-10.75 24-24s-10.75-24-24-24H448v-48H488zM400 384c0 8.822-7.178 16-16 16H128c-8.822 0-16-7.178-16-16V128c0-8.822 7.178-16 16-16h256c8.822 0 16 7.178 16 16V384z"],
    "microchip-ai": [512, 512, [], "e1ec", "M226.3 183.1c-6.375-14.56-30.28-14.56-36.66 0l-56 128c-4.422 10.12 .1875 21.91 10.31 26.34c10.14 4.406 21.91-.2031 26.34-10.31l5.289-12.09C175.8 315.9 175.9 316 176 316h64c.1348 0 .248-.0762 .3828-.0781l5.289 12.09C248.1 335.5 256.3 340 264 340c2.672 0 5.391-.5313 8-1.672c10.12-4.438 14.73-16.22 10.31-26.34L226.3 183.1zM193.1 276L208 241.9L222.9 276H193.1zM336 172c-11.05 0-20 8.953-20 20v128c0 11.05 8.953 20 20 20s20-8.953 20-20V192C356 180.1 347 172 336 172zM488 280C501.3 280 512 269.3 512 256s-10.75-24-24-24H448v-48h40C501.3 184 512 173.3 512 160s-10.75-24-24-24H448V128c0-35.35-28.65-64-64-64h-8V24C376 10.75 365.3 0 352 0s-24 10.75-24 24V64h-48V24C280 10.75 269.3 0 256 0S232 10.75 232 24V64h-48V24C184 10.75 173.3 0 160 0S136 10.75 136 24V64H128C92.65 64 64 92.65 64 128v8H24C10.75 136 0 146.8 0 160s10.75 24 24 24H64v48H24C10.75 232 0 242.8 0 256s10.75 24 24 24H64v48H24C10.75 328 0 338.8 0 352s10.75 24 24 24H64V384c0 35.35 28.65 64 64 64h8v40C136 501.3 146.8 512 160 512s24-10.75 24-24V448h48v40C232 501.3 242.8 512 256 512s24-10.75 24-24V448h48v40c0 13.25 10.75 24 24 24s24-10.75 24-24V448H384c35.35 0 64-28.65 64-64v-8h40c13.25 0 24-10.75 24-24s-10.75-24-24-24H448v-48H488zM400 384c0 8.822-7.178 16-16 16H128c-8.822 0-16-7.178-16-16V128c0-8.822 7.178-16 16-16h256c8.822 0 16 7.178 16 16V384z"],
    "microphone": [384, 512, [], "f130", "M344 192C330.7 192 320 202.7 320 215.1V256c0 74.75-64.5 134.9-140.8 127.4C112.8 376.9 64 317.1 64 250.2V215.1C64 202.7 53.25 192 40 192S16 202.7 16 215.1v32.15c0 89.63 64 169.6 152 181.7V464H119.1C106.7 464 96 474.7 96 487.1S106.7 512 119.1 512h144C277.3 512 288 501.3 288 488S277.3 464 264 464H216v-33.77C301.8 418.5 368 344.9 368 256V215.1C368 202.7 357.3 192 344 192zM192 352c53 0 96-43 96-96v-160c0-52.1-43-96-96-96s-96 43-96 96v160C96 309 139 352 192 352zM144 96c0-26.5 21.5-48 48-48s48 21.5 48 48v160c0 26.5-21.5 48-48 48S144 282.5 144 256V96z"],
    "microphone-lines": [384, 512, [127897, "microphone-alt"], "f3c9", "M192 352c53 0 96-43 96-96V96c0-53-43-96-96-96s-96 43-96 96v160C96 309 139 352 192 352zM144 96c0-26.5 21.5-48 48-48s48 21.5 48 48l-32 0c-8.844 0-16 7.156-16 16s7.156 16 16 16L240 128v32h-32C199.2 160 192 167.2 192 176S199.2 192 208 192h32v32h-32C199.2 224 192 231.2 192 240S199.2 256 208 256h32c0 26.5-21.5 48-48 48S144 282.5 144 256V96zM344 192C330.7 192 320 202.7 320 215.1V256c0 74.75-64.5 134.9-140.8 127.4C112.8 376.9 64 317.1 64 250.3v-34.25C64 202.7 53.25 192 40 192S16 202.7 16 215.1v32.15c0 89.63 64 169.6 152 181.7V464h-48C106.7 464 96 474.7 96 488C96 501.3 106.7 512 120 512h144c13.25 0 24-10.75 24-24c0-13.26-10.75-24-24-24h-48v-33.77C301.8 418.5 368 344.9 368 256V215.1C368 202.7 357.3 192 344 192z"],
    "microphone-lines-slash": [640, 512, ["microphone-alt-slash"], "f539", "M630.8 469.1l-159.3-124.9c15.42-25.9 24.53-55.89 24.53-88.21V216c0-13.26-10.75-24-23.1-24s-24 10.74-24 24l-.0001 39.1c0 21.11-5.628 40.71-14.77 58.24l-25.73-20.16c5.197-11.7 8.493-24.43 8.493-38.08l.0001-160C415.1 43 372.1 0 319.1 0s-96 43-96 96L223.1 150.3L38.81 5.111C28.34-3.061 13.32-1.249 5.121 9.189C-3.051 19.63-1.233 34.72 9.189 42.89l591.1 463.1C605.6 510.3 610.8 512 615.1 512c7.125 0 14.16-3.161 18.9-9.193C643.1 492.4 641.2 477.3 630.8 469.1zM335.1 128L368 128v32l-32 .0013c-8.844 0-15.1 7.157-15.1 16s7.156 15.1 15.1 15.1L368 192v64c0 2.217-.6797 4.225-.9707 6.361L272 187.9V96c0-26.5 21.5-48 48-48s48 21.5 48 48l-32 .0016c-8.844 0-15.1 7.156-15.1 15.1S327.2 128 335.1 128zM392 464l-48 .0002v-33.77c20.75-2.844 40.27-9.435 58.07-18.86l-42.98-33.69c-16.16 5.205-33.62 7.488-51.84 5.697C240.8 376.9 192 317.1 192 250.3V246.7L145.2 210C144.7 211.1 144 213.9 144 216L143.1 248.1c0 89.63 63.1 169.6 151.1 181.7v34.15L248 464C234.7 464 224 474.7 224 488C224 501.3 234.7 512 248 512h144c13.25 0 24-10.75 24-24C416 474.7 405.3 464 392 464z"],
    "microphone-slash": [640, 512, [], "f131", "M630.8 469.1l-159.3-124.9c15.42-25.9 24.53-55.89 24.53-88.21V216c0-13.26-10.75-24-23.1-24s-24 10.74-24 24l-.0001 39.1c0 21.11-5.629 40.71-14.77 58.24l-25.72-20.16c5.197-11.7 8.493-24.43 8.493-38.08L415.1 96c0-53-42.1-96-95.1-96S223.1 43 223.1 96l0 54.25L38.81 5.111C28.34-3.061 13.32-1.249 5.12 9.189C-3.052 19.63-1.234 34.72 9.188 42.89l591.1 463.1C605.6 510.3 610.8 512 615.1 512c7.125 0 14.16-3.161 18.9-9.193C643.1 492.4 641.2 477.3 630.8 469.1zM368 256c0 2.217-.6797 4.225-.9707 6.361L272 187.9V96c0-26.5 21.5-48 48-48s48 21.5 48 48V256zM392 464l-48 .0002v-33.77c20.75-2.844 40.27-9.435 58.07-18.86l-42.98-33.69c-16.16 5.205-33.62 7.488-51.84 5.697C240.8 376.9 192 317.1 192 250.3V246.7L145.2 210C144.7 211.1 144 213.9 144 216L143.1 248.1c0 89.63 63.1 169.6 151.1 181.7v34.15L248 464C234.7 464 224 474.7 224 488C224 501.3 234.7 512 248 512h144c13.25 0 24-10.75 24-24C416 474.7 405.3 464 392 464z"],
    "microphone-stand": [512, 512, [127908], "f8cb", "M476.4 35.63c-47.5-47.5-124.5-47.5-172.1 0l-28.62 28.62c-22.62 22.62-35.37 53.25-35.5 85.12l-228.1 257.5c-16.75 18.1-15.87 47.75 1.1 65.62l25.44 25.5c17.87 17.87 46.69 18.75 65.69 2.002l126.9-112.7v100.7c0 13.25 10.74 24 23.1 24c13.25 0 24-10.75 24-24v-143.1l82.62-72.1c31.87-.125 62.5-12.87 85.12-35.5l28.62-28.62C523.9 160.1 523.9 83.13 476.4 35.63zM73.38 463.1l-25.37-25.37l213.1-240.6l52.87 52.87L73.38 463.1zM361.6 224c-2.5-.125-4.875-.375-7.375-.75l-65.5-65.5c-2.125-20.62 4.5-41.25 18.5-56.62l103.6 103.6C397.4 217.1 379.9 224 361.6 224zM444.8 170.9L341.1 67.25c28.1-26.5 73.62-25.5 101.2 2.375C470.3 97.38 470.9 142 444.8 170.9z"],
    "microscope": [512, 512, [128300], "f610", "M488 464h-41.42C486.6 428.8 512 377.4 512 320c0-105.9-86.13-192-192-192v48c79.41 0 144 64.59 144 144s-64.59 144-144 144H24C10.75 464 0 474.7 0 488C0 501.3 10.75 512 24 512h464c13.25 0 24-10.75 24-24C512 474.7 501.3 464 488 464zM120 432h176c13.25 0 24-10.75 24-24c0-13.26-10.75-24-24-24h-176C106.7 384 96 394.7 96 408C96 421.3 106.7 432 120 432zM160 320h16v16C176 344.8 183.2 352 192 352h32c8.836 0 16-7.164 16-16V320H256c17.67 0 32-14.33 32-32V64c0-17.67-14.33-32-32-32c0-17.67-14.33-32-32-32H192C174.3 0 160 14.33 160 32C142.3 32 128 46.33 128 64v224C128 305.7 142.3 320 160 320zM176 80h64v192h-64V80z"],
    "microwave": [576, 512, [], "e01b", "M432 136C432 122.7 442.7 112 456 112C469.3 112 480 122.7 480 136V344C480 357.3 469.3 368 456 368C442.7 368 432 357.3 432 344V136zM360 128C373.3 128 384 138.7 384 152V328C384 341.3 373.3 352 360 352H120C106.7 352 96 341.3 96 328V152C96 138.7 106.7 128 120 128H360zM512 32C547.3 32 576 60.65 576 96V384C576 419.3 547.3 448 512 448V456C512 469.3 501.3 480 488 480C474.7 480 464 469.3 464 456V448H112V456C112 469.3 101.3 480 88 480C74.75 480 64 469.3 64 456V448C28.65 448 0 419.3 0 384V96C0 60.65 28.65 32 64 32H512zM512 80H64C55.16 80 48 87.16 48 96V384C48 392.8 55.16 400 64 400H512C520.8 400 528 392.8 528 384V96C528 87.16 520.8 80 512 80z"],
    "mill-sign": [384, 512, [], "e1ed", "M278.3 96.03C336.9 97.28 384 145.1 384 204V424C384 437.3 373.3 448 360 448C346.7 448 336 437.3 336 424V204C336 170.9 309.1 144 276 144C270.2 144 264.6 144.8 259.3 146.4L216 260.4V424C216 437.3 205.3 448 192 448C178.7 448 168 437.3 168 424V386.9L126.4 496.5C121.7 508.9 107.9 515.1 95.49 510.4C83.1 505.7 76.86 491.9 81.56 479.5L168 251.6V204C168 170.9 141.1 144 108 144C74.86 144 48 170.9 48 204V424C48 437.3 37.25 448 24 448C10.75 448 0 437.3 0 424V204C0 202.7 .0243 201.3 .0726 200H0V120C0 106.7 10.75 96 24 96C35.4 96 44.94 103.9 47.39 114.6C64.67 102.9 85.53 96 108 96C141.9 96 172.2 111.6 192 136.1C200.2 126 210.1 117.4 221.4 110.8L257.6 15.49C262.3 3.096 276.1-3.14 288.5 1.561C300.9 6.261 307.1 20.12 302.4 32.51L278.3 96.03z"],
    "minimize": [512, 512, ["compress-arrows-alt"], "f78c", "M312 224h135.1c12.94 0 24.62-7.797 29.56-19.75c4.969-11.97 2.219-25.72-6.937-34.87l-47.03-47.03l81.38-81.38c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0l-81.38 81.38l-47.03-47.03c-6.127-6.117-14.3-9.35-22.63-9.35c-4.117 0-8.276 .7879-12.24 2.413c-11.97 4.953-19.75 16.63-19.75 29.56v135.1C288 213.3 298.7 224 312 224zM200 287.1H64c-12.94 0-24.62 7.797-29.56 19.75c-4.969 11.97-2.219 25.72 6.937 34.87l47.03 47.03l-81.38 81.38c-9.375 9.375-9.375 24.56 0 33.94C11.72 509.7 17.84 512 24 512s12.28-2.344 16.97-7.031l81.38-81.38l47.03 47.03c6.125 6.125 14.31 9.375 22.62 9.375c4.125 0 8.281-.7968 12.25-2.437c11.97-4.953 19.75-16.62 19.75-29.56V311.1C224 298.7 213.3 287.1 200 287.1zM204.3 34.44C200.3 32.8 196.1 31.1 192 31.1c-8.326 0-16.51 3.256-22.63 9.381L122.3 88.41L40.97 7.031c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94l81.38 81.38L41.38 169.4C35.25 175.5 32 183.7 32 192c0 4.125 .7969 8.281 2.438 12.25C39.39 216.2 51.07 224 64 224h135.1c13.25 0 23.1-10.75 23.1-23.1V64C224 51.07 216.2 39.38 204.3 34.44zM423.6 389.7l47.03-47.03c9.141-9.156 11.84-22.87 6.938-34.87c-4.953-11.97-16.62-19.75-29.56-19.75h-135.1c-13.26 0-23.1 10.75-23.1 23.1v135.1c0 12.94 7.797 24.62 19.75 29.56c3.963 1.645 8.123 2.446 12.24 2.446c8.326 0 16.51-3.258 22.63-9.383l47.03-47.03l81.37 81.38C475.7 509.7 481.8 512 488 512s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94L423.6 389.7z"],
    "minus": [448, 512, [8722, 10134, 8211, "subtract"], "f068", "M432 256C432 269.3 421.3 280 408 280H40c-13.25 0-24-10.74-24-23.99C16 242.8 26.75 232 40 232h368C421.3 232 432 242.8 432 256z"],
    "mistletoe": [576, 512, [], "f7b4", "M542.1 229.4c-26-26-89.63-38.63-130.9-44.13l-99.26-99.13l.0332-62.16C311.1 10.75 301.2 0 287.1 0S263.1 10.75 263.1 24l.0469 27.47C264 51.6 263.9 51.71 263.9 51.85v34.31L164.8 185.3c-41.25 5.5-104.9 18.12-130.9 44.13c-40 40-45.38 99.38-12.12 132.8c14.62 14.62 34.38 21.88 55.38 21.88c26.5 0 55-11.5 77.38-33.88c14.88-14.88 25.25-42 32.63-70.25c5.5 4.875 12.63 8.125 20.75 8.125c17.75 0 32-14.25 32-32s-14.25-32-32-32c-3.625 0-6.875 1-10.25 2.125c.5-2.375 .75-4.625 1-6.875l65.25-65.25v128.2c-28.38 32.88-72 89.23-72 127.4C191.9 466.2 234.1 512 287.1 512c53 0 95.99-45.77 95.99-102.4c0-38.13-43.63-94.56-72.01-127.3l-.0078-128.4l65.25 65.25c5.5 41.25 18.12 104.9 44.13 130.9c22.38 22.38 50.88 33.88 77.38 33.88c21 0 40.75-7.125 55.5-21.75C587.5 328.8 582.1 269.4 542.1 229.4zM120.7 316.2c-12.5 12.5-28.75 19.88-43.5 19.88c-6.252 0-15-1.375-21.5-7.75c-14-14.12-8.375-44.5 12.13-65c10.38-10.38 43.38-20.25 79.88-26.88C140.9 272.8 131.1 305.8 120.7 316.2zM335.9 409.6c0 30-21.5 54.38-48 54.38c-26.5 0-48-24.38-48-54.38c0-13.88 20.38-47.5 48-81.5C315.2 362 335.9 396 335.9 409.6zM520.2 328.3c-6.5 6.375-15.25 7.75-21.5 7.75c-14.75 0-31-7.375-43.38-19.88c-10.38-10.38-20.25-43.38-26.88-79.75c36.25 6.625 69.38 16.62 79.75 26.88C528.6 283.8 534.2 314.2 520.2 328.3zM352 64c0-17.67 14.33-32 32-32c17.67 0 32 14.33 32 32c0 17.67-14.33 32-32 32C366.3 96 352 81.67 352 64z"],
    "mitten": [448, 512, [], "f7b5", "M416.7 184.8c-15.5-13-35.25-20.12-55.5-20.12c-14.87 0-29.12 3.625-41.75 10.62L306.9 120.5C290.5 49.63 228.2 0 155.5 0c-11.75 0-23.5 1.375-35.12 4C36.99 23.25-15.26 106.9 3.992 190.4L54.61 384h49.62l-53.5-204.4C37.49 121.9 73.61 64.13 131.2 50.75C139.2 49 147.4 48 155.5 48c50.25 0 93.24 34.25 104.6 83.25l32.62 141.5l38.5-46.13c7.5-8.875 18.37-14 29.1-14c9 0 17.88 3.125 24.75 9c16.5 13.62 18.75 38.25 5 54.63L301.2 384h62.5l64.12-76.88C458.6 270.3 453.6 215.4 416.7 184.8zM351.1 416H63.99c-17.6 0-31.1 14.4-31.1 31.1l.0026 31.1C31.1 497.6 46.4 512 63.1 512h288c17.6 0 32-14.4 32-31.1l-.0049-31.1C383.1 430.4 369.6 416 351.1 416z"],
    "mobile": [384, 512, [128241, "mobile-android", "mobile-phone"], "f3ce", "M304 0h-224c-35.35 0-64 28.65-64 64v384c0 35.35 28.65 64 64 64h224c35.35 0 64-28.65 64-64V64C368 28.65 339.3 0 304 0zM320 448c0 8.822-7.178 16-16 16h-224C71.18 464 64 456.8 64 448V64c0-8.822 7.178-16 16-16h224C312.8 48 320 55.18 320 64V448zM224 400H160c-8.836 0-16 7.164-16 16s7.164 16 16 16h64c8.838 0 16-7.164 16-16S232.8 400 224 400z"],
    "mobile-button": [384, 512, [], "f10b", "M304 0h-224c-35.35 0-64 28.65-64 64v384c0 35.35 28.65 64 64 64h224c35.35 0 64-28.65 64-64V64C368 28.65 339.3 0 304 0zM320 448c0 8.822-7.178 16-16 16h-224C71.18 464 64 456.8 64 448V64c0-8.822 7.178-16 16-16h224C312.8 48 320 55.18 320 64V448zM192 392c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24s24-10.75 24-24C216 402.7 205.3 392 192 392z"],
    "mobile-notch": [384, 512, ["mobile-iphone"], "e1ee", "M240 400h-96C135.2 400 128 407.2 128 416s7.164 16 16 16h96c8.838 0 16-7.164 16-16S248.8 400 240 400zM304 0h-224c-35.35 0-64 28.65-64 64v384c0 35.35 28.65 64 64 64h224c35.35 0 64-28.65 64-64V64C368 28.65 339.3 0 304 0zM320 448c0 8.822-7.178 16-16 16h-224C71.18 464 64 456.8 64 448V64c0-8.822 7.178-16 16-16H128v32C128 88.84 135.2 96 144 96h96C248.8 96 256 88.84 256 80v-32h48C312.8 48 320 55.18 320 64V448z"],
    "mobile-retro": [320, 512, [], "e527", "M80 152C80 138.7 90.75 128 104 128H216C229.3 128 240 138.7 240 152V232C240 245.3 229.3 256 216 256H104C90.75 256 80 245.3 80 232V152zM72 328C72 314.7 82.75 304 96 304C109.3 304 120 314.7 120 328C120 341.3 109.3 352 96 352C82.75 352 72 341.3 72 328zM120 408C120 421.3 109.3 432 96 432C82.75 432 72 421.3 72 408C72 394.7 82.75 384 96 384C109.3 384 120 394.7 120 408zM136 328C136 314.7 146.7 304 160 304C173.3 304 184 314.7 184 328C184 341.3 173.3 352 160 352C146.7 352 136 341.3 136 328zM184 408C184 421.3 173.3 432 160 432C146.7 432 136 421.3 136 408C136 394.7 146.7 384 160 384C173.3 384 184 394.7 184 408zM200 328C200 314.7 210.7 304 224 304C237.3 304 248 314.7 248 328C248 341.3 237.3 352 224 352C210.7 352 200 341.3 200 328zM248 408C248 421.3 237.3 432 224 432C210.7 432 200 421.3 200 408C200 394.7 210.7 384 224 384C237.3 384 248 394.7 248 408zM192 64C200.8 64 208 71.16 208 80C208 88.84 200.8 96 192 96H128C119.2 96 112 88.84 112 80C112 71.16 119.2 64 128 64H192zM256 0C291.3 0 320 28.65 320 64V448C320 483.3 291.3 512 256 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H256zM256 48H64C55.16 48 48 55.16 48 64V448C48 456.8 55.16 464 64 464H256C264.8 464 272 456.8 272 448V64C272 55.16 264.8 48 256 48z"],
    "mobile-screen": [384, 512, ["mobile-android-alt"], "f3cf", "M304 0h-224c-35.35 0-64 28.65-64 64v384c0 35.35 28.65 64 64 64h224c35.35 0 64-28.65 64-64V64C368 28.65 339.3 0 304 0zM320 448c0 8.822-7.178 16-16 16h-224C71.18 464 64 456.8 64 448v-80h256V448zM320 320H64V64c0-8.822 7.178-16 16-16h224C312.8 48 320 55.18 320 64V320zM160 432h64c8.836 0 16-7.164 16-16s-7.164-16-16-16H160c-8.836 0-16 7.164-16 16S151.2 432 160 432z"],
    "mobile-screen-button": [384, 512, ["mobile-alt"], "f3cd", "M304 0h-224c-35.35 0-64 28.65-64 64v384c0 35.35 28.65 64 64 64h224c35.35 0 64-28.65 64-64V64C368 28.65 339.3 0 304 0zM320 448c0 8.822-7.178 16-16 16h-224C71.18 464 64 456.8 64 448v-80h256V448zM320 320H64V64c0-8.822 7.178-16 16-16h224C312.8 48 320 55.18 320 64V320zM192 440c13.26 0 24-10.75 24-24c0-13.26-10.74-24-24-24S168 402.7 168 416C168 429.3 178.7 440 192 440z"],
    "mobile-signal": [512, 512, [], "e1ef", "M144 400C135.2 400 128 407.2 128 416s7.164 16 16 16h64C216.8 432 224 424.8 224 416s-7.162-16-16-16H144zM225.2 464H64c-8.822 0-16-7.178-16-16V64c0-8.822 7.178-16 16-16h224c8.822 0 16 7.178 16 16v234.9c14.7-14.31 30.84-26.57 48-36.93V64c0-35.35-28.65-64-64-64H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h165.6C226.1 504.7 224 496.6 224 487.1C223.1 479.9 224.5 471.9 225.2 464zM487.1 303.1c13.26 0 23.1-10.74 23.1-23.1c0-13.26-10.74-23.1-23.1-23.1c-61.97-.0117-120.2 24.13-164 67.95C280.1 367.8 255.1 426 256 487.1c0 13.26 10.74 24 23.1 24c13.26 0 23.1-10.74 23.1-24c0-49.14 19.15-95.36 53.9-130.1C392.6 323.1 438.9 303.1 487.1 303.1zM512 375.1c0-13.26-10.74-23.1-23.1-23.1c-37.5 0-71.51 15.25-96.13 39.88S352 450.5 352 488C352 501.3 362.7 512 375.1 512s23.1-10.74 23.1-23.1c0-48.53 39.49-88.01 88.01-88.01C501.3 399.1 512 389.3 512 375.1zM457.4 457.4c-12.5 12.5-12.5 32.76 0 45.25c12.5 12.5 32.76 12.5 45.25 0c12.5-12.5 12.5-32.76 0-45.25C490.1 444.9 469.9 444.9 457.4 457.4z"],
    "mobile-signal-out": [512, 512, [], "e1f0", "M444.1 67.95C400.2 24.14 341.1 0 280 0c-13.26 0-24.03 10.74-24.03 23.1c0 13.26 10.74 23.1 23.1 23.1c49.14 0 95.36 19.15 130.1 53.89c34.75 34.75 53.89 80.96 53.89 130.1c0 13.26 10.74 23.1 23.1 23.1C501.3 255.1 512 245.3 512 231.1C512 170 487.9 111.8 444.1 67.95zM310.6 246.6c12.5-12.5 12.5-32.76 0-45.25C304.4 195.1 296.2 191.1 288 191.1s-16.38 3.123-22.63 9.373c-12.5 12.5-12.5 32.76 0 45.25c6.248 6.248 14.44 9.373 22.63 9.373S304.4 252.9 310.6 246.6zM279.1 96c-13.26 0-24 10.74-24 23.1s10.74 23.1 23.1 23.1c48.53 0 88.01 39.49 88.01 88.01c0 13.26 10.74 23.1 23.1 23.1S416 245.3 416 232c0-37.5-15.25-71.5-39.88-96.13S317.5 96 279.1 96zM304 448c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V64c0-8.822 7.178-16 16-16h160V0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h224c35.35 0 64-28.65 64-64l-.0039-160H304V448zM144 400C135.2 400 128 407.2 128 416s7.164 16 16 16h64C216.8 432 224 424.8 224 416s-7.162-16-16-16H144z"],
    "money-bill": [576, 512, [], "f0d6", "M192 256C192 202.1 234.1 160 288 160C341 160 384 202.1 384 256C384 309 341 352 288 352C234.1 352 192 309 192 256zM0 128C0 92.65 28.65 64 64 64H512C547.3 64 576 92.65 576 128V384C576 419.3 547.3 448 512 448H64C28.65 448 0 419.3 0 384V128zM48 176V336C83.35 336 112 364.7 112 400H464C464 364.7 492.7 336 528 336V176C492.7 176 464 147.3 464 112H112C112 147.3 83.35 176 48 176z"],
    "money-bill-1": [576, 512, ["money-bill-alt"], "f3d1", "M400 256C400 317.9 349.9 368 288 368C226.1 368 176 317.9 176 256C176 194.1 226.1 144 288 144C349.9 144 400 194.1 400 256zM272 224V288H264C255.2 288 248 295.2 248 304C248 312.8 255.2 320 264 320H312C320.8 320 328 312.8 328 304C328 295.2 320.8 288 312 288H304V208C304 199.2 296.8 192 288 192H272C263.2 192 256 199.2 256 208C256 216.8 263.2 224 272 224zM0 128C0 92.65 28.65 64 64 64H512C547.3 64 576 92.65 576 128V384C576 419.3 547.3 448 512 448H64C28.65 448 0 419.3 0 384V128zM48 176V336C83.35 336 112 364.7 112 400H464C464 364.7 492.7 336 528 336V176C492.7 176 464 147.3 464 112H112C112 147.3 83.35 176 48 176z"],
    "money-bill-1-wave": [576, 512, ["money-bill-wave-alt"], "f53b", "M384 256C384 317.9 341 368 288 368C234.1 368 192 317.9 192 256C192 194.1 234.1 144 288 144C341 144 384 194.1 384 256zM272 224V288H264C255.2 288 248 295.2 248 304C248 312.8 255.2 320 264 320H312C320.8 320 328 312.8 328 304C328 295.2 320.8 288 312 288H304V208C304 199.2 296.8 192 288 192H272C263.2 192 256 199.2 256 208C256 216.8 263.2 224 272 224zM0 421.5V113C0 88.79 25.38 72.73 48.35 79.04C128.2 100.1 208.1 80.61 288 60.25C374.9 38.1 461.8 15.95 548.7 48.26C565.8 54.6 576 71.96 576 90.5V398.1C576 423.2 550.6 439.3 527.7 432.1C447.8 411 367.9 431.4 288 451.7C201.1 473.9 114.2 496 27.29 463.7C10.21 457.4 0 440 0 421.5V421.5zM279.2 404.4C335.1 390.1 398.6 373.9 464.5 375.7C468.6 344.3 495.5 320 528 320V144C492.7 144 464.1 115.4 464 80.14C417 78.44 367.2 89.66 310.3 104.1C305.9 105.2 301.4 106.4 296.8 107.6C240.9 121.9 177.4 138.1 111.5 136.3C107.4 167.7 80.53 192 48 192V368C83.3 368 111.9 396.6 112 431.9C158.1 433.6 208.8 422.3 265.7 407.9C270.1 406.8 274.6 405.6 279.2 404.4H279.2z"],
    "money-bill-simple": [576, 512, [], "e1f1", "M192 256C192 202.1 234.1 160 288 160C341 160 384 202.1 384 256C384 309 341 352 288 352C234.1 352 192 309 192 256zM0 128C0 92.65 28.65 64 64 64H512C547.3 64 576 92.65 576 128V384C576 419.3 547.3 448 512 448H64C28.65 448 0 419.3 0 384V128zM48 128V384C48 392.8 55.16 400 64 400H512C520.8 400 528 392.8 528 384V128C528 119.2 520.8 112 512 112H64C55.16 112 48 119.2 48 128z"],
    "money-bill-simple-wave": [576, 512, [], "e1f2", "M208 256C208 202.1 243.8 160 288 160C332.2 160 368 202.1 368 256C368 309 332.2 352 288 352C243.8 352 208 309 208 256zM0 421.5V113C0 88.79 25.38 72.73 48.35 79.04C128.2 100.1 208.1 80.61 288 60.25C374.9 38.1 461.8 15.95 548.7 48.26C565.8 54.6 576 71.96 576 90.5V398.1C576 423.2 550.6 439.3 527.7 432.1C447.8 411 367.9 431.4 288 451.7C201.1 473.9 114.2 496 27.29 463.7C10.21 457.4 0 440 0 421.5V421.5zM279.2 404.4C352.9 385.6 439.7 363.3 528 383.6V91.81C461.8 68.73 393.6 82.96 310.3 104.1C305.9 105.2 301.4 106.4 296.8 107.6C223.1 126.4 136.3 148.7 48 128.4V420.2C114.2 443.3 182.4 429 265.7 407.9C270.1 406.8 274.6 405.6 279.2 404.4V404.4z"],
    "money-bill-transfer": [640, 512, [], "e528", "M558.1 63.1L535 40.97C525.7 31.6 525.7 16.4 535 7.03C544.4-2.343 559.6-2.343 568.1 7.029L632.1 71.02C637.5 75.52 640 81.63 640 87.99C640 94.36 637.5 100.5 632.1 104.1L568.1 168.1C559.6 178.3 544.4 178.3 535 168.1C525.7 159.6 525.7 144.4 535 135L558.1 111.1L160 111.1V127.1C160 163.3 131.3 191.1 96 191.1H80V285.5L32 333.5V127.1C32 92.65 60.65 63.1 96 63.1H383.6L384 63.99L558.1 63.1zM560 319.1V226.5L608 178.5V383.1C608 419.3 579.3 447.1 544 447.1L81.94 447.1L104.1 471C114.3 480.4 114.3 495.6 104.1 504.1C95.6 514.3 80.4 514.3 71.03 504.1L7.029 440.1C2.528 436.5-.0003 430.4 0 423.1C0 417.6 2.529 411.5 7.03 407L71.03 343C80.4 333.7 95.6 333.7 104.1 343C114.3 352.4 114.3 367.6 104.1 376.1L81.94 399.1L255.1 399.1C256.1 399.1 256.3 399.1 256.4 399.1H480V383.1C480 348.6 508.7 319.1 544 319.1H560zM224 255.1C224 202.1 266.1 159.1 320 159.1C373 159.1 416 202.1 416 255.1C416 309 373 351.1 320 351.1C266.1 351.1 224 309 224 255.1V255.1z"],
    "money-bill-trend-up": [512, 512, [], "e529", "M320 24C320 10.75 330.7 0 344 0H456C469.3 0 480 10.75 480 24V136C480 149.3 469.3 160 456 160C442.7 160 432 149.3 432 136V81.94L304.1 208.1C296.1 217.8 281.9 218.4 272.4 210.2L176.1 127.7L71.72 218.1C61.7 226.8 46.54 225.7 37.86 215.7C29.18 205.7 30.27 190.5 40.28 181.9L160.3 77.86C169.3 70.08 182.6 70.04 191.6 77.78L286.7 159.3L398.1 47.1H344C330.7 47.1 320 37.25 320 23.1L320 24zM192 384C192 348.7 220.7 320 256 320C291.3 320 320 348.7 320 384C320 419.3 291.3 448 256 448C220.7 448 192 419.3 192 384zM464 256C490.5 256 512 277.5 512 304V464C512 490.5 490.5 512 464 512H48C21.49 512 0 490.5 0 464V304C0 277.5 21.49 256 48 256H464zM48 359.5V408.5C76.95 412.1 99.89 435 103.5 464H408.5C412.1 435 435 412.1 464 408.5V359.5C435 355.9 412.1 332.1 408.5 304H103.5C99.9 332.1 76.95 355.9 48 359.5V359.5z"],
    "money-bill-wave": [576, 512, [], "f53a", "M208 256C208 202.1 243.8 160 288 160C332.2 160 368 202.1 368 256C368 309 332.2 352 288 352C243.8 352 208 309 208 256zM0 421.5V113C0 88.79 25.38 72.73 48.35 79.04C128.2 100.1 208.1 80.61 288 60.25C374.9 38.1 461.8 15.95 548.7 48.26C565.8 54.6 576 71.96 576 90.5V398.1C576 423.2 550.6 439.3 527.7 432.1C447.8 411 367.9 431.4 288 451.7C201.1 473.9 114.2 496 27.29 463.7C10.21 457.4 0 440 0 421.5V421.5zM279.2 404.4C335.1 390.1 398.6 373.9 464.5 375.7C468.6 344.3 495.5 320 528 320V144C492.7 144 464.1 115.4 464 80.14C417 78.44 367.2 89.66 310.3 104.1C305.9 105.2 301.4 106.4 296.8 107.6C240.9 121.9 177.4 138.1 111.5 136.3C107.4 167.7 80.53 192 48 192V368C83.3 368 111.9 396.6 112 431.9C158.1 433.6 208.8 422.3 265.7 407.9C270.1 406.8 274.6 405.6 279.2 404.4H279.2z"],
    "money-bill-wheat": [512, 512, [], "e52a", "M256 80C256 88.84 248.8 96 240 96C195.8 96 160 60.18 160 16C160 7.164 167.2 0 176 0C220.2 0 256 35.82 256 80zM104 16C117.3 16 128 26.75 128 40C128 53.25 117.3 64 104 64H56C42.75 64 32 53.25 32 40C32 26.75 42.75 16 56 16H104zM136 88C149.3 88 160 98.75 160 112C160 125.3 149.3 136 136 136H24C10.75 136 0 125.3 0 112C0 98.75 10.75 88 24 88H136zM32 184C32 170.7 42.75 160 56 160H104C117.3 160 128 170.7 128 184C128 197.3 117.3 208 104 208H56C42.75 208 32 197.3 32 184zM272 16C272 7.164 279.2 0 288 0C332.2 0 368 35.82 368 80C368 88.84 360.8 96 352 96C307.8 96 272 60.18 272 16zM480 80C480 88.84 472.8 96 464 96C419.8 96 384 60.18 384 16C384 7.164 391.2 0 400 0C444.2 0 480 35.82 480 80zM400 224C391.2 224 384 216.8 384 208C384 163.8 419.8 128 464 128C472.8 128 480 135.2 480 144C480 188.2 444.2 224 400 224zM352 128C360.8 128 368 135.2 368 144C368 188.2 332.2 224 288 224C279.2 224 272 216.8 272 208C272 163.8 307.8 128 352 128zM176 224C167.2 224 160 216.8 160 208C160 163.8 195.8 128 240 128C248.8 128 256 135.2 256 144C256 188.2 220.2 224 176 224zM192 384C192 348.7 220.7 320 256 320C291.3 320 320 348.7 320 384C320 419.3 291.3 448 256 448C220.7 448 192 419.3 192 384zM464 256C490.5 256 512 277.5 512 304V464C512 490.5 490.5 512 464 512H48C21.49 512 0 490.5 0 464V304C0 277.5 21.49 256 48 256H464zM48 408.5C76.95 412.1 99.89 435 103.5 464H408.5C412.1 435 435 412.1 464 408.5V359.5C435 355.9 412.1 332.1 408.5 303.1H103.5C99.9 332.1 76.95 355.9 48 359.5V408.5z"],
    "money-bills": [640, 512, [], "e1f3", "M448 208C448 252.2 412.2 288 368 288C323.8 288 288 252.2 288 208C288 163.8 323.8 128 368 128C412.2 128 448 163.8 448 208zM576 32C611.3 32 640 60.65 640 96V320C640 355.3 611.3 384 576 384H160C124.7 384 96 355.3 96 320V96C96 60.65 124.7 32 160 32H576zM528 80H208C208 115.3 179.3 144 144 144V272C179.3 272 208 300.7 208 336H528C528 300.7 556.7 272 592 272V144C556.7 144 528 115.3 528 80zM48 360C48 399.8 80.24 432 120 432H520C533.3 432 544 442.7 544 456C544 469.3 533.3 480 520 480H120C53.73 480 0 426.3 0 360V120C0 106.7 10.75 96 24 96C37.25 96 48 106.7 48 120V360z"],
    "money-bills-simple": [640, 512, ["money-bills-alt"], "e1f4", "M448 208C448 252.2 412.2 288 368 288C323.8 288 288 252.2 288 208C288 163.8 323.8 128 368 128C412.2 128 448 163.8 448 208zM576 32C611.3 32 640 60.65 640 96V320C640 355.3 611.3 384 576 384H160C124.7 384 96 355.3 96 320V96C96 60.65 124.7 32 160 32H576zM576 80H160C151.2 80 144 87.16 144 96V320C144 328.8 151.2 336 160 336H576C584.8 336 592 328.8 592 320V96C592 87.16 584.8 80 576 80zM48 360C48 399.8 80.24 432 120 432H520C533.3 432 544 442.7 544 456C544 469.3 533.3 480 520 480H120C53.73 480 0 426.3 0 360V120C0 106.7 10.75 96 24 96C37.25 96 48 106.7 48 120V360z"],
    "money-check": [576, 512, [], "f53c", "M264 208C277.3 208 288 218.7 288 232C288 245.3 277.3 256 264 256H120C106.7 256 96 245.3 96 232C96 218.7 106.7 208 120 208H264zM96 328C96 314.7 106.7 304 120 304H456C469.3 304 480 314.7 480 328C480 341.3 469.3 352 456 352H120C106.7 352 96 341.3 96 328zM456 160C469.3 160 480 170.7 480 184V232C480 245.3 469.3 256 456 256H376C362.7 256 352 245.3 352 232V184C352 170.7 362.7 160 376 160H456zM0 128C0 92.65 28.65 64 64 64H512C547.3 64 576 92.65 576 128V384C576 419.3 547.3 448 512 448H64C28.65 448 0 419.3 0 384V128zM48 128V384C48 392.8 55.16 400 64 400H512C520.8 400 528 392.8 528 384V128C528 119.2 520.8 112 512 112H64C55.16 112 48 119.2 48 128z"],
    "money-check-dollar": [576, 512, ["money-check-alt"], "f53d", "M456 272C469.3 272 480 282.7 480 296C480 309.3 469.3 320 456 320H280C266.7 320 256 309.3 256 296C256 282.7 266.7 272 280 272H456zM256 200C256 186.7 266.7 176 280 176H456C469.3 176 480 186.7 480 200C480 213.3 469.3 224 456 224H280C266.7 224 256 213.3 256 200zM180.1 166.3C186.7 167.5 196.7 169.5 201.1 170.7C211.8 173.5 218.2 184.5 215.3 195.1C212.5 205.8 201.5 212.2 190.9 209.3C187 208.3 173.5 205.7 169.1 204.1C156.9 203.1 146.1 204.7 140.5 207.6C134.2 210.4 132.7 213.7 132.3 215.7C131.7 219.1 132.3 220.3 132.5 220.7C132.7 221.2 133.5 222.4 136.1 224.2C142.2 228.4 151.8 231.4 165.1 235.7L166.8 235.9C178.9 239.6 195.1 244.4 207.2 253.3C213.9 258.1 220.2 264.7 224.1 273.7C228.1 282.8 228.9 292.8 227.1 303.2C223.8 322.2 211.2 335.2 195.4 341.9C190.6 343.1 185.4 345.5 180.1 346.5V352C180.1 363.1 171.1 372.1 159.1 372.1C148.9 372.1 139.9 363.1 139.9 352V345.6C130.4 343.4 117.1 339.2 110.1 336.5C108.4 335.9 106.9 335.4 105.7 334.1C95.2 331.5 89.53 320.2 93.02 309.7C96.51 299.2 107.8 293.5 118.3 297C120.3 297.7 122.5 298.4 124.7 299.2C134.2 302.4 144.9 306 150.9 307C163.7 309 173.6 307.7 179.7 305.1C185.2 302.8 187.1 299.8 187.7 296.3C188.4 292.3 187.8 290.5 187.4 289.7C187.1 288.8 186.2 287.4 183.7 285.6C177.8 281.3 168.4 278.2 154.4 273.9L152.2 273.3C140.5 269.8 125.2 265.2 113.6 257.3C107 252.8 100.5 246.6 96.32 237.8C92.08 228.9 91.15 219 92.91 208.8C96.07 190.5 109.1 177.9 124 171.1C128.1 168.9 134.3 167.2 139.9 166V159.1C139.9 148.9 148.9 139.9 160 139.9C171.1 139.9 180.1 148.9 180.1 159.1L180.1 166.3zM0 128C0 92.65 28.65 64 64 64H512C547.3 64 576 92.65 576 128V384C576 419.3 547.3 448 512 448H64C28.65 448 0 419.3 0 384V128zM48 128V384C48 392.8 55.16 400 64 400H512C520.8 400 528 392.8 528 384V128C528 119.2 520.8 112 512 112H64C55.16 112 48 119.2 48 128z"],
    "money-check-dollar-pen": [640, 512, ["money-check-edit-alt"], "f873", "M512 112H64C55.16 112 48 119.2 48 128V384C48 392.8 55.16 400 64 400H348.3C342.7 407.1 338.7 415.3 336.5 424.1L330.5 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H512C547.3 64 576 92.65 576 128V192.6C560.8 194.6 546.2 201.4 534.6 213.1L528 219.6V128C528 119.2 520.8 112 512 112zM256 296C256 282.7 266.7 272 280 272H328C341.3 272 352 282.7 352 296C352 309.3 341.3 320 328 320H280C266.7 320 256 309.3 256 296zM424 176C437.3 176 448 186.7 448 200C448 213.3 437.3 224 424 224H280C266.7 224 256 213.3 256 200C256 186.7 266.7 176 280 176H424zM159.1 139.9C171.1 139.9 180.1 148.9 180.1 160V166.3C186.7 167.5 196.7 169.5 201.1 170.7C211.8 173.5 218.2 184.5 215.3 195.1C212.5 205.8 201.5 212.2 190.9 209.3C187 208.3 173.5 205.7 169.1 204.1C156.9 203.1 146.1 204.7 140.5 207.6C134.2 210.4 132.7 213.7 132.3 215.7C131.7 219.1 132.3 220.3 132.5 220.7C132.7 221.2 133.5 222.4 136.1 224.2C142.2 228.4 151.8 231.4 165.1 235.7L166.8 235.9C178.9 239.6 195.1 244.4 207.2 253.3C213.9 258.1 220.2 264.7 224.1 273.7C228.1 282.8 228.9 292.8 227.1 303.2C223.8 322.2 211.2 335.2 195.4 341.9C190.6 343.1 185.4 345.5 180.1 346.5V352C180.1 363.1 171.1 372.1 159.1 372.1C148.9 372.1 139.9 363.1 139.9 352V345.6C130.4 343.4 117.1 339.2 110.1 336.5C108.4 335.9 106.9 335.4 105.7 334.1C95.2 331.5 89.53 320.2 93.02 309.7C96.51 299.2 107.8 293.5 118.3 297C120.3 297.7 122.5 298.4 124.7 299.2C134.2 302.4 144.9 306 150.9 307C163.7 309 173.6 307.7 179.7 305.1C185.2 302.8 187.1 299.8 187.7 296.3C188.4 292.3 187.8 290.5 187.4 289.7C187.1 288.8 186.2 287.4 183.7 285.6C177.8 281.3 168.4 278.2 154.4 273.9L152.2 273.3C140.5 269.8 125.2 265.2 113.6 257.3C107 252.8 100.5 246.6 96.32 237.8C92.08 228.9 91.14 219 92.91 208.8C96.07 190.5 109.1 177.9 124 171.1C128.1 168.9 134.3 167.2 139.9 166V159.1C139.9 148.9 148.9 139.9 159.1 139.9V139.9zM628.1 250.1C643.8 265.7 643.8 291 628.1 306.7L598.7 336.1L527.8 265.1L557.2 235.7C572.8 220.1 598.1 220.1 613.8 235.7L628.1 250.1zM375.9 416.1L505.1 287.8L576.1 358.7L446.9 487.9C442.8 492 437.6 494.9 432 496.3L371.9 511.4C366.4 512.7 360.7 511.1 356.7 507.2C352.7 503.2 351.1 497.4 352.5 491.1L367.5 431.8C368.9 426.2 371.8 421.1 375.9 416.1V416.1z"],
    "money-check-pen": [640, 512, ["money-check-edit"], "f872", "M48 128V384C48 392.8 55.16 400 64 400H348.3C342.7 407.1 338.7 415.3 336.5 424.1L330.5 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H512C547.3 64 576 92.65 576 128V192.6C560.8 194.6 546.2 201.4 534.6 213.1L528 219.6V128C528 119.2 520.8 112 512 112H64C55.16 112 48 119.2 48 128zM328 272C341.3 272 352 282.7 352 296C352 309.3 341.3 320 328 320H120C106.7 320 96 309.3 96 296C96 282.7 106.7 272 120 272H328zM96 200C96 186.7 106.7 176 120 176H424C437.3 176 448 186.7 448 200C448 213.3 437.3 224 424 224H120C106.7 224 96 213.3 96 200zM628.1 250.1C643.8 265.7 643.8 291 628.1 306.7L598.7 336.1L527.8 265.1L557.2 235.7C572.8 220.1 598.1 220.1 613.8 235.7L628.1 250.1zM375.9 416.1L505.1 287.8L576.1 358.7L446.9 487.9C442.8 492 437.6 494.9 432 496.3L371.9 511.4C366.4 512.7 360.7 511.1 356.7 507.2C352.7 503.2 351.1 497.4 352.5 491.1L367.5 431.8C368.9 426.2 371.8 421.1 375.9 416.1V416.1z"],
    "money-from-bracket": [640, 512, [], "e312", "M48 168C48 181.3 37.25 192 24 192C10.75 192 0 181.3 0 168V88C0 39.4 39.4 0 88 0H552C600.6 0 640 39.4 640 88V168C640 181.3 629.3 192 616 192C602.7 192 592 181.3 592 168V88C592 65.91 574.1 48 552 48H88C65.91 48 48 65.91 48 88V168zM464 96H512V448C512 483.3 483.3 512 448 512H192C156.7 512 128 483.3 128 448V96H176V400C211.3 400 240 428.7 240 464H400C400 428.7 428.7 400 464 400V96zM320 352C266.1 352 224 316.2 224 272C224 227.8 266.1 192 320 192C373 192 416 227.8 416 272C416 316.2 373 352 320 352z"],
    "money-simple-from-bracket": [640, 512, [], "e313", "M48 168C48 181.3 37.25 192 24 192C10.75 192 0 181.3 0 168V88C0 39.4 39.4 0 88 0H552C600.6 0 640 39.4 640 88V168C640 181.3 629.3 192 616 192C602.7 192 592 181.3 592 168V88C592 65.91 574.1 48 552 48H88C65.91 48 48 65.91 48 88V168zM464 96H512V448C512 483.3 483.3 512 448 512H192C156.7 512 128 483.3 128 448V96H176V448C176 456.8 183.2 464 192 464H448C456.8 464 464 456.8 464 448V96zM320 352C266.1 352 224 316.2 224 272C224 227.8 266.1 192 320 192C373 192 416 227.8 416 272C416 316.2 373 352 320 352z"],
    "monitor-waveform": [576, 512, ["monitor-heart-rate"], "f611", "M512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM528 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V288h114.4l41 68.34C207.8 363.6 215.6 368 224 368c.3125 0 .625 0 .9062-.0313c8.781-.3125 16.66-5.406 20.56-13.25l60.44-120.9l25.5 42.5C335.8 283.6 343.6 288 352 288h72C437.3 288 448 277.3 448 264S437.3 240 424 240h-58.41l-41-68.34c-4.531-7.5-13.78-12.31-21.5-11.62c-8.781 .3125-16.66 5.406-20.56 13.25L222.1 294.2l-25.5-42.5C192.3 244.4 184.4 240 176 240h-128V96c0-8.822 7.178-16 16-16h448c8.822 0 16 7.178 16 16V416z"],
    "monkey": [576, 512, [128018], "f6fb", "M384 128C384 136.8 376.8 144 368 144C359.2 144 352 136.8 352 128C352 119.2 359.2 112 368 112C376.8 112 384 119.2 384 128zM416 128C416 119.2 423.2 112 432 112C440.8 112 448 119.2 448 128C448 136.8 440.8 144 432 144C423.2 144 416 136.8 416 128zM104 48C73.07 48 48 73.07 48 104V360C48 417.4 94.56 464 152 464H160V416C160 322.3 217.5 242.1 299.1 208.7C295.1 200.4 292.1 191.5 290.2 182.3C265.1 176.2 248 154.2 248 128C248 100.1 268.4 76.97 295.1 72.71C311 30.23 351.1 0 400 0C448 0 488.1 30.23 504.9 72.71C531.6 76.97 552 100.1 552 128C552 154.2 534 176.2 509.8 182.3C502.7 217.3 479.4 246.3 448 261.2V286.1L531.5 369.5C559.1 398 576 436.7 576 477V488C576 501.3 565.3 512 552 512C538.7 512 528 501.3 528 488V477C528 449.4 517 422.1 497.5 403.5L448 353.9V464H456C469.3 464 480 474.7 480 488C480 501.3 469.3 512 456 512H152C68.05 512 0 443.9 0 360V104C0 46.56 46.56 .0003 104 .0003H128C181 .0003 224 42.98 224 96C224 149 181 192 128 192H120C106.7 192 96 181.3 96 168C96 154.7 106.7 144 120 144H128C154.5 144 176 122.5 176 96C176 69.49 154.5 48 128 48L104 48zM400 272C373.9 272 349.9 263.1 330.9 248.2C259.7 270.7 208 337.3 208 416V464H400V440C400 400.2 367.8 368 328 368H312C298.7 368 288 357.3 288 344C288 330.7 298.7 320 312 320H328C355 320 379.9 328.9 400 343.1V272zM400 48C364.7 48 336 76.65 336 112V160C336 195.3 364.7 224 400 224C435.3 224 464 195.3 464 160V112C464 76.65 435.3 48 400 48z"],
    "monument": [384, 512, [], "f5a6", "M216 288C229.3 288 240 298.7 240 312C240 325.3 229.3 336 216 336H168C154.7 336 144 325.3 144 312C144 298.7 154.7 288 168 288H216zM175 7.029C184.4-2.343 199.6-2.343 208.1 7.029L288.1 87.03C292.7 90.8 295.2 95.73 295.8 101L341.2 464H360C373.3 464 384 474.7 384 488C384 501.3 373.3 512 360 512H24C10.75 512 0 501.3 0 488C0 474.7 10.75 464 24 464H42.81L88.19 101C88.85 95.73 91.26 90.8 95.03 87.03L175 7.029zM192 57.94L134.8 115.1L91.19 464H292.8L249.2 115.1L192 57.94z"],
    "moon": [512, 512, [127769, 9214], "f186", "M421.6 379.9c-.6641 0-1.35 .0625-2.049 .1953c-11.24 2.143-22.37 3.17-33.32 3.17c-94.81 0-174.1-77.14-174.1-175.5c0-63.19 33.79-121.3 88.73-152.6c8.467-4.812 6.339-17.66-3.279-19.44c-11.2-2.078-29.53-3.746-40.9-3.746C132.3 31.1 32 132.2 32 256c0 123.6 100.1 224 223.8 224c69.04 0 132.1-31.45 173.8-82.93C435.3 389.1 429.1 379.9 421.6 379.9zM255.8 432C158.9 432 80 353 80 256c0-76.32 48.77-141.4 116.7-165.8C175.2 125 163.2 165.6 163.2 207.8c0 99.44 65.13 183.9 154.9 212.8C298.5 428.1 277.4 432 255.8 432z"],
    "moon-cloud": [640, 512, [], "f754", "M629.6 379.9c-.6641 0-1.357 .0625-2.057 .1953c-11.24 2.143-22.37 3.17-33.32 3.17c-94.81 0-175.1-77.14-175.1-175.5c0-63.19 33.85-121.3 88.79-152.6c8.467-4.812 6.337-17.66-3.281-19.44c-11.2-2.078-29.56-3.746-40.92-3.746c-111.5 0-203.7 81.74-220.6 188.7c.6777 1.33 1.527 2.557 2.152 3.921C248.8 224.2 252.4 224 256 224c12.02 0 23.41 2.475 34.03 6.525c9.482-65.06 54.47-118.7 114.7-140.3c-21.52 34.79-33.51 75.4-33.51 117.6c0 99.44 65.13 183.9 154.9 212.8C506.5 428.1 485.4 432 463.8 432c-51.13 0-97.09-22.1-129.2-57.11c-9.314 13.29-22.12 23.96-36.8 31.15C338.7 451.4 397.8 480 463.7 480c69.04 0 132.2-31.45 173.9-82.93C643.3 389.1 637.1 379.9 629.6 379.9zM320 320c0-35.25-28.75-64-64-64C244 256 232.9 259.5 223.3 265.3C219.8 224.3 185.9 192 144 192C105.3 192 72.88 219.6 65.63 256.3C65.13 256.3 64.63 256 64 256c-35.25 0-64 28.75-64 64s28.75 64 64 64h192C291.3 384 320 355.3 320 320z"],
    "moon-over-sun": [512, 512, ["eclipse-alt"], "f74a", "M494.1 221.9l-59.86-40.5l13.75-70.1c2.625-13.12-1.625-26.75-11.12-36.37c-9.621-9.498-23.24-13.75-36.24-11.12l-70.86 13.75L289.4 16.78c-15.12-22.37-51.86-22.37-66.98 0L182.1 76.65L111.2 62.9c-13.25-2.5-26.74 1.625-36.24 11.25C65.48 83.78 61.23 97.28 63.86 110.4l13.75 70.1l-59.86 40.5C6.623 229.5 0 242 0 255.5c0 13.5 6.748 25.1 17.75 33.5l59.86 40.5l-13.75 70.1c-2.625 13.25 1.625 26.75 11.12 36.25c9.496 9.5 22.87 13.75 36.24 11.12l70.86-13.62l40.37 59.87C229.9 505.3 242.6 512 255.9 512s25.99-6.75 33.49-17.75l40.37-59.1l70.86 13.75c13.5 2.75 26.87-1.625 36.37-11.12c9.498-9.5 13.62-23.12 11.12-36.25l-13.75-70.1l59.73-40.5C505.3 281.6 512 269 512 255.6C511.9 242 505.3 229.5 494.1 221.9zM381.2 307.5l17.62 91.24l-90.98-17.62L255.9 458l-51.86-76.99L113.2 398.6L130.7 307.4L53.99 255.4l76.73-51.1L113.2 112.3l90.98 17.5l51.74-76.75l51.86 76.87l90.98-17.62l-17.62 91.12l76.86 51.1L381.2 307.5zM326 309.3C279.6 318.1 236.7 282.4 236.7 235.3c0-26.1 14.5-51.1 37.99-65.37c3.623-2.123 2.748-7.623-1.375-8.248c-5.748-1.125-11.62-1.625-17.5-1.625c-52.86 0-95.85 42.87-95.85 95.99c0 52.1 42.87 95.99 95.85 95.99c29.62 0 56.61-13.5 74.48-35.5C333 313.3 330.2 308.4 326 309.3z"],
    "moon-stars": [512, 512, [], "f755", "M310.1 389.5c-31.72 5.969-63.91-2.281-88.59-22.72c-24.78-20.5-39-50.72-39-82.91c0-38.56 20.84-74.47 54.19-93.53c11.91-6.656 18.12-19.59 15.91-33.03C250.4 143.9 240.3 133.7 226.1 131.3C170.6 120.7 113.1 135.8 69.16 172.4C25.22 209 0 262.8 0 320c0 105.9 86.01 192 191.8 192c58.19 0 112.6-26.08 148.9-71.04c8.594-10.38 9.619-24.99 2.681-36.55C336.5 392.9 323.1 386.9 310.1 389.5zM191.8 464C112.5 464 48 399.4 48 320c0-42.91 18.91-83.25 51.88-110.7c22.28-18.53 49.22-29.69 77.41-32.53C150.3 205.4 134.5 243.6 134.5 283.9c0 46.53 20.56 90.25 56.41 119.9c23.81 19.72 52.5 31.59 82.53 34.78C249.8 455 221.4 464 191.8 464zM288 63.1l12.42 29.78c.6094 1.225 2.211 2.219 3.578 2.219s2.967-.9941 3.576-2.219l12.42-29.78l29.79-12.42C351 50.97 352 49.36 352 47.1c0-1.365-.9922-2.967-2.211-3.576l-29.79-12.42l-12.42-29.79c-.6094-1.227-2.209-2.217-3.576-2.217s-2.969 .9902-3.578 2.217l-12.42 29.79L258.2 44.42c-1.217 .6094-2.209 2.211-2.209 3.576c0 1.359 .9922 2.971 2.209 3.58L288 63.1zM507.6 216.9L448 192l-24.88-59.63C421.8 129.8 419 127.1 416 127.1s-5.75 1.75-7.125 4.375L384 192l-59.63 24.88C321.8 218.3 320 221 320 224s1.75 5.75 4.375 7.125L384 256l24.88 59.63C410.3 318.3 413 320 416 320s5.75-1.75 7.125-4.375L448 256l59.63-24.88C510.3 229.8 512 227 512 224S510.3 218.3 507.6 216.9z"],
    "moped": [640, 512, [], "e3b9", "M328 56C328 42.75 338.7 32 352 32H393.3C417.1 32 438.3 47.09 446.1 69.6L454.2 92.88L505.2 67.38C509.7 65.16 514.6 64 519.6 64H528C536.8 64 544 71.16 544 80V144C544 152.8 536.8 160 528 160H519.6C514.6 160 509.7 158.8 505.2 156.6L470.3 139.2L500 224.4C503.1 224.1 507.1 224 512 224C555.7 224 595.3 241.5 624.1 269.8C633.6 279.1 633.7 294.3 624.4 303.8C615.1 313.2 599.9 313.4 590.5 304.1C570.2 284.2 542.6 272 512 272C459.3 272 414.1 308.5 403.1 357.6C401.1 366.1 400 374.9 400 384H256C256 437 213 480 160 480C106.1 480 64 437 64 384H32C14.33 384 0 369.7 0 352V320C0 249.3 57.31 192 128 192H224C241.7 192 256 206.3 256 224V304C256 321.7 270.3 336 288 336H359.3C373.8 289.1 408.5 252.9 452.9 235.3L400.8 85.37C399.7 82.16 396.7 80 393.3 80H352C338.7 80 328 69.26 328 56V56zM208 240H128C83.82 240 48 275.8 48 320V336H214.7C210.4 326.2 208 315.4 208 304V240zM208 384H112C112 410.5 133.5 432 160 432C186.5 432 208 410.5 208 384zM232 112C245.3 112 256 122.7 256 136C256 149.3 245.3 160 232 160H120C106.7 160 96 149.3 96 136C96 122.7 106.7 112 120 112H232zM416 384C416 330.1 458.1 288 512 288C565 288 608 330.1 608 384C608 437 565 480 512 480C458.1 480 416 437 416 384zM512 432C538.5 432 560 410.5 560 384C560 357.5 538.5 336 512 336C485.5 336 464 357.5 464 384C464 410.5 485.5 432 512 432z"],
    "mortar-pestle": [512, 512, [], "f5a7", "M487.1 191.1H24c-13.25 0-24 10.75-24 24s10.75 24 24 24l7.999 .0068c0 79.34 42.03 152.1 109.1 192.2C132.5 449.5 127.1 468.5 127.1 488c0 13.25 10.75 24 24 24h207.1c13.25 0 24-10.75 24-24c0-19.55-4.469-38.45-13.12-55.81c67.09-40.08 109.1-112.8 109.1-192.2l8.007-.0068c13.25 0 24-10.75 24-24S501.2 191.1 487.1 191.1zM326.9 401c-6.844 3-11.88 9.031-13.62 16.3c-1.781 7.266-.0625 14.94 4.656 20.75c6.438 7.969 11.22 16.72 14.25 25.94H179.8c3.031-9.219 7.812-17.97 14.25-25.94c4.719-5.812 6.438-13.48 4.656-20.75c-1.75-7.266-6.781-13.3-13.62-16.3C121.2 372.9 79.1 309.7 79.1 239.1h351.1C431.1 309.7 390.7 372.9 326.9 401zM503.6 42.26c10.09-8.594 11.31-23.73 2.719-33.83s-23.72-11.3-33.84-2.703L291.3 159.1h74.01L503.6 42.26z"],
    "mosque": [640, 512, [128332], "f678", "M400 .0006C407.6 .0006 414.7 3.557 419.2 9.601C437.2 33.59 459.3 51.71 485.7 69.06C501.3 79.39 516.1 88.52 533.9 98.39C546.9 106 560.8 114.1 576 123.6C606.1 142.8 624 176.8 624 211.8C624 237.5 615.1 261 600.2 279.6C623.8 291.4 640 315.8 640 344V440C640 479.8 607.8 512 568 512H72C32.24 512 0 479.8 0 440V140.7C0 96.25 20.52 54.31 55.59 27.02L81.27 7.056C89.93 .3149 102.1 .3149 110.7 7.056L136.4 27.02C163.3 47.94 181.6 77.46 188.7 110.1C164.6 131.7 149.8 161.1 145.4 192H48V440C48 453.3 58.75 464 72 464H164.1C161.4 456.5 160 448.4 160 440V344C160 315.8 176.2 291.4 199.8 279.6C184.9 261 176 237.5 176 211.8C176 176.8 193 142.8 223.1 123.6C239.2 114.1 253.1 106 266.1 98.39C283 88.52 298.7 79.39 314.4 69.06C340.7 51.71 362.8 33.59 380.8 9.6C385.3 3.557 392.4 0 400 0L400 .0006zM232 464H256V408C256 394.7 266.7 384 280 384C293.3 384 304 394.7 304 408V464H352V413.1C352 394.1 360.4 376.1 375 364.8L400 344L424.1 364.8C439.6 376.1 448 394.1 448 413.1V464H496V408C496 394.7 506.7 384 520 384C533.3 384 544 394.7 544 408V464H568C581.3 464 592 453.3 592 440V344C592 330.7 581.3 320 568 320H232C218.7 320 208 330.7 208 344V440C208 453.3 218.7 464 232 464zM48 144H144V140.7C144 111.1 130.3 83.1 106.9 64.91L96 56.41L85.06 64.91C61.68 83.1 48 111.1 48 140.7V144zM550.7 164.4C538.1 156.5 524.8 148.8 511.7 141.1C493.4 130.3 475.2 119.7 459.3 109.2C438.2 95.28 418.1 79.98 400 61.04C381.9 79.98 361.8 95.28 340.7 109.2C324.8 119.7 306.6 130.3 288.3 141.1C275.2 148.8 261.9 156.5 249.3 164.4C233.6 174.1 224 191.1 224 211.8C224 245.1 250.9 272 284.2 272H515.8C549.1 272 576 245.1 576 211.8C576 191.1 566.4 174.1 550.7 164.4z"],
    "mosquito": [640, 512, [], "e52b", "M177.5 506.9C167.2 498.7 165.3 483.4 173.3 472.8L216.3 415.5V359.9C216.3 354 218.4 348.4 222 344L284.3 269.4L154.6 387.8C97.58 447.6 .0003 405.2 0 320.6C0 272.7 34.02 232.4 79.35 226.4L232.3 202.5L191.5 161.6C183.7 153.8 182.1 141.5 187.6 131.8L211.5 90.07L173.3 39.19C165.3 28.55 167.2 13.27 177.5 5.054C187.9-3.162 202.7-1.2 210.7 9.437L258.7 73.35C264.6 81.22 265.3 91.1 260.4 100.6L237.8 140L287.1 190.3V152.1C287.1 137.2 298.2 124.7 311.1 121.1V63.94C311.1 59.52 315.6 55.94 319.1 55.94C324.4 55.94 327.1 59.52 327.1 63.94V121.1C341.8 124.7 351.1 137.2 351.1 152.1V190.3L402.2 140L379.6 100.6C374.7 91.1 375.4 81.22 381.3 73.35L429.3 9.437C437.3-1.199 452.1-3.161 462.5 5.055C472.8 13.27 474.7 28.55 466.7 39.19L428.5 90.07L452.4 131.8C457.9 141.5 456.3 153.8 448.5 161.6L407.7 202.5L560.6 226.4C605.1 232.3 640 272.7 640 320.6C640 405.2 542.4 447.6 485.4 387.8L355.7 269.4L417.1 344C421.6 348.4 423.7 354 423.7 359.9V422.5L465.7 471.6C474.4 481.6 473.5 497 463.7 505.9C453.9 514.8 438.9 513.9 430.3 503.8L382.3 447.9C378.4 443.4 376.3 437.7 376.3 431.8V368.9L351.1 339.7V407.8C351.1 425.5 337.7 439.8 319.1 439.8C302.3 439.8 287.1 425.5 287.1 407.8V339.7L263.7 368.9V423.8C263.7 429.1 261.9 434.4 258.7 438.6L210.7 502.6C202.7 513.2 187.9 515.1 177.5 506.9L177.5 506.9zM119.9 354.6C120.7 353.8 121.5 353.1 122.3 352.3L233.4 250.9L86.77 273.8C86.38 273.9 85.98 273.1 85.59 274C65.84 276.6 48 295.1 48 320.6C48 342.1 60.25 357.9 75.04 364.3C89.56 370.6 106.3 368.9 119.9 354.6V354.6zM406.6 250.9L517.7 352.3C518.5 353.1 519.3 353.8 520.1 354.6C533.7 368.9 550.4 370.6 564.1 364.3C579.8 357.9 592 342.1 592 320.6C592 295.1 574.2 276.6 554.4 274C554 273.9 553.6 273.9 553.2 273.8L406.6 250.9z"],
    "mosquito-net": [640, 512, [], "e52c", "M168.8 462.3C160.9 458.4 157.7 448.7 161.7 440.8L191.1 380.2V335.1C191.1 331.8 193.7 327.7 196.7 324.7L255.1 265.4V242.2L139.2 343.1C87.82 395.3 0 358.9 0 286.3C0 245.2 30.62 210.6 71.41 205.5L231.3 181.6L181.8 140.3C176.7 136.1 174.7 129.2 176.8 122.9L190.7 81.22L161.7 23.15C157.7 15.25 160.9 5.637 168.8 1.685C176.7-2.267 186.4 .9369 190.3 8.841L222.3 72.84C224.2 76.64 224.5 81.03 223.2 85.06L210.6 122.7L255.1 160.5V137.9C255.1 123.1 266.1 110.6 279.8 106.1V63.67C279.8 59.17 283.5 55.51 287.1 55.51C292.5 55.51 296.2 59.17 296.2 63.67V106.1C309.9 110.6 319.1 123.1 319.1 137.9V160.5L365.4 122.7L352.8 85.06C351.5 81.03 351.8 76.64 353.7 72.84L385.7 8.84C389.6 .9366 399.3-2.267 407.2 1.685C415.1 5.636 418.3 15.25 414.3 23.15L385.3 81.22L399.2 122.9C401.3 129.2 399.3 136.1 394.2 140.3L344.7 181.6L504.6 205.5C527 208.3 546.4 220 559.3 236.9C556.5 239.4 554.1 242.3 552 245.5C543.4 232.5 528.7 223.1 512 223.1C495.3 223.1 480.6 232.5 472 245.5C463.4 232.5 448.7 223.1 432 223.1C418.7 223.1 406.7 229.4 398 238.1L386.3 236.3L393.8 242.9C390.4 247.4 387.7 252.5 386.1 258.1C375.4 261.3 366.3 268.2 360.2 277.2L319.1 242.2V265.4L352.4 297.8C352.1 299.8 352 301.9 352 303.1C352 320.7 360.5 335.4 373.5 343.1C369.5 346.6 365.9 349.9 362.9 353.5L319.1 310.6V360.6C319.1 378.3 305.7 392.6 287.1 392.6C270.3 392.6 255.1 378.3 255.1 360.6V310.6L224 342.6V383.1C224 386.5 223.4 388.9 222.3 391.2L190.3 455.2C186.4 463.1 176.7 466.3 168.8 462.3V462.3zM105.2 310C106 309.2 106.8 308.5 107.7 307.8L189.7 236.3L78.5 252.9C78.12 252.1 77.75 253 77.37 253.1C60.58 255.2 48 269.5 48 286.3C48 316.1 84.1 331.1 105.2 310L105.2 310zM512 255.1C520.8 255.1 528 263.2 528 271.1V287.1H576V271.1C576 263.2 583.2 255.1 592 255.1C600.8 255.1 608 263.2 608 271.1V287.1H624C632.8 287.1 640 295.2 640 303.1C640 312.8 632.8 319.1 624 319.1H608V367.1H624C632.8 367.1 640 375.2 640 383.1C640 392.8 632.8 399.1 624 399.1H608V447.1H624C632.8 447.1 640 455.2 640 463.1C640 472.8 632.8 479.1 624 479.1H608V495.1C608 504.8 600.8 511.1 592 511.1C583.2 511.1 576 504.8 576 495.1V479.1H528V495.1C528 504.8 520.8 511.1 512 511.1C503.2 511.1 496 504.8 496 495.1V479.1H448V495.1C448 504.8 440.8 511.1 432 511.1C423.2 511.1 416 504.8 416 495.1V479.1H400C391.2 479.1 384 472.8 384 463.1C384 455.2 391.2 447.1 400 447.1H416V399.1H400C391.2 399.1 384 392.8 384 383.1C384 375.2 391.2 367.1 400 367.1H416V319.1H400C391.2 319.1 384 312.8 384 303.1C384 295.2 391.2 287.1 400 287.1H416V271.1C416 263.2 423.2 255.1 432 255.1C440.8 255.1 448 263.2 448 271.1V287.1H496V271.1C496 263.2 503.2 255.1 512 255.1V255.1zM576 367.1V319.1H528V367.1H576zM576 447.1V399.1H528V447.1H576zM448 319.1V367.1H496V319.1H448zM448 399.1V447.1H496V399.1H448z"],
    "motorcycle": [640, 512, [127949], "f21c", "M288 384V352C288 263.6 216.4 192 128 192H56C42.75 192 32 181.3 32 168C32 154.7 42.75 144 56 144H128C177.6 144 223.1 161.3 258.8 190.3L354.1 110.3L337.7 80H280C266.7 80 256 69.26 256 56C256 42.75 266.7 32 280 32H342.5C357.2 32 370.7 40.05 377.6 52.98L391.6 78.76L438.3 39.5C444.1 34.66 451.4 32 458.9 32H480C497.7 32 512 46.33 512 64V96C512 113.7 497.7 128 480 128H418.2L473.3 229.1C485.5 226.1 498.5 224 512 224C582.7 224 640 281.3 640 352C640 422.7 582.7 480 512 480C441.3 480 384 422.7 384 352C384 311.1 402.4 276.3 431.1 252.8L415.7 224.2C376.1 253.4 352 299.8 352 352V384H288zM320 271.9C335.3 235.3 360.6 204.1 392.6 181.6L377.4 153.4L292.5 224.7C303.6 239 312.9 254.9 320 271.9V271.9zM512 432C556.2 432 592 396.2 592 352C592 307.8 556.2 272 512 272C506.8 272 501.7 272.5 496.8 273.4L533.1 340.6C539.4 352.2 535.1 366.8 523.4 373.1C511.8 379.4 497.2 375.1 490.9 363.4L454.6 296.3C440.6 310.7 432 330.3 432 352C432 396.2 467.8 432 512 432V432zM0 352C0 281.3 57.31 224 128 224C198.7 224 256 281.3 256 352C256 422.7 198.7 480 128 480C57.31 480 0 422.7 0 352zM204.3 328C194.1 295.5 163.8 272 128 272C83.82 272 48 307.8 48 352C48 396.2 83.82 432 128 432C163.8 432 194.1 408.5 204.3 376H149.2C143.5 380.1 136.1 384 128 384C110.3 384 96 369.7 96 352C96 334.3 110.3 320 128 320C136.1 320 143.5 323 149.2 328H204.3z"],
    "mound": [576, 512, [], "e52d", "M431.9 179.2L540.4 368C552.7 389.4 537.3 416 512.7 416H63.31C38.7 416 23.31 389.4 35.57 368L144.1 179.2C173.8 127.7 228.6 96 288 96C347.4 96 402.2 127.7 431.9 179.2H431.9zM485 368L390.2 203.1C369.2 166.6 330.2 144 288 144C245.8 144 206.8 166.6 185.8 203.1L90.97 368H485z"],
    "mountain": [512, 512, [127956], "f6fc", "M503.2 393.8L280.1 44.25C274.9 36.08 265.4 32 256 32C246.6 32 237.1 36.08 231.9 44.25L8.807 393.8c-11.11 17.41-11.75 39.42-1.666 57.45C17.07 468.1 35.92 480 56.31 480h399.4c20.39 0 39.24-11.03 49.18-28.77C514.9 433.2 514.3 411.2 503.2 393.8zM256 95.74L327.7 208H256c-7.547 0-14.67 3.562-19.2 9.594L208 256L178.7 216.9L256 95.74zM462.1 427.8C461.5 430.3 458.7 432 455.7 432H56.31c-2.996 0-5.857-1.654-7.283-4.201c-1.461-2.609-1.373-5.672 .2344-8.189L151.1 260.1l37.72 50.29C193.3 316.4 200.5 320 208 320s14.67-3.562 19.2-9.594L268 256h90.3l104.4 163.6C464.3 422.1 464.4 425.2 462.1 427.8z"],
    "mountain-city": [640, 512, [], "e52e", "M344 47.1C339.6 47.1 336 51.58 336 55.1V219.7L287.1 140.1V56C287.1 25.07 313.1 0 344 0H456C486.9 0 512 25.07 512 56V192H544V120C544 106.7 554.7 96 568 96C581.3 96 592 106.7 592 120V192.6C619.1 196.4 640 219.8 640 248V480C640 493.3 629.3 504 616 504C602.7 504 592 493.3 592 480V248C592 243.6 588.4 240 584 240H464V56C464 51.58 460.4 48 456 48L344 47.1zM384 271.1H416C424.8 271.1 432 279.2 432 287.1V319.1C432 328.8 424.8 336 416 336H406.2L371.3 278.2C374.3 274.4 378.8 271.1 384 271.1zM416 79.1C424.8 79.1 432 87.16 432 95.1V127.1C432 136.8 424.8 143.1 416 143.1H384C375.2 143.1 368 136.8 368 127.1V95.1C368 87.16 375.2 79.1 384 79.1H416zM368 191.1C368 183.2 375.2 175.1 384 175.1H416C424.8 175.1 432 183.2 432 191.1V223.1C432 232.8 424.8 239.1 416 239.1H384C375.2 239.1 368 232.8 368 223.1V191.1zM496 287.1C496 279.2 503.2 271.1 512 271.1H544C552.8 271.1 560 279.2 560 287.1V319.1C560 328.8 552.8 336 544 336H512C503.2 336 496 328.8 496 319.1V287.1zM544 368C552.8 368 560 375.2 560 384V416C560 424.8 552.8 432 544 432H512C503.2 432 496 424.8 496 416V384C496 375.2 503.2 368 512 368H544zM442.9 458.9C449.4 469.7 449.7 483.2 443.6 494.2C437.5 505.2 426 512 413.5 512H34.46C21.1 512 10.5 505.2 4.404 494.2C-1.693 483.2-1.444 469.7 5.056 458.9L194.6 144.7C200.9 134.3 211.1 128 224 128C236 128 247.1 134.3 253.4 144.7L442.9 458.9zM223.1 188.9L154.5 304.1L175.8 334.9L203.8 297.6C208.3 291.6 215.4 287.1 222.1 287.1H283.8L223.1 188.9zM389.1 464L312.8 336H234.1L194.2 390.4C189.6 396.6 182.3 400.1 174.5 399.1C166.8 399.8 159.6 395.1 155.3 389.6L127.3 349.2L58.03 464H389.1z"],
    "mountain-sun": [640, 512, [], "e52f", "M640 80C640 124.2 604.2 160 560 160C515.8 160 480 124.2 480 80C480 35.82 515.8 0 560 0C604.2 0 640 35.82 640 80zM412.7 281.7L460.9 202.7C464.1 196.1 472.2 192 480 192C487.8 192 495 196.1 499.1 202.7L631.1 419.1C636.9 428.6 640 439.7 640 450.9C640 484.6 612.6 512 578.9 512H55.91C25.03 512 0 486.1 0 456.1C0 445.6 2.964 435.3 8.551 426.4L225.3 81.01C231.9 70.42 243.5 64 256 64C268.5 64 280.1 70.42 286.8 81.01L412.7 281.7zM441.2 327.2L503.4 426.4C509 435.3 512 445.6 512 456.1C512 458.8 511.8 461.4 511.4 464H578.9C586.1 464 592 458.1 592 450.9C592 448.5 591.3 446.1 590.1 444.1L480 263.6L441.2 327.2zM464 456.1C464 454.6 463.6 453.1 462.8 451.9L256 122.3L49.21 451.9C48.42 453.1 48 454.6 48 456.1C48 460.5 51.54 464 55.91 464H456.1C460.5 464 464 460.5 464 456.1H464z"],
    "mountains": [640, 512, [9968], "f6fd", "M8.55 394.4L225.2 49.01C231.9 38.42 243.5 32 255.1 32C268.5 32 280.1 38.42 286.7 49.01L412.7 249.7L460.9 170.7C464.1 164.1 472.2 160 480 160C487.8 160 495 164.1 499.1 170.7L631.1 387.1C636.9 396.6 640 407.7 640 418.9C640 452.6 612.6 480 578.9 480H55.91C25.03 480 0 454.1 0 424.1C0 413.6 2.964 403.3 8.551 394.4L8.55 394.4zM462.8 419.9L255.1 90.31L49.21 419.9C48.42 421.1 47.1 422.6 47.1 424.1C47.1 428.5 51.54 432 55.91 432H456.1C460.5 432 464 428.5 464 424.1C464 422.6 463.6 421.1 462.8 419.9H462.8z"],
    "mouse-field": [512, 512, [], "e5a8", "M416 196C416 207 407 216 396 216C384.1 216 376 207 376 196C376 184.1 384.1 176 396 176C407 176 416 184.1 416 196zM344 416H72C58.75 416 48 426.7 48 440C48 453.3 58.75 464 72 464H456C469.3 464 480 474.7 480 488C480 501.3 469.3 512 456 512H72C32.24 512 0 479.8 0 440C0 400.2 32.24 368 72 368H344C357.3 368 368 378.7 368 392C368 405.3 357.3 416 344 416zM408 48C397.8 48 388.6 51.76 381.5 57.99L349.8 22.01C365.3 8.327 385.7 0 408 0C456.6 0 496 39.4 496 88C496 114.3 484.4 137.9 466.2 153.1L434.5 118C442.8 110.6 448 99.94 448 87.1C448 65.91 430.1 47.1 408 47.1V48zM344.2 368H392C405.3 368 416 378.7 416 392C416 405.3 405.3 416 392 416H171.4C125.4 416 88 378.6 88 332.6C88 252 143.2 184.4 217.7 165.4C206.4 148.5 200 128.4 200 107.2V104C200 46.56 246.6 .0003 304 .0003C359.6 .0003 405 43.64 407.9 98.54C467.6 109.8 512 162.2 512 224.3V232C512 262.9 486.9 288 456 288H376.2L344.2 368zM304 48C273.1 48 248 73.07 248 104V107.2C248 129.7 261.4 149.9 281.9 158.7L289.5 161.9C299.9 166.4 305.8 177.7 303.5 188.8C301.2 199.1 291.4 208 280 208H260.6C191.8 208 136 263.8 136 332.6C136 352.1 151.9 368 171.4 368H292.6L337.7 255.1C341.4 245.1 350.2 240 360 240H456C460.4 240 464 236.4 464 232V224.3C464 182.5 431.8 147.7 390.1 144.5L382.2 143.9C369.7 142.1 360 132.5 360 120V104C360 73.07 334.9 48 304 48H304z"],
    "mp3-player": [384, 512, [], "f8ce", "M192 240c-53 0-96 43-96 96s43 96 96 96s96-43 96-96S245 240 192 240zM192 368c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S209.6 368 192 368zM320 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h256c35.35 0 64-28.65 64-64V64C384 28.65 355.3 0 320 0zM336 448c0 8.836-7.164 16-16 16H64c-8.836 0-16-7.164-16-16V64c0-8.838 7.164-16 16-16h256c8.836 0 16 7.162 16 16V448zM272 80h-160c-17.67 0-32 14.33-32 32V160c0 17.67 14.33 32 32 32h160c17.67 0 32-14.33 32-32V112C304 94.33 289.7 80 272 80z"],
    "mug": [576, 512, [], "f874", "M448 64H48C39.2 64 32 71.2 32 80V352c0 53.02 42.98 96 96 96h192c53.02 0 96-42.98 96-96v-32h26.38c66.83 0 126.6-48.78 133-115.3C582.8 128.4 522.8 64 448 64zM368 352c0 26.4-21.6 48-48 48H128c-26.4 0-48-21.6-48-48V112h288V352zM448 272h-32v-160h32c44.13 0 80 35.88 80 80S492.1 272 448 272z"],
    "mug-hot": [512, 512, [9749], "f7b6", "M400 192H32C14.25 192 0 206.3 0 224v192c0 53 43 96 96 96h192c53 0 96-43 96-96h16c61.75 0 112-50.25 112-112S461.8 192 400 192zM336 416c0 26.5-21.5 48-48 48H96c-26.5 0-48-21.5-48-48V240h288V416zM400 368H384v-128h16c35.25 0 64 28.75 64 64S435.3 368 400 368zM107.9 100.7C120.3 107.1 128 121.4 128 136c0 13.25 10.75 23.89 24 23.89S176 148.1 176 135.7c0-31.34-16.83-60.64-43.91-76.45C119.7 52.03 112 38.63 112 24.28c0-13.25-10.75-24.14-24-24.14S64 11.03 64 24.28C64 55.63 80.83 84.92 107.9 100.7zM219.9 100.7C232.3 107.1 240 121.4 240 136c0 13.25 10.75 23.86 24 23.86S288 148.1 288 135.7c0-31.34-16.83-60.64-43.91-76.45C231.7 52.03 224 38.63 224 24.28c0-13.25-10.75-24.18-24-24.18S176 11.03 176 24.28C176 55.63 192.8 84.92 219.9 100.7z"],
    "mug-marshmallows": [512, 512, [], "f7b7", "M400 160.1H32c-17.75 0-32 14.25-32 32v191.9C0 437 43 480 96 480h192c53 0 96-42.95 96-95.95l16 .0125c61.75 0 112-50.19 112-111.9S461.8 160.1 400 160.1zM336 384c0 26.5-21.5 48-48 48H96c-26.5 0-48-21.5-48-48V208h55.37L104 256.3C104.2 269.5 115 280 128.2 280c.0938 0-.1094 0 0 0C141.4 279.8 152.2 268.9 152 255.7L151.4 208H336V384zM400 336H384v-128h16c35.25 0 64 28.75 64 64S435.3 336 400 336zM200.8 89.32L249.2 41c12.5-12.5 32.75-12.5 45.25 0l48.5 48.38C353.5 99.88 354.6 115.8 347.5 128h-151C189.2 115.8 190.4 99.82 200.8 89.32zM162.1 128.3L32 128.2V64.38c0-17.62 14.25-32 32-32h112.3c10.12 0 18.75 5.125 24.62 12.38L178.5 67.25C161.9 83.75 156.6 107.3 162.1 128.3z"],
    "mug-saucer": [640, 512, ["coffee"], "f0f4", "M512 32H112C103.2 32 96 39.2 96 48L96.01 288c0 53.02 42.98 96 96 96h192C437 384 480 341 480 288h26.38c66.83 0 126.6-48.78 133-115.3C646.8 96.38 586.8 32 512 32zM432 288c0 26.4-21.6 48-48 48H192c-26.4 0-48-21.6-48-48V80h288V288zM512 240h-32v-160h32c44.13 0 80 35.88 80 80S556.1 240 512 240zM552 432H24C10.75 432 0 442.7 0 456C0 469.3 10.75 480 24 480h528c13.25 0 24-10.75 24-24C576 442.7 565.3 432 552 432z"],
    "mug-tea": [576, 512, [], "f875", "M416 320h26.38c66.83 0 126.6-48.78 133-115.3C582.8 128.4 522.8 64 447.1 64H48C39.2 64 32 71.2 32 80L31.1 352c0 53.02 42.98 96 96 96h192c53.02 0 96-42.98 96-96L416 320zM416 112h32c44.13 0 80 35.88 80 80S492.1 272 448 272h-32V112zM368 352c0 26.4-21.6 48-48 48H128c-26.4 0-48-21.6-48-48V112h72v40L121.4 182.6C115.4 188.6 112 196.8 112 205.3V256c0 17.67 14.33 32 32 32h47.1c17.67 0 32-14.33 32-32L224 205.3c0-8.486-3.371-16.62-9.373-22.63L184 152V112h184V352z"],
    "mug-tea-saucer": [640, 512, [], "e1f5", "M511.1 32H112C103.2 32 96 39.2 96 48L95.1 288c0 53.02 42.98 96 96 96h192c53.02 0 96-42.98 96-96h26.38c66.83 0 126.6-48.78 133-115.3C646.8 96.38 586.8 32 511.1 32zM432 288c0 26.4-21.6 48-48 48H192c-26.4 0-48-21.6-48-48V80h72v40L185.4 150.6C179.4 156.6 176 164.8 176 173.3V224c0 17.67 14.33 32 32 32h47.1c17.67 0 32-14.33 32-32L288 173.3c0-8.486-3.371-16.62-9.373-22.63L248 120V80h184V288zM512 240h-32v-160h32c44.13 0 80 35.88 80 80S556.1 240 512 240zM576 456c0 13.25-10.75 24-24 24H24C10.75 480 0 469.3 0 456c0-13.26 10.75-24 24-24h528C565.3 432 576 442.7 576 456z"],
    "mushroom": [512, 512, [127812], "e425", "M144.4 176c-17.62 0-31.89 14.33-31.89 32c0 17.67 14.28 32 31.89 32s31.89-14.33 31.89-32C176.3 190.3 161.1 176 144.4 176zM488.5 242.1l-6.206-28.02C458.7 107.7 364.6 32 256 32S53.32 107.7 29.75 214.1L23.55 242.1C14.69 282.1 45.01 320 85.81 320h106.4l-24.27 121.7C164 461.5 179.1 480 199.2 480h113.6c20.13 0 35.22-18.47 31.28-38.28L319.8 320h106.4C466.1 320 497.3 282.1 488.5 242.1zM438.6 266C436.8 268.2 432.8 272 426.2 272H85.81c-6.66 0-10.65-3.752-12.44-5.988C71.59 263.8 68.8 259 70.25 252.5l6.206-28.02c10.03-45.26 35.9-82.87 70.73-108.5C156.1 150.4 186.1 176 224.1 176c44.04 0 79.74-35.82 79.74-80c0-3.168-.3796-6.232-.7417-9.299c36.39 9.564 68.55 29.55 92.5 57.7C371 146.4 351.7 166.8 351.7 192c0 26.51 21.42 48 47.84 48c14.29 0 26.98-6.418 35.74-16.39c.0701 .3086 .2102 .582 .2784 .8906l6.206 28.03C443.2 259 440.4 263.8 438.6 266z"],
    "music": [512, 512, [127925], "f001", "M480 0c-3.25 0-6.5 .4896-9.625 1.49l-304 96.01C153.1 101.8 144 114 144 128v235.1c-15-7.375-31.38-11.12-48-11.12C42.1 352 0 387.8 0 432S42.1 512 95.1 512c49.38 0 89.5-31.12 94.88-71.13c.75-2.75 1.123-5.95 1.123-8.825L192 256l272-85.88v129c-15-7.375-31.38-11.12-48.01-11.12c-53 0-95.1 35.75-95.1 79.1s42.1 79.1 95.1 79.1c49.38 0 89.51-31.25 95.01-71.13c.625-2.75 .875-5.5 1-8.25V31.99C512 14.36 497.8 0 480 0zM96 464c-28.25 0-48-16.88-48-32s19.75-32 48-32s48 16.88 48 32S124.2 464 96 464zM464 368c0 15.12-19.75 32-48 32s-48-16.88-48-32s19.75-32 48-32S464 352.9 464 368zM464 119.8L192 205.6V139.8l272-85.88V119.8z"],
    "music-note": [384, 512, ["music-alt"], "f8cf", "M342.4 1.464l-144 35.38C185.1 41.09 176 53.34 176 67.34v299.1c-18.12-9.126-40.13-14.5-64-14.5c-61.88 0-112 35.88-112 80S50.13 512 112 512s112-35.87 112-80V195.4l137.6-33.38C375 157.7 384 145.5 384 131.5V31.98c0-10.25-4.938-19.81-13.19-25.81C362.6 .0373 352.1-1.536 342.4 1.464zM112 463.1c-39.75 0-64-20.75-64-31.1c0-11.25 24.25-32.01 64-32.01s64 20.75 64 32C176 443.2 151.8 463.1 112 463.1zM336 119.7L224 144.1V79.09l112-25.25V119.7z"],
    "music-note-slash": [640, 512, ["music-alt-slash"], "f8d0", "M630.8 469.1L352 250.6V195.4l137.6-33.38C503 157.7 512 145.5 512 131.5V31.98c0-10.25-4.938-19.81-13.19-25.81c-8.25-6.125-18.69-7.699-28.44-4.699l-144 35.38C313.1 41.09 304 53.34 304 67.34v145.6L38.81 5.111C28.34-3.061 13.32-1.248 5.12 9.189c-8.172 10.44-6.354 25.53 4.068 33.7L601.2 506.9C605.6 510.3 610.8 512 615.1 512c7.125 0 14.16-3.161 18.89-9.193C643.1 492.4 641.2 477.3 630.8 469.1zM352 79.09l112-25.25V119.7L352 144.1V79.09zM304 366.5c-18.12-9.125-40.13-14.5-64-14.5c-61.88 0-112 35.88-112 80C128 476.1 178.1 512 240 512s111.1-35.88 111.1-80L352 372.6l-48-37.62V366.5zM240 463.1c-39.75 0-63.1-20.75-63.1-31.1c0-11.25 24.25-32.01 63.1-32.01s64 20.75 64 32C304 443.2 279.8 463.1 240 463.1z"],
    "music-slash": [640, 512, [], "f8d1", "M630.8 469.1l-72.14-56.54c8.521-10.45 14.51-22.48 16.33-35.69c.625-2.75 .875-5.5 1-8.25L575.1 31.99C575.1 14.36 561.7 0 543.1 0c-3.25 0-6.5 .4896-9.625 1.49L230.4 97.5C217.1 101.8 208 114 208 128v9.715L38.81 5.109C28.34-3.063 13.32-1.25 5.121 9.187c-8.172 10.44-6.354 25.53 4.068 33.7L601.2 506.9C605.6 510.3 610.8 512 615.1 512c7.125 0 14.16-3.161 18.9-9.193C643.1 492.4 641.2 477.3 630.8 469.1zM521.4 383.3l-57.65-45.19C468.8 336.9 474.1 336 480 336c28.25 0 48 16.88 48 32C528 373.2 525.5 378.5 521.4 383.3zM528 299.1c-15-7.375-31.38-11.13-48.01-11.13c-22.19 0-42.25 6.539-58.42 17.11l-92.21-72.27L528 170.1V299.1zM528 119.8L283.5 196.9L256 175.3V139.8l272-85.88V119.8zM208 363.1c-15-7.375-31.38-11.13-48.01-11.13c-53 0-95.1 35.75-95.1 79.1s42.1 79.1 95.1 79.1c49.38 0 89.51-31.12 94.88-71.12c.75-2.75 1.118-5.952 1.118-8.827L256 296.9L208 259.3V363.1zM160 464c-28.25 0-48-16.88-48-32s19.75-32 48-32s48 16.88 48 32S188.3 464 160 464z"],
    "n": [384, 512, [110], "4e", "M360 480c-6.938 0-13.72-3.031-18.38-8.562L48 121.9V456C48 469.3 37.25 480 24 480S0 469.3 0 456V56c0-10.09 6.312-19.09 15.78-22.55c9.438-3.469 20.06-.625 26.59 7.109L336 390.1V56C336 42.75 346.8 32 360 32S384 42.75 384 56v400c0 10.09-6.312 19.09-15.78 22.55C365.5 479.5 362.8 480 360 480z"],
    "naira-sign": [448, 512, [], "e1f6", "M253 255.1H336V55.1C336 42.74 346.7 31.1 360 31.1C373.3 31.1 384 42.74 384 55.1V255.1H424C437.3 255.1 448 266.7 448 279.1C448 293.3 437.3 303.1 424 303.1H384V456C384 466.5 377.1 475.8 367.1 478.9C356.1 482 346.1 478.2 340.2 469.5L227.6 303.1H112V456C112 469.3 101.3 480 88 480C74.75 480 64 469.3 64 456V303.1H24C10.75 303.1 0 293.3 0 279.1C0 266.7 10.75 255.1 24 255.1H64V55.1C64 45.46 70.87 36.16 80.94 33.06C91.01 29.96 101.9 33.79 107.8 42.5L253 255.1zM285.7 303.1L336 378V303.1H285.7zM194.1 255.1L112 133.1V255.1H194.1z"],
    "narwhal": [640, 512, [], "f6fe", "M590.7 214l48.75-192.3c2.787-10.1-5.502-21.69-16.85-21.72c-5.99 0-11.62 3.074-14.81 8.148l-99.31 157.7C494.2 162.2 479.4 159.1 464 159.1c-72.28 0-142.2 25.84-197.1 72.85l-112.5 96.35c-3.125 2.674-6.762 3.874-10.32 3.874C135.8 333.1 128 326.6 128 317V282.1L177.8 251.6C186.6 245.7 192 235.7 192 224.1V127.1C192 118.6 184.3 112 175.1 112c-2.969 0-6.012 .8438-8.807 2.705L95.98 162.1L24.88 114.7C22.08 112.9 19.03 112 16.05 112C7.729 112 0 118.6 0 128.1v96.93C.002 235.7 5.375 245.7 14.25 251.6L64 282.1v69.88C64 440.4 135.6 512 224 512h240c97.2 0 176-78.8 176-176C640 288.6 621.2 245.7 590.7 214zM102.9 241.2L95.1 245.4L48 216V187.8L95.98 219.8L144 187.8v28.2L102.9 241.2zM464 464H224c-54.37 0-99.81-38.94-109.9-90.39c8.955 4.758 19.17 7.457 29.1 7.457c15.17 0 29.92-5.475 41.54-15.42l112.5-96.34C344.3 229.8 403.2 208 464 208c70.69 0 128 57.31 128 128C592 406.7 534.7 464 464 464zM504 271.1c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24s24-10.75 24-24C528 282.7 517.3 271.1 504 271.1z"],
    "nesting-dolls": [640, 512, [], "e3ba", "M231.9 464H78.03c-59.89-80.78-12.19-173.1-11.66-174.1C69.37 284.2 72.22 278.2 74.91 272H311.9c13.25 0 24.01-10.75 24.01-24S325.1 224 311.9 224H303.9V112c0-61.86-50.16-112-112-112S79.82 50.14 79.82 112V224H58.56c-10.13 0-19.16 6.344-22.6 15.88C32.39 249.8 28.33 259.1 23.92 267.4c-23.41 44.19-48.45 150.3 24.23 236.1C52.71 508.9 59.4 512 66.47 512h165.4c13.25 0 24.01-10.75 24.01-24S245.1 464 231.9 464zM191.9 61.56C205.6 82.29 229.1 96 255.9 96c0 35.35-28.66 64-64.02 64S127.8 131.3 127.8 96C154.6 96 178.1 82.29 191.9 61.56zM634.9 473.3C611.5 443.1 598.5 405.7 598.5 368v-13.34C598.5 282.6 538.2 224 463.9 224s-134.6 58.63-134.6 130.7V368c0 37.66-12.94 75.06-36.42 105.3c-5.627 7.219-6.658 17.03-2.626 25.28C294.4 506.8 302.7 512 311.9 512h304.1c9.159 0 17.54-5.219 21.57-13.44C641.6 490.3 640.6 480.5 634.9 473.3zM463.9 272c41.33 0 75.87 27.85 84.43 64.89C546.9 336.5 545.5 336 543.1 336c-26.85 0-51.8-13.41-66.68-35.91c-5.939-8.938-20.76-8.938-26.7 0C435.7 322.6 410.8 336 383.9 336c-1.561 0-2.974 .4707-4.4 .8867C388.1 299.9 422.6 272 463.9 272zM526.3 366.6C519.6 394.9 494.2 416 463.9 416c-30.29 0-55.71-21.12-62.33-49.41c23.73-3.781 45.55-15.09 62.33-32.28C480.7 351.5 502.5 362.8 526.3 366.6zM354.1 464c11.29-23.13 18.39-48.09 21.08-73.55C390.9 424.3 424.7 448 463.9 448c39.26 0 72.99-23.73 87.87-57.55c2.688 25.46 9.783 50.42 21.08 73.55H354.1z"],
    "network-wired": [640, 512, [], "f6ff", "M400 0C426.5 0 448 21.49 448 48V144C448 170.5 426.5 192 400 192H344V232H616C629.3 232 640 242.7 640 256C640 269.3 629.3 280 616 280H504V320H560C586.5 320 608 341.5 608 368V464C608 490.5 586.5 512 560 512H400C373.5 512 352 490.5 352 464V368C352 341.5 373.5 320 400 320H456V280H184V320H240C266.5 320 288 341.5 288 368V464C288 490.5 266.5 512 240 512H80C53.49 512 32 490.5 32 464V368C32 341.5 53.49 320 80 320H136V280H24C10.75 280 0 269.3 0 256C0 242.7 10.75 232 24 232H296V192H240C213.5 192 192 170.5 192 144V48C192 21.49 213.5 0 240 0H400zM400 48H240V144H400V48zM80 464H240V368H80V464zM560 368H400V464H560V368z"],
    "neuter": [384, 512, [9906], "f22c", "M368 176c0-97.2-78.8-176-176-176c-97.2 0-176 78.8-176 176c0 89.04 66.18 162.4 152 174.2V488C168 501.3 178.8 512 192 512s24-10.75 24-24v-137.8C301.8 338.4 368 265 368 176zM192 304c-70.58 0-128-57.42-128-128s57.42-128 128-128s128 57.42 128 128S262.6 304 192 304z"],
    "newspaper": [512, 512, [128240], "f1ea", "M456 32h-304C121.1 32 96 57.13 96 88v320c0 13.22-10.77 24-24 24S48 421.2 48 408V112c0-13.25-10.75-24-24-24S0 98.75 0 112v296C0 447.7 32.3 480 72 480h352c48.53 0 88-39.47 88-88v-304C512 57.13 486.9 32 456 32zM464 392c0 22.06-17.94 40-40 40H139.9C142.5 424.5 144 416.4 144 408v-320c0-4.406 3.594-8 8-8h304c4.406 0 8 3.594 8 8V392zM264 272h-64C186.8 272 176 282.8 176 296S186.8 320 200 320h64C277.3 320 288 309.3 288 296S277.3 272 264 272zM408 272h-64C330.8 272 320 282.8 320 296S330.8 320 344 320h64c13.25 0 24-10.75 24-24S421.3 272 408 272zM264 352h-64c-13.25 0-24 10.75-24 24s10.75 24 24 24h64c13.25 0 24-10.75 24-24S277.3 352 264 352zM408 352h-64C330.8 352 320 362.8 320 376s10.75 24 24 24h64c13.25 0 24-10.75 24-24S421.3 352 408 352zM400 112h-192c-17.67 0-32 14.33-32 32v64c0 17.67 14.33 32 32 32h192c17.67 0 32-14.33 32-32v-64C432 126.3 417.7 112 400 112z"],
    "nfc": [448, 512, [], "e1f7", "M330.7 112H224c-13.25 0-24 10.75-24 24v78.66C185.7 222.1 176 238.3 176 256c0 26.51 21.49 48 48 48s48-21.49 48-48c0-17.72-9.713-33.03-24-41.34V160H320v192H128V160h8C149.3 160 160 149.3 160 136S149.3 112 136 112H117.3C96.75 112 80 128.8 80 149.3v213.3C80 383.3 96.75 400 117.3 400h213.3C351.3 400 368 383.3 368 362.7V149.3C368 128.8 351.3 112 330.7 112zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM400 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V416z"],
    "nfc-lock": [576, 512, [], "e1f8", "M528 320V256c0-44.11-35.89-80-80-80S368 211.9 368 256v64c-26.51 0-48 21.49-48 48v96c0 26.51 21.49 48 48 48h160c26.51 0 48-21.49 48-48v-96C576 341.5 554.5 320 528 320zM448 448c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32s32 14.33 32 32C480 433.7 465.7 448 448 448zM480 320h-64V256c0-17.64 14.36-32 32-32s32 14.36 32 32V320zM288 432H64c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16v59.23C414.6 148.2 430.8 144 448 144V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h225.6C288.6 474.8 288 469.5 288 464V432zM128 160h8C149.3 160 160 149.3 160 136S149.3 112 136 112H117.3C96.75 112 80 128.8 80 149.3v213.3C80 383.3 96.75 400 117.3 400H288v-32c0-5.502 .7461-10.81 1.809-16H128V160zM336 294.7V256c0-30.4 12.27-57.94 32-78.14V149.3C368 128.8 351.3 112 330.7 112H224c-13.25 0-24 10.75-24 24v78.66C185.7 222.1 176 238.3 176 256c0 26.51 21.49 48 48 48S272 282.5 272 256c0-17.72-9.713-33.03-24-41.34V160H320v144.3C324.1 300.5 330.2 297.2 336 294.7z"],
    "nfc-magnifying-glass": [640, 512, [], "e1f9", "M368 182.2V149.3C368 128.8 351.3 112 330.7 112H224c-13.25 0-24 10.75-24 24v78.66C185.7 222.1 176 238.3 176 256c0 26.51 21.49 48 48 48S272 282.5 272 256c0-17.72-9.713-33.03-24-41.34V160H320v64.88C332.9 207.5 349.2 193.1 368 182.2zM136 160C149.3 160 160 149.3 160 136S149.3 112 136 112H117.3C96.75 112 80 128.8 80 149.3v213.3C80 383.3 96.75 400 117.3 400h192.9C301.6 385.2 294.7 369.3 291.2 352H128V160H136zM64 432c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16v72.14C415.2 163.3 431.2 160 448 160V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c8.82 0 16.87-2.238 24.49-5.505C379.7 467.2 354.1 452.5 333.9 432H64zM632.1 471l-79.12-79.12C567.8 371.4 576 346.7 576 320c0-70.69-57.31-128-128-128c-70.69 0-128 57.31-128 128c0 70.69 57.31 128 128 128c26.67 0 51.41-8.191 71.91-22.15l79.12 79.12C603.7 509.7 609.9 512 616 512s12.28-2.344 16.97-7.031C642.3 495.6 642.3 480.4 632.1 471zM448 400c-44.11 0-80-35.89-80-80s35.89-80 80-80c44.11 0 80 35.89 80 80S492.1 400 448 400z"],
    "nfc-pen": [576, 512, [], "e1fa", "M307.4 420.6c-2.5 2.521-4.209 5.729-4.918 9.208l-14.29 71.42c-1.25 6.291 4.335 11.83 10.59 10.58l71.45-14.29c3.459-.6875 6.675-2.396 9.175-4.917l125.3-125.3l-72-72L307.4 420.6zM565.5 255.7l-21.09-21.1c-14.08-14.06-36.87-14.06-50.92 0l-38.12 38.15l72 72l38.12-38.13C579.5 292.5 579.5 269.7 565.5 255.7zM48 416V96c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16v186.8L448 234.8V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h195.8l9.605-48H64C55.18 432 48 424.8 48 416zM368 149.3C368 128.8 351.3 112 330.7 112H224c-13.25 0-24 10.75-24 24v78.66C185.7 222.1 176 238.3 176 256c0 26.51 21.49 48 48 48S272 282.5 272 256c0-17.72-9.713-33.03-24-41.34V160H320v192H128V160h8C149.3 160 160 149.3 160 136S149.3 112 136 112H117.3C96.75 112 80 128.8 80 149.3v213.3C80 383.3 96.75 400 117.3 400h165.9c.5664-.6309 .8945-1.414 1.496-2.02L368 314.8V149.3z"],
    "nfc-signal": [512, 512, [], "e1fb", "M488 304C501.3 304 512 293.3 512 280S501.3 256 488 256C360.1 256 256 360.1 256 488c0 13.25 10.75 24 24 24s24-10.75 24-24C304 386.5 386.5 304 488 304zM457.4 457.4c-12.5 12.5-12.5 32.76 0 45.25c12.5 12.5 32.76 12.5 45.25 0c12.5-12.5 12.5-32.76 0-45.25C490.1 444.9 469.9 444.9 457.4 457.4zM488 352C413 352 352 413 352 488c0 13.25 10.75 24 24 24s24-10.75 24-24c0-48.53 39.47-88 88-88c13.25 0 24-10.75 24-24S501.3 352 488 352zM48 416V96c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16v143.4c15.41-5.471 31.44-9.506 48-12.04V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h160.4c.4961-16.41 2.336-32.47 5.707-48H64C55.18 432 48 424.8 48 416zM128 352V160h8C149.3 160 160 149.3 160 136S149.3 112 136 112H117.3C96.75 112 80 128.8 80 149.3v213.3C80 383.3 96.75 400 117.3 400h122.1c5.99-16.86 13.62-32.9 22.75-48H128zM368 253.1V149.3C368 128.8 351.3 112 330.7 112H224c-13.25 0-24 10.75-24 24v78.66C185.7 222.1 176 238.3 176 256c0 26.51 21.49 48 48 48s48-21.49 48-48c0-17.72-9.713-33.03-24-41.34V160H320v124.5C334.7 272.3 350.9 261.9 368 253.1z"],
    "nfc-slash": [640, 512, [], "e1fc", "M630.8 469.1L544 401.1V96c0-35.35-28.65-64-64-64H160C138.4 32 119.4 42.78 107.8 59.18L38.81 5.113c-10.47-8.172-25.5-6.359-33.7 4.078C-3.062 19.63-1.234 34.72 9.188 42.89l592 463.1C605.6 510.3 610.8 512 615.1 512c7.125 0 14.17-3.156 18.91-9.188C643.1 492.4 641.2 477.3 630.8 469.1zM416 300.7l-48.98-38.39C367.3 260.2 368 258.2 368 256c0-17.72-9.713-33.03-24-41.34V160H416V300.7zM496 363.4l-32-25.08V149.3C464 128.8 447.3 112 426.7 112H320c-13.25 0-24 10.75-24 24v70.69L235.5 159.3C247 157.5 256 148 256 136C256 122.8 245.3 112 232 112H213.3c-9.775 0-18.53 3.973-25.2 10.15L145.8 88.97C148.4 83.71 153.7 80 160 80h320c8.822 0 16 7.178 16 16V363.4zM160 432c-8.822 0-16-7.178-16-16V209.6L96 171.9V416c0 35.35 28.65 64 64 64h320c2.746 0 5.361-.4727 8.018-.8086L427.8 432H160zM176 234.6v128C176 383.3 192.8 400 213.3 400h173.7L325.7 352H224V272.3L176 234.6z"],
    "nfc-symbol": [576, 512, [], "e531", "M199.7 297.6C189.1 288.6 189.4 273.4 198.4 263.7C207.4 253.1 222.6 253.4 232.3 262.4L408.4 425.8C461.3 388.6 495.1 325.6 495.1 256C495.1 180.1 454.7 112.1 393.7 76.78C382.2 70.14 378.3 55.46 384.9 43.99C391.6 32.51 406.2 28.59 417.7 35.23C493.4 78.98 543.1 162.7 543.1 256C543.1 349.3 493.4 433 417.7 476.8C408.6 482.1 397.1 480.8 389.4 473.6L199.7 297.6zM376.3 214.4C386 223.4 386.6 238.6 377.6 248.3C368.6 258 353.4 258.6 343.7 249.6L167.6 86.22C114.7 123.4 80 186.4 80 256C80 331.9 121.3 399.9 182.3 435.2C193.8 441.9 197.7 456.6 191.1 468C184.4 479.5 169.7 483.4 158.3 476.8C82.63 433 32 349.3 32 256C32 162.7 82.63 78.99 158.3 35.24C167.4 29.96 178.9 31.25 186.6 38.42L376.3 214.4z"],
    "nfc-trash": [640, 512, [], "e1fd", "M412.9 481.1C413.1 498.1 428.8 512 445.8 512h132.5c17.02 0 31.81-13.9 32.88-30.89L623.2 288h-222.4L412.9 481.1zM624 224h-38.67l-10.61-23.89C572.2 195.1 567.2 192 561.6 192h-99.2c-5.557 0-10.63 3.139-13.12 8.105L438.7 224H400C391.2 224 384 231.2 384 240C384 248.8 391.2 256 400 256h224C632.8 256 640 248.8 640 240C640 231.2 632.8 224 624 224zM64 432c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16v96h17.89l2.771-6.219C426.4 174.4 436.3 166.2 448 162.5V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h316.8l-3-48H64zM368 149.3C368 128.8 351.3 112 330.7 112H224c-13.25 0-24 10.75-24 24v78.66C185.7 222.1 176 238.3 176 256c0 26.51 21.49 48 48 48S272 282.5 272 256c0-17.72-9.713-33.03-24-41.34V160H320v192H128V160h8C149.3 160 160 149.3 160 136S149.3 112 136 112H117.3C96.75 112 80 128.8 80 149.3v213.3C80 383.3 96.75 400 117.3 400h213.3C351.3 400 368 383.3 368 362.7V275.8C358.2 267 352 254.2 352 240c0-14.13 6.25-26.72 16-35.52V149.3z"],
    "not-equal": [448, 512, [], "f53e", "M432 336C432 349.3 421.3 360 408 360H184.8l-60.73 93.13C119.5 460.2 111.8 464 103.1 464c-4.5 0-9.031-1.25-13.09-3.906C79.78 452.9 76.66 438 83.91 426.9L127.5 360H40c-13.25 0-24-10.74-24-23.99S26.75 312 40 312h118.8l73.04-112H40c-13.25 0-24-10.74-24-23.99S26.75 152 40 152h223.2l60.73-93.13c7.219-11.06 22.09-14.25 33.22-6.969c11.09 7.219 14.22 22.09 6.969 33.22L320.5 152H408c13.25 0 24 10.76 24 24.01S421.3 200 408 200h-118.8l-73.04 112H408C421.3 312 432 322.8 432 336z"],
    "notdef": [384, 512, [], "e1fe", "M336 0h-288C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48v-416C384 21.49 362.5 0 336 0zM336 90.16V421.8L221.2 256L336 90.16zM192 213.8L77.19 48h229.6L192 213.8zM162.8 256L48 421.8V90.16L162.8 256zM192 298.2L306.8 464H77.19L192 298.2z"],
    "note": [448, 512, [], "e1ff", "M384 32H64.01C28.66 32 .0065 60.65 .0065 96L0 416c0 35.34 28.65 64 64 64h245.4c16.97 0 33.25-6.742 45.25-18.75l74.63-74.64C441.3 374.6 448 358.3 448 341.4V96C448 60.8 419.2 32 384 32zM400 320h-79.1c-17.67 0-32 14.33-32 32l.0039 79.88H64c-8.836 0-16-7.164-16-16L48.02 96c0-8.836 7.162-16 16-16h319.1c8.836 0 16 7.164 16 16V320z"],
    "note-medical": [448, 512, [], "e200", "M384 32H64.01C28.66 32 .0065 60.65 .0065 96L0 416c0 35.34 28.65 64 64 64h245.4c16.97 0 33.25-6.742 45.25-18.75l74.63-74.64C441.3 374.6 448 358.3 448 341.4V96C448 60.8 419.2 32 384 32zM400 320h-79.1c-17.67 0-32 14.33-32 32l.0039 79.88H64c-8.836 0-16-7.164-16-16L48.02 96c0-8.836 7.162-16 16-16h319.1c8.836 0 16 7.164 16 16V320zM304 192H256V144C256 135.2 248.8 128 240 128h-32C199.2 128 192 135.2 192 144V192H144C135.2 192 128 199.2 128 207.1V240c0 8.797 7.199 15.1 16 15.1L192 255.1V303.1C192 312.8 199.2 320 208 320h32c8.801 0 16-7.201 16-16V255.1l48-.0013c8.801 0 16-7.201 16-15.1V207.1C320 199.2 312.8 192 304 192z"],
    "note-sticky": [448, 512, [62026, "sticky-note"], "f249", "M384 32H64.01C28.66 32 .0085 60.65 .0065 96L0 415.1C-.002 451.3 28.65 480 64 480h232.1c25.46 0 49.88-10.12 67.89-28.12l55.88-55.89C437.9 377.1 448 353.6 448 328.1V96C448 60.8 419.2 32 384 32zM52.69 427.3C50.94 425.6 48 421.8 48 416l.0195-319.1C48.02 87.18 55.2 80 64.02 80H384c8.674 0 16 7.328 16 16v192h-88C281.1 288 256 313.1 256 344v88H64C58.23 432 54.44 429.1 52.69 427.3zM330.1 417.9C322.9 425.1 313.8 429.6 304 431.2V344c0-4.406 3.594-8 8-8h87.23c-1.617 9.812-6.115 18.88-13.29 26.05L330.1 417.9z"],
    "notebook": [512, 512, [], "e201", "M416 0H128C92.65 0 64 28.65 64 64v32H24C10.75 96 0 106.8 0 120S10.75 144 24 144H64v88H24C10.75 232 0 242.8 0 256s10.75 24 24 24H64v88H24C10.75 368 0 378.8 0 392S10.75 416 24 416H64v32c0 35.35 28.65 64 64 64h288c35.35 0 64-28.65 64-64V64C480 28.65 451.3 0 416 0zM112 448v-32h24C149.3 416 160 405.3 160 392S149.3 368 136 368H112V280h24C149.3 280 160 269.3 160 256S149.3 232 136 232H112V144h24C149.3 144 160 133.3 160 120S149.3 96 136 96H112V64c0-8.838 7.164-16 16-16h64v416H128C119.2 464 112 456.8 112 448zM432 448c0 8.836-7.164 16-16 16H240v-416H416c8.836 0 16 7.162 16 16V448z"],
    "notes": [512, 512, [], "e202", "M416 96H160c-35.34 0-63.1 28.65-64 63.1L96 415.1C95.1 451.3 124.7 480 160 480h226.8c8.486 0 16.62-3.371 22.63-9.375l61.25-61.25c6.002-6.004 9.373-14.14 9.373-22.63L480 160C480 124.8 451.2 96 416 96zM432 352h-48.01c-17.67 0-32 14.33-32 32l.0137 47.88H160c-8.836 0-16-7.164-16-16L144 160c0-8.836 7.162-16 16-16h256c8.836 0 16 7.164 16 16V352zM0 360v-240C0 53.83 53.83 0 120 0h240C373.3 0 384 10.75 384 24S373.3 48 360 48h-240C80.3 48 48 80.3 48 120v240C48 373.3 37.25 384 24 384S0 373.3 0 360z"],
    "notes-medical": [512, 512, [], "f481", "M354.7 261.3h-40v-40C314.7 214 308.7 208 301.3 208h-26.67c-7.334 0-13.33 6-13.33 13.33v40h-40C213.1 261.3 208 267.3 208 274.7v26.67c0 7.332 5.1 13.33 13.33 13.33h40v40c0 7.332 5.998 13.34 13.33 13.34h26.67c7.334 0 13.33-6.004 13.33-13.34v-40h40c7.333 0 13.33-6 13.33-13.33V274.7C368 267.3 361.1 261.3 354.7 261.3zM416 96H160c-35.34 0-63.1 28.65-64 63.1L96 415.1C95.1 451.3 124.7 480 160 480h226.8c8.486 0 16.62-3.371 22.63-9.375l61.25-61.25c6.002-6.004 9.373-14.14 9.373-22.63L480 160C480 124.8 451.2 96 416 96zM432 380.1L380.1 432H160c-5.766 0-9.564-2.938-11.31-4.688S144 421.8 144 416l.0195-256c0-8.824 7.178-16 16-16h256c8.674 0 16 7.328 16 16V380.1zM0 360v-240C0 53.83 53.83 0 120 0h240C373.3 0 384 10.75 384 24S373.3 48 360 48h-240C80.3 48 48 80.3 48 120v240C48 373.3 37.25 384 24 384S0 373.3 0 360z"],
    "o": [448, 512, [111], "4f", "M224 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S347.5 480 224 480zM224 80C126.1 80 48 158.1 48 256s78.97 176 176 176s176-78.95 176-176S321 80 224 80z"],
    "object-exclude": [512, 512, [], "e49c", "M48 64V288C48 296.8 55.16 304 64 304H128V352H64C28.65 352 0 323.3 0 288V64C0 28.65 28.65 0 64 0H288C323.3 0 352 28.65 352 64V128H304V64C304 55.16 296.8 48 288 48H64C55.16 48 48 55.16 48 64zM208 384V448C208 456.8 215.2 464 224 464H448C456.8 464 464 456.8 464 448V224C464 215.2 456.8 208 448 208H384V160H448C483.3 160 512 188.7 512 224V448C512 483.3 483.3 512 448 512H224C188.7 512 160 483.3 160 448V384H208zM256 352V304H288C296.8 304 304 296.8 304 288H352C352 323.3 323.3 352 288 352H256zM352 256H304V208H288V160H352V256zM160 352V256H208V304H224V352H160zM224 160H256V208H224C215.2 208 208 215.2 208 224H160C160 188.7 188.7 160 224 160z"],
    "object-group": [576, 512, [], "f247", "M128 160C128 142.3 142.3 128 160 128H288C305.7 128 320 142.3 320 160V256C320 273.7 305.7 288 288 288H160C142.3 288 128 273.7 128 256V160zM288 320C323.3 320 352 291.3 352 256V224H416C433.7 224 448 238.3 448 256V352C448 369.7 433.7 384 416 384H288C270.3 384 256 369.7 256 352V320H288zM48 115.8C38.18 106.1 32 94.22 32 80C32 53.49 53.49 32 80 32C94.22 32 106.1 38.18 115.8 48H460.2C469 38.18 481.8 32 496 32C522.5 32 544 53.49 544 80C544 94.22 537.8 106.1 528 115.8V396.2C537.8 405 544 417.8 544 432C544 458.5 522.5 480 496 480C481.8 480 469 473.8 460.2 464H115.8C106.1 473.8 94.22 480 80 480C53.49 480 32 458.5 32 432C32 417.8 38.18 405 48 396.2V115.8zM96 125.3V386.7C109.6 391.6 120.4 402.4 125.3 416H450.7C455.6 402.4 466.4 391.6 480 386.7V125.3C466.4 120.4 455.6 109.6 450.7 96H125.3C120.4 109.6 109.6 120.4 96 125.3z"],
    "object-intersect": [512, 512, [], "e49d", "M96 48H64C55.16 48 48 55.16 48 64V96H0V64C0 28.65 28.65 0 64 0H96V48zM128 0H224V48H128V0zM0 128H48V224H0V128zM352 160V288C352 323.3 323.3 352 288 352H160V224C160 188.7 188.7 160 224 160H352zM224 208C215.2 208 208 215.2 208 224V304H288C296.8 304 304 296.8 304 288V208H224zM208 416V448C208 456.8 215.2 464 224 464H256V512H224C188.7 512 160 483.3 160 448V416H208zM352 64V96H304V64C304 55.16 296.8 48 288 48H256V0H288C323.3 0 352 28.65 352 64zM416 160H448C483.3 160 512 188.7 512 224V256H464V224C464 215.2 456.8 208 448 208H416V160zM96 304V352H64C28.65 352 0 323.3 0 288V256H48V288C48 296.8 55.16 304 64 304H96zM384 464V512H288V464H384zM448 512H416V464H448C456.8 464 464 456.8 464 448V416H512V448C512 483.3 483.3 512 448 512zM512 384H464V288H512V384z"],
    "object-subtract": [512, 512, [], "e49e", "M48 64V96H0V64C0 28.65 28.65 0 64 0H96V48H64C55.16 48 48 55.16 48 64zM224 48H128V0H224V48zM48 224H0V128H48V224zM48 256V288C48 296.8 55.16 304 64 304H96V352H64C28.65 352 0 323.3 0 288V256H48zM128 352V304H224V352H128zM208 384V448C208 456.8 215.2 464 224 464H448C456.8 464 464 456.8 464 448V224C464 215.2 456.8 208 448 208H384V160H448C483.3 160 512 188.7 512 224V448C512 483.3 483.3 512 448 512H224C188.7 512 160 483.3 160 448V384H208zM352 224H304V128H352V224zM352 64V96H304V64C304 55.16 296.8 48 288 48H256V0H288C323.3 0 352 28.65 352 64zM256 304H288C296.8 304 304 296.8 304 288V256H352V288C352 323.3 323.3 352 288 352H256V304z"],
    "object-ungroup": [640, 512, [], "f248", "M64 0C90.86 0 113.9 16.55 123.3 40H324.7C334.1 16.55 357.1 0 384 0C419.3 0 448 28.65 448 64C448 90.86 431.5 113.9 408 123.3V228.7C431.5 238.1 448 261.1 448 288C448 323.3 419.3 352 384 352C357.1 352 334.1 335.5 324.7 312H123.3C113.9 335.5 90.86 352 64 352C28.65 352 0 323.3 0 288C0 261.1 16.55 238.1 40 228.7V123.3C16.55 113.9 0 90.86 0 64C0 28.65 28.65 0 64 0V0zM64 80C72.84 80 80 72.84 80 64C80 56.1 74.28 49.54 66.75 48.24C65.86 48.08 64.94 48 64 48C55.16 48 48 55.16 48 64C48 64.07 48 64.14 48 64.21C48.01 65.07 48.09 65.92 48.24 66.75C49.54 74.28 56.1 80 64 80zM384 48C383.1 48 382.1 48.08 381.2 48.24C373.7 49.54 368 56.1 368 64C368 72.84 375.2 80 384 80C391.9 80 398.5 74.28 399.8 66.75C399.9 65.86 400 64.94 400 64C400 55.16 392.8 48 384 48V48zM324.7 88H123.3C116.9 104 104 116.9 88 123.3V228.7C104 235.1 116.9 247.1 123.3 264H324.7C331.1 247.1 343.1 235.1 360 228.7V123.3C343.1 116.9 331.1 104 324.7 88zM400 288C400 287.1 399.9 286.1 399.8 285.2C398.5 277.7 391.9 272 384 272C375.2 272 368 279.2 368 288C368 295.9 373.7 302.5 381.2 303.8C382.1 303.9 383.1 304 384 304C392.8 304 400 296.8 400 288zM64 272C56.1 272 49.54 277.7 48.24 285.2C48.08 286.1 48 287.1 48 288C48 296.8 55.16 304 64 304L64.22 303.1C65.08 303.1 65.93 303.9 66.75 303.8C74.28 302.5 80 295.9 80 288C80 279.2 72.84 272 64 272zM471.3 248C465.8 235.9 457.8 225.2 448 216.4V200H516.7C526.1 176.5 549.1 160 576 160C611.3 160 640 188.7 640 224C640 250.9 623.5 273.9 600 283.3V388.7C623.5 398.1 640 421.1 640 448C640 483.3 611.3 512 576 512C549.1 512 526.1 495.5 516.7 472H315.3C305.9 495.5 282.9 512 256 512C220.7 512 192 483.3 192 448C192 421.1 208.5 398.1 232 388.7V352H280V388.7C296 395.1 308.9 407.1 315.3 424H516.7C523.1 407.1 535.1 395.1 552 388.7V283.3C535.1 276.9 523.1 264 516.7 248H471.3zM592 224C592 215.2 584.8 208 576 208C575.1 208 574.1 208.1 573.2 208.2C565.7 209.5 560 216.1 560 224C560 232.8 567.2 240 576 240C583.9 240 590.5 234.3 591.8 226.8C591.9 225.9 592 224.9 592 224zM240 448C240 456.8 247.2 464 256 464C256.9 464 257.9 463.9 258.8 463.8C266.3 462.5 272 455.9 272 448C272 439.2 264.8 432 256 432C248.1 432 241.5 437.7 240.2 445.2C240.1 446.1 240 447.1 240 448zM573.2 463.8C574.1 463.9 575.1 464 576 464C584.8 464 592 456.8 592 448C592 447.1 591.9 446.2 591.8 445.3L591.8 445.2C590.5 437.7 583.9 432 576 432C567.2 432 560 439.2 560 448C560 455.9 565.7 462.5 573.2 463.8V463.8z"],
    "object-union": [512, 512, [], "e49f", "M64 352C28.65 352 0 323.3 0 288V64C0 28.65 28.65 0 64 0H288C323.3 0 352 28.65 352 64V160H448C483.3 160 512 188.7 512 224V448C512 483.3 483.3 512 448 512H224C188.7 512 160 483.3 160 448V352H64zM208 304V448C208 456.8 215.2 464 224 464H448C456.8 464 464 456.8 464 448V224C464 215.2 456.8 208 448 208H304V64C304 55.16 296.8 48 288 48H64C55.16 48 48 55.16 48 64V288C48 296.8 55.16 304 64 304H208z"],
    "objects-align-bottom": [512, 512, [], "e3bb", "M24 512C10.75 512 0 501.3 0 488C0 474.7 10.75 464 24 464H488C501.3 464 512 474.7 512 488C512 501.3 501.3 512 488 512H24zM112 384C85.49 384 64 362.5 64 336V48C64 21.49 85.49 0 112 0H176C202.5 0 224 21.49 224 48V336C224 362.5 202.5 384 176 384H112zM176 48H112V336H176V48zM336 384C309.5 384 288 362.5 288 336V176C288 149.5 309.5 128 336 128H400C426.5 128 448 149.5 448 176V336C448 362.5 426.5 384 400 384H336zM400 176H336V336H400V176z"],
    "objects-align-center-horizontal": [448, 512, [], "e3bc", "M448 176C448 202.5 426.5 224 400 224H248V288H336C362.5 288 384 309.5 384 336V400C384 426.5 362.5 448 336 448H248V488C248 501.3 237.3 512 224 512C210.7 512 200 501.3 200 488V448H112C85.49 448 64 426.5 64 400V336C64 309.5 85.49 288 112 288H200V224H48C21.49 224 0 202.5 0 176V112C0 85.49 21.49 64 48 64H200V24C200 10.75 210.7 0 224 0C237.3 0 248 10.75 248 24V64H400C426.5 64 448 85.49 448 112V176zM400 176V112H48V176H400zM336 400V336H112V400H336z"],
    "objects-align-center-vertical": [512, 512, [], "e3bd", "M64 80C64 53.49 85.49 32 112 32H176C202.5 32 224 53.49 224 80V232H288V144C288 117.5 309.5 96 336 96H400C426.5 96 448 117.5 448 144V232H488C501.3 232 512 242.7 512 256C512 269.3 501.3 280 488 280H448V368C448 394.5 426.5 416 400 416H336C309.5 416 288 394.5 288 368V280H224V432C224 458.5 202.5 480 176 480H112C85.49 480 64 458.5 64 432V280H24C10.75 280 0 269.3 0 256C0 242.7 10.75 232 24 232H64V80zM112 432H176V80H112V432zM336 368H400V144H336V368z"],
    "objects-align-left": [512, 512, [], "e3be", "M0 24C0 10.75 10.75 0 24 0C37.25 0 48 10.75 48 24V488C48 501.3 37.25 512 24 512C10.75 512 0 501.3 0 488V24zM128 112C128 85.49 149.5 64 176 64H464C490.5 64 512 85.49 512 112V176C512 202.5 490.5 224 464 224H176C149.5 224 128 202.5 128 176V112zM464 176V112H176V176H464zM128 336C128 309.5 149.5 288 176 288H336C362.5 288 384 309.5 384 336V400C384 426.5 362.5 448 336 448H176C149.5 448 128 426.5 128 400V336zM336 400V336H176V400H336z"],
    "objects-align-right": [512, 512, [], "e3bf", "M512 488C512 501.3 501.3 512 488 512C474.7 512 464 501.3 464 488V24C464 10.75 474.7 0 488 0C501.3 0 512 10.75 512 24V488zM384 176C384 202.5 362.5 224 336 224H48C21.49 224 0 202.5 0 176V112C0 85.49 21.49 64 48 64H336C362.5 64 384 85.49 384 112V176zM336 176V112H48V176H336zM384 400C384 426.5 362.5 448 336 448H176C149.5 448 128 426.5 128 400V336C128 309.5 149.5 288 176 288H336C362.5 288 384 309.5 384 336V400zM336 400V336H176V400H336z"],
    "objects-align-top": [512, 512, [], "e3c0", "M488 0C501.3 0 512 10.75 512 24C512 37.25 501.3 48 488 48H24C10.75 48 0 37.25 0 24C0 10.75 10.75 0 24 0H488zM176 128C202.5 128 224 149.5 224 176V464C224 490.5 202.5 512 176 512H112C85.49 512 64 490.5 64 464V176C64 149.5 85.49 128 112 128H176zM176 176H112V464H176V176zM400 128C426.5 128 448 149.5 448 176V336C448 362.5 426.5 384 400 384H336C309.5 384 288 362.5 288 336V176C288 149.5 309.5 128 336 128H400zM400 176H336V336H400V176z"],
    "objects-column": [448, 512, [], "e3c1", "M0 80C0 53.49 21.49 32 48 32H144C170.5 32 192 53.49 192 80V240C192 266.5 170.5 288 144 288H48C21.49 288 0 266.5 0 240V80zM48 240H144V80H48V240zM256 272C256 245.5 277.5 224 304 224H400C426.5 224 448 245.5 448 272V432C448 458.5 426.5 480 400 480H304C277.5 480 256 458.5 256 432V272zM304 432H400V272H304V432zM144 320C170.5 320 192 341.5 192 368V432C192 458.5 170.5 480 144 480H48C21.49 480 0 458.5 0 432V368C0 341.5 21.49 320 48 320H144zM144 368H48V432H144V368zM256 80C256 53.49 277.5 32 304 32H400C426.5 32 448 53.49 448 80V144C448 170.5 426.5 192 400 192H304C277.5 192 256 170.5 256 144V80zM304 144H400V80H304V144z"],
    "octagon": [512, 512, [128721], "f306", "M.0669 191.5C.0669 172.4 7.652 154.1 21.16 140.6L140.6 21.15C154.1 7.652 172.4 .0664 191.5 .0664H320.5C339.6 .0664 357.9 7.652 371.4 21.15L490.8 140.6C504.3 154.1 511.9 172.4 511.9 191.5V320.5C511.9 339.6 504.3 357.9 490.8 371.4L371.4 490.8C357.9 504.3 339.6 511.9 320.5 511.9H191.5C172.4 511.9 154.1 504.3 140.6 490.8L21.15 371.4C7.652 357.9 .0666 339.6 .0666 320.5L.0669 191.5zM55.1 174.5C50.6 179 48.07 185.2 48.07 191.5V320.5C48.07 326.8 50.6 332.1 55.1 337.5L174.5 456.9C179 461.4 185.2 463.9 191.5 463.9H320.5C326.8 463.9 332.1 461.4 337.5 456.9L456.9 337.5C461.4 332.1 463.9 326.8 463.9 320.5V191.5C463.9 185.2 461.4 179 456.9 174.5L337.5 55.1C332.1 50.6 326.8 48.07 320.5 48.07H191.5C185.2 48.07 179 50.6 174.5 55.1L55.1 174.5zM21.15 371.4L55.1 337.5z"],
    "octagon-check": [512, 512, [], "e426", "M191.5 48.07C185.2 48.07 179 50.6 174.5 55.1L55.1 174.5C50.6 179 48.07 185.2 48.07 191.5V320.5C48.07 326.8 50.6 332.1 55.1 337.5L21.15 371.4C7.652 357.9 .0666 339.6 .0666 320.5V191.5C.0666 172.4 7.652 154.1 21.15 140.6L140.6 21.15C154.1 7.652 172.4 .0664 191.5 .0664H320.5C339.6 .0664 357.9 7.652 371.4 21.15L490.8 140.6C504.3 154.1 511.9 172.4 511.9 191.5V320.5C511.9 339.6 504.3 357.9 490.8 371.4L371.4 490.8C357.9 504.3 339.6 511.9 320.5 511.9H191.5C172.4 511.9 154.1 504.3 140.6 490.8L21.15 371.4L55.1 337.5L174.5 456.9C179 461.4 185.2 463.9 191.5 463.9H320.5C326.8 463.9 332.1 461.4 337.5 456.9L456.9 337.5C461.4 332.1 463.9 326.8 463.9 320.5V191.5C463.9 185.2 461.4 179 456.9 174.5L337.5 55.1C332.1 50.6 326.8 48.07 320.5 48.07H191.5zM240.1 336.1C231.6 346.3 216.4 346.3 207 336.1L143 272.1C133.7 263.6 133.7 248.4 143 239C152.4 229.7 167.6 229.7 176.1 239L224 286.1L335 175C344.4 165.7 359.6 165.7 368.1 175C378.3 184.4 378.3 199.6 368.1 208.1L240.1 336.1z"],
    "octagon-divide": [512, 512, [], "e203", "M224 159.1C224 142.3 238.3 127.1 256 127.1C273.7 127.1 288 142.3 288 159.1C288 177.7 273.7 191.1 256 191.1C238.3 191.1 224 177.7 224 159.1zM344 231.1C357.3 231.1 368 242.7 368 255.1C368 269.3 357.3 279.1 344 279.1H168C154.7 279.1 144 269.3 144 255.1C144 242.7 154.7 231.1 168 231.1H344zM288 351.1C288 369.7 273.7 383.1 256 383.1C238.3 383.1 224 369.7 224 351.1C224 334.3 238.3 319.1 256 319.1C273.7 319.1 288 334.3 288 351.1zM.0669 191.5C.0669 172.4 7.652 154.1 21.16 140.6L140.6 21.15C154.1 7.648 172.4 .0625 191.5 .0625H320.5C339.6 .0625 357.9 7.648 371.4 21.15L490.8 140.6C504.3 154.1 511.9 172.4 511.9 191.5V320.5C511.9 339.6 504.3 357.9 490.8 371.4L371.4 490.8C357.9 504.3 339.6 511.9 320.5 511.9H191.5C172.4 511.9 154.1 504.3 140.6 490.8L21.15 371.4C7.652 357.9 .0666 339.6 .0666 320.5L.0669 191.5zM55.1 174.5C50.6 179 48.07 185.2 48.07 191.5V320.5C48.07 326.8 50.6 332.9 55.1 337.4L174.5 456.9C179 461.4 185.2 463.9 191.5 463.9H320.5C326.8 463.9 332.1 461.4 337.5 456.9L456.9 337.4C461.4 332.9 463.9 326.8 463.9 320.5V191.5C463.9 185.2 461.4 179 456.9 174.5L337.5 55.09C332.1 50.59 326.8 48.06 320.5 48.06H191.5C185.2 48.06 179 50.59 174.5 55.09L55.1 174.5zM21.15 371.4L55.1 337.4z"],
    "octagon-exclamation": [512, 512, [], "e204", "M256 127.1C269.3 127.1 280 138.7 280 151.1V263.1C280 277.3 269.3 287.1 256 287.1C242.7 287.1 232 277.3 232 263.1V151.1C232 138.7 242.7 127.1 256 127.1V127.1zM288 351.1C288 369.7 273.7 383.1 256 383.1C238.3 383.1 224 369.7 224 351.1C224 334.3 238.3 319.1 256 319.1C273.7 319.1 288 334.3 288 351.1zM.0669 191.5C.0669 172.4 7.652 154.1 21.16 140.6L140.6 21.15C154.1 7.648 172.4 .0625 191.5 .0625H320.5C339.6 .0625 357.9 7.648 371.4 21.15L490.8 140.6C504.3 154.1 511.9 172.4 511.9 191.5V320.5C511.9 339.6 504.3 357.9 490.8 371.4L371.4 490.8C357.9 504.3 339.6 511.9 320.5 511.9H191.5C172.4 511.9 154.1 504.3 140.6 490.8L21.15 371.4C7.652 357.9 .0666 339.6 .0666 320.5L.0669 191.5zM55.1 174.5C50.6 179 48.07 185.2 48.07 191.5V320.5C48.07 326.8 50.6 332.9 55.1 337.4L174.5 456.9C179 461.4 185.2 463.9 191.5 463.9H320.5C326.8 463.9 332.1 461.4 337.5 456.9L456.9 337.4C461.4 332.9 463.9 326.8 463.9 320.5V191.5C463.9 185.2 461.4 179 456.9 174.5L337.5 55.09C332.1 50.59 326.8 48.06 320.5 48.06H191.5C185.2 48.06 179 50.59 174.5 55.09L55.1 174.5zM21.15 371.4L55.1 337.4z"],
    "octagon-minus": [512, 512, ["minus-octagon"], "f308", "M344 231.1C357.3 231.1 368 242.7 368 255.1C368 269.3 357.3 279.1 344 279.1H168C154.7 279.1 144 269.3 144 255.1C144 242.7 154.7 231.1 168 231.1H344zM.0669 191.5C.0669 172.4 7.652 154.1 21.16 140.6L140.6 21.15C154.1 7.648 172.4 .0625 191.5 .0625H320.5C339.6 .0625 357.9 7.648 371.4 21.15L490.8 140.6C504.3 154.1 511.9 172.4 511.9 191.5V320.5C511.9 339.6 504.3 357.9 490.8 371.4L371.4 490.8C357.9 504.3 339.6 511.9 320.5 511.9H191.5C172.4 511.9 154.1 504.3 140.6 490.8L21.15 371.4C7.652 357.9 .0666 339.6 .0666 320.5L.0669 191.5zM55.1 174.5C50.6 179 48.07 185.2 48.07 191.5V320.5C48.07 326.8 50.6 332.9 55.1 337.4L174.5 456.9C179 461.4 185.2 463.9 191.5 463.9H320.5C326.8 463.9 332.1 461.4 337.5 456.9L456.9 337.4C461.4 332.9 463.9 326.8 463.9 320.5V191.5C463.9 185.2 461.4 179 456.9 174.5L337.5 55.09C332.1 50.59 326.8 48.06 320.5 48.06H191.5C185.2 48.06 179 50.59 174.5 55.09L55.1 174.5zM21.15 371.4L55.1 337.4z"],
    "octagon-plus": [512, 512, ["plus-octagon"], "f301", "M232 343.1V279.1H168C154.7 279.1 144 269.3 144 255.1C144 242.7 154.7 231.1 168 231.1H232V167.1C232 154.7 242.7 143.1 256 143.1C269.3 143.1 280 154.7 280 167.1V231.1H344C357.3 231.1 368 242.7 368 255.1C368 269.3 357.3 279.1 344 279.1H280V343.1C280 357.3 269.3 367.1 256 367.1C242.7 367.1 232 357.3 232 343.1zM.0669 191.5C.0669 172.4 7.652 154.1 21.16 140.6L140.6 21.15C154.1 7.648 172.4 .0625 191.5 .0625H320.5C339.6 .0625 357.9 7.648 371.4 21.15L490.8 140.6C504.3 154.1 511.9 172.4 511.9 191.5V320.5C511.9 339.6 504.3 357.9 490.8 371.4L371.4 490.8C357.9 504.3 339.6 511.9 320.5 511.9H191.5C172.4 511.9 154.1 504.3 140.6 490.8L21.15 371.4C7.652 357.9 .0666 339.6 .0666 320.5L.0669 191.5zM55.1 174.5C50.6 179 48.07 185.2 48.07 191.5V320.5C48.07 326.8 50.6 332.9 55.1 337.4L174.5 456.9C179 461.4 185.2 463.9 191.5 463.9H320.5C326.8 463.9 332.1 461.4 337.5 456.9L456.9 337.4C461.4 332.9 463.9 326.8 463.9 320.5V191.5C463.9 185.2 461.4 179 456.9 174.5L337.5 55.09C332.1 50.59 326.8 48.06 320.5 48.06H191.5C185.2 48.06 179 50.59 174.5 55.09L55.1 174.5zM21.15 371.4L55.1 337.4z"],
    "octagon-xmark": [512, 512, ["times-octagon", "xmark-octagon"], "f2f0", "M175 175C184.4 165.7 199.6 165.7 208.1 175L255.1 222.1L303 175C312.4 165.7 327.6 165.7 336.1 175C346.3 184.4 346.3 199.6 336.1 208.1L289.9 255.1L336.1 303C346.3 312.4 346.3 327.6 336.1 336.1C327.6 346.3 312.4 346.3 303 336.1L255.1 289.9L208.1 336.1C199.6 346.3 184.4 346.3 175 336.1C165.7 327.6 165.7 312.4 175 303L222.1 255.1L175 208.1C165.7 199.6 165.7 184.4 175 175V175zM.0669 191.5C.0669 172.4 7.652 154.1 21.16 140.6L140.6 21.15C154.1 7.648 172.4 .0625 191.5 .0625H320.5C339.6 .0625 357.9 7.648 371.4 21.15L490.8 140.6C504.3 154.1 511.9 172.4 511.9 191.5V320.5C511.9 339.6 504.3 357.9 490.8 371.4L371.4 490.8C357.9 504.3 339.6 511.9 320.5 511.9H191.5C172.4 511.9 154.1 504.3 140.6 490.8L21.15 371.4C7.652 357.9 .0666 339.6 .0666 320.5L.0669 191.5zM55.1 174.5C50.6 179 48.07 185.2 48.07 191.5V320.5C48.07 326.8 50.6 332.9 55.1 337.4L174.5 456.9C179 461.4 185.2 463.9 191.5 463.9H320.5C326.8 463.9 332.1 461.4 337.5 456.9L456.9 337.4C461.4 332.9 463.9 326.8 463.9 320.5V191.5C463.9 185.2 461.4 179 456.9 174.5L337.5 55.09C332.1 50.59 326.8 48.06 320.5 48.06H191.5C185.2 48.06 179 50.59 174.5 55.09L55.1 174.5zM21.15 371.4L55.1 337.4z"],
    "oil-can": [640, 512, [], "f613", "M280 112V160H368.9C378.8 160 388.6 162.3 397.5 166.8L448 192L615 156.2C633.1 152.3 645.7 173.8 633.5 187.7L451.1 394.3C438.1 408.1 421.5 416 403.1 416H144C117.5 416 96 394.5 96 368V346.7L28.51 316.7C11.17 308.1 0 291.8 0 272.8V208C0 181.5 21.49 160 48 160H232V112H184C170.7 112 160 101.3 160 88C160 74.75 170.7 64 184 64H328C341.3 64 352 74.75 352 88C352 101.3 341.3 112 328 112L280 112zM374.6 212.6C372.8 211.7 370.9 211.2 368.9 211.2H147.2V364.8H403.1C406.8 364.8 410.3 363.2 412.7 360.5L530.8 226.6L441.2 245.8L374.6 212.6zM96 294.1V208H48V272.8L96 294.1z"],
    "oil-can-drip": [640, 512, [], "e205", "M352 88C352 101.3 341.3 112 328 112H280V160H368.9C378.8 160 388.6 162.3 397.5 166.8L448 192L615 156.2C633.1 152.3 645.7 173.8 633.5 187.7L451.1 394.3C438.1 408.1 421.5 416 403.1 416H144C117.5 416 96 394.5 96 368V346.7L28.51 316.7C11.17 308.1 0 291.8 0 272.8V208C0 181.5 21.49 160 48 160H232V112H184C170.7 112 160 101.3 160 88C160 74.75 170.7 64 184 64H328C341.3 64 352 74.75 352 88V88zM441.2 245.8L374.6 212.6C372.8 211.7 370.9 211.2 368.9 211.2H147.2V364.8H403.1C406.8 364.8 410.3 363.2 412.7 360.5L530.8 226.6L441.2 245.8zM96 208H48V272.8L96 294.1V208zM544 400C544 379 564.6 337.4 578.9 311.2C584.6 300.6 599.4 300.6 605.1 311.2C619.4 337.4 640 379 640 400C640 432 618.5 448 592 448C565.5 448 544 426.5 544 400z"],
    "oil-temperature": [576, 512, ["oil-temp"], "f614", "M264 24C264 10.75 274.7 0 288 0H360C373.3 0 384 10.75 384 24C384 37.25 373.3 48 360 48H312V96H360C373.3 96 384 106.7 384 120C384 133.3 373.3 144 360 144H312V227.7C344.5 237.9 368 268.2 368 304C368 348.2 332.2 384 288 384C243.8 384 208 348.2 208 304C208 268.2 231.5 237.9 264 227.7V24zM288 336C305.7 336 320 321.7 320 304C320 286.3 305.7 272 288 272C270.3 272 256 286.3 256 304C256 321.7 270.3 336 288 336zM111.9 286.1C129.8 301.5 153.1 314.6 176.1 318.7C179.3 336.8 186 353.6 196 367.9C194.7 367.1 193.3 368 191.1 368C157.4 368 124.1 353.7 95.98 334.2C81.61 344.2 57.99 358.2 29.31 364.6C16.37 367.5 3.535 359.4 .6339 346.5C-2.267 333.5 5.865 320.7 18.8 317.8C41 312.8 62.76 300.1 79.1 286.1C89.09 277.1 102.8 277.1 111.9 286.1zM383.1 368C382.6 368 381.3 367.1 379.1 367.9C389.1 353.6 396.7 336.8 399 318.7C422.9 314.6 446.2 301.5 464 286.1C473.1 277.1 486.8 277.1 495.9 286.1C512.9 301.1 535.2 312.9 557.2 317.8C570.1 320.7 578.3 333.5 575.4 346.5C572.5 359.4 559.6 367.5 546.7 364.6C518 358.2 494.4 344.2 479.1 334.2C451.9 353.7 418.6 368 383.1 368V368zM191.1 464C220.8 464 250.5 448.7 272 430.1C281.1 421.1 294.9 421.1 303.1 430.1C325.5 448.7 355.1 464 383.1 464C412.8 464 442.5 448.7 464 430.1C473.1 421.1 486.8 421.1 495.9 430.1C512.9 445.1 535.2 456.9 557.2 461.8C570.1 464.7 578.3 477.5 575.4 490.5C572.5 503.4 559.6 511.5 546.7 508.6C518 502.2 494.4 488.2 479.1 478.2C451.9 497.7 418.6 512 383.1 512C349.4 512 316.1 497.7 287.1 478.2C259.9 497.7 226.6 512 191.1 512C157.4 512 124.1 497.7 95.98 478.2C81.61 488.2 57.99 502.2 29.31 508.6C16.37 511.5 3.536 503.4 .6342 490.5C-2.267 477.5 5.866 464.7 18.8 461.8C41.01 456.8 62.76 444.1 79.1 430.1C89.09 421.1 102.8 421.1 111.9 430.1C133.5 448.7 163.1 464 191.1 464H191.1z"],
    "oil-well": [576, 512, [], "e532", "M430.4 4.707C473-6.729 516.9 18.6 528.3 61.28L569.8 215.8C581.2 258.5 555.9 302.4 513.2 313.8L497.7 317.9C480.7 322.5 463.1 312.4 458.5 295.3L431.3 193.6L95.1 280.5V464H140.1L198 294.3L253.7 279.9L229.1 352H314.9L287.3 271.2L333.9 259.1L403.9 464H552C565.3 464 576 474.7 576 488C576 501.3 565.3 512 552 512H24C10.75 512 0 501.3 0 488C0 474.7 10.75 464 24 464H48V184C48 170.7 58.75 160 72 160C85.25 160 96 170.7 96 184V230.9L231.7 195.7L249.3 144.2C252.6 134.5 261.7 128 271.1 128C282.3 128 291.4 134.5 294.7 144.2L305.7 176.5L418.9 147.2L392.3 48.04C387.7 30.97 397.8 13.42 414.9 8.848L430.4 4.707zM442.8 51.07L500.8 267.4C517.8 262.9 527.1 245.3 523.4 228.2L481.1 73.7C477.4 56.63 459.9 46.5 442.8 51.07V51.07zM353.2 464L331.3 400H212.7L190.8 464H353.2z"],
    "olive": [448, 512, [], "e316", "M392.5 89.39C354.2 49.21 312.1 32 269.3 32C205.9 32 140.9 69.6 83.99 126.2c-95.42 94.96-112 232.4-37.02 307C78.59 464.7 121.5 480 167.6 480c63.27 0 132.7-28.67 187.9-83.58C450.9 301.5 487.5 188.1 392.5 89.39zM321.6 362.4C277.8 405.1 220.3 432 167.6 432c-24.58 0-59.58-5.684-86.79-32.76c-27.12-26.99-32.82-61.68-32.82-86.03c0-52.25 26.11-109.4 69.84-152.1C169.9 108.5 223.6 80 269.3 80c32.29 0 61.25 13.91 88.53 42.52C423.1 191.9 411.8 272.7 321.6 362.4zM336.9 143.1c-30.3-30.3-69.61-40.13-87.79-21.95c-18.18 18.18-8.355 57.49 21.95 87.79c30.3 30.3 69.61 40.13 87.79 21.95C377.1 212.7 367.2 173.4 336.9 143.1z"],
    "olive-branch": [640, 512, [], "e317", "M441.7 128c-19.51 0-37.55 4.889-53.75 13.15C371.8 132.8 354.3 128 336 128c-79.41 0-143.1 86.13-143.1 192s64.59 192 143.1 192c39.29 0 74.91-21.13 100.9-55.26C463 471.6 490.7 480 518 480c34.87 0 66.24-13.64 88.37-38.41c53.75-60.13 41.83-167.6-27.16-244.8C540.2 153.1 490 128 441.7 128zM336 464c-52.03 0-96-65.94-96-144s43.97-144 96-144s96 65.94 96 144S388 464 336 464zM570.7 409.6C554.1 428.1 532.9 432 518 432c-18.59 0-38.31-5.988-57.2-16.65C472.1 387.2 480 354.7 480 320c0-56.76-18.67-107.7-48.13-142.9C435.2 176.7 438.8 176 441.7 176c34.18 0 72.23 19.75 101.8 52.81C594.7 286 607.1 368.8 570.7 409.6zM449.9 48H616c13.25 0 24-10.75 24-24S629.3 0 616 0h-166.1c-65.87 0-131.2 16.47-189.5 47.06C244.2 34.17 195.5 0 136 0c-71.56 0-128.3 49.94-130.7 52.07C1.948 55.11 .0107 59.44 .0107 64c0 4.564 1.938 8.891 5.344 11.94C7.075 77.48 37.55 103.1 81.32 118.5c-12.07 6.311-23.92 14.03-34.33 24.44c-48.47 48.47-47.06 126.1-46.96 129.4C.2402 280.9 7.083 287.8 15.61 287.1c.25 0 .8984 .0156 1.93 .0156c12.84 0 82.66-2.141 127.5-46.98c30.93-30.94 41.48-73.57 45.09-101.4l87.41-47.7C330.3 63.21 389.9 48 449.9 48z"],
    "om": [512, 512, [128329], "f679", "M420.1 200c-24.25 0-47.88 9.75-65 26.88l-24.25 24.25C322.8 259.4 311.4 264 299.9 264H234.5c14.12-21.75 20.88-48.88 15-77.75C241 144.6 206.4 111.8 164.4 105.2C131.2 100.2 99.63 110.4 76.63 132c-7.125 6.625-6 18.25 1.75 24.12L91.5 166C97.63 170.5 105.9 169.9 111.8 165C124 154.6 140.4 150 157.4 152.9C179 156.4 197 173.2 202.1 194.5C210.8 231.2 183 264 147.6 264L108 264.2c-9 0-14.75 9.375-10.75 17.38l12 24.13c2 3.875 5.75 6.125 9.875 6.5L156 312c41.88 0 76 34.13 76 76S197.9 464 156 464c-82.88 0-104.9-20.75-142.6-76.75C9.25 381.1 0 384.4 0 391.4C0 421.1 20.5 512 156 512c68.38 0 124-55.63 124-124c0-28.75-10.25-55-26.75-76h46.63c24.12 0 47.88-9.75 65-26.88l24.25-24.25C397.2 252.6 408.5 248 420.1 248C444.2 248 464 267.8 464 291.9V400c0 17.62-14.38 32-32 32c-26.5 0-48.75-5.125-69.38-29.88C359 397.9 352 400.4 352 405.9v27.5c0 13.87 9.749 46.53 79.1 46.53c44.13 0 80-32 80-80L512 291.9C512 241.2 470.8 200 420.1 200zM360.6 61c4 4 10.62 4 14.75 0l21.5-21.62C398.9 37.38 400 34.75 400 32s-1.125-5.375-3.125-7.375L375.4 3C373.4 1.125 370.8 0 368 0s-5.5 1.125-7.375 3L339 24.62C337 26.62 336 29.25 336 32s1 5.375 3 7.375L360.6 61zM376.8 150.8c76.25 0 96.12-20 100.4-26C479 122 480 118.8 480 115.5V80c0-12.75-14.83-20.1-25.71-12.75c-25.75 19.63-53.54 29.5-83.04 29.5c-50.75 0-89-29.13-89.5-29.38c-13.88-10.88-32.88 6-23.25 21.25C260.1 91.12 299 150.8 376.8 150.8z"],
    "omega": [448, 512, [], "f67a", "M448 456c0 13.25-10.75 24-24 24L320 480c-13.25 0-24-10.76-24-24.01v-24.5c0-8.75 4.781-16.84 12.47-21.03C364.9 379.5 400 320.3 400 256c0-97.03-78.97-176-176-176S48 158.1 48 256c0 64.31 35.06 123.5 91.53 154.5C147.2 414.7 152 422.8 152 431.5V456c0 13.25-10.75 24.01-24 24.01L24 480C10.75 480 0 469.3 0 456s10.75-24 24-24h61.41C32 389.9 0 325.3 0 256c0-123.5 100.5-224 224-224s224 100.5 224 223.1c0 69.31-32 133.9-85.41 175.1H424C437.3 432 448 442.8 448 456z"],
    "onion": [448, 512, [129477], "e427", "M448 279.8c0-59.42-35-115.5-93.63-149.9V129.9c-.5938-.3438-59.97-35.97-78.5-111.6c-2.156-8.738-9-15.54-17.75-17.63c-8.781-2.08-17.94 .8906-23.78 7.723L224 20.45L213.7 8.375c-5.875-6.832-15.03-9.803-23.78-7.723C181.1 2.748 174.3 9.549 172.1 18.29c-18.53 75.59-77.91 111.2-78.5 111.6C35 164.3 0 220.4 0 279.8c0 74.71 54.33 139 132.1 168L121.2 480.4c-4.188 12.58 2.625 26.19 15.19 30.38C138.9 511.6 141.5 512 144 512c10.06 0 19.41-6.363 22.78-16.42l11.72-35.17C185.5 461.6 192.7 462.5 200 463.2v24.83C200 501.2 210.8 512 224 512s24-10.76 24-24.01v-24.83c7.271-.6406 14.45-1.545 21.5-2.746l11.72 35.17C284.6 505.6 293.9 512 304 512c2.5 0 5.062-.3906 7.594-1.236c12.56-4.189 19.38-17.79 15.19-30.38l-10.85-32.57C393.7 418.9 448 354.5 448 279.8zM48 279.8c0-42.62 25.27-81.96 69.29-108.1C83.78 258.7 80 278.9 80 315.1c0 20.44 3.518 37.27 9.219 52.28C63.53 343.7 48 313.1 48 279.8zM183.3 368.3C188 386.5 194.9 401.7 204.1 415.3c-17.52-1.539-34.27-5.059-49.85-10.3C125.9 377.2 112 355 112 315.1c0-37.87 5.205-57.2 58.15-190.5c12.08-14.4 24.27-31.88 34.13-53.36l.1387 .1602C172.7 296.8 170.4 318.4 183.3 368.3zM293.8 404.1c-15.03 5.053-31.16 8.455-47.1 10.08c-13.95-12.78-24.79-28.94-31.49-54.81C202.1 316.4 205.2 295.6 235.9 77.56c2.297-1.258 4.6-2.557 6.355-4.602l1.5-1.752c9.865 21.49 22.05 38.97 34.14 53.38C330.8 257.9 336 277.2 336 315.1C336 354.1 322.1 377.2 293.8 404.1zM330.7 171.7C374.7 197.9 400 237.2 400 279.8c0 33.32-15.54 63.85-41.23 87.57C364.5 352.4 368 335.5 368 315.1C368 278.9 364.2 258.6 330.7 171.7z"],
    "option": [640, 512, [], "e318", "M440 112h176C629.3 112 640 101.3 640 88C640 74.74 629.3 64 616 64h-176C426.7 64 416 74.74 416 88C416 101.3 426.7 112 440 112zM616 400h-129.5c-12.12 0-23.47-5.406-31.09-14.81L221.9 96.59C205.1 75.88 180.2 64 153.5 64H24C10.75 64 0 74.75 0 88S10.75 112 24 112h129.5c12.12 0 23.47 5.406 31.09 14.81l233.6 288.6C434.9 436.1 459.8 448 486.5 448H616c13.25 0 24-10.75 24-24S629.3 400 616 400z"],
    "ornament": [384, 512, [], "f7b8", "M287.1 153.9L287.1 112c0-8.75-7.256-16-16.01-16h-24.9c5.5-9.375 8.887-20.25 8.887-32c0-35.25-28.73-64-63.98-64S127.1 28.75 127.1 64c0 11.75 3.366 22.62 8.866 32H111.1c-8.75 0-15.1 7.25-15.1 16l.0016 41.94C38.74 187.2 0 249 0 320c0 106 85.99 192 191.1 192C297.1 512 384 426 384 320C384 249 345.2 187.2 287.1 153.9zM192 48c8.75 0 16 7.25 16 16S200.8 80 192 80S176 72.75 176 64S183.2 48 192 48zM192 176c42.38 0 80.25 18.75 106.5 48h-213C111.8 194.8 149.6 176 192 176zM336 320c0 16.88-3.5 32.88-8.75 48H56.75C51.38 352.9 48 336.9 48 320s3.5-32.88 8.75-48h270.4C332.5 287.1 336 303.1 336 320zM192 464c-42.38 0-80.25-18.75-106.5-48h213.1C272.2 445.2 234.4 464 192 464z"],
    "otter": [640, 512, [129446], "f700", "M224 160c8.836 0 16-7.164 16-16C240 135.2 232.8 128 224 128S208 135.2 208 144C208 152.8 215.2 160 224 160zM474.4 64.12C473.8 64.04 473.2 64 472.6 64C465.8 64 460 69.65 460 76.73c0 5.959 4.186 10.1 9.991 12.36c44.73 10.49 77.5 51.87 73.71 100.6c-.8086 10.4-3.742 20.51-7.726 30.12c-.0547-15.3-7.836-29.24-20.85-37.28C502 174.5 486 173.8 472.3 180.7C439.4 197.1 418.1 223.9 410.1 256H320c0-25.73 17.56-31.61 32.31-32C369.8 223.8 384 209.6 384 192c0-17.67-14.31-32-32-32c-15.16 0-33.08 4.221-49.32 13.39C303.3 169.1 304 164.8 304 160.3v-16c0-1.684-.4219-3.248-.4961-4.912C313.2 133.9 320 123.9 320 112C320 103.2 312.8 96 304 96H292.7c-18.11-37.74-56.35-64-101-64H128.3C83.68 32 45.44 58.26 27.33 96H16C7.164 96 0 103.2 0 112c0 11.93 6.816 21.93 16.5 27.43C16.42 141.1 16 142.7 16 144.3v16c0 19.56 5.926 37.71 16 52.86V256c0 123.7 100.3 224 224 224h160c.7344 0 1.414-.2031 2.145-.2168C541 477.5 640 377.3 640 253.8C639.9 156.9 567.8 76.96 474.4 64.12zM64 160.3v-16C64 108.9 92.86 80 128.3 80h63.32C227.1 80 256 108.9 256 144.3v16C256 186.6 234.6 208 208.3 208C204 208 199.8 207.1 195.9 205.4L162.1 191.4c2.586-.3066 5.207-.543 7.598-1.631l8.314-3.777C186.9 182.3 192 174.9 192 166.7V160c0-6.723-5.996-12.17-13.39-12.17H141.4C133.1 147.8 128 153.3 128 160v6.701c0 8.15 5.07 15.6 13.09 19.25l8.314 3.777c2.391 1.088 5.012 1.324 7.598 1.631l-32.88 14.08C120.2 207.1 115.1 208 111.7 208C85.38 208 64 186.6 64 160.3zM80 257.1C80 256.7 80 250.2 80 250.2C89.95 253.7 100.5 256 111.7 256c10.79 0 21.45-2.189 31.36-6.436L160 242.3l14.06 6.023c9.586 4.105 25.98 7.896 36.41 7.658c11.98-.2715 23.38-2.834 33.88-7.113C254.9 280.8 284.6 304 320 304h38.97C354.6 313.8 352 324.6 352 336H251.1c4.18-7.037 6.695-15.13 3.379-24.94C249.7 296.8 235.4 288 220.4 288H112C94.76 288 80.13 274.3 80 257.1zM488 360c0 38.96-31.17 70.61-69.84 71.78C416.7 431.8 415.3 432 413.9 432H256c-46.62 0-88.96-18.29-120.5-48H376c13.25 0 24-10.75 24-24V336c0-17.67 14.33-32 32-32c13.25 0 24-10.75 24-24c0-27.58 16.25-43.89 32-53.23V360zM533 385.9C534.9 377.5 536 368.9 536 360V297.9l6.703-5.896c21.53-18.94 37.36-45.44 44.71-73.87C590.4 229.6 591.1 241.6 592 253.8C592 306.2 569.1 353.3 533 385.9zM96 128C87.16 128 80 135.2 80 144C80 152.8 87.16 160 96 160s16-7.164 16-16C112 135.2 104.8 128 96 128z"],
    "outdent": [512, 512, ["dedent"], "f03b", "M32 64C32 50.75 42.75 40 56 40H456C469.3 40 480 50.75 480 64C480 77.25 469.3 88 456 88H56C42.75 88 32 77.25 32 64zM224 192C224 178.7 234.7 168 248 168H456C469.3 168 480 178.7 480 192C480 205.3 469.3 216 456 216H248C234.7 216 224 205.3 224 192zM456 296C469.3 296 480 306.7 480 320C480 333.3 469.3 344 456 344H248C234.7 344 224 333.3 224 320C224 306.7 234.7 296 248 296H456zM32 448C32 434.7 42.75 424 56 424H456C469.3 424 480 434.7 480 448C480 461.3 469.3 472 456 472H56C42.75 472 32 461.3 32 448zM38.1 268.4C31.23 261.1 31.23 250 38.1 243.6L133.8 165.6C144.3 156.1 159.1 164.4 159.1 177.9V334.1C159.1 347.6 144.3 355 133.8 346.4L38.1 268.4z"],
    "outlet": [448, 512, [], "e01c", "M384 31.1H64c-35.35 0-64 28.66-64 63.1v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64v-320C448 60.66 419.3 31.1 384 31.1zM400 416c0 8.82-7.178 16-16 16H64c-8.822 0-16-7.18-16-16V96c0-8.82 7.178-16 16-16h320c8.822 0 16 7.18 16 16V416zM309.4 144H138.6C134 143.9 129.6 145.7 126.3 148.7C97.81 176 80 213.9 80 256s17.81 79.97 46.31 107.3c3.283 3.062 7.688 4.723 12.28 4.723h170.8c4.594 0 9-1.66 12.28-4.723C350.2 335.1 368 298.1 368 256s-17.81-79.98-46.31-107.3C318.4 145.7 314 143.9 309.4 144zM176 256c0 8.836-7.162 16-16 16C151.2 272 144 264.8 144 256V208C144 199.2 151.2 192 160 192c8.838 0 16 7.164 16 16V256zM248 336h-48V312C200 298.8 210.8 288 224 288s24 10.78 24 24V336zM304 256c0 8.836-7.162 16-16 16c-8.836 0-16-7.164-16-16V208C272 199.2 279.2 192 288 192c8.838 0 16 7.164 16 16V256z"],
    "oven": [448, 512, [], "e01d", "M112 432h224c17.67 0 32-14.33 32-32v-128c0-17.67-14.33-32-32-32h-224c-17.67 0-32 14.33-32 32v128C80 417.7 94.33 432 112 432zM160 280h128c8.844 0 16 7.156 16 16s-7.156 16-16 16H160c-8.844 0-16-7.156-16-16S151.2 280 160 280zM104 80C90.75 80 80 90.74 80 104C80 117.3 90.75 128 104 128S128 117.3 128 104C128 90.74 117.3 80 104 80zM352 0H96C42.98 0 0 42.98 0 96v352c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 42.98 405 0 352 0zM400 448c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V208h352V448zM400 160h-352V96c0-26.47 21.53-48 48-48h256c26.47 0 48 21.53 48 48V160zM344 80C330.7 80 320 90.74 320 104C320 117.3 330.7 128 344 128s24-10.75 24-24C368 90.74 357.3 80 344 80zM184 80C170.7 80 160 90.74 160 104C160 117.3 170.7 128 184 128S208 117.3 208 104C208 90.74 197.3 80 184 80zM264 80c-13.25 0-24 10.74-24 24C240 117.3 250.7 128 264 128S288 117.3 288 104C288 90.74 277.3 80 264 80z"],
    "overline": [448, 512, [], "f876", "M424 0H24C10.75 0 0 10.75 0 24S10.75 48 24 48h400C437.3 48 448 37.25 448 24S437.3 0 424 0zM224 96C126.8 96 48 174.8 48 272v64c0 97.2 78.8 176 176 176c97.2 0 176-78.8 176-176v-64C400 174.8 321.2 96 224 96zM352 336c0 70.58-57.42 128-128 128c-70.58 0-128-57.42-128-128v-64c0-70.58 57.42-128 128-128c70.58 0 128 57.42 128 128V336z"],
    "p": [320, 512, [112], "50", "M24 480C10.75 480 0 469.3 0 456V56C0 42.75 10.75 32 24 32h144C251.8 32 320 100.2 320 184s-68.19 152-152 152H48v120C48 469.3 37.25 480 24 480zM48 288h120c57.34 0 104-46.66 104-104S225.3 80 168 80H48V288z"],
    "page": [384, 512, [], "e428", "M320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H245.5C262.5 0 278.7 6.743 290.7 18.75L365.3 93.26C377.3 105.3 384 121.5 384 138.5V448C384 483.3 355.3 512 320 512zM64 464H320C328.8 464 336 456.8 336 448V138.5C336 134.3 334.3 130.2 331.3 127.2L256.8 52.69C253.8 49.69 249.7 48 245.5 48H64C55.16 48 48 55.16 48 64V448C48 456.8 55.16 464 64 464V464z"],
    "page-caret-down": [384, 512, ["file-caret-down"], "e429", "M192 352C187.5 352 183.2 350.1 180.2 346.8L104.5 264.2C90.38 248.8 101.3 224 122.2 224H261.8C282.7 224 293.6 248.8 279.5 264.2L203.8 346.8C200.8 350.1 196.5 352 192 352zM320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H245.5C262.5 0 278.7 6.743 290.7 18.75L365.3 93.26C377.3 105.3 384 121.5 384 138.5V448C384 483.3 355.3 512 320 512zM48 448C48 456.8 55.16 464 64 464H320C328.8 464 336 456.8 336 448V138.5C336 134.3 334.3 130.2 331.3 127.2L256.8 52.69C253.8 49.69 249.7 48 245.5 48H64C55.16 48 48 55.16 48 64V448z"],
    "page-caret-up": [384, 512, ["file-caret-up"], "e42a", "M192 192C196.5 192 200.8 193.9 203.8 197.2L279.5 279.8C293.6 295.2 282.7 320 261.8 320H122.2C101.3 320 90.38 295.2 104.5 279.8L180.2 197.2C183.2 193.9 187.5 192 192 192V192zM320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H245.5C262.5 0 278.7 6.743 290.7 18.75L365.3 93.26C377.3 105.3 384 121.5 384 138.5V448C384 483.3 355.3 512 320 512zM48 448C48 456.8 55.16 464 64 464H320C328.8 464 336 456.8 336 448V138.5C336 134.3 334.3 130.2 331.3 127.2L256.8 52.69C253.8 49.69 249.7 48 245.5 48H64C55.16 48 48 55.16 48 64V448z"],
    "pager": [512, 512, [128223], "f815", "M296 304H224V352h72C309.3 352 320 341.3 320 328S309.3 304 296 304zM96 327.1C96 341.3 106.7 352 119.1 352H192V304H119.1C106.7 304 96 314.7 96 327.1zM392 160h-272C106.8 160 96 170.8 96 184v48C96 245.2 106.8 256 120 256h272C405.2 256 416 245.2 416 232v-48C416 170.8 405.2 160 392 160zM448 64H64C28.62 64 0 92.62 0 128v256c0 35.38 28.62 64 64 64h384c35.38 0 64-28.62 64-64V128C512 92.62 483.4 64 448 64zM464 384c0 8.875-7.125 16-16 16H64c-8.875 0-16-7.125-16-16V128c0-8.875 7.125-16 16-16h384c8.875 0 16 7.125 16 16V384z"],
    "paint-roller": [512, 512, [], "f5aa", "M352 0C387.3 0 416 28.65 416 64V128C416 163.3 387.3 192 352 192H64C28.65 192 0 163.3 0 128V64C0 28.65 28.65 0 64 0H352zM352 48H64C55.16 48 48 55.16 48 64V128C48 136.8 55.16 144 64 144H352C360.8 144 368 136.8 368 128V64C368 55.16 360.8 48 352 48zM160 352C160 334.3 174.3 320 192 320H200V304C200 264.2 232.2 232 272 232H424C446.1 232 464 214.1 464 192V144C464 133.6 457.3 124.7 448 121.4V72.44C484 76.42 512 106.9 512 144V192C512 240.6 472.6 280 424 280H272C258.7 280 248 290.7 248 304V320H256C273.7 320 288 334.3 288 352V480C288 497.7 273.7 512 256 512H192C174.3 512 160 497.7 160 480V352z"],
    "paintbrush": [576, 512, [128396, "paint-brush"], "f1fc", "M384 341.3C364.9 366.8 335.4 382.4 303.7 383.9C303.9 386.6 304 389.3 304 392C304 458.3 250.3 512 184 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H38.01C56.09 448 68.14 428.2 65.39 410.4C64.48 404.4 63.1 398.2 63.1 392C63.1 325.7 117.7 272 183.1 272C186.7 272 189.4 272.1 192.1 272.3C193.6 240.6 209.2 211.1 234.7 192L473.5 12.81C498.1-6.307 534.6-3.779 557.2 18.74C579.7 41.25 582.2 76.91 563.1 102.4L384 341.3zM277.1 219.5L356.5 297.1L524.7 73.6C529.5 67.23 528.9 58.31 523.2 52.69C517.6 47.06 508.7 46.42 502.3 51.2L277.1 219.5zM199.1 321.6C194.2 320.5 189.2 320 184 320C144.2 320 112 352.2 112 392C112 395.8 112.3 399.5 112.8 403.1C116.1 424.5 110.7 446.2 99.08 463.1L98.42 464H184C223.8 464 256 431.8 256 392C256 386.8 255.5 381.8 254.4 376.9L199.1 321.6z"],
    "paintbrush-fine": [576, 512, ["paint-brush-alt", "paint-brush-fine", "paintbrush-alt"], "f5a9", "M204.3 273.7L455 23.03C482.1-4.016 525.9-4.016 552.1 23.03C580 50.08 580 93.92 552.1 120.1L302.3 371.7C303.4 378.3 304 385.1 304 392C304 458.3 250.3 512 184 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H38.01C56.09 448 68.14 428.2 65.39 410.4C64.48 404.4 63.1 398.2 63.1 392C63.1 325.7 117.7 272 183.1 272C190.9 272 197.7 272.6 204.3 273.7H204.3zM306.2 239.7L336.3 269.8L519 87.03C527.3 78.73 527.3 65.27 519 56.97C510.7 48.67 497.3 48.67 488.1 56.97L306.2 239.7zM210.5 325C202.3 321.8 193.4 320 184 320C144.2 320 112 352.2 112 392C112 395.8 112.3 399.5 112.8 403.1C116.1 424.5 110.7 446.2 99.08 463.1L98.42 464H184C223.8 464 256 431.8 256 392C256 382.6 254.2 373.7 250.1 365.5L210.5 325z"],
    "paintbrush-pencil": [576, 512, [], "e206", "M181.3 19.32L289.7 127.8L255.8 161.7L223 128.1L160.1 191L193.7 223.8L185.5 232L183.1 231.1C168.8 231.1 154.1 234.1 140.1 238.1L51.31 149.3C29.44 127.4 26.71 93.63 43.11 68.79C45.45 65.24 48.19 61.87 51.31 58.75L90.74 19.32C115.7-5.678 156.3-5.678 181.3 19.32V19.32zM414.2 320.1L448.1 286.2L485.4 323.5C495.8 333.9 503.5 346.8 507.6 360.9L543 481.2C545.5 489.7 543.2 498.8 536.1 504.1C530.8 511.2 521.7 513.5 513.2 511L392.9 475.6C380.5 471.1 369.1 465.7 359.5 457.2C358.1 455.1 356.8 454.7 355.5 453.4L337.9 435.9C341.9 421.9 344 407.2 344 392L343.1 390.3L352.1 382.2L389.4 419.5C394.2 424.2 400 427.7 406.4 429.6L484.6 452.6L461.6 374.4C459.9 368.8 457.1 363.6 453.2 359.3C452.7 358.6 452.1 358 451.5 357.4L414.2 320.1zM552.1 23.03C580 50.07 580 93.92 552.1 120.1L302.3 371.7C303.4 378.3 304 385.1 304 392C304 458.3 250.3 512 184 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H38.01C56.09 448 68.14 428.2 65.39 410.4C64.48 404.4 63.1 398.2 63.1 392C63.1 325.7 117.7 271.1 183.1 271.1C190.9 271.1 197.7 272.6 204.3 273.7L455 23.03C482.1-4.017 525.9-4.017 552.1 23.03H552.1zM519 56.97C510.7 48.67 497.3 48.67 488.1 56.97L306.2 239.7L336.3 269.8L519 87.03C527.3 78.73 527.3 65.27 519 56.97V56.97zM112 392C112 395.8 112.3 399.5 112.8 403.1C116.1 424.5 110.7 446.2 99.08 463.1L98.42 464H184C223.8 464 256 431.8 256 392C256 382.6 254.2 373.7 250.1 365.5L210.5 325C202.3 321.8 193.4 319.1 184 319.1C144.2 319.1 112 352.2 112 392V392z"],
    "palette": [512, 512, [127912], "f53f", "M160 255.1C160 273.7 145.7 287.1 128 287.1C110.3 287.1 96 273.7 96 255.1C96 238.3 110.3 223.1 128 223.1C145.7 223.1 160 238.3 160 255.1zM128 159.1C128 142.3 142.3 127.1 160 127.1C177.7 127.1 192 142.3 192 159.1C192 177.7 177.7 191.1 160 191.1C142.3 191.1 128 177.7 128 159.1zM288 127.1C288 145.7 273.7 159.1 256 159.1C238.3 159.1 224 145.7 224 127.1C224 110.3 238.3 95.1 256 95.1C273.7 95.1 288 110.3 288 127.1zM320 159.1C320 142.3 334.3 127.1 352 127.1C369.7 127.1 384 142.3 384 159.1C384 177.7 369.7 191.1 352 191.1C334.3 191.1 320 177.7 320 159.1zM441.9 319.1H344C317.5 319.1 296 341.5 296 368C296 371.4 296.4 374.7 297 377.9C299.2 388.1 303.5 397.1 307.9 407.8C313.9 421.6 320 435.3 320 449.8C320 481.7 298.4 510.5 266.6 511.8C263.1 511.9 259.5 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 256.9 511.1 257.8 511.1 258.7C511.6 295.2 478.4 320 441.9 320V319.1zM463.1 258.2C463.1 257.4 464 256.7 464 255.1C464 141.1 370.9 47.1 256 47.1C141.1 47.1 48 141.1 48 255.1C48 370.9 141.1 464 256 464C258.9 464 261.8 463.9 264.6 463.8C265.4 463.8 265.9 463.6 266.2 463.5C266.6 463.2 267.3 462.8 268.2 461.7C270.1 459.4 272 455.2 272 449.8C272 448.1 271.4 444.3 266.4 432.7C265.8 431.5 265.2 430.1 264.5 428.5C260.2 418.9 253.4 403.5 250.1 387.8C248.7 381.4 248 374.8 248 368C248 314.1 290.1 271.1 344 271.1H441.9C449.6 271.1 455.1 269.3 459.7 266.2C463 263.4 463.1 260.9 463.1 258.2V258.2z"],
    "pallet": [640, 512, [], "f482", "M616 464h-48v-96h48c13.25 0 24-10.75 24-24S629.3 320 616 320H24C10.75 320 0 330.8 0 344s10.75 24 24 24h48v96h-48C10.75 464 0 474.8 0 488S10.75 512 24 512h592c13.25 0 24-10.75 24-24S629.3 464 616 464zM296 464h-176v-96h176V464zM520 464h-176v-96h176V464z"],
    "pallet-box": [640, 512, [], "e208", "M192 288h256c35.35 0 64-28.65 64-64V64c0-35.35-28.65-64-64-64H192C156.7 0 128 28.65 128 64v160C128 259.3 156.7 288 192 288zM176 64c0-8.822 7.178-16 16-16h64v79.1l64-32l64 32V48h64c8.822 0 16 7.178 16 16v160c0 8.822-7.178 16-16 16H192C183.2 240 176 232.8 176 224V64zM616 464h-48v-96h48c13.25 0 24-10.75 24-24S629.3 320 616 320H24C10.75 320 0 330.8 0 344s10.75 24 24 24h48v96h-48C10.75 464 0 474.8 0 488S10.75 512 24 512h592c13.25 0 24-10.75 24-24S629.3 464 616 464zM296 464h-176v-96h176V464zM520 464h-176v-96h176V464z"],
    "pallet-boxes": [640, 512, [57863, "palette-boxes", "pallet-alt"], "f483", "M160 288h144c15.22 0 29.02-5.535 40-14.41C354.1 282.5 368.8 288 384 288h96c35.35 0 64-28.65 64-64V128c0-35.35-28.65-64-64-64h-96c-5.559 0-10.86 .9316-16 2.264V64c0-35.35-28.65-64-64-64H160C124.7 0 96 28.65 96 64v160C96 259.3 124.7 288 160 288zM368 128c0-8.822 7.178-16 16-16h96c8.822 0 16 7.178 16 16v96c0 8.822-7.178 16-16 16h-96c-8.822 0-16-7.178-16-16V128zM144 64c0-8.822 7.178-16 16-16h144C312.8 48 320 55.18 320 64v160c0 8.822-7.178 16-16 16H160C151.2 240 144 232.8 144 224V64zM616 464h-48v-96h48c13.25 0 24-10.75 24-24S629.3 320 616 320H24C10.75 320 0 330.8 0 344s10.75 24 24 24h48v96h-48C10.75 464 0 474.8 0 488S10.75 512 24 512h592c13.25 0 24-10.75 24-24S629.3 464 616 464zM296 464h-176v-96h176V464zM520 464h-176v-96h176V464z"],
    "pan-food": [576, 512, [129368], "e42b", "M567.2 125l-43.16-67.34c-16.69-25.95-51.38-33.64-77.34-16.92l-23.84 16.92C382.8 30.53 335.6 16 287.8 16c-44.34 0-89.18 12.27-129.3 37.97C75.83 106.1 36.73 202.2 51.03 293.3L25.79 309.5c-26 16.64-33.63 51.34-16.94 77.38l43.16 67.34c10.69 16.66 28.78 25.77 47.25 25.77c10.31-.0156 20.78-2.859 30.09-8.844l23.79-16.89C193.2 481.5 240.3 496 288.2 496c44.34 0 89.18-12.27 129.3-37.97c82.68-53 121.8-148.2 107.5-239.4l25.25-16.21C576.2 185.8 583.8 151.1 567.2 125zM103.5 430.8c-2.469 1.531-4.844 1.328-6.031 1.078c-1.219-.2656-3.469-1.078-5.031-3.5L49.25 361c-2.375-3.719-1.312-8.688 2.438-11.08l12.26-7.857c5.744 14.91 13.07 29.46 22.03 43.44c8.814 13.75 19.1 25.91 30.04 37.21L103.5 430.8zM475.5 297c-10.96 50.09-40.77 92.92-83.94 120.6C360.6 437.5 324.8 448 288.2 448c-65.86 0-126.4-33.04-161.8-88.4C98.71 316.4 89.51 265.1 100.5 214.1C111.4 164.9 141.2 122.1 184.4 94.38C215.4 74.51 251.2 64 287.8 64c65.86 0 126.4 33.04 161.8 88.4C477.3 195.6 486.5 246.9 475.5 297zM524.3 162L512 169.9c-5.742-14.89-13.06-29.43-22.01-43.39c-8.824-13.77-19.12-25.94-30.07-37.25l12.58-8.061c2.438-1.547 4.781-1.359 6.031-1.078c1.219 .2656 3.469 1.078 5.031 3.5l43.16 67.33C529.1 154.7 528.1 159.6 524.3 162zM272 320H246.6L220.1 293.4c4.783-6.275 4.566-15.15-1.166-20.87c-6.25-6.25-16.38-6.25-22.62 0L176.6 292.3c-6.25 6.25-6.25 16.39 0 22.62c3.125 3.125 7.219 4.688 11.31 4.688c3.412 0 6.697-1.346 9.547-3.516L224 342.6v25.38c0 26.47 21.53 48 48 48s48-21.53 48-48S298.5 320 272 320zM417.8 209.8l-80 80c-1.5 1.5-2.344 3.531-2.344 5.656s.8438 4.156 2.344 5.656c12.59 12.58 29.12 18.88 45.66 18.88s33.06-6.297 45.66-18.88C441.3 288.9 448 272.7 448 255.4s-6.719-33.47-18.91-45.66C425.9 206.6 420.9 206.7 417.8 209.8zM232 160h112c4.406 0 8-3.578 8-8c0-35.3-28.72-64-64-64s-64 28.7-64 64C224 156.4 227.6 160 232 160zM248 240c0 13.25 10.75 24 24 24s24-10.75 24-24c0-13.26-10.75-24-24-24S248 226.7 248 240zM368 344c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24s24-10.75 24-24C392 354.7 381.3 344 368 344zM206.2 206.1c7.781-7.812 7.781-20.47 0-28.28c-7.812-7.812-20.5-7.812-28.31 0l-32 32c-7.781 7.812-7.781 20.47 0 28.28C149.8 242 154.9 244 160 244s10.25-1.953 14.16-5.859L206.2 206.1z"],
    "pan-frying": [576, 512, [127859], "e42c", "M199.6 97.05c-43.39 7-55.91 40-62.5 78.55c-5.562 32.19-27.19 63.5-25 96.45c2.188 32.95 26.44 64.25 57.5 75.4c46.5 16.69 73.46-15.88 102.3-43.19c21.81-20.75 46.69-18.88 70.45-37c28.14-21.38 35.85-70.73 8.75-96.02c-19.75-20.38-50.41-23.19-72.25-41.13C254 109.6 234.8 91.37 199.6 97.05zM224 272C197.5 272 176 250.5 176 224S197.5 176 224 176S272 197.5 272 224S250.5 272 224 272zM574.4 439.2c-3.844-15.95-14.12-29.53-28.34-37.58l-120.3-80.74C439.9 291.5 447.1 258.7 447.1 224c0-123.7-100.3-224-223.1-224C100.3 0 0 100.3 0 224c0 123.7 100.3 224 223.1 224c54.29 0 104-19.33 142.8-51.46l109.5 99.16C487.3 506.2 501.9 512 516.1 512c1.875 0 3.719-.0938 5.594-.2656c17.03-1.625 32.5-10.53 42.44-24.45S578.4 455.8 574.4 439.2zM224 400c-97.05 0-176-78.95-176-176S126.1 48 224 48s176 78.95 176 176S321 400 224 400zM514.5 465.1c-8.715 1.457-16.96-4.428-18.42-13.14c-1.457-8.715 4.428-16.96 13.14-18.42c8.715-1.457 16.96 4.428 18.42 13.14C529.1 455.4 523.2 463.6 514.5 465.1z"],
    "pancakes": [512, 512, [129374], "e42d", "M85.14 137.4C91.62 139.6 96 145.7 96 152.5v118.6C96 287.9 108.2 302.8 124.9 304.4C143.9 306.3 160 291.3 160 272.5v-100.8c0-9.465 8.182-16.76 17.57-15.74l.3203 .0352C185.9 156.9 192 163.7 192 171.8v51.41c0 16.75 12.22 31.71 28.86 33.3C239.9 258.3 256 243.3 256 224.6V175.9c0-8.674 6.885-15.83 15.54-16C388 157.7 480 129.1 480 96.05C480 60.62 379.7 32 256 32S32 60.62 32 96.05C32 111.9 52.02 126.2 85.14 137.4zM208 64.02h96c8.836 0 16 7.164 16 16s-7.164 15.1-16 15.1h-96c-8.836 0-16-7.161-16-15.1S199.2 64.02 208 64.02zM496.7 180.6C506.3 169.2 512 155.8 512 139.8c0-8.365-1.895-15.85-4.674-22.89C481.2 177.1 343.2 189.3 288 191.7v32.88c0 4.979-.6973 9.773-1.773 14.43c56.74-1.691 125.4-8.9 172-30.68C461.9 212.1 464 216.1 464 220.2c0 27.59-87.27 50.06-196.1 51.49C255.6 282.2 240.6 288.7 224 288.7c-2.039 0-4.104-.0977-6.178-.2969C208.3 287.5 199.4 284.4 191.6 279.6C190 293.9 183.6 306.6 174.2 316.4C203.2 319.1 231.7 319.1 256 319.1c60.56 0 147-5.287 202.3-31.15C461.7 292.5 464 296.3 464 300.3c0 28.52-93.13 51.72-208 51.72s-208-23.2-208-51.72c0-3.959 2.285-7.766 5.732-11.46c4.701 2.193 9.611 4.25 14.72 6.158C65.58 287.5 64 279.5 64 271.1V240.1c-10.28-6.113-16-12.82-16-19.86c0-4.145 2.199-8.15 5.926-12.01C57.22 209.8 60.51 211.4 64 212.8v-48.95C32.64 151.6 12.79 136.1 4.496 117.3C1.834 124.2 0 131.6 0 139.8c0 16.05 5.734 29.43 15.33 40.79C5.979 191.7 0 204.5 0 220.2c0 15.81 5.6 29.02 14.92 40.27C5.764 271.7 0 284.6 0 300.3c0 15.8 5.432 29.09 14.71 40.37C5.615 351.8 0 364.7 0 380.3C0 467 160.4 480 256 480s256-12.96 256-99.73c0-15.57-5.615-28.52-14.71-39.64C506.6 329.3 512 316.1 512 300.3c0-15.55-5.701-28.44-14.77-39.56C506.6 249.4 512 236.1 512 220.2C512 204.6 506 191.7 496.7 180.6zM256 431.1c-114.9 0-208-23.18-208-51.7c0-3.941 2.266-7.732 5.674-11.41C108.1 394.7 195.4 399.1 256 399.1s147-5.28 202.3-31.15C461.7 372.5 464 376.3 464 380.3C464 408.8 370.9 431.1 256 431.1z"],
    "panel-ews": [512, 512, [], "e42e", "M200 80h-80C106.8 80 96 90.75 96 104S106.8 128 120 128h80C213.2 128 224 117.2 224 104S213.2 80 200 80zM200 160h-80C106.8 160 96 170.8 96 184S106.8 208 120 208h80C213.2 208 224 197.2 224 184S213.2 160 200 160zM392 80h-80C298.8 80 288 90.75 288 104S298.8 128 312 128h80C405.2 128 416 117.2 416 104S405.2 80 392 80zM392 160h-80C298.8 160 288 170.8 288 184s10.75 24 24 24h80C405.2 208 416 197.2 416 184S405.2 160 392 160zM448 0H64C28.64 0 0 28.64 0 64v384c0 35.36 28.64 64 64 64h384c35.36 0 64-28.64 64-64V64C512 28.64 483.4 0 448 0zM464 448c0 8.832-7.168 16-16 16h-32V288c0-17.66-14.34-32-32-32h-64c-17.66 0-32 14.34-32 32v176H64c-8.832 0-16-7.168-16-16v-123.7C57.57 329.8 64 340.2 64 352v32c0 35.36 28.64 64 64 64s64-28.64 64-64v-32c17.66 0 32-14.34 32-32V288c0-17.66-14.34-32-32-32H160C142.3 256 128 270.3 128 288v32c0 17.66 14.34 32 32 32v32c0 17.66-14.34 32-32 32s-32-14.34-32-32v-32c0-29.82-20.38-54.88-48-61.98V64c0-8.832 7.168-16 16-16h384c8.832 0 16 7.168 16 16V448z"],
    "panel-fire": [640, 512, [], "e42f", "M384 80H64C55.16 80 48 87.16 48 96V416C48 424.8 55.16 432 64 432H306.1C314.2 449.5 324.8 465.7 337.6 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V128.2C435.4 127 422.5 130.9 412.5 139.9C408.2 143.6 404.1 147.5 400 151.4V96C400 87.16 392.8 80 384 80zM288 312C274.7 312 264 301.3 264 288C264 274.7 274.7 264 288 264C296.2 264 303.5 268.1 307.8 274.4C302 286.6 297.2 298.1 293.8 311.3C291.9 311.8 289.1 312 288 312zM96 160C96 142.3 110.3 128 128 128H320C337.7 128 352 142.3 352 160V192C352 209.7 337.7 224 320 224H128C110.3 224 96 209.7 96 192V160zM104 288C104 274.7 114.7 264 128 264C141.3 264 152 274.7 152 288C152 301.3 141.3 312 128 312C114.7 312 104 301.3 104 288zM232 288C232 301.3 221.3 312 208 312C194.7 312 184 301.3 184 288C184 274.7 194.7 264 208 264C221.3 264 232 274.7 232 288zM509 221.3C516.9 211.5 525.8 200.6 535.5 191.8C541.1 186.7 549.9 186.7 555.5 191.9C580.2 214.6 601.1 244.5 615.8 273C630.4 301.1 640 329.8 640 349.9C640 437.8 568.7 511.9 480 511.9C390.3 511.9 320 437.7 320 349.9C320 323.5 332.7 291.3 352.4 259.4C372.4 227 400.5 193.3 433.8 163.6C439.4 158.6 447.1 158.6 453.5 163.6C473.3 181.4 491.8 200.6 509 221.3V221.3zM550 336.9C548 332.9 546 328.9 543 324.9L507 366.9C507 366.9 448.1 292.9 444.1 287.9C415 324.9 400 345.9 400 369.9C400 418.9 436 447.9 480.1 447.9C499 447.9 515 442.9 530 432.9C560 411.9 568 369.9 550 336.9z"],
    "panorama": [640, 512, [], "e209", "M592.1 64c-4.559 0-9.221 .6582-13.88 2.057C493.1 91.32 406.1 103.1 320 103.1S146 91.32 61.8 66.06C57.14 64.66 52.47 64 47.91 64C22.33 63.1 0 84.74 0 112v319.9C0 459.3 22.33 480 47.91 480c4.559 0 9.221-.6602 13.88-2.057C146 452.7 233 440 320 440s173.1 12.63 258.2 37.9C582.9 479.3 587.5 480 592.1 480C617.7 480 640 459.3 640 431.1V112C640 84.74 617.7 64 592.1 64zM591.1 431.1c-21.6-6.479-43.4-12.12-65.34-17.04l-143.5-214C379.5 195.3 373.2 192 366.6 192c-6.689 0-12.94 3.34-16.64 8.906L271.5 318.5L243.5 280.2C239.8 275.1 233.8 272 227.4 272c-6.385 0-12.39 3.051-16.16 8.217l-97.41 134.6C91.7 419.7 69.75 425.4 48 431.1l.0078-319.9C136.3 138.5 227.8 151.1 320 151.1c92.13 0 183.6-13.42 272-39.92L591.1 431.1zM144 176c-17.67 0-32 14.33-32 32s14.33 32 32 32c17.68 0 32-14.33 32-32S161.7 176 144 176z"],
    "paper-plane": [512, 512, [61913], "f1d8", "M501.6 4.186c-7.594-5.156-17.41-5.594-25.44-1.063L12.12 267.1C4.184 271.7-.5037 280.3 .0431 289.4c.5469 9.125 6.234 17.16 14.66 20.69l153.3 64.38v113.5c0 8.781 4.797 16.84 12.5 21.06C184.1 511 188 512 191.1 512c4.516 0 9.038-1.281 12.99-3.812l111.2-71.46l98.56 41.4c2.984 1.25 6.141 1.875 9.297 1.875c4.078 0 8.141-1.031 11.78-3.094c6.453-3.625 10.88-10.06 11.95-17.38l64-432C513.1 18.44 509.1 9.373 501.6 4.186zM369.3 119.2l-187.1 208.9L78.23 284.7L369.3 119.2zM215.1 444v-49.36l46.45 19.51L215.1 444zM404.8 421.9l-176.6-74.19l224.6-249.5L404.8 421.9z"],
    "paper-plane-top": [512, 512, ["paper-plane-alt", "send"], "e20a", "M492.6 226.6L44.6 34.59C40.54 32.85 36.26 31.1 32.02 31.1c-8.623 0-17.1 3.499-23.3 10.05C-.4983 51.81-2.623 66.3 3.377 78.31L96 256l-92.62 177.7c-6 12.02-3.875 26.5 5.344 36.27c6.188 6.547 14.66 10.05 23.28 10.05c4.25 0 8.531-.8438 12.59-2.594L492.6 285.4c11.78-5.031 19.41-16.61 19.41-29.41C511.1 243.2 504.4 231.6 492.6 226.6zM66.92 96.38L383.4 232H137.6L66.92 96.38zM137.6 280h245.7l-316.4 135.6L137.6 280z"],
    "paperclip": [448, 512, [128206], "f0c6", "M375 72.97C349.1 46.1 306.9 46.1 280.1 72.97L88.97 264.1C45.32 308.6 45.32 379.4 88.97 423C132.6 466.7 203.4 466.7 247 423L399 271C408.4 261.7 423.6 261.7 432.1 271C442.3 280.4 442.3 295.6 432.1 304.1L280.1 456.1C218.6 519.4 117.4 519.4 55.03 456.1C-7.364 394.6-7.364 293.4 55.03 231L247 39.03C291.7-5.689 364.2-5.689 408.1 39.03C453.7 83.75 453.7 156.3 408.1 200.1L225.2 384.7C193.6 416.3 141.6 413.4 113.7 378.6C89.88 348.8 92.26 305.8 119.2 278.8L271 127C280.4 117.7 295.6 117.7 304.1 127C314.3 136.4 314.3 151.6 304.1 160.1L153.2 312.7C143.5 322.4 142.6 337.9 151.2 348.6C161.2 361.1 179.9 362.2 191.2 350.8L375 167C401 141.1 401 98.94 375 72.97V72.97z"],
    "paperclip-vertical": [384, 512, [], "e3c2", "M48 108C48 48.35 96.35 0 156 0C215.6 0 264 48.35 264 108V344C264 383.8 231.8 416 192 416C152.2 416 120 383.8 120 344V152C120 138.7 130.7 128 144 128C157.3 128 168 138.7 168 152V344C168 357.3 178.7 368 192 368C205.3 368 216 357.3 216 344V108C216 74.86 189.1 48 156 48C122.9 48 96 74.86 96 108V368C96 421 138.1 464 192 464C245 464 288 421 288 368V152C288 138.7 298.7 128 312 128C325.3 128 336 138.7 336 152V368C336 447.5 271.5 512 192 512C112.5 512 48 447.5 48 368V108z"],
    "parachute-box": [512, 512, [], "f4cd", "M280 192V320H304C307.3 320 310.5 320.3 313.6 320.1L415.7 188.9C415.9 184.6 416 180.3 416 176C416 112.1 393.8 54.84 358.9 16.69C450 49.27 493.4 122.6 507.8 173.6C510.5 183.1 502.1 192 493.1 192H473.1L349.6 352.1C351.2 357.7 352 362.7 352 368V464C352 490.5 330.5 512 304 512H207.1C181.5 512 159.1 490.5 159.1 464V368C159.1 362.7 160.8 357.7 162.4 352.1L38.03 192H18.89C9 192 1.483 183.1 4.181 173.6C18.64 122.6 61.97 49.27 153.1 16.69C118.2 54.84 96 112.1 96 176C96 180.3 96.1 184.6 96.3 188.9L198.4 320.1C201.5 320.3 204.7 320 208 320H232V192H128.5C128.2 186.7 128 181.4 128 176C128 125 143.9 80.01 168.2 48.43C192.5 16.89 223.8 0 256 0C288.2 0 319.5 16.89 343.8 48.43C368.1 80.01 384 125 384 176C384 181.4 383.8 186.7 383.5 192H280zM207.1 368V464H304V368H207.1z"],
    "paragraph": [448, 512, [182], "f1dd", "M424 32H195.8c-86.76 0-160.7 67.48-163.7 154.2C28.88 277.2 101.7 352 192 352h48v104c0 13.25 10.75 24 24 24S288 469.3 288 456V80h48v376c0 13.25 10.75 24 24 24S384 469.3 384 456V80h40C437.3 80 448 69.25 448 56C448 42.74 437.3 32 424 32zM240 304H192C130.1 304 80 253.9 80 192S130.1 80 192 80h48V304z"],
    "paragraph-left": [384, 512, ["paragraph-rtl"], "f878", "M143.1 224h31.98L176 296C176 309.3 186.7 320 200 320S224 309.3 224 296V48h32v248C256 309.3 266.7 320 280 320s24-10.75 24-24V48h24C341.3 48 352 37.25 352 24C352 10.74 341.3 0 328 0H143.1C79.98 0 32 48 32 112S80.01 224 143.1 224zM143.1 48h31.99v128H143.1c-37.62 0-63.99-26.38-63.99-64S106.4 48 143.1 48zM360 392H86.55l33.52-30.16c9.844-8.875 10.66-24.03 1.781-33.91c-8.906-9.844-24.06-10.66-33.91-1.781l-80 72C2.875 402.7 0 409.2 0 416s2.875 13.28 7.938 17.84l80 72C92.53 509.1 98.28 512 104 512c6.562 0 13.09-2.688 17.84-7.938c8.875-9.875 8.062-25.03-1.781-33.91L86.55 440H360c13.25 0 24-10.75 24-24S373.3 392 360 392z"],
    "party-bell": [512, 512, [], "e31a", "M64 448c-17.67 0-31.1 14.33-31.1 31.1C32 497.7 46.33 512 64 512s31.1-14.33 31.1-31.1C95.1 462.3 81.67 448 64 448zM66.22 352c9.125 0 18.29-3.424 25.41-10.55l249.8-249.8c16.35-16.35 13.21-43.46-6.113-56.17C301.2 13.05 260.4 0 216.5 0C200.4 0 183.8 1.772 166.1 5.498C87.38 23.14 23.14 87.38 5.498 166.1C-8.34 229.4 4.783 288.7 35.47 335.3C42.64 346.2 54.4 352 66.22 352zM52.36 177.4c13.57-61.21 63.81-111.5 125-125C190.4 49.47 203.6 48 216.5 48c28.28 0 55.78 6.994 80.33 20.33L68.33 296.9C48.82 260.9 43.13 219 52.36 177.4zM479.1 96c17.67 0 31.1-14.33 31.1-31.1c0-17.67-14.33-31.1-31.1-31.1s-31.1 14.33-31.1 31.1C448 81.67 462.3 96 479.1 96zM199.4 357.6c-10.22-8.5-25.31-7.125-33.81 3.062s-7.125 25.31 3.062 33.81c25.03 20.84 39.37 51.47 39.37 84.03V488c0 13.25 10.75 24 23.1 24S256 501.3 256 488v-9.531C256 431.6 235.3 387.6 199.4 357.6zM487.1 208h-9.531c-32.56 0-63.19-14.34-84.03-39.38c-8.5-10.19-23.66-11.56-33.81-3.062c-10.19 8.5-11.56 23.62-3.062 33.81C387.6 235.3 431.6 256 478.5 256h9.531c13.25 0 24-10.75 24-24S501.2 208 487.1 208zM351.1 448c-17.67 0-31.1 14.33-31.1 31.1C319.1 497.7 334.3 512 351.1 512s31.1-14.33 31.1-31.1C383.1 462.3 369.7 448 351.1 448zM492.1 440.1c-1.562-17.25-3.688-40.91-28.16-61.84c-24.47-20.88-48.16-19.28-65.5-18.25c-14.84 .9687-21.97 1.094-31.22-6.844c-9.187-7.844-10.16-14.75-11.5-29.59c-1.531-17.25-3.625-40.91-28.09-61.81c-10.06-8.625-25.19-7.438-33.84 2.656c-8.594 10.09-7.406 25.25 2.656 33.84c9.187 7.844 10.16 14.75 11.5 29.56c1.531 17.28 3.625 40.91 28.09 61.84c24.44 20.88 48.16 19.25 65.5 18.25c14.84-.9687 21.97-1.094 31.22 6.844c9.219 7.875 10.19 14.78 11.53 29.66c1.562 17.25 3.688 40.91 28.16 61.84C476.9 510.1 482.5 512 487.1 512c6.75 0 13.5-2.844 18.25-8.406c8.594-10.06 7.438-25.22-2.656-33.84C494.4 461.9 493.4 454.1 492.1 440.1z"],
    "party-horn": [512, 512, [], "e31b", "M184 160c5.438 0 10.87-1.812 15.37-5.562c35.97-30 56.62-74.06 56.62-120.9V24c0-13.25-10.75-24-23.1-24s-23.1 10.75-23.1 24v9.531c0 32.56-14.34 63.19-39.37 84.03C158.4 126.1 157.1 141.2 165.6 151.4C170.3 157.1 177.1 160 184 160zM64 63.1c17.67 0 31.1-14.33 31.1-31.1c0-17.67-14.33-31.1-31.1-31.1c-17.67 0-31.1 14.33-31.1 31.1C32 49.67 46.33 63.1 64 63.1zM487.1 256h-9.531C431.6 256 387.6 276.7 357.6 312.6c-8.5 10.19-7.125 25.31 3.062 33.81C365.1 350.2 370.6 352 375.1 352c6.875 0 13.69-2.938 18.44-8.625C415.3 318.3 445.9 304 478.5 304h9.531c13.25 0 23.1-10.75 23.1-24S501.2 256 487.1 256zM479.1 416c-17.67 0-31.1 14.33-31.1 31.1c0 17.67 14.33 31.1 31.1 31.1s31.1-14.33 31.1-31.1C511.1 430.3 497.7 416 479.1 416zM479.1 128c-17.67 0-31.1 14.33-31.1 31.1c0 17.67 14.33 31.1 31.1 31.1s31.1-14.33 31.1-31.1C511.1 142.3 497.7 128 479.1 128zM389.7 176c20.88-24.47 19.37-48.19 18.25-65.5c-.9687-14.97-1.062-21.97 6.844-31.22c7.875-9.219 14.78-10.19 29.66-11.53c17.25-1.562 40.91-3.688 61.84-28.16c8.594-10.06 7.438-25.22-2.656-33.84c-10.03-8.5-25.16-7.438-33.84 2.656c-7.875 9.219-14.78 10.19-29.66 11.53c-17.25 1.562-40.91 3.688-61.84 28.16c-20.88 24.47-19.37 48.19-18.25 65.5c.9687 14.97 1.062 21.97-6.844 31.22c-7.844 9.188-14.75 10.16-29.59 11.5c-17.25 1.531-40.91 3.625-61.81 28.09C253.2 194.5 254.3 209.7 264.4 218.3C268.9 222.1 274.5 224 279.1 224c6.781 0 13.5-2.844 18.25-8.406c7.844-9.188 14.75-10.16 29.56-11.5C345.1 202.6 368.7 200.5 389.7 176zM150.6 201.4C144.6 195.3 136.4 192 127.9 192c-2.234 0-4.482 .2269-6.711 .6996c-10.62 2.312-19.37 9.844-23.19 20.03l-95.1 256c-4.406 11.75-1.531 25 7.344 33.88C15.47 508.7 23.66 512 32 512c3.781 0 7.594-.6563 11.25-2.031l255.1-96c10.19-3.812 17.72-12.56 20.03-23.19c2.281-10.62-.9702-21.72-8.656-29.41L150.6 201.4zM59.33 452.7l32.57-86.85l54.28 54.28L59.33 452.7zM195.5 401.6L110.4 316.5l23.84-63.59l124.9 124.9L195.5 401.6z"],
    "passport": [448, 512, [], "f5ab", "M384 0H64C28.65 0 0 28.65 0 64v384c0 35.34 28.65 64 64 64h320c35.2 0 64-28.8 64-64V64C448 28.8 419.2 0 384 0zM400 448c0 8.836-7.164 16-16 16H64c-8.836 0-16-7.164-16-16V64c0-8.836 7.164-16 16-16h320c8.836 0 16 7.164 16 16V448zM336 384h-224C103.3 384 96 391.3 96 400S103.3 416 112 416h224c8.75 0 16-7.25 16-16S344.8 384 336 384zM224 328c66.25 0 120-53.75 120-120S290.3 88 224 88S104 141.8 104 208S157.8 328 224 328zM310.4 192h-34.63c-1.375-23.62-5.751-45-12.25-62.25C287.6 142 305.4 164.6 310.4 192zM275.8 224h34.63c-5 27.38-22.88 50-46.88 62.25C269.1 269 274.4 247.6 275.8 224zM224 122.3C230.9 130.6 241.5 154.6 244 192h-40C206.5 154.6 217.1 130.6 224 122.3zM244 224C241.5 261.4 230.9 285.4 224 293.8C217.1 285.4 206.5 261.4 204 224H244zM184.5 129.8C177.1 147 173.6 168.4 172.3 192H137.6C142.6 164.6 160.4 142 184.5 129.8zM172.3 224C173.6 247.6 177.1 269 184.5 286.3C160.5 274 142.6 251.4 137.6 224H172.3z"],
    "paste": [512, 512, ["file-clipboard"], "f0ea", "M502.6 198.6l-61.25-61.25C435.4 131.4 427.3 128 418.8 128H256C220.7 128 191.1 156.7 192 192l.0065 255.1C192 483.3 220.7 512 256 512h192c35.2 0 64-28.8 64-64l.0098-226.7C512 212.8 508.6 204.6 502.6 198.6zM464 448c0 8.836-7.164 16-16 16h-192c-8.838 0-16-7.164-16-16L240 192.1c0-8.836 7.164-16 16-16h128L384 224c0 17.67 14.33 32 32 32h48.01V448zM317.7 96C310.6 68.45 285.8 48 256 48H215.2C211.3 20.93 188.1 0 160 0C131.9 0 108.7 20.93 104.8 48H64c-35.35 0-64 28.65-64 64V384c0 35.34 28.65 64 64 64h96v-48H64c-8.836 0-16-7.164-16-16V112C48 103.2 55.18 96 64 96h16v16c0 17.67 14.33 32 32 32h61.35C190 115.4 220.6 96 256 96H317.7zM160 72c-8.822 0-16-7.176-16-16s7.178-16 16-16s16 7.176 16 16S168.8 72 160 72z"],
    "pause": [320, 512, [9208], "f04c", "M56 64C42.75 64 32 74.75 32 88v336C32 437.3 42.75 448 56 448s24-10.75 24-24V88C80 74.75 69.25 64 56 64zM264 64c-13.25 0-24 10.75-24 24v336c0 13.25 10.75 24 24 24S288 437.3 288 424V88C288 74.75 277.3 64 264 64z"],
    "paw": [512, 512, [], "f1b0", "M109.5 131.1C95.19 88.26 109.8 44.92 142.1 34.34C174.4 23.77 212.2 49.96 226.5 92.85C240.8 135.7 226.2 179.1 193.9 189.7C161.6 200.2 123.8 174 109.5 131.1zM490.2 165.3C514.7 179.3 519.2 216.1 500.4 249.4C481.5 281.9 446.3 296.8 421.8 282.7C397.3 268.7 392.8 231 411.6 198.6C430.5 166.1 465.7 151.2 490.2 165.3zM100.4 198.6C119.2 231 114.7 268.7 90.16 282.7C65.65 296.8 30.49 281.9 11.63 249.4C-7.237 216.1-2.664 179.3 21.84 165.3C46.35 151.2 81.51 166.1 100.4 198.6zM361.9 34.34C394.2 44.92 408.8 88.26 394.5 131.1C380.2 174 342.4 200.2 310.1 189.7C277.8 179.1 263.2 135.7 277.5 92.85C291.8 49.96 329.6 23.77 361.9 34.34zM69.3 392.1C121.7 252.4 214.8 224 256 224C297.2 224 390.3 252.4 442.7 392.1C446.4 402.8 448 413.4 448 423.9C448 454.9 422.9 480 391.9 480H388.5C380.3 480 372.1 478.4 364.4 475.3L291.7 446.3C268.8 437.1 243.2 437.1 220.3 446.3L147.6 475.3C139.9 478.4 131.7 480 123.5 480H120.1C89.11 480 64 454.9 64 423.9C64 413.4 65.62 402.8 69.3 392.1zM112 423.9C112 428.4 115.6 432 120.1 432H123.5C125.6 432 127.8 431.6 129.8 430.8L202.5 401.7C236.9 387.1 275.1 387.1 309.5 401.7L382.2 430.8C384.2 431.6 386.4 432 388.5 432H391.9C396.4 432 400 428.4 400 423.9C400 418.2 399.1 413.5 397.7 409.7C352.1 287.4 276.6 271.1 256 271.1C235.4 271.1 159.9 287.4 114.3 409.7C112.9 413.5 112 418.2 112 423.9z"],
    "paw-claws": [512, 512, [], "f702", "M320 0L373.1 58.4C390.4 77.45 400 102.3 400 128C400.2 139.3 398.5 151.2 394.5 163.1C380.2 206 342.4 232.2 310.1 221.7C277.8 211.1 263.2 167.7 277.5 124.9C285.7 100.2 301.7 81.02 320 71.23L320 0zM226.5 124.9C240.8 167.7 226.2 211.1 193.9 221.7C161.6 232.2 123.8 206 109.5 163.1C105.5 151.2 103.8 139.3 104 128C104 102.3 113.6 77.45 130.9 58.4L183.1 0V71.23C202.3 81.02 218.3 100.2 226.5 124.9H226.5zM100.4 230.6C119.2 263 114.7 300.7 90.16 314.7C65.65 328.8 30.49 313.9 11.63 281.4C3.718 267.8-.0714 253.3 .001 240L0 236.8C0 223.3 4.285 210.1 12.24 199.2L64 128V196.8C77.93 202.1 91.11 214.7 100.4 230.6V230.6zM442.7 424.1C446.4 434.8 448 445.4 448 455.9C448 486.9 422.9 512 391.9 512H388.5C380.3 512 372.1 510.4 364.4 507.3L291.7 478.3C268.8 469.1 243.2 469.1 220.3 478.3L147.6 507.3C139.9 510.4 131.7 512 123.5 512H120.1C89.11 512 64 486.9 64 455.9C64 445.4 65.62 434.8 69.3 424.1C121.7 284.4 214.8 256 256 256C297.2 256 390.3 284.4 442.7 424.1zM256 304C235.4 304 159.9 319.4 114.3 441.7C112.9 445.5 112 450.2 112 455.9C112 460.4 115.6 464 120.1 464H123.5C125.6 464 127.8 463.6 129.8 462.8L202.5 433.7C236.9 419.1 275.1 419.1 309.5 433.7L382.2 462.8C384.2 463.6 386.4 464 388.5 464H391.9C396.4 464 400 460.4 400 455.9C400 450.2 399.1 445.5 397.7 441.7C352.1 319.4 276.6 304 256 304zM421.8 314.7C397.3 300.7 392.8 263 411.6 230.6C420.9 214.7 434.1 202.1 448 196.8V127.1L499.8 199.2C507.7 210.1 512 223.3 512 236.8V239.1C512.1 253.3 508.3 267.8 500.4 281.4C481.5 313.9 446.3 328.8 421.8 314.7V314.7z"],
    "paw-simple": [448, 512, ["paw-alt"], "f701", "M192 80C192 106.5 170.5 128 144 128C117.5 128 96 106.5 96 80C96 53.49 117.5 32 144 32C170.5 32 192 53.49 192 80zM150.6 200.7C166.4 175.4 194.1 160 224 160C253.9 160 281.6 175.4 297.4 200.7L346.6 279.3C349.4 283.8 353.6 287.2 358.4 289.4C392.4 305.4 416 339.9 416 380C416 435.2 371.2 480 316 480C294.8 480 275.2 473.4 259.1 462.2C241.7 450.2 206.3 450.2 188.9 462.2C172.8 473.4 153.2 480 132 480C76.77 480 32 435.2 32 380C32 339.9 55.55 305.4 89.56 289.4C94.35 287.2 98.61 283.8 101.4 279.3L150.6 200.7zM191.3 226.1L142.1 304.8C133.4 318.7 121.2 327.6 109.1 332.9C92.16 341.2 80 359.2 80 380C80 408.7 103.3 432 132 432C143.1 432 153.2 428.6 161.6 422.8C181.2 409.1 205.3 405.2 224 405.2C242.7 405.2 266.8 409.1 286.4 422.8C294.8 428.6 304.9 432 316 432C344.7 432 368 408.7 368 380C368 359.2 355.8 341.2 338 332.9C326.8 327.6 314.6 318.7 305.9 304.8L256.7 226.1C249.7 214.9 237.3 208 224 208C210.7 208 198.3 214.9 191.3 226.1H191.3zM256 80C256 53.49 277.5 32 304 32C330.5 32 352 53.49 352 80C352 106.5 330.5 128 304 128C277.5 128 256 106.5 256 80zM448 192C448 218.5 426.5 240 400 240C373.5 240 352 218.5 352 192C352 165.5 373.5 144 400 144C426.5 144 448 165.5 448 192zM0 192C0 165.5 21.49 144 48 144C74.51 144 96 165.5 96 192C96 218.5 74.51 240 48 240C21.49 240 0 218.5 0 192z"],
    "peace": [512, 512, [9774], "f67c", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM464 256c0 40.47-11.8 78.16-31.88 110.1L280 244.4V49.5C383.4 61.45 464 149.4 464 256zM232 462.5c-47.39-5.477-89.98-26.86-122.2-58.77L232 305.9V462.5zM280 305.9l122.2 97.78c-32.24 31.91-74.83 53.3-122.2 58.77V305.9zM232 49.5v194.9l-152.1 121.7C59.8 334.2 48 296.5 48 256C48 149.4 128.6 61.45 232 49.5z"],
    "peach": [512, 512, [], "e20b", "M368.4 99.72c28.03-12.44 47.65-40.41 47.65-73.06L416 0h-80c-44.18 0-79.1 35.82-79.1 80c0-44.18-35.82-80-79.1-80H96l.0039 26.67c0 32.65 19.62 60.62 47.66 73.06C61.72 116.1 0 184.9 0 267.2c0 113.5 124.9 204.1 248.7 243.7C251.1 511.6 253.5 512 256 512s4.938-.375 7.312-1.141C387.1 471.3 512 380.7 512 267.2C512 184.9 450.3 116.1 368.4 99.72zM256 462.8c-122.8-41.23-208-120.1-208-195.5C48 99.63 309.3 124.1 309.3 248c0 13.25 10.75 24 24 24s24-10.75 24-24c0-39.02-19.36-74.54-50.85-101.5C379.6 132.9 464 183 464 267.2C464 341.8 378.8 421.5 256 462.8z"],
    "peanut": [512, 512, [], "e430", "M510.4 95.12c-1.531-50.04-43.46-91.98-93.52-93.5c0 0-53.69-1.62-55.74-1.62c-87.91 0-158.9 63.6-169.5 149.5C186.9 187.5 153.7 191.1 149.5 191.6c-86.09 10.59-149.5 83.31-149.5 170.3c0 1.795 .027 3.595 .0813 5.402l1.531 49.56c1.5 50.04 43.46 91.1 93.52 93.51c0 0 53.25 1.609 55.06 1.609c86.9 0 159.6-63.38 170.2-149.5c4.178-33.2 29.75-40.62 42.15-42.17c86.09-10.59 149.5-83.31 149.5-170.3c0-1.795-.027-3.595-.0813-5.402L510.4 95.12zM463.1 150.3c0 63.54-44.56 114.7-107.3 122.4c-22.37 2.75-42.06 12.06-56.1 26.97c-14.81 14.88-24.12 34.56-26.9 56.94c-7.802 63.08-58.65 107.3-123.3 107.3c-1.105 0-52.92-1.555-52.92-1.555c-24.72-.75-46.25-22.26-46.96-46.1c0 0-1.595-52.35-1.595-53.74c0-63.54 44.56-114.7 107.3-122.4C218.8 231.5 236.3 179.6 239.3 155.4C247 92.55 298.1 48.01 361.6 48.01c1.375 0 53.78 1.578 53.78 1.578c24.72 .75 46.25 22.27 46.96 46.98C462.4 96.57 463.1 148.9 463.1 150.3zM144 380c-11.03 0-19.1 8.969-19.1 20s8.969 20 19.1 20c11.03 0 19.1-8.969 19.1-20S155 380 144 380zM208 316c-11.03 0-19.1 8.969-19.1 20s8.967 19.1 19.1 19.1c11.03 0 19.1-8.967 19.1-19.1S219 316 208 316zM208 380c-11.03 0-19.1 8.969-19.1 20s8.967 20 19.1 20c11.03 0 19.1-8.969 19.1-20S219 380 208 380zM399.1 124c-11.03 0-20 8.969-20 20s8.969 20 20 20c11.03 0 19.1-8.969 19.1-20S411 124 399.1 124zM335.1 188c-11.03 0-19.1 8.969-19.1 20s8.967 20 19.1 20s19.1-8.969 19.1-20S347 188 335.1 188zM399.1 188c-11.03 0-20 8.969-20 20s8.969 20 20 20c11.03 0 19.1-8.969 19.1-20S411 188 399.1 188z"],
    "peanuts": [640, 512, [129372], "e431", "M336 316c-11.03 0-19.1 8.969-19.1 20s8.967 19.1 19.1 19.1c11.03 0 19.1-8.967 19.1-19.1S347 316 336 316zM336 380c-11.03 0-19.1 8.969-19.1 20s8.967 20 19.1 20c11.03 0 19.1-8.969 19.1-20S347 380 336 380zM272 380c-11.03 0-19.1 8.969-19.1 20s8.969 20 19.1 20c11.03 0 19.1-8.969 19.1-20S283 380 272 380zM527.1 124c-11.03 0-20 8.969-20 20s8.969 20 20 20c11.03 0 19.1-8.969 19.1-20S539 124 527.1 124zM638.4 95.12c-1.531-50.04-43.46-91.98-93.52-93.5c0 0-53.69-1.62-55.74-1.62c-61.07 0-148.4 32.64-170.4 152.7c.6134-5.28 .9273-10.62 .9273-15.99c0-19.72-4.232-39.9-13.42-59.31L287.1 36.82c-10.88-22.98-34.29-36.82-58.19-36.82c-8.01 0-16.07 1.554-23.74 4.841l-40.39 17.31c-51.01 21.87-80.85 70.74-80.85 122.9c0 32.42 9.155 40.15 9.155 61.37c0 66.64-93.05 57.76-93.05 167.8c0 20.08 4.417 40.65 13.74 60.37l19.2 40.57c10.87 22.98 34.29 36.82 58.19 36.82c8.009 0 16.07-1.554 23.74-4.839l40.39-17.31c2.697-1.156 4.875-2.9 7.363-4.299c16.45 14.64 37.51 24.14 60.52 24.84c0 0 53.25 1.609 55.06 1.609c86.9 0 159.6-63.38 170.2-149.5c4.178-33.2 29.75-40.62 42.15-42.17c86.09-10.59 149.5-83.31 149.5-170.3c0-1.795-.027-3.595-.0813-5.402L638.4 95.12zM591.1 150.3c0 63.54-44.56 114.7-107.3 122.4c-22.37 2.75-42.06 12.06-56.1 26.97c-14.81 14.88-24.12 34.56-26.9 56.94c-7.802 63.08-58.65 107.3-123.3 107.3c-1.105 0-52.92-1.555-52.92-1.555c-24.72-.75-46.25-22.26-46.96-46.1c0 0-1.595-52.35-1.595-53.74c0-63.54 44.56-114.7 107.3-122.4c63.42-7.785 80.94-59.61 83.9-83.9c7.748-62.8 58.87-107.3 122.4-107.3c1.375 0 53.78 1.578 53.78 1.578c24.72 .75 46.25 22.27 46.96 46.98C590.4 96.57 591.1 148.9 591.1 150.3zM527.1 188c-11.03 0-20 8.969-20 20s8.969 20 20 20c11.03 0 19.1-8.969 19.1-20S539 188 527.1 188zM463.1 188c-11.03 0-19.1 8.969-19.1 20s8.967 20 19.1 20s19.1-8.969 19.1-20S475 188 463.1 188z"],
    "peapod": [512, 512, [], "e31c", "M256 199.1C225.1 199.1 200 225.1 200 256S225.1 312 256 312S312 286.9 312 256S286.9 199.1 256 199.1zM368 88C337.1 88 312 113.1 312 144c0 30.93 25.07 56 56 56C398.9 200 424 174.9 424 144C424 113.1 398.9 88 368 88zM144 312c-30.94 0-56 25.06-56 56c0 30.93 25.06 56 56 56c30.93 0 56-25.07 56-56C200 337.1 174.9 312 144 312zM496.5 15.44c-10.19-10.17-24.65-15.55-38.62-15.44c-66.28 1.656-189.8 16.73-272.4 99.36L99.38 185.5c-82.53 82.56-97.68 206.1-99.37 272.4c-.3438 14.38 5.279 28.44 15.47 38.63C25.36 506.4 38.89 512 52.79 512c.4375 0 .875-.0156 1.312-.0156c66.28-1.656 189.8-16.75 272.4-99.38l86.12-86.13c82.53-82.56 97.68-206.1 99.37-272.4C512.3 39.71 506.7 25.63 496.5 15.44zM378.7 292.5l-86.12 86.13C219.1 452.1 100.5 462.8 52.89 463.1c-2 .3594-2.781-.75-3.469-1.406c-.6562-.6719-1.469-1.812-1.406-3.469c1.188-47.61 11.94-166.3 85.31-239.7l86.12-86.13c73.46-73.46 192.1-84.13 239.7-85.31c1.594 0 2.812 .7656 3.469 1.406c.6562 .6719 1.438 1.812 1.406 3.469C462.8 100.5 452.1 219.1 378.7 292.5z"],
    "pear": [512, 512, [], "e20c", "M512 24C512 10.29 500.8 0 488 0c-6.141 0-12.28 2.344-16.97 7.031L422.4 55.62C400.1 40 374.4 32 348.2 32C311.5 32 274.5 46.75 246.9 74.35C217.8 103.5 180.9 123.2 141.2 134.1c-33.07 9.063-141.2 58.05-141.2 185.4c0 106.7 86.96 192.5 192.2 192.5c37.68 0 150.1-19.78 184.2-138.8c35.34-123.4 103.2-111.1 103.2-206.9c0-26.69-7.883-53.41-23.55-76.39l48.87-48.87C509.7 36.28 512 30.14 512 24zM431.1 165.4c0 70.17-63.47 60.93-101.7 194.6C318.5 401.2 274.9 464 192.2 464c-62.92 0-144.3-50.66-144.3-144.5c0-67.08 45.85-122.7 105.9-139.1C278.5 146.2 275.1 80 348.2 80c10.63 0 25.17 2.125 39.71 10.11l-20.92 20.92C362.3 115.7 360 121.9 360 128c0 6.861 5.368 24 24 24c6.156 0 12.28-2.344 16.97-7.031l20.56-20.56C425.6 131.9 431.1 146.2 431.1 165.4z"],
    "pedestal": [448, 512, [], "e20d", "M144 88c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24S168 125.3 168 112C168 98.74 157.3 88 144 88zM304 88c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24s24-10.75 24-24C328 98.74 317.3 88 304 88zM424 464H416V64c0-35.35-28.65-64-64-64H96C60.65 0 32 28.65 32 64v400H24C10.75 464 0 474.7 0 488C0 501.3 10.75 512 24 512h400c13.25 0 24-10.75 24-24C448 474.7 437.3 464 424 464zM368 464h-288V64c0-8.822 7.178-16 16-16h256c8.822 0 16 7.178 16 16V464z"],
    "pegasus": [576, 512, [], "f703", "M463.1 112c8.874 0 15.1-7.125 15.1-16s-7.125-16-15.1-16S447.1 87.12 447.1 96S455.1 112 463.1 112zM575.1 102.5c0-11.21-3.887-22.07-10.1-30.74l-21.75-26.5c15.99-5.371 29.11-18.75 32.62-35.61c1.035-4.97-2.897-9.641-7.974-9.641L431.1 0c-68.37 0-125.9 48-140.4 112L265.7 111.1c-39.01-.0001-78.04-13.53-104.8-41.95C157 65.87 152.1 64 147.1 64C137.4 64 127.1 71.62 127.1 83c0 86.12 59.75 162.8 139.1 183.2c10.12 2.625 19.1-5.125 19.1-15.62L287.1 234.2C287.1 227.3 283.6 221 276.9 219.1C239.5 208.7 207.9 181.4 190.5 145.8C213.9 155.1 239.4 160 265.7 160h70.26l-.0097-16c0-53.02 42.98-96 95.99-96h51.37l44.62 54.25v65.38c0 4.743-3.013 8.961-7.5 10.5L489.5 188.8c-1.5 .5-9.749 3-16.5-3.75L447.1 160h-31.1v80c0 26.12-12.62 49-31.1 63.63L383.1 464h-48.01V320l-139.9-31.12L167.5 369L191.5 464h-41.5l-21.12-87.88C127.6 370.8 127.7 365.2 129.2 360l22.75-76.75C128.5 273.8 111.1 250.9 111.1 224c0-15 5.125-28.62 13.75-39.5c-8.874-14.25-15.62-29.75-20.62-46.12C97.24 144.9 89.87 152 83.1 160.4C37.37 162.5 0 200.9 0 248v48C0 309.3 10.74 320 23.1 320s23.1-10.75 23.1-23.1L47.1 248c0-13.25 6.874-24.38 16.75-31.62C64.62 218.9 63.1 221.4 63.1 224c0 30.12 11.87 58.13 32.12 78.63l-12.87 43.75c-3.1 13.25-4.375 27.38-1.125 40.87l24.12 100.3C109.7 501.9 122.6 512 137.4 512h74.75c20.85 0 36.12-19.62 31.01-39.84l-25.51-100.8L226.1 345l60.1 13.5V480c0 17.6 14.4 32 31.1 32h79.1c17.6 0 31.1-14.4 31.1-32v-155.6c19.1-22.5 31.25-51.13 31.1-81.62V234.4c20.1 7 38.37 .75 40.1-.125l30.99-10.62c23.93-8.202 40-30.7 40-56V102.5z"],
    "pen": [512, 512, [128394], "f304", "M58.57 323.5L362.7 19.32C387.7-5.678 428.3-5.678 453.3 19.32L492.7 58.75C495.8 61.87 498.5 65.24 500.9 68.79C517.3 93.63 514.6 127.4 492.7 149.3L188.5 453.4C187.2 454.7 185.9 455.1 184.5 457.2C174.9 465.7 163.5 471.1 151.1 475.6L30.77 511C22.35 513.5 13.24 511.2 7.03 504.1C.8198 498.8-1.502 489.7 .976 481.2L36.37 360.9C40.53 346.8 48.16 333.9 58.57 323.5L58.57 323.5zM82.42 374.4L59.44 452.6L137.6 429.6C143.1 427.7 149.8 424.2 154.6 419.5L383 191L320.1 128.1L92.51 357.4C91.92 358 91.35 358.6 90.8 359.3C86.94 363.6 84.07 368.8 82.42 374.4L82.42 374.4z"],
    "pen-circle": [512, 512, [], "e20e", "M372.1 154.1C387.8 169.7 387.8 195 372.1 210.7L350.7 232.1L279.8 161.1L301.2 139.7C316.8 124.1 342.1 124.1 357.8 139.7L372.1 154.1zM151.9 288.1L257.1 183.8L328.1 254.7L222.9 359.9C218.8 364 213.6 366.9 208 368.3L147.9 383.4C142.4 384.7 136.7 383.1 132.7 379.2C128.7 375.2 127.1 369.4 128.5 363.1L143.5 303.8C144.9 298.2 147.8 293.1 151.9 288.1V288.1zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "pen-clip": [512, 512, ["pen-alt"], "f305", "M320 62.06L362.7 19.32C387.7-5.678 428.3-5.678 453.3 19.32L492.7 58.75C517.7 83.74 517.7 124.3 492.7 149.3L229.5 412.5C181.5 460.5 120.3 493.2 53.7 506.5L28.71 511.5C20.84 513.1 12.7 510.6 7.03 504.1C1.356 499.3-1.107 491.2 .4662 483.3L5.465 458.3C18.78 391.7 51.52 330.5 99.54 282.5L286.1 96L272.1 82.91C263.6 73.54 248.4 73.54 239 82.91L136.1 184.1C127.6 194.3 112.4 194.3 103 184.1C93.66 175.6 93.66 160.4 103 151L205.1 48.97C233.2 20.85 278.8 20.85 306.9 48.97L320 62.06zM320 129.9L133.5 316.5C94.71 355.2 67.52 403.1 54.85 457.2C108 444.5 156.8 417.3 195.5 378.5L382.1 192L320 129.9z"],
    "pen-clip-slash": [640, 512, ["pen-alt-slash"], "e20f", "M192.5 125.6L269.1 48.97C297.2 20.85 342.8 20.85 370.9 48.97L384 62.06L426.7 19.32C451.7-5.677 492.3-5.677 517.3 19.32L556.7 58.75C581.7 83.74 581.7 124.3 556.7 149.3L409.9 296L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L192.5 125.6zM230.5 155.4L264.2 181.8L350.1 96L336.1 82.91C327.6 73.54 312.4 73.54 303 82.91L230.5 155.4zM302.3 211.6L371.9 266.2L446.1 192L384 129.9L302.3 211.6zM118.8 457.2C172 444.5 220.8 417.3 259.5 378.5L303.2 334.9L341.2 364.8L293.5 412.5C245.5 460.5 184.3 493.2 117.7 506.5L92.71 511.5C84.84 513.1 76.7 510.6 71.03 504.1C65.35 499.3 62.89 491.2 64.46 483.3L69.46 458.3C82.78 391.7 115.5 330.5 163.5 282.5L195.8 250.3L233.8 280.2L197.5 316.5C158.7 355.2 131.5 403.1 118.8 457.2H118.8z"],
    "pen-fancy": [512, 512, [128395, 10002], "f5ac", "M512 85.31C512 108.1 502.2 131.6 484.8 147.8L277.1 341.2L254.4 414.8C247.4 437.6 229.6 455.4 206.8 462.4L51.94 510.1C21.25 519.5-7.494 490.7 1.95 460.1L49.59 305.2C56.6 282.4 74.44 264.6 97.23 257.6L170.8 234.9L364.2 27.18C380.4 9.845 403 0 426.7 0C473.8 0 512 38.2 512 85.31V85.31zM217.3 255.4L256.6 294.7L452.1 112.6C459.7 105.6 464 95.67 464 85.31C464 64.7 447.3 47.1 426.7 47.1C416.3 47.1 406.4 52.31 399.4 59.89L217.3 255.4zM228.8 334.8L177.2 283.2L111.3 303.5C103.7 305.8 97.8 311.7 95.47 319.3L62.33 427L112 377.3C112 376.9 111.1 376.4 111.1 376C111.1 362.7 122.7 352 135.1 352C149.3 352 159.1 362.7 159.1 376C159.1 389.3 149.3 400 135.1 400C135.6 400 135.1 399.1 134.7 399.1L84.95 449.7L192.7 416.5C200.3 414.2 206.2 408.2 208.5 400.7L228.8 334.8z"],
    "pen-fancy-slash": [640, 512, [], "e210", "M275.8 190.9L428.2 27.18C444.4 9.846 467 .001 490.7 .001C537.8 .001 576 38.2 576 85.31C576 108.1 566.2 131.6 548.8 147.8L398.9 287.3L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L275.8 190.9zM313.7 220.6L360.6 257.4L516.1 112.6C523.7 105.6 528 95.67 528 85.31C528 64.71 511.3 48 490.7 48C480.3 48 470.4 52.31 463.4 59.89L313.7 220.6zM159.5 319.3L126.3 427L176 377.3C176 376.9 176 376.5 176 376C176 362.7 186.7 352 200 352C213.3 352 224 362.7 224 376C224 389.3 213.3 400 200 400C199.6 400 199.1 399.1 198.7 399.1L148.1 449.7L256.7 416.5C264.3 414.2 270.2 408.3 272.5 400.7L293.2 333.3L333.7 365.2L318.4 414.8C311.4 437.6 293.6 455.4 270.8 462.4L115.9 510.1C85.25 519.5 56.51 490.7 65.95 460.1L113.6 305.2C120.6 282.4 138.4 264.6 161.2 257.6L187 249.7L232.9 285.8L175.3 303.5C167.7 305.8 161.8 311.8 159.5 319.3H159.5z"],
    "pen-field": [640, 512, [], "e211", "M500.1 25.53C529-2.904 574.9-3.055 603.1 25.19L615 37.1C643.2 65.21 643.2 110.8 615.1 138.9L438.6 315.5C428.7 325.4 416.1 332.2 402.4 335.1L316.9 352.1C308.1 354.7 300.8 352.2 295 346.5C289.3 340.7 286.8 332.5 288.5 324.6L306.5 238.9C309.3 225.4 315.1 212.1 325.7 203.1L500.1 25.53zM569.2 59.14C559.8 49.72 544.5 49.77 535.1 59.25L514.3 80.36L560 126.1L581.1 104.1C590.5 95.6 590.5 80.41 581.1 71.04L569.2 59.14zM353.5 248.8L343 298.5L392.6 288.1C397.1 287.1 401.3 284.9 404.6 281.6L526.1 160L480.6 114.5L359.9 236.8C356.6 240.1 354.4 244.3 353.5 248.8L353.5 248.8zM264 128C277.3 128 288 138.7 288 152C288 165.3 277.3 176 264 176H72C58.75 176 48 186.7 48 200V440C48 453.3 58.75 464 72 464H504C517.3 464 528 453.3 528 440V312C528 298.7 538.7 288 552 288C565.3 288 576 298.7 576 312V440C576 479.8 543.8 512 504 512H72C32.24 512 0 479.8 0 440V200C0 160.2 32.24 128 72 128H264zM96 320C96 302.3 110.3 288 128 288C145.7 288 160 302.3 160 320C160 337.7 145.7 352 128 352C110.3 352 96 337.7 96 320zM256 320C256 337.7 241.7 352 224 352C206.3 352 192 337.7 192 320C192 302.3 206.3 288 224 288C241.7 288 256 302.3 256 320z"],
    "pen-line": [576, 512, [], "e212", "M36.37 360.9C40.53 346.8 48.16 333.9 58.57 323.5L362.7 19.32C387.7-5.678 428.3-5.678 453.3 19.32L492.7 58.75C495.8 61.87 498.5 65.24 500.9 68.79C517.3 93.63 514.6 127.4 492.7 149.3L188.5 453.4C187.2 454.7 185.9 455.1 184.5 457.2C174.9 465.7 163.5 471.1 151.1 475.6L30.77 511C22.35 513.5 13.24 511.2 7.03 504.1C.8198 498.8-1.502 489.7 .976 481.2L36.37 360.9zM59.44 452.6L137.6 429.6C143.1 427.7 149.8 424.2 154.6 419.5L383 191L320.1 128.1L92.51 357.4C91.92 358 91.35 358.6 90.8 359.3C86.94 363.6 84.07 368.8 82.42 374.4L59.44 452.6zM552 464C565.3 464 576 474.7 576 488C576 501.3 565.3 512 552 512H248C234.7 512 224 501.3 224 488C224 474.7 234.7 464 248 464H552z"],
    "pen-nib": [512, 512, [10001], "f5ad", "M368.4 18.34C390.3-3.526 425.7-3.526 447.6 18.34L493.7 64.4C515.5 86.27 515.5 121.7 493.7 143.6L412.2 225L371.6 374.1C366.7 391.9 353.5 406.1 336.1 412.2L71.97 505C53.47 511.5 32.89 506.8 19.03 492.1C5.168 479.1 .4845 458.5 6.982 440L99.79 175.9C105.9 158.5 120.1 145.3 137.9 140.4L286.1 99.77L368.4 18.34zM296.9 146.8L150.5 186.7C147.1 187.4 145.9 189.3 145.1 191.8L62.47 426.9L164.7 324.7C161.7 318.4 160 311.4 160 304C160 277.5 181.5 256 208 256C234.5 256 256 277.5 256 304C256 330.5 234.5 352 208 352C200.6 352 193.6 350.3 187.3 347.3L85.1 449.5L320.2 366.9C322.7 366.1 324.6 364 325.3 361.5L365.2 215.1L296.9 146.8z"],
    "pen-nib-slash": [640, 512, [], "e4a1", "M208.1 138.5L350.1 99.77L432.4 18.34C454.3-3.525 489.7-3.525 511.6 18.34L557.7 64.4C579.5 86.27 579.5 121.7 557.7 143.6L476.2 225L448.6 326.3L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L208.1 138.5zM256.1 175.4L407.6 294.2L429.2 215.1L360.9 146.8L256.1 175.4zM251.3 347.3L149.1 449.5L356.3 376.7L400.1 411.9L400.1 412.2L135.1 505C117.5 511.5 96.89 506.8 83.03 492.1C69.17 479.1 64.48 458.5 70.98 440L150.3 214.4L190.1 245.8L126.5 426.9L228.7 324.7C225.7 318.4 224 311.4 224 304C224 294.6 226.7 285.8 231.4 278.3L306.4 337.4C297.7 346.4 285.5 352 272 352C264.6 352 257.6 350.3 251.3 347.3H251.3z"],
    "pen-paintbrush": [576, 512, ["pencil-paintbrush"], "f618", "M90.57 323.5L394.7 19.32C419.7-5.678 460.3-5.678 485.3 19.32L524.7 58.75C527.8 61.87 530.5 65.24 532.9 68.79C549.3 93.63 546.6 127.4 524.7 149.3L220.5 453.4C219.2 454.7 217.9 455.1 216.5 457.2C206.9 465.7 195.5 471.1 183.1 475.6L62.77 511C54.35 513.5 45.24 511.2 39.03 504.1C32.82 498.8 30.5 489.7 32.98 481.2L68.37 360.9C72.53 346.8 80.16 333.9 90.57 323.5L90.57 323.5zM114.4 374.4L91.44 452.6L169.6 429.6C175.1 427.7 181.8 424.2 186.6 419.5L415 191L352.1 128.1L124.5 357.4C123.9 358 123.3 358.6 122.8 359.3C118.9 363.6 116.1 368.8 114.4 374.4L114.4 374.4zM321.8 408.7C329.4 440.4 357.9 464 391.9 464H477.5L476.8 463.1C465.2 446.2 459.8 424.5 463.1 403.1C463.6 399.5 463.9 395.8 463.9 392C463.9 357.1 440.3 329.5 408.6 321.9L445.8 284.7C484.1 304.5 511.9 345.1 511.9 392C511.9 398.2 511.4 404.4 510.5 410.4C507.8 428.2 519.8 448 537.9 448H543.9C561.6 448 575.9 462.3 575.9 480C575.9 497.7 561.6 512 543.9 512H391.9C345 512 304.4 485.1 284.6 445.9L321.8 408.7zM136 24L234.7 122.7L200.8 156.7L102.1 57.94C89.88 45.76 70.12 45.76 57.94 57.94C45.76 70.12 45.76 89.88 57.94 102.1L156.7 200.8L122.7 234.7L24 136C-6.927 105.1-6.927 54.93 24 24C54.93-6.927 105.1-6.927 136 24V24z"],
    "pen-ruler": [512, 512, ["pencil-ruler"], "f5ae", "M484.7 338.7C509.7 363.7 509.7 404.3 484.7 429.3L429.3 484.7C404.3 509.7 363.7 509.7 338.7 484.7L273.5 419.5L307.5 385.5L372.7 450.7C378.9 456.1 389.1 456.1 395.3 450.7L450.7 395.3C456.1 389.1 456.1 378.9 450.7 372.7L434.3 356.3L411.3 379.3C405.1 385.6 394.9 385.6 388.7 379.3C382.4 373.1 382.4 362.9 388.7 356.7L411.7 333.7L385.5 307.5L419.5 273.5L484.7 338.7zM92.52 238.5L27.31 173.3C2.32 148.3 2.32 107.7 27.31 82.75L82.74 27.32C107.7 2.322 148.3 2.322 173.3 27.32L238.5 92.52L204.5 126.5L178.3 100.3L155.3 123.3C149.1 129.6 138.9 129.6 132.7 123.3C126.4 117.1 126.4 106.9 132.7 100.7L155.7 77.66L139.3 61.26C133.1 55.01 122.9 55.01 116.7 61.26L61.25 116.7C55.01 122.9 55.01 133.1 61.25 139.3L126.5 204.5L92.52 238.5zM58.57 323.5L362.7 19.32C387.7-5.678 428.3-5.678 453.3 19.32L492.7 58.75C495.8 61.87 498.5 65.24 500.9 68.79C517.3 93.63 514.6 127.4 492.7 149.3L188.5 453.4C187.2 454.7 185.9 455.1 184.5 457.2C174.9 465.7 163.5 471.1 151.1 475.6L30.77 511C22.35 513.5 13.24 511.2 7.03 504.1C.8198 498.8-1.502 489.7 .976 481.2L36.37 360.9C40.53 346.8 48.16 333.9 58.57 323.5L58.57 323.5zM82.42 374.4L59.44 452.6L137.6 429.6C143.1 427.7 149.8 424.2 154.6 419.5L383 191L320.1 128.1L92.51 357.4C91.92 358 91.35 358.6 90.8 359.3C86.94 363.6 84.07 368.8 82.42 374.4L82.42 374.4z"],
    "pen-slash": [640, 512, [], "e213", "M264.3 181.8L426.7 19.32C451.7-5.677 492.3-5.677 517.3 19.32L556.7 58.75C559.8 61.87 562.5 65.24 564.9 68.79C581.3 93.63 578.6 127.4 556.7 149.3L409.9 296L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L264.3 181.8zM302.3 211.6L371.9 266.2L447 191L384.1 128.1L302.3 211.6zM154.8 359.3C150.9 363.6 148.1 368.8 146.4 374.4L123.4 452.6L201.6 429.6C207.1 427.7 213.8 424.2 218.6 419.5L303.2 334.9L341.2 364.8L252.5 453.4C251.2 454.7 249.9 455.1 248.5 457.2C238.9 465.7 227.5 471.1 215.1 475.6L94.77 511C86.35 513.5 77.24 511.2 71.03 504.1C64.82 498.8 62.5 489.7 64.98 481.2L100.4 360.9C104.5 346.8 112.2 333.9 122.6 323.5L195.8 250.3L233.8 280.2L156.5 357.4C155.9 358 155.3 358.6 154.8 359.3L154.8 359.3z"],
    "pen-swirl": [512, 512, [], "e214", "M372.1 25.53C401-2.904 446.9-3.055 475.1 25.19L487 37.1C515.2 65.21 515.2 110.8 487.1 138.9L310.6 315.5C300.7 325.4 288.1 332.2 274.4 335.1L188.9 352.1C180.1 354.7 172.8 352.2 167 346.5C161.3 340.7 158.8 332.5 160.5 324.6L178.5 238.9C181.3 225.4 187.1 212.1 197.7 203.1L372.1 25.53zM441.2 59.14C431.8 49.72 416.5 49.77 407.1 59.25L386.3 80.36L432 126.1L453.1 104.1C462.5 95.6 462.5 80.41 453.1 71.04L441.2 59.14zM225.5 248.8L215 298.5L264.6 288.1C269.1 287.1 273.3 284.9 276.6 281.6L398.1 160L352.6 114.5L231.9 236.8C228.6 240.1 226.4 244.3 225.5 248.8L225.5 248.8zM284.7 58.05C275.3 56.7 265.8 56 256 56C145.5 56 56 145.5 56 256C56 366.5 145.5 456 256 456C269.3 456 280 466.7 280 480C280 493.3 269.3 504 256 504C119 504 8 392.1 8 256C8 119 119 8 256 8C279.8 8 302.9 11.36 324.7 17.63L284.7 58.05zM494.6 187.1C500.7 209.6 504 232.4 504 256C504 339.9 435.9 408 352 408C338.7 408 328 397.3 328 384C328 370.7 338.7 360 352 360C409.4 360 456 313.4 456 256C456 246.7 455.4 237.5 454.1 228.4L494.6 187.1z"],
    "pen-to-square": [512, 512, ["edit"], "f044", "M373.1 24.97C401.2-3.147 446.8-3.147 474.9 24.97L487 37.09C515.1 65.21 515.1 110.8 487 138.9L289.8 336.2C281.1 344.8 270.4 351.1 258.6 354.5L158.6 383.1C150.2 385.5 141.2 383.1 135 376.1C128.9 370.8 126.5 361.8 128.9 353.4L157.5 253.4C160.9 241.6 167.2 230.9 175.8 222.2L373.1 24.97zM440.1 58.91C431.6 49.54 416.4 49.54 407 58.91L377.9 88L424 134.1L453.1 104.1C462.5 95.6 462.5 80.4 453.1 71.03L440.1 58.91zM203.7 266.6L186.9 325.1L245.4 308.3C249.4 307.2 252.9 305.1 255.8 302.2L390.1 168L344 121.9L209.8 256.2C206.9 259.1 204.8 262.6 203.7 266.6zM200 64C213.3 64 224 74.75 224 88C224 101.3 213.3 112 200 112H88C65.91 112 48 129.9 48 152V424C48 446.1 65.91 464 88 464H360C382.1 464 400 446.1 400 424V312C400 298.7 410.7 288 424 288C437.3 288 448 298.7 448 312V424C448 472.6 408.6 512 360 512H88C39.4 512 0 472.6 0 424V152C0 103.4 39.4 64 88 64H200z"],
    "pencil": [512, 512, [61504, 9999, "pencil-alt"], "f303", "M36.37 360.9C40.53 346.8 48.16 333.9 58.57 323.5L362.7 19.32C387.7-5.678 428.3-5.678 453.3 19.32L492.7 58.75C495.8 61.87 498.5 65.24 500.9 68.79C517.3 93.63 514.6 127.4 492.7 149.3L188.5 453.4C187.2 454.7 185.9 455.1 184.5 457.2C174.9 465.7 163.5 471.1 151.1 475.6L30.77 511C22.35 513.5 13.24 511.2 7.03 504.1C.8198 498.8-1.502 489.7 .976 481.2L36.37 360.9zM59.44 452.6L137.6 429.6C139.9 428.9 142.2 427.1 144.4 426.9L108.1 419.6C100.2 418 93.97 411.8 92.39 403.9L85.13 367.6C84.02 369.8 83.11 372.1 82.42 374.4L59.44 452.6zM180.7 393.3L383 191L320.1 128.1L118.7 331.3L128.1 383L180.7 393.3z"],
    "pencil-slash": [640, 512, [], "e215", "M264.2 181.8L426.7 19.32C451.7-5.676 492.3-5.677 517.3 19.32L556.7 58.75C559.8 61.87 562.5 65.24 564.9 68.79C581.3 93.63 578.6 127.4 556.7 149.3L409.9 296L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L264.2 181.8zM302.3 211.6L371.9 266.2L447 191L384.1 128.1L302.3 211.6zM192.1 383L244.7 393.3L303.2 334.9L341.2 364.8L252.5 453.4C251.2 454.7 249.9 455.1 248.5 457.2C238.9 465.7 227.5 471.1 215.1 475.6L94.77 511C86.35 513.5 77.24 511.2 71.03 504.1C64.82 498.8 62.5 489.7 64.97 481.2L100.4 360.9C104.5 346.8 112.2 333.9 122.6 323.5L195.8 250.3L233.8 280.2L182.7 331.3L192.1 383zM123.4 452.6L201.6 429.6C203.9 428.9 206.2 427.1 208.4 426.9L172.1 419.6C164.2 418 157.1 411.8 156.4 403.9L149.1 367.6C148 369.8 147.1 372.1 146.4 374.4L123.4 452.6z"],
    "people": [640, 512, [], "e216", "M159.1 96c26.5 0 47.1-21.5 47.1-48S186.5 0 160 0C133.5 0 111.1 21.5 111.1 48S133.5 96 159.1 96zM479.1 96c26.5 0 48-21.5 48-48S506.5 0 479.1 0c-26.5 0-47.1 21.5-47.1 48S453.5 96 479.1 96zM242.4 172.6C231.3 145.5 205.2 128 175.8 128H144.2C114.8 128 88.71 145.5 77.56 172.6L33.81 278.9C28.75 291.1 34.59 305.1 46.87 310.2c2.975 1.242 6.066 1.832 9.113 1.832c9.4 0 18.38-5.604 22.2-14.88l17.81-43.27V488c0 13.25 10.75 24 24 24s23.1-10.75 23.1-24V352h32v136c0 13.25 10.75 24 24 24c13.25 0 23.99-10.75 23.99-24V253.9l17.81 43.27C245.6 306.4 254.6 312 263.1 312c3.062 0 6.156-.5781 9.123-1.812c12.28-5.047 18.12-19.06 13.06-31.33L242.4 172.6zM143.1 304v-128h31.1l.002 128H143.1zM606.2 278.9l-43.75-106.3C551.3 145.5 525.2 128 495.8 128h-31.69c-29.31 0-55.44 17.5-66.59 44.58l-43.75 106.3c-5.062 12.27 .7813 26.28 13.06 31.33c2.877 1.205 5.846 1.771 8.764 1.771c7.957 0 15.57-4.205 20.09-11.14L367.1 384h47.1v104c0 13.25 10.75 24 24 24s23.1-10.75 23.1-24V384h31.1v104c0 13.25 10.75 24 24 24c13.25 0 23.99-10.75 23.99-24V384h48.01l-27.43-82.26C569.1 308.1 576.3 312 583.1 312c3.062 0 6.156-.5781 9.125-1.812C605.4 305.1 611.2 291.1 606.2 278.9zM434.6 336l45.4-136.2L525.4 336H434.6z"],
    "people-arrows": [576, 512, ["people-arrows-left-right"], "e068", "M112 343.1V488C112 501.3 122.8 512 136 512S160 501.3 160 488v-96.81l-47.59-47.59C112.3 343.4 112.2 343.3 112 343.1zM48 224c0-8.822 7.178-16 16-16h64c8.822 0 16 7.178 16 16v8.812l32.41-32.41c2.412-2.416 5.051-4.51 7.797-6.416C173.4 173.9 152.4 160 128 160H64C28.65 160 0 188.7 0 224v96c0 17.67 14.33 32 31.1 32L32 488C32 501.3 42.75 512 56 512s24-10.75 24-24V304h-32V224zM96 128c35.38 0 64-28.62 64-64S131.4 0 96 0S32 28.62 32 64S60.63 128 96 128zM480 128c35.38 0 64-28.62 64-64s-28.62-64-64-64s-64 28.62-64 64S444.6 128 480 128zM416 391.2V488c0 13.25 10.75 24 24 24s24-10.75 24-24v-144.9c-.1504 .1543-.2539 .3418-.4062 .4941L416 391.2zM512 160h-64c-24.44 0-45.42 13.86-56.2 33.99c2.746 1.906 5.385 4 7.797 6.416L432 232.8V224c0-8.822 7.178-16 16-16h64c8.822 0 16 7.178 16 16v80h-32v184c0 13.25 10.75 24 24 24S544 501.3 544 488V352c17.67 0 32-14.33 32-32V224C576 188.7 547.3 160 512 160zM440.1 287l-64-64c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L366.1 280H209.9l23.03-23.03c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0l-64 64c-9.375 9.375-9.375 24.56 0 33.94l64 64C203.7 389.7 209.8 392 216 392s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94L209.9 328h156.1l-23.03 23.03c-9.375 9.375-9.375 24.56 0 33.94C347.7 389.7 353.8 392 360 392s12.28-2.344 16.97-7.031l64-64C450.3 311.6 450.3 296.4 440.1 287z"],
    "people-carry-box": [640, 512, ["people-carry"], "f4ce", "M128 95.1c26.5 0 47.1-21.5 47.1-47.1S154.5 0 128 0S80.01 21.5 80.01 47.1S101.5 95.1 128 95.1zM511.1 95.1c26.5 0 47.1-21.5 47.1-47.1S538.5 0 511.1 0s-48 21.5-48 47.1S485.5 95.1 511.1 95.1zM599.1 250.6l-18.1-78.37c-4.25-17.37-16.75-31.1-33.5-39.37c-16.87-7.375-35.75-6.5-51.37 2.375c-25.62 14.37-40.37 47.5-46.87 66.12l-12.12 34.75c-.6249 1.625-1.75 3.125-3.375 4.25l-17.75 10.12V127.1c0-8.75-7.249-15.1-15.1-15.1H240c-8.749 0-15.1 7.25-15.1 15.1v122.5L206.3 240.4C204.6 239.2 203.4 237.7 202.8 236.1L190.6 201.4C184.1 182.7 169.4 149.6 143.8 135.2c-15.62-8.875-34.5-9.75-51.37-2.375C75.78 140.2 63.28 154.9 58.9 172.2L40.03 250.7C34.9 271.7 42.03 293.9 58.28 308.2l68.74 59.1c6.249 5.5 10.25 13.12 10.87 21.5l7.999 100.1c.8749 9.125 8.874 23.37 25.87 21.1c13.12-1.125 22.1-12.62 21.1-25.75l-8.749-109.2c-1.25-15.12-8.249-29.12-19.75-39.12L113.1 292.2L137.9 200.1c2.75 5.25 19.62 51.75 19.62 51.75c3.875 11.25 11.25 20.75 22.1 28.87l36.87 19.5c4.625 2.375 9.749 3.625 14.87 3.625h175.5c5.249 0 10.37-1.25 14.1-3.625l36.87-19.5c11.75-8.125 19.12-17.62 22.1-28.87c0 0 16.87-46.62 19.62-51.75l24.75 92.12l-52.24 45.5c-11.37 9.1-18.5 23.1-19.62 39.12l-8.874 109.1c-.9999 13.25 8.874 24.75 21.1 25.75c16.1 1.375 25.12-12.62 25.87-21.1l7.999-100.1c.625-8.375 4.625-16.12 10.87-21.5l68.74-59.87C597.1 293.9 604.1 271.7 599.1 250.6zM367.1 255.1H272L272 159.1h95.1L367.1 255.1zM638.2 478.9l-53.74-130.7l-38.25 33.37l47.5 115.6c4.999 12.12 18.87 18.12 31.25 13.12C637.3 505.2 643.2 491.2 638.2 478.9zM1.783 478.9c-4.999 12.37 .8749 26.37 13.12 31.37c12.37 4.1 26.37-.1 31.37-13.12l47.37-115.6l-38.25-33.37L1.783 478.9z"],
    "people-dress": [640, 512, [], "e217", "M606.2 278.9l-43.75-106.3C551.3 145.5 525.2 128 495.8 128H464.2c-29.31 0-55.44 17.5-66.59 44.58l-43.75 106.3c-5.062 12.27 .7813 26.28 13.06 31.33c2.877 1.205 5.846 1.771 8.764 1.771c7.957 0 15.57-4.205 20.09-11.14L368 384h48.01v104c0 13.25 10.74 24 23.99 24s24.01-10.75 24.01-24V384h31.1v104c0 13.25 10.74 24 23.1 24c13.25 0 24-10.75 24-24V384h47.1l-27.42-82.26C569.1 308.1 576.3 312 584 312c3.062 0 6.156-.5781 9.125-1.812C605.4 305.1 611.3 291.1 606.2 278.9zM434.6 336l45.4-136.2L525.4 336H434.6zM480 96c26.5 0 48-21.5 48-48S506.5 0 480 0c-26.5 0-47.1 21.5-47.1 48S453.5 96 480 96zM242.4 172.6C231.3 145.5 205.2 128 175.8 128H144.2C114.8 128 88.71 145.5 77.56 172.6L33.81 278.9C28.75 291.1 34.59 305.1 46.87 310.2c2.877 1.205 5.846 1.771 8.764 1.771c7.957 0 15.57-4.205 20.09-11.14L47.1 384h47.1v104c0 13.25 10.75 24 24 24s23.1-10.75 23.1-24V384h31.1v104c0 13.25 10.75 24 24 24c13.25 0 23.99-10.75 23.99-24V384H271.1L244.6 301.7C249.1 308.1 256.3 312 263.1 312c3.062 0 6.156-.5781 9.125-1.812c12.28-5.047 18.12-19.06 13.06-31.33L242.4 172.6zM114.6 336l45.4-136.2L205.4 336H114.6zM159.1 96c26.5 0 48-21.5 48-48S186.5 0 159.1 0c-26.5 0-48 21.5-48 48S133.5 96 159.1 96z"],
    "people-dress-simple": [512, 512, [], "e218", "M384 128c35.38 0 64-28.62 64-64s-28.62-64-64-64s-64 28.62-64 64S348.6 128 384 128zM505.5 343.2l-39.08-136.8C458.6 178.9 433.5 160 404.9 160h-41.85c-28.58 0-53.69 18.94-61.54 46.42l-39.08 136.8C256.6 363.7 271.1 384 293.2 384H320v104c0 13.25 10.75 24 24 24s24-10.75 24-24V384h32v104c0 13.25 10.75 24 24 24S448 501.3 448 488V384h26.78C496 384 511.4 363.7 505.5 343.2zM314.4 336l33.25-116.4C349.7 212.7 355.9 208 363.1 208h41.85c7.145 0 13.42 4.734 15.38 11.6L453.6 336H314.4zM210.5 206.4C202.6 178.9 177.5 160 148.9 160H107.1C78.5 160 53.39 178.9 45.54 206.4L6.452 343.2C.6119 363.7 15.96 384 37.22 384H64v104C64 501.3 74.75 512 88 512s24-10.75 24-24V384h32v104C144 501.3 154.8 512 168 512S192 501.3 192 488V384h26.78c21.26 0 36.61-20.35 30.77-40.79L210.5 206.4zM58.43 336l33.25-116.4C93.65 212.7 99.93 208 107.1 208h41.85c7.145 0 13.42 4.734 15.38 11.6L197.6 336H58.43zM128 128c35.38 0 64-28.62 64-64S163.4 0 128 0S64 28.62 64 64S92.63 128 128 128z"],
    "people-group": [640, 512, [], "e533", "M80 80C80 53.49 101.5 32 128 32C154.5 32 176 53.49 176 80C176 106.5 154.5 128 128 128C101.5 128 80 106.5 80 80zM144 160C167.1 160 190.2 167.5 208.4 180.3C196.3 191 186.1 203.7 178.2 217.9C168.3 211.6 156.6 208 144 208H112V400H144V384C144 370.7 154.7 360 168 360C181.3 360 192 370.7 192 384V416C192 433.7 177.7 448 160 448H96C78.33 448 64 433.7 64 416V373.2C26.16 355.2 0 316.7 0 272C0 210.1 50.14 160 112 160H144zM64 229.7C54.04 240.9 48 255.8 48 272C48 288.2 54.04 303.1 64 314.3V229.7zM496 208C483.4 208 471.7 211.6 461.8 217.9C453.9 203.7 443.7 191 431.6 180.3C449.8 167.5 472 160 496 160H528C589.9 160 640 210.1 640 272C640 316.7 613.8 355.2 576 373.2V416C576 433.7 561.7 448 544 448H480C462.3 448 448 433.7 448 416V384C448 370.7 458.7 360 472 360C485.3 360 496 370.7 496 384V400H528V208H496zM576 229.7V314.3C585.1 303.1 592 288.2 592 272C592 255.8 585.1 240.9 576 229.7zM560 80C560 106.5 538.5 128 512 128C485.5 128 464 106.5 464 80C464 53.49 485.5 32 512 32C538.5 32 560 53.49 560 80zM264 88C264 57.07 289.1 32 320 32C350.9 32 376 57.07 376 88C376 118.9 350.9 144 320 144C289.1 144 264 118.9 264 88zM336 176C397.9 176 448 226.1 448 288C448 332.7 421.8 371.2 384 389.2V448C384 465.7 369.7 480 352 480H288C270.3 480 256 465.7 256 448V389.2C218.2 371.2 192 332.7 192 288C192 226.1 242.1 176 304 176H336zM304 432H336V224H304V432zM256 330.3V245.7C246 256.9 240 271.8 240 288C240 304.2 246 319.1 256 330.3zM400 288C400 271.8 393.1 256.9 384 245.7V330.3C393.1 319.1 400 304.2 400 288z"],
    "people-line": [640, 512, [], "e534", "M360 72C360 94.09 342.1 112 320 112C297.9 112 280 94.09 280 72C280 49.91 297.9 32 320 32C342.1 32 360 49.91 360 72zM384 272C384 289.7 369.7 304 352 304H288C270.3 304 256 289.7 256 272V232.3L237.1 267.4C235.1 269.6 234.5 271.5 232.8 273.1L269.1 340.6C275.4 352.3 271.1 366.8 259.4 373.1C247.7 379.4 233.2 375 226.9 363.4L208 328.3V352C208 369.7 193.7 384 176 384H112C94.33 384 80 369.7 80 352V328.3L61.14 363.4C54.85 375 40.3 379.4 28.63 373.1C16.96 366.8 12.59 352.3 18.87 340.6L56.75 270.3C72.1 241.8 101.9 224 134.2 224H153.8C170.1 224 185.7 228.5 199.2 236.6L232.7 174.3C248.1 145.8 277.9 128 310.2 128H329.8C362.2 128 391.9 145.8 407.3 174.3L440.8 236.6C454.3 228.5 469.9 224 486.2 224H505.8C538.2 224 567.9 241.8 583.3 270.3L621.1 340.6C627.4 352.3 623.1 366.8 611.4 373.1C599.7 379.4 585.2 375 578.9 363.4L560 328.3V352C560 369.7 545.7 384 528 384H464C446.3 384 432 369.7 432 352V328.3L413.1 363.4C406.9 375 392.3 379.4 380.6 373.1C368.1 366.8 364.6 352.3 370.9 340.6L407.2 273.1C405.5 271.5 404.1 269.6 402.9 267.4L384 232.3L384 272zM304 176.5V256H336V176.5C333.1 176.2 331.9 176 329.8 176H310.2C308.1 176 306 176.2 304 176.5zM512 336V272.5C509.1 272.2 507.9 272 505.8 272H486.2C484.1 272 482 272.2 480 272.5V336H512zM160 336V272.5C157.1 272.2 155.9 272 153.8 272H134.2C132.1 272 130 272.2 128 272.5V336H160zM456 168C456 145.9 473.9 128 496 128C518.1 128 536 145.9 536 168C536 190.1 518.1 208 496 208C473.9 208 456 190.1 456 168V168zM616 432C629.3 432 640 442.7 640 456C640 469.3 629.3 480 616 480H24C10.75 480 0 469.3 0 456C0 442.7 10.75 432 24 432H616zM104 168C104 145.9 121.9 128 144 128C166.1 128 184 145.9 184 168C184 190.1 166.1 208 144 208C121.9 208 104 190.1 104 168V168z"],
    "people-pants": [640, 512, [], "e219", "M242.4 172.6C231.3 145.5 205.2 128 175.8 128H144.2C114.8 128 88.71 145.5 77.56 172.6L33.81 278.9C28.75 291.1 34.59 305.1 46.87 310.2c2.975 1.242 6.066 1.832 9.113 1.832c9.4 0 18.38-5.604 22.2-14.88l17.81-43.27V488c0 13.25 10.75 24 24 24s23.1-10.75 23.1-24V352h32v136c0 13.25 10.75 24 24 24c13.25 0 23.99-10.75 23.99-24V253.9l17.81 43.27C245.6 306.4 254.6 312 263.1 312c3.062 0 6.156-.5781 9.123-1.812c12.28-5.047 18.12-19.06 13.06-31.33L242.4 172.6zM143.1 304v-128h31.1l.002 128H143.1zM159.1 96c26.5 0 47.1-21.5 47.1-48S186.5 0 159.1 0c-26.5 0-47.1 21.5-47.1 48S133.5 96 159.1 96zM479.1 96c26.5 0 47.1-21.5 47.1-48S506.5 0 479.1 0c-26.5 0-48 21.5-48 48S453.5 96 479.1 96zM606.2 278.9l-43.75-106.3C551.3 145.5 525.2 128 495.8 128h-31.69c-29.31 0-55.44 17.5-66.59 44.58l-43.75 106.3c-5.062 12.27 .7813 26.28 13.06 31.33c2.975 1.242 6.066 1.832 9.113 1.832c9.4 0 18.38-5.604 22.2-14.88l17.81-43.27V488c0 13.25 10.75 24 24 24s23.1-10.75 23.1-24V352h32v136c0 13.25 10.75 24 24 24c13.25 0 23.99-10.75 23.99-24V253.9l17.81 43.27C565.6 306.4 574.6 312 583.1 312c3.062 0 6.156-.5781 9.123-1.812C605.4 305.1 611.2 291.1 606.2 278.9zM463.1 304v-128h31.1l.002 128H463.1z"],
    "people-pants-simple": [448, 512, [], "e21a", "M384 160h-64c-35.35 0-64 28.65-64 64v96c0 17.67 14.33 32 32 32v136c0 13.25 10.75 24 24 24s24-10.75 24-24V352h32v136c0 13.25 10.75 24 24 24S416 501.3 416 488V352c17.67 0 32-14.33 32-32V224C448 188.7 419.3 160 384 160zM400 304h-96V224c0-8.822 7.178-16 16-16h64c8.822 0 16 7.178 16 16V304zM352 128c35.38 0 64-28.62 64-64s-28.62-64-64-64s-64 28.62-64 64S316.6 128 352 128zM96 128c35.38 0 64-28.62 64-64S131.4 0 96 0S32 28.62 32 64S60.63 128 96 128zM128 160H64C28.65 160 0 188.7 0 224v96c0 17.67 14.33 32 32 32v136C32 501.3 42.75 512 56 512s24-10.75 24-24V352h32v136C112 501.3 122.8 512 136 512S160 501.3 160 488V352c17.67 0 32-14.33 32-32V224C192 188.7 163.3 160 128 160zM144 304h-96V224c0-8.822 7.178-16 16-16h64c8.822 0 16 7.178 16 16V304z"],
    "people-pulling": [576, 512, [], "e535", "M32 48C32 21.49 53.5 0 80 0C106.5 0 128 21.49 128 48C128 74.51 106.5 96 80 96C53.5 96 32 74.51 32 48V48zM48 271.9V328C48 341.3 37.25 352 24 352C10.75 352 0 341.3 0 328V184C0 153.1 25.07 128 56 128H114.4C129.4 128 144.3 131.9 157.4 139.2L275.9 205.7C288.2 182.5 307.9 163.8 332.2 152.8L353.4 143.2C375.4 133.2 399.3 128 423.5 128C472.4 128 515.5 159.9 529.9 206.6L541.2 243.2L568.1 271C578.3 280.4 578.3 295.6 568.1 304.1C559.6 314.3 544.4 314.3 535 304.1L505.8 275.8C501.2 271.2 497.8 265.5 495.9 259.3L486.1 227.4L456.8 321.2L506.9 361.9C513.8 367.5 518.6 375.3 520.6 383.1L543.4 482.6C546.4 495.5 538.3 508.4 525.4 511.4C512.5 514.4 499.6 506.3 496.6 493.4L474.5 397.4L370 312.6C351.1 297.9 344.9 273.5 352.2 251.4L373.8 186.6L373.2 186.9L352 196.5C333.8 204.8 319.9 220.3 313.5 239.3L310.9 247.2C310.7 247.9 310.4 248.6 310.1 249.4C308.9 252.2 307.2 254.8 305.1 256.9C300.2 261.8 293.3 264.5 286.3 263.9C283.5 263.7 280.8 263.1 278.2 261.9C277.4 261.5 276.6 261.1 275.9 260.7L160.5 196L223.4 482.9C226.3 495.8 218.1 508.6 205.1 511.4C192.2 514.3 179.4 506.1 176.6 493.1L145.6 352H114.7L143.4 482.9C146.3 495.8 138.1 508.6 125.1 511.4C112.2 514.3 99.4 506.1 96.56 493.1L48 271.9zM76.08 176L104.2 304H135L106.9 176H76.08zM400.3 275.3L416.7 288.6L449.1 184.8C449.4 183.8 449.8 182.8 450.2 181.9C443.3 178.7 435.8 176.7 427.9 176.2L397.8 266.6C396.7 269.8 397.7 273.2 400.3 275.3H400.3zM416 48C416 21.49 437.5 0 464 0C490.5 0 512 21.49 512 48C512 74.51 490.5 96 464 96C437.5 96 416 74.51 416 48V48zM394.7 373.9L375.5 421.9C373.5 426.9 370.5 431.5 366.6 435.3L296.1 504.1C287.6 514.3 272.4 514.3 263 504.1C253.7 495.6 253.7 480.4 263 471L331.5 402.5L355.7 342.2L394.7 373.9z"],
    "people-robbery": [576, 512, [], "e536", "M512.6 18.5C515.7 5.598 528.6-2.4 541.5 .6356C554.4 3.671 562.4 16.59 559.4 29.49L551.2 64.26C539.9 112.4 506.9 150.8 464 170.2V487.1C464 501.3 453.3 511.1 440 511.1C426.8 511.1 416 501.3 416 487.1V351.1H384V487.1C384 501.3 373.3 511.1 360 511.1C346.8 511.1 336 501.3 336 487.1V170.2C293.1 150.8 260.1 112.4 248.8 64.26L240.6 29.49C237.6 16.59 245.6 3.671 258.5 .6356C271.4-2.4 284.3 5.598 287.4 18.5L295.5 53.27C306.9 101.7 350.2 135.1 400 135.1C449.8 135.1 493.1 101.7 504.5 53.27L512.6 18.5zM400 183.1C394.6 183.1 389.3 183.7 384 183.2V303.1H416V183.2C410.7 183.7 405.4 183.1 400 183.1V183.1zM352 47.1C352 21.49 373.5-.0025 400-.0025C426.5-.0025 448 21.49 448 47.1C448 74.51 426.5 95.1 400 95.1C373.5 95.1 352 74.51 352 47.1zM128 47.1C128 74.51 106.5 95.1 80 95.1C53.49 95.1 32 74.51 32 47.1C32 21.49 53.49-.0031 80-.0031C106.5-.0031 128 21.49 128 47.1V47.1zM16 204.5C15.1 162.2 50.25 127.1 92.49 127.1C117.6 127.1 141.1 140.3 155.4 160.9L204.6 231.1H239.1C253.3 231.1 263.1 242.7 263.1 255.1C263.1 269.3 253.3 279.1 239.1 279.1H191.1C184.1 279.1 176.7 276.1 172.3 269.7L115.9 188.3C110.6 180.6 101.8 175.1 92.5 175.1C76.76 175.1 64 188.8 64 204.5L64 303.1H96.01V279.1C96.01 266.7 106.8 255.1 120 255.1C133.3 255.1 144 266.7 144 279.1V487.1C144 501.3 133.3 511.1 120 511.1C106.8 511.1 96.01 501.3 96.01 487.1V351.1H64L64 487.1C64 501.3 53.26 511.1 40 511.1C26.75 511.1 16 501.3 16 487.1L16 204.5z"],
    "people-roof": [640, 512, [], "e537", "M628.3 179.4C639.7 186.1 643.4 200.9 636.6 212.3C629.9 223.7 615.1 227.4 603.7 220.6L320 51.92L36.27 220.6C24.88 227.4 10.15 223.7 3.375 212.3C-3.399 200.9 .3447 186.1 11.74 179.4L307.7 3.371C315.3-1.124 324.7-1.124 332.3 3.371L628.3 179.4zM456 296C456 273.9 473.9 256 496 256C518.1 256 536 273.9 536 296C536 318.1 518.1 336 496 336C473.9 336 456 318.1 456 296zM578.9 491.4L560 456.3V480C560 497.7 545.7 512 528 512H464C446.3 512 432 497.7 432 480V456.3L413.1 491.4C406.9 503 392.3 507.4 380.6 501.1C368.1 494.8 364.6 480.3 370.9 468.6L407.2 401.1C405.5 399.5 404.1 397.6 402.9 395.4L384 360.3V400C384 417.7 369.7 432 352 432H288C270.3 432 256 417.7 256 400V360.3L237.1 395.4C235.1 397.6 234.5 399.5 232.8 401.1L269.1 468.6C275.4 480.3 271.1 494.8 259.4 501.1C247.7 507.4 233.2 503 226.9 491.4L208 456.3V480C208 497.7 193.7 512 176 512H112C94.33 512 80.01 497.7 80.01 480V456.3L61.14 491.4C54.85 503 40.3 507.4 28.63 501.1C16.96 494.8 12.59 480.3 18.88 468.6L56.75 398.3C72.1 369.8 101.9 352 134.2 352H153.8C170.1 352 185.7 356.5 199.2 364.6L232.8 302.3C248.1 273.8 277.9 256 310.2 256H329.8C362.2 256 391.9 273.8 407.3 302.3L440.8 364.6C454.3 356.5 469.9 352 486.2 352H505.8C538.2 352 567.9 369.8 583.3 398.3L621.1 468.6C627.4 480.3 623.1 494.8 611.4 501.1C599.7 507.4 585.2 503 578.9 491.4L578.9 491.4zM512 464V400.5C509.1 400.2 507.9 400 505.8 400H486.2C484.1 400 482 400.2 480 400.5V464H512zM304 304.5V384H336V304.5C333.1 304.2 331.9 304 329.8 304H310.2C308.1 304 306 304.2 304 304.5zM160 464V400.5C157.1 400.2 155.9 400 153.8 400H134.2C132.1 400 130 400.2 128 400.5V464H160zM360 200C360 222.1 342.1 240 320 240C297.9 240 280 222.1 280 200C280 177.9 297.9 160 320 160C342.1 160 360 177.9 360 200zM104 296C104 273.9 121.9 256 144 256C166.1 256 184 273.9 184 296C184 318.1 166.1 336 144 336C121.9 336 104 318.1 104 296z"],
    "people-simple": [512, 512, [], "e21b", "M384 128c35.38 0 64-28.62 64-64s-28.62-64-64-64s-64 28.62-64 64S348.6 128 384 128zM128 128c35.38 0 64-28.62 64-64S163.4 0 128 0S64 28.62 64 64S92.63 128 128 128zM505.5 343.2l-39.08-136.8C458.6 178.9 433.5 160 404.9 160h-41.85c-28.58 0-53.69 18.94-61.54 46.42l-39.08 136.8C256.6 363.7 271.1 384 293.2 384H320v104c0 13.25 10.75 24 24 24s24-10.75 24-24V384h32v104c0 13.25 10.75 24 24 24S448 501.3 448 488V384h26.78C496 384 511.4 363.7 505.5 343.2zM314.4 336l33.25-116.4C349.7 212.7 355.9 208 363.1 208h41.85c7.145 0 13.42 4.734 15.38 11.6L453.6 336H314.4zM160 160H96C60.65 160 32 188.7 32 224v96c0 17.67 14.33 32 32 32v136C64 501.3 74.75 512 88 512s24-10.75 24-24V352h32v136C144 501.3 154.8 512 168 512S192 501.3 192 488V352c17.67 0 32-14.33 32-32V224C224 188.7 195.3 160 160 160zM176 304h-96V224c0-8.822 7.178-16 16-16h64c8.822 0 16 7.178 16 16V304z"],
    "pepper": [512, 512, [129745], "e432", "M430.9 100.2c-24.62-7.094-50.34-5.234-73.65 5.125c-25.47-11.32-53.81-11.74-79.14-2.785c-3.578-52.78-43.29-93.72-45.11-95.53C223.6-2.316 208.6-2.348 199.1 6.98C189.8 16.29 189.7 31.48 198.1 40.89c.3125 .3125 26.73 27.8 31 60.36c-44.52-13.89-72.78 1.297-77.09 3.441C130.2 95.04 105.2 93.29 81.14 100.2C22.43 117.1-12.17 179.9 3.959 240.1l48.41 188.2C65.65 477.6 109.6 512 159.3 512c10.16 0 20.25-1.438 29.97-4.25c6.125-1.766 12.16-4.156 18.16-7.25c30.12 15.09 67.06 15.09 97.19 0c6 3.094 12 5.484 18.12 7.25C332.5 510.6 342.6 512 352.7 512c49.69 0 93.65-34.41 106.1-83.94l48.28-187.8C524.2 179.9 489.6 117.1 430.9 100.2zM461.6 228.1l-48.28 187.7c-9.156 34.05-44.47 55.22-77.28 45.78c-5.656-1.641-11.47-4.516-17.72-8.812c-4.094-2.828-8.844-4.234-13.59-4.234c-4.812 0-9.625 1.438-13.75 4.328c-20.75 14.5-49.13 14.5-69.87 0c-8.156-5.736-19.06-5.768-27.34-.0938c-6.25 4.297-12.06 7.172-17.75 8.812c-32.53 9.469-68.13-11.81-77.19-45.53L50.4 227.9c-9.469-35.27 10.28-71.83 43.1-81.53c5.984-1.721 12.05-2.168 18.09-2.01C97.29 170.3 92.03 201.1 100.1 231l43.47 135.8c3.25 10.2 12.69 16.69 22.84 16.69c2.406 0 4.875-.3594 7.312-1.141c12.62-4.047 19.59-17.55 15.53-30.17L146.1 217.3c-5-17.98-.5313-39.72 11.34-55.36c2.205-2.898 5.203-5.871 8.582-8.676c.3184-.1699 .7012-.0918 1.012-.2773C191.3 138.5 219.8 142.4 239.6 160.9c9.25 8.594 23.5 8.594 32.75 0c19.84-18.52 48.44-22.39 72.53-7.953c7.625 4.531 17.12 4.547 24.75-.0469c14.75-8.891 31.81-11.23 47.94-6.562h.0313C451.4 156 471.1 192.6 461.6 228.1z"],
    "pepper-hot": [512, 512, [127798], "f816", "M466.1 131.9c20.17-38.03 18.29-85.58-6.73-121.7C454.7 3.586 447.4 0 439.8 0c-4.701 0-9.459 1.396-13.65 4.316c-10.77 7.578-13.44 22.55-5.896 33.41c13.13 18.91 14.38 42.79 6.244 63.63C403.2 88.17 376.8 80 348.4 80c-35.81 0-70.13 12.17-99.26 35.18C242.1 120.1 239.5 127.7 240 135.6c.498 7.885 4.836 15.02 11.59 19.09l44.97 27.06V272.2c0 13.27 10.74 24.03 23.97 24.03h91.61l32.99 45.79C449.7 348.3 456.9 352 464.6 352c.2031 0 .4062 0 .6094-.0156c7.91-.1875 15.21-4.303 19.51-10.95C502.6 313.4 512 281.3 512 248.2C512 203 494.4 162.2 466.1 131.9zM419.2 360.7c1.236 1.719 2.834 3.066 4.242 4.617C356 438.3 232.4 512 73.31 512C32.89 512 0 478.7 0 437.9s32.89-74.13 73.31-74.13c71.69 0 102.4-67.67 132-133.1c8.455-18.65 16.82-35.88 25.75-51.73c1.385 1.02 2.557 2.266 4.045 3.162l29.47 17.74v17.96c-5.174 10.43-10.33 21.41-15.63 33.09c-32.61 71.91-73.19 161.4-175.7 161.4C59.36 412.3 48 423.8 48 437.9s11.36 25.6 25.31 25.6c144.4 0 257.6-69.07 315.6-132h9.217L419.2 360.7z"],
    "percent": [384, 512, [62101, 62785, "percentage"], "25", "M376.1 71.03c-9.375-9.375-24.56-9.375-33.94 0l-336 336c-9.375 9.375-9.375 24.56 0 33.94C11.72 445.7 17.84 448 24 448s12.28-2.344 16.97-7.031l336-336C386.3 95.59 386.3 80.41 376.1 71.03zM64 176c26.51 0 48-21.49 48-48S90.51 80 64 80C37.49 80 16 101.5 16 128S37.49 176 64 176zM320 336c-26.51 0-48 21.49-48 48s21.49 48 48 48c26.51 0 48-21.49 48-48S346.5 336 320 336z"],
    "period": [128, 512, [], "2e", "M64 352c-35.35 0-64 28.65-64 64c0 35.35 28.65 64 64 64s64-28.65 64-64C128 380.7 99.35 352 64 352zM64 432c-8.822 0-16-7.178-16-16s7.178-16 16-16s16 7.178 16 16S72.82 432 64 432z"],
    "person": [320, 512, [129485, "male"], "f183", "M208 48C208 74.51 186.5 96 160 96C133.5 96 112 74.51 112 48C112 21.49 133.5 0 160 0C186.5 0 208 21.49 208 48zM144 352V488C144 501.3 133.3 512 120 512C106.7 512 96 501.3 96 488V223.6L52.89 299.8C46.36 311.4 31.72 315.4 20.18 308.9C8.647 302.4 4.585 287.7 11.11 276.2L69.66 172.7C85.27 145.1 114.5 128 146.3 128H173.7C205.5 128 234.7 145.1 250.3 172.7L308.9 276.2C315.4 287.7 311.4 302.4 299.8 308.9C288.3 315.4 273.6 311.4 267.1 299.8L224 223.6V488C224 501.3 213.3 512 200 512C186.7 512 176 501.3 176 488V352H144zM144 304H176V176.1C175.3 176 174.5 176 173.7 176H146.3C145.5 176 144.7 176 144 176.1V304z"],
    "person-arrow-down-to-line": [640, 512, [], "e538", "M144 48C144 21.49 165.5 0 192 0C218.5 0 240 21.49 240 48C240 74.51 218.5 96 192 96C165.5 96 144 74.51 144 48zM128 223.6L84.89 299.8C78.37 311.4 63.72 315.4 52.18 308.9C40.65 302.4 36.58 287.7 43.11 276.2L101.7 172.7C117.3 145.1 146.5 128 178.3 128H205.7C237.5 128 266.7 145.1 282.3 172.7L340.9 276.2C347.4 287.7 343.4 302.4 331.8 308.9C320.3 315.4 305.6 311.4 299.1 299.8L256 223.6V464H616C629.3 464 640 474.7 640 488C640 501.3 629.3 512 616 512H24C10.75 512 0 501.3 0 488C0 474.7 10.75 464 24 464H128L128 223.6zM178.3 176C177.5 176 176.7 176 176 176.1V304H208V176.1C207.3 176 206.5 176 205.7 176H178.3zM208 464V352H176V464H208zM391.9 329.8C382 320.8 381.3 305.7 390.2 295.9C399.2 286 414.3 285.3 424.1 294.2L472 337.7V56C472 42.75 482.7 32 496 32C509.3 32 520 42.75 520 56V337.7L567.9 294.2C577.7 285.3 592.8 286 601.8 295.9C610.7 305.7 609.1 320.8 600.1 329.8L512.1 409.8C502.1 418.1 489 418.1 479.9 409.8L391.9 329.8z"],
    "person-arrow-up-from-line": [640, 512, [], "e539", "M144 48C144 21.49 165.5 0 192 0C218.5 0 240 21.49 240 48C240 74.51 218.5 96 192 96C165.5 96 144 74.51 144 48zM128 223.6L84.89 299.8C78.37 311.4 63.72 315.4 52.18 308.9C40.65 302.4 36.58 287.7 43.11 276.2L101.7 172.7C117.3 145.1 146.5 128 178.3 128H205.7C237.5 128 266.7 145.1 282.3 172.7L340.9 276.2C347.4 287.7 343.4 302.4 331.8 308.9C320.3 315.4 305.6 311.4 299.1 299.8L256 223.6V464H616C629.3 464 640 474.7 640 488C640 501.3 629.3 512 616 512H24C10.75 512 0 501.3 0 488C0 474.7 10.75 464 24 464H128L128 223.6zM178.3 176C177.5 176 176.7 176 176 176.1V304H208V176.1C207.3 176 206.5 176 205.7 176H178.3zM208 464V352H176V464H208zM600.1 118.2C609.1 127.2 610.7 142.3 601.8 152.1C592.8 161.1 577.7 162.7 567.9 153.8L520 110.3V392C520 405.3 509.3 416 496 416C482.7 416 472 405.3 472 392V110.3L424.1 153.8C414.3 162.7 399.2 161.1 390.2 152.1C381.3 142.3 382 127.2 391.9 118.2L479.9 38.24C489 29.92 502.1 29.92 512.1 38.24L600.1 118.2z"],
    "person-biking": [640, 512, [128692, "biking"], "f84a", "M448 48C448 74.51 426.5 96 400 96C373.5 96 352 74.51 352 48C352 21.49 373.5 0 400 0C426.5 0 448 21.49 448 48zM256 384C256 454.7 198.7 512 128 512C57.31 512 0 454.7 0 384C0 313.3 57.31 256 128 256C198.7 256 256 313.3 256 384zM128 464C172.2 464 208 428.2 208 384C208 339.8 172.2 304 128 304C83.82 304 48 339.8 48 384C48 428.2 83.82 464 128 464zM640 384C640 454.7 582.7 512 512 512C441.3 512 384 454.7 384 384C384 313.3 441.3 256 512 256C582.7 256 640 313.3 640 384zM512 464C556.2 464 592 428.2 592 384C592 339.8 556.2 304 512 304C467.8 304 432 339.8 432 384C432 428.2 467.8 464 512 464zM266.8 204.6C257.2 211.7 258.5 226.4 269.2 231.8L338.7 266.5C346.9 270.6 352 278.9 352 288V416C352 429.3 341.3 440 328 440C314.7 440 304 429.3 304 416V302.8L247.7 274.7C204.9 253.3 199.9 194.3 238.4 165.9L313 110.9C337.2 93.09 371.2 97.55 389.1 121L427.5 167.1H480C493.3 167.1 504 178.7 504 191.1C504 205.3 493.3 215.1 480 215.1H416C408.7 215.1 401.8 212.7 397.3 206.1L352.5 151C349.8 147.7 344.9 147 341.5 149.6L266.8 204.6z"],
    "person-biking-mountain": [640, 512, [128693, "biking-mountain"], "f84b", "M448 48C448 74.51 426.5 96 400 96C373.5 96 352 74.51 352 48C352 21.49 373.5 0 400 0C426.5 0 448 21.49 448 48zM352.5 151C349.8 147.7 344.9 147 341.5 149.6L266.8 204.6C257.2 211.7 258.5 226.4 269.2 231.8L338.7 266.5C346.9 270.6 352 278.9 352 288V416C352 429.3 341.3 440 328 440C314.7 440 304 429.3 304 416V302.8L247.7 274.7C204.9 253.3 199.9 194.3 238.4 165.9L313 110.9C337.2 93.09 371.2 97.55 389.1 121L427.5 167.1H480C493.3 167.1 504 178.7 504 191.1C504 205.3 493.3 215.1 480 215.1H416C408.7 215.1 401.8 212.7 397.3 206.1L352.5 151zM166.3 163.9L122.3 108.9C116.7 101.8 117.1 91.51 125.2 86.1L190.4 37.22C218 16.48 257.2 21.45 278.8 48.44L293.7 67.11C299.3 74.16 298 84.49 290.8 89.9L188.4 166.7C181.5 171.9 171.7 170.6 166.3 163.9V163.9zM136 256C148.1 256 158.1 264.9 159.8 276.6C167.4 278.8 174.7 281.9 181.5 285.6C190.9 278.5 204.3 279.3 212.9 287.8L224.2 299.1C232.7 307.7 233.5 321.1 226.4 330.5C230.1 337.3 233.2 344.6 235.4 352.2C247.1 353.9 255.1 363.9 255.1 376V392C255.1 404.1 247.1 414.1 235.4 415.8C233.2 423.4 230.1 430.7 226.4 437.5C233.5 446.9 232.7 460.3 224.2 468.9L212.9 480.2C204.3 488.7 190.9 489.5 181.5 482.4C174.7 486.1 167.4 489.2 159.8 491.4C158.1 503.1 148.1 512 135.1 512H119.1C107.9 512 97.91 503.1 96.24 491.4C88.62 489.2 81.34 486.1 74.49 482.4C65.09 489.5 51.7 488.7 43.15 480.2L31.83 468.9C23.28 460.3 22.53 446.9 29.58 437.5C25.85 430.7 22.81 423.4 20.57 415.8C8.938 414.1 0 404.1 0 392V376C0 363.9 8.938 353.9 20.57 352.2C22.81 344.6 25.85 337.3 29.58 330.5C22.53 321.1 23.28 307.7 31.83 299.1L43.15 287.8C51.7 279.3 65.09 278.5 74.49 285.6C81.34 281.9 88.62 278.8 96.24 276.6C97.91 264.9 107.9 255.1 119.1 255.1L136 256zM128 448C163.3 448 192 419.3 192 384C192 348.7 163.3 320 128 320C92.65 320 64 348.7 64 384C64 419.3 92.65 448 128 448zM480.2 276.6C481.9 264.9 491.9 256 504 256H520C532.1 256 542.1 264.9 543.8 276.6C551.4 278.8 558.7 281.9 565.5 285.6C574.9 278.5 588.3 279.3 596.9 287.8L608.2 299.1C616.7 307.7 617.5 321.1 610.4 330.5C614.1 337.3 617.2 344.6 619.4 352.2C631.1 353.9 640 363.9 640 376V392C640 404.1 631.1 414.1 619.4 415.8C617.2 423.4 614.1 430.7 610.4 437.5C617.5 446.9 616.7 460.3 608.2 468.9L596.9 480.2C588.3 488.7 574.9 489.5 565.5 482.4C558.7 486.1 551.4 489.2 543.8 491.4C542.1 503.1 532.1 512 520 512H504C491.9 512 481.9 503.1 480.2 491.4C472.6 489.2 465.3 486.1 458.5 482.4C449.1 489.5 435.7 488.7 427.1 480.2L415.8 468.9C407.3 460.3 406.5 446.9 413.6 437.5C409.8 430.7 406.8 423.4 404.6 415.8C392.9 414.1 384 404.1 384 392V376C384 363.9 392.9 353.9 404.6 352.2C406.8 344.6 409.8 337.3 413.6 330.5C406.5 321.1 407.3 307.7 415.8 299.1L427.1 287.8C435.7 279.3 449.1 278.5 458.5 285.6C465.3 281.9 472.6 278.8 480.2 276.6L480.2 276.6zM512 320C476.7 320 448 348.7 448 384C448 419.3 476.7 448 512 448C547.3 448 576 419.3 576 384C576 348.7 547.3 320 512 320z"],
    "person-booth": [576, 512, [], "f756", "M192 496C192 504.8 199.2 512 208 512H224c8.75 0 16-7.25 16-16V320H192V496zM63.62 128c26.5 0 48-21.5 48-48S90.12 32 63.62 32s-48 21.5-48 48S37.12 128 63.62 128zM224.3 232H169.9L122.2 184.4C111.8 173.8 97.75 168 82.75 168H56.12c-31 0-56.22 25.1-56.1 56.1L0 488C0 501.2 10.75 512 24 512s24-10.75 24-24l.25-117.9c.125 .125 .5 .25 .75 .5c.25 .125 .25 .375 .5 .5l51.38 38.38c2 1.5 3.25 3.875 3.25 6.375v72c0 13.25 10.75 24 23.1 24c13.12 0 24-10.75 24-24v-72c0-17.63-8.375-34.38-22.5-44.75L111.8 357.8V241.5l26.62 26.75C145.8 275.8 156.2 280 166.8 280h57.5c13.25 0 24-10.75 24-24C248.3 242.8 237.5 232 224.3 232zM544 0H224C206.2 0 192 14.25 192 32v160h48V48.12l84.75 204.6C301.8 285.1 264 342.8 264 372c0 41.88 34.13 76 76 76c14.25 0 28.12-4.125 40-11.5c23.75 15 56.25 15 80 0C471.9 444 485.8 448 500 448c9.875 0 19.25-1.999 28-5.5V496c0 8.75 7.25 16 16 16h16c8.75 0 16-7.25 16-16V32C576 14.25 561.8 0 544 0zM528 372c0 15.38-12.62 28-28 28c-8.25 0-16-3.75-21.5-10.38c-4.625-5.5-11.25-8.875-18.5-8.875S445.1 384 441.5 389.6c-10.88 13.13-32.13 13.13-42.88 0c-9.125-11.12-27.87-11.12-37.13 0C356 396.2 348.2 400 340 400c-15.38 0-28-12.62-28-27.75c.75-12.25 28.5-60 59.25-102c5-6.875 6-15.62 2.875-23.5L291.9 48H528V372z"],
    "person-breastfeeding": [448, 512, [], "e53a", "M303.1 80C303.1 124.2 268.2 160 223.1 160C179.8 160 143.1 124.2 143.1 80C143.1 35.82 179.8 0 223.1 0C268.2 0 303.1 35.82 303.1 80zM223.1 48C206.3 48 191.1 62.33 191.1 80C191.1 97.67 206.3 112 223.1 112C241.7 112 255.1 97.67 255.1 80C255.1 62.33 241.7 48 223.1 48zM60.94 357.9C48.74 374.4 55 397.1 73.78 406.2L209.7 466C221.8 471.4 227.3 485.5 221.1 497.7C216.6 509.8 202.5 515.3 190.3 509.1L54.45 450.2C7.504 429.5-8.151 370.6 22.33 329.4L78.32 253.7C106.1 214.9 152.3 192 200.6 192H258.9C299.3 192 337.1 208.1 366.5 236.7L421.7 292C451.6 322.1 452.9 370.2 424.6 401.8L361.9 472C353 481.9 337.9 482.7 328 473.9C318.1 465.1 317.3 449.9 326.1 440L388.9 369.8C400.2 357.2 399.7 337.9 387.7 325.9L332.5 270.6C313 251 286.5 240 258.9 240H200.6C167.6 240 136.5 255.7 116.9 282.2L60.94 357.9zM191.1 369.1C211.2 398.3 243.8 416 278.9 416H279.1C293.3 416 303.1 426.7 303.1 440C303.1 453.3 293.3 464 279.1 464H278.9C226.5 464 177.8 437 150.1 392.6C146.1 386.3 143.1 378.9 143.1 371.4V328C143.1 314.7 154.7 303.1 167.1 303.1C181.3 303.1 191.1 314.7 191.1 328V369.1zM223.1 336C223.1 309.5 245.5 288 271.1 288C298.5 288 319.1 309.5 319.1 336C319.1 362.5 298.5 384 271.1 384C245.5 384 223.1 362.5 223.1 336z"],
    "person-burst": [640, 512, [], "e53b", "M432 48C432 21.49 453.5 0 480 0C506.5 0 528 21.49 528 48C528 74.51 506.5 96 480 96C453.5 96 432 74.51 432 48V48zM440 512C426.7 512 416 501.3 416 488V223.6L372.9 299.8C366.4 311.4 351.7 315.4 340.2 308.9C328.6 302.4 324.6 287.7 331.1 276.2L389.7 172.7C405.3 145.1 434.5 128 466.3 128H493.8C525.5 128 554.7 145.1 570.3 172.7L628.9 276.2C635.4 287.7 631.4 302.4 619.8 308.9C608.3 315.4 593.6 311.4 587.1 299.8L544 223.6V488C544 501.3 533.3 512 520 512C506.7 512 496 501.3 496 488V352H464V488C464 501.3 453.3 512 440 512H440zM466.3 176C465.5 176 464.7 176 464 176.1V304H496V176.1C495.3 176 494.5 176 493.8 176H466.3zM176 8C184.9 8 193 12.9 197.2 20.75L227.3 77.46L290.4 65.64C299.2 64.01 308.1 67.32 313.6 74.27C319.1 81.21 320.4 90.64 316.9 98.79L291.3 157.7L332.2 193L300.5 249.1L268.5 257.7L265.9 321.9C265.6 330.8 260.4 338.7 252.4 342.6C244.4 346.4 234.9 345.5 227.7 340.3L176 302.3L124.3 340.3C117.1 345.5 107.6 346.4 99.64 342.6C91.64 338.7 86.42 330.8 86.07 321.9L83.55 257.7L21.56 240.1C12.99 238.7 6.391 231.8 4.415 223.2C2.439 214.5 5.405 205.5 12.12 199.7L60.72 157.7L35.15 98.79C31.61 90.64 32.86 81.21 38.4 74.27C43.94 67.32 52.85 64.01 61.58 65.64L124.7 77.46L154.8 20.75C158.1 12.9 167.1 8 176 8H176zM176 83.18L158.8 115.6C153.9 124.8 143.5 129.8 133.2 127.9L97.18 121.1L111.8 154.8C115.1 164.4 113.4 175.6 105.4 182.5L77.71 206.4L113.1 215.1C123.2 218.7 130.4 227.7 130.8 238.2L132.3 274.8L161.8 253.1C170.2 246.9 181.8 246.9 190.2 253.1L219.7 274.8L221.2 238.2C221.6 227.7 228.8 218.7 238.9 215.1L274.3 206.4L246.6 182.5C238.6 175.6 236.1 164.4 240.2 154.8L254.8 121.1L218.8 127.9C208.5 129.8 198.1 124.8 193.2 115.6L176 83.18z"],
    "person-cane": [384, 512, [], "e53c", "M240 48C240 74.51 218.5 96 192 96C165.5 96 144 74.51 144 48C144 21.49 165.5 0 192 0C218.5 0 240 21.49 240 48zM96 209.5L44.89 299.8C38.37 311.4 23.73 315.4 12.19 308.9C.6512 302.4-3.412 287.7 3.114 276.2L61.66 172.7C77.27 145.1 106.5 128 138.3 128H173.3C199.3 128 223.9 139.5 240.6 159.4L322.4 256.6C330.9 266.7 329.6 281.8 319.5 290.4C309.3 298.9 294.2 297.6 285.6 287.4L224 214.2V488C224 501.3 213.3 512 200 512C186.7 512 176 501.3 176 488V352H144V488C144 501.3 133.3 512 120 512C106.7 512 96 501.3 96 488V209.5zM176 176.1C175.1 176 174.2 176 173.3 176H144V304H176L176 176.1zM320 384C320 397.3 309.3 408 296 408C282.7 408 272 397.3 272 384V376C272 345.1 297.1 320 328 320C358.9 320 384 345.1 384 376V488C384 501.3 373.3 512 360 512C346.7 512 336 501.3 336 488V376C336 371.6 332.4 368 328 368C323.6 368 320 371.6 320 376V384z"],
    "person-carry-box": [384, 512, ["person-carry"], "f4cf", "M80 95.1c26.5 0 48-21.5 48-47.1S106.5 .0003 80 .0003S32 21.5 32 47.1S53.5 95.1 80 95.1zM368 95.1h-160c-8.75 0-16 7.25-16 15.1V239.1L158.4 239.1L126.2 162.5C117.6 141.6 97.25 127.1 74.63 127.1H56c-30.88 0-56 25.12-56 55.1v102.2c0 7.75 3 29.5 21.25 43.1l76.5 60.5c5.625 4.5 9.625 10.75 11.25 17.87l19.62 84.75c2.625 11.5 14.38 21.25 28.75 17.1c12.88-2.1 21-15.87 18-28.75l-21.38-92.1c-2.874-12.37-9.874-23.5-19.87-31.37L96 328.1V214.7l22.25 53.5c5 11.1 16.5 19.75 29.5 19.75H368c8.75 0 16-7.25 16-15.1V111.1C384 103.2 376.8 95.1 368 95.1zM336 239.1h-96V143.1h96V239.1zM0 487.1c0 13.25 10.75 23.1 24 23.1S48 501.2 48 487.1v-95.87c-12-9.5-47.5-37.87-48-38.25V487.1z"],
    "person-chalkboard": [640, 512, [], "e53d", "M144 48C144 21.49 165.5 0 192 0C218.5 0 240 21.49 240 48C240 74.51 218.5 96 192 96C165.5 96 144 74.51 144 48zM152 512C138.7 512 128 501.3 128 488V223.6L84.89 299.8C78.37 311.4 63.73 315.4 52.19 308.9C40.65 302.4 36.59 287.7 43.11 276.2L101.7 172.7C117.3 145.1 146.5 128 178.3 128H319.1V48C319.1 21.49 341.5 0 368 0H592C618.5 0 640 21.49 640 48V272C640 298.5 618.5 320 592 320H368C341.5 320 319.1 298.5 319.1 272V224H368V272H592V48H368V128H392C405.3 128 416 138.7 416 152C416 165.3 405.3 176 392 176H256V488C256 501.3 245.3 512 232 512C218.8 512 208 501.3 208 488V352H176V488C176 501.3 165.3 512 152 512H152zM178.3 176C177.5 176 176.8 176 176 176.1V304H208V176H178.3z"],
    "person-circle-check": [576, 512, [], "e53e", "M208 48C208 74.51 186.5 96 160 96C133.5 96 112 74.51 112 48C112 21.49 133.5 0 160 0C186.5 0 208 21.49 208 48zM144 352V488C144 501.3 133.3 512 120 512C106.7 512 96 501.3 96 488V223.6L52.89 299.8C46.36 311.4 31.72 315.4 20.18 308.9C8.647 302.4 4.585 287.7 11.11 276.2L69.66 172.7C85.27 145.1 114.5 128 146.3 128H173.7C205.5 128 234.7 145.1 250.3 172.7L296.1 255.1C285.2 269.1 275.6 285 268.7 302.3C268.1 301.5 267.6 300.7 267.1 299.8L224 223.6V488C224 501.3 213.3 512 200 512C186.7 512 176 501.3 176 488V352H144zM144 304H176V176.1C175.3 176 174.5 176 173.7 176H146.3C145.5 176 144.7 176 144 176.1V304zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM476.7 324.7L416 385.4L387.3 356.7C381.1 350.4 370.9 350.4 364.7 356.7C358.4 362.9 358.4 373.1 364.7 379.3L404.7 419.3C410.9 425.6 421.1 425.6 427.3 419.3L499.3 347.3C505.6 341.1 505.6 330.9 499.3 324.7C493.1 318.4 482.9 318.4 476.7 324.7H476.7z"],
    "person-circle-exclamation": [576, 512, [], "e53f", "M208 48C208 74.51 186.5 96 160 96C133.5 96 112 74.51 112 48C112 21.49 133.5 0 160 0C186.5 0 208 21.49 208 48zM144 352V488C144 501.3 133.3 512 120 512C106.7 512 96 501.3 96 488V223.6L52.89 299.8C46.36 311.4 31.72 315.4 20.18 308.9C8.647 302.4 4.585 287.7 11.11 276.2L69.66 172.7C85.27 145.1 114.5 128 146.3 128H173.7C205.5 128 234.7 145.1 250.3 172.7L296.1 255.1C285.2 269.1 275.6 285 268.7 302.3C268.1 301.5 267.6 300.7 267.1 299.8L224 223.6V488C224 501.3 213.3 512 200 512C186.7 512 176 501.3 176 488V352H144zM144 304H176V176.1C175.3 176 174.5 176 173.7 176H146.3C145.5 176 144.7 176 144 176.1V304zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 464C445.3 464 456 453.3 456 440C456 426.7 445.3 416 432 416C418.7 416 408 426.7 408 440C408 453.3 418.7 464 432 464zM415.1 288V368C415.1 376.8 423.2 384 431.1 384C440.8 384 447.1 376.8 447.1 368V288C447.1 279.2 440.8 272 431.1 272C423.2 272 415.1 279.2 415.1 288z"],
    "person-circle-minus": [576, 512, [], "e540", "M208 48C208 74.51 186.5 96 160 96C133.5 96 112 74.51 112 48C112 21.49 133.5 0 160 0C186.5 0 208 21.49 208 48zM144 352V488C144 501.3 133.3 512 120 512C106.7 512 96 501.3 96 488V223.6L52.89 299.8C46.36 311.4 31.72 315.4 20.18 308.9C8.647 302.4 4.585 287.7 11.11 276.2L69.66 172.7C85.27 145.1 114.5 128 146.3 128H173.7C205.5 128 234.7 145.1 250.3 172.7L296.1 255.1C285.2 269.1 275.6 285 268.7 302.3C268.1 301.5 267.6 300.7 267.1 299.8L224 223.6V488C224 501.3 213.3 512 200 512C186.7 512 176 501.3 176 488V352H144zM144 304H176V176.1C175.3 176 174.5 176 173.7 176H146.3C145.5 176 144.7 176 144 176.1V304zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM496 351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H496C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1z"],
    "person-circle-plus": [576, 512, [], "e541", "M208 48C208 74.51 186.5 96 160 96C133.5 96 112 74.51 112 48C112 21.49 133.5 0 160 0C186.5 0 208 21.49 208 48zM144 352V488C144 501.3 133.3 512 120 512C106.7 512 96 501.3 96 488V223.6L52.89 299.8C46.36 311.4 31.72 315.4 20.18 308.9C8.647 302.4 4.585 287.7 11.11 276.2L69.66 172.7C85.27 145.1 114.5 128 146.3 128H173.7C205.5 128 234.7 145.1 250.3 172.7L296.1 255.1C285.2 269.1 275.6 285 268.7 302.3C268.1 301.5 267.6 300.7 267.1 299.8L224 223.6V488C224 501.3 213.3 512 200 512C186.7 512 176 501.3 176 488V352H144zM144 304H176V176.1C175.3 176 174.5 176 173.7 176H146.3C145.5 176 144.7 176 144 176.1V304zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM448 303.1C448 295.2 440.8 287.1 432 287.1C423.2 287.1 416 295.2 416 303.1V351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H416V431.1C416 440.8 423.2 447.1 432 447.1C440.8 447.1 448 440.8 448 431.1V383.1H496C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1H448V303.1z"],
    "person-circle-question": [576, 512, [], "e542", "M208 48C208 74.51 186.5 96 160 96C133.5 96 112 74.51 112 48C112 21.49 133.5 0 160 0C186.5 0 208 21.49 208 48zM144 352V488C144 501.3 133.3 512 120 512C106.7 512 96 501.3 96 488V223.6L52.89 299.8C46.36 311.4 31.72 315.4 20.18 308.9C8.647 302.4 4.585 287.7 11.11 276.2L69.66 172.7C85.27 145.1 114.5 128 146.3 128H173.7C205.5 128 234.7 145.1 250.3 172.7L296.1 255.1C285.2 269.1 275.6 285 268.7 302.3C268.1 301.5 267.6 300.7 267.1 299.8L224 223.6V488C224 501.3 213.3 512 200 512C186.7 512 176 501.3 176 488V352H144zM144 304H176V176.1C175.3 176 174.5 176 173.7 176H146.3C145.5 176 144.7 176 144 176.1V304zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 464C445.3 464 456 453.3 456 440C456 426.7 445.3 416 432 416C418.7 416 408 426.7 408 440C408 453.3 418.7 464 432 464zM368 328C368 336.8 375.2 344 384 344C392.8 344 400 336.8 400 328V321.6C400 316.3 404.3 312 409.6 312H450.1C457.8 312 464 318.2 464 325.9C464 331.1 461.1 335.8 456.6 338.3L424.6 355.1C419.3 357.9 416 363.3 416 369.2V384C416 392.8 423.2 400 432 400C440.8 400 448 392.8 448 384V378.9L471.5 366.6C486.6 358.6 496 342.1 496 325.9C496 300.6 475.4 280 450.1 280H409.6C386.6 280 368 298.6 368 321.6V328z"],
    "person-circle-xmark": [576, 512, [], "e543", "M208 48C208 74.51 186.5 96 160 96C133.5 96 112 74.51 112 48C112 21.49 133.5 0 160 0C186.5 0 208 21.49 208 48zM144 352V488C144 501.3 133.3 512 120 512C106.7 512 96 501.3 96 488V223.6L52.89 299.8C46.36 311.4 31.72 315.4 20.18 308.9C8.647 302.4 4.585 287.7 11.11 276.2L69.66 172.7C85.27 145.1 114.5 128 146.3 128H173.7C205.5 128 234.7 145.1 250.3 172.7L296.1 255.1C285.2 269.1 275.6 285 268.7 302.3C268.1 301.5 267.6 300.7 267.1 299.8L224 223.6V488C224 501.3 213.3 512 200 512C186.7 512 176 501.3 176 488V352H144zM144 304H176V176.1C175.3 176 174.5 176 173.7 176H146.3C145.5 176 144.7 176 144 176.1V304zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM491.3 331.3C497.6 325.1 497.6 314.9 491.3 308.7C485.1 302.4 474.9 302.4 468.7 308.7L432 345.4L395.3 308.7C389.1 302.4 378.9 302.4 372.7 308.7C366.4 314.9 366.4 325.1 372.7 331.3L409.4 368L372.7 404.7C366.4 410.9 366.4 421.1 372.7 427.3C378.9 433.6 389.1 433.6 395.3 427.3L432 390.6L468.7 427.3C474.9 433.6 485.1 433.6 491.3 427.3C497.6 421.1 497.6 410.9 491.3 404.7L454.6 368L491.3 331.3z"],
    "person-digging": [576, 512, ["digging"], "f85e", "M311.1 416c-13.74 0-25.96 8.882-30.33 21.86l-24.75 74.07h319.9l-101.8-205.9c-5.248-10.48-15.74-17.22-27.49-17.72c-11.62-.373-22.67 5.263-28.66 15.25l-34.7 59.4l-82.36-46.55L279.3 191.7C267.9 136.2 218.4 96 161.8 96H110.4C94.41 96 79.16 102.8 68.52 114.8L14.06 176.1C9.252 181.5 7.143 188.8 8.331 195.9s5.547 13.39 11.86 16.95l338.8 191.5l-6.978 11.62H311.1zM69.69 185.7l34.69-39.05C105.9 144.1 108.1 144 110.4 144h51.45c33.97 0 63.62 24.14 70.37 56.64l14.77 85.3L69.69 185.7zM444.3 353.9l54.47 110.2h-119.2L444.3 353.9zM272 95.93c26.49 0 47.99-21.51 47.99-47.97C319.1 21.51 298.5 0 272 0C245.5 0 224 21.51 224 47.97C224 74.42 245.5 95.93 272 95.93zM84.72 283.6C78.22 279.6 70.21 278.8 63.13 281.7C56.03 284.5 50.71 290.5 48.78 297.9l-47.1 184c-3.344 12.83 4.328 25.94 17.16 29.28C19.97 511.8 22.02 512 24.02 512c10.66 0 20.39-7.141 23.2-17.94l39.77-152.4l89.02 55.64V488c0 13.25 10.75 24 23.1 24s23.1-10.75 23.1-24l-.0005-104c0-8.281-4.265-15.92-11.28-20.31L84.72 283.6z"],
    "person-dolly": [512, 512, [], "f4d0", "M80.01 96.01c26.5 0 48.01-21.51 48.01-48.01S106.5 0 80.01 0S32 21.51 32 48.01S53.51 96.01 80.01 96.01zM0 488C0 501.3 10.75 512 24 512c13.25 0 23.1-10.75 23.1-24v-95.88C35.1 382.6 .5 354.3 0 353.9V488zM511.1 385.5c-3.562-12.77-16.75-20.28-29.59-16.64l-143.1 40.08c-10.22-13.17-25.36-22.11-42.76-24.2L239.1 177.7C235.7 164.9 222.7 157.2 209.7 160.8C196.9 164.3 189.3 177.5 192.8 190.3l13.52 49.56H158.2l-31.1-77.5c-8.75-20.88-29-34.5-51.75-34.5h-18.5C25.13 127.9 0 153 0 183.9v102.4c0 7.625 3 29.5 21.25 44l76.49 60.38c5.625 4.5 9.625 10.75 11.25 17.88l19.62 84.75c2.623 11.5 14.37 21.25 28.75 18c12.88-3 21-15.88 18-28.75l-21.37-93c-2.875-12.38-9.875-23.5-19.88-31.38l-38.12-30V214.8l22.25 53.5C123.2 280.3 134.7 288 147.7 288h71.74l29.82 109.3C234 409 223.1 427.3 223.1 448c0 35.35 28.66 64 63.1 64c32.88 0 59.64-24.88 63.26-56.79l143.2-40.1C507.2 411.5 514.7 398.3 511.1 385.5zM287.1 464c-8.82 0-15.1-7.178-15.1-16s7.178-16 15.1-16c8.822 0 16 7.178 16 16S296.8 464 287.1 464zM331.2 360.6c2.25 8.502 11.13 13.63 19.63 11.25l117-31.26c8.502-2.252 13.5-11.13 11.25-19.63l-31.38-116.9c-2.377-8.502-11.13-13.63-19.63-11.25L311.1 224.1c-8.502 2.252-13.63 11.13-11.25 19.63L331.2 360.6z"],
    "person-dolly-empty": [512, 512, [], "f4d1", "M0 488C0 501.3 10.75 512 24 512c13.25 0 23.1-10.75 23.1-24v-95.88C35.1 382.6 .5 354.3 0 353.9V488zM80.01 96.01c26.5 0 48.01-21.51 48.01-48.01S106.5 0 80.01 0S32 21.51 32 48.01S53.51 96.01 80.01 96.01zM511.1 385.5c-3.562-12.77-16.75-20.28-29.59-16.64l-143.1 40.08c-10.22-13.17-25.36-22.11-42.76-24.2L239.1 177.7C235.7 164.9 222.7 157.2 209.7 160.8C196.9 164.3 189.3 177.5 192.8 190.3l13.52 49.56H158.2l-31.1-77.5c-8.75-20.88-29-34.5-51.75-34.5h-18.5C25.13 127.9 0 153 0 183.9v102.4c0 7.625 3 29.5 21.25 44l76.49 60.38c5.625 4.5 9.625 10.75 11.25 17.88l19.62 84.75c2.623 11.5 14.37 21.25 28.75 18c12.88-3 21-15.88 18-28.75l-21.37-93c-2.875-12.38-9.875-23.5-19.88-31.38l-38.12-30V214.8l22.25 53.5C123.2 280.3 134.7 288 147.7 288h71.74l29.82 109.3C234 409 223.1 427.3 223.1 448c0 35.35 28.66 64 63.1 64c32.88 0 59.64-24.88 63.26-56.79l143.2-40.1C507.2 411.5 514.7 398.3 511.1 385.5zM287.1 464c-8.82 0-15.1-7.178-15.1-16s7.178-16 15.1-16c8.822 0 16 7.178 16 16S296.8 464 287.1 464z"],
    "person-dots-from-line": [576, 512, ["diagnoses"], "f470", "M287.1 176c48.6 0 87.1-39.4 87.1-88S336.6 0 287.1 0S200 39.4 200 88S239.4 176 287.1 176zM287.1 48c22.06 0 39.1 17.94 39.1 40c0 22.05-17.94 40-39.1 40S247.1 110.1 247.1 88C247.1 65.94 265.9 48 287.1 48zM551.1 464H24c-13.25 0-23.1 10.74-23.1 24c0 13.25 10.75 24 23.1 24h527.1c13.25 0 23.1-10.75 23.1-24C575.1 474.7 565.3 464 551.1 464zM24 344c5.531 0 11.09-1.906 15.62-5.781C67.89 313.1 115.7 287.3 175.1 271.1L176 432h47.1V261.3C244.7 258.2 266.2 256 288.9 256c21.94 0 42.86 2.096 63.09 5.121V432h48l-.0005-161.2c59.81 15.95 107.9 42.23 136.7 66.08c10.12 8.375 25.34 7.078 33.78-3.172c8.469-10.2 7.062-25.34-3.156-33.8C499.9 244.1 390.6 208 288.9 208c-103.9 0-214.1 36.81-280.5 93.78c-10.06 8.625-11.22 23.78-2.594 33.84C10.53 341.2 17.25 344 24 344zM287.1 376c0 13.25 10.75 24 23.1 24c13.25 0 23.1-10.75 23.1-24c0-13.26-10.75-24-23.1-24C298.7 352 287.1 362.7 287.1 376zM487.1 224c13.25 0 23.1-10.75 23.1-24c0-13.26-10.75-24-23.1-24c-13.25 0-23.1 10.74-23.1 24C463.1 213.3 474.7 224 487.1 224zM56 240c13.25 0 23.1-10.75 23.1-24c0-13.26-10.75-24-23.1-24S32 202.7 32 216C32 229.3 42.75 240 56 240z"],
    "person-dress": [320, 512, ["female"], "f182", "M208 48C208 74.51 186.5 96 160 96C133.5 96 112 74.51 112 48C112 21.49 133.5 0 160 0C186.5 0 208 21.49 208 48zM265.5 363.2C268.7 373.5 261 384 250.2 384H224V488C224 501.3 213.3 512 200 512C186.7 512 176 501.3 176 488V384H144V488C144 501.3 133.3 512 120 512C106.7 512 96 501.3 96 488V384H69.76C58.97 384 51.27 373.5 54.49 363.2L100.8 215.2L52.89 299.8C46.36 311.4 31.72 315.4 20.18 308.9C8.647 302.4 4.585 287.7 11.11 276.2L62.89 184.6C82.69 149.6 119.8 127.1 160 127.1C200.2 127.1 237.3 149.6 257.1 184.6L308.9 276.2C315.4 287.7 311.4 302.4 299.8 308.9C288.3 315.4 273.6 311.4 267.1 299.8L219.3 215.2L265.5 363.2zM113.3 336H206.7L160 186.5L113.3 336z"],
    "person-dress-burst": [640, 512, [], "e544", "M432 48C432 21.49 453.5 0 480 0C506.5 0 528 21.49 528 48C528 74.51 506.5 96 480 96C453.5 96 432 74.51 432 48V48zM587.1 299.8L539.3 215.2L585.5 363.2C588.7 373.5 581 384 570.2 384H544V488C544 501.3 533.3 512 520 512C506.8 512 496 501.3 496 488V384H464V488C464 501.3 453.3 512 440 512C426.7 512 416 501.3 416 488V384H389.8C378.1 384 371.3 373.5 374.5 363.2L420.8 215.2L372.9 299.8C366.4 311.4 351.7 315.4 340.2 308.9C328.6 302.4 324.6 287.7 331.1 276.2L382.9 184.6C402.7 149.6 439.8 128 480 128C520.2 128 557.3 149.6 577.1 184.6L628.9 276.2C635.4 287.7 631.4 302.4 619.8 308.9C608.3 315.4 593.6 311.4 587.1 299.8H587.1zM526.7 336L480 186.5L433.3 336H526.7zM176 8C184.9 8 193 12.9 197.2 20.75L227.3 77.46L290.4 65.64C299.2 64.01 308.1 67.32 313.6 74.27C319.1 81.21 320.4 90.64 316.9 98.79L291.3 157.7L332.2 193L300.5 249.1L268.5 257.7L265.9 321.9C265.6 330.8 260.4 338.7 252.4 342.6C244.4 346.4 234.9 345.5 227.7 340.3L176 302.3L124.3 340.3C117.1 345.5 107.6 346.4 99.64 342.6C91.64 338.7 86.42 330.8 86.07 321.9L83.55 257.7L21.56 240.1C12.99 238.7 6.391 231.8 4.415 223.2C2.439 214.5 5.405 205.5 12.12 199.7L60.72 157.7L35.15 98.79C31.61 90.64 32.86 81.21 38.4 74.27C43.94 67.32 52.85 64.01 61.58 65.64L124.7 77.46L154.8 20.75C158.1 12.9 167.1 8 176 8H176zM176 83.18L158.8 115.6C153.9 124.8 143.5 129.8 133.2 127.9L97.18 121.1L111.8 154.8C115.1 164.4 113.4 175.6 105.4 182.5L77.71 206.4L113.1 215.1C123.2 218.7 130.4 227.7 130.8 238.2L132.3 274.8L161.8 253.1C170.2 246.9 181.8 246.9 190.2 253.1L219.7 274.8L221.2 238.2C221.6 227.7 228.8 218.7 238.9 215.1L274.3 206.4L246.6 182.5C238.6 175.6 236.1 164.4 240.2 154.8L254.8 121.1L218.8 127.9C208.5 129.8 198.1 124.8 193.2 115.6L176 83.18z"],
    "person-dress-simple": [256, 512, [], "e21c", "M249.5 343.2l-39.08-136.8C202.6 178.9 177.5 160 148.9 160H107.1C78.5 160 53.39 178.9 45.54 206.4l-39.08 136.8C.6109 363.7 15.96 384 37.22 384h26.78l-.0006 104c0 13.25 10.75 24 24 24c13.25 0 24-10.75 24-24V384h32v104c0 13.25 10.75 24 24 24c13.25 0 24-10.75 24-24L192 384h26.78C240 384 255.4 363.7 249.5 343.2zM58.43 336l33.26-116.4C93.65 212.7 99.93 208 107.1 208h41.85c7.144 0 13.42 4.736 15.38 11.6L197.6 336H58.43zM128 128c35.38 0 64-28.62 64-64S163.4 0 128 0S63.1 28.62 63.1 64S92.62 128 128 128z"],
    "person-drowning": [576, 512, [], "e545", "M151.1 32C165.2 32 175.1 42.75 175.1 56V92.64C175.1 150.6 213.9 201.8 269.3 218.6C313.2 231.1 359.1 232.9 404.4 221.3L513.9 192.8C526.7 189.4 539.8 197.1 543.2 209.9C546.5 222.8 538.8 235.9 526 239.2L416.5 267.8C402.2 271.5 387.6 274.2 372.1 275.7L355.7 379.6C345 376.1 334.5 370.8 324.8 364.1C320.4 361 315.7 358.5 310.8 356.7L324.1 276.9C300.9 275.5 277.8 271.4 255.3 264.5C250.8 263.2 246.3 261.6 241.9 259.9L220.6 379.6C211.3 382.7 201.7 384.5 191.1 384.5C185.4 384.5 178.4 383.5 171.4 381.8L197.7 234.8C154.6 201.4 127.1 149.4 127.1 92.64V56C127.1 42.75 138.7 32 151.1 32V32zM375.1 128C375.1 158.9 350.9 184 319.1 184C289 184 263.1 158.9 263.1 128C263.1 97.07 289 72 319.1 72C350.9 72 375.1 97.07 375.1 128zM191.9 432C220.8 432 250.4 416.7 271.1 398.1C281.1 389.1 294.8 389.1 303.9 398.1C325.5 416.7 355.1 432 383.9 432C412.8 432 442.4 416.7 463.1 398.1C473.1 389.1 486.8 389.1 495.9 398.1C512.8 413.1 535.1 424.9 557.2 429.8C570.1 432.7 578.2 445.5 575.3 458.5C572.4 471.4 559.6 479.5 546.6 476.6C517.1 470.2 494.3 456.2 479.9 446.2C451.8 465.7 418.5 480 383.9 480C349.3 480 316 465.7 287.9 446.2C259.8 465.7 226.5 480 191.9 480C157.3 480 124 465.7 95.93 446.2C81.57 456.2 57.94 470.2 29.26 476.6C16.33 479.5 3.489 471.4 .5872 458.5C-2.314 445.5 5.819 432.7 18.75 429.8C40.96 424.8 62.71 412.1 79.95 398.1C89.05 389.1 102.8 389.1 111.9 398.1C133.4 416.7 163.1 432 191.9 432L191.9 432z"],
    "person-falling": [448, 512, [], "e546", "M288 34.36C288 90.83 257.9 142.2 210.5 170.1L268.7 255.1H344.9C356.2 255.1 367 260.8 374.6 269.2L441.8 343.9C450.7 353.8 449.9 368.1 440.1 377.8C430.2 386.7 415 385.9 406.2 376.1L341.3 303.1H294.1L231.6 344.3L316.2 474.1C323.4 486.1 320.2 500.1 309 508.2C297.9 515.4 283 512.2 275.8 501L116.4 254.7C113.5 264.6 111.1 274.1 111.1 285.6V359.1C111.1 373.3 101.3 383.1 87.1 383.1C74.74 383.1 63.1 373.3 63.1 359.1V285.6C63.1 219.3 105.5 160.1 167.8 137.4C211.1 121.7 240 80.49 240 34.36V24C240 10.75 250.7 0 264 0C277.3 0 288 10.75 288 24L288 34.36zM166.5 190.8C158.1 195.7 150.4 201.7 143.7 208.5L205.5 304L231.9 287.2L166.5 190.8zM32 80C32 53.49 53.49 32 80 32C106.5 32 128 53.49 128 80C128 106.5 106.5 128 80 128C53.49 128 32 106.5 32 80z"],
    "person-falling-burst": [640, 512, [], "e547", "M232 0C245.3 0 256 10.75 256 24V34.36C256 90.83 225.9 142.2 178.5 170.1L236.7 255.1H311.7C324.7 255.1 336.1 262.4 344.4 273.1L395.7 346.2C403.3 357.1 400.6 372.1 389.8 379.7C378.9 387.3 363.9 384.6 356.3 373.8L307.5 303.1H257.9C256.6 305.5 255 306.8 253.3 307.1L199.4 343.9L284.1 474.1C291.4 486.1 288.2 500.1 277 508.2C265.9 515.4 251.1 512.2 243.8 501L84.45 254.7C81.54 264.6 79.1 274.1 79.1 285.6V359.1C79.1 373.3 69.25 383.1 55.1 383.1C42.74 383.1 31.1 373.3 31.1 359.1V285.6C31.1 219.3 73.48 160.1 135.8 137.4C179.1 121.7 207.1 80.49 207.1 34.36V24C207.1 10.75 218.7 0 231.1 0L232 0zM173.3 303.6L199.3 286.3L134.5 190.8C126.1 195.7 118.4 201.7 111.7 208.5L173.3 303.6zM96 80C96 106.5 74.51 128 48 128C21.49 128 0 106.5 0 80C0 53.49 21.49 32 48 32C74.51 32 96 53.49 96 80zM464 302.3L430.7 326.7C429.1 325.6 429.2 324.4 428.4 323.3L377.2 250.1C362.2 228.7 337.8 215.1 311.7 215.1H291.9C292.4 209.8 295.3 203.9 300.1 199.7L348.7 157.7L323.1 98.79C319.6 90.64 320.9 81.21 326.4 74.27C331.9 67.32 340.9 64 349.6 65.64L412.7 77.46L442.8 20.75C446.1 12.9 455.1 7.1 464 7.1C472.9 7.1 481 12.9 485.2 20.75L515.3 77.46L578.4 65.64C587.1 64 596.1 67.32 601.6 74.27C607.1 81.21 608.4 90.64 604.9 98.79L579.3 157.7L627.9 199.7C634.6 205.5 637.6 214.5 635.6 223.2C633.6 231.8 627 238.7 618.4 240.1L556.5 257.7L553.9 321.9C553.6 330.8 548.4 338.7 540.4 342.6C532.4 346.4 522.9 345.5 515.7 340.3L464 302.3zM464 83.18L446.8 115.6C441.9 124.8 431.5 129.8 421.2 127.9L385.2 121.1L399.8 154.8C403.9 164.4 401.4 175.6 393.4 182.5L365.7 206.4L401.1 215.1C411.2 218.7 418.4 227.7 418.8 238.2L420.3 274.8L449.8 253.1C458.2 246.9 469.8 246.9 478.2 253.1L507.7 274.8L509.2 238.2C509.6 227.7 516.8 218.7 526.9 215.1L562.3 206.4L534.6 182.5C526.6 175.6 524.1 164.4 528.2 154.8L542.8 121.1L506.8 127.9C496.5 129.8 486.1 124.8 481.2 115.6L464 83.18z"],
    "person-from-portal": [512, 512, ["portal-exit"], "e023", "M368 96c26.5 0 48-21.5 48-47.1S394.5 0 368 0s-48.01 21.5-48.01 48S341.5 96 368 96zM488 240l-48.38-.125c-3.5 0-6.625-2.375-7.625-5.75L418.1 188.8c-9.25-30.25-34-53.13-64.88-60.13L275 110.9C249.4 105 222.5 111 201.8 127.1L185 140C174.4 63.12 149.4 0 96 0C52.25 0 0 44.37 0 255.1C0 372.7 16.62 512 96 512c24.62 0 51.88-14.12 71.12-64H114.5C108.8 458.2 102.5 464 96 464c-26.5 0-48-93.13-48-208S69.5 48 96 48S144 141.1 144 256c0 41.5-3 79.63-7.75 112H120C106.8 368 96 378.8 96 392S106.8 416 120 416h75c22.38 0 42.63-13.38 51.5-33.1L260 350.5l-9.625-5.875c-11.38-7-21-16.5-28.25-27.75l-19.88 46.25C201 366.1 198.1 368 195 368H185.5C189.6 337.1 192 300.5 192 256c0-19.5-.5-39.5-1.625-59.38L231.1 165c9.5-7.25 21.75-9.875 33.38-7.375L279.4 161L244 248.4c-10.38 25.5-.625 54.75 23 68.87l83.75 50.63c2.375 1.625 3.75 4.125 3.875 6.875c0 .75-.125 1.5-.25 2.25L321 481.4C319.2 487.5 320 494.1 323.1 499.6c3.125 5.625 8.25 9.75 14.38 11.5C339.8 511.6 341.9 512 344.1 512c10.75 0 20.12-7.125 23.12-17.38l33.25-104.5c7-24.37-3.25-50.25-24.88-63.37L323.8 295.5l42-104.7c2.75 3.5 5 7.625 6.375 12l14 45.37c7 23.63 28.75 39.75 53.38 39.75L487.9 288C501.1 288 512 277.2 512 264C512 250.8 501.3 240 488 240z"],
    "person-half-dress": [320, 512, [], "e548", "M160 96C133.5 96 112 74.51 112 48C112 24.8 128.5 5.451 150.3 .975C153.5 .3357 156.7 0 160 0C169.9 0 179.2 3.022 186.8 8.198C193.2 12.53 198.6 18.36 202.2 25.19C205.9 31.98 208 39.74 208 48C208 74.51 186.5 96 160 96V96zM176 128C206.8 128.8 235.1 145.7 250.3 172.7L308.9 276.2C315.4 287.7 311.4 302.4 299.8 308.9C288.3 315.4 273.6 311.4 267.1 299.8L224 223.6V488C224 501.3 213.3 512 200 512C186.7 512 176 501.3 176 488L176 128zM144 488.1C143.9 501.3 133.2 512 120 512C106.7 512 96 501.3 96 488V384H69.76C58.97 384 51.27 373.5 54.49 363.2L100.8 215.2L52.89 299.8C46.36 311.4 31.72 315.4 20.18 308.9C8.647 302.4 4.585 287.7 11.11 276.2L62.89 184.6C80.03 154.3 110.1 134.1 144 129.2V237.7L113.3 336H144V488.1z"],
    "person-harassing": [576, 512, [], "e549", "M240 48C240 74.51 218.5 96 192 96C165.5 96 144 74.51 144 48C144 21.49 165.5 0 192 0C218.5 0 240 21.49 240 48zM96 209.5L44.89 299.8C38.37 311.4 23.73 315.4 12.19 308.9C.6512 302.4-3.411 287.7 3.114 276.2L61.66 172.7C77.27 145.1 106.5 128 138.3 128H173.3C199.3 128 223.9 139.5 240.6 159.4L322.4 256.6C330.9 266.7 329.6 281.8 319.5 290.4C309.3 298.9 294.2 297.6 285.6 287.4L224 214.2V488C224 501.3 213.3 512 200 512C186.7 512 176 501.3 176 488V352H144V488C144 501.3 133.3 512 120 512C106.7 512 96 501.3 96 488V209.5zM176 176.1C175.1 176 174.2 176 173.3 176H144V304H176L176 176.1zM360 32C368.8 32 376 39.16 376 48C376 56.84 368.8 64 360 64H304C295.2 64 287.1 56.84 287.1 48C287.1 39.16 295.2 32 304 32H360zM480 240C480 266.5 458.5 288 432 288C405.5 288 384 266.5 384 240C384 213.5 405.5 192 432 192C458.5 192 480 213.5 480 240zM576 356V452C576 483.8 551.3 509.8 520 511.9V512C519.3 512 518.5 511.1 517.8 511.1C517.2 511.1 516.6 512 516 512C510.3 512 504.9 511.2 499.7 509.8C480.1 505.4 462.2 494.7 449 479.1L404.4 426.4L365.1 499.4C358.8 511 344.3 515.4 332.6 509.1C320.1 502.8 316.6 488.3 322.9 476.6L378.9 372.6C382.6 365.6 389.6 360.1 397.5 360.1C405.4 359.3 413.2 362.4 418.3 368.5L456 413V356C456 322.9 482.9 296 516 296C549.1 296 576 322.9 576 356zM517.4 463.9C523.4 463.2 528 458.2 528 452V356C528 349.4 522.6 344 516 344C509.4 344 504 349.4 504 356V452C504 457.2 507.2 461.5 511.8 463.2C513.6 463.6 515.5 463.8 517.4 463.9V463.9zM265.7 104.8C269.6 96.94 279.3 93.74 287.2 97.69L335.2 121.7C343.1 125.6 346.3 135.3 342.3 143.2C338.4 151.1 328.7 154.3 320.8 150.3L272.8 126.3C264.9 122.4 261.7 112.7 265.7 104.8V104.8z"],
    "person-hiking": [384, 512, ["hiking"], "f6ec", "M240 96c26.5 0 48-21.5 48-48S266.5 0 240 0c-26.5 0-47.1 21.5-47.1 48S213.5 96 240 96zM121.9 317.6l-41.12 164.5c-.496 1.964-.733 3.93-.733 5.865C80.02 502.5 92.26 512 104 512c10.75 0 20.62-7.25 23.25-18.12L160.8 360l-27.5-27.62C128.8 328 125.3 322.8 121.9 317.6zM360 160c-13.25 0-23.1 10.75-23.1 23.1V200h-37.12l-50.12-57.13C239.3 133.3 226.5 128 212.9 128C189.5 128 169.3 143.9 163.6 166.5l-22.5 90c-1.126 4.503-1.675 9.068-1.675 13.6c0 14.67 5.766 28.97 16.39 39.62l73.87 73.99c1.468 1.471 2.293 3.465 2.293 5.543V488c0 13.25 10.75 24 24 24c13.25 0 23.1-10.75 23.1-24v-98.84c0-14.83-5.89-29.05-16.37-39.53L213.3 299.3l24.5-96.13L270 239.9C274.5 245 281.1 248 287.9 248h48.06v240c0 13.25 10.75 23.1 23.1 23.1S384 501.3 384 488V183.1C384 170.7 373.3 160 360 160zM80.01 287.1c7.31 0 13.97-4.762 15.87-11.86L137 117c.3469-1.291 .5125-2.588 .5125-3.866c0-7.011-4.986-13.44-12.39-15.13C118.4 96.38 111.7 95.6 105.1 95.6c-36.65 0-70 23.84-79.32 59.53L.5119 253.3C.1636 254.6-.0025 255.9-.0025 257.2c0 7.003 4.96 13.42 12.36 15.11L76.01 287.5C77.35 287.8 78.69 287.1 80.01 287.1z"],
    "person-military-pointing": [512, 512, [], "e54a", "M192 39C192 25.1 201.1 15.17 214.9 14.09L366.7 1.443C376 .6658 384 8.027 384 17.39V47.1C384 56.84 376.8 63.1 368 63.1H216.1C203.2 63.1 192 52.81 192 39V39zM.0077 247.1C.0077 234.7 10.75 223.1 24.01 223.1H312.6C355.4 223.1 395.1 246.9 416.5 284L508.8 444C515.4 455.5 511.5 470.2 500 476.8C488.5 483.4 473.8 479.5 467.2 467.1L384 323.8V480C384 497.7 369.7 512 352 512H224C206.3 512 192 497.7 192 480V271.1H24.01C10.75 271.1 .008 261.3 .008 247.1H.0077zM240 271.1V354.1L313.4 272C312.1 272 312.5 271.1 312 271.1L240 271.1zM336 464V432H240V464H336zM277.7 384H336V318.8L277.7 384zM208 111.1C208 106.5 208.6 101.2 209.6 96H260.3C257.6 100.7 256 106.2 256 111.1C256 129.7 270.3 143.1 288 143.1C305.7 143.1 320 129.7 320 111.1C320 106.2 318.4 100.7 315.7 96H366.4C367.5 101.2 368 106.5 368 111.1C368 156.2 332.2 191.1 288 191.1C243.8 191.1 208 156.2 208 111.1V111.1z"],
    "person-military-rifle": [448, 512, [], "e54b", "M128 39C128 25.1 137.1 15.17 150.9 14.09L302.7 1.443C312 .6658 320 8.027 320 17.39V47.1C320 56.84 312.8 63.1 304 63.1H152.1C139.2 63.1 128 52.81 128 39V39zM433.6 56C441.2 60.42 443.8 70.21 439.4 77.86L383.1 173.9L385.6 174.9C400.9 183.7 406.1 203.3 397.3 218.6L358.6 285.5L443.8 410.5C451.3 421.4 448.5 436.4 437.5 443.8C426.6 451.3 411.6 448.5 404.2 437.5L320 314.1V480C320 497.7 305.7 512 288 512H160C142.3 512 128 497.7 128 480V314.1L43.84 437.5C36.37 448.5 21.44 451.3 10.49 443.8C-.465 436.4-3.29 421.4 4.176 410.5L95.59 276.4C115.1 246.5 148.7 227.5 184.5 224.4C186.9 224.1 189.5 223.1 192 223.1H256C258.6 223.1 261.1 224.1 263.6 224.4C274.5 225.4 285.1 227.8 295.2 231.6L389.9 67.71C382.2 63.3 379.6 53.51 384 45.86C388.4 38.21 398.2 35.58 405.9 40L433.6 56zM272 287.1C272 279.1 266.1 273.4 258.5 272.2C256.7 272.1 255 271.1 253.3 271.1H196.8L272 403.6V287.1zM176 464H251.2L176 332.4V464zM144 111.1C144 106.5 144.6 101.2 145.6 96H196.3C193.6 100.7 192 106.2 192 111.1C192 129.7 206.3 143.1 224 143.1C241.7 143.1 256 129.7 256 111.1C256 106.2 254.4 100.7 251.7 96H302.4C303.5 101.2 304 106.5 304 111.1C304 156.2 268.2 191.1 224 191.1C179.8 191.1 144 156.2 144 111.1V111.1z"],
    "person-military-to-person": [512, 512, [], "e54c", "M182.2 .0998C191.7-.9534 200 6.466 200 16V30.13C200 38.96 192.8 46.13 184 46.13H72.89C63.56 46.13 56 38.57 56 29.24C56 20.64 62.47 13.41 71.02 12.46L182.2 .0998zM320 96C320 60.65 348.7 31.1 384 31.1C419.3 31.1 448 60.65 448 96C448 131.3 419.3 160 384 160C348.7 160 320 131.3 320 96zM288 256C288 220.7 316.7 192 352 192H416C451.3 192 480 220.7 480 256V288C480 305.7 465.7 320 448 320H320C302.3 320 288 305.7 288 288V256zM336 272H432V256C432 247.2 424.8 240 416 240H352C343.2 240 336 247.2 336 256V272zM189.1 80C191.3 85.11 192 90.48 192 96C192 131.3 163.3 160 128 160C92.65 160 64 131.3 64 96C64 90.48 64.7 85.11 66.02 80H189.1zM160 192C195.3 192 224 220.7 224 256V288C224 305.7 209.7 320 192 320H64C46.33 320 32 305.7 32 288V256C32 220.7 60.65 192 96 192H160zM84.95 244.4C81.9 247.3 80 251.4 80 256V272H124.8L84.95 244.4zM134.8 240L176 268.5V256C176 247.2 168.8 240 160 240H134.8zM224 431.1C224 438.9 221 445.5 215.8 450.1L151.8 506C141.8 514.8 126.7 513.8 117.9 503.8C109.2 493.8 110.2 478.7 120.2 469.9L136.1 455.1L23.1 455.1C10.74 455.1-.0003 445.2 0 431.1C.0003 418.7 10.75 407.1 24 407.1L136.1 407.1L120.2 394.1C110.2 385.3 109.2 370.2 117.9 360.2C126.7 350.2 141.8 349.2 151.8 357.9L215.8 413.9C221 418.5 224 425.1 224 431.1H224zM296.2 450.1C290.1 445.5 288 438.9 288 431.1C288 425.1 290.1 418.5 296.2 413.9L360.2 357.9C370.2 349.2 385.3 350.2 394.1 360.2C402.8 370.2 401.8 385.3 391.8 394.1L375.9 407.1L488 407.1C501.3 407.1 512 418.7 512 431.1C512 445.2 501.3 455.1 488 455.1L375.9 455.1L391.8 469.9C401.8 478.7 402.8 493.8 394.1 503.8C385.3 513.8 370.2 514.8 360.2 506.1L296.2 450.1z"],
    "person-pinball": [640, 512, [], "e21d", "M80 95.1c26.5 0 48-21.5 48-47.1S106.5 0 80 0S32 21.5 32 47.1S53.5 95.1 80 95.1zM0 487.1c0 13.25 10.75 23.1 24 23.1S48 501.2 48 487.1v-95.87c-12-9.5-47.5-37.87-48-38.25V487.1zM608 .0048h-96c-17.67 0-32 14.33-32 31.1v21.62c0 6.879 1.109 13.71 3.285 20.24l41 122.8L281.7 239.1h-123.3L126.2 162.5C117.6 141.6 97.22 127.1 74.63 127.1L48 127.1c-26.51 0-48 21.49-48 47.1v112.4c0 17.31 7.812 33.34 21.38 44.03l87.59 68.81C110.9 402.8 112 405.1 112 407.6v80.44c0 13.25 10.75 23.1 24 23.1S160 501.3 160 488V407.6c0-17.31-7.812-33.34-21.38-44.03L96 330V214.7L118.3 268.3c4.949 11.9 16.57 19.65 29.46 19.65L192 287.1v208C192 504.8 199.2 512 208 512L224 512c8.836 0 16-7.164 16-15.1v-95.1h352v95.1c0 8.836 7.164 15.1 16 15.1L624 512c8.836 0 16-7.164 16-15.1V32C640 14.33 625.7 .0048 608 .0048zM592 352h-352V296.2l33.16-5.922C272.7 292.2 272 293.1 272 296c0 13.25 10.75 23.1 24 23.1S320 309.3 320 296c0-5.027-1.904-9.431-4.545-13.29L592 233.3V352zM592 184.6l-19.96 3.564l-43.22-129.5C528.3 57.05 528 55.35 528 53.62V48.01h64V184.6z"],
    "person-praying": [384, 512, [128720, "pray"], "f683", "M255.1 128c35.37 0 63.1-28.62 63.1-64s-28.63-64-63.1-64S191.1 28.62 191.1 64S220.6 128 255.1 128zM233.7 287.5c4.625 6.125 11.62 10 19.25 10.88c7.625 .875 15.38-1.5 21.25-6.625l99.99-82.5c11.75-10 13.12-27.75 2.998-39.5c-9.998-11.75-27.75-13.12-39.5-3L260.4 230l-46.75-61.38C201.1 151.5 181.2 142.5 160.1 144.3C139.1 146.1 120.1 158.8 111.1 179.1L64.12 288.5c-20.5 42-7.125 93.25 30.1 119.4L165.5 456H27.1C12.5 456 0 468.5 0 484S12.5 512 27.1 512h227.1c5.625 0 31.1-4.875 31.1-32c0-8.5-3.375-17-10-23.25l-119.5-112.4l43.1-97.88L233.7 287.5z"],
    "person-pregnant": [320, 512, [], "e31e", "M208 48C208 74.51 186.5 96 160 96C133.5 96 112 74.51 112 48C112 21.49 133.5 0 160 0C186.5 0 208 21.49 208 48zM64 272.1L45.17 307.3C38.92 318.1 24.38 323.4 12.69 317.2C1.002 310.9-3.413 296.4 2.832 284.7L61.68 174.5C76.98 145.9 106.8 128 139.3 128H160C160.1 128 161.1 128.1 162.9 128.2C199.1 130.6 229.5 157.2 236.2 193.3L242.3 225.7C286.6 234.3 320 273.2 320 320V352C320 369.7 305.7 384 288 384H224V488C224 501.3 213.3 512 200 512C186.7 512 176 501.3 176 488V384H144V488C144 501.3 133.3 512 120 512C106.7 512 96 501.3 96 488V384C78.33 384 64 369.7 64 352L64 272.1zM144 176C126.3 176 112 190.3 112 208V336H272V320C272 296.7 255.3 277.1 233.2 272.9L201.2 266.7L189.1 202.1C186.2 186.1 173 176 157.6 176H144z"],
    "person-rays": [512, 512, [], "e54d", "M208 48C208 21.49 229.5 0 256 0C282.5 0 304 21.49 304 48C304 74.51 282.5 96 256 96C229.5 96 208 74.51 208 48zM216 512C202.7 512 192 501.3 192 488V223.6L148.9 299.8C142.4 311.4 127.7 315.4 116.2 308.9C104.6 302.4 100.6 287.7 107.1 276.2L165.7 172.7C181.3 145.1 210.5 128 242.3 128H269.7C301.5 128 330.7 145.1 346.3 172.7L404.9 276.2C411.4 287.7 407.4 302.4 395.8 308.9C384.3 315.4 369.6 311.4 363.1 299.8L320 223.6V488C320 501.3 309.3 512 296 512C282.7 512 272 501.3 272 488V352H239.1V488C239.1 501.3 229.3 512 215.1 512H216zM242.3 176C241.5 176 240.7 176 240 176.1V304H272V176.1C271.3 176 270.5 176 269.7 176H242.3zM7.029 7.029C16.4-2.343 31.6-2.343 40.97 7.029L120.1 87.03C130.3 96.4 130.3 111.6 120.1 120.1C111.6 130.3 96.4 130.3 87.03 120.1L7.029 40.97C-2.343 31.6-2.343 16.4 7.029 7.029V7.029zM504.1 40.97L424.1 120.1C415.6 130.3 400.4 130.3 391 120.1C381.7 111.6 381.7 96.4 391 87.03L471 7.029C480.4-2.343 495.6-2.343 504.1 7.029C514.3 16.4 514.3 31.6 504.1 40.97V40.97zM40.97 504.1C31.6 514.3 16.4 514.3 7.029 504.1C-2.343 495.6-2.343 480.4 7.029 471L87.03 391C96.4 381.7 111.6 381.7 120.1 391C130.3 400.4 130.3 415.6 120.1 424.1L40.97 504.1zM504.1 504.1C495.6 514.3 480.4 514.3 471 504.1L391 424.1C381.7 415.6 381.7 400.4 391 391C400.4 381.7 415.6 381.7 424.1 391L504.1 471C514.3 480.4 514.3 495.6 504.1 504.1z"],
    "person-rifle": [576, 512, [], "e54e", "M240 .0003C283.8 .0003 319.4 35.23 320 78.91V81.09C319.4 124.8 283.8 160 240 160C195.8 160 160 124.2 160 80C160 35.82 195.8 .0003 240 .0003zM240 48C222.3 48 208 62.33 208 80C208 97.67 222.3 112 240 112C257.7 112 272 97.67 272 80C272 62.33 257.7 48 240 48zM260.7 192C281.9 192 302.2 197.6 320 207.7V488.3C319.9 501.4 309.2 512 296 512C282.7 512 272 501.3 272 488V240.9C268.3 240.3 264.5 240 260.7 240H219.3C212.7 240 206.2 240.9 200 242.6V488C200 501.3 189.3 512 176 512C162.7 512 152 501.3 152 488V285.7L77.48 434.7C71.55 446.6 57.13 451.4 45.28 445.5C33.42 439.5 28.62 425.1 34.54 413.3L112 258.3C132.3 217.7 173.9 192 219.3 192H260.7zM448 .0003C456.8 .0003 464 7.164 464 16V132.3C473.6 137.8 480 148.2 480 160V269.3L496 264V208C496 199.2 503.2 192 512 192H528C536.8 192 544 199.2 544 208V292.5C544 299.4 539.6 305.5 533.1 307.6L480 325.3V352H528C536.8 352 544 359.2 544 368V384C544 392.8 536.8 400 528 400H484L507 492.1C509.6 502.2 501.9 512 491.5 512H432C423.2 512 416 504.8 416 496V384H384C366.3 384 352 369.7 352 352V224C352 206.3 366.3 192 384 192H400V160C400 148.2 406.4 137.8 416 132.3V32C407.2 32 400 24.84 400 16C400 7.164 407.2 0 416 0L448 .0003zM432 240H400V336H432V240z"],
    "person-running": [448, 512, [127939, "running"], "f70c", "M142.1 316.9L122.2 363.1C121 366.1 118.1 368 115 368H40c-13.25 0-24 10.75-24 24S26.75 416 40 416h75c22.38 0 42.62-13.25 51.5-33.1L180 350.5l-9.5-5.75C158.6 337.5 149.2 327.9 142.1 316.9zM288 96c26.5 0 48-21.5 48-48s-21.5-48-48-48s-48 21.5-48 48S261.5 96 288 96zM408 240.5l-48.38-.125c-3.5 0-6.625-2.25-7.625-5.625l-13.88-46c-9.25-30.13-34-53.25-64.88-60.13L195 110.9C188.5 109.4 181.1 108.7 175.5 108.7c-19.27 0-38.11 6.396-53.72 18.46L73.38 164.5C67.27 169.2 64.08 176.2 64.08 183.4c0 12.45 9.888 24.04 23.98 24.04c5.158 0 10.35-1.649 14.69-5.047l48.37-37.25c7.096-5.509 15.73-8.367 24.48-8.367c2.967 0 5.949 .3281 8.891 .9923L199.4 161L164 248.4C161.2 255.3 159.9 262.4 159.9 269.4c0 19.12 9.79 37.46 27.07 47.98l83.75 50.5c2.476 1.486 3.932 4.149 3.932 6.933c0 .7289-.0999 1.466-.3074 2.192L241 481.4c-.6248 2.198-.9229 4.414-.9229 6.596C240.1 495.9 246.1 512 264.1 512c10.5 0 20.12-6.875 23.12-17.38l33.25-104.5c1.473-5.103 2.182-10.28 2.182-15.41c0-19.22-9.983-37.61-27.06-47.97L243.8 295.5l42-104.7c2.75 3.625 5 7.5 6.375 12l14 46c7.125 23.62 28.63 39.62 53.38 39.62l48.38 .25c13.25 0 24.12-10.75 24.12-24C432 251.4 421.4 240.6 408 240.5z"],
    "person-seat": [384, 512, [], "e21e", "M144 96c26.51 0 48-21.49 48-48s-21.49-48-48-48S96 21.49 96 48S117.5 96 144 96zM360 432h-42.81l-13.38-106.1C302.3 313 292.1 304 280 304H160v-64h88c13.25 0 24-10.75 24-24C272 202.7 261.3 192 248 192H160V160c0-17.69-14.33-32-32-32S96 142.3 96 160v160c0 17.69 14.33 32 32 32h130.8l13.38 106.1C273.7 471 283.9 480 296 480h64c13.25 0 24-10.75 24-24S373.3 432 360 432zM200 400H125.1C82.98 400 48 365 48 322V152C48 138.8 37.25 128 24 128S0 138.8 0 152v170C0 391.5 56.53 448 125.1 448H200c13.25 0 24-10.75 24-24S213.3 400 200 400z"],
    "person-seat-reclined": [448, 512, [], "e21f", "M264 384H149.1c-33.63 0-62.58-24.66-68.81-58.66L47.62 147.7c-2.406-13.03-15-21.78-27.94-19.25C6.633 130.8-1.992 143.3 .3984 156.3l32.62 177.7C43.46 390.8 92.26 432 149.1 432h114.1c13.25 0 23.1-10.75 23.1-24S277.3 384 264 384zM112 96c26.51 0 47.1-21.49 47.1-48S138.5 0 112 0s-48 21.49-48 48S85.5 96 112 96zM424 432h-32.3l-49.72-113.6C338.2 309.7 329.5 304 320 304H187.6l-12-64h120.4c13.25 0 24-10.75 24-24c0-13.26-10.75-24-24-24H166.6L159.5 154.1C156.2 136.7 139.5 125.3 122.1 128.6S93.3 148.5 96.55 165.9l30 160C129.4 341.3 142.9 352 157.1 352h146.3l49.72 113.6C357.8 474.3 366.5 480 376 480H424c13.25 0 24-10.75 24-24S437.3 432 424 432z"],
    "person-shelter": [512, 512, [], "e54f", "M500.1 139.3C507.5 143.6 512 151.5 512 160V488C512 501.3 501.3 512 488 512C474.7 512 464 501.3 464 488V173.8L256 51.82L48 173.8V488C48 501.3 37.25 512 24 512C10.75 512 0 501.3 0 488V160C0 151.5 4.515 143.6 11.86 139.3L243.9 3.295C251.4-1.098 260.6-1.098 268.1 3.295L500.1 139.3zM216 168C216 145.9 233.9 127.1 256 127.1C278.1 127.1 296 145.9 296 168C296 190.1 278.1 208 256 208C233.9 208 216 190.1 216 168zM240 416V488C240 501.3 229.3 512 216 512C202.7 512 192 501.3 192 488V328.3L173.1 363.4C166.8 375 152.3 379.4 140.6 373.1C128.1 366.8 124.6 352.3 130.9 340.6L168.7 270.3C184.1 241.8 213.9 224 246.2 224H265.8C298.1 224 327.9 241.8 343.3 270.3L381.1 340.6C387.4 352.3 383 366.8 371.4 373.1C359.7 379.4 345.2 375 338.9 363.4L320 328.3V488C320 501.3 309.3 512 296 512C282.7 512 272 501.3 272 488V416H240zM240 368H272V272.5C269.1 272.2 267.9 272 265.8 272H246.2C244.1 272 242 272.2 240 272.5V368z"],
    "person-sign": [512, 512, [], "f757", "M143.1 96.03c26.5 0 47.1-21.5 47.1-48S170.5 .021 143.1 .021S96 21.53 96 48.03S117.5 96.03 143.1 96.03zM501.5 66.65l-67.7-24.63l2.777-7.285c4.578-12.49-1.834-26.32-14.32-30.9c-12.35-4.529-26.16 1.871-30.69 14.22L388.7 25.65l-67.63-24.62c-11.12-4.125-18.62 4.594-20.5 9.594l-43.87 120.3c-3 8.375 1.375 17.5 9.625 20.5l67.62 24.62l-15.74 43.49c0 0-49.1-17.13-49.5-16.5l-50.5-58.63c-10.5-10.38-24.79-16.45-39.54-16.45H115.8c-21.5 0-40.52 11.95-50.14 30.95L2.516 285.2C-3.359 297.2 1.391 311.6 13.27 317.5c13.1 7 27.37-1.25 32.12-10.75L96.01 205.7v96.63l-23.75 182.5c-1.75 13.25 7.395 25.25 20.52 26.88C93.78 511.9 94.91 512 95.91 512c11.88 0 22.35-8.752 23.85-20.88l21.25-163.1h14l51.25 78.26c1 1.375 1.625 3.127 1.625 5.002v76.76c0 13.25 10.75 24 24 24c13.25 0 23.1-10.75 23.1-24v-76.76c0-12.75-4.25-25.13-10.88-33.13L191.9 296.9V187.2l41.62 48.38c6.123 6.127 13.62 10.75 21.87 13.63l46.37 15.38l-13.84 38.26c-3.025 8.266 1.059 17.41 9.321 20.44l15.3 5.563c8.375 3 17.5-1.25 20.5-9.625l46.15-126.9l67.65 24.63c11.25 4.125 18.62-4.75 20.5-9.625l43.66-120.2C514.1 78.77 509.7 69.65 501.5 66.65zM433.1 160.1l-120.2-43.75l21.88-60.13l120.2 43.75L433.1 160.1z"],
    "person-simple": [256, 512, [], "e220", "M128 128c35.38 0 64-28.62 64-64s-28.62-64-64-64S64 28.62 64 64S92.63 128 128 128zM160 160H96C51.82 160 16 195.8 16 240V320c0 17.67 14.33 32 32 32H64v136C64 501.3 74.75 512 88 512s24-10.75 24-24V352h32v136c0 13.25 10.75 24 24 24S192 501.3 192 488V352h16c17.67 0 32-14.33 32-32V240C240 195.8 204.2 160 160 160zM192 304H64v-64c0-17.67 14.33-32 32-32h64c17.67 0 32 14.33 32 32V304z"],
    "person-skating": [448, 512, ["skating"], "f7c5", "M399.1 0c-26.5 0-48.01 21.5-48.01 48S373.5 96 399.1 96C426.5 96 448 74.5 448 48S426.5 0 399.1 0zM151.1 144h103.1L218.6 175.2C200.2 190.1 199 211.8 199 217.9c0 14.74 5.976 29.11 17.17 40.3l87.76 80V424c0 13.25 10.75 24 24 24c13.25 0 24-10.75 24-24v-89.38c0-10.5-4.251-20.87-12.5-29L266.7 239.2l88.51-88.5c6.185-6.184 9.464-14.38 9.464-22.72c0-17.38-14.05-31.1-32.09-31.1L151.1 96.12c-13.25 0-24 10.75-24 24C127.1 133.2 138.7 144 151.1 144zM187.5 273.4L85.82 375c-4.688 4.688-7.032 10.84-7.032 16.98c0 12.49 10.06 23.89 24.03 23.89c6.251 0 12.38-2.25 17-7l102.1-102.1l-28.38-26C191.2 278.5 189.6 275.9 187.5 273.4zM399.1 448c-8.751 0-16 7.25-16 16S376.7 480 367.1 480h-96.01c-8.751 0-16 7.25-16 16s7.251 16 16 16h96.01c26.5 0 48.01-21.5 48.01-48C415.1 455.2 408.7 448 399.1 448zM129.1 451.9c-11.54 0-11.08 9.36-22.65 9.36c-4.094 0-8.147-1.563-11.21-4.625l-67.98-67.89c-3.063-3.125-7.165-4.688-11.27-4.688c-4.102 0-8.204 1.562-11.27 4.688C1.562 391.8-.0001 395.9-.0001 400s1.562 8.203 4.688 11.27l67.88 67.98c9.251 9.375 21.71 14 33.96 14c13.23 0 38.57-8.992 38.57-25.36c0-4.109-1.562-8.203-4.688-11.27C137.3 453.5 133.2 451.9 129.1 451.9z"],
    "person-ski-jumping": [512, 512, ["ski-jump"], "f7c7", "M399.1 96c26.5 0 48-21.5 48-48S426.5 0 399.1 0c-26.5 0-48 21.5-48 48S373.5 96 399.1 96zM511.1 205.7c0-.1233 .0637-1.1 .0637-2.631c0-8.239-1.822-32.1-25.06-32.1c-14.39 0-24.08 11.89-24.08 24.11c0 4.138 1.002 5.667 1.002 11.84c0 16.53-8.896 32.22-22.71 40.21L168.1 386.4l50.5-122.6c.375-1 1.25-2 2-2.875l121.3-110.3c6.092-6.175 9.343-14.3 9.343-22.59C352.1 110.5 337.9 96 319.1 96H135.1C122.7 96 111.1 106.8 111.1 120S122.7 144 135.1 144h113.8L180.1 233.4c-1.25 1.625-1.75 2-5.875 12.12l-53.38 129.4c-1.196 2.895-1.758 5.878-1.758 8.812c0 8.72 4.964 17.01 13.01 21.31l-120 61.73c-8.224 4.199-12.95 12.58-12.95 21.26C-.0002 500.4 9.903 512 24.06 512c3.625 0 7.473-.8581 10.97-2.733l429.2-220.9C494.1 271.4 511.1 239.4 511.1 205.7z"],
    "person-ski-lift": [512, 512, ["ski-lift"], "f7c8", "M111.1 127.1c26.51 0 48.01-21.49 48.01-47.99S138.5 31.99 111.1 31.99S63.96 53.48 63.96 79.98S85.46 127.1 111.1 127.1zM255.1 0H223.1l.0231 215.9l31.1-7.973L255.1 0zM191.6 381.3c10.08-3.29 16.43-12.66 16.43-22.71c0-13.15-10.52-24.15-23.99-24.15c-2.543 0-5.097 .3976-7.661 1.252l-18.39 6.231c-4.151 1.392-8.398 2.053-12.59 2.053c-15 0-29.31-8.519-36.15-22.78L45.69 188.2C41.55 179.6 32.98 174.6 24.02 174.6c-12.58 0-24.02 10.12-24.02 24.05c0 3.456 .755 6.966 2.321 10.3l63.64 132.1c15.01 31.24 46.38 49.99 79.51 49.99C158.1 391.9 162.5 391 191.6 381.3zM512 311.9c0-13.26-10.79-23.89-23.97-23.89c-13.26 0-23.1 10.68-23.1 23.92c0 13.87-8.766 26.51-21.77 31.26l-130.2 48.24V255.9c0-13.68-11.33-23.97-23.98-23.97c-1.907 0-3.845 .2338-5.778 .7249L188.8 256.1L148.1 170.6C143.6 158.9 132.1 151.1 119.1 151.1c-27.32 0-32.12 27.45-32.12 32.62c0 4.183 .8686 8.526 2.856 12.85l47.39 100.6C141.1 306.6 150.6 311.1 159.7 311.1c2.011 0 4.046-.2604 6.061-.8033l98.16-24.49v122.5l-152.3 56.25c-9.666 3.61-15.76 12.81-15.76 22.58C95.89 501 106.7 512 119.9 512c2.876 0 5.564-.5001 8.315-1.5l330.6-122.2C506.6 370.6 512 324.8 512 311.9z"],
    "person-skiing": [512, 512, [9975, "skiing"], "f7c9", "M432.1 96.02c26.51 0 47.99-21.5 47.99-48.01S458.6 0 432.1 0s-47.98 21.5-47.98 48.01S405.6 96.02 432.1 96.02zM119.1 91.65L108.5 114.2C114.2 117 120.2 118.4 126.2 118.4c9.128 0 18.02-3.2 25.06-9.102l132.8 66.27l61.14-24.38l14.13 42.26c3.376 10.13 10.5 18.38 20 23.13l58.14 29.01c3.456 1.746 7.134 2.571 10.76 2.571c13.29 0 24.01-10.77 24.01-24.01c0-8.809-4.867-17.27-13.39-21.44L403.7 175l-18.13-54.39c-12.21-36.63-47.73-38.33-53.23-38.33c-7.042 0-14.07 1.319-20.66 3.943L237.1 116.2L164.9 80.33c.009-.3461 .0134-.692 .0134-1.038c0-14.13-7.468-27.7-20.89-34.53L132.9 66.45L98.17 59.43C97.81 59.36 97.55 59.35 97.19 59.35c-1.501 0-2.954 .6411-3.967 1.857C92.31 62.17 91.92 63.39 91.92 64.62c0 1.465 .5858 2.941 1.81 3.961L119.1 91.65zM511.1 469.1c0-13.23-10.56-23.95-23.89-23.95c-19.02 0-18.96 19.11-46.15 19.11c-5.481 0-10.95-1.165-15.87-3.389l-143.1-74.03l49.76-74.52c4.488-6.785 6.692-14.55 6.692-22.27c0-10.34-3.96-20.58-11.69-28.25L270.5 204.5L193.6 166.4C193.4 168.4 193.3 170.3 193.3 172.2c0 14.59 5.419 28.59 15.91 39.09l79.89 79.89l-49.14 73.64L34.97 258.8C31.4 256.1 27.65 256.1 23.93 256.1C9.727 256.1 0 267.9 0 280.1c0 8.673 4.735 17.04 12.96 21.24l392 202.6c11.88 5.501 24.45 8.119 37.08 8.119C481.1 512 511.1 486.7 511.1 469.1z"],
    "person-skiing-nordic": [576, 512, ["skiing-nordic"], "f7ca", "M336 96C362.5 96 384 74.5 384 48S362.5 0 336 0S288 21.5 288 48S309.5 96 336 96zM552 416c-13.25 0-24 10.75-24 24s-10.75 24-24 24h-69.5l28.25-197.4C468.2 262.2 472 255.8 472 248.1c0-13.25-10.71-24.12-23.96-24.12L399 224.1l-28.25-57.75C359.5 143.2 338.4 125.8 314.2 119.8l-71.5-21.25C236 96.86 229.2 96.03 222.5 96.03c-18.1 0-37.77 6.333-53.34 18.22L129.4 144.8C121.6 150.6 120 158.9 120 163.7c0 4.688 1.572 9.269 4.235 13.26L66.88 464H24C10.75 464 0 474.8 0 488S10.75 512 24 512h480c39.75 0 72-32.25 72-72C576 426.8 565.3 416 552 416zM297.4 464H185.8l51.37-108.5L219.8 345.2c-8.625-5.125-15.88-11.5-22-18.87L132.6 464H99.5l56-279.8c1-.625 2.25-.875 3.125-1.5L198.2 152.2c7.125-5.5 15.96-8.456 24.46-8.456c2.5 0 5.17 .331 7.545 .9561l23.88 7L213.1 247.4C210.1 254.5 208.6 262 208.6 269.4c0 19.31 9.955 37.95 27.5 48.35l90.5 53.37L297.4 464zM402.1 464h-54.37l26.87-85.75c.9615-3.466 1.426-6.1 1.426-10.51c0-13.82-7.214-27.26-19.68-34.74l-67.13-39.63L329.8 192l28.25 57.62C364.8 263.2 378.8 272 393.9 272h35.44L402.1 464z"],
    "person-sledding": [512, 512, ["sledding"], "f7cb", "M512 437.1c0-13.31-10.59-23.97-23.91-23.97c-19.01 0-18.98 19.1-46.18 19.1c-5.487 0-10.96-1.164-15.88-3.389l-51-26.45c5.376-4.376 9.114-10.82 9.114-18.32l.0128-79.96c0-22.13-17.88-40.01-40.01-40.01h-71.51l67.64-67.77c7.703-7.704 11.82-17.87 11.82-28.26c0-21.58-17.57-40.01-40.07-40.01H151.1c-13.25 0-24 10.75-24 24.01S138.7 176 151.1 176h107L158.1 261.8c-5.46 4.696-8.441 11.49-8.441 18.47c0 4.916 1.035 4.551 1.939 7.038L34.98 226.7C31.43 224.8 27.68 223.1 23.97 223.1c-14.07 0-23.97 11.63-23.97 23.99c0 8.703 4.747 17.09 12.98 21.3l391.9 202.6c11.88 5.501 24.47 8.117 37.1 8.117C481 480 512 454.7 512 437.1zM336 382.3L200.1 312.1l135.9-.0108L336 382.3zM400 128c26.51 0 48.01-21.5 48.01-48S426.5 32 400 32c-26.51 0-48.01 21.5-48.01 48S373.5 128 400 128z"],
    "person-snowboarding": [512, 512, [127938, "snowboarding"], "f7ce", "M431.9 95.99c26.5 0 48-21.5 48-47.1C479.9 21.5 458.4 0 431.9 0s-48 21.5-48 47.1C383.9 74.49 405.4 95.99 431.9 95.99zM473.3 250.9c4.375 3.25 9.498 5 14.62 5c7.248 0 14.25-3.25 19.12-9.373c3.372-4.357 5.001-9.511 5.001-14.63c0-7.214-3.233-14.36-9.374-19.11L382.9 121.2c-13.12-9.748-27.62-17.37-43.24-22.5l-66.99-22.49L236.8 12.25C232.4 4.448 224.2 .0417 215.9 .0417c-12.25 0-24.02 9.86-24.02 24.03c0 3.963 .9913 7.975 3.077 11.67l36.49 65.11c4.75 9.498 12.1 16.62 23.12 19.1l34.74 11.62L230.9 161.7C211.8 171.2 199.9 190.3 199.9 211.7v54.99c0 3.125-1.875 6-4.875 7.373L118.7 305.8c-9.142 3.862-14.73 12.84-14.73 22.22c0 5.979 2.278 12.25 7.229 16.65l-43.59-15.81c-9.75-3.5-17.35-10.63-21.85-19.1C41.75 300.1 33.03 295 23.97 295c-18.69 0-23.97 17.15-23.97 24.09c0 8.609 13.51 41.04 51.13 54.88l364.6 132.7C425.5 510.1 435.7 512 445.7 512c21.66 0 50.31-7.395 50.31-30c0-18.87-17.33-23.96-24.06-23.96c-10.32 0-12.71 5.91-26.49 5.91c-4.378 0-8.829-.7788-13.13-2.324l-103.9-37.85c10.75-.25 20.5-7.748 22.87-18.87l21.87-101.1c.5563-2.714 .8274-5.448 .8274-8.161c0-12.53-5.78-24.6-15.95-32.2L295.3 215.6l82.24-37.87L473.3 250.9zM325.2 297.9l-20.75 96.97c-.3339 1.602-.4934 3.197-.4934 4.766c0 7.244 3.399 13.96 8.741 18.48l-182.7-66.44c2.498-.25 4.764-.543 7.264-1.543l76.24-31.87c20.87-8.623 34.37-28.99 34.37-51.61V239.9L325.2 297.9z"],
    "person-snowmobiling": [640, 512, ["snowmobile"], "f7d1", "M192 48C192 21.49 213.5 0 240 0C266.5 0 288 21.49 288 48C288 74.51 266.5 96 240 96C213.5 96 192 74.51 192 48zM339.7 75.42C351 68.6 365.8 72.29 372.6 83.65L419.4 161.7L558.3 231.2C569.2 236.6 576 247.7 576 259.8V318.9C576 329.6 570.7 339.6 561.8 345.5L492 392L546 464H566.1L599 431C608.4 421.7 623.6 421.7 632.1 431C642.3 440.4 642.3 455.6 632.1 464.1L592.1 504.1C588.5 509.5 582.4 512 576 512H440C426.7 512 416 501.3 416 488C416 474.7 426.7 464 440 464H486L438 400H313.3C317.6 409.8 320 420.6 320 432C320 476.2 284.2 512 240 512H80C35.82 512 0 476.2 0 432C0 405.8 12.57 382.6 32 367.1L71.16 289.7C76.58 278.8 87.66 272 99.78 272H288L312 240H280C272.4 240 265.3 236.4 260.8 230.4L227.4 185.9C222.7 179.7 215.4 176 207.6 176C197.9 176 189 181.7 185.1 190.7L165.9 233.7C160.5 245.9 146.4 251.3 134.3 245.9C122.1 240.5 116.7 226.4 122.1 214.3L141.2 171.2C152.9 144.9 178.9 128 207.6 128C230.5 128 252.1 138.8 265.8 157.1L292 192H348L366.7 167.1L331.4 108.3C324.6 96.98 328.3 82.24 339.7 75.42L339.7 75.42zM48 432C48 449.7 62.33 464 80 464H240C257.7 464 272 449.7 272 432C272 414.3 257.7 400 240 400H80C62.33 400 48 414.3 48 432zM465.5 352L528 310.3V269.7L398.4 204.8L312 320H109.7L93.67 352H465.5z"],
    "person-swimming": [576, 512, [127946, "swimmer"], "f5c4", "M575.1 407.9c0-11.45-8.176-21.6-19.8-23.67C508.7 375.7 502.3 344 479.1 344c-22.96 0-33.72 39.92-95.1 39.92C321.5 383.9 311 344 288 344c-22.96 0-33.72 39.92-95.1 39.92c-32.36 0-68.05-13.6-86.8-32.93C100.7 346.3 94.35 344 88 344c-21.95 0-30.18 33.43-68.2 40.21c-11.62 2.067-19.8 12.22-19.8 23.67c0 12.1 9.506 24.12 23.94 24.12c7.637 0 35.43-4.889 65.27-31.81C117.2 419.9 155.2 431.1 192 431.1c34.89 0 68.81-11.54 96-32.19c27.19 20.65 61.6 30.98 96.01 30.98c34.32 0 68.63-10.27 95.78-30.82c30.59 24.3 63.21 32.03 72.23 32.03C563.1 431.1 575.1 422.4 575.1 407.9zM95.1 224c35.35 0 64-28.65 64-64c0-35.35-28.65-64-64-64s-64 28.65-64 64C31.1 195.3 60.65 224 95.1 224zM168 336C181.3 336 192 325.3 192 312c0-30.09 11.2-58.89 31.53-81.06L241 211.9c5.49-5.99 11.36-11.5 17.45-16.72l133.6 118.8C396.6 318 402.3 320 407.1 320c13.38 0 24.01-10.86 24.01-23.98c0-6.617-2.725-13.21-8.062-17.95L299.1 167.9c3.935-1.945 38.53-21.2 88.85-21.2c15.13 0 30.32 1.732 45.35 5.218l32.41 7.484c1.802 .4003 3.601 .5926 5.37 .5926c12.01 0 24.04-9.474 24.04-23.98c0-10.94-7.504-20.82-18.6-23.39l-32.42-7.484c-18.62-4.298-37.43-6.435-56.17-6.435c-110.4 0-174.1 70.88-183.2 80.76L188.2 198.5C159.7 229.5 144 269.9 144 312C144 325.3 154.8 336 168 336z"],
    "person-through-window": [640, 512, [], "e5a9", "M192 128C192 154.5 170.5 176 144 176C117.5 176 96 154.5 96 128C96 101.5 117.5 80 144 80C170.5 80 192 101.5 192 128zM388.2 319.1H343.6L297.2 352.5L379.9 474.5C387.3 485.5 384.4 500.4 373.5 507.9C362.5 515.3 347.6 512.4 340.1 501.5L303.9 448H48C21.49 448 0 426.5 0 400V48C0 21.49 21.49 0 48 0H592C618.5 0 640 21.49 640 48V400C640 426.5 618.5 448 592 448H397.9L365.9 400H449.7L388.2 319.1zM304 48H48V400H128V317.6C128 251.3 169.5 192.1 231.8 169.4C275.1 153.7 304 112.5 304 66.36V48zM352 48V66.36C352 119.1 325.7 167.4 283.6 196.3L332.1 271.1H392.1C404.5 271.1 416.3 277.8 423.8 287.6L510.3 400H592V48H352zM271.4 400L185.4 273.1C179.3 286.8 176 301.1 176 317.6V400H271.4zM270.3 312.7L292.2 297.4L240.3 217.8C231.5 221.8 223.4 226.9 216.1 232.8L270.3 312.7z"],
    "person-to-door": [640, 512, [58704], "e433", "M304 95.84c26.5 0 48-21.5 48-48s-21.5-48-48-48s-48 21.5-48 48S277.5 95.84 304 95.84zM157.9 318.5l-19.49 44.54c-1.279 2.912-4.16 4.801-7.328 4.801H56c-13.25 0-24 10.75-24 24s10.75 24 24 24h75.07c22.24 0 42.4-13.18 51.29-33.57l13.06-29.82l-7.967-4.992C175.3 339.9 165.3 329.9 157.9 318.5zM552-.1602h-80c-30.91 0-56 25.09-56 56v184h-46.27L353.9 188.4c-9.312-30.24-34.14-53.15-65.03-60L253.3 120.4L253.2 120.4L210.6 110.9C184.1 105.2 158.2 111.3 137.5 127.4L89.28 164.9C78.82 173 76.93 188.1 85.06 198.6c8.127 10.46 23.23 12.35 33.66 4.223L166.1 165.3c9.408-7.328 21.57-10.08 33.21-7.488l15.3 3.424L179.7 253.3c-10.08 25.95 .4492 55.42 24.77 69.09l81.22 45.7c3.264 1.855 4.832 5.76 3.713 9.344l-32.29 103.3c-3.936 12.67 3.104 26.11 15.74 30.08c12.67 3.936 26.11-3.104 30.08-15.74l32.26-103.3c7.904-25.25-2.943-52.58-25.98-65.54L262 299.7l40.13-108.9C304.7 194.3 306.7 198.2 308 202.5l17.6 57.15c5.152 16.77 20.67 28.22 38.21 28.22H416v168c0 30.91 25.09 56 56 56h80c30.91 0 56-25.09 56-56v-400C608 24.93 582.9-.1602 552-.1602zM560 455.8c0 4.416-3.584 8-8 8h-80c-4.416 0-8-3.584-8-8v-400c0-4.416 3.584-8 8-8h80c4.416 0 8 3.584 8 8V455.8z"],
    "person-to-portal": [512, 512, ["portal-enter"], "e022", "M416 0c-38.75 0-83.88 34.88-93.88 188.9c-9.25-30.25-34-53.25-64.88-60.25L179 110.9C153.4 105 126.5 111 105.8 127.1L57.38 164.5c-10.5 8-12.38 23.12-4.25 33.62S76.25 210.5 86.75 202.4L135.1 165c9.5-7.25 21.75-9.875 33.38-7.375L183.4 161L148 248.4c-10.38 25.5-.625 54.75 23 68.87l83.75 50.63c2.375 1.625 3.75 4.125 3.875 6.875c0 .75-.125 1.5-.25 2.25L225 481.4C223.3 487.5 224 494.1 227.1 499.6c3.125 5.625 8.25 9.75 14.38 11.5C243.8 511.6 245.9 512 248.1 512c10.75 0 20.12-7.125 23.12-17.38l33.25-104.5c7-24.37-3.25-50.25-24.88-63.37L227.8 295.5l42-104.7c2.75 3.5 5 7.625 6.375 12l14 46c7.125 23.62 28.63 39 53.38 39.12L391.9 288C405.1 288 416 277.2 416 264.1c0-13.25-10.62-23.5-24-23.62h-23.88C369.1 132.9 390.8 48 416 48c26.5 0 48 93.12 48 208s-21.5 208-48 208c-21.38 0-39.38-60.5-45.63-144h-48.5C328 418.1 350.9 512 416 512c43.75 0 96-44.38 96-256C512 139.2 495.4 0 416 0zM272 96c26.5 0 48-21.5 48-47.1S298.5 0 272 0c-26.5 0-48.01 21.5-48.01 48S245.5 96 272 96zM126.1 316.9L106.2 363.1C105 366.1 102.1 368 99 368H24C10.75 368 0 378.8 0 392S10.75 416 24 416h75c22.38 0 42.62-13.38 51.5-33.1L164 350.5l-9.5-5.875C143 337.6 133.4 328.1 126.1 316.9z"],
    "person-walking": [320, 512, [128694, "walking"], "f554", "M256 48C256 74.51 234.5 96 208 96C181.5 96 160 74.51 160 48C160 21.49 181.5 0 208 0C234.5 0 256 21.49 256 48zM117.8 186.6L117.2 186.9L96.04 196.5C77.82 204.8 63.86 220.3 57.53 239.3L54.77 247.6C50.58 260.2 36.99 266.1 24.41 262.8C11.84 258.6 5.041 244.1 9.232 232.4L11.99 224.1C22.55 192.5 45.8 166.6 76.18 152.8L97.38 143.2C119.4 133.2 143.3 128 167.5 128C216.4 128 259.5 159.9 273.9 206.6L285.2 243.2L312.1 271C322.3 280.4 322.3 295.6 312.1 304.1C303.6 314.3 288.4 314.3 279 304.1L249.8 275.8C245.2 271.2 241.8 265.5 239.9 259.3L230.1 227.4L200.8 321.2L250.9 361.9C257.8 367.5 262.6 375.3 264.6 383.1L287.4 482.6C290.4 495.5 282.3 508.4 269.4 511.4C256.5 514.4 243.6 506.3 240.6 493.4L218.5 397.4L114 312.6C95.96 297.9 88.86 273.5 96.23 251.4L117.8 186.6zM171.9 176.2L141.8 266.6C140.7 269.8 141.7 273.2 144.3 275.3L160.7 288.6L193.1 184.8C193.4 183.8 193.8 182.8 194.2 181.9C187.3 178.7 179.8 176.7 171.9 176.2H171.9zM75.55 402.5L99.69 342.2L138.7 373.9L119.5 421.9C117.5 426.9 114.5 431.5 110.6 435.3L40.97 504.1C31.6 514.3 16.4 514.3 7.029 504.1C-2.343 495.6-2.343 480.4 7.029 471L75.55 402.5z"],
    "person-walking-arrow-loop-left": [640, 512, [], "e551", "M160 48C160 21.49 181.5 0 208 0C234.5 0 256 21.49 256 48C256 74.51 234.5 96 208 96C181.5 96 160 74.51 160 48V48zM96.04 196.5C77.82 204.8 63.86 220.3 57.53 239.3L54.77 247.6C50.58 260.2 36.99 266.1 24.41 262.8C11.84 258.6 5.041 244.1 9.232 232.4L11.99 224.1C22.55 192.5 45.8 166.6 76.18 152.8L97.38 143.2C119.4 133.2 143.3 128 167.5 128C216.4 128 259.5 159.9 273.9 206.6L285.2 243.2L312.1 271C322.3 280.4 322.3 295.6 312.1 304.1C303.6 314.3 288.4 314.3 279 304.1L249.8 275.8C245.2 271.2 241.8 265.5 239.9 259.3L230.1 227.4L200.8 321.2L250.9 361.9C257.8 367.5 262.6 375.3 264.6 383.1L287.4 482.6C290.4 495.5 282.3 508.4 269.4 511.4C256.5 514.4 243.6 506.3 240.6 493.4L218.5 397.4L114 312.6C95.96 297.9 88.86 273.5 96.23 251.4L117.8 186.6L117.2 186.9L96.04 196.5zM144.3 275.3L160.7 288.6L193.1 184.8C193.4 183.8 193.8 182.8 194.2 181.9C187.3 178.7 179.8 176.7 171.9 176.2L141.8 266.6C140.7 269.8 141.7 273.2 144.3 275.3H144.3zM138.7 373.9L119.5 421.9C117.5 426.9 114.5 431.5 110.6 435.3L40.97 504.1C31.6 514.3 16.4 514.3 7.029 504.1C-2.343 495.6-2.343 480.4 7.029 471L75.55 402.5L99.69 342.2L138.7 373.9zM367 368.1C357.7 359.6 357.7 344.4 367 335L447 255C456.4 245.7 471.6 245.7 480.1 255C490.3 264.4 490.3 279.6 480.1 288.1L441.9 328H484C543.6 328 592 279.6 592 220C592 160.4 543.6 112 484 112H344C330.7 112 319.1 101.3 319.1 88C319.1 74.75 330.7 64 344 64H484C570.2 64 640 133.8 640 220C640 306.2 570.2 376 484 376H441.9L480.1 415C490.3 424.4 490.3 439.6 480.1 448.1C471.6 458.3 456.4 458.3 447 448.1L367 368.1z"],
    "person-walking-arrow-right": [640, 512, [], "e552", "M160 48C160 21.49 181.5 0 208 0C234.5 0 256 21.49 256 48C256 74.51 234.5 96 208 96C181.5 96 160 74.51 160 48V48zM96.04 196.5C77.82 204.8 63.86 220.3 57.53 239.3L54.77 247.6C50.58 260.2 36.99 266.1 24.41 262.8C11.84 258.6 5.041 244.1 9.232 232.4L11.99 224.1C22.55 192.5 45.8 166.6 76.18 152.8L97.38 143.2C119.4 133.2 143.3 128 167.5 128C216.4 128 259.5 159.9 273.9 206.6L285.2 243.2L312.1 271C322.3 280.4 322.3 295.6 312.1 304.1C303.6 314.3 288.4 314.3 279 304.1L249.8 275.8C245.2 271.2 241.8 265.5 239.9 259.3L230.1 227.4L200.8 321.2L250.9 361.9C257.8 367.5 262.6 375.3 264.6 383.1L287.4 482.6C290.4 495.5 282.3 508.4 269.4 511.4C256.5 514.4 243.6 506.3 240.6 493.4L218.5 397.4L114 312.6C95.96 297.9 88.86 273.5 96.23 251.4L117.8 186.6L117.2 186.9L96.04 196.5zM144.3 275.3L160.7 288.6L193.1 184.8C193.4 183.8 193.8 182.8 194.2 181.9C187.3 178.7 179.8 176.7 171.9 176.2L141.8 266.6C140.7 269.8 141.7 273.2 144.3 275.3H144.3zM138.7 373.9L119.5 421.9C117.5 426.9 114.5 431.5 110.6 435.3L40.97 504.1C31.6 514.3 16.4 514.3 7.029 504.1C-2.343 495.6-2.343 480.4 7.029 471L75.55 402.5L99.69 342.2L138.7 373.9zM632.1 239C642.3 248.4 642.3 263.6 632.1 272.1L552.1 352.1C543.6 362.3 528.4 362.3 519 352.1C509.7 343.6 509.7 328.4 519 319L558.1 280H392C378.7 280 368 269.3 368 256C368 242.7 378.7 232 392 232H558.1L519 192.1C509.7 183.6 509.7 168.4 519 159C528.4 149.7 543.6 149.7 552.1 159L632.1 239z"],
    "person-walking-dashed-line-arrow-right": [640, 512, [], "e553", "M160 48C160 21.49 181.5 0 208 0C234.5 0 256 21.49 256 48C256 74.51 234.5 96 208 96C181.5 96 160 74.51 160 48V48zM96.04 196.5C77.82 204.8 63.86 220.3 57.53 239.3L54.77 247.6C50.58 260.2 36.99 266.1 24.41 262.8C11.84 258.6 5.041 244.1 9.232 232.4L11.99 224.1C22.55 192.5 45.8 166.6 76.18 152.8L97.38 143.2C119.4 133.2 143.3 128 167.5 128C216.4 128 259.5 159.9 273.9 206.6L285.2 243.2L312.1 271C322.3 280.4 322.3 295.6 312.1 304.1C303.6 314.3 288.4 314.3 279 304.1L249.8 275.8C245.2 271.2 241.8 265.5 239.9 259.3L230.1 227.4L200.8 321.2L250.9 361.9C257.8 367.5 262.6 375.3 264.6 383.1L287.4 482.6C290.4 495.5 282.3 508.4 269.4 511.4C256.5 514.4 243.6 506.3 240.6 493.4L218.5 397.4L114 312.6C95.96 297.9 88.86 273.5 96.23 251.4L117.8 186.6L117.2 186.9L96.04 196.5zM144.3 275.3L160.7 288.6L193.1 184.8C193.4 183.8 193.8 182.8 194.2 181.9C187.3 178.7 179.8 176.7 171.9 176.2L141.8 266.6C140.7 269.8 141.7 273.2 144.3 275.3H144.3zM138.7 373.9L119.5 421.9C117.5 426.9 114.5 431.5 110.6 435.3L40.97 504.1C31.6 514.3 16.4 514.3 7.029 504.1C-2.343 495.6-2.343 480.4 7.029 471L75.55 402.5L99.69 342.2L138.7 373.9zM416 72C416 85.25 405.3 96 392 96C378.7 96 368 85.25 368 72V24C368 10.75 378.7 0 392 0C405.3 0 416 10.75 416 24V72zM632.1 239C642.3 248.4 642.3 263.6 632.1 272.1L552.1 352.1C543.6 362.3 528.4 362.3 519 352.1C509.7 343.6 509.7 328.4 519 319L558.1 280H392C378.7 280 368 269.3 368 256C368 242.7 378.7 232 392 232H558.1L519 192.1C509.7 183.6 509.7 168.4 519 159C528.4 149.7 543.6 149.7 552.1 159L632.1 239zM392 128C405.3 128 416 138.7 416 152V168C416 181.3 405.3 192 392 192C378.7 192 368 181.3 368 168V152C368 138.7 378.7 128 392 128zM416 360C416 373.3 405.3 384 392 384C378.7 384 368 373.3 368 360V344C368 330.7 378.7 320 392 320C405.3 320 416 330.7 416 344V360zM392 416C405.3 416 416 426.7 416 440V488C416 501.3 405.3 512 392 512C378.7 512 368 501.3 368 488V440C368 426.7 378.7 416 392 416z"],
    "person-walking-luggage": [512, 512, [], "e554", "M352 48C352 21.49 373.5 0 400 0C426.5 0 448 21.49 448 48C448 74.51 426.5 96 400 96C373.5 96 352 74.51 352 48V48zM288 196.5C269.8 204.8 255.9 220.3 249.5 239.3L246.8 247.6C242.6 260.2 228.1 266.1 216.4 262.8C203.8 258.6 197 244.1 201.2 232.4L203.1 224.1C214.5 192.5 237.8 166.6 268.2 152.8L289.4 143.2C311.4 133.2 335.3 128 359.5 128C408.4 128 451.5 159.9 465.9 206.6L477.2 243.2L504.1 271C514.3 280.4 514.3 295.6 504.1 304.1C495.6 314.3 480.4 314.3 471 304.1L441.8 275.8C437.2 271.2 433.8 265.5 431.9 259.3L422.1 227.4L392.8 321.2L442.9 361.9C449.8 367.5 454.6 375.3 456.6 383.1L479.4 482.6C482.4 495.5 474.3 508.4 461.4 511.4C448.5 514.4 435.6 506.3 432.6 493.4L410.5 397.4L306 312.6C287.1 297.9 280.9 273.5 288.2 251.4L309.8 186.6L309.2 186.9L288 196.5zM336.3 275.3L352.7 288.6L385.1 184.8C385.4 183.8 385.8 182.8 386.2 181.9C379.3 178.7 371.8 176.7 363.9 176.2L333.8 266.6C332.7 269.8 333.7 273.2 336.3 275.3H336.3zM330.7 373.9L311.5 421.9C309.5 426.9 306.5 431.5 302.6 435.3L232.1 504.1C223.6 514.3 208.4 514.3 199 504.1C189.7 495.6 189.7 480.4 199 471L267.5 402.5L291.7 342.2L330.7 373.9zM223.1 274.1C231.7 278.6 234.3 288.3 229.9 295.1L186.1 371.8C185.4 374.5 184.3 377.2 182.9 379.7L118.9 490.6C110 505.9 90.44 511.1 75.14 502.3L19.71 470.3C4.407 461.4-.8371 441.9 7.999 426.6L71.1 315.7C80.84 300.4 100.4 295.2 115.7 303.1L170.1 335.4L202.1 279.1C206.6 272.3 216.3 269.7 223.1 274.1H223.1z"],
    "person-walking-with-cane": [448, 512, ["blind"], "f29d", "M143.1 95.1C170.5 95.99 192 74.5 192 48C192 21.49 170.5 0 144 0C117.5 0 96 21.49 96 48C96 74.5 117.5 95.99 143.1 95.1zM92.19 372.3l-27.46 109.8c-3.219 12.86 4.594 25.89 17.47 29.11C84.13 511.8 86.1 512 88.04 512c10.75 0 20.53-7.281 23.25-18.17l27.08-108.3l-42.82-36.71C95.08 356.7 94.12 364.6 92.19 372.3zM315.5 281.1l-84.84-117.5C214.1 141.6 187.5 127.1 159.3 127.1L135.6 127.1c-33.34 0-63.81 18.83-78.72 48.65l-54.3 108.6C-3.395 297.1 1.418 311.5 13.29 317.5C16.73 319.2 20.39 319.1 23.98 319.1c8.812 0 17.28-4.859 21.5-13.27l50.53-101.1v86.65c0 9.342 4.082 18.22 11.17 24.3l98.26 84.23c1.625 1.391 2.562 3 2.562 4.406V488c0 13.25 10.75 24 24 24s24-10.75 24-24v-82.75c0-15.44-7.031-30.33-19.31-40.85l-44.69-38.3V193l84.53 117c7.811 10.7 22.75 13.25 33.53 5.406C320.8 307.7 323.2 292.7 315.5 281.1zM445.2 486.1l-115.4-169.8c-2.652 4.25-6.059 8.121-10.36 11.23c-4.869 3.543-10.46 5.432-16.26 6.502l115.6 170.1c3.094 4.547 8.127 7.008 13.22 7.008c3.125 0 6.247-.8984 8.997-2.773C448.3 504.2 450.2 494.3 445.2 486.1z"],
    "peseta-sign": [384, 512, [], "e221", "M192 32C274.1 32 343.2 95.15 351.2 176H360C373.3 176 384 186.7 384 200C384 213.3 373.3 224 360 224H348.8C333.1 297 269.4 352 192 352H96V456C96 469.3 85.25 480 72 480C58.75 480 48 469.3 48 456V224H24C10.75 224 0 213.3 0 200C0 186.7 10.75 176 24 176H48V77.94C48 52.57 68.57 32 93.94 32H192zM302.9 176C295.1 121.7 248.4 80 192 80H96V176H302.9zM96 224V304H192C242.7 304 285.6 270.3 299.4 224H96z"],
    "peso-sign": [384, 512, [], "e222", "M184 32C251 32 308.9 71.24 335.8 128H360C373.3 128 384 138.7 384 152C384 165.3 373.3 176 360 176H350.3C351.4 183.8 352 191.9 352 200C352 208.1 351.4 216.2 350.3 224H360C373.3 224 384 234.7 384 248C384 261.3 373.3 272 360 272H335.8C308.9 328.8 251 368 184 368H96V456C96 469.3 85.25 480 72 480C58.75 480 48 469.3 48 456V272H24C10.75 272 0 261.3 0 248C0 234.7 10.75 224 24 224H48V176H24C10.75 176 0 165.3 0 152C0 138.7 10.75 128 24 128H48V77.63C48 52.43 68.43 32 93.63 32H184zM280 128C258.1 98.85 223.3 80 184 80H96V128H280zM96 176V224H301.6C303.2 216.2 304 208.2 304 200C304 191.8 303.2 183.8 301.6 176H96zM280 272H96V320H184C223.3 320 258.1 301.1 280 272z"],
    "phone": [512, 512, [128379, 128222], "f095", "M480.3 320.3L382.1 278.2c-21.41-9.281-46.64-3.109-61.2 14.95l-27.44 33.5c-44.78-25.75-82.29-63.25-108-107.1l33.55-27.48c17.91-14.62 24.09-39.7 15.02-61.05L191.7 31.53c-10.16-23.2-35.34-35.86-59.87-30.19l-91.25 21.06C16.7 27.86 0 48.83 0 73.39c0 241.9 196.7 438.6 438.6 438.6c24.56 0 45.53-16.69 50.1-40.53l21.06-91.34C516.4 355.5 503.6 330.3 480.3 320.3zM463.9 369.3l-21.09 91.41c-.4687 1.1-2.109 3.281-4.219 3.281c-215.4 0-390.6-175.2-390.6-390.6c0-2.094 1.297-3.734 3.344-4.203l91.34-21.08c.3125-.0781 .6406-.1094 .9531-.1094c1.734 0 3.359 1.047 4.047 2.609l42.14 98.33c.75 1.766 .25 3.828-1.25 5.062L139.8 193.1c-8.625 7.062-11.25 19.14-6.344 29.14c33.01 67.23 88.26 122.5 155.5 155.5c9.1 4.906 22.09 2.281 29.16-6.344l40.01-48.87c1.109-1.406 3.187-1.938 4.922-1.125l98.26 42.09C463.2 365.2 464.3 367.3 463.9 369.3z"],
    "phone-arrow-down-left": [512, 512, ["phone-arrow-down", "phone-incoming"], "e223", "M480.3 320.3l-98.2-42.08c-21.4-9.281-46.64-3.109-61.2 14.95l-27.44 33.5C248.7 300.9 211.2 263.4 185.4 218.6l33.55-27.48C236.9 176.5 243.1 151.4 233.1 130.1L191.7 31.53C181.6 8.33 156.4-4.326 131.9 1.346L40.61 22.41C16.7 27.86 0 48.83 0 73.39C0 315.3 196.7 512 438.6 512c24.56 0 45.53-16.69 51-40.53l21.06-91.34C516.4 355.5 503.6 330.3 480.3 320.3zM463.9 369.3l-21.09 91.41C442.3 462.7 440.7 464 438.6 464C223.2 464 47.1 288.8 47.1 73.39c0-2.094 1.297-3.734 3.344-4.203L142.7 48.11c.3125-.0781 .6406-.1094 .9531-.1094c1.734 0 3.359 1.047 4.047 2.609l42.14 98.33C190.6 150.7 190.1 152.8 188.6 154l-48.78 39.97C131.2 201 128.5 213.1 133.4 223.1c33.01 67.23 88.26 122.5 155.5 155.5c9.998 4.906 22.09 2.281 29.15-6.344l40.02-48.88c1.109-1.406 3.186-1.938 4.92-1.125l98.26 42.09C463.2 365.2 464.3 367.3 463.9 369.3zM312 224h112C437.3 224 448 213.3 448 200S437.3 176 424 176h-54.06l135-135c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0L336 142.1V88C336 74.75 325.3 64 312 64S288 74.75 288 88v112C288 213.3 298.8 224 312 224z"],
    "phone-arrow-up-right": [512, 512, ["phone-arrow-up", "phone-outgoing"], "e224", "M480.3 320.3l-98.2-42.08c-21.4-9.281-46.64-3.109-61.2 14.95l-27.44 33.5C248.7 300.9 211.2 263.4 185.4 218.6l33.55-27.48C236.9 176.5 243.1 151.4 233.1 130.1L191.7 31.53C181.6 8.33 156.4-4.326 131.9 1.346L40.61 22.41C16.7 27.86 0 48.83 0 73.39C0 315.3 196.7 512 438.6 512c24.56 0 45.53-16.69 51-40.53l21.06-91.34C516.4 355.5 503.6 330.3 480.3 320.3zM463.9 369.3l-21.09 91.41C442.3 462.7 440.7 464 438.6 464C223.2 464 47.1 288.8 47.1 73.39c0-2.094 1.297-3.734 3.344-4.203L142.7 48.11c.3125-.0781 .6406-.1094 .9531-.1094c1.734 0 3.359 1.047 4.047 2.609l42.14 98.33C190.6 150.7 190.1 152.8 188.6 154l-48.78 39.97C131.2 201 128.5 213.1 133.4 223.1c33.01 67.23 88.26 122.5 155.5 155.5c9.998 4.906 22.09 2.281 29.15-6.344l40.02-48.88c1.109-1.406 3.186-1.938 4.92-1.125l98.26 42.09C463.2 365.2 464.3 367.3 463.9 369.3zM488 0h-112C362.8 0 352 10.75 352 24s10.75 24 24 24h54.06l-135 135c-9.375 9.375-9.375 24.56 0 33.94s24.56 9.375 33.94 0L464 81.94V136C464 149.3 474.8 160 488 160S512 149.3 512 136v-112C512 10.75 501.3 0 488 0z"],
    "phone-flip": [512, 512, [128381, "phone-alt"], "f879", "M1.359 380.1l21.06 91.34c5.469 23.84 26.44 40.53 50.1 40.53C315.3 511.1 512 315.3 512 73.39c0-24.56-16.7-45.53-40.61-50.98l-91.25-21.06c-24.53-5.672-49.72 6.984-59.87 30.19l-42.25 98.56c-9.078 21.34-2.891 46.42 15.02 61.05l33.55 27.48c-25.75 44.75-63.26 82.25-108 107.1L191.1 293.1C176.5 275.1 151.3 268.9 129.9 278.2l-98.2 42.08C8.39 330.3-4.36 355.5 1.359 380.1zM48.12 369.3c-.4531-1.969 .6562-4.156 2.531-4.969l98.26-42.09c1.734-.8125 3.812-.2813 4.922 1.125l40.01 48.87c7.062 8.625 19.16 11.25 29.16 6.344c67.28-33.03 122.5-88.25 155.5-155.5c4.906-9.1 2.281-22.08-6.344-29.14l-48.78-39.97c-1.5-1.234-1.1-3.297-1.25-5.062l42.14-98.33c.6875-1.562 2.312-2.609 4.047-2.609c.3125 0 .6406 .0313 .9531 .1094l91.34 21.08c2.047 .4687 3.344 2.109 3.344 4.203c0 215.4-175.2 390.6-390.6 390.6c-2.109 0-3.75-1.281-4.219-3.281L48.12 369.3z"],
    "phone-hangup": [640, 512, [], "e225", "M624.9 239.9C543.6 157.4 435.3 112 319.1 112c-115.3 0-223.6 45.41-304.9 127.9c-17.02 17.28-20 43.73-7.266 64.31l48.77 79.09c13.2 21.53 39.81 30.25 63.41 21l97.66-39.59C238.8 356 251.1 334 249.7 311.1L245.5 268.1c48.63-13.28 100.4-13.25 149.1 0l-4.203 42.8c-2.453 23.06 10.81 45.19 32.16 53.78l97.52 39.53c6.328 2.562 12.89 3.781 19.36 3.781c17.47 0 34.27-8.938 43.94-24.69l48.78-79.13C644.9 283.6 641.9 257.1 624.9 239.9zM591.3 279l-48.81 79.17c-.9219 1.562-2.859 2.188-4.406 1.562l-97.58-39.56c-1.516-.5938-2.562-2.438-2.359-4.375l6.141-62.45c1.078-11.05-5.547-21.39-16.03-25.02c-69.81-24.19-146.7-24.17-216.4-.0156c-10.48 3.625-17.11 13.97-16.03 25.02l6.125 62.5c.2031 1.875-.8438 3.75-2.391 4.375l-97.42 39.5c-1.781 .7187-3.656 .0625-4.656-1.594L48.67 278.1c-1.094-1.766-.8438-3.938 .6094-5.406C121.5 200.3 217.6 160 319.1 160c102.4 0 198.5 40.33 270.7 113.6C592.2 275 592.4 277.2 591.3 279z"],
    "phone-intercom": [512, 512, [], "e434", "M256 296c-26.5 0-48 21.5-48 48s21.5 48 48 48s48-21.5 48-48S282.5 296 256 296zM432 32h-224C188.6 32 170.8 38.91 156.9 50.43C145.4 39.04 129.5 32 112 32H64C28.64 32 0 60.64 0 96v320c0 35.36 28.64 64 64 64h48c17.5 0 33.38-7.039 44.93-18.43C170.8 473.1 188.6 480 208 480h224c44.19 0 80-35.81 80-80v-288C512 67.81 476.2 32 432 32zM128 416c0 8.832-7.168 16-16 16H64c-8.832 0-16-7.168-16-16V96c0-8.832 7.168-16 16-16h48C120.8 80 128 87.17 128 96V416zM464 400c0 17.66-14.34 32-32 32h-224c-17.66 0-32-14.34-32-32v-288c0-17.66 14.34-32 32-32h224c17.66 0 32 14.34 32 32V400zM408 352h-48c-13.25 0-24 10.75-24 24s10.75 24 24 24h48c13.25 0 24-10.75 24-24S421.2 352 408 352zM408 112h-176C218.8 112 208 122.8 208 136v80c0 13.25 10.75 24 24 24h176c13.25 0 24-10.75 24-24v-80C432 122.8 421.2 112 408 112zM408 288h-48c-13.25 0-24 10.75-24 24s10.75 24 24 24h48c13.25 0 24-10.75 24-24S421.2 288 408 288z"],
    "phone-missed": [640, 512, [], "e226", "M624.9 343.8C543.6 261.4 435.3 215.1 319.1 215.1c-115.3 0-223.6 45.41-304.9 127.9c-17.01 17.28-19.1 43.73-7.265 64.31l48.76 79.09c13.2 21.53 39.81 30.25 63.4 21l97.65-39.59C238.8 460 251.1 437.1 249.7 415.1L245.5 372.1c48.62-13.28 100.4-13.25 149.1 0l-4.203 42.8c-2.453 23.06 10.81 45.19 32.15 53.78l97.51 39.53C526.4 510.8 532.1 512 539.4 512c17.47 0 34.26-8.938 43.93-24.69l48.78-79.13C644.9 387.5 641.9 361.1 624.9 343.8zM591.3 382.1l-48.81 79.17c-.9218 1.562-2.859 2.188-4.406 1.562l-97.57-39.56c-1.516-.5938-2.562-2.438-2.359-4.375l6.14-62.45c1.078-11.05-5.547-21.39-16.03-25.02c-69.81-24.19-146.7-24.17-216.4-.0156c-10.48 3.625-17.11 13.97-16.03 25.02l6.125 62.5c.2031 1.875-.8437 3.75-2.39 4.375l-97.42 39.5c-1.781 .7187-3.656 .0625-4.656-1.594l-48.79-79.16C47.6 381.2 47.85 379 49.3 377.5C121.5 304.3 217.6 263.1 319.1 263.1c102.4 0 198.5 40.31 270.7 113.6C592.2 379 592.4 381.2 591.3 382.1zM120 160c13.25 0 23.1-10.75 23.1-24V81.94l55.43 55.44C229.1 167 270.1 184 312 184s82.93-17 112.6-46.63l88.4-88.41c9.374-9.375 9.374-24.56 0-33.94c-9.374-9.375-24.56-9.375-33.94 0l-88.4 88.41c-41.37 41.38-115.9 41.38-157.2 0L177.1 48h54.06c13.25 0 23.1-10.75 23.1-24S245.3 0 232 0H120C106.8 0 96.02 10.75 96.02 24v112C96.02 149.3 106.8 160 120 160z"],
    "phone-office": [576, 512, [], "f67d", "M368 336h-32c-8.875 0-16 7.125-16 16v32c0 8.875 7.125 16 16 16h32c8.875 0 16-7.125 16-16v-32C384 343.1 376.9 336 368 336zM320 256v32c0 8.875 7.125 16 16 16h32C376.9 304 384 296.9 384 288V256c0-8.875-7.125-16-16-16h-32C327.1 240 320 247.1 320 256zM432 400h32c8.875 0 16-7.125 16-16v-32c0-8.875-7.125-16-16-16h-32c-8.875 0-16 7.125-16 16v32C416 392.9 423.1 400 432 400zM432 304h32C472.9 304 480 296.9 480 288V256c0-8.875-7.125-16-16-16h-32C423.1 240 416 247.1 416 256v32C416 296.9 423.1 304 432 304zM512 32H269C262.5 13.38 244.9 0 224 0H144C123.1 0 105.5 13.38 99 32H64C28.62 32 0 60.62 0 96v352c0 35.38 28.62 64 64 64h448c35.38 0 64-28.62 64-64V96C576 60.62 547.4 32 512 32zM144 48H224v320H144V48zM528 448c0 8.875-7.125 16-16 16H64c-8.875 0-16-7.125-16-16V96c0-8.875 7.125-16 16-16h32v288C96 394.5 117.5 416 144 416H224c26.5 0 48-21.5 48-48v-288H320v72C320 174 337.1 192 360 192h168V448zM528 144h-160v-64H512c8.875 0 16 7.125 16 16V144z"],
    "phone-plus": [512, 512, [], "f4d2", "M480.3 320.3l-98.2-42.08c-21.4-9.281-46.64-3.109-61.2 14.95l-27.44 33.5C248.7 300.9 211.2 263.4 185.4 218.6l33.55-27.48C236.9 176.5 243.1 151.4 233.1 130.1L191.7 31.53C181.6 8.33 156.4-4.326 131.9 1.346L40.61 22.41C16.7 27.86 0 48.83 0 73.39C0 315.3 196.7 512 438.6 512c24.56 0 45.53-16.69 51-40.53l21.06-91.34C516.4 355.5 503.6 330.3 480.3 320.3zM463.9 369.3l-21.09 91.41C442.3 462.7 440.7 464 438.6 464C223.2 464 47.1 288.8 47.1 73.39c0-2.094 1.297-3.734 3.344-4.203L142.7 48.11c.3125-.0781 .6406-.1094 .9531-.1094c1.734 0 3.359 1.047 4.047 2.609l42.14 98.33C190.6 150.7 190.1 152.8 188.6 154l-48.78 39.97C131.2 201 128.5 213.1 133.4 223.1c33.01 67.23 88.26 122.5 155.5 155.5c9.998 4.906 22.09 2.281 29.15-6.344l40.02-48.88c1.109-1.406 3.186-1.938 4.92-1.125l98.26 42.09C463.2 365.2 464.3 367.3 463.9 369.3zM343.1 119.1H392v48C392 181.3 402.8 192 416 192s23.1-10.75 23.1-23.1V119.1h48C501.3 119.1 512 109.3 512 96s-10.75-23.1-23.1-23.1H439.1V23.1C439.1 10.75 429.3 0 416 0s-23.1 10.75-23.1 23.1v48H343.1C330.7 72 320 82.75 320 96S330.7 119.1 343.1 119.1z"],
    "phone-rotary": [512, 512, [9742], "f8d3", "M370.4 192.2C358.1 172.2 337.9 160 314.9 160H197.1c-23 0-44.12 12.25-55.5 32.25l-105.4 184.4C33.5 381.5 32 386.9 32 392.5V448c0 17.62 14.38 32 32 32h384c17.62 0 32-14.38 32-32v-55.5c0-5.625-1.5-11-4.25-15.88L370.4 192.2zM432 432h-352v-35.25L183.2 216C186.1 211.1 191.4 208 197.1 208h117.8c5.75 0 11 3.125 13.88 8L432 396.8V432zM256 256c-35.38 0-64 28.62-64 64s28.62 64 64 64s64-28.62 64-64S291.4 256 256 256zM506.1 123C436.8 65 347.4 32 256 32S75.25 65 5.875 123C2.125 126.1 0 130.8 0 135.6V192c0 8.875 7.125 16 16 16h70.13c6 0 11.63-3.375 14.25-8.875L128 128c39.88-17.25 83.25-24 128-24S344.1 110.8 384 128l27.62 71.12C414.2 204.6 419.9 208 425.9 208H496C504.9 208 512 200.9 512 192V135.6C512 130.8 509.9 126.1 506.1 123z"],
    "phone-slash": [640, 512, [], "f3dd", "M630.8 469.1l-153-119.9C539.1 273.8 576 177.9 576 73.39c0-24.56-16.7-45.53-40.61-50.98l-91.25-21.06c-24.53-5.672-49.72 6.984-59.87 30.19l-42.25 98.56c-9.078 21.34-2.891 46.42 15.01 61.05l33.55 27.48c-8.188 14.23-17.69 27.59-28.21 40.08L38.81 5.111C28.34-3.061 13.32-1.249 5.121 9.189C-3.051 19.63-1.233 34.72 9.189 42.89l591.1 463.1C605.6 510.3 610.8 512 615.1 512c7.125 0 14.16-3.161 18.9-9.193C643.1 492.4 641.2 477.3 630.8 469.1zM399.1 288.2c16.52-20.01 31.06-41.66 42.56-65.08c4.906-10 2.281-22.08-6.344-29.14l-48.78-39.97c-1.5-1.234-2-3.297-1.25-5.062l42.14-98.33c.6875-1.562 2.312-2.609 4.047-2.609c.3125 0 .6406 .0313 .9531 .1094l91.34 21.08c2.047 .4687 3.344 2.109 3.344 4.203c0 93.35-33.33 178.8-88.2 246L399.1 288.2zM137.4 464c-2.109 0-3.75-1.281-4.219-3.281l-21.08-91.41c-.4531-1.969 .6562-4.156 2.531-4.969l98.26-42.09c1.734-.8125 3.811-.2813 4.92 1.125l40.02 48.88c7.062 8.625 19.16 11.25 29.15 6.344c14.57-7.152 28.45-15.53 41.78-24.66l-40.09-31.42c-2.113 1.287-4.02 2.877-6.166 4.111l-27.44-33.5C240.5 275.1 215.3 268.9 193.9 278.2l-98.2 42.08c-23.31 10.06-36.06 35.22-30.34 59.88l21.06 91.34C91.89 495.3 112.9 512 137.4 512c102.7 0 196.1-35.72 271.8-95.03l-39.07-30.62C305.1 434.9 224.7 464 137.4 464z"],
    "phone-volume": [512, 512, ["volume-control-phone"], "f2a0", "M345.1 107.1c-10.22-8.344-25.34-6.905-33.78 3.343c-8.406 10.25-6.906 25.37 3.344 33.78c33.88 27.78 53.31 68.19 53.31 110.9s-19.44 83.09-53.31 110.9c-10.25 8.404-11.75 23.53-3.344 33.78c4.75 5.781 11.62 8.781 18.56 8.781c5.375 0 10.75-1.781 15.22-5.438C390.2 367.1 416 313.1 416 255.1C416 198.9 390.2 144.9 345.1 107.1zM406.4 33.15c-10.22-8.342-25.34-6.873-33.78 3.344c-8.406 10.25-6.906 25.38 3.344 33.78C431.9 116.1 464 183.8 464 255.1c0 72.18-32.09 139.9-88.06 185.7c-10.25 8.406-11.75 23.53-3.344 33.78c4.75 5.779 11.62 8.781 18.56 8.781c5.375 0 10.75-1.781 15.22-5.438C473.5 423.8 512 342.6 512 255.1C512 169.4 473.5 88.14 406.4 33.15zM158.8 205.1c20.56 2.344 39.78-9.562 47.31-28.5l30.66-76.46c8.188-20.59 .4687-44.06-18.31-55.78L157.2 7.018C139-4.326 115.7-1.732 100.5 13.45C35.72 78.13 0 164.3 0 255.1c0 91.73 35.69 177.9 100.5 242.6C109.4 507.4 121.1 512 132.9 512c8.344 0 16.78-2.312 24.31-7l61.22-38.21c18.75-11.69 26.5-35.12 18.34-55.93l-30.66-76.53C198.5 315.6 179.4 303.9 159 305.9L130.4 308.7c-8.562-34.56-8.562-71.01 0-105.6L158.8 205.1zM90.31 342.4c3.594 10.53 13.59 17.28 25.09 16.09l46.16-6.186L193 426l-58.56 38.53C78.69 408.9 48 334.9 48 255.1c0-78.34 30.28-151.9 85.25-207.4l58.94 34.62L163.8 158.2L115.4 153.4c-11.31-1.109-21.47 5.594-25.09 16.11C71.25 225.3 71.28 286.6 90.31 342.4zM284.6 181.9c-10.28-8.344-25.41-6.875-33.75 3.406C242.4 195.6 243.9 210.7 254.2 219.1c11.31 9.25 17.81 22.69 17.81 36.87c0 14.19-6.5 27.62-17.81 36.87C243.9 301.3 242.4 316.4 250.8 326.6c4.719 5.812 11.62 8.812 18.56 8.812c5.344 0 10.75-1.781 15.19-5.406c22.53-18.44 35.44-45.4 35.44-74.05C319.1 227.3 307.1 200.4 284.6 181.9z"],
    "phone-xmark": [512, 512, [], "e227", "M480.3 320.3l-98.2-42.08c-21.4-9.281-46.64-3.109-61.2 14.95l-27.44 33.5C248.7 300.9 211.2 263.4 185.4 218.6l33.55-27.48C236.9 176.5 243.1 151.4 233.1 130.1L191.7 31.53C181.6 8.33 156.4-4.326 131.9 1.346L40.61 22.41C16.7 27.86 0 48.83 0 73.39C0 315.3 196.7 512 438.6 512c24.56 0 45.53-16.69 51-40.53l21.06-91.34C516.4 355.5 503.6 330.3 480.3 320.3zM463.9 369.3l-21.09 91.41C442.3 462.7 440.7 464 438.6 464C223.2 464 47.1 288.8 47.1 73.39c0-2.094 1.297-3.734 3.344-4.203L142.7 48.11c.3125-.0781 .6406-.1094 .9531-.1094c1.734 0 3.359 1.047 4.047 2.609l42.14 98.33C190.6 150.7 190.1 152.8 188.6 154l-48.78 39.97C131.2 201 128.5 213.1 133.4 223.1c33.01 67.23 88.26 122.5 155.5 155.5c9.998 4.906 22.09 2.281 29.15-6.344l40.02-48.88c1.109-1.406 3.186-1.938 4.92-1.125l98.26 42.09C463.2 365.2 464.3 367.3 463.9 369.3zM348.1 62.06l33.94 33.94L348.1 129.9c-9.369 9.369-9.369 24.57 .0005 33.94c9.369 9.369 24.57 9.37 33.94 .0005l33.94-33.94l33.94 33.94c9.369 9.369 24.57 9.37 33.94 .0005c9.369-9.369 9.369-24.57-.0005-33.94l-33.94-33.94l33.94-33.94c9.369-9.369 9.369-24.57-.0004-33.94c-9.369-9.369-24.57-9.37-33.94-.0005L415.1 62.06l-33.94-33.94c-9.369-9.369-24.57-9.37-33.94-.0005C338.7 37.49 338.7 52.69 348.1 62.06z"],
    "photo-film": [640, 512, ["photo-video"], "f87c", "M464 448c0 8.822-7.178 16-16 16h-48V384h-47.99L352 464H160L160 128H64C28.65 128 0 156.7 0 192v256c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64l.0076-64H464V448zM112 464H64c-8.822 0-16-7.178-16-16v-48h64L112 464zM112 352h-64V288h64V352zM112 240H48V192c0-8.822 7.178-16 16-16h48L112 240zM576 0H256C220.7 0 192 28.65 192 64v224c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V64C640 28.65 611.3 0 576 0zM592 288c0 8.822-7.178 16-16 16l-109.3-160.9C463.7 138.7 458.7 136 453.3 136c-5.352 0-10.35 2.672-13.31 7.125l-62.74 94.11l-22.35-30.66C351.9 202.4 347.1 200 341.1 200c-5.109 0-9.914 2.441-12.93 6.574L256 304C247.2 304 240 296.8 240 288V64c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V288zM303.1 80c-17.67 0-32 14.33-32 32s14.33 32 32 32c17.68 0 32-14.33 32-32S321.7 80 303.1 80z"],
    "photo-film-music": [640, 512, [], "e228", "M272 112c0 17.67 14.33 32 32 32c17.68 0 32-14.33 32-32S321.7 80 304 80C286.3 80 272 94.33 272 112zM160 400v-288H64c-35.35 0-64 28.65-64 64V384c0 35.35 28.65 64 64 64h225.1c4.646-19.76 17.81-36.53 36.23-48H160zM112 400H64c-8.822 0-16-7.178-16-16v-32h64V400zM112 304h-64V256h64V304zM112 208h-64v-32C48 167.2 55.18 160 64 160h48V208zM576 0H256C220.7 0 192 28.65 192 64v192c0 35.35 28.65 64 64 64h112V245.3c0-20.7 13.19-39 32.83-45.53l102.8-34.27l-36.99-54.41C463.7 106.7 458.7 104 453.3 104c-5.352 0-10.35 2.672-13.31 7.125l-62.74 94.11l-22.35-30.66C351.9 170.4 347.1 168 341.1 168c-5.109 0-9.914 2.441-12.93 6.574L256 272C247.2 272 240 264.8 240 256V64c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16v72.07l16.81-5.605C613.8 128.8 618.9 128 624 128C629.6 128 634.1 129.2 640 130.9V64C640 28.65 611.3 0 576 0zM618.9 160.8l-208 69.33C404.4 232.3 400 238.5 400 245.3v172.4C394.9 416.7 389.6 416 384 416c-35.35 0-64 21.49-64 48s28.65 48 64 48c35.35 0 64-21.49 64-48V319l144-48v82.7C586.9 352.7 581.6 352 576 352c-35.35 0-64 21.49-64 48s28.65 48 64 48c35.35 0 64-21.49 64-48V176C640 165.1 629.3 157.4 618.9 160.8z"],
    "pi": [448, 512, [], "f67e", "M437.3 356c11.03 7.344 14 22.25 6.656 33.28l-19.62 29.44C412.2 437.1 391.7 448 369.7 448C333.5 448 304 418.5 304 382.3V112L160 111.1v172.8c0 26.41-5.844 53.06-16.91 77.09L109.8 434.1C105.8 442.8 97.06 448 88 448c-3.375 0-6.812-.7187-10.06-2.219c-12.03-5.531-17.28-19.81-11.72-31.84l33.28-72.09C107.7 324.1 112 304.4 112 284.8V111.1H24c-13.25 0-24-10.74-24-23.1C0 74.75 10.75 64 24 64h400C437.3 64 448 74.75 448 87.1c0 13.26-10.75 23.1-24 23.1H352v270.3c0 9.75 7.938 17.69 17.69 17.69c5.938 0 11.44-2.938 14.72-7.875l19.62-29.44C411.4 351.7 426.3 348.7 437.3 356z"],
    "piano": [512, 512, [], "f8d4", "M476.6 270.2l-58.72-29.23c-21.67-10.79-33.71-33.32-33.85-57.52C383.4 82.06 301 0 199.5 0h-15C82.6 0 0 82.6 0 184.5V448c0 35.2 28.8 64 64 64h384c35.2 0 64-28.8 64-64v-120.5C512 303.2 498.3 281 476.6 270.2zM464 448c0 8.836-7.164 16-16 16H64c-8.836 0-16-7.164-16-16v-64h32v32c0 8.799 7.199 16 15.1 16S112 424.8 112 416v-32h32v32c0 8.799 7.199 16 15.1 16S176 424.8 176 416v-32h32v32c0 8.799 7.199 16 16 16s16-7.201 16-16v-32h96v32c0 8.799 7.199 16 16 16s16-7.201 16-16v-32h32v32c0 8.799 7.199 16 16 16s16-7.201 16-16v-32h32V448zM464 336h-416V184.5C48 109.3 109.3 48 184.5 48h15C274.8 48 336 109.3 336 184.5c-.125 42.38 23.88 81.25 61.88 100.1l57.25 28.62C460.6 315.9 464 321.5 464 327.5V336z"],
    "piano-keyboard": [576, 512, [127929], "f8d5", "M512 64H64C28.8 64 0 92.8 0 128v256c0 35.2 28.8 64 64 64h448c35.2 0 64-28.8 64-64V128C576 92.8 547.2 64 512 64zM144 400H64c-8.837 0-16-7.163-16-16V224H128v80C128 312.9 135.1 320 144 320V400zM272 400h-96V320C184.9 320 192 312.9 192 304V224h64v80C256 312.9 263.1 320 272 320V400zM400 400h-96V320c8.875 0 16-7.125 16-16V224h64v80c0 8.875 7.125 16 16 16V400zM512 400h-80V320c8.875 0 16-7.125 16-16V224h80v160C528 392.8 520.8 400 512 400zM528 176h-480V128c0-8.837 7.163-16 16-16h448c8.837 0 16 7.163 16 16V176z"],
    "pickleball": [576, 512, [], "e435", "M158 187.9L286.9 316.4C279.2 332.9 274.3 350.9 272.6 369.9L124.2 221.9C116.9 230.1 115 243.3 119.5 254.2L137.8 298.1C150.3 327.1 143.5 362.4 120.5 385.3L68.81 436.8C62.56 442.1 62.55 453.1 68.81 459.3C75.07 465.6 85.23 465.6 91.5 459.3L143.5 407.5C166.3 384.8 200.6 377.9 230.5 390.2L273 407.6C273.3 407.7 273.5 407.8 273.8 407.9C276.4 425.6 281.1 442.4 289.1 457.7C278.2 458.5 266.1 456.6 254.7 451.9L212.3 434.5C200.3 429.6 186.6 432.3 177.4 441.5L125.5 493.2C100.4 518.2 59.84 518.2 34.82 493.2C9.791 468.3 9.801 427.8 34.84 402.9L86.52 351.4C95.7 342.2 98.44 328.4 93.46 316.5L75.17 272.6C62.71 242.8 69.55 208.3 92.49 185.5L250.4 28.03C287.9-9.415 348.8-9.415 386.3 28.03L499.9 141.3C529.3 170.6 535.6 214.2 518.1 249.7C505.6 241 490.9 234.3 475.2 229.9C483.8 212.1 480.7 189.1 465.9 175.2L352.3 61.92C333.5 43.2 303.1 43.2 284.3 61.92L158 187.9zM560 384C560 454.7 502.7 512 432 512C361.3 512 304 454.7 304 384C304 313.3 361.3 256 432 256C502.7 256 560 313.3 560 384V384zM352 384C360.8 384 368 376.8 368 368C368 359.2 360.8 352 352 352C343.2 352 336 359.2 336 368C336 376.8 343.2 384 352 384zM416 448C407.2 448 400 455.2 400 464C400 472.8 407.2 480 416 480C424.8 480 432 472.8 432 464C432 455.2 424.8 448 416 448zM432 400C440.8 400 448 392.8 448 384C448 375.2 440.8 368 432 368C423.2 368 416 375.2 416 384C416 392.8 423.2 400 432 400zM512 384C503.2 384 496 391.2 496 400C496 408.8 503.2 416 512 416C520.8 416 528 408.8 528 400C528 391.2 520.8 384 512 384zM448 320C456.8 320 464 312.8 464 304C464 295.2 456.8 288 448 288C439.2 288 432 295.2 432 304C432 312.8 439.2 320 448 320z"],
    "pie": [576, 512, [129383], "f705", "M544 240c-6.5 0-10.38-1.25-14.5-3.5C494.9 136.1 400.1 64 288 64S81 136.2 46.5 236.5C42.38 238.9 38.5 240 32 240c-17.62 0-32 14.38-32 32s14.38 32 32 32c32 0 49.1-13.5 61.88-22.38C103 274.8 106.8 272 117.5 272c10.62 0 14.38 2.75 23.5 9.625C152.9 290.5 170.9 304 202.9 304s50-13.5 61.88-22.38C273.8 274.8 277.6 272 288.3 272c10.63 0 14.38 2.75 23.38 9.625C323.6 290.5 341.5 304 373.5 304s50-13.5 61.88-22.38C444.4 274.8 448.1 272 458.9 272c10.62 0 14.25 2.75 23.38 9.625C493.1 290.5 512 304 544 304c17.62 0 32-14.38 32-32S561.6 240 544 240zM206.3 151.1l-16 32C187.6 188.6 181.1 192 176 192C170.5 192 165.2 189.1 162.4 184.4C159.5 179.8 159.3 173.7 161.7 168.9l16-32c4-8 13.56-11.09 21.44-7.211C207 133.7 210.3 143.3 206.3 151.1zM304 176C304 184.9 296.9 192 288 192S272 184.9 272 176v-32C272 135.1 279.1 128 288 128s16 7.125 16 16V176zM407.1 190.3c-7.875 4-17.53 .8516-21.41-7.148l-16-32c-4-7.875-.75-17.54 7.125-21.41c7.875-4 17.44-.7266 21.44 7.148l16 32C418.2 176.7 415 186.4 407.1 190.3zM445.4 400H130.6L102.2 314.9c-13.5 9-28.62 15.25-44.5 18.38l31 92.88C93.12 439.1 105.2 448 119.1 448H457c13.75 0 26-8.875 30.25-21.88l31-92.88c-15.88-3.125-31-9.375-44.38-18.38L445.4 400z"],
    "pig": [640, 512, [128022], "f706", "M448 236C448 224.1 456.1 216 468 216C479 216 488 224.1 488 236C488 247 479 256 468 256C456.1 256 448 247 448 236zM477.7 32C505.5 32 528 54.53 528 82.33V94.03C528 105.7 525.7 116.9 521.5 127.2C525.9 130.7 530.1 134.3 534.2 138.1C545.1 132.5 552 121.4 552 109.1V80H570.9C586.1 80 600 93.04 600 109.1C600 135.4 587.2 159.8 566.1 174.7L566.2 174.7C570.8 181.5 576.7 187.3 583.3 192H592C618.5 192 640 213.5 640 240V320C640 346.5 618.5 368 592 368H557.1C538.9 388.1 515.4 402.9 489.3 410.4L475.6 452.4C470.2 468.9 454.8 480 437.5 480H392C369.9 480 352 462.1 352 440V416H304V440C304 462.1 286.1 480 264 480H218.5C201.2 480 185.8 468.9 180.4 452.4L158.1 384.1C111.8 360.2 80 311.8 80 256V240H47.45C21.24 240 0 218.8 0 192.6C0 170.8 14.82 151.8 35.94 146.5L44.12 144.5C52.69 142.3 61.38 147.5 63.52 156.1C65.67 164.7 60.45 173.4 51.88 175.5L43.7 177.6C36.82 179.3 32 185.5 32 192.6C32 201.1 38.92 208 47.45 208H83.2C98.03 134.1 162.6 80 240 80H366.9C378.5 63.02 396.1 50.25 417.1 44.98L463.2 33.45C467.1 32.49 471.1 32 475 32L477.7 32zM428.8 91.55C416.1 94.49 407.6 102.8 403.1 113.5L396.8 128H240C178.1 128 128 178.1 128 240V256C128 295.9 152.3 330.1 186.1 344.6L197.1 348.9L224.3 432H256V368H400V432H431.7L452.3 369L466.4 366.5C488.4 362.5 508.2 351.1 522.7 334.5C529.1 326.1 540.1 320 553.8 320H592V240H580.7C573.9 240 566.5 238.3 559.8 233.1C546.8 225.6 535.5 214.8 526.7 202.1C513.3 182.7 496.4 166.7 477 154.5L454.2 140.1L471.1 119.1C476.7 112.2 480 103.4 480 94.03V82.33C480 81.04 478.1 80 477.7 80H475L474.1 80L474.9 80.02L428.8 91.55z"],
    "piggy-bank": [576, 512, [], "f4d3", "M196.6 97.83C184.1 93.41 177.6 79.7 182 67.2C195.8 28.08 233.1 0 277.1 0C320.1 0 358.3 28.08 372.1 67.2C376.5 79.7 369.1 93.41 357.5 97.83C344.1 102.2 331.3 95.7 326.9 83.2C319.6 62.66 300 48 277.1 48C254.1 48 234.5 62.66 227.3 83.2C222.8 95.7 209.1 102.2 196.6 97.83H196.6zM400 264C400 250.7 410.7 240 424 240C437.3 240 448 250.7 448 264C448 277.3 437.3 288 424 288C410.7 288 400 277.3 400 264zM224 128H376.4C394 108.4 419.6 96 448 96H465.3C480.9 96 492.3 110.7 488.5 125.8L480 159.1C501.1 176.5 519.6 198.5 530.7 224H544C561.7 224 576 238.3 576 256V352C576 369.7 561.7 384 544 384H512C499.1 401.2 482.7 415.8 464 426.6V464C464 490.5 442.5 512 416 512H368C341.5 512 320 490.5 320 464V448H272V464C272 490.5 250.5 512 224 512H176C149.5 512 128 490.5 128 464V416C90.98 388.2 66.42 344.7 64.17 295.4C27.99 290.9 0 259.1 0 222.6C0 194.7 15.72 169.3 40.6 156.9L45.27 154.5C57.12 148.6 71.54 153.4 77.47 165.3C83.39 177.1 78.59 191.5 66.73 197.5L62.06 199.8C53.44 204.1 48 212.9 48 222.6C48 235.1 57.13 245.6 69.13 247.6C87.02 178.8 149.6 128 224 128V128zM224 176C162.1 176 112 226.1 112 288C112 324.6 129.5 357.1 156.8 377.6C168.9 386.7 176 400.9 176 416V464H224V448C224 421.5 245.5 400 272 400H320C346.5 400 368 421.5 368 448V464H416V426.6C416 409.5 425.1 393.6 439.1 385C453.1 377.5 464.6 367.3 473.6 355.2C482.7 343.1 496.9 336 512 336H528V271.9C510 270.9 493.1 259.9 486.7 243.2C478.9 225.4 466.6 209.1 451.2 198.4C435.7 186.8 428.8 167.1 433.4 148.3L434 146.1C425.5 148.6 418 153.5 412.2 160C403.1 170.2 390.1 176 376.4 176H224z"],
    "pills": [576, 512, [], "f484", "M529.1 206.9c-62.38-62.36-163.8-62.49-226.3 0c-62.5 62.49-62.5 163.8 0 226.3c62.5 62.36 163.8 62.49 226.3 0S591.6 269.2 529.1 206.9zM321.8 259.7l154.5 154.5C375.8 478.7 257 360.4 321.8 259.7zM510.3 380.2l-154.5-154.5C456.3 161.1 575 279.5 510.3 380.2zM112 32C50.13 32 0 82.13 0 143.1v223.1c0 61.86 50.13 111.1 112 111.1s112-50.13 112-111.1V143.1C224 82.13 173.9 32 112 32zM176 255.1h-128V143.1c0-84.74 128-84.74 128 0V255.1z"],
    "pinata": [512, 512, [], "e3c3", "M424 224H272V24C272 10.74 261.3 0 248 0S224 10.74 224 24V48H79.78C35.78 48 0 83.78 0 127.8C0 162.2 21.94 192.6 54.56 203.5L96 217.3V464C96 490.5 117.5 512 144 512h64c26.47 0 48-21.53 48-48v-8c0-26.47 21.53-48 48-48s48 21.53 48 48v8c0 26.47 21.53 48 48 48h64c26.47 0 48-21.53 48-48V312C512 263.5 472.5 224 424 224zM232.8 270.3C235.2 271.5 237.6 272 240 272c1.18 0 184 0 184 0c19.36 0 34.78 14.08 38.46 32.36c-1.916 .1914-3.848 .4414-5.611 1.324L432 318.1l-24.84-12.44c-4.5-2.25-9.812-2.25-14.31 0L368 318.1l-24.84-12.44c-4.5-2.25-9.812-2.25-14.31 0L304 318.1l-24.84-12.44c-4.5-2.25-9.812-2.25-14.31 0L240 318.1L215.2 305.7c-4.5-2.25-9.812-2.25-14.31 0L176 318.1L151.2 305.7C148.9 304.6 146.5 304 144 304V257.9l24.84 12.44c4.5 2.25 9.812 2.25 14.31 0L208 257.9L232.8 270.3zM127.6 177.2L69.75 157.9C56.75 153.6 48 141.5 48 127.8C48 110.3 62.25 96 79.78 96H224v134.1L215.2 225.7c-4.5-2.25-9.812-2.25-14.31 0L176 238.1L151.2 225.7C148.9 224.6 146.5 224 144 224V200C144 189.7 137.4 180.5 127.6 177.2zM208 456v8h-64v-46.13l24.84 12.44c4.5 2.25 9.812 2.25 14.31 0L208 417.9l6.752 3.379C210.5 432.1 208 443.7 208 456zM464 464h-64v-8c0-12.28-2.527-23.94-6.75-34.75L400 417.9l24.84 12.44c4.5 2.25 9.812 2.25 14.31 0L464 417.9V464zM464 384c-2.453 0-4.906 .5625-7.156 1.688L432 398.1l-24.84-12.44c-4.5-2.25-9.812-2.25-14.31 0l-16.3 8.148C358.9 373.3 333.1 360 304 360s-54.93 13.3-72.55 33.84l-16.3-8.148c-4.5-2.25-9.812-2.25-14.31 0L176 398.1l-24.84-12.44C148.9 384.6 146.5 384 144 384v-46.13l24.84 12.44c4.5 2.25 9.812 2.25 14.31 0L208 337.9l24.84 12.44c4.5 2.25 9.812 2.25 14.31 0L272 337.9l24.84 12.44c4.5 2.25 9.812 2.25 14.31 0L336 337.9l24.84 12.44c4.5 2.25 9.812 2.25 14.31 0L400 337.9l24.84 12.44c4.5 2.25 9.812 2.25 14.31 0L464 337.9V384zM176 168c13.25 0 24-10.75 24-24c0-13.26-10.75-24-24-24S152 130.7 152 144C152 157.3 162.7 168 176 168z"],
    "pinball": [448, 512, [], "e229", "M395.1 385.6L167.1 213.2C148.7 199.4 126.6 191.1 103.8 191.1c-43.57 0-84.28 27.16-98.61 69.83C1.739 272.3-.0003 282.1-.0003 293.7c0 10.23 3.675 74.86 71.69 96.5l274.5 87.33C351.5 479.2 357 480 362.5 480c17.93 0 53.54-13.74 53.54-52.44C415.1 400.2 395.1 386.3 395.1 385.6zM368 427.4C368 427.5 368 427.4 368 427.4c0 2.218-2.137 4.59-5.438 4.59c-.6707 0-1.308-.1022-1.852-.2804l-274.5-87.33C49.96 332.9 48.03 299 48.03 293.6c0-40.64 38.12-53.59 55.67-53.59c12.15 0 24.18 3.767 34.48 11.47l227.1 172.4C367.9 425.3 368 426.1 368 427.4zM104 272C90.74 272 80 282.7 80 295.1C80 309.3 90.74 320 104 320S128 309.3 128 295.1C128 282.7 117.3 272 104 272zM352 32c-53.02 0-96 42.98-96 96s42.98 96 96 96s96-42.98 96-96S405 32 352 32zM352 176c-26.47 0-48-21.53-48-48s21.53-48 48-48s48 21.53 48 48S378.5 176 352 176z"],
    "pineapple": [512, 512, [], "e31f", "M511.6 98.91c1.574-4.977-1.377-10.39-6.588-12.1L479.8 78.57C489.8 68.28 496 54.31 496 38.85V27.43c0-6.311-5.117-11.43-11.43-11.43h-11.43c-15.01 0-28.56 5.91-38.76 15.38l-7.668-24.24c-1.678-5.305-7-8.309-11.89-6.707c-17.27 5.662-30.42 18.48-37.74 34.55l-18.21-18.19c-3.762-3.756-9.672-3.947-13.2-.4238c-18.73 18.71-22.41 46.97-11.63 71.02C309.8 71.94 282 64 254.3 64C216.1 64 177.9 78.55 148.8 107.7L43.67 212.8c-58.22 58.22-58.22 152.6-.002 210.8l44.66 44.66C117.4 497.4 155.6 512 193.7 512s76.31-14.56 105.4-43.67l105.2-105.2c50.34-50.34 56.95-127.6 20.23-185.3c24.13 10.87 52.53 7.238 71.31-11.52c3.529-3.523 3.338-9.424-.4258-13.18L478.9 136.7C494.1 129.1 506.2 116 511.6 98.91zM370.4 329.2l-105.2 105.2C246.1 453.5 220.8 464 193.7 464s-52.39-10.52-71.48-29.61l-44.66-44.66c-39.41-39.41-39.41-103.5 .002-142.1l105.2-105.2C201.9 122.5 227.2 112 254.3 112s52.39 10.51 71.48 29.61l44.66 44.66C389.5 205.4 400 230.7 400 257.7C400 284.8 389.5 310.1 370.4 329.2zM171.3 292.7c-6.25-6.25-16.38-6.25-22.62 0L128 313.4L107.3 292.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l32 32C119.8 350.4 123.9 352 128 352s8.188-1.562 11.31-4.688l32-32C177.6 309.1 177.6 298.9 171.3 292.7zM308.7 292.7L288 313.4l-20.69-20.69c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l32 32C279.8 350.4 283.9 352 288 352s8.188-1.562 11.31-4.688l32-32c6.25-6.25 6.25-16.38 0-22.62S314.9 286.4 308.7 292.7zM196.7 267.3C199.8 270.4 203.9 272 208 272s8.188-1.562 11.31-4.688l32-32c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0L208 233.4L187.3 212.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L196.7 267.3zM228.7 372.7L208 393.4l-20.69-20.69c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62l32 32C199.8 430.4 203.9 432 208 432s8.188-1.562 11.31-4.688l32-32c6.25-6.25 6.25-16.38 0-22.62S234.9 366.4 228.7 372.7z"],
    "pipe": [64, 512, [], "7c", "M32 512c-13.25 0-24-10.75-24-24V24C8 10.75 18.75 0 32 0s24 10.75 24 24v464C56 501.3 45.25 512 32 512z"],
    "pipe-circle-check": [640, 512, [], "e436", "M48 336v-160h416v18.91C474.4 192.1 485.1 192 496 192c5.408 0 10.72 .2559 16 .7031V120C512 106.8 501.2 96 488 96S464 106.8 464 120V128h-416V120C48 106.8 37.25 96 24 96S0 106.8 0 120v272C0 405.2 10.75 416 24 416s24-10.75 24-24V384h272.7C320.3 378.7 320 373.4 320 368c0-10.91 .9922-21.63 2.912-32H48zM496 224C416.5 224 352 288.5 352 368s64.48 144 144 144s144-64.48 144-144S575.5 224 496 224zM563.9 338.7l-72 80c-2.943 3.264-7.104 5.184-11.49 5.312c-4.385 .0957-8.641-1.568-11.74-4.672l-40-40c-6.24-6.273-6.24-16.38 0-22.66c6.271-6.24 16.38-6.24 22.66 0l28.06 28.1l60.7-67.46c5.92-6.592 16.03-7.104 22.59-1.215C569.3 322 569.8 332.1 563.9 338.7z"],
    "pipe-collar": [512, 512, [], "e437", "M467.8 399.9c27.9-40.99 44.22-90.53 44.22-143.9s-16.32-102.9-44.22-143.9L497.1 81.94c18.72-18.75 18.72-49.15 0-67.9c-18.75-18.72-49.15-18.72-67.9 0l-30.18 30.18c-40.99-27.9-90.53-44.22-143.9-44.22s-102.9 16.32-143.9 44.22L81.96 14.04c-18.75-18.72-49.15-18.72-67.9 0c-18.72 18.75-18.72 49.15 0 67.9l30.18 30.18c-27.9 40.99-44.22 90.53-44.22 143.9s16.32 102.9 44.22 143.9L14.06 430c-18.72 18.75-18.72 49.15 0 67.9c18.75 18.72 49.15 18.72 67.9 0l30.18-30.18c40.99 27.9 90.53 44.22 143.9 44.22s102.9-16.32 143.9-44.22L430.1 497.9c18.75 18.72 49.15 18.72 67.9 0c18.72-18.75 18.72-49.15 0-67.9L467.8 399.9zM256 463.1c-114.9 0-208-93.12-208-208c0-114.9 93.12-208 208-208s208 93.12 208 208C464 370.9 370.9 463.1 256 463.1zM256 95.99c-88.35 0-160 71.65-160 160s71.65 160 160 160s160-71.65 160-160S344.4 95.99 256 95.99zM256 367.1c-61.86 0-112-50.14-112-112c0-61.86 50.14-112 112-112s112 50.14 112 112C368 317.8 317.9 367.1 256 367.1z"],
    "pipe-section": [640, 512, [], "e438", "M616 96c-13.25 0-24 10.75-24 24V128h-544V120C48 106.8 37.25 96 24 96S0 106.8 0 120v272C0 405.2 10.75 416 24 416s24-10.75 24-24V384h544v8c0 13.25 10.75 24 24 24S640 405.2 640 392v-272C640 106.8 629.2 96 616 96zM592 336h-544v-160h544V336z"],
    "pipe-smoking": [640, 512, [], "e3c4", "M616 0h-40.04c-41.69 0-79.71 14.56-101.3 38.75l-135.8 156c-15.43-4.338-32.17 .7559-41.14 14.03L272 243.2V232c0-30.88-25.12-56-56-56h-160C25.12 176 0 201.1 0 232v140.9C0 449.6 62.41 512 139.1 512h23.47c57.38 0 110.2-28.81 140.7-76.34l105.8-151.7c6.031-8.594 8.281-19.41 6.219-29.66c-.7344-3.588-2.566-6.738-4.258-9.934l102.2-159.1C526 61.94 550 48 575.8 48H616C629.3 48 640 37.25 640 24S629.3 0 616 0zM263.4 408.1C241.2 443.4 203.5 464 162.6 464H139.1C88.88 464 48 423.1 48 372.9V232C48 227.6 51.59 224 56 224h160C220.4 224 224 227.6 224 232v83.38c0 10.34 6.625 19.5 16.44 22.78c9.75 3.188 20.59-.0938 26.78-8.406l63.97-85.63l32.75 20.62L263.4 408.1z"],
    "pipe-valve": [512, 512, [], "e439", "M488 160c-13.25 0-24 10.75-24 24V192h-184V114.8l118.2 13.15c4.512 .5117 9.023-.9609 12.42-3.969C414 120.9 416 116.5 416 112v-32c0-4.545-1.951-8.896-5.344-11.94c-3.393-3.008-7.904-4.48-12.42-3.969L280 77.25V56C280 42.75 269.2 32 256 32S232 42.75 232 56v21.25L113.8 64.1C109.2 63.58 104.7 65.06 101.3 68.06C97.95 71.1 96 75.46 96 80v32c0 4.543 1.951 8.896 5.344 11.94C104.7 126.9 109.2 128.4 113.8 127.9L232 114.8V192H48V184C48 170.8 37.25 160 24 160S0 170.8 0 184v272C0 469.2 10.75 480 24 480s24-10.75 24-24V448h416v8c0 13.25 10.75 24 24 24S512 469.2 512 456v-272C512 170.8 501.2 160 488 160zM464 400h-416v-160h416V400z"],
    "pizza": [576, 512, [127829], "f817", "M176 328c0 13.25 10.75 24 23.1 24s23.1-10.75 23.1-24S213.3 304 200 304S176 314.8 176 328zM215.1 143.1c-13.25 0-24 10.76-24 24.01s10.76 24.01 24 24.01s24-10.76 24-24.01S229.2 143.1 215.1 143.1zM523.2 100.1c-3-3.875-7.625-5.993-12.37-5.993c-4.375 0-8.5 1.827-11.62 4.827L342.3 256l156.9 157c3.125 3.125 7.25 4.868 11.62 4.868c4.748 0 9.373-2.243 12.37-5.993c35.16-45.97 52.75-100.1 52.78-155.9C576 201 558.4 146.2 523.2 100.1zM455.9 301.9L409.1 256l45.75-45.63C460.6 224.8 463.1 239.9 463.1 256C463.9 271.6 461.1 287.1 455.9 301.9zM505.1 351l-24.25-24.25c20.25-45 20.12-96.5-.125-141.5L505.1 161C535.6 220.6 535.6 291.4 505.1 351zM256.3 256l169.3-169.1c6.375-6.5 6.375-17.38-.5-23.38c-46.62-41-106.8-63.62-168.8-63.5c-81.12 0-161.9 38.22-213.6 114.8C14.28 156.1 .0005 206.5 .0005 255.1c0 49.5 14.28 99.03 42.72 141.2C94.34 473.8 175.4 512 256.5 512c61.99 .125 121.8-22.49 168.4-63.49c6.875-6 7.04-16.88 .6654-23.38L256.3 256zM188.6 256l129.4 129.4c-19.25 9.5-40.33 14.51-61.83 14.63c-79.37 0-144.2-64.63-144.2-144s64.62-144 143.1-144c21.5 .125 42.74 5.125 61.99 14.62L188.6 256zM256.5 464c-70.49 0-133.9-34.13-173.1-93.63c-46.24-68.38-46.24-160.3 0-228.6c40.12-59.63 103.4-93.75 173.9-93.75c38.5 0 76.49 10.63 109.2 30.88l-23.75 23.88c-26.25-14.88-55.62-22.76-85.74-22.76C158.9 79.99 80.02 158.8 80.02 256s78.87 176 176.1 176c30.12 0 59.49-7.881 85.74-22.76l23.75 23.88C332.9 453.4 295 464 256.5 464z"],
    "pizza-slice": [512, 512, [], "f818", "M158.9 .1406C157.8 .0156 156.8 0 155.6 0c-15-.123-28.15 9.889-32.15 24.26L.5101 491.7c-1.25 4.875-.2367 9.955 2.888 13.96C6.398 509.6 11.07 512 16.07 512c1.5 0 2.977-.2325 4.352-.6075l467.7-129.6c15.75-4.375 25.5-19.75 23.63-35.87C490.9 165.1 340.8 17.39 158.9 .1406zM61.02 450.4l81.75-310.5c122.1 20.5 206.1 103.4 228.4 224.5L61.02 450.4zM417.5 351.5c-27-136.5-124.9-233-262.5-258l11.62-44.13c148.7 19.75 272.9 141.3 295.7 289.6L417.5 351.5zM192 192c-17.62 0-31.1 14.38-31.1 32s14.38 32 31.1 32c17.62 0 32-14.38 32-32S209.6 192 192 192zM160 320c-17.62 0-32.03 14.38-32.03 32.01s14.38 31.1 32 31.1c17.62 0 32.02-14.38 32.02-32.01S177.6 320 160 320zM256 320c0 17.62 14.38 32 32 32s32-14.38 32-32s-14.38-32-32-32S256 302.4 256 320z"],
    "place-of-worship": [640, 512, [], "f67f", "M320 0C326.8 0 333.3 2.888 337.8 7.945L405.7 83.38C412.3 90.73 416 100.3 416 110.1V185.5L454.4 210.4C470.4 220.7 480 238.4 480 257.4V464H568C581.3 464 592 453.3 592 440V370.1C592 361.1 587.9 354.4 581 349.1L512 305.3V248.1L607.1 309.7C627.6 322.9 640 345.7 640 370.1V440C640 479.8 607.8 512 568 512L72 512C32.24 512 0 479.8 0 440V370.1C0 345.7 12.38 322.9 32.89 309.7L128 248.1V305.3L58.96 349.1C52.13 354.4 48 361.1 48 370.1V440C48 453.3 58.75 464 72 464H160V257.4C160 238.4 169.6 220.7 185.6 210.4L224 185.5V110.1C224 100.3 227.7 90.73 234.3 83.38L302.2 7.945C306.7 2.888 313.2 0 320 0V0zM272 113.2V198.6C272 206.7 267.9 214.3 261 218.7L211.7 250.7C209.4 252.2 208 254.7 208 257.4V464H272V368C272 341.5 293.5 320 320 320C346.5 320 368 341.5 368 368V464H432V257.4C432 254.7 430.6 252.2 428.3 250.7L378.1 218.7C372.1 214.3 368 206.7 368 198.6V113.2L320 59.88L272 113.2z"],
    "plane": [576, 512, [], "f072", "M576 256C576 305 502.1 336 464.2 336H382.2L282.4 496C276.4 506 266.4 512 254.4 512H189.5C179.5 512 169.5 508 163.5 500C157.6 492 155.6 480.1 158.6 471L201.5 336H152.5L113.6 388C107.6 396 98.61 400 88.62 400H31.7C22.72 400 12.73 396 6.74 388C.7485 380-1.248 370 1.747 360L31.7 256L.7488 152C-1.248 143 .7488 133 6.74 125C12.73 117 22.72 112 31.7 112H88.62C98.61 112 107.6 117 113.6 125L152.5 176H201.5L158.6 41C155.6 32 157.6 21 163.5 13C169.5 5 179.5 0 189.5 0H254.4C265.4 0 277.4 7 281.4 16L381.2 176H463.2C502.1 176 576 208 576 256H576zM527.1 256C525.1 246 489.1 224 463.2 224H355.3L245.4 48H211.5L266.4 224H128.6L80.63 160H53.67L81.63 256L53.67 352H80.63L128.6 288H266.4L211.5 464H245.4L355.3 288H463.2C490.1 288 526.1 267 527.1 256V256z"],
    "plane-arrival": [640, 512, [128748], "f5af", "M455.1 394.8L137 310.3C129.6 308.3 122.6 304.8 116.6 300L21.43 224.4C8.079 213.8 .2842 197.7 .248 180.7L.0438 84.59C-.0115 58.53 24.47 39.38 49.75 45.7L77.95 52.75C95.39 57.11 109.7 69.58 116.4 86.28L137.8 139.9L198.6 156.1L167.2 51.49C159.5 25.83 178.7 .001 205.5 .001H246.6C261.1 .001 274.4 7.796 281.5 20.39L385.1 206.1L489.2 233.6C513 239.1 534.9 252 553.1 268.7L584.9 298.1C616 326.7 604.9 378.3 564.7 391.6C529.2 403.3 491.1 404.4 455.1 394.8L455.1 394.8zM520.5 304C508.1 292.6 493.1 284.3 476.8 279.1L354 247.2L241.1 48H216.3L269.2 224.6L102.2 180.1L71.79 104.1C70.84 101.7 68.8 99.94 66.31 99.31L48.07 94.75L48.25 180.6C48.25 183 49.37 185.3 51.27 186.9L146.4 262.4C147.3 263.1 148.3 263.6 149.4 263.9L467.4 348.4C494.5 355.6 523 354.8 549.6 346C555.1 344.2 556.6 337.2 552.4 333.3L520.5 304zM616 464C629.3 464 640 474.7 640 488C640 501.3 629.3 512 616 512H24C10.75 512 0 501.3 0 488C0 474.7 10.75 464 24 464H616zM192 368C192 385.7 177.7 400 160 400C142.3 400 128 385.7 128 368C128 350.3 142.3 336 160 336C177.7 336 192 350.3 192 368zM224 400C224 382.3 238.3 368 256 368C273.7 368 288 382.3 288 400C288 417.7 273.7 432 256 432C238.3 432 224 417.7 224 400zM143.2 287.1L149.4 263.9z"],
    "plane-circle-check": [640, 512, [], "e555", "M255.1 0C304.1 0 336 73.89 336 111.8V153.8L422.5 207.7C406.2 215.2 391.3 225.1 378.1 236.1L287.1 180.7V112.8C287.1 85.87 266.1 49.93 255.1 48.93C245.1 50.93 223.1 86.87 223.1 112.8V180.7L47.1 290.6V324.5L223.1 269.6V383.4L159.1 431.4V458.3L255.1 430.4L343.9 455.1C355.2 475.2 369.9 492.1 387.4 505.7C379.5 511.4 369.7 513.2 360 510.3L256 480.3L152 511.3C143 513.2 133 511.3 125 505.3C117 499.3 112 489.3 112 480.3V423.4C112 413.4 117 404.4 125 398.4L176 359.5V334.5L41 377.4C32 380.4 21 378.4 13 372.5C5 366.5 0 356.5 0 346.5V281.6C0 270.6 7 258.6 16 254.6L176 154.8V112.8C176 73.89 208 0 256 0L255.1 0zM319.1 367.5C319.1 382.7 321.9 397.5 325.6 411.6L287.1 383.4V269.6L340.1 285.9C327.3 310.2 319.1 338 319.1 367.5V367.5zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM540.7 324.7L480 385.4L451.3 356.7C445.1 350.4 434.9 350.4 428.7 356.7C422.4 362.9 422.4 373.1 428.7 379.3L468.7 419.3C474.9 425.6 485.1 425.6 491.3 419.3L563.3 347.3C569.6 341.1 569.6 330.9 563.3 324.7C557.1 318.4 546.9 318.4 540.7 324.7H540.7z"],
    "plane-circle-exclamation": [640, 512, [], "e556", "M255.1 0C304.1 0 336 73.89 336 111.8V153.8L422.5 207.7C406.2 215.2 391.3 225.1 378.1 236.1L287.1 180.7V112.8C287.1 85.87 266.1 49.93 255.1 48.93C245.1 50.93 223.1 86.87 223.1 112.8V180.7L47.1 290.6V324.5L223.1 269.6V383.4L159.1 431.4V458.3L255.1 430.4L343.9 455.1C355.2 475.2 369.9 492.1 387.4 505.7C379.5 511.4 369.7 513.2 360 510.3L256 480.3L152 511.3C143 513.2 133 511.3 125 505.3C117 499.3 112 489.3 112 480.3V423.4C112 413.4 117 404.4 125 398.4L176 359.5V334.5L41 377.4C32 380.4 21 378.4 13 372.5C5 366.5 0 356.5 0 346.5V281.6C0 270.6 7 258.6 16 254.6L176 154.8V112.8C176 73.89 208 0 256 0L255.1 0zM319.1 367.5C319.1 382.7 321.9 397.5 325.6 411.6L287.1 383.4V269.6L340.1 285.9C327.3 310.2 319.1 338 319.1 367.5V367.5zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 464C509.3 464 520 453.3 520 440C520 426.7 509.3 416 496 416C482.7 416 472 426.7 472 440C472 453.3 482.7 464 496 464zM479.1 288V368C479.1 376.8 487.2 384 495.1 384C504.8 384 511.1 376.8 511.1 368V288C511.1 279.2 504.8 272 495.1 272C487.2 272 479.1 279.2 479.1 288z"],
    "plane-circle-xmark": [640, 512, [], "e557", "M255.1 0C304.1 0 336 73.89 336 111.8V153.8L422.5 207.7C406.2 215.2 391.3 225.1 378.1 236.1L287.1 180.7V112.8C287.1 85.87 266.1 49.93 255.1 48.93C245.1 50.93 223.1 86.87 223.1 112.8V180.7L47.1 290.6V324.5L223.1 269.6V383.4L159.1 431.4V458.3L255.1 430.4L343.9 455.1C355.2 475.2 369.9 492.1 387.4 505.7C379.5 511.4 369.7 513.2 360 510.3L256 480.3L152 511.3C143 513.2 133 511.3 125 505.3C117 499.3 112 489.3 112 480.3V423.4C112 413.4 117 404.4 125 398.4L176 359.5V334.5L41 377.4C32 380.4 21 378.4 13 372.5C5 366.5 0 356.5 0 346.5V281.6C0 270.6 7 258.6 16 254.6L176 154.8V112.8C176 73.89 208 0 256 0L255.1 0zM319.1 367.5C319.1 382.7 321.9 397.5 325.6 411.6L287.1 383.4V269.6L340.1 285.9C327.3 310.2 319.1 338 319.1 367.5V367.5zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM555.3 331.3C561.6 325.1 561.6 314.9 555.3 308.7C549.1 302.4 538.9 302.4 532.7 308.7L496 345.4L459.3 308.7C453.1 302.4 442.9 302.4 436.7 308.7C430.4 314.9 430.4 325.1 436.7 331.3L473.4 368L436.7 404.7C430.4 410.9 430.4 421.1 436.7 427.3C442.9 433.6 453.1 433.6 459.3 427.3L496 390.6L532.7 427.3C538.9 433.6 549.1 433.6 555.3 427.3C561.6 421.1 561.6 410.9 555.3 404.7L518.6 368L555.3 331.3z"],
    "plane-departure": [640, 512, [128747], "f5b0", "M375.1 104L448.1 65.35C470.7 53.95 494.9 48 519.5 48H570.3C616.6 48 647.2 96.1 627.7 138.1C606 184.4 569.8 222.4 524.5 246.1L274.1 377.6C266.1 381.8 257.2 384 248.1 384H126.7C110.4 384 94.84 376.9 84.2 364.4L11.11 279.2C-5.821 259.4 .32 229 23.6 217.4L55.76 201.3C70.73 193.8 88.26 193.4 103.5 200.2L151.1 221.4L192 199.9L85.32 132.8C57.89 115.5 61.32 74.45 91.25 61.98L135.1 43.33C156.1 34.94 178.7 34.33 199.3 41.63L375.1 104zM123.1 100.4L288.2 203.8L152.9 274.6L84.05 244.1C81.87 243.1 79.36 243.2 77.23 244.2L54.23 255.7L120.6 333.2C122.2 334.1 124.4 336 126.7 336H248.1C249.4 336 250.7 335.7 251.8 335.1L502.2 203.6C538.2 184.7 566.1 154.6 584.2 117.8C588.9 107.6 581.5 95.1 570.3 95.1H519.5C502.7 95.1 486.1 100.1 471.2 107.9L378.8 156.3L183.2 86.87C173.9 83.55 163.6 83.82 154.5 87.64L123.1 100.4zM616 464C629.3 464 640 474.7 640 488C640 501.3 629.3 512 616 512H24C10.75 512 0 501.3 0 488C0 474.7 10.75 464 24 464H616zM66.49 222.8L55.76 201.3L66.49 222.8zM84.2 364.4L101.8 349.4z"],
    "plane-engines": [576, 512, [9992, "plane-alt"], "f3de", "M381.2 176H463.2C502.1 176 576 208 576 256C576 305 502.1 336 464.2 336H382.2L350.2 387.3C360.7 392.5 368 403.4 368 416C368 433.7 353.7 448 336 448H312.3L282.4 496C276.4 506 266.4 512 254.4 512H189.5C179.5 512 169.5 508 163.5 500C157.6 492 155.6 480.1 158.6 471L201.5 336H152.5L113.6 388C107.6 396 98.61 400 88.62 400H31.7C22.72 400 12.73 396 6.74 388C.7488 380-1.248 370 1.748 360L22.87 286.7C9.644 282.7 0 270.5 0 256C0 241.6 9.513 229.4 22.6 225.4L.7488 152C-1.248 143 .7488 133 6.74 125C12.73 117 22.72 112 31.7 112H88.62C98.61 112 107.6 117 113.6 125L152.5 176H201.5L158.6 41C155.6 32 157.6 21 163.5 13C169.5 5 179.5 0 189.5 0H254.4C265.4 0 277.4 7 281.4 16L311.3 64H336C353.7 64 368 78.33 368 96C368 108.9 360.4 119.1 349.4 125.1L381.2 176zM355.3 288H463.2C490.1 288 526.1 267 527.1 256C525.1 246 489.1 224 463.2 224H355.3L245.4 48H211.5L266.4 224H128.6L80.63 160H53.67L81.63 256L53.67 352H80.63L128.6 288H266.4L211.5 464H245.4L355.3 288z"],
    "plane-lock": [640, 512, [], "e558", "M256 .001C305 .001 336 73.89 336 111.8V153.8L432.1 213.8C423.6 227.8 418.1 243.8 416.5 260.9L288 180.7V112.8C288 85.87 267 49.93 256 48.93C246 50.93 224 86.87 224 112.8V180.7L48 290.6V324.5L224 269.6V383.4L160 431.4V458.3L256 430.4L352 458.3V431.4L288 383.4V269.6L403.4 305.6C391.8 316.9 384.5 332.5 384 349.8L336 334.5V359.5L384 395.4V479.3C384 488.2 385.8 496.7 389.1 504.4C388.8 504.7 388.4 504.1 388 505.3C380 511.3 370 513.2 360 510.3L256 480.3L152 511.3C143 513.2 133 511.3 125 505.3C117 499.3 112 489.3 112 480.3V423.4C112 413.4 117 404.4 125 398.4L176 359.5V334.5L41 377.4C32 380.4 21 378.4 13 372.5C5 366.5 0 356.5 0 346.5V281.6C0 270.6 7 258.6 16 254.6L176 154.8V112.8C176 73.89 208 0 256 0L256 .001zM528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320V272C448 227.8 483.8 192 528 192zM528 240C510.3 240 496 254.3 496 272V320H560V272C560 254.3 545.7 240 528 240z"],
    "plane-prop": [576, 512, [], "e22b", "M344.7 27.63L349.8 64.08C350.5 64.03 351.2 64 352 64H368V48C368 39.16 375.2 32 384 32C392.8 32 400 39.16 400 48V80C408.8 80 416 87.16 416 96C416 104.8 408.8 112 400 112V144C400 152.8 392.8 160 384 160C375.2 160 368 152.8 368 144V128H358.6L365.2 176H458.3C479.3 176 506.4 182.2 528.7 193.4C549.4 203.8 576 223.9 576 256C576 288.5 549.6 308.6 528.6 319C506.2 330.1 479.1 336 458.3 336H365.2L358.6 384H368V368C368 359.2 375.2 352 384 352C392.8 352 400 359.2 400 368V400C408.8 400 416 407.2 416 416C416 424.8 408.8 432 400 432V464C400 472.8 392.8 480 384 480C375.2 480 368 472.8 368 464V448H352C351.2 448 350.5 447.1 349.8 447.9L344.7 484.4C342.5 500.2 329 512 313 512H270.1C254.1 512 241.5 500.2 239.3 484.4L234.3 448H224C206.3 448 192 433.7 192 416C192 398.3 206.3 384 224 384H225.4L218.2 331.6L142.5 322.6L136.6 356.8C134.3 372.4 120.8 384 104.1 384H71C55.08 384 41.6 372.3 39.33 356.6L28.66 287.8C12.55 286.2 0 272.5 0 256C0 239.5 12.55 225.8 28.66 224.2L39.33 155.4C41.6 139.7 55.08 128 71 128H104.1C120.8 128 134.3 139.6 136.6 155.2L142.5 189.5L218.2 180.4L225.4 128H224C206.3 128 192 113.7 192 96C192 78.33 206.3 64 224 64H234.3L239.3 27.63C241.5 11.79 254.1 0 270.1 0H313C329 0 342.5 11.79 344.7 27.63L344.7 27.63zM316.7 176L299.1 48H284.9L267.3 176H316.7zM284.9 464H299.1L316.7 336H267.3L284.9 464zM507.3 276C524.7 267.4 528 259.5 528 256C528 253.1 524.8 245.2 507.2 236.3C491.2 228.3 471.5 224 458.3 224H257.4L102.9 242.6L91.49 176H84.71L72.29 256L84.71 336H91.49L102.9 269.5L257.4 288H458.3C471.7 288 491.5 283.9 507.3 276z"],
    "plane-slash": [640, 512, [], "e069", "M236.4 159.1L198.6 41C195.6 32 197.6 21 203.5 13C209.5 5 219.5 0 229.5 0H294.4C305.4 0 317.4 7 321.4 16L421.2 176H495.2C534.1 176 608 208 608 256C608 305 534.1 336 496.2 336H460.1L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L236.4 159.1zM302.6 211.9L399.7 288H495.2C522.1 288 558.1 267 559.1 256C557.1 246 521.1 224 495.2 224H395.3L285.4 48H251.5L302.6 211.9zM32.75 152C30.83 143.4 32.59 133.8 38.04 125.1L86.99 164.5L113.6 256L85.67 352H112.6L160.6 288H243.7L291.3 325.5L235.5 464H285.4L345.3 368.1L383.5 398.1L322.4 496C316.4 506 306.4 512 294.4 512H229.5C219.5 512 209.5 508 203.5 500C197.6 492 195.6 481 198.6 471L241.5 336H184.5L145.6 388C139.6 396 130.6 400 120.6 400H63.7C54.72 400 44.73 396 38.74 388C32.75 380 30.75 370 33.75 360L63.7 256L32.75 152z"],
    "plane-tail": [576, 512, [], "e22c", "M64 .0003H140.9C158.2 .0003 174.8 7.025 186.9 19.47L416 256H520C533.3 256 544 266.7 544 280C544 293.3 533.3 304 520 304H296.7C293.1 304 289.5 304.5 286 305.4L90.7 359.3C84.38 361.1 79.1 366.8 79.1 373.4C79.1 379.4 83.74 384.9 89.41 387L285.5 461.4C290.1 463.1 294.9 464 299.7 464H520C533.3 464 544 474.7 544 488C544 501.3 533.3 512 520 512H299.7C289.1 512 278.5 510.1 268.5 506.3L72.38 431.9C48.07 422.7 31.1 399.4 31.1 373.4C31.1 345.2 50.8 320.5 77.93 313.1L93.47 308.8L32.78 39.02C28.28 19.02 43.49 0 63.1 0L64 .0003zM392 352C405.3 352 416 362.7 416 376C416 389.3 405.3 400 392 400H248C234.7 400 224 389.3 224 376C224 362.7 234.7 352 248 352H392z"],
    "plane-up": [512, 512, [], "e22d", "M256 .0003C304.1 .0003 336 73.89 336 111.8V153.8L496 253.6C506 259.6 512 269.6 512 281.6V346.5C512 356.5 508 366.5 500 372.5C492 378.4 480.1 380.4 471 377.4L336 334.5V359.5L388 398.4C396 404.4 400 413.4 400 423.4V480.3C400 489.3 396 499.3 388 505.3C380 511.3 370 513.2 360 510.3L256 480.3L152 511.3C143 513.2 133 511.3 125 505.3C117 499.3 112 489.3 112 480.3V423.4C112 413.4 117 404.4 125 398.4L176 359.5V334.5L41 377.4C32 380.4 21 378.4 13 372.5C5 366.5 0 356.5 0 346.5V281.6C0 270.6 7 258.6 16 254.6L176 154.8V112.8C176 73.89 208 0 256 0V.0003zM256 48.93C246 50.93 224 86.87 224 112.8V180.7L48 290.6V324.5L224 269.6V383.4L160 431.4V458.3L256 430.4L352 458.3V431.4L288 383.4V269.6L464 324.5V290.6L288 180.7V112.8C288 85.87 267 49.93 256 48.93V48.93z"],
    "plane-up-slash": [640, 512, [], "e22e", "M630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1zM576 346.5C576 352.3 574.6 358.1 571.9 363.2L528 328.5V290.6L352 180.7V112.8C352 85.87 331 49.93 320 48.93C310 50.93 288 86.87 288 112.8V139L240.7 101.7C245.8 61.34 276.3 .0003 320 .0003C369 .0003 400 73.89 400 111.8V153.8L560 253.6C570 259.6 576 269.6 576 281.6V346.5zM148.2 212.1L187.7 243.3L112 290.6V324.5L240 284.6L288 322.5V383.4L224 431.4V458.3L320 430.4L416 458.3V423.5L464 461.4V480.3C464 489.3 460 499.3 452 505.3C444 511.3 434 513.2 424 510.3L320 480.3L216 511.3C207 513.2 197 511.3 189 505.3C181 499.3 176 489.3 176 480.3V423.4C176 413.4 181 404.4 189 398.4L240 359.5V334.5L105 377.4C96 380.4 85 378.4 77 372.5C69 366.5 64 356.5 64 346.5V281.6C64 270.6 71 258.6 80 254.6L148.2 212.1z"],
    "planet-moon": [576, 512, [], "e01f", "M512 0c-35.38 0-64 28.62-64 64s28.62 63.1 64 63.1s64-28.62 64-63.1S547.4 0 512 0zM224 64C100.2 64 0 164.2 0 288s100.2 224 224 224s224-100.2 224-224S347.8 64 224 64zM224 464c-97 0-176-79-176-176c0-26.62 6.125-53 17.88-76.88C71.12 219.1 80.12 224 89.75 224h25c8.5 0 16.62 3.375 22.62 9.375L192 288v32c0 17.62 14.38 32 32 32v63.13c0 4.5 1.875 8.75 5.25 11.88c3.375 3 7.875 4.5 12.38 4c3.5-.375 7-.75 10.38-1.375c9-1.5 16.88-7.25 20.88-15.5l40.37-80.63C317.6 324.6 320 314.9 320 304.9V288c0-17.62-14.38-32-32-32H223.5c-10 0-19.38-3.875-26.38-10.88C185.2 233.2 184.5 214.1 195.5 201.5l49.75-57.38C251.1 135.4 253.1 125.2 255.1 114.9C337.4 129.6 400 201.6 400 288C400 385 321 464 224 464z"],
    "planet-ringed": [512, 512, [129680], "e020", "M502.9 9.049c-23.38-23.38-88.39 .0808-167.1 54.84c-25.38-10.5-52.39-15.88-79.77-15.88c-114.9 0-207.1 93.09-207.1 207.1c0 27.38 5.368 54.4 15.87 79.77c-54.76 78.76-78.21 143.8-54.84 167.1c23.5 23.5 88.33-.0166 167.2-54.77c25.25 10.5 52.35 15.83 79.73 15.83c114.9 0 207.1-93.09 207.1-207.1c0-27.38-5.329-54.47-15.83-79.72C502.9 97.38 526.4 32.55 502.9 9.049zM64.01 448c-8.001-8.001 2.375-32.88 25.75-67.38c11.88 15.75 25.88 29.88 41.63 41.63C96.89 445.7 72.01 456 64.01 448zM172.6 391.9c-45.75-28.13-76.63-78.26-76.63-135.9c0-88.26 71.76-160 160-160c57.63 0 107.8 30.88 135.9 76.63c-27.5 34.63-63.13 74.63-103.9 115.4C247.1 328.8 207.3 364.4 172.6 391.9zM256 416c-10.88 0-21.75-1.125-32.38-3.25c34.88-28 68.09-57.8 99.71-89.43c31.63-31.63 61.43-64.84 89.43-99.71c2.125 10.63 3.25 21.5 3.25 32.38C416 344.3 344.3 416 256 416zM380.7 89.76c34.5-23.38 59.38-33.75 67.38-25.75c8.001 8.001-2.375 32.88-25.75 67.38C410.5 115.6 396.4 101.6 380.7 89.76z"],
    "plant-wilt": [512, 512, [], "e5aa", "M280 512H232V240C232 204.7 203.3 176 168 176C132.7 176 104 204.7 104 240V258.7C137.9 266.7 160 292.3 160 331.1C160 359.1 124.2 410.5 80 448C35.83 410.5 0 360.4 0 331.1C0 292.3 22.11 266.7 56 258.7V240C56 178.1 106.1 128 168 128C191.8 128 213.9 135.4 232 148.1V112C232 50.14 282.1 0 344 0C405.9 0 456 50.14 456 112V130.7C489.9 138.7 512 164.3 512 203.1C512 231.1 476.2 282.5 432 320C387.8 282.5 352 232.4 352 203.1C352 164.3 374.1 138.7 408 130.7V112C408 76.65 379.3 48 344 48C308.7 48 280 76.65 280 112V512zM48 331.1C48 330.9 48.03 331 48.15 331.4C48.74 333.4 51.52 342.7 62.88 359.1C67.77 366.1 73.54 373.5 79.97 380.8C86.41 373.4 92.19 366.1 97.09 358.1C108.2 342.9 111.1 333.7 111.8 331.5C111.1 331 112 330.9 112 331.1C112 319.2 108.2 313.9 105.3 311.3C102.1 308.4 95.39 304.6 83.06 304.1C82.05 304.2 81.04 304.3 80 304.3C78.97 304.3 77.95 304.2 76.95 304.1C64.61 304.6 57.87 308.4 54.67 311.3C51.77 313.9 48 319.2 48 331.1L48 331.1zM457.3 183.3C453.9 180.1 446.3 176 432 176C417.7 176 410.1 180.1 406.7 183.3C403.8 185.9 400 191.2 400 203.1C400 202.9 400 203 400.1 203.4C400.7 205.4 403.5 214.7 414.9 231.1C419.8 238.1 425.5 245.5 431.1 252.8C438.4 245.4 444.2 238.1 449.1 230.1C460.2 214.9 463.1 205.7 463.8 203.5C463.1 203 464 202.9 464 203.1C464 191.2 460.2 185.9 457.3 183.3H457.3z"],
    "plate-utensils": [640, 512, [58713], "e43b", "M624.3 18.08C627.4 19.41 630.3 21.35 632.6 23.79C635 26.22 636.9 29.1 638.2 32.26C639.4 35.43 640 38.8 640 42.21V472C640 478.4 637.5 484.5 632.1 488.1C628.5 493.5 622.4 496 616 496C609.6 496 603.5 493.5 599 488.1C594.5 484.5 592 478.4 592 472V320H562.9C556.1 319.9 549.4 318.5 543.2 315.8C536.9 313.1 531.2 309.1 526.5 304.2C521.8 299.3 518.1 293.6 515.6 287.2C513.1 280.9 511.9 274.1 512 267.3L512.4 158.2C512.2 128.3 520.8 99 537.3 74.02C553.7 49.05 577.2 29.51 604.8 17.89C607.8 16.64 611.1 15.1 614.4 16C617.8 16.03 621.2 16.74 624.3 18.07V18.08zM592 82.78C581.1 92.61 574 104.3 568.6 117.3C563.2 130.3 560.5 144.2 560.6 158.2L560 267.6C559.9 268.9 560.4 270.2 561.3 271.2C561.5 271.5 561.8 271.7 562.1 271.8C562.3 271.9 562.6 271.1 562.9 272H592V82.78zM159.6 207.6C149.1 218.1 134.8 223.1 120 224H112V472C112 478.4 109.5 484.5 104.1 488.1C100.5 493.5 94.37 496 88 496C81.63 496 75.53 493.5 71.03 488.1C66.53 484.5 64 478.4 64 472V224H56C41.15 223.1 26.92 218.1 16.42 207.6C5.923 197.1 .017 182.8 0 168V40C0 33.64 2.529 27.53 7.029 23.03C11.53 18.53 17.63 16 24 16C30.37 16 36.47 18.53 40.97 23.03C45.47 27.53 48 33.64 48 40V168C48 170.1 48.84 172.2 50.34 173.7C51.84 175.2 53.88 176 56 176H64V40C64 33.64 66.53 27.53 71.03 23.03C75.53 18.53 81.63 16 88 16C94.37 16 100.5 18.53 104.1 23.03C109.5 27.53 112 33.64 112 40V176H120C122.1 176 124.2 175.2 125.7 173.7C127.2 172.2 128 170.1 128 168V40C128 33.64 130.5 27.53 135 23.03C139.5 18.53 145.6 16 152 16C158.4 16 164.5 18.53 168.1 23.03C173.5 27.53 176 33.64 176 40V168C175.1 182.8 170.1 197.1 159.6 207.6zM245.5 346.5C221.5 322.5 208 289.9 208 256C208 230.7 215.5 205.9 229.6 184.9C243.6 163.8 263.6 147.4 287 137.7C310.4 128.1 336.1 125.5 360.1 130.5C385.8 135.4 408.6 147.6 426.5 165.5C444.4 183.4 456.6 206.2 461.5 231C466.5 255.9 463.9 281.6 454.3 304.1C444.6 328.4 428.2 348.4 407.1 362.4C386.1 376.5 361.3 384 336 384C302.1 384 269.5 370.5 245.5 346.5V346.5zM279.4 199.4C264.4 214.4 256 234.8 256 256C256 271.8 260.7 287.3 269.5 300.4C278.3 313.6 290.8 323.9 305.4 329.9C320 335.1 336.1 337.5 351.6 334.5C367.1 331.4 381.4 323.8 392.6 312.6C403.8 301.4 411.4 287.1 414.5 271.6C417.5 256.1 415.1 240 409.9 225.4C403.9 210.8 393.6 198.3 380.4 189.5C367.3 180.7 351.8 176 336 176C314.8 176 294.4 184.4 279.4 199.4L279.4 199.4zM423.6 103.4C400.8 90.28 375.5 82.46 349.3 80.49C323.1 78.53 296.8 82.45 272.4 91.99C247.9 101.5 225.9 116.4 208 135.6V72.32C250.6 42.54 302.2 28.55 354 32.74C405.8 36.94 454.6 59.06 491.8 95.3C484.8 114.8 481 135.4 480.7 156.1C465.9 134.5 446.3 116.4 423.6 103.4zM504.7 327.5C514.5 337.3 526.6 344.4 539.9 348.3C523.1 385.5 496.4 417.5 462.7 440.6C429 463.8 389.6 477.3 348.8 479.6C308 481.9 267.3 473 231.2 453.9C195.1 434.7 164.9 405.1 144 370.9V252.1C149.7 250.5 155.2 248.3 160.5 245.7C160.3 249.1 160 252.5 160 256C160.1 296.9 174.4 336.4 200.4 367.9C226.5 399.4 262.7 420.8 302.8 428.5C342.9 436.2 384.5 429.7 420.4 410.1C456.2 390.5 484.2 359.1 499.4 321.2C501 323.4 502.8 325.5 504.7 327.5L504.7 327.5z"],
    "plate-wheat": [512, 512, [], "e55a", "M256 112V128C256 136.8 248.8 144 240 144C195.8 144 160 108.2 160 64V48C160 39.16 167.2 32 176 32C220.2 32 256 67.82 256 112zM104 64C117.3 64 128 74.75 128 88C128 101.3 117.3 112 104 112H56C42.75 112 32 101.3 32 88C32 74.75 42.75 64 56 64H104zM136 136C149.3 136 160 146.7 160 160C160 173.3 149.3 184 136 184H24C10.75 184 0 173.3 0 160C0 146.7 10.75 136 24 136H136zM32 232C32 218.7 42.75 208 56 208H104C117.3 208 128 218.7 128 232C128 245.3 117.3 256 104 256H56C42.75 256 32 245.3 32 232zM272 48C272 39.16 279.2 32 288 32C332.2 32 368 67.82 368 112V128C368 136.8 360.8 144 352 144C307.8 144 272 108.2 272 64V48zM480 112V128C480 136.8 472.8 144 464 144C419.8 144 384 108.2 384 64V48C384 39.16 391.2 32 400 32C444.2 32 480 67.82 480 112zM480 208C480 252.2 444.2 288 400 288C391.2 288 384 280.8 384 272V256C384 211.8 419.8 176 464 176C472.8 176 480 183.2 480 192V208zM352 176C360.8 176 368 183.2 368 192V208C368 252.2 332.2 288 288 288C279.2 288 272 280.8 272 272V256C272 211.8 307.8 176 352 176zM256 208C256 252.2 220.2 288 176 288C167.2 288 160 280.8 160 272V256C160 211.8 195.8 176 240 176C248.8 176 256 183.2 256 192V208zM486.4 320C500.5 320 512 331.5 512 345.6C512 397.3 473.7 439.1 424 446.1C413.1 466.7 392.1 480 368 480H144C119.9 480 98.91 466.7 87.99 446.1C38.26 439.1 0 397.3 0 345.6C0 331.5 11.46 320 25.6 320H486.4zM144 432H368C373.1 432 379.2 428.8 382 423.7C389.3 410.5 402.4 401.6 417.3 399.5C436 396.8 451.7 384.6 459.2 368H52.81C60.34 384.6 75.99 396.8 94.69 399.5C109.6 401.6 122.7 410.5 129.1 423.7C132.8 428.8 138 432 144 432V432z"],
    "play": [384, 512, [9654], "f04b", "M24.52 38.13C39.66 29.64 58.21 29.99 73.03 39.04L361 215C375.3 223.8 384 239.3 384 256C384 272.7 375.3 288.2 361 296.1L73.03 472.1C58.21 482 39.66 482.4 24.52 473.9C9.377 465.4 0 449.4 0 432V80C0 62.64 9.377 46.63 24.52 38.13V38.13zM48 432L336 256L48 80V432z"],
    "play-pause": [512, 512, [], "e22f", "M488 64c-13.25 0-24 10.75-24 24v336c0 13.25 10.75 24 24 24S512 437.3 512 424V88C512 74.75 501.3 64 488 64zM344 64C330.7 64 320 74.75 320 88v336c0 13.25 10.75 24 24 24s24-10.75 24-24V88C368 74.75 357.3 64 344 64zM32.22 448c7.002 0 14.15-2.305 20.29-7.406l192-159.1c15.25-12.87 15.25-36.37 0-49.24L52.51 71.41C46.36 66.31 39.22 64 32.22 64C15.71 64 0 76.81 0 96.03v319.9C0 435.2 15.71 448 32.22 448zM48 130.1L199.1 256L48 381.9V130.1z"],
    "plug": [384, 512, [128268], "f1e6", "M96 0C109.3 0 120 10.75 120 24V112H72V24C72 10.75 82.75 0 96 0zM288 0C301.3 0 312 10.75 312 24V112H264V24C264 10.75 274.7 0 288 0zM360 144C373.3 144 384 154.7 384 168C384 181.3 373.3 192 360 192H352V256C352 336.2 292.1 402.6 216 414.2V512H168V414.2C91.02 402.6 32 336.2 32 256V192H24C10.75 192 0 181.3 0 168C0 154.7 10.75 144 24 144H360zM192 368C253.9 368 304 317.9 304 256V192H80V256C80 317.9 130.1 368 192 368z"],
    "plug-circle-bolt": [576, 512, [], "e55b", "M96 0C109.3 0 120 10.75 120 24V112H72V24C72 10.75 82.75 0 96 0zM288 0C301.3 0 312 10.75 312 24V112H264V24C264 10.75 274.7 0 288 0zM360 144C373.3 144 384 154.7 384 168C384 181.3 373.3 192 360 192H352V211.2C333.1 220.4 317.8 232.6 304 247.2V192H80V256C80 317.9 130.1 368 192 368C216.3 368 238.9 360.2 257.2 347.1C256.4 353.9 256 360.9 256 368C256 379.4 257.1 390.5 259.1 401.3C245.7 407.5 231.2 411.9 216 414.2V512H168V414.2C91.02 402.6 32 336.2 32 255.1V191.1H24C10.75 191.1 0 181.3 0 167.1C0 154.7 10.75 143.1 24 143.1L360 144zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM464.8 286.4L368.8 358.4C364.7 361.5 362.1 366.9 364.6 371.8C366.2 376.7 370.8 380 376 380H411.6L381.5 434.2C378.8 439.1 379.8 445.3 384.1 449C388.4 452.8 394.7 452.1 399.2 449.6L495.2 377.6C499.3 374.5 501 369.1 499.4 364.2C497.8 359.3 493.2 356 488 356H452.4L482.5 301.8C485.2 296.9 484.2 290.7 479.9 286.1C475.6 283.2 469.3 283 464.8 286.4V286.4z"],
    "plug-circle-check": [576, 512, [], "e55c", "M96 0C109.3 0 120 10.75 120 24V112H72V24C72 10.75 82.75 0 96 0zM288 0C301.3 0 312 10.75 312 24V112H264V24C264 10.75 274.7 0 288 0zM360 144C373.3 144 384 154.7 384 168C384 181.3 373.3 192 360 192H352V211.2C333.1 220.4 317.8 232.6 304 247.2V192H80V256C80 317.9 130.1 368 192 368C216.3 368 238.9 360.2 257.2 347.1C256.4 353.9 256 360.9 256 368C256 379.4 257.1 390.5 259.1 401.3C245.7 407.5 231.2 411.9 216 414.2V512H168V414.2C91.02 402.6 32 336.2 32 255.1V191.1H24C10.75 191.1 0 181.3 0 167.1C0 154.7 10.75 143.1 24 143.1L360 144zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM476.7 324.7L416 385.4L387.3 356.7C381.1 350.4 370.9 350.4 364.7 356.7C358.4 362.9 358.4 373.1 364.7 379.3L404.7 419.3C410.9 425.6 421.1 425.6 427.3 419.3L499.3 347.3C505.6 341.1 505.6 330.9 499.3 324.7C493.1 318.4 482.9 318.4 476.7 324.7H476.7z"],
    "plug-circle-exclamation": [576, 512, [], "e55d", "M96 0C109.3 0 120 10.75 120 24V112H72V24C72 10.75 82.75 0 96 0zM288 0C301.3 0 312 10.75 312 24V112H264V24C264 10.75 274.7 0 288 0zM360 144C373.3 144 384 154.7 384 168C384 181.3 373.3 192 360 192H352V211.2C333.1 220.4 317.8 232.6 304 247.2V192H80V256C80 317.9 130.1 368 192 368C216.3 368 238.9 360.2 257.2 347.1C256.4 353.9 256 360.9 256 368C256 379.4 257.1 390.5 259.1 401.3C245.7 407.5 231.2 411.9 216 414.2V512H168V414.2C91.02 402.6 32 336.2 32 255.1V191.1H24C10.75 191.1 0 181.3 0 167.1C0 154.7 10.75 143.1 24 143.1L360 144zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 464C445.3 464 456 453.3 456 440C456 426.7 445.3 416 432 416C418.7 416 408 426.7 408 440C408 453.3 418.7 464 432 464zM415.1 288V368C415.1 376.8 423.2 384 431.1 384C440.8 384 447.1 376.8 447.1 368V288C447.1 279.2 440.8 272 431.1 272C423.2 272 415.1 279.2 415.1 288z"],
    "plug-circle-minus": [576, 512, [], "e55e", "M96 0C109.3 0 120 10.75 120 24V112H72V24C72 10.75 82.75 0 96 0zM288 0C301.3 0 312 10.75 312 24V112H264V24C264 10.75 274.7 0 288 0zM360 144C373.3 144 384 154.7 384 168C384 181.3 373.3 192 360 192H352V211.2C333.1 220.4 317.8 232.6 304 247.2V192H80V256C80 317.9 130.1 368 192 368C216.3 368 238.9 360.2 257.2 347.1C256.4 353.9 256 360.9 256 368C256 379.4 257.1 390.5 259.1 401.3C245.7 407.5 231.2 411.9 216 414.2V512H168V414.2C91.02 402.6 32 336.2 32 255.1V191.1H24C10.75 191.1 0 181.3 0 167.1C0 154.7 10.75 143.1 24 143.1L360 144zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM496 351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H496C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1z"],
    "plug-circle-plus": [576, 512, [], "e55f", "M96 0C109.3 0 120 10.75 120 24V112H72V24C72 10.75 82.75 0 96 0zM288 0C301.3 0 312 10.75 312 24V112H264V24C264 10.75 274.7 0 288 0zM360 144C373.3 144 384 154.7 384 168C384 181.3 373.3 192 360 192H352V211.2C333.1 220.4 317.8 232.6 304 247.2V192H80V256C80 317.9 130.1 368 192 368C216.3 368 238.9 360.2 257.2 347.1C256.4 353.9 256 360.9 256 368C256 379.4 257.1 390.5 259.1 401.3C245.7 407.5 231.2 411.9 216 414.2V512H168V414.2C91.02 402.6 32 336.2 32 255.1V191.1H24C10.75 191.1 0 181.3 0 167.1C0 154.7 10.75 143.1 24 143.1L360 144zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM448 303.1C448 295.2 440.8 287.1 432 287.1C423.2 287.1 416 295.2 416 303.1V351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H416V431.1C416 440.8 423.2 447.1 432 447.1C440.8 447.1 448 440.8 448 431.1V383.1H496C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1H448V303.1z"],
    "plug-circle-xmark": [576, 512, [], "e560", "M96 0C109.3 0 120 10.75 120 24V112H72V24C72 10.75 82.75 0 96 0zM288 0C301.3 0 312 10.75 312 24V112H264V24C264 10.75 274.7 0 288 0zM360 144C373.3 144 384 154.7 384 168C384 181.3 373.3 192 360 192H352V211.2C333.1 220.4 317.8 232.6 304 247.2V192H80V256C80 317.9 130.1 368 192 368C216.3 368 238.9 360.2 257.2 347.1C256.4 353.9 256 360.9 256 368C256 379.4 257.1 390.5 259.1 401.3C245.7 407.5 231.2 411.9 216 414.2V512H168V414.2C91.02 402.6 32 336.2 32 255.1V191.1H24C10.75 191.1 0 181.3 0 167.1C0 154.7 10.75 143.1 24 143.1L360 144zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM491.3 331.3C497.6 325.1 497.6 314.9 491.3 308.7C485.1 302.4 474.9 302.4 468.7 308.7L432 345.4L395.3 308.7C389.1 302.4 378.9 302.4 372.7 308.7C366.4 314.9 366.4 325.1 372.7 331.3L409.4 368L372.7 404.7C366.4 410.9 366.4 421.1 372.7 427.3C378.9 433.6 389.1 433.6 395.3 427.3L432 390.6L468.7 427.3C474.9 433.6 485.1 433.6 491.3 427.3C497.6 421.1 497.6 410.9 491.3 404.7L454.6 368L491.3 331.3z"],
    "plus": [448, 512, [10133, 61543, "add"], "2b", "M432 256C432 269.3 421.3 280 408 280h-160v160c0 13.25-10.75 24.01-24 24.01S200 453.3 200 440v-160h-160c-13.25 0-24-10.74-24-23.99C16 242.8 26.75 232 40 232h160v-160c0-13.25 10.75-23.99 24-23.99S248 58.75 248 72v160h160C421.3 232 432 242.8 432 256z"],
    "plus-large": [512, 512, [], "e59e", "M488 231.1C501.3 231.1 512 242.7 512 255.1C512 269.3 501.3 279.1 488 279.1H280V488C280 501.3 269.3 512 255.1 512C242.7 512 231.1 501.3 231.1 488V279.1H23.1C10.74 279.1-.0006 269.3-.0006 255.1C-.0006 242.7 10.74 231.1 23.1 231.1H231.1V24C231.1 10.75 242.7 0 255.1 0C269.3 0 280 10.75 280 24V231.1H488z"],
    "plus-minus": [384, 512, [], "e43c", "M40 200h128v128c0 13.25 10.75 24.01 24 24.01S216 341.3 216 328v-128h128c13.25 0 24-10.74 24-23.99S357.3 152 344 152h-128v-128c0-13.25-10.75-23.99-24-23.99S168 10.75 168 24v128h-128c-13.25 0-24 10.76-24 24.01S26.75 200 40 200zM352 464H32c-13.25 0-24 10.75-24 24S18.75 512 32 512h320c13.25 0 24-10.76 24-24.01S365.3 464 352 464z"],
    "podcast": [448, 512, [], "f2ce", "M224 304c-34.19 0-66.56 8.969-66.56 45.5c0 34.45 13.39 108.5 21.45 138.2C184.2 507.4 204.4 512 224 512s39.78-4.551 45.11-24.31c8.061-29.9 21.45-103.9 21.45-138.2C290.6 312.1 258.2 304 224 304zM225.5 463.1C225.1 463.1 224.5 464 224 464c-.5449 0-1.062-.0059-1.551-.0156c-6.928-30.01-15.84-82.73-16.87-110.3C209.1 352.8 214.9 352 224 352c9.109 0 14.97 .8457 18.48 1.656C241.6 380.4 232.6 433.3 225.5 463.1zM224 288c35.38 0 64-28.62 64-64s-28.62-64-64-64S160 188.6 160 224S188.6 288 224 288zM224 208c8.822 0 16 7.178 16 16S232.8 240 224 240S208 232.8 208 224S215.2 208 224 208zM224 0C100.5 0 0 100.5 0 224c0 71.13 32.66 136.4 89.59 179.2C93.91 406.4 98.97 408 103.1 408c7.312 0 14.5-3.312 19.22-9.594c7.969-10.59 5.812-25.64-4.781-33.59C73.66 331.2 48 279.9 48 224c0-97.05 78.97-176 176-176s176 78.95 176 176c0 55.88-25.66 107.2-70.38 140.8c-10.59 7.969-12.75 23-4.781 33.61c7.969 10.55 23 12.8 33.59 4.766C415.3 360.4 448 295.1 448 224C448 100.5 347.5 0 224 0zM345.8 300.8C360.3 277.8 368 251.3 368 224c0-79.41-64.59-144-144-144S80 144.6 80 224c0 27.27 7.656 53.83 22.19 76.81C109.3 312 124.1 315.4 135.3 308.3s14.56-21.91 7.469-33.11C133.1 259.9 128 242.2 128 224c0-52.94 43.06-96 96-96s96 43.06 96 96c0 18.19-5.094 35.89-14.75 51.19c-7.094 11.2-3.75 26.03 7.469 33.11C316.7 310.8 321.1 312 325.5 312C333.5 312 341.3 308 345.8 300.8z"],
    "podium": [448, 512, [], "f680", "M323.2 464H124.8L90.54 224H42.03l38.2 267.4C81.94 503.2 92.06 512 104 512h240c11.94 0 22.06-8.781 23.77-20.59L405.1 224h-48.5L323.2 464zM424 143.1L128 144V136c0-34.83 24.88-63.95 57.8-70.56C193.1 74.15 203.7 80 216 80h80c22.09 0 40-17.91 40-40C336 17.91 318.1 0 296 0h-80C202.4 0 190.9 7.246 183.7 17.65C125.3 25.69 80 75.42 80 136V144L23.1 143.1C10.75 143.1 0 154.7 0 167.1s10.75 24 23.1 24h400c13.25 0 24-10.75 24-24S437.3 143.1 424 143.1z"],
    "podium-star": [448, 512, [], "f758", "M323.2 464H124.8L90.54 224H42.03l38.2 267.4C81.94 503.2 92.06 512 104 512h240c11.94 0 22.06-8.781 23.77-20.59L405.1 224h-48.5L323.2 464zM298.9 309.6l-45.64-6.688l-20.36-41.4c-3.752-7.352-14.31-7.508-17.91 0L194.7 302.9L149 309.6c-8.131 1.098-11.59 11.31-5.491 17.1l32.94 32.1l-7.772 45.55c-1.25 8.133 7.322 14.4 14.51 10.49l40.77-21.53l40.77 21.53c7.193 3.75 15.77-2.359 14.51-10.49l-7.773-45.55l32.1-32.1C310.4 320.9 307.1 310.7 298.9 309.6zM424 143.1L128 144V136c0-34.83 24.88-63.95 57.8-70.56C193.1 74.15 203.7 80 216 80h80c22.09 0 40-17.91 40-40C336 17.91 318.1 0 296 0h-80C202.4 0 190.9 7.246 183.7 17.65C125.3 25.69 80 75.42 80 136V144L23.1 143.1C10.75 143.1 0 154.7 0 167.1s10.75 24 23.1 24h400c13.25 0 24-10.75 24-24S437.3 143.1 424 143.1z"],
    "police-box": [384, 512, [], "e021", "M104 144C104 139.6 107.6 136 112 136H136V168H104V144zM104 184H136V216H112C107.6 216 104 212.4 104 208V184zM184 144V168H152V136H176C180.4 136 184 139.6 184 144zM152 184H184V208C184 212.4 180.4 216 176 216H152V184zM232 136V168H200V144C200 139.6 203.6 136 208 136H232zM232 216H208C203.6 216 200 212.4 200 208V184H232V216zM248 136H272C276.4 136 280 139.6 280 144V168H248V136zM280 208C280 212.4 276.4 216 272 216H248V184H280V208zM104 248C104 239.2 111.2 232 120 232H168C176.8 232 184 239.2 184 248V296C184 304.8 176.8 312 168 312H120C111.2 312 104 304.8 104 296V248zM192 0C200.8 0 208 7.164 208 16V32H288C305.7 32 320 46.33 320 64C337.7 64 352 78.33 352 96V464H360C373.3 464 384 474.7 384 488C384 501.3 373.3 512 360 512H24C10.75 512 0 501.3 0 488C0 474.7 10.75 464 24 464H32V96C32 78.33 46.33 64 64 64C64 46.33 78.33 32 96 32H176V16C176 7.164 183.2 0 192 0zM80 464H304V112H80V464z"],
    "poll-people": [640, 512, [], "f759", "M128 48C128 74.51 106.5 96 80 96C53.49 96 32 74.51 32 48C32 21.49 53.49 0 80 0C106.5 0 128 21.49 128 48zM592 32C618.5 32 640 53.49 640 80V144C640 170.5 618.5 192 592 192H272C245.5 192 224 170.5 224 144V80C224 53.49 245.5 32 272 32H592zM592 80H480V144H592V80zM592 320C618.5 320 640 341.5 640 368V432C640 458.5 618.5 480 592 480H272C245.5 480 224 458.5 224 432V368C224 341.5 245.5 320 272 320H592zM592 368H352V432H592V368zM96 128C131.3 128 160 156.7 160 192C160 209.7 145.7 224 128 224H32C14.33 224 0 209.7 0 192C0 156.7 28.65 128 64 128H96zM128 336C128 362.5 106.5 384 80 384C53.49 384 32 362.5 32 336C32 309.5 53.49 288 80 288C106.5 288 128 309.5 128 336zM96 416C131.3 416 160 444.7 160 480C160 497.7 145.7 512 128 512H32C14.33 512 0 497.7 0 480C0 444.7 28.65 416 64 416H96z"],
    "pompebled": [512, 512, [], "e43d", "M254.4 22.79C299.5 54.05 309.7 114.1 292.4 169.1C337.5 134.4 395.9 122.8 440.7 154.1C505.3 200.8 512.4 295.1 466.5 363.1L466.4 363.1C386.7 480.8 219.2 542 98.49 455.5C-21.79 369.5-25.87 189.1 53.87 72.19C99.91 3.549 189.2-23.23 254.4 22.79L254.4 22.79zM226.7 62.05C188.7 35.13 128.5 47.08 93.71 98.96L93.65 99.06C23.79 202.2 33.48 350.1 126.4 416.4L126.5 416.4C218.2 482.2 356.8 439.5 426.7 336.2C461.6 284.5 451.4 221.4 412.9 194.1L412.8 193.1C387.1 175.6 339.3 182.3 301.3 227.9C288.4 245.4 263.9 249.7 245.9 236.7C228.3 223.9 224 199.9 235.5 181.9C264.1 129.3 253.3 80.37 226.1 62.22L226.7 62.05z"],
    "poo": [512, 512, [128169], "f2fe", "M343.8 352H168.2c-5.75 0-9.75 5.75-7.75 11C171 390.9 218.9 416 256 416s85-25.12 95.5-53C353.5 357.8 349.5 352 343.8 352zM192 320c17.75 0 32-14.25 32-32S209.8 256 192 256S160 270.2 160 288S174.2 320 192 320zM320 256c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S337.8 256 320 256zM481.8 331.1c2.875-9.5 4.25-19.5 4.25-29.62c0-38.88-20.1-73-52.25-91.62c.125-2 .2497-3.875 .2497-5.875c0-37.88-21.25-71-52.37-87.88C376.5 51.25 322.1 0 256 0c-7.625 0-14.25 .875-19.75 1.75C219.8 4.375 205.8 15.38 199.4 30.75C193 46.12 195 63.75 204.8 77.25C206.9 80.25 208 83.5 208 87C208 96.38 200.4 104 191 104H177.1c-55.12 0-100 44.88-100 100c0 2 .1253 4 .2502 5.875C47 228.5 25.1 262.6 25.1 301.5c0 10.25 1.375 20.25 4.25 29.62C11.38 350.4 0 376.8 0 405.5C0 464.2 47.75 512 106.5 512h299C464.3 512 512 464.2 512 405.5C512 376.8 500.6 350.4 481.8 331.1zM405.5 464h-299C74.25 464 48 437.8 48 405.5c0-29.12 21.38-53.13 49.25-57.63c-14-10.63-23.25-27.38-23.25-46.38c0-32.25 26.25-58.5 58.5-58.5h11.38C133 233.5 125.1 219.6 125.1 204c0-28.75 23.25-52 52-52H191C226.9 152 256 122.9 256 87c0-14.12-4.625-27.12-12.25-37.75c4-.625 8-1.25 12.25-1.25c43.13 0 77.1 34.88 77.1 78c0 9.25-1.875 17.75-4.75 25.1h4.75c28.75 0 52 23.25 52 52c0 15.62-6.1 29.5-17.87 39h11.38c32.25 0 58.5 26.25 58.5 58.5c0 19-9.25 35.75-23.25 46.38C442.6 352.4 464 376.2 464 405.5C464 437.8 437.8 464 405.5 464z"],
    "poo-storm": [448, 512, ["poo-bolt"], "f75a", "M400 192.4V192c0-38.25-22.5-71.25-54.88-86.75C337.8 46 287.3 0 225.1 0C218.3 0 211.3 1.125 207.3 1.75c-16.5 2.5-30.5 13.5-36.88 28.88s-4.375 33 5.375 46.5C177.3 79.25 177.1 81.63 177.1 84c0 6.625-5.375 12-12 12H144c-52.88 0-96 43.13-96 96v.375C19.25 210.9 0 243.3 0 280c0 52.86 39.58 96.04 90.64 102.7c-5.221-16.54-1.109-34.38 10.48-46.95C71.61 334.2 48 309.9 48 280C48 249.1 73.13 224 104 224h4.5C100.8 215.5 96 204.3 96 192c0-26.5 21.5-48 48-48h21.1c33.13 0 60-26.88 60-60c0-13-4.25-25-11.25-34.88C218.4 48.5 222.3 48 225.1 48c39.75 0 72 32.25 72 72c0 8.5-1.75 16.5-4.375 24H304C330.5 144 352 165.5 352 192c0 12.25-4.75 23.5-12.5 32H344c30.88 0 56 25.12 56 56c0 29.84-23.51 54.07-52.95 55.69c3.975 4.32 7.453 9.141 9.701 14.87c4.045 10.55 3.77 21.81 .4473 32.11C408.3 376.1 448 332.9 448 280C448 243.3 428.8 210.9 400 192.4zM312 352h-64.09l43.69-105.9c2.875-6.906 .5313-14.88-5.594-19.19c-6.125-4.25-14.34-3.781-19.94 1.25l-140.8 128c-4.906 4.438-6.562 11.44-4.188 17.62C123.5 379.9 129.4 384 136 384h64.09l-43.69 105.9c-2.875 6.906-.5313 14.88 5.593 19.19C164.8 511 167.1 512 171.2 512c3.875 0 7.719-1.406 10.75-4.156l140.8-128c4.906-4.438 6.562-11.44 4.188-17.62C324.5 356.1 318.6 352 312 352z"],
    "pool-8-ball": [512, 512, [], "e3c5", "M256 192C242.8 192 232 202.8 232 216S242.8 240 256 240s24-10.78 24-24S269.2 192 256 192zM256 160c8.828 0 16-7.188 16-16S264.8 128 256 128S240 135.2 240 144S247.2 160 256 160zM256 64C185.3 64 128 121.3 128 192c0 70.69 57.31 128 128 128s128-57.31 128-128C384 121.3 326.7 64 256 64zM256 272c-30.88 0-56-25.12-56-56c0-16.66 7.459-31.48 19.04-41.74C212.3 165.1 208 155.5 208 144C208 117.5 229.5 96 256 96s48 21.53 48 48c0 11.53-4.25 21.97-11.04 30.26C304.5 184.5 312 199.3 312 216C312 246.9 286.9 272 256 272zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464z"],
    "poop": [512, 512, [], "f619", "M481.8 331.1c2.875-9.5 4.25-19.37 4.25-29.62c0-38.88-20.1-73-52.12-91.62C433.1 208 433.1 206 433.1 204c0-37.88-21.25-71-52.37-87.88C376.5 51.25 322.1 0 256 0C248.4 0 241.8 1 236.3 1.875C219.8 4.5 205.9 15.38 199.4 30.75C193 46.12 195 63.75 204.8 77.25C206.9 80.25 208 83.5 208 87C208 96.38 200.4 104 191 104H177.1c-55.12 0-100 44.88-100 100c0 2 0 4 .1253 5.875C47 228.5 25.1 262.6 25.1 301.5c0 10.25 1.5 20.12 4.25 29.62C11.38 350.4 0 376.6 0 405.5C0 464.2 47.75 512 106.5 512h299C464.3 512 512 464.2 512 405.5C512 376.6 500.6 350.4 481.8 331.1zM405.5 464h-299C74.25 464 48 437.8 48 405.5c0-29.12 21.38-53.13 49.25-57.63c-14-10.63-23.25-27.38-23.25-46.38c0-32.25 26.25-58.5 58.5-58.5H144C133 233.5 125.1 219.6 125.1 204c0-28.75 23.25-52 52-52H191C226.9 152 256 122.9 256 87c0-14.12-4.625-27.12-12.25-37.75C247.8 48.62 251.8 48 256 48c43.13 0 77.1 34.88 77.1 78c0 9.125-1.875 17.87-4.75 25.1h4.75c28.75 0 52 23.25 52 52c0 15.62-6.1 29.5-17.1 39h11.5c32.25 0 58.5 26.25 58.5 58.5c0 19-9.25 35.75-23.25 46.38C442.6 352.4 464 376.4 464 405.5C464 437.8 437.8 464 405.5 464z"],
    "popcorn": [448, 512, [127871], "f819", "M427.5 192H20.49c-10.41 0-18.05 9.779-15.52 19.88l68.94 275.9C77.47 502 90.17 512 104.9 512l238.3-.0098c14.66-.002 27.35-9.977 30.91-24.2l68.95-275.9C445.6 201.8 437.9 192 427.5 192zM117.4 464L61.47 240h37.26l41.1 223.1L117.4 464zM208 463.1H173.3L131.3 240H208V463.1zM240 463.1V240h76.72l-41.1 223.1L240 463.1zM330.6 463.1h-23.29l41.1-223.1h37.26L330.6 463.1zM411.6 138.9c-7-11.88-19.38-19.63-33.13-20.75c6.5-11.75 6.375-25.88-.25-37.5c-9.125-16-28-23.63-45.63-20.13c-.25-16.62-11.5-32-29-37.5c-13.25-4.25-27.88-1.875-39.13 6.5c0-.75-.25-1.375-.625-2c-7.125-21.12-31.12-32.25-53.38-25.5c-13 4-23.25 14.25-27.38 27.25C171.1 21.09 157.5 18.84 144.4 23.09c-17.5 5.375-28.62 20.75-29 37.38c-17.62-3.5-36.5 4.126-45.63 20.13C62.1 92.1 62.87 106.5 69.5 118.1C55.1 119.4 43.12 126.7 36.37 138.9C32.5 145.6 31.62 152.9 32.12 159.1h383.8C416.4 152.9 415.5 145.6 411.6 138.9z"],
    "popsicle": [320, 512, [], "e43e", "M273.1 46.86C303.1 76.87 320 117.6 320 160V352C320 360.5 316.6 368.6 310.6 374.6C304.6 380.6 296.5 384 288 384H184V488C184 494.4 181.5 500.5 176.1 504.1C172.5 509.5 166.4 512 160 512C153.6 512 147.5 509.5 143 504.1C138.5 500.5 136 494.4 136 488V384H32C23.51 384 15.37 380.6 9.372 374.6C3.371 368.6 0 360.5 0 352V160C0 117.6 16.86 76.87 46.86 46.86C76.87 16.86 117.6 0 160 0C202.4 0 243.1 16.86 273.1 46.86zM272 160C272 130.3 260.2 101.8 239.2 80.8C218.2 59.8 189.7 48 160 48C130.3 48 101.8 59.8 80.8 80.8C59.8 101.8 48 130.3 48 160V336H136V184C136 177.6 138.5 171.5 143 167C147.5 162.5 153.6 160 160 160C166.4 160 172.5 162.5 176.1 167C181.5 171.5 184 177.6 184 184V336H272V160z"],
    "pot-food": [640, 512, [127858], "e43f", "M219.9 116.8C232.3 124.1 240 137.5 240 152.1V168C240 181.3 250.7 192 264 192S288 181.3 288 168V151.8c0-31.34-16.81-60.64-43.91-76.45C231.7 68.14 224 54.73 224 40.39V24C224 10.74 213.3 0 200 0S176 10.74 176 24v16.39C176 71.73 192.8 101 219.9 116.8zM107.9 116.8C120.3 124.1 128 137.5 128 152.1V168C128 181.3 138.7 192 152 192S176 181.3 176 168V151.8c0-31.34-16.81-60.64-43.91-76.45C119.7 68.14 112 54.73 112 40.39V24C112 10.74 101.3 0 88 0S64 10.74 64 24v16.39C64 71.73 80.81 101 107.9 116.8zM600 256H576V240c0-70.58-57.41-128-128-128c-65.11 0-118.4 49.03-126.4 111.1H96C78.44 223.1 64.15 238.3 64.04 256H40C26.75 256 16 266.7 16 280c0 13.25 10.75 24 24 24h28.92c13.99 75.13 59.7 138.9 123.1 176c0 17.67 14.33 32 32 32h191.1c17.67 0 32-14.33 32-32c63.38-37.13 109.1-100.9 123.1-176H600c13.25 0 24-10.75 24-24C624 266.7 613.3 256 600 256zM448 160c38.64 0 70.95 27.53 78.38 63.1h-156.8C377 187.5 409.4 160 448 160zM423.7 438.6l-23.74 13.91V464H240v-11.51l-23.74-13.91c-59.76-35-98.48-97.83-103.7-166.6h414.8C522.2 340.8 483.5 403.6 423.7 438.6z"],
    "potato": [576, 512, [129364], "e440", "M224 232C210.8 232 200 242.8 200 256c0 13.24 10.76 24 24 24S248 269.2 248 256C248 242.8 237.2 232 224 232zM192 360c-13.24 0-24 10.76-24 24c0 13.24 10.76 24 24 24S216 397.2 216 384C216 370.8 205.2 360 192 360zM543.1 157.7c0-89.17-83.35-157.7-157.8-157.7c-78.49 0-120.8 76.76-146.8 86.01C187.6 102.2 156.4 145.4 130.1 180.4c-35.95 49.6-98.92 97.66-98.92 178.2c0 78.82 66.93 153.4 153.9 153.4c29.94 0 59.06-9.125 84.19-26.41c32.6-22.41 116.1-28.03 156.7-91.3c12.88-20.2 21.31-39.25 29.69-58.14C492.4 254.8 543.1 240.3 543.1 157.7zM496.3 157.6c0 62.83-44.1 69.43-83.86 159.6c-7.469 16.78-15.16 34.16-26.03 51.23c-18.47 28.73-52.91 40.72-86.19 52.3c-72.21 25.08-69.59 43.21-114.6 43.21c-58.75 0-105.3-51.16-105.3-105.7c0-44.25 30.63-81.96 57.11-108.1c35.77-36.32 61.98-100.3 117.2-117.7c45.61-16.19 74.02-83.53 131.6-83.53C435.7 48.01 496.3 97.09 496.3 157.6zM384 168c-13.24 0-24 10.76-24 24c0 13.24 10.76 24 24 24S408 205.2 408 192C408 178.8 397.2 168 384 168z"],
    "power-off": [512, 512, [9211], "f011", "M280 264C280 277.3 269.3 288 256 288C242.7 288 232 277.3 232 264V24C232 10.75 242.7 0 256 0C269.3 0 280 10.75 280 24V264zM56 262C56 368 141.1 454 248 454C354 454 440 368 440 262C440 198.6 409.3 142.3 361.8 107.3C351.1 99.46 348.8 84.43 356.7 73.76C364.5 63.09 379.6 60.82 390.2 68.68C449.5 112.3 488 182.7 488 262C488 394.6 380.5 502 248 502C115.5 502 8 394.6 8 262C8 182.7 46.52 112.3 105.8 68.68C116.4 60.82 131.5 63.09 139.3 73.76C147.2 84.43 144.9 99.46 134.2 107.3C86.74 142.3 55.1 198.6 55.1 262H56z"],
    "prescription": [448, 512, [], "f5b1", "M321.9 352l119-119c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0L288 318.1L192.3 222.4C246.3 214.4 288 168.2 288 112C288 50.25 237.8 0 176 0H24C10.75 0 0 10.75 0 24v272.2c0 13.25 10.75 24.01 23.1 24.01S48 309.3 48 296V224h78.06l128 128l-119 119c-9.375 9.375-9.375 24.56 0 33.94C139.7 509.7 145.9 512 152 512s12.28-2.344 16.97-7.031L288 385.9l119 119C411.7 509.7 417.9 512 424 512s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94L321.9 352zM48 48h128c35.3 0 64 28.72 64 64s-28.7 64-64 64h-128V48z"],
    "prescription-bottle": [384, 512, [], "f485", "M352 0H32C14.33 0 0 14.33 0 32v64c0 17.67 14.33 32 32 32v328C32 486.9 57.13 512 88 512h208c30.88 0 56-25.12 56-56V128c17.67 0 32-14.33 32-32V32C384 14.33 369.7 0 352 0zM48 48h288v32h-288V48zM304 456c0 4.406-3.594 8-8 8h-208c-4.406 0-8-3.594-8-8V416h56C149.3 416 160 405.3 160 392S149.3 368 136 368H80V320h56C149.3 320 160 309.3 160 296S149.3 272 136 272H80V224h56C149.3 224 160 213.3 160 200S149.3 176 136 176H80V128h224V456z"],
    "prescription-bottle-medical": [384, 512, ["prescription-bottle-alt"], "f486", "M352 0H32C14.33 0 0 14.33 0 32v64c0 17.67 14.33 32 32 32v328C32 486.9 57.13 512 88 512h208c30.88 0 56-25.12 56-56V128c17.67 0 32-14.33 32-32V32C384 14.33 369.7 0 352 0zM304 456c0 4.406-3.594 8-8 8h-208c-4.406 0-8-3.594-8-8V128h224V456zM336 80h-288v-32h288V80zM112 320H160v48C160 376.8 167.2 384 176 384h32c8.836 0 16-7.164 16-16V320h48c8.836 0 16-7.164 16-16v-32C288 263.2 280.8 256 272 256H224V208C224 199.2 216.8 192 208 192h-32C167.2 192 160 199.2 160 208V256H112C103.2 256 96 263.2 96 272v32C96 312.8 103.2 320 112 320z"],
    "presentation-screen": [576, 512, ["presentation"], "f685", "M496 304h-416v-224H32v240c0 17.6 14.4 32 32 32L264 352v47.02l-72 72c-9.354 9.352-9.354 24.52 0 33.88c9.348 9.348 24.51 9.359 33.87 .0195L288 442.9l62.09 62.09c9.391 9.391 24.63 9.348 33.97-.0938c9.301-9.406 9.258-24.55-.0938-33.91L312 399V352L512 352c17.6 0 32-14.4 32-32V80h-48V304zM552 0H23.96C10.72 0 0 10.73 0 23.95S10.72 48 23.96 48h528.1C565.3 48 576 37.27 576 24.05S565.3 0 552 0z"],
    "pretzel": [576, 512, [129384], "e441", "M560 202C560 108.3 482.8 32 388 32C351.9 32 316.9 43.43 288 63.83C259.1 43.43 224.1 32 188 32C93.16 32 16 108.3 16 202c0 22.77 3.148 45.6 9.357 67.87C37.67 313.9 62.26 353.5 96.27 384.8l-9.295 12.74c-23.38 32.2-16.25 77.3 15.83 100.6c12.35 8.998 26.99 13.77 42.32 13.77c22.88 0 44.62-11 58.14-29.43l23.28-31.94C244.5 454.2 262.8 456 281.4 456h13.19c18.56 0 36.91-1.809 54.87-5.396l23.18 31.81C386.3 500.1 407.1 512 430.9 512c15.36 0 30.04-4.797 42.44-13.87c31.96-23.25 39.09-68.36 15.78-100.5l-9.359-12.83c34.01-31.33 58.6-70.88 70.9-114.9C556.9 247.6 560 224.8 560 202zM504.4 256.1c-13.94 49.89-47.22 91.33-91.19 118.1l37.03 50.77c7.781 10.72 5.438 25.73-5.281 33.53C440.7 462.5 435.8 464 430.9 464c-7.406 0-14.72-3.422-19.44-9.859C278.8 272.2 291.5 289.7 288 284.2c-3.74 5.844-2.078 3.369-50.94 70.39C251.3 358.1 266.2 360 281.4 360h2.184l33.68 46.14C309.7 406.9 302.3 408 294.6 408H281.4c-25.94 0-51-4.281-74.31-12.22l-42.53 58.36c-4.719 6.43-12.04 9.834-19.45 9.834c-4.902 0-9.842-1.492-14.09-4.584c-10.72-7.797-13.06-22.81-5.281-33.53c211.7-290.2 41.12-56.41 117.9-161.8C256.1 245.8 264 224.4 264 202C264 161.2 229.9 128 188 128S112 161.2 112 202c0 14.06 1.969 28.22 5.844 42.08C124.6 268.2 137.9 289.3 154.1 307.1l-29.02 38.91c-25.34-24.38-44.73-54.47-54.38-89.03C66.56 238.9 64 220.4 64 202C64 134.7 119.6 80 188 80c75.01 0 89.69 52 116 52c6.156 0 12.28-2.344 16.97-7.031c7.564-7.564 8.715-18.78 4.072-27.81C343.5 86.37 364.1 80 388 80C456.4 80 512 134.7 512 202C512 220.4 509.4 238.9 504.4 256.1zM160 202C160 187.7 172.6 176 188 176S216 187.7 216 202c0 12.12-3.838 23.79-11.1 33.76L182.4 266.7C173.9 256 167.7 244 164.1 231.2C161.4 221.5 160 211.7 160 202zM388 128c-41.91 0-76 33.2-76 74c0 22.36 7.031 43.81 20.31 62.05l52.56 72.13c35.5-20.48 62.34-52.91 73.28-92.09C462 230.2 464 216.1 464 202C464 161.2 429.9 128 388 128zM411.9 231.2c-3.598 12.89-9.83 24.9-18.3 35.54L371.1 235.8C363.8 225.8 360 214.1 360 202c0-14.34 12.56-26 28-26S416 187.7 416 202C416 211.7 414.6 221.5 411.9 231.2z"],
    "print": [512, 512, [128424, 128438, 9113], "f02f", "M111.1 48h254.1L400 81.94V160H448V81.94c0-12.73-5.057-24.94-14.06-33.94l-33.94-33.94C391 5.057 378.8 0 366.1 0H111.1C85.49 0 64.01 21.48 64 47.98l.002 82.28c-.002 0 .002 0 0 0L64 160h48.01L111.1 48zM440 192H72C32.3 192 0 224.3 0 264v112c0 13.25 10.75 24 24 24H80V480c0 17.67 14.33 32 32 32h288c17.67 0 32-14.33 32-32v-80h56c13.25 0 24-10.75 24-24v-112C512 224.3 479.7 192 440 192zM384 464H128v-96h256V464zM464 352h-32c0-17.67-14.33-32-32-32h-288c-17.67 0-32 14.33-32 32h-32V264c0-13.23 10.77-24 24-24h368c13.23 0 24 10.77 24 24V352z"],
    "print-magnifying-glass": [640, 512, ["print-search"], "f81a", "M632.1 471l-79.12-79.12C567.8 371.4 576 346.7 576 320c0-70.69-57.31-128-128-128s-128 57.31-128 128s57.31 128 128 128c26.67 0 51.39-8.191 71.9-22.15l79.12 79.12C603.7 509.7 609.8 512 616 512s12.28-2.344 16.97-7.031C642.3 495.6 642.3 480.4 632.1 471zM448 400c-44.11 0-80-35.89-80-80s35.89-80 80-80s80 35.89 80 80S492.1 400 448 400zM111.1 48h254.1L400 81.94V160h48.01L448 81.94c0-12.73-5.057-24.94-14.06-33.94l-33.94-33.94C391 5.057 378.8 0 366.1 0H111.1C85.49 0 64.01 21.48 64 47.98l.002 82.28c-.002 0 .002 0 0 0L64 160h48L111.1 48zM128 464v-96h168.1c-4.822-15.24-8.132-31.16-8.132-48H112c-17.67 0-32 14.33-32 32h-32V264c0-13.23 10.77-24 24-24h238.2c10.93-18.78 25.39-35.08 42.73-48H72C32.3 192 0 224.3 0 264v112c0 13.25 10.75 24 24 24H80V480c0 17.67 14.33 32 32 32h288c17.67 0 32-14.33 32-32v-1.613c-18.68-1.881-36.37-6.641-52.59-14.39H128z"],
    "print-slash": [640, 512, [], "f686", "M630.8 469.1L542.6 400H552c13.25 0 24-10.75 24-24v-112C576 224.3 543.7 192 504 192H277.3L176 112.6L175.1 48h254.1L464 81.94V160H512V81.94c0-12.73-5.057-24.94-14.06-33.94l-33.94-33.94C455 5.057 442.8 0 430.1 0H175.1C149.5 0 128 21.48 128 47.98V75.01L38.81 5.111C28.34-3.061 13.32-1.249 5.12 9.189c-8.172 10.44-6.354 25.53 4.068 33.7l591.1 463.1C605.6 510.3 610.8 512 615.1 512c7.125 0 14.16-3.161 18.89-9.193C643.1 492.4 641.2 477.3 630.8 469.1zM528 352h-46.6L338.5 240H504c13.23 0 24 10.77 24 24V352zM448 464H192v-96h154.7L285.5 320H176c-17.67 0-32 14.33-32 32h-32V264c0-13.23 10.77-24 24-24h47.43l-59.66-46.76C89.9 199.1 64 228.5 64 264v112c0 13.25 10.75 24 24 24H144V480c0 17.67 14.33 32 32 32h288c16.15 0 28.94-12.15 31.13-27.69L448 447.4V464z"],
    "projector": [640, 512, [], "f8d6", "M576 192h-80v.7246C469.2 172.5 436.2 160 400 160c-35.78 0-68.47 12.16-95.12 32H64C28.65 192 0 220.7 0 256v128c0 35.35 28.65 64 64 64h16v40C80 501.3 90.75 512 104 512S128 501.3 128 488V448h176.9C331.5 467.8 364.2 480 400 480c36.19 0 69.2-12.47 96-32.72V448H512v40c0 13.25 10.75 24 24 24s24-10.75 24-24V448H576c35.35 0 64-28.65 64-64V255.1C640 220.7 611.3 192 576 192zM262.2 400H64c-8.822 0-16-7.178-16-16V256c0-8.822 7.178-16 16-16h198.2C248.4 263.6 240 290.7 240 320S248.4 376.4 262.2 400zM400 432C338.2 432 288 381.8 288 320c0-61.76 50.24-112 112-112S512 258.2 512 320C512 381.8 461.8 432 400 432zM592 384c0 8.822-7.178 16-16 16h-38.19C551.6 376.4 560 349.3 560 320s-8.449-56.38-22.19-80H576c8.822 0 16 7.178 16 16V384zM400 128c13.25 0 24-10.75 24-24v-80C424 10.75 413.3 0 400 0s-24 10.75-24 24v80C376 117.3 386.8 128 400 128zM496 136c6.156 0 12.28-2.344 16.97-7.031l56-56c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0l-56 56c-9.375 9.375-9.375 24.56 0 33.94C483.7 133.7 489.8 136 496 136zM287 128.1C291.7 133.7 297.8 136 304 136s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94l-56-56c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L287 128.1zM104 296C90.75 296 80 306.7 80 320c0 13.25 10.75 24 24 24C117.3 344 128 333.3 128 320C128 306.7 117.3 296 104 296zM184 296C170.7 296 160 306.7 160 320c0 13.25 10.75 24 24 24c13.26 0 24-10.75 24-24C208 306.7 197.3 296 184 296z"],
    "pump": [640, 512, [], "e442", "M544 288h-80C455 288 448 295.2 448 304s7.039 16 16 16H544c8.961 0 16-7.168 16-16S552.1 288 544 288zM544 368h-80c-8.961 0-16 7.168-16 16s7.039 16 16 16H544c8.961 0 16-7.168 16-16S552.1 368 544 368zM544 208h-80C455 208 448 215.2 448 224s7.039 16 16 16H544c8.961 0 16-7.168 16-16S552.1 208 544 208zM576 96h-108.5C454.7 96 442.2 99.74 432 106.8l-65.6 43.74C357.4 156.4 352 166.4 352 177.1V208h-32v-160h8C341.1 48 352 37.25 352 24S341.1 0 328 0h-208C106.9 0 96 10.75 96 24S106.9 48 120 48H128v160H48c0-13.25-10.88-24-24-24S0 194.8 0 208v192c0 13.25 10.88 24 24 24S48 413.2 48 400H352v30.88c0 10.69 5.441 20.67 14.4 26.62L432 501.2C442.2 508.3 454.7 512 467.5 512H576c35.2 0 64-28.64 64-64V160C640 124.6 611.2 96 576 96zM352 352H48V256H128c26.56 0 48-21.5 48-48v-160h96v160C272 234.5 293.4 256 320 256h32V352zM592 448c0 8.832-7.039 16-16 16h-108.5c-3.199 0-6.398-.9277-8.961-2.688L400 422.3v-236.6l58.56-39.01C461.1 144.9 464.3 144 467.5 144H576c8.961 0 16 7.168 16 16V448z"],
    "pump-medical": [384, 512, [], "e06a", "M186.7 293.3v-40C186.7 245.1 180.7 240 173.3 240h-26.67c-7.363 0-13.33 5.969-13.33 13.33v40H93.33c-7.363 0-13.33 5.969-13.33 13.33v26.67c0 7.363 5.971 13.33 13.33 13.33h40v40c0 7.363 5.969 13.33 13.33 13.33h26.67c7.363 0 13.33-5.971 13.33-13.33v-40h40c7.363 0 13.33-5.971 13.33-13.33V306.7c0-7.365-5.971-13.33-13.33-13.33H186.7zM376.1 103l-56-56C316.5 42.53 310.4 40 304 40h-64V32c0-17.67-14.33-32-32-32h-96c-17.67 0-32 14.33-32 32v96.41C48.9 130.6 23.49 154.7 20.63 186.2l-20.36 256C-3.139 479.7 26.37 512 64.01 512h191.1c37.63 0 67.14-32.31 63.74-69.79l-20.36-256C296.5 154.7 271.1 130.6 240 128.4V88h54.06l48.97 48.97C347.7 141.7 353.9 144 360 144s12.28-2.344 16.97-7.031C386.3 127.6 386.3 112.4 376.1 103zM128 48h64V128H128V48zM251.5 190l20.41 256.5C272.7 455.3 265.1 464 255.1 464H64.01c-8.762 0-16.86-7.254-15.89-17.99l20.32-255.5C69.19 182.3 76.04 176 84.37 176h151.3C243.1 176 250.8 182.3 251.5 190z"],
    "pump-soap": [384, 512, [], "e06b", "M152 243.1C135.7 265.8 100 316.3 100 341.3C100 373.7 126.9 400 160 400s60-26.33 60-58.75c0-25-35.7-75.47-52.03-97.27C163.1 238.7 156 238.7 152 243.1zM376.1 103l-56-56C316.5 42.53 310.4 40 304 40h-64V32c0-17.67-14.33-32-32-32h-96c-17.67 0-32 14.33-32 32v96.41C48.9 130.6 23.49 154.7 20.63 186.2l-20.36 256C-3.139 479.7 26.37 512 64.01 512h191.1c37.63 0 67.14-32.31 63.74-69.79l-20.36-256C296.5 154.7 271.1 130.6 240 128.4V88h54.06l48.97 48.97C347.7 141.7 353.9 144 360 144s12.28-2.344 16.97-7.031C386.3 127.6 386.3 112.4 376.1 103zM128 48h64V128H128V48zM251.5 190l20.41 256.5C272.7 455.3 265.1 464 255.1 464H64.01c-8.762 0-16.86-7.254-15.89-17.99l20.32-255.5C69.19 182.3 76.04 176 84.37 176h151.3C243.1 176 250.8 182.3 251.5 190z"],
    "pumpkin": [576, 512, [], "f707", "M413.5 72.01c-21.3 0-42.64 5.665-61.47 16.98l.0046-53.25c0-6-3.376-11.5-8.876-14.25l-39.63-19.75c-2.284-1.177-4.722-1.731-7.127-1.731c-6.282 0-12.34 3.778-14.87 10.11L254.9 76.73c-10.25 3-20 7.375-28.88 13.25C206.8 77.91 184.8 71.88 162.8 71.88C66.99 71.88 0 193.5 0 291.1c0 71 28.88 137.8 81.38 187.8c22.36 21.17 51.77 32.17 81.49 32.17c38.1 0 57.47-16.73 62.74-16.73c1.401 0 2.877 .4171 4.274 1.186c17.12 10.38 36.76 15.61 58.14 15.61s40.99-5.235 58.11-15.61c1.398-.7687 2.873-1.186 4.274-1.186c5.619 0 23.79 16.73 62.74 16.73c29.72 0 59.13-11 81.49-32.17C547.1 429.7 576 362.1 576 291.1C576 193.9 508.1 72.01 413.5 72.01zM380.1 293.6c0 87.46-30.32 174.4-92.07 174.4c-60.1 0-92.07-89.08-92.07-177.6c0-87.46 30.32-174.4 92.07-174.4C348.1 115.1 380.1 205.1 380.1 293.6zM162.7 464.4C96.45 464.4 48 360.2 48 291.1c0-67.28 48.3-172.3 114.7-172.3c10.71 0 21.89 2.729 33.41 8.786c-26.61 40.42-39.92 101.9-39.92 163.4c0 61.59 13.34 123.2 40.05 163.6C184.7 461.6 173.4 464.4 162.7 464.4zM413.2 464.4c-10.73 0-21.92-2.757-33.45-8.876c26.41-39.91 40.08-100.9 40.08-163c0-45.46-7.323-91.49-22.33-130.2c-.875-1.625-5-14.5-17.62-33.63c11.6-6.097 22.85-8.844 33.61-8.844C479.9 119.8 528 224.5 528 291.1C528 359.4 479.4 464.4 413.2 464.4z"],
    "puzzle": [512, 512, [], "e443", "M448 0h-112c-17.67 0-32 14.33-32 32v48h32c17.67 0 32 14.33 32 32s-14.33 32-32 32h-32v64h64V224c0 17.67 14.33 32 32 32s32-14.33 32-32V208H480c17.67 0 32-14.33 32-32V64C512 28.65 483.3 0 448 0zM416 288h-48v32c0 17.67-14.33 32-32 32s-32-14.33-32-32V288H224v64H192c-17.67 0-32 14.33-32 32s14.33 32 32 32h32v48H72c-13.25 0-24-10.75-24-24V288H96V256c0-17.67 14.33-32 32-32s32 14.33 32 32v32h64V208h16c17.67 0 32-14.33 32-32s-14.33-32-32-32H224V96c0-17.67-14.33-32-32-32H64C28.65 64 0 92.65 0 128v312C0 479.8 32.24 512 72 512H384c35.35 0 64-28.65 64-64v-128C448 302.3 433.7 288 416 288z"],
    "puzzle-piece": [512, 512, [129513], "f12e", "M425 182c-3.027 0-6.031 .1758-9 .5195V170C416 126.4 372.8 96 333.1 96h-4.519c.3457-2.969 .5193-5.973 .5193-9c0-48.79-43.92-87-100-87c-56.07 0-100 38.21-100 87c0 3.027 .1761 6.031 .5218 9h-56.52C33.2 96 0 129.2 0 170v66.21C0 253.8 6.77 269.9 17.85 282C6.77 294.1 0 310.2 0 327.8V438C0 478.8 33.2 512 73.1 512h110.2c17.63 0 33.72-6.77 45.79-17.85C242.1 505.2 258.2 512 275.8 512h58.21C372.8 512 416 481.6 416 438v-56.52c2.969 .3438 5.973 .5195 9 .5195C473.8 382 512 338.1 512 282S473.8 182 425 182zM425 334c-26.35 0-25.77-26-45.21-26C368.9 308 368 316.9 368 327.8V438c0 14.36-19.64 26-34 26h-58.21C264.9 464 256 455.1 256 444.2c0-19.25 25.1-18.88 25.1-45.21c0-21.54-23.28-39-52-39c-28.72 0-52 17.46-52 39c0 26.35 26 25.77 26 45.21C204 455.1 195.1 464 184.2 464H73.1C59.64 464 48 452.4 48 438v-110.2C48 316.9 56.86 308 67.79 308c19.25 0 18.88 26 45.21 26c21.54 0 39-23.28 39-52s-17.46-52-39-52C86.65 230 87.23 256 67.79 256C56.86 256 48 247.1 48 236.2V170C48 155.6 59.64 144 73.1 144h110.2C195.1 144 204 143.1 204 132.2c0-19.25-26-18.88-26-45.21c0-21.54 23.28-39 52-39c28.72 0 52 17.46 52 39C281.1 113.4 256 112.8 256 132.2C256 143.1 264.9 144 275.8 144h58.21C348.4 144 368 155.6 368 170v66.21C368 247.1 368.9 256 379.8 256c19.25 0 18.88-26 45.21-26c21.54 0 39 23.28 39 52S446.5 334 425 334z"],
    "puzzle-piece-simple": [640, 512, ["puzzle-piece-alt"], "e231", "M551.2 153.6c-7.957 0-15.74 1.189-23.2 3.477V123.2C528 81.73 494.3 48 452.8 48h-84.89c-18.61 0-35.52 7.439-47.9 19.5C307.6 55.44 290.7 48 272.1 48H187.2C145.7 48 112 81.73 112 123.2v33.88C104.5 154.8 96.76 153.6 88.8 153.6C39.01 153.6 .0004 198.6 .0004 256s39.01 102.4 88.8 102.4c7.957 0 15.74-1.189 23.2-3.477v33.88C112 430.3 145.7 464 187.2 464h84.9c18.61 0 35.52-7.441 47.91-19.5C332.4 456.6 349.3 464 367.9 464h84.89C494.3 464 528 430.3 528 388.8v-33.88c7.457 2.287 15.24 3.477 23.2 3.477C600.1 358.4 640 313.4 640 256S600.1 153.6 551.2 153.6zM551.2 310.4c-27.57 0-26.96-27.2-47.29-27.2C492.5 283.2 480 292.5 480 303.9v84.9C480 403.8 467.8 416 452.8 416h-84.89c-11.44 0-20.71-9.27-20.71-20.71c0-20.14 27.2-19.76 27.2-47.29c0-22.53-24.36-40.8-54.4-40.8c-30.04 0-54.4 18.27-54.4 40.8c0 27.57 27.2 26.96 27.2 47.29C292.8 406.7 283.5 416 272.1 416H187.2C172.2 416 160 403.8 160 388.8V303.9c0-11.44-12.47-20.71-23.9-20.71c-20.14 0-19.75 27.2-47.29 27.2C66.27 310.4 48 286 48 256s18.27-54.4 40.8-54.4c27.57 0 26.96 27.2 47.29 27.2C147.5 228.8 160 219.4 160 208V123.2C160 108.2 172.2 96 187.2 96h84.9c11.43 0 20.71 9.268 20.71 20.7c0 20.14-27.2 19.76-27.2 47.3c0 22.53 24.36 40.8 54.4 40.8c30.04 0 54.4-18.27 54.4-40.8c0-27.57-27.2-26.96-27.2-47.3C347.2 105.3 356.5 96 367.9 96h84.89C467.8 96 480 108.2 480 123.2V208c0 11.44 12.47 20.8 23.91 20.8c20.14 0 19.75-27.2 47.29-27.2C573.7 201.6 592 225.1 592 256S573.7 310.4 551.2 310.4z"],
    "q": [448, 512, [113], "51", "M387.9 408.2c37.17-40 60.1-93.39 60.1-152.2c0-123.5-100.5-224-223.1-224S.0001 132.5 .0001 256s100.5 224 223.1 224c47.47 0 91.47-14.95 127.7-40.25l53.93 63.74C410.4 509.1 417.2 512 424 512c16.02 0 23.99-13.7 23.99-24.02c0-5.476-1.864-10.98-5.678-15.48L387.9 408.2zM224 432c-97.05 0-176-78.95-176-176S126.1 80 224 80s176 78.95 176 176c0 44.1-16.42 84.36-43.32 115.3l-90.35-106.8c-4.734-5.609-11.51-8.501-18.34-8.501c-16.13 0-23.1 13.88-23.1 24.02c0 5.476 1.864 10.98 5.678 15.48l90.93 107.5C292.8 421.3 259.7 432 224 432z"],
    "qrcode": [448, 512, [], "f029", "M104 103.1C112.8 103.1 120 111.2 120 119.1V135.1C120 144.8 112.8 151.1 104 151.1H88C79.16 151.1 72 144.8 72 135.1V119.1C72 111.2 79.16 103.1 88 103.1H104zM0 79.1C0 53.49 21.49 31.1 48 31.1H144C170.5 31.1 192 53.49 192 79.1V175.1C192 202.5 170.5 223.1 144 223.1H48C21.49 223.1 0 202.5 0 175.1V79.1zM48 175.1H144V79.1H48V175.1zM72 375.1C72 367.2 79.16 359.1 88 359.1H104C112.8 359.1 120 367.2 120 375.1V391.1C120 400.8 112.8 407.1 104 407.1H88C79.16 407.1 72 400.8 72 391.1V375.1zM0 335.1C0 309.5 21.49 287.1 48 287.1H144C170.5 287.1 192 309.5 192 335.1V431.1C192 458.5 170.5 479.1 144 479.1H48C21.49 479.1 0 458.5 0 431.1V335.1zM48 431.1H144V335.1H48V431.1zM360 103.1C368.8 103.1 376 111.2 376 119.1V135.1C376 144.8 368.8 151.1 360 151.1H344C335.2 151.1 328 144.8 328 135.1V119.1C328 111.2 335.2 103.1 344 103.1H360zM400 31.1C426.5 31.1 448 53.49 448 79.1V175.1C448 202.5 426.5 223.1 400 223.1H304C277.5 223.1 256 202.5 256 175.1V79.1C256 53.49 277.5 31.1 304 31.1H400zM400 79.1H304V175.1H400V79.1zM384 479.1H352V447.1H384V479.1zM416 447.1H448V479.1H416V447.1zM448 415.1H352V383.1H320V479.1H256V287.1H352V319.1H416V287.1H448V415.1z"],
    "question": [320, 512, [10067, 10068, 61736], "3f", "M144 416c-17.67 0-32 14.33-32 32s14.33 32.01 32 32.01s32-14.34 32-32.01S161.7 416 144 416zM211.2 32H104C46.66 32 0 78.66 0 136v16C0 165.3 10.75 176 24 176S48 165.3 48 152v-16c0-30.88 25.12-56 56-56h107.2C244.7 80 272 107.3 272 140.8c0 22.66-12.44 43.27-32.5 53.81L167 232.8C137.1 248 120 277.9 120 310.6V328c0 13.25 10.75 24.01 24 24.01S168 341.3 168 328V310.6c0-14.89 8.188-28.47 21.38-35.41l72.47-38.14C297.7 218.2 320 181.3 320 140.8C320 80.81 271.2 32 211.2 32z"],
    "quote-left": [448, 512, [8220, "quote-left-alt"], "f10d", "M96 416c53.02 0 96-42.98 96-96S149 224 96 224C78.42 224 62.17 229.1 48 237.3V216c0-39.7 32.31-72 72-72h16C149.3 144 160 133.3 160 120S149.3 96 136 96h-16C53.84 96 0 149.8 0 216V320C0 373 42.98 416 96 416zM96 272c26.47 0 48 21.53 48 48S122.5 368 96 368S48 346.5 48 320S69.53 272 96 272zM352 416c53.02 0 96-42.98 96-96s-42.98-96-96-96c-17.58 0-33.83 5.068-48 13.31V216c0-39.7 32.31-72 72-72h16C405.3 144 416 133.3 416 120S405.3 96 392 96h-16C309.8 96 256 149.8 256 216V320C256 373 298.1 416 352 416zM352 272c26.47 0 48 21.53 48 48s-21.53 48-48 48s-48-21.53-48-48S325.5 272 352 272z"],
    "quote-right": [448, 512, [8221, "quote-right-alt"], "f10e", "M352 96c-53.02 0-96 42.98-96 96s42.98 96 96 96c17.58 0 33.83-5.068 48-13.31V296c0 39.7-32.31 72-72 72h-16c-13.25 0-24 10.75-24 24S298.8 416 312 416h16C394.2 416 448 362.2 448 296V192C448 138.1 405 96 352 96zM352 240c-26.47 0-48-21.53-48-48s21.53-48 48-48s48 21.53 48 48S378.5 240 352 240zM96 96C42.98 96 0 138.1 0 192s42.98 96 96 96c17.58 0 33.83-5.068 48-13.31V296c0 39.7-32.31 72-72 72h-16C42.75 368 32 378.8 32 392S42.75 416 56 416h16C138.2 416 192 362.2 192 296V192C192 138.1 149 96 96 96zM96 240C69.53 240 48 218.5 48 192S69.53 144 96 144S144 165.5 144 192S122.5 240 96 240z"],
    "quotes": [576, 512, [], "e234", "M328 272C288.2 272 256 304.2 256 344C256 383.8 288.2 416 328 416c8.322 0 16.19-1.695 23.62-4.293C349.7 440.8 325.6 464 296 464c-13.25 0-24 10.75-24 24S282.8 512 296 512c57.34 0 104-46.66 104-104v-64C400 304.2 367.8 272 328 272zM328 368c-13.23 0-24-10.77-24-24c0-13.23 10.77-24 24-24S352 330.8 352 344C352 357.2 341.2 368 328 368zM504 272c-39.76 0-72 32.23-72 72c0 39.76 32.24 72 72 72c8.322 0 16.19-1.695 23.62-4.293C525.7 440.8 501.6 464 472 464c-13.25 0-24 10.75-24 24S458.8 512 472 512c57.34 0 104-46.66 104-104v-64C576 304.2 543.8 272 504 272zM504 368c-13.23 0-24-10.77-24-24c0-13.23 10.77-24 24-24s24 10.77 24 24C528 357.2 517.2 368 504 368zM320 168C320 128.2 287.8 96 248 96C239.7 96 231.8 97.7 224.4 100.3C226.3 71.17 250.4 48 280 48c13.25 0 24-10.75 24-24S293.3 0 280 0C222.7 0 176 46.66 176 104v64c0 39.77 32.24 72 72 72S320 207.8 320 168zM248 192C234.8 192 224 181.2 224 168C224 154.8 234.8 144 248 144S272 154.8 272 168C272 181.2 261.2 192 248 192zM72 96C63.68 96 55.81 97.7 48.38 100.3C50.32 71.17 74.39 48 104 48C117.3 48 128 37.25 128 24S117.3 0 104 0C46.66 0 0 46.66 0 104v64C0 207.8 32.24 240 72 240S144 207.8 144 168C144 128.2 111.8 96 72 96zM72 192C58.77 192 48 181.2 48 168c0-13.23 10.77-24 24-24S96 154.8 96 168C96 181.2 85.23 192 72 192z"],
    "r": [320, 512, [114], "52", "M202.7 286.9c65.5-5.543 117.3-59.9 117.3-126.8C319.1 89.53 262.5 32 191.9 32H24C10.75 32 0 42.75 0 56v400C0 469.3 10.75 480 24 480s24-10.75 24-24V288h96.16l132.4 182.1C281.3 476.6 288.6 480 296 480c4.906 0 9.844-1.484 14.09-4.594c10.72-7.797 13.09-22.8 5.297-33.52L202.7 286.9zM48 80H192c44.11 0 80 35.89 80 80S236.1 240 192 240H48V80z"],
    "rabbit": [512, 512, [128007], "f708", "M500.4 421.9L404.4 301.2c43.38-10.5 75.63-49.37 75.63-95.62c0-48-32.75-74.38-42.88-80.1C458.4 17.12 401 0 378.9 0c-16.88 0-31.13 6.875-42.88 17.38C324.3 6.875 310.1 0 293.2 0c-25.88 0-86.19 22.88-53.69 144c.875 3.75 2 7.5 3.25 11.25C240.5 164.4 240 172.8 240 178.6v35C176.9 228.5 125.4 272.8 99.13 330.6C92.88 329.1 86.63 328 80 328c-44.25 0-80 35.75-80 80s35.75 80 80 80c7.125 0 13.88-1.25 20.5-3C115.1 501.4 136.3 512 160 512h160c21 0 38.87-13.5 45.37-32.38l7.75 9.5C383.8 503.5 400.3 512 418.3 512h37.75c20.38 0 39.13-11 49-28.88C516.3 462.9 513.4 438.2 500.4 421.9zM80.75 439.9c-.25 0-.5 .125-.75 .125c-8.25 0-16.38-3.125-22.63-9.375c-12.5-12.5-12.5-32.75 0-45.25c12.38-12.38 25.88-8.75 26.63-8.625C83.38 379.9 77.63 407.8 80.75 439.9zM456 464h-37.75c-2.75 0-5.25-1.375-6.75-3.75l-70.5-86.75L224 432h64c17.63 0 32 14.38 32 32H160c-17.63 0-32-14.38-32-32L128 416c0-88.38 71.63-159.1 160-159.1l-.0074-77.38c0-9.75 2.375-17 5.5-23.62c-2.75-7.25-5.5-15-7.75-23.38c-11.25-42.25-9-79.5 5-83.38c13.88-3.625 33.88 26.38 45.25 67.13c11.5-40.88 31.5-70.75 45.25-67.13c14 3.875 16.25 41.13 5 83.38c-1.5 5.375-3 10.5-4.75 15.38l29.13 17.62c13.5 9.5 21.38 24.75 21.38 41C432 233.5 409.3 256 381 256h-29v56.5l110.8 139.3C466.1 457.1 462.3 464 456 464zM367.1 191.1c0-8.875-7.125-16-16-16s-16 7.125-16 16s7.126 16 16 16S367.1 200.9 367.1 191.1z"],
    "rabbit-running": [640, 512, ["rabbit-fast"], "f709", "M598.4 189.5c-2-1.5 .25 0-41.5-25.25c-1.375-8.875-3.375-17.75-5.75-26.75C542.6 105.8 516.9 32 461.1 32c-5 0-10 .625-14.75 2C427.9 38.88 414.5 51 406.8 68.88C397.9 65.88 388.8 64 379.8 64c-16.5 0-31.63 6.125-42.63 17.12c-5.75 5.625-15 17.63-16.75 36.25C292.8 103.9 266.8 96 239.9 96C199.1 96 162.4 114.5 127.5 152C113.8 141.8 97.38 136 80 136C35.75 136 0 171.8 0 216c0 44.13 35.75 80 80 80c11 0 21.5-2.375 31.38-6.625C118.6 301.2 120 302.1 162.5 348.4l-9.625 5.25C137.2 364 128 381.4 128 400.1v23.75c0 20.25 10.38 38.37 27.88 48.5c8.75 5.125 18.23 7.656 27.98 7.656c9.5 0 19.14-2.531 27.89-7.531l42.25-24.12l14.63 16C277.6 474.2 290.5 480 304 480h160c26.5 0 48-21.5 48-48c0-26.12-12.62-49.38-32-64h61C595.6 368 640 323.9 640 269.6C640 237.9 624.4 207.9 598.4 189.5zM95.88 243.1c-19.38 11.25-34 0-38.5-4.5c-12.5-12.5-12.5-32.75 0-45.25C64 186.6 84 176.4 101.6 192.6C95.62 208.9 93.1 226.1 95.88 243.1zM188 430.9c-3.5 2-6.5 .75-8 0c-1.5-.8746-4-3-4-7v-23.63c0-2.75 1.375-5.25 1.625-5.5l18.25-9.875l24.88 27.25L188 430.9zM541 320l-93.02 .0054L400 340c-.375-48.13-31.88-90.88-76.88-104.2L286.9 225C273.1 221.2 260.8 228.5 257 241.1C253.2 253.9 260.5 267.2 273.2 271L309.5 281.8C334.5 289.1 352 313.5 352 340.8V400h80c17.62 0 32 14.38 32 32h-160L159.9 274.5C137.5 250.2 137.2 213.1 159 188.5C186.8 157.2 212.4 144 239.9 144C292.8 144 352.9 192.8 448 256c0-18.88-.375-22.25 3.75-33.12C438.6 216 423.2 204.5 408.4 189.8C377.5 158.8 360.8 125.4 371 115c10.75-10.75 45.13 7.875 74.75 37.38C448.2 155 450.6 157.5 453 160.1C442.8 119.4 445.1 84 458.8 80.25c14.12-3.75 34.75 27.63 46 69.75C509.1 166.2 511.5 181.8 511.9 195c2.625 .75 5.25 1.5 7.75 2.75l51 30.87C584 238.1 592 253.4 592 269.6C592 297.5 569.1 320 541 320zM511.1 240C503.1 240 496 247.1 496 256c0 8.875 7.125 16 16 16s15.99-7.118 15.99-15.99C527.1 247.1 520.9 240 511.1 240z"],
    "racquet": [640, 512, [], "f45a", "M640 140C640 31.37 543.6 0 485.4 0c-49.53 0-103.9 16.92-152.3 50.4C202.8 140.6 251.8 207.5 168 316.1C167.8 315.9 162.5 313.1 154.1 313.1c-5.151 0-11.35 1.325-17.69 5.738l-123.6 86.73C4.756 411.8 0 421.7 0 431.8c0 6.349 1.878 12.76 5.786 18.36l33.75 48.12C45.91 507.4 55.77 512 65.7 512c6.439 0 12.9-1.931 18.46-5.815l123.6-86.48c8.917-6.207 13.15-15.98 13.15-26.01c0-1.077-.0488-2.157-.1458-3.236c29.65-9.027 60.25-14.01 91.23-14.01c31.38 0 37.9 4.144 62.71 4.144c49.17 0 103.2-16.63 151.9-50.38C598.7 280.3 640 206.4 640 140zM207.9 343.1C217.8 331.1 226.3 317.5 234.3 303.6c8.5 16.75 12.63 20.5 21 29.62C239.4 335.7 223.7 339.2 207.9 343.1zM591.8 140.8c0 49.05-31.44 107.7-92.53 149.9c-38.98 27.05-83.16 41.88-124.5 41.88c-87.47 0-106.9-56.76-106.9-92.42c0-49.32 31.71-108.3 92.31-150.3c56.63-39.12 106-41.87 126.6-41.87h7.5H486.9C557.5 48.79 591.8 89.57 591.8 140.8z"],
    "radar": [512, 512, [], "e024", "M316.4 161.7C298.1 150.5 278.2 144 256 144C194.1 144 144 194.1 144 256C144 317.9 194.1 368 256 368C317.9 368 368 317.9 368 256H416C416 334.2 359.9 399.3 285.7 413.2C278.4 405.1 267.8 400 256 400C244.2 400 233.6 405.1 226.3 413.2C161.7 401.1 110.9 350.3 98.76 285.7C106.9 278.4 112 267.8 112 256C112 244.2 106.9 233.6 98.76 226.3C112.7 152.1 177.8 96 256 96C291.5 96 324.3 107.6 350.9 127.2L385.1 92.93C349.7 64.8 304.8 48 256 48C152.7 48 66.93 123.4 50.75 222.1C39.49 229.2 32 241.7 32 256C32 270.3 39.49 282.8 50.75 289.9C65.12 377.6 134.4 446.9 222.1 461.3C229.2 472.5 241.7 480 256 480C270.3 480 282.8 472.5 289.9 461.3C388.6 445.1 464 359.3 464 256H512C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C318.1 0 374.9 22.08 419.3 58.8L463 15.03C472.4 5.657 487.6 5.657 496.1 15.03C506.3 24.4 506.3 39.6 496.1 48.97L314.9 231C318.2 238.7 320 247.1 320 256C320 291.3 291.3 320 256 320C220.7 320 192 291.3 192 256C192 220.7 220.7 192 256 192C264.9 192 273.3 193.8 280.1 197.1L316.4 161.7z"],
    "radiation": [512, 512, [], "f7b9", "M256 303.1c26.5 0 48-21.5 48-48S282.5 207.1 256 207.1S208 229.5 208 255.1S229.5 303.1 256 303.1zM213.6 188L142.7 74.71c-6.16-9.836-16.81-15.23-27.5-15.23c-7.035 0-14.09 2.332-19.91 7.266c-44.94 38.1-76.19 91.82-85.17 152.8C7.266 238.7 22.67 255.8 42.01 255.8h133.8C175.8 227.2 191 202.3 213.6 188zM137.2 207.8H61.26c8.498-34.29 26.07-65.79 50.94-91.29L152.3 180.6C146.2 189 141.1 198.2 137.2 207.8zM416.8 66.75c-5.818-4.934-12.88-7.266-19.91-7.266c-10.7 0-21.34 5.393-27.5 15.23L298.4 188c22.6 14.3 37.8 39.2 37.8 67.8h133.8c19.34 0 34.74-17.13 31.93-36.26C492.9 158.6 461.7 104.8 416.8 66.75zM374.8 207.8c-3.92-9.635-9.016-18.76-15.18-27.19l40.14-64.11c24.86 25.5 42.44 57.01 50.94 91.29H374.8zM298.4 323.5C286.1 331.2 271.6 335.9 256 335.9s-30.1-4.701-42.4-12.4L142.7 436.9c-10.14 16.21-4.16 38.2 13.32 45.95C186.6 496.4 220.4 504 256 504s69.42-7.611 100-21.18c17.48-7.752 23.46-29.74 13.32-45.95L298.4 323.5zM256 456c-21.4 0-42.31-3.369-62.4-10.03l40.09-64.07C241 383.2 248.5 383.9 256 383.9s14.96-.6777 22.31-2.008l40.09 64.07C298.3 452.6 277.4 456 256 456z"],
    "radio": [512, 512, [128251], "f8d7", "M111.1 272H208C216.8 272 224 264.8 224 256C224 247.2 216.8 240 208 240H111.1C103.2 240 96 247.2 96 255.1C96 264.8 103.2 272 111.1 272zM208 368H111.1C103.2 368 96 375.2 96 383.1C96 392.8 103.2 400 111.1 400H208C216.8 400 224 392.8 224 384C224 375.2 216.8 368 208 368zM224 304H95.1C87.2 304 80 311.2 80 319.1C80 328.8 87.2 336 95.1 336H224C232.8 336 240 328.8 240 320C240 311.2 232.8 304 224 304zM351.1 240c-44.16 0-79.1 35.84-79.1 79.1s35.84 79.1 79.1 79.1s79.1-35.84 79.1-79.1S396.2 240 351.1 240zM439.1 127.1H201.2l293.1-80.86c12.78-3.531 20.28-16.75 16.76-29.52c-3.516-12.78-16.78-20.23-29.51-16.77L52.86 119.1C21.73 127.7 0 156.3 0 188.5v251.5C0 479.7 32.3 512 71.1 512h367.1c39.7 0 71.1-32.3 71.1-72V199.1C511.1 160.3 479.7 127.1 439.1 127.1zM463.1 439.1c0 13.23-10.77 24-24 24H71.1c-13.23 0-23.1-10.77-23.1-24V199.1c0-13.23 10.77-24 23.1-24h367.1c13.23 0 24 10.77 24 24V439.1z"],
    "radio-tuner": [512, 512, ["radio-alt"], "f8d8", "M208 384h-96c-8.799 0-16 7.2-16 16C95.1 408.8 103.2 416 112 416l95.1 .0006C216.8 416 224 408.8 224 400C224 391.2 216.8 384 208 384zM96 352l127.1 .0029C232.8 352 240 344.8 240 336C240 327.2 232.8 320 224 320H96c-8.799 0-16 7.201-16 16C79.1 344.8 87.2 352 96 352zM368 432c35.33 0 64-28.68 64-64s-28.67-64-64-64c-35.32 0-64 28.68-64 64S332.7 432 368 432zM439.1 127.1H201.2l293.1-80.86c12.78-3.531 20.28-16.75 16.76-29.52c-3.516-12.78-16.78-20.23-29.51-16.77L52.86 119.1C21.73 127.7 0 156.3 0 188.5v251.5C0 479.7 32.3 512 71.1 512h367.1c39.7 0 71.1-32.3 71.1-72V199.1C511.1 160.3 479.7 127.1 439.1 127.1zM463.1 439.1c0 13.23-10.77 24-24 24H71.1c-13.23 0-23.1-10.77-23.1-24V272h415.1V439.1z"],
    "rainbow": [640, 512, [127752], "f75b", "M300.2 32.68C147.4 42.8 32 176.8 32 330.2v125.8C32 469.2 42.8 480 55.1 480S80 469.2 80 455.1V319.1c0-141.4 122.8-254.6 267.4-238.5C469.9 95.03 560 203.5 560 326.8v115.4C560 469.3 570.8 480 584 480c13.2 0 24-10.8 24-24V319.1C608 154.7 468 21.3 300.2 32.68zM294.8 130.1C197.1 142.4 128 229.6 128 327.2v128.8C128 469.2 138.8 480 151.1 480C165.2 480 176 469.2 176 455.1v-135.5c0-84.26 72.5-151.8 158.4-143.3C409.2 184.5 464 251.7 464 326.9v129.1C464 469.2 474.8 480 487.1 480S512 469.2 512 455.1v-135.5C512 206.2 411.8 115.1 294.8 130.1zM300.9 225.8C255.2 234.7 224 277.3 224 323.7v132.3C224 469.2 234.8 480 247.1 480S272 469.2 272 455.1l0-134.2c0-23.22 15.69-44.51 38.48-48.89C341.2 266.1 368 290.4 368 319.1v136C368 469.2 378.8 480 391.1 480S416 469.2 416 455.1V319.1C416 260.7 362.2 213.1 300.9 225.8z"],
    "raindrops": [448, 512, [], "f75c", "M50.56 231.9C31.79 263.4 0 320.6 0 347.4C0 385.3 28.65 416 64 416s64-30.73 64-68.64c0-26.72-31.79-83.96-50.56-115.4C71.14 221.4 56.86 221.4 50.56 231.9zM224 155.4c0-26.72-31.79-83.96-50.56-115.4c-6.307-10.57-20.58-10.57-26.89 0C127.8 71.4 96 128.6 96 155.4C96 193.3 124.7 224 160 224S224 193.3 224 155.4zM334.6 135.5C331.1 130.5 325.6 128 320 128s-11.14 2.502-14.59 7.506C271.8 184.1 192 305.2 192 358.3C192 425.5 249.3 480 320 480s128-54.51 128-121.7C448 305.2 368.2 184.1 334.6 135.5zM320 432c-44.11 0-80-33.08-80-73.74c0-18.45 25.22-74.63 80-158.5c54.78 83.83 80 140 80 158.5C400 398.9 364.1 432 320 432z"],
    "ram": [640, 512, [128015], "f70a", "M336 64C336 28.65 364.7 0 400 0C435.3 0 464 28.65 464 64V65.33C469.2 64.45 474.5 64 480 64C485.4 64 490.8 64.45 496 65.33V64C496 28.65 524.7 0 560 0C595.3 0 624 28.65 624 64V72C624 85.25 613.3 96 600 96C586.7 96 576 85.25 576 72V64C576 55.16 568.8 48 560 48C551.2 48 544 55.16 544 64V88.44C550.8 94.55 556.8 101.6 561.6 109.4L609.5 129.9C621.6 135.2 627.3 149.3 622.1 161.5C616.8 173.6 602.7 179.3 590.5 174.1L576 167.8V240C576 284.2 540.2 320 496 320H464C419.8 320 384 284.2 384 240V167.8L369.5 174.1C357.3 179.3 343.2 173.6 337.9 161.5C332.7 149.3 338.4 135.2 350.5 129.9L398.4 109.4C403.2 101.6 409.2 94.55 416 88.45V64C416 55.16 408.8 48 400 48C391.2 48 384 55.16 384 64V72C384 85.25 373.3 96 360 96C346.7 96 336 85.25 336 72L336 64zM464 192C472.8 192 480 184.8 480 176C480 167.2 472.8 160 464 160C455.2 160 448 167.2 448 176C448 184.8 455.2 192 464 192zM528 160C519.2 160 512 167.2 512 176C512 184.8 519.2 192 528 192C536.8 192 544 184.8 544 176C544 167.2 536.8 160 528 160zM320.8 111.1C313.3 119.3 308.1 128.6 305.6 138.6C291.1 137.9 277.6 130.6 269 118.7C266 114.5 261.3 112 255.1 112C251.2 112 246.9 114.1 243.9 117.5C227.1 136.8 197.1 139.4 177.9 123.5C175.2 121.3 171.8 120 167.1 120C160.5 120 154.2 125.1 152.5 132.1C146.5 156.3 123.1 171.1 98.52 168.2C97.72 168.1 96.89 168 95.1 168C87.16 168 79.1 175.2 79.1 184C79.1 185.4 80.17 186.7 80.47 187.9C85.78 209.3 75.91 231.5 56.5 241.8C51.34 244.6 47.1 249.1 47.1 256C47.1 262 51.34 267.4 56.5 270.2C75.91 280.5 85.78 302.7 80.47 324.1C80.17 325.3 79.1 326.6 79.1 328C79.1 336.8 87.16 344 95.1 344C96.88 344 97.72 343.9 98.52 343.8C123.1 340 146.5 355.7 152.5 379.9C154.2 386.9 160.5 392 167.1 392C171.8 392 175.2 390.7 177.9 388.6C197.1 372.6 227.1 375.2 243.9 394.5C246.9 397.9 251.2 400 255.1 400C260.8 400 265.1 397.9 268.1 394.5C284.9 375.2 314 372.6 334.1 388.6C336.8 390.7 340.2 392 344 392C351.5 392 357.8 386.9 359.5 379.9C365.5 355.7 388.9 340 413.5 343.8C414.3 343.9 415.1 343.1 415.9 344C428.3 349.2 441.8 352 456 352H475.3C465.9 375.5 442.9 392 416 392C415.5 392 415 391.1 414.5 391.1L396.9 485.9C394.1 501 380.8 512 365.4 512H336C318.3 512 303.1 497.7 303.1 480V426.3C292.3 439.6 275.1 448 255.1 448C236.9 448 219.7 439.6 207.1 426.3V480C207.1 497.7 193.7 512 175.1 512H146.6C131.2 512 117.9 501 115.1 485.9L97.5 391.1C96.1 391.1 96.5 392 96 392C60.65 392 32 363.3 32 328C32 322.6 32.66 317.5 33.89 312.5C13.72 301.7 0 280.5 0 255.1C0 231.5 13.72 210.3 33.89 199.5C32.66 194.5 32 189.3 32 183.1C32 148.7 60.65 119.1 96 119.1C99.34 119.1 102.6 120.3 105.8 120.7C112.7 92.77 137.9 71.1 168 71.1C183 71.1 196.9 77.19 207.8 85.88C219.5 72.47 236.8 63.1 256 63.1C262.5 63.1 268.8 64.98 274.8 66.8C287.5 70.7 298.6 78.47 306.5 88.73C309.3 97.65 314.3 105.6 320.8 111.1L320.8 111.1z"],
    "ramp-loading": [384, 512, [], "f4d4", "M48 64V312.4L0 400.4V64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V400.4L336 312.4V64C336 55.16 328.8 48 320 48H64C55.16 48 48 55.16 48 64V64zM253 288C273.5 288 292.4 299.2 302.2 317.2L376.2 452.8C390.7 479.5 371.4 512 341 512H42.95C12.59 512-6.702 479.5 7.837 452.8L81.83 317.2C91.65 299.2 110.5 287.1 130.1 287.1L253 288zM56.43 464H327.6L260 340.2C258.6 337.6 255.9 336 253 336H130.1C128.1 336 125.4 337.6 123.1 340.2L56.43 464z"],
    "ranking-star": [640, 512, [], "e561", "M406.1 61.65C415.4 63.09 419.4 74.59 412.6 81.41L374.6 118.1L383.6 170.1C384.1 179.5 375.3 186.7 366.7 182.4L320.2 157.9L273.3 182.7C264.7 187 255 179.8 256.4 170.5L265.4 118.4L227.4 81.41C220.6 74.59 224.6 63.09 233.9 61.65L286.2 54.11L309.8 6.332C314.1-2.289 326.3-1.93 330.2 6.332L353.8 54.11L406.1 61.65zM224 304C224 277.5 245.5 256 272 256H368C394.5 256 416 277.5 416 304V464C416 490.5 394.5 512 368 512H272C245.5 512 224 490.5 224 464V304zM272 464H368V304H272V464zM0 368C0 341.5 21.49 320 48 320H144C170.5 320 192 341.5 192 368V464C192 490.5 170.5 512 144 512H48C21.49 512 0 490.5 0 464V368zM48 464H144V368H48V464zM592 352C618.5 352 640 373.5 640 400V464C640 490.5 618.5 512 592 512H496C469.5 512 448 490.5 448 464V400C448 373.5 469.5 352 496 352H592zM592 400H496V464H592V400z"],
    "raygun": [576, 512, [], "e025", "M112 151.1c-13.25 0-24 10.75-24 24c0 13.25 10.75 24 24 24s24-10.75 24-24C136 162.7 125.2 151.1 112 151.1zM208 151.1c-13.25 0-24 10.75-24 24c0 13.25 10.75 24 24 24s24-10.75 24-24C232 162.7 221.2 151.1 208 151.1zM311.1 31.98C298.8 31.98 288 42.78 288 55.98v19.23C273.1 67.83 256.6 64.13 240 64.01L192 63.98L87.12 1.724C82.25-.7759 76.25-.5258 71.62 2.349C66.88 5.35 64 10.51 64 16.01v59.22C26.25 93.23 0 131.4 0 176c0 55.26 40.12 100.9 92.88 109.1l-70.5 122C16 419 14.25 432.2 17.62 444.4C20.88 456.8 29 467.3 40 473.5l55.38 32c11.12 6.376 24.12 8.126 36.5 4.876c12.25-3.25 22.75-11.38 29.12-22.38l120.1-208.1C283.5 279 285.6 277.4 288 276.3v19.75c0 13.2 10.8 24 24 24C325.2 320 336 309.2 336 296V55.98C336 42.72 325.3 31.98 311.1 31.98zM119.4 464L64 432L147.1 288H221L119.4 464zM288 217.8C276 231.8 258.5 239.9 240 240h-128c-35.38 0-64-28.63-64-64.01s28.62-64.01 64-64.01h128c18.5 0 36 8.126 48 22.13V217.8zM555 118.1L480 143.1h-64V87.98c0-13.26-10.75-24-24-24C378.8 63.98 368 74.78 368 87.98v176c0 13.2 10.8 24 24 24C405.2 288 416 277.2 416 264V207.1h64.13l74.75 25c4.875 1.625 10.25 .7501 14.5-2.25C573.5 227.8 576 222.9 576 217.8V134.2c0-5.251-2.5-10-6.625-13C565.1 118.2 559.9 117.4 555 118.1z"],
    "receipt": [384, 512, [129534], "f543", "M264 144C277.3 144 288 154.7 288 168C288 181.3 277.3 192 264 192H120C106.7 192 96 181.3 96 168C96 154.7 106.7 144 120 144H264zM264 320C277.3 320 288 330.7 288 344C288 357.3 277.3 368 264 368H120C106.7 368 96 357.3 96 344C96 330.7 106.7 320 120 320H264zM96 256C96 242.7 106.7 232 120 232H264C277.3 232 288 242.7 288 256C288 269.3 277.3 280 264 280H120C106.7 280 96 269.3 96 256zM80 40.39L120.4 5.778C129.4-1.926 142.6-1.926 151.6 5.778L192 40.39L232.4 5.778C241.4-1.926 254.6-1.926 263.6 5.778L304 40.39L344.4 5.778C351.5-.3214 361.5-1.72 370 2.196C378.5 6.113 384 14.63 384 24V488C384 497.4 378.5 505.9 370 509.8C361.5 513.7 351.5 512.3 344.4 506.2L304 471.6L263.6 506.2C254.6 513.9 241.4 513.9 232.4 506.2L192 471.6L151.6 506.2C142.6 513.9 129.4 513.9 120.4 506.2L80 471.6L39.62 506.2C32.5 512.3 22.49 513.7 13.97 509.8C5.456 505.9 0 497.4 0 488V24C0 14.63 5.456 6.112 13.97 2.196C22.49-1.72 32.5-.3214 39.62 5.778L80 40.39zM64.38 421.8C73.37 414.1 86.63 414.1 95.62 421.8L136 456.4L176.4 421.8C185.4 414.1 198.6 414.1 207.6 421.8L248 456.4L288.4 421.8C297.4 414.1 310.6 414.1 319.6 421.8L336 435.8V76.18L319.6 90.22C310.6 97.93 297.4 97.93 288.4 90.22L248 55.61L207.6 90.22C198.6 97.93 185.4 97.93 176.4 90.22L136 55.61L95.62 90.22C86.63 97.93 73.37 97.93 64.38 90.22L48 76.18V435.8L64.38 421.8z"],
    "record-vinyl": [512, 512, [], "f8d9", "M256 160C202.9 160 160 202.9 160 256s42.92 96 96 96s96-42.92 96-96S309.1 160 256 160zM256 280C242.8 280 232 269.3 232 256S242.8 232 256 232S280 242.8 280 256S269.3 280 256 280zM256 0c-141.4 0-256 114.6-256 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464z"],
    "rectangle": [512, 512, [9644, "rectangle-landscape"], "f2fa", "M448 64C483.3 64 512 92.65 512 128V384C512 419.3 483.3 448 448 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H448zM448 112H64C55.16 112 48 119.2 48 128V384C48 392.8 55.16 400 64 400H448C456.8 400 464 392.8 464 384V128C464 119.2 456.8 112 448 112z"],
    "rectangle-ad": [576, 512, ["ad"], "f641", "M301.5 317.3C307.4 329.1 302.6 343.5 290.7 349.5C278.9 355.4 264.5 350.6 258.5 338.7L253.2 328H162.8L157.5 338.7C151.5 350.6 137.1 355.4 125.3 349.5C113.4 343.5 108.6 329.1 114.5 317.3L186.5 173.3C190.6 165.1 198.9 160 207.1 160C217.1 160 225.4 165.1 229.5 173.3L301.5 317.3zM186.8 280H229.2L208 237.7L186.8 280zM416 184C416 170.7 426.7 160 440 160C453.3 160 464 170.7 464 184V328C464 341.3 453.3 352 440 352C433.4 352 427.4 349.3 423 344.1C413.6 349.5 403.1 352 392 352C352.2 352 320 319.8 320 280C320 240.2 352.2 208 392 208C400.4 208 408.5 209.4 416 212.1V184zM392 256C378.7 256 368 266.7 368 280C368 293.3 378.7 304 392 304C405.3 304 416 293.3 416 280C416 266.7 405.3 256 392 256zM0 96C0 60.65 28.65 32 64 32H512C547.3 32 576 60.65 576 96V416C576 451.3 547.3 480 512 480H64C28.65 480 0 451.3 0 416V96zM48 96V416C48 424.8 55.16 432 64 432H512C520.8 432 528 424.8 528 416V96C528 87.16 520.8 80 512 80H64C55.16 80 48 87.16 48 96z"],
    "rectangle-barcode": [576, 512, ["barcode-alt"], "f463", "M144 151.1V359.1C144 373.3 133.3 383.1 120 383.1C106.7 383.1 96 373.3 96 359.1V151.1C96 138.7 106.7 127.1 120 127.1C133.3 127.1 144 138.7 144 151.1V151.1zM208 143.1V367.1C208 376.8 200.8 383.1 192 383.1C183.2 383.1 176 376.8 176 367.1V143.1C176 135.2 183.2 127.1 192 127.1C200.8 127.1 208 135.2 208 143.1V143.1zM240 151.1C240 138.7 250.7 127.1 264 127.1C277.3 127.1 288 138.7 288 151.1V359.1C288 373.3 277.3 383.1 264 383.1C250.7 383.1 240 373.3 240 359.1V151.1zM400 151.1V359.1C400 373.3 389.3 383.1 376 383.1C362.7 383.1 352 373.3 352 359.1V151.1C352 138.7 362.7 127.1 376 127.1C389.3 127.1 400 138.7 400 151.1V151.1zM448 143.1C448 135.2 455.2 127.1 464 127.1C472.8 127.1 480 135.2 480 143.1V367.1C480 376.8 472.8 383.1 464 383.1C455.2 383.1 448 376.8 448 367.1V143.1zM0 95.1C0 60.65 28.65 31.1 64 31.1H512C547.3 31.1 576 60.65 576 95.1V415.1C576 451.3 547.3 479.1 512 479.1H64C28.65 479.1 0 451.3 0 415.1V95.1zM48 95.1V415.1C48 424.8 55.16 431.1 64 431.1H512C520.8 431.1 528 424.8 528 415.1V95.1C528 87.16 520.8 79.1 512 79.1H64C55.16 79.1 48 87.16 48 95.1V95.1z"],
    "rectangle-code": [512, 512, [], "e322", "M320.1 175L384.1 239C394.3 248.4 394.3 263.6 384.1 272.1L320.1 336.1C311.6 346.3 296.4 346.3 287 336.1C277.7 327.6 277.7 312.4 287 303L334.1 256L287 208.1C277.7 199.6 277.7 184.4 287 175C296.4 165.7 311.6 165.7 320.1 175V175zM177.9 256L224.1 303C234.3 312.4 234.3 327.6 224.1 336.1C215.6 346.3 200.4 346.3 191 336.1L127 272.1C117.7 263.6 117.7 248.4 127 239L191 175C200.4 165.7 215.6 165.7 224.1 175C234.3 184.4 234.3 199.6 224.1 208.1L177.9 256zM448 32C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448zM448 80H64C55.16 80 48 87.16 48 96V416C48 424.8 55.16 432 64 432H448C456.8 432 464 424.8 464 416V96C464 87.16 456.8 80 448 80z"],
    "rectangle-history": [512, 512, [], "e4a2", "M448 160C483.3 160 512 188.7 512 224V448C512 483.3 483.3 512 448 512H64C28.65 512 0 483.3 0 448V224C0 188.7 28.65 160 64 160H448zM448 208H64C55.16 208 48 215.2 48 224V448C48 456.8 55.16 464 64 464H448C456.8 464 464 456.8 464 448V224C464 215.2 456.8 208 448 208zM440 80C453.3 80 464 90.75 464 104C464 117.3 453.3 128 440 128H72C58.75 128 48 117.3 48 104C48 90.75 58.75 80 72 80H440zM392 0C405.3 0 416 10.75 416 24C416 37.25 405.3 48 392 48H120C106.7 48 96 37.25 96 24C96 10.75 106.7 0 120 0H392z"],
    "rectangle-history-circle-plus": [640, 512, [], "e4a3", "M63.1 464H348.5C360.7 482.8 376.5 499.1 394.8 512H64C28.65 512 0 483.3 0 448V224C0 188.7 28.65 160 64 160H448C471.8 160 492.5 172.9 503.5 192.2C501 192.1 498.5 192 496 192C469.8 192 444.9 197.7 422.6 208H64C55.16 208 48 215.2 48 224V448C48 456.8 55.16 464 64 464H63.1zM440 80C453.3 80 464 90.75 464 104C464 117.3 453.3 128 440 128H71.1C58.74 128 47.1 117.3 47.1 104C47.1 90.75 58.74 80 71.1 80H440zM392 0C405.3 0 416 10.75 416 24C416 37.25 405.3 48 392 48H119.1C106.7 48 95.1 37.25 95.1 24C95.1 10.75 106.7 0 119.1 0H392zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM512 303.1C512 295.2 504.8 287.1 496 287.1C487.2 287.1 480 295.2 480 303.1V351.1H432C423.2 351.1 416 359.2 416 367.1C416 376.8 423.2 383.1 432 383.1H480V431.1C480 440.8 487.2 447.1 496 447.1C504.8 447.1 512 440.8 512 431.1V383.1H560C568.8 383.1 576 376.8 576 367.1C576 359.2 568.8 351.1 560 351.1H512V303.1z"],
    "rectangle-history-circle-user": [640, 512, [], "e4a4", "M63.1 464H348.5C360.7 482.8 376.5 499.1 394.8 512H64C28.65 512 0 483.3 0 448V224C0 188.7 28.65 160 64 160H448C471.8 160 492.5 172.9 503.5 192.2C501 192.1 498.5 192 496 192C469.8 192 444.9 197.7 422.6 208H64C55.16 208 48 215.2 48 224V448C48 456.8 55.16 464 64 464H63.1zM440 80C453.3 80 464 90.75 464 104C464 117.3 453.3 128 440 128H71.1C58.74 128 47.1 117.3 47.1 104C47.1 90.75 58.74 80 71.1 80H440zM392 0C405.3 0 416 10.75 416 24C416 37.25 405.3 48 392 48H119.1C106.7 48 95.1 37.25 95.1 24C95.1 10.75 106.7 0 119.1 0H392zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM528.6 416H463.4C442.4 416 424.5 429.7 418.3 448.7C438.5 468.1 465.8 480 496 480C526.2 480 553.5 468.1 573.7 448.7C567.5 429.7 549.6 416 528.6 416zM496 288C469.5 288 448 309.5 448 336C448 362.5 469.5 384 496 384C522.5 384 544 362.5 544 336C544 309.5 522.5 288 496 288z"],
    "rectangle-list": [576, 512, ["list-alt"], "f022", "M128 192C110.3 192 96 177.7 96 160C96 142.3 110.3 128 128 128C145.7 128 160 142.3 160 160C160 177.7 145.7 192 128 192zM200 160C200 146.7 210.7 136 224 136H448C461.3 136 472 146.7 472 160C472 173.3 461.3 184 448 184H224C210.7 184 200 173.3 200 160zM200 256C200 242.7 210.7 232 224 232H448C461.3 232 472 242.7 472 256C472 269.3 461.3 280 448 280H224C210.7 280 200 269.3 200 256zM200 352C200 338.7 210.7 328 224 328H448C461.3 328 472 338.7 472 352C472 365.3 461.3 376 448 376H224C210.7 376 200 365.3 200 352zM128 224C145.7 224 160 238.3 160 256C160 273.7 145.7 288 128 288C110.3 288 96 273.7 96 256C96 238.3 110.3 224 128 224zM128 384C110.3 384 96 369.7 96 352C96 334.3 110.3 320 128 320C145.7 320 160 334.3 160 352C160 369.7 145.7 384 128 384zM0 96C0 60.65 28.65 32 64 32H512C547.3 32 576 60.65 576 96V416C576 451.3 547.3 480 512 480H64C28.65 480 0 451.3 0 416V96zM48 96V416C48 424.8 55.16 432 64 432H512C520.8 432 528 424.8 528 416V96C528 87.16 520.8 80 512 80H64C55.16 80 48 87.16 48 96z"],
    "rectangle-pro": [640, 512, ["pro"], "e235", "M160 160C195.3 160 224 188.7 224 224C224 259.3 195.3 288 160 288H128V328C128 341.3 117.3 352 104 352C90.75 352 80 341.3 80 328V184C80 170.7 90.75 160 104 160H160zM176 224C176 215.2 168.8 208 160 208H128V240H160C168.8 240 176 232.8 176 224zM240 184C240 170.7 250.7 160 264 160H320C355.3 160 384 188.7 384 224C384 245.9 373 265.2 356.3 276.7L380.4 315.3C387.4 326.5 383.1 341.3 372.7 348.4C361.5 355.4 346.7 351.1 339.6 340.7L306.7 288H288V328C288 341.3 277.3 352 264 352C250.7 352 240 341.3 240 328V184zM288 240H320C328.8 240 336 232.8 336 224C336 215.2 328.8 208 320 208H288V240zM576 248V264C576 312.6 536.6 352 488 352C439.4 352 400 312.6 400 264V248C400 199.4 439.4 160 488 160C536.6 160 576 199.4 576 248zM448 264C448 286.1 465.9 304 488 304C510.1 304 528 286.1 528 264V248C528 225.9 510.1 208 488 208C465.9 208 448 225.9 448 248V264zM0 96C0 60.65 28.65 32 64 32H576C611.3 32 640 60.65 640 96V416C640 451.3 611.3 480 576 480H64C28.65 480 0 451.3 0 416V96zM48 96V416C48 424.8 55.16 432 64 432H576C584.8 432 592 424.8 592 416V96C592 87.16 584.8 80 576 80H64C55.16 80 48 87.16 48 96z"],
    "rectangle-terminal": [512, 512, [], "e236", "M136.2 150.3L232.2 238.3C237.2 242.9 240 249.3 240 256C240 262.7 237.2 269.1 232.2 273.7L136.2 361.7C126.4 370.6 111.3 369.1 102.3 360.2C93.35 350.4 94.01 335.3 103.8 326.3L180.5 256L103.8 185.7C94.01 176.7 93.35 161.6 102.3 151.8C111.3 142 126.4 141.4 136.2 150.3V150.3zM392 336C405.3 336 416 346.7 416 360C416 373.3 405.3 384 392 384H248C234.7 384 224 373.3 224 360C224 346.7 234.7 336 248 336H392zM448 32C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448zM448 80H64C55.16 80 48 87.16 48 96V416C48 424.8 55.16 432 64 432H448C456.8 432 464 424.8 464 416V96C464 87.16 456.8 80 448 80z"],
    "rectangle-vertical": [384, 512, ["rectangle-portrait"], "f2fb", "M384 448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V448zM336 448V64C336 55.16 328.8 48 320 48H64C55.16 48 48 55.16 48 64V448C48 456.8 55.16 464 64 464H320C328.8 464 336 456.8 336 448z"],
    "rectangle-vertical-history": [576, 512, [], "e237", "M192 64C192 28.65 220.7 0 256 0H512C547.3 0 576 28.65 576 64V448C576 483.3 547.3 512 512 512H256C220.7 512 192 483.3 192 448V64zM240 64V448C240 456.8 247.2 464 256 464H512C520.8 464 528 456.8 528 448V64C528 55.16 520.8 48 512 48H256C247.2 48 240 55.16 240 64zM96 72C96 58.75 106.7 48 120 48C133.3 48 144 58.75 144 72V440C144 453.3 133.3 464 120 464C106.7 464 96 453.3 96 440V72zM0 120C0 106.7 10.75 96 24 96C37.25 96 48 106.7 48 120V392C48 405.3 37.25 416 24 416C10.75 416 0 405.3 0 392V120z"],
    "rectangle-wide": [640, 512, [], "f2fc", "M576 64C611.3 64 640 92.65 640 128V384C640 419.3 611.3 448 576 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H576zM576 112H64C55.16 112 48 119.2 48 128V384C48 392.8 55.16 400 64 400H576C584.8 400 592 392.8 592 384V128C592 119.2 584.8 112 576 112z"],
    "rectangle-xmark": [512, 512, [62164, "rectangle-times", "times-rectangle", "window-close"], "f410", "M175 175C184.4 165.7 199.6 165.7 208.1 175L255.1 222.1L303 175C312.4 165.7 327.6 165.7 336.1 175C346.3 184.4 346.3 199.6 336.1 208.1L289.9 255.1L336.1 303C346.3 312.4 346.3 327.6 336.1 336.1C327.6 346.3 312.4 346.3 303 336.1L255.1 289.9L208.1 336.1C199.6 346.3 184.4 346.3 175 336.1C165.7 327.6 165.7 312.4 175 303L222.1 255.1L175 208.1C165.7 199.6 165.7 184.4 175 175V175zM0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM48 96V416C48 424.8 55.16 432 64 432H448C456.8 432 464 424.8 464 416V96C464 87.16 456.8 80 448 80H64C55.16 80 48 87.16 48 96z"],
    "rectangles-mixed": [576, 512, [], "e323", "M256 32C291.3 32 320 60.65 320 96V192C320 227.3 291.3 256 256 256H64C28.65 256 0 227.3 0 192V96C0 60.65 28.65 32 64 32H256zM256 80H64C55.16 80 48 87.16 48 96V192C48 200.8 55.16 208 64 208H256C264.8 208 272 200.8 272 192V96C272 87.16 264.8 80 256 80zM512 32C547.3 32 576 60.65 576 96V320C576 355.3 547.3 384 512 384H448C412.7 384 384 355.3 384 320V96C384 60.65 412.7 32 448 32H512zM512 80H448C439.2 80 432 87.16 432 96V320C432 328.8 439.2 336 448 336H512C520.8 336 528 328.8 528 320V96C528 87.16 520.8 80 512 80zM64 368C64 332.7 92.65 304 128 304H272C307.3 304 336 332.7 336 368V416C336 451.3 307.3 480 272 480H128C92.65 480 64 451.3 64 416V368zM112 368V416C112 424.8 119.2 432 128 432H272C280.8 432 288 424.8 288 416V368C288 359.2 280.8 352 272 352H128C119.2 352 112 359.2 112 368z"],
    "recycle": [512, 512, [9850, 9851, 9842], "f1b8", "M168.4 154.3C166.8 147.7 162.4 142 156.3 138.8C150.3 135.6 143.1 135.1 136.7 137.5L46.47 171.2C34.06 175.8 27.75 189.7 32.38 202.1C37.03 214.5 50.81 220.8 63.28 216.2L91.9 205.5L27.38 313.1c-14.25 23.75-15.34 52.69-2.969 77.41l2.5 5C40.63 422.9 68.22 440 98.94 440H136c13.25 0 24-10.74 24-23.99S149.3 392 136 392H98.94c-12.41 0-23.56-6.875-29.09-17.97L67.34 369c-5-9.969-4.562-21.66 1.219-31.25l67.71-112.9l8.414 34.41c2.688 10.97 12.5 18.31 23.28 18.31c1.906 0 3.812-.2187 5.719-.6875c12.88-3.156 20.78-16.12 17.62-29L168.4 154.3zM178.1 108.6C189.5 115.4 204.2 111.7 211 100.3l17.12-28.56c11.62-19.44 44.06-19.44 55.75 0l57.93 96.54l-35.55-10.38c-12.62-3.688-26.03 3.562-29.75 16.31C272.8 186.1 280.1 200.3 292.8 204l92.47 27.03C387.5 231.7 389.8 232 392 232c4.469 0 8.875-1.25 12.75-3.656C410.6 224.7 414.5 218.8 415.7 212l16-95C433.9 103.9 425.1 91.53 412 89.34c-13.47-2.438-25.47 6.594-27.66 19.66l-4.855 28.8l-54.43-90.7C310.6 22.97 284.1 8 256 8S201.4 22.97 186.9 47.09L169.8 75.66C163 87.03 166.7 101.8 178.1 108.6zM484.6 313.1l-22.44-37.41c-6.812-11.34-21.5-15.06-32.94-8.25c-11.38 6.844-15.06 21.56-8.25 32.94l22.44 37.41c5.781 9.594 6.219 21.28 1.219 31.28l-2.5 5C436.6 385.1 425.5 392 413.1 392h-125.9l24.82-22.06c9.906-8.812 10.81-23.97 2-33.88c-8.875-9.969-24.03-10.78-33.88-2l-72 64C202.9 402.6 200 409.2 200 416s2.938 13.38 8.062 17.94l72 64C284.6 502 290.3 504 296 504c6.594 0 13.19-2.719 17.94-8.062c8.812-9.906 7.906-25.06-2-33.88L287.1 440h125.9c30.72 0 58.31-17.06 72.03-44.53l2.5-4.969C499.1 365.8 498.9 336.8 484.6 313.1z"],
    "reel": [448, 512, [], "e238", "M64 176h320v-32H64V176zM24 48H64v64h320v-64h40C437.3 48 448 37.25 448 24C448 10.74 437.3 0 424 0H24C10.75 0 0 10.74 0 24C0 37.25 10.75 48 24 48zM112 48h224v32h-224V48zM384 272H64v32h320V272zM432 208H64v32h368C440.8 240 448 232.8 448 224C448 215.2 440.8 208 432 208zM424 464H384v-64H64v64H24C10.75 464 0 474.7 0 488C0 501.3 10.75 512 24 512h400c13.25 0 24-10.75 24-24C448 474.7 437.3 464 424 464zM336 464h-224v-32h224V464zM64 368h320v-32H64V368z"],
    "refrigerator": [384, 512, [], "e026", "M288 0H96C42.98 0 0 42.98 0 96v352c0 35.35 28.65 64 64 64h256c35.35 0 64-28.65 64-64V96C384 42.98 341 0 288 0zM336 448c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V208h192v136c0 13.25 10.75 24 24 24S288 357.3 288 344V208h48V448zM336 160H288V120C288 106.8 277.3 96 264 96S240 106.8 240 120V160h-192V96c0-26.47 21.53-48 48-48h192c26.47 0 48 21.53 48 48V160z"],
    "registered": [512, 512, [174], "f25d", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464zM352 208c0-44.13-35.88-80-80-80L184 128c-13.25 0-24 10.75-24 24v208c0 13.25 10.75 24 24 24s24-10.75 24-24v-72h59.79l38.46 82.19C310.3 378.9 319 384 328 384c3.438 0 6.875-.7187 10.19-2.25c12-5.625 17.16-19.91 11.56-31.94l-34.87-74.5C337.1 261.1 352 236.3 352 208zM272 240h-64v-64h64c17.66 0 32 14.34 32 32S289.7 240 272 240z"],
    "repeat": [512, 512, [128257], "f363", "M176 128h143.1l-.0065 56c0 9.703 5.846 18.45 14.82 22.17s19.28 1.656 26.16-5.203l80.01-80c9.373-9.371 9.373-24.57 0-33.94l-80.01-80c-6.877-6.859-17.19-8.922-26.16-5.203S319.1 14.3 319.1 24V80H176C78.95 80 0 158.1 0 256c0 13.25 10.75 24 24 24S48 269.3 48 256C48 185.4 105.4 128 176 128zM488 232c-13.25 0-24 10.75-24 24c0 70.59-57.42 128-128 128H192l.0114-56c0-9.703-5.846-18.45-14.82-22.17S157.9 304.2 151 311l-80.01 80c-9.373 9.371-9.373 24.57 0 33.94l80.01 80c6.877 6.859 17.19 8.922 26.16 5.203S192 497.7 192 488L192 432H336c97.05 0 176-78.97 176-176C512 242.8 501.3 232 488 232z"],
    "repeat-1": [512, 512, [128258], "f365", "M176 128h143.1l-.0065 56c0 9.703 5.846 18.45 14.82 22.17s19.28 1.656 26.16-5.203l80.01-80c9.373-9.371 9.373-24.57 0-33.94l-80.01-80c-6.877-6.859-17.19-8.922-26.16-5.203S319.1 14.3 319.1 24V80H176C78.95 80 0 158.1 0 256c0 13.25 10.75 24 24 24S48 269.3 48 256C48 185.4 105.4 128 176 128zM264 328c13.25 0 24-10.75 24-24V216c0-8.312-4.312-16.03-11.38-20.41c-7.125-4.438-15.97-4.812-23.34-1.062l-32 16C209.4 216.5 204.6 230.9 210.5 242.7C216 253.7 228.7 258.7 240 254.6V304C240 317.3 250.8 328 264 328zM488 232c-13.25 0-24 10.75-24 24c0 70.59-57.42 128-128 128H192l.0114-56c0-9.703-5.846-18.45-14.82-22.17S157.9 304.2 151 311l-80.01 80c-9.373 9.371-9.373 24.57 0 33.94l80.01 80c6.877 6.859 17.19 8.922 26.16 5.203S192 497.7 192 488L192 432H336c97.05 0 176-78.97 176-176C512 242.8 501.3 232 488 232z"],
    "reply": [512, 512, [61714, "mail-reply"], "f3e5", "M512 336v119.1C512 469.3 501.3 480 488 480s-24-10.75-24-23.1v-119.1c0-57.34-46.66-103.1-104-103.1H88.51l127.2 109.8c10.03 8.656 11.12 23.81 2.469 33.84C213.4 381.2 206.7 384 200 384c-5.562 0-11.16-1.909-15.69-5.847l-176-151.1C3.029 221.6 0 214.1 0 208C0 201 3.029 194.4 8.31 189.9l176-151.1c9.1-8.718 25.16-7.575 33.85 2.487c8.656 10.03 7.562 25.19-2.469 33.84L88.51 184H360C443.8 184 512 252.2 512 336z"],
    "reply-all": [576, 512, ["mail-reply-all"], "f122", "M60.72 208l154.1-133.8c10.03-8.656 11.12-23.81 2.469-33.84c-8.688-10.06-23.81-11.2-33.85-2.486l-176 151.1C3.029 194.4 0 201 0 208c0 6.968 3.029 13.58 8.31 18.15l176 151.1C188.8 382.1 194.4 384 200 384c6.719 0 13.41-2.812 18.16-8.312c8.656-10.03 7.562-25.19-2.469-33.84L60.72 208zM424 184H216.5l127.2-109.8c10.03-8.656 11.12-23.81 2.469-33.84c-8.688-10.06-23.85-11.2-33.85-2.486L136.3 189.9C131 194.4 128 201 128 208c0 6.968 3.029 13.58 8.31 18.15l176 151.1c4.531 3.937 10.13 5.846 15.69 5.846c6.719 0 13.41-2.812 18.16-8.312c8.656-10.03 7.562-25.19-2.469-33.84L216.5 232H424c57.34 0 104 46.65 104 103.1v119.1C528 469.3 538.8 480 552 480S576 469.3 576 456v-119.1C576 252.2 507.8 184 424 184z"],
    "reply-clock": [640, 512, ["reply-time"], "e239", "M496 0C416.5 0 352 64.47 352 144S416.5 288 496 288S640 223.5 640 144S575.5 0 496 0zM544 160h-48C487.2 160 480 152.8 480 144v-64C480 71.16 487.2 64 496 64S512 71.16 512 80V128h32c8.844 0 16 7.156 16 16S552.8 160 544 160zM256 256H88.51l127.2-109.8C225.7 137.5 226.8 122.3 218.2 112.3C209.5 102.3 194.3 101.2 184.3 109.8l-176 152C3.031 266.4 0 273 0 280s3.031 13.59 8.312 18.16l176 152C188.8 454.1 194.4 456 200 456c6.719 0 13.41-2.812 18.16-8.312c8.656-10.03 7.562-25.19-2.469-33.84L88.51 304H256c101.5 0 184 82.53 184 184c0 13.25 10.75 24 24 24s24-10.75 24-24C488 360.1 383.9 256 256 256z"],
    "republican": [640, 512, [], "f75e", "M189 144.2L161.6 140.2L149.4 115.4c-2.125-4.375-8.5-4.5-10.62 0l-12.25 24.88L99.15 144.2c-4.875 .625-6.875 6.75-3.375 10.13l19.87 19.38L110.9 200.1c-.75 4.875 4.375 8.625 8.75 6.25l24.5-12.88l24.5 12.88c4.25 2.375 9.5-1.375 8.625-6.25l-4.625-27.25l19.75-19.38C195.8 150.9 193.9 144.9 189 144.2zM317 144.2L289.6 140.2L277.4 115.4c-2.125-4.375-8.5-4.5-10.62 0L254.5 140.2L227.1 144.2c-4.875 .625-6.875 6.75-3.375 10.13l19.87 19.38L238.9 200.1c-.75 4.875 4.375 8.625 8.75 6.25l24.5-12.88l24.5 12.88c4.25 2.375 9.5-1.375 8.625-6.25L300.6 173.7l19.75-19.38C323.8 150.9 321.9 144.9 317 144.2zM445 144.2L417.6 140.2l-12.25-24.88c-2.125-4.375-8.5-4.5-10.62 0l-12.25 24.88l-27.37 4c-4.875 .625-6.875 6.75-3.375 10.13l19.87 19.38l-4.75 27.25c-.75 4.875 4.375 8.625 8.75 6.25l24.5-12.88l24.5 12.88c4.25 2.375 9.5-1.375 8.625-6.25l-4.625-27.25l19.75-19.38C451.8 150.9 449.9 144.9 445 144.2zM624 319.1l-15.1 .0222c-8.75 0-15.1 7.25-15.1 16v72c0 13.25-10.75 24-23.1 24c-13.25 0-23.1-10.75-23.1-24v-216c0-88.38-71.62-159.1-159.1-159.1L159.1 32C71.62 32 0 103.6 0 191.1l.025 255.1c0 17.75 14.25 31.1 31.1 31.1L128 480c17.75 0 31.1-14.25 31.1-32l-.0625-64.02H287.1l.0625 64.02C288 465.7 302.3 480 320 480l95.1-.0339c17.75 0 31.1-14.25 31.1-31.1v-63.97h47.1v19.75c0 37.5 26.1 72 64.37 75.88C562.9 479.9 565.5 480 568 480C607.8 480 640 447.7 640 407.1v-72.02C640 327.2 632.8 319.1 624 319.1zM496 335.1h-63.1c-17.75 0-31.1 14.25-31.1 32v64H336v-64c0-17.75-14.25-32-31.1-32H144c-17.75 0-31.1 14.26-31.1 32.01v63.99H48.02V287.1h447.1V335.1zM496 239.1H48.02V191.1c0-61.88 50.12-112 111.1-112h223.1c61.75 0 111.1 50.25 111.1 112V239.1z"],
    "restroom": [640, 512, [], "f7bd", "M128 96c26.5 0 47.1-21.5 47.1-48S154.5 0 128 0C101.5 0 80 21.5 80 48S101.5 96 128 96zM511.1 96c26.5 0 48-21.5 48-48S538.5 0 511.1 0c-26.5 0-47.1 21.5-47.1 48S485.5 96 511.1 96zM210.4 172.6C199.3 145.5 173.2 128 143.8 128H112.2C82.85 128 56.73 145.5 45.57 172.6L1.822 278.9c-5.062 12.27 .7813 26.28 13.06 31.33c2.975 1.242 6.066 1.832 9.113 1.832c9.4 0 18.38-5.604 22.2-14.88l17.81-43.27V488c0 13.25 10.74 24 23.99 24s24-10.75 24-24V352h32v136c0 13.25 10.74 24 23.99 24c13.25 0 24-10.75 24-24V253.9l17.81 43.27C213.6 306.4 222.6 312 232 312c3.062 0 6.156-.5781 9.123-1.812c12.28-5.047 18.12-19.06 13.06-31.33L210.4 172.6zM112 304v-128h31.1l.002 128H112zM638.2 278.9l-43.75-106.3C583.3 145.5 557.2 128 527.8 128h-31.69c-29.31 0-55.44 17.5-66.59 44.58l-43.75 106.3c-5.062 12.27 .7813 26.28 13.06 31.33c2.877 1.205 5.846 1.771 8.764 1.771c7.957 0 15.57-4.205 20.09-11.14L399.1 384h47.1v104c0 13.25 10.75 24 24 24s23.1-10.75 23.1-24V384h31.1v104c0 13.25 10.75 24 24.01 24c13.25 0 23.99-10.75 23.99-24V384h48.01l-27.43-82.26C601.1 308.1 608.3 312 615.1 312c3.062 0 6.156-.5781 9.125-1.812C637.4 305.1 643.2 291.1 638.2 278.9zM466.6 336l45.4-136.2L557.4 336H466.6zM319.1 0C306.8 0 296 10.8 296 24v464c0 13.2 10.8 24 23.1 24s24-10.8 24-24V24C344 10.8 333.2 0 319.1 0z"],
    "restroom-simple": [576, 512, [], "e23a", "M96 128c35.38 0 64-28.62 64-64S131.4 0 96 0S32 28.62 32 64S60.63 128 96 128zM448 128c35.38 0 64-28.62 64-64s-28.62-64-64-64s-64 28.62-64 64S412.6 128 448 128zM256 0C242.8 0 232 10.8 232 24v464C232 501.2 242.8 512 256 512c13.2 0 24-10.8 24-24V24C280 10.8 269.2 0 256 0zM128 160H64C28.65 160 0 188.7 0 224v96c0 17.67 14.33 32 32 32v136C32 501.3 42.75 512 56 512s24-10.75 24-24V352h32v136C112 501.3 122.8 512 136 512S160 501.3 160 488V352c17.67 0 32-14.33 32-32V224C192 188.7 163.3 160 128 160zM144 304h-96V224c0-8.822 7.178-16 16-16h64c8.822 0 16 7.178 16 16V304zM569.5 343.2L530.5 206.4C522.6 178.9 497.5 160 468.9 160h-41.85c-28.57 0-53.69 18.94-61.54 46.42l-39.08 136.8C320.6 363.7 335.1 384 357.2 384H384v104c0 13.25 10.75 24 24 24s24-10.75 24-24V384h32v104c0 13.25 10.75 24 24 24S512 501.3 512 488V384h26.78C560 384 575.4 363.7 569.5 343.2zM378.4 336l33.25-116.4C413.7 212.7 419.9 208 427.1 208h41.85c7.144 0 13.42 4.736 15.38 11.6L517.6 336H378.4z"],
    "retweet": [640, 512, [], "f079", "M328 368h-192V192H192c9.703 0 18.45-5.844 22.17-14.82s1.656-19.29-5.203-26.16l-80-80.02C124.3 66.34 118.1 64 112 64S99.72 66.34 95.03 71.03l-80 80.02C8.172 157.9 6.109 168.2 9.828 177.2S22.3 192 32 192h56V392C88 405.3 98.75 416 112 416h216c13.25 0 24-10.75 24-24S341.3 368 328 368zM598.2 334.8C594.5 325.8 585.7 319.1 576 319.1h-56V120C520 106.8 509.3 96 496 96H280C266.8 96 256 106.8 256 120S266.8 144 280 144h192v175.1H416c-9.703 0-18.45 5.844-22.17 14.82s-1.656 19.29 5.203 26.16l80 80.02C483.7 445.7 489.9 448 496 448s12.28-2.344 16.97-7.031l80-80.02C599.8 354.1 601.9 343.8 598.2 334.8z"],
    "rhombus": [448, 512, [], "e23b", "M9.55 230.1L193.6 14.06C201.2 5.14 212.3 0 224 0C235.7 0 246.9 5.14 254.4 14.06L438.4 230.1C451.2 245 451.2 266.1 438.4 281.9L254.4 497.9C246.8 506.9 235.7 512 224 512C212.3 512 201.2 506.9 193.6 497.9L9.55 281.9C-3.183 266.1-3.183 245 9.55 230.1V230.1zM224 52.34L50.51 256L224 459.7L397.5 256L224 52.34z"],
    "ribbon": [448, 512, [127895], "f4d6", "M437.7 404.6L329.5 287l37.5-40.25c34.75-37.5 38.1-91.38 10.75-137.4l-30.75-50.25C331.1 34.63 309.7 16.75 284.6 8.625c-35.1-11.5-85.12-11.5-120.1 0c-25.37 8.125-47.5 26-62.37 50.5L67.85 113.4C41.98 155.6 47.48 210.4 81.23 246.6l37.5 40.38l-108.4 117.8c-16.5 17.88-12.75 45.88 7.5 59.13l63.37 41.38c23.1 15.63 45.5 0 51.37-6.25l91.5-98.5l91.37 98.38c5.75 6.375 27.62 21.88 51.37 6.375l63.37-41.38C450.2 450.8 454.2 422.6 437.7 404.6zM328.2 120.3l8.625 14.13c16.87 27.5 14.87 58-5.125 79.5l-34.87 37.63l-40.25-43.75l45.5-49.5C313.7 146.8 321.1 133.3 328.2 120.3zM178.2 54.25c26.5-8.5 65.12-8.5 91.62 0c9.125 3 17.5 8.5 24.87 15.88c-2.75 12.88-9.875 37.88-26.1 54.75L223.1 172.3L179.6 124c-16.62-16.25-23.62-41.25-26.25-54.13C160.6 62.63 169.1 57.25 178.2 54.25zM101.9 461.5l-49.12-32.13l98.5-107.1l39.1 43L101.9 461.5zM346.2 461.5L116.2 214C97.23 193.4 94.1 162.4 108.7 138.5l10.1-17.88c5.1 12.75 14.12 25.75 25.37 36.75l250.1 272.1L346.2 461.5z"],
    "right": [448, 512, [11157, "arrow-alt-right"], "f356", "M227.8 66.44C215.8 71.39 208 83.06 208 96v80h-160C21.49 176 0 197.5 0 224v64c0 26.51 21.49 48 48 48h160V416c0 12.94 7.797 24.61 19.75 29.56c11.97 4.953 25.72 2.219 34.88-6.938l176-160C444.9 272.4 448 264.2 448 256s-3.125-16.38-9.375-22.62l-176-160C253.5 64.22 239.7 61.48 227.8 66.44zM393.4 256L256 377.4V288H48V224H256V134.6L393.4 256z"],
    "right-from-bracket": [512, 512, ["sign-out-alt"], "f2f5", "M168 432H96c-26.4 0-48-21.6-48-48V128c0-26.4 21.6-48 48-48h72C181.3 80 192 69.25 192 56C192 42.74 181.3 32 168 32H96C42.98 32 0 74.98 0 128v256c0 53.02 42.98 96 96 96h72C181.3 480 192 469.3 192 456C192 442.7 181.3 432 168 432zM503.9 238.6L351.5 104.4c-9.844-8.75-24-10.88-36.09-5.469C303.6 104.3 296 115.9 296 128.7v55.31H176c-22.06 0-40 17.94-40 40v64c0 22.06 17.94 40 40 40h120v55.31c0 12.75 7.625 24.41 19.41 29.72c4.438 2 9.156 2.969 13.84 2.969c8.062 0 16.03-2.906 22.25-8.438l152.4-133.1C509.1 269.9 512 263.4 512 256.5S509.1 243.1 503.9 238.6zM344 350V279.1h-160v-48h160V161.1l107.8 94.54L344 350z"],
    "right-from-line": [448, 512, ["arrow-alt-from-left"], "f347", "M48 424V88C48 74.75 37.25 64 24 64S0 74.75 0 88v336C0 437.3 10.75 448 24 448S48 437.3 48 424zM208 133.1V176h-64C117.5 176 96.05 197.5 96.05 224v64c0 26.51 21.44 48 47.95 48h64v43.29c0 41.63 49.37 63.52 80.23 35.58l150.4-136.2C444.9 272.4 448 264.2 448 256s-3.125-16.38-9.375-22.62l-150.4-135.9C257.3 69.58 208 91.49 208 133.1zM393.4 256L256 377.4V288H144V224H256V134.6L393.4 256z"],
    "right-left": [512, 512, ["exchange-alt"], "f362", "M24 152h328.1l-.1318 80c0 9.547 5.666 18.19 14.41 22s18.95 2.078 25.93-4.406l112-104c10.22-9.5 10.22-25.69 0-35.19l-112-104c-6.979-6.484-17.18-8.221-25.93-4.408s-14.41 12.46-14.41 22L352.1 104H24C10.75 104 0 114.7 0 127.1S10.75 152 24 152zM488 360H159.9L160 279.1c0-9.547-5.666-18.19-14.41-22S126.7 255.9 119.7 262.4l-112 104c-10.22 9.5-10.22 25.69 0 35.19l112 104c6.979 6.484 17.18 8.219 25.93 4.406S160 497.5 160 488l-.1318-80H488c13.25 0 24-10.75 24-24S501.3 360 488 360z"],
    "right-long": [512, 512, ["long-arrow-alt-right"], "f30b", "M366.3 381.1c-8.758-3.811-14.42-12.45-14.42-21.1l.0004-80H24c-13.25 0-24-10.75-24-23.1s10.75-24 24-24h327.9l-.0004-79.1c0-9.547 5.66-18.19 14.42-22c8.754-3.811 18.95-2.075 25.94 4.41l112.1 104c10.23 9.5 10.23 25.69 0 35.19l-112.1 104C385.3 384.1 375.1 385.8 366.3 381.1z"],
    "right-long-to-line": [640, 512, [], "e444", "M640 424C640 437.3 629.3 448 616 448C602.7 448 592 437.3 592 424V88C592 74.75 602.7 64 616 64C629.3 64 640 74.75 640 88V424zM367.9 280H24C10.75 280 0 269.3 0 256C0 242.8 10.75 232 24 232H367.9L367.9 152C367.9 142.5 373.6 133.8 382.3 129.1C391.1 126.2 401.3 127.9 408.2 134.4L520.3 238.4C530.6 247.9 530.6 264.1 520.3 273.6L408.2 377.6C401.3 384.1 391.1 385.8 382.3 382C373.6 378.2 367.9 369.5 367.9 360L367.9 280z"],
    "right-to-bracket": [512, 512, ["sign-in-alt"], "f2f6", "M512 128v256c0 53.02-42.98 96-96 96h-72C330.7 480 320 469.3 320 456c0-13.26 10.75-24 24-24H416c26.4 0 48-21.6 48-48V128c0-26.4-21.6-48-48-48h-72C330.7 80 320 69.25 320 56C320 42.74 330.7 32 344 32H416C469 32 512 74.98 512 128zM367.9 273.9L215.5 407.6C209.3 413.1 201.3 416 193.3 416c-4.688 0-9.406-.9687-13.84-2.969C167.6 407.7 160 396.1 160 383.3V328H40C17.94 328 0 310.1 0 288V224c0-22.06 17.94-40 40-40H160V128.7c0-12.75 7.625-24.41 19.41-29.72C191.5 93.56 205.7 95.69 215.5 104.4l152.4 133.6C373.1 242.6 376 249.1 376 256S373.1 269.4 367.9 273.9zM315.8 256L208 161.1V232h-160v48h160v70.03L315.8 256z"],
    "right-to-line": [448, 512, ["arrow-alt-to-right"], "f34c", "M448 424V88C448 74.75 437.3 64 424 64S400 74.75 400 88v336c0 13.25 10.75 24 24 24S448 437.3 448 424zM342.6 278.3C348.9 272 352 263.8 352 255.6S348.9 239.3 342.6 233L192.2 97.09C161.3 69.21 112 91.11 112 132.7v42.91h-64c-26.51 0-48 21.49-48 48v64c0 26.51 21.49 48 48 48h64v43.29c0 41.63 49.37 63.52 80.23 35.58L342.6 278.3zM160 287.6H48v-64H160V134.3l137.4 121.4L160 376.1V287.6z"],
    "ring": [512, 512, [], "f70b", "M256 64C109.1 64 0 125.9 0 208v98.13C0 384.5 114.6 448 256 448s256-63.5 256-141.9V208C512 125.9 401.1 64 256 64zM256 112c110.5 0 200 35.88 200 80c0 9.125-4 17.75-11 25.88C398.2 192.2 331 176 256 176S113.8 192.2 67 217.9C60 209.8 56 201.1 56 192C56 147.9 145.5 112 256 112zM397.8 248.5C361.5 263 311.4 272 256 272S150.5 263 114.2 248.5C149.1 234.2 198.4 224 256 224S361.1 234.2 397.8 248.5zM464 306.1C464 344.4 383 400 256 400s-208-55.63-208-93.88V266.4C94.38 298.8 170.1 320 256 320s161.6-21.25 208-53.63V306.1z"],
    "ring-diamond": [384, 512, [], "e5ab", "M240 0C248 0 255.5 4.011 259.1 10.69L291.1 58.69C296.1 66.16 297.3 75.8 292.1 83.66L261.2 140.9C333 168.6 384 238.4 384 320C384 426 298 512 192 512C85.96 512 0 426 0 320C0 238.4 50.95 168.6 122.8 140.9L91.02 83.66C86.66 75.8 87.05 66.16 92.03 58.69L124 10.69C128.5 4.01 135.1 0 144 0L240 0zM212.8 129.1L243.9 73.14L227.2 48H156.8L140.1 73.14L171.2 129.1C178 128.4 184.1 128 192 128C199 128 205.1 128.4 212.8 129.1H212.8zM192 176C112.5 176 48 240.5 48 320C48 399.5 112.5 464 192 464C271.5 464 336 399.5 336 320C336 240.5 271.5 176 192 176z"],
    "rings-wedding": [512, 512, [], "f81b", "M371.9 147.7c10.13 18.5 17.75 38.37 22.38 59c41.13 21.25 69.63 63.75 69.63 113.2c0 70.75-57.25 128-128 128s-128-57.25-128-128c0-54.63 34.5-101.1 82.88-119.5c8.5 17.25 13 36.25 13.13 55.5c0 37.37-16.38 70.75-42 94.12c6.25 15.25 17.13 28.12 31 37c44.75-39.75 66.13-99.63 56.75-158.7c-9.375-59.25-48.25-109.5-103.1-133.5l41.38-66.25L232.4-16H119.4l-55.5 44.62l41.25 66.25C29.03 128.4-13.35 210.6 3.777 292.1s88.88 139.8 172.1 139.9c7.625-.125 15.25-.625 22.88-1.875c48.5 60.5 131 82.13 203 53.12c71.88-28.87 116.4-101.6 109.5-178.9S447.8 163.5 371.9 147.7zM127.9 39.37l8.5-7.375h79l8.5 7.375l-25.5 42.25c-14.88-2.125-30.13-2.125-45 0L127.9 39.37zM47.9 255.1c.125-70.62 57.38-127.9 128-128c33 0 62.88 12.88 85.63 33.5c-59.88 28-101.6 88-101.6 158.5c0 21.75 4.125 43.38 12 63.63C103.3 381.5 47.9 325.2 47.9 255.1z"],
    "road": [576, 512, [128739], "f018", "M312 296C312 309.3 301.3 320 287.1 320C274.7 320 263.1 309.3 263.1 296V216C263.1 202.7 274.7 192 287.1 192C301.3 192 312 202.7 312 216V296zM390.3 32C420.6 32 447.7 51.05 458 79.61L567.4 383.6C584.3 430.5 549.6 480 499.7 480H76.3C26.43 480-8.339 430.5 8.552 383.6L117.1 79.61C128.3 51.05 155.4 32 185.7 32H390.3zM53.71 399.9C48.08 415.5 59.67 432 76.3 432H263.1V408C263.1 394.7 274.7 384 287.1 384C301.3 384 312 394.7 312 408V432H499.7C516.3 432 527.9 415.5 522.3 399.9L412.8 95.87C409.4 86.35 400.4 80 390.3 80H312V104C312 117.3 301.3 128 287.1 128C274.7 128 263.1 117.3 263.1 104V80H185.7C175.6 80 166.6 86.35 163.2 95.87L53.71 399.9z"],
    "road-barrier": [640, 512, [], "e562", "M24 32C37.25 32 48 42.75 48 56V80H592V56C592 42.75 602.7 32 616 32C629.3 32 640 42.75 640 56V456C640 469.3 629.3 480 616 480C602.7 480 592 469.3 592 456V304H48V456C48 469.3 37.25 480 24 480C10.75 480 0 469.3 0 456V56C0 42.75 10.75 32 24 32zM592 256V128H570.8L506.8 256H592zM69.17 256L133.2 128H48V256H69.17zM389.2 128H314.8L250.8 256H325.2L389.2 128zM378.8 256H453.2L517.2 128H442.8L378.8 256zM122.8 256H197.2L261.2 128H186.8L122.8 256z"],
    "road-bridge": [640, 512, [], "e563", "M480 192C493.3 192 504 202.7 504 216V296C504 309.3 493.3 320 480 320C466.7 320 456 309.3 456 296V216C456 202.7 466.7 192 480 192zM640 64V448C640 483.3 611.3 512 576 512H384C348.7 512 320 483.3 320 448V64C320 28.65 348.7 0 384 0H576C611.3 0 640 28.65 640 64zM576 48H504V104C504 117.3 493.3 128 480 128C466.7 128 456 117.3 456 104V48H384C375.2 48 368 55.16 368 64V448C368 456.8 375.2 464 384 464H456V408C456 394.7 466.7 384 480 384C493.3 384 504 394.7 504 408V464H576C584.8 464 592 456.8 592 448V64C592 55.16 584.8 48 576 48zM24 96H288V144H248V208H288V256H24C10.75 256 0 245.3 0 232C0 218.7 10.75 208 24 208H72V144H24C10.75 144 0 133.3 0 120C0 106.7 10.75 96 24 96zM200 144H120V208H200V144zM272 304H288V352H272C241.1 352 216 377.1 216 408V472C216 494.1 198.1 512 176 512H112C89.91 512 72 494.1 72 472V400C72 373.5 50.51 352 24 352C10.75 352 0 341.3 0 328C0 314.7 10.75 304 24 304C77.02 304 120 346.1 120 400V464H168V408C168 350.6 214.6 304 272 304z"],
    "road-circle-check": [640, 512, [], "e564", "M422.3 32C452.6 32 479.7 51.05 490 79.61L531.8 195.6C520.2 193.3 508.3 192 496 192C490.5 192 485.1 192.3 479.7 192.7L444.8 95.87C441.4 86.35 432.4 80 422.3 80H344V104C344 117.3 333.3 128 319.1 128C306.7 128 295.1 117.3 295.1 104V80H217.7C207.6 80 198.6 86.35 195.2 95.87L85.71 399.9C80.08 415.5 91.67 432 108.3 432H295.1V408C295.1 394.7 306.7 384 319.1 384C320.2 384 320.5 384 320.7 384C323.1 420.3 338.3 453.4 360.2 480H108.3C58.43 480 23.66 430.5 40.55 383.6L149.1 79.61C160.3 51.05 187.4 32 217.7 32H422.3zM319.1 320C306.7 320 295.1 309.3 295.1 296V216C295.1 202.7 306.7 192 319.1 192C333.3 192 344 202.7 344 216V279.2C336.8 291.6 330.1 304.9 326.9 318.1C324.7 319.6 322.4 320 319.1 320zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM540.7 324.7L480 385.4L451.3 356.7C445.1 350.4 434.9 350.4 428.7 356.7C422.4 362.9 422.4 373.1 428.7 379.3L468.7 419.3C474.9 425.6 485.1 425.6 491.3 419.3L563.3 347.3C569.6 341.1 569.6 330.9 563.3 324.7C557.1 318.4 546.9 318.4 540.7 324.7H540.7z"],
    "road-circle-exclamation": [640, 512, [], "e565", "M422.3 32C452.6 32 479.7 51.05 490 79.61L531.8 195.6C520.2 193.3 508.3 192 496 192C490.5 192 485.1 192.3 479.7 192.7L444.8 95.87C441.4 86.35 432.4 80 422.3 80H344V104C344 117.3 333.3 128 319.1 128C306.7 128 295.1 117.3 295.1 104V80H217.7C207.6 80 198.6 86.35 195.2 95.87L85.71 399.9C80.08 415.5 91.67 432 108.3 432H295.1V408C295.1 394.7 306.7 384 319.1 384C320.2 384 320.5 384 320.7 384C323.1 420.3 338.3 453.4 360.2 480H108.3C58.43 480 23.66 430.5 40.55 383.6L149.1 79.61C160.3 51.05 187.4 32 217.7 32H422.3zM319.1 320C306.7 320 295.1 309.3 295.1 296V216C295.1 202.7 306.7 192 319.1 192C333.3 192 344 202.7 344 216V279.2C336.8 291.6 330.1 304.9 326.9 318.1C324.7 319.6 322.4 320 319.1 320zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 464C509.3 464 520 453.3 520 440C520 426.7 509.3 416 496 416C482.7 416 472 426.7 472 440C472 453.3 482.7 464 496 464zM479.1 288V368C479.1 376.8 487.2 384 495.1 384C504.8 384 511.1 376.8 511.1 368V288C511.1 279.2 504.8 272 495.1 272C487.2 272 479.1 279.2 479.1 288z"],
    "road-circle-xmark": [640, 512, [], "e566", "M422.3 32C452.6 32 479.7 51.05 490 79.61L531.8 195.6C520.2 193.3 508.3 192 496 192C490.5 192 485.1 192.3 479.7 192.7L444.8 95.87C441.4 86.35 432.4 80 422.3 80H344V104C344 117.3 333.3 128 320 128C306.7 128 296 117.3 296 104V80H217.7C207.6 80 198.6 86.35 195.2 95.87L85.72 399.9C80.09 415.5 91.68 432 108.3 432H296V408C296 394.7 306.7 384 320 384C320.2 384 320.5 384 320.7 384C323.1 420.3 338.3 453.4 360.2 480H108.3C58.43 480 23.66 430.5 40.55 383.6L149.1 79.61C160.3 51.05 187.4 32 217.7 32H422.3zM320 320C306.7 320 296 309.3 296 296V216C296 202.7 306.7 192 320 192C333.3 192 344 202.7 344 216V279.2C336.8 291.6 330.1 304.9 326.9 318.1C324.7 319.6 322.4 320 320 320zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368V368zM518.6 368L555.3 331.3C561.6 325.1 561.6 314.9 555.3 308.7C549.1 302.4 538.9 302.4 532.7 308.7L496 345.4L459.3 308.7C453.1 302.4 442.9 302.4 436.7 308.7C430.4 314.9 430.4 325.1 436.7 331.3L473.4 368L436.7 404.7C430.4 410.9 430.4 421.1 436.7 427.3C442.9 433.6 453.1 433.6 459.3 427.3L496 390.6L532.7 427.3C538.9 433.6 549.1 433.6 555.3 427.3C561.6 421.1 561.6 410.9 555.3 404.7L518.6 368z"],
    "road-lock": [640, 512, [], "e567", "M422.3 32C452.6 32 479.7 51.05 490 79.61L519.1 160.4C502.5 161.7 486.9 166.6 473.1 174.4L444.8 95.87C441.4 86.35 432.4 80 422.3 80H344V104C344 117.3 333.3 128 319.1 128C306.7 128 295.1 117.3 295.1 104V80H217.7C207.6 80 198.6 86.35 195.2 95.87L85.71 399.9C80.08 415.5 91.67 432 108.3 432H295.1V408C295.1 394.7 306.7 384 319.1 384C333.3 384 344 394.7 344 408V432H384V480H108.3C58.43 480 23.66 430.5 40.55 383.6L149.1 79.61C160.3 51.05 187.4 32 217.7 32L422.3 32zM344 296C344 309.3 333.3 320 319.1 320C306.7 320 295.1 309.3 295.1 296V216C295.1 202.7 306.7 192 319.1 192C333.3 192 344 202.7 344 216V296zM528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320V272C448 227.8 483.8 192 528 192zM528 240C510.3 240 496 254.3 496 272V320H560V272C560 254.3 545.7 240 528 240z"],
    "road-spikes": [640, 512, [], "e568", "M64 351.1V116.8C64 101 84.53 94.79 93.31 107.1L192 255.1V116.8C192 101 212.5 94.79 221.3 107.1L320 255.1V116.8C320 101 340.5 94.79 349.3 107.1L448 255.1V116.8C448 101 468.5 94.79 477.3 107.1L606.8 302.2C621 323.5 605.8 351.1 580.2 351.1H64zM166.3 303.1L112 222.5V303.1H166.3zM240 303.1H294.3L240 222.5V303.1zM422.3 303.1L368 222.5V303.1H422.3zM496 303.1H550.3L496 222.5V303.1zM0 423.1C0 410.7 10.75 399.1 24 399.1H616C629.3 399.1 640 410.7 640 423.1C640 437.3 629.3 447.1 616 447.1H24C10.75 447.1 0 437.3 0 423.1z"],
    "robot": [640, 512, [129302], "f544", "M352 400c0 8.836-7.164 16-16 16h-32C295.2 416 288 408.8 288 400C288 391.2 295.2 384 304 384h32C344.8 384 352 391.2 352 400zM240 384H192c-8.836 0-16 7.162-16 16C176 408.8 183.2 416 192 416h48C248.8 416 256 408.8 256 400C256 391.2 248.8 384 240 384zM172 260C172 222.5 202.5 192 240 192c37.5 0 68 30.5 68 68c0 37.49-30.5 68-68 68C202.5 328 172 297.5 172 260zM220 260c0 11.04 8.955 20 20 20c11.05 0 20-8.955 20-20C260 248.1 251 240 240 240C228.1 240 220 248.1 220 260zM468 260c0 37.49-30.58 67.1-68.07 67.1c-.0254 0 .0254 0 0 0s.0254 0 0 0c-37.5 0-68.07-30.5-68.07-67.1c0-37.5 30.58-67.1 68.07-67.1c.0254 0-.0254 0 0 0s-.0254 0 0 0C437.4 192 468 222.5 468 260zM419.9 260c0-11.02-8.916-19.94-19.93-19.99C388.9 240.1 380 248.1 380 260c0 11.02 8.916 19.94 19.93 19.99C410.9 279.9 419.9 271 419.9 260zM448 384h-48c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16H448c8.836 0 16-7.164 16-16C464 391.2 456.8 384 448 384zM544 176v256c0 44.18-35.82 80-80 80h-288C131.8 512 96 476.2 96 432v-256C96 131.8 131.8 96 176 96h120V24C296 10.75 306.8 0 320 0s24 10.75 24 24V96h120C508.2 96 544 131.8 544 176zM496 176c0-17.64-14.36-32-32-32h-288c-17.64 0-32 14.36-32 32v256c0 17.64 14.36 32 32 32h288c17.64 0 32-14.36 32-32V176zM592.1 192H576v192h16.08C609.8 384 624 369.7 624 352V224C624 206.3 609.7 192 592.1 192zM16 224v128c0 17.67 14.26 32 31.94 32H64V192H48.03C30.36 192 16 206.3 16 224z"],
    "robot-astromech": [512, 512, [], "e2d2", "M510.3 479L480 404.1V227.6C480 187.2 456 160 420.4 160H384V128c0-70.69-57.3-128-127.1-128C164.1 0 127.1 83.22 127.1 133.5V160H99.63C62.34 160 32 190.3 32 227.6v176.4l-30.25 74.94C.5762 481.9 0 484.1 0 487.1C0 501.4 10.92 512 24 512H128c13.25 0 24-10.75 24-24v-75.89l31.66 29.46C188.1 445.7 193.9 448 200 448h112c6.062 0 11.91-2.297 16.34-6.438L360 412.1V488c0 13.25 10.75 24 24 24h104c13.08 0 24-10.56 24-24.01C512 484.1 511.4 481.9 510.3 479zM104 464H59.56l18.69-46.28C79.41 414.9 80 411.8 80 408.7V227.6C80 216.8 88.81 208 99.63 208H104V464zM304 96c8.836 0 16 7.162 16 16c0 8.836-7.164 16-16 16c-8.84 0-16-7.164-16-16C288 103.2 295.2 96 304 96zM224 64c17.67 0 32 14.33 32 32c0 17.67-14.33 32-32 32C206.3 128 192 113.7 192 96C192 78.33 206.3 64 224 64zM360 346.5L302.6 400H209.4L152 346.5V192h208V346.5zM408 464v-256h12.38C423.3 208 432 208 432 227.6v181.1c0 3.078 .5938 6.125 1.75 8.984L452.4 464H408zM208 256h96c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16H208C199.2 224 192 231.2 192 240C192 248.8 199.2 256 208 256zM208 320h96c8.836 0 16-7.164 16-16c0-8.838-7.166-16-16-16h-96C199.2 288 192 295.2 192 304C192 312.8 199.2 320 208 320z"],
    "rocket": [512, 512, [], "f135", "M408 143.1C408 166.1 390.1 183.1 368 183.1C345.9 183.1 328 166.1 328 143.1C328 121.9 345.9 103.1 368 103.1C390.1 103.1 408 121.9 408 143.1zM23.1 288C15.38 288 7.414 283.4 3.145 275.9C-1.123 268.4-1.043 259.2 3.356 251.8L55.83 163.3C68.79 141.4 92.33 127.1 117.8 127.1H199.9C202.4 124 204.8 120.3 207.2 116.7C289.1-4.07 411.1-8.142 483.9 5.275C495.6 7.414 504.6 16.43 506.7 28.06C520.1 100.9 516.1 222.9 395.3 304.8C391.7 307.2 387.1 309.6 384 312.1V394.2C384 419.7 370.6 443.2 348.7 456.2L260.2 508.6C252.8 513 243.6 513.1 236.1 508.9C228.6 504.6 223.1 496.6 223.1 488V391.8C215.2 395.6 207.4 398.9 200.1 401.7C189.1 406.6 175.5 403.9 166.5 394.8L115.8 344.1C106.6 334.9 103.9 321.1 109.1 309.2C111.7 303.2 114.9 296 118.5 288L23.1 288zM461.7 50.32C398.4 41.85 309.1 51.1 246.1 143.7C216.8 188.1 178.1 271.9 157.6 318.1L192.6 353.1C239.1 333.2 323.9 295.2 368.3 265C460 202.9 470.2 113.6 461.7 50.32V50.32z"],
    "rocket-launch": [512, 512, [128640], "e027", "M408 143.1C408 166.1 390.1 183.1 368 183.1C345.9 183.1 328 166.1 328 143.1C328 121.9 345.9 103.1 368 103.1C390.1 103.1 408 121.9 408 143.1zM384 312.1V394.2C384 419.7 370.6 443.2 348.7 456.2L260.2 508.6C252.8 513 243.6 513.1 236.1 508.9C228.6 504.6 224 496.6 224 488V373.3C224 350.6 215 328.1 199 312.1C183 296.1 161.4 288 138.7 288H24C15.38 288 7.414 283.4 3.146 275.9C-1.123 268.4-1.042 259.2 3.357 251.8L55.83 163.3C68.79 141.4 92.33 127.1 117.8 127.1H199.9C281.7-3.798 408.8-8.546 483.9 5.272C495.6 7.411 504.6 16.45 506.7 28.07C520.5 103.2 515.8 230.3 384 312.1V312.1zM197.9 253.9C210.8 260.2 222.6 268.7 232.1 279C243.3 289.4 251.8 301.2 258.1 314.1C363.9 284.1 414.8 234.5 439.7 188C464.7 141.3 466.1 90.47 461.7 50.33C421.5 45.02 370.7 47.34 323.1 72.33C277.5 97.16 227.9 148.1 197.9 253.9H197.9zM41.98 345.5C76.37 311.1 132.1 311.1 166.5 345.5C200.9 379.9 200.9 435.6 166.5 470C117 519.5 .4765 511.5 .4765 511.5C.4765 511.5-7.516 394.1 41.98 345.5V345.5zM64.58 447.4C64.58 447.4 103.3 450.1 119.8 433.6C131.2 422.2 131.2 403.6 119.8 392.2C108.3 380.8 89.81 380.8 78.38 392.2C61.92 408.7 64.58 447.4 64.58 447.4z"],
    "roller-coaster": [640, 512, [], "e324", "M48 456C48 469.3 37.25 480 24 480C10.75 480 0 469.3 0 456V184C0 100.1 68.05 32 152 32H157.1C206.9 32 253.5 56.4 281.9 97.3L398.4 265C422.3 299.5 461.6 320 503.5 320H512C556.2 320 592 284.2 592 240V232C592 191.7 564.9 157.8 528 147.3V264C528 277.3 517.3 288 504 288C490.7 288 480 277.3 480 264V145.1C463.8 147.2 448.2 152.7 434.1 161.1L416 171.1V234.3L358 150.8L409.4 119.9C435.6 104.3 465.4 96 495.9 96H504C579.1 96 640 156.9 640 232V456C640 469.3 629.3 480 616 480C602.7 480 592 469.3 592 456V339.9C576 352.7 556.9 361.8 536 365.8V456C536 469.3 525.3 480 512 480C498.7 480 488 469.3 488 456V367.3C471.4 365.9 455.3 362.1 440 356.1V456C440 469.3 429.3 480 416 480C402.7 480 392 469.3 392 456V328.2C379.5 317.1 368.4 305.1 358.9 292.4L344 270.9V456C344 469.3 333.3 480 320 480C306.7 480 296 469.3 296 456V201.8L248 132.6V456C248 469.3 237.3 480 224 480C210.7 480 200 469.3 200 456V89.28C186.7 83.25 172.1 80 157.1 80H152V456C152 469.3 141.3 480 128 480C114.7 480 104 469.3 104 456V91.72C70.72 109.1 48 143.9 48 184V456z"],
    "rotate": [512, 512, [128260, "sync-alt"], "f2f1", "M481.2 33.81c-8.938-3.656-19.31-1.656-26.16 5.219l-50.51 50.51C364.3 53.81 312.1 32 256 32C157 32 68.53 98.31 40.91 193.3C37.19 206 44.5 219.3 57.22 223c12.81 3.781 26.06-3.625 29.75-16.31C108.7 132.1 178.2 80 256 80c43.12 0 83.35 16.42 114.7 43.4l-59.63 59.63c-6.875 6.875-8.906 17.19-5.219 26.16c3.719 8.969 12.47 14.81 22.19 14.81h143.9C485.2 223.1 496 213.3 496 200v-144C496 46.28 490.2 37.53 481.2 33.81zM454.7 288.1c-12.78-3.75-26.06 3.594-29.75 16.31C403.3 379.9 333.8 432 255.1 432c-43.12 0-83.38-16.42-114.7-43.41l59.62-59.62c6.875-6.875 8.891-17.03 5.203-26C202.4 294 193.7 288 183.1 288H40.05c-13.25 0-24.11 10.74-24.11 23.99v144c0 9.719 5.844 18.47 14.81 22.19C33.72 479.4 36.84 480 39.94 480c6.25 0 12.38-2.438 16.97-7.031l50.51-50.52C147.6 458.2 199.9 480 255.1 480c99 0 187.4-66.31 215.1-161.3C474.8 305.1 467.4 292.7 454.7 288.1z"],
    "rotate-exclamation": [512, 512, [], "e23c", "M256 79.1C178.5 79.1 112.7 130.1 89.2 199.7C84.96 212.2 71.34 218.1 58.79 214.7C46.23 210.5 39.48 196.9 43.72 184.3C73.6 95.8 157.3 32 256 32C337.5 32 408.8 75.53 448 140.6V104C448 90.75 458.7 80 472 80C485.3 80 496 90.75 496 104V200C496 213.3 485.3 224 472 224H376C362.7 224 352 213.3 352 200C352 186.7 362.7 176 376 176H412.8C383.7 118.1 324.4 80 256 80V79.1zM280 263.1C280 277.3 269.3 287.1 256 287.1C242.7 287.1 232 277.3 232 263.1V151.1C232 138.7 242.7 127.1 256 127.1C269.3 127.1 280 138.7 280 151.1V263.1zM224 352C224 334.3 238.3 319.1 256 319.1C273.7 319.1 288 334.3 288 352C288 369.7 273.7 384 256 384C238.3 384 224 369.7 224 352zM40 432C26.75 432 16 421.3 16 408V311.1C16 298.7 26.75 287.1 40 287.1H136C149.3 287.1 160 298.7 160 311.1C160 325.3 149.3 336 136 336H99.19C128.3 393 187.6 432 256 432C333.5 432 399.3 381.9 422.8 312.3C427 299.8 440.7 293 453.2 297.3C465.8 301.5 472.5 315.1 468.3 327.7C438.4 416.2 354.7 480 256 480C174.5 480 103.2 436.5 64 371.4V408C64 421.3 53.25 432 40 432V432z"],
    "rotate-left": [512, 512, ["rotate-back", "rotate-backward", "undo-alt"], "f2ea", "M30.81 49.81c8.969-3.656 19.28-1.656 26.16 5.219l41.1 41.1c41.07-40.38 97.11-64.92 157.1-64.92C379.6 32.11 480 132.5 480 256s-100.4 223.9-223.9 223.9c-52.31 0-103.3-18.33-143.5-51.77c-10.19-8.5-11.56-23.62-3.062-33.81c8.531-10.22 23.62-11.56 33.81-3.062C174.9 417.5 214.9 432 256 432c97.03 0 176-78.97 176-176S353 80 256 80c-47.08 0-90.93 19.29-123.2 50.89l52.14 52.14c6.875 6.875 8.906 17.19 5.219 26.16C186.5 218.2 177.7 224 168 224h-128C26.75 224 16 213.3 16 200v-128C16 62.28 21.84 53.53 30.81 49.81z"],
    "rotate-right": [512, 512, ["redo-alt", "rotate-forward"], "f2f9", "M496 72v128C496 213.3 485.3 224 472 224h-128c-13.19 0-24-10.66-24-23.98c0-6.247 2.432-12.39 7.033-16.99L379.2 130.9C346.9 99.29 303.1 80 256 80C158.1 80 80 158.1 80 256s78.97 176 176 176c81.21 0 107.1-46.34 127.1-46.34c10.18 0 24.02 8.003 24.02 24.01c0 25.11-75.1 70.27-152.1 70.27c-123.5 0-223.9-100.4-223.9-223.9s100.4-223.1 223.9-223.1c60.03 0 116 24.58 157.1 64.95l41.1-41.1c4.601-4.601 10.74-7.019 16.99-7.019C485.4 48.01 496 58.83 496 72z"],
    "route": [512, 512, [], "f4d7", "M416 256H328C305.9 256 288 273.9 288 296C288 318.1 305.9 336 328 336H424C472.6 336 512 375.4 512 424C512 472.6 472.6 512 424 512H139.6C148.3 502.1 158.9 489.4 169.6 475.2C172.3 471.6 175 467.8 177.8 464H424C446.1 464 464 446.1 464 424C464 401.9 446.1 384 424 384H328C279.4 384 240 344.6 240 296C240 247.4 279.4 208 328 208H374.1C348.3 174.9 320 130.7 320 96C320 42.98 362.1 0 416 0C469 0 512 42.98 512 96C512 135.2 476 186.4 448.1 220.2C430.4 241.6 416 256 416 256zM454.1 126.5C461.7 111.3 464 101.1 464 96C464 69.49 442.5 48 416 48C389.5 48 368 69.49 368 96C368 101.1 370.3 111.3 377.9 126.5C385.2 141 395.4 156.5 406.4 171.2C409.6 175.5 412.8 179.6 416 183.6C419.2 179.6 422.4 175.5 425.6 171.2C436.6 156.5 446.8 141 454.1 126.5V126.5zM128.1 476.2C124.8 480.2 121.6 483.1 118.6 487.4C118.3 487.8 117.1 488.1 117.7 488.4C114 492.7 110.6 496.4 107.7 499.6C107.6 499.8 107.4 499.9 107.3 500.1C100.4 507.6 96 512 96 512C96 512 81.57 497.6 63.9 476.2C35.99 442.4 0 391.2 0 352C0 298.1 42.98 256 96 256C149 256 192 298.1 192 352C192 386.7 163.7 430.9 137.9 464C134.6 468.3 131.3 472.3 128.1 476.2L128.1 476.2zM134.1 382.5C141.7 367.3 144 357.1 144 352C144 325.5 122.5 304 96 304C69.49 304 48 325.5 48 352C48 357.1 50.29 367.3 57.93 382.5C65.18 397 75.38 412.5 86.4 427.2C89.61 431.5 92.84 435.6 96 439.6C99.16 435.6 102.4 431.5 105.6 427.2C116.6 412.5 126.8 397 134.1 382.5V382.5z"],
    "route-highway": [448, 512, [], "f61a", "M245.7 9.043C283.2 31.52 329.3 34.14 369.1 16.07C387.7 7.586 409.8 14.71 419.9 32.51L440.6 68.66C447.2 80.27 447.6 94.43 441.6 106.4L433.2 123.3C421.9 145.9 416 170.8 416 196.1C416 216.7 419.9 237.2 427.6 256.5L439.3 285.7C445.1 300 448 315.3 448 330.7C448 377.4 421.2 419.9 379.2 440.1L234.4 509.6C227.8 512.8 220.2 512.8 213.6 509.6L68.84 440.1C26.76 419.9 0 377.4 0 330.7C0 315.3 2.946 300 8.679 285.7L20.37 256.5C28.05 237.2 32 216.7 32 196.1C32 170.8 26.12 145.9 14.83 123.3L6.363 106.4C.3821 94.43 .775 80.27 7.411 68.66L28.07 32.51C38.24 14.71 60.29 7.586 78.95 16.07C118.7 34.14 164.8 31.52 202.3 9.043L211.7 3.42C219.3-1.14 228.7-1.14 236.3 3.42L245.7 9.043zM79.96 192C79.99 193.4 80 194.7 80 196.1C80 222.9 74.89 249.4 64.94 274.3L53.25 303.5C49.78 312.2 48 321.4 48 330.7C48 358.1 64.18 384.7 89.61 396.9L224 461.4L358.4 396.9C383.8 384.7 400 358.1 400 330.7C400 321.4 398.2 312.2 394.8 303.5L383.1 274.3C373.1 249.4 368 222.9 368 196.1C368 194.7 368 193.4 368 192H79.96z"],
    "route-interstate": [512, 512, [], "f61b", "M451.3 26.01C469.1 22.66 486.4 34.73 488.1 52.9C503.9 156.6 498.4 247.8 463.5 325.1C428.3 402.9 364.8 463.5 269.4 508.2C261.2 512.1 251.7 512.3 243.4 508.7C145.5 467.5 81.62 406.5 46.91 327.6C12.55 249.5 8.034 156.5 23 52.89C25.63 34.71 42.91 22.67 60.66 26.01C132.4 39.53 186.2 37.77 239.4 6.009C249.6-.0864 262.4-.0864 272.6 6.009C325.8 37.77 379.6 39.53 451.3 26.01H451.3zM64.02 192C66.95 235.1 75.69 273.8 90.85 308.3C119.1 372.6 170.9 424.5 255.5 461.7C338.9 421.2 390.1 368.1 419.8 305.3C434.1 271.6 444 233.1 447.3 192H64.02z"],
    "router": [576, 512, [], "f8da", "M248.2 149.9C238.2 158.6 237.2 173.8 245.1 183.8C254.7 193.7 269.9 194.7 279.8 185.1c39.78-34.97 104.5-34.97 144.3 0c9.969 8.76 25.12 7.775 33.88-2.189C462 179.2 464 173.6 464 167.9c0-6.678-2.75-13.33-8.154-18.07C398.6 99.53 305.4 99.53 248.2 149.9zM200.3 105.5c83.69-77.05 219.8-77.05 303.5 0c9.75 8.979 24.94 8.338 33.91-1.424C541.9 99.49 544 93.65 544 87.83c0-6.477-2.594-12.95-7.75-17.69c-101.6-93.52-266.9-93.52-368.5 0C157.1 79.1 157.4 94.32 166.3 104.1C175.3 113.9 190.5 114.5 200.3 105.5zM512 303.1h-136V247.1c0-13.25-10.75-23.1-23.1-23.1S328 234.7 328 247.1v55.97H64c-35.35 0-64 28.68-64 64.03v79.1C0 483.3 28.65 512 64 512h448c35.35 0 64-28.65 64-64v-79.1C576 332.6 547.3 303.1 512 303.1zM528 447.1c0 8.824-7.178 16-16 16H64c-8.822 0-16-7.18-16-16v-80.01c0-8.822 7.178-15.99 16-15.99h448c8.822 0 16 7.166 16 15.99V447.1zM184 383.1c-13.25 0-24 10.75-24 24c0 13.26 10.75 24 24 24s24-10.75 24-24C208 394.7 197.3 383.1 184 383.1zM104 383.1c-13.25 0-24 10.75-24 24c0 13.26 10.75 24 24 24S128 421.2 128 407.1C128 394.7 117.3 383.1 104 383.1z"],
    "rss": [448, 512, ["feed"], "f09e", "M25 32.05C12.05 31.18 .5833 41.77 .0208 55.02c-.5469 13.25 9.734 24.44 22.98 24.97C222.5 88.36 391.7 257.5 400 457C400.6 469.9 411.2 480 423.1 480c.3438 0 .6718 0 1.016-.0313c13.25-.5312 23.53-11.72 22.98-24.97C438.6 231.1 248.9 41.39 25 32.05zM25.57 176.1c-13.16-.7187-24.66 9.156-25.51 22.37C-.8071 211.7 9.223 223.1 22.44 223.9c120.1 7.875 225.7 112.7 233.6 233.6C256.9 470.3 267.4 480 279.1 480c.5313 0 1.062-.0313 1.594-.0625c13.22-.8437 23.25-12.28 22.39-25.5C294.6 310.3 169.7 185.4 25.57 176.1zM63.1 351.9c-16.38 0-32.75 6.314-45.25 18.81c-24.99 24.99-24.99 65.51 0 90.5C31.25 473.8 47.62 480 63.1 480s32.76-6.25 45.26-18.75c24.99-24.99 24.99-65.51 0-90.5C96.76 358.3 80.38 351.9 63.1 351.9zM75.32 427.3c-4.078 4.078-8.838 4.687-11.31 4.687s-7.234-.6093-11.31-4.687c-4.076-4.078-4.685-8.836-4.685-11.31c0-2.476 .6094-7.234 4.687-11.31c4.078-4.078 8.838-4.687 11.31-4.687s7.234 .6093 11.31 4.687c4.078 4.078 4.685 8.836 4.685 11.31C80 418.5 79.4 423.2 75.32 427.3z"],
    "ruble-sign": [384, 512, [8381, "rouble", "rub", "ruble"], "f158", "M240 32C319.5 32 384 96.47 384 176C384 255.5 319.5 320 240 320H112V368H296C309.3 368 320 378.7 320 392C320 405.3 309.3 416 296 416H112V456C112 469.3 101.3 480 88 480C74.75 480 64 469.3 64 456V416H24C10.75 416 0 405.3 0 392C0 378.7 10.75 368 24 368H64V320H24C10.75 320 0 309.3 0 296C0 282.7 10.75 272 24 272H64V79.31C64 53.18 85.18 32 111.3 32H240zM336 176C336 122.1 293 80 240 80H112V272H240C293 272 336 229 336 176z"],
    "rug": [640, 512, [], "e569", "M616 64C629.3 64 640 74.75 640 88C640 101.3 629.3 112 616 112H608V152H616C629.3 152 640 162.7 640 176C640 189.3 629.3 200 616 200H608V232H616C629.3 232 640 242.7 640 256C640 269.3 629.3 280 616 280H608V312H616C629.3 312 640 322.7 640 336C640 349.3 629.3 360 616 360H608V400H616C629.3 400 640 410.7 640 424C640 437.3 629.3 448 616 448H24C10.75 448 0 437.3 0 424C0 410.7 10.75 400 24 400H32V360H24C10.75 360 0 349.3 0 336C0 322.7 10.75 312 24 312H32V280H24C10.75 280 0 269.3 0 256C0 242.7 10.75 232 24 232H32V200H24C10.75 200 0 189.3 0 176C0 162.7 10.75 152 24 152H32V112H24C10.75 112 0 101.3 0 88C0 74.75 10.75 64 24 64H616zM80 112V400H128V112H80zM464 112H176V400H464V112zM512 400H560V112H512V400z"],
    "rugby-ball": [512, 512, [], "e3c6", "M495.1 174.8c0-45.12-7.712-83.76-14.15-108.2c-4.688-17.54-18.34-31.23-36.04-35.95C435.5 27.91 392.9 16 337 16C149 16 15.1 154.6 15.1 337.2c0 45.12 7.713 83.77 14.15 108.2C35.22 464.3 50.46 496 174.9 496C362.1 496 495.1 357.4 495.1 174.8zM447.9 174.3C447.9 331.6 335.8 448 174.9 448c-32.06 0-64.21-4.277-96.35-12.93c-3.39-.9-14.53-49.41-14.53-97.37C64.07 180.4 176.2 64 337 64c31.83 0 63.92 4.303 96.41 13.07C436.7 77.95 447.9 126.2 447.9 174.3zM360 136c-4.094 0-8.188 1.562-11.31 4.688l-44.67 44.67l-20.69-20.69c-3.125-3.125-7.219-4.688-11.31-4.688c-8.528 0-16 6.865-16 16c0 4.094 1.562 8.188 4.688 11.31l20.69 20.69l-25.38 25.38L235.3 212.7C232.2 209.6 228.1 207.1 224 207.1c-9.141 0-16 7.473-16 16c0 4.094 1.562 8.188 4.688 11.31l20.69 20.69L208 281.4L187.3 260.7C184.2 257.6 180.1 255.1 176 255.1c-9.142 0-16 7.472-16 16c0 4.094 1.562 8.188 4.688 11.31l20.69 20.69l-44.69 44.69C137.6 351.8 136 355.9 136 360c0 9.139 7.473 16 16 16c4.094 0 8.188-1.562 11.31-4.688l44.69-44.69l20.69 20.69c3.125 3.125 7.219 4.689 11.31 4.689c8.526 0 16-6.867 16-16c0-4.094-1.562-8.188-4.688-11.31L230.6 303.1l25.38-25.38l20.69 20.69c3.125 3.125 7.219 4.689 11.31 4.689c8.526 0 16-6.867 16-16c0-4.094-1.562-8.188-4.688-11.31l-20.69-20.69l25.38-25.38l20.69 20.69c3.125 3.125 7.221 4.688 11.31 4.688c8.545 0 16-6.882 16-16c0-4.094-1.562-8.188-4.688-11.31l-20.69-20.69l44.67-44.67C374.4 160.2 376 156.1 376 152C376 142.9 368.5 136 360 136z"],
    "ruler": [512, 512, [128207], "f545", "M29.25 413.3C4.26 388.3 4.26 347.7 29.25 322.7L322.7 29.25C347.7 4.261 388.3 4.261 413.3 29.25L482.7 98.75C507.7 123.7 507.7 164.3 482.7 189.3L189.3 482.7C164.3 507.7 123.7 507.7 98.74 482.7L29.25 413.3zM63.2 379.3L132.7 448.8C138.9 455.1 149.1 455.1 155.3 448.8L448.8 155.3C455.1 149.1 455.1 138.9 448.8 132.7L379.3 63.2C373.1 56.95 362.9 56.95 356.7 63.2L317.3 102.6L347.3 132.7C353.6 138.9 353.6 149.1 347.3 155.3C341.1 161.6 330.9 161.6 324.7 155.3L294.6 125.3L253.3 166.6L283.3 196.7C289.6 202.9 289.6 213.1 283.3 219.3C277.1 225.6 266.9 225.6 260.7 219.3L230.6 189.3L189.3 230.6L219.3 260.7C225.6 266.9 225.6 277.1 219.3 283.3C213.1 289.6 202.9 289.6 196.7 283.3L166.6 253.3L125.3 294.6L155.3 324.7C161.6 330.9 161.6 341.1 155.3 347.3C149.1 353.6 138.9 353.6 132.7 347.3L102.6 317.3L63.2 356.7C56.95 362.9 56.95 373.1 63.2 379.3V379.3z"],
    "ruler-combined": [512, 512, [], "f546", "M448 272C483.3 272 512 300.7 512 336V448C512 483.3 483.3 512 448 512H64C30.86 512 3.608 486.8 .3306 454.5C.112 452.4 0 450.2 0 448V64C0 28.65 28.65 0 64 0H176C211.3 0 240 28.65 240 64V272H448zM192 288V224H128C119.2 224 112 216.8 112 208C112 199.2 119.2 192 128 192H192V128H128C119.2 128 112 120.8 112 112C112 103.2 119.2 96 128 96H192V64C192 55.16 184.8 48 176 48H64C55.16 48 48 55.16 48 64V448C48 448.6 48.03 449.2 48.08 449.7C48.9 457.7 55.75 464 64 464H448C456.8 464 464 456.8 464 448V336C464 327.2 456.8 320 448 320H416V384C416 392.8 408.8 400 400 400C391.2 400 384 392.8 384 384V320H320V384C320 392.8 312.8 400 304 400C295.2 400 288 392.8 288 384V320H224V384C224 392.8 216.8 400 208 400C199.2 400 192 392.8 192 384V320H128C119.2 320 112 312.8 112 304C112 295.2 119.2 288 128 288H192z"],
    "ruler-horizontal": [640, 512, [], "f547", "M64 384C28.65 384 0 355.3 0 320V192C0 156.7 28.65 128 64 128H576C611.3 128 640 156.7 640 192V320C640 355.3 611.3 384 576 384H64zM64 336H576C584.8 336 592 328.8 592 320V192C592 183.2 584.8 176 576 176H528V224C528 232.8 520.8 240 512 240C503.2 240 496 232.8 496 224V176H432V224C432 232.8 424.8 240 416 240C407.2 240 400 232.8 400 224V176H336V224C336 232.8 328.8 240 320 240C311.2 240 304 232.8 304 224V176H240V224C240 232.8 232.8 240 224 240C215.2 240 208 232.8 208 224V176H144V224C144 232.8 136.8 240 128 240C119.2 240 112 232.8 112 224V176H64C55.16 176 48 183.2 48 192V320C48 328.8 55.16 336 64 336z"],
    "ruler-triangle": [512, 512, [128208], "f61c", "M256 384H128V256L256 384zM512 477.3V480C512 497.7 497.7 512 480 512H64C28.65 512 0 483.3 0 448V32C0 14.33 14.33 0 32 0H34.75C43.23 0 51.37 3.372 57.37 9.372L502.6 454.6C508.6 460.6 512 468.8 512 477.3zM64 464H444.1L377.4 397.3L363.3 411.3C357.1 417.6 346.9 417.6 340.7 411.3C334.4 405.1 334.4 394.9 340.7 388.7L354.7 374.6L297.4 317.3L283.3 331.3C277.1 337.6 266.9 337.6 260.7 331.3C254.4 325.1 254.4 314.9 260.7 308.7L274.7 294.6L217.4 237.3L203.3 251.3C197.1 257.6 186.9 257.6 180.7 251.3C174.4 245.1 174.4 234.9 180.7 228.7L194.7 214.6L137.4 157.3L123.3 171.3C117.1 177.6 106.9 177.6 100.7 171.3C94.44 165.1 94.44 154.9 100.7 148.7L114.7 134.6L47.1 67.88V448C47.1 456.8 55.16 464 63.1 464L64 464z"],
    "ruler-vertical": [256, 512, [], "f548", "M192 0C227.3 0 256 28.65 256 64V448C256 483.3 227.3 512 192 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H192zM192 48H64C55.16 48 48 55.16 48 64V448C48 456.8 55.16 464 64 464H192C200.8 464 208 456.8 208 448V416H160C151.2 416 144 408.8 144 400C144 391.2 151.2 384 160 384H208V320H160C151.2 320 144 312.8 144 304C144 295.2 151.2 288 160 288H208V224H160C151.2 224 144 216.8 144 208C144 199.2 151.2 192 160 192H208V128H160C151.2 128 144 120.8 144 112C144 103.2 151.2 96 160 96H208V64C208 55.16 200.8 48 192 48z"],
    "rupee-sign": [448, 512, [8360, "rupee"], "f156", "M0 56C0 42.75 10.75 32 24 32H120C195.1 32 256 92.89 256 168C256 227.4 217.9 277.9 164.9 296.4L222.4 447.5C227.1 459.8 220.9 473.7 208.5 478.4C196.2 483.1 182.3 476.9 177.6 464.5L116.4 304H48V456C48 469.3 37.25 480 24 480C10.75 480 0 469.3 0 456V56zM48 256H120C168.6 256 208 216.6 208 168C208 119.4 168.6 80 120 80H48V256zM313.7 282.3C314.9 285.4 317.2 288.5 321.2 291.7C330.4 299.1 344.5 304.2 364.3 311.3L365.2 311.6C382.6 317.7 405.1 325.8 421.8 340.1C430.9 347.8 438.7 357.7 443.4 370.4C448.1 383.1 449.1 397.2 446.9 412.4C442.1 438.1 427.8 458.9 405.9 469.9C384.9 480.5 359.5 482.2 334.3 477.6L334.1 477.5C325.2 475.8 313.1 471.9 304.7 468.4C298.3 465.1 291.6 463.3 286.2 461.1C283.5 460 281.1 459.1 279.2 458.3C266.9 453.5 260.8 439.6 265.7 427.2C270.5 414.9 284.4 408.8 296.8 413.6C299.3 414.6 302.1 415.7 304.9 416.9C310.1 418.1 315.7 421.2 321.6 423.5C331 426.1 338.6 429.5 343.1 430.4C361.2 433.7 375.2 431.6 384.3 427.1C392.4 422.1 397.8 416.4 399.4 405.4C400.7 396.6 399.8 390.9 398.3 387.1C396.1 383.3 394.6 379.9 390.6 376.5C381.7 368.9 367.7 363.4 348.2 356.5L345.3 355.4C328.5 349.5 307.2 341.9 291.2 329.2C282.2 321.1 274.1 312.6 269.1 300.2C264.1 287.8 262.1 274.1 265.1 259.4C272.9 206.6 327.3 184.9 377.7 194.2C384.8 195.5 406.1 200.3 414.2 202.9C426.8 206.8 433.9 220.3 429.9 232.9C425.9 245.6 412.5 252.6 399.8 248.7C394.3 246.9 375.1 242.5 368.1 241.4C332.7 234.7 314.8 251.6 312.6 266.4C311.4 274.3 312.4 279.2 313.7 282.3V282.3z"],
    "rupiah-sign": [512, 512, [], "e23d", "M0 56C0 42.75 10.75 32 24 32H120C195.1 32 256 92.89 256 168C256 227.4 217.9 277.9 164.9 296.4L222.4 447.5C227.1 459.8 220.9 473.7 208.5 478.4C196.2 483.1 182.3 476.9 177.6 464.5L116.4 304H48V456C48 469.3 37.25 480 24 480C10.75 480 0 469.3 0 456V56zM48 256H120C168.6 256 208 216.6 208 168C208 119.4 168.6 80 120 80H48V256zM400 160C461.9 160 512 210.1 512 272C512 333.9 461.9 384 400 384H336V488C336 501.3 325.3 512 312 512C298.7 512 288 501.3 288 488V184C288 170.7 298.7 160 312 160H400zM464 272C464 236.7 435.3 208 400 208H336V336H400C435.3 336 464 307.3 464 272z"],
    "rv": [640, 512, [], "f7be", "M264 128C277.3 128 288 138.7 288 152V232C288 245.3 277.3 256 264 256H120C106.7 256 96 245.3 96 232V152C96 138.7 106.7 128 120 128H264zM224 24C224 10.75 234.7 0 248 0H360C373.3 0 384 10.75 384 24V32H520C568.6 32 608 71.4 608 120V160C608 182.5 592.5 201.4 571.6 206.6L624.7 248.3C634.4 255.9 640 267.5 640 279.8V376C640 398.1 622.1 416 600 416H574.4C575.4 421.2 576 426.5 576 432C576 476.2 540.2 512 496 512C451.8 512 416 476.2 416 432C416 426.5 416.6 421.2 417.6 416H254.4C255.4 421.2 256 426.5 256 432C256 476.2 220.2 512 176 512C131.8 512 96 476.2 96 432C96 425 96.89 418.3 98.55 411.9C97.3 411 96.12 410.1 95.03 408.1L21.09 335C7.586 321.5 0 303.2 0 284.1V104C0 64.24 32.24 32 72 32H224V24zM72 80C58.75 80 48 90.75 48 104V284.1C48 290.5 50.53 296.6 55.03 301.1L121.9 368H127.1C141.4 357.1 157.1 352 176 352C194 352 210.6 357.1 224 368H384V184C384 170.7 394.7 160 408 160H560V120C560 97.91 542.1 80 520 80H72zM495.7 208H432V256H556.8L495.7 208zM176 400C158.3 400 144 414.3 144 432C144 449.7 158.3 464 176 464C193.7 464 208 449.7 208 432C208 414.3 193.7 400 176 400zM496 400C478.3 400 464 414.3 464 432C464 449.7 478.3 464 496 464C513.7 464 528 449.7 528 432C528 414.3 513.7 400 496 400z"],
    "s": [384, 512, [115], "53", "M349.9 382.7c-6.109 34.88-24.91 61.98-54.34 78.39c-24.69 13.77-54.23 18.84-84.38 18.84c-67.36 0-137.8-25.33-164.1-35.86c-12.31-4.922-18.3-18.89-13.38-31.19c4.938-12.31 18.91-18.28 31.19-13.38c87.11 34.83 166.6 42.34 207.3 19.66c16.86-9.391 26.81-24.03 30.44-44.75c9.391-53.59-28.48-70.16-117.2-95.2c-75.39-21.28-169.2-47.78-151.4-149.7c5.344-30.41 22.78-56.47 49.11-73.39c45.86-29.5 117.2-31.98 211.1-7.359C308 52.16 315.7 65.25 312.4 78.08c-3.344 12.83-16.53 20.44-29.27 17.2C181.9 68.97 132.6 81.45 109.2 96.55C90.03 108.8 83.48 125.8 81.38 137.9c-9.391 53.56 28.48 70.13 117.1 95.17C273.9 254.3 367.8 280.8 349.9 382.7z"],
    "sack": [512, 512, [], "f81c", "M.0003 416C.0003 274.8 89.41 185.5 150.8 139.9C161.2 132.1 170.8 125.7 179 120.4L121.9 37.62C110.1 21.7 122.4 0 141.7 0H370.3C389.6 0 401 21.7 390.1 37.62L332.1 120.4C341.2 125.7 350.8 132.1 361.2 139.9C422.6 185.5 512 274.8 512 416C512 469 469 512 416 512H96C42.98 512 0 469 0 416L.0003 416zM293.3 152H218.7L204.9 160.8C150.9 195.4 48 277 48 416C48 442.5 69.49 464 96 464H416C442.5 464 464 442.5 464 416C464 277 361.1 195.4 307.1 160.8L293.3 152zM324.6 48H187.4L226 104H285.1L324.6 48z"],
    "sack-dollar": [512, 512, [128176], "f81d", "M276.1 230.3C282.7 231.5 292.7 233.5 297.1 234.7C307.8 237.5 314.2 248.5 311.3 259.1C308.5 269.8 297.5 276.2 286.9 273.3C283 272.3 269.5 269.7 265.1 268.1C252.9 267.1 242.1 268.7 236.5 271.6C230.2 274.4 228.7 277.7 228.3 279.7C227.7 283.1 228.3 284.3 228.5 284.7C228.7 285.2 229.5 286.4 232.1 288.2C238.2 292.4 247.8 295.4 261.1 299.7L262.8 299.9C274.9 303.6 291.1 308.4 303.2 317.3C309.9 322.1 316.2 328.7 320.1 337.7C324.1 346.8 324.9 356.8 323.1 367.2C319.8 386.2 307.2 399.2 291.4 405.9C286.6 407.1 281.4 409.5 276.1 410.5V416C276.1 427.1 267.1 436.1 255.1 436.1C244.9 436.1 235.9 427.1 235.9 416V409.6C226.4 407.4 213.1 403.2 206.1 400.5C204.4 399.9 202.9 399.4 201.7 398.1C191.2 395.5 185.5 384.2 189 373.7C192.5 363.2 203.8 357.5 214.3 361C216.3 361.7 218.5 362.4 220.7 363.2C230.2 366.4 240.9 370 246.9 371C259.7 373 269.6 371.7 275.7 369.1C281.2 366.8 283.1 363.8 283.7 360.3C284.4 356.3 283.8 354.5 283.4 353.7C283.1 352.8 282.2 351.4 279.7 349.6C273.8 345.3 264.4 342.2 250.4 337.9L248.2 337.3C236.5 333.8 221.2 329.2 209.6 321.3C203 316.8 196.5 310.6 192.3 301.8C188.1 292.9 187.1 283 188.9 272.8C192.1 254.5 205.1 241.9 220 235.1C224.1 232.9 230.3 231.2 235.9 230V223.1C235.9 212.9 244.9 203.9 256 203.9C267.1 203.9 276.1 212.9 276.1 223.1L276.1 230.3zM179 120.4L121.9 37.62C110.1 21.7 122.4 0 141.7 0H370.3C389.6 0 401 21.7 390.1 37.62L332.1 120.4C341.2 125.7 350.8 132.1 361.2 139.9C422.6 185.5 512 274.8 512 416C512 469 469 512 416 512H96C42.98 512 0 469 0 416C0 274.8 89.41 185.5 150.8 139.9C161.2 132.1 170.8 125.7 179 120.4L179 120.4zM204.9 160.8C150.9 195.4 48 277 48 416C48 442.5 69.49 464 96 464H416C442.5 464 464 442.5 464 416C464 277 361.1 195.4 307.1 160.8L293.3 151.1H218.7L204.9 160.8zM285.1 103.1L324.6 47.1H187.4L226 103.1H285.1z"],
    "sack-xmark": [512, 512, [], "e56a", "M256 286.1L303 239C312.4 229.7 327.6 229.7 336.1 239C346.3 248.4 346.3 263.6 336.1 272.1L289.9 320L336.1 367C346.3 376.4 346.3 391.6 336.1 400.1C327.6 410.3 312.4 410.3 303 400.1L256 353.9L208.1 400.1C199.6 410.3 184.4 410.3 175 400.1C165.7 391.6 165.7 376.4 175 367L222.1 320L175 272.1C165.7 263.6 165.7 248.4 175 239C184.4 229.7 199.6 229.7 208.1 239L256 286.1zM.0003 416C.0003 274.8 89.41 185.5 150.8 139.9C161.2 132.1 170.8 125.7 179 120.4L121.9 37.62C110.1 21.7 122.4 0 141.7 0H370.3C389.6 0 401 21.7 390.1 37.62L332.1 120.4C341.2 125.7 350.8 132.1 361.2 139.9C422.6 185.5 512 274.8 512 416C512 469 469 512 416 512H96C42.98 512 0 469 0 416L.0003 416zM293.3 152H218.7L204.9 160.8C150.9 195.4 48 277 48 416C48 442.5 69.49 464 96 464H416C442.5 464 464 442.5 464 416C464 277 361.1 195.4 307.1 160.8L293.3 152zM324.6 48H187.4L226 104H285.1L324.6 48z"],
    "sailboat": [576, 512, [], "e445", "M508.6 294.2C512.4 299 513.1 305.5 510.4 311C507.7 316.5 502.1 320 496 320H272C263.2 320 256 312.8 256 304V16C256 9.166 260.3 3.086 266.8 .867C273.3-1.351 280.4 .7825 284.6 6.178L508.6 294.2zM212.6 96.69C219.4 98.73 224 104.1 224 112V304C224 312.8 216.8 320 208 320H80C74.1 320 68.68 316.8 65.89 311.6C63.11 306.3 63.41 300 66.69 295.1L194.7 103.1C198.6 97.26 205.9 94.64 212.6 96.69V96.69zM556 352C566.3 352 573.9 361.5 571.6 371.5L562.5 412.1C549.3 470.5 497.5 512 437.6 512H138.4C78.53 512 26.66 470.5 13.52 412.1L4.389 371.5C2.138 361.5 9.746 352 19.1 352H556zM59.1 400L60.35 401.6C68.56 438.1 100.1 464 138.4 464H437.6C475 464 507.4 438.1 515.6 401.6L516 400H59.1z"],
    "salad": [512, 512, [129367, "bowl-salad"], "f81e", "M512 240c0-49.86-28.1-92.82-70.87-113.8c-12.5-33.24-42.5-56.61-77.75-60.98c-12.75-2-24.05-.8216-36.43 2.551C309.2 26.67 268.6 0 223.8 0C179 0 138.5 26.74 120.9 67.86C103 62.98 91.25 64.11 84.25 65.23C38 70.73 2.504 108.7 .1289 155.2c-1 15.1 4.125 36.99 10.62 49.11c9 16.1 15.88 34.99 19 53.61c-7.375 1.748-14.38 4.998-19.62 10.75c-7.25 7.873-10.88 18.37-10 28.99c6.25 72.86 51.38 136.5 116.6 166.3C119.6 490.9 142.1 512 169.5 512h173.6c27.38 0 50.13-21.12 52.75-48.24c65-29.99 109.9-93.48 116-166.1c.625-7.748-1.875-15.12-5.75-21.87C509.6 264.4 512 252.5 512 240zM208 112C208 103.2 215.2 96 224 96s16 7.156 16 16V256h-32V112zM68.69 148.7c6.25-6.25 16.38-6.25 22.62 0L198.6 256H153.4L68.69 171.3C62.44 165.1 62.44 154.9 68.69 148.7zM364 425l-15.75 5.748v27.49c0 3.25-2.375 5.75-5.125 5.75H169.5c-2.75 0-5.125-2.5-5.125-5.75v-27.37l-15.88-5.623c-52.75-18.1-90.75-65.86-99.25-121.2h413.5C454.4 359.3 416.5 406 364 425zM461.8 256.1h-155.6c-1.125-5.25-2.25-10.37-2.25-15.1c0-44.24 35.88-79.98 80-79.98c46.13 0 80.13 38.87 80.13 79.98C464 245.7 462.9 250.8 461.8 256.1z"],
    "salt-shaker": [384, 512, [129474], "e446", "M383.4 446.6L334.4 118.9C324.3 51.11 263.1 0 192 0S59.69 51.11 49.56 118.9L.5977 446.6C-1.777 462.8 3.002 479.2 13.75 491.6C24.91 504.6 41.28 512 58.66 512h266.7c17.38 0 33.75-7.438 44.91-20.39C380.1 479.2 385.8 462.8 383.4 446.6zM240 80C248.8 80 256 87.16 256 96c0 8.836-7.164 16-16 16S224 104.8 224 96C224 87.16 231.2 80 240 80zM192 48c8.836 0 16 7.162 16 16c0 8.836-7.164 16-16 16S176 72.84 176 64C176 55.16 183.2 48 192 48zM144 80C152.8 80 160 87.16 160 96c0 8.836-7.164 16-16 16S128 104.8 128 96C128 87.16 135.2 80 144 80zM333.9 460.3C331.9 462.6 328.7 464 325.3 464H58.66c-3.406 0-6.531-1.359-8.562-3.734c-1.156-1.344-2.469-3.578-2-6.547L87.2 192h209.6l39.1 261.7C336.4 456.7 335.1 458.9 333.9 460.3z"],
    "sandwich": [512, 512, [129386], "f81f", "M480 320H32c-17.62 0-32 14.38-32 32v64c0 17.62 14.38 32 32 32h448c17.62 0 32-14.38 32-32v-64C512 334.4 497.6 320 480 320zM464 400h-416v-32h416V400zM480 64H32C14.38 64 0 78.38 0 96v64c0 17.62 14.38 32 32 32h448c17.62 0 32-14.38 32-32V96C512 78.38 497.6 64 480 64zM464 144h-416v-32h416V144zM497.6 247.3C480.8 245.5 470.8 240.5 458.8 234.5c-12.88-6.5-71.63-38.88-149.3 0c-52.75 26.38-90.25 8.25-106.6 0c-12.75-6.375-71.25-39.13-149.5 0c-12 6-22 11-39 12.75C6.25 248.1 0 255 0 263.1v16.12c0 9.5 8.5 16.88 17.1 16C44.5 292.6 60.38 284.8 74.75 277.5c52.88-26.38 90.38-8.125 106.8 0c77.63 38.88 136.5 6.5 149.5 0c55.88-28 95.38-5.5 106.3 0c14.38 7.25 30.38 15.12 56.63 17.75C503.5 296.1 512 288.9 512 279.3V263.1C512 255 505.8 248.1 497.6 247.3z"],
    "satellite": [512, 512, [128752], "f7bf", "M502.8 264.1l-63.04-63.08l23.92-23.95c21.83-21.87 21.83-57.41 0-79.28L412.9 47.88c-21.13-21.12-58.02-21.21-79.21 0L309.7 71.86l-62.59-62.61C241 3.375 232.9 0 224.5 0c-8.5 0-16.62 3.375-22.5 9.25l-96.75 96.75c-12.38 12.5-12.38 32.62 0 45.12l62.69 62.67L167.4 214.3C152 210.1 135.9 207.7 119.1 207.7c-39.66 0-77.46 12.39-109.3 35.79C4.164 247.6 .5996 254 .0684 261C-.4629 267.1 2.086 274.9 7.039 279.8l95.49 95.6l-47.49 47.54c-9.375 9.387-9.375 24.59 0 33.98c9.377 9.391 24.56 9.391 33.94 0l47.49-47.54l95.49 95.6c4.953 4.973 11.73 7.32 18.8 6.977c6.969-.5313 13.38-4.102 17.52-9.734c23.39-31.91 35.75-69.74 35.75-109.4c0-16.77-2.439-32.95-6.633-48.4l.5781-.582l62.91 62.93c12.5 12.38 32.62 12.38 44.1 0l96.75-96.75C508.6 304.1 512 295.1 512 287.5C512 279.1 508.6 270.1 502.8 264.1zM150.6 128.5l73.87-73.75l51.19 51.17L201.9 179.8L150.6 128.5zM244 449.1L62.87 267.7C80.39 259.8 99.44 255.7 119.1 255.7c75.49 0 136.9 61.48 136.9 137.1C256 412.5 251.9 431.6 244 449.1zM214.9 234.7l152.7-152.9c4.094-4.066 7.219-4.066 11.31 0l50.75 50.81c3.109 3.129 3.109 8.195 0 11.33l-152.7 152.9C261.5 271.5 240.2 250.2 214.9 234.7zM383.5 361.4l-51.55-51.57l73.76-73.84l51.54 51.54L383.5 361.4z"],
    "satellite-dish": [512, 512, [128225], "f7c0", "M201.5 344.5l47.48-47.48c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0L167.5 310.5L72.06 215C67.11 210.1 60.33 207.7 53.27 208.1C46.3 208.6 39.89 212.2 35.75 217.8C12.36 249.7 0 287.4 0 327.1C0 429.1 82.95 512 184.9 512c39.66 0 77.45-12.38 109.3-35.75c5.641-4.156 9.203-10.53 9.734-17.53c.5313-6.969-2.016-13.84-6.969-18.78L201.5 344.5zM184.9 464C109.4 464 48 402.6 48 327.1c0-19.66 4.109-38.72 12.02-56.22L241.1 452C223.6 459.9 204.6 464 184.9 464zM216 0C202.8 0 192 10.75 192 24S202.8 48 216 48c136.8 0 248 111.3 248 248c0 13.25 10.75 24 24 24S512 309.3 512 296C512 132.8 379.2 0 216 0zM216 104C202.8 104 192 114.8 192 128s10.75 24 24 24c79.41 0 144 64.59 144 144C360 309.3 370.8 320 384 320s24-10.75 24-24C408 190.1 321.9 104 216 104z"],
    "sausage": [512, 512, [], "f820", "M447.9 69.88l15.11-45.74C464.9 18.64 464 12.38 460.5 7.625C457 2.875 451.5 0 445.6 0h-59.25C380.5 0 375 2.875 371.5 7.625C368 12.38 367.1 18.64 369 24.14l15.25 45.73C346.9 83 320 118.2 320 160c0 88.25-71.75 160-160 160c-41.75 0-77 26.88-90.12 64.13L24.14 369C18.64 367.1 12.38 368 7.625 371.5C2.875 375 0 380.5 0 386.4v59.25C0 451.5 2.875 457 7.625 460.5c4.75 3.375 11.02 4.375 16.52 2.5l45.73-15.25C83 485.1 118.2 512 159.1 512C354.1 512 512 354.1 512 160C512 118.2 485.1 83 447.9 69.88zM160 464c-26.5 0-48-21.5-48-48s21.5-48 48-48c114.8 0 208-93.25 208-208c0-26.5 21.5-48 48-48s48 21.5 48 48C464 327.6 327.6 464 160 464z"],
    "saxophone": [640, 512, [127927], "f8dc", "M112 280c-13.25 0-24 10.75-24 23.1s10.75 23.1 24 23.1s24-10.75 24-23.1S125.3 280 112 280zM625.9 72.25l-24.63-23.37c-11.5-10.87-26.63-16.87-42.5-16.87h-42.13c-23.38-.125-45.88 8.75-62.75 24.87l-5.5 5.5l-9.75-9.625c-6.25-6.25-16.38-6.25-22.63 0l-11.25 11.25c-6.25 6.25-6.25 16.37 0 22.62l9.75 9.875l-14 13.1l-9.875-9.75c-6.25-6.25-16.38-6.25-22.63 0l-11.25 11.25c-6.25 6.25-6.25 16.37 0 22.62l9.875 9.1l-14 14.12l-10-9.1c-6.248-6.248-16.38-6.248-22.63 0L308.8 160c-6.25 6.25-6.25 16.37 0 22.62l10 10.12l-94.75 95.25l40-111.1c13.26 0 24-10.75 24-24c0-13.25-10.74-23.1-23.1-23.1H24C10.75 128 0 138.7 0 152C0 165.3 10.74 176 23.1 176h2.627C17.13 209 0 273.1 0 310.9c0 62.62 36.25 119.9 94.75 149.4C119 473.3 146.6 480 176 480c78.63 0 122-46.1 136.3-62.5c4.625-5-17.75 21.5 224.3-266.6h57.13c19 .125 36.13-11.37 43.13-28.1C643.7 104.6 639.3 85 625.9 72.25zM536.5 102.9c-14.13 0-27.63 6.25-36.75 17.12c-241.4 287.2-219 260.1-222.8 264.1c-11.88 12.87-43.38 46.1-101 46.1c-20.75 .25-41.25-4.875-59.63-14.62c-42.13-21.25-68.38-61.1-68.38-106.5c0-43.87 26.63-120.2 26.63-134.9H213l-34.25 95.87c-7.5 21.12 .625 44.75 19.63 56.75c19 11.1 43.75 9.125 59.63-6.75l229-230.2c8-7.5 18.63-11.75 29.63-11.62h42.13c3.5-.125 6.875 1.25 9.375 3.625l20.25 19.25H536.5zM128 199.1c-13.25 0-24 10.75-24 23.1c0 13.25 10.75 23.1 24 23.1S152 237.2 152 223.1C152 210.7 141.3 199.1 128 199.1z"],
    "saxophone-fire": [640, 512, ["sax-hot"], "f8db", "M74.13 176l-7-16.5c-2-6-3-12.38-3.125-18.75c0-10.38 11.25-38.63 36.38-70.5c3.625 4.5 7.125 9 10.5 13.5l36.5 50.38l28.12-34.25C186 118 191.8 134.5 192 140.8C191.9 147.1 190.9 153.5 189 159.5L182 176l52.12-.0001c3.75-11.38 5.75-23.25 5.875-35.25c0-26.62-26-81.5-62.25-115.1c-10 9.375-19.38 19.37-28.13 29.1C134.1 35.5 118.3 16.88 100 .0003c-49.13 45.63-84 104.1-84 140.7c.125 12 2.124 23.87 5.876 35.25L74.13 176zM625.9 104.3L601.3 80.88C589.8 70 574.7 64 558.8 64h-42.13c-23.38-.125-45.88 8.75-62.75 24.88l-5.5 5.5l-9.75-9.625c-6.25-6.25-16.38-6.25-22.62 0L404.8 96c-6.25 6.25-6.25 16.38 0 22.62l9.75 9.875l-14 14l-9.875-9.75c-6.25-6.25-16.38-6.25-22.63 0L356.8 144c-6.25 6.25-6.25 16.38 0 22.62l9.875 10l-14 14.12l-10-10c-6.25-6.25-16.38-6.25-22.63 0L308.8 192c-6.25 6.25-6.25 16.38 0 22.62l10 10.12L224 320L246.9 256H248C261.3 256 272 245.3 272 232c0-13.26-10.75-24-24-24h-224C10.75 208 0 218.7 0 232c0 9.77 5.889 18.1 14.27 21.85C7.291 283.3 0 320.4 0 342.9c0 62.63 36.25 119.9 94.75 149.4C119 505.3 146.6 512 176 512c78.63 0 122-47 136.3-62.5c4.625-5-17.75 21.5 224.3-266.6h57.13c18.88 .125 36-11.38 43.13-29C643.7 136.6 639.3 117 625.9 104.3zM536.5 134.9c-14.13 0-27.63 6.25-36.75 17.12c-241.4 287.3-219 261-222.8 265C265.1 429.9 233.6 464 176 464c-20.75 .25-41.25-4.875-59.63-14.62c-42.13-21.25-68.38-62-68.38-106.5c0-24.5 8.125-58.63 15.38-86.88h132.5L178.8 303.9c-7.502 21.12 .625 44.75 19.62 56.75c19 12 43.75 9.125 59.63-6.75l229-230.3C495 116.1 505.7 111.9 516.7 112h42.13c3.5 0 6.875 1.25 9.375 3.625l20.25 19.25H536.5zM120 288c-13.25 0-24 10.75-24 24s10.75 24 24 24s24-10.75 24-24S133.3 288 120 288z"],
    "scale-balanced": [640, 512, [9878, "balance-scale"], "f24e", "M256 336c0-16.12 1.375-8.75-85.12-181.5C162.1 136.9 145 128 128 128S93.88 136.9 85 154.5C-1.998 328.8 .0019 320.4 .0019 336c0 44.13 57.25 80 127.1 80S256 380.1 256 336zM127.9 176L200.1 320H55.96L127.9 176zM519.1 464h-175.1V155.9C371.4 147.2 392.6 124.6 398.4 96h121.6c13.25 0 23.1-10.75 23.1-23.1C543.1 58.75 533.3 48 519.1 48h-126.7C380.9 19.75 352.7 0 320 0S259.1 19.75 246.8 48H120c-13.25 0-23.1 10.75-23.1 23.1S106.7 96 120 96h121.6c5.75 28.62 27 51.25 54.38 59.88V464H120c-13.25 0-23.1 10.75-23.1 23.1S106.7 512 120 512h399.1c13.25 0 23.1-10.75 23.1-23.1C543.1 474.7 533.3 464 519.1 464zM320 112c-17.62 0-31.1-14.38-31.1-32s14.37-32 31.1-32s31.1 14.38 31.1 32S337.6 112 320 112zM639.1 336c0-16.12 1.375-8.75-85.12-181.5C546.1 136.9 528.1 128 511.1 128s-34.13 8.875-43 26.5c-86.1 174.3-84.1 165.9-84.1 181.5c0 44.13 57.25 80 128 80S639.1 380.1 639.1 336zM439.1 320c0 0 53.46-106.5 71.96-144l72.17 144H439.1z"],
    "scale-unbalanced": [640, 512, ["balance-scale-left"], "f515", "M128 224c-16.1 0-34.12 8.882-42.1 26.51c-87 174.3-84.1 165.9-84.1 181.5C.0035 476.1 57.25 512 128 512c70.75 0 128-35.87 128-79.1c0-16.12 1.375-8.745-85.12-181.5C162.1 232.9 145 224 128 224zM55.96 416c6.125-12.62 53.48-106.5 71.98-143.1c0 0-.125 0 0 0c19.87 39.63 66.27 131.1 72.15 143.1H55.96zM520 464h-175.1V155.9c29.95-9.473 52.03-35.85 55.21-68.09l128.1-40.99c12.62-4.031 19.58-17.53 15.55-30.16c-4.031-12.59-17.52-19.56-30.17-15.53l-123.4 39.5c-13.77-24.17-39.46-40.65-69.26-40.65c-44.18 0-79.1 35.82-79.1 80c0 2.793 .5428 5.421 .8221 8.14L112.7 129.2C100.1 133.2 93.11 146.7 97.14 159.3C100.4 169.5 109.8 176 120 176c2.422 0 4.875-.375 7.312-1.156L259.1 132.4C269.5 143.3 281.9 151.5 296 155.9V480c0 17.67 14.33 32 32 32H520c13.25 0 24-10.75 24-24C544 474.7 533.3 464 520 464zM320 112c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S337.6 112 320 112zM554.9 122.5C546.1 104.9 529 96 512 96s-34.21 8.886-42.96 26.51c-87.13 174.3-85.04 165.9-85.04 181.5c0 44.13 57.25 79.1 128 79.1s127.1-35.87 127.1-79.1C639.1 287.9 641.4 295.3 554.9 122.5zM439.1 288c6.125-12.62 71.92-143.1 72.04-143.1c19.88 39.63 66.21 131.1 72.08 143.1H439.1z"],
    "scale-unbalanced-flip": [640, 512, ["balance-scale-right"], "f516", "M520 176c10.16 0 19.59-6.5 22.86-16.69c4.031-12.62-2.922-26.12-15.55-30.16l-128.1-41c.2793-2.719 .8221-5.347 .8221-8.14c0-44.18-35.81-80-79.1-80c-29.8 0-55.5 16.48-69.26 40.65l-123.4-39.5C114.7-2.875 101.2 4.094 97.14 16.69C93.11 29.31 100.1 42.81 112.7 46.84L240.8 87.84C243.1 120.1 266.1 146.5 295.1 155.9V464H120C106.7 464 96 474.7 96 488C96 501.3 106.7 512 120 512h191.1c17.67 0 32-14.33 32-32V155.9c14.14-4.477 26.49-12.63 36.02-23.54l132.7 42.45C515.1 175.6 517.6 176 520 176zM320 112c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S337.6 112 320 112zM554.9 250.5C546 232.9 528.1 224 511.1 224c-17 0-34.21 8.882-42.96 26.51c-86.5 172.8-85.04 165.4-85.04 181.5C383.1 476.1 441.3 512 512 512c70.75 0 127.1-35.87 127.1-79.1C639.1 416.4 641.9 424.8 554.9 250.5zM439.9 416c5.875-12 52.27-104.4 72.15-143.1c.125 0 0 0 0 0c18.5 37.5 65.85 131.4 71.98 143.1H439.9zM256 304c0-15.62 2-7.245-85.12-181.5C162.1 104.9 145 96 128 96S93.79 104.9 85.04 122.5c-86.5 172.8-85.04 165.4-85.04 181.5c0 44.13 57.25 79.1 127.1 79.1S256 348.1 256 304zM128 144c.125 0 65.92 131.4 72.04 143.1H55.92C61.79 276 108.1 183.6 128 144z"],
    "scalpel": [512, 512, [], "f61d", "M482.7 11.86C471.4 3.771 458.3 0 445.2 0c-20.77 0-41.65 9.422-55.88 26.11L187.9 261.5C178.9 272 186.4 288 200 288h131.9c9.369 0 18.24-4.125 24.36-11.25l138.9-162.4C521.6 83.49 516.5 35.86 482.7 11.86zM458.8 83.16L324.6 240h-55.11l156.3-182.7C430.7 51.55 438.1 48 445.2 48c3.695 0 6.947 .9844 9.729 2.971c6.74 4.795 8.48 11.47 8.92 15.02C464.3 69.66 464.2 76.77 458.8 83.16zM0 512c88.97 .125 174.1-29.12 239.6-81.13c.2559-.25 .3828-.375 .6387-.5C272.3 404.6 288 366.4 288 328V320H179.1L0 512z"],
    "scalpel-line-dashed": [576, 512, ["scalpel-path"], "f61e", "M296 464h-48C234.8 464 224 474.8 224 488C224 501.2 234.8 512 248 512h48c13.2 0 24-10.8 24-24C320 474.8 309.2 464 296 464zM552 464h-48c-13.2 0-24 10.8-24 24c0 13.2 10.8 24 24 24h48c13.2 0 24-10.8 24-24C576 474.8 565.2 464 552 464zM424 464h-48c-13.2 0-24 10.8-24 24c0 13.2 10.8 24 24 24h48c13.2 0 24-10.8 24-24C448 474.8 437.2 464 424 464zM240.2 430.4C272.3 404.6 288 366.4 288 328V320H179.1L0 512c88.97 .125 174.1-29.12 239.6-81.13C239.8 430.6 239.9 430.5 240.2 430.4zM495.2 114.4c26.36-30.88 21.24-78.5-12.49-102.5C471.4 3.771 458.3 0 445.2 0c-20.77 0-41.65 9.422-55.88 26.11L187.9 261.5C178.9 272 186.4 288 200 288h131.9c9.369 0 18.24-4.125 24.36-11.25L495.2 114.4zM324.6 240H269.5l156.3-182.7C430.7 51.55 438.1 48 445.2 48c3.695 0 6.947 .9844 9.729 2.971c6.74 4.795 8.48 11.47 8.92 15.02c.4531 3.664 .3906 10.77-5.072 17.17L324.6 240z"],
    "scanner-gun": [576, 512, ["scanner"], "f488", "M79.13 251.1C33.32 237.1 0 194.4 0 143.1C0 82.14 50.14 31.1 112 31.1H304C330.5 31.1 352 53.49 352 79.1V207.1C352 234.5 330.5 255.1 304 255.1H260L144.3 454.4C130.9 477.3 101.4 485 78.48 471.6L25.02 440.1C2.312 426.8-5.383 397.6 7.785 374.8L79.13 251.1zM48 143.1C48 179.3 76.65 207.1 112 207.1H304V79.1H112C76.65 79.1 48 108.7 48 143.1zM131.7 255.1L49.36 398.8L102.8 430.2L204.4 255.1H131.7zM552 31.1C565.3 31.1 576 42.74 576 55.1C576 69.25 565.3 79.1 552 79.1H440C426.7 79.1 416 69.25 416 55.1C416 42.74 426.7 31.1 440 31.1H552zM416 215.1C416 202.7 426.7 191.1 440 191.1H552C565.3 191.1 576 202.7 576 215.1C576 229.3 565.3 239.1 552 239.1H440C426.7 239.1 416 229.3 416 215.1zM552 431.1C565.3 431.1 576 442.7 576 455.1C576 469.3 565.3 479.1 552 479.1H440C426.7 479.1 416 469.3 416 455.1C416 442.7 426.7 431.1 440 431.1H552zM416 143.1C416 135.2 423.2 127.1 432 127.1H560C568.8 127.1 576 135.2 576 143.1C576 152.8 568.8 159.1 560 159.1H432C423.2 159.1 416 152.8 416 143.1zM560 287.1C568.8 287.1 576 295.2 576 303.1C576 312.8 568.8 319.1 560 319.1H432C423.2 319.1 416 312.8 416 303.1C416 295.2 423.2 287.1 432 287.1H560zM416 367.1C416 359.2 423.2 351.1 432 351.1H560C568.8 351.1 576 359.2 576 367.1C576 376.8 568.8 383.1 560 383.1H432C423.2 383.1 416 376.8 416 367.1z"],
    "scanner-image": [576, 512, [], "f8f3", "M527.4 264.8l-460.6-230.3c-11.83-5.906-26.25-1.109-32.2 10.73C28.61 57.12 33.41 71.53 45.27 77.47l421.1 210.5L64 287.1c-35.35 0-64 28.65-64 64v64C0 451.3 28.65 480 64 480h448c35.35 0 64-28.66 64-64v-72.45C576 310 557.4 279.9 527.4 264.8zM528 415.1c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16v-64c0-8.822 7.178-16 16-16h448c8.822 0 16 7.178 16 16V415.1zM96 359.1c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24s24-10.75 24-24C120 370.7 109.3 359.1 96 359.1zM176 359.1c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24s24-10.75 24-24C200 370.7 189.3 359.1 176 359.1z"],
    "scanner-keyboard": [512, 512, [], "f489", "M128 23.1C128 10.74 138.7-.002 152-.002C165.3-.002 176 10.74 176 23.1V63.1H128V23.1zM304 23.1C304 10.74 314.7-.002 328-.002C341.3-.002 352 10.74 352 23.1V63.1H304V23.1zM256 15.1V63.1H224V15.1C224 7.162 231.2-.002 240-.002C248.8-.002 256 7.162 256 15.1V15.1zM384 15.1C384 7.162 391.2-.002 400-.002C408.8-.002 416 7.162 416 15.1V271.1C416 280.8 408.8 287.1 400 287.1C391.2 287.1 384 280.8 384 271.1V15.1zM512 23.1V263.1C512 277.3 501.3 287.1 488 287.1C474.7 287.1 464 277.3 464 263.1V23.1C464 10.74 474.7-.002 488-.002C501.3-.002 512 10.74 512 23.1V23.1zM248 175.1C261.3 175.1 272 186.7 272 199.1V231.1C272 245.3 261.3 255.1 248 255.1H104C90.75 255.1 80 245.3 80 231.1V199.1C80 186.7 90.75 175.1 104 175.1H248zM144 303.1C152.8 303.1 160 311.2 160 319.1V335.1C160 344.8 152.8 351.1 144 351.1H96C87.16 351.1 80 344.8 80 335.1V319.1C80 311.2 87.16 303.1 96 303.1H144zM80 399.1C80 391.2 87.16 383.1 96 383.1H144C152.8 383.1 160 391.2 160 399.1V415.1C160 424.8 152.8 431.1 144 431.1H96C87.16 431.1 80 424.8 80 415.1V399.1zM256 303.1C264.8 303.1 272 311.2 272 319.1V335.1C272 344.8 264.8 351.1 256 351.1H208C199.2 351.1 192 344.8 192 335.1V319.1C192 311.2 199.2 303.1 208 303.1H256zM192 399.1C192 391.2 199.2 383.1 208 383.1H256C264.8 383.1 272 391.2 272 399.1V415.1C272 424.8 264.8 431.1 256 431.1H208C199.2 431.1 192 424.8 192 415.1V399.1zM288 95.1C323.3 95.1 352 124.7 352 159.1V447.1C352 483.3 323.3 511.1 288 511.1H64C28.65 511.1 0 483.3 0 447.1V159.1C0 124.7 28.65 95.1 64 95.1H288zM64 143.1C55.16 143.1 48 151.2 48 159.1V447.1C48 456.8 55.16 463.1 64 463.1H288C296.8 463.1 304 456.8 304 447.1V159.1C304 151.2 296.8 143.1 288 143.1H64z"],
    "scanner-touchscreen": [512, 512, [], "f48a", "M128 23.1C128 10.74 138.7-.002 152-.002C165.3-.002 176 10.74 176 23.1V63.1H128V23.1zM304 23.1C304 10.74 314.7-.002 328-.002C341.3-.002 352 10.74 352 23.1V63.1H304V23.1zM256 15.1V63.1H224V15.1C224 7.162 231.2-.002 240-.002C248.8-.002 256 7.162 256 15.1V15.1zM384 15.1C384 7.162 391.2-.002 400-.002C408.8-.002 416 7.162 416 15.1V271.1C416 280.8 408.8 287.1 400 287.1C391.2 287.1 384 280.8 384 271.1V15.1zM512 23.1V263.1C512 277.3 501.3 287.1 488 287.1C474.7 287.1 464 277.3 464 263.1V23.1C464 10.74 474.7-.002 488-.002C501.3-.002 512 10.74 512 23.1V23.1zM248 175.1C261.3 175.1 272 186.7 272 199.1V407.1C272 421.3 261.3 431.1 248 431.1H104C90.75 431.1 80 421.3 80 407.1V199.1C80 186.7 90.75 175.1 104 175.1H248zM288 95.1C323.3 95.1 352 124.7 352 159.1V447.1C352 483.3 323.3 511.1 288 511.1H64C28.65 511.1 0 483.3 0 447.1V159.1C0 124.7 28.65 95.1 64 95.1H288zM64 143.1C55.16 143.1 48 151.2 48 159.1V447.1C48 456.8 55.16 463.1 64 463.1H288C296.8 463.1 304 456.8 304 447.1V159.1C304 151.2 296.8 143.1 288 143.1H64z"],
    "scarecrow": [512, 512, [], "f70d", "M477.8 186.3L451.3 160l18.36-18.26c5-4.1 1.51-13.74-5.74-13.74l-111.9 .0069l-.0002-37.68c-.0003-51.25-41.9-91.17-93.16-90.32C173.1 1.43 160 84.5 160 103.3l-.0002 24.75L48 128c-7.125 0-10.74 8.615-5.741 13.74l18.49 18.26l-26.48 26.26c-3 3.125-3 8.235 0 11.36l26.48 26.38L42.38 242.3C37.38 247.3 40.87 256 48.12 256h106.1l-26 141.3c-1.75 10.37 6.471 18.73 15.72 18.73c2.375 0 4.684-.5051 7.184-1.755l32.64-24.21c8.404-5.846 15.97-1.877 17.09-1.256l31.12 16.74v82.5C232 501.2 242.8 512 256 512s24-10.8 24-23.1v-82.75l31.03-16.52c1.118-.6473 8.585-4.66 17.06 1.238l32.67 24.24c2.5 1.125 4.85 1.655 7.225 1.655c9.25 0 17.48-8.385 15.73-18.63l-25.84-141.2h106.1c7.125 0 10.74-8.615 5.738-13.74L451.3 224l26.36-26.26C480.8 194.5 480.8 189.5 477.8 186.3zM208 101.4c0-.625 .125-1.125 .25-1.625c3.25 2.5 7.25 4.25 11.75 4.25c11 0 20-8.999 20-19.1c0-10.5-8.125-18.75-18.25-19.75c8.439-9.736 20.36-16.25 34.25-16.25c22 0 40.25 14.87 46 35.12c-2.1-1.875-6.25-3.125-9.1-3.125c-11 0-20 8.999-20 19.1s9 19.1 20 19.1c4.625 0 8.625-1.75 12-4.375v12.37c0 8.749-7.25 15.1-16 15.1H224c-8.75 0-16-7.25-16-15.1V101.4zM399.4 208h-99.13l24 131.1c-12.38-1.125-24.75 1.375-35.75 7.25l-32.5 17.37L223.5 346.4c-9.25-4.875-19.63-7.5-30.13-7.5c-1.875 0-3.75 .125-5.625 .25l24-131.2H112.6L96.63 191.9l16-15.1h69.5c11.13 9.874 25.69 16.05 41.81 16.05h64c16.13 0 30.81-6.178 41.94-16.05h69.5l16 15.1L399.4 208z"],
    "scarf": [512, 512, [129507], "f7c1", "M511.1 403.3c.8086-2.639 .7173-5.454-1.322-7.577l-143.1-142.9l24.12-24.62c48.5-53.75 13-113.4 11.5-115.9l-43.78-73.01c-4.375-7.125-9.792-13.25-16.79-17.1c-45.75-30.5-132.3-26.21-171.4 .1667c-6.875 4.75-12.5 10.75-16.75 17.1l-43.63 73.12C108.4 115.1 72.75 174.8 121.4 228.4l23.94 24.54l-140.7 143.9c-6.223 6.205-6.203 16.34 .0449 22.52c6.234 6.164 16.34 6.205 22.55 .0117l67.25-68.85l22.23 22.23l-64.18 63.99c-6.234 6.221-6.24 16.41-.0117 22.63c6.217 6.217 16.39 6.219 22.62 .0059l64.15-64.05l21.29 21.29l-67.94 68.23c-6.223 6.205-6.203 16.34 .0449 22.52c6.234 6.164 16.34 6.205 22.55 .0117L256 365.9l140.5 143.8c2.061 2.061 4.836 2.252 7.453 1.596c5.289 1.406 11.12 .3047 15.29-3.818c6.248-6.18 6.33-16.37 .1074-22.58l-68.13-68.42l21.29-21.29l64.34 64.24c6.221 6.213 16.4 6.211 22.62-.0059c6.229-6.229 6.223-16.41-.0117-22.63l-64.3-64.11l22.23-22.23l67.38 68.98c6.207 6.193 16.25 6.215 22.48 .0508C511.6 415.1 512.8 408.8 511.1 403.3zM349 116.1l12 20.12c4.25 7.375 16.62 33.38-5.375 58.25L332.5 218.1l-42.75-42.75L349 116.1zM194.8 64.11c12.5-21 110.1-21 122.6-.125l6.375 10.5L256 142.2L188.4 74.49L194.8 64.11zM179.1 287.2L222.5 331.6l-39 39.88l-44.38-44.25L179.1 287.2zM156.4 195.4c-22-24.88-9.625-50.88-5.25-58.38l12-20.12l209.8 210.1l-44.38 44.38L156.4 195.4z"],
    "school": [640, 512, [127979], "f549", "M144 224C152.8 224 160 231.2 160 240V272C160 280.8 152.8 288 144 288H112C103.2 288 96 280.8 96 272V240C96 231.2 103.2 224 112 224H144zM480 240C480 231.2 487.2 224 496 224H528C536.8 224 544 231.2 544 240V272C544 280.8 536.8 288 528 288H496C487.2 288 480 280.8 480 272V240zM144 320C152.8 320 160 327.2 160 336V400C160 408.8 152.8 416 144 416H112C103.2 416 96 408.8 96 400V336C96 327.2 103.2 320 112 320H144zM480 336C480 327.2 487.2 320 496 320H528C536.8 320 544 327.2 544 336V400C544 408.8 536.8 416 528 416H496C487.2 416 480 408.8 480 400V336zM400 192C400 236.2 364.2 272 320 272C275.8 272 240 236.2 240 192C240 147.8 275.8 112 320 112C364.2 112 400 147.8 400 192zM304 160V192C304 200.8 311.2 208 320 208H344C352.8 208 360 200.8 360 192C360 183.2 352.8 176 344 176H336V160C336 151.2 328.8 144 320 144C311.2 144 304 151.2 304 160zM305.3 5.056C313.9-1.685 326.1-1.685 334.7 5.056L473.9 113.3L579.2 129.9C614.2 135.4 640 165.6 640 201V440C640 479.8 607.8 512 568 512H72C32.24 512 0 479.8 0 440V201C0 165.6 25.78 135.4 60.77 129.9L166.1 113.3L305.3 5.056zM592 440V201C592 189.2 583.4 179.2 571.7 177.3L460.3 159.7C456.2 159.1 452.5 157.4 449.3 154.9L320 54.4L190.7 154.9C187.5 157.4 183.8 159.1 179.7 159.7L68.26 177.3C56.59 179.2 48 189.2 48 201V440C48 453.3 58.75 464 72 464H256V384C256 348.7 284.7 320 320 320C355.3 320 384 348.7 384 384V464H568C581.3 464 592 453.3 592 440H592z"],
    "school-circle-check": [640, 512, [], "e56b", "M473.9 113.3L579.2 129.9C614.2 135.4 640 165.6 640 201V266.8C627.1 248.5 610.8 232.7 592 220.5V201C592 189.2 583.4 179.2 571.7 177.3L460.3 159.7C456.2 159.1 452.5 157.4 449.3 154.9L319.1 54.4L190.7 154.9C187.5 157.4 183.8 159.1 179.7 159.7L68.26 177.3C56.59 179.2 48 189.2 48 201V440C48 453.3 58.75 464 72 464H256V384C256 348.7 284.7 320 320 320C322.2 320 324.4 320.1 326.5 320.3C322.3 335.5 320 351.5 320 368C320 427.5 349.6 480.1 394.8 512H72C32.24 512 0 479.8 0 440V201C0 165.6 25.78 135.4 60.77 129.9L166.1 113.3L305.3 5.056C313.9-1.685 326.1-1.685 334.7 5.056L473.9 113.3zM319.1 272C275.8 272 239.1 236.2 239.1 192C239.1 147.8 275.8 112 319.1 112C364.2 112 400 147.8 400 192C400 203.1 397.4 215.3 392.7 225.5C377.6 236.4 364.4 249.6 353.5 264.7C343.3 269.4 331.1 272 319.1 272zM303.1 160V192C303.1 200.8 311.2 208 319.1 208H344C352.8 208 360 200.8 360 192C360 183.2 352.8 176 344 176H336V160C336 151.2 328.8 144 319.1 144C311.2 144 303.1 151.2 303.1 160zM95.1 240C95.1 231.2 103.2 224 111.1 224H143.1C152.8 224 159.1 231.2 159.1 240V272C159.1 280.8 152.8 288 143.1 288H111.1C103.2 288 95.1 280.8 95.1 272V240zM143.1 320C152.8 320 159.1 327.2 159.1 336V400C159.1 408.8 152.8 416 143.1 416H111.1C103.2 416 95.1 408.8 95.1 400V336C95.1 327.2 103.2 320 111.1 320H143.1zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM480 385.4L451.3 356.7C445.1 350.4 434.9 350.4 428.7 356.7C422.4 362.9 422.4 373.1 428.7 379.3L468.7 419.3C474.9 425.6 485.1 425.6 491.3 419.3L563.3 347.3C569.6 341.1 569.6 330.9 563.3 324.7C557.1 318.4 546.9 318.4 540.7 324.7L480 385.4z"],
    "school-circle-exclamation": [640, 512, [], "e56c", "M473.9 113.3L579.2 129.9C614.2 135.4 640 165.6 640 201V266.8C627.1 248.5 610.8 232.7 592 220.5V201C592 189.2 583.4 179.2 571.7 177.3L460.3 159.7C456.2 159.1 452.5 157.4 449.3 154.9L319.1 54.4L190.7 154.9C187.5 157.4 183.8 159.1 179.7 159.7L68.26 177.3C56.59 179.2 48 189.2 48 201V440C48 453.3 58.75 464 72 464H256V384C256 348.7 284.7 320 320 320C322.2 320 324.4 320.1 326.5 320.3C322.3 335.5 320 351.5 320 368C320 427.5 349.6 480.1 394.8 512H72C32.24 512 0 479.8 0 440V201C0 165.6 25.78 135.4 60.77 129.9L166.1 113.3L305.3 5.056C313.9-1.685 326.1-1.685 334.7 5.056L473.9 113.3zM319.1 272C275.8 272 239.1 236.2 239.1 192C239.1 147.8 275.8 112 319.1 112C364.2 112 400 147.8 400 192C400 203.1 397.4 215.3 392.7 225.5C377.6 236.4 364.4 249.6 353.5 264.7C343.3 269.4 331.1 272 319.1 272zM303.1 160V192C303.1 200.8 311.2 208 319.1 208H344C352.8 208 360 200.8 360 192C360 183.2 352.8 176 344 176H336V160C336 151.2 328.8 144 319.1 144C311.2 144 303.1 151.2 303.1 160zM95.1 240C95.1 231.2 103.2 224 111.1 224H143.1C152.8 224 159.1 231.2 159.1 240V272C159.1 280.8 152.8 288 143.1 288H111.1C103.2 288 95.1 280.8 95.1 272V240zM143.1 320C152.8 320 159.1 327.2 159.1 336V400C159.1 408.8 152.8 416 143.1 416H111.1C103.2 416 95.1 408.8 95.1 400V336C95.1 327.2 103.2 320 111.1 320H143.1zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 464C509.3 464 520 453.3 520 440C520 426.7 509.3 416 496 416C482.7 416 472 426.7 472 440C472 453.3 482.7 464 496 464zM479.1 288V368C479.1 376.8 487.2 384 495.1 384C504.8 384 511.1 376.8 511.1 368V288C511.1 279.2 504.8 272 495.1 272C487.2 272 479.1 279.2 479.1 288z"],
    "school-circle-xmark": [640, 512, [], "e56d", "M473.9 113.3L579.2 129.9C614.2 135.4 640 165.6 640 201V266.8C627.1 248.5 610.8 232.7 592 220.5V201C592 189.2 583.4 179.2 571.7 177.3L460.3 159.7C456.2 159.1 452.5 157.4 449.3 154.9L319.1 54.4L190.7 154.9C187.5 157.4 183.8 159.1 179.7 159.7L68.26 177.3C56.59 179.2 48 189.2 48 201V440C48 453.3 58.75 464 72 464H256V384C256 348.7 284.7 320 320 320C322.2 320 324.4 320.1 326.5 320.3C322.3 335.5 320 351.5 320 368C320 427.5 349.6 480.1 394.8 512H72C32.24 512 0 479.8 0 440V201C0 165.6 25.78 135.4 60.77 129.9L166.1 113.3L305.3 5.056C313.9-1.685 326.1-1.685 334.7 5.056L473.9 113.3zM319.1 272C275.8 272 239.1 236.2 239.1 192C239.1 147.8 275.8 112 319.1 112C364.2 112 400 147.8 400 192C400 203.1 397.4 215.3 392.7 225.5C377.6 236.4 364.4 249.6 353.5 264.7C343.3 269.4 331.1 272 319.1 272zM303.1 160V192C303.1 200.8 311.2 208 319.1 208H344C352.8 208 360 200.8 360 192C360 183.2 352.8 176 344 176H336V160C336 151.2 328.8 144 319.1 144C311.2 144 303.1 151.2 303.1 160zM95.1 240C95.1 231.2 103.2 224 111.1 224H143.1C152.8 224 159.1 231.2 159.1 240V272C159.1 280.8 152.8 288 143.1 288H111.1C103.2 288 95.1 280.8 95.1 272V240zM143.1 320C152.8 320 159.1 327.2 159.1 336V400C159.1 408.8 152.8 416 143.1 416H111.1C103.2 416 95.1 408.8 95.1 400V336C95.1 327.2 103.2 320 111.1 320H143.1zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM518.6 368L555.3 331.3C561.6 325.1 561.6 314.9 555.3 308.7C549.1 302.4 538.9 302.4 532.7 308.7L496 345.4L459.3 308.7C453.1 302.4 442.9 302.4 436.7 308.7C430.4 314.9 430.4 325.1 436.7 331.3L473.4 368L436.7 404.7C430.4 410.9 430.4 421.1 436.7 427.3C442.9 433.6 453.1 433.6 459.3 427.3L496 390.6L532.7 427.3C538.9 433.6 549.1 433.6 555.3 427.3C561.6 421.1 561.6 410.9 555.3 404.7L518.6 368z"],
    "school-flag": [576, 512, [], "e56e", "M336 240C336 266.5 314.5 288 288 288C261.5 288 240 266.5 240 240C240 213.5 261.5 192 288 192C314.5 192 336 213.5 336 240zM144 256C152.8 256 160 263.2 160 272V304C160 312.8 152.8 320 144 320H112C103.2 320 96 312.8 96 304V272C96 263.2 103.2 256 112 256H144zM416 272C416 263.2 423.2 256 432 256H464C472.8 256 480 263.2 480 272V304C480 312.8 472.8 320 464 320H432C423.2 320 416 312.8 416 304V272zM144 352C152.8 352 160 359.2 160 368V400C160 408.8 152.8 416 144 416H112C103.2 416 96 408.8 96 400V368C96 359.2 103.2 352 112 352H144zM464 352C472.8 352 480 359.2 480 368V400C480 408.8 472.8 416 464 416H432C423.2 416 416 408.8 416 400V368C416 359.2 423.2 352 432 352H464zM288 0H400C408.8 0 416 7.164 416 16V64C416 72.84 408.8 80 400 80H312V91.65L407.7 160H504C543.8 160 576 192.2 576 232V440C576 479.8 543.8 512 504 512H72C32.24 512 0 479.8 0 440V232C0 192.2 32.24 160 72 160H168.3L264 91.65V24C264 10.75 274.7 0 288 0zM528 440V232C528 218.7 517.3 208 504 208H400C394.1 208 390.1 206.4 386.1 203.5L288 133.5L189.9 203.5C185.9 206.4 181 208 176 208H72C58.75 208 48 218.7 48 232V440C48 453.3 58.75 464 72 464H240V400C240 373.5 261.5 352 288 352C314.5 352 336 373.5 336 400V464H504C517.3 464 528 453.3 528 440z"],
    "school-lock": [640, 512, [], "e56f", "M305.3 5.056C313.9-1.685 326.1-1.685 334.7 5.056L473.9 113.3L579.2 129.9C614.2 135.4 640 165.6 640 201V272C640 210.1 589.9 160 528 160C516.3 160 505.1 161.8 494.5 165.1L460.3 159.7C456.2 159.1 452.5 157.4 449.3 154.9L319.1 54.41L190.7 154.9C187.5 157.4 183.8 159.1 179.7 159.7L68.26 177.3C56.59 179.2 48 189.2 48 201V440C48 453.3 58.75 464 72 464H256V384C256 348.7 284.7 320 320 320C355.3 320 384 348.7 384 384V480C384 491.7 387.1 502.6 392.6 512H72C32.24 512 0 479.8 0 440V201C0 165.6 25.78 135.4 60.77 129.9L166.1 113.3L305.3 5.056zM143.1 224C152.8 224 159.1 231.2 159.1 240V272C159.1 280.8 152.8 288 143.1 288H111.1C103.2 288 95.1 280.8 95.1 272V240C95.1 231.2 103.2 224 111.1 224H143.1zM143.1 320C152.8 320 159.1 327.2 159.1 336V400C159.1 408.8 152.8 416 143.1 416H111.1C103.2 416 95.1 408.8 95.1 400V336C95.1 327.2 103.2 320 111.1 320H143.1zM400 192C400 236.2 364.2 272 319.1 272C275.8 272 239.1 236.2 239.1 192C239.1 147.8 275.8 112 319.1 112C364.2 112 400 147.8 400 192zM303.1 160V192C303.1 200.8 311.2 208 319.1 208H344C352.8 208 360 200.8 360 192C360 183.2 352.8 176 344 176H336V160C336 151.2 328.8 144 319.1 144C311.2 144 303.1 151.2 303.1 160zM528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320V272C448 227.8 483.8 192 528 192zM528 240C510.3 240 496 254.3 496 272V320H560V272C560 254.3 545.7 240 528 240z"],
    "scissors": [512, 512, [9986, 9988, 9984, "cut"], "f0c4", "M472.6 442.4L312.4 308.2L349.8 276.9L503.4 405.6C513.6 414.1 514.9 429.3 506.4 439.4C497.9 449.6 482.7 450.9 472.6 442.4H472.6zM112 0C173.9 0 224 50.14 224 112C224 129.9 219.8 146.8 212.4 161.8L287.5 224.7L472.6 69.6C482.7 61.09 497.9 62.43 506.4 72.59C514.9 82.75 513.6 97.88 503.4 106.4L212.4 350.2C219.8 365.2 224 382.1 224 400C224 461.9 173.9 512 112 512C50.14 512 0 461.9 0 400C0 338.1 50.14 288 112 288C138.6 288 163.1 297.3 182.3 312.8L250.1 256L182.3 199.2C163.1 214.7 138.6 224 112 224C50.14 224 .0003 173.9 .0003 112C.0003 50.14 50.14 .0003 112 .0003L112 0zM48 112C48 147.3 76.65 176 112 176C147.3 176 176 147.3 176 112C176 76.65 147.3 48 112 48C76.65 48 48 76.65 48 112zM112 336C76.65 336 48 364.7 48 400C48 435.3 76.65 464 112 464C147.3 464 176 435.3 176 400C176 364.7 147.3 336 112 336z"],
    "screen-users": [640, 512, ["users-class"], "f63d", "M56 224C69.25 224 80 213.3 80 200v-144c0-4.4 3.6-8 8-8h464c4.4 0 8 3.6 8 8v144C560 213.3 570.7 224 584 224S608 213.3 608 200v-144C608 25.07 582.9 0 552 0H88C57.07 0 32 25.07 32 56v144C32 213.3 42.75 224 56 224zM544 256C508.8 256.2 480.2 284.7 480.2 320S508.8 383.8 544 383.1C579.2 383.8 607.8 355.3 607.8 320S579.2 256.2 544 256zM544.2 335.1C535.4 335.9 528.3 328.8 528.3 320c0-8.717 7.041-15.85 15.73-15.97C552.7 304.2 559.7 311.3 559.7 320C559.7 328.8 552.6 335.9 544.2 335.1zM343.8 416h-47.5C256.4 416 224 449.5 224 490.7C224 502.4 233.3 512 244.8 512h150.3C406.7 512 416 502.4 416 490.7C416 449.5 383.6 416 343.8 416zM567.8 416h-47.5C480.4 416 448 449.5 448 490.7C448 502.4 457.3 512 468.8 512h150.3C630.7 512 640 502.4 640 490.7C640 449.5 607.6 416 567.8 416zM256.2 320c0 35.26 28.57 63.85 63.79 63.98C355.2 383.8 383.8 355.3 383.8 320S355.2 256.2 320 256C284.8 256.2 256.2 284.7 256.2 320zM335.7 320c0 8.775-7.139 15.94-15.55 15.98C311.4 335.9 304.3 328.8 304.3 320c0-8.717 7.041-15.85 15.73-15.97C328.7 304.2 335.7 311.3 335.7 320zM119.8 416h-47.5C32.42 416 0 449.5 0 490.7C0 502.4 9.34 512 20.83 512h150.3C182.7 512 192 502.4 192 490.7C192 449.5 159.6 416 119.8 416zM32.21 320c0 35.26 28.57 63.85 63.79 63.98C131.2 383.8 159.8 355.3 159.8 320S131.2 256.2 96 256C60.78 256.2 32.21 284.7 32.21 320zM111.7 320c0 8.775-7.139 15.94-15.55 15.98C87.41 335.9 80.27 328.8 80.27 320c0-8.717 7.041-15.85 15.73-15.97C104.7 304.2 111.7 311.3 111.7 320z"],
    "screencast": [576, 512, [], "e23e", "M502.5 32H73.5C32.97 32 0 65.19 0 106V168C0 181.3 10.75 192 24 192S48 181.3 48 168V106C48 91.66 59.44 80 73.5 80h429C516.6 80 528 91.66 528 106v300c0 14.34-11.44 26-25.5 26H312c-13.25 0-24 10.75-24 24S298.8 480 312 480h190.5C543 480 576 446.8 576 406v-300C576 65.19 543 32 502.5 32zM32 416c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S49.67 416 32 416zM24 320C10.75 320 0 330.8 0 344s10.75 24 24 24c48.53 0 88 39.47 88 88C112 469.3 122.8 480 136 480S160 469.3 160 456C160 381 99 320 24 320zM24 224C10.75 224 0 234.8 0 248S10.75 272 24 272c101.5 0 184 82.53 184 184C208 469.3 218.8 480 232 480S256 469.3 256 456C256 328.1 151.9 224 24 224z"],
    "screwdriver": [512, 512, [129691], "f54a", "M507.3 59.69l-55-55c-5.629-5.633-14.54-6.266-20.91-1.488l-125.5 94.07c-8.059 6.047-12.8 15.53-12.8 25.6v62l-81 81C167.3 242.1 129.5 266.4 115.8 280.1L12 383.8c-16 16.12-16 42.13 0 58.13L70.13 500c8 8 18.5 12 29 12c10.62 0 21.12-4 29.12-12L232 396.3c26.12-26.12 30.5-65.38 14.12-96.38l80.1-81h61.1c10.07 0 19.56-4.742 25.6-12.8l94.08-125.5C513.6 74.23 512.9 65.32 507.3 59.69zM197.1 362.4l-98.87 98.75l-48.25-48.25L149.6 314c13.38-13.38 35-13.38 48.37 0C211.3 327.4 211.3 349 197.1 362.4zM381.1 170.9h-40v-40l96.87-72.63L453.8 74L381.1 170.9z"],
    "screwdriver-wrench": [512, 512, ["tools"], "f7d9", "M223.1 96.1l.0046 48.74L253.7 174.6c-6.878-34.87 3.493-70.37 28.49-95.37c20.25-20.25 47.12-31.13 74.99-31.13l1.125-.0001L300.1 105.2l15.13 90.61l90.62 15.11l57.24-57.25c.2526 28.25-10.62 55.49-31.24 75.99c-9.249 9.375-20.12 16.5-31.75 21.63c1.75 1.625 3.874 2.899 5.625 4.648l30.63 30.72c10.5-6.375 20.5-14 29.5-23c37.99-37.1 53.61-94.24 40.61-146.5c-3.001-12.25-12.38-21.87-24.38-25.24c-12.25-3.373-25.25 .1273-33.1 9.002l-58.74 58.62l-32.37-5.371l-5.378-32.5l58.62-58.5c8.874-8.1 12.25-21.1 8.871-33.1c-3.251-12.12-13-21.5-25.25-24.49c-53.12-13.24-107.9 2.01-146.5 40.51c-10.25 10.25-18.5 21.75-25.37 33.1l1.125 .7498L223.1 96.1zM106 453.9c-12.75 12.75-35.25 12.75-48.12 .0045c-6.375-6.374-10-14.1-10-23.1c-.0009-9.124 3.498-17.62 9.997-23.1L192.3 271.6L158.4 237.7l-134.4 134.2c-15.5 15.5-23.1 36.12-23.99 57.1s8.503 42.49 24 57.99c15.5 15.5 36.12 23.99 57.1 23.99c21.87-.002 42.5-8.503 57.99-24l100.9-100.9c-9.626-15.87-15.13-33.87-15.63-52.12L106 453.9zM501.1 395.6l-117.1-117c-23.13-23.12-57.65-27.65-85.39-13.9L191.1 158L191.1 95.99l-127.1-95.99L0 63.1l96 127.1l62.04 .0077l106.7 106.6c-13.62 27.75-9.218 62.27 13.91 85.39l117 117.1c14.5 14.62 38.21 14.62 52.71-.0016l52.75-52.75C515.6 433.7 515.6 410.1 501.1 395.6z"],
    "scribble": [512, 512, [], "e23f", "M183.3 21.45C198.3 7.652 217.1 0 238.4 0H239.4C283.9 0 320 36.07 320 80.57C320 101.9 311.5 122.4 296.4 137.5L89.54 344.4C83.43 350.5 80 358.8 80 367.4C80 385.4 94.58 400 112.6 400C121.2 400 129.5 396.6 135.6 390.5L374.5 151.6C389.6 136.5 410.1 128 431.4 128C475.9 128 512 164.1 512 208.6C512 229.9 503.5 250.4 488.4 265.5L384.2 369.8C373.8 380.1 368 394.2 368 408.8C368 439.3 392.7 464 423.2 464H427.6C433.2 464 438.8 463.1 444.2 461.3L480.4 449.2C492.1 445 506.6 451.8 510.8 464.4C514.1 476.1 508.2 490.6 495.6 494.8L459.4 506.8C449.1 510.3 438.4 512 427.6 512H423.2C366.2 512 320 465.8 320 408.8C320 381.4 330.9 355.2 350.2 335.8L454.5 231.6C460.6 225.5 464 217.2 464 208.6C464 190.6 449.4 176 431.4 176C422.8 176 414.5 179.4 408.4 185.5L169.5 424.4C154.4 439.5 133.9 448 112.6 448C68.07 448 32 411.9 32 367.4C32 346.1 40.49 325.6 55.6 310.5L262.5 103.6C268.6 97.49 272 89.21 272 80.57C272 62.58 257.4 48 239.4 48H238.4C229.1 48 221.9 51.15 215.7 56.83L40.22 217.7C30.45 226.6 15.27 225.1 6.308 216.2C-2.648 206.4-1.988 191.3 7.783 182.3L183.3 21.45z"],
    "scroll": [576, 512, [128220], "f70e", "M528 304H480v-192C480 67.89 444.1 32 400 32h-320C35.89 32 0 67.89 0 112V160c0 26.51 21.49 48 48 48h32V160h-32V112c0-17.62 14.38-32 32-32s32 14.38 32 32v288C112 444.1 147.9 480 192 480h266.6C523.3 480 576 427.3 576 362.6V352C576 325.5 554.5 304 528 304zM224 336v64c0 17.62-14.38 32-32 32s-32-14.38-32-32v-288c0-11.39-2.473-22.18-6.781-32H400c17.6 0 32 14.4 32 32v192H256C238.3 304 224 318.3 224 336zM528 362.6C528 400.9 496.9 432 458.6 432H265.2C269.5 422.2 272 411.4 272 400V352h256V362.6z"],
    "scroll-old": [576, 512, [], "f70f", "M528 304H480v-192C480 67.89 444.1 32 400 32h-320C35.89 32 0 67.89 0 112V160c0 26.51 21.49 48 48 48h32V160h-32V112c0-17.62 14.38-32 32-32s32 14.38 32 32v288c0 44.11 35.89 80 80 80h266.6C523.3 480 576 427.3 576 362.6V352C576 325.5 554.5 304 528 304zM224 336v64c0 17.62-14.38 32-32 32s-32-14.38-32-32V256h48C216.8 256 224 248.8 224 240S216.8 224 208 224H160L160 112c0-11.39-2.473-22.18-6.781-32H400c17.6 0 32 14.4 32 32V128h-32C391.2 128 384 135.2 384 144S391.2 160 400 160h32v64h-32C391.2 224 384 231.2 384 240S391.2 256 400 256h32v48H256C238.3 304 224 318.3 224 336zM528 362.6C528 400.9 496.9 432 458.6 432H265.2C269.5 422.2 272 411.4 272 400V352h96v32c0 8.844 7.156 16 16 16s16-7.156 16-16v-32h128V362.6z"],
    "scroll-torah": [640, 512, ["torah"], "f6a0", "M224.4 256L195.1 304.9C191.3 311.4 191.1 319.5 194.9 326.1c3.75 6.624 10.75 10.75 18.37 10.75l59.5-.0019l29.25 48.87c3.751 6.374 10.63 10.25 18 10.25c7.5-.1257 14.38-4.084 18.12-10.46l29.12-48.67l59.5-.0019c7.625-.0007 14.63-4.125 18.5-10.75c3.749-6.5 3.75-14.63-.2506-21.12l-29.38-48.1l29.25-48.87c3.874-6.5 3.1-14.63 .2493-21.25c-3.75-6.624-10.75-10.75-18.38-10.75l-59.5 .0019l-29.25-48.87c-3.75-6.374-10.62-10.17-17.1-10.17C312.6 116.1 305.6 120.1 301.9 126.5L272.7 175.1L213.2 175.1C205.6 175.1 198.5 179.3 194.8 185.9C191 192.4 191 200.5 195 207L224.4 256zM220.8 311.5l18.37-30.87l18.5 30.87L220.8 311.5zM320 366.5l-17.75-29.62l35.5-.0011L320 366.5zM419.2 311.5l-36.75 .0011l18.37-30.75L419.2 311.5zM419.2 200.5l-18.37 30.79L382.4 200.5L419.2 200.5zM319.1 145.5l17.63 29.62L302.2 175.1L319.1 145.5zM287.1 200.5l65.75-.002l33.25 55.5L352.9 311.5L287.1 311.5L253.9 256L287.1 200.5zM257.5 200.5l-18.37 30.83L220.8 200.5L257.5 200.5zM559.1 .0001c-36.12 .0034-65.62 20-75.87 48L155.9 48.03C145.6 20.04 116.1 .0417 79.99 .0451C35.12 .0493-.0036 30.55 .0001 69.42l.035 373.2c.0036 38.87 35.13 69.37 80 69.36c36.12-.0034 65.62-20 75.87-48l328.2-.0308c10.25 27.1 39.75 47.99 75.88 47.99c44.87-.0042 79.99-30.5 79.99-69.38L639.1 69.36C639.1 30.49 604.8-.0041 559.1 .0001zM112 442.6c.0011 11.87-14.37 21.37-31.1 21.38c-17.62 .0017-31.1-9.496-32-21.37L47.1 69.42C47.1 57.54 62.37 48.04 79.99 48.04S111.1 57.54 111.1 69.41L112 442.6zM480 415.1l-319.1 .03L159.1 96.03l319.1-.03L480 415.1zM592 442.6c.0011 11.87-14.37 21.37-31.1 21.38c-17.62 .0016-31.1-9.496-32-21.37L527.1 69.37c-.0011-11.87 14.37-21.37 31.1-21.38c17.62-.0017 31.1 9.496 32 21.37L592 442.6z"],
    "scrubber": [512, 512, [], "f2f8", "M256 192C220.7 192 192 220.8 192 256s28.67 64 64 64s64-28.75 64-64S291.3 192 256 192zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464z"],
    "scythe": [640, 512, [], "f710", "M632.6 11.62c-6-7.375-15.12-11.62-24.62-11.62l-269.1 0C191.1 0 63.1 64 0 224h552.1l-13.38 64h-130.7c-13.25 0-23.1 10.75-23.1 24s10.74 24 23.1 24h120.9l-32.87 147.6C492.9 498.3 504.1 512 519.1 512c11.16 0 20.79-7.828 23.08-18.76L639.5 38C641.2 28.63 638.7 18.1 632.6 11.62zM561.1 176H78.62c56.25-85 143.4-128 260.2-128h249.7L561.1 176z"],
    "sd-card": [384, 512, [], "f7c2", "M320 0H141.3C132.8 0 124.6 3.371 118.6 9.373L9.373 118.6C3.371 124.6 0 132.8 0 141.3V448c0 35.2 28.8 64 64 64h256c35.2 0 64-28.8 64-64V64C384 28.8 355.2 0 320 0zM336 448c0 8.75-7.25 16-16 16H64c-8.75 0-16-7.25-16-16V147.9L147.9 48H320c8.75 0 16 7.25 16 16V448zM288 80c-8.836 0-16 7.162-16 16v64c0 8.836 7.164 16 16 16s16-7.164 16-16V96C304 87.16 296.8 80 288 80zM224 80c-8.836 0-16 7.162-16 16v64c0 8.836 7.164 16 16 16s16-7.164 16-16V96C240 87.16 232.8 80 224 80zM160 80C151.2 80 144 87.16 144 96v64c0 8.836 7.164 16 16 16S176 168.8 176 160V96C176 87.16 168.8 80 160 80z"],
    "sd-cards": [448, 512, [], "e240", "M288 80c-8.836 0-16 7.162-16 16v64c0 8.836 7.164 16 16 16s16-7.164 16-16V96C304 87.16 296.8 80 288 80zM352 80c-8.836 0-16 7.162-16 16v64c0 8.836 7.164 16 16 16s16-7.164 16-16V96C368 87.16 360.8 80 352 80zM384 0H221.3C212.8 0 204.6 3.371 198.6 9.373L105.4 102.6C99.37 108.6 96 116.8 96 125.3V352c0 35.2 28.8 64 64 64h224c35.2 0 64-28.8 64-64V64C448 28.8 419.2 0 384 0zM400 352c0 8.672-7.326 16-16 16H160c-8.672 0-16-7.328-16-16V131.9L227.9 48H384c8.674 0 16 7.326 16 16V352zM328 512h-208C53.83 512 0 458.2 0 392v-272C0 106.8 10.75 96 24 96S48 106.8 48 120v272c0 39.7 32.3 72 72 72h208c13.25 0 24 10.75 24 24S341.3 512 328 512z"],
    "seal": [512, 512, [], "e241", "M222.1 18.41C240.8-.3309 271.2-.3309 289.9 18.41L335.5 64H400C426.5 64 448 85.49 448 112V176.5L493.6 222.1C512.3 240.8 512.3 271.2 493.6 289.9L448 335.5V400C448 426.5 426.5 448 400 448H335.5L289.9 493.6C271.2 512.3 240.8 512.3 222.1 493.6L176.5 448H112C85.49 448 64 426.5 64 400V335.5L18.41 289.9C-.3328 271.2-.3328 240.8 18.41 222.1L64 176.5V112C64 85.49 85.49 64 112 64H176.5L222.1 18.41zM210.4 97.94C201.4 106.9 189.2 112 176.5 112H112V176.5C112 189.2 106.9 201.4 97.94 210.4L52.35 256L97.94 301.6C106.9 310.6 112 322.8 112 335.5V400H176.5C189.2 400 201.4 405.1 210.4 414.1L256 459.6L301.6 414.1C310.6 405.1 322.8 400 335.5 400H400V335.5C400 322.8 405.1 310.6 414.1 301.6L459.6 256L414.1 210.4C405.1 201.4 400 189.2 400 176.5V112H335.5C322.8 112 310.6 106.9 301.6 97.94L256 52.36L210.4 97.94z"],
    "seal-exclamation": [512, 512, [], "e242", "M256 128C269.3 128 280 138.7 280 152V264C280 277.3 269.3 288 256 288C242.7 288 232 277.3 232 264V152C232 138.7 242.7 128 256 128V128zM288 352C288 369.7 273.7 384 256 384C238.3 384 224 369.7 224 352C224 334.3 238.3 320 256 320C273.7 320 288 334.3 288 352zM336 64H400C426.5 64 448 85.49 448 112V176L493.6 221.6C512.3 240.3 512.3 270.7 493.6 289.5L448 335.1V400C448 426.5 426.5 448 400 448H335.1L289.9 493.1C271.2 511.9 240.8 511.9 222.1 493.1L176.9 448H112C85.49 448 64 426.5 64 400V335.1L18.41 289.5C-.3328 270.7-.3328 240.3 18.41 221.6L64 176V112C64 85.49 85.49 64 112 64H175.1L222.1 17.94C240.8-.8035 271.2-.8035 289.9 17.94L336 64zM112 112V176C112 188.7 106.9 200.9 97.94 209.9L52.35 255.5L97.94 301.1C106.9 310.1 112 322.3 112 335.1V400H176.9C189.7 400 201.9 405.1 210.9 414.1L256 459.2L301.1 414.1C310.1 405.1 322.3 400 335.1 400H400V335.1C400 322.3 405.1 310.1 414.1 301.1L459.6 255.5L414.1 209.9C405.1 200.9 400 188.7 400 176V112H336C323.3 112 311.1 106.9 302.1 97.94L255.1 51.88L209.9 97.94C200.9 106.9 188.7 112 175.1 112L112 112z"],
    "seal-question": [512, 512, [], "e243", "M169.8 165.3C177.8 142.9 198.9 128 222.6 128H280.9C315.7 128 344 156.3 344 191.1C344 213.8 331.9 234.7 312.3 245.9L279.1 264.4C279.8 277.5 269.1 288 256 288C242.7 288 232 277.3 232 264V250.5C232 241.9 236.6 234 244.1 229.7L288.4 204.3C293.1 201.6 296 196.6 296 191.1C296 182.8 289.2 176 280.9 176H222.6C219.2 176 216.2 178.1 215.1 181.3L214.6 182.6C210.2 195.1 196.5 201.6 183.1 197.2C171.5 192.7 164.9 179 169.4 166.5L169.8 165.3zM288 352C288 369.7 273.7 384 256 384C238.3 384 224 369.7 224 352C224 334.3 238.3 320 256 320C273.7 320 288 334.3 288 352zM336 64H400C426.5 64 448 85.49 448 112V176L493.6 221.6C512.3 240.3 512.3 270.7 493.6 289.5L448 335.1V400C448 426.5 426.5 448 400 448H335.1L289.9 493.1C271.2 511.9 240.8 511.9 222.1 493.1L176.9 448H112C85.49 448 64 426.5 64 400V335.1L18.41 289.5C-.3328 270.7-.3328 240.3 18.41 221.6L64 176V112C64 85.49 85.49 64 112 64H175.1L222.1 17.94C240.8-.8035 271.2-.8035 289.9 17.94L336 64zM112 112V176C112 188.7 106.9 200.9 97.94 209.9L52.35 255.5L97.94 301.1C106.9 310.1 112 322.3 112 335.1V400H176.9C189.7 400 201.9 405.1 210.9 414.1L256 459.2L301.1 414.1C310.1 405.1 322.3 400 335.1 400H400V335.1C400 322.3 405.1 310.1 414.1 301.1L459.6 255.5L414.1 209.9C405.1 200.9 400 188.7 400 176V112H336C323.3 112 311.1 106.9 302.1 97.94L255.1 51.88L209.9 97.94C200.9 106.9 188.7 112 175.1 112L112 112z"],
    "seat-airline": [448, 512, [], "e244", "M47.1 142.9C47.1 150.8 49.67 158.6 52.9 165.8L64.64 192H328C341.3 192 352 202.7 352 216C352 229.3 341.3 240 328 240H86.16L100.5 272H424C432 272 439.5 276 443.1 282.7C448.4 289.4 449.2 297.8 446.2 305.2L418.5 371.7C407.3 398.5 381.1 416 352 416H264V464H360C373.3 464 384 474.7 384 488C384 501.3 373.3 512 360 512H119.1C106.7 512 95.1 501.3 95.1 488C95.1 474.7 106.7 464 119.1 464H215.1V416H169.4C134.8 416 103.3 395.6 89.15 363.1L9.099 185.4C3.101 172.1 0 157.6 0 142.9V24C0 10.75 10.75 0 24 0C37.25 0 48 10.75 48 24L47.1 142.9zM169.4 368H352C361.7 368 370.4 362.2 374.2 353.2L388 320H122L132.9 344.4C139.4 358.7 153.7 368 169.4 368z"],
    "section": [256, 512, [], "e447", "M216.1 340.2c20.25-14.02 33.81-33.98 38.11-59.04c14.43-84.11-63.04-106.5-119.6-122.9L120.1 154.3c-61.29-18.19-77.44-32.66-71.97-64.54c6.842-39.88 59.01-46.23 101.8-39.41c12.5 1.938 27.52 6.064 47.26 12.97c12.53 4.314 26.14-2.219 30.55-14.75c4.373-12.5-2.219-26.19-14.74-30.57c-22.52-7.877-40.2-12.66-55.6-15.1c-83.25-13.03-146.2 18.5-156.5 78.73C-6.072 127.1 13.76 154.5 40.13 172.2c-20.39 13.88-34.15 33.62-38.42 58.66C-12.53 313.1 65.47 337.1 107.4 349.5l13.84 4.031c70.88 20.47 91.93 32.6 85.75 68.67c-6.811 39.91-59.13 46.04-101.9 39.41c-19.21-2.906-42.02-11.22-62.13-18.53l-10.84-3.908c-12.4-4.594-26.21 2.031-30.64 14.53c-4.467 12.47 2.029 26.22 14.53 30.66l10.56 3.814c22.21 8.094 47.42 17.28 71.19 20.88c12.59 1.971 24.58 2.939 36.14 2.939c64.85 0 111.6-30.54 120.4-81.67C261.9 385.6 243.5 358.4 216.1 340.2zM49.01 238.9c4.707-27.62 31.01-37.12 52.8-40.26c1.881 .5645 19.51 5.752 19.51 5.752c70.75 20.44 91.81 32.57 85.62 68.61c-4.729 27.62-30.95 37.09-52.73 40.24c-6.721-2.064-33.23-9.768-33.23-9.768C59.69 285.3 43.54 270.8 49.01 238.9z"],
    "seedling": [512, 512, [127793, "sprout"], "f4d8", "M436.4 32c-91 0-168.3 67.88-194.6 161.4C204.6 134.6 144 96 75.63 96L0 95.1V120C0 247.9 91.75 352 204.4 352H232v104C232 469.2 242.8 480 255.1 480S280 469.2 280 456V288h27.62C420.2 288 512 183.9 512 56V32H436.4zM204.4 304c-79.25 0-145.1-69.75-155.1-160h26.25c79.25 0 145.1 69.75 155.1 160H204.4zM307.6 240h-26.25c10-90.25 75.87-160 155.1-160h26.25C452.8 170.2 386.9 240 307.6 240z"],
    "semicolon": [192, 512, [], "3b", "M97.35 287.1c-9.961 0-19.9 2.391-28.8 7.545c-15.66 9.051-26.41 24.44-29.45 42.25l-22.57 131.7c-2.986 17.32 6.9 34.29 23.49 40.31C44.12 511.3 48.34 511.1 52.51 511.1c12.68 0 24.82-6.602 31.51-18.03l67.69-115.4c9.119-15.58 10.81-34.25 4.652-51.21C147.6 303.1 122.4 287.1 97.35 287.1zM110.3 354.3l-35.78 60.99l11.9-69.42c.6387-3.734 2.824-6.854 6.209-8.809C94.15 336.2 96.04 336 97.35 336c5.898 0 12.38 3.604 13.88 7.766C112.5 347.3 112.2 351.1 110.3 354.3zM96 192c35.35 0 64-28.65 64-64c0-35.35-28.65-64-64-64s-63.1 28.65-63.1 64C32 163.3 60.66 192 96 192zM96 112c8.822 0 16 7.178 16 16S104.8 144 96 144S80 136.8 80 128S87.18 112 96 112z"],
    "send-back": [640, 512, [], "f87e", "M192 0C227.3 0 256 28.65 256 64V192C256 227.3 227.3 256 192 256H64C28.65 256 0 227.3 0 192V64C0 28.65 28.65 0 64 0H192zM192 48H64C55.16 48 48 55.16 48 64V192C48 200.8 55.16 208 64 208H192C200.8 208 208 200.8 208 192V64C208 55.16 200.8 48 192 48zM576 256C611.3 256 640 284.7 640 320V448C640 483.3 611.3 512 576 512H448C412.7 512 384 483.3 384 448V320C384 284.7 412.7 256 448 256H576zM576 304H448C439.2 304 432 311.2 432 320V448C432 456.8 439.2 464 448 464H576C584.8 464 592 456.8 592 448V320C592 311.2 584.8 304 576 304zM192 288C245 288 288 245 288 192V96H416C451.3 96 480 124.7 480 160V224H448C394.1 224 352 266.1 352 320V416H224C188.7 416 160 387.3 160 352V288H192z"],
    "send-backward": [512, 512, [], "f87f", "M288 0C323.3 0 352 28.65 352 64V128H224C170.1 128 128 170.1 128 224V352H64C28.65 352 0 323.3 0 288V64C0 28.65 28.65 0 64 0H288zM160 224C160 188.7 188.7 160 224 160H448C483.3 160 512 188.7 512 224V448C512 483.3 483.3 512 448 512H224C188.7 512 160 483.3 160 448V224zM208 224V448C208 456.8 215.2 464 224 464H448C456.8 464 464 456.8 464 448V224C464 215.2 456.8 208 448 208H224C215.2 208 208 215.2 208 224z"],
    "sensor": [448, 512, [], "e028", "M144 264C144 277.3 133.3 288 120 288C106.7 288 96 277.3 96 264V152C96 138.7 106.7 128 120 128C133.3 128 144 138.7 144 152V264zM240 264C240 277.3 229.3 288 216 288C202.7 288 192 277.3 192 264V152C192 138.7 202.7 128 216 128C229.3 128 240 138.7 240 152V264zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM48 96V416C48 424.8 55.16 432 64 432H384C392.8 432 400 424.8 400 416V96C400 87.16 392.8 80 384 80H64C55.16 80 48 87.16 48 96z"],
    "sensor-cloud": [640, 512, ["sensor-smoke"], "e02c", "M48 96V416C48 424.8 55.16 432 64 432H224C224 449.2 227.9 465.5 234.8 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V234.8C433.5 227.9 417.2 224 400 224V96C400 87.16 392.8 80 384 80H64C55.16 80 48 87.16 48 96zM144 264C144 277.3 133.3 288 120 288C106.7 288 96 277.3 96 264V152C96 138.7 106.7 128 120 128C133.3 128 144 138.7 144 152V264zM240 264C240 277.3 229.3 288 216 288C202.7 288 192 277.3 192 264V152C192 138.7 202.7 128 216 128C229.3 128 240 138.7 240 152V264zM336 512C291.8 512 256 476.2 256 432C256 392.6 284.4 359.9 321.9 353.2C320.6 347.7 320 341.9 320 336C320 291.8 355.8 256 400 256C435 256 464.8 278.5 475.6 309.8C485.9 296.6 501.9 288 520 288C550.9 288 576 313.1 576 344C576 347.2 575.7 350.4 575.2 353.4C612.1 360.5 640 393 640 432C640 476.2 604.2 512 560 512H336z"],
    "sensor-fire": [640, 512, [], "e02a", "M48 96V416C48 424.8 55.16 432 64 432H306.1C314.2 449.5 324.8 465.7 337.6 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V128.2C435.4 127 422.5 130.9 412.5 139.9C408.2 143.6 404.1 147.5 400 151.4V96C400 87.16 392.8 80 384 80H64C55.16 80 48 87.16 48 96zM144 264C144 277.3 133.3 288 120 288C106.7 288 96 277.3 96 264V152C96 138.7 106.7 128 120 128C133.3 128 144 138.7 144 152V264zM240 264C240 277.3 229.3 288 216 288C202.7 288 192 277.3 192 264V152C192 138.7 202.7 128 216 128C229.3 128 240 138.7 240 152V264zM509 221.3C516.9 211.5 525.8 200.6 535.5 191.8C541.1 186.7 549.9 186.7 555.5 191.9C580.2 214.6 601.1 244.5 615.8 273C630.4 301.1 640 329.8 640 349.9C640 437.8 568.7 511.9 480 511.9C390.3 511.9 320 437.7 320 349.9C320 323.5 332.7 291.3 352.4 259.4C372.4 227 400.5 193.3 433.8 163.6C439.4 158.6 447.1 158.6 453.5 163.6C473.3 181.4 491.8 200.6 509 221.3V221.3zM550 336.9C548 332.9 546 328.9 543 324.9L507 366.9C507 366.9 448.1 292.9 444.1 287.9C415 324.9 400 345.9 400 369.9C400 418.9 436 447.9 480.1 447.9C499 447.9 515 442.9 530 432.9C560 411.9 568 369.9 550 336.9z"],
    "sensor-on": [640, 512, [], "e02b", "M120 128C133.3 128 144 138.7 144 152V264C144 277.3 133.3 288 120 288C106.7 288 96 277.3 96 264V152C96 138.7 106.7 128 120 128zM216 128C229.3 128 240 138.7 240 152V264C240 277.3 229.3 288 216 288C202.7 288 192 277.3 192 264V152C192 138.7 202.7 128 216 128zM384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM384 80H64C55.16 80 48 87.16 48 96V416C48 424.8 55.16 432 64 432H384C392.8 432 400 424.8 400 416V96C400 87.16 392.8 80 384 80zM549.3 139.1C538.3 147.3 523.4 144.3 516 133.3C508.7 122.3 511.7 107.4 522.7 100L570.7 68.03C581.7 60.68 596.6 63.66 603.1 74.69C611.3 85.72 608.3 100.6 597.3 107.1L549.3 139.1zM616 232C629.3 232 640 242.7 640 256C640 269.3 629.3 280 616 280H536C522.7 280 512 269.3 512 256C512 242.7 522.7 232 536 232H616zM597.3 404C608.3 411.4 611.3 426.3 603.1 437.3C596.6 448.3 581.7 451.3 570.7 443.1L522.7 411.1C511.7 404.6 508.7 389.7 516 378.7C523.4 367.7 538.3 364.7 549.3 372L597.3 404z"],
    "sensor-triangle-exclamation": [640, 512, ["sensor-alert"], "e029", "M48 96V416C48 424.8 55.16 432 64 432H232.9C227 442.1 224 455.2 224 467.7C224 471.9 224.3 475.1 224.1 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V128C430.1 128 413.1 134.5 400 145.9V96C400 87.16 392.8 80 384 80H64C55.16 80 48 87.16 48 96zM144 264C144 277.3 133.3 288 120 288C106.7 288 96 277.3 96 264V152C96 138.7 106.7 128 120 128C133.3 128 144 138.7 144 152V264zM240 264C240 277.3 229.3 288 216 288C202.7 288 192 277.3 192 264V152C192 138.7 202.7 128 216 128C229.3 128 240 138.7 240 152V264zM261.8 445.8L412.2 180.9C419.5 167.1 433.2 160 448 160C462.8 160 476.5 167.1 483.8 180.9L634.2 445.8C638 452.5 640 460 640 467.7C640 492.2 620.2 512 595.7 512H300.3C275.8 512 256 492.2 256 467.7C256 460 257.1 452.5 261.8 445.8V445.8zM463.1 272C463.1 263.2 456.8 256 447.1 256C439.2 256 431.1 263.2 431.1 272V360C431.1 368.8 439.2 376 447.1 376C456.8 376 463.1 368.8 463.1 360V272zM448 456C461.3 456 472 445.3 472 432C472 418.7 461.3 408 448 408C434.7 408 424 418.7 424 432C424 445.3 434.7 456 448 456z"],
    "server": [512, 512, [], "f233", "M448 32H64C28.65 32 0 60.65 0 96v64c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V96C512 60.65 483.3 32 448 32zM464 160c0 8.822-7.178 16-16 16H64C55.18 176 48 168.8 48 160V96c0-8.822 7.178-16 16-16h384c8.822 0 16 7.178 16 16V160zM448 288H64c-35.35 0-64 28.65-64 64v64c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64v-64C512 316.7 483.3 288 448 288zM464 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16v-64c0-8.822 7.178-16 16-16h384c8.822 0 16 7.178 16 16V416zM352 104c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24S376 141.3 376 128C376 114.7 365.3 104 352 104zM416 104c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24S440 141.3 440 128C440 114.7 429.3 104 416 104zM352 360c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24s24-10.75 24-24C376 370.7 365.3 360 352 360zM416 360c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24s24-10.75 24-24C440 370.7 429.3 360 416 360z"],
    "shapes": [512, 512, ["triangle-circle-square"], "f61f", "M411.8 207.8C406.2 217.8 395.5 223.1 384 223.1H192C180.5 223.1 169.8 217.8 164.2 207.8C158.5 197.7 158.6 185.4 164.6 175.5L260.6 15.54C266.3 5.897 276.8 0 288 0C299.2 0 309.7 5.898 315.4 15.54L411.4 175.5C417.4 185.4 417.5 197.7 411.8 207.8V207.8zM288 63.1L220.3 175.1H355.7L288 63.1zM472 271.1C494.1 271.1 512 289.9 512 311.1V456C512 478.1 494.1 496 472 496H328C305.9 496 288 478.1 288 456V311.1C288 289.9 305.9 271.1 328 271.1H472zM464 319.1H336V448H464V319.1zM256 384C256 454.7 198.7 512 128 512C57.31 512 0 454.7 0 384C0 313.3 57.31 255.1 128 255.1C198.7 255.1 256 313.3 256 384zM128 303.1C83.82 303.1 48 339.8 48 384C48 428.2 83.82 464 128 464C172.2 464 208 428.2 208 384C208 339.8 172.2 303.1 128 303.1z"],
    "share": [512, 512, ["arrow-turn-right", "mail-forward"], "f064", "M152 184h271.5l-127.2-109.8c-10.03-8.656-11.12-23.81-2.469-33.84c8.688-10.06 23.85-11.21 33.85-2.487l176 151.1C508.1 194.4 512 201 512 208c0 6.968-3.029 13.58-8.31 18.14l-176 151.1c-4.531 3.937-10.13 5.847-15.69 5.847c-6.719 0-13.41-2.812-18.16-8.312c-8.656-10.03-7.562-25.19 2.469-33.84l127.2-109.8H152c-57.34 0-104 46.65-104 103.1v119.1C48 469.3 37.25 480 24 480S0 469.3 0 456v-119.1C0 252.2 68.19 184 152 184z"],
    "share-all": [576, 512, [], "f367", "M448 208c0-6.968-3.029-13.6-8.31-18.17l-176-151.1c-10-8.718-25.16-7.575-33.85 2.487c-8.656 10.03-7.562 25.19 2.469 33.84l127.2 109.8H152c-83.81 0-152 68.18-152 151.1v119.1C0 469.3 10.75 480 24 480s24-10.75 24-23.1v-119.1c0-57.34 46.66-103.1 104-103.1h207.5l-127.2 109.8c-10.03 8.656-11.12 23.81-2.469 33.84C234.6 381.2 241.3 384 248 384c5.562 0 11.16-1.909 15.69-5.846l176-151.1C444.1 221.6 448 214.1 448 208zM567.7 189.9l-176-151.1c-10-8.718-25.16-7.575-33.85 2.487c-8.656 10.03-7.562 25.19 2.469 33.84l154.1 133.8l-154.1 133.8c-10.03 8.656-11.12 23.81-2.469 33.84c4.75 5.5 11.44 8.312 18.16 8.312c5.562 0 11.16-1.909 15.69-5.846l176-151.1C572.1 221.6 576 214.1 576 208C576 201 572.1 194.4 567.7 189.9z"],
    "share-from-square": [576, 512, [61509, "share-square"], "f14d", "M568.5 142.6l-144-135.1c-9.625-9.156-24.81-8.656-33.91 .9687c-9.125 9.625-8.688 24.81 .9687 33.91l100.1 94.56h-163.4C287.5 134.2 249.7 151 221 179.4C192 208.2 176 246.7 176 288v87.1c0 13.25 10.75 23.1 24 23.1S224 389.3 224 376V288c0-28.37 10.94-54.84 30.78-74.5C274.3 194.2 298.9 183 328 184h163.6l-100.1 94.56c-9.656 9.094-10.09 24.28-.9687 33.91c4.719 4.1 11.06 7.531 17.44 7.531c5.906 0 11.84-2.156 16.47-6.562l144-135.1C573.3 172.9 576 166.6 576 160S573.3 147.1 568.5 142.6zM360 384c-13.25 0-24 10.75-24 23.1v47.1c0 4.406-3.594 7.1-8 7.1h-272c-4.406 0-8-3.594-8-7.1V184c0-4.406 3.594-7.1 8-7.1H112c13.25 0 24-10.75 24-23.1s-10.75-23.1-24-23.1H56c-30.88 0-56 25.12-56 55.1v271.1C0 486.9 25.13 512 56 512h272c30.88 0 56-25.12 56-55.1v-47.1C384 394.8 373.3 384 360 384z"],
    "share-nodes": [448, 512, ["share-alt"], "f1e0", "M448 128C448 181 405 224 352 224C323.1 224 297.2 211.2 279.6 191L189.9 235.9C191.3 242.4 191.1 249.1 191.1 255.1C191.1 262.9 191.3 269.6 189.9 276.1L279.6 320.1C297.2 300.8 323.1 287.1 352 287.1C405 287.1 448 330.1 448 384C448 437 405 480 352 480C298.1 480 256 437 256 384C256 377.1 256.7 370.4 258.1 363.9L168.4 319C150.8 339.2 124.9 352 96 352C42.98 352 0 309 0 255.1C0 202.1 42.98 159.1 96 159.1C124.9 159.1 150.8 172.8 168.4 192.1L258.1 148.1C256.7 141.6 256 134.9 256 128C256 74.98 298.1 32 352 32C405 32 448 74.98 448 128H448zM95.1 304C122.5 304 143.1 282.5 143.1 256C143.1 229.5 122.5 208 95.1 208C69.49 208 47.1 229.5 47.1 256C47.1 282.5 69.49 304 95.1 304zM352 80C325.5 80 304 101.5 304 128C304 154.5 325.5 176 352 176C378.5 176 400 154.5 400 128C400 101.5 378.5 80 352 80zM352 432C378.5 432 400 410.5 400 384C400 357.5 378.5 336 352 336C325.5 336 304 357.5 304 384C304 410.5 325.5 432 352 432z"],
    "sheep": [640, 512, [128017], "f711", "M384 135.8L369.5 142.1C357.3 147.3 343.2 141.6 337.9 129.5C332.7 117.3 338.4 103.2 350.5 97.94L398.4 77.44C415.3 50.16 445.5 32 480 32C514.5 32 544.7 50.16 561.6 77.44L609.5 97.94C621.6 103.2 627.3 117.3 622.1 129.5C616.8 141.6 602.7 147.3 590.5 142.1L576 135.8V208C576 252.2 540.2 288 496 288H464C419.8 288 384 252.2 384 208L384 135.8zM464 160C472.8 160 480 152.8 480 144C480 135.2 472.8 128 464 128C455.2 128 448 135.2 448 144C448 152.8 455.2 160 464 160zM528 128C519.2 128 512 135.2 512 144C512 152.8 519.2 160 528 160C536.8 160 544 152.8 544 144C544 135.2 536.8 128 528 128zM307.2 142.9C291.7 141.7 277.8 133.1 269.7 119.8C266.9 115 261.8 112 255.1 112C251.2 112 246.9 114.1 243.9 117.5C227.1 136.8 197.1 139.4 177.9 123.5C175.2 121.3 171.8 120 167.1 120C160.5 120 154.2 125.1 152.5 132.1C146.5 156.3 123.1 171.1 98.52 168.2C97.72 168.1 96.89 168 95.1 168C87.16 168 79.1 175.2 79.1 184C79.1 185.4 80.17 186.7 80.47 187.9C85.78 209.3 75.91 231.5 56.5 241.8C51.34 244.6 47.1 249.1 47.1 256C47.1 262 51.34 267.4 56.5 270.2C75.91 280.5 85.78 302.7 80.47 324.1C80.17 325.3 79.1 326.6 79.1 328C79.1 336.8 87.16 344 95.1 344C96.88 344 97.72 343.9 98.52 343.8C123.1 340 146.5 355.7 152.5 379.9C154.2 386.9 160.5 392 167.1 392C171.8 392 175.2 390.7 177.9 388.6C197.1 372.6 227.1 375.2 243.9 394.5C246.9 397.9 251.2 400 255.1 400C260.8 400 265.1 397.9 268.1 394.5C284.9 375.2 314 372.6 334.1 388.6C336.8 390.7 340.2 392 344 392C351.5 392 357.8 386.9 359.5 379.9C365.5 355.7 388.9 340 413.5 343.8C414.3 343.9 415.1 344 416 344C424.8 344 432 336.8 432 328C432 326.6 431.8 325.3 431.5 324.1C430.8 320.1 430.3 317.9 430.2 314.8C440.8 318.2 452.2 319.1 464 319.1H479.5C479.8 322.6 480 325.3 480 328C480 363.3 451.3 392 416 392C415.5 392 415 391.1 414.5 391.1L396.9 485.9C394.1 501 380.8 512 365.4 512H336C318.3 512 303.1 497.7 303.1 480V426.3C292.3 439.6 275.1 448 255.1 448C236.9 448 219.7 439.6 207.1 426.3V480C207.1 497.7 193.7 512 175.1 512H146.6C131.2 512 117.9 501 115.1 485.9L97.5 391.1C96.1 391.1 96.5 392 96 392C60.65 392 32 363.3 32 328C32 322.6 32.66 317.5 33.89 312.5C13.72 301.7 0 280.5 0 255.1C0 231.5 13.72 210.3 33.89 199.5C32.66 194.5 32 189.3 32 183.1C32 148.7 60.65 119.1 96 119.1C99.34 119.1 102.6 120.3 105.8 120.7C112.7 92.77 137.9 71.1 168 71.1C183 71.1 196.9 77.19 207.8 85.88C219.5 72.47 236.8 63.1 256 63.1C263.1 63.1 271.6 65.46 278.7 68.13C291.8 73.12 302.1 82.35 310.3 94.14C302.9 108.5 301.6 126 308.5 142.1L308.9 142.1C308.3 142.9 307.8 142.9 307.2 142.9L307.2 142.9z"],
    "sheet-plastic": [384, 512, [], "e571", "M203.3 84.69C209.6 90.93 209.6 101.1 203.3 107.3L107.3 203.3C101.1 209.6 90.93 209.6 84.69 203.3C78.44 197.1 78.44 186.9 84.69 180.7L180.7 84.69C186.9 78.44 197.1 78.44 203.3 84.69V84.69zM139.3 299.3C133.1 305.6 122.9 305.6 116.7 299.3C110.4 293.1 110.4 282.9 116.7 276.7L276.7 116.7C282.9 110.4 293.1 110.4 299.3 116.7C305.6 122.9 305.6 133.1 299.3 139.3L139.3 299.3zM0 64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V364.1C384 376.8 378.9 389.1 369.9 398.1L270.1 497.9C261.1 506.9 248.8 512 236.1 512H64C28.65 512 0 483.3 0 448V64zM320 48H64C55.16 48 48 55.16 48 64V448C48 456.8 55.16 464 64 464H224V384C224 366.3 238.3 352 256 352H336V64C336 55.16 328.8 48 320 48z"],
    "shekel-sign": [448, 512, [8362, "ils", "shekel", "sheqel", "sheqel-sign"], "f20b", "M184 32C250.3 32 304 85.73 304 152V336C304 349.3 293.3 360 280 360C266.7 360 256 349.3 256 336V152C256 112.2 223.8 80 184 80H64V456C64 469.3 53.25 480 40 480C26.75 480 16 469.3 16 456V56C16 42.75 26.75 32 40 32H184zM168 480C154.7 480 144 469.3 144 456V184C144 170.7 154.7 160 168 160C181.3 160 192 170.7 192 184V432H312C351.8 432 384 399.8 384 360V56C384 42.75 394.7 32 408 32C421.3 32 432 42.75 432 56V360C432 426.3 378.3 480 312 480H168z"],
    "shelves": [640, 512, ["inventory"], "f480", "M616 0c-13.25 0-24 10.75-24 24V144h-82.26C511.1 138.9 512 133.6 512 128V64c0-35.35-28.65-64-64-64h-64c-35.35 0-64 28.65-64 64v64c0 5.559 .9316 10.86 2.264 16H48V24C48 10.75 37.25 0 24 0S0 10.75 0 24v464C0 501.3 10.75 512 24 512s24-10.75 24-24V448h544v40c0 13.25 10.75 24 24 24S640 501.3 640 488V24C640 10.75 629.3 0 616 0zM368 128V64c0-8.822 7.178-16 16-16h64c8.822 0 16 7.178 16 16v64c0 8.822-7.178 16-16 16h-64C375.2 144 368 136.8 368 128zM160 400c-8.822 0-16-7.178-16-16v-64c0-8.822 7.178-16 16-16h64c8.822 0 16 7.178 16 16v64c0 8.822-7.178 16-16 16H160zM304 400C295.2 400 288 392.8 288 384v-64c0-8.822 7.178-16 16-16h64c8.822 0 16 7.178 16 16v64c0 8.822-7.178 16-16 16H304zM429.7 400C431.1 394.9 432 389.6 432 384v-64c0-35.35-28.65-64-64-64h-64C288.8 256 274.1 261.5 264 270.4C253 261.5 239.2 256 224 256H160c-35.35 0-64 28.65-64 64v64c0 5.559 .9316 10.86 2.264 16H48V192h544v208H429.7z"],
    "shelves-empty": [640, 512, [], "e246", "M616 0c-13.25 0-24 10.75-24 24V144h-544V24C48 10.75 37.25 0 24 0S0 10.75 0 24v464C0 501.3 10.75 512 24 512s24-10.75 24-24V448h544v40c0 13.25 10.75 24 24 24S640 501.3 640 488V24C640 10.75 629.3 0 616 0zM48 400V192h544v208H48z"],
    "shield": [512, 512, [128737, "shield-blank"], "f132", "M269.4 2.912L457.7 82.79C479.7 92.12 496.2 113.8 496 139.1C495.5 239.2 454.8 420.7 282.4 503.2C265.8 511.1 246.3 511.1 229.6 503.2C57.29 420.7 16.49 239.2 16 139.1C15.87 113.8 32.32 92.12 54.3 82.79L242.7 2.912C246.8 1.007 251.4-.0091 256-.0088C260.7-.0091 265.2 1.007 269.4 2.912L269.4 2.912zM256 49.39L73.04 126.1C67.1 129.5 63.98 134.7 64 139.7C64.45 231.2 102.4 389 250.4 459.9C253.9 461.6 258.1 461.6 261.7 459.9C409.7 389 447.6 231.2 448 139.7C448.1 134.7 444.9 129.5 438.1 126.1L256 49.39z"],
    "shield-cat": [512, 512, [], "e572", "M288 208L352 144V272C352 325 309 368 255.1 368C202.1 368 159.1 325 159.1 272V144L223.1 208H288zM215.1 288C224.8 288 231.1 280.8 231.1 272C231.1 263.2 224.8 256 215.1 256C207.2 256 199.1 263.2 199.1 272C199.1 280.8 207.2 288 215.1 288zM296 256C287.2 256 280 263.2 280 272C280 280.8 287.2 288 296 288C304.8 288 312 280.8 312 272C312 263.2 304.8 256 296 256zM16.56 118.1C17.28 105.1 24.83 95.27 36.04 90.53L240.4 4.066C245.2 1.386 250.7-.0507 256.3-.0068C261.9-.0507 267.3 1.386 272.1 4.066L476.5 90.53C487.7 95.27 495.2 105.1 495.9 118.1C501.6 213.6 466.7 421.9 272.5 507.7C267.6 510.5 261.1 512.1 256.3 512C250.5 512.1 244.9 510.5 239.1 507.7C45.8 421.9 10.95 213.6 16.57 118.1H16.56zM256.3 462.4C414.5 390.5 450.6 220.8 448.4 130.8L256.3 49.47L64.08 130.8C61.92 220.8 98.04 390.5 256.3 462.4V462.4z"],
    "shield-check": [512, 512, [], "f2f7", "M466.5 83.71l-192-80c-5.875-2.5-12.16-3.703-18.44-3.703S243.5 1.203 237.6 3.703L45.61 83.71C27.73 91.08 16 108.6 16 127.1C16 385.4 205.4 512 255.9 512C305.2 512 496 387.3 496 127.1C496 108.6 484.3 91.08 466.5 83.71zM256 464C158.5 423.4 64 297.3 64 128l192-80L448 128C448 301.8 349.6 425 256 464zM200.1 247C196.3 242.3 190.1 239.1 184 239.1c-13.71 0-24 11.21-24 24C160 270.1 162.3 276.3 167 280.1l48 48C219.5 333.5 225.7 335.1 232 335.1c2.595 0 11.46-.4962 18.22-8.375l96-112c3.881-4.528 5.781-10.09 5.781-15.62c0-7.405-5.79-23.99-23.98-23.99c-6.756 0-13.48 2.831-18.24 8.362L230.7 276.7L200.1 247z"],
    "shield-cross": [512, 512, [9960], "f712", "M466.5 83.71l-192-80C268.6 1.203 262.3 0 256.1 0S243.5 1.203 237.6 3.703L45.61 83.71C27.73 91.08 16 108.6 16 127.1C16 385.4 205.4 512 255.9 512C305.2 512 496 387.3 496 127.1C496 108.6 484.3 91.08 466.5 83.71zM232 58V168H66.01C64.82 154.9 64 141.7 64 128L232 58zM72.95 216H232v236C161.2 411.1 96.05 327.8 72.95 216zM280 451.1V216h159.1C415.6 329.8 348.1 412.9 280 451.1zM446 168H280V58L448 128C448 141.7 447.2 154.1 446 168z"],
    "shield-dog": [512, 512, [], "e573", "M175.1 272C211.3 272 239.1 243.3 239.1 208V144H284.2C296.3 144 307.4 150.8 312.8 161.7L320 176H384C392.8 176 400 183.2 400 192V224C400 268.2 364.2 304 320 304H272V368L143.1 304L160.9 270.2C165.7 271.4 170.8 272 175.1 272H175.1zM272 176C263.2 176 255.1 183.2 255.1 192C255.1 200.8 263.2 208 272 208C280.8 208 288 200.8 288 192C288 183.2 280.8 176 272 176zM159.1 144H207.1V208C207.1 225.7 193.7 240 175.1 240C158.3 240 143.1 225.7 143.1 208V160C143.1 151.2 151.2 144 159.1 144zM16.56 118.1C17.28 105.1 24.83 95.27 36.04 90.53L240.4 4.066C245.2 1.386 250.7-.0507 256.3-.0068C261.9-.0507 267.3 1.386 272.1 4.066L476.5 90.53C487.7 95.27 495.2 105.1 495.9 118.1C501.6 213.6 466.7 421.9 272.5 507.7C267.6 510.5 261.1 512.1 256.3 512C250.5 512.1 244.9 510.5 239.1 507.7C45.8 421.9 10.95 213.6 16.57 118.1H16.56zM256.3 462.4C414.5 390.5 450.6 220.8 448.4 130.8L256.3 49.47L64.08 130.8C61.92 220.8 98.04 390.5 256.3 462.4V462.4z"],
    "shield-exclamation": [512, 512, [], "e247", "M466.5 83.69l-192-80.01C269.6 1.656 261.3 0 256.1 0C250.8 0 242.5 1.656 237.6 3.688l-192 80.01C27.69 91.08 16 108.6 16 127.1C16 385.2 205.2 512 255.1 512C307.1 512 496 383.8 496 127.1C496 108.6 484.3 91.08 466.5 83.69zM256.1 48.03C256.1 48.02 256.2 48.03 256.1 48.03L256.1 48.03zM255.1 464C163.5 425.5 64.06 303.9 64.06 128.1c0-.05 0 .05 0 0l190.8-79.64c.332-.1016 .7422-.3021 1.275-.3997L448 127.1C448 330.5 322.4 436.3 255.1 464zM232 152v112C232 277.3 242.8 288 256 288s24-10.75 24-24v-112C280 138.8 269.3 128 256 128S232 138.8 232 152zM256 320c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S273.7 320 256 320z"],
    "shield-halved": [512, 512, ["shield-alt"], "f3ed", "M496 139.1C495.5 239.2 454.8 420.7 282.4 503.2C265.8 511.1 246.3 511.1 229.6 503.2C57.29 420.7 16.49 239.2 16 139.1C15.87 113.8 32.32 92.12 54.3 82.79L242.7 2.912C246.8 1.007 251.4-.0091 256-.0088C260.7-.0091 265.2 1.007 269.4 2.912L457.7 82.79C479.7 92.12 496.2 113.8 496 139.1L496 139.1zM232 59.57L73.04 126.1C67.1 129.5 63.98 134.7 64 139.7C64.44 227.3 99.22 375.7 232 450.3V59.57zM280 450.4C412.8 375.7 447.6 227.3 448 139.7C448.1 134.7 444.9 129.5 438.1 126.1L280 59.56L280 450.4z"],
    "shield-heart": [512, 512, [], "e574", "M245.6 348.1L161.3 262.5C136.8 237.8 138.3 196.5 165.9 173.2C189.7 152.1 225.7 156.7 247.2 179.2L256.4 187.5L264.8 179.2C287 156.7 322.3 152.1 346.1 173.2C373.7 196.5 375.2 237.8 350.7 262.5L265.6 348.1C260.2 353.3 251.8 353.3 245.6 348.1H245.6zM16.56 118.1C17.28 105.1 24.83 95.27 36.04 90.53L240.4 4.066C245.2 1.386 250.7-.0507 256.3-.0068C261.9-.0507 267.3 1.386 272.1 4.066L476.5 90.53C487.7 95.27 495.2 105.1 495.9 118.1C501.6 213.6 466.7 421.9 272.5 507.7C267.6 510.5 261.1 512.1 256.3 512C250.5 512.1 244.9 510.5 239.1 507.7C45.8 421.9 10.95 213.6 16.57 118.1H16.56zM256.3 462.4C414.5 390.5 450.6 220.8 448.4 130.8L256.3 49.47L64.08 130.8C61.92 220.8 98.04 390.5 256.3 462.4V462.4z"],
    "shield-keyhole": [512, 512, [], "e248", "M466.5 83.69l-192-80.01C269.6 1.656 261.3 0 256.1 0C250.8 0 242.5 1.656 237.6 3.688l-192 80.01C27.69 91.08 16 108.6 16 127.1C16 385.2 205.2 512 255.1 512C307.1 512 496 383.8 496 127.1C496 108.6 484.3 91.08 466.5 83.69zM256.1 48.03C256.1 48.02 256.2 48.03 256.1 48.03L256.1 48.03zM255.1 464C163.5 425.5 64.06 303.9 64.06 128.1c0-.05 0 .05 0 0l190.8-79.64c.332-.1016 .7422-.3021 1.275-.3997L448 127.1C448 330.5 322.4 436.3 255.1 464zM200 208c0 22.3 13.13 41.4 32 50.41V328C232 341.3 242.8 352 256 352s24-10.75 24-24V258.4c18.87-9.008 32-28.11 32-50.41c0-30.93-25.07-56-56-56S200 177.1 200 208z"],
    "shield-minus": [512, 512, [], "e249", "M466.5 83.69l-192-80.01C269.6 1.656 261.3 0 256.1 0C250.8 0 242.5 1.656 237.6 3.688l-192 80.01C27.69 91.08 16 108.6 16 127.1C16 385.2 205.2 512 255.1 512C307.1 512 496 383.8 496 127.1C496 108.6 484.3 91.08 466.5 83.69zM256.1 48.03C256.1 48.02 256.2 48.03 256.1 48.03L256.1 48.03zM255.1 464C163.5 425.5 64.06 303.9 64.06 128.1c0-.05 0 .05 0 0l190.8-79.64c.332-.1016 .7422-.3021 1.275-.3997L448 127.1C448 330.5 322.4 436.3 255.1 464zM176 232c-13.26 0-23.1 10.74-23.1 23.1c0 13.25 10.73 23.1 23.1 23.1h160c13.26 0 23.1-10.74 23.1-23.1S349.3 232 336 232H176z"],
    "shield-plus": [512, 512, [], "e24a", "M466.5 83.69l-192-80.01C269.6 1.656 261.3 0 256.1 0C250.8 0 242.5 1.656 237.6 3.688l-192 80.01C27.69 91.08 16 108.6 16 127.1C16 385.2 205.2 512 255.1 512C307.1 512 496 383.8 496 127.1C496 108.6 484.3 91.08 466.5 83.69zM256.1 48.03C256.1 48.02 256.2 48.03 256.1 48.03L256.1 48.03zM255.1 464C163.5 425.5 64.06 303.9 64.06 128.1c0-.05 0 .05 0 0l190.8-79.64c.332-.1016 .7422-.3021 1.275-.3997L448 127.1C448 330.5 322.4 436.3 255.1 464zM232 175.1V232H176c-13.26 0-23.1 10.74-23.1 23.1c0 13.25 10.73 23.1 23.1 23.1h56V336c0 13.26 10.73 23.1 23.1 23.1c13.26 0 23.1-10.74 23.1-23.1V279.1h56c13.26 0 23.1-10.74 23.1-23.1S349.3 232 336 232H280V175.1c0-13.26-10.74-23.1-23.1-23.1S232 162.7 232 175.1z"],
    "shield-quartered": [576, 512, [], "e575", "M301.4 2.912L489.7 82.79C511.7 92.12 528.2 113.8 528 139.1C527.5 239.2 486.8 420.7 314.4 503.2C297.8 511.1 278.3 511.1 261.6 503.2C89.29 420.7 48.49 239.2 48 139.1C47.87 113.8 64.32 92.12 86.3 82.79L274.7 2.912C278.8 1.007 283.4-.0091 288-.0088C292.7-.0091 297.2 1.007 301.4 2.912L301.4 2.912zM96 139.7C96.09 157.7 97.62 178.1 101.1 200H264V59.57L105 126.1C99.11 129.5 95.98 134.7 96 139.7H96zM111.7 248C132.7 321.9 177.6 401.7 264 450.3V248H111.7zM312 248V450.4C398.4 401.8 443.4 321.1 464.3 248H312zM474.9 200C478.4 178.1 479.9 157.7 480 139.7C480.1 134.7 476.9 129.5 470.1 126.1L312 59.56V200L474.9 200z"],
    "shield-slash": [640, 512, [], "e24b", "M639.1 487.1c0-7.118-3.152-14.16-9.189-18.89l-134.3-105.3C533.4 303.5 560 225.5 560 127.1c0-19.38-11.75-36.91-29.5-44.28l-192-80C332.6 1.203 326.3 0 320.1 0S307.5 1.203 301.6 3.703L128.9 75.68L38.81 5.109C34.41 1.672 29.19 0 24.03 0C10.2 0 .0008 11.29 .0008 24c0 7.118 3.152 14.16 9.189 18.89l591.1 463.1C605.6 510.3 610.8 512 615.1 512C629.8 512 639.1 500.6 639.1 487.1zM458.3 333.9L172.1 109.6L320 48L512 128C512 208.8 490.5 278.3 458.3 333.9zM320 464c-82.64-34.43-162.9-130.4-185.5-261.9l-53.33-41.8C96.42 398.1 273.1 512 319.9 512c36.99 0 102.6-57.92 117.3-72.57l-37.7-29.54C374.3 434.3 346.1 452.8 320 464z"],
    "shield-virus": [512, 512, [], "e06c", "M240 111.1v12.12c0 19.29-15.78 32.07-32.23 32.07c-7.862 0-15.88-2.917-22.4-9.436L176.8 138.2C173.7 135 169.6 133.5 165.5 133.5c-9.139 0-16 7.473-16 15.1c0 4.094 1.562 8.187 4.688 11.31l8.576 8.577C169.3 175.9 172.2 183.9 172.2 191.8c0 16.45-12.77 32.23-32.06 32.23H128c-8.844 0-16 7.156-16 16s7.156 16 16 16h12.12c19.29 0 32.06 15.78 32.06 32.23c0 7.862-2.918 15.88-9.436 22.4L154.2 319.2c-3.125 3.125-4.688 7.218-4.688 11.31c0 8.527 6.865 15.1 16 15.1c4.094 0 8.188-1.562 11.31-4.688l8.576-8.576c6.519-6.519 14.53-9.436 22.39-9.436c16.45 0 32.23 12.77 32.23 32.06v12.12c0 8.844 7.156 16 16 16s16-7.156 16-16v-12.12c0-19.29 15.78-32.06 32.23-32.06c7.862 0 15.88 2.917 22.4 9.436l8.576 8.576c3.125 3.125 7.219 4.688 11.31 4.688c9.139 0 16-7.473 16-15.1c0-4.094-1.562-8.187-4.688-11.31l-8.576-8.576c-6.519-6.519-9.436-14.53-9.436-22.4c0-16.45 12.77-32.23 32.06-32.23h12.12c8.844 0 16-7.156 16-16s-7.156-16-16-16h-12.12c-19.29 0-32.06-15.78-32.06-32.23c0-7.862 2.918-15.88 9.436-22.4l8.576-8.577c3.125-3.125 4.688-7.218 4.688-11.31c0-8.527-6.865-15.1-16-15.1c-4.094 0-8.188 1.562-11.31 4.688L326.6 146.7c-6.519 6.519-14.53 9.436-22.4 9.436c-16.45 0-32.23-12.77-32.23-32.07V111.1c0-8.844-7.156-16-16-16S240 103.2 240 111.1zM224 223.1c-8.836 0-15.1-7.165-15.1-16c0-8.838 7.164-16 16-16s15.1 7.163 15.1 16C240 216.8 232.8 223.1 224 223.1zM288 255.1c8.836 0 16 7.161 16 15.1c0 8.836-7.164 15.1-16 15.1s-16-7.162-16-15.1C272 263.2 279.2 255.1 288 255.1zM466.5 83.68l-192-80.01C269.6 1.641 261.4 0 256.1 0S242.5 1.641 237.6 3.672l-192 80.01c-17.89 7.393-29.59 24.89-29.59 44.3C16 385.2 205.2 512 255.9 512c52.02 0 240.1-128.2 240.1-384C496 108.6 484.3 91.07 466.5 83.68zM256.1 48.02C256.1 48.02 256.2 48.03 256.1 48.02L256.1 48.02zM255.1 464C163.5 425.5 64.06 303.9 64.06 128.1c0-.05 0 .05 0 0l190.8-79.64c.3301-.0996 .737-.3001 1.268-.3997l191.9 79.96C448 330.5 322.4 436.3 255.1 464z"],
    "shield-xmark": [512, 512, ["shield-times"], "e24c", "M466.5 83.69l-192-80.01C269.6 1.656 261.3 0 256.1 0C250.8 0 242.5 1.656 237.6 3.688l-192 80.01C27.69 91.08 16 108.6 16 127.1C16 385.2 205.2 512 255.1 512C307.1 512 496 383.8 496 127.1C496 108.6 484.3 91.08 466.5 83.69zM256.1 48.03C256.1 48.02 256.2 48.03 256.1 48.03L256.1 48.03zM255.1 464C163.5 425.5 64.06 303.9 64.06 128.1c0-.05 0 .05 0 0l190.8-79.64c.332-.1016 .7422-.3021 1.275-.3997L448 127.1C448 330.5 322.4 436.3 255.1 464zM208.1 175C204.3 170.3 198.1 168 192 168C178.3 168 168 179.2 168 192c0 6.141 2.344 12.28 7.031 16.97L222.1 256L175 303C170.3 307.7 168 313.9 168 320c0 12.82 10.32 24 24 24c6.139 0 12.28-2.343 16.97-7.031L256 289.9l47.03 47.03C307.7 341.7 313.9 344 320 344C332.8 344 344 333.7 344 320c0-6.141-2.344-12.28-7.031-16.97L289.9 256l47.03-47.03C341.7 204.3 344 198.1 344 192c0-12.79-10.3-24-24-24c-6.141 0-12.28 2.344-16.97 7.031L256 222.1L208.1 175z"],
    "ship": [576, 512, [128674], "f21a", "M191.1 32C191.1 14.33 206.3 0 223.1 0H352C369.7 0 384 14.33 384 32V64H424C454.9 64 480 89.07 480 120V238.4L505.9 248.1C544 262.4 554.6 311.3 525.8 340.1L456.1 408.1C447.6 418.3 432.4 418.3 423 408.1C413.7 399.6 413.7 384.4 423 375L491.9 306.2C496 302.1 494.5 295.1 489 293L290.8 218.7C288.1 218 287 218 285.2 218.7L86.96 293C81.51 295.1 79.1 302.1 84.11 306.2L152.1 375C162.3 384.4 162.3 399.6 152.1 408.1C143.6 418.3 128.4 418.3 119 408.1L50.17 340.1C21.37 311.3 31.97 262.4 70.1 248.1L95.1 238.4V119.1C95.1 89.07 121.1 63.1 151.1 63.1H191.1L191.1 32zM143.1 220.4L268.3 173.7C281 168.1 294.1 168.1 307.7 173.7L432 220.4V120C432 115.6 428.4 112 424 112H151.1C147.6 112 143.1 115.6 143.1 120L143.1 220.4zM191.1 464C220.8 464 250.5 448.7 272 430.1C281.1 421.1 294.8 421.1 303.1 430.1C325.5 448.7 355.1 464 383.1 464C412.8 464 442.5 448.7 464 430.1C473.1 421.1 486.8 421.1 495.9 430.1C512.9 445.1 535.2 456.9 557.2 461.8C570.1 464.7 578.3 477.5 575.4 490.5C572.5 503.4 559.6 511.5 546.7 508.6C518 502.2 494.4 488.2 479.1 478.2C451.9 497.7 418.6 512 383.1 512C349.4 512 316.1 497.7 287.1 478.2C259.9 497.7 226.6 512 191.1 512C157.4 512 124.1 497.7 95.98 478.2C81.61 488.2 57.99 502.2 29.3 508.6C16.37 511.5 3.534 503.4 .633 490.5C-2.268 477.5 5.864 464.7 18.8 461.8C41 456.8 62.76 444.1 79.1 430.1C89.09 421.1 102.8 421.1 111.9 430.1C133.5 448.7 163.1 464 191.1 464L191.1 464z"],
    "shirt": [640, 512, [128085, "t-shirt", "tshirt"], "f553", "M639.1 170.9c0-16.6-7.23-32.64-21.13-43.64l-135-106.6C466.9 7.359 445.6 0 423.1 0H399.1C386.7 0 376 10.75 376 24c0 30.88-25.12 56-56 56S264 54.88 264 24C264 10.75 253.3 0 240 0h-24C194.4 0 173.1 7.359 156.2 20.72L21.13 127.3C7.228 138.3 .0008 154.4 .0008 170.9c0 12.6 4.295 24.73 12.35 34.68l49.97 61.63c11.03 13.61 27.3 20.7 43.71 20.7c12.22 0 24.52-3.93 34.79-12.03L160 260.8V440c0 39.7 32.31 72 72 72h175.1c39.69 0 72-32.3 72-72V260.8l19.19 15.14c10.26 8.127 22.57 12.07 34.8 12.07c16.41 0 32.69-7.1 43.7-20.73l49.97-61.63C635.7 195.7 639.1 183.6 639.1 170.9zM592 170.1c0 1.447-.4655 2.978-1.649 4.439l-50.02 61.69c-.5016 .6212-3.187 2.943-6.563 2.943c-1.528 0-3.196-.4754-4.868-1.799l-71.01-56.03c-3.032-2.392-6.475-3.469-9.838-3.469c-8.278 0-16.07 6.525-16.07 16.03V440c0 13.25-10.75 24-24 24H232c-13.25 0-24-10.75-24-24V194.7c0-9.505-7.797-16.03-16.07-16.03c-3.366 0-6.811 1.079-9.844 3.474L111.1 238.2C109.5 239.5 107.8 239.1 106.2 239.1c-3.003 0-5.61-1.728-6.612-2.965L49.65 175.4C48.55 174.1 47.99 172.4 47.99 170.8c0-2.144 .9586-4.282 2.88-5.8l134.1-106.6C194.4 51.71 205.1 48 216 48h2.795C229.7 93.81 270.9 128 320 128s90.34-34.19 101.2-80h2.764c10.92 0 21.64 3.705 30.13 10.39l134.1 106.6C590.6 166.1 592 168.4 592 170.1z"],
    "shirt-long-sleeve": [640, 512, [], "e3c7", "M622.7 181.9l-71.03-126.8C532.6 21.09 496.6 0 457.7 0H400c-13.25 0-24 10.75-24 24c0 30.88-25.12 56-56 56S264 54.88 264 24C264 10.75 253.3 0 240 0H182.3C143.4 0 107.4 21.09 88.38 55.05L17.34 181.9C5.999 202.1 0 225.1 0 248.3V392C0 422.9 25.12 448 56 448h32c30.88 0 56-25.12 56-56V267.8L160 242.6V456C160 486.9 185.1 512 216 512h208c30.88 0 56-25.12 56-56V242.1l16 25.03V392c0 30.88 25.12 56 56 56h32c30.88 0 56-25.12 56-56V248.3C640 225.1 633.1 202.1 622.7 181.9zM592 392c0 4.406-3.594 8-8 8h-32c-4.406 0-8-3.594-8-8V260.1c0-4.578-1.312-9.062-3.781-12.92l-64-100.1c-4.5-7.031-12.2-11.07-20.23-11.07C438 136 432 152.1 432 160v296c0 4.406-3.594 8-8 8h-208c-4.406 0-8-3.594-8-8V160c0-7.719-6.009-24-24-24c-8.062 0-15.78 4.078-20.25 11.14l-64 100.8C97.28 251.8 96 256.3 96 260.8V392c0 4.406-3.594 8-8 8h-32c-4.406 0-8-3.594-8-8V248.3c0-15.03 3.875-29.89 11.22-42.98l71.03-126.8C140.8 59.69 160.8 48 182.3 48h36.47C229.7 93.81 270.9 128 320 128s90.34-34.19 101.2-80h36.47c21.56 0 41.5 11.69 52.06 30.52l71.03 126.8C588.1 218.4 592 233.3 592 248.3V392z"],
    "shirt-running": [384, 512, [], "e3c8", "M336 112V24C336 10.74 325.3 0 312 0S288 10.74 288 24V64c0 53.02-42.98 96-96 96S96 117 96 64V24C96 10.74 85.25 0 72 0S48 10.74 48 24V112C48 209.4 0 240.6 0 265.9V464C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V265.9C384 240.6 336 208.9 336 112zM90.77 166.3C116.8 192.1 152.6 208 192 208s75.21-15.93 101.2-41.69c2.344 12.11 5.732 23.96 9.59 35.67L48 384V271.2C68.1 239.4 83.54 203.6 90.77 166.3zM336 464h-288v-21.03l273.9-195.6C326.2 255.5 330.9 263.5 336 271.2V464z"],
    "shirt-tank-top": [384, 512, [], "e3c9", "M336 112V24C336 10.74 325.3 0 312 0S288 10.74 288 24V64c0 53.02-42.98 96-96 96S96 117 96 64V24C96 10.74 85.25 0 72 0S48 10.74 48 24V112C48 209.4 0 240.6 0 265.9V464C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V265.9C384 240.6 336 208.9 336 112zM336 464h-288V271.2C68.1 239.4 83.54 203.6 90.77 166.3C116.8 192.1 152.6 208 192 208s75.21-15.93 101.2-41.69C300.5 203.6 315 239.4 336 271.2V464z"],
    "shish-kebab": [512, 512, [], "f821", "M511.2 84.12c-3.875-29.75-21.12-55.75-47.5-71.25c-30.37-17.62-67.99-17.12-97.87 1.375c-42.62 26.75-58.12 79.75-35.87 124.6c1.5 2.875 2.25 7.125 0 9.5l-24.26 24.25l-31.87-31.87C246.3 113.2 201.2 113.2 173.6 140.7l-31.75 31.75C129.8 184.6 122.6 200.6 121.6 217.6c-16.1 1-32.1 8.25-45.12 20.25L44.72 269.6c-27.57 27.57-27.57 72.68 0 100.2l31.75 31.75l-69.41 69.35c-9.403 9.386-9.411 24.6-.0166 33.99c9.383 9.383 24.59 9.38 33.98 .0049l69.45-69.35l31.62 31.62c27.75 27.62 72.62 27.62 100.4 0l31.62-31.75c12.12-11.1 19.25-28.12 20.37-45.12c16.1-.1 32.1-8.25 45.12-20.25l31.62-31.75c27.75-27.62 27.75-72.62 0-100.2l-31.5-31.62l24.21-24.25c16.75-16.62 20.29-42.13 9.042-64.63c-9.625-19.5-6.001-48.25 19.62-63.37c14.12-8.5 31.62-8.708 45.87-.5833c14.25 7.1 23.33 21.08 25.21 36.46c1.37 10.33-.7733 20.99-5.978 30.09c-3.671 6.42-3.307 14.28 1.896 19.54l12.25 12.29c6.689 6.757 18.15 6.115 23.5-1.749C508.6 130.8 514.2 107.4 511.2 84.12zM240.1 401.6l-31.62 31.62c-8.1 8.1-23.5 8.1-32.37 0L78.72 335.1c-8.1-8.1-8.1-23.5 0-32.5L110.3 271.9c8.1-8.1 23.5-8.1 32.5 0l97.25 97.25C249.1 378.1 249.1 392.6 240.1 401.6zM337.2 304.5l-31.62 31.62c-8.1 8.1-23.5 8.1-32.5 0L175.8 238.9c-8.1-8.1-8.1-23.5 0-32.5L207.5 174.7c8.1-8.1 23.5-8.1 32.5 0l97.25 97.25c4.375 4.25 6.75 10.12 6.75 16.25C343.1 294.4 341.6 300.1 337.2 304.5z"],
    "shoe-prints": [640, 512, [], "f54b", "M491.4 7.75c-23-5.375-46.52-7.751-70.15-7.751c-9.125 0-18.23 .3773-27.35 1.002C366.5 3.127 339.8 9.375 313.5 17.12L256 32H192c-35.38 0-64 32.1-64 70.87s28.62 68.5 64 68.5h64c60.25 0 80 16.75 104.8 34.38C389.2 226 430.5 240 465.5 240C555.9 240 640 205.8 640 137.1C640 88.75 600.9 32.88 491.4 7.75zM465.5 192c-24.25 0-55.88-10.5-77-25.5l-4.125-2.875C363.4 148.6 337.9 130.8 288 125.2V73.38l37.5-9.75l.875-.125l.875-.25c27.5-8.25 49.88-12.75 70.25-14.37C405.4 48.38 413.4 48 421.4 48c20.62 0 40.62 2.125 59.25 6.5C562.8 73.38 592 109.6 592 137.1C592 171.5 527.6 192 465.5 192zM337.5 272c-35 0-76.25 14-104.7 34.25C208 323.9 188.2 340.6 128 340.6H64c-35.38 0-64 30.62-64 68.5s28.62 70.86 64 70.86l64 .0051l57.5 14.89c26.25 7.75 53 13.98 80.38 16.1C275 511.6 284.1 512 293.2 512c23.63 0 47.13-2.375 70.13-7.75C472.9 479.1 512 423.2 512 374.9C512 306.2 427.9 272 337.5 272zM352.6 457.5C333.1 461.9 313.1 464 293.2 464c-7.875 0-15.87-.375-23.75-.875C249.1 461.5 226.8 457 199.2 448.8L198.4 448.5L197.5 448.4L160 438.6v-51.87c49.88-5.5 75.38-23.38 96.38-38.38L260.5 345.5C281.6 330.5 313.2 320 337.5 320C399.6 320 464 340.5 464 374.9C464 402.4 434.8 438.6 352.6 457.5z"],
    "shop": [640, 512, ["store-alt"], "f54f", "M.0003 185.8C.0003 179.4 1.606 173.1 4.67 167.4L82.36 25.02C90.77 9.595 106.9 0 124.5 0H515.5C533.1 0 549.2 9.595 557.6 25.02L635.3 167.4C638.4 173.1 640 179.4 640 185.8C640 206.9 622.9 224 601.8 224H576V488C576 501.3 565.3 512 552 512C538.7 512 528 501.3 528 488V224H384V472C384 494.1 366.1 512 344 512H103.1C81.91 512 63.1 494.1 63.1 472V224H38.25C17.12 224 0 206.9 0 185.8H.0003zM111.1 224V320H336V224H111.1zM124.5 48L54.68 176H585.3L515.5 48H124.5zM336 464V368H111.1V464H336z"],
    "shop-lock": [640, 512, [], "e4a5", "M.0006 185.8C.0006 179.4 1.606 173.1 4.671 167.4L82.36 25.02C90.77 9.595 106.9 0 124.5 0H515.5C533.1 0 549.2 9.595 557.6 25.02L635.3 167.4C638.4 173.1 640 179.4 640 185.8C640 198.1 634.1 209.1 625.1 216.1C615.4 199.4 601.7 185.5 585.1 175.6L515.5 48H124.5L54.68 176H470.3C451.5 187.3 436.3 204 426.8 224H384V472C384 494.1 366.1 512 344 512H103.1C81.91 512 63.1 494.1 63.1 472V224H38.25C17.12 224 0 206.9 0 185.8H.0006zM112 224V320H336V224H112zM336 464V368H112V464H336zM528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320V272C448 227.8 483.8 192 528 192zM528 240C510.3 240 496 254.3 496 272V320H560V272C560 254.3 545.7 240 528 240z"],
    "shop-slash": [640, 512, ["store-alt-slash"], "e070", "M76.92 34.98L82.36 25.02C90.77 9.596 106.9 .001 124.5 .001H515.5C533.1 .001 549.2 9.596 557.6 25.02L635.3 167.4C638.4 173.1 640 179.4 640 185.8C640 206.9 622.9 224 601.8 224H576V426.2L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L76.92 34.98zM115.2 65L256.8 176H585.3L515.5 48H124.5L115.2 65zM318.1 224L528 388.5V224H318.1zM.0003 185.8C.0003 179.4 1.606 173.1 4.67 167.4L30.52 120L68.76 150.2L54.68 176H101.5L162.5 224H111.1V320H284.3L384 398.5V472C384 494.1 366.1 512 344 512H103.1C81.91 512 63.1 494.1 63.1 472V224H38.25C17.12 224 0 206.9 0 185.8L.0003 185.8zM336 464V368H112V464H336z"],
    "shovel": [512, 512, [], "f713", "M502.7 89.5l-80.25-80.25C416.2 3.125 408.1 0 399.1 0s-16.25 3.125-22.37 9.25l-31.62 31.63c-16.75 16.75-25.87 39.25-25.87 62.5c0 20.5 6.875 35.25 11.37 43.25l-124.2 124.3L154.5 218.2C148.4 212 140.1 208.9 131.1 208.9c-8.25 0-16.37 3.125-22.62 9.375L39.74 287.9c-50.1 50.88-46.12 184.4-23.12 207.5C26.74 505.4 57.74 512 93.86 512c46.62 0 101.6-11 130.2-39.75l69.62-69.62c12.5-12.5 12.5-32.75 0-45.13L241.1 304.8l124.4-124.3c17.75 9.875 34.12 11.38 43.25 11.38c24.62 0 48.12-11.63 65.62-29.12l28.37-28.38C515.1 122 515.1 102 502.7 89.5zM190.2 438.4C174.9 453.8 136.1 464 93.86 464c-19.5 0-33.87-2.25-41.87-4.25c-7.875-29.38-5.375-111.1 21.62-138l58.25-58.38L248.5 380L190.2 438.4zM440.5 128.8c-9.625 9.625-21.12 15.12-32.75 15.12c-34.1 0-53.12-43.75-27.75-69.13l19.1-20L457.2 112L440.5 128.8z"],
    "shovel-snow": [512, 512, [], "f7c3", "M503.3 72.22l-63.5-63.5c-11.75-11.63-30.75-11.63-42.5 0l-24.5 24.5c-14.13 14.25-21.88 33.25-21.88 53c0 4.875 .5 9.751 1.5 14.75c1.375 6.5 3.625 12.63 6.375 18.38l-96.75 96.88L220.5 174.7C210.7 164.9 197.1 160.1 185.2 160.1c-10.75 0-21.5 3.375-30.5 10.38L19.4 274.9c-23.75 18.38-26.13 53.5-4.75 74.88l147.6 147.6C172.1 507.3 184.9 512 197.6 512c14.75 0 29.62-6.625 39.5-19.38l104.5-135.3c15.38-19.88 13.63-48.13-4.25-65.75L295.9 250.1l96.88-96.88c5.75 2.875 11.88 5.125 18.38 6.5c24.63 4.875 49.88-2.75 67.63-20.5l24.5-24.5C514.9 102.1 514.9 83.97 503.3 72.22zM303.4 325.5c.75 .75 .875 1.75 .25 2.5l-104.5 135.3c-.125 .1251-.375 .3751-1.25 .3751c-.375 0-1-.125-1.625-.3751L48.65 315.7l.125-2.875l135.3-104.5C184.3 208.2 184.7 207.1 185.3 207.1l1.375 .625L303.4 325.5zM444.8 105.2c-6.375 6.5-15.5 9.126-24.25 7.375c-10.75-2.125-19-10.38-21.13-21.13c-1.625-8.876 1-17.88 7.375-24.25l11.75-11.88l38.13 38.13L444.8 105.2zM153.8 265.7l-32 32c-9.5 9.376-9.5 24.5 0 33.88c4.625 4.625 10.75 7 17 7c6.125 0 12.25-2.375 17-7l32-32c9.375-9.376 9.375-24.63 0-33.88C178.3 256.2 163.2 256.2 153.8 265.7zM180.4 390.2c4.75 4.75 10.88 7 17 7c6.25 0 12.38-2.25 17-7l32-32c9.375-9.376 9.375-24.5 0-33.88c-9.375-9.251-24.63-9.376-33.88 0L180.5 356.4C171 365.7 171 380.9 180.4 390.2z"],
    "shower": [512, 512, [128703], "f2cc", "M344.1 87.03c-9.375-9.375-24.56-9.375-33.94 0L310.2 87.84l-7.031-7.031C281.3 58.94 252.7 48 224 48c-21.57 0-43.13 6.211-61.8 18.6L145.3 52.53C129.4 39.28 109.3 32 88.61 32C39.75 32 0 71.75 0 120.6V456C0 469.3 10.75 480 24 480s24-10.75 24-24V120.6C48 98.22 66.22 80 88.61 80c9.469 0 18.7 3.344 26 9.406l14.29 11.91c-26.67 43.18-21.54 100.4 15.9 137.9L151.8 246.2L151 247c-9.375 9.375-9.375 24.56 0 33.94C155.7 285.7 161.9 288 168 288s12.28-2.344 16.97-7.031l160-160C354.3 111.6 354.3 96.41 344.1 87.03zM185.8 212.3L178.7 205.3c-24.95-24.95-24.95-65.55 .002-90.51C190.8 102.7 206.9 96 224 96c17.09 0 33.17 6.656 45.26 18.75l7.031 7.029L185.8 212.3zM480 192c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32s32-14.33 32-32C512 206.3 497.7 192 480 192zM288 384c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32s32-14.33 32-32C320 398.3 305.7 384 288 384zM352 320c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32s32-14.33 32-32C384 334.3 369.7 320 352 320zM416 256c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32s32-14.33 32-32C448 270.3 433.7 256 416 256zM288 320c0-17.67-14.33-32-32-32s-32 14.33-32 32c0 17.67 14.33 32 32 32S288 337.7 288 320zM320 224c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32s32-14.33 32-32C352 238.3 337.7 224 320 224zM384 224c17.67 0 32-14.33 32-32c0-17.67-14.33-32-32-32s-32 14.33-32 32C352 209.7 366.3 224 384 224z"],
    "shower-down": [384, 512, ["shower-alt"], "e24d", "M360 208H352V192c0-80-59.21-145.9-136-157.6V24C216 10.74 205.3 0 192 0S168 10.74 168 24v10.43C91.21 46.12 32 111.1 32 192v16H24C10.75 208 0 218.7 0 232C0 245.3 10.75 256 24 256h336C373.3 256 384 245.3 384 232C384 218.7 373.3 208 360 208zM304 208h-224V192c0-61.75 50.25-112 112-112s112 50.25 112 112V208zM69.26 290.9c-2.375-3.703-8.148-3.703-10.52 0C54.28 297.8 32 333.3 32 349.8c0 18.95 14.35 34.31 31.1 34.31S96 368.7 96 349.8C96 333.3 73.72 297.8 69.26 290.9zM197.3 290.9c-2.375-3.703-8.148-3.703-10.52 0C182.3 297.8 160 333.3 160 349.8c0 18.95 14.35 34.31 31.1 34.31S224 368.7 224 349.8C224 333.3 201.7 297.8 197.3 290.9zM314.7 290.9C310.3 297.8 288 333.3 288 349.8c0 18.95 14.35 34.31 31.1 34.31S352 368.7 352 349.8c0-16.5-22.28-51.92-26.74-58.88C322.9 287.2 317.1 287.2 314.7 290.9zM250.7 418.8C246.3 425.7 224 461.1 224 477.7C224 496.6 238.4 512 256 512S288 496.6 288 477.7c0-16.5-22.28-51.93-26.74-58.88C258.9 415.1 253.1 415.1 250.7 418.8zM122.7 418.8C118.3 425.7 96 461.1 96 477.7C96 496.6 110.3 512 127.1 512S160 496.6 160 477.7c0-16.5-22.28-51.93-26.74-58.88C130.9 415.1 125.1 415.1 122.7 418.8z"],
    "shredder": [512, 512, [], "f68a", "M111.1 48h254.1L400 81.94V160H448V81.94c0-12.73-5.057-24.94-14.06-33.94l-33.94-33.94C391 5.057 378.8 0 366.1 0H111.1C85.49 0 64.01 21.48 64 47.98l.002 82.28c-.002 0 .002 0 0 0L64 160h48.01L111.1 48zM440 192H72C32.3 192 0 224.3 0 264v96C0 373.3 10.75 384 24 384h16v104C40 501.3 50.75 512 63.1 512S88 501.3 88 488V384h48v104C136 501.3 146.7 512 159.1 512S184 501.3 184 488V384h48v104C232 501.3 242.8 512 256 512s24-10.75 24-23.1V384h48v104C328 501.3 338.8 512 352 512s24-10.75 24-23.1V384h48v104C424 501.3 434.8 512 448 512s24-10.75 24-23.1V384h16c13.25 0 24-10.75 24-24v-96C512 224.3 479.7 192 440 192zM464 336h-416V264c0-13.23 10.77-24 24-24h368c13.23 0 24 10.77 24 24V336z"],
    "shrimp": [512, 512, [129424], "e448", "M224 248c13.25 0 24-10.75 24-24c0-13.26-10.75-24-24-24S200 210.7 200 224C200 237.3 210.7 248 224 248zM336 128H72C58.78 128 48 117.2 48 104S58.78 80 72 80h352C437.3 80 448 69.25 448 56S437.3 32 424 32h-352C32.31 32 0 64.3 0 104c0 37.47 28.88 67.99 65.48 71.34C77.1 274.6 161.6 352 264 352h64c22.06 0 40 17.94 40 40c0 20.44-15.62 36.71-35.44 39.08l-64.91-36.06c-11.59-6.453-26.22-2.234-32.63 9.328c-5.545 9.984-2.867 21.89 5.287 29.21C230.9 436.8 224 445.5 224 456C224 469.3 234.8 480 248 480c0 0 87.06 0 88 0c97.03 0 176-78.95 176-176S433 128 336 128zM296 304h-32c-75.66 0-138.6-55.55-150.1-128H296V304zM359.9 310.2C354.8 308.2 349.5 306.6 344 305.6V176.8c39.6 2.502 74.32 22.71 96.06 53.19L359.9 310.2zM415.1 404.6C415.7 400.5 416 396.3 416 392c0-19.69-6.727-37.7-17.69-52.37l62.68-62.68C462.9 285.7 464 294.7 464 304C464 344.8 444.9 381.1 415.1 404.6z"],
    "shuffle": [512, 512, [128256, "random"], "f074", "M424.1 287c-9.375-9.375-24.56-9.344-33.94 .0313s-9.375 24.56 0 33.94L430.1 360H332l-58.01-77.34l-29.1 39.99l56.82 75.75C305.3 404.4 312.4 408 320 408h110.1l-39.03 39.03c-9.375 9.375-9.375 24.56 0 33.94C395.7 485.7 401.8 488 408 488s12.27-2.375 16.96-7.062l79.1-79.98c9.375-9.375 9.375-24.6 0-33.97L424.1 287zM24 152h92l58.01 77.34l29.1-39.99L147.2 113.6C142.7 107.6 135.6 104 128 104H24C10.75 104 0 114.8 0 128S10.75 152 24 152zM430.1 152l-39.03 39.03c-9.375 9.375-9.375 24.56 0 33.94C395.7 229.7 401.8 232 408 232s12.28-2.312 16.97-7l79.1-79.98c9.375-9.375 9.374-24.6-.0013-33.97l-79.1-79.98c-9.375-9.375-24.56-9.406-33.93-.0313s-9.375 24.56 0 33.94L430.1 104H320c-7.562 0-14.66 3.562-19.19 9.594L116 360H24C10.75 360 0 370.8 0 384s10.75 24 24 24H128c7.562 0 14.66-3.562 19.19-9.594L332 152H430.1z"],
    "shutters": [512, 512, [], "e449", "M508.6 205.2l-20.06-110.3C502 91.14 512 78.72 512 64c0-17.66-14.34-32-32-32H32C14.34 32 0 46.34 0 64c0 14.72 9.953 27.14 23.49 30.85L3.424 205.2C1.633 214.9 9.184 224 19.17 224h4.096l-19.84 109.2C1.633 342.9 9.184 352 19.17 352h4.096l-19.84 109.2C1.633 470.9 9.184 480 19.17 480h473.7c9.984 0 17.54-9.057 15.74-18.85L488.7 352h4.096c9.984 0 17.54-9.057 15.74-18.85L488.7 224h4.096C502.8 224 510.4 214.9 508.6 205.2zM57.5 432L72.06 352h367.9l14.56 80H57.5zM57.5 304L72.06 224h367.9l14.56 80H57.5zM57.5 176L72.06 96h367.9l14.56 80H57.5z"],
    "shuttle-space": [640, 512, ["space-shuttle"], "f197", "M480 240V272C480 280.8 472.8 288 464 288C455.2 288 448 280.8 448 272V240C448 231.2 455.2 224 464 224C472.8 224 480 231.2 480 240zM32 384H24C10.75 384 0 373.3 0 360V152C0 138.7 10.75 128 24 128H32V80C32 53.49 53.49 32 80 32H129.1C170.6 32 210.4 43.03 245.2 63.92L405.3 160H456C525.3 160 591 182.7 635.2 241.6C641.6 250.1 641.6 261.9 635.2 270.4C591 329.3 525.3 352 456 352H405.3L245.2 448.1C210.4 468.1 170.6 480 129.1 480H80C53.49 480 32 458.5 32 432V384zM312 352H168C158.1 365.2 144.1 375.3 128 380.3V432H129.1C161.9 432 193.2 423.3 220.5 406.9L312 352zM312 160L220.5 105.1C193.2 88.67 161.9 80 129.1 80H128V131.7C144.1 136.7 158.1 146.8 168 160H312zM48 336H104C116.7 336 127.8 328.6 132.9 317.7C136.9 309.3 145.3 304 154.6 304H456C488.6 304 518.4 298.2 544 285.5V226.5C518.4 213.8 488.6 208 456 208H154.6C145.3 208 136.9 202.7 132.9 194.3C127.8 183.4 116.7 176 104 176H48V336z"],
    "shuttlecock": [512, 512, [], "f45b", "M471.9 191.1h-39.1V119.1c0-22.12-17.87-39.1-39.1-39.1h-71.1V39.1C319.9 17.87 302.1 0 279.9 0H244.9C229.4 0 215.1 9.125 208.6 23.12L95.41 266.5l-64.38 64.47c-20.69 20.69-31.04 47.84-31.04 74.1c0 60.06 48.87 106 106 106c27.11 0 54.23-10.32 75.01-31.04l64.42-64.47l243.3-113.2c14.12-6.5 23.25-20.75 23.25-36.25L512 232C511.9 209.9 494 191.1 471.9 191.1zM383.9 127.1v62.37l-91.25 28.87l28.87-91.25H383.9zM85.02 344.7l20.87-20.87l82.12 82.12l-20.87 20.87L85.02 344.7zM250.1 47.1h21.75v50.25L209.9 134.2L250.1 47.1zM261 159.1L234.8 243.2L164 313.1l-25.75-25.75L174.6 210.3L261 159.1zM105.8 464c-21.92 0-57.74-17.12-57.74-57.79c0-13.8 4.879-27.61 14.6-38.59l81.62 81.62C132.1 459.2 119.3 464 105.8 464zM223.7 373.7l-25.75-25.87l70.76-70.75l83.08-26.37l-50.11 86.57L223.7 373.7zM463.9 261.7L377.6 301.9l35.1-61.87h50.25V261.7z"],
    "sickle": [512, 512, [], "f822", "M129.9 308.7C123.7 302.5 113.4 302.5 107.2 308.8l-22.5 22.5c-6.25 6.25-6.25 16.5 0 22.75l2.625 2.75L9.373 434.8c-12.5 12.5-12.5 32.76 0 45.26l22.62 22.62c12.5 12.5 32.76 12.5 45.26 0l78.07-78.13l2.75 2.75c6.252 6.25 16.38 6.25 22.63 0l22.63-22.62c6.252-6.25 6.247-16.39-.009-22.63L129.9 308.7zM511.4 153.7C500.7 100.6 446.4 0 318 0C227.1 0 151.5 61.62 131.9 149.9c-13.3 59.72 8.411 126.1 57.01 173.7l28.08 26.06C221.6 353.9 227.4 356 233.3 356c6.062 0 12.12-2.281 16.8-6.844l31.28-30.62c7.984-7.844 9.516-20.16 3.672-29.69c-29.38-47.97-14.92-106.7 33.61-136.7c30.98-19.19 71.5-20.28 103.4-2.781c13.28 7.219 25.06 17.31 34.11 29.22c8.766 11.59 24.22 15.5 37.49 9.531C506.9 182.2 514.2 168 511.4 153.7zM293.4 111.3C228.5 151.4 205 229.9 235 296.7L232.9 298.8L222 288.8C185.6 253.2 169.1 203.1 178.8 160.3C190.8 106.2 239.5 48 318.2 48c59.78 0 95.88 26.72 117.2 54.44C390.4 81.88 335.8 85.09 293.4 111.3z"],
    "sidebar": [512, 512, [], "e24e", "M0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM224 432H448C456.8 432 464 424.8 464 416V96C464 87.16 456.8 80 448 80H224V432zM88 144H136C149.3 144 160 133.3 160 120C160 106.7 149.3 96 136 96H88C74.75 96 64 106.7 64 120C64 133.3 74.75 144 88 144zM88 192C74.75 192 64 202.7 64 216C64 229.3 74.75 240 88 240H136C149.3 240 160 229.3 160 216C160 202.7 149.3 192 136 192H88zM88 336H136C149.3 336 160 325.3 160 312C160 298.7 149.3 288 136 288H88C74.75 288 64 298.7 64 312C64 325.3 74.75 336 88 336z"],
    "sidebar-flip": [512, 512, [], "e24f", "M512 416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416zM288 80H64C55.16 80 48 87.16 48 96V416C48 424.8 55.16 432 64 432H288V80zM448 120C448 106.7 437.3 96 424 96H376C362.7 96 352 106.7 352 120C352 133.3 362.7 144 376 144H424C437.3 144 448 133.3 448 120zM376 192C362.7 192 352 202.7 352 216C352 229.3 362.7 240 376 240H424C437.3 240 448 229.3 448 216C448 202.7 437.3 192 424 192H376zM448 312C448 298.7 437.3 288 424 288H376C362.7 288 352 298.7 352 312C352 325.3 362.7 336 376 336H424C437.3 336 448 325.3 448 312z"],
    "sigma": [384, 512, [8721], "f68b", "M335.1 136l.0005-56H83.59l165 158.7C253.3 243.2 255.1 249.5 255.1 256s-2.656 12.78-7.375 17.31L83.59 432h252.4l-.0005-56c0-13.25 10.75-24 24-24C373.2 352 384 362.8 384 376v80c0 13.25-10.75 24-24 24H23.99c-9.782 0-18.59-5.938-22.25-15.03s-1.438-19.47 5.625-26.28L197.4 256L7.364 73.31C.3015 66.5-1.917 56.13 1.739 47.03S14.21 32 23.99 32h336C373.2 32 384 42.75 384 56v80C384 149.3 373.2 160 359.1 160C346.7 160 335.1 149.3 335.1 136z"],
    "sign-hanging": [512, 512, ["sign"], "f4d9", "M88 0C101.3 0 112 10.75 112 24V64H488C501.3 64 512 74.75 512 88C512 101.3 501.3 112 488 112H112V488C112 501.3 101.3 512 88 512C74.75 512 64 501.3 64 488V112H24C10.75 112 0 101.3 0 88C0 74.75 10.75 64 24 64H64V24C64 10.75 74.75 0 88 0zM144 176C144 158.3 158.3 144 176 144H448C465.7 144 480 158.3 480 176V352C480 369.7 465.7 384 448 384H176C158.3 384 144 369.7 144 352V176zM432 336V192H192V336H432z"],
    "signal": [576, 512, [128246, "signal-5", "signal-perfect"], "f012", "M160 288C146.8 288 136 298.8 136 312v176C136 501.3 146.8 512 160 512s24-10.75 24-24v-176C184 298.8 173.3 288 160 288zM32 384C18.75 384 8 394.8 8 408v80c0 13.25 10.75 24 23.1 24S56 501.3 56 488v-80C56 394.8 45.25 384 32 384zM288 192C274.8 192 264 202.8 264 216v272C264 501.3 274.8 512 288 512s24-10.75 24-24v-272C312 202.8 301.3 192 288 192zM416 96c-13.25 0-24 10.75-24 24v368c0 13.25 10.75 24 24 24s24-10.75 24-24V120C440 106.8 429.3 96 416 96zM544 0c-13.25 0-24 10.75-24 24v464c0 13.25 10.75 24 24 24s24-10.75 24-24V24C568 10.75 557.3 0 544 0z"],
    "signal-bars": [640, 512, ["signal-alt", "signal-alt-4", "signal-bars-strong"], "f690", "M128 384H64c-17.67 0-32 14.33-32 32v64c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-64C160 398.3 145.7 384 128 384zM112 464h-32v-32h32V464zM280 256h-64c-17.67 0-32 14.33-32 32v192c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32V288C312 270.3 297.7 256 280 256zM264 464h-32v-160h32V464zM584 0h-64c-17.67 0-32 14.33-32 32v448c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32V32C616 14.33 601.7 0 584 0zM568 464h-32v-416h32V464zM432 128h-64c-17.67 0-32 14.33-32 32v320c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32V160C464 142.3 449.7 128 432 128zM416 464h-32v-288h32V464z"],
    "signal-bars-fair": [576, 512, ["signal-alt-2"], "f692", "M96 384H32c-17.67 0-32 14.33-32 32v64c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-64C128 398.3 113.7 384 96 384zM80 464h-32v-32h32V464zM248 256h-64c-17.67 0-32 14.33-32 32v192c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32V288C280 270.3 265.7 256 248 256zM232 464h-32v-160h32V464z"],
    "signal-bars-good": [576, 512, ["signal-alt-3"], "f693", "M400 128h-64c-17.67 0-32 14.33-32 32v320c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32V160C432 142.3 417.7 128 400 128zM384 464h-32v-288h32V464zM96 384H32c-17.67 0-32 14.33-32 32v64c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-64C128 398.3 113.7 384 96 384zM80 464h-32v-32h32V464zM248 256h-64c-17.67 0-32 14.33-32 32v192c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32V288C280 270.3 265.7 256 248 256zM232 464h-32v-160h32V464z"],
    "signal-bars-slash": [640, 512, ["signal-alt-slash"], "f694", "M416 464h-32v-66.8l-48-37.62V480c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-20.09L416 422.3V464zM184 288v192c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-139.2L206.3 257.1C193.5 262.1 184 273.8 184 288zM232 304h32v160h-32V304zM128 384H64c-17.67 0-32 14.33-32 32v64c0 17.67 14.33 32 32 32H128c17.67 0 32-14.33 32-32v-64C160 398.3 145.7 384 128 384zM112 464h-32v-32h32V464zM630.8 469.1L616 457.5V32c0-17.67-14.33-32-32-32h-64c-17.67 0-32 14.33-32 32v325.2l-24-18.81V160c0-17.67-14.33-32-32-32h-64c-17.67 0-32 14.33-32 32v78.04L38.81 5.111C28.34-3.061 13.32-1.249 5.12 9.189C-3.052 19.63-1.234 34.72 9.187 42.89l591.1 463.1C605.6 510.3 610.8 512 615.1 512c7.125 0 14.16-3.161 18.89-9.193C643.1 492.4 641.2 477.3 630.8 469.1zM416 300.7L384 275.7V176h32V300.7zM568 419.9l-32-25.08V48h32V419.9z"],
    "signal-bars-weak": [576, 512, ["signal-alt-1"], "f691", "M96 384H32c-17.67 0-32 14.33-32 32v64c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-64C128 398.3 113.7 384 96 384zM80 464h-32v-32h32V464z"],
    "signal-fair": [576, 512, ["signal-2"], "f68d", "M32 384C18.75 384 8 394.8 8 408v80c0 13.25 10.75 24 23.1 24S56 501.3 56 488v-80C56 394.8 45.25 384 32 384zM160 288C146.8 288 136 298.8 136 312v176C136 501.3 146.8 512 160 512s24-10.75 24-24v-176C184 298.8 173.3 288 160 288z"],
    "signal-good": [576, 512, ["signal-3"], "f68e", "M32 384C18.75 384 8 394.8 8 408v80c0 13.25 10.75 24 23.1 24S56 501.3 56 488v-80C56 394.8 45.25 384 32 384zM160 288C146.8 288 136 298.8 136 312v176C136 501.3 146.8 512 160 512s24-10.75 24-24v-176C184 298.8 173.3 288 160 288zM288 192C274.8 192 264 202.8 264 216v272C264 501.3 274.8 512 288 512s24-10.75 24-24v-272C312 202.8 301.3 192 288 192z"],
    "signal-slash": [640, 512, [], "f695", "M192 287.1c-13.25 0-24 10.75-24 24v176c0 13.25 10.75 23.1 24 23.1S216 501.3 216 488v-176C216 298.8 205.3 287.1 192 287.1zM64 383.1c-13.25 0-24 10.75-24 24v80c0 13.25 10.75 23.1 24 23.1S88 501.3 88 488v-80C88 394.8 77.25 383.1 64 383.1zM296 488C296 501.3 306.8 512 320 512s24-10.75 24-24v-122.1l-48-37.62V488zM424 488c0 13.25 10.75 24 24 24s24-10.75 24-24v-21.82l-48-37.62V488zM630.8 469.1L600 444.1V24c0-13.25-10.75-24-24-24S552 10.75 552 24v383.3l-80-62.7V120C472 106.8 461.3 96 448 96s-24 10.75-24 24v187l-80-62.7V216C344 202.8 333.3 192 320 192C309.6 192 300.1 198.7 297.6 207.1L38.81 5.111C28.35-3.061 13.32-1.249 5.121 9.189c-8.172 10.44-6.354 25.53 4.068 33.7l591.1 463.1c4.406 3.438 9.609 5.117 14.8 5.117c7.125 0 14.16-3.164 18.9-9.195C643.1 492.4 641.2 477.3 630.8 469.1z"],
    "signal-stream": [576, 512, [], "f8dd", "M505.9 71.75c-8.961-9.781-24.18-10.37-33.95-1.406c-9.759 8.969-10.4 24.16-1.423 33.91c77.04 83.69 77.04 219.8 0 303.5c-8.977 9.75-8.336 24.94 1.423 33.91C476.5 445.9 482.4 448 488.2 448c6.475 0 12.95-2.594 17.69-7.75C599.4 338.7 599.4 173.3 505.9 71.75zM392.3 149.1c-9.962 8.75-10.95 23.91-2.19 33.87c34.97 39.78 34.97 104.5 0 144.3c-8.758 9.969-7.772 25.12 2.19 33.87c4.567 3.1 10.21 5.969 15.84 5.969c6.678 0 13.32-2.75 18.06-8.156c50.33-57.25 50.33-150.4 0-207.7C417.4 142.2 402.3 141.2 392.3 149.1zM104.1 70.35c-9.728-8.969-24.94-8.375-33.95 1.406c-93.51 101.6-93.51 266.9 0 368.5C74.87 445.4 81.34 448 87.82 448c5.818 0 11.65-2.094 16.26-6.344c9.759-8.969 10.4-24.16 1.423-33.91c-77.04-83.69-77.04-219.8 0-303.5C114.5 94.5 113.8 79.32 104.1 70.35zM183.7 149.1C173.8 141.2 158.6 142.2 149.8 152.2c-50.33 57.25-50.33 150.4 0 207.7c4.739 5.406 11.39 8.156 18.06 8.156c5.614 0 11.28-1.969 15.84-5.969c9.962-8.75 10.95-23.91 2.19-33.87c-34.97-39.78-34.97-104.5 0-144.3C194.7 173.9 193.7 158.7 183.7 149.1zM288 216c-22.11 0-40.02 17.91-40.02 39.1S265.9 296 288 296s40.02-17.91 40.02-39.1S310.1 216 288 216z"],
    "signal-stream-slash": [640, 512, [], "e250", "M630.8 469.1l-71.49-56.04c71.14-102 64.16-248.3-21.45-341.3c-8.961-9.781-24.18-10.38-33.95-1.406c-9.76 8.969-10.4 24.16-1.424 33.91c69.97 76.01 75.69 194.9 18.55 278.8l-50.92-39.91c37.48-57.45 33.8-138.9-11.97-191c-8.727-9.967-23.9-10.94-33.9-2.188c-9.963 8.75-10.95 23.91-2.191 33.88c31.01 35.27 34.38 90.09 10.41 129.8L359.9 256.8c.0059-.2715 .1348-.5 .1348-.7734c0-22.09-17.93-40-40.04-40c-3.426 0-6.488 1.121-9.656 1.932L38.81 5.113C28.34-3.059 13.31-1.246 5.109 9.191c-8.172 10.44-6.344 25.53 4.078 33.7L601.2 506.9C605.6 510.3 610.8 512 615.1 512c7.125 0 14.17-3.156 18.91-9.187C643.1 492.4 641.2 477.3 630.8 469.1zM95.82 171.8L56.69 141.1c-43.93 97.3-28.93 218.3 45.44 299.1C106.9 445.4 113.3 448 119.8 448c5.818 0 11.65-2.094 16.26-6.344c9.76-8.969 10.4-24.16 1.424-33.91C78.85 344 65.15 250 95.82 171.8zM192.4 247.5L150 214.3c-12.1 49.99-2.779 106.2 31.83 145.6C186.6 365.3 193.2 368 199.9 368c5.615 0 11.28-1.969 15.84-5.969c9.963-8.75 10.95-23.91 2.191-33.88C198.6 306.1 190.3 276.4 192.4 247.5z"],
    "signal-strong": [576, 512, ["signal-4"], "f68f", "M32 384C18.75 384 8 394.8 8 408v80c0 13.25 10.75 24 23.1 24S56 501.3 56 488v-80C56 394.8 45.25 384 32 384zM160 288C146.8 288 136 298.8 136 312v176C136 501.3 146.8 512 160 512s24-10.75 24-24v-176C184 298.8 173.3 288 160 288zM416 96c-13.25 0-24 10.75-24 24v368c0 13.25 10.75 24 24 24s24-10.75 24-24V120C440 106.8 429.3 96 416 96zM288 192C274.8 192 264 202.8 264 216v272C264 501.3 274.8 512 288 512s24-10.75 24-24v-272C312 202.8 301.3 192 288 192z"],
    "signal-weak": [576, 512, ["signal-1"], "f68c", "M56 408v80c0 13.25-10.75 24-24 24S8 501.3 8 488v-80c0-13.25 10.75-24 24-24S56 394.8 56 408z"],
    "signature": [640, 512, [], "f5b7", "M176 168C176 181.3 165.3 192 152 192C138.7 192 128 181.3 128 168V128C128 74.98 170.1 32 224 32C277 32 320 74.98 320 128V135.9C320 158.1 318.6 180.3 315.9 202.3L448.9 161.1C457.6 158.4 467 160.8 473.3 167.4C479.6 173.1 481.7 183.5 478.6 192.1L450.1 272H552C565.3 272 576 282.7 576 296C576 309.3 565.3 320 552 320H416C408.2 320 400.9 316.2 396.4 309.8C391.9 303.4 390.8 295.3 393.4 287.9L417.3 221.1L306.5 255.4L305.5 260.1C292.1 316.3 271.5 370.2 241.8 419.6L225.1 446C213.3 467.1 190.6 480 165.1 480C127.3 480 96 448.7 96 410V335.2C96 296.6 121.1 262.5 157.1 251.1L265 217.1C269.7 190.9 272 163.4 272 135.9V127.1C272 101.5 250.5 79.1 224 79.1C197.5 79.1 176 101.5 176 127.1L176 168zM144 335.2V410C144 422.2 153.8 432 165.1 432C173.7 432 180.8 427.1 184.8 421.3L200.7 394.9C223.7 356.5 241.4 315.1 253.1 271.9L172.2 296.1C155.4 302.2 144 317.7 144 335.2zM64 410C64 412 64.06 414 64.17 416H24C10.75 416 0 405.3 0 392C0 378.7 10.75 368 24 368H64V410zM280.8 416C289.3 400.4 297.1 384.3 304.1 368H616C629.3 368 640 378.7 640 392C640 405.3 629.3 416 616 416H280.8z"],
    "signature-lock": [640, 512, [], "e3ca", "M79.1 168C79.1 181.3 69.25 192 55.1 192C42.74 192 31.1 181.3 31.1 168V128C31.1 74.98 74.98 32 127.1 32C181 32 223.1 74.98 223.1 128V135.9C223.1 158.1 222.6 180.3 219.9 202.3L352.9 161.1C361.6 158.4 371 160.8 377.3 167.4C383.6 173.1 385.7 183.5 382.6 192.1L354.1 272H416V296.6C406.3 302.2 398.2 310.3 392.6 320H319.1C312.2 320 304.9 316.2 300.4 309.8C295.9 303.4 294.8 295.3 297.4 287.9L321.3 221.1L210.5 255.4L209.5 260.1C196.1 316.3 175.5 370.2 145.8 419.6L129.1 446C117.3 467.1 94.55 480 69.97 480C31.33 480 0 448.7 0 410V335.2C0 296.6 25.13 262.5 61.98 251.1L169 217.1C173.7 190.9 176 163.4 176 135.9V127.1C176 101.5 154.5 79.1 128 79.1C101.5 79.1 80 101.5 80 127.1L79.1 168zM47.1 335.2V410C47.1 422.2 57.84 432 69.97 432C77.69 432 84.84 427.1 88.81 421.3L104.7 394.9C127.7 356.5 145.4 315.1 157.1 271.9L76.17 296.1C59.42 302.2 47.1 317.7 47.1 335.2V335.2zM208.1 368H384V416H184.8C193.3 400.4 201.1 384.3 208.1 368V368zM528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320V272C448 227.8 483.8 192 528 192zM528 240C510.3 240 496 254.3 496 272V320H560V272C560 254.3 545.7 240 528 240z"],
    "signature-slash": [640, 512, [], "e3cb", "M138.9 83.55C154.9 52.91 187 32 224 32C277 32 320 74.98 320 128V135.9C320 158.1 318.6 180.3 315.9 202.3L448.9 161.1C457.6 158.4 467 160.8 473.3 167.4C479.6 173.1 481.7 183.5 478.6 192.1L450.1 272H552C565.3 272 576 282.7 576 296C576 309.3 565.3 320 552 320H440.6L501.8 368H616C629.3 368 640 378.7 640 392C640 405.3 629.3 416 616 416H563L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L138.9 83.55zM178 114.2L269.4 185.9C271.1 169.3 272 152.6 272 135.9V128C272 101.5 250.5 80 224 80C202.3 80 183.9 94.42 178 114.2V114.2zM343.5 243.9L394.8 284.1L417.3 221.1L343.5 243.9zM345.2 368L406.2 416H280.8C289.3 400.4 297.1 384.3 304.1 368H345.2zM157.1 251.1L185.9 242.5L231.7 278.6L172.2 296.1C155.4 302.2 144 317.7 144 335.2V410C144 422.2 153.8 432 165.1 432C173.7 432 180.8 427.1 184.8 421.3L200.7 394.9C220.3 362.2 236 327.3 247.5 290.1L287.5 322.6C275.6 356.3 260.3 388.8 241.8 419.6L225.1 446C213.3 467.1 190.6 480 165.1 480C127.3 480 96 448.7 96 410V335.2C96 296.6 121.1 262.5 157.1 251.1H157.1zM64 410C64 412 64.06 414 64.17 416H24C10.75 416 .0007 405.3 .0007 392C.0007 378.7 10.75 368 24 368H64V410z"],
    "signs-post": [512, 512, ["map-signs"], "f277", "M232 24C232 10.75 242.7 0 256 0C269.3 0 280 10.75 280 24V32H440.3C445.2 32 449.8 34.21 452.8 38L504 102C508.7 107.8 508.7 116.2 504 121.1L452.8 185.1C449.8 189.8 445.2 192 440.3 192H280V224H448C465.7 224 480 238.3 480 256V352C480 369.7 465.7 384 448 384H280V488C280 501.3 269.3 512 256 512C242.7 512 232 501.3 232 488V384H71.69C66.83 384 62.23 381.8 59.2 377.1L7.996 313.1C3.322 308.2 3.322 299.8 7.996 294L59.2 230C62.23 226.2 66.83 224 71.69 224H232V192H64C46.33 192 32 177.7 32 160V64C32 46.33 46.33 32 64 32H232V24zM80 80V144H424.9L450.5 112L424.9 80H80zM432 272H87.07L61.47 304L87.07 336H432V272z"],
    "sim-card": [384, 512, [], "f7c4", "M144 240H121.1C98.81 240 80 258.8 80 282V320h64V240zM80 390C80 413.2 98.81 432 121.1 432H208V352h-128V390zM176 320h128V282C304 258.8 285.2 240 261.1 240H176V320zM374.6 118.6l-109.3-109.3C259.4 3.371 251.2 0 242.7 0H64C28.8 0 0 28.8 0 64v384c0 35.2 28.8 64 64 64h256c35.2 0 64-28.8 64-64V141.3C384 132.8 380.6 124.6 374.6 118.6zM336 448c0 8.75-7.25 16-16 16H64c-8.75 0-16-7.25-16-16V64c0-8.75 7.25-16 16-16h172.1L336 147.9V448zM240 432h21.1C285.2 432 304 413.2 304 390V352h-64V432z"],
    "sim-cards": [448, 512, [], "e251", "M272 176H206.5C189.7 176 176 189.7 176 206.5V240h96V176zM176 305.5C176 322.3 189.7 336 206.5 336H240v-64h-64V305.5zM272 336h65.49C354.3 336 368 322.3 368 305.5V272h-96V336zM438.6 102.6l-93.25-93.25C339.4 3.371 331.2 0 322.7 0H160C124.8 0 96 28.8 96 64v288c0 35.2 28.8 64 64 64h224c35.2 0 64-28.8 64-64V125.3C448 116.8 444.6 108.6 438.6 102.6zM400 352c0 8.672-7.326 16-16 16H160c-8.672 0-16-7.328-16-16V64c0-8.674 7.328-16 16-16h156.1L400 131.9V352zM304 240h64V206.5C368 189.7 354.3 176 337.5 176H304V240zM328 512h-208C53.83 512 0 458.2 0 392v-272C0 106.8 10.75 96 24 96S48 106.8 48 120v272c0 39.7 32.3 72 72 72h208c13.25 0 24 10.75 24 24S341.3 512 328 512z"],
    "sink": [512, 512, [], "e06d", "M488 287.1L400 288V256l56-.0005c13.25 0 24-10.75 24-23.1s-10.75-24-24-24L384 208c-17.67 0-32 14.33-32 32v47.1L280 287.1V87.1c0-23.44 20.24-42.22 44.17-39.79c20.81 2.118 35.83 21.22 35.83 42.14L360 104c0 13.25 10.75 23.1 23.1 23.1s24-10.75 24-23.1v-16c0-51.43-44.32-92.68-96.78-87.57c-45.72 4.451-79.22 45.54-79.22 91.48L232 287.1L160 288V240c0-17.67-14.33-32-32-32L55.1 207.1C42.75 207.1 32 218.7 32 231.1s10.75 24 23.1 24L112 256V288L23.1 287.1C10.75 287.1 0 298.7 0 311.1s10.75 24 23.1 24L32 336v80c0 53.02 42.98 96 96 96h256c53.02 0 96-42.98 96-96V336l8 0c13.25 0 24-10.75 24-23.1S501.3 287.1 488 287.1zM432 415.1c0 26.47-21.53 48-48 48H128c-26.47 0-48-21.53-48-48v-80h352V415.1z"],
    "siren": [448, 512, [], "e02d", "M187.9 176.3C175.1 174.2 162.5 182.1 160.3 196.1l-16 96C142.2 305.1 150.1 317.5 164.1 319.7C165.4 319.9 166.7 320 168 320c11.53 0 21.69-8.312 23.66-20.06l16-96C209.8 190.9 201 178.5 187.9 176.3zM400.9 336.1L364.5 141.7C359.5 115.2 336.4 96 309.4 96H138.6C111.6 96 88.47 115.2 83.5 141.7l-36.44 194.4C20.1 336.6 0 357.8 0 384v48C0 458.5 21.49 480 48 480h352c26.51 0 48-21.49 48-48V384C448 357.8 427 336.6 400.9 336.1zM130.7 150.5C131.4 146.8 134.7 144 138.6 144h170.9c3.844 0 7.156 2.75 7.875 6.5L352.1 336H95.92L130.7 150.5zM400 432h-352V384h352V432z"],
    "siren-on": [640, 512, [], "e02e", "M112 224.1c0-13.25-10.75-23.99-24-23.99h-64c-13.25 0-24 10.7-24 23.95s10.75 24.03 24 24.03h64C101.3 248.1 112 237.4 112 224.1zM90.75 108.2c7.125 5 16.38 5.874 24.25 1.999C122.9 106.4 128 98.7 128.5 89.95S124.8 72.75 117.3 68.13l-48-32C62.13 31 52.88 30.25 45 34C37.13 37.88 32 45.63 31.5 54.38s3.75 17.21 11.25 21.84L90.75 108.2zM536 112.2c4.75 0 9.375-1.372 13.25-3.997l48-31.98c7.375-4.625 11.62-13.09 11.12-21.84s-5.625-16.5-13.5-20.25c-7.75-3.75-17-3-24.12 1.875l-48 32c-8.875 5.875-12.75 17.08-9.625 27.2C516.1 105.2 525.5 112.2 536 112.2zM616 200.1h-64c-13.25 0-24 10.74-24 23.99s10.75 23.99 24 23.99h64c13.25 0 24-10.78 24-24.03S629.3 200.1 616 200.1zM496.9 336.1L460.5 141.7C455.5 115.2 432.4 96 405.4 96H234.6C207.6 96 184.5 115.2 179.5 141.7l-36.44 194.4C116.1 336.6 96 357.8 96 384v48C96 458.5 117.5 480 144 480h352c26.51 0 48-21.49 48-48V384C544 357.8 523 336.6 496.9 336.1zM226.7 150.5C227.4 146.8 230.7 144 234.6 144h170.9c3.844 0 7.156 2.75 7.875 6.5L448.1 336H191.9L226.7 150.5zM496 432h-352V384h352V432zM283.9 176.3C271.1 174.2 258.5 182.1 256.3 196.1l-16 96C238.2 305.1 246.1 317.5 260.1 319.7C261.4 319.9 262.7 320 264 320c11.53 0 21.69-8.312 23.66-20.06l16-96C305.8 190.9 297 178.5 283.9 176.3z"],
    "sitemap": [576, 512, [], "f0e8", "M320 32C346.5 32 368 53.49 368 80V144C368 170.5 346.5 192 320 192H312V232H464C494.9 232 520 257.1 520 288V320H528C554.5 320 576 341.5 576 368V432C576 458.5 554.5 480 528 480H464C437.5 480 416 458.5 416 432V368C416 341.5 437.5 320 464 320H472V288C472 283.6 468.4 280 464 280H312V320H320C346.5 320 368 341.5 368 368V432C368 458.5 346.5 480 320 480H256C229.5 480 208 458.5 208 432V368C208 341.5 229.5 320 256 320H264V280H112C107.6 280 104 283.6 104 288V320H112C138.5 320 160 341.5 160 368V432C160 458.5 138.5 480 112 480H48C21.49 480 0 458.5 0 432V368C0 341.5 21.49 320 48 320H56V288C56 257.1 81.07 232 112 232H264V192H256C229.5 192 208 170.5 208 144V80C208 53.49 229.5 32 256 32H320zM320 80H256V144H320V80zM48 432H112V368H48V432zM256 432H320V368H256V432zM464 432H528V368H464V432z"],
    "skeleton": [512, 512, [], "f620", "M200 448C213.3 448 224 437.3 224 424S213.3 400 200 400S176 410.7 176 424S186.7 448 200 448zM312 448c13.25 0 24-10.75 24-24s-10.75-24-24-24S288 410.7 288 424S298.7 448 312 448zM488 160h-208V112h144C437.3 112 448 101.3 448 88S437.3 64 424 64h-144V24C280 10.75 269.3 0 256 0S232 10.75 232 24V64h-144C74.75 64 64 74.75 64 88S74.75 112 88 112h144V160h-208C10.75 160 0 170.8 0 184S10.75 208 24 208h208V256h-144C74.75 256 64 266.8 64 280S74.75 304 88 304h144v32H126.5c-22.78 0-43.06 11.84-54.28 31.66c-11.25 19.81-10.94 43.31 .75 62.84l34.44 57.41C116.3 502.8 132.6 512 149.9 512h212.1c17.34 0 33.66-9.25 42.56-24.09l34.44-57.41c11.69-19.53 12-43.03 .75-62.84C428.6 347.8 408.3 336 385.5 336H280v-32h144C437.3 304 448 293.3 448 280S437.3 256 424 256h-144V208h208C501.3 208 512 197.3 512 184S501.3 160 488 160zM385.5 384c7.562 0 11.28 5.094 12.53 7.312c1.25 2.188 3.719 8-.1875 14.5L362.1 464l-213.5-.7813l-34.44-57.41c-3.906-6.5-1.438-12.31-.1875-14.5C115.2 389.1 118.9 384 126.5 384H385.5z"],
    "ski-boot": [512, 512, [], "e3cc", "M488 464H480V395.4c0-26.16-15.93-49.69-40.23-59.41l-118.8-47.47l70.18-258.1c.5714-2.104 .895-4.399 .895-6.48c0-7.731-5.988-23.99-24.02-23.99c-10.59 0-20.22 6.986-23.12 17.66l-4.116 14.58L134.4 32.08c-30.51 0-56.77 21.54-62.76 51.44L1.264 435.5c-.8547 4.272-1.264 8.538-1.264 12.7C-.0007 482.6 27.99 512 64.02 512H488c13.25 0 24-10.74 24-23.99C512 474.8 501.3 464 488 464zM118.7 93.07C120.2 85.62 126.8 80.21 134.4 80.21h68.08L191.8 115.6C174.8 172.5 136.8 220.8 86.1 251.7L118.7 93.07zM432 464H64.02c-9.311 0-16.02-7.694-16.02-15.88c0-1.024 .1001-2.109 .3288-3.252l30.46-152.2c68.71-33.2 121.6-94.25 143.7-167.9L235.9 80.21h91.96l-30.45 111.9H240c-8.836 0-16 7.159-16 15.99C224 216.1 231.2 224.1 240 224.1h48.43l-18.37 63.97L208 288.1c-8.836 0-16 7.206-16 16.04c0 8.832 7.164 15.99 16 15.99h62.76l151.2 60.45C428.1 382.1 432 388.8 432 395.4V464z"],
    "ski-boot-ski": [640, 512, [], "e3cd", "M92.32 368.1c0 25.83 20.98 47.9 48.02 47.9L448 416c17.67 0 32-14.33 32-31.1V312.6c0-17.02-9.014-32.77-23.69-41.39L376 224l55.09-193.4c.6232-2.192 .9204-4.399 .9204-6.569C432 16.29 425.1 0 408 0c-10.49 0-20.11 6.895-23.11 17.44L380.8 32L186.2 32.01c-15.2 0-28.3 10.69-31.35 25.59l-61.53 300.8C92.64 361.7 92.32 364.9 92.32 368.1zM199.2 80h45.45L241.5 90.75c-11.28 37.6-33.85 70.66-63.88 95.15L199.2 80zM168.4 230.9c49.63-28.85 87.14-75.69 103.7-130.1L278.1 80h89.03L344.3 160L304 160c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16L335.2 192l-9.113 32L288 224c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16L335.7 256L432 312.6V368H140.3L168.4 230.9zM616 384c-13.25 0-24 10.75-24 24c0 30.88-25.12 56-56 56h-512C10.75 464 0 474.8 0 488S10.75 512 24 512h512c57.34 0 104-46.66 104-104C640 394.8 629.3 384 616 384z"],
    "skull": [512, 512, [128128], "f54c", "M224 256C224 286.9 198.9 312 168 312C137.1 312 112 286.9 112 256C112 225.1 137.1 200 168 200C198.9 200 224 225.1 224 256zM288 256C288 225.1 313.1 200 344 200C374.9 200 400 225.1 400 256C400 286.9 374.9 312 344 312C313.1 312 288 286.9 288 256zM415.1 398.9C415.1 399.3 416 399.6 416 400V464C416 490.5 394.5 512 368 512H144C117.5 512 96 490.5 96 464V400C96 399.6 96 399.3 96.01 398.9C37.48 357.8 0 294.7 0 224C0 100.3 114.6 0 256 0C397.4 0 512 100.3 512 224C512 294.7 474.5 357.8 415.1 398.9V398.9zM368 399.1C367.6 383.9 375.3 368.8 388.4 359.6C436.1 326.2 464 276.9 464 224C464 132.6 377.1 48 255.1 48C134.9 48 47.1 132.6 47.1 224C47.1 276.9 75.93 326.2 123.6 359.6C136.7 368.8 144.4 383.9 143.1 399.1L143.1 464H191.1V440C191.1 426.7 202.7 416 215.1 416C229.3 416 239.1 426.7 239.1 440V464H272V440C272 426.7 282.7 416 296 416C309.3 416 320 426.7 320 440V464H368L368 399.1z"],
    "skull-cow": [640, 512, [], "f8de", "M287.1 255.1C287.1 273.7 273.7 287.1 255.1 287.1C238.3 287.1 223.1 273.7 223.1 255.1C223.1 238.3 238.3 223.1 255.1 223.1C273.7 223.1 287.1 238.3 287.1 255.1zM352 255.1C352 238.3 366.3 223.1 384 223.1C401.7 223.1 416 238.3 416 255.1C416 273.7 401.7 287.1 384 287.1C366.3 287.1 352 273.7 352 255.1zM52.04 54.48C49.55 61.95 48.67 69.86 49.45 77.7C52.3 106.3 76.33 128 105 128L168.4 127.1C186 108.4 211.6 95.1 239.1 95.1H400C428.4 95.1 453.1 108.4 471.6 127.1L534.1 128C563.7 128 587.7 106.3 590.6 77.7C591.3 69.86 590.5 61.95 587.1 54.48L576.8 21.06C574.4 13.71 577.5 5.651 584.4 1.946C591.2-1.759 599.7-.0479 604.5 6.006L611.9 15.33C630.1 38.04 640 66.44 640 95.47C640 166.1 582.8 223.1 512 223.1H496V287.1C496 333 465 370.8 423.3 381.2L397.7 466.4C389.6 493.5 364.6 512 336.4 512H303.6C275.4 512 250.4 493.5 242.3 466.4L216.7 381.2C174.1 370.8 144 333 144 287.1V223.1L128 224C57.21 224 0 166.1 0 95.47C0 66.44 9.875 38.04 28.05 15.33L35.51 6.006C40.35-.0482 48.84-1.759 55.65 1.946C62.46 5.651 65.63 13.71 63.18 21.06L52.04 54.48zM254.9 341.2L288.3 452.6C290.3 459.4 296.6 464 303.6 464H336.4C343.4 464 349.7 459.4 351.7 452.6L385.1 341.2L411.7 334.6C432.6 329.4 448 310.4 448 287.1V191.1C448 165.5 426.5 143.1 400 143.1H239.1C213.5 143.1 191.1 165.5 191.1 191.1V287.1C191.1 310.4 207.4 329.4 228.3 334.6L254.9 341.2z"],
    "skull-crossbones": [448, 512, [128369, 9760], "f714", "M207.1 136C207.1 149.3 197.3 160 183.1 160C170.7 160 159.1 149.3 159.1 136C159.1 122.7 170.7 112 183.1 112C197.3 112 207.1 122.7 207.1 136zM239.1 136C239.1 122.7 250.7 112 263.1 112C277.3 112 287.1 122.7 287.1 136C287.1 149.3 277.3 160 263.1 160C250.7 160 239.1 149.3 239.1 136zM263.1 288H183.1C153.1 288 127.1 262.9 127.1 232V223.4C98.54 199.1 79.1 165.9 79.1 128C79.1 57.31 144.5 0 223.1 0C303.5 0 367.1 57.31 367.1 128C367.1 165.9 349.5 199.1 319.1 223.4V232C319.1 262.9 294.9 288 263.1 288zM319.1 128C319.1 88.98 282.5 48 223.1 48C165.5 48 127.1 88.98 127.1 128C127.1 149.5 138.4 170.4 157.9 185.8L175.1 200.3V232C175.1 236.4 179.6 240 183.1 240H263.1C268.4 240 271.1 236.4 271.1 232V200.3L290.1 185.8C309.6 170.4 319.1 149.5 319.1 128zM2.704 268.9C8.819 257.2 23.31 252.6 35.07 258.7L223.1 356.1L412.9 258.7C424.7 252.6 439.2 257.2 445.3 268.9C451.4 280.7 446.8 295.2 435.1 301.3L276 384L435.1 466.7C446.8 472.8 451.4 487.3 445.3 499.1C439.2 510.8 424.7 515.4 412.9 509.3L223.1 411.1L35.07 509.3C23.31 515.4 8.819 510.8 2.704 499.1C-3.411 487.3 1.165 472.8 12.92 466.7L171.1 384L12.92 301.3C1.165 295.2-3.411 280.7 2.704 268.9V268.9z"],
    "slash": [640, 512, [], "f715", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"],
    "slash-back": [320, 512, [], "5c", "M296 512c-8.25 0-16.28-4.234-20.75-11.86l-272-464C-3.406 24.7 .4375 10 11.88 3.297c11.41-6.734 26.12-2.891 32.84 8.562l272 464c6.688 11.44 2.844 26.14-8.594 32.84C304.3 510.9 300.2 512 296 512z"],
    "slash-forward": [320, 512, [], "2f", "M23.97 512c-4.125 0-8.281-1.062-12.09-3.297C.4375 502-3.406 487.3 3.281 475.9l272-464c6.688-11.45 21.38-15.3 32.84-8.562c11.44 6.703 15.28 21.41 8.594 32.84l-272 464C40.25 507.8 32.22 512 23.97 512z"],
    "sleigh": [640, 512, [], "f7cc", "M64 32L64.62 32.01C69.78 32.06 74.91 32.33 80 32.83C133.7 38.08 182.5 67.95 211.4 114.3L230.3 144.5C261.2 193.1 315.4 224 373.7 224C397.1 224 416 205.1 416 181.7V136C416 113.9 433.9 96 456 96H584C597.3 96 608 106.7 608 120C608 133.3 597.3 144 584 144H560V256C560 324 506.1 379.6 440 383.8V432H560C577.7 432 592 417.7 592 400V384C592 370.7 602.7 360 616 360C629.3 360 640 370.7 640 384V400C640 444.2 604.2 480 560 480H56C42.75 480 32 469.3 32 456C32 442.7 42.75 432 56 432H136V381.8C76.78 370.5 32 318.5 32 256V80H24C10.75 80 0 69.25 0 56C0 42.75 10.75 32 24 32L64 32zM392 432V384H184V432H392zM512 256V144H464V181.7C464 231.6 423.6 272 373.7 272C298.9 272 229.3 233.4 189.6 169.1L170.7 139.7C150.5 107.4 117.2 86.17 79.1 81.15V256C79.1 300.2 115.8 336 159.1 336H432C476.2 336 512 300.2 512 256H512z"],
    "slider": [512, 512, [], "e252", "M352 96C387.3 96 416 124.7 416 160V232H488C501.3 232 512 242.7 512 256C512 269.3 501.3 280 488 280H416V352C416 387.3 387.3 416 352 416H320C284.7 416 256 387.3 256 352V160C256 124.7 284.7 96 320 96H352zM352 144H320C311.2 144 304 151.2 304 160V352C304 360.8 311.2 368 320 368H352C360.8 368 368 360.8 368 352V160C368 151.2 360.8 144 352 144zM24 232H224V280H24C10.75 280 0 269.3 0 256C0 242.7 10.75 232 24 232z"],
    "sliders": [512, 512, ["sliders-h"], "f1de", "M0 416C0 402.7 10.75 392 24 392H83.66C93.86 359.5 124.2 336 160 336C195.8 336 226.1 359.5 236.3 392H488C501.3 392 512 402.7 512 416C512 429.3 501.3 440 488 440H236.3C226.1 472.5 195.8 496 160 496C124.2 496 93.86 472.5 83.66 440H24C10.75 440 0 429.3 0 416zM192 416C192 398.3 177.7 384 160 384C142.3 384 128 398.3 128 416C128 433.7 142.3 448 160 448C177.7 448 192 433.7 192 416zM352 176C387.8 176 418.1 199.5 428.3 232H488C501.3 232 512 242.7 512 256C512 269.3 501.3 280 488 280H428.3C418.1 312.5 387.8 336 352 336C316.2 336 285.9 312.5 275.7 280H24C10.75 280 0 269.3 0 256C0 242.7 10.75 232 24 232H275.7C285.9 199.5 316.2 176 352 176zM384 256C384 238.3 369.7 224 352 224C334.3 224 320 238.3 320 256C320 273.7 334.3 288 352 288C369.7 288 384 273.7 384 256zM488 72C501.3 72 512 82.75 512 96C512 109.3 501.3 120 488 120H268.3C258.1 152.5 227.8 176 192 176C156.2 176 125.9 152.5 115.7 120H24C10.75 120 0 109.3 0 96C0 82.75 10.75 72 24 72H115.7C125.9 39.54 156.2 16 192 16C227.8 16 258.1 39.54 268.3 72H488zM160 96C160 113.7 174.3 128 192 128C209.7 128 224 113.7 224 96C224 78.33 209.7 64 192 64C174.3 64 160 78.33 160 96z"],
    "sliders-simple": [512, 512, [], "e253", "M488 344C501.3 344 512 354.7 512 368C512 381.3 501.3 392 488 392H156.3C146.1 424.5 115.8 448 80 448C35.82 448 0 412.2 0 368C0 323.8 35.82 288 80 288C115.8 288 146.1 311.5 156.3 344H488zM48 368C48 385.7 62.33 400 80 400C97.67 400 112 385.7 112 368C112 350.3 97.67 336 80 336C62.33 336 48 350.3 48 368zM355.7 120C365.9 87.54 396.2 64 432 64C476.2 64 512 99.82 512 144C512 188.2 476.2 224 432 224C396.2 224 365.9 200.5 355.7 168H24C10.75 168 0 157.3 0 144C0 130.7 10.75 120 24 120H355.7zM432 176C449.7 176 464 161.7 464 144C464 126.3 449.7 112 432 112C414.3 112 400 126.3 400 144C400 161.7 414.3 176 432 176z"],
    "sliders-up": [512, 512, ["sliders-v"], "f3f1", "M96 0C109.3 0 120 10.75 120 24V83.66C152.5 93.86 176 124.2 176 160C176 195.8 152.5 226.1 120 236.3V488C120 501.3 109.3 512 96 512C82.75 512 72 501.3 72 488V236.3C39.54 226.1 16 195.8 16 160C16 124.2 39.54 93.86 72 83.66V24C72 10.75 82.75 0 96 0V0zM96 192C113.7 192 128 177.7 128 160C128 142.3 113.7 128 96 128C78.33 128 64 142.3 64 160C64 177.7 78.33 192 96 192zM336 352C336 387.8 312.5 418.1 280 428.3V488C280 501.3 269.3 512 256 512C242.7 512 232 501.3 232 488V428.3C199.5 418.1 176 387.8 176 352C176 316.2 199.5 285.9 232 275.7V24C232 10.75 242.7 0 256 0C269.3 0 280 10.75 280 24V275.7C312.5 285.9 336 316.2 336 352zM256 384C273.7 384 288 369.7 288 352C288 334.3 273.7 320 256 320C238.3 320 224 334.3 224 352C224 369.7 238.3 384 256 384zM440 488C440 501.3 429.3 512 416 512C402.7 512 392 501.3 392 488V268.3C359.5 258.1 336 227.8 336 192C336 156.2 359.5 125.9 392 115.7V24C392 10.75 402.7 0 416 0C429.3 0 440 10.75 440 24V115.7C472.5 125.9 496 156.2 496 192C496 227.8 472.5 258.1 440 268.3V488zM416 160C398.3 160 384 174.3 384 192C384 209.7 398.3 224 416 224C433.7 224 448 209.7 448 192C448 174.3 433.7 160 416 160z"],
    "slot-machine": [640, 512, [], "e3ce", "M592 128C565.5 128 544 149.5 544 176c0 17.72 9.713 33.03 24 41.34V424c0 22.06-17.94 40-40 40H448V416c35.35 0 64-28.65 64-64V160c0-35.35-28.65-64-64-64V64c0-35.35-28.65-64-64-64H128C92.65 0 64 28.65 64 64v32C28.65 96 0 124.7 0 160v192c0 35.35 28.65 64 64 64v32c0 35.35 28.65 64 64 64h400c48.53 0 88-39.47 88-88V217.3C630.3 209 640 193.7 640 176C640 149.5 618.5 128 592 128zM112 64c0-8.822 7.178-16 16-16h256c8.822 0 16 7.178 16 16v32h-288V64zM64 368c-8.822 0-16-7.178-16-16V160c0-8.822 7.178-16 16-16h384c8.822 0 16 7.178 16 16v192c0 8.822-7.178 16-16 16H64zM400 448c0 8.836-7.164 16-16 16H128c-8.836 0-16-7.164-16-16v-32h288V448zM168 176h-56c-13.25 0-24 10.75-24 24S98.75 224 112 224h21.94L105.4 303.9c-4.469 12.47 2.031 26.22 14.53 30.66C122.6 335.6 125.3 336 128 336c9.844 0 19.09-6.125 22.59-15.94l40-112c2.625-7.344 1.531-15.5-2.969-21.88C183.1 179.8 175.8 176 168 176zM408 176H352c-13.25 0-24 10.75-24 24S338.8 224 352 224h21.94l-28.53 79.94c-4.469 12.47 2.031 26.22 14.53 30.66C362.6 335.6 365.3 336 368 336c9.844 0 19.09-6.125 22.59-15.94l40-112c2.625-7.344 1.531-15.5-2.969-21.88C423.1 179.8 415.8 176 408 176zM288 176H232C218.8 176 208 186.8 208 200S218.8 224 232 224h21.94L225.4 303.9c-4.469 12.47 2.031 26.22 14.53 30.66C242.6 335.6 245.3 336 248 336c9.844 0 19.09-6.125 22.59-15.94l40-112c2.625-7.344 1.531-15.5-2.969-21.88C303.1 179.8 295.8 176 288 176z"],
    "smog": [640, 512, [], "f75f", "M616 368h-528C74.8 368 64 378.8 64 391.1S74.8 416 87.1 416h528c13.2 0 24-10.8 24-23.1S629.2 368 616 368zM136 464H23.1C10.8 464 0 474.8 0 487.1S10.8 512 23.1 512H136C149.2 512 160 501.2 160 488S149.2 464 136 464zM552 464H231.1C218.8 464 208 474.8 208 487.1S218.8 512 231.1 512H552c13.2 0 24-10.8 24-23.1S565.2 464 552 464zM144 288h113C285 309 317.8 320 352 320s67.13-11 95-32H512c70.63 0 128-57.38 128-128s-57.38-128-128-128c-17.75 0-35.38 3.75-51.75 11C430.8 15.5 392.2 0 352 0c-40.13 0-77.75 14.88-106.9 41.5C218.4 15.25 182.2 0 144 0c-79.38 0-144 64.62-144 144S64.62 288 144 288zM144 48c25.38 0 49.25 9.75 67.25 27.75l32.5 32L277.4 77C297.9 58.25 324.4 48 352 48c27.88 0 54.75 10.75 75.63 30.12l23.13 21.63l29-12.88C490.1 82.25 500.9 80 512 80c44.13 0 80 35.88 80 80S556.1 240 512 240h-81l-12.75 9.625C398.4 264.5 376.1 272 352 272S305.6 264.5 285.8 249.6L273 240H144c-52.88 0-96-43.12-96-96S91.12 48 144 48z"],
    "smoke": [640, 512, [], "f760", "M640 248C640 164.2 571.8 96 488 96c-14.38 0-28.38 2.75-42 6.75C418.2 60.25 370.5 32 316 32C296.2 32 276.8 35.88 257.9 43.75C229.6 15.75 191.9 0 152 0C68.25 0 0 68.25 0 152C0 189.8 14.25 224 37.38 250.5C14.38 278.2 0 313.2 0 352c0 88.25 71.75 160 160 160h352c70.63 0 128-57.38 128-128c0-23.75-7-45.88-18.38-65.13C633.1 297.8 640 273.8 640 248zM592 248c0 11.25-2.125 22.12-5.5 32.25C565.5 265.1 539.9 256 512 256c-21.62 0-42.38 5.375-61.13 15.88C423.8 241.5 385.2 224 344 224C319.9 224 296.8 230.1 275.6 241.8C268.8 234.4 261 228.1 252.9 222.2C268.8 194.8 297.1 176 332 176c15.62 0 30.75 4.25 45.25 12.5l17.63 10.12l12.88-15.87C427.9 158.2 457.1 144 488 144C545.3 144 592 190.8 592 248zM152 48c31.62 0 61.25 14.62 81.25 40l12.75 16.12l17.88-10C280.6 84.75 298.2 80 316 80c35.25 0 66.38 17.25 86.13 43.62c-6.375 4.5-12.88 9.125-18.5 14.62C367 131.4 349.8 128 332 128C279.2 128 233.8 157.6 209.9 200.9C193.9 195.5 177.2 192 160 192C127.8 192 97.75 201.8 72.5 218.2C57.25 200.2 48 177.2 48 152C48 94.75 94.75 48 152 48zM512 464H160c-61.75 0-112-50.25-112-112S98.25 240 160 240c36 0 70.12 17.75 91.25 47.38l14.5 20.38L285.5 292.4C302.8 279.1 323 272 344 272c33.13 0 63.38 17 81.25 45.38l14.5 23.38l21.12-17.63C471.2 314.4 488.5 304.1 512 304.1c44.13 0 80 35.88 80 80S556.1 464 512 464z"],
    "smoking": [640, 512, [128684], "f48d", "M503.8 141.6C479.8 125 464 99.25 464 70.25V23.1C464 10.8 453.2 0 440 0S416 10.8 416 23.1V74.38c0 43.75 24.62 81.62 60.25 106.7C498.8 196.8 512 222.2 512 249.8v14.25C512 277.2 522.8 288 536 288c13.2 0 24-10.8 24-23.1V249.8C560 206.4 539 166.2 503.8 141.6zM553.3 87.13C547.6 83.25 544 77.13 544 70.25v-46.25C544 10.8 533.2 0 520 0c-13.2 0-24 10.8-24 23.1V70.25c0 22 10.25 43.5 28.62 55.5C566.8 153 592 199.5 592 249.8v14.25C592 277.2 602.8 288 616 288C629.2 288 640 277.2 640 264V249.8C640 184.2 607.6 123.5 553.3 87.13zM616 352c-13.2 0-24 10.8-24 23.1v112C592 501.2 602.8 512 616 512c13.2 0 24-10.8 24-23.1V375.1C640 362.8 629.2 352 616 352zM536 352C522.8 352 512 362.8 512 376v112c0 13.2 10.8 24 24 24c13.2 0 24-10.8 24-23.1V375.1C560 362.8 549.2 352 536 352zM456 352H48C21.5 352 0 373.5 0 400v64C0 490.5 21.5 512 48 512h408c13.25 0 24-10.75 24-24v-112C480 362.8 469.2 352 456 352zM432 464H224v-64h208V464z"],
    "snake": [512, 512, [128013], "f716", "M384 88C384 96.84 376.8 104 368 104C359.2 104 352 96.84 352 88C352 79.16 359.2 72 368 72C376.8 72 384 79.16 384 88zM352 136C352 127.2 359.2 120 368 120C376.8 120 384 127.2 384 136C384 144.8 376.8 152 368 152C359.2 152 352 144.8 352 136zM175.1 512H175.9H118.7C103.8 512 89.06 508.5 75.73 501.9L14.31 471.2C5.54 466.8 0 457.8 0 448C0 438.2 5.54 429.2 14.31 424.8L75.73 394.1C82.24 390.9 89.08 388.4 96.1 386.7C103.5 384.9 111 384 118.7 384H256H256.1H320C328.8 384 336 376.8 336 368C336 359.2 328.8 352 320 352H168C150.7 352 134.1 349.1 118.7 343.8C112.9 341.9 107.4 339.6 102 336.1C51.11 312.4 15.1 260.3 15.1 200C15.1 116.1 84.05 48 167.1 48H282.9C303.6 22.92 334.6 8 367.7 8C383.7 8 399.5 11.51 414.1 18.29L468.5 43.7C495 56.08 512 82.72 512 112C512 141.3 495 167.9 468.5 180.3L414.1 205.7C399.5 212.5 383.7 216 367.7 216C350.9 216 334.6 212.2 320 205.1C305.8 198.3 293.1 188.4 282.9 176H167.1C154.7 176 143.1 186.7 143.1 200C143.1 213.3 154.7 224 167.1 224H320C336.7 224 352.7 226.8 367.7 232.1C384.1 237.9 399.3 246.5 412.4 257.5C443.9 283.9 464 323.6 464 368C464 447.5 399.5 512 320 512H175.1zM305.6 96H167.1C110.6 96 63.1 142.6 63.1 200C63.1 257.4 110.6 304 167.1 304H320C355.3 304 384 332.7 384 368C384 403.3 355.3 432 320 432H118.7C111.2 432 103.9 433.7 97.2 437.1L75.33 448L97.2 458.9C103.9 462.3 111.2 464 118.7 464H175.9H175.1H320C373 464 416 421 416 368C416 314.1 373 272 320 272H167.1C128.2 272 95.1 239.8 95.1 200C95.1 160.2 128.2 128 167.1 128H305.6L320 145.5C331.6 159.6 349 168 367.7 168C376.7 168 385.6 166 393.8 162.2L448.2 136.8C457.8 132.3 464 122.6 464 112C464 101.4 457.8 91.7 448.2 87.2L393.8 61.79C385.6 57.98 376.7 56 367.7 56C349 56 331.6 64.39 320 78.49L305.6 96z"],
    "snooze": [448, 512, [128164, "zzz"], "f880", "M199.1 224H39.1C26.75 224 15.1 234.8 15.1 248S26.75 272 39.1 272h112.6l-147.1 201.8c-5.344 7.281-6.156 16.97-2.063 25.03C6.684 506.9 14.96 512 23.1 512h160c13.25 0 24-10.75 24-24S197.2 464 183.1 464H71.37l147.1-201.8c5.344-7.281 6.156-16.97 2.063-25.03C217.3 229.1 209 224 199.1 224zM445.5 237.3C441.4 229.1 433.1 224 423.1 224h-96c-13.25 0-23.1 10.75-23.1 24s10.75 24 23.1 24h48l-67.19 89.59c-5.469 7.281-6.344 17-2.281 25.12C310.6 394.9 318.9 400 327.1 400h88c13.25 0 24-10.75 24-24S429.2 352 415.1 352h-40l67.19-89.59C448.7 255.1 449.5 245.4 445.5 237.3zM311.1 152c0-13.25-10.75-24-23.1-24h-40l67.19-89.59c5.469-7.281 6.344-17 2.281-25.12C313.4 5.125 305.1 0 295.1 0H199.1C186.7 0 175.1 10.75 175.1 24S186.7 48 199.1 48h48L180.8 137.6c-5.469 7.281-6.344 17-2.281 25.12C182.6 170.9 190.9 176 199.1 176h88C301.2 176 311.1 165.3 311.1 152z"],
    "snow-blowing": [640, 512, [], "f761", "M344 159c-6.609-11.47-21.34-15.41-32.78-8.781L294.1 160.1l.6816-2.545c2.859-10.69-3.469-21.66-14.14-24.5C270 130.2 259.1 136.5 256.2 147.2L245.2 188.4L200 214.4V156.3l30.14-30.13c7.812-7.812 7.812-20.5 0-28.31s-20.47-7.812-28.28 0L200 99.71V88C200 74.75 189.3 64 176 64S152 74.75 152 88v11.71L150.1 97.84c-7.812-7.812-20.47-7.812-28.28 0s-7.812 20.5 0 28.31L152 156.3v58.15L101.6 185.4L90.61 144.2C87.75 133.5 76.83 127.2 66.13 130c-10.67 2.844-17 13.81-14.14 24.5l.6855 2.559L42.5 151.2C31.06 144.6 16.33 148.5 9.72 160C3.095 171.5 7.016 186.2 18.5 192.8l10.18 5.875L26.11 199.3c-10.66 2.844-16.98 13.81-14.12 24.5c2.391 8.938 10.47 14.81 19.3 14.81c1.719 0 3.469-.2187 5.203-.6875l41.15-11.04L128 255.1L79.37 284.1L38.22 273C27.66 270.2 16.58 276.5 13.72 287.2c-2.859 10.69 3.469 21.66 14.12 24.5l2.566 .6875L20.23 318.2c-11.48 6.625-15.41 21.31-8.781 32.78c4.438 7.688 12.52 12 20.8 12c4.078 0 8.203-1.031 11.98-3.219l10.17-5.871l-.6855 2.559c-2.859 10.69 3.469 21.66 14.14 24.5c1.734 .4687 3.469 .6875 5.188 .6875c8.828 0 16.91-5.875 19.3-14.81l11.04-41.21L152 297.6v50.15l-30.14 30.13c-7.812 7.812-7.812 20.5 0 28.31s20.47 7.812 28.28 0L152 404.3V424C152 437.3 162.8 448 176 448s24-10.75 24-24v-19.71l1.859 1.861C205.8 410.1 210.9 412 216 412s10.23-1.938 14.14-5.844c7.812-7.812 7.812-20.5 0-28.31L200 347.7V297.6l43.43 25.07l11.04 41.21c2.391 8.938 10.47 14.81 19.3 14.81c1.719 0 3.453-.2187 5.188-.6875c10.67-2.844 17-13.81 14.14-24.5l-.6836-2.555l17.09 9.867C313.3 362.1 317.4 364 321.5 364c8.281 0 16.36-4.312 20.8-12c6.625-11.47 2.704-26.16-8.78-32.78L316.4 309.3l2.572-.6895c10.66-2.844 16.98-13.81 14.12-24.5c-2.859-10.66-13.78-17-24.5-14.12L267.4 281.1L223.1 255.1l45.17-26.08l41.17 11.05c1.734 .4687 3.484 .6875 5.203 .6875c8.828 0 16.91-5.875 19.3-14.81c2.859-10.69-3.469-21.66-14.12-24.5L318.1 201.7l17.1-9.871C346.7 185.2 350.6 170.5 344 159zM408 240h144C600.5 240 640 200.5 640 152S600.5 64 552 64h-16C522.8 64 512 74.75 512 88s10.75 24 24 24h16c22.06 0 40 17.94 40 40S574.1 192 552 192h-144C394.8 192 384 202.8 384 216S394.8 240 408 240zM552 272h-144C394.8 272 384 282.8 384 296S394.8 320 408 320h144c22.06 0 40 17.94 40 40s-17.94 40-40 40h-16c-13.25 0-24 10.75-24 24S522.8 448 536 448h16c48.53 0 88-39.47 88-88S600.5 272 552 272z"],
    "snowflake": [512, 512, [10054, 10052], "f2dc", "M484.4 294.4c1.715 6.402 .6758 12.89-2.395 18.21s-8.172 9.463-14.57 11.18l-31.46 8.43l32.96 19.03C480.4 357.8 484.4 372.5 477.8 384s-21.38 15.41-32.86 8.783l-32.96-19.03l8.43 31.46c3.432 12.81-4.162 25.96-16.97 29.39s-25.96-4.162-29.39-16.97l-20.85-77.82L280 297.6v84.49l56.97 56.97c9.375 9.375 9.375 24.56 0 33.94C332.3 477.7 326.1 480 320 480s-12.28-2.344-16.97-7.031L280 449.9V488c0 13.25-10.75 24-24 24s-24-10.75-24-24v-38.06l-23.03 23.03c-9.375 9.375-24.56 9.375-33.94 0s-9.375-24.56 0-33.94L232 382.1V297.6l-73.17 42.25l-20.85 77.82c-3.432 12.81-16.58 20.4-29.39 16.97s-20.4-16.58-16.97-29.39l8.43-31.46l-32.96 19.03C55.61 399.4 40.85 395.5 34.22 384s-2.615-26.16 8.859-32.79l32.96-19.03l-31.46-8.43c-12.81-3.432-20.4-16.58-16.97-29.39s16.58-20.4 29.39-16.97l77.82 20.85L208 255.1L134.8 213.8L57.01 234.6C44.2 238 31.05 230.4 27.62 217.6s4.162-25.96 16.97-29.39l31.46-8.432L43.08 160.8C31.61 154.2 27.6 139.5 34.22 128s21.38-15.41 32.86-8.785l32.96 19.03L91.62 106.8C88.18 93.98 95.78 80.83 108.6 77.39s25.96 4.162 29.39 16.97l20.85 77.82L232 214.4V129.9L175 72.97c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0L232 62.06V24C232 10.75 242.8 0 256 0s24 10.75 24 24v38.06l23.03-23.03c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94L280 129.9v84.49l73.17-42.25l20.85-77.82c3.432-12.81 16.58-20.4 29.39-16.97c6.402 1.715 11.5 5.861 14.57 11.18s4.109 11.81 2.395 18.21l-8.43 31.46l32.96-19.03C456.4 112.6 471.2 116.5 477.8 128s2.615 26.16-8.859 32.78l-32.96 19.03l31.46 8.432c12.81 3.432 20.4 16.58 16.97 29.39s-16.58 20.4-29.39 16.97l-77.82-20.85L304 255.1l73.17 42.25l77.82-20.85C467.8 273.1 480.1 281.6 484.4 294.4z"],
    "snowflakes": [640, 512, [], "f7cf", "M544 97.94l23.03 23.03C571.7 125.7 577.9 128 584 128s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94L577.9 64l23.03-23.03c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0L544 30.06l-23.03-23.03c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L510.1 64l-23.03 23.03c-9.375 9.375-9.375 24.56 0 33.94C491.7 125.7 497.9 128 504 128s12.28-2.344 16.97-7.031L544 97.94zM609.9 256l23.03-23.03c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0L576 222.1l-23.03-23.03c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L542.1 256l-23.03 23.03c-9.375 9.375-9.375 24.56 0 33.94C523.7 317.7 529.9 320 536 320s12.28-2.344 16.97-7.031L576 289.9l23.03 23.03C603.7 317.7 609.9 320 616 320s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94L609.9 256zM417.8 235.6c2.094 .5625 4.187 .8125 6.25 .8125c10.59 0 20.28-7.062 23.16-17.78c3.453-12.78-4.141-25.97-16.94-29.41l-29.4-7.904l31.02-17.97c11.47-6.656 15.37-21.34 8.734-32.81c-6.656-11.5-21.36-15.31-32.8-8.75l-30.85 17.87l7.865-29.46c3.422-12.81-4.187-25.97-16.1-29.38c-12.89-3.531-25.95 4.156-29.37 17L318.2 173.7L247.1 214.3V129.9l56.97-56.97c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0L247.1 62.06V24C247.1 10.75 237.2 0 224 0S200 10.75 200 24v38.06L176.1 39.03c-9.375-9.375-24.56-9.375-33.94 0c-9.375 9.375-9.375 24.56 0 33.94l56.97 56.97v84.41L129.8 173.7L109.6 97.81c-3.406-12.84-16.67-20.56-29.37-17C67.38 84.22 59.77 97.38 63.19 110.2L71.06 139.7L40.21 121.8C28.8 115.2 14.08 119 7.411 130.5C.7709 142 4.677 156.7 16.15 163.3l31.02 17.97L17.77 189.2c-12.8 3.438-20.39 16.62-16.94 29.41C3.708 229.3 13.4 236.4 23.99 236.4c2.062 0 4.156-.25 6.25-.8125l75.56-20.31L176.1 256l-70.29 40.72L30.24 276.4C17.43 273 4.271 280.6 .8334 293.4c-3.453 12.78 4.141 25.97 16.94 29.41l29.4 7.904l-31.02 17.97c-11.47 6.656-15.37 21.34-8.734 32.81c4.453 7.688 12.5 11.97 20.78 11.97c4.094 0 8.234-1.031 12.02-3.219L71.06 372.3l-7.865 29.46c-3.422 12.81 4.187 25.97 16.1 29.38C82.27 431.8 84.35 432 86.39 432c10.61 0 20.31-7.062 23.17-17.81l20.26-75.88l70.17-40.65v84.41l-56.97 56.97c-9.375 9.375-9.375 24.56 0 33.94c9.375 9.375 24.56 9.375 33.94 0l23.03-23.03V488C200 501.3 210.8 512 224 512s23.1-10.75 23.1-24v-38.06l23.03 23.03C275.7 477.7 281.9 480 287.1 480s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94l-56.97-56.97V297.7l70.17 40.65l20.26 75.88C341.3 424.9 350.1 432 361.6 432c2.047 0 4.141-.25 6.203-.8125c12.81-3.406 20.42-16.56 16.1-29.38l-7.865-29.46l30.85 17.87c3.781 2.188 7.922 3.219 12.02 3.219c8.281 0 16.33-4.281 20.78-11.97c6.64-11.47 2.734-26.16-8.734-32.81l-31.02-17.97l29.4-7.904c12.8-3.438 20.39-16.62 16.94-29.41c-3.422-12.78-16.53-20.34-29.41-16.97l-75.56 20.31L271.9 256l70.29-40.72L417.8 235.6z"],
    "snowman": [512, 512, [9924, 9731], "f7d0", "M255.1 288.1c-8.751 0-16 7.254-16 16.01s7.251 16.01 16 16.01c8.751 0 16-7.254 16-16.01S264.7 288.1 255.1 288.1zM255.1 224.1c-8.751 0-16 7.254-16 16.01s7.251 16.01 16 16.01c8.751 0 16-7.254 16-16.01S264.7 224.1 255.1 224.1zM223.1 88.04c-8.751 0-16 7.254-16 16.01s7.251 16.01 16 16.01s16-7.254 16-16.01S232.7 88.04 223.1 88.04zM255.1 352.2c-8.751 0-16 7.254-16 16.01s7.251 16.01 16 16.01c8.751 0 16-7.254 16-16.01S264.7 352.2 255.1 352.2zM510.9 184.3l-5.875-14.51c-3.25-8.004-12.63-11.88-20.75-8.629l-28.25 11.51V143.7c0-8.629-7.251-15.63-16-15.63h-16c-8.751 0-16 7.003-16 15.63v46.9c0 .5002 .25 1 .25 1.501l-26.13 10.76c-3.75-9.255-8.126-18.38-13.75-26.64c7.626-16.38 11.63-34.14 11.63-52.15C379.1 55.65 324.4 0 255.1 0S131.1 55.65 131.1 124.1c0 18.01 4 35.77 11.63 52.15c-5.75 8.379-10.13 17.38-13.75 26.64l-26.13-10.76c0-.5002 .25-1 .25-1.501V143.7c0-8.629-7.251-15.63-16-15.63H71.96c-8.751 0-16 7.003-16 15.63v29.01L27.83 161.2C19.7 157.1 10.32 161.8 7.074 169.8l-5.876 14.51c-3.375 8.004 .6251 17.13 8.876 20.38l110.1 44.9c0 .7504-.25 1.626-.25 2.376c0 7.128 .7501 14.38 2.125 22.01c-18.25 26.89-27.88 57.9-27.88 90.79c0 55.4 28.25 106.2 75.38 136.2C181.1 508.2 195.2 512 210.7 512h90.01c17 0 33.38-5.002 47.38-14.88c52.75-36.64 78.51-98.8 67.01-162.3c-3.875-21.39-12.5-42.02-25.13-60.65c1.375-7.754 2.125-15.13 2.125-22.26c0-.7504-.25-1.501-.25-2.376l110.1-44.9C510.1 201.6 514.1 192.5 510.9 184.3zM320.7 457.1c-6.001 4.002-13 6.253-20.13 6.253H210.7c-4.5 0-10.75-.6253-15.5-3.752c-33.25-21.01-53-56.78-53-95.55c0-25.89 8.376-50.27 24.38-70.53l7.251-9.254L170.1 273.6c-2.125-8.254-3.125-15.13-3.125-21.64c0-26.89 12.13-46.27 22.25-57.78l12-13.76l-9.876-15.13C184.1 152.8 179.8 138.6 179.8 123.9c0-41.9 34.13-76.04 76.01-76.04s76.01 34.14 76.01 76.04c0 14.51-4.25 28.89-12.25 41.4l-9.876 15.13l12 13.76c10.13 11.51 22.13 31.02 22.13 57.78c0 6.628-1 13.51-3.125 21.76l-2.875 11.51l7.376 9.255c11.5 14.76 19.38 31.64 22.5 48.9C375.9 388.3 357.9 432.1 320.7 457.1zM287.1 88.04c-8.751 0-16 7.254-16 16.01s7.251 16.01 16 16.01c8.751 0 16-7.254 16-16.01S296.7 88.04 287.1 88.04zM255.1 128.1c-8.751 0-16 7.254-16 16.01s16 32.02 16 32.02s16-23.26 16-32.02S264.7 128.1 255.1 128.1z"],
    "snowman-head": [448, 512, ["frosty-head"], "f79b", "M152 288C138.8 288 127.1 298.7 127.1 311.9C127.1 325.2 138.6 336 152 336c13.09 0 23.93-10.84 23.93-24.07C175.1 298.8 165.3 288 152 288zM295.9 288c-13.09 0-23.93 10.7-23.93 23.93c0 13.23 10.7 24.07 23.93 24.07c13.37 0 24.21-10.84 24.07-24.07C319.1 298.8 309.3 288 295.9 288zM224 352c-17.75 0-31.1 14.25-31.1 32s32 64 32 64s32-46.25 32-64S241.8 352 224 352zM448 208c0-8.836-7.164-16-16-16H368V48C368 21.6 346.4 0 320 0H128C101.6 0 80 21.6 80 48V192H16c-8.836 0-16 7.164-16 16c0 26.51 21.49 48 48 48h10.38C41.87 284.3 32 316.9 32 352c0 57.28 25.11 108.7 64.89 143.8C108.7 506.3 123.1 512 139.8 512h168.5c15.54 0 30.68-5.508 42.35-15.76c49.72-43.66 76.71-112.6 60.8-186.7C407.3 290.4 399.8 272.5 390.1 256h9.934C426.5 256 448 234.5 448 208zM128 144h192V192H128V144zM318.1 460.2C316.2 462.6 312.3 464 308.3 464H139.8c-4.119 0-8.049-1.471-11.07-4.145C97.74 432.5 80 393.2 80 352c0-25.12 6.672-49.27 19.83-71.79L113.1 256h220.4l14.28 24.31c7.74 13.18 13.07 26.39 15.83 39.26C375.9 372.6 358.8 425.1 318.1 460.2z"],
    "snowplow": [640, 512, [], "f7d2", "M144 400C144 413.3 133.3 424 120 424C106.7 424 96 413.3 96 400C96 386.7 106.7 376 120 376C133.3 376 144 386.7 144 400zM176 400C176 386.7 186.7 376 200 376C213.3 376 224 386.7 224 400C224 413.3 213.3 424 200 424C186.7 424 176 413.3 176 400zM304 400C304 413.3 293.3 424 280 424C266.7 424 256 413.3 256 400C256 386.7 266.7 376 280 376C293.3 376 304 386.7 304 400zM336 400C336 386.7 346.7 376 360 376C373.3 376 384 386.7 384 400C384 413.3 373.3 424 360 424C346.7 424 336 413.3 336 400zM432 231.1V295.1H512V239.1C512 234 514.2 228.3 518.2 223.9L598.2 135.9C607.2 126 622.3 125.3 632.1 134.2C641.1 143.2 642.7 158.3 633.8 168.1L560 249.3V390.7L633.8 471.9C642.7 481.7 641.1 496.8 632.1 505.8C622.3 514.7 607.2 513.1 598.2 504.1L518.2 416.1C514.2 411.7 512 405.1 512 400V344H465C474.5 360.5 480 379.6 480 400C480 461.9 429.9 512 368 512H112C50.14 512 0 461.9 0 400C0 361.9 18.98 328.3 48 308.1V176C48 149.5 69.49 128 96 128H112V40C112 17.91 129.9 0 152 0H298.8C321.3 0 341.6 13.46 350.4 34.18L427.6 216.7C428.1 217.9 428.5 219.1 428.1 220.3C430.9 223.8 432 227.8 432 232V231.1zM298.8 47.1H160V133.6L219.5 207.1H371.8L306.2 52.88C304.9 49.92 302 47.1 298.8 47.1zM384 289.1V255.1H208C200.7 255.1 193.8 252.7 189.3 246.1L132.5 175.1H96V289.1C101.2 288.4 106.6 287.1 112 287.1H368C373.4 287.1 378.8 288.4 384 289.1zM48 400C48 435.3 76.65 464 112 464H368C403.3 464 432 435.3 432 400C432 364.7 403.3 336 368 336H112C76.65 336 48 364.7 48 400z"],
    "soap": [512, 512, [129532], "e06e", "M384 64c17.67 0 32-14.33 32-32c0-17.67-14.33-32-32-32s-32 14.33-32 32C352 49.67 366.3 64 384 64zM208 96C234.5 96 256 74.51 256 48S234.5 0 208 0S160 21.49 160 48S181.5 96 208 96zM416 192h-17.61C399.4 186.8 400 181.5 400 176C400 131.8 364.2 96 320 96S240 131.8 240 176c0 5.48 .5625 10.83 1.613 16H96C42.98 192 0 234.1 0 288v128c0 53.02 42.98 96 96 96h320c53.02 0 96-42.98 96-96V288C512 234.1 469 192 416 192zM320 144c17.64 0 32 14.36 32 32s-14.36 32-32 32s-32-14.36-32-32S302.4 144 320 144zM464 416c0 26.47-21.53 48-48 48H96c-26.47 0-48-21.53-48-48V288c0-26.47 21.53-48 48-48h176.9C286.2 249.8 302.3 256 320 256s33.79-6.227 47.06-16H416c26.47 0 48 21.53 48 48V416zM352 288H160c-35.35 0-64 28.65-64 64s28.65 64 64 64h192c35.35 0 64-28.65 64-64S387.3 288 352 288zM352 384H160c-17.64 0-32-14.36-32-32s14.36-32 32-32h192c17.64 0 32 14.36 32 32S369.6 384 352 384z"],
    "socks": [576, 512, [129510], "f696", "M480 0h-96c-35.35 0-64 28.65-64 64L320 260.3l-51.75 50c-43.72 34.88-57.06 97.34-31.03 145.3C256.4 490.9 290.8 512 329.4 512c23.33 0 45.44-7.844 63.94-22.69l97.98-78.25C524.3 384.8 544 343.1 544 299.5V64C544 28.65 515.3 0 480 0zM496 299.5c0 29.1-12.93 56.77-34.63 74.05l-98.07 78.32C353.3 459.9 341.9 464 329.4 464c-20.99 0-39.21-11.4-50.01-31.31c-14.84-27.34-6.594-64.61 18.78-84.85l1.781-1.42L368 280.7V144h128V299.5zM496 96h-128V64c0-8.822 7.178-16 16-16h96c8.822 0 16 7.178 16 16V96zM195.6 432.5l-24.29 19.4C161.3 459.9 149.9 464 137.4 464c-20.99 0-39.21-11.4-50.01-31.31c-14.84-27.34-6.594-64.61 18.78-84.85l1.781-1.42l68.04-65.74V144H288V96H176.1L176 64c0-8.822 7.178-16 16-16h96c.5508 0 1.018 .2598 1.553 .3145c2.766-16.67 9.881-31.7 20.07-44.3C302.9 1.561 295.6 0 288 0H192c-35.35 0-63.97 28.65-63.97 64v196.3l-51.75 50c-43.72 34.88-57.06 97.34-31.03 145.3C64.39 490.9 98.96 512 137.5 512c23.33 0 45.34-7.844 63.84-22.69l12.85-10.26c-1.719-2.734-3.586-5.322-5.15-8.205C202.5 458.7 198.4 445.7 195.6 432.5z"],
    "soft-serve": [384, 512, [127846, "creemee"], "e400", "M320 128V136C320 142.8 319.2 149.3 317.6 155.6C355.9 166.7 384 202.1 384 244C384 278.9 364.6 309.2 336 324.8V352C336 369.7 321.7 384 304 384H302.2L291.2 483.5C289.4 499.7 275.7 512 259.4 512H124.6C108.3 512 94.64 499.7 92.84 483.5L81.78 384H80C62.33 384 48 369.7 48 352V324.8C19.4 309.2 0 278.9 0 244C0 202.3 27.68 167.2 65.65 155.8C64.57 150.7 64 145.4 64 140C64 98.03 98.03 64 140 64H177.3C180.1 64 184 60.1 184 57.3C184 55.97 183.6 54.68 182.9 53.58L172 37.31C167.1 29.95 166.7 20.48 170.8 12.68C175 4.872 183.1 0 192 0C262.7 0 320 57.31 320 128H320zM292 288C316.3 288 336 268.3 336 244C336 219.7 316.3 200 292 200H216C202.7 200 191.1 189.3 191.1 176C191.1 162.7 202.7 152 216 152H267.7C270.5 147.3 272 141.8 272 136V128C272 98.38 255.9 72.52 231.1 58.69C231.2 88.26 207 112 177.3 112H139.1C124.5 112 111.1 124.5 111.1 140C111.1 144.4 112.1 148.5 114.8 152.2C126.7 153.5 135.1 163.7 135.1 176C135.1 189.3 125.3 200 111.1 200H91.1C67.7 200 47.1 219.7 47.1 244C47.1 268.3 67.7 288 91.1 288H292z"],
    "solar-panel": [640, 512, [], "f5ba", "M575.4 25.72C572.4 10.78 559.2 0 543.1 0H96c-15.25 0-28.39 10.78-31.38 25.72l-63.1 320c-1.891 9.406 .5469 19.16 6.625 26.56S22.41 384 32 384h263.1v80H215.6c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24H424c13.25 0 24-10.75 24-24c0-13.26-10.75-24-24-24h-80.04V384h264c9.594 0 18.67-4.312 24.75-11.72s8.516-17.16 6.625-26.56L575.4 25.72zM553.3 160h-115.5l-10.67-112h103.7L553.3 160zM389.7 160h-139.3l10.67-112h117.9L389.7 160zM109.1 48h103.7L202.2 160H86.72L109.1 48zM77.12 208h120.5l-12.19 128H51.52L77.12 208zM233.6 336l12.19-128h148.4l12.19 128H233.6zM454.6 336l-12.19-128h120.5l25.6 128H454.6z"],
    "solar-system": [512, 512, [], "e02f", "M255.1 192c-35.38 0-63.1 28.63-63.1 63.1c0 35.37 28.63 63.99 64 63.99S320 291.4 320 256C320 220.6 291.4 192 255.1 192zM256 272C247.2 272 240 264.8 240 256c0-8.838 7.164-16 16-16s16 7.162 16 16C272 264.8 264.8 272 256 272zM470.4 395.1c11.38 23.5 4.747 51.88-15.75 68.13s-49.5 16.12-69.87-.25s-26.75-44.62-15.37-68.24c11.5-23.5 37.74-36 63.24-30c49.75-80.24 40-187.1-29.5-256.7c-59.88-59.74-150-77.4-228-44.53C170.9 51.24 163.8 39.51 154.1 29.76c-2-2.125-4.402-3.626-6.527-5.374c97.5-45.1 213.3-25.75 289.5 50.62C524.3 162.2 535.4 296.6 470.4 395.1zM357.9 482.2c2 2.125 4.404 3.625 6.529 5.375c-97.5 45.1-213.3 25.75-289.4-50.62C-12.28 349.8-23.38 215.4 41.62 116C30.25 92.53 36.88 64.14 57.38 47.89c20.5-16.25 49.5-16.13 69.87 .25c20.38 16.37 26.75 44.62 15.37 68.24c-11.5 23.5-37.74 35.1-63.24 29.1c-49.75 80.24-40 187.1 29.5 256.7c59.88 59.74 150 77.4 228 44.53C341.1 460.8 348.2 472.5 357.9 482.2zM391.8 120.3c-16.62-16.62-42.01-17.62-60.76-4.743c-23.5-12.5-49.1-19.51-74.97-19.51c-72.38 0-135.8 48.63-154.5 118.6c-18.75 69.87 11.75 143.7 74.5 179.1c62.75 36.12 142 25.75 193.1-25.49c51-50.1 59.62-127.6 27.37-188.1C409.4 162.3 408.4 136.9 391.8 120.3zM335.2 335.2c-40.88 41.62-106.9 45.01-151.9 7.891S129.3 240.5 162.5 192.5c33.13-47.1 97.49-62.6 148.2-33.73c1 10.75 5.011 21.23 13.14 29.35c8.125 8.123 18.63 12.13 29.26 13.13C377.1 244 371.5 298.9 335.2 335.2z"],
    "sort": [320, 512, ["unsorted"], "f0dc", "M271.1 288H48.15c-42.62 0-64.24 51.76-33.87 81.9l111.9 112c18.62 18.75 49.12 18.75 67.86 0l111.1-112C335.1 339.8 314.7 288 271.1 288zM160 448l-111.1-112h223.1L160 448zM48.02 223.1h223.8c42.62 0 64.24-51.76 33.87-81.9L193.9 30.07c-18.62-18.75-49.12-18.75-67.86 0l-111.1 112C-15.96 172.2 5.281 223.1 48.02 223.1zM160 63.97l111.1 112H48.02L160 63.97z"],
    "sort-down": [320, 512, ["sort-desc"], "f0dd", "M271.1 288H48.08c-42.63 0-64.25 51.77-33.88 81.9l111.9 112c18.63 18.76 49.13 18.76 67.88 0l112-112C335.1 339.8 314.7 288 271.1 288zM159.1 448l-112-112H271.1L159.1 448z"],
    "sort-up": [320, 512, ["sort-asc"], "f0de", "M48.03 224h223.9c42.63 0 64.25-51.77 33.88-81.9l-111.9-112c-18.63-18.76-49.13-18.76-67.88 0L14.03 142.1C-15.97 172.2 5.282 224 48.03 224zM160 63.98l112 112H48.03L160 63.98z"],
    "spa": [576, 512, [], "f5bb", "M568.3 192C546.9 192.2 483.8 195.6 420.5 228c-26.62-78.25-69.25-146.5-121.7-192.2C295.9 33.25 291.9 32 288 32S280.2 33.25 277.2 35.75C224.8 81.5 182.1 149.8 155.5 228C92.25 195.6 29.12 192.2 7.75 192C3.375 192 0 195.4 0 199.9c.25 27.88 7.125 126.2 88.75 199.3C171 479.1 252.4 480 285.9 480h4.438c33.5 0 114.8-.9755 196.9-80.85C568.9 326 575.8 227.7 576 199.9C576 195.4 572.6 192 568.3 192zM122.2 364.8L121.5 364l-.75-.625c-42.38-38-60.13-84.38-67.63-119.3C92 250.8 145.1 267.5 188.1 309.4l.75 .75l.75 .625c23.5 21.12 41.13 46.37 54 77.5l17.75 43C227.6 428.6 175.8 416.9 122.2 364.8zM288 369.9c-13-31.63-33.25-65.25-66.38-94.87c-8-7.75-16.25-14.28-24.62-20.65C217 190.5 248.8 133.6 288 92c39.25 41.62 71 98.5 91 162.4c-8.375 6.375-16.62 12.9-24.62 20.65C321.2 304.7 301 338.3 288 369.9zM455.2 363.4L454.5 364l-.75 .75c-53.63 52.25-105.5 63.87-139.3 66.5l17.88-43c12.87-31.12 30.5-56.37 54-77.5l.75-.625l.75-.75c43-41.88 96.25-58.62 135-65.25C515.4 279 497.6 325.4 455.2 363.4z"],
    "space-station-moon": [512, 512, [], "e033", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 48C239.5 48 223.5 49.91 208.2 53.52C245.4 66.75 272 102.3 272 144C272 197 229 240 176 240C123.3 240 80.59 197.6 80.01 145.1C59.73 177.2 48 215.2 48 256C48 268.8 49.15 281.2 51.35 293.4C51.83 293.5 52.32 293.7 52.81 293.9C87.74 306.5 147.6 328 256 328C364.4 328 424.3 306.5 459.2 293.9C459.7 293.7 460.2 293.5 460.7 293.4C462.9 281.2 464 268.8 464 256C464 141.1 370.9 48 256 48V48zM441.3 350.7C402.1 362.7 343 376 256 376C168.9 376 109.9 362.7 70.74 350.7C105.2 417.9 175.2 464 256 464C336.8 464 406.8 417.9 441.3 350.7V350.7zM176 192C202.5 192 224 170.5 224 144C224 117.5 202.5 96 176 96C149.5 96 128 117.5 128 144C128 170.5 149.5 192 176 192z"],
    "space-station-moon-construction": [512, 512, ["space-station-moon-alt"], "e034", "M272 144C272 197 229 240 175.1 240C123.3 240 80.59 197.6 80.01 145.1C59.73 177.2 47.1 215.2 47.1 256C47.1 268.8 49.15 281.2 51.34 293.4L52.81 293.9C87.73 306.5 147.6 328 255.1 328C364.4 328 424.3 306.5 459.2 293.9L459.1 293.6C462.7 281.6 464 269.4 464 257.1V256C464 242.7 474.7 232 488 232C501.3 232 512 242.7 512 256V257.1C512 277.2 509.2 297.2 503.7 316.4L503.1 318.6C500.9 326.2 495.1 332.3 487.6 334.8C483.9 336 479.6 337.5 474.9 339.2C439.2 352.1 372.9 376 255.1 376C168.9 376 109.9 362.7 70.74 350.7C105.2 417.9 175.2 464 255.1 464C322.1 464 380.1 433.2 419.1 385.1C427.3 374.7 442.4 372.1 452.8 381.2C463.2 389.4 464.1 404.5 456.7 414.9C409.9 474 337.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C345.2 0 423.7 45.65 469.5 114.7C474.4 122.1 474.9 131.6 470.7 139.4C466.5 147.1 458.4 152 449.5 152H368C354.7 152 344 141.3 344 128C344 114.7 354.7 104 368 104H397.1C360.8 69.24 310.9 48 256 48C239.5 48 223.5 49.91 208.2 53.52C245.4 66.75 272 102.3 272 144L272 144zM175.1 96C149.5 96 127.1 117.5 127.1 144C127.1 170.5 149.5 192 175.1 192C202.5 192 223.1 170.5 223.1 144C223.1 117.5 202.5 96 175.1 96zM424 184C437.3 184 448 194.7 448 208C448 221.3 437.3 232 424 232H376C362.7 232 352 221.3 352 208C352 194.7 362.7 184 376 184H424z"],
    "spade": [512, 512, [9824], "f2f4", "M233.5 9.74C245.5-3.247 266.4-3.247 279.4 9.74L472.2 209.5C528.1 267.5 525.1 363.4 463.2 417.3C412.5 459.9 340.4 456.5 290.2 417.5C286.7 414.8 283.3 411.9 280 408.8V464H328C341.3 464 352 474.7 352 488C352 501.3 341.3 512 328 512H184C170.7 512 160 501.3 160 488C160 474.7 170.7 464 184 464H232V408.7C228.9 411.6 225.6 414.4 222.2 417.1C171.8 456.4 98.77 460 49.7 417.3C-13.23 363.4-16.22 267.5 39.71 209.5L233.5 9.74zM437.6 242.9L256.4 55.03L74.24 242.9L74.21 242.9C37.21 281.3 39.31 345.2 80.94 380.9L81.21 381.1C113.2 408.1 167.2 406.2 201.1 370.1L221.7 350.3C230.9 340.6 243.7 335.2 257.1 335.4C270.4 335.5 283.1 341.3 292 351.2L310.3 371.4C344.6 405.8 397.6 409.4 432 380.8C472.6 345.1 474.6 281.2 437.6 242.9L437.6 242.9z"],
    "spaghetti-monster-flying": [640, 512, ["pastafarianism"], "f67b", "M624.5 347.7c-32.63-12.38-57.38 4.366-75.38 16.49c-17.12 11.5-23.13 14.37-31.38 11.37c-8.125-3.125-10.75-9.358-15.88-29.36c-3.375-13.12-7.375-29.47-18-42.72c2.25-3 4.5-5.875 6.375-8.625C500.5 304.5 513.8 312 532 312c33.1 0 50.88-25.75 61.1-42.88C604.6 253 609 248 616 248C629.3 248 640 237.2 640 224s-10.75-24-24-24c-34 0-50.87 25.75-62 42.88C543.4 259 539 264 532 264c-17.88 0-39.63-66.75-103.9-106.5l15-30C444.8 127.6 446.4 127.9 448 127.9c35.38 0 64-28.54 64-63.92S483.4 0 448 0s-64 28.6-64 63.97c0 16.25 6.25 30.78 16.12 42.15l-15.88 31.63C365.2 131.8 344.1 128 320 128S274.8 131.8 255.8 137.8L239.9 106.1C249.8 94.75 256 80.22 256 63.97C256 28.6 227.4 0 192 0S128 28.6 128 63.97s28.62 63.92 64 63.92c1.625 0 3.25-.267 4.875-.392L212 157.5C148.4 196.9 125.5 264 108 264c-6.875 0-11.44-5-21.94-21.12C74.81 225.8 57.1 200 24 200C10.75 200 0 210.8 0 224s10.75 24 24 24c7 0 11.38 5 21.1 21.12C57.13 286.2 73.1 312 108 312c18.25 0 31.5-7.5 41.75-17.12C151.6 297.6 153.9 300.5 156.1 303.5c-10.5 13.25-14.62 29.59-18 42.72c-5 20-7.75 26.23-15.88 29.36c-8.125 3-14.37 .1314-31.37-11.37c-18-12.12-42.75-28.87-75.38-16.49c-12.38 4.75-18.62 18.61-13.88 30.98C6.375 391.1 20.25 397.3 32.5 392.6C40.75 389.6 46.88 392.4 64 403.9c13.5 9.125 30.75 20.86 52.38 20.86c7.125 0 14.87-1.248 23-4.373c32.62-12.5 40-41.34 45.25-62.46c2.25-8.75 4-14.49 6-18.86c16.62 13.62 36.88 25.86 61.63 34.23C242.3 410.3 220.1 464 192 464c-13.25 0-24 10.74-24 23.99S178.8 512 192 512c66.75 0 97-88.55 107.4-129.1C306.1 383.6 312.9 384 320 384s13.88-.4706 20.62-1.096C351 423.4 381.2 512 448 512c13.25 0 24-10.74 24-23.99S461.2 464 448 464c-28 0-50.25-53.62-60.25-90.74c24.75-8.25 45-20.56 61.63-34.19c2 4.375 3.75 10.11 6 18.86c5.25 21.12 12.62 49.96 45.25 62.46c8.125 3.125 15.88 4.373 23 4.373c21.62 0 38.96-11.74 52.46-20.86c17.12-11.5 23.17-14.49 31.42-11.37c12.38 4.75 26.12-1.492 30.88-13.87C643.1 366.3 636.9 352.5 624.5 347.7zM448 47.98c8.75 0 16 7.118 16 15.99s-7.25 16-16 16c-8.875 0-16-7.125-16-16S439.1 47.98 448 47.98zM192 79.97c-8.75 0-16-7.125-16-16S183.2 47.98 192 47.98c8.875 0 16 7.118 16 15.99S200.9 79.97 192 79.97zM320 336c-80.62 0-122.1-52.13-138.5-80C197.1 228 239.5 176 320 176c80.63 0 122.1 52.12 138.5 80C441.1 284 400.5 336 320 336z"],
    "sparkles": [512, 512, [10024], "f890", "M327.5 85.19L384 64L405.2 7.491C406.9 2.985 411.2 0 416 0C420.8 0 425.1 2.985 426.8 7.491L448 64L504.5 85.19C509 86.88 512 91.19 512 96C512 100.8 509 105.1 504.5 106.8L448 128L426.8 184.5C425.1 189 420.8 192 416 192C411.2 192 406.9 189 405.2 184.5L384 128L327.5 106.8C322.1 105.1 320 100.8 320 96C320 91.19 322.1 86.88 327.5 85.19V85.19zM176 73.29C178.6 67.63 184.3 64 190.6 64C196.8 64 202.5 67.63 205.1 73.29L257.8 187.3L371.8 240C377.5 242.6 381.1 248.3 381.1 254.6C381.1 260.8 377.5 266.5 371.8 269.1L257.8 321.8L205.1 435.8C202.5 441.5 196.8 445.1 190.6 445.1C184.3 445.1 178.6 441.5 176 435.8L123.3 321.8L9.292 269.1C3.627 266.5 0 260.8 0 254.6C0 248.3 3.627 242.6 9.292 240L123.3 187.3L176 73.29zM166.9 207.5C162.1 217.8 153.8 226.1 143.5 230.9L92.32 254.6L143.5 278.2C153.8 282.1 162.1 291.3 166.9 301.6L190.6 352.8L214.2 301.6C218.1 291.3 227.3 282.1 237.6 278.2L288.8 254.6L237.6 230.9C227.3 226.1 218.1 217.8 214.2 207.5L190.6 156.3L166.9 207.5zM405.2 327.5C406.9 322.1 411.2 320 416 320C420.8 320 425.1 322.1 426.8 327.5L448 384L504.5 405.2C509 406.9 512 411.2 512 416C512 420.8 509 425.1 504.5 426.8L448 448L426.8 504.5C425.1 509 420.8 512 416 512C411.2 512 406.9 509 405.2 504.5L384 448L327.5 426.8C322.1 425.1 320 420.8 320 416C320 411.2 322.1 406.9 327.5 405.2L384 384L405.2 327.5z"],
    "speaker": [384, 512, [], "f8df", "M320 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h256c35.35 0 64-28.65 64-64V64C384 28.65 355.3 0 320 0zM336 448c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V64c0-8.822 7.178-16 16-16h256c8.822 0 16 7.178 16 16V448zM192 160c22.09 0 40-17.91 40-40S214.1 80 192 80S152 97.91 152 120S169.9 160 192 160zM192 224c-57.44 0-104 46.56-104 104S134.6 432 192 432s104-46.56 104-104S249.4 224 192 224zM192 384c-30.88 0-56-25.12-56-56C136 297.1 161.1 272 192 272s56 25.12 56 56C248 358.9 222.9 384 192 384z"],
    "speakers": [640, 512, [], "f8e0", "M456 160c22.09 0 40-17.91 40-40S478.1 80 456 80S416 97.91 416 120S433.9 160 456 160zM576 0h-240c-35.35 0-64 28.65-64 64v384c0 35.35 28.65 64 64 64H576c35.35 0 64-28.65 64-64V64C640 28.65 611.3 0 576 0zM592 448c0 8.822-7.178 16-16 16h-240c-8.822 0-16-7.178-16-16V64c0-8.822 7.178-16 16-16H576c8.822 0 16 7.178 16 16V448zM456 224C398.6 224 352 270.6 352 328s46.56 104 104 104s104-46.56 104-104S513.4 224 456 224zM456 384c-30.88 0-56-25.12-56-56c0-30.88 25.12-56 56-56S512 297.1 512 328C512 358.9 486.9 384 456 384zM184 80C161.9 80 144 97.91 144 120S161.9 160 184 160S224 142.1 224 120S206.1 80 184 80zM184 272C199.7 272 213.8 278.5 224 288.9V232.3C211.7 227.1 198.2 224 184 224C126.6 224 80 270.6 80 328s46.56 104 104 104c14.24 0 27.67-3.115 40-8.346v-56.58C213.8 377.5 199.7 384 184 384C153.1 384 128 358.9 128 328C128 297.1 153.1 272 184 272zM264.1 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h200.1c-11.94-13.24-20.25-29.67-23.35-48H64c-8.822 0-16-7.178-16-16V64c0-8.822 7.178-16 16-16h177.6C244.7 29.67 253 13.24 264.1 0z"],
    "spell-check": [576, 512, [], "f891", "M569.3 279.4c-9.186-9.533-24.37-9.877-33.94-.6875l-183 175.7l-87.37-87.38c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94l103.1 104c4.688 4.688 10.81 7.039 16.97 7.039c6 0 11.97-2.226 16.62-6.695l199.1-192C578.2 304.1 578.5 288.9 569.3 279.4zM280 256h92C413.9 256 448 221.9 448 180c0-24.6-11.94-46.28-30.12-60.18C426.7 107.4 432 92.35 432 76C432 34.09 397.9 0 356 0H280C266.8 0 256 10.75 256 24v208C256 245.3 266.8 256 280 256zM304 48h52C371.4 48 384 60.56 384 76S371.4 104 356 104H304V48zM304 152h68c15.44 0 28 12.56 28 28S387.4 208 372 208H304V152zM222.1 222.7l-87.99-208c-7.5-17.75-36.68-17.75-44.18 0l-87.99 208C-3.271 234.8 2.445 248.9 14.66 254.1C26.79 259.4 40.94 253.6 46.1 241.3L56.82 216h110.4l10.72 25.34C181.8 250.5 190.7 256 199.1 256C203.1 256 206.3 255.4 209.3 254.1C221.6 248.9 227.3 234.8 222.1 222.7zM77.13 168L112 85.59L146.9 168H77.13z"],
    "spider": [576, 512, [128375], "f717", "M566.7 407.1l-31.1-94.81c-2.25-6.656-7.312-11.1-13.84-14.59l-104.3-41.72l104.3-41.72c6.593-2.625 11.69-8.031 13.91-14.78l31.1-97.31c4.125-12.59-2.719-26.15-15.31-30.31c-12.72-4.125-26.16 2.75-30.31 15.31l-28.5 86.68l-70.15 28.06l44.65-59.53c4.25-5.656 5.781-12.91 4.187-19.81l-23.1-103.1c-2.969-12.91-15.84-21.06-28.78-17.97c-12.91 2.969-20.97 15.84-17.97 28.78l21.47 93.12l-38.09 50.8V160.1c0-29.98-13.64-59.27-36.49-78.34c-8.716-7.277-19.63-11.15-30.76-11.15c-3.64 0-7.304 .414-10.92 1.26c-6.631 1.551-12.76 4.467-18.05 8.47C282.1 75.96 275.5 72.88 268.3 71.4c-3.224-.6679-6.478-.9941-9.71-.9941c-11.74 0-23.2 4.308-32.09 12.31c-21.6 19.42-34.5 48.34-34.5 77.34v13.3L153.9 122.6l21.47-93.12C178.4 16.5 170.3 3.625 157.4 .656c-12.75-3.062-25.81 5.031-28.78 17.97L104.6 122.6c-1.594 6.906-.0625 14.16 4.187 19.81l44.65 59.53L83.32 173.9L54.82 87.21C50.67 74.65 37.26 67.78 24.51 71.9C11.92 76.06 5.076 89.62 9.201 102.2l31.1 97.31C43.42 206.3 48.51 211.7 55.1 214.3l104.3 41.72L55.1 297.7c-6.531 2.594-11.59 7.937-13.84 14.59l-31.1 94.81c-4.219 12.56 2.531 26.19 15.06 30.44c2.562 .8437 5.156 1.25 7.687 1.25c10.03 0 19.37-6.312 22.75-16.31l28.44-84.34l70.28-28.11l-44.66 59.54c-4.25 5.656-5.781 12.91-4.187 19.81l23.1 103.1C131.2 504.5 141.1 512 151.1 512c1.781 0 3.625-.1875 5.437-.625C170.3 508.4 178.4 495.5 175.4 482.6l-21.47-93.12l10.17-13.56C182.3 427.1 230.7 464 288 464s105.7-36.94 123.9-88.1l10.17 13.56l-21.47 93.12c-2.1 12.94 5.062 25.81 17.97 28.78C420.4 511.8 422.2 512 424 512c10.91 0 20.78-7.5 23.34-18.59l23.1-103.1c1.594-6.906 .0625-14.16-4.187-19.81l-44.66-59.54l70.28 28.11l28.44 84.34c3.375 9.999 12.72 16.31 22.75 16.31c2.531 0 5.125-.4062 7.687-1.25C564.2 433.3 570.1 419.7 566.7 407.1zM288 416c-46.31 0-83.1-37.68-83.1-83.99c0-23.75 9.968-45.81 28.12-62.15l2.625-2.375C238.1 264.5 240 260.2 240 255.6V160c0-15.75 7.437-31.62 18.59-41.65l14.87 32.34C276.1 156.4 281.8 160 288 160c6.281-.0625 12.09-3.781 14.62-9.531l14.12-31.97c11.53 9.624 19.25 25.43 19.25 41.5V255.6c0 4.531 1.906 8.843 5.25 11.87l2.656 2.375c18.12 16.34 28.09 38.4 28.09 62.15C371.1 378.3 334.3 416 288 416z"],
    "spider-black-widow": [576, 512, [], "f718", "M566.7 407.1l-31.1-94.81c-2.25-6.656-7.312-12-13.84-14.59l-104.3-41.71l104.3-41.72c6.594-2.625 11.69-8.031 13.91-14.78l31.1-97.31c4.125-12.59-2.719-26.15-15.31-30.31c-12.72-4.123-26.16 2.75-30.31 15.31l-28.5 86.68l-70.14 28.06l44.65-59.53c4.25-5.656 5.781-12.9 4.188-19.81l-24-103.1c-2.969-12.91-15.84-21.06-28.78-17.97c-12.91 2.969-20.97 15.84-17.97 28.78l21.47 93.12l-38.09 50.8V160.1c0-29.98-13.64-59.27-36.49-78.34c-8.717-7.277-19.63-11.15-30.76-11.15c-3.641 0-7.305 .4141-10.92 1.26c-6.631 1.551-12.76 4.467-18.05 8.471C282.1 75.96 275.5 72.88 268.3 71.4c-3.223-.668-6.477-.9941-9.709-.9941c-11.74 0-23.2 4.309-32.09 12.31c-21.6 19.42-34.5 48.34-34.5 77.34v13.3L153.9 122.6l21.47-93.12c3-12.94-5.062-25.81-17.97-28.78c-12.75-3.062-25.81 5.029-28.78 17.97l-24 103.1C103 129.5 104.6 136.8 108.8 142.4l44.65 59.53L83.32 173.9l-28.5-86.68C50.67 74.65 37.26 67.78 24.51 71.9C11.92 76.06 5.076 89.62 9.201 102.2l31.1 97.31c2.219 6.75 7.312 12.16 13.91 14.78l104.3 41.72L55.11 297.7C48.57 300.3 43.51 305.7 41.26 312.3l-31.1 94.81c-4.219 12.56 2.531 26.19 15.06 30.44c2.562 .8438 5.154 1.25 7.686 1.25c10.03 0 19.38-6.312 22.75-16.31l28.44-84.34l70.28-28.11l-44.66 59.54c-4.25 5.656-5.781 12.91-4.188 19.81l24 103.1C131.2 504.5 141.1 512 151.1 512c1.781 0 3.625-.1875 5.438-.625c12.91-2.969 20.97-15.84 17.97-28.78l-21.47-93.12l10.17-13.56C182.3 427.1 230.7 464 288 464s105.7-36.94 123.9-88.1l10.17 13.56l-21.47 93.12c-3 12.94 5.062 25.81 17.97 28.78C420.4 511.8 422.2 512 424 512c10.9 0 20.78-7.5 23.34-18.59l24-103.1c1.594-6.906 .0625-14.16-4.188-19.81l-44.66-59.54l70.28 28.11l28.44 84.34c3.375 9.998 12.72 16.31 22.75 16.31c2.531 0 5.125-.4062 7.688-1.25C564.2 433.3 570.1 419.7 566.7 407.1zM288 416c-46.31 0-83.1-37.68-83.1-83.99c0-23.75 9.97-45.81 28.12-62.15l2.625-2.375c3.344-3.031 5.25-7.343 5.25-11.87v-95.58c0-15.75 7.438-31.62 18.59-41.65l14.87 32.34C276.1 156.4 281.8 160 288 160c6.281-.0625 12.09-3.781 14.62-9.531l14.12-31.97c11.53 9.625 19.25 25.43 19.25 41.5v95.58c0 4.531 1.906 8.843 5.25 11.87l2.656 2.375c18.12 16.34 28.09 38.4 28.09 62.15C371.1 378.3 334.3 416 288 416zM320.1 288H255.9C249.2 288 245.5 295.5 249.5 300.8L275.1 336l-26.46 35.25C245.5 376.5 249.2 384 255.9 384h64.2c6.65 0 10.41-7.5 6.395-12.75L300 336l26.46-35.25C330.5 295.5 326.8 288 320.1 288z"],
    "spider-web": [576, 512, [128376], "f719", "M137.5 23.57C141.6 12.66 152.1 6.261 164.4 8.41L233.5 21.35C269.5 28.11 306.5 28.11 342.6 21.35L411.6 8.41C423 6.262 434.4 12.66 438.5 23.57L467.4 100.8C479.1 131.9 495.9 160.8 517.2 186.3L562.4 240.6C569.9 249.5 569.9 262.5 562.4 271.4L517.2 325.7C495.9 351.2 479.1 380.1 467.4 411.2L438.5 488.4C434.4 499.3 423 505.7 411.6 503.6L342.6 490.6C306.5 483.9 269.5 483.9 233.5 490.6L164.4 503.6C152.1 505.7 141.6 499.3 137.5 488.4L108.6 411.2C96.92 380.1 80.09 351.2 58.82 325.7L13.56 271.4C6.146 262.5 6.146 249.5 13.56 240.6L58.82 186.3C80.09 160.8 96.92 131.9 108.6 100.8L137.5 23.57zM164.5 88.29L153.5 117.6C139.1 153.8 120.4 187.4 95.7 217.1L83.24 231.1H133.1C156.5 204.4 174.8 172.8 186.8 138.6L189.3 131.6L164.5 88.29zM206.6 65.15L230.5 107.1C268.3 116.6 307.7 116.6 345.5 107.1L369.4 65.15L351.4 68.53C309.5 76.39 266.5 76.39 224.6 68.53L206.6 65.15zM411.5 88.29L386.7 131.6L389.2 138.6C401.2 172.8 419.5 204.4 442.9 231.1H492.8L480.3 217.1C455.6 187.4 436 153.8 422.5 117.6L411.5 88.29zM492.8 279.1H442.1C419.3 308.1 401.1 340.4 389.3 375.3L387.3 381.3L411.5 423.7L422.5 394.4C436 358.2 455.6 324.6 480.3 294.9L492.8 279.1zM369.4 446.8L347.3 408.1C309.4 396.4 268.1 395.3 230.5 404.9L206.6 446.8L224.6 443.5C266.5 435.6 309.5 435.6 351.4 443.5L369.4 446.8zM164.5 423.7L189.3 380.4L186.8 373.4C174.8 339.2 156.5 307.6 133.1 279.1H83.24L95.7 294.9C120.4 324.6 139.1 358.2 153.5 394.4L164.5 423.7zM193.2 279.1C203.3 294.1 212.1 310.7 219.7 327.1L246.6 279.1H193.2zM261.1 351.4C279.2 349.9 297.4 350.2 315.5 352.4L288 304.4L261.1 351.4zM356.6 327.7C364.2 311.1 373 295.2 383.1 279.1H329.4L356.6 327.7zM382.8 231.1C372.7 217 363.9 201.3 356.3 184.9L329.4 231.1H382.8zM314.7 160.1C296.9 162.6 279.1 162.6 261.3 160.1L288 207.6L314.7 160.1zM219.7 184.9C212.1 201.3 203.3 217 193.2 231.1H246.6L219.7 184.9z"],
    "spinner": [512, 512, [], "f110", "M288 32C288 49.67 273.7 64 256 64C238.3 64 224 49.67 224 32C224 14.33 238.3 0 256 0C273.7 0 288 14.33 288 32zM288 480C288 497.7 273.7 512 256 512C238.3 512 224 497.7 224 480C224 462.3 238.3 448 256 448C273.7 448 288 462.3 288 480zM480 224C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288C462.3 288 448 273.7 448 256C448 238.3 462.3 224 480 224zM32 288C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224C49.67 224 64 238.3 64 256C64 273.7 49.67 288 32 288zM74.98 391.8C87.48 379.3 107.7 379.3 120.2 391.8C132.7 404.3 132.7 424.5 120.2 437C107.7 449.5 87.48 449.5 74.98 437C62.48 424.5 62.48 404.3 74.98 391.8zM391.8 437C379.3 424.5 379.3 404.3 391.8 391.8C404.3 379.3 424.5 379.3 437 391.8C449.5 404.3 449.5 424.5 437 437C424.5 449.5 404.3 449.5 391.8 437zM120.2 74.98C132.7 87.48 132.7 107.7 120.2 120.2C107.7 132.7 87.48 132.7 74.98 120.2C62.48 107.7 62.48 87.48 74.98 74.98C87.48 62.49 107.7 62.49 120.2 74.98z"],
    "spinner-third": [576, 512, [], "f3f4", "M264 24C264 10.75 274.7 0 288 0C429.4 0 544 114.6 544 256C544 302.6 531.5 346.4 509.7 384C503.1 395.5 488.4 399.4 476.9 392.8C465.5 386.2 461.5 371.5 468.2 360C485.9 329.4 496 293.9 496 255.1C496 141.1 402.9 47.1 288 47.1C274.7 47.1 264 37.25 264 23.1V24z"],
    "split": [512, 512, [], "e254", "M504.1 367c9.375 9.375 9.375 24.56 0 33.94l-80 80C420.3 485.7 414.2 488 408 488s-12.28-2.344-16.97-7.031c-9.375-9.375-9.375-24.56 0-33.94L430.1 408H320c-6.375 0-12.47-2.531-16.97-7.031L182.1 280H24C10.75 280 0 269.3 0 256s10.75-24 24-24h158.1l120.1-120.1C307.5 106.5 313.6 104 320 104h110.1l-39.03-39.03c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0l80 80c9.375 9.375 9.375 24.56 0 33.94l-80 80C420.3 229.7 414.2 232 408 232s-12.28-2.344-16.97-7.031c-9.375-9.375-9.375-24.56 0-33.94L430.1 152h-100.1l-104 104l104 104h100.1l-39.03-39.03c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0L504.1 367z"],
    "splotch": [512, 512, [], "f5bc", "M87.81 451.9L78.65 404.8L145.7 391.8C154.2 390.1 162.9 389.3 171.6 389.3H180C212.3 389.3 243.4 400.7 268 421.6L313 459.8C316.2 462.5 320.2 463.9 324.4 463.9C334.5 463.9 342.5 455.4 341.9 445.3L338.8 394.7C336.8 361.6 351.8 329.7 378.6 310.2L461.1 250C462.9 248.7 464 246.5 464 244.2C464 241.2 462.1 238.5 459.3 237.5L401.1 216.3C362 202 332.3 169.6 321.6 129.4L302.9 59.8C301.1 52.87 294.8 48.06 287.6 48.06C282.7 48.06 278.1 50.31 275.1 54.16L243.7 94.44C216.1 129.1 172.6 149.5 127.7 146.6L55.96 141.9C54.13 141.8 52.32 142.3 50.88 143.5C47.81 145.9 47.07 150.2 49.17 153.4L93.65 222.6C105.7 241.3 112.1 263.1 112.1 285.4C112.1 305.6 106.8 325.5 96.79 343L87.81 451.9zM55.11 319.2C60.99 308.9 64.09 297.3 64.09 285.4C64.09 272.3 60.33 259.6 53.27 248.6L8.796 179.4C-6.738 155.2-1.267 123.2 21.41 105.6C32.12 97.25 45.52 93.13 59.07 94.01L130.8 98.66C159.8 100.5 187.1 87.91 205.9 64.93L237.3 24.66C249.4 9.133 267.9 .0566 287.6 .0566C316.5 .0566 341.8 19.47 349.3 47.38L367.9 116.1C374.6 142.1 393.2 162.3 417.6 171.2L475.8 192.4C497.5 200.3 512 221 512 244.2C512 261.8 503.6 278.4 489.4 288.8L406.9 348.1C393.3 358.9 385.7 374.1 386.7 391.8L389.8 442.4C392.1 480.1 362.2 511.9 324.4 511.9C308.8 511.9 293.8 506.4 281.1 496.4L236.1 458.2C221.1 444.7 200.9 437.3 180 437.3H171.6C165.1 437.3 160.4 437.8 154.8 438.9L87.81 451.9C63.82 456.6 39.53 445.5 27.41 424.3C17.39 406.7 17.39 385.2 27.41 367.7L55.11 319.2zM96.79 343L69.08 391.5C67.5 394.3 67.5 397.7 69.08 400.4C71 403.8 74.85 405.6 78.65 404.8L87.81 451.9L96.79 343zM87.81 451.9L96.79 343L87.81 451.9zM28.53 423.6L69.08 400.4L28.53 423.6zM27.7 367.8L69.08 391.5z"],
    "spoon": [512, 512, [61873, 129348, "utensil-spoon"], "f2e5", "M449.5 242.1C437.7 255.7 423.3 266.7 407.1 274.6C390.1 282.5 373.4 287.1 355.4 288C350.7 288 346.1 287.7 341.4 287C320.9 283.4 301.9 273.6 287 258.9L40.96 504.1C38.76 507.3 36.11 509.2 33.17 510.5C30.23 511.8 27.05 512.5 23.83 512.6C20.6 512.7 17.4 512.1 14.41 510.9C11.43 509.6 8.711 507.8 6.432 505.6C4.153 503.3 2.356 500.6 1.149 497.6C-.0579 494.6-.6509 491.4-.5939 488.2C-.537 484.1 .1683 481.8 1.48 478.8C2.792 475.9 4.683 473.2 7.041 471L253.2 224.1C238.5 210.1 228.7 191.1 225.1 170.6C223.3 150.3 226.5 129.8 234.3 111C242.1 92.21 254.3 75.55 269.9 62.47C305.5 24.74 354.3 2.34 406.1 .0012C420.2-.4567 434.2 1.903 447.3 6.943C460.5 11.98 472.5 19.6 482.7 29.35C532.3 78.95 517.4 174.2 449.5 242.1zM448.8 63.33C437.2 52.85 421.9 47.36 406.2 48.07C367.1 50.47 330.5 67.79 303.8 96.45C293.7 104.5 285.6 114.8 280.2 126.5C274.7 138.2 272.1 150.1 272.5 163.9C275.2 175.1 281.5 186.9 290.7 195.2L316.9 221.3C325.2 230.5 336.1 236.8 348.2 239.5C350.6 239.8 352.1 240 355.4 240C378.9 237.7 400.5 226.3 415.6 208.2C463 160.8 478.5 93.06 448.8 63.33z"],
    "sportsball": [512, 512, [], "e44b", "M17.95 296.7C17.95 296.7 17.95 296.7 17.95 296.7C19.99 280.9 22.9 265.1 26.8 249.3C26.8 249.3 26.8 249.3 26.8 249.3C35.03 216.1 47.69 183.5 66.04 153.6C72.71 142.7 80.1 132.2 88.28 122.2C98.26 109.1 109.4 98.48 121.8 87.85C145.9 67.15 174.8 49.81 208.9 37.15C221.6 32.42 235.1 28.36 249.2 25.03C249.2 25.03 249.2 25.03 249.2 25.03C264.2 21.49 280 18.76 296.6 16.91C296.6 16.91 296.6 16.9 296.6 16.91C343 11.73 395.7 13.33 455.2 22.81C457.3 23.14 459.4 23.48 461.5 23.83C466.4 24.64 470.9 26.56 474.8 29.31C475.6 29.89 476.3 30.5 477.1 31.14C482.3 35.65 486.1 41.84 487.6 48.92C505.1 133.7 506.2 260.2 445.1 358.4C415.3 408.4 369.1 450.4 303.1 474.9C237.6 499.2 154.4 505.5 50.51 488.2C45.04 487.3 40.04 484.1 35.88 481.7C30.13 477.1 25.99 470.6 24.44 463.1C23.91 460.5 23.39 457.8 22.88 455.2C14.32 409.8 10.57 353.7 17.95 296.7L17.95 296.7zM446.1 98.98L377.2 168.8C397.7 185.2 421.2 197.9 446.8 205.1C451.3 169.2 450.7 132.4 446.1 98.98L446.1 98.98zM438 253.5C402.7 243.2 370.5 225.8 343.1 202.9L289.9 255.1L389.6 355.6C395.2 348.5 400.3 340.1 405 333.3C420.1 308.7 430.8 281.5 438 253.5V253.5zM356.1 390.1L255.1 289.9L202.9 343.1C226.2 370.1 243.8 403.8 253.1 439.7C265.4 436.9 276.2 433.6 286.4 429.8C313.7 419.7 336.8 406.2 356.1 390.1V390.1zM206.3 447.8C198.2 421.8 185.4 397.9 168.8 377.2L99.44 446.5C139.3 450.8 174.8 451 206.3 447.8V447.8zM65.05 413L134.8 343.2C114.3 326.8 90.78 314.1 65.17 305.1C60.68 342.8 61.26 379.6 65.05 413H65.05zM74 258.5C109.3 268.8 141.5 286.2 168.9 309.1L222.1 255.1L122.4 156.4C116.8 163.5 111.7 171 106.1 178.7C91.86 203.3 81.16 230.5 73.1 258.5H74zM155.9 121.9L255.1 222.1L309.1 168.9C285.8 141 268.2 108.2 258 72.28C246.6 75.07 235.8 78.38 225.6 82.15C198.3 92.27 175.3 105.8 155.9 121.9V121.9zM305.7 64.21C313.8 90.19 326.6 114.1 343.2 134.8L412.6 65.49C372.7 61.17 337.2 60.1 305.7 64.21z"],
    "spray-can": [512, 512, [], "f5bd", "M192 0C209.7 0 224 14.33 224 32V128H96V32C96 14.33 110.3 0 128 0H192zM224 336C224 371.3 195.3 400 160 400C124.7 400 96 371.3 96 336C96 300.7 124.7 272 160 272C195.3 272 224 300.7 224 336zM224 160C277 160 320 202.1 320 256V440C320 479.8 287.8 512 248 512H72C32.24 512 0 479.8 0 440V256C0 202.1 42.98 160 96 160H224zM224 208H96C69.49 208 48 229.5 48 256V440C48 453.3 58.75 464 72 464H248C261.3 464 272 453.3 272 440V256C272 229.5 250.5 208 224 208zM320 64C320 81.67 305.7 96 288 96C270.3 96 256 81.67 256 64C256 46.33 270.3 32 288 32C305.7 32 320 46.33 320 64zM352 64C352 46.33 366.3 32 384 32C401.7 32 416 46.33 416 64C416 81.67 401.7 96 384 96C366.3 96 352 81.67 352 64zM512 64C512 81.67 497.7 96 480 96C462.3 96 448 81.67 448 64C448 46.33 462.3 32 480 32C497.7 32 512 46.33 512 64zM448 160C448 142.3 462.3 128 480 128C497.7 128 512 142.3 512 160C512 177.7 497.7 192 480 192C462.3 192 448 177.7 448 160zM512 256C512 273.7 497.7 288 480 288C462.3 288 448 273.7 448 256C448 238.3 462.3 224 480 224C497.7 224 512 238.3 512 256zM352 160C352 142.3 366.3 128 384 128C401.7 128 416 142.3 416 160C416 177.7 401.7 192 384 192C366.3 192 352 177.7 352 160z"],
    "spray-can-sparkles": [512, 512, ["air-freshener"], "f5d0", "M192 0C209.7 0 224 14.33 224 32V128H96V32C96 14.33 110.3 0 128 0H192zM96 336C96 300.7 124.7 272 160 272C195.3 272 224 300.7 224 336C224 371.3 195.3 400 160 400C124.7 400 96 371.3 96 336zM0 256C0 202.1 42.98 160 96 160H224C277 160 320 202.1 320 256V448C320 483.3 291.3 512 256 512H64C28.65 512 0 483.3 0 448V256zM48 256V448C48 456.8 55.16 464 64 464H256C264.8 464 272 456.8 272 448V256C272 229.5 250.5 208 224 208H96C69.49 208 48 229.5 48 256zM352 64L339.6 93.78C338.1 95 337.4 96 336 96C334.6 96 333 95 332.4 93.78L320 64L290.2 51.58C288.1 50.97 288 49.36 288 48C288 46.62 288.1 45.03 290.2 44.42L320 32L332.4 2.219C333 1 334.6 0 336 0C337.4 0 338.1 1 339.6 2.219L352 32L381.8 44.42C383 45.03 384 46.62 384 48C384 49.36 383 50.97 381.8 51.58L352 64zM418.2 51.58C416.1 50.97 416 49.36 416 48C416 46.62 416.1 45.03 418.2 44.42L448 32L460.4 2.219C461 1 462.6 0 464 0C465.4 0 466.1 1 467.6 2.219L480 32L509.8 44.42C511 45.03 512 46.62 512 48C512 49.36 511 50.97 509.8 51.58L480 64L467.6 93.78C466.1 95 465.4 96 464 96C462.6 96 461 95 460.4 93.78L448 64L418.2 51.58zM509.8 236.4C511 237 512 238.6 512 240C512 241.4 511 242.1 509.8 243.6L480 256L467.6 285.8C466.1 287 465.4 288 464 288C462.6 288 461 287 460.4 285.8L448 256L418.2 243.6C416.1 242.1 416 241.4 416 240C416 238.6 416.1 237 418.2 236.4L448 224L460.4 194.2C461 193 462.6 192 464 192C465.4 192 466.1 193 467.6 194.2L480 224L509.8 236.4zM416 160L403.6 189.8C402.1 191 401.4 192 400 192C398.6 192 397 191 396.4 189.8L384 160L354.2 147.6C352.1 146.1 352 145.4 352 144C352 142.6 352.1 141 354.2 140.4L384 128L396.4 98.22C397 97 398.6 96 400 96C401.4 96 402.1 97 403.6 98.22L416 128L445.8 140.4C447 141 448 142.6 448 144C448 145.4 447 146.1 445.8 147.6L416 160z"],
    "sprinkler": [512, 512, [], "e035", "M24 104C10.75 104 0 114.8 0 128s10.75 24 24 24S48 141.3 48 128S37.25 104 24 104zM24 208C10.75 208 0 218.8 0 232S10.75 256 24 256S48 245.3 48 232S37.25 208 24 208zM88 96C101.3 96 112 85.25 112 72S101.3 48 88 48S64 58.75 64 72S74.75 96 88 96zM360 152C373.3 152 384 141.3 384 128s-10.75-24-24-24S336 114.8 336 128S346.8 152 360 152zM24 0C10.75 0 0 10.75 0 24S10.75 48 24 48S48 37.25 48 24S37.25 0 24 0zM152 152C165.3 152 176 141.3 176 128S165.3 104 152 104S128 114.8 128 128S138.8 152 152 152zM488 48C501.3 48 512 37.25 512 24S501.3 0 488 0S464 10.75 464 24S474.8 48 488 48zM488 208c-13.25 0-24 10.75-24 24S474.8 256 488 256S512 245.3 512 232S501.3 208 488 208zM488 104c-13.25 0-24 10.75-24 24s10.75 24 24 24S512 141.3 512 128S501.3 104 488 104zM424 48c-13.25 0-24 10.75-24 24S410.8 96 424 96S448 85.25 448 72S437.3 48 424 48zM424 160c-13.25 0-24 10.75-24 24s10.75 24 24 24S448 197.3 448 184S437.3 160 424 160zM112 184C112 170.8 101.3 160 88 160S64 170.8 64 184S74.75 208 88 208S112 197.3 112 184zM398.3 256H280V88c0-13.26-10.75-24-24-24S232 74.74 232 88V256H113.8C107.1 256 100.9 259.8 97.88 265.9c-3 6-2.375 13.12 1.75 18.62l67.5 78.13L192 387.5V496C192 504.8 199.2 512 208 512h96c8.836 0 16-7.164 16-16v-108.5l24.88-24.88l67.5-78.13c4.125-5.5 4.75-12.62 1.75-18.62C411.1 259.8 404.9 256 398.3 256zM272 367.6V464h-32v-96.38L179.9 304h152.3L272 367.6z"],
    "sprinkler-ceiling": [384, 512, [], "e44c", "M88 384C74.75 384 64 394.8 64 408c0 13.21 10.82 24 24 24s24-10.69 24-24C112 394.8 101.2 384 88 384zM24 448C10.75 448 0 458.8 0 472s10.82 24 24 24s24-10.79 24-24C48 458.8 37.25 448 24 448zM136 448c-13.25 0-24 10.75-24 24s10.82 24 24 24S160 485.2 160 472C160 458.8 149.2 448 136 448zM72 232C72 245.2 82.75 256 96 256h192c13.25 0 24-10.75 24-24S301.2 208 288 208h-72V56C216 42.75 205.2 32 192 32S168 42.75 168 56V208H96C82.75 208 72 218.8 72 232zM19.52 119.6L128 140.3V91.39L48 76.13V0H0v96C0 107.5 8.193 117.4 19.52 119.6zM224 344c0 13.21 10.75 24 24 24s24-10.79 24-24c0-13.25-10.75-24-24-24S224 330.8 224 344zM360 448c-13.25 0-24 10.78-24 24c0 13.21 10.75 24 24 24S384 485.2 384 472C384 458.8 373.2 448 360 448zM336 0v76.13L256 91.39v48.86l108.5-20.67C375.8 117.4 384 107.5 384 96V0H336zM296 384c-13.25 0-24 10.78-24 24c0 13.31 10.75 24 24 24S320 421.3 320 408S309.2 384 296 384zM136 320c-13.25 0-24 10.75-24 24s10.82 24 24 24S160 357.2 160 344C160 330.8 149.2 320 136 320zM248 448C234.8 448 224 458.8 224 472c0 13.21 10.75 24 24 24s24-10.79 24-24C272 458.8 261.2 448 248 448zM192 384c-13.25 0-24 10.75-24 24S178.8 432 192 432s24-10.69 24-24C216 394.8 205.2 384 192 384z"],
    "square": [448, 512, [9723, 9724, 61590, 9632], "f0c8", "M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM384 80H64C55.16 80 48 87.16 48 96V416C48 424.8 55.16 432 64 432H384C392.8 432 400 424.8 400 416V96C400 87.16 392.8 80 384 80z"],
    "square-0": [448, 512, [], "e255", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM400 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V416zM224 128C171.1 128 128 171.1 128 224v64c0 52.94 43.06 96 96 96s96-43.06 96-96V224C320 171.1 276.9 128 224 128zM272 288c0 26.47-21.53 48-48 48S176 314.5 176 288V224c0-26.47 21.53-48 48-48s48 21.53 48 48V288z"],
    "square-1": [448, 512, [], "e256", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM400 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V416zM288 336h-40V152c0-8.844-4.875-16.97-12.67-21.16c-7.781-4.188-17.25-3.75-24.64 1.188l-52 34.66C147.7 174 144.7 188.9 152 199.1c7.328 11 22.23 13.97 33.28 6.656L200 196.8V336H160c-13.25 0-24 10.75-24 24S146.8 384 160 384h128c13.25 0 24-10.75 24-24S301.3 336 288 336z"],
    "square-2": [448, 512, [], "e257", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM400 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V416zM296 336H214.2l63.06-57.19c17-16.69 26.38-38.91 26.38-62.56s-9.375-45.88-26.38-62.56c-34.8-34.19-91.45-34.19-126.3 0L140 164.5C130.5 173.7 130.4 188.9 139.7 198.4c9.312 9.469 24.48 9.656 33.94 .3125L184.6 187.9c16.27-15.94 42.78-15.94 59.02 0c7.734 7.594 12 17.66 12 28.31s-4.266 20.72-11.31 27.66l-108.4 98.31c-7.344 6.656-9.844 17.16-6.266 26.41C133.2 377.9 142.1 384 152 384h144c13.25 0 24-10.75 24-24S309.3 336 296 336z"],
    "square-3": [448, 512, [], "e258", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM400 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V416zM245.2 216.5l51.06-46.81c7.297-6.688 9.734-17.16 6.156-26.38C298.8 134.1 289.9 128 280 128h-128C138.8 128 128 138.8 128 152S138.8 176 152 176h66.3L167.8 222.3C160.5 229 158 239.5 161.6 248.7C165.2 257.9 174.1 264 184 264h52c19.84 0 36 16.16 36 36S255.8 336 236 336H191.4c-7.547 0-14.2-4.812-16.59-11.97C170.6 311.5 157 304.8 144.4 308.8c-12.58 4.188-19.38 17.78-15.19 30.38C138.2 366 163.1 384 191.4 384H236C282.3 384 320 346.3 320 300C320 256.8 287.2 221.1 245.2 216.5z"],
    "square-4": [448, 512, [], "e259", "M296 272H288V221.3c0-13.25-10.75-24-24-24s-24 10.75-24 24V272H174.5l47.58-110.5c5.234-12.19-.375-26.31-12.56-31.53C197.3 124.7 183.2 130.3 177.1 142.5l-62 144c-3.188 7.438-2.438 15.94 2 22.69S129.9 320 138 320H240v40c0 13.25 10.75 24 24 24S288 373.3 288 360V320h8C309.3 320 320 309.3 320 296S309.3 272 296 272zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM400 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V416z"],
    "square-5": [448, 512, [], "e25a", "M250.2 226.4L188.4 219.2L196.6 176H280c13.25 0 24-10.75 24-24S293.3 128 280 128H176.7C165.2 128 155.3 136.2 153.2 147.5l-16.73 88C135.2 242.1 136.7 248.8 140.6 254.2c3.953 5.375 9.938 8.875 16.56 9.656l87.39 10.28C260.2 275.9 272 289.2 272 304.9C272 322.1 258.1 336 240.1 336H191.4c-7.547 0-14.2-4.812-16.59-11.97C170.6 311.5 156.1 304.8 144.4 308.8c-12.58 4.188-19.38 17.78-15.19 30.38C138.2 366 163.1 384 191.4 384h49.59C284.5 384 320 348.5 320 304.9C320 264.8 289.1 231.1 250.2 226.4zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM400 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V416z"],
    "square-6": [448, 512, [], "e25b", "M64 480h320c35.35 0 64-28.65 64-64V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320C0 451.3 28.65 480 64 480zM48 96c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16v320c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V96zM224 384c52.94 0 96-43.06 96-96c0-43.86-29.73-80.53-69.98-91.96l29.76-25.94c9.969-8.719 11.03-23.88 2.312-33.88C277.3 130.8 270.7 128 264 128c-5.594 0-11.22 1.938-15.78 5.906L168.3 203.6C155.5 214.7 128 246.7 128 288C128 340.9 171.1 384 224 384zM177.1 274.3C184 254.1 202.9 240 224 240c26.47 0 48 21.53 48 48s-21.53 48-48 48S176 314.5 176 288C176 283.3 176.7 278.7 177.1 274.3z"],
    "square-7": [448, 512, [], "e25c", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM400 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V416zM296 128h-144C138.8 128 128 138.8 128 152S138.8 176 152 176h103.8l-92.94 172.6c-6.281 11.66-1.938 26.22 9.75 32.5C176.3 383.1 180.1 384 183.1 384c8.562 0 16.81-4.562 21.16-12.62l112-208c4-7.438 3.812-16.44-.5313-23.69C312.3 132.4 304.4 128 296 128z"],
    "square-8": [448, 512, [], "e25d", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM400 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V416zM304 200C304 160.3 271.7 128 232 128h-16C176.3 128 144 160.3 144 200c0 15.77 5.254 30.26 13.9 42.13C139.8 256.8 128 278.9 128 304C128 348.1 163.9 384 208 384h32c44.13 0 80-35.88 80-80c0-25.06-11.81-47.19-29.9-61.87C298.7 230.3 304 215.8 304 200zM216 176h16C245.2 176 256 186.8 256 200S245.2 224 232 224h-16C202.8 224 192 213.2 192 200S202.8 176 216 176zM240 336h-32c-17.66 0-32-14.34-32-32s14.34-32 32-32h32c17.66 0 32 14.34 32 32S257.7 336 240 336z"],
    "square-9": [448, 512, [], "e25e", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM400 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V416zM224 128C171.1 128 128 171.1 128 224c0 43.86 29.73 80.53 69.98 91.96l-29.76 25.94c-9.969 8.719-11.03 23.88-2.312 33.88C170.7 381.2 177.3 384 184 384c5.594 0 11.22-1.938 15.78-5.906l79.94-69.69C292.5 297.3 320 265.3 320 224C320 171.1 276.9 128 224 128zM270 237.7C264 257.9 245.1 272 224 272C197.5 272 176 250.5 176 224S197.5 176 224 176s48 21.53 48 48C272 228.7 271.3 233.3 270 237.7z"],
    "square-a": [448, 512, [], "e25f", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM400 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V416zM245.8 140.8c-7.844-17.08-35.75-17.08-43.59 0L106.2 349.8c-5.547 12.09-.2969 26.44 11.73 31.99c12.09 5.588 26.28 .3145 31.86-11.77l12.03-26.18h124.3l12.03 26.18c4.062 8.822 12.73 14 21.81 14c3.359 0 6.781-.7227 10.05-2.229c12.03-5.557 17.28-19.9 11.73-31.99L245.8 140.8zM183.1 295.6L224 208.5l40.02 87.14H183.1z"],
    "square-a-lock": [576, 512, [], "e44d", "M48 96V416C48 424.8 55.16 432 64 432H320V480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V161.1C430.3 163.7 414 170.3 400 180.1V96C400 87.16 392.8 80 384 80H64C55.16 80 48 87.16 48 96V96zM245.8 141.9L328.2 320.6C322.1 329.9 320 340.6 320 352V384C310.9 384 302.3 378.8 298.2 370.1L286.2 343.1H161.8L149.8 370.1C144.2 382.1 129.1 387.3 117.9 381.8C105.9 376.2 100.7 361.1 106.2 349.9L202.2 141.9C206.1 133.4 214.6 128 224 128C233.4 128 241.9 133.4 245.8 141.9H245.8zM183.1 295.1H264L224 209.3L183.1 295.1zM464 192C508.2 192 544 227.8 544 272V320C561.7 320 576 334.3 576 352V480C576 497.7 561.7 512 544 512H384C366.3 512 352 497.7 352 480V352C352 334.3 366.3 320 384 320V272C384 227.8 419.8 192 464 192V192zM464 240C446.3 240 432 254.3 432 272V320H496V272C496 254.3 481.7 240 464 240V240z"],
    "square-ampersand": [448, 512, [], "e260", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM400 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V416zM299.5 315.3l28.15-41.31c7.469-10.95 4.625-25.89-6.312-33.34c-10.97-7.484-25.88-4.609-33.38 6.312l-21.76 31.93l-29.74-32.53l19.69-15.89c13.59-11 21.41-27.36 21.41-44.86C277.6 153.9 251.7 128 219.9 128H196.8C165 128 139.1 153.9 139.1 185.7c0 16.36 6.062 32.03 17.12 44.14l10.34 11.33L136.8 265.2C121.1 277.9 112 296.9 112 317.2C112 354 141.1 384 178.8 384h32.47c23.41 0 45.38-10.41 60.16-28.19l18.62 20.38C294.8 381.4 301.3 384 307.8 384c5.781 0 11.59-2.078 16.19-6.281c9.781-8.953 10.47-24.12 1.531-33.91L299.5 315.3zM196.8 176h23.12c5.312 0 9.656 4.328 9.656 9.656c0 2.938-1.312 5.688-3.594 7.516L204 210.9L191.7 197.4C188.8 194.2 187.1 190 187.1 185.7C187.1 180.3 191.5 176 196.8 176zM236.3 322.8C230.7 331.1 221.3 336 211.3 336H178.8C168.5 336 160 327.5 160 317.2c0-5.719 2.531-11.06 7-14.64L199.1 276.6l39.37 43.08L236.3 322.8z"],
    "square-arrow-down": [448, 512, ["arrow-square-down"], "f339", "M310.4 231.7l-62.41 67.21V152c0-13.25-10.76-24-24.01-24S200 138.8 200 152v146.9L137.6 231.7C128.5 221.9 113.4 221.4 103.7 230.4C93.98 239.4 93.41 254.6 102.4 264.3l104 112C210.1 381.2 217.3 384 224 384s13.04-2.781 17.6-7.656l104-112c9-9.719 8.438-24.91-1.25-33.94C334.6 221.4 319.5 221.9 310.4 231.7zM384 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM400 416c0 8.82-7.178 16-16 16H64c-8.822 0-16-7.18-16-16V96c0-8.82 7.178-16 16-16h320c8.822 0 16 7.18 16 16V416z"],
    "square-arrow-down-left": [448, 512, [], "e261", "M295 151L160 286.1V188.7c0-13.25-10.75-24-24-24s-24 10.75-24 24V344c0 13.25 10.75 24 24 24h155.3c13.25 0 24-10.75 24-24s-10.75-24-24-24H193.9l135-135c9.375-9.375 9.375-24.56 0-33.94S304.4 141.7 295 151zM384 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM400 416c0 8.82-7.178 16-16 16H64c-8.822 0-16-7.18-16-16V96c0-8.82 7.178-16 16-16h320c8.822 0 16 7.18 16 16V416z"],
    "square-arrow-down-right": [448, 512, [], "e262", "M312 164.7c-13.25 0-24 10.75-24 24v97.34L152.1 151c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L254.1 320H156.7c-13.25 0-24 10.75-24 24s10.75 24 24 24H312c13.25 0 24-10.75 24-24V188.7C336 175.5 325.3 164.7 312 164.7zM384 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM400 416c0 8.82-7.178 16-16 16H64c-8.822 0-16-7.18-16-16V96c0-8.82 7.178-16 16-16h320c8.822 0 16 7.18 16 16V416z"],
    "square-arrow-left": [448, 512, ["arrow-square-left"], "f33a", "M328 232H181.1l67.21-62.41c9.719-9.062 10.25-24.22 1.25-33.94c-9.031-9.688-24.22-10.25-33.94-1.25l-112 104C98.78 242.1 96 249.3 96 256s2.781 13.04 7.656 17.6l112 104c9.719 9 24.91 8.438 33.94-1.25c9-9.719 8.469-24.88-1.25-33.94L181.1 280H328c13.25 0 24-10.76 24-24.01C352 242.8 341.3 232 328 232zM384 32H64C28.66 32 0 60.66 0 96v320c0 35.34 28.66 64 64 64h320c35.34 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM400 416c0 8.82-7.18 16-16 16H64c-8.82 0-16-7.18-16-16V96c0-8.82 7.18-16 16-16h320c8.82 0 16 7.18 16 16V416z"],
    "square-arrow-right": [448, 512, ["arrow-square-right"], "f33b", "M384 32H64C28.66 32 0 60.66 0 96v320c0 35.34 28.66 64 64 64h320c35.34 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM400 416c0 8.82-7.18 16-16 16H64c-8.82 0-16-7.18-16-16V96c0-8.82 7.18-16 16-16h320c8.82 0 16 7.18 16 16V416zM232.3 134.4c-9.719-9-24.91-8.438-33.94 1.25c-9 9.719-8.469 24.88 1.25 33.94l67.21 62.41H120c-13.25 0-24 10.76-24 24.01c0 13.25 10.75 23.99 24 23.99h146.9l-67.21 62.41c-9.719 9.062-10.25 24.22-1.25 33.94c9.031 9.688 24.22 10.25 33.94 1.25l112-104C349.2 269 352 262.7 352 255.1s-2.781-13.04-7.656-17.6L232.3 134.4z"],
    "square-arrow-up": [448, 512, ["arrow-square-up"], "f33c", "M241.6 135.7C237 130.8 230.7 128 223.1 128S210.1 130.8 206.4 135.7l-104 112c-9 9.719-8.438 24.91 1.25 33.94c9.719 9 24.88 8.469 33.94-1.25l62.41-67.21V360c0 13.25 10.76 24 24.01 24s23.99-10.75 23.99-24V213.1l62.41 67.21c9.062 9.719 24.22 10.25 33.94 1.25c9.688-9.031 10.25-24.22 1.25-33.94L241.6 135.7zM384 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM400 416c0 8.82-7.178 16-16 16H64c-8.822 0-16-7.18-16-16V96c0-8.82 7.178-16 16-16h320c8.822 0 16 7.18 16 16V416z"],
    "square-arrow-up-left": [448, 512, [], "e263", "M193.9 192h97.34c13.25 0 24-10.75 24-24s-10.75-24-24-24H136C122.8 144 112 154.8 112 168v155.3c0 13.25 10.75 24 24 24s24-10.75 24-24V225.9l135 135C299.7 365.7 305.8 368 312 368s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94L193.9 192zM384 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM400 416c0 8.82-7.178 16-16 16H64c-8.822 0-16-7.18-16-16V96c0-8.82 7.178-16 16-16h320c8.822 0 16 7.18 16 16V416z"],
    "square-arrow-up-right": [448, 512, ["external-link-square"], "f14c", "M312 144H156.7c-13.25 0-24 10.75-24 24S143.5 192 156.7 192h97.34l-135 135c-9.375 9.375-9.375 24.56 0 33.94C123.7 365.7 129.8 368 136 368s12.28-2.344 16.97-7.031L288 225.9v97.34c0 13.25 10.75 24 24 24s24-10.75 24-24V168C336 154.8 325.3 144 312 144zM384 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM400 416c0 8.82-7.178 16-16 16H64c-8.822 0-16-7.18-16-16V96c0-8.82 7.178-16 16-16h320c8.822 0 16 7.18 16 16V416z"],
    "square-b": [448, 512, [], "e264", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM400 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V416zM305.9 247.8C314.7 235.4 320 220.3 320 204C320 162.1 285.9 128 244 128H152C138.8 128 128 138.8 128 152v208C128 373.3 138.8 384 152 384h108c41.91 0 76-34.09 76-76C336 283.4 324.1 261.7 305.9 247.8zM176 176h68c15.44 0 28 12.56 28 28S259.4 232 244 232H176V176zM260 336H176V280h84C275.4 280 288 292.6 288 308S275.4 336 260 336z"],
    "square-bolt": [448, 512, [], "e265", "M281.6 131.2C287.5 135.6 289.6 143.5 286.7 150.3L248.3 240H312C318.8 240 324.8 244.2 327.1 250.6C329.3 256.1 327.4 264.1 322.2 268.4L186.2 380.4C180.5 385 172.3 385.2 166.4 380.8C160.5 376.4 158.4 368.5 161.3 361.7L199.7 271.1H136C129.2 271.1 123.2 267.8 120.9 261.4C118.7 255 120.6 247.9 125.8 243.6L261.8 131.6C267.5 126.1 275.7 126.8 281.6 131.2V131.2zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM48 96V416C48 424.8 55.16 432 64 432H384C392.8 432 400 424.8 400 416V96C400 87.16 392.8 80 384 80H64C55.16 80 48 87.16 48 96z"],
    "square-c": [448, 512, [], "e266", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM400 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V416zM278.9 198.5c9.361 9.482 24.55 9.514 33.95 .1562c9.426-9.389 9.488-24.65 .1562-34.1c-48.06-48.7-131.1-48.7-179.1 0c-49.46 50.11-49.46 131.7 0 181.7C157.1 370.6 189.1 384 223.1 384c.0156 0 0 0 0 0c33.1 0 65.97-13.41 89.99-37.74c9.332-9.482 9.27-24.74-.1562-34.1c-9.395-9.42-24.62-9.293-33.95 .125c-14.94 15.17-34.78 23.49-55.88 23.49s-40.94-8.352-55.86-23.49c-30.98-31.37-30.98-82.42 0-113.8C197.1 168.2 249.1 168.2 278.9 198.5z"],
    "square-caret-down": [448, 512, ["caret-square-down"], "f150", "M320 192H128C118.5 192 109.8 197.7 105.1 206.4C102.2 215.1 103.9 225.3 110.4 232.3l96 104C210.9 341.2 217.3 344 224 344s13.09-2.812 17.62-7.719l96-104c6.469-7 8.188-17.19 4.375-25.91C338.2 197.7 329.5 192 320 192zM384 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM400 416c0 8.82-7.178 16-16 16H64c-8.822 0-16-7.18-16-16V96c0-8.82 7.178-16 16-16h320c8.822 0 16 7.18 16 16V416z"],
    "square-caret-left": [448, 512, ["caret-square-left"], "f191", "M384 32H64C28.66 32 0 60.66 0 96v320c0 35.34 28.66 64 64 64h320c35.34 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM400 416c0 8.82-7.18 16-16 16H64c-8.82 0-16-7.18-16-16V96c0-8.82 7.18-16 16-16h320c8.82 0 16 7.18 16 16V416zM273.6 138c-8.719-3.812-18.91-2.094-25.91 4.375l-104 96C138.8 242.9 136 249.3 136 256s2.812 13.09 7.719 17.62l104 96c7 6.469 17.19 8.188 25.91 4.375C282.3 370.2 288 361.5 288 352V160C288 150.5 282.3 141.8 273.6 138z"],
    "square-caret-right": [448, 512, ["caret-square-right"], "f152", "M200.3 142.4C193.3 135.9 183.1 134.2 174.4 138C165.7 141.8 160 150.5 160 159.1v192C160 361.5 165.7 370.2 174.4 374c8.719 3.812 18.91 2.094 25.91-4.375l104-96C309.2 269.1 312 262.7 312 256s-2.812-13.09-7.719-17.62L200.3 142.4zM384 32H64C28.66 32 0 60.66 0 96v320c0 35.34 28.66 64 64 64h320c35.34 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM400 416c0 8.82-7.18 16-16 16H64c-8.82 0-16-7.18-16-16V96c0-8.82 7.18-16 16-16h320c8.82 0 16 7.18 16 16V416z"],
    "square-caret-up": [448, 512, ["caret-square-up"], "f151", "M241.6 175.7C237.1 170.8 230.7 168 224 168S210.9 170.8 206.4 175.7l-96 104c-6.469 7-8.188 17.19-4.375 25.91C109.8 314.3 118.5 320 127.1 320h192c9.531 0 18.16-5.656 22-14.38c3.813-8.719 2.094-18.91-4.375-25.91L241.6 175.7zM384 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM400 416c0 8.82-7.178 16-16 16H64c-8.822 0-16-7.18-16-16V96c0-8.82 7.178-16 16-16h320c8.822 0 16 7.18 16 16V416z"],
    "square-check": [448, 512, [9989, 61510, 9745, "check-square"], "f14a", "M211.8 339.8C200.9 350.7 183.1 350.7 172.2 339.8L108.2 275.8C97.27 264.9 97.27 247.1 108.2 236.2C119.1 225.3 136.9 225.3 147.8 236.2L192 280.4L300.2 172.2C311.1 161.3 328.9 161.3 339.8 172.2C350.7 183.1 350.7 200.9 339.8 211.8L211.8 339.8zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM48 96V416C48 424.8 55.16 432 64 432H384C392.8 432 400 424.8 400 416V96C400 87.16 392.8 80 384 80H64C55.16 80 48 87.16 48 96z"],
    "square-chevron-down": [448, 512, ["chevron-square-down"], "f329", "M319 207L224 302.1L128.1 207c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94l112 112C211.7 357.7 217.8 360 224 360s12.28-2.344 16.97-7.031l112-112c9.375-9.375 9.375-24.56 0-33.94S328.4 197.7 319 207zM384 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM400 416c0 8.82-7.178 16-16 16H64c-8.822 0-16-7.18-16-16V96c0-8.82 7.178-16 16-16h320c8.822 0 16 7.18 16 16V416z"],
    "square-chevron-left": [448, 512, ["chevron-square-left"], "f32a", "M272.1 351L177.9 256l95.03-95.03c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0l-112 112C122.3 243.7 120 249.8 120 256s2.344 12.28 7.031 16.97l112 112c9.375 9.375 24.56 9.375 33.94 0S282.3 360.4 272.1 351zM448 416V96c0-35.35-28.66-64-64-64H64C28.66 32 0 60.65 0 96v320c0 35.35 28.66 64 64 64h320C419.3 480 448 451.3 448 416zM64 432c-8.82 0-16-7.178-16-16V96c0-8.822 7.18-16 16-16h320c8.82 0 16 7.178 16 16v320c0 8.822-7.18 16-16 16H64z"],
    "square-chevron-right": [448, 512, ["chevron-square-right"], "f32b", "M208.1 127c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L270.1 256l-95.03 95.03c-9.375 9.375-9.375 24.56 0 33.94s24.56 9.375 33.94 0l112-112C325.7 268.3 328 262.2 328 256s-2.344-12.28-7.031-16.97L208.1 127zM384 32H64C28.66 32 0 60.66 0 96v320c0 35.34 28.66 64 64 64h320c35.34 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM400 416c0 8.82-7.18 16-16 16H64c-8.82 0-16-7.18-16-16V96c0-8.82 7.18-16 16-16h320c8.82 0 16 7.18 16 16V416z"],
    "square-chevron-up": [448, 512, ["chevron-square-up"], "f32c", "M64 480h320c35.35 0 64-28.66 64-64V96c0-35.34-28.65-64-64-64H64C28.65 32 0 60.66 0 96v320C0 451.3 28.65 480 64 480zM48 96c0-8.82 7.178-16 16-16h320c8.822 0 16 7.18 16 16v320c0 8.82-7.178 16-16 16H64c-8.822 0-16-7.18-16-16V96zM128.1 304.1L224 209.9l95.03 95.03c9.375 9.375 24.56 9.375 33.94 0s9.375-24.56 0-33.94l-112-112C236.3 154.3 230.2 152 224 152S211.7 154.3 207 159l-112 112c-9.375 9.375-9.375 24.56 0 33.94S119.6 314.3 128.1 304.1z"],
    "square-code": [448, 512, [], "e267", "M288.1 175L352.1 239C362.3 248.4 362.3 263.6 352.1 272.1L288.1 336.1C279.6 346.3 264.4 346.3 255 336.1C245.7 327.6 245.7 312.4 255 303L302.1 256L255 208.1C245.7 199.6 245.7 184.4 255 175C264.4 165.7 279.6 165.7 288.1 175V175zM145.9 256L192.1 303C202.3 312.4 202.3 327.6 192.1 336.1C183.6 346.3 168.4 346.3 159 336.1L95.03 272.1C85.66 263.6 85.66 248.4 95.03 239L159 175C168.4 165.7 183.6 165.7 192.1 175C202.3 184.4 202.3 199.6 192.1 208.1L145.9 256zM384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM384 80H64C55.16 80 48 87.16 48 96V416C48 424.8 55.16 432 64 432H384C392.8 432 400 424.8 400 416V96C400 87.16 392.8 80 384 80z"],
    "square-d": [448, 512, [], "e268", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM400 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V416zM222.4 128H152C138.8 128 128 138.8 128 152v208C128 373.3 138.8 384 152 384h70.41C293.9 384 352 326.6 352 256C352 185.4 293.9 128 222.4 128zM222.4 336H176v-160h46.41C267.4 176 304 211.9 304 256C304 300.1 267.4 336 222.4 336z"],
    "square-dashed": [448, 512, [], "e269", "M88 32H104C117.3 32 128 42.75 128 56C128 69.25 117.3 80 104 80H88C65.91 80 48 97.91 48 120V136C48 149.3 37.25 160 24 160C10.75 160 0 149.3 0 136V120C0 71.4 39.4 32 88 32zM48 216V296C48 309.3 37.25 320 24 320C10.75 320 0 309.3 0 296V216C0 202.7 10.75 192 24 192C37.25 192 48 202.7 48 216zM448 216V296C448 309.3 437.3 320 424 320C410.7 320 400 309.3 400 296V216C400 202.7 410.7 192 424 192C437.3 192 448 202.7 448 216zM400 136V120C400 97.91 382.1 80 360 80H344C330.7 80 320 69.25 320 56C320 42.75 330.7 32 344 32H360C408.6 32 448 71.4 448 120V136C448 149.3 437.3 160 424 160C410.7 160 400 149.3 400 136zM448 392C448 440.6 408.6 480 360 480H344C330.7 480 320 469.3 320 456C320 442.7 330.7 432 344 432H360C382.1 432 400 414.1 400 392V376C400 362.7 410.7 352 424 352C437.3 352 448 362.7 448 376V392zM48 392C48 414.1 65.91 432 88 432H104C117.3 432 128 442.7 128 456C128 469.3 117.3 480 104 480H88C39.4 480 0 440.6 0 392V376C0 362.7 10.75 352 24 352C37.25 352 48 362.7 48 376V392zM184 480C170.7 480 160 469.3 160 456C160 442.7 170.7 432 184 432H264C277.3 432 288 442.7 288 456C288 469.3 277.3 480 264 480H184zM184 32H264C277.3 32 288 42.75 288 56C288 69.25 277.3 80 264 80H184C170.7 80 160 69.25 160 56C160 42.75 170.7 32 184 32z"],
    "square-divide": [448, 512, [], "e26a", "M192 160C192 142.3 206.3 128 224 128C241.7 128 256 142.3 256 160C256 177.7 241.7 192 224 192C206.3 192 192 177.7 192 160zM312 232C325.3 232 336 242.7 336 256C336 269.3 325.3 280 312 280H136C122.7 280 112 269.3 112 256C112 242.7 122.7 232 136 232H312zM256 352C256 369.7 241.7 384 224 384C206.3 384 192 369.7 192 352C192 334.3 206.3 320 224 320C241.7 320 256 334.3 256 352zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM48 96V416C48 424.8 55.16 432 64 432H384C392.8 432 400 424.8 400 416V96C400 87.16 392.8 80 384 80H64C55.16 80 48 87.16 48 96z"],
    "square-dollar": [448, 512, ["dollar-square", "usd-square"], "f2e9", "M244.8 147.8C254.5 149 264.2 151.7 273.8 154.4C275.6 154.9 277.5 155.5 279.3 155.1C290.8 159.2 297.6 171.1 294.4 182.6C291.2 194.1 279.3 200.8 267.8 197.6C266.3 197.2 264.7 196.8 263.2 196.3C256.2 194.4 249.2 192.4 242.1 191C228.9 188.5 213.6 189.7 201.2 195C190.2 199.8 181.1 211.4 193.6 219.4C203.5 225.7 215.4 228.9 226.8 231.1C229.1 232.6 231.5 233.3 233.8 233.9C249.4 238.4 269.3 244 284.2 254.2C303.6 267.5 312.7 289.2 308.5 312.4C304.3 334.8 288.8 349.5 270 357C262.2 360.2 253.7 362.2 244.8 363.2L244.8 378.4C244.8 390.3 235.1 400 223.2 400C211.3 400 201.6 390.3 201.6 378.4L201.6 361C187.1 357.8 172.9 353.1 158.8 348.5C147.5 344.8 141.3 332.5 145.1 321.2C148.8 309.9 161.1 303.7 172.4 307.5C174.9 308.3 177.4 309.2 179.9 310C191.2 313.8 202.8 317.8 214.4 319.6C231.4 322.1 244.1 320.6 253.9 316.1C265.9 312.1 271.5 297.9 259.8 289.9C249.7 282.1 237.2 279.6 225.3 276.4C222.1 275.7 220.7 275.1 218.5 274.5C203.4 270.2 184.6 264.9 170.4 255.8C150.9 243.3 140.9 222.5 145.1 199.4C149.1 177.6 166.1 163.1 184.1 155.4C189.6 152.1 195.5 151.1 201.6 149.7V133.6C201.6 121.7 211.3 111.1 223.2 111.1C235.1 111.1 244.8 121.7 244.8 133.6L244.8 147.8zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM48 96V416C48 424.8 55.16 432 64 432H384C392.8 432 400 424.8 400 416V96C400 87.16 392.8 80 384 80H64C55.16 80 48 87.16 48 96z"],
    "square-down": [448, 512, [11015, "arrow-alt-square-down"], "f350", "M312 240h-56L256 152C256 138.8 245.3 128 232 128h-16C202.8 128 192 138.8 192 152L192 240h-56c-9.531 0-18.16 5.656-22 14.38C110.2 263.1 111.9 273.3 118.4 280.3l88.75 96C211.7 381.2 218.1 384 224.8 384c7.781-.3125 13.25-2.875 17.75-7.844l87.25-96c6.406-7.031 8.031-17.19 4.188-25.88S321.5 240 312 240zM384 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM400 416c0 8.82-7.178 16-16 16H64c-8.822 0-16-7.18-16-16V96c0-8.82 7.178-16 16-16h320c8.822 0 16 7.18 16 16V416z"],
    "square-down-left": [448, 512, [], "e26b", "M320.2 205.1c9.369-9.371 9.369-24.57-.0002-33.94L308.9 159.8c-9.369-9.371-24.57-9.372-33.94-.0012L210.3 224.4L168.1 183C164.4 178.4 158.2 176 152 176c-3.094 0-6.219 .5938-9.188 1.812C133.8 181.5 128 190.3 128 200v128C128 341.3 138.8 352 152 352h128c9.703 0 18.45-5.844 22.17-14.81s1.656-19.28-5.203-26.16l-41.37-41.38L320.2 205.1zM448 416V96c0-35.34-28.65-64-64-64H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320C419.3 480 448 451.3 448 416zM400 416c0 8.82-7.178 16-16 16H64c-8.822 0-16-7.18-16-16V96c0-8.82 7.178-16 16-16h320c8.822 0 16 7.18 16 16V416z"],
    "square-down-right": [448, 512, [], "e26c", "M192.4 269.7L151 311c-6.859 6.875-8.922 17.19-5.203 26.16S158.3 352 168 352h128c13.25 0 24-10.75 24-24v-128c0-9.719-5.844-18.47-14.81-22.19C302.2 176.6 299.1 176 296 176c-6.234 0-12.38 2.438-16.97 7.031l-41.37 41.38L173.1 159.8c-9.369-9.371-24.57-9.37-33.94 .0012L127.8 171.1C118.5 180.5 118.5 195.7 127.8 205.1L192.4 269.7zM64 480h320c35.35 0 64-28.66 64-64V96c0-35.34-28.65-64-64-64H64C28.65 32 0 60.66 0 96v320C0 451.3 28.65 480 64 480zM48 96c0-8.82 7.178-16 16-16h320c8.822 0 16 7.18 16 16v320c0 8.82-7.178 16-16 16H64c-8.822 0-16-7.18-16-16V96z"],
    "square-e": [448, 512, [], "e26d", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM400 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V416zM296 176C309.3 176 320 165.3 320 152S309.3 128 296 128h-144C138.8 128 128 138.8 128 152v208C128 373.3 138.8 384 152 384h144c13.25 0 24-10.75 24-24s-10.75-24-24-24H176V280h88C277.3 280 288 269.3 288 256s-10.75-24-24-24H176V176H296z"],
    "square-ellipsis": [448, 512, [], "e26e", "M224 288C206.3 288 192 273.7 192 256C192 238.3 206.3 224 224 224C241.7 224 256 238.3 256 256C256 273.7 241.7 288 224 288zM128 224C145.7 224 160 238.3 160 256C160 273.7 145.7 288 128 288C110.3 288 96 273.7 96 256C96 238.3 110.3 224 128 224zM320 288C302.3 288 288 273.7 288 256C288 238.3 302.3 224 320 224C337.7 224 352 238.3 352 256C352 273.7 337.7 288 320 288zM64 480C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64zM64 432H384C392.8 432 400 424.8 400 416V96C400 87.16 392.8 80 384 80H64C55.16 80 48 87.16 48 96V416C48 424.8 55.16 432 64 432z"],
    "square-ellipsis-vertical": [448, 512, [], "e26f", "M192 256C192 238.3 206.3 224 224 224C241.7 224 256 238.3 256 256C256 273.7 241.7 288 224 288C206.3 288 192 273.7 192 256zM256 160C256 177.7 241.7 192 224 192C206.3 192 192 177.7 192 160C192 142.3 206.3 128 224 128C241.7 128 256 142.3 256 160zM192 352C192 334.3 206.3 320 224 320C241.7 320 256 334.3 256 352C256 369.7 241.7 384 224 384C206.3 384 192 369.7 192 352zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM48 96V416C48 424.8 55.16 432 64 432H384C392.8 432 400 424.8 400 416V96C400 87.16 392.8 80 384 80H64C55.16 80 48 87.16 48 96z"],
    "square-envelope": [448, 512, ["envelope-square"], "f199", "M224 288C221.1 288 219.1 287.6 218.1 286.9L96 238V320c0 17.67 14.33 32 32 32h192c17.67 0 32-14.33 32-32V238l-122.1 48.82C228 287.6 226 288 224 288zM320 160H128C110.3 160 96 174.3 96 192v11.57l128 51.2l128-51.2V192C352 174.3 337.7 160 320 160zM384 32H64C28.8 32 0 60.8 0 96v320c0 35.2 28.8 64 64 64h320c35.2 0 64-28.8 64-64V96C448 60.8 419.2 32 384 32zM400 416c0 8.674-7.326 16-16 16H64c-8.672 0-16-7.326-16-16V96c0-8.674 7.328-16 16-16h320c8.674 0 16 7.326 16 16V416z"],
    "square-exclamation": [448, 512, ["exclamation-square"], "f321", "M224 337.1c-17.36 0-31.44 14.08-31.44 31.44C192.6 385.9 206.6 400 224 400s31.44-14.08 31.44-31.44C255.4 351.2 241.4 337.1 224 337.1zM224 304c13.25 0 24-10.75 24-24v-128C248 138.8 237.3 128 224 128S200 138.8 200 152v128C200 293.3 210.8 304 224 304zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM400 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V416z"],
    "square-f": [448, 512, [], "e270", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM400 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V416zM296 128h-144C138.8 128 128 138.8 128 152v208C128 373.3 138.8 384 152 384s24-10.75 24-24V288h88C277.3 288 288 277.3 288 264S277.3 240 264 240H176v-64h120C309.3 176 320 165.3 320 152S309.3 128 296 128z"],
    "square-fragile": [448, 512, ["box-fragile", "square-wine-glass-crack"], "f49b", "M128 134.3C128 121.1 137.1 112 150.3 112H176L208 176L176 208L256 272L224 208L272 176L240 112H297.7C310 112 320 121.1 320 134.3V224C320 271.6 285.4 311.1 240 318.7V368H272C280.8 368 288 375.2 288 384C288 392.8 280.8 400 272 400H176C167.2 400 160 392.8 160 384C160 375.2 167.2 368 176 368H208V318.7C162.6 311.1 128 271.6 128 224V134.3zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM48 96V416C48 424.8 55.16 432 64 432H384C392.8 432 400 424.8 400 416V96C400 87.16 392.8 80 384 80H64C55.16 80 48 87.16 48 96z"],
    "square-full": [512, 512, [128997, 128998, 128999, 129000, 129001, 129002, 129003, 11036, 11035], "f45c", "M512 0V512H0V0H512zM464 48H48V464H464V48z"],
    "square-g": [448, 512, [], "e271", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM400 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V416zM328 240h-80C234.8 240 224 250.8 224 264S234.8 288 248 288h50.47c-4.219 8.578-10.31 16.97-17.91 24.58c-30.19 30.22-82.94 30.22-113.1 0c-31.19-31.2-31.19-81.95 0-113.2C197.7 169.2 248.1 167.8 280 196.4c9.812 8.859 25 8.078 33.88-1.859c8.844-9.875 8-25.05-1.875-33.89c-50.53-45.3-130.6-43.06-178.5 4.875c-49.91 49.91-49.91 131.1 0 181C157.7 370.7 189.8 384 224 384s66.34-13.31 90.5-37.48c19.53-19.56 32.72-43.44 37.09-67.27C351.9 277.8 352 276.4 352 274.9V264C352 250.8 341.3 240 328 240z"],
    "square-h": [448, 512, ["h-square"], "f0fd", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM400 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V416zM312 128C298.8 128 288 138.8 288 152v80H160v-80C160 138.8 149.3 128 136 128S112 138.8 112 152v208C112 373.3 122.8 384 136 384S160 373.3 160 360v-80h128v80c0 13.25 10.75 24 24 24s24-10.75 24-24v-208C336 138.8 325.3 128 312 128z"],
    "square-heart": [448, 512, [128159, "heart-square"], "f4c8", "M112.9 272.9C86.64 246.2 86.64 202.9 112.9 176.3C139.2 149.6 181.8 149.6 208.1 176.3L224 192.4L239.9 176.3C266.2 149.6 308.8 149.6 335.1 176.3C361.4 202.9 361.4 246.2 335.1 272.9L246.5 362.8C240.2 369.2 232.1 372.3 223.9 372.3C215.8 372.3 207.7 369.1 201.5 362.8L112.9 272.9zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM48 96V416C48 424.8 55.16 432 64 432H384C392.8 432 400 424.8 400 416V96C400 87.16 392.8 80 384 80H64C55.16 80 48 87.16 48 96z"],
    "square-i": [448, 512, [], "e272", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM400 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V416zM296 176C309.3 176 320 165.3 320 152S309.3 128 296 128h-144C138.8 128 128 138.8 128 152S138.8 176 152 176h48v160h-48C138.8 336 128 346.8 128 360S138.8 384 152 384h144c13.25 0 24-10.75 24-24s-10.75-24-24-24h-48v-160H296z"],
    "square-info": [448, 512, [8505, "info-square"], "f30f", "M384 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM400 416c0 8.82-7.178 16-16 16H64c-8.822 0-16-7.18-16-16V96c0-8.82 7.178-16 16-16h320c8.822 0 16 7.18 16 16V416zM264 336h-16V248C248 234.8 237.3 224 224 224H192C178.8 224 168 234.8 168 248S178.8 272 192 272h8v64h-16C170.8 336 160 346.8 160 360S170.8 384 184 384h80c13.25 0 24-10.75 24-24S277.3 336 264 336zM224 192c17.67 0 32-14.33 32-32c0-17.67-14.33-32-32-32S192 142.3 192 160C192 177.7 206.3 192 224 192z"],
    "square-j": [448, 512, [], "e273", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM400 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V416zM280 128C266.8 128 256 138.8 256 152v138.7C256 315.7 234.5 336 208 336S160 315.7 160 290.7V280C160 266.8 149.3 256 136 256S112 266.8 112 280v10.67C112 342.1 155.1 384 208 384s96-41.86 96-93.33V152C304 138.8 293.3 128 280 128z"],
    "square-k": [448, 512, [], "e274", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM400 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V416zM313.1 135.2c-9.266-9.422-24.48-9.547-33.94-.25L176 236.5V152C176 138.8 165.3 128 152 128S128 138.8 128 152v208C128 373.3 138.8 384 152 384s24-10.75 24-24V303.9l30.89-30.42l69.38 100.2C280.9 380.4 288.4 384 296 384c4.719 0 9.484-1.375 13.64-4.266c10.91-7.547 13.62-22.5 6.078-33.39l-72-104c-.7324-1.057-1.805-1.662-2.666-2.564l71.78-70.69C322.3 159.8 322.4 144.6 313.1 135.2z"],
    "square-kanban": [448, 512, [], "e488", "M128 288C114.7 288 104 277.3 104 264V152C104 138.7 114.7 128 128 128C141.3 128 152 138.7 152 152V264C152 277.3 141.3 288 128 288zM296 152C296 138.7 306.7 128 320 128C333.3 128 344 138.7 344 152V328C344 341.3 333.3 352 320 352C306.7 352 296 341.3 296 328V152zM224 256C210.7 256 200 245.3 200 232V152C200 138.7 210.7 128 224 128C237.3 128 248 138.7 248 152V232C248 245.3 237.3 256 224 256zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM64 432H384C392.8 432 400 424.8 400 416V96C400 87.16 392.8 80 384 80H64C55.16 80 48 87.16 48 96V416C48 424.8 55.16 432 64 432z"],
    "square-l": [448, 512, [], "e275", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM400 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V416zM296 336H176V152C176 138.8 165.3 128 152 128S128 138.8 128 152v208C128 373.3 138.8 384 152 384h144c13.25 0 24-10.75 24-24S309.3 336 296 336z"],
    "square-left": [448, 512, [11013, "arrow-alt-square-left"], "f351", "M328 224L240 224v-56c0-9.531-5.656-18.16-14.38-22C216.9 142.2 206.7 143.9 199.7 150.4l-96 88.75C98.78 243.7 96 250.1 96 256.8c.3125 7.781 2.875 13.25 7.844 17.75l96 87.25c7.031 6.406 17.19 8.031 25.88 4.188S240 353.5 240 344v-56L328 288C341.3 288 352 277.3 352 264v-16C352 234.8 341.3 224 328 224zM384 32H64C28.66 32 0 60.66 0 96v320c0 35.34 28.66 64 64 64h320c35.34 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM400 416c0 8.82-7.18 16-16 16H64c-8.82 0-16-7.18-16-16V96c0-8.82 7.18-16 16-16h320c8.82 0 16 7.18 16 16V416z"],
    "square-list": [448, 512, [], "e489", "M128 192C110.3 192 96 177.7 96 160C96 142.3 110.3 128 128 128C145.7 128 160 142.3 160 160C160 177.7 145.7 192 128 192zM200 160C200 146.7 210.7 136 224 136H320C333.3 136 344 146.7 344 160C344 173.3 333.3 184 320 184H224C210.7 184 200 173.3 200 160zM200 256C200 242.7 210.7 232 224 232H320C333.3 232 344 242.7 344 256C344 269.3 333.3 280 320 280H224C210.7 280 200 269.3 200 256zM200 352C200 338.7 210.7 328 224 328H320C333.3 328 344 338.7 344 352C344 365.3 333.3 376 320 376H224C210.7 376 200 365.3 200 352zM128 224C145.7 224 160 238.3 160 256C160 273.7 145.7 288 128 288C110.3 288 96 273.7 96 256C96 238.3 110.3 224 128 224zM128 384C110.3 384 96 369.7 96 352C96 334.3 110.3 320 128 320C145.7 320 160 334.3 160 352C160 369.7 145.7 384 128 384zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM48 96V416C48 424.8 55.16 432 64 432H384C392.8 432 400 424.8 400 416V96C400 87.16 392.8 80 384 80H64C55.16 80 48 87.16 48 96z"],
    "square-m": [448, 512, [], "e276", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM400 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V416zM335.4 129.2c-9.953-3.25-20.75 .3125-26.84 8.781L224 255L139.5 137.1C133.4 129.5 122.5 125.9 112.6 129.2C102.7 132.4 96 141.6 96 152v208C96 373.3 106.8 384 120 384s24-10.75 24-24V226.2l60.55 83.83c9.031 12.5 29.88 12.5 38.91 0L304 226.2V360c0 13.25 10.75 24 24 24S352 373.3 352 360v-208C352 141.6 345.3 132.4 335.4 129.2z"],
    "square-minus": [448, 512, [61767, "minus-square"], "f146", "M312 232C325.3 232 336 242.7 336 256C336 269.3 325.3 280 312 280H136C122.7 280 112 269.3 112 256C112 242.7 122.7 232 136 232H312zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM48 96V416C48 424.8 55.16 432 64 432H384C392.8 432 400 424.8 400 416V96C400 87.16 392.8 80 384 80H64C55.16 80 48 87.16 48 96z"],
    "square-n": [448, 512, [], "e277", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM400 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V416zM296 128c-13.25 0-24 10.75-24 24v131.2L171.7 138.3c-5.953-8.641-16.88-12.31-26.89-9.25C134.8 132.2 128 141.5 128 152v208C128 373.3 138.8 384 152 384s24-10.75 24-24V228.8l100.3 144.8C280.8 380.3 288.3 384 296 384c2.391 0 4.797-.3594 7.156-1.094C313.2 379.8 320 370.5 320 360v-208C320 138.8 309.3 128 296 128z"],
    "square-nfi": [448, 512, [], "e576", "M48 96V128H0V96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V128H400V96C400 87.16 392.8 80 384 80H64C55.16 80 48 87.16 48 96zM48 416C48 424.8 55.16 432 64 432H384C392.8 432 400 424.8 400 416V384H448V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V384H48V416zM49.05 161C59.17 157.1 70.1 161.9 75.97 170.7L128 248.7V183.1C128 170.7 138.7 159.1 152 159.1C165.3 159.1 176 170.7 176 183.1V328C176 338.6 169.1 347.9 158.1 350.1C148.8 354 137.9 350.1 132 341.3L80 263.3V328C80 341.3 69.25 352 56 352C42.75 352 32 341.3 32 328V184C32 173.4 38.92 164.1 49.05 161zM216 184C216 170.7 226.7 160 240 160H304C317.3 160 328 170.7 328 184C328 197.3 317.3 208 304 208H264V240H304C317.3 240 328 250.7 328 264C328 277.3 317.3 288 304 288H264V328C264 341.3 253.3 352 240 352C226.7 352 216 341.3 216 328V184zM416 328C416 341.3 405.3 352 392 352C378.7 352 368 341.3 368 328V184C368 170.7 378.7 160 392 160C405.3 160 416 170.7 416 184V328z"],
    "square-o": [448, 512, [], "e278", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM400 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V416zM224 128C153.4 128 96 185.4 96 256s57.42 128 128 128s128-57.42 128-128S294.6 128 224 128zM224 336c-44.11 0-80-35.89-80-80S179.9 176 224 176s80 35.89 80 80S268.1 336 224 336z"],
    "square-p": [448, 512, [], "e279", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM400 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V416zM248 128h-96C138.8 128 128 138.8 128 152v208C128 373.3 138.8 384 152 384s24-10.75 24-24V304h72c48.53 0 88-39.47 88-88S296.5 128 248 128zM248 256H176V176h72C270.1 176 288 193.9 288 216S270.1 256 248 256z"],
    "square-parking": [448, 512, [127359, "parking"], "f540", "M248 320H184V360C184 373.3 173.3 384 160 384C146.7 384 136 373.3 136 360V160C136 142.3 150.3 128 168 128H248C301 128 344 170.1 344 224C344 277 301 320 248 320zM248 272C274.5 272 296 250.5 296 224C296 197.5 274.5 176 248 176H184V272H248zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM48 96V416C48 424.8 55.16 432 64 432H384C392.8 432 400 424.8 400 416V96C400 87.16 392.8 80 384 80H64C55.16 80 48 87.16 48 96z"],
    "square-parking-slash": [640, 512, ["parking-slash"], "f617", "M107.7 59.11C119.3 42.71 138.4 32 159.1 32H480C515.3 32 544 60.65 544 96V401.1L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L107.7 59.11zM145.7 88.87L232.2 156.7C233.8 140.6 247.5 128 263.1 128H344C397 128 440 170.1 440 224C440 252.1 427.9 277.4 408.6 294.1L496 363.5V96C496 87.16 488.8 80 480 80H159.1C153.7 80 148.3 83.61 145.7 88.87V88.87zM369.8 264.5C383.1 255.1 392 241 392 224C392 197.5 370.5 176 344 176H279.1V194.2L369.8 264.5zM231.1 278.8L279.1 316.6V360C279.1 373.3 269.3 384 255.1 384C242.7 384 231.1 373.3 231.1 360V278.8zM143.1 209.5V416C143.1 424.8 151.2 432 159.1 432H426.5L486.9 479.6C484.6 479.9 482.3 480 480 480H159.1C124.7 480 95.1 451.3 95.1 416V171.6L143.1 209.5z"],
    "square-pen": [448, 512, ["pen-square", "pencil-square"], "f14b", "M340.1 154.1C355.8 169.7 355.8 195 340.1 210.7L318.7 232.1L247.8 161.1L269.2 139.7C284.8 124.1 310.1 124.1 325.8 139.7L340.1 154.1zM119.9 288.1L225.1 183.8L296.1 254.7L190.9 359.9C186.8 364 181.6 366.9 176 368.3L115.9 383.4C110.4 384.7 104.7 383.1 100.7 379.2C96.71 375.2 95.12 369.4 96.48 363.1L111.5 303.8C112.9 298.2 115.8 293.1 119.9 288.1V288.1zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM48 96V416C48 424.8 55.16 432 64 432H384C392.8 432 400 424.8 400 416V96C400 87.16 392.8 80 384 80H64C55.16 80 48 87.16 48 96z"],
    "square-person-confined": [448, 512, [], "e577", "M352 260V348C352 379.8 327.3 405.8 296 407.9V408C295.3 408 294.5 407.1 293.8 407.1C293.2 407.1 292.6 408 292 408C286.3 408 280.9 407.2 275.7 405.8C256.1 401.4 238.2 390.7 225 375.1L180.4 322.4L141.1 395.4C134.8 407 120.3 411.4 108.6 405.1C96.95 398.8 92.58 384.3 98.87 372.6L154.9 268.6C158.6 261.6 165.6 256.1 173.5 256.1C181.4 255.3 189.2 258.4 194.3 264.5L232 309V260C232 226.9 258.9 200 292 200C325.1 200 352 226.9 352 260V260zM287.8 359.2C289.6 359.6 291.5 359.8 293.4 359.9C299.4 359.2 304 354.2 304 348V260C304 253.4 298.6 248 292 248C285.4 248 280 253.4 280 260V348C280 353.2 283.3 357.6 287.8 359.3V359.2zM160 160C160 133.5 181.5 112 208 112C234.5 112 256 133.5 256 160C256 186.5 234.5 208 208 208C181.5 208 160 186.5 160 160zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM48 96V416C48 424.8 55.16 432 64 432H384C392.8 432 400 424.8 400 416V96C400 87.16 392.8 80 384 80H64C55.16 80 48 87.16 48 96z"],
    "square-phone": [448, 512, ["phone-square"], "f098", "M342.5 303.6l-54.24-23.25c-6.391-2.766-13.9-.9062-18.24 4.484l-22.02 26.91c-34.63-17-62.77-45.14-79.77-79.75l26.91-22.05c5.375-4.391 7.211-11.83 4.492-18.22L176.4 137.5C173.4 130.5 165.8 126.7 158.5 128.4L108.1 140c-7.125 1.625-12.11 7.891-12.11 15.22c0 126.1 102.6 228.8 228.7 228.8c7.336 0 13.6-4.984 15.24-12.11l11.62-50.39C353.3 314.2 349.5 306.6 342.5 303.6zM384 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM400 416c0 8.82-7.178 16-16 16H64c-8.822 0-16-7.18-16-16V96c0-8.82 7.178-16 16-16h320c8.822 0 16 7.18 16 16V416z"],
    "square-phone-flip": [448, 512, ["phone-square-alt"], "f87b", "M339.9 140l-50.38-11.63c-7.344-1.703-14.88 2.109-17.93 9.062l-23.27 54.28c-2.719 6.391-.8828 13.83 4.492 18.22l26.91 22.05c-16.99 34.61-45.14 62.75-79.77 79.75L177.9 284.9c-4.344-5.391-11.85-7.25-18.24-4.484L105.5 303.6c-6.953 3-10.74 10.58-9.055 17.88l11.62 50.39c1.633 7.125 7.9 12.11 15.24 12.11c126.1 0 228.7-102.6 228.7-228.8C352 147.9 347 141.7 339.9 140zM384 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM400 416c0 8.82-7.178 16-16 16H64c-8.822 0-16-7.18-16-16V96c0-8.82 7.178-16 16-16h320c8.822 0 16 7.18 16 16V416z"],
    "square-phone-hangup": [448, 512, ["phone-square-down"], "e27a", "M83.99 258.9C79.5 263.4 78.71 270.3 82.07 275.7l23.73 37.96c3.432 5.5 10.39 7.82 16.48 5.398l47.43-18.97c5.605-2.219 9.062-7.951 8.422-13.91L175.2 256.2c31.6-10.79 66.05-10.79 97.64-.0098l-2.979 29.97c-.6035 5.977 2.826 11.65 8.4 13.9L325.7 319.1c6.121 2.391 13.07 .1094 16.52-5.428l23.72-37.95c3.365-5.355 2.582-12.24-1.904-16.73C286.8 181.7 161.2 181.7 83.99 258.9zM384 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM400 416c0 8.82-7.178 16-16 16H64c-8.822 0-16-7.18-16-16V96c0-8.82 7.178-16 16-16h320c8.822 0 16 7.18 16 16V416z"],
    "square-plus": [448, 512, [61846, "plus-square"], "f0fe", "M200 344V280H136C122.7 280 112 269.3 112 256C112 242.7 122.7 232 136 232H200V168C200 154.7 210.7 144 224 144C237.3 144 248 154.7 248 168V232H312C325.3 232 336 242.7 336 256C336 269.3 325.3 280 312 280H248V344C248 357.3 237.3 368 224 368C210.7 368 200 357.3 200 344zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM48 96V416C48 424.8 55.16 432 64 432H384C392.8 432 400 424.8 400 416V96C400 87.16 392.8 80 384 80H64C55.16 80 48 87.16 48 96z"],
    "square-poll-horizontal": [448, 512, ["poll-h"], "f682", "M232 184H120C106.7 184 96 173.3 96 160C96 146.7 106.7 136 120 136H232C245.3 136 256 146.7 256 160C256 173.3 245.3 184 232 184zM328 232C341.3 232 352 242.7 352 256C352 269.3 341.3 280 328 280H120C106.7 280 96 269.3 96 256C96 242.7 106.7 232 120 232H328zM168 376H120C106.7 376 96 365.3 96 352C96 338.7 106.7 328 120 328H168C181.3 328 192 338.7 192 352C192 365.3 181.3 376 168 376zM384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM384 80H64C55.16 80 48 87.16 48 96V416C48 424.8 55.16 432 64 432H384C392.8 432 400 424.8 400 416V96C400 87.16 392.8 80 384 80z"],
    "square-poll-vertical": [448, 512, ["poll"], "f681", "M152 248V360C152 373.3 141.3 384 128 384C114.7 384 104 373.3 104 360V248C104 234.7 114.7 224 128 224C141.3 224 152 234.7 152 248zM200 152C200 138.7 210.7 128 224 128C237.3 128 248 138.7 248 152V360C248 373.3 237.3 384 224 384C210.7 384 200 373.3 200 360V152zM344 312V360C344 373.3 333.3 384 320 384C306.7 384 296 373.3 296 360V312C296 298.7 306.7 288 320 288C333.3 288 344 298.7 344 312zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM48 96V416C48 424.8 55.16 432 64 432H384C392.8 432 400 424.8 400 416V96C400 87.16 392.8 80 384 80H64C55.16 80 48 87.16 48 96z"],
    "square-q": [448, 512, [], "e27b", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM400 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V416zM224 128C153.4 128 96 185.4 96 256s57.41 128 128 128c26.64 0 51.37-8.209 71.88-22.18l15.15 15.15C315.7 381.7 321.8 384 328 384s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94l-15.15-15.15C343.8 307.4 352 282.6 352 256C352 185.4 294.6 128 224 128zM294.7 292.7l-29.69-29.69c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94l29.69 29.69C249.7 332.4 237.3 336 224 336c-44.13 0-80-35.89-80-80S179.9 176 224 176s80 35.89 80 80C304 269.3 300.4 281.7 294.7 292.7z"],
    "square-quarters": [448, 512, [], "e44e", "M384 32H64C28.64 32 0 60.64 0 96v320c0 35.36 28.64 64 64 64h320c35.36 0 64-28.64 64-64V96C448 60.64 419.4 32 384 32zM395.3 427.3C392.4 430.2 388.4 432 384 432H64c-4.416 0-8.416-1.793-11.33-4.672L224 256L52.67 84.67C55.58 81.79 59.58 80 64 80h320c4.416 0 8.416 1.791 11.33 4.672L224 256L395.3 427.3z"],
    "square-question": [448, 512, ["question-square"], "f2fd", "M257.1 128h-52C167 128 136 159 136 198c0 13 11 24 24 24s24-11 24-24C184 186 193.1 176 205.1 176h52C269.1 176 280 186 280 198c0 8-4 15-11 19L212 251C204 256 200 264 200 272V288c0 13 11 24 24 24S248 301 248 288V286l45.1-28C315 245 328 222 328 198C328 159 297 128 257.1 128zM224 336c-18 0-32 14-32 32s13.1 32 32 32c17.1 0 32-14 32-32S241.1 336 224 336zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM400 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V416z"],
    "square-quote": [448, 512, [], "e329", "M296 160c-30.93 0-56 25.07-56 56s25.07 56 56 56c2.74 0 5.365-.4258 8-.8066V280c0 13.23-10.77 24-24 24C266.8 304 256 314.8 256 328S266.8 352 280 352C319.7 352 352 319.7 352 280v-64C352 185.1 326.9 160 296 160zM152 160C121.1 160 96 185.1 96 216S121.1 272 152 272C154.7 272 157.4 271.6 160 271.2V280C160 293.2 149.2 304 136 304c-13.25 0-24 10.75-24 24S122.8 352 136 352C175.7 352 208 319.7 208 280v-64C208 185.1 182.9 160 152 160zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM400 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V416z"],
    "square-r": [448, 512, [], "e27c", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM400 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V416zM336 208C336 163.9 300.1 128 256 128H152C138.8 128 128 138.8 128 152v208C128 373.3 138.8 384 152 384s24-10.75 24-24V288h45.97l62.63 86.11C289.3 380.6 296.6 384 304 384c4.875 0 9.812-1.484 14.09-4.594c10.72-7.797 13.09-22.8 5.281-33.52l-44.77-61.55C311.7 274.5 336 244.2 336 208zM256 240H176v-64H256c17.66 0 32 14.36 32 32S273.7 240 256 240z"],
    "square-right": [448, 512, [10145, "arrow-alt-square-right"], "f352", "M248.2 150.2C241.1 143.8 230.1 142.2 222.3 146.1S208 158.5 208 167.1v56L120 224C106.8 224 96 234.8 96 248v16C96 277.3 106.8 288 120 288L208 287.1v56c0 9.531 5.656 18.16 14.38 22c8.75 3.812 18.91 2.094 25.91-4.375l96-88.75C349.2 268.3 352 261.9 352 255.2c-.3125-7.781-2.875-13.25-7.844-17.75L248.2 150.2zM384 32H64C28.66 32 0 60.66 0 96v320c0 35.34 28.66 64 64 64h320c35.34 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM400 416c0 8.82-7.18 16-16 16H64c-8.82 0-16-7.18-16-16V96c0-8.82 7.18-16 16-16h320c8.82 0 16 7.18 16 16V416z"],
    "square-ring": [448, 512, [], "e44f", "M384 32H64C28.64 32 0 60.64 0 96v320c0 35.36 28.64 64 64 64h320c35.36 0 64-28.64 64-64V96C448 60.64 419.4 32 384 32zM400 416c0 8.832-7.168 16-16 16H64c-8.832 0-16-7.168-16-16V96c0-8.832 7.168-16 16-16h320c8.832 0 16 7.168 16 16V416zM224 128C153.3 128 96 185.3 96 256s57.31 128 128 128s128-57.31 128-128S294.7 128 224 128zM224 336c-44.19 0-80-35.81-80-80S179.8 176 224 176s80 35.81 80 80S268.2 336 224 336z"],
    "square-root": [576, 512, [8730], "f697", "M576 24c0 13.25-10.75 24-24 24h-213.1L231.3 493.6c-2.406 9.906-10.81 17.25-20.94 18.25c-.8125 .0938-1.635 .1348-2.417 .1348c-9.25 0-17.77-5.354-21.74-13.85L80.72 272H24C10.75 272 0 261.3 0 248S10.75 224 24 224L96 224c9.312 0 17.81 5.396 21.75 13.83l83 177.9l95.91-397.3C299.3 7.594 308.9 .0098 320 .0098L552 0C565.3 0 576 10.75 576 24z"],
    "square-root-variable": [576, 512, ["square-root-alt"], "f698", "M562.1 241c-9.188-9.438-24.38-9.719-33.94-.4375l-48.57 47.26l-47.24-48.57c-9.25-9.5-24.44-9.719-33.94-.5c-9.531 9.25-9.719 24.44-.5 33.94l47.28 48.6l-48.59 47.27c-9.5 9.219-9.688 24.44-.4375 33.94c4.688 4.812 10.94 7.25 17.19 7.25c6.031 0 12.06-2.25 16.75-6.812l48.55-47.24l47.26 48.58C531.5 409.2 537.8 411.6 544 411.6c6.031 0 12.06-2.25 16.72-6.781c9.531-9.25 9.719-24.44 .5-33.94l-47.29-48.62l48.6-47.29C572 265.8 572.2 250.5 562.1 241zM576 24C576 10.75 565.3 0 552 0L320 .0098c-11.09 0-20.72 7.584-23.34 18.37L200.8 415.7l-83-177.9C113.8 229.4 105.3 224 96 224L24 224C10.75 224 0 234.8 0 248S10.75 272 24 272h56.72l105.5 226.2c3.969 8.5 12.49 13.85 21.74 13.85c.7813 0 1.604-.041 2.417-.1348c10.12-1 18.53-8.344 20.94-18.25L338.9 48H552C565.3 48 576 37.25 576 24z"],
    "square-rss": [448, 512, ["rss-square"], "f143", "M121 112C107.9 111.2 96.58 121.8 96.02 135C95.47 148.3 105.8 159.4 119 159.1c106.4 4.469 196.6 94.66 201 201C320.6 373.9 331.2 384 343.1 384c.3438 0 .6719 0 1.016-.0313c13.25-.5313 23.53-11.72 22.98-24.97C362.5 228.3 251.7 117.5 121 112zM121.6 208.1c-13.11-.4375-24.66 9.125-25.52 22.38c-.8594 13.22 9.172 24.66 22.39 25.5c54.69 3.562 102.1 50.94 105.6 105.6C224.9 374.3 235.4 384 247.1 384c.5313 0 1.062-.0313 1.594-.0625c13.22-.8438 23.25-12.28 22.39-25.5C266.9 280.6 199.4 213.1 121.6 208.1zM128 320c-8.189 0-16.38 3.121-22.63 9.371c-12.5 12.5-12.5 32.76 0 45.26C111.6 380.9 119.8 384 128 384s16.38-3.121 22.63-9.371c12.5-12.5 12.5-32.76 0-45.26C144.4 323.1 136.2 320 128 320zM384 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM400 416c0 8.82-7.178 16-16 16H64c-8.822 0-16-7.18-16-16V96c0-8.82 7.178-16 16-16h320c8.822 0 16 7.18 16 16V416z"],
    "square-s": [448, 512, [], "e27d", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM400 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V416zM230.4 232.9C180.5 219.1 173.7 212.4 176.5 196.6c1.031-5.688 4.156-10.27 9.344-13.61c8.594-5.547 30.84-12.88 83.63 .5781c12.81 3.297 25.94-4.469 29.19-17.31c3.281-12.84-4.469-25.92-17.31-29.19c-53.66-13.69-94.47-11.81-121.5 5.562C143.5 153.2 132.7 169.4 129.3 188.2c-11.28 63.38 48.66 80 88.31 91c49.94 13.86 56.69 20.53 53.88 36.31c-1.312 7.312-4.344 11.81-10.12 15.06c-18.09 10.09-58.5 5.844-100.6-10.7c-12.22-4.75-26.28 1.188-31.12 13.58c-4.844 12.33 1.219 26.27 13.56 31.11c18.31 7.172 54.88 19.48 90.63 19.48c18 0 35.78-3.109 50.94-11.58c18.38-10.28 30.09-27.06 33.94-48.53C329.1 260.6 270.1 243.9 230.4 232.9z"],
    "square-share-nodes": [448, 512, ["share-alt-square"], "f1e1", "M352 176C352 202.5 330.5 224 304 224C294.2 224 285.1 221.1 277.5 216.1L197.7 256L277.5 295.9C285.1 290.9 294.2 288 304 288C330.5 288 352 309.5 352 336C352 362.5 330.5 384 304 384C278.5 384 257.6 364 256.1 338.9L170.5 296.1C162.9 301.1 153.8 304 144 304C117.5 304 96 282.5 96 256C96 229.5 117.5 208 144 208C153.8 208 162.9 210.9 170.5 215.9L256.1 173.1C257.6 147.1 278.5 128 304 128C330.5 128 352 149.5 352 176H352zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM48 96V416C48 424.8 55.16 432 64 432H384C392.8 432 400 424.8 400 416V96C400 87.16 392.8 80 384 80H64C55.16 80 48 87.16 48 96z"],
    "square-sliders": [448, 512, ["sliders-h-square"], "f3f0", "M120 152H152V136C152 122.7 162.7 112 176 112C189.3 112 200 122.7 200 136V152H328C341.3 152 352 162.7 352 176C352 189.3 341.3 200 328 200H200V216C200 229.3 189.3 240 176 240C162.7 240 152 229.3 152 216V200H120C106.7 200 96 189.3 96 176C96 162.7 106.7 152 120 152zM120 360C106.7 360 96 349.3 96 336C96 322.7 106.7 312 120 312H248V296C248 282.7 258.7 272 272 272C285.3 272 296 282.7 296 296V312H328C341.3 312 352 322.7 352 336C352 349.3 341.3 360 328 360H296V376C296 389.3 285.3 400 272 400C258.7 400 248 389.3 248 376V360H120zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM64 432H384C392.8 432 400 424.8 400 416V96C400 87.16 392.8 80 384 80H64C55.16 80 48 87.16 48 96V416C48 424.8 55.16 432 64 432z"],
    "square-sliders-vertical": [448, 512, ["sliders-v-square"], "f3f2", "M144 128C157.3 128 168 138.7 168 152V184H184C197.3 184 208 194.7 208 208C208 221.3 197.3 232 184 232H168V360C168 373.3 157.3 384 144 384C130.7 384 120 373.3 120 360V232H104C90.75 232 80 221.3 80 208C80 194.7 90.75 184 104 184H120V152C120 138.7 130.7 128 144 128zM328 280H344C357.3 280 368 290.7 368 304C368 317.3 357.3 328 344 328H328V360C328 373.3 317.3 384 304 384C290.7 384 280 373.3 280 360V328H264C250.7 328 240 317.3 240 304C240 290.7 250.7 280 264 280H280V152C280 138.7 290.7 128 304 128C317.3 128 328 138.7 328 152V280zM384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM384 80H64C55.16 80 48 87.16 48 96V416C48 424.8 55.16 432 64 432H384C392.8 432 400 424.8 400 416V96C400 87.16 392.8 80 384 80z"],
    "square-small": [320, 512, [], "e27e", "M256 96C291.3 96 320 124.7 320 160V352C320 387.3 291.3 416 256 416H64C28.65 416 0 387.3 0 352V160C0 124.7 28.65 96 64 96H256zM256 144H64C55.16 144 48 151.2 48 160V352C48 360.8 55.16 368 64 368H256C264.8 368 272 360.8 272 352V160C272 151.2 264.8 144 256 144z"],
    "square-star": [448, 512, [], "e27f", "M224 121C230.1 121 235.7 124.5 238.3 129.9L269.6 193.2L339.5 203.4C345.5 204.3 350.5 208.5 352.4 214.3C354.3 220.1 352.7 226.4 348.3 230.7L297.8 279.1L309.7 349.6C310.7 355.6 308.3 361.6 303.4 365.2C298.4 368.8 291.9 369.3 286.5 366.4L224 333.6L161.5 366.4C156.1 369.3 149.6 368.8 144.6 365.2C139.7 361.6 137.3 355.6 138.3 349.6L150.2 279.1L99.66 230.7C95.3 226.4 93.73 220.1 95.61 214.3C97.49 208.5 102.5 204.3 108.5 203.4L178.4 193.2L209.7 129.9C212.3 124.5 217.9 121 224 121V121zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM48 96V416C48 424.8 55.16 432 64 432H384C392.8 432 400 424.8 400 416V96C400 87.16 392.8 80 384 80H64C55.16 80 48 87.16 48 96z"],
    "square-t": [448, 512, [], "e280", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM400 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V416zM328 128h-208C106.8 128 96 138.8 96 152S106.8 176 120 176h80v184C200 373.3 210.8 384 224 384s24-10.75 24-24V176h80C341.3 176 352 165.3 352 152S341.3 128 328 128z"],
    "square-terminal": [448, 512, [], "e32a", "M136.2 150.3L232.2 238.3C237.2 242.9 240 249.3 240 256C240 262.7 237.2 269.1 232.2 273.7L136.2 361.7C126.4 370.6 111.3 369.1 102.3 360.2C93.35 350.4 94.01 335.3 103.8 326.3L180.5 256L103.8 185.7C94.01 176.7 93.35 161.6 102.3 151.8C111.3 142 126.4 141.4 136.2 150.3V150.3zM328 336C341.3 336 352 346.7 352 360C352 373.3 341.3 384 328 384H216C202.7 384 192 373.3 192 360C192 346.7 202.7 336 216 336H328zM384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM384 80H64C55.16 80 48 87.16 48 96V416C48 424.8 55.16 432 64 432H384C392.8 432 400 424.8 400 416V96C400 87.16 392.8 80 384 80z"],
    "square-this-way-up": [448, 512, ["box-up"], "f49f", "M328 352C341.3 352 352 362.7 352 376C352 389.3 341.3 400 328 400H120C106.7 400 96 389.3 96 376C96 362.7 106.7 352 120 352H328zM328 192V296C328 309.3 317.3 320 304 320C290.7 320 280 309.3 280 296V192H254.5C246.5 192 240 185.5 240 177.5C240 173.1 241.3 170.5 243.7 167.9L286.2 119.1C290.8 114.9 297.2 112 304 112C310.8 112 317.2 114.9 321.8 119.1L364.3 167.9C366.7 170.5 368 173.1 368 177.5C368 185.5 361.5 192 353.5 192H328zM83.66 167.9L126.2 119.1C130.8 114.9 137.2 112 144 112C150.8 112 157.2 114.9 161.8 119.1L204.3 167.9C206.7 170.5 208 173.1 208 177.5C208 185.5 201.5 192 193.5 192H168V296C168 309.3 157.3 320 144 320C130.7 320 120 309.3 120 296V192H94.49C86.49 192 80 185.5 80 177.5C80 173.1 81.3 170.5 83.66 167.9V167.9zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM48 96V416C48 424.8 55.16 432 64 432H384C392.8 432 400 424.8 400 416V96C400 87.16 392.8 80 384 80H64C55.16 80 48 87.16 48 96z"],
    "square-u": [448, 512, [], "e281", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM400 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V416zM312 128C298.8 128 288 138.8 288 152v122.9C288 308.6 259.3 336 224 336S160 308.6 160 274.9V152C160 138.8 149.3 128 136 128S112 138.8 112 152v122.9C112 335.1 162.3 384 224 384s112-48.94 112-109.1V152C336 138.8 325.3 128 312 128z"],
    "square-up": [448, 512, [11014, "arrow-alt-square-up"], "f353", "M240.9 135.7C236.3 130.8 229.9 128 223.2 128C215.5 128.3 209.1 130.9 205.5 135.8l-87.25 96C111.8 238.9 110.2 249 114.1 257.7S126.5 272 135.1 272h56L192 360C192 373.3 202.8 384 216 384h16c13.25 0 24-10.75 24-24L255.1 272h56c9.531 0 18.16-5.656 22-14.38c3.812-8.75 2.094-18.91-4.375-25.91L240.9 135.7zM384 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM400 416c0 8.82-7.178 16-16 16H64c-8.822 0-16-7.18-16-16V96c0-8.82 7.178-16 16-16h320c8.822 0 16 7.18 16 16V416z"],
    "square-up-left": [448, 512, [], "e282", "M255.6 242.3l41.37-41.38c6.859-6.875 8.922-17.19 5.203-26.16S289.7 160 280 160h-128C138.8 160 128 170.8 128 184v128c0 9.719 5.844 18.47 14.81 22.19C145.8 335.4 148.9 336 152 336c6.234 0 12.38-2.438 16.97-7.031l41.37-41.38l64.57 64.57c9.369 9.371 24.57 9.37 33.94-.0012l11.31-11.31c9.369-9.367 9.369-24.57 .0002-33.94L255.6 242.3zM384 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM400 416c0 8.82-7.178 16-16 16H64c-8.822 0-16-7.18-16-16V96c0-8.82 7.178-16 16-16h320c8.822 0 16 7.18 16 16V416z"],
    "square-up-right": [448, 512, [8599, "external-link-square-alt"], "f360", "M127.8 306.9c-9.369 9.371-9.369 24.57 .0003 33.94l11.31 11.31c9.369 9.371 24.57 9.372 33.94 .0012l64.57-64.57l41.37 41.38C283.6 333.6 289.8 336 296 336c3.094 0 6.219-.5938 9.188-1.812C314.2 330.5 320 321.7 320 312v-128C320 170.8 309.3 160 296 160h-128C158.3 160 149.5 165.8 145.8 174.8S144.2 194.1 151 200.1l41.37 41.38L127.8 306.9zM0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96c0-35.34-28.65-64-64-64H64C28.65 32 0 60.66 0 96zM48 96c0-8.82 7.178-16 16-16h320c8.822 0 16 7.18 16 16v320c0 8.82-7.178 16-16 16H64c-8.822 0-16-7.18-16-16V96z"],
    "square-user": [448, 512, [], "e283", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM113.6 432C121 395.5 153.4 368 192 368h64c38.63 0 70.96 27.53 78.39 64H113.6zM400 416c0 8.822-7.178 16-16 16h-1.613C374.4 368.9 321.2 320 256 320H192c-65.21 0-118.4 48.95-126.4 112H64c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V416zM224 112c-48.6 0-88 39.4-88 88C136 248.6 175.4 288 224 288c48.6 0 88-39.4 88-88C312 151.4 272.6 112 224 112zM224 240c-22.05 0-40-17.95-40-40C184 177.9 201.9 160 224 160c22.06 0 40 17.94 40 40C264 222.1 246.1 240 224 240z"],
    "square-v": [448, 512, [], "e284", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM400 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V416zM338.7 130.5c-11.86-5.891-26.27-1.125-32.2 10.73L224 306.3L141.5 141.3C135.5 129.4 121.2 124.6 109.3 130.5C97.41 136.5 92.61 150.9 98.53 162.7l104 208C206.6 378.9 214.9 384 224 384s17.41-5.141 21.47-13.27l104-208C355.4 150.9 350.6 136.5 338.7 130.5z"],
    "square-virus": [448, 512, [], "e578", "M224 109.6C237.3 109.6 248 120.3 248 133.6C248 157.4 276.8 169.3 293.6 152.5C302.1 143.1 318.2 143.1 327.5 152.5C336.9 161.8 336.9 177 327.5 186.4C310.7 203.2 322.6 231.1 346.4 231.1C359.7 231.1 370.4 242.7 370.4 255.1C370.4 269.3 359.7 279.1 346.4 279.1C322.6 279.1 310.7 308.8 327.5 325.6C336.9 334.1 336.9 350.2 327.5 359.5C318.2 368.9 302.1 368.9 293.6 359.5C276.8 342.7 248 354.6 248 378.4C248 391.7 237.3 402.4 224 402.4C210.7 402.4 200 391.7 200 378.4C200 354.6 171.2 342.7 154.4 359.5C145 368.9 129.8 368.9 120.5 359.5C111.1 350.2 111.1 334.1 120.5 325.6C137.3 308.8 125.4 279.1 101.6 279.1C88.32 279.1 77.58 269.3 77.58 255.1C77.58 242.7 88.32 231.1 101.6 231.1C125.4 231.1 137.3 203.2 120.5 186.4C111.1 177 111.1 161.8 120.5 152.5C129.8 143.1 145 143.1 154.4 152.5C171.2 169.3 200 157.4 200 133.6C200 120.3 210.7 109.6 224 109.6V109.6zM192 256C209.7 256 224 241.7 224 224C224 206.3 209.7 192 192 192C174.3 192 160 206.3 160 224C160 241.7 174.3 256 192 256zM256 264C242.7 264 232 274.7 232 288C232 301.3 242.7 312 256 312C269.3 312 280 301.3 280 288C280 274.7 269.3 264 256 264zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM48 96V416C48 424.8 55.16 432 64 432H384C392.8 432 400 424.8 400 416V96C400 87.16 392.8 80 384 80H64C55.16 80 48 87.16 48 96z"],
    "square-w": [448, 512, [], "e285", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM400 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V416zM351.1 129.1c-12.66-3.828-26.11 3.203-30 15.88L281.5 273.4l-34.36-127.6C244.4 135.3 234.9 128 224 128S203.6 135.3 200.8 145.8L166.5 273.4L126.9 144.9c-3.906-12.67-17.34-19.73-30-15.88c-12.67 3.891-19.78 17.33-15.88 30l64 208C148.2 377.3 157.7 383.1 168.4 384c10.7-.1875 19.97-7.438 22.75-17.77L224 244.3l32.83 121.9C259.6 376.6 268.9 383.8 279.6 384H280c10.52 0 19.84-6.859 22.94-16.94l64-208C370.8 146.4 363.7 132.1 351.1 129.1z"],
    "square-x": [448, 512, [], "e286", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM400 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V416zM327.5 133.7c-10.11-8.578-25.28-7.297-33.83 2.828L224 218.8L154.3 136.5C145.8 126.4 130.6 125.1 120.5 133.7C110.4 142.2 109.1 157.4 117.7 167.5L192.6 256l-74.88 88.5c-8.562 10.11-7.297 25.27 2.828 33.83C125 382.1 130.5 384 135.1 384c6.812 0 13.59-2.891 18.34-8.5L224 293.2l69.67 82.34C298.4 381.1 305.2 384 312 384c5.469 0 10.98-1.859 15.48-5.672c10.12-8.562 11.39-23.72 2.828-33.83L255.4 256l74.88-88.5C338.9 157.4 337.6 142.2 327.5 133.7z"],
    "square-xmark": [448, 512, [10062, "times-square", "xmark-square"], "f2d3", "M143 175C152.4 165.7 167.6 165.7 176.1 175L223.1 222.1L271 175C280.4 165.7 295.6 165.7 304.1 175C314.3 184.4 314.3 199.6 304.1 208.1L257.9 255.1L304.1 303C314.3 312.4 314.3 327.6 304.1 336.1C295.6 346.3 280.4 346.3 271 336.1L223.1 289.9L176.1 336.1C167.6 346.3 152.4 346.3 143 336.1C133.7 327.6 133.7 312.4 143 303L190.1 255.1L143 208.1C133.7 199.6 133.7 184.4 143 175V175zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM48 96V416C48 424.8 55.16 432 64 432H384C392.8 432 400 424.8 400 416V96C400 87.16 392.8 80 384 80H64C55.16 80 48 87.16 48 96z"],
    "square-y": [448, 512, [], "e287", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM400 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V416zM309.8 136.4L224 236.5L138.2 136.4C129.6 126.3 114.5 125.2 104.4 133.8C94.31 142.4 93.16 157.6 101.8 167.6L200 282.2V360C200 373.3 210.8 384 224 384s24-10.75 24-24V282.2l98.22-114.6c8.625-10.06 7.469-25.22-2.594-33.84C333.5 125.1 318.4 126.3 309.8 136.4z"],
    "square-z": [448, 512, [], "e288", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM400 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V416zM296 336H197.8l117.9-170.3c5.094-7.328 5.688-16.89 1.531-24.8C313.1 132.1 304.9 128 296 128h-144C138.8 128 128 138.8 128 152S138.8 176 152 176h98.19l-117.9 170.3c-5.094 7.328-5.688 16.89-1.531 24.8C134.9 379 143.1 384 152 384h144c13.25 0 24-10.75 24-24S309.3 336 296 336z"],
    "squid": [512, 512, [129425], "e450", "M285.3 339.8C284.1 341 283.1 342.5 282.4 344.1C281.8 345.7 281.4 347.5 281.4 349.2C281.4 351 281.8 352.7 282.4 354.4C283.1 356 284.1 357.5 285.3 358.7L321.2 394.6C322.7 396.1 324.4 397.2 326.4 398.1C328.3 398.9 330.4 399.3 332.5 399.3C334.6 399.3 336.7 398.9 338.7 398.1C340.6 397.2 342.4 396.1 343.9 394.6L404.7 334.2C409.2 329.7 414.5 326.1 420.4 323.7C426.3 321.3 432.7 320.1 439 320.2C445.4 320.2 451.7 321.5 457.6 324.1C463.4 326.6 468.7 330.2 473.2 334.8L507.9 373.4L508.1 373.1C510.7 377 511.1 380.9 511.9 384.9C511.7 388.8 510.1 392.6 507.3 395.5C490.9 412 468.9 421.9 445.7 423.2C422.4 424.5 399.4 417.1 381.3 402.5L366.4 417.2C361.9 421.7 356.6 425.3 350.8 427.7C344.1 430.1 338.7 431.3 332.4 431.3C330.1 431.3 329.5 431.1 328 431.1C316.3 429.8 305.4 424.5 297.2 415.1L265.8 384.5C262.5 381.2 257.1 379.3 253.2 379.3C250.9 379.3 248.6 379.8 246.5 380.7C244.4 381.5 242.4 382.8 240.8 384.5L240.4 384.8C237.1 388.2 235.2 392.7 235.2 397.4C235.2 402.1 237.1 406.6 240.4 409.9L260.7 430.2C269.7 439.2 274.7 451.4 274.7 464.1C274.7 476.9 269.7 489.1 260.7 498.1L251.9 506.8C248.6 510.1 244.2 511.1 239.6 512C236.5 511.9 233.4 510.8 230.9 508.9C228.1 507.6 227.4 505.8 226.2 503.8C225.1 501.8 224.4 499.5 224.2 497.2C223.1 494.9 224.3 492.6 225.1 490.4C225.9 488.2 227.2 486.2 228.8 484.5L238.2 475.2C241.2 472.2 242.9 468.1 242.9 463.9C242.9 459.6 241.2 455.6 238.2 452.6L198.7 413.1C197.1 411.5 195.3 410.2 193.2 409.4C191.1 408.5 188.9 408 186.6 408C183.6 408.1 180.6 408.8 177.1 410.3C175.3 411.7 173 413.8 171.3 416.3L148.4 445.5C145.4 449.7 143.9 454.8 144.2 459.9C144.6 465.1 146.8 469.9 150.4 473.6C152.4 475.6 154.7 477.2 157.3 478.3C159.9 479.4 162.7 479.1 165.6 480H175.2C179.1 479.9 182.9 481.2 185.9 483.6C188.9 486.1 191 489.5 191.8 493.3C192.2 495.6 192.1 497.1 191.4 500.2C190.8 502.5 189.7 504.5 188.2 506.3C186.7 508.1 184.9 509.5 182.7 510.5C180.6 511.5 178.3 512 176 512H165.4C151.4 512.1 137.9 506.6 127.8 496.7C118.8 487.5 113.3 475.4 112.4 462.5C111.6 449.6 115.3 436.9 123.1 426.5L145.5 397.7C147.8 394.4 149.2 390.5 149.4 386.4C149.7 382.4 148.9 378.3 146.1 374.7C145.1 371.1 142.3 368.1 138.8 366C135.3 363.9 131.3 362.8 127.2 362.8C122.7 362.8 118.2 364.2 114.4 366.8L85.79 389.2C76.47 396.2 65.13 400 53.47 400C46.45 400 39.48 398.7 32.98 395.1C26.48 393.3 20.58 389.4 15.61 384.4C10.64 379.4 6.698 373.5 4.02 367C1.341 360.6-.0249 353.6 .0003 346.6V336C.0003 331.8 1.686 327.7 4.687 324.7C7.687 321.7 11.76 319.1 16 319.1C16.9 320 17.8 320.2 18.69 320.4C22.5 321.1 25.93 323.2 28.36 326.2C30.8 329.3 32.08 333.1 32 336.1V346.6C31.99 350.6 33.1 354.5 35.19 357.9C37.29 361.3 40.29 364 43.87 365.8C47.44 367.6 51.44 368.3 55.41 367.1C59.39 367.6 63.18 366.1 66.37 363.7L95.55 340.9C97.78 339.4 99.65 337.5 101.1 335.3C102.5 333 103.3 330.5 103.6 327.9C103.9 325.3 103.7 322.6 102.8 320.1C101.1 317.6 100.6 315.3 98.75 313.4L59.3 273.1C56.3 270.1 52.23 269.3 47.98 269.3C43.74 269.3 39.67 270.1 36.67 273.1L27.33 283.3C25.68 284.1 23.69 286.2 21.5 287C19.31 287.8 16.98 288.2 14.65 287.1C12.33 287.8 10.08 287.1 8.056 285.9C6.034 284.7 4.289 283.2 2.944 281.2C.7834 278-.167 274.1 .2602 270.2C.6874 266.4 2.465 262.8 5.28 260.1L14.05 251.3C23.05 242.3 35.26 237.3 47.98 237.3C60.71 237.3 72.92 242.3 81.92 251.3L102.2 271.5C105.5 274.8 110 276.7 114.8 276.7C117.1 276.7 119.4 276.3 121.5 275.4C123.7 274.5 125.6 273.2 127.2 271.6L127.6 271.2C130.9 267.9 132.8 263.4 132.8 258.7C132.8 253.1 130.9 249.4 127.6 246.1L96.16 214.7C87.66 206.5 82.3 195.6 80.99 183.9C80.34 176.8 81.25 169.8 83.65 163.1C86.05 156.5 89.88 150.5 94.88 145.5L109.6 130.6C94.1 112.4 87.62 89.51 88.92 66.23C90.22 42.95 100.1 20.98 116.7 4.576C118.1 3.121 119.9 1.967 121.8 1.182C123.7 .3965 125.7-.0051 127.7 .0003C131.6 .0454 135.2 1.427 138.1 3.904L138.7 4.128L177.2 38.91C181.8 43.34 185.5 48.63 188 54.49C190.5 60.34 191.9 66.64 191.9 73.02C191.1 79.39 190.8 85.72 188.4 91.62C185.1 97.52 182.4 102.9 177.9 107.4L117.5 168.2C116 169.7 114.8 171.4 114 173.4C113.2 175.3 112.8 177.4 112.8 179.5C112.8 181.6 113.2 183.7 114 185.7C114.8 187.6 116 189.4 117.5 190.9L153.3 226.7C155.8 229.2 159.2 230.6 162.8 230.6C166.3 230.6 169.7 229.2 172.2 226.7C173.5 225.4 174.5 223.9 175.2 222.2C175.9 220.5 176.2 218.6 176.2 216.8C176.1 204.5 178 192.2 181.1 180.5C188.7 160.1 199.5 143.1 213.6 128C231.8 109.9 251.5 93.35 272.5 78.62L256.5 20.19C255.9 17.72 255.8 15.12 256.4 12.62C256.9 10.12 258.1 7.788 259.7 5.824C261.2 4.01 263.1 2.548 265.2 1.542C267.3 .535 269.6 .009 272 0L371.8 7.616C383.4 8.669 394.8 11.11 405.8 14.88C435.1 6.159 465.4 1.16 496 0C500.2 0 504.3 1.686 507.3 4.686C510.3 7.687 512 11.76 512 16C510.8 46.56 505.8 76.86 497.1 106.2C500.9 117.2 503.3 128.6 504.4 140.2L512 238.8C512.2 241.3 511.7 243.9 510.7 246.3C509.7 248.6 508.1 250.7 506.1 252.3C504.2 253.1 501.8 255.1 499.3 255.7C496.8 256.3 494.2 256.2 491.7 255.5L433.3 239.5C418.6 260.5 402.1 280.3 384 298.4C368.1 312.6 351.1 323.4 331.6 330.2C320.2 334 308.2 335.1 296.2 336H295.2C291.6 335.9 288 337.3 285.3 339.8L285.3 339.8zM195.3 291.3C198.3 288.3 200 284.2 200 279.1C200 276.8 199.1 273.7 197.3 271.1C195.5 268.5 193 266.4 190.1 265.2C187.2 264 183.1 263.7 180.9 264.3C177.8 264.9 174.9 266.4 172.7 268.7C170.4 270.9 168.9 273.8 168.3 276.9C167.7 279.1 168 283.2 169.2 286.1C170.4 289 172.5 291.5 175.1 293.3C177.7 295.1 180.8 295.1 184 295.1C188.2 295.1 192.3 294.3 195.3 291.3zM243.3 339.3C246.3 336.3 248 332.2 248 328C248 324.8 247.1 321.7 245.3 319.1C243.5 316.5 241 314.4 238.1 313.2C235.2 312 231.1 311.7 228.9 312.3C225.8 312.9 222.9 314.4 220.7 316.7C218.4 318.9 216.9 321.8 216.3 324.9C215.7 327.1 216 331.2 217.2 334.1C218.4 337 220.5 339.5 223.1 341.3C225.7 343.1 228.8 344 232 344C236.2 344 240.3 342.3 243.3 339.3zM269.5 281.3C277.9 285.3 287.1 287.6 296.4 287.1C316.6 286.1 335.7 278.6 350.1 264.5C407.9 206.7 446.4 132.4 460.2 51.81C379.6 65.63 305.3 104.1 247.5 161.9C240.2 168.3 234.4 176.2 230.3 185C226.3 193.9 224.3 203.5 224.3 213.2C224.3 222.9 226.3 232.5 230.3 241.4C234.4 250.2 240.2 258.1 247.5 264.5C253.6 271.5 261.1 277.2 269.5 281.3z"],
    "squirrel": [576, 512, [], "f71a", "M448 176C448 184.8 440.8 192 432 192C423.2 192 416 184.8 416 176C416 167.2 423.2 160 432 160C440.8 160 448 167.2 448 176zM179.7 48C124.7 48 79.1 92.65 79.1 147.7C79.1 202.8 124.7 247.5 179.7 247.5C202.1 247.5 219.7 266.7 217.8 288.1L217.1 296.7C216.1 307.7 211.2 317 205.1 323.1C191.9 338.9 183.1 358.3 183.1 379.7C183.1 418.8 210.6 451.7 246.8 461.2C232.4 441.3 223.1 416.8 223.1 390.3C223.1 365.4 231.7 341 245.1 320.6L280.9 270.6C316.8 219.5 336 158.5 336 96V75.2C336 69.01 341 64 347.2 64C362.4 64 375.9 71.61 384 83.24C392.1 71.61 405.6 64 420.8 64C426.1 64 432 69.01 432 75.2V96H439.6C493 96 537.8 136.5 543.1 189.7L543.9 197.6C544.3 202.1 543.5 206.7 541.5 210.7L537.4 218.9C522.1 247.7 495.3 267.1 464 271.2V326C488.3 345.1 504 374.7 504 408C504 428.6 498 447.8 487.7 464H521.1C534.3 464 545.1 474.7 545.1 488C545.1 501.3 534.3 512 521.1 512H268.3C195.2 512 136 452.8 136 379.7C136 347.5 147.6 317.9 166.8 294.9C91.26 288.3 32 224.1 32 147.7C32 66.14 98.14 0 179.7 0C239.3 0 290.6 35.26 313.1 85.95C319.5 97.99 314.2 112.2 302.2 117.8C290.2 123.3 275.9 118.1 270.4 106C254.6 71.74 219.9 48 179.7 48V48zM400 464C430.9 464 456 438.9 456 408C456 377.1 430.9 352 400 352C394.1 352 388.5 352.9 383.2 354.6C370.5 358.5 357.1 351.5 353.1 338.9C349.1 326.2 356.2 312.7 368.8 308.8C378.7 305.7 389.2 304 400 304C405.4 304 410.8 304.4 416 305.2V248C416 234.7 426.7 224 440 224H451.5C469.7 224 486.3 213.7 494.4 197.5L495.4 195.5L495.3 194.4C492.5 165.8 468.4 144 439.6 144H380.7C373.1 199.2 352.5 252.1 320.3 298.2L285.3 348.1C276.6 360.5 272 375.2 272 390.3C272 431 304.1 464 345.7 464L400 464z"],
    "staff": [512, 512, [], "f71b", "M415.5 0h-69.09c-36.28 0-70.13 20.97-86.25 53.38L245.7 82.22c-4.656 9.219-5.438 19.69-2.188 29.5c3.281 9.844 10.19 17.75 19.31 22.22l51.75 25.88c18.91 9.594 42.13 1.938 51.84-17.19L370.2 135H377v26.53L251.8 197.3C221.8 206 194.4 222.1 172.6 244l-28 28H112C103.1 272 96 279.1 96 288v32.56l-82.59 82.59C4.75 411.8 0 423.3 0 435.5s4.75 23.66 13.41 32.31l30.81 30.81C52.88 507.3 64.34 512 76.53 512s23.66-4.75 32.31-13.41L268 339.4c5.812-5.812 13.09-10.09 21-12.34l87.68-25.05l26.45 15.34c7.625 4.375 17.5 1.75 21.88-5.875l16.12-27.88l.8784-.25C483.2 271.7 512 233.5 512 190.6V96.5C512 43.28 468.7 0 415.5 0zM464 190.6c0 21.56-14.44 40.69-35.16 46.59l-153 43.72c-15.75 4.5-30.19 13-41.75 24.56l-157.5 157.5l-27.56-27.56l157.6-157.5c16.09-16.16 36.38-28.06 58.56-34.47l142.5-40.78C417.9 199.8 425 190.3 425 179.6V111c0-13.25-10.75-24-24-24h-45.66c-9.125 0-17.44 5.156-21.5 13.31l-6.156 12.38l-34.81-17.41l10.25-20.5C311.2 58.5 328.2 48 346.4 48h69.09C442.3 48 464 69.75 464 96.5V190.6z"],
    "staff-snake": [384, 512, ["rod-asclepius", "rod-snake", "staff-aesculapius"], "e579", "M222.5 48H296C344.6 48 384 87.4 384 136C384 184.6 344.6 224 296 224H248V176H296C318.1 176 336 158.1 336 136C336 113.9 318.1 96 296 96H220.1L214.1 288H240C284.2 288 320 323.8 320 368C320 412.2 284.2 448 240 448V400C257.7 400 272 385.7 272 368C272 350.3 257.7 336 240 336H213.5L208.5 496C208.2 504.9 200.9 512 191.1 512C183.1 512 175.8 504.9 175.5 496L173.1 448H119.1C106.7 448 95.1 437.3 95.1 424C95.1 410.7 106.7 400 119.1 400H172.5L170.5 336H144C99.82 336 64 300.2 64 256C64 214.5 95.57 180.4 136 176.4V225C122.2 228.6 112 241.1 112 256C112 273.7 126.3 288 144 288H169L163 96H127.4C127.8 98.61 128 101.3 128 104C128 134.9 102.9 160 72 160H56C25.07 160 0 134.9 0 104C0 73.07 25.07 48 56 48H161.5L160.1 31.98C160.1 31.33 160.1 30.69 160.1 30.05C161.5 13.43 175.1 0 192 0C208.9 0 222.5 13.43 223 30.05C223 30.69 223 31.33 223 31.98L222.5 48zM79.1 96C79.1 87.16 72.84 80 63.1 80C55.16 80 47.1 87.16 47.1 96C47.1 104.8 55.16 112 63.1 112C72.84 112 79.1 104.8 79.1 96z"],
    "stairs": [576, 512, [], "e289", "M576 56c0 13.25-10.75 24-24 24H432v120C432 213.3 421.3 224 408 224H304v104c0 13.25-10.75 24-24 24H176v104C176 469.3 165.3 480 152 480h-128C10.75 480 0 469.3 0 456s10.75-24 24-24H128v-104C128 314.8 138.8 304 152 304H256V200C256 186.8 266.8 176 280 176H384V56C384 42.75 394.8 32 408 32h144C565.3 32 576 42.75 576 56z"],
    "stamp": [512, 512, [], "f5bf", "M342.6 137.5C335.2 152.9 328 168.9 328 185.1C328 224.7 359.4 256 398 256H416C469 256 512 298.1 512 352V360C512 390.9 486.9 416 456 416H56C25.07 416 0 390.9 0 360V352C0 298.1 42.98 256 96 256H113.1C152.7 256 184 224.7 184 185.1C184 168.9 176.8 152.9 169.4 137.5C163.4 124.9 160 110.9 160 96C160 42.98 202.1 0 256 0C309 0 352 42.98 352 96C352 110.9 348.6 124.9 342.6 137.5zM304 96C304 69.49 282.5 48 256 48C229.5 48 208 69.49 208 96C208 103.5 209.7 110.5 212.7 116.7L212.1 117.3C219.1 131.9 232 156.9 232 185.1C232 251.2 179.2 304 113.1 304H96C69.49 304 48 325.5 48 352V360C48 364.4 51.58 368 56 368H456C460.4 368 464 364.4 464 360V352C464 325.5 442.5 304 416 304H398C332.8 304 280 251.2 280 185.1C280 156.9 292 131.9 299 117.3L299.3 116.7C302.3 110.5 304 103.5 304 96zM32 480C32 462.3 46.33 448 64 448H448C465.7 448 480 462.3 480 480C480 497.7 465.7 512 448 512H64C46.33 512 32 497.7 32 480z"],
    "standard-definition": [576, 512, ["rectangle-sd"], "e28a", "M512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM528 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h448c8.822 0 16 7.178 16 16V416zM384 160h-56c-13.25 0-24 10.75-24 24v144c0 13.25 10.75 24 24 24H384c52.94 0 96-43.06 96-96S436.9 160 384 160zM384 304h-32v-96h32c26.47 0 48 21.53 48 48S410.5 304 384 304zM197.3 234.6L190.1 232.8C156.6 224.1 157.5 219.4 158.3 215.3c1.469-7.688 19.25-13.72 45-10.19C211.5 206.2 221.1 208.9 227.6 210.9C239.3 214.5 251.5 207.8 255.1 196.3C258.6 184.6 252 172.3 240.4 168.8C232.4 166.4 220.6 163 209.3 161.5C158.9 154.5 121.9 172.3 115.1 206.8C105.4 256.3 157 269.7 179.1 275.4l7.469 1.906c35.25 8.875 40.44 13 39.16 19.45c-1.5 7.688-19.12 13.81-45.09 10.17C170.9 305.6 158.1 301.9 148.4 298.5L142.5 296.7C130.8 292.1 118.6 299.5 115 311.1c-3.625 11.59 2.875 23.92 14.47 27.53l5.656 1.797c12.28 3.891 26.19 8.281 39.59 10.06c7.25 1 14.3 1.484 20.96 1.484c39.56 0 67.42-17.28 73.2-46.81C278.7 255.1 227.8 242.3 197.3 234.6z"],
    "stapler": [640, 512, [], "e5af", "M104 384C81.91 384 64 366.1 64 344V240L43.51 234.9C17.94 228.5 0 205.5 0 179.1C0 166.7 4.031 154.6 11.49 144.7L43.83 101.6C76.67 57.77 128.2 32 182.9 32C209.9 32 236.6 38.29 260.7 50.36L586.9 213.5C616 228 635.5 256.1 639.3 287.9L640 288V432C640 458.5 618.5 480 592 480H55.1C42.74 480 31.1 469.3 31.1 456C31.1 442.7 42.74 432 55.1 432H448V384H104zM448 336L112 252V336H448zM592 432V295.1C591.9 295.2 591.8 294.4 591.7 293.6C589.8 277.7 579.1 263.7 565.5 256.4L239.3 93.29C221.8 84.55 202.5 80 182.9 80C143.3 80 106 98.66 82.23 130.4L49.89 173.5C48.66 175.1 48 177.1 48 179.1C48 183.5 50.95 187.3 55.15 188.3L459.6 289.4C481 294.8 496 313.1 496 336V432L592 432z"],
    "star": [576, 512, [61446, 11088], "f005", "M287.9 0C297.1 0 305.5 5.25 309.5 13.52L378.1 154.8L531.4 177.5C540.4 178.8 547.8 185.1 550.7 193.7C553.5 202.4 551.2 211.9 544.8 218.2L433.6 328.4L459.9 483.9C461.4 492.9 457.7 502.1 450.2 507.4C442.8 512.7 432.1 513.4 424.9 509.1L287.9 435.9L150.1 509.1C142.9 513.4 133.1 512.7 125.6 507.4C118.2 502.1 114.5 492.9 115.1 483.9L142.2 328.4L31.11 218.2C24.65 211.9 22.36 202.4 25.2 193.7C28.03 185.1 35.5 178.8 44.49 177.5L197.7 154.8L266.3 13.52C270.4 5.249 278.7 0 287.9 0L287.9 0zM287.9 78.95L235.4 187.2C231.9 194.3 225.1 199.3 217.3 200.5L98.98 217.9L184.9 303C190.4 308.5 192.9 316.4 191.6 324.1L171.4 443.7L276.6 387.5C283.7 383.7 292.2 383.7 299.2 387.5L404.4 443.7L384.2 324.1C382.9 316.4 385.5 308.5 391 303L476.9 217.9L358.6 200.5C350.7 199.3 343.9 194.3 340.5 187.2L287.9 78.95z"],
    "star-and-crescent": [512, 512, [9770], "f699", "M340.5 466.4c-1.5 0-6.875 .5-9.25 .5c-116.3 0-210.8-94.63-210.8-210.9s94.5-210.9 210.8-210.9c2.375 0 7.75 .5 9.25 .5c7.125 0 13.25-5 14.75-12c1.375-7.25-2.625-14.5-9.5-17.12c-29.13-11-59.38-16.5-89.75-16.5c-141.1 0-256 114.9-256 256s114.9 256 256 256c30.25 0 60.25-5.5 89.38-16.38c5.875-2 10.25-7.625 10.25-14.25C355.6 473.4 349.3 466.4 340.5 466.4zM47.1 256c0-70.12 34.88-132.4 88.25-169.1C96.63 131.5 72.5 191 72.5 256s24.13 124.5 63.75 170C82.88 388.4 47.1 326.1 47.1 256zM503.5 213.9l-76.38-11.12L392.9 133.5C391.1 129.9 387.5 128 384 128c-3.5 0-7.125 1.875-9 5.5l-34.13 69.25l-76.38 11.12c-8.125 1.125-11.38 11.25-5.5 17l55.25 53.88l-13 76c-1.125 6.5 3.1 11.75 9.75 11.75c1.5 0 3.125-.375 4.625-1.25l68.38-35.88l68.25 35.88c1.625 .875 3.125 1.25 4.75 1.25c5.75 0 10.88-5.25 9.75-11.75l-13-76l55.25-53.88C514.9 225.1 511.6 214.1 503.5 213.9zM420.1 250.2L402.1 268l4.25 24.88l-22.38-11.75l-22.38 11.75L365.9 268l-18.13-17.62l25-3.75L384 224l11.25 22.62L420.1 250.2z"],
    "star-christmas": [512, 512, [], "f7d4", "M487.8 224.8l-121.9-30.49l60.75-75.36c7.75-9.748 7.125-23.24-1.75-31.99c-8.75-8.748-22.12-9.373-32-1.75l-75.5 60.49l-30.25-121.5C283.5 9.998 270.8 0 256 0s-27.62 9.998-31.12 24.24l-30.5 121.1L119 85.48c-9.75-7.748-23.25-7.123-32 1.75C78.25 95.98 77.5 109.3 85.25 119.2l60.5 75.48L24.25 224.8C9.999 228.4 0 241.2 0 255.1C0 270.7 9.999 283.4 24.25 287.1l121.9 30.49l-60.75 75.36c-7.75 9.748-7.125 23.24 1.75 31.99c4.625 4.749 10.75 7.123 16.75 7.123c5.375 0 10.62-1.875 15.12-5.374l75.5-60.49l30.38 121.5C228.4 502 241.2 512 255.9 512c14.75 0 27.62-9.997 31.25-24.37l30.5-121.7l75.38 60.73c4.5 3.499 9.75 5.374 15.12 5.374c6.125 0 12.12-2.374 16.75-7.123c8.875-8.748 9.5-22.24 1.75-31.99l-60.38-75.48l121.5-30.37C501.1 283.4 512 270.7 512 255.1C512 241.2 501.1 228.4 487.8 224.8zM287.6 287.6L256 414L224.4 287.6l-126.5-31.62l126.5-31.62L256 97.85l31.62 126.5l126.5 31.62L287.6 287.6z"],
    "star-exclamation": [576, 512, [], "f2f3", "M287.1 167.1C301.3 167.1 312 178.7 312 191.1V255.1C312 269.3 301.3 279.1 287.1 279.1C274.7 279.1 263.1 269.3 263.1 255.1V191.1C263.1 178.7 274.7 167.1 287.1 167.1zM320 336C320 353.7 305.7 368 287.1 368C270.3 368 255.1 353.7 255.1 336C255.1 318.3 270.3 303.1 287.1 303.1C305.7 303.1 320 318.3 320 336zM378.1 154.8L531.4 177.5C540.4 178.8 547.8 185.1 550.7 193.7C553.5 202.4 551.2 211.9 544.8 218.2L433.6 328.4L459.9 483.9C461.4 492.9 457.7 502.1 450.2 507.4C442.8 512.7 432.1 513.4 424.9 509.1L287.9 435.9L150.1 509.1C142.9 513.4 133.1 512.7 125.6 507.4C118.2 502.1 114.5 492.9 115.1 483.9L142.2 328.4L31.11 218.2C24.65 211.9 22.36 202.4 25.2 193.7C28.03 185.1 35.5 178.8 44.49 177.5L197.7 154.8L266.3 13.52C270.4 5.249 278.7 0 287.9 0C297.1 0 305.5 5.25 309.5 13.52L378.1 154.8zM217.3 200.5L98.98 217.9L184.9 303C190.4 308.5 192.9 316.4 191.6 324.1L171.4 443.7L276.6 387.5C283.7 383.7 292.2 383.7 299.2 387.5L404.4 443.7L384.2 324.1C382.9 316.4 385.5 308.5 391 303L476.9 217.9L358.6 200.5C350.7 199.3 343.9 194.3 340.5 187.2L287.9 78.95L235.4 187.2C231.9 194.3 225.1 199.3 217.3 200.5L217.3 200.5z"],
    "star-half": [576, 512, [61731], "f089", "M293.3 .6123C304.2 3.118 311.9 12.82 311.9 24V408.7C311.9 417.5 307.1 425.7 299.2 429.8L150.1 509.1C142.9 513.4 133.1 512.7 125.6 507.4C118.2 502.1 114.5 492.1 115.1 483.9L142.2 328.4L31.11 218.3C24.65 211.9 22.36 202.4 25.2 193.7C28.03 185.1 35.5 178.8 44.49 177.5L197.7 154.8L266.3 13.52C271.2 3.46 282.4-1.893 293.3 .6127L293.3 .6123zM263.9 128.4L235.4 187.2C231.9 194.3 225.1 199.3 217.3 200.5L98.98 217.9L184.9 303C190.4 308.5 192.9 316.4 191.6 324.1L171.4 443.7L263.9 394.3L263.9 128.4z"],
    "star-half-stroke": [576, 512, ["star-half-alt"], "f5c0", "M378.1 154.8L531.4 177.5C540.4 178.8 547.8 185.1 550.7 193.7C553.5 202.4 551.2 211.9 544.8 218.2L433.6 328.4L459.9 483.9C461.4 492.9 457.7 502.1 450.2 507.4C442.8 512.7 432.1 513.4 424.9 509.1L287.9 435.9L150.1 509.1C142.9 513.4 133.1 512.7 125.6 507.4C118.2 502.1 114.5 492.9 115.1 483.9L142.2 328.4L31.11 218.2C24.65 211.9 22.36 202.4 25.2 193.7C28.03 185.1 35.5 178.8 44.49 177.5L197.7 154.8L266.3 13.52C270.4 5.249 278.7 0 287.9 0C297.1 0 305.5 5.25 309.5 13.52L378.1 154.8zM287.1 384.7C291.9 384.7 295.7 385.6 299.2 387.5L404.4 443.7L384.2 324.1C382.9 316.4 385.5 308.5 391 303L476.9 217.9L358.6 200.5C350.7 199.3 343.9 194.3 340.5 187.2L287.1 79.09L287.1 384.7z"],
    "star-of-david": [512, 512, [10017], "f69a", "M435.6 256l55.1-89.38c14.87-24.25-3.62-54.61-33.12-54.61l-110.6-.005l-57.87-93.1C281.7 6.003 268.9 0 256 0S230.3 6.003 222.9 18L165 112H54.39c-29.62 0-47.99 30.37-33.12 54.62L76.37 256l-55.1 89.38C6.399 369.6 24.77 399.1 54.39 399.1h110.6l57.87 93.1C230.3 505.1 243.1 512 256 512s25.74-6.002 33.12-18l57.83-93.1h110.7c29.62 0 47.99-30.36 33.12-54.61L435.6 256zM436.1 160L406.7 209.1L376.5 160H436.1zM377.9 256l-59.12 96H193.3L134.1 256l59.12-96h125.5L377.9 256zM256 58.12L289.2 112H222.8L256 58.12zM75.01 160h60.5L105.3 209.1L75.01 160zM75.01 352L105.3 302.9L135.5 352H75.01zM256 453.9L222.8 400h66.49L256 453.9zM376.5 352l30.25-49.13L436.1 352H376.5z"],
    "star-of-life": [512, 512, [], "f621", "M476.8 384C472.3 391.7 464.2 396 455.1 396c-4.094 0-8.234-1.031-12.03-3.25L280 297.7V488c0 13.25-10.75 24-24 24s-24-10.75-24-24V297.7l-163.1 95.09C64.25 394.1 60.11 396 56.02 396c-8.266 0-16.33-4.281-20.78-11.97c-6.641-11.47-2.734-26.16 8.719-32.78L208.2 256l-164.2-95.25C32.5 154.1 28.6 139.4 35.24 127.1c6.641-11.5 21.34-15.41 32.81-8.719L232 214.3V24C232 10.75 242.8 0 256 0s24 10.75 24 24v190.3l163.1-95.09c11.48-6.688 26.16-2.781 32.81 8.719c6.641 11.47 2.734 26.16-8.719 32.78L303.8 256l164.2 95.25C479.5 357.9 483.4 372.6 476.8 384z"],
    "star-sharp": [512, 512, [], "e28b", "M256 0C266.5 0 275.7 6.764 278.9 16.72L329.6 176H488C498.3 176 507.4 182.5 510.7 192.2C514 201.9 510.8 212.6 502.7 218.9L371.9 320.7L422.9 480.7C426.1 490.7 422.4 501.7 413.7 507.7C405.1 513.7 393.6 513.4 385.3 506.9L256 406.4L126.7 506.9C118.4 513.4 106.9 513.7 98.27 507.7C89.65 501.7 85.94 490.7 89.13 480.7L140.1 320.7L9.267 218.9C1.174 212.6-2.027 201.9 1.3 192.2C4.628 182.5 13.75 176 24 176H182.5L233.1 16.72C236.3 6.764 245.6 0 256 0L256 0zM256 103.2L222.9 207.3C219.7 217.2 210.5 224 200 224H93.95L182.7 293.1C190.7 299.2 193.9 309.7 190.9 319.3L158.3 421.6L241.3 357.1C249.9 350.3 262.1 350.3 270.7 357.1L353.7 421.6L321.1 319.3C318.1 309.7 321.3 299.2 329.3 293.1L418.1 224H312C301.5 224 292.3 217.2 289.1 207.3L256 103.2z"],
    "star-sharp-half": [512, 512, [], "e28c", "M259.7 .2865C271.4 2.102 280 12.17 280 24V376C280 383.4 276.6 390.4 270.7 394.9L126.7 506.9C118.4 513.4 106.9 513.7 98.27 507.7C89.65 501.7 85.94 490.7 89.13 480.7L140.1 320.7L9.267 218.9C1.174 212.7-2.027 201.9 1.3 192.2C4.628 182.5 13.75 176 24 176H182.5L233.1 16.73C236.7 5.449 247.1-1.529 259.7 .2862V.2865zM232 178.6L222.9 207.3C219.7 217.2 210.5 224 200 224H93.95L182.7 293.1C190.7 299.2 193.9 309.7 190.9 319.3L158.3 421.6L232 364.3L232 178.6z"],
    "star-sharp-half-stroke": [512, 512, ["star-sharp-half-alt"], "e28d", "M329.6 176H488C498.3 176 507.4 182.5 510.7 192.2C514 201.9 510.8 212.6 502.7 218.9L371.9 320.7L422.9 480.7C426.1 490.7 422.4 501.7 413.7 507.7C405.1 513.7 393.6 513.4 385.3 506.9L256 406.4L126.7 506.9C118.4 513.4 106.9 513.7 98.27 507.7C89.65 501.7 85.94 490.7 89.13 480.7L140.1 320.7L9.267 218.9C1.174 212.6-2.027 201.9 1.3 192.2C4.628 182.5 13.75 176 24 176H182.5L233.1 16.72C236.3 6.764 245.6 0 256 0C266.5 0 275.7 6.764 278.9 16.72L329.6 176zM256 352C261.2 352 266.4 353.7 270.7 357.1L353.7 421.6L321.1 319.3C318.1 309.7 321.3 299.2 329.3 293.1L418.1 223.1H312C301.5 223.1 292.3 217.2 289.1 207.3L256 103.2L256 352z"],
    "star-shooting": [512, 512, [127776], "e036", "M364.2 267.2l-104.8-15.28L212.6 156.7C208.7 148.8 200.7 143.9 191.9 143.9c-8.748 0-16.69 4.913-20.56 12.79l-46.87 95.25L19.73 267.2C.8577 269.1-6.742 293.1 7.006 306.5L82.88 380.5l-17.1 104.6c-1.125 6.625 .67 13.51 5.045 18.63C74.3 509 80.76 512 87.51 512c3.748 0 7.34-.9557 10.72-2.706l93.77-49.38l93.75 49.38c3.375 1.75 6.903 2.685 10.65 2.685c6.748 0 13.2-2.98 17.57-8.23c4.375-5.125 6.274-11.98 5.149-18.61l-17.9-104.6l75.9-74C390.7 293.1 383.1 269.1 364.2 267.2zM249.6 363.8l13.62 79.38l-71.24-37.5l-71.11 37.5l13.62-79.38L76.75 307.5l79.61-11.62l35.62-72.25l35.62 72.25l79.74 11.62L249.6 363.8zM311 200.1C315.7 205.7 321.9 208 328 208s12.28-2.344 16.97-7.031l160-160c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0l-160 160C301.7 176.4 301.7 191.6 311 200.1zM248 96c6.141 0 12.28-2.344 16.97-7.031l48-48c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0l-48 48c-9.375 9.375-9.375 24.56 0 33.94C235.7 93.66 241.9 96 248 96zM471 199l-48 48c-9.375 9.375-9.375 24.56 0 33.94C427.7 285.7 433.9 288 440 288s12.28-2.344 16.97-7.031l48-48c9.375-9.375 9.375-24.56 0-33.94S480.4 189.7 471 199z"],
    "starfighter": [640, 512, [], "e037", "M352 256V304C352 312.8 344.8 320 336 320H304C295.2 320 288 312.8 288 304V256C288 238.3 302.3 224 320 224C337.7 224 352 238.3 352 256zM254.4 35.04C256.9 15.02 273.1 0 294.1 0H345.9C366 0 383.1 15.02 385.6 35.04L411.4 241.4C415.4 240.5 419.7 240 424 240H456C486.9 240 512 265.1 512 296V352H568V168C554.7 168 544 157.3 544 144C544 130.7 554.7 120 568 120V96C568 82.75 578.7 72 592 72C605.3 72 616 82.75 616 96V120C629.3 120 640 130.7 640 144C640 157.3 629.3 168 616 168V448C616 461.3 605.3 472 592 472C578.7 472 568 461.3 568 448V445.3L480 474.7V480C480 497.7 465.7 512 448 512C430.3 512 416 497.7 416 480V479.4C407.2 478.2 399 474.8 392 469.1C382.9 476.3 371.9 480 360 480H280C268.1 480 257.1 476.3 248 469.1C241 474.8 232.8 478.2 224 479.4V480C224 497.7 209.7 512 192 512C174.3 512 160 497.7 160 480V474.7L72 445.3V448C72 461.3 61.25 472 48 472C34.75 472 24 461.3 24 448V168C10.75 168 0 157.3 0 144C0 130.7 10.75 120 24 120V96C24 82.75 34.75 72 48 72C61.25 72 72 82.75 72 96V120C85.25 120 96 130.7 96 144C96 157.3 85.25 168 72 168V352H128V296C128 265.1 153.1 240 184 240H216C220.3 240 224.6 240.5 228.6 241.4L254.4 35.04zM368 424V281.5L338.8 48H301.2L271.1 281.5V424C271.1 428.4 275.6 432 279.1 432H360C364.4 432 368 428.4 368 424H368zM416 296V424C416 428.4 419.6 432 424 432H456C460.4 432 464 428.4 464 424V296C464 291.6 460.4 288 456 288H424C419.6 288 416 291.6 416 296zM184 288C179.6 288 176 291.6 176 296V424C176 428.4 179.6 432 184 432H216C220.4 432 224 428.4 224 424V296C224 291.6 220.4 288 216 288H184z"],
    "starfighter-twin-ion-engine": [576, 512, ["starfighter-alt"], "e038", "M24 32C37.25 32 48 42.75 48 56V193.7L153.8 168.8C182.4 124.1 231.8 96 288 96C344.2 96 393.6 124.1 422.2 168.8L528 193.7V56C528 42.75 538.7 32 552 32C565.3 32 576 42.75 576 56V456C576 469.3 565.3 480 552 480C538.7 480 528 469.3 528 456V318.3L422.2 343.2C393.6 387 344.2 416 288 416C231.8 416 182.4 387 153.8 343.2L48 318.3V456C48 469.3 37.25 480 24 480C10.75 480 0 469.3 0 456V56C0 42.75 10.75 32 24 32zM444.7 288.6L528 268.1V243L444.7 223.4C446.9 233.9 448 244.8 448 256C448 267.2 446.9 278.1 444.7 288.6V288.6zM131.3 288.6C129.1 278.1 128 267.2 128 256C128 244.8 129.1 233.9 131.3 223.4L48 243V268.1L131.3 288.6zM272 366.9V334.4C261.8 332.3 252.3 328.3 243.9 322.7L220.9 345.7C235.6 356.7 253 364.2 272 366.9V366.9zM198.3 323.1L221.3 300.1C215.7 291.7 211.7 282.2 209.6 272H177.1C179.8 290.1 187.3 308.4 198.3 323.1V323.1zM177.1 240H209.6C211.7 229.8 215.7 220.3 221.3 211.9L198.3 188.9C187.3 203.6 179.8 221 177.1 240V240zM220.9 166.3L243.9 189.3C252.3 183.7 261.8 179.7 271.1 177.6V145.1C253 147.8 235.6 155.3 220.9 166.3L220.9 166.3zM332.1 322.7C323.7 328.3 314.2 332.3 304 334.4V366.9C322.1 364.2 340.4 356.7 355.1 345.7L332.1 322.7zM377.7 323.1C388.7 308.4 396.2 290.1 398.9 272H366.4C364.3 282.2 360.3 291.7 354.7 300.1L377.7 323.1zM354.7 211.9C360.3 220.3 364.3 229.8 366.4 240H398.9C396.2 221 388.7 203.6 377.7 188.9L354.7 211.9zM355.1 166.3C340.4 155.3 322.1 147.8 304 145.1V177.6C314.2 179.7 323.7 183.7 332.1 189.3L355.1 166.3zM310.6 278.6C316.4 272.8 320 264.8 320 256C320 247.2 316.5 239.3 310.8 233.5L310.5 233.2C304.8 227.6 296.9 224.1 288.2 224H287.8C279.1 224.1 271.2 227.6 265.5 233.2L265.2 233.5C259.5 239.3 256 247.2 256 256C256 273.7 270.3 288 288 288C296.8 288 304.8 284.4 310.6 278.6V278.6z"],
    "starfighter-twin-ion-engine-advanced": [640, 512, ["starfighter-alt-advanced"], "e28e", "M118.5 7.624C127.5-2.065 142.7-2.589 152.4 6.455C162.1 15.5 162.6 30.69 153.5 40.38L50.15 151.2C48.77 152.6 47.1 154.6 47.1 156.6V194.1L185.9 168.7C214.4 124.9 263.8 96 319.1 96C376.2 96 425.6 124.9 454.1 168.7L592 194.1V156.6C592 154.6 591.2 152.6 589.8 151.2L486.5 40.38C477.4 30.69 477.9 15.5 487.6 6.455C497.3-2.589 512.5-2.065 521.5 7.624L624.9 118.4C634.6 128.8 640 142.4 640 156.6V355.4C640 369.6 634.6 383.2 624.9 393.6L521.5 504.4C512.5 514.1 497.3 514.6 487.6 505.5C477.9 496.5 477.4 481.3 486.5 471.6L589.8 360.8C591.2 359.4 592 357.4 592 355.4V317L454.1 343.3C425.6 387.1 376.2 416 319.1 416C263.8 416 214.4 387.1 185.9 343.3L47.1 317V355.4C47.1 357.4 48.77 359.4 50.15 360.8L153.5 471.6C162.6 481.3 162.1 496.5 152.4 505.5C142.7 514.6 127.5 514.1 118.5 504.4L15.06 393.6C5.382 383.2 0 369.6 0 355.4V156.6C0 142.4 5.383 128.8 15.06 118.4L118.5 7.624zM48 268.1L163.7 290.2C161.3 279.2 160 267.7 160 256C160 244.3 161.3 232.8 163.7 221.8L48 243.9V268.1zM480 256C480 267.7 478.7 279.2 476.3 290.2L592 268.1V243.9L476.3 221.8C478.7 232.8 480 244.3 480 256V256zM275.9 322.7L252.9 345.7C267.6 356.7 285 364.2 304 366.9V334.4C293.8 332.3 284.3 328.3 275.9 322.7V322.7zM241.6 272H209.1C211.8 290.1 219.3 308.4 230.3 323.1L253.3 300.1C247.7 291.7 243.7 282.2 241.6 272V272zM253.3 211.9L230.3 188.9C219.3 203.6 211.8 221 209.1 240H241.6C243.7 229.8 247.7 220.3 253.3 211.9V211.9zM304 177.6V145.1C285 147.8 267.6 155.3 252.9 166.3L275.9 189.3C284.3 183.7 293.8 179.7 303.1 177.6L304 177.6zM336 366.9C354.1 364.2 372.4 356.7 387.1 345.7L364.1 322.7C355.7 328.3 346.2 332.3 336 334.4V366.9zM398.4 272C396.3 282.2 392.3 291.7 386.7 300.1L409.7 323.1C420.7 308.4 428.2 290.1 430.9 272L398.4 272zM430.9 240C428.2 221 420.7 203.6 409.7 188.9L386.7 211.9C392.3 220.3 396.3 229.8 398.4 240H430.9zM336 177.6C346.2 179.7 355.7 183.7 364.1 189.3L387.1 166.3C372.4 155.3 354.1 147.8 336 145.1L336 177.6zM342.8 233.5L342.5 233.2C336.8 227.6 328.9 224.1 320.2 224H319.8C311.1 224.1 303.2 227.6 297.5 233.2L297.2 233.5C291.5 239.3 288 247.2 288 256C288 273.7 302.3 288 320 288C337.7 288 352 273.7 352 256C352 247.2 348.5 239.3 342.8 233.5V233.5z"],
    "stars": [512, 512, [], "f762", "M259.7 86l49.66 20.63l20.62 49.67c1.125 2.25 3.498 3.707 5.998 3.707c2.5 0 4.876-1.457 6.001-3.707l20.62-49.67l49.62-20.63c2.375-1.125 3.748-3.502 3.748-6.002s-1.374-4.874-3.748-5.999L362.6 53.38l-20.62-49.63C340.9 1.375 338.5 0 336 0c-2.5 0-4.872 1.375-5.997 3.75l-20.62 49.63l-49.66 20.63c-2.25 1.125-3.712 3.499-3.712 5.999S257.5 84.88 259.7 86zM509 219.3l-39.62-16.63l-16.62-39.63c-.875-1.875-2.751-3.003-4.751-3.003c-1.1 0-3.874 1.128-4.749 3.003l-16.62 39.63L387 219.3c-1.875 .875-3.002 2.746-3.002 4.746s1.127 3.879 3.002 4.754l39.62 16.63l16.62 39.63c.875 1.875 2.749 2.995 4.749 2.995c1.1 0 3.876-1.12 4.751-2.995l16.62-39.63l39.62-16.63C510.9 227.9 512 226 512 224S510.9 220.1 509 219.3zM364.2 267.2l-104.8-15.28L212.6 156.7C208.7 148.8 200.7 143.8 191.9 143.9C183.2 143.8 175.1 148.8 171.4 156.7L124.5 251.1L19.71 267.2C.9574 269.1-6.742 293.2 7.007 306.5l75.87 74l-17.1 104.6C62.25 499.1 74.14 512 87.52 512c3.75 0 7.436-.8304 10.69-2.705l93.79-49.38l93.74 49.38c7.75 4.125 17.25 3.386 24.25-1.739c7.125-5.125 10.62-13.79 9.119-22.41L301.2 380.5l75.92-74C390.6 293.3 383.1 269.1 364.2 267.2zM249.5 363.8l13.62 79.5l-71.12-37.5l-71.37 37.5l13.75-79.5L76.64 307.5l79.75-11.62L192 223.8L227.6 295.9l79.75 11.62L249.5 363.8z"],
    "starship": [640, 512, [], "e039", "M528 256C528 300.2 492.2 336 448 336C403.8 336 368 300.2 368 256C368 211.8 403.8 176 448 176C492.2 176 528 211.8 528 256zM448 224C430.3 224 416 238.3 416 256C416 273.7 430.3 288 448 288C465.7 288 480 273.7 480 256C480 238.3 465.7 224 448 224zM0 96C0 60.65 28.65 32 64 32H192C227.3 32 256 60.65 256 96C256 131.3 227.3 160 192 160H164.8L202.5 186.1L272.7 177.7C302.6 110.7 369.9 64 448 64C554 64 640 149.1 640 256C640 362 554 448 448 448C369.9 448 302.6 401.3 272.7 334.3L202.5 325.9L164.8 352H192C227.3 352 256 380.7 256 416C256 451.3 227.3 480 192 480H64C28.65 480 0 451.3 0 416C0 380.7 28.65 352 64 352H80.5L130.6 317.3L116.9 315.6C86.72 312 64 286.4 64 256C64 225.6 86.72 199.1 116.9 196.4L130.6 194.7L80.5 160H64C28.65 160 0 131.3 0 96V96zM64 80C55.16 80 48 87.16 48 96C48 104.8 55.16 112 64 112H192C200.8 112 208 104.8 208 96C208 87.16 200.8 80 192 80H64zM112 256C112 262.1 116.6 267.3 122.6 267.1L258.1 284.2C256.7 275 256 265.6 256 256C256 246.4 256.7 236.1 258.1 227.8L122.6 244C116.6 244.7 111.1 249.9 111.1 256H112zM64 432H192C200.8 432 208 424.8 208 416C208 407.2 200.8 400 192 400H64C55.16 400 48 407.2 48 416C48 424.8 55.16 432 64 432zM448 400C527.5 400 592 335.5 592 256C592 176.5 527.5 112 448 112C368.5 112 304 176.5 304 256C304 335.5 368.5 400 448 400z"],
    "starship-freighter": [576, 512, [], "e03a", "M71.1 255.1C71.1 247.2 79.16 239.1 87.1 239.1C96.84 239.1 103.1 247.2 103.1 255.1C103.1 264.8 96.84 271.1 87.1 271.1C79.16 271.1 71.1 264.8 71.1 255.1zM135.1 159.1C135.1 168.8 128.8 175.1 119.1 175.1C111.2 175.1 103.1 168.8 103.1 159.1C103.1 151.2 111.2 143.1 119.1 143.1C128.8 143.1 135.1 151.2 135.1 159.1zM103.1 352C103.1 343.2 111.2 336 119.1 336C128.8 336 135.1 343.2 135.1 352C135.1 360.8 128.8 368 119.1 368C111.2 368 103.1 360.8 103.1 352zM555.6 375.9L498.6 398.1C507 409.9 512 424.4 512 440C512 479.8 479.8 512 440 512H368C345.7 512 324.7 501.7 311 484L301.1 471.2C275.9 477 250 480 224 480C100.3 480 0 379.7 0 256C0 132.3 100.3 32 224 32C266.3 32 308.2 39.87 347.6 55.2L555.6 136.1C567.9 140.8 576 152.7 576 165.9V346.1C576 359.3 567.9 371.2 555.6 375.9H555.6zM223.1 79.1C126.8 79.1 47.1 158.8 47.1 255.1C47.1 353.2 126.8 432 223.1 432C238.8 432 253.1 430.2 266.8 426.8L207.1 350.7C162.6 343 127.1 303.6 127.1 255.1C127.1 202.1 170.1 159.1 223.1 159.1C277 159.1 320 202.1 320 255.1C320 257.3 319.1 258.7 319.9 260L379.9 337.7C392.7 313.3 400 285.5 400 255.1C400 158.8 321.2 79.1 223.1 79.1H223.1zM440 368C441.1 368 442.2 368 443.4 368.1L528 335.2V279.1H446.7C443.3 311.8 433.3 341.6 418 368H440zM528 231.1V176.8L409.8 130.9C429.7 160.4 442.8 194.8 446.7 231.1H528zM223.1 207.1C197.5 207.1 175.1 229.5 175.1 255.1C175.1 282.5 197.5 303.1 223.1 303.1C250.5 303.1 271.1 282.5 271.1 255.1C271.1 229.5 250.5 207.1 223.1 207.1zM368 464H440C453.3 464 464 453.3 464 440C464 426.7 453.3 416 440 416H379.8L300.7 313.7C291 326.6 278.1 336.1 263.2 343.7L349 454.7C353.6 460.6 360.6 464 368 464V464z"],
    "steak": [576, 512, [129385], "f824", "M368.9 96c-27.38 0-51.88 23.71-62.63 60.33c-6.25 21.38-26.75 106.2-173.1 169.1c-82.13 35.75-9.75 88.54 95.75 88.54c72.75 0 161.3-25.21 225.5-98.33c38.13-43.5 32.75-125.9-11.62-176.5C417.9 111.6 391.6 96 368.9 96zM384 255.9c-17.63 0-32-14.25-32-32c0-17.63 14.38-32 32-32s32 14.38 32 32C416 241.6 401.6 255.9 384 255.9zM514.9 76.63C467.9 23.13 416.3 0 368.9 0c-70.63 0-131.9 51.13-154.8 129.4c-49.13 140-212.8 83.01-214.1 222.3C-1.117 467.5 126.3 512 239.2 512c5.625 0 11.3-.1085 16.8-.3585c87.75-3.375 187.4-37.08 270.5-131.8C596.8 299.7 591.6 164 514.9 76.63zM490.4 348.1c-79.88 91-172.5 113.1-236.3 115.6C249.3 463.9 244.3 464 239.3 464c-71.63 0-135.8-19.75-167.4-51.63c-16.25-16.5-24.13-36.25-23.88-60.25c.375-39.5 15-47.63 65.88-69.88C162.4 261.1 228.9 232.2 259.4 145.2l.375-1.125l.375-1.25C277 85.25 319.8 48 368.9 48c37.25 0 75.38 20.88 110 60.38C539 176.9 544.4 286.8 490.4 348.1z"],
    "steering-wheel": [512, 512, [], "f622", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM230.7 367.5L156.4 272H48.61C56.17 371.4 133.7 451.3 232 462.6V369C231.6 368.6 231.1 368 230.7 367.5H230.7zM280 369V462.6C378.3 451.3 455.8 371.4 463.4 272H355.6L281.3 367.5C280.9 368 280.4 368.6 280 369H280zM352 224H461.6C446.2 124.3 359.1 48 256 48C152 48 65.84 124.3 50.45 224H160L167.2 209.7C172.6 198.8 183.7 192 195.8 192H316.2C328.3 192 339.4 198.8 344.8 209.7L352 224z"],
    "sterling-sign": [320, 512, [163, "gbp", "pound-sign"], "f154", "M96 224H232C245.3 224 256 234.7 256 248C256 261.3 245.3 272 232 272H96V335.4C96 360.8 89.62 385.8 77.44 408.1L64.43 432H296C309.3 432 320 442.7 320 456C320 469.3 309.3 480 296 480H24C15.53 480 7.686 475.5 3.363 468.2C-.9613 460.1-1.125 451.9 2.931 444.5L35.3 385.2C43.63 369.9 48 352.8 48 335.4V272H24C10.75 272 0 261.3 0 248C0 234.7 10.75 224 24 224H48V159.2C48 88.97 104.1 32 175.2 32C188.9 32 202.5 34.2 215.5 38.53L295.6 65.23C308.2 69.42 314.1 83.02 310.8 95.59C306.6 108.2 292.1 114.1 280.4 110.8L200.3 84.07C192.2 81.37 183.8 80 175.2 80C131.5 80 96 115.5 96 159.2V224z"],
    "stethoscope": [576, 512, [129658], "f0f1", "M480 128c-35.35 0-64 28.65-64 63.1c0 26.84 16.56 49.75 40 59.25V344c0 66.16-53.83 120-120 120c-64.28 0-116.5-50.93-119.4-114.5C293.1 337.6 352 271.8 352 191.1V57.1c0-9.094-5.141-17.41-13.27-21.47l-68-34C258.9-3.377 244.5 1.404 238.5 13.28C232.6 25.12 237.4 39.53 249.3 45.47L304 72.84V192c0 61.75-50.25 112-112 112S80 253.8 80 192V72.84l54.73-27.38C146.6 39.53 151.4 25.12 145.5 13.28C139.6 1.404 125.2-3.377 113.3 2.529l-68 34C37.14 40.59 32 48.9 32 57.1v134c0 80.2 59.51 146.2 136.6 157.6C171.6 439.6 245.3 512 336 512c92.64 0 168-75.38 168-168V251.3C527.4 241.8 544 218.8 544 192C544 156.7 515.3 128 480 128zM480 208c-8.822 0-16-7.178-16-16s7.178-16 16-16s16 7.178 16 16S488.8 208 480 208z"],
    "stocking": [384, 512, [], "f7d5", "M304.1 302.9c0 37.5-18.63 72.38-49.89 93.25l-81.9 54.5c-53.64 35.75-99.78-5.625-110.9-22.25C36.9 391.6 46.78 342 83.66 317.4L144.1 277.3V128H96.02L96.02 251.5l-39.01 26c-58.77 39.25-74.77 118.8-35.5 177.5C46.27 492 86.76 512 128.2 512c24.38 0 49.13-7 70.89-21.5L280.8 436c44.52-29.75 71.14-79.5 71.14-133.1L351.9 128H304.1V302.9zM351.1 0H96.01C78.41 0 64.01 14.4 64.01 32L64.01 64c0 17.6 14.4 32 32 32h255.1C369.6 96 384 81.6 384 64V32C384 14.4 369.6 0 351.1 0z"],
    "stomach": [512, 512, [], "f623", "M397.9 96.75C341.6 90.75 292.2 121.8 269.5 168H256C216.2 168 184 135.8 184 96V23.1c0-13.25-10.75-24-23.1-24S136 10.75 136 23.1V96c0 66.27 53.73 120 120 120h.75C256.6 218.8 256 221.2 256 223.1v63.1C256 327.8 223.8 360 184 360h-64C53.73 360 0 413.7 0 479.1v8.003C0 501.3 10.75 512 23.1 512S48 501.3 48 488v-9.125c0-51.69 59.98-80.25 100.1-47.66l41.14 33.41c28.42 23.08 62.02 39.93 98.25 45.22C408.1 527.4 512 434 512 316.8l.0002-87.06C512 163.3 463.9 103.8 397.9 96.75zM316.8 464C283.1 464 250.1 452.2 224 431l-29-23.5c46.63-4.25 85.38-35.25 101.2-77.5l.25 .7497c24.25-9.125 54.38-5.75 73 8.375c20.12 15.25 46.75 23.12 73.5 23.12c4.5 0 9-.625 13.38-1.125C437.5 420.5 382.4 464 316.8 464zM464 311.1c-22.75 6-48.75 2.5-65.5-10.25C373.1 281.8 337.5 274.2 304 279.5V224c0-44.12 35.88-80 80-80s80 35.88 80 80V311.1z"],
    "stop": [384, 512, [9209], "f04d", "M320 64H64c-35.35 0-64 28.65-64 64v255.1c0 35.35 28.65 64 64 64H320c35.35 0 64-28.65 64-64V128C384 92.65 355.3 64 320 64zM336 384c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V128c0-8.822 7.178-16 16-16h256c8.822 0 16 7.178 16 16V384z"],
    "stopwatch": [448, 512, [9201], "f2f2", "M248 320C248 333.3 237.3 344 224 344C210.7 344 200 333.3 200 320V216C200 202.7 210.7 192 224 192C237.3 192 248 202.7 248 216V320zM144 24C144 10.75 154.7 0 168 0H280C293.3 0 304 10.75 304 24C304 37.25 293.3 48 280 48H248V97.37C291.4 102.4 330.8 120.7 361.8 148.2L391 119C400.4 109.7 415.6 109.7 424.1 119C434.3 128.4 434.3 143.6 424.1 152.1L393.9 184C417.9 217.9 432 259.3 432 304C432 418.9 338.9 512 224 512C109.1 512 16 418.9 16 304C16 197.2 96.43 109.3 200 97.37V48H168C154.7 48 144 37.25 144 24V24zM224 464C312.4 464 384 392.4 384 304C384 215.6 312.4 144 224 144C135.6 144 64 215.6 64 304C64 392.4 135.6 464 224 464z"],
    "stopwatch-20": [448, 512, [], "e06f", "M236 256C236 227.3 259.3 204 288 204C316.7 204 340 227.3 340 256V352C340 380.7 316.7 404 288 404C259.3 404 236 380.7 236 352V256zM288 244C281.4 244 276 249.4 276 256V352C276 358.6 281.4 364 288 364C294.6 364 300 358.6 300 352V256C300 249.4 294.6 244 288 244zM154.1 254.3C151.5 264.8 140.2 270.5 129.7 266.1C119.2 263.5 113.5 252.2 117 241.7L117.6 239.9C124.8 218.5 144.8 203.1 167.5 203.1C196.5 203.1 220 227.5 220 256.5V258.8C220 272.2 215.1 285.1 206.2 295.2L167.1 339.1C160.9 346.1 157.1 354.8 156.2 364H200C211 364 220 372.1 220 384C220 395 211 404 200 404H136C124.1 404 116 395 116 384V368.3C116 347.8 123.6 327.9 137.2 312.5L176.3 268.6C178.7 265.9 180 262.4 180 258.8V256.5C180 249.6 174.4 243.1 167.5 243.1C162.1 243.1 157.3 247.5 155.6 252.6L154.1 254.3zM280 0C293.3 0 304 10.75 304 24C304 37.25 293.3 48 280 48H248V97.37C291.4 102.4 330.8 120.7 361.8 148.2L391 119C400.4 109.7 415.6 109.7 424.1 119C434.3 128.4 434.3 143.6 424.1 152.1L393.9 184C417.9 217.9 432 259.3 432 304C432 418.9 338.9 512 224 512C109.1 512 16 418.9 16 304C16 197.2 96.43 109.3 200 97.37V48H168C154.7 48 144 37.25 144 24C144 10.75 154.7 0 168 0L280 0zM224 144C135.6 144 64 215.6 64 304C64 392.4 135.6 464 224 464C312.4 464 384 392.4 384 304C384 215.6 312.4 144 224 144z"],
    "store": [576, 512, [], "f54e", "M483.4 224C463.8 224 445.8 217.5 431.3 206.8C426.5 203.3 422.2 199.4 418.3 195C414.4 199.3 410.1 203.2 405.4 206.7C390.9 217.5 372.8 224 353.1 224C333.5 224 315.6 217.6 301.1 206.1C296.3 203.4 291.9 199.4 287.9 195C283.9 199.4 279.5 203.4 274.7 206.1C260.2 217.6 242.3 224 222.7 224C203.2 224 185.2 217.6 170.7 206.1C165.9 203.4 161.5 199.4 157.6 195C153.6 199.4 149.1 203.4 144.3 206.1C129.9 217.6 111.1 223.1 92.41 224C92.39 224 92.38 224 92.36 224C88.3 224 84.21 223.7 80.24 223.2C24.92 215.8-1.255 150.6 28.33 103.8L85.66 13.13C90.76 4.979 99.87 0 109.6 0H466.4C476.1 0 485.2 4.978 490.3 13.13L547.6 103.8C577.3 150.7 551 215.8 495.5 223.2C491.6 223.7 487.6 223.1 483.5 224C483.5 224 483.5 224 483.4 224H483.4zM455.6 48H120.4L68.91 129.5C63.12 138.6 62.57 149.9 66.65 159.6C70.57 168.8 77.67 174.4 86.56 175.6C88.57 175.9 90.54 176 92.36 176C104.2 176 114.6 170.9 121.9 162.8C131 152.8 143.1 147 157.6 147C171.1 147 184.1 152.8 193.2 162.8C200.5 170.9 210.9 176 222.7 176C234.6 176 244.1 170.9 252.3 162.8C261.4 152.8 274.3 147 287.9 147C301.5 147 314.4 152.8 323.5 162.8C330.8 170.9 341.3 176 353.1 176C364.9 176 375.3 170.9 382.6 162.8C391.7 152.8 404.6 147 418.2 147C431.7 147 444.7 152.7 453.8 162.8C461.2 170.9 471.7 176 483.4 176C485.4 176 487.3 175.9 489.3 175.6C498.3 174.4 505.4 168.8 509.3 159.6C513.4 149.1 512.9 138.7 507.1 129.5L455.6 48zM464 336V254.4C470.3 255.5 476.8 256 483.4 256C489 256 494.4 255.6 499.7 254.9L499.7 254.9C503.1 254.4 508 253.6 512 252.6V448C512 483.3 483.3 512 448 512H128C92.66 512 64 483.3 64 448V252.6C67.87 253.6 71.86 254.4 75.97 254.9L76.09 254.9C81.35 255.6 86.83 256 92.36 256C99.06 256 105.6 255.4 112 254.4V336H464zM464 384H112V448C112 456.8 119.2 464 128 464H448C456.8 464 464 456.8 464 448V384z"],
    "store-lock": [640, 512, [], "e4a6", "M455.6 48H120.4L68.91 129.5C63.12 138.6 62.57 149.9 66.65 159.6C70.57 168.8 77.67 174.4 86.55 175.6C88.57 175.9 90.54 176 92.36 176C104.2 176 114.6 170.9 121.9 162.8C131 152.8 143.1 147 157.6 147C171.1 147 184.1 152.8 193.2 162.8C200.5 170.9 210.9 176 222.7 176C234.6 176 244.1 170.9 252.3 162.8C261.4 152.8 274.3 147 287.9 147C301.5 147 314.4 152.8 323.5 162.8C330.8 170.9 341.3 176 353.1 176C364.9 176 375.3 170.9 382.6 162.8C391.7 152.8 404.6 147 418.2 147C431.7 147 444.7 152.7 453.8 162.8C458.9 168.4 465.4 172.5 472.8 174.5C457.7 183.1 444.8 195.1 435.1 209.5C433.8 208.6 432.5 207.7 431.3 206.8C426.5 203.3 422.2 199.4 418.3 195C414.4 199.3 410.1 203.2 405.4 206.7C390.9 217.5 372.8 224 353.1 224C333.5 224 315.6 217.6 301.1 206.1C296.3 203.4 291.9 199.4 287.9 195C283.9 199.4 279.5 203.4 274.7 206.1C260.2 217.6 242.3 224 222.7 224C203.2 224 185.2 217.6 170.7 206.1C165.9 203.4 161.5 199.4 157.6 195C153.6 199.4 149.1 203.4 144.3 206.1C129.9 217.6 111.1 223.1 92.41 224H92.36C88.3 224 84.21 223.7 80.24 223.2C24.92 215.8-1.256 150.6 28.33 103.8L85.66 13.13C90.76 4.979 99.87 0 109.6 0H466.4C476.1 0 485.2 4.978 490.3 13.13L547.6 103.8C559.5 122.6 562.4 144.3 558.1 164.1C548.5 161.4 538.4 159.1 528 159.1C521.3 159.1 514.7 160.6 508.3 161.7C508.7 161 509 160.3 509.3 159.6C513.4 149.1 512.9 138.7 507.1 129.5L455.6 48zM112 336H386C384.7 341.1 384 346.5 384 352V384H112V448C112 456.8 119.2 464 128 464H384V480C384 491.7 387.1 502.6 392.6 512H128C92.66 512 64 483.3 64 448V252.6C67.87 253.6 71.86 254.4 75.97 254.9L76.09 254.9C81.35 255.6 86.83 256 92.36 256C99.06 256 105.6 255.4 112 254.4V336zM528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320V272C448 227.8 483.8 192 528 192zM528 240C510.3 240 496 254.3 496 272V320H560V272C560 254.3 545.7 240 528 240z"],
    "store-slash": [640, 512, [], "e071", "M94.92 49.09L117.7 13.13C122.8 4.98 131.9 .001 141.6 .001H498.4C508.1 .001 517.2 4.979 522.3 13.13L579.6 103.8C609.3 150.7 583 215.8 527.5 223.2C523.6 223.7 519.6 224 515.4 224C495.8 224 477.8 217.5 463.3 206.8C458.5 203.3 454.2 199.4 450.3 195C446.4 199.3 442.1 203.2 437.4 206.7C422.9 217.5 404.8 224 385.1 224C365.5 224 347.6 217.6 333.1 206.1C328.3 203.4 323.9 199.4 319.9 195C315.9 199.4 311.5 203.4 306.7 206.1C304.9 208.3 303 209.6 301.2 210.7L460.1 336H496V254.4C502.3 255.5 508.8 256 515.4 256C521 256 526.4 255.6 531.7 254.9L531.7 254.9C535.1 254.4 540 253.6 544 252.6V401.1L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L94.92 49.09zM132.9 78.86L256.8 175.9C267.8 175.4 277.4 170.4 284.3 162.8C293.4 152.8 306.3 147 319.9 147C333.5 147 346.4 152.8 355.5 162.8C362.8 170.9 373.3 176 385.1 176C396.9 176 407.3 170.9 414.6 162.8C423.7 152.8 436.6 147 450.2 147C463.7 147 476.7 152.7 485.8 162.8C493.2 170.9 503.7 176 515.4 176C517.4 176 519.3 175.9 521.3 175.6C530.3 174.4 537.4 168.8 541.3 159.6C545.4 149.1 544.9 138.7 539.1 129.5L487.6 48H152.4L132.9 78.86zM48.9 134.5L155.3 218.4C145.7 222 135.3 224 124.4 224C120.3 224 116.2 223.7 112.2 223.2C68.36 217.3 42.82 175.1 48.9 134.5V134.5zM144 384V448C144 456.8 151.2 464 160 464H467.1L514.9 501.7C504.8 508.2 492.9 512 480 512H160C124.7 512 96 483.3 96 448V252.6C99.87 253.6 103.9 254.4 107.1 254.9L108.1 254.9C113.3 255.6 118.8 256 124.4 256C131.1 256 137.6 255.5 144 254.4V336H304.6L365.5 384L144 384z"],
    "strawberry": [512, 512, [], "e32b", "M206.1 290c-17.82 0-38.41 20.75-38.41 38.41c0 6.051 3.156 14.97 14.97 14.97c17.83 0 38.41-20.74 38.41-38.41C221.1 293.2 213.1 290 206.1 290zM124.8 320.9c-17.82 0-38.4 20.74-38.4 38.4c0 11.82 8.91 14.97 14.97 14.97c17.8 0 38.4-20.72 38.4-38.4C139.7 329.9 136.6 320.9 124.8 320.9zM129.6 289.5c17.81 0 38.4-20.73 38.4-38.4c0-11.82-8.908-14.97-14.97-14.97c-17.81 0-38.4 20.73-38.4 38.4C114.6 280.5 117.8 289.5 129.6 289.5zM157.9 204.6c17.8 0 38.4-20.72 38.4-38.4c0-6.039-3.139-14.97-14.97-14.97c-17.8 0-38.4 20.72-38.4 38.41C142.9 201.5 151.8 204.6 157.9 204.6zM214.5 261.2c17.82 0 38.4-20.74 38.4-38.4c0-6.039-3.139-14.97-14.97-14.97c-17.81 0-38.4 20.73-38.4 38.4C199.5 258 208.4 261.2 214.5 261.2zM175.7 371.8c-17.82 0-38.41 20.75-38.41 38.41c0 11.82 8.908 14.97 14.97 14.97c17.8 0 38.4-20.72 38.4-38.41C190.6 375 181.7 371.8 175.7 371.8zM299.4 117.4C273.2 90.67 235.5 64 189.7 64C108.6 64 0 155 0 328.7C0 469.7 34.14 512 183.3 512C357.5 512 448 402.7 448 322.3c0-45.81-26.67-83.47-53.4-109.7L299.4 117.4zM183.3 464c-129.5 0-135.1-29.79-135.1-137.1C48.19 192 128.9 112 189.7 112c30.69 0 58.01 21.23 75.81 39.34l95.45 95.45c28.92 28.43 39.15 53.66 39.15 75.85C400.1 363.4 345.5 464 183.3 464zM345.4 315.3c-17.8 0-38.4 20.72-38.4 38.41c0 11.81 8.904 14.97 14.97 14.97c17.82 0 38.4-20.74 38.4-38.4C360.3 324.2 357.2 315.3 345.4 315.3zM288.8 258.7c-17.8 0-38.41 20.72-38.41 38.41c0 6.051 3.156 14.97 14.97 14.97c17.82 0 38.41-20.74 38.41-38.4C303.8 267.6 300.6 258.7 288.8 258.7zM260.5 343.6c-17.81 0-38.4 20.73-38.4 38.4c0 6.037 3.139 14.97 14.97 14.97c17.81 0 38.4-20.73 38.4-38.4C275.5 352.5 272.4 343.6 260.5 343.6zM447.4 108.9c26.14-27.63 48.64-64.69 48.64-84.88c0-13.35-10.89-24.05-24.11-24.05c-32.46 0-16.75 44.21-66.63 82.54C403.6 43.24 373.6 0 360.3 0C347.8 0 320 38.39 320 78.36c0 1.779 .0469 3.584 .1445 5.416c.0566 3.66 .8438 6.91 1.26 10.38c.2773 .2813 .5684 .5137 .8457 .7969l94.97 94.98c.2344 .2305 .4297 .4727 .6621 .7031c3.355 .3906 6.5 1.164 10.02 1.209C429.8 191.1 431.7 192 433.5 192C471.1 192 512 164.9 512 151.6C512 139.8 477.1 115.4 447.4 108.9z"],
    "street-view": [512, 512, [], "f21d", "M184 72C184 32.24 216.2 0 256 0C295.8 0 328 32.24 328 72C328 111.8 295.8 144 256 144C216.2 144 184 111.8 184 72zM256 96C269.3 96 280 85.25 280 72C280 58.75 269.3 48 256 48C242.7 48 232 58.75 232 72C232 85.25 242.7 96 256 96zM144 240C144 195.8 179.8 160 224 160H288C332.2 160 368 195.8 368 240V280C368 302.5 352.6 321.3 331.7 326.6L325.5 382.2C322.4 410.5 298.4 432 269.9 432H242.1C213.6 432 189.6 410.5 186.5 382.2L180.3 326.6C159.4 321.3 144 302.5 144 279.1L144 240zM224.3 288.1L234.2 376.9C234.6 380.9 238 384 242.1 384H269.9C273.1 384 277.4 380.9 277.8 376.9L287.7 288.1L319.1 280L320 240C320 222.3 305.7 208 288 208H224C206.3 208 192 222.3 192 240V280L224.3 288.1zM63.27 414.7C60.09 416.3 57.47 417.8 55.33 419.2C51.7 421.6 51.72 426.4 55.34 428.8C64.15 434.6 78.48 440.6 98.33 446.1C137.7 456.1 193.5 464 256 464C318.5 464 374.3 456.1 413.7 446.1C433.5 440.6 447.9 434.6 456.7 428.8C460.3 426.4 460.3 421.6 456.7 419.2C454.5 417.8 451.9 416.3 448.7 414.7C433.4 406.1 409.9 399.8 379.7 394.2C366.6 391.8 358 379.3 360.4 366.3C362.8 353.3 375.3 344.6 388.3 347C420.8 352.9 449.2 361.2 470.3 371.8C480.8 377.1 490.6 383.5 498 391.4C505.6 399.5 512 410.5 512 424C512 445.4 496.5 460.1 482.9 469C468.2 478.6 448.6 486.3 426.4 492.4C381.8 504.7 321.6 512 256 512C190.4 512 130.2 504.7 85.57 492.4C63.44 486.3 43.79 478.6 29.12 469C15.46 460.1 0 445.4 0 424C0 410.5 6.376 399.5 13.96 391.4C21.44 383.5 31.24 377.1 41.72 371.8C62.75 361.2 91.24 352.9 123.7 347C136.7 344.6 149.2 353.3 151.6 366.3C153.1 379.3 145.4 391.8 132.3 394.2C102.1 399.8 78.57 406.1 63.27 414.7H63.27z"],
    "stretcher": [640, 512, [], "f825", "M616 224H186.3L41.4 71.48c-9.156-9.625-24.34-10-33.94-.875s-10 24.31-.875 33.94l152 159.1C163.1 269.3 169.4 272 175.1 272H616c13.25 0 24-10.75 24-24S629.3 224 616 224zM480 384c-6.871 0-13.36 1.367-19.56 3.37l-51.77-37.83l62.32-45.54h-81.34L367.1 319.8l-21.65-15.82H265l62.32 45.54l-51.77 37.83C269.4 385.4 262.9 384 255.1 384c-35.35 0-64 28.66-64 63.1c0 35.35 28.65 64 64 64S319.1 483.3 319.1 448c0-10.31-2.669-19.92-7.003-28.54l55-40.2l55 40.2C418.7 428.1 415.1 437.7 415.1 448c0 35.35 28.65 64 64 64c35.35 0 64-28.65 64-64C544 412.7 515.3 384 480 384zM255.1 464c-8.822 0-16-7.178-16-16s7.178-16 15.1-16C264.8 432 271.1 439.2 271.1 448S264.8 464 255.1 464zM480 464c-8.824 0-16-7.178-16-16S471.2 432 480 432c8.822 0 16 7.178 16 16S488.8 464 480 464z"],
    "strikethrough": [512, 512, [], "f0cc", "M488 239.9L287.2 240c-8.262-2.459-42.31-12.21-42.31-12.21C161.5 203.7 138.4 182.8 146.2 138.5c9.719-55.4 81.72-64.51 140.5-55.43c16.77 2.564 36.75 7.908 62.84 16.8c12.69 4.344 26.62-2.299 31.03-14.82c4.414-12.53-2.336-26.21-15.06-30.54c-28.93-9.861-51.58-15.86-71.29-18.89C189.7 19.57 110.9 57.61 98.15 130.3C88.41 185.7 113 218.8 146.5 240L24 239.9c-13.25 0-24 10.75-24 23.1s10.75 23.1 24 23.1h464c13.25 0 24-10.75 24-23.1S501.3 239.9 488 239.9zM361.7 336c5.1 10.26 6.734 22.25 4.059 37.47c-9.719 55.38-81.69 64.48-140.7 55.42c-25.89-3.83-56.08-14.53-82.72-23.97L128.6 400.1c-12.72-4.438-26.63 2.111-31.14 14.61c-4.494 12.5 2.16 26.22 14.85 30.64l13.47 4.75c28.76 10.19 61.36 21.75 91.86 26.27C233.6 478.8 249 480 263.7 480c81.09 0 139.3-36.74 150.1-98.34c3.047-17.35 2.619-32.35-.2246-45.66H361.7z"],
    "stroopwafel": [512, 512, [], "f551", "M256 16c-132.5 0-240 107.5-240 240s107.5 240 240 240s240-107.5 240-240S388.5 16 256 16zM256 448c-105.9 0-192-86.13-192-192s86.13-192 192-192s192 86.13 192 192S361.9 448 256 448zM416.1 223C407.9 214 393.6 213.9 384.2 222.3L353.9 192l15.03-15.03c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0L320 158.1l-30.26-30.26c8.369-9.426 8.258-23.74-.7734-32.77C279.9 85.94 265.4 85.85 256 94.39C246.6 85.85 232.1 85.94 223 95.03C213.1 104.1 213.9 118.4 222.3 127.8L192 158.1L176.1 143c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L158.1 192L127.8 222.3C118.4 213.9 104.1 214 95.03 223C85.94 232.1 85.85 246.6 94.39 256C85.85 265.4 85.94 279.9 95.03 288.1C99.72 293.7 105.9 296 112 296c5.689 0 11.27-2.232 15.8-6.258L158.1 320l-15.03 15.03c-9.375 9.375-9.375 24.56 0 33.94C147.7 373.7 153.9 376 160 376s12.28-2.344 16.97-7.031L192 353.9l30.26 30.26c-8.369 9.426-8.258 23.74 .7734 32.77C227.7 421.7 233.9 424 240 424c5.766 0 11.44-2.256 16-6.389C260.6 421.7 266.2 424 272 424c6.141 0 12.28-2.344 16.97-7.031c9.031-9.031 9.143-23.35 .7734-32.77L320 353.9l15.03 15.03C339.7 373.7 345.9 376 352 376s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94L353.9 320l30.26-30.26C388.7 293.8 394.3 296 400 296c6.141 0 12.28-2.344 16.97-7.031C426.1 279.9 426.1 265.4 417.6 256C426.1 246.6 426.1 232.1 416.1 223zM192 286.1L161.9 256L192 225.9L222.1 256L192 286.1zM256 350.1L225.9 320L256 289.9L286.1 320L256 350.1zM256 222.1L225.9 192L256 161.9L286.1 192L256 222.1zM320 286.1L289.9 256L320 225.9L350.1 256L320 286.1z"],
    "subscript": [512, 512, [], "f12c", "M328 112C341.3 112 352 101.3 352 88S341.3 64 328 64L288 64.01c-8.031 0-15.53 3.993-19.97 10.68L176 212.7L83.97 74.69C79.53 68 72.03 64.01 64 64.01L24 64C10.75 64 0 74.75 0 88S10.75 112 24 112h27.16l96 144l-96 144H24C10.75 400 0 410.8 0 424S10.75 448 24 448L64 448c8.031 0 15.53-4.007 19.97-10.69L176 299.3l92.03 138C272.5 444 279.1 448 288 448L328 448c13.25 0 24-10.75 24-24s-10.75-24-24-24h-27.16l-96-144l96-144H328zM488 464h-16V312C472 298.8 461.3 288 448 288h-40C394.8 288 384 298.8 384 312s10.75 24 24 24h16v128h-16c-13.25 0-24 10.75-24 24S394.8 512 408 512h80c13.25 0 24-10.75 24-24S501.3 464 488 464z"],
    "suitcase": [512, 512, [129523], "f0f2", "M128 96V56C128 25.07 153.1 0 184 0H328C358.9 0 384 25.07 384 56V96H448C483.3 96 512 124.7 512 160V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V160C0 124.7 28.65 96 64 96H128zM176 96H336V56C336 51.58 332.4 48 328 48H184C179.6 48 176 51.58 176 56V96zM144 144V432H368V144H144zM48 160V416C48 424.8 55.16 432 64 432H96V144H64C55.16 144 48 151.2 48 160zM464 416V160C464 151.2 456.8 144 448 144H416V432H448C456.8 432 464 424.8 464 416z"],
    "suitcase-medical": [512, 512, ["medkit"], "f0fa", "M176 320H224v48C224 376.8 231.2 384 240 384h32c8.836 0 16-7.164 16-16V320h48c8.836 0 16-7.164 16-16v-32C352 263.2 344.8 256 336 256H288V208C288 199.2 280.8 192 272 192h-32C231.2 192 224 199.2 224 208V256H176C167.2 256 160 263.2 160 272v32C160 312.8 167.2 320 176 320zM448 96h-64V64c0-35.35-28.65-64-64-64H192C156.7 0 128 28.65 128 64v32H64C28.65 96 0 124.7 0 160v256c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V160C512 124.7 483.3 96 448 96zM176 64c0-8.838 7.164-16 16-16h128c8.836 0 16 7.162 16 16v32h-160V64zM80 432H64c-8.801 0-16-7.201-16-16V160c0-8.801 7.199-16 16-16h16V432zM384 432H128v-288h256V432zM464 416c0 8.799-7.199 16-16 16h-16v-288H448c8.801 0 16 7.199 16 16V416z"],
    "suitcase-rolling": [448, 512, [], "f5c1", "M296.2 336h-144c-13.2 0-24 10.8-24 24c0 13.2 10.8 24 24 24h144c13.2 0 24-10.8 24-24C320.2 346.8 309.4 336 296.2 336zM296.2 224h-144c-13.2 0-24 10.8-24 24c0 13.2 10.8 24 24 24h144c13.2 0 24-10.8 24-24C320.2 234.8 309.4 224 296.2 224zM352.1 128h-32.07l.0123-80c0-26.51-21.49-48-48-48h-96c-26.51 0-48 21.49-48 48L128 128H96.12c-35.35 0-64 28.65-64 64v224c0 35.35 28.58 64 63.93 64c0 17.67 14.4 32 32.07 32s31.94-14.33 31.94-32h128c0 17.67 14.39 32 32.06 32s31.93-14.33 31.93-32c35.35 0 64.07-28.65 64.07-64V192C416.1 156.7 387.5 128 352.1 128zM176.1 48h96V128h-96V48zM368.2 416c0 8.836-7.164 16-16 16h-256c-8.836 0-16-7.164-16-16V192c0-8.838 7.164-16 16-16h256c8.836 0 16 7.162 16 16V416z"],
    "sun": [512, 512, [9728], "f185", "M505.2 324.8l-47.73-68.78l47.75-68.81c7.359-10.62 8.797-24.12 3.844-36.06c-4.969-11.94-15.52-20.44-28.22-22.72l-82.39-14.88l-14.89-82.41c-2.281-12.72-10.76-23.25-22.69-28.22c-11.97-4.936-25.42-3.498-36.12 3.844L256 54.49L187.2 6.709C176.5-.6016 163.1-2.039 151.1 2.896c-11.92 4.971-20.4 15.5-22.7 28.19l-14.89 82.44L31.15 128.4C18.42 130.7 7.854 139.2 2.9 151.2C-2.051 163.1-.5996 176.6 6.775 187.2l47.73 68.78l-47.75 68.81c-7.359 10.62-8.795 24.12-3.844 36.06c4.969 11.94 15.52 20.44 28.22 22.72l82.39 14.88l14.89 82.41c2.297 12.72 10.78 23.25 22.7 28.22c11.95 4.906 25.44 3.531 36.09-3.844L256 457.5l68.83 47.78C331.3 509.7 338.8 512 346.3 512c4.906 0 9.859-.9687 14.56-2.906c11.92-4.969 20.4-15.5 22.7-28.19l14.89-82.44l82.37-14.88c12.73-2.281 23.3-10.78 28.25-22.75C514.1 348.9 512.6 335.4 505.2 324.8zM456.8 339.2l-99.61 18l-18 99.63L256 399.1L172.8 456.8l-18-99.63l-99.61-18L112.9 255.1L55.23 172.8l99.61-18l18-99.63L256 112.9l83.15-57.75l18.02 99.66l99.61 18L399.1 255.1L456.8 339.2zM256 143.1c-61.85 0-111.1 50.14-111.1 111.1c0 61.85 50.15 111.1 111.1 111.1s111.1-50.14 111.1-111.1C367.1 194.1 317.8 143.1 256 143.1zM256 319.1c-35.28 0-63.99-28.71-63.99-63.99S220.7 192 256 192s63.99 28.71 63.99 63.1S291.3 319.1 256 319.1z"],
    "sun-bright": [512, 512, ["sun-alt"], "e28f", "M256 144C194.1 144 144 194.1 144 256c0 61.86 50.14 112 112 112s112-50.14 112-112C368 194.1 317.9 144 256 144zM256 320c-35.29 0-64-28.71-64-64c0-35.29 28.71-64 64-64s64 28.71 64 64C320 291.3 291.3 320 256 320zM256 112c13.25 0 24-10.75 24-24v-64C280 10.75 269.3 0 256 0S232 10.75 232 24v64C232 101.3 242.8 112 256 112zM256 400c-13.25 0-24 10.75-24 24v64C232 501.3 242.8 512 256 512s24-10.75 24-24v-64C280 410.8 269.3 400 256 400zM488 232h-64c-13.25 0-24 10.75-24 24s10.75 24 24 24h64C501.3 280 512 269.3 512 256S501.3 232 488 232zM112 256c0-13.25-10.75-24-24-24h-64C10.75 232 0 242.8 0 256s10.75 24 24 24h64C101.3 280 112 269.3 112 256zM391.8 357.8c-9.344-9.375-24.56-9.372-33.94 .0031s-9.375 24.56 0 33.93l45.25 45.28c4.672 4.688 10.83 7.031 16.97 7.031s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94L391.8 357.8zM120.2 154.2c4.672 4.688 10.83 7.031 16.97 7.031S149.5 158.9 154.2 154.2c9.375-9.375 9.375-24.56 0-33.93L108.9 74.97c-9.344-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L120.2 154.2zM374.8 161.2c6.141 0 12.3-2.344 16.97-7.031l45.25-45.28c9.375-9.375 9.375-24.56 0-33.94s-24.59-9.375-33.94 0l-45.25 45.28c-9.375 9.375-9.375 24.56 0 33.93C362.5 158.9 368.7 161.2 374.8 161.2zM120.2 357.8l-45.25 45.28c-9.375 9.375-9.375 24.56 0 33.94c4.688 4.688 10.83 7.031 16.97 7.031s12.3-2.344 16.97-7.031l45.25-45.28c9.375-9.375 9.375-24.56 0-33.93S129.6 348.4 120.2 357.8z"],
    "sun-cloud": [640, 512, [127780], "f763", "M353.3 378.5L339.2 456.8L256 399.1L172.8 456.8l-18-99.63l-99.61-18L112.9 255.1L55.23 172.8l99.61-18l18-99.63L256 112.9l83.15-57.75l18.02 99.66l28.82 5.207C402.7 143.8 424.3 131.5 448 128l-49.52-14.48l-14.89-82.41c-2.281-12.72-10.76-23.25-22.69-28.22c-11.97-4.936-25.42-3.498-36.12 3.844L256 54.49L187.2 6.709C176.5-.6016 163.1-2.039 151.1 2.896c-11.92 4.971-20.4 15.5-22.7 28.19l-14.89 82.44L31.15 128.4C18.42 130.7 7.854 139.2 2.9 151.2c-4.951 11.94-3.5 25.44 3.875 36.06l47.73 68.78l-47.75 68.81c-7.359 10.62-8.795 24.12-3.844 36.06c4.969 11.94 15.52 20.44 28.22 22.72l82.39 14.88l14.89 82.41c2.297 12.72 10.78 23.25 22.7 28.22c11.95 4.906 25.44 3.531 36.09-3.844L256 457.5l68.83 47.78C331.3 509.7 338.8 512 346.3 512c4.906 0 9.859-.9687 14.56-2.906c11.92-4.969 20.4-15.5 22.7-28.19l17.76-96.94L384 383.1C373.2 383.1 363 381.8 353.3 378.5zM256 192c24.06 0 44.82 13.51 55.74 33.2c10.6-12.18 24.17-21.57 39.63-27.21C331.7 165.7 296.5 144 256 144c-61.85 0-111.1 50.14-111.1 111.1c0 61.85 50.15 111.1 111.1 111.1c20.89 0 40.21-6.095 56.95-16.05c-10.69-11.86-18.53-26.25-22.27-42.31C280.7 316.1 268.8 319.1 256 319.1c-35.28 0-63.99-28.71-63.99-63.99S220.7 192 256 192zM576 223.1c-12 0-23.12 3.5-32.75 9.25C539.8 192.2 505.9 159.1 464 159.1c-38.75 0-71.13 27.63-78.38 64.25c-.5 0-1-.25-1.625-.25c-35.25 0-64 28.75-64 64s28.75 64 64 64h192c35.25 0 64-28.75 64-64S611.3 223.1 576 223.1z"],
    "sun-dust": [512, 512, [], "f764", "M400.8 62.9l-70.88 13.75L289.5 16.78c-15.12-22.37-51.88-22.37-67 0L182.1 76.65L111.3 62.9C97.1 60.4 84.5 64.53 75 74.15C65.5 83.78 61.25 97.28 63.88 110.4l13.75 70.1l-59.88 40.5C6.625 229.5 0 242 0 255.5c0 13.5 6.75 25.1 17.75 33.5l59.88 40.5l-13.75 70.1C61.25 413.8 65.5 427.3 75 436.8l38.38-38.12l17.38-91.12L53.88 255.5l76.88-51.1L113.1 112.3l91 17.62L256 53.03l51.88 76.87l91-17.62l-.125 1l38.75-38.75c-.25-.25-.25-.375-.375-.5C427.5 64.53 413.8 60.4 400.8 62.9zM256 200c15.38 0 29.38 6.25 39.63 16.38l33.88-33.87C310.8 163.8 284.8 152 256 152c-57.25 0-104 46.75-104 103.1c0 28.75 11.75 54.75 30.5 73.49l33.88-33.87C206.3 285.4 200 271.4 200 256C200 225.1 225.1 200 256 200zM160 448c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S177.8 448 160 448zM480 192c17.75 0 32-14.25 32-32s-14.25-32-32-32s-32 14.25-32 32S462.3 192 480 192zM320 288c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S337.8 288 320 288zM400 208c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S417.8 208 400 208zM240 368c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S257.8 368 240 368zM480 448c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S497.8 448 480 448zM400 368c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S417.8 368 400 368zM320 448c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S337.8 448 320 448zM480 288c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S497.8 288 480 288z"],
    "sun-haze": [640, 512, [], "f765", "M87.1 336h320c13.2 0 24-10.8 24-23.1c0-13.2-10.8-23.1-24-23.1h-320C74.8 288 64 298.8 64 312S74.8 336 87.1 336zM616 288h-112c-13.2 0-24 10.8-24 23.1s10.8 23.1 24 23.1h112c13.2 0 24-10.8 24-23.1C640 298.8 629.2 288 616 288zM200 464H87.1C74.8 464 64 474.8 64 488S74.8 512 87.1 512h112C213.2 512 224 501.2 224 488S213.2 464 200 464zM616 464h-320c-13.2 0-24 10.8-24 23.1S282.8 512 296 512h320c13.2 0 24-10.8 24-23.1S629.2 464 616 464zM576 400c0-13.2-10.8-23.1-24-23.1h-528C10.8 376 0 386.8 0 400c0 13.2 10.8 23.1 23.1 23.1h528C565.2 424 576 413.2 576 400zM194.8 203.5L177.1 112.3l91 17.62L320 53.03l51.88 76.87l91-17.62l-17.63 91.12l54 36.62h73.5c-3-7.25-7.875-13.62-14.5-18.12L498.5 181.4l13.75-70.1c2.5-13.12-1.625-26.75-11.12-36.37c-9.625-9.499-23.25-13.75-36.25-11.12l-70.88 13.75l-40.37-59.87c-15.12-22.37-51.87-22.37-67 0L246.2 76.65L175.4 62.9c-13.25-2.625-26.75 1.625-36.25 11.12C129.6 83.65 125.4 97.15 128 110.3l13.75 70.1L81.88 221.8C75.25 226.3 70.5 232.8 67.5 239.9h73.38L194.8 203.5zM217.6 240h49C273.5 217 294.8 200 320 200s46.5 16.1 53.38 39.1h49C414.6 190.3 371.9 152 320 152S225.4 190.3 217.6 240z"],
    "sun-plant-wilt": [640, 512, [], "e57a", "M191.1 159.1C191.1 177.7 177.7 191.1 159.1 191.1C142.3 191.1 127.1 177.7 127.1 159.1C127.1 142.3 142.3 127.1 159.1 127.1C177.7 127.1 191.1 142.3 191.1 159.1zM160-.1562C168.5-.1562 176.2 4.242 180.6 11.44L204.9 51.67L250.5 40.4C258.7 38.38 267.3 40.78 273.2 46.73C279.2 52.67 281.6 61.29 279.6 69.45L268.3 115.1L308.5 139.4C315.7 143.7 320.1 151.5 320.1 159.9C320.1 168.3 315.7 176.1 308.5 180.5L268.3 204.8L279.6 250.4C281.6 258.5 279.2 267.2 273.2 273.1C267.3 279.1 258.7 281.5 250.5 279.4L204.9 268.2L180.6 308.4C176.2 315.6 168.5 319.1 160 319.1C151.6 319.1 143.8 315.6 139.5 308.4L115.2 268.2L69.59 279.4C61.43 281.5 52.81 279.1 46.87 273.1C40.92 267.2 38.52 258.5 40.54 250.4L51.81 204.8L11.58 180.5C4.386 176.1-.0117 168.3-.0117 159.9C-.0117 151.5 4.386 143.7 11.58 139.4L51.81 115.1L40.54 69.45C38.52 61.29 40.92 52.67 46.87 46.73C52.81 40.78 61.43 38.38 69.59 40.4L115.2 51.67L139.5 11.44C143.8 4.242 151.6-.1562 160-.1562V-.1562zM160 70.28L147.2 91.61C141.7 100.6 131.1 105 120.9 102.5L96.67 96.53L102.6 120.7C105.2 130.9 100.8 141.6 91.75 147L70.41 159.9L91.75 172.8C100.8 178.2 105.2 188.9 102.6 199.1L96.67 223.3L120.9 217.3C131.1 214.8 141.7 219.2 147.2 228.2L160 249.6L172.9 228.2C178.4 219.2 189 214.8 199.2 217.3L223.4 223.3L217.4 199.1C214.9 188.9 219.3 178.2 228.3 172.8L249.7 159.9L228.3 147C219.3 141.6 214.9 130.9 217.4 120.7L223.4 96.53L199.2 102.5C189 105 178.4 100.6 172.9 91.61L160 70.28zM504 463.1H616C629.3 463.1 640 474.7 640 487.1C640 501.3 629.3 511.1 616 511.1H23.1C10.74 511.1-.0012 501.3-.0012 487.1C-.0012 474.7 10.74 463.1 23.1 463.1H456V271.1C456 254.3 441.7 239.1 424 239.1C406.3 239.1 392 254.3 392 271.1V293.4C406.8 301.1 416 316.5 416 338C416 357.3 394.5 390.1 368 415.1C341.5 390.1 319.1 357.6 319.1 338C319.1 316.5 329.2 301.1 344 293.4V271.1C344 227.8 379.8 191.1 424 191.1C435.4 191.1 446.2 194.4 456 198.7V175.1C456 131.8 491.8 95.1 536 95.1C580.2 95.1 616 131.8 616 175.1V229.4C630.8 237.1 640 252.5 640 274C640 293.3 618.5 326.1 592 351.1C565.5 326.1 544 293.6 544 274C544 252.5 553.2 237.1 568 229.4V175.1C568 158.3 553.7 143.1 536 143.1C518.3 143.1 504 158.3 504 175.1V463.1z"],
    "sunglasses": [576, 512, [128374], "f892", "M574.1 280.4l-45.38-181.7c-5.875-23.75-21.5-43.1-43-55.75c-21.5-11.87-46.1-14.12-70.25-6.375L400.3 41.64c-8.375 2.75-12.87 11.88-10 20.25l5 15.12c2.749 8.375 11.88 12.87 20.25 10.12l13.12-4.375c10.88-3.625 23.04-3.625 33.17 1.75c10.25 5.25 17.71 14.62 20.46 25.75l38.38 153.9C494.4 255.9 467 251.8 439.5 251.6c-40 0-85.75 9.255-133 36.38H269.6C222.2 260.9 176.4 251.6 136.5 251.6c-27.62 .125-54.92 4.25-81.17 12.5l38.38-153.9C96.5 99.14 104 89.76 114.3 84.51c10.13-5.375 22.25-5.375 33.13-1.75L160.5 87.14c4 1.375 8.375 1.01 12.25-.8648c3.75-1.875 6.625-5.26 8-9.26l5-15.21C188.6 53.43 183.1 44.39 175.7 41.64l-15.25-5.125c-23.25-7.75-48.71-5.499-70.21 6.375c-21.5 11.75-37.12 31.1-43 55.75L1.875 280.4C.75 285.5 .125 290.6 0 295.9v70.25C0 428.1 51.63 480 115.3 480h37.04c60.38 0 110.5-46 114.1-105.4l2.875-38.62h35.75l2.875 38.62C313.2 433.1 363.3 480 423.7 480h37.04C524.4 480 576 428.1 576 366.1v-70.25C576 290.6 575.4 285.5 574.1 280.4zM48 366.1V317.6c19.75-8.125 51.25-17.1 88.62-17.1L48 366.1zM356.6 371l-4-52.75C380 306 409.5 299.8 439.5 299.6L356.6 371z"],
    "sunrise": [576, 512, [127749], "f766", "M551.1 463.1L491.5 464l29.38-44.75c7.375-11.12 8.75-25.25 3.625-37.75c-5.25-12.38-16.12-21.5-29.25-24.25l-70.75-14.5L410 272c-2.75-13.25-11.75-24.25-24.25-29.38c-12.5-5.25-26.62-3.75-37.63 3.625L287.8 286L227.6 246.1c-22.5-14.88-56.5-.875-61.88 25.62l-14.5 70.88L80.63 357c-13.38 2.75-24.12 11.75-29.38 24.25c-5 12.5-3.75 26.5 3.75 37.75L84.75 464l-60.75-.0065C10.8 463.1 0 474.8 0 487.1S10.8 512 24 512H551.1C565.2 512 576 501.2 576 487.1S565.2 463.1 551.1 463.1zM234.6 464c4.625-15.62 16-29 32.13-35.75c28.5-11.75 61.5 1.875 73.25 30.38c.75 1.75 1.125 3.625 1.625 5.375H234.6zM434 464h-43.25c-1.25-8-3.125-16-6.375-23.75c-21.88-53-82.88-78.25-135.9-56.38C213.8 398.3 191.1 429.4 185.8 464h-43.5l-40.88-62.13l90.88-18.62l18.5-90.88l77.38 51.25l77.25-51.13l18.75 90.88l90.75 18.75L434 464zM224.1 120.1L264 81.94V200C264 213.3 274.8 224 288 224s24-10.75 24-24V81.94l39.03 39.03C355.7 125.7 361.9 128 368 128s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94l-80-80c-9.375-9.375-24.56-9.375-33.94 0l-80 80c-9.375 9.375-9.375 24.56 0 33.94S215.6 130.3 224.1 120.1z"],
    "sunset": [576, 512, [127751], "f767", "M551.1 463.1L491.5 463.1l29.38-44.75c7.375-11.12 8.75-25.25 3.625-37.75c-5.25-12.38-16.12-21.5-29.25-24.25l-70.75-14.5L409.1 272c-2.75-13.25-11.75-24.25-24.25-29.38c-12.5-5.25-26.62-3.75-37.63 3.625L287.8 286L227.6 246.1c-22.5-14.88-56.5-.875-61.88 25.62l-14.5 70.87L80.63 356.1c-13.38 2.75-24.12 11.75-29.38 24.25c-5 12.5-3.75 26.5 3.75 37.75l29.75 45l-60.75-.0052C10.8 463.1 0 474.8 0 487.1C0 501.2 10.8 511.1 24 511.1H551.1C565.2 511.1 576 501.2 576 487.1C576 474.8 565.2 463.1 551.1 463.1zM234.6 463.1c4.625-15.62 16-29 32.13-35.75c28.5-11.75 61.5 1.875 73.25 30.38c.75 1.75 1.125 3.625 1.625 5.375H234.6zM433.1 463.1h-43.25c-1.25-8-3.125-16-6.375-23.75c-21.88-53-82.88-78.25-135.9-56.38c-34.75 14.38-57.38 45.5-62.75 80.13h-43.5l-40.88-62.13l90.88-18.62l18.5-90.87l77.38 51.25l77.25-51.12l18.75 90.87l90.75 18.75L433.1 463.1zM271 216.1c9.375 9.375 24.56 9.375 33.94 0l80-80c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0L312 142.1V24C312 10.75 301.3 0 288 0S264 10.75 264 24v118.1L224.1 103C220.3 98.34 214.1 96 208 96S195.7 98.34 191 103c-9.375 9.375-9.375 24.56 0 33.94L271 216.1z"],
    "superscript": [512, 512, [], "f12b", "M328 112C341.3 112 352 101.3 352 88S341.3 64 328 64L288 64.01c-8.031 0-15.53 3.993-19.97 10.68L176 212.7L83.97 74.69C79.53 68 72.03 64.01 64 64.01L24 64C10.75 64 0 74.75 0 88S10.75 112 24 112h27.16l96 144l-96 144H24C10.75 400 0 410.8 0 424S10.75 448 24 448L64 448c8.031 0 15.53-4.007 19.97-10.69L176 299.3l92.03 138C272.5 444 279.1 448 288 448L328 448c13.25 0 24-10.75 24-24s-10.75-24-24-24h-27.16l-96-144l96-144H328zM488 176h-16V24C472 10.75 461.3 0 448 0h-40C394.8 0 384 10.75 384 24s10.75 24 24 24h16v128h-16C394.8 176 384 186.8 384 200S394.8 224 408 224h80C501.3 224 512 213.3 512 200S501.3 176 488 176z"],
    "sushi": [576, 512, [127843, "nigiri"], "e48a", "M524.5 302.9L421.7 268.8L507.6 123.4C532.5 149.6 550.3 182.1 557.4 220.6L565.1 266.6C570.5 290.6 547.6 310.6 524.5 302.9L524.5 302.9zM393.7 65.63C426.7 69.96 457.4 82.72 483.1 101.9L390.6 258.4L323.1 236C314.4 233.1 305.5 231.2 296.5 230.2L393.7 65.63zM258.3 231.8C252.4 232.1 246.6 234.6 240.9 236.5L119.9 278.4L246.6 64H357.5L258.3 231.8zM207.3 64H209.5L73.17 294.6L52.09 301.1C28.88 309.1 5.634 289.1 10.16 265.8L18.64 220.6C35.66 129.8 114.1 64 207.3 64V64zM59.09 333.4L80 326.1V352C80 378.5 101.5 400 128 400C136.7 400 144.8 397.7 151.8 393.7C169.3 383.7 190.7 383.7 208.2 393.7C215.2 397.7 223.3 400 232 400C241.5 400 250.2 397.3 257.6 392.6C276.2 380.9 299.8 380.9 318.4 392.6C325.8 397.3 334.5 400 344 400C352.7 400 360.8 397.7 367.8 393.7C385.3 383.7 406.7 383.7 424.2 393.7C431.2 397.7 439.3 400 448 400C474.5 400 496 378.5 496 352V327.1L517.8 334.4C526.6 337.3 535.5 338.2 544 337.4V352C544 405 501 448 448 448C430.7 448 414.4 443.4 400.4 435.4C397.7 433.8 394.3 433.8 391.6 435.4C377.6 443.4 361.3 448 344 448C325.2 448 307.6 442.6 292.8 433.2C289.9 431.4 286.1 431.4 283.2 433.2C268.4 442.6 250.8 448 232 448C214.7 448 198.4 443.4 184.4 435.4C181.7 433.8 178.3 433.8 175.6 435.4C161.6 443.4 145.3 448 128 448C74.98 448 32 405 32 352V336.7C40.77 337.5 49.94 336.6 59.09 333.4L59.09 333.4z"],
    "sushi-roll": [448, 512, ["maki-roll", "makizushi"], "e48b", "M224 32C347.7 32 448 82.14 448 144V368C448 429.9 347.7 480 224 480C100.3 480 0 429.9 0 368V144C0 82.14 100.3 32 224 32zM354.1 233.8C319 248.2 272.7 256 224 256C175.3 256 128.1 248.2 93.04 233.8C77.04 227.4 61.18 218.1 48 207.7V368C48 370.1 51.64 386.5 87.07 404.3C119.6 420.5 167.1 432 224 432C280 432 328.4 420.5 360.9 404.3C396.4 386.5 400 370.1 400 368V207.7C386.8 218.1 370.1 227.4 354.1 233.8V233.8zM81.09 172.8C101.5 149.6 126.1 132.4 151.4 120.1C171.5 110 191.6 102.9 208.9 98.19C207.2 92.37 205.1 86.44 205.1 80.44C125.7 84.18 64 111.2 64 144C64 154.4 70.16 164.1 81.09 172.8L81.09 172.8zM117.1 191.9C146.2 201.9 183.3 208 224 208C254.9 208 283.8 204.5 308.2 198.4C272.9 184.9 244.4 162.4 226.2 135C210.2 138.9 189.9 145.6 169.4 155.9C150.8 165.2 132.8 177.1 117.1 191.9H117.1zM245.8 80.59C255.1 123 299.1 165.9 368.6 171.4C378.5 163.1 384 153.8 384 144C384 111.6 323.9 84.85 245.8 80.59z"],
    "swatchbook": [512, 512, [], "f5c3", "M88 400C88 386.7 98.75 376 112 376C125.3 376 136 386.7 136 400C136 413.3 125.3 424 112 424C98.75 424 88 413.3 88 400zM0 64C0 28.65 28.65 0 64 0H160C195.3 0 224 28.65 224 64V126.1L274.7 75.31C299.7 50.32 340.3 50.32 365.3 75.31L436.7 146.7C461.7 171.7 461.7 212.3 436.7 237.3L385.9 288H448C483.3 288 512 316.7 512 352V448C512 483.3 483.3 512 448 512H112C50.14 512 0 461.9 0 400V64zM464 448V352C464 343.2 456.8 336 448 336H337.9L209.9 464H448C456.8 464 464 456.8 464 448zM402.7 180.7L331.3 109.3C325.1 103 314.9 103 308.7 109.3L224 193.9V382.1L402.7 203.3C408.1 197.1 408.1 186.9 402.7 180.7V180.7zM112 464C147.3 464 176 435.3 176 400V304H48V400C48 435.3 76.65 464 112 464zM48 256H176V176H48V256zM48 128H176V64C176 55.16 168.8 48 160 48H64C55.16 48 48 55.16 48 64V128z"],
    "sword": [512, 512, [128481], "f71c", "M511.8 18.28c1.375-9.75-6.249-18.26-15.87-18.26c-.7499 0-1.5 .0013-2.25 .1263l-93.74 15.88L148.5 267.5L109.8 228.6c-6.249-6.125-16.37-6.125-22.62 0L68.4 247.4C63.02 252.8 62.27 261.2 66.52 267.5l53.12 79.75L66.4 400.5l-29.12-14.5c-1.25-.6253-9.249-4.25-15.1 2.5L4.031 405.8c-5.374 5.375-5.374 14.12 0 19.62L86.64 508C89.39 510.6 92.89 512 96.52 512c3.5 0 6.999-1.375 9.749-4l17.25-17.25c4.124-4.25 5.249-10.63 2.5-16l-14.5-29.13l53.24-53.25l79.74 53.13c6.374 4.25 14.75 3.5 20.12-1.875l18.75-18.75c6.124-6.25 6.124-16.38 0-22.63L244.5 363.5l251.5-251.5L511.8 18.28zM451.2 88.88L210.6 329.5L182.5 301.4L423.1 60.75l33.87-5.75L451.2 88.88z"],
    "sword-laser": [512, 512, [], "e03b", "M176.5 223.5c-3.125-3.125-8.124-3.125-11.25 0L153.9 234.8c-3.125 3.125-3.125 8.249 0 11.37l4.499 4.499l-142.4 142.4c-21.37 21.37-21.37 55.87 0 77.24l25.75 25.75c21.37 21.37 55.87 21.37 77.24 0l142.4-142.4l5.615 5.63c3.125 3.125 8.249 3.125 11.37 0l11.25-11.25c3.125-3.125 3.125-8.249 0-11.37L176.5 223.5zM85.02 461.1c-2.5 2.625-6.749 2.625-9.249 .125l-25.75-25.87c-2.625-2.5-2.625-6.749 0-9.249l63.12-63.24l35.12 35.12L85.02 461.1zM159.6 387.5l-35.12-35.12l11.25-11.25l35.12 35.12L159.6 387.5zM182.3 364.9L147.1 329.7l11.25-11.25l35.12 35.12L182.3 364.9zM204.9 342.2L169.8 307.1l11.25-11.25l35.12 35.12L204.9 342.2zM503.2 8.787c-11.25-11.37-29.5-11.75-41.24-.8749L224.4 226.1l61.49 61.49l218.2-237.6C514.1 38.28 514.6 20.04 503.2 8.787z"],
    "sword-laser-alt": [512, 512, [], "e03c", "M119 495.1l211.5-212.7c9.999-9.999 2.875-27.25-11.37-27.25L159.6 256c-4.249 0-8.349 1.621-11.35 4.621l-132.2 132.4c-21.37 21.37-21.37 55.87 0 77.24l25.75 25.75C63.15 517.3 97.65 517.3 119 495.1zM172.9 303.1h70.24l-70.24 70.24l-35.12-35.12L172.9 303.1zM49.9 436.2c-2.5-2.5-2.5-6.749 0-9.249l65.24-65.24l10.5 10.49l-69.87 69.87L49.9 436.2zM75.65 461.1l-5.749-5.749l69.87-69.87l10.49 10.5l-65.24 65.12C82.52 464.6 78.27 464.6 75.65 461.1zM503.2 8.787c-11.25-11.37-29.5-11.75-41.24-.8749L226.8 224h117.5l159.9-173.1C514.1 38.28 514.6 20.04 503.2 8.787z"],
    "swords": [512, 512, [9876], "f71d", "M507.2 462.1l-59.25-59.26l31.62-59.01c3.375-6.25 2.25-13.88-2.75-18.88L459.2 307.4c-6.249-6.25-16.37-6.25-22.62 0l-16.63 16.63L112 16.04l-93.74-15.88c-9.999-1.375-19.62 6.1-18.12 18.13l15.87 93.75l307.1 308l-16.71 16.71c-6.249 6.25-6.249 16.29 0 22.54l17.58 17.63c4.999 5 12.62 6.125 18.87 2.75l58.1-31.63l59.25 59.26c6.249 6.25 16.5 6.25 22.75 0l22.5-22.5C513.5 478.6 513.5 468.3 507.2 462.1zM357.1 386.1L60.77 88.91l-5.749-33.88L88.9 60.78l297.2 297.3L357.1 386.1zM423.1 60.78l33.87-5.75l-5.749 33.88l-110.5 110.5l33.87 34l121.3-121.4l15.87-93.75c1.375-10-6.999-19.63-18.12-18.13l-93.74 15.88l-121.4 121.4l33.1 33.88L423.1 60.78zM199.5 340.8l-45.37 45.38l-28.12-28.13l45.37-45.38L137.4 278.7l-45.37 45.38L75.3 307.3c-6.249-6.25-16.29-6.25-22.54 0l-17.62 17.58c-4.999 5-6.125 12.63-2.75 18.88l31.62 59.01L4.768 462.1c-6.249 6.25-6.249 16.5 0 22.75l22.5 22.5c6.249 6.25 16.5 6.25 22.75 0l59.25-59.26l58.1 31.63c6.249 3.375 13.87 2.25 18.87-2.75l17.5-17.63c6.249-6.25 6.249-16.29 0-22.54l-16.62-16.71l45.37-45.38L199.5 340.8z"],
    "swords-laser": [640, 512, [], "e03d", "M136.8 8.787C125.5 20.04 125.1 38.28 136 50.03l215.1 235.2V167.8l-173.1-159.9C166.3-2.962 148.1-2.587 136.8 8.787zM623.1 393l-212.7-211.5c-4.5-4.499-11.37-5.874-17.37-3.375c-5.999 2.5-9.874 8.249-9.874 14.75l.0031 159.5c0 4.249 1.688 8.312 4.687 11.31l132.3 132.2c21.37 21.37 55.87 21.37 77.25 0l25.75-25.75C645.4 448.9 645.4 414.4 623.1 393zM431.1 339.1V268.9l70.24 70.24l-35.12 35.12L431.1 339.1zM564.4 462.1c-1.25 1.125-2.1 1.875-4.75 1.875c-1.75 0-3.375-.7499-4.625-1.875l-65.24-65.24l10.51-10.44l69.86 69.81L564.4 462.1zM590.1 436.4l-5.874 5.749l-69.86-69.81l10.49-10.56l65.24 65.24C592.6 429.5 592.6 433.7 590.1 436.4zM414.6 147.4l89.37-97.36c10.87-11.75 10.5-29.1-.7499-41.24c-11.37-11.37-29.5-11.75-41.25-.8749l-118.4 108.7l35.87 32.87c6.374-3.125 13.5-4.624 20.62-4.624C405.1 144.9 409.1 145.8 414.6 147.4zM240.6 211.3l-39.75 36.62L176.5 223.5c-3.125-3.125-8.124-3.125-11.25 0L153.9 234.8c-3.125 3.125-3.125 8.249 0 11.37l4.5 4.499l-142.4 142.2c-21.37 21.37-21.36 55.1 .0148 77.37l25.75 25.75c21.37 21.37 55.87 21.37 77.24 0l142.4-142.5l5.627 5.755c3.125 3.125 8.249 3.125 11.37 0l11.25-11.25c3.125-3.125 3.125-8.249 0-11.37L264.1 311.1l34.12-37.12L240.6 211.3zM85.02 461.1c-2.5 2.625-6.749 2.625-9.374 .125l-25.75-25.87c-2.5-2.5-2.5-6.749 0-9.249l63.24-63.24l35.12 35.12L85.02 461.1zM159.5 387.5L124.4 352.4l11.37-11.25l35.12 35.12L159.5 387.5zM182.1 364.9l-35.12-35.12l11.37-11.25l35.12 35.12L182.1 364.9zM204.8 342.2L169.6 307.1l11.37-11.25l35.12 35.12L204.8 342.2z"],
    "symbols": [512, 512, [128291, "icons-alt"], "f86e", "M200-.002C213.3-.002 224 10.74 224 23.1C224 37.25 213.3 47.1 200 47.1H24C10.75 47.1 0 37.25 0 23.1C0 10.74 10.75-.002 24-.002H200zM200 79.1C213.3 79.1 224 90.74 224 103.1C224 117.3 213.3 127.1 200 127.1H136V199.1C136 213.3 125.3 223.1 112 223.1C98.75 223.1 88 213.3 88 199.1V127.1H24C10.75 127.1 0 117.3 0 103.1C0 90.74 10.75 79.1 24 79.1H200zM352 75.67V207.1C352 234.5 323.3 255.1 288 255.1C252.7 255.1 224 234.5 224 207.1C224 181.5 252.7 159.1 288 159.1C293.5 159.1 298.9 160.5 304 161.5V69.12C304 50.05 317.5 33.63 336.2 29.89L464.2 4.292C488.9-.6586 512 18.27 512 43.52V175.1C512 202.5 483.3 223.1 448 223.1C412.7 223.1 384 202.5 384 175.1C384 149.5 412.7 127.1 448 127.1C453.5 127.1 458.9 128.5 464 129.5V53.27L352 75.67zM352 320C352 337.7 337.7 352 320 352C302.3 352 288 337.7 288 320C288 302.3 302.3 288 320 288C337.7 288 352 302.3 352 320zM504.1 295C514.3 304.4 514.3 319.6 504.1 328.1L328.1 504.1C319.6 514.3 304.4 514.3 295 504.1C285.7 495.6 285.7 480.4 295 471L471 295C480.4 285.7 495.6 285.7 504.1 295zM448 480C448 462.3 462.3 448 480 448C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480zM85.12 256C122.1 256 152 285.9 152 322.9C152 343.6 142.4 363.2 125.9 375.9L118 381.9L144.4 405.7L185 373.3C195.4 364.1 210.5 366.7 218.7 377C227 387.4 225.3 402.5 214.1 410.7L180.6 438.3L216.1 470.2C225.9 479 226.7 494.2 217.8 504.1C208.1 513.9 193.8 514.7 183.9 505.8L142.6 468.6L106.3 497.7C94.74 506.9 80.32 512 65.46 512C29.31 512 .0006 482.7 .0006 446.5V445.1C.0006 424.3 9.645 404.8 26.1 392.1L43.07 379L38.6 375C24.18 362 16 343.5 16 324.2C16 286.8 46.31 255.1 84 255.1L85.12 256zM104 322.9C104 312.5 95.55 304 85.12 304H84C73.09 304 64 313 64 324.2C64 329.1 66.48 335.5 70.71 339.4L81.76 349.3L96.63 337.9C101.3 334.3 104 328.7 104 322.9V322.9zM48 445.1V446.5C48 456.2 55.82 464 65.46 464C69.42 464 73.27 462.6 76.36 460.2L106.5 436.1L79.35 411.7L55.37 430.1C50.72 433.7 48 439.3 48 445.1z"],
    "synagogue": [640, 512, [128333], "f69b", "M342.8 152.4L375.1 152.1C381.3 152.1 385.2 158.8 382.1 164.2L365.7 191.1L382.1 219.8C385.2 225.2 381.3 231.9 375.1 231.9L342.8 231.6L326.1 259.7C323.9 265.1 316.1 265.1 313 259.7L297.2 231.6L264.9 231.9C258.7 231.9 254.8 225.2 257.9 219.8L274.3 191.1L257.9 164.2C254.8 158.8 258.7 152.1 264.9 152.1L297.2 152.4L313 124.3C316.1 118.9 323.9 118.9 326.1 124.3L342.8 152.4zM305.1 5.163C313.8-1.721 326.2-1.721 334.9 5.163L462.5 105.9C483.7 122.6 496 148.1 496 175V238.1L527 207C536.4 197.7 551.6 197.7 560.1 207L623.6 269.7C634.1 280.2 640 294.4 640 309.3V440C640 479.8 607.8 512 568 512H72C32.24 512 0 479.8 0 440V309.3C0 294.4 5.9 280.2 16.4 269.7L79.03 207C88.4 197.7 103.6 197.7 112.1 207L144 238.1V175C144 148.1 156.3 122.6 177.5 105.9L305.1 5.163zM568 464C581.3 464 592 453.3 592 440V309.3C592 307.1 591.2 305.1 589.7 303.6L544 257.9L498.3 303.6C496.8 305.1 496 307.1 496 309.3V464H568zM432.8 143.6L319.1 54.58L207.2 143.6C197.6 151.2 191.1 162.8 191.1 175V464H255.1V384C255.1 348.7 284.7 320 319.1 320C355.3 320 384 348.7 384 384V464H448V175C448 162.8 442.4 151.2 432.8 143.6V143.6zM141.7 303.6L95.1 257.9L50.34 303.6C48.84 305.1 47.1 307.1 47.1 309.3V440C47.1 453.3 58.74 464 71.1 464H143.1V309.3C143.1 307.1 143.2 305.1 141.7 303.6z"],
    "syringe": [512, 512, [128137], "f48e", "M504.1 71.03l-64-64c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L422.1 56L384 94.06l-55.03-55.03c-9.375-9.375-24.56-9.375-33.94 0c-8.467 8.467-8.873 21.47-2.047 30.86L71.03 291.8C66.53 296.3 64 302.4 64 308.8v105.3l-56.97 56.97c-9.375 9.375-9.375 24.56 0 33.94C11.72 509.7 17.86 512 24 512s12.28-2.344 16.97-7.031L97.94 448h105.3c6.359 0 12.47-2.531 16.97-7.031l221.9-221.1C446.3 222.1 451.1 224 456 224c6.141 0 12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94L417.9 128L456 89.94l15.03 15.03C475.7 109.7 481.9 112 488 112s12.28-2.344 16.97-7.031C514.3 95.59 514.3 80.41 504.1 71.03zM193.3 400H112V318.8l28.06-28.06l24.62 24.62C167.8 318.4 171.9 320 176 320s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L162.7 268.1l41.38-41.38l24.62 24.62C231.8 254.4 235.9 256 240 256s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L226.7 204.1l41.38-41.38l24.62 24.62C295.8 190.4 299.9 192 304 192s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62l-24.62-24.62l35.72-35.72l81.25 81.25L193.3 400z"],
    "t": [384, 512, [116], "54", "M384 56c0 13.25-10.75 24-24 24h-144v376c0 13.25-10.75 24.01-24 24.01S168 469.3 168 456V80h-144C10.75 80 0 69.25 0 56S10.75 32 24 32h336C373.3 32 384 42.75 384 56z"],
    "table": [512, 512, [], "f0ce", "M448 32C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448zM232 264V160H48V264H232zM48 312V416C48 424.8 55.16 432 64 432H232V312H48zM280 432H448C456.8 432 464 424.8 464 416V312H280V432zM464 264V160H280V264H464z"],
    "table-cells": [512, 512, ["th"], "f00a", "M0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM360 168H464V96C464 87.16 456.8 80 448 80H360V168zM312 80H200V168H312V80zM152 80H64C55.16 80 48 87.16 48 96V168H152V80zM48 216V296H152V216H48zM48 344V416C48 424.8 55.16 432 64 432H152V344H48zM200 432H312V344H200V432zM360 432H448C456.8 432 464 424.8 464 416V344H360V432zM464 296V216H360V296H464zM312 296V216H200V296H312z"],
    "table-cells-large": [512, 512, ["th-large"], "f009", "M0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM280 232H464V96C464 87.16 456.8 80 448 80H280V232zM232 80H64C55.16 80 48 87.16 48 96V232H232V80zM48 280V416C48 424.8 55.16 432 64 432H232V280H48zM280 432H448C456.8 432 464 424.8 464 416V280H280V432z"],
    "table-columns": [512, 512, ["columns"], "f0db", "M448 32C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448zM64 432H232V160H48V416C48 424.8 55.16 432 64 432zM280 432H448C456.8 432 464 424.8 464 416V160H280V432z"],
    "table-layout": [512, 512, [], "e290", "M448 32C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448zM448 80H64C55.16 80 48 87.16 48 96V160H464V96C464 87.16 456.8 80 448 80zM64 432H144V208H48V416C48 424.8 55.16 432 64 432zM192 432H448C456.8 432 464 424.8 464 416V208H192V432z"],
    "table-list": [512, 512, ["th-list"], "f00b", "M0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM192 168H464V96C464 87.16 456.8 80 448 80H192V168zM144 80H64C55.16 80 48 87.16 48 96V168H144V80zM48 216V296H144V216H48zM48 344V416C48 424.8 55.16 432 64 432H144V344H48zM192 432H448C456.8 432 464 424.8 464 416V344H192V432zM464 296V216H192V296H464z"],
    "table-picnic": [512, 512, [], "e32d", "M33.84 414.8c-5.094 12.25 .7187 26.28 12.97 31.34C49.81 447.4 52.94 448 56 448c9.406 0 18.34-5.562 22.16-14.81L125.1 320H73.16L33.84 414.8zM438.8 320h-51.93l46.93 113.2C437.7 442.4 446.6 448 456 448c3.062 0 6.188-.5938 9.188-1.844c12.25-5.062 18.06-19.09 12.97-31.34L438.8 320zM488 240h-82.33l-53.07-128H424C437.3 112 448 101.3 448 88C448 74.74 437.3 64 424 64H88C74.75 64 64 74.74 64 88C64 101.3 74.75 112 88 112h71.4l-53.07 128H24C10.75 240 0 250.7 0 264C0 277.3 10.75 288 24 288h464C501.3 288 512 277.3 512 264C512 250.7 501.3 240 488 240zM158.3 240l53.07-128h89.34l53.07 128H158.3z"],
    "table-pivot": [512, 512, [], "e291", "M464 160H160V32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V192H128V432H448C456.8 432 464 424.8 464 416V160zM64 32H128V160H0V96C0 60.65 28.65 32 64 32zM414.8 246.1C412.3 252.1 406.5 256 400 256H384V304C384 330.5 362.5 352 336 352H288V368C288 374.5 284.1 380.3 278.1 382.8C272.1 385.3 265.3 383.9 260.7 379.3L228.7 347.3C222.4 341.1 222.4 330.9 228.7 324.7L260.7 292.7C265.3 288.1 272.1 286.7 278.1 289.2C284.1 291.7 288 297.5 288 303.1V319.1H336C344.8 319.1 352 312.8 352 303.1V255.1H336C329.5 255.1 323.7 252.1 321.2 246.1C318.7 240.1 320.1 233.3 324.7 228.7L356.7 196.7C362.9 190.4 373.1 190.4 379.3 196.7L411.3 228.7C415.9 233.3 417.3 240.1 414.8 246.1L414.8 246.1z"],
    "table-rows": [512, 512, ["rows"], "e292", "M0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM464 416V280H128V432H448C456.8 432 464 424.8 464 416zM464 232V96C464 87.16 456.8 80 448 80H128V232H464z"],
    "table-tennis-paddle-ball": [512, 512, [127955, "ping-pong-paddle-ball", "table-tennis"], "f45d", "M415.1 320c-52.99 0-95.99 42.1-95.99 95.1c0 52.1 42.99 95.99 95.99 95.99c52.1 0 95.99-42.1 95.99-95.99C511.1 363 468.1 320 415.1 320zM416 464c-26.46 0-47.99-21.53-47.99-47.1c0-26.47 21.53-48 47.99-48s47.99 21.53 47.99 48C464 442.5 442.5 464 416 464zM93.19 175.1l201.6 201.7c5.268-16.2 13.54-30.86 24.38-43.52l-193.6-193.6l33.05-36.25C195.2 66.68 244 47.81 291.9 47.81c102.9 0 171.8 84.73 171.8 173.6c0 24.01-4.91 48.28-15.05 71.36c15.88 4.215 30.48 11.27 43.31 20.81c13.34-29.78 19.8-61.17 19.8-92.2C511.8 107.6 423 0 292.3 0C231.7 0 170.1 23.77 123.9 70.2L52.94 147.1c-20.14 22.8-28.46 47.97-28.46 72.63c0 36.24 17.97 71.38 42.84 96.31L82.45 332.1L17.88 388.1C13.7 392.6 0 406.1 0 428.5c0 13.88 5.521 27.35 15.31 37.23l30.72 30.85c15.2 15.26 32.93 15.41 38.55 15.41c11.2 0 26.91-5.087 38.21-17.98l56.51-64.77l14.41 14.45c25.05 25.1 58.82 38.92 94.24 38.92c5.027 0 10.09-.2782 15.16-.8418l-.9062-8.34c-6.172-12.18-10.39-25.36-12.39-39.38c-.5089 .0081-1.017 .0122-1.525 .0122c-22.8 0-44.57-8.229-60.57-24.26l-50.73-50.9L86.64 462.4c-.2416 .2761-1.702 1.69-3.558 1.69c-.9461 0-1.995-.3673-3.038-1.44l-30.66-30.76c-.4885-.4885-1.385-1.905-1.385-3.534c0-1.102 .4103-2.301 1.635-3.377l102.9-90.63L101.3 283C88.04 269.7 72.56 246.1 72.56 220.8c0-13.55 4.452-27.57 16.08-40.73L93.19 175.1z"],
    "table-tree": [512, 512, [], "e293", "M224 240C224 231.2 231.2 224 240 224H400C408.8 224 416 231.2 416 240V272C416 280.8 408.8 288 400 288H240C231.2 288 224 280.8 224 272V240zM400 320C408.8 320 416 327.2 416 336V368C416 376.8 408.8 384 400 384H304C295.2 384 288 376.8 288 368V336C288 327.2 295.2 320 304 320H400zM0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM48 160V416C48 424.8 55.16 432 64 432H448C456.8 432 464 424.8 464 416V160H128V224C128 232.8 135.2 240 144 240H176C184.8 240 192 247.2 192 256C192 264.8 184.8 272 176 272H144C138.4 272 133 271 128 269.3V320C128 328.8 135.2 336 144 336H240C248.8 336 256 343.2 256 352C256 360.8 248.8 368 240 368H144C117.5 368 96 346.5 96 320V160H48z"],
    "tablet": [448, 512, ["tablet-android"], "f3fb", "M384 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V64C448 28.65 419.3 0 384 0zM400 448c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V64c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V448zM256 400H192c-8.836 0-16 7.164-16 16s7.164 16 16 16h64c8.838 0 16-7.164 16-16S264.8 400 256 400z"],
    "tablet-button": [448, 512, [], "f10a", "M384 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V64C448 28.65 419.3 0 384 0zM400 448c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V64c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V448zM224 392c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24s24-10.75 24-24C248 402.7 237.3 392 224 392z"],
    "tablet-rugged": [448, 512, [], "f48f", "M439.3 164.4c5.375-2.625 8.75-8.125 8.75-14.25v-76.25c0-6.125-3.375-11.63-8.75-14.25l-23.25-11.62c0-26.5-21.5-48-47.1-48h-288c-26.5 0-48 21.5-48 48L8.799 59.63C3.424 62.25 .0492 67.75 .0492 73.88v76.25c0 6.125 3.375 11.63 8.75 14.25l23.25 11.62v16L8.799 203.6C3.424 206.3 .0492 211.8 .0492 217.9v76.25c0 6.125 3.375 11.63 8.75 14.25l23.25 11.62v16l-23.25 11.62c-5.375 2.625-8.75 8.125-8.75 14.25v76.25c0 6.125 3.375 11.63 8.75 14.25l23.25 11.62c0 26.5 21.5 48 48 48h288c26.5 0 47.1-21.5 47.1-48l23.25-11.62c5.375-2.625 8.75-8.125 8.75-14.25v-76.25c0-6.125-3.375-11.63-8.75-14.25l-23.25-11.62v-16l23.25-11.62c5.375-2.625 8.75-8.125 8.75-14.25V217.9c0-6.125-3.375-11.63-8.75-14.25l-23.25-11.62v-16L439.3 164.4zM368.2 448c0 8.75-7.25 16-16 16h-256c-8.75 0-16-7.25-16-16V64c0-8.75 7.25-16 16-16h256c8.75 0 16 7.25 16 16V448z"],
    "tablet-screen": [448, 512, ["tablet-android-alt"], "f3fc", "M384 .0001H64c-35.35 0-64 28.65-64 64v384c0 35.35 28.65 63.1 64 63.1h320c35.35 0 64-28.65 64-63.1v-384C448 28.65 419.3 .0001 384 .0001zM400 448c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16v-80h352V448zM400 320h-352V64c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V320zM192 432h64c8.836 0 16-7.164 16-16s-7.164-16-16-16H192c-8.836 0-16 7.164-16 16S183.2 432 192 432z"],
    "tablet-screen-button": [448, 512, ["tablet-alt"], "f3fa", "M384 .0001H64c-35.35 0-64 28.65-64 64v384c0 35.35 28.65 63.1 64 63.1h320c35.35 0 64-28.65 64-63.1v-384C448 28.65 419.3 .0001 384 .0001zM400 448c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16v-80h352V448zM400 320h-352V64c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V320zM224 440c13.26 0 24-10.75 24-24c0-13.26-10.74-24-24-24S200 402.7 200 416C200 429.3 210.7 440 224 440z"],
    "tablets": [640, 512, [], "f490", "M593.1 46.85c-62.38-62.38-163.8-62.51-226.3 0s-62.5 163.8 0 226.3c62.5 62.38 163.8 62.51 226.3 0S655.6 109.2 593.1 46.85zM385.8 99.71l154.5 154.5C439.8 318.7 321 200.5 385.8 99.71zM574.3 220.2l-154.5-154.5C520.3 1.078 639 119.5 574.3 220.2zM159.1 191.1C71.61 191.1 0 263.6 0 351.1S71.61 512 159.1 512S320 440.4 320 351.1S248.4 191.1 159.1 191.1zM50.75 375.1h218.5C243.6 492.1 76.38 492.7 50.75 375.1zM50.75 327.1c25.62-116.9 192.9-116.9 218.5 0H50.75z"],
    "tachograph-digital": [640, 512, ["digital-tachograph"], "f566", "M576 64H64C28.65 64 0 92.65 0 128v256c0 35.35 28.65 64 64 64h512c35.35 0 64-28.65 64-64V128C640 92.65 611.3 64 576 64zM592 384c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V128c0-8.822 7.178-16 16-16h512c8.822 0 16 7.178 16 16V384zM336 144h-224c-17.67 0-32 14.33-32 32v32c0 17.67 14.33 32 32 32h224c17.67 0 32-14.33 32-32v-32C368 158.3 353.7 144 336 144zM352 336H96c-8.844 0-16 7.156-16 16S87.16 368 96 368h256c8.844 0 16-7.156 16-16S360.8 336 352 336zM544 336h-128c-8.844 0-16 7.156-16 16s7.156 16 16 16h128c8.844 0 16-7.156 16-16S552.8 336 544 336zM88 304h16c4.418 0 8-3.582 8-8v-16c0-4.418-3.582-8-8-8h-16C83.58 272 80 275.6 80 280v16C80 300.4 83.58 304 88 304zM168 304c4.418 0 8-3.582 8-8v-16c0-4.418-3.582-8-8-8h-16C147.6 272 144 275.6 144 280v16c0 4.418 3.582 8 8 8H168zM232 304c4.418 0 8-3.582 8-8v-16c0-4.418-3.582-8-8-8h-16C211.6 272 208 275.6 208 280v16c0 4.418 3.582 8 8 8H232zM296 304c4.418 0 8-3.582 8-8v-16c0-4.418-3.582-8-8-8h-16C275.6 272 272 275.6 272 280v16c0 4.418 3.582 8 8 8H296zM360 272h-16c-4.418 0-8 3.582-8 8v16c0 4.418 3.582 8 8 8h16c4.418 0 8-3.582 8-8v-16C368 275.6 364.4 272 360 272z"],
    "taco": [512, 512, [127790], "f826", "M208 280c-13.31 0-24 10.69-24 23.1S194.7 327.1 208 327.1S232 317.3 232 304S221.3 280 208 280zM143.1 344c-13.31 0-24 10.69-24 23.1c0 13.31 10.69 23.1 24 23.1S168 381.3 168 367.1C168 354.7 157.3 344 143.1 344zM511.5 407.7c-2.75-21.12-7.615-42.03-14.61-62.15c2.75-7.125 4.125-14.62 4.125-22.25c0-9.5 .625-18.25 3.25-27.62c5.375-18.5 12.63-43.5 3-69.62c-13-35.63-47.88-48.75-59.88-58.13c-5.25-16.38-6.375-55.12-35.13-78.62c-27.13-21.1-56.13-15.12-81.75-15.37c-13.88-11.12-36.72-41.88-73.09-41.88c-37.63 0-64.66 32.88-75.91 41.88c-16.75 .1253-52.63-8.375-81.75 15.37C70.75 113 69.1 151.8 64.37 168c-12.5 9.5-46.88 22.62-59.75 58C-4.876 252 2.374 277.1 7.624 295.4c2.75 9.375 3.375 18.25 3.375 27.75c0 7.625 1.5 15.25 4.25 22.37c-7 20.12-11.99 41-14.74 62.13c-4.375 34.1 20.5 72.37 59.1 72.37h390.1C490.1 479.1 515.9 442.7 511.5 407.7zM451.5 431.1H60.5c-8.625 0-13.38-10.5-12.38-18.38c14.75-117.2 104.1-205.7 207.9-205.7s193.1 88.43 207.9 205.7C464.9 421.6 459.9 431.1 451.5 431.1z"],
    "tag": [448, 512, [127991], "f02b", "M80 144C80 126.3 94.33 112 112 112C129.7 112 144 126.3 144 144C144 161.7 129.7 176 112 176C94.33 176 80 161.7 80 144zM197.5 32C214.5 32 230.7 38.74 242.7 50.75L418.7 226.7C443.7 251.7 443.7 292.3 418.7 317.3L285.3 450.7C260.3 475.7 219.7 475.7 194.7 450.7L18.75 274.7C6.743 262.7 0 246.5 0 229.5V80C0 53.49 21.49 32 48 32L197.5 32zM52.69 240.8L228.7 416.8C234.9 423.1 245.1 423.1 251.3 416.8L384.8 283.3C391.1 277.1 391.1 266.9 384.8 260.7L208.8 84.69C205.8 81.69 201.7 80 197.5 80H48V229.5C48 233.7 49.69 237.8 52.69 240.8L52.69 240.8z"],
    "tags": [512, 512, [], "f02c", "M472.8 168.4C525.1 221.4 525.1 306.6 472.8 359.6L360.8 472.9C351.5 482.3 336.3 482.4 326.9 473.1C317.4 463.8 317.4 448.6 326.7 439.1L438.6 325.9C472.5 291.6 472.5 236.4 438.6 202.1L310.9 72.87C301.5 63.44 301.6 48.25 311.1 38.93C320.5 29.61 335.7 29.7 344.1 39.13L472.8 168.4zM144 143.1C144 161.7 129.7 175.1 112 175.1C94.33 175.1 80 161.7 80 143.1C80 126.3 94.33 111.1 112 111.1C129.7 111.1 144 126.3 144 143.1zM410.7 218.7C435.7 243.7 435.7 284.3 410.7 309.3L277.3 442.7C252.3 467.7 211.7 467.7 186.7 442.7L18.75 274.7C6.743 262.7 0 246.5 0 229.5V80C0 53.49 21.49 32 48 32H197.5C214.5 32 230.7 38.74 242.7 50.75L410.7 218.7zM48 79.1V229.5C48 233.7 49.69 237.8 52.69 240.8L220.7 408.8C226.9 415.1 237.1 415.1 243.3 408.8L376.8 275.3C383.1 269.1 383.1 258.9 376.8 252.7L208.8 84.69C205.8 81.69 201.7 79.1 197.5 79.1L48 79.1z"],
    "tally": [640, 512, ["tally-5"], "f69c", "M127.1 40C141.3 40 151.1 50.75 151.1 64V286.7L231.1 260V64C231.1 50.75 242.7 40 255.1 40C269.3 40 279.1 50.75 279.1 64V244L360 217.4V64C360 50.75 370.7 40 384 40C397.3 40 408 50.75 408 64V201.4L488 174.7V64C488 50.75 498.7 40 512 40C525.3 40 536 50.75 536 64V158.7L600.4 137.2C612.1 133 626.6 139.8 630.8 152.4C634.1 164.1 628.2 178.6 615.6 182.8L536 209.3V448C536 461.3 525.3 472 512 472C498.7 472 488 461.3 488 448V225.3L408 251.1V448C408 461.3 397.3 472 384 472C370.7 472 360 461.3 360 448V267.1L279.1 294.6V448C279.1 461.3 269.3 472 255.1 472C242.7 472 231.1 461.3 231.1 448V310.6L151.1 337.3V448C151.1 461.3 141.3 472 127.1 472C114.7 472 103.1 461.3 103.1 448V353.3L39.59 374.8C27.01 378.1 13.42 372.2 9.231 359.6C5.04 347 11.84 333.4 24.41 329.2L103.1 302.7V64C103.1 50.75 114.7 40 127.1 40V40z"],
    "tally-1": [448, 512, [], "e294", "M32 40C45.25 40 56 50.75 56 64V448C56 461.3 45.25 472 32 472C18.75 472 8 461.3 8 448V64C8 50.75 18.75 40 32 40z"],
    "tally-2": [448, 512, [], "e295", "M56 448C56 461.3 45.25 472 32 472C18.75 472 8 461.3 8 448V64C8 50.75 18.75 40 32 40C45.25 40 56 50.75 56 64V448zM184 448C184 461.3 173.3 472 160 472C146.7 472 136 461.3 136 448V64C136 50.75 146.7 40 160 40C173.3 40 184 50.75 184 64V448z"],
    "tally-3": [448, 512, [], "e296", "M32 40C45.25 40 56 50.75 56 64V448C56 461.3 45.25 472 32 472C18.75 472 8 461.3 8 448V64C8 50.75 18.75 40 32 40zM160 40C173.3 40 184 50.75 184 64V448C184 461.3 173.3 472 160 472C146.7 472 136 461.3 136 448V64C136 50.75 146.7 40 160 40zM312 448C312 461.3 301.3 472 288 472C274.7 472 264 461.3 264 448V64C264 50.75 274.7 40 288 40C301.3 40 312 50.75 312 64V448z"],
    "tally-4": [448, 512, [], "e297", "M56 448C56 461.3 45.25 472 32 472C18.75 472 8 461.3 8 448V64C8 50.75 18.75 40 32 40C45.25 40 56 50.75 56 64V448zM184 448C184 461.3 173.3 472 160 472C146.7 472 136 461.3 136 448V64C136 50.75 146.7 40 160 40C173.3 40 184 50.75 184 64V448zM288 40C301.3 40 312 50.75 312 64V448C312 461.3 301.3 472 288 472C274.7 472 264 461.3 264 448V64C264 50.75 274.7 40 288 40zM440 448C440 461.3 429.3 472 416 472C402.7 472 392 461.3 392 448V64C392 50.75 402.7 40 416 40C429.3 40 440 50.75 440 64V448z"],
    "tamale": [320, 512, [129748], "e451", "M312 256c0-8.838-7.164-16-16-16h-272c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16h106.1L98.69 311.1c-1.818 2.729-2.629 5.891-2.629 8.938C96.06 328.1 103.2 336 112 336c5.156 0 10.22-2.5 13.31-7.125L160 284.8l34.75 44.03C197.8 333.5 202.9 336 208.1 336C216.8 336 224 328.1 224 320.1c0-3.047-.8086-6.209-2.629-8.938L189.9 272H296C304.8 272 312 264.8 312 256zM296 304h-42.71C255.1 309.1 256 314.5 256 320.1c0 3.18-.3457 6.275-.9395 9.283l15.53 111.8c-5.098 3.404-13.7 7.348-25.21 10.1l-9.119-93.54C228.3 364.5 218.6 368 208.1 368c-1.057 0-2.049-.3027-3.094-.3711l8.959 91.96C202.6 461.5 189.9 462.9 176 463.5v-107.1c-2.533-2.285-4.918-4.764-6.947-7.594l-9.031-11.44l-9.004 11.43C148.1 350.8 146.6 353.3 144 355.6v107.9c-13.89-.6406-26.6-2.021-37.92-3.945l8.959-91.95C114 367.7 113 368 112 368c-10.6 0-20.31-3.566-28.25-9.41l-9.123 93.59c-11.51-3.648-20.12-7.592-25.21-10.1l15.56-112.1c-.5625-2.934-.9141-5.943-.9141-9.039c0-5.545 .9219-10.96 2.709-16.06H24c-1.352 0-2.623-.2891-3.945-.3984L0 448c0 35.35 71.63 64 160 64s160-28.65 160-64l-20.05-144.4C298.6 303.7 297.4 304 296 304zM24 208h44.46L49.41 70.82c5.188-3.465 13.96-7.49 25.78-11.19L92.83 208h32.21L106.5 52.35C117.7 50.46 130.3 49.1 144 48.47V208h32V48.47c13.71 .6328 26.27 1.992 37.48 3.879L194.1 208h32.21l17.65-148.4c11.82 3.699 20.59 7.725 25.78 11.19L251.5 208H296c1.352 0 2.623 .2891 3.945 .3984L320 64c0-35.35-71.63-64-160-64S0 28.65 0 64l20.05 144.4C21.38 208.3 22.65 208 24 208z"],
    "tank-water": [448, 512, [], "e452", "M384 32h-135.7c11.78 15.71 23.33 31.58 34.05 48H384c8.832 0 16 7.168 16 16v174.1l-23.01 18.4c-14.62 11.68-35.36 11.68-49.98 0l-24-19.23c-8.768-7.008-21.25-7.008-30.02 0l-24 19.23c-14.62 11.68-35.36 11.68-49.98 0l-24-19.23c-8.768-7.008-21.25-7.008-30.02 0l-24 19.23c-14.62 11.68-35.36 11.68-49.98 0L48 270.1V96c0-8.832 7.168-16 16-16h101.7C176.4 63.58 187.9 47.71 199.7 32H64C28.64 32 0 60.64 0 96v320c0 35.36 28.64 64 64 64h320c35.36 0 64-28.64 64-64V96C448 60.64 419.4 32 384 32zM400 416c0 8.832-7.168 16-16 16H64c-8.832 0-16-7.168-16-16v-84.99c31.52 20.54 73.09 18.85 102.1-5.057L160 318.7l9.023 7.23c32.13 25.73 77.82 25.73 109.1 0L288 318.7l9.023 7.23c29.89 23.9 71.46 25.6 102.1 5.057V416zM224 224c30.94 0 56-24.03 56-53.66S223.1 64 223.1 64S168 140.7 168 170.3S193.1 224 224 224z"],
    "tape": [576, 512, [], "f4db", "M128 256C128 202.1 170.1 160 224 160C277 160 320 202.1 320 256C320 309 277 352 224 352C170.1 352 128 309 128 256zM224 304C250.5 304 272 282.5 272 256C272 229.5 250.5 208 224 208C197.5 208 176 229.5 176 256C176 282.5 197.5 304 224 304zM552 432C565.3 432 576 442.7 576 456C576 469.3 565.3 480 552 480H224C100.3 480 0 379.7 0 256C0 132.3 100.3 32 224 32C347.7 32 448 132.3 448 256C448 327.4 414.6 390.1 362.6 432H552zM224 432C321.2 432 400 353.2 400 256C400 158.8 321.2 80 224 80C126.8 80 48 158.8 48 256C48 353.2 126.8 432 224 432z"],
    "tarp": [576, 512, [], "e57b", "M80 176C80 158.3 94.33 144 112 144C129.7 144 144 158.3 144 176C144 193.7 129.7 208 112 208C94.33 208 80 193.7 80 176zM576 300.1C576 312.8 570.9 325.1 561.9 334.1L462.1 433.9C453.1 442.9 440.8 448 428.1 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H512C547.3 64 576 92.65 576 128V300.1zM48 128V384C48 392.8 55.16 400 64 400H416V320C416 302.3 430.3 288 448 288H528V128C528 119.2 520.8 112 512 112H64C55.16 112 48 119.2 48 128z"],
    "tarp-droplet": [576, 512, [], "e57c", "M223.1 100C223.1 75.95 257.7 29.93 276.2 6.49C282.3-1.226 293.7-1.226 299.8 6.49C318.3 29.93 352 75.95 352 100C352 133.1 323.3 160 287.1 160C252.7 160 223.1 133.1 223.1 100V100zM63.1 128H197.5C204.5 147.8 217.7 164.6 234.9 176H63.1C55.16 176 47.1 183.2 47.1 192V448C47.1 456.8 55.16 464 63.1 464H416V384C416 366.3 430.3 352 448 352H528V192C528 183.2 520.8 176 512 176H341.1C358.3 164.6 371.5 147.8 378.5 128H512C547.3 128 576 156.7 576 192V364.1C576 376.8 570.9 389.1 561.9 398.1L462.1 497.9C453.1 506.9 440.8 512 428.1 512H64C28.65 512 0 483.3 0 448V192C0 156.7 28.65 128 64 128H63.1zM79.1 240C79.1 222.3 94.33 208 111.1 208C129.7 208 143.1 222.3 143.1 240C143.1 257.7 129.7 272 111.1 272C94.33 272 79.1 257.7 79.1 240V240z"],
    "taxi": [576, 512, [128662, "cab"], "f1ba", "M176 320C176 337.7 161.7 352 144 352C126.3 352 112 337.7 112 320C112 302.3 126.3 288 144 288C161.7 288 176 302.3 176 320zM400 320C400 302.3 414.3 288 432 288C449.7 288 464 302.3 464 320C464 337.7 449.7 352 432 352C414.3 352 400 337.7 400 320zM352 0C369.7 0 384 14.33 384 32V64L384 64.17C419.2 66.32 449.9 89.34 461.7 122.9L495.9 220.8C524.6 237.4 544 268.4 544 303.1V488C544 501.3 533.3 512 520 512C506.7 512 496 501.3 496 488V432H80V488C80 501.3 69.25 512 56 512C42.75 512 32 501.3 32 488V303.1C32 268.4 51.35 237.4 80.1 220.8L114.3 122.9C126.1 89.34 156.8 66.32 192 64.17L192 64V32C192 14.33 206.3 0 224 0H352zM197.4 112C180.4 112 165.3 122.7 159.7 138.8L135.4 208H440.6L416.3 138.8C410.7 122.7 395.6 112 378.6 112H197.4zM80 304V384H496V304C496 277.5 474.5 256 448 256H128C101.5 256 80 277.5 80 304z"],
    "taxi-bus": [640, 512, [], "e298", "M72 376H192V424H80V456C80 469.3 69.25 480 56 480C42.75 480 32 469.3 32 456V411.9C12.7 398.1 0 376.1 0 352V118.2C0 96.18 4.597 66.28 28.76 46.81C58.65 22.73 111.5 0 192 0C276.9 0 327.8 22.09 356.5 46.62C367.7 56.23 374.5 68.1 378.5 80.26C352.8 82.75 332.2 102.6 328.6 128H216V208H252.9L239.2 256H48V352C48 365.3 58.75 376 72 376V376zM192 48C126.6 48 86.16 64.83 64.46 80H321.4C302.1 65.3 263.5 48 191.1 48H192zM168 208V128H48V208H168zM128 312C128 325.3 117.3 336 104 336C90.75 336 80 325.3 80 312C80 298.7 90.75 288 104 288C117.3 288 128 298.7 128 312zM360 360C360 373.3 349.3 384 336 384C322.7 384 312 373.3 312 360C312 346.7 322.7 336 336 336C349.3 336 360 346.7 360 360zM504 360C504 346.7 514.7 336 528 336C541.3 336 552 346.7 552 360C552 373.3 541.3 384 528 384C514.7 384 504 373.3 504 360zM368 144C368 126.3 382.3 112 400 112H464C481.7 112 496 126.3 496 144V160H502.2C532.6 160 559.7 179.1 569.1 207.8L598.6 287.9C598.8 288.4 598.9 288.9 599.1 289.3C623.8 306.7 640 335.5 640 368V488C640 501.3 629.3 512 616 512C602.7 512 592 501.3 592 488V448H272V488C272 501.3 261.3 512 248 512C234.7 512 224 501.3 224 488V368C224 335.5 240.2 306.7 264.9 289.3C265.1 288.9 265.2 288.4 265.4 287.9L294 207.8C304.3 179.1 331.4 160 361.8 160H368V144zM339.2 223.9L322.1 272H541.9L524.8 223.9C521.4 214.4 512.3 208 502.2 208H361.8C351.7 208 342.6 214.4 339.2 223.9H339.2zM272 368V400H592V368C592 341.5 570.5 320 544 320H320C293.5 320 272 341.5 272 368z"],
    "teddy-bear": [576, 512, [], "e3cf", "M521.3 308.1c-2.508-.8301-5.037-1.16-7.561-1.734c5.521-6.844 11.09-13.63 16.18-21.05c25.03-36.4 15.78-86.22-20.62-111.2c-24.11-16.55-53.99-17.8-78.79-6.361C431 162.5 432 157.4 432 152v-.002c0-6.656-.8301-13.11-2.055-19.44C450.3 119.1 464 97.74 464 72C464 32.23 431.8 0 392 0c-32.14 0-58.94 21.22-68.12 50.32C311.1 48.83 299.1 48 288 48c-11.98 0-23.96 .8301-35.88 2.316C242.9 21.22 216.1 0 184 0C144.2 0 112 32.23 112 72c0 25.74 13.71 47.96 34.05 60.6C144.8 138.9 144 145.4 144 152v.002c0 5.363 .9824 10.44 1.496 15.66C120.7 156.2 90.8 157.5 66.71 174.1C30.31 199.1 21.06 248.9 46.09 285.3c5.098 7.42 10.67 14.21 16.19 21.05C59.75 306.9 57.22 307.3 54.71 308.1c-41.9 13.97-64.55 59.28-50.59 101.2l15.1 47.1C31.03 489.1 61.59 512 96.02 512h383.1c34.43 0 64.99-22.03 75.9-54.69l15.1-47.1C585.8 367.4 563.2 322.1 521.3 308.1zM392 48C405.2 48 416 58.77 416 72c0 6.414-2.609 12.19-6.723 16.5c-10.11-12.31-23.12-21.88-38.17-27.63C375.2 53.32 382.9 48 392 48zM226.1 104C246.3 98.71 267.2 96 288 96s41.67 2.707 61.91 8.045C369.1 109.3 384 129.1 384 152c0 14.38-2.723 28.09-7.621 40.55C362.1 168.3 328.8 152 288 152S213.9 168.3 199.6 192.6C194.7 180.1 192 166.4 192 152C192 129.1 206 109.3 226.1 104zM288 216c17.67 0 32-10.75 32-24c0-1.162-.668-2.158-.8809-3.275C338.6 194.9 352 206.5 352 220C352 239.9 323.3 256 288 256S224 239.9 224 220c0-13.49 13.35-25.11 32.88-31.28C256.7 189.8 256 190.8 256 192C256 205.3 270.3 216 288 216zM184 48c9.145 0 16.85 5.32 20.89 12.86c-15.06 5.758-28.06 15.32-38.17 27.63C162.6 84.19 160 78.41 160 72C160 58.77 170.8 48 184 48zM93.88 213.6c14.59-10.03 34.47-6.312 44.5 8.25C174.3 274.1 225.2 304 278.2 304h19.56c53 0 103.1-29.94 139.8-82.13c10.06-14.56 30-18.28 44.5-8.25c14.56 10.03 18.25 29.94 8.25 44.5C461.6 299.1 424.8 330.8 384 349.1v.7461C370.1 336.4 351.4 328 330.7 328H245.3C224.6 328 205.9 336.4 192 349.8v-.7461c-40.81-18.25-77.63-49.11-106.4-90.94C75.63 243.6 79.31 223.7 93.88 213.6zM208 464H96c-13.78 0-26-8.812-30.34-21.88l-16-48c-5.594-16.78 3.469-34.91 20.22-40.47C86.81 348 104.8 357.1 110.3 373.9L119.1 400h29.16c9.25 0 18.47 2.188 26.75 6.312C195.3 416.5 208 437 208 459.8V464zM320 459.8V464H256v-4.219c0-28.93-11.5-55.65-31.03-75.43C230.3 379.2 237.4 376 245.3 376h85.31c7.934 0 15.09 3.225 20.37 8.352C331.5 404.1 320 430.9 320 459.8zM526.3 394.1l-16 48C506 455.2 493.8 464 480 464h-112v-4.219c0-22.78 12.66-43.28 33.03-53.47C409.3 402.2 418.5 400 427.8 400h29.16l8.719-26.12c5.594-16.75 23.53-25.88 40.47-20.22C522.9 359.2 531.9 377.3 526.3 394.1zM240 160C248.8 160 256 152.8 256 144C256 135.2 248.8 128 240 128S224 135.2 224 144C224 152.8 231.2 160 240 160zM336 160C344.8 160 352 152.8 352 144C352 135.2 344.8 128 336 128S320 135.2 320 144C320 152.8 327.2 160 336 160z"],
    "teeth": [576, 512, [], "f62e", "M480 32H96C42.98 32 0 74.98 0 128v256c0 53.02 42.98 96 96 96h384c53.02 0 96-42.98 96-96V128C576 74.98 533 32 480 32zM528 384c0 26.47-21.53 48-48 48H96c-26.47 0-48-21.53-48-48v-21.46C63.94 385.2 90.27 400 120 400c21.26 0 40.78-7.574 56-20.17C191.2 392.4 210.7 400 232 400s40.78-7.574 56-20.17C303.2 392.4 322.7 400 344 400s40.78-7.574 56-20.17C415.2 392.4 434.7 400 456 400c29.73 0 56.06-14.82 72-37.46V384zM93.33 288h53.33C154.1 288 160 293.9 160 301.3V312C160 334.1 142.1 352 120 352S80 334.1 80 312V301.3C80 293.9 85.94 288 93.33 288zM80 242.7v-16c0-22.08 17.92-40 40-40S160 204.6 160 226.7v16C160 250.1 154.1 256 146.7 256H93.33C85.94 256 80 250.1 80 242.7zM205.3 288h53.33C266.1 288 272 293.9 272 301.3V312C272 334.1 254.1 352 232 352S192 334.1 192 312V301.3C192 293.9 197.9 288 205.3 288zM192 244.6V200C192 177.9 209.9 160 232 160S272 177.9 272 200v44.57C272 250.9 266.9 256 260.6 256H203.4C197.1 256 192 250.9 192 244.6zM317.3 288h53.33C378.1 288 384 293.9 384 301.3V312c0 22.08-17.92 40-40 40s-40-17.92-40-40V301.3C304 293.9 309.9 288 317.3 288zM304 244.6V200C304 177.9 321.9 160 344 160S384 177.9 384 200v44.57C384 250.9 378.9 256 372.6 256h-57.14C309.1 256 304 250.9 304 244.6zM429.3 288h53.33C490.1 288 496 293.9 496 301.3V312c0 22.08-17.92 40-40 40S416 334.1 416 312V301.3C416 293.9 421.9 288 429.3 288zM416 242.7v-16c0-22.08 17.92-40 40-40s40 17.92 40 40v16C496 250.1 490.1 256 482.7 256h-53.33C421.9 256 416 250.1 416 242.7zM528 176.1c-15.94-22.64-42.27-37.46-72-37.46c-14.64 0-28.45 3.592-40.61 9.939C399.4 126.4 373.4 112 344 112c-21.26 0-40.77 7.574-56 20.17C272.8 119.6 253.3 112 232 112c-29.36 0-55.4 14.45-71.39 36.61C148.5 142.3 134.6 138.7 120 138.7c-29.73 0-56.06 14.82-72 37.46V128c0-26.47 21.53-48 48-48h384c26.47 0 48 21.53 48 48V176.1z"],
    "teeth-open": [576, 512, [], "f62f", "M480 0H96C42.98 0 0 42.98 0 96v96c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 42.98 533 0 480 0zM160 194.7C160 202.1 154.1 208 146.7 208H93.33C85.94 208 80 202.1 80 194.7v-16c0-22.08 17.92-40 40-40S160 156.6 160 178.7V194.7zM272 196.6C272 202.9 266.9 208 260.6 208H203.4C197.1 208 192 202.9 192 196.6V152C192 129.9 209.9 112 232 112S272 129.9 272 152V196.6zM384 196.6C384 202.9 378.9 208 372.6 208h-57.14C309.1 208 304 202.9 304 196.6V152c0-22.05 17.95-40 40-40S384 129.9 384 152V196.6zM496 194.7C496 202.1 490.1 208 482.7 208h-53.33C421.9 208 416 202.1 416 194.7v-16c0-22.08 17.92-40 40-40s40 17.92 40 40V194.7zM528 128.3c-15.93-22.72-42.21-37.68-72-37.68c-14.64 0-28.45 3.592-40.61 9.939C399.4 78.45 373.4 64 344 64C322.7 64 303.2 71.57 288 84.17C272.8 71.57 253.3 64 232 64C202.6 64 176.6 78.45 160.6 100.6C148.4 94.26 134.6 90.67 120 90.67c-29.79 0-56.07 14.96-72 37.68V96c0-26.47 21.53-48 48-48h384c26.47 0 48 21.53 48 48V128.3zM512 288H64c-35.35 0-64 28.65-64 64v64c0 53.02 42.98 96 96 96h384c53.02 0 96-42.98 96-96v-64C576 316.7 547.3 288 512 288zM416 349.3C416 341.9 421.9 336 429.3 336h53.33C490.1 336 496 341.9 496 349.3V360c0 22.08-17.92 40-40 40S416 382.1 416 360V349.3zM304 349.3C304 341.9 309.9 336 317.3 336h53.33C378.1 336 384 341.9 384 349.3V360c0 22.08-17.92 40-40 40s-40-17.92-40-40V349.3zM192 349.3C192 341.9 197.9 336 205.3 336h53.33C266.1 336 272 341.9 272 349.3V360c0 22.08-17.92 40-40 40S192 382.1 192 360V349.3zM80 349.3C80 341.9 85.94 336 93.33 336h53.33C154.1 336 160 341.9 160 349.3V360c0 22.08-17.92 40-40 40S80 382.1 80 360V349.3zM528 416c0 26.47-21.53 48-48 48H96c-26.47 0-48-21.53-48-48v-5.68C63.93 433 90.21 448 120 448c21.26 0 40.77-7.574 56-20.17C191.2 440.4 210.7 448 232 448s40.77-7.574 56-20.17C303.2 440.4 322.7 448 344 448s40.77-7.574 56-20.17C415.2 440.4 434.7 448 456 448c29.79 0 56.07-14.96 72-37.68V416z"],
    "telescope": [640, 512, [128301], "e03e", "M638.8 216.8l-85.7-206.1c-3.502-8.125-12.69-12.02-20.94-8.647l-117.3 48.61c-8.252 3.375-12.06 12.64-8.68 20.89l3.228 7.802L74.25 241.7c-8.252 4.002-12.29 13.27-9.04 21.02l8.753 21.13L9.878 310.4C4.44 312.7 0 319.3 0 325.2c0 1.75 .5625 4.499 1.219 6.124l20.06 48.42c2.25 5.453 8.876 9.876 14.78 9.876c1.75 0 4.497-.5469 6.122-1.219L106.2 361.9l8.737 21.09c3.252 7.625 12.52 11.48 21.27 8.479l127-43.69c.2012 .2617 .321 .4375 .5261 .6973L217.4 479.1c-4.406 12.5 2.124 26.22 14.63 30.63C234.6 511.6 237.3 512 239.1 512c9.877 0 19.16-6.155 22.63-16l42.9-121.6c4.676 .9727 9.501 1.551 14.48 1.551c4.971 0 9.822-.5039 14.51-1.463l42.87 121.5C380.8 505.8 390.1 512 399.1 512c2.658 0 5.344-.4375 8.001-1.375c12.5-4.406 19.03-18.13 14.63-30.63l-46.42-131.5c9.738-12.28 15.79-27.6 15.79-44.49c0-.2598-.0807-.5072-.0827-.7669l96.73-33.34l3.24 7.761c3.375 8.25 12.77 12.06 20.9 8.689l117.3-48.61C638.3 234.4 642.1 224.1 638.8 216.8zM319.1 327.1c-13.23 0-24-10.77-24-24s10.77-24 24-24c13.24 0 24 10.77 24 24S333.2 327.1 319.1 327.1zM375.1 258.2c-13.21-15.89-32.86-26.2-55.14-26.2c-39.11 0-70.78 31.2-71.83 70.05l-100.5 34.7L121 272.4l306.7-149.5l42.51 102.5L375.1 258.2zM523.1 229.7l-61.27-147.9l58.27-24l61.26 147.8L523.1 229.7z"],
    "temperature-arrow-down": [512, 512, ["temperature-down"], "e03f", "M192 368c0 26.5-21.5 48.08-48 48.08S96 394.5 96 368c0-20.88 13.38-38.5 32-45.13l.0005-18.92c0-8.75 7.25-15.99 15.1-15.99s15.1 7.24 15.1 15.99l.0002 18.92C178.6 329.5 192 347.1 192 368zM255.1 278.5c19.75 24.62 32 55.5 32 89.5c0 79.5-64.5 144-143.1 144S0 447.5 0 368c0-34 12.25-64.88 32-89.5V112C32 50.13 82.13 0 144 0s111.1 50.13 111.1 112V278.5zM240 368c0-27-11.75-47.25-21.5-59.63L208 295.3V112c0-35.25-28.75-64-64-64s-64 28.75-64 64v183.4L69.5 308.5C59.75 320.8 48 341 48 368c0 52.88 43.13 96 96 96S240 420.9 240 368zM504.1 358.2c-9.844-8.844-24.98-8.062-33.91 1.781L440 393.5V56C440 42.75 429.3 32 416 32s-24 10.75-24 24v337.5l-30.16-33.52c-8.891-9.844-24.05-10.62-33.91-1.781c-9.844 8.875-10.64 24.03-1.781 33.91l72 80C402.7 477.1 409.2 480 416 480s13.28-2.875 17.84-7.938l72-80C514.7 382.2 513.9 367 504.1 358.2z"],
    "temperature-arrow-up": [512, 512, ["temperature-up"], "e040", "M192 368c0 26.5-21.5 48.08-48 48.08S96 394.5 96 368c0-20.88 13.38-38.5 32-45.13V112C128 103.3 135.3 96 144 96s15.1 7.25 15.1 16v210.9C178.6 329.5 192 347.1 192 368zM255.1 278.5c19.75 24.62 32 55.5 32 89.5c0 79.5-64.5 144-143.1 144S0 447.5 0 368c0-34 12.25-64.88 32-89.5V112C32 50.13 82.13 0 144 0s111.1 50.13 111.1 112V278.5zM240 368c0-27-11.75-47.25-21.5-59.63L208 295.3V112c0-35.25-28.75-64-64-64s-64 28.75-64 64v183.4L69.5 308.5C59.75 320.8 48 341 48 368c0 52.88 43.13 96 96 96S240 420.9 240 368zM504.1 153.8c-9.844 8.844-24.98 8.062-33.91-1.781L440 118.5V456c0 13.25-10.75 24-24 24s-24-10.75-24-24V118.5l-30.16 33.52c-8.891 9.844-24.05 10.62-33.91 1.781c-9.844-8.875-10.64-24.03-1.781-33.91l72-80C402.7 34.88 409.2 32 416 32s13.28 2.875 17.84 7.938l72 80C514.7 129.8 513.9 144.1 504.1 153.8z"],
    "temperature-empty": [320, 512, ["temperature-0", "thermometer-0", "thermometer-empty"], "f2cb", "M160 320c-26.51 0-48 21.49-48 48s21.49 48 48 48s48-21.49 48-48S186.5 320 160 320zM272 278.5V112c0-61.87-50.12-112-111.1-112S48 50.13 48 112v166.5c-19.75 24.62-32 55.5-32 89.5c0 79.5 64.5 143.1 144 143.1S304 447.5 304 368C304 334 291.8 303.1 272 278.5zM160 464c-52.88 0-96-43.13-96-96c0-27 11.75-47.25 21.5-59.5L96 295.4V112c0-35.25 28.75-64 64-64s64 28.75 64 64v183.3l10.5 13.12C244.3 320.8 256 341 256 368C256 420.9 212.9 464 160 464z"],
    "temperature-full": [320, 512, ["temperature-4", "thermometer-4", "thermometer-full"], "f2c7", "M272 112c0-61.88-50.12-112-111.1-112S48 50.13 48 112v166.5c-19.75 24.62-32 55.5-32 89.5c0 79.5 64.5 143.1 144 143.1S304 447.5 304 368c0-33.1-12.25-64.88-32-89.5V112zM160 464c-52.88 0-96-43.13-96-96c0-27 11.75-47.25 21.5-59.5L96 295.4V112c0-35.25 28.75-64 64-64s64 28.75 64 64v183.2l10.5 13.13C244.3 320.8 256 341 256 368C256 420.9 212.9 464 160 464zM176 322.9V112c0-8.75-7.25-16-16-16s-16 7.25-16 16v210.9c-18.62 6.625-32 24.25-32 45.13c0 26.5 21.5 48 48 48s48-21.5 48-48C208 347.1 194.6 329.5 176 322.9z"],
    "temperature-half": [320, 512, [127777, "temperature-2", "thermometer-2", "thermometer-half"], "f2c9", "M272 112c0-61.88-50.12-112-111.1-112S48 50.13 48 112v166.5c-19.75 24.62-32 55.5-32 89.5c0 79.5 64.5 143.1 144 143.1S304 447.5 304 368c0-33.1-12.25-64.88-32-89.5V112zM160 464c-52.88 0-96-43.13-96-96c0-27 11.75-47.25 21.5-59.5L96 295.4V112c0-35.25 28.75-64 64-64s64 28.75 64 64v183.2l10.5 13.13C244.3 320.8 256 341 256 368C256 420.9 212.9 464 160 464zM176 322.9l.0002-114.9c0-8.75-7.25-16-16-16c-8.75 0-15.1 7.25-15.1 16L144 322.9c-18.62 6.625-32 24.25-32 45.13c0 26.5 21.5 48 48 48s48-21.5 48-48C208 347.1 194.6 329.5 176 322.9z"],
    "temperature-high": [512, 512, [], "f769", "M400 0C355.9 0 320 35.88 320 80S355.9 160 400 160S480 124.1 480 80S444.1 0 400 0zM400 112c-17.75 0-32-14.25-32-32s14.25-32 32-32s32 14.25 32 32S417.8 112 400 112zM288 112C288 50.12 237.9 0 176 0S64 50.12 64 112v166.5C44.25 303.1 32 334 32 368C32 447.5 96.5 512 176 512s144-64.5 144-144c0-33.1-12.25-64.88-32-89.5V112zM176 464c-52.88 0-96-43.13-96-96c0-27 11.75-47.25 21.5-59.5L112 295.4V112c0-35.25 28.75-64 64-64s64 28.75 64 64v183.2l10.5 13.13C260.3 320.8 272 341 272 368C272 420.9 228.9 464 176 464zM192 322.9V112C192 103.3 184.8 96 176 96S160 103.2 160 112v210.9C141.4 329.5 128 347.1 128 368C128 394.5 149.5 416 176 416S224 394.5 224 368C224 347.1 210.6 329.5 192 322.9z"],
    "temperature-list": [512, 512, [], "e299", "M256 112c0-61.88-50.13-112-112-112S32 50.13 32 112v166.5c-19.75 24.62-32 55.5-32 89.5c0 79.5 64.5 143.1 144 143.1s144-64.5 144-143.1c0-33.1-12.25-64.88-32-89.5V112zM144 464c-52.88 0-96-43.13-96-96c0-27 11.75-47.25 21.5-59.5L80 295.4V112c0-35.25 28.75-64 64-64s64 28.75 64 64v183.2l10.5 13.13C228.3 320.8 240 341 240 368C240 420.9 196.9 464 144 464zM160 322.9V160c0-8.75-7.25-16-16-16S128 151.2 128 160v162.9C109.4 329.5 96 347.1 96 368C96 394.5 117.5 416 144 416S192 394.5 192 368C192 347.1 178.6 329.5 160 322.9zM488 32h-144C330.7 32 320 42.75 320 55.1S330.7 80 343.1 80H488C501.3 80 512 69.25 512 56S501.3 32 488 32zM488 288h-112C362.7 288 352 298.7 352 311.1S362.7 336 375.1 336H488c13.25 0 24-10.75 24-23.1S501.3 288 488 288zM488 160h-144C330.7 160 320 170.7 320 183.1S330.7 208 343.1 208H488C501.3 208 512 197.3 512 184S501.3 160 488 160z"],
    "temperature-low": [512, 512, [], "f76b", "M192 322.9V304.1C192 295.4 184.8 288 176 288S160 295.2 160 304v18.88C141.4 329.5 128 347.1 128 368C128 394.5 149.5 416 176 416S224 394.5 224 368C224 347.1 210.6 329.5 192 322.9zM288 112C288 50.12 237.9 0 176 0S64 50.12 64 112v166.5C44.25 303.1 32 334 32 368C32 447.5 96.5 512 176 512s144-64.5 144-144c0-33.1-12.25-64.88-32-89.5V112zM176 464c-52.88 0-96-43.13-96-96c0-27 11.75-47.25 21.5-59.5L112 295.4V112c0-35.25 28.75-64 64-64s64 28.75 64 64v183.2l10.5 13.13C260.3 320.8 272 341 272 368C272 420.9 228.9 464 176 464zM400 0C355.9 0 320 35.88 320 80S355.9 160 400 160S480 124.1 480 80S444.1 0 400 0zM400 112c-17.75 0-32-14.25-32-32s14.25-32 32-32s32 14.25 32 32S417.8 112 400 112z"],
    "temperature-quarter": [320, 512, ["temperature-1", "thermometer-1", "thermometer-quarter"], "f2ca", "M272 112c0-61.88-50.12-112-111.1-112S48 50.13 48 112v166.5c-19.75 24.62-32 55.5-32 89.5c0 79.5 64.5 143.1 144 143.1S304 447.5 304 368c0-33.1-12.25-64.88-32-89.5V112zM160 464c-52.88 0-96-43.13-96-96c0-27 11.75-47.25 21.5-59.5L96 295.4V112c0-35.25 28.75-64 64-64s64 28.75 64 64v183.2l10.5 13.13C244.3 320.8 256 341 256 368C256 420.9 212.9 464 160 464zM176 322.9l.0002-50.88c0-8.75-7.25-16-16-16c-8.75 0-15.1 7.25-15.1 16L144 322.9c-18.62 6.625-32 24.25-32 45.13c0 26.5 21.5 48 48 48s48-21.5 48-48C208 347.1 194.6 329.5 176 322.9z"],
    "temperature-snow": [576, 512, ["temperature-frigid"], "f768", "M268.5 304.9c5.098-12.9 11.32-25.43 19.53-37.09l-.0036-7.058L223.1 223.1l64.87-36.73L288 131.1L199.1 182.4V124.3l30.14-30.13c7.812-7.812 7.812-20.5 0-28.31s-20.47-7.812-28.28 0L199.1 67.71V56c0-13.25-10.75-24-24-24s-24 10.75-24 24v11.71L149.3 65.84c-7.812-7.812-20.47-7.812-28.28 0s-7.812 20.5 0 28.31l30.14 30.13v58.15L100.8 153.4L89.75 112.2C86.89 101.5 75.97 95.19 65.27 98.03c-10.67 2.844-17 13.81-14.14 24.5l.6855 2.559L41.64 119.2C30.2 112.6 15.47 116.5 8.859 128C2.234 139.5 6.156 154.2 17.64 160.8l10.18 5.875L25.25 167.3c-10.66 2.844-16.98 13.81-14.12 24.5c2.391 8.938 10.47 14.81 19.3 14.81c1.719 0 3.469-.2187 5.203-.6875L76.78 194.9L127.1 223.1L78.51 252.1L37.36 241C26.8 238.2 15.72 244.5 12.86 255.2C10 265.8 16.33 276.8 26.98 279.7l2.566 .6875L19.38 286.2C7.891 292.8 3.969 307.5 10.59 319c4.438 7.688 12.52 12 20.8 12c4.078 0 8.203-1.031 11.98-3.219l10.17-5.871l-.6855 2.559C50 335.2 56.33 346.1 67 348.1c1.734 .4687 3.469 .6875 5.188 .6875c8.828 0 16.91-5.875 19.3-14.81l11.04-41.21l48.62-28.07v50.15L121 345.8c-7.812 7.812-7.812 20.5 0 28.31s20.47 7.812 28.28 0l1.859-1.861V392c0 13.25 10.75 24 24 24s24-10.75 24-24v-19.71L201 374.2C204.9 378.1 210 380 215.1 380s10.23-1.938 14.14-5.844c7.812-7.812 7.812-20.5 0-28.31L199.1 315.7V265.6L268.5 304.9zM544 278.5V112c0-61.87-50.12-112-111.1-112s-111.1 50.13-111.1 112v166.5c-19.75 24.62-31.1 55.5-31.1 89.5c0 79.5 64.5 143.1 143.1 143.1S576 447.5 576 368C576 334 563.8 303.1 544 278.5zM432 464c-52.88 0-96-43.13-96-96c0-27 11.75-47.25 21.5-59.5L368 295.4V112c0-35.25 28.75-64 64-64s64 28.75 64 64v183.3l10.5 13.12C516.3 320.8 528 341 528 368C528 420.9 484.9 464 432 464zM448 322.9V304c0-8.75-7.251-16-16-16s-15.1 7.25-15.1 16v18.88c-18.62 6.625-32 24.25-32 45.13c0 26.5 21.5 48 47.1 48s48-21.5 48-48C480 347.1 466.6 329.5 448 322.9z"],
    "temperature-sun": [640, 512, ["temperature-hot"], "f76a", "M607.1 278.5V112c0-61.88-50.13-112-112-112s-112 50.13-112 112v166.5C364.2 303.1 351.1 334 351.1 368c0 79.5 64.51 144 144 144S640 447.5 640 368C640 334 627.7 303.1 607.1 278.5zM496 464c-52.88 0-96-43.13-96-96c0-27 11.75-47.25 21.5-59.5L432 295.4V112c0-35.25 28.75-64 64-64s64 28.75 64 64v183.3l10.5 13.12C580.3 320.8 592 341 592 368C592 420.9 548.9 464 496 464zM223.1 160C188.7 160 159.1 188.8 159.1 224s28.75 64 64 64c35.25 0 64-28.75 64-64S259.2 160 223.1 160zM278.1 91.25L237.6 8.375c-5.625-11.12-21.63-11.12-27.25 0L168.1 91.25L81.1 61.88C69.22 58 57.97 69.25 61.85 81.13L91.22 169L8.344 210.4c-11.12 5.625-11.12 21.5 0 27.12L91.22 279l-29.38 87.88C57.85 378.8 69.22 390 81.1 386.1l87.88-29.38l41.38 82.88c5.625 11.12 21.63 11.12 27.13 0l41.38-82.88l41.13 13.62c0-.75-.125-1.625-.125-2.5c.125-35.75 11.12-70.13 32.13-100V112c0-16.88 3.5-33 8.875-48.13L278.1 91.25zM291.9 291.9c-37.38 37.38-98.25 37.38-135.8 0s-37.38-98.38 0-135.8s98.25-37.38 135.8 0C329.2 193.5 329.2 254.5 291.9 291.9zM511.1 322.9V112c0-8.75-7.251-16-16-16s-16 7.25-16 16v210.9C461.4 329.5 447.1 347.1 447.1 368c0 26.5 21.5 48 48 48c26.5 0 48-21.5 48-48C543.1 347.1 530.6 329.5 511.1 322.9z"],
    "temperature-three-quarters": [320, 512, ["temperature-3", "thermometer-3", "thermometer-three-quarters"], "f2c8", "M272 112c0-61.88-50.12-112-111.1-112S48 50.13 48 112v166.5c-19.75 24.62-32 55.5-32 89.5c0 79.5 64.5 143.1 144 143.1S304 447.5 304 368c0-33.1-12.25-64.88-32-89.5V112zM160 464c-52.88 0-96-43.13-96-96c0-27 11.75-47.25 21.5-59.5L96 295.4V112c0-35.25 28.75-64 64-64s64 28.75 64 64v183.2l10.5 13.13C244.3 320.8 256 341 256 368C256 420.9 212.9 464 160 464zM176 322.9V160c0-8.75-7.25-16-16-16s-16 7.25-16 16v162.9c-18.62 6.625-32 24.25-32 45.13c0 26.5 21.5 48 48 48s48-21.5 48-48C208 347.1 194.6 329.5 176 322.9z"],
    "tenge-sign": [384, 512, [8376, "tenge"], "f7d7", "M0 56C0 42.75 10.75 32 24 32H360C373.3 32 384 42.75 384 56C384 69.25 373.3 80 360 80H24C10.75 80 0 69.25 0 56zM0 184C0 170.7 10.75 160 24 160H360C373.3 160 384 170.7 384 184C384 197.3 373.3 208 360 208H216V456C216 469.3 205.3 480 192 480C178.7 480 168 469.3 168 456V208H24C10.75 208 0 197.3 0 184z"],
    "tennis-ball": [512, 512, [127934], "f45e", "M255.1-.0031c-141.4 0-256 114.6-256 256s114.6 256 256 256s256-114.6 256-256S397.4-.0031 255.1-.0031zM215 52.1C213.8 103.6 189.7 153.9 144.4 185.6c-28.2 19.72-60.37 29.49-92.4 30.16C68.16 133.6 132.9 68.58 215 52.1zM48.4 263.9c136.7-.05 214.9-114.7 215.2-215.5c108.7 3.93 196 91.41 199.1 200.1c-.0157 0 0 0 0 0c0 0-.003 0 0 0c.0113 0 0 0 0 0c0 0 .0157 0 0 0c-137.1 0-214.8 114.8-215 215.2C139.9 459.7 52.51 372.4 48.4 263.9zM297 459.9c1.199-51.49 25.3-101.8 70.63-133.5C395.8 306.7 427.1 297.1 460 296.4C443.8 378.5 379.1 443.4 297 459.9z"],
    "tent": [576, 512, [], "e57d", "M274.4 4.243C282.6-1.414 293.4-1.414 301.6 4.243L521.5 155.9C534.1 165.2 543.7 179.9 545.4 196.1L572.1 450.1C575.6 483.2 549.7 512 516.5 512H59.55C26.3 512 .3725 483.2 3.853 450.1L30.59 196.1C32.3 179.9 41.03 165.2 54.49 155.9L274.4 4.243zM524.4 455.2L497.7 201.1C497.4 198.8 496.2 196.7 494.3 195.4L312 69.71V279.3L413.6 464H516.5C521.2 464 524.9 459.9 524.4 455.2H524.4zM264 69.71L81.74 195.4C79.82 196.7 78.57 198.8 78.33 201.1L51.59 455.2C51.09 459.9 54.8 464 59.55 464H264L264 69.71z"],
    "tent-arrow-down-to-line": [640, 512, [], "e57e", "M241.8 111.9C250.7 121.8 249.9 136.1 240.1 145.8L160.1 217.8C150.9 226.1 137.1 226.1 127.9 217.8L47.94 145.8C38.09 136.1 37.29 121.8 46.16 111.9C55.03 102.1 70.2 101.3 80.05 110.2L119.1 146.1V24C119.1 10.75 130.7 0 143.1 0C157.3 0 167.1 10.75 167.1 24V146.1L207.9 110.2C217.8 101.3 232.1 102.1 241.8 111.9H241.8zM369.3 133C377.1 126.3 390 126.3 398.7 133L565.2 261.7C575.9 269.9 583.2 281.8 585.9 295L619.7 464.3C631.2 466.1 640 476 640 488C640 501.3 629.3 512 616 512H24C10.75 512 0 501.3 0 488C0 474.7 10.75 464 24 464H148.3L182.1 295C184.8 281.8 192.1 269.9 202.8 261.7L369.3 133zM197.3 464H360V200.9L232.1 299.7C230.6 300.9 229.6 302.5 229.2 304.4L197.3 464zM472 464H570.7L538.8 304.4C538.4 302.5 537.4 300.9 535.9 299.7L408 200.9V336L472 464z"],
    "tent-arrow-left-right": [576, 512, [], "e57f", "M568.1 78.16C573.1 82.71 576 89.2 576 96C576 102.8 573.1 109.3 568.1 113.8L488.1 185.8C478.2 194.7 463 193.9 454.2 184.1C445.3 174.2 446.1 159 455.9 150.2L489.5 120H86.54L120.1 150.2C129.9 159 130.7 174.2 121.8 184.1C112.1 193.9 97.8 194.7 87.94 185.8L7.945 113.8C2.888 109.3 0 102.8 0 96C0 89.2 2.888 82.71 7.945 78.16L87.94 6.161C97.8-2.706 112.1-1.907 121.8 7.945C130.7 17.8 129.9 32.97 120.1 41.84L86.54 72H489.5L455.9 41.84C446.1 32.97 445.3 17.8 454.2 7.945C463-1.907 478.2-2.706 488.1 6.161L568.1 78.16zM468.4 293.1C479.9 301.1 487.5 315 489.6 329.5L506.5 448.1C511.4 481.8 485.2 512 451.1 512H124.9C90.82 512 64.64 481.8 69.46 448.1L86.41 329.5C88.47 315 96.07 301.1 107.6 293.1L273.3 165C281.1 158.3 294 158.3 302.7 165L468.4 293.1zM133.9 336.2L116.1 454.9C116.3 459.7 120 464 124.9 464H264V232.9L136.1 331C135.3 332.3 134.2 334.2 133.9 336.2V336.2zM374.4 464H451.1C455.1 464 459.7 459.7 459 454.9L442.1 336.2C441.8 334.2 440.7 332.3 439 331L312 232.9V360L374.4 464z"],
    "tent-arrow-turn-left": [576, 512, [], "e580", "M86.54 72H456C522.3 72 576 125.7 576 192V232C576 245.3 565.3 256 552 256C538.7 256 528 245.3 528 232V192C528 152.2 495.8 120 456 120H86.54L120.1 150.2C129.9 159 130.7 174.2 121.8 184.1C112.1 193.9 97.8 194.7 87.94 185.8L7.945 113.8C2.888 109.3 0 102.8 0 96C0 89.2 2.888 82.71 7.945 78.16L87.94 6.161C97.8-2.706 112.1-1.907 121.8 7.945C130.7 17.8 129.9 32.97 120.1 41.84L86.54 72zM468.4 293.1C479.9 301.1 487.5 315 489.6 329.5L506.5 448.1C511.4 481.8 485.2 512 451.1 512H124.9C90.82 512 64.64 481.8 69.46 448.1L86.41 329.5C88.47 315 96.07 301.1 107.6 293.1L273.3 165C281.1 158.3 294 158.3 302.7 165L468.4 293.1zM133.9 336.2L116.1 454.9C116.3 459.7 120 464 124.9 464H264V232.9L136.1 331C135.3 332.3 134.2 334.2 133.9 336.2V336.2zM374.4 464H451.1C455.1 464 459.7 459.7 459 454.9L442.1 336.2C441.8 334.2 440.7 332.3 439 331L312 232.9V360L374.4 464z"],
    "tent-arrows-down": [576, 512, [], "e581", "M209.8 111.9C218.7 121.8 217.9 136.1 208.1 145.8L128.1 217.8C118.9 226.1 105.1 226.1 95.94 217.8L15.94 145.8C6.093 136.1 5.294 121.8 14.16 111.9C23.03 102.1 38.2 101.3 48.06 110.2L88 146.1V24C88 10.75 98.75 0 112 0C125.3 0 136 10.75 136 24V146.1L175.9 110.2C185.8 101.3 200.1 102.1 209.8 111.9H209.8zM561.8 111.9C570.7 121.8 569.9 136.1 560.1 145.8L480.1 217.8C470.9 226.1 457.1 226.1 447.9 217.8L367.9 145.8C358.1 136.1 357.3 121.8 366.2 111.9C375 102.1 390.2 101.3 400.1 110.2L440 146.1V24C440 10.75 450.7 0 464 0C477.3 0 488 10.75 488 24V146.1L527.9 110.2C537.8 101.3 552.1 102.1 561.8 111.9H561.8zM468.4 293.1C479.9 301.1 487.5 315 489.6 329.5L506.5 448.1C511.4 481.8 485.2 512 451.1 512H124.9C90.82 512 64.64 481.8 69.46 448.1L86.4 329.5C88.47 315 96.07 301.1 107.6 293.1L273.3 165C281.1 158.3 294 158.3 302.7 165L468.4 293.1zM133.9 336.2L116.1 454.9C116.3 459.7 120 464 124.9 464H264V232.9L136.1 331C135.3 332.3 134.2 334.2 133.9 336.2V336.2zM374.4 464H451.1C455.1 464 459.7 459.7 459 454.9L442.1 336.2C441.8 334.2 440.7 332.3 439 331L312 232.9V360L374.4 464z"],
    "tents": [640, 512, [], "e582", "M595.1 124.6C607.4 133.5 615.6 147.2 617.6 162.3L634.8 288.4C639.4 322.1 613.3 352 579.3 352H461.5L455.3 310.5C454.1 308.3 454.5 306.1 453.1 304H579.3C584.2 304 587.9 299.7 587.3 294.9L570.1 168.8C569.8 166.6 568.6 164.7 566.8 163.4L416 53.68L278.9 153.4L262.8 141.1C253.6 134.1 242.1 129.9 232.1 128.5C233.6 127.1 235.2 125.8 236.9 124.6L401.9 4.59C410.3-1.53 421.7-1.53 430.1 4.59L595.1 124.6zM404.4 293.1C415.9 301.1 423.5 315 425.6 329.5L442.5 448.1C447.4 481.8 421.2 512 387.1 512H60.9C26.82 512 .6406 481.8 5.46 448.1L22.41 329.5C24.47 315 32.07 301.1 43.6 293.1L209.3 165C217.1 158.3 230 158.3 238.7 165L404.4 293.1zM69.92 336.2L52.98 454.9C52.29 459.7 56.03 464 60.9 464H200V232.9L72.95 331C71.3 332.3 70.22 334.2 69.92 336.2V336.2zM310.4 464H387.1C391.1 464 395.7 459.7 395 454.9L378.1 336.2C377.8 334.2 376.7 332.3 375 331L248 232.9V360L310.4 464z"],
    "terminal": [576, 512, [], "f120", "M6.338 72.25C-2.637 62.5-2.004 47.31 7.751 38.34C17.51 29.36 32.69 29.1 41.66 39.75L225.7 239.8C234.1 248.9 234.1 263.1 225.7 272.2L41.66 472.2C32.69 482 17.51 482.6 7.751 473.7C-2.004 464.7-2.636 449.5 6.338 439.8L175.4 256L6.338 72.25zM552 432C565.3 432 576 442.7 576 456C576 469.3 565.3 480 552 480H248C234.7 480 224 469.3 224 456C224 442.7 234.7 432 248 432H552z"],
    "text": [448, 512, [], "f893", "M448 56v80C448 149.3 437.3 160 424 160S400 149.3 400 136V80h-152v352h48c13.25 0 24 10.75 24 24S309.3 480 296 480h-144C138.8 480 128 469.3 128 456s10.75-24 24-24h48v-352H48v56C48 149.3 37.25 160 24 160S0 149.3 0 136v-80C0 42.75 10.75 32 24 32h400C437.3 32 448 42.75 448 56z"],
    "text-height": [576, 512, [], "f034", "M296 32h-272C10.75 32 0 42.75 0 56v80C0 149.3 10.75 160 24 160S48 149.3 48 136V80h88v352h-48C74.75 432 64 442.8 64 456S74.75 480 88 480h144C245.3 480 256 469.3 256 456S245.3 432 232 432h-48v-352H272v56C272 149.3 282.8 160 296 160S320 149.3 320 136v-80C320 42.75 309.3 32 296 32zM535 367L504 398.1V113.9l31.03 31.03C539.7 149.7 545.8 152 552 152s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94l-72-72c-9.375-9.375-24.56-9.375-33.94 0l-72 72c-9.375 9.375-9.375 24.56 0 33.94s24.56 9.375 33.94 0L456 113.9v284.1l-31.03-31.03c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94l72 72C467.7 477.7 473.8 480 480 480s12.28-2.351 16.97-7.039l72-72c9.375-9.375 9.375-24.56 0-33.94S544.4 357.7 535 367z"],
    "text-size": [640, 512, [], "f894", "M320 248v48C320 309.3 330.8 320 344 320s24-10.75 24-24V272h88v160h-32c-13.25 0-24 10.75-24 24S410.8 480 424 480h112c13.25 0 24-10.75 24-24s-10.75-24-24-24h-32v-160h88v24c0 13.25 10.75 24 24 24S640 309.3 640 296v-48C640 234.8 629.3 224 616 224h-272C330.8 224 320 234.8 320 248zM0 56l0 80C0 149.3 10.75 160 24 160S48 149.3 48 136V80h120v352h-48C106.8 432 96 442.8 96 456S106.8 480 120 480h144C277.3 480 288 469.3 288 456S277.3 432 264 432h-48v-352h120v56C336 149.3 346.8 160 360 160S384 149.3 384 136v-80C384 42.75 373.3 32 360 32H24C10.75 32 0 42.75 0 56z"],
    "text-slash": [640, 512, ["remove-format"], "f87d", "M630.8 469.1l-284.3-222.8L381.2 80H528v56C528 149.3 538.8 160 552 160S576 149.3 576 136v-80C576 42.75 565.3 32 552 32H152C138.8 32 128 42.75 128 56v19.01L38.81 5.13C34.41 1.692 29.19 0 24.03 0C16.91 0 9.834 3.166 5.115 9.197c-8.188 10.44-6.365 25.52 4.073 33.69l591.1 463.1c10.5 8.203 25.57 6.339 33.7-4.068C643.1 492.4 641.2 477.3 630.8 469.1zM176 80h156.1L304.4 213.3L176 112.6V80zM384 456c0 13.25-10.75 24-24 24h-144C202.8 480 192 469.3 192 456s10.75-24 24-24h42.81l24.12-115.8l42.16 33.04L307.9 432H360C373.3 432 384 442.8 384 456z"],
    "text-width": [448, 512, [], "f035", "M424 32H24C10.75 32 0 42.75 0 56v64C0 133.3 10.75 144 24 144S48 133.3 48 120V80h152v160h-32C154.8 240 144 250.8 144 264S154.8 288 168 288h112c13.25 0 24-10.75 24-24S293.3 240 280 240h-32v-160h152v40c0 13.25 10.75 24 24 24S448 133.3 448 120v-64C448 42.75 437.3 32 424 32zM368.1 295c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L366.1 360H81.94l31.03-31.03c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0l-72 72c-9.375 9.375-9.375 24.56 0 33.94l72 72C83.72 477.7 89.84 480 96 480s12.28-2.351 16.97-7.039c9.375-9.375 9.375-24.56 0-33.94L81.94 408h284.1l-31.03 31.03c-9.375 9.375-9.375 24.56 0 33.94C339.7 477.7 345.8 480 352 480s12.28-2.351 16.97-7.039l72-72c9.375-9.375 9.375-24.56 0-33.94L368.1 295z"],
    "thermometer": [512, 512, [], "f491", "M476.7 20.35c-37.5-30.63-95.49-26.26-131.9 10.25l-239.6 241.2C99.36 277.8 96.02 285.9 96.02 294.4l.0006 87.71l-88.99 89.02c-9.375 9.377-9.375 24.63 0 33.88c9.373 9.377 24.62 9.377 33.87 0l88.99-89.02l86.64-.0002c8.467 0 16.59-3.355 22.59-9.332l244.9-243.1C518.9 127.8 526.2 61.11 476.7 20.35zM450.1 128.6l-240.1 239.4H144V300.9l35-35.27l33.67 33.67C215.8 302.4 219.9 304 224 304s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L201.6 242.9l41.21-41.54l33.92 33.92C279.8 238.4 283.9 240 288 240s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62l-34.01-34.01l41.21-41.54l34.17 34.17C343.8 174.4 347.9 176 352 176s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62l-34.25-34.25l49.69-50.07c19.12-19.13 48.75-22.13 67.37-7C471.6 78.36 467.2 111.5 450.1 128.6z"],
    "theta": [384, 512, [], "f69e", "M192 16.01C94.8 16.01 16 123.5 16 256s78.8 240 176 240c97.2 0 176-107.5 176-240S289.2 16.01 192 16.01zM192 64c63.96 0 118.7 74.78 126.8 168H65.17C73.34 138.8 128 64 192 64zM192 448c-63.96 0-118.7-74.78-126.8-168h253.7C310.7 373.2 255.1 448 192 448z"],
    "thought-bubble": [512, 512, [], "e32e", "M32 448c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32s32-14.33 32-32C64 462.3 49.67 448 32 448zM144 384C117.5 384 96 405.5 96 432S117.5 480 144 480S192 458.5 192 432S170.5 384 144 384zM370.2 64.08C344.8 24.17 301.6 0 254 0C207.3 0 164.5 23.64 138.9 62.64C61.92 64.8 0 128.4 0 206.6c0 89.4 81.43 162.1 172.6 140.9C193.3 370.6 222.6 384 254 384c31.13 0 60.28-13.16 80.96-35.92c11.32 2.91 22.76 4.381 34.14 4.381C447.9 352.5 512 287.6 512 208.1C512 128.9 448.5 64.69 370.2 64.08zM334.9 297.7c-10.39-4.099-22.39-.2034-28.53 9.34c-11.63 18.1-31.22 28.9-52.4 28.9c-21.24 0-40.84-10.87-52.5-29.07c-4.465-7.009-12.09-10.1-20-10.1c-2.605 0-5.209 .4224-7.783 1.314C162.7 301 152.7 302.9 142.9 302.9c-52.53 0-95.26-43.12-95.26-96.13c0-52.83 42.45-95.86 96.96-95.86c.155 0 .3411 .0156 .5271 .0156l5.054 .5789c9.643 .8136 18.64-4.396 22.98-13c15.81-31.12 46.79-50.44 80.87-50.44c34.82 0 66.11 19.87 81.64 51.85c4.372 8.996 13.8 14.38 23.75 13.33l4.837-.5945c1.612-.219 3.194-.5006 4.868-.5006c52.53 0 95.26 43.12 95.26 96.13C464.4 272.6 399.8 322.9 334.9 297.7z"],
    "thumbs-down": [512, 512, [61576, 128078], "f165", "M128 288V64.03c0-17.67-14.33-31.1-32-31.1H32c-17.67 0-32 14.33-32 31.1v223.1c0 17.67 14.33 31.1 32 31.1h64C113.7 320 128 305.7 128 288zM481.5 229.1c1.234-5.092 1.875-10.32 1.875-15.64c0-22.7-11.44-43.13-29.28-55.28c.4219-3.015 .6406-6.076 .6406-9.122c0-22.32-11.06-42.6-28.83-54.83c-2.438-34.71-31.47-62.2-66.8-62.2h-52.53c-35.94 0-71.55 11.87-100.3 33.41L169.6 92.93c-6.285 4.71-9.596 11.85-9.596 19.13c0 12.76 10.29 24.04 24.03 24.04c5.013 0 10.07-1.565 14.38-4.811l36.66-27.51c20.48-15.34 45.88-23.81 71.5-23.81h52.53c10.45 0 18.97 8.497 18.97 18.95c0 3.5-1.11 4.94-1.11 9.456c0 26.97 29.77 17.91 29.77 40.64c0 9.254-6.392 10.96-6.392 22.25c0 13.97 10.85 21.95 19.58 23.59c8.953 1.671 15.45 9.481 15.45 18.56c0 13.04-11.39 13.37-11.39 28.91c0 12.54 9.702 23.08 22.36 23.94C456.2 266.1 464 275.2 464 284.1c0 10.43-8.516 18.93-18.97 18.93H307.4c-12.44 0-24 10.02-24 23.1c0 4.038 1.02 8.078 3.066 11.72C304.4 371.7 312 403.8 312 411.2c0 8.044-5.984 20.79-22.06 20.79c-12.53 0-14.27-.9059-24.94-28.07c-24.75-62.91-61.74-99.9-80.98-99.9c-13.8 0-24.02 11.27-24.02 23.99c0 7.041 3.083 14.02 9.016 18.76C238.1 402 211.4 480 289.9 480C333.8 480 360 445 360 411.2c0-12.7-5.328-35.21-14.83-59.33h99.86C481.1 351.9 512 321.9 512 284.1C512 261.8 499.9 241 481.5 229.1z"],
    "thumbs-up": [512, 512, [61575, 128077], "f164", "M96 191.1H32c-17.67 0-32 14.33-32 31.1v223.1c0 17.67 14.33 31.1 32 31.1h64c17.67 0 32-14.33 32-31.1V223.1C128 206.3 113.7 191.1 96 191.1zM512 227c0-36.89-30.05-66.92-66.97-66.92h-99.86C354.7 135.1 360 113.5 360 100.8c0-33.8-26.2-68.78-70.06-68.78c-46.61 0-59.36 32.44-69.61 58.5c-31.66 80.5-60.33 66.39-60.33 93.47c0 12.84 10.36 23.99 24.02 23.99c5.256 0 10.55-1.721 14.97-5.26c76.76-61.37 57.97-122.7 90.95-122.7c16.08 0 22.06 12.75 22.06 20.79c0 7.404-7.594 39.55-25.55 71.59c-2.046 3.646-3.066 7.686-3.066 11.72c0 13.92 11.43 23.1 24 23.1h137.6C455.5 208.1 464 216.6 464 227c0 9.809-7.766 18.03-17.67 18.71c-12.66 .8593-22.36 11.4-22.36 23.94c0 15.47 11.39 15.95 11.39 28.91c0 25.37-35.03 12.34-35.03 42.15c0 11.22 6.392 13.03 6.392 22.25c0 22.66-29.77 13.76-29.77 40.64c0 4.515 1.11 5.961 1.11 9.456c0 10.45-8.516 18.95-18.97 18.95h-52.53c-25.62 0-51.02-8.466-71.5-23.81l-36.66-27.51c-4.315-3.245-9.37-4.811-14.38-4.811c-13.85 0-24.03 11.38-24.03 24.04c0 7.287 3.312 14.42 9.596 19.13l36.67 27.52C235 468.1 270.6 480 306.6 480h52.53c35.33 0 64.36-27.49 66.8-62.2c17.77-12.23 28.83-32.51 28.83-54.83c0-3.046-.2187-6.107-.6406-9.122c17.84-12.15 29.28-32.58 29.28-55.28c0-5.311-.6406-10.54-1.875-15.64C499.9 270.1 512 250.2 512 227z"],
    "thumbtack": [384, 512, [128392, 128204, "thumb-tack"], "f08d", "M168 352H32C22.15 352 12.84 347.5 6.778 339.7C.7133 331.9-1.434 321.8 .9555 312.2L7.202 287.3C17.51 246 42.58 211.5 75.93 188.9L86.77 48H56C51.56 48 47.41 46.8 43.84 44.7C36.76 40.53 32 32.82 32 24C32 10.75 42.75 0 56 0H328C341.3 0 352 10.75 352 24C352 32.82 347.2 40.53 340.2 44.7C336.6 46.8 332.4 48 328 48H297.2L308.1 188.9C341.4 211.5 366.5 246 376.8 287.3L383 312.2C385.4 321.8 383.3 331.9 377.2 339.7C371.2 347.5 361.9 352 352 352H216V488C216 501.3 205.3 512 191.1 512C178.7 512 167.1 501.3 167.1 488L168 352zM122 215.7L102.9 228.7C79.01 244.8 61.13 269.4 53.77 298.9L52.49 304H168V216C168 202.7 178.7 192 192 192C205.3 192 216 202.7 216 216V304H331.5L330.2 298.9C322.9 269.4 304.1 244.8 281.1 228.7L261.1 215.7L249.1 48H134.9L122 215.7z"],
    "tick": [128, 512, [], "e32f", "M63.99 32c-18.46 0-36.93 7.643-49.1 22.93C2.692 70.21-2.372 90.22 1.044 109.9l25.21 145.2C29.55 274.1 45.44 288 63.99 288s34.44-13.89 37.74-32.99l25.24-145.2c3.389-19.6-1.678-39.61-13.88-54.9C100.9 39.64 82.46 32 63.99 32zM63.1 191.8L48.33 101.6c-1.057-6.08 .4277-12.19 4.113-16.8C56.01 80.35 62.18 80 63.99 80s7.982 .3477 11.58 4.871c3.654 4.578 5.148 10.69 4.104 16.73L63.1 191.8z"],
    "ticket": [576, 512, [127903], "f145", "M128 192C128 174.3 142.3 160 160 160H416C433.7 160 448 174.3 448 192V320C448 337.7 433.7 352 416 352H160C142.3 352 128 337.7 128 320V192zM400 208H176V304H400V208zM576 128V208C549.5 208 528 229.5 528 256C528 282.5 549.5 304 576 304V384C576 419.3 547.3 448 512 448H64C28.65 448 0 419.3 0 384V304C26.51 304 48 282.5 48 256C48 229.5 26.51 208 0 208V128C0 92.65 28.65 64 64 64H512C547.3 64 576 92.65 576 128zM48 172.8C76.69 189.4 96 220.5 96 256C96 291.5 76.69 322.6 48 339.2V384C48 392.8 55.16 400 64 400H512C520.8 400 528 392.8 528 384V339.2C499.3 322.6 480 291.5 480 256C480 220.5 499.3 189.4 528 172.8V128C528 119.2 520.8 112 512 112H64C55.16 112 48 119.2 48 128V172.8z"],
    "ticket-airline": [640, 512, [], "e29a", "M416 160C416 151.2 423.2 144 432 144C440.8 144 448 151.2 448 160C448 168.8 440.8 176 432 176C423.2 176 416 168.8 416 160zM416 224C416 215.2 423.2 208 432 208C440.8 208 448 215.2 448 224C448 232.8 440.8 240 432 240C423.2 240 416 232.8 416 224zM448 288C448 296.8 440.8 304 432 304C423.2 304 416 296.8 416 288C416 279.2 423.2 272 432 272C440.8 272 448 279.2 448 288zM416 352C416 343.2 423.2 336 432 336C440.8 336 448 343.2 448 352C448 360.8 440.8 368 432 368C423.2 368 416 360.8 416 352zM186.7 224L163.5 154.5C161.8 149.3 165.6 144 171.1 144H202.2C210.8 144 218.6 148.5 222.9 155.9L262.7 224H302.9C318.1 224 334.4 230.4 345.7 241.7C353.6 249.6 353.6 262.4 345.7 270.3C334.4 281.6 318.1 288 302.9 288H262.7L222.9 356.1C218.6 363.5 210.8 368 202.2 368H171.1C165.6 368 161.8 362.6 163.5 357.5L186.7 288H143.1L124.8 313.6C121.8 317.6 117 320 111.1 320H98.25C93.04 320 89.22 315.1 90.48 310.1L103 259.9C103.7 257.3 103.7 254.7 103 252.1L90.48 201.9C89.22 196.9 93.04 192 98.25 192H111.1C117 192 121.8 194.4 124.8 198.4L143.1 224L186.7 224zM0 128C0 92.65 28.65 64 64 64H576C611.3 64 640 92.65 640 128V189.3C640 200.5 627.2 208 616 208C589.5 208 568 229.5 568 256C568 282.5 589.5 304 616 304C627.2 304 640 311.5 640 322.7V384C640 419.3 611.3 448 576 448H64C28.65 448 0 419.3 0 384V128zM64 112C55.16 112 48 119.2 48 128V384C48 392.8 55.16 400 64 400H576C584.8 400 592 392.8 592 384V348.1C550.6 338.3 520 300.7 520 256C520 211.3 550.6 173.7 592 163V128C592 119.2 584.8 112 576 112H64z"],
    "ticket-simple": [576, 512, ["ticket-alt"], "f3ff", "M576 208C549.5 208 528 229.5 528 256C528 282.5 549.5 304 576 304V384C576 419.3 547.3 448 512 448H64C28.65 448 0 419.3 0 384V304C26.51 304 48 282.5 48 256C48 229.5 26.51 208 0 208V128C0 92.65 28.65 64 64 64H512C547.3 64 576 92.65 576 128V208zM64 112C55.16 112 48 119.2 48 128V172.8C76.69 189.4 96 220.5 96 256C96 291.5 76.69 322.6 48 339.2V384C48 392.8 55.16 400 64 400H512C520.8 400 528 392.8 528 384V339.2C499.3 322.6 480 291.5 480 256C480 220.5 499.3 189.4 528 172.8V128C528 119.2 520.8 112 512 112H64z"],
    "tickets-airline": [640, 512, [], "e29b", "M512 112C512 120.8 504.8 128 496 128C487.2 128 480 120.8 480 112C480 103.2 487.2 96 496 96C504.8 96 512 103.2 512 112zM512 176C512 184.8 504.8 192 496 192C487.2 192 480 184.8 480 176C480 167.2 487.2 160 496 160C504.8 160 512 167.2 512 176zM480 240C480 231.2 487.2 224 496 224C504.8 224 512 231.2 512 240C512 248.8 504.8 256 496 256C487.2 256 480 248.8 480 240zM512 304C512 312.8 504.8 320 496 320C487.2 320 480 312.8 480 304C480 295.2 487.2 288 496 288C504.8 288 512 295.2 512 304zM288.4 176L265.3 106.5C263.5 101.3 267.4 96 272.9 96H303.1C312.5 96 320.4 100.5 324.7 107.9L364.4 176H404.7C420.7 176 436.1 182.4 447.5 193.7C455.4 201.6 455.4 214.4 447.5 222.3C436.1 233.6 420.7 240 404.7 240H364.4L324.7 308.1C320.4 315.5 312.5 320 303.1 320H272.9C267.4 320 263.5 314.7 265.3 309.5L288.4 240H245.8L226.6 265.6C223.5 269.6 218.8 272 213.8 272H200C194.8 272 190.1 267.1 192.2 262.1L204.8 211.9C205.4 209.3 205.4 206.7 204.8 204.1L192.2 153.9C190.1 148.9 194.8 144 200 144H213.8C218.8 144 223.5 146.4 226.6 150.4L245.8 176L288.4 176zM640 96V168C617.9 168 600 185.9 600 208C600 230.1 617.9 248 640 248V320C640 355.3 611.3 384 576 384H160C124.7 384 96 355.3 96 320V96C96 60.65 124.7 32 160 32H576C611.3 32 640 60.65 640 96zM144 320C144 328.8 151.2 336 160 336H576C584.8 336 592 328.8 592 320V281.8C567.9 266.1 552 238.9 552 208C552 177.1 567.9 149.9 592 134.2V96C592 87.16 584.8 80 576 80H160C151.2 80 144 87.16 144 96V320zM24 96C37.25 96 48 106.7 48 120V360C48 399.8 80.24 432 120 432H520C533.3 432 544 442.7 544 456C544 469.3 533.3 480 520 480H120C53.73 480 0 426.3 0 360V120C0 106.7 10.75 96 24 96z"],
    "tilde": [448, 512, [63135], "7e", "M448 184v88.75C448 334.1 398.1 384 336.8 384c-38.34 0-74.66-20.28-94.75-52.97L165.1 206.1C153.7 187.5 133.1 176 111.3 176C76.38 176 48 204.4 48 239.3V328C48 341.3 37.25 352 24 352S0 341.3 0 328V239.3C0 177.9 49.91 128 111.3 128c38.34 0 74.66 20.28 94.75 52.97l76.88 124.9C294.3 324.5 314.9 336 336.8 336C371.6 336 400 307.6 400 272.8V184C400 170.8 410.8 160 424 160S448 170.8 448 184z"],
    "timeline": [640, 512, [], "e29c", "M152 232H488V172.3C455.5 162.1 432 131.8 432 96C432 51.82 467.8 16 512 16C556.2 16 592 51.82 592 96C592 131.8 568.5 162.1 536 172.3V232H616C629.3 232 640 242.7 640 256C640 269.3 629.3 280 616 280H344V339.7C376.5 349.9 400 380.2 400 416C400 460.2 364.2 496 320 496C275.8 496 240 460.2 240 416C240 380.2 263.5 349.9 296 339.7V280H24C10.75 280 0 269.3 0 256C0 242.7 10.75 232 24 232H104V172.3C71.54 162.1 48 131.8 48 96C48 51.82 83.82 16 128 16C172.2 16 208 51.82 208 96C208 131.8 184.5 162.1 152 172.3V232zM128 128C145.7 128 160 113.7 160 96C160 78.33 145.7 64 128 64C110.3 64 96 78.33 96 96C96 113.7 110.3 128 128 128zM320 384C302.3 384 288 398.3 288 416C288 433.7 302.3 448 320 448C337.7 448 352 433.7 352 416C352 398.3 337.7 384 320 384zM512 64C494.3 64 480 78.33 480 96C480 113.7 494.3 128 512 128C529.7 128 544 113.7 544 96C544 78.33 529.7 64 512 64z"],
    "timeline-arrow": [640, 512, [], "e29d", "M208 96C208 131.8 184.5 162.1 152 172.3V232H328V172.3C295.5 162.1 272 131.8 272 96C272 51.82 307.8 16 352 16C396.2 16 432 51.82 432 96C432 131.8 408.5 162.1 376 172.3V232H554.6L495.7 177.6C485.1 168.6 485.4 153.5 494.4 143.7C503.4 133.1 518.5 133.4 528.3 142.4L632.2 238.3C632.4 238.4 632.5 238.6 632.6 238.7C632.9 238.1 633.2 239.3 633.5 239.6C637.5 243.9 640 249.7 640 256C640 262.3 637.5 268.1 633.5 272.4C633.2 272.7 632.9 273 632.6 273.3C632.5 273.4 632.4 273.6 632.2 273.7L528.3 369.6C518.5 378.6 503.4 378 494.4 368.3C485.4 358.5 485.1 343.4 495.7 334.4L554.6 280H248V339.7C280.5 349.9 304 380.2 304 416C304 460.2 268.2 496 224 496C179.8 496 144 460.2 144 416C144 380.2 167.5 349.9 200 339.7V280H24C10.75 280 0 269.3 0 256C0 242.7 10.75 232 24 232H104V172.3C71.54 162.1 48 131.8 48 96C48 51.82 83.82 16 128 16C172.2 16 208 51.82 208 96V96zM128 64C110.3 64 96 78.33 96 96C96 113.7 110.3 128 128 128C145.7 128 160 113.7 160 96C160 78.33 145.7 64 128 64zM224 448C241.7 448 256 433.7 256 416C256 398.3 241.7 384 224 384C206.3 384 192 398.3 192 416C192 433.7 206.3 448 224 448zM352 128C369.7 128 384 113.7 384 96C384 78.33 369.7 64 352 64C334.3 64 320 78.33 320 96C320 113.7 334.3 128 352 128z"],
    "timer": [512, 512, [], "e29e", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 202.7 16.29 153.2 44.15 112.2C51.6 101.3 66.53 98.43 77.49 105.9C88.45 113.3 91.3 128.3 83.85 139.2C61.22 172.5 47.1 212.7 47.1 256C47.1 370.9 141.1 464 255.1 464C370.9 464 464 370.9 464 256C464 149.2 383.6 61.27 280 49.37V104C280 117.3 269.3 128 255.1 128C242.7 128 231.1 117.3 231.1 104V24C231.1 10.75 242.7 0 255.1 0C397.4 0 512 114.6 512 256H512zM272.1 239C282.3 248.4 282.3 263.6 272.1 272.1C263.6 282.3 248.4 282.3 239 272.1L159 192.1C149.7 183.6 149.7 168.4 159 159C168.4 149.7 183.6 149.7 192.1 159L272.1 239z"],
    "tire": [512, 512, [], "f631", "M88 256C88 163.2 163.2 88 256 88C348.8 88 424 163.2 424 256C424 348.8 348.8 424 256 424C163.2 424 88 348.8 88 256zM375.2 269.6C375.7 265.2 376 260.6 376 256C376 224.8 364.1 196.4 344.6 175.1L320.4 208.5C330.2 221.8 336 238.2 336 256C336 256.3 335.1 256.6 335.1 256.9L375.2 269.6zM321.1 302.5C311.1 316.5 296.7 327.1 279.1 332.4L279.1 373.6C314.4 366.6 343.5 344.9 360.4 315.3L321.1 302.5zM231.1 373.6L231.1 332.3C215.2 327.1 200.9 316.4 190.9 302.5L151.6 315.3C168.5 344.9 197.6 366.6 231.1 373.6zM176 256.9C176 256.6 176 256.3 176 256C176 238.2 181.8 221.8 191.6 208.5L167.4 175.1C147.9 196.4 136 224.8 136 256C136 260.6 136.3 265.2 136.8 269.6L176 256.9zM230.4 180.2C238.4 177.5 247.1 176 256 176C264.1 176 273.6 177.5 281.6 180.2L305.8 146.8C290.6 139.9 273.8 136 256 136C238.2 136 221.4 139.9 206.2 146.8L230.4 180.2zM256 224C238.3 224 224 238.3 224 256C224 273.7 238.3 288 256 288C273.7 288 288 273.7 288 256C288 238.3 273.7 224 256 224zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 48C141.1 48 48 141.1 48 256C48 370.9 141.1 464 256 464C370.9 464 464 370.9 464 256C464 141.1 370.9 48 256 48z"],
    "tire-flat": [512, 512, [], "f632", "M424 288C424 380.8 348.8 456 255.1 456C163.2 456 87.1 380.8 87.1 288C87.1 195.2 163.2 120 255.1 120C348.8 120 424 195.2 424 288zM344.6 207.1L320.4 240.5C330.2 253.8 336 270.2 336 288L335.1 288.9L375.2 301.6C375.7 297.2 376 292.6 376 288C376 256.8 364.1 228.4 344.6 207.1L344.6 207.1zM279.1 364.4L279.1 405.6C314.4 398.6 343.5 376.9 360.4 347.3L321.1 334.5C311.1 348.5 296.7 359.1 279.1 364.4V364.4zM190.9 334.5L151.6 347.3C168.5 376.9 197.6 398.6 231.1 405.6L231.1 364.3C215.2 359.1 200.9 348.4 190.9 334.5zM135.1 288C135.1 292.6 136.3 297.2 136.8 301.6L176 288.9L175.1 288C175.1 270.2 181.8 253.8 191.6 240.5L167.4 207.1C147.9 228.4 135.1 256.8 135.1 288V288zM281.6 212.2L305.8 178.8C290.6 171.9 273.8 168 255.1 168C238.2 168 221.4 171.9 206.2 178.8L230.4 212.2C238.4 209.5 247.1 208 255.1 208C264.1 208 273.6 209.5 281.6 212.2zM255.1 256C238.3 256 223.1 270.3 223.1 288C223.1 305.7 238.3 320 255.1 320C273.7 320 288 305.7 288 288C288 270.3 273.7 256 255.1 256zM512 288C512 326.1 503.7 362.2 488.8 394.7C487.7 396.9 487.8 399.5 488.9 401.7L506.5 437.1C510.1 444.3 512 452.2 512 460.2C512 488.8 488.8 512 460.2 512H51.78C23.18 512 0 488.8 0 460.2C0 452.2 1.871 444.3 5.466 437.1L23.13 401.7C24.24 399.5 24.25 396.9 23.22 394.7C8.314 362.2 0 326.1 0 288C0 146.6 114.6 32 256 32C397.4 32 512 146.6 512 288H512zM255.1 80C141.1 80 47.1 173.1 47.1 288C47.1 319 54.76 348.3 66.85 374.7C73.78 389.8 73.85 407.6 66.07 423.2L48.4 458.5C48.14 459.1 47.1 459.6 47.1 460.2C47.1 462.3 49.69 464 51.78 464H460.2C462.3 464 464 462.3 464 460.2C464 459.6 463.9 459.1 463.6 458.5L445.9 423.2C438.1 407.6 438.2 389.8 445.2 374.7C457.2 348.3 464 319 464 288C464 173.1 370.9 80 255.1 80H255.1z"],
    "tire-pressure-warning": [512, 512, [], "f633", "M448 24V54.46C448 79.39 452 104.2 459.9 127.8L462.4 135.3C467.4 150.3 474.3 164.9 482.1 180.7C499.3 215.5 514.5 260.9 508.8 312.4C503.3 362.2 478.8 414.6 424 466.5V496C424 504.8 416.8 512 408 512H392C383.2 512 376 504.8 376 496V480H328V496C328 504.8 320.8 512 312 512H296C287.2 512 280 504.8 280 496V480H232V496C232 504.8 224.8 512 216 512H200C191.2 512 184 504.8 184 496V480H136V496C136 504.8 128.8 512 120 512H104C95.16 512 88 504.8 88 496V466.5C33.23 414.6 8.66 362.2 3.19 312.4C-2.474 260.9 12.71 215.5 29.9 180.7C37.68 164.9 44.61 150.3 49.61 135.3L52.1 127.8C59.98 104.2 64 79.39 64 54.46V24C64 10.75 74.75 0 88 0C101.3 0 112 10.75 112 24V54.46C112 84.55 107.1 114.5 97.63 143L95.15 150.4C89.01 168.9 80.75 186.1 72.95 201.9C57.93 232.4 46.62 268.2 50.9 307.2C54.94 343.9 73.18 386.4 121.4 432H390.6C438.8 386.4 457.1 343.9 461.1 307.2C465.4 268.2 454.1 232.4 439.1 201.9C431.2 186.1 422.1 168.9 416.9 150.4L414.4 143C404.9 114.4 400 84.55 400 54.46V24C400 10.75 410.7 0 424 0C437.3 0 448 10.75 448 24H448zM256 96C269.3 96 280 106.7 280 120V232C280 245.3 269.3 256 256 256C242.7 256 232 245.3 232 232V120C232 106.7 242.7 96 256 96zM288 320C288 337.7 273.7 352 256 352C238.3 352 224 337.7 224 320C224 302.3 238.3 288 256 288C273.7 288 288 302.3 288 320z"],
    "tire-rugged": [512, 512, [], "f634", "M384 256C384 326.7 326.7 384 255.1 384C185.3 384 127.1 326.7 127.1 256C127.1 185.3 185.3 128 255.1 128C326.7 128 384 185.3 384 256zM255.1 160C242.7 160 231.1 170.7 231.1 184C231.1 197.3 242.7 208 255.1 208C269.3 208 280 197.3 280 184C280 170.7 269.3 160 255.1 160zM210.3 241.2C214.4 228.6 207.5 215 194.9 210.9C182.3 206.8 168.8 213.7 164.7 226.3C160.6 238.9 167.5 252.5 180.1 256.6C192.7 260.7 206.3 253.8 210.3 241.2V241.2zM347.3 226.3C343.2 213.7 329.7 206.8 317.1 210.9C304.5 215 297.6 228.6 301.7 241.2C305.7 253.8 319.3 260.7 331.9 256.6C344.5 252.5 351.4 238.9 347.3 226.3V226.3zM284.2 294.8C273.5 302.6 271.1 317.6 278.9 328.4C286.7 339.1 301.7 341.5 312.4 333.7C323.2 325.9 325.5 310.9 317.7 300.1C309.9 289.4 294.9 287 284.2 294.8V294.8zM199.6 333.7C210.3 341.5 225.3 339.1 233.1 328.4C240.9 317.6 238.5 302.6 227.8 294.8C217.1 287 202.1 289.4 194.3 300.1C186.5 310.9 188.8 325.9 199.6 333.7V333.7zM283.1 .001C310 .001 333.4 16.72 342.7 40.75C344.1 41.32 345.5 41.9 346.9 42.49C370.5 32.11 398.8 36.79 417.9 55.84L456.2 94.12C475.2 113.2 479.9 141.5 469.5 165.1C470.1 166.5 470.7 167.9 471.2 169.3C495.3 178.7 512 201.1 512 228.9V283.1C512 310 495.3 333.4 471.2 342.7C470.7 344.1 470.1 345.5 469.5 346.9C479.9 370.5 475.2 398.8 456.2 417.9L417.9 456.2C398.8 475.2 370.5 479.9 346.9 469.5C345.5 470.1 344.1 470.7 342.7 471.2C333.4 495.3 310 512 283.1 512H228.9C201.1 512 178.6 495.3 169.3 471.2C167.9 470.7 166.5 470.1 165.1 469.5C141.5 479.9 113.2 475.2 94.13 456.2L55.84 417.9C36.79 398.8 32.11 370.5 42.48 346.9C41.9 345.5 41.32 344.1 40.76 342.7C16.72 333.4 0 310 0 283.1V228.9C0 201.1 16.72 178.7 40.75 169.3C41.32 167.9 41.9 166.5 42.49 165.1C32.11 141.5 36.79 113.2 55.84 94.12L94.13 55.83C113.2 36.78 141.5 32.1 165.1 42.48C166.5 41.89 167.9 41.32 169.3 40.76C178.6 16.72 201.1 0 228.9 0L283.1 .001zM211.2 76.86L196.9 81.68C189.2 84.29 181.7 87.4 174.5 90.97L161 97.64L149.2 88.43C142.8 83.52 133.8 84.07 128.1 89.77L89.78 128.1C84.07 133.8 83.52 142.8 88.44 149.2L97.64 161L90.98 174.5C87.4 181.7 84.29 189.2 81.67 196.9L76.86 211.2L61.97 213.1C54.01 214.1 47.1 220.9 47.1 228.9V283.1C47.1 291.1 54.01 297.9 61.97 298.9L76.86 300.8L81.67 315.1C84.29 322.8 87.4 330.3 90.98 337.5L97.64 350.1L88.44 362.8C83.52 369.2 84.07 378.2 89.78 383.9L128.1 422.2C133.8 427.9 142.8 428.5 149.2 423.6L161 414.4L174.5 421C181.7 424.6 189.2 427.7 196.9 430.3L211.2 435.1L213.1 450C214.1 457.1 220.9 464 228.9 464H283.1C291.1 464 297.9 457.1 298.9 450L300.8 435.1L315.1 430.3C322.8 427.7 330.3 424.6 337.5 421L350.1 414.4L362.8 423.6C369.2 428.5 378.2 427.9 383.9 422.2L422.2 383.9C427.9 378.2 428.5 369.2 423.6 362.8L414.4 350.1L421 337.5C424.6 330.3 427.7 322.8 430.3 315.1L435.1 300.8L450 298.9C457.1 297.9 464 291.1 464 283.1V228.9C464 220.9 457.1 214.1 450 213.1L435.1 211.2L430.3 196.9C427.7 189.2 424.6 181.7 421 174.5L414.4 161L423.6 149.2C428.5 142.8 427.9 133.8 422.2 128.1L383.9 89.78C378.2 84.07 369.2 83.52 362.8 88.44L350.1 97.64L337.5 90.98C330.3 87.4 322.8 84.29 315.1 81.68L300.8 76.86L298.9 61.97C297.9 54.01 291.1 48 283.1 48H228.9C220.9 48 214.1 54.01 213.1 61.97L211.2 76.86z"],
    "toggle-large-off": [576, 512, [], "e5b0", "M0 256C0 149.1 85.96 64 192 64H384C490 64 576 149.1 576 256C576 362 490 448 384 448H192C85.96 448 0 362 0 256zM192 112C112.5 112 48 176.5 48 256C48 335.5 112.5 400 192 400C271.5 400 336 335.5 336 256C336 176.5 271.5 112 192 112zM384 400C463.5 400 528 335.5 528 256C528 176.5 463.5 112 384 112H318.1C358.9 147.2 384 198.7 384 256C384 313.3 358.9 364.8 318.1 400H384z"],
    "toggle-large-on": [576, 512, [], "e5b1", "M384 64C490 64 576 149.1 576 256C576 362 490 448 384 448H192C85.96 448 0 362 0 256C0 149.1 85.96 64 192 64H384zM384 400C463.5 400 528 335.5 528 256C528 176.5 463.5 112 384 112C304.5 112 240 176.5 240 256C240 335.5 304.5 400 384 400z"],
    "toggle-off": [576, 512, [], "f204", "M192 160C245 160 288 202.1 288 256C288 309 245 352 192 352C138.1 352 96 309 96 256C96 202.1 138.1 160 192 160zM144 256C144 282.5 165.5 304 192 304C218.5 304 240 282.5 240 256C240 229.5 218.5 208 192 208C165.5 208 144 229.5 144 256zM384 448H192C85.96 448 0 362 0 256C0 149.1 85.96 64 192 64H384C490 64 576 149.1 576 256C576 362 490 448 384 448zM384 112H192C112.5 112 48 176.5 48 256C48 335.5 112.5 400 192 400H384C463.5 400 528 335.5 528 256C528 176.5 463.5 112 384 112z"],
    "toggle-on": [576, 512, [], "f205", "M288 256C288 202.1 330.1 160 384 160C437 160 480 202.1 480 256C480 309 437 352 384 352C330.1 352 288 309 288 256zM0 256C0 149.1 85.96 64 192 64H384C490 64 576 149.1 576 256C576 362 490 448 384 448H192C85.96 448 0 362 0 256zM48 256C48 335.5 112.5 400 192 400H384C463.5 400 528 335.5 528 256C528 176.5 463.5 112 384 112H192C112.5 112 48 176.5 48 256z"],
    "toilet": [448, 512, [128701], "f7d8", "M176 80H128C119.2 80 112 87.16 112 96S119.2 112 128 112h48C184.8 112 192 104.8 192 96S184.8 80 176 80zM424 48C437.3 48 448 37.25 448 24S437.3 0 424 0H24C10.75 0 0 10.75 0 24S10.75 48 24 48H32v164.1C17.04 224.8 8 239 8 256c0 51.01 24.52 97.21 64 130.6V472C72 494.1 89.94 512 112 512h224c22.06 0 40-17.94 40-40v-85.44c39.48-33.36 64-79.55 64-130.6c0-16.96-9.035-31.15-24-43.04V48H424zM80 48h288v140.4C327.4 174.6 274.8 168 224 168S120.6 174.6 80 188.4V48zM328 464h-208v-46.82C150.9 431.7 186.3 440 224 440s73.12-8.309 104-22.82V464zM224 392c-62.26 0-116.1-27.88-145.1-68.72C119.7 337.3 172.8 344 224 344s104.3-6.717 145.1-20.72C340.1 364.1 286.3 392 224 392zM224 296c-107.5 0-164.1-29.17-167.9-39.54c-.002-.1055 0 .1055 0 0C59.75 245.2 116.4 216 224 216c106.6 0 163.2 28.53 167.9 40C387.2 267.5 330.6 296 224 296z"],
    "toilet-paper": [576, 512, [129531], "f71e", "M463.1 144c-13.25 0-23.1 21.5-23.1 48s10.75 48 23.1 48s24-21.5 24-48S477.2 144 463.1 144zM463.1 0H143.1C82.1 0 31.98 86 31.98 192v172.1c0 41.12-9.751 62.75-31.13 126.9C-2.65 501.2 5.101 512 15.98 512h328.9c13.88 0 26-8.75 30.38-21.88c11.25-33.5 21.63-63.5 24.13-106.1h64.63C525.9 384 576 298 576 192C576 86 525.9 0 463.1 0zM351.1 192l-.0044 172.1c0 41-8 68-18.63 99.88H60.6c12.5-37.5 19.38-62.25 19.38-99.88V192c0-86.62 38.5-144 64-144h246.1C366.7 83.25 351.1 134.6 351.1 192zM463.1 336c-25.5 0-64-57.38-64-144s38.5-144 64-144s64 57.38 64 144S489.5 336 463.1 336zM207.1 223.1c8.829 0 15.1-7.157 15.1-15.99S216.8 192 207.1 192C199.2 192 191.1 199.2 191.1 207.1S199.2 223.1 207.1 223.1zM272 224c8.83 0 15.99-7.169 15.99-15.1S280.8 192 272 192S255.1 199.2 255.1 208S263.2 224 272 224zM127.1 207.1c0 8.833 7.175 15.1 16.01 15.1s15.99-7.166 15.99-15.1C159.1 199.2 152.8 192 144 192S127.1 199.2 127.1 207.1z"],
    "toilet-paper-blank": [576, 512, ["toilet-paper-alt"], "f71f", "M463.1 144c-13.25 0-23.1 21.5-23.1 48s10.75 48 23.1 48s24-21.5 24-48S477.2 144 463.1 144zM463.1 0H143.1C82.1 0 31.98 86 31.98 192v172.1c0 41.12-9.751 62.75-31.13 126.9C-2.65 501.2 5.101 512 15.98 512h328.9c13.88 0 26-8.75 30.38-21.88c11.25-33.5 21.63-63.5 24.13-106.1h64.63C525.9 384 576 298 576 192C576 86 525.9 0 463.1 0zM351.1 192l-.0044 172.1c0 41-8 68-18.63 99.88H60.6c12.5-37.5 19.38-62.25 19.38-99.88V192c0-86.62 38.5-144 64-144h246.1C366.7 83.25 351.1 134.6 351.1 192zM463.1 336c-25.5 0-64-57.38-64-144s38.5-144 64-144s64 57.38 64 144S489.5 336 463.1 336z"],
    "toilet-paper-blank-under": [512, 512, ["toilet-paper-reverse-alt"], "e29f", "M399.1 144c-13.25 0-23.1 21.5-23.1 48s10.75 48 23.1 48c13.25 0 24-21.5 24-48S413.2 144 399.1 144zM399.1 0H112C50.24 0 0 86.13 0 192s50.24 192 112 192H128v96c0 17.67 14.33 32 32 32h320c17.67 0 32-14.33 32-32V192C512 86.13 461.8 0 399.1 0zM112 336C86.5 336 48 278.6 48 192s38.5-144 64-144h214.2c-23.34 35.21-38.16 86.64-38.16 144s14.82 108.8 38.16 144H112zM464 464h-288V384h223.1c23.8 0 45.84-12.88 64-34.66V464zM399.1 336c-25.5 0-64-57.38-64-144s38.5-144 64-144C425.5 48 464 105.4 464 192S425.5 336 399.1 336z"],
    "toilet-paper-check": [640, 512, [], "e5b2", "M243.3 259.3C237.1 265.6 226.9 265.6 220.7 259.3L180.7 219.3C174.4 213.1 174.4 202.9 180.7 196.7C186.9 190.4 197.1 190.4 203.3 196.7L232 225.4L292.7 164.7C298.9 158.4 309.1 158.4 315.3 164.7C321.6 170.9 321.6 181.1 315.3 187.3L243.3 259.3zM16.85 487.4C14.95 479.4 16.16 470.9 20.49 463.6L20.52 463.6C24.36 456.6 27.87 449.4 31.06 442C63.63 366.5 63.1 269.6 63.1 192C63.1 85.96 106.1 0 159.1 0H492.1L492.2 .0941C493.4 .032 494.7 0 495.1 0C520.5 0 540.1 11.35 554 24.55C567.6 37.5 577.7 53.99 585.1 70.68C600 104.2 607.1 147.1 607.1 192C607.1 236.9 600 279.8 585.1 313.3C577.7 330 567.6 346.5 554 359.5C540.1 372.6 520.5 384 495.1 384C478.2 384 463 378 450.7 369.7C453.7 351.4 456.4 331.2 458.6 308.9C469.1 325.1 482 336 495.1 336C531.3 336 559.1 271.5 559.1 192C559.1 112.5 531.3 48 495.1 48C494.4 48 492.9 48.13 491.4 48.37C458.2 53.71 431.1 115.1 431.1 192C431.1 250.9 428.2 300.1 422.7 340.6L422.6 341.4C413.2 409.5 398.9 452.8 389.3 475.9C379.3 499.9 356.2 512 333.9 512H47.1C36.47 512 25.83 505.8 20.15 495.8C18.64 493.1 17.54 490.3 16.85 487.4L16.85 487.4zM159.7 48.03C159.6 48.06 159.3 48.13 158.8 48.32C157.9 48.71 156.1 49.64 153.6 51.73C148.5 56.11 141.7 64.33 135 77.7C121.7 104.5 111.1 144.8 111.1 191.1C111.1 234.3 111.9 285.4 106.1 336.1C101.2 378.5 91.97 423.1 73.84 464H333.9C336.6 464 339.2 463.2 341.1 462C342.9 460.1 344.1 459.6 344.1 457.5C357.7 427 383.1 345.2 383.1 191.1C383.1 147.1 391.1 104.2 406.9 70.68C410.3 62.97 414.3 55.3 418.1 47.1H159.1C159.1 47.1 159.9 48 159.7 48.03L159.7 48.03zM519.1 192C519.1 218.5 509.3 240 495.1 240C482.7 240 471.1 218.5 471.1 192C471.1 165.5 482.7 144 495.1 144C509.3 144 519.1 165.5 519.1 192z"],
    "toilet-paper-slash": [640, 512, [], "e072", "M630.8 469.1l-113.2-88.74c51.53-17.26 90.42-95.02 90.42-188.4C607.1 85.1 557.9 0 495.1 0H175.1C146.2 0 119.4 20.15 99.36 52.57l-60.55-47.46C34.41 1.672 29.19 0 24.03 0c-7.125 0-14.19 3.156-18.91 9.187c-8.188 10.44-6.375 25.53 4.062 33.7l591.1 463.1c10.5 8.203 25.56 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1zM383.1 191.1l-.0049 83.65L137.4 82.38C149.6 60.47 164.2 48 175.1 48h246.1C398.7 83.25 383.1 134.6 383.1 191.1zM495.1 336c-25.5 0-64-57.38-64-144s38.5-144 64-144c25.5 0 64 57.38 64 144S521.5 336 495.1 336zM365.4 464H92.6c12.5-37.5 19.38-62.25 19.38-99.88V192c0-2.523 .332-4.764 .3965-7.236L66.88 149.1C65.04 162.9 63.98 177.2 63.98 191.1v172.1c0 41.13-9.75 62.75-31.13 126.9c-3.5 10.25 4.25 20.1 15.13 20.1L376.9 512c13.88 0 26-8.75 30.38-21.88c6.768-20.15 12.98-39.33 17.59-60.46l-42.82-33.56C379.1 420.8 372.1 441.2 365.4 464zM495.1 144c-13.25 0-23.1 21.5-23.1 48s10.75 48 23.1 48C509.2 240 520 218.5 520 192S509.2 144 495.1 144z"],
    "toilet-paper-under": [512, 512, ["toilet-paper-reverse"], "e2a0", "M399.1 144c-13.25 0-23.1 21.5-23.1 48s10.75 48 23.1 48c13.25 0 24-21.5 24-48S413.2 144 399.1 144zM399.1 0H112C50.24 0 0 86.13 0 192s50.24 192 112 192H128v96c0 17.67 14.33 32 32 32h320c17.67 0 32-14.33 32-32V192C512 86.13 461.8 0 399.1 0zM112 336c-25.5 0-64.01-57.38-64.01-144S86.5 48 112 48h214.2c-23.34 35.21-38.16 86.64-38.16 144s14.82 108.8 38.16 144H112zM464 464h-288V384h223.1c23.8 0 45.84-12.88 64-34.66V464zM399.1 336c-25.5 0-64-57.38-64-144s38.5-144 64-144C425.5 48 464 105.4 464 192S425.5 336 399.1 336zM175.1 192C167.2 192 159.1 199.2 159.1 207.1c0 8.828 7.164 15.99 15.99 15.99c8.83 0 15.1-7.168 15.1-15.1C191.1 199.2 184.8 192 175.1 192zM239.1 192c-8.83 0-15.1 7.167-15.1 15.1S231.2 224 239.1 224s15.1-7.167 15.1-15.1S248.8 192 239.1 192zM111.1 192c-8.834 0-16 7.167-16 15.1c0 8.834 7.166 16 16 16s16-7.166 16-15.1C127.1 199.2 120.8 192 111.1 192z"],
    "toilet-paper-under-slash": [640, 512, ["toilet-paper-reverse-slash"], "e2a1", "M630.8 469.1L576 426.1L576 192c0-105.9-50.24-192-112-192H176C146.3 0 119.5 20.18 99.43 52.62L38.81 5.109C34.41 1.672 29.19 0 24.03 0c-7.125 0-14.19 3.156-18.91 9.187c-8.188 10.44-6.375 25.53 4.062 33.7l591.1 463.1c10.5 8.203 25.56 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1zM351.1 192c0 22.68 2.881 43.97 7.125 64.16L137.4 82.39C149.6 60.48 164.2 48 176 48h214.2C366.8 83.21 351.1 134.6 351.1 192zM528 388.5l-23.32-18.28C512.9 364.7 520.8 357.9 528 349.3V388.5zM463.1 336c-1.43 0-3.014-.8262-4.516-1.182L433.7 314.6C415.7 290.4 399.1 247.3 399.1 192c0-86.63 38.5-144 64-144C489.5 48 528 105.4 528 192S489.5 336 463.1 336zM240 464V384h126.6L305.3 336H176C150.5 336 112 278.6 112 192c0-2.518 .332-4.752 .3965-7.219L66.91 149.1C65.07 162.9 64 177.2 64 192c0 105.9 50.24 192 112 192H192v96c0 17.67 14.33 32 32 32h305.9l-61.24-48H240zM463.1 144c-13.25 0-23.1 21.5-23.1 48s10.75 48 23.1 48c13.25 0 24-21.5 24-48S477.2 144 463.1 144z"],
    "toilet-paper-xmark": [512, 512, [], "e5b3", "M235.3 132.7C241.6 138.9 241.6 149.1 235.3 155.3L198.6 192L235.3 228.7C241.6 234.9 241.6 245.1 235.3 251.3C229.1 257.6 218.9 257.6 212.7 251.3L175.1 214.6L139.3 251.3C133.1 257.6 122.9 257.6 116.7 251.3C110.4 245.1 110.4 234.9 116.7 228.7L153.4 192L116.7 155.3C110.4 149.1 110.4 138.9 116.7 132.7C122.9 126.4 133.1 126.4 139.3 132.7L175.1 169.4L212.7 132.7C218.9 126.4 229.1 126.4 235.3 132.7zM376 192C376 165.5 386.7 144 400 144C413.3 144 424 165.5 424 192C424 218.5 413.3 240 400 240C386.7 240 376 218.5 376 192zM464 456V351.1C447.4 370.4 425.9 384 400 384H112C74.3 384 45.98 355.3 28.51 321.9C10.45 287.4 0 241.5 0 192C0 142.5 10.45 96.55 28.51 62.07C45.98 28.72 74.3 0 112 0H400C437.7 0 466 28.72 483.5 62.07C501.5 96.55 512 142.5 512 192V456C512 486.9 486.9 512 456 512H216C185.1 512 160 486.9 160 456V416H208V456C208 460.4 211.6 464 216 464H456C460.4 464 464 460.4 464 456zM71.03 299.7C85.42 327.1 101.1 336 112 336H324.7C321.8 331.5 319 326.7 316.5 321.9C298.5 287.4 288 241.5 288 192C288 142.5 298.5 96.55 316.5 62.07C319 57.26 321.8 52.55 324.7 48H112C101.1 48 85.42 56.89 71.03 84.34C57.25 110.7 48 148.7 48 192C48 235.3 57.25 273.3 71.03 299.7V299.7zM336 192C336 235.3 345.2 273.3 359 299.7C373.4 327.1 389.1 336 400 336C410.9 336 426.6 327.1 440.1 299.7C454.8 273.3 464 235.3 464 192C464 148.7 454.8 110.7 440.1 84.34C426.6 56.89 410.9 48 400 48C389.1 48 373.4 56.89 359 84.34C345.2 110.7 336 148.7 336 192z"],
    "toilet-portable": [320, 512, [], "e583", "M48 480V488C48 501.3 37.25 512 24 512C10.75 512 0 501.3 0 488V72C0 32.24 32.24 0 72 0H248C287.8 0 320 32.24 320 72V488C320 501.3 309.3 512 296 512C282.7 512 272 501.3 272 488V480H48zM48 96H272V72C272 58.75 261.3 48 248 48H72C58.75 48 48 58.75 48 72V96zM48 144V432H272V320H248C234.7 320 224 309.3 224 296V248C224 234.7 234.7 224 248 224H272V144H48z"],
    "toilets-portable": [576, 512, [], "e584", "M24 512C10.75 512 0 501.3 0 488V72C0 32.24 32.24 0 72 0H184C223.8 0 256 32.24 256 72V488C256 501.3 245.3 512 232 512C218.7 512 208 501.3 208 488V480H48V488C48 501.3 37.25 512 24 512zM72 48C58.75 48 48 58.75 48 72V96H208V72C208 58.75 197.3 48 184 48H72zM208 432V320H184C170.7 320 160 309.3 160 296V248C160 234.7 170.7 224 184 224H208V144H48V432H208zM344 512C330.7 512 320 501.3 320 488V72C320 32.24 352.2 0 392 0H504C543.8 0 576 32.24 576 72V488C576 501.3 565.3 512 552 512C538.7 512 528 501.3 528 488V480H368V488C368 501.3 357.3 512 344 512zM392 48C378.7 48 368 58.75 368 72V96H528V72C528 58.75 517.3 48 504 48H392zM528 432V320H504C490.7 320 480 309.3 480 296V248C480 234.7 490.7 224 504 224H528V144H368V432H528z"],
    "tomato": [512, 512, [], "e330", "M465.7 167.1c-8.938-9.75-24.09-10.44-33.91-1.469c-9.782 8.953-10.44 24.12-1.469 33.91C452.3 223.5 464 257.3 464 297c0 121.7-116.6 167-190.1 167H238.1C164.6 464 48 418.7 48 297c0-39.8 11.66-73.55 33.69-97.59C90.66 189.6 89.1 174.5 80.22 165.5C70.44 156.5 55.25 157.2 46.31 166.1C16 200 0 245 0 297c0 156.7 146.1 215 238.1 215h35.75C365.9 512 512 453.7 512 297C512 245.1 496 200.1 465.7 167.1zM108.3 147c1.924 0-.4141 .3047 41.58-7.441L128.9 176.6C124.9 185.8 135.1 195.1 145.3 190.1l110.7-48.79l110.6 48.79c10.28 4.148 20.46-5.221 16.45-14.37l-20.96-36.98c42.08 7.836 39.77 7.535 41.71 7.535c10.95 0 16.45-12.07 8.709-19.11c-1.986-1.803-46.59-40.5-133.4-46.78c-2.006-30.06-16.59-58.32-40.8-76.48c-10.62-8-25.69-5.797-33.63 4.812C196.8 20.21 199 35.26 209.6 43.21c12.23 9.164 19.79 23.13 21.62 38.16C145.5 87.98 101.6 126.1 99.62 127.9C91.86 134.1 97.41 147 108.3 147z"],
    "tombstone": [448, 512, [], "f720", "M295.1 159.1l-47.98 .0073L247.1 119.1C247.1 106.7 237.2 95.1 223.1 96C210.7 96 199.1 106.7 199.1 120l.0259 39.1L151.1 160c-13.26 .002-23.99 10.74-23.98 23.1c0 13.26 10.73 24 23.99 24l48.02-.0054L199.1 328C199.1 341.3 210.7 352 223.1 352c13.25-.002 23.99-10.75 23.99-24l.0073-119.1l47.98-.0073c13.25 0 24.01-10.74 24.01-23.1C319.1 170.7 309.2 159.1 295.1 159.1zM424 464h-7.984l-.0168-272C415.1 86 329.1-.0098 223.1 0c-106 .0098-192 86.01-191.1 192L32.02 464H24C10.75 464 0 474.7 0 488C0 501.3 10.75 512 24 512h400c13.25 0 24-10.75 24-24C448 474.7 437.3 464 424 464zM80.02 464L79.99 192c-.0078-79.37 64.61-143.1 143.1-144s144 64.61 144 143.1L368 464H80.02z"],
    "tombstone-blank": [448, 512, [129702, "tombstone-alt"], "f721", "M424 464h-7.984l-.0168-272c-.0098-105.1-86.01-192-192-191.1c-106 .0098-192 86.01-191.1 192L32.02 464H24C10.75 464 0 474.7 0 488C0 501.3 10.75 512 24 512h400c13.25 0 24-10.75 24-24C448 474.7 437.3 464 424 464zM79.99 192c-.0078-79.37 64.61-143.1 143.1-144s144 64.61 144 143.1L368 464h-288L79.99 192z"],
    "toolbox": [512, 512, [129520], "f552", "M502.6 214.6l-77.25-77.25C419.4 131.4 411.2 128 402.7 128H384V88C384 57.13 358.9 32 328 32h-144C153.1 32 128 57.13 128 88V128H109.3C100.8 128 92.63 131.4 86.63 137.4L9.373 214.6C3.371 220.6 0 228.8 0 237.3V416c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V237.3C512 228.8 508.6 220.6 502.6 214.6zM176 88c0-4.406 3.594-8 8-8h144c4.406 0 8 3.594 8 8V128h-160V88zM115.9 176h280.2L464 243.9V296h-88V279.1C376 266.7 365.3 256 352 256s-24 10.75-24 23.1V296h-144V279.1C184 266.7 173.3 256 160 256C146.7 256 136 266.7 136 279.1V296H48V243.9L115.9 176zM448 432H64c-8.837 0-16-7.163-16-16v-72h88v16C136 373.3 146.7 384 159.1 384C173.3 384 184 373.3 184 360V344h144v16C328 373.3 338.7 384 352 384s24-10.75 24-23.1V344h88V416C464 424.8 456.8 432 448 432z"],
    "tooth": [448, 512, [129463], "f5c9", "M428.1 115.7c-11-46.56-47.41-84.53-92.75-96.75c-30.13-7.1-61.66 .25-93.85 24.59c-1.75 1.312-10.56 7.1-16.63 12.37l-39.69-26.16c-24.78-13.34-49.13-16.97-72.53-10.81c-45.28 12.22-81.69 50.19-92.69 96.75c-9.5 40.15-1.875 80.18 21.53 112.7C55.83 248.3 63.86 273.3 66.86 307.2c3.344 35.87 8.063 78.37 17.72 121.4l6.406 28.69C96.17 480.1 115.8 496 138.8 496c22.66 0 42.22-15.59 47.53-37.84l28.38-116.9c2.188-9.25 16.31-9.187 18.66 .0625l28.31 116.8C267.1 480.4 286.6 496 309.3 496c22.75 0 42.84-16.34 47.75-38.75l6.469-28.62c9.875-44.03 14.59-88.09 17.63-121.5c3.125-33.94 11.22-58.97 25.47-78.72C429.6 196.4 437.5 155.4 428.1 115.7zM367.6 200.3c-19.47 27.06-30.38 59.59-34.34 102.5c-2.875 31.1-7.375 74.03-16.63 115.3l-8.313 28.75l-28.38-116.1c-6.469-26.19-29.5-44.47-55.94-44.47c-26.66 0-49.69 18.37-55.97 44.59l-30.25 116.8l-6.406-28.62c-9.063-40.47-13.56-81.06-16.75-115.3c-3.781-42.75-14.66-75.31-34.22-102.5C65.33 179.3 60.42 153.2 66.67 126.8C73.7 97.11 96.64 72.99 125 65.36c11.25-2.937 23.56-.8125 35.59 5.562l82.56 54.53c11.06 7.312 25.94 4.25 33.25-6.812s4.25-25.94-6.813-33.25l-2.063-1.344c.9375-.7187 1.906-1.437 2.906-2.187c20.13-15.19 37.28-20.62 52.47-16.53c28.53 7.656 51.47 31.78 58.5 61.44C387.7 153.2 382.8 179.4 367.6 200.3z"],
    "toothbrush": [576, 512, [129701], "f635", "M552 432H400V280C400 266.8 389.3 256 376 256S352 266.8 352 280v152h-32V280C320 266.8 309.3 256 296 256S272 266.8 272 280v152h-32V280C240 266.8 229.3 256 216 256S192 266.8 192 280v152H160V280C160 266.8 149.3 256 136 256S112 266.8 112 280v152h-32V280C80 266.8 69.25 256 56 256S32 266.8 32 280v152H24C10.75 432 0 442.8 0 456S10.75 480 24 480h528c13.25 0 24-10.75 24-24S565.3 432 552 432zM64 224h352c33.7 0 62.87-26.15 63.93-59.84c1.979-62.51-40.76-118.3-98.67-131.8C380.2 32.12 379 32 377.1 32c-8.928 0-16.88 8.168-15.38 17.33C366 70.56 350.4 96 325.5 96H67.34C35.46 96 5.953 117.8 .8672 149.3C-5.617 189.4 25.11 224 64 224zM67.34 144h258.2c24.44 0 47.72-10.9 63.87-29.9c4.953-5.828 9.117-12.26 12.43-19.06c19.09 16.03 30.1 41.08 30.16 67.61C431.7 169.8 424.3 176 416 176H64c-6.449 0-10.42-3.529-12.21-5.635C49.6 167.8 47.21 163.4 48.25 156.9C49.39 149.9 58.13 144 67.34 144z"],
    "torii-gate": [512, 512, [9961], "f6a1", "M0 112V0L71.37 23.79C87.68 29.23 104.8 32 121.1 32H390C407.2 32 424.3 29.23 440.6 23.79L512 0V112C512 147.3 483.3 176 448 176V240H488C501.3 240 512 250.7 512 264C512 277.3 501.3 288 488 288H448V488C448 501.3 437.3 512 424 512C410.7 512 400 501.3 400 488V288H112V488C112 501.3 101.3 512 88 512C74.75 512 64 501.3 64 488V288H24C10.75 288 0 277.3 0 264C0 250.7 10.75 240 24 240H64V176C28.65 176 0 147.3 0 112zM64 128H448C456.8 128 464 120.8 464 112V66.6L455.8 69.33C434.6 76.4 412.4 80 390 80H121.1C99.61 80 77.4 76.4 56.19 69.33L48 66.6V112C48 120.8 55.16 128 64 128V128zM112 240H232V176H112V240zM280 176V240H400V176H280z"],
    "tornado": [448, 512, [127786], "f76f", "M387.7 195.9c-43.47-50-67.41-77.53 20.13-153.8c7.531-6.562 10.22-17.12 6.688-26.5C410.1 6.219 401.1 0 391.1 0L24.16 .0313c-13 0-23.66 10.38-24 23.38C-4.626 206.1 99.07 261.4 182.4 305.8c74.44 39.72 133.3 71.09 121.2 179.5c-1.125 10.12 4.251 19.84 13.44 24.28C320.3 511.2 323.9 512 327.4 512c6.219 0 12.34-2.406 16.94-7C414.1 435.5 447.1 375 448 320C448 265.3 415.1 228.5 387.7 195.9zM62.01 127.9c-7.859-22.31-12.83-48.43-13.82-79.91L334.8 48c-24.65 30.33-34.01 56.62-34.23 79.94H62.01zM192 256.5C151.9 234.9 114 212.4 87.12 175.9h226.1c10.08 18.96 24.63 35.82 38.24 51.47c8.291 9.547 16.34 18.93 23.52 28.53H192V256.5zM273 303.9h125.3C399.3 309.1 400 314.4 400 319.1c-.0313 30.88-16.12 66-49 106.6C342.7 367.8 311.1 331.4 273 303.9z"],
    "tower-broadcast": [576, 512, ["broadcast-tower"], "f519", "M288 64c-35.35 0-64 28.65-64 63.1c0 26.84 16.56 49.75 40 59.25v300.7c0 13.25 10.75 24 24 24s24-10.75 24-24V187.3C335.4 177.8 352 154.9 352 128C352 92.67 323.3 64 288 64zM64.33 3.002C52.77-3.373 38.13 .7834 31.7 12.38C10.97 49.85 0 92.41 0 135.4c0 37.22 7.875 73.09 23.39 106.7C27.45 250.8 36.13 256 45.19 256c3.375 0 6.797-.7188 10.06-2.219c12.03-5.562 17.27-19.84 11.7-31.87C54.38 194.8 48 165.7 48 135.4c0-34.91 8.891-69.44 25.7-99.81C80.13 24.03 75.92 9.408 64.33 3.002zM160.9 59.01C149.3 52.6 134.7 56.76 128.3 68.39C117.6 87.6 112 109.4 112 131.4c0 19.03 4.031 37.44 11.98 54.62c4.047 8.781 12.73 13.93 21.8 13.93c3.375 0 6.797-.7188 10.05-2.219C167.9 192.2 173.1 177.1 167.5 165.9C162.5 155.1 160 143.5 160 131.4c0-13.94 3.547-27.68 10.25-39.81C176.7 80.04 172.5 65.42 160.9 59.01zM552.6 13.91c-5.578-11.1-19.88-17.25-31.86-11.69c-12.03 5.562-17.27 19.84-11.7 31.87C521.6 61.25 528 90.35 528 120.6c0 34.91-8.891 69.44-25.7 99.81c-6.422 11.59-2.219 26.22 9.375 32.62c3.688 2.031 7.672 3 11.61 3c8.438 0 16.64-4.469 21.02-12.37C565 206.2 576 163.6 576 120.6C576 83.35 568.1 47.47 552.6 13.91zM420.2 58.23c-12.03 5.562-17.28 19.81-11.72 31.84C413.5 100.9 416 112.5 416 124.6c0 13.94-3.547 27.69-10.25 39.81c-6.422 11.59-2.219 26.22 9.375 32.62c3.688 2.031 7.672 3 11.61 3c8.438 0 16.64-4.466 21.02-12.37C458.4 168.4 464 146.6 464 124.6c0-19.03-4.031-37.43-11.98-54.62C446.5 57.89 432.1 52.7 420.2 58.23z"],
    "tower-cell": [576, 512, [], "e585", "M51.82 1.612C64.19 6.377 70.35 20.27 65.58 32.64C54.26 62.03 48 94.21 48 128C48 161.8 54.26 193.1 65.58 223.4C70.35 235.7 64.19 249.6 51.82 254.4C39.45 259.2 25.56 253 20.8 240.6C7.37 205.8 0 167.8 0 128C0 88.25 7.37 50.22 20.8 15.38C25.56 3.009 39.45-3.154 51.82 1.612V1.612zM524.2 1.612C536.6-3.154 550.4 3.009 555.2 15.38C568.6 50.22 576 88.25 576 128C576 167.8 568.6 205.8 555.2 240.6C550.4 253 536.6 259.2 524.2 254.4C511.8 249.6 505.6 235.7 510.4 223.4C521.7 193.1 528 161.8 528 128C528 94.21 521.7 62.03 510.4 32.64C505.6 20.27 511.8 6.377 524.2 1.612V1.612zM172.6 432L141.7 498.2C136.1 510.2 121.9 515.4 109.9 509.8C97.84 504.1 92.65 489.9 98.25 477.9L241.2 171.6C230.5 160.2 224 144.9 224 128C224 92.65 252.7 64 288 64C323.3 64 352 92.65 352 128C352 144.9 345.5 160.2 334.8 171.6L477.7 477.9C483.4 489.9 478.2 504.1 466.2 509.8C454.1 515.4 439.9 510.2 434.3 498.2L403.4 432H172.6zM291.3 191.9C290.2 191.1 289.1 192 288 192C286.9 192 285.8 191.1 284.7 191.9L239.8 288H336.2L291.3 191.9zM380.1 384L358.6 336H217.4L195 384H380.1zM152 128C152 147.4 156 165.8 163.3 182.4C168.6 194.5 163.1 208.7 150.9 213.1C138.8 219.3 124.6 213.8 119.3 201.6C109.5 179 104 154.1 104 128C104 101.9 109.5 76.96 119.3 54.39C124.6 42.25 138.8 36.7 150.9 42.01C163.1 47.31 168.6 61.46 163.3 73.61C156 90.23 152 108.6 152 128V128zM472 128C472 154.1 466.5 179 456.7 201.6C451.4 213.8 437.2 219.3 425.1 213.1C412.9 208.7 407.4 194.5 412.7 182.4C419.1 165.8 424 147.4 424 128C424 108.6 419.1 90.24 412.7 73.61C407.4 61.46 412.9 47.32 425.1 42.01C437.2 36.7 451.4 42.25 456.7 54.39C466.5 76.96 472 101.9 472 128V128z"],
    "tower-control": [448, 512, [], "e2a2", "M160 24C160 10.75 170.7 0 184 0H264C277.3 0 288 10.75 288 24C288 37.25 277.3 48 264 48H248V96H288C305.7 96 320 110.3 320 128H413.2C434.7 128 450.1 148.7 443.9 169.2L402.7 306.5C410.6 310.4 416 318.6 416 328C416 341.3 405.3 352 392 352H368V488C368 501.3 357.3 512 344 512C330.7 512 320 501.3 320 488V352H128V488C128 501.3 117.3 512 104 512C90.75 512 80 501.3 80 488V352H56C42.75 352 32 341.3 32 328C32 318.6 37.42 310.4 45.3 306.5L4.103 169.2C-2.056 148.7 13.32 128 34.75 128H128C128 110.3 142.3 96 160 96H200V48H184C170.7 48 160 37.25 160 24V24zM128 304V176H56.26L94.66 304H128zM176 304H272V176H176V304zM320 176V304H353.3L391.7 176H320z"],
    "tower-observation": [512, 512, [], "e586", "M245.7 2.331C252.2-.7771 259.8-.7771 266.3 2.331L434.3 82.33C446.3 88.03 451.4 102.4 445.7 114.3C440.3 125.5 427.4 130.7 416 126.6V200C416 227.2 396.6 249.9 370.8 254.1L405.7 464H488C501.3 464 512 474.7 512 488C512 501.3 501.3 512 488 512H24C10.75 512 0 501.3 0 488C0 474.7 10.75 464 24 464H106.3L141.2 254.1C115.4 249.9 96 227.2 96 200V126.6C84.56 130.7 71.67 125.5 66.33 114.3C60.63 102.4 65.71 88.03 77.68 82.33L245.7 2.331zM144 103.9V128H368V103.9L256 50.58L144 103.9zM144 176V200C144 204.4 147.6 208 152 208H360C364.4 208 368 204.4 368 200V176H144zM330.8 464L256 400.7L181.2 464H330.8zM185.9 278.5L256 337.8L326.1 278.5L322.3 256H189.7L185.9 278.5zM176.7 333.6L162.9 416.6L218.8 369.2L176.7 333.6zM293.2 369.2L349.1 416.6L335.3 333.6L293.2 369.2z"],
    "tractor": [640, 512, [128668], "f722", "M152 0H266.3C289.2 0 309.8 13.94 318.3 35.2L368.2 160H480V118.2C480 94.62 485.5 71.35 496 50.24L498.5 45.27C504.5 33.41 518.9 28.61 530.7 34.53C542.6 40.46 547.4 54.88 541.5 66.73L538.1 71.71C531.8 86.15 528 102.1 528 118.2V160H584C614.9 160 640 185.1 640 216V248.7C640 270.8 629.9 291.6 612.5 305.3L591.2 321.1C575 311.9 556.2 305.6 536.1 304.3L582.8 267.5C588.6 262.1 592 256 592 248.7V216C592 211.6 588.4 208 584 208H352.6C352.2 208 351.8 208 351.5 208H296.9L311.8 222.9C324.3 235.4 324.3 255.6 311.8 268.1L305.1 273.9C308.2 278.5 310.1 283.2 311.8 288H319.1C337.7 288 352 302.3 352 320V336H446.4C432.3 349.1 421.4 365.5 414.8 384H311.8C310.1 388.8 308.2 393.5 305.1 398.1L311.8 403.9C324.3 416.4 324.3 436.6 311.8 449.1L289.1 471.8C276.6 484.3 256.4 484.3 243.9 471.8L238.1 465.1C233.5 468.2 228.8 470.1 224 471.8V480C224 497.7 209.7 512 192 512H160C142.3 512 128 497.7 128 480V471.8C123.2 470.1 118.5 468.2 113.9 465.1L108.1 471.8C95.62 484.3 75.36 484.3 62.86 471.8L40.24 449.1C27.74 436.6 27.74 416.4 40.24 403.9L46.03 398.1C43.85 393.5 41.9 388.8 40.19 384H32C14.33 384 0 369.7 0 352V320C0 302.3 14.33 288 32 288H40.19C41.9 283.2 43.85 278.5 46.03 273.9L40.24 268.1C27.74 255.6 27.74 235.4 40.24 222.9L62.86 200.2C71.82 191.3 84.78 188.7 96 192.6V56C96 25.07 121.1 .0003 152 .0003V0zM152 48C147.6 48 144 51.58 144 56V160H316.6L273.8 53.03C272.5 49.99 269.6 48 266.3 48H152zM176 416C220.2 416 256 380.2 256 336C256 291.8 220.2 256 176 256C131.8 256 96 291.8 96 336C96 380.2 131.8 416 176 416zM440 424C440 375.4 479.4 336 528 336C576.6 336 616 375.4 616 424C616 472.6 576.6 512 528 512C479.4 512 440 472.6 440 424zM528 464C550.1 464 568 446.1 568 424C568 401.9 550.1 384 528 384C505.9 384 488 401.9 488 424C488 446.1 505.9 464 528 464z"],
    "trademark": [640, 512, [8482], "f25c", "M232 96h-208C10.75 96 0 106.8 0 120S10.75 144 24 144h80.64C104.5 145.1 104 146.1 104 147.2V392c0 13.25 10.75 24.01 24 24.01S152 405.3 152 392V147.2C152 146.1 151.5 145.1 151.4 144H232C245.3 144 256 133.3 256 120S245.3 96 232 96zM623.6 97.22c-9.781-3.125-20.59 .1562-26.81 8.438L464 283.8l-132.8-178.2c-6.188-8.281-16.91-11.56-26.81-8.438C294.6 100.5 288 109.7 288 120v272C288 405.3 298.8 416 312 416s24-10.75 24-24V192.4l108.8 145.1c9.062 12.12 29.44 12.12 38.5 0L592 192.4V392c0 13.25 10.75 24 24 24S640 405.3 640 392v-272C640 109.7 633.4 100.5 623.6 97.22z"],
    "traffic-cone": [512, 512, [], "f636", "M217.8 14.96C221.4 5.914 230.2 0 240 0H272C281.8 0 290.6 5.914 294.2 14.96L476.9 464H488C501.3 464 512 474.7 512 488C512 501.3 501.3 512 488 512H24C10.75 512 0 501.3 0 488C0 474.7 10.75 464 24 464H35.11L217.8 14.96zM125.1 368L86.93 464H425.1L386 368H125.1zM366.5 320L320.9 208H191.1L145.5 320H366.5zM210.6 160H301.4L255.1 48.36L210.6 160z"],
    "traffic-light": [320, 512, [128678], "f637", "M208 376C208 402.5 186.5 424 160 424C133.5 424 112 402.5 112 376C112 349.5 133.5 328 160 328C186.5 328 208 349.5 208 376zM112 256C112 229.5 133.5 208 160 208C186.5 208 208 229.5 208 256C208 282.5 186.5 304 160 304C133.5 304 112 282.5 112 256zM208 136C208 162.5 186.5 184 160 184C133.5 184 112 162.5 112 136C112 109.5 133.5 88 160 88C186.5 88 208 109.5 208 136zM0 64C0 28.65 28.65 0 64 0H256C291.3 0 320 28.65 320 64V352C320 440.4 248.4 512 160 512C71.63 512 0 440.4 0 352V64zM48 64V352C48 413.9 98.14 464 160 464C221.9 464 272 413.9 272 352V64C272 55.16 264.8 48 256 48H64C55.16 48 48 55.16 48 64z"],
    "traffic-light-go": [320, 512, [], "f638", "M208 376C208 402.5 186.5 424 160 424C133.5 424 112 402.5 112 376C112 349.5 133.5 328 160 328C186.5 328 208 349.5 208 376zM208 256C208 282.5 186.5 304 160 304C133.5 304 112 282.5 112 256C112 229.5 133.5 208 160 208C186.5 208 208 229.5 208 256zM160 240C151.2 240 144 247.2 144 256C144 264.8 151.2 272 160 272C168.8 272 176 264.8 176 256C176 247.2 168.8 240 160 240zM112 136C112 109.5 133.5 88 160 88C186.5 88 208 109.5 208 136C208 162.5 186.5 184 160 184C133.5 184 112 162.5 112 136zM160 152C168.8 152 176 144.8 176 136C176 127.2 168.8 120 160 120C151.2 120 144 127.2 144 136C144 144.8 151.2 152 160 152zM0 64C0 28.65 28.65 0 64 0H256C291.3 0 320 28.65 320 64V352C320 440.4 248.4 512 160 512C71.63 512 0 440.4 0 352V64zM48 64V352C48 413.9 98.14 464 160 464C221.9 464 272 413.9 272 352V64C272 55.16 264.8 48 256 48H64C55.16 48 48 55.16 48 64z"],
    "traffic-light-slow": [320, 512, [], "f639", "M112 376C112 349.5 133.5 328 160 328C186.5 328 208 349.5 208 376C208 402.5 186.5 424 160 424C133.5 424 112 402.5 112 376zM160 392C168.8 392 176 384.8 176 376C176 367.2 168.8 360 160 360C151.2 360 144 367.2 144 376C144 384.8 151.2 392 160 392zM112 256C112 229.5 133.5 208 160 208C186.5 208 208 229.5 208 256C208 282.5 186.5 304 160 304C133.5 304 112 282.5 112 256zM112 136C112 109.5 133.5 88 160 88C186.5 88 208 109.5 208 136C208 162.5 186.5 184 160 184C133.5 184 112 162.5 112 136zM160 152C168.8 152 176 144.8 176 136C176 127.2 168.8 120 160 120C151.2 120 144 127.2 144 136C144 144.8 151.2 152 160 152zM0 64C0 28.65 28.65 0 64 0H256C291.3 0 320 28.65 320 64V352C320 440.4 248.4 512 160 512C71.63 512 0 440.4 0 352V64zM48 64V352C48 413.9 98.14 464 160 464C221.9 464 272 413.9 272 352V64C272 55.16 264.8 48 256 48H64C55.16 48 48 55.16 48 64z"],
    "traffic-light-stop": [320, 512, [], "f63a", "M112 376C112 349.5 133.5 328 160 328C186.5 328 208 349.5 208 376C208 402.5 186.5 424 160 424C133.5 424 112 402.5 112 376zM160 392C168.8 392 176 384.8 176 376C176 367.2 168.8 360 160 360C151.2 360 144 367.2 144 376C144 384.8 151.2 392 160 392zM208 256C208 282.5 186.5 304 160 304C133.5 304 112 282.5 112 256C112 229.5 133.5 208 160 208C186.5 208 208 229.5 208 256zM160 240C151.2 240 144 247.2 144 256C144 264.8 151.2 272 160 272C168.8 272 176 264.8 176 256C176 247.2 168.8 240 160 240zM208 136C208 162.5 186.5 184 160 184C133.5 184 112 162.5 112 136C112 109.5 133.5 88 160 88C186.5 88 208 109.5 208 136zM0 64C0 28.65 28.65 0 64 0H256C291.3 0 320 28.65 320 64V352C320 440.4 248.4 512 160 512C71.63 512 0 440.4 0 352V64zM48 64V352C48 413.9 98.14 464 160 464C221.9 464 272 413.9 272 352V64C272 55.16 264.8 48 256 48H64C55.16 48 48 55.16 48 64z"],
    "trailer": [640, 512, [], "e041", "M136 112C149.3 112 160 122.7 160 136V232C160 245.3 149.3 256 136 256C122.7 256 112 245.3 112 232V136C112 122.7 122.7 112 136 112zM232 112C245.3 112 256 122.7 256 136V232C256 245.3 245.3 256 232 256C218.7 256 208 245.3 208 232V136C208 122.7 218.7 112 232 112zM328 112C341.3 112 352 122.7 352 136V280C352 293.3 341.3 304 328 304C314.7 304 304 293.3 304 280V136C304 122.7 314.7 112 328 112zM424 112C437.3 112 448 122.7 448 136V280C448 293.3 437.3 304 424 304C410.7 304 400 293.3 400 280V136C400 122.7 410.7 112 424 112zM192 480C138.1 480 96 437 96 384H64C28.65 384 0 355.3 0 320V96C0 60.65 28.65 32 64 32H496C531.3 32 560 60.65 560 96V336H616C629.3 336 640 346.7 640 360C640 373.3 629.3 384 616 384H288C288 437 245 480 192 480zM64 80C55.16 80 48 87.16 48 96V320C48 328.8 55.16 336 64 336H108.8C125.4 307.3 156.5 288 192 288C227.5 288 258.6 307.3 275.2 336H512V96C512 87.16 504.8 80 496 80H64zM192 336C165.5 336 144 357.5 144 384C144 410.5 165.5 432 192 432C218.5 432 240 410.5 240 384C240 357.5 218.5 336 192 336z"],
    "train": [448, 512, [128646], "f238", "M184 320C184 297.9 201.9 280 224 280C246.1 280 264 297.9 264 320C264 342.1 246.1 360 224 360C201.9 360 184 342.1 184 320zM352 0C405 0 448 42.98 448 96V352C448 394.8 420 431 381.4 443.4L408.1 471C418.3 480.4 418.3 495.6 408.1 504.1C399.6 514.3 384.4 514.3 375 504.1L318.1 448H129.9L72.97 504.1C63.6 514.3 48.4 514.3 39.03 504.1C29.66 495.6 29.66 480.4 39.03 471L66.63 443.4C27.98 431 0 394.8 0 352V96C0 42.98 42.98 0 96 0H352zM352 48H96C69.49 48 48 69.49 48 96V192H400V96C400 69.49 378.5 48 352 48zM96 400H352C378.5 400 400 378.5 400 352V240H48V352C48 378.5 69.49 400 96 400z"],
    "train-subway": [448, 512, ["subway"], "f239", "M96 320C96 302.3 110.3 288 128 288C145.7 288 160 302.3 160 320C160 337.7 145.7 352 128 352C110.3 352 96 337.7 96 320zM352 320C352 337.7 337.7 352 320 352C302.3 352 288 337.7 288 320C288 302.3 302.3 288 320 288C337.7 288 352 302.3 352 320zM352 0C405 0 448 42.98 448 96V352C448 394.8 420 431 381.4 443.4L408.1 471C418.3 480.4 418.3 495.6 408.1 504.1C399.6 514.3 384.4 514.3 375 504.1L318.1 448H129.9L72.97 504.1C63.6 514.3 48.4 514.3 39.03 504.1C29.66 495.6 29.66 480.4 39.03 471L66.63 443.4C27.98 431 0 394.8 0 352V96C0 42.98 42.98 0 96 0H352zM200 48H96C69.49 48 48 69.49 48 96V208H200V48zM248 48V208H400V96C400 69.49 378.5 48 352 48H248zM96 400H352C378.5 400 400 378.5 400 352V256H48V352C48 378.5 69.49 400 96 400z"],
    "train-subway-tunnel": [512, 512, ["subway-tunnel"], "e2a3", "M256 48C141.1 48 48 141.1 48 256V488C48 501.3 37.25 512 24 512C10.75 512 0 501.3 0 488V256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256V488C512 501.3 501.3 512 488 512C474.7 512 464 501.3 464 488V256C464 141.1 370.9 48 256 48zM224 352C224 365.3 213.3 376 200 376C186.7 376 176 365.3 176 352C176 338.7 186.7 328 200 328C213.3 328 224 338.7 224 352zM288 352C288 338.7 298.7 328 312 328C325.3 328 336 338.7 336 352C336 365.3 325.3 376 312 376C298.7 376 288 365.3 288 352zM112 208C112 163.8 147.8 128 192 128H320C364.2 128 400 163.8 400 208V368C400 395.7 385.9 420.2 364.5 434.5L400.1 471C410.3 480.4 410.3 495.6 400.1 504.1C391.6 514.3 376.4 514.3 367 504.1L310.1 448H201.9L144.1 504.1C135.6 514.3 120.4 514.3 111 504.1C101.7 495.6 101.7 480.4 111 471L147.5 434.5C126.1 420.2 112 395.7 112 368V208zM280 256H352V208C352 190.3 337.7 176 320 176H280V256zM232 176H192C174.3 176 160 190.3 160 208V256H232V176zM160 304V368C160 385.7 174.3 400 192 400H320C337.7 400 352 385.7 352 368V304H160z"],
    "train-track": [576, 512, [], "e453", "M211.1 96H364.9L353.4 64.13C348.9 51.66 355.4 37.91 367.9 33.42C380.3 28.93 394.1 35.4 398.6 47.87L415.9 96H464C477.3 96 488 106.7 488 120C488 133.3 477.3 144 464 144H433.2L461.1 224H504C517.3 224 528 234.7 528 248C528 261.3 517.3 272 504 272H479.3L508.1 352H544C557.3 352 568 362.7 568 376C568 389.3 557.3 400 544 400H525.4L542.6 447.9C547.1 460.3 540.6 474.1 528.1 478.6C515.7 483.1 501.9 476.6 497.4 464.1L474.3 400H101.7L78.58 464.1C74.09 476.6 60.34 483.1 47.87 478.6C35.4 474.1 28.93 460.3 33.42 447.9L50.65 400H32C18.75 400 8 389.3 8 376C8 362.7 18.75 352 32 352H67.93L96.73 272H72C58.75 272 48 261.3 48 248C48 234.7 58.75 224 72 224H114L142.8 144H112C98.75 144 88 133.3 88 120C88 106.7 98.75 96 112 96H160.1L177.4 47.87C181.9 35.4 195.7 28.93 208.1 33.42C220.6 37.91 227.1 51.66 222.6 64.13L211.1 96zM193.8 144L165 224H410.1L382.2 144H193.8zM428.3 272H147.7L118.9 352H457.1L428.3 272z"],
    "train-tram": [448, 512, [128650], "e5b4", "M184 352C184 365.3 173.3 376 160 376C146.7 376 136 365.3 136 352C136 338.7 146.7 328 160 328C173.3 328 184 338.7 184 352zM264 352C264 338.7 274.7 328 288 328C301.3 328 312 338.7 312 352C312 365.3 301.3 376 288 376C274.7 376 264 365.3 264 352zM42.74 78.99C34.46 89.34 19.36 91.02 9.007 82.74C-1.343 74.46-3.021 59.36 5.259 49.01L18.04 33.03C34.74 12.15 60.03 0 86.76 0H361.2C387.1 0 413.3 12.15 429.1 33.03L442.7 49.01C451 59.36 449.3 74.46 438.1 82.74C428.6 91.02 413.5 89.34 405.3 78.99L392.5 63.01C384.9 53.52 373.4 48 361.2 48H248V96H288C341 96 384 138.1 384 192V352C384 378 373.7 401.6 356.8 418.9L408.1 471C418.3 480.4 418.3 495.6 408.1 504.1C399.6 514.3 384.4 514.3 375 504.1L314.4 444.3C306 446.7 297.2 448 288 448H159.1C150.8 448 141.1 446.7 133.6 444.3L72.97 504.1C63.6 514.3 48.4 514.3 39.03 504.1C29.66 495.6 29.66 480.4 39.03 471L91.15 418.9C74.35 401.6 63.1 378 63.1 352V192C63.1 138.1 106.1 96 159.1 96H199.1V48H86.76C74.61 48 63.12 53.52 55.52 63.01L42.74 78.99zM112 192V240H336V192C336 165.5 314.5 144 288 144H160C133.5 144 112 165.5 112 192zM112 288V352C112 378.5 133.5 400 160 400H288C314.5 400 336 378.5 336 352V288H112z"],
    "train-tunnel": [512, 512, [], "e454", "M48 488C48 501.3 37.25 512 24 512C10.75 512 0 501.3 0 488V256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256V488C512 501.3 501.3 512 488 512C474.7 512 464 501.3 464 488V256C464 141.1 370.9 48 256 48C141.1 48 48 141.1 48 256V488zM288 352C288 369.7 273.7 384 256 384C238.3 384 224 369.7 224 352C224 334.3 238.3 320 256 320C273.7 320 288 334.3 288 352zM320 128C364.2 128 400 163.8 400 208V368C400 395.7 385.9 420.2 364.5 434.5L400.1 471C410.3 480.4 410.3 495.6 400.1 504.1C391.6 514.3 376.4 514.3 367 504.1L310.1 448H201.9L144.1 504.1C135.6 514.3 120.4 514.3 111 504.1C101.7 495.6 101.7 480.4 111 471L147.5 434.5C126.1 420.2 112 395.7 112 368V208C112 163.8 147.8 128 192 128H320zM352 208C352 190.3 337.7 176 320 176H192C174.3 176 160 190.3 160 208V256H352V208zM192 400H320C337.7 400 352 385.7 352 368V304H160V368C160 385.7 174.3 400 192 400z"],
    "transformer-bolt": [384, 512, [], "e2a4", "M64 128h96c8.836 0 16-7.164 16-16C176 103.2 168.8 96 160 96H64C55.16 96 48 103.2 48 112C48 120.8 55.16 128 64 128zM224 64h96c8.836 0 16-7.164 16-16C336 39.16 328.8 32 320 32h-24V24C296 10.74 285.3 0 272 0s-24 10.74-24 24V32H224c-8.836 0-16 7.162-16 16C208 56.84 215.2 64 224 64zM224 128h96c8.836 0 16-7.164 16-16C336 103.2 328.8 96 320 96h-96c-8.836 0-16 7.162-16 16C208 120.8 215.2 128 224 128zM384 192V176C384 167.2 376.8 160 368 160h-352C7.164 160 0 167.2 0 176V192c0 8.836 7.164 16 16 16v256C7.164 464 0 471.2 0 480v16C0 504.8 7.164 512 16 512h352c8.836 0 16-7.164 16-16V480c0-8.838-7.164-16-16-16v-256C376.8 208 384 200.8 384 192zM320 464H64v-256h256V464zM64 64h96c8.836 0 16-7.164 16-16C176 39.16 168.8 32 160 32H136V24C136 10.74 125.3 0 112 0S88 10.74 88 24V32H64C55.16 32 48 39.16 48 48C48 56.84 55.16 64 64 64zM131.1 348h41.79l-28.83 67.27c-2.203 5.145-.5391 11.13 3.984 14.43C151.1 431.2 153.5 432 155.1 432c2.836 0 5.648-.9961 7.898-2.965l96-83.1c3.775-3.293 5.088-8.578 3.33-13.25c-1.76-4.688-6.236-7.781-11.23-7.781h-41.79l28.83-67.27c2.203-5.145 .5391-11.13-3.984-14.43c-4.57-3.316-10.76-3.023-14.95 .668l-96 83.99c-3.775 3.293-5.088 8.578-3.33 13.25C122.5 344.9 127 348 131.1 348z"],
    "transgender": [512, 512, [9895, "transgender-alt"], "f225", "M488 0h-80C394.8 0 384 10.75 384 24s10.75 24 24 24h22.06l-79.52 79.52C323.1 107.9 291.5 96 256 96S188 107.9 161.5 127.5L145.9 112l15.03-15.03c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0L112 78.06L81.94 48H104C117.3 48 128 37.25 128 24S117.3 0 104 0h-80C10.75 0 0 10.75 0 24v80C0 117.3 10.75 128 24 128S48 117.3 48 104V81.94L78.06 112L63.03 127c-9.375 9.375-9.375 24.56 0 33.94C67.72 165.7 73.84 168 80 168s12.28-2.344 16.97-7.031L112 145.9l15.52 15.52C107.9 188 96 220.5 96 256c0 80.14 59.11 145.9 136 157.6V432L208 432c-13.25 0-24 10.75-24 23.1s10.75 24 24 24L232 480v8C232 501.3 242.8 512 256 512s24-10.75 24-24V480l24 .0002c13.25 0 24-10.75 24-24s-10.75-23.1-24-23.1L280 432v-18.42C356.9 401.9 416 336.1 416 256c0-35.51-11.95-67.1-31.52-94.54L464 81.94V104C464 117.3 474.8 128 488 128S512 117.3 512 104v-80C512 10.75 501.3 0 488 0zM256 368c-61.76 0-112-50.24-112-112c0-30.66 12.43-58.44 32.45-78.69C176.6 177.2 176.8 177.1 176.1 176.1S177.2 176.6 177.3 176.5C197.6 156.4 225.3 144 256 144s58.44 12.42 78.69 32.45c.1484 .1562 .1914 .3672 .3457 .5215s.3652 .1973 .5215 .3457C355.6 197.6 368 225.3 368 256C368 317.8 317.8 368 256 368z"],
    "transporter": [512, 512, [], "e042", "M256 96c26.5 0 48-21.5 48-48S282.5 0 256 0S208 21.5 208 48S229.5 96 256 96zM93.75 108.4L64 96L51.63 66.25C50.88 64.88 49.5 64 48 64S45.13 64.88 44.38 66.25L32 96L2.25 108.4C.875 109.1 0 110.5 0 112s.875 2.875 2.25 3.625L32 128l12.38 29.75C45.13 159.1 46.5 160 48 160s2.875-.875 3.625-2.25L64 128l29.75-12.38C95.13 114.9 96 113.5 96 112S95.13 109.1 93.75 108.4zM509.8 44.38L480 32l-12.38-29.75C466.9 .875 465.5 0 464 0s-2.875 .875-3.625 2.25L448 32l-29.75 12.38C416.9 45.13 416 46.5 416 48s.875 2.875 2.25 3.625L448 64l12.38 29.75C461.1 95.13 462.5 96 464 96s2.875-.875 3.625-2.25L480 64l29.75-12.38C511.1 50.88 512 49.5 512 48S511.1 45.13 509.8 44.38zM392 464H320V211.3l53.13 67.63c8.25 10.38 23.25 12.12 33.75 4c10.38-8.25 12.12-23.25 4-33.75L332.5 149.4C321.9 135.9 305.7 128 288.5 128H223.5C206.3 128 190.1 135.9 179.5 149.4L101.1 249.1c-8.25 10.5-6.375 25.5 4 33.75c10.5 8.125 25.5 6.375 33.75-4L192 211.3V464H120C106.7 464 96 474.7 96 488C96 501.3 106.7 512 120 512h272c13.25 0 24-10.75 24-24C416 474.7 405.3 464 392 464zM264 464h-16V320h16V464z"],
    "transporter-1": [512, 512, [], "e043", "M120 288c7.375 0 14.25-3.375 18.88-9.125L192 211.3V320H176C167.2 320 160 327.2 160 336S167.2 352 176 352h160c8.844 0 16-7.156 16-16S344.8 320 336 320H320V211.3l53.13 67.63c8.25 10.38 23.25 12.12 33.75 4c10.38-8.25 12.12-23.25 4-33.75L332.5 149.4C321.9 135.9 305.6 128 288.4 128H223.5c-17.12 0-33.38 7.875-44 21.38L101.1 249.1C95.38 256.4 94.38 266.3 98.38 274.5S110.8 288 120 288zM336 384h-160C167.2 384 160 391.2 160 400S167.2 416 176 416h160c8.844 0 16-7.156 16-16S344.8 384 336 384zM256 96c26.5 0 48-21.5 48-48S282.5 0 256 0S208 21.5 208 48S229.5 96 256 96zM93.75 364.4L64 352l-12.38-29.75C50.88 320.9 49.5 320 48 320s-2.875 .875-3.625 2.25L32 352l-29.75 12.38C.875 365.1 0 366.5 0 368s.875 2.875 2.25 3.625L32 384l12.38 29.75C45.13 415.1 46.5 416 48 416s2.875-.875 3.625-2.25L64 384l29.75-12.38C95.13 370.9 96 369.5 96 368S95.13 365.1 93.75 364.4zM509.8 172.4L480 160l-12.38-29.75C466.9 128.9 465.5 128 464 128s-2.875 .875-3.625 2.25L448 160l-29.75 12.38C416.9 173.1 416 174.5 416 176s.875 2.875 2.25 3.625L448 192l12.38 29.75C461.1 223.1 462.5 224 464 224s2.875-.875 3.625-2.25L480 192l29.75-12.38C511.1 178.9 512 177.5 512 176S511.1 173.1 509.8 172.4zM392 464H352c0-8.844-7.156-16-16-16h-160C167.2 448 160 455.2 160 464H120C106.7 464 96 474.7 96 488C96 501.3 106.7 512 120 512h272c13.25 0 24-10.75 24-24C416 474.7 405.3 464 392 464z"],
    "transporter-2": [512, 512, [], "e044", "M112 288h288C408.8 288 416 280.8 416 272S408.8 256 400 256h-288C103.2 256 96 263.2 96 272S103.2 288 112 288zM332.5 149.4C321.9 135.9 305.6 128 288.5 128H223.6C206.4 128 190.1 135.9 179.5 149.4L120.9 224h270.3L332.5 149.4zM256 96c26.5 0 48-21.5 48-48S282.5 0 256 0S208 21.5 208 48S229.5 96 256 96zM336 320h-160C167.2 320 160 327.2 160 336S167.2 352 176 352h160c8.844 0 16-7.156 16-16S344.8 320 336 320zM392 464H352c0-8.844-7.156-16-16-16h-160C167.2 448 160 455.2 160 464H120C106.7 464 96 474.7 96 488C96 501.3 106.7 512 120 512h272c13.25 0 24-10.75 24-24C416 474.7 405.3 464 392 464zM509.8 364.4L480 352l-12.38-29.75C466.9 320.9 465.5 320 464 320s-2.875 .875-3.625 2.25L448 352l-29.75 12.38C416.9 365.1 416 366.5 416 368s.875 2.875 2.25 3.625L448 384l12.38 29.75C461.1 415.1 462.5 416 464 416s2.875-.875 3.625-2.25L480 384l29.75-12.38C511.1 370.9 512 369.5 512 368S511.1 365.1 509.8 364.4zM93.75 44.38L64 32L51.63 2.25C50.88 .875 49.5 0 48 0S45.13 .875 44.38 2.25L32 32L2.25 44.38C.875 45.13 0 46.5 0 48s.875 2.875 2.25 3.625L32 64l12.38 29.75C45.13 95.13 46.5 96 48 96s2.875-.875 3.625-2.25L64 64l29.75-12.38C95.13 50.88 96 49.5 96 48S95.13 45.13 93.75 44.38zM336 384h-160C167.2 384 160 391.2 160 400S167.2 416 176 416h160c8.844 0 16-7.156 16-16S344.8 384 336 384z"],
    "transporter-3": [512, 512, [], "e045", "M144 224h224C376.8 224 384 216.8 384 208S376.8 192 368 192h-224C135.2 192 128 199.2 128 208S135.2 224 144 224zM176 160h160C344.8 160 352 152.8 352 144S344.8 128 336 128h-160C167.2 128 160 135.2 160 144S167.2 160 176 160zM93.75 140.4L64 128L51.63 98.25C50.88 96.88 49.5 96 48 96S45.13 96.88 44.38 98.25L32 128L2.25 140.4C.875 141.1 0 142.5 0 144s.875 2.875 2.25 3.625L32 160l12.38 29.75C45.13 191.1 46.5 192 48 192s2.875-.875 3.625-2.25L64 160l29.75-12.38C95.13 146.9 96 145.5 96 144S95.13 141.1 93.75 140.4zM256 96c26.5 0 48-21.5 48-48S282.5 0 256 0S208 21.5 208 48S229.5 96 256 96zM509.8 44.38L480 32l-12.38-29.75C466.9 .875 465.5 0 464 0s-2.875 .875-3.625 2.25L448 32l-29.75 12.38C416.9 45.13 416 46.5 416 48s.875 2.875 2.25 3.625L448 64l12.38 29.75C461.1 95.13 462.5 96 464 96s2.875-.875 3.625-2.25L480 64l29.75-12.38C511.1 50.88 512 49.5 512 48S511.1 45.13 509.8 44.38zM392 464H352c0-8.844-7.156-16-16-16h-160C167.2 448 160 455.2 160 464H120C106.7 464 96 474.7 96 488C96 501.3 106.7 512 120 512h272c13.25 0 24-10.75 24-24C416 474.7 405.3 464 392 464zM400 256h-288C103.2 256 96 263.2 96 272S103.2 288 112 288h288C408.8 288 416 280.8 416 272S408.8 256 400 256zM176 352h160c8.844 0 16-7.156 16-16S344.8 320 336 320h-160C167.2 320 160 327.2 160 336S167.2 352 176 352zM176 416h160c8.844 0 16-7.156 16-16S344.8 384 336 384h-160C167.2 384 160 391.2 160 400S167.2 416 176 416z"],
    "transporter-4": [512, 512, [], "e2a5", "M144 224h224C376.8 224 384 216.8 384 208S376.8 192 368 192h-224C135.2 192 128 199.2 128 208S135.2 224 144 224zM93.75 396.4L64 384l-12.38-29.75C50.88 352.9 49.5 352 48 352s-2.875 .875-3.625 2.25L32 384l-29.75 12.38C.875 397.1 0 398.5 0 400s.875 2.875 2.25 3.625L32 416l12.38 29.75C45.13 447.1 46.5 448 48 448s2.875-.875 3.625-2.25L64 416l29.75-12.38C95.13 402.9 96 401.5 96 400S95.13 397.1 93.75 396.4zM176 160h160C344.8 160 352 152.8 352 144S344.8 128 336 128h-160C167.2 128 160 135.2 160 144S167.2 160 176 160zM224 32h64c8.844 0 16-7.156 16-16S296.8 0 288 0H224C215.2 0 208 7.156 208 16S215.2 32 224 32zM224 96h64c8.844 0 16-7.156 16-16S296.8 64 288 64H224C215.2 64 208 71.16 208 80S215.2 96 224 96zM176 416h160c8.844 0 16-7.156 16-16S344.8 384 336 384h-160C167.2 384 160 391.2 160 400S167.2 416 176 416zM392 464H352c0-8.844-7.156-16-16-16h-160C167.2 448 160 455.2 160 464H120C106.7 464 96 474.7 96 488C96 501.3 106.7 512 120 512h272c13.25 0 24-10.75 24-24C416 474.7 405.3 464 392 464zM400 256h-288C103.2 256 96 263.2 96 272S103.2 288 112 288h288C408.8 288 416 280.8 416 272S408.8 256 400 256zM509.8 172.4L480 160l-12.38-29.75C466.9 128.9 465.5 128 464 128s-2.875 .875-3.625 2.25L448 160l-29.75 12.38C416.9 173.1 416 174.5 416 176s.875 2.875 2.25 3.625L448 192l12.38 29.75C461.1 223.1 462.5 224 464 224s2.875-.875 3.625-2.25L480 192l29.75-12.38C511.1 178.9 512 177.5 512 176S511.1 173.1 509.8 172.4zM176 352h160c8.844 0 16-7.156 16-16S344.8 320 336 320h-160C167.2 320 160 327.2 160 336S167.2 352 176 352z"],
    "transporter-5": [512, 512, [], "e2a6", "M392 464h-272C106.7 464 96 474.7 96 488C96 501.3 106.7 512 120 512h272c13.25 0 24-10.75 24-24C416 474.7 405.3 464 392 464zM93.75 172.4L64 160L51.63 130.3C50.88 128.9 49.5 128 48 128S45.13 128.9 44.38 130.3L32 160L2.25 172.4C.875 173.1 0 174.5 0 176s.875 2.875 2.25 3.625L32 192l12.38 29.75C45.13 223.1 46.5 224 48 224s2.875-.875 3.625-2.25L64 192l29.75-12.38C95.13 178.9 96 177.5 96 176S95.13 173.1 93.75 172.4zM176 160h160C344.8 160 352 152.8 352 144S344.8 128 336 128h-160C167.2 128 160 135.2 160 144S167.2 160 176 160zM224 32h64c8.844 0 16-7.156 16-16S296.8 0 288 0H224C215.2 0 208 7.156 208 16S215.2 32 224 32zM509.8 44.38L480 32l-12.38-29.75C466.9 .875 465.5 0 464 0s-2.875 .875-3.625 2.25L448 32l-29.75 12.38C416.9 45.13 416 46.5 416 48s.875 2.875 2.25 3.625L448 64l12.38 29.75C461.1 95.13 462.5 96 464 96s2.875-.875 3.625-2.25L480 64l29.75-12.38C511.1 50.88 512 49.5 512 48S511.1 45.13 509.8 44.38zM336 416c8.844 0 16-7.156 16-16S344.8 384 336 384h-160C167.2 384 160 391.2 160 400S167.2 416 176 416H336zM400 256h-288C103.2 256 96 263.2 96 272S103.2 288 112 288h288C408.8 288 416 280.8 416 272S408.8 256 400 256z"],
    "transporter-6": [512, 512, [], "e2a7", "M509.8 396.4L480 384l-12.38-29.75C466.9 352.9 465.5 352 464 352s-2.875 .875-3.625 2.25L448 384l-29.75 12.38C416.9 397.1 416 398.5 416 400s.875 2.875 2.25 3.625L448 416l12.38 29.75C461.1 447.1 462.5 448 464 448s2.875-.875 3.625-2.25L480 416l29.75-12.38C511.1 402.9 512 401.5 512 400S511.1 397.1 509.8 396.4zM112 288h288C408.8 288 416 280.8 416 272S408.8 256 400 256h-288C103.2 256 96 263.2 96 272S103.2 288 112 288zM224 32h64c8.844 0 16-7.156 16-16S296.8 0 288 0H224C215.2 0 208 7.156 208 16S215.2 32 224 32zM93.75 44.38L64 32L51.63 2.25C50.88 .875 49.5 0 48 0S45.13 .875 44.38 2.25L32 32L2.25 44.38C.875 45.13 0 46.5 0 48s.875 2.875 2.25 3.625L32 64l12.38 29.75C45.13 95.13 46.5 96 48 96s2.875-.875 3.625-2.25L64 64l29.75-12.38C95.13 50.88 96 49.5 96 48S95.13 45.13 93.75 44.38zM392 464h-272C106.7 464 96 474.7 96 488C96 501.3 106.7 512 120 512h272c13.25 0 24-10.75 24-24C416 474.7 405.3 464 392 464z"],
    "transporter-7": [512, 512, [], "e2a8", "M93.75 300.4L64 288L51.63 258.3C50.88 256.9 49.5 256 48 256S45.13 256.9 44.38 258.3L32 288L2.25 300.4C.875 301.1 0 302.5 0 304s.875 2.875 2.25 3.625L32 320l12.38 29.75C45.13 351.1 46.5 352 48 352s2.875-.875 3.625-2.25L64 320l29.75-12.38C95.13 306.9 96 305.5 96 304S95.13 301.1 93.75 300.4zM392 464h-272C106.7 464 96 474.7 96 488C96 501.3 106.7 512 120 512h272c13.25 0 24-10.75 24-24C416 474.7 405.3 464 392 464zM509.8 76.38L480 64l-12.38-29.75C466.9 32.88 465.5 32 464 32s-2.875 .875-3.625 2.25L448 64l-29.75 12.38C416.9 77.13 416 78.5 416 80s.875 2.875 2.25 3.625L448 96l12.38 29.75C461.1 127.1 462.5 128 464 128s2.875-.875 3.625-2.25L480 96l29.75-12.38C511.1 82.88 512 81.5 512 80S511.1 77.13 509.8 76.38z"],
    "transporter-empty": [320, 512, [], "e046", "M296 464H23.1C10.75 464 0 474.7 0 488S10.75 512 23.1 512h272C309.3 512 320 501.3 320 488S309.3 464 296 464z"],
    "trash": [448, 512, [], "f1f8", "M424 80C437.3 80 448 90.75 448 104C448 117.3 437.3 128 424 128H412.4L388.4 452.7C385.9 486.1 358.1 512 324.6 512H123.4C89.92 512 62.09 486.1 59.61 452.7L35.56 128H24C10.75 128 0 117.3 0 104C0 90.75 10.75 80 24 80H93.82L130.5 24.94C140.9 9.357 158.4 0 177.1 0H270.9C289.6 0 307.1 9.358 317.5 24.94L354.2 80H424zM177.1 48C174.5 48 171.1 49.34 170.5 51.56L151.5 80H296.5L277.5 51.56C276 49.34 273.5 48 270.9 48H177.1zM364.3 128H83.69L107.5 449.2C108.1 457.5 115.1 464 123.4 464H324.6C332.9 464 339.9 457.5 340.5 449.2L364.3 128z"],
    "trash-arrow-up": [448, 512, ["trash-restore"], "f829", "M224 175.1C230.4 175.1 236.5 178.5 240.1 183L320.1 263C330.3 272.4 330.3 287.6 320.1 296.1C311.6 306.3 296.4 306.3 287 296.1L248 257.9V392C248 405.3 237.3 416 224 416C210.7 416 200 405.3 200 392V257.9L160.1 296.1C151.6 306.3 136.4 306.3 127 296.1C117.7 287.6 117.7 272.4 127 263L207 183C211.5 178.5 217.6 175.1 224 175.1V175.1zM317.5 24.94L354.2 80H424C437.3 80 448 90.75 448 104C448 117.3 437.3 128 424 128H412.4L388.4 452.7C385.9 486.1 358.1 512 324.6 512H123.4C89.92 512 62.09 486.1 59.61 452.7L35.56 128H24C10.75 128 0 117.3 0 104C0 90.75 10.75 80 24 80H93.82L130.5 24.94C140.9 9.357 158.4 0 177.1 0H270.9C289.6 0 307.1 9.358 317.5 24.94V24.94zM151.5 80H296.5L277.5 51.56C276 49.34 273.5 48 270.9 48H177.1C174.5 48 171.1 49.34 170.5 51.56L151.5 80zM107.5 449.2C108.1 457.5 115.1 464 123.4 464H324.6C332.9 464 339.9 457.5 340.5 449.2L364.3 128H83.69L107.5 449.2z"],
    "trash-can": [448, 512, [61460, "trash-alt"], "f2ed", "M160 400C160 408.8 152.8 416 144 416C135.2 416 128 408.8 128 400V192C128 183.2 135.2 176 144 176C152.8 176 160 183.2 160 192V400zM240 400C240 408.8 232.8 416 224 416C215.2 416 208 408.8 208 400V192C208 183.2 215.2 176 224 176C232.8 176 240 183.2 240 192V400zM320 400C320 408.8 312.8 416 304 416C295.2 416 288 408.8 288 400V192C288 183.2 295.2 176 304 176C312.8 176 320 183.2 320 192V400zM317.5 24.94L354.2 80H424C437.3 80 448 90.75 448 104C448 117.3 437.3 128 424 128H416V432C416 476.2 380.2 512 336 512H112C67.82 512 32 476.2 32 432V128H24C10.75 128 0 117.3 0 104C0 90.75 10.75 80 24 80H93.82L130.5 24.94C140.9 9.357 158.4 0 177.1 0H270.9C289.6 0 307.1 9.358 317.5 24.94H317.5zM151.5 80H296.5L277.5 51.56C276 49.34 273.5 48 270.9 48H177.1C174.5 48 171.1 49.34 170.5 51.56L151.5 80zM80 432C80 449.7 94.33 464 112 464H336C353.7 464 368 449.7 368 432V128H80V432z"],
    "trash-can-arrow-up": [448, 512, ["trash-restore-alt"], "f82a", "M224 175.1C230.4 175.1 236.5 178.5 240.1 183L320.1 263C330.3 272.4 330.3 287.6 320.1 296.1C311.6 306.3 296.4 306.3 287 296.1L248 257.9V392C248 405.3 237.3 416 224 416C210.7 416 200 405.3 200 392V257.9L160.1 296.1C151.6 306.3 136.4 306.3 127 296.1C117.7 287.6 117.7 272.4 127 263L207 183C211.5 178.5 217.6 175.1 224 175.1V175.1zM317.5 24.94L354.2 80H424C437.3 80 448 90.75 448 104C448 117.3 437.3 128 424 128H416V432C416 476.2 380.2 512 336 512H112C67.82 512 32 476.2 32 432V128H24C10.75 128 0 117.3 0 104C0 90.75 10.75 80 24 80H93.82L130.5 24.94C140.9 9.357 158.4 0 177.1 0H270.9C289.6 0 307.1 9.358 317.5 24.94H317.5zM151.5 80H296.5L277.5 51.56C276 49.34 273.5 48 270.9 48H177.1C174.5 48 171.1 49.34 170.5 51.56L151.5 80zM80 432C80 449.7 94.33 464 112 464H336C353.7 464 368 449.7 368 432V128H80V432z"],
    "trash-can-check": [448, 512, [], "e2a9", "M211.8 371.8C200.9 382.7 183.1 382.7 172.2 371.8L108.2 307.8C97.27 296.9 97.27 279.1 108.2 268.2C119.1 257.3 136.9 257.3 147.8 268.2L192 312.4L300.2 204.2C311.1 193.3 328.9 193.3 339.8 204.2C350.7 215.1 350.7 232.9 339.8 243.8L211.8 371.8zM317.5 24.94L354.2 80H424C437.3 80 448 90.75 448 104C448 117.3 437.3 128 424 128H416V432C416 476.2 380.2 512 336 512H112C67.82 512 32 476.2 32 432V128H24C10.75 128 0 117.3 0 104C0 90.75 10.75 80 24 80H93.82L130.5 24.94C140.9 9.357 158.4 0 177.1 0H270.9C289.6 0 307.1 9.358 317.5 24.94H317.5zM151.5 80H296.5L277.5 51.56C276 49.34 273.5 48 270.9 48H177.1C174.5 48 171.1 49.34 170.5 51.56L151.5 80zM80 432C80 449.7 94.33 464 112 464H336C353.7 464 368 449.7 368 432V128H80V432z"],
    "trash-can-clock": [576, 512, [], "e2aa", "M317.5 24.94L354.2 80H424C437.3 80 448 90.75 448 104C448 117.3 437.3 128 424 128H416V192.7C399.2 194.2 383.1 198.1 368 203.1V128H79.1V432C79.1 449.7 94.33 464 111.1 464H284.5C296.7 482.8 312.5 499.1 330.8 512H112C67.82 512 32 476.2 32 432V128H24C10.75 128 0 117.3 0 104C0 90.75 10.75 80 24 80H93.82L130.5 24.94C140.9 9.357 158.4 0 177.1 0H270.9C289.6 0 307.1 9.358 317.5 24.94H317.5zM151.5 80H296.5L277.5 51.56C276 49.34 273.5 48 270.9 48H177.1C174.5 48 171.1 49.34 170.5 51.56L151.5 80zM320 192V232.2C307.9 242.3 297.1 253.9 287.1 266.8V192C287.1 183.2 295.2 176 304 176C312.8 176 320 183.2 320 192V192zM159.1 400C159.1 408.8 152.8 416 143.1 416C135.2 416 127.1 408.8 127.1 400V192C127.1 183.2 135.2 176 143.1 176C152.8 176 159.1 183.2 159.1 192V400zM239.1 400C239.1 408.8 232.8 416 223.1 416C215.2 416 207.1 408.8 207.1 400V192C207.1 183.2 215.2 176 223.1 176C232.8 176 239.1 183.2 239.1 192V400zM576 368C576 447.5 511.5 512 432 512C352.5 512 287.1 447.5 287.1 368C287.1 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM415.1 304V368C415.1 376.8 423.2 384 431.1 384H480C488.8 384 496 376.8 496 368C496 359.2 488.8 352 480 352H447.1V304C447.1 295.2 440.8 288 431.1 288C423.2 288 415.1 295.2 415.1 304V304z"],
    "trash-can-list": [640, 512, [], "e2ab", "M160 176C168.8 176 176 183.2 176 192V400C176 408.8 168.8 416 160 416C151.2 416 144 408.8 144 400V192C144 183.2 151.2 176 160 176zM256 176C264.8 176 272 183.2 272 192V400C272 408.8 264.8 416 256 416C247.2 416 240 408.8 240 400V192C240 183.2 247.2 176 256 176zM392 80C405.3 80 416 90.75 416 104C416 117.3 405.3 128 392 128H384V432C384 476.2 348.2 512 304 512H112C67.82 512 32 476.2 32 432V128H24C10.75 128 0 117.3 0 104C0 90.75 10.75 80 24 80H77.82L114.5 24.94C124.9 9.357 142.4 0 161.1 0H254.9C273.6 0 291.1 9.358 301.5 24.94L338.2 80H392zM161.1 48C158.5 48 155.1 49.34 154.5 51.56L135.5 80H280.5L261.5 51.56C260 49.34 257.5 48 254.9 48H161.1zM336 128H80V432C80 449.7 94.33 464 112 464H304C321.7 464 336 449.7 336 432V128zM616 128C629.3 128 640 138.7 640 152C640 165.3 629.3 176 616 176H472C458.7 176 448 165.3 448 152C448 138.7 458.7 128 472 128H616zM584 256C597.3 256 608 266.7 608 280C608 293.3 597.3 304 584 304H472C458.7 304 448 293.3 448 280C448 266.7 458.7 256 472 256H584zM448 408C448 394.7 458.7 384 472 384H520C533.3 384 544 394.7 544 408C544 421.3 533.3 432 520 432H472C458.7 432 448 421.3 448 408z"],
    "trash-can-plus": [448, 512, [], "e2ac", "M200 376V312H136C122.7 312 112 301.3 112 288C112 274.7 122.7 264 136 264H200V200C200 186.7 210.7 176 224 176C237.3 176 248 186.7 248 200V264H312C325.3 264 336 274.7 336 288C336 301.3 325.3 312 312 312H248V376C248 389.3 237.3 400 224 400C210.7 400 200 389.3 200 376zM317.5 24.94L354.2 80H424C437.3 80 448 90.75 448 104C448 117.3 437.3 128 424 128H416V432C416 476.2 380.2 512 336 512H112C67.82 512 32 476.2 32 432V128H24C10.75 128 0 117.3 0 104C0 90.75 10.75 80 24 80H93.82L130.5 24.94C140.9 9.357 158.4 0 177.1 0H270.9C289.6 0 307.1 9.358 317.5 24.94H317.5zM151.5 80H296.5L277.5 51.56C276 49.34 273.5 48 270.9 48H177.1C174.5 48 171.1 49.34 170.5 51.56L151.5 80zM80 432C80 449.7 94.33 464 112 464H336C353.7 464 368 449.7 368 432V128H80V432z"],
    "trash-can-slash": [640, 512, ["trash-alt-slash"], "e2ad", "M134.4 80H189.8L226.5 24.94C236.9 9.358 254.4 .0003 273.1 .0003H366.9C385.6 .0003 403.1 9.358 413.5 24.94L450.2 80H519.1C533.3 80 543.1 90.75 543.1 104C543.1 117.3 533.3 128 519.1 128H511.1V375.1L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L134.4 80zM195.6 128L303.1 212.1V192C303.1 183.2 311.2 176 319.1 176C328.8 176 335.1 183.2 335.1 192V238L383.1 275.7V192C383.1 183.2 391.2 176 399.1 176C408.8 176 415.1 183.2 415.1 192V300.7L463.1 338.4V128H195.6zM273.1 48C270.4 48 267.1 49.34 266.5 51.56L247.5 80H392.5L373.5 51.56C372 49.34 369.5 48 366.9 48H273.1zM431.1 512H207.1C163.8 512 127.1 476.2 127.1 432V196.9L175.1 234.7V432C175.1 449.7 190.3 464 207.1 464H431.1C440.1 464 449.1 460.3 454.9 454.4L492.7 484.2C477.1 501.2 456.3 512 431.1 512V512zM255.1 297.7V400C255.1 408.8 248.8 416 239.1 416C231.2 416 223.1 408.8 223.1 400V272.5L255.1 297.7zM335.1 360.7V400C335.1 408.8 328.8 416 319.1 416C311.2 416 303.1 408.8 303.1 400V335.5L335.1 360.7z"],
    "trash-can-undo": [448, 512, ["trash-can-arrow-turn-left", "trash-undo-alt"], "f896", "M225.9 192.1C234.7 201.1 233.9 217.1 223.9 225.9L199.1 248H240C288.6 248 328 287.4 328 336V360C328 373.3 317.3 384 304 384C290.7 384 280 373.3 280 360V336C280 313.9 262.1 296 240 296H199.1L223.9 318.1C233.9 326.9 234.7 342 225.9 351.9C217.1 361.9 201.1 362.7 192.1 353.9L120.1 289.9C114.9 285.4 112 278.9 112 271.1C112 265.1 114.9 258.6 120.1 254.1L192.1 190.1C201.1 181.3 217.1 182.1 225.9 192.1V192.1zM317.5 24.94L354.2 80H424C437.3 80 448 90.75 448 104C448 117.3 437.3 128 424 128H416V432C416 476.2 380.2 512 336 512H112C67.82 512 32 476.2 32 432V128H24C10.75 128 0 117.3 0 104C0 90.75 10.75 80 24 80H93.82L130.5 24.94C140.9 9.357 158.4 0 177.1 0H270.9C289.6 0 307.1 9.358 317.5 24.94H317.5zM151.5 80H296.5L277.5 51.56C276 49.34 273.5 48 270.9 48H177.1C174.5 48 171.1 49.34 170.5 51.56L151.5 80zM80 432C80 449.7 94.33 464 112 464H336C353.7 464 368 449.7 368 432V128H80V432z"],
    "trash-can-xmark": [448, 512, [], "e2ae", "M143 207C152.4 197.7 167.6 197.7 176.1 207L223.1 254.1L271 207C280.4 197.7 295.6 197.7 304.1 207C314.3 216.4 314.3 231.6 304.1 240.1L257.9 287.1L304.1 335C314.3 344.4 314.3 359.6 304.1 368.1C295.6 378.3 280.4 378.3 271 368.1L223.1 321.9L176.1 368.1C167.6 378.3 152.4 378.3 143 368.1C133.7 359.6 133.7 344.4 143 335L190.1 287.1L143 240.1C133.7 231.6 133.7 216.4 143 207V207zM317.5 24.94L354.2 80H424C437.3 80 448 90.75 448 104C448 117.3 437.3 128 424 128H416V432C416 476.2 380.2 512 336 512H112C67.82 512 32 476.2 32 432V128H24C10.75 128 0 117.3 0 104C0 90.75 10.75 80 24 80H93.82L130.5 24.94C140.9 9.357 158.4 0 177.1 0H270.9C289.6 0 307.1 9.358 317.5 24.94H317.5zM151.5 80H296.5L277.5 51.56C276 49.34 273.5 48 270.9 48H177.1C174.5 48 171.1 49.34 170.5 51.56L151.5 80zM80 432C80 449.7 94.33 464 112 464H336C353.7 464 368 449.7 368 432V128H80V432z"],
    "trash-check": [448, 512, [], "e2af", "M211.8 355.8C200.9 366.7 183.1 366.7 172.2 355.8L124.2 307.8C113.3 296.9 113.3 279.1 124.2 268.2C135.1 257.3 152.9 257.3 163.8 268.2L192 296.4L284.2 204.2C295.1 193.3 312.9 193.3 323.8 204.2C334.7 215.1 334.7 232.9 323.8 243.8L211.8 355.8zM317.5 24.94L354.2 80H424C437.3 80 448 90.75 448 104C448 117.3 437.3 128 424 128H412.4L388.4 452.7C385.9 486.1 358.1 512 324.6 512H123.4C89.92 512 62.09 486.1 59.61 452.7L35.56 128H24C10.75 128 0 117.3 0 104C0 90.75 10.75 80 24 80H93.82L130.5 24.94C140.9 9.357 158.4 0 177.1 0H270.9C289.6 0 307.1 9.358 317.5 24.94V24.94zM151.5 80H296.5L277.5 51.56C276 49.34 273.5 48 270.9 48H177.1C174.5 48 171.1 49.34 170.5 51.56L151.5 80zM107.5 449.2C108.1 457.5 115.1 464 123.4 464H324.6C332.9 464 339.9 457.5 340.5 449.2L364.3 128H83.69L107.5 449.2z"],
    "trash-clock": [576, 512, [], "e2b0", "M424 80C437.3 80 448 90.75 448 104C448 117.3 437.3 128 424 128H412.4L407.6 193.7C390.2 196.1 373.7 201 358.4 208.1L364.3 128H83.69L107.5 449.2C108.1 457.5 115.1 464 123.4 464H284.5C296.6 482.7 312.2 498.9 330.4 511.7C328.5 511.9 326.5 512 324.6 512H123.4C89.92 512 62.09 486.1 59.61 452.7L35.56 128H24C10.75 128 0 117.3 0 104C0 90.75 10.75 80 24 80H93.82L130.5 24.94C140.9 9.357 158.4 0 177.1 0H270.9C289.6 0 307.1 9.358 317.5 24.94L354.2 80H424zM177.1 48C174.5 48 171.1 49.34 170.5 51.56L151.5 80H296.5L277.5 51.56C276 49.34 273.5 48 270.9 48H177.1zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM415.1 304V368C415.1 376.8 423.2 384 431.1 384H480C488.8 384 496 376.8 496 368C496 359.2 488.8 352 480 352H447.1V304C447.1 295.2 440.8 288 431.1 288C423.2 288 415.1 295.2 415.1 304V304z"],
    "trash-list": [640, 512, [], "e2b1", "M285.5 24.94L322.2 80H392C405.3 80 416 90.75 416 104C416 117.3 405.3 128 392 128H380.4L356.4 452.7C353.9 486.1 326.1 512 292.6 512H123.4C89.92 512 62.09 486.1 59.61 452.7L35.56 128H24C10.75 128 0 117.3 0 104C0 90.75 10.75 80 24 80H93.82L130.5 24.94C140.9 9.357 158.4 0 177.1 0H238.9C257.6 0 275.1 9.358 285.5 24.94V24.94zM151.5 80H264.5L245.5 51.56C244 49.34 241.5 48 238.9 48H177.1C174.5 48 171.1 49.34 170.5 51.56L151.5 80zM107.5 449.2C108.1 457.5 115.1 464 123.4 464H292.6C300.9 464 307.9 457.5 308.5 449.2L332.3 128H83.69L107.5 449.2zM616 128C629.3 128 640 138.7 640 152C640 165.3 629.3 176 616 176H472C458.7 176 448 165.3 448 152C448 138.7 458.7 128 472 128H616zM584 256C597.3 256 608 266.7 608 280C608 293.3 597.3 304 584 304H472C458.7 304 448 293.3 448 280C448 266.7 458.7 256 472 256H584zM448 408C448 394.7 458.7 384 472 384H520C533.3 384 544 394.7 544 408C544 421.3 533.3 432 520 432H472C458.7 432 448 421.3 448 408z"],
    "trash-plus": [448, 512, [], "e2b2", "M200 376V312H136C122.7 312 112 301.3 112 288C112 274.7 122.7 264 136 264H200V200C200 186.7 210.7 176 224 176C237.3 176 248 186.7 248 200V264H312C325.3 264 336 274.7 336 288C336 301.3 325.3 312 312 312H248V376C248 389.3 237.3 400 224 400C210.7 400 200 389.3 200 376zM317.5 24.94L354.2 80H424C437.3 80 448 90.75 448 104C448 117.3 437.3 128 424 128H412.4L388.4 452.7C385.9 486.1 358.1 512 324.6 512H123.4C89.92 512 62.09 486.1 59.61 452.7L35.56 128H24C10.75 128 0 117.3 0 104C0 90.75 10.75 80 24 80H93.82L130.5 24.94C140.9 9.357 158.4 0 177.1 0H270.9C289.6 0 307.1 9.358 317.5 24.94V24.94zM151.5 80H296.5L277.5 51.56C276 49.34 273.5 48 270.9 48H177.1C174.5 48 171.1 49.34 170.5 51.56L151.5 80zM107.5 449.2C108.1 457.5 115.1 464 123.4 464H324.6C332.9 464 339.9 457.5 340.5 449.2L364.3 128H83.69L107.5 449.2z"],
    "trash-slash": [640, 512, [], "e2b3", "M134.4 80H189.8L226.5 24.94C236.9 9.358 254.4 .0003 273.1 .0003H366.9C385.6 .0003 403.1 9.358 413.5 24.94L450.2 80H520C533.3 80 544 90.75 544 104C544 117.3 533.3 128 520 128H508.4L491.3 359.8L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L134.4 80zM195.6 128L445.8 324.1L460.3 128H195.6zM273.1 48C270.5 48 267.1 49.34 266.5 51.56L247.5 80H392.5L373.5 51.56C372 49.34 369.5 48 366.9 48H273.1zM155.6 452.7L137.2 204.1L188.3 244.4L203.5 449.2C204.1 457.5 211.1 464 219.4 464H420.6C428.9 464 435.9 457.5 436.5 449.2L437.2 440.4L479.2 473.6C469.3 496.3 446.7 512 420.6 512H219.4C185.9 512 158.1 486.2 155.6 452.7H155.6z"],
    "trash-undo": [448, 512, ["trash-arrow-turn-left"], "f895", "M225.9 192.1C234.7 201.1 233.9 217.1 223.9 225.9L199.1 248H240C288.6 248 328 287.4 328 336V360C328 373.3 317.3 384 304 384C290.7 384 280 373.3 280 360V336C280 313.9 262.1 296 240 296H199.1L223.9 318.1C233.9 326.9 234.7 342 225.9 351.9C217.1 361.9 201.1 362.7 192.1 353.9L120.1 289.9C114.9 285.4 112 278.9 112 271.1C112 265.1 114.9 258.6 120.1 254.1L192.1 190.1C201.1 181.3 217.1 182.1 225.9 192.1V192.1zM424 80C437.3 80 448 90.75 448 104C448 117.3 437.3 128 424 128H412.4L388.4 452.7C385.9 486.1 358.1 512 324.6 512H123.4C89.92 512 62.09 486.1 59.61 452.7L35.56 128H24C10.75 128 0 117.3 0 104C0 90.75 10.75 80 24 80H93.82L130.5 24.94C140.9 9.357 158.4 0 177.1 0H270.9C289.6 0 307.1 9.358 317.5 24.94L354.2 80H424zM177.1 48C174.5 48 171.1 49.34 170.5 51.56L151.5 80H296.5L277.5 51.56C276 49.34 273.5 48 270.9 48H177.1zM364.3 128H83.69L107.5 449.2C108.1 457.5 115.1 464 123.4 464H324.6C332.9 464 339.9 457.5 340.5 449.2L364.3 128z"],
    "trash-xmark": [448, 512, [], "e2b4", "M143 207C152.4 197.7 167.6 197.7 176.1 207L223.1 254.1L271 207C280.4 197.7 295.6 197.7 304.1 207C314.3 216.4 314.3 231.6 304.1 240.1L257.9 287.1L304.1 335C314.3 344.4 314.3 359.6 304.1 368.1C295.6 378.3 280.4 378.3 271 368.1L223.1 321.9L176.1 368.1C167.6 378.3 152.4 378.3 143 368.1C133.7 359.6 133.7 344.4 143 335L190.1 287.1L143 240.1C133.7 231.6 133.7 216.4 143 207V207zM317.5 24.94L354.2 80H424C437.3 80 448 90.75 448 104C448 117.3 437.3 128 424 128H412.4L388.4 452.7C385.9 486.1 358.1 512 324.6 512H123.4C89.92 512 62.09 486.1 59.61 452.7L35.56 128H24C10.75 128 0 117.3 0 104C0 90.75 10.75 80 24 80H93.82L130.5 24.94C140.9 9.357 158.4 0 177.1 0H270.9C289.6 0 307.1 9.358 317.5 24.94V24.94zM151.5 80H296.5L277.5 51.56C276 49.34 273.5 48 270.9 48H177.1C174.5 48 171.1 49.34 170.5 51.56L151.5 80zM107.5 449.2C108.1 457.5 115.1 464 123.4 464H324.6C332.9 464 339.9 457.5 340.5 449.2L364.3 128H83.69L107.5 449.2z"],
    "treasure-chest": [576, 512, [], "f723", "M448 32H128C57.31 32 0 89.31 0 160v256c0 35.2 28.8 64 64 64h448c35.2 0 64-28.8 64-64V160C576 89.31 518.7 32 448 32zM96 432H64c-8.837 0-16-7.163-16-16V288H96V432zM96 240H48V160c0-32.75 19.75-60.88 48-73.25V240zM432 432h-288V288H224v32c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32V288h80V432zM272 288V256c0-8.875 7.125-16 16-16s16 7.125 16 16v32c0 8.875-7.125 16-16 16S272 296.9 272 288zM432 240H352V224c0-17.67-14.33-32-32-32H256C238.3 192 224 206.3 224 224v16H144v-160h288V240zM512 432h-32V288h48v128C528 424.8 520.8 432 512 432zM528 240H480V86.75C508.3 99.12 528 127.2 528 160V240z"],
    "tree": [448, 512, [127794], "f1bb", "M434.7 357.9l-35.73-41.22c6.688-4.938 12.17-11.53 15.84-19.47c8.297-17.88 5.516-38.34-7.297-53.53l-31.03-36.44c4.578-4.156 8.297-9.25 10.84-15.03c6.922-15.75 3.875-33.53-7.938-46.38l-120.4-130.8C250.1 5.469 237.4 0 224 0S197.9 5.5 189.1 15.03L68.77 145.8C56.97 158.7 53.94 176.5 60.86 192.2C63.39 198 67.09 203.1 71.66 207.2L40.5 243.8C27.75 258.9 24.98 279.4 33.28 297.2C36.97 305.2 42.44 311.8 49.11 316.7l-35.7 41.22c-14.22 16.38-17.44 38.84-8.406 58.63C13.86 435.9 32.47 448 53.58 448h146.7l.0391 40.03C200.3 501.3 210.9 512 224.1 512c0 0-.0156 0 0 0c13.25 0 24.2-10.78 24.18-24.03L248.3 448h146.1c21.11 0 39.73-12.06 48.59-31.47C452 396.7 448.8 374.3 434.7 357.9zM399.3 396.6C398.3 398.8 396.6 400 394.4 400h-146.2l-.0215-22.25l40.78-40.78c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0l-6.908 6.908L248 183.1c-.0156-13.25-10.75-23.97-24-23.97c0 0 .0156 0 0 0c-13.25 0-24.01 10.79-23.1 24.04l.0449 46.08L192.1 223c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L200.1 298L200.2 400H53.58c-2.234 0-3.875-1.125-4.906-3.375c-.6875-1.5-1.469-4.438 1-7.281l96.02-110.8H79.55l85.66-107.2H110.4L223.6 47.53l114 123.9h-54.72l85.56 107.2h-66.13l96.02 110.8C400.8 392.1 400 395.1 399.3 396.6z"],
    "tree-christmas": [512, 512, [127876], "f7db", "M232 256.1c-13.25 0-24 10.75-24 24s10.75 24 24 24s24-10.75 24-24S245.3 256.1 232 256.1zM502.1 434.9l-66.5-87c10.62-4.75 19.38-13.25 24.25-24.38c7.75-17.38 4.375-37.63-8.375-51.63l-129.4-143.5l-11.8 5.926l-17.11 34.07l122.8 135.7h-74.37l122.4 160H48l122.4-160H96l122.8-135.7L201.7 134.3L189.9 128.4L60.5 271.9c-12.75 14-16.12 34.25-8.375 51.63c4.875 11.12 13.62 19.62 24.25 24.38l-66.5 87c-11.12 14.5-13 34.13-4.875 50.5S29.75 512 48 512H463.1c18.25 0 34.88-10.38 43-26.62C515.1 469 513.2 449.4 502.1 434.9zM336 376.1c0-13.25-10.75-24-24-24s-24 10.75-24 24s10.75 24 24 24S336 389.4 336 376.1zM181 88.15l44.48 22.35l22.35 44.48C249.5 158.3 252.8 160 255.1 160s6.465-1.677 8.149-5.027L286.5 110.5l44.48-22.35c6.701-3.365 6.701-12.93 0-16.3L286.5 49.51l-22.35-44.48c-3.367-6.701-12.93-6.701-16.3 0L225.5 49.51L181 71.85C174.3 75.22 174.3 84.78 181 88.15z"],
    "tree-city": [640, 512, [], "e587", "M336 488C336 501.3 325.3 512 312 512C298.7 512 288 501.3 288 488V56C288 25.07 313.1 0 344 0H456C486.9 0 512 25.07 512 56V192H544V120C544 106.7 554.7 96 568 96C581.3 96 592 106.7 592 120V192.6C619.1 196.4 640 219.8 640 248V488C640 501.3 629.3 512 616 512C602.7 512 592 501.3 592 488V248C592 243.6 588.4 240 584 240H464V56C464 51.58 460.4 48 456 48H344C339.6 48 336 51.58 336 56V488zM368 96C368 87.16 375.2 80 384 80H416C424.8 80 432 87.16 432 96V128C432 136.8 424.8 144 416 144H384C375.2 144 368 136.8 368 128V96zM416 176C424.8 176 432 183.2 432 192V224C432 232.8 424.8 240 416 240H384C375.2 240 368 232.8 368 224V192C368 183.2 375.2 176 384 176H416zM368 288C368 279.2 375.2 272 384 272H416C424.8 272 432 279.2 432 288V320C432 328.8 424.8 336 416 336H384C375.2 336 368 328.8 368 320V288zM544 272C552.8 272 560 279.2 560 288V320C560 328.8 552.8 336 544 336H512C503.2 336 496 328.8 496 320V288C496 279.2 503.2 272 512 272H544zM496 384C496 375.2 503.2 368 512 368H544C552.8 368 560 375.2 560 384V416C560 424.8 552.8 432 544 432H512C503.2 432 496 424.8 496 416V384zM224 160C224 166 223 171 222 176C242 190 256 214 256 240C256 285 220 320 176 320H160V480C160 498 145 512 128 512C110 512 96 498 96 480V320H80C35 320 0 285 0 240C0 214 13 190 33 176C32 171 32 166 32 160C32 107 74 64 128 64C181 64 224 107 224 160z"],
    "tree-deciduous": [512, 512, [127795, "tree-alt"], "f400", "M493.3 216c-6.641-9.656-18.14-19.12-28.06-26.25c3.547-12.28 4.422-24.84 2.578-37.53c-2.891-19.91-11.28-37.28-24.95-51.63c-13.53-14.19-30.17-23.69-49.47-28.22c-10.94-2.625-21.89-3.25-32.89-1.781c-6.141-16.25-16.25-30.59-30.23-42.81C309.1 9.344 284.2 0 256 0S202.9 9.344 181.8 27.81C167.8 40.03 157.7 54.38 151.5 70.63C140.5 69.19 129.6 69.78 118.6 72.41C99.33 76.94 82.69 86.44 69.16 100.6C55.48 114.1 47.09 132.3 44.2 152.3c-1.781 12.22-.9531 24.25 2.422 36C35.67 195.7 26.34 204.9 18.72 216C6.297 234.1 0 254.3 0 276c0 29.97 11 55.78 32.69 76.75C54.14 373.5 80.48 384 111 384h121.2l.0918 104C232.3 501.3 242.9 512 256.1 512c0 0-.0156 0 0 0c13.25 0 24.21-10.78 24.19-24.03L280.2 384H401c30.52 0 56.86-10.5 78.31-31.25C501 331.8 512 305.1 512 276C512 254.3 505.7 234.1 493.3 216zM445.9 318.3C433.6 330.2 418.9 336 401 336h-120.8l-.0059-6.219l56.81-56.81c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0l-22.93 22.93L280 151.1c-.0156-13.25-10.76-23.97-24.01-23.97c0 0 .0156 0 0 0c-13.25 0-24.01 10.79-23.99 24.04l.0547 62.09L208.1 191c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94l57.08 57.08L232.2 336H111c-17.89 0-32.58-5.812-44.94-17.75C53.91 306.5 48 292.7 48 276c0-12 3.359-22.72 10.28-32.78c6.875-10 16.05-17.19 28-21.91l26.47-10.44L97.98 186.5C92.42 177.4 90.36 168.4 91.7 159.1c1.453-10 5.438-18.28 12.2-25.38C111 126.3 119.4 121.5 129.7 119.1c3.406-.8125 6.828-1.219 10.25-1.219c6.453 0 12.95 1.406 19.66 4.281l29.75 12.72l3.547-32.16C194.6 87.19 201.3 74.5 213.3 63.94c24.53-21.44 60.78-21.44 85.31 0c12.08 10.56 18.78 23.25 20.48 38.81l3.547 32.16l29.75-12.72c10.27-4.375 20.06-5.375 29.91-3.062c10.23 2.406 18.66 7.188 25.75 14.62c6.766 7.094 10.75 15.38 12.2 25.38c1.375 9.5-.5313 18.72-5.812 28.19l-11.44 20.5l20.27 11.91c11.53 6.75 26.5 17.81 30.41 23.5C460.6 253.3 464 264 464 276C464 292.7 458.1 306.5 445.9 318.3z"],
    "tree-decorated": [512, 512, [], "f7dc", "M500.2 432.6l-46.49-53.75c9.123-4.625 16.75-12.12 21.5-21.75c7.998-16.5 5.873-36.25-5.5-50.63l-56.11-71.5c9.873-5 17.87-13.25 22.49-23.88c7.625-17.62 4-38-9.248-52l-135.1-144C281.7 5.375 269.3 0 256 0S230.3 5.375 221.1 15l-135.1 144c-13.25 13.88-16.87 34.38-9.248 52c4.623 10.62 12.62 18.88 22.49 23.88l-56.11 71.5c-11.5 14.38-13.5 34.13-5.5 50.63c4.75 9.625 12.37 17.25 21.5 21.75L11.79 432.5c-12.37 14.25-15.25 34.25-7.498 51.38C12.17 501 29.29 512 48.04 512h415.9c18.75 0 35.87-11 43.74-28.12C515.5 466.8 512.6 446.8 500.2 432.6zM48.04 464l110.9-128H80.03L193.1 192h-73.11L256 48L391.1 192h-73.11l113.1 144h-78.86l110.9 128H48.04zM192 264c-13.25 0-23.1 10.74-23.1 24c0 13.25 10.74 24 23.1 24s23.1-10.75 23.1-24C215.1 274.7 205.3 264 192 264zM320 392c-13.25 0-23.1 10.74-23.1 24c0 13.25 10.74 24 23.1 24s23.1-10.75 23.1-24C343.1 402.7 333.3 392 320 392zM311.1 160c0-13.26-10.74-24-23.1-24s-23.1 10.74-23.1 24c0 13.25 10.74 24 23.1 24S311.1 173.3 311.1 160z"],
    "tree-large": [512, 512, [], "f7dd", "M500.2 432.6l-46.49-53.75c9.123-4.625 16.75-12.12 21.5-21.75c7.999-16.5 5.874-36.25-5.499-50.63L413.6 235c9.873-4.1 17.87-13.25 22.5-23.88c7.624-17.62 3.999-38-9.248-52l-135.1-144C281.7 5.375 269.3 0 256 0c-13.25 0-25.77 5.375-34.89 15l-135.1 144c-13.25 13.88-16.87 34.38-9.248 52c4.624 10.62 12.62 18.88 22.5 23.88L42.29 306.4C30.79 320.8 28.79 340.5 36.79 357c4.749 9.625 12.37 17.25 21.5 21.75L11.79 432.5c-12.37 14.25-15.25 34.25-7.499 51.38C12.17 501 29.29 512 48.04 512h415.9c18.75 0 35.87-11 43.74-28.12C515.5 466.8 512.6 446.8 500.2 432.6zM48.04 464l110.9-128H80.03L193.1 192H120L256 48L391.1 192h-73.11l113.1 144h-78.86l110.9 128H48.04z"],
    "tree-palm": [576, 512, [127796], "f82b", "M416.7 63.1c-39.37 0-74.1 11.75-102.1 30.5C295.1 40.13 233.4 0 159.3 0C78.63 0 11.89 47.25 .2633 108.9C-1.612 118.7 6.763 127.1 18.01 127.1l45.99 0l32.01-47.1l33.5 66.87c-3.625 3.125-7.375 5.75-10.75 9.125C61.76 212.1 48.01 293.6 83.38 345.4c5.75 8.375 18.12 9 26.12 1L234.4 221.5c2.125 99.12-20.87 196.2-32.87 239.1c-6.1 25.12 11.62 50.5 38.12 50.5h90.37c19.62 .125 36.25-14.12 39.37-33.5c16.87-104.9-1.75-217.1-17.5-286.5h64.12l31.1-47.1l31.1 47.1l77.1 .0002c11.25 0 19.62-9.25 17.75-19.12C564.1 111.2 497.4 63.1 416.7 63.1zM322.1 463.1h-72.5c14.37-54.5 37.75-163.7 30.25-271.1h21.75C317.2 253.6 337.5 363.9 322.1 463.1z"],
    "trees": [640, 512, [], "f724", "M626.6 357.9l-35.73-41.22c6.686-4.938 12.17-11.53 15.84-19.47c8.295-17.88 5.514-38.34-7.295-53.53l-31.02-36.44c4.578-4.156 8.295-9.25 10.84-15.03c6.92-15.75 3.873-33.53-7.936-46.38l-120.4-130.8C442.1 5.469 429.4 0 416 0s-26.13 5.5-34.88 15.03l-39.35 42.78l32.34 35.14l41.48-45.42l114 123.9h-54.71l85.54 107.2h-66.11l95.99 110.8c2.422 2.781 1.625 5.75 .9375 7.25C590.2 398.8 588.6 400 586.3 400h-138.9c1.816-15.02-2.506-30.18-12.83-42.09l-35.73-41.22c6.686-4.938 12.17-11.53 15.84-19.47c8.295-17.88 5.514-38.34-7.295-53.53l-31.02-36.44c4.578-4.156 8.295-9.25 10.84-15.03c6.92-15.75 3.873-33.53-7.936-46.38L258.9 15.03C250.1 5.469 237.4 0 224 0S197.9 5.5 189.1 15.03L68.81 145.8C57.01 158.7 53.98 176.5 60.9 192.2C63.43 198 67.13 203.1 71.7 207.2L40.55 243.8C27.8 258.9 25.04 279.4 33.33 297.2c3.688 7.938 9.154 14.56 15.82 19.47l-35.69 41.22c-14.21 16.38-17.43 38.84-8.404 58.63C13.91 435.9 32.52 448 53.62 448h146.6l.0391 40.03C200.3 501.3 211.1 512 224.3 512c0 0-.0156 0 0 0c13.25 0 23.99-10.78 23.98-24.03L248.3 448h144l.0059 40.03C392.3 501.3 403.1 512 416.3 512c0 0-.0156 0 0 0c13.25 0 23.99-10.78 23.98-24.03L440.3 448h146.1c21.1 0 39.72-12.06 48.58-31.47C643.1 396.7 640.8 374.3 626.6 357.9zM248.2 400l-.0215-22.25l40.77-40.78c9.373-9.375 9.373-24.56 0-33.94c-9.371-9.375-24.55-9.375-33.93 0L248.1 309.9L247.1 183.1C247.1 170.7 237.2 160 223.1 160c0 0 .0156 0 0 0C210.7 160 199.1 170.8 200 184l.0449 46.08L192.1 223c-9.373-9.375-24.56-9.375-33.93 0s-9.373 24.56 0 33.94l41.07 41.08L200.1 400H53.62c-2.234 0-3.875-1.125-4.906-3.375c-.6855-1.5-1.467-4.438 1-7.281l95.99-110.8H79.58l85.63-107.2H110.5L223.6 47.53l114 123.9H282.9l85.54 107.2H302.3l95.99 110.8c2.422 2.781 1.625 5.75 .9375 7.25C398.2 398.8 396.6 400 394.3 400H248.2z"],
    "triangle": [512, 512, [9650], "f2ec", "M256 32C270.2 32 283.3 39.52 290.5 51.75L506.5 419.8C513.8 432.1 513.8 447.4 506.7 459.9C499.6 472.3 486.3 480 472 480H40C25.66 480 12.41 472.3 5.287 459.9C-1.839 447.4-1.756 432.1 5.503 419.8L221.5 51.75C228.7 39.52 241.8 32 256 32V32zM256 87.8L53.97 432H458L256 87.8zM262.9 76.06C262.9 76.06 262.9 76.07 262.9 76.06V76.06zM262.9 76.06L256 72z"],
    "triangle-exclamation": [512, 512, [9888, "exclamation-triangle", "warning"], "f071", "M506.3 417l-213.3-364C284.8 39 270.4 32 256 32C241.6 32 227.2 39 218.1 53l-213.2 364C-10.59 444.9 9.851 480 42.74 480h426.6C502.1 480 522.6 445 506.3 417zM52.58 432L255.1 84.8L459.4 432H52.58zM256 337.1c-17.36 0-31.44 14.08-31.44 31.44c0 17.36 14.11 31.44 31.48 31.44s31.4-14.08 31.4-31.44C287.4 351.2 273.4 337.1 256 337.1zM232 184v96C232 293.3 242.8 304 256 304s24-10.75 24-24v-96C280 170.8 269.3 160 256 160S232 170.8 232 184z"],
    "triangle-instrument": [512, 512, ["triangle-music"], "f8e2", "M255.1 263.9c-24.75-.375-46.1 15.47-54.75 39.09c-7.624 23.62 .8755 49.5 21.12 63.87c20.25 14.5 47.5 13.1 67.24-1.125c19.87-14.1 27.5-41.13 18.1-64.5l196.3-196.3c9.352-9.352 9.393-24.5 .0937-33.91c-9.314-9.419-24.6-9.461-33.97-.0938l-196.3 196.3C268.7 265.1 262.4 264 255.1 263.9zM497.8 368.1l-80.4-130.3l-34.89 34.81l74.49 120.7c8.999 14.5 9.374 31.25 1.125 46.12c-8.624 15.25-24.87 24.62-42.25 24.5H96.14c-17.37 .125-33.5-9.25-42.12-24.37c-8.374-14.87-7.999-31.75 .9999-46.25L214.9 134.4c8.749-14.25 24.37-22.75 41.12-22.62c17.25 0 32.25 8.25 41.12 22.62l24.87 40.37l34.87-34.87L337.1 109.3c-12.1-21.25-33.87-36.59-57.1-42.59V23.95C279.1 10.73 269.2 0 255.1 0S232 10.73 232 23.95v42.79c-24.12 6-45.01 21.44-58.01 42.56l-159.8 258.8c-18.12 28.87-19.06 65.19-2.187 94.81c16.75 29.1 49.1 49.06 84.09 49.06h319.8c34.87 .125 67.13-18.75 84.13-49.12C516.7 432.1 516 397.5 497.8 368.1z"],
    "triangle-person-digging": [640, 512, ["construction"], "f85d", "M324 215.1c15.5 0 27.1-12.5 27.1-27.1S339.5 159.1 324 159.1S296 172.5 296 187.1S308.5 215.1 324 215.1zM305.4 356.4L222.4 302.7l-29.75 108.1c-.4001 1.453-.5909 2.91-.5909 4.339c0 5.207 3.847 15.91 15.97 15.91c7.25 0 13.5-4.875 15.37-11.75l18.25-66.1l46.37 29.1v32.75c0 8.875 7.119 15.88 15.99 15.88c8.875 0 16-7.002 16-15.88v-32.75C320 372.4 314.5 362.2 305.4 356.4zM440.4 347.1l-13.1 20.87l-68.12-41.1l-10.5-52.75c-3.75-18.62-18.12-33.25-35.5-37.12L287.6 228.9C284.1 228.1 280.6 227.7 277.1 227.7c-14.86 0-29.13 6.92-38.24 19.17L227.3 262.2C225.1 265.1 224 268.6 224 272c0 8.456 6.174 12.58 7.616 13.46l174.7 107.6l-21.67-.0023c-8.004 0-15.11 4.971-17.95 12.5l-9.125 26.37h163.9l-54.37-84.62c-2.875-4.5-7.875-7.25-13.25-7.375C448.5 339.1 443.4 342.6 440.4 347.1zM631.1 427.9L367.4 25.25c-10.62-15.75-28.38-25.25-47.38-25.25S283.3 9.5 272.6 25.25L8.903 427.9C2.987 436.7 0 446.1 0 457.2c0 8.788 2.205 17.59 6.653 25.56C16.47 500.8 35.44 512 55.94 512h528.2C599 512 640 499.9 640 457.3C640 447 637 436.7 631.1 427.9zM591.1 457.2c0 3.198-3.167 6.82-8.221 6.82H56.28c-4.98 0-8.178-3.515-8.178-6.736c0-1.087 .316-2.187 .928-3.139L312.8 51.5C314.5 49.25 317.3 47.1 320 47.1c2.875 0 5.5 1.25 7.25 3.5l263.7 402.7C591.7 455.1 591.1 456.1 591.1 457.2z"],
    "trillium": [512, 512, [], "e588", "M296 240C296 262.1 278.1 280 256 280C233.9 280 216 262.1 216 240C216 217.9 233.9 200 256 200C278.1 200 296 217.9 296 240zM235.3 16.24C247 5.248 265 5.248 276.8 16.24C288.9 27.57 309.9 48.76 327.1 75.06C345.8 101 362.2 133.1 362.2 168.4C362.2 175.8 361.4 182.9 359.1 189.9C367.2 192.1 374.3 195.2 381.2 199.1C411.1 216.3 431.6 246.7 445.4 275.1C459.3 303.7 467.2 332.4 471.1 348.5C474.8 364.4 465.6 380 450.1 384.7C434.2 389.4 405.2 396.9 373.3 399.2C341.8 401.6 305 399.2 275.1 382C268.1 377.1 261.7 373.3 255.1 368C250.2 373.3 243.8 378 236.8 382C206.9 399.2 170.1 401.6 138.6 399.3C106.7 396.9 77.75 389.4 61.76 384.7C46.26 380 37.06 364.4 40.83 348.5C44.67 332.4 52.65 303.7 66.55 275.1C80.28 246.8 100.8 216.3 130.7 199.1C137.6 195.2 144.8 192.1 152.1 189.8C150.6 182.9 149.8 175.7 149.8 168.4C149.8 133.1 166.2 101 184.1 75.06C202.1 48.76 223.1 27.57 235.3 16.24V16.24zM335.7 233.5C325.8 232.3 317.1 226.5 312.1 217.9C307 209.3 306.3 198.9 310 189.7C312.7 183.1 314.2 175.1 314.2 168.4C314.2 148.3 304.2 125.2 288.4 102.2C277.9 86.91 265.1 73.37 256 63.12C246.1 73.37 234.2 86.91 223.6 102.2C207.8 125.2 197.8 148.3 197.8 168.4C197.8 175.1 199.3 183.1 201.1 189.7C205.7 198.9 204.1 209.3 199.1 217.9C194.9 226.5 186.2 232.3 176.3 233.5C168.9 234.4 161.5 236.8 154.6 240.8C137 250.9 121.8 271.1 109.7 296C101.7 312.6 95.87 329.5 91.9 343.1C105.8 346.5 123.6 349.1 142.2 351.4C170.1 353.5 195.3 350.5 212.9 340.4C220 336.3 225.8 331.1 230.4 325C236.4 316.1 245.9 312.3 255.1 312.3C266 312.3 275.5 316.1 281.5 325C286.1 331.1 291.9 336.3 298.1 340.4C316.6 350.5 341.8 353.4 369.7 351.4C388.3 349.1 406.1 346.5 420 343.1C416 329.5 410.2 312.6 402.2 296C390.1 271 374.9 250.9 357.3 240.8C350.4 236.8 343.1 234.4 335.7 233.5L335.7 233.5zM132.8 123.4C129.8 135.2 127.1 147.5 127.1 160C127.1 166.2 128.4 172.3 129.3 178.3C121.5 180.1 113.9 184.4 106.6 188.7C96.67 194.4 87.72 201.3 79.62 208.9C50.95 182.7 37.57 157.6 31.98 144.3C26.17 130.5 34.96 115.3 49.85 113.4C64.56 111.5 94.21 110.6 132.8 123.4H132.8zM382.7 178.4C383.6 172.4 384 166.2 384 160C384 147.5 382.2 135.2 379.2 123.4C417.8 110.6 447.4 111.5 462.1 113.4C477 115.3 485.8 130.5 480 144.3C474.4 157.6 461 182.7 432.3 208.1C424.2 201.3 415.2 194.4 405.3 188.7C397.1 184.4 390.4 181 382.7 178.4V178.4zM237.1 497.1C228.7 484.5 214.2 458.9 206.1 422.8C215.9 419.7 225.4 415.6 234.6 410.4C242.3 405.9 249.5 400.7 255.9 394.9C262.4 400.7 269.5 405.9 277.3 410.4C286.4 415.7 296.1 419.8 305.9 422.9C297.7 458.1 283.3 484.5 274.9 497.1C265.8 510.8 246.2 510.8 237.1 497.1V497.1z"],
    "trophy": [576, 512, [127942], "f091", "M572.1 82.38C569.5 71.59 559.8 64 548.7 64h-100.8c.2422-12.45 .1078-23.7-.1559-33.02C447.3 13.63 433.2 0 415.8 0H160.2C142.8 0 128.7 13.63 128.2 30.98C127.1 40.3 127.8 51.55 128.1 64H27.26C16.16 64 6.537 71.59 3.912 82.38C3.1 85.78-15.71 167.2 37.07 245.9c37.44 55.82 100.6 95.03 187.5 117.4c18.7 4.805 39.42 22.23 39.42 41.54c0 .0078 0-.0078 0 0L264 464H184c-13.25 0-23.1 10.75-23.1 24S170.8 512 184 512h207.1c13.25 0 23.1-10.75 23.1-24s-10.75-24-23.1-24h-79.1v-59.24c.0313-19.29 20.72-36.68 39.41-41.48c86.96-22.34 150.1-61.55 187.5-117.4C591.7 167.2 572.9 85.78 572.1 82.38zM77.41 219.8C49.47 178.6 47.01 135.7 48.38 112h80.39c5.359 59.62 20.35 131.1 57.67 189.1C137.4 281.6 100.9 254.4 77.41 219.8zM288 352C232.3 289.7 175.7 230.9 176 48h223.1C400.3 230.8 343.7 289.6 288 352zM498.6 219.8c-23.44 34.6-59.94 61.75-109 81.22C426.9 243.1 441.9 171.6 447.2 112h80.39C528.1 135.7 526.5 178.7 498.6 219.8z"],
    "trophy-star": [576, 512, ["trophy-alt"], "f2eb", "M357.8 142.6c-1.062-3.312-3.844-5.688-7.312-6.219l-37.38-5.438l-16.75-33.91c-3.062-6.219-13.16-6.25-16.22-.0313L263.3 130.1l-37.5 5.469c-3.438 .5-6.25 2.875-7.312 6.156C217.5 145.9 218.3 149.5 220.8 151.9L247.9 178.2L241.5 215.6C240.9 218.1 242.3 222.3 245.2 224.4c2.75 2.031 6.438 2.281 9.5 .6875l33.47-17.59l33.5 17.62c1.312 .6875 2.75 1.031 4.188 1.031c1.875 0 3.75-.5938 5.344-1.781c2.812-2.031 4.156-5.406 3.562-8.812l-6.375-37.31l27.09-26.38C357.9 149.4 358.8 145.9 357.8 142.6zM572.1 82.38C569.5 71.59 559.8 64 548.7 64h-100.8c.2422-12.45 .1077-23.7-.156-33.02C447.3 13.63 433.2 0 415.8 0H160.2C142.8 0 128.7 13.63 128.2 30.98C127.1 40.3 127.8 51.55 128.1 64H27.26C16.16 64 6.537 71.59 3.912 82.38C3.1 85.78-15.71 167.2 37.07 245.9c37.44 55.82 100.6 95.03 187.5 117.4c18.7 4.805 39.42 22.23 39.42 41.54c0 .0078 0-.0078 0 0L264 464h-79.1c-13.25 0-24 10.75-24 24s10.75 24 24 24h207.1c13.25 0 24-10.75 24-24s-10.75-24-24-24h-79.1v-59.24c.0313-19.29 20.73-36.68 39.41-41.48c86.96-22.34 150.1-61.55 187.5-117.4C591.7 167.2 572.9 85.78 572.1 82.38zM77.41 219.8C49.48 178.6 47.01 135.7 48.38 112h80.39c5.359 59.62 20.35 131.1 57.67 189.1C137.4 281.6 100.9 254.4 77.41 219.8zM288 352c-55.71-62.32-112.3-121.1-111.1-304h223.1C400.3 230.8 343.7 289.6 288 352zM498.6 219.8c-23.44 34.6-59.94 61.75-109 81.22C426.9 243.1 441.9 171.6 447.2 112h80.39C528.1 135.7 526.5 178.7 498.6 219.8z"],
    "trowel": [512, 512, [], "e589", "M491.8 20.18C518.7 47.1 518.7 90.73 491.8 117.6L396.4 213.1C381.8 227.6 358.2 227.6 343.6 213.1L338.2 207.7L237.9 308L312.1 383C318.9 388.9 321.3 397.5 319.3 405.6C317.4 413.7 311.3 420.3 303.4 422.8L31.39 510.8C22.81 513.6 13.4 511.3 7.03 504.1C.6563 498.6-1.609 489.2 1.166 480.6L89.17 208.6C91.74 200.7 98.26 194.6 106.4 192.7C114.5 190.7 123.1 193.1 128.1 199L204 274.1L304.3 173.8L298.9 168.4C284.4 153.8 284.4 130.2 298.9 115.6L394.4 20.18C421.3-6.728 464.9-6.728 491.8 20.18L491.8 20.18zM340.4 142L369.1 171.6L457.9 83.7C466 75.53 466 62.29 457.9 54.12C449.7 45.96 436.5 45.96 428.3 54.12L340.4 142zM122.8 260.7L61.29 450.7L251.3 389.2L122.8 260.7z"],
    "trowel-bricks": [512, 512, [], "e58a", "M240.8 4.779C250.3 10.61 256 20.91 256 32V104H345C348.6 90.2 361.1 80 376 80H464C490.5 80 512 101.5 512 128C512 154.5 490.5 176 464 176H376C361.1 176 348.6 165.8 345 152H256V224C256 235.1 250.3 245.4 240.8 251.2C231.4 257.1 219.6 257.6 209.7 252.6L17.69 156.6C6.848 151.2 0 140.1 0 128C0 115.9 6.848 104.8 17.69 99.38L209.7 3.378C219.6-1.581 231.4-1.051 240.8 4.779V4.779zM336 224H464C490.5 224 512 245.5 512 272V376C512 377.3 511.9 378.7 511.8 380C511.9 381.3 512 382.7 512 384V464C512 490.5 490.5 512 464 512H48C21.49 512 0 490.5 0 464V384C0 357.5 21.49 336 48 336H288V272C288 245.5 309.5 224 336 224zM256 384V464H464V384H256zM208 384H48V464H208V384zM464 272H336V336H464V272z"],
    "truck": [640, 512, [128666, 9951], "f0d1", "M256 416C256 469 213 512 160 512C106.1 512 64 469 64 416C28.65 416 0 387.3 0 352V64C0 28.65 28.65 0 64 0H352C387.3 0 416 28.65 416 64V96H458.7C473.6 96 487.8 101.9 498.3 112.4L591.6 205.7C602.1 216.2 608 230.4 608 245.3V368H616C629.3 368 640 378.7 640 392C640 405.3 629.3 416 616 416H576C576 469 533 512 480 512C426.1 512 384 469 384 416H256zM352 48H64C55.16 48 48 55.16 48 64V352C48 360.8 55.16 368 64 368H76.84C93.44 339.3 124.5 320 160 320C195.5 320 226.6 339.3 243.2 368H352C360.8 368 368 360.8 368 352V64C368 55.16 360.8 48 352 48zM464.4 146.3C462.9 144.8 460.9 144 458.7 144H416V240H558C557.9 239.9 557.8 239.7 557.7 239.6L464.4 146.3zM160 368C133.5 368 112 389.5 112 416C112 442.5 133.5 464 160 464C186.5 464 208 442.5 208 416C208 389.5 186.5 368 160 368zM480 464C506.5 464 528 442.5 528 416C528 389.5 506.5 368 480 368C453.5 368 432 389.5 432 416C432 442.5 453.5 464 480 464z"],
    "truck-arrow-right": [640, 512, [], "e58b", "M320.1 175C330.3 184.4 330.3 199.6 320.1 208.1L240.1 288.1C231.6 298.3 216.4 298.3 207 288.1C197.7 279.6 197.7 264.4 207 255L246.1 216H112C98.75 216 88 205.3 88 192C88 178.7 98.75 168 112 168H246.1L207 128.1C197.7 119.6 197.7 104.4 207 95.03C216.4 85.66 231.6 85.66 240.1 95.03L320.1 175zM480 512C426.1 512 384 469 384 416H256C256 469 213 512 160 512C106.1 512 64 469 64 416C28.65 416 0 387.3 0 352V64C0 28.65 28.65 0 64 0H352C387.3 0 416 28.65 416 64V96H458.7C473.6 96 487.8 101.9 498.3 112.4L591.6 205.7C602.1 216.2 608 230.4 608 245.3V368H616C629.3 368 640 378.7 640 392C640 405.3 629.3 416 616 416H576C576 469 533 512 480 512H480zM48 64V352C48 360.8 55.16 368 64 368H76.84C93.44 339.3 124.5 320 160 320C195.5 320 226.6 339.3 243.2 368H352C360.8 368 368 360.8 368 352V64C368 55.16 360.8 48 352 48H64C55.16 48 48 55.16 48 64zM558 240C557.9 239.9 557.8 239.7 557.7 239.6L464.4 146.3C462.9 144.8 460.9 144 458.7 144H416V240L558 240zM160 464C186.5 464 208 442.5 208 416C208 389.5 186.5 368 160 368C133.5 368 112 389.5 112 416C112 442.5 133.5 464 160 464zM480 368C453.5 368 432 389.5 432 416C432 442.5 453.5 464 480 464C506.5 464 528 442.5 528 416C528 389.5 506.5 368 480 368z"],
    "truck-bolt": [640, 512, [], "e3d0", "M267.2 84.58C272.5 89.77 273.5 97.89 269.7 104.2L236.3 160H287.1C295.1 160 301.4 164.7 303.4 171.6C305.3 178.5 302.5 185.8 296.5 189.6L168.5 269.6C162.2 273.5 154.1 272.6 148.8 267.4C143.5 262.2 142.5 254.1 146.3 247.8L179.7 192H128C120.9 192 114.6 187.3 112.6 180.4C110.7 173.5 113.5 166.2 119.5 162.4L247.5 82.43C253.8 78.51 261.9 79.4 267.2 84.58H267.2zM256 416C256 469 213 512 160 512C106.1 512 64 469 64 416C28.65 416 0 387.3 0 352V64C0 28.65 28.65 0 64 0H352C387.3 0 416 28.65 416 64V96H458.7C473.6 96 487.8 101.9 498.3 112.4L591.6 205.7C602.1 216.2 608 230.4 608 245.3V368H616C629.3 368 640 378.7 640 392C640 405.3 629.3 416 616 416H576C576 469 533 512 480 512C426.1 512 384 469 384 416H256zM352 48H64C55.16 48 48 55.16 48 64V352C48 360.8 55.16 368 64 368H76.84C93.44 339.3 124.5 320 160 320C195.5 320 226.6 339.3 243.2 368H352C360.8 368 368 360.8 368 352V64C368 55.16 360.8 48 352 48zM464.4 146.3C462.9 144.8 460.9 144 458.7 144H416V240H558C557.9 239.9 557.8 239.7 557.7 239.6L464.4 146.3zM160 368C133.5 368 112 389.5 112 416C112 442.5 133.5 464 160 464C186.5 464 208 442.5 208 416C208 389.5 186.5 368 160 368zM480 464C506.5 464 528 442.5 528 416C528 389.5 506.5 368 480 368C453.5 368 432 389.5 432 416C432 442.5 453.5 464 480 464z"],
    "truck-clock": [640, 512, ["shipping-timed"], "f48c", "M320 192C320 253.9 269.9 304 208 304C146.1 304 96 253.9 96 192C96 130.1 146.1 80 208 80C269.9 80 320 130.1 320 192zM192 144V192C192 200.8 199.2 208 208 208H240C248.8 208 256 200.8 256 192C256 183.2 248.8 176 240 176H224V144C224 135.2 216.8 128 208 128C199.2 128 192 135.2 192 144zM480 512C426.1 512 384 469 384 416H256C256 469 213 512 160 512C106.1 512 64 469 64 416C28.65 416 0 387.3 0 352V64C0 28.65 28.65 0 64 0H352C387.3 0 416 28.65 416 64V96H458.7C473.6 96 487.8 101.9 498.3 112.4L591.6 205.7C602.1 216.2 608 230.4 608 245.3V368H616C629.3 368 640 378.7 640 392C640 405.3 629.3 416 616 416H576C576 469 533 512 480 512H480zM48 64V352C48 360.8 55.16 368 64 368H76.84C93.44 339.3 124.5 320 160 320C195.5 320 226.6 339.3 243.2 368H352C360.8 368 368 360.8 368 352V64C368 55.16 360.8 48 352 48H64C55.16 48 48 55.16 48 64zM558 240C557.9 239.9 557.8 239.7 557.7 239.6L464.4 146.3C462.9 144.8 460.9 144 458.7 144H416V240L558 240zM160 464C186.5 464 208 442.5 208 416C208 389.5 186.5 368 160 368C133.5 368 112 389.5 112 416C112 442.5 133.5 464 160 464zM480 368C453.5 368 432 389.5 432 416C432 442.5 453.5 464 480 464C506.5 464 528 442.5 528 416C528 389.5 506.5 368 480 368z"],
    "truck-container": [640, 512, [], "f4dc", "M0 104C0 64.24 32.24 32 72 32H328C367.8 32 400 64.24 400 104V288C400 301.3 389.3 312 376 312C362.7 312 352 301.3 352 288V104C352 90.75 341.3 80 328 80H72C58.75 80 48 90.75 48 104V288C48 301.3 37.25 312 24 312C10.75 312 0 301.3 0 288V104zM608 400C608 444.2 572.2 480 528 480C483.8 480 448 444.2 448 400H288C288 444.2 252.2 480 208 480C181.8 480 158.6 467.4 144 448C129.4 467.4 106.2 480 80 480C35.82 480 0 444.2 0 400C0 355.8 35.82 320 80 320C106.2 320 129.4 332.6 144 351.1C158.6 332.6 181.8 320 208 320C234.2 320 257.4 332.6 272 352H432V168C432 154.7 442.7 144 456 144H528.8C545.6 144 561.5 151.5 572.2 164.5L630.1 236.4C636.8 243.5 640 252.5 640 261.7V368C640 385.7 625.7 400 608 400zM535 194.9C533.5 193.1 531.2 192 528.8 192H480V256H584.1L535 194.9zM528 432C545.7 432 560 417.7 560 400C560 382.3 545.7 368 528 368C510.3 368 496 382.3 496 400C496 417.7 510.3 432 528 432zM208 368C190.3 368 176 382.3 176 400C176 417.7 190.3 432 208 432C225.7 432 240 417.7 240 400C240 382.3 225.7 368 208 368zM80 432C97.67 432 112 417.7 112 400C112 382.3 97.67 368 80 368C62.33 368 48 382.3 48 400C48 417.7 62.33 432 80 432zM136 264C136 277.3 125.3 288 112 288C98.75 288 88 277.3 88 264V136C88 122.7 98.75 112 112 112C125.3 112 136 122.7 136 136V264zM224 264C224 277.3 213.3 288 200 288C186.7 288 176 277.3 176 264V136C176 122.7 186.7 112 200 112C213.3 112 224 122.7 224 136V264zM312 264C312 277.3 301.3 288 288 288C274.7 288 264 277.3 264 264V136C264 122.7 274.7 112 288 112C301.3 112 312 122.7 312 136V264z"],
    "truck-container-empty": [640, 512, [], "e2b5", "M432 168C432 154.7 442.7 144 456 144H528.8C545.6 144 561.5 151.5 572.2 164.5L630.1 236.4C636.8 243.5 640 252.5 640 261.7V368C640 385.7 625.7 400 608 400C608 444.2 572.2 480 528 480C483.8 480 448 444.2 448 400H288C288 444.2 252.2 480 208 480C181.8 480 158.6 467.4 144 448C129.4 467.4 106.2 480 80 480C35.82 480 0 444.2 0 400C0 355.8 35.82 320 80 320C106.2 320 129.4 332.6 144 351.1C158.6 332.6 181.8 320 208 320C234.2 320 257.4 332.6 272 352H432V168zM528.8 192H480V256H584.1L535 194.9C533.5 193.1 531.2 192 528.8 192V192zM528 432C545.7 432 560 417.7 560 400C560 382.3 545.7 368 528 368C510.3 368 496 382.3 496 400C496 417.7 510.3 432 528 432zM208 368C190.3 368 176 382.3 176 400C176 417.7 190.3 432 208 432C225.7 432 240 417.7 240 400C240 382.3 225.7 368 208 368zM80 432C97.67 432 112 417.7 112 400C112 382.3 97.67 368 80 368C62.33 368 48 382.3 48 400C48 417.7 62.33 432 80 432z"],
    "truck-droplet": [640, 512, [], "e58c", "M136 205.1C136 179 175.4 123 195.9 95.71C202 87.54 213.1 87.54 220.1 95.71C240.6 123 280 179 280 205.1C280 242.4 247.8 272 208 272C168.2 272 136 242.4 136 205.1zM480 512C426.1 512 384 469 384 416H256C256 469 213 512 160 512C106.1 512 64 469 64 416C28.65 416 0 387.3 0 352V64C0 28.65 28.65 0 64 0H352C387.3 0 416 28.65 416 64V96H458.7C473.6 96 487.8 101.9 498.3 112.4L591.6 205.7C602.1 216.2 608 230.4 608 245.3V368H616C629.3 368 640 378.7 640 392C640 405.3 629.3 416 616 416H576C576 469 533 512 480 512H480zM48 64V352C48 360.8 55.16 368 64 368H76.84C93.44 339.3 124.5 320 160 320C195.5 320 226.6 339.3 243.2 368H352C360.8 368 368 360.8 368 352V64C368 55.16 360.8 48 352 48H64C55.16 48 48 55.16 48 64zM558 240C557.9 239.9 557.8 239.7 557.7 239.6L464.4 146.3C462.9 144.8 460.9 144 458.7 144H416V240L558 240zM160 464C186.5 464 208 442.5 208 416C208 389.5 186.5 368 160 368C133.5 368 112 389.5 112 416C112 442.5 133.5 464 160 464zM480 368C453.5 368 432 389.5 432 416C432 442.5 453.5 464 480 464C506.5 464 528 442.5 528 416C528 389.5 506.5 368 480 368z"],
    "truck-fast": [640, 512, ["shipping-fast"], "f48b", "M352 48H128C119.2 48 112 55.16 112 64V96H240C248.8 96 256 103.2 256 112C256 120.8 248.8 128 240 128H16C7.164 128 0 120.8 0 112C0 103.2 7.164 96 16 96H64V64C64 28.65 92.65 0 128 0H352C387.3 0 416 28.65 416 64V96H458.7C473.6 96 487.8 101.9 498.3 112.4L591.6 205.7C602.1 216.2 608 230.4 608 245.3V368H616C629.3 368 640 378.7 640 392C640 405.3 629.3 416 616 416H576C576 469 533 512 480 512C426.1 512 384 469 384 416H256C256 469 213 512 160 512C106.1 512 64 469 64 416V288H112V332.8C126.1 324.7 142.5 320 160 320C195.5 320 226.6 339.3 243.2 368H352C360.8 368 368 360.8 368 352V64C368 55.16 360.8 48 352 48H352zM464.4 146.3C462.9 144.8 460.9 144 458.7 144H416V240H558L557.8 239.8L557.7 239.6L464.4 146.3zM160 368C133.5 368 112 389.5 112 416C112 442.5 133.5 464 160 464C186.5 464 208 442.5 208 416C208 389.5 186.5 368 160 368zM480 464C506.5 464 528 442.5 528 416C528 389.5 506.5 368 480 368C453.5 368 432 389.5 432 416C432 442.5 453.5 464 480 464zM272 160C280.8 160 288 167.2 288 176C288 184.8 280.8 192 272 192H48C39.16 192 32 184.8 32 176C32 167.2 39.16 160 48 160H272zM240 224C248.8 224 256 231.2 256 240C256 248.8 248.8 256 240 256H16C7.164 256 0 248.8 0 240C0 231.2 7.164 224 16 224H240z"],
    "truck-field": [640, 512, [], "e58d", "M0 256V160C0 148.2 6.435 137.8 16 132.3V96C16 60.65 44.65 32 80 32H336C365.8 32 390.9 52.4 397.1 80H435.7C457.4 80 477.1 92.53 486.4 112.2L538.7 223.3L538.1 224H544C579.3 224 608 252.7 608 288V336H616C629.3 336 640 346.7 640 360C640 373.3 629.3 384 616 384H576C576 437 533 480 480 480C426.1 480 384 437 384 384H256C256 437 213 480 160 480C106.1 480 64 437 64 384H16V382.6C6.678 379.3 0 370.5 0 360C0 349.5 6.678 340.7 16 337.4V283.7C6.435 278.2 0 267.8 0 256zM336 80H80C71.16 80 64 87.16 64 96V336H76.84C93.44 307.3 124.5 288 160 288C195.5 288 226.6 307.3 243.2 336H352V96C352 87.16 344.8 80 336 80zM208 384C208 357.5 186.5 336 160 336C133.5 336 112 357.5 112 384C112 410.5 133.5 432 160 432C186.5 432 208 410.5 208 384zM442.9 132.6C441.6 129.8 438.8 128 435.7 128H400V224H485.9L442.9 132.6zM432 384C432 410.5 453.5 432 480 432C506.5 432 528 410.5 528 384C528 357.5 506.5 336 480 336C453.5 336 432 357.5 432 384z"],
    "truck-field-un": [640, 512, [], "e58e", "M288 187.2V144C288 135.2 295.2 128 304 128C312.8 128 320 135.2 320 144V240C320 247.1 315.4 253.3 308.6 255.3C301.9 257.4 294.6 254.7 290.7 248.9L256 196.8V240C256 248.8 248.8 256 240 256C231.2 256 224 248.8 224 240V144C224 136.9 228.6 130.7 235.4 128.7C242.1 126.6 249.4 129.3 253.3 135.1L288 187.2zM128 208C128 216.8 135.2 224 144 224C152.8 224 160 216.8 160 208V144C160 135.2 167.2 128 176 128C184.8 128 192 135.2 192 144V208C192 234.5 170.5 256 144 256C117.5 256 96 234.5 96 208V144C96 135.2 103.2 128 112 128C120.8 128 128 135.2 128 144V208zM16 283.7C6.435 278.2 0 267.8 0 256V160C0 148.2 6.435 137.8 16 132.3V96C16 60.65 44.65 32 80 32H336C365.8 32 390.9 52.4 397.1 80H435.7C457.4 80 477.1 92.53 486.4 112.2L538.7 223.3L538.1 224H544C579.3 224 608 252.7 608 288V336H616C629.3 336 640 346.7 640 360C640 373.3 629.3 384 616 384H576C576 437 533 480 480 480C426.1 480 384 437 384 384H256C256 437 213 480 160 480C106.1 480 64 437 64 384H16V382.6C6.678 379.3 0 370.5 0 360C0 349.5 6.678 340.7 16 337.4V283.7zM64 96V336H76.84C93.44 307.3 124.5 288 160 288C195.5 288 226.6 307.3 243.2 336H352V96C352 87.16 344.8 80 336 80H80C71.16 80 64 87.16 64 96zM112 384C112 410.5 133.5 432 160 432C186.5 432 208 410.5 208 384C208 357.5 186.5 336 160 336C133.5 336 112 357.5 112 384zM400 224H485.9L442.9 132.6C441.6 129.8 438.8 128 435.7 128H400L400 224zM528 384C528 357.5 506.5 336 480 336C453.5 336 432 357.5 432 384C432 410.5 453.5 432 480 432C506.5 432 528 410.5 528 384z"],
    "truck-flatbed": [640, 512, [], "e2b6", "M368 120C368 106.7 378.7 96 392 96H458.7C473.6 96 487.8 101.9 498.3 112.4L591.6 205.7C602.1 216.2 608 230.4 608 245.3V368H616C629.3 368 640 378.7 640 392C640 405.3 629.3 416 616 416H576C576 469 533 512 480 512C426.1 512 384 469 384 416H256C256 469 213 512 160 512C106.1 512 64 469 64 416H24C10.75 416 0 405.3 0 392C0 378.7 10.75 368 24 368H76.84C93.44 339.3 124.5 320 160 320C195.5 320 226.6 339.3 243.2 368H368L368 120zM464.4 146.3C462.9 144.8 460.9 144 458.7 144H416V240H558L557.8 239.8L557.7 239.6L464.4 146.3zM159.1 368C133.5 368 111.1 389.5 111.1 416C111.1 442.5 133.5 464 159.1 464C186.5 464 207.1 442.5 207.1 416C207.1 389.5 186.5 368 159.1 368zM480 464C506.5 464 528 442.5 528 416C528 389.5 506.5 368 480 368C453.5 368 432 389.5 432 416C432 442.5 453.5 464 480 464z"],
    "truck-front": [512, 512, [], "e2b7", "M160 320C160 337.7 145.7 352 128 352C110.3 352 96 337.7 96 320C96 302.3 110.3 288 128 288C145.7 288 160 302.3 160 320zM352 320C352 302.3 366.3 288 384 288C401.7 288 416 302.3 416 320C416 337.7 401.7 352 384 352C366.3 352 352 337.7 352 320zM0 80C0 35.82 35.82 0 80 0H432C476.2 0 512 35.82 512 80V368C512 394.2 499.4 417.4 480 432V488C480 501.3 469.3 512 456 512C442.7 512 432 501.3 432 488V448H80V488C80 501.3 69.25 512 56 512C42.75 512 32 501.3 32 488V432C12.57 417.4 0 394.2 0 368V80zM48 80V231.1C52.23 228.8 56.67 225.9 61.3 223.3L101.3 137.6C113.2 112.2 138.6 96 166.6 96H345.4C373.4 96 398.8 112.2 410.7 137.6L450.7 223.3C455.3 225.9 459.8 228.8 464 231.1V80C464 62.33 449.7 48 432 48H79.1C62.33 48 47.1 62.33 47.1 80H48zM48 328V368C48 385.7 62.33 400 80 400H432C449.7 400 464 385.7 464 368V328C464 288.2 431.8 256 392 256H120C80.24 256 48 288.2 48 328zM121.4 208H390.6L367.2 157.9C363.2 149.4 354.8 144 345.4 144H166.6C157.2 144 148.8 149.4 144.8 157.9L121.4 208z"],
    "truck-medical": [640, 512, [128657, "ambulance"], "f0f9", "M112 160C112 151.2 119.2 144 128 144H176V96C176 87.16 183.2 80 192 80H224C232.8 80 240 87.16 240 96V144H288C296.8 144 304 151.2 304 160V192C304 200.8 296.8 208 288 208H240V256C240 264.8 232.8 272 224 272H192C183.2 272 176 264.8 176 256V208H128C119.2 208 112 200.8 112 192V160zM256 416C256 469 213 512 160 512C106.1 512 64 469 64 416C28.65 416 0 387.3 0 352V64C0 28.65 28.65 0 64 0H352C387.3 0 416 28.65 416 64V96H458.7C473.6 96 487.8 101.9 498.3 112.4L591.6 205.7C602.1 216.2 608 230.4 608 245.3V368H616C629.3 368 640 378.7 640 392C640 405.3 629.3 416 616 416H576C576 469 533 512 480 512C426.1 512 384 469 384 416H256zM352 48H64C55.16 48 48 55.16 48 64V352C48 360.8 55.16 368 64 368H76.84C93.44 339.3 124.5 320 160 320C195.5 320 226.6 339.3 243.2 368H352C360.8 368 368 360.8 368 352V64C368 55.16 360.8 48 352 48zM464.4 146.3C462.9 144.8 460.9 144 458.7 144H416V240H558C557.9 239.9 557.8 239.7 557.7 239.6L464.4 146.3zM160 368C133.5 368 112 389.5 112 416C112 442.5 133.5 464 160 464C186.5 464 208 442.5 208 416C208 389.5 186.5 368 160 368zM480 464C506.5 464 528 442.5 528 416C528 389.5 506.5 368 480 368C453.5 368 432 389.5 432 416C432 442.5 453.5 464 480 464z"],
    "truck-monster": [640, 512, [], "f63b", "M520 112C568.6 112 608 151.4 608 200V230.3C614.1 235.4 619.1 240.9 625.5 246.7C634.6 256.4 634.1 271.6 624.5 280.7C614.8 289.8 599.6 289.3 590.5 279.7C562.8 250.3 523.6 232 480 232C426.7 232 379.7 259.5 352.6 301.1C348.1 307.9 340.6 312 332.5 312H307.5C299.4 312 291.9 307.9 287.4 301.1C260.3 259.5 213.3 232 160 232C116.4 232 77.2 250.3 49.45 279.7C40.35 289.3 25.16 289.8 15.52 280.7C5.886 271.6 5.449 256.4 14.55 246.7C20.03 240.9 25.86 235.4 32 230.3V200C32 151.4 71.4 112 120 112H224V56C224 25.07 249.1 0 280 0H368.2C385.6 0 402 8.076 412.6 21.86L481.1 112H520zM279.1 48C275.6 48 271.1 51.58 271.1 56V112H421.4L374.6 51.12C373.1 49.15 370.7 48 368.2 48H279.1zM560 200.6V200C560 177.9 542.1 160 520 160H119.1C97.91 160 79.1 177.9 79.1 200V200.6C104.5 189.9 131.6 184 159.1 184C225.5 184 283.5 215.5 319.1 263.1C356.5 215.5 414.5 184 480 184C508.4 184 535.5 189.9 560 200.6zM167.1 256C180.1 256 190.1 264.9 191.8 276.6C199.4 278.8 206.7 281.9 213.5 285.6C222.9 278.5 236.3 279.3 244.9 287.8L256.2 299.1C264.7 307.7 265.5 321.1 258.4 330.5C262.1 337.3 265.2 344.6 267.4 352.2C279.1 353.9 287.1 363.9 287.1 376V392C287.1 404.1 279.1 414.1 267.4 415.8C265.2 423.4 262.1 430.7 258.4 437.5C265.5 446.9 264.7 460.3 256.2 468.9L244.9 480.2C236.3 488.7 222.9 489.5 213.5 482.4C206.7 486.1 199.4 489.2 191.8 491.4C190.1 503.1 180.1 512 167.1 512H151.1C139.9 512 129.9 503.1 128.2 491.4C120.6 489.2 113.3 486.1 106.5 482.4C97.09 489.5 83.7 488.7 75.15 480.2L63.83 468.9C55.28 460.3 54.53 446.9 61.58 437.5C57.85 430.7 54.81 423.4 52.57 415.8C40.94 414.1 31.1 404.1 31.1 392V376C31.1 363.9 40.94 353.9 52.57 352.2C54.81 344.6 57.85 337.3 61.58 330.5C54.53 321.1 55.28 307.7 63.83 299.1L75.15 287.8C83.7 279.3 97.09 278.5 106.5 285.6C113.3 281.9 120.6 278.8 128.2 276.6C129.9 264.9 139.9 255.1 151.1 255.1L167.1 256zM159.1 432C186.5 432 207.1 410.5 207.1 384C207.1 357.5 186.5 336 159.1 336C133.5 336 111.1 357.5 111.1 384C111.1 410.5 133.5 432 159.1 432zM488 256C500.1 256 510.1 264.9 511.8 276.6C519.4 278.8 526.7 281.9 533.5 285.6C542.9 278.5 556.3 279.3 564.9 287.8L576.2 299.1C584.7 307.7 585.5 321.1 578.4 330.5C582.1 337.3 585.2 344.6 587.4 352.2C599.1 353.9 608 363.9 608 376V392C608 404.1 599.1 414.1 587.4 415.8C585.2 423.4 582.1 430.7 578.4 437.5C585.5 446.9 584.7 460.3 576.2 468.9L564.9 480.2C556.3 488.7 542.9 489.5 533.5 482.4C526.7 486.1 519.4 489.2 511.8 491.4C510.1 503.1 500.1 512 488 512H472C459.9 512 449.9 503.1 448.2 491.4C440.6 489.2 433.3 486.1 426.5 482.4C417.1 489.5 403.7 488.7 395.1 480.2L383.8 468.9C375.3 460.3 374.5 446.9 381.6 437.5C377.8 430.7 374.8 423.4 372.6 415.8C360.9 414.1 352 404.1 352 392V376C352 363.9 360.9 353.9 372.6 352.2C374.8 344.6 377.8 337.3 381.6 330.5C374.5 321.1 375.3 307.7 383.8 299.1L395.1 287.8C403.7 279.3 417.1 278.5 426.5 285.6C433.3 281.9 440.6 278.8 448.2 276.6C449.9 264.9 459.9 255.1 472 255.1L488 256zM480 432C506.5 432 528 410.5 528 384C528 357.5 506.5 336 480 336C453.5 336 432 357.5 432 384C432 410.5 453.5 432 480 432z"],
    "truck-moving": [640, 512, [], "f4df", "M208 480C181.8 480 158.6 467.4 144 448C129.4 467.4 106.2 480 80 480C35.82 480 0 444.2 0 400V104C0 64.24 32.24 32 72 32H408C447.8 32 480 64.24 480 104V144H528.8C545.6 144 561.5 151.5 572.2 164.5L630.1 236.4C636.8 243.5 640 252.5 640 261.7V368C640 385.7 625.7 400 608 400C608 444.2 572.2 480 528 480C483.8 480 448 444.2 448 400H288C288 444.2 252.2 480 208 480zM48 104V326.7C57.8 322.4 68.62 320 80 320C106.2 320 129.4 332.6 144 351.1C158.6 332.6 181.8 320 208 320C234.2 320 257.4 332.6 272 352H432V104C432 90.75 421.3 80 408 80H72C58.75 80 48 90.75 48 104V104zM528.8 192H480V256H584.1L535 194.9C533.5 193.1 531.2 192 528.8 192V192zM528 432C545.7 432 560 417.7 560 400C560 382.3 545.7 368 528 368C510.3 368 496 382.3 496 400C496 417.7 510.3 432 528 432zM208 368C190.3 368 176 382.3 176 400C176 417.7 190.3 432 208 432C225.7 432 240 417.7 240 400C240 382.3 225.7 368 208 368zM80 432C97.67 432 112 417.7 112 400C112 382.3 97.67 368 80 368C62.33 368 48 382.3 48 400C48 417.7 62.33 432 80 432z"],
    "truck-pickup": [640, 512, [128763], "f63c", "M412.6 53.62L507.7 176H552C582.9 176 608 201.1 608 232V320H616C629.3 320 640 330.7 640 344C640 357.3 629.3 368 616 368H558.7C559.5 373.2 560 378.5 560 384C560 437 517 480 464 480C410.1 480 368 437 368 384C368 378.5 368.5 373.2 369.3 368H270.7C271.5 373.2 272 378.5 272 384C272 437 229 480 176 480C122.1 480 80 437 80 384C80 378.5 80.45 373.2 81.33 368H24C10.75 368 0 357.3 0 344C0 330.7 10.75 320 24 320H32V232C32 201.1 57.07 176 88 176H224V88C224 57.07 249.1 32 280 32H368.3C385.6 32 401.9 39.98 412.6 53.62H412.6zM272 176H446.9L374.7 83.09C373.1 81.14 370.8 80 368.3 80H279.1C275.6 80 271.1 83.58 271.1 88L272 176zM104.4 320C122 300.4 147.6 288 176 288C204.4 288 229.1 300.4 247.6 320H392.4C410 300.4 435.6 288 464 288C492.4 288 517.1 300.4 535.6 320H560V232C560 227.6 556.4 224 552 224H88C83.58 224 80 227.6 80 232V320H104.4zM176 336C149.5 336 128 357.5 128 384C128 410.5 149.5 432 176 432C202.5 432 224 410.5 224 384C224 357.5 202.5 336 176 336zM464 432C490.5 432 512 410.5 512 384C512 357.5 490.5 336 464 336C437.5 336 416 357.5 416 384C416 410.5 437.5 432 464 432z"],
    "truck-plane": [640, 512, [], "e58f", "M251.2 87.47C244.3 67.55 231.7 49.7 224 49C214 51 192 87 192 113V181L48 291V324.1L192 270V384L128 432V458.1L224 430.1L266.3 443.3C271.8 454.1 279.1 463.6 288 471.5V488C288 492.1 288.4 496.2 289.3 500L224 480.1L141.4 505.1C126.9 509.3 111.3 506.5 99.2 497.4C87.11 488.3 80 474.1 80 458.1V432C80 416.9 87.11 402.7 99.2 393.6L144 360V339.7L65.13 369.8C50.37 375.5 33.79 373.5 20.78 364.5C7.77 355.6 0 340.8 0 324.1V291C0 276 6.974 261.9 18.86 252.9L144 157.3V113C144 88.71 153.5 65.03 162 49.19C166.6 40.72 172.1 32.24 178.3 25.02C181.3 21.44 185.3 17.31 190.1 13.54C194.1 10.34 202.6 4.328 214.6 1.932C219.1 1.027 223.7 .7792 228.3 1.197C241.3 2.375 250.8 7.979 255.1 11.54C261.6 15.46 266.1 19.89 269.4 23.66C276.2 31.23 281.1 40.13 286.5 48.77C294.8 64.34 303 86.25 303.9 108.9C278.1 123.8 259.1 150.4 256.6 181.4L256 181V113C256 104.9 254.1 95.99 251.2 87.47V87.47zM251.3 87.29L251.4 87.21C251.4 87.21 251.4 87.24 251.3 87.29zM384 361.4C389.8 363.4 394.5 367.6 397.3 372.9C399 376.2 400 380 400 384C400 397.3 389.3 408 376 408C362.7 408 352 397.3 352 384C352 374.9 357.1 366.9 364.6 362.9C368 361 371.9 360 376 360C378.8 360 381.5 360.5 384 361.4V361.4zM528 384C528 370.7 538.7 360 552 360C565.3 360 576 370.7 576 384C576 397.3 565.3 408 552 408C538.7 408 528 397.3 528 384zM328.4 506.3C323.3 501.9 320 495.3 320 488V455.4C303.2 445.7 291.2 428.5 288.5 408.4C288.2 405.7 288 402.9 288 400V191.1C288 175.8 294 160.9 304 149.7C315.7 136.4 332.9 127.1 352 127.1H576C611.3 127.1 640 156.7 640 191.1V400C640 423.7 627.1 444.4 608 455.4V488C608 501.3 597.3 512 584 512C570.7 512 560 501.3 560 488V464H368V488C368 501.3 357.3 512 344 512C338.1 512 332.6 509.8 328.4 506.3zM338.4 183.5C336.9 186 336 188.9 336 191.1V296.5L350.6 251.1L351 249.9C354.6 240.5 360.4 231.9 368 224.9C371.8 221.4 376 218.3 380.6 215.8C389.6 210.9 399.9 208 411.2 208H516.8C545.6 208 568.2 226.7 576.1 249.9L577.4 251.1L592 296.5V192C592 183.2 584.8 176 576 176H352C346.3 176 341.2 179 338.4 183.6V183.5zM411.2 255.1C404.3 255.1 398.4 260.5 395.9 266.1L384 303.1H544L532.1 266.1C529.7 260.5 523.7 255.1 516.8 255.1H411.2zM360 352C355.1 352 350.5 353.5 346.7 356C340.2 360.3 336 367.7 336 376V400C336 408.3 342.3 415.1 350.4 415.9C350.9 415.1 351.4 416 352 416H576C584.8 416 592 408.8 592 400V376C592 362.7 581.3 352 568 352H360z"],
    "truck-plow": [640, 512, [], "f7de", "M424 191.1C454.9 191.1 480 217.1 480 247.1V336H512V207.1C512 202 514.2 196.3 518.2 191.9L598.2 103.9C607.2 94.05 622.3 93.33 632.1 102.2C641.1 111.2 642.7 126.3 633.8 136.1L560 217.3V358.7L633.8 439.9C642.7 449.7 641.1 464.8 632.1 473.8C622.3 482.7 607.2 481.1 598.2 472.1L518.2 384.1L518.1 384H464C464 437 421 480 368 480C314.1 480 272 437 272 384H224C224 437 181 480 128 480C74.98 480 32 437 32 384L32 383.2C13.74 379.5 0 363.4 0 344V248C0 217.1 25.07 192 56 192H128V88C128 57.07 153.1 32 184 32H270.1C289.6 32 307.7 42.15 317.8 58.8L396.5 187.5C397.4 188.9 398.1 190.5 398.6 192L424 191.1zM183.1 79.1C179.6 79.1 175.1 83.58 175.1 87.1V191.1H342.1L276.9 83.83C275.4 81.45 272.8 79.1 270.1 79.1H183.1zM432 312.4V247.1C432 243.6 428.4 239.1 424 239.1H55.1C51.58 239.1 47.1 243.6 47.1 247.1V330.9C65.2 305 94.61 287.1 127.1 287.1C163.5 287.1 194.6 307.3 211.2 336H284.8C301.4 307.3 332.5 287.1 368 287.1C392.6 287.1 415 297.2 432 312.4H432zM127.1 336C101.5 336 79.1 357.5 79.1 384C79.1 410.5 101.5 432 127.1 432C154.5 432 175.1 410.5 175.1 384C175.1 357.5 154.5 336 127.1 336zM368 432C394.5 432 416 410.5 416 384C416 357.5 394.5 336 368 336C341.5 336 319.1 357.5 319.1 384C319.1 410.5 341.5 432 368 432z"],
    "truck-ramp": [640, 512, [], "f4e0", "M616 .0003C629.3 .0003 640 10.75 640 24C640 37.26 629.3 48 616 48H440C417.9 48 400 65.91 400 88V360.7L425.7 353.7L426 353.6C443.7 314.9 482.7 288 528 288C589.9 288 640 338.1 640 400C640 461.9 589.9 512 528 512C468.2 512 419.3 465.1 416.2 406L30.31 511.2C17.52 514.6 4.329 507.1 .8443 494.3C-2.64 481.5 4.902 468.3 17.69 464.8L352 373.8V88C352 39.4 391.4 0 440 0L616 .0003zM528 464C563.3 464 592 435.3 592 400C592 364.7 563.3 336 528 336C492.7 336 464 364.7 464 400C464 435.3 492.7 464 528 464z"],
    "truck-ramp-box": [640, 512, ["truck-loading"], "f4de", "M352 88C352 39.4 391.4 0 440 0H616C629.3 0 640 10.75 640 24C640 37.25 629.3 48 616 48H440C417.9 48 400 65.91 400 88V360.7L425.7 353.7L426 353.6C443.7 314.9 482.7 288 528 288C589.9 288 640 338.1 640 400C640 461.9 589.9 512 528 512C468.2 512 419.3 465.1 416.2 406L30.31 511.2C17.52 514.6 4.329 507.1 .8443 494.3C-2.64 481.5 4.902 468.3 17.69 464.8L352 373.8V88zM528 336C492.7 336 464 364.7 464 400C464 435.3 492.7 464 528 464C563.3 464 592 435.3 592 400C592 364.7 563.3 336 528 336zM23.11 207.7C18.54 190.6 28.67 173.1 45.74 168.5L92.1 156.1L112.8 233.4C115.1 241.9 123.9 246.1 132.4 244.7L163.3 236.4C171.8 234.1 176.9 225.3 174.6 216.8L153.9 139.5L200.3 127.1C217.4 122.5 234.9 132.7 239.5 149.7L280.9 304.3C285.5 321.4 275.3 338.9 258.3 343.5L103.7 384.9C86.64 389.5 69.1 379.3 64.52 362.3L23.11 207.7z"],
    "truck-ramp-couch": [640, 512, ["truck-couch"], "f4dd", "M352 88C352 39.4 391.4 0 440 0H616C629.3 0 640 10.75 640 24C640 37.25 629.3 48 616 48H440C417.9 48 400 65.91 400 88V360.7L425.7 353.7L426 353.6C443.7 314.9 482.7 288 528 288C589.9 288 640 338.1 640 400C640 461.9 589.9 512 528 512C468.2 512 419.3 465.1 416.2 406L30.31 511.2C17.52 514.6 4.329 507.1 .8443 494.3C-2.64 481.5 4.902 468.3 17.69 464.8L352 373.8V88zM528 336C492.7 336 464 364.7 464 400C464 435.3 492.7 464 528 464C563.3 464 592 435.3 592 400C592 364.7 563.3 336 528 336zM294.5 209.2C303.2 206.8 311.9 207 320 209.3V334.8L33.98 411.5L13.27 334.2C6.412 308.6 21.61 282.3 47.21 275.4C72.82 268.5 99.14 283.7 106 309.4L110.1 324.8L264.7 283.4L260.6 267.9C253.7 242.3 268.9 216 294.5 209.2V209.2zM8.023 252.8C-1.125 218.6 19.14 183.5 53.28 174.4L238.7 124.7C272.9 115.6 307.1 135.8 317.1 169.1L318.8 176.4C308.3 174.8 297.2 175.3 286.2 178.2C248.8 188.3 224.8 223.2 227 260.4L131.2 286C114.6 252.7 76.32 234.5 38.93 244.5C27.94 247.4 18.1 252.5 9.745 259.2L8.023 252.8z"],
    "truck-tow": [640, 512, [], "e2b8", "M96 64V160C96 186.5 74.51 208 48 208C21.49 208 .0003 186.5 .0003 160V144C.0003 135.2 7.164 128 16 128C24.84 128 32 135.2 32 144V160C32 168.8 39.16 176 48 176C56.84 176 64 168.8 64 160V32C64 20.16 70.44 9.814 80 4.281C84.71 1.558 90.17 0 96 0H145.6C154.8 0 163.5 3.909 169.5 10.74L373.3 240H384V152C384 121.1 409.1 96 440 96H490.1C510.1 96 530.8 105.1 544.5 120.8L626.3 215.3C635.1 225.4 640 238.5 640 251.9V360C640 390.9 614.9 416 584 416H576C576 469 533 512 480 512C426.1 512 384 469 384 416H256C256 469 213 512 160 512C106.1 512 64 469 64 416H56C25.07 416 0 390.9 0 360V296C0 265.1 25.07 240 56 240H184L96 64zM243.2 368H396.8C413.4 339.3 444.5 320 480 320C515.5 320 546.6 339.3 563.2 368H584C588.4 368 592 364.4 592 360V288H56C51.58 288 48 291.6 48 296V360C48 364.4 51.58 368 56 368H76.84C93.44 339.3 124.5 320 160 320C195.5 320 226.6 339.3 243.2 368H243.2zM237.7 240H309.1L145.8 56.28L237.7 240zM508.2 152.3C503.7 147 497 144 490.1 144H440C435.6 144 432 147.6 432 152V240H584.2L508.2 152.3zM160 368C133.5 368 112 389.5 112 416C112 442.5 133.5 464 160 464C186.5 464 208 442.5 208 416C208 389.5 186.5 368 160 368zM480 464C506.5 464 528 442.5 528 416C528 389.5 506.5 368 480 368C453.5 368 432 389.5 432 416C432 442.5 453.5 464 480 464z"],
    "trumpet": [640, 512, [127930], "f8e3", "M608 48c-10.75 0-20.75 5.25-26.62 14.25c-.5 .625-45.13 66.37-112.6 101.1c-14.5 7.625-32 11.75-50.38 11.75H400V167.1c0-13.26-10.75-23.1-24-23.1S352 154.7 352 167.1v7.1H312V167.1c0-13.26-10.75-23.1-24-23.1S264 154.7 264 167.1v7.1H224V167.1c0-13.26-10.75-23.1-24-23.1S176 154.7 176 167.1v7.1h-128V167.1c0-13.26-10.75-23.1-24-23.1S0 154.7 0 167.1v143.1c0 13.25 10.75 23.1 24 23.1S48 325.2 48 311.1V303.1h32.63C60 335.1 58.5 376.6 76.75 409.1C94.88 443.4 129.1 464.1 168 463.1h240c30.62 .625 60-12.62 79.75-36.12c19.88-23.37 28.12-54.37 22.5-84.62c43.63 34.37 70.75 73.1 71.13 74.5C587.3 426.6 597.3 431.1 608 431.1c10.25 0 32-7.75 32-31.1V79.1C640 69.87 632.3 48 608 48zM176 415.1l-7.994 .0097c-30.88 0-56.01-25.13-56.01-56.01s25.12-55.1 56-55.1H176V415.1zM264 415.1H224V303.1h40V415.1zM352 415.1H312V303.1H352V415.1zM408 415.1L400 415.1V303.1h8c30.88 0 56 25.12 56 55.1S438.9 415.1 408 415.1zM592 354.5c-22.75-25.37-57.63-58.37-100.8-81.12c-21.5-11.37-46.67-17.37-72.8-17.37L48 256V223.1l370.5 .0078c26.12 0 51.3-6.008 72.8-17.38C534.8 183.6 569.5 150.9 592 125.6V354.5z"],
    "tty": [512, 512, ["teletype"], "f1e4", "M371.1 416H139.1c-6.623 0-11.1 5.375-11.1 12v40c0 6.625 5.375 12 11.1 12h231.1c6.625 0 11.1-5.375 11.1-12v-40C383.9 421.4 378.6 416 371.1 416zM139.1 384h39.1c6.625 0 11.1-5.375 11.1-12v-40c0-6.625-5.38-12-12-12h-39.1c-6.623 0-11.99 5.375-11.99 12v40C127.1 378.6 133.4 384 139.1 384zM83.97 320H43.97c-6.625 0-11.98 5.375-11.98 12v40c0 6.625 5.373 12 11.1 12h39.1c6.623 0 11.1-5.375 11.1-12v-40C95.98 325.4 90.59 320 83.97 320zM83.98 416H43.99c-6.625 0-11.1 5.375-11.1 12v40c0 6.625 5.373 12 11.1 12h39.1c6.623 0 11.1-5.375 11.1-12v-40C95.98 421.4 90.61 416 83.98 416zM275.1 384c6.623 0 11.1-5.375 11.1-12v-40c0-6.625-5.375-12-11.1-12h-39.1c-6.625 0-11.1 5.375-11.1 12v40c0 6.625 5.373 12 11.1 12H275.1zM467.1 320h-39.1c-6.625 0-12.01 5.375-12.01 12v40c0 6.625 5.373 12 11.1 12h39.1c6.623 0 11.1-5.375 11.1-12v-40C479.9 325.4 474.6 320 467.1 320zM467.9 416H427.9c-6.625 0-11.1 5.375-11.1 12v40c0 6.625 5.373 12 11.1 12h39.1c6.623 0 11.1-5.375 11.1-12v-40C479.9 421.4 474.6 416 467.9 416zM371.1 320h-39.1c-6.623 0-12 5.375-12 12v40c0 6.625 5.375 12 11.1 12h39.1c6.625 0 11.1-5.375 11.1-12v-40C383.9 325.4 378.6 320 371.1 320zM498.5 132.5C433.9 67.72 347.7 32 256 32S78.15 67.69 13.47 132.5c-15.17 15.19-17.81 38.5-6.453 56.66l38.2 61.22c11.67 18.78 35.15 26.5 55.92 18.34l76.52-30.66c18.76-7.562 30.45-26.94 28.44-47.06L203.2 162.4c34.56-8.594 71.02-8.594 105.6 0l-2.828 28.38c-2.188 20.31 9.561 39.78 28.5 47.31l76.46 30.66c5.531 2.188 11.28 3.25 16.94 3.25c15.42 0 30.28-7.812 38.84-21.56l38.21-61.25C516.3 171 513.7 147.7 498.5 132.5zM428.8 224.2l-75.02-28.44l4.812-48.34c1.109-11.09-5.562-21.47-16.11-25.09c-55.74-19.06-117.1-19.06-172.8 0c-10.55 3.625-17.22 14-16.11 25.09l6.217 46.16L85.94 225L47.43 166.4C103.1 110.7 177.1 80 256 80c78.32 0 151.9 30.25 207.4 85.25L428.8 224.2z"],
    "tty-answer": [640, 512, ["teletype-answer"], "e2b9", "M480.3 320.3l-98.2-42.08c-21.4-9.279-46.64-3.107-61.2 14.95l-27.44 33.5C248.7 300.9 211.2 263.4 185.4 218.6l33.55-27.48C236.9 176.5 243.1 151.4 233.1 130.1L191.7 31.53C181.6 8.33 156.4-4.326 131.9 1.346L40.61 22.41C16.7 27.86 0 48.83 0 73.39C0 315.3 196.7 512 438.6 512c24.56 0 45.53-16.69 51-40.53l21.06-91.34C516.4 355.5 503.6 330.3 480.3 320.3zM463.9 369.3l-21.09 91.41C442.3 462.7 440.7 464 438.6 464C223.2 464 47.1 288.8 47.1 73.39c0-2.094 1.297-3.734 3.344-4.203L142.7 48.11c.3125-.0781 .6406-.1094 .9531-.1094c1.734 0 3.359 1.047 4.047 2.609l42.14 98.33C190.6 150.7 190.1 152.8 188.6 154l-48.78 39.97C131.2 201 128.5 213.1 133.4 223.1c33.01 67.23 88.26 122.5 155.5 155.5c9.998 4.906 22.09 2.281 29.15-6.344l40.02-48.88c1.109-1.406 3.186-1.938 4.92-1.125l98.26 42.09C463.2 365.2 464.3 367.3 463.9 369.3zM396 64h39.1c6.625 0 11.1-5.375 11.1-12v-40c0-6.625-5.374-12-11.1-12h-39.1c-6.623 0-11.1 5.375-11.1 12v40C384 58.63 389.4 64 396 64zM300 64h39.1c6.623 0 11.1-5.375 11.1-12v-40c0-6.625-5.376-12-11.1-12H300c-6.625 0-11.1 5.375-11.1 12v40C288 58.63 293.4 64 300 64zM300 160h39.1c6.623 0 11.1-5.375 11.1-12v-40c0-6.625-5.375-12-11.1-12H300c-6.625 0-11.1 5.375-11.1 12v40C288.1 154.6 293.4 160 300 160zM532 0h-39.1c-6.625 0-11.1 5.375-11.1 12v40c0 6.625 5.374 12 11.1 12h39.1c6.623 0 11.1-5.375 11.1-12v-40C544 5.375 538.6 0 532 0zM628 0H588c-6.625 0-11.1 5.375-11.1 12v40c0 6.625 5.374 12 11.1 12h39.1C634.6 64 640 58.63 640 52v-40C640 5.375 634.6 0 628 0zM532 96h-135.1c-6.623 0-11.1 5.375-11.1 12v40c0 6.625 5.375 12 11.1 12h135.1c6.625 0 11.1-5.375 11.1-12v-40C544 101.4 538.6 96 532 96zM628 96h-39.1c-6.625 0-11.1 5.375-11.1 12v40c0 6.625 5.373 12 11.1 12h39.1C634.6 160 640 154.6 640 148v-40C640 101.4 634.6 96 628 96z"],
    "tugrik-sign": [384, 512, [], "e2ba", "M360 32C373.3 32 384 42.75 384 56C384 69.25 373.3 80 360 80H216V193.3L314.2 168.7C327 165.5 340.1 173.3 343.3 186.2C346.5 199 338.7 212.1 325.8 215.3L216 242.7V289.3L314.2 264.7C327 261.5 340.1 269.3 343.3 282.2C346.5 295 338.7 308.1 325.8 311.3L216 338.7V456C216 469.3 205.3 480 192 480C178.7 480 168 469.3 168 456V350.7L69.82 375.3C56.96 378.5 43.93 370.7 40.72 357.8C37.5 344.1 45.32 331.9 58.18 328.7L168 301.3V254.7L69.82 279.3C56.96 282.5 43.93 274.7 40.72 261.8C37.5 248.1 45.32 235.9 58.18 232.7L168 205.3V80H24C10.75 80 0 69.25 0 56C0 42.75 10.75 32 24 32H360z"],
    "turkey": [640, 512, [], "f725", "M497.4 242.5c-4.795 7.451-9.084 15.05-12.86 22.38C511.8 305 528 348.5 528 384c0 50.63-39.25 80-240 80c-.002 0 .002 0 0 0c-200.7 0-240-29.38-240-80c0-89.81 103.4-230.7 228.3-239.2c15.42-4.74 28.58-6.27 41.32-7.611c17.66-1.859 35.92-3.781 66.97-16.2c1.266-.5059 2.35-1.094 3.588-1.615c-31.24-14.51-64.88-23.39-100.2-23.39c-.002 0 .002 0 0 0C129 95.99 0 269.1 0 383.1S129 512 288 512c.002 0-.002 0 0 0c158.1 0 288-13.13 288-128c0-49.29-23.89-109.2-63.56-161.7C507.5 228.1 502.5 234.7 497.4 242.5zM567 79.17c22.36-35.88-4.801-80.21-47.22-79.15c-34.61 .832-59.78 33.98-50.11 66.93c4.186 14.03 1.635 27.03-7.676 39.75c-11.92 16.24-35.21 31.87-65.59 44.02c-66.18 26.47-83.76 11.11-127.2 30.85c-79.51 35.62-84.45 131.8-34.34 182.5c61.28 62.72 176.6 39.49 199.2-58.72c2.746-11.95 15.26-47.25 36.42-80.14c10.94-17.01 22.29-30.44 33.75-39.9c13.58-11.22 32.77-21.38 54.5-11.94c33.53 14.06 77.12 4.482 81.04-41.23C643.1 92.95 603.4 64.79 567 79.17z"],
    "turkish-lira-sign": [384, 512, ["try", "turkish-lira"], "e2bb", "M87.1 32C101.3 32 111.1 42.75 111.1 56V112.2L249.4 72.92C262.2 69.28 275.4 76.66 279.1 89.41C282.7 102.2 275.3 115.4 262.6 119.1L111.1 162.1V208.2L249.4 168.9C262.2 165.3 275.4 172.7 279.1 185.4C282.7 198.2 275.3 211.4 262.6 215.1L111.1 258.1V432H183.8C265.1 432 331.1 368.1 335.7 286.9L336 278.9C336.6 265.7 347.8 255.4 361.1 256C374.3 256.6 384.6 267.8 383.1 281.1L383.6 289.1C378.8 395.9 290.7 480 183.8 480H87.1C74.74 480 63.1 469.3 63.1 456V271.8L38.59 279.1C25.85 282.7 12.56 275.3 8.922 262.6C5.28 249.8 12.66 236.6 25.4 232.9L63.1 221.9V175.8L38.59 183.1C25.85 186.7 12.56 179.3 8.922 166.6C5.28 153.8 12.66 140.6 25.4 136.9L63.1 125.9V56C63.1 42.75 74.74 32 87.1 32V32z"],
    "turn-down": [384, 512, [10549, "level-down-alt"], "f3be", "M313.6 392.3l-104 112c-9.5 10.23-25.69 10.23-35.19 0l-104-112c-6.484-6.984-8.219-17.17-4.406-25.92S78.45 352 88 352H168V48h-144C10.75 48 0 37.25 0 24S10.75 0 24 0H192c13.25 0 24 10.75 24 24V352h80c9.547 0 18.19 5.656 22 14.41S320.1 385.3 313.6 392.3z"],
    "turn-down-left": [512, 512, [], "e331", "M119.7 409.6l-112-104c-10.23-9.5-10.23-25.69 0-35.19l112-104c6.984-6.484 17.17-8.219 25.92-4.406s14.41 12.45 14.41 22L159.1 264h304V56c0-13.25 10.75-24 24-24s24 10.75 24 24V288c0 13.25-10.75 24-24 24h-328l.0015 80c0 9.547-5.656 18.19-14.41 22S126.7 416.1 119.7 409.6z"],
    "turn-down-right": [512, 512, [], "e455", "M366.4 414C357.7 410.2 352 401.5 352 392L352 311.1H24C10.75 311.1 0 301.2 0 287.1V56C0 42.75 10.75 32 24 32C37.25 32 48 42.75 48 56V263.1H352L352 184C352 174.5 357.7 165.8 366.4 162C375.2 158.2 385.3 159.9 392.3 166.4L504.3 270.4C514.6 279.9 514.6 296.1 504.3 305.6L392.3 409.6C385.3 416.1 375.2 417.8 366.4 414V414z"],
    "turn-up": [384, 512, [10548, "level-up-alt"], "f3bf", "M318 145.6c-3.812 8.75-12.45 14.41-22 14.41L216 159.1v328c0 13.25-10.75 24-24 24H24c-13.25 0-24-10.75-24-24s10.75-24 24-24h144v-304L88 159.1c-9.547 0-18.19-5.656-22-14.41S63.92 126.7 70.41 119.7l104-112c9.498-10.23 25.69-10.23 35.19 0l104 112C320.1 126.7 321.8 136.8 318 145.6z"],
    "turntable": [576, 512, [], "f8e4", "M512 32H64C28.63 32 0 60.63 0 96v320c0 35.38 28.62 64 64 64h448c35.38 0 64-28.62 64-64V96C576 60.63 547.4 32 512 32zM528 416c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h448c8.822 0 16 7.178 16 16V416zM224 112C144.5 112 80 176.5 80 256s64.46 144 144 144s144-64.46 144-144S303.5 112 224 112zM224 288C206.4 288 192 273.6 192 256s14.38-32 32-32s32 14.38 32 32S241.6 288 224 288zM472 112C458.8 112 448 122.8 448 136v143.8c0 1.328-.3281 2.641-.9687 3.828l-44.09 80.84c-6.359 11.62-2.062 26.2 9.578 32.55C416.2 399.1 420.1 400 423.1 400c8.5 0 16.73-4.516 21.08-12.52l44.09-80.81C493.6 298.5 496 289.2 496 279.8V136C496 122.8 485.3 112 472 112z"],
    "turtle": [576, 512, [128034], "f726", "M384 208V249.2C384 270.6 366.6 288 345.2 288H70.79C49.37 288 32 270.6 32 249.2V208C32 110.8 110.8 32 208 32C305.2 32 384 110.8 384 208zM336 240V208C336 137.3 278.7 80 208 80C137.3 80 80 137.3 80 208V240H336zM480 288C478 288 476 287.9 474.1 287.7C457.9 341 409.8 380.4 352 383.8V440C352 462.1 334.1 480 312 480H264C241.9 480 224 462.1 224 440V384H192V440C192 462.1 174.1 480 152 480H104C81.91 480 64 462.1 64 440V384H32C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320H344C383.8 320 416 287.8 416 248V176C416 140.7 444.7 112 480 112C533 112 576 154.1 576 208V224C576 259.3 547.3 288 512 288H480zM496 224C504.8 224 512 216.8 512 208C512 199.2 504.8 192 496 192C487.2 192 480 199.2 480 208C480 216.8 487.2 224 496 224z"],
    "tv": [640, 512, [63717, "television", "tv-alt"], "f26c", "M520 464H120C106.7 464 96 474.7 96 488C96 501.3 106.7 512 120 512h400c13.25 0 24-10.75 24-24C544 474.7 533.3 464 520 464zM576 0H64C28.65 0 0 28.65 0 64v288c0 35.35 28.65 64 64 64h512c35.35 0 64-28.65 64-64V64C640 28.65 611.3 0 576 0zM592 352c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V64c0-8.822 7.178-16 16-16h512c8.822 0 16 7.178 16 16V352z"],
    "tv-music": [640, 512, [], "f8e6", "M520 464H120C106.7 464 96 474.7 96 488C96 501.3 106.7 512 120 512h400c13.25 0 24-10.75 24-24C544 474.7 533.3 464 520 464zM576 0H64C28.65 0 0 28.65 0 64v288c0 35.35 28.65 64 64 64h512c35.35 0 64-28.65 64-64V64C640 28.65 611.3 0 576 0zM592 352c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V64c0-8.822 7.178-16 16-16h512c8.822 0 16 7.178 16 16V352zM395.3 96.75l-128 47.25C260.5 146.1 256 152.3 256 159.3v98.75C250.8 256.8 245.4 256 240 256C213.5 256 192 270.4 192 288s21.5 32 48 32S288 305.6 288 288V203.1l96-37.5v60.38C378.8 224.8 373.4 224 368 224C341.5 224 320 238.4 320 256s21.5 32 48 32S416 273.6 416 256V112c0-5.125-2.375-9.875-6.5-12.88S400 95.25 395.3 96.75z"],
    "tv-retro": [512, 512, [128250], "f401", "M432 96h-110l55.03-55.03c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0l-87.05 86.95L169 7.031c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L190.1 96H80C35.82 96 0 131.8 0 176v256C0 476.2 35.82 512 80 512h352c44.18 0 80-35.82 80-80v-256C512 131.8 476.2 96 432 96zM464 440c0 13.25-10.75 24-24 24H72c-13.25 0-24-10.75-24-24v-272c0-13.25 10.75-24 24-24h368c13.25 0 24 10.75 24 24V440zM416 200c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24S440 237.3 440 224C440 210.7 429.3 200 416 200zM300.8 192H147.2C118.9 192 96 214.3 96 241.8v124.4C96 393.7 118.9 416 147.2 416h153.6C329.1 416 352 393.7 352 366.2V241.8C352 214.3 329.1 192 300.8 192zM416 280c-13.25 0-24 10.74-24 24c0 13.25 10.75 24 24 24s24-10.75 24-24C440 290.7 429.3 280 416 280z"],
    "typewriter": [512, 512, [], "f8e7", "M356 356h16c6.6 0 12-5.4 12-12v-16c0-6.6-5.4-12-12-12h-16c-6.6 0-12 5.4-12 12v16C344 350.6 349.4 356 356 356zM212 356h16c6.6 0 12-5.4 12-12v-16c0-6.6-5.4-12-12-12h-16c-6.6 0-12 5.4-12 12v16C200 350.6 205.4 356 212 356zM284 356h16c6.6 0 12-5.4 12-12v-16c0-6.6-5.4-12-12-12h-16c-6.6 0-12 5.4-12 12v16C272 350.6 277.4 356 284 356zM140 356h16c6.6 0 12-5.4 12-12v-16c0-6.6-5.4-12-12-12h-16C133.4 316 128 321.4 128 328v16C128 350.6 133.4 356 140 356zM144 432h224c8.875 0 16-7.125 16-16v-16c0-8.875-7.125-16-16-16h-224C135.1 384 128 391.1 128 400V416C128 424.9 135.1 432 144 432zM480 192h-114.8c-8.5 0-16.62 3.375-22.62 9.375l-13.25 13.25C323.4 220.6 315.3 224 306.8 224h-101.5c-8.5 0-16.62-3.375-22.62-9.375L169.4 201.4C163.4 195.4 155.3 192 146.8 192H32C14.38 192 0 206.4 0 224v32c0 17.62 14.38 32 32 32v160c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V288c17.62 0 32-14.38 32-32V224C512 206.4 497.6 192 480 192zM432 448c0 8.875-7.125 16-16 16H96c-8.875 0-16-7.125-16-16V288h352V448zM127.1 48h222.1L384 81.94V160h48V81.94c0-12.73-5.057-24.94-14.06-33.94l-33.94-33.94C375 5.057 362.8 0 350.1 0H127.1C101.5 0 80.01 21.48 80 47.98l.0039 82.28C80 130.3 80 160 80 160h48.01L127.1 48z"],
    "u": [384, 512, [117], "55", "M192 480c-105.9 0-192-84.76-192-188.9V56C0 42.75 10.75 32 24 32S48 42.75 48 56v235.1C48 368.8 112.6 432 192 432s144-63.22 144-140.9V56C336 42.75 346.8 32 360 32S384 42.75 384 56v235.1C384 395.3 297.9 480 192 480z"],
    "ufo": [640, 512, [128760], "e047", "M152 312C152 325.3 141.3 336 128 336C114.7 336 104 325.3 104 312C104 298.7 114.7 288 128 288C141.3 288 152 298.7 152 312zM344 352C344 365.3 333.3 376 320 376C306.7 376 296 365.3 296 352C296 338.7 306.7 328 320 328C333.3 328 344 338.7 344 352zM488 312C488 298.7 498.7 288 512 288C525.3 288 536 298.7 536 312C536 325.3 525.3 336 512 336C498.7 336 488 325.3 488 312zM587.2 223.1C616.6 242.9 640 270.2 640 304.5C640 329.7 627.3 351.3 609.3 368.4C591.4 385.5 566.8 399.8 538.3 411.3C481.2 434.3 404 448 320 448C235.1 448 158.8 434.3 101.7 411.3C73.24 399.8 48.6 385.5 30.69 368.4C12.72 351.3 0 329.7 0 304.5C0 270.2 23.36 242.9 52.8 223.1C80.57 204.5 117.9 189.6 160.6 179.1C183.2 110.9 247.4 64 320 64C392.6 64 456.8 110.9 479.4 179.1C522.1 189.6 559.4 204.5 587.2 223.1zM176.6 246.3L159.1 262.8C155.4 258.8 153.1 253.7 152.6 248.4C152.2 242.5 151.9 236.8 152 231.1C121.1 240 97.41 250.1 79.54 262.1C55.43 279.1 48 293.9 48 304.5C48 312.4 51.84 322.2 63.83 333.7C75.88 345.2 94.58 356.6 119.7 366.8C169.7 386.1 240.6 400 320 400C399.4 400 470.3 386.1 520.3 366.8C545.4 356.6 564.1 345.2 576.2 333.7C588.2 322.2 592 312.4 592 304.5C592 293.9 584.6 279.1 560.5 262.1C542.6 250.1 518 240 487.1 231.1C488.1 236.8 487.8 242.5 487.4 248.4C486.9 253.7 484.6 258.8 480.9 262.8L463.4 246.3C480.9 262.8 480.9 262.7 480.9 262.8L480.9 262.8L480.8 262.9L480.7 262.1L480.5 263.2C480.3 263.4 480 263.7 479.8 263.1C479.2 264.5 478.5 265.2 477.6 266C475.7 267.6 473.2 269.7 469.9 272.2C463.4 277 453.8 283.1 440.8 288.1C414.7 300.9 375.5 311.1 320 311.1C264.5 311.1 225.3 300.9 199.2 288.1C186.2 283.1 176.6 277 170.1 272.2C166.8 269.7 164.3 267.6 162.4 266C161.5 265.2 160.8 264.5 160.2 263.1C159.1 263.7 159.7 263.4 159.5 263.2L159.3 262.1L159.2 262.9L159.1 262.8L159.1 262.8C159.1 262.7 159.1 262.8 176.6 246.3L176.6 246.3zM439.1 234.6C440.8 164.7 384.1 112 320 112C255 112 199.2 164.7 200 234.6C204.1 237.5 210.4 241.4 219.1 245.3C238.7 254.3 271.1 264 320 264C368.9 264 401.3 254.3 420.9 245.3C429.6 241.4 435.9 237.5 439.1 234.6V234.6z"],
    "ufo-beam": [576, 512, [], "e048", "M48.99 126.9C72.94 112.1 104.6 100.3 140.7 91.71C165.7 36.33 224.3 0 288 0C351.7 0 410.3 36.33 435.3 91.71C471.4 100.3 503.1 112.1 527 126.9C553.1 143.1 576 166.6 576 197.9C576 220.8 563.4 239.8 547.1 254.1C530.8 268.5 508.5 280.3 483 289.8C431.1 308.7 362.1 319.1 287.1 319.1C213 319.1 144 308.7 92.96 289.8C67.51 280.3 45.24 268.5 28.9 254.1C12.6 239.8-.0002 220.8-.0002 197.9C-.0002 166.6 22.92 143.1 48.99 126.9V126.9zM152.5 163.3L135.6 180.4C131.6 176.4 129.1 171.1 128.6 165.5C127.1 158.5 127.8 151.5 128.1 144.8C106.1 151.5 87.88 159.3 74.23 167.8C52.55 181.2 47.1 192.2 47.1 197.9C47.1 202 50.17 208.9 60.59 218C70.97 227.2 87.36 236.5 109.7 244.8C154.2 261.3 217.2 272 287.1 272C358.8 272 421.8 261.3 466.3 244.8C488.6 236.5 505 227.2 515.4 218C525.8 208.9 528 202 528 197.9C528 192.2 523.5 181.2 501.8 167.8C488.1 159.3 469.9 151.5 447.9 144.8C448.2 151.5 448 158.5 447.4 165.5C446.9 171.1 444.4 176.4 440.4 180.4L423.5 163.3C440.4 180.4 440.4 180.4 440.4 180.4L440.3 180.4L440.3 180.5L440.2 180.6L439.9 180.8C439.7 181 439.5 181.2 439.2 181.5C438.6 181.1 437.9 182.6 437.1 183.3C435.3 184.8 432.9 186.7 429.7 188.8C423.5 193.2 414.4 198.5 402.1 203.8C377.4 214.2 340.3 223.1 288 223.1C235.7 223.1 198.6 214.2 173.9 203.8C161.6 198.5 152.5 193.2 146.3 188.8C143.1 186.7 140.7 184.8 138.9 183.3C138.1 182.6 137.4 181.1 136.8 181.5C136.5 181.2 136.3 181 136.1 180.8L135.8 180.6L135.7 180.5L135.7 180.4L135.6 180.4C135.6 180.4 135.6 180.4 152.5 163.3H152.5zM399.1 150.1C399.4 93.51 349.7 48 288 48C226.3 48 176.6 93.51 176 150.1C179.8 153.4 185.3 156.4 192.7 159.6C211.1 167.4 241.8 176 288 176C334.2 176 364.9 167.4 383.3 159.6C390.7 156.4 396.2 153.4 399.1 150.1L399.1 150.1zM45.21 499.2C39.01 510.9 24.49 515.4 12.77 509.2C1.056 503-3.413 488.5 2.789 476.8L74.79 340.8C80.99 329.1 95.51 324.6 107.2 330.8C118.9 336.1 123.4 351.5 117.2 363.2L45.21 499.2zM573.2 476.8C579.4 488.5 574.9 503 563.2 509.2C551.5 515.4 536.1 510.9 530.8 499.2L458.8 363.2C452.6 351.5 457.1 336.1 468.8 330.8C480.5 324.6 495 329.1 501.2 340.8L573.2 476.8z"],
    "umbrella": [576, 512, [], "f0e9", "M287.1 300.9c-6.088 0-12.11 1.76-24 17.8V440c0 13.22-10.78 24-24 24c-13.22 0-24-10.78-24-24c0-13.25-10.75-24-23.1-24c-13.25 0-24 10.75-24 24c0 39.69 32.32 72 72 72s72-32.31 72-72V318.1C303.5 307.1 295.3 300.9 287.1 300.9zM575.1 260.3c-22.97-100-100.2-176.1-206.7-203.5c-17.01-4.379-35.38-7.01-56.44-8.117V24c0-13.26-10.75-23.1-24-23.1S263.1 10.74 263.1 24v24.63C242.1 49.73 224.6 52.36 207.6 56.72C101.6 83.97 24.33 160.1 .9227 260.1C-2.546 274.6 3.985 290.1 16.83 297.8C29.64 305.4 45.61 303.7 58.08 292.5c18.25-17.66 35.63-25.69 50.69-23.72c18.69 2.281 38.63 19.66 57.53 50.03C172.9 329.6 183.9 336 195.7 336c11.94 0 23-6.438 29.5-17.03c20.25-32.47 36.25-50.06 62.75-50.06c30.97 0 51.63 29.62 62.63 49.84C357.2 329.5 368.2 335.1 380.2 336c11.88 0 22.91-6.438 29.41-17.03c18.94-30.41 38.88-47.69 57.63-50c15.38-2.062 32.53 6 51.44 24.22c11.78 10.53 27.72 12.31 40.53 4.625C571.1 290.1 578.5 274.7 575.1 260.3zM461.3 221.3c-29.22 3.625-56.22 21.94-80.53 54.66c-24.47-35.66-56.88-55.06-92.82-55.06c-46.63 0-74.82 30.38-92.38 55.59C171.2 243.3 143.1 224.8 114.6 221.1C111.1 220.7 107.5 220.5 103.1 220.5c-14.41 0-28.75 3.625-42.78 10.72c28.16-62.53 84.91-109.1 158.3-127.1C238.7 98.28 260.4 96 287.1 96c27.56 0 49.31 2.312 68.5 7.25c73.91 19.03 130.8 65.69 158.7 128.2C497.4 222.5 479.5 219.1 461.3 221.3z"],
    "umbrella-beach": [640, 512, [127958], "f5ca", "M443.5 17.94C409.8 5.608 375.3 0 341.4 0C250.1 0 164.6 41.44 107.1 112.1c-6.752 8.349-2.752 21.07 7.375 24.68C303.1 203.8 447.4 258.3 618.4 319.1c1.75 .623 3.623 .9969 5.5 .9969c8.25 0 15.88-6.355 16-15.08C643 180.7 567.2 62.8 443.5 17.94zM177.1 108.4c42.88-36.51 97.76-58.07 154.5-60.19c-4.5 3.738-36.88 28.41-70.25 90.72L177.1 108.4zM452.6 208.1L307.4 155.4c14.25-25.17 30.63-47.23 48.13-63.8c25.38-23.93 50.13-34.02 67.51-27.66c17.5 6.355 29.75 29.78 33.75 64.42C459.6 152.4 457.9 179.6 452.6 208.1zM497.8 224.4c7.375-34.89 12.13-76.76 4.125-117.9c45.75 38.13 77.13 91.34 86.88 150.9L497.8 224.4zM576 488.1C576 501.3 565.3 512 552 512L23.99 510.4c-13.25 0-24-10.72-24-23.93c0-13.21 10.75-23.93 24-23.93l228 .6892l78.35-214.8l45.06 16.5l-72.38 198.4l248.1 .7516C565.3 464.1 576 474.9 576 488.1z"],
    "umbrella-simple": [512, 512, ["umbrella-alt"], "e2bc", "M232 440c0 13.22-10.78 24-24 24s-24-10.78-24-24C184 426.8 173.3 416 160 416s-24 10.75-24 24c0 39.69 32.31 72 71.1 72S280 479.7 280 440V320h-48V440zM280 33.1V23.66C280 10.59 269.4 0 256.3 0H255.7C242.6 0 232 10.59 232 23.66v9.434c-119.2 10.89-214.1 102.1-231.7 218.5C-2.436 270.8 13 288 32.55 288h446.9c19.55 0 34.99-17.19 32.24-36.38C494.1 135.2 399.2 43.98 280 33.1zM51.35 240C73.48 147.6 158.3 80 256 80s182.5 67.58 204.6 160H51.35z"],
    "underline": [448, 512, [], "f0cd", "M40 48H64v192c0 88.22 71.78 160 160 160s160-71.78 160-160v-192h24c13.25 0 24-10.75 24-24S421.3 0 408 0h-96C298.8 0 288 10.75 288 24s10.75 24 24 24h24v192c0 61.75-50.25 112-112 112S112 301.8 112 240v-192h24C149.3 48 160 37.25 160 24S149.3 0 136 0h-96C26.75 0 16 10.75 16 24S26.75 48 40 48zM424 464H24C10.75 464 0 474.8 0 488S10.75 512 24 512h400c13.25 0 24-10.75 24-24S437.3 464 424 464z"],
    "unicorn": [640, 512, [129412], "f727", "M632 64h-105.4l-15.25-18.62c16.36-5.121 28.97-18.63 32.48-35.73c1.022-4.977-2.857-9.643-7.938-9.643L400 0C331.5 0 274.1 48 259.5 112H176c-38.13 0-71.75 19.25-92 48.38C37.38 162.5 0 200.9 0 248v48C0 309.3 10.75 320 24 320s24-10.75 24-23.1L48 248c0-13.25 6.875-24.38 16.75-31.62c-.125 2.5-.7514 5.002-.7514 7.627c0 30.12 11.88 58.12 32.13 78.62l-12.88 43.75c-4 13.25-4.375 27.38-1.125 40.75l24.13 100.4C109.8 501.9 122.6 512 137.4 512H212.1c20.85 0 36.13-19.62 31.01-39.84l-25.51-100.8l8.5-23.75l29.88 8.625V480c0 17.6 14.4 32 32 32h80c17.6 0 32-14.4 32-32v-155.6C420.6 301.2 432 271.5 432 240V234.4c21 7 38.38 .75 40.88-.125l31.05-10.6c23.97-8.181 40.08-30.7 40.08-56.03l-.0004-52.25l92.38-36.75C643 74.25 639.9 64 632 64zM488.5 178.2l-31 10.5c-1.625 .5-9.75 3-16.5-3.75L416 160h-32v80c0 26.12-12.63 49-32 63.63L352 464H304V320L196.1 289.1L167.5 369L191.5 464H150l-21.13-87.88C127.6 370.8 127.8 365.2 129.3 360l22.75-76.75C128.5 273.8 112 250.9 112 224c0-35.38 28.63-64 64-64h128l.0002-16c0-53 42.88-96 96-96h51.25l44.75 54.25v65.38C496 172.4 493 176.6 488.5 178.2zM432 80c-8.875 0-16 7.125-16 16s7.125 16 16 16c8.875 0 16-7.125 16-16S440.9 80 432 80z"],
    "uniform-martial-arts": [640, 512, [], "e3d1", "M464 320h-288C167.2 320 160 327.2 160 336C160 344.8 167.2 352 176 352h114.1L243.2 422.4c-1.967 2.95-3.105 6.244-3.105 9.652C240.1 444.6 251.6 448 256 448c5.156 0 10.22-2.5 13.31-7.125L320 364.8l50.69 76.03C373.8 445.5 378.8 448 384 448c4.379 0 15.94-3.497 15.94-15.94c0-3.408-1.138-6.702-3.105-9.652L349.9 352H464c8.836 0 16-7.164 16-16C480 327.2 472.8 320 464 320zM432 456c0 4.406-3.594 8-8 8h-208c-4.406 0-8-3.594-8-8V384H160v72C160 486.9 185.1 512 216 512h208c30.88 0 56-25.12 56-56V384h-48V456zM622.7 181.9l-71.03-126.8C532.6 21.09 496.6 0 457.7 0H400c-9 0-17.22 5.031-21.34 13.03L323.1 119.4L260.7 11.83C256.4 4.5 248.5 0 240 0H182.3C143.4 0 107.4 21.09 88.38 55.05L17.34 181.9C5.1 202.1 0 225.1 0 248.3V392C0 422.9 25.12 448 56 448h32c30.88 0 56-25.12 56-56V267.8L160 242.6V288h48V160c0-7.719-6.009-24-24-24c-8.062 0-15.78 4.078-20.25 11.14l-64 100.8C97.28 251.8 96 256.3 96 260.8V392c0 4.406-3.594 8-8 8h-32c-4.406 0-8-3.594-8-8V248.3c0-15.03 3.875-29.89 11.22-42.98l71.03-126.8C140.8 59.69 160.8 48 182.3 48h43.97l71.69 121.9L237.2 288h53.97l123.4-240h43.03c21.56 0 41.5 11.69 52.06 30.52l71.03 126.8C588.1 218.4 592 233.3 592 248.3V392c0 4.406-3.594 8-8 8h-32c-4.406 0-8-3.594-8-8V260.1c0-4.578-1.312-9.062-3.781-12.92l-64-100.1c-4.5-7.031-12.23-11.07-20.25-11.07C438 136 432 152 432 160v128H480V242.1l16 25.03V392c0 30.88 25.12 56 56 56h32c30.88 0 56-25.12 56-56V248.3C640 225.1 633.1 202.1 622.7 181.9z"],
    "union": [384, 512, [8899], "f6a2", "M0 288V56C0 42.75 10.75 32 24 32S48 42.75 48 56V288c0 79.41 64.59 144 144 144s144-64.59 144-144V56C336 42.75 346.8 32 360 32S384 42.75 384 56v232c0 105.9-86.13 191.1-192 191.1S0 393.9 0 288z"],
    "universal-access": [512, 512, [], "f29a", "M256 176c22.09 0 40-17.91 40-40S278.1 96 256 96S216 113.9 216 136S233.9 176 256 176zM361.4 176.9l-59.25 16.94c-30.17 8.623-62.15 8.623-92.31 0L150.6 176.9C137.9 173.2 124.6 180.7 120.9 193.4s3.734 26.03 16.48 29.66l59.25 16.97C200.4 241.1 204.2 241.6 208 242.4v46.29l-30.64 87.34c-4.391 12.5 2.188 26.19 14.69 30.59C194.7 407.6 197.4 408 200 408c9.906 0 19.19-6.188 22.64-16.06l25.85-70.65c2.562-7.002 12.46-7.002 15.03 0l25.85 70.65C292.8 401.8 302.1 408 312 408c2.641 0 5.312-.4375 7.953-1.344c12.5-4.406 19.08-18.09 14.69-30.59L304 288.7V242.4C307.8 241.6 311.6 241.1 315.3 240l59.25-16.94c12.75-3.625 20.12-16.91 16.48-29.66C387.4 180.7 374.1 173.2 361.4 176.9zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464z"],
    "unlock": [448, 512, [128275], "f09c", "M144 192H384C419.3 192 448 220.7 448 256V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V256C0 220.7 28.65 192 64 192H96V128C96 57.31 153.3 0 224 0C280.1 0 329.2 37.22 345.8 88.62C349.9 101.2 342.1 114.8 330.4 118.8C317.7 122.9 304.2 115.1 300.1 103.4C289.8 71.22 259.6 48 223.1 48C179.8 48 143.1 83.82 143.1 128L144 192zM48 448C48 456.8 55.16 464 64 464H384C392.8 464 400 456.8 400 448V256C400 247.2 392.8 240 384 240H64C55.16 240 48 247.2 48 256V448z"],
    "unlock-keyhole": [448, 512, ["unlock-alt"], "f13e", "M192 376C178.7 376 168 365.3 168 352C168 338.7 178.7 328 192 328H256C269.3 328 280 338.7 280 352C280 365.3 269.3 376 256 376H192zM224 48C179.8 48 144 83.82 144 128V192H384C419.3 192 448 220.7 448 256V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V256C0 220.7 28.65 192 64 192H96V128C96 57.31 153.3 0 224 0C280.1 0 329.2 37.22 345.8 88.62C349.9 101.2 342.1 114.8 330.4 118.8C317.7 122.9 304.2 115.1 300.1 103.4C289.8 71.22 259.6 48 223.1 48L224 48zM64 240C55.16 240 48 247.2 48 256V448C48 456.8 55.16 464 64 464H384C392.8 464 400 456.8 400 448V256C400 247.2 392.8 240 384 240H64z"],
    "up": [384, 512, ["arrow-alt-up"], "f357", "M2.438 252.3C7.391 264.2 19.06 272 32 272h80v160c0 26.51 21.49 48 48 48h64C250.5 480 272 458.5 272 432v-160H352c12.94 0 24.61-7.797 29.56-19.75c4.953-11.97 2.219-25.72-6.938-34.88l-160-176C208.4 35.13 200.2 32 192 32S175.6 35.13 169.4 41.38l-160 176C.2188 226.5-2.516 240.3 2.438 252.3zM192 86.63L313.4 224H224v208H160V224H70.63L192 86.63z"],
    "up-down": [256, 512, [11021, 8597, "arrows-alt-v"], "f338", "M254 366.4C250.2 357.7 241.5 352 232 352H152V160h80c9.547 0 18.19-5.656 21.1-14.41c3.813-8.75 2.078-18.94-4.406-25.92l-104-112C141 2.781 134.5 .3359 128 .3359s-13.05 2.445-17.59 7.336l-104 112C-.0781 126.7-1.813 136.8 1.999 145.6C5.812 154.3 14.45 160 24 160h80v192H24c-9.547 0-18.19 5.656-22 14.41s-2.078 18.94 4.406 25.92l103.1 112c4.547 4.891 11.07 7.336 17.6 7.336s13.05-2.445 17.59-7.336l104-112C256.1 385.3 257.8 375.2 254 366.4z"],
    "up-down-left-right": [512, 512, ["arrows-alt"], "f0b2", "M512 256c0 6.797-2.891 13.28-7.938 17.84l-80 72C419.6 349.9 413.8 352 408 352c-3.312 0-6.625-.6875-9.766-2.078C389.6 346.1 384 337.5 384 328v-48h-104V384l47.1 .0026c9.484 0 18.06 5.578 21.92 14.23s2.25 18.78-4.078 25.83l-72 80C269.3 509.1 262.8 512 255.1 512s-13.28-2.89-17.84-7.937l-71.1-80c-6.328-7.047-7.938-17.17-4.078-25.83s12.44-14.23 21.92-14.23L232 384V280H128v48c0 9.484-5.578 18.06-14.23 21.92C110.6 351.3 107.3 352 104 352c-5.812 0-11.56-2.109-16.06-6.156l-80-72C2.891 269.3 0 262.8 0 256s2.891-13.28 7.938-17.84l80-72C95 159.8 105.1 158.3 113.8 162.1C122.4 165.9 128 174.5 128 184v48h104V128L183.1 128c-9.484 0-18.06-5.578-21.92-14.23S159.8 94.99 166.2 87.94l71.1-80c9.125-10.09 26.56-10.09 35.69 0l72 80c6.328 7.047 7.938 17.17 4.078 25.83s-12.44 14.23-21.92 14.23L280 128v104H384v-48c0-9.484 5.578-18.06 14.23-21.92c8.656-3.812 18.77-2.266 25.83 4.078l80 72C509.1 242.7 512 249.2 512 256z"],
    "up-from-bracket": [448, 512, [], "e590", "M424 320C437.3 320 448 330.7 448 344V416C448 469 405 512 352 512H96C42.98 512 0 469 0 416V344C0 330.7 10.74 320 24 320C37.25 320 48 330.7 48 344V416C48 442.4 69.6 464 96 464H352C378.4 464 400 442.4 400 416V344C400 330.7 410.7 320 424 320zM224.5 0C231.4 0 237.9 2.938 242.4 8.062L375.5 160.5C381.1 166.7 383.1 174.7 383.1 182.7C383.1 187.4 383 192.2 381 196.6C375.7 208.4 364 216 351.3 216H295.1V336C295.1 358.1 278 376 255.1 376H191.1C169.9 376 151.1 358.1 151.1 336V216H96.67C83.92 216 72.27 208.4 66.95 196.6C61.55 184.5 63.67 170.3 72.42 160.5L206.6 8.062C211.1 2.937 217.6 0 224.5 0V0zM224.5 60.16L129.1 168H199.1V328H247.1V168H318L224.5 60.16z"],
    "up-from-dotted-line": [448, 512, [], "e456", "M259.9 48.11L387.9 192.1C400.4 206.2 403.5 226.4 395.8 243.7C388 260.9 370.9 272 352 272H304V328C304 358.9 278.9 384 248 384H199.1C169.1 384 143.1 358.9 143.1 328V272H95.1C77.1 272 59.96 260.9 52.21 243.7C44.47 226.4 47.57 206.2 60.12 192.1L188.1 48.11C197.2 37.86 210.3 32 223.1 32C237.7 32 250.8 37.86 259.9 48.11V48.11zM95.1 224H191.1V328C191.1 332.4 195.6 336 199.1 336H248C252.4 336 256 332.4 256 328V224H352L223.1 80L95.1 224zM0 448C0 430.3 14.33 416 32 416C49.67 416 64 430.3 64 448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448zM160 448C160 465.7 145.7 480 128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416C145.7 416 160 430.3 160 448zM192 448C192 430.3 206.3 416 224 416C241.7 416 256 430.3 256 448C256 465.7 241.7 480 224 480C206.3 480 192 465.7 192 448zM352 448C352 465.7 337.7 480 320 480C302.3 480 288 465.7 288 448C288 430.3 302.3 416 320 416C337.7 416 352 430.3 352 448zM384 448C384 430.3 398.3 416 416 416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480C398.3 480 384 465.7 384 448z"],
    "up-from-line": [384, 512, ["arrow-alt-from-bottom"], "f346", "M360 432H24C10.75 432 0 442.8 0 456S10.75 480 24 480h336c13.25 0 24-10.75 24-24S373.3 432 360 432zM69.09 272H112v64c0 26.51 21.49 47.95 48 47.95h64c26.51 0 48-21.44 48-47.95v-64h43.29c41.63 0 63.52-49.37 35.58-80.23l-136.2-150.4C208.4 35.13 200.2 32 192 32S175.6 35.13 169.4 41.38L33.47 191.8C5.582 222.7 27.49 272 69.09 272zM192 86.63L313.4 224H224v112H160V224H70.63L192 86.63z"],
    "up-left": [384, 512, [], "e2bd", "M249.4 128L179.3 198.1l156.7 156.7l-45.26 45.25L134.1 243.3l-70.06 70.05V128H249.4zM287.1 80H47.1c-17.67 0-31.1 14.31-31.1 31.1L15.1 352c0 12.94 7.797 24.62 19.75 29.56c3.967 1.672 8.133 2.48 12.26 2.48c8.313 0 16.48-3.281 22.61-9.418l63.43-63.43l122.7 122.7C266.2 443.3 278.5 448 290.7 448c12.28 0 24.57-4.688 33.94-14.06l45.25-45.25c18.75-18.75 18.74-49.14 0-67.88L247.2 198.1l63.43-63.43c9.156-9.156 11.89-22.91 6.938-34.88C312.6 87.78 300.9 80 287.1 80z"],
    "up-long": [320, 512, ["long-arrow-alt-up"], "f30c", "M285.1 145.7c-3.81 8.758-12.45 14.42-21.1 14.42L184 160.1V488c0 13.25-10.75 24-24 24s-24-10.75-24-24V160.1L55.1 160.1c-9.547 0-18.19-5.658-22-14.42C30.19 136.9 31.92 126.7 38.41 119.8l104-112.1c9.5-10.23 25.69-10.23 35.19 0l104 112.1C288.1 126.7 289.8 136.9 285.1 145.7z"],
    "up-right": [384, 512, [], "e2be", "M320 128v185.4l-70.06-70.05L93.25 400l-45.25-45.25l156.7-156.7L134.6 128H320zM336 80H96c-12.94 0-24.61 7.781-29.56 19.75C61.48 111.7 64.22 125.5 73.38 134.6L136.8 198.1l-122.7 122.8c-18.74 18.74-18.75 49.14 0 67.88l45.25 45.25C68.69 443.3 80.97 448 93.25 448s24.57-4.684 33.94-14.06l122.7-122.7l63.43 63.43c6.127 6.137 14.3 9.418 22.61 9.418c4.131 0 8.295-.8086 12.26-2.48C360.2 376.6 368 364.9 368 352l-.0001-240C368 94.31 353.7 80 336 80z"],
    "up-right-and-down-left-from-center": [512, 512, ["expand-alt"], "f424", "M183 295l-81.38 81.38l-47.03-47.03c-6.127-6.117-14.29-9.367-22.63-9.367c-4.117 0-8.279 .8086-12.25 2.43c-11.97 4.953-19.75 16.63-19.75 29.56v135.1C.0013 501.3 10.75 512 24 512h136c12.94 0 24.63-7.797 29.56-19.75c4.969-11.97 2.219-25.72-6.938-34.87l-47.03-47.03l81.38-81.38c9.375-9.375 9.375-24.56 0-33.94S192.4 285.7 183 295zM487.1 0h-136c-12.94 0-24.63 7.797-29.56 19.75c-4.969 11.97-2.219 25.72 6.938 34.87l47.04 47.03l-81.38 81.38c-9.375 9.375-9.375 24.56 0 33.94s24.56 9.375 33.94 0l81.38-81.38l47.03 47.03c6.127 6.117 14.3 9.35 22.63 9.35c4.117 0 8.275-.7918 12.24-2.413C504.2 184.6 512 172.9 512 159.1V23.1C512 10.75 501.3 0 487.1 0z"],
    "up-right-from-square": [512, 512, ["external-link-alt"], "f35d", "M488 0h-135.3c-13.25 0-25.09 7.906-30.19 20.16c-5.062 12.28-2.281 26.25 7.094 35.63l40.69 40.69L177.4 289.4c-12.5 12.5-12.5 32.75 0 45.25C183.6 340.9 191.8 344 200 344s16.38-3.125 22.62-9.375l192.9-192.9l40.69 40.69C462.5 188.7 470.8 192 479.3 192c4.219 0 8.469-.8125 12.56-2.5C504.1 184.4 512 172.6 512 159.3V24C512 10.75 501.3 0 488 0zM392 320c-13.25 0-24 10.75-24 24v112c0 4.406-3.594 8-8 8h-304c-4.406 0-8-3.594-8-8v-304c0-4.406 3.594-8 8-8h112C181.3 144 192 133.3 192 120S181.3 96 168 96h-112C25.13 96 0 121.1 0 152v304C0 486.9 25.13 512 56 512h304c30.88 0 56-25.12 56-56v-112C416 330.8 405.3 320 392 320z"],
    "up-to-dotted-line": [448, 512, [], "e457", "M259.9 144.1L387.9 288.1C400.4 302.2 403.5 322.4 395.8 339.7C388 356.9 370.9 368 352 368H304V424C304 454.9 278.9 480 248 480H199.1C169.1 480 143.1 454.9 143.1 424V368H95.1C77.1 368 59.96 356.9 52.21 339.7C44.47 322.4 47.57 302.2 60.12 288.1L188.1 144.1C197.2 133.9 210.3 128 223.1 128C237.7 128 250.8 133.9 259.9 144.1V144.1zM95.1 320H191.1V424C191.1 428.4 195.6 432 199.1 432H248C252.4 432 256 428.4 256 424V320H352L223.1 176L95.1 320zM448 64C448 81.67 433.7 96 416 96C398.3 96 384 81.67 384 64C384 46.33 398.3 32 416 32C433.7 32 448 46.33 448 64V64zM288 64C288 46.33 302.3 32 320 32C337.7 32 352 46.33 352 64C352 81.67 337.7 96 320 96C302.3 96 288 81.67 288 64V64zM256 64C256 81.67 241.7 96 224 96C206.3 96 192 81.67 192 64C192 46.33 206.3 32 224 32C241.7 32 256 46.33 256 64V64zM96 64C96 46.33 110.3 32 128 32C145.7 32 160 46.33 160 64C160 81.67 145.7 96 128 96C110.3 96 96 81.67 96 64V64zM64 64C64 81.67 49.67 96 32 96C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64V64z"],
    "up-to-line": [384, 512, ["arrow-alt-to-top"], "f34d", "M360 32H24C10.75 32 0 42.75 0 56S10.75 80 24 80h336C373.3 80 384 69.25 384 56S373.3 32 360 32zM214.3 137.4C208 131.1 199.8 128 191.6 128S175.3 131.1 169 137.4L33.09 287.8C5.207 318.7 27.11 368 68.71 368h42.91v64c0 26.51 21.49 48 48 48h64c26.51 0 48-21.49 48-48v-64h43.29c41.63 0 63.52-49.37 35.58-80.23L214.3 137.4zM223.6 320v112h-64V320H70.26l121.4-137.4L312.1 320H223.6z"],
    "upload": [512, 512, [], "f093", "M448 304h-128V352h128c8.822 0 16 7.178 16 16V448c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16v-80C48 359.2 55.18 352 64 352h128V304H64c-35.35 0-64 28.65-64 64V448c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64v-80C512 332.7 483.3 304 448 304zM136.1 176.1L232 81.94V352c0 13.25 10.75 24 24 24s24-10.75 24-24V81.94l95.03 95.03C379.7 181.7 385.8 184 392 184s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94l-136-136c-9.375-9.375-24.56-9.375-33.94 0l-136 136c-9.375 9.375-9.375 24.56 0 33.94S127.6 186.3 136.1 176.1zM432 408c0-13.26-10.75-24-24-24S384 394.7 384 408c0 13.25 10.75 24 24 24S432 421.3 432 408z"],
    "usb-drive": [640, 512, [], "f8e9", "M416 96L64 96c-35.35 0-64 28.65-64 64v192c0 35.35 28.65 64 64 64L416 416c17.67 0 32-14.33 32-32V128C448 110.3 433.7 96 416 96zM400 368H64c-8.822 0-16-7.178-16-16V160c0-8.822 7.178-16 16-16h336V368zM608 128h-128v256h128c17.67 0 32-14.33 32-32V160C640 142.3 625.7 128 608 128zM584 312c0 8.875-7.125 16-16 16h-16c-8.875 0-16-7.125-16-16v-16c0-8.875 7.125-16 16-16h16c8.875 0 16 7.125 16 16V312zM584 216c0 8.875-7.125 16-16 16h-16c-8.875 0-16-7.125-16-16v-16c0-8.875 7.125-16 16-16h16c8.875 0 16 7.125 16 16V216z"],
    "user": [448, 512, [62144, 128100], "f007", "M272 304h-96C78.8 304 0 382.8 0 480c0 17.67 14.33 32 32 32h384c17.67 0 32-14.33 32-32C448 382.8 369.2 304 272 304zM48.99 464C56.89 400.9 110.8 352 176 352h96c65.16 0 119.1 48.95 127 112H48.99zM224 256c70.69 0 128-57.31 128-128c0-70.69-57.31-128-128-128S96 57.31 96 128C96 198.7 153.3 256 224 256zM224 48c44.11 0 80 35.89 80 80c0 44.11-35.89 80-80 80S144 172.1 144 128C144 83.89 179.9 48 224 48z"],
    "user-alien": [448, 512, [], "e04a", "M249.1 232h20C297.6 232 320 210.5 320 184V177.6C320 172.3 315.5 168 309.1 168h-20C262.4 168 240 189.5 240 216v6.4C240 227.7 244.5 232 249.1 232zM197.1 232C203.5 232 208 227.7 208 222.4V216c0-26.5-22.4-48-50-48h-20C132.5 168 128 172.3 128 177.6V184c0 26.5 22.4 48 49.1 48H197.1zM330.4 353.6c-17.22 17.38-34.78 33.04-50.98 46.41h35.24c39.69 0 73.14 27.24 82.64 64H50.7c9.498-36.76 42.95-64 82.64-64h35.25c-16.2-13.37-33.76-29.03-50.98-46.41C51.47 361.5 0 417.1 0 485.3C0 500.1 11.94 512 26.66 512H421.3C436.1 512 448 500.1 448 485.3C448 417.1 396.5 361.5 330.4 353.6zM209.4 391.6C213.7 394.1 218.8 396.6 224 396.6s10.33-1.656 14.64-4.984c46.14-35.52 153.5-127.4 153.5-213C392.1 73.45 322.1 0 224 0S55.88 73.45 55.88 178.6C55.88 264.3 163.2 356.1 209.4 391.6zM224 48c72.97 0 120.1 51.28 120.1 130.6c0 40.64-46.64 103.7-120.1 163.4C150.5 282.3 103.9 219.3 103.9 178.6C103.9 99.28 151 48 224 48z"],
    "user-astronaut": [448, 512, [], "f4fb", "M358.6 328.8C379.1 308.6 395.1 283.8 404.8 256H416c8.75 0 16-7.25 16-16v-96C432 135.2 424.8 128 416 128h-11.25C378.5 53.5 307.6 0 224 0S69.5 53.5 43.25 128H32C23.25 128 16 135.2 16 144v96C16 248.8 23.25 256 32 256h11.25c9.75 27.75 25.63 52.63 46.13 72.75C37.38 347.2 0 396.1 0 454.4V488C0 501.2 10.75 512 24 512s24-10.75 24-24v-33.63C48 406.8 86.75 368 134.4 368h13C170.9 378.2 196.8 384 224 384s53.13-5.75 76.63-16h13C361.2 368 400 406.8 400 454.4V488c0 13.25 10.75 24 24 24c13.25 0 24-10.75 24-24v-33.63C448 396.1 410.6 347.2 358.6 328.8zM224 336c-79.38 0-144-64.63-144-144S144.6 48 224 48s144 64.62 144 144S303.4 336 224 336zM304 416h-160c-17.75 0-32 14.25-32 32l0 64H160v-48C160 455.2 167.3 448 176 448S192 455.2 192 464V512h144v-64C336 430.2 321.8 416 304 416zM272 480c-8.75 0-16-7.25-16-16s7.25-16 16-16s16 7.25 16 16S280.8 480 272 480zM288 128H160C133.5 128 112 149.5 112 176V192c0 53 43 96 96 96h32c53 0 96-43 96-96V176C336 149.5 314.5 128 288 128zM204 220L192 256L180 220L144 208l36-12L192 160l12 36L240 208L204 220z"],
    "user-bounty-hunter": [448, 512, [], "e2bf", "M320 352H128c-70.69 0-128 57.31-128 128c0 17.67 14.33 32 32 32h384c17.67 0 32-14.33 32-32C448 409.3 390.7 352 320 352zM288 464L224 416l-64 48H49.61C57.04 427.5 89.37 400 128 400h192c38.63 0 70.96 27.53 78.39 64H288zM89.3 293.9L207.8 320h32.31l118.5-26.09c15.48-3.408 26.17-17.43 25.24-33.11l-6.906-117C372.8 63.19 305.5 0 224 0C170.4 0 123.4 27.6 96 69.22V32c8.836 0 16-7.164 16-16C112 7.162 104.8 0 96 0H80C71.16 0 64 7.162 64 16v248l.3984-.3848C64.86 278.1 74.79 290.7 89.3 293.9zM329.7 156.2l.8125 13.76c-25.14 13.92-64.23 43.82-72.69 97.02L248 269.1V171.5L329.7 156.2zM224 48c49.54 0 91.24 33.84 102.3 80H121.7C132.7 81.94 174.4 48 224 48zM118.3 156.2L200 171.5v97.63L190.2 266.1C181.7 213.8 142.6 183.9 117.5 169.9L118.3 156.2z"],
    "user-check": [640, 512, [], "f4fc", "M274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512H413.3C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM48.71 464C55.38 401.1 108.7 352 173.3 352H274.7c64.61 0 117.1 49.13 124.6 112H48.71zM224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM224 48c44.11 0 80 35.89 80 80c0 44.11-35.89 80-80 80S144 172.1 144 128C144 83.89 179.9 48 224 48zM632.3 134.4c-9.703-9-24.91-8.453-33.92 1.266l-87.05 93.75l-38.39-38.39c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94l56 56C499.5 285.5 505.6 288 512 288h.4375c6.531-.125 12.72-2.891 17.16-7.672l104-112C642.6 158.6 642 143.4 632.3 134.4z"],
    "user-chef": [448, 512, [], "e3d2", "M96 93.06V176c0 70.75 57.25 128 128 128s128-57.25 128-128V93.06C370.6 86.45 384 68.87 384 48C384 21.49 362.5 0 336 0c-14.42 0-27.2 6.488-36 16.55C291.2 6.488 278.4 0 264 0C247.3 0 232.6 8.564 224 21.53C215.4 8.564 200.7 0 184 0C169.6 0 156.8 6.488 148 16.55C139.2 6.488 126.4 0 112 0C85.49 0 64 21.49 64 48C64 68.87 77.4 86.45 96 93.06zM144 160h160v16C304 220.1 268.1 256 224 256S144 220.1 144 176V160zM272 416c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16s16-7.164 16-16C288 423.2 280.8 416 272 416zM352 356.5v-26.28c0-5.205-4.891-9.023-9.939-7.762L224 352l-118.1-29.52C100.9 321.2 96 325 96 330.2v26.28c-54.93 14.23-95.73 63.57-96 122.9C-.0801 497.3 14.1 512 32 512h384c17.9 0 32.08-14.7 32-32.59C447.7 420.1 406.9 370.8 352 356.5zM128 432v32H49.64c6.053-29.22 28.38-53.23 58.4-61.01L144 393.7v-12.2l46.77 11.69l-53.39 24.27C131.7 420 128 425.7 128 432zM160 464v-21.7l100.1-45.5c14.13-6.424 28.82-11.55 43.89-15.32v12.2l35.96 9.314C369.1 410.8 392.3 434.8 398.4 464H160z"],
    "user-clock": [640, 512, [], "f4fd", "M496 224c-79.63 0-144 64.38-144 144s64.38 144 144 144s144-64.38 144-144S575.6 224 496 224zM544 384h-54.25C484.4 384 480 379.6 480 374.3V304c0-8.836 7.164-16 16-16c8.838 0 16 7.164 16 16v48h32c8.838 0 16 7.164 16 15.1S552.8 384 544 384zM224 256c70.69 0 128-57.31 128-128c0-70.69-57.31-128-128-128S96 57.31 96 128C96 198.7 153.3 256 224 256zM224 48c44.11 0 80 35.89 80 80c0 44.11-35.89 80-80 80S144 172.1 144 128C144 83.89 179.9 48 224 48zM395 512H32c-17.67 0-32-14.33-32-32c0-97.2 78.8-176 176-176h96c19.87 0 38.89 3.441 56.7 9.508c-4.963 15.24-7.787 31.41-8.383 48.17C305.4 355.5 289.1 352 272 352h-96c-65.16 0-119.1 48.95-127 112h299.6C360.9 482.8 376.6 499.1 395 512z"],
    "user-cowboy": [448, 512, [], "f8ea", "M97.07 183.5C96.82 186.4 96.2 189.1 96.2 192c0 70.75 57.22 128 127.9 128c70.71 0 127.9-57.25 127.9-128c0-2.75-.625-5.375-.75-8.125c69.09-30 93.58-77.88 95.08-80.88c3.498-7.125 1.125-15.88-5.621-20.25c-6.623-4.5-15.62-3.25-20.87 2.75c-1.873 1.875-22.49 20.62-76.09 33.63C333.1 69 312.2 0 278.2 0c-10.37 0-19.68 4.5-27.43 10.5c-15.24 11.88-36.77 11.88-52.02 0C191 4.5 181.8 0 171.4 0C137.4 0 116.6 69.38 105.9 119.5c-55.22-13-75.59-31.88-75.96-31.88C25.61 80 15.87 77.25 8.119 81.63c-7.621 4.25-10.37 14-6.121 21.75C3.498 106.3 28.86 153.5 97.07 183.5zM224.1 208c26.61 .125 53.22-2.75 79.21-8.625C299.5 240 265.7 272 224.1 272s-75.46-32-79.21-72.75C170.9 205.3 197.5 208.1 224.1 208zM314.7 352H133.3C59.7 352 0 411.7 0 485.3C0 500.1 11.94 512 26.66 512H421.3C436.1 512 448 500.1 448 485.3C448 411.7 388.3 352 314.7 352zM50.7 464c9.498-36.76 42.95-64 82.64-64h181.3c39.69 0 73.14 27.24 82.64 64H50.7z"],
    "user-crown": [448, 512, [], "f6a4", "M224 272c70.75 0 128-57.25 128-128V0l-64 32l-64-32L160 32L96 0v144C96 214.8 153.3 272 224 272zM144 128h160v16C304 188.1 268.1 224 224 224S144 188.1 144 144V128zM272 304h-96C78.8 304 0 382.8 0 480c0 17.67 14.33 32 32 32h384c17.67 0 32-14.33 32-32C448 382.8 369.2 304 272 304zM48.99 464C56.89 400.9 110.8 352 176 352h96c65.16 0 119.1 48.95 127 112H48.99z"],
    "user-doctor": [448, 512, ["user-md"], "f0f0", "M96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128C352 198.7 294.7 256 224 256C153.3 256 96 198.7 96 128zM304 128C304 83.82 268.2 48 224 48C179.8 48 144 83.82 144 128C144 172.2 179.8 208 224 208C268.2 208 304 172.2 304 128zM160 402.3C183.1 409.2 200 430.6 200 456C200 486.9 174.9 512 144 512C113.1 512 88 486.9 88 456C88 430.6 104.9 409.2 128 402.3V361.3C81.09 380.3 48 426.3 48 480V488C48 501.3 37.25 512 24 512C10.75 512 0 501.3 0 488V480C0 382.8 78.8 304 176 304H272C369.2 304 448 382.8 448 480V488C448 501.3 437.3 512 424 512C410.7 512 400 501.3 400 488V480C400 426.3 366.9 380.3 320 361.3V402.3C343.1 409.2 360 430.6 360 456V488C360 496.8 352.8 504 344 504C335.2 504 328 496.8 328 488V456C328 442.7 317.3 432 304 432C290.7 432 280 442.7 280 456V488C280 496.8 272.8 504 264 504C255.2 504 248 496.8 248 488V456C248 430.6 264.9 409.2 288 402.3V352.1C282.8 352.3 277.4 352 272 352H176C170.6 352 165.2 352.3 160 352.1V402.3zM144 480C157.3 480 168 469.3 168 456C168 442.7 157.3 432 144 432C130.7 432 120 442.7 120 456C120 469.3 130.7 480 144 480z"],
    "user-doctor-hair": [448, 512, [], "e458", "M96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128V144C352 214.7 294.7 272 224 272C153.3 272 96 214.7 96 144V128zM297.3 96H296C275.5 96 257.3 86.4 245.6 71.46C231.9 95.67 205.8 112 176 112H145.6C144.6 117.2 144 122.5 144 128V144C144 188.2 179.8 224 224 224C268.2 224 304 188.2 304 144V128C304 116.6 301.6 105.8 297.3 96zM160 402.3C183.1 409.2 200 430.6 200 456C200 486.9 174.9 512 144 512C113.1 512 88 486.9 88 456C88 430.6 104.9 409.2 128 402.3V361.3C81.09 380.3 48 426.3 48 480V488C48 501.3 37.25 512 24 512C10.75 512 0 501.3 0 488V480C0 382.8 78.8 304 176 304H272C369.2 304 448 382.8 448 480V488C448 501.3 437.3 512 424 512C410.7 512 400 501.3 400 488V480C400 426.3 366.9 380.3 320 361.3V402.3C343.1 409.2 360 430.6 360 456V488C360 496.8 352.8 504 344 504C335.2 504 328 496.8 328 488V456C328 442.7 317.3 432 304 432C290.7 432 280 442.7 280 456V488C280 496.8 272.8 504 264 504C255.2 504 248 496.8 248 488V456C248 430.6 264.9 409.2 288 402.3V352.1C282.8 352.3 277.4 352 272 352H176C170.6 352 165.2 352.3 160 352.1V402.3zM144 480C157.3 480 168 469.3 168 456C168 442.7 157.3 432 144 432C130.7 432 120 442.7 120 456C120 469.3 130.7 480 144 480z"],
    "user-doctor-hair-long": [448, 512, [], "e459", "M96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128V138.1C352 172.9 365.5 205.5 389.5 229.5L393.4 233.4C397.6 237.6 400 243.4 400 249.4C400 261.9 389.9 272 377.4 272H70.63C58.13 272 47.1 261.9 47.1 249.4C47.1 243.4 50.38 237.6 54.63 233.4L58.51 229.5C82.51 205.5 95.1 172.9 95.1 138.1L96 128zM297.3 96H296C275.5 96 257.3 86.4 245.6 71.46C231.9 95.67 205.8 112 176 112H145.6C144.6 117.2 144 122.5 144 128V144C144 188.2 179.8 224 224 224C268.2 224 304 188.2 304 144V128C304 116.6 301.6 105.8 297.3 96zM176 352C170.6 352 165.2 352.3 160 352.1V402.3C183.1 409.2 200 430.6 200 456C200 486.9 174.9 512 144 512C113.1 512 88 486.9 88 456C88 430.6 104.9 409.2 128 402.3V361.3C81.09 380.3 48 426.3 48 480V488C48 501.3 37.25 512 24 512C10.75 512 0 501.3 0 488V480C0 382.8 78.8 304 176 304H272C369.2 304 448 382.8 448 480V488C448 501.3 437.3 512 424 512C410.7 512 400 501.3 400 488V480C400 426.3 366.9 380.3 320 361.3V402.3C343.1 409.2 360 430.6 360 456V488C360 496.8 352.8 504 344 504C335.2 504 328 496.8 328 488V456C328 442.7 317.3 432 304 432C290.7 432 280 442.7 280 456V488C280 496.8 272.8 504 264 504C255.2 504 248 496.8 248 488V456C248 430.6 264.9 409.2 288 402.3V352.1C282.8 352.3 277.4 352 272 352H176zM144 432C130.7 432 120 442.7 120 456C120 469.3 130.7 480 144 480C157.3 480 168 469.3 168 456C168 442.7 157.3 432 144 432z"],
    "user-doctor-message": [640, 512, ["user-md-chat"], "f82e", "M352 128C352 198.7 294.7 256 224 256C153.3 256 96 198.7 96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128zM144 128C144 172.2 179.8 208 224 208C268.2 208 304 172.2 304 128C304 83.82 268.2 48 224 48C179.8 48 144 83.82 144 128zM176 352C170.6 352 165.2 352.3 160 352.1V402.3C183.1 409.2 200 430.6 200 456C200 486.9 174.9 512 144 512C113.1 512 88 486.9 88 456C88 430.6 104.9 409.2 128 402.3V361.3C81.09 380.3 48 426.3 48 480V488C48 501.3 37.25 512 24 512C10.75 512 0 501.3 0 488V480C0 382.8 78.8 304 176 304H272C369.2 304 448 382.8 448 480V488C448 501.3 437.3 512 424 512C410.7 512 400 501.3 400 488V480C400 426.3 366.9 380.3 320 361.3V402.3C343.1 409.2 360 430.6 360 456V488C360 496.8 352.8 504 344 504C335.2 504 328 496.8 328 488V456C328 442.7 317.3 432 304 432C290.7 432 280 442.7 280 456V488C280 496.8 272.8 504 264 504C255.2 504 248 496.8 248 488V456C248 430.6 264.9 409.2 288 402.3V352.1C282.8 352.3 277.4 352 272 352H176zM144 432C130.7 432 120 442.7 120 456C120 469.3 130.7 480 144 480C157.3 480 168 469.3 168 456C168 442.7 157.3 432 144 432zM592 0C618.5 0 640 21.49 640 48V176C640 202.5 618.5 224 592 224H544L460.8 286.4C458.4 288.2 455.1 288.5 452.4 287.2C449.7 285.8 448 283 448 280V224H432C405.5 224 384 202.5 384 176V48C384 21.49 405.5 0 432 0L592 0z"],
    "user-gear": [640, 512, ["user-cog"], "f4fe", "M610.5 373.3c2.625-14 2.625-28.5 0-42.5l25.75-15c3-1.625 4.375-5.125 3.375-8.5c-6.751-21.5-18.25-41.13-33.25-57.38c-2.25-2.5-6-3.125-9-1.375l-25.75 14.88c-10.88-9.25-23.37-16.5-36.88-21.25V212.3c0-3.375-2.5-6.375-5.75-7c-22.25-5-45-4.875-66.25 0c-3.25 .625-5.625 3.625-5.625 7v29.88c-13.5 4.75-26 12-36.88 21.25L394.4 248.5c-2.875-1.75-6.625-1.125-9 1.375c-15 16.25-26.5 35.88-33.13 57.38c-1 3.375 .3748 6.875 3.25 8.5l25.75 15c-2.5 14-2.5 28.5 0 42.5l-25.75 15c-3 1.625-4.25 5.125-3.25 8.5c6.626 21.5 18.12 41 33.13 57.38c2.375 2.5 6 3.125 9 1.375l25.88-14.88c10.88 9.25 23.37 16.5 36.88 21.25v29.88c0 3.375 2.375 6.375 5.625 7c22.38 5 45 4.875 66.25 0c3.25-.625 5.75-3.625 5.75-7v-29.88c13.5-4.75 26-12 36.88-21.25l25.75 14.88c2.875 1.75 6.75 1.125 9-1.375c15-16.25 26.5-35.88 33.25-57.38c1-3.375-.3749-6.875-3.375-8.5L610.5 373.3zM496 400.5c-26.75 0-48.5-21.75-48.5-48.5s21.75-48.5 48.5-48.5S544.5 325.3 544.5 352S522.8 400.5 496 400.5zM425.1 491.8c0 6.148 1.867 11.77 4.433 17.01C425.4 510.7 420.9 512 416 512H32C14.33 512 0 497.7 0 480c0-97.2 78.8-176 176-176h95.1c16.68 0 32.78 2.473 48.07 6.811c.4258 13.5 7.556 25.94 19.68 32.8l7.655 4.461c-.0684 2.619-.0684 5.24 0 7.859l-8.018 4.669c-3.125 1.689-5.664 4.06-8.111 6.507C313.5 357.7 293.5 352 272 352H176c-65.17 0-119.1 48.95-127 112h303.2c3.102 3.998 6.18 8.001 9.604 11.74c7.842 8.26 18.25 12.75 28.97 12.75c6.917 0 13.75-1.85 19.75-5.352l7.818-4.493c2.237 1.371 4.506 2.68 6.809 3.93V491.8zM224 256c70.7 0 128-57.31 128-128c0-70.69-57.3-128-128-128S96 57.31 96 128C96 198.7 153.3 256 224 256zM224 48C268.1 48 304 83.89 304 128c0 44.11-35.89 80-80.01 80S144 172.1 144 128C144 83.89 179.9 48 224 48z"],
    "user-graduate": [512, 512, [], "f501", "M480 464c2.742-87.55-59.6-160.1-142.2-176L256 397.1L174.2 288c-82.6 15-144.6 88.45-141.9 176c0 26.51 21.18 48 47.69 48h352C458.5 512 480 490.5 480 464zM80.34 464l-.0469-1.504c-1.656-52.91 28.88-99.34 75.41-119.2L246.2 464H80.34zM431.7 464h-165.9l90.51-120.7c46.53 19.83 77.06 66.26 75.41 119.2L431.7 464zM45.63 79.75L52 81.25v58.5C45 143.9 40 151.3 40 160c0 8.375 4.625 15.38 11.12 19.75L35.5 242C33.75 248.9 37.63 256 43.13 256h41.75c5.5 0 9.375-7.125 7.625-13.1L76.88 179.8C83.38 175.4 88 168.4 88 160c0-8.75-5-16.12-12-20.25V87.13L128 99.63V144c0 70.75 57.25 127.1 128 127.1S384 214.8 384 144V99.62l82.25-19.87c18.25-4.375 18.25-27 0-31.5l-190.4-46C269.4 .75 262.7 0 256.1 0S242.8 .75 236.3 2.25l-190.6 46C27.5 52.63 27.5 75.38 45.63 79.75zM176 111.2l60.08 14.52c13 3 26.62 3 39.63 0L336 111.2V144C336 188.1 300.1 224 256 224S176 188.1 176 144V111.2z"],
    "user-group": [640, 512, [128101, "user-friends"], "f500", "M224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM224 48c44.11 0 80 35.89 80 80c0 44.11-35.89 80-80 80S144 172.1 144 128C144 83.89 179.9 48 224 48zM274.7 304H173.3c-95.73 0-173.3 77.6-173.3 173.3C0 496.5 15.52 512 34.66 512H413.3C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM48.71 464C55.38 401.1 108.7 352 173.3 352H274.7c64.61 0 117.1 49.13 124.6 112H48.71zM479.1 320h-73.85C451.2 357.7 480 414.1 480 477.3C480 490.1 476.2 501.9 470 512h138C625.7 512 640 497.6 640 479.1C640 391.6 568.4 320 479.1 320zM432 256C493.9 256 544 205.9 544 144S493.9 32 432 32c-25.11 0-48.04 8.555-66.72 22.51C376.8 76.63 384 101.4 384 128c0 35.52-11.93 68.14-31.59 94.71C372.7 243.2 400.8 256 432 256z"],
    "user-group-crown": [640, 512, ["users-crown"], "f6a5", "M274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512H413.3C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM48.71 464C55.38 401.1 108.7 352 173.3 352H274.7c64.61 0 117.1 49.13 124.6 112H48.71zM224 272c70.75 0 128-57.25 128-128V0L288 32L224 0L160 32L96 0v144C96 214.8 153.3 272 224 272zM144 128h160v16C304 188.1 268.1 224 224 224S144 188.1 144 144V128zM544 144C544 82.14 493.9 32 432 32c-17.3 0-33.45 4.285-48 11.38V144c0 31.09-9.285 59.89-24.69 84.47C378.9 245.4 404.1 256 432 256C493.9 256 544 205.9 544 144zM479.1 320h-73.85C451.2 357.7 480 414.1 480 477.3C480 490.1 476.2 501.9 470 512h137.1C625.7 512 640 497.6 640 479.1C640 391.6 568.4 320 479.1 320z"],
    "user-hair": [448, 512, [], "e45a", "M96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128V144C352 214.7 294.7 272 224 272C153.3 272 96 214.7 96 144V128zM297.3 96H296C275.5 96 257.3 86.4 245.6 71.46C231.9 95.67 205.8 112 176 112H145.6C144.6 117.2 144 122.5 144 128V144C144 188.2 179.8 224 224 224C268.2 224 304 188.2 304 144V128C304 116.6 301.6 105.8 297.3 96zM0 483.6C0 393.2 73.23 320 163.6 320H284.4C374.8 320 448 393.2 448 483.6C448 499.3 435.3 512 419.6 512H28.44C12.74 512 0 499.3 0 483.6zM398.4 464C389.1 409.5 341.6 368 284.4 368H163.6C106.4 368 58.94 409.5 49.65 464H398.4z"],
    "user-hair-buns": [448, 512, [], "e3d3", "M274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512H413.3C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM48.7 464C55.38 401.1 108.7 352 173.3 352h101.3c64.61 0 117.1 49.13 124.6 112H48.7zM88 192c5.836 0 11.36-1.197 16.53-3.104C122.8 237.4 169.2 272 224 272s101.2-34.65 119.5-83.1C348.6 190.8 354.2 192 360 192c26.51 0 48-21.49 48-48v-32c0-26.51-21.49-48-48-48c-8.203 0-15.86 2.156-22.61 5.783C316.2 28.47 273.6 0 224 0S131.8 28.47 110.6 69.78C103.9 66.16 96.2 64 88 64c-26.51 0-48 21.49-48 48v32C40 170.5 61.49 192 88 192zM144 128c0-7.029 1.201-13.73 2.912-20.23C153.6 110.2 160.5 112 168 112c24.29 0 45.16-13.69 56-33.62C234.8 98.31 255.7 112 280 112c7.502 0 14.45-1.781 21.09-4.229C302.8 114.3 304 120.1 304 128v16C304 188.1 268.1 224 224 224S144 188.1 144 144V128z"],
    "user-hair-long": [448, 512, [], "e45b", "M96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128V138.1C352 172.9 365.5 205.5 389.5 229.5L393.4 233.4C397.6 237.6 400 243.4 400 249.4C400 261.9 389.9 272 377.4 272H70.63C58.13 272 47.1 261.9 47.1 249.4C47.1 243.4 50.38 237.6 54.63 233.4L58.51 229.5C82.51 205.5 95.1 172.9 95.1 138.1L96 128zM297.3 96H296C275.5 96 257.3 86.4 245.6 71.46C231.9 95.67 205.8 112 176 112H145.6C144.6 117.2 144 122.5 144 128V144C144 188.2 179.8 224 224 224C268.2 224 304 188.2 304 144V128C304 116.6 301.6 105.8 297.3 96zM0 481.3C0 392.2 72.21 320 161.3 320H286.7C375.8 320 448 392.2 448 481.3C448 498.2 434.2 512 417.3 512H30.72C13.75 512 0 498.2 0 481.3V481.3zM398.7 464C390.4 409.6 343.4 368 286.7 368H161.3C104.6 368 57.63 409.6 49.31 464H398.7z"],
    "user-hair-mullet": [448, 512, ["business-front", "party-back", "trian-balbot"], "e45c", "M237.4 271.3C232.1 271.8 228.5 272 224 272C219.5 272 215 271.8 210.6 271.3L192.1 288.1C187.5 294.4 179.8 296.9 172.2 295.7C164.5 294.5 157.1 289.6 154.5 282.7L148.4 270.5L128.9 278.3C119.7 281.1 109.1 279.6 102.3 272.3C95.59 264.9 94.08 254.2 98.53 245.3C107 228.2 109.5 223 110.7 218.2C111.4 215.3 111.8 212.3 111.9 205.8C101.8 187.5 95.1 166.4 95.1 144V128C95.1 120.9 96.57 114 97.67 107.3C91.8 102.9 87.1 95.88 87.1 88C87.1 74.75 98.74 64 111.1 64H113.1C135.3 25.74 176.6 0 223.1 0C271.4 0 312.7 25.74 334.9 64H336C349.3 64 360 74.75 360 88C360 95.88 356.2 102.9 350.3 107.3C351.4 114 352 120.9 352 128V144C352 166.4 346.2 187.5 336.1 205.8C336.2 212.3 336.6 215.3 337.3 218.2C338.5 223 340.1 228.2 349.5 245.3C353.9 254.2 352.4 264.9 345.7 272.3C338.9 279.6 328.3 281.1 319.1 278.3L299.6 270.5L293.5 282.7C290 289.6 283.5 294.5 275.8 295.7C268.2 296.9 260.5 294.4 255 288.1L237.4 271.3zM302.3 111.4C271.6 108.2 243.8 93.47 224 70.78C204.2 93.47 176.4 108.2 145.7 111.4C144.6 116.7 144 122.3 144 128V144C144 162 149.1 178.6 160 192C174.6 211.4 197.8 224 224 224C250.2 224 273.4 211.4 288 192C298 178.6 304 162 304 144V128C304 122.3 303.4 116.7 302.3 111.4zM0 483.6C0 393.2 73.23 320 163.6 320H284.4C374.8 320 448 393.2 448 483.6C448 499.3 435.3 512 419.6 512H28.44C12.74 512 0 499.3 0 483.6zM398.4 464C389.1 409.5 341.6 368 284.4 368H163.6C106.4 368 58.94 409.5 49.65 464H398.4z"],
    "user-headset": [448, 512, [], "f82d", "M314.7 352H133.3C59.7 352 0 411.7 0 485.3C0 500.1 11.94 512 26.66 512H421.3C436.1 512 448 500.1 448 485.3C448 411.7 388.3 352 314.7 352zM50.7 464c9.498-36.76 42.95-64 82.64-64h181.3c39.69 0 73.14 27.24 82.64 64H50.7zM224 112c44.11 0 80 35.89 80 80c0 19.39-7.217 36.96-18.74 50.82c3.922 3.928 7.296 8.294 10.1 13.13L304 256c17.11 0 32.02-9.09 40.52-22.6C349 220.3 352 206.6 352 192c0-70.58-57.42-128-128-128s-128 57.42-128 128c0 40.41 19.12 76.03 48.37 99.49C144.3 290.3 144 289.2 144 288c0-17.62 7.164-33.6 18.73-45.19C151.2 228.9 144 211.4 144 192C144 147.9 179.9 112 224 112zM48 224C56.88 224 64 216.9 64 208V192c0-88.25 71.75-160 160-160s160 71.75 160 160v16C384 252.1 348.1 288 304 288h-32c0-17.62-14.38-32-32-32h-32c-17.62 0-32 14.38-32 32s14.38 32 32 32h96c61.88-.125 111.9-50.13 112-112V192c0-105.9-86.13-192-192-192S32 86.13 32 192v16C32 216.9 39.13 224 48 224z"],
    "user-helmet-safety": [448, 512, [128119, "user-construction", "user-hard-hat"], "f82c", "M88 176h272c4.375 0 8-3.625 8-8V136c0-4.375-3.625-8-8-8H352c0-46.38-28.5-85.5-68.75-102.4L256 80V16c0-8.875-7.125-16-16-16h-32c-8.875 0-16 7.125-16 16V80L164.8 25.62C124.5 42.5 96 81.63 96 128H88c-4.375 0-8 3.625-8 8v31.1C80 172.4 83.63 176 88 176zM224 272c-38 0-70.75-26.75-78.38-64h-48C105.6 271 158.8 320 224 320s118.5-49 126.4-112h-48C294.8 245.3 261.1 272 224 272zM314.7 352H133.3C59.7 352 0 411.7 0 485.3c0 14.73 11.94 26.67 26.66 26.67H421.3c14.72 0 26.66-11.94 26.66-26.67C448 411.7 388.3 352 314.7 352zM50.7 464c9.498-36.76 42.95-64 82.64-64h181.3c39.69 0 73.14 27.24 82.64 64H50.7z"],
    "user-injured": [448, 512, [], "f728", "M224 256c70.7 0 128-57.31 128-128s-57.3-128-128-128C153.3 0 96 57.31 96 128S153.3 256 224 256zM297.2 96H220.2l44.07-36.72C278.7 67.8 290.4 80.51 297.2 96zM224 48c1.158 0 2.236 .293 3.383 .3418L170.2 96H150.8C163.2 67.8 191.3 48 224 48zM304 128c0 44.11-35.89 80-80 80S144 172.1 144 128H304zM274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512h378.7C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM96 464H48.71C52.35 429.6 70.24 399.7 96 379.4V464zM299.1 464H261.3l-32-48H272c17.67 0 32 14.33 32 32C304 453.1 301.9 459.2 299.1 464zM333.7 464C335.1 458.9 336 453.6 336 448c0-35.29-28.71-64-64-64h-64l-21.33-32h87.1c64.61 0 117.1 49.13 124.6 112H333.7z"],
    "user-large": [512, 512, ["user-alt"], "f406", "M256 288c79.53 0 144-64.47 144-144s-64.47-144-144-144c-79.52 0-144 64.47-144 144S176.5 288 256 288zM256 48c52.94 0 96 43.06 96 96c0 52.93-43.06 96-96 96c-52.93 0-96-43.07-96-96C160 91.06 203.1 48 256 48zM351.1 320H160c-88.36 0-160 71.63-160 160c0 17.67 14.33 32 31.1 32H480c17.67 0 31.1-14.33 31.1-32C512 391.6 440.4 320 351.1 320zM49.14 464c7.787-54.21 54.54-96 110.9-96h191.1c56.33 0 103.1 41.79 110.9 96H49.14z"],
    "user-large-slash": [640, 512, ["user-alt-slash"], "f4fa", "M630.8 469.1l-249.5-195.5c48.66-23.06 82.65-72.14 82.65-129.6c0-79.53-64.47-143.1-143.1-143.1c-69.57 0-127.6 49.34-141.1 114.9L38.81 5.109C34.41 1.672 29.19 0 24.03 0C16.91 0 9.845 3.156 5.127 9.187C-3.061 19.62-1.248 34.72 9.189 42.89L601.2 506.9c10.5 8.203 25.56 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1zM224.7 150.8C224.5 148.5 224 146.3 224 144c0-52.94 43.07-96 96-96c52.94 0 96 43.06 96 96c0 47.32-34.49 86.51-79.61 94.34L224.7 150.8zM113.1 464c7.787-54.21 54.54-96 110.9-96h122.2l-61.26-47.1l-60.9-.0002c-88.36 0-160 71.63-160 159.1C63.1 497.7 78.33 512 95.1 512l433.9-.0052L468.6 464H113.1z"],
    "user-lock": [640, 512, [], "f502", "M592 288H576V212.7c0-41.84-30.03-80.04-71.66-84.27c-2.805-.2852-5.59-.4229-8.336-.4229C451.9 127.1 416 163.9 416 208V288h-16C373.6 288 352 309.6 352 336v128c0 26.4 21.6 48 48 48h192c26.4 0 48-21.6 48-48v-128C640 309.6 618.4 288 592 288zM496 432c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S513.6 432 496 432zM528 288h-64V208c0-17.62 14.38-32 32-32s32 14.38 32 32V288zM224 256c70.69 0 128-57.31 128-128c0-70.69-57.31-128-128-128S96 57.31 96 128C96 198.7 153.3 256 224 256zM224 48c44.11 0 80 35.89 80 80c0 44.11-35.89 80-80 80S144 172.1 144 128C144 83.89 179.9 48 224 48zM320 464c0 18.08 6.256 34.59 16.41 48H32c-17.67 0-32-14.33-32-32c0-97.2 78.8-176 176-176h96c18.09 0 35.54 2.748 51.97 7.818C321.5 319.5 320 327.5 320 336v25.52C305.1 355.5 288.1 352 272 352h-96c-65.16 0-119.1 48.95-127 112H320z"],
    "user-minus": [640, 512, [], "f503", "M274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512h378.7C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM48.71 464C55.38 401.1 108.7 352 173.3 352H274.7c64.61 0 117.1 49.13 124.6 112H48.71zM224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM224 48c44.11 0 80 35.89 80 80c0 44.11-35.89 80-80 80C179.9 208 144 172.1 144 128C144 83.89 179.9 48 224 48zM616 200h-144C458.8 200 448 210.8 448 224s10.75 24 24 24h144C629.3 248 640 237.3 640 224S629.3 200 616 200z"],
    "user-music": [640, 512, [], "f8eb", "M224 256c70.69 0 128-57.31 128-128c0-70.69-57.31-128-128-128S96 57.31 96 128C96 198.7 153.3 256 224 256zM224 48c44.11 0 80 35.89 80 80c0 44.11-35.89 80-80 80S144 172.1 144 128C144 83.89 179.9 48 224 48zM323.6 464H48.99C56.89 400.9 110.8 352 176 352h96c27.91 0 53.46 9.367 74.51 24.59c11.15-11.85 25.33-21.48 41.8-28.44C357.3 320.8 316.6 304 272 304h-96C78.8 304 0 382.8 0 480c0 17.67 14.33 32 32 32h323.2C339.8 498.9 328.8 482.5 323.6 464zM601.7 160.6l-96 19.2C490.8 182.8 480 195.1 480 211.2v161.2C469.9 369.7 459.3 368 448 368c-53.02 0-96 32.23-96 72c0 39.76 42.98 72 96 72s96-32.24 96-72V300.2l70.28-14.05C629.2 283.1 640 269.1 640 254.7V192C640 171.8 621.5 156.7 601.7 160.6z"],
    "user-ninja": [512, 512, [129399], "f504", "M64 192c27.25 0 51.75-11.5 69.25-29.75c15 54 64 93.75 122.8 93.75c70.75 0 127.1-57.25 127.1-128s-57.25-128-127.1-128c-50.38 0-93.63 29.38-114.5 71.75C124.1 47.75 96 32 64 32c0 33.37 17.12 62.75 43.13 80C81.13 129.3 64 158.6 64 192zM208 96h95.1C321.7 96 336 110.3 336 128h-160C176 110.3 190.3 96 208 96zM480 464c2.742-87.55-59.6-160.1-142.2-176L256 397.1L174.2 288c-82.6 15-144.6 88.45-141.9 176c0 26.51 21.18 48 47.69 48h352C458.5 512 480 490.5 480 464zM80.34 464l-.0469-1.504c-1.656-52.91 28.88-99.34 75.41-119.2L246.2 464H80.34zM431.7 464h-165.9l90.51-120.7c46.53 19.83 77.06 66.26 75.41 119.2L431.7 464z"],
    "user-nurse": [448, 512, [], "f82f", "M327.2 312.8L224 416L120.8 312.8c-69.93 22.3-120.8 87.25-120.8 164.6C.0006 496.5 15.52 512 34.66 512H413.3c19.14 0 34.66-15.46 34.66-34.61C447.1 400.1 397.1 335.1 327.2 312.8zM48.71 464c4.23-39.55 27.12-74.31 61.24-94.17L204.1 464H48.71zM243.9 464l94.17-94.17C372.2 389.7 395.1 424.4 399.3 464H243.9zM224 304c70.75 0 128-57.25 128-128V65.88c0-13.38-8.25-25.38-20.75-30L246.5 4.125C239.3 1.375 231.6 0 224 0S208.8 1.375 201.5 4.125L116.8 35.88C104.3 40.5 96 52.5 96 65.88V176C96 246.8 153.3 304 224 304zM184 71.63c0-2.75 2.25-5 5-5h21.62V45c0-2.75 2.25-5 5-5h16.75c2.75 0 5 2.25 5 5v21.62H259c2.75 0 5 2.25 5 5v16.75c0 2.75-2.25 5-5 5h-21.62V115c0 2.75-2.25 5-5 5H215.6c-2.75 0-5-2.25-5-5V93.38H189c-2.75 0-5-2.25-5-5V71.63zM144 160h160v16C304 220.1 268.1 256 224 256S144 220.1 144 176V160z"],
    "user-nurse-hair": [448, 512, [], "e45d", "M96 127.1V70.17C96 56.83 104.3 44.89 116.8 40.21L212.8 4.209C220 1.493 227.1 1.493 235.2 4.209L331.2 40.21C343.7 44.89 352 56.83 352 70.17V127.1H351.7C351.9 130.6 352 133.3 352 135.1V175.1C352 246.7 294.7 303.1 224 303.1C153.3 303.1 96 246.7 96 175.1V135.1C96 133.3 96.1 130.6 96.28 127.1H96zM245.6 135.5C231.9 159.7 205.8 175.1 176 175.1H144C144 220.2 179.8 255.1 224 255.1C268.2 255.1 304 220.2 304 175.1V159.1H296C275.5 159.1 257.3 150.4 245.6 135.5zM213.3 53.33H200C195.6 53.33 192 56.92 192 61.33V66.67C192 71.09 195.6 74.67 200 74.67H213.3V87.1C213.3 92.42 216.9 95.1 221.3 95.1H226.7C231.1 95.1 234.7 92.42 234.7 87.1V74.67H248C252.4 74.67 256 71.09 256 66.67V61.33C256 56.92 252.4 53.33 248 53.33H234.7V39.1C234.7 35.58 231.1 31.1 226.7 31.1H221.3C216.9 31.1 213.3 35.58 213.3 39.1V53.33zM317.1 320.8C391.7 335 448 400.5 448 479.2C448 496.2 434.2 509.9 417.3 509.9H30.72C13.75 509.9 0 496.2 0 479.2C0 400.5 56.33 335 130.9 320.8L224 413.9L317.1 320.8zM204.1 461.9L117.1 374.9C81.56 389.9 55.33 422.6 49.31 461.9H204.1zM243.9 461.9H398.7C392.7 422.6 366.4 389.9 330.9 374.9L243.9 461.9z"],
    "user-nurse-hair-long": [448, 512, [], "e45e", "M96 127.1V70.17C96 56.83 104.3 44.89 116.8 40.21L212.8 4.209C220 1.493 227.1 1.493 235.2 4.209L331.2 40.21C343.7 44.89 352 56.83 352 70.17V127.1H351.7C351.9 130.6 352 133.3 352 135.1V170.1C352 204.9 365.5 237.5 389.5 261.5L393.4 265.4C397.6 269.6 400 275.4 400 281.4C400 293.9 389.9 303.1 377.4 303.1H70.63C58.13 303.1 48 293.9 48 281.4C48 275.4 50.38 269.6 54.63 265.4L58.51 261.5C82.51 237.5 96 204.9 96 170.1V135.1C96 133.3 96.09 130.6 96.28 127.1H96zM245.6 135.5C231.9 159.7 205.8 175.1 176 175.1H144C144 220.2 179.8 255.1 224 255.1C268.2 255.1 304 220.2 304 175.1V159.1H296C275.5 159.1 257.3 150.4 245.6 135.5zM213.3 53.33H200C195.6 53.33 192 56.91 192 61.33V66.67C192 71.08 195.6 74.67 200 74.67H213.3V87.1C213.3 92.42 216.9 95.1 221.3 95.1H226.7C231.1 95.1 234.7 92.42 234.7 87.1V74.67H248C252.4 74.67 256 71.08 256 66.67V61.33C256 56.91 252.4 53.33 248 53.33H234.7V39.1C234.7 35.58 231.1 31.1 226.7 31.1H221.3C216.9 31.1 213.3 35.58 213.3 39.1V53.33zM303.1 333.1C383.8 335.1 448 401.4 448 481.8C448 497.3 435.4 509.9 419.8 509.9H28.16C12.61 509.9 0 497.3 0 481.8C0 401.4 64.15 335.1 144 333.1L224 413.9L303.1 333.1zM204.1 461.9L126.4 384.2C87.95 392.6 57.77 423.2 49.97 461.9H204.1zM243.9 461.9H398C390.2 423.2 360 392.6 321.6 384.2L243.9 461.9z"],
    "user-pen": [640, 512, ["user-edit"], "f4ff", "M496.7 295.3l72.01 72.01l-125.3 125.3c-2.514 2.516-5.713 4.223-9.195 4.922l-71.42 14.29c-6.297 1.258-11.85-4.297-10.59-10.59l14.28-71.41c.6973-3.488 2.41-6.691 4.924-9.203L496.7 295.3zM629.5 255.7l-21.1-21.11c-14.06-14.06-36.85-14.06-50.91 0l-38.13 38.14l72.01 72.01l38.13-38.13C643.5 292.5 643.5 269.7 629.5 255.7zM360.1 512c.5898 0 1.189-.0586 1.797-.1797c-1.18 .2363-2.273 .0254-3.361-.1777C359.9 511.7 360.4 512 360.1 512zM96 128c0-70.69 57.31-128 127.1-128s128 57.31 128 128c0 70.69-57.31 128-128 128S96 198.7 96 128zM144 128c0 44.11 35.89 80 80 80s80-35.89 80-80c0-44.11-35.89-80-80-80S144 83.89 144 128zM326.1 464h-277.1C56.89 400.9 110.8 352 176 352h96c33.96 0 64.67 13.49 87.6 35.14l34.1-34.1C362.1 322.7 319.3 304 272 304h-96c-97.2 0-176 78.8-176 176c0 17.67 14.33 32 32 32h289.1c-1.246-5.531-1.43-11.31-.2832-17.04L326.1 464z"],
    "user-pilot": [448, 512, [], "e2c0", "M319.7 352.5L224 416l-95.7-63.49C57.05 355.2 0 413.4 0 485.3C0 500.1 11.94 512 26.66 512H421.3C436.1 512 448 500.1 448 485.3C448 413.4 390.1 355.2 319.7 352.5zM50.69 464c8.043-31.21 33.37-55.43 65.56-61.89L209.5 464H50.69zM238.5 464l93.28-61.89c32.19 6.461 57.52 30.68 65.56 61.89H238.5zM78.54 102.4v44.04C119.1 164.9 169.4 176 224 176s104.9-11.08 145.5-29.55V102.4l21.96-22.3c4.564-4.635 7.129-10.93 7.129-17.48c0-11.35-7.602-21.24-18.44-23.99l-148.3-37.67c-5.096-1.295-10.43-1.295-15.52 0l-148.3 37.67C57.06 41.39 49.46 51.28 49.46 62.62c0 6.555 2.564 12.85 7.129 17.48L78.54 102.4zM161.7 72.85c3.969-7.875 13.56-11.09 21.47-7.156L224 86.13l40.84-20.44c7.938-3.969 17.5-.7505 21.47 7.156c3.938 7.906 .75 17.5-7.156 21.47l-48 23.1C228.9 119.4 226.4 120 224 120S219.1 119.4 216.8 118.3l-48-23.1C160.9 90.35 157.8 80.75 161.7 72.85zM224 272c-41.23 0-74.9-31.51-79.15-71.64C128.1 197.1 112 192.8 96.45 187.5C96.4 189.1 96 190.5 96 192c0 70.69 57.31 128 127.1 128s127.1-57.31 127.1-128c0-1.525-.358-2.941-.4108-4.453C336 192.8 319.9 197.1 303.2 200.4C298.9 240.5 265.2 272 224 272z"],
    "user-pilot-tie": [448, 512, [], "e2c1", "M78.54 102.4v44.04C119.1 164.9 169.4 176 224 176s104.9-11.08 145.5-29.55V102.4l21.96-22.3c4.564-4.635 7.129-10.93 7.129-17.48c0-11.35-7.602-21.24-18.44-23.99l-148.3-37.67c-5.096-1.295-10.43-1.295-15.52 0l-148.3 37.67C57.06 41.39 49.46 51.28 49.46 62.62c0 6.555 2.564 12.85 7.129 17.48L78.54 102.4zM161.7 72.84c3.969-7.875 13.56-11.09 21.47-7.156L224 86.13l40.84-20.44c7.938-3.969 17.5-.75 21.47 7.156c3.938 7.906 .75 17.5-7.156 21.47l-48 24C228.9 119.4 226.4 120 224 120S219.1 119.4 216.8 118.3l-48-24C160.9 90.34 157.8 80.75 161.7 72.84zM319.7 352.5l-66.63 111L240 408l32-56h-96l32 56l-13.07 55.55l-66.63-111C57.05 355.2 0 413.4 0 485.3C0 500.1 11.94 512 26.66 512H421.3C436.1 512 448 500.1 448 485.3C448 413.4 390.1 355.2 319.7 352.5zM50.69 464c7.002-27.17 27.1-49.04 53.43-58.51L139.2 464H50.69zM308.8 464l35.11-58.51c26.33 9.469 46.43 31.34 53.43 58.51H308.8zM224 272c-41.23 0-74.9-31.51-79.15-71.64C128.1 197.1 112 192.8 96.45 187.5C96.4 189.1 96 190.5 96 192c0 70.69 57.31 128 127.1 128s127.1-57.31 127.1-128c0-1.525-.358-2.941-.4108-4.453C336 192.8 319.9 197.1 303.2 200.4C298.9 240.5 265.2 272 224 272z"],
    "user-plus": [640, 512, [], "f234", "M224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM224 48c44.11 0 80 35.89 80 80c0 44.11-35.89 80-80 80C179.9 208 144 172.1 144 128C144 83.89 179.9 48 224 48zM274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512h378.7C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM48.71 464C55.38 401.1 108.7 352 173.3 352H274.7c64.61 0 117.1 49.13 124.6 112H48.71zM616 200h-48v-48C568 138.8 557.3 128 544 128s-24 10.75-24 24v48h-48C458.8 200 448 210.8 448 224s10.75 24 24 24h48v48C520 309.3 530.8 320 544 320s24-10.75 24-24v-48h48C629.3 248 640 237.3 640 224S629.3 200 616 200z"],
    "user-police": [448, 512, [], "e333", "M78.54 102.4v44.04C119.1 164.9 169.4 176 223.1 176s104.9-11.08 145.5-29.55V102.4l21.96-22.3c4.564-4.635 7.129-10.93 7.129-17.48c0-11.35-7.602-21.24-18.44-23.99l-148.3-37.67c-5.096-1.295-10.43-1.295-15.52 0l-148.3 37.67C57.06 41.39 49.46 51.28 49.46 62.62c0 6.555 2.564 12.85 7.129 17.48L78.54 102.4zM191.1 61.08l30-12.5C221.9 48.26 223.2 48 224 48c.8281 0 2.122 .2559 2.884 .5723l30 12.5c2.779 1.152 4.609 3.889 4.609 6.92C261.5 107.1 232.1 128 223.1 128C216.1 128 186.5 108.2 186.5 67.1C186.5 64.96 188.3 62.23 191.1 61.08zM224 272c-41.23 0-74.9-31.51-79.15-71.64C128.1 197.1 112 192.8 96.45 187.5C96.4 189.1 96 190.5 96 192c0 70.69 57.31 128 127.1 128s127.1-57.31 127.1-128c0-1.525-.3579-2.941-.4106-4.453C336 192.8 319.9 197.1 303.2 200.4C298.9 240.5 265.2 272 224 272zM320 352h-32l-64 64l-64-64H128c-70.69 0-128 57.31-128 128c0 17.67 14.33 32 32 32h384c17.67 0 32-14.33 32-32C448 409.3 390.7 352 320 352zM49.61 464C57.04 427.5 89.37 400 128 400h12.12l64 64H49.61zM355.6 464l10.98-10.67c2.844-2.76 1.27-7.58-2.648-8.146L342.1 442l-9.764-19.76c-1.748-3.521-6.816-3.566-8.582 0L313.9 442l-21.85 3.18c-3.918 .5664-5.492 5.387-2.648 8.146L300.4 464h-56.54l64-64H320c38.63 0 70.96 27.53 78.39 64H355.6z"],
    "user-police-tie": [448, 512, [], "e334", "M78.54 102.4v44.04C119.1 164.9 169.4 176 223.1 176s104.9-11.08 145.5-29.55V102.4l21.96-22.3c4.564-4.635 7.129-10.93 7.129-17.48c0-11.35-7.602-21.24-18.44-23.99l-148.3-37.67c-5.096-1.295-10.43-1.295-15.52 0l-148.3 37.67C57.06 41.39 49.46 51.28 49.46 62.62c0 6.555 2.564 12.85 7.129 17.48L78.54 102.4zM191.1 61.08l30-12.5C221.9 48.26 223.2 48 224 48c.8281 0 2.122 .2559 2.884 .5723l30 12.5c2.779 1.152 4.609 3.889 4.609 6.92C261.5 107.1 232.1 128 223.1 128C216.1 128 186.5 108.2 186.5 67.1C186.5 64.96 188.3 62.23 191.1 61.08zM224 272c-41.23 0-74.9-31.51-79.15-71.64C128.1 197.1 112 192.8 96.45 187.5C96.4 189.1 96 190.5 96 192c0 70.69 57.31 128 127.1 128s127.1-57.31 127.1-128c0-1.525-.3579-2.941-.4106-4.453C336 192.8 319.9 197.1 303.2 200.4C298.9 240.5 265.2 272 224 272zM319.7 352.5l-66.63 111L240 408l32-56h-96l32 56l-13.07 55.55l-66.63-111C57.05 355.2 0 413.4 0 485.3C0 500.1 11.94 512 26.66 512H421.3C436.1 512 448 500.1 448 485.3C448 413.4 390.1 355.2 319.7 352.5zM50.69 464c7.002-27.17 27.1-49.04 53.43-58.51L139.2 464H50.69zM308.8 464l35.11-58.51c26.33 9.469 46.43 31.34 53.43 58.51H308.8z"],
    "user-robot": [448, 512, [], "e04b", "M208 176C208 193.7 193.7 208 176 208C158.3 208 144 193.7 144 176C144 158.3 158.3 144 176 144C193.7 144 208 158.3 208 176zM240 176C240 158.3 254.3 144 272 144C289.7 144 304 158.3 304 176C304 193.7 289.7 208 272 208C254.3 208 240 193.7 240 176zM240 64H304C348.2 64 384 99.82 384 144V240C384 284.2 348.2 320 304 320H144C99.82 320 64 284.2 64 240V144C64 99.82 99.82 64 144 64H208V16C208 7.164 215.2 0 224 0C232.8 0 240 7.164 240 16V64zM336 144C336 126.3 321.7 112 304 112H144C126.3 112 112 126.3 112 144V240C112 257.7 126.3 272 144 272V256C144 247.2 151.2 240 160 240C168.8 240 176 247.2 176 256V272H208V256C208 247.2 215.2 240 224 240C232.8 240 240 247.2 240 256V272H272V256C272 247.2 279.2 240 288 240C296.8 240 304 247.2 304 256V272C321.7 272 336 257.7 336 240V144zM48 512C21.49 512 0 490.5 0 464V448C0 394.1 42.98 352 96 352H352C405 352 448 394.1 448 448V464C448 490.5 426.5 512 400 512H48zM400 448C400 421.5 378.5 400 352 400H96C69.49 400 48 421.5 48 448V464H144V432C144 423.2 151.2 416 160 416C168.8 416 176 423.2 176 432V464H208V432C208 423.2 215.2 416 224 416C232.8 416 240 423.2 240 432V464H272V432C272 423.2 279.2 416 288 416C296.8 416 304 423.2 304 432V464H400V448zM32 144V240C32 248.8 24.84 256 16 256C7.164 256 0 248.8 0 240V144C0 135.2 7.164 128 16 128C24.84 128 32 135.2 32 144zM448 240C448 248.8 440.8 256 432 256C423.2 256 416 248.8 416 240V144C416 135.2 423.2 128 432 128C440.8 128 448 135.2 448 144V240z"],
    "user-robot-xmarks": [448, 512, [], "e4a7", "M160 157.4L182.7 134.7C187.8 129.6 196.2 129.6 201.3 134.7C206.4 139.8 206.4 148.2 201.3 153.3L178.6 176L201.3 198.7C206.4 203.8 206.4 212.2 201.3 217.3C196.2 222.4 187.8 222.4 182.7 217.3L160 194.6L137.3 217.3C132.2 222.4 123.8 222.4 118.7 217.3C113.6 212.2 113.6 203.8 118.7 198.7L141.4 176L118.7 153.3C113.6 148.2 113.6 139.8 118.7 134.7C123.8 129.6 132.2 129.6 137.3 134.7L160 157.4zM246.7 134.7C251.8 129.6 260.2 129.6 265.3 134.7L288 157.4L310.7 134.7C315.8 129.6 324.2 129.6 329.3 134.7C334.4 139.8 334.4 148.2 329.3 153.3L306.6 176L329.3 198.7C334.4 203.8 334.4 212.2 329.3 217.3C324.2 222.4 315.8 222.4 310.7 217.3L288 194.6L265.3 217.3C260.2 222.4 251.8 222.4 246.7 217.3C241.6 212.2 241.6 203.8 246.7 198.7L269.4 176L246.7 153.3C241.6 148.2 241.6 139.8 246.7 134.7zM240 64H304C348.2 64 384 99.82 384 144V240C384 284.2 348.2 320 304 320H144C99.82 320 64 284.2 64 240V144C64 99.82 99.82 64 144 64H208V16C208 7.164 215.2 0 224 0C232.8 0 240 7.164 240 16V64zM336 144C336 126.3 321.7 112 304 112H144C126.3 112 112 126.3 112 144V240C112 257.7 126.3 272 144 272V256C144 247.2 151.2 240 160 240C168.8 240 176 247.2 176 256V272H208V256C208 247.2 215.2 240 224 240C232.8 240 240 247.2 240 256V272H272V256C272 247.2 279.2 240 288 240C296.8 240 304 247.2 304 256V272C321.7 272 336 257.7 336 240V144zM48 512C21.49 512 0 490.5 0 464V448C0 394.1 42.98 352 96 352H352C405 352 448 394.1 448 448V464C448 490.5 426.5 512 400 512H48zM400 448C400 421.5 378.5 400 352 400H96C69.49 400 48 421.5 48 448V464H144V432C144 423.2 151.2 416 160 416C168.8 416 176 423.2 176 432V464H208V432C208 423.2 215.2 416 224 416C232.8 416 240 423.2 240 432V464H272V432C272 423.2 279.2 416 288 416C296.8 416 304 423.2 304 432V464H400V448zM32 144V240C32 248.8 24.84 256 16 256C7.164 256 0 248.8 0 240V144C0 135.2 7.164 128 16 128C24.84 128 32 135.2 32 144zM448 240C448 248.8 440.8 256 432 256C423.2 256 416 248.8 416 240V144C416 135.2 423.2 128 432 128C440.8 128 448 135.2 448 144V240z"],
    "user-secret": [448, 512, [128373], "f21b", "M378.8 339.7l35.26-82.28c3.188-7.422 2.406-15.94-2.031-22.67S400.1 224 392 224h-44.54c2.664-10.29 4.534-20.88 4.534-32c0-9.492-1.19-18.68-3.151-27.58C389.9 155.6 416 142.6 416 128c0-16.08-31.75-30.28-80.31-38.99C323.8 45.15 304.9 0 277.4 0c-10.38 0-19.62 4.5-27.38 10.5c-15.25 11.88-36.75 11.88-52 0C190.3 4.5 181.1 0 170.7 0C143.2 0 124.4 45.16 112.5 88.98C63.83 97.68 32 111.9 32 128c0 14.58 26.1 27.62 67.15 36.42C97.19 173.3 96 182.6 96 192.1C96 203.2 97.86 213.7 100.5 224H56C47.94 224 40.41 228 35.97 234.8S30.75 250 33.94 257.5l35.26 82.28C27.41 371.3 0 420.9 0 477.3C0 496.5 15.52 512 34.66 512H413.3C432.5 512 448 496.5 448 477.3C448 420.9 420.6 371.3 378.8 339.7zM224 272c-34.41 0-63.56-21.96-74.83-52.52C154.4 222.1 160.1 224 166.4 224h12.33c16.46 0 30.29-10.39 35.63-24.99C215.9 194.9 219.6 192 224 192s8.105 2.887 9.615 7.008C238.1 213.6 252.8 224 269.3 224h12.33c6.299 0 11.1-1.857 17.25-4.516C287.6 250 258.4 272 224 272zM48.71 464c4.765-44.31 35.35-77.19 40.66-77.19l16.56 38.64C109.8 434.6 118.7 440 128 440c3.156 0 6.375-.625 9.469-1.938c12.16-5.219 17.81-19.33 12.59-31.52L92.41 272h32.41C139.5 290.2 158.9 304.2 181.5 312.2L208 352l-32 112H48.71zM272 464l-32-112l26.53-39.79C289.1 304.2 308.5 290.2 323.2 272h32.41l-57.66 134.5c-5.219 12.19 .4375 26.3 12.59 31.52C313.6 439.4 316.8 440 320 440c9.312 0 18.16-5.453 22.06-14.55l16.56-38.64c5.776 0 35.94 33.25 40.66 77.19H272z"],
    "user-shakespeare": [448, 512, [], "e2c2", "M329.9 326.2C314.4 312.6 294.3 304 272 304h-96c-22.26 0-42.38 8.57-57.89 22.24C50.2 344.7 0 406.3 0 480C0 497.7 14.33 512 32 512h384c17.67 0 32-14.29 32-31.96C448 406.3 397.8 344.7 329.9 326.2zM175.1 351.9h96.04c19.72 0 36.14 14.45 39.39 33.23C289.2 376.4 258.8 368 224 368s-65.22 8.422-87.41 17.12C139.8 366.3 156.3 351.9 175.1 351.9zM240 464c0-8.838-7.164-16-16-16s-16 7.162-16 16H49.14C53.12 436.3 67.5 412.1 88 394.9V424c0 8.828 4.875 16.91 12.62 21.09c7.719 4.141 17.19 3.781 24.62-1.078c.3672-.2539 35.4-22.65 82.94-27.08C208.7 425.3 215.5 432 224 432s15.3-6.689 15.81-15.06c47.54 4.428 82.57 26.82 82.88 27.03C326.7 446.6 331.3 448 336 448c3.875 0 7.781-.9375 11.31-2.844C355.1 440.1 360 432.8 360 424v-29.13c20.5 17.2 34.88 41.4 38.86 69.13H240zM256 144c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16S240 119.2 240 128C240 136.8 247.2 144 256 144zM192 144c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16S176 119.2 176 128C176 136.8 183.2 144 192 144zM188 204c14.34 0 27.78-7.316 36-12.91C232.2 196.7 245.7 204 260 204c6.625 0 12-5.377 12-12.01c0-6.627-5.375-12-12-12c-10.91 0-23.94-9.379-28.06-12.99c-4.5-4-11.38-4-15.88 0C211.9 170.6 198.9 179.1 188 179.1c-6.625 0-12 5.377-12 12C176 198.6 181.4 204 188 204zM109.3 272h53.98C181.4 281.9 201.9 288 224 288s42.62-6.123 60.77-16h53.98C363.7 272 384 251.7 384 226.7c0-12-4.768-23.51-13.25-32C358.7 182.7 352 166.5 352 149.5V128c0-70.69-57.31-128-128-128S96 57.31 96 128v21.49c0 16.97-6.742 33.25-18.75 45.25C68.77 203.2 64 214.7 64 226.7C64 251.7 84.26 272 109.3 272zM144 128c0-44.11 35.89-80 80-80s80 35.89 80 80v32c0 40-29.6 72.94-68 78.79V224c0-6.625-5.375-12-12-12S212 217.4 212 224v14.79C173.6 232.9 144 200 144 160V128z"],
    "user-shield": [640, 512, [], "f505", "M622.3 271.1l-115.1-45.01c-4.125-1.629-12.62-3.754-22.25 0L369.8 271.1C359 275.2 352 285.1 352 295.1c0 111.6 68.75 188.8 132.9 213.9c9.625 3.75 18 1.625 22.25 0C558.4 489.9 640 420.5 640 295.1C640 285.1 633 275.2 622.3 271.1zM496 462.4V273.2l95.5 37.38C585.9 397.8 530.6 446 496 462.4zM224 256c70.69 0 128-57.31 128-128c0-70.69-57.31-128-128-128S96 57.31 96 128C96 198.7 153.3 256 224 256zM224 48c44.11 0 80 35.89 80 80c0 44.11-35.89 80-80 80S144 172.1 144 128C144 83.89 179.9 48 224 48zM422.8 510.6C420.5 511.1 418.4 512 416 512H32c-17.67 0-32-14.33-32-32c0-97.2 78.8-176 176-176h96c16.88 0 33.14 2.514 48.59 6.947c.9785 19.24 3.695 37.58 8.059 54.86C311.5 357.3 292.4 352 272 352h-96c-65.16 0-119.1 48.95-127 112h327.2C390.3 482.3 406.1 497.9 422.8 510.6z"],
    "user-slash": [640, 512, [], "f506", "M630.8 469.1l-277.1-217.9c54.69-14.56 95.18-63.95 95.18-123.2C447.1 57.31 390.7 0 319.1 0C250.2 0 193.7 55.93 192.3 125.4l-153.4-120.3C34.41 1.672 29.19 0 24.03 0C16.91 0 9.845 3.156 5.127 9.187C-3.061 19.62-1.248 34.72 9.189 42.89L601.2 506.9c10.5 8.203 25.56 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1zM290.1 202.1L255.6 175C245.9 161.8 240 145.6 240 128c0-44.11 35.89-80 80-80s80 35.89 80 80c0 44.11-35.89 80-80 80C309.4 208 299.4 205.8 290.1 202.1zM144.1 464C152.9 400.9 206.8 352 272 352h53.75L264.9 304.3C170.1 307.1 96 385.2 96 480c0 17.67 14.33 32 32 32h384c4.938 0 9.477-1.324 13.65-3.322L468.6 464H144.1z"],
    "user-tag": [640, 512, [], "f507", "M48.71 464C55.38 401.1 108.7 352 173.3 352H274.7c29.74 0 56.82 10.75 78.34 28.12c-.5684-4.26-1.246-8.498-1.246-12.87v-44.1C328.5 310.7 302.4 304 274.7 304H173.3c-95.73 0-173.3 77.65-173.3 173.4C.0005 496.5 15.52 512 34.66 512h378.7c11.86 0 21.82-6.339 28.07-15.43L408.8 464H48.71zM224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM224 48c44.11 0 80 35.89 80 80c0 44.11-35.89 80-80 80C179.9 208 144 172.1 144 128C144 83.89 179.9 48 224 48zM630.6 364.8L540.3 274.8C528.3 262.8 512 256 495 256h-79.23c-17.75 0-31.99 14.25-31.99 32l.0147 79.2c0 17 6.645 33.15 18.65 45.15l90.31 90.27c12.5 12.5 32.74 12.5 45.24 0l92.49-92.5C643.1 397.6 643.1 377.3 630.6 364.8zM447.8 343.9c-13.25 0-24-10.62-24-24c0-13.25 10.75-24 24-24c13.38 0 24 10.75 24 24S461.1 343.9 447.8 343.9z"],
    "user-tie": [448, 512, [], "f508", "M96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128C352 198.7 294.7 256 224 256C153.3 256 96 198.7 96 128zM304 128C304 83.82 268.2 48 224 48C179.8 48 144 83.82 144 128C144 172.2 179.8 208 224 208C268.2 208 304 172.2 304 128zM209.1 359.2L176 304H272L238.9 359.2L254.8 418.4L303.6 320.9C384.7 329.3 448 397.9 448 481.3C448 498.2 434.2 512 417.3 512H30.72C13.75 512 0 498.2 0 481.3C0 397.9 63.28 329.3 144.4 320.9L193.2 418.4L209.1 359.2zM329.5 376.3L285.7 464H398.7C392.6 424.2 365.7 391.1 329.5 376.3V376.3zM49.31 464H162.3L118.5 376.3C82.28 391.1 55.41 424.2 49.31 464z"],
    "user-tie-hair": [448, 512, [], "e45f", "M352 128V144C352 214.7 294.7 272 224 272C153.3 272 96 214.7 96 144V128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128zM304 144V128C304 116.6 301.6 105.8 297.3 96H296C275.5 96 257.3 86.4 245.6 71.46C231.9 95.67 205.8 112 176 112H145.6C144.6 117.2 144 122.5 144 128V144C144 188.2 179.8 224 224 224C268.2 224 304 188.2 304 144zM30.72 512C13.75 512 0 498.2 0 481.3C0 397.9 63.28 329.3 144.4 320.9L193.2 418.4L209.1 359.2L175.1 304H271.1L238.9 359.2L254.8 418.4L303.6 320.9C384.7 329.3 448 397.9 448 481.3C448 498.2 434.2 512 417.3 512H30.72zM329.5 376.3L285.7 464H398.7C392.6 424.2 365.7 391.1 329.5 376.3V376.3zM49.31 464H162.3L118.5 376.3C82.28 391.1 55.41 424.2 49.31 464z"],
    "user-tie-hair-long": [448, 512, [], "e460", "M352 128V138.1C352 172.9 365.5 205.5 389.5 229.5L393.4 233.4C397.6 237.6 400 243.4 400 249.4C400 261.9 389.9 272 377.4 272H70.63C58.13 272 47.1 261.9 47.1 249.4C47.1 243.4 50.38 237.6 54.63 233.4L58.51 229.5C82.51 205.5 95.1 172.9 95.1 138.1V128C95.1 57.31 153.3 0 223.1 0C294.7 0 352 57.31 352 128H352zM304 144V128C304 116.6 301.6 105.8 297.3 96H296C275.5 96 257.3 86.4 245.6 71.46C231.9 95.67 205.8 112 176 112H145.6C144.6 117.2 144 122.5 144 128V144C144 188.2 179.8 224 224 224C268.2 224 304 188.2 304 144zM30.72 511.1C13.75 511.1 0 498.2 0 481.3C0 397.9 63.28 329.3 144.4 320.9L193.2 418.4L209.1 359.2L176 304H272L238.9 359.2L254.8 418.4L303.6 320.9C384.7 329.3 448 397.9 448 481.3C448 498.2 434.2 512 417.3 512L30.72 511.1zM329.5 376.3L285.7 463.1H398.7C392.6 424.2 365.7 391.1 329.5 376.3V376.3zM49.31 463.1H162.3L118.5 376.3C82.28 391.1 55.41 424.2 49.31 463.1V463.1z"],
    "user-unlock": [640, 512, [], "e058", "M224 256c70.69 0 128-57.31 128-128c0-70.69-57.31-128-128-128S96 57.31 96 128C96 198.7 153.3 256 224 256zM224 48c44.11 0 80 35.89 80 80c0 44.11-35.89 80-80 80S144 172.1 144 128C144 83.89 179.9 48 224 48zM592 288h-128V208c0-17.62 14.38-32 32-32s32 14.38 32 32V224H576V212.7c0-41.84-30.03-80.04-71.66-84.27c-2.805-.2852-5.59-.4229-8.336-.4229C451.9 127.1 416 163.9 416 208V288h-16C373.6 288 352 309.6 352 336v128c0 26.4 21.6 48 48 48h192c26.4 0 48-21.6 48-48v-128C640 309.6 618.4 288 592 288zM496 432c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S513.6 432 496 432zM320 464c0 18.08 6.256 34.59 16.41 48H32c-17.67 0-32-14.33-32-32c0-97.2 78.8-176 176-176h96c18.09 0 35.54 2.748 51.97 7.818C321.5 319.5 320 327.5 320 336v25.52C305.1 355.5 288.1 352 272 352h-96c-65.16 0-119.1 48.95-127 112H320z"],
    "user-visor": [448, 512, [], "e04c", "M274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512H413.3C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM48.71 464C55.38 401.1 108.7 352 173.3 352h101.3c64.61 0 117.1 49.13 124.6 112H48.71zM105 174.6C123.7 222.2 169.8 256 224 256s100.3-33.81 118.1-81.39C357.2 171.4 368 159.2 368 144V96c0-17.67-14.33-32-32-32h-1.752C312.1 25.9 271.3 0 224 0S135.9 25.9 113.8 64H112c-17.67 0-32 14.33-32 32v48C80 159.2 90.81 171.4 105 174.6zM224 208c-26.03 0-48.97-12.69-63.59-32h127.2C272.1 195.3 250 208 224 208zM224 48c17.85 0 34.18 6.082 47.51 16H176.5C189.8 54.08 206.2 48 224 48zM128 112h192V128H128V112zM309.2 369.4C326 389.9 335 415.2 336 444.6c0 1.562-.8887 2.812-2.443 3.332C333.2 448 332.8 448 332.4 448c-1.111 0-2.223-.5215-2.889-1.355c-10.89-14.38-15.66-19.17-17.66-20.83c-.4434 0-.7773 .1035-1.221 .3125c-2.889 .832-10.89 4.582-32.88 20.62c-1.223 .832-2.666 .9375-4 .3125c-1.221-.625-1.889-1.98-1.777-3.23c3.443-30.42 14.11-55.42 31.77-74.58C304.5 368.5 305.4 368 306.6 368C307.7 368.1 308.7 368.5 309.2 369.4z"],
    "user-vneck": [448, 512, [], "e461", "M96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128C352 198.7 294.7 256 224 256C153.3 256 96 198.7 96 128zM304 128C304 83.82 268.2 48 224 48C179.8 48 144 83.82 144 128C144 172.2 179.8 208 224 208C268.2 208 304 172.2 304 128zM448 479.1C448 497.7 433.7 511.1 416 511.1H32C14.33 511.1 0 497.7 0 479.1V471.1C0 388.2 61.33 318.8 141.6 306.1L224 416L306.4 306.1C386.7 318.8 448 388.2 448 471.1V479.1zM122.6 360.9C81.2 377.8 51.34 417.3 48.26 463.1H199.1L122.6 360.9zM325.4 360.9L248 463.1H399.7C396.7 417.3 366.8 377.8 325.4 360.9z"],
    "user-vneck-hair": [448, 512, [], "e462", "M96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128V144C352 214.7 294.7 272 224 272C153.3 272 96 214.7 96 144V128zM297.3 96H296C275.5 96 257.3 86.4 245.6 71.46C231.9 95.67 205.8 112 176 112H145.6C144.6 117.2 144 122.5 144 128V144C144 188.2 179.8 224 224 224C268.2 224 304 188.2 304 144V128C304 116.6 301.6 105.8 297.3 96zM448 480C448 497.7 433.7 512 416 512H32C14.33 512 0 497.7 0 480V472C0 388.2 61.33 318.8 141.6 306.1L224 416L306.4 306.1C386.7 318.8 448 388.2 448 472V480zM122.6 360.9C81.2 377.8 51.34 417.3 48.26 464H199.1L122.6 360.9zM325.4 360.9L248 464H399.7C396.7 417.3 366.8 377.8 325.4 360.9z"],
    "user-vneck-hair-long": [448, 512, [], "e463", "M96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128V138.1C352 172.9 365.5 205.5 389.5 229.5L393.4 233.4C397.6 237.6 400 243.4 400 249.4C400 261.9 389.9 272 377.4 272H70.63C58.13 272 47.1 261.9 47.1 249.4C47.1 243.4 50.38 237.6 54.63 233.4L58.51 229.5C82.51 205.5 95.1 172.9 95.1 138.1L96 128zM297.3 96H296C275.5 96 257.3 86.4 245.6 71.46C231.9 95.67 205.8 112 176 112H145.6C144.6 117.2 144 122.5 144 128V144C144 188.2 179.8 224 224 224C268.2 224 304 188.2 304 144V128C304 116.6 301.6 105.8 297.3 96zM448 477.9C448 495.6 433.7 509.9 416 509.9H32C14.33 509.9 0 495.6 0 477.9V469.9C0 386.1 61.33 316.7 141.6 304L224 413.9L306.4 304C386.7 316.7 448 386.1 448 469.9V477.9zM122.6 358.8C81.2 375.7 51.34 415.2 48.26 461.9H199.1L122.6 358.8zM325.4 358.8L248 461.9H399.7C396.7 415.2 366.8 375.7 325.4 358.8V358.8z"],
    "user-xmark": [640, 512, ["user-times"], "f235", "M274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512h378.7C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM48.71 464C55.38 401.1 108.7 352 173.3 352H274.7c64.61 0 117.1 49.13 124.6 112H48.71zM224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM224 48c44.11 0 80 35.89 80 80c0 44.11-35.89 80-80 80C179.9 208 144 172.1 144 128C144 83.89 179.9 48 224 48zM577.9 223.1l47.03-47.03c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0L544 190.1l-47.03-47.03c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94l47.03 47.03l-47.03 47.03c-9.375 9.375-9.375 24.56 0 33.94c9.373 9.373 24.56 9.381 33.94 0L544 257.9l47.03 47.03c9.373 9.373 24.56 9.381 33.94 0c9.375-9.375 9.375-24.56 0-33.94L577.9 223.1z"],
    "users": [640, 512, [], "f0c0", "M319.9 320c57.41 0 103.1-46.56 103.1-104c0-57.44-46.54-104-103.1-104c-57.41 0-103.1 46.56-103.1 104C215.9 273.4 262.5 320 319.9 320zM319.9 160c30.85 0 55.96 25.12 55.96 56S350.7 272 319.9 272S263.9 246.9 263.9 216S289 160 319.9 160zM512 160c44.18 0 80-35.82 80-80S556.2 0 512 0c-44.18 0-80 35.82-80 80S467.8 160 512 160zM369.9 352H270.1C191.6 352 128 411.7 128 485.3C128 500.1 140.7 512 156.4 512h327.2C499.3 512 512 500.1 512 485.3C512 411.7 448.4 352 369.9 352zM178.1 464c10.47-36.76 47.36-64 91.14-64H369.9c43.77 0 80.66 27.24 91.14 64H178.1zM551.9 192h-61.84c-12.8 0-24.88 3.037-35.86 8.24C454.8 205.5 455.8 210.6 455.8 216c0 33.71-12.78 64.21-33.16 88h199.7C632.1 304 640 295.6 640 285.3C640 233.8 600.6 192 551.9 192zM183.9 216c0-5.449 .9824-10.63 1.609-15.91C174.6 194.1 162.6 192 149.9 192H88.08C39.44 192 0 233.8 0 285.3C0 295.6 7.887 304 17.62 304h199.5C196.7 280.2 183.9 249.7 183.9 216zM128 160c44.18 0 80-35.82 80-80S172.2 0 128 0C83.82 0 48 35.82 48 80S83.82 160 128 160z"],
    "users-between-lines": [640, 512, [], "e591", "M616 0C629.3 0 640 10.75 640 24C640 37.25 629.3 48 616 48H24C10.75 48 0 37.25 0 24C0 10.75 10.75 0 24 0H616zM616 464C629.3 464 640 474.7 640 488C640 501.3 629.3 512 616 512H24C10.75 512 0 501.3 0 488C0 474.7 10.75 464 24 464H616zM261.1 288.8C265.2 288.3 269.4 288 273.6 288H369.6C373.8 288 378 288.3 382.1 288.8C429.2 294.1 465.6 335.2 465.6 384C465.6 401.7 451.3 416 433.6 416H209.6C191.9 416 177.6 401.7 177.6 384C177.6 372.8 179.5 362 183.1 352C193.6 322.3 218.3 299.2 249.1 291.1C253 290.1 257 289.3 261.1 288.8V288.8zM392.7 341.9C385.8 338.1 377.1 336 369.6 336H273.6C252.7 336 234.9 349.4 228.3 368H414.9C412.3 360.7 407.1 354.2 402.4 348.1C398.7 347.3 395.4 344.8 392.7 341.9H392.7zM241.6 176C241.6 131.8 277.4 96 321.6 96C365.8 96 401.6 131.8 401.6 176C401.6 202.2 389 225.4 369.6 240C356.2 250 339.6 256 321.6 256C303.6 256 286.1 250 273.6 240C254.2 225.4 241.6 202.2 241.6 176V176zM321.6 208C339.3 208 353.6 193.7 353.6 176C353.6 158.3 339.3 144 321.6 144C303.9 144 289.6 158.3 289.6 176C289.6 193.7 303.9 208 321.6 208zM83.2 160C83.2 124.7 111.9 96 147.2 96C182.5 96 211.2 124.7 211.2 160C211.2 195.3 182.5 224 147.2 224C111.9 224 83.2 195.3 83.2 160zM192 256C204.2 256 215.7 259.4 225.4 265.4C188.2 280.5 159.8 312.6 149.6 352H64C46.33 352 32 337.7 32 320C32 284.7 60.65 256 96 256H192zM576 352H493.6C483.2 311.9 453.1 279.4 415.9 264.6C425.3 259.1 436.3 256 448 256H544C579.3 256 608 284.7 608 320C608 337.7 593.7 352 576 352zM435.2 160C435.2 124.7 463.9 96 499.2 96C534.5 96 563.2 124.7 563.2 160C563.2 195.3 534.5 224 499.2 224C463.9 224 435.2 195.3 435.2 160V160z"],
    "users-gear": [640, 512, ["users-cog"], "f509", "M319.9 320c57.41 0 103.1-46.56 103.1-104c0-57.44-46.54-104-103.1-104c-57.41 0-103.1 46.56-103.1 104C215.9 273.4 262.5 320 319.9 320zM319.9 160c30.85 0 55.96 25.12 55.96 56S350.7 272 319.9 272S263.9 246.9 263.9 216S289 160 319.9 160zM128 160c44.18 0 80-35.82 80-80S172.2 0 128 0C83.82 0 48 35.82 48 80S83.82 160 128 160zM512 160c44.18 0 80-35.82 80-80S556.2 0 512 0c-44.18 0-80 35.82-80 80S467.8 160 512 160zM183.9 216c0-5.449 .9824-10.63 1.609-15.91C174.6 194.1 162.6 192 149.9 192H88.08C39.44 192 0 233.8 0 285.3C0 295.6 7.887 304 17.62 304h199.5C196.7 280.2 183.9 249.7 183.9 216zM551.9 192h-61.84c-12.8 0-24.88 3.037-35.86 8.24C454.8 205.5 455.8 210.6 455.8 216c0 21.47-5.625 41.38-14.65 59.34C462.2 263.4 486.1 256 512 256c42.48 0 80.27 18.74 106.6 48h3.756C632.1 304 640 295.6 640 285.3C640 233.8 600.6 192 551.9 192zM383.6 464H178.1c10.47-36.76 47.36-64 91.14-64H368c0-16.69 3.398-32.46 8.619-47.36C374.3 352.5 372.2 352 369.9 352H270.1C191.6 352 128 411.7 128 485.3C128 500.1 140.7 512 156.4 512h266.1C406.3 499 393 482.8 383.6 464zM618.1 366.7c-5.025-16.01-13.59-30.62-24.75-42.71c-1.674-1.861-4.467-2.326-6.699-1.023l-19.17 11.07c-8.096-6.887-17.4-12.28-27.45-15.82V295.1c0-2.514-1.861-4.746-4.281-5.213c-16.56-3.723-33.5-3.629-49.32 0C484.9 291.2 483.1 293.5 483.1 295.1v22.24c-10.05 3.537-19.36 8.932-27.45 15.82l-19.26-11.07c-2.139-1.303-4.932-.8379-6.697 1.023c-11.17 12.1-19.73 26.71-24.66 42.71c-.7441 2.512 .2793 5.117 2.42 6.326l19.17 11.17c-1.859 10.42-1.859 21.21 0 31.64l-19.17 11.17c-2.234 1.209-3.164 3.816-2.42 6.328c4.932 16.01 13.49 30.52 24.66 42.71c1.766 1.863 4.467 2.328 6.697 1.025l19.26-11.07c8.094 6.887 17.4 12.28 27.45 15.82v22.24c0 2.514 1.77 4.746 4.188 5.211c16.66 3.723 33.5 3.629 49.32 0c2.42-.4648 4.281-2.697 4.281-5.211v-22.24c10.05-3.535 19.36-8.932 27.45-15.82l19.17 11.07c2.141 1.303 5.025 .8379 6.699-1.025c11.17-12.1 19.73-26.7 24.75-42.71c.7441-2.512-.2773-5.119-2.512-6.328l-19.17-11.17c1.953-10.42 1.953-21.22 0-31.64l19.17-11.17C618.7 371.8 619.7 369.2 618.1 366.7zM512 432c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32s32 14.33 32 32C544 417.7 529.7 432 512 432z"],
    "users-line": [640, 512, [], "e592", "M83.2 96C83.2 60.65 111.9 32 147.2 32C182.5 32 211.2 60.65 211.2 96C211.2 131.3 182.5 160 147.2 160C111.9 160 83.2 131.3 83.2 96zM192 192C216.7 192 238.1 205.1 248.8 226.4C212 233.6 180.9 256.6 162.7 288H64C46.33 288 32 273.7 32 256C32 220.7 60.65 192 96 192H192zM576 288H480.5C461.8 255.8 429.6 232.4 391.5 225.9C402.3 205.7 423.5 192 448 192H544C579.3 192 608 220.7 608 256C608 273.7 593.7 288 576 288zM465.6 352C465.6 369.7 451.3 384 433.6 384H209.6C191.9 384 177.6 369.7 177.6 352C177.6 327.4 186.8 304.1 202 288C215.9 272.5 234.7 261.6 255.1 257.6C257.6 257.3 259.4 257 261.1 256.8C265.2 256.3 269.4 256 273.6 256H369.6C373.8 256 378 256.3 382.1 256.8C382.8 256.9 383.4 256.1 384 257.1C406.6 260.5 426.6 271.7 441.2 288C456.4 304.1 465.6 327.4 465.6 352H465.6zM414.9 336C408.3 317.4 390.5 304 369.6 304H273.6C252.7 304 234.9 317.4 228.3 336H414.9zM435.2 96C435.2 60.65 463.9 32 499.2 32C534.5 32 563.2 60.65 563.2 96C563.2 131.3 534.5 160 499.2 160C463.9 160 435.2 131.3 435.2 96V96zM241.6 144C241.6 99.82 277.4 64 321.6 64C365.8 64 401.6 99.82 401.6 144C401.6 170.2 389 193.4 369.6 208C356.2 218 339.6 224 321.6 224C303.6 224 286.1 218 273.6 208C254.2 193.4 241.6 170.2 241.6 144V144zM321.6 176C339.3 176 353.6 161.7 353.6 144C353.6 126.3 339.3 112 321.6 112C303.9 112 289.6 126.3 289.6 144C289.6 161.7 303.9 176 321.6 176zM0 456C0 442.7 10.75 432 24 432H616C629.3 432 640 442.7 640 456C640 469.3 629.3 480 616 480H24C10.75 480 0 469.3 0 456z"],
    "users-medical": [640, 512, [], "f830", "M512 160c44.18 0 80-35.82 80-80S556.2 0 512 0c-44.18 0-80 35.82-80 80S467.8 160 512 160zM624 380h-44V336c0-8.838-7.164-16-16-16h-40c-8.836 0-16 7.162-16 16v44H464c-8.836 0-16 7.162-16 16v40c0 8.836 7.164 16 16 16h44V496c0 8.836 7.164 16 16 16h40c8.836 0 16-7.164 16-16v-44H624c8.836 0 16-7.164 16-16v-40C640 387.2 632.8 380 624 380zM490.1 192c-12.8 0-24.88 3.037-35.86 8.24C454.8 205.5 455.8 210.6 455.8 216c0 33.71-12.78 64.21-33.16 88h63.7C494.4 294.3 506.4 288 520 288h48c13.57 0 25.58 6.309 33.65 16h20.73C632.1 304 640 295.6 640 285.3C640 233.8 600.6 192 551.9 192H490.1zM319.9 320c57.41 0 103.1-46.56 103.1-104c0-57.44-46.54-104-103.1-104c-57.41 0-103.1 46.56-103.1 104C215.9 273.4 262.5 320 319.9 320zM319.9 160c30.85 0 55.96 25.12 55.96 56S350.7 272 319.9 272S263.9 246.9 263.9 216S289 160 319.9 160zM476 484h-16c-15.4 0-28.93-7.984-36.79-20H178.1c10.47-36.76 47.36-64 91.14-64H369.9c16.76 0 32.47 4.049 46.11 11.04V392c0-10.1 4.199-20.94 10.89-28.66C409.4 356.1 390.2 352 369.9 352H270.1C191.6 352 128 411.7 128 485.3C128 500.1 140.7 512 156.4 512h321.5C476.8 508.2 476 504.2 476 500V484zM183.9 216c0-5.449 .9824-10.63 1.609-15.91C174.6 194.1 162.6 192 149.9 192H88.08C39.44 192 0 233.8 0 285.3C0 295.6 7.887 304 17.62 304h199.5C196.7 280.2 183.9 249.7 183.9 216zM128 160c44.18 0 80-35.82 80-80S172.2 0 128 0C83.82 0 48 35.82 48 80S83.82 160 128 160z"],
    "users-rays": [640, 512, [], "e593", "M7.029 7.029C16.4-2.343 31.6-2.343 40.97 7.029L112.1 79.03C122.3 88.4 122.3 103.6 112.1 112.1C103.6 122.3 88.4 122.3 79.03 112.1L7.029 40.97C-2.343 31.6-2.343 16.4 7.029 7.029V7.029zM632.1 40.97L560.1 112.1C551.6 122.3 536.4 122.3 527 112.1C517.7 103.6 517.7 88.4 527 79.03L599 7.029C608.4-2.343 623.6-2.343 632.1 7.029C642.3 16.4 642.3 31.6 632.1 40.97V40.97zM40.97 504.1C31.6 514.3 16.4 514.3 7.029 504.1C-2.343 495.6-2.343 480.4 7.029 471L79.03 399C88.4 389.7 103.6 389.7 112.1 399C122.3 408.4 122.3 423.6 112.1 432.1L40.97 504.1zM632.1 504.1C623.6 514.3 608.4 514.3 599 504.1L527 432.1C517.7 423.6 517.7 408.4 527 399C536.4 389.7 551.6 389.7 560.1 399L632.1 471C642.3 480.4 642.3 495.6 632.1 504.1zM268.4 290C274.7 288.7 281.3 288 288 288H352C358.7 288 365.3 288.7 371.6 290C372.7 290.2 373.8 290.5 374.9 290.7C398.5 296.5 418.7 311 431.8 330.6C432.1 332.4 434.1 334.2 435.2 336C443.3 350.1 448 366.5 448 384C448 401.7 433.7 416 416 416H224C206.3 416 192 401.7 192 384C192 366.5 196.7 350.1 204.8 336C217.8 313.7 239.4 297 265.1 290.7C266.2 290.5 267.3 290.2 268.4 290zM397.3 368C390.7 349.4 372.9 336 352 336H288C267.1 336 249.3 349.4 242.7 368H397.3zM248 184C248 144.2 280.2 112 320 112C359.8 112 392 144.2 392 184C392 206.9 381.3 227.4 364.6 240.5C360.7 243.6 356.5 246.3 352 248.5C342.4 253.3 331.5 256 320 256C308.5 256 297.6 253.3 288 248.5C283.5 246.3 279.3 243.6 275.4 240.5C258.7 227.4 248 206.9 248 184V184zM320 208C333.3 208 344 197.3 344 184C344 170.7 333.3 160 320 160C306.7 160 296 170.7 296 184C296 197.3 306.7 208 320 208zM223.8 176C223.8 202.5 202.3 224 175.8 224C149.3 224 127.8 202.5 127.8 176C127.8 149.5 149.3 128 175.8 128C202.3 128 223.8 149.5 223.8 176zM96 309.3C96 279.9 119.9 256 149.3 256H218.7C228.4 256 237.6 258.6 245.5 263.2C210.8 275.4 183 302.1 169.3 336H122.7C107.9 336 96 324.1 96 309.3V309.3zM394.5 263.2C402.4 258.6 411.6 256 421.3 256H490.7C520.1 256 544 279.9 544 309.3C544 324.1 532.1 336 517.3 336H470.7C456.1 302.1 429.2 275.4 394.5 263.2zM512 176C512 202.5 490.5 224 464 224C437.5 224 416 202.5 416 176C416 149.5 437.5 128 464 128C490.5 128 512 149.5 512 176z"],
    "users-rectangle": [640, 512, [], "e594", "M268.4 274C274.7 272.7 281.3 272 288 272H352C358.7 272 365.3 272.7 371.6 274C372.7 274.2 373.8 274.5 374.9 274.7C398.5 280.5 418.7 295 431.8 314.6C432.1 316.4 434.1 318.2 435.2 319.1C443.3 334.1 448 350.5 448 368C448 385.7 433.7 400 416 400H224C206.3 400 192 385.7 192 368C192 350.5 196.7 334.1 204.8 319.1C217.8 297.7 239.4 281 265.1 274.7C266.2 274.5 267.3 274.2 268.4 274zM397.3 352C390.7 333.4 372.9 320 352 320H288C267.1 320 249.3 333.4 242.7 352H397.3zM248 168C248 128.2 280.2 96 320 96C359.8 96 392 128.2 392 168C392 190.9 381.3 211.4 364.6 224.5C360.7 227.6 356.5 230.3 352 232.5C342.4 237.3 331.5 240 320 240C308.5 240 297.6 237.3 288 232.5C283.5 230.3 279.3 227.6 275.4 224.5C258.7 211.4 248 190.9 248 168V168zM320 192C333.3 192 344 181.3 344 168C344 154.7 333.3 144 320 144C306.7 144 296 154.7 296 168C296 181.3 306.7 192 320 192zM223.8 160C223.8 186.5 202.3 208 175.8 208C149.3 208 127.8 186.5 127.8 160C127.8 133.5 149.3 112 175.8 112C202.3 112 223.8 133.5 223.8 160zM96 293.3C96 263.9 119.9 240 149.3 240H218.7C228.4 240 237.6 242.6 245.5 247.2C210.8 259.4 183 286.1 169.3 320H122.7C107.9 320 96 308.1 96 293.3V293.3zM394.5 247.2C402.4 242.6 411.6 240 421.3 240H490.7C520.1 240 544 263.9 544 293.3C544 308.1 532.1 320 517.3 320H470.7C456.1 286.1 429.2 259.4 394.5 247.2zM512 160C512 186.5 490.5 208 464 208C437.5 208 416 186.5 416 160C416 133.5 437.5 112 464 112C490.5 112 512 133.5 512 160zM552 0C600.6 0 640 39.4 640 88V424C640 472.6 600.6 512 552 512H88C39.4 512 0 472.6 0 424V88C0 39.4 39.4 0 88 0H552zM48 424C48 446.1 65.91 464 88 464H552C574.1 464 592 446.1 592 424V88C592 65.91 574.1 48 552 48H88C65.91 48 48 65.91 48 88V424z"],
    "users-slash": [640, 512, [], "e073", "M178.1 464c10.47-36.76 47.36-64 91.14-64H369.9c6.83 0 13.4 .873 19.82 2.133L325.7 352H270.1C191.6 352 128 411.7 128 485.3C128 500.1 140.7 512 156.4 512h327.2c11.62 0 21.54-6.587 25.95-15.96L468.6 464H178.1zM396.6 285.5C413.4 267.2 423.8 242.9 423.8 216c0-57.44-46.54-104-103.1-104c-35.93 0-67.07 18.53-85.59 46.3L193.1 126.1C202.4 113.1 208 97.24 208 80C208 35.82 172.2 0 128 0C103.8 0 82.52 10.97 67.96 27.95L38.81 5.109C34.41 1.672 29.19 0 24.03 0C16.91 0 9.846 3.156 5.127 9.188C-3.061 19.62-1.248 34.72 9.189 42.89l591.1 463.1c10.5 8.203 25.56 6.328 33.69-4.078c8.188-10.44 6.375-25.53-4.062-33.7L396.6 285.5zM358.9 255.1L271.8 187.7C281.6 171.2 299.3 160 319.9 160c30.85 0 55.96 25.12 55.96 56C375.8 231.7 369.3 245.8 358.9 255.1zM512 160c44.18 0 80-35.82 80-80S556.2 0 512 0c-44.18 0-80 35.82-80 80S467.8 160 512 160zM490.1 192c-12.8 0-24.88 3.037-35.86 8.24C454.8 205.5 455.8 210.6 455.8 216c0 33.71-12.78 64.21-33.16 88h199.7C632.1 304 640 295.6 640 285.3C640 233.8 600.6 192 551.9 192H490.1zM186.1 243.2L121.6 192H88.08C39.44 192 0 233.8 0 285.3C0 295.6 7.887 304 17.62 304h199.5C202.4 286.8 191.8 266.1 186.1 243.2z"],
    "users-viewfinder": [640, 512, [], "e595", "M48 136C48 149.3 37.25 160 24 160C10.75 160 0 149.3 0 136V32C0 14.33 14.33 0 32 0H136C149.3 0 160 10.75 160 24C160 37.25 149.3 48 136 48H48V136zM592 48H504C490.7 48 480 37.25 480 24C480 10.75 490.7 0 504 0H608C625.7 0 640 14.33 640 32V136C640 149.3 629.3 160 616 160C602.7 160 592 149.3 592 136V48zM160 488C160 501.3 149.3 512 136 512H32C14.33 512 0 497.7 0 480V376C0 362.7 10.75 352 24 352C37.25 352 48 362.7 48 376V464H136C149.3 464 160 474.7 160 488zM592 376C592 362.7 602.7 352 616 352C629.3 352 640 362.7 640 376V480C640 497.7 625.7 512 608 512H504C490.7 512 480 501.3 480 488C480 474.7 490.7 464 504 464H592V376zM268.4 290C274.7 288.7 281.3 288 288 288H352C358.7 288 365.3 288.7 371.6 290C372.7 290.2 373.8 290.5 374.9 290.7C398.5 296.5 418.7 311 431.8 330.6C432.1 332.4 434.1 334.2 435.2 336C443.3 350.1 448 366.5 448 384C448 401.7 433.7 416 416 416H224C206.3 416 192 401.7 192 384C192 366.5 196.7 350.1 204.8 336C217.8 313.7 239.4 297 265.1 290.7C266.2 290.5 267.3 290.2 268.4 290zM397.3 368C390.7 349.4 372.9 336 352 336H288C267.1 336 249.3 349.4 242.7 368H397.3zM248 184C248 144.2 280.2 112 320 112C359.8 112 392 144.2 392 184C392 206.9 381.3 227.4 364.6 240.5C360.7 243.6 356.5 246.3 352 248.5C342.4 253.3 331.5 256 320 256C308.5 256 297.6 253.3 288 248.5C283.5 246.3 279.3 243.6 275.4 240.5C258.7 227.4 248 206.9 248 184V184zM320 208C333.3 208 344 197.3 344 184C344 170.7 333.3 160 320 160C306.7 160 296 170.7 296 184C296 197.3 306.7 208 320 208zM223.8 176C223.8 202.5 202.3 224 175.8 224C149.3 224 127.8 202.5 127.8 176C127.8 149.5 149.3 128 175.8 128C202.3 128 223.8 149.5 223.8 176zM96 309.3C96 279.9 119.9 256 149.3 256H218.7C228.4 256 237.6 258.6 245.5 263.2C210.8 275.4 183 302.1 169.3 336H122.7C107.9 336 96 324.1 96 309.3V309.3zM394.5 263.2C402.4 258.6 411.6 256 421.3 256H490.7C520.1 256 544 279.9 544 309.3C544 324.1 532.1 336 517.3 336H470.7C456.1 302.1 429.2 275.4 394.5 263.2zM512 176C512 202.5 490.5 224 464 224C437.5 224 416 202.5 416 176C416 149.5 437.5 128 464 128C490.5 128 512 149.5 512 176z"],
    "utensils": [448, 512, [61685, 127860, "cutlery"], "f2e7", "M448 71.3C448 71.53 448 71.77 448 72V488C448 494.4 445.5 500.5 440.1 504.1C436.5 509.5 430.4 512 424 512C417.6 512 411.5 509.5 407 504.1C402.5 500.5 400 494.4 400 488V352H351.2C342.8 352 334.4 350.3 326.6 347.1C318.9 343.8 311.8 339.1 305.8 333.1C299.9 327.1 295.2 320 291.1 312.2C288.8 304.4 287.2 296 287.2 287.6L288 173.8C287.1 136.9 299.1 100.8 319.7 70.28C340.4 39.71 369.8 16.04 404.1 2.336C407.9 .7942 411.9 .001 416 .0003C424.5 .0003 432.6 3.372 438.6 9.373C444.6 15.37 448 23.51 448 32V71.3zM400 58.08C380.4 70.33 364.2 87.39 352.1 107.6C341.8 127.9 335.9 150.7 336 173.8L335.2 288C335.2 292.2 336.9 296.3 339.9 299.3C342.9 302.3 346.1 304 351.2 304H399L400 58.08zM240.1 7.029C245.5 11.53 248 17.63 248 24V184C247.1 207.3 238.7 229.7 222.2 246.2C205.7 262.7 183.3 271.1 160 272H152V488C152 494.4 149.5 500.5 144.1 504.1C140.5 509.5 134.4 512 128 512C121.6 512 115.5 509.5 111 504.1C106.5 500.5 104 494.4 104 488V272H96C72.67 271.1 50.29 262.7 33.79 246.2C17.29 229.7 8.017 207.3 8 184V24C8 17.63 10.53 11.53 15.03 7.029C19.53 2.529 25.63 0 32 0C38.37 0 44.47 2.529 48.97 7.029C53.47 11.53 56 17.63 56 24V144H104V25.6C104 19.23 106.5 13.13 111 8.629C115.5 4.129 121.6 1.6 128 1.6C134.4 1.6 140.5 4.129 144.1 8.629C149.5 13.13 152 19.23 152 25.6V144H200V24C200 17.63 202.5 11.53 207 7.029C211.5 2.529 217.6 0 224 0C230.4 0 236.5 2.529 240.1 7.029zM184.9 214.9C191.9 209 196.7 200.1 198.4 192H57.6C59.32 200.1 64.08 209 71.08 214.9C78.08 220.7 86.89 223.9 96 224H160C169.1 223.9 177.9 220.7 184.9 214.9z"],
    "utensils-slash": [640, 512, [], "e464", "M104 178.2L248 291.2V488C248 494.4 245.5 500.5 240.1 504.1C236.5 509.5 230.4 512 224 512C217.6 512 211.5 509.5 207 504.1C202.5 500.5 200 494.4 200 488V271.1H192C168.7 271.1 146.3 262.7 129.8 246.2C113.3 229.7 104 207.3 104 183.1V178.2zM639.8 485.1C640.6 491.4 638.8 497.8 634.9 502.8C630.1 507.8 625.2 511.1 618.9 511.8C612.6 512.6 606.2 510.8 601.2 506.9L544 462.1L496 424.3L9.184 42.88C4.231 38.93 1.038 33.19 .3029 26.9C-.4322 20.6 1.35 14.28 5.26 9.293C9.171 4.31 14.89 1.075 21.18 .2934C27.46-.4883 33.8 1.246 38.82 5.12L104 56.19V24C104 17.63 106.5 11.53 111 7.029C115.5 2.529 121.6 0 128 0C134.4 0 140.5 2.529 144.1 7.029C149.5 11.53 152 17.63 152 24V93.82L200 131.5V25.6C200 19.23 202.5 13.13 207 8.629C211.5 4.129 217.6 1.6 224 1.6C230.4 1.6 236.5 4.129 240.1 8.629C245.5 13.13 248 19.23 248 25.6V144H296V24C296 17.63 298.5 11.53 303 7.029C307.5 2.529 313.6 0 320 0C326.4 0 332.5 2.529 336.1 7.029C341.5 11.53 344 17.63 344 24V184C344 201.3 338.9 218.3 329.2 232.7L383.3 275.2L384 173.8C383.1 136.9 395.1 100.8 415.8 70.28C436.4 39.71 465.8 16.04 500.1 2.336C503.9 .7939 507.9 .0006 512 0C520.5 0 528.6 3.372 534.6 9.372C540.6 15.37 544 23.51 544 32V71.3C544 71.53 544 71.77 544 72V401.1L630.8 469.1C635.8 473 639.1 478.8 639.8 485.1L639.8 485.1zM496 58.08C476.4 70.33 460.2 87.39 448.1 107.6C437.8 127.9 431.9 150.7 432 173.8L431.2 287.1C431.2 292.2 432.9 296.3 435.9 299.3C438.9 302.3 442.1 303.1 447.2 303.1H495L496 58.08z"],
    "utility-pole": [512, 512, [], "e2c3", "M496 32H480c-8.836 0-16 7.162-16 16v32h-32v-32C432 39.16 424.8 32 416 32h-16C391.2 32 384 39.16 384 48v32h-104v-64c0-8.838-7.164-16-16-16h-16c-8.836 0-16 7.162-16 16v64H128v-32C128 39.16 120.8 32 112 32H96C87.16 32 80 39.16 80 48v32h-32v-32C48 39.16 40.84 32 32 32H16C7.164 32 0 39.16 0 48V96c0 17.67 14.33 32 32 32h36.73L232 236.8V512h48V236.8L443.3 128H480c17.67 0 32-14.33 32-32V48C512 39.16 504.8 32 496 32zM155.3 128H232v51.16L155.3 128zM280 128h76.73L280 179.2V128z"],
    "utility-pole-double": [512, 512, [], "e2c4", "M443.3 128H480c17.67 0 32-14.33 32-32V48C512 39.16 504.8 32 496 32H480c-8.836 0-16 7.162-16 16v32h-32v-32C432 39.16 424.8 32 416 32h-16C391.2 32 384 39.16 384 48v32h-104v-64c0-8.838-7.164-16-16-16h-16c-8.836 0-16 7.162-16 16v64H128v-32C128 39.16 120.8 32 112 32H96C87.16 32 80 39.16 80 48v32h-32v-32C48 39.16 40.84 32 32 32H16C7.164 32 0 39.16 0 48V96c0 17.67 14.33 32 32 32h36.73L232 236.8V272H128v-32C128 231.2 120.8 224 112 224H96C87.16 224 80 231.2 80 240v32h-32v-32C48 231.2 40.84 224 32 224H16C7.164 224 0 231.2 0 240V288c0 17.67 14.33 32 32 32h200v192h48v-192H480c17.67 0 32-14.33 32-32V240C512 231.2 504.8 224 496 224H480c-8.836 0-16 7.162-16 16v32h-32v-32C432 231.2 424.8 224 416 224h-16C391.2 224 384 231.2 384 240v32h-104V236.8L443.3 128zM280 128h76.73L280 179.2V128zM155.3 128H232v51.16L155.3 128z"],
    "v": [384, 512, [118], "56", "M192 480c-9.656 0-18.39-5.803-22.12-14.71l-168-400C-3.266 53.08 2.484 39 14.7 33.88C26.91 28.7 41 34.48 46.13 46.7L192 394l145.9-347.3c5.125-12.23 19.11-18.03 31.42-12.83c12.22 5.125 17.97 19.2 12.83 31.42l-168 400C210.4 474.2 201.7 480 192 480z"],
    "vacuum": [640, 512, [], "e04d", "M640 120C639.9 53.75 586.3 .125 520 0H309.6C253.4 0 204 39.88 192.2 94.88L130.2 384H96c-53 0-96 43-96 96v16C0 504.9 7.125 512 16 512H224c17.62 0 32-14.38 32-32v-64c0-17.62-14.38-32-32-32H179.4L239.2 104.9C246.5 71.75 275.8 48.12 309.6 48H520c33.5-.125 62.5 22.88 70.13 55.5c7.625 32.5-8.25 66-38.38 80.75C515.9 148.1 467 127.9 416 128h-32c-17.62 0-32 14.38-32 32v171.2C367 323.9 383.4 320.1 400 320V176H416c79.38 0 144 64.62 144 144v128c0 8.875-7.125 16-16 16h-37.25c-5.25 18.12-15.13 34.63-28.5 48H544c35.38 0 64-28.62 64-64v-128c0-34.5-9.375-68.25-27-97.88C616.1 201.4 640 163.8 640 120zM208 432v32H50.75c6.75-19.12 24.87-32 45.25-32H208zM400 352c-44.13 0-80 35.88-80 80s35.88 80 80 80s80-35.88 80-80S444.1 352 400 352zM400 448c-8.875 0-16-7.125-16-16s7.125-16 16-16s16 7.125 16 16S408.9 448 400 448z"],
    "vacuum-robot": [512, 512, [], "e04e", "M139.3 308.7c-6.25-6.25-16.38-6.25-22.63 0s-6.25 16.38 0 22.63l64 64c3.125 3.125 7.219 4.688 11.31 4.688s8.188-1.563 11.31-4.688c6.25-6.25 6.25-16.38 0-22.63L139.3 308.7zM235.3 212.7c-6.25-6.25-16.38-6.25-22.63 0s-6.25 16.38 0 22.63l64 64C279.8 302.4 283.9 303.1 288 303.1s8.188-1.563 11.31-4.688c6.25-6.25 6.25-16.38 0-22.63L235.3 212.7zM155.3 228.7c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.63l128 128c3.125 3.125 7.219 4.688 11.31 4.688s8.188-1.563 11.31-4.688c6.25-6.25 6.25-16.38 0-22.63L155.3 228.7zM256 96C213.2 96 172.9 112.7 142.7 143.1C133.3 152.4 133.3 167.7 142.7 177c9.406 9.344 24.59 9.344 33.94-.0625C197.8 155.7 225.1 144 256 144c61.75 0 112 50.25 112 112c0 30-11.7 58.16-32.94 79.34c-9.391 9.375-9.422 24.56-.0625 33.94C339.7 374 345.8 376.3 352 376.3c6.125 0 12.27-2.344 16.94-7C399.3 339.1 416 298.8 416 256C416 167.8 344.2 96 256 96zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 464c-114.7 0-208-93.31-208-208S141.3 48 256 48s208 93.31 208 208S370.7 464 256 464z"],
    "value-absolute": [512, 512, [], "f6a6", "M24 32C10.75 32 0 42.75 0 56v400C0 469.3 10.75 480 24 480s24-10.75 24-24V56C48 42.75 37.25 32 24 32zM368.1 143c-9.375-9.375-24.56-9.375-33.94 0L256 222.1L176.1 143c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L222.1 256l-79.03 79.03c-9.375 9.375-9.375 24.56 0 33.94C147.7 373.7 153.8 376 160 376s12.28-2.344 16.97-7.031L256 289.9l79.03 79.03C339.7 373.7 345.8 376 352 376s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94L289.9 256l79.03-79.03C378.3 167.6 378.3 152.4 368.1 143zM488 32c-13.25 0-24 10.75-24 24v400c0 13.25 10.75 24 24 24S512 469.3 512 456V56C512 42.75 501.3 32 488 32z"],
    "van-shuttle": [640, 512, [128656, "shuttle-van"], "f5b6", "M640 320C640 355.3 611.3 384 576 384C576 437 533 480 480 480C426.1 480 384 437 384 384H256C256 437 213 480 160 480C106.1 480 64 437 64 384C28.65 384 0 355.3 0 320V96C0 60.65 28.65 32 64 32H465.2C481.6 32 497.2 39.21 507.9 51.73L626.7 191.5C635.3 201.6 640 214.5 640 227.8V320zM48 192H176V80H64C55.16 80 48 87.16 48 96V192zM48 240V320C48 328.8 55.16 336 64 336H76.84C93.44 307.3 124.5 288 160 288C195.5 288 226.6 307.3 243.2 336H396.8C413.4 307.3 444.5 288 480 288C515.5 288 546.6 307.3 563.2 336H576C584.8 336 592 328.8 592 320V240H48zM224 192H336V80H224V192zM384 192H564.1L471.3 82.82C469.8 81.03 467.5 80 465.2 80H384L384 192zM480 336C453.5 336 432 357.5 432 384C432 410.5 453.5 432 480 432C506.5 432 528 410.5 528 384C528 357.5 506.5 336 480 336zM160 432C186.5 432 208 410.5 208 384C208 357.5 186.5 336 160 336C133.5 336 112 357.5 112 384C112 410.5 133.5 432 160 432z"],
    "vault": [576, 512, [], "e2c5", "M176 240C176 213.5 197.5 192 224 192C250.5 192 272 213.5 272 240C272 266.5 250.5 288 224 288C197.5 288 176 266.5 176 240zM368 240C368 319.5 303.5 384 224 384C144.5 384 80 319.5 80 240C80 160.5 144.5 96 224 96C303.5 96 368 160.5 368 240zM224 144C170.1 144 128 186.1 128 240C128 293 170.1 336 224 336C277 336 320 293 320 240C320 186.1 277 144 224 144zM496 176C496 193.8 486.3 209.3 472 217.6V328C472 341.3 461.3 352 448 352C434.7 352 424 341.3 424 328V217.6C409.7 209.3 400 193.8 400 176C400 149.5 421.5 128 448 128C474.5 128 496 149.5 496 176V176zM0 64C0 28.65 28.65 0 64 0H512C547.3 0 576 28.65 576 64V416C576 451.3 547.3 480 512 480V488C512 501.3 501.3 512 488 512C474.7 512 464 501.3 464 488V480H112V488C112 501.3 101.3 512 88 512C74.75 512 64 501.3 64 488V480C28.65 480 0 451.3 0 416V64zM48 64V416C48 424.8 55.16 432 64 432H512C520.8 432 528 424.8 528 416V64C528 55.16 520.8 48 512 48H64C55.16 48 48 55.16 48 64z"],
    "vector-circle": [512, 512, [], "e2c6", "M192 32C192 14.33 206.3 0 224 0H288C305.7 0 320 14.33 320 32V49.64C387.8 70.65 441.4 124.2 462.4 192H480C497.7 192 512 206.3 512 224V288C512 305.7 497.7 320 480 320H462.4C441.4 387.8 387.8 441.4 320 462.4V480C320 497.7 305.7 512 288 512H224C206.3 512 192 497.7 192 480V462.4C124.2 441.4 70.65 387.8 49.64 320H32C14.33 320 0 305.7 0 288V224C0 206.3 14.33 192 32 192H49.64C70.65 124.2 124.2 70.65 192 49.64V32zM280 88V40H232V88H280zM100.5 192.3C116 194.5 128 207.9 128 224V288C128 304.1 116 317.5 100.5 319.7C117.5 361.3 150.7 394.5 192.3 411.5C194.5 395.1 207.9 384 224 384H288C304.1 384 317.5 395.1 319.7 411.5C361.3 394.5 394.5 361.3 411.5 319.7C395.1 317.5 384 304.1 384 288V224C384 207.9 395.1 194.5 411.5 192.3C394.5 150.7 361.3 117.5 319.7 100.5C317.5 116 304.1 128 288 128H224C207.9 128 194.5 116 192.3 100.5C150.7 117.5 117.5 150.7 100.5 192.3V192.3zM424 232V280H472V232H424zM232 424V472H280V424H232zM40 232V280H88V232H40z"],
    "vector-polygon": [448, 512, [], "e2c7", "M416 32C433.7 32 448 46.33 448 64V128C448 145.7 433.7 160 416 160H373.6L346.2 205.6C349.9 210.8 352 217.2 352 224V288C352 294.8 349.9 301.2 346.2 306.4L373.6 352H416C433.7 352 448 366.3 448 384V448C448 465.7 433.7 480 416 480H352C334.3 480 320 465.7 320 448V440H128V448C128 465.7 113.7 480 96 480H32C14.33 480 0 465.7 0 448V384C0 366.3 14.33 352 32 352H40V160H32C14.33 160 0 145.7 0 128V64C0 46.33 14.33 32 32 32H96C113.7 32 128 46.33 128 64V72H320V64C320 46.33 334.3 32 352 32H416zM360 72V120H408V72H360zM298.4 320H256C238.3 320 224 305.7 224 288V224C224 206.3 238.3 192 256 192H298.4L325.8 146.4C322.1 141.2 320 134.8 320 128V120H128V128C128 145.7 113.7 160 96 160H88V352H96C113.7 352 128 366.3 128 384V392H320V384C320 377.2 322.1 370.8 325.8 365.6L298.4 320zM88 440V392H40V440H88zM408 440V392H360V440H408zM88 120V72H40V120H88zM264 232V280H312V232H264z"],
    "vector-square": [448, 512, [], "f5cb", "M416 32C433.7 32 448 46.33 448 64V128C448 145.7 433.7 160 416 160H408V352H416C433.7 352 448 366.3 448 384V448C448 465.7 433.7 480 416 480H352C334.3 480 320 465.7 320 448V440H128V448C128 465.7 113.7 480 96 480H32C14.33 480 0 465.7 0 448V384C0 366.3 14.33 352 32 352H40V160H32C14.33 160 0 145.7 0 128V64C0 46.33 14.33 32 32 32H96C113.7 32 128 46.33 128 64V72H320V64C320 46.33 334.3 32 352 32H416zM360 72V120H408V72H360zM88 352H96C113.7 352 128 366.3 128 384V392H320V384C320 366.3 334.3 352 352 352H360V160H352C334.3 160 320 145.7 320 128V120H128V128C128 145.7 113.7 160 96 160H88V352zM88 440V392H40V440H88zM408 440V392H360V440H408zM88 120V72H40V120H88z"],
    "vent-damper": [640, 512, [], "e465", "M456 232h-272C170.8 232 160 242.8 160 256s10.75 24 24 24h272C469.2 280 480 269.2 480 256S469.2 232 456 232zM456 304h-272C170.8 304 160 314.8 160 328S170.8 352 184 352h272c13.25 0 24-10.75 24-24S469.2 304 456 304zM608 160h-32V128c0-35.36-28.64-64-64-64H128C92.64 64 64 92.64 64 128v32H32C14.34 160 0 174.3 0 192v128c0 17.66 14.34 32 32 32h32v32c0 35.36 28.64 64 64 64h384c35.36 0 64-28.64 64-64v-32h32c17.66 0 32-14.34 32-32V192C640 174.3 625.7 160 608 160zM528 384c0 8.832-7.168 16-16 16H128c-8.832 0-16-7.168-16-16V128c0-8.832 7.168-16 16-16h384c8.832 0 16 7.168 16 16V384zM456 160h-272C170.8 160 160 170.8 160 184S170.8 208 184 208h272C469.2 208 480 197.2 480 184S469.2 160 456 160z"],
    "venus": [384, 512, [9792], "f221", "M368 176c0-97.2-78.8-176-176-176c-97.2 0-176 78.8-176 176c0 89.04 66.18 162.4 152 174.2V392h-48C106.8 392 96 402.8 96 416s10.75 24 24 24h48v48C168 501.3 178.8 512 192 512s24-10.75 24-24v-48h48c13.25 0 24-10.75 24-24s-10.75-24-24-24h-48v-41.82C301.8 338.4 368 265 368 176zM64 176c0-70.58 57.42-128 128-128c70.58 0 128 57.42 128 128s-57.42 128-128 128C121.4 304 64 246.6 64 176z"],
    "venus-double": [640, 512, [9890], "f226", "M624 176C624 78.8 545.2 0 448 0c-39.02 0-74.95 12.85-104.1 34.34c10.98 11.76 20.64 24.74 28.68 38.8C393.8 57.53 419.7 48 448 48c70.58 0 128 57.42 128 128s-57.42 128-128 128c-28.3 0-54.23-9.531-75.45-25.14c-8.041 14.06-17.7 27.04-28.68 38.8c23.07 16.98 50.44 28.26 80.13 32.38V392h-48C362.8 392 352 402.8 352 416s10.75 24 24 24h48v48c0 13.25 10.75 24 24 24s24-10.75 24-24v-48h48c13.25 0 24-10.75 24-24s-10.75-24-24-24h-48v-41.82C557.8 338.4 624 265 624 176zM368 176c0-97.2-78.8-176-176-176c-97.2 0-176 78.8-176 176c0 89.04 66.18 162.4 152 174.2V392h-48C106.8 392 96 402.8 96 416s10.75 24 24 24h48v48C168 501.3 178.8 512 192 512s24-10.75 24-24v-48h48C277.3 440 288 429.3 288 416s-10.75-24-24-24h-48v-41.82C301.8 338.4 368 265 368 176zM192 304c-70.58 0-128-57.42-128-128s57.42-128 128-128c70.58 0 128 57.42 128 128S262.6 304 192 304z"],
    "venus-mars": [640, 512, [9892], "f228", "M248 392h-48v-41.82C285.8 338.4 352 265 352 176c0-97.2-78.8-176-176-176c-97.2 0-176 78.8-176 176c0 89.04 66.18 162.4 152 174.2V392h-48c-13.25 0-24 10.75-24 24s10.75 24 24 24h48v48C152 501.3 162.8 512 176 512s24-10.75 24-24v-48h48c13.25 0 24-10.75 24-24S261.3 392 248 392zM176 304c-70.58 0-128-57.42-128-128s57.42-128 128-128c70.58 0 128 57.42 128 128S246.6 304 176 304zM616 0h-112C490.8 0 480 10.75 480 24s10.75 24 24 24h54.06l-52.29 52.29c-31.3-23.72-68.42-36.26-105.8-36.26c-15.19 0-30.15 2.657-44.93 6.565c8.125 13.74 14.89 28.38 19.71 43.9C382.9 112.9 391.4 112 400 112c34.19 0 66.33 13.31 90.51 37.49c49.91 49.91 49.91 131.1 0 181C466.3 354.7 434.2 368 400 368c-32.98 0-63.89-12.64-87.75-35.22c-12.23 10.64-25.65 19.9-40.12 27.49c1.252 1.33 2.115 2.881 3.416 4.182C309.9 398.8 354.1 416 400 416c45.04 0 90.09-17.18 124.5-51.55c62.92-62.92 67.54-161.2 15.26-230.2L592 81.94V136C592 149.3 602.8 160 616 160S640 149.3 640 136v-112C640 10.75 629.3 0 616 0z"],
    "vest": [448, 512, [], "e085", "M438.9 251.6L400 185.5V56c0-28.14-20.93-51.27-48-55.19V0h-38.84c-9.447 0-17.73 5.65-21.61 14.12l-9.863 6.57c-35.03 23.38-80.28 23.38-115.4 0L156.4 14.12C152.6 5.65 144.3 0 134.8 0H96v.8086C68.93 4.73 48 27.86 48 56v129.5L10.09 250C3.5 259.5 0 270.6 0 282.1V456C0 486.9 25.13 512 56 512h336c30.88 0 56-25.12 56-56V282.1C448 270.6 444.5 259.5 438.9 251.6zM267.8 79.77L224 202.3L180.2 79.77C194.5 84.08 209.3 86.25 224 86.25S253.5 84.08 267.8 79.77zM51.72 462.2l85.25-85.25c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0L48 398.1V282.1c0-1.625 .5313-3.25 2.469-6.188l42.22-71.75C94.84 200.5 96 196.3 96 192V56C96 51.59 99.59 48 104 48h13.94l80.59 225.6l-5.119 14.33C192.5 290.5 192 293.3 192 296v168H56C54.33 464 53 463.1 51.72 462.2zM240 464V300.2L330.1 48H344C348.4 48 352 51.59 352 56V192c0 4.281 1.156 8.469 3.312 12.16l43.22 73.31C399.5 278.8 400 280.5 400 282.1v115.1l-55.03-55.03c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94l85.25 85.25C394.1 463.1 393.7 464 392 464H240z"],
    "vest-patches": [448, 512, [], "e086", "M438.9 251.6L400 185.5V56c0-28.14-20.93-51.27-48-55.19V0h-38.84c-9.447 0-17.73 5.65-21.61 14.12l-9.863 6.57c-35.03 23.38-80.28 23.38-115.4 0L156.4 14.12C152.6 5.65 144.3 0 134.8 0H96v.8086C68.93 4.73 48 27.86 48 56v129.5L10.09 250C3.5 259.5 0 270.6 0 282.1V456C0 486.9 25.13 512 56 512h336c30.88 0 56-25.12 56-56V282.1C448 270.6 444.5 259.5 438.9 251.6zM193.4 287.9C192.5 290.5 192 293.3 192 296v168H56c-4.406 0-8-3.594-8-8V282.1c0-1.625 .5313-3.25 2.469-6.188l42.22-71.75C94.84 200.5 96 196.3 96 192V56C96 51.59 99.59 48 104 48h13.94l80.59 225.6L193.4 287.9zM180.2 79.77C194.5 84.08 209.3 86.25 224 86.25s29.49-2.168 43.76-6.479L224 202.3L180.2 79.77zM400 456c0 4.406-3.594 8-8 8H240V300.2L330.1 48H344C348.4 48 352 51.59 352 56V192c0 4.281 1.156 8.469 3.312 12.16l43.22 73.31C399.5 278.8 400 280.5 400 282.1V456zM342.5 286.5l-5.051 .0371l.0371-5.057c.0723-12.8-9.268-24.26-22.06-25.42c-14.68-1.311-27.07 10.22-27.21 24.62L288 329.3C287.1 333 290.1 336 294.7 336l48.53-.2148c14.43-.1094 25.98-12.47 24.67-27.17C366.7 295.8 355.3 286.5 342.5 286.5zM112 360c-22.09 0-40 17.91-40 40s17.91 40 40 40s40-17.91 40-40S134.1 360 112 360zM84.69 260.7c-6.25 6.25-6.25 16.38 0 22.62L97.38 296L84.69 308.7c-6.25 6.25-6.25 16.38 0 22.62C87.81 334.4 91.91 336 96 336s8.188-1.562 11.31-4.688L120 318.6l12.69 12.69C135.8 334.4 139.9 336 144 336s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L142.6 296l12.69-12.69c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0L120 273.4L107.3 260.7C101.1 254.4 90.94 254.4 84.69 260.7z"],
    "vial": [512, 512, [129514], "f492", "M504.1 183l-176-176C324.3 2.344 318.1 0 312 0s-12.28 2.344-16.97 7.031c-9.375 9.375-9.375 24.56 0 33.94l15.16 15.16l-277.3 276.5c-38.75 38.75-45.13 102-9.375 143.5C44.08 500 72.76 512 101.5 512h.4473c26.38 0 52.75-9.1 72.88-30.12l281-280.1l15.19 15.19C475.7 221.7 481.8 224 488 224s12.28-2.344 16.97-7.031C514.3 207.6 514.3 192.4 504.1 183zM333.4 256H177.7l166.3-165.9l77.82 77.73L333.4 256z"],
    "vial-circle-check": [512, 512, [], "e596", "M0 56C0 42.75 10.75 32 24 32H232C245.3 32 256 42.75 256 56C256 69.25 245.3 80 232 80H224V266.8C203.8 295.4 192 330.3 192 368C192 393.2 197.3 417.1 206.8 438.8C189.5 463.7 160.6 480 128 480C74.98 480 32 437 32 384V80H24C10.75 80 0 69.25 0 56V56zM80 192H176V80H80V192zM80 240V384C80 410.5 101.5 432 128 432C154.5 432 176 410.5 176 384V240H80zM512 368C512 447.5 447.5 512 368 512C288.5 512 224 447.5 224 368C224 288.5 288.5 224 368 224C447.5 224 512 288.5 512 368zM412.7 324.7L352 385.4L323.3 356.7C317.1 350.4 306.9 350.4 300.7 356.7C294.4 362.9 294.4 373.1 300.7 379.3L340.7 419.3C346.9 425.6 357.1 425.6 363.3 419.3L435.3 347.3C441.6 341.1 441.6 330.9 435.3 324.7C429.1 318.4 418.9 318.4 412.7 324.7H412.7z"],
    "vial-virus": [576, 512, [], "e597", "M264 32C277.3 32 288 42.75 288 56C288 69.25 277.3 80 264 80H256V207.1C252.9 209.1 249.9 211.5 247.2 214.2C225.3 236.1 225.3 271.6 247.2 293.4C247.4 293.6 247.4 293.7 247.5 293.8L247.5 293.8C247.5 293.9 247.5 294.1 247.4 294.4C247.3 294.6 247.1 294.8 247.1 294.8L247 294.9C246.1 294.9 246.8 294.9 246.6 294.9C231.6 294.9 218 300.7 208 310.3V240H112V384C112 410.5 133.5 432 160 432C184.1 432 204.1 414.2 207.5 390.1C217.6 400.8 231.4 406.9 246.6 406.9C246.8 406.9 246.1 406.9 247 406.9L247.1 406.9C247.1 406.1 247.3 407.1 247.4 407.4C247.5 407.7 247.5 407.9 247.5 407.1L247.5 408C247.4 408.1 247.4 408.2 247.2 408.3C236 419.5 230.6 434.2 230.8 448.8C213.3 467.1 188 480 160 480C106.1 480 64 437 64 384V80H56C42.75 80 32 69.25 32 56C32 42.75 42.75 32 56 32H264zM208 192V80H112V192H208zM383.8 189.7C397.1 189.7 407.8 200.4 407.8 213.7C407.8 242.9 443.2 257.6 463.9 236.9C473.3 227.5 488.5 227.5 497.8 236.9C507.2 246.2 507.2 261.4 497.8 270.8C477.2 291.5 491.8 326.9 521.1 326.9C534.3 326.9 545.1 337.6 545.1 350.9C545.1 364.1 534.3 374.9 521.1 374.9C491.8 374.9 477.2 410.3 497.8 430.9C507.2 440.3 507.2 455.5 497.8 464.9C488.5 474.3 473.3 474.3 463.9 464.9C443.2 444.2 407.8 458.9 407.8 488.1C407.8 501.4 397.1 512.1 383.8 512.1C370.6 512.1 359.8 501.4 359.8 488.1C359.8 458.9 324.5 444.2 303.8 464.9C294.4 474.3 279.2 474.3 269.8 464.9C260.5 455.5 260.5 440.3 269.8 430.9C290.5 410.3 275.9 374.9 246.6 374.9C233.4 374.9 222.6 364.1 222.6 350.9C222.6 337.6 233.4 326.9 246.6 326.9C275.9 326.9 290.5 291.5 269.8 270.8C260.5 261.4 260.5 246.2 269.8 236.9C279.2 227.5 294.4 227.5 303.8 236.9C324.5 257.6 359.8 242.9 359.8 213.7C359.8 200.4 370.6 189.7 383.8 189.7H383.8zM352 352C369.7 352 384 337.7 384 320C384 302.3 369.7 288 352 288C334.3 288 320 302.3 320 320C320 337.7 334.3 352 352 352zM416 360C402.7 360 392 370.7 392 384C392 397.3 402.7 408 416 408C429.3 408 440 397.3 440 384C440 370.7 429.3 360 416 360z"],
    "vials": [512, 512, [], "f493", "M488 32h-176C298.8 32 288 42.8 288 56c0 13.2 10.8 24 24 24H320v316.5c0 41.76 30.47 79.12 72.03 83.15C439.7 484.2 480 446.8 480 400v-320h8C501.2 80 512 69.2 512 56C512 42.8 501.2 32 488 32zM432 256h-64V80h64V256zM200 32h-176C10.8 32 0 42.8 0 56C0 69.2 10.8 80 24 80H32v316.5c0 41.76 30.47 79.12 72.03 83.15C151.7 484.2 192 446.8 192 400v-320h8C213.2 80 224 69.2 224 56C224 42.8 213.2 32 200 32zM144 256h-64V80h64V256z"],
    "video": [576, 512, ["video-camera"], "f03d", "M557.6 102.3c-11.53-7.406-25.88-8.391-38.28-2.688L416 147V128c0-35.35-28.65-64-64-64H64C28.65 64 0 92.65 0 128v256c0 35.35 28.65 64 64 64h288c35.35 0 64-28.65 64-64v-19.02l103.3 47.36c5.344 2.453 11.03 3.672 16.69 3.672c7.531 0 15.02-2.141 21.59-6.359C569.1 402.3 576 389.7 576 375.1V136C576 122.3 569.1 109.8 557.6 102.3zM368 384c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V128c0-8.822 7.178-16 16-16h288c8.822 0 16 7.178 16 16V384zM528 363.5L416 312.2V199.8l112-51.33V363.5z"],
    "video-arrow-down-left": [576, 512, [], "e2c8", "M557.6 102.3c-11.53-7.406-25.88-8.391-38.28-2.688L416 147V128c0-35.35-28.65-64-64-64H64C28.65 64 0 92.65 0 128v256c0 35.35 28.65 64 64 64h288c35.35 0 64-28.65 64-64v-19.02l103.3 47.36c5.344 2.453 11.03 3.672 16.69 3.672c7.531 0 15.02-2.141 21.59-6.359C569.1 402.3 576 389.7 576 375.1V136C576 122.3 569.1 109.8 557.6 102.3zM368 384c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V128c0-8.822 7.178-16 16-16h288c8.822 0 16 7.178 16 16V384zM528 363.5L416 312.2V199.8l112-51.33V363.5zM296 144c-6.156 0-12.28 2.344-16.97 7.031L144 286.1V232c0-13.25-10.75-24-24-24S96 218.8 96 232v112c0 13.25 10.75 24 24 24h112C245.3 368 256 357.3 256 344S245.3 320 232 320H177.9l135-135c9.375-9.375 9.375-24.56 0-33.94C308.3 146.3 302.2 144 296 144z"],
    "video-arrow-up-right": [576, 512, [], "e2c9", "M557.6 102.3c-11.53-7.406-25.88-8.391-38.28-2.688L416 147V128c0-35.35-28.65-64-64-64H64C28.65 64 0 92.65 0 128v256c0 35.35 28.65 64 64 64h288c35.35 0 64-28.65 64-64v-19.02l103.3 47.36c5.344 2.453 11.03 3.672 16.69 3.672c7.531 0 15.02-2.141 21.59-6.359C569.1 402.3 576 389.7 576 375.1V136C576 122.3 569.1 109.8 557.6 102.3zM368 384c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V128c0-8.822 7.178-16 16-16h288c8.822 0 16 7.178 16 16V384zM528 363.5L416 312.2V199.8l112-51.33V363.5zM296 144h-112C170.8 144 160 154.8 160 168S170.8 192 184 192h54.06l-135 135c-9.375 9.375-9.375 24.56 0 33.94C107.7 365.7 113.8 368 120 368s12.28-2.344 16.97-7.031L272 225.9V280c0 13.25 10.75 24 24 24S320 293.3 320 280v-112C320 154.8 309.3 144 296 144z"],
    "video-plus": [576, 512, [], "f4e1", "M557.6 102.3c-11.53-7.406-25.88-8.391-38.28-2.688L416 147V128c0-35.35-28.65-64-64-64H64C28.65 64 0 92.65 0 128v256c0 35.35 28.65 64 64 64h288c35.35 0 64-28.65 64-64v-19.02l103.3 47.36c5.344 2.453 11.03 3.672 16.69 3.672c7.531 0 15.02-2.141 21.59-6.359C569.1 402.3 576 389.7 576 375.1V136C576 122.3 569.1 109.8 557.6 102.3zM368 384c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V128c0-8.822 7.178-16 16-16h288c8.822 0 16 7.178 16 16V384zM528 363.5L416 312.2V199.8l112-51.33V363.5zM288 232H231.1V175.1C231.1 162.7 221.3 152 208 152S184 162.7 184 175.1V232H127.1C114.7 232 104 242.7 104 256c0 13.26 10.73 23.1 23.1 23.1H184v56C184 349.3 194.7 360 208 360c13.26 0 23.1-10.74 23.1-23.1V279.1h56C301.3 279.1 312 269.3 312 256S301.3 232 288 232z"],
    "video-slash": [640, 512, [], "f4e2", "M630.8 469.1l-182.8-143.3L448 199.8l112-51.33V344c0 13.25 10.75 24 24 24S608 357.3 608 344V136c0-13.69-6.875-26.27-18.39-33.67c-11.53-7.406-25.88-8.391-38.28-2.688L448 147V128c0-35.35-28.65-64-64-64L113.9 63.1L38.81 5.111C28.35-3.061 13.32-1.249 5.121 9.189C-3.051 19.63-1.233 34.72 9.189 42.89l591.1 463.1C605.6 510.3 610.8 512 615.1 512c7.125 0 14.16-3.161 18.9-9.193C643.1 492.4 641.2 477.3 630.8 469.1zM400 288.2L175.2 112H384c8.836 0 16 7.162 16 16V288.2zM384 400H96c-8.822 0-16-7.178-16-16V158.9L32.63 121.8C32.42 123.9 32 125.9 32 128v256c0 35.35 28.65 64 64 64h288c16.68 0 31.74-6.537 43.13-16.99l-40.29-31.58C385.9 399.6 385 400 384 400z"],
    "vihara": [640, 512, [], "f6a7", "M481.7 127.2L480 126.7V166.4L484.2 171.2C511.4 202.7 546.7 226.3 586.2 239.4L591.1 241.1C592.7 241.6 594.2 242.2 595.7 243C598.8 244.8 601.5 247.2 603.5 249.1C605.5 252.8 606.9 256 607.6 259.6C608.1 262.3 608.2 265.1 607.7 267.8C607.2 270.6 606.3 273.3 604.1 275.7C603.2 278.8 600.8 281.5 598 283.5C595.2 285.5 591.1 286.9 588.4 287.6C586.8 287.9 585.1 288 583.4 288H544V324.6L550.2 335.3C567.4 364.9 593.6 388.2 624.1 401.7C633.8 405.3 640 413.9 640 424C640 437.3 629.3 448 616 448H576V488C576 501.3 565.3 512 552 512C538.7 512 528 501.3 528 488V448H344V488C344 501.3 333.3 512 320 512C306.7 512 296 501.3 296 488V448H112V488C112 501.3 101.3 512 88 512C74.75 512 64 501.3 64 488V448H24C10.75 448 0 437.3 0 424C0 413.9 6.213 405.3 15.02 401.7C46.42 388.2 72.63 364.9 89.8 335.3L96 324.6V288H56.55C54.87 288 53.2 287.9 51.57 287.6C48.04 286.9 44.78 285.5 41.97 283.5C39.16 281.5 36.77 278.8 35.02 275.7C33.69 273.3 32.76 270.6 32.31 267.8C31.85 265.1 31.9 262.3 32.41 259.6C33.07 256 34.5 252.8 36.53 249.1C38.55 247.2 41.19 244.8 44.34 243C45.78 242.2 47.32 241.6 48.94 241.1L53.77 239.4C93.3 226.3 128.6 202.7 155.8 171.2L160 166.4V126.7L158.3 127.2C145.5 130.6 132.3 123.1 128.8 110.3C125.4 97.53 132.9 84.34 145.7 80.85L169.2 74.42C209.2 63.52 247 45.8 280.1 22.03L305.8 4.661C307.1 3.715 308.4 2.908 309.9 2.246C313.1 .7309 316.6-.0029 320 0C323.4-.0029 326.9 .7309 330.1 2.246C331.6 2.909 332.9 3.716 334.2 4.661L359 22.03C392.1 45.8 430.8 63.52 470.8 74.42L494.3 80.85C507.1 84.34 514.6 97.53 511.2 110.3C507.7 123.1 494.5 130.6 481.7 127.2L481.7 127.2zM208 112.7V160H432V112.7C396.3 100.3 362.5 83.05 331.5 61.35L320 53.3L308.5 61.35C277.5 83.05 243.7 100.3 208 112.7V112.7zM496 320V288H144V320H496zM152.8 240H487.2C474.9 230.4 463.3 219.7 452.7 208H187.3C176.7 219.7 165.1 230.4 152.8 240H152.8zM100.5 400H539.5C530 390.2 521.5 379.5 513.1 368H126C118.5 379.5 109.1 390.2 100.5 400H100.5z"],
    "violin": [640, 512, [127931], "f8ed", "M519.1 48.01c13.25 0 24-10.75 24-24s-10.75-24-24-24s-24 10.75-24 24S506.7 48.01 519.1 48.01zM471.1 96.01c13.25 0 24-10.75 24-24s-10.75-24-24-24c-13.25 0-24 10.75-24 24S458.7 96.01 471.1 96.01zM481.1 192.8l154.1-154.1c6.251-6.25 6.251-16.38 0-22.63l-11.25-11.25c-6.251-6.25-16.38-6.25-22.63 0l-154.3 154.1c-15.38-12.88-33-23-52.5-27.5c-18.75-4.375-64.06-10-98.07 24C292.8 159 290 163.3 287.2 167.4C293.8 216.3 246.4 252.9 201.2 235.6C185.1 240.8 171.9 248.8 160.2 260.5c-42.5 42.38-41.9 113.6-3.274 171.3l-21.86 14.5c-4 2.75-6.642 6.996-7.017 11.75c-.5001 4.75 1.12 9.503 4.62 12.88l36.39 36.38c3.375 3.5 8.124 5.114 12.87 4.614c4.75-.375 9.001-3.011 11.75-7.011l14.38-21.74c28.25 19 59.84 28.73 89.59 28.73c31 0 60.19-10.5 81.82-32.13c11.75-11.63 19.75-25.75 24.88-41c-17.25-45 19.25-92.38 68-85.88c4.125-2.875 8.5-5.75 12.25-9.5c24.88-25 32.38-61.56 24-97.94C504.1 225.8 493.1 208.3 481.1 192.8zM454.9 304.4c-61.38 5-113.4 62.75-101.1 130.8c-5 8.75-20.63 28.75-56.01 28.75c-21.38 0-43.25-7.375-62.88-20.63l4.727-7.194c4.25-6.375 3.375-14.79-2.001-20.16l-13.45-13.47c-5.501-5.375-13.82-6.251-20.2-2l-7.211 4.829c-13.25-19.75-20.75-41.75-20.75-63c0-26.25 11.63-46.13 28.88-56c68.51 12.38 126-39.63 130.9-101.4c10-7.25 21.75-8.875 30.38-8.875c6.001 0 11.88 .75 17.63 2.125c11 2.5 21 8.5 29.25 15l-88.26 88.25c-6.251 6.25-6.251 16.38 0 22.63l11.25 11.25c6.251 6.25 16.38 6.25 22.63 0l88.38-88.25c6.376 8.375 12.38 18.25 14.88 29.25C466.2 275.2 463.6 292.4 454.9 304.4zM615.1 96.01c-13.25 0-24 10.75-24 24s10.75 24 24 24C629.3 144 640 133.3 640 120S629.3 96.01 615.1 96.01zM567.1 144c-13.25 0-24 10.75-24 24s10.75 24 24 24s24-10.75 24-24S581.2 144 567.1 144zM345 7.031c-9.376-9.375-24.56-9.375-33.94 0L7.032 311c-9.376 9.375-9.376 24.56 0 33.94c4.688 4.688 10.83 7.031 16.97 7.031s12.28-2.344 16.97-7.031l304-304C354.4 31.59 354.4 16.41 345 7.031z"],
    "virus": [512, 512, [], "e074", "M256 224C256 241.7 241.7 256 224 256C206.3 256 192 241.7 192 224C192 206.3 206.3 192 224 192C241.7 192 256 206.3 256 224zM280 304C280 290.7 290.7 280 304 280C317.3 280 328 290.7 328 304C328 317.3 317.3 328 304 328C290.7 328 280 317.3 280 304zM120.2 74.98L128.4 83.15C163.7 118.4 224 93.44 224 43.55V32C224 14.33 238.3 0 256 0C273.7 0 288 14.33 288 32V43.55C288 93.44 348.3 118.4 383.6 83.15L391.8 74.98C404.3 62.48 424.5 62.48 437 74.98C449.5 87.48 449.5 107.7 437 120.2L428.9 128.4C393.6 163.7 418.6 224 468.5 224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H468.5C418.6 288 393.6 348.3 428.9 383.6L437 391.8C449.5 404.3 449.5 424.5 437 437C424.5 449.5 404.3 449.5 391.8 437L383.6 428.9C348.3 393.6 288 418.6 288 468.5V480C288 497.7 273.7 512 256 512C238.3 512 224 497.7 224 480V468.5C224 418.6 163.7 393.6 128.4 428.9L120.2 437C107.7 449.5 87.48 449.5 74.98 437C62.48 424.5 62.48 404.3 74.98 391.8L83.15 383.6C118.4 348.3 93.44 288 43.55 288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H43.55C93.44 224 118.4 163.7 83.15 128.4L74.98 120.2C62.48 107.7 62.48 87.48 74.98 74.98C87.48 62.48 107.7 62.48 120.2 74.98V74.98zM256 105.3C232.3 138.9 189.1 156.4 149.5 149.5C156.4 189.1 138.9 232.3 105.3 256C138.9 279.7 156.4 322 149.5 362.5C189.1 355.6 232.3 373.1 255.1 406.7C279.7 373.1 322 355.6 362.5 362.5C355.6 322 373.1 279.7 406.7 256C373.1 232.3 355.6 189.1 362.5 149.5C322 156.4 279.7 138.9 255.1 105.3H256z"],
    "virus-covid": [512, 512, [], "e4a8", "M256 240C256 266.5 234.5 288 208 288C181.5 288 160 266.5 160 240C160 213.5 181.5 192 208 192C234.5 192 256 213.5 256 240zM280 304C280 290.7 290.7 280 304 280C317.3 280 328 290.7 328 304C328 317.3 317.3 328 304 328C290.7 328 280 317.3 280 304zM296 0C309.3 0 320 10.75 320 24C320 37.25 309.3 48 296 48H280V81.62C310.7 85.8 338.8 97.88 362.3 115.7L386.1 91.95L374.8 80.64C365.4 71.26 365.4 56.07 374.8 46.7C384.2 37.32 399.4 37.32 408.7 46.7L465.3 103.3C474.7 112.6 474.7 127.8 465.3 137.2C455.9 146.6 440.7 146.6 431.4 137.2L420 125.9L396.3 149.7C414.1 173.2 426.2 201.3 430.4 232H464V216C464 202.7 474.7 192 488 192C501.3 192 512 202.7 512 216V296C512 309.3 501.3 320 488 320C474.7 320 464 309.3 464 296V280H430.4C426.2 310.7 414.1 338.8 396.3 362.3L420 386.1L431.4 374.8C440.7 365.4 455.9 365.4 465.3 374.8C474.7 384.2 474.7 399.4 465.3 408.7L408.7 465.3C399.4 474.7 384.2 474.7 374.8 465.3C365.4 455.9 365.4 440.7 374.8 431.4L386.1 420L362.3 396.3C338.8 414.1 310.7 426.2 280 430.4V464H296C309.3 464 320 474.7 320 488C320 501.3 309.3 512 296 512H216C202.7 512 192 501.3 192 488C192 474.7 202.7 464 216 464H232V430.4C201.3 426.2 173.2 414.1 149.7 396.3L125.9 420.1L137.2 431.4C146.6 440.7 146.6 455.9 137.2 465.3C127.8 474.7 112.6 474.7 103.3 465.3L46.7 408.7C37.32 399.4 37.32 384.2 46.7 374.8C56.07 365.4 71.27 365.4 80.64 374.8L91.95 386.1L115.7 362.3C97.88 338.8 85.8 310.7 81.62 280H48V296C48 309.3 37.25 320 24 320C10.75 320 0 309.3 0 296V216C0 202.7 10.75 192 24 192C37.25 192 48 202.7 48 216V232H81.62C85.8 201.3 97.88 173.2 115.7 149.7L91.95 125.9L80.64 137.2C71.26 146.6 56.07 146.6 46.7 137.2C37.32 127.8 37.32 112.6 46.7 103.3L103.3 46.7C112.6 37.33 127.8 37.33 137.2 46.7C146.6 56.07 146.6 71.27 137.2 80.64L125.9 91.95L149.7 115.7C173.2 97.88 201.3 85.8 232 81.62V48H216C202.7 48 192 37.26 192 24C192 10.75 202.7 .0006 216 .0006L296 0zM256 384C326.7 384 384 326.7 384 256C384 185.3 326.7 128 256 128C185.3 128 128 185.3 128 256C128 326.7 185.3 384 256 384z"],
    "virus-covid-slash": [640, 512, [], "e4a9", "M134.1 79.83L167.3 46.7C176.6 37.33 191.8 37.33 201.2 46.7C210.6 56.07 210.6 71.27 201.2 80.64L189.9 91.95L213.7 115.7C237.2 97.88 265.3 85.8 295.1 81.62V48H279.1C266.7 48 255.1 37.26 255.1 24C255.1 10.75 266.7 .0003 279.1 .0003H360C373.3 .0003 384 10.75 384 24C384 37.26 373.3 48 360 48H344V81.62C374.7 85.8 402.8 97.88 426.3 115.7L450.1 91.95L438.8 80.64C429.4 71.26 429.4 56.07 438.8 46.7C448.2 37.32 463.4 37.32 472.7 46.7L529.3 103.3C538.7 112.6 538.7 127.8 529.3 137.2C519.9 146.6 504.7 146.6 495.4 137.2L484 125.9L460.3 149.7C478.1 173.2 490.2 201.3 494.4 232H528V216C528 202.7 538.7 192 552 192C565.3 192 576 202.7 576 216V296C576 309.3 565.3 320 552 320C538.7 320 528 309.3 528 296V280H494.4C491.2 303.3 483.4 325.2 472.1 344.7L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L134.1 79.83zM235.8 159.5L433.8 314.7C442.9 297.1 448 277.2 448 256C448 185.3 390.7 128 319.1 128C287.8 128 258.3 139.9 235.8 159.5H235.8zM145.6 232C146.5 225.7 147.7 219.6 149.2 213.5L192.3 247.5C192.1 250.3 191.1 253.1 191.1 256C191.1 326.7 249.3 384 319.1 384C333.3 384 346.1 381.1 358.2 378.2L401.3 412.2C383.7 421.3 364.4 427.6 344 430.4V464H360C373.3 464 384 474.7 384 488C384 501.3 373.3 512 360 512H279.1C266.7 512 255.1 501.3 255.1 488C255.1 474.7 266.7 464 279.1 464H295.1V430.4C265.3 426.2 237.2 414.1 213.7 396.3L189.9 420.1L201.2 431.4C210.6 440.7 210.6 455.9 201.2 465.3C191.8 474.7 176.6 474.7 167.3 465.3L110.7 408.7C101.3 399.4 101.3 384.2 110.7 374.8C120.1 365.4 135.3 365.4 144.6 374.8L155.1 386.1L179.7 362.3C161.9 338.8 149.8 310.7 145.6 280H111.1V296C111.1 309.3 101.3 320 87.1 320C74.74 320 63.1 309.3 63.1 296V216C63.1 202.7 74.74 192 87.1 192C101.3 192 111.1 202.7 111.1 216V232H145.6z"],
    "virus-slash": [640, 512, [], "e075", "M134.7 80.27C135.9 78.4 137.3 76.62 138.1 74.98C151.5 62.48 171.7 62.48 184.2 74.98L192.4 83.15C227.7 118.4 287.1 93.44 287.1 43.55V32C287.1 14.33 302.3 0 319.1 0C337.7 0 352 14.33 352 32V43.55C352 93.44 412.3 118.4 447.6 83.15L455.8 74.98C468.3 62.48 488.5 62.48 501 74.98C513.5 87.48 513.5 107.7 501 120.2L492.9 128.4C457.6 163.7 482.6 224 532.4 224H544C561.7 224 576 238.3 576 256C576 273.7 561.7 288 544 288H532.5C497.2 288 474.4 318.1 476.5 348.1L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L134.7 80.27zM224.6 150.8L278.9 193.3C281.8 192.5 284.8 192 287.1 192C305.7 192 319.1 206.3 319.1 224C319.1 224.5 319.1 224.1 319.1 225.5L430.2 311.9C437.2 289.7 451.3 269.7 470.7 256C437.1 232.3 419.6 189.1 426.5 149.5C386 156.4 343.7 138.9 319.1 105.3C298.4 135.8 261.6 153.1 224.6 150.8L224.6 150.8zM107.5 224C122.5 224 135.2 218.6 144.7 210L185.3 242C180.5 247.2 175.2 251.9 169.3 256C202.9 279.7 220.4 322 213.5 362.5C253.1 355.6 296.3 373.1 319.1 406.7C329.2 393.7 341.1 383.1 354.7 375.4L401.1 412.7C375.6 415.7 352 437.2 352 468.5V480C352 497.7 337.7 512 319.1 512C302.3 512 287.1 497.7 287.1 480V468.5C287.1 418.6 227.7 393.6 192.4 428.9L184.2 437C171.7 449.5 151.5 449.5 138.1 437C126.5 424.5 126.5 404.3 138.1 391.8L147.1 383.6C182.4 348.3 157.4 288 107.5 288H95.1C78.33 288 63.1 273.7 63.1 256C63.1 238.3 78.33 224 95.1 224H107.5z"],
    "viruses": [640, 512, [], "e076", "M224 192C215.2 192 208 199.2 208 208S215.2 224 224 224s16-7.164 16-16S232.8 192 224 192zM176 152c-13.26 0-24 10.75-24 24S162.7 200 176 200S200 189.3 200 176S189.3 152 176 152zM624 352h-12.12c-28.51 0-42.79-34.47-22.63-54.63l8.576-8.576c6.25-6.25 6.25-16.37 0-22.62c-3.125-3.125-7.219-4.691-11.31-4.691s-8.188 1.562-11.31 4.688l-8.576 8.576c-6.518 6.518-14.53 9.436-22.39 9.436C527.8 284.2 512 271.4 512 252.1V240C512 231.2 504.8 224 496 224S480 231.2 480 240v12.12c0 19.29-15.78 32.06-32.23 32.06c-7.863 0-15.88-2.916-22.4-9.436l-8.576-8.576c-3.125-3.125-7.219-4.688-11.31-4.688s-8.184 1.559-11.31 4.684c-6.25 6.25-6.253 16.38-.0031 22.63l8.576 8.576C422.9 317.5 408.6 352 380.1 352H368c-8.844 0-16 7.156-16 16s7.156 16 16 16h12.12c28.51 0 42.79 34.47 22.63 54.63l-8.576 8.576c-6.25 6.25-6.253 16.37-.0031 22.62c3.125 3.125 7.222 4.691 11.32 4.691s8.188-1.562 11.31-4.688l8.576-8.576c6.518-6.518 14.53-9.436 22.4-9.436C464.2 451.8 480 464.6 480 483.9V496c0 8.844 7.156 16 16 16s16-7.156 16-16v-12.12c0-19.29 15.78-32.06 32.23-32.06c7.863 0 15.88 2.916 22.39 9.436l8.576 8.576c3.125 3.125 7.219 4.688 11.31 4.688s8.184-1.559 11.31-4.684c6.25-6.25 6.253-16.38 .0031-22.63l-8.576-8.576C569.1 418.5 583.4 384 611.9 384H624c8.844 0 16-7.156 16-16S632.8 352 624 352zM464 392c-13.25 0-24-10.75-24-24c0-13.26 10.75-24 24-24s24 10.74 24 24C488 381.3 477.3 392 464 392zM346.5 213.3h16.16C374.5 213.3 384 203.8 384 192s-9.541-21.33-21.33-21.33h-16.16c-38.01 0-57.05-45.96-30.17-72.84l11.44-11.44c8.332-8.334 8.331-21.83-.0012-30.17c-4.168-4.166-9.624-6.247-15.08-6.247s-10.92 2.083-15.08 6.249L286.2 67.66C277.5 76.35 266.8 80.25 256.3 80.25c-21.94 0-42.97-17.03-42.97-42.75V21.33C213.3 9.54 203.8 0 192 0S170.7 9.54 170.7 21.33v16.16c0 25.72-21.04 42.75-42.97 42.75c-10.48 0-21.17-3.889-29.86-12.58L86.4 56.23c-4.168-4.166-9.625-6.249-15.08-6.249s-10.91 2.081-15.08 6.247c-8.332 8.334-8.333 21.83-.0012 30.17L67.66 97.83c26.88 26.88 7.842 72.84-30.17 72.84H21.33C9.541 170.7 0 180.2 0 192s9.541 21.33 21.33 21.33h16.16c38.01 0 57.05 45.96 30.17 72.84L56.23 297.6c-8.332 8.334-8.328 21.83 .0043 30.17c4.168 4.166 9.621 6.248 15.08 6.248s10.92-2.084 15.08-6.25L97.83 316.3c8.691-8.691 19.38-12.58 29.86-12.58c21.94 0 42.97 17.03 42.97 42.75v16.16C170.7 374.5 180.2 384 192 384s21.33-9.541 21.33-21.33v-16.16c0-25.72 21.04-42.75 42.97-42.75c10.48 0 21.17 3.889 29.86 12.58l11.43 11.43c4.168 4.166 9.625 6.25 15.08 6.25s10.91-2.082 15.08-6.248c8.332-8.334 8.333-21.83 .0012-30.17L316.3 286.2C289.5 259.3 308.5 213.3 346.5 213.3zM262.7 221.3C258.1 232.5 255.8 244.2 255.8 255.8C230.9 255.9 208.4 266 192 282.4C175.6 266 153.1 255.9 128.2 255.8C128.2 244.2 125.9 232.5 121.3 221.3C116.6 210.1 109.1 200.2 101.8 192c8.176-8.229 14.84-18.11 19.48-29.3C125.9 151.5 128.2 139.8 128.2 128.2C153.1 128.1 175.6 117.1 192 101.6c16.36 16.33 38.91 26.48 63.79 26.62C255.8 139.8 258.1 151.5 262.7 162.7C267.4 173.9 274 183.8 282.2 192C274 200.2 267.4 210.1 262.7 221.3z"],
    "voicemail": [640, 512, [], "f897", "M495.1 96C416.5 96 352 160.5 352 240c0 37 14.38 70.5 37.38 96h-138.8C273.6 310.5 288 277 288 240C288 160.5 223.5 96 144 96S0 160.5 0 240s64.49 144 143.1 144h352C575.5 384 640 319.5 640 240S575.5 96 495.1 96zM48 240c0-53 43-96 96-96s96 43 96 96s-43 96-96 96S48 293 48 240zM496 336c-53 0-96-43-96-96s43-96 96-96s96 43 96 96S549 336 496 336z"],
    "volcano": [512, 512, [127755], "f770", "M159.1 144c12.88 0 24.75-3.875 34.75-10.38L223.1 192h64l29.25-58.38C327.3 140.1 339.1 144 352 144c35.25 0 64-28.75 64-64s-28.75-64-64-64c-15.75 0-30 5.875-41.25 15.38C299.6 12.75 279.4 0 255.1 0S212.4 12.75 201.2 31.38C189.1 21.88 175.7 16 159.1 16c-35.25 0-64 28.75-64 64S124.7 144 159.1 144zM505.5 460.8l-175.8-224.5C323.5 228.5 314.3 224 304.4 224H207.6C197.7 224 188.5 228.5 182.4 236.3l-175.9 224.5C-9.396 481.9 5.727 512 32.1 512h447.9C506.3 512 521.4 481.9 505.5 460.8zM64.91 464l116.6-148.8C192 304 209.4 302.5 224.2 302.3c17.12-1.5 33.5 7 44.75 20l31.63 36.88c9.75 11.38 29.13 11.38 39 0l13.26-15.46L447.1 464H64.91z"],
    "volleyball": [512, 512, [127952, "volleyball-ball"], "f45f", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM464 256c0 2.652-.2988 5.227-.3984 7.859c-18.11 4.344-35.53 6.898-51.8 7.492c.631-7.425 1.053-15.97 1.053-25.46c0-41.86-8.219-101.9-42.95-163.7C426.5 119.4 464 183.4 464 256zM417.4 386.1c-22.77 4.941-44.27 7.037-64.36 7.037c-78.03 0-134.7-31.63-161.1-50.94c24.73-31.41 50.76-50.33 64.96-59.31c23.61 12.61 76.61 35.9 146.3 35.9c16.74 0 34.55-1.633 53.04-4.848C447.5 341.5 434.5 365.9 417.4 386.1zM288.8 50.85c63.93 70.44 76.13 146.2 76.13 193.6c0 9.253-.4655 17.42-1.102 24.26c-39.6-5.715-69.03-18.82-83.89-26.62C278.9 209.1 269 128.6 207.1 54.04C222.8 50.23 239.1 48 256 48C267.2 48 278.1 49.14 288.8 50.85zM158.9 72.18C171.8 85.72 182.8 99.56 191.4 113.4C154.9 130.5 92.96 169.4 48.6 244.1C52.86 169.5 96.36 105.4 158.9 72.18zM61.9 330.2C96.62 221.8 174.9 173.8 213.1 156.2c14.85 37.16 18.21 69.2 18.88 85.97c-28.04 17.39-92.75 66.2-126.4 157.1C86.75 379.5 71.84 356.1 61.9 330.2zM145.8 432.1c5.297-17.85 11.45-34.62 19.07-48.99c32.82 22.98 96.49 57.71 183.5 58.98C320.5 455.1 289.2 464 256 464C215.5 464 177.8 452.2 145.8 432.1z"],
    "volume": [576, 512, [128265, "volume-medium"], "f6a8", "M333.2 34.84c-4.201-1.896-8.729-2.841-13.16-2.841c-7.697 0-15.29 2.784-21.27 8.1L163.8 160H80c-26.51 0-48 21.49-48 47.1v95.1c0 26.51 21.49 47.1 48 47.1h83.84l134.9 119.9C304.7 477.2 312.3 480 320 480c4.438 0 8.959-.9312 13.16-2.837C344.7 472 352 460.6 352 448V64C352 51.41 344.7 39.1 333.2 34.84zM304 412.4L182.1 304H80v-95.1h102.1L304 99.64V412.4zM444.6 181.9c-4.471-3.629-9.857-5.401-15.2-5.401c-6.949 0-13.83 2.994-18.55 8.807c-8.406 10.25-6.906 25.37 3.375 33.78C425.5 228.4 432 241.8 432 256s-6.5 27.62-17.81 36.87c-10.28 8.406-11.78 23.53-3.375 33.78c4.719 5.812 11.62 8.812 18.56 8.812c5.344 0 10.75-1.781 15.19-5.406C467.1 311.6 480 284.7 480 256C480 227.3 467.1 200.4 444.6 181.9zM505.1 108c-4.455-3.637-9.842-5.417-15.2-5.417c-6.934 0-13.82 2.979-18.58 8.761c-8.406 10.25-6.906 25.37 3.344 33.78C508.6 172.9 528 213.3 528 256c0 42.69-19.44 83.09-53.31 110.9c-10.25 8.406-11.75 23.53-3.344 33.78c4.75 5.781 11.62 8.781 18.56 8.781c5.375 0 10.75-1.781 15.22-5.437C550.2 367.1 576 313.1 576 256C576 198.9 550.2 144.9 505.1 108z"],
    "volume-high": [640, 512, [128266, "volume-up"], "f028", "M301.2 34.98c-4.201-1.893-8.727-2.902-13.16-2.902c-7.697 0-15.29 2.884-21.27 8.192L131.8 160.1H48c-26.51 0-48 21.48-48 47.96v95.92c0 26.48 21.49 47.96 48 47.96h83.84l134.9 119.8C272.7 477 280.3 479.8 288 479.8c4.438 0 8.959-.9311 13.16-2.835C312.7 471.8 320 460.4 320 447.9V64.12C320 51.54 312.7 40.13 301.2 34.98zM272 412.1L150.1 303.9L48 303.9v-95.83h102.1L272 99.84V412.1zM412.6 182c-4.469-3.623-9.855-5.394-15.2-5.394c-6.951 0-13.83 2.992-18.55 8.797c-8.406 10.24-6.906 25.35 3.375 33.74C393.5 228.4 400 241.8 400 255.1c0 14.17-6.5 27.59-17.81 36.83c-10.28 8.396-11.78 23.5-3.375 33.74c4.719 5.805 11.62 8.802 18.56 8.802c5.344 0 10.75-1.78 15.19-5.399C435.1 311.5 448 284.6 448 255.1S435.1 200.4 412.6 182zM473.1 108.2c-4.455-3.633-9.842-5.41-15.2-5.41c-6.934 0-13.82 2.975-18.58 8.75c-8.406 10.24-6.906 25.35 3.344 33.74C476.6 172.1 496 213.3 496 255.1c0 42.64-19.44 82.1-53.31 110.7c-10.25 8.396-11.75 23.5-3.344 33.74c4.75 5.773 11.62 8.771 18.56 8.771c5.375 0 10.75-1.78 15.22-5.431C518.2 366.9 544 313 544 255.1S518.2 145 473.1 108.2zM534.4 33.4C529.9 29.77 524.5 28 519.2 28c-6.941 0-13.84 2.977-18.6 8.739c-8.406 10.24-6.906 25.35 3.344 33.74C559.9 116.3 592 183.9 592 255.1s-32.09 139.7-88.06 185.5c-10.25 8.396-11.75 23.5-3.344 33.74C505.3 481 512.2 484 519.2 484c5.375 0 10.75-1.779 15.22-5.431C601.5 423.6 640 342.5 640 255.1C640 169.5 601.5 88.34 534.4 33.4z"],
    "volume-low": [448, 512, [128264, "volume-down"], "f027", "M412.6 181.9c-4.469-3.629-9.857-5.401-15.2-5.401c-6.949 0-13.83 2.994-18.55 8.807c-8.406 10.25-6.906 25.37 3.375 33.78C393.5 228.4 400 241.8 400 256c0 14.19-6.5 27.62-17.81 36.87c-10.28 8.406-11.78 23.53-3.375 33.78c4.719 5.812 11.62 8.812 18.56 8.812c5.344 0 10.75-1.781 15.19-5.406C435.1 311.6 448 284.7 448 256C448 227.3 435.1 200.4 412.6 181.9zM301.2 34.84c-4.201-1.896-8.729-2.842-13.16-2.842c-7.697 0-15.29 2.784-21.27 8.101L131.8 160H48c-26.51 0-48 21.49-48 47.1v95.1c0 26.51 21.49 47.1 48 47.1h83.84l134.9 119.9C272.7 477.2 280.3 480 288 480c4.438 0 8.959-.9312 13.16-2.837C312.7 472 320 460.6 320 448V64C320 51.41 312.7 39.1 301.2 34.84zM272 412.4L150.1 304H48v-95.1h102.1L272 99.64V412.4z"],
    "volume-off": [320, 512, [], "f026", "M301.2 34.84c-4.203-1.896-8.727-2.841-13.16-2.841c-7.697 .002-15.29 2.786-21.27 8.1L131.8 160H48c-26.51 0-48 21.49-48 47.1v95.1c0 26.51 21.49 47.1 48 47.1h83.84l134.9 119.9C272.7 477.2 280.3 480 288 480c4.438 0 8.959-.9312 13.16-2.837C312.7 472 320 460.6 320 448V64C320 51.41 312.7 39.1 301.2 34.84zM272 412.4L150.1 304H48v-95.1h102.1L272 99.64V412.4z"],
    "volume-slash": [640, 512, [128263], "f2e2", "M630.8 469.1l-88.78-69.59C583.9 362.8 608 310.9 608 256c0-57.12-25.84-111.1-70.88-147.1c-4.455-3.637-9.842-5.416-15.2-5.416c-6.934 0-13.82 2.979-18.58 8.76c-8.406 10.25-6.906 25.38 3.344 33.78C540.6 172.9 560 213.3 560 256c0 42.69-19.44 83.09-53.31 110.9c-1.047 .8594-1.597 2.027-2.46 3.013l-44.33-34.74c.5078 .0332 .9674 .3249 1.477 .3249c5.344 0 10.75-1.781 15.19-5.406C499.1 311.6 512 284.7 512 256c0-28.65-12.91-55.62-35.44-74.06c-4.471-3.629-9.857-5.4-15.2-5.4c-6.949 0-13.83 2.994-18.55 8.807c-8.406 10.25-6.906 25.38 3.375 33.78C457.5 228.4 464 241.8 464 256s-6.5 27.62-17.81 36.88c-7.723 6.314-10.49 16.41-7.824 25.39L384 275.7V64c0-12.59-7.337-24.01-18.84-29.16c-4.201-1.896-8.729-2.841-13.16-2.841c-7.697 0-15.29 2.784-21.27 8.1L214.9 143.1L38.81 5.111C28.34-3.061 13.32-1.249 5.12 9.189C-3.051 19.63-1.234 34.72 9.188 42.89l591.1 463.1C605.6 510.3 610.8 512 615.1 512c7.125 0 14.16-3.161 18.9-9.193C643.1 492.4 641.2 477.3 630.8 469.1zM336 238L253.3 173.2L336 99.64V238zM336 412.4L214.1 304H112v-95.1h30.02L88.75 166.3C74.06 174.5 64 189.1 64 208V304c0 26.51 21.49 47.1 48 47.1h83.84l134.9 119.9C336.7 477.2 344.3 480 352 480c4.438 0 8.959-.9312 13.16-2.837C376.7 472 384 460.6 384 448v-50.34l-48-37.62V412.4z"],
    "volume-xmark": [576, 512, ["volume-mute", "volume-times"], "f6a9", "M301.2 34.85c-4.201-1.896-8.74-2.848-13.17-2.848c-7.697 0-15.29 2.784-21.27 8.1L131.8 160H48c-26.51 0-48 21.49-48 47.1v95.1c0 26.51 21.49 47.1 48 47.1h83.84l134.9 119.9c5.984 5.312 13.58 8.094 21.26 8.094c4.438 0 8.972-.9375 13.17-2.844c11.5-5.156 18.82-16.56 18.82-29.16V64C319.1 51.41 312.7 40 301.2 34.85zM272 412.4L150.1 304H48v-95.1h102.1L272 99.64V412.4zM513.9 255.1l47.03-47.03c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0L480 222.1L432.1 175c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94l47.03 47.03l-47.03 47.03c-9.375 9.375-9.375 24.56 0 33.94c9.373 9.373 24.56 9.381 33.94 0L480 289.9l47.03 47.03c9.373 9.373 24.56 9.381 33.94 0c9.375-9.375 9.375-24.56 0-33.94L513.9 255.1z"],
    "vr-cardboard": [640, 512, [], "f729", "M576 64H64c-35.35 0-64 28.65-64 64v256c0 35.35 28.65 64 64 64L208.7 448c28.33 0 54.02-16.61 65.65-42.44l14.44-32.08C294.7 360.4 306.8 352 320 352s25.33 8.359 31.23 21.48l14.44 32.08C377.3 431.4 402.1 448 431.3 448L576 448c35.35 0 64-28.65 64-64v-256C640 92.65 611.3 64 576 64zM592 384c0 8.822-7.178 16-16 16h-144.7c-9.424 0-18.01-5.553-21.88-14.15l-14.45-32.08C381.4 323.5 351.9 304 320 304s-61.38 19.54-74.99 49.76l-14.45 32.09C226.7 394.4 218.1 400 208.7 400H64c-8.822 0-16-7.178-16-16V128c0-8.822 7.178-16 16-16h512c8.822 0 16 7.178 16 16V384zM176 176c-35.38 0-64 28.62-64 64s28.62 64 64 64s64-28.62 64-64S211.4 176 176 176zM464 176c-35.38 0-64 28.62-64 64s28.62 64 64 64s64-28.62 64-64S499.4 176 464 176z"],
    "w": [576, 512, [119], "57", "M408 480c-.2187 0-.4375 0-.6562-.0156c-10.34-.2656-19.36-7.172-22.33-17.09L288 139.5L190.1 462.9c-2.969 9.922-11.98 16.83-22.33 17.09c-10.33 .1562-19.72-6.109-23.23-15.86l-144-400c-4.5-12.47 1.984-26.22 14.45-30.7C28.34 28.89 42.08 35.38 46.58 47.88L165.9 379.4L265 49.11C268.1 38.95 277.4 32.01 288 32.01s19.94 6.943 22.98 17.1l99.09 330.3l119.3-331.5c4.484-12.5 18.22-18.98 30.7-14.45c12.47 4.484 18.95 18.23 14.45 30.7l-144 400C427.1 473.7 418.1 480 408 480z"],
    "waffle": [512, 512, [129479], "e466", "M511.7 225.4C507.6 190.5 496.5 157.8 480 128.7V128h-.3848c-22.71-39.86-55.71-72.84-95.61-95.55V32.01h-.8301c-29.19-16.47-61.91-27.57-97.02-31.67c-1.857-.2207-3.719-.3281-5.573-.3281c-8.629 0-17.13 2.339-24.59 6.675C248.5 2.345 240 0 231.4 0l.4268 48.17l8.146 4.598L240 128H160L160 69.94C181.9 58.74 205.9 50.99 231.6 47.99L231.4 0C229.6 0 227.7 .1094 225.8 .334C190.7 4.432 158 15.54 128.8 32.01H128v.4434C88.1 55.15 55.1 88.14 32.39 128H32.01v.6914c-16.47 29.11-27.58 61.74-31.69 96.74c-1.221 10.55 1.096 21.1 6.359 30.12C1.414 264.6-.9023 275.1 .3184 285.7c0 0 0-.0156 0 0c4.08 34.79 15.25 67.24 31.69 96.25V384h1.162c22.75 39.29 55.49 71.93 94.84 94.46V480h2.525c32.23 17.97 68.7 29.23 107.5 31.91C238.9 511.1 239.8 512 240.7 512C245.1 512 251.1 510.7 256 508.6C260.9 510.7 266 512 271.3 512c.875 0 1.75-.0313 2.625-.0938C312.8 509.2 349.2 497.1 381.5 480h2.537v-1.551C423.3 455.9 456.1 423.3 478.8 384H480v-2.092c16.44-29.01 27.6-61.45 31.68-96.23c1.221-10.54-1.094-21.08-6.357-30.11C510.6 246.5 512.9 235.1 511.7 225.4zM128 420.2C114.4 409.6 101.1 397.6 91.34 384h36.67L128 420.2zM128 352L70.53 352c-11.49-22.06-19.39-46.33-22.38-72.26L52.54 272l75.46-.001V352zM128 240L53.22 240L47.99 231c2.992-25.47 10.69-49.3 21.83-71.03l58.18-.002V240zM128 128l-37.64 .002c10.89-14.1 23.52-26.69 37.64-37.57L128 128zM240 463.3l-1.328 .5449c-28.27-2.307-54.66-10.72-78.67-23.14L160 384h79.1L240 463.3zM240 352H160v-80l79.1-.0006L240 352zM240 240L160 240V160h79.1L240 240zM352 440.8c-24.04 12.43-50.44 20.83-78.67 23.06l-1.33-.5234L272 384h79.1L352 440.8zM352 352h-79.1l-.0018-80l80 .0006V352zM352 240l-80-.0006l.0018-79.1h79.1V240zM352 128h-79.1l.0029-75l8.586-4.994c25.62 2.99 49.58 10.73 71.41 21.92L352 128zM384 90.45c14.09 10.87 26.68 23.46 37.54 37.56l-37.55-.002L384 90.45zM384 160l58.03 .002c11.16 21.82 18.86 45.76 21.82 71.38l-4.896 8.613l-74.96-.001V160zM384 420.3L384 384h36.83C410.1 397.7 397.7 409.7 384 420.3zM441.6 352l-57.65-.001v-80l75.3 .001l4.711 8.082C460.1 305.9 453.1 330 441.6 352z"],
    "wagon-covered": [640, 512, [], "f8ee", "M569.8 4.093C615.7 1.035 649.7 45.9 634.4 89.25L567.8 277.1C572.8 282.4 576 288.8 576 296C576 308.9 565.8 319.5 552.1 319.1L542.4 320C563.1 340.3 576 368.7 576 400C576 461.9 525.9 512 464 512C407.6 512 360.9 470.3 353.1 416H286.9C279.1 470.3 232.4 512 176 512C114.1 512 64 461.9 64 400C64 368.7 76.87 340.3 97.62 320H87.02C74.22 319.5 64 308.9 64 296C64 288.8 67.17 282.4 72.18 277.1L5.579 89.25C-9.722 45.9 24.32 1.035 70.19 4.093L189.9 12.07C211.5 13.51 230.9 22.69 245.4 36.81C258.4 23.94 276.3 15.1 296 15.1H344C363.7 15.1 381.6 23.94 394.6 36.81C409.1 22.7 428.5 13.51 450.1 12.07L569.8 4.093zM589.2 73.28C592.1 62.44 584.5 51.22 573 51.99L453.3 59.96C432.3 61.37 416 78.82 416 99.88V272H519L589.2 73.28zM66.99 51.99C55.53 51.22 47.02 62.44 50.84 73.28L120.1 271.1H224V99.88C224 78.82 207.7 61.37 186.7 59.96L66.99 51.99zM368 87.1C368 74.74 357.3 63.1 344 63.1H296C282.7 63.1 272 74.74 272 87.1V271.1H368V87.1zM114 416C119.8 438.5 137.5 456.2 160 461.1V416H114zM160 338C137.5 343.8 119.8 361.5 114 384H160V338zM192 461.1C214.5 456.2 232.2 438.5 237.1 416H192V461.1zM192 384H237.1C232.2 361.5 214.5 343.8 192 338V384zM448 461.1V416H402C407.8 438.5 425.5 456.2 448 461.1zM402 384H448V338C425.5 343.8 407.8 361.5 402 384zM480 416V461.1C502.5 456.2 520.2 438.5 525.1 416H480zM525.1 384C520.2 361.5 502.5 343.8 480 338V384H525.1z"],
    "walker": [448, 512, [], "f831", "M112.4 224L47.33 493.6C44.22 506.5 31.25 514.4 18.37 511.3C5.484 508.2-2.44 495.3 .6698 482.4L100.8 67.35C110.4 27.84 145.7 0 186.4 0H320C368.6 0 408 39.4 408 88V388.7C431.5 398.1 448 421.1 448 448C448 483.3 419.3 512 384 512C348.7 512 320 483.3 320 448C320 421.1 336.5 398.1 360 388.7V224H112.4zM186.4 48C167.9 48 151.8 60.65 147.5 78.61L123.1 176H360V88C360 65.91 342.1 48 320 48H186.4zM384 464C392.8 464 400 456.8 400 448C400 439.2 392.8 432 384 432C375.2 432 368 439.2 368 448C368 456.8 375.2 464 384 464z"],
    "walkie-talkie": [384, 512, [], "f8ef", "M352 96h-32V80C320 71.16 312.8 64 304 64h-32C263.2 64 256 71.16 256 80V96h-32V80C224 71.16 216.8 64 208 64h-32C167.2 64 160 71.16 160 80V96H112V23.1C112 10.75 101.3 0 88 0S64 10.75 64 23.1V96H32C14.4 96 0 110.4 0 128v178.7c0 8.489 3.368 16.62 9.371 22.62L32 352v112C32 490.5 53.49 512 80 512h224c26.51 0 48-21.49 48-48V352l22.63-22.63C380.6 323.4 384 315.2 384 306.7V128C384 110.4 369.6 96 352 96zM336 300.1l-32 32V464h-224v-131.9l-32-32V144h288V300.1zM128 240h128c8.875 0 16-7.125 16-16V208C272 199.1 264.9 192 256 192H128C119.1 192 112 199.1 112 208V224C112 232.9 119.1 240 128 240zM128 320h128c8.875 0 16-7.125 16-16V288c0-8.875-7.125-16-16-16H128C119.1 272 112 279.1 112 288v16C112 312.9 119.1 320 128 320z"],
    "wallet": [512, 512, [], "f555", "M456 32C469.3 32 480 42.75 480 56C480 69.25 469.3 80 456 80H88C65.91 80 48 97.91 48 120V392C48 414.1 65.91 432 88 432H424C446.1 432 464 414.1 464 392V216C464 193.9 446.1 176 424 176H120C106.7 176 96 165.3 96 152C96 138.7 106.7 128 120 128H424C472.6 128 512 167.4 512 216V392C512 440.6 472.6 480 424 480H88C39.4 480 0 440.6 0 392V120C0 71.4 39.4 32 88 32H456zM352 304C352 286.3 366.3 272 384 272C401.7 272 416 286.3 416 304C416 321.7 401.7 336 384 336C366.3 336 352 321.7 352 304z"],
    "wand": [512, 512, [], "f72a", "M432 192c8.875 0 16-7.125 16-16V141.9l54-59.88c13.75-15.25 13.25-38.62-1.25-53.12l-17.75-17.63c-14.5-14.5-37.75-15.12-53-1.375L157.3 256h-45.25c-8.875 0-16 7.125-16 16V311.3l-78.5 70.88c-10.75 9.75-17.13 23.5-17.5 38c-.375 14.5 5.25 28.5 15.5 38.75l37.5 37.63c10.25 10.25 24.38 15.87 38.88 15.5c14.5-.375 28.25-6.75 38-17.5l272.9-302.5H432zM94.27 462.4c-.875 .875-4.25 3.25-7.25 .125l-37.5-37.5c-3-3-.75-6.5 .125-7.25L455.5 51.67l4.875 4.875L94.27 462.4z"],
    "wand-magic": [512, 512, ["magic"], "f0d0", "M14.06 395.4L395.4 14.06C414.2-4.686 444.6-4.686 463.3 14.06L497.9 48.64C516.6 67.38 516.6 97.78 497.9 116.5L116.5 497.9C97.78 516.6 67.38 516.6 48.64 497.9L14.06 463.3C-4.686 444.6-4.686 414.2 14.06 395.4V395.4zM354.2 192.3L463.1 82.58L429.4 48L319.7 157.7L354.2 192.3zM285.7 191.7L48 429.4L82.58 463.1L320.3 226.2L285.7 191.7z"],
    "wand-magic-sparkles": [576, 512, ["magic-wand-sparkles"], "e2ca", "M248.8 4.994C249.9 1.99 252.8 .0001 256 .0001C259.2 .0001 262.1 1.99 263.2 4.994L277.3 42.67L315 56.79C318 57.92 320 60.79 320 64C320 67.21 318 70.08 315 71.21L277.3 85.33L263.2 123C262.1 126 259.2 128 256 128C252.8 128 249.9 126 248.8 123L234.7 85.33L196.1 71.21C193.1 70.08 192 67.21 192 64C192 60.79 193.1 57.92 196.1 56.79L234.7 42.67L248.8 4.994zM495.3 14.06L529.9 48.64C548.6 67.38 548.6 97.78 529.9 116.5L148.5 497.9C129.8 516.6 99.38 516.6 80.64 497.9L46.06 463.3C27.31 444.6 27.31 414.2 46.06 395.4L427.4 14.06C446.2-4.686 476.6-4.686 495.3 14.06V14.06zM461.4 48L351.7 157.7L386.2 192.3L495.1 82.58L461.4 48zM114.6 463.1L352.3 226.2L317.7 191.7L80 429.4L114.6 463.1zM7.491 117.2L64 96L85.19 39.49C86.88 34.98 91.19 32 96 32C100.8 32 105.1 34.98 106.8 39.49L128 96L184.5 117.2C189 118.9 192 123.2 192 128C192 132.8 189 137.1 184.5 138.8L128 160L106.8 216.5C105.1 221 100.8 224 96 224C91.19 224 86.88 221 85.19 216.5L64 160L7.491 138.8C2.985 137.1 0 132.8 0 128C0 123.2 2.985 118.9 7.491 117.2zM359.5 373.2L416 352L437.2 295.5C438.9 290.1 443.2 288 448 288C452.8 288 457.1 290.1 458.8 295.5L480 352L536.5 373.2C541 374.9 544 379.2 544 384C544 388.8 541 393.1 536.5 394.8L480 416L458.8 472.5C457.1 477 452.8 480 448 480C443.2 480 438.9 477 437.2 472.5L416 416L359.5 394.8C354.1 393.1 352 388.8 352 384C352 379.2 354.1 374.9 359.5 373.2z"],
    "wand-sparkles": [512, 512, [], "f72b", "M431.1 192c8.873 0 15.1-7.129 15.1-16V141.9l53.99-59.88c13.88-15.25 13.25-38.5-1.248-53.13l-17.75-17.62c-14.5-14.5-37.75-15-52.99-1.375L157.3 256H112c-8.875 0-15.1 7.125-15.1 16v39.25l-78.49 70.88c-10.62 9.75-17.12 23.62-17.5 38s5.375 28.62 15.5 38.75l37.62 37.63C63.01 506.4 76.63 512 90.63 512c22.12 0 35.5-13.38 39.25-17.5L402.7 192H431.1zM94.26 462.4c-.875 .875-4.25 3.25-7.25 .125L49.51 425c-3-3-.75-6.375 .125-7.25L455.5 51.62l4.873 4.875L94.26 462.4zM3.682 149.1L53.32 170.7L74.02 220.3c1.016 2.043 3.698 3.696 5.977 3.696c.0078 0-.0078 0 0 0C82.27 223.1 84.93 222.3 85.94 220.3l20.72-49.63l49.62-20.71c2.023-1.008 3.68-3.681 3.691-5.947C159.1 141.7 158.3 139 156.3 138L106.9 117.4L106.5 117L85.94 67.7C84.93 65.66 82.27 64.02 80 64c-.0078 0 .0078 0 0 0c-2.279 0-4.966 1.649-5.981 3.692L53.32 117.3L3.682 138C1.652 139.1 0 141.7 0 144C0 146.3 1.652 148.9 3.682 149.1zM511.1 368c-.0039-2.273-1.657-4.95-3.687-5.966l-49.57-20.67l-20.77-49.67C436.9 289.7 434.3 288 432 288c-2.281 0-4.948 1.652-5.964 3.695l-20.7 49.63l-49.64 20.71c-2.027 1.016-3.684 3.683-3.687 5.956c.0039 2.262 1.662 4.954 3.687 5.966l49.57 20.67l20.77 49.67C427.1 446.3 429.7 448 432 448c2.277 0 4.944-1.656 5.96-3.699l20.69-49.63l49.65-20.71C510.3 372.9 511.1 370.3 511.1 368zM207.1 64l12.42 29.78C221 95.01 222.6 96 223.1 96s2.965-.9922 3.575-2.219L239.1 64l29.78-12.42c1.219-.6094 2.215-2.219 2.215-3.578c0-1.367-.996-2.969-2.215-3.578L239.1 32L227.6 2.219C226.1 .9922 225.4 0 223.1 0S221 .9922 220.4 2.219L207.1 32L178.2 44.42C176.1 45.03 176 46.63 176 48c0 1.359 .9928 2.969 2.21 3.578L207.1 64z"],
    "warehouse": [640, 512, [], "f494", "M323 51.12C321.1 50.34 318.9 50.34 316.1 51.12L62.98 154.1C53.93 157.8 48 166.6 48 176.3V488C48 501.3 37.25 512 24 512C10.75 512 0 501.3 0 488V176.3C0 147 17.78 120.6 44.95 109.6L298.1 6.634C312.5 1.164 327.5 1.164 341 6.634L595 109.6C622.2 120.6 640 147 640 176.3V488C640 501.3 629.3 512 616 512C602.7 512 592 501.3 592 488V176.3C592 166.6 586.1 157.8 577 154.1L323 51.12zM120.3 512C120.2 512 120.1 512 119.1 512C106.7 512 95.1 501.3 95.1 488V232C95.1 209.9 113.9 192 135.1 192H504C526.1 192 544 209.9 544 232V488C544 501.3 533.3 512 520 512C519.9 512 519.8 512 519.7 512H120.3zM143.1 328V376H496V328H143.1zM496 464V424H143.1V464H496zM143.1 280H496V240H143.1V280z"],
    "warehouse-full": [640, 512, ["warehouse-alt"], "f495", "M323 51.12C321.1 50.34 318.9 50.34 316.1 51.12L62.98 154.1C53.93 157.8 48 166.6 48 176.3V488C48 501.3 37.25 512 24 512C10.75 512 0 501.3 0 488V176.3C0 147 17.78 120.6 44.95 109.6L298.1 6.634C312.5 1.164 327.5 1.164 341 6.634L595 109.6C622.2 120.6 640 147 640 176.3V488C640 501.3 629.3 512 616 512C602.7 512 592 501.3 592 488V176.3C592 166.6 586.1 157.8 577 154.1L323 51.12zM143.1 240V488C143.1 501.3 133.3 512 119.1 512C106.7 512 95.1 501.3 95.1 488V232C95.1 209.9 113.9 192 135.1 192H504C526.1 192 544 209.9 544 232V488C544 501.3 533.3 512 520 512C506.7 512 496 501.3 496 488V240H143.1zM440 416C453.3 416 464 426.7 464 440V488C464 501.3 453.3 512 440 512H376C362.7 512 352 501.3 352 488V440C352 426.7 362.7 416 376 416H440zM175.1 312C175.1 298.7 186.7 288 199.1 288H295.1C309.3 288 319.1 298.7 319.1 312V360C319.1 373.3 309.3 384 295.1 384H199.1C186.7 384 175.1 373.3 175.1 360V312zM295.1 416C309.3 416 319.1 426.7 319.1 440V488C319.1 501.3 309.3 512 295.1 512H199.1C186.7 512 175.1 501.3 175.1 488V440C175.1 426.7 186.7 416 199.1 416H295.1z"],
    "washing-machine": [448, 512, ["washer"], "f898", "M368 0h-288C35.82 0 0 35.82 0 80V448c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V80C448 35.82 412.2 0 368 0zM400 448c0 8.824-7.178 16-16 16H64c-8.822 0-16-7.176-16-16V80c0-17.64 14.36-32 32-32h288c17.64 0 32 14.36 32 32V448zM128.1 104c0-13.25-10.83-24-24.02-24c-13.31 0-24.02 10.75-24.02 24S90.72 128 104 128C117.2 128 128.1 117.3 128.1 104zM184.1 128c13.19 0 23.89-10.75 23.89-24S197.2 80 184.1 80c-13.31 0-24.02 10.75-24.02 24S170.7 128 184.1 128zM224 160c-75.16 0-136 60.87-136 135.1S148.8 432 224 432s136-60.88 136-136S299.2 160 224 160zM224 386.6c-50.03 0-90.6-40.63-90.72-90.63c0-2.875 .623-5.625 .8711-8.5c6.223 3.125 13.07 4.75 19.91 4.75c13.32 0 25.88-5.375 35.09-14.88C198.2 286.9 210.8 292.3 224 292.3s25.76-5.375 34.85-14.88c9.207 9.5 21.78 14.88 35.09 14.88c6.846 0 13.69-1.625 19.91-4.75C314.1 290.4 314.7 293.1 314.7 296C314.6 346 274 386.6 224 386.6z"],
    "watch": [384, 512, [8986], "f2e1", "M216 243.2L253.3 268C264.3 275.4 267.3 290.3 259.1 301.3C252.6 312.3 237.7 315.3 226.7 307.1L178.7 275.1C172 271.5 168 264 168 255.1V175.1C168 162.7 178.7 151.1 192 151.1C205.3 151.1 216 162.7 216 175.1L216 243.2zM272 0C298.5 0 320 21.49 320 48V112H318.1C358.9 147.2 384 198.7 384 256C384 313.3 358.9 364.8 318.1 400H320V464C320 490.5 298.5 512 272 512H112C85.49 512 64 490.5 64 464V400H65C25.14 364.8 0 313.3 0 256C0 198.7 25.14 147.2 65 112H64V48C64 21.49 85.49 0 112 0H272zM192 112C112.5 112 48 176.5 48 256C48 335.5 112.5 400 192 400C271.5 400 336 335.5 336 256C336 176.5 271.5 112 192 112z"],
    "watch-apple": [384, 512, [], "e2cb", "M160 256C160 238.3 174.3 224 192 224C209.7 224 224 238.3 224 256C224 273.7 209.7 288 192 288C174.3 288 160 273.7 160 256zM256 328C256 341.3 245.3 352 232 352C218.7 352 208 341.3 208 328C208 314.7 218.7 304 232 304C245.3 304 256 314.7 256 328zM128 328C128 314.7 138.7 304 152 304C165.3 304 176 314.7 176 328C176 341.3 165.3 352 152 352C138.7 352 128 341.3 128 328zM256 184C256 197.3 245.3 208 232 208C218.7 208 208 197.3 208 184C208 170.7 218.7 160 232 160C245.3 160 256 170.7 256 184zM128 184C128 170.7 138.7 160 152 160C165.3 160 176 170.7 176 184C176 197.3 165.3 208 152 208C138.7 208 128 197.3 128 184zM144 256C144 269.3 133.3 280 120 280C106.7 280 96 269.3 96 256C96 242.7 106.7 232 120 232C133.3 232 144 242.7 144 256zM240 256C240 242.7 250.7 232 264 232C277.3 232 288 242.7 288 256C288 269.3 277.3 280 264 280C250.7 280 240 269.3 240 256zM271.7 0C298.4 0 320 21.63 320 48.32V65.6C356.5 73.01 384 105.3 384 144V368C384 406.7 356.5 438.1 320 446.4V464C320 490.5 298.5 512 272 512H112C85.49 512 64 490.5 64 464V446.4C27.48 438.1 0 406.7 0 368V144C0 105.3 27.48 73.01 64 65.6V48.32C64 21.63 85.63 0 112.3 0L271.7 0zM304 112H80C62.33 112 48 126.3 48 144V368C48 385.7 62.33 400 80 400H304C321.7 400 336 385.7 336 368V144C336 126.3 321.7 112 304 112z"],
    "watch-calculator": [384, 512, [], "f8f0", "M280 160C288.8 160 296 167.2 296 176V208C296 216.8 288.8 224 280 224H104C95.16 224 88 216.8 88 208V176C88 167.2 95.16 160 104 160H280zM88 272C88 258.7 98.75 248 112 248C125.3 248 136 258.7 136 272C136 285.3 125.3 296 112 296C98.75 296 88 285.3 88 272zM216 272C216 285.3 205.3 296 192 296C178.7 296 168 285.3 168 272C168 258.7 178.7 248 192 248C205.3 248 216 258.7 216 272zM248 272C248 258.7 258.7 248 272 248C285.3 248 296 258.7 296 272C296 285.3 285.3 296 272 296C258.7 296 248 285.3 248 272zM136 336C136 349.3 125.3 360 112 360C98.75 360 88 349.3 88 336C88 322.7 98.75 312 112 312C125.3 312 136 322.7 136 336zM168 336C168 322.7 178.7 312 192 312C205.3 312 216 322.7 216 336C216 349.3 205.3 360 192 360C178.7 360 168 349.3 168 336zM296 336C296 349.3 285.3 360 272 360C258.7 360 248 349.3 248 336C248 322.7 258.7 312 272 312C285.3 312 296 322.7 296 336zM271.7 0C298.4 0 320 21.63 320 48.32V65.6C356.5 73.01 384 105.3 384 144V368C384 406.7 356.5 438.1 320 446.4V464C320 490.5 298.5 512 272 512H112C85.49 512 64 490.5 64 464V446.4C27.48 438.1 0 406.7 0 368V144C0 105.3 27.48 73.01 64 65.6V48.32C64 21.63 85.63 0 112.3 0L271.7 0zM304 112H80C62.33 112 48 126.3 48 144V368C48 385.7 62.33 400 80 400H304C321.7 400 336 385.7 336 368V144C336 126.3 321.7 112 304 112z"],
    "watch-fitness": [384, 512, [], "f63e", "M180.9 325.3L112.2 259.1C94.63 242.1 94.63 213.9 112.2 196.9C128.1 180.8 155.5 180.8 172.2 196.9L192 216L211.8 196.9C228.5 180.8 255 180.8 271.8 196.9C289.4 213.9 289.4 242.1 271.8 259.1L203.1 325.3C196.9 331.3 187.1 331.3 180.9 325.3V325.3zM271.7 0C298.4 0 320 21.63 320 48.32V65.6C356.5 73.01 384 105.3 384 144V368C384 406.7 356.5 438.1 320 446.4V464C320 490.5 298.5 512 272 512H112C85.49 512 64 490.5 64 464V446.4C27.48 438.1 0 406.7 0 368V144C0 105.3 27.48 73.01 64 65.6V48.32C64 21.63 85.63 0 112.3 0L271.7 0zM304 112H80C62.33 112 48 126.3 48 144V368C48 385.7 62.33 400 80 400H304C321.7 400 336 385.7 336 368V144C336 126.3 321.7 112 304 112z"],
    "watch-smart": [384, 512, [], "e2cc", "M216 244.8L255.4 277.6C265.5 286 266.9 301.2 258.4 311.4C249.1 321.5 234.8 322.9 224.6 314.4L176.6 274.4C171.2 269.9 168 263.1 168 256V184C168 170.7 178.7 160 192 160C205.3 160 216 170.7 216 184L216 244.8zM64 48.32C64 21.63 85.63 0 112.3 0H271.7C298.4 0 320 21.63 320 48.32V65.6C356.5 73.01 384 105.3 384 144V368C384 406.7 356.5 438.1 320 446.4V464C320 490.5 298.5 512 272 512H112C85.49 512 64 490.5 64 464V446.4C27.48 438.1 0 406.7 0 368V144C0 105.3 27.48 73.01 64 65.6V48.32zM48 144V368C48 385.7 62.33 400 80 400H304C321.7 400 336 385.7 336 368V144C336 126.3 321.7 112 304 112H80C62.33 112 48 126.3 48 144z"],
    "water": [576, 512, [], "f773", "M556.2 400.2c-20.89-3.732-41.84-15.52-59-33.22c-9.031-9.312-25.38-9.312-34.41 0C442.6 387.9 413.8 399.8 384 399.8s-58.56-11.98-78.8-32.85c-9.031-9.312-25.38-9.312-34.41 0C250.6 387.9 221.8 399.8 192 399.8c-32.36 0-68.04-13.52-86.79-32.85c-9.031-9.312-25.38-9.312-34.41 0c-19.14 19.76-31.66 29.78-51 33.22c-13.05 2.32-21.75 14.83-19.42 27.92c2.312 13.08 14.66 21.83 27.83 19.49c26.19-4.672 44.73-16.76 61-31.44c28 19.74 66.05 31.81 102.8 31.81c34.89 0 68.76-11.54 95.95-32.19c54.31 41.25 137.4 41.31 191.8 .1582c20.61 16.37 44.16 27.41 68 31.65c1.422 .252 2.844 .377 4.234 .377c11.41 0 21.53-8.199 23.59-19.87C577.1 415 569.2 402.5 556.2 400.2zM556.2 256.2c-20.89-3.732-41.84-15.52-59-33.22c-9.031-9.312-25.38-9.312-34.41 0C442.6 243.9 413.8 255.8 384 255.8s-58.56-11.98-78.8-32.85c-9.031-9.312-25.38-9.312-34.41 0C250.6 243.9 221.8 255.8 192 255.8c-32.36 0-68.04-13.52-86.79-32.85c-9.031-9.312-25.38-9.312-34.41 0c-19.14 19.76-31.66 29.78-51 33.22c-13.05 2.32-21.75 14.83-19.42 27.92c2.312 13.08 14.66 21.83 27.83 19.49c26.19-4.672 44.73-16.76 61-31.44c28 19.74 66 31.69 102.8 31.69c34.89 0 68.81-11.42 95.99-32.07c54.31 41.25 137.4 41.31 191.8 .1582c20.61 16.37 44.16 27.41 68 31.65c1.422 .252 2.844 .377 4.234 .377c11.41 0 21.53-8.199 23.59-19.87C577.1 271 569.2 258.5 556.2 256.2zM28.21 159.6c26.19-4.672 44.73-16.76 61-31.44c28 19.74 66 31.69 102.8 31.69c34.89 0 68.81-11.42 95.99-32.07c54.31 41.25 137.4 41.31 191.8 .1582c20.61 16.37 44.16 27.41 68 31.65c1.422 .252 2.844 .377 4.234 .377c11.41 0 21.53-8.199 23.59-19.87c2.328-13.09-6.375-25.6-19.42-27.92c-20.89-3.732-41.84-15.52-59-33.22c-9.031-9.312-25.38-9.312-34.41 0c-20.23 20.87-48.88 32.94-78.72 32.94s-58.64-12.07-78.87-32.94c-9.031-9.312-25.38-9.312-34.41 0C250.6 99.85 221.9 111.9 192.1 111.9c-32.36 0-68.12-13.61-86.87-32.94c-9.031-9.312-25.38-9.312-34.41 0c-19.14 19.76-31.66 29.78-51 33.22c-13.05 2.32-21.75 14.83-19.42 27.92C2.689 153.2 15.03 161.1 28.21 159.6z"],
    "water-arrow-down": [576, 512, ["water-lower"], "f774", "M556.2 464.2c-20.89-3.732-41.84-15.52-59-33.22c-9.031-9.312-25.38-9.312-34.41 0C442.6 451.9 413.8 463.8 384 463.8s-58.56-11.98-78.8-32.85c-9.031-9.312-25.38-9.312-34.41 0C250.6 451.9 221.8 463.8 192 463.8c-32.36 0-68.04-13.52-86.79-32.85c-9.031-9.312-25.38-9.312-34.41 0c-19.14 19.76-31.66 29.78-51 33.22c-13.05 2.32-21.75 14.83-19.42 27.92c2.312 13.08 14.66 21.83 27.83 19.49c26.19-4.672 44.73-16.76 61-31.44c28 19.74 66.05 31.81 102.8 31.81c34.89 0 68.76-11.54 95.95-32.19c54.31 41.25 137.4 41.31 191.8 .1582c20.61 16.37 44.16 27.41 68 31.65c1.422 .252 2.844 .377 4.234 .377c11.41 0 21.53-8.199 23.59-19.87C577.1 479 569.2 466.5 556.2 464.2zM28.21 367.6c26.19-4.672 44.73-16.76 61-31.44c28 19.74 66.11 31.78 102.9 31.78c34.89 0 68.7-11.51 95.89-32.16c54.31 41.25 137.4 41.31 191.8 .1582c20.61 16.37 44.16 27.41 68 31.65c1.422 .252 2.844 .377 4.234 .377c11.41 0 21.53-8.199 23.59-19.87c2.328-13.09-6.375-25.6-19.42-27.92c-20.89-3.732-41.84-15.52-59-33.22c-9.031-9.312-25.38-9.312-34.41 0c-20.23 20.87-48.96 32.84-78.8 32.84s-58.56-11.97-78.79-32.84c-9.031-9.312-25.38-9.312-34.41 0c-20.23 20.87-48.96 32.84-78.8 32.84c-32.36 0-68.04-13.51-86.79-32.84c-9.031-9.312-25.38-9.312-34.41 0c-19.14 19.76-31.66 29.78-51 33.22c-13.05 2.32-21.75 14.83-19.42 27.92C2.689 361.2 15.03 369.1 28.21 367.6zM271 216.1C275.7 221.7 281.9 224 288 224s12.28-2.344 16.97-7.031l80-80c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0L312 142.1V24C312 10.75 301.2 0 287.1 0S264 10.75 264 24v118.1L224.1 103c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L271 216.1z"],
    "water-arrow-up": [576, 512, ["water-rise"], "f775", "M556.2 464.2c-20.89-3.732-41.84-15.52-59-33.22c-9.031-9.312-25.38-9.312-34.41 0C442.6 451.9 413.8 463.8 384 463.8s-58.56-11.98-78.8-32.85c-9.031-9.312-25.38-9.312-34.41 0C250.6 451.9 221.8 463.8 192 463.8c-32.36 0-68.04-13.52-86.79-32.85c-9.031-9.312-25.38-9.312-34.41 0c-19.14 19.76-31.66 29.78-51 33.22c-13.05 2.32-21.75 14.83-19.42 27.92c2.312 13.08 14.66 21.83 27.83 19.49c26.19-4.672 44.73-16.76 61-31.44c28 19.74 66.04 31.81 102.8 31.81c34.89 0 68.77-11.54 95.96-32.19c54.31 41.25 137.4 41.31 191.8 .1582c20.61 16.37 44.16 27.41 68 31.65c1.422 .252 2.844 .377 4.234 .377c11.41 0 21.53-8.199 23.59-19.87C577.1 479 569.2 466.5 556.2 464.2zM28.21 367.6c26.19-4.672 44.73-16.76 61-31.44c28 19.74 66.11 31.78 102.9 31.78c34.89 0 68.7-11.51 95.89-32.16c54.31 41.25 137.4 41.31 191.8 .1582c20.61 16.37 44.16 27.41 68 31.65c1.422 .252 2.844 .377 4.234 .377c11.41 0 21.53-8.199 23.59-19.87c2.328-13.09-6.375-25.6-19.42-27.92c-20.89-3.732-41.84-15.52-59-33.22c-9.031-9.312-25.38-9.312-34.41 0c-20.23 20.87-48.97 32.84-78.81 32.84s-58.54-11.97-78.78-32.84c-9.031-9.312-25.38-9.312-34.41 0C250.6 307.9 221.8 319.8 191.1 319.8c-32.36 0-68.03-13.51-86.78-32.84c-9.031-9.312-25.38-9.312-34.41 0c-19.14 19.76-31.66 29.78-51 33.22c-13.05 2.32-21.75 14.83-19.42 27.92C2.689 361.2 15.03 369.1 28.21 367.6zM224.1 120.1L264 81.94V200C264 213.3 274.8 224 288 224s24-10.75 24-24V81.94l39.03 39.03C355.7 125.7 361.9 128 368 128s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94l-80-80c-9.375-9.375-24.56-9.375-33.94 0l-80 80c-9.375 9.375-9.375 24.56 0 33.94S215.6 130.3 224.1 120.1z"],
    "water-ladder": [576, 512, ["ladder-water", "swimming-pool"], "f5c5", "M575.1 455.9c0-11.45-8.176-21.6-19.8-23.67C508.7 423.7 502.3 392 479.1 392c-22.91 0-33.8 39.83-95.1 39.83c-62.23 0-73.08-39.83-96-39.83c-22.92 0-33.77 39.83-96 39.83c-69.59 0-81.1-39.83-103.1-39.83c-21.95 0-30.18 33.43-68.2 40.21c-11.62 2.067-19.8 12.22-19.8 23.67c0 12.1 9.506 24.12 23.94 24.12c7.637 0 35.43-4.889 65.27-31.81c28 19.74 66.04 31.81 102.8 31.81c34.89 0 68.77-11.54 95.96-32.19c27.19 20.65 61.6 30.98 96.01 30.98c34.32 0 68.63-10.27 95.78-30.82c30.59 24.3 63.21 32.03 72.23 32.03C563.1 479.1 575.1 470.4 575.1 455.9zM480 32C427.1 32 384 75.06 384 128v96H176V128c0-26.47 21.53-48 48-48S272 101.5 272 128v8C272 149.3 282.8 160 296 160S320 149.3 320 136V128c0-52.94-43.06-95.1-96-95.1S128 75.06 128 128v232C128 373.3 138.8 384 152 384s24-10.75 24-24V272H384v88c0 13.25 10.75 24 24 24s24-10.75 24-24V128c0-26.47 21.53-48 48-48s48 21.53 48 48v8C528 149.3 538.8 160 552 160S576 149.3 576 136V128C576 75.06 532.9 32 480 32z"],
    "watermelon-slice": [512, 512, [], "e337", "M324.7 267.3c6.254 6.254 16.38 6.246 22.62 0c6.25-6.252 6.25-16.38 0-22.63l-16-16c-6.25-6.252-16.38-6.252-22.62 0c-6.25 6.25-6.25 16.38 0 22.63L324.7 267.3zM425.3 7.031c-9.375-9.375-24.56-9.375-33.94 0L7.037 391.4c-10.56 10.56-8.143 25.79 0 33.94C62.91 481.2 137.2 512 216.2 512c79.03 0 153.3-30.77 209.2-86.64C481.2 369.5 512 295.2 512 216.2C512 137.2 481.2 62.89 425.3 7.031zM141.8 324.5l14.85 14.85c6.254 6.254 16.38 6.246 22.62 0c6.25-6.25 6.25-16.38 0-22.63L164.5 301.9l57.38-57.38l14.85 14.85c6.254 6.254 16.38 6.246 22.62 0c6.25-6.252 6.25-16.38 0-22.63L244.5 221.9l57.38-57.38l14.85 14.85c6.252 6.256 16.38 6.248 22.62 0c6.25-6.25 6.25-16.38 0-22.63l-14.84-14.85l26.15-26.16c21.66 28.86 33.38 63.77 33.38 100.5c0 44.82-17.46 86.96-49.16 118.7C303.1 366.5 261 384 216.2 384c-36.7 0-71.62-11.72-100.5-33.38L141.8 324.5zM391.4 391.4C344.6 438.2 282.4 464 216.2 464c-58.12 0-113.2-19.9-157.4-56.45l22.81-22.81C119.7 415.3 166.6 432 216.2 432c57.63 0 111.8-22.45 152.6-63.22c40.77-40.76 63.22-94.95 63.22-152.6c0-49.55-16.69-96.5-47.25-134.6l22.81-22.81c36.54 44.26 56.44 99.31 56.44 157.4C464 282.4 438.2 344.6 391.4 391.4zM244.7 347.3c6.254 6.254 16.38 6.246 22.62 0c6.25-6.25 6.25-16.38 0-22.63l-16-16c-6.25-6.252-16.38-6.252-22.62 0c-6.25 6.25-6.25 16.38 0 22.63L244.7 347.3z"],
    "wave-pulse": [640, 512, ["heart-rate"], "f5f8", "M640 255.1C640 269.3 629.3 280 616 280h-120.8l-57.5 122.2c-4.375 9.125-13.5 14.75-24 13.63c-10-.875-18.5-8-21-17.87l-70-268.6L247.5 492.9C245.2 503.8 235.9 511.6 224.8 512H224c-10.75 0-20.25-7.25-23.12-17.62L141.8 280H23.1C10.75 280 0 269.3 0 256S10.75 232 23.1 232H160c10.79 0 20.25 7.206 23.12 17.61l37.5 136L296.5 19.12C298.8 8.25 308.4 .25 319.5 0H320c10.88 0 20.5 7.375 23.25 18l79.25 303.9l35.75-76.12C462.2 237.4 470.8 232 480 232h136C629.3 232 640 242.7 640 255.1z"],
    "wave-sine": [640, 512, [8767], "f899", "M638.9 278.2C632.9 297.3 576.7 464 467.2 464c-95.24 0-135.1-106.3-170.2-200.1c-29.67-79.28-63.31-169.1-124.2-169.1c-56.09 0-105.5 91.25-125 152.6c-3.875 12.26-15.06 16.61-23.46 16.61c-2.531 0-4.978-.3691-6.679-.9453C11.14 261.2 5.834 257 2.729 251.3c-2.951-5.477-3.527-11.72-1.639-17.54C7.135 214.7 63.32 48 172.8 48c95.24 0 135.1 106.3 170.2 200.1c29.67 79.28 63.31 169.1 124.2 169.1c56.08 0 105.5-91.27 125-152.6c3.869-12.23 15.12-16.58 23.58-16.58c2.473 0 4.863 .3516 6.562 .9121c6.424 1.77 11.86 6.043 14.93 11.73C640.2 266.2 640.8 272.4 638.9 278.2z"],
    "wave-square": [640, 512, [], "f83e", "M440 480h-80c-35.2 0-64-28.8-64-64V96c0-8.837-7.163-16-16-16h-80c-8.837 0-16 7.163-16 16v152c0 17.6-14.4 32-32 32h-128C10.8 280 0 269.2 0 256C0 242.8 10.8 232 23.1 232H136V96c0-35.2 28.8-64 64-64h80c35.2 0 64 28.8 64 64v320c0 8.837 7.163 16 16 16h80c8.837 0 16-7.163 16-16V264c0-17.6 14.4-32 32-32h128c13.2 0 24 10.8 24 24S629.2 280 616 280h-112V416C504 451.2 475.2 480 440 480z"],
    "wave-triangle": [640, 512, [], "f89a", "M635.4 262.2l-151.1 208C478.9 476.3 471.7 480 463.1 480c-7.703-.0313-14.98-3.75-19.48-9.969L175.9 96.88L43.38 278.2c-7.859 10.69-22.87 13-33.53 5.219C-.8571 275.6-3.201 260.5 4.627 249.8l151.1-208C161.1 35.66 168.3 32 176 32c7.703 .0313 14.98 3.75 19.48 9.969l268.7 373.2l132.5-181.3c7.812-10.75 22.84-13.03 33.53-5.219C640.9 236.4 643.2 251.5 635.4 262.2z"],
    "waveform": [640, 512, [], "f8f1", "M640 287.1c0 11.04-8.953 19.94-19.1 19.94h-60.01c-9.311 0-17.39-6.424-19.49-15.5l-4.625-19.1l-36.38 159.1c-2.25 9.873-10.5 15.1-20.38 15.5c-9.625-.3749-17.5-7.623-18.88-17.25L433.8 241.4l-29.88 252.8c-1.125 9.998-9.875 17.62-20 17.75c-10 0-18.38-7.373-19.63-17.37L320 170.3L275.8 494.6c-1.375 9.998-9.719 17.45-19.84 17.33c-10 0-18.66-7.706-19.78-17.7L206.2 241.4l-26.5 189.3c-1.375 9.498-9.25 16.62-18.75 17.12c-10.5 0-18.25-5.749-20.5-15.5L104.1 272.4L99.5 292.4C97.4 301.5 89.32 307.9 80 307.9H19.99C8.951 307.9 0 299 0 287.1c0-11.04 8.953-20.05 19.1-20.05H64.12l20.38-92.48C86.62 166.5 94.75 159.1 104 159.1s17.38 6.373 19.5 15.5l31.75 140.2l33-234.4c1.375-9.998 10-17.37 20-17.25c10 .125 18.5 7.623 19.63 17.62l29.5 249.9l42.87-314.3C301.6 7.373 309.1 0 320 0c9.1 0 18.38 7.373 19.75 17.25l42.87 314.3l29.5-249.9c1.125-9.998 9.625-17.5 19.63-17.62c10-.125 18.62 7.248 20 17.12l33 234.6l31.75-140.2C518.6 166.3 526.8 159.1 536 159.1c9.25 .125 17.38 6.498 19.5 15.5l20.38 92.48h44.13C631 267.9 640 276.9 640 287.1z"],
    "waveform-lines": [640, 512, ["waveform-path"], "f8f2", "M320 0C306.7 0 296 10.75 296 23.1V488C296 501.3 306.7 512 319.1 512S344 501.3 344 488V23.1C344 10.75 333.3 0 320 0zM224 96C210.7 96 200 106.7 200 119.1v272C200 405.3 210.7 416 223.1 416S248 405.3 248 392V119.1C248 106.7 237.3 96 224 96zM416 128C402.7 128 392 138.7 392 151.1v208C392 373.3 402.7 384 415.1 384S440 373.3 440 360V151.1C440 138.7 429.3 128 416 128zM512 64c-13.25 0-24 10.75-24 23.1V424C488 437.3 498.7 448 511.1 448C525.3 448 536 437.3 536 424V87.1C536 74.75 525.3 64 512 64zM128 192C114.7 192 104 202.7 104 215.1V296C104 309.3 114.7 320 127.1 320S152 309.3 152 296V215.1C152 202.7 141.3 192 128 192zM32 224C18.75 224 8 234.7 8 247.1V264C8 277.3 18.75 288 31.1 288S56 277.3 56 264V247.1C56 234.7 45.25 224 32 224zM608 224c-13.25 0-24 10.75-24 23.1V264C584 277.3 594.7 288 608 288s24-10.75 24-23.1V247.1C632 234.7 621.3 224 608 224z"],
    "weight-hanging": [512, 512, [], "f5cd", "M510.5 443L445.6 171C439.5 145.7 417.1 128 391 128h-57.01c6.127-12 10-25.5 10-40C344 39.38 304.6 0 256 0C207.4 0 167.1 39.38 167.1 88c0 14.5 3.875 28 10 40H120.1C94.94 128 72.52 145.7 66.44 171l-64.89 272c-4 16.75-.1719 34.13 10.52 47.63C22.77 504.2 38.8 512 56.08 512h399.8c17.28 0 33.31-7.781 44.02-21.34C510.6 477.2 514.5 459.8 510.5 443zM215.1 88c0-22 18-40 40-40s40 18 40 40S278 128 256 128S215.1 110 215.1 88zM462.3 460.9C461.4 462.1 459.3 464 455.9 464H56.08c-3.406 0-5.438-1.938-6.344-3.062c-.8906-1.125-2.281-3.531-1.5-6.781l64.89-271.1C113.1 178.5 117.2 176 120.1 176h270c3.75 0 6.984 2.531 7.859 6.156l64.89 272C464.5 457.4 463.2 459.8 462.3 460.9z"],
    "weight-scale": [512, 512, ["weight"], "f496", "M256 264c22.12 0 40-17.88 40-40c0-10.5-4.25-20-11-27.12l33.75-78.63c3.5-8.125-.375-17.5-8.5-21c-8-3.5-17.5 .25-21 8.5L255.8 184C233.8 184.3 216 202 216 224C216 246.1 233.9 264 256 264zM440 64h-48.23C359.5 24.91 310.7 0 256 0C201.3 0 152.5 24.91 120.2 64H72C32.3 64 0 96.31 0 136v304C0 479.7 32.3 512 72 512h368c39.7 0 72-32.31 72-72v-304C512 96.31 479.7 64 440 64zM256 48c70.58 0 128 57.42 128 128s-57.42 128-128 128s-128-57.42-128-128S185.4 48 256 48zM464 440c0 13.22-10.77 24-24 24H72c-13.23 0-24-10.78-24-24v-304c0-13.22 10.77-24 24-24h20.18C84.42 131.9 80 153.4 80 176C80 273.2 158.8 352 256 352c97.2 0 176-78.8 176-176c0-22.61-4.414-44.14-12.18-64H440c13.23 0 24 10.78 24 24V440z"],
    "whale": [640, 512, [128011], "f72c", "M488 128h-64.34c-57.78 0-112.1 22.51-152.1 63.37l-151.7 151.7C114.5 347.6 112 353.6 112 360c0 6.408 2.496 12.44 7.031 16.97C123.6 381.5 129.6 384 136 384s12.44-2.498 16.97-7.031l151.7-151.7C336.4 193.5 378.7 176 423.7 176H488c57.34 0 103.1 46.65 103.1 104v96c0 39.7-32.3 72-72 72H164.2C100.1 448 48 395.9 48 331.8c0-27.7 9.938-54.55 27.98-75.61l47.71-55.66l62.36 22.32C189.8 223.7 192.4 224 195.1 224c10.54 0 20.88-4.289 28.36-11.77l57.52-57.52C287.2 148.4 289.5 139.2 286.9 130.7C284.4 122.2 277.3 115.9 268.6 114.1L190.1 97.93L173.9 19.34C171.7 8.164 161.7 0 150.2 0C143.8 0 137.8 2.502 133.3 7.045L75.77 64.57c-9.547 9.549-13.65 23.11-10.97 36.28l23.85 66.85L39.52 225c-25.48 29.72-39.52 67.66-39.52 106.8C.002 422.4 73.64 496 164.2 496H519.1c66.17 0 120-53.83 120-120v-96C639.1 196.2 571.8 128 488 128zM135.8 72.41l13.67 66.14l66.12 13.65L193.3 174.5L134.5 153.5L113.5 94.72L135.8 72.41zM408 304c0-13.26-10.75-24-24-24s-24 10.74-24 24c0 13.25 10.75 24 24 24S408 317.3 408 304z"],
    "wheat": [512, 512, [], "f72d", "M460.9 152.5c-3.125-3.25 2.233-.2416 18.11-15.12c26.63-28.88 34.75-75.06 32.63-120.1c-.875-19.75-24-17.25-30.63-17.25c-34.25 0-76.95 6.375-105.7 33.13c-18.5 18.63-11.66 21.93-16.16 17.3l-39.63-39.5c-6.25-6.25-16.38-6.25-22.5 0l-34.13 34C250.3 57.6 242.3 72.98 238.2 89.11C227 80.86 217.8 90.23 217.7 90.36L183.9 124.1C171.3 136.7 163.4 151.1 159.3 168.1C148 159.1 138.9 169.2 138.7 169.5L104.8 203.4c-37.5 37.5-37.5 98.38 0 135.9l17 17l-114.8 114.8c-9.375 9.375-9.375 24.63 0 34C11.78 509.6 17.91 512 24.03 512c6.125 0 12.25-2.375 17-7l114.6-114.9l16.88 17c37.5 37.5 98.25 37.5 135.8 0l34-34.13c5.75-5.625 6-14.38 1.375-20.63c16.13-4.125 31.38-12.13 44-24.75l33.63-33.75c5.625-5.625 6-14.25 1.375-20.5c16.13-4.125 31.38-12.13 44-24.75l33.75-33.88c6.25-6.25 6.25-16.38 0-22.63L460.9 152.5zM166.9 310.9l-11.25 11.38L138.7 305.2c-18.75-18.75-18.75-49.13 0-67.88L149.9 225.1l17 17C176 252.1 181 264.1 181 276.1C181 289.9 176 301.9 166.9 310.9zM296.8 78.98l11.5-11.5l17 17c18.63 18.75 18.75 49.13 0 68l-11.5 11.38l-17-16.88C278 128.2 278 97.86 296.8 78.98zM217.8 158.1l11.13-11.13l17 17c18.75 18.75 18.75 49.13 0 67.88L234.8 242.1L217.8 225.1C199 207.2 199 176.9 217.8 158.1zM274.4 373.1c-18.75 18.88-49.13 18.88-67.88 0l-17-16.88l11.63-11.63c18.75-18.75 49-18.63 67.75 .125l16.88 16.88L274.4 373.1zM353.8 293.7c-18.75 18.75-49.13 18.75-67.88 0l-17-17l11.13-11.13c18.75-18.75 49.13-18.75 67.88 0l16.88 17L353.8 293.7zM432.7 214.6c-18.75 18.88-49.13 18.88-67.88 0l-16.88-16.88l11.25-11.38c18.75-18.75 49.13-18.75 67.88 0l16.88 17L432.7 214.6zM390 121.1c1.625-20 6.75-41.63 18.75-54.25c11.5-10.25 30.5-16.75 54.5-18.88c-2 23.88-8.375 43-18.25 54.63C433.2 113.7 414 120.1 390 121.1z"],
    "wheat-awn": [512, 512, ["wheat-alt"], "e2cd", "M366.1 179.7C375.5 180.8 384.8 182.8 393.8 185.1L470.7 108.1C480.1 99.6 495.3 99.6 504.7 108.1C514.1 118.3 514.1 133.5 504.7 142.9L436.6 210.1C438.6 212.7 440.6 214.6 442.5 216.5L465.1 239.1C471.3 245.3 471.3 255.4 465.1 261.7L431.2 295.6C418.7 308.1 403.7 316.4 387.8 320.6C392.1 326.8 391.4 335.4 385.9 340.9L352 374.8C339.6 387.2 324.5 395.6 308.7 399.7C312.9 405.1 312.3 414.5 306.8 420.1L272.8 453.1C235.4 491.5 174.6 491.5 137.1 453.1L114.5 431.4L40.97 504.9C31.6 514.3 16.4 514.3 7.029 504.9C-2.343 495.5-2.343 480.3 7.029 470.1L80.54 397.4L57.94 374.8C20.46 337.3 20.46 276.5 57.94 239.1L91.86 205.1C97.38 199.6 105.9 198.1 112.2 203.2C116.4 187.3 124.7 172.3 137.1 159.9L171 125.1C176.6 120.4 185.1 119.8 191.3 124C195.5 108.2 203.8 93.14 216.3 80.69L250.2 46.77C256.4 40.52 266.6 40.52 272.8 46.77L295.4 69.37C297.3 71.27 299.2 73.23 300.9 75.22L368.1 7.17C378.3-2.203 393.5-2.203 402.9 7.17C412.3 16.54 412.3 31.74 402.9 41.11L325.9 118.1C329 127.1 331.1 136.4 332.1 145.8L470.7 7.17C480.1-2.203 495.3-2.203 504.7 7.17C514.1 16.54 514.1 31.74 504.7 41.11L366.1 179.7zM250.2 182.5L271.7 203.1C292.2 172.9 288.8 130.7 261.5 103.3L250.2 114.6C231.5 133.4 231.5 163.8 250.2 182.5V182.5zM171.1 261.7L192.5 283.2C213.1 252.1 209.7 209.9 182.3 182.5L171.1 193.8C152.3 212.6 152.3 242.1 171.1 261.7V261.7zM149.6 398.6L171 420C189.8 438.8 220.2 438.8 238.9 420L250.2 408.7C222.8 381.4 180.6 378 149.6 398.6V398.6zM103.2 261.7L91.88 272.1C73.14 291.7 73.14 322.1 91.88 340.9L113.3 362.3C133.9 331.3 130.5 289.1 103.2 261.7V261.7zM228.7 319.4L250.2 340.8C268.9 359.6 299.3 359.6 318.1 340.8L329.4 329.6C302 302.2 259.8 298.8 228.7 319.4V319.4zM307.9 240.2L329.4 261.7C348.1 280.4 378.5 280.4 397.2 261.7L408.5 250.4C381.2 223 338.1 219.7 307.9 240.2V240.2z"],
    "wheat-awn-circle-exclamation": [640, 512, [], "e598", "M366.2 179.7C375.6 180.8 384.9 182.8 393.9 185.1L470.9 108.1C480.3 99.6 495.5 99.6 504.8 108.1C514.2 118.3 514.2 133.5 504.8 142.9L449.6 198.2C424.7 204.1 402.1 217 382.9 233.1C358.7 223 330.5 225.4 308.1 240.2L329.5 261.7C334.8 266.1 341.1 270.8 347.8 273.1C337.5 289 329.8 306.7 325.2 325.5C297.8 301.9 258.3 299.9 228.9 319.4L250.3 340.8C269.1 359.6 299.5 359.6 318.2 340.8L322.9 336.2C320.1 346.5 320 357.1 320 368C320 377.2 320.7 386.3 322.1 395.2C317.8 397 313.3 398.6 308.8 399.7C313.1 405.1 312.4 414.5 306.9 420.1L272.1 453.1C235.5 491.5 174.7 491.5 137.2 453.1L114.6 431.4L41.11 504.9C31.74 514.3 16.55 514.3 7.173 504.9C-2.198 495.5-2.198 480.3 7.173 470.1L80.69 397.4L58.09 374.8C20.6 337.3 20.6 276.5 58.09 239.1L92 205.1C97.53 199.6 106.1 198.1 112.3 203.2C116.5 187.3 124.8 172.3 137.3 159.9L171.2 125.1C176.7 120.4 185.3 119.8 191.5 124C195.7 108.2 203.1 93.14 216.4 80.69L250.3 46.77C256.6 40.52 266.7 40.52 272.1 46.77L295.6 69.37C297.5 71.27 299.3 73.23 301.1 75.22L369.1 7.17C378.5-2.203 393.7-2.203 403 7.17C412.4 16.54 412.4 31.74 403 41.11L326.1 118.1C329.2 127.1 331.2 136.4 332.3 145.8L470.9 7.17C480.3-2.203 495.5-2.203 504.8 7.17C514.2 16.54 514.2 31.74 504.8 41.11L366.2 179.7zM250.4 182.5L271.8 203.1C292.4 172.9 288.1 130.7 261.7 103.3L250.4 114.6C231.6 133.4 231.6 163.8 250.4 182.5V182.5zM171.2 261.7L192.7 283.2C213.2 252.1 209.8 209.9 182.5 182.5L171.2 193.8C152.5 212.6 152.5 242.1 171.2 261.7V261.7zM149.7 398.6L171.2 420C189.9 438.8 220.3 438.8 239 420L250.3 408.7C222.1 381.4 180.8 378 149.7 398.6V398.6zM103.3 261.7L92.03 272.1C73.28 291.7 73.28 322.1 92.03 340.9L113.5 362.3C134 331.3 130.6 289.1 103.3 261.7V261.7zM352 368C352 288.5 416.5 223.1 496 223.1C575.5 223.1 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368V368zM496 464C509.3 464 520 453.3 520 440C520 426.7 509.3 416 496 416C482.7 416 472 426.7 472 440C472 453.3 482.7 464 496 464V464zM479.1 287.1V368C479.1 376.8 487.2 384 495.1 384C504.8 384 511.1 376.8 511.1 368V287.1C511.1 279.2 504.8 271.1 495.1 271.1C487.2 271.1 479.1 279.2 479.1 287.1z"],
    "wheat-awn-slash": [640, 512, [], "e338", "M630.8 469.1l-179.8-140.9l2.297-2.307c3.053-3.053 4.559-6.99 4.559-10.95c0-3.338-1.068-6.693-3.184-9.551c16.13-4.125 31.38-12.12 44-24.75l33.75-33.88c3.125-3.125 4.688-7.219 4.688-11.31s-1.562-8.189-4.688-11.31l-25.28-25.32l61.82-61.82C573.7 132.3 576 126.1 576 120C576 106.3 564.8 96 552 96c-6.141 0-12.28 2.344-16.97 7.031L473.2 164.8l-14.05-14.07l109.8-109.8C573.7 36.28 576 30.14 576 24C576 10.29 564.8 0 552 0c-6.141 0-12.28 2.344-16.97 7.031l-109.8 109.8l-14.05-14.07l61.76-61.76C477.7 36.28 480 30.14 480 24C480 10.29 468.8 0 456 0c-6.141 0-12.28 2.344-16.97 7.031l-61.73 61.73l-25.75-25.79c-3.125-3.125-7.219-4.688-11.3-4.688s-8.141 1.562-11.2 4.688l-34.13 34C282.3 89.6 274.3 104.1 270.2 121.1C266.8 118.6 263.6 117.7 260.7 117.7c-6.469 0-10.96 4.555-11.05 4.643L222.7 149.3L38.81 5.109C34.41 1.672 29.19 0 24.03 0C16.91 0 9.845 3.156 5.127 9.187c-8.188 10.44-6.375 25.53 4.062 33.7l591.1 463.1c10.5 8.203 25.56 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1zM357.3 184.5l-11.5 11.38l-17-16.88C319.4 169.6 314.7 157.3 314.7 145c0-12.3 4.689-24.61 14.06-34.05l11.5-11.5l17 17c9.328 9.391 14.02 21.7 14.02 34.02C371.3 162.8 366.7 175.1 357.3 184.5zM396.8 246.6l-16.88-16.88l11.25-11.38c9.375-9.375 21.66-14.06 33.94-14.06c12.28 0 24.56 4.688 33.94 14.06l16.88 17L464.7 246.6c-9.375 9.438-21.66 14.16-33.94 14.16C418.5 260.8 406.2 256 396.8 246.6zM154.4 217.7L136.8 235.4C118 254.1 108.7 278.7 108.7 303.3c0 24.6 9.377 49.19 28.13 67.94l17 17L71.03 470.1C66.34 475.7 64 481.8 64 487.1s2.344 12.31 7.031 17C75.78 509.6 81.91 512 88.03 512c6.125 0 12.25-2.375 17-7l82.63-82.88l16.88 17c18.75 18.75 43.31 28.13 67.88 28.13c24.56 0 49.13-9.377 67.88-28.13l34-34.13c3.102-3.035 4.602-6.977 4.602-10.95c0-.1855-.1699-.3438-.1758-.5293L154.4 217.7zM198.9 342.9l-11.25 11.38l-17-17c-9.375-9.375-14.06-21.66-14.06-33.94c0-12.28 4.688-24.56 14.06-33.94l11.25-11.38l17 17C208 284.1 213 296.1 213 308.1C213 321.9 208 333.9 198.9 342.9zM306.4 405.1C297 414.6 284.8 419.3 272.5 419.3c-12.28 0-24.56-4.719-33.94-14.16l-17-16.88l11.62-11.62c9.346-9.346 21.54-14 33.75-14c12.29 0 24.59 4.719 34 14.13l16.88 16.88L306.4 405.1z"],
    "wheat-slash": [640, 512, [], "e339", "M338.4 373.1c-18.75 18.88-49.13 18.88-67.88 0l-17-16.88l11.62-11.62c9.256-9.256 21.32-13.82 33.41-13.91L243.7 287.7C241.7 296.4 237.4 304.4 230.9 310.9l-11.25 11.38l-17-17c-15.22-15.22-17.43-37.82-7.936-55.93L156.1 219.1c-24.17 37.23-19.99 87.54 12.64 120.2l17 17L71.03 470.1c-9.375 9.375-9.375 24.62 0 34C75.78 509.6 81.91 512 88.03 512c6.125 0 12.25-2.375 17-7l114.6-114.9l16.88 17c37.5 37.5 98.25 37.5 135.8 0l10.43-10.46l-38.07-29.84L338.4 373.1zM630.8 469.1l-179.8-140.1c.2168-.2129 .4883-.3145 .7031-.5293l33.63-33.75c5.625-5.625 6-14.25 1.375-20.5c16.13-4.125 31.38-12.12 44-24.75l33.75-33.88c6.25-6.25 6.25-16.38 0-22.63l-39.5-39.63c-3.125-3.25 2.233-.2412 18.11-15.12c26.62-28.88 34.75-75.06 32.63-120.1c-.875-19.75-24-17.25-30.63-17.25c-34.25 0-76.95 6.374-105.7 33.13c-18.5 18.62-11.67 21.93-16.17 17.3l-39.63-39.5c-6.25-6.25-16.38-6.25-22.5 0l-34.13 34C314.3 57.6 306.3 72.98 302.2 89.11C291 80.86 281.8 90.23 281.7 90.36L247.9 124.1c-8.811 8.811-14.59 19.14-19.11 29.91L38.81 5.109C34.41 1.672 29.19 0 24.03 0C16.91 0 9.845 3.156 5.127 9.187c-8.188 10.44-6.375 25.53 4.062 33.7l591.1 463.1c10.5 8.203 25.56 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1zM316.2 222.5L268.1 185.5c1.389-9.986 5.113-19.73 12.79-27.41l11.12-11.13l17 17C325.9 179.1 327.4 204 316.2 222.5zM472.8 67.73c11.5-10.25 30.5-16.75 54.5-18.88c-2 23.88-8.375 43-18.25 54.63c-11.88 10.25-31 16.63-55 18.5C455.7 101.1 460.8 80.36 472.8 67.73zM360.8 78.98l11.5-11.5l17 17c18.63 18.75 18.75 49.13 0 68l-11.5 11.38l-17-16.88C342 128.2 342 97.86 360.8 78.98zM417.8 293.7c-1.715 1.713-3.916 2.455-5.807 3.855l-53.25-41.74c17.59-7.748 38.77-4.656 53.19 9.758l16.88 17L417.8 293.7zM411.9 197.7l11.25-11.38c18.75-18.75 49.13-18.75 67.88 0l16.88 17L496.7 214.6c-18.75 18.88-49.13 18.88-67.88 0L411.9 197.7z"],
    "wheelchair": [512, 512, [], "f193", "M291.3 394.8c-11.7-6.219-26.22-1.859-32.48 9.859C239.3 441.3 201.4 464 160 464c-61.75 0-112-50.25-112-112c0-47.11 29.77-89.47 74.06-105.4c12.47-4.484 18.95-18.23 14.45-30.7c-4.484-12.5-18.25-18.97-30.7-14.45C42.52 224.2 0 284.7 0 352c0 88.22 71.78 160 160 160c59.19 0 113.3-32.45 141.2-84.69C307.5 415.6 303 401.1 291.3 394.8zM192 96c26.51 0 48-21.49 48-48S218.5 0 192 0S144 21.49 144 48S165.5 96 192 96zM510.8 432.4c-4.172-12.56-17.75-19.41-30.36-15.17l-27.2 9.062l-47.22-107.9C402.2 309.6 393.5 304 383.1 304H244L229.5 224h114.5c13.25 0 24-10.75 24-24s-10.75-24-24-24H220.8L215.6 147.7C213.2 134.7 200.7 125.9 187.7 128.4C174.7 130.8 166 143.3 168.4 156.3l32 176C202.5 343.7 212.4 352 224 352h144.3l49.72 113.6C421.9 474.6 430.7 480 439.1 480c2.516 0 5.078-.3906 7.594-1.234l47.1-16C508.2 458.6 514.9 444.1 510.8 432.4z"],
    "wheelchair-move": [448, 512, ["wheelchair-alt"], "e2ce", "M416 48C416 74.51 394.5 96 368 96C341.5 96 320 74.51 320 48C320 21.49 341.5 0 368 0C394.5 0 416 21.49 416 48zM208.6 113C200.6 109.7 191.4 110.9 184.5 116.2L134.7 154.9C124.3 163.1 109.2 161.2 101.1 150.7C92.92 140.3 94.8 125.2 105.3 117.1L155.1 78.31C175.6 62.33 203.2 58.68 227.2 68.79L311.4 104.3C347.1 119.3 357.2 165.2 330.1 193.7L288.6 240H424C431.6 240 438.7 243.6 443.3 249.7C447.8 255.8 449.2 263.6 446.1 270.9L398.1 430.9C395.2 443.6 381.8 450.8 369.1 446.1C356.4 443.2 349.2 429.8 353 417.1L391.7 288H306.7C315.3 307.6 320 329.2 320 352C320 440.4 248.4 512 160 512C71.63 512 0 440.4 0 352C0 263.6 71.63 192 160 192C161.2 192 162.5 192 163.7 192L232.6 123.1L208.6 113zM292.8 148.5L272.4 139.9L211.7 200.5C223.5 204.6 234.7 209.9 245 216.4L295.6 161.3C299.4 157.2 297.9 150.6 292.8 148.5V148.5zM160 464C221.9 464 272 413.9 272 352C272 290.1 221.9 240 160 240C98.14 240 48 290.1 48 352C48 413.9 98.14 464 160 464z"],
    "whiskey-glass": [512, 512, [129347, "glass-whiskey"], "f7a0", "M479.1 32H32.04C12.55 32-2.324 49.25 .3008 68.51L56.29 425.1C60.79 456.6 87.78 480 119.8 480h272.9c31.74 0 58.86-23.38 63.36-54.89l55.61-356.6C514.3 49.25 499.5 32 479.1 32zM392.7 432H119.8c-8.121 0-14.84-5.752-16.07-14.34L90.88 336h330.5l-12.84 82.32C407.5 426.1 400.6 432 392.7 432zM428.9 288H83.35l-32.66-208h410.6L428.9 288z"],
    "whiskey-glass-ice": [512, 512, ["glass-whiskey-rocks"], "f7a1", "M479.1 32H32.04C12.55 32-2.324 49.25 .3008 68.51L56.29 425.1C60.79 456.6 87.78 480 119.8 480h272.9c31.74 0 58.86-23.38 63.36-54.89l55.61-356.6C514.3 49.25 499.5 32 479.1 32zM392.7 432H119.8c-8.121 0-14.84-5.752-16.07-14.34l-13.32-84.85c11.62 11.86 27.77 19.26 45.64 19.26h63.99c21.66 0 40.85-10.82 52.43-27.34c2.424 3.861 5.299 7.527 8.627 10.92l45.76 45.66c12.09 12.09 28.14 18.77 45.15 18.77s33.06-6.68 45.19-18.81l20.34-20.29l-8.941 57.34C407.5 426.1 400.6 432 392.7 432zM119.9 288l.1328-63.98c0-8.752 7.248-16 15.1-16h63.99c8.748 0 15.1 7.252 15.1 16v64.02c0 8.754-7.248 16.01-15.1 16.01L135.1 304C127.2 304 119.9 296.8 119.9 288zM295.4 279.4l45.37-45.26c3-3.002 7-4.752 11.25-4.752c4.25 0 8.248 1.75 11.25 4.752l45.37 45.26c6.125 6.252 6.125 16.38 0 22.63l-45.37 45.26c-3 3-6.998 4.75-11.25 4.75c-4.248 0-8.248-1.75-11.25-4.75l-45.37-45.26C289.2 295.8 289.2 285.8 295.4 279.4zM436.5 239.4l-39.33-39.25C385.1 188.1 368.1 181.4 351.1 181.4S318.9 188.1 306.8 200.3l-42.77 42.67V224.1c0-35.29-28.71-64-63.1-64H136c-33.59 0-60.92 26.11-63.5 59.05L50.68 80h410.6L436.5 239.4z"],
    "whistle": [640, 512, [], "f460", "M627.7 326.8l-288-224C307.5 78.43 267.4 64 224 64C185.1 64 149.1 75.63 118.8 95.46C107.7 76.7 87.41 64 63.1 64C28.65 64-.0003 92.65-.0003 128c0 28.46 18.7 52.31 44.4 60.62C36.51 209.6 31.1 232.3 31.1 256c0 106 85.96 192 192 192c63.65 0 119.9-31.1 154.8-78.8l150.9 75.43C534.3 446.9 539.1 448 544 448c8.281 0 16.47-3.219 22.63-9.375l64-64c6.5-6.5 9.875-15.44 9.312-24.62C639.4 340.8 634.9 332.4 627.7 326.8zM69.03 142.1C67.42 143.5 65.78 144 63.1 144C55.18 144 47.1 136.8 47.1 128s7.178-16 16-16S79.1 119.2 79.1 128c0 .5938-.2754 1.094-.3379 1.668C75.92 133.9 72.39 138.4 69.03 142.1zM540.8 396.5l-176.8-88.39l-23.95 32.7c-3.82 5.217-7.986 10.05-12.35 14.63c-1.783 1.861-3.668 3.566-5.549 5.328c-5.066 4.793-10.37 9.242-16 13.2c-.7715 .5391-1.461 1.172-2.244 1.697c-6.9 4.656-14.26 8.488-21.83 11.85c-1.279 .5664-2.531 1.145-3.83 1.674c-7.707 3.15-15.67 5.656-23.89 7.418c-1.256 .2695-2.531 .4355-3.799 .6738C241.9 398.9 233.1 400 224 400c-79.53 0-144-64.48-144-144c0-79.53 64.47-144 144-144c31.96 0 61.21 10.76 85.1 28.38C309.6 140.7 310.1 140.8 310.6 141.2l80.65 62.47l-10.44 13.92c-7.953 10.61-5.797 25.66 4.797 33.61C389.9 254.4 394.1 256 399.1 256c7.297 0 14.5-3.312 19.22-9.594l9.938-13.25l154.7 120.3L540.8 396.5zM224 208C197.5 208 176 229.5 176 256c0 26.51 21.49 47.1 47.1 47.1c26.51 0 48-21.49 48-47.1C272 229.5 250.5 208 224 208z"],
    "wifi": [640, 512, ["wifi-3", "wifi-strong"], "f1eb", "M319.1 367.1C289.1 367.1 264 393.1 264 424s25.07 56 55.1 56S376 454.9 376 424S350.9 367.1 319.1 367.1zM632.5 150.6C553.3 75.22 439.4 32 320 32S86.72 75.22 7.473 150.6c-9.625 9.125-10 24.31-.8438 33.91c9.062 9.594 24.31 10 33.91 .8438C110.1 118.4 212.8 80 320 80s209 38.41 279.5 105.4C604.1 189.8 610.1 192 615.1 192c6.344 0 12.69-2.5 17.38-7.469C642.5 174.9 642.2 159.8 632.5 150.6zM320 207.9c-76.63 0-147.9 28-200.6 78.75C109.8 295.9 109.5 311.1 118.7 320.6c9.219 9.625 24.41 9.844 33.94 .6875C196.4 279.2 255.8 256 320 256s123.6 23.19 167.4 65.31C492 325.8 497.1 328 503.1 328c6.281 0 12.59-2.469 17.31-7.375c9.188-9.531 8.875-24.72-.6875-33.94C467.9 235.9 396.6 207.9 320 207.9z"],
    "wifi-exclamation": [640, 512, [], "e2cf", "M6.629 184.5c9.062 9.594 24.31 10 33.91 .8438C94.93 133.7 168.1 99.22 248 86.11V56c0-6.48 1.139-12.65 2.754-18.62C157.4 50.66 71.18 90.01 7.473 150.6C-2.152 159.8-2.527 174.9 6.629 184.5zM118.7 320.6c9.219 9.625 24.41 9.844 33.94 .6875C179.4 295.6 212 276.1 248 266.4V216.9C199.4 228.7 155.1 252.3 119.4 286.7C109.8 295.9 109.5 311.1 118.7 320.6zM392 216.9v49.5c35.96 10.63 68.61 29.2 95.37 54.95C492 325.8 497.1 328 503.1 328c6.281 0 12.59-2.469 17.31-7.375c9.188-9.531 8.875-24.72-.6875-33.94C484.9 252.3 440.6 228.7 392 216.9zM632.5 150.6c-63.71-60.62-149.9-99.96-243.3-113.3C390.9 43.35 392 49.52 392 56v30.11c79.86 13.11 153.1 47.55 207.5 99.27C604.1 189.8 610.1 192 615.1 192c6.344 0 12.69-2.5 17.38-7.469C642.5 174.9 642.2 159.8 632.5 150.6zM320 392c-22.09 0-40 17.91-40 40s17.91 40 40 40s40-17.91 40-40S342.1 392 320 392zM320 336c17.69 0 32-14.33 32-32V64c0-17.67-14.31-32-32-32S288 46.33 288 64v240C288 321.7 302.3 336 320 336z"],
    "wifi-fair": [640, 512, ["wifi-2"], "f6ab", "M319.1 368C289.1 368 264 393.1 264 424s25.07 56 55.1 56S376 454.9 376 424S350.9 368 319.1 368zM520.6 286.7C467.9 235.9 396.6 208 320 208s-147.9 27.94-200.6 78.69C109.8 295.9 109.5 311.1 118.7 320.6c9.219 9.625 24.41 9.844 33.94 .6875C196.4 279.2 255.8 256 320 256s123.6 23.19 167.4 65.31C492 325.8 497.1 328 503.1 328c6.281 0 12.59-2.469 17.31-7.375C530.5 311.1 530.2 295.9 520.6 286.7z"],
    "wifi-slash": [640, 512, [], "f6ac", "M119.4 286.7C109.8 295.9 109.5 311.1 118.7 320.6c9.219 9.625 24.41 9.844 33.94 .6875C173.1 300.8 199.1 284.8 226.6 273.8L184.1 240.5C160.5 252.7 138.7 268.1 119.4 286.7zM7.473 150.6c-9.625 9.125-10 24.31-.8438 33.91c9.062 9.594 24.31 10 33.91 .8438C51.66 174.8 63.8 165.2 76.39 156.1L37.09 125.3C26.79 133.3 16.85 141.7 7.473 150.6zM319.1 367.1C289.1 367.1 264 393.1 264 424s25.07 56 55.99 56S376 454.9 376 424S350.9 367.1 319.1 367.1zM363.8 259.8c47.1 8.098 89.97 29.15 123.6 61.48C492 325.8 497.1 328 503.1 328c6.281 0 12.59-2.469 17.31-7.375c9.188-9.531 8.875-24.72-.6875-33.94C467.9 235.9 396.6 208 320 208c-6.939 0-13.65 .9805-20.49 1.438L169 107.2C216 89.66 267.3 80 320 80c107.2 0 209 38.41 279.5 105.4C604.1 189.8 610.1 192 615.1 192c6.344 0 12.69-2.5 17.38-7.469c9.156-9.594 8.781-24.78-.8438-33.91C553.3 75.22 439.4 32 319.1 32C251.4 32 184.9 46.59 125.5 73.07L38.81 5.111C28.34-3.061 13.32-1.249 5.121 9.189c-8.172 10.44-6.354 25.53 4.068 33.7L601.2 506.9C605.6 510.3 610.8 512 615.1 512c7.125 0 14.16-3.161 18.89-9.193c8.172-10.44 6.354-25.53-4.068-33.7L363.8 259.8z"],
    "wifi-weak": [640, 512, ["wifi-1"], "f6aa", "M320 368c-30.93 0-56 25.07-56 55.1s25.07 56 55.1 56S376 454.9 376 424S350.9 368 320 368z"],
    "wind": [512, 512, [], "f72e", "M24 184h332C406.7 184 448 142.7 448 92S406.7 0 356 0H320c-13.25 0-24 10.75-24 24S306.8 48 320 48h36c24.25 0 44 19.75 44 44S380.3 136 356 136H24C10.75 136 0 146.8 0 160S10.75 184 24 184zM164 328H24C10.75 328 0 338.8 0 352s10.75 24 24 24h140c24.25 0 44 19.75 44 44S188.3 464 164 464H128c-13.25 0-24 10.75-24 24S114.8 512 128 512h36C214.7 512 256 470.7 256 420S214.7 328 164 328zM420 232H24C10.75 232 0 242.8 0 256s10.75 24 24 24h396c24.25 0 44 19.75 44 44S444.3 368 420 368H384c-13.25 0-24 10.75-24 24S370.8 416 384 416h36C470.7 416 512 374.7 512 324S470.7 232 420 232z"],
    "wind-turbine": [512, 512, [], "f89b", "M360 464h-32.52l-.8516-25.54l-49.99-58.88L279.5 464H232.5l4.373-131.2L216.1 309.3C212.5 303.7 206.6 300.5 200.4 299.8L190 298.7L184.5 464H152C138.7 464 128 474.7 128 488C128 501.3 138.7 512 152 512h208c13.25 0 24-10.75 24-24C384 474.7 373.3 464 360 464zM398.7 425.8l-88.35-182.3c-5.928-13.6-6.191-28.1-.7305-42.79l73.28-179.1c3.217-8.111-.7501-17.29-8.861-20.51c-6.725-2.668-14.4-.4258-18.64 5.443L241.3 163.2C232.6 175.2 219.5 183.3 204.8 185.6L13.32 215.9C5.521 217.2-.1652 224 .0028 231.9c.1797 7.93 6.214 14.69 14.1 15.54l189.7 20.53c14.75 1.594 28.26 8.1 37.53 20.58l130.3 153.5c4.963 6.189 13.74 7.742 20.53 3.629C398.1 441.6 401.8 433 398.7 425.8zM255.1 248c-13.26 0-24-10.74-24-23.1c0-13.26 10.74-23.1 24-23.1c13.25 0 23.1 10.74 23.1 23.1C279.1 237.3 269.3 248 255.1 248z"],
    "wind-warning": [640, 512, ["wind-circle-exclamation"], "f776", "M208 384C225.7 384 240 369.7 240 352c0-17.67-14.33-32-32-32s-32 14.33-32 32C176 369.7 190.3 384 208 384zM322.1 367.3C292.5 398.7 251.7 416 208 416c-88.22 0-160-71.78-160-160s71.78-160 160-160c72.19 0 135.8 48.63 154.5 118.3c3.469 12.81 16.62 20.41 29.44 16.94c12.78-3.469 20.38-16.62 16.94-29.44C384.4 111.2 301.8 48 208 48C93.31 48 0 141.3 0 256s93.31 208 208 208c56.78 0 109.9-22.47 149.4-63.28c9.25-9.531 9-24.72-.5-33.94S332.2 357.8 322.1 367.3zM208 288c13.25 0 24-10.75 24-24v-112C232 138.8 221.3 128 208 128S184 138.8 184 152v112C184 277.3 194.8 288 208 288zM472 224H544c52.94 0 96-43.06 96-96s-43.06-96-96-96h-40C490.8 32 480 42.75 480 56s10.75 24 24 24H544c26.47 0 48 21.53 48 48S570.5 176 544 176h-72C458.8 176 448 186.8 448 200S458.8 224 472 224zM536 272h-208C314.8 272 304 282.8 304 296S314.8 320 328 320h208c30.88 0 56 25.12 56 56s-25.12 56-56 56h-64c-13.25 0-24 10.75-24 24S458.8 480 472 480h64c57.34 0 104-46.66 104-104S593.3 272 536 272z"],
    "window": [512, 512, [], "f40e", "M0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM464 224H48V416C48 424.8 55.16 432 64 432H448C456.8 432 464 424.8 464 416V224zM96 160C113.7 160 128 145.7 128 128C128 110.3 113.7 96 96 96C78.33 96 64 110.3 64 128C64 145.7 78.33 160 96 160zM192 96C174.3 96 160 110.3 160 128C160 145.7 174.3 160 192 160C209.7 160 224 145.7 224 128C224 110.3 209.7 96 192 96zM288 160C305.7 160 320 145.7 320 128C320 110.3 305.7 96 288 96C270.3 96 256 110.3 256 128C256 145.7 270.3 160 288 160z"],
    "window-flip": [512, 512, ["window-alt"], "f40f", "M512 416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416zM48 416C48 424.8 55.16 432 64 432H448C456.8 432 464 424.8 464 416V224H48V416zM448 128C448 110.3 433.7 96 416 96C398.3 96 384 110.3 384 128C384 145.7 398.3 160 416 160C433.7 160 448 145.7 448 128zM288 128C288 145.7 302.3 160 320 160C337.7 160 352 145.7 352 128C352 110.3 337.7 96 320 96C302.3 96 288 110.3 288 128zM256 128C256 110.3 241.7 96 224 96C206.3 96 192 110.3 192 128C192 145.7 206.3 160 224 160C241.7 160 256 145.7 256 128z"],
    "window-frame": [512, 512, [129695], "e04f", "M488 464H480V32c0-17.6-14.4-32-32-32H64C46.4 0 32 14.4 32 32v432H23.1C10.75 464 0 474.7 0 487.1S10.75 512 23.1 512H488c13.25 0 24-10.75 24-23.1S501.3 464 488 464zM232 464H80v-192h152V464zM232 224H80V48h152V224zM432 464h-152v-192h152V464zM432 224h-152V48h152V224z"],
    "window-frame-open": [512, 512, [], "e050", "M488 464H480V320h-48v144h-352V320H32v144H23.1C10.75 464 0 474.7 0 487.1S10.75 512 23.1 512H488c13.25 0 24-10.75 24-23.1S501.3 464 488 464zM480 32c0-17.62-14.38-32-32-32H64C46.38 0 32 14.38 32 32v240h448V32zM232 224H80V48h152V224zM432 224h-152V48h152V224z"],
    "window-maximize": [512, 512, [128470], "f2d0", "M7.724 65.49C13.36 55.11 21.79 46.47 32 40.56C39.63 36.15 48.25 33.26 57.46 32.33C59.61 32.11 61.79 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 93.79 .112 91.61 .3306 89.46C1.204 80.85 3.784 72.75 7.724 65.49V65.49zM48 416C48 424.8 55.16 432 64 432H448C456.8 432 464 424.8 464 416V224H48V416z"],
    "window-minimize": [512, 512, [128469], "f2d1", "M0 456C0 442.7 10.75 432 24 432H488C501.3 432 512 442.7 512 456C512 469.3 501.3 480 488 480H24C10.75 480 0 469.3 0 456z"],
    "window-restore": [512, 512, [], "f2d2", "M432 48H208C190.3 48 176 62.33 176 80V96H128V80C128 35.82 163.8 0 208 0H432C476.2 0 512 35.82 512 80V304C512 348.2 476.2 384 432 384H416V336H432C449.7 336 464 321.7 464 304V80C464 62.33 449.7 48 432 48zM320 128C355.3 128 384 156.7 384 192V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V192C0 156.7 28.65 128 64 128H320zM64 464H320C328.8 464 336 456.8 336 448V256H48V448C48 456.8 55.16 464 64 464z"],
    "windsock": [512, 512, [], "f777", "M486.5 122.7l-320-66.67c-2.221-.4629-4.428-.6836-6.594-.6836C142.7 55.34 128 69.32 128 87.35V104H48v-80C48 10.74 37.25 0 24 0S0 10.74 0 24v464C0 501.3 10.75 512 24 512s24-10.75 24-24v-176H128v16.65c0 18.03 14.72 32.01 31.93 32.01c2.166 0 4.371-.2227 6.594-.6855l320-66.67C501.4 290.2 512 277.1 512 261.1V154C512 138.9 501.4 125.8 486.5 122.7zM128 264H48v-112H128V264zM368 147v121.9l-96 20V127L368 147zM176 107l48 10v181.9l-48 10V107zM464 248.1l-48 10V157l48 10V248.1z"],
    "wine-bottle": [512, 512, [], "f72f", "M504.1 87.03l-80-80c-9.375-9.375-24.56-9.375-33.94 0c-6.418 6.418-8.104 15.5-5.732 23.64l-77.14 77.13c-49.08-14.42-102.3-1.203-139.1 35.64L24.19 288.3C8.594 303.9 0 324.6 0 346.7c0 22.03 8.594 42.77 24.19 58.36l82.78 82.78C122.5 503.4 143.3 512 165.3 512c22.03 0 42.77-8.594 58.36-24.19l144.9-144.9c36.84-36.84 50.03-89.97 35.63-139.1l77.12-77.13C483.5 127.3 485.7 128 488 128c6.141 0 12.28-2.344 16.97-7.031C514.3 111.6 514.3 96.41 504.1 87.03zM140.9 453.9l-82.78-82.78C51.59 364.6 48 355.9 48 346.7s3.594-17.89 10.12-24.42l20.06-20.06l131.6 131.6l-20.06 20.06C176.7 466.9 153.1 466.9 140.9 453.9zM348.1 192l6.312 14.89c14.86 35.11 7.094 75.19-19.8 102.1l-12.81 12.81L190.2 190.2l12.8-12.8c26.92-26.89 67.03-34.61 102.1-19.81l14.89 6.312l96.1-96.99l28.14 28.14L348.1 192z"],
    "wine-glass": [320, 512, [127863], "f4e3", "M248 464h-63.99v-115.5C256.6 336 310.3 269.8 303.4 192.6L287.5 14.5C286.8 6.25 279.9 0 271.8 0H48.23C40.1 0 33.22 6.25 32.47 14.5L16.6 192.6C9.72 269.8 63.35 336 135.1 348.5V464H72c-13.25 0-24 10.75-24 24S58.75 512 72 512h176c13.25 0 24-10.75 24-24S261.3 464 248 464zM242.3 48L249.4 128H70.58l7.14-80H242.3zM64.38 197.1L66.24 176h187.5l1.867 21.18C260.6 253.7 217.8 304 160 304C102.1 304 59.38 253.6 64.38 197.1z"],
    "wine-glass-crack": [320, 512, ["fragile"], "f4bb", "M248 464h-63.99v-115.5C256.6 336 310.3 269.8 303.4 192.6l-15.88-178.1C286.8 6.25 279.9 0 271.8 0H48.23C40.1 0 33.22 6.25 32.47 14.5L16.6 192.6C9.72 269.8 63.35 336 135.1 348.5V464H72c-13.25 0-24 10.75-24 24S58.75 512 72 512h176c13.25 0 24-10.75 24-24S261.3 464 248 464zM64.35 197L77.73 48H152L160 64L96 128l96 96l-32-96l64-48l-8-32h26.27l13.38 149C260.6 253.5 217.8 304 160 304C102.1 304 59.36 253.5 64.35 197z"],
    "wine-glass-empty": [320, 512, ["wine-glass-alt"], "f5ce", "M247.1 464h-63.99v-115.5C256.6 336 310.3 269.8 303.4 192.6L287.5 14.5C286.8 6.25 279.9 0 271.8 0H48.23C40.1 0 33.22 6.25 32.47 14.5L16.6 192.6C9.72 269.8 63.35 336 135.1 348.5V464H72c-13.25 0-23.1 10.75-23.1 24S58.75 512 72 512h175.1c13.25 0 23.1-10.75 23.1-24S261.2 464 247.1 464zM64.38 197.1L77.7 48h164.6L255.6 197.2C260.6 253.7 217.8 304 160 304C102.1 304 59.38 253.6 64.38 197.1z"],
    "won-sign": [512, 512, [8361, "krw", "won"], "f159", "M128.9 255.1H183.3L232.7 50.4C235.3 39.61 244.9 32 256 32C267.1 32 276.7 39.61 279.3 50.4L328.7 255.1H383.1L440.9 49.53C444.5 36.77 457.7 29.32 470.5 32.89C483.2 36.46 490.7 49.71 487.1 62.47L432.9 256H488C501.3 256 512 266.7 512 280C512 293.3 501.3 304 488 304H419.5L375.1 462.5C372.2 472.1 362.5 480.2 351.6 479.1C340.6 479.8 331.2 472.2 328.7 461.6L290.8 304H221.2L183.3 461.6C180.8 472.2 171.4 479.8 160.4 479.1C149.5 480.2 139.8 472.1 136.9 462.5L92.52 304H24C10.75 304 0 293.3 0 280C0 266.7 10.75 256 24 256H79.08L24.89 62.47C21.31 49.71 28.76 36.46 41.53 32.89C54.29 29.32 67.54 36.77 71.11 49.53L128.9 255.1zM142.4 303.1L158.2 360.6L171.8 303.1H142.4zM232.7 255.1H279.3L256 158.8L232.7 255.1zM340.2 303.1L353.8 360.6L369.6 303.1H340.2z"],
    "worm": [512, 512, [], "e599", "M352 96C352 82.75 362.7 72 376 72C389.3 72 400 82.75 400 96C400 109.3 389.3 120 376 120C362.7 120 352 109.3 352 96zM175.1 176C191.9 176 207.2 178.6 221.5 183.3C249.2 192.6 273.1 209.1 290.5 232.7C295.6 239.3 300.1 246.5 304 253.1C314.2 273.7 320 296.2 320 320V368C320 376.8 327.2 384 336 384C344.8 384 352 376.8 352 368V192H336C329.7 192 323.5 191.4 317.5 190.2C289.9 184.8 266.5 167.6 252.8 143.1C244.7 129.9 240 113.5 240 96C240 42.98 282.1 0 336 0H384C437 0 480 42.98 480 96V368C480 447.5 415.5 512 336 512C280.3 512 231.9 480.3 208 434C197.8 414.3 192 391.8 192 368V320C192 311.2 184.8 304 176 304C167.2 304 160 311.2 160 320V448C160 483.3 131.3 512 96 512C60.65 512 32 483.3 32 448V320C32 240.5 96.47 176 176 176H175.1zM400 368C400 403.3 371.3 432 336 432C300.7 432 272 403.3 272 368V320C272 266.1 229 224 175.1 224C122.1 224 79.1 266.1 79.1 320V448C79.1 456.8 87.16 464 95.1 464C104.8 464 111.1 456.8 111.1 448V320C111.1 284.7 140.7 256 175.1 256C211.3 256 239.1 284.7 239.1 320V368C239.1 421 282.1 464 336 464C389 464 432 421 432 368V96C432 69.49 410.5 48 384 48H336C309.5 48 288 69.49 288 96C288 122.5 309.5 144 336 144H400V368z"],
    "wreath": [448, 512, [], "f7e2", "M298.9 384.7l-74.87 31.25L149.1 384.7c-10.37-3.499-21.12 4.376-21.12 15.25l-.003 95.98c0 10.87 10.75 18.62 21.12 15.24l74.87-31.24l74.87 31.24c10.37 3.499 21.12-4.371 21.12-15.24l.0074-95.98C319.1 389.1 309.2 381.3 298.9 384.7zM309.7 190.8c-.6248-6.374-1.645-16.15-7.769-24.77c-6.248-8.998-14.98-12.97-20.72-15.72c-3.999-1.875-2.874-.8749-5.998-4.624c-4.249-4.999-10.75-12.37-21.12-15.87c-10.37-3.499-19.87-1.5-25.99-.125c-4.499 .9998-3.124 .9998-7.873 0C213.9 128.5 204.5 126.2 194.2 129.7C183.7 133.2 177.3 140.7 173.1 145.7C170.1 149.2 171.2 148.2 166.8 150.3c-5.748 2.749-14.44 6.694-20.69 15.69C139.9 174.8 138.1 184.5 138.3 190.8c-.4998 5.124 0 3.499-2.374 7.999C132.8 204.5 128.1 212.1 128.1 223.1S132.8 243.5 135.1 249.1c2.249 4.124 1.874 2.5 2.374 7.999C139.1 263.5 140.1 273.1 146.2 281.7C152.5 290.7 161.2 294.8 166.8 297.6c4.124 1.875 2.874 .8748 6.123 4.624c4.249 4.999 10.75 12.37 21.12 15.87c10.37 3.499 19.74 1.5 25.99 .1249c4.499-.9998 3.124-.9998 7.873 0c4.124 .8749 14.75 3.499 25.87-.1249c10.5-3.499 16.87-10.87 21.24-15.87c2.999-3.499 1.75-2.499 6.123-4.624c5.873-2.75 14.51-6.644 20.75-15.64c6.249-8.748 7.237-18.48 7.737-24.85c.4998-5.124 0-3.499 2.499-7.999c2.999-5.624 7.793-14.1 7.793-25.09s-4.793-19.52-7.793-25.15C309.7 194.6 310.2 196.1 309.7 190.8zM261.7 253.6c-8.998 4.124-17.25 9.123-23.49 17.62c-15.5-2.5-13.12-2.5-28.62 0c-8.748-11.87-22.24-16.1-23.49-17.62C184.6 240.1 184.3 237.7 176.7 223.1C184.8 209.5 184.7 205.1 186.1 194.3c4.124-1.75 15.62-6.749 23.49-17.62c10.5 1.625 18.12 1.625 28.62 0c2.999 4.124 7.373 9.498 23.49 17.62c1.375 10.1 1.125 14.87 9.497 29.62C263.1 238.3 263.2 241.1 261.7 253.6zM436.6 181.7c1.874-14.5 .0902-29.5-5.783-43.5c-5.873-14.12-15.21-26.11-27.08-35.11c-3.749-13.1-10.95-26.99-21.45-37.49c-10.25-10.5-23.29-17.88-37.54-21.62c-8.997-11.75-20.93-21.12-35.05-26.87c-10.5-4.374-21.56-6.499-32.81-6.499c-3.624 0-7.123 .125-10.62 .6249c-12.62-7.249-27.2-11.25-42.32-11.25S194.2 3.999 181.6 11.25C178.1 10.75 174.5 10.5 170.8 10.5c-11.25 0-22.23 2.343-32.6 6.592c-14.25 5.874-26.26 15.15-35.13 26.78C88.98 47.74 76.22 55.08 65.72 65.58C55.22 76.2 47.74 88.98 43.99 103.1C32.24 112.1 23.06 124.1 17.19 138.2C11.44 152.2 9.247 167.2 11.12 181.7C3.874 194.3 .0006 208.9 .0006 223.1c0 15.12 3.873 29.6 11.25 42.22C9.372 280.7 11.25 295.7 17.13 309.7c5.748 13.1 15.11 25.97 26.86 34.84c3.749 14.12 11.09 27.23 21.71 37.73c8.623 8.748 19.15 14.64 30.4 18.88V399.9c0-12.1 5.139-25.25 14.39-34.24c2.999-2.999 6.483-5.374 9.982-7.373c-24.74-3.749-34.74-24.1-30.37-44.62c-12.37-1.1-23.49-9.873-28.74-22.37c-5.124-12.12-3.124-25.62 3.874-35.74C54.86 248.8 47.99 237.2 47.99 223.1c0-13.25 6.873-24.87 17.25-31.62c-6.998-10.12-8.997-23.5-3.874-35.74c5.249-12.5 16.25-20.62 28.62-22.75c-2.624-12.12 .2505-25.12 9.498-34.37c13.62-13.5 30.74-10.25 34.49-9.498c2.125-12.37 10.25-23.5 22.74-28.62C169.6 56.12 182.8 58.74 192.4 65.24c6.623-10.37 18.24-17.25 31.49-17.25c13.25 0 24.87 6.874 31.62 17.25c9.622-6.624 22.87-9.123 35.74-3.874c12.5 5.249 20.62 16.25 22.74 28.62c3.624-.7502 20.87-3.999 34.37 9.498c9.372 9.373 12.12 22.25 9.497 34.37c12.37 2.125 23.49 10.25 28.62 22.75c5.124 12.25 3.124 25.62-3.874 35.74c10.37 6.749 17.25 18.37 17.25 31.62c0 13.25-6.873 24.87-17.25 31.62c6.998 10.12 8.997 23.5 3.874 35.74c-5.249 12.5-16.37 20.37-28.74 22.37c4.374 19.75-5.873 40.99-30.49 44.62c14.62 8.249 24.62 23.75 24.62 41.62v1.25c11.25-4.124 21.73-10.08 30.36-18.83c10.62-10.62 17.88-23.66 21.75-37.66c11.62-8.998 21.05-20.96 26.8-34.96c5.748-13.1 7.813-28.91 5.938-43.4c7.248-12.62 11.25-27.2 11.25-42.32C447.9 208.8 444 194.3 436.6 181.7z"],
    "wrench": [512, 512, [128295], "f0ad", "M507.5 117.1c-2.1-12.13-12.37-21.75-24.5-25.13c-12.12-3.25-25.12 .125-33.1 9L390.4 159.6L357.9 154.2l-5.375-32.38l58.75-58.75c8.75-8.875 12.25-21.88 8.875-33.88c-3.375-12.13-13.12-21.5-25.25-24.63c-53.12-13.13-107.1 2.125-146.6 40.75c-37.62 37.63-52.62 91.38-40.75 143.3L23.1 371.1C8.5 387.5 0 408.1 0 429.1s8.5 42.5 23.1 58S60.12 512 81.1 512c21.88 0 42.5-8.5 58-24l183.4-183.3c51.75 11.88 105.6-3.125 143.5-41C504.9 225.7 520.5 169.5 507.5 117.1zM432.9 229.9c-28.5 28.5-70.25 38.13-108.1 25.25l-14.12-4.75l-203.7 203.6c-12.75 12.88-35.25 12.88-47.1 0c-6.499-6.375-9.999-14.88-9.999-24c0-9 3.5-17.63 9.999-24l203.9-203.8l-4.625-14.13C244.4 149.2 253.1 107.5 282.2 79.24c20.37-20.25 47.12-31.25 74.1-31.25h1.125L301.1 105.4l15.12 90.5l90.5 15.13l57.37-57.25C464.5 181.1 453.5 209.2 432.9 229.9zM87.1 407.1c-8.875 0-15.1 7.125-15.1 16c0 8.875 7.125 16 15.1 16s15.1-7.125 15.1-16C103.1 415.1 96.87 407.1 87.1 407.1z"],
    "wrench-simple": [384, 512, [], "e2d1", "M279.1 512c-13.25 0-24-10.75-24-24V324.2c0-8.313 4.312-16.03 11.37-20.41c42.97-26.63 68.62-72.25 68.62-122.1c0-48.31-24.72-92.75-63.1-119v104.5c0 5.75-2.062 11.34-5.844 15.69l-55.1 64.78c-9.125 10.56-27.19 10.56-36.31 0L117.8 182.9C114.1 178.6 112 172.1 112 167.2V62.67c-39.28 26.28-63.1 70.72-63.1 119c0 49.88 25.66 95.5 68.62 122.1c7.062 4.375 11.37 12.09 11.37 20.41v163.8C128 501.2 117.3 512 104 512s-23.1-10.75-23.1-24V337.1C29.66 300.9 .0004 243.8 .0004 181.7c0-80.69 51.44-153.2 127.1-180.3c7.375-2.563 15.5-1.469 21.87 3.031C156.2 8.889 160 16.17 160 23.98V158.3L192 195.3L223.1 158.3V23.98c0-7.813 3.781-15.09 10.16-19.59c6.375-4.5 14.5-5.594 21.87-3.031c76.53 27.19 127.1 99.66 127.1 180.3c0 62.06-29.66 119.2-79.1 155.3v150.9C303.1 501.2 293.2 512 279.1 512z"],
    "x": [384, 512, [120], "58", "M378.4 440.6c8.531 10.16 7.203 25.28-2.938 33.81C370.9 478.2 365.5 480 360 480c-6.844 0-13.64-2.906-18.39-8.562L192 293.3l-149.6 178.1C37.63 477.1 30.83 480 23.98 480c-5.453 0-10.92-1.844-15.42-5.625c-10.14-8.531-11.47-23.66-2.938-33.81L160.7 256L5.625 71.44C-2.906 61.28-1.578 46.16 8.563 37.63C18.69 29.08 33.84 30.39 42.38 40.56L192 218.7l149.6-178.1c8.547-10.17 23.67-11.47 33.81-2.938s11.47 23.66 2.938 33.81L223.3 256L378.4 440.6z"],
    "x-ray": [512, 512, [], "f497", "M128 192h112v32H160C151.2 224 144 231.2 144 240C144 248.8 151.2 256 160 256h80v32H170.7c-25.56 0-40.8 28.48-26.62 49.75l21.33 32C171.3 378.7 181.3 384 192 384L319.1 384c10.7 0 20.69-5.348 26.63-14.25l21.33-32C382.1 316.5 366.9 288 341.3 288H272V256H352c8.801 0 16-7.201 16-16C368 231.2 360.8 224 352 224h-80V192H384c8.801 0 16-7.201 16-16C400 167.2 392.8 160 384 160h-112V128c0-8.801-7.199-16-16-16S240 119.2 240 128v32H128C119.2 160 112 167.2 112 176C112 184.8 119.2 192 128 192zM200 352c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16s16 7.162 16 16C216 344.8 208.8 352 200 352zM312 320c8.836 0 16 7.162 16 16c0 8.836-7.164 16-16 16s-16-7.164-16-16C296 327.2 303.2 320 312 320zM488 432H480v-352h8C501.3 80 512 69.25 512 56S501.3 32 488 32H24C10.75 32 0 42.75 0 56S10.75 80 24 80H32v352H24C10.75 432 0 442.7 0 456S10.75 480 24 480h464c13.26 0 24-10.75 24-24S501.3 432 488 432zM432 432h-352v-352h352V432z"],
    "xmark": [320, 512, [128473, 10005, 10006, 10060, 215, "close", "multiply", "remove", "times"], "f00d", "M312.1 375c9.369 9.369 9.369 24.57 0 33.94s-24.57 9.369-33.94 0L160 289.9l-119 119c-9.369 9.369-24.57 9.369-33.94 0s-9.369-24.57 0-33.94L126.1 256L7.027 136.1c-9.369-9.369-9.369-24.57 0-33.94s24.57-9.369 33.94 0L160 222.1l119-119c9.369-9.369 24.57-9.369 33.94 0s9.369 24.57 0 33.94L193.9 256L312.1 375z"],
    "xmark-large": [448, 512, [], "e59b", "M224 222.1L407 39.03C416.4 29.66 431.6 29.66 440.1 39.03C450.3 48.4 450.3 63.6 440.1 72.97L257.9 256L440.1 439C450.3 448.4 450.3 463.6 440.1 472.1C431.6 482.3 416.4 482.3 407 472.1L224 289.9L40.97 472.1C31.6 482.3 16.4 482.3 7.029 472.1C-2.343 463.6-2.343 448.4 7.029 439L190.1 256L7.029 72.97C-2.343 63.6-2.343 48.4 7.029 39.03C16.4 29.66 31.6 29.66 40.97 39.03L224 222.1z"],
    "xmark-to-slot": [576, 512, ["times-to-slot", "vote-nay"], "f771", "M96 408h384c13.25 0 24-10.75 24-24c0-13.26-10.75-24-24-24V96c0-35.35-28.65-64-64-64H160C124.7 32 96 60.65 96 96v264c-13.25 0-24 10.74-24 24C72 397.3 82.75 408 96 408zM144 96c0-8.836 7.164-16 16-16h256c8.836 0 16 7.164 16 16v264h-288V96zM524.6 288c-13.25 0-24 10.75-24 24s10.75 24 24 24C526.5 336 528 337.5 528 339.4V424c0 4.406-3.594 8-8 8H56c-4.406 0-8-3.594-8-8v-84.58C48 337.5 49.53 336 51.41 336c13.25 0 24-10.75 24-24S64.66 288 51.41 288C23.06 288 0 311.1 0 339.4V424C0 454.9 25.13 480 56 480h464c30.88 0 56-25.12 56-56v-84.58C576 311.1 552.9 288 524.6 288zM368.1 135c-9.375-9.375-24.56-9.375-33.94 0L288 182.1L240.1 135c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L254.1 216L207 263c-9.375 9.375-9.375 24.56 0 33.94c9.373 9.371 24.56 9.379 33.94 0L288 249.9l47.03 47.03c9.373 9.371 24.56 9.379 33.94 0c9.375-9.375 9.375-24.56 0-33.94L321.9 216l47.03-47.03C378.3 159.6 378.3 144.4 368.1 135z"],
    "xmarks-lines": [640, 512, [], "e59a", "M616 32C629.3 32 640 42.75 640 56C640 69.25 629.3 80 616 80H24C10.75 80 0 69.25 0 56C0 42.75 10.75 32 24 32H616zM616 432C629.3 432 640 442.7 640 456C640 469.3 629.3 480 616 480H24C10.75 480 0 469.3 0 456C0 442.7 10.75 432 24 432H616zM40.97 167L96 222.1L151 167C160.4 157.7 175.6 157.7 184.1 167C194.3 176.4 194.3 191.6 184.1 200.1L129.9 256L184.1 311C194.3 320.4 194.3 335.6 184.1 344.1C175.6 354.3 160.4 354.3 151 344.1L96 289.9L40.97 344.1C31.6 354.3 16.4 354.3 7.029 344.1C-2.343 335.6-2.343 320.4 7.029 311L62.06 256L7.029 200.1C-2.343 191.6-2.343 176.4 7.029 167C16.4 157.7 31.6 157.7 40.97 167V167zM320 222.1L375 167C384.4 157.7 399.6 157.7 408.1 167C418.3 176.4 418.3 191.6 408.1 200.1L353.9 256L408.1 311C418.3 320.4 418.3 335.6 408.1 344.1C399.6 354.3 384.4 354.3 375 344.1L320 289.9L264.1 344.1C255.6 354.3 240.4 354.3 231 344.1C221.7 335.6 221.7 320.4 231 311L286.1 256L231 200.1C221.7 191.6 221.7 176.4 231 167C240.4 157.7 255.6 157.7 264.1 167L320 222.1zM455 167C464.4 157.7 479.6 157.7 488.1 167L544 222.1L599 167C608.4 157.7 623.6 157.7 632.1 167C642.3 176.4 642.3 191.6 632.1 200.1L577.9 256L632.1 311C642.3 320.4 642.3 335.6 632.1 344.1C623.6 354.3 608.4 354.3 599 344.1L544 289.9L488.1 344.1C479.6 354.3 464.4 354.3 455 344.1C445.7 335.6 445.7 320.4 455 311L510.1 256L455 200.1C445.7 191.6 445.7 176.4 455 167V167z"],
    "y": [384, 512, [121], "59", "M379.4 70.08L216 295.8V456c0 13.25-10.75 24.01-24 24.01S168 469.3 168 456V295.8L4.563 70.08C-3.219 59.34-.8125 44.33 9.938 36.56c10.72-7.781 25.72-5.391 33.5 5.359L192 247.1l148.6-205.2c7.781-10.72 22.78-13.09 33.5-5.359C384.8 44.33 387.2 59.34 379.4 70.08z"],
    "yen-sign": [320, 512, [165, "cny", "jpy", "rmb", "yen"], "f157", "M160 213.3L276.2 42.5C283.6 31.54 298.5 28.7 309.5 36.15C320.5 43.61 323.3 58.54 315.8 69.5L210.8 224H280C293.3 224 304 234.7 304 248C304 261.3 293.3 272 280 272H184V320H280C293.3 320 304 330.7 304 344C304 357.3 293.3 368 280 368H184V456C184 469.3 173.3 480 160 480C146.7 480 136 469.3 136 456V368H40C26.75 368 16 357.3 16 344C16 330.7 26.75 320 40 320H136V272H40C26.75 272 16 261.3 16 248C16 234.7 26.75 224 40 224H109.2L4.156 69.5C-3.297 58.54-.4538 43.61 10.51 36.15C21.47 28.7 36.4 31.54 43.85 42.5L160 213.3z"],
    "yin-yang": [512, 512, [9775], "f6ad", "M256 336c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S273.7 336 256 336zM256 176c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S238.3 176 256 176zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM123.1 416.6C77.61 378.4 48 320.6 48 256c0-114.7 93.31-208 208-208c50.72 0 92 41.28 92 92S306.7 232 256 232c-77.19 0-140 62.81-140 140C116 387.7 119.2 402.5 123.1 416.6zM256 464c-50.72 0-92-41.28-92-92S205.3 280 256 280c77.19 0 140-62.81 140-140c0-15.67-3.178-30.5-7.953-44.58C434.4 133.6 464 191.4 464 256C464 370.7 370.7 464 256 464z"],
    "z": [384, 512, [122], "5a", "M360 480H24c-9.344 0-17.81-5.406-21.75-13.86s-2.625-18.44 3.375-25.58L308.5 80H24C10.75 80 0 69.25 0 56S10.75 32 24 32h336c9.344 0 17.81 5.406 21.75 13.86s2.625 18.44-3.375 25.58L75.5 432H360c13.25 0 24 10.75 24 24S373.3 480 360 480z"]
  };

  bunker(function () {
    defineIcons('far', icons);
    defineIcons('fa-regular', icons);
  });

}());
(function () {
  'use strict';

  var _WINDOW = {};
  var _DOCUMENT = {};

  try {
    if (typeof window !== 'undefined') _WINDOW = window;
    if (typeof document !== 'undefined') _DOCUMENT = document;
  } catch (e) {}

  var _ref = _WINDOW.navigator || {},
      _ref$userAgent = _ref.userAgent,
      userAgent = _ref$userAgent === void 0 ? '' : _ref$userAgent;
  var WINDOW = _WINDOW;
  var DOCUMENT = _DOCUMENT;
  var IS_BROWSER = !!WINDOW.document;
  var IS_DOM = !!DOCUMENT.documentElement && !!DOCUMENT.head && typeof DOCUMENT.addEventListener === 'function' && typeof DOCUMENT.createElement === 'function';
  var IS_IE = ~userAgent.indexOf('MSIE') || ~userAgent.indexOf('Trident/');

  function ownKeys(object, enumerableOnly) {
    var keys = Object.keys(object);

    if (Object.getOwnPropertySymbols) {
      var symbols = Object.getOwnPropertySymbols(object);
      enumerableOnly && (symbols = symbols.filter(function (sym) {
        return Object.getOwnPropertyDescriptor(object, sym).enumerable;
      })), keys.push.apply(keys, symbols);
    }

    return keys;
  }

  function _objectSpread2(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = null != arguments[i] ? arguments[i] : {};
      i % 2 ? ownKeys(Object(source), !0).forEach(function (key) {
        _defineProperty(target, key, source[key]);
      }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }

    return target;
  }

  function _defineProperty(obj, key, value) {
    if (key in obj) {
      Object.defineProperty(obj, key, {
        value: value,
        enumerable: true,
        configurable: true,
        writable: true
      });
    } else {
      obj[key] = value;
    }

    return obj;
  }

  function _toConsumableArray(arr) {
    return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread();
  }

  function _arrayWithoutHoles(arr) {
    if (Array.isArray(arr)) return _arrayLikeToArray(arr);
  }

  function _iterableToArray(iter) {
    if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
  }

  function _unsupportedIterableToArray(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _arrayLikeToArray(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(o);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen);
  }

  function _arrayLikeToArray(arr, len) {
    if (len == null || len > arr.length) len = arr.length;

    for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i];

    return arr2;
  }

  function _nonIterableSpread() {
    throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
  }

  var NAMESPACE_IDENTIFIER = '___FONT_AWESOME___';
  var PRODUCTION = function () {
    try {
      return "production" === 'production';
    } catch (e) {
      return false;
    }
  }();
  var STYLE_TO_PREFIX = {
    'solid': 'fas',
    'regular': 'far',
    'light': 'fal',
    'thin': 'fat',
    'duotone': 'fad',
    'brands': 'fab',
    'kit': 'fak'
  };
  var oneToTen = [1, 2, 3, 4, 5, 6, 7, 8, 9, 10];
  var oneToTwenty = oneToTen.concat([11, 12, 13, 14, 15, 16, 17, 18, 19, 20]);
  var DUOTONE_CLASSES = {
    GROUP: 'duotone-group',
    SWAP_OPACITY: 'swap-opacity',
    PRIMARY: 'primary',
    SECONDARY: 'secondary'
  };
  var RESERVED_CLASSES = [].concat(_toConsumableArray(Object.keys(STYLE_TO_PREFIX)), ['2xs', 'xs', 'sm', 'lg', 'xl', '2xl', 'beat', 'border', 'fade', 'beat-fade', 'bounce', 'flip-both', 'flip-horizontal', 'flip-vertical', 'flip', 'fw', 'inverse', 'layers-counter', 'layers-text', 'layers', 'li', 'pull-left', 'pull-right', 'pulse', 'rotate-180', 'rotate-270', 'rotate-90', 'rotate-by', 'shake', 'spin-pulse', 'spin-reverse', 'spin', 'stack-1x', 'stack-2x', 'stack', 'ul', DUOTONE_CLASSES.GROUP, DUOTONE_CLASSES.SWAP_OPACITY, DUOTONE_CLASSES.PRIMARY, DUOTONE_CLASSES.SECONDARY]).concat(oneToTen.map(function (n) {
    return "".concat(n, "x");
  })).concat(oneToTwenty.map(function (n) {
    return "w-".concat(n);
  }));

  function bunker(fn) {
    try {
      for (var _len = arguments.length, args = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
        args[_key - 1] = arguments[_key];
      }

      fn.apply(void 0, args);
    } catch (e) {
      if (!PRODUCTION) {
        throw e;
      }
    }
  }

  var w = WINDOW || {};
  if (!w[NAMESPACE_IDENTIFIER]) w[NAMESPACE_IDENTIFIER] = {};
  if (!w[NAMESPACE_IDENTIFIER].styles) w[NAMESPACE_IDENTIFIER].styles = {};
  if (!w[NAMESPACE_IDENTIFIER].hooks) w[NAMESPACE_IDENTIFIER].hooks = {};
  if (!w[NAMESPACE_IDENTIFIER].shims) w[NAMESPACE_IDENTIFIER].shims = [];
  var namespace = w[NAMESPACE_IDENTIFIER];

  function normalizeIcons(icons) {
    return Object.keys(icons).reduce(function (acc, iconName) {
      var icon = icons[iconName];
      var expanded = !!icon.icon;

      if (expanded) {
        acc[icon.iconName] = icon.icon;
      } else {
        acc[iconName] = icon;
      }

      return acc;
    }, {});
  }

  function defineIcons(prefix, icons) {
    var params = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
    var _params$skipHooks = params.skipHooks,
        skipHooks = _params$skipHooks === void 0 ? false : _params$skipHooks;
    var normalized = normalizeIcons(icons);

    if (typeof namespace.hooks.addPack === 'function' && !skipHooks) {
      namespace.hooks.addPack(prefix, normalizeIcons(icons));
    } else {
      namespace.styles[prefix] = _objectSpread2(_objectSpread2({}, namespace.styles[prefix] || {}), normalized);
    }
    /**
     * Font Awesome 4 used the prefix of `fa` for all icons. With the introduction
     * of new styles we needed to differentiate between them. Prefix `fa` is now an alias
     * for `fas` so we'll ease the upgrade process for our users by automatically defining
     * this as well.
     */


    if (prefix === 'fas') {
      defineIcons('fa', icons);
    }
  }

  var icons = {
    "0": [320, 512, [], "30", "M160 32.01c-88.37 0-160 71.63-160 160v127.1c0 88.37 71.63 160 160 160s160-71.63 160-160V192C320 103.6 248.4 32.01 160 32.01zM256 320c0 52.93-43.06 96-96 96c-52.93 0-96-43.07-96-96V192c0-52.94 43.07-96 96-96c52.94 0 96 43.06 96 96V320z"],
    "1": [256, 512, [], "31", "M256 448c0 17.67-14.33 32-32 32H32c-17.67 0-32-14.33-32-32s14.33-32 32-32h64V123.8L49.75 154.6C35.02 164.5 15.19 160.4 5.375 145.8C-4.422 131.1-.4531 111.2 14.25 101.4l96-64c9.828-6.547 22.45-7.187 32.84-1.594C153.5 41.37 160 52.22 160 64.01v352h64C241.7 416 256 430.3 256 448z"],
    "2": [320, 512, [], "32", "M320 448c0 17.67-14.33 32-32 32H32c-13.08 0-24.83-7.953-29.7-20.09c-4.859-12.12-1.859-26 7.594-35.03l193.6-185.1c31.36-30.17 33.95-80 5.812-113.4c-14.91-17.69-35.86-28.12-58.97-29.38C127.4 95.83 105.3 103.9 88.53 119.9L53.52 151.7c-13.08 11.91-33.33 10.89-45.2-2.172C-3.563 136.5-2.594 116.2 10.48 104.3l34.45-31.3c28.67-27.34 68.39-42.11 108.9-39.88c40.33 2.188 78.39 21.16 104.4 52.03c49.8 59.05 45.2 147.3-10.45 200.8l-136 130H288C305.7 416 320 430.3 320 448z"],
    "3": [320, 512, [], "33", "M320 344c0 74.98-61.02 136-136 136H103.6c-46.34 0-87.31-29.53-101.1-73.48c-5.594-16.77 3.484-34.88 20.25-40.47c16.75-5.609 34.89 3.484 40.47 20.25c5.922 17.77 22.48 29.7 41.23 29.7H184c39.7 0 72-32.3 72-72s-32.3-72-72-72H80c-13.2 0-25.05-8.094-29.83-20.41C45.39 239.3 48.66 225.3 58.38 216.4l131.4-120.4H32c-17.67 0-32-14.33-32-32s14.33-32 32-32h240c13.2 0 25.05 8.094 29.83 20.41c4.781 12.3 1.516 26.27-8.203 35.19l-131.4 120.4H184C258.1 208 320 269 320 344z"],
    "4": [384, 512, [], "34", "M384 334.2c0 17.67-14.33 32-32 32h-32v81.78c0 17.67-14.33 32-32 32s-32-14.33-32-32v-81.78H32c-10.97 0-21.17-5.625-27.05-14.89c-5.859-9.266-6.562-20.89-1.875-30.81l128-270.2C138.6 34.33 157.8 27.56 173.7 35.09c15.97 7.562 22.78 26.66 15.22 42.63L82.56 302.2H256V160c0-17.67 14.33-32 32-32s32 14.33 32 32v142.2h32C369.7 302.2 384 316.6 384 334.2z"],
    "5": [320, 512, [], "35", "M320 344.6c0 74.66-60.73 135.4-135.4 135.4H104.7c-46.81 0-88.22-29.83-103-74.23c-5.594-16.77 3.469-34.89 20.23-40.48c16.83-5.625 34.91 3.469 40.48 20.23c6.078 18.23 23.08 30.48 42.3 30.48h79.95c39.36 0 71.39-32.03 71.39-71.39s-32.03-71.38-71.39-71.38H32c-9.484 0-18.47-4.203-24.56-11.48C1.359 254.5-1.172 244.9 .5156 235.6l32-177.2C35.27 43.09 48.52 32.01 64 32.01l192 .0049c17.67 0 32 14.33 32 32s-14.33 32-32 32H90.73L70.3 209.2h114.3C259.3 209.2 320 269.1 320 344.6z"],
    "6": [320, 512, [], "36", "M167.7 160.8l64.65-76.06c11.47-13.45 9.812-33.66-3.656-45.09C222.7 34.51 215.3 32.01 208 32.01c-9.062 0-18.06 3.833-24.38 11.29C38.07 214.5 0 245.5 0 320c0 88.22 71.78 160 160 160s160-71.78 160-160C320 234.4 252.3 164.9 167.7 160.8zM160 416c-52.94 0-96-43.06-96-96s43.06-95.1 96-95.1s96 43.06 96 95.1S212.9 416 160 416z"],
    "7": [320, 512, [], "37", "M315.6 80.14l-224 384c-5.953 10.19-16.66 15.88-27.67 15.88c-5.469 0-11.02-1.406-16.09-4.359c-15.27-8.906-20.42-28.5-11.52-43.77l195.9-335.9H32c-17.67 0-32-14.33-32-32s14.33-32 32-32h256c11.45 0 22.05 6.125 27.75 16.06S321.4 70.23 315.6 80.14z"],
    "8": [320, 512, [], "38", "M267.5 249.2C290 226.1 304 194.7 304 160c0-70.58-57.42-128-128-128h-32c-70.58 0-128 57.42-128 128c0 34.7 13.99 66.12 36.48 89.19C20.83 272.5 0 309.8 0 352c0 70.58 57.42 128 128 128h64c70.58 0 128-57.42 128-128C320 309.8 299.2 272.5 267.5 249.2zM144 96.01h32c35.3 0 64 28.7 64 64s-28.7 64-64 64h-32c-35.3 0-64-28.7-64-64S108.7 96.01 144 96.01zM192 416H128c-35.3 0-64-28.7-64-64s28.7-64 64-64h64c35.3 0 64 28.7 64 64S227.3 416 192 416z"],
    "9": [320, 512, [], "39", "M160 32.01c-88.22 0-160 71.78-160 160c0 85.57 67.71 155.1 152.3 159.2l-64.65 76.06c-11.47 13.45-9.812 33.66 3.656 45.09c6 5.125 13.38 7.62 20.72 7.62c9.062 0 18.06-3.823 24.38-11.28C281.9 297.5 320 266.6 320 192C320 103.8 248.2 32.01 160 32.01zM160 288c-52.94 0-96-43.06-96-95.1s43.06-96 96-96s96 43.06 96 96S212.9 288 160 288z"],
    "00": [640, 512, [], "e467", "M288 176V336C288 415.5 223.5 480 144 480C64.47 480 0 415.5 0 336V176C0 96.47 64.47 32 144 32C223.5 32 288 96.47 288 176zM64 336C64 380.2 99.82 416 144 416C188.2 416 224 380.2 224 336V176C224 131.8 188.2 96 144 96C99.82 96 64 131.8 64 176V336zM640 176V336C640 415.5 575.5 480 496 480C416.5 480 352 415.5 352 336V176C352 96.47 416.5 32 496 32C575.5 32 640 96.47 640 176zM416 336C416 380.2 451.8 416 496 416C540.2 416 576 380.2 576 336V176C576 131.8 540.2 96 496 96C451.8 96 416 131.8 416 176V336z"],
    "360-degrees": [640, 512, [], "e2dc", "M496 64c-44.13 0-79.1 35.89-79.1 80v224c0 44.11 35.87 80 79.1 80s79.1-35.89 79.1-80v-224C576 99.89 540.1 64 496 64zM512 368c0 8.828-7.188 16-16 16S480 376.8 480 368v-224C480 135.2 487.2 128 496 128S512 135.2 512 144V368zM304 192C298.8 192 293.8 192.6 288.8 193.5c2.127-29.43 18.77-55.55 45.48-68.91c15.81-7.906 22.22-27.12 14.31-42.94c-7.938-15.8-27.16-22.23-42.94-14.31C255.3 92.58 224 143.2 224 199.5L224 368c0 44.11 35.87 80 79.1 80s79.1-35.89 79.1-80l.0001-96C384 227.9 348.1 192 304 192zM320 368c0 8.828-7.188 16-16 16S288 376.8 288 368v-96C288 263.2 295.2 256 304 256S320 263.2 320 272V368zM608 0c-17.67 0-31.1 14.33-31.1 32s14.33 32 31.1 32S640 49.67 640 32S625.7 0 608 0zM118.2 197.6l52.91-84.67C177.3 103.1 177.6 90.66 172 80.48C166.3 70.31 155.6 64 144 64H32C14.31 64 0 78.33 0 96s14.31 32 32 32h54.25L36.88 207C30.69 216.9 30.38 229.3 36 239.5C41.66 249.7 52.38 256 64 256h19.78C108.2 256 128 275.8 128 300.2v39.56C128 364.2 108.2 384 83.78 384c-9.875 0-18.75-5.484-23.16-14.31c-7.938-15.81-27.12-22.28-42.94-14.3c-15.81 7.906-22.22 27.12-14.31 42.92C18.72 428.1 49.53 448 83.78 448C143.4 448 192 399.5 192 339.8V300.2C192 252.6 161.1 212 118.2 197.6z"],
    "a": [384, 512, [97], "41", "M381.5 435.7l-160-384C216.6 39.78 204.9 32.01 192 32.01S167.4 39.78 162.5 51.7l-160 384c-6.797 16.31 .9062 35.05 17.22 41.84c16.38 6.828 35.08-.9219 41.84-17.22l31.8-76.31h197.3l31.8 76.31c5.109 12.28 17.02 19.7 29.55 19.7c4.094 0 8.266-.7969 12.3-2.484C380.6 470.7 388.3 452 381.5 435.7zM119.1 320L192 147.2l72 172.8H119.1z"],
    "abacus": [576, 512, [129518], "f640", "M528 32h-480C21.49 32 0 53.49 0 80v352C0 458.5 21.49 480 48 480h480c26.51 0 48-21.49 48-48v-352C576 53.49 554.5 32 528 32zM128 264H112C103.2 264 96 271.2 96 280v16c0 8.836 7.164 16 16 16H128v24H112C103.2 336 96 343.2 96 352v16c0 8.836 7.164 16 16 16L128 384l0 32L64 416V240h64V264zM128 128L112 128C103.2 128 96 135.2 96 144V160c0 8.836 7.164 16 16 16H128v32H64V96l63.1 .0002L128 128zM256 264H240C231.2 264 224 271.2 224 280v16c0 8.836 7.164 16 16 16H256v24H240C231.2 336 224 343.2 224 352v16c0 8.836 7.164 16 16 16L256 384v32H160L160 384l16 .0002c8.836 0 16-7.164 16-16V352c0-8.836-7.164-16-16-16H160V312h16c8.836 0 16-7.164 16-16v-16c0-8.836-7.164-16-16-16H160V240h96V264zM256 128L240 128C231.2 128 224 135.2 224 144V160c0 8.836 7.164 16 16 16H256v32H160v-32h16C184.8 176 192 168.8 192 160V144c0-8.836-7.164-15.1-16-15.1L160 128l0-31.1H256V128zM416 336h-16c-8.836 0-16 7.164-16 16v16c0 8.836 7.164 16 16 16L416 384v32h-128V384l16 .0002c8.836 0 16-7.164 16-16V352c0-8.836-7.164-16-16-16H288V312h16c8.836 0 16-7.164 16-16v-16c0-8.836-7.164-16-16-16H288V240h128V336zM416 128l-16 .0002C391.2 128 384 135.2 384 144V160c0 8.836 7.164 16 16 16H416v32h-128v-32h16C312.8 176 320 168.8 320 160V144c0-8.836-7.164-15.1-16-15.1L288 128V96h128V128zM512 416l-64 .0002V384l16 .0002c8.836 0 16-7.164 16-16V352c0-8.836-7.164-16-16-16H448v-96h64V416zM512 208h-64v-32h16C472.8 176 480 168.8 480 160V144c0-8.836-7.164-15.1-16-15.1L448 128V96L512 96V208z"],
    "accent-grave": [192, 512, [], "60", "M35.65 39.39c12.26-33.91 56.54-49.97 87.8-31.85c15.66 9.051 26.41 24.44 29.45 42.25l22.57 131.7c2.986 17.32-6.9 34.29-23.49 40.31s-35.11-.6484-43.99-15.83L40.3 90.61C31.18 75.03 29.5 56.36 35.65 39.39z"],
    "acorn": [448, 512, [], "f6ae", "M.0014 160C.0014 160 .0014 160 .0014 160C.0014 160 .0014 160 .0014 160zM224 480c47.05-22.87 176-82.13 176-255.1h-352C48 397.9 176.1 457.1 224 480zM447.1 160C447.1 160 447.1 160 447.1 160C447.1 160 447.1 160 447.1 160zM352 64.04l-100.5 .0017c3.375-9.373 8.5-18.12 15.12-25.1C272.3 31.54 272 22.04 265.1 16.17l-11.25-11.37c-3.125-3.125-7.75-5.125-12-4.75c-4.375 .25-8.5 2.125-11.38 5.375c-14.75 16.75-24.5 36.1-29.38 58.62L96 64.04c-52.99 0-95.99 42.98-95.1 95.97C.0053 177.6 14.38 192 32 192h384c17.62 0 31.1-14.37 31.1-31.98C447.1 107 404.1 64.04 352 64.04z"],
    "address-book": [512, 512, [62138, "contact-book"], "f2b9", "M384 0H96C60.65 0 32 28.65 32 64v384c0 35.35 28.65 64 64 64h288c35.35 0 64-28.65 64-64V64C448 28.65 419.3 0 384 0zM240 128c35.35 0 64 28.65 64 64s-28.65 64-64 64c-35.34 0-64-28.65-64-64S204.7 128 240 128zM336 384h-192C135.2 384 128 376.8 128 368C128 323.8 163.8 288 208 288h64c44.18 0 80 35.82 80 80C352 376.8 344.8 384 336 384zM496 64H480v96h16C504.8 160 512 152.8 512 144v-64C512 71.16 504.8 64 496 64zM496 192H480v96h16C504.8 288 512 280.8 512 272v-64C512 199.2 504.8 192 496 192zM496 320H480v96h16c8.836 0 16-7.164 16-16v-64C512 327.2 504.8 320 496 320z"],
    "address-card": [576, 512, [62140, "contact-card", "vcard"], "f2bb", "M512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM176 128c35.35 0 64 28.65 64 64s-28.65 64-64 64s-64-28.65-64-64S140.7 128 176 128zM272 384h-192C71.16 384 64 376.8 64 368C64 323.8 99.82 288 144 288h64c44.18 0 80 35.82 80 80C288 376.8 280.8 384 272 384zM496 320h-128C359.2 320 352 312.8 352 304S359.2 288 368 288h128C504.8 288 512 295.2 512 304S504.8 320 496 320zM496 256h-128C359.2 256 352 248.8 352 240S359.2 224 368 224h128C504.8 224 512 231.2 512 240S504.8 256 496 256zM496 192h-128C359.2 192 352 184.8 352 176S359.2 160 368 160h128C504.8 160 512 167.2 512 176S504.8 192 496 192z"],
    "air-conditioner": [576, 512, [], "f8f4", "M528 0h-480C21.6 0 0 21.6 0 48v128C0 202.4 21.6 224 48 224h480C554.4 224 576 202.4 576 176v-128C576 21.6 554.4 0 528 0zM512 160H64V128h448V160zM208 424c0 22.06-17.94 40-40 40S128 446.1 128 424c0-16.38 9.812-30.94 25.02-37.09c12.28-4.969 18.2-18.97 13.23-31.25c-4.984-12.28-18.92-18.16-31.27-13.25C101.6 355.9 80 387.1 80 424c0 48.53 39.47 88 88 88s88-39.47 88-88V256H208V424zM441 310.4c-12.34-4.906-26.28 .9687-31.27 13.25c-4.969 12.28 .9531 26.28 13.23 31.25C438.2 361.1 448 375.6 448 392c0 22.06-17.94 40-40 40s-40-17.94-40-40V256H320v136c0 48.53 39.47 88 88 88s88-39.47 88-88C496 355.1 474.4 323.9 441 310.4z"],
    "airplay": [576, 512, [], "e089", "M480 32H96C43.06 32 0 75.06 0 128v192c0 50.88 39.9 92.23 89.1 95.39c3.324-5.879 7.242-11.51 12.19-16.45L147.6 352H96c-17.66 0-32-14.34-32-32V128c0-17.66 14.34-32 32-32h384c17.66 0 32 14.34 32 32v192c0 17.66-14.34 32-32 32h-51.58l45.96 47.5c4.738 4.738 8.473 10.19 11.69 15.89C536.1 412.2 576 370.9 576 320V128C576 75.06 532.9 32 480 32zM307.6 296.1C302.1 290.7 295.1 288 288 288c-7.055 0-14.09 2.703-19.45 8.109l-132.5 136.8C118.8 450.2 131.1 480 155.7 480h264.7c24.6 0 36.89-29.77 19.54-47.13L307.6 296.1z"],
    "alarm-clock": [512, 512, [9200], "f34e", "M160 25.4L14.86 146.4C5.452 131.6 0 114.1 0 95.24C0 42.64 42.64 0 95.24 0C120.2 0 143 9.638 160 25.4zM121.9 467.4L86.63 502.6C74.13 515.1 53.87 515.1 41.37 502.6C28.88 490.1 28.88 469.9 41.37 457.4L76.6 422.2C48.59 384.8 32 338.3 32 288C32 164.3 132.3 64 256 64C379.7 64 480 164.3 480 288C480 338.3 463.4 384.8 435.4 422.2L470.6 457.4C483.1 469.9 483.1 490.1 470.6 502.6C458.1 515.1 437.9 515.1 425.4 502.6L390.2 467.4C352.8 495.4 306.3 512 256 512C205.7 512 159.2 495.4 121.9 467.4zM280 184C280 170.7 269.3 160 256 160C242.7 160 232 170.7 232 184V288C232 294.4 234.5 300.5 239 304.1L287 352.1C296.4 362.3 311.6 362.3 320.1 352.1C330.3 343.6 330.3 328.4 320.1 319L280 278.1V184zM497.1 146.4L352 25.4C368.1 9.638 391.8 0 416.8 0C469.4 0 512 42.64 512 95.24C512 114 506.5 131.6 497.1 146.4z"],
    "alarm-exclamation": [512, 512, [], "f843", "M0 95.24C0 42.64 42.64 0 95.24 0C120.2 0 143 9.638 160 25.4L14.86 146.4C5.452 131.6 0 114.1 0 95.24zM390.2 467.4C352.8 495.4 306.3 512 256 512C205.7 512 159.2 495.4 121.9 467.4L86.63 502.6C74.13 515.1 53.87 515.1 41.37 502.6C28.88 490.1 28.88 469.9 41.37 457.4L76.6 422.2C48.59 384.8 32 338.3 32 288C32 164.3 132.3 64 256 64C379.7 64 480 164.3 480 288C480 338.3 463.4 384.8 435.4 422.2L470.6 457.4C483.1 469.9 483.1 490.1 470.6 502.6C458.1 515.1 437.9 515.1 425.4 502.6L390.2 467.4zM256 352C238.3 352 224 366.3 224 384C224 401.7 238.3 416 256 416C273.7 416 288 401.7 288 384C288 366.3 273.7 352 256 352zM280 184C280 170.7 269.3 160 256 160C242.7 160 232 170.7 232 184V296C232 309.3 242.7 320 256 320C269.3 320 280 309.3 280 296V184zM416.8 0C469.4 0 512 42.64 512 95.24C512 114 506.5 131.6 497.1 146.4L352 25.4C368.1 9.638 391.8 0 416.8 0z"],
    "alarm-plus": [512, 512, [], "f844", "M0 95.24C0 42.64 42.64 0 95.24 0C120.2 0 143 9.638 160 25.4L14.86 146.4C5.452 131.6 0 114.1 0 95.24zM390.2 467.4C352.8 495.4 306.3 512 256 512C205.7 512 159.2 495.4 121.9 467.4L86.63 502.6C74.13 515.1 53.87 515.1 41.37 502.6C28.88 490.1 28.88 469.9 41.37 457.4L76.6 422.2C48.59 384.8 32 338.3 32 288C32 164.3 132.3 64 256 64C379.7 64 480 164.3 480 288C480 338.3 463.4 384.8 435.4 422.2L470.6 457.4C483.1 469.9 483.1 490.1 470.6 502.6C458.1 515.1 437.9 515.1 425.4 502.6L390.2 467.4zM232 200V264H168C154.7 264 144 274.7 144 288C144 301.3 154.7 312 168 312H232V376C232 389.3 242.7 400 256 400C269.3 400 280 389.3 280 376V312H344C357.3 312 368 301.3 368 288C368 274.7 357.3 264 344 264H280V200C280 186.7 269.3 176 256 176C242.7 176 232 186.7 232 200zM416.8 0C469.4 0 512 42.64 512 95.24C512 114 506.5 131.6 497.1 146.4L352 25.4C368.1 9.638 391.8 0 416.8 0z"],
    "alarm-snooze": [512, 512, [], "f845", "M160 25.4L14.86 146.4C5.452 131.6 0 114.1 0 95.24C0 42.64 42.64 0 95.24 0C120.2 0 143 9.638 160 25.4zM121.9 467.4L86.63 502.6C74.13 515.1 53.87 515.1 41.37 502.6C28.88 490.1 28.88 469.9 41.37 457.4L76.6 422.2C48.59 384.8 32 338.3 32 288C32 164.3 132.3 64 256 64C379.7 64 480 164.3 480 288C480 338.3 463.4 384.8 435.4 422.2L470.6 457.4C483.1 469.9 483.1 490.1 470.6 502.6C458.1 515.1 437.9 515.1 425.4 502.6L390.2 467.4C352.8 495.4 306.3 512 256 512C205.7 512 159.2 495.4 121.9 467.4zM200 192C186.7 192 176 202.7 176 216C176 229.3 186.7 240 200 240H262.9L181.1 345.3C175.4 352.5 174.4 362.3 178.4 370.5C182.5 378.8 190.8 384 200 384H312C325.3 384 336 373.3 336 360C336 346.7 325.3 336 312 336H249.1L330.9 230.7C336.6 223.5 337.6 213.7 333.6 205.5C329.5 197.2 321.2 192 312 192L200 192zM497.1 146.4L352 25.4C368.1 9.638 391.8 0 416.8 0C469.4 0 512 42.64 512 95.24C512 114 506.5 131.6 497.1 146.4z"],
    "album": [448, 512, [128189], "f89f", "M192 256C192 238.3 206.3 224 224 224C241.7 224 256 238.3 256 256C256 273.7 241.7 288 224 288C206.3 288 192 273.7 192 256zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM224 96C135.6 96 64 167.6 64 256C64 344.4 135.6 416 224 416C312.4 416 384 344.4 384 256C384 167.6 312.4 96 224 96z"],
    "album-circle-plus": [576, 512, [], "e48c", "M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V192.7C442.7 192.2 437.4 192 432 192C411.9 192 392.5 195.4 374.5 201.6C352.3 140 293.3 96 224 96C135.6 96 64 167.6 64 256C64 344.4 135.6 416 224 416C236.9 416 249.4 414.5 261.4 411.6C267.9 437.1 279.1 460.3 296.2 480H64C28.65 480 .0003 451.3 .0003 416L0 96zM192 256C192 238.3 206.3 224 224 224C241.7 224 256 238.3 256 256C256 273.7 241.7 288 224 288C206.3 288 192 273.7 192 256zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM448 303.1C448 295.2 440.8 287.1 432 287.1C423.2 287.1 416 295.2 416 303.1V351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H416V431.1C416 440.8 423.2 447.1 432 447.1C440.8 447.1 448 440.8 448 431.1V383.1H496C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1H448V303.1z"],
    "album-circle-user": [576, 512, [], "e48d", "M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V192.7C442.7 192.2 437.4 192 432 192C411.9 192 392.5 195.4 374.5 201.6C352.3 140 293.3 96 224 96C135.6 96 64 167.6 64 256C64 344.4 135.6 416 224 416C236.9 416 249.4 414.5 261.4 411.6C267.9 437.1 279.1 460.3 296.2 480H64C28.65 480 .0003 451.3 .0003 416L0 96zM192 256C192 238.3 206.3 224 224 224C241.7 224 256 238.3 256 256C256 273.7 241.7 288 224 288C206.3 288 192 273.7 192 256zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM464.6 416H399.4C378.4 416 360.5 429.7 354.3 448.7C374.5 468.1 401.8 480 432 480C462.2 480 489.5 468.1 509.7 448.7C503.5 429.7 485.6 416 464.6 416V416zM432 288C405.5 288 384 309.5 384 336C384 362.5 405.5 384 432 384C458.5 384 480 362.5 480 336C480 309.5 458.5 288 432 288z"],
    "album-collection": [512, 512, [], "f8a0", "M32 24C32 10.75 42.75 0 56 0H456C469.3 0 480 10.75 480 24C480 37.25 469.3 48 456 48H56C42.75 48 32 37.25 32 24V24zM224 352C224 338.7 238.3 328 256 328C273.7 328 288 338.7 288 352C288 365.3 273.7 376 256 376C238.3 376 224 365.3 224 352zM464 160C477.8 160 490.9 165.9 499.1 176.2C509.1 186.6 513.3 200.3 511.6 213.1L479.6 469.1C476.6 493.1 456.2 512 432 512H80C55.79 512 35.37 493.1 32.37 469.1L.3709 213.1C-1.337 200.3 2.904 186.6 12.02 176.2C21.13 165.9 34.23 160 48 160L464 160zM256 208C154.4 208 72 268.9 72 344C72 419.1 154.4 480 256 480C357.6 480 440 419.1 440 344C440 268.9 357.6 208 256 208zM472 80C485.3 80 496 90.75 496 104C496 117.3 485.3 128 472 128H40C26.75 128 16 117.3 16 104C16 90.75 26.75 80 40 80H472z"],
    "album-collection-circle-plus": [640, 512, [], "e48e", "M32 24C32 10.75 42.75 0 56 0H456C469.3 0 480 10.75 480 24C480 37.25 469.3 48 456 48H56C42.75 48 32 37.25 32 24V24zM464 160C477.8 160 490.9 165.9 499.1 176.2C504.2 181 507.4 186.6 509.4 192.5C504.1 192.2 500.5 192 496 192C449.1 192 406.5 210.3 374.1 240.2C342.9 220.1 301.4 208 256 208C154.4 208 72 268.9 72 344C72 419.1 154.4 480 256 480C289.2 480 320.4 473.5 347.3 462.1C359.7 481.7 375.9 498.7 394.8 512H80C55.79 512 35.37 493.1 32.37 469.1L.3709 213.1C-1.337 200.3 2.904 186.6 12.02 176.2C21.13 165.9 34.23 160 48 160L464 160zM224 352C224 338.7 238.3 328 256 328C273.7 328 288 338.7 288 352C288 365.3 273.7 376 256 376C238.3 376 224 365.3 224 352zM472 80C485.3 80 496 90.75 496 104C496 117.3 485.3 128 472 128H40C26.75 128 16 117.3 16 104C16 90.75 26.75 80 40 80H472zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM512 303.1C512 295.2 504.8 287.1 496 287.1C487.2 287.1 480 295.2 480 303.1V351.1H432C423.2 351.1 416 359.2 416 367.1C416 376.8 423.2 383.1 432 383.1H480V431.1C480 440.8 487.2 447.1 496 447.1C504.8 447.1 512 440.8 512 431.1V383.1H560C568.8 383.1 576 376.8 576 367.1C576 359.2 568.8 351.1 560 351.1H512V303.1z"],
    "album-collection-circle-user": [640, 512, [], "e48f", "M32 24C32 10.75 42.75 0 56 0H456C469.3 0 480 10.75 480 24C480 37.25 469.3 48 456 48H56C42.75 48 32 37.25 32 24V24zM464 160C477.8 160 490.9 165.9 499.1 176.2C504.2 181 507.4 186.6 509.4 192.5C504.1 192.2 500.5 192 496 192C449.1 192 406.5 210.3 374.1 240.2C342.9 220.1 301.4 208 256 208C154.4 208 72 268.9 72 344C72 419.1 154.4 480 256 480C289.2 480 320.4 473.5 347.3 462.1C359.7 481.7 375.9 498.7 394.8 512H80C55.79 512 35.37 493.1 32.37 469.1L.3709 213.1C-1.337 200.3 2.904 186.6 12.02 176.2C21.13 165.9 34.23 160 48 160L464 160zM224 352C224 338.7 238.3 328 256 328C273.7 328 288 338.7 288 352C288 365.3 273.7 376 256 376C238.3 376 224 365.3 224 352zM472 80C485.3 80 496 90.75 496 104C496 117.3 485.3 128 472 128H40C26.75 128 16 117.3 16 104C16 90.75 26.75 80 40 80H472zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM528.6 416H463.4C442.4 416 424.5 429.7 418.3 448.7C438.5 468.1 465.8 480 496 480C526.2 480 553.5 468.1 573.7 448.7C567.5 429.7 549.6 416 528.6 416zM496 288C469.5 288 448 309.5 448 336C448 362.5 469.5 384 496 384C522.5 384 544 362.5 544 336C544 309.5 522.5 288 496 288z"],
    "alicorn": [640, 512, [], "f6b0", "M632 32L531.9 32c5.875-6.125 10.25-13.62 11.1-22.37C544.9 4.632 540.1 0 535.1 0h-120c-70.75 0-127.1 57.25-127.1 128c-63.88 0-104.2-36.76-127.7-90.26C156.1 30.22 146.7 30.03 143.2 37.46C133.5 58.03 128 80.81 128 105.1c0 66.1 51 133.1 128 147.8L256 256c-76.88 0-133.8-49.62-152.6-109C97.75 151.2 92.63 155.9 88 161.1L88 160C39.5 160 0 199.5 0 248v56c0 8.875 7.125 16 16 16L32 320c8.875 0 16-7.125 16-16l.0018-56c0-13.25 6.878-24.38 16.75-31.62c-.125 2.5-.7524 5-.7524 7.625c0 27.62 11.85 52.48 30.47 69.98l-25.74 68.89c-4.496 12.04-5.216 25.15-2.095 37.62l21.77 87.28C91.97 502 104.8 512 119.5 512h32.98c20.81 0 36.09-19.55 31.05-39.74l-21.26-85.39l23.78-63.61l102.1 22.34L288.1 480c0 17.67 14.33 32 32 32h32c17.6 0 32-14.4 32-32V318.2C403.7 297.1 416.1 270.5 416.1 240c0-.25-.105-.3828-.105-.6328V136.9L431.1 144l18.89 37.72c7.455 14.91 25.07 21.6 40.52 15.36l32.53-13.07c12.12-4.893 20.1-16.67 20.1-29.74l-.0246-70.98l92.44-36.66C643 42.26 639.9 32 632 32zM480 96c-8.875 0-16-7.125-16-16S471.1 64 479.1 64c8.875 0 16 7.125 16 16S488.9 96 480 96z"],
    "alien": [448, 512, [128125], "f8f5", "M224 .0001c-123.8 0-224 87.99-224 232.5c0 111.7 134.2 224.5 194.9 269.9c17.25 12.87 41 12.87 58.25 0C313.8 456.1 448 344.2 448 232.5C448 87.99 347.8 .0001 224 .0001zM176 319.1h-32c-44.12 0-80-35.87-80-79.1c0-8.874 7.125-15.1 16-15.1h32c44.12 0 80 35.87 80 79.99C192 312.9 184.9 319.1 176 319.1zM304 319.1h-32c-8.875 0-16-7.125-16-15.1c0-44.12 35.88-79.99 80-79.99h32c8.875 0 16 7.124 16 15.1C384 284.1 348.1 319.1 304 319.1z"],
    "alien-8bit": [576, 512, [128126, "alien-monster"], "f8f6", "M560 128l-32 .0001c-8.875 0-16 7.125-16 15.1v80h-32V176c0-8.875-7.125-16-16-16H416v-64L464 96C472.9 96 480 88.88 480 80v-32C480 39.12 472.9 32 464 32h-32C423.1 32 416 39.12 416 48V64l-48 .0002c-8.875 0-16 7.125-16 16v48H224v-48c0-8.875-7.125-16-16-16L160 64V48C160 39.12 152.9 32 144 32h-32C103.1 32 96 39.12 96 48v32C96 88.88 103.1 96 112 96L160 96v64H112c-8.875 0-16 7.125-16 16v48H64V144c0-8.875-7.125-15.1-16-15.1l-32-.0001c-8.875 0-16 7.125-16 15.1v128c0 8.875 7.125 16 16 16H64v80c0 8.875 7.125 16 16 16l48 0v80c0 8.875 7.125 16 16 16l96 0c8.875 0 16-7.125 16-15.1v-31.1c0-8.875-7.125-16-16-16H192v-32h192v32h-48c-8.875 0-16 7.125-16 16v31.1c0 8.875 7.125 15.1 16 15.1l96 0c8.875 0 16-7.125 16-16v-80l48 0c8.875 0 16-7.125 16-16v-80h48c8.875 0 16-7.125 16-16v-128C576 135.1 568.9 128 560 128zM224 320H160V224h64V320zM416 320h-64V224h64V320z"],
    "align-center": [448, 512, [], "f037", "M320 96H128C110.3 96 96 81.67 96 64C96 46.33 110.3 32 128 32H320C337.7 32 352 46.33 352 64C352 81.67 337.7 96 320 96zM416 224H32C14.33 224 0 209.7 0 192C0 174.3 14.33 160 32 160H416C433.7 160 448 174.3 448 192C448 209.7 433.7 224 416 224zM0 448C0 430.3 14.33 416 32 416H416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480H32C14.33 480 0 465.7 0 448zM320 352H128C110.3 352 96 337.7 96 320C96 302.3 110.3 288 128 288H320C337.7 288 352 302.3 352 320C352 337.7 337.7 352 320 352z"],
    "align-justify": [448, 512, [], "f039", "M416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96zM416 352H32C14.33 352 0 337.7 0 320C0 302.3 14.33 288 32 288H416C433.7 288 448 302.3 448 320C448 337.7 433.7 352 416 352zM0 192C0 174.3 14.33 160 32 160H416C433.7 160 448 174.3 448 192C448 209.7 433.7 224 416 224H32C14.33 224 0 209.7 0 192zM416 480H32C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416H416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480z"],
    "align-left": [448, 512, [], "f036", "M256 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H256C273.7 32 288 46.33 288 64C288 81.67 273.7 96 256 96zM256 352H32C14.33 352 0 337.7 0 320C0 302.3 14.33 288 32 288H256C273.7 288 288 302.3 288 320C288 337.7 273.7 352 256 352zM0 192C0 174.3 14.33 160 32 160H416C433.7 160 448 174.3 448 192C448 209.7 433.7 224 416 224H32C14.33 224 0 209.7 0 192zM416 480H32C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416H416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480z"],
    "align-right": [448, 512, [], "f038", "M416 96H192C174.3 96 160 81.67 160 64C160 46.33 174.3 32 192 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96zM416 352H192C174.3 352 160 337.7 160 320C160 302.3 174.3 288 192 288H416C433.7 288 448 302.3 448 320C448 337.7 433.7 352 416 352zM0 192C0 174.3 14.33 160 32 160H416C433.7 160 448 174.3 448 192C448 209.7 433.7 224 416 224H32C14.33 224 0 209.7 0 192zM416 480H32C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416H416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480z"],
    "align-slash": [640, 512, [], "f846", "M98.4 51.82C103.2 40.19 114.6 32 128 32H512C529.7 32 544 46.33 544 64C544 81.67 529.7 96 512 96H154.8L236.4 160H512C529.7 160 544 174.3 544 192C544 209.7 529.7 224 512 224H318.1L399.7 288H512C529.7 288 544 302.3 544 320C544 337.7 529.7 352 512 352H481.4L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L98.4 51.82zM128 352C110.3 352 96 337.7 96 319.1C96 302.3 110.3 287.1 128 287.1H243.7L324.9 352H128zM128 223.1C110.3 223.1 96 209.7 96 191.1C96 185.9 97.71 180.2 100.7 175.3L162.5 223.1H128zM128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416H406.2L487.4 480H128z"],
    "alt": [640, 512, [], "e08a", "M416 416c0 17.69 14.31 32 32 32h160c17.69 0 32-14.31 32-32s-14.31-32-32-32h-160C430.3 384 416 398.3 416 416zM640 96c0-17.69-14.31-32-32-32h-160c-9.719 0-18.91 4.406-25 12L176.6 384H32c-17.69 0-32 14.31-32 32s14.31 32 32 32h160c9.719 0 18.91-4.406 25-12L463.4 128H608C625.7 128 640 113.7 640 96z"],
    "amp-guitar": [512, 512, [], "f8a1", "M192 384c-8.836 0-16 7.164-16 16S183.2 416 192 416s16-7.164 16-16S200.8 384 192 384zM256 384c-8.836 0-16 7.164-16 16S247.2 416 256 416s16-7.164 16-16S264.8 384 256 384zM160 368c8.836 0 16-7.164 16-16S168.8 336 160 336S144 343.2 144 352S151.2 368 160 368zM128 320c8.836 0 16-7.164 16-16S136.8 288 128 288S112 295.2 112 304S119.2 320 128 320zM464 96h-52.35C389.5 69.16 325.8 0 256 0S122.5 69.16 100.3 96H48C21.49 96 0 117.5 0 144v320C0 490.5 21.49 512 48 512h416c26.51 0 48-21.49 48-48v-320C512 117.5 490.5 96 464 96zM416 152c13.25 0 24 10.75 24 24S429.3 200 416 200s-24-10.75-24-24S402.7 152 416 152zM256 48c30.41 0 64.14 24.03 89.71 48H166.2C191.7 72.03 225.5 48 256 48zM344 176c0 13.25-10.75 24-24 24s-24-10.75-24-24S306.7 152 320 152S344 162.7 344 176zM216 176c0 13.25-10.75 24-24 24S168 189.3 168 176S178.7 152 192 152S216 162.7 216 176zM96 152c13.25 0 24 10.75 24 24S109.3 200 96 200S72 189.3 72 176S82.75 152 96 152zM448 448H64V256h384V448zM320 384c-8.836 0-16 7.164-16 16S311.2 416 320 416s16-7.164 16-16S328.8 384 320 384zM128 416c8.836 0 16-7.164 16-16S136.8 384 128 384s-16 7.164-16 16S119.2 416 128 416zM384 384c-8.836 0-16 7.164-16 16S375.2 416 384 416s16-7.164 16-16S392.8 384 384 384zM192 320c8.836 0 16-7.164 16-16S200.8 288 192 288S176 295.2 176 304S183.2 320 192 320zM256 320c8.836 0 16-7.164 16-16S264.8 288 256 288S240 295.2 240 304S247.2 320 256 320zM224 368c8.836 0 16-7.164 16-16S232.8 336 224 336S208 343.2 208 352S215.2 368 224 368zM288 368c8.836 0 16-7.164 16-16s-7.164-16-16-16s-16 7.164-16 16S279.2 368 288 368zM384 320c8.836 0 16-7.164 16-16S392.8 288 384 288s-16 7.164-16 16S375.2 320 384 320zM352 368c8.836 0 16-7.164 16-16s-7.164-16-16-16s-16 7.164-16 16S343.2 368 352 368zM320 320c8.836 0 16-7.164 16-16S328.8 288 320 288s-16 7.164-16 16S311.2 320 320 320z"],
    "ampersand": [384, 512, [], "26", "M318 364.7l60.59-90.89c9.812-14.7 5.844-34.58-8.875-44.37c-14.78-9.828-34.63-5.828-44.38 8.875l-52.19 78.28l-71.88-77.08l51.72-40.08C275.3 181.4 288 154.7 288 126.2c0-51.91-42.22-94.14-94.13-94.14H142.1C90.22 32.01 48 74.25 48 126.2c0 27.14 10.09 53.13 28.62 73.42l30.06 32.25L41.31 282.5C15.06 303.7 0 335.2 0 368.9c0 61.25 49.84 111.1 111.1 111.1l70-.0049c37.53 0 72.44-18.64 93.28-49.87l7.188-10.77l47.03 50.47C334.9 476.6 343.4 480 352 480c7.812 0 15.66-2.844 21.81-8.594c12.94-12.05 13.66-32.3 1.594-45.23L318 364.7zM142.1 96.01h51.75C210.5 96.01 224 109.5 224 126.2c0 9.156-4.094 17.7-10.69 23.05L157.5 192.5L123.7 156.2C116.1 147.9 112 137.3 112 126.2C112 109.5 125.5 96.01 142.1 96.01zM221.1 394.6c-8.938 13.39-23.88 21.39-39.94 21.39H111.1C85.13 416 64 394.9 64 368.9c0-14.28 6.375-27.64 17-36.22l69.53-53.88l86.16 92.44L221.1 394.6z"],
    "anchor": [576, 512, [9875], "f13d", "M352 176C369.7 176 384 190.3 384 208C384 225.7 369.7 240 352 240H320V448H368C421 448 464 405 464 352V345.9L456.1 352.1C447.6 362.3 432.4 362.3 423 352.1C413.7 343.6 413.7 328.4 423 319L479 263C488.4 253.7 503.6 253.7 512.1 263L568.1 319C578.3 328.4 578.3 343.6 568.1 352.1C559.6 362.3 544.4 362.3 535 352.1L528 345.9V352C528 440.4 456.4 512 368 512H208C119.6 512 48 440.4 48 352V345.9L40.97 352.1C31.6 362.3 16.4 362.3 7.029 352.1C-2.343 343.6-2.343 328.4 7.029 319L63.03 263C72.4 253.7 87.6 253.7 96.97 263L152.1 319C162.3 328.4 162.3 343.6 152.1 352.1C143.6 362.3 128.4 362.3 119 352.1L112 345.9V352C112 405 154.1 448 208 448H256V240H224C206.3 240 192 225.7 192 208C192 190.3 206.3 176 224 176H234.9C209 158.8 192 129.4 192 96C192 42.98 234.1 0 288 0C341 0 384 42.98 384 96C384 129.4 366.1 158.8 341.1 176H352zM288 128C305.7 128 320 113.7 320 96C320 78.33 305.7 64 288 64C270.3 64 256 78.33 256 96C256 113.7 270.3 128 288 128z"],
    "anchor-circle-check": [640, 512, [], "e4aa", "M352 176C369.7 176 384 190.3 384 208C384 225.7 369.7 240 352 240H319.1V448H339.2C351.8 472.7 370 493.1 392.2 510.2C384.3 511.4 376.2 512 368 512H208C119.6 512 48 440.4 48 352V345.9L40.97 352.1C31.6 362.3 16.4 362.3 7.029 352.1C-2.343 343.6-2.343 328.4 7.029 319L63.03 263C72.4 253.7 87.6 253.7 96.97 263L152.1 319C162.3 328.4 162.3 343.6 152.1 352.1C143.6 362.3 128.4 362.3 119 352.1L112 345.9V352C112 405 154.1 448 208 448H256V240H224C206.3 240 192 225.7 192 208C192 190.3 206.3 176 224 176H234.9C209 158.8 192 129.4 192 96C192 42.98 234.1 0 288 0C341 0 384 42.98 384 96C384 129.4 366.1 158.8 341.1 176H352zM287.1 128C305.7 128 319.1 113.7 319.1 96C319.1 78.33 305.7 64 287.1 64C270.3 64 255.1 78.33 255.1 96C255.1 113.7 270.3 128 287.1 128zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM540.7 324.7L480 385.4L451.3 356.7C445.1 350.4 434.9 350.4 428.7 356.7C422.4 362.9 422.4 373.1 428.7 379.3L468.7 419.3C474.9 425.6 485.1 425.6 491.3 419.3L563.3 347.3C569.6 341.1 569.6 330.9 563.3 324.7C557.1 318.4 546.9 318.4 540.7 324.7H540.7z"],
    "anchor-circle-exclamation": [640, 512, [], "e4ab", "M352 176C369.7 176 384 190.3 384 208C384 225.7 369.7 240 352 240H319.1V448H339.2C351.8 472.7 370 493.1 392.2 510.2C384.3 511.4 376.2 512 368 512H208C119.6 512 48 440.4 48 352V345.9L40.97 352.1C31.6 362.3 16.4 362.3 7.029 352.1C-2.343 343.6-2.343 328.4 7.029 319L63.03 263C72.4 253.7 87.6 253.7 96.97 263L152.1 319C162.3 328.4 162.3 343.6 152.1 352.1C143.6 362.3 128.4 362.3 119 352.1L112 345.9V352C112 405 154.1 448 208 448H256V240H224C206.3 240 192 225.7 192 208C192 190.3 206.3 176 224 176H234.9C209 158.8 192 129.4 192 96C192 42.98 234.1 0 288 0C341 0 384 42.98 384 96C384 129.4 366.1 158.8 341.1 176H352zM287.1 128C305.7 128 319.1 113.7 319.1 96C319.1 78.33 305.7 64 287.1 64C270.3 64 255.1 78.33 255.1 96C255.1 113.7 270.3 128 287.1 128zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 464C509.3 464 520 453.3 520 440C520 426.7 509.3 416 496 416C482.7 416 472 426.7 472 440C472 453.3 482.7 464 496 464zM479.1 288V368C479.1 376.8 487.2 384 495.1 384C504.8 384 511.1 376.8 511.1 368V288C511.1 279.2 504.8 272 495.1 272C487.2 272 479.1 279.2 479.1 288z"],
    "anchor-circle-xmark": [640, 512, [], "e4ac", "M352 176C369.7 176 384 190.3 384 208C384 225.7 369.7 240 352 240H319.1V448H339.2C351.8 472.7 370 493.1 392.2 510.2C384.3 511.4 376.2 512 368 512H208C119.6 512 48 440.4 48 352V345.9L40.97 352.1C31.6 362.3 16.4 362.3 7.029 352.1C-2.343 343.6-2.343 328.4 7.029 319L63.03 263C72.4 253.7 87.6 253.7 96.97 263L152.1 319C162.3 328.4 162.3 343.6 152.1 352.1C143.6 362.3 128.4 362.3 119 352.1L112 345.9V352C112 405 154.1 448 208 448H256V240H224C206.3 240 192 225.7 192 208C192 190.3 206.3 176 224 176H234.9C209 158.8 192 129.4 192 96C192 42.98 234.1 0 288 0C341 0 384 42.98 384 96C384 129.4 366.1 158.8 341.1 176H352zM287.1 128C305.7 128 319.1 113.7 319.1 96C319.1 78.33 305.7 64 287.1 64C270.3 64 255.1 78.33 255.1 96C255.1 113.7 270.3 128 287.1 128zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM555.3 331.3C561.6 325.1 561.6 314.9 555.3 308.7C549.1 302.4 538.9 302.4 532.7 308.7L496 345.4L459.3 308.7C453.1 302.4 442.9 302.4 436.7 308.7C430.4 314.9 430.4 325.1 436.7 331.3L473.4 368L436.7 404.7C430.4 410.9 430.4 421.1 436.7 427.3C442.9 433.6 453.1 433.6 459.3 427.3L496 390.6L532.7 427.3C538.9 433.6 549.1 433.6 555.3 427.3C561.6 421.1 561.6 410.9 555.3 404.7L518.6 368L555.3 331.3z"],
    "anchor-lock": [640, 512, [], "e4ad", "M352 176C369.7 176 384 190.3 384 208C384 225.7 369.7 240 352 240H319.1V448H368C373.4 448 378.8 447.5 384 446.7V480C384 490.1 386.7 501.3 391.6 510.3C383.9 511.4 376 512 368 512H208C119.6 512 48 440.4 48 352V345.9L40.97 352.1C31.6 362.3 16.4 362.3 7.029 352.1C-2.343 343.6-2.343 328.4 7.029 319L63.03 263C72.4 253.7 87.6 253.7 96.97 263L152.1 319C162.3 328.4 162.3 343.6 152.1 352.1C143.6 362.3 128.4 362.3 119 352.1L112 345.9V352C112 405 154.1 448 208 448H256V240H224C206.3 240 192 225.7 192 208C192 190.3 206.3 176 224 176H234.9C209 158.8 192 129.4 192 96C192 42.98 234.1 0 288 0C341 0 384 42.98 384 96C384 129.4 366.1 158.8 341.1 176H352zM287.1 128C305.7 128 319.1 113.7 319.1 96C319.1 78.33 305.7 64 287.1 64C270.3 64 255.1 78.33 255.1 96C255.1 113.7 270.3 128 287.1 128zM528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320V272C448 227.8 483.8 192 528 192zM528 240C510.3 240 496 254.3 496 272V320H560V272C560 254.3 545.7 240 528 240z"],
    "angel": [640, 512, [], "f779", "M240 144c0 44.25 35.75 80 79.1 80s79.1-35.75 79.1-80S364.2 64 320 64S240 99.75 240 144zM216.5 101.4c4.125-9.875 9.875-18.87 16.62-27.13C227.3 70.25 224 66.38 224 64c0-8 33.1-32 95.1-32s95.1 24 95.1 32c0 2.25-3.25 6.125-9.125 10.25c6.625 8.375 12.37 17.25 16.62 27.13C438.7 90.88 447.1 78 447.1 64c0-35.25-57.25-64-127.1-64S192 28.75 192 64C192 78 201.3 90.88 216.5 101.4zM603.7 453.1l-38.16-78.63c-6.625-13.5-6.625-29.62 0-43.13c4.75-9.75 8.655-16.62 11.9-22.12c9.5-16.5 14.47-26.47 14.47-53.22c0-51.12-46.87-96-100.4-96c-24.87 0-48.97 10.25-66.34 28.12L352.6 261.5c-10.37-3.375-21.33-5.453-32.58-5.453c-11.37 0-22.06 2.042-32.43 5.417L214.1 188.3c-17.5-18-41.69-28.19-66.44-28.19C95.04 160.1 48.01 204.9 48.01 256c0 26.75 4.1 36.75 14.5 53.25c3.25 5.5 7.125 12.25 11.87 22c6.625 13.5 6.625 29.62 0 43.13l-38.09 78.75c-6.375 12.88-5.531 27.75 1.968 39.88C45.76 504.9 58.57 512 72.57 512h494.1c13.87 0 26.69-7.125 34.19-19C609.2 480.9 610.1 465.9 603.7 453.1zM227.4 313.2L152.1 464H84.32l33.37-68.63c12.1-26.62 12.1-58.5 0-85.13c-5.375-11.12-9.875-18.87-13.5-25C96.95 272.8 96.13 271.2 96.13 256c0-24.75 25.5-48 52.37-48c12.12 0 23.44 4.813 32.19 13.81L245.8 287.5C238.6 295 232.3 303.6 227.4 313.2zM487.9 464L412.6 313.2C407.7 303.6 401.5 295 394.2 287.5l65.19-65.75C468.1 212.9 479.4 208 491.6 208c26.1 0 52.37 23.25 52.37 48c0 15.25-.875 16.75-8.125 29.25c-3.625 6.125-7.1 14-13.5 25c-12.1 26.63-12.1 58.5 0 85.13L555.7 464H487.9z"],
    "angle": [448, 512, [], "e08c", "M83.78 416H416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480H32C20.91 480 10.61 474.3 4.779 464.8C-1.052 455.4-1.581 443.6 3.378 433.7L195.4 49.69C203.3 33.88 222.5 27.47 238.3 35.38C254.1 43.28 260.5 62.5 252.6 78.31L83.78 416zM240.4 174.3C269.4 196.4 294.8 223.1 315.5 253.2L274.7 278.5C258.9 255.9 239.9 235.5 218.5 218.1L240.4 174.3zM321.1 384C314.9 356.2 304.9 329.9 291.6 305.7L332.4 280.3C350.2 312.1 363.1 347 370.1 383.1L321.1 384z"],
    "angle-90": [448, 512, [], "e08d", "M312.6 384h49.13c-7.244-37.39-20.83-72.46-39.39-104.3l-41.1 24.66C295.4 328.9 306.1 355.6 312.6 384zM263.6 277.6l41.31-24.79c-21.5-29.97-47.75-56.22-77.72-77.72L202.4 216.4C225.8 233.6 246.4 254.2 263.6 277.6zM416 416H64V63.1C64 46.33 49.67 32 32 32S0 46.33 0 63.1V448c0 17.67 14.33 32 32 32h384C433.7 480 448 465.7 448 448S433.7 416 416 416zM200.3 157.7C168.5 139.1 133.4 125.5 96 118.3v49.13c28.39 6.477 55.15 17.16 79.68 31.36L200.3 157.7z"],
    "angle-down": [384, 512, [8964], "f107", "M192 384c-8.188 0-16.38-3.125-22.62-9.375l-160-160c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L192 306.8l137.4-137.4c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25l-160 160C208.4 380.9 200.2 384 192 384z"],
    "angle-left": [256, 512, [8249], "f104", "M192 448c-8.188 0-16.38-3.125-22.62-9.375l-160-160c-12.5-12.5-12.5-32.75 0-45.25l160-160c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L77.25 256l137.4 137.4c12.5 12.5 12.5 32.75 0 45.25C208.4 444.9 200.2 448 192 448z"],
    "angle-right": [256, 512, [8250], "f105", "M64 448c-8.188 0-16.38-3.125-22.62-9.375c-12.5-12.5-12.5-32.75 0-45.25L178.8 256L41.38 118.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0l160 160c12.5 12.5 12.5 32.75 0 45.25l-160 160C80.38 444.9 72.19 448 64 448z"],
    "angle-up": [384, 512, [8963], "f106", "M352 352c-8.188 0-16.38-3.125-22.62-9.375L192 205.3l-137.4 137.4c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l160-160c12.5-12.5 32.75-12.5 45.25 0l160 160c12.5 12.5 12.5 32.75 0 45.25C368.4 348.9 360.2 352 352 352z"],
    "angles-down": [384, 512, ["angle-double-down"], "f103", "M169.4 278.6C175.6 284.9 183.8 288 192 288s16.38-3.125 22.62-9.375l160-160c12.5-12.5 12.5-32.75 0-45.25s-32.75-12.5-45.25 0L192 210.8L54.63 73.38c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25L169.4 278.6zM329.4 265.4L192 402.8L54.63 265.4c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25l160 160C175.6 476.9 183.8 480 192 480s16.38-3.125 22.62-9.375l160-160c12.5-12.5 12.5-32.75 0-45.25S341.9 252.9 329.4 265.4z"],
    "angles-left": [448, 512, [171, "angle-double-left"], "f100", "M77.25 256l137.4-137.4c12.5-12.5 12.5-32.75 0-45.25s-32.75-12.5-45.25 0l-160 160c-12.5 12.5-12.5 32.75 0 45.25l160 160C175.6 444.9 183.8 448 192 448s16.38-3.125 22.62-9.375c12.5-12.5 12.5-32.75 0-45.25L77.25 256zM269.3 256l137.4-137.4c12.5-12.5 12.5-32.75 0-45.25s-32.75-12.5-45.25 0l-160 160c-12.5 12.5-12.5 32.75 0 45.25l160 160C367.6 444.9 375.8 448 384 448s16.38-3.125 22.62-9.375c12.5-12.5 12.5-32.75 0-45.25L269.3 256z"],
    "angles-right": [448, 512, [187, "angle-double-right"], "f101", "M246.6 233.4l-160-160c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25L178.8 256l-137.4 137.4c-12.5 12.5-12.5 32.75 0 45.25C47.63 444.9 55.81 448 64 448s16.38-3.125 22.62-9.375l160-160C259.1 266.1 259.1 245.9 246.6 233.4zM438.6 233.4l-160-160c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25L370.8 256l-137.4 137.4c-12.5 12.5-12.5 32.75 0 45.25C239.6 444.9 247.8 448 256 448s16.38-3.125 22.62-9.375l160-160C451.1 266.1 451.1 245.9 438.6 233.4z"],
    "angles-up": [384, 512, ["angle-double-up"], "f102", "M54.63 246.6L192 109.3l137.4 137.4C335.6 252.9 343.8 256 352 256s16.38-3.125 22.62-9.375c12.5-12.5 12.5-32.75 0-45.25l-160-160c-12.5-12.5-32.75-12.5-45.25 0l-160 160c-12.5 12.5-12.5 32.75 0 45.25S42.13 259.1 54.63 246.6zM214.6 233.4c-12.5-12.5-32.75-12.5-45.25 0l-160 160c-12.5 12.5-12.5 32.75 0 45.25s32.75 12.5 45.25 0L192 301.3l137.4 137.4C335.6 444.9 343.8 448 352 448s16.38-3.125 22.62-9.375c12.5-12.5 12.5-32.75 0-45.25L214.6 233.4z"],
    "ankh": [320, 512, [9765], "f644", "M296 256h-44.63C272.5 222 288 181.6 288 144C288 55.62 230.8 0 160 0S32 55.62 32 144C32 181.6 47.5 222 68.63 256H24C10.75 256 0 266.8 0 280v32c0 13.25 10.75 24 24 24h96v152C120 501.2 130.8 512 144 512h32c13.25 0 24-10.75 24-24V336h96c13.25 0 24-10.75 24-24v-32C320 266.8 309.2 256 296 256zM160 80c29.62 0 48 24.5 48 64c0 34.62-27.12 78.12-48 100.9C139.1 222.1 112 178.6 112 144C112 104.5 130.4 80 160 80z"],
    "apartment": [576, 512, [], "e468", "M400 0C426.5 0 448 21.49 448 48V192H528C554.5 192 576 213.5 576 240V464C576 490.5 554.5 512 528 512H320V416C320 398.3 305.7 384 288 384C270.3 384 256 398.3 256 416V512H48C21.49 512 0 490.5 0 464V144C0 117.5 21.49 96 48 96H128V48C128 21.49 149.5 0 176 0H400zM368 320C376.8 320 384 312.8 384 304V272C384 263.2 376.8 256 368 256H336C327.2 256 320 263.2 320 272V304C320 312.8 327.2 320 336 320H368zM512 368C512 359.2 504.8 352 496 352H464C455.2 352 448 359.2 448 368V400C448 408.8 455.2 416 464 416H496C504.8 416 512 408.8 512 400V368zM112 320C120.8 320 128 312.8 128 304V272C128 263.2 120.8 256 112 256H80C71.16 256 64 263.2 64 272V304C64 312.8 71.16 320 80 320H112zM128 368C128 359.2 120.8 352 112 352H80C71.16 352 64 359.2 64 368V400C64 408.8 71.16 416 80 416H112C120.8 416 128 408.8 128 400V368zM240 320C248.8 320 256 312.8 256 304V272C256 263.2 248.8 256 240 256H208C199.2 256 192 263.2 192 272V304C192 312.8 199.2 320 208 320H240zM384 80C384 71.16 376.8 64 368 64H336C327.2 64 320 71.16 320 80V112C320 120.8 327.2 128 336 128H368C376.8 128 384 120.8 384 112V80zM208 64C199.2 64 192 71.16 192 80V112C192 120.8 199.2 128 208 128H240C248.8 128 256 120.8 256 112V80C256 71.16 248.8 64 240 64H208zM384 176C384 167.2 376.8 160 368 160H336C327.2 160 320 167.2 320 176V208C320 216.8 327.2 224 336 224H368C376.8 224 384 216.8 384 208V176zM496 320C504.8 320 512 312.8 512 304V272C512 263.2 504.8 256 496 256H464C455.2 256 448 263.2 448 272V304C448 312.8 455.2 320 464 320H496zM128 176C128 167.2 120.8 160 112 160H80C71.16 160 64 167.2 64 176V208C64 216.8 71.16 224 80 224H112C120.8 224 128 216.8 128 208V176zM240 224C248.8 224 256 216.8 256 208V176C256 167.2 248.8 160 240 160H208C199.2 160 192 167.2 192 176V208C192 216.8 199.2 224 208 224H240z"],
    "aperture": [512, 512, [], "e2df", "M54.32 98.69C20.4 142.1 0 196.6 0 256c0 22.14 3.105 43.51 8.391 64h173.7L54.32 98.69zM493.2 160c-29.6-73.06-91.91-129.2-168.8-150.5L237.5 160H493.2zM291.4 2.727C279.8 1.119 268 0 256 0C186.1 0 122.9 28.05 76.69 73.42l86.93 150.6L291.4 2.727zM503.6 192h-173.7l127.8 221.3C491.6 369.9 512 315.4 512 256C512 233.9 508.9 212.5 503.6 192zM18.78 352c29.6 73.06 91.91 129.2 168.8 150.5L274.5 352H18.78zM220.6 509.3C232.2 510.9 243.1 512 256 512c69.86 0 133.1-28.05 179.3-73.42l-86.93-150.6L220.6 509.3z"],
    "apostrophe": [192, 512, [], "27", "M192 128v96c0 70.58-57.42 128-128 128c-17.67 0-32-14.33-32-32s14.33-32 32-32c35.3 0 64-28.7 64-64V218.1C117.9 221.7 107.3 224 96 224C42.98 224 0 181 0 128s42.98-96 96-96S192 74.98 192 128z"],
    "apple-core": [384, 512, [], "e08f", "M288 32V0h-32c-44.18 0-80 35.82-80 80v32h32C252.2 112 288 76.18 288 32zM287.1 304c0-62.93 33.13-117.1 82.79-149.1c-16.88-16.54-38.72-26.93-66.68-26.93c-32 0-80.11 16.06-112.1 32.06c-32.01-16-79.1-32.02-111.1-32.03C51.94 128 29.96 138.3 13.06 154.8C62.81 185.9 95.1 241 95.1 304c0 60.11-30.18 113.1-76.16 144.9C47.32 486.2 84.35 512 128 512c32 0 48-16 64-16c16 0 32 16 64 16c43.76 0 80.84-25.65 108.3-63.01C318.2 417.3 287.1 364.2 287.1 304z"],
    "apple-whole": [448, 512, [127823, 127822, "apple-alt"], "f5d1", "M336 128c-32 0-80.02 16.03-112 32.03c-32.01-16-79.1-32.02-111.1-32.03C32 128 .4134 210.5 .0033 288c-.5313 99.97 63.99 224 159.1 224c32 0 48-16 64-16c16 0 32 16 64 16c96 0 160.4-122.8 159.1-224C447.7 211.6 416 128 336 128zM320 32V0h-32C243.8 0 208 35.82 208 80v32h32C284.2 112 320 76.18 320 32z"],
    "archway": [512, 512, [], "f557", "M480 32C497.7 32 512 46.33 512 64C512 81.67 497.7 96 480 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H480zM32 128H480V416C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H352V352C352 298.1 309 256 256 256C202.1 256 160 298.1 160 352V480H32C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416V128z"],
    "arrow-down": [384, 512, [8595], "f063", "M374.6 310.6l-160 160C208.4 476.9 200.2 480 192 480s-16.38-3.125-22.62-9.375l-160-160c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L160 370.8V64c0-17.69 14.33-31.1 31.1-31.1S224 46.31 224 64v306.8l105.4-105.4c12.5-12.5 32.75-12.5 45.25 0S387.1 298.1 374.6 310.6z"],
    "arrow-down-1-9": [512, 512, ["sort-numeric-asc", "sort-numeric-down"], "f162", "M320 192c0 17.69 14.31 31.1 32 31.1L416 224c17.69 0 32-14.31 32-32s-14.31-32-32-32V63.98c0-11.19-5.844-21.53-15.38-27.34c-9.531-5.781-21.41-6.188-31.34-1.062l-32 16.59c-15.69 8.125-21.81 27.44-13.69 43.13C329.3 106.3 340.4 112.6 352 112.6V160C334.3 160 320 174.3 320 192zM392 255.6c-48.6 0-88 39.4-88 88c0 36.44 22.15 67.7 53.71 81.07l-7.682 8.004c-10.72 11.16-10.34 28.88 .8125 39.56C356.3 477.4 363.3 480 370.2 480c7.344 0 14.72-2.875 20.19-8.625c69.61-72.53 89.6-85.39 89.6-127.8C480 294.1 440.6 255.6 392 255.6zM392 367.6c-13.23 0-24-10.77-24-24s10.77-24 24-24s24 10.77 24 24S405.2 367.6 392 367.6zM216 320.3c-8.672 0-17.3 3.5-23.61 10.38L160 366.1V64.03C160 46.33 145.7 32 128 32S96 46.33 96 64.03v302L63.6 330.7c-11.95-13.01-32.2-13.91-45.22-1.969c-13.03 11.95-13.9 32.22-1.969 45.27l87.1 96.09c12.12 13.26 35.06 13.26 47.19 0l87.1-96.09c11.94-13.05 11.06-33.31-1.969-45.27C231.5 323.1 223.7 320.3 216 320.3z"],
    "arrow-down-9-1": [512, 512, ["sort-numeric-desc", "sort-numeric-down-alt"], "f886", "M216 320.3c-8.672 0-17.3 3.5-23.61 10.38L160 366.1V64.03C160 46.33 145.7 32 128 32S96 46.33 96 64.03v302L63.6 330.7c-11.95-13.01-32.2-13.91-45.22-1.969c-13.03 11.95-13.9 32.22-1.969 45.27l87.1 96.09c12.12 13.26 35.06 13.26 47.19 0l87.1-96.09c11.94-13.05 11.06-33.31-1.969-45.27C231.5 323.1 223.7 320.3 216 320.3zM357.7 201.1l-7.682 8.004c-10.72 11.16-10.34 28.88 .8125 39.56c5.406 5.219 12.41 7.812 19.38 7.812c7.344 0 14.72-2.875 20.19-8.625c69.61-72.53 89.6-85.39 89.6-127.8c0-48.6-39.4-88-88-88s-88 39.4-88 88C303.1 156.4 326.1 187.7 357.7 201.1zM392 96c13.23 0 24 10.77 24 24S405.2 144 392 144S368 133.2 368 120S378.8 96 392 96zM416 416.4v-96.02c0-11.19-5.844-21.53-15.38-27.34c-9.531-5.781-21.41-6.188-31.34-1.062l-32 16.59c-15.69 8.125-21.81 27.44-13.69 43.13C329.3 362.8 340.4 369 352 369v47.41c-17.69 0-32 14.31-32 32s14.31 32 32 32h64c17.69 0 32-14.31 32-32S433.7 416.4 416 416.4z"],
    "arrow-down-a-z": [512, 512, ["sort-alpha-asc", "sort-alpha-down"], "f15d", "M239.6 373.1c11.94-13.05 11.06-33.31-1.969-45.27c-13.55-12.42-33.76-10.52-45.22 1.973L160 366.1V64.03c0-17.7-14.33-32.03-32-32.03S96 46.33 96 64.03v302l-32.4-35.39C51.64 317.7 31.39 316.7 18.38 328.7c-13.03 11.95-13.9 32.22-1.969 45.27l87.1 96.09c12.12 13.26 35.06 13.26 47.19 0L239.6 373.1zM448 416h-50.75l73.38-73.38c9.156-9.156 11.89-22.91 6.938-34.88S460.9 288 447.1 288H319.1C302.3 288 288 302.3 288 320s14.33 32 32 32h50.75l-73.38 73.38c-9.156 9.156-11.89 22.91-6.938 34.88S307.1 480 319.1 480h127.1C465.7 480 480 465.7 480 448S465.7 416 448 416zM492.6 209.3l-79.99-160.1c-10.84-21.81-46.4-21.81-57.24 0L275.4 209.3c-7.906 15.91-1.5 35.24 14.31 43.19c15.87 7.922 35.04 1.477 42.93-14.4l7.154-14.39h88.43l7.154 14.39c6.174 12.43 23.97 23.87 42.93 14.4C494.1 244.6 500.5 225.2 492.6 209.3zM367.8 167.4L384 134.7l16.22 32.63H367.8z"],
    "arrow-down-arrow-up": [448, 512, ["sort-alt"], "f883", "M431.6 138l-87.1-96.09c-12.12-13.26-35.06-13.26-47.19 0l-87.1 96.09C196.5 151.1 197.3 171.4 210.4 183.3c13.02 11.95 33.27 11.04 45.22-1.973L288 145.9v302C288 465.7 302.3 480 320 480s32-14.33 32-32.03V145.9l32.4 35.39c11.42 12.45 31.63 14.43 45.22 1.973C442.7 171.4 443.5 151.1 431.6 138zM192.4 330.7L160 366.1V64.03C160 46.33 145.7 32 128 32S96 46.33 96 64.03v302L63.6 330.7c-11.42-12.45-31.63-14.43-45.22-1.969c-13.03 11.95-13.9 32.22-1.969 45.27l87.1 96.09c12.12 13.26 35.06 13.26 47.19 0l87.1-96.09c11.94-13.05 11.06-33.31-1.969-45.27C224.6 316.8 204.4 317.7 192.4 330.7z"],
    "arrow-down-big-small": [512, 512, ["sort-size-down"], "f88c", "M416 320h-96c-17.6 0-32 14.4-32 32v96c0 17.6 14.4 32 32 32h96c17.6 0 32-14.4 32-32v-96C448 334.4 433.6 320 416 320zM480 32h-160c-17.67 0-32 14.33-32 32v160c0 17.67 14.33 32 32 32h160c17.67 0 32-14.33 32-32V64C512 46.33 497.7 32 480 32zM192.4 330.7L160 366.1V64.03C160 46.33 145.7 32 128 32S96 46.33 96 64.03v302L63.6 330.7c-6.312-6.883-14.94-10.38-23.61-10.38c-7.719 0-15.47 2.781-21.61 8.414c-13.03 11.95-13.9 32.22-1.969 45.27l87.1 96.09c12.12 13.26 35.06 13.26 47.19 0l87.1-96.09c11.94-13.05 11.06-33.31-1.969-45.27C224.6 316.8 204.4 317.7 192.4 330.7z"],
    "arrow-down-from-dotted-line": [448, 512, [], "e090", "M320 95.1c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S302.3 95.1 320 95.1zM224 95.1c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S206.3 95.1 224 95.1zM416 95.1c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S398.3 95.1 416 95.1zM73.38 342.6l128 128c12.5 12.5 32.75 12.5 45.25 0l128-128c12.5-12.5 12.5-32.75 0-45.25s-32.75-12.5-45.25 0L256 370.7V191.1c0-17.69-14.31-32-32-32s-32 14.31-32 32v178.8L118.6 297.4C112.4 291.1 104.2 287.1 96 287.1S79.63 291.1 73.38 297.4C60.88 309.9 60.88 330.1 73.38 342.6zM128 95.1c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S110.3 95.1 128 95.1zM32 95.1c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S14.33 95.1 32 95.1z"],
    "arrow-down-from-line": [384, 512, [8615, "arrow-from-top"], "f345", "M297.4 297.4L224 370.8V192c0-17.69-14.31-32-32-32S160 174.3 160 192v178.8L86.63 297.4C80.38 291.1 72.19 288 64 288S47.63 291.1 41.38 297.4c-12.5 12.5-12.5 32.75 0 45.25l128 128c12.5 12.5 32.75 12.5 45.25 0l128-128c12.5-12.5 12.5-32.75 0-45.25S309.9 284.9 297.4 297.4zM32 96h320c17.69 0 32-14.31 32-32s-14.31-32-32-32H32C14.31 32 0 46.31 0 64S14.31 96 32 96z"],
    "arrow-down-left": [320, 512, [], "e091", "M310.6 150.6L109.3 352H256c17.67 0 32 14.31 32 32s-14.33 32-32 32H32c-17.67 0-32-14.31-32-32V160c0-17.69 14.33-32 32-32s32 14.31 32 32v146.8l201.4-201.4c12.5-12.5 32.75-12.5 45.25 0S323.1 138.1 310.6 150.6z"],
    "arrow-down-left-and-arrow-up-right-to-center": [512, 512, [], "e092", "M54.63 502.6L176 381.3V432c0 17.69 14.31 32 32 32s32-14.31 32-32v-128c0-4.164-.8477-8.312-2.465-12.22C234.3 283.9 228.1 277.7 220.2 274.5C216.3 272.8 212.2 272 208 272h-128c-17.69 0-32 14.31-32 32s14.31 32 32 32h50.75l-121.4 121.4c-12.5 12.5-12.5 32.75 0 45.25S42.13 515.1 54.63 502.6zM274.5 220.2c3.242 7.84 9.479 14.08 17.32 17.32C295.7 239.2 299.8 240 304 240h128c17.69 0 32-14.31 32-32s-14.31-32-32-32h-50.75l121.4-121.4c12.5-12.5 12.5-32.75 0-45.25c-12.49-12.49-32.74-12.51-45.25 0L336 130.8V80c0-17.69-14.31-32-32-32s-32 14.31-32 32v127.1C272 212.2 272.8 216.3 274.5 220.2z"],
    "arrow-down-long": [320, 512, ["long-arrow-down"], "f175", "M9.375 329.4c12.51-12.51 32.76-12.49 45.25 0L128 402.8V32c0-17.69 14.31-32 32-32s32 14.31 32 32v370.8l73.38-73.38c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25l-128 128c-12.5 12.5-32.75 12.5-45.25 0l-128-128C-3.125 362.1-3.125 341.9 9.375 329.4z"],
    "arrow-down-right": [320, 512, [], "e093", "M320 160v224c0 17.69-14.33 32-32 32H64c-17.67 0-32-14.31-32-32s14.33-32 32-32h146.8L9.375 150.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L256 306.8V160c0-17.69 14.33-32 32-32S320 142.3 320 160z"],
    "arrow-down-short-wide": [576, 512, ["sort-amount-desc", "sort-amount-down-alt"], "f884", "M320 224H416c17.67 0 32-14.33 32-32s-14.33-32-32-32h-95.1c-17.67 0-32 14.33-32 32S302.3 224 320 224zM320 352H480c17.67 0 32-14.33 32-32s-14.33-32-32-32h-159.1c-17.67 0-32 14.33-32 32S302.3 352 320 352zM320 96h32c17.67 0 31.1-14.33 31.1-32s-14.33-32-31.1-32h-32c-17.67 0-32 14.33-32 32S302.3 96 320 96zM544 416h-223.1c-17.67 0-32 14.33-32 32s14.33 32 32 32H544c17.67 0 32-14.33 32-32S561.7 416 544 416zM192.4 330.7L160 366.1V64.03C160 46.33 145.7 32 128 32S96 46.33 96 64.03v302L63.6 330.7c-6.312-6.883-14.94-10.38-23.61-10.38c-7.719 0-15.47 2.781-21.61 8.414c-13.03 11.95-13.9 32.22-1.969 45.27l87.1 96.09c12.12 13.26 35.06 13.26 47.19 0l87.1-96.09c11.94-13.05 11.06-33.31-1.969-45.27C224.6 316.8 204.4 317.7 192.4 330.7z"],
    "arrow-down-small-big": [512, 512, ["sort-size-down-alt"], "f88d", "M320 192h96c17.67 0 32-14.33 32-32V64c0-17.6-14.4-32-32-32h-96c-17.67 0-32 14.33-32 32v96C288 177.7 302.3 192 320 192zM480 256h-160c-17.67 0-32 14.33-32 32v160c0 17.67 14.33 32 32 32h160c17.67 0 32-14.33 32-32V288C512 270.3 497.7 256 480 256zM192.4 330.7L160 366.1V64.03C160 46.33 145.7 32 128 32S96 46.33 96 64.03v302L63.6 330.7c-6.312-6.883-14.94-10.38-23.61-10.38c-7.719 0-15.47 2.781-21.61 8.414c-13.03 11.95-13.9 32.22-1.969 45.27l87.1 96.09c12.12 13.26 35.06 13.26 47.19 0l87.1-96.09c11.94-13.05 11.06-33.31-1.969-45.27C224.6 316.8 204.4 317.7 192.4 330.7z"],
    "arrow-down-square-triangle": [512, 512, ["sort-shapes-down-alt"], "f889", "M320 224h128c17.67 0 32-14.33 32-32V64c0-17.67-14.33-32-32-32h-128c-17.67 0-31.1 14.33-31.1 32v128C288 209.7 302.3 224 320 224zM492.1 438.9l-83.13-137.1c-11.12-18.38-38.75-18.38-49.88 0l-83.25 137.1c-11 18.25 2.75 41.13 25 41.13h166.3C489.4 480 503.1 457.1 492.1 438.9zM192.4 330.7L160 366.1V64.03c0-17.7-14.33-32.03-32-32.03S96 46.33 96 64.03v302L63.6 330.7c-11.42-12.45-31.63-14.43-45.22-1.969c-13.03 11.95-13.9 32.22-1.969 45.27l87.1 96.09c12.12 13.26 35.06 13.26 47.19 0l87.1-96.09c11.94-13.05 11.06-33.31-1.969-45.27C224.6 316.8 204.4 317.7 192.4 330.7z"],
    "arrow-down-to-arc": [512, 512, [], "e4ae", "M256 448C362 448 448 362 448 256C448 238.3 462.3 224 480 224C497.7 224 512 238.3 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 238.3 14.33 224 32 224C49.67 224 64 238.3 64 256C64 362 149.1 448 256 448zM278.6 342.6C266.1 355.1 245.9 355.1 233.4 342.6L121.4 230.6C108.9 218.1 108.9 197.9 121.4 185.4C133.9 172.9 154.1 172.9 166.6 185.4L224 242.7V32C224 14.33 238.3 0 256 0C273.7 0 288 14.33 288 32V242.7L345.4 185.4C357.9 172.9 378.1 172.9 390.6 185.4C403.1 197.9 403.1 218.1 390.6 230.6L278.6 342.6z"],
    "arrow-down-to-bracket": [448, 512, [], "e094", "M448 416v-64c0-17.67-14.33-32-32-32s-32 14.33-32 32v64c0 17.67-14.33 32-32 32H96c-17.67 0-32-14.33-32-32v-64c0-17.67-14.33-32-32-32s-32 14.33-32 32v64c0 53.02 42.98 96 96 96h256C405 512 448 469 448 416zM246.6 342.6l128-128c12.51-12.51 12.49-32.76 0-45.25c-12.5-12.5-32.75-12.5-45.25 0L256 242.8V32c0-17.69-14.31-32-32-32S192 14.31 192 32v210.8L118.6 169.4c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25l128 128C213.9 355.1 234.1 355.1 246.6 342.6z"],
    "arrow-down-to-dotted-line": [448, 512, [], "e095", "M128 416c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S145.7 416 128 416zM224 416c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S241.7 416 224 416zM32 416c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S49.67 416 32 416zM73.38 230.6l128 128c12.5 12.5 32.75 12.5 45.25 0l128-128c12.5-12.5 12.5-32.75 0-45.25s-32.75-12.5-45.25 0L256 258.7V79.1c0-17.69-14.31-32-32-32s-32 14.31-32 32V258.7L118.6 185.4C112.4 179.1 104.2 175.1 96 175.1S79.63 179.1 73.38 185.4C60.88 197.9 60.88 218.1 73.38 230.6zM320 416c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S337.7 416 320 416zM416 416c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S433.7 416 416 416z"],
    "arrow-down-to-line": [384, 512, ["arrow-to-bottom"], "f33d", "M297.4 169.4L224 242.8V64c0-17.69-14.31-32-32-32S160 46.31 160 64v178.8L86.63 169.4C80.38 163.1 72.19 160 64 160S47.63 163.1 41.38 169.4c-12.5 12.5-12.5 32.75 0 45.25l128 128c12.5 12.5 32.75 12.5 45.25 0l128-128c12.5-12.5 12.5-32.75 0-45.25S309.9 156.9 297.4 169.4zM352 416H32c-17.69 0-32 14.31-32 32s14.31 32 32 32h320c17.69 0 32-14.31 32-32S369.7 416 352 416z"],
    "arrow-down-to-square": [512, 512, [], "e096", "M448 96h-64v64h64v288H64V160h64V96H64C28.72 96 0 124.7 0 160v288c0 35.28 28.72 64 64 64h384c35.28 0 64-28.72 64-64V160C512 124.7 483.3 96 448 96zM232.4 373.8c12.12 13.26 35.06 13.26 47.19 0l87.1-96.09c11.94-13.05 11.06-33.31-1.969-45.27c-13.71-12.57-33.9-10.37-45.22 1.969L288 269.8V32.03C288 14.33 273.7 0 256 0S224 14.33 224 32.03v237.8L191.6 234.4C179.6 221.4 159.4 220.5 146.4 232.4C133.3 244.4 132.5 264.6 144.4 277.7L232.4 373.8z"],
    "arrow-down-triangle-square": [512, 512, ["sort-shapes-down"], "f888", "M192.4 330.7L160 366.1V64.03c0-17.7-14.33-32.03-32-32.03S96 46.33 96 64.03v302L63.6 330.7c-11.42-12.45-31.63-14.43-45.22-1.969c-13.03 11.95-13.9 32.22-1.969 45.27l87.1 96.09c12.12 13.26 35.06 13.26 47.19 0l87.1-96.09c11.94-13.05 11.06-33.31-1.969-45.27C224.6 316.8 204.4 317.7 192.4 330.7zM492.1 182.9l-83.13-137.1c-11.12-18.38-38.75-18.38-49.88 0l-83.25 137.1c-11 18.25 2.75 41.12 25 41.12h166.3C489.4 224 503.1 201.1 492.1 182.9zM448 288h-128c-17.67 0-31.1 14.33-31.1 32V448c0 17.67 14.33 32 31.1 32h128c17.67 0 32-14.33 32-32v-127.1C480 302.3 465.7 288 448 288z"],
    "arrow-down-up-across-line": [576, 512, [], "e4af", "M41.37 406.6C28.88 394.1 28.88 373.9 41.37 361.4C53.87 348.9 74.13 348.9 86.63 361.4L128 402.7V287.1H32C14.33 287.1 0 273.7 0 255.1C0 238.3 14.33 223.1 32 223.1H384V109.3L342.6 150.6C330.1 163.1 309.9 163.1 297.4 150.6C284.9 138.1 284.9 117.9 297.4 105.4L393.4 9.372C405.9-3.124 426.1-3.124 438.6 9.372L534.6 105.4C547.1 117.9 547.1 138.1 534.6 150.6C522.1 163.1 501.9 163.1 489.4 150.6L448 109.3V223.1H544C561.7 223.1 576 238.3 576 255.1C576 273.7 561.7 287.1 544 287.1H192V402.7L233.4 361.4C245.9 348.9 266.1 348.9 278.6 361.4C291.1 373.9 291.1 394.1 278.6 406.6L182.6 502.6C170.1 515.1 149.9 515.1 137.4 502.6L41.37 406.6zM128 63.1C128 46.33 142.3 31.1 160 31.1C177.7 31.1 192 46.33 192 63.1V191.1H128V63.1zM448 319.1V448C448 465.7 433.7 480 416 480C398.3 480 384 465.7 384 448V319.1H448z"],
    "arrow-down-up-lock": [640, 512, [], "e4b0", "M105.4 502.6L9.373 406.6C-3.124 394.1-3.124 373.9 9.373 361.4C21.87 348.9 42.13 348.9 54.63 361.4L96 402.7V287.1H32C14.33 287.1 0 273.7 0 255.1C0 238.3 14.33 223.1 32 223.1H288V109.3L246.6 150.6C234.1 163.1 213.9 163.1 201.4 150.6C188.9 138.1 188.9 117.9 201.4 105.4L297.4 9.372C303.4 3.371 311.5 0 320 0C328.5 0 336.6 3.372 342.6 9.372L438.6 105.4C451.1 117.9 451.1 138.1 438.6 150.6C426.1 163.1 405.9 163.1 393.4 150.6L352 109.3V223.1H426.8C419.9 238.5 416 254.8 416 271.1V287.1H160V402.7L201.4 361.4C213.9 348.9 234.1 348.9 246.6 361.4C259.1 373.9 259.1 394.1 246.6 406.6L150.6 502.6C138.1 515.1 117.9 515.1 105.4 502.6H105.4zM96 191.1V63.1C96 46.33 110.3 31.1 128 31.1C145.7 31.1 160 46.33 160 63.1V191.1H96zM352 319.1V448C352 465.7 337.7 480 320 480C302.3 480 288 465.7 288 448V319.1H352zM528 191.1C572.2 191.1 608 227.8 608 271.1V319.1C625.7 319.1 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 319.1 448 319.1V271.1C448 227.8 483.8 191.1 528 191.1zM528 239.1C510.3 239.1 496 254.3 496 271.1V319.1H560V271.1C560 254.3 545.7 239.1 528 239.1z"],
    "arrow-down-wide-short": [576, 512, ["sort-amount-asc", "sort-amount-down"], "f160", "M416 288h-95.1c-17.67 0-32 14.33-32 32s14.33 32 32 32H416c17.67 0 32-14.33 32-32S433.7 288 416 288zM544 32h-223.1c-17.67 0-32 14.33-32 32s14.33 32 32 32H544c17.67 0 32-14.33 32-32S561.7 32 544 32zM352 416h-32c-17.67 0-32 14.33-32 32s14.33 32 32 32h32c17.67 0 31.1-14.33 31.1-32S369.7 416 352 416zM480 160h-159.1c-17.67 0-32 14.33-32 32s14.33 32 32 32H480c17.67 0 32-14.33 32-32S497.7 160 480 160zM192.4 330.7L160 366.1V64.03C160 46.33 145.7 32 128 32S96 46.33 96 64.03v302L63.6 330.7c-6.312-6.883-14.94-10.38-23.61-10.38c-7.719 0-15.47 2.781-21.61 8.414c-13.03 11.95-13.9 32.22-1.969 45.27l87.1 96.09c12.12 13.26 35.06 13.26 47.19 0l87.1-96.09c11.94-13.05 11.06-33.31-1.969-45.27C224.6 316.8 204.4 317.7 192.4 330.7z"],
    "arrow-down-z-a": [512, 512, ["sort-alpha-desc", "sort-alpha-down-alt"], "f881", "M104.4 470.1c12.12 13.26 35.06 13.26 47.19 0l87.1-96.09c11.94-13.05 11.06-33.31-1.969-45.27c-13.02-11.95-33.27-11.04-45.22 1.973L160 366.1V64.03c0-17.7-14.33-32.03-32-32.03S96 46.33 96 64.03v302l-32.4-35.39c-6.312-6.883-14.94-10.39-23.61-10.39c-7.719 0-15.47 2.785-21.61 8.414c-13.03 11.95-13.9 32.22-1.969 45.27L104.4 470.1zM320 96h50.75l-73.38 73.38c-9.156 9.156-11.89 22.91-6.938 34.88s16.63 19.74 29.56 19.74h127.1C465.7 223.1 480 209.7 480 192s-14.33-32-32-32h-50.75l73.38-73.38c9.156-9.156 11.89-22.91 6.938-34.88S460.9 32 447.1 32h-127.1C302.3 32 288 46.31 288 64S302.3 96 320 96zM492.6 433.3l-79.99-160.1c-10.84-21.81-46.4-21.81-57.24 0l-79.99 160.1c-7.906 15.91-1.5 35.24 14.31 43.19c15.87 7.922 35.04 1.477 42.93-14.4l7.154-14.39h88.43l7.154 14.39c6.174 12.43 23.97 23.87 42.93 14.4C494.1 468.6 500.5 449.2 492.6 433.3zM367.8 391.4L384 358.7l16.22 32.63H367.8z"],
    "arrow-left": [448, 512, [8592], "f060", "M447.1 256C447.1 273.7 433.7 288 416 288H109.3l105.4 105.4c12.5 12.5 12.5 32.75 0 45.25C208.4 444.9 200.2 448 192 448s-16.38-3.125-22.62-9.375l-160-160c-12.5-12.5-12.5-32.75 0-45.25l160-160c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L109.3 224H416C433.7 224 447.1 238.3 447.1 256z"],
    "arrow-left-from-line": [448, 512, [8612, "arrow-from-right"], "f344", "M182.6 361.4L109.3 288H288c17.69 0 32-14.31 32-32s-14.31-32-32-32H109.3l73.38-73.38C188.9 144.4 192 136.2 192 128S188.9 111.6 182.6 105.4c-12.5-12.5-32.75-12.5-45.25 0l-128 128c-12.5 12.5-12.5 32.75 0 45.25l128 128c12.5 12.5 32.75 12.5 45.25 0S195.1 373.9 182.6 361.4zM384 96v320c0 17.69 14.31 32 32 32s32-14.31 32-32V96c0-17.69-14.31-32-32-32S384 78.31 384 96z"],
    "arrow-left-long": [512, 512, ["long-arrow-left"], "f177", "M9.375 233.4l128-128c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L109.3 224H480c17.69 0 32 14.31 32 32s-14.31 32-32 32H109.3l73.38 73.38c12.5 12.5 12.5 32.75 0 45.25c-12.49 12.49-32.74 12.51-45.25 0l-128-128C-3.125 266.1-3.125 245.9 9.375 233.4z"],
    "arrow-left-long-to-line": [640, 512, [], "e3d4", "M0 96C0 78.33 14.33 64 32 64C49.67 64 64 78.33 64 96V416C64 433.7 49.67 448 32 448C14.33 448 0 433.7 0 416V96zM265.4 406.6L137.4 278.6C124.9 266.1 124.9 245.9 137.4 233.4L265.4 105.4C277.9 92.88 298.1 92.88 310.6 105.4C323.1 117.9 323.1 138.1 310.6 150.6L237.2 224H608C625.7 224 640 238.3 640 256C640 273.7 625.7 288 608 288H237.2L310.6 361.4C323.1 373.9 323.1 394.1 310.6 406.6C298.1 419.1 277.9 419.1 265.4 406.6z"],
    "arrow-left-to-line": [448, 512, [8676, "arrow-to-left"], "f33e", "M310.6 105.4c-12.5-12.5-32.75-12.5-45.25 0l-128 128c-12.5 12.5-12.5 32.75 0 45.25l128 128c12.5 12.5 32.75 12.5 45.25 0C316.9 400.4 320 392.2 320 384s-3.125-16.38-9.375-22.62L237.3 288H416c17.69 0 32-14.31 32-32s-14.31-32-32-32h-178.8l73.38-73.38C323.1 138.1 323.1 117.9 310.6 105.4zM32 64C14.31 64 0 78.31 0 96v320c0 17.69 14.31 32 32 32s32-14.31 32-32V96C64 78.31 49.69 64 32 64z"],
    "arrow-pointer": [320, 512, ["mouse-pointer"], "f245", "M23.19 32C28.86 32 34.34 34.08 38.59 37.86L312.6 281.4C317.3 285.6 320 291.6 320 297.9C320 310.1 310.1 320 297.9 320H179.8L236.6 433.7C244.5 449.5 238.1 468.7 222.3 476.6C206.5 484.5 187.3 478.1 179.4 462.3L121.2 346L38.58 440.5C34.4 445.3 28.36 448 22.01 448C9.855 448 0 438.1 0 425.1V55.18C0 42.38 10.38 32 23.18 32H23.19z"],
    "arrow-right": [448, 512, [8594], "f061", "M438.6 278.6l-160 160C272.4 444.9 264.2 448 256 448s-16.38-3.125-22.62-9.375c-12.5-12.5-12.5-32.75 0-45.25L338.8 288H32C14.33 288 .0016 273.7 .0016 256S14.33 224 32 224h306.8l-105.4-105.4c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0l160 160C451.1 245.9 451.1 266.1 438.6 278.6z"],
    "arrow-right-arrow-left": [512, 512, [8644, "exchange"], "f0ec", "M32 176h370.8l-57.38 57.38c-12.5 12.5-12.5 32.75 0 45.25C351.6 284.9 359.8 288 368 288s16.38-3.125 22.62-9.375l112-112c12.5-12.5 12.5-32.75 0-45.25l-112-112c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25L402.8 112H32c-17.69 0-32 14.31-32 32S14.31 176 32 176zM480 336H109.3l57.38-57.38c12.5-12.5 12.5-32.75 0-45.25s-32.75-12.5-45.25 0l-112 112c-12.5 12.5-12.5 32.75 0 45.25l112 112C127.6 508.9 135.8 512 144 512s16.38-3.125 22.62-9.375c12.5-12.5 12.5-32.75 0-45.25L109.3 400H480c17.69 0 32-14.31 32-32S497.7 336 480 336z"],
    "arrow-right-from-arc": [512, 512, [], "e4b1", "M256 448C273.7 448 288 462.3 288 480C288 497.7 273.7 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C273.7 0 288 14.33 288 32C288 49.67 273.7 64 256 64C149.1 64 64 149.1 64 256C64 362 149.1 448 256 448zM502.6 233.4C515.1 245.9 515.1 266.1 502.6 278.6L390.6 390.6C378.1 403.1 357.9 403.1 345.4 390.6C332.9 378.1 332.9 357.9 345.4 345.4L402.7 288H192C174.3 288 160 273.7 160 256C160 238.3 174.3 224 192 224H402.7L345.4 166.6C332.9 154.1 332.9 133.9 345.4 121.4C357.9 108.9 378.1 108.9 390.6 121.4L502.6 233.4z"],
    "arrow-right-from-bracket": [512, 512, ["sign-out"], "f08b", "M160 416H96c-17.67 0-32-14.33-32-32V128c0-17.67 14.33-32 32-32h64c17.67 0 32-14.33 32-32S177.7 32 160 32H96C42.98 32 0 74.98 0 128v256c0 53.02 42.98 96 96 96h64c17.67 0 32-14.33 32-32S177.7 416 160 416zM502.6 233.4l-128-128c-12.51-12.51-32.76-12.49-45.25 0c-12.5 12.5-12.5 32.75 0 45.25L402.8 224H192C174.3 224 160 238.3 160 256s14.31 32 32 32h210.8l-73.38 73.38c-12.5 12.5-12.5 32.75 0 45.25s32.75 12.5 45.25 0l128-128C515.1 266.1 515.1 245.9 502.6 233.4z"],
    "arrow-right-from-line": [448, 512, [8614, "arrow-from-left"], "f343", "M265.4 150.6L338.8 224H160C142.3 224 128 238.3 128 256s14.31 32 32 32h178.8l-73.38 73.38C259.1 367.6 256 375.8 256 384s3.125 16.38 9.375 22.62c12.5 12.5 32.75 12.5 45.25 0l128-128c12.5-12.5 12.5-32.75 0-45.25l-128-128c-12.5-12.5-32.75-12.5-45.25 0S252.9 138.1 265.4 150.6zM64 416V96c0-17.69-14.31-32-32-32S0 78.31 0 96v320c0 17.69 14.31 32 32 32S64 433.7 64 416z"],
    "arrow-right-long": [512, 512, ["long-arrow-right"], "f178", "M502.6 278.6l-128 128c-12.51 12.51-32.76 12.49-45.25 0c-12.5-12.5-12.5-32.75 0-45.25L402.8 288H32C14.31 288 0 273.7 0 255.1S14.31 224 32 224h370.8l-73.38-73.38c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0l128 128C515.1 245.9 515.1 266.1 502.6 278.6z"],
    "arrow-right-long-to-line": [640, 512, [], "e3d5", "M640 416C640 433.7 625.7 448 608 448C590.3 448 576 433.7 576 416V96C576 78.33 590.3 64 608 64C625.7 64 640 78.33 640 96V416zM329.4 406.6C316.9 394.1 316.9 373.9 329.4 361.4L402.7 288H32C14.31 288 0 273.7 0 256C0 238.3 14.31 224 32 224H402.7L329.4 150.6C316.9 138.1 316.9 117.9 329.4 105.4C341.9 92.88 362.1 92.88 374.6 105.4L502.6 233.4C515.1 245.9 515.1 266.1 502.6 278.6L374.6 406.6C362.1 419.1 341.9 419.1 329.4 406.6z"],
    "arrow-right-to-arc": [512, 512, [], "e4b2", "M448 256C448 149.1 362 64 256 64C238.3 64 224 49.67 224 32C224 14.33 238.3 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C238.3 512 224 497.7 224 480C224 462.3 238.3 448 256 448C362 448 448 362 448 256zM342.6 233.4C355.1 245.9 355.1 266.1 342.6 278.6L230.6 390.6C218.1 403.1 197.9 403.1 185.4 390.6C172.9 378.1 172.9 357.9 185.4 345.4L242.7 288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H242.7L185.4 166.6C172.9 154.1 172.9 133.9 185.4 121.4C197.9 108.9 218.1 108.9 230.6 121.4L342.6 233.4z"],
    "arrow-right-to-bracket": [512, 512, ["sign-in"], "f090", "M416 32h-64c-17.67 0-32 14.33-32 32s14.33 32 32 32h64c17.67 0 32 14.33 32 32v256c0 17.67-14.33 32-32 32h-64c-17.67 0-32 14.33-32 32s14.33 32 32 32h64c53.02 0 96-42.98 96-96V128C512 74.98 469 32 416 32zM342.6 233.4l-128-128c-12.51-12.51-32.76-12.49-45.25 0c-12.5 12.5-12.5 32.75 0 45.25L242.8 224H32C14.31 224 0 238.3 0 256s14.31 32 32 32h210.8l-73.38 73.38c-12.5 12.5-12.5 32.75 0 45.25s32.75 12.5 45.25 0l128-128C355.1 266.1 355.1 245.9 342.6 233.4z"],
    "arrow-right-to-city": [640, 512, [], "e4b3", "M288 48C288 21.49 309.5 0 336 0H432C458.5 0 480 21.49 480 48V192H520V120C520 106.7 530.7 96 544 96C557.3 96 568 106.7 568 120V192H592C618.5 192 640 213.5 640 240V464C640 490.5 618.5 512 592 512H336C309.5 512 288 490.5 288 464V48zM352 112C352 120.8 359.2 128 368 128H400C408.8 128 416 120.8 416 112V80C416 71.16 408.8 64 400 64H368C359.2 64 352 71.16 352 80V112zM368 160C359.2 160 352 167.2 352 176V208C352 216.8 359.2 224 368 224H400C408.8 224 416 216.8 416 208V176C416 167.2 408.8 160 400 160H368zM352 304C352 312.8 359.2 320 368 320H400C408.8 320 416 312.8 416 304V272C416 263.2 408.8 256 400 256H368C359.2 256 352 263.2 352 272V304zM528 256C519.2 256 512 263.2 512 272V304C512 312.8 519.2 320 528 320H560C568.8 320 576 312.8 576 304V272C576 263.2 568.8 256 560 256H528zM512 400C512 408.8 519.2 416 528 416H560C568.8 416 576 408.8 576 400V368C576 359.2 568.8 352 560 352H528C519.2 352 512 359.2 512 368V400zM246.6 233.4C259.1 245.9 259.1 266.1 246.6 278.6L166.6 358.6C154.1 371.1 133.9 371.1 121.4 358.6C108.9 346.1 108.9 325.9 121.4 313.4L146.7 288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H146.7L121.4 198.6C108.9 186.1 108.9 165.9 121.4 153.4C133.9 140.9 154.1 140.9 166.6 153.4L246.6 233.4z"],
    "arrow-right-to-line": [448, 512, [8677, "arrow-to-right"], "f340", "M137.4 150.6L210.8 224H32C14.31 224 0 238.3 0 256s14.31 32 32 32h178.8l-73.38 73.38C131.1 367.6 128 375.8 128 384s3.125 16.38 9.375 22.62c12.5 12.5 32.75 12.5 45.25 0l128-128c12.5-12.5 12.5-32.75 0-45.25l-128-128c-12.5-12.5-32.75-12.5-45.25 0S124.9 138.1 137.4 150.6zM384 96v320c0 17.69 14.31 32 32 32s32-14.31 32-32V96c0-17.69-14.31-32-32-32S384 78.31 384 96z"],
    "arrow-rotate-left": [512, 512, [8634, "arrow-left-rotate", "arrow-rotate-back", "arrow-rotate-backward", "undo"], "f0e2", "M480 256c0 123.4-100.5 223.9-223.9 223.9c-48.86 0-95.19-15.58-134.2-44.86c-14.14-10.59-17-30.66-6.391-44.81c10.61-14.09 30.69-16.97 44.8-6.375c27.84 20.91 61 31.94 95.89 31.94C344.3 415.8 416 344.1 416 256s-71.67-159.8-159.8-159.8C205.9 96.22 158.6 120.3 128.6 160H192c17.67 0 32 14.31 32 32S209.7 224 192 224H48c-17.67 0-32-14.31-32-32V48c0-17.69 14.33-32 32-32s32 14.31 32 32v70.23C122.1 64.58 186.1 32.11 256.1 32.11C379.5 32.11 480 132.6 480 256z"],
    "arrow-rotate-right": [512, 512, [8635, "arrow-right-rotate", "arrow-rotate-forward", "redo"], "f01e", "M496 48V192c0 17.69-14.31 32-32 32H320c-17.69 0-32-14.31-32-32s14.31-32 32-32h63.39c-29.97-39.7-77.25-63.78-127.6-63.78C167.7 96.22 96 167.9 96 256s71.69 159.8 159.8 159.8c34.88 0 68.03-11.03 95.88-31.94c14.22-10.53 34.22-7.75 44.81 6.375c10.59 14.16 7.75 34.22-6.375 44.81c-39.03 29.28-85.36 44.86-134.2 44.86C132.5 479.9 32 379.4 32 256s100.5-223.9 223.9-223.9c69.15 0 134 32.47 176.1 86.12V48c0-17.69 14.31-32 32-32S496 30.31 496 48z"],
    "arrow-trend-down": [576, 512, [], "e097", "M466.7 352L320 205.3L214.6 310.6C202.1 323.1 181.9 323.1 169.4 310.6L9.372 150.6C-3.124 138.1-3.124 117.9 9.372 105.4C21.87 92.88 42.13 92.88 54.63 105.4L191.1 242.7L297.4 137.4C309.9 124.9 330.1 124.9 342.6 137.4L512 306.7V223.1C512 206.3 526.3 191.1 544 191.1C561.7 191.1 576 206.3 576 223.1V384C576 401.7 561.7 416 544 416H384C366.3 416 352 401.7 352 384C352 366.3 366.3 352 384 352L466.7 352z"],
    "arrow-trend-up": [576, 512, [], "e098", "M384 160C366.3 160 352 145.7 352 128C352 110.3 366.3 96 384 96H544C561.7 96 576 110.3 576 128V288C576 305.7 561.7 320 544 320C526.3 320 512 305.7 512 288V205.3L342.6 374.6C330.1 387.1 309.9 387.1 297.4 374.6L191.1 269.3L54.63 406.6C42.13 419.1 21.87 419.1 9.372 406.6C-3.124 394.1-3.124 373.9 9.372 361.4L169.4 201.4C181.9 188.9 202.1 188.9 214.6 201.4L320 306.7L466.7 159.1L384 160z"],
    "arrow-turn-down": [384, 512, ["level-down"], "f149", "M342.6 374.6l-128 128C208.4 508.9 200.2 512 191.1 512s-16.38-3.125-22.63-9.375l-127.1-128c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L160 402.8V80C160 71.19 152.8 64 144 64H32C14.33 64 0 49.69 0 32s14.33-32 32-32h112C188.1 0 224 35.88 224 80v322.8l73.37-73.38c12.5-12.5 32.75-12.5 45.25 0S355.1 362.1 342.6 374.6z"],
    "arrow-turn-down-left": [512, 512, [], "e2e1", "M137.4 438.6l-128-128c-12.5-12.5-12.5-32.75 0-45.25l128-127.1c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L109.3 256H432C440.8 256 448 248.8 448 240V64c0-17.67 14.31-32 32-32s32 14.33 32 32v176c0 44.11-35.88 80-80 80H109.3l73.38 73.37C188.9 399.6 192 407.8 192 415.1s-3.125 16.38-9.375 22.62C170.1 451.1 149.9 451.1 137.4 438.6z"],
    "arrow-turn-down-right": [512, 512, [], "e3d6", "M329.4 438.6C323.1 432.4 320 424.2 320 416C320 407.8 323.1 399.6 329.4 393.4L402.7 320H80C35.87 320 0 284.1 0 240V64C0 46.33 14.31 32 32 32C49.69 32 64 46.33 64 64V240C64 248.8 71.19 256 80 256H402.7L329.4 182.6C316.9 170.1 316.9 149.9 329.4 137.4C341.9 124.9 362.1 124.9 374.6 137.4L502.6 265.4C515.1 277.9 515.1 298.1 502.6 310.6L374.6 438.6C362.1 451.1 341.9 451.1 329.4 438.6V438.6z"],
    "arrow-turn-up": [384, 512, ["level-up"], "f148", "M342.6 182.6C336.4 188.9 328.2 192 319.1 192s-16.38-3.125-22.62-9.375L224 109.3V432c0 44.13-35.89 80-80 80H32c-17.67 0-32-14.31-32-32s14.33-32 32-32h112C152.8 448 160 440.8 160 432V109.3L86.62 182.6c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l127.1-128c12.5-12.5 32.75-12.5 45.25 0l128 128C355.1 149.9 355.1 170.1 342.6 182.6z"],
    "arrow-up": [384, 512, [8593], "f062", "M374.6 246.6C368.4 252.9 360.2 256 352 256s-16.38-3.125-22.62-9.375L224 141.3V448c0 17.69-14.33 31.1-31.1 31.1S160 465.7 160 448V141.3L54.63 246.6c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l160-160c12.5-12.5 32.75-12.5 45.25 0l160 160C387.1 213.9 387.1 234.1 374.6 246.6z"],
    "arrow-up-1-9": [512, 512, ["sort-numeric-up"], "f163", "M320 192c0 17.69 14.31 31.1 32 31.1L416 224c17.69 0 32-14.31 32-32s-14.31-32-32-32V63.98c0-11.19-5.844-21.53-15.38-27.34c-9.531-5.781-21.41-6.188-31.34-1.062l-32 16.59c-15.69 8.125-21.81 27.44-13.69 43.13C329.3 106.3 340.4 112.6 352 112.6V160C334.3 160 320 174.3 320 192zM392 255.6c-48.6 0-88 39.4-88 88c0 36.44 22.15 67.7 53.71 81.07l-7.682 8.004c-10.72 11.16-10.34 28.88 .8125 39.56C356.3 477.4 363.3 480 370.2 480c7.344 0 14.72-2.875 20.19-8.625c69.61-72.53 89.6-85.39 89.6-127.8C480 294.1 440.6 255.6 392 255.6zM392 367.6c-13.23 0-24-10.77-24-24s10.77-24 24-24s24 10.77 24 24S405.2 367.6 392 367.6zM39.99 191.7c8.672 0 17.3-3.5 23.61-10.38L96 145.9v302c0 17.7 14.33 32.03 31.1 32.03s32-14.33 32-32.03V145.9L192.4 181.3C204.4 194.3 224.6 195.2 237.6 183.3c13.03-11.95 13.9-32.22 1.969-45.27L151.6 41.94c-12.12-13.26-35.06-13.26-47.19 0l-87.1 96.09C4.475 151.1 5.35 171.3 18.38 183.3C24.52 188.9 32.27 191.7 39.99 191.7z"],
    "arrow-up-9-1": [512, 512, ["sort-numeric-up-alt"], "f887", "M237.6 183.3c13.03-11.95 13.9-32.22 1.969-45.27L151.6 41.94c-12.12-13.26-35.06-13.26-47.19 0l-87.1 96.09C4.475 151.1 5.35 171.3 18.38 183.3c13.02 11.95 33.27 11.04 45.22-1.969L96 145.9v302c0 17.7 14.33 32.03 31.1 32.03s32-14.33 32-32.03V145.9L192.4 181.3c6.312 6.883 14.94 10.38 23.61 10.38C223.7 191.7 231.5 188.9 237.6 183.3zM357.7 201.1l-7.682 8.004c-10.72 11.16-10.34 28.88 .8125 39.56c5.406 5.219 12.41 7.812 19.38 7.812c7.344 0 14.72-2.875 20.19-8.625c69.61-72.53 89.6-85.39 89.6-127.8c0-48.6-39.4-88-88-88s-88 39.4-88 88C303.1 156.4 326.1 187.7 357.7 201.1zM392 96c13.23 0 24 10.77 24 24S405.2 144 392 144S368 133.2 368 120S378.8 96 392 96zM416 416.4v-96.02c0-11.19-5.844-21.53-15.38-27.34c-9.531-5.781-21.41-6.188-31.34-1.062l-32 16.59c-15.69 8.125-21.81 27.44-13.69 43.13C329.3 362.8 340.4 369 352 369v47.41c-17.69 0-32 14.31-32 32s14.31 32 32 32h64c17.69 0 32-14.31 32-32S433.7 416.4 416 416.4z"],
    "arrow-up-a-z": [512, 512, ["sort-alpha-up"], "f15e", "M151.6 41.95c-12.12-13.26-35.06-13.26-47.19 0l-87.1 96.09C4.473 151.1 5.348 171.4 18.38 183.3c13.02 11.95 33.27 11.04 45.22-1.973L96 145.9v302C96 465.7 110.3 480 128 480S160 465.7 160 447.1V145.9L192.4 181.3c11.46 12.49 31.67 14.39 45.22 1.973c13.03-11.95 13.9-32.22 1.969-45.27L151.6 41.95zM448 416h-50.75l73.38-73.38c9.156-9.156 11.89-22.91 6.938-34.88s-16.63-19.86-29.56-19.86H319.1C302.3 287.9 288 302.3 288 320s14.33 32 32 32h50.75l-73.38 73.38c-9.156 9.156-11.89 22.91-6.938 34.88S307.1 480 319.1 480h127.1C465.7 480 480 465.7 480 448S465.7 416 448 416zM492.6 209.3l-79.99-160.1c-10.84-21.81-46.4-21.81-57.24 0L275.4 209.3c-7.906 15.91-1.5 35.24 14.31 43.19c15.87 7.922 35.04 1.477 42.93-14.4l7.154-14.39h88.43l7.154 14.39c6.174 12.43 23.97 23.87 42.93 14.4C494.1 244.6 500.5 225.2 492.6 209.3zM367.8 167.4L384 134.7l16.22 32.63H367.8z"],
    "arrow-up-arrow-down": [448, 512, ["sort-up-down"], "e099", "M18.38 183.3C31.97 195.8 52.17 193.8 63.6 181.3L96 145.9v302C96 465.7 110.3 480 128 480s32-14.33 32-32.03V145.9L192.4 181.3c11.95 13.01 32.2 13.92 45.22 1.973c13.03-11.95 13.9-32.22 1.969-45.27L151.6 41.95c-12.12-13.26-35.06-13.26-47.19 0l-87.1 96.09C4.473 151.1 5.348 171.4 18.38 183.3zM210.4 328.7c-13.03 11.95-13.9 32.22-1.969 45.27l87.1 96.09c12.12 13.26 35.06 13.26 47.19 0l87.1-96.09c11.94-13.05 11.06-33.31-1.969-45.27c-13.59-12.46-33.8-10.48-45.22 1.969L352 366.1V64.03C352 46.33 337.7 32 320 32s-32 14.33-32 32.03v302l-32.4-35.4C243.6 317.7 223.4 316.8 210.4 328.7z"],
    "arrow-up-big-small": [512, 512, ["sort-size-up"], "f88e", "M416 320h-96c-17.6 0-32 14.4-32 32v96c0 17.6 14.4 32 32 32h96c17.6 0 32-14.4 32-32v-96C448 334.4 433.6 320 416 320zM480 32h-160c-17.67 0-32 14.33-32 32v160c0 17.67 14.33 32 32 32h160c17.67 0 32-14.33 32-32V64C512 46.33 497.7 32 480 32zM151.6 41.95c-12.12-13.26-35.06-13.26-47.19 0l-87.1 96.09C4.473 151.1 5.348 171.4 18.38 183.3c13.02 11.95 33.27 11.04 45.22-1.973L96 145.9v302C96 465.7 110.3 480 128 480s32-14.33 32-32.03V145.9L192.4 181.3c6.312 6.883 14.94 10.39 23.61 10.39c7.719 0 15.47-2.785 21.61-8.414c13.03-11.95 13.9-32.22 1.969-45.27L151.6 41.95z"],
    "arrow-up-from-arc": [512, 512, [], "e4b4", "M448 256C448 238.3 462.3 224 480 224C497.7 224 512 238.3 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 238.3 14.33 224 32 224C49.67 224 64 238.3 64 256C64 362 149.1 448 256 448C362 448 448 362 448 256zM233.4 9.372C245.9-3.124 266.1-3.124 278.6 9.372L390.6 121.4C403.1 133.9 403.1 154.1 390.6 166.6C378.1 179.1 357.9 179.1 345.4 166.6L288 109.3V320C288 337.7 273.7 352 256 352C238.3 352 224 337.7 224 320V109.3L166.6 166.6C154.1 179.1 133.9 179.1 121.4 166.6C108.9 154.1 108.9 133.9 121.4 121.4L233.4 9.372z"],
    "arrow-up-from-bracket": [448, 512, [], "e09a", "M384 352v64c0 17.67-14.33 32-32 32H96c-17.67 0-32-14.33-32-32v-64c0-17.67-14.33-32-32-32s-32 14.33-32 32v64c0 53.02 42.98 96 96 96h256c53.02 0 96-42.98 96-96v-64c0-17.67-14.33-32-32-32S384 334.3 384 352zM201.4 9.375l-128 128c-12.51 12.51-12.49 32.76 0 45.25c12.5 12.5 32.75 12.5 45.25 0L192 109.3V320c0 17.69 14.31 32 32 32s32-14.31 32-32V109.3l73.38 73.38c12.5 12.5 32.75 12.5 45.25 0s12.5-32.75 0-45.25l-128-128C234.1-3.125 213.9-3.125 201.4 9.375z"],
    "arrow-up-from-dotted-line": [448, 512, [], "e09b", "M128 416c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S145.7 416 128 416zM224 416c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S241.7 416 224 416zM32 416c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S49.67 416 32 416zM374.6 169.4l-128-128c-12.5-12.5-32.75-12.5-45.25 0l-128 128c-12.5 12.5-12.5 32.75 0 45.25s32.75 12.5 45.25 0L192 141.3V320c0 17.69 14.31 32 32 32s32-14.31 32-32V141.3l73.38 73.38C335.6 220.9 343.8 224 352 224s16.38-3.125 22.62-9.375C387.1 202.1 387.1 181.9 374.6 169.4zM320 416c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S337.7 416 320 416zM416 416c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S433.7 416 416 416z"],
    "arrow-up-from-ground-water": [576, 512, [], "e4b5", "M256 319.1V109.3L230.6 134.6C218.1 147.1 197.9 147.1 185.4 134.6C172.9 122.1 172.9 101.9 185.4 89.37L265.4 9.372C277.9-3.124 298.1-3.124 310.6 9.372L390.6 89.37C403.1 101.9 403.1 122.1 390.6 134.6C378.1 147.1 357.9 147.1 345.4 134.6L320 109.3V319.1C320 337.7 305.7 352 288 352C270.3 352 256 337.7 256 319.1zM269.5 421.9C280.6 414 295.4 414 306.5 421.9C328.1 437.4 356.5 448 384 448C410.9 448 439.4 437.2 461.4 421.9L461.5 421.9C473.4 413.4 489.5 414.1 500.7 423.6C515.1 435.5 533.2 444.6 551.3 448.8C568.5 452.8 579.2 470.1 575.2 487.3C571.2 504.5 553.1 515.2 536.7 511.2C512.2 505.4 491.9 494.6 478.5 486.2C449.5 501.7 417 512 384 512C352.1 512 323.4 502.1 303.6 493.1C297.7 490.5 292.5 487.8 288 485.4C283.5 487.8 278.3 490.5 272.4 493.1C252.6 502.1 223.9 512 192 512C158.1 512 126.5 501.7 97.5 486.2C84.13 494.6 63.79 505.4 39.27 511.2C22.06 515.2 4.854 504.5 .8429 487.3C-3.168 470.1 7.533 452.8 24.74 448.8C42.84 444.6 60.96 435.5 75.31 423.6C86.46 414.1 102.6 413.4 114.5 421.9L114.6 421.9C136.7 437.2 165.1 448 192 448C219.5 448 247 437.4 269.5 421.9H269.5zM192 416.5C172.1 416.4 150.8 408.5 132.9 396.1C109.1 379.4 77.01 380.8 54.78 399.5C44.18 408.3 30.59 415.1 17.49 418.1C11.19 419.6 5.326 421.9 0 425V239.1C0 213.5 21.49 191.1 48 191.1H192V416.5zM576 239.1V424.1C570.7 421.9 564.8 419.6 558.5 418.1C545.4 415.1 531.8 408.3 521.2 399.5C499 380.8 466.9 379.4 443.2 396.1C425.2 408.5 403 416.5 384 416.5L384 191.1H528C554.5 191.1 576 213.5 576 239.1L576 239.1z"],
    "arrow-up-from-line": [384, 512, [8613, "arrow-from-bottom"], "f342", "M86.63 214.6L160 141.3V320c0 17.69 14.31 32 32 32s32-14.31 32-32V141.3l73.38 73.38C303.6 220.9 311.8 224 320 224s16.38-3.125 22.62-9.375c12.5-12.5 12.5-32.75 0-45.25l-128-128c-12.5-12.5-32.75-12.5-45.25 0l-128 128c-12.5 12.5-12.5 32.75 0 45.25S74.13 227.1 86.63 214.6zM352 416H32c-17.69 0-32 14.31-32 32s14.31 32 32 32h320c17.69 0 32-14.31 32-32S369.7 416 352 416z"],
    "arrow-up-from-square": [512, 512, [], "e09c", "M167.8 159.7c8.895 0 17.63-3.71 23.76-10.39L224 113.9V320c0 17.7 14.33 32.02 32 32.02S288 337.7 288 320V113.9l32.4 35.39c6.32 6.879 14.96 10.38 23.63 10.38c17.64 0 31.97-14.29 31.97-32.01c0-7.734-2.78-15.51-8.409-21.66l-87.1-96.09C273.5 3.312 264.8-.0002 256-.0002S238.5 3.312 232.4 9.945l-87.1 96.09c-5.629 6.152-8.409 13.93-8.409 21.66C135.1 145.4 150.3 159.7 167.8 159.7zM448 96h-32v63.92L448 160v288H64V160l32-.0824V96H64C28.72 96 0 124.7 0 160v288c0 35.28 28.72 64 64 64h384c35.28 0 64-28.72 64-64V160C512 124.7 483.3 96 448 96z"],
    "arrow-up-from-water-pump": [576, 512, [], "e4b6", "M239.1 0C266.5 0 287.1 21.49 287.1 48V256H416V109.3L390.6 134.6C378.1 147.1 357.9 147.1 345.4 134.6C332.9 122.1 332.9 101.9 345.4 89.37L425.4 9.373C437.9-3.124 458.1-3.124 470.6 9.373L550.6 89.37C563.1 101.9 563.1 122.1 550.6 134.6C538.1 147.1 517.9 147.1 505.4 134.6L480 109.3V256H528C554.5 256 576 277.5 576 304V400C576 408 574 415.6 570.6 422.2C566.8 420.5 562.8 419.1 558.5 418.1C545.4 415.1 531.8 408.3 521.2 399.5C499 380.8 466.9 379.4 443.2 396.1C425.2 408.5 403 416.5 384 416.5C364.4 416.5 343.2 408.8 324.8 396.1C302.8 380.6 273.3 380.6 251.2 396.1C234 407.9 213.2 416.5 192 416.5C172.1 416.5 150.8 408.5 132.9 396.1C109.1 379.4 77.01 380.8 54.78 399.5C44.18 408.3 30.59 415.1 17.49 418.1C13.27 419.1 9.239 420.5 5.439 422.2C1.965 415.6 0 408 0 400V304C0 277.5 21.49 256 48 256H64V48C64 21.49 85.49 0 112 0H239.1zM384 448C410.9 448 439.4 437.2 461.4 421.9L461.5 421.9C473.4 413.4 489.5 414.1 500.7 423.6C515 435.5 533.2 444.6 551.3 448.8C568.5 452.8 579.2 470.1 575.2 487.3C571.2 504.5 553.1 515.2 536.7 511.2C512.2 505.4 491.9 494.6 478.5 486.2C449.5 501.7 417 512 384 512C352.1 512 323.4 502.1 303.6 493.1C297.7 490.5 292.5 487.8 288 485.4C283.5 487.8 278.3 490.5 272.4 493.1C252.6 502.1 223.9 512 192 512C158.1 512 126.5 501.7 97.5 486.2C84.12 494.6 63.79 505.4 39.27 511.2C22.06 515.2 4.853 504.5 .8422 487.3C-3.169 470.1 7.532 452.8 24.74 448.8C42.84 444.6 60.96 435.5 75.31 423.6C86.46 414.1 102.6 413.4 114.5 421.9L114.6 421.9C136.7 437.2 165.1 448 192 448C219.5 448 247 437.4 269.5 421.9C280.6 414 295.4 414 306.5 421.9C328.1 437.4 356.5 448 384 448H384z"],
    "arrow-up-left": [320, 512, [], "e09d", "M310.6 406.6C304.4 412.9 296.2 416 288 416s-16.38-3.125-22.62-9.375L64 205.3V352c0 17.69-14.33 32-32 32s-32-14.31-32-32V128c0-17.69 14.33-32 32-32h224c17.67 0 32 14.31 32 32s-14.33 32-32 32H109.3l201.4 201.4C323.1 373.9 323.1 394.1 310.6 406.6z"],
    "arrow-up-left-from-circle": [512, 512, [], "e09e", "M333.3 336c12.5-12.5 12.5-32.77 0-45.26L109.3 63.99H192c17.67 0 31.99-14.33 31.99-31.1C223.1 14.32 209.7 0 192 0H32C23.16 0 15.16 3.578 9.371 9.367C3.578 15.16 0 23.16 0 31.1V192c0 17.67 14.32 31.1 31.99 31.1S63.99 209.7 63.99 192V109.2L288 336C300.5 348.5 320.8 348.5 333.3 336zM325.3 67.09C307.8 64 291.4 75.91 288.4 93.38c-2.906 17.44 8.844 33.91 26.28 36.84C391.9 143.2 448 209.5 448 288c0 88.22-71.78 160-160 160c-78.47 0-144.8-56.06-157.8-133.3C127.3 297.3 111.1 285.3 93.34 288.4c-17.41 2.938-29.19 19.44-26.25 36.88C85.25 433.5 178.2 512 288 512c123.5 0 224-100.5 224-224C512 178.1 433.5 85.22 325.3 67.09z"],
    "arrow-up-long": [320, 512, ["long-arrow-up"], "f176", "M310.6 182.6c-12.51 12.51-32.76 12.49-45.25 0L192 109.3V480c0 17.69-14.31 32-32 32s-32-14.31-32-32V109.3L54.63 182.6c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l128-128c12.5-12.5 32.75-12.5 45.25 0l128 128C323.1 149.9 323.1 170.1 310.6 182.6z"],
    "arrow-up-right": [320, 512, [], "e09f", "M320 128v224c0 17.69-14.33 32-32 32s-32-14.31-32-32V205.3l-201.4 201.4C48.38 412.9 40.19 416 32 416s-16.38-3.125-22.62-9.375c-12.5-12.5-12.5-32.75 0-45.25L210.8 160H64C46.33 160 32 145.7 32 128s14.33-32 32-32h224C305.7 96 320 110.3 320 128z"],
    "arrow-up-right-and-arrow-down-left-from-center": [512, 512, [], "e0a0", "M177.4 289.4L64 402.8V352c0-17.69-14.31-32-32-32s-32 14.31-32 32v128c0 4.164 .8477 8.312 2.465 12.22c3.24 7.832 9.479 14.07 17.31 17.31C23.69 511.2 27.84 512 32 512h128c17.69 0 32-14.31 32-32s-14.31-32-32-32H109.3l113.4-113.4c12.5-12.5 12.5-32.75 0-45.25S189.9 276.9 177.4 289.4zM509.5 19.78c-3.242-7.84-9.479-14.08-17.32-17.32C488.3 .8477 484.2 0 480 0h-128c-17.69 0-32 14.31-32 32s14.31 32 32 32h50.75l-113.4 113.4c-12.5 12.5-12.5 32.75 0 45.25c12.49 12.49 32.74 12.51 45.25 0L448 109.3V160c0 17.69 14.31 32 32 32s32-14.31 32-32V32C512 27.84 511.2 23.69 509.5 19.78z"],
    "arrow-up-right-dots": [576, 512, [], "e4b7", "M287.1 0C305.7 0 320 14.33 320 32V160C320 177.7 305.7 192 287.1 192C270.3 192 255.1 177.7 255.1 160V109.3L54.63 310.6C42.13 323.1 21.87 323.1 9.372 310.6C-3.124 298.1-3.124 277.9 9.372 265.4L210.7 64H159.1C142.3 64 127.1 49.67 127.1 32C127.1 14.33 142.3 0 159.1 0H287.1zM576 80C576 106.5 554.5 128 528 128C501.5 128 480 106.5 480 80C480 53.49 501.5 32 528 32C554.5 32 576 53.49 576 80zM448 208C448 234.5 426.5 256 400 256C373.5 256 352 234.5 352 208C352 181.5 373.5 160 400 160C426.5 160 448 181.5 448 208zM352 336C352 309.5 373.5 288 400 288C426.5 288 448 309.5 448 336C448 362.5 426.5 384 400 384C373.5 384 352 362.5 352 336zM448 464C448 490.5 426.5 512 400 512C373.5 512 352 490.5 352 464C352 437.5 373.5 416 400 416C426.5 416 448 437.5 448 464zM576 464C576 490.5 554.5 512 528 512C501.5 512 480 490.5 480 464C480 437.5 501.5 416 528 416C554.5 416 576 437.5 576 464zM223.1 336C223.1 309.5 245.5 288 271.1 288C298.5 288 320 309.5 320 336C320 362.5 298.5 384 271.1 384C245.5 384 223.1 362.5 223.1 336zM320 464C320 490.5 298.5 512 271.1 512C245.5 512 223.1 490.5 223.1 464C223.1 437.5 245.5 416 271.1 416C298.5 416 320 437.5 320 464zM95.1 464C95.1 437.5 117.5 416 143.1 416C170.5 416 191.1 437.5 191.1 464C191.1 490.5 170.5 512 143.1 512C117.5 512 95.1 490.5 95.1 464zM576 336C576 362.5 554.5 384 528 384C501.5 384 480 362.5 480 336C480 309.5 501.5 288 528 288C554.5 288 576 309.5 576 336zM480 208C480 181.5 501.5 160 528 160C554.5 160 576 181.5 576 208C576 234.5 554.5 256 528 256C501.5 256 480 234.5 480 208z"],
    "arrow-up-right-from-square": [448, 512, ["external-link"], "f08e", "M256 64C256 46.33 270.3 32 288 32H415.1C415.1 32 415.1 32 415.1 32C420.3 32 424.5 32.86 428.2 34.43C431.1 35.98 435.5 38.27 438.6 41.3C438.6 41.35 438.6 41.4 438.7 41.44C444.9 47.66 447.1 55.78 448 63.9C448 63.94 448 63.97 448 64V192C448 209.7 433.7 224 416 224C398.3 224 384 209.7 384 192V141.3L214.6 310.6C202.1 323.1 181.9 323.1 169.4 310.6C156.9 298.1 156.9 277.9 169.4 265.4L338.7 96H288C270.3 96 256 81.67 256 64V64zM0 128C0 92.65 28.65 64 64 64H160C177.7 64 192 78.33 192 96C192 113.7 177.7 128 160 128H64V416H352V320C352 302.3 366.3 288 384 288C401.7 288 416 302.3 416 320V416C416 451.3 387.3 480 352 480H64C28.65 480 0 451.3 0 416V128z"],
    "arrow-up-short-wide": [576, 512, ["sort-amount-up-alt"], "f885", "M544 416h-223.1c-17.67 0-32 14.33-32 32s14.33 32 32 32H544c17.67 0 32-14.33 32-32S561.7 416 544 416zM320 96h32c17.67 0 31.1-14.33 31.1-32s-14.33-32-31.1-32h-32c-17.67 0-32 14.33-32 32S302.3 96 320 96zM320 224H416c17.67 0 32-14.33 32-32s-14.33-32-32-32h-95.1c-17.67 0-32 14.33-32 32S302.3 224 320 224zM320 352H480c17.67 0 32-14.33 32-32s-14.33-32-32-32h-159.1c-17.67 0-32 14.33-32 32S302.3 352 320 352zM151.6 41.95c-12.12-13.26-35.06-13.26-47.19 0l-87.1 96.09C4.475 151.1 5.35 171.4 18.38 183.3c6.141 5.629 13.89 8.414 21.61 8.414c8.672 0 17.3-3.504 23.61-10.39L96 145.9v302C96 465.7 110.3 480 128 480s32-14.33 32-32.03V145.9L192.4 181.3C204.4 194.3 224.6 195.3 237.6 183.3c13.03-11.95 13.9-32.22 1.969-45.27L151.6 41.95z"],
    "arrow-up-small-big": [512, 512, ["sort-size-up-alt"], "f88f", "M480 256h-160c-17.67 0-32 14.33-32 32v160c0 17.67 14.33 32 32 32h160c17.67 0 32-14.33 32-32V288C512 270.3 497.7 256 480 256zM320 192h96c17.6 0 32-14.4 32-32V64c0-17.6-14.4-32-32-32h-96c-17.6 0-32 14.4-32 32v96C288 177.6 302.4 192 320 192zM151.6 41.95c-12.12-13.26-35.06-13.26-47.19 0l-87.1 96.09C4.473 151.1 5.348 171.4 18.38 183.3c13.02 11.95 33.27 11.04 45.22-1.973L96 145.9v302C96 465.7 110.3 480 128 480s32-14.33 32-32.03V145.9L192.4 181.3c6.312 6.883 14.94 10.39 23.61 10.39c7.719 0 15.47-2.785 21.61-8.414c13.03-11.95 13.9-32.22 1.969-45.27L151.6 41.95z"],
    "arrow-up-square-triangle": [512, 512, ["sort-shapes-up-alt"], "f88b", "M320 224h128c17.67 0 32-14.33 32-32V64c0-17.67-14.33-32-32-32h-128c-17.67 0-31.1 14.33-31.1 32v128C288 209.7 302.3 224 320 224zM151.6 41.95c-12.12-13.26-35.06-13.26-47.19 0l-87.1 96.09C4.473 151.1 5.348 171.4 18.38 183.3c13.02 11.95 33.27 11.04 45.22-1.973L96 145.9v302C96 465.7 110.3 480 128 480s32-14.33 32-32.03V145.9L192.4 181.3c11.42 12.45 31.63 14.43 45.22 1.973c13.03-11.95 13.9-32.22 1.969-45.27L151.6 41.95zM492.1 438.9l-83.13-137.1c-11.12-18.38-38.75-18.38-49.88 0l-83.25 137.1c-11 18.25 2.75 41.13 25 41.13h166.3C489.4 480 503.1 457.1 492.1 438.9z"],
    "arrow-up-to-dotted-line": [448, 512, [], "e0a1", "M320 95.1c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S302.3 95.1 320 95.1zM224 95.1c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S206.3 95.1 224 95.1zM416 95.1c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S398.3 95.1 416 95.1zM374.6 281.4l-128-128c-12.5-12.5-32.75-12.5-45.25 0l-128 128c-12.5 12.5-12.5 32.75 0 45.25s32.75 12.5 45.25 0L192 253.3V432c0 17.69 14.31 32 32 32s32-14.31 32-32V253.3l73.38 73.38C335.6 332.9 343.8 336 352 336s16.38-3.125 22.62-9.375C387.1 314.1 387.1 293.9 374.6 281.4zM128 95.1c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S110.3 95.1 128 95.1zM32 95.1c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S14.33 95.1 32 95.1z"],
    "arrow-up-to-line": [384, 512, ["arrow-to-top"], "f341", "M86.63 342.6L160 269.3V448c0 17.69 14.31 32 32 32s32-14.31 32-32V269.3l73.38 73.38C303.6 348.9 311.8 352 320 352s16.38-3.125 22.62-9.375c12.5-12.5 12.5-32.75 0-45.25l-128-128c-12.5-12.5-32.75-12.5-45.25 0l-128 128c-12.5 12.5-12.5 32.75 0 45.25S74.13 355.1 86.63 342.6zM32 96h320c17.69 0 32-14.31 32-32s-14.31-32-32-32H32C14.31 32 0 46.31 0 64S14.31 96 32 96z"],
    "arrow-up-triangle-square": [512, 512, ["sort-shapes-up"], "f88a", "M151.6 41.95c-12.12-13.26-35.06-13.26-47.19 0l-87.1 96.09C4.473 151.1 5.348 171.4 18.38 183.3c13.02 11.95 33.27 11.04 45.22-1.973L96 145.9v302C96 465.7 110.3 480 128 480s32-14.33 32-32.03V145.9L192.4 181.3c11.42 12.45 31.63 14.43 45.22 1.973c13.03-11.95 13.9-32.22 1.969-45.27L151.6 41.95zM448 288h-128c-17.67 0-31.1 14.33-31.1 32V448c0 17.67 14.33 32 31.1 32h128c17.67 0 32-14.33 32-32v-127.1C480 302.3 465.7 288 448 288zM492.1 182.9l-83.13-137.1c-11.12-18.38-38.75-18.38-49.88 0l-83.25 137.1c-11 18.25 2.75 41.12 25 41.12h166.3C489.4 224 503.1 201.1 492.1 182.9z"],
    "arrow-up-wide-short": [576, 512, ["sort-amount-up"], "f161", "M416 288h-95.1c-17.67 0-32 14.33-32 32s14.33 32 32 32H416c17.67 0 32-14.33 32-32S433.7 288 416 288zM352 416h-32c-17.67 0-32 14.33-32 32s14.33 32 32 32h32c17.67 0 31.1-14.33 31.1-32S369.7 416 352 416zM480 160h-159.1c-17.67 0-32 14.33-32 32s14.33 32 32 32H480c17.67 0 32-14.33 32-32S497.7 160 480 160zM544 32h-223.1c-17.67 0-32 14.33-32 32s14.33 32 32 32H544c17.67 0 32-14.33 32-32S561.7 32 544 32zM151.6 41.95c-12.12-13.26-35.06-13.26-47.19 0l-87.1 96.09C4.475 151.1 5.35 171.4 18.38 183.3c6.141 5.629 13.89 8.414 21.61 8.414c8.672 0 17.3-3.504 23.61-10.39L96 145.9v302C96 465.7 110.3 480 128 480s32-14.33 32-32.03V145.9L192.4 181.3C204.4 194.3 224.6 195.3 237.6 183.3c13.03-11.95 13.9-32.22 1.969-45.27L151.6 41.95z"],
    "arrow-up-z-a": [512, 512, ["sort-alpha-up-alt"], "f882", "M151.6 41.95c-12.12-13.26-35.06-13.26-47.19 0l-87.1 96.09C4.473 151.1 5.348 171.4 18.38 183.3c13.02 11.95 33.27 11.04 45.22-1.973L96 145.9v302C96 465.7 110.3 480 128 480S160 465.7 160 447.1V145.9L192.4 181.3c6.312 6.883 14.94 10.39 23.61 10.39c7.719 0 15.47-2.785 21.61-8.414c13.03-11.95 13.9-32.22 1.969-45.27L151.6 41.95zM320 96h50.75l-73.38 73.38c-9.156 9.156-11.89 22.91-6.938 34.88s16.63 19.74 29.56 19.74h127.1C465.7 223.1 480 209.7 480 192s-14.33-32-32-32h-50.75l73.38-73.38c9.156-9.156 11.89-22.91 6.938-34.88S460.9 32 447.1 32h-127.1C302.3 32 288 46.31 288 64S302.3 96 320 96zM492.6 433.3l-79.99-160.1c-10.84-21.81-46.4-21.81-57.24 0l-79.99 160.1c-7.906 15.91-1.5 35.24 14.31 43.19c15.87 7.922 35.04 1.477 42.93-14.4l7.154-14.39h88.43l7.154 14.39c6.174 12.43 23.97 23.87 42.93 14.4C494.1 468.6 500.5 449.2 492.6 433.3zM367.8 391.4L384 358.7l16.22 32.63H367.8z"],
    "arrows-cross": [448, 512, [], "e0a2", "M445.5 51.78c-3.242-7.84-9.479-14.08-17.32-17.32C424.3 32.85 420.2 32 416 32h-128c-17.69 0-32 14.31-32 32s14.31 32 32 32h50.75L9.375 425.4c-12.5 12.5-12.5 32.75 0 45.25c12.49 12.49 32.74 12.51 45.25 0L384 141.3V192c0 17.69 14.31 32 32 32s32-14.31 32-32V64C448 59.84 447.2 55.69 445.5 51.78zM156.1 233.4l45.25-45.25L54.63 41.38c-12.5-12.5-32.75-12.5-45.25 0c-12.49 12.49-12.51 32.74 0 45.25L156.1 233.4zM416 288c-17.69 0-32 14.31-32 32v50.75l-92.13-92.13l-45.25 45.25L338.8 416H288c-17.69 0-32 14.31-32 32s14.31 32 32 32h128c4.164 0 8.312-.8477 12.22-2.461c7.84-3.242 14.08-9.48 17.32-17.32C447.2 456.3 448 452.2 448 448v-128C448 302.3 433.7 288 416 288z"],
    "arrows-down-to-line": [576, 512, [], "e4b8", "M544 416C561.7 416 576 430.3 576 448C576 465.7 561.7 480 544 480H32C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416H544zM470.6 374.6C458.1 387.1 437.9 387.1 425.4 374.6L329.4 278.6C316.9 266.1 316.9 245.9 329.4 233.4C341.9 220.9 362.1 220.9 374.6 233.4L416 274.7V64C416 46.33 430.3 32 448 32C465.7 32 480 46.33 480 64V274.7L521.4 233.4C533.9 220.9 554.1 220.9 566.6 233.4C579.1 245.9 579.1 266.1 566.6 278.6L470.6 374.6zM246.6 278.6L150.6 374.6C138.1 387.1 117.9 387.1 105.4 374.6L9.373 278.6C-3.124 266.1-3.124 245.9 9.373 233.4C21.87 220.9 42.13 220.9 54.63 233.4L96 274.7V64C96 46.33 110.3 32 128 32C145.7 32 160 46.33 160 64V274.7L201.4 233.4C213.9 220.9 234.1 220.9 246.6 233.4C259.1 245.9 259.1 266.1 246.6 278.6H246.6z"],
    "arrows-down-to-people": [640, 512, [], "e4b9", "M167.1 24V142.1L191 119C200.4 109.7 215.6 109.7 224.1 119C234.3 128.4 234.3 143.6 224.1 152.1L160.1 216.1C151.6 226.3 136.4 226.3 127 216.1L63.03 152.1C53.65 143.6 53.65 128.4 63.03 119C72.4 109.7 87.6 109.7 96.97 119L119.1 142.1V24C119.1 10.75 130.7 0 143.1 0C157.3 0 167.1 10.75 167.1 24V24zM359.1 200C359.1 222.1 342.1 240 319.1 240C297.9 240 279.1 222.1 279.1 200C279.1 177.9 297.9 160 319.1 160C342.1 160 359.1 177.9 359.1 200zM183.1 296C183.1 318.1 166.1 336 143.1 336C121.9 336 103.1 318.1 103.1 296C103.1 273.9 121.9 256 143.1 256C166.1 256 183.1 273.9 183.1 296zM455.1 296C455.1 273.9 473.9 256 495.1 256C518.1 256 535.1 273.9 535.1 296C535.1 318.1 518.1 336 495.1 336C473.9 336 455.1 318.1 455.1 296zM199.1 480C199.1 497.7 185.7 512 167.1 512H119.1C102.3 512 87.1 497.7 87.1 480V441.5L61.13 491.4C54.84 503 40.29 507.4 28.62 501.1C16.95 494.8 12.58 480.3 18.87 468.6L56.74 398.3C72.09 369.8 101.9 352 134.2 352H153.8C170.1 352 185.7 356.5 199.2 364.6L232.7 302.3C248.1 273.8 277.9 255.1 310.2 255.1H329.8C362.1 255.1 391.9 273.8 407.3 302.3L440.8 364.6C454.3 356.5 469.9 352 486.2 352H505.8C538.1 352 567.9 369.8 583.3 398.3L621.1 468.6C627.4 480.3 623 494.8 611.4 501.1C599.7 507.4 585.1 503 578.9 491.4L551.1 441.5V480C551.1 497.7 537.7 512 519.1 512H471.1C454.3 512 439.1 497.7 439.1 480V441.5L413.1 491.4C406.8 503 392.3 507.4 380.6 501.1C368.9 494.8 364.6 480.3 370.9 468.6L407.2 401.1C405.5 399.5 404 397.6 402.9 395.4L375.1 345.5V400C375.1 417.7 361.7 432 343.1 432H295.1C278.3 432 263.1 417.7 263.1 400V345.5L237.1 395.4C235.1 397.6 234.5 399.5 232.8 401.1L269.1 468.6C275.4 480.3 271 494.8 259.4 501.1C247.7 507.4 233.1 503 226.9 491.4L199.1 441.5L199.1 480zM415 152.1C405.7 143.6 405.7 128.4 415 119C424.4 109.7 439.6 109.7 448.1 119L471.1 142.1V24C471.1 10.75 482.7 0 495.1 0C509.3 0 519.1 10.75 519.1 24V142.1L543 119C552.4 109.7 567.6 109.7 576.1 119C586.3 128.4 586.3 143.6 576.1 152.1L512.1 216.1C503.6 226.3 488.4 226.3 479 216.1L415 152.1z"],
    "arrows-from-dotted-line": [448, 512, [], "e0a3", "M224 223.1c-17.67 0-32 14.33-32 32S206.3 287.1 224 287.1s32-14.33 32-32S241.7 223.1 224 223.1zM32 223.1c-17.67 0-32 14.33-32 32S14.33 287.1 32 287.1s32-14.33 32-32S49.67 223.1 32 223.1zM160 255.1c0-17.67-14.33-32-32-32S96 238.3 96 255.1S110.3 287.1 128 287.1S160 273.7 160 255.1zM416 223.1c-17.67 0-32 14.33-32 32S398.3 287.1 416 287.1s32-14.33 32-32S433.7 223.1 416 223.1zM320 223.1c-17.67 0-32 14.33-32 32S302.3 287.1 320 287.1s32-14.33 32-32S337.7 223.1 320 223.1zM160 127.1c8.188 0 16.38-3.125 22.62-9.376L192 109.2v50.75c0 17.69 14.31 32.01 32 32.01s32-14.32 32-32.01V109.2l9.375 9.376C271.6 124.8 279.8 127.1 288 127.1c18.28 0 32-14.94 32-31.99c0-8.188-3.125-16.39-9.375-22.64L246.7 9.374C238.6 1.302 228.9 0 223.1 0C219.1 0 209.4 1.276 201.3 9.374L137.4 73.34C131.1 79.59 128 87.79 128 95.98C128 113 141.7 127.1 160 127.1zM288 383.1c-8.188 0-16.38 3.125-22.62 9.376L256 402.7v-50.75c0-17.69-14.31-31.1-32-31.1s-32 14.31-32 31.1v50.75l-9.375-9.376C176.4 387.1 168.2 383.1 160 383.1c-18.28 0-32 14.95-32 32c0 8.188 3.125 16.37 9.375 22.62l63.96 63.97C209.3 510.6 219.1 512 224 512c4.847 0 14.65-1.371 22.67-9.415l63.96-63.97C316.9 432.4 320 424.2 320 415.1C320 398.9 306.3 383.1 288 383.1z"],
    "arrows-from-line": [448, 512, [], "e0a4", "M160 127.1c8.188 0 16.38-3.125 22.62-9.375L192 109.2v50.75c0 17.69 14.31 32.01 32 32.01s32-14.32 32-32.01V109.2l9.375 9.375C271.6 124.8 279.8 127.1 288 127.1c18.28 0 32-14.94 32-31.99c0-8.191-3.125-16.39-9.375-22.64L246.7 9.374C238.6 1.3 228.9 0 223.1 0c-4.898 0-14.6 1.273-22.67 9.374L137.4 73.34C131.1 79.59 128 87.79 128 95.98C128 113 141.7 127.1 160 127.1zM288 383.1c-8.188 0-16.38 3.127-22.62 9.377L256 402.7v-50.76c0-17.69-14.31-31.1-32-31.1s-32 14.31-32 31.1v50.76l-9.375-9.375C176.4 387.1 168.2 383.1 160 383.1c-18.28 0-32 14.95-32 32.01c0 8.188 3.125 16.37 9.375 22.62l63.96 63.97C209.3 510.6 219.1 512 224 512c4.848 0 14.65-1.371 22.67-9.414l63.96-63.97C316.9 432.4 320 424.2 320 415.1C320 398.9 306.3 383.1 288 383.1zM416 223.1H32c-17.69 0-32 14.33-32 32.01s14.31 31.99 32 31.99h384c17.69 0 32-14.3 32-31.99S433.7 223.1 416 223.1z"],
    "arrows-left-right": [512, 512, ["arrows-h"], "f07e", "M502.6 278.6l-96 96C400.4 380.9 392.2 384 384 384s-16.38-3.125-22.62-9.375c-12.5-12.5-12.5-32.75 0-45.25L402.8 288h-293.5l41.38 41.38c12.5 12.5 12.5 32.75 0 45.25C144.4 380.9 136.2 384 128 384s-16.38-3.125-22.62-9.375l-96-96c-12.5-12.5-12.5-32.75 0-45.25l96-96c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L109.3 224h293.5l-41.38-41.38c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0l96 96C515.1 245.9 515.1 266.1 502.6 278.6z"],
    "arrows-left-right-to-line": [640, 512, [], "e4ba", "M32 64C49.67 64 64 78.33 64 96V416C64 433.7 49.67 448 32 448C14.33 448 0 433.7 0 416V96C0 78.33 14.33 64 32 64zM246.6 137.4C259.1 149.9 259.1 170.1 246.6 182.6L205.3 224H434.7L393.4 182.6C380.9 170.1 380.9 149.9 393.4 137.4C405.9 124.9 426.1 124.9 438.6 137.4L534.6 233.4C547.1 245.9 547.1 266.1 534.6 278.6L438.6 374.6C426.1 387.1 405.9 387.1 393.4 374.6C380.9 362.1 380.9 341.9 393.4 329.4L434.7 288H205.3L246.6 329.4C259.1 341.9 259.1 362.1 246.6 374.6C234.1 387.1 213.9 387.1 201.4 374.6L105.4 278.6C92.88 266.1 92.88 245.9 105.4 233.4L201.4 137.4C213.9 124.9 234.1 124.9 246.6 137.4V137.4zM640 416C640 433.7 625.7 448 608 448C590.3 448 576 433.7 576 416V96C576 78.33 590.3 64 608 64C625.7 64 640 78.33 640 96V416z"],
    "arrows-maximize": [448, 512, ["expand-arrows"], "f31d", "M416 224c17.69 0 32-14.31 32-32V64c0-4.164-.8477-8.312-2.463-12.22c-3.242-7.84-9.479-14.08-17.32-17.32C424.3 32.85 420.2 32 416 32h-128c-17.69 0-32 14.31-32 32s14.31 32 32 32h50.75L224 210.8L109.3 96H160c17.69 0 32-14.31 32-32S177.7 32 160 32H32C27.84 32 23.69 32.85 19.78 34.46C11.94 37.7 5.705 43.94 2.463 51.78C.8477 55.69 0 59.84 0 64v128c0 17.69 14.31 32 32 32s32-14.31 32-32V141.3L178.8 256L64 370.8V320c0-17.69-14.31-32-32-32s-32 14.31-32 32v128c0 4.164 .8477 8.312 2.461 12.22c3.242 7.84 9.48 14.08 17.32 17.32C23.69 479.2 27.84 480 32 480h128c17.69 0 32-14.31 32-32s-14.31-32-32-32H109.3L224 301.3L338.8 416H288c-17.69 0-32 14.31-32 32s14.31 32 32 32h128c4.164 0 8.312-.8477 12.22-2.461c7.84-3.242 14.08-9.48 17.32-17.32C447.2 456.3 448 452.2 448 448v-128c0-17.69-14.31-32-32-32s-32 14.31-32 32v50.75L269.3 256L384 141.3V192C384 209.7 398.3 224 416 224z"],
    "arrows-minimize": [512, 512, ["compress-arrows"], "e0a5", "M204.2 290.5C200.3 288.8 196.2 288 192 288H64c-17.69 0-32 14.31-32 32s14.31 32 32 32h50.75l-105.4 105.4c-12.5 12.5-12.5 32.75 0 45.25s32.75 12.5 45.25 0L160 397.3V448c0 17.69 14.31 32 32 32s32-14.31 32-32v-128c0-4.164-.8477-8.312-2.465-12.22C218.3 299.9 212.1 293.7 204.2 290.5zM307.8 221.5C311.7 223.2 315.8 224 320 224h128c17.69 0 32-14.31 32-32s-14.31-32-32-32h-50.75l105.4-105.4c12.5-12.5 12.5-32.75 0-45.25c-12.49-12.49-32.74-12.51-45.25 0L352 114.8V64c0-17.69-14.31-32-32-32s-32 14.31-32 32v128c0 4.164 .8477 8.312 2.463 12.22C293.7 212.1 299.9 218.3 307.8 221.5zM192 32C174.3 32 160 46.31 160 64v50.75L54.63 9.375c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25L114.8 160H64C46.31 160 32 174.3 32 192s14.31 32 32 32h128c4.164 0 8.312-.8477 12.22-2.465C212.1 218.3 218.3 212.1 221.5 204.2C223.2 200.3 224 196.2 224 192V64C224 46.31 209.7 32 192 32zM397.3 352H448c17.69 0 32-14.31 32-32s-14.31-32-32-32h-128c-4.164 0-8.312 .8477-12.22 2.461c-7.84 3.242-14.08 9.48-17.32 17.32C288.8 311.7 288 315.8 288 320v128c0 17.69 14.31 32 32 32s32-14.31 32-32v-50.75l105.4 105.4c12.5 12.5 32.75 12.5 45.25 0c12.49-12.49 12.51-32.74 0-45.25L397.3 352z"],
    "arrows-repeat": [512, 512, ["repeat-alt"], "f364", "M165.2 160h173.6l-41.38 41.38c-12.5 12.5-12.5 32.75 0 45.25c12.49 12.49 32.74 12.51 45.25 0l95.1-96c12.5-12.5 12.5-32.75 0-45.25l-95.1-96c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25L338.8 96H165.2C90.87 96 25.15 143.4 1.652 213.9C-3.941 230.7 5.121 248.8 21.9 254.3C25.25 255.5 28.66 256 32.01 256c13.41 0 25.89-8.469 30.36-21.88C77.13 189.8 118.5 160 165.2 160zM490.1 257.7C486.8 256.5 483.3 256 479.1 256c-13.41 0-25.89 8.469-30.36 21.88C434.9 322.2 393.5 352 346.8 352H173.2l41.38-41.38c12.5-12.5 12.5-32.75 0-45.25c-12.49-12.49-32.74-12.51-45.25 0l-95.1 96c-12.5 12.5-12.5 32.75 0 45.25l95.1 96c12.5 12.5 32.75 12.5 45.25 0s12.5-32.75 0-45.25L173.2 416h173.6c74.33 0 140-47.38 163.5-117.9C515.9 281.3 506.9 263.2 490.1 257.7z"],
    "arrows-repeat-1": [512, 512, ["repeat-1-alt"], "f366", "M264 320C277.3 320 288 309.3 288 296v-80c0-13.31-10.8-24.01-24.01-24.01c-2.546 0-5.111 .411-7.589 1.226l-24 8C222.3 204.6 215.1 213.9 215.1 223.1C215.1 237.3 226.8 248 240 248v48C240 309.3 250.8 320 264 320zM512 287.1C512 270.3 497.6 256 479.1 256c-13.41 0-25.89 8.469-30.36 21.88C434.9 322.2 393.5 352 346.8 352H96c-17.67 0-31.99 14.31-31.99 32c0 8.188 3.115 16.38 9.365 22.62l95.1 96C175.6 508.9 183.8 512 191.1 512c17.05 0 31.1-13.73 31.1-32c0-8.188-3.125-16.38-9.375-22.62L173.2 416h173.6C477.8 416 512 296.8 512 287.1zM165.2 160H416c17.67 0 31.99-14.31 31.99-32c0-8.188-3.115-16.38-9.365-22.62l-95.1-96C336.4 3.125 328.2 0 320 0c-17.05 0-31.1 13.73-31.1 32c0 8.188 3.125 16.38 9.375 22.62L338.8 96H165.2c-130.1 0-165.2 119.2-165.2 128C-.0003 241.7 14.39 256 32.01 256c13.41 0 25.89-8.469 30.36-21.88C77.13 189.8 118.5 160 165.2 160z"],
    "arrows-retweet": [640, 512, ["retweet-alt"], "f361", "M630.6 297.4c-12.5-12.5-32.75-12.5-45.25 0L544 338.8V176C544 131.9 508.1 96 464 96h-128c-17.67 0-32 14.31-32 32s14.33 32 32 32h128C472.8 160 480 167.2 480 176v162.8l-41.38-41.38c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25l96 96C495.6 444.9 503.8 448 512 448s16.37-3.125 22.62-9.375l96-96C643.1 330.1 643.1 309.9 630.6 297.4zM304 352h-128C167.2 352 160 344.8 160 336V173.3l41.38 41.38c12.5 12.5 32.75 12.5 45.25 0s12.5-32.75 0-45.25l-96-96C144.4 67.13 136.2 64 128 64S111.6 67.13 105.4 73.38l-96 96c-12.5 12.5-12.5 32.75 0 45.25s32.75 12.5 45.25 0L96 173.3V336C96 380.1 131.9 416 176 416h128c17.67 0 32-14.31 32-32S321.7 352 304 352z"],
    "arrows-rotate": [512, 512, [128472, "refresh", "sync"], "f021", "M464 16c-17.67 0-32 14.31-32 32v74.09C392.1 66.52 327.4 32 256 32C161.5 32 78.59 92.34 49.58 182.2c-5.438 16.81 3.797 34.88 20.61 40.28c16.89 5.5 34.88-3.812 40.3-20.59C130.9 138.5 189.4 96 256 96c50.5 0 96.26 24.55 124.4 64H336c-17.67 0-32 14.31-32 32s14.33 32 32 32h128c17.67 0 32-14.31 32-32V48C496 30.31 481.7 16 464 16zM441.8 289.6c-16.92-5.438-34.88 3.812-40.3 20.59C381.1 373.5 322.6 416 256 416c-50.5 0-96.25-24.55-124.4-64H176c17.67 0 32-14.31 32-32s-14.33-32-32-32h-128c-17.67 0-32 14.31-32 32v144c0 17.69 14.33 32 32 32s32-14.31 32-32v-74.09C119.9 445.5 184.6 480 255.1 480c94.45 0 177.4-60.34 206.4-150.2C467.9 313 458.6 294.1 441.8 289.6z"],
    "arrows-spin": [512, 512, [], "e4bb", "M257.1 95.53C245.8 95.53 234.7 96.72 223.1 98.97V33.97C234.8 32.36 245.9 31.53 257.1 31.53C315.3 31.53 368.3 53.72 408.2 90.11L437.6 60.69C447.7 50.61 464.9 57.75 464.9 72V177.4C464.9 186.2 457.7 193.4 448.9 193.4H343.5C329.3 193.4 322.1 176.1 332.2 166.1L362.9 135.4C334.7 110.6 297.7 95.53 257.1 95.53L257.1 95.53zM97.14 255.5C97.14 266.7 98.27 277.5 100.4 288H35.47C33.93 277.4 33.14 266.6 33.14 255.5C33.14 198.2 54.71 145.8 90.18 106.2L60.69 76.69C50.61 66.61 57.74 49.38 71.1 49.38H177.4C186.2 49.38 193.4 56.54 193.4 65.38V170.7C193.4 185 176.1 192.1 166.1 182.1L135.5 151.5C111.6 179.5 97.14 215.8 97.14 255.5V255.5zM182.1 348.2L153.1 377.1C181.1 401.1 217.4 415.5 257.1 415.5C267.7 415.5 278 414.5 288 412.6V477.4C277.9 478.8 267.6 479.5 257.1 479.5C199.8 479.5 147.4 457.1 107.8 422.5L76.69 453.6C66.61 463.7 49.37 456.5 49.37 442.3V336.9C49.37 328.1 56.54 320.9 65.37 320.9H170.7C184.1 320.9 192.1 338.1 182.1 348.2H182.1zM348.2 332.2L377.2 361.2C402.1 333.1 417.1 296.1 417.1 255.5C417.1 244.7 416.1 234.2 414 224H478.9C480.4 234.3 481.1 244.8 481.1 255.5C481.1 313.7 458.9 366.7 422.6 406.6L453.6 437.6C463.7 447.7 456.5 464.9 442.3 464.9H336.9C328.1 464.9 320.9 457.7 320.9 448.9V343.5C320.9 329.3 338.1 322.1 348.2 332.2L348.2 332.2z"],
    "arrows-split-up-and-left": [512, 512, [], "e4bc", "M246.6 150.6C234.1 163.1 213.9 163.1 201.4 150.6C188.9 138.1 188.9 117.9 201.4 105.4L297.4 9.372C309.9-3.124 330.1-3.124 342.6 9.372L438.6 105.4C451.1 117.9 451.1 138.1 438.6 150.6C426.1 163.1 405.9 163.1 393.4 150.6L352 109.3V384C352 419.3 380.7 448 416 448H480C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512H416C345.3 512 288 454.7 288 384C288 348.7 259.3 320 224 320H109.3L150.6 361.4C163.1 373.9 163.1 394.1 150.6 406.6C138.1 419.1 117.9 419.1 105.4 406.6L9.38 310.6L9.305 310.6C3.575 304.8 .0259 296.9 .0003 288.1L2.428 275.8C3.99 271.1 6.305 268.4 9.372 265.4L105.4 169.4C117.9 156.9 138.1 156.9 150.6 169.4C163.1 181.9 163.1 202.1 150.6 214.6L109.3 255.1H224C247.3 255.1 269.2 262.2 288 273.1V109.3L246.6 150.6zM0 287.9C.0125 283.6 .8749 279.5 2.428 275.8C.8214 279.6 .0122 283.8 0 287.9zM0 288.1V287.1V287.9V288.1z"],
    "arrows-to-circle": [640, 512, [], "e4bd", "M9.372 9.372C21.87-3.124 42.13-3.124 54.63 9.372L159.1 114.7V95.1C159.1 78.33 174.3 63.1 191.1 63.1C209.7 63.1 223.1 78.33 223.1 95.1V191.1C223.1 196.3 223.1 200.5 221.6 204.2C220 207.1 217.7 211.5 214.7 214.6L214.6 214.7C211.5 217.7 207.1 220 204.2 221.6C200.5 223.1 196.3 223.1 191.1 223.1H95.1C78.33 223.1 63.1 209.7 63.1 191.1C63.1 174.3 78.33 159.1 95.1 159.1H114.7L9.372 54.63C-3.124 42.13-3.124 21.87 9.372 9.372V9.372zM384 256C384 291.3 355.3 320 320 320C284.7 320 256 291.3 256 256C256 220.7 284.7 192 320 192C355.3 192 384 220.7 384 256zM96 352C78.33 352 64 337.7 64 320C64 302.3 78.33 288 96 288H192H192.1C200.9 288 208.8 291.6 214.6 297.3L214.7 297.4C217.7 300.5 220 304 221.6 307.8C223.1 311.5 224 315.7 224 319.1V416C224 433.7 209.7 448 192 448C174.3 448 160 433.7 160 416V397.3L54.63 502.6C42.13 515.1 21.87 515.1 9.373 502.6C-3.124 490.1-3.124 469.9 9.373 457.4L114.7 352L96 352zM448 64C465.7 64 480 78.33 480 96V114.7L585.4 9.373C597.9-3.124 618.1-3.124 630.6 9.373C643.1 21.87 643.1 42.13 630.6 54.63L525.3 160H544C561.7 160 576 174.3 576 192C576 209.7 561.7 224 544 224H448C439.2 224 431.2 220.4 425.4 214.7L425.3 214.6C422.3 211.5 419.1 207.1 418.4 204.2C416.9 200.5 416 196.4 416 192.1V191.1V96C416 78.33 430.3 64 448 64H448zM525.3 352L630.6 457.4C643.1 469.9 643.1 490.1 630.6 502.6C618.1 515.1 597.9 515.1 585.4 502.6L480 397.3V416C480 433.7 465.7 448 448 448C430.3 448 416 433.7 416 416V320C416 319.1 416 319.9 416 319.9C416 315.6 416.9 311.5 418.4 307.8C419.1 303.1 422.3 300.4 425.4 297.4C431.1 291.6 439.1 288 447.9 288C447.9 288 447.1 288 448 288H544C561.7 288 576 302.3 576 320C576 337.7 561.7 352 544 352L525.3 352z"],
    "arrows-to-dot": [512, 512, [], "e4be", "M288 82.74L297.4 73.37C309.9 60.88 330.1 60.88 342.6 73.37C355.1 85.87 355.1 106.1 342.6 118.6L278.6 182.6C266.1 195.1 245.9 195.1 233.4 182.6L169.4 118.6C156.9 106.1 156.9 85.87 169.4 73.37C181.9 60.88 202.1 60.88 214.6 73.37L223.1 82.75V32C223.1 14.33 238.3 0 255.1 0C273.7 0 288 14.33 288 32L288 82.74zM438.6 342.6C426.1 355.1 405.9 355.1 393.4 342.6L329.4 278.6C316.9 266.1 316.9 245.9 329.4 233.4L393.4 169.4C405.9 156.9 426.1 156.9 438.6 169.4C451.1 181.9 451.1 202.1 438.6 214.6L429.3 223.1H480C497.7 223.1 512 238.3 512 255.1C512 273.7 497.7 287.1 480 287.1H429.3L438.6 297.4C451.1 309.9 451.1 330.1 438.6 342.6V342.6zM288 256C288 273.7 273.7 288 256 288C238.3 288 224 273.7 224 256C224 238.3 238.3 224 256 224C273.7 224 288 238.3 288 256zM182.6 233.4C195.1 245.9 195.1 266.1 182.6 278.6L118.6 342.6C106.1 355.1 85.87 355.1 73.37 342.6C60.88 330.1 60.88 309.9 73.37 297.4L82.75 288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H82.74L73.37 214.6C60.88 202.1 60.88 181.9 73.37 169.4C85.87 156.9 106.1 156.9 118.6 169.4L182.6 233.4zM169.4 438.6C156.9 426.1 156.9 405.9 169.4 393.4L233.4 329.4C245.9 316.9 266.1 316.9 278.6 329.4L342.6 393.4C355.1 405.9 355.1 426.1 342.6 438.6C330.1 451.1 309.9 451.1 297.4 438.6L288 429.3V480C288 497.7 273.7 512 256 512C238.3 512 224 497.7 224 480V429.3L214.6 438.6C202.1 451.1 181.9 451.1 169.4 438.6H169.4z"],
    "arrows-to-dotted-line": [448, 512, [], "e0a6", "M32 224C14.33 224 0 238.3 0 256s14.33 32 32 32s32-14.33 32-32S49.67 224 32 224zM160 256c0-17.67-14.33-32-32-32S96 238.3 96 256s14.33 32 32 32S160 273.7 160 256zM192 256c0 17.67 14.33 32 32 32s32-14.33 32-32s-14.33-32-32-32S192 238.3 192 256zM416 224c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S433.7 224 416 224zM320 224c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S337.7 224 320 224zM201.4 182.6C207.6 188.9 215.8 192 224 192s16.38-3.125 22.62-9.375l64-64C316.9 112.4 320 104.2 320 96c0-17.05-13.73-32-32-32c-8.188 0-16.38 3.125-22.62 9.375L256 82.75V32c0-17.69-14.31-32-32-32S192 14.31 192 32v50.75L182.6 73.38C176.4 67.13 168.2 64 160 64C141.7 64 128 78.95 128 96c0 8.188 3.125 16.38 9.375 22.62L201.4 182.6zM246.6 329.4C240.4 323.1 232.2 320 224 320s-16.38 3.115-22.62 9.365l-64 64C131.1 399.6 128 407.8 128 416c0 17.05 13.73 32 32 32c8.188 0 16.38-3.125 22.62-9.375L192 429.3V480c0 17.69 14.31 32 32 32s32-14.31 32-32v-50.75l9.375 9.375C271.6 444.9 279.8 448 288 448c18.28 0 32-14.95 32-32c0-8.188-3.125-16.38-9.375-22.62L246.6 329.4z"],
    "arrows-to-eye": [640, 512, [], "e4bf", "M15.03 15.03C24.4 5.657 39.6 5.657 48.97 15.03L112 78.06V40C112 26.75 122.7 15.1 136 15.1C149.3 15.1 160 26.75 160 40V136C160 149.3 149.3 160 136 160H40C26.75 160 15.1 149.3 15.1 136C15.1 122.7 26.75 112 40 112H78.06L15.03 48.97C5.657 39.6 5.657 24.4 15.03 15.03V15.03zM133.5 243.9C158.6 193.6 222.7 112 320 112C417.3 112 481.4 193.6 506.5 243.9C510.3 251.6 510.3 260.4 506.5 268.1C481.4 318.4 417.3 400 320 400C222.7 400 158.6 318.4 133.5 268.1C129.7 260.4 129.7 251.6 133.5 243.9V243.9zM320 320C355.3 320 384 291.3 384 256C384 220.7 355.3 192 320 192C284.7 192 256 220.7 256 256C256 291.3 284.7 320 320 320zM591 15.03C600.4 5.657 615.6 5.657 624.1 15.03C634.3 24.4 634.3 39.6 624.1 48.97L561.9 112H600C613.3 112 624 122.7 624 136C624 149.3 613.3 160 600 160H504C490.7 160 480 149.3 480 136V40C480 26.75 490.7 15.1 504 15.1C517.3 15.1 528 26.75 528 40V78.06L591 15.03zM15.03 463L78.06 400H40C26.75 400 15.1 389.3 15.1 376C15.1 362.7 26.75 352 40 352H136C149.3 352 160 362.7 160 376V472C160 485.3 149.3 496 136 496C122.7 496 112 485.3 112 472V433.9L48.97 496.1C39.6 506.3 24.4 506.3 15.03 496.1C5.657 487.6 5.657 472.4 15.03 463V463zM528 433.9V472C528 485.3 517.3 496 504 496C490.7 496 480 485.3 480 472V376C480 362.7 490.7 352 504 352H600C613.3 352 624 362.7 624 376C624 389.3 613.3 400 600 400H561.9L624.1 463C634.3 472.4 634.3 487.6 624.1 496.1C615.6 506.3 600.4 506.3 591 496.1L528 433.9z"],
    "arrows-to-line": [448, 512, [], "e0a7", "M201.4 182.6C207.6 188.9 215.8 192 224 192s16.38-3.125 22.62-9.375l64-64C316.9 112.4 320 104.2 320 96c0-17.05-13.73-32-32-32c-8.188 0-16.38 3.125-22.62 9.375L256 82.75V32c0-17.69-14.31-32-32-32S192 14.31 192 32v50.75L182.6 73.38C176.4 67.13 168.2 64 160 64C141.7 64 128 78.95 128 96c0 8.188 3.125 16.38 9.375 22.62L201.4 182.6zM246.6 329.4C240.4 323.1 232.2 320 224 320s-16.38 3.116-22.62 9.366l-64 64C131.1 399.6 128 407.8 128 416c0 17.05 13.73 32 32 32c8.188 0 16.38-3.125 22.62-9.375L192 429.3V480c0 17.69 14.31 32 32 32s32-14.31 32-32v-50.75l9.375 9.375C271.6 444.9 279.8 448 288 448c18.28 0 32-14.95 32-32c0-8.188-3.125-16.38-9.375-22.62L246.6 329.4zM416 223.1H32c-17.69 0-32 14.33-32 32.01s14.31 31.99 32 31.99h384c17.69 0 32-14.3 32-31.99S433.7 223.1 416 223.1z"],
    "arrows-turn-right": [448, 512, [], "e4c0", "M297.4 9.372C309.9-3.124 330.1-3.124 342.6 9.372L438.6 105.4C451.1 117.9 451.1 138.1 438.6 150.6L342.6 246.6C330.1 259.1 309.9 259.1 297.4 246.6C284.9 234.1 284.9 213.9 297.4 201.4L338.7 160H128C92.65 160 64 188.7 64 224V256C64 273.7 49.67 288 32 288C14.33 288 0 273.7 0 256V224C0 153.3 57.31 96 128 96H338.7L297.4 54.63C284.9 42.13 284.9 21.87 297.4 9.373V9.372zM201.4 265.4C213.9 252.9 234.1 252.9 246.6 265.4L342.6 361.4C355.1 373.9 355.1 394.1 342.6 406.6L246.6 502.6C234.1 515.1 213.9 515.1 201.4 502.6C188.9 490.1 188.9 469.9 201.4 457.4L242.7 416H96C78.33 416 64 430.3 64 448V480C64 497.7 49.67 512 32 512C14.33 512 0 497.7 0 480V448C0 394.1 42.98 352 96 352H242.7L201.4 310.6C188.9 298.1 188.9 277.9 201.4 265.4V265.4z"],
    "arrows-turn-to-dots": [512, 512, [], "e4c1", "M249.4 25.37C261.9 12.88 282.1 12.88 294.6 25.37C307.1 37.87 307.1 58.13 294.6 70.63L269.3 95.1H416C469 95.1 512 138.1 512 191.1V223.1C512 241.7 497.7 255.1 480 255.1C462.3 255.1 448 241.7 448 223.1V191.1C448 174.3 433.7 159.1 416 159.1H269.3L294.6 185.4C307.1 197.9 307.1 218.1 294.6 230.6C282.1 243.1 261.9 243.1 249.4 230.6L169.4 150.6C156.9 138.1 156.9 117.9 169.4 105.4L249.4 25.37zM342.6 361.4C355.1 373.9 355.1 394.1 342.6 406.6L262.6 486.6C250.1 499.1 229.9 499.1 217.4 486.6C204.9 474.1 204.9 453.9 217.4 441.4L242.7 416H96C78.33 416 64 430.3 64 448V480C64 497.7 49.67 512 32 512C14.33 512 0 497.7 0 480V448C0 394.1 42.98 352 96 352H242.7L217.4 326.6C204.9 314.1 204.9 293.9 217.4 281.4C229.9 268.9 250.1 268.9 262.6 281.4L342.6 361.4zM512 384C512 419.3 483.3 448 448 448C412.7 448 384 419.3 384 384C384 348.7 412.7 320 448 320C483.3 320 512 348.7 512 384zM128 128C128 163.3 99.35 192 64 192C28.65 192 0 163.3 0 128C0 92.65 28.65 64 64 64C99.35 64 128 92.65 128 128z"],
    "arrows-up-down": [256, 512, ["arrows-v"], "f07d", "M246.6 361.4C252.9 367.6 256 375.8 256 384s-3.125 16.38-9.375 22.62l-96 96c-12.5 12.5-32.75 12.5-45.25 0l-96-96c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L96 402.8v-293.5L54.63 150.6c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l96-96c12.5-12.5 32.75-12.5 45.25 0l96 96C252.9 111.6 256 119.8 256 128s-3.125 16.38-9.375 22.62c-12.5 12.5-32.75 12.5-45.25 0L160 109.3v293.5l41.38-41.38C213.9 348.9 234.1 348.9 246.6 361.4z"],
    "arrows-up-down-left-right": [512, 512, ["arrows"], "f047", "M512 255.1c0 8.188-3.125 16.41-9.375 22.66l-72 72C424.4 356.9 416.2 360 408 360c-18.28 0-32-14.95-32-32c0-8.188 3.125-16.38 9.375-22.62L402.8 288H288v114.8l17.38-17.38C311.6 379.1 319.8 376 328 376c18.28 0 32 14.95 32 32c0 8.188-3.125 16.38-9.375 22.62l-72 72C272.4 508.9 264.2 512 256 512s-16.38-3.125-22.62-9.375l-72-72C155.1 424.4 152 416.2 152 408c0-17.05 13.73-32 32-32c8.188 0 16.38 3.125 22.62 9.375L224 402.8V288H109.3l17.38 17.38C132.9 311.6 136 319.8 136 328c0 17.05-13.73 32-32 32c-8.188 0-16.38-3.125-22.62-9.375l-72-72C3.125 272.4 0 264.2 0 255.1s3.125-16.34 9.375-22.59l72-72C87.63 155.1 95.81 152 104 152c18.28 0 32 14.95 32 32c0 8.188-3.125 16.38-9.375 22.62L109.3 224H224V109.3L206.6 126.6C200.4 132.9 192.2 136 184 136c-18.28 0-32-14.95-32-32c0-8.188 3.125-16.38 9.375-22.62l72-72C239.6 3.125 247.8 0 256 0s16.38 3.125 22.62 9.375l72 72C356.9 87.63 360 95.81 360 104c0 17.05-13.73 32-32 32c-8.188 0-16.38-3.125-22.62-9.375L288 109.3V224h114.8l-17.38-17.38C379.1 200.4 376 192.2 376 184c0-17.05 13.73-32 32-32c8.188 0 16.38 3.125 22.62 9.375l72 72C508.9 239.6 512 247.8 512 255.1z"],
    "arrows-up-to-line": [576, 512, [], "e4c2", "M32 96C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H544C561.7 32 576 46.33 576 64C576 81.67 561.7 96 544 96H32zM105.4 137.4C117.9 124.9 138.1 124.9 150.6 137.4L246.6 233.4C259.1 245.9 259.1 266.1 246.6 278.6C234.1 291.1 213.9 291.1 201.4 278.6L160 237.3V448C160 465.7 145.7 480 128 480C110.3 480 96 465.7 96 448V237.3L54.63 278.6C42.13 291.1 21.87 291.1 9.372 278.6C-3.124 266.1-3.124 245.9 9.372 233.4L105.4 137.4zM329.4 233.4L425.4 137.4C437.9 124.9 458.1 124.9 470.6 137.4L566.6 233.4C579.1 245.9 579.1 266.1 566.6 278.6C554.1 291.1 533.9 291.1 521.4 278.6L480 237.3L480 448C480 465.7 465.7 480 448 480C430.3 480 416 465.7 416 448V237.3L374.6 278.6C362.1 291.1 341.9 291.1 329.4 278.6C316.9 266.1 316.9 245.9 329.4 233.4H329.4z"],
    "asterisk": [448, 512, [10033, 61545], "2a", "M417.1 368c-5.937 10.27-16.69 16-27.75 16c-5.422 0-10.92-1.375-15.97-4.281L256 311.4V448c0 17.67-14.33 32-31.1 32S192 465.7 192 448V311.4l-118.3 68.29C68.67 382.6 63.17 384 57.75 384c-11.06 0-21.81-5.734-27.75-16c-8.828-15.31-3.594-34.88 11.72-43.72L159.1 256L41.72 187.7C26.41 178.9 21.17 159.3 29.1 144C36.63 132.5 49.26 126.7 61.65 128.2C65.78 128.7 69.88 130.1 73.72 132.3L192 200.6V64c0-17.67 14.33-32 32-32S256 46.33 256 64v136.6l118.3-68.29c3.838-2.213 7.939-3.539 12.07-4.051C398.7 126.7 411.4 132.5 417.1 144c8.828 15.31 3.594 34.88-11.72 43.72L288 256l118.3 68.28C421.6 333.1 426.8 352.7 417.1 368z"],
    "at": [512, 512, [61946], "40", "M207.8 20.73c-93.45 18.32-168.7 93.66-187 187.1c-27.64 140.9 68.65 266.2 199.1 285.1c19.01 2.888 36.17-12.26 36.17-31.49l.0001-.6631c0-15.74-11.44-28.88-26.84-31.24c-84.35-12.98-149.2-86.13-149.2-174.2c0-102.9 88.61-185.5 193.4-175.4c91.54 8.869 158.6 91.25 158.6 183.2l0 16.16c0 22.09-17.94 40.05-40 40.05s-40.01-17.96-40.01-40.05v-120.1c0-8.847-7.161-16.02-16.01-16.02l-31.98 .0036c-7.299 0-13.2 4.992-15.12 11.68c-24.85-12.15-54.24-16.38-86.06-5.106c-38.75 13.73-68.12 48.91-73.72 89.64c-9.483 69.01 43.81 128 110.9 128c26.44 0 50.43-9.544 69.59-24.88c24 31.3 65.23 48.69 109.4 37.49C465.2 369.3 496 324.1 495.1 277.2V256.3C495.1 107.1 361.2-9.332 207.8 20.73zM239.1 304.3c-26.47 0-48-21.56-48-48.05s21.53-48.05 48-48.05s48 21.56 48 48.05S266.5 304.3 239.1 304.3z"],
    "atom": [512, 512, [9883], "f5d2", "M256 224C238.4 224 223.1 238.4 223.1 256S238.4 288 256 288c17.63 0 32-14.38 32-32S273.6 224 256 224zM470.2 128c-10.88-19.5-40.51-50.75-116.3-41.88C332.4 34.88 299.6 0 256 0S179.6 34.88 158.1 86.12C82.34 77.38 52.71 108.5 41.83 128c-16.38 29.38-14.91 73.12 25.23 128c-40.13 54.88-41.61 98.63-25.23 128c29.13 52.38 101.6 43.63 116.3 41.88C179.6 477.1 212.4 512 256 512s76.39-34.88 97.9-86.13C368.5 427.6 441 436.4 470.2 384c16.38-29.38 14.91-73.13-25.23-128C485.1 201.1 486.5 157.4 470.2 128zM95.34 352c-4.001-7.25-.1251-24.75 15-48.25c6.876 6.5 14.13 12.87 21.88 19.12c1.625 13.75 4.001 27.13 6.751 40.13C114.3 363.9 99.09 358.6 95.34 352zM132.2 189.1C124.5 195.4 117.2 201.8 110.3 208.2C95.22 184.8 91.34 167.2 95.34 160c3.376-6.125 16.38-11.5 37.88-11.5c1.75 0 3.876 .375 5.751 .375C136.1 162.2 133.8 175.6 132.2 189.1zM256 64c9.502 0 22.25 13.5 33.88 37.25C278.6 105 267.4 109.3 256 114.1C244.6 109.3 233.4 105 222.1 101.2C233.7 77.5 246.5 64 256 64zM256 448c-9.502 0-22.25-13.5-33.88-37.25C233.4 407 244.6 402.7 256 397.9c11.38 4.875 22.63 9.135 33.88 12.89C278.3 434.5 265.5 448 256 448zM256 336c-44.13 0-80.02-35.88-80.02-80S211.9 176 256 176s80.02 35.88 80.02 80S300.1 336 256 336zM416.7 352c-3.626 6.625-19 11.88-43.63 11c2.751-12.1 5.126-26.38 6.751-40.13c7.752-6.25 15-12.63 21.88-19.12C416.8 327.2 420.7 344.8 416.7 352zM401.7 208.2c-6.876-6.5-14.13-12.87-21.88-19.12c-1.625-13.5-3.876-26.88-6.751-40.25c1.875 0 4.001-.375 5.751-.375c21.5 0 34.51 5.375 37.88 11.5C420.7 167.2 416.8 184.8 401.7 208.2z"],
    "atom-simple": [448, 512, ["atom-alt"], "f5d3", "M400.9 256c47.5 76.38 66.25 155.1 22.25 199.1C381.8 496.5 307.3 484.4 224 432.5c-83.63 52-157.9 63.88-199.1 22.63c-44-44-25.25-122.8 22.25-199.1c-47.5-76.38-66.25-155.1-22.25-199.1S147.6 31.61 224 79.12c76.25-47.5 155.1-66.25 199.1-22.25S448.4 179.6 400.9 256zM167.4 391.8c-26.13-21.5-50.38-44-79.13-78.88c-24.88 47.25-30.5 84.63-18.13 97.01C82.49 422.3 119.1 416.6 167.4 391.8zM88.24 199.1c23.63-28.88 50.13-55.38 79.13-79.13c-57.58-30.42-87.94-27.19-97.26-17.88C57.74 114.5 63.37 151.9 88.24 199.1zM323 256C294.6 218.5 261.4 184.1 224 156.6C186.6 184.1 153.4 218.5 125.1 256C150.1 290 179.1 320.8 224 355C258 329 288.8 300.9 323 256zM255.1 255.1c0 17.63-14.38 32-32 32s-32-14.37-32-32c0-17.63 14.38-32.03 32-32.03S255.1 238.3 255.1 255.1zM377.9 102.1c-9.361-9.361-39.92-12.41-97.26 17.88c29 23.75 55.5 50.25 79.13 79.13C384.6 151.9 390.3 114.5 377.9 102.1zM359.8 312.9c-28.88 35-53.13 57.38-79.13 78.88c47.38 24.88 84.88 30.5 97.26 18.13C390.3 397.5 384.6 360.1 359.8 312.9z"],
    "audio-description": [576, 512, [], "f29e", "M170.8 280H213.2L192 237.7L170.8 280zM512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM274.7 349.5C271.3 351.2 267.6 352 264 352c-8.812 0-17.28-4.859-21.5-13.27L233.2 320H150.8l-9.367 18.73c-5.906 11.86-20.31 16.7-32.19 10.73c-11.88-5.938-16.69-20.34-10.75-32.2l72-144c8.125-16.25 34.81-16.25 42.94 0l72 144C291.4 329.1 286.6 343.5 274.7 349.5zM384 352h-56c-13.25 0-24-10.75-24-24v-144C304 170.8 314.8 160 328 160H384c52.94 0 96 43.06 96 96S436.9 352 384 352zM384 208h-32v96h32c26.47 0 48-21.53 48-48S410.5 208 384 208z"],
    "audio-description-slash": [640, 512, [], "e0a8", "M630.8 469.1l-30.73-24.09c4.623-8.783 7.922-18.37 7.922-29.02L608 96c0-35.35-28.65-64-64-64L96 32c-6.645 0-12.96 1.176-18.96 3.073L38.81 5.111C34.41 1.673 29.19 .0003 24.03 .0003c-7.125 0-14.19 3.157-18.91 9.189c-8.188 10.44-6.37 25.53 4.068 33.7l591.1 463.1c10.5 8.203 25.57 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1zM464.2 338.5l-44.53-34.9c24.72-1.92 44.32-22.42 44.32-47.63c0-26.47-21.53-48-48-48h-32v67.66l-48-37.62V184c0-13.25 10.75-24 24-24h56c52.94 0 96 43.06 96 96C512 291.3 492.7 321.8 464.2 338.5zM306.7 349.5c-3.438 1.719-7.094 2.531-10.69 2.531c-8.813 0-17.28-4.859-21.5-13.27l-9.367-18.73H182.8l-9.367 18.73C167.6 350.6 153.2 355.4 141.3 349.5c-11.88-5.938-16.69-20.34-10.75-32.2l42.49-84.97L32 121.8l0 294.2c0 35.35 28.65 64 64 64l393.1 .0002l-174.6-136.8C312.4 345.7 309.8 347.9 306.7 349.5zM202.8 280h31.05l-22.3-17.48L202.8 280z"],
    "austral-sign": [448, 512, [], "e0a9", "M325.3 224H416C433.7 224 448 238.3 448 256C448 273.7 433.7 288 416 288H352L365.3 320H416C433.7 320 448 334.3 448 352C448 369.7 433.7 384 416 384H392L413.5 435.7C420.3 452 412.6 470.7 396.3 477.5C379.1 484.3 361.3 476.6 354.5 460.3L322.7 384H125.3L93.54 460.3C86.74 476.6 68.01 484.3 51.69 477.5C35.38 470.7 27.66 452 34.46 435.7L56 384H32C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320H82.67L96 288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H122.7L194.5 51.69C199.4 39.77 211.1 32 224 32C236.9 32 248.6 39.77 253.5 51.69L325.3 224zM256 224L223.1 147.2L191.1 224H256zM165.3 288L151.1 320H296L282.7 288H165.3z"],
    "avocado": [512, 512, [], "e0aa", "M512 142.3c0-72.05-56.44-142.3-140.5-142.3c-39.2 0-78.72 15.74-108.1 45.17C232.4 76.31 192.1 97.3 150.6 108.9C115.4 118.6 .0005 170.8 .0005 306.7c0 113.4 92.35 205.3 205.1 205.3c52.37 0 104.7-20.04 144.7-60.13c67.65-67.86 42.56-130 115.1-203.7l4.357-4.371C498 215.8 512 179.1 512 142.3zM319.5 264.7c0 60.74-58.63 119.3-119.1 119.3c-54.51 0-72.49-43.59-72.49-72.66c0-60.75 58.64-119.3 119.1-119.3C301.5 191.1 319.5 235.6 319.5 264.7z"],
    "award": [384, 512, [], "f559", "M288 358.3c13.98-8.088 17.53-30.04 28.88-41.39c11.35-11.35 33.3-14.88 41.39-28.87c7.98-13.79 .1658-34.54 4.373-50.29C366.7 222.5 383.1 208.5 383.1 192c0-16.5-17.27-30.52-21.34-45.73c-4.207-15.75 3.612-36.5-4.365-50.29c-8.086-13.98-30.03-17.52-41.38-28.87c-11.35-11.35-14.89-33.3-28.87-41.39c-13.79-7.979-34.54-.1637-50.29-4.375C222.5 17.27 208.5 0 192 0C175.5 0 161.5 17.27 146.3 21.34C130.5 25.54 109.8 17.73 95.98 25.7C82 33.79 78.46 55.74 67.11 67.08C55.77 78.43 33.81 81.97 25.72 95.95C17.74 109.7 25.56 130.5 21.35 146.2C17.27 161.5 .0008 175.5 .0008 192c0 16.5 17.27 30.52 21.34 45.73c4.207 15.75-3.615 36.5 4.361 50.29C33.8 302 55.74 305.5 67.08 316.9c11.35 11.35 14.89 33.3 28.88 41.4c13.79 7.979 34.53 .1582 50.28 4.369C161.5 366.7 175.5 384 192 384c16.5 0 30.52-17.27 45.74-21.34C253.5 358.5 274.2 366.3 288 358.3zM112 192c0-44.27 35.81-80 80-80s80 35.73 80 80c0 44.17-35.81 80-80 80S112 236.2 112 192zM1.719 433.2c-3.25 8.188-1.781 17.48 3.875 24.25c5.656 6.75 14.53 9.898 23.12 8.148l45.19-9.035l21.43 42.27C99.46 507 107.6 512 116.7 512c.3438 0 .6641-.0117 1.008-.0273c9.5-.375 17.65-6.082 21.24-14.88l33.58-82.08c-53.71-4.639-102-28.12-138.2-63.95L1.719 433.2zM349.6 351.1c-36.15 35.83-84.45 59.31-138.2 63.95l33.58 82.08c3.594 8.797 11.74 14.5 21.24 14.88C266.6 511.1 266.1 512 267.3 512c9.094 0 17.23-4.973 21.35-13.14l21.43-42.28l45.19 9.035c8.594 1.75 17.47-1.398 23.12-8.148c5.656-6.766 7.125-16.06 3.875-24.25L349.6 351.1z"],
    "award-simple": [384, 512, [], "e0ab", "M263.5 363.9c-3.582 0-7.26-.1875-10.94-.3926c-2.496-.1406-4.998-.2969-7.445-.2969c-1.658 0-2.525 .084-2.701 .084c-.0273 0-.0078 .0059 0 0c-1.607 .6133-5.67 3.275-8.361 5.045C224 374.1 210.3 384 192 384c-18.29 0-32.03-9.049-42.07-15.66c-2.727-1.795-6.848-4.508-8.031-4.969c-.084-.0176-.877-.168-3.055-.168c-2.445 0-4.943 .1562-7.439 .2949c-3.676 .2031-7.344 .3906-10.92 .3906c-5.848 0-13.8-.5117-22.23-3.264l-27.51 132.1c-2.727 13.09 10.86 23.55 22.82 17.57L192 461.1l98.44 49.22c11.96 5.98 25.54-4.48 22.82-17.57l-27.51-132.1C277.3 363.4 269.4 363.9 263.5 363.9zM368 176c0-15.13-15.83-27.97-19.56-41.92c-3.855-14.43 3.316-33.45-3.996-46.09c-7.412-12.81-27.54-16.07-37.93-26.47c-10.41-10.4-13.65-30.53-26.47-37.95c-12.64-7.314-31.66-.1465-46.09-4.006C219.1 15.83 207.1 0 192 0C176.9 0 164 15.83 150.1 19.56C135.6 23.42 116.6 16.24 103.1 23.55C91.17 30.97 87.92 51.09 77.52 61.49c-10.4 10.4-30.53 13.65-37.95 26.47C32.26 100.6 39.43 119.6 35.57 134C31.83 148 16 160.9 16 176c0 15.13 15.83 27.97 19.56 41.92C39.42 232.4 32.24 251.4 39.55 264c7.418 12.82 27.54 16.07 37.94 26.47c10.41 10.4 13.65 30.53 26.47 37.95c12.64 7.312 31.66 .1445 46.09 4.004C164 336.2 176.9 352 192 352c15.12 0 27.98-15.83 41.93-19.56c14.43-3.857 33.45 3.316 46.09-3.996c12.82-7.414 16.07-27.54 26.47-37.94c10.41-10.4 30.53-13.65 37.95-26.47c7.316-12.64 .1465-31.66 4.004-46.09C352.2 203.1 368 191.1 368 176zM192 256C147.8 256 112 220.2 112 176C112 131.7 147.8 96 192 96s80 35.73 80 80C272 220.2 236.2 256 192 256z"],
    "axe": [640, 512, [129683], "f6b2", "M240.6 203.6l67.88 67.88l-231.2 231.2c-12.5 12.5-32.76 12.5-45.26 .0012l-22.63-22.63c-12.5-12.5-12.5-32.76 0-45.26L240.6 203.6zM640 160v31.1c0 123.7-100.3 224-224 224L384 416l-.0027-114.3L233.4 151.1c-12.5-12.5-12.5-32.76 .0016-45.25l96.5-96.49c6.25-6.25 14.44-9.375 22.63-9.375s16.38 3.125 22.63 9.375l29.81 29.81l29.82-29.82c12.5-12.5 32.76-12.5 45.26 0l22.62 22.62c12.5 12.5 12.5 32.76 .0001 45.26l-29.82 29.82l52.94 52.94L640 160zM572.8 224h-37.94C518.6 263.3 487.3 294.6 448 310.8v37.95C510.6 336 560 286.6 572.8 224z"],
    "axe-battle": [512, 512, [], "f6b3", "M256 32c-17.67 0-32 14.33-32 32v431.1C224 504.8 231.2 512 240 512h32c8.836 0 16-7.164 16-15.1V64C288 46.33 273.7 32 256 32zM101 13.61c-3.125-13-17.66-18.13-26.78-8.876C28.63 50.86 0 117.6 0 192s28.62 141.1 74.25 187.3c9.125 9.252 23.66 4.126 26.78-8.876C112.9 320.6 147.8 282.1 192 269.1V114.9C147.8 101.9 112.9 63.37 101 13.61zM512 160.9c-6.875-61.76-33.63-116.7-73-156.2c-9.25-9.252-24.08-4.107-27.21 8.895C399.8 63.37 364.6 101.9 320 114.9v154.3c44.63 13 79.79 51.49 91.79 101.3c3.125 13 17.96 18.15 27.21 8.896C478.4 339.8 505.1 284.9 512 223.1L449.3 192L512 160.9z"],
    "b": [320, 512, [98], "42", "M257.1 242.4C276.1 220.1 288 191.6 288 160c0-70.58-57.42-128-128-128H32c-17.67 0-32 14.33-32 32v384c0 17.67 14.33 32 32 32l160-.0049c70.58 0 128-57.42 128-128C320 305.3 294.6 264.8 257.1 242.4zM64 96.01h96c35.3 0 64 28.7 64 64s-28.7 64-64 64H64V96.01zM192 416H64v-128h128c35.3 0 64 28.7 64 64S227.3 416 192 416z"],
    "baby": [448, 512, [], "f77c", "M156.8 411.8l31.22-31.22l-60.04-53.09l-52.29 52.28C61.63 393.8 60.07 416.1 72 432l48 64C127.9 506.5 139.9 512 152 512c8.345 0 16.78-2.609 23.97-8c17.69-13.25 21.25-38.33 8-56L156.8 411.8zM224 159.1c44.25 0 79.99-35.75 79.99-79.1S268.3 0 224 0S144 35.75 144 79.1S179.8 159.1 224 159.1zM408.7 145c-12.75-18.12-37.63-22.38-55.76-9.75l-40.63 28.5c-52.63 37-124.1 37-176.8 0l-40.63-28.5C76.84 122.6 51.97 127 39.22 145C26.59 163.1 30.97 188 48.97 200.8l40.63 28.5C101.7 237.7 114.7 244.3 128 250.2L128 288h192l.0002-37.71c13.25-5.867 26.22-12.48 38.34-21.04l40.63-28.5C417.1 188 421.4 163.1 408.7 145zM320 327.4l-60.04 53.09l31.22 31.22L264 448c-13.25 17.67-9.689 42.75 8 56C279.2 509.4 287.6 512 295.1 512c12.16 0 24.19-5.516 32.03-16l48-64c11.94-15.92 10.38-38.2-3.719-52.28L320 327.4z"],
    "baby-carriage": [512, 512, ["carriage-baby"], "f77d", "M255.1 192H.1398C2.741 117.9 41.34 52.95 98.98 14.1C112.2 5.175 129.8 9.784 138.9 22.92L255.1 192zM384 160C384 124.7 412.7 96 448 96H480C497.7 96 512 110.3 512 128C512 145.7 497.7 160 480 160H448V224C448 249.2 442.2 274.2 430.9 297.5C419.7 320.8 403.2 341.9 382.4 359.8C361.6 377.6 336.9 391.7 309.7 401.4C282.5 411 253.4 416 223.1 416C194.6 416 165.5 411 138.3 401.4C111.1 391.7 86.41 377.6 65.61 359.8C44.81 341.9 28.31 320.8 17.05 297.5C5.794 274.2 0 249.2 0 224H384L384 160zM31.1 464C31.1 437.5 53.49 416 79.1 416C106.5 416 127.1 437.5 127.1 464C127.1 490.5 106.5 512 79.1 512C53.49 512 31.1 490.5 31.1 464zM416 464C416 490.5 394.5 512 368 512C341.5 512 320 490.5 320 464C320 437.5 341.5 416 368 416C394.5 416 416 437.5 416 464z"],
    "backpack": [448, 512, [127890], "f5d4", "M320 320H128c-17.62 0-32 14.38-32 32v32h256v-32C352 334.4 337.6 320 320 320zM96 512h256v-96H96V512zM320 80h-8V56C312 25.12 286.9 0 256 0H192C161.1 0 136 25.12 136 56V80H128c-70.75 0-128 57.25-128 128V448c0 35.38 28.62 64 64 64v-160c0-35.25 28.75-64 64-64h192c35.25 0 64 28.75 64 64v160c35.38 0 64-28.62 64-64V208C448 137.2 390.8 80 320 80zM184 56C184 51.62 187.6 48 192 48h64c4.375 0 8 3.625 8 8V80h-80V56zM320 200c0 4.375-3.625 8-8 8h-176C131.6 208 128 204.4 128 200v-16C128 179.6 131.6 176 136 176h176C316.4 176 320 179.6 320 184V200z"],
    "backward": [512, 512, [9194], "f04a", "M459.5 71.41l-171.5 142.9v83.45l171.5 142.9C480.1 457.7 512 443.3 512 415.1V96.03C512 68.66 480.1 54.28 459.5 71.41zM203.5 71.41L11.44 231.4c-15.25 12.87-15.25 36.37 0 49.24l192 159.1c20.63 17.12 52.51 2.749 52.51-24.62v-319.9C255.1 68.66 224.1 54.28 203.5 71.41z"],
    "backward-fast": [512, 512, [9198, "fast-backward"], "f049", "M0 415.1V96.03c0-17.67 14.33-31.1 31.1-31.1C49.67 64.03 64 78.36 64 96.03v131.8l171.5-156.5C256.1 54.28 288 68.66 288 96.03v131.9l171.5-156.5C480.1 54.28 512 68.66 512 96.03v319.9c0 27.37-31.88 41.74-52.5 24.62L288 285.2v130.7c0 27.37-31.88 41.74-52.5 24.62L64 285.2v130.7c0 17.67-14.33 31.1-31.1 31.1C14.33 447.1 0 433.6 0 415.1z"],
    "backward-step": [320, 512, ["step-backward"], "f048", "M31.1 64.03c-17.67 0-31.1 14.33-31.1 32v319.9c0 17.67 14.33 32 32 32C49.67 447.1 64 433.6 64 415.1V96.03C64 78.36 49.67 64.03 31.1 64.03zM267.5 71.41l-192 159.1C67.82 237.8 64 246.9 64 256c0 9.094 3.82 18.18 11.44 24.62l192 159.1c20.63 17.12 52.51 2.75 52.51-24.62v-319.9C319.1 68.66 288.1 54.28 267.5 71.41z"],
    "bacon": [576, 512, [129363], "f7e5", "M29.34 432.5l-18.06-20.15c-9.406-10.47-13.25-25.3-10.31-39.65c2.813-13.71 11.23-24.74 23.09-30.23l68.88-31.94c47.95-22.25 87.64-60.2 114.8-109.8l20.66-37.76c28.77-52.59 70.98-92.93 122.1-116.6l92.75-42.99c14.84-6.812 32.41-3.078 43.69 9.518l34.08 38.01l-104.8 48.56c-55.72 25.83-101.7 69.73-133 127L261.3 266.5c-28.03 51.22-69 90.42-118.5 113.4L29.34 432.5zM564.7 99.68l-21.4-23.87l-113.6 52.68c-49.47 22.94-90.44 62.11-118.5 113.3L289.3 281.9c-31.33 57.27-77.34 101.2-133.1 127l-104.5 48.43l37.43 41.74C96.64 507.5 106.1 512 117.5 512c5.188 0 10.41-1.11 15.33-3.375l92.75-42.99c51.13-23.69 93.34-64.03 122.1-116.6l20.66-37.76c27.11-49.56 66.8-87.5 114.8-109.8l68.88-31.94c11.86-5.486 20.28-16.52 23.09-30.23C577.1 124.1 574.1 110.1 564.7 99.68z"],
    "bacteria": [640, 512, [], "e059", "M627.3 227.3c9.439-2.781 14.81-12.65 12-22.04c-3.039-10.21-13.57-14.52-22.14-11.95l-11.27 3.33c-8.086-15.15-20.68-27.55-36.4-35.43l2.888-11.06c1.867-7.158-1.9-22.19-17.26-22.19c-7.92 0-15.14 5.288-17.23 13.28l-2.865 10.97c-7.701-.2793-26.9-.6485-48.75 13.63L477.6 157.1c-3.777-3.873-15.44-9.779-25.19-.3691c-7.062 6.822-7.225 18.04-.3711 25.07l9.14 9.373c-11.96 18.85-10.27 28.38-15.88 46.61c-8.023-3.758-11.44-5.943-16.66-5.943c-6.689 0-13.09 3.763-16.13 10.19c-4.188 8.856-.3599 19.42 8.546 23.58l8.797 4.115c-14.91 22.05-34.42 33.57-34.83 33.83l-3.922-8.855C387.2 285.8 376.7 281.7 367.7 285.6c-9 3.959-13.08 14.42-9.115 23.39l4.041 9.127c-16.38 4.559-27.93 4.345-46.15 16.94l-9.996-9.012c-6.969-6.303-18.28-6.33-25.15 1.235c-6.609 7.26-6.053 18.47 1.24 25.04l9.713 8.756c-8.49 14.18-12.74 30.77-11.64 48.17l-11.86 3.512c-9.428 2.793-14.8 12.66-11.99 22.05c2.781 9.385 12.69 14.71 22.15 11.94l11.34-3.359c8.287 15.49 20.99 27.86 36.38 35.57l-2.839 10.85c-2.482 9.477 3.224 19.16 12.75 21.62c9.566 2.482 19.25-3.221 21.72-12.69l2.82-10.78c5.508 .1875 11.11-.1523 16.75-1.102c11.37-1.893 22.23-5.074 33.1-8.24l3.379 9.455c3.305 9.225 13.5 14.11 22.75 10.76c9.266-3.279 14.1-13.41 10.81-22.65l-3.498-9.792c15.41-6.654 30.08-14.46 43.95-23.57l6.321 8.429c5.891 7.84 17.05 9.443 24.93 3.602c7.885-5.863 9.498-16.97 3.617-24.82l-6.457-8.611c12.66-10.78 24.33-22.54 34.96-35.33l8.816 6.413c7.932 5.795 19.07 4.074 24.89-3.855c5.809-7.908 4.072-18.1-3.874-24.77l-8.885-6.465c8.893-13.88 16.54-28.52 22.99-43.91l10.47 3.59c9.334 3.186 19.43-1.719 22.64-10.99c3.211-9.258-1.739-19.35-11.04-22.53l-10.33-3.541c5.744-20.5 9.424-31.81 8.338-49.26L627.3 227.3zM416 416c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32c17.67 0 32 14.33 32 32C448 401.7 433.7 416 416 416zM272.3 226.4c9-3.959 13.08-14.42 9.115-23.39L277.4 193.9c16.38-4.561 27.93-4.345 46.15-16.94l9.996 9.012c6.969 6.301 18.28 6.326 25.15-1.236c6.609-7.26 6.053-18.47-1.24-25.04l-9.713-8.756c8.49-14.18 12.74-30.77 11.64-48.18l11.86-3.511c9.428-2.793 14.8-12.66 11.99-22.05c-2.781-9.385-12.69-14.71-22.15-11.94l-11.34 3.357C341.5 53.13 328.8 40.76 313.4 33.05l2.838-10.85C318.7 12.73 313 3.04 303.5 .5811c-9.566-2.482-19.25 3.222-21.72 12.69l-2.82 10.78C273.4 23.86 267.8 24.2 262.2 25.15C250.8 27.04 239.1 30.22 229.1 33.39L225.7 23.93C222.4 14.71 212.2 9.827 202.1 13.17C193.7 16.45 188.9 26.59 192.2 35.82l3.498 9.793C180.2 52.27 165.6 60.07 151.7 69.19L145.4 60.76C139.5 52.92 128.3 51.32 120.5 57.16C112.6 63.02 110.1 74.13 116.8 81.98l6.457 8.611C110.6 101.4 98.96 113.1 88.34 125.9L79.52 119.5c-7.932-5.795-19.08-4.074-24.89 3.855c-5.809 7.908-4.07 19 3.875 24.77l8.885 6.465C58.5 168.5 50.86 183.1 44.41 198.5L33.93 194.9c-9.334-3.186-19.44 1.721-22.64 10.99C8.086 215.2 13.04 225.3 22.34 228.4l10.33 3.541C26.93 252.5 23.25 263.8 24.33 281.2L12.75 284.7C3.309 287.4-2.061 297.3 .7441 306.7c3.041 10.21 13.57 14.52 22.14 11.95l11.27-3.33c8.086 15.15 20.68 27.55 36.39 35.43l-2.887 11.06c-1.865 7.156 1.902 22.19 17.26 22.19c7.92 0 15.14-5.287 17.23-13.28l2.863-10.97c7.701 .2773 26.9 .6465 48.76-13.63l8.59 8.809c3.777 3.873 15.44 9.779 25.19 .3691c7.062-6.822 7.225-18.04 .3711-25.07l-9.14-9.373c11.96-18.85 10.27-28.38 15.88-46.61c8.025 3.756 11.44 5.943 16.66 5.943c6.689 0 13.09-3.762 16.13-10.19C231.6 261.1 227.8 250.6 218.9 246.4L210.1 242.3C225 220.2 244.5 208.7 244.9 208.5l3.922 8.856C252.8 226.2 263.3 230.3 272.3 226.4zM128 256C110.3 256 96 241.7 96 223.1c0-17.67 14.33-32 32-32c17.67 0 32 14.33 32 32C160 241.7 145.7 256 128 256zM208 160c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16s16 7.162 16 16C224 152.8 216.8 160 208 160z"],
    "bacterium": [576, 512, [], "e05a", "M543 102.9c-3.711-12.51-16.92-19.61-29.53-15.92l-15.12 4.48c-11.05-20.65-27.98-37.14-48.5-47.43l3.783-14.46c3.309-12.64-4.299-25.55-16.99-28.83c-12.76-3.309-25.67 4.295-28.96 16.92l-3.76 14.37c-9.947-.3398-26.22 .1016-66.67 11.88l-4.301-12.03c-4.406-12.3-17.1-18.81-30.34-14.34c-12.35 4.371-18.8 17.88-14.41 30.2l4.303 12.04c-20.6 8.889-40.16 19.64-58.69 31.83L225.9 81.01C217.1 70.56 203.1 68.42 192.6 76.21C182.1 84.03 179.9 98.83 187.8 109.3l7.975 10.63C178.8 134.3 163.3 150.3 149.1 167.4L138 159.3C127.5 151.6 112.6 153.9 104.8 164.5c-7.748 10.54-5.428 25.33 5.164 33.03l11.09 8.066C109.2 224.1 98.79 243.7 90.18 264.3l-12.93-4.431c-12.45-4.248-25.92 2.293-30.18 14.65C42.78 286.9 49.38 300.3 61.78 304.6l13.05 4.474c-11.86 42.33-11.02 55.76-10.39 65.93l-15.45 4.566c-12.59 3.709-19.74 16.87-16 29.38c4.053 13.61 18.1 19.36 29.52 15.93l15.02-4.441c10.78 20.21 27.57 36.73 48.53 47.24l-3.852 14.75C119.7 491.1 124.8 512 145.2 512c10.56 0 20.19-7.049 22.98-17.7l3.816-14.63c10.2 .377 35.85 .873 65.01-18.17l11.45 11.74c5.037 5.164 20.59 13.04 33.58 .4922c9.416-9.096 9.633-24.06 .4941-33.43l-12.19-12.5c7.805-12.29 13.56-26.13 16.11-41.4c1.186-7.107 3.082-13.95 5.158-20.7c10.66 4.988 15.16 7.881 22.12 7.881c8.922 0 17.46-5.018 21.51-13.59c5.582-11.8 .4785-25.89-11.4-31.45l-11.73-5.486c20.09-29.62 45.89-44.76 46.44-45.11l5.23 11.81c5.273 11.86 19.19 17.36 31.33 12.1c11.1-5.279 17.44-19.22 12.15-31.18L401.9 258.5c5.438-1.512 10.86-3.078 16.52-4.021c16.8-2.797 31.88-9.459 45.02-18.54l13.33 12.02c9.289 8.395 24.37 8.439 33.54-1.648c8.814-9.68 8.072-24.62-1.654-33.38l-12.95-11.68c11.32-18.9 16.99-41.02 15.52-64.23l15.81-4.681C539.6 128.6 546.7 115.4 543 102.9zM192 368c-26.51 0-48.01-21.49-48.01-48s21.5-48 48.01-48S240.1 293.5 240.1 320S218.6 368 192 368zM272 232c-13.25 0-23.92-10.75-23.92-24c0-13.26 10.67-23.1 23.92-23.1c13.26 0 23.1 10.74 23.1 23.1C295.1 221.3 285.3 232 272 232z"],
    "badge": [512, 512, [], "f335", "M437 74.98C463 101 470.1 138.2 460.9 171.1C491.3 187.2 512 219.2 512 256C512 292.8 491.3 324.8 460.9 340.9C471 373.8 463 410.1 437 437C410.1 463 373.8 470.1 340.9 460.9C324.8 491.3 292.8 512 256 512C219.2 512 187.2 491.3 171.1 460.9C138.2 471 101 463 74.98 437C48.96 410.1 41 373.8 51.1 340.9C20.7 324.8 0 292.8 0 256C0 219.2 20.7 187.2 51.1 171.1C40.1 138.2 48.96 101 74.98 74.98C101 48.96 138.2 41 171.1 51.1C187.2 20.7 219.2 0 256 0C292.8 0 324.8 20.7 340.9 51.1C373.8 40.1 410.1 48.96 437 74.98V74.98z"],
    "badge-check": [512, 512, [], "f336", "M256 0C292.8 0 324.8 20.7 340.9 51.1C373.8 40.1 410.1 48.96 437 74.98C463 101 470.1 138.2 460.9 171.1C491.3 187.2 512 219.2 512 256C512 292.8 491.3 324.8 460.9 340.9C471 373.8 463 410.1 437 437C410.1 463 373.8 470.1 340.9 460.9C324.8 491.3 292.8 512 256 512C219.2 512 187.2 491.3 171.1 460.9C138.2 471 101 463 74.98 437C48.96 410.1 41 373.8 51.1 340.9C20.7 324.8 0 292.8 0 256C0 219.2 20.7 187.2 51.1 171.1C40.1 138.2 48.96 101 74.98 74.98C101 48.96 138.2 41 171.1 51.1C187.2 20.7 219.2 0 256 0V0zM352.1 224.1C362.3 215.6 362.3 200.4 352.1 191C343.6 181.7 328.4 181.7 319 191L224 286.1L184.1 247C175.6 237.7 160.4 237.7 151 247C141.7 256.4 141.7 271.6 151 280.1L207 336.1C216.4 346.3 231.6 346.3 240.1 336.1L352.1 224.1z"],
    "badge-dollar": [512, 512, [], "f645", "M256 0C292.8 0 324.8 20.7 340.9 51.1C373.8 40.1 410.1 48.96 437 74.98C463 101 470.1 138.2 460.9 171.1C491.3 187.2 512 219.2 512 256C512 292.8 491.3 324.8 460.9 340.9C471 373.8 463 410.1 437 437C410.1 463 373.8 470.1 340.9 460.9C324.8 491.3 292.8 512 256 512C219.2 512 187.2 491.3 171.1 460.9C138.2 471 101 463 74.98 437C48.96 410.1 41 373.8 51.1 340.9C20.7 324.8 0 292.8 0 256C0 219.2 20.7 187.2 51.1 171.1C40.1 138.2 48.96 101 74.98 74.98C101 48.96 138.2 41 171.1 51.1C187.2 20.7 219.2 0 256 0V0zM276.1 149.3C276.1 138.2 267.1 129.2 256.9 129.2C245.8 129.2 236.8 138.2 236.8 149.3V157.8C230.1 159.1 223.7 161.1 217.8 163.7C201.7 171 187.9 184.5 184.5 203.1C182.6 214.9 183.7 225.4 188.1 234.8C192.5 244.1 199.5 250.8 206.6 255.6C219.2 264.1 235.9 269.2 248.1 273.1L251.3 273.8C266.7 278.5 277.6 282.1 284.5 287.1C287.5 289.3 288.8 291.1 289.4 292.5C290 293.9 290.7 296.4 289.8 301.2C289 305.9 286.3 309.8 279.7 312.6C272.4 315.7 260.1 317.2 246.4 314.9C239.6 313.8 227.4 309.6 216.8 306C214.4 305.2 212.1 304.4 209.9 303.7C199.4 300.2 188.1 305.9 184.6 316.3C181.1 326.8 186.8 338.2 197.2 341.6C198.6 342.1 200.3 342.7 202.3 343.3C211.5 346.5 226.2 351.5 236.8 353.8V362.7C236.8 373.8 245.8 382.8 256.9 382.8C267.1 382.8 276.1 373.8 276.1 362.7V354.7C283.4 353.6 289.6 351.9 295.4 349.4C312.3 342.2 325.7 328.3 329.2 308C331.2 296.9 330.3 286.2 326.1 276.6C321.1 267 315.2 259.1 308 254.8C294.9 245.2 277.2 239.8 263.7 235.8L262.9 235.5C247.3 230.8 236.2 227.4 229.1 222.5C225.1 220.4 224.8 218.8 224.3 217.7C223.9 216.9 223.2 214.1 223.9 210.8C224.5 207.7 226.8 203.6 234.3 200.2C241.9 196.7 253.5 194.9 267.4 197.1C272.3 197.9 287.4 200.8 291.7 201.1C302.4 204.8 313.4 198.5 316.2 187.8C319.1 177.1 312.7 166.2 302 163.3C296.8 161.9 284.2 159.4 276.1 158.2L276.1 149.3z"],
    "badge-percent": [512, 512, [], "f646", "M256 0C292.8 0 324.8 20.7 340.9 51.1C373.8 40.1 410.1 48.96 437 74.98C463 101 470.1 138.2 460.9 171.1C491.3 187.2 512 219.2 512 256C512 292.8 491.3 324.8 460.9 340.9C471 373.8 463 410.1 437 437C410.1 463 373.8 470.1 340.9 460.9C324.8 491.3 292.8 512 256 512C219.2 512 187.2 491.3 171.1 460.9C138.2 471 101 463 74.98 437C48.96 410.1 41 373.8 51.1 340.9C20.7 324.8 0 292.8 0 256C0 219.2 20.7 187.2 51.1 171.1C40.1 138.2 48.96 101 74.98 74.98C101 48.96 138.2 41 171.1 51.1C187.2 20.7 219.2 0 256 0V0zM192 224C209.7 224 224 209.7 224 192C224 174.3 209.7 160 192 160C174.3 160 160 174.3 160 192C160 209.7 174.3 224 192 224zM320 288C302.3 288 288 302.3 288 320C288 337.7 302.3 352 320 352C337.7 352 352 337.7 352 320C352 302.3 337.7 288 320 288zM336.1 208.1C346.3 199.6 346.3 184.4 336.1 175C327.6 165.7 312.4 165.7 303 175L175 303C165.7 312.4 165.7 327.6 175 336.1C184.4 346.3 199.6 346.3 208.1 336.1L336.1 208.1z"],
    "badge-sheriff": [512, 512, [], "f8a2", "M432 304c-4.508 0-8.781 .8203-12.92 1.982L389.4 256l29.71-49.98C423.2 207.2 427.5 208 432 208C458.5 208 480 186.5 480 160s-21.49-48-48-48c-20.87 0-38.45 13.4-45.06 32h-64.19l-35.53-59.81C297.4 75.38 304 62.54 304 48C304 21.49 282.5 0 256 0S208 21.49 208 48c0 14.58 6.579 27.43 16.84 36.23L189.4 144H125.1C118.5 125.4 100.9 112 80 112C53.49 112 32 133.5 32 160s21.49 48 48 48c4.518 0 8.801-.8242 12.95-1.99L122.8 256L92.95 305.1C88.8 304.8 84.52 304 80 304C53.49 304 32 325.5 32 352s21.49 48 48 48c20.87 0 38.45-13.4 45.06-32h64.19l35.53 59.81C214.6 436.6 208 449.5 208 464c0 26.51 21.49 48 48 48s48-21.49 48-48c0-14.58-6.579-27.43-16.84-36.23L322.6 368h64.31c6.611 18.6 24.19 32 45.06 32c26.51 0 48-21.49 48-48S458.5 304 432 304zM256 320c-35.38 0-64-28.62-64-64s28.62-64 64-64s64 28.62 64 64S291.4 320 256 320z"],
    "badger-honey": [640, 512, [129441], "f6b4", "M622.3 142.5c-57.63-32.62-71-50.73-115.5-69.98c-13.38-5.75-27.38-8.479-41.25-8.479c-19.12 0-38.12 5.255-55.5 15.26C392.9 89.03 373.1 96.02 355 96.02H128c-70.75 0-128 57.26-128 128v15.95c0 8.875 7.125 16 16 16h20c7.875 33.38 28.12 64.27 53.5 81.14L68.13 394.5c-4.625 12.12-5.375 25.38-2.25 38L80 467.9C81.75 475 88.12 480 95.5 480h63.75c10.5 0 18.13-9.75 15.5-19.88l-15.5-41.25L192.2 352h105.6l23.12 115.1C322.5 474.6 329 480 336.6 480H400c10.12 0 17.62-9.25 15.75-19.12l-27-134.1c45.37-30.5 101.1-61.14 152.4-75.64L560 287.1l22.58-45.16c28.5-2.375 36.54-9.584 41.29-19.96C630.9 207.6 640 187.2 640 175.3C640 161.4 633.1 148.6 622.3 142.5zM515.3 160C515.5 161.4 516 162.6 516 164c0 11-9.027 19.97-20.03 19.97S476 175 476 164c0-1.375 .5-2.625 .75-4l-16.79-.0481c-29 0-57.83 13.05-84.83 26.05l-102 61.75c-11.25 5.5-23.42 8.216-35.67 8.216L192 256C149.5 256 113.9 214.5 101.2 165.4C113.5 152.1 129.1 144 148.2 144h206.8c25.62 0 52.25-7.75 78.88-23.25C444 115 454.9 112 465.5 112c7.625 0 15.12 1.5 22.12 4.625C514.5 128.2 524.1 137 559.1 160H515.3z"],
    "badminton": [640, 512, [], "e33a", "M122.1 367.2c-3.16-3.963-7.818-6.037-12.52-6.037c-3.497 0-7.018 1.141-9.965 3.492l-87.57 69.85c-7.925 6.322-12.05 15.64-12.05 25.05c0 6.997 2.283 14.04 6.983 19.93l9.975 12.51c6.319 7.928 15.64 12.05 25.04 12.05c6.994 0 14.04-2.282 19.93-6.984l87.57-69.85c3.962-3.161 6.025-7.818 6.025-12.52c0-3.499-1.141-7.011-3.491-9.958L122.1 367.2zM511.1 399.1L512 431.1h96l-.0031-32.02c0-26.52-21.49-48.01-48-48.01S511.1 373.4 511.1 399.1zM496.8 490.9c-.5547 1.672-.8185 3.37-.8185 5.043c0 8.713 7.03 16.02 16 16.02c6.688 0 12.94-4.248 15.19-10.94l16-48.01c.543-1.637 .6954-3.365 .6954-5.003l-32.75-.0598L496.8 490.9zM575.8 158.3c0-122.5-106.6-158.2-164.5-158.2c-47.65 0-98.25 17.01-141.3 51.36C266.8 54.04 183.4 116.2 183.4 219.6c0 26.57 6.051 51.75 17.73 74.26l-59.67 47.55c1.994 1.789 3.998 3.572 5.701 5.711l29.93 37.55c1.691 2.121 3.076 4.406 4.369 6.73l60.4-48.15c29.48 23.16 66.84 34.91 106.3 34.91C438.3 378.2 575.8 299.1 575.8 158.3zM512.1 158.8c0 40.79-22.23 85.71-62.6 117.9c-31.58 25.16-68.26 37.8-101.7 37.8c-46.63 0-100.4-28.44-100.4-94.81c0-102.5 104.9-155.9 164.2-155.9C445.7 63.77 512.1 83.18 512.1 158.8zM623.2 490.9l-14.31-42.94l-32.75 .0325c0 1.639 .1524 3.394 .6954 5.031l15.1 48.01c2.25 6.691 8.5 10.94 15.19 10.94c8.969 0 16-7.305 16-16.02C624 494.3 623.7 492.6 623.2 490.9zM544 495.1c0 8.848 7.153 16 15.1 16s16-7.155 16-16l.1181-47.97l-32.23 .0273L544 495.1z"],
    "bag-shopping": [448, 512, ["shopping-bag"], "f290", "M112 112C112 50.14 162.1 0 224 0C285.9 0 336 50.14 336 112V160H400C426.5 160 448 181.5 448 208V416C448 469 405 512 352 512H96C42.98 512 0 469 0 416V208C0 181.5 21.49 160 48 160H112V112zM160 160H288V112C288 76.65 259.3 48 224 48C188.7 48 160 76.65 160 112V160zM136 256C149.3 256 160 245.3 160 232C160 218.7 149.3 208 136 208C122.7 208 112 218.7 112 232C112 245.3 122.7 256 136 256zM312 208C298.7 208 288 218.7 288 232C288 245.3 298.7 256 312 256C325.3 256 336 245.3 336 232C336 218.7 325.3 208 312 208z"],
    "bagel": [640, 512, [129391], "e3d7", "M208 96C93.13 96 0 189.1 0 304S93.13 512 208 512S416 418.9 416 304S322.9 96 208 96zM80 288C71.16 288 64 280.8 64 272C64 263.2 71.16 256 80 256S96 263.2 96 272C96 280.8 88.84 288 80 288zM112 416C103.2 416 96 408.8 96 400C96 391.2 103.2 384 112 384S128 391.2 128 400C128 408.8 120.8 416 112 416zM144 224C135.2 224 128 216.8 128 208C128 199.2 135.2 192 144 192S160 199.2 160 208C160 216.8 152.8 224 144 224zM240 448C231.2 448 224 440.8 224 432C224 423.2 231.2 416 240 416S256 423.2 256 432C256 440.8 248.8 448 240 448zM208 352C181.5 352 160 330.5 160 304S181.5 256 208 256S256 277.5 256 304S234.5 352 208 352zM304 416C295.2 416 288 408.8 288 400C288 391.2 295.2 384 304 384s16 7.162 16 16C320 408.8 312.8 416 304 416zM304 256C295.2 256 288 248.8 288 240C288 231.2 295.2 224 304 224S320 231.2 320 240C320 248.8 312.8 256 304 256zM432 0c-63.48 0-120.2 28.5-158.4 73.33c17.19 4.9 33.68 11.47 49.07 19.88c2.9-5.742 6.178-11.06 11.27-14.62c13.42-9.377 34.64-5.072 50.77-10.1C400.3 63.63 414.8 48 431.1 48s31.68 15.63 47.25 20.5c16.11 5.039 37.34 .7187 50.75 10.1c13.55 9.473 15.79 30.24 25.66 43.23c9.777 12.89 29.73 21.28 35.01 36.72C595.7 173.5 584.9 191.5 584.9 208c0 16.51 10.8 34.51 5.76 49.44c-5.279 15.47-25.23 23.86-35.01 36.72c-9.871 13.01-12.11 33.78-25.66 43.25c-13.41 9.359-34.67 5.055-50.75 10.1c-13.25 4.135-25.75 15.5-39.76 18.98c-4.631 17.12-10.93 33.54-19.04 48.93C424.3 415.6 428.1 416 432 416c114.9 0 208-93.13 208-208S546.9 0 432 0zM495.1 208c0-35.3-28.69-64-64-64c-13.37 0-25.75 4.126-36.02 11.16c25.91 32.66 43.36 72.19 49.42 115.4C474.3 264.4 495.1 238.7 495.1 208z"],
    "bags-shopping": [576, 512, [128717], "f847", "M128 160V96C128 42.98 170.1 0 224 0C277 0 320 42.98 320 96V160H384C419.3 160 448 188.7 448 224H240C195.8 224 160 259.8 160 304V464C160 469.5 160.6 474.8 161.6 480H64C28.65 480 0 451.3 0 416V224C0 188.7 28.65 160 64 160H128zM176 160H272V96C272 69.49 250.5 48 224 48C197.5 48 176 69.49 176 96V160zM512 256C547.3 256 576 284.7 576 320V448C576 483.3 547.3 512 512 512H256C220.7 512 192 483.3 192 448V320C192 284.7 220.7 256 256 256H512zM320 336C320 327.2 312.8 320 304 320C295.2 320 288 327.2 288 336V352C288 405 330.1 448 384 448C437 448 480 405 480 352V336C480 327.2 472.8 320 464 320C455.2 320 448 327.2 448 336V352C448 387.3 419.3 416 384 416C348.7 416 320 387.3 320 352V336z"],
    "baguette": [640, 512, [129366], "e3d8", "M639.6 118c-4.062 50.83-35.66 103.5-80.53 134.3L227.7 479.3c-45 30.84-105.2 40.95-153.4 25.59c-22.88-7.268-42.88-22.38-56.29-42.54c-13.3-20.04-19.58-44.33-17.61-68.4c4.062-50.83 35.66-103.5 80.53-134.3l16.73-11.46l83.07 83.07C183.8 334.4 187.9 336 192 336s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L124.5 229.8L211.6 170.2l81.13 81.13C295.8 254.4 299.9 256 304 256s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L238.4 151.8l87.09-59.66l79.2 79.2C407.8 174.4 411.9 176 416 176s8.188-1.562 11.31-4.688c6.25-6.25 6.25-16.38 0-22.62L352.3 73.72l59.95-41.07C443.3 11.38 481.6 0 518.2 0c16.46 0 32.57 2.303 47.54 7.055c22.88 7.268 42.88 22.38 56.29 42.54C635.3 69.63 641.6 93.92 639.6 118z"],
    "bahai": [512, 512, ["haykal"], "f666", "M496.3 202.5l-110-15.38l41.88-104.4c6.625-16.63-11.63-32.25-26.63-22.63L307.5 120l-34.13-107.1C270.6 4.25 263.4 0 255.1 0C248.6 0 241.4 4.25 238.6 12.88L204.5 120L110.5 60.12c-15-9.5-33.22 5.1-26.6 22.63l41.85 104.4L15.71 202.5C-1.789 205-5.915 228.8 9.71 237.2l98.14 52.63l-74.51 83.5c-10.88 12.25-1.78 31 13.35 31c1.25 0 2.657-.25 4.032-.5l108.6-23.63l-4.126 112.5C154.7 504.4 164.1 512 173.6 512c5.125 0 10.38-2.25 14.25-7.25l68.13-88.88l68.23 88.88C327.1 509.8 333.2 512 338.4 512c9.5 0 18.88-7.625 18.38-19.25l-4.032-112.5l108.5 23.63c17.38 3.75 29.25-17.25 17.38-30.5l-74.51-83.5l98.14-52.72C517.9 228.8 513.8 205 496.3 202.5zM338.5 311.6L286.6 300.4l2 53.75l-32.63-42.5l-32.63 42.5l2-53.75L173.5 311.6l35.63-39.87L162.1 246.6L214.7 239.2L194.7 189.4l45 28.63L255.1 166.8l16.25 51.25l45-28.63L297.2 239.2l52.63 7.375l-47 25.13L338.5 311.6z"],
    "baht-sign": [320, 512, [], "e0ac", "M176 32V64C237.9 64 288 114.1 288 176C288 200.2 280.3 222.6 267.3 240.9C298.9 260.7 320 295.9 320 336C320 397.9 269.9 448 208 448H176V480C176 497.7 161.7 512 144 512C126.3 512 112 497.7 112 480V448H41.74C18.69 448 0 429.3 0 406.3V101.6C0 80.82 16.82 64 37.57 64H112V32C112 14.33 126.3 0 144 0C161.7 0 176 14.33 176 32V32zM112 128H64V224H112V128zM224 176C224 149.5 202.5 128 176 128V224C202.5 224 224 202.5 224 176zM112 288H64V384H112V288zM208 384C234.5 384 256 362.5 256 336C256 309.5 234.5 288 208 288H176V384H208z"],
    "ball-pile": [576, 512, [], "f77e", "M256 248c0-44.19-35.81-80-80-80S96 203.8 96 248s35.81 80 80 80S256 292.2 256 248zM80 352C35.81 352 0 387.8 0 432S35.81 512 80 512S160 476.2 160 432S124.2 352 80 352zM288 160c44.19 0 80-35.81 80-80S332.2 0 288 0S208 35.81 208 80S243.8 160 288 160zM496 352c-44.19 0-80 35.81-80 80s35.81 80 80 80s80-35.81 80-80S540.2 352 496 352zM288 352c-44.19 0-80 35.81-80 80S243.8 512 288 512s80-35.81 80-80S332.2 352 288 352zM480 248c0-44.19-35.81-80-80-80S320 203.8 320 248s35.81 80 80 80S480 292.2 480 248z"],
    "balloon": [384, 512, [], "e2e3", "M384 192c0-106-85.96-192-192-192S0 85.96 0 192c0 84.42 101.3 196.4 158.8 238.7l-29.07 58.14c-2.469 4.969-2.219 10.84 .6875 15.56C133.3 509.1 138.5 512 144 512h96c5.531 0 10.69-2.875 13.62-7.594c2.906-4.719 3.156-10.59 .6875-15.56l-29.07-58.14C282.7 388.4 384 276.4 384 192zM176 96C131.9 96 96 131.9 96 176C96 184.8 88.84 192 80 192S64 184.8 64 176C64 114.3 114.3 64 176 64C184.8 64 192 71.16 192 80S184.8 96 176 96z"],
    "balloons": [640, 512, [], "e2e4", "M320 168C320 75.21 248.4 0 160 0S0 75.21 0 168c0 70.07 75.99 161.1 124.7 202.8l-27.02 54.04c-2.469 4.969-2.219 10.84 .6875 15.56C101.3 445.1 106.5 448 112 448h96c5.531 0 10.69-2.875 13.62-7.594c2.906-4.719 3.156-10.59 .6875-15.56l-27.02-54.04C244 329.1 320 238.1 320 168zM144 96C117.5 96 96 117.5 96 144C96 152.8 88.84 160 80 160S64 152.8 64 144C64 99.88 99.88 64 144 64C152.8 64 160 71.16 160 80S152.8 96 144 96zM515.3 434.8C564 393.1 640 302.1 640 232C640 139.2 568.4 64 480 64c-54.14 0-101.8 28.41-130.8 71.62C350.9 146.2 352 156.1 352 168c0 31.86-12.03 64.75-27.65 94.08c16.38 64.44 78.47 137.5 120.4 172.7l-27.05 54.11c-2.469 4.969-2.219 10.84 .6875 15.56C421.3 509.1 426.5 512 432 512h96c5.531 0 10.69-2.875 13.62-7.594c2.906-4.719 3.156-10.59 .6875-15.56L515.3 434.8zM464 160C437.5 160 416 181.5 416 208C416 216.8 408.8 224 400 224S384 216.8 384 208C384 163.9 419.9 128 464 128C472.8 128 480 135.2 480 144S472.8 160 464 160z"],
    "ballot": [448, 512, [], "f732", "M384 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V64C448 28.65 419.3 0 384 0zM128 400C128 408.8 120.8 416 112 416h-32C71.25 416 64 408.8 64 400v-32C64 359.3 71.25 352 80 352h32C120.8 352 128 359.3 128 368V400zM128 272C128 280.8 120.8 288 112 288h-32C71.25 288 64 280.8 64 272v-32C64 231.3 71.25 224 80 224h32C120.8 224 128 231.3 128 240V272zM128 144C128 152.8 120.8 160 112 160h-32C71.25 160 64 152.8 64 144v-32C64 103.3 71.25 96 80 96h32C120.8 96 128 103.3 128 112V144zM368 400h-160C199.2 400 192 392.8 192 384s7.164-16 16-16h160c8.838 0 16 7.164 16 16S376.8 400 368 400zM368 272h-160C199.2 272 192 264.8 192 256s7.164-16 16-16h160C376.8 240 384 247.2 384 256S376.8 272 368 272zM368 144h-160C199.2 144 192 136.8 192 128s7.164-16 16-16h160C376.8 112 384 119.2 384 128S376.8 144 368 144z"],
    "ballot-check": [448, 512, [], "f733", "M384 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V64C448 28.65 419.3 0 384 0zM64 112C64 103.3 71.25 96 80 96h32C120.8 96 128 103.3 128 112v32C128 152.8 120.8 160 112 160h-32C71.25 160 64 152.8 64 144V112zM128 400C128 408.8 120.8 416 112 416h-32C71.25 416 64 408.8 64 400v-32C64 359.3 71.25 352 80 352h32C120.8 352 128 359.3 128 368V400zM163.3 227.3l-56 56C104.2 286.4 100.1 288 96 288S87.81 286.4 84.69 283.3l-24-24c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0L96 249.4l44.69-44.69c6.25-6.25 16.38-6.25 22.62 0S169.6 221.1 163.3 227.3zM368 400h-160C199.2 400 192 392.8 192 384s7.164-16 16-16h160c8.836 0 16 7.164 16 16S376.8 400 368 400zM368 272h-160C199.2 272 192 264.8 192 256s7.164-16 16-16h160C376.8 240 384 247.2 384 256S376.8 272 368 272zM368 144h-160C199.2 144 192 136.8 192 128s7.164-16 16-16h160C376.8 112 384 119.2 384 128S376.8 144 368 144z"],
    "ban": [512, 512, [128683, "cancel"], "f05e", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM99.5 144.8C77.15 176.1 64 214.5 64 256C64 362 149.1 448 256 448C297.5 448 335.9 434.9 367.2 412.5L99.5 144.8zM448 256C448 149.1 362 64 256 64C214.5 64 176.1 77.15 144.8 99.5L412.5 367.2C434.9 335.9 448 297.5 448 256V256z"],
    "ban-bug": [512, 512, ["debug"], "f7f9", "M140.9 272.3L174.1 265.5L275.2 365.7C269 367.2 262.6 368 255.1 368C236.2 368 218.1 360.8 204.2 348.1L176.2 365.7C168.7 370.3 158.8 367.8 154.3 360.2C149.7 352.7 152.2 342.8 159.8 338.3L184.3 323.6C180.4 315.6 177.7 306.1 176.6 297.8L147.1 303.7C138.5 305.4 130 299.8 128.3 291.1C126.6 282.5 132.2 274 140.9 272.3L140.9 272.3zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 448C297.5 448 335.9 434.9 367.2 412.5L99.5 144.8C77.15 176.1 64 214.5 64 256C64 362 149.1 448 256 448V448zM344.1 299.7L412.5 367.2C434.9 335.9 448 297.5 448 256C448 149.1 362 64 256 64C214.5 64 176.1 77.15 144.8 99.5L206.4 161.2C220.1 150.4 237.3 144 255.1 144C275.8 144 293.9 151.2 307.8 163L335.8 146.3C343.3 141.7 353.2 144.2 357.7 151.8C362.3 159.3 359.8 169.2 352.2 173.7L327.7 188.4C331.6 196.4 334.3 205.1 335.4 214.2L364.9 208.3C373.5 206.6 381.1 212.2 383.7 220.9C385.4 229.5 379.8 237.1 371.1 239.7L336 246.7V265.3L371.1 272.3C379.8 274 385.4 282.5 383.7 291.1C381.1 299.8 373.5 305.4 364.9 303.7L344.1 299.7z"],
    "ban-parking": [512, 512, ["parking-circle-slash"], "f616", "M232 325.3V352C232 369.7 217.7 384 200 384C182.3 384 168 369.7 168 352V261.3L232 325.3zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM412.5 367.2C434.9 335.9 448 297.5 448 256C448 149.1 362 64 256 64C214.5 64 176.1 77.15 144.8 99.5L182.5 137.2C189.4 131.5 198.3 128 208 128H280C333 128 376 170.1 376 224C376 253.2 362.9 279.4 342.3 297L412.5 367.2zM99.5 144.8C77.15 176.1 64 214.5 64 256C64 362 149.1 448 256 448C297.5 448 335.9 434.9 367.2 412.5L99.5 144.8zM296.6 251.4C305.8 245.7 312 235.6 312 224C312 206.3 297.7 192 280 192H237.3L296.6 251.4z"],
    "ban-smoking": [512, 512, [128685, "smoking-ban"], "f54d", "M96 304C96 312.8 103.3 320 112 320h117.5l-96-96H112C103.3 224 96 231.3 96 240V304zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 448c-105.9 0-192-86.13-192-192c0-41.38 13.25-79.75 35.75-111.1l267.4 267.4C335.8 434.8 297.4 448 256 448zM301.2 256H384v32h-50.81L301.2 256zM412.3 367.1L365.2 320H400c8.75 0 16-7.25 16-16v-64C416 231.3 408.8 224 400 224h-130.8L144.9 99.75C176.3 77.25 214.6 64 256 64C361.9 64 448 150.1 448 256C448 297.4 434.8 335.8 412.3 367.1zM320.6 128C305 128 292 116.8 289.3 102.1C288.5 98.5 285.3 96 281.5 96h-16.25c-5 0-8.625 4.5-8 9.375C261.9 136.3 288.5 160 320.6 160C336.3 160 349.3 171.3 352 185.9C352.8 189.5 356 192 359.8 192h16.17c5 0 8.708-4.5 7.958-9.375C379.3 151.7 352.8 128 320.6 128z"],
    "banana": [576, 512, [], "e2e5", "M284.2 245.6c12.99 6.929 25.35 15.14 36.08 25.8L334.5 285.6l65.75-23.47c14.75-5.265 30.18-7.849 45.81-8.389c1.154-10.73 1.764-21.38 1.764-31.87c0-118.5-81.33-221.9-119.7-221.9c-21.01 0-40.91 17.04-40.91 39.25c0 16.18 16.74 41.9 16.74 103C303.1 170.1 300.6 203.1 284.2 245.6zM575.1 389.6c0-3.687-.8637-7.429-2.687-10.93l-15.12-29.11c-21.05-40.53-63.08-64.51-106.9-64.51c-13.43 0-27.02 2.252-40.22 6.969l-84.84 30.27l-28.59-28.41C274.4 270.9 243.7 258.1 212.8 258.1c-23.72 0-47.57 6.97-68.29 21.2L106.3 306.4c-6.732 4.631-10.35 12.07-10.35 19.63c0 14.93 12.7 23.87 24.04 23.87c4.695 0 9.443-1.376 13.61-4.26l38.13-26.23c12.43-8.525 26.71-12.69 40.91-12.69c10.64 0 21.24 2.339 30.97 6.934c-50.62 62.23-128.3 99.85-211.4 99.85C14.42 413.5 0 427.8 0 445.5v31.38c0 17.68 14.66 32.02 32.46 32.02l28.98 .0009c14.15 0 34.69 1.098 59.07 1.098c93.51 0 243.4-16.15 304.8-172.4c9.021-3.22 17.95-4.712 26.53-4.712c27.65 0 51.7 15.49 63.7 38.55l15.12 29.11c3.484 6.723 11.74 12.98 21.41 12.98C564.1 413.6 575.1 403.8 575.1 389.6z"],
    "bandage": [640, 512, [129657, "band-aid"], "f462", "M480 96H576C611.3 96 640 124.7 640 160V352C640 387.3 611.3 416 576 416H480V96zM448 416H192V96H448V416zM272 184C258.7 184 248 194.7 248 208C248 221.3 258.7 232 272 232C285.3 232 296 221.3 296 208C296 194.7 285.3 184 272 184zM368 232C381.3 232 392 221.3 392 208C392 194.7 381.3 184 368 184C354.7 184 344 194.7 344 208C344 221.3 354.7 232 368 232zM272 280C258.7 280 248 290.7 248 304C248 317.3 258.7 328 272 328C285.3 328 296 317.3 296 304C296 290.7 285.3 280 272 280zM368 328C381.3 328 392 317.3 392 304C392 290.7 381.3 280 368 280C354.7 280 344 290.7 344 304C344 317.3 354.7 328 368 328zM64 96H160V416H64C28.65 416 0 387.3 0 352V160C0 124.7 28.65 96 64 96z"],
    "bangladeshi-taka-sign": [384, 512, [], "e2e6", "M43.91 33.24C91.95 39.24 127.1 80.08 127.1 128.5V159.1H159.1C177.7 159.1 191.1 174.3 191.1 191.1C191.1 209.7 177.7 223.1 159.1 223.1H127.1V384C127.1 401.7 142.3 416 159.1 416H191.1C262.7 416 320 358.7 320 287.1V255.1C320 238.3 305.7 223.1 288 223.1H272C254.3 223.1 240 209.7 240 191.1C240 174.3 254.3 159.1 272 159.1H288C341 159.1 384 202.1 384 255.1V287.1C384 394 298 480 191.1 480H159.1C106.1 480 63.1 437 63.1 384V223.1H31.1C14.33 223.1-.0003 209.7-.0003 191.1C-.0003 174.3 14.33 159.1 31.1 159.1H63.1V128.5C63.1 112.4 51.98 98.75 35.97 96.74L28.03 95.75C10.49 93.56-1.946 77.57 .2467 60.03C2.439 42.49 18.43 30.05 35.97 32.25L43.91 33.24z"],
    "banjo": [512, 512, [129685], "f8a3", "M502.6 38.1l-29.63-29.62c-12.5-12.5-32.75-12.5-45.25 0l-46.25 46.38c-3.875 3.875-6.75 8.5-8.5 13.75l-12.26 36.62l-74.73 74.64c-19.87-13.5-43.12-22.26-67.87-26.13L218.1 154.1C218.1 139.8 206.4 128 192 128c-14.5 0-26.21 11.75-26.21 26.12L165.7 154.6C139.6 158.8 114.9 168.9 93.5 184.5C83.25 174.9 66.88 174.9 56.88 184.9c-9.875 10-10.25 26-.625 36.37c-15.5 21.38-25.49 46.33-29.62 72.45L26.25 293.8C11.75 293.8 0 305.5 0 320c0 14.38 11.75 26.12 26.25 26.12l.3792 .02c4.125 26.12 14.36 50.99 29.86 72.36c-7 6.5-10.12 16.62-7.743 25.87c2.375 9.25 9.626 16.5 18.88 18.87c9.25 2.375 19.13-.4999 25.63-7.5c21.38 15.5 46.38 25.54 72.63 29.54v.4616C165.9 500.2 177.5 512 192 512s26.13-11.75 26.13-26.25v-.4616c26.25-4 51.01-14.28 72.38-29.78c6.5 7 16.62 10.12 25.87 7.743c9.25-2.375 16.5-9.625 18.88-18.87c2.375-9.25-.5002-19.13-7.5-25.62c15.5-21.38 25.49-46.48 29.62-72.61l.3821-.02c14.5 0 26.25-11.75 26.25-26.12c0-14.5-11.75-26.25-26.25-26.25l-.3885-.0508c-3.875-24.75-12.62-47.83-26.12-67.7l74.87-74.87L442.5 139c5.25-1.75 9.875-4.625 13.75-8.5L502.6 84.17C515.1 71.79 515.1 51.5 502.6 38.1zM192 432c-61.88 0-112-50.13-112-112S130.1 208 192 208s112 50.13 112 112C303.9 381.9 253.9 431.9 192 432zM153 306.4C151.5 304.9 149.5 304 147.4 304c-2.125 0-4.25 .875-5.75 2.375L130.4 317.6c-3.125 3.125-3.125 8.25 0 11.38L183 381.6c3.125 3.125 8.125 3.125 11.25 0l11.38-11.25C207.1 368.9 208 366.9 208 364.8c0-2.125-.875-4.25-2.375-5.75L153 306.4z"],
    "barcode": [512, 512, [], "f02a", "M40 32C53.25 32 64 42.75 64 56V456C64 469.3 53.25 480 40 480H24C10.75 480 0 469.3 0 456V56C0 42.75 10.75 32 24 32H40zM128 48V464C128 472.8 120.8 480 112 480C103.2 480 96 472.8 96 464V48C96 39.16 103.2 32 112 32C120.8 32 128 39.16 128 48zM200 32C213.3 32 224 42.75 224 56V456C224 469.3 213.3 480 200 480H184C170.7 480 160 469.3 160 456V56C160 42.75 170.7 32 184 32H200zM296 32C309.3 32 320 42.75 320 56V456C320 469.3 309.3 480 296 480H280C266.7 480 256 469.3 256 456V56C256 42.75 266.7 32 280 32H296zM448 56C448 42.75 458.7 32 472 32H488C501.3 32 512 42.75 512 56V456C512 469.3 501.3 480 488 480H472C458.7 480 448 469.3 448 456V56zM384 48C384 39.16 391.2 32 400 32C408.8 32 416 39.16 416 48V464C416 472.8 408.8 480 400 480C391.2 480 384 472.8 384 464V48z"],
    "barcode-read": [576, 512, [], "f464", "M56 48C51.58 48 48 51.58 48 56V136C48 149.3 37.25 160 24 160C10.75 160 0 149.3 0 136V56C0 25.07 25.07 0 56 0H136C149.3 0 160 10.75 160 24C160 37.25 149.3 48 136 48H56zM168 128C181.3 128 192 138.7 192 152V360C192 373.3 181.3 384 168 384H152C138.7 384 128 373.3 128 360V152C128 138.7 138.7 128 152 128H168zM328 128C341.3 128 352 138.7 352 152V360C352 373.3 341.3 384 328 384H312C298.7 384 288 373.3 288 360V152C288 138.7 298.7 128 312 128H328zM384 152C384 138.7 394.7 128 408 128H424C437.3 128 448 138.7 448 152V360C448 373.3 437.3 384 424 384H408C394.7 384 384 373.3 384 360V152zM256 144V368C256 376.8 248.8 384 240 384C231.2 384 224 376.8 224 368V144C224 135.2 231.2 128 240 128C248.8 128 256 135.2 256 144zM528 56C528 51.58 524.4 48 520 48H440C426.7 48 416 37.25 416 24C416 10.75 426.7 0 440 0H520C550.9 0 576 25.07 576 56V136C576 149.3 565.3 160 552 160C538.7 160 528 149.3 528 136V56zM136 464C149.3 464 160 474.7 160 488C160 501.3 149.3 512 136 512H56C25.07 512 0 486.9 0 456V376C0 362.7 10.75 352 24 352C37.25 352 48 362.7 48 376V456C48 460.4 51.58 464 56 464H136zM528 376C528 362.7 538.7 352 552 352C565.3 352 576 362.7 576 376V456C576 486.9 550.9 512 520 512H440C426.7 512 416 501.3 416 488C416 474.7 426.7 464 440 464H520C524.4 464 528 460.4 528 456V376z"],
    "barcode-scan": [640, 512, [], "f465", "M104 32C117.3 32 128 42.75 128 56V192H64V56C64 42.75 74.75 32 88 32H104zM64 456V320H128V456C128 469.3 117.3 480 104 480H88C74.75 480 64 469.3 64 456zM160 464V320H192V464C192 472.8 184.8 480 176 480C167.2 480 160 472.8 160 464zM224 456V320H288V456C288 469.3 277.3 480 264 480H248C234.7 480 224 469.3 224 456zM224 56C224 42.75 234.7 32 248 32H264C277.3 32 288 42.75 288 56V192H224V56zM320 456V320H384V456C384 469.3 373.3 480 360 480H344C330.7 480 320 469.3 320 456zM320 56C320 42.75 330.7 32 344 32H360C373.3 32 384 42.75 384 56V192H320V56zM448 464V320H480V464C480 472.8 472.8 480 464 480C455.2 480 448 472.8 448 464zM464 32C472.8 32 480 39.16 480 48V192H448V48C448 39.16 455.2 32 464 32zM512 456V320H576V456C576 469.3 565.3 480 552 480H536C522.7 480 512 469.3 512 456zM512 56C512 42.75 522.7 32 536 32H552C565.3 32 576 42.75 576 56V192H512V56zM160 48C160 39.16 167.2 32 176 32C184.8 32 192 39.16 192 48V192H160V48zM616 232C629.3 232 640 242.7 640 256C640 269.3 629.3 280 616 280H24C10.75 280 0 269.3 0 256C0 242.7 10.75 232 24 232H616z"],
    "bars": [448, 512, ["navicon"], "f0c9", "M0 96C0 78.33 14.33 64 32 64H416C433.7 64 448 78.33 448 96C448 113.7 433.7 128 416 128H32C14.33 128 0 113.7 0 96zM0 256C0 238.3 14.33 224 32 224H416C433.7 224 448 238.3 448 256C448 273.7 433.7 288 416 288H32C14.33 288 0 273.7 0 256zM416 448H32C14.33 448 0 433.7 0 416C0 398.3 14.33 384 32 384H416C433.7 384 448 398.3 448 416C448 433.7 433.7 448 416 448z"],
    "bars-filter": [448, 512, [], "e0ad", "M0 96C0 78.33 14.33 64 32 64H416C433.7 64 448 78.33 448 96C448 113.7 433.7 128 416 128H32C14.33 128 0 113.7 0 96zM64 256C64 238.3 78.33 224 96 224H352C369.7 224 384 238.3 384 256C384 273.7 369.7 288 352 288H96C78.33 288 64 273.7 64 256zM256 448H192C174.3 448 160 433.7 160 416C160 398.3 174.3 384 192 384H256C273.7 384 288 398.3 288 416C288 433.7 273.7 448 256 448z"],
    "bars-progress": [512, 512, ["tasks-alt"], "f828", "M464 64C490.5 64 512 85.49 512 112V176C512 202.5 490.5 224 464 224H48C21.49 224 0 202.5 0 176V112C0 85.49 21.49 64 48 64H464zM448 128H320V160H448V128zM464 288C490.5 288 512 309.5 512 336V400C512 426.5 490.5 448 464 448H48C21.49 448 0 426.5 0 400V336C0 309.5 21.49 288 48 288H464zM192 352V384H448V352H192z"],
    "bars-sort": [448, 512, [], "e0ae", "M0 96C0 78.33 14.33 64 32 64H416C433.7 64 448 78.33 448 96C448 113.7 433.7 128 416 128H32C14.33 128 0 113.7 0 96zM0 256C0 238.3 14.33 224 32 224H288C305.7 224 320 238.3 320 256C320 273.7 305.7 288 288 288H32C14.33 288 0 273.7 0 256zM160 448H32C14.33 448 0 433.7 0 416C0 398.3 14.33 384 32 384H160C177.7 384 192 398.3 192 416C192 433.7 177.7 448 160 448z"],
    "bars-staggered": [512, 512, ["reorder", "stream"], "f550", "M0 96C0 78.33 14.33 64 32 64H416C433.7 64 448 78.33 448 96C448 113.7 433.7 128 416 128H32C14.33 128 0 113.7 0 96zM64 256C64 238.3 78.33 224 96 224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H96C78.33 288 64 273.7 64 256zM416 448H32C14.33 448 0 433.7 0 416C0 398.3 14.33 384 32 384H416C433.7 384 448 398.3 448 416C448 433.7 433.7 448 416 448z"],
    "baseball": [512, 512, [129358, 9918, "baseball-ball"], "f433", "M429.6 272.9c0-16.26 16.36-16.81 29.99-16.81l2.931 .0029c16.64 0 33.14 2.056 49.2 5.834C511.7 259.9 512 258 512 256c0-141.4-114.6-256-256-256C253.9 0 251.1 .2578 249.9 .3047c3.658 15.51 6.111 31.34 6.111 47.54c0 6-.2813 12.03-.7813 18C254.6 74.19 247.6 80.5 239.3 80.5c-6.091 0-16.03-4.68-16.03-15.97c0-1.733 .7149-7.153 .7149-16.69c0-15.26-2.389-30.18-6.225-44.69C106.9 19.79 19.5 107.3 3.08 218.3c14.44 3.819 29.38 5.79 44.45 5.79c10.07 0 15.59-.811 17.42-.811c6.229 0 16.49 4.657 16.49 15.99c0 16.11-16.13 16.77-29.73 16.77L48.16 256c-16.33 0-32.25-2.445-47.85-6.109C.2578 251.1 0 253.9 0 256c0 141.4 114.6 256 256 256c2.066 0 4.062-.2578 6.117-.3086C258.5 496.2 256 480.4 256 464.2c0-5.688 .25-11.38 .7187-17.03c.6964-8.538 8.287-14.61 16.49-14.61c7.1 0 15.44 6.938 15.44 15.92c0 2.358-.6524 5.88-.6524 15.72c0 15.25 2.383 30.16 6.209 44.66c110.8-16.63 198.2-104.1 214.7-215c-14.55-3.851-29.59-5.871-44.74-5.871c-10.47 0-16.24 .895-18.13 .895C443.3 288.9 429.6 286.5 429.6 272.9zM238.2 128.9c0 27.78-78.3 108.1-108.6 108.1c-8.612 0-16.01-6.963-16.01-15.98c0-6.002 3.394-11.75 9.163-14.49c80.3-38.08 76.21-94.5 99.39-94.5C234.7 112.8 238.2 124.2 238.2 128.9zM397.5 290.6c0 5.965-3.364 11.68-9.131 14.43c-78.82 37.57-75.92 95-98.94 95c-12.58 0-16.01-11.54-16.01-16.03c0-28 78.29-109.4 108.1-109.4C390.8 274.6 397.5 282.3 397.5 290.6z"],
    "baseball-bat-ball": [640, 512, [], "f432", "M57.89 397.2c-6.262-8.616-16.02-13.19-25.92-13.19c-23.33 0-31.98 20.68-31.98 32.03c0 6.522 1.987 13.1 6.115 18.78l46.52 64C58.89 507.4 68.64 512 78.55 512c23.29 0 31.97-20.66 31.97-32.03c0-6.522-1.988-13.1-6.115-18.78L57.89 397.2zM496.1 352c-44.13 0-79.72 35.75-79.72 80s35.59 80 79.72 80s79.91-35.75 79.91-80S540.2 352 496.1 352zM640 99.38c0-13.61-4.133-27.34-12.72-39.2l-23.63-32.5c-13.44-18.5-33.77-27.68-54.12-27.68c-13.89 0-27.79 4.281-39.51 12.8L307.8 159.7C262.2 192.8 220.4 230.9 183.4 273.4c-24.22 27.88-59.18 63.99-103.5 99.63l56.34 77.52c53.79-35.39 99.15-55.3 127.1-67.27c51.88-22 101.3-49.87 146.9-82.1l202.3-146.7C630.5 140.4 640 120 640 99.38z"],
    "basket-shopping": [576, 512, ["shopping-basket"], "f291", "M171.7 191.1H404.3L322.7 35.07C316.6 23.31 321.2 8.821 332.9 2.706C344.7-3.409 359.2 1.167 365.3 12.93L458.4 191.1H544C561.7 191.1 576 206.3 576 223.1C576 241.7 561.7 255.1 544 255.1L492.1 463.5C484.1 492 459.4 512 430 512H145.1C116.6 512 91 492 83.88 463.5L32 255.1C14.33 255.1 0 241.7 0 223.1C0 206.3 14.33 191.1 32 191.1H117.6L210.7 12.93C216.8 1.167 231.3-3.409 243.1 2.706C254.8 8.821 259.4 23.31 253.3 35.07L171.7 191.1zM191.1 303.1C191.1 295.1 184.8 287.1 175.1 287.1C167.2 287.1 159.1 295.1 159.1 303.1V399.1C159.1 408.8 167.2 415.1 175.1 415.1C184.8 415.1 191.1 408.8 191.1 399.1V303.1zM271.1 303.1V399.1C271.1 408.8 279.2 415.1 287.1 415.1C296.8 415.1 304 408.8 304 399.1V303.1C304 295.1 296.8 287.1 287.1 287.1C279.2 287.1 271.1 295.1 271.1 303.1zM416 303.1C416 295.1 408.8 287.1 400 287.1C391.2 287.1 384 295.1 384 303.1V399.1C384 408.8 391.2 415.1 400 415.1C408.8 415.1 416 408.8 416 399.1V303.1z"],
    "basket-shopping-simple": [576, 512, ["shopping-basket-alt"], "e0af", "M243.1 2.706C254.8 8.821 259.4 23.31 253.3 35.07L171.7 192H404.3L322.7 35.07C316.6 23.31 321.2 8.821 332.9 2.706C344.7-3.409 359.2 1.167 365.3 12.93L458.4 192H544C561.7 192 576 206.3 576 224C576 241.7 561.7 256 544 256L492.1 463.5C484.1 492 459.4 512 430 512H145.1C116.6 512 91 492 83.88 463.5L32 256C14.33 256 0 241.7 0 224C0 206.3 14.33 192 32 192H117.6L210.7 12.93C216.8 1.167 231.3-3.409 243.1 2.706L243.1 2.706zM144 296C157.3 296 168 285.3 168 272C168 258.7 157.3 248 144 248C130.7 248 120 258.7 120 272C120 285.3 130.7 296 144 296zM432 248C418.7 248 408 258.7 408 272C408 285.3 418.7 296 432 296C445.3 296 456 285.3 456 272C456 258.7 445.3 248 432 248z"],
    "basketball": [512, 512, [127936, "basketball-ball"], "f434", "M148.7 171.3L64.21 86.83c-28.39 32.16-48.9 71.38-58.3 114.8C19.41 205.4 33.34 208 48 208C86.34 208 121.1 193.9 148.7 171.3zM194.5 171.9L256 233.4l169.2-169.2C380 24.37 320.9 0 256 0C248.6 0 241.2 .4922 233.1 1.113C237.8 16.15 240 31.8 240 48C240 95.19 222.8 138.4 194.5 171.9zM208 48c0-14.66-2.623-28.59-6.334-42.09C158.2 15.31 118.1 35.82 86.83 64.21l84.48 84.48C193.9 121.1 208 86.34 208 48zM171.9 194.5C138.4 222.8 95.19 240 48 240c-16.2 0-31.85-2.236-46.89-6.031C.4922 241.2 0 248.6 0 256c0 64.93 24.37 124 64.21 169.2L233.4 256L171.9 194.5zM317.5 340.1L256 278.6l-169.2 169.2C131.1 487.6 191.1 512 256 512c7.438 0 14.75-.4922 22.03-1.113C274.2 495.8 272 480.2 272 464C272 416.8 289.2 373.6 317.5 340.1zM363.3 340.7l84.48 84.48c28.39-32.16 48.9-71.38 58.3-114.8C492.6 306.6 478.7 304 464 304C425.7 304 390.9 318.1 363.3 340.7zM447.8 86.83L278.6 256l61.52 61.52C373.6 289.2 416.8 272 464 272c16.2 0 31.85 2.236 46.89 6.031C511.5 270.8 512 263.4 512 256C512 191.1 487.6 131.1 447.8 86.83zM304 464c0 14.66 2.623 28.59 6.334 42.09c43.46-9.4 82.67-29.91 114.8-58.3l-84.48-84.48C318.1 390.9 304 425.7 304 464z"],
    "basketball-hoop": [640, 512, [], "f435", "M448 208H192V160h256V208zM640 208.1v118c0 25.43-15.05 48.44-38.35 58.63l-93.09 40.73L524.6 288H492.4l-24.48 209.8C467.4 502.6 462.9 512 452 512c-4.312 0-8.531-1.75-11.59-4.984l-54.41-57.27l-54.41 57.27C328.6 510.2 324.4 512 320 512s-8.594-1.797-11.59-4.984l-54.41-57.27l-54.41 57.27c-3.062 3.234-7.286 4.98-11.6 4.98c-11.04 0-15.35-9.44-15.9-14.16L147.6 288H115.4l16.04 137.5l-93.09-40.72C15.05 374.6 0 351.6 0 326.1V208.1C0 167.8 105 0 320 0C537.9 0 640 169.8 640 208.1zM226.1 288H179.9L184.1 324L226.1 288zM231.9 426.5l-40.96-43.11l8.955 76.79L231.9 426.5zM253.1 403.3l43.94-46.25L251.6 308.3l-48.44 41.52L253.1 403.3zM320 333.8L363.5 288H276.5L320 333.8zM363.9 426.5L320 380.3l-43.94 46.25L320 472.8L363.9 426.5zM385.1 403.3l50.84-53.52l-48.44-41.52l-46.35 48.78L385.1 403.3zM449 383.4l-40.96 43.11l32 33.68L449 383.4zM460.1 288h-46.24l42.04 36.03L460.1 288zM544 216c0-4.418-3.582-8-8-8H480V160c0-17.64-14.34-32-32-32H192C174.3 128 160 142.4 160 160v48H104C99.58 208 96 211.6 96 216v16C96 236.4 99.58 240 104 240h432C540.4 240 544 236.4 544 232V216z"],
    "bat": [576, 512, [], "f6b5", "M235.6 52.81L255.1 80H320L340.4 52.81C342.7 49.78 346.2 48 350 48C355.8 48 360.8 52.12 361.8 57.81L380.9 159.2L452.6 125C468.8 117.3 488.1 121.4 499.7 135C548.9 192.4 576 265.6 576 341.2V378.8C576 388.6 565.8 394.9 557.1 390.5L493.3 358.6C485.8 354.9 476.7 357.5 472.4 364.7L442.5 414.4C437.2 423.4 424.9 424.9 417.5 417.5L380.9 380.9C374.1 374.1 362.8 374.8 356.9 382.4L300.7 455.5C294.3 463.8 281.7 463.8 275.3 455.5L219.1 382.4C213.2 374.8 201.9 374.1 195.1 380.9L158.5 417.5C151.1 424.9 138.8 423.4 133.5 414.4L103.6 364.7C99.32 357.5 90.23 354.9 82.75 358.6L18.93 390.5C10.23 394.9 0 388.6 0 378.8V341.2C0 265.6 27.05 192.4 76.27 135C87.91 121.4 107.2 117.3 123.4 125L195.1 159.2L214.2 57.81C215.2 52.12 220.2 48 225.1 48C229.8 48 233.3 49.78 235.6 52.81H235.6z"],
    "bath": [512, 512, [128705, "bathtub"], "f2cd", "M32 384c0 28.32 12.49 53.52 32 71.09V496C64 504.8 71.16 512 80 512h32C120.8 512 128 504.8 128 496v-15.1h256V496c0 8.836 7.164 16 16 16h32c8.836 0 16-7.164 16-16v-40.9c19.51-17.57 32-42.77 32-71.09V352H32V384zM496 256H96V77.25C95.97 66.45 111 60.23 118.6 67.88L132.4 81.66C123.6 108.6 129.4 134.5 144.2 153.2C137.9 159.5 137.8 169.8 144 176l11.31 11.31c6.248 6.248 16.38 6.248 22.63 0l105.4-105.4c6.248-6.248 6.248-16.38 0-22.63l-11.31-11.31c-6.248-6.248-16.38-6.248-22.63 0C230.7 33.26 204.7 27.55 177.7 36.41L163.9 22.64C149.5 8.25 129.6 0 109.3 0C66.66 0 32 34.66 32 77.25v178.8L16 256C7.164 256 0 263.2 0 272v32C0 312.8 7.164 320 16 320h480c8.836 0 16-7.164 16-16v-32C512 263.2 504.8 256 496 256z"],
    "battery-bolt": [576, 512, [], "f376", "M365.7 160C372.3 137.8 364.5 113.4 345.6 99.2C344.1 98.04 342.5 96.98 340.8 96H464C508.2 96 544 131.8 544 176V192C561.7 192 576 206.3 576 224V288C576 305.7 561.7 320 544 320V336C544 380.2 508.2 416 464 416H244.9C247.2 414.6 249.4 413 251.6 411.2L323.5 352H464C472.8 352 480 344.8 480 336V176C480 167.2 472.8 160 464 160H365.7zM0 336V176C0 131.8 35.82 96 80 96H283.1C280.8 97.41 278.6 98.1 276.4 100.8L204.5 160H80C71.16 160 64 167.2 64 176V336C64 344.8 71.16 352 80 352H162.3C155.7 374.2 163.5 398.6 182.4 412.8C183.9 413.1 185.5 415 187.2 416H80C35.82 416 .0003 380.2 .0003 336H0zM321.6 131.2C327.5 135.6 329.6 143.5 326.7 150.3L288.3 240H352C358.8 240 364.8 244.2 367.1 250.6C369.3 256.1 367.4 264.1 362.2 268.4L226.2 380.4C220.5 385 212.3 385.2 206.4 380.8C200.5 376.4 198.4 368.5 201.3 361.7L239.7 271.1H176C169.2 271.1 163.2 267.8 160.9 261.4C158.7 255 160.6 247.9 165.8 243.6L301.8 131.6C307.5 126.1 315.7 126.8 321.6 131.2V131.2z"],
    "battery-empty": [576, 512, ["battery-0"], "f244", "M464 96C508.2 96 544 131.8 544 176V192C561.7 192 576 206.3 576 224V288C576 305.7 561.7 320 544 320V336C544 380.2 508.2 416 464 416H80C35.82 416 0 380.2 0 336V176C0 131.8 35.82 96 80 96H464zM64 336C64 344.8 71.16 352 80 352H464C472.8 352 480 344.8 480 336V176C480 167.2 472.8 160 464 160H80C71.16 160 64 167.2 64 176V336z"],
    "battery-exclamation": [576, 512, [], "e0b0", "M208 160H80C71.16 160 64 167.2 64 176V336C64 344.8 71.16 352 80 352H198.7C194.4 361.8 192 372.6 192 384C192 395.4 194.4 406.2 198.7 416H80C35.82 416 0 380.2 0 336V176C0 131.8 35.82 96 80 96H208V160zM464 416H345.3C349.6 406.2 352 395.4 352 384C352 372.6 349.6 361.8 345.3 352H464C472.8 352 480 344.8 480 336V176C480 167.2 472.8 160 464 160H336V96H464C508.2 96 544 131.8 544 176V192C561.7 192 576 206.3 576 224V288C576 305.7 561.7 320 544 320V336C544 380.2 508.2 416 464 416zM272 96C285.3 96 296 106.7 296 120V296C296 309.3 285.3 320 272 320C258.7 320 248 309.3 248 296V120C248 106.7 258.7 96 272 96zM304 384C304 401.7 289.7 416 272 416C254.3 416 240 401.7 240 384C240 366.3 254.3 352 272 352C289.7 352 304 366.3 304 384z"],
    "battery-full": [576, 512, [128267, "battery", "battery-5"], "f240", "M448 320H96V192H448V320zM0 176C0 131.8 35.82 96 80 96H464C508.2 96 544 131.8 544 176V192C561.7 192 576 206.3 576 224V288C576 305.7 561.7 320 544 320V336C544 380.2 508.2 416 464 416H80C35.82 416 0 380.2 0 336V176zM80 160C71.16 160 64 167.2 64 176V336C64 344.8 71.16 352 80 352H464C472.8 352 480 344.8 480 336V176C480 167.2 472.8 160 464 160H80z"],
    "battery-half": [576, 512, ["battery-3"], "f242", "M288 320H96V192H288V320zM0 176C0 131.8 35.82 96 80 96H464C508.2 96 544 131.8 544 176V192C561.7 192 576 206.3 576 224V288C576 305.7 561.7 320 544 320V336C544 380.2 508.2 416 464 416H80C35.82 416 0 380.2 0 336V176zM80 160C71.16 160 64 167.2 64 176V336C64 344.8 71.16 352 80 352H464C472.8 352 480 344.8 480 336V176C480 167.2 472.8 160 464 160H80z"],
    "battery-low": [576, 512, ["battery-1"], "e0b1", "M160 320H96V192H160V320zM0 176C0 131.8 35.82 96 80 96H464C508.2 96 544 131.8 544 176V192C561.7 192 576 206.3 576 224V288C576 305.7 561.7 320 544 320V336C544 380.2 508.2 416 464 416H80C35.82 416 0 380.2 0 336V176zM80 160C71.16 160 64 167.2 64 176V336C64 344.8 71.16 352 80 352H464C472.8 352 480 344.8 480 336V176C480 167.2 472.8 160 464 160H80z"],
    "battery-quarter": [576, 512, ["battery-2"], "f243", "M192 320H96V192H192V320zM0 176C0 131.8 35.82 96 80 96H464C508.2 96 544 131.8 544 176V192C561.7 192 576 206.3 576 224V288C576 305.7 561.7 320 544 320V336C544 380.2 508.2 416 464 416H80C35.82 416 0 380.2 0 336V176zM80 160C71.16 160 64 167.2 64 176V336C64 344.8 71.16 352 80 352H464C472.8 352 480 344.8 480 336V176C480 167.2 472.8 160 464 160H80z"],
    "battery-slash": [640, 512, [], "f377", "M154.8 96H496C540.2 96 576 131.8 576 176V192C593.7 192 608 206.3 608 224V288C608 305.7 593.7 320 576 320V336C576 362.5 563.1 385.1 543.3 400.5L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L154.8 96zM236.4 160L481.4 352H496C504.8 352 512 344.8 512 336V176C512 167.2 504.8 160 496 160H236.4zM324.9 352L406.2 416H112C67.82 416 32 380.2 32 336V176C32 159.6 36.92 144.4 45.35 131.7L96.5 172C96.17 173.3 96 174.6 96 176V336C96 344.8 103.2 352 112 352H324.9z"],
    "battery-three-quarters": [576, 512, ["battery-4"], "f241", "M352 320H96V192H352V320zM0 176C0 131.8 35.82 96 80 96H464C508.2 96 544 131.8 544 176V192C561.7 192 576 206.3 576 224V288C576 305.7 561.7 320 544 320V336C544 380.2 508.2 416 464 416H80C35.82 416 0 380.2 0 336V176zM80 160C71.16 160 64 167.2 64 176V336C64 344.8 71.16 352 80 352H464C472.8 352 480 344.8 480 336V176C480 167.2 472.8 160 464 160H80z"],
    "bed": [640, 512, [128716], "f236", "M32 32C49.67 32 64 46.33 64 64V320H288V160C288 142.3 302.3 128 320 128H544C597 128 640 170.1 640 224V448C640 465.7 625.7 480 608 480C590.3 480 576 465.7 576 448V416H64V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V64C0 46.33 14.33 32 32 32zM96 208C96 163.8 131.8 128 176 128C220.2 128 256 163.8 256 208C256 252.2 220.2 288 176 288C131.8 288 96 252.2 96 208z"],
    "bed-bunk": [576, 512, [], "f8f8", "M192 304C192 330.5 170.5 352 144 352C117.5 352 96 330.5 96 304C96 277.5 117.5 256 144 256C170.5 256 192 277.5 192 304zM64 128H224V32C224 14.33 238.3 0 256 0H464C525.9 0 576 50.14 576 112V480C576 497.7 561.7 512 544 512C526.3 512 512 497.7 512 480V448H64V480C64 497.7 49.67 512 32 512C14.33 512 0 497.7 0 480V32C0 14.33 14.33 0 32 0C49.67 0 64 14.33 64 32V128zM512 256V192H64V384H224V288C224 270.3 238.3 256 256 256H512zM96 48C96 21.49 117.5 0 144 0C170.5 0 192 21.49 192 48C192 74.51 170.5 96 144 96C117.5 96 96 74.51 96 48z"],
    "bed-empty": [640, 512, [128719], "f8f9", "M64 224H544C597 224 640 266.1 640 320V448C640 465.7 625.7 480 608 480C590.3 480 576 465.7 576 448V416H64V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64V224z"],
    "bed-front": [512, 512, ["bed-alt"], "f8f7", "M32 80C32 53.49 53.49 32 80 32H432C458.5 32 480 53.49 480 80V209.1C465.5 200.8 449.3 195.1 431.1 192.1C431.1 192.7 432 192.3 432 192V160C432 142.3 417.7 128 400 128H304C286.3 128 272 142.3 272 160V192H240V160C240 142.3 225.7 128 208 128H112C94.33 128 80 142.3 80 160V192C80 192.3 80.01 192.7 80.02 192.1C62.7 195.1 46.46 200.8 32 209.1V80zM0 320C0 266.1 42.98 224 96 224H416C469 224 512 266.1 512 320V448C512 465.7 497.7 480 480 480C462.3 480 448 465.7 448 448V416H64V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V320z"],
    "bed-pulse": [640, 512, ["procedures"], "f487", "M524 64H616C629.3 64 640 74.75 640 88C640 101.3 629.3 112 616 112H512C504.4 112 497.3 108.4 492.8 102.4L468.7 70.31L421.7 170.2C418 178.1 410.4 183.3 401.8 183.9C393.1 184.6 384.8 180.5 380 173.3L339.2 112H216C202.7 112 192 101.3 192 88C192 74.75 202.7 64 216 64H352C360 64 367.5 68.01 371.1 74.69L396.4 111.3L442.3 13.78C445.9 6.163 453.2 .9806 461.6 .1246C469.9-.7314 478.1 2.865 483.2 9.6L524 64zM320 160H332.7L353.4 191.1C364.6 207.9 384 217.3 404.1 215.8C424.3 214.4 442.1 202.1 450.7 183.8L461.9 160H544C597 160 640 202.1 640 256V480C640 497.7 625.7 512 608 512C590.3 512 576 497.7 576 480V448H64V480C64 497.7 49.67 512 32 512C14.33 512 0 497.7 0 480V96C0 78.33 14.33 64 32 64C49.67 64 64 78.33 64 96V352H288V192C288 174.3 302.3 160 320 160zM96 240C96 195.8 131.8 160 176 160C220.2 160 256 195.8 256 240C256 284.2 220.2 320 176 320C131.8 320 96 284.2 96 240z"],
    "bee": [576, 512, [], "e0b2", "M448 95.1c-27.69 0-55.34 9.471-80.73 22.73c.125-1.49 5.114-31.79-19.72-59.7l31.71-31.71c6.25-6.25 6.25-16.38 0-22.62s-16.38-6.25-22.62 0l-34.99 34.99C312.3 35.27 302.1 31.1 288 31.1S263.7 35.27 254.3 39.68L219.3 4.688c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.38 0 22.62L228.4 58.99C203.5 86.9 208.6 117.2 208.7 118.7C183.3 105.5 155.7 95.1 128 95.1C57.34 95.1 0 146.1 0 207.1c0 58.42 51.31 105.9 116.5 111C115.8 312.1 115.2 306.9 115.2 300.8C115.2 285.2 117.7 270.1 121.9 255.5C89.96 253.1 64 232.5 64 207.1C64 181.1 93.31 160 127.1 160c22.86 0 49.72 12.52 74.81 29.37C169.2 215.1 147.2 255.2 147.2 300.8C147.2 406.4 288 512 288 512s140.8-105.6 140.8-211.2c.0156-45.58-21.1-85.69-55.59-111.4C398.3 172.5 425.1 160 448 160c34.66 0 64 22 64 48c0 24.52-25.96 45.11-57.86 47.52c4.17 14.57 6.668 29.68 6.662 45.29c0 6.094-.625 12.15-1.344 18.18C524.7 313.9 576 266.5 576 208C576 146.2 518.7 95.1 448 95.1zM233.7 246.5C248.2 231.1 267.4 224 287.9 224s39.89 7.986 54.38 22.49C345.3 249.4 347.8 252.7 350.1 256H225.9C228.2 252.7 230.7 249.4 233.7 246.5zM288 427.1C274.9 414.3 261.4 399.5 249.4 384h77.23C314.6 399.5 301.1 414.3 288 427.1zM356.2 336H219.8c-4.801-11.07-7.746-21.84-8.271-32h152.8C363.9 314.2 360.1 324.9 356.2 336z"],
    "beer-mug": [512, 512, ["beer-foam"], "e0b3", "M115.2 133.3c12.02-8.062 27.75-4.727 38.31 5.164C167.8 151.8 186.9 160 207.1 160s40.23-8.188 54.49-21.54c10.56-9.891 26.29-13.23 38.31-5.164C310.9 140 322.9 144 335.1 144c39.88 0 71.24-36.47 62.54-77.88c-4.861-23.15-23.39-42.46-46.36-48.12c-18.08-4.455-35.17-1.193-48.89 7.119c-13.33 8.072-29.44 7.051-40.82-3.598C248.2 8.178 229.1 0 207.1 0S167.8 8.178 153.5 21.52C142.2 32.17 126 33.19 112.7 25.12C98.99 16.8 81.9 13.54 63.82 17.1c-22.96 5.658-41.5 24.97-46.36 48.12C8.761 107.5 40.12 144 79.1 144C93.06 144 105.1 140 115.2 133.3zM432 160h-43.9C372.7 170 354.9 176 336 176c-18.12 0-35.66-5.094-50.92-14.76c-.2246 .1504-.4687 .3379-.7187 .5723C263.6 181.3 236.5 192 207.1 192S152.4 181.3 131.6 161.8C131.4 161.6 131.1 161.4 130.9 161.2C115.7 170.9 98.12 176 80 176C62.76 176 46.46 170.1 32 162.5L31.1 448c0 35.35 28.65 64 64 64h223.1c35.35 0 64-28.65 64-64l80.66-36.02C493.5 399.1 512 370.5 512 339V240C512 195.8 476.2 160 432 160zM160 432C160 440.9 152.9 448 143.1 448S128 440.9 128 432l-.0099-192c0-8.875 7.127-16 16-16s15.1 7.125 15.1 16L160 432zM224 432C224 440.9 216.9 448 207.1 448S192 440.9 192 432l-.0083-192c0-8.875 7.127-16 16-16s15.1 7.125 15.1 16L224 432zM288 432c0 8.875-7.125 16-16 16S256 440.9 256 432l-.0066-192c0-8.875 7.126-16 16-16s15.1 7.125 15.1 16L288 432zM448 339c0 6.25-3.75 12-9.5 14.62L384 377.9V224h48C440.9 224 448 231.1 448 240V339z"],
    "beer-mug-empty": [512, 512, ["beer"], "f0fc", "M432 96H384V64c0-17.67-14.33-32-32-32H64C46.33 32 32 46.33 32 64v352c0 35.35 28.65 64 64 64h224c35.35 0 64-28.65 64-64v-32.08l80.66-35.94C493.5 335.1 512 306.5 512 275V176C512 131.8 476.2 96 432 96zM160 368C160 376.9 152.9 384 144 384S128 376.9 128 368v-224C128 135.1 135.1 128 144 128S160 135.1 160 144V368zM224 368C224 376.9 216.9 384 208 384S192 376.9 192 368v-224C192 135.1 199.1 128 208 128S224 135.1 224 144V368zM288 368c0 8.875-7.125 16-16 16S256 376.9 256 368v-224C256 135.1 263.1 128 272 128S288 135.1 288 144V368zM448 275c0 6.25-3.75 12-9.5 14.62L384 313.9V160h48C440.9 160 448 167.1 448 176V275z"],
    "bell": [448, 512, [61602, 128276], "f0f3", "M256 32V51.2C329 66.03 384 130.6 384 208V226.8C384 273.9 401.3 319.2 432.5 354.4L439.9 362.7C448.3 372.2 450.4 385.6 445.2 397.1C440 408.6 428.6 416 416 416H32C19.4 416 7.971 408.6 2.809 397.1C-2.353 385.6-.2883 372.2 8.084 362.7L15.5 354.4C46.74 319.2 64 273.9 64 226.8V208C64 130.6 118.1 66.03 192 51.2V32C192 14.33 206.3 0 224 0C241.7 0 256 14.33 256 32H256zM224 512C207 512 190.7 505.3 178.7 493.3C166.7 481.3 160 464.1 160 448H288C288 464.1 281.3 481.3 269.3 493.3C257.3 505.3 240.1 512 224 512z"],
    "bell-concierge": [512, 512, [128718, "concierge-bell"], "f562", "M280 145.3V112h16C309.3 112 320 101.3 320 88S309.3 64 296 64H215.1C202.7 64 192 74.75 192 87.1S202.7 112 215.1 112H232v33.32C119.6 157.3 32 252.4 32 368h448C480 252.4 392.4 157.3 280 145.3zM488 400h-464C10.75 400 0 410.7 0 423.1C0 437.3 10.75 448 23.1 448h464c13.25 0 24-10.75 24-23.1C512 410.7 501.3 400 488 400z"],
    "bell-exclamation": [448, 512, [], "f848", "M256 32V51.2C329 66.03 384 130.6 384 208V226.8C384 273.9 401.3 319.2 432.5 354.4L439.9 362.7C448.3 372.2 450.4 385.6 445.2 397.1C440 408.6 428.6 416 416 416H32C19.4 416 7.971 408.6 2.809 397.1C-2.353 385.6-.2883 372.2 8.084 362.7L15.5 354.4C46.74 319.2 64 273.9 64 226.8V208C64 130.6 118.1 66.03 192 51.2V32C192 14.33 206.3 0 224 0C241.7 0 256 14.33 256 32H256zM224 288C206.3 288 192 302.3 192 320C192 337.7 206.3 352 224 352C241.7 352 256 337.7 256 320C256 302.3 241.7 288 224 288zM248 136C248 122.7 237.3 112 224 112C210.7 112 200 122.7 200 136V232C200 245.3 210.7 256 224 256C237.3 256 248 245.3 248 232V136zM224 512C207 512 190.7 505.3 178.7 493.3C166.7 481.3 160 464.1 160 448H288C288 464.1 281.3 481.3 269.3 493.3C257.3 505.3 240.1 512 224 512z"],
    "bell-on": [640, 512, [128365], "f8fa", "M352 32V51.2C425 66.03 480 130.6 480 208V226.8C480 273.9 497.3 319.2 528.5 354.4L535.9 362.7C544.3 372.2 546.4 385.6 541.2 397.1C536 408.6 524.6 416 512 416H128C115.4 416 103.1 408.6 98.81 397.1C93.65 385.6 95.71 372.2 104.1 362.7L111.5 354.4C142.7 319.2 160 273.9 160 226.8V208C160 130.6 214.1 66.03 288 51.2V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32H352zM320 512C303 512 286.7 505.3 274.7 493.3C262.7 481.3 256 464.1 256 448H384C384 464.1 377.3 481.3 365.3 493.3C353.3 505.3 336.1 512 320 512zM0 200C0 186.7 10.75 176 24 176H104C117.3 176 128 186.7 128 200C128 213.3 117.3 224 104 224H24C10.75 224 0 213.3 0 200zM616 176C629.3 176 640 186.7 640 200C640 213.3 629.3 224 616 224H536C522.7 224 512 213.3 512 200C512 186.7 522.7 176 536 176H616zM597.5 21.27C603.4 33.12 598.6 47.54 586.7 53.47L522.7 85.47C510.9 91.39 496.5 86.59 490.5 74.73C484.6 62.88 489.4 48.46 501.3 42.53L565.3 10.53C577.1 4.606 591.5 9.412 597.5 21.27V21.27zM53.27 53.47C41.41 47.54 36.61 33.12 42.53 21.27C48.46 9.412 62.88 4.606 74.73 10.53L138.7 42.53C150.6 48.46 155.4 62.88 149.5 74.73C143.5 86.59 129.1 91.39 117.3 85.47L53.27 53.47z"],
    "bell-plus": [448, 512, [], "f849", "M256 32V51.2C329 66.03 384 130.6 384 208V226.8C384 273.9 401.3 319.2 432.5 354.4L439.9 362.7C448.3 372.2 450.4 385.6 445.2 397.1C440 408.6 428.6 416 416 416H32C19.4 416 7.971 408.6 2.809 397.1C-2.353 385.6-.2883 372.2 8.084 362.7L15.5 354.4C46.74 319.2 64 273.9 64 226.8V208C64 130.6 118.1 66.03 192 51.2V32C192 14.33 206.3 0 224 0C241.7 0 256 14.33 256 32H256zM200 176V216H160C146.7 216 136 226.7 136 240C136 253.3 146.7 264 160 264H200V304C200 317.3 210.7 328 224 328C237.3 328 248 317.3 248 304V264H288C301.3 264 312 253.3 312 240C312 226.7 301.3 216 288 216H248V176C248 162.7 237.3 152 224 152C210.7 152 200 162.7 200 176zM224 512C207 512 190.7 505.3 178.7 493.3C166.7 481.3 160 464.1 160 448H288C288 464.1 281.3 481.3 269.3 493.3C257.3 505.3 240.1 512 224 512z"],
    "bell-school": [512, 512, [], "f5d5", "M256 208C256 234.5 234.5 256 208 256C181.5 256 160 234.5 160 208C160 181.5 181.5 160 208 160C234.5 160 256 181.5 256 208zM0 208C0 93.12 93.12 0 208 0C322.9 0 416 93.12 416 208C416 322.9 322.9 416 208 416C93.12 416 0 322.9 0 208zM208 288C252.2 288 288 252.2 288 208C288 163.8 252.2 128 208 128C163.8 128 128 163.8 128 208C128 252.2 163.8 288 208 288zM208 448C262 448 311.9 430.1 352 400V464H392C410.6 464 426.7 453.4 434.7 438C423.3 429.2 416 415.5 416 400C416 373.5 437.5 352 464 352C490.5 352 512 373.5 512 400C512 419.4 500.5 436.1 483.1 443.7C472.1 483.2 435.4 512 392 512H112C85.49 512 64 490.5 64 464V400C104.1 430.1 153.1 448 208 448z"],
    "bell-school-slash": [640, 512, [], "f5d6", "M118.5 67.6C156.6 26.05 211.2 0 271.1 0C386.9 0 480 93.12 480 208C480 250.7 467.1 290.5 445 323.5L496.5 363.8C504.9 356.5 515.9 352 528 352C554.5 352 576 373.5 576 400C576 407.9 574.1 415.4 570.7 421.1L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L118.5 67.6zM220 147.2L246.1 167.6C253.6 162.8 262.5 160 271.1 160C298.5 160 319.1 181.5 319.1 208C319.1 213.4 319.1 218.6 317.4 223.5L343.5 243.9C348.9 233.1 352 220.9 352 208C352 163.8 316.2 128 271.1 128C252.2 128 234 135.2 220 147.2V147.2zM63.1 208C63.1 188.7 66.62 170.1 71.53 152.4L372.1 389.9C343.1 406.5 308.7 416 271.1 416C157.1 416 63.1 322.9 63.1 207.1V208zM271.1 448C319 448 362.9 434.5 399.9 411.1L416 423.8V464H456C459.4 464 462.6 463.7 465.8 462.1L508.3 496.5C493.3 506.3 475.3 512 456 512H175.1C149.5 512 127.1 490.5 127.1 464V400C168.1 430.1 217.1 448 271.1 448V448z"],
    "bell-slash": [640, 512, [61943, 128277], "f1f6", "M186 120.5C209 85.38 245.4 59.84 288 51.2V32C288 14.33 302.3 .0003 320 .0003C337.7 .0003 352 14.33 352 32V51.2C425 66.03 480 130.6 480 208V226.8C480 273.9 497.3 319.2 528.5 354.4L535.9 362.7C544.3 372.2 546.4 385.6 541.2 397.1C540.1 397.5 540.8 397.1 540.6 398.4L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L186 120.5zM160 226.8V222.1L406.2 416H128C115.4 416 103.1 408.6 98.81 397.1C93.65 385.6 95.71 372.2 104.1 362.7L111.5 354.4C142.7 319.2 160 273.9 160 226.8V226.8zM320 512C303 512 286.7 505.3 274.7 493.3C262.7 481.3 256 464.1 256 448H384C384 464.1 377.3 481.3 365.3 493.3C353.3 505.3 336.1 512 320 512z"],
    "bells": [640, 512, [], "f77f", "M249.5 296.7C261.2 328.5 262.4 363.2 253.1 395.8L251.9 399.7L21.39 315.8C10.02 311.7 1.975 301.5 .5921 289.5C-.7912 277.5 4.728 265.7 14.86 259L23.04 253.7C57.61 230.1 83.95 197.8 98.16 159L112.8 119C137.1 50.44 213.1 15.09 282.6 40.08C287.4 41.82 292.1 43.82 296.5 46.04C232.4 88.2 203.2 170.3 230.8 245.5L249.5 296.7zM260.8 234.6C234.7 163.3 271.4 84.41 342.8 58.43C414.1 32.46 493.2 69.21 519.3 140.5L538 191.7C552 229.9 577.8 262.7 611.6 285.3L625.4 294.5C635.4 301.2 640.8 312.1 639.4 324.9C637.9 336.9 629.9 346.1 618.6 351.1L321.1 459.4C309.8 463.5 297.1 460.9 288.3 452.7C279.5 444.5 276 432 279.3 420.5L283.9 404.6C295.1 365.6 293.6 323.1 279.6 285.8L260.8 234.6zM480.8 480C459.6 480 440.8 469.9 429.1 454.1L545.2 411.9C545.3 413.2 545.3 414.5 545.3 415.8C545.3 451.3 516.4 480 480.8 480V480zM94.34 376.2L211.9 419.5C200.3 436.7 180.7 447.9 158.4 447.9C122.8 447.9 93.91 419.2 93.91 383.7C93.91 381.1 94.05 378.6 94.34 376.2V376.2z"],
    "bench-tree": [640, 512, [], "e2e7", "M606.5 111.1C607.3 106.2 608 101.2 608 96c0-53.02-42.98-96-96-96s-96 42.98-96 96c0 5.174 .7363 10.15 1.523 15.11C397.3 125.6 384 149.2 384 176C384 220.2 419.8 256 464 256H480v224c0 17.69 14.31 32 32 32s32-14.31 32-32V256h16C604.2 256 640 220.2 640 176C640 149.2 626.7 125.6 606.5 111.1zM360 352H320v-32h32V224c0-17.67-14.33-32-32-32H64C46.33 192 32 206.3 32 224v96h32v32H24C10.75 352 0 362.7 0 376v16C0 405.3 10.75 416 24 416H32v64c0 17.69 14.31 32 32 32s32-14.31 32-32v-64h192v64c0 17.69 14.31 32 32 32s32-14.31 32-32v-64h8c13.25 0 24-10.75 24-24v-16C384 362.7 373.3 352 360 352zM288 352H96v-32h192V352z"],
    "bezier-curve": [640, 512, [], "f55b", "M352 32C378.5 32 400 53.49 400 80V84H518.4C528.8 62.69 550.7 48 576 48C611.3 48 640 76.65 640 112C640 147.3 611.3 176 576 176C550.7 176 528.8 161.3 518.4 140H451.5C510.4 179.6 550.4 244.1 555.5 320H560C586.5 320 608 341.5 608 368V432C608 458.5 586.5 480 560 480H496C469.5 480 448 458.5 448 432V368C448 341.5 469.5 320 496 320H499.3C493.4 253 450.8 196.6 391.8 170.9C383.1 183.6 368.6 192 352 192H288C271.4 192 256.9 183.6 248.2 170.9C189.2 196.6 146.6 253 140.7 320H144C170.5 320 192 341.5 192 368V432C192 458.5 170.5 480 144 480H80C53.49 480 32 458.5 32 432V368C32 341.5 53.49 320 80 320H84.53C89.56 244.1 129.6 179.6 188.5 140H121.6C111.2 161.3 89.3 176 64 176C28.65 176 0 147.3 0 112C0 76.65 28.65 48 64 48C89.3 48 111.2 62.69 121.6 84H240V80C240 53.49 261.5 32 288 32H352zM296 136H344V88H296V136zM88 376V424H136V376H88zM552 424V376H504V424H552z"],
    "bicycle": [640, 512, [128690], "f206", "M347.2 32C358.1 32 369.8 38.44 375.4 48.78L473.3 229.1C485.5 226.1 498.5 224 512 224C582.7 224 640 281.3 640 352C640 422.7 582.7 480 512 480C441.3 480 384 422.7 384 352C384 311.1 402.4 276.3 431.1 252.8L409.4 212.7L324.7 356.2C320.3 363.5 312.5 368 304 368H255C247.1 431.1 193.3 480 128 480C57.31 480 0 422.7 0 352C0 281.3 57.31 224 128 224C138.7 224 149.2 225.3 159.2 227.8L185.8 174.7L163.7 144H120C106.7 144 96 133.3 96 120C96 106.7 106.7 96 120 96H176C183.7 96 190.1 99.71 195.5 105.1L222.9 144H372.3L337.7 80H311.1C298.7 80 287.1 69.25 287.1 56C287.1 42.75 298.7 32 311.1 32H347.2zM440 352C440 391.8 472.2 424 512 424C551.8 424 584 391.8 584 352C584 312.2 551.8 280 512 280C508.2 280 504.5 280.3 500.8 280.9L533.1 340.6C539.4 352.2 535.1 366.8 523.4 373.1C511.8 379.4 497.2 375.1 490.9 363.4L458.6 303.7C447 316.5 440 333.4 440 352V352zM108.8 328.6L133.1 280.2C131.4 280.1 129.7 280 127.1 280C88.24 280 55.1 312.2 55.1 352C55.1 391.8 88.24 424 127.1 424C162.3 424 190.9 400.1 198.2 368H133.2C112.1 368 99.81 346.7 108.8 328.6H108.8zM290.3 320L290.4 319.9L217.5 218.7L166.8 320H290.3zM257.4 192L317 274.8L365.9 192H257.4z"],
    "binary": [384, 512, [], "e33b", "M336 160H352C369.7 160 384 174.3 384 192C384 209.7 369.7 224 352 224H256C238.3 224 224 209.7 224 192C224 174.3 238.3 160 256 160H272V76.4L266.1 78.36C249.4 83.95 231.2 74.89 225.6 58.12C220.1 41.35 229.1 23.23 245.9 17.64L293.9 1.642C303.6-1.61 314.4 .0261 322.7 6.04C331.1 12.05 336 21.71 336 32L336 160zM111.1 448H127.1C145.7 448 159.1 462.3 159.1 480C159.1 497.7 145.7 512 127.1 512H31.1C14.33 512-.0003 497.7-.0003 480C-.0003 462.3 14.33 448 31.1 448H47.1V364.4L42.12 366.4C25.35 371.9 7.231 362.9 1.642 346.1C-3.947 329.4 5.114 311.2 21.88 305.6L69.88 289.6C79.64 286.4 90.37 288 98.71 294C107.1 300.1 112 309.7 112 320L111.1 448zM-.0003 64C-.0003 28.65 28.65 .0001 63.1 .0001H127.1C163.3 .0001 191.1 28.65 191.1 64V160C191.1 195.3 163.3 224 127.1 224H63.1C28.65 224-.0003 195.3-.0003 160V64zM127.1 64H63.1V160H127.1V64zM320 288C355.3 288 384 316.7 384 352V448C384 483.3 355.3 512 320 512H256C220.7 512 191.1 483.3 191.1 448V352C191.1 316.7 220.7 288 256 288H320zM256 448H320V352H256V448z"],
    "binary-circle-check": [640, 512, [], "e33c", "M322.7 6.04C331.1 12.05 336 21.71 336 32V160H352C369.7 160 384 174.3 384 192C384 209.7 369.7 224 352 224H256C238.3 224 224 209.7 224 192C224 174.3 238.3 160 256 160H272V76.4L266.1 78.36C249.4 83.95 231.2 74.89 225.7 58.12C220.1 41.35 229.1 23.23 245.9 17.64L293.9 1.642C303.6-1.61 314.4 .0261 322.7 6.04H322.7zM98.72 294C107.1 300.1 112 309.7 112 320V448H128C145.7 448 160 462.3 160 480C160 497.7 145.7 512 128 512H32.01C14.34 512 .0086 497.7 .0086 480C.0086 462.3 14.34 448 32.01 448H48.01V364.4L42.13 366.4C25.36 371.9 7.24 362.9 1.651 346.1C-3.938 329.4 5.123 311.2 21.89 305.6L69.89 289.6C79.65 286.4 90.38 288 98.72 294L98.72 294zM128 .0001C163.4 .0001 192 28.65 192 64V160C192 195.3 163.4 224 128 224H64.01C28.66 224 .0086 195.3 .0086 160V64C.0086 28.65 28.66 .0001 64.01 .0001H128zM64.01 160H128V64H64.01V160zM192 352C192 316.7 220.7 288 256 288H320C323.4 288 326.7 288.3 329.9 288.8C320.6 308.2 314.6 329.5 312.7 352H256V448L330.3 448C338.7 465.5 349.8 481.4 363.1 495.3C351.8 505.7 336.6 512 320 512H256C220.7 512 192 483.3 192 448L192 352zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 223.1 496 223.1C575.5 223.1 640 288.5 640 368zM540.7 324.7L480 385.4L451.3 356.7C445.1 350.4 434.9 350.4 428.7 356.7C422.4 362.9 422.4 373.1 428.7 379.3L468.7 419.3C474.9 425.6 485.1 425.6 491.3 419.3L563.3 347.3C569.6 341.1 569.6 330.9 563.3 324.7C557.1 318.4 546.9 318.4 540.7 324.7H540.7z"],
    "binary-lock": [640, 512, [], "e33d", "M322.7 6.04C331.1 12.05 336 21.71 336 32V160H352C369.7 160 384 174.3 384 192C384 209.7 369.7 224 352 224H256C238.3 224 224 209.7 224 192C224 174.3 238.3 160 256 160H272V76.4L266.1 78.36C249.4 83.95 231.2 74.89 225.7 58.12C220.1 41.35 229.1 23.23 245.9 17.64L293.9 1.642C303.6-1.61 314.4 .0261 322.7 6.04H322.7zM98.72 294C107.1 300.1 112 309.7 112 320V448H128C145.7 448 160 462.3 160 480C160 497.7 145.7 512 128 512H32.01C14.34 512 .0086 497.7 .0086 480C.0086 462.3 14.34 448 32.01 448H48.01V364.4L42.13 366.4C25.36 371.9 7.24 362.9 1.651 346.1C-3.938 329.4 5.123 311.2 21.89 305.6L69.89 289.6C79.65 286.4 90.38 288 98.72 294L98.72 294zM128 .0001C163.4 .0001 192 28.65 192 64V160C192 195.3 163.4 224 128 224H64.01C28.66 224 .0086 195.3 .0086 160V64C.0086 28.65 28.66 .0001 64.01 .0001H128zM64.01 160H128V64H64.01V160zM192 352C192 316.7 220.7 288 256 288H320C355.4 288 384 316.7 384 352V448C384 483.3 355.4 512 320 512H256C220.7 512 192 483.3 192 448V352zM320 352H256V448H320V352zM528 191.1C572.2 191.1 608 227.8 608 271.1V319.1C625.7 319.1 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 319.1 448 319.1V271.1C448 227.8 483.8 191.1 528 191.1zM528 239.1C510.3 239.1 496 254.3 496 271.1V319.1H560V271.1C560 254.3 545.7 239.1 528 239.1z"],
    "binary-slash": [640, 512, [], "e33e", "M127.1 75.02V64C127.1 28.66 156.7 .0013 191.1 .0013H255.1C291.3 .0013 319.1 28.66 319.1 64V160C319.1 179.3 311.5 196.5 298 208.3L399.7 288H448C483.3 288 512 316.7 512 352V375.1L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L127.1 75.02zM191.1 125.2L236.4 160H255.1V64H191.1V125.2zM464 160H480C497.7 160 512 174.3 512 192C512 209.7 497.7 224 480 224H384C366.3 224 352 209.7 352 192C352 174.3 366.3 160 384 160H400V76.4L394.1 78.36C377.4 83.95 359.2 74.89 353.6 58.12C348.1 41.35 357.1 23.23 373.9 17.64L421.9 1.644C431.6-1.609 442.4 .0275 450.7 6.042C459.1 12.06 464 21.72 464 32V160zM239.1 448H255.1C273.7 448 287.1 462.3 287.1 480C287.1 497.7 273.7 512 255.1 512H159.1C142.3 512 127.1 497.7 127.1 480C127.1 462.3 142.3 448 159.1 448H175.1V364.4L170.1 366.4C153.4 371.9 135.2 362.9 129.6 346.1C124.1 329.4 133.1 311.2 149.9 305.6L197.9 289.6C207.6 286.4 218.4 288 226.7 294C235.1 300.1 240 309.7 240 320L239.1 448zM319.1 352C319.1 350.7 320 349.5 320.1 348.2L384 398.5V448H446.8L497.8 488.2C486.1 502.7 468.1 512 448 512H384C348.7 512 319.1 483.3 319.1 448V352z"],
    "binoculars": [512, 512, [], "f1e5", "M416 48C416 39.13 408.9 32 400 32h-64C327.1 32 320 39.13 320 48V96h96.04L416 48zM63.88 160.1C61.34 253.9 3.5 274.3 0 404V448c0 17.6 14.4 32 32 32h128c17.6 0 32-14.4 32-32V128H95.88C78.26 128 64.35 142.5 63.88 160.1zM448.1 160.1C447.6 142.5 433.7 128 416.1 128H320v320c0 17.6 14.4 32 32 32h128c17.6 0 32-14.4 32-32v-44C508.5 274.3 450.7 253.9 448.1 160.1zM224 288h64V128H224V288zM176 32h-64C103.1 32 96 39.13 96 48L95.96 96H192V48C192 39.13 184.9 32 176 32z"],
    "biohazard": [576, 512, [9763], "f780", "M575.5 283.5c-13.13-39.11-39.5-71.98-74.13-92.35c-17.5-10.37-36.25-16.62-55.25-19.87c6-17.75 10-36.49 10-56.24c0-40.99-14.5-80.73-41-112.2c-2.5-3-6.625-3.623-10-1.75c-3.25 1.875-4.75 5.998-3.625 9.748c4.5 13.75 6.625 26.24 6.625 38.49c0 67.73-53.76 122.8-120 122.8s-120-55.11-120-122.8c0-12.12 2.25-24.74 6.625-38.49c1.125-3.75-.375-7.873-3.625-9.748c-3.375-1.873-7.502-1.25-10 1.75C134.7 34.3 120.1 74.04 120.1 115c0 19.75 3.875 38.49 10 56.24C111.2 174.5 92.32 180.8 74.82 191.1c-34.63 20.49-61.01 53.24-74.38 92.35c-1.25 3.75 .25 7.748 3.5 9.748c3.375 2 7.5 1.375 10-1.5c9.377-10.87 19-19.12 29.25-25.12c57.25-33.87 130.8-13.75 163.9 44.99c33.13 58.61 13.38 133.1-43.88 167.8c-10.25 6.123-22 10.37-35.88 13.37c-3.627 .875-6.377 4.25-6.377 8.123c.125 4 2.75 7.248 6.502 7.998c39.75 7.748 80.63 .7495 115.3-19.74c18-10.5 32.88-24.49 45.25-39.99c12.38 15.5 27.38 29.49 45.38 39.99c34.5 20.49 75.51 27.49 115.1 19.74c3.875-.75 6.375-3.998 6.5-7.998c0-3.873-2.625-7.248-6.375-8.123c-13.88-2.873-25.63-7.248-35.75-13.37c-57.38-33.87-77.01-109.2-44-167.8c33.13-58.73 106.6-78.85 164-44.99c10.12 6.123 19.75 14.25 29.13 25.12c2.5 2.875 6.752 3.5 10 1.5C575.4 291.2 576.9 287.2 575.5 283.5zM287.1 320.1c-26.5 0-48-21.49-48-47.99c0-26.49 21.5-47.99 48-47.99c26.5 0 48.01 21.49 48.01 47.99C335.1 298.6 314.5 320.1 287.1 320.1zM385 377.6c1.152 22.77 10.74 44.63 27.22 60.92c47.45-35.44 79.13-90.58 83.1-153.4c-22.58-6.173-45.69-2.743-65.57 8.76C424.7 326.9 408.5 355.1 385 377.6zM253.3 132.6c26.22-6.551 45.37-6.024 69.52 .0254c21.93-9.777 39.07-28.55 47.48-51.75C345 69.98 317.3 63.94 288.1 63.94c-29.18 0-56.96 5.986-82.16 16.84C214.3 103.1 231.4 122.8 253.3 132.6zM163.8 438.5c16.46-16.26 26.03-38.19 27.14-61.01c-23.49-21.59-39.59-50.67-44.71-83.6C126.9 282.7 103.8 278.8 80.67 285.1C84.64 347.9 116.3 403.1 163.8 438.5z"],
    "bird": [512, 512, [], "e469", "M0 192V188.4C0 172.7 12.74 160 28.44 160H224C241.7 160 256 145.7 256 128V96C256 42.98 298.1 0 352 0C399.5 0 438.9 34.45 446.6 79.72L504.2 114.3C509 117.2 512 122.4 512 128C512 133.6 509 138.8 504.2 141.7L448 175.5V192C448 285.9 390.3 366.3 308.3 399.6L349.2 476.8C355.4 488.5 350.9 503 339.2 509.2C327.5 515.4 312.1 510.9 306.8 499.2L261.1 412.9C249 414.1 236.6 416 224 416C223 416 222 415.1 221 415.1L253.2 476.8C259.4 488.5 254.9 503 243.2 509.2C231.5 515.4 216.1 510.9 210.8 499.2L162.1 407.4C68.52 380.5 0 294.3 0 192V192zM352 96C338.7 96 328 106.7 328 120C328 133.3 338.7 144 352 144C365.3 144 376 133.3 376 120C376 106.7 365.3 96 352 96z"],
    "bitcoin-sign": [320, 512, [], "e0b4", "M48 32C48 14.33 62.33 0 80 0C97.67 0 112 14.33 112 32V64H144V32C144 14.33 158.3 0 176 0C193.7 0 208 14.33 208 32V64C208 65.54 207.9 67.06 207.7 68.54C254.1 82.21 288 125.1 288 176C288 200.2 280.3 222.6 267.3 240.9C298.9 260.7 320 295.9 320 336C320 397.9 269.9 448 208 448V480C208 497.7 193.7 512 176 512C158.3 512 144 497.7 144 480V448H112V480C112 497.7 97.67 512 80 512C62.33 512 48 497.7 48 480V448H41.74C18.69 448 0 429.3 0 406.3V101.6C0 80.82 16.82 64 37.57 64H48V32zM176 224C202.5 224 224 202.5 224 176C224 149.5 202.5 128 176 128H64V224H176zM64 288V384H208C234.5 384 256 362.5 256 336C256 309.5 234.5 288 208 288H64z"],
    "blanket": [448, 512, [], "f498", "M448 432v32c0 8.75-7.25 16-16 16H128c-70.75 0-128-57.25-128-128V128c0-52.88 43.13-96 96-96h256c52.88 0 96 43.13 96 96c0 0-.125 181.5-.375 184.4C443.4 354 405.1 384 363.3 384H128c-17.75 0-32-14.25-32-32s14.25-32 32-32h240c8.75 0 16-7.25 16-16S376.8 288 368 288H128c-35.25 0-64 28.75-64 64s28.75 64 64 64h304C440.8 416 448 423.3 448 432z"],
    "blanket-fire": [640, 512, [], "e3da", "M616 273.2c-15.04-28.48-35.84-58.46-60.48-81.15C549.8 186.9 541.1 186.9 535.4 192c-9.598 8.768-18.56 19.62-26.24 29.5c-17.28-20.77-35.84-39.97-55.68-57.73C448 158.8 439.4 158.8 433.9 163.7c-33.28 29.7-61.44 63.42-81.6 95.78C332.8 291.5 320 323.7 320 350.1C320 437.9 390.4 512 480 512c88.64 0 160-74.11 160-161.9C640 329.9 630.4 301.2 616 273.2zM529.9 432.1C514.9 443 498.9 448 480.1 448C435.8 448 400 419 400 369.1c0-24 15.04-44.99 45.12-81.98c3.84 4.992 61.76 79.01 61.76 79.01l36.16-42.02c2.883 4 4.801 8 7.039 12C568 369.1 560 412 529.9 432.1zM325.1 242.7c21.76-35.17 51.84-71.23 87.36-102.8C422.4 130.9 435.5 127 448 128.2V96c0-53.02-42.88-96-96-96H96C42.88 0 0 42.98 0 96v224c0 70.69 57.28 128 128 128h186.2c-11.2-19.52-19.2-41.15-23.36-64H128c-35.2 0-64-28.64-64-64s28.8-64 64-64h189.4C320 251.5 322.6 247.1 325.1 242.7zM96 320c0 17.66 14.4 32 32 32h160v-1.92C288 329.9 293.4 308.8 301.8 288H128C110.4 288 96 302.3 96 320z"],
    "blender": [512, 512, [], "f517", "M336 64h158.5L512 0H48C21.49 0 0 21.49 0 48v160C0 234.5 21.49 256 48 256h103.3L160 352h256l17.49-64H336C327.2 288 320 280.8 320 272S327.2 256 336 256h106.1l17.49-64H336C327.2 192 320 184.8 320 176S327.2 160 336 160h132.4l17.49-64H336C327.2 96 320 88.8 320 80S327.2 64 336 64zM64 192V64h69.88L145.5 192H64zM416 384H160c-35.38 0-64 28.62-64 64l-.0001 32c0 17.62 14.38 32 32 32h320c17.62 0 32-14.38 32-32l.0003-32C480 412.6 451.4 384 416 384zM288 480c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S305.6 480 288 480z"],
    "blender-phone": [576, 512, [], "f6b6", "M158.7 334.1L132.1 271.7C130.2 264.1 123.2 260.7 115.7 261.5l-45 4.374c-17.25-46.87-17.63-99.74 0-147.6l45 4.374C123.2 123.4 130.2 119.1 132.1 112.4l25.75-63.25C161.9 41.76 158.1 33.26 152.1 29.01L112.9 4.887C98.49-3.863 80.12-.4886 68.99 12.01C-23.64 115.6-23.01 271.5 70.99 374.5c9.875 10.75 29.13 12.5 41.75 4.75l39.38-24.12C158.1 350.9 161.7 342.4 158.7 334.1zM479.1 384H224c-35.38 0-63.1 28.62-63.1 63.1l-.0052 32c0 17.62 14.37 31.1 31.1 31.1L511.1 512c17.63 0 32-14.38 32-31.1l.0019-31.1C543.1 412.6 515.4 384 479.1 384zM352 480c-17.63 0-31.1-14.38-31.1-31.1c0-17.62 14.37-31.1 31.1-31.1s31.1 14.38 31.1 31.1C384 465.6 369.6 480 352 480zM399.1 64h158.5L576 .008L191.1 .006l-.0023 351.1h288l17.49-64h-97.49c-8.801 0-16-7.199-16-15.1c0-8.799 7.199-15.1 16-15.1h106.1l17.49-63.1h-123.6c-8.801 0-16-7.199-16-15.1c0-8.799 7.199-15.1 16-15.1h132.4l17.49-63.1h-149.9c-8.801 0-16-7.199-16-15.1C383.1 71.2 391.2 64 399.1 64z"],
    "blinds": [512, 512, [], "f8fb", "M96 226.1V160H16L0 256h67.02C71.77 242.4 82.38 231.7 96 226.1zM157 288C150.4 307.1 132.2 320 112 320S73.62 307.1 67 288H16L0 384h512l-16-96H157zM16 416L0 512h512l-16-96H16zM512 48l-.0026-32c0-8.875-7.125-16-16-16H16c-8.875 0-15.1 7.125-15.1 16L0 48c0 6.75 4.375 12.88 10.88 15L0 128h96V64h32v64h384l-10.88-65C507.6 60.88 512 54.75 512 48zM128 160v66.98C141.6 231.7 152.2 242.4 157 256H512l-16-96H128z"],
    "blinds-open": [512, 512, [], "f8fc", "M16 464L0 512h512l-16-48H16zM64 208.2V192H16L0 240h39.12C44.62 227.5 53.12 216.5 64 208.2zM175.6 320C160.6 340.1 137.1 352 112 352s-48.62-11.88-63.62-32H16L0 368h512L496 320H175.6zM160 192v16.25C170.9 216.5 179.4 227.5 184.9 240H512L496 192H160zM512 48v-32C512 7.125 504.9 0 496 0h-480C7.125 0 0 7.125 0 16v32C0 56.88 7.125 64 16 64L0 112h64V64h32v163C73.1 234.8 60.75 257.2 64.75 280.2c3.875 23.13 23.87 40 47.25 40s43.38-16.87 47.25-40C163.2 257.2 149.1 234.8 128 227V64h32v48h352L496 64C504.9 64 512 56.88 512 48z"],
    "blinds-raised": [512, 512, [], "f8fd", "M16 159.8L0 223.8l96 .0234V159.8H16zM512 47.99l-.0026-31.99C511.1 7.124 504.9 0 495.1 0H16c-8.875 0-15.1 7.124-15.1 15.99L0 47.99c0 8.871 7.113 16 15.99 16L0 127.8h96v-63.85h32v63.85h384l-15.99-63.85C504.9 63.99 512 56.86 512 47.99zM496 159.8L128 159.9L128 223.8l384-.0234L496 159.8zM96 223.8v194.9c-22 7.746-35.25 30.25-31.25 53.24C68.62 495.1 88.62 512 112 512s43.38-16.88 47.25-39.99c4-22.99-9.249-45.48-31.25-53.23L128 223.8H96z"],
    "block": [448, 512, [], "e46a", "M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM72 80C58.75 80 48 90.75 48 104C48 117.3 58.75 128 72 128C85.25 128 96 117.3 96 104C96 90.75 85.25 80 72 80zM376 128C389.3 128 400 117.3 400 104C400 90.75 389.3 80 376 80C362.7 80 352 90.75 352 104C352 117.3 362.7 128 376 128zM72 384C58.75 384 48 394.7 48 408C48 421.3 58.75 432 72 432C85.25 432 96 421.3 96 408C96 394.7 85.25 384 72 384zM376 432C389.3 432 400 421.3 400 408C400 394.7 389.3 384 376 384C362.7 384 352 394.7 352 408C352 421.3 362.7 432 376 432z"],
    "block-brick": [448, 512, ["wall-brick"], "e3db", "M96 32H352V112H96V32zM0 112V96C0 60.65 28.65 32 64 32V112H0zM208 144V240H0V144H208zM0 368V272H64V368H0zM208 400V480H64C28.65 480 0 451.3 0 416V400H208zM448 400V416C448 451.3 419.3 480 384 480H240V400H448zM384 368V272H448V368H384zM96 368V272H352V368H96zM448 144V240H240V144H448zM384 112V32C419.3 32 448 60.65 448 96V112H384z"],
    "block-brick-fire": [640, 512, ["firewall"], "e3dc", "M128 32H384V112H128V32zM32 112V96C32 60.65 60.65 32 96 32V112H32zM240 144V240H32V144H240zM32 368V272H96V368H32zM240 400V480H96C60.65 480 32 451.3 32 416V400H240zM294.5 400C302.5 429.1 317.4 457.4 337.6 480H272V400H294.5zM480 144V144.6L479.4 144H480zM272 144H407.9C375.4 173.8 347.5 207.2 326.9 240H272V144zM128 272H308.1C296.5 297.7 288 324.7 288 350.1C288 356.1 288.3 362.1 288.8 368H128V272zM416 112V32C451.3 32 480 60.65 480 96V112H416zM509 221.5C516.9 211.6 525.8 200.8 535.5 191.1C541.1 186.9 549.9 186.9 555.5 192C580.2 214.7 601.1 244.7 615.8 273.2C630.4 301.2 640 329.9 640 350.1C640 437.9 568.7 512 480 512C390.3 512 320 437.8 320 350.1C320 323.7 332.7 291.5 352.4 259.5C372.4 227.2 400.5 193.4 433.8 163.7C439.4 158.7 447.1 158.8 453.5 163.8C473.3 181.6 491.8 200.7 509 221.5V221.5zM550 336.1C548 332.1 546 328.1 543 324.1L507 367C507 367 448.1 293 444.1 288C415 324.1 400 346 400 370C400 419 436 448 480.1 448C499 448 515 443 530 432.1C560 412 568 370 550 336.1z"],
    "block-question": [448, 512, [], "e3dd", "M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM258 176C270.2 176 280 185.8 280 197.1C280 205.7 275.1 212.8 269.3 216.8L211.7 251.4C204.4 255.8 200 263.6 200 272V288C200 301.3 210.7 312 224 312C237.3 312 248 301.3 248 288V285.6L294 257.1C315.1 245.3 328 222.5 328 197.1C328 159.3 296.7 127.1 258 127.1H200C164.7 127.1 136 156.7 136 191.1V199.1C136 213.3 146.7 223.1 160 223.1C173.3 223.1 184 213.3 184 199.1V191.1C184 183.2 191.2 175.1 200 175.1L258 176zM224 400C241.7 400 256 385.7 256 368C256 350.3 241.7 336 224 336C206.3 336 192 350.3 192 368C192 385.7 206.3 400 224 400zM72 80C58.75 80 48 90.75 48 104C48 117.3 58.75 128 72 128C85.25 128 96 117.3 96 104C96 90.75 85.25 80 72 80zM376 128C389.3 128 400 117.3 400 104C400 90.75 389.3 80 376 80C362.7 80 352 90.75 352 104C352 117.3 362.7 128 376 128zM72 384C58.75 384 48 394.7 48 408C48 421.3 58.75 432 72 432C85.25 432 96 421.3 96 408C96 394.7 85.25 384 72 384zM376 432C389.3 432 400 421.3 400 408C400 394.7 389.3 384 376 384C362.7 384 352 394.7 352 408C352 421.3 362.7 432 376 432z"],
    "block-quote": [448, 512, [], "e0b5", "M416 64C433.7 64 448 78.33 448 96C448 113.7 433.7 128 416 128H32C14.33 128 0 113.7 0 96C0 78.33 14.33 64 32 64H416zM416 224C433.7 224 448 238.3 448 256C448 273.7 433.7 288 416 288H160C142.3 288 128 273.7 128 256C128 238.3 142.3 224 160 224H416zM128 416C128 398.3 142.3 384 160 384H416C433.7 384 448 398.3 448 416C448 433.7 433.7 448 416 448H160C142.3 448 128 433.7 128 416zM64 256V416C64 433.7 49.67 448 32 448C14.33 448 0 433.7 0 416V256C0 238.3 14.33 224 32 224C49.67 224 64 238.3 64 256z"],
    "blog": [512, 512, [], "f781", "M217.6 96.1c-12.95-.625-24.66 9.156-25.52 22.37C191.2 131.7 201.2 143.1 214.4 143.1c79.53 5.188 148.4 74.09 153.6 153.6c.8281 12.69 11.39 22.43 23.94 22.43c.5156 0 1.047-.0313 1.578-.0625c13.22-.8438 23.25-12.28 22.39-25.5C409.3 191.8 320.3 102.8 217.6 96.1zM224 0C206.3 0 192 14.31 192 32s14.33 32 32 32c123.5 0 224 100.5 224 224c0 17.69 14.33 32 32 32s32-14.31 32-32C512 129.2 382.8 0 224 0zM172.3 226.8C157.7 223.9 144 235.8 144 250.6v50.37c0 10.25 7.127 18.37 16.75 21.1c18.13 6.75 31.26 24.38 31.26 44.1c0 26.5-21.5 47.1-48.01 47.1c-26.5 0-48.01-21.5-48.01-47.1V120c0-13.25-10.75-23.1-24.01-23.1l-48.01 .0076C10.75 96.02 0 106.8 0 120v247.1c0 89.5 82.14 160.2 175 140.7c54.38-11.5 98.27-55.5 109.8-109.7C302.2 316.1 247.8 241.8 172.3 226.8z"],
    "blueberries": [512, 512, [], "e2e8", "M336 0C255.3 0 187.4 54.39 166.7 128.5C169.8 128.3 172.9 128 176 128c114.7 0 208 93.31 208 208c0 3.146-.333 6.211-.4717 9.324C457.6 324.6 512 256.7 512 176C512 78.8 433.2 0 336 0zM416 128h-32v32c0 8.844-7.156 16-16 16S352 168.8 352 160V128h-32c-8.844 0-16-7.156-16-16S311.2 96 320 96h32V64c0-8.844 7.156-16 16-16S384 55.16 384 64v32h32c8.844 0 16 7.156 16 16S424.8 128 416 128zM176 160C78.8 160 0 238.8 0 336C0 433.2 78.8 512 176 512s176-78.8 176-176C352 238.8 273.2 160 176 160zM224 288H192v32c0 8.844-7.156 16-16 16S160 328.8 160 320V288H128C119.2 288 112 280.8 112 272S119.2 256 128 256h32V224c0-8.844 7.156-16 16-16S192 215.2 192 224v32h32c8.844 0 16 7.156 16 16S232.8 288 224 288z"],
    "bluetooth": [320, 512, [], "f293", "M208.6 255.1L309.1 168.1C316 161.1 320 153.2 320 143.1s-3.969-18-10.94-24.09l-127.1-112c-9.406-8.25-22.87-10.22-34.28-5.031c-11.44 5.188-18.78 16.56-18.78 29.13v153.5L53.06 119.9C39.78 108.3 19.56 109.6 7.908 122.9C-3.717 136.2-2.373 156.4 10.94 168.1l100.5 87.91l-100.5 87.91c-13.31 11.66-14.66 31.88-3.031 45.16c11.66 13.34 31.87 14.63 45.16 3.031L128 326.5v153.5c0 12.56 7.344 23.94 18.78 29.13C151 511.1 155.5 512 160 512c7.594 0 15.13-2.719 21.06-7.906l127.1-112C316 385.1 320 377.2 320 367.1s-3.969-18-10.94-24.09L208.6 255.1zM192 102.5l47.41 41.47l-47.41 41.47V102.5zM192 409.5V326.5l47.41 41.47L192 409.5z"],
    "bold": [384, 512, [], "f032", "M321.1 242.4C340.1 220.1 352 191.6 352 160c0-70.59-57.42-128-128-128L32 32.01c-17.67 0-32 14.31-32 32s14.33 32 32 32h16v320H32c-17.67 0-32 14.31-32 32s14.33 32 32 32h224c70.58 0 128-57.41 128-128C384 305.3 358.6 264.8 321.1 242.4zM112 96.01H224c35.3 0 64 28.72 64 64s-28.7 64-64 64H112V96.01zM256 416H112v-128H256c35.3 0 64 28.71 64 63.1S291.3 416 256 416z"],
    "bolt": [384, 512, [9889, "zap"], "f0e7", "M240.5 224H352C365.3 224 377.3 232.3 381.1 244.7C386.6 257.2 383.1 271.3 373.1 280.1L117.1 504.1C105.8 513.9 89.27 514.7 77.19 505.9C65.1 497.1 60.7 481.1 66.59 467.4L143.5 288H31.1C18.67 288 6.733 279.7 2.044 267.3C-2.645 254.8 .8944 240.7 10.93 231.9L266.9 7.918C278.2-1.92 294.7-2.669 306.8 6.114C318.9 14.9 323.3 30.87 317.4 44.61L240.5 224z"],
    "bolt-auto": [576, 512, [], "e0b6", "M240.5 224H352C365.3 224 377.3 232.3 381.1 244.7C386.6 257.2 383.1 271.3 373.1 280.1L117.1 504.1C105.8 513.9 89.27 514.7 77.19 505.9C65.1 497.1 60.7 481.1 66.59 467.4L143.5 288H32C18.67 288 6.735 279.7 2.046 267.3C-2.643 254.8 .8963 240.7 10.93 231.9L266.9 7.918C278.2-1.92 294.7-2.669 306.8 6.114C318.9 14.9 323.3 30.87 317.4 44.61L240.5 224zM464 288C476.1 288 487.2 294.8 492.6 305.7L572.6 465.7C580.5 481.5 574.1 500.7 558.3 508.6C542.5 516.5 523.3 510.1 515.4 494.3L508.2 480H419.8L412.6 494.3C404.7 510.1 385.5 516.5 369.7 508.6C353.9 500.7 347.5 481.5 355.4 465.7L435.4 305.7C440.8 294.8 451.9 288 464 288H464zM447.8 424H480.2L464 391.6L447.8 424z"],
    "bolt-lightning": [384, 512, [], "e0b7", "M381.2 172.8C377.1 164.9 368.9 160 360 160h-156.6l50.84-127.1c2.969-7.375 2.062-15.78-2.406-22.38S239.1 0 232 0h-176C43.97 0 33.81 8.906 32.22 20.84l-32 240C-.7179 267.7 1.376 274.6 5.938 279.8C10.5 285 17.09 288 24 288h146.3l-41.78 194.1c-2.406 11.22 3.469 22.56 14 27.09C145.6 511.4 148.8 512 152 512c7.719 0 15.22-3.75 19.81-10.44l208-304C384.8 190.2 385.4 180.7 381.2 172.8z"],
    "bolt-slash": [640, 512, [], "e0b8", "M228.4 153.7L394.9 7.918C406.2-1.92 422.7-2.669 434.8 6.114C446.9 14.9 451.3 30.87 445.4 44.61L368.5 224H480C493.3 224 505.3 232.3 509.1 244.7C514.6 257.2 511.1 271.3 501.1 280.1L448.4 326.2L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L228.4 153.7zM138.9 231.9L154.8 217.1L243.7 288H160C146.7 288 134.7 279.7 130 267.3C125.4 254.8 128.9 240.7 138.9 231.9L138.9 231.9zM194.6 467.4L264.5 304.4L374.4 390.1L245.1 504.1C233.8 513.9 217.3 514.7 205.2 505.9C193.1 497.1 188.7 481.1 194.6 467.4V467.4z"],
    "bomb": [512, 512, [128163], "f1e2", "M459.1 52.39L504.8 69.22C509 70.78 512 75.12 512 79.67C512 84.15 508.1 88.38 504.8 89.83L459.1 106.7L442.6 152.5C441.1 156.9 436.7 160 432.1 160C427.5 160 423.2 156.9 421.7 152.5L404.9 106.7L359.2 89.83C355 88.38 352 84.15 352 79.67C351.1 75.12 354.1 70.78 359.2 69.22L405.2 52.39L421.7 6.548C423.6 2.623 427.8 0 432.1 0C436.5 0 440.7 2.623 442.6 6.548L459.1 52.39zM406.6 185.4C419.1 197.9 419.1 218.1 406.6 230.6L403.8 233.5C411.7 255.5 416 279.3 416 303.1C416 418.9 322.9 512 208 512C93.12 512 0 418.9 0 303.1C0 189.1 93.12 95.1 208 95.1C232.7 95.1 256.5 100.3 278.5 108.2L281.4 105.4C293.9 92.88 314.1 92.88 326.6 105.4L406.6 185.4zM207.1 192C216.8 192 223.1 184.8 223.1 176C223.1 167.2 216.8 160 207.1 160H199.1C124.9 160 63.1 220.9 63.1 296V304C63.1 312.8 71.16 320 79.1 320C88.84 320 95.1 312.8 95.1 304V296C95.1 238.6 142.6 192 199.1 192H207.1z"],
    "bone": [576, 512, [129460], "f5d7", "M534.9 267.5C560.1 280 576 305.8 576 334v4.387c0 35.55-23.49 68.35-58.24 75.88c-38.18 8.264-74.96-13.73-86.76-49.14c-.0352-.1035-.0684-.207-.1035-.3125C425.3 347.7 409.6 336 391.6 336H184.4c-17.89 0-33.63 11.57-39.23 28.56L145 365.1c-11.8 35.41-48.58 57.4-86.76 49.14C23.49 406.7 0 373.9 0 338.4v-4.387C0 305.8 15.88 280 41.13 267.5c9.375-4.75 9.375-18.25 0-23C15.88 232 0 206.3 0 178V173.6c0-35.55 23.49-68.35 58.24-75.88c38.18-8.264 74.99 13.82 86.79 49.23C150.7 164.1 166.4 176 184.4 176h207.2c17.89 0 33.63-11.57 39.23-28.56L431 146.9c11.8-35.41 48.58-57.4 86.76-49.14C552.5 105.3 576 138.1 576 173.6v4.387C576 206.3 560.1 232 534.9 244.5C525.5 249.3 525.5 262.8 534.9 267.5z"],
    "bone-break": [640, 512, [], "f5d8", "M215 152.1c4.688 4.688 10.81 7.031 16.97 7.031s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94L200.1 71.03c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L215 152.1zM407.1 159.1c6.156 0 12.28-2.344 16.97-7.031l47.1-47.1c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0l-47.1 47.1c-9.375 9.375-9.375 24.56 0 33.94C395.7 157.7 401.8 159.1 407.1 159.1zM319.1 127.1c13.25 0 23.1-10.75 23.1-24V23.1C343.1 10.75 333.2 0 319.1 0S295.1 10.75 295.1 23.1v79.1C295.1 117.2 306.7 127.1 319.1 127.1zM183.3 253.3C165.5 256.5 148 247.5 139.5 231.6C121.8 198.5 81.58 182.8 45.41 197.7C12.5 211.2-4.943 247.9 1.229 283.2l.7617 4.355c4.906 28.04 25.01 50.83 52.05 58.82c10.06 3.074 12.4 16.48 3.994 22.84c-22.7 16.83-33.86 45.17-28.95 73.22l.7617 4.354c6.174 35.29 35.01 63.75 70.53 65.13c39.04 1.52 71.43-26.75 76.91-63.97l.0879-.5957c2.561-17.85 16.05-32.09 33.67-35.22L320 382.1L280 229.7L183.3 253.3zM594.6 197.7c-36.17-14.89-76.2 .5059-93.97 33.59c-8.512 15.98-26.15 25.17-43.87 22.02L360 229.7L320 382.1l108.1 29.2c17.62 3.133 31.11 17.37 33.67 35.22l.0879 .5957c5.475 37.22 37.87 65.49 76.91 63.97c35.53-1.385 64.36-29.84 70.53-65.13l.7617-4.354c4.906-28.05-6.256-56.39-28.95-73.22c-8.406-6.357-6.062-19.76 3.994-22.84c27.04-7.988 47.14-30.78 52.05-58.82l.7617-4.355C644.9 247.9 627.5 211.2 594.6 197.7z"],
    "bong": [512, 512, [], "f55c", "M334.5 512c23.12 0 44.38-12.62 56-32.63C406.8 451.2 416 418.8 416 384c0-36.13-10.11-69.75-27.49-98.63l43.5-43.37l9.376 9.375c6.25 6.25 16.38 6.25 22.63 0L475.3 240c6.25-6.25 6.25-16.38 0-22.62l-52.63-52.75c-6.25-6.25-16.38-6.25-22.63 0L388.6 176c-6.25 6.25-6.25 16.38 0 22.62L398 208l-39.38 39.38c-11.5-11.38-24.51-21.25-38.63-29.5l.0067-154.1h16c8.75 0 16-7.25 16-16L352 16.01C352 7.14 344.9 0 336 0L111.1 .1667c-8.75 0-15.99 7.11-15.99 15.99L96 48c0 8.875 7.126 16 16 16h16L128 217.9C70.63 251.1 32 313 32 384c0 34.75 9.252 67.25 25.5 95.38C69.13 499.4 90.38 512 113.5 512H334.5zM152 259.4l23.97-13.87V64.03L272 63.75l.0168 181.8l23.97 13.87C320.7 273.8 340 295.1 352.5 320H95.51C108 295.1 127.3 273.8 152 259.4z"],
    "book": [448, 512, [128212], "f02d", "M448 336v-288C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320c17.67 0 32-14.33 32-31.1c0-11.72-6.607-21.52-16-27.1v-81.36C441.8 362.8 448 350.2 448 336zM143.1 128h192C344.8 128 352 135.2 352 144C352 152.8 344.8 160 336 160H143.1C135.2 160 128 152.8 128 144C128 135.2 135.2 128 143.1 128zM143.1 192h192C344.8 192 352 199.2 352 208C352 216.8 344.8 224 336 224H143.1C135.2 224 128 216.8 128 208C128 199.2 135.2 192 143.1 192zM384 448H96c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32h288V448z"],
    "book-arrow-right": [640, 512, [], "e0b9", "M224 208c0-13.26 10.75-24 24-24H448V48C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320C433.7 512 448 497.7 448 479.1c0-11.72-6.607-21.52-16-27.1v-81.36C441.8 362.8 448 350.2 448 336V232H248C234.7 232 224 221.3 224 208zM384 448H96c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32h288V448zM632.1 191l-80-80c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L558.1 184H448v48h110.1l-39.03 39.03C514.3 275.7 512 281.8 512 288s2.344 12.28 7.031 16.97c9.375 9.375 24.56 9.375 33.94 0l80-80C642.3 215.6 642.3 200.4 632.1 191z"],
    "book-arrow-up": [448, 512, [], "e0ba", "M448 336v-288C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320c17.67 0 32-14.33 32-31.1c0-11.72-6.607-21.52-16-27.1v-81.36C441.8 362.8 448 350.2 448 336zM384 448H96c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32h120V209.9L176.1 248.1c-9.375 9.375-24.56 9.375-33.94 0s-9.375-24.56 0-33.94l80-80c9.375-9.375 24.56-9.375 33.94 0l80 80c9.375 9.375 9.375 24.56 0 33.94C332.3 253.7 326.2 256 320 256s-12.28-2.344-16.97-7.031L264 209.9V384H384V448z"],
    "book-atlas": [448, 512, ["atlas"], "f558", "M240 97.25C232.3 104.8 219.3 131.8 216.6 176h46.88C260.8 131.8 247.8 104.8 240 97.25zM334.4 176c-5.25-31.25-25.62-57.13-53.25-70.38C288.8 124.6 293.8 149 295.3 176H334.4zM334.4 208h-39.13c-1.5 27-6.5 51.38-14.12 70.38C308.8 265.1 329.1 239.3 334.4 208zM263.4 208H216.5C219.3 252.3 232.3 279.3 240 286.8C247.8 279.3 260.8 252.3 263.4 208zM198.9 105.6C171.3 118.9 150.9 144.8 145.6 176h39.13C186.3 149 191.3 124.6 198.9 105.6zM448 336v-288C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320c17.67 0 32-14.33 32-32c0-11.72-6.607-21.52-16-27.1v-81.36C441.8 362.8 448 350.2 448 336zM240 64c70.75 0 128 57.25 128 128s-57.25 128-128 128s-128-57.25-128-128S169.3 64 240 64zM384 448H96c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32h288V448zM198.9 278.4C191.3 259.4 186.3 235 184.8 208H145.6C150.9 239.3 171.3 265.1 198.9 278.4z"],
    "book-bible": [448, 512, ["bible"], "f647", "M448 336v-288C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320c17.67 0 32-14.33 32-31.1c0-11.72-6.607-21.52-16-27.1v-81.36C441.8 362.8 448 350.2 448 336zM144 144c0-8.875 7.125-15.1 16-15.1L208 128V80c0-8.875 7.125-15.1 16-15.1l32 .0009c8.875 0 16 7.12 16 15.1V128L320 128c8.875 0 16 7.121 16 15.1v32c0 8.875-7.125 16-16 16L272 192v112c0 8.875-7.125 16-16 16l-32-.0002c-8.875 0-16-7.127-16-16V192L160 192c-8.875 0-16-7.127-16-16V144zM384 448H96c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32h288V448z"],
    "book-blank": [448, 512, [128215, 128216, 128217, 128213, "book-alt"], "f5d9", "M448 336v-288C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320c17.67 0 32-14.33 32-31.1c0-11.72-6.607-21.52-16-27.1v-81.36C441.8 362.8 448 350.2 448 336zM384 448H96c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32h288V448z"],
    "book-bookmark": [448, 512, [], "e0bb", "M448 336v-288C448 21.49 426.5 0 400 0H352v191.1c0 13.41-15.52 20.88-25.1 12.49L272 160L217.1 204.5C207.5 212.8 192 205.4 192 191.1V0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320c17.67 0 32-14.33 32-32c0-11.72-6.607-21.52-16-27.1v-81.36C441.8 362.8 448 350.2 448 336zM384 448H96c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32h288V448z"],
    "book-circle-arrow-right": [640, 512, [], "e0bc", "M339.4 448H96c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32h224.8C320.3 378.7 320 373.4 320 368c0-80.54 54.16-148.3 128-169.2V48C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h299C371.6 495.6 352.5 473.6 339.4 448zM496 224C416.5 224 352 288.5 352 368s64.46 144 144 144s144-64.46 144-144S575.5 224 496 224zM571.3 379.3l-56 56C512.2 438.4 508.1 440 504 440s-8.188-1.562-11.31-4.688c-6.25-6.25-6.25-16.38 0-22.62L521.4 384H432c-8.836 0-15.1-7.164-15.1-16S423.2 352 432 352h89.38l-28.69-28.69c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0l56 56C577.6 362.9 577.6 373.1 571.3 379.3z"],
    "book-circle-arrow-up": [640, 512, [], "e0bd", "M339.4 448H96c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32h224.8C320.3 378.7 320 373.4 320 368c0-80.54 54.16-148.3 128-169.2V48C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h299C371.6 495.6 352.5 473.6 339.4 448zM496 224C416.5 224 352 288.5 352 367.1C352 447.5 416.5 512 496 512s144-64.46 144-144C640 288.5 575.5 224 496 224zM563.3 371.3c-6.25 6.25-16.38 6.25-22.62 0L512 342.6V432c0 8.836-7.164 15.1-16 15.1S480 440.8 480 432v-89.38l-28.69 28.69c-6.25 6.25-16.38 6.25-22.62 0s-6.25-16.38 0-22.62l56-56c6.25-6.25 16.38-6.25 22.62 0l56 56C566.4 351.8 568 355.9 568 360S566.4 368.2 563.3 371.3z"],
    "book-copy": [576, 512, [], "e0be", "M576 240v-192C576 21.49 554.5 0 528 0H288C234.1 0 192 42.98 192 96v224c0 53.02 42.98 96 96 96h256c17.67 0 32-14.33 32-32c0-11.72-6.607-21.52-16-27.1V275.5C569.8 266.8 576 254.2 576 240zM512 352h-224c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32h224V352zM352 448H97.38c-15.48 0-29.78-10.35-32.74-25.55C60.63 401.9 76.22 384 96 384h81.8C166.8 365.1 160 343.4 160 320V96H96C42.98 96 0 138.1 0 192v224c0 53.02 42.98 96 96 96h256C369.7 512 384 497.7 384 480S369.7 448 352 448z"],
    "book-font": [448, 512, [], "e0bf", "M448 336v-288C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320c17.67 0 32-14.33 32-31.1c0-11.72-6.607-21.52-16-27.1v-81.36C441.8 362.8 448 350.2 448 336zM129.7 264.8l96-192c5.438-10.84 23.19-10.84 28.62 0l96 192c3.953 7.906 .75 17.52-7.156 21.47C340.9 287.5 338.4 288 336 288c-5.875 0-11.52-3.234-14.33-8.844L294.1 224H185.9L158.3 279.2C154.4 287.1 144.7 290.2 136.8 286.3C128.9 282.4 125.7 272.8 129.7 264.8zM384 448H96c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32h288V448zM239.1 115.8L201.9 192h76.22L239.1 115.8z"],
    "book-heart": [448, 512, [], "f499", "M448 336v-288C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320c17.67 0 32-14.33 32-31.1c0-11.72-6.607-21.52-16-27.1v-81.36C441.8 362.8 448 350.2 448 336zM149.8 109.1c24-20 59.75-16.38 81.63 5.75L240 123.6l8.625-8.75c22-22.12 57.63-25.75 81.63-5.75c27.5 23 28.88 64.13 4.25 89.13l-84.75 85.5c-5.5 5.5-14.25 5.5-19.75 0l-84.75-85.5C120.8 173.3 122.3 132.1 149.8 109.1zM384 448H96c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32h288V448z"],
    "book-journal-whills": [448, 512, ["journal-whills"], "f66a", "M448 336v-288C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320c17.67 0 32-14.33 32-31.1c0-11.72-6.607-21.52-16-27.1v-81.36C441.8 362.8 448 350.2 448 336zM133.1 160.4l21.25 21.25c3.125 3.125 8.125 3.125 11.25 0s3.125-8.125 0-11.25l-26.38-26.5c10-20.75 26.25-38 46.38-49.25c-17 27.12-11 62.75 14 82.63C185.5 192 180.5 213.1 186.5 232.5c5.875 19.38 22 34.13 41.88 38.25l1.375-32.75L219.4 245.1C218.8 245.5 217.9 245.8 217.1 245.8c-1 0-2-.375-2.75-1c-.75-.875-1.25-1.875-1.25-3c0-.625 .25-1.375 .5-2L222.3 225.5l-18-3.75c-1.75-.375-3.125-2.125-3.125-4s1.375-3.5 3.125-3.875l18-3.75L213.6 195.9C212.8 194.3 213 192.1 214.4 190.9s3.5-1.5 5-.375l12 8.125L236 87.88C236.1 85.63 237.9 84 240 84s3.875 1.625 4 3.875l4.75 112.3l14.12-9.625c.625-.5 1.5-.625 2.25-.75c1.5 0 2.75 .75 3.5 2s.625 2.875-.125 4.125L260 210.1l17.1 3.75c1.75 .375 3.125 2 3.125 3.875s-1.375 3.625-3.125 4L260 225.4l8.5 14.38c.75 1.25 .875 2.75 .125 4s-2 2-3.5 2c-.75 0-1.625-.25-2.25-.625L250.3 236.5l1.375 34.25c19.88-4.125 36-18.88 41.88-38.25c6-19.38 1-40.63-13.12-55.25c25-19.88 31-55.5 14-82.63c20.25 11.25 36.38 28.5 46.38 49.25l-26.38 26.5c-3.125 3.125-3.125 8.125 0 11.25s8.125 3.125 11.25 0l21.25-21.25C349.9 170.5 352 181 352 192c0 .5-.125 1-.125 1.5l-37.13 32.5C313.1 227.6 312.1 229.8 312 232c.125 1.875 .7496 3.75 1.1 5.25C315.6 238.9 317.8 239.9 320 240c1.1 0 3.875-.7499 5.25-1.1l23.62-20.63C337.3 267 293.1 304 240 304S142.8 267 131.1 217.4l23.62 20.63C156.3 239.3 158.1 239.9 160 240c3.375 0 6.25-2.125 7.5-5.125c1.125-3.125 .25-6.75-2.25-8.875L128.1 193.5C128.1 193 128 192.5 128 192C128 181 130.1 170.5 133.1 160.4zM384 448H96c-17.67 0-32-14.33-32-32s14.33-32 32-32h288V448z"],
    "book-medical": [448, 512, [], "f7e6", "M448 336v-288C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320c17.67 0 32-14.33 32-31.1c0-11.72-6.607-21.52-16-27.1v-81.36C441.8 362.8 448 350.2 448 336zM128 166c0-8.838 7.164-16 16-16h53.1V96c0-8.838 7.164-16 16-16h52c8.836 0 16 7.162 16 16v54H336c8.836 0 16 7.162 16 16v52c0 8.836-7.164 16-16 16h-54V288c0 8.836-7.164 16-16 16h-52c-8.836 0-16-7.164-16-16V234H144c-8.836 0-16-7.164-16-16V166zM384 448H96c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32h288V448z"],
    "book-open": [576, 512, [128366, 128214], "f518", "M144.3 32.04C106.9 31.29 63.7 41.44 18.6 61.29c-11.42 5.026-18.6 16.67-18.6 29.15l0 357.6c0 11.55 11.99 19.55 22.45 14.65c126.3-59.14 219.8 11 223.8 14.01C249.1 478.9 252.5 480 256 480c12.4 0 16-11.38 16-15.98V80.04c0-5.203-2.531-10.08-6.781-13.08C263.3 65.58 216.7 33.35 144.3 32.04zM557.4 61.29c-45.11-19.79-88.48-29.61-125.7-29.26c-72.44 1.312-118.1 33.55-120.9 34.92C306.5 69.96 304 74.83 304 80.04v383.1C304 468.4 307.5 480 320 480c3.484 0 6.938-1.125 9.781-3.328c3.925-3.018 97.44-73.16 223.8-14c10.46 4.896 22.45-3.105 22.45-14.65l.0001-357.6C575.1 77.97 568.8 66.31 557.4 61.29z"],
    "book-open-cover": [640, 512, ["book-open-alt"], "e0c0", "M544 32.01c0-19.62-17.5-34.63-36.89-31.62L336 26.86v384l208-46.23V32.01zM304 26.86L132.9 .3828C113.5-2.617 96 12.38 96 32.01v332.6l208 46.23V26.86zM600.2 32.97L576 39.03v325.6c0 14.1-10.42 27.98-25.06 31.24L320 447.2L89.06 395.9C74.42 392.6 64 379.7 64 364.7V39.03L39.76 32.97C19.56 27.92 0 43.19 0 64.01v351.1c0 15 10.42 27.98 25.06 31.24l288 63.1c4.572 1.016 9.311 1.016 13.88 0l288-63.1C629.6 443.1 640 431 640 416V64.01C640 43.19 620.4 27.92 600.2 32.97z"],
    "book-open-reader": [512, 512, ["book-reader"], "f5da", "M0 219.2v212.5c0 14.25 11.62 26.25 26.5 27C75.32 461.2 180.2 471.3 240 511.9V245.2C181.4 205.5 79.99 194.8 29.84 192C13.59 191.1 0 203.6 0 219.2zM482.2 192c-50.09 2.848-151.3 13.47-209.1 53.09C272.1 245.2 272 245.3 272 245.5v266.5c60.04-40.39 164.7-50.76 213.5-53.28C500.4 457.9 512 445.9 512 431.7V219.2C512 203.6 498.4 191.1 482.2 192zM352 96c0-53-43-96-96-96S160 43 160 96s43 96 96 96S352 149 352 96z"],
    "book-quran": [448, 512, ["quran"], "f687", "M352 0H48C21.49 0 0 21.49 0 48v288c0 14.16 6.246 26.76 16 35.54v81.36C6.607 458.5 0 468.3 0 479.1C0 497.7 14.33 512 31.1 512h320c53.02 0 96-42.98 96-96V96C448 42.98 405 0 352 0zM324.8 170.4c3.006 .4297 4.295 4.154 2.004 6.301L306.2 196.9l4.869 28.5c.4297 2.434-1.576 4.439-3.725 4.439c-.5723 0-1.145-.1445-1.719-.4297L280 215.9l-25.63 13.46c-.5723 .2852-1.145 .4297-1.719 .4297c-2.146 0-4.152-2.006-3.723-4.439l4.869-28.5l-20.62-20.19c-2.291-2.146-1.002-5.871 2.006-6.301l28.64-4.152l12.89-25.92C277.3 138.9 278.7 138.2 280 138.2s2.721 .7168 3.295 2.148l12.89 25.92L324.8 170.4zM216 72c23.66 0 46.61 6.953 66.36 20.09c3.219 2.141 4.438 6.281 2.906 9.844c-1.547 3.547-5.453 5.562-9.172 4.594C268.8 104.8 262.2 104 256 104C207.5 104 168 143.5 168 192S207.5 280 256 280c6.234 0 12.81-.8281 20.09-2.531c3.719-.9687 7.625 1.047 9.172 4.594c1.531 3.562 .3125 7.703-2.906 9.844C262.6 305 239.7 312 216 312C149.8 312 96 258.2 96 192S149.8 72 216 72zM352 448H64v-64h288c17.67 0 32 14.33 32 32C384 433.7 369.7 448 352 448z"],
    "book-section": [448, 512, ["book-law"], "e0c1", "M448 336v-288C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320c17.67 0 32-14.33 32-31.1c0-11.72-6.607-21.52-16-27.1v-81.36C441.8 362.8 448 350.2 448 336zM235.9 243.2l-7.469-1.953c-22.09-5.891-68-18.11-59.47-62.72c2.141-11.16 7.949-20.45 16.65-27.54C173.4 141.7 164.9 127.9 169 106.6c6.062-31.75 40.44-48.02 87.53-41.34c8.344 1.188 17.97 3.516 30.22 7.344c8.438 2.641 13.16 11.61 10.53 20.05c-2.625 8.422-11.69 13.14-20.03 10.52c-10.59-3.312-18.62-5.281-25.22-6.219c-27.81-4.031-49.09 2.5-51.59 15.67c-1.781 9.266-.2187 16.06 36.25 25.77l7.281 1.906c30.12 7.797 75.66 19.56 67.03 64.72c-2.141 11.19-7.961 20.5-16.68 27.59c12.63 9.525 20.73 23.2 16.68 44.41c-5.156 27.05-30.81 42.84-67.34 42.84c-6.406 0-13.16-.4844-20.19-1.484C210.5 316.5 196.9 312.1 184.8 308.2L179.1 306.3c-8.406-2.688-13.06-11.69-10.38-20.11c2.719-8.422 11.72-13.11 20.12-10.36l5.875 1.891c10.75 3.5 22.94 7.469 33.13 8.859c28.03 3.922 49.19-2.469 51.69-15.66C281.1 258.2 273.8 253 235.9 243.2zM384 448H96c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32h288V448zM235.9 171.2c0 0-9.406-2.494-10.32-2.742C216.9 169.7 202.6 173.3 200.4 184.6c-1.781 9.266-.2187 16.06 36.25 25.77c0 0 14.12 3.693 17.7 4.682c8.703-1.168 23.02-4.777 25.18-16.06C281.1 186.2 273.8 181 235.9 171.2z"],
    "book-skull": [448, 512, ["book-dead"], "f6b7", "M272 144C280.8 144 288 136.8 288 128s-7.25-16-16-16S256 119.3 256 128S263.3 144 272 144zM448 336v-288C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320c17.67 0 32-14.33 32-31.1c0-11.72-6.607-21.52-16-27.1v-81.36C441.8 362.8 448 350.2 448 336zM240 64C284.3 64 320 92.75 320 128c0 20.88-12.75 39.25-32 50.88V192c0 8.75-7.25 16-16 16h-64C199.3 208 192 200.8 192 192V178.9C172.8 167.3 160 148.9 160 128C160 92.75 195.8 64 240 64zM121.7 238.7c-8.125-3.484-11.91-12.89-8.438-21.02c3.469-8.094 12.94-11.86 21-8.422L240 254.5l105.7-45.21c8.031-3.438 17.53 .3281 21 8.422c3.469 8.125-.3125 17.53-8.438 21.02l-77.58 33.18l77.58 33.18c8.125 3.484 11.91 12.89 8.438 21.02C364.1 332.2 358.2 335.8 352 335.8c-2.094 0-4.25-.4062-6.281-1.281L240 289.3l-105.7 45.21C132.3 335.4 130.1 335.8 128 335.8c-6.219 0-12.12-3.641-14.72-9.703C109.8 317.1 113.6 308.6 121.7 305.1l77.58-33.18L121.7 238.7zM384 448H96c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32h288V448zM208 144C216.8 144 224 136.8 224 128S216.8 112 208 112S192 119.3 192 128S199.3 144 208 144z"],
    "book-sparkles": [448, 512, ["book-spells"], "f6b8", "M448 336v-288C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320c17.67 0 32-14.33 32-31.1c0-11.72-6.607-21.52-16-27.1v-81.36C441.8 362.8 448 350.2 448 336zM261.5 197l20.56-49.31c1.012-2.033 3.671-3.675 5.942-3.691c2.281 0 4.966 1.648 5.982 3.691l20.7 49.64l49.64 20.7C366.3 219.1 368 221.7 368 223.1c0 2.266-1.652 4.949-3.682 5.965l-49.64 20.7l-20.7 49.64c-1.016 2.043-3.697 3.695-5.977 3.695c-2.271-.0156-4.936-1.662-5.947-3.695l-20.72-49.63L211.7 229.1c-2.023-1.012-3.664-3.676-3.676-5.938c.0117-2.27 1.65-4.977 3.676-5.988l49.41-20.6L261.5 197zM130.2 108.4L159.1 96l12.42-29.79C173 64.99 174.6 64 175.1 64s2.969 .9902 3.578 2.217L191.1 96L221.8 108.4c1.217 .6094 2.209 2.211 2.209 3.576c0 1.359-.9922 2.971-2.209 3.58L191.1 127.1L179.6 157.8C178.1 159 177.4 160 175.1 160S173 159 172.4 157.8L159.1 127.1L130.2 115.6C128.1 114.1 128 113.4 128 111.1C128 110.6 128.1 109 130.2 108.4zM384 448H96c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32h288V448z"],
    "book-tanakh": [448, 512, ["tanakh"], "f827", "M267.1 244.5h34.87l-17.37-29.12L267.1 244.5zM352 0H48C21.49 0 0 21.49 0 48v288c0 14.16 6.246 26.76 16 35.54v81.36C6.607 458.5 0 468.3 0 480C0 497.7 14.33 512 31.1 512h320c53.02 0 96-42.98 96-96V96C448 42.98 405 0 352 0zM89.38 125.6C93 119.3 99.63 115.4 106.9 115.5h56.38l27.5-46.25C194.4 63.25 201 59.5 208 59.5s13.5 3.625 17 9.625l27.75 46.38h56.38c7.25 0 13.88 3.875 17.38 10.12S330 139.5 326.3 145.8L298.6 192l27.75 46.38c3.75 6.125 3.75 13.88 .25 20c-3.625 6.375-10.25 10.25-17.5 10.25h-56.38l-27.5 46.13C221.6 320.8 215.1 324.5 208 324.5c-7 0-13.5-3.625-17-9.625L163.3 268.5H106.9c-7.125 0-13.88-3.875-17.38-10.12S86.13 244.5 89.75 238.3L117.4 192L89.63 145.6C85.88 139.5 85.88 131.8 89.38 125.6zM352 448H64v-64h288c17.67 0 32 14.33 32 32C384 433.7 369.7 448 352 448zM208 296.6l16.88-28.12H191.3L208 296.6zM113.1 244.5h34.88l-17.5-29.12L113.1 244.5zM301.1 139.5h-34.87l17.5 29.12L301.1 139.5zM148.9 139.5H113.1L131.5 168.6L148.9 139.5zM176.9 244.5h62.25L270.6 192l-31.5-52.63H176.9L145.4 192L176.9 244.5zM208 87.38L191.3 115.5h33.5L208 87.38z"],
    "book-user": [448, 512, [], "f7e7", "M448 336v-288C448 21.49 426.5 0 400 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h320c17.67 0 32-14.33 32-31.1c0-11.72-6.607-21.52-16-27.1v-81.36C441.8 362.8 448 350.2 448 336zM240 64c35.35 0 64 28.66 64 64s-28.65 64-64 64c-35.34 0-64-28.66-64-64S204.7 64 240 64zM208 224h64C316.2 224 352 259.8 352 304c0 8.836-7.164 16-16 16h-192C135.2 320 128 312.8 128 304C128 259.8 163.8 224 208 224zM384 448H96c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32h288V448z"],
    "bookmark": [384, 512, [61591, 128278], "f02e", "M48 0H336C362.5 0 384 21.49 384 48V487.7C384 501.1 373.1 512 359.7 512C354.7 512 349.8 510.5 345.7 507.6L192 400L38.28 507.6C34.19 510.5 29.32 512 24.33 512C10.89 512 0 501.1 0 487.7V48C0 21.49 21.49 0 48 0z"],
    "bookmark-slash": [640, 512, [], "e0c2", "M128 75.02V48C128 21.49 149.5 0 176 0H464C490.5 0 512 21.49 512 48V375.1L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L128 75.02zM128 487.7V196.9L509.8 497.7C506 506.1 497.5 512 487.7 512C482.7 512 477.8 510.5 473.7 507.6L320 400L166.3 507.6C162.2 510.5 157.3 512 152.3 512C138.9 512 128 501.1 128 487.7z"],
    "books": [512, 512, [128218], "f5db", "M160 384l127.1 .0001V128L160 128V384zM96 .0028H31.1C14.37 .0028 0 14.38 0 32v63.1l128-.0008l.0008-63.1C128 14.38 113.6 .0028 96 .0028zM160 479.1c0 17.62 14.37 31.1 32 31.1h63.1c17.62 0 31.98-14.36 31.1-31.98l0-64.02h-127.1L160 479.1zM0 479.1c0 17.62 14.37 31.1 31.1 31.1h64c17.62 0 31.1-14.37 31.1-31.1L128 416H0V479.1zM0 384l128-.0001V128L0 128V384zM419.9 116.2l-123.6 33.04l66.21 246.7l123.7-33.04L419.9 116.2zM510.9 455.3l-16.48-61.67l-123.6 33.05l16.55 61.66c4.559 16.98 22.15 27.12 39.17 22.57l61.85-16.52C505.4 489.8 515.5 472.3 510.9 455.3zM395 23.64c-4.568-16.98-22.15-27.1-39.16-22.55l-61.78 16.52c-3.072 .8203-5.619 2.484-8.197 4.07c-4.348-12.52-15.93-21.68-29.9-21.68h-63.1c-17.63 0-32 14.37-32 31.1L160 96l122 .0014l6.004 22.37l123.5-33.05L395 23.64z"],
    "books-medical": [576, 512, [], "f7e8", "M224 480c0 17.62 14.38 32 32 32h64C337.6 512 351.1 497.6 352 480V416H224L224 480zM160 0H96C78.38 0 64 14.38 64 32v64h128L192 32C192 14.38 177.6 0 160 0zM79.1 352h31.1c8.836 0 16-7.164 16-16L127.1 288h47.1c8.836 0 16-7.165 16-16v-32c0-8.836-7.165-15.1-16-15.1H127.1l.0006-47.1c0-8.836-7.165-15.1-16-15.1H79.1c-8.836 0-15.1 7.163-15.1 15.1L63.1 224H16c-8.836 0-16 7.163-16 15.1v32c0 8.836 7.164 16 16 16h47.1L63.1 336C63.1 344.8 71.16 352 79.1 352zM64 480c0 17.62 14.38 32 32 32h64c17.62 0 32-14.38 32-32l-.0008-64H64V480zM459 23.64c-4.568-16.98-22.15-27.1-39.16-22.55l-61.78 16.52c-3.072 .8203-5.619 2.484-8.197 4.07C345.6 9.156 333.1 0 320 0h-64C238.4 0 224 14.38 224 32L224 96h122l6.004 22.37l123.5-33.05L459 23.64zM574.9 455.3l-16.48-61.67l-123.6 33.05l16.55 61.66c4.559 16.98 22.15 27.12 39.17 22.57l61.85-16.52C569.4 489.8 579.5 472.3 574.9 455.3zM224 384H352V128H224V384zM483.9 116.2l-123.6 33.04l66.21 246.7l123.7-33.04L483.9 116.2z"],
    "boombox": [640, 512, [128254], "f8a5", "M464 256C419.9 256 384 291.9 384 336s35.88 80 80 80s80-35.88 80-80S508.1 256 464 256zM176 256C131.9 256 96 291.9 96 336S131.9 416 176 416S256 380.1 256 336S220.1 256 176 256zM608 162.1V56C608 25.12 582.9 0 552 0H88C57.12 0 32 25.12 32 56v106.1C12.88 169.6 0 187.8 0 208v256C0 490.5 21.5 512 48 512h544c26.5 0 48-21.5 48-48v-256C640 187.8 627.1 169.6 608 162.1zM176 448C114.1 448 64 397.9 64 336S114.1 224 176 224S288 274.1 288 336S237.9 448 176 448zM336 128h-32C295.1 128 288 135.1 288 144V160H256V144C256 135.1 248.9 128 240 128h-32C199.1 128 192 135.1 192 144V160H80V56c0-4.375 3.625-8 8-8h464c4.375 0 8 3.625 8 8V160H448V144C448 135.1 440.9 128 432 128h-32C391.1 128 384 135.1 384 144V160h-32V144C352 135.1 344.9 128 336 128zM464 448c-61.88 0-112-50.13-112-112S402.1 224 464 224S576 274.1 576 336S525.9 448 464 448z"],
    "boot": [512, 512, [129406], "f782", "M0 480l32 32h64l32-32l32 32h64l32-32l32 32h64l32-32l32 32h64l32-32v-32H0V480zM352 80v-64C352 7.25 344.8 0 336 0h-320C7.25 0 0 7.25 0 16V96h336C344.8 96 352 88.75 352 80zM439.2 285.8L320 256h-48C263.2 256 256 248.8 256 240S263.2 224 271.1 224H320V192h-48C263.2 192 256 184.8 256 176S263.2 160 271.1 160H320V128H0v288h512v-37.04C512 334.8 481.1 296.5 439.2 285.8z"],
    "boot-heeled": [512, 512, [], "e33f", "M480 464v-40.45c0-24.24-13.7-46.4-35.38-57.24l-121.2-60.62c-21.68-10.84-35.38-33-35.38-57.24V32c0-17.67-14.33-32-31.1-32H160v240c0 8.844-7.156 16-15.1 16S128 248.8 128 240V0H64C44.76 0 29.86 16.87 32.25 35.97l24.44 161.5c4.816 38.53 .9414 77.66-11.34 114.5c-8.84 26.52-13.35 54.29-13.35 82.24V488c0 13.25 10.75 24 23.1 24h79.1c13.25 0 23.1-10.75 23.1-24v-15.73l129.1 38.73C291.3 511.7 293.7 512 296 512h183.1C493.3 512 504 501.3 504 488S493.3 464 480 464z"],
    "booth-curtain": [512, 512, [], "f734", "M0 32v464C0 504.8 7.25 512 15.1 512H48C56.75 512 64 504.8 64 496V64h32V0H32C14.25 0 0 14.25 0 32zM480 0h-32v496c0 8.75 7.25 16 16 16h32c8.75 0 16-7.25 16-16V32C512 14.25 497.8 0 480 0zM127.1 396.7c0 25.53 18.46 49.04 43.91 51.14C198.2 449.1 220.3 431.1 224 406.5C227.6 429.8 247.5 448 272 448s44.45-18.21 48-41.54c3.706 24.33 25.3 43.1 51.19 41.44c26.01-1.672 44.81-26.07 44.81-52.13L416 0H128L127.1 396.7z"],
    "border-all": [448, 512, [], "f84c", "M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM384 96H256V224H384V96zM384 288H256V416H384V288zM192 224V96H64V224H192zM64 416H192V288H64V416z"],
    "border-bottom": [448, 512, [], "f84d", "M448 448C448 465.7 433.7 480 416 480H32C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416H416C433.7 416 448 430.3 448 448zM448 352C448 369.7 433.7 384 416 384C398.3 384 384 369.7 384 352C384 334.3 398.3 320 416 320C433.7 320 448 334.3 448 352zM32 320C49.67 320 64 334.3 64 352C64 369.7 49.67 384 32 384C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320zM256 352C256 369.7 241.7 384 224 384C206.3 384 192 369.7 192 352C192 334.3 206.3 320 224 320C241.7 320 256 334.3 256 352zM416 128C433.7 128 448 142.3 448 160C448 177.7 433.7 192 416 192C398.3 192 384 177.7 384 160C384 142.3 398.3 128 416 128zM64 160C64 177.7 49.67 192 32 192C14.33 192 0 177.7 0 160C0 142.3 14.33 128 32 128C49.67 128 64 142.3 64 160zM224 128C241.7 128 256 142.3 256 160C256 177.7 241.7 192 224 192C206.3 192 192 177.7 192 160C192 142.3 206.3 128 224 128zM448 256C448 273.7 433.7 288 416 288C398.3 288 384 273.7 384 256C384 238.3 398.3 224 416 224C433.7 224 448 238.3 448 256zM32 224C49.67 224 64 238.3 64 256C64 273.7 49.67 288 32 288C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224zM256 256C256 273.7 241.7 288 224 288C206.3 288 192 273.7 192 256C192 238.3 206.3 224 224 224C241.7 224 256 238.3 256 256zM416 32C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96C398.3 96 384 81.67 384 64C384 46.33 398.3 32 416 32zM64 64C64 81.67 49.67 96 32 96C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64zM224 32C241.7 32 256 46.33 256 64C256 81.67 241.7 96 224 96C206.3 96 192 81.67 192 64C192 46.33 206.3 32 224 32zM352 256C352 273.7 337.7 288 320 288C302.3 288 288 273.7 288 256C288 238.3 302.3 224 320 224C337.7 224 352 238.3 352 256zM320 32C337.7 32 352 46.33 352 64C352 81.67 337.7 96 320 96C302.3 96 288 81.67 288 64C288 46.33 302.3 32 320 32zM160 64C160 81.67 145.7 96 128 96C110.3 96 96 81.67 96 64C96 46.33 110.3 32 128 32C145.7 32 160 46.33 160 64zM128 224C145.7 224 160 238.3 160 256C160 273.7 145.7 288 128 288C110.3 288 96 273.7 96 256C96 238.3 110.3 224 128 224z"],
    "border-bottom-right": [448, 512, ["border-style-alt"], "f854", "M448 400C448 444.2 412.2 480 368 480H32C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416H368C376.8 416 384 408.8 384 400V64C384 46.33 398.3 32 416 32C433.7 32 448 46.33 448 64V400zM320 32C337.7 32 352 46.33 352 64C352 81.67 337.7 96 320 96C302.3 96 288 81.67 288 64C288 46.33 302.3 32 320 32zM128 32C145.7 32 160 46.33 160 64C160 81.67 145.7 96 128 96C110.3 96 96 81.67 96 64C96 46.33 110.3 32 128 32zM192 64C192 46.33 206.3 32 224 32C241.7 32 256 46.33 256 64C256 81.67 241.7 96 224 96C206.3 96 192 81.67 192 64zM32 32C49.67 32 64 46.33 64 64C64 81.67 49.67 96 32 96C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32zM32 224C49.67 224 64 238.3 64 256C64 273.7 49.67 288 32 288C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224zM0 160C0 142.3 14.33 128 32 128C49.67 128 64 142.3 64 160C64 177.7 49.67 192 32 192C14.33 192 0 177.7 0 160zM32 320C49.67 320 64 334.3 64 352C64 369.7 49.67 384 32 384C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320z"],
    "border-center-h": [448, 512, [], "f89c", "M32 480C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416C49.67 416 64 430.3 64 448C64 465.7 49.67 480 32 480zM128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416C145.7 416 160 430.3 160 448C160 465.7 145.7 480 128 480zM128 96C110.3 96 96 81.67 96 64C96 46.33 110.3 32 128 32C145.7 32 160 46.33 160 64C160 81.67 145.7 96 128 96zM352 448C352 465.7 337.7 480 320 480C302.3 480 288 465.7 288 448C288 430.3 302.3 416 320 416C337.7 416 352 430.3 352 448zM320 96C302.3 96 288 81.67 288 64C288 46.33 302.3 32 320 32C337.7 32 352 46.33 352 64C352 81.67 337.7 96 320 96zM256 448C256 465.7 241.7 480 224 480C206.3 480 192 465.7 192 448C192 430.3 206.3 416 224 416C241.7 416 256 430.3 256 448zM224 96C206.3 96 192 81.67 192 64C192 46.33 206.3 32 224 32C241.7 32 256 46.33 256 64C256 81.67 241.7 96 224 96zM448 448C448 465.7 433.7 480 416 480C398.3 480 384 465.7 384 448C384 430.3 398.3 416 416 416C433.7 416 448 430.3 448 448zM448 64C448 81.67 433.7 96 416 96C398.3 96 384 81.67 384 64C384 46.33 398.3 32 416 32C433.7 32 448 46.33 448 64zM32 96C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64C64 81.67 49.67 96 32 96zM256 352C256 369.7 241.7 384 224 384C206.3 384 192 369.7 192 352C192 334.3 206.3 320 224 320C241.7 320 256 334.3 256 352zM416 384C398.3 384 384 369.7 384 352C384 334.3 398.3 320 416 320C433.7 320 448 334.3 448 352C448 369.7 433.7 384 416 384zM64 352C64 369.7 49.67 384 32 384C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320C49.67 320 64 334.3 64 352zM416 192C398.3 192 384 177.7 384 160C384 142.3 398.3 128 416 128C433.7 128 448 142.3 448 160C448 177.7 433.7 192 416 192zM64 160C64 177.7 49.67 192 32 192C14.33 192 0 177.7 0 160C0 142.3 14.33 128 32 128C49.67 128 64 142.3 64 160zM224 192C206.3 192 192 177.7 192 160C192 142.3 206.3 128 224 128C241.7 128 256 142.3 256 160C256 177.7 241.7 192 224 192zM416 224C433.7 224 448 238.3 448 256C448 273.7 433.7 288 416 288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H416z"],
    "border-center-v": [448, 512, [], "f89d", "M448 448C448 465.7 433.7 480 416 480C398.3 480 384 465.7 384 448C384 430.3 398.3 416 416 416C433.7 416 448 430.3 448 448zM448 352C448 369.7 433.7 384 416 384C398.3 384 384 369.7 384 352C384 334.3 398.3 320 416 320C433.7 320 448 334.3 448 352zM64 352C64 369.7 49.67 384 32 384C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320C49.67 320 64 334.3 64 352zM416 128C433.7 128 448 142.3 448 160C448 177.7 433.7 192 416 192C398.3 192 384 177.7 384 160C384 142.3 398.3 128 416 128zM64 160C64 177.7 49.67 192 32 192C14.33 192 0 177.7 0 160C0 142.3 14.33 128 32 128C49.67 128 64 142.3 64 160zM416 224C433.7 224 448 238.3 448 256C448 273.7 433.7 288 416 288C398.3 288 384 273.7 384 256C384 238.3 398.3 224 416 224zM64 256C64 273.7 49.67 288 32 288C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224C49.67 224 64 238.3 64 256zM416 32C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96C398.3 96 384 81.67 384 64C384 46.33 398.3 32 416 32zM32 32C49.67 32 64 46.33 64 64C64 81.67 49.67 96 32 96C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32zM64 448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416C49.67 416 64 430.3 64 448zM320 224C337.7 224 352 238.3 352 256C352 273.7 337.7 288 320 288C302.3 288 288 273.7 288 256C288 238.3 302.3 224 320 224zM352 64C352 81.67 337.7 96 320 96C302.3 96 288 81.67 288 64C288 46.33 302.3 32 320 32C337.7 32 352 46.33 352 64zM320 416C337.7 416 352 430.3 352 448C352 465.7 337.7 480 320 480C302.3 480 288 465.7 288 448C288 430.3 302.3 416 320 416zM160 64C160 81.67 145.7 96 128 96C110.3 96 96 81.67 96 64C96 46.33 110.3 32 128 32C145.7 32 160 46.33 160 64zM128 416C145.7 416 160 430.3 160 448C160 465.7 145.7 480 128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416zM160 256C160 273.7 145.7 288 128 288C110.3 288 96 273.7 96 256C96 238.3 110.3 224 128 224C145.7 224 160 238.3 160 256zM192 64C192 46.33 206.3 32 224 32C241.7 32 256 46.33 256 64V448C256 465.7 241.7 480 224 480C206.3 480 192 465.7 192 448V64z"],
    "border-inner": [448, 512, [], "f84e", "M32 416C49.67 416 64 430.3 64 448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416zM128 416C145.7 416 160 430.3 160 448C160 465.7 145.7 480 128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416zM128 32C145.7 32 160 46.33 160 64C160 81.67 145.7 96 128 96C110.3 96 96 81.67 96 64C96 46.33 110.3 32 128 32zM320 480C302.3 480 288 465.7 288 448C288 430.3 302.3 416 320 416C337.7 416 352 430.3 352 448C352 465.7 337.7 480 320 480zM320 32C337.7 32 352 46.33 352 64C352 81.67 337.7 96 320 96C302.3 96 288 81.67 288 64C288 46.33 302.3 32 320 32zM416 480C398.3 480 384 465.7 384 448C384 430.3 398.3 416 416 416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480zM416 96C398.3 96 384 81.67 384 64C384 46.33 398.3 32 416 32C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96zM32 32C49.67 32 64 46.33 64 64C64 81.67 49.67 96 32 96C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32zM416 384C398.3 384 384 369.7 384 352C384 334.3 398.3 320 416 320C433.7 320 448 334.3 448 352C448 369.7 433.7 384 416 384zM32 320C49.67 320 64 334.3 64 352C64 369.7 49.67 384 32 384C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320zM416 192C398.3 192 384 177.7 384 160C384 142.3 398.3 128 416 128C433.7 128 448 142.3 448 160C448 177.7 433.7 192 416 192zM32 128C49.67 128 64 142.3 64 160C64 177.7 49.67 192 32 192C14.33 192 0 177.7 0 160C0 142.3 14.33 128 32 128zM0 256C0 238.3 14.33 224 32 224H192V64C192 46.33 206.3 32 224 32C241.7 32 256 46.33 256 64V224H416C433.7 224 448 238.3 448 256C448 273.7 433.7 288 416 288H256V448C256 465.7 241.7 480 224 480C206.3 480 192 465.7 192 448V288H32C14.33 288 0 273.7 0 256z"],
    "border-left": [448, 512, [], "f84f", "M32 480C14.33 480 0 465.7 0 448V64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64V448C64 465.7 49.67 480 32 480zM128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416C145.7 416 160 430.3 160 448C160 465.7 145.7 480 128 480zM160 64C160 81.67 145.7 96 128 96C110.3 96 96 81.67 96 64C96 46.33 110.3 32 128 32C145.7 32 160 46.33 160 64zM128 288C110.3 288 96 273.7 96 256C96 238.3 110.3 224 128 224C145.7 224 160 238.3 160 256C160 273.7 145.7 288 128 288zM352 448C352 465.7 337.7 480 320 480C302.3 480 288 465.7 288 448C288 430.3 302.3 416 320 416C337.7 416 352 430.3 352 448zM320 96C302.3 96 288 81.67 288 64C288 46.33 302.3 32 320 32C337.7 32 352 46.33 352 64C352 81.67 337.7 96 320 96zM352 256C352 273.7 337.7 288 320 288C302.3 288 288 273.7 288 256C288 238.3 302.3 224 320 224C337.7 224 352 238.3 352 256zM224 480C206.3 480 192 465.7 192 448C192 430.3 206.3 416 224 416C241.7 416 256 430.3 256 448C256 465.7 241.7 480 224 480zM256 64C256 81.67 241.7 96 224 96C206.3 96 192 81.67 192 64C192 46.33 206.3 32 224 32C241.7 32 256 46.33 256 64zM224 288C206.3 288 192 273.7 192 256C192 238.3 206.3 224 224 224C241.7 224 256 238.3 256 256C256 273.7 241.7 288 224 288zM448 448C448 465.7 433.7 480 416 480C398.3 480 384 465.7 384 448C384 430.3 398.3 416 416 416C433.7 416 448 430.3 448 448zM416 96C398.3 96 384 81.67 384 64C384 46.33 398.3 32 416 32C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96zM448 256C448 273.7 433.7 288 416 288C398.3 288 384 273.7 384 256C384 238.3 398.3 224 416 224C433.7 224 448 238.3 448 256zM224 384C206.3 384 192 369.7 192 352C192 334.3 206.3 320 224 320C241.7 320 256 334.3 256 352C256 369.7 241.7 384 224 384zM448 352C448 369.7 433.7 384 416 384C398.3 384 384 369.7 384 352C384 334.3 398.3 320 416 320C433.7 320 448 334.3 448 352zM416 192C398.3 192 384 177.7 384 160C384 142.3 398.3 128 416 128C433.7 128 448 142.3 448 160C448 177.7 433.7 192 416 192zM256 160C256 177.7 241.7 192 224 192C206.3 192 192 177.7 192 160C192 142.3 206.3 128 224 128C241.7 128 256 142.3 256 160z"],
    "border-none": [448, 512, [], "f850", "M64 448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416C49.67 416 64 430.3 64 448zM128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416C145.7 416 160 430.3 160 448C160 465.7 145.7 480 128 480zM128 96C110.3 96 96 81.67 96 64C96 46.33 110.3 32 128 32C145.7 32 160 46.33 160 64C160 81.67 145.7 96 128 96zM160 256C160 273.7 145.7 288 128 288C110.3 288 96 273.7 96 256C96 238.3 110.3 224 128 224C145.7 224 160 238.3 160 256zM320 480C302.3 480 288 465.7 288 448C288 430.3 302.3 416 320 416C337.7 416 352 430.3 352 448C352 465.7 337.7 480 320 480zM352 64C352 81.67 337.7 96 320 96C302.3 96 288 81.67 288 64C288 46.33 302.3 32 320 32C337.7 32 352 46.33 352 64zM320 288C302.3 288 288 273.7 288 256C288 238.3 302.3 224 320 224C337.7 224 352 238.3 352 256C352 273.7 337.7 288 320 288zM256 448C256 465.7 241.7 480 224 480C206.3 480 192 465.7 192 448C192 430.3 206.3 416 224 416C241.7 416 256 430.3 256 448zM224 96C206.3 96 192 81.67 192 64C192 46.33 206.3 32 224 32C241.7 32 256 46.33 256 64C256 81.67 241.7 96 224 96zM256 256C256 273.7 241.7 288 224 288C206.3 288 192 273.7 192 256C192 238.3 206.3 224 224 224C241.7 224 256 238.3 256 256zM416 480C398.3 480 384 465.7 384 448C384 430.3 398.3 416 416 416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480zM416 96C398.3 96 384 81.67 384 64C384 46.33 398.3 32 416 32C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96zM64 64C64 81.67 49.67 96 32 96C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64zM416 288C398.3 288 384 273.7 384 256C384 238.3 398.3 224 416 224C433.7 224 448 238.3 448 256C448 273.7 433.7 288 416 288zM64 256C64 273.7 49.67 288 32 288C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224C49.67 224 64 238.3 64 256zM224 384C206.3 384 192 369.7 192 352C192 334.3 206.3 320 224 320C241.7 320 256 334.3 256 352C256 369.7 241.7 384 224 384zM448 352C448 369.7 433.7 384 416 384C398.3 384 384 369.7 384 352C384 334.3 398.3 320 416 320C433.7 320 448 334.3 448 352zM32 384C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320C49.67 320 64 334.3 64 352C64 369.7 49.67 384 32 384zM448 160C448 177.7 433.7 192 416 192C398.3 192 384 177.7 384 160C384 142.3 398.3 128 416 128C433.7 128 448 142.3 448 160zM32 192C14.33 192 0 177.7 0 160C0 142.3 14.33 128 32 128C49.67 128 64 142.3 64 160C64 177.7 49.67 192 32 192zM256 160C256 177.7 241.7 192 224 192C206.3 192 192 177.7 192 160C192 142.3 206.3 128 224 128C241.7 128 256 142.3 256 160z"],
    "border-outer": [448, 512, [], "f851", "M256 160C256 177.7 241.7 192 224 192C206.3 192 192 177.7 192 160C192 142.3 206.3 128 224 128C241.7 128 256 142.3 256 160zM96 256C96 238.3 110.3 224 128 224C145.7 224 160 238.3 160 256C160 273.7 145.7 288 128 288C110.3 288 96 273.7 96 256zM256 256C256 273.7 241.7 288 224 288C206.3 288 192 273.7 192 256C192 238.3 206.3 224 224 224C241.7 224 256 238.3 256 256zM288 256C288 238.3 302.3 224 320 224C337.7 224 352 238.3 352 256C352 273.7 337.7 288 320 288C302.3 288 288 273.7 288 256zM256 352C256 369.7 241.7 384 224 384C206.3 384 192 369.7 192 352C192 334.3 206.3 320 224 320C241.7 320 256 334.3 256 352zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM64 416H384V96H64V416z"],
    "border-right": [448, 512, [], "f852", "M416 32C433.7 32 448 46.33 448 64V448C448 465.7 433.7 480 416 480C398.3 480 384 465.7 384 448V64C384 46.33 398.3 32 416 32zM320 32C337.7 32 352 46.33 352 64C352 81.67 337.7 96 320 96C302.3 96 288 81.67 288 64C288 46.33 302.3 32 320 32zM288 448C288 430.3 302.3 416 320 416C337.7 416 352 430.3 352 448C352 465.7 337.7 480 320 480C302.3 480 288 465.7 288 448zM320 224C337.7 224 352 238.3 352 256C352 273.7 337.7 288 320 288C302.3 288 288 273.7 288 256C288 238.3 302.3 224 320 224zM96 64C96 46.33 110.3 32 128 32C145.7 32 160 46.33 160 64C160 81.67 145.7 96 128 96C110.3 96 96 81.67 96 64zM128 416C145.7 416 160 430.3 160 448C160 465.7 145.7 480 128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416zM96 256C96 238.3 110.3 224 128 224C145.7 224 160 238.3 160 256C160 273.7 145.7 288 128 288C110.3 288 96 273.7 96 256zM224 32C241.7 32 256 46.33 256 64C256 81.67 241.7 96 224 96C206.3 96 192 81.67 192 64C192 46.33 206.3 32 224 32zM192 448C192 430.3 206.3 416 224 416C241.7 416 256 430.3 256 448C256 465.7 241.7 480 224 480C206.3 480 192 465.7 192 448zM224 224C241.7 224 256 238.3 256 256C256 273.7 241.7 288 224 288C206.3 288 192 273.7 192 256C192 238.3 206.3 224 224 224zM0 64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64C64 81.67 49.67 96 32 96C14.33 96 0 81.67 0 64zM32 416C49.67 416 64 430.3 64 448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416zM0 256C0 238.3 14.33 224 32 224C49.67 224 64 238.3 64 256C64 273.7 49.67 288 32 288C14.33 288 0 273.7 0 256zM224 128C241.7 128 256 142.3 256 160C256 177.7 241.7 192 224 192C206.3 192 192 177.7 192 160C192 142.3 206.3 128 224 128zM0 160C0 142.3 14.33 128 32 128C49.67 128 64 142.3 64 160C64 177.7 49.67 192 32 192C14.33 192 0 177.7 0 160zM32 320C49.67 320 64 334.3 64 352C64 369.7 49.67 384 32 384C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320zM192 352C192 334.3 206.3 320 224 320C241.7 320 256 334.3 256 352C256 369.7 241.7 384 224 384C206.3 384 192 369.7 192 352z"],
    "border-top": [448, 512, [], "f855", "M0 64C0 46.33 14.33 32 32 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64zM0 160C0 142.3 14.33 128 32 128C49.67 128 64 142.3 64 160C64 177.7 49.67 192 32 192C14.33 192 0 177.7 0 160zM416 192C398.3 192 384 177.7 384 160C384 142.3 398.3 128 416 128C433.7 128 448 142.3 448 160C448 177.7 433.7 192 416 192zM192 160C192 142.3 206.3 128 224 128C241.7 128 256 142.3 256 160C256 177.7 241.7 192 224 192C206.3 192 192 177.7 192 160zM32 384C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320C49.67 320 64 334.3 64 352C64 369.7 49.67 384 32 384zM384 352C384 334.3 398.3 320 416 320C433.7 320 448 334.3 448 352C448 369.7 433.7 384 416 384C398.3 384 384 369.7 384 352zM224 384C206.3 384 192 369.7 192 352C192 334.3 206.3 320 224 320C241.7 320 256 334.3 256 352C256 369.7 241.7 384 224 384zM0 256C0 238.3 14.33 224 32 224C49.67 224 64 238.3 64 256C64 273.7 49.67 288 32 288C14.33 288 0 273.7 0 256zM416 288C398.3 288 384 273.7 384 256C384 238.3 398.3 224 416 224C433.7 224 448 238.3 448 256C448 273.7 433.7 288 416 288zM192 256C192 238.3 206.3 224 224 224C241.7 224 256 238.3 256 256C256 273.7 241.7 288 224 288C206.3 288 192 273.7 192 256zM32 480C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416C49.67 416 64 430.3 64 448C64 465.7 49.67 480 32 480zM384 448C384 430.3 398.3 416 416 416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480C398.3 480 384 465.7 384 448zM224 480C206.3 480 192 465.7 192 448C192 430.3 206.3 416 224 416C241.7 416 256 430.3 256 448C256 465.7 241.7 480 224 480zM96 256C96 238.3 110.3 224 128 224C145.7 224 160 238.3 160 256C160 273.7 145.7 288 128 288C110.3 288 96 273.7 96 256zM128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416C145.7 416 160 430.3 160 448C160 465.7 145.7 480 128 480zM288 448C288 430.3 302.3 416 320 416C337.7 416 352 430.3 352 448C352 465.7 337.7 480 320 480C302.3 480 288 465.7 288 448zM320 288C302.3 288 288 273.7 288 256C288 238.3 302.3 224 320 224C337.7 224 352 238.3 352 256C352 273.7 337.7 288 320 288z"],
    "border-top-left": [448, 512, ["border-style"], "f853", "M0 112C0 67.82 35.82 32 80 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H80C71.16 96 64 103.2 64 112V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V112zM128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416C145.7 416 160 430.3 160 448C160 465.7 145.7 480 128 480zM320 480C302.3 480 288 465.7 288 448C288 430.3 302.3 416 320 416C337.7 416 352 430.3 352 448C352 465.7 337.7 480 320 480zM256 448C256 465.7 241.7 480 224 480C206.3 480 192 465.7 192 448C192 430.3 206.3 416 224 416C241.7 416 256 430.3 256 448zM416 480C398.3 480 384 465.7 384 448C384 430.3 398.3 416 416 416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480zM416 288C398.3 288 384 273.7 384 256C384 238.3 398.3 224 416 224C433.7 224 448 238.3 448 256C448 273.7 433.7 288 416 288zM448 352C448 369.7 433.7 384 416 384C398.3 384 384 369.7 384 352C384 334.3 398.3 320 416 320C433.7 320 448 334.3 448 352zM416 192C398.3 192 384 177.7 384 160C384 142.3 398.3 128 416 128C433.7 128 448 142.3 448 160C448 177.7 433.7 192 416 192z"],
    "bore-hole": [512, 512, [], "e4c3", "M256 0C273.7 0 288 14.33 288 32V296.6C307.1 307.6 320 328.3 320 352C320 387.3 291.3 416 256 416C220.7 416 192 387.3 192 352C192 328.3 204.9 307.6 224 296.6V32C224 14.33 238.3 0 256 0zM160 128V352C160 405 202.1 448 256 448C309 448 352 405 352 352V128H464C490.5 128 512 149.5 512 176V464C512 490.5 490.5 512 464 512H48C21.49 512 0 490.5 0 464V176C0 149.5 21.49 128 48 128H160z"],
    "bottle-droplet": [320, 512, [], "e4c4", "M224 0C237.3-.0003 248 10.74 248 23.1C248 37.25 237.3 47.1 224 48L216 48V140.9C258.6 161.6 288 205.4 288 256V448C288 483.3 259.3 512 224 512H96C60.65 512 32 483.3 32 448V256C32 205.4 61.37 161.6 104 140.9V48L96 48C82.75 48 72 37.26 72 24C71.1 10.75 82.74 .0045 95.1 .0042L224 0zM160 384C186.5 384 208 368 208 336C208 304 160 256 160 256C160 256 112 304 112 336C112 362.5 133.5 384 160 384z"],
    "bottle-water": [320, 512, [], "e4c5", "M200 0C213.3 0 224 10.75 224 24V64H96V24C96 10.75 106.7 0 120 0H200zM32 151.7C32 136.1 41.04 121.9 55.19 115.3L79.6 103.8C90.58 98.67 102.6 96 114.7 96H205.3C217.4 96 229.4 98.67 240.4 103.8L264.8 115.3C278.1 121.9 288 136.1 288 151.7C288 166.1 280.5 178.7 269.1 185.8C280.6 194.6 288 208.4 288 223.1C288 240.7 279.5 255.4 266.5 263.1C279.5 272.6 288 287.3 288 303.1C288 320.7 279.5 335.4 266.5 344C279.5 352.6 288 367.3 288 384C288 400.7 279.5 415.4 266.5 424C279.5 432.6 288 447.3 288 464C288 490.5 266.5 512 240 512H80C53.49 512 32 490.5 32 464C32 447.3 40.52 432.6 53.46 424C40.52 415.4 32 400.7 32 384C32 367.3 40.52 352.6 53.46 344C40.52 335.4 32 320.7 32 303.1C32 287.3 40.52 272.6 53.46 263.1C40.52 255.4 32 240.7 32 223.1C32 208.4 39.4 194.6 50.87 185.8C39.53 178.7 32 166.1 32 151.7L32 151.7zM112 256H208C216.8 256 224 248.8 224 240C224 231.2 216.8 224 208 224H112C103.2 224 96 231.2 96 240C96 248.8 103.2 256 112 256zM112 352C103.2 352 96 359.2 96 368C96 376.8 103.2 384 112 384H208C216.8 384 224 376.8 224 368C224 359.2 216.8 352 208 352H112z"],
    "bow-arrow": [512, 512, [127993], "f6b9", "M145.7 286.9l45.25-45.14L100.5 151.3C128.2 136.1 159.5 128 191.1 128c31.1 0 62.88 7.749 90.38 22.5l46.63-46.62c-40.62-25.87-87.76-39.87-137-39.87c-49.75 0-97.26 14.25-138.1 40.62l-3.875-3.873C46.83 97.63 42.7 96.06 38.57 96.06c-4.108 0-8.209 1.558-11.33 4.675l-22.54 22.51C1.586 126.4 .023 130.5 .023 134.6c0 4.113 1.565 8.226 4.692 11.35L145.7 286.9zM408.1 182.4l-46.63 46.62c14.75 27.49 22.5 58.24 22.5 90.36c0 32.49-8.126 63.74-23.25 91.48l-90.5-90.61l-45.25 45.24l141.8 141.8c3.125 3.124 7.22 4.687 11.31 4.687s8.188-1.563 11.31-4.687l22.62-22.62c3.125-3.124 4.688-7.249 4.688-11.37c0-4.124-1.563-8.249-4.688-11.37l-4.625-4.498c26.37-40.87 40.63-88.36 40.63-138.1C447.1 269.1 433.1 222.1 408.1 182.4zM512 15.64c0-8.634-7.093-15.64-15.72-15.64c-1.004 0-2.015 .0896-3.053 .29l-128.6 25.75c-7.885 1.609-12.61 8.447-12.61 15.47c0 3.89 1.449 7.831 4.612 10.99l34.5 34.5L140.5 337.6l-49.75-16.7c-2.104-.6776-4.349-1.006-6.497-1.006c-5.38 0-10.57 2.076-14.5 6.006l-63.75 63.82C1.901 393.8 0 399 0 404.1c0 8.377 5.1 16.6 14.1 19.62l55.62 18.5L88.22 497.9c3.027 9.001 11.24 14.12 19.65 14.12c5.134 0 10.35-1.923 14.47-5.997l63.62-63.74c3.93-3.93 6.011-9.191 6.011-14.57c0-2.148-.3325-4.323-1.01-6.427L174.4 371.4l250.6-250.5l34.5 34.47c3.162 3.161 7.11 4.639 11.01 4.639c7.037 0 13.88-4.755 15.49-12.64l25.72-128.6C511.9 17.75 512 16.65 512 15.64z"],
    "bowl-chopsticks": [512, 512, [], "e2e9", "M0 109.3C0 101.6 5.488 94.97 13.06 93.55L484.4 5.172C498.7 2.484 512 13.48 512 28.06C512 39.54 503.6 49.31 492.3 51.08L18.49 125.1C8.774 126.6 0 119.1 0 109.3V109.3zM0 159.7C0 150.1 6.97 143.8 15.74 143.5L487.6 128.8C500.1 128.3 512 139 512 152.4C512 165.4 501.4 175.1 488.4 175.1H16.25C7.275 175.1 0 168.7 0 159.7V159.7zM478.4 223.1C496.6 223.1 511.1 239.3 510 257.5C504.6 349.3 450.4 427.2 373.6 467.2L372.4 476.1C369.9 496.1 352.9 512 332.7 512H179.3C159.1 512 142.1 496.1 139.6 476.1L138.4 467.2C61.63 427.2 7.368 349.3 1.972 257.5C.9018 239.3 15.36 223.1 33.59 223.1H478.4z"],
    "bowl-chopsticks-noodles": [512, 512, [], "e2ea", "M512 24.08c0-14.41-11.93-24.01-23.98-24.01c-3.096 0 17.55-4.234-264 54.51V92.89l267.9-45.18C504.1 45.62 512 35.29 512 24.08zM479.1 223.1L192 224V40C192 26.74 181.3 16 168 16S144 26.74 144 40V224h-32V56C112 42.74 101.3 32 88 32C74.74 32 64 42.74 64 56v31.95L11.75 98.84C4.854 100.3 0 106.4 0 113.2C0 122.1 7.361 127.1 14.71 127.1c.9121 0-5.301 1.1 49.29-8.09V142L15.74 143.5C6.969 143.8 0 150.1 0 159.8C0 168.7 7.275 176 16.25 176H64V224L32 223.1c-17.62 0-32 14.39-32 32.19c0 95.69 51.5 179 127.1 223.8c0 17.67 14.33 32 32 32h191.1c17.67 0 32-14.33 32-32c76.5-44.81 127.1-128.1 127.1-223.8C511.1 238.4 497.6 223.1 479.1 223.1zM487.6 128.8L224 137V176h264.4C501.4 176 512 165.4 512 152.4C512 139 500.1 128.3 487.6 128.8z"],
    "bowl-food": [512, 512, [], "e4c6", "M64 128C64.53 128 65.07 128 65.6 128C73 91.49 105.3 64 144 64C158.1 64 172.1 68.1 184.9 75.25C198.2 49.55 225.1 32 256 32C286.9 32 313.8 49.56 327.1 75.25C339 68.1 353 64 368 64C406.7 64 438.1 91.49 446.4 128C446.9 128 447.5 128 448 128C483.3 128 512 156.7 512 192C512 203.7 508.9 214.6 503.4 224H8.563C3.118 214.6 .0013 203.7 .0013 192C.0013 156.7 28.66 128 64 128H64zM.001 283.4C.001 268.3 12.28 256 27.43 256H484.6C499.7 256 512 268.3 512 283.4C512 353.9 467.6 414.1 405.3 437.5L403.5 451.1C401.5 467.1 387.9 480 371.8 480H140.2C124.1 480 110.5 467.1 108.5 451.1L106.7 437.5C44.36 414.1 0 353.9 0 283.4H.001z"],
    "bowl-hot": [512, 512, ["soup"], "f823", "M152 0C165.3 0 176 10.75 176 24V32C176 49.63 184.3 66.22 198.4 76.8C224.6 96.44 240 127.3 240 160V168C240 181.3 229.3 192 216 192C202.7 192 192 181.3 192 168V160C192 142.4 183.7 125.8 169.6 115.2C143.4 95.56 128 64.73 128 32V24C128 10.75 138.7 0 152 0zM478.4 224C496.6 224 511.1 239.3 510 257.5C504.6 349.3 450.4 427.2 373.6 467.2L372.4 476.1C369.9 496.1 352.9 512 332.7 512H179.3C159.1 512 142.1 496.1 139.6 476.1L138.4 467.2C61.63 427.2 7.368 349.3 1.972 257.5C.9018 239.3 15.36 224 33.59 224H478.4zM304 32C304 49.63 312.3 66.22 326.4 76.8C352.6 96.44 368 127.3 368 160V168C368 181.3 357.3 192 344 192C330.7 192 320 181.3 320 168V160C320 142.4 311.7 125.8 297.6 115.2C271.4 95.56 256 64.73 256 32V24C256 10.75 266.7 0 280 0C293.3 0 304 10.75 304 24V32z"],
    "bowl-rice": [512, 512, [], "e2eb", "M176 56C176 42.75 186.7 32 200 32H216C229.3 32 240 42.75 240 56C240 69.25 229.3 80 216 80H200C186.7 80 176 69.25 176 56zM216 104C229.3 104 240 114.7 240 128C240 141.3 229.3 152 216 152H200C186.7 152 176 141.3 176 128C176 114.7 186.7 104 200 104H216zM72 176C85.26 176 96 186.7 96 200C96 213.3 85.26 224 72 224H56C42.75 224 32 213.3 32 200C32 186.7 42.75 176 56 176H72zM.001 283.4C.001 268.3 12.28 256 27.43 256H484.6C499.7 256 512 268.3 512 283.4C512 353.9 467.6 414.1 405.3 437.5L403.5 451.1C401.5 467.1 387.9 480 371.8 480H140.2C124.1 480 110.5 467.1 108.5 451.1L106.7 437.5C44.36 414.1 0 353.9 0 283.4H.001zM224 200C224 186.7 234.7 176 248 176H264C277.3 176 288 186.7 288 200C288 213.3 277.3 224 264 224H248C234.7 224 224 213.3 224 200zM128 200C128 186.7 138.7 176 152 176H168C181.3 176 192 186.7 192 200C192 213.3 181.3 224 168 224H152C138.7 224 128 213.3 128 200zM120 104C133.3 104 144 114.7 144 128C144 141.3 133.3 152 120 152H104C90.75 152 80 141.3 80 128C80 114.7 90.75 104 104 104H120zM320 200C320 186.7 330.7 176 344 176H360C373.3 176 384 186.7 384 200C384 213.3 373.3 224 360 224H344C330.7 224 320 213.3 320 200zM312 104C325.3 104 336 114.7 336 128C336 141.3 325.3 152 312 152H296C282.7 152 272 141.3 272 128C272 114.7 282.7 104 296 104H312zM416 200C416 186.7 426.7 176 440 176H456C469.3 176 480 186.7 480 200C480 213.3 469.3 224 456 224H440C426.7 224 416 213.3 416 200zM408 104C421.3 104 432 114.7 432 128C432 141.3 421.3 152 408 152H392C378.7 152 368 141.3 368 128C368 114.7 378.7 104 392 104H408zM312 32C325.3 32 336 42.75 336 56C336 69.25 325.3 80 312 80H296C282.7 80 272 69.25 272 56C272 42.75 282.7 32 296 32H312z"],
    "bowl-scoop": [448, 512, [127847, "bowl-shaved-ice"], "e3de", "M359.8 88.24C395.8 124.2 416 173.1 416 224H32C32 173.1 52.23 124.2 88.24 88.24C124.2 52.23 173.1 32 224 32C274.9 32 323.8 52.23 359.8 88.24zM394.5 375.5C365.2 401.6 327.3 416 288 416H256L331.3 484.7C333.6 486.9 335.1 489.8 335.7 492.9C336.3 495.1 336 499.2 334.8 502.1C333.6 505.1 331.5 507.6 328.9 509.3C326.3 511.1 323.2 512 320 512H128C124.8 512 121.7 511.1 119.1 509.3C116.5 507.5 114.4 505 113.2 502.1C112 499.2 111.7 495.1 112.3 492.9C112.9 489.8 114.5 486.9 116.7 484.7L192 416H160C120.7 416 82.8 401.6 53.45 375.5C24.11 349.4 5.39 313.4 .865 274.4C.5559 272.1 .738 269.8 1.399 267.6C2.06 265.4 3.185 263.3 4.699 261.6C6.213 259.9 8.08 258.5 10.18 257.5C12.28 256.5 14.56 256 16.87 256H431C433.4 256 435.6 256.5 437.7 257.5C439.8 258.5 441.7 259.9 443.2 261.6C444.7 263.3 445.8 265.4 446.5 267.6C447.2 269.8 447.4 272.1 447 274.4C442.5 313.4 423.8 349.4 394.5 375.5H394.5z"],
    "bowl-scoops": [448, 512, [127813], "e3df", "M437.8 257.5C439.9 258.5 441.7 259.9 443.2 261.6C444.7 263.4 445.9 265.4 446.5 267.6C447.2 269.8 447.3 272.1 447 274.4C442.5 313.4 423.8 349.4 394.5 375.5C365.2 401.6 327.3 416 288 415.1H256L331.3 484.7C333.6 486.9 335.1 489.8 335.7 492.9C336.3 495.1 336 499.2 334.8 502.1C333.6 505 331.5 507.6 328.9 509.3C326.3 511.1 323.2 512 320 511.1H128C124.8 511.1 121.7 511.1 119.1 509.3C116.5 507.5 114.4 505 113.2 502.1C112 499.2 111.7 495.1 112.3 492.9C112.9 489.8 114.5 486.9 116.7 484.7L192 415.1H160C120.7 416 82.8 401.6 53.45 375.5C24.11 349.4 5.389 313.4 .8646 274.4C.5555 272.1 .7376 269.8 1.398 267.6C2.06 265.4 3.184 263.3 4.698 261.6C6.212 259.9 8.08 258.5 10.18 257.5C12.28 256.5 14.56 256 16.86 255.1H431.1C433.4 256 435.7 256.5 437.8 257.5L437.8 257.5zM178.9 81.28C161.4 72.04 142.2 66.53 122.5 65.09C131.4 45.66 145.7 29.21 163.6 17.67C181.6 6.127 202.5-.0078 223.9-.0078C245.2-.0078 266.1 6.127 284.1 17.67C302.1 29.21 316.4 45.66 325.2 65.09C305.6 66.61 286.5 72.16 269 81.39C251.6 90.63 236.3 103.3 224 118.7C211.7 103.3 196.3 90.51 178.9 81.28zM256.8 128.8C277.8 107.8 306.3 95.1 336 95.1C365.7 95.1 394.2 107.8 415.2 128.8C436.2 149.8 448 178.3 448 207.1C447.8 213.4 447.3 218.7 446.4 223.1H225.6C224.7 218.7 224.2 213.4 224 207.1C224 178.3 235.8 149.8 256.8 128.8zM1.6 223.1C.6934 218.7 .1587 213.4 0 207.1C.0573 183.9 7.902 160.4 22.37 141.1C36.83 121.8 57.14 107.7 80.28 100.8C103.4 94.02 128.1 94.84 150.8 103.2C173.4 111.5 192.7 126.1 205.9 147.2C196.8 166.2 192.1 186.1 192 207.1C191.1 213.3 192.3 218.7 192.1 223.1H1.6z"],
    "bowl-soft-serve": [512, 512, [], "e46b", "M416 128C416 139.7 412.9 150.6 407.4 160H416C451.3 160 480 188.7 480 224C480 259.3 451.3 288 416 288H96C60.65 288 32 259.3 32 224C32 188.7 60.65 160 96 160H104.6C99.12 150.6 96 139.7 96 128C96 92.65 124.7 64 160 64H241.3C258.3 64 272 50.25 272 33.3C272 27.23 270.2 21.31 266.8 16.26L256 0H288C358.7 0 416 57.31 416 128zM48 336C48 327.2 55.16 320 64 320H448C456.8 320 464 327.2 464 336V344C464 401.4 417.4 448 360 448H329.9L350.3 488.8C351.4 491.1 352 493.6 352 496C352 498.9 351.2 501.8 349.6 504.4C346.7 509.1 341.5 512 336 512H176C170.5 512 165.3 509.1 162.4 504.4C160.8 501.8 160 498.9 160 496C160 493.6 160.6 491.1 161.7 488.8L182.1 448H152C94.56 448 48 401.4 48 344L48 336z"],
    "bowl-spoon": [512, 512, [129379], "e3e0", "M0 96C0 42.98 50.14 0 112 0C160.8 0 202.3 26.71 217.6 64H480C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128H217.6C202.3 165.3 160.8 192 112 192C50.14 192 0 149 0 96V96zM1.972 257.5C.9021 239.3 15.36 224 33.59 224H478.4C496.6 224 511.1 239.3 510 257.5C504.6 349.3 450.4 427.2 373.6 467.2L372.4 476.1C369.9 496.1 352.9 512 332.7 512H179.3C159.1 512 142.1 496.1 139.6 476.1L138.4 467.2C61.63 427.2 7.368 349.3 1.972 257.5H1.972z"],
    "bowling-ball": [512, 512, [], "f436", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM144 208c-17.7 0-32-14.25-32-32s14.3-32 32-32s32 14.25 32 32S161.7 208 144 208zM240 80c17.66 0 31.95 14.25 31.95 32s-14.29 32-31.95 32s-32.05-14.25-32.05-32S222.4 80 240 80zM240 240c-17.7 0-32-14.25-32-32s14.3-32 32-32s32 14.25 32 32S257.7 240 240 240z"],
    "bowling-ball-pin": [576, 512, [], "e0c3", "M208 96C93.13 96 0 189.1 0 304S93.13 512 208 512S416 418.9 416 304S322.9 96 208 96zM122.7 245.3C107.9 245.3 96 233.5 96 218.7C96 203.9 107.9 192 122.7 192c14.75 0 26.67 11.88 26.67 26.66C149.3 233.5 137.4 245.3 122.7 245.3zM197.3 288C182.6 288 170.7 276.1 170.7 261.3s11.92-26.67 26.67-26.67C212.1 234.7 224 246.5 224 261.3S212.1 288 197.3 288zM197.3 200c-14.75 0-26.67-11.88-26.67-26.67s11.92-26.67 26.67-26.67C212.1 146.7 224 158.5 224 173.3S212.1 200 197.3 200zM522.1 160C527.7 135.1 544 111.8 544 72.05c0-48.12-32.11-72.05-64.08-72.05C447.1-.0001 416 24.12 416 72.05c0 39.71 16.26 63.01 21.93 87.99H522.1zM521.6 192h-83.21c-1.199 8.969-3.494 17.93-6.197 26.9C442.3 245.4 448 274 448 304c0 53.82-17.93 103.3-47.85 143.4C421 500.5 431.2 512 450.8 512h58.51c11.1 0 22.9-6.609 28.4-17.27C553.7 463.6 576 421.4 576 368C576 309.4 529.4 250.7 521.6 192z"],
    "bowling-pins": [512, 512, [], "f437", "M170.1 160C175.7 135.1 192 111.8 192 72.05c0-48.12-32.08-72.05-64.05-72.05C95.98 0 64 24.12 64 72.05c0 39.71 16.26 63.01 21.93 87.99H170.1zM426.1 160C431.7 135.1 448 111.8 448 72.05c0-48.12-32.08-72.05-64.05-72.05C351.1 0 320 24.12 320 72.05c0 39.71 16.26 63.01 21.93 87.99H426.1zM86.4 192C78.55 250.7 32 309.4 32 368c0 53.4 22.29 95.66 38.42 126.8C75.93 505.4 86.82 512 98.79 512h58.51c11.1 0 22.9-6.608 28.4-17.27C201.7 463.6 224 421.4 224 368c0-58.66-46.55-117.3-54.4-175.1H86.4zM425.6 192h-83.21C334.6 250.7 288 309.4 288 368c0 53.4 22.29 95.66 38.42 126.8C331.9 505.4 342.8 512 354.8 512h58.51c11.1 0 22.9-6.608 28.4-17.27C457.7 463.6 480 421.4 480 368C480 309.4 433.4 250.7 425.6 192z"],
    "box": [448, 512, [128230], "f466", "M50.73 58.53C58.86 42.27 75.48 32 93.67 32H208V160H0L50.73 58.53zM240 160V32H354.3C372.5 32 389.1 42.27 397.3 58.53L448 160H240zM448 416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V192H448V416z"],
    "box-archive": [512, 512, ["archive"], "f187", "M32 432C32 458.5 53.49 480 80 480h352c26.51 0 48-21.49 48-48V160H32V432zM160 236C160 229.4 165.4 224 172 224h168C346.6 224 352 229.4 352 236v8C352 250.6 346.6 256 340 256h-168C165.4 256 160 250.6 160 244V236zM480 32H32C14.31 32 0 46.31 0 64v48C0 120.8 7.188 128 16 128h480C504.8 128 512 120.8 512 112V64C512 46.31 497.7 32 480 32z"],
    "box-ballot": [576, 512, [128499], "f735", "M0 464C0 490.5 21.49 512 48 512h480c26.51 0 48-21.49 48-48V352H0V464zM448 24C448 10.74 437.3 0 424 0h-272C138.7 0 128 10.74 128 24V224h320V24zM544 160h-64v64c0 17.67-14.33 32-32 32H128C110.3 256 96 241.7 96 224V160H32C14.33 160 0 174.3 0 192v127.1L.875 320h574.3L576 319.1V192C576 174.3 561.7 160 544 160z"],
    "box-check": [448, 512, [], "f467", "M208 32V160H0L50.73 58.53C58.86 42.27 75.48 32 93.67 32H208zM354.3 32C372.5 32 389.1 42.27 397.3 58.53L448 160H240V32H354.3zM0 192H448V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V192zM320.1 296.1C330.3 287.6 330.3 272.4 320.1 263C311.6 253.7 296.4 253.7 287 263L192 358.1L152.1 319C143.6 309.7 128.4 309.7 119 319C109.7 328.4 109.7 343.6 119 352.1L175 408.1C184.4 418.3 199.6 418.3 208.1 408.1L320.1 296.1z"],
    "box-circle-check": [576, 512, [], "e0c4", "M208 32V160H0L50.73 58.53C58.86 42.27 75.48 32 93.67 32H208zM354.3 32C372.5 32 389.1 42.27 397.3 58.53L448 160H240V32H354.3zM0 416V192H416V192.7C326.3 200.8 256 276.2 256 368C256 410.5 271.1 449.6 296.2 480H64C28.65 480 0 451.3 0 416V416zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM476.7 324.7L416 385.4L387.3 356.7C381.1 350.4 370.9 350.4 364.7 356.7C358.4 362.9 358.4 373.1 364.7 379.3L404.7 419.3C410.9 425.6 421.1 425.6 427.3 419.3L499.3 347.3C505.6 341.1 505.6 330.9 499.3 324.7C493.1 318.4 482.9 318.4 476.7 324.7H476.7z"],
    "box-dollar": [448, 512, ["box-usd"], "f4a0", "M208 32V160H0L50.73 58.53C58.86 42.27 75.48 32 93.67 32H208zM354.3 32C372.5 32 389.1 42.27 397.3 58.53L448 160H240V32H354.3zM0 192H448V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V192zM244.1 240C244.1 228.9 235.1 219.9 223.1 219.9C212.9 219.9 203.9 228.9 203.9 240V246C198.3 247.2 192.1 248.9 188 251.1C173.1 257.9 160.1 270.5 156.9 288.8C155.1 299 156.1 308.9 160.3 317.8C164.5 326.6 171 332.8 177.6 337.3C189.2 345.2 204.5 349.8 216.2 353.3L218.4 353.9C232.4 358.2 241.8 361.3 247.7 365.6C250.2 367.4 251.1 368.8 251.4 369.7C251.8 370.5 252.4 372.3 251.7 376.3C251.1 379.8 249.2 382.8 243.7 385.1C237.6 387.7 227.7 389 214.9 387C208.9 386 198.2 382.4 188.7 379.2C186.5 378.4 184.3 377.7 182.3 377C171.8 373.5 160.5 379.2 157 389.7C153.5 400.2 159.2 411.5 169.7 414.1C170.9 415.4 172.4 415.9 174.1 416.5C181.1 419.2 194.4 423.4 203.9 425.6V432C203.9 443.1 212.9 452.1 223.1 452.1C235.1 452.1 244.1 443.1 244.1 432V426.5C249.4 425.5 254.6 423.1 259.4 421.9C275.2 415.2 287.8 402.2 291.1 383.2C292.9 372.8 292.1 362.8 288.1 353.7C284.2 344.7 277.9 338.1 271.2 333.3C259.1 324.4 242.9 319.6 230.8 315.9L229.1 315.7C215.8 311.4 206.2 308.4 200.1 304.2C197.5 302.4 196.7 301.2 196.5 300.7C196.3 300.3 195.7 299.1 196.3 295.7C196.7 293.7 198.2 290.4 204.5 287.6C210.1 284.7 220.9 283.1 233.1 284.1C237.5 285.7 251 288.3 254.9 289.3C265.5 292.2 276.5 285.8 279.3 275.1C282.2 264.5 275.8 253.5 265.1 250.7C260.7 249.5 250.7 247.5 244.1 246.3L244.1 240z"],
    "box-heart": [448, 512, [], "f49d", "M208 32V160H0L50.73 58.53C58.86 42.27 75.48 32 93.67 32H208zM354.3 32C372.5 32 389.1 42.27 397.3 58.53L448 160H240V32H354.3zM0 192H448V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V192zM235.3 420.7L312.6 343.4C333.1 322.9 333.1 289.7 312.6 269.1C292.1 248.6 258.8 248.6 238.3 269.1L224 283.4L209.7 269.1C189.2 248.6 155.9 248.6 135.4 269.1C114.9 289.7 114.9 322.9 135.4 343.4L212.7 420.7C218.9 426.9 229.1 426.9 235.3 420.7V420.7z"],
    "box-open": [640, 512, [], "f49e", "M75.23 33.4L320 63.1L564.8 33.4C571.5 32.56 578 36.06 581.1 42.12L622.8 125.5C631.7 143.4 622.2 165.1 602.9 170.6L439.6 217.3C425.7 221.2 410.8 215.4 403.4 202.1L320 63.1L236.6 202.1C229.2 215.4 214.3 221.2 200.4 217.3L37.07 170.6C17.81 165.1 8.283 143.4 17.24 125.5L58.94 42.12C61.97 36.06 68.5 32.56 75.23 33.4H75.23zM321.1 128L375.9 219.4C390.8 244.2 420.5 255.1 448.4 248L576 211.6V378.5C576 400.5 561 419.7 539.6 425.1L335.5 476.1C325.3 478.7 314.7 478.7 304.5 476.1L100.4 425.1C78.99 419.7 64 400.5 64 378.5V211.6L191.6 248C219.5 255.1 249.2 244.2 264.1 219.4L318.9 128H321.1z"],
    "box-open-full": [640, 512, ["box-full"], "f49c", "M481.4 138.3L320 158.5L312.8 157.6C317.4 148.7 320 138.7 320 128C320 92.65 291.3 64 256 64C220.7 64 192 92.65 192 128C192 133.1 192.6 137.1 193.7 142.7L128.2 134.5C128.1 132.3 128 130.2 128 128C128 57.31 185.3 .0002 256 .0002C325.6 .0002 382.2 55.55 383.1 124.7L419.1 31.15C428.4 6.325 456-6.252 480.9 3.057C505.7 12.36 518.3 40.03 508.9 64.85L481.4 138.3zM576 338.3V421.7C576 436.4 566 449.2 551.8 452.8L335.5 506.8C325.3 509.4 314.7 509.4 304.5 506.8L88.24 452.8C73.99 449.2 64 436.4 64 421.7V338.3L191.6 374.7C219.5 382.7 249.2 370.1 264.1 346.1L320 252.9L375.9 346.1C390.8 370.1 420.6 382.7 448.4 374.7L576 338.3zM75.23 160.1L320 190.7L564.8 160.1C571.5 159.3 578 162.8 581.1 168.8L622.8 252.2C631.7 270.2 622.2 291.8 602.9 297.3L439.6 343.1C425.7 347.1 410.8 342.1 403.4 329.7L320 190.7L236.6 329.7C229.2 342.1 214.3 347.1 200.4 343.1L37.07 297.3C17.81 291.8 8.283 270.2 17.24 252.2L58.94 168.8C61.97 162.8 68.5 159.3 75.23 160.1H75.23z"],
    "box-taped": [448, 512, ["box-alt"], "f49a", "M50.73 58.53C58.86 42.27 75.48 32 93.67 32H192L160 160H0L50.73 58.53zM288 160L256 32H354.3C372.5 32 389.1 42.27 397.3 58.53L448 160H288zM160 256C160 273.7 174.3 288 192 288H256C273.7 288 288 273.7 288 256V192H448V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V192H160V256z"],
    "box-tissue": [512, 512, [], "e05b", "M384 288l64-192h-109.4C308.4 96 281.6 76.66 272 48C262.4 19.33 235.6 0 205.4 0H64l64 288H384zM0 480c0 17.67 14.33 32 32 32h448c17.67 0 32-14.33 32-32v-64H0V480zM480 224h-40.94l-21.33 64H432C440.8 288 448 295.2 448 304S440.8 320 432 320h-352C71.16 320 64 312.8 64 304S71.16 288 80 288h15.22l-14.22-64H32C14.33 224 0 238.3 0 256v128h512V256C512 238.3 497.7 224 480 224z"],
    "boxes-packing": [640, 512, [], "e4c7", "M256 48C256 21.49 277.5 0 304 0H592C618.5 0 640 21.49 640 48V464C640 490.5 618.5 512 592 512H381.3C383 506.1 384 501.6 384 496V253.3C402.6 246.7 416 228.9 416 208V176C416 149.5 394.5 128 368 128H256V48zM571.3 347.3C577.6 341.1 577.6 330.9 571.3 324.7L507.3 260.7C501.1 254.4 490.9 254.4 484.7 260.7L420.7 324.7C414.4 330.9 414.4 341.1 420.7 347.3C426.9 353.6 437.1 353.6 443.3 347.3L480 310.6V432C480 440.8 487.2 448 496 448C504.8 448 512 440.8 512 432V310.6L548.7 347.3C554.9 353.6 565.1 353.6 571.3 347.3H571.3zM0 176C0 167.2 7.164 160 16 160H368C376.8 160 384 167.2 384 176V208C384 216.8 376.8 224 368 224H16C7.164 224 0 216.8 0 208V176zM352 480C352 497.7 337.7 512 320 512H64C46.33 512 32 497.7 32 480V256H352V480zM144 320C135.2 320 128 327.2 128 336C128 344.8 135.2 352 144 352H240C248.8 352 256 344.8 256 336C256 327.2 248.8 320 240 320H144z"],
    "boxes-stacked": [576, 512, [62625, "boxes", "boxes-alt"], "f468", "M160 48C160 21.49 181.5 0 208 0H256V80C256 88.84 263.2 96 272 96H304C312.8 96 320 88.84 320 80V0H368C394.5 0 416 21.49 416 48V176C416 202.5 394.5 224 368 224H208C181.5 224 160 202.5 160 176V48zM96 288V368C96 376.8 103.2 384 112 384H144C152.8 384 160 376.8 160 368V288H208C234.5 288 256 309.5 256 336V464C256 490.5 234.5 512 208 512H48C21.49 512 0 490.5 0 464V336C0 309.5 21.49 288 48 288H96zM416 288V368C416 376.8 423.2 384 432 384H464C472.8 384 480 376.8 480 368V288H528C554.5 288 576 309.5 576 336V464C576 490.5 554.5 512 528 512H368C341.5 512 320 490.5 320 464V336C320 309.5 341.5 288 368 288H416z"],
    "boxing-glove": [512, 512, [129354, "glove-boxing"], "f438", "M480 230.3C480 227.8 479.1 225.6 479.1 224c0-35.25-28.76-64-64-64h-28.27c-18.8 0-51.6 13.81-51.6 48.13c0 24.18 17.95 44.17 41.13 47.37c3.1 .625 6.875 4.125 6.875 8.125v16c0 4.354-3.656 8.044-8.047 8.044c-2.785 0-71.94-9.91-71.94-79.54c0-5.5 .625-10.88 1.625-16H173.2c-44.77 0-85.09-27.01-85.09-36.83c0-2.048 .7824-4.105 2.347-5.67l11.25-11.38c1.55-1.55 3.567-2.299 5.603-2.299c8.171 0 23.61 24.3 65.89 24.3h146.7v.5c21.91-29.44 49.85-32.79 74.85-32.79c7.378 0 14.5 .292 21.14 .292L415.1 96c0-53.02-42.98-96-95.1-96H127.1C75.77 0 32.09 41.75 32 93.98V288c0 28.32 12.49 53.56 31.1 71.14L63.1 464c0 26.51 21.49 48 47.1 48h223.1c26.51 0 47.1-21.49 47.1-48V384l58.49-58.5C477.9 289.1 480 249 480 230.3zM280.9 418.7c4.621 3.087 7.126 8.16 7.126 13.33C287.1 440.7 280.9 448 271.1 448c-3.062 0-6.156-.875-8.875-2.688l-39.12-26.08l-39.12 26.08C182.2 447.1 179.1 448 175.1 448c-8.924 0-16-7.265-16-15.98c0-5.171 2.505-10.24 7.126-13.33L195.2 400l-28.03-18.69c-4.621-3.087-7.126-8.16-7.126-13.33c0-8.739 7.087-15.97 16.04-15.97c3.054 0 6.133 .8693 8.84 2.676l39.12 26.08l39.12-26.08c2.707-1.812 5.785-2.683 8.838-2.683c8.944 0 16.04 7.237 16.04 15.98c0 5.171-2.505 10.24-7.126 13.33L252.8 400L280.9 418.7z"],
    "bracket-curly": [256, 512, ["bracket-curly-left"], "7b", "M192 32H160C106.1 32 64 74.98 64 128v37.5c0 8.484-3.37 16.62-9.369 22.62L9.375 233.4c-12.5 12.5-12.5 32.75 0 45.25l45.26 45.26C60.63 329.9 64 338 64 346.5V384c0 53.02 42.98 96 96 96h32C209.7 480 224 465.7 224 448S209.7 416 192 416H160c-17.6 0-32-14.4-32-32v-37.5c0-25.45-10.11-49.86-28.11-67.86L77.25 256l22.63-22.62C117.9 215.4 128 190.9 128 165.5V128c0-17.6 14.4-32 32-32h32C209.7 96 224 81.67 224 64S209.7 32 192 32z"],
    "bracket-curly-right": [256, 512, [], "7d", "M32 63.1C32 81.67 46.33 96 63.1 96H96c17.6 0 32 14.4 32 32v37.48c0 25.47 10.12 49.89 28.12 67.9L178.8 256l-22.64 22.64C138.1 296.6 128 321 128 346.5V384c0 17.6-14.4 32-32 32H63.1C46.33 416 32 430.3 32 447.1S46.33 480 63.1 480H96c53.02 0 96-42.98 96-96v-37.5c0-8.484 3.37-16.62 9.369-22.62l45.26-45.26c12.5-12.5 12.5-32.75 0-45.25l-45.26-45.26C195.4 182.1 192 173.1 192 165.5V128c0-53.02-42.98-96-96-96H63.1C46.33 32 32 46.33 32 63.1z"],
    "bracket-round": [192, 512, ["parenthesis"], "28", "M127.9 480c-6.062 0-12.22-1.75-17.66-5.375c-4.5-2.1-110.2-75.16-110.2-218.6s105.7-215.6 110.2-218.6c14.72-9.812 34.56-5.844 44.37 8.875c9.781 14.66 5.844 34.47-8.75 44.28C142.4 92.95 63.1 147.8 63.1 256c0 108.4 78.53 163.2 81.87 165.5c14.56 9.906 18.44 29.78 8.594 44.37C148.3 475 138.2 480 127.9 480z"],
    "bracket-round-right": [192, 512, [], "29", "M37.53 465.8c-9.844-14.59-5.969-34.47 8.594-44.37c3.344-2.281 81.87-57.09 81.87-165.5c0-108.2-78.37-163.1-81.87-165.5C31.53 80.73 27.6 60.92 37.38 46.26C47.19 31.54 67.03 27.57 81.75 37.39C86.25 40.39 192 112.5 192 256s-105.7 215.6-110.2 218.6C76.31 478.3 70.16 480 64.1 480C53.82 480 43.72 475 37.53 465.8z"],
    "bracket-square": [192, 512, ["bracket", "bracket-left"], "5b", "M128 32H32C14.4 32 0 46.4 0 64v384c0 17.6 14.4 32 32 32h96C145.7 480 160 465.7 160 448S145.7 416 128 416H64V96h64C145.7 96 160 81.67 160 64S145.7 32 128 32z"],
    "bracket-square-right": [192, 512, [], "5d", "M32 63.1C32 81.67 46.33 96 63.1 96H128v320H63.1C46.33 416 32 430.3 32 447.1S46.33 480 63.1 480H160c17.6 0 32-14.4 32-32V64c0-17.6-14.4-32-32-32H63.1C46.33 32 32 46.33 32 63.1z"],
    "brackets-curly": [576, 512, [], "f7ea", "M192 32H160C106.1 32 64 74.98 64 128v37.5c0 8.484-3.37 16.62-9.369 22.62L9.375 233.4c-12.5 12.5-12.5 32.75 0 45.25l45.26 45.26C60.63 329.9 64 338 64 346.5V384c0 53.02 42.98 96 96 96h32C209.7 480 224 465.7 224 448S209.7 416 192 416H160c-17.6 0-32-14.4-32-32v-37.5c0-25.45-10.11-49.86-28.11-67.86L77.25 256l22.63-22.62C117.9 215.4 128 190.9 128 165.5V128c0-17.6 14.4-32 32-32h32C209.7 96 224 81.67 224 64S209.7 32 192 32zM566.6 233.4l-45.25-45.25C515.4 182.1 512 173.1 512 165.5V128c0-53.02-42.98-96-96-96h-32C366.3 32 352 46.33 352 63.1S366.3 96 383.1 96H416c17.6 0 32 14.4 32 32v37.5c0 25.45 10.11 49.86 28.11 67.86L498.8 256l-22.64 22.64C458.1 296.6 448 321 448 346.5V384c0 17.6-14.4 32-32 32h-32C366.3 416 352 430.3 352 447.1S366.3 480 383.1 480H416c53.02 0 96-42.98 96-96v-37.5c0-8.484 3.37-16.62 9.369-22.62l45.26-45.26C579.1 266.1 579.1 245.9 566.6 233.4z"],
    "brackets-round": [512, 512, ["parentheses"], "e0c5", "M145.9 90.54c14.59-9.812 18.53-29.62 8.75-44.28C144.8 31.54 124.1 27.57 110.3 37.39C105.8 40.39 0 112.5 0 256s105.8 215.6 110.3 218.6C115.7 478.3 121.8 480 127.9 480c10.28 0 20.38-4.969 26.56-14.16c9.844-14.59 5.969-34.47-8.594-44.37C142.5 419.2 64 364.4 64 256C64 147.8 142.4 92.95 145.9 90.54zM401.8 37.39c-14.69-9.781-34.41-5.844-44.22 8.781c-9.844 14.59-5.969 34.47 8.594 44.37C369.5 92.82 448 147.6 448 256s-78.53 163.2-81.75 165.4c-14.72 9.812-18.69 29.66-8.875 44.37C363.5 475 373.7 480 384 480c6.094 0 12.25-1.75 17.72-5.375C406.3 471.6 512 399.5 512 256S406.3 40.39 401.8 37.39z"],
    "brackets-square": [448, 512, ["brackets"], "f7e9", "M128 32H32C14.4 32 0 46.4 0 64v384c0 17.6 14.4 32 32 32h96C145.7 480 160 465.7 160 448S145.7 416 128 416H64V96h64C145.7 96 160 81.67 160 64S145.7 32 128 32zM416 32h-96C302.3 32 288 46.33 288 63.1S302.3 96 319.1 96H384v320h-64C302.3 416 288 430.3 288 447.1S302.3 480 319.1 480H416c17.6 0 32-14.4 32-32V64C448 46.4 433.6 32 416 32z"],
    "braille": [640, 512, [], "f2a1", "M128 96C128 131.3 99.35 160 64 160C28.65 160 0 131.3 0 96C0 60.65 28.65 32 64 32C99.35 32 128 60.65 128 96zM160 256C160 220.7 188.7 192 224 192C259.3 192 288 220.7 288 256C288 291.3 259.3 320 224 320C188.7 320 160 291.3 160 256zM224 272C232.8 272 240 264.8 240 256C240 247.2 232.8 240 224 240C215.2 240 208 247.2 208 256C208 264.8 215.2 272 224 272zM128 416C128 451.3 99.35 480 64 480C28.65 480 0 451.3 0 416C0 380.7 28.65 352 64 352C99.35 352 128 380.7 128 416zM64 400C55.16 400 48 407.2 48 416C48 424.8 55.16 432 64 432C72.84 432 80 424.8 80 416C80 407.2 72.84 400 64 400zM288 416C288 451.3 259.3 480 224 480C188.7 480 160 451.3 160 416C160 380.7 188.7 352 224 352C259.3 352 288 380.7 288 416zM224 400C215.2 400 208 407.2 208 416C208 424.8 215.2 432 224 432C232.8 432 240 424.8 240 416C240 407.2 232.8 400 224 400zM0 256C0 220.7 28.65 192 64 192C99.35 192 128 220.7 128 256C128 291.3 99.35 320 64 320C28.65 320 0 291.3 0 256zM160 96C160 60.65 188.7 32 224 32C259.3 32 288 60.65 288 96C288 131.3 259.3 160 224 160C188.7 160 160 131.3 160 96zM480 96C480 131.3 451.3 160 416 160C380.7 160 352 131.3 352 96C352 60.65 380.7 32 416 32C451.3 32 480 60.65 480 96zM640 96C640 131.3 611.3 160 576 160C540.7 160 512 131.3 512 96C512 60.65 540.7 32 576 32C611.3 32 640 60.65 640 96zM576 80C567.2 80 560 87.16 560 96C560 104.8 567.2 112 576 112C584.8 112 592 104.8 592 96C592 87.16 584.8 80 576 80zM512 256C512 220.7 540.7 192 576 192C611.3 192 640 220.7 640 256C640 291.3 611.3 320 576 320C540.7 320 512 291.3 512 256zM576 272C584.8 272 592 264.8 592 256C592 247.2 584.8 240 576 240C567.2 240 560 247.2 560 256C560 264.8 567.2 272 576 272zM640 416C640 451.3 611.3 480 576 480C540.7 480 512 451.3 512 416C512 380.7 540.7 352 576 352C611.3 352 640 380.7 640 416zM576 400C567.2 400 560 407.2 560 416C560 424.8 567.2 432 576 432C584.8 432 592 424.8 592 416C592 407.2 584.8 400 576 400zM352 256C352 220.7 380.7 192 416 192C451.3 192 480 220.7 480 256C480 291.3 451.3 320 416 320C380.7 320 352 291.3 352 256zM416 272C424.8 272 432 264.8 432 256C432 247.2 424.8 240 416 240C407.2 240 400 247.2 400 256C400 264.8 407.2 272 416 272zM480 416C480 451.3 451.3 480 416 480C380.7 480 352 451.3 352 416C352 380.7 380.7 352 416 352C451.3 352 480 380.7 480 416zM416 400C407.2 400 400 407.2 400 416C400 424.8 407.2 432 416 432C424.8 432 432 424.8 432 416C432 407.2 424.8 400 416 400z"],
    "brain": [512, 512, [129504], "f5dc", "M184 0C214.9 0 240 25.07 240 56V456C240 486.9 214.9 512 184 512C155.1 512 131.3 490.1 128.3 461.9C123.1 463.3 117.6 464 112 464C76.65 464 48 435.3 48 400C48 392.6 49.27 385.4 51.59 378.8C21.43 367.4 0 338.2 0 304C0 272.1 18.71 244.5 45.77 231.7C37.15 220.8 32 206.1 32 192C32 161.3 53.59 135.7 82.41 129.4C80.84 123.9 80 118 80 112C80 82.06 100.6 56.92 128.3 49.93C131.3 21.86 155.1 0 184 0zM383.7 49.93C411.4 56.92 432 82.06 432 112C432 118 431.2 123.9 429.6 129.4C458.4 135.7 480 161.3 480 192C480 206.1 474.9 220.8 466.2 231.7C493.3 244.5 512 272.1 512 304C512 338.2 490.6 367.4 460.4 378.8C462.7 385.4 464 392.6 464 400C464 435.3 435.3 464 400 464C394.4 464 388.9 463.3 383.7 461.9C380.7 490.1 356.9 512 328 512C297.1 512 272 486.9 272 456V56C272 25.07 297.1 0 328 0C356.9 0 380.7 21.86 383.7 49.93z"],
    "brain-arrow-curved-right": [640, 512, ["mind-share"], "f677", "M602.9 339.7l-96.01-95.13c-10.13-10-27.08-2.637-27.08 12.11L479.9 303.9l-79.91-.0338c-5.625 0-11.25-.125-17 .75c-47.13 7-85.63 44.5-93.38 91.5c-7.875 46.75 13.25 90.5 48.25 113.8c9.752 6.5 21.63-3.25 17.75-14.38c-9-26.62-5.51-95.51 60.37-95.51h64l.0117 47.14c0 14.88 17.01 22.2 27.14 12.2l95.87-95.2C609.7 357.5 609.7 346.3 602.9 339.7zM203.7 0C176.8 0 154.8 20.51 152 46.74C126 53.2 106.7 76.52 106.7 104.5c0 5.852 1.104 11.39 2.672 16.74c-27.04 5.678-47.47 29.2-47.47 57.93c0 14.09 5.082 26.87 13.25 37.09C49.71 228.2 32 253.8 32 283.7c0 31.98 20.2 59.05 48.46 69.68c-2.225 6.256-3.658 12.9-3.658 19.92c0 32.99 26.74 59.73 59.73 59.73c5.383 0 10.5-.9404 15.46-2.276c2.641 26.39 24.66 47.08 51.74 47.08C232.6 477.9 256 454.5 256 425.6V52.27C256 23.4 232.6 0 203.7 0zM378.2 273c6.793-1.033 12.89-1.118 18.06-1.118l51.62 .0049V256.7c0-16.74 8.324-31.56 21.06-40.33c-.0449-.0215 .0449 .0215 0 0c8.162-10.21 13.18-23.04 13.18-37.13c0-28.73-20.44-52.25-47.47-57.93c1.566-5.346 2.672-10.89 2.672-16.74c0-28.01-19.35-51.33-45.36-57.79C389.2 20.51 367.2 0 340.3 0C311.4 0 288 23.4 288 52.27v273.1C310.2 297.9 342.1 278.4 378.2 273z"],
    "brain-circuit": [512, 512, [], "e0c6", "M184 0C214.9 0 240 25.07 240 56V128H212.7C206.5 113.9 192.4 104 176 104C153.9 104 136 121.9 136 144C136 166.1 153.9 184 176 184C192.4 184 206.5 174.1 212.7 160H240V256H192C165.5 256 144 277.5 144 304V315.3C129.9 321.5 120 335.6 120 352C120 374.1 137.9 392 160 392C182.1 392 200 374.1 200 352C200 335.6 190.1 321.5 176 315.3V304C176 295.2 183.2 288 192 288H240V456C240 486.9 214.9 512 184 512C155.1 512 131.3 490.1 128.3 461.9C123.1 463.3 117.6 464 112 464C76.65 464 48 435.3 48 400C48 392.6 49.27 385.4 51.59 378.8C21.43 367.4 0 338.2 0 304C0 272.1 18.71 244.5 45.77 231.7C37.15 220.8 32 206.1 32 192C32 161.3 53.59 135.7 82.41 129.4C80.84 123.9 80 118 80 112C80 82.06 100.6 56.92 128.3 49.93C131.3 21.86 155.1 0 184 0zM144 352C144 343.2 151.2 336 160 336C168.8 336 176 343.2 176 352C176 360.8 168.8 368 160 368C151.2 368 144 360.8 144 352zM176 128C184.8 128 192 135.2 192 144C192 152.8 184.8 160 176 160C167.2 160 160 152.8 160 144C160 135.2 167.2 128 176 128zM383.7 49.93C411.4 56.92 432 82.06 432 112C432 118 431.2 123.9 429.6 129.4C458.4 135.7 480 161.3 480 192C480 206.1 474.9 220.8 466.2 231.7C493.3 244.5 512 272.1 512 304C512 338.2 490.6 367.4 460.4 378.8C462.7 385.4 464 392.6 464 400C464 435.3 435.3 464 400 464C394.4 464 388.9 463.3 383.7 461.9C380.7 490.1 356.9 512 328 512C297.1 512 272 486.9 272 456V384H331.3C337.5 398.1 351.6 408 368 408C390.1 408 408 390.1 408 368C408 345.9 390.1 328 368 328C351.6 328 337.5 337.9 331.3 352H272V160H320C328.8 160 336 167.2 336 176V187.3C321.9 193.5 312 207.6 312 224C312 246.1 329.9 264 352 264C374.1 264 392 246.1 392 224C392 207.6 382.1 193.5 368 187.3V176C368 149.5 346.5 128 320 128H272V56C272 25.07 297.1 0 328 0C356.9 0 380.7 21.86 383.7 49.93zM368 224C368 232.8 360.8 240 352 240C343.2 240 336 232.8 336 224C336 215.2 343.2 208 352 208C360.8 208 368 215.2 368 224zM384 368C384 376.8 376.8 384 368 384C359.2 384 352 376.8 352 368C352 359.2 359.2 352 368 352C376.8 352 384 359.2 384 368z"],
    "brake-warning": [640, 512, [], "e0c7", "M544 256C544 379.7 443.7 480 320 480C196.3 480 96 379.7 96 256C96 132.3 196.3 32 320 32C443.7 32 544 132.3 544 256zM344 152C344 138.7 333.3 128 320 128C306.7 128 296 138.7 296 152V264C296 277.3 306.7 288 320 288C333.3 288 344 277.3 344 264V152zM320 384C337.7 384 352 369.7 352 352C352 334.3 337.7 320 320 320C302.3 320 288 334.3 288 352C288 369.7 302.3 384 320 384zM48 255.1C48 310.2 63.83 360.6 91.11 403C98.28 414.2 95.06 429 83.92 436.2C72.77 443.4 57.92 440.1 50.75 428.1C18.63 379.1 0 319.7 0 255.1C0 192.3 18.63 132.9 50.75 83.01C57.92 71.86 72.77 68.65 83.92 75.82C95.06 82.99 98.28 97.85 91.11 108.1C63.83 151.4 48 201.8 48 255.1V255.1zM640 255.1C640 319.7 621.4 379.1 589.3 428.1C582.1 440.1 567.2 443.4 556.1 436.2C544.9 429 541.7 414.2 548.9 403C576.2 360.6 592 310.2 592 255.1C592 201.8 576.2 151.4 548.9 108.1C541.7 97.85 544.9 82.99 556.1 75.82C567.2 68.65 582.1 71.86 589.3 83.01C621.4 132.9 640 192.3 640 255.1V255.1z"],
    "brazilian-real-sign": [512, 512, [], "e46c", "M400 .0003C417.7 .0003 432 14.33 432 32V50.22C444.5 52.52 456.7 56.57 468.2 62.3L478.3 67.38C494.1 75.28 500.5 94.5 492.6 110.3C484.7 126.1 465.5 132.5 449.7 124.6L439.5 119.5C429.6 114.6 418.7 112 407.6 112H405.9C376.1 112 352 136.1 352 165.9C352 187.9 365.4 207.7 385.9 215.9L437.9 236.7C482.7 254.6 512 297.9 512 346.1V349.5C512 400.7 478.4 444.1 432 458.7V480C432 497.7 417.7 512 400 512C382.3 512 368 497.7 368 480V460.6C352.1 457.1 338.6 450.9 325.7 442.3L302.2 426.6C287.5 416.8 283.6 396.1 293.4 382.2C303.2 367.5 323 363.6 337.8 373.4L361.2 389C371.9 396.2 384.6 400 397.5 400C425.4 400 448 377.4 448 349.5V346.1C448 324.1 434.6 304.3 414.1 296.1L362.1 275.3C317.3 257.4 288 214.1 288 165.9C288 114 321.5 69.99 368 54.21V32C368 14.33 382.3 0 400 0L400 .0003zM.0003 64C.0003 46.33 14.33 32 32 32H112C191.5 32 256 96.47 256 176C256 234.8 220.8 285.3 170.3 307.7L221.7 436.1C228.3 452.5 220.3 471.1 203.9 477.7C187.5 484.3 168.9 476.3 162.3 459.9L106.3 320H64V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448L.0003 64zM64 256H112C156.2 256 192 220.2 192 176C192 131.8 156.2 96 112 96H64V256z"],
    "bread-loaf": [640, 512, [127838], "f7eb", "M480 192c0-88.38-107.5-160-240-160S0 103.6 0 192c0 35.38 30.88 64 64 64v192c0 17.62 14.38 32 32 32h288c17.62 0 32-14.38 32-32V256C449.1 256 480 227.4 480 192zM400 32c-2.375 0-4.75 .25-7.25 .25C465.3 66.38 512 124.6 512 192c0 42.75-26.88 79-64 91.5V448c-.125 11.25-3.125 22.38-8.875 32H544c17.62 0 32-14.38 32-32V256h4C613.1 256 640 227.4 640 192C640 103.6 532.5 32 400 32z"],
    "bread-slice": [512, 512, [], "f7ec", "M512 176.1C512 203 490.4 224 455.1 224H448v224c0 17.67-14.33 32-32 32H96c-17.67 0-32-14.33-32-32V224H56.89C21.56 224 0 203 0 176.1C0 112 96 32 256 32S512 112 512 176.1z"],
    "bread-slice-butter": [512, 512, [], "e3e1", "M512 176.1C511.6 183.9 509.8 190.6 506.7 196.8C503.5 203 499.2 208.5 493.8 212.9C488.5 217.3 482.3 220.6 475.6 222.5C468.1 224.4 461.1 224.9 455.1 224H448V448C448 456.5 444.6 464.6 438.6 470.6C432.6 476.6 424.5 480 416 480H96C87.51 480 79.37 476.6 73.37 470.6C67.37 464.6 64 456.5 64 448V224H56.9C50.03 224.9 43.04 224.4 36.38 222.5C29.71 220.6 23.51 217.3 18.17 212.9C12.83 208.5 8.457 203 5.33 196.8C2.203 190.6 .3885 183.9 0 176.1C0 112 96 32 256 32C416 32 512 112 512 176.1H512zM333.2 288C333.2 279.5 329.9 271.4 323.9 265.4L278.6 220.1C272.6 214.1 264.5 210.8 256 210.8C247.5 210.8 239.4 214.1 233.4 220.1L188.1 265.4C182.1 271.4 178.8 279.5 178.8 288C178.8 296.5 182.1 304.6 188.1 310.6L233.4 355.9C239.4 361.9 247.5 365.2 256 365.2C264.5 365.2 272.6 361.9 278.6 355.9L323.9 310.6C329.9 304.6 333.2 296.5 333.2 288z"],
    "bridge": [576, 512, [], "e4c8", "M544 32C561.7 32 576 46.33 576 64C576 81.67 561.7 96 544 96H504V160H576V288C522.1 288 480 330.1 480 384V448C480 465.7 465.7 480 448 480H416C398.3 480 384 465.7 384 448V384C384 330.1 341 288 288 288C234.1 288 192 330.1 192 384V448C192 465.7 177.7 480 160 480H128C110.3 480 96 465.7 96 448V384C96 330.1 53.02 288 0 288V160H72V96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H544zM456 96H376V160H456V96zM248 96V160H328V96H248zM200 96H120V160H200V96z"],
    "bridge-circle-check": [640, 512, [], "e4c9", "M576 32C593.7 32 608 46.33 608 64C608 81.67 593.7 96 576 96H536V160H608V232.2C577.6 207.1 538.5 192 496 192C426.9 192 367.1 231.8 338.3 289.7C332.4 288.6 326.3 288 320 288C266.1 288 224 330.1 224 384V448C224 465.7 209.7 480 192 480H160C142.3 480 128 465.7 128 448V384C128 330.1 85.02 288 32 288V160H104V96H64C46.33 96 32 81.67 32 64C32 46.33 46.33 32 64 32H576zM488 96H408V160H488V96zM280 96V160H360V96H280zM232 96H152V160H232V96zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM540.7 324.7L480 385.4L451.3 356.7C445.1 350.4 434.9 350.4 428.7 356.7C422.4 362.9 422.4 373.1 428.7 379.3L468.7 419.3C474.9 425.6 485.1 425.6 491.3 419.3L563.3 347.3C569.6 341.1 569.6 330.9 563.3 324.7C557.1 318.4 546.9 318.4 540.7 324.7H540.7z"],
    "bridge-circle-exclamation": [640, 512, [], "e4ca", "M576 32C593.7 32 608 46.33 608 64C608 81.67 593.7 96 576 96H536V160H608V232.2C577.6 207.1 538.5 192 496 192C426.9 192 367.1 231.8 338.3 289.7C332.4 288.6 326.3 288 320 288C266.1 288 224 330.1 224 384V448C224 465.7 209.7 480 192 480H160C142.3 480 128 465.7 128 448V384C128 330.1 85.02 288 32 288V160H104V96H64C46.33 96 32 81.67 32 64C32 46.33 46.33 32 64 32H576zM488 96H408V160H488V96zM280 96V160H360V96H280zM232 96H152V160H232V96zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 464C509.3 464 520 453.3 520 440C520 426.7 509.3 416 496 416C482.7 416 472 426.7 472 440C472 453.3 482.7 464 496 464zM479.1 288V368C479.1 376.8 487.2 384 495.1 384C504.8 384 511.1 376.8 511.1 368V288C511.1 279.2 504.8 272 495.1 272C487.2 272 479.1 279.2 479.1 288z"],
    "bridge-circle-xmark": [640, 512, [], "e4cb", "M576 32C593.7 32 608 46.33 608 64C608 81.67 593.7 96 576 96H536V160H608V232.2C577.6 207.1 538.5 192 496 192C426.9 192 367.1 231.8 338.3 289.7C332.4 288.6 326.3 288 320 288C266.1 288 224 330.1 224 384V448C224 465.7 209.7 480 192 480H160C142.3 480 128 465.7 128 448V384C128 330.1 85.02 288 32 288V160H104V96H64C46.33 96 32 81.67 32 64C32 46.33 46.33 32 64 32H576zM488 96H408V160H488V96zM280 96V160H360V96H280zM232 96H152V160H232V96zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM555.3 331.3C561.6 325.1 561.6 314.9 555.3 308.7C549.1 302.4 538.9 302.4 532.7 308.7L496 345.4L459.3 308.7C453.1 302.4 442.9 302.4 436.7 308.7C430.4 314.9 430.4 325.1 436.7 331.3L473.4 368L436.7 404.7C430.4 410.9 430.4 421.1 436.7 427.3C442.9 433.6 453.1 433.6 459.3 427.3L496 390.6L532.7 427.3C538.9 433.6 549.1 433.6 555.3 427.3C561.6 421.1 561.6 410.9 555.3 404.7L518.6 368L555.3 331.3z"],
    "bridge-lock": [640, 512, [], "e4cc", "M32 64C32 46.33 46.33 32 64 32H576C593.7 32 608 46.33 608 64C608 81.67 593.7 96 576 96H536V160H528C466.1 160 416 210.1 416 272V296.6C406.1 302.3 397.8 310.7 392.2 320.7C374.6 300.7 348.8 287.1 320 287.1C266.1 287.1 224 330.1 224 384V448C224 465.7 209.7 480 192 480H160C142.3 480 128 465.7 128 448V384C128 330.1 85.02 287.1 32 287.1V159.1H104V95.1H64C46.33 95.1 32 81.67 32 63.1V64zM408 160H488V96H408V160zM360 160V96H280V160H360zM152 160H232V96H152V160zM528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320V272C448 227.8 483.8 192 528 192zM528 240C510.3 240 496 254.3 496 272V320H560V272C560 254.3 545.7 240 528 240z"],
    "bridge-suspension": [640, 512, [], "e4cd", "M128 8C137.1 8 144.1 13.04 149.1 20.47C184.2 81.6 249.7 120 320 120C390.3 120 455.8 81.6 490.9 20.47C495 13.04 502.9 8 512 8C520.8 8 528.5 12.73 532.7 19.78C545.7 40.98 559.3 61.94 574.7 79.54C590.2 97.21 606.4 110.1 624.1 116.5C636.6 120.1 643.1 134.7 638.6 147.2C634.1 159.7 620.3 166.1 607.9 161.6C582.4 152.4 561.4 135.8 544 117.1V256H608C625.7 256 640 270.3 640 288V320C640 337.7 625.7 352 608 352C572.7 352 544 380.7 544 416V480C544 497.7 529.7 512 512 512H480C462.3 512 448 497.7 448 480V448C448 394.1 405 352 352 352H288C234.1 352 192 394.1 192 448V480C192 497.7 177.7 512 160 512H128C110.3 512 96 497.7 96 480V416C96 380.7 67.35 352 32 352C14.33 352 .0009 337.7 .0009 320V288C.0009 270.3 14.33 256 32 256H96V117.1C78.59 135.8 57.65 152.4 32.14 161.6C19.67 166.1 5.921 159.7 1.424 147.2C-3.073 134.7 3.39 120.1 15.86 116.5C33.57 110.1 49.79 97.21 65.3 79.54C80.73 61.94 94.29 40.98 107.3 19.78C111.5 12.73 119.2 8 128 8L128 8zM440 136.3V256H480V108.1C467.6 118.8 454.2 128.2 440 136.3zM344 166.8V256H392V157C376.5 161.9 360.4 165.2 344 166.8zM248 157V256H296V166.8C279.6 165.2 263.5 161.9 248 157V157zM160 108.1V256H200V136.3C185.8 128.2 172.4 118.8 160 108.1V108.1z"],
    "bridge-water": [576, 512, [], "e4ce", "M.0003 96C.0003 78.33 14.33 64 32 64H544C561.7 64 576 78.33 576 96V131.6C576 147.3 563.3 160 547.6 160C510.2 160 480 190.2 480 227.6V352.5C467.1 352.5 454.2 356.3 443.2 364.1C425.2 376.5 403 384.5 384 384.5L384 384V256C384 202.1 341 160 288 160C234.1 160 192 202.1 192 256V384L191.1 384.5C172.1 384.4 150.8 376.5 132.9 364.1C121.8 356.3 108.9 352.4 96 352.5V227.6C96 190.2 65.75 160 28.44 160C12.74 160 0 147.3 0 131.6L.0003 96zM384 416C410.9 416 439.4 405.2 461.4 389.9L461.5 389.9C473.4 381.4 489.5 382.1 500.7 391.6C515.1 403.5 533.2 412.6 551.3 416.8C568.5 420.8 579.2 438.1 575.2 455.3C571.2 472.5 553.1 483.2 536.7 479.2C512.2 473.4 491.9 462.6 478.5 454.2C449.5 469.7 417 480 384 480C352.1 480 323.4 470.1 303.6 461.1C297.7 458.5 292.5 455.8 288 453.4C283.5 455.8 278.3 458.5 272.4 461.1C252.6 470.1 223.9 480 192 480C158.1 480 126.5 469.7 97.5 454.2C84.13 462.6 63.79 473.4 39.27 479.2C22.06 483.2 4.854 472.5 .8429 455.3C-3.168 438.1 7.533 420.8 24.74 416.8C42.84 412.6 60.96 403.5 75.31 391.6C86.46 382.1 102.6 381.4 114.5 389.9L114.6 389.9C136.7 405.2 165.1 416 192 416C219.5 416 247 405.4 269.5 389.9C280.6 382 295.4 382 306.5 389.9C328.1 405.4 356.5 416 384 416H384z"],
    "briefcase": [512, 512, [128188], "f0b1", "M320 336c0 8.844-7.156 16-16 16h-96C199.2 352 192 344.8 192 336V288H0v144C0 457.6 22.41 480 48 480h416c25.59 0 48-22.41 48-48V288h-192V336zM464 96H384V48C384 22.41 361.6 0 336 0h-160C150.4 0 128 22.41 128 48V96H48C22.41 96 0 118.4 0 144V256h512V144C512 118.4 489.6 96 464 96zM336 96h-160V48h160V96z"],
    "briefcase-arrow-right": [512, 512, [], "e2f2", "M464 96H384V48C384 21.5 362.5 0 336 0h-160C149.5 0 128 21.5 128 48V96H48C21.5 96 0 117.5 0 144v288C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM176 48h160V96h-160V48zM376.1 304.1l-80 80c-9.375 9.375-24.56 9.375-33.94 0C258.3 380.3 256 374.2 256 368s2.344-12.28 7.031-16.97L302.1 312H152C138.8 312 128 301.3 128 288s10.75-24 24-24h150.1l-39.03-39.03c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0l80 80C386.3 280.4 386.3 295.6 376.1 304.1z"],
    "briefcase-blank": [512, 512, [], "e0c8", "M464 96H384V48C384 21.5 362.5 0 336 0h-160C149.5 0 128 21.5 128 48V96H48C21.5 96 0 117.5 0 144v288C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM176 48h160V96h-160V48z"],
    "briefcase-medical": [512, 512, [], "f469", "M464 96H384V48C384 21.5 362.5 0 336 0h-160C149.5 0 128 21.5 128 48V96H48C21.5 96 0 117.5 0 144v288C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM176 48h160V96h-160V48zM368 314c0 8.836-7.164 16-16 16h-54V384c0 8.836-7.164 16-15.1 16h-52c-8.835 0-16-7.164-16-16v-53.1H160c-8.836 0-16-7.164-16-16v-52c0-8.838 7.164-16 16-16h53.1V192c0-8.838 7.165-16 16-16h52c8.836 0 15.1 7.162 15.1 16v54H352c8.836 0 16 7.162 16 16V314z"],
    "brightness": [512, 512, [], "e0c9", "M224 32C224 14.33 238.3 0 256 0C273.7 0 288 14.33 288 32V80C288 97.67 273.7 112 256 112C238.3 112 224 97.67 224 80V32zM352 256C352 309 309 352 256 352C202.1 352 160 309 160 256C160 202.1 202.1 160 256 160C309 160 352 202.1 352 256zM0 256C0 238.3 14.33 224 32 224H80C97.67 224 112 238.3 112 256C112 273.7 97.67 288 80 288H32C14.33 288 0 273.7 0 256zM480 224C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H432C414.3 288 400 273.7 400 256C400 238.3 414.3 224 432 224H480zM256 512C238.3 512 224 497.7 224 480V432C224 414.3 238.3 400 256 400C273.7 400 288 414.3 288 432V480C288 497.7 273.7 512 256 512zM73.37 438.6C60.88 426.1 60.88 405.9 73.37 393.4L105.4 361.4C117.9 348.9 138.1 348.9 150.6 361.4C163.1 373.9 163.1 394.1 150.6 406.6L118.6 438.6C106.1 451.1 85.87 451.1 73.37 438.6zM393.4 73.37C405.9 60.88 426.1 60.88 438.6 73.37C451.1 85.87 451.1 106.1 438.6 118.6L406.6 150.6C394.1 163.1 373.9 163.1 361.4 150.6C348.9 138.1 348.9 117.9 361.4 105.4L393.4 73.37zM438.6 438.6C426.1 451.1 405.9 451.1 393.4 438.6L361.4 406.6C348.9 394.1 348.9 373.9 361.4 361.4C373.9 348.9 394.1 348.9 406.6 361.4L438.6 393.4C451.1 405.9 451.1 426.1 438.6 438.6zM73.37 118.6C60.88 106.1 60.88 85.87 73.37 73.37C85.87 60.88 106.1 60.88 118.6 73.37L150.6 105.4C163.1 117.9 163.1 138.1 150.6 150.6C138.1 163.1 117.9 163.1 105.4 150.6L73.37 118.6z"],
    "brightness-low": [448, 512, [], "e0ca", "M256 80C256 97.67 241.7 112 224 112C206.3 112 192 97.67 192 80C192 62.33 206.3 48 224 48C241.7 48 256 62.33 256 80zM320 256C320 309 277 352 224 352C170.1 352 128 309 128 256C128 202.1 170.1 160 224 160C277 160 320 202.1 320 256zM192 432C192 414.3 206.3 400 224 400C241.7 400 256 414.3 256 432C256 449.7 241.7 464 224 464C206.3 464 192 449.7 192 432zM400 288C382.3 288 368 273.7 368 256C368 238.3 382.3 224 400 224C417.7 224 432 238.3 432 256C432 273.7 417.7 288 400 288zM48 224C65.67 224 80 238.3 80 256C80 273.7 65.67 288 48 288C30.33 288 16 273.7 16 256C16 238.3 30.33 224 48 224zM128 128C128 145.7 113.7 160 96 160C78.33 160 64 145.7 64 128C64 110.3 78.33 96 96 96C113.7 96 128 110.3 128 128zM352 416C334.3 416 320 401.7 320 384C320 366.3 334.3 352 352 352C369.7 352 384 366.3 384 384C384 401.7 369.7 416 352 416zM384 128C384 145.7 369.7 160 352 160C334.3 160 320 145.7 320 128C320 110.3 334.3 96 352 96C369.7 96 384 110.3 384 128zM96 352C113.7 352 128 366.3 128 384C128 401.7 113.7 416 96 416C78.33 416 64 401.7 64 384C64 366.3 78.33 352 96 352z"],
    "bring-forward": [512, 512, [], "f856", "M224 448H448V224H384V160H448C483.3 160 512 188.7 512 224V448C512 483.3 483.3 512 448 512H224C188.7 512 160 483.3 160 448V384H224V448zM64 352C28.65 352 0 323.3 0 288V64C0 28.65 28.65 0 64 0H288C323.3 0 352 28.65 352 64V288C352 323.3 323.3 352 288 352H64z"],
    "bring-front": [640, 512, [], "f857", "M64 192H128V256H64C28.65 256 0 227.3 0 192V64C0 28.65 28.65 0 64 0H192C227.3 0 256 28.65 256 64H64V192zM576 448V320H512V256H576C611.3 256 640 284.7 640 320V448C640 483.3 611.3 512 576 512H448C412.7 512 384 483.3 384 448H576zM416 96C451.3 96 480 124.7 480 160V352C480 387.3 451.3 416 416 416H224C188.7 416 160 387.3 160 352V160C160 124.7 188.7 96 224 96H416z"],
    "broccoli": [512, 512, [129382], "e3e2", "M437.7 162.7C444.2 152.7 448 140.8 448 128c0-35.35-28.65-64-64-64c-12.8 0-24.67 3.85-34.67 10.33C339.5 31.79 301.5 0 256 0S172.5 31.79 162.7 74.33C152.7 67.85 140.8 64 128 64C92.65 64 64 92.65 64 128c0 12.8 3.85 24.67 10.33 34.67C31.79 172.5 0 210.5 0 256c0 53.02 42.98 96 96 96h320c53.02 0 96-42.98 96-96C512 210.5 480.2 172.5 437.7 162.7zM256 431.2C248.2 413.5 239.8 397.8 231.6 384H134.7c10.9 13.4 40.52 53.05 58.59 106.8C197.6 503.6 209.8 512 223.3 512h65.34c13.49 0 25.76-8.422 30.06-21.21C336.8 437 366.4 397.4 377.3 384h-96.9C272.2 397.8 263.8 413.5 256 431.2z"],
    "broom": [640, 512, [129529], "f51a", "M93.13 257.7C71.25 275.1 53 313.5 38.63 355.1L99 333.1c5.75-2.125 10.62 4.749 6.625 9.499L11 454.7C3.75 486.1 0 510.2 0 510.2s206.6 13.62 266.6-34.12c60-47.87 76.63-150.1 76.63-150.1L256.5 216.7C256.5 216.7 153.1 209.1 93.13 257.7zM633.2 12.34c-10.84-13.91-30.91-16.45-44.91-5.624l-225.7 175.6l-34.99-44.06C322.5 131.9 312.5 133.1 309 140.5L283.8 194.1l86.75 109.2l58.75-12.5c8-1.625 11.38-11.12 6.375-17.5l-33.19-41.79l225.2-175.2C641.6 46.38 644.1 26.27 633.2 12.34z"],
    "broom-ball": [640, 512, ["quidditch", "quidditch-broom-ball"], "f458", "M495.1 351.1c-44.18 0-79.1 35.72-79.1 79.91c0 44.18 35.82 80.09 79.1 80.09s79.1-35.91 79.1-80.09C575.1 387.7 540.2 351.1 495.1 351.1zM242.7 216.4c-30.16 0-102.9 4.15-149.4 41.34c-22 17.5-40.25 55.75-54.63 97.5l60.38-22.12c.7363-.2715 1.46-.3967 2.151-.3967c3.33 0 5.935 2.885 5.935 6.039c0 1.301-.4426 2.647-1.462 3.856L11 454.7C3.75 487.1 0 510.2 0 510.2S27.07 512 64.45 512c65.94 0 163.1-5.499 202.2-35.89c60-47.75 76.63-150.1 76.63-150.1l-86.75-109.2C256.5 216.7 251.4 216.4 242.7 216.4zM607.1 .0074c-6.863 0-13.78 2.192-19.62 6.719L362.7 182.3l-29.88-37.67c-3.248-4.094-7.892-6.058-12.5-6.058c-5.891 0-11.73 3.204-14.54 9.26L283.8 195.1l86.75 109.1l50.88-10.72c7.883-1.66 12.72-8.546 12.72-15.71c0-3.412-1.096-6.886-3.478-9.89l-28.16-35.5l225.2-175.2c8.102-6.312 12.35-15.75 12.35-25.29C640 14.94 626.3 .0074 607.1 .0074z"],
    "browser": [512, 512, [128468], "f37e", "M0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM96 160C113.7 160 128 145.7 128 128C128 110.3 113.7 96 96 96C78.33 96 64 110.3 64 128C64 145.7 78.33 160 96 160zM448 128C448 114.7 437.3 104 424 104H184C170.7 104 160 114.7 160 128C160 141.3 170.7 152 184 152H424C437.3 152 448 141.3 448 128z"],
    "browsers": [576, 512, [], "e0cb", "M512 0C547.3 0 576 28.65 576 64V352C576 387.3 547.3 416 512 416H160C124.7 416 96 387.3 96 352V64C96 28.65 124.7 0 160 0H512zM280 72C266.7 72 256 82.75 256 96C256 109.3 266.7 120 280 120H488C501.3 120 512 109.3 512 96C512 82.75 501.3 72 488 72H280zM192 128C209.7 128 224 113.7 224 96C224 78.33 209.7 64 192 64C174.3 64 160 78.33 160 96C160 113.7 174.3 128 192 128zM48 376C48 424.6 87.4 464 136 464H456C469.3 464 480 474.7 480 488C480 501.3 469.3 512 456 512H136C60.89 512 0 451.1 0 376V120C0 106.7 10.75 96 24 96C37.25 96 48 106.7 48 120V376z"],
    "brush": [384, 512, [], "f55d", "M224 0H336C362.5 0 384 21.49 384 48V256H0V48C0 21.49 21.49 0 48 0H64L96 64L128 0H160L192 64L224 0zM384 288V320C384 355.3 355.3 384 320 384H256V448C256 483.3 227.3 512 192 512C156.7 512 128 483.3 128 448V384H64C28.65 384 0 355.3 0 320V288H384zM192 464C200.8 464 208 456.8 208 448C208 439.2 200.8 432 192 432C183.2 432 176 439.2 176 448C176 456.8 183.2 464 192 464z"],
    "bucket": [448, 512, [], "e4cf", "M96 160H48V152C48 68.05 116.1 0 200 0H248C331.9 0 400 68.05 400 152V160H352V152C352 94.56 305.4 48 248 48H200C142.6 48 96 94.56 96 152V160zM.0003 224C.0003 206.3 14.33 192 32 192H416C433.7 192 448 206.3 448 224C448 241.7 433.7 256 416 256H410.9L388.5 469C385.1 493.5 365.4 512 340.8 512H107.2C82.65 512 62.05 493.5 59.48 469L37.05 256H32C14.33 256 0 241.7 0 224H.0003z"],
    "bug": [512, 512, [], "f188", "M352 96V99.56C352 115.3 339.3 128 323.6 128H188.4C172.7 128 159.1 115.3 159.1 99.56V96C159.1 42.98 202.1 0 255.1 0C309 0 352 42.98 352 96zM41.37 105.4C53.87 92.88 74.13 92.88 86.63 105.4L150.6 169.4C151.3 170 151.9 170.7 152.5 171.4C166.8 164.1 182.9 160 199.1 160H312C329.1 160 345.2 164.1 359.5 171.4C360.1 170.7 360.7 170 361.4 169.4L425.4 105.4C437.9 92.88 458.1 92.88 470.6 105.4C483.1 117.9 483.1 138.1 470.6 150.6L406.6 214.6C405.1 215.3 405.3 215.9 404.6 216.5C410.7 228.5 414.6 241.9 415.7 256H480C497.7 256 512 270.3 512 288C512 305.7 497.7 320 480 320H416C416 344.6 410.5 367.8 400.6 388.6C402.7 389.9 404.8 391.5 406.6 393.4L470.6 457.4C483.1 469.9 483.1 490.1 470.6 502.6C458.1 515.1 437.9 515.1 425.4 502.6L362.3 439.6C337.8 461.4 306.5 475.8 272 479.2V240C272 231.2 264.8 224 255.1 224C247.2 224 239.1 231.2 239.1 240V479.2C205.5 475.8 174.2 461.4 149.7 439.6L86.63 502.6C74.13 515.1 53.87 515.1 41.37 502.6C28.88 490.1 28.88 469.9 41.37 457.4L105.4 393.4C107.2 391.5 109.3 389.9 111.4 388.6C101.5 367.8 96 344.6 96 320H32C14.33 320 0 305.7 0 288C0 270.3 14.33 256 32 256H96.3C97.38 241.9 101.3 228.5 107.4 216.5C106.7 215.9 106 215.3 105.4 214.6L41.37 150.6C28.88 138.1 28.88 117.9 41.37 105.4H41.37z"],
    "bug-slash": [640, 512, [], "e490", "M239.1 162.8C247.7 160.1 255.7 160 264 160H376C393.1 160 409.2 164.1 423.5 171.4C424.1 170.7 424.7 170 425.4 169.4L489.4 105.4C501.9 92.88 522.1 92.88 534.6 105.4C547.1 117.9 547.1 138.1 534.6 150.6L470.6 214.6C469.1 215.3 469.3 215.9 468.6 216.5C474.7 228.5 478.6 241.9 479.7 256H544C561.7 256 576 270.3 576 288C576 305.7 561.7 320 544 320H480C480 329.9 479.1 339.5 477.4 348.9L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L239.1 162.8zM416 96V99.56C416 115.3 403.3 128 387.6 128H252.4C236.7 128 224 115.3 224 99.56V96C224 42.98 266.1 .001 320 .001C373 .001 416 42.98 416 96V96zM160.3 256C161.1 245.1 163.3 236.3 166.7 227.3L304 335.5V479.2C269.5 475.8 238.2 461.4 213.7 439.6L150.6 502.6C138.1 515.1 117.9 515.1 105.4 502.6C92.88 490.1 92.88 469.9 105.4 457.4L169.4 393.4C171.2 391.5 173.3 389.9 175.4 388.6C165.5 367.8 160 344.6 160 320H96C78.33 320 64 305.7 64 288C64 270.3 78.33 256 96 256H160.3zM336 479.2V360.7L430.8 435.4C405.7 459.6 372.7 475.6 336 479.2V479.2z"],
    "bugs": [576, 512, [], "e4d0", "M187.3 135.1H204.3L208.5 115.3C211.1 102.3 223.7 93.86 236.7 96.46C249.7 99.06 258.1 111.7 255.5 124.7L247.5 164.7C245.3 175.9 235.4 183.1 223.1 183.1H191.1V207.3L229.8 216.7C239.3 219.1 246.4 226.9 247.8 236.6L255.8 292.6C257.6 305.7 248.5 317.9 235.4 319.8C222.3 321.6 210.1 312.5 208.2 299.4L202.5 259.4L184.1 254.8C173.2 274.6 152.2 287.1 127.1 287.1C103.8 287.1 82.75 274.6 71.87 254.8L53.48 259.4L47.76 299.4C45.88 312.5 33.73 321.6 20.61 319.8C7.484 317.9-1.633 305.7 .2413 292.6L8.241 236.6C9.621 226.9 16.71 219.1 26.18 216.7L63.1 207.3V183.1H31.1C20.56 183.1 10.71 175.9 8.463 164.7L.4627 124.7C-2.137 111.7 6.292 99.06 19.29 96.46C32.29 93.86 44.93 102.3 47.53 115.3L51.67 135.1H68.65C73.35 124.4 81.36 114.5 91.51 107.4L58.15 33.92C52.67 21.85 58.01 7.625 70.08 2.145C82.15-3.335 96.37 2.007 101.9 14.08L128 71.66L154.1 14.08C159.6 2.007 173.9-3.335 185.9 2.145C197.1 7.625 203.3 21.85 197.9 33.92L164.5 107.4C174.6 114.5 182.6 124.4 187.3 135.1L187.3 135.1zM501.5 322.7L516.2 331.2L530.1 315.3C538.9 305.3 554 304.4 563.1 313.1C573.9 321.9 574.9 337 566.2 346.1L539.2 377.6C531.7 386.2 519.1 388.3 509.2 382.6L481.5 366.6L469.9 386.7L497.9 413.8C504.9 420.6 507.1 430.9 503.5 440L482.4 492.5C477.5 504.8 463.5 510.8 451.2 505.8C438.9 500.9 432.9 486.9 437.9 474.6L452.9 437.1L439.3 423.9C419.1 435.6 395 436.7 374.1 424.6C353.1 412.5 341.6 390.4 342.1 367.8L323.8 362.6L298.9 394.4C290.7 404.8 275.6 406.6 265.2 398.4C254.8 390.3 252.9 375.2 261.1 364.7L296 320.2C302.1 312.6 312.1 309.3 321.5 311.1L359 322.7L370.6 302.6L342.9 286.6C333 280.8 328.5 268.9 332.2 258.1L345.3 219.4C349.5 206.9 363.1 200.2 375.7 204.4C388.2 208.7 394.1 222.3 390.7 234.8L383.1 254.8L398.7 263.3C408.5 255.6 420.4 251 432.8 249.1L440.6 169.7C441.9 156.5 453.6 146.8 466.8 148.1C480 149.4 489.7 161.1 488.4 174.3L482.2 237.3L533.7 200.5C544.5 192.8 559.4 195.3 567.2 206C574.9 216.8 572.4 231.8 561.6 239.5L495.1 286.5C501.2 297.7 503.2 310.3 501.5 322.7V322.7z"],
    "building": [384, 512, [61687, 127970], "f1ad", "M336 0C362.5 0 384 21.49 384 48V464C384 490.5 362.5 512 336 512H240V432C240 405.5 218.5 384 192 384C165.5 384 144 405.5 144 432V512H48C21.49 512 0 490.5 0 464V48C0 21.49 21.49 0 48 0H336zM64 272C64 280.8 71.16 288 80 288H112C120.8 288 128 280.8 128 272V240C128 231.2 120.8 224 112 224H80C71.16 224 64 231.2 64 240V272zM176 224C167.2 224 160 231.2 160 240V272C160 280.8 167.2 288 176 288H208C216.8 288 224 280.8 224 272V240C224 231.2 216.8 224 208 224H176zM256 272C256 280.8 263.2 288 272 288H304C312.8 288 320 280.8 320 272V240C320 231.2 312.8 224 304 224H272C263.2 224 256 231.2 256 240V272zM80 96C71.16 96 64 103.2 64 112V144C64 152.8 71.16 160 80 160H112C120.8 160 128 152.8 128 144V112C128 103.2 120.8 96 112 96H80zM160 144C160 152.8 167.2 160 176 160H208C216.8 160 224 152.8 224 144V112C224 103.2 216.8 96 208 96H176C167.2 96 160 103.2 160 112V144zM272 96C263.2 96 256 103.2 256 112V144C256 152.8 263.2 160 272 160H304C312.8 160 320 152.8 320 144V112C320 103.2 312.8 96 304 96H272z"],
    "building-circle-arrow-right": [640, 512, [], "e4d1", "M0 48C0 21.49 21.49 0 48 0H336C362.5 0 384 21.49 384 48V232.2C344.9 264.5 320 313.3 320 368C320 417.5 340.4 462.2 373.3 494.2C364.5 505.1 351.1 512 336 512H240V432C240 405.5 218.5 384 192 384C165.5 384 144 405.5 144 432V512H48C21.49 512 0 490.5 0 464V48zM80 224C71.16 224 64 231.2 64 240V272C64 280.8 71.16 288 80 288H112C120.8 288 128 280.8 128 272V240C128 231.2 120.8 224 112 224H80zM160 272C160 280.8 167.2 288 176 288H208C216.8 288 224 280.8 224 272V240C224 231.2 216.8 224 208 224H176C167.2 224 160 231.2 160 240V272zM272 224C263.2 224 256 231.2 256 240V272C256 280.8 263.2 288 272 288H304C312.8 288 320 280.8 320 272V240C320 231.2 312.8 224 304 224H272zM64 144C64 152.8 71.16 160 80 160H112C120.8 160 128 152.8 128 144V112C128 103.2 120.8 96 112 96H80C71.16 96 64 103.2 64 112V144zM176 96C167.2 96 160 103.2 160 112V144C160 152.8 167.2 160 176 160H208C216.8 160 224 152.8 224 144V112C224 103.2 216.8 96 208 96H176zM256 144C256 152.8 263.2 160 272 160H304C312.8 160 320 152.8 320 144V112C320 103.2 312.8 96 304 96H272C263.2 96 256 103.2 256 112V144zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM492.7 323.3L521.4 352H432C423.2 352 416 359.2 416 368C416 376.8 423.2 384 432 384H521.4L492.7 412.7C486.4 418.9 486.4 429.1 492.7 435.3C498.9 441.6 509.1 441.6 515.3 435.3L571.3 379.3C577.6 373.1 577.6 362.9 571.3 356.7L515.3 300.7C509.1 294.4 498.9 294.4 492.7 300.7C486.4 306.9 486.4 317.1 492.7 323.3V323.3z"],
    "building-circle-check": [640, 512, [], "e4d2", "M336 0C362.5 0 384 21.49 384 48V232.2C344.9 264.5 320 313.3 320 368C320 417.5 340.4 462.2 373.3 494.2C364.5 505.1 351.1 512 336 512H240V432C240 405.5 218.5 384 192 384C165.5 384 144 405.5 144 432V512H48C21.49 512 0 490.5 0 464V48C0 21.49 21.49 0 48 0H336zM64 272C64 280.8 71.16 288 80 288H112C120.8 288 128 280.8 128 272V240C128 231.2 120.8 224 112 224H80C71.16 224 64 231.2 64 240V272zM176 224C167.2 224 160 231.2 160 240V272C160 280.8 167.2 288 176 288H208C216.8 288 224 280.8 224 272V240C224 231.2 216.8 224 208 224H176zM256 272C256 280.8 263.2 288 272 288H304C312.8 288 320 280.8 320 272V240C320 231.2 312.8 224 304 224H272C263.2 224 256 231.2 256 240V272zM80 96C71.16 96 64 103.2 64 112V144C64 152.8 71.16 160 80 160H112C120.8 160 128 152.8 128 144V112C128 103.2 120.8 96 112 96H80zM160 144C160 152.8 167.2 160 176 160H208C216.8 160 224 152.8 224 144V112C224 103.2 216.8 96 208 96H176C167.2 96 160 103.2 160 112V144zM272 96C263.2 96 256 103.2 256 112V144C256 152.8 263.2 160 272 160H304C312.8 160 320 152.8 320 144V112C320 103.2 312.8 96 304 96H272zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM540.7 324.7L480 385.4L451.3 356.7C445.1 350.4 434.9 350.4 428.7 356.7C422.4 362.9 422.4 373.1 428.7 379.3L468.7 419.3C474.9 425.6 485.1 425.6 491.3 419.3L563.3 347.3C569.6 341.1 569.6 330.9 563.3 324.7C557.1 318.4 546.9 318.4 540.7 324.7H540.7z"],
    "building-circle-exclamation": [640, 512, [], "e4d3", "M336 0C362.5 0 384 21.49 384 48V232.2C344.9 264.5 320 313.3 320 368C320 417.5 340.4 462.2 373.3 494.2C364.5 505.1 351.1 512 336 512H240V432C240 405.5 218.5 384 192 384C165.5 384 144 405.5 144 432V512H48C21.49 512 0 490.5 0 464V48C0 21.49 21.49 0 48 0H336zM64 272C64 280.8 71.16 288 80 288H112C120.8 288 128 280.8 128 272V240C128 231.2 120.8 224 112 224H80C71.16 224 64 231.2 64 240V272zM176 224C167.2 224 160 231.2 160 240V272C160 280.8 167.2 288 176 288H208C216.8 288 224 280.8 224 272V240C224 231.2 216.8 224 208 224H176zM256 272C256 280.8 263.2 288 272 288H304C312.8 288 320 280.8 320 272V240C320 231.2 312.8 224 304 224H272C263.2 224 256 231.2 256 240V272zM80 96C71.16 96 64 103.2 64 112V144C64 152.8 71.16 160 80 160H112C120.8 160 128 152.8 128 144V112C128 103.2 120.8 96 112 96H80zM160 144C160 152.8 167.2 160 176 160H208C216.8 160 224 152.8 224 144V112C224 103.2 216.8 96 208 96H176C167.2 96 160 103.2 160 112V144zM272 96C263.2 96 256 103.2 256 112V144C256 152.8 263.2 160 272 160H304C312.8 160 320 152.8 320 144V112C320 103.2 312.8 96 304 96H272zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 464C509.3 464 520 453.3 520 440C520 426.7 509.3 416 496 416C482.7 416 472 426.7 472 440C472 453.3 482.7 464 496 464zM479.1 288V368C479.1 376.8 487.2 384 495.1 384C504.8 384 511.1 376.8 511.1 368V288C511.1 279.2 504.8 272 495.1 272C487.2 272 479.1 279.2 479.1 288z"],
    "building-circle-xmark": [640, 512, [], "e4d4", "M336 0C362.5 0 384 21.49 384 48V232.2C344.9 264.5 320 313.3 320 368C320 417.5 340.4 462.2 373.3 494.2C364.5 505.1 351.1 512 336 512H240V432C240 405.5 218.5 384 192 384C165.5 384 144 405.5 144 432V512H48C21.49 512 0 490.5 0 464V48C0 21.49 21.49 0 48 0H336zM64 272C64 280.8 71.16 288 80 288H112C120.8 288 128 280.8 128 272V240C128 231.2 120.8 224 112 224H80C71.16 224 64 231.2 64 240V272zM176 224C167.2 224 160 231.2 160 240V272C160 280.8 167.2 288 176 288H208C216.8 288 224 280.8 224 272V240C224 231.2 216.8 224 208 224H176zM256 272C256 280.8 263.2 288 272 288H304C312.8 288 320 280.8 320 272V240C320 231.2 312.8 224 304 224H272C263.2 224 256 231.2 256 240V272zM80 96C71.16 96 64 103.2 64 112V144C64 152.8 71.16 160 80 160H112C120.8 160 128 152.8 128 144V112C128 103.2 120.8 96 112 96H80zM160 144C160 152.8 167.2 160 176 160H208C216.8 160 224 152.8 224 144V112C224 103.2 216.8 96 208 96H176C167.2 96 160 103.2 160 112V144zM272 96C263.2 96 256 103.2 256 112V144C256 152.8 263.2 160 272 160H304C312.8 160 320 152.8 320 144V112C320 103.2 312.8 96 304 96H272zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM555.3 331.3C561.6 325.1 561.6 314.9 555.3 308.7C549.1 302.4 538.9 302.4 532.7 308.7L496 345.4L459.3 308.7C453.1 302.4 442.9 302.4 436.7 308.7C430.4 314.9 430.4 325.1 436.7 331.3L473.4 368L436.7 404.7C430.4 410.9 430.4 421.1 436.7 427.3C442.9 433.6 453.1 433.6 459.3 427.3L496 390.6L532.7 427.3C538.9 433.6 549.1 433.6 555.3 427.3C561.6 421.1 561.6 410.9 555.3 404.7L518.6 368L555.3 331.3z"],
    "building-columns": [512, 512, ["bank", "institution", "museum", "university"], "f19c", "M243.4 2.587C251.4-.8625 260.6-.8625 268.6 2.587L492.6 98.59C506.6 104.6 514.4 119.6 511.3 134.4C508.3 149.3 495.2 159.1 479.1 160V168C479.1 181.3 469.3 192 455.1 192H55.1C42.74 192 31.1 181.3 31.1 168V160C16.81 159.1 3.708 149.3 .6528 134.4C-2.402 119.6 5.429 104.6 19.39 98.59L243.4 2.587zM256 128C273.7 128 288 113.7 288 96C288 78.33 273.7 64 256 64C238.3 64 224 78.33 224 96C224 113.7 238.3 128 256 128zM127.1 416H167.1V224H231.1V416H280V224H344V416H384V224H448V420.3C448.6 420.6 449.2 420.1 449.8 421.4L497.8 453.4C509.5 461.2 514.7 475.8 510.6 489.3C506.5 502.8 494.1 512 480 512H31.1C17.9 512 5.458 502.8 1.372 489.3C-2.715 475.8 2.515 461.2 14.25 453.4L62.25 421.4C62.82 420.1 63.41 420.6 63.1 420.3V224H127.1V416z"],
    "building-flag": [640, 512, [], "e4d5", "M336 0C362.5 0 384 21.49 384 48V464C384 490.5 362.5 512 336 512H240V432C240 405.5 218.5 384 192 384C165.5 384 144 405.5 144 432V512H48C21.49 512 0 490.5 0 464V48C0 21.49 21.49 0 48 0H336zM64 272C64 280.8 71.16 288 80 288H112C120.8 288 128 280.8 128 272V240C128 231.2 120.8 224 112 224H80C71.16 224 64 231.2 64 240V272zM176 224C167.2 224 160 231.2 160 240V272C160 280.8 167.2 288 176 288H208C216.8 288 224 280.8 224 272V240C224 231.2 216.8 224 208 224H176zM256 272C256 280.8 263.2 288 272 288H304C312.8 288 320 280.8 320 272V240C320 231.2 312.8 224 304 224H272C263.2 224 256 231.2 256 240V272zM80 96C71.16 96 64 103.2 64 112V144C64 152.8 71.16 160 80 160H112C120.8 160 128 152.8 128 144V112C128 103.2 120.8 96 112 96H80zM160 144C160 152.8 167.2 160 176 160H208C216.8 160 224 152.8 224 144V112C224 103.2 216.8 96 208 96H176C167.2 96 160 103.2 160 112V144zM272 96C263.2 96 256 103.2 256 112V144C256 152.8 263.2 160 272 160H304C312.8 160 320 152.8 320 144V112C320 103.2 312.8 96 304 96H272zM448 0C465.7 0 480 14.33 480 32H624C632.8 32 640 39.16 640 48V176C640 184.8 632.8 192 624 192H480V512H416V32C416 14.33 430.3 0 448 0z"],
    "building-lock": [576, 512, [], "e4d6", "M336 0C362.5 0 384 21.49 384 48V193.6C364.2 213.8 352 241.5 352 272V296.6C332.9 307.6 320 328.3 320 352V480C320 491.7 323.1 502.6 328.6 512H240V432C240 405.5 218.5 384 192 384C165.5 384 144 405.5 144 432V512H48C21.49 512 0 490.5 0 464V48C0 21.49 21.49 0 48 0H336zM64 272C64 280.8 71.16 288 80 288H112C120.8 288 128 280.8 128 272V240C128 231.2 120.8 224 112 224H80C71.16 224 64 231.2 64 240V272zM176 224C167.2 224 160 231.2 160 240V272C160 280.8 167.2 288 176 288H208C216.8 288 224 280.8 224 272V240C224 231.2 216.8 224 208 224H176zM256 272C256 280.8 263.2 288 272 288H304C312.8 288 320 280.8 320 272V240C320 231.2 312.8 224 304 224H272C263.2 224 256 231.2 256 240V272zM80 96C71.16 96 64 103.2 64 112V144C64 152.8 71.16 160 80 160H112C120.8 160 128 152.8 128 144V112C128 103.2 120.8 96 112 96H80zM160 144C160 152.8 167.2 160 176 160H208C216.8 160 224 152.8 224 144V112C224 103.2 216.8 96 208 96H176C167.2 96 160 103.2 160 112V144zM272 96C263.2 96 256 103.2 256 112V144C256 152.8 263.2 160 272 160H304C312.8 160 320 152.8 320 144V112C320 103.2 312.8 96 304 96H272zM464 192C508.2 192 544 227.8 544 272V320C561.7 320 576 334.3 576 352V480C576 497.7 561.7 512 544 512H384C366.3 512 352 497.7 352 480V352C352 334.3 366.3 320 384 320V272C384 227.8 419.8 192 464 192zM464 240C446.3 240 432 254.3 432 272V320H496V272C496 254.3 481.7 240 464 240z"],
    "building-ngo": [384, 512, [], "e4d7", "M320 112V144C320 152.8 312.8 160 304 160C295.2 160 288 152.8 288 144V112C288 103.2 295.2 96 304 96C312.8 96 320 103.2 320 112zM336 0C362.5 0 384 21.49 384 48V464C384 490.5 362.5 512 336 512H240V432C240 405.5 218.5 384 192 384C165.5 384 144 405.5 144 432V512H48C21.49 512 0 490.5 0 464V48C0 21.49 21.49 0 48 0H336zM64 272C64 280.8 71.16 288 80 288H112C120.8 288 128 280.8 128 272V240C128 231.2 120.8 224 112 224H80C71.16 224 64 231.2 64 240V272zM176 224C167.2 224 160 231.2 160 240V272C160 280.8 167.2 288 176 288H208C216.8 288 224 280.8 224 272V240C224 231.2 216.8 224 208 224H176zM256 272C256 280.8 263.2 288 272 288H304C312.8 288 320 280.8 320 272V240C320 231.2 312.8 224 304 224H272C263.2 224 256 231.2 256 240V272zM168 64C159.2 64 152 71.16 152 80V168C152 181.3 162.7 192 176 192H208C221.3 192 232 181.3 232 168V144C232 135.2 224.8 128 216 128C207.2 128 200 135.2 200 144V160H184V96H216C224.8 96 232 88.84 232 80C232 71.16 224.8 64 216 64H168zM256 144C256 170.5 277.5 192 304 192C330.5 192 352 170.5 352 144V112C352 85.49 330.5 64 304 64C277.5 64 256 85.49 256 112V144zM61.31 71.12C57.4 65.26 50.11 62.64 43.36 64.69C36.62 66.73 32 72.95 32 80V176C32 184.8 39.16 192 48 192C56.84 192 64 184.8 64 176V132.8L98.69 184.9C102.6 190.7 109.9 193.4 116.6 191.3C123.4 189.3 128 183.1 128 176V80C128 71.16 120.8 64 112 64C103.2 64 96 71.16 96 80V123.2L61.31 71.12z"],
    "building-shield": [576, 512, [], "e4d8", "M0 48C0 21.49 21.49 0 48 0H336C362.5 0 384 21.49 384 48V207L341.6 224H272C263.2 224 256 231.2 256 240V304C256 304.9 256.1 305.7 256.2 306.6C258.5 364.7 280.3 451.4 354.9 508.1C349.1 510.6 342.7 512 336 512H240V432C240 405.5 218.5 384 192 384C165.5 384 144 405.5 144 432V512H48C21.49 512 0 490.5 0 464V48zM80 224C71.16 224 64 231.2 64 240V272C64 280.8 71.16 288 80 288H112C120.8 288 128 280.8 128 272V240C128 231.2 120.8 224 112 224H80zM160 272C160 280.8 167.2 288 176 288H208C216.8 288 224 280.8 224 272V240C224 231.2 216.8 224 208 224H176C167.2 224 160 231.2 160 240V272zM64 144C64 152.8 71.16 160 80 160H112C120.8 160 128 152.8 128 144V112C128 103.2 120.8 96 112 96H80C71.16 96 64 103.2 64 112V144zM176 96C167.2 96 160 103.2 160 112V144C160 152.8 167.2 160 176 160H208C216.8 160 224 152.8 224 144V112C224 103.2 216.8 96 208 96H176zM256 144C256 152.8 263.2 160 272 160H304C312.8 160 320 152.8 320 144V112C320 103.2 312.8 96 304 96H272C263.2 96 256 103.2 256 112V144zM423.1 225.7C428.8 223.4 435.2 223.4 440.9 225.7L560.9 273.7C570 277.4 576 286.2 576 296C576 359.3 550.1 464.8 441.2 510.2C435.3 512.6 428.7 512.6 422.8 510.2C313.9 464.8 288 359.3 288 296C288 286.2 293.1 277.4 303.1 273.7L423.1 225.7zM432 273.8V461.7C500.2 428.7 523.5 362.7 527.4 311.1L432 273.8z"],
    "building-un": [384, 512, [], "e4d9", "M336 0C362.5 0 384 21.49 384 48V464C384 490.5 362.5 512 336 512H240V432C240 405.5 218.5 384 192 384C165.5 384 144 405.5 144 432V512H48C21.49 512 0 490.5 0 464V48C0 21.49 21.49 0 48 0H336zM64 272C64 280.8 71.16 288 80 288H112C120.8 288 128 280.8 128 272V240C128 231.2 120.8 224 112 224H80C71.16 224 64 231.2 64 240V272zM176 224C167.2 224 160 231.2 160 240V272C160 280.8 167.2 288 176 288H208C216.8 288 224 280.8 224 272V240C224 231.2 216.8 224 208 224H176zM256 272C256 280.8 263.2 288 272 288H304C312.8 288 320 280.8 320 272V240C320 231.2 312.8 224 304 224H272C263.2 224 256 231.2 256 240V272zM237.3 71.12C233.4 65.26 226.1 62.64 219.4 64.69C212.6 66.73 208 72.95 208 80V176C208 184.8 215.2 192 224 192C232.8 192 240 184.8 240 176V132.8L274.7 184.9C278.6 190.7 285.9 193.4 292.6 191.3C299.4 189.3 304 183.1 304 176V80C304 71.16 296.8 64 288 64C279.2 64 272 71.16 272 80V123.2L237.3 71.12zM112 80C112 71.16 104.8 64 96 64C87.16 64 80 71.16 80 80V144C80 170.5 101.5 192 128 192C154.5 192 176 170.5 176 144V80C176 71.16 168.8 64 160 64C151.2 64 144 71.16 144 80V144C144 152.8 136.8 160 128 160C119.2 160 112 152.8 112 144V80z"],
    "building-user": [640, 512, [], "e4da", "M336 0C362.5 0 384 21.49 384 48V367.8C345.8 389.2 320 430 320 476.9C320 489.8 323.6 501.8 329.9 512H240V432C240 405.5 218.5 384 192 384C165.5 384 144 405.5 144 432V512H48C21.49 512 0 490.5 0 464V48C0 21.49 21.49 0 48 0H336zM64 272C64 280.8 71.16 288 80 288H112C120.8 288 128 280.8 128 272V240C128 231.2 120.8 224 112 224H80C71.16 224 64 231.2 64 240V272zM176 224C167.2 224 160 231.2 160 240V272C160 280.8 167.2 288 176 288H208C216.8 288 224 280.8 224 272V240C224 231.2 216.8 224 208 224H176zM256 272C256 280.8 263.2 288 272 288H304C312.8 288 320 280.8 320 272V240C320 231.2 312.8 224 304 224H272C263.2 224 256 231.2 256 240V272zM80 96C71.16 96 64 103.2 64 112V144C64 152.8 71.16 160 80 160H112C120.8 160 128 152.8 128 144V112C128 103.2 120.8 96 112 96H80zM160 144C160 152.8 167.2 160 176 160H208C216.8 160 224 152.8 224 144V112C224 103.2 216.8 96 208 96H176C167.2 96 160 103.2 160 112V144zM272 96C263.2 96 256 103.2 256 112V144C256 152.8 263.2 160 272 160H304C312.8 160 320 152.8 320 144V112C320 103.2 312.8 96 304 96H272zM576 272C576 316.2 540.2 352 496 352C451.8 352 416 316.2 416 272C416 227.8 451.8 192 496 192C540.2 192 576 227.8 576 272zM352 477.1C352 425.7 393.7 384 445.1 384H546.9C598.3 384 640 425.7 640 477.1C640 496.4 624.4 512 605.1 512H386.9C367.6 512 352 496.4 352 477.1V477.1z"],
    "building-wheat": [640, 512, [], "e4db", "M0 48C0 21.49 21.49 0 48 0H336C362.5 0 384 21.49 384 48V464C384 490.5 362.5 512 336 512H240V432C240 405.5 218.5 384 192 384C165.5 384 144 405.5 144 432V512H48C21.49 512 0 490.5 0 464V48zM80 224C71.16 224 64 231.2 64 240V272C64 280.8 71.16 288 80 288H112C120.8 288 128 280.8 128 272V240C128 231.2 120.8 224 112 224H80zM160 272C160 280.8 167.2 288 176 288H208C216.8 288 224 280.8 224 272V240C224 231.2 216.8 224 208 224H176C167.2 224 160 231.2 160 240V272zM272 224C263.2 224 256 231.2 256 240V272C256 280.8 263.2 288 272 288H304C312.8 288 320 280.8 320 272V240C320 231.2 312.8 224 304 224H272zM64 144C64 152.8 71.16 160 80 160H112C120.8 160 128 152.8 128 144V112C128 103.2 120.8 96 112 96H80C71.16 96 64 103.2 64 112V144zM176 96C167.2 96 160 103.2 160 112V144C160 152.8 167.2 160 176 160H208C216.8 160 224 152.8 224 144V112C224 103.2 216.8 96 208 96H176zM256 144C256 152.8 263.2 160 272 160H304C312.8 160 320 152.8 320 144V112C320 103.2 312.8 96 304 96H272C263.2 96 256 103.2 256 112V144zM640 192V208C640 252.2 604.2 288 560 288H544V272C544 227.8 579.8 192 624 192H640zM560 400H544V384C544 339.8 579.8 304 624 304H640V320C640 364.2 604.2 400 560 400zM560 512H544V496C544 451.8 579.8 416 624 416H640V432C640 476.2 604.2 512 560 512zM512 496V512H496C451.8 512 416 476.2 416 432V416H432C476.2 416 512 451.8 512 496zM496 400C451.8 400 416 364.2 416 320V304H432C476.2 304 512 339.8 512 384V400H496zM512 272V288H496C451.8 288 416 252.2 416 208V192H432C476.2 192 512 227.8 512 272zM528 32C541.3 32 552 42.75 552 56V160C552 173.3 541.3 184 528 184C514.7 184 504 173.3 504 160V56C504 42.75 514.7 32 528 32zM624 128C624 141.3 613.3 152 600 152C586.7 152 576 141.3 576 128V96C576 82.75 586.7 72 600 72C613.3 72 624 82.75 624 96V128zM456 72C469.3 72 480 82.75 480 96V128C480 141.3 469.3 152 456 152C442.7 152 432 141.3 432 128V96C432 82.75 442.7 72 456 72z"],
    "buildings": [512, 512, [], "e0cc", "M448 0C483.3 0 512 28.65 512 64V448C512 483.3 483.3 512 448 512H64C28.65 512 0 483.3 0 448V192C0 156.7 28.65 128 64 128H192V64C192 28.65 220.7 0 256 0H448zM64 336C64 344.8 71.16 352 80 352H112C120.8 352 128 344.8 128 336V304C128 295.2 120.8 288 112 288H80C71.16 288 64 295.2 64 304V336zM304 320C312.8 320 320 312.8 320 304V272C320 263.2 312.8 256 304 256H272C263.2 256 256 263.2 256 272V304C256 312.8 263.2 320 272 320H304zM384 304C384 312.8 391.2 320 400 320H432C440.8 320 448 312.8 448 304V272C448 263.2 440.8 256 432 256H400C391.2 256 384 263.2 384 272V304zM80 192C71.16 192 64 199.2 64 208V240C64 248.8 71.16 256 80 256H112C120.8 256 128 248.8 128 240V208C128 199.2 120.8 192 112 192H80zM256 112C256 120.8 263.2 128 272 128H304C312.8 128 320 120.8 320 112V80C320 71.16 312.8 64 304 64H272C263.2 64 256 71.16 256 80V112zM400 64C391.2 64 384 71.16 384 80V112C384 120.8 391.2 128 400 128H432C440.8 128 448 120.8 448 112V80C448 71.16 440.8 64 432 64H400zM256 208C256 216.8 263.2 224 272 224H304C312.8 224 320 216.8 320 208V176C320 167.2 312.8 160 304 160H272C263.2 160 256 167.2 256 176V208zM432 224C440.8 224 448 216.8 448 208V176C448 167.2 440.8 160 432 160H400C391.2 160 384 167.2 384 176V208C384 216.8 391.2 224 400 224H432z"],
    "bullhorn": [512, 512, [128363, 128226], "f0a1", "M480 179.6C498.6 188.4 512 212.1 512 240C512 267.9 498.6 291.6 480 300.4V448C480 460.9 472.2 472.6 460.2 477.6C448.3 482.5 434.5 479.8 425.4 470.6L381.7 426.1C333.7 378.1 268.6 352 200.7 352H192V480C192 497.7 177.7 512 160 512H96C78.33 512 64 497.7 64 480V352C28.65 352 0 323.3 0 288V192C0 156.7 28.65 128 64 128H200.7C268.6 128 333.7 101 381.7 53.02L425.4 9.373C434.5 .2215 448.3-2.516 460.2 2.437C472.2 7.39 480 19.06 480 32V179.6zM200.7 192H192V288H200.7C280.5 288 357.2 317.8 416 371.3V108.7C357.2 162.2 280.5 192 200.7 192V192z"],
    "bullseye": [512, 512, [], "f140", "M288 256C288 273.7 273.7 288 256 288C238.3 288 224 273.7 224 256C224 238.3 238.3 224 256 224C273.7 224 288 238.3 288 256zM112 256C112 176.5 176.5 112 256 112C335.5 112 400 176.5 400 256C400 335.5 335.5 400 256 400C176.5 400 112 335.5 112 256zM256 336C300.2 336 336 300.2 336 256C336 211.8 300.2 176 256 176C211.8 176 176 211.8 176 256C176 300.2 211.8 336 256 336zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 64C149.1 64 64 149.1 64 256C64 362 149.1 448 256 448C362 448 448 362 448 256C448 149.1 362 64 256 64z"],
    "bullseye-arrow": [512, 512, [127919], "f648", "M366.4 213.5L395 218.3C398.3 230.3 400 242.9 400 256C400 335.5 335.5 400 256 400C176.5 400 112 335.5 112 256C112 176.5 176.5 112 256 112C269.1 112 281.7 113.7 293.7 116.1L298.5 145.6L267.3 176.8C263.6 176.3 259.8 175.1 256 175.1C211.8 175.1 176 211.8 176 255.1C176 300.2 211.8 336 256 336C300.2 336 336 300.2 336 255.1C336 252.2 335.7 248.4 335.2 244.7L366.4 213.5zM497.7 171.5C506.1 197.1 512 226.4 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C285.6 0 314 5.024 340.5 14.27L288.1 66.67C277.6 64.91 266.9 64 256 64C149.1 64 64 149.1 64 256C64 362 149.1 448 256 448C362 448 448 362 448 256C448 245.1 447.1 234.4 445.3 223.9L497.7 171.5zM272.1 272.1C263.6 282.3 248.4 282.3 239 272.1C229.7 263.6 229.7 248.4 239 239L331.2 146.9L322.7 96.24C321 86.05 324.3 75.66 331.6 68.36L382.8 17.16C390.1 9.035 404.7 11.86 409 22.53L432 79.1L489.5 102.1C500.1 107.3 502.1 121 494.8 129.2L443.6 180.4C436.3 187.7 425.9 190.1 415.8 189.3L365.1 180.8L272.1 272.1z"],
    "bullseye-pointer": [512, 512, [], "f649", "M256 448C362 448 448 362 448 256C448 149.1 362 64 256 64C149.1 64 64 149.1 64 256C64 259.9 64.12 263.8 64.35 267.7L1.754 286.1C.5958 276.2 0 266.2 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C245.8 512 235.8 511.4 225.9 510.2L244.3 447.6C248.2 447.9 252.1 448 256 448zM278 332.9C311.5 323.4 336 292.5 336 256C336 211.8 300.2 176 256 176C219.5 176 188.6 200.5 179.1 233.1L112 253.7C113.2 175.2 177.2 111.1 256 111.1C335.5 111.1 400 176.5 400 255.1C400 334.8 336.8 398.8 258.3 399.1L278 332.9zM39.01 308.5L243.9 248.3C256 244.7 267.3 255.1 263.7 268.1L203.5 472.1C199.4 486.9 180.3 488.6 173.8 475.6L145.2 418.3C144.5 416.1 143.6 415.7 142.6 414.6L54.63 502.6C42.13 515.1 21.87 515.1 9.373 502.6C-3.124 490.1-3.124 469.9 9.373 457.4L97.36 369.4C96.26 368.4 95.02 367.5 93.68 366.8L36.37 338.2C23.38 331.7 25.07 312.6 39.01 308.5V308.5z"],
    "burger": [512, 512, ["hamburger"], "f805", "M481.9 270.1C490.9 279.1 496 291.3 496 304C496 316.7 490.9 328.9 481.9 337.9C472.9 346.9 460.7 352 448 352H64C51.27 352 39.06 346.9 30.06 337.9C21.06 328.9 16 316.7 16 304C16 291.3 21.06 279.1 30.06 270.1C39.06 261.1 51.27 256 64 256H448C460.7 256 472.9 261.1 481.9 270.1zM475.3 388.7C478.3 391.7 480 395.8 480 400V416C480 432.1 473.3 449.3 461.3 461.3C449.3 473.3 432.1 480 416 480H96C79.03 480 62.75 473.3 50.75 461.3C38.74 449.3 32 432.1 32 416V400C32 395.8 33.69 391.7 36.69 388.7C39.69 385.7 43.76 384 48 384H464C468.2 384 472.3 385.7 475.3 388.7zM50.39 220.8C45.93 218.6 42.03 215.5 38.97 211.6C35.91 207.7 33.79 203.2 32.75 198.4C31.71 193.5 31.8 188.5 32.99 183.7C54.98 97.02 146.5 32 256 32C365.5 32 457 97.02 479 183.7C480.2 188.5 480.3 193.5 479.2 198.4C478.2 203.2 476.1 207.7 473 211.6C469.1 215.5 466.1 218.6 461.6 220.8C457.2 222.9 452.3 224 447.3 224H64.67C59.73 224 54.84 222.9 50.39 220.8zM372.7 116.7C369.7 119.7 368 123.8 368 128C368 131.2 368.9 134.3 370.7 136.9C372.5 139.5 374.1 141.6 377.9 142.8C380.8 143.1 384 144.3 387.1 143.7C390.2 143.1 393.1 141.6 395.3 139.3C397.6 137.1 399.1 134.2 399.7 131.1C400.3 128 399.1 124.8 398.8 121.9C397.6 118.1 395.5 116.5 392.9 114.7C390.3 112.9 387.2 111.1 384 111.1C379.8 111.1 375.7 113.7 372.7 116.7V116.7zM244.7 84.69C241.7 87.69 240 91.76 240 96C240 99.16 240.9 102.3 242.7 104.9C244.5 107.5 246.1 109.6 249.9 110.8C252.8 111.1 256 112.3 259.1 111.7C262.2 111.1 265.1 109.6 267.3 107.3C269.6 105.1 271.1 102.2 271.7 99.12C272.3 96.02 271.1 92.8 270.8 89.88C269.6 86.95 267.5 84.45 264.9 82.7C262.3 80.94 259.2 79.1 256 79.1C251.8 79.1 247.7 81.69 244.7 84.69V84.69zM116.7 116.7C113.7 119.7 112 123.8 112 128C112 131.2 112.9 134.3 114.7 136.9C116.5 139.5 118.1 141.6 121.9 142.8C124.8 143.1 128 144.3 131.1 143.7C134.2 143.1 137.1 141.6 139.3 139.3C141.6 137.1 143.1 134.2 143.7 131.1C144.3 128 143.1 124.8 142.8 121.9C141.6 118.1 139.5 116.5 136.9 114.7C134.3 112.9 131.2 111.1 128 111.1C123.8 111.1 119.7 113.7 116.7 116.7L116.7 116.7z"],
    "burger-cheese": [512, 512, [127828, "cheeseburger"], "f7f1", "M475.3 388.7C478.3 391.7 480 395.8 480 400V416C480 432.1 473.3 449.3 461.3 461.3C449.3 473.3 432.1 480 416 480H96C79.03 480 62.75 473.3 50.75 461.3C38.74 449.3 32 432.1 32 416V400C32 395.8 33.69 391.7 36.69 388.7C39.69 385.7 43.76 384 48 384H464C468.2 384 472.3 385.7 475.3 388.7zM481.9 270.1C490.9 279.1 496 291.3 496 304C496 316.7 490.9 328.9 481.9 337.9C472.9 346.9 460.7 352 448 352H64C51.27 352 39.06 346.9 30.06 337.9C21.06 328.9 16 316.7 16 304C16 291.3 21.06 279.1 30.06 270.1C39.06 261.1 51.27 256 64 256H224L320 320L416 256H448C460.7 256 472.9 261.1 481.9 270.1zM50.39 220.8C45.93 218.6 42.03 215.5 38.97 211.6C35.91 207.7 33.79 203.2 32.75 198.4C31.71 193.5 31.8 188.5 32.99 183.7C54.98 97.02 146.5 32 256 32C365.5 32 457 97.02 479 183.7C480.2 188.5 480.3 193.5 479.2 198.4C478.2 203.2 476.1 207.7 473 211.6C469.1 215.5 466.1 218.6 461.6 220.8C457.2 222.9 452.3 224 447.3 224H64.67C59.73 224 54.84 222.9 50.39 220.8zM372.7 116.7C369.7 119.7 368 123.8 368 128C368 131.2 368.9 134.3 370.7 136.9C372.5 139.5 374.1 141.6 377.9 142.8C380.8 143.1 384 144.3 387.1 143.7C390.2 143.1 393.1 141.6 395.3 139.3C397.6 137.1 399.1 134.2 399.7 131.1C400.3 128 399.1 124.8 398.8 121.9C397.6 118.1 395.5 116.5 392.9 114.7C390.3 112.9 387.2 111.1 384 111.1C379.8 111.1 375.7 113.7 372.7 116.7V116.7zM244.7 84.69C241.7 87.69 240 91.76 240 96C240 99.16 240.9 102.3 242.7 104.9C244.5 107.5 246.1 109.6 249.9 110.8C252.8 111.1 256 112.3 259.1 111.7C262.2 111.1 265.1 109.6 267.3 107.3C269.6 105.1 271.1 102.2 271.7 99.12C272.3 96.02 271.1 92.8 270.8 89.88C269.6 86.95 267.5 84.45 264.9 82.7C262.3 80.94 259.2 79.1 256 79.1C251.8 79.1 247.7 81.69 244.7 84.69V84.69zM116.7 116.7C113.7 119.7 112 123.8 112 128C112 131.2 112.9 134.3 114.7 136.9C116.5 139.5 118.1 141.6 121.9 142.8C124.8 143.1 128 144.3 131.1 143.7C134.2 143.1 137.1 141.6 139.3 139.3C141.6 137.1 143.1 134.2 143.7 131.1C144.3 128 143.1 124.8 142.8 121.9C141.6 118.1 139.5 116.5 136.9 114.7C134.3 112.9 131.2 111.1 128 111.1C123.8 111.1 119.7 113.7 116.7 116.7L116.7 116.7z"],
    "burger-fries": [640, 512, [], "e0cd", "M160 268.8V15.1C160 13.28 160.7 10.6 162 8.228C163.4 5.853 165.3 3.857 167.6 2.429C169.9 .9997 172.6 .1853 175.3 .0624C177.1-.0604 180.7 .5117 183.1 1.725L215.1 17.73C217.8 19.02 220.1 21.05 221.6 23.58C223.2 26.11 224 29.02 224 31.1V268.8C202.9 273.2 181.1 273.2 160 268.8zM370.2 176.4C355 181.9 340.4 188.8 326.6 197.1L346.1 85.92L363.4 80.8C365.1 80.02 368.8 79.92 371.4 80.5C374.1 81.09 376.5 82.34 378.6 84.14C380.6 85.94 382.1 88.23 383 90.79C383.1 93.35 384.2 96.1 383.7 98.78L370.2 176.5L370.2 176.4zM277.6 335.1C271.2 341.6 265.1 348.5 262.3 356.2C258.6 363.9 256.5 372.2 256.1 380.7C255.6 389.2 256.9 397.8 259.8 405.8C262.7 413.8 267.2 421.1 272.1 427.4C267.7 431.9 263.4 437.5 260.5 443.8C257.5 450.1 256 457 256 463.1C256 468.9 256.5 473.7 257.5 478.5C257.9 480.8 258.6 482.1 259.2 485.1C259.8 487.3 260.4 489.4 261.2 491.5C262.3 494.4 263.5 497.2 264.9 499.9C265.4 500.9 265.1 501.9 266.5 502.8C268.3 506 270.2 509.1 272.4 511.1H85.73C78.44 512 71.36 509.6 65.67 505C59.97 500.5 55.1 494.1 54.4 487L.3847 243.5C-.1378 241.1-.1279 238.7 .4135 236.4C.9553 234 2.015 231.9 3.514 229.1C5.013 228.1 6.914 226.6 9.075 225.6C11.24 224.5 13.6 223.1 16 223.1H49.98C53.39 223.8 56.75 224.8 59.52 226.8C62.29 228.8 64.31 231.7 65.25 234.1C73.89 273.1 127.4 303.1 192 303.1C214.1 304.1 236 300.4 256.8 292.9C257.1 296.1 257.7 301 258.7 305C259.8 309.6 261.4 314.1 263.6 318.3C267.2 325 271.9 330.1 277.6 335.1zM101.1 237.7L64.29 40.61C63.73 37.67 64.01 34.63 65.09 31.84C66.17 29.06 68.01 26.63 70.4 24.83L98.88 3.197C101.1 1.553 103.6 .4938 106.3 .1197C109-.2544 111.8 .0695 114.3 1.061C116.9 2.052 119.1 3.677 120.9 5.781C122.6 7.886 123.8 10.4 124.3 13.09L128 33.09V258.5C117.4 253.9 108.2 246.8 101.1 237.7H101.1zM16.51 191.1L.2567 98.72C-.1961 96.03 .0433 93.28 .9518 90.71C1.86 88.15 3.408 85.86 5.448 84.06C7.489 82.26 9.955 81.01 12.61 80.43C15.27 79.84 18.03 79.95 20.64 80.73L40.38 86.59L60.38 193.8C57 192.8 53.53 192.2 50.02 191.1H16.51zM289.6 223.2C289.1 224.5 288.4 225.8 287.9 227.2C284.1 230.1 282.2 233.1 279.6 236.1C275.2 240.9 271.1 245.1 267.3 251.3C267.1 251.7 267 252.1 266.8 252.4C263.3 254.7 259.7 256.7 256 258.5V51.2C256.9 49.28 258.2 47.57 259.7 46.16C261.3 44.74 263.1 43.66 265.1 42.97L299.4 32.73C301.1 31.96 304.8 31.86 307.4 32.44C310.1 33.03 312.5 34.28 314.6 36.08C316.6 37.88 318.1 40.16 319 42.73C319.1 45.29 320.2 48.04 319.7 50.72L289.6 223.2zM635.3 452.7C638.3 455.7 640 459.8 640 463.1C640 476.7 634.9 488.9 625.9 497.9C616.9 506.9 604.7 511.1 592 511.1H336C323.3 511.1 311.1 506.9 302.1 497.9C293.1 488.9 288 476.7 288 463.1C288 459.8 289.7 455.7 292.7 452.7C295.7 449.7 299.8 447.1 304 447.1H624C628.2 447.1 632.3 449.7 635.3 452.7zM369.7 210.4C399.2 197 431.6 190.7 464 191.1C496.5 190.7 528.8 197.1 558.3 210.5C587.9 223.9 613.9 244.1 634.3 269.4C637.7 274.1 639.8 279.7 640.2 285.6C640.7 291.4 639.5 297.2 636.9 302.4C634.2 307.7 630.2 312.1 625.3 315.1C620.3 318.2 614.6 319.9 608.7 319.1H319.3C313.4 319.9 307.7 318.2 302.8 315.1C297.8 312 293.8 307.6 291.2 302.4C288.6 297.2 287.4 291.4 287.9 285.5C288.3 279.7 290.4 274.1 293.8 269.4C314.1 244.1 340.1 223.9 369.7 210.4H369.7zM532.7 244.7C529.7 247.7 528 251.8 528 255.1C528 259.2 528.9 262.3 530.7 264.9C532.5 267.5 534.1 269.6 537.9 270.8C540.8 271.1 544 272.3 547.1 271.7C550.2 271.1 553.1 269.5 555.3 267.3C557.6 265.1 559.1 262.2 559.7 259.1C560.3 256 559.1 252.8 558.8 249.9C557.6 246.1 555.5 244.5 552.9 242.7C550.3 240.9 547.2 239.1 544 239.1C539.8 239.1 535.7 241.7 532.7 244.7L532.7 244.7zM452.7 228.7C449.7 231.7 448 235.8 448 239.1C448 243.2 448.9 246.3 450.7 248.9C452.5 251.5 454.1 253.6 457.9 254.8C460.8 255.1 464 256.3 467.1 255.7C470.2 255.1 473.1 253.5 475.3 251.3C477.6 249.1 479.1 246.2 479.7 243.1C480.3 240 479.1 236.8 478.8 233.9C477.6 230.1 475.5 228.5 472.9 226.7C470.3 224.9 467.2 223.1 464 223.1C459.8 223.1 455.7 225.7 452.7 228.7V228.7zM372.7 244.7C369.7 247.7 368 251.8 368 255.1C368 259.2 368.9 262.3 370.7 264.9C372.5 267.5 374.1 269.6 377.9 270.8C380.8 271.1 384 272.3 387.1 271.7C390.2 271.1 393.1 269.5 395.3 267.3C397.6 265.1 399.1 262.2 399.7 259.1C400.3 256 399.1 252.8 398.8 249.9C397.6 246.1 395.5 244.5 392.9 242.7C390.3 240.9 387.2 239.1 384 239.1C379.8 239.1 375.7 241.7 372.7 244.7V244.7zM630.6 361.4C636.6 367.4 640 375.5 640 383.1C640 392.5 636.6 400.6 630.6 406.6C624.6 412.6 616.5 415.1 608 415.1H320C311.5 415.1 303.4 412.6 297.4 406.6C291.4 400.6 288 392.5 288 383.1C288 375.5 291.4 367.4 297.4 361.4C303.4 355.4 311.5 351.1 320 351.1H608C616.5 351.1 624.6 355.4 630.6 361.4z"],
    "burger-glass": [640, 512, [], "e0ce", "M630.6 361.4C636.6 367.4 639.1 375.5 639.1 384C639.1 392.5 636.6 400.6 630.6 406.6C624.6 412.6 616.5 416 607.1 416H319.1C311.5 416 303.4 412.6 297.4 406.6C291.4 400.6 287.1 392.5 287.1 384C287.1 375.5 291.4 367.4 297.4 361.4C303.4 355.4 311.5 352 319.1 352H607.1C616.5 352 624.6 355.4 630.6 361.4zM369.7 210.5C399.2 197 431.5 190.7 463.1 192C496.5 190.7 528.8 197.1 558.3 210.5C587.9 223.9 613.9 244.1 634.3 269.4C637.7 274.1 639.8 279.7 640.2 285.6C640.7 291.4 639.5 297.2 636.9 302.4C634.2 307.7 630.2 312.1 625.3 315.2C620.3 318.2 614.6 319.9 608.7 320H319.3C313.4 319.9 307.7 318.2 302.8 315.1C297.8 312 293.8 307.6 291.2 302.4C288.6 297.2 287.4 291.4 287.9 285.5C288.3 279.7 290.4 274.1 293.8 269.4C314.1 244.1 340.1 223.9 369.7 210.5H369.7zM532.7 244.7C529.7 247.7 527.1 251.8 527.1 256C527.1 259.2 528.9 262.3 530.7 264.9C532.5 267.5 534.1 269.6 537.9 270.8C540.8 271.1 544 272.3 547.1 271.7C550.2 271.1 553.1 269.6 555.3 267.3C557.5 265.1 559.1 262.2 559.7 259.1C560.3 256 559.1 252.8 558.8 249.9C557.6 246.1 555.5 244.5 552.9 242.7C550.3 240.9 547.2 240 543.1 240C539.8 240 535.7 241.7 532.7 244.7L532.7 244.7zM452.7 228.7C449.7 231.7 447.1 235.8 447.1 240C447.1 243.2 448.9 246.3 450.7 248.9C452.5 251.5 454.1 253.6 457.9 254.8C460.8 255.1 464 256.3 467.1 255.7C470.2 255.1 473.1 253.6 475.3 251.3C477.5 249.1 479.1 246.2 479.7 243.1C480.3 240 479.1 236.8 478.8 233.9C477.6 230.1 475.5 228.5 472.9 226.7C470.3 224.9 467.2 224 463.1 224C459.8 224 455.7 225.7 452.7 228.7V228.7zM372.7 244.7C369.7 247.7 367.1 251.8 367.1 256C367.1 259.2 368.9 262.3 370.7 264.9C372.5 267.5 374.1 269.6 377.9 270.8C380.8 271.1 384 272.3 387.1 271.7C390.2 271.1 393.1 269.6 395.3 267.3C397.5 265.1 399.1 262.2 399.7 259.1C400.3 256 399.1 252.8 398.8 249.9C397.6 246.1 395.5 244.5 392.9 242.7C390.3 240.9 387.2 240 383.1 240C379.8 240 375.7 241.7 372.7 244.7V244.7zM635.3 452.7C638.3 455.7 639.1 459.8 639.1 464C639.1 476.7 634.9 488.9 625.9 497.9C616.9 506.9 604.7 512 591.1 512H335.1C323.3 512 311.1 506.9 302.1 497.9C293.1 488.9 287.1 476.7 287.1 464C287.1 459.8 289.7 455.7 292.7 452.7C295.7 449.7 299.8 448 303.1 448H623.1C628.2 448 632.3 449.7 635.3 452.7zM267.3 251.2C260.7 260.1 256.8 272.4 256.1 284.2C255.5 295.1 258.1 307.8 263.6 318.2C267.2 324.9 271.9 330.1 277.6 336C271.2 341.6 265.1 348.5 262.3 356.2C258.6 363.9 256.5 372.2 256.1 380.7C255.6 389.2 256.9 397.8 259.8 405.8C262.7 413.8 267.2 421.1 272.1 427.4C267.7 431.9 263.4 437.5 260.5 443.8C257.5 450.1 256 457 255.1 464C256 481.4 261.8 498.2 272.4 512H73.24C65.32 512 57.66 509.1 51.75 503.9C45.83 498.6 42.09 491.3 41.24 483.4L-.0037 35.42C-.486 30.94-.0165 26.41 1.374 22.13C2.765 17.84 5.046 13.89 8.066 10.55C11.09 7.205 14.78 4.537 18.9 2.719C23.03 .901 27.49-.0254 31.1 .0005H319.1C324.5 .0018 328.9 .948 333 2.778C337.1 4.608 340.8 7.28 343.8 10.62C346.8 13.96 349.1 17.9 350.4 22.17C351.8 26.44 352.3 30.96 351.8 35.42L337.5 191.1C309.6 205.2 285.5 225.8 267.3 251.2H267.3zM276.1 160L284.8 64H67.2L75.93 160H276.1z"],
    "burger-lettuce": [512, 512, [], "e3e3", "M50.38 220.8C45.93 218.6 42.03 215.5 38.97 211.6C35.91 207.7 33.78 203.2 32.75 198.4C31.71 193.5 31.79 188.5 32.99 183.7C54.97 97.02 146.5 32 255.1 32C365.5 32 457 97.02 479 183.7C480.2 188.5 480.3 193.5 479.2 198.4C478.2 203.2 476.1 207.7 473 211.6C469.1 215.5 466.1 218.6 461.6 220.8C457.2 222.9 452.3 224 447.3 224H64.67C59.72 224 54.84 222.9 50.38 220.8zM372.7 116.7C369.7 119.7 367.1 123.8 367.1 128C367.1 131.2 368.9 134.3 370.7 136.9C372.5 139.5 374.1 141.6 377.9 142.8C380.8 143.1 384 144.3 387.1 143.7C390.2 143.1 393.1 141.6 395.3 139.3C397.5 137.1 399.1 134.2 399.7 131.1C400.3 128 399.1 124.8 398.8 121.9C397.6 118.1 395.5 116.5 392.9 114.7C390.3 112.9 387.2 111.1 383.1 111.1C379.8 111.1 375.7 113.7 372.7 116.7V116.7zM244.7 84.69C241.7 87.69 239.1 91.76 239.1 96C239.1 99.16 240.9 102.3 242.7 104.9C244.5 107.5 246.1 109.6 249.9 110.8C252.8 111.1 256 112.3 259.1 111.7C262.2 111.1 265.1 109.6 267.3 107.3C269.5 105.1 271.1 102.2 271.7 99.12C272.3 96.02 271.1 92.8 270.8 89.88C269.6 86.95 267.5 84.45 264.9 82.7C262.3 80.94 259.2 79.1 255.1 79.1C251.8 79.1 247.7 81.69 244.7 84.69V84.69zM116.7 116.7C113.7 119.7 111.1 123.8 111.1 128C111.1 131.2 112.9 134.3 114.7 136.9C116.5 139.5 118.1 141.6 121.9 142.8C124.8 143.1 128 144.3 131.1 143.7C134.2 143.1 137.1 141.6 139.3 139.3C141.5 137.1 143.1 134.2 143.7 131.1C144.3 128 143.1 124.8 142.8 121.9C141.6 118.1 139.5 116.5 136.9 114.7C134.3 112.9 131.2 111.1 127.1 111.1C123.8 111.1 119.7 113.7 116.7 116.7L116.7 116.7zM475.3 388.7C478.3 391.7 479.1 395.8 479.1 400V416C479.1 432.1 473.3 449.3 461.3 461.3C449.3 473.3 432.1 480 415.1 480H95.1C79.02 480 62.74 473.3 50.74 461.3C38.74 449.3 31.1 432.1 31.1 416V400C31.1 395.8 33.68 391.7 36.68 388.7C39.68 385.7 43.75 384 47.1 384H463.1C468.2 384 472.3 385.7 475.3 388.7zM511.1 296.6C512.1 300.7 512.2 304.9 511.6 309.1C510.9 313.2 509.4 317.2 507.2 320.8C504.1 324.4 502.1 327.5 498.7 329.9C480.6 344.2 458.2 351.9 435.1 351.9C412 351.9 389.7 344.2 371.5 329.9C364.4 323.5 355.1 319.1 345.5 319.1C335.9 319.1 326.6 323.5 319.5 329.9C301.3 344.1 278.1 351.9 255.9 351.9C232.8 351.9 210.5 344.1 192.3 329.9C185.2 323.5 175.9 319.1 166.3 319.1C156.7 319.1 147.4 323.5 140.3 329.9C122.2 344.2 99.76 351.9 76.7 351.9C53.64 351.9 31.25 344.2 13.12 329.9C9.714 327.5 6.829 324.3 4.628 320.8C2.427 317.2 .9536 313.2 .2908 309C-.3719 304.9-.2103 300.7 .7661 296.6C1.742 292.5 3.515 288.6 5.981 285.2C8.448 281.8 11.56 278.9 15.14 276.7C18.72 274.5 22.7 273.1 26.86 272.4C31.01 271.7 35.25 271.9 39.34 272.9C43.42 273.8 47.28 275.6 50.69 278.1C57.85 284.5 67.11 287.1 76.7 287.1C86.3 287.1 95.55 284.5 102.7 278.1C120.9 263.8 143.2 256.1 166.3 256.1C189.4 256.1 211.7 263.8 229.9 278.1C237 284.5 246.3 288 255.9 288C265.5 288 274.8 284.5 281.9 278.1C300.1 263.8 322.4 256.1 345.5 256.1C368.6 256.1 390.9 263.8 409.1 278.1C416.2 284.5 425.5 288 435.1 288C444.7 288 453.1 284.5 461.1 278.1C464.5 275.6 468.4 273.8 472.5 272.8C476.6 271.8 480.8 271.7 485 272.3C489.2 273 493.2 274.5 496.7 276.7C500.3 278.9 503.4 281.8 505.9 285.2C508.4 288.6 510.1 292.5 511.1 296.6H511.1z"],
    "burger-soda": [640, 512, [], "f858", "M347.3 187.3C344.3 190.3 340.2 192 336 192H16C11.76 192 7.687 190.3 4.686 187.3C1.686 184.3 0 180.2 0 176V144C0 139.8 1.686 135.7 4.686 132.7C7.687 129.7 11.76 128 16 128H157.2L181.8 30.24C183.9 21.59 188.9 13.91 195.9 8.424C202.9 2.942 211.6-.0248 220.5 .0002H272C276.2 .0002 280.3 1.686 283.3 4.687C286.3 7.687 288 11.76 288 16V32C288 36.24 286.3 40.31 283.3 43.31C280.3 46.31 276.2 48 272 48H226.8L206.8 128H336C340.2 128 344.3 129.7 347.3 132.7C350.3 135.7 352 139.8 352 144V176C352 180.2 350.3 184.3 347.3 187.3zM277.6 336C271.2 341.6 266.1 348.5 262.4 356.2C258.7 363.9 256.5 372.2 256.1 380.7C255.7 389.2 256.9 397.7 259.8 405.7C262.7 413.7 267.2 421.1 272.1 427.4C267.7 431.9 263.4 437.5 260.5 443.8C257.5 450.1 256 457 256 464C255.1 479.9 260.7 495.4 269.6 508.6C265.4 510.7 260.7 511.9 256 512H96C87.89 512 80.07 508.1 74.13 503.4C68.19 497.9 64.57 490.3 64 482.2L38.4 223.1H291.4C282.4 232.2 274.3 241.4 267.3 251.4C260.6 261.1 256.8 272.5 256.1 284.3C255.4 296.1 257.1 307.8 263.5 318.2C267.1 324.9 271.9 330.1 277.6 336V336zM635.3 452.7C638.3 455.7 640 459.8 640 464C640 476.7 634.9 488.9 625.9 497.9C616.9 506.9 604.7 512 592 512H336C323.3 512 311.1 506.9 302.1 497.9C293.1 488.9 288 476.7 288 464C288 459.8 289.7 455.7 292.7 452.7C295.7 449.7 299.8 448 304 448H624C628.2 448 632.3 449.7 635.3 452.7zM630.6 361.4C636.6 367.4 640 375.5 640 384C640 392.5 636.6 400.6 630.6 406.6C624.6 412.6 616.5 416 608 416H320C311.5 416 303.4 412.6 297.4 406.6C291.4 400.6 288 392.5 288 384C288 375.5 291.4 367.4 297.4 361.4C303.4 355.4 311.5 352 320 352H608C616.5 352 624.6 355.4 630.6 361.4zM369.7 210.4C399.2 197 431.6 190.7 464 191.1C496.5 190.7 528.8 197.1 558.3 210.5C587.9 223.9 613.9 244.1 634.3 269.4C637.7 274.1 639.8 279.7 640.2 285.6C640.7 291.4 639.5 297.2 636.9 302.4C634.2 307.7 630.2 312.1 625.3 315.2C620.3 318.2 614.6 319.9 608.7 320H319.3C313.4 319.9 307.7 318.2 302.8 315.1C297.8 312 293.8 307.6 291.2 302.4C288.6 297.2 287.4 291.4 287.9 285.5C288.3 279.7 290.4 274.1 293.8 269.4C314.1 244.1 340.1 223.9 369.7 210.4H369.7zM532.7 244.7C529.7 247.7 528 251.8 528 255.1C528 259.2 528.9 262.3 530.7 264.9C532.5 267.5 534.1 269.6 537.9 270.8C540.8 271.1 544 272.3 547.1 271.7C550.2 271.1 553.1 269.6 555.3 267.3C557.6 265.1 559.1 262.2 559.7 259.1C560.3 256 559.1 252.8 558.8 249.9C557.6 246.1 555.5 244.5 552.9 242.7C550.3 240.9 547.2 239.1 544 239.1C539.8 239.1 535.7 241.7 532.7 244.7L532.7 244.7zM452.7 228.7C449.7 231.7 448 235.8 448 239.1C448 243.2 448.9 246.3 450.7 248.9C452.5 251.5 454.1 253.6 457.9 254.8C460.8 255.1 464 256.3 467.1 255.7C470.2 255.1 473.1 253.6 475.3 251.3C477.6 249.1 479.1 246.2 479.7 243.1C480.3 240 479.1 236.8 478.8 233.9C477.6 230.1 475.5 228.5 472.9 226.7C470.3 224.9 467.2 223.1 464 223.1C459.8 223.1 455.7 225.7 452.7 228.7V228.7zM372.7 244.7C369.7 247.7 368 251.8 368 255.1C368 259.2 368.9 262.3 370.7 264.9C372.5 267.5 374.1 269.6 377.9 270.8C380.8 271.1 384 272.3 387.1 271.7C390.2 271.1 393.1 269.6 395.3 267.3C397.6 265.1 399.1 262.2 399.7 259.1C400.3 256 399.1 252.8 398.8 249.9C397.6 246.1 395.5 244.5 392.9 242.7C390.3 240.9 387.2 239.1 384 239.1C379.8 239.1 375.7 241.7 372.7 244.7V244.7z"],
    "burrito": [512, 512, [127791], "f7ed", "M307.2 230.4c-28.88 80.13-105.6 137.6-195.6 137.6c-39.38 0-77.75-11.25-110.9-32.25c-3.75 33.75 6.875 68.88 32.75 94.76l47.5 47.51c45.38 45.26 119 45.26 164.4 .0016l215.9-215.8c-31.13-24.75-69.63-38.25-109.4-38.25C336.6 224 321.7 226.5 307.2 230.4zM287.8 160c0-39.75-13.57-78.27-38.45-109.3L33.36 266.5C22.98 276.9 14.73 289.3 8.982 302.9c29.88 21.5 65.75 33.13 102.6 33.13C208.7 336 287.8 257 287.8 160zM511.1 123c0-32.5-21.25-61.13-52.25-70.76c-6.375-20.38-21.05-37-40.55-45.75c-19.5-8.751-41.75-8.626-61.13 .25C347.9 2.276 336.9 0 325.8 0c-22 0-42.03 9.376-56.78 24.25c41 46.76 58.5 109.5 47.63 170.8c11.63-2 23.38-3 35.25-3c49.88 0 98.13 18 135.9 50.76C502.6 228 512 208 512 186c0-11-2.276-21.98-6.776-32.11C509.7 144.3 511.1 133.7 511.1 123z"],
    "burst": [512, 512, [], "e4dc", "M200.9 116.2L233.2 16.6C236.4 6.706 245.6 .001 256 .001C266.4 .001 275.6 6.706 278.8 16.6L313.3 123.1L383.8 97.45C392.6 94.26 402.4 96.43 408.1 103C415.6 109.6 417.7 119.4 414.6 128.2L388.9 198.7L495.4 233.2C505.3 236.4 512 245.6 512 256C512 266.4 505.3 275.6 495.4 278.8L392.3 312.2L445.2 412.8C450.1 422.1 448.4 433.5 440.1 440.1C433.5 448.4 422.1 450.1 412.8 445.2L312.2 392.3L278.8 495.4C275.6 505.3 266.4 512 256 512C245.6 512 236.4 505.3 233.2 495.4L199.8 392.3L99.17 445.2C89.87 450.1 78.46 448.4 71.03 440.1C63.6 433.5 61.87 422.1 66.76 412.8L119.7 312.2L16.6 278.8C6.705 275.6 .0003 266.4 .0003 256C.0003 245.6 6.705 236.4 16.6 233.2L116.2 200.9L4.208 37.57C-2.33 28.04-1.143 15.2 7.03 7.03C15.2-1.144 28.04-2.33 37.57 4.208L200.9 116.2z"],
    "bus": [576, 512, [128653], "f207", "M288 0C422.4 0 512 35.2 512 80V128C529.7 128 544 142.3 544 160V224C544 241.7 529.7 256 512 256L512 416C512 433.7 497.7 448 480 448V480C480 497.7 465.7 512 448 512H416C398.3 512 384 497.7 384 480V448H192V480C192 497.7 177.7 512 160 512H128C110.3 512 96 497.7 96 480V448C78.33 448 64 433.7 64 416L64 256C46.33 256 32 241.7 32 224V160C32 142.3 46.33 128 64 128V80C64 35.2 153.6 0 288 0zM128 256C128 273.7 142.3 288 160 288H272V128H160C142.3 128 128 142.3 128 160V256zM304 288H416C433.7 288 448 273.7 448 256V160C448 142.3 433.7 128 416 128H304V288zM144 400C161.7 400 176 385.7 176 368C176 350.3 161.7 336 144 336C126.3 336 112 350.3 112 368C112 385.7 126.3 400 144 400zM432 400C449.7 400 464 385.7 464 368C464 350.3 449.7 336 432 336C414.3 336 400 350.3 400 368C400 385.7 414.3 400 432 400zM368 64H208C199.2 64 192 71.16 192 80C192 88.84 199.2 96 208 96H368C376.8 96 384 88.84 384 80C384 71.16 376.8 64 368 64z"],
    "bus-school": [512, 512, [], "f5dd", "M256 0C380.8 0 464 35.2 464 80V112H480C497.7 112 512 126.3 512 144V208C512 225.7 497.7 240 480 240H464V268.2C473.8 277 480 289.8 480 304V400C480 420.9 466.6 438.7 448 445.3V480C448 497.7 433.7 512 416 512H384C366.3 512 352 497.7 352 480V448H160V480C160 497.7 145.7 512 128 512H96C78.33 512 64 497.7 64 480V445.3C45.36 438.7 32 420.9 32 400V304C32 289.8 38.18 277 48 268.2V240H32C14.33 240 0 225.7 0 208V144C0 126.3 14.33 112 32 112H48V80C48 35.2 131.2 0 256 0zM112 224C112 241.7 126.3 256 144 256H240V128H144C126.3 128 112 142.3 112 160V224zM272 256H368C385.7 256 400 241.7 400 224V160C400 142.3 385.7 128 368 128H272V256zM112 384C129.7 384 144 369.7 144 352C144 334.3 129.7 320 112 320C94.33 320 80 334.3 80 352C80 369.7 94.33 384 112 384zM400 384C417.7 384 432 369.7 432 352C432 334.3 417.7 320 400 320C382.3 320 368 334.3 368 352C368 369.7 382.3 384 400 384zM336 64H176C167.2 64 160 71.16 160 80C160 88.84 167.2 96 176 96H336C344.8 96 352 88.84 352 80C352 71.16 344.8 64 336 64z"],
    "bus-simple": [448, 512, ["bus-alt"], "f55e", "M224 0C348.8 0 448 35.2 448 80V416C448 433.7 433.7 448 416 448V480C416 497.7 401.7 512 384 512H352C334.3 512 320 497.7 320 480V448H128V480C128 497.7 113.7 512 96 512H64C46.33 512 32 497.7 32 480V448C14.33 448 0 433.7 0 416V80C0 35.2 99.19 0 224 0zM64 256C64 273.7 78.33 288 96 288H352C369.7 288 384 273.7 384 256V128C384 110.3 369.7 96 352 96H96C78.33 96 64 110.3 64 128V256zM80 400C97.67 400 112 385.7 112 368C112 350.3 97.67 336 80 336C62.33 336 48 350.3 48 368C48 385.7 62.33 400 80 400zM368 400C385.7 400 400 385.7 400 368C400 350.3 385.7 336 368 336C350.3 336 336 350.3 336 368C336 385.7 350.3 400 368 400z"],
    "business-time": [640, 512, ["briefcase-clock"], "f64a", "M496 224C416.4 224 352 288.4 352 368s64.38 144 144 144s144-64.38 144-144S575.6 224 496 224zM544 384h-54.25C484.4 384 480 379.6 480 374.3V304C480 295.2 487.2 288 496 288C504.8 288 512 295.2 512 304V352h32c8.838 0 16 7.162 16 16C560 376.8 552.8 384 544 384zM320.1 352H208C199.2 352 192 344.8 192 336V288H0v144C0 457.6 22.41 480 48 480h312.2C335.1 449.6 320 410.5 320 368C320 362.6 320.5 357.3 320.1 352zM496 192c5.402 0 10.72 .3301 16 .8066V144C512 118.4 489.6 96 464 96H384V48C384 22.41 361.6 0 336 0h-160C150.4 0 128 22.41 128 48V96H48C22.41 96 0 118.4 0 144V256h360.2C392.5 216.9 441.3 192 496 192zM336 96h-160V48h160V96z"],
    "butter": [640, 512, [129480], "e3e4", "M576 96c0-17.67-14.33-32-32-32h-32v224h64V96zM480 64H96C78.33 64 64 78.33 64 96v192h416V64zM608 320H32c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32v32c0 17.67 14.33 32 32 32h512c17.67 0 32-14.33 32-32v-32c17.67 0 32-14.33 32-32C640 334.3 625.7 320 608 320z"],
    "c": [384, 512, [99], "43", "M352 359.8c22.46 0 31.1 19.53 31.1 31.99c0 23.14-66.96 88.23-164.5 88.23c-137.1 0-219.4-117.8-219.4-224c0-103.8 79.87-223.1 219.4-223.1c99.47 0 164.5 66.12 164.5 88.23c0 12.27-9.527 32.01-32.01 32.01c-31.32 0-45.8-56.25-132.5-56.25c-97.99 0-155.4 84.59-155.4 159.1c0 74.03 56.42 160 155.4 160C306.5 416 320.5 359.8 352 359.8z"],
    "cabin": [576, 512, [], "e46d", "M269.4 5.96C280.5-1.987 295.5-1.987 306.6 5.96L416 84.1V63.1C416 46.33 430.3 31.1 448 31.1H480C497.7 31.1 512 46.33 512 63.1V152.7L530.6 165.1C541.9 174 546.7 188.5 542.5 201.8C538.2 215 525.9 223.1 512 223.1H64C50.09 223.1 37.77 215 33.53 201.8C29.28 188.5 34.08 174 45.4 165.1L269.4 5.96zM288 159.1C305.7 159.1 320 145.7 320 127.1C320 110.3 305.7 95.1 288 95.1C270.3 95.1 256 110.3 256 127.1C256 145.7 270.3 159.1 288 159.1zM64 280C64 266.7 74.75 256 88 256H200C213.3 256 224 266.7 224 280V296C224 309.3 213.3 320 200 320H88C74.75 320 64 309.3 64 296V280zM200 352C213.3 352 224 362.7 224 376V392C224 405.3 213.3 416 200 416H88C74.75 416 64 405.3 64 392V376C64 362.7 74.75 352 88 352H200zM200 448C213.3 448 224 458.7 224 472V488C224 501.3 213.3 512 200 512H88C74.75 512 64 501.3 64 488V472C64 458.7 74.75 448 88 448H200zM352 280C352 266.7 362.7 256 376 256H488C501.3 256 512 266.7 512 280V296C512 309.3 501.3 320 488 320H376C362.7 320 352 309.3 352 296V280zM488 448C501.3 448 512 458.7 512 472V488C512 501.3 501.3 512 488 512H376C362.7 512 352 501.3 352 488V472C352 458.7 362.7 448 376 448H488zM352 376C352 362.7 362.7 352 376 352H488C501.3 352 512 362.7 512 376V392C512 405.3 501.3 416 488 416H376C362.7 416 352 405.3 352 392V376z"],
    "cabinet-filing": [448, 512, [128452], "f64b", "M0 464C0 490.4 21.6 512 48 512h352c26.4 0 48-21.6 48-48v-192H0V464zM128 368C128 359.1 135.1 352 144 352h160c8.875 0 16 7.125 16 16v40c0 4.375-3.625 8-8 8h-16C291.6 416 288 412.4 288 408V384H160v24C160 412.4 156.4 416 152 416h-16C131.6 416 128 412.4 128 408V368zM400 0h-352C21.6 0 0 21.6 0 48v192h448v-192C448 21.6 426.4 0 400 0zM320 152C320 156.4 316.4 160 312 160h-16C291.6 160 288 156.4 288 152V128H160v24C160 156.4 156.4 160 152 160h-16C131.6 160 128 156.4 128 152V112C128 103.1 135.1 96 144 96h160C312.9 96 320 103.1 320 112V152z"],
    "cable-car": [512, 512, [128673, 57551, "tram"], "f7da", "M256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32zM224 56C224 73.67 209.7 88 192 88C174.3 88 160 73.67 160 56C160 38.33 174.3 24 192 24C209.7 24 224 38.33 224 56zM32 288C32 252.7 60.65 224 96 224H232V157.5L28.86 199.5C15.88 202.2 3.183 193.8 .4976 180.9C-2.188 167.9 6.157 155.2 19.14 152.5L483.1 56.5C496.1 53.81 508.8 62.16 511.5 75.14C514.2 88.12 505.8 100.8 492.9 103.5L280 147.5V224H416C451.3 224 480 252.7 480 288V448C480 483.3 451.3 512 416 512H96C60.65 512 32 483.3 32 448V288zM96 288C87.16 288 80 295.2 80 304V368C80 376.8 87.16 384 96 384H160C168.8 384 176 376.8 176 368V304C176 295.2 168.8 288 160 288H96zM208 368C208 376.8 215.2 384 224 384H288C296.8 384 304 376.8 304 368V304C304 295.2 296.8 288 288 288H224C215.2 288 208 295.2 208 304V368zM352 288C343.2 288 336 295.2 336 304V368C336 376.8 343.2 384 352 384H416C424.8 384 432 376.8 432 368V304C432 295.2 424.8 288 416 288H352z"],
    "cactus": [512, 512, [127797], "f8a7", "M464 224c-26.5 0-48 21.5-48 47.1v63.1c0 8.875-7.125 15.1-16 15.1H352V101.4c0-51.1-38.88-98.5-90.88-101.2c-26.25-1.375-51.1 8.126-71.13 26.25C170.9 44.51 160 69.63 160 96v127.1L112 224c-8.875 0-16-7.125-16-15.1V144c0-26.5-21.5-47.1-48-47.1S0 117.5 0 144v63.1c0 61.87 50.12 111.1 112 111.1H160v159.1C160 497.6 174.4 512 192 512h128c17.62 0 32-14.37 32-31.1v-31.1h48c61.88 0 112-50.12 112-111.1V272C512 245.5 490.5 224 464 224zM224 176c-8.875 0-16-7.125-16-15.1S215.1 144 224 144S240 151.1 240 160C240 168.9 232.9 176 224 176zM288 400c-8.875 0-16-7.125-16-15.1c0-8.875 7.125-15.1 16-15.1s16 7.125 16 15.1C304 392.9 296.9 400 288 400z"],
    "cake-candles": [448, 512, [127874, "birthday-cake", "cake"], "f1fd", "M352 111.1c22.09 0 40-17.88 40-39.97S352 0 352 0s-40 49.91-40 72S329.9 111.1 352 111.1zM224 111.1c22.09 0 40-17.88 40-39.97S224 0 224 0S184 49.91 184 72S201.9 111.1 224 111.1zM383.1 223.1L384 160c0-8.836-7.164-16-16-16h-32C327.2 144 320 151.2 320 160v64h-64V160c0-8.836-7.164-16-16-16h-32C199.2 144 192 151.2 192 160v64H128V160c0-8.836-7.164-16-16-16h-32C71.16 144 64 151.2 64 160v63.97c-35.35 0-64 28.65-64 63.1v68.7c9.814 6.102 21.39 11.33 32 11.33c20.64 0 45.05-19.73 52.7-27.33c6.25-6.219 16.34-6.219 22.59 0C114.1 348.3 139.4 367.1 160 367.1s45.05-19.73 52.7-27.33c6.25-6.219 16.34-6.219 22.59 0C242.1 348.3 267.4 367.1 288 367.1s45.05-19.73 52.7-27.33c6.25-6.219 16.34-6.219 22.59 0C370.1 348.3 395.4 367.1 416 367.1c10.61 0 22.19-5.227 32-11.33V287.1C448 252.6 419.3 223.1 383.1 223.1zM352 373.3c-13.75 10.95-38.03 26.66-64 26.66s-50.25-15.7-64-26.66c-13.75 10.95-38.03 26.66-64 26.66s-50.25-15.7-64-26.66c-13.75 10.95-38.03 26.66-64 26.66c-11.27 0-22.09-3.121-32-7.377v87.38C0 497.7 14.33 512 32 512h384c17.67 0 32-14.33 32-32v-87.38c-9.91 4.256-20.73 7.377-32 7.377C390 399.1 365.8 384.3 352 373.3zM96 111.1c22.09 0 40-17.88 40-39.97S96 0 96 0S56 49.91 56 72S73.91 111.1 96 111.1z"],
    "cake-slice": [512, 512, [127856, "shortcake"], "e3e5", "M450.6 101.7C490 143.4 512 198.6 512 256V416C511.9 432.1 505.2 449.2 493.2 461.2C481.2 473.2 464.1 479.1 448 480H64C47.04 479.1 30.79 473.2 18.8 461.2C6.81 449.2 .0506 432.1 0 416V271.6C.0064 266.8 1.122 261.1 3.262 257.6C5.403 253.2 8.511 249.4 12.35 246.4L278.8 39.01C284.7 34.22 292.2 31.74 299.9 32C357.2 35.12 411.1 60.07 450.6 101.7zM448 368H64V416H448V368zM448 288H64V336H448V288z"],
    "calculator": [384, 512, [128425], "f1ec", "M336 0h-288C22.38 0 0 22.38 0 48v416C0 489.6 22.38 512 48 512h288c25.62 0 48-22.38 48-48v-416C384 22.38 361.6 0 336 0zM64 208C64 199.2 71.2 192 80 192h32C120.8 192 128 199.2 128 208v32C128 248.8 120.8 256 112 256h-32C71.2 256 64 248.8 64 240V208zM64 304C64 295.2 71.2 288 80 288h32C120.8 288 128 295.2 128 304v32C128 344.8 120.8 352 112 352h-32C71.2 352 64 344.8 64 336V304zM224 432c0 8.801-7.199 16-16 16h-128C71.2 448 64 440.8 64 432v-32C64 391.2 71.2 384 80 384h128c8.801 0 16 7.199 16 16V432zM224 336c0 8.801-7.199 16-16 16h-32C167.2 352 160 344.8 160 336v-32C160 295.2 167.2 288 176 288h32C216.8 288 224 295.2 224 304V336zM224 240C224 248.8 216.8 256 208 256h-32C167.2 256 160 248.8 160 240v-32C160 199.2 167.2 192 176 192h32C216.8 192 224 199.2 224 208V240zM320 432c0 8.801-7.199 16-16 16h-32c-8.799 0-16-7.199-16-16v-32c0-8.801 7.201-16 16-16h32c8.801 0 16 7.199 16 16V432zM320 336c0 8.801-7.199 16-16 16h-32c-8.799 0-16-7.199-16-16v-32C256 295.2 263.2 288 272 288h32C312.8 288 320 295.2 320 304V336zM320 240C320 248.8 312.8 256 304 256h-32C263.2 256 256 248.8 256 240v-32C256 199.2 263.2 192 272 192h32C312.8 192 320 199.2 320 208V240zM320 144C320 152.8 312.8 160 304 160h-224C71.2 160 64 152.8 64 144v-64C64 71.2 71.2 64 80 64h224C312.8 64 320 71.2 320 80V144z"],
    "calculator-simple": [512, 512, ["calculator-alt"], "f64c", "M192 288H32c-17.62 0-32 14.38-32 32v160c0 17.62 14.38 32 32 32h160c17.62 0 32-14.38 32-32v-160C224 302.4 209.6 288 192 288zM157.3 422.6c6.223 6.221 6.223 16.4 0 22.62c-6.221 6.221-16.4 6.221-22.62 0L112 422.6l-22.62 22.62c-6.221 6.221-16.4 6.221-22.62 0c-6.221-6.223-6.221-16.4 0-22.62L89.37 400l-22.62-22.62c-6.221-6.223-6.221-16.4 0-22.62c6.223-6.223 16.4-6.223 22.62 0L112 377.4l22.62-22.62c6.223-6.223 16.4-6.223 22.62 0c6.223 6.221 6.223 16.4 0 22.62L134.6 400L157.3 422.6zM480 288h-160c-17.62 0-32 14.38-32 32v160c0 17.62 14.38 32 32 32h160c17.62 0 32-14.38 32-32v-160C512 302.4 497.6 288 480 288zM464 431.1C464 440.7 456.8 448 448 448h-96.09C343.2 448 336 440.8 336 432S343.2 416 351.1 416h96.06C456.8 416 464 423.2 464 431.1zM464 367.1C464 376.7 456.8 384 448 384h-96.06C343.2 384 336 376.8 336 368S343.2 352 351.1 352h96.09C456.8 352 464 359.2 464 367.1zM480 0h-160c-17.62 0-32 14.38-32 32v160c0 17.62 14.38 32 32 32h160c17.62 0 32-14.38 32-32V32C512 14.38 497.6 0 480 0zM464 111.1C464 120.8 456.8 128 448 128H416v32.04C416 168.8 408.8 176 400 176S384 168.8 384 160V128h-32.04C343.2 128 336 120.8 336 112S343.2 96 351.1 96H384V63.96C384 55.18 391.2 48 399.1 48S416 55.18 416 63.96V96h32.04C456.8 96 464 103.2 464 111.1zM192 0H32C14.38 0 0 14.38 0 32v160c0 17.62 14.38 32 32 32h160c17.62 0 32-14.38 32-32V32C224 14.38 209.6 0 192 0zM176 111.1C176 120.8 168.8 128 160 128H63.96C55.18 128 48 120.8 48 112S55.18 96 63.96 96h96.09C168.8 96 176 103.2 176 111.1z"],
    "calendar": [448, 512, [128198, 128197], "f133", "M96 32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32zM448 464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192H448V464z"],
    "calendar-arrow-down": [448, 512, ["calendar-download"], "e0d0", "M160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32zM0 192H448V464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192zM248 264C248 250.7 237.3 240 224 240C210.7 240 200 250.7 200 264V366.1L160.1 327C151.6 317.7 136.4 317.7 127 327C117.7 336.4 117.7 351.6 127 360.1L207 440.1C216.4 450.3 231.6 450.3 240.1 440.1L320.1 360.1C330.3 351.6 330.3 336.4 320.1 327C311.6 317.7 296.4 317.7 287 327L248 366.1V264z"],
    "calendar-arrow-up": [448, 512, ["calendar-upload"], "e0d1", "M160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32zM0 192H448V464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192zM248 321.9L287 360.1C296.4 370.3 311.6 370.3 320.1 360.1C330.3 351.6 330.3 336.4 320.1 327L240.1 247C231.6 237.7 216.4 237.7 207 247L127 327C117.7 336.4 117.7 351.6 127 360.1C136.4 370.3 151.6 370.3 160.1 360.1L200 321.9V424C200 437.3 210.7 448 224 448C237.3 448 248 437.3 248 424V321.9z"],
    "calendar-check": [448, 512, [], "f274", "M160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32zM0 192H448V464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192zM328.1 304.1C338.3 295.6 338.3 280.4 328.1 271C319.6 261.7 304.4 261.7 295 271L200 366.1L152.1 319C143.6 309.7 128.4 309.7 119 319C109.7 328.4 109.7 343.6 119 352.1L183 416.1C192.4 426.3 207.6 426.3 216.1 416.1L328.1 304.1z"],
    "calendar-circle-exclamation": [576, 512, [], "e46e", "M96 32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32zM416 192.7C326.3 200.8 256 276.2 256 368C256 427.5 285.6 480.1 330.8 512H48C21.49 512 0 490.5 0 464V192H416V192.7zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 416C418.7 416 408 426.7 408 440C408 453.3 418.7 464 432 464C445.3 464 456 453.3 456 440C456 426.7 445.3 416 432 416zM447.1 288C447.1 279.2 440.8 272 431.1 272C423.2 272 415.1 279.2 415.1 288V368C415.1 376.8 423.2 384 431.1 384C440.8 384 447.1 376.8 447.1 368V288z"],
    "calendar-circle-minus": [576, 512, [], "e46f", "M96 32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32zM416 192.7C326.3 200.8 256 276.2 256 368C256 427.5 285.6 480.1 330.8 512H48C21.49 512 0 490.5 0 464V192H416V192.7zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM496 383.1C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H496z"],
    "calendar-circle-plus": [576, 512, [], "e470", "M96 32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32zM416 192.7C326.3 200.8 256 276.2 256 368C256 427.5 285.6 480.1 330.8 512H48C21.49 512 0 490.5 0 464V192H416V192.7zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM416 303.1V351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H416V431.1C416 440.8 423.2 447.1 432 447.1C440.8 447.1 448 440.8 448 431.1V383.1H496C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1H448V303.1C448 295.2 440.8 287.1 432 287.1C423.2 287.1 416 295.2 416 303.1z"],
    "calendar-circle-user": [576, 512, [], "e471", "M96 32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32zM416 192.7C326.3 200.8 256 276.2 256 368C256 427.5 285.6 480.1 330.8 512H48C21.49 512 0 490.5 0 464V192H416V192.7zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 480C462.2 480 489.5 468.1 509.7 448.7C503.5 429.7 485.6 416 464.6 416H399.4C378.4 416 360.5 429.7 354.3 448.7C374.5 468.1 401.8 480 432 480V480zM432 384C458.5 384 480 362.5 480 336C480 309.5 458.5 288 432 288C405.5 288 384 309.5 384 336C384 362.5 405.5 384 432 384z"],
    "calendar-clock": [576, 512, ["calendar-time"], "e0d2", "M96 32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32zM448 192.7C442.7 192.2 437.4 192 432 192C334.8 192 256 270.8 256 368C256 427.5 285.6 480.1 330.8 512H48C21.49 512 0 490.5 0 464V192H432H448V192.7zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM415.1 304V368C415.1 376.8 423.2 384 431.1 384H480C488.8 384 496 376.8 496 368C496 359.2 488.8 352 480 352H447.1V304C447.1 295.2 440.8 288 431.1 288C423.2 288 415.1 295.2 415.1 304V304z"],
    "calendar-day": [448, 512, [], "f783", "M160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32zM0 192H448V464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192zM80 256C71.16 256 64 263.2 64 272V368C64 376.8 71.16 384 80 384H176C184.8 384 192 376.8 192 368V272C192 263.2 184.8 256 176 256H80z"],
    "calendar-days": [448, 512, ["calendar-alt"], "f073", "M160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32zM0 192H448V464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192zM64 304C64 312.8 71.16 320 80 320H112C120.8 320 128 312.8 128 304V272C128 263.2 120.8 256 112 256H80C71.16 256 64 263.2 64 272V304zM192 304C192 312.8 199.2 320 208 320H240C248.8 320 256 312.8 256 304V272C256 263.2 248.8 256 240 256H208C199.2 256 192 263.2 192 272V304zM336 256C327.2 256 320 263.2 320 272V304C320 312.8 327.2 320 336 320H368C376.8 320 384 312.8 384 304V272C384 263.2 376.8 256 368 256H336zM64 432C64 440.8 71.16 448 80 448H112C120.8 448 128 440.8 128 432V400C128 391.2 120.8 384 112 384H80C71.16 384 64 391.2 64 400V432zM208 384C199.2 384 192 391.2 192 400V432C192 440.8 199.2 448 208 448H240C248.8 448 256 440.8 256 432V400C256 391.2 248.8 384 240 384H208zM320 432C320 440.8 327.2 448 336 448H368C376.8 448 384 440.8 384 432V400C384 391.2 376.8 384 368 384H336C327.2 384 320 391.2 320 400V432z"],
    "calendar-exclamation": [448, 512, [], "f334", "M96 32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32zM448 464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192H448V464zM224 400C206.3 400 192 414.3 192 432C192 449.7 206.3 464 224 464C241.7 464 256 449.7 256 432C256 414.3 241.7 400 224 400zM248 256C248 242.7 237.3 232 224 232C210.7 232 200 242.7 200 256V352C200 365.3 210.7 376 224 376C237.3 376 248 365.3 248 352V256z"],
    "calendar-heart": [448, 512, [], "e0d3", "M160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32zM0 192H448V464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192zM235.3 444.7L328 352C350.1 329.9 350.1 294.1 328 272C305.9 249.9 270.1 249.9 248 272L224 296L200 272C177.9 249.9 142.1 249.9 120 272C97.91 294.1 97.91 329.9 120 352L212.7 444.7C218.9 450.9 229.1 450.9 235.3 444.7H235.3z"],
    "calendar-image": [448, 512, [], "e0d4", "M96 32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32zM448 464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192H448V464zM147.2 360.7L99.81 422.2C91.72 432.8 99.22 448 112.5 448H338.9C351.5 448 359.1 434.1 352.4 423.4L268.9 292.3C262.8 282.7 248.8 282.4 242.3 291.8L184 376L172.6 360.9C166.3 352.4 153.6 352.3 147.2 360.7V360.7zM128 320C145.7 320 160 305.7 160 288C160 270.3 145.7 256 128 256C110.3 256 96 270.3 96 288C96 305.7 110.3 320 128 320z"],
    "calendar-lines": [448, 512, ["calendar-note"], "e0d5", "M96 32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32zM448 464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192H448V464zM120 320H328C341.3 320 352 309.3 352 296C352 282.7 341.3 272 328 272H120C106.7 272 96 282.7 96 296C96 309.3 106.7 320 120 320zM120 368C106.7 368 96 378.7 96 392C96 405.3 106.7 416 120 416H232C245.3 416 256 405.3 256 392C256 378.7 245.3 368 232 368H120z"],
    "calendar-lines-pen": [576, 512, [], "e472", "M160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32zM0 192H448V235.6L289.3 394.3C281.1 402.5 275.3 412.8 272.5 424.1L257.4 484.2C255.1 493.6 255.7 503.2 258.8 512H48C21.49 512 0 490.5 0 464V192zM120 272C106.7 272 96 282.7 96 296C96 309.3 106.7 320 120 320H264C277.3 320 288 309.3 288 296C288 282.7 277.3 272 264 272H120zM120 416H200C213.3 416 224 405.3 224 392C224 378.7 213.3 368 200 368H120C106.7 368 96 378.7 96 392C96 405.3 106.7 416 120 416zM564.1 250.1C579.8 265.7 579.8 291 564.1 306.7L534.7 336.1L463.8 265.1L493.2 235.7C508.8 220.1 534.1 220.1 549.8 235.7L564.1 250.1zM311.9 416.1L441.1 287.8L512.1 358.7L382.9 487.9C378.8 492 373.6 494.9 368 496.3L307.9 511.4C302.4 512.7 296.7 511.1 292.7 507.2C288.7 503.2 287.1 497.4 288.5 491.1L303.5 431.8C304.9 426.2 307.8 421.1 311.9 416.1V416.1z"],
    "calendar-minus": [448, 512, [], "f272", "M160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32zM0 192H448V464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192zM312 376C325.3 376 336 365.3 336 352C336 338.7 325.3 328 312 328H136C122.7 328 112 338.7 112 352C112 365.3 122.7 376 136 376H312z"],
    "calendar-pen": [448, 512, ["calendar-edit"], "f333", "M160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32zM0 192H448V464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192zM308.8 267C294.1 252.3 270.2 252.3 255.5 267L240.6 281.1L293.9 335.3L308.8 320.4C323.5 305.6 323.5 281.8 308.8 267V267zM137.6 391.4L128.5 428C127.1 433.5 128.7 439.3 132.7 443.2C136.7 447.2 142.4 448.8 147.9 447.4L184.5 438.3C190.1 436.9 195.3 433.1 199.4 429.9L271.3 357.9L217.1 304.6L146.1 376.5C141.1 380.6 139 385.8 137.6 391.4H137.6z"],
    "calendar-plus": [448, 512, [], "f271", "M96 32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32zM448 464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192H448V464zM200 272V328H144C130.7 328 120 338.7 120 352C120 365.3 130.7 376 144 376H200V432C200 445.3 210.7 456 224 456C237.3 456 248 445.3 248 432V376H304C317.3 376 328 365.3 328 352C328 338.7 317.3 328 304 328H248V272C248 258.7 237.3 248 224 248C210.7 248 200 258.7 200 272z"],
    "calendar-range": [448, 512, [], "e0d6", "M96 32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32zM448 464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192H448V464zM96 320C113.7 320 128 305.7 128 288C128 270.3 113.7 256 96 256C78.33 256 64 270.3 64 288C64 305.7 78.33 320 96 320zM320 416C320 433.7 334.3 448 352 448C369.7 448 384 433.7 384 416C384 398.3 369.7 384 352 384C334.3 384 320 398.3 320 416zM216 312H360C373.3 312 384 301.3 384 288C384 274.7 373.3 264 360 264H216C202.7 264 192 274.7 192 288C192 301.3 202.7 312 216 312zM88 392C74.75 392 64 402.7 64 416C64 429.3 74.75 440 88 440H232C245.3 440 256 429.3 256 416C256 402.7 245.3 392 232 392H88z"],
    "calendar-star": [448, 512, [], "f736", "M160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32zM0 192H448V464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192zM233.3 250.9C229.5 243.2 218.5 243.2 214.7 250.9L191.1 298.7L138.3 306.4C129.8 307.6 126.4 318.1 132.6 324.1L170.7 361.3L161.7 413.8C160.3 422.3 169.2 428.8 176.8 424.8L223.1 400L271.2 424.8C278.8 428.8 287.7 422.3 286.3 413.8L277.3 361.3L315.4 324.1C321.6 318.1 318.2 307.6 309.7 306.4L256.9 298.7L233.3 250.9z"],
    "calendar-week": [448, 512, [], "f784", "M160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32zM0 192H448V464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192zM80 256C71.16 256 64 263.2 64 272V336C64 344.8 71.16 352 80 352H368C376.8 352 384 344.8 384 336V272C384 263.2 376.8 256 368 256H80z"],
    "calendar-xmark": [448, 512, ["calendar-times"], "f273", "M160 32V64H288V32C288 14.33 302.3 0 320 0C337.7 0 352 14.33 352 32V64H400C426.5 64 448 85.49 448 112V160H0V112C0 85.49 21.49 64 48 64H96V32C96 14.33 110.3 0 128 0C145.7 0 160 14.33 160 32zM0 192H448V464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V192zM304.1 304.1C314.3 295.6 314.3 280.4 304.1 271C295.6 261.7 280.4 261.7 271 271L224 318.1L176.1 271C167.6 261.7 152.4 261.7 143 271C133.7 280.4 133.7 295.6 143 304.1L190.1 352L143 399C133.7 408.4 133.7 423.6 143 432.1C152.4 442.3 167.6 442.3 176.1 432.1L224 385.9L271 432.1C280.4 442.3 295.6 442.3 304.1 432.1C314.3 423.6 314.3 408.4 304.1 399L257.9 352L304.1 304.1z"],
    "calendars": [512, 512, [], "e0d7", "M256 32V64H352V32C352 14.33 366.3 0 384 0C401.7 0 416 14.33 416 32V64H464C490.5 64 512 85.49 512 112V160H96V112C96 85.49 117.5 64 144 64H192V32C192 14.33 206.3 0 224 0C241.7 0 256 14.33 256 32zM96 192H512V368C512 394.5 490.5 416 464 416H144C117.5 416 96 394.5 96 368V192zM48 392C48 431.8 80.24 464 120 464H392C405.3 464 416 474.7 416 488C416 501.3 405.3 512 392 512H120C53.73 512 0 458.3 0 392V184C0 170.7 10.75 160 24 160C37.25 160 48 170.7 48 184V392z"],
    "camcorder": [576, 512, [128249, "video-handheld"], "f8a8", "M525.6 165.8L416 241.3v157.5l109.6 75.48C546.8 488.7 576 473.9 576 448.4V191.5C576 166.1 546.9 151.2 525.6 165.8zM320 159.1H96V128c0-17.6 14.4-32 32-32h160C305.7 96 320 81.67 320 64S305.7 32 288 32H128C74.98 32 32 74.98 32 128v34.88C12.88 169.5 0 187.5 0 207.8l.0001 208.2c0 35.35 28.65 63.1 64 63.1l256-.0016c35.35 0 64-28.65 64-63.1V223.1C384 188.7 355.3 159.1 320 159.1zM304 255.1h-224c-8.836 0-16-7.164-16-15.1c0-8.838 7.164-16 16-16h224c8.838 0 16 7.162 16 16C320 248.8 312.8 255.1 304 255.1z"],
    "camera": [512, 512, [62258, "camera-alt"], "f030", "M194.6 32H317.4C338.1 32 356.4 45.22 362.9 64.82L373.3 96H448C483.3 96 512 124.7 512 160V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V160C0 124.7 28.65 96 64 96H138.7L149.1 64.82C155.6 45.22 173.9 32 194.6 32H194.6zM256 384C309 384 352 341 352 288C352 234.1 309 192 256 192C202.1 192 160 234.1 160 288C160 341 202.1 384 256 384z"],
    "camera-cctv": [576, 512, ["cctv"], "f8ac", "M517.5 168.6L139.2 2.266C124.4-3.609 107.5 2.266 99.62 16.14l-95.37 166.9C-.4999 191.3-1.25 201 1.999 209.9c3.25 8.875 10.25 15.87 19.13 19.12l156.5 64.87l-39.87 106.1H63.1c0-26.51-21.49-47.98-47.1-47.98C7.163 352 0 359.2 0 368v127.1C0 504.8 7.163 512 15.1 512c26.51 0 47.1-21.49 47.1-47.1l96.05 0c13.33 0 25.26-8.268 29.94-20.75l46.87-124.1l68.5 28.37c9.25 3.375 19.5 2.375 27.87-2.875l189.2-118.4C544.7 211.5 541.7 178.3 517.5 168.6zM565.9 273.8l-35.37-15.5l-138.4 86.5l119.5 52.51c8.5 3.75 18.46-.132 22.21-8.632l40.74-92.62c1.75-4.125 1.878-8.756 .2534-12.88C573.2 278.9 569.1 275.6 565.9 273.8z"],
    "camera-movie": [576, 512, [127910, 127909], "f8a9", "M368 288H31.1C14.33 288 0 302.3 0 319.1S14.33 352 31.1 352h32L64 464C64 490.5 85.49 512 112 512h256c26.51 0 48-21.49 48-48v-128C416 309.5 394.5 288 368 288zM352 0C303.4 0 261.8 27.38 240 67.25C218.3 27.38 176.6 0 128 0c-70.75 0-128 57.25-128 128S57.23 255.1 127.1 255.1L352 256c70.75 0 128-57.25 128-128S422.8 0 352 0zM128 192c-35.38 0-64-28.62-64-64s28.62-64 64-64s64 28.62 64 64S163.4 192 128 192zM352 192c-35.38 0-64-28.62-64-64s28.62-64 64-64s64 28.62 64 64S387.4 192 352 192zM524.8 262.5L448 320v128l76.76 57.54C545.9 521.4 576 506.3 576 479.9V288C576 261.7 545.9 246.6 524.8 262.5z"],
    "camera-polaroid": [576, 512, [], "f8aa", "M575.1 352L512 256l.0001-176c0-26.51-21.49-48-48-48h-352c-26.51 0-48 21.49-48 48L64 256l-63.97 96.02L.0002 448c0 17.6 14.4 32 32 32h512c17.6 0 32-14.4 32-32L575.1 352zM384 112C384 103.2 391.2 96 400 96h32C440.8 96 448 103.2 448 112v32C448 152.8 440.8 160 432 160h-32C391.2 160 384 152.8 384 144V112zM288 128c35.38 0 64 28.62 64 64s-28.62 64-64 64s-64-28.62-64-64S252.6 128 288 128zM464 416h-352C103.2 416 96 408.8 96 400C96 391.2 103.2 384 112 384h352c8.838 0 16 7.162 16 16C480 408.8 472.8 416 464 416z"],
    "camera-retro": [512, 512, [128247], "f083", "M64 64V48C64 39.16 71.16 32 80 32H144C152.8 32 160 39.16 160 48V64H192L242.5 38.76C251.4 34.31 261.2 32 271.1 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V128C0 92.65 28.65 64 64 64zM220.6 121.2C211.7 125.7 201.9 128 192 128H64V192H178.8C200.8 176.9 227.3 168 256 168C284.7 168 311.2 176.9 333.2 192H448V96H271.1L220.6 121.2zM256 216C207.4 216 168 255.4 168 304C168 352.6 207.4 392 256 392C304.6 392 344 352.6 344 304C344 255.4 304.6 216 256 216z"],
    "camera-rotate": [512, 512, [], "e0d8", "M464 96h-88l-12.38-32.88C356.6 44.38 338.8 32 318.8 32h-125.5c-20 0-38 12.38-45 31.12L136 96H48C21.5 96 0 117.5 0 144v288C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM356.9 366.8C332.4 398.1 295.7 416 256 416c-31.78 0-61.37-11.94-84.58-32.61l-19.28 19.29C143.2 411.6 128 405.3 128 392.7V316.3c0-5.453 4.359-9.838 9.775-9.99h76.98c12.35 .3027 18.47 15.27 9.654 24.09l-19.27 19.28C219.3 361.4 237.1 368 256 368c24.8 0 47.78-11.22 63.08-30.78c8.172-10.44 23.25-12.28 33.69-4.125S365.1 356.3 356.9 366.8zM384 259.7c0 5.453-4.359 9.838-9.775 9.99h-76.98c-12.35-.3027-18.47-15.27-9.654-24.09l19.27-19.28C292.7 214.6 274.9 208 256 208c-24.8 0-47.78 11.22-63.08 30.78C184.8 249.2 169.7 251.1 159.2 242.9C148.8 234.8 146.9 219.7 155.1 209.2C179.6 177.9 216.3 160 256 160c31.78 0 61.37 11.94 84.58 32.61l19.28-19.29C368.8 164.4 384 170.7 384 183.3V259.7z"],
    "camera-security": [448, 512, ["camera-home"], "f8fe", "M224 112c-53.04 0-96 42.96-96 96c0 53.04 42.96 96 96 96s96-42.96 96-96C320 154.1 277 112 224 112zM384 0h-320c-35.38 0-64 28.62-64 64v288c0 35.38 28.62 64 64 64h72.75L76.5 450.9C69.63 455.1 64 465.3 64 473.4v12C64 500 76 512 90.75 512h266.6C372.1 512 384 500 384 485.4V473.5c0-8.25-5.625-18.38-12.62-22.62L311.3 416h72.75c35.38 0 64-28.62 64-64V64C448 28.62 419.4 0 384 0zM224 336c-70.78 0-127.1-57.33-127.1-128c0-70.67 57.33-128 127.1-128s128 57.33 128 128C352 278.7 294.7 336 224 336z"],
    "camera-slash": [640, 512, [], "e0d9", "M154.8 96H202.7L213.1 64.82C219.6 45.22 237.9 32 258.6 32H381.4C402.1 32 420.4 45.22 426.9 64.82L437.3 96H512C547.3 96 576 124.7 576 160V416C576 419.3 575.8 422.5 575.3 425.6L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L154.8 96zM285.4 198.4L415.2 300.2C415.7 296.2 416 292.1 416 288C416 234.1 373 192 320 192C307.8 192 296.2 194.3 285.4 198.4V198.4zM320 384C332.9 384 345.2 381.5 356.4 376.8L487.4 480H128C92.66 480 64 451.3 64 416V160C64 155.7 64.43 151.5 65.24 147.4L225.1 273.4C224.4 278.1 224 283 224 288C224 341 266.1 384 320 384V384z"],
    "camera-viewfinder": [512, 512, ["screenshot"], "e0da", "M0 24C0 10.75 10.75 0 24 0H136C149.3 0 160 10.75 160 24C160 37.25 149.3 48 136 48H48V136C48 149.3 37.25 160 24 160C10.75 160 0 149.3 0 136V24zM208.6 96H303.4C313.4 96 322.3 102.2 325.8 111.6L332 128H368C394.5 128 416 149.5 416 176V336C416 362.5 394.5 384 368 384H144C117.5 384 96 362.5 96 336V176C96 149.5 117.5 128 144 128H180L186.2 111.6C189.7 102.2 198.6 96 208.6 96zM256 320C291.3 320 320 291.3 320 256C320 220.7 291.3 192 256 192C220.7 192 192 220.7 192 256C192 291.3 220.7 320 256 320zM488 0C501.3 0 512 10.75 512 24V136C512 149.3 501.3 160 488 160C474.7 160 464 149.3 464 136V48H376C362.7 48 352 37.25 352 24C352 10.75 362.7 0 376 0H488zM0 376C0 362.7 10.75 352 24 352C37.25 352 48 362.7 48 376V464H136C149.3 464 160 474.7 160 488C160 501.3 149.3 512 136 512H24C10.75 512 0 501.3 0 488V376zM376 512C362.7 512 352 501.3 352 488C352 474.7 362.7 464 376 464H464V376C464 362.7 474.7 352 488 352C501.3 352 512 362.7 512 376V488C512 501.3 501.3 512 488 512H376z"],
    "camera-web": [448, 512, ["webcam"], "f832", "M400.9 438.6l-49.12-30.75C409.9 367.4 448 300.3 448 224c0-123.8-100.4-224-224-224c-123.8 0-224 100.3-224 224c0 76.25 38.13 143.4 96.13 183.9L47 438.6C37.63 444.5 32 454.8 32 465.8v14.25c0 17.62 14.48 31.1 32.11 31.1L384 512c17.62 0 32-14.38 32-32V465.8C416 454.8 410.3 444.5 400.9 438.6zM224 384c-88.37 0-160.1-71.62-160.1-159.1s71.63-160 159.1-160s160 71.62 160 160S312.3 384 224 384zM224 96C153.4 96 95.92 153.2 95.92 224s57.38 128 128 128c70.75 0 128-57.25 128-128C351.9 153.4 294.6 96 224 96zM223.9 176c-26.5 0-47.87 21.5-48 48c0 8.875-7.125 16-16 16c-8.75 0-16-7.125-16-16c.125-44.12 35.92-80 80.04-80c8.875 0 15.96 7.125 15.96 16S232.8 176 223.9 176z"],
    "camera-web-slash": [640, 512, ["webcam-slash"], "f833", "M319.1 383.1c-88.37 0-160.1-71.63-160.1-159.1c0-.6406 .1816-1.234 .1895-1.871L101.3 176C97.89 191.5 95.1 207.5 95.1 223.1c0 76.25 38.12 143.4 96.12 183.9l-49.12 30.75c-9.375 5.875-14.1 16.12-14.1 27.12v14.25c0 17.62 14.48 32 32.11 32l319.9-.0053c12.21 0 22.52-7.136 27.91-17.23l-148.4-116.3C346.8 381.7 333.7 383.1 319.1 383.1zM630.8 469.1l-135.7-106.4c30.42-38.12 48.92-86.1 48.92-138.7c0-123.7-100.4-223.1-223.1-223.1c-72.02 0-135.7 34.24-176.6 87.04L38.81 5.113C34.41 1.676 29.19 .0042 24.03 .0042c-7.125 0-14.19 3.156-18.91 9.187c-8.187 10.44-6.37 25.53 4.068 33.7l591.1 463.1c10.5 8.203 25.57 6.328 33.69-4.078C643.1 492.4 641.3 477.3 630.8 469.1zM319.9 175.1c-15.75 0-29.04 8.086-37.72 19.84l-25.66-20.11c14.55-19.23 37.47-31.72 63.42-31.72c8.875 0 15.96 7.124 15.96 15.1S328.7 175.1 319.9 175.1zM444.6 323.2L419.4 303.4c17.62-21.78 28.5-49.16 28.5-79.41c0-70.62-57.29-127.1-127.9-127.1c-41.28 0-77.63 19.93-100.9 50.38L193.9 126.6C223 88.71 268.3 63.1 319.9 63.1c88.37 0 159.1 71.62 159.1 159.1C479.9 261.7 466.5 295.9 444.6 323.2z"],
    "campfire": [512, 512, [], "f6ba", "M256 320c79.5 0 144-64.5 144-144c0-33.25-33.37-102-80-144c-13.38 12-25.5 24.75-36.13 37.5C266.4 46 244.6 22.25 220 0c-63.13 57-108 131.3-108 176C112 255.5 176.5 320 256 320zM226.6 107.4c3.477 4.193 49.39 65.44 49.39 65.44l29.35-34.87c2.045 3.578 3.988 7.055 5.625 10.43c13.7 27.2 7.873 62.17-16.67 80.16c-10.84 7.873-24.23 12.58-38.65 12.58c-36.1 0-65.44-24.95-65.44-65.44C190.2 155.5 202.4 137.7 226.6 107.4zM490.8 449.9L351.1 400l139.7-49.88c16.66-5.938 25.34-24.25 19.38-40.88c-5.906-16.66-24.34-25.41-40.88-19.38L256 366L42.75 289.9C26.13 283.8 7.781 292.6 1.875 309.3c-5.969 16.62 2.719 34.94 19.38 40.88L160.9 400l-139.7 49.88c-16.66 5.938-25.34 24.25-19.38 40.88C6.531 503.8 18.84 512 32 512c3.562 0 7.219-.5938 10.75-1.875L256 433.1l213.3 76.16C472.8 511.4 476.4 512 480 512c13.16 0 25.47-8.156 30.12-21.25C516.1 474.1 507.4 455.8 490.8 449.9z"],
    "campground": [576, 512, [9978], "f6bb", "M328.1 112L563.7 405.4C571.7 415.4 576 427.7 576 440.4V464C576 490.5 554.5 512 528 512H48C21.49 512 0 490.5 0 464V440.4C0 427.7 4.328 415.4 12.27 405.4L247 112L199 51.99C187.1 38.19 190.2 18.05 204 7.013C217.8-4.027 237.9-1.789 248.1 12.01L288 60.78L327 12.01C338.1-1.789 358.2-4.027 371.1 7.013C385.8 18.05 388 38.19 376.1 51.99L328.1 112zM407.5 448L288 291.7L168.5 448H407.5z"],
    "can-food": [384, 512, [129387], "e3e6", "M192 0C94.8 0 16 32.75 16 73.14v365.7C16 479.3 94.8 512 192 512s176-32.75 176-73.14V73.14C368 32.75 289.2 0 192 0zM192 45.6c61.86 0 112 11.28 112 25.2S253.9 96 192 96S80 84.72 80 70.8S130.1 45.6 192 45.6zM224 288c0 17.67-14.33 32-32 32S160 305.7 160 288c0-17.67 14.33-32 32-32S224 270.3 224 288zM80 427.5V293.7c10.42 3.42 21.48 6.514 33.49 9.029C120.4 339.8 152.9 368 192 368c39.06 0 71.56-28.19 78.51-65.27C282.5 300.2 293.6 297.1 304 293.7v133.8C283.7 437.1 246.6 448 192 448S100.3 437.1 80 427.5z"],
    "candle-holder": [448, 512, [128367], "f6bc", "M376 368c-39.75 0-72 32.25-72 72c0 8.5 1.75 16.5 4.375 24H256V256c0-17.62-14.38-32-32-32H160v48c0 8.875-7.125 15.1-16 15.1S128 280.9 128 272V224H96C78.38 224 64 238.4 64 256v208H16C7.125 464 0 471.1 0 480v16C0 504.9 7.105 512 15.98 512H376c39.75 0 72-32.25 72-72S415.8 368 376 368zM376 464c-13.25 0-24-10.75-24-24S362.8 416 376 416s24 10.75 24 24S389.3 464 376 464zM160 191.1c45.88 0 77.1-32.62 77.1-79.25C237.1 82.75 205.4 37.88 160 0C114.4 38 81.1 82.88 81.1 112.8C81.1 159.4 114.1 191.1 160 191.1z"],
    "candy": [640, 512, [127852], "e3e7", "M220.4 92.42L391 433.1C369 442.9 345.6 447.7 321.8 448L167.8 139.7C182.3 120.8 200.1 104.8 220.4 92.42zM147.8 171.3L284.3 444.5C249.7 438 217.6 422.1 191.4 398.5C165.3 374.9 146.1 344.6 136 310.8L42.72 357.5C39.4 359.2 35.73 360.1 32 360.1C27.25 360.1 22.61 358.7 18.67 356C14.72 353.4 11.64 349.6 9.829 345.2C8.014 340.9 7.541 336 8.469 331.4C9.397 326.7 11.69 322.4 15.04 319.1L45.57 288.2L16.42 278.6C11.65 276.1 7.494 273.9 4.554 269.8C1.613 265.8 .0312 260.8 .0312 255.8C.0312 250.8 1.613 245.9 4.554 241.8C7.494 237.7 11.65 234.6 16.42 233L45.57 223.4L15.04 192.9C11.05 188.8 8.622 183.5 8.182 177.8C7.742 172.2 9.322 166.6 12.64 161.1C15.96 157.4 20.8 154.1 26.31 152.7C31.82 151.3 37.63 151.1 42.72 154.5L136 201.2C139.1 190.9 143.1 180.9 147.8 171.3L147.8 171.3zM318.2 64L472.2 372.3C457.8 391.2 439.9 407.2 419.6 419.6L248.1 78.02C270.1 69.06 294.4 64.31 318.2 64zM624.1 319.1C628.3 322.4 630.6 326.7 631.5 331.4C632.5 336 631.1 340.9 630.2 345.2C628.4 349.6 625.3 353.4 621.3 356C617.4 358.7 612.8 360.1 608 360.1C604.3 360.1 600.6 359.2 597.3 357.5L503.1 310.8C500.9 321.1 496.9 331.1 492.2 340.7L355.7 67.46C390.3 73.1 422.4 89.93 448.6 113.5C474.7 137.1 493.9 167.4 503.1 201.2L597.4 154.8C602.5 152.3 608.3 151.6 613.8 153C619.3 154.4 624.2 157.7 627.5 162.3C630.8 166.9 632.4 172.5 631.1 178.2C631.5 183.8 629.1 189.1 625.1 193.2L594.6 223.7L623.7 233.3C628.5 234.9 632.6 238 635.6 242.1C638.5 246.2 640.1 251.1 640.1 256.1C640.1 261.2 638.5 266.1 635.6 270.2C632.6 274.2 628.5 277.3 623.7 278.9L594.6 288.5L624.1 319.1z"],
    "candy-bar": [640, 512, [127851, "chocolate-bar"], "e3e8", "M80 128C97.36 127.9 114.2 122.2 128 111.6V192H47.65C58.2 178.2 63.94 161.4 64 144V128H80zM0 352H128V448H32C23.51 448 15.37 444.6 9.372 438.6C3.371 432.6 0 424.5 0 416V352zM160 352H288V448H160V352zM0 224H128V320H0V224zM625.9 78.06C634.9 87.06 640 99.27 640 112V400C640 412.7 634.9 424.9 625.9 433.9C616.9 442.9 604.7 448 592 448H320V64H592C604.7 64 616.9 69.06 625.9 78.06zM160 64H288V192H160V64zM160 224H288V320H160V224z"],
    "candy-cane": [512, 512, [], "f786", "M497.5 91.1C469.6 33.13 411.8 0 352.4 0c-27.88 0-56.14 7.25-81.77 22.62L243.1 38.1C227.9 48.12 223 67.75 232.1 82.87l32.76 54.87c8.522 14.2 27.59 20.6 43.88 11.06l27.51-16.37c5.125-3.125 10.95-4.439 16.58-4.439c10.88 0 21.35 5.625 27.35 15.62c9 15.12 3.917 34.59-11.08 43.71L15.6 397.6c-15.25 9.125-20.13 28.62-11 43.87l32.76 54.87c8.522 14.2 27.59 20.66 43.88 11.12l347.4-206.5C500.2 258.1 533.2 167.5 497.5 91.1zM319.7 104.1L317.2 106.5l-20.5-61.5c9.75-4.75 19.88-8.125 30.38-10.25l20.63 61.87C337.8 97.37 328.2 99.87 319.7 104.1zM145.8 431.7l-60.5-38.5l30.88-18.25l60.5 38.5L145.8 431.7zM253.3 367.9l-60.5-38.5l30.88-18.25l60.5 38.5L253.3 367.9zM364.2 301.1L303.7 263.5l30.88-18.25l60.5 38.5L364.2 301.1zM384.7 104.7l46-45.1c8.375 6.5 16 13.1 22.5 22.5l-45.63 45.81C401.9 117.8 393.9 110.1 384.7 104.7zM466.7 212.5l-59.5-19.75c3.25-5.375 5.875-10.1 7.5-17.12c1-4.5 1.625-9.125 1.75-13.62l60.38 20.12C474.7 192.5 471.4 202.7 466.7 212.5z"],
    "candy-corn": [640, 512, [], "f6bd", "M277.2 191.2c-9.75-15.75-19.54-31.1-29.29-45.85C229.2 117.5 203.4 89.77 84.97 205.8c-116.1 118.5-88.35 144.4-60.47 162.1c14.75 9.75 30.25 19.6 46.01 29.35C88.88 369.8 118.5 330.5 164.5 284.5C209.9 238.1 249 209.5 277.2 191.2zM187.1 307.1c-43.75 43.75-71.76 81.1-89.01 107.6c115.9 67.88 244 122.3 280.9 85.3c36.88-37.13-17.27-165.3-85.27-281.3C267.2 236.1 230.2 263.9 187.1 307.1zM325.1 447c-19.62-3.5-50.13-14-87.75-30.88c8.627-9.625 17.75-19.38 28.13-29.75c10-10 19.5-18.88 28.75-27.25C311.1 396.8 322.5 427.3 325.1 447zM341.6 157c33.88 130 86.01 259 138.3 259c52.25-.125 104.8-129.1 138.6-259.3c-31-6.375-76.76-12.88-137.9-12.88C418.7 143.9 372.5 150.5 341.6 157zM479.1 341c-11.38-16.38-25.63-45.38-40.25-83.88c12.75-.75 26.13-1.25 40.88-1.25c14.12 0 27.13 .5 39.63 1.125C505.5 295.6 491.4 324.6 479.1 341zM479.1 0c-165.8 1.625-164.5 39.5-157.9 72.5c3.5 17.38 7.374 35.25 11.75 53.25c32.87-7 81.63-13.88 146.8-13.88c64.25 0 112.8 6.75 145.6 13.75c4.25-18 8.127-35.88 11.63-53.13C644.5 39.5 645.8 1.625 479.1 0z"],
    "cannabis": [576, 512, [], "f55f", "M544 374.4c0 6-3.25 11.38-8.5 14.12c-2.5 1.375-60.75 31.75-133.5 31.75c-6.124 0-12-.125-17.5-.25c11.38 22.25 16.5 38.25 16.75 39.13c1.875 5.75 .375 12-3.875 16.12c-4.125 4.25-10.38 5.75-16.12 4c-1.631-.4648-32.94-10.66-69.25-34.06v42.81C312 501.3 301.3 512 288 512s-24-10.75-24-23.1v-42.81c-36.31 23.4-67.62 33.59-69.25 34.06c-5.75 1.75-12 .25-16.12-4c-4.25-4.25-5.75-10.38-3.875-16.12C175 458.3 180.1 442.1 191.5 420c-5.501 .125-11.37 .25-17.5 .25c-72.75 0-130.1-30.38-133.5-31.75C35.25 385.8 32 380.4 32 374.4c0-5.875 3.25-11.38 8.5-14.12c1.625-.875 32.38-16.88 76.75-25.75c-64.25-75.13-84-161.8-84.88-165.8C31.25 163.5 32.75 157.9 36.63 154C39.75 151 43.75 149.4 48 149.4c1.125 0 2.25 .125 3.375 .375C55.38 150.6 137.1 169.3 212 229.5V225.1c0-118.9 60-213.8 62.5-217.8C277.5 2.75 282.5 0 288 0s10.5 2.75 13.5 7.375C304 11.38 364 106.3 364 225.1V229.5c73.1-60.25 156.6-79 160.5-79.75C525.8 149.5 526.9 149.4 528 149.4c4.25 0 8.25 1.625 11.38 4.625c3.75 3.875 5.375 9.5 4.25 14.75c-.875 4-20.62 90.63-84.88 165.8c44.38 8.875 75.13 24.88 76.75 25.75C540.8 363 544 368.5 544 374.4z"],
    "capsules": [576, 512, [], "f46b", "M555.3 300.1L424.3 112.8C401.9 81 366.4 64 330.4 64c-22.63 0-45.5 6.75-65.5 20.75C245.2 98.5 231.2 117.5 223.4 138.5C220.5 79.25 171.1 32 111.1 32c-61.88 0-111.1 50.08-111.1 111.1L-.0028 368c0 61.88 50.12 112 112 112s112-50.13 112-112L223.1 218.9C227.2 227.5 231.2 236 236.7 243.9l131.3 187.4C390.3 463 425.8 480 461.8 480c22.75 0 45.5-6.75 65.5-20.75C579 423.1 591.5 351.8 555.3 300.1zM159.1 256H63.99V144c0-26.5 21.5-48 48-48s48 21.5 48 48V256zM354.8 300.9l-65.5-93.63c-7.75-11-10.75-24.5-8.375-37.63c2.375-13.25 9.75-24.87 20.75-32.5C310.1 131.1 320.1 128 330.4 128c16.5 0 31.88 8 41.38 21.5l65.5 93.75L354.8 300.9z"],
    "car": [512, 512, [128664, "automobile"], "f1b9", "M39.61 196.8L74.8 96.29C88.27 57.78 124.6 32 165.4 32H346.6C387.4 32 423.7 57.78 437.2 96.29L472.4 196.8C495.6 206.4 512 229.3 512 256V448C512 465.7 497.7 480 480 480H448C430.3 480 416 465.7 416 448V400H96V448C96 465.7 81.67 480 64 480H32C14.33 480 0 465.7 0 448V256C0 229.3 16.36 206.4 39.61 196.8V196.8zM109.1 192H402.9L376.8 117.4C372.3 104.6 360.2 96 346.6 96H165.4C151.8 96 139.7 104.6 135.2 117.4L109.1 192zM96 256C78.33 256 64 270.3 64 288C64 305.7 78.33 320 96 320C113.7 320 128 305.7 128 288C128 270.3 113.7 256 96 256zM416 320C433.7 320 448 305.7 448 288C448 270.3 433.7 256 416 256C398.3 256 384 270.3 384 288C384 305.7 398.3 320 416 320z"],
    "car-battery": [512, 512, ["battery-car"], "f5df", "M80 96C80 78.33 94.33 64 112 64H176C193.7 64 208 78.33 208 96H304C304 78.33 318.3 64 336 64H400C417.7 64 432 78.33 432 96H448C483.3 96 512 124.7 512 160V384C512 419.3 483.3 448 448 448H64C28.65 448 0 419.3 0 384V160C0 124.7 28.65 96 64 96H80zM384 192C384 183.2 376.8 176 368 176C359.2 176 352 183.2 352 192V224H320C311.2 224 304 231.2 304 240C304 248.8 311.2 256 320 256H352V288C352 296.8 359.2 304 368 304C376.8 304 384 296.8 384 288V256H416C424.8 256 432 248.8 432 240C432 231.2 424.8 224 416 224H384V192zM96 256H192C200.8 256 208 248.8 208 240C208 231.2 200.8 224 192 224H96C87.16 224 80 231.2 80 240C80 248.8 87.16 256 96 256z"],
    "car-bolt": [512, 512, [], "e341", "M165.4 32H346.6C387.4 32 423.7 57.78 437.2 96.29L472.4 196.8C495.6 206.4 512 229.3 512 256V448C512 465.7 497.7 480 480 480H448C430.3 480 416 465.7 416 448V400H96V448C96 465.7 81.67 480 64 480H32C14.33 480 0 465.7 0 448V256C0 229.3 16.36 206.4 39.61 196.8L74.8 96.29C88.27 57.78 124.6 32 165.4 32V32zM96 320C113.7 320 128 305.7 128 288C128 270.3 113.7 256 96 256C78.33 256 64 270.3 64 288C64 305.7 78.33 320 96 320zM416 256C398.3 256 384 270.3 384 288C384 305.7 398.3 320 416 320C433.7 320 448 305.7 448 288C448 270.3 433.7 256 416 256zM318.3 119.2C321.6 112.5 319.9 104.5 314.3 99.72C308.6 94.96 300.3 94.75 294.4 99.2L166.4 195.2C160.9 199.3 158.6 206.5 160.8 213.1C162.1 219.6 169.1 224 176 224H230.1L193.7 296.8C190.4 303.5 192.1 311.5 197.7 316.3C203.4 321 211.7 321.3 217.6 316.8L345.6 220.8C351.1 216.7 353.4 209.5 351.2 202.9C349 196.4 342.9 192 336 192H281.9L318.3 119.2z"],
    "car-building": [640, 512, [], "f859", "M272 0C298.5 0 320 21.49 320 48V136.4C290.5 148.5 266.9 173 256.3 204.6L255.9 205.1C254.9 198.1 248.2 192 240 192H208C199.2 192 192 199.2 192 208V240C192 248.8 199.2 256 208 256H239.2L233.6 272.9C208.5 290.2 192 319.2 192 352V480H48C21.49 480 0 458.5 0 432V48C0 21.49 21.49 0 48 0H272zM80 192C71.16 192 64 199.2 64 208V240C64 248.8 71.16 256 80 256H112C120.8 256 128 248.8 128 240V208C128 199.2 120.8 192 112 192H80zM80 96C71.16 96 64 103.2 64 112V144C64 152.8 71.16 160 80 160H112C120.8 160 128 152.8 128 144V112C128 103.2 120.8 96 112 96H80zM192 144C192 152.8 199.2 160 208 160H240C248.8 160 256 152.8 256 144V112C256 103.2 248.8 96 240 96H208C199.2 96 192 103.2 192 112V144zM80 288C71.16 288 64 295.2 64 304V336C64 344.8 71.16 352 80 352H112C120.8 352 128 344.8 128 336V304C128 295.2 120.8 288 112 288H80zM362.6 160H501.4C535.8 160 566.4 182 577.3 214.7L603.9 294.4C625.2 304.7 640 326.6 640 352L640 480C640 497.7 625.7 512 608 512H592C574.3 512 560 497.7 560 480V448H304V480C304 497.7 289.7 512 272 512H256C238.3 512 224 497.7 224 480L224 352C224 326.6 238.8 304.7 260.1 294.4L286.7 214.7C297.6 182 328.2 159.1 362.6 159.1V160zM362.6 224C355.7 224 349.6 228.4 347.4 234.9L329.7 288H534.3L516.6 234.9C514.4 228.4 508.3 224 501.4 224H362.6zM304 392C317.3 392 328 381.3 328 368C328 354.7 317.3 344 304 344C290.7 344 280 354.7 280 368C280 381.3 290.7 392 304 392zM560 344C546.7 344 536 354.7 536 368C536 381.3 546.7 392 560 392C573.3 392 584 381.3 584 368C584 354.7 573.3 344 560 344z"],
    "car-bump": [640, 512, [], "f5e0", "M128.5 58.81L275.8 19.36C314 9.113 354.6 23.39 378.1 55.32L433.4 130.9C458.7 133.8 480.8 151.8 487.8 177.9L533.4 347.9C537.9 364.1 527.8 382.5 510.7 387.1L479.8 395.4C462.8 399.9 445.2 389.8 440.6 372.7L428.2 326.4L150 400.9L162.5 447.3C167 464.3 156.9 481.9 139.8 486.5L108.9 494.7C91.85 499.3 74.3 489.2 69.73 472.1L24.18 302.1C17.19 276 27.36 249.4 47.76 234.2L57.96 141.1C62.27 101.7 90.3 69.06 128.5 58.81V58.81zM145.1 120.6C132.4 124 123 134.9 121.6 148.1L114.6 211.6L364.3 144.7L326.4 93.17C318.6 82.52 305.1 77.76 292.4 81.18L145.1 120.6zM133.5 339.1C150.5 334.5 160.7 316.1 156.1 299.9C151.5 282.8 133.1 272.7 116.9 277.3C99.84 281.8 89.7 299.4 94.28 316.5C98.85 333.5 116.4 343.7 133.5 339.1zM395.1 202.7C378 207.3 367.9 224.9 372.5 241.9C377 258.1 394.6 269.1 411.7 264.5C428.7 259.1 438.9 242.4 434.3 225.4C429.7 208.3 412.2 198.2 395.1 202.7V202.7zM436.9 512C417.4 512 402.2 494.3 411.1 476.1C429.7 440.8 467.4 416 510.9 416C554.3 416 592 440.8 610.6 476.1C619.5 494.3 604.3 512 584.8 512H436.9z"],
    "car-burst": [640, 512, ["car-crash"], "f5e1", "M176 8C182.6 8 188.4 11.1 190.9 18.09L220.3 92.05L296.4 68.93C302.7 67.03 309.5 69.14 313.6 74.27C314.1 74.85 314.5 75.45 314.9 76.08C297.8 84.32 282.7 96.93 271.4 113.3L230.4 172.5C203.1 181.4 180.6 203.5 172.6 233.4L152.7 307.4L117.4 339.9C112.6 344.4 105.5 345.4 99.64 342.6C93.73 339.7 90.16 333.6 90.62 327L96.21 247.6L17.56 235.4C11.08 234.4 5.871 229.6 4.413 223.2C2.954 216.8 5.54 210.1 10.94 206.4L76.5 161.3L37.01 92.18C33.76 86.49 34.31 79.39 38.4 74.27C42.48 69.14 49.28 67.03 55.55 68.93L131.7 92.05L161.1 18.09C163.6 11.1 169.4 8 176 8L176 8zM384.2 99.67L519.8 135.1C552.5 144.7 576.1 173.1 578.8 206.8L585.7 290.7C602.9 304.2 611.3 327 605.3 349.4L570.1 480.8C565.5 497.8 547.1 507.1 530.9 503.4L515.5 499.3C498.4 494.7 488.3 477.1 492.8 460.1L501.1 429.1L253.8 362.9L245.6 393.8C240.1 410.9 223.4 421 206.4 416.4L190.9 412.3C173.8 407.7 163.7 390.2 168.3 373.1L203.5 241.7C209.5 219.3 228.2 203.8 249.8 200.7L297.7 131.5C316.9 103.6 351.6 90.92 384.2 99.67L384.2 99.67zM367.7 161.5C361.1 159.7 354.2 162.3 350.4 167.8L318.1 214.5L519.6 268.5L515 211.1C514.5 205.2 509.8 199.6 503.2 197.8L367.7 161.5zM268.3 308.8C281.1 312.2 294.3 304.6 297.7 291.8C301.2 279 293.6 265.9 280.8 262.4C267.1 259 254.8 266.6 251.4 279.4C247.9 292.2 255.5 305.4 268.3 308.8zM528 328.7C515.2 325.3 502.1 332.9 498.6 345.7C495.2 358.5 502.8 371.6 515.6 375.1C528.4 378.5 541.6 370.9 545 358.1C548.4 345.3 540.8 332.1 528 328.7z"],
    "car-bus": [640, 512, [], "f85a", "M.0006 384V74.46C.0006 58.25 9.164 43.42 23.67 36.16C71.24 12.38 123.7 0 176.9 0H207.1C260.3 0 312.8 12.38 360.3 36.16C374.8 43.42 384 58.25 384 74.46V128H362.6C347.7 128 333.2 130.1 320 136.4V120C320 106.7 309.3 96 296 96H208V224H249.9L233.6 272.9C208.5 290.2 192 319.2 192 352V416H128V448C128 465.7 113.7 480 96 480H80C62.33 480 48 465.7 48 448V416H32C14.33 416 0 401.7 0 384H.0006zM88 96C74.75 96 64 106.7 64 120V200C64 213.3 74.75 224 88 224H176V96H88zM96 344C109.3 344 120 333.3 120 320C120 306.7 109.3 296 96 296C82.75 296 72 306.7 72 320C72 333.3 82.75 344 96 344zM362.6 160H501.4C535.8 160 566.4 182 577.3 214.7L603.9 294.4C625.2 304.7 640 326.6 640 352L640 480C640 497.7 625.7 512 608 512H592C574.3 512 560 497.7 560 480V448H304V480C304 497.7 289.7 512 272 512H256C238.3 512 224 497.7 224 480L224 352C224 326.6 238.8 304.7 260.1 294.4L286.7 214.7C297.6 182 328.2 159.1 362.6 159.1V160zM362.6 224C355.7 224 349.6 228.4 347.4 234.9L329.7 288H534.3L516.6 234.9C514.4 228.4 508.3 224 501.4 224H362.6zM304 392C317.3 392 328 381.3 328 368C328 354.7 317.3 344 304 344C290.7 344 280 354.7 280 368C280 381.3 290.7 392 304 392zM560 344C546.7 344 536 354.7 536 368C536 381.3 546.7 392 560 392C573.3 392 584 381.3 584 368C584 354.7 573.3 344 560 344z"],
    "car-circle-bolt": [640, 512, [], "e342", "M39.61 196.8L74.8 96.29C88.27 57.78 124.6 32 165.4 32H346.6C387.4 32 423.7 57.78 437.2 96.29L471.3 193.7C385.8 205.7 320 279.2 320 368C320 378.9 320.1 389.6 322.9 400H96V448C96 465.7 81.67 480 64 480H32C14.33 480 0 465.7 0 448V256C0 229.3 16.36 206.4 39.61 196.8V196.8zM109.1 192H402.9L376.8 117.4C372.3 104.6 360.2 96 346.6 96H165.4C151.8 96 139.7 104.6 135.2 117.4L109.1 192zM96 256C78.33 256 64 270.3 64 288C64 305.7 78.33 320 96 320C113.7 320 128 305.7 128 288C128 270.3 113.7 256 96 256zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM528.8 286.4L432.8 358.4C428.7 361.5 426.1 366.9 428.6 371.8C430.2 376.7 434.8 380 440 380H475.6L445.5 434.2C442.8 439.1 443.8 445.3 448.1 449C452.4 452.8 458.7 452.1 463.2 449.6L559.2 377.6C563.3 374.5 565 369.1 563.4 364.2C561.8 359.3 557.2 356 552 356H516.4L546.5 301.8C549.2 296.9 548.2 290.7 543.9 286.1C539.6 283.2 533.3 283 528.8 286.4V286.4z"],
    "car-garage": [640, 512, [], "f5e2", "M607.9 161.8C623.2 170.6 628.6 190.1 619.8 205.4C611 220.8 591.5 226.1 576.1 217.4L312 66.43L47.88 217.4C32.54 226.1 12.99 220.8 4.222 205.4C-4.547 190.1 .7846 170.6 16.13 161.8L288.2 6.324C302.9-2.108 321.1-2.108 335.8 6.324L607.9 161.8zM241.8 160H382.2C415.1 160 446.1 181.3 457.5 213.1L485.8 292.4C505.9 300.9 520 320.8 520 344V480C520 497.7 505.7 512 488 512H472C454.3 512 440 497.7 440 480V448H184V480C184 497.7 169.7 512 152 512H136C118.3 512 104 497.7 104 480V344C104 320.8 118.1 300.9 138.2 292.4L166.5 213.1C177.9 181.3 208 160 241.8 160H241.8zM241.8 224C235.1 224 229 228.3 226.8 234.6L207.7 288H416.3L397.2 234.6C394.1 228.3 388.9 224 382.2 224H241.8zM184 392C197.3 392 208 381.3 208 368C208 354.7 197.3 344 184 344C170.8 344 160 354.7 160 368C160 381.3 170.8 392 184 392zM440 344C426.8 344 416 354.7 416 368C416 381.3 426.8 392 440 392C453.3 392 464 381.3 464 368C464 354.7 453.3 344 440 344z"],
    "car-mirrors": [576, 512, [], "e343", "M0 192C0 174.3 14.33 160 32 160H84.5L106.8 96.29C120.3 57.78 156.6 32 197.4 32H378.6C419.4 32 455.7 57.78 469.2 96.29L491.5 160H544C561.7 160 576 174.3 576 192C576 209.7 561.7 224 544 224H535.4C540.9 233.4 544 244.3 544 256V448C544 465.7 529.7 480 512 480H480C462.3 480 448 465.7 448 448V400H128V448C128 465.7 113.7 480 96 480H64C46.33 480 32 465.7 32 448V256C32 244.3 35.12 233.4 40.56 224H32C14.33 224 0 209.7 0 192zM141.1 192H434.9L408.8 117.4C404.3 104.6 392.2 96 378.6 96H197.4C183.8 96 171.7 104.6 167.2 117.4L141.1 192zM128 256C110.3 256 96 270.3 96 288C96 305.7 110.3 320 128 320C145.7 320 160 305.7 160 288C160 270.3 145.7 256 128 256zM448 320C465.7 320 480 305.7 480 288C480 270.3 465.7 256 448 256C430.3 256 416 270.3 416 288C416 305.7 430.3 320 448 320z"],
    "car-on": [448, 512, [], "e4dd", "M248 104C248 117.3 237.3 128 224 128C210.7 128 200 117.3 200 104V24C200 10.75 210.7 0 224 0C237.3 0 248 10.75 248 24V104zM153.8 160H294.2C327.1 160 358.1 181.3 369.5 213.1L397.8 292.4C417.9 300.9 432 320.8 432 344V480C432 497.7 417.7 512 400 512H384C366.3 512 352 497.7 352 480V448H96V480C96 497.7 81.67 512 64 512H48C30.33 512 16 497.7 16 480V344C16 320.8 30.08 300.9 50.16 292.4L78.49 213.1C89.86 181.3 120 160 153.8 160H153.8zM153.8 224C147.1 224 141 228.3 138.8 234.6L119.7 288H328.3L309.2 234.6C306.1 228.3 300.9 224 294.2 224H153.8zM96 392C109.3 392 120 381.3 120 368C120 354.7 109.3 344 96 344C82.75 344 72 354.7 72 368C72 381.3 82.75 392 96 392zM352 344C338.7 344 328 354.7 328 368C328 381.3 338.7 392 352 392C365.3 392 376 381.3 376 368C376 354.7 365.3 344 352 344zM7.029 39.03C16.4 29.66 31.6 29.66 40.97 39.03L88.97 87.03C98.34 96.4 98.34 111.6 88.97 120.1C79.6 130.3 64.4 130.3 55.03 120.1L7.029 72.97C-2.343 63.6-2.343 48.4 7.029 39.03V39.03zM407 39.03C416.4 29.66 431.6 29.66 440.1 39.03C450.3 48.4 450.3 63.6 440.1 72.97L392.1 120.1C383.6 130.3 368.4 130.3 359 120.1C349.7 111.6 349.7 96.4 359 87.03L407 39.03z"],
    "car-rear": [512, 512, ["car-alt"], "f5de", "M165.4 32H346.6C387.4 32 423.7 57.78 437.2 96.29L472.4 196.8C495.6 206.4 512 229.3 512 256V336C512 359.7 499.1 380.4 480 391.4V448C480 465.7 465.7 480 448 480H416C398.3 480 384 465.7 384 448V400H128V448C128 465.7 113.7 480 96 480H64C46.33 480 32 465.7 32 448V391.4C12.87 380.4 0 359.7 0 336V256C0 229.3 16.36 206.4 39.61 196.8L74.8 96.29C88.27 57.78 124.6 32 165.4 32V32zM165.4 96C151.8 96 139.7 104.6 135.2 117.4L109.1 192H402.9L376.8 117.4C372.3 104.6 360.2 96 346.6 96H165.4zM208 272C199.2 272 192 279.2 192 288V320C192 328.8 199.2 336 208 336H304C312.8 336 320 328.8 320 320V288C320 279.2 312.8 272 304 272H208zM72 304H104C117.3 304 128 293.3 128 280C128 266.7 117.3 256 104 256H72C58.75 256 48 266.7 48 280C48 293.3 58.75 304 72 304zM408 256C394.7 256 384 266.7 384 280C384 293.3 394.7 304 408 304H440C453.3 304 464 293.3 464 280C464 266.7 453.3 256 440 256H408z"],
    "car-side": [640, 512, [128663], "f5e4", "M640 320V368C640 385.7 625.7 400 608 400H574.7C567.1 445.4 527.6 480 480 480C432.4 480 392.9 445.4 385.3 400H254.7C247.1 445.4 207.6 480 160 480C112.4 480 72.94 445.4 65.33 400H32C14.33 400 0 385.7 0 368V256C0 228.9 16.81 205.8 40.56 196.4L82.2 92.35C96.78 55.9 132.1 32 171.3 32H353.2C382.4 32 409.1 45.26 428.2 68.03L528.2 193C591.2 200.1 640 254.8 640 319.1V320zM171.3 96C158.2 96 146.5 103.1 141.6 116.1L111.3 192H224V96H171.3zM272 192H445.4L378.2 108C372.2 100.4 362.1 96 353.2 96H272V192zM525.3 400C527 394.1 528 389.6 528 384C528 357.5 506.5 336 480 336C453.5 336 432 357.5 432 384C432 389.6 432.1 394.1 434.7 400C441.3 418.6 459.1 432 480 432C500.9 432 518.7 418.6 525.3 400zM205.3 400C207 394.1 208 389.6 208 384C208 357.5 186.5 336 160 336C133.5 336 112 357.5 112 384C112 389.6 112.1 394.1 114.7 400C121.3 418.6 139.1 432 160 432C180.9 432 198.7 418.6 205.3 400z"],
    "car-side-bolt": [640, 512, [], "e344", "M171.3 32H353.2C382.4 32 409.1 45.26 428.2 68.03L528.2 193C591.2 200.1 640 254.8 640 320V368C640 385.7 625.7 400 608 400H574.7C567.1 445.4 527.6 480 480 480C432.4 480 392.9 445.4 385.3 400H254.7C247.1 445.4 207.6 480 160 480C112.4 480 72.94 445.4 65.33 400H32C14.33 400 0 385.7 0 368V256C0 228.9 16.81 205.8 40.56 196.4L82.2 92.35C96.78 55.9 132.1 32 171.3 32V32zM525.3 400C527 394.1 528 389.6 528 384C528 357.5 506.5 336 480 336C453.5 336 432 357.5 432 384C432 389.6 432.1 394.1 434.7 400C441.3 418.6 459.1 432 480 432C500.9 432 518.7 418.6 525.3 400zM205.3 400C207 394.1 207.1 389.6 207.1 384C207.1 357.5 186.5 336 159.1 336C133.5 336 111.1 357.5 111.1 384C111.1 389.6 112.1 394.1 114.7 400C121.3 418.6 139.1 432 159.1 432C180.9 432 198.7 418.6 205.3 400zM311.5 98.43L183.5 178.4C177.5 182.2 174.7 189.6 176.6 196.4C178.6 203.3 184.9 208 192 208H243.7L210.3 263.8C206.5 270.1 207.5 278.2 212.8 283.4C218.1 288.6 226.2 289.5 232.5 285.6L360.5 205.6C366.5 201.8 369.4 194.5 367.4 187.6C365.4 180.7 359.1 176 352 176H300.3L333.7 120.2C337.5 113.9 336.5 105.8 331.2 100.6C325.9 95.4 317.8 94.51 311.5 98.43H311.5z"],
    "car-tilt": [640, 512, [], "f5e5", "M128.5 58.81L275.8 19.36C314 9.113 354.6 23.39 378.1 55.32L433.4 130.9C458.7 133.8 480.8 151.8 487.8 177.9L533.4 347.9C537.9 364.1 527.8 382.5 510.7 387.1L479.8 395.4C462.8 399.9 445.2 389.8 440.6 372.7L428.2 326.4L150 400.9L162.5 447.3C162.5 447.5 162.6 447.8 162.6 448H592C618.5 448 640 469.5 640 496V512H0V496C0 469.5 21.49 448 48 448H63.27L24.18 302.1C17.19 276 27.36 249.4 47.76 234.2L57.96 141.1C62.27 101.7 90.3 69.06 128.5 58.81V58.81zM145.1 120.6C132.4 124 123 134.9 121.6 148.1L114.6 211.6L364.3 144.7L326.4 93.17C318.6 82.52 305.1 77.76 292.4 81.18L145.1 120.6zM133.5 339.1C150.5 334.5 160.7 316.1 156.1 299.9C151.5 282.8 133.1 272.7 116.9 277.3C99.84 281.8 89.7 299.4 94.28 316.5C98.85 333.5 116.4 343.7 133.5 339.1L133.5 339.1zM395.1 202.7C378 207.3 367.9 224.9 372.5 241.9C377 258.1 394.6 269.1 411.7 264.5C428.7 259.1 438.9 242.4 434.3 225.4C429.7 208.3 412.2 198.2 395.1 202.7V202.7z"],
    "car-tunnel": [512, 512, [], "e4de", "M190.8 277.5C191.8 274.2 194.9 272 198.4 272H313.6C317.1 272 320.2 274.2 321.2 277.5L334.1 320H177L190.8 277.5zM144 384C144 370.7 154.7 360 168 360C181.3 360 192 370.7 192 384C192 397.3 181.3 408 168 408C154.7 408 144 397.3 144 384zM368 384C368 397.3 357.3 408 344 408C330.7 408 320 397.3 320 384C320 370.7 330.7 360 344 360C357.3 360 368 370.7 368 384zM512 256V448C512 483.3 483.3 512 448 512H384H128H64C28.65 512 0 483.3 0 448V256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM384 512C401.7 512 416 497.7 416 480V376C416 355.2 404.7 337.1 387.8 327.4L366.9 262.7C359.4 239.6 337.9 224 313.6 224H198.4C174.1 224 152.6 239.6 145.1 262.7L124.1 327.4C107.3 337.1 96 355.2 96 376V480C96 497.7 110.3 512 128 512C145.7 512 160 497.7 160 480V448H352V480C352 497.7 366.3 512 384 512H384z"],
    "car-wash": [448, 512, [], "f5e6", "M16 80C16 48 64 0 64 0C64 0 112 48 112 80C112 112 90.51 128 64 128C37.49 128 16 106.5 16 80zM176 80C176 48 224 0 224 0C224 0 272 48 272 80C272 112 250.5 128 224 128C197.5 128 176 106.5 176 80zM432 80C432 112 410.5 128 384 128C357.5 128 336 106.5 336 80C336 48 384 0 384 0C384 0 432 48 432 80zM145.8 160H286.2C319.1 160 350.1 181.3 361.5 213.1L389.8 292.4C409.9 300.9 424 320.8 424 344V480C424 497.7 409.7 512 392 512H376C358.3 512 344 497.7 344 480V448H88.01V480C88.01 497.7 73.68 512 56.01 512H40.01C22.33 512 8.006 497.7 8.006 480V344C8.006 320.8 22.09 300.9 42.16 292.4L70.49 213.1C81.86 181.3 112 160 145.8 160H145.8zM145.8 224C139.1 224 133 228.3 130.8 234.6L111.7 288H320.3L301.2 234.6C298.1 228.3 292.9 224 286.2 224H145.8zM88.01 392C101.3 392 112 381.3 112 368C112 354.7 101.3 344 88.01 344C74.75 344 64.01 354.7 64.01 368C64.01 381.3 74.75 392 88.01 392zM344 344C330.8 344 320 354.7 320 368C320 381.3 330.8 392 344 392C357.3 392 368 381.3 368 368C368 354.7 357.3 344 344 344z"],
    "car-wrench": [576, 512, ["car-mechanic"], "f5e3", "M534.5 104C545.3 104 552.1 114.6 547.1 123.6C543.5 129.1 539.3 134.1 534.5 138.5C530.3 142.4 525.7 145.9 520.7 148.9C518.8 149.1 516.9 151 514.9 152C504.4 157.1 492.5 160 480 160C450.9 160 425.5 144.5 411.5 121.3C408.2 115.8 402.5 112 396.2 112H179.8C173.5 112 167.8 115.8 164.5 121.3C150.5 144.5 125.1 160 96 160C83.48 160 71.64 157.1 61.09 152C59.1 151 57.16 149.1 55.27 148.9C50.29 145.9 45.66 142.4 41.46 138.5C36.71 134.1 32.5 129.1 28.94 123.6C23.04 114.6 30.65 104 41.46 104H72L72.51 103.1C73.24 103.1 73.95 103.9 74.66 103.9C86.66 102.5 96 92.36 96 80C96 67.64 86.66 57.47 74.66 56.15C73.95 56.07 73.24 56.02 72.51 56.01L72 56H41.46C30.65 56 23.04 45.4 28.94 36.35C32.5 30.9 36.71 25.9 41.46 21.47C45.66 17.55 50.29 14.08 55.27 11.13C57.16 10.01 59.1 8.965 61.09 8C71.64 2.875 83.48 0 96 0C125.1 0 150.5 15.51 164.5 38.71C167.8 44.15 173.5 48 179.8 48H396.2C402.5 48 408.2 44.15 411.5 38.71C425.5 15.51 450.9 0 480 0C492.5 0 504.4 2.875 514.9 8C516.9 8.965 518.8 10.01 520.7 11.13C525.7 14.08 530.3 17.55 534.5 21.47C539.3 25.9 543.5 30.9 547.1 36.35C552.1 45.4 545.3 56 534.5 56H504L503.5 56.01C502.8 56.02 502 56.07 501.3 56.15C489.3 57.47 480 67.64 480 80C480 92.36 489.3 102.5 501.3 103.9C502 103.9 502.8 103.1 503.5 103.1L504 104H534.5zM217.8 160H358.2C391.1 160 422.1 181.3 433.5 213.1L461.8 292.4C481.9 300.9 496 320.8 496 344V480C496 497.7 481.7 512 464 512H448C430.3 512 416 497.7 416 480V448H160V480C160 497.7 145.7 512 128 512H112C94.33 512 80 497.7 80 480V344C80 320.8 94.08 300.9 114.2 292.4L142.5 213.1C153.9 181.3 184 160 217.8 160V160zM217.8 224C211.1 224 205 228.3 202.8 234.6L183.7 288H392.3L373.2 234.6C370.1 228.3 364.9 224 358.2 224H217.8zM160 392C173.3 392 184 381.3 184 368C184 354.7 173.3 344 160 344C146.7 344 136 354.7 136 368C136 381.3 146.7 392 160 392zM416 344C402.7 344 392 354.7 392 368C392 381.3 402.7 392 416 392C429.3 392 440 381.3 440 368C440 354.7 429.3 344 416 344z"],
    "caravan": [640, 512, [], "f8ff", "M0 112C0 67.82 35.82 32 80 32H416C504.4 32 576 103.6 576 192V352H608C625.7 352 640 366.3 640 384C640 401.7 625.7 416 608 416H288C288 469 245 512 192 512C138.1 512 96 469 96 416H80C35.82 416 0 380.2 0 336V112zM320 352H448V256H416C407.2 256 400 248.8 400 240C400 231.2 407.2 224 416 224H448V160C448 142.3 433.7 128 416 128H352C334.3 128 320 142.3 320 160V352zM96 128C78.33 128 64 142.3 64 160V224C64 241.7 78.33 256 96 256H224C241.7 256 256 241.7 256 224V160C256 142.3 241.7 128 224 128H96zM192 464C218.5 464 240 442.5 240 416C240 389.5 218.5 368 192 368C165.5 368 144 389.5 144 416C144 442.5 165.5 464 192 464z"],
    "caravan-simple": [640, 512, ["caravan-alt"], "e000", "M416 32C504.4 32 576 103.6 576 192V352H608C625.7 352 640 366.3 640 384C640 401.7 625.7 416 608 416H288C288 469 245 512 192 512C138.1 512 96 469 96 416H80C35.82 416 0 380.2 0 336V112C0 67.82 35.82 32 80 32H416zM64 224C64 241.7 78.33 256 96 256H224C241.7 256 256 241.7 256 224V160C256 142.3 241.7 128 224 128H96C78.33 128 64 142.3 64 160V224zM352 128C334.3 128 320 142.3 320 160V224C320 241.7 334.3 256 352 256H416C433.7 256 448 241.7 448 224V160C448 142.3 433.7 128 416 128H352zM192 368C165.5 368 144 389.5 144 416C144 442.5 165.5 464 192 464C218.5 464 240 442.5 240 416C240 389.5 218.5 368 192 368z"],
    "card-club": [384, 512, [], "e3e9", "M0 64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64zM80 264C80 294.9 105.1 320 136 320C151.7 320 165.8 313.6 176 303.2V336H160C151.2 336 144 343.2 144 352C144 360.8 151.2 368 160 368H224C232.8 368 240 360.8 240 352C240 343.2 232.8 336 224 336H208V303.2C218.2 313.6 232.3 320 248 320C278.9 320 304 294.9 304 264C304 235.1 282.1 211.3 253.9 208.3C255.3 203.1 256 197.6 256 192C256 156.7 227.3 128 192 128C156.7 128 128 156.7 128 192C128 197.6 128.7 203.1 130.1 208.3C101.9 211.3 80 235.1 80 264z"],
    "card-diamond": [384, 512, [], "e3ea", "M0 64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64zM84.69 244.7C78.44 250.9 78.44 261.1 84.69 267.3L180.7 363.3C186.9 369.6 197.1 369.6 203.3 363.3L299.3 267.3C305.6 261.1 305.6 250.9 299.3 244.7L203.3 148.7C197.1 142.4 186.9 142.4 180.7 148.7L84.69 244.7z"],
    "card-heart": [384, 512, [], "e3eb", "M320 0C355.3 0 384 28.65 384 64V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H320zM202.2 351.7L286.6 264.3C311.1 238.1 309.7 197 282.6 173.4C258.2 152.9 222.3 156.8 200.5 179.1L192.2 188.3L183.5 179.1C161.6 156.8 125.3 152.9 101.7 173.4C74.21 197 72.9 238.1 97.37 264.3L182.1 351.7C187.4 357.4 196.6 357.4 202.2 351.7H202.2z"],
    "card-spade": [384, 512, [], "e3ec", "M320 0C355.3 0 384 28.65 384 64V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H320zM88.4 224.4C66.53 246.3 66.53 281.7 88.4 303.6C110.3 325.5 145.7 325.5 167.6 303.6L175 296.2C175.3 295.8 175.7 295.5 175.1 295.2V335.1H159.1C151.2 335.1 143.1 343.2 143.1 351.1C143.1 360.8 151.2 367.1 159.1 367.1H223.1C232.8 367.1 239.1 360.8 239.1 351.1C239.1 343.2 232.8 335.1 223.1 335.1H207.1V295.2C208.3 295.5 208.7 295.8 208.1 296.2L216.4 303.6C238.3 325.5 273.7 325.5 295.6 303.6C317.5 281.7 317.5 246.3 295.6 224.4L208.1 137.8C199.6 128.4 184.4 128.4 175 137.8L88.4 224.4z"],
    "cards": [640, 512, [], "e3ed", "M7.468 194.9C-7.906 168.2 1.218 134.2 27.85 118.8L220.7 7.468C247.3-7.906 281.4 1.218 296.8 27.85L463.8 317.1C479.1 343.8 470 377.8 443.4 393.2L250.5 504.5C223.9 519.9 189.9 510.8 174.5 484.2L7.468 194.9zM196.1 159.6C185.8 156.6 174.4 163.2 171.4 174.3L143.8 277.3C136.9 303.2 152.3 329.1 178.3 336.9C204.3 343.9 230.1 328.5 237.9 302.5L240.3 293.6C240.4 293.3 240.5 292.9 240.6 292.5L258.4 323.2L246.3 330.2C239.6 334 237.4 342.5 241.2 349.2C245.1 355.9 253.6 358.1 260.2 354.3L308.4 326.5C315.1 322.6 317.4 314.1 313.5 307.4C309.7 300.8 301.2 298.5 294.5 302.3L282.5 309.3L264.7 278.6C265.1 278.7 265.5 278.8 265.9 278.9L274.7 281.2C300.7 288.2 327.4 272.8 334.4 246.8C341.3 220.8 325.9 194.1 299.9 187.1L196.1 159.6zM491.5 301.1L354.7 64.25C356.5 64.08 358.2 63.1 360 63.1H584C614.9 63.1 640 89.07 640 119.1V456C640 486.9 614.9 512 584 512H360C346.4 512 333.8 507.1 324.1 498.1L459.4 420.9C501.3 396.7 515.7 343.1 491.5 301.1L491.5 301.1zM533.9 237.6L582 187.6C596 173.1 595.3 149.2 579.8 135.7C565.8 123.9 545.3 126.2 532.9 138.9L528.1 144.2L523.1 138.9C510.6 126.2 489.9 123.9 476.4 135.7C460.7 149.2 459.9 173.1 473.9 187.6L522.4 237.6C525.4 240.8 530.6 240.8 533.9 237.6H533.9z"],
    "cards-blank": [640, 512, [], "e4df", "M220.7 7.468C247.3-7.906 281.4 1.218 296.8 27.85L463.8 317.1C479.1 343.8 470 377.8 443.4 393.2L250.5 504.5C223.9 519.9 189.9 510.8 174.5 484.2L7.468 194.9C-7.906 168.2 1.218 134.2 27.85 118.8L220.7 7.468zM491.5 301.1L354.7 64.25C356.5 64.08 358.2 63.1 360 63.1H584C614.9 63.1 640 89.07 640 119.1V456C640 486.9 614.9 512 584 512H360C346.4 512 333.8 507.1 324.1 498.1L459.4 420.9C501.3 396.7 515.7 343.1 491.5 301.1L491.5 301.1z"],
    "caret-down": [320, 512, [], "f0d7", "M310.6 246.6l-127.1 128C176.4 380.9 168.2 384 160 384s-16.38-3.125-22.63-9.375l-127.1-128C.2244 237.5-2.516 223.7 2.438 211.8S19.07 192 32 192h255.1c12.94 0 24.62 7.781 29.58 19.75S319.8 237.5 310.6 246.6z"],
    "caret-left": [256, 512, [], "f0d9", "M137.4 406.6l-128-127.1C3.125 272.4 0 264.2 0 255.1s3.125-16.38 9.375-22.63l128-127.1c9.156-9.156 22.91-11.9 34.88-6.943S192 115.1 192 128v255.1c0 12.94-7.781 24.62-19.75 29.58S146.5 415.8 137.4 406.6z"],
    "caret-right": [256, 512, [], "f0da", "M118.6 105.4l128 127.1C252.9 239.6 256 247.8 256 255.1s-3.125 16.38-9.375 22.63l-128 127.1c-9.156 9.156-22.91 11.9-34.88 6.943S64 396.9 64 383.1V128c0-12.94 7.781-24.62 19.75-29.58S109.5 96.23 118.6 105.4z"],
    "caret-up": [320, 512, [], "f0d8", "M9.39 265.4l127.1-128C143.6 131.1 151.8 128 160 128s16.38 3.125 22.63 9.375l127.1 128c9.156 9.156 11.9 22.91 6.943 34.88S300.9 320 287.1 320H32.01c-12.94 0-24.62-7.781-29.58-19.75S.2333 274.5 9.39 265.4z"],
    "carrot": [512, 512, [129365], "f787", "M298.2 156.6C245.5 130.9 183.7 146.1 147.1 189.4l55.27 55.31c6.25 6.25 6.25 16.33 0 22.58c-3.127 3-7.266 4.605-11.39 4.605s-8.068-1.605-11.19-4.605L130.3 217l-128.1 262.8c-2.875 6-3 13.25 0 19.63c5.5 11.12 19 15.75 30 10.38l133.6-65.25L116.7 395.3c-6.377-6.125-6.377-16.38 0-22.5c6.25-6.25 16.37-6.25 22.5 0l56.98 56.98l102-49.89c24-11.63 44.5-31.26 57.13-57.13C385.5 261.1 359.9 186.8 298.2 156.6zM390.2 121.8C409.7 81 399.7 32.88 359.1 0c-50.25 41.75-52.51 107.5-7.875 151.9l8 8C404.5 204.5 470.4 202.3 512 152C479.1 112.3 430.1 102.3 390.2 121.8z"],
    "cars": [640, 512, [], "f85b", "M36.15 134.4L62.7 54.7C73.59 22.03 104.2 0 138.6 0H277.4C311.8 0 342.4 22.03 353.3 54.7L377.7 128H362.6C314.4 128 271.6 158.8 256.3 204.6L233.6 272.9C227.3 277.3 221.5 282.3 216.5 288H80V320C80 337.7 65.67 352 48 352H32C14.33 352 .0003 337.7 .0003 320L0 192C0 166.6 14.75 144.7 36.15 134.4V134.4zM105.7 128H310.3L292.6 74.94C290.4 68.41 284.3 64 277.4 64H138.6C131.7 64 125.6 68.41 123.4 74.94L105.7 128zM80 184C66.75 184 56 194.7 56 208C56 221.3 66.75 232 80 232C93.25 232 104 221.3 104 208C104 194.7 93.25 184 80 184zM362.6 160H501.4C535.8 160 566.4 182 577.3 214.7L603.9 294.4C625.2 304.7 640 326.6 640 352L640 480C640 497.7 625.7 512 608 512H592C574.3 512 560 497.7 560 480V448H304V480C304 497.7 289.7 512 272 512H256C238.3 512 224 497.7 224 480L224 352C224 326.6 238.8 304.7 260.1 294.4L286.7 214.7C297.6 182 328.2 160 362.6 160V160zM362.6 224C355.7 224 349.6 228.4 347.4 234.9L329.7 288H534.3L516.6 234.9C514.4 228.4 508.3 224 501.4 224H362.6zM304 392C317.3 392 328 381.3 328 368C328 354.7 317.3 344 304 344C290.7 344 280 354.7 280 368C280 381.3 290.7 392 304 392zM560 344C546.7 344 536 354.7 536 368C536 381.3 546.7 392 560 392C573.3 392 584 381.3 584 368C584 354.7 573.3 344 560 344z"],
    "cart-arrow-down": [576, 512, [], "f218", "M0 24C0 10.75 10.75 0 24 0H96C107.5 0 117.4 8.19 119.6 19.51L121.1 32H312V134.1L288.1 111C279.6 101.7 264.4 101.7 255 111C245.7 120.4 245.7 135.6 255 144.1L319 208.1C328.4 218.3 343.6 218.3 352.1 208.1L416.1 144.1C426.3 135.6 426.3 120.4 416.1 111C407.6 101.7 392.4 101.7 383 111L360 134.1V32H541.8C562.1 32 578.3 52.25 572.6 72.66L518.6 264.7C514.7 278.5 502.1 288 487.8 288H170.7L179.9 336H488C501.3 336 512 346.7 512 360C512 373.3 501.3 384 488 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.25 0 24V24zM224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464zM416 464C416 437.5 437.5 416 464 416C490.5 416 512 437.5 512 464C512 490.5 490.5 512 464 512C437.5 512 416 490.5 416 464z"],
    "cart-arrow-up": [576, 512, [], "e3ee", "M0 24C0 10.75 10.75 0 24 0H96C107.5 0 117.4 8.19 119.6 19.51L121.1 32H541.8C562.1 32 578.3 52.25 572.6 72.66L518.6 264.7C514.7 278.5 502.1 288 487.8 288H360V177.9L383 200.1C392.4 210.3 407.6 210.3 416.1 200.1C426.3 191.6 426.3 176.4 416.1 167L352.1 103C343.6 93.66 328.4 93.66 319 103L255 167C245.7 176.4 245.7 191.6 255 200.1C264.4 210.3 279.6 210.3 288.1 200.1L312 177.9V288H170.7L179.9 336H488C501.3 336 512 346.7 512 360C512 373.3 501.3 384 488 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.25 0 24V24zM224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464zM416 464C416 437.5 437.5 416 464 416C490.5 416 512 437.5 512 464C512 490.5 490.5 512 464 512C437.5 512 416 490.5 416 464z"],
    "cart-circle-arrow-down": [640, 512, [], "e3ef", "M96 0C107.5 0 117.4 8.19 119.6 19.51L121.1 32H541.8C562.1 32 578.3 52.25 572.6 72.66L537.6 196.9C524.3 193.7 510.3 192 496 192C427.6 192 368.3 231 339.2 288H170.7L179.9 336H322.9C320.1 346.4 319.1 357.1 319.1 368C319.1 373.4 320.2 378.7 320.7 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.26 0 24C0 10.75 10.75 .0003 24 .0003L96 0zM128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464zM496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512zM540.7 364.7L512 393.4V304C512 295.2 504.8 288 496 288C487.2 288 480 295.2 480 304V393.4L451.3 364.7C445.1 358.4 434.9 358.4 428.7 364.7C422.4 370.9 422.4 381.1 428.7 387.3L484.7 443.3C490.9 449.6 501.1 449.6 507.3 443.3L563.3 387.3C569.6 381.1 569.6 370.9 563.3 364.7C557.1 358.4 546.9 358.4 540.7 364.7H540.7z"],
    "cart-circle-arrow-up": [640, 512, [], "e3f0", "M96 0C107.5 0 117.4 8.19 119.6 19.51L121.1 32H541.8C562.1 32 578.3 52.25 572.6 72.66L537.6 196.9C524.3 193.7 510.3 192 496 192C427.6 192 368.3 231 339.2 288H170.7L179.9 336H322.9C320.1 346.4 319.1 357.1 319.1 368C319.1 373.4 320.2 378.7 320.7 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.26 0 24C0 10.75 10.75 .0003 24 .0003L96 0zM128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464zM496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224zM451.3 371.3L480 342.6V432C480 440.8 487.2 448 496 448C504.8 448 512 440.8 512 432V342.6L540.7 371.3C546.9 377.6 557.1 377.6 563.3 371.3C569.6 365.1 569.6 354.9 563.3 348.7L507.3 292.7C501.1 286.4 490.9 286.4 484.7 292.7L428.7 348.7C422.4 354.9 422.4 365.1 428.7 371.3C434.9 377.6 445.1 377.6 451.3 371.3H451.3z"],
    "cart-circle-check": [640, 512, [], "e3f1", "M96 0C107.5 0 117.4 8.19 119.6 19.51L121.1 32H541.8C562.1 32 578.3 52.25 572.6 72.66L537.6 196.9C524.3 193.7 510.3 192 496 192C427.6 192 368.3 231 339.2 288H170.7L179.9 336H322.9C320.1 346.4 319.1 357.1 319.1 368C319.1 373.4 320.2 378.7 320.7 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.26 0 24C0 10.75 10.75 .0003 24 .0003L96 0zM128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM480 385.4L451.3 356.7C445.1 350.4 434.9 350.4 428.7 356.7C422.4 362.9 422.4 373.1 428.7 379.3L468.7 419.3C474.9 425.6 485.1 425.6 491.3 419.3L563.3 347.3C569.6 341.1 569.6 330.9 563.3 324.7C557.1 318.4 546.9 318.4 540.7 324.7L480 385.4z"],
    "cart-circle-exclamation": [640, 512, [], "e3f2", "M96 0C107.5 0 117.4 8.19 119.6 19.51L121.1 32H541.8C562.1 32 578.3 52.25 572.6 72.66L537.6 196.9C524.3 193.7 510.3 192 496 192C427.6 192 368.3 231 339.2 288H170.7L179.9 336H322.9C320.1 346.4 319.1 357.1 319.1 368C319.1 373.4 320.2 378.7 320.7 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.26 0 24C0 10.75 10.75 .0003 24 .0003L96 0zM128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 464C509.3 464 520 453.3 520 440C520 426.7 509.3 416 496 416C482.7 416 472 426.7 472 440C472 453.3 482.7 464 496 464zM479.1 288V368C479.1 376.8 487.2 384 495.1 384C504.8 384 511.1 376.8 511.1 368V288C511.1 279.2 504.8 272 495.1 272C487.2 272 479.1 279.2 479.1 288z"],
    "cart-circle-plus": [640, 512, [], "e3f3", "M96 0C107.5 0 117.4 8.19 119.6 19.51L121.1 32H541.8C562.1 32 578.3 52.25 572.6 72.66L537.6 196.9C524.3 193.7 510.3 192 496 192C427.6 192 368.3 231 339.2 288H170.7L179.9 336H322.9C320.1 346.4 319.1 357.1 319.1 368C319.1 373.4 320.2 378.7 320.7 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.26 0 24C0 10.75 10.75 .0003 24 .0003L96 0zM128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464zM496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224zM560 384C568.8 384 576 376.8 576 368C576 359.2 568.8 352 560 352H512V304C512 295.2 504.8 288 496 288C487.2 288 480 295.2 480 304V352H432C423.2 352 416 359.2 416 368C416 376.8 423.2 384 432 384H480V432C480 440.8 487.2 448 496 448C504.8 448 512 440.8 512 432V384H560z"],
    "cart-circle-xmark": [640, 512, [], "e3f4", "M96 0C107.5 0 117.4 8.19 119.6 19.51L121.1 32H541.8C562.1 32 578.3 52.25 572.6 72.66L537.6 196.9C524.3 193.7 510.3 192 496 192C427.6 192 368.3 231 339.2 288H170.7L179.9 336H322.9C320.1 346.4 319.1 357.1 319.1 368C319.1 373.4 320.2 378.7 320.7 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.26 0 24C0 10.75 10.75 .0003 24 .0003L96 0zM128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM555.3 331.3C561.6 325.1 561.6 314.9 555.3 308.7C549.1 302.4 538.9 302.4 532.7 308.7L496 345.4L459.3 308.7C453.1 302.4 442.9 302.4 436.7 308.7C430.4 314.9 430.4 325.1 436.7 331.3L473.4 368L436.7 404.7C430.4 410.9 430.4 421.1 436.7 427.3C442.9 433.6 453.1 433.6 459.3 427.3L496 390.6L532.7 427.3C538.9 433.6 549.1 433.6 555.3 427.3C561.6 421.1 561.6 410.9 555.3 404.7L518.6 368L555.3 331.3z"],
    "cart-flatbed": [640, 512, ["dolly-flatbed"], "f474", "M240 320h320c26.4 0 48-21.6 48-48v-192C608 53.6 586.4 32 560 32H448v128l-48-32L352 160V32H240C213.6 32 192 53.6 192 80v192C192 298.4 213.6 320 240 320zM608 384H128V64c0-35.2-28.8-64-64-64H31.1C14.4 0 0 14.4 0 32S14.4 64 31.1 64H48C56.84 64 64 71.16 64 80v335.1c0 17.6 14.4 32 32 32l66.92-.0009C161.1 453 160 458.4 160 464C160 490.5 181.5 512 208 512S256 490.5 256 464c0-5.641-1.13-10.97-2.917-16h197.9c-1.787 5.027-2.928 10.36-2.928 16C448 490.5 469.5 512 496 512c26.51 0 48.01-21.49 48.01-47.1c0-5.641-1.12-10.97-2.907-16l66.88 .0009C625.6 448 640 433.6 640 415.1C640 398.4 625.6 384 608 384z"],
    "cart-flatbed-boxes": [640, 512, ["dolly-flatbed-alt"], "f475", "M448 160h64c17.6 0 32-14.4 32-32V64c0-17.6-14.4-32-32-32h-64c-17.6 0-32 14.4-32 32v64C416 145.6 430.4 160 448 160zM448 320h128c17.6 0 32-14.4 32-32V224c0-17.6-14.4-32-32-32h-128c-17.6 0-32 14.4-32 32v64C416 305.6 430.4 320 448 320zM224 320h128c17.6 0 32-14.4 32-32V64c0-17.6-14.4-32-32-32H224C206.4 32 192 46.4 192 64v224C192 305.6 206.4 320 224 320zM640 415.1c0 17.6-14.4 32-32 31.1l-66.88-.0011c1.787 5.027 2.907 10.36 2.907 16c0 26.51-21.5 48-48.01 48c-26.51 0-47.99-21.49-47.99-48c0-5.641 1.141-10.97 2.928-16H253.1C254.9 453 256 458.4 256 464C256 490.5 234.5 512 208 512S160 490.5 160 464c0-5.641 1.13-10.97 2.917-16l-66.92 .0011C78.4 448 64 433.6 64 415.1V80C64 71.16 56.84 64 48 64H31.1C14.4 64 0 49.6 0 32S14.4 0 31.1 0H64c35.2 0 64 28.8 64 64v320h480C625.6 384 640 398.4 640 415.1z"],
    "cart-flatbed-empty": [640, 512, ["dolly-flatbed-empty"], "f476", "M640 415.1c0 17.6-14.4 32-32 31.1l-66.88-.0011c1.787 5.027 2.907 10.36 2.907 16c0 26.51-21.5 48-48.01 48c-26.51 0-47.99-21.49-47.99-48c0-5.641 1.141-10.97 2.928-16H253.1C254.9 453 256 458.4 256 464C256 490.5 234.5 512 208 512S160 490.5 160 464c0-5.641 1.13-10.97 2.917-16l-66.92 .0011C78.4 448 64 433.6 64 415.1V80C64 71.16 56.84 64 48 64H31.1C14.4 64 0 49.6 0 32S14.4 0 31.1 0H64c35.2 0 64 28.8 64 64v320h480C625.6 384 640 398.4 640 415.1z"],
    "cart-flatbed-suitcase": [640, 512, ["luggage-cart"], "f59d", "M541.2 448C542.1 453 544.1 458.4 544.1 464C544.1 490.5 522.6 512 496 512C469.5 512 448.1 490.5 448.1 464C448.1 458.4 449.2 453 450.1 448H253.1C254.9 453 256 458.4 256 464C256 490.5 234.5 512 208 512C181.5 512 160 490.5 160 464C160 458.4 161.1 453 162.9 448L96 448C78.4 448 64 433.6 64 416V80C64 71.16 56.84 64 48 64H32C14.4 64 0 49.6 0 32C0 14.4 14.4 0 32 0H64C99.2 0 128 28.8 128 64V384H608C625.6 384 640 398.4 640 416C640 433.6 625.6 448 608 448L541.2 448zM432 0C458.5 0 480 21.5 480 48V320H288V48C288 21.5 309.5 0 336 0H432zM336 96H432V48H336V96zM256 320H224C206.4 320 192 305.6 192 288V128C192 110.4 206.4 96 224 96H256V320zM576 128V288C576 305.6 561.6 320 544 320H512V96H544C561.6 96 576 110.4 576 128z"],
    "cart-minus": [576, 512, [], "e0db", "M0 24C0 10.75 10.75 0 24 0H96C107.5 0 117.4 8.19 119.6 19.51L121.1 32H541.8C562.1 32 578.3 52.25 572.6 72.66L518.6 264.7C514.7 278.5 502.1 288 487.8 288H170.7L179.9 336H488C501.3 336 512 346.7 512 360C512 373.3 501.3 384 488 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.25 0 24V24zM280 140C268.1 140 260 148.1 260 160C260 171 268.1 180 280 180H392C403 180 412 171 412 160C412 148.1 403 140 392 140H280zM224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464zM416 464C416 437.5 437.5 416 464 416C490.5 416 512 437.5 512 464C512 490.5 490.5 512 464 512C437.5 512 416 490.5 416 464z"],
    "cart-plus": [576, 512, [], "f217", "M96 0C107.5 0 117.4 8.19 119.6 19.51L121.1 32H541.8C562.1 32 578.3 52.25 572.6 72.66L518.6 264.7C514.7 278.5 502.1 288 487.8 288H170.7L179.9 336H488C501.3 336 512 346.7 512 360C512 373.3 501.3 384 488 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.25 0 24C0 10.75 10.75 0 24 0H96zM272 180H316V224C316 235 324.1 244 336 244C347 244 356 235 356 224V180H400C411 180 420 171 420 160C420 148.1 411 140 400 140H356V96C356 84.95 347 76 336 76C324.1 76 316 84.95 316 96V140H272C260.1 140 252 148.1 252 160C252 171 260.1 180 272 180zM128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464zM512 464C512 490.5 490.5 512 464 512C437.5 512 416 490.5 416 464C416 437.5 437.5 416 464 416C490.5 416 512 437.5 512 464z"],
    "cart-shopping": [576, 512, [128722, "shopping-cart"], "f07a", "M96 0C107.5 0 117.4 8.19 119.6 19.51L121.1 32H541.8C562.1 32 578.3 52.25 572.6 72.66L518.6 264.7C514.7 278.5 502.1 288 487.8 288H170.7L179.9 336H488C501.3 336 512 346.7 512 360C512 373.3 501.3 384 488 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.25 0 24C0 10.75 10.75 0 24 0H96zM128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464zM512 464C512 490.5 490.5 512 464 512C437.5 512 416 490.5 416 464C416 437.5 437.5 416 464 416C490.5 416 512 437.5 512 464z"],
    "cart-shopping-fast": [640, 512, [], "e0dc", "M64 24C64 10.75 74.75 0 88 0H160C171.5 0 181.4 8.19 183.6 19.51L185.1 32H605.8C626.1 32 642.3 52.25 636.6 72.66L582.6 264.7C578.7 278.5 566.1 288 551.8 288H234.7L243.9 336H552C565.3 336 576 346.7 576 360C576 373.3 565.3 384 552 384H223.1C212.5 384 202.6 375.8 200.4 364.5L140.1 48H88C74.75 48 64 37.25 64 24V24zM288 464C288 490.5 266.5 512 240 512C213.5 512 192 490.5 192 464C192 437.5 213.5 416 240 416C266.5 416 288 437.5 288 464zM480 464C480 437.5 501.5 416 528 416C554.5 416 576 437.5 576 464C576 490.5 554.5 512 528 512C501.5 512 480 490.5 480 464zM104 96C117.3 96 128 106.7 128 120C128 133.3 117.3 144 104 144H24C10.75 144 0 133.3 0 120C0 106.7 10.75 96 24 96H104zM120 176C133.3 176 144 186.7 144 200C144 213.3 133.3 224 120 224H24C10.75 224 0 213.3 0 200C0 186.7 10.75 176 24 176H120zM136 256C149.3 256 160 266.7 160 280C160 293.3 149.3 304 136 304H24C10.75 304 0 293.3 0 280C0 266.7 10.75 256 24 256H136z"],
    "cart-xmark": [576, 512, [], "e0dd", "M96 0C107.5 0 117.4 8.19 119.6 19.51L121.1 32H541.8C562.1 32 578.3 52.25 572.6 72.66L518.6 264.7C514.7 278.5 502.1 288 487.8 288H170.7L179.9 336H488C501.3 336 512 346.7 512 360C512 373.3 501.3 384 488 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.25 0 24C0 10.75 10.75 0 24 0H96zM282.3 134.5L307.7 160L282.3 185.5C274.4 193.3 274.4 205.9 282.3 213.7C290.1 221.6 302.7 221.6 310.5 213.7L336 188.3L361.5 213.7C369.3 221.6 381.9 221.6 389.7 213.7C397.6 205.9 397.6 193.3 389.7 185.5L364.3 160L389.7 134.5C397.6 126.7 397.6 114.1 389.7 106.3C381.9 98.45 369.3 98.45 361.5 106.3L336 131.7L310.5 106.3C302.7 98.45 290.1 98.45 282.3 106.3C274.4 114.1 274.4 126.7 282.3 134.5V134.5zM128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464zM512 464C512 490.5 490.5 512 464 512C437.5 512 416 490.5 416 464C416 437.5 437.5 416 464 416C490.5 416 512 437.5 512 464z"],
    "cash-register": [512, 512, [], "f788", "M288 0C305.7 0 320 14.33 320 32V96C320 113.7 305.7 128 288 128H208V160H424.1C456.6 160 483.5 183.1 488.2 214.4L510.9 364.1C511.6 368.8 512 373.6 512 378.4V448C512 483.3 483.3 512 448 512H64C28.65 512 0 483.3 0 448V378.4C0 373.6 .3622 368.8 1.083 364.1L23.76 214.4C28.5 183.1 55.39 160 87.03 160H143.1V128H63.1C46.33 128 31.1 113.7 31.1 96V32C31.1 14.33 46.33 0 63.1 0L288 0zM96 48C87.16 48 80 55.16 80 64C80 72.84 87.16 80 96 80H256C264.8 80 272 72.84 272 64C272 55.16 264.8 48 256 48H96zM80 448H432C440.8 448 448 440.8 448 432C448 423.2 440.8 416 432 416H80C71.16 416 64 423.2 64 432C64 440.8 71.16 448 80 448zM112 216C98.75 216 88 226.7 88 240C88 253.3 98.75 264 112 264C125.3 264 136 253.3 136 240C136 226.7 125.3 216 112 216zM208 264C221.3 264 232 253.3 232 240C232 226.7 221.3 216 208 216C194.7 216 184 226.7 184 240C184 253.3 194.7 264 208 264zM160 296C146.7 296 136 306.7 136 320C136 333.3 146.7 344 160 344C173.3 344 184 333.3 184 320C184 306.7 173.3 296 160 296zM304 264C317.3 264 328 253.3 328 240C328 226.7 317.3 216 304 216C290.7 216 280 226.7 280 240C280 253.3 290.7 264 304 264zM256 296C242.7 296 232 306.7 232 320C232 333.3 242.7 344 256 344C269.3 344 280 333.3 280 320C280 306.7 269.3 296 256 296zM400 264C413.3 264 424 253.3 424 240C424 226.7 413.3 216 400 216C386.7 216 376 226.7 376 240C376 253.3 386.7 264 400 264zM352 296C338.7 296 328 306.7 328 320C328 333.3 338.7 344 352 344C365.3 344 376 333.3 376 320C376 306.7 365.3 296 352 296z"],
    "cassette-betamax": [576, 512, ["betamax"], "f8a4", "M160 352c17.62 0 32-14.38 32-32S177.6 288 160 288s-32 14.38-32 32S142.4 352 160 352zM528 32h-480C21.49 32 0 53.49 0 80V128h576V80C576 53.49 554.5 32 528 32zM0 432C0 458.5 21.49 480 48 480h480c26.51 0 48-21.49 48-48V160H0V432zM320 224h192v192h-192V224zM160 224c52.95 0 96 43.05 96 96s-43.05 96-96 96c-52.95 0-96-43.05-96-96S107.1 224 160 224z"],
    "cassette-tape": [576, 512, [128429], "f8ab", "M416 384l32 96H128l32-96H416zM576 96v336c0 26.51-21.49 48-48 48h-46.27l-35.37-106.1C442 360.8 429.8 352 416 352H159.1c-13.77 0-26 8.813-30.36 21.88L94.27 480H48C21.49 480 0 458.5 0 432V96c0-35.35 28.65-64 64-64h448C547.3 32 576 60.65 576 96zM176 224c0-17.62-14.38-32-32-32s-32 14.38-32 32s14.38 32 32 32S176 241.6 176 224zM336 224c0-11.28 2.305-21.95 5.879-32H234.1C237.7 202.1 240 212.7 240 224S237.7 245.9 234.1 256h107.8C338.3 245.9 336 235.3 336 224zM464 224c0-17.62-14.38-32-32-32s-32 14.38-32 32s14.38 32 32 32S464 241.6 464 224z"],
    "cassette-vhs": [576, 512, [128252, "vhs"], "f8ec", "M0 432c0 26.51 21.49 48 48 48h480c26.51 0 48-21.49 48-48V160H0V432zM416 349c19.12-6.625 32-24.78 32-45.03s-12.88-38.41-32-45.03V224l48.87 0C483.1 245.3 496 273.1 496 304s-12 58.75-31.13 80L416 384V349zM224 224h128v159.1H224V224zM111.1 224L160 224V258.1C140.9 265.6 128 283.8 128 304s12.88 38.4 32 45.03v34.97l-48.87 0C92 362.8 80 334.9 80 304S92 245.3 111.1 224zM528 32h-480C21.49 32 0 53.49 0 80v48h576V80C576 53.49 554.5 32 528 32z"],
    "castle": [640, 512, [], "e0de", "M128 16C128 7.164 135.2 0 144 0H176C184.8 0 192 7.164 192 16V64H240V16C240 7.164 247.2 0 256 0H288C296.8 0 304 7.164 304 16V64H336V16C336 7.164 343.2 0 352 0H384C392.8 0 400 7.164 400 16V64H448V16C448 7.164 455.2 0 464 0H496C504.8 0 512 7.164 512 16V224H576V176C576 167.2 583.2 160 592 160H624C632.8 160 640 167.2 640 176V464C640 490.5 618.5 512 592 512H384V384C384 348.7 355.3 320 320 320C284.7 320 256 348.7 256 384V512H48C21.49 512 0 490.5 0 464V176C0 167.2 7.164 160 16 160H48C56.84 160 64 167.2 64 176V224H128V16z"],
    "cat": [576, 512, [128008], "f6be", "M322.6 192C302.4 192 215.8 194 160 278V192c0-53-43-96-96-96C46.38 96 32 110.4 32 128s14.38 32 32 32s32 14.38 32 32v256c0 35.25 28.75 64 64 64h176c8.875 0 16-7.125 16-15.1V480c0-17.62-14.38-32-32-32h-32l128-96v144c0 8.875 7.125 16 16 16h32c8.875 0 16-7.125 16-16V289.9c-10.25 2.625-20.88 4.5-32 4.5C386.2 294.4 334.5 250.4 322.6 192zM480 96h-64l-64-64v134.4c0 53 43 95.1 96 95.1s96-42.1 96-95.1V32L480 96zM408 176c-8.875 0-16-7.125-16-16s7.125-16 16-16s16 7.125 16 16S416.9 176 408 176zM488 176c-8.875 0-16-7.125-16-16s7.125-16 16-16s16 7.125 16 16S496.9 176 488 176z"],
    "cat-space": [640, 512, [], "e001", "M544 32.75V32l-.375 .375C516.9 12.38 484 0 448 0s-68.88 12.38-95.63 32.38L352 32v.75C313.4 61.88 287.1 107.9 287.1 160c0 11.5 1.383 22.96 3.883 34.34c-35.88 5.25-91.76 23.26-131.9 83.64V192c0-53-43-96-96-96c-17.62 0-32 14.38-32 32s14.38 32 32 32s32 14.38 32 32v256c0 35.38 28.63 64 64 64h175.1c4.25 0 8.375-1.625 11.37-4.625s4.625-7.119 4.625-11.37V480c0-17.62-14.38-32-32-32H287.1l128-96v144c0 4.25 1.625 8.375 4.625 11.38S427.7 512 431.1 512h32.01c4.25 0 8.375-1.625 11.37-4.625s4.625-7.116 4.625-11.37V316.8C554.5 301.5 608 236 608 160C608 107.9 582.6 61.88 544 32.75zM448 32c26.12 0 51.63 8.125 73 23L480 96h-64l-41-40.88C396.4 40.12 421.9 32 448 32zM503.1 160C503.1 168.9 496.9 176 487.1 176S472 168.9 472 160s7.125-16 16-16c4.25 0 8.375 1.625 11.38 4.625S503.1 155.8 503.1 160zM423.1 160C423.1 168.9 416.9 176 407.1 176S392 168.9 392 160s7.125-16 16-16c4.25 0 8.375 1.625 11.38 4.625S423.1 155.8 423.1 160zM448 288c-70.63-.125-127.9-57.37-128-127.1c0-32.13 12.38-61.25 32-83.75V160c0 53 43 96 96 96s96-43 96-96V76.25C563.6 98.75 576 127.9 576 160C575.9 230.6 518.6 287.9 448 288zM162.1 68.76L202.6 85.36l16.6 39.65c.875 1.875 2.762 2.986 4.763 2.986c1.999 0 3.875-1.111 4.75-2.986L245.3 85.36l39.65-16.6c1.875-.875 2.992-2.756 2.992-4.756s-1.117-3.882-2.992-4.757L245.3 42.64L228.7 2.986C227.9 1.111 225.1 .0001 223.1 .0001c-2.001 0-3.888 1.111-4.763 2.986L202.6 42.64L162.1 59.24c-1.875 .875-2.98 2.757-2.98 4.757S161.1 67.88 162.1 68.76z"],
    "cauldron": [448, 512, [], "f6bf", "M128 32C128 14.33 142.3 0 160 0C177.7 0 192 14.33 192 32C192 49.67 177.7 64 160 64C142.3 64 128 49.67 128 32zM224 80C224 53.49 245.5 32 272 32C298.5 32 320 53.49 320 80C320 106.5 298.5 128 272 128C245.5 128 224 106.5 224 80zM32 224C14.33 224 0 209.7 0 192C0 174.3 14.33 160 32 160H416C433.7 160 448 174.3 448 192C448 209.7 433.7 224 416 224H412.9C431.5 256.1 448 297.1 448 334.4C448 371.8 436.1 403.8 416 429.9V488C416 501.3 405.3 512 392 512C378.7 512 368 501.3 368 488V473C327.6 498.5 276.2 512 224 512C171.8 512 120.4 498.5 80 473V488C80 501.3 69.25 512 56 512C42.75 512 32 501.3 32 488V429.9C11.93 403.8 0 371.8 0 334.4C0 297.1 16.46 256.1 35.11 224H32z"],
    "cedi-sign": [320, 512, [], "e0df", "M224 66.66C254.9 71.84 283.2 84.39 307.2 102.4C321.4 113 324.2 133.1 313.6 147.2C302.1 161.4 282.9 164.2 268.8 153.6C255.6 143.7 240.4 136.3 224 132V379.1C240.4 375.7 255.6 368.3 268.8 358.4C282.9 347.8 302.1 350.6 313.6 364.8C324.2 378.9 321.4 398.1 307.2 409.6C283.2 427.6 254.9 440.2 224 445.3V480C224 497.7 209.7 512 192 512C174.3 512 160 497.7 160 480V445.3C69.19 430.1 0 351.1 0 256C0 160.9 69.19 81.89 160 66.65V32C160 14.33 174.3 0 192 0C209.7 0 224 14.33 224 32V66.66zM160 132C104.8 146.2 64 196.4 64 255.1C64 315.6 104.8 365.8 160 379.1V132z"],
    "cent-sign": [320, 512, [], "e3f5", "M192 0C209.7 0 224 14.33 224 32V66.66C254.9 71.84 283.2 84.39 307.2 102.4C321.4 113 324.2 133.1 313.6 147.2C302.1 161.4 282.9 164.2 268.8 153.6C247.4 137.5 220.9 128 192 128C121.3 128 64 185.3 64 256C64 326.7 121.3 384 192 384C220.9 384 247.4 374.5 268.8 358.4C282.9 347.8 302.1 350.6 313.6 364.8C324.2 378.9 321.4 398.1 307.2 409.6C283.2 427.6 254.9 440.2 224 445.3V480C224 497.7 209.7 512 192 512C174.3 512 160 497.7 160 480V445.3C69.19 430.1 0 351.1 0 256C0 160.9 69.19 81.89 160 66.66V32C160 14.33 174.3 .0006 192 .0006V0z"],
    "certificate": [512, 512, [], "f0a3", "M256 53.46L300.1 7.261C307 1.034 315.1-1.431 324.4 .8185C332.8 3.068 339.3 9.679 341.4 18.1L357.3 80.6L419.3 63.07C427.7 60.71 436.7 63.05 442.8 69.19C448.1 75.34 451.3 84.33 448.9 92.69L431.4 154.7L493.9 170.6C502.3 172.7 508.9 179.2 511.2 187.6C513.4 196 510.1 204.1 504.7 211L458.5 256L504.7 300.1C510.1 307 513.4 315.1 511.2 324.4C508.9 332.8 502.3 339.3 493.9 341.4L431.4 357.3L448.9 419.3C451.3 427.7 448.1 436.7 442.8 442.8C436.7 448.1 427.7 451.3 419.3 448.9L357.3 431.4L341.4 493.9C339.3 502.3 332.8 508.9 324.4 511.2C315.1 513.4 307 510.1 300.1 504.7L256 458.5L211 504.7C204.1 510.1 196 513.4 187.6 511.2C179.2 508.9 172.7 502.3 170.6 493.9L154.7 431.4L92.69 448.9C84.33 451.3 75.34 448.1 69.19 442.8C63.05 436.7 60.71 427.7 63.07 419.3L80.6 357.3L18.1 341.4C9.679 339.3 3.068 332.8 .8186 324.4C-1.431 315.1 1.034 307 7.261 300.1L53.46 256L7.261 211C1.034 204.1-1.431 196 .8186 187.6C3.068 179.2 9.679 172.7 18.1 170.6L80.6 154.7L63.07 92.69C60.71 84.33 63.05 75.34 69.19 69.19C75.34 63.05 84.33 60.71 92.69 63.07L154.7 80.6L170.6 18.1C172.7 9.679 179.2 3.068 187.6 .8185C196-1.431 204.1 1.034 211 7.261L256 53.46z"],
    "chair": [448, 512, [129681], "f6c0", "M445.1 338.6l-14.77-32C425.1 295.3 413.7 288 401.2 288H46.76C34.28 288 22.94 295.3 17.7 306.6l-14.77 32c-4.563 9.906-3.766 21.47 2.109 30.66S21.09 384 31.1 384l.001 112c0 8.836 7.164 16 16 16h32c8.838 0 16-7.164 16-16V384h256v112c0 8.836 7.164 16 16 16h31.1c8.838 0 16-7.164 16-16L416 384c10.91 0 21.08-5.562 26.95-14.75S449.6 348.5 445.1 338.6zM111.1 128c0-29.48 16.2-54.1 40-68.87L151.1 256h48l.0092-208h48L247.1 256h48l.0093-196.9C319.8 73 335.1 98.52 335.1 128l-.0094 128h48.03l-.0123-128c0-70.69-57.31-128-128-128H191.1C121.3 0 63.98 57.31 63.98 128l.0158 128h47.97L111.1 128z"],
    "chair-office": [448, 512, [], "f6c1", "M64 224L64 160c0-17.62-14.38-32-32-32S0 142.4 0 160v64c0 17.62 14.38 32 32 32S64 241.6 64 224zM351.1 64c0-35.38-28.63-64-64-64h-128C124.6 0 95.98 28.62 95.98 64l.0254 192h255.1L351.1 64zM416 128c-17.62 0-32 14.38-32 32l-.0052 64c0 17.62 14.38 32 32.01 32s32-14.38 32-32V160C448 142.4 433.6 128 416 128zM403.6 309.9C399.4 296.8 387.1 288 373.3 288h-298.5c-13.88 0-26 8.75-30.38 21.88l-10.75 32C26.75 362.6 42.12 384 63.1 384H192v67.38c-28.25 6-51 19.62-61.88 37.25C123.8 498.9 132.5 512 145.1 512h157.8c12.62 0 21.38-13.12 15-23.38C307 471 284.3 457.4 256 451.4V384h128c21.75 0 37.25-21.38 30.37-42.13L403.6 309.9z"],
    "chalkboard": [576, 512, ["blackboard"], "f51b", "M96 96h384v288h64V72C544 50 525.1 32 504 32H72C49.1 32 32 50 32 72V384h64V96zM560 416H416v-48c0-8.838-7.164-16-16-16h-160C231.2 352 224 359.2 224 368V416H16C7.164 416 0 423.2 0 432v32C0 472.8 7.164 480 16 480h544c8.836 0 16-7.164 16-16v-32C576 423.2 568.8 416 560 416z"],
    "chalkboard-user": [640, 512, ["chalkboard-teacher"], "f51c", "M592 0h-384C181.5 0 160 22.25 160 49.63V96c23.42 0 45.1 6.781 63.1 17.81V64h352v288h-64V304c0-8.838-7.164-16-16-16h-96c-8.836 0-16 7.162-16 16V352H287.3c22.07 16.48 39.54 38.5 50.76 64h253.9C618.5 416 640 393.8 640 366.4V49.63C640 22.25 618.5 0 592 0zM160 320c53.02 0 96-42.98 96-96c0-53.02-42.98-96-96-96C106.1 128 64 170.1 64 224C64 277 106.1 320 160 320zM192 352H128c-70.69 0-128 57.31-128 128c0 17.67 14.33 32 32 32h256c17.67 0 32-14.33 32-32C320 409.3 262.7 352 192 352z"],
    "champagne-glass": [256, 512, ["glass-champagne"], "f79e", "M199.1 464h-39.99v-116.3c60.74-15.25 103.2-71.96 94.98-135.5l-26.99-184.9C225.7 11.75 212.2 0 196.2 0H59.77c-15.1 0-29.49 11.75-31.74 27.38L1.033 212.3c-8.248 63.5 34.23 120.3 94.97 135.5V464H56.01c-22.12 0-39.99 17.88-39.99 40c0 4.375 3.624 8 7.999 8h207.1c4.374 0 7.998-3.625 7.998-8C239.1 481.9 222.1 464 199.1 464zM61.81 128l11.71-80h108.1l11.71 80H61.81z"],
    "champagne-glasses": [640, 512, [129346, "glass-cheers"], "f79f", "M639.4 433.6c-8.374-20.37-31.75-30.12-52.12-21.62l-22.12 9.249l-38.75-101.1c47.87-34.1 64.87-100.2 34.5-152.7l-86.62-150.5c-7.999-13.87-24.1-19.75-39.1-13.62l-114.2 47.37L205.8 2.415C190.8-3.71 173.8 2.165 165.8 16.04L79.15 166.5C48.9 219 65.78 284.3 113.6 319.2l-38.75 101.9L52.78 411.9c-20.37-8.499-43.62 1.25-52.12 21.62c-1.75 4.124 .125 8.749 4.25 10.5l162.4 67.37c3.1 1.75 8.624-.125 10.37-4.249c8.374-20.37-1.25-43.87-21.62-52.37l-22.12-9.124l39.37-103.6c4.5 .4999 8.874 1.25 13.12 1.25c51.75 0 99.37-32.1 113.4-85.24l20.25-75.36l20.25 75.36c13.1 52.24 61.62 85.24 113.4 85.24c4.25 0 8.624-.7499 13.12-1.25l39.25 103.6l-22.12 9.124c-20.37 8.499-30.12 31.1-21.62 52.37c1.75 4.124 6.5 5.999 10.5 4.249l162.4-67.37C639.1 442.2 641.1 437.7 639.4 433.6zM275.9 162.1L163.8 115.6l36.5-63.37L294.8 91.4L275.9 162.1zM364.1 162.1l-18.87-70.74l94.49-39.12l36.5 63.37L364.1 162.1z"],
    "charging-station": [576, 512, [], "f5e7", "M256 0C291.3 0 320 28.65 320 64V256H336C384.6 256 424 295.4 424 344V376C424 389.3 434.7 400 448 400C461.3 400 472 389.3 472 376V252.3C439.5 242.1 416 211.8 416 176V144C416 135.2 423.2 128 432 128H448V80C448 71.16 455.2 64 464 64C472.8 64 480 71.16 480 80V128H512V80C512 71.16 519.2 64 528 64C536.8 64 544 71.16 544 80V128H560C568.8 128 576 135.2 576 144V176C576 211.8 552.5 242.1 520 252.3V376C520 415.8 487.8 448 448 448C408.2 448 376 415.8 376 376V344C376 321.9 358.1 304 336 304H320V448C337.7 448 352 462.3 352 480C352 497.7 337.7 512 320 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448V64C32 28.65 60.65 0 96 0H256zM197.6 83.85L85.59 179.9C80.5 184.2 78.67 191.3 80.99 197.6C83.32 203.8 89.3 208 95.1 208H153.8L128.8 282.9C126.5 289.8 129.1 297.3 135.1 301.3C141 305.3 148.1 304.8 154.4 300.1L266.4 204.1C271.5 199.8 273.3 192.7 271 186.4C268.7 180.2 262.7 176 256 176H198.2L223.2 101.1C225.5 94.24 222.9 86.74 216.9 82.72C210.1 78.71 203 79.17 197.6 83.85V83.85z"],
    "chart-area": [512, 512, ["area-chart"], "f1fe", "M64 400C64 408.8 71.16 416 80 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H80C35.82 480 0 444.2 0 400V64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64V400zM128 320V236C128 228.3 130.8 220.8 135.9 214.1L215.3 124.2C228.3 109.4 251.4 109.7 263.1 124.8L303.2 171.8C312.2 182.7 328.6 183.4 338.6 173.4L359.6 152.4C372.7 139.3 394.4 140.1 406.5 154.2L472.3 231C477.3 236.8 480 244.2 480 251.8V320C480 337.7 465.7 352 448 352H159.1C142.3 352 127.1 337.7 127.1 320L128 320z"],
    "chart-bar": [512, 512, ["bar-chart"], "f080", "M32 32C49.67 32 64 46.33 64 64V400C64 408.8 71.16 416 80 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H80C35.82 480 0 444.2 0 400V64C0 46.33 14.33 32 32 32zM128 128C128 110.3 142.3 96 160 96H352C369.7 96 384 110.3 384 128C384 145.7 369.7 160 352 160H160C142.3 160 128 145.7 128 128zM288 192C305.7 192 320 206.3 320 224C320 241.7 305.7 256 288 256H160C142.3 256 128 241.7 128 224C128 206.3 142.3 192 160 192H288zM416 288C433.7 288 448 302.3 448 320C448 337.7 433.7 352 416 352H160C142.3 352 128 337.7 128 320C128 302.3 142.3 288 160 288H416z"],
    "chart-bullet": [512, 512, [], "e0e1", "M264 32C277.3 32 288 42.75 288 56V64H464C490.5 64 512 85.49 512 112V176C512 202.5 490.5 224 464 224H288V232C288 245.3 277.3 256 264 256C250.7 256 240 245.3 240 232V224H48C21.49 224 0 202.5 0 176V112C0 85.49 21.49 64 48 64H240V56C240 42.75 250.7 32 264 32zM160 160H240V128H160V160zM288 128V160H448V128H288zM48 448C21.49 448 0 426.5 0 400V336C0 309.5 21.49 288 48 288H336V280C336 266.7 346.7 256 360 256C373.3 256 384 266.7 384 280V288H464C490.5 288 512 309.5 512 336V400C512 426.5 490.5 448 464 448H384V456C384 469.3 373.3 480 360 480C346.7 480 336 469.3 336 456V448H48zM336 352H256V384H336V352zM384 384H448V352H384V384z"],
    "chart-candlestick": [512, 512, [], "e0e2", "M64 400C64 408.8 71.16 416 80 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H80C35.82 480 0 444.2 0 400V64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64V400zM320 96C337.7 96 352 110.3 352 128V224C352 241.7 337.7 256 320 256V304C320 312.8 312.8 320 304 320C295.2 320 288 312.8 288 304V256C270.3 256 256 241.7 256 224V128C256 110.3 270.3 96 288 96V48C288 39.16 295.2 32 304 32C312.8 32 320 39.16 320 48V96zM384 224C384 206.3 398.3 192 416 192V144C416 135.2 423.2 128 432 128C440.8 128 448 135.2 448 144V192C465.7 192 480 206.3 480 224V288C480 305.7 465.7 320 448 320V368C448 376.8 440.8 384 432 384C423.2 384 416 376.8 416 368V320C398.3 320 384 305.7 384 288V224zM160 80C160 71.16 167.2 64 176 64C184.8 64 192 71.16 192 80V128C209.7 128 224 142.3 224 160V288C224 305.7 209.7 320 192 320V368C192 376.8 184.8 384 176 384C167.2 384 160 376.8 160 368V320C142.3 320 128 305.7 128 288V160C128 142.3 142.3 128 160 128V80z"],
    "chart-column": [512, 512, [], "e0e3", "M32 32C49.67 32 64 46.33 64 64V400C64 408.8 71.16 416 80 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H80C35.82 480 0 444.2 0 400V64C0 46.33 14.33 32 32 32zM160 224C177.7 224 192 238.3 192 256V320C192 337.7 177.7 352 160 352C142.3 352 128 337.7 128 320V256C128 238.3 142.3 224 160 224zM288 320C288 337.7 273.7 352 256 352C238.3 352 224 337.7 224 320V160C224 142.3 238.3 128 256 128C273.7 128 288 142.3 288 160V320zM352 192C369.7 192 384 206.3 384 224V320C384 337.7 369.7 352 352 352C334.3 352 320 337.7 320 320V224C320 206.3 334.3 192 352 192zM480 320C480 337.7 465.7 352 448 352C430.3 352 416 337.7 416 320V96C416 78.33 430.3 64 448 64C465.7 64 480 78.33 480 96V320z"],
    "chart-gantt": [512, 512, [], "e0e4", "M32 32C49.67 32 64 46.33 64 64V400C64 408.8 71.16 416 80 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H80C35.82 480 0 444.2 0 400V64C0 46.33 14.33 32 32 32zM128 128C128 110.3 142.3 96 160 96H256C273.7 96 288 110.3 288 128C288 145.7 273.7 160 256 160H160C142.3 160 128 145.7 128 128zM352 192C369.7 192 384 206.3 384 224C384 241.7 369.7 256 352 256H224C206.3 256 192 241.7 192 224C192 206.3 206.3 192 224 192H352zM448 288C465.7 288 480 302.3 480 320C480 337.7 465.7 352 448 352H384C366.3 352 352 337.7 352 320C352 302.3 366.3 288 384 288H448z"],
    "chart-line": [512, 512, ["line-chart"], "f201", "M64 400C64 408.8 71.16 416 80 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H80C35.82 480 0 444.2 0 400V64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64V400zM342.6 278.6C330.1 291.1 309.9 291.1 297.4 278.6L240 221.3L150.6 310.6C138.1 323.1 117.9 323.1 105.4 310.6C92.88 298.1 92.88 277.9 105.4 265.4L217.4 153.4C229.9 140.9 250.1 140.9 262.6 153.4L320 210.7L425.4 105.4C437.9 92.88 458.1 92.88 470.6 105.4C483.1 117.9 483.1 138.1 470.6 150.6L342.6 278.6z"],
    "chart-line-down": [512, 512, [128201], "f64d", "M64 400C64 408.8 71.16 416 80 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H80C35.82 480 0 444.2 0 400V64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64V400zM281.4 121.4C293.9 108.9 314.1 108.9 326.6 121.4L406.6 201.4L439 168.1C454.1 153.9 480 164.6 480 185.9V296C480 309.3 469.3 320 456 320H345.9C324.6 320 313.9 294.1 328.1 279L361.4 246.6L304 189.3L230.6 262.6C218.1 275.1 197.9 275.1 185.4 262.6L105.4 182.6C92.88 170.1 92.88 149.9 105.4 137.4C117.9 124.9 138.1 124.9 150.6 137.4L207.1 194.7L281.4 121.4z"],
    "chart-line-up": [512, 512, [], "e0e5", "M64 400C64 408.8 71.16 416 80 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H80C35.82 480 0 444.2 0 400V64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64V400zM439 279L406.6 246.6L326.6 326.6C314.1 339.1 293.9 339.1 281.4 326.6L208 253.3L150.6 310.6C138.1 323.1 117.9 323.1 105.4 310.6C92.88 298.1 92.88 277.9 105.4 265.4L185.4 185.4C197.9 172.9 218.1 172.9 230.6 185.4L304 258.7L361.4 201.4L328.1 168.1C313.9 153.9 324.6 128 345.9 128H456C469.3 128 480 138.7 480 152V262.1C480 283.4 454.1 294.1 439 279L439 279z"],
    "chart-mixed": [512, 512, ["analytics"], "f643", "M339.1 216.1C328.6 226.1 312.5 226.4 300.8 217.6L192.6 136.5L51.99 248.1C38.19 260 18.05 257.8 7.013 243.1C-4.028 230.2-1.79 210.1 12.01 199L172 71.01C183.4 61.9 199.5 61.65 211.2 70.4L319.4 151.5L460 39.01C473.8 27.97 493.9 30.21 504.1 44.01C516 57.81 513.8 77.95 499.1 88.99L339.1 216.1zM160 256C160 238.3 174.3 224 192 224C209.7 224 224 238.3 224 256V448C224 465.7 209.7 480 192 480C174.3 480 160 465.7 160 448V256zM32 352C32 334.3 46.33 320 64 320C81.67 320 96 334.3 96 352V448C96 465.7 81.67 480 64 480C46.33 480 32 465.7 32 448V352zM352 320V448C352 465.7 337.7 480 320 480C302.3 480 288 465.7 288 448V320C288 302.3 302.3 288 320 288C337.7 288 352 302.3 352 320zM416 256C416 238.3 430.3 224 448 224C465.7 224 480 238.3 480 256V448C480 465.7 465.7 480 448 480C430.3 480 416 465.7 416 448V256z"],
    "chart-network": [640, 512, [], "f78a", "M287.1 64C287.1 77.65 283.7 90.31 276.4 100.7L305.6 163.2C315.4 161.1 325.6 160 336 160C372.1 160 405 173.3 430.3 195.2L512.4 134.1C512.1 132.7 512 130.4 512 128C512 92.65 540.7 64 576 64C611.3 64 640 92.65 640 128C640 163.3 611.3 192 576 192C566.8 192 558.1 190.1 550.2 186.6L468.2 246.8C475.8 264.3 480 283.7 480 304C480 319.6 477.5 334.7 472.9 348.8L544.9 392C554.1 386.9 564.7 384 576 384C611.3 384 640 412.7 640 448C640 483.3 611.3 512 576 512C540.7 512 512 483.3 512 448L512 446.9L439.9 403.7C413.7 430.1 376.8 448 336 448C267.5 448 210.1 400.1 195.6 336H119.4C108.4 355.1 87.69 368 64 368C28.65 368 0 339.3 0 304C0 268.7 28.65 240 64 240C87.69 240 108.4 252.9 119.4 272H195.6C203 239 221.8 210.4 247.6 190.3L218.4 127.8C185.7 124.9 160 97.47 160 64C160 28.65 188.7 0 224 0C259.3 0 288 28.65 288 64H287.1zM336 352C362.5 352 384 330.5 384 304C384 277.5 362.5 256 336 256C309.5 256 287.1 277.5 287.1 304C287.1 330.5 309.5 352 336 352z"],
    "chart-pie": [576, 512, ["pie-chart"], "f200", "M304 16.58C304 7.555 310.1 0 320 0C443.7 0 544 100.3 544 224C544 233 536.4 240 527.4 240H304V16.58zM32 272C32 150.7 122.1 50.34 238.1 34.25C248.2 32.99 256 40.36 256 49.61V288L412.5 444.5C419.2 451.2 418.7 462.2 411 467.7C371.8 495.6 323.8 512 272 512C139.5 512 32 404.6 32 272zM558.4 288C567.6 288 575 295.8 573.8 305C566.1 360.9 539.1 410.6 499.9 447.3C493.9 452.1 484.5 452.5 478.7 446.7L320 288H558.4z"],
    "chart-pie-simple": [512, 512, ["chart-pie-alt"], "f64e", "M495.4 240H272V16.58C272 7.555 278.1 0 288 0C411.7 0 512 100.3 512 224C512 233 504.4 240 495.4 240zM190.2 37.18C208.3 33.36 224 48.2 224 66.7V288H445.3C463.8 288 478.6 303.7 474.8 321.8C451.9 430.5 355.5 512 240 512C107.5 512 0 404.6 0 272C0 156.5 81.53 60.12 190.2 37.18V37.18z"],
    "chart-pyramid": [512, 512, [], "e0e6", "M349 159.1H162.1L221.4 59.72C236.9 33.26 275.1 33.26 290.6 59.72L349 159.1zM69.62 319.1L144.3 191.1H367.7L442.4 319.1H69.62zM461 352L500.6 419.8C516.2 446.5 496.9 480 466.1 480H45.93C15.06 480-4.179 446.5 11.38 419.8L50.95 352H461z"],
    "chart-radar": [512, 512, [], "e0e7", "M330.4 281.4C347.4 285.9 360 301.5 360 320C360 342.1 342.1 360 320 360C304.1 360 290.3 350.7 283.9 337.3L186.7 317.8C179.6 324.1 170.2 328 160 328C137.9 328 120 310.1 120 288C120 265.9 137.9 248 160 248L217.6 171.2C216.6 167.7 216 163.9 216 160C216 137.9 233.9 120 256 120C278.1 120 296 137.9 296 160C296 167.6 293.9 174.7 290.2 180.8L330.4 281.4zM202 271.9L281.3 287.8L249.6 208.6L202 271.9zM107.1 63.75C118.6 44.09 139.6 32 162.4 32H349.6C372.4 32 393.4 44.09 404.9 63.75L498.2 223.8C509.9 243.7 509.9 268.3 498.2 288.2L404.9 448.2C393.4 467.9 372.4 480 349.6 480H162.4C139.6 480 118.6 467.9 107.1 448.2L13.77 288.2C2.141 268.3 2.141 243.7 13.77 223.8L107.1 63.75zM349.6 96H162.4L69.05 256L162.4 416H349.6L442.1 256L349.6 96z"],
    "chart-scatter": [512, 512, [], "f7ee", "M64 400C64 408.8 71.16 416 80 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H80C35.82 480 0 444.2 0 400V64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64V400zM160 160C160 142.3 174.3 128 192 128C209.7 128 224 142.3 224 160C224 177.7 209.7 192 192 192C174.3 192 160 177.7 160 160zM320 256C320 273.7 305.7 288 288 288C270.3 288 256 273.7 256 256C256 238.3 270.3 224 288 224C305.7 224 320 238.3 320 256zM352 320C352 302.3 366.3 288 384 288C401.7 288 416 302.3 416 320C416 337.7 401.7 352 384 352C366.3 352 352 337.7 352 320zM448 128C448 145.7 433.7 160 416 160C398.3 160 384 145.7 384 128C384 110.3 398.3 96 416 96C433.7 96 448 110.3 448 128zM128 320C128 302.3 142.3 288 160 288C177.7 288 192 302.3 192 320C192 337.7 177.7 352 160 352C142.3 352 128 337.7 128 320z"],
    "chart-scatter-3d": [512, 512, [], "e0e8", "M0 64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64C64 81.67 49.67 96 32 96C14.33 96 0 81.67 0 64zM288 273L468.5 423.4C482.1 434.7 483.9 454.9 472.6 468.5C461.3 482.1 441.1 483.9 427.5 472.6L255.1 329.7L84.49 472.6C70.91 483.9 50.73 482.1 39.42 468.5C28.1 454.9 29.94 434.7 43.51 423.4L223.1 273V64C223.1 46.33 238.3 32 255.1 32C273.7 32 288 46.33 288 64L288 273zM352 64C352 46.33 366.3 32 384 32C401.7 32 416 46.33 416 64C416 81.67 401.7 96 384 96C366.3 96 352 81.67 352 64zM416 256C416 273.7 401.7 288 384 288C366.3 288 352 273.7 352 256C352 238.3 366.3 224 384 224C401.7 224 416 238.3 416 256zM448 160C448 142.3 462.3 128 480 128C497.7 128 512 142.3 512 160C512 177.7 497.7 192 480 192C462.3 192 448 177.7 448 160zM160 160C160 177.7 145.7 192 128 192C110.3 192 96 177.7 96 160C96 142.3 110.3 128 128 128C145.7 128 160 142.3 160 160zM64 256C64 273.7 49.67 288 32 288C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224C49.67 224 64 238.3 64 256zM224 448C224 430.3 238.3 416 256 416C273.7 416 288 430.3 288 448C288 465.7 273.7 480 256 480C238.3 480 224 465.7 224 448z"],
    "chart-scatter-bubble": [512, 512, [], "e0e9", "M32 32C49.67 32 64 46.33 64 64V400C64 408.8 71.16 416 80 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H80C35.82 480 0 444.2 0 400V64C0 46.33 14.33 32 32 32zM224 304C224 330.5 202.5 352 176 352C149.5 352 128 330.5 128 304C128 277.5 149.5 256 176 256C202.5 256 224 277.5 224 304zM288 288C288 252.7 316.7 224 352 224C387.3 224 416 252.7 416 288C416 323.3 387.3 352 352 352C316.7 352 288 323.3 288 288zM288 176C288 202.5 266.5 224 240 224C213.5 224 192 202.5 192 176C192 149.5 213.5 128 240 128C266.5 128 288 149.5 288 176zM320 128C320 92.65 348.7 64 384 64C419.3 64 448 92.65 448 128C448 163.3 419.3 192 384 192C348.7 192 320 163.3 320 128z"],
    "chart-simple": [448, 512, [], "e473", "M160 80C160 53.49 181.5 32 208 32H240C266.5 32 288 53.49 288 80V432C288 458.5 266.5 480 240 480H208C181.5 480 160 458.5 160 432V80zM0 272C0 245.5 21.49 224 48 224H80C106.5 224 128 245.5 128 272V432C128 458.5 106.5 480 80 480H48C21.49 480 0 458.5 0 432V272zM400 96C426.5 96 448 117.5 448 144V432C448 458.5 426.5 480 400 480H368C341.5 480 320 458.5 320 432V144C320 117.5 341.5 96 368 96H400z"],
    "chart-simple-horizontal": [448, 512, [], "e474", "M48 320C21.49 320 0 298.5 0 272V240C0 213.5 21.49 192 48 192H400C426.5 192 448 213.5 448 240V272C448 298.5 426.5 320 400 320H48zM48 480C21.49 480 0 458.5 0 432V400C0 373.5 21.49 352 48 352H208C234.5 352 256 373.5 256 400V432C256 458.5 234.5 480 208 480H48zM384 112C384 138.5 362.5 160 336 160H48C21.49 160 0 138.5 0 112V80C0 53.49 21.49 32 48 32H336C362.5 32 384 53.49 384 80V112z"],
    "chart-tree-map": [512, 512, [], "e0ea", "M0 80C0 53.49 21.49 32 48 32H176C202.5 32 224 53.49 224 80V192C224 218.5 202.5 240 176 240H48C21.49 240 0 218.5 0 192V80zM0 320C0 293.5 21.49 272 48 272H176C202.5 272 224 293.5 224 320V432C224 458.5 202.5 480 176 480H48C21.49 480 0 458.5 0 432V320zM464 32C490.5 32 512 53.49 512 80V112C512 138.5 490.5 160 464 160H304C277.5 160 256 138.5 256 112V80C256 53.49 277.5 32 304 32H464zM256 240C256 213.5 277.5 192 304 192H464C490.5 192 512 213.5 512 240V272C512 298.5 490.5 320 464 320H304C277.5 320 256 298.5 256 272V240zM464 352C490.5 352 512 373.5 512 400V432C512 458.5 490.5 480 464 480H304C277.5 480 256 458.5 256 432V400C256 373.5 277.5 352 304 352H464z"],
    "chart-user": [640, 512, ["user-chart"], "f6a3", "M328.1 167c-9.375-9.375-24.6-9.375-33.98 0L280.3 181.8C285 195.1 288 209.1 288 224c0 6.875-1 13.38-2 20L312 218l55.01 54.99c9.375 9.375 24.6 9.375 33.98 0L473 201l24.25 24.25C508.6 236.6 528 228.6 528 212.5V124c0-6.625-5.375-12-12-12h-88.5c-16.12 0-24.12 19.38-12.75 30.75L439 167L384 222L328.1 167zM160 320c53.02 0 96-42.98 96-96c0-53.02-42.98-96-96-96C106.1 128 64 170.1 64 224C64 277 106.1 320 160 320zM592 0h-384C181.5 0 160 22.25 160 49.63V96c23.42 0 45.1 6.781 64 17.8V64h352v288H287.3c22.07 16.48 39.54 38.5 50.76 64h253.9C618.5 416 640 393.8 640 366.4V49.63C640 22.25 618.5 0 592 0zM192 352H128c-70.69 0-128 57.3-128 128c0 17.67 14.33 32 32 32h256c17.67 0 32-14.33 32-32C320 409.3 262.7 352 192 352z"],
    "chart-waterfall": [512, 512, [], "e0eb", "M32 32C49.67 32 64 46.33 64 64V400C64 408.8 71.16 416 80 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H80C35.82 480 0 444.2 0 400V64C0 46.33 14.33 32 32 32zM160 224C177.7 224 192 238.3 192 256V320C192 337.7 177.7 352 160 352C142.3 352 128 337.7 128 320V256C128 238.3 142.3 224 160 224zM288 224C288 241.7 273.7 256 256 256C238.3 256 224 241.7 224 224V160C224 142.3 238.3 128 256 128C273.7 128 288 142.3 288 160V224zM352 64C369.7 64 384 78.33 384 96V160C384 177.7 369.7 192 352 192C334.3 192 320 177.7 320 160V96C320 78.33 334.3 64 352 64zM480 320C480 337.7 465.7 352 448 352C430.3 352 416 337.7 416 320V96C416 78.33 430.3 64 448 64C465.7 64 480 78.33 480 96V320z"],
    "check": [448, 512, [10004, 10003], "f00c", "M438.6 105.4C451.1 117.9 451.1 138.1 438.6 150.6L182.6 406.6C170.1 419.1 149.9 419.1 137.4 406.6L9.372 278.6C-3.124 266.1-3.124 245.9 9.372 233.4C21.87 220.9 42.13 220.9 54.63 233.4L159.1 338.7L393.4 105.4C405.9 92.88 426.1 92.88 438.6 105.4H438.6z"],
    "check-double": [448, 512, [], "f560", "M182.6 246.6C170.1 259.1 149.9 259.1 137.4 246.6L57.37 166.6C44.88 154.1 44.88 133.9 57.37 121.4C69.87 108.9 90.13 108.9 102.6 121.4L159.1 178.7L297.4 41.37C309.9 28.88 330.1 28.88 342.6 41.37C355.1 53.87 355.1 74.13 342.6 86.63L182.6 246.6zM182.6 470.6C170.1 483.1 149.9 483.1 137.4 470.6L9.372 342.6C-3.124 330.1-3.124 309.9 9.372 297.4C21.87 284.9 42.13 284.9 54.63 297.4L159.1 402.7L393.4 169.4C405.9 156.9 426.1 156.9 438.6 169.4C451.1 181.9 451.1 202.1 438.6 214.6L182.6 470.6z"],
    "check-to-slot": [576, 512, ["vote-yea"], "f772", "M480 80C480 53.49 458.5 32 432 32h-288C117.5 32 96 53.49 96 80V384h384V80zM378.9 166.8l-88 112c-4.031 5.156-10 8.438-16.53 9.062C273.6 287.1 272.7 287.1 271.1 287.1c-5.719 0-11.21-2.019-15.58-5.769l-56-48C190.3 225.6 189.2 210.4 197.8 200.4c8.656-10.06 23.81-11.19 33.84-2.594l36.97 31.69l72.53-92.28c8.188-10.41 23.31-12.22 33.69-4.062C385.3 141.3 387.1 156.4 378.9 166.8zM528 288H512v112c0 8.836-7.164 16-16 16h-416C71.16 416 64 408.8 64 400V288H48C21.49 288 0 309.5 0 336v96C0 458.5 21.49 480 48 480h480c26.51 0 48-21.49 48-48v-96C576 309.5 554.5 288 528 288z"],
    "cheese": [512, 512, [], "f7ef", "M0 288v159.1C0 465.6 14.38 480 32 480h448c17.62 0 32-14.38 32-31.1V288H0zM299.9 32.01c-7.75-.25-15.25 2.25-21.12 6.1L0 255.1l512-.0118C512 136.1 417.1 38.26 299.9 32.01z"],
    "cheese-swiss": [512, 512, [129472], "f7f0", "M368 336c-26.5 0-48-21.5-48-47.1L0 288v159.1C0 465.6 14.38 480 32 480h448c17.62 0 32-14.38 32-31.1V288l-96-.0049C416 314.5 394.5 336 368 336zM176 432c-26.5 0-48-21.5-48-47.1s21.5-47.1 48-47.1S224 357.5 224 384S202.5 432 176 432zM299.9 32.01c-7.75-.25-15.25 2.25-21.12 6.999L217 87.01c12.62 20.87 7.625 47.75-11.5 62.75C186.2 164.8 158.9 162.9 141.9 145.5L0 255.1l512-.0124C512 136.1 417.1 38.26 299.9 32.01z"],
    "cherries": [640, 512, [], "e0ec", "M539.3 224.1c92.31 0 100.7 82.36 100.7 105.7c0 82.16-67.03 182.2-192.1 182.2c-39.88 0-73.85-10.22-101.6-26.74c72.31-67.57 69.58-151.3 69.58-155.5c0-53.36-22.6-86.5-42.37-104.6c13.31 1.428 27.88 4.658 43.48 9.602c-25.36-78.68-79.69-137.1-113.6-167.4C285.3 145.4 261 197.1 241.4 229.5c15.22-3.639 29.09-5.393 41.81-5.393c92.31 0 100.6 82.42 100.6 105.7c0 82.16-66.98 182.2-191.9 182.2c-124.9 0-191.1-100.1-191.1-182.2c0-23.27 8.325-105.7 100.6-105.7c21.21 0 45.92 4.875 74.13 15.48c16.41-17.14 63.79-79.87 89.55-219.9c2.151-11.67 12.43-19.68 23.63-19.68c24.61 0 145.7 106.5 180.2 238.4C495.1 228.6 518.8 224.1 539.3 224.1z"],
    "chess": [512, 512, [], "f439", "M74.01 208h-10c-8.875 0-16 7.125-16 16v16c0 8.875 7.122 16 15.1 16h16c-.25 43.13-5.5 86.13-16 128h128c-10.5-41.88-15.75-84.88-16-128h15.1c8.875 0 16-7.125 16-16L208 224c0-8.875-7.122-16-15.1-16h-10l33.88-90.38C216.6 115.8 216.9 113.1 216.9 112.1C216.9 103.1 209.5 96 200.9 96H144V64h16c8.844 0 16-7.156 16-16S168.9 32 160 32h-16l.0033-16c0-8.844-7.16-16-16-16s-16 7.156-16 16V32H96.01c-8.844 0-16 7.156-16 16S87.16 64 96.01 64h16v32H55.13C46.63 96 39.07 102.8 39.07 111.9c0 1.93 .3516 3.865 1.061 5.711L74.01 208zM339.9 301.8L336.6 384h126.8l-3.25-82.25l24.5-20.75C491.9 274.9 496 266 496 256.5V198C496 194.6 493.4 192 489.1 192h-26.37c-3.375 0-6 2.625-6 6V224h-24.75V198C432.9 194.6 430.3 192 426.9 192h-53.75c-3.375 0-6 2.625-6 6V224h-24.75V198C342.4 194.6 339.8 192 336.4 192h-26.38C306.6 192 304 194.6 304 198v58.62c0 9.375 4.125 18.25 11.38 24.38L339.9 301.8zM384 304C384 295.1 391.1 288 400 288S416 295.1 416 304v32h-32V304zM247.1 459.6L224 448v-16C224 423.1 216.9 416 208 416h-160C39.13 416 32 423.1 32 432V448l-23.12 11.62C3.375 462.3 0 467.9 0 473.9V496C0 504.9 7.125 512 16 512h224c8.875 0 16-7.125 16-16v-22.12C256 467.9 252.6 462.3 247.1 459.6zM503.1 459.6L480 448v-16c0-8.875-7.125-16-16-16h-128c-8.875 0-16 7.125-16 16V448l-23.12 11.62C291.4 462.3 288 467.9 288 473.9V496c0 8.875 7.125 16 16 16h192c8.875 0 16-7.125 16-16v-22.12C512 467.9 508.6 462.3 503.1 459.6z"],
    "chess-bishop": [320, 512, [9821], "f43a", "M272 448h-224C21.49 448 0 469.5 0 496C0 504.8 7.164 512 16 512h288c8.836 0 16-7.164 16-16C320 469.5 298.5 448 272 448zM8 287.9c0 51.63 22.12 73.88 56 84.63V416h192v-43.5c33.88-10.75 56-33 56-84.63c0-30.62-10.75-67.13-26.75-102.5L185 285.6c-1.565 1.565-3.608 2.349-5.651 2.349c-2.036 0-4.071-.7787-5.63-2.339l-11.35-11.27c-1.56-1.56-2.339-3.616-2.339-5.672c0-2.063 .7839-4.128 2.349-5.693l107.9-107.9C249.5 117.3 223.8 83 199.4 62.5C213.4 59.13 224 47 224 32c0-17.62-14.38-32-32-32H128C110.4 0 96 14.38 96 32c0 15 10.62 27.12 24.62 30.5C67.75 106.8 8 214.5 8 287.9z"],
    "chess-bishop-piece": [256, 512, ["chess-bishop-alt"], "f43b", "M64 288h14.88C76.88 320.4 71.88 352.5 64 384h128c-7.875-31.5-12.88-63.63-14.88-96H192c8.875 0 16-7.125 16-16V256c0-8.875-7.125-16-16-16h-11.62c16-6.625 26.38-25.12 26.38-50.38c0-19.38-7.125-42.38-17.63-63.38L140.5 174.9C139.8 175.6 138.8 176 137.6 176c-1 0-2-.375-2.75-1.125l-5.75-5.75C128.4 168.4 128 167.4 128 166.4s.375-2.047 1.125-2.859L181 111.8c-10.25-16.88-22.25-31.25-33.88-39.38C155.2 69.62 160 61.88 160 52.75C160 41.25 151.9 32 140.5 32h-25C104.1 32 96 41.25 96 52.75c0 9.125 4.75 16.87 12.88 19.62C80.25 92.25 49.25 149.1 49.25 189.6c0 25.25 10.38 43.75 26.38 50.38H64C55.12 240 48 247.1 48 256v16C48 280.9 55.12 288 64 288zM247.1 459.6L224 448v-16c0-8.875-7.125-16-16-16h-160C39.12 416 32 423.1 32 432V448l-23.12 11.62C3.375 462.2 0 467.9 0 473.9V496C0 504.9 7.125 512 16 512h224c8.875 0 16-7.125 16-16v-22.12C256 467.9 252.6 462.2 247.1 459.6z"],
    "chess-board": [448, 512, [], "f43c", "M192 224H128v64h64V224zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM384 160h-64v64h64v64h-64v64h64v64h-64v-64h-64v64H192v-64H128v64H64v-64h64V288H64V224h64V160H64V96h64v64h64V96h64v64h64V96h64V160zM192 288v64h64V288H192zM256 224V160H192v64H256zM256 288h64V224h-64V288z"],
    "chess-clock": [640, 512, [], "f43d", "M576 128h-32l.0001-16c0-8.875-7.125-16-16-16h-128C391.3 96 384 103.1 384 112V128H200.3L200.2 80H232C245.3 80 256 69.25 256 56S245.3 32 232 32h-112C106.8 32 96 42.75 96 56S106.8 80 120 80h32.17L152.3 128H64C28.65 128 0 156.7 0 192v224c0 35.35 28.65 64 64 64h512c35.35 0 64-28.65 64-64V192C640 156.7 611.3 128 576 128zM176.5 416c-61.87 0-112.1-50.13-112.1-112S114.5 192 176.4 192c61.88 .125 112 50.25 112 112.1C288.4 365.9 238.1 416 176.5 416zM464.5 416c-61.88 0-112.1-50.13-112.1-112s50.13-112 112-112c61.88 .125 112 50.25 112 112.1C576.4 365.9 526.1 416 464.5 416zM176 224C167.2 224 160 231.2 160 240v64C160 312.8 167.2 320 176 320S192 312.8 192 304v-64C192 231.2 184.8 224 176 224zM509.3 242.8c-4.094 0-8.188 1.562-11.31 4.688l-45.25 45.25C449.6 295.8 448 299.9 448 304c0 9.139 7.473 16 16 16c4.094 0 8.188-1.562 11.31-4.688l45.25-45.25c3.125-3.125 4.688-7.219 4.688-11.31C525.3 249.6 517.8 242.8 509.3 242.8z"],
    "chess-clock-flip": [640, 512, ["chess-clock-alt"], "f43e", "M221.3 242.8c-4.094 0-8.188 1.562-11.31 4.688l-45.25 45.25C161.6 295.8 160 299.9 160 304C160 313.1 167.5 320 176 320c4.094 0 8.188-1.562 11.31-4.688l45.25-45.25c3.125-3.125 4.688-7.219 4.688-11.31C237.3 249.6 229.8 242.8 221.3 242.8zM464 224C455.2 224 448 231.2 448 240v64c0 8.844 7.156 16 16 16S480 312.8 480 304v-64C480 231.2 472.8 224 464 224zM576 128h-88.25l.0838-48H520C533.3 80 544 69.25 544 56S533.3 32 520 32h-112C394.8 32 384 42.75 384 56s10.75 24 24 24h31.83L439.8 128H255.1l.0037-16c0-8.875-7.25-16-16-16h-128c-8.875 0-16 7.125-16 16L95.97 128H64C28.65 128 0 156.7 0 192l0 224c0 35.35 28.65 64 64 64h512c35.35 0 64-28.65 64-64V192C640 156.7 611.3 128 576 128zM175.9 416c-61.75 0-112-50.13-112-112C64.06 242.1 114.1 192 176 192c61.8 .125 111.9 50.25 111.9 112C287.9 365.9 237.8 416 175.9 416zM463.9 416c-61.8 0-112-50.19-112-111.1c0-61.88 50.13-112 112-112c61.88 .125 112 50.19 112 112.1C575.8 365.9 525.7 416 463.9 416z"],
    "chess-king": [448, 512, [9818], "f43f", "M367.1 448H79.97c-26.51 0-48.01 21.49-48.01 47.1C31.96 504.8 39.13 512 47.96 512h352c8.838 0 16-7.163 16-16C416 469.5 394.5 448 367.1 448zM416.1 160h-160V112h16.01c17.6 0 31.98-14.4 31.98-32C303.1 62.4 289.6 48 272 48h-16.01V32C256 14.4 241.6 0 223.1 0C206.4 0 191.1 14.4 191.1 32.01V48H175.1c-17.6 0-32.01 14.4-32.01 32C143.1 97.6 158.4 112 175.1 112h16.01V160h-160C17.34 160 0 171.5 0 192C0 195.2 .4735 198.4 1.437 201.5L74.46 416h299.1l73.02-214.5C447.5 198.4 448 195.2 448 192C448 171.6 430.1 160 416.1 160z"],
    "chess-king-piece": [256, 512, ["chess-king-alt"], "f440", "M74.01 208h-10c-8.875 0-16 7.125-16 16v16c0 8.875 7.122 16 15.1 16h16c-.25 43.13-5.5 86.13-16 128h128c-10.5-41.88-15.75-84.88-16-128h15.1c8.875 0 16-7.125 16-16L208 224c0-8.875-7.122-16-15.1-16h-10l33.88-90.38c.6875-1.789 1.021-3.66 1.021-5.529C216.9 103.1 209.5 96 200.9 96h-56.88V64h16c8.844 0 16-7.156 16-16S168.9 32 160 32h-16l.0033-16c0-8.844-7.16-16-16-16s-16 7.156-16 16V32h-15.1c-8.844 0-16 7.156-16 16S87.16 64 96.01 64h16v32H55.13C46.63 96 39.07 102.8 39.07 111.9c0 1.93 .3516 3.865 1.061 5.711L74.01 208zM247.1 459.6L224 448v-16c0-8.875-7.125-16-16-16h-160C39.13 416 32 423.1 32 432V448l-23.12 11.62C3.375 462.3 0 467.9 0 473.9V496C0 504.9 7.125 512 16 512h224c8.875 0 16-7.125 16-16v-22.12C256 467.9 252.6 462.3 247.1 459.6z"],
    "chess-knight": [384, 512, [9822], "f441", "M19 272.5l40.62 18C63.78 292.3 68.25 293.3 72.72 293.3c4 0 8.001-.7543 11.78-2.289l12.75-5.125c9.125-3.625 16-11.12 18.75-20.5L125.2 234.8C127 227.9 131.5 222.2 137.9 219.1L160 208v50.38C160 276.5 149.6 293.1 133.4 301.2L76.25 329.9C49.12 343.5 32 371.1 32 401.5V416h319.9l-.0417-192c0-105.1-85.83-192-191.8-192H12C5.375 32 0 37.38 0 44c0 2.625 .625 5.25 1.75 7.625L16 80L7 89C2.5 93.5 0 99.62 0 106V243.2C0 255.9 7.5 267.4 19 272.5zM52 128C63 128 72 137 72 148S63 168 52 168S32 159 32 148S41 128 52 128zM336 448H47.1C21.49 448 0 469.5 0 495.1C0 504.8 7.163 512 16 512h352c8.837 0 16-7.163 16-16C384 469.5 362.5 448 336 448z"],
    "chess-knight-piece": [320, 512, ["chess-knight-alt"], "f442", "M311.1 459.6L288 448v-16c0-8.875-7.125-16-16-16h-224C39.12 416 32 423.1 32 432V448l-23.12 11.62C3.375 462.2 0 467.9 0 473.9V496C0 504.9 7.125 512 16 512h288c8.875 0 16-7.125 16-16v-22.12C320 467.9 316.6 462.2 311.1 459.6zM45.5 235.5l28.88 12.88c2.961 1.316 6.129 1.974 9.286 1.974c2.842 0 5.674-.5329 8.339-1.599l9.125-3.625c6.5-2.625 11.38-8 13.38-14.62L121 208.6c1.25-4.875 4.5-9 8.875-11.25L144.1 192v37.25c0 11.25-6.625 21.5-16.88 26L80.62 279C57.29 290.9 44.72 314.1 44.72 337.7C44.72 354.2 50.94 370.9 64 384h192c7-7.875 15.96-18.25 15.96-32L272 203.1C272 126.6 209.4 64 132.9 64H40.5C35.75 64 32 67.88 32 72.5c0 2 .375 3.75 1.25 5.5L43.38 98.25L37 104.6C33.75 107.9 32 112.2 32 116.8v97.87C32 223.6 37.25 231.9 45.5 235.5zM80.12 128c8.801 0 15.99 7.243 15.99 15.99c0 11.29-9.794 15.99-15.97 15.99c-8.672 0-16.02-6.871-16.02-15.98C64.12 135.1 71.25 128 80.12 128z"],
    "chess-pawn": [320, 512, [9823], "f443", "M105.1 224H80C71.12 224 64 231.1 64 240v32c0 8.875 7.125 15.1 16 15.1L96 288v5.5C96 337.5 91.88 380.1 72 416h176C228.1 380.1 224 337.5 224 293.5V288l16-.0001c8.875 0 16-7.125 16-15.1v-32C256 231.1 248.9 224 240 224h-25.12C244.3 205.6 264 173.2 264 136C264 78.5 217.5 32 159.1 32S56 78.5 56 136C56 173.2 75.74 205.6 105.1 224zM272 448H47.1C21.49 448 0 469.5 0 495.1C0 504.8 7.163 512 16 512h288c8.837 0 16-7.163 16-16C320 469.5 298.5 448 272 448z"],
    "chess-pawn-piece": [256, 512, ["chess-pawn-alt"], "f444", "M64 288.1h14.88C76.88 320.5 71.88 352.6 64 384.1h128c-7.875-31.5-12.88-63.58-14.88-95.96H192c8.875 0 16-7.118 16-15.99V256.1c0-8.875-7.125-16.03-16-16.03h-16.48c20.87-15.35 32.48-39.51 32.48-64.43c0-59.94-53.85-80.02-80.01-80.02c-26.22 0-80.01 20.6-80.01 80.02c0 24.92 11.61 49.08 32.48 64.43H64c-8.875 0-16 7.159-16 16.03v15.99C48 280.1 55.12 288.1 64 288.1zM247.1 459.6L224 448V432c0-8.875-7.125-16-16-16h-160C39.12 416 32 423.1 32 432v16.03l-23.12 11.62C3.375 462.3 0 467.9 0 473.9v22.13C0 504.9 7.125 512 16 512h224c8.875 0 16-7.111 16-15.99v-22.13C256 467.9 252.6 462.3 247.1 459.6z"],
    "chess-queen": [512, 512, [9819], "f445", "M256 112c30.88 0 56-25.12 56-56S286.9 0 256 0S199.1 25.12 199.1 56S225.1 112 256 112zM399.1 448H111.1c-26.51 0-48 21.49-48 47.1C63.98 504.8 71.15 512 79.98 512h352c8.837 0 16-7.163 16-16C447.1 469.5 426.5 448 399.1 448zM511.1 197.4c0-5.178-2.509-10.2-7.096-13.26L476.4 168.2c-2.684-1.789-5.602-2.62-8.497-2.62c-17.22 0-17.39 26.37-51.92 26.37c-29.35 0-47.97-25.38-47.97-50.63C367.1 134 361.1 128 354.6 128h-38.75c-6 0-11.63 4-12.88 9.875C298.2 160.1 278.7 176 255.1 176c-22.75 0-42.25-15.88-47-38.12C207.7 132 202.2 128 196.1 128h-38.75C149.1 128 143.1 134 143.1 141.4c0 18.45-13.73 50.62-47.95 50.62c-34.58 0-34.87-26.39-51.87-26.39c-2.909 0-5.805 .8334-8.432 2.645l-28.63 16C2.509 187.2 0 192.3 0 197.4C0 199.9 .5585 202.3 1.72 204.6L104.2 416h303.5l102.5-211.4C511.4 202.3 511.1 199.8 511.1 197.4z"],
    "chess-queen-piece": [256, 512, ["chess-queen-alt"], "f446", "M67.38 192H64C55.12 192 48 199.1 48 208V224c0 8.875 7.125 16 16 16h16v14C80 297.9 74.63 341.5 64 384h128c-10.62-42.5-16-86.13-16-129.1V240H192c8.875 0 16-7.125 16-16V208C208 199.1 200.9 192 192 192h-3.375l44.5-95.75c.4723-.9446 .6967-1.964 .6967-2.975c0-2.201-1.063-4.365-2.947-5.65L220.8 81c-1.104-.7508-2.318-1.096-3.524-1.096c-7.223 0-7.409 11.1-21.87 11.1c-12.28 0-20.23-10.59-20.23-21.38C175.1 66.5 172.6 64 169.5 64h-16.25c-2.625 0-4.875 1.625-5.5 4.125C145.8 77.5 137.5 84.25 128 84.25S110.3 77.5 108.3 68.13C107.6 65.63 105.4 64 102.8 64H86.5C83.38 64 80.88 66.5 80.88 69.63c0 7.937-5.899 21.3-20.33 21.3c-6.234 0-12.21-2.951-16.04-8.054C43.23 80.89 41.09 79.86 38.9 79.86c-1.25 0-2.518 .3347-3.653 1.016L25.13 87.63c-1.884 1.285-2.947 3.449-2.947 5.65c0 1.011 .2244 2.03 .6967 2.975L67.38 192zM128 48c13.25 0 24-10.75 24-24S141.3 0 128 0C114.8 0 104 10.75 104 24S114.8 48 128 48zM247.1 459.6L224 448v-16c0-8.875-7.125-16-16-16h-160C39.12 416 32 423.1 32 432V448l-23.12 11.62C3.375 462.2 0 467.9 0 473.9V496C0 504.9 7.124 512 15.1 512H240c8.875 0 16-7.125 16-16v-22.12C256 467.9 252.6 462.2 247.1 459.6z"],
    "chess-rook": [384, 512, [9820], "f447", "M368 32h-56c-8.875 0-16 7.125-16 16V96h-48V48c0-8.875-7.125-16-16-16h-80c-8.875 0-16 7.125-16 16V96H88.12V48c0-8.875-7.25-16-16-16H16C7.125 32 0 39.12 0 48V224l64 32c0 48.38-1.5 95-13.25 160h282.5C321.5 351 320 303.8 320 256l64-32V48C384 39.12 376.9 32 368 32zM224 320H160V256c0-17.62 14.38-32 32-32s32 14.38 32 32V320zM336 448H47.1C21.49 448 0 469.5 0 495.1C0 504.8 7.163 512 16 512h352c8.837 0 16-7.163 16-16C384 469.5 362.5 448 336 448z"],
    "chess-rook-piece": [320, 512, ["chess-rook-alt"], "f448", "M311.1 459.6L288 448v-16c0-8.875-7.125-16-16-16h-224C39.12 416 32 423.1 32 432V448l-23.12 11.62C3.375 462.2 0 467.9 0 473.9V496C0 504.9 7.125 512 16 512h288c8.875 0 16-7.125 16-16v-22.12C320 467.9 316.6 462.2 311.1 459.6zM71.75 210.4L57.38 384h205.3l-14.38-173.8l30.5-31C284.8 173.3 288 165.1 288 156.8V72C288 67.62 284.4 64 280 64h-35.13c-4.5 0-8 3.625-8 8V112h-33V72c0-4.375-3.625-8-8-8H124.1c-4.375 0-8 3.625-8 8V112H83.25V72c0-4.375-3.625-8-8-8H40C35.62 64 32 67.62 32 72v84.88c0 8.375 3.25 16.37 9.25 22.37L71.75 210.4zM136.4 231.6C136.4 218.5 147 208 160 208s23.62 10.5 23.62 23.62v47.13H136.4V231.6z"],
    "chestnut": [448, 512, [127792], "e3f6", "M302.9 99.43c-25.37-20.56-49.36-39.98-66.49-61.41C233.2 34 228.6 32 224 32S214.8 34 211.5 38.02C194.4 59.44 170.4 78.86 145.1 99.43C80.44 151.7 0 216.8 0 352h448C448 216.8 367.6 151.7 302.9 99.43zM128 480h192c59.57 0 109.2-40.89 123.5-96H4.525C18.8 439.1 68.43 480 128 480z"],
    "chevron-down": [448, 512, [], "f078", "M224 416c-8.188 0-16.38-3.125-22.62-9.375l-192-192c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L224 338.8l169.4-169.4c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25l-192 192C240.4 412.9 232.2 416 224 416z"],
    "chevron-left": [320, 512, [9001], "f053", "M224 480c-8.188 0-16.38-3.125-22.62-9.375l-192-192c-12.5-12.5-12.5-32.75 0-45.25l192-192c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L77.25 256l169.4 169.4c12.5 12.5 12.5 32.75 0 45.25C240.4 476.9 232.2 480 224 480z"],
    "chevron-right": [320, 512, [9002], "f054", "M96 480c-8.188 0-16.38-3.125-22.62-9.375c-12.5-12.5-12.5-32.75 0-45.25L242.8 256L73.38 86.63c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0l192 192c12.5 12.5 12.5 32.75 0 45.25l-192 192C112.4 476.9 104.2 480 96 480z"],
    "chevron-up": [448, 512, [], "f077", "M416 352c-8.188 0-16.38-3.125-22.62-9.375L224 173.3l-169.4 169.4c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l192-192c12.5-12.5 32.75-12.5 45.25 0l192 192c12.5 12.5 12.5 32.75 0 45.25C432.4 348.9 424.2 352 416 352z"],
    "chevrons-down": [448, 512, ["chevron-double-down"], "f322", "M201.4 278.6C207.6 284.9 215.8 288 224 288s16.38-3.125 22.62-9.375l192-192c12.5-12.5 12.5-32.75 0-45.25s-32.75-12.5-45.25 0L224 210.8L54.63 41.38c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25L201.4 278.6zM393.4 233.4L224 402.8L54.63 233.4c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25l192 192C207.6 476.9 215.8 480 224 480s16.38-3.125 22.62-9.375l192-192c12.5-12.5 12.5-32.75 0-45.25S405.9 220.9 393.4 233.4z"],
    "chevrons-left": [448, 512, ["chevron-double-left"], "f323", "M77.25 256l169.4-169.4c12.5-12.5 12.5-32.75 0-45.25s-32.75-12.5-45.25 0l-192 192c-12.5 12.5-12.5 32.75 0 45.25l192 192C207.6 476.9 215.8 480 224 480s16.38-3.125 22.62-9.375c12.5-12.5 12.5-32.75 0-45.25L77.25 256zM269.3 256l169.4-169.4c12.5-12.5 12.5-32.75 0-45.25s-32.75-12.5-45.25 0l-192 192c-12.5 12.5-12.5 32.75 0 45.25l192 192C399.6 476.9 407.8 480 416 480s16.38-3.125 22.62-9.375c12.5-12.5 12.5-32.75 0-45.25L269.3 256z"],
    "chevrons-right": [448, 512, ["chevron-double-right"], "f324", "M246.6 233.4l-192-192c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25L178.8 256l-169.4 169.4c-12.5 12.5-12.5 32.75 0 45.25C15.63 476.9 23.81 480 32 480s16.38-3.125 22.62-9.375l192-192C259.1 266.1 259.1 245.9 246.6 233.4zM438.6 233.4l-192-192c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25L370.8 256l-169.4 169.4c-12.5 12.5-12.5 32.75 0 45.25C207.6 476.9 215.8 480 224 480s16.38-3.125 22.62-9.375l192-192C451.1 266.1 451.1 245.9 438.6 233.4z"],
    "chevrons-up": [448, 512, ["chevron-double-up"], "f325", "M54.63 278.6L224 109.3l169.4 169.4C399.6 284.9 407.8 288 416 288s16.38-3.125 22.62-9.375c12.5-12.5 12.5-32.75 0-45.25l-192-192c-12.5-12.5-32.75-12.5-45.25 0l-192 192c-12.5 12.5-12.5 32.75 0 45.25S42.13 291.1 54.63 278.6zM246.6 233.4c-12.5-12.5-32.75-12.5-45.25 0l-192 192c-12.5 12.5-12.5 32.75 0 45.25s32.75 12.5 45.25 0L224 301.3l169.4 169.4C399.6 476.9 407.8 480 416 480s16.38-3.125 22.62-9.375c12.5-12.5 12.5-32.75 0-45.25L246.6 233.4z"],
    "child": [320, 512, [], "f1ae", "M224 64C224 99.35 195.3 128 160 128C124.7 128 96 99.35 96 64C96 28.65 124.7 0 160 0C195.3 0 224 28.65 224 64zM144 384V480C144 497.7 129.7 512 112 512C94.33 512 80.01 497.7 80.01 480V287.8L59.09 321C49.67 336 29.92 340.5 14.96 331.1C.0016 321.7-4.491 301.9 4.924 286.1L44.79 223.6C69.72 184 113.2 160 160 160C206.8 160 250.3 184 275.2 223.6L315.1 286.1C324.5 301.9 320 321.7 305.1 331.1C290.1 340.5 270.3 336 260.9 321L240 287.8V480C240 497.7 225.7 512 208 512C190.3 512 176 497.7 176 480V384L144 384z"],
    "child-dress": [320, 512, [], "e59c", "M223.1 64C223.1 99.35 195.3 128 159.1 128C124.7 128 95.1 99.35 95.1 64C95.1 28.65 124.7 0 159.1 0C195.3 0 223.1 28.65 223.1 64zM70.2 400C59.28 400 51.57 389.3 55.02 378.9L86.16 285.5L57.5 323.3C46.82 337.4 26.75 340.2 12.67 329.5C-1.415 318.8-4.175 298.7 6.503 284.7L65.4 206.1C87.84 177.4 122.9 160 160 160C197.2 160 232.2 177.4 254.6 206.1L313.5 284.7C324.2 298.7 321.4 318.8 307.3 329.5C293.3 340.2 273.2 337.4 262.5 323.3L233.9 285.6L264.1 378.9C268.4 389.3 260.7 400 249.8 400H232V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V400H152V480C152 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480V400H70.2z"],
    "child-reaching": [384, 512, [], "e59d", "M256 64C256 99.35 227.3 128 192 128C156.7 128 128 99.35 128 64C128 28.65 156.7 0 192 0C227.3 0 256 28.65 256 64zM155.7 170.2C167.3 173.1 179.6 176 192.2 176C232.1 176 269.3 155.8 291 122.4L309.2 94.54C318.8 79.73 338.6 75.54 353.5 85.18C368.3 94.82 372.5 114.6 362.8 129.5L344.7 157.3C326.4 185.4 301.2 207.3 272 221.6V480C272 497.7 257.7 512 240 512C222.3 512 208 497.7 208 480V384H176V480C176 497.7 161.7 512 144 512C126.3 512 112 497.7 112 480V221.4C83.63 207.4 58.94 186.1 40.87 158.1L21.37 129.8C11.57 115 15.54 95.18 30.25 85.37C44.95 75.57 64.82 79.54 74.62 94.25L94.12 123.5C108.5 145 129.2 160.9 152.9 169.3C153.9 169.5 154.8 169.8 155.7 170.2V170.2z"],
    "child-rifle": [512, 512, [], "e4e0", "M79.1 64C79.1 28.65 108.7 .0003 143.1 .0003C179.3 .0003 207.1 28.65 207.1 64C207.1 99.35 179.3 128 143.1 128C108.7 128 79.1 99.35 79.1 64V64zM104 512C86.33 512 72 497.7 72 480V300.5L59.09 321C49.67 336 29.91 340.5 14.96 331.1C.0006 321.7-4.492 301.9 4.923 286.1L56.6 204.9C74.17 176.9 104.9 160 137.8 160H150.2C183.2 160 213.8 176.9 231.4 204.9L283.1 286.1C292.5 301.9 288 321.7 273 331.1C258.1 340.5 238.3 336 228.9 321L216 300.5V480C216 497.7 201.7 512 184 512C166.3 512 152 497.7 152 480V352H136V480C136 497.7 121.7 512 104 512V512zM432 16V132.3C441.6 137.8 448 148.2 448 160V269.3L464 264V208C464 199.2 471.2 192 480 192H496C504.8 192 512 199.2 512 208V292.5C512 299.4 507.6 305.5 501.1 307.6L448 325.3V352H496C504.8 352 512 359.2 512 368V384C512 392.8 504.8 400 496 400H452L475 492.1C477.6 502.2 469.9 512 459.5 512H400C391.2 512 384 504.8 384 496V400H368C350.3 400 336 385.7 336 368V224C336 206.3 350.3 192 368 192V160C368 148.2 374.4 137.8 384 132.3V32C375.2 32 368 24.84 368 16C368 7.164 375.2 0 384 0H416C424.8 0 432 7.164 432 16V16z"],
    "children": [640, 512, [], "e4e1", "M95.1 64C95.1 28.65 124.7 0 159.1 0C195.3 0 223.1 28.65 223.1 64C223.1 99.35 195.3 128 159.1 128C124.7 128 95.1 99.35 95.1 64zM88 480V400H70.2C59.28 400 51.57 389.3 55.02 378.9L86.16 285.5L57.5 323.3C46.82 337.4 26.75 340.2 12.67 329.5C-1.415 318.8-4.175 298.7 6.503 284.7L65.4 206.1C87.84 177.4 122.9 160 160 160C197.2 160 232.2 177.4 254.6 206.1L313.5 284.7C324.2 298.7 321.4 318.8 307.3 329.5C293.3 340.2 273.2 337.4 262.5 323.3L233.9 285.6L264.1 378.9C268.4 389.3 260.7 400 249.8 400H232V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V400H152V480C152 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480H88zM416 64C416 28.65 444.7 0 480 0C515.3 0 544 28.65 544 64C544 99.35 515.3 128 480 128C444.7 128 416 99.35 416 64V64zM472 384V480C472 497.7 457.7 512 440 512C422.3 512 408 497.7 408 480V300.5L395.1 321C385.7 336 365.9 340.5 350.1 331.1C336 321.7 331.5 301.9 340.9 286.1L392.6 204.9C410.2 176.9 440.9 159.1 473.8 159.1H486.2C519.2 159.1 549.8 176.9 567.4 204.9L619.1 286.1C628.5 301.9 624 321.7 609 331.1C594.1 340.5 574.3 336 564.9 321L552 300.5V480C552 497.7 537.7 512 520 512C502.3 512 488 497.7 488 480V384L472 384z"],
    "chimney": [448, 512, [], "f78b", "M32 192v128h96V192H32zM32 480h256v-128H32V480zM416 32H32C14.25 32 0 46.25 0 64v64c0 17.75 14.25 32 32 32h384c17.75 0 32-14.25 32-32V64C448 46.25 433.8 32 416 32zM320 480h96v-128h-96V480zM160 320h256V192H160V320z"],
    "chopsticks": [640, 512, [], "e3f7", "M638.1 96.61C639.9 102.5 640.4 108.8 639.7 114.9C638.1 121.1 637 126.1 633.9 132.4C630.9 137.7 626.7 142.4 621.8 146.1L154.9 508.6C151.5 511.1 147.2 512.3 142.9 511.8C138.7 511.2 134.8 509.1 132 505.8C129.3 502.5 127.9 498.3 128.2 494.1C128.4 489.8 130.3 485.8 133.4 482.8L563.4 76.09C567.9 71.9 573.3 68.67 579.1 66.61C584.9 64.55 591.1 63.69 597.3 64.1C603.5 64.5 609.5 66.16 615 68.96C620.6 71.76 625.4 75.66 629.4 80.41C633.4 85.17 636.3 90.68 638.1 96.61zM29.28 505.2C26.42 508.5 22.4 510.6 18.06 510.9C13.73 511.3 9.411 510 6.03 507.3C2.649 504.5 .4641 500.6-.0636 496.2C-.5913 491.9 .5796 487.6 3.202 484.1L333.5 18.56C337.2 13.69 341.9 9.624 347.2 6.592C352.5 3.56 358.4 1.626 364.4 .9045C370.5 .1832 376.7 .6898 382.5 2.394C388.4 4.098 393.9 6.965 398.6 10.82C403.4 14.68 407.3 19.46 410.2 24.86C413 30.27 414.8 36.19 415.3 42.29C415.8 48.38 415.1 54.52 413.3 60.34C411.4 66.15 408.3 71.53 404.3 76.16L29.28 505.2z"],
    "church": [640, 512, [9962], "f51d", "M344 48H376C389.3 48 400 58.75 400 72C400 85.25 389.3 96 376 96H344V142.4L456.7 210C471.2 218.7 480 234.3 480 251.2V512H384V416C384 380.7 355.3 352 320 352C284.7 352 256 380.7 256 416V512H160V251.2C160 234.3 168.8 218.7 183.3 210L296 142.4V96H264C250.7 96 240 85.25 240 72C240 58.75 250.7 48 264 48H296V24C296 10.75 306.7 0 320 0C333.3 0 344 10.75 344 24V48zM24.87 330.3L128 273.6V512H48C21.49 512 0 490.5 0 464V372.4C0 354.9 9.53 338.8 24.87 330.3V330.3zM592 512H512V273.6L615.1 330.3C630.5 338.8 640 354.9 640 372.4V464C640 490.5 618.5 512 592 512V512z"],
    "circle": [512, 512, [128308, 128309, 128992, 128993, 128994, 128995, 128996, 9898, 9899, 11044, 61708, 61915, 9679], "f111", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256z"],
    "circle-0": [512, 512, [], "e0ed", "M256 176C229.5 176 208 197.5 208 224v64c0 26.47 21.53 48 48 48s48-21.53 48-48V224C304 197.5 282.5 176 256 176zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM352 288c0 52.94-43.06 96-96 96s-96-43.06-96-96V224c0-52.94 43.06-96 96-96s96 43.06 96 96V288z"],
    "circle-1": [512, 512, [], "e0ee", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM320 384H192c-13.25 0-24-10.75-24-24S178.8 336 192 336h40V196.8L217.3 206.6C206.3 213.9 191.4 210.1 184 199.1C176.7 188.9 179.7 174 190.7 166.7l52-34.66c7.391-4.938 16.86-5.375 24.64-1.188C275.1 135 280 143.2 280 152v184H320c13.25 0 24 10.75 24 24S333.3 384 320 384z"],
    "circle-2": [512, 512, [], "e0ef", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM328 384h-144c-9.922 0-18.81-6.094-22.39-15.38c-3.578-9.25-1.078-19.75 6.266-26.41l108.4-98.31c7.047-6.938 11.31-17 11.31-27.66s-4.266-20.72-12-28.31C259.4 172 232.9 172 216.6 187.9L205.6 198.7C196.1 208.1 180.1 207.9 171.7 198.4C162.4 188.9 162.5 173.7 172 164.5l11-10.78c34.8-34.19 91.45-34.19 126.3 0c17 16.69 26.38 38.91 26.38 62.56s-9.375 45.88-26.38 62.56L246.2 336H328c13.25 0 24 10.75 24 24S341.3 384 328 384z"],
    "circle-3": [512, 512, [], "e0f0", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM268 384H223.4c-28.23 0-53.2-18-62.13-44.78c-4.188-12.59 2.609-26.19 15.19-30.38C189 304.8 202.6 311.5 206.8 324C209.2 331.2 215.8 336 223.4 336H268c19.84 0 36-16.16 36-36S287.8 264 268 264H216c-9.891 0-18.78-6.062-22.38-15.31C190 239.5 192.5 229 199.8 222.3L250.3 176H184C170.8 176 160 165.3 160 152S170.8 128 184 128h128c9.891 0 18.78 6.062 22.38 15.31c3.578 9.219 1.141 19.69-6.156 26.38L277.2 216.5C319.2 221.1 352 256.8 352 300C352 346.3 314.3 384 268 384z"],
    "circle-4": [512, 512, [], "e0f1", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM328 320H320v40c0 13.25-10.75 24-24 24s-24-10.75-24-24V320H169.1c-8.078 0-15.61-4.062-20.05-10.81s-5.188-15.25-2-22.69l62-144c5.234-12.16 19.31-17.84 31.53-12.53c12.19 5.219 17.8 19.34 12.56 31.53L206.5 272H272V221.3c0-13.25 10.75-24 24-24s24 10.75 24 24V272h8C341.3 272 352 282.8 352 296S341.3 320 328 320z"],
    "circle-5": [512, 512, [], "e0f2", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM272.1 384H223.4c-28.23 0-53.2-18-62.13-44.78c-4.188-12.59 2.609-26.19 15.19-30.38c12.53-4.062 26.16 2.625 30.34 15.19C209.2 331.2 215.8 336 223.4 336h49.59C290.1 336 304 322.1 304 304.9c0-15.75-11.78-29-27.41-30.81l-87.39-10.28c-6.625-.7813-12.61-4.281-16.56-9.656C168.7 248.8 167.2 242.1 168.4 235.5l16.73-88C187.3 136.2 197.2 128 208.7 128H312c13.25 0 24 10.75 24 24S325.3 176 312 176H228.6L220.4 219.2l61.8 7.25C321.1 231.1 352 264.8 352 304.9C352 348.5 316.5 384 272.1 384z"],
    "circle-6": [512, 512, [], "e0f3", "M256 240c-21.06 0-40 14.09-46.03 34.28C208.7 278.7 208 283.3 208 288c0 26.47 21.53 48 48 48s48-21.53 48-48S282.5 240 256 240zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 384c-52.94 0-96-43.06-96-96c0-41.3 27.55-73.29 40.28-84.41l79.94-69.69C284.8 129.9 290.4 128 296 128c6.688 0 13.34 2.781 18.09 8.219c8.719 10 7.656 25.16-2.312 33.88l-29.76 25.94C322.3 207.5 352 244.1 352 288C352 340.9 308.9 384 256 384z"],
    "circle-7": [512, 512, [], "e0f4", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM349.1 163.4l-112 208C232.8 379.4 224.5 384 215.1 384c-3.844 0-7.719-.9062-11.34-2.875c-11.69-6.281-16.03-20.84-9.75-32.5L287.8 176H184C170.8 176 160 165.3 160 152S170.8 128 184 128h144c8.438 0 16.28 4.438 20.59 11.69C352.9 146.9 353.1 155.9 349.1 163.4z"],
    "circle-8": [512, 512, [], "e0f5", "M248 224h16C277.2 224 288 213.2 288 200S277.2 176 264 176h-16C234.8 176 224 186.8 224 200S234.8 224 248 224zM272 272h-32c-17.66 0-32 14.34-32 32s14.34 32 32 32h32c17.66 0 32-14.34 32-32S289.7 272 272 272zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM272 384h-32C195.9 384 160 348.1 160 304c0-25.06 11.81-47.19 29.9-61.87C181.3 230.3 176 215.8 176 200C176 160.3 208.3 128 248 128h16c39.69 0 72 32.31 72 72c0 15.77-5.254 30.26-13.9 42.13C340.2 256.8 352 278.9 352 304C352 348.1 316.1 384 272 384z"],
    "circle-9": [512, 512, [], "e0f6", "M256 176C229.5 176 208 197.5 208 224S229.5 272 256 272c21.06 0 40-14.09 46.03-34.28C303.3 233.3 304 228.7 304 224C304 197.5 282.5 176 256 176zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM311.7 308.4l-79.94 69.69C227.2 382.1 221.6 384 216 384c-6.688 0-13.34-2.781-18.09-8.219c-8.719-10-7.656-25.16 2.312-33.88l29.76-25.94C189.7 304.5 160 267.9 160 224c0-52.94 43.06-96 96-96s96 43.06 96 96C352 265.3 324.5 297.3 311.7 308.4z"],
    "circle-a": [512, 512, [], "e0f7", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM362.1 365.8c-3.266 1.506-6.687 2.229-10.05 2.229c-9.078 0-17.75-5.18-21.81-14l-12.03-26.18H193.8l-12.03 26.18c-5.576 12.09-19.76 17.36-31.86 11.77c-12.03-5.559-17.28-19.91-11.73-31.99l95.99-208.1c7.842-17.08 35.75-17.08 43.59 0l95.99 208.1C379.3 345.9 374.1 360.2 362.1 365.8zM215.1 279.6h80.05L256 192.5L215.1 279.6z"],
    "circle-ampersand": [512, 512, [], "e0f8", "M236 210.9l21.94-17.73c2.281-1.828 3.594-4.578 3.594-7.516C261.6 180.3 257.2 176 251.9 176H228.8c-5.312 0-9.656 4.328-9.656 9.656c0 4.359 1.625 8.547 4.562 11.78L236 210.9zM199 302.5C194.5 306.1 192 311.4 192 317.2C192 327.5 200.5 336 210.8 336h32.47c10.03 0 19.38-4.938 25-13.2l2.117-3.105L231.1 276.6L199 302.5zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM356 377.7C351.4 381.9 345.6 384 339.8 384c-6.5 0-12.97-2.625-17.72-7.812l-18.62-20.38C288.7 373.6 266.7 384 243.3 384H210.8C173.1 384 144 354 144 317.2c0-20.3 9.062-39.25 24.84-51.98l29.75-24.05L188.3 229.8c-11.06-12.11-17.12-27.78-17.12-44.14C171.1 153.9 197 128 228.8 128h23.12c31.78 0 57.66 25.86 57.66 57.66c0 17.5-7.812 33.86-21.41 44.86l-19.69 15.89l29.74 32.53L319.1 247c7.5-10.92 22.41-13.8 33.38-6.312c10.94 7.453 13.78 22.39 6.312 33.34L331.5 315.3l26.03 28.47C366.5 353.6 365.8 368.8 356 377.7z"],
    "circle-arrow-down": [512, 512, ["arrow-circle-down"], "f0ab", "M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM382.6 302.6l-103.1 103.1C270.7 414.6 260.9 416 256 416c-4.881 0-14.65-1.391-22.65-9.398L129.4 302.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L224 306.8V128c0-17.69 14.33-32 32-32s32 14.31 32 32v178.8l49.38-49.38c12.5-12.5 32.75-12.5 45.25 0S395.1 290.1 382.6 302.6z"],
    "circle-arrow-down-left": [512, 512, [], "e0f9", "M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM366.6 190.6L245.3 312H312c17.67 0 32 14.31 32 32s-14.33 32-32 32h-144c-17.67 0-32-14.31-32-32v-144c0-17.69 14.33-32 32-32s32 14.31 32 32v66.75l121.4-121.4c12.5-12.5 32.75-12.5 45.25 0S379.1 178.1 366.6 190.6z"],
    "circle-arrow-down-right": [512, 512, [], "e0fa", "M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM376 344c0 17.69-14.33 32-32 32h-144c-17.67 0-32-14.31-32-32s14.33-32 32-32h66.75L145.4 190.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L312 266.8V200c0-17.69 14.33-32 32-32s32 14.31 32 32V344z"],
    "circle-arrow-left": [512, 512, ["arrow-circle-left"], "f0a8", "M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM384 288H205.3l49.38 49.38c12.5 12.5 12.5 32.75 0 45.25s-32.75 12.5-45.25 0L105.4 278.6C97.4 270.7 96 260.9 96 256c0-4.883 1.391-14.66 9.398-22.65l103.1-103.1c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L205.3 224H384c17.69 0 32 14.33 32 32S401.7 288 384 288z"],
    "circle-arrow-right": [512, 512, ["arrow-circle-right"], "f0a9", "M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM406.6 278.6l-103.1 103.1c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25L306.8 288H128C110.3 288 96 273.7 96 256s14.31-32 32-32h178.8l-49.38-49.38c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0l103.1 103.1C414.6 241.3 416 251.1 416 256C416 260.9 414.6 270.7 406.6 278.6z"],
    "circle-arrow-up": [512, 512, ["arrow-circle-up"], "f0aa", "M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM382.6 254.6c-12.5 12.5-32.75 12.5-45.25 0L288 205.3V384c0 17.69-14.33 32-32 32s-32-14.31-32-32V205.3L174.6 254.6c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l103.1-103.1C241.3 97.4 251.1 96 256 96c4.881 0 14.65 1.391 22.65 9.398l103.1 103.1C395.1 221.9 395.1 242.1 382.6 254.6z"],
    "circle-arrow-up-left": [512, 512, [], "e0fb", "M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM366.6 366.6C360.4 372.9 352.2 376 344 376s-16.38-3.125-22.62-9.375L200 245.3V312c0 17.69-14.33 32-32 32s-32-14.31-32-32v-144c0-17.69 14.33-32 32-32h144c17.67 0 32 14.31 32 32s-14.33 32-32 32H245.3l121.4 121.4C379.1 333.9 379.1 354.1 366.6 366.6z"],
    "circle-arrow-up-right": [512, 512, [], "e0fc", "M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM376 312c0 17.69-14.33 32-32 32s-32-14.31-32-32V245.3l-121.4 121.4C184.4 372.9 176.2 376 168 376s-16.38-3.125-22.62-9.375c-12.5-12.5-12.5-32.75 0-45.25L266.8 200H200c-17.67 0-32-14.31-32-32s14.33-32 32-32h144c17.67 0 32 14.31 32 32V312z"],
    "circle-b": [512, 512, [], "e0fd", "M292 280H208v56h84C307.4 336 320 323.4 320 308S307.4 280 292 280zM304 204c0-15.44-12.56-28-28-28H208v56h68C291.4 232 304 219.4 304 204zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM292 384H184C170.8 384 160 373.3 160 360v-208C160 138.8 170.8 128 184 128h92C317.9 128 352 162.1 352 204c0 16.35-5.301 31.41-14.12 43.82C356.1 261.7 368 283.4 368 308C368 349.9 333.9 384 292 384z"],
    "circle-bolt": [512, 512, [], "e0fe", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM293.8 131.6L157.8 243.6C152.6 247.9 150.7 255 152.9 261.4C155.2 267.8 161.2 271.1 168 271.1H231.7L193.3 361.7C190.4 368.5 192.5 376.4 198.4 380.8C204.3 385.2 212.5 385 218.2 380.4L354.2 268.4C359.4 264.1 361.3 256.1 359.1 250.6C356.8 244.2 350.8 240 344 240H280.3L318.7 150.3C321.6 143.5 319.5 135.6 313.6 131.2C307.7 126.8 299.5 126.1 293.8 131.6L293.8 131.6z"],
    "circle-book-open": [512, 512, ["book-circle"], "e0ff", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM240 352c-11.81-6.959-50.92-25.71-101.4-3.734C133.6 350.4 128 346.9 128 341.9V185.5c0-5.455 3.379-10.54 8.752-12.74c21.22-8.676 41.57-13.11 59.14-12.79C215 160.3 230.1 164.9 240 168.1V352zM384 341.9c0 5.047-5.643 8.545-10.56 6.405C322.9 326.3 283.8 345 272 351.1V168.1c9.902-4.061 24.99-8.614 44.1-8.935c17.5-.1543 37.91 4.137 59.14 12.79C380.6 174.1 384 180.1 384 185.6V341.9z"],
    "circle-bookmark": [512, 512, ["bookmark-circle"], "e100", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM352 384l-96-64l-96 64V160c0-17.67 14.33-32 32-32h128c17.67 0 32 14.33 32 32V384z"],
    "circle-c": [512, 512, [], "e101", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM255.1 336c21.09 0 40.92-8.281 55.86-23.38c9.328-9.375 24.55-9.5 33.94-.125c9.422 9.312 9.484 24.5 .1562 33.94C321 370.7 289.1 384 255.1 384c0 0 .0156 0 0 0c-78.95 0-127-66.33-127-128c-.0078-61.11 47.87-128 127-128c.0156 0 0 0 0 0c33.98 0 65.95 13.34 89.96 37.56C354.4 175 354.3 190.2 344.9 199.5c-9.391 9.375-24.61 9.242-33.94-.1328C296 184.3 276.2 176 255.1 176C205.7 176 176 217.9 176 256C176 293.9 205.6 336 255.1 336z"],
    "circle-calendar": [512, 512, ["calendar-circle"], "e102", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM208 96C199.2 96 192 103.2 192 112V128H160C142.3 128 128 142.3 128 160V192H384V160C384 142.3 369.7 128 352 128H320V112C320 103.2 312.8 96 304 96C295.2 96 288 103.2 288 112V128H224V112C224 103.2 216.8 96 208 96zM160 384H352C369.7 384 384 369.7 384 352V224H128V352C128 369.7 142.3 384 160 384z"],
    "circle-camera": [512, 512, ["camera-circle"], "e103", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM384 320c0 17.67-14.33 32-32 32H160c-17.67 0-32-14.33-32-32V192c0-17.67 14.33-32 32-32h36l6.125-16.44C205.6 134.2 214.6 128 224.6 128h62.75c10 0 18.94 6.188 22.44 15.56L316 160H352c17.67 0 32 14.33 32 32V320zM256 208C229.5 208 208 229.5 208 256S229.5 304 256 304s48-21.5 48-48S282.5 208 256 208z"],
    "circle-caret-down": [512, 512, ["caret-circle-down"], "f32d", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM377.6 248.3l-104 112C269 365.2 262.7 368 256 368s-13.05-2.781-17.59-7.656l-104-112c-6.484-7-8.219-17.19-4.406-25.94C133.8 213.7 142.5 208 152 208h208c9.547 0 18.19 5.656 21.1 14.41C385.8 231.2 384.1 241.3 377.6 248.3z"],
    "circle-caret-left": [512, 512, ["caret-circle-left"], "f32e", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM304 360c0 9.531-5.656 18.19-14.41 22C286.5 383.3 283.3 384 280 384c-5.938 0-11.8-2.219-16.33-6.406l-112-104C146.8 269 144 262.7 144 256s2.781-13.03 7.672-17.59l112-104C270.7 127.9 280.9 126.3 289.6 130C298.3 133.8 304 142.5 304 152V360z"],
    "circle-caret-right": [512, 512, ["caret-circle-right"], "f330", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM360.3 273.6l-112 104C243.8 381.8 237.9 384 232 384c-3.25 0-6.5-.6562-9.594-2C213.7 378.2 208 369.5 208 360v-208c0-9.531 5.656-18.19 14.41-22c8.781-3.75 18.92-2.062 25.92 4.406l112 104C365.2 242.1 368 249.3 368 256S365.2 269 360.3 273.6z"],
    "circle-caret-up": [512, 512, ["caret-circle-up"], "f331", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM381.1 289.6C378.2 298.3 369.5 304 360 304h-208c-9.547 0-18.19-5.656-22-14.41c-3.812-8.75-2.078-18.94 4.407-25.94l104-112c9.094-9.75 26.09-9.75 35.19 0l104 112C384.1 270.7 385.8 280.8 381.1 289.6z"],
    "circle-check": [512, 512, [61533, "check-circle"], "f058", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM371.8 211.8C382.7 200.9 382.7 183.1 371.8 172.2C360.9 161.3 343.1 161.3 332.2 172.2L224 280.4L179.8 236.2C168.9 225.3 151.1 225.3 140.2 236.2C129.3 247.1 129.3 264.9 140.2 275.8L204.2 339.8C215.1 350.7 232.9 350.7 243.8 339.8L371.8 211.8z"],
    "circle-chevron-down": [512, 512, ["chevron-circle-down"], "f13a", "M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM390.6 246.6l-112 112C272.4 364.9 264.2 368 256 368s-16.38-3.125-22.62-9.375l-112-112c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L256 290.8l89.38-89.38c12.5-12.5 32.75-12.5 45.25 0S403.1 234.1 390.6 246.6z"],
    "circle-chevron-left": [512, 512, ["chevron-circle-left"], "f137", "M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM310.6 345.4c12.5 12.5 12.5 32.75 0 45.25s-32.75 12.5-45.25 0l-112-112C147.1 272.4 144 264.2 144 256s3.125-16.38 9.375-22.62l112-112c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L221.3 256L310.6 345.4z"],
    "circle-chevron-right": [512, 512, ["chevron-circle-right"], "f138", "M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM358.6 278.6l-112 112c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25L290.8 256L201.4 166.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0l112 112C364.9 239.6 368 247.8 368 256S364.9 272.4 358.6 278.6z"],
    "circle-chevron-up": [512, 512, ["chevron-circle-up"], "f139", "M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM390.6 310.6c-12.5 12.5-32.75 12.5-45.25 0L256 221.3L166.6 310.6c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l112-112C239.6 147.1 247.8 144 256 144s16.38 3.125 22.62 9.375l112 112C403.1 277.9 403.1 298.1 390.6 310.6z"],
    "circle-d": [512, 512, [], "e104", "M254.4 176H208v160h46.41C299.4 336 336 300.1 336 256C336 211.9 299.4 176 254.4 176zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM254.4 384H184C170.8 384 160 373.3 160 360v-208C160 138.8 170.8 128 184 128h70.41C325.9 128 384 185.4 384 256C384 326.6 325.9 384 254.4 384z"],
    "circle-dashed": [512, 512, [], "e105", "M1.109 231.1C6.007 179.3 26.87 131.3 58.8 92.74L104.3 138.3C83.68 164.8 69.86 196.9 65.48 231.1H1.109zM138.3 104.3L92.74 58.8C131.3 26.87 179.3 6.007 231.1 1.11V65.49C196.9 69.86 164.8 83.68 138.3 104.3V104.3zM280 446.5C315.1 442.1 347.2 428.3 373.7 407.7L419.3 453.2C380.7 485.1 332.7 505.1 280 510.9V446.5zM446.5 279.1H510.9C505.1 332.7 485.1 380.7 453.2 419.3L407.7 373.7C428.3 347.2 442.1 315.1 446.5 279.1H446.5zM138.3 407.7C164.8 428.3 196.9 442.1 231.1 446.5V510.9C179.3 505.1 131.3 485.1 92.74 453.2L138.3 407.7zM1.109 279.1H65.48C69.86 315.1 83.68 347.2 104.3 373.7L58.8 419.3C26.87 380.7 6.007 332.7 1.11 279.1H1.109zM373.7 104.3C347.2 83.68 315.1 69.86 280 65.48V1.109C332.7 6.007 380.7 26.87 419.3 58.8L373.7 104.3zM407.7 138.3L453.2 92.74C485.1 131.3 505.1 179.3 510.9 231.1H446.5C442.1 196.9 428.3 164.8 407.7 138.3V138.3z"],
    "circle-divide": [512, 512, [], "e106", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 192C273.7 192 288 177.7 288 160C288 142.3 273.7 128 256 128C238.3 128 224 142.3 224 160C224 177.7 238.3 192 256 192zM168 232C154.7 232 144 242.7 144 256C144 269.3 154.7 280 168 280H344C357.3 280 368 269.3 368 256C368 242.7 357.3 232 344 232H168zM256 320C238.3 320 224 334.3 224 352C224 369.7 238.3 384 256 384C273.7 384 288 369.7 288 352C288 334.3 273.7 320 256 320z"],
    "circle-dollar": [512, 512, ["dollar-circle", "usd-circle"], "f2e8", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM276.8 133.6C276.8 121.7 267.1 112 255.2 112C243.3 112 233.6 121.7 233.6 133.6V149.7C227.5 151.1 221.6 152.1 216.1 155.4C198.1 163.1 181.1 177.6 177.1 199.4C172.9 222.5 182.9 243.3 202.4 255.8C216.6 264.9 235.4 270.2 250.5 274.5C252.7 275.1 254.1 275.7 257.3 276.4C269.2 279.6 281.7 282.1 291.8 289.9C303.5 297.9 297.9 312.1 285.9 316.1C277 320.6 263.4 322.1 246.4 319.6C234.8 317.8 223.2 313.8 211.9 310C209.4 309.2 206.9 308.3 204.4 307.5C193.1 303.7 180.8 309.9 177.1 321.2C173.3 332.5 179.5 344.8 190.8 348.5C204.9 353.1 219.1 357.8 233.6 361L233.6 378.4C233.6 390.3 243.3 400 255.2 400C267.1 400 276.8 390.3 276.8 378.4L276.8 363.2C285.7 362.2 294.2 360.2 302 357C320.8 349.5 336.3 334.8 340.5 312.4C344.7 289.2 335.6 267.5 316.2 254.2C301.3 244 281.4 238.4 265.8 233.9C263.5 233.3 261.1 232.6 258.8 231.1C247.4 228.9 235.5 225.7 225.6 219.4C213.1 211.4 222.2 199.8 233.2 195C245.6 189.7 260.9 188.5 274.1 191C281.2 192.4 288.2 194.4 295.2 196.3C296.7 196.8 298.3 197.2 299.8 197.6C311.3 200.8 323.2 194.1 326.4 182.6C329.6 171.1 322.8 159.2 311.3 155.1C309.5 155.5 307.6 154.9 305.8 154.4C296.2 151.7 286.5 149 276.8 147.8L276.8 133.6z"],
    "circle-dollar-to-slot": [512, 512, ["donate"], "f4b9", "M326.7 403.7C304.7 411.6 280.8 416 256 416C231.2 416 207.3 411.6 185.3 403.7C184.1 403.6 184.7 403.5 184.5 403.4C154.4 392.4 127.6 374.6 105.9 352C70.04 314.6 48 263.9 48 208C48 93.12 141.1 0 256 0C370.9 0 464 93.12 464 208C464 263.9 441.1 314.6 406.1 352C405.1 353 404.1 354.1 403.1 355.1C381.7 376.4 355.7 393.2 326.7 403.7L326.7 403.7zM235.9 111.1V118C230.3 119.2 224.1 120.9 220 123.1C205.1 129.9 192.1 142.5 188.9 160.8C187.1 171 188.1 180.9 192.3 189.8C196.5 198.6 203 204.8 209.6 209.3C221.2 217.2 236.5 221.8 248.2 225.3L250.4 225.9C264.4 230.2 273.8 233.3 279.7 237.6C282.2 239.4 283.1 240.8 283.4 241.7C283.8 242.5 284.4 244.3 283.7 248.3C283.1 251.8 281.2 254.8 275.7 257.1C269.6 259.7 259.7 261 246.9 259C240.9 258 230.2 254.4 220.7 251.2C218.5 250.4 216.3 249.7 214.3 249C203.8 245.5 192.5 251.2 189 261.7C185.5 272.2 191.2 283.5 201.7 286.1C202.9 287.4 204.4 287.9 206.1 288.5C213.1 291.2 226.4 295.4 235.9 297.6V304C235.9 315.1 244.9 324.1 255.1 324.1C267.1 324.1 276.1 315.1 276.1 304V298.5C281.4 297.5 286.6 295.1 291.4 293.9C307.2 287.2 319.8 274.2 323.1 255.2C324.9 244.8 324.1 234.8 320.1 225.7C316.2 216.7 309.9 210.1 303.2 205.3C291.1 196.4 274.9 191.6 262.8 187.9L261.1 187.7C247.8 183.4 238.2 180.4 232.1 176.2C229.5 174.4 228.7 173.2 228.5 172.7C228.3 172.3 227.7 171.1 228.3 167.7C228.7 165.7 230.2 162.4 236.5 159.6C242.1 156.7 252.9 155.1 265.1 156.1C269.5 157.7 283 160.3 286.9 161.3C297.5 164.2 308.5 157.8 311.3 147.1C314.2 136.5 307.8 125.5 297.1 122.7C292.7 121.5 282.7 119.5 276.1 118.3V112C276.1 100.9 267.1 91.9 256 91.9C244.9 91.9 235.9 100.9 235.9 112V111.1zM48 352H63.98C83.43 377.9 108 399.7 136.2 416H64V448H448V416H375.8C403.1 399.7 428.6 377.9 448 352H464C490.5 352 512 373.5 512 400V464C512 490.5 490.5 512 464 512H48C21.49 512 0 490.5 0 464V400C0 373.5 21.49 352 48 352H48z"],
    "circle-dot": [512, 512, [128280, "dot-circle"], "f192", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 352C309 352 352 309 352 256C352 202.1 309 160 256 160C202.1 160 160 202.1 160 256C160 309 202.1 352 256 352z"],
    "circle-down": [512, 512, [61466, "arrow-alt-circle-down"], "f358", "M256 512c141.4 0 256-114.6 256-256s-114.6-256-256-256C114.6 0 0 114.6 0 256S114.6 512 256 512zM129.2 265.9C131.7 259.9 137.5 256 144 256h64V160c0-17.67 14.33-32 32-32h32c17.67 0 32 14.33 32 32v96h64c6.469 0 12.31 3.891 14.78 9.875c2.484 5.984 1.109 12.86-3.469 17.44l-112 112c-6.248 6.248-16.38 6.248-22.62 0l-112-112C128.1 278.7 126.7 271.9 129.2 265.9z"],
    "circle-down-left": [512, 512, [], "e107", "M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM357.9 222l-67.92 67.92l45.25 45.25c4.574 4.574 5.955 11.46 3.471 17.44c-2.477 5.984-8.309 9.875-14.78 9.875H165.5c-8.836 0-15.1-7.164-15.1-16v-158.4c0-6.477 3.889-12.31 9.877-14.78c5.979-2.488 12.86-1.109 17.44 3.469l45.25 45.25l67.92-67.92c12.5-12.5 32.72-12.46 45.21 .041l22.63 22.63C370.3 189.3 370.4 209.5 357.9 222z"],
    "circle-down-right": [512, 512, [], "e108", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM362.5 346.5c0 8.836-7.162 16-15.1 16H188.1c-6.475 0-12.31-3.891-14.78-9.875c-2.484-5.98-1.104-12.86 3.471-17.44l45.25-45.25L154.1 222C141.6 209.5 141.7 189.3 154.2 176.8l22.63-22.63c12.5-12.5 32.72-12.54 45.21-.041l67.92 67.92l45.25-45.25c4.574-4.578 11.46-5.957 17.44-3.469c5.988 2.473 9.877 8.305 9.877 14.78V346.5z"],
    "circle-e": [512, 512, [], "e109", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM296 232C309.3 232 320 242.8 320 256s-10.75 24-24 24H208v56h120c13.25 0 24 10.75 24 24S341.3 384 328 384h-144C170.8 384 160 373.3 160 360v-208C160 138.8 170.8 128 184 128h144C341.3 128 352 138.8 352 152S341.3 176 328 176H208v56H296z"],
    "circle-ellipsis": [512, 512, [], "e10a", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM160 288C177.7 288 192 273.7 192 256C192 238.3 177.7 224 160 224C142.3 224 128 238.3 128 256C128 273.7 142.3 288 160 288zM256 224C238.3 224 224 238.3 224 256C224 273.7 238.3 288 256 288C273.7 288 288 273.7 288 256C288 238.3 273.7 224 256 224zM352 288C369.7 288 384 273.7 384 256C384 238.3 369.7 224 352 224C334.3 224 320 238.3 320 256C320 273.7 334.3 288 352 288z"],
    "circle-ellipsis-vertical": [512, 512, [], "e10b", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 288C273.7 288 288 273.7 288 256C288 238.3 273.7 224 256 224C238.3 224 224 238.3 224 256C224 273.7 238.3 288 256 288zM256 128C238.3 128 224 142.3 224 160C224 177.7 238.3 192 256 192C273.7 192 288 177.7 288 160C288 142.3 273.7 128 256 128zM256 384C273.7 384 288 369.7 288 352C288 334.3 273.7 320 256 320C238.3 320 224 334.3 224 352C224 369.7 238.3 384 256 384z"],
    "circle-envelope": [512, 512, ["envelope-circle"], "e10c", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM384 320c0 17.67-14.33 32-32 32H160c-17.67 0-32-14.33-32-32V238l122.1 48.82C251.1 287.6 253.1 288 256 288s4.031-.375 5.938-1.141L384 238V320zM384 203.6l-128 51.2L128 203.6V192c0-17.67 14.33-32 32-32h192c17.67 0 32 14.33 32 32V203.6z"],
    "circle-exclamation": [512, 512, ["exclamation-circle"], "f06a", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM232 152C232 138.8 242.8 128 256 128s24 10.75 24 24v128c0 13.25-10.75 24-24 24S232 293.3 232 280V152zM256 400c-17.36 0-31.44-14.08-31.44-31.44c0-17.36 14.07-31.44 31.44-31.44s31.44 14.08 31.44 31.44C287.4 385.9 273.4 400 256 400z"],
    "circle-exclamation-check": [640, 512, [], "e10d", "M506.5 202.1L480 229.5L461.3 210.7C436.3 185.8 395.7 185.8 370.7 210.7C345.8 235.7 345.8 276.3 370.7 301.3L434.7 365.3C446.7 377.2 462.1 383.4 477.8 383.1C433.5 460.5 350.8 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C379.2 0 482.1 87.04 506.5 202.1H506.5zM280 152C280 138.7 269.3 128 256 128C242.7 128 232 138.7 232 152V264C232 277.3 242.7 288 256 288C269.3 288 280 277.3 280 264V152zM256 384C273.7 384 288 369.7 288 352C288 334.3 273.7 320 256 320C238.3 320 224 334.3 224 352C224 369.7 238.3 384 256 384zM499.8 339.8C488.9 350.7 471.1 350.7 460.2 339.8L396.2 275.8C385.3 264.9 385.3 247.1 396.2 236.2C407.1 225.3 424.9 225.3 435.8 236.2L480 280.4L588.2 172.2C599.1 161.3 616.9 161.3 627.8 172.2C638.7 183.1 638.7 200.9 627.8 211.8L499.8 339.8z"],
    "circle-f": [512, 512, [], "e10e", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM328 176H208v64h88C309.3 240 320 250.8 320 264S309.3 288 296 288H208v72C208 373.3 197.3 384 184 384S160 373.3 160 360v-208C160 138.8 170.8 128 184 128h144C341.3 128 352 138.8 352 152S341.3 176 328 176z"],
    "circle-g": [512, 512, [], "e10f", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM384 274.9c0 1.453-.125 2.922-.4062 4.344c-4.375 23.83-17.56 47.7-37.09 67.27C322.3 370.7 290.2 384 256 384s-66.34-13.31-90.5-37.48c-49.91-49.91-49.91-131.1 0-181C213.4 117.5 293.5 115.3 344 160.6c9.875 8.844 10.72 24.02 1.875 33.89C337 204.4 321.8 205.2 312 196.4c-31.91-28.56-82.34-27.19-112.6 3.062c-31.19 31.2-31.19 81.95 0 113.2c30.19 30.22 82.94 30.22 113.1 0c7.594-7.609 13.69-16 17.91-24.58H280C266.8 288 256 277.3 256 264s10.75-24 24-24h80C373.3 240 384 250.8 384 264V274.9z"],
    "circle-h": [512, 512, [9405, "hospital-symbol"], "f47e", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM368 360c0 13.25-10.75 24-24 24S320 373.3 320 360v-80H192v80C192 373.3 181.3 384 168 384S144 373.3 144 360v-208C144 138.8 154.8 128 168 128S192 138.8 192 152v80h128v-80C320 138.8 330.8 128 344 128s24 10.75 24 24V360z"],
    "circle-half": [512, 512, [], "e110", "M256 480C256 497.7 241.6 512.2 224.1 510C97.75 494.3 0 386.6 0 255.1C0 125.4 97.75 17.69 224.1 1.971C241.6-.2109 256 14.33 256 31.1V480z"],
    "circle-half-stroke": [512, 512, [9680, "adjust"], "f042", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 64V448C362 448 448 362 448 256C448 149.1 362 64 256 64z"],
    "circle-heart": [512, 512, ["heart-circle"], "f4c7", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM233.5 384.2C239.7 390.5 247.9 393.6 256 393.6C264.1 393.6 272.3 390.5 278.5 384.2L380.1 280.1C409.5 251.2 409.5 202.8 380.1 173C350.8 143.2 303.1 143.2 273.7 173L256 191L238.3 173C208.9 143.2 161.2 143.2 131.9 173C102.5 202.8 102.5 251.2 131.9 280.1L233.5 384.2z"],
    "circle-i": [512, 512, [], "e111", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM328 336c13.25 0 24 10.75 24 24S341.3 384 328 384h-144C170.8 384 160 373.3 160 360s10.75-24 24-24h48v-160h-48C170.8 176 160 165.3 160 152S170.8 128 184 128h144C341.3 128 352 138.8 352 152S341.3 176 328 176h-48v160H328z"],
    "circle-info": [512, 512, ["info-circle"], "f05a", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 128c17.67 0 32 14.33 32 32c0 17.67-14.33 32-32 32S224 177.7 224 160C224 142.3 238.3 128 256 128zM296 384h-80C202.8 384 192 373.3 192 360s10.75-24 24-24h16v-64H224c-13.25 0-24-10.75-24-24S210.8 224 224 224h32c13.25 0 24 10.75 24 24v88h16c13.25 0 24 10.75 24 24S309.3 384 296 384z"],
    "circle-j": [512, 512, [], "e112", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM336 290.7C336 342.1 292.9 384 240 384s-96-41.86-96-93.33V280C144 266.8 154.8 256 168 256S192 266.8 192 280v10.67C192 315.7 213.5 336 240 336S288 315.7 288 290.7V152C288 138.8 298.8 128 312 128s24 10.75 24 24V290.7z"],
    "circle-k": [512, 512, [], "e113", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM275.7 242.3l72 104c7.547 10.89 4.828 25.84-6.078 33.39C337.5 382.6 332.7 384 328 384c-7.609 0-15.09-3.609-19.75-10.34L238.9 273.4L208 303.9V360C208 373.3 197.3 384 184 384S160 373.3 160 360v-208C160 138.8 170.8 128 184 128S208 138.8 208 152v84.5l103.2-101.6c9.453-9.297 24.67-9.172 33.94 .25c9.312 9.453 9.188 24.64-.25 33.94l-71.78 70.69C273.9 240.7 275 241.3 275.7 242.3z"],
    "circle-l": [512, 512, [], "e114", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM328 384h-144C170.8 384 160 373.3 160 360v-208C160 138.8 170.8 128 184 128S208 138.8 208 152v184h120c13.25 0 24 10.75 24 24S341.3 384 328 384z"],
    "circle-left": [512, 512, [61840, "arrow-alt-circle-left"], "f359", "M0 256c0 141.4 114.6 256 256 256s256-114.6 256-256c0-141.4-114.6-256-256-256S0 114.6 0 256zM246.1 129.2C252.1 131.7 256 137.5 256 144v64h96c17.67 0 32 14.33 32 32v32c0 17.67-14.33 32-32 32h-96v64c0 6.469-3.891 12.31-9.875 14.78c-5.984 2.484-12.86 1.109-17.44-3.469l-112-112c-6.248-6.248-6.248-16.38 0-22.62l112-112C233.3 128.1 240.1 126.7 246.1 129.2z"],
    "circle-location-arrow": [512, 512, ["location-circle"], "f602", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM353.6 158.5C347.3 152.1 337.8 150.3 329.3 153.8L133.3 237.8C123.8 241.9 118.3 252.3 120.4 262.4C122.5 272.6 131.6 280 141.1 280H232V370C232 380.4 239.4 389.5 249.6 391.6C251.1 391.9 252.6 392 253.1 392C262.8 392 270.7 386.8 274.2 378.7L358.2 182.7C361.8 174.3 359.1 164.8 353.6 158.5V158.5z"],
    "circle-m": [512, 512, [], "e115", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM384 360c0 13.25-10.75 24-24 24s-24-10.75-24-24V226.2l-60.55 83.83c-9.031 12.5-29.88 12.5-38.91 0L176 226.2V360C176 373.3 165.3 384 152 384S128 373.3 128 360v-208c0-10.41 6.719-19.64 16.61-22.83c9.859-3.25 20.75 .3125 26.84 8.781L256 255l84.55-117.1c6.094-8.469 16.89-12.03 26.84-8.781C377.3 132.4 384 141.6 384 152V360z"],
    "circle-microphone": [512, 512, ["microphone-circle"], "e116", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM208 144C208 117.5 229.5 96 256 96s48 21.48 48 48V256c0 26.52-21.48 48-48 48S208 282.5 208 256V144zM384 256c0 65.1-49.03 118.4-112 126.4V400c0 8.837-7.163 16-16 16s-16-7.163-16-16v-17.62C177 374.4 128 321.1 128 256V239.1C128 231.2 135.2 224 143.1 224C152.8 224 160 231.2 159.1 240v13.19c0 47.43 33.21 89.92 80.03 97.51C299.1 360.4 352 314.2 352 256V239.1C352 231.2 359.2 224 368 224S384 231.2 384 239.1V256z"],
    "circle-microphone-lines": [512, 512, ["microphone-circle-alt"], "e117", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM207.1 146c0-26.29 20.26-49.2 46.54-49.98C281.7 95.21 304 116.1 304 144h-32c-8.837 0-16 7.163-16 15.1C256 168.8 263.2 176 272 176h32v32h-32c-8.837 0-16 7.163-16 15.1C256 232.8 263.2 240 272 240h32v13.99c0 26.29-20.26 49.2-46.54 49.99C230.3 304.8 208 283 208 256L207.1 146zM384 256c0 65.1-49.03 118.4-112 126.4V400c0 8.837-7.163 16-16 16s-16-7.163-16-16v-17.62C177 374.4 128 321.1 128 256V239.1C128 231.2 135.2 224 144 224C152.8 224 160 231.2 160 240v13.19C159.1 300.6 193.2 343.1 240 350.7C299.1 360.4 352 314.2 352 256V239.1C352 231.2 359.2 224 368 224S384 231.2 384 239.1V256z"],
    "circle-minus": [512, 512, ["minus-circle"], "f056", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM168 232C154.7 232 144 242.7 144 256C144 269.3 154.7 280 168 280H344C357.3 280 368 269.3 368 256C368 242.7 357.3 232 344 232H168z"],
    "circle-n": [512, 512, [], "e118", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM352 360c0 10.5-6.828 19.78-16.84 22.91C332.8 383.6 330.4 384 328 384c-7.719 0-15.17-3.734-19.73-10.34L208 228.8V360C208 373.3 197.3 384 184 384S160 373.3 160 360v-208c0-10.5 6.828-19.78 16.84-22.91c10.02-3.062 20.94 .6094 26.89 9.25L304 283.2V152C304 138.8 314.8 128 328 128S352 138.8 352 152V360z"],
    "circle-nodes": [512, 512, [], "e4e2", "M380.6 365.6C401.1 379.9 416 404.3 416 432C416 476.2 380.2 512 336 512C291.8 512 256 476.2 256 432C256 423.6 257.3 415.4 259.7 407.8L114.1 280.4C103.8 285.3 92.21 288 80 288C35.82 288 0 252.2 0 208C0 163.8 35.82 128 80 128C101.9 128 121.7 136.8 136.2 151.1L320 77.52C321.3 34.48 356.6 0 400 0C444.2 0 480 35.82 480 80C480 117.9 453.7 149.6 418.4 157.9L380.6 365.6zM156.3 232.2L301.9 359.6C306.9 357.3 312.1 355.4 317.6 354.1L355.4 146.4C351.2 143.6 347.4 140.4 343.8 136.9L159.1 210.5C159.7 218 158.5 225.3 156.3 232.2V232.2z"],
    "circle-notch": [512, 512, [], "f1ce", "M222.7 32.15C227.7 49.08 218.1 66.9 201.1 71.94C121.8 95.55 64 169.1 64 255.1C64 362 149.1 447.1 256 447.1C362 447.1 448 362 448 255.1C448 169.1 390.2 95.55 310.9 71.94C293.9 66.9 284.3 49.08 289.3 32.15C294.4 15.21 312.2 5.562 329.1 10.6C434.9 42.07 512 139.1 512 255.1C512 397.4 397.4 511.1 256 511.1C114.6 511.1 0 397.4 0 255.1C0 139.1 77.15 42.07 182.9 10.6C199.8 5.562 217.6 15.21 222.7 32.15V32.15z"],
    "circle-o": [512, 512, [], "e119", "M256 176C211.9 176 176 211.9 176 256s35.89 80 80 80s80-35.89 80-80S300.1 176 256 176zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 384c-70.58 0-128-57.42-128-128s57.42-128 128-128s128 57.42 128 128S326.6 384 256 384z"],
    "circle-p": [512, 512, [], "e11a", "M280 176H208V256h72C302.1 256 320 238.1 320 216S302.1 176 280 176zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM280 304H208v56C208 373.3 197.3 384 184 384S160 373.3 160 360v-208C160 138.8 170.8 128 184 128h96c48.53 0 88 39.47 88 88S328.5 304 280 304z"],
    "circle-parking": [512, 512, ["parking-circle"], "f615", "M280 320H232V352C232 369.7 217.7 384 200 384C182.3 384 168 369.7 168 352V168C168 145.9 185.9 128 208 128H280C333 128 376 170.1 376 224C376 277 333 320 280 320zM280 256C297.7 256 312 241.7 312 224C312 206.3 297.7 192 280 192H232V256H280zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 64C149.1 64 64 149.1 64 256C64 362 149.1 448 256 448C362 448 448 362 448 256C448 149.1 362 64 256 64z"],
    "circle-pause": [512, 512, [62092, "pause-circle"], "f28b", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM224 191.1v128C224 337.7 209.7 352 192 352S160 337.7 160 320V191.1C160 174.3 174.3 160 191.1 160S224 174.3 224 191.1zM352 191.1v128C352 337.7 337.7 352 320 352S288 337.7 288 320V191.1C288 174.3 302.3 160 319.1 160S352 174.3 352 191.1z"],
    "circle-phone": [512, 512, ["phone-circle"], "e11b", "M256 0c-141.4 0-256 114.6-256 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM383.6 321.5l-11.62 50.39c-1.633 7.125-7.9 12.11-15.24 12.11c-126.1 0-228.7-102.6-228.7-228.8c0-7.328 4.984-13.59 12.11-15.22l50.38-11.62c7.344-1.703 14.88 2.109 17.93 9.062L231.7 191.7c2.719 6.391 .8828 13.83-4.492 18.22L200.3 232c16.99 34.61 45.14 62.75 79.77 79.75l22.02-26.91c4.344-5.391 11.85-7.25 18.24-4.484l54.24 23.25C381.5 306.6 385.3 314.2 383.6 321.5z"],
    "circle-phone-flip": [512, 512, ["phone-circle-alt"], "e11c", "M0 256c0 141.4 114.6 256 256 256s256-114.6 256-256s-114.6-256-256-256C114.6 0 0 114.6 0 256zM137.5 303.6l54.24-23.25c6.391-2.766 13.9-.9062 18.24 4.484l22.02 26.91c34.63-17 62.77-45.14 79.77-79.75L284.8 209.1c-5.375-4.391-7.211-11.83-4.492-18.22l23.27-54.28c3.047-6.953 10.59-10.77 17.93-9.062l50.38 11.62c7.125 1.625 12.11 7.891 12.11 15.22c0 126.1-102.6 228.8-228.7 228.8c-7.336 0-13.6-4.984-15.24-12.11l-11.62-50.39C126.7 314.2 130.5 306.6 137.5 303.6z"],
    "circle-phone-hangup": [512, 512, ["phone-circle-down"], "e11d", "M256 0c-141.4 0-256 114.6-256 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM419.1 256.1L392.5 299.9c-3.988 6.396-11.99 9.015-19.06 6.253l-54.82-21.92c-6.441-2.596-10.41-9.16-9.717-16.06l3.446-34.61C275.9 221.1 236.1 221.1 199.6 233.6l3.447 34.61c.7402 6.885-3.243 13.5-9.717 16.06L138.5 306.2c-7.037 2.797-15.1 .1003-19.06-6.253L92.05 256.1C88.16 249.9 89.06 241.9 94.25 236.7c89.18-89.18 234.3-89.2 323.5 .0002C422.9 241.9 423.8 249.9 419.1 256.1z"],
    "circle-play": [512, 512, [61469, "play-circle"], "f144", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM176 168V344C176 352.7 180.7 360.7 188.3 364.9C195.8 369.2 205.1 369 212.5 364.5L356.5 276.5C363.6 272.1 368 264.4 368 256C368 247.6 363.6 239.9 356.5 235.5L212.5 147.5C205.1 142.1 195.8 142.8 188.3 147.1C180.7 151.3 176 159.3 176 168V168z"],
    "circle-plus": [512, 512, ["plus-circle"], "f055", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 368C269.3 368 280 357.3 280 344V280H344C357.3 280 368 269.3 368 256C368 242.7 357.3 232 344 232H280V168C280 154.7 269.3 144 256 144C242.7 144 232 154.7 232 168V232H168C154.7 232 144 242.7 144 256C144 269.3 154.7 280 168 280H232V344C232 357.3 242.7 368 256 368z"],
    "circle-q": [512, 512, [], "e11e", "M256 176C211.9 176 176 211.9 176 256s35.88 80 80 80c13.31 0 25.67-3.576 36.72-9.344l-29.69-29.69c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0l29.69 29.69C332.4 281.7 336 269.3 336 256C336 211.9 300.1 176 256 176zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM376.1 343c9.375 9.375 9.375 24.56 0 33.94C372.3 381.7 366.2 384 360 384s-12.28-2.344-16.97-7.031l-15.15-15.15C307.4 375.8 282.6 384 256 384c-70.59 0-128-57.42-128-128s57.41-128 128-128s128 57.42 128 128c0 26.63-8.211 51.37-22.19 71.88L376.1 343z"],
    "circle-quarter": [512, 512, [], "e11f", "M31.1 255.1C14.33 255.1-.2112 241.6 1.972 224.1C16.39 108.2 108.2 16.39 224.1 1.971C241.6-.2109 255.1 14.33 255.1 31.1V223.1C255.1 241.7 241.7 255.1 223.1 255.1H31.1z"],
    "circle-quarters": [512, 512, [], "e3f8", "M256 0c-141.4 0-256 114.6-256 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM391.8 391.8L256 256l-135.8 135.8C85.49 357 64 309 64 256s21.49-101 56.23-135.8L256 256l135.8-135.8C426.5 154.1 448 202.1 448 256S426.5 357 391.8 391.8z"],
    "circle-question": [512, 512, [62108, "question-circle"], "f059", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 400c-18 0-32-14-32-32s13.1-32 32-32c17.1 0 32 14 32 32S273.1 400 256 400zM325.1 258L280 286V288c0 13-11 24-24 24S232 301 232 288V272c0-8 4-16 12-21l57-34C308 213 312 206 312 198C312 186 301.1 176 289.1 176h-51.1C225.1 176 216 186 216 198c0 13-11 24-24 24s-24-11-24-24C168 159 199 128 237.1 128h51.1C329 128 360 159 360 198C360 222 347 245 325.1 258z"],
    "circle-r": [512, 512, [], "e120", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM355.4 345.9c7.812 10.72 5.438 25.72-5.281 33.52C345.8 382.5 340.9 384 336 384c-7.438 0-14.75-3.422-19.44-9.891L253.1 288H208v72C208 373.3 197.3 384 184 384S160 373.3 160 360v-208C160 138.8 170.8 128 184 128H288c44.13 0 80 35.89 80 80c0 36.2-24.31 66.5-57.36 76.34L355.4 345.9zM288 176H208v64H288c17.66 0 32-14.36 32-32S305.7 176 288 176z"],
    "circle-radiation": [512, 512, [9762, "radiation-alt"], "f7ba", "M226.4 208.6L184.8 141.9C179.6 133.7 168.3 132 160.7 138.2C130.8 162.3 110.1 197.4 105.1 237.4C103.9 247.2 111.2 256 121 256H200C200 236 210.6 218.6 226.4 208.6zM256 288c17.67 0 32-14.33 32-32s-14.33-32-32-32C238.3 224 224 238.3 224 256S238.3 288 256 288zM285.6 303.3C276.1 308.7 266.9 312 256 312c-10.89 0-20.98-3.252-29.58-8.65l-41.74 66.8c-5.211 8.338-1.613 19.07 7.27 23.29C211.4 402.7 233.1 408 256 408c22.97 0 44.64-5.334 64.12-14.59c8.883-4.219 12.48-14.95 7.262-23.29L285.6 303.3zM351.4 138.2c-7.604-6.145-18.86-4.518-24.04 3.77l-41.71 66.67C301.4 218.6 312 236 312 256h78.96c9.844 0 17.11-8.791 15.91-18.56C401.9 197.5 381.3 162.4 351.4 138.2zM256 16C123.4 16 16 123.4 16 256s107.4 240 240 240c132.6 0 240-107.4 240-240S388.6 16 256 16zM256 432c-97.05 0-176-78.99-176-176S158.1 80 256 80s176 78.95 176 176S353 432 256 432z"],
    "circle-right": [512, 512, [61838, "arrow-alt-circle-right"], "f35a", "M512 256c0-141.4-114.6-256-256-256S0 114.6 0 256c0 141.4 114.6 256 256 256S512 397.4 512 256zM265.9 382.8C259.9 380.3 256 374.5 256 368v-64H160c-17.67 0-32-14.33-32-32v-32c0-17.67 14.33-32 32-32h96v-64c0-6.469 3.891-12.31 9.875-14.78c5.984-2.484 12.86-1.109 17.44 3.469l112 112c6.248 6.248 6.248 16.38 0 22.62l-112 112C278.7 383.9 271.9 385.3 265.9 382.8z"],
    "circle-s": [512, 512, [], "e121", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM350.7 323.9c-3.844 21.47-15.56 38.25-33.94 48.53c-15.16 8.469-32.94 11.58-50.94 11.58c-35.75 0-72.31-12.31-90.63-19.48c-12.34-4.844-18.41-18.78-13.56-31.11c4.844-12.39 18.91-18.33 31.12-13.58c42.06 16.55 82.47 20.8 100.6 10.7c5.781-3.25 8.812-7.75 10.12-15.06c2.812-15.78-3.938-22.45-53.88-36.31c-39.66-11-99.59-27.62-88.31-91c3.375-18.83 14.22-35 30.59-45.55c27.03-17.38 67.84-19.25 121.5-5.562c12.84 3.266 20.59 16.34 17.31 29.19c-3.25 12.84-16.38 20.61-29.19 17.31C248.7 170.1 226.5 177.5 217.9 183c-5.188 3.344-8.312 7.922-9.344 13.61c-2.812 15.78 3.938 22.45 53.88 36.31C302.1 243.9 361.1 260.6 350.7 323.9z"],
    "circle-small": [320, 512, [], "e122", "M320 256C320 344.4 248.4 416 160 416C71.63 416 0 344.4 0 256C0 167.6 71.63 96 160 96C248.4 96 320 167.6 320 256z"],
    "circle-sort": [512, 512, ["sort-circle"], "e030", "M256 0c-141.4 0-256 114.6-256 256s114.6 256 256 256c141.4 0 256-114.6 256-256S397.4 0 256 0zM360.6 319.4l-91.53 91.25C265.6 414 260.9 416 256 416s-9.5-1.1-13-5.375L151.4 319.4C139.9 307.9 148.1 288 164.6 288h182.9C364 288 372.1 307.9 360.6 319.4zM347.5 224H164.6c-16.5 0-24.69-19.88-13.19-31.38L243 101.4C246.5 98 251.1 95.1 256 95.1s9.594 2 13.09 5.375l91.53 91.25C372.1 204.1 364 224 347.5 224z"],
    "circle-sort-down": [512, 512, ["sort-circle-down"], "e031", "M197.3 192h117.3L256.1 133.5L197.3 192zM256 0c-141.4 0-256 114.6-256 256s114.6 256 256 256c141.4 0 256-114.6 256-256S397.4 0 256 0zM360.6 319.4l-91.53 91.25C265.6 414 260.9 416 256 416s-9.5-1.1-13-5.375L151.4 319.4C139.9 307.9 148 288 164.5 288h182.9C363.9 288 372.1 307.9 360.6 319.4zM347.5 223.1h-183c-16.5 0-24.62-19.88-13.12-31.38L243 101.4C246.5 98 251.1 95.1 256 95.1s9.625 2 13.12 5.375l91.5 91.25C372.1 204.1 364 223.1 347.5 223.1z"],
    "circle-sort-up": [512, 512, ["sort-circle-up"], "e032", "M255.9 378.5L314.7 320h-117.3L255.9 378.5zM256 0c-141.4 0-256 114.6-256 256s114.6 256 256 256c141.4 0 256-114.6 256-256S397.4 0 256 0zM360.6 319.4L269 410.6C265.5 414 260.9 416 256 416s-9.625-1.1-13.12-5.375l-91.5-91.25C139.9 307.9 148 288 164.5 288h183C364 288 372.1 307.9 360.6 319.4zM347.5 223.1H164.6c-16.5 0-24.69-19.88-13.19-31.38l91.53-91.25C246.4 98 251.1 95.1 256 95.1s9.5 2 13 5.375l91.63 91.25C372.1 204.1 364 223.1 347.5 223.1z"],
    "circle-star": [512, 512, ["star-circle"], "e123", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM241.7 112.9L205.4 186.4L124.4 198.1C118.3 199 113.3 203.2 111.4 209C109.6 214.8 111.1 221.2 115.5 225.4L174.1 282.6L160.3 363.3C159.3 369.3 161.7 375.4 166.7 378.1C171.6 382.6 178.1 383 183.5 380.2L255.1 342.1L328.5 380.2C333.9 383 340.4 382.6 345.3 378.1C350.3 375.4 352.7 369.3 351.7 363.3L337.9 282.6L396.5 225.4C400.9 221.2 402.4 214.8 400.6 209C398.7 203.2 393.7 199 387.6 198.1L306.6 186.4L270.3 112.9C267.7 107.5 262.1 104 255.1 104C249.9 104 244.3 107.5 241.7 112.9H241.7z"],
    "circle-stop": [512, 512, [62094, "stop-circle"], "f28d", "M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM352 328c0 13.2-10.8 24-24 24h-144C170.8 352 160 341.2 160 328v-144C160 170.8 170.8 160 184 160h144C341.2 160 352 170.8 352 184V328z"],
    "circle-t": [512, 512, [], "e124", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM360 192h-80v168c0 13.25-10.75 24-24 24s-24-10.75-24-24V192h-80C138.8 192 128 181.3 128 168S138.8 144 152 144h208C373.3 144 384 154.8 384 168S373.3 192 360 192z"],
    "circle-three-quarters": [512, 512, [], "e125", "M256 255.1H480C497.7 255.1 512.2 270.4 510 287.9C494.3 414.2 386.6 512 256 512C114.6 512 0 397.4 0 255.1C0 125.4 97.75 17.69 224.1 1.971C241.6-.2109 256 14.33 256 31.1V255.1z"],
    "circle-trash": [512, 512, ["trash-circle"], "e126", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM160 128C151.2 128 144 135.2 144 144C144 152.8 151.2 160 160 160H352C360.8 160 368 152.8 368 144C368 135.2 360.8 128 352 128H310.6L299.3 116.7C296.3 113.7 292.2 112 288 112H224C219.8 112 215.7 113.7 212.7 116.7L201.4 128H160zM160 192L173.6 354.7C174.9 371.2 188.8 384 205.4 384H306.6C323.2 384 337.1 371.2 338.4 354.7L352 192H160z"],
    "circle-u": [512, 512, [], "e127", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM368 290.9C368 351.1 317.8 400 256 400s-112-48.94-112-109.1V168c0-13.25 10.75-24 24-24S192 154.8 192 168v122.9C192 324.6 220.7 352 256 352s64-27.41 64-61.09V168c0-13.25 10.75-24 24-24s24 10.75 24 24V290.9z"],
    "circle-up": [512, 512, [61467, "arrow-alt-circle-up"], "f35b", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256c141.4 0 256-114.6 256-256S397.4 0 256 0zM382.8 246.1C380.3 252.1 374.5 256 368 256h-64v96c0 17.67-14.33 32-32 32h-32c-17.67 0-32-14.33-32-32V256h-64C137.5 256 131.7 252.1 129.2 246.1C126.7 240.1 128.1 233.3 132.7 228.7l112-112c6.248-6.248 16.38-6.248 22.62 0l112 112C383.9 233.3 385.3 240.1 382.8 246.1z"],
    "circle-up-left": [512, 512, [], "e128", "M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM357.8 335.2l-22.63 22.62c-12.5 12.5-32.72 12.54-45.21 .042L222.1 289.9l-45.25 45.25c-4.574 4.574-11.46 5.953-17.44 3.469c-5.988-2.477-9.877-8.309-9.877-14.78v-158.4c0-8.836 7.162-16 15.1-16h158.4c6.475 0 12.31 3.891 14.78 9.875c2.484 5.977 1.104 12.86-3.471 17.44l-45.25 45.25l67.92 67.92C370.4 302.5 370.3 322.7 357.8 335.2z"],
    "circle-up-right": [512, 512, [], "e129", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM362.5 323.9c0 6.473-3.889 12.3-9.877 14.78c-5.979 2.484-12.86 1.105-17.44-3.469l-45.25-45.25L222 357.9c-12.5 12.5-32.72 12.46-45.21-.042l-22.63-22.62c-12.5-12.5-12.54-32.72-.041-45.21l67.92-67.92L176.8 176.8C172.2 172.2 170.8 165.3 173.3 159.4c2.477-5.984 8.309-9.875 14.78-9.875h158.4c8.836 0 15.1 7.164 15.1 16V323.9z"],
    "circle-user": [512, 512, [62142, "user-circle"], "f2bd", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 128c39.77 0 72 32.24 72 72S295.8 272 256 272c-39.76 0-72-32.24-72-72S216.2 128 256 128zM256 448c-52.93 0-100.9-21.53-135.7-56.29C136.5 349.9 176.5 320 224 320h64c47.54 0 87.54 29.88 103.7 71.71C356.9 426.5 308.9 448 256 448z"],
    "circle-v": [512, 512, [], "e12a", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM381.5 178.7l-104 208C273.4 394.9 265.1 400 256 400s-17.41-5.141-21.47-13.27l-104-208C124.6 166.9 129.4 152.5 141.3 146.5c11.92-5.891 26.28-1.125 32.2 10.73L256 322.3l82.53-165.1c5.938-11.86 20.34-16.62 32.2-10.73C382.6 152.5 387.4 166.9 381.5 178.7z"],
    "circle-video": [512, 512, ["video-circle"], "e12b", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM320 328c0 13.25-10.75 24-24 24h-144c-13.25 0-24-10.75-24-24V184c0-13.26 10.75-24 24-24h144c13.25 0 24 10.74 24 24V328zM416 307.4c0 10.2-11.68 16.16-20.16 10.32L352 287.5V224.5l43.84-30.24C404.4 188.4 416 194.4 416 204.6V307.4z"],
    "circle-w": [512, 512, [], "e12c", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM398.9 175.1l-64 208C331.8 393.1 322.5 400 312 400h-.4219c-10.7-.1875-19.97-7.438-22.75-17.77L256 260.3l-32.83 121.9C220.4 392.6 211.1 399.8 200.4 400c-10.73-.0156-20.22-6.734-23.36-16.94l-64-208c-3.906-12.67 3.203-26.11 15.88-30c12.66-3.859 26.09 3.203 30 15.88L198.5 289.4l34.36-127.6C235.6 151.3 245.1 144 256 144s20.36 7.281 23.17 17.77l34.36 127.6l39.53-128.5c3.891-12.67 17.34-19.7 30-15.88C395.7 148.1 402.8 162.4 398.9 175.1z"],
    "circle-waveform-lines": [512, 512, ["waveform-circle"], "e12d", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM160 336C160 344.8 152.8 352 144 352S128 344.8 128 336v-160C128 167.2 135.2 160 144 160S160 167.2 160 176V336zM224 296c0 8.836-7.164 16-16 16S192 304.8 192 296v-80c0-8.838 7.164-16 16-16S224 207.2 224 216V296zM288 360c0 8.836-7.164 16-16 16s-16-7.164-16-16v-208c0-8.838 7.164-16 16-16S288 143.2 288 152V360zM352 312c0 8.836-7.164 16-16 16S320 320.8 320 312v-112c0-8.838 7.164-16 16-16S352 191.2 352 200V312zM416 272C416 280.8 408.8 288 400 288S384 280.8 384 272v-32C384 231.2 391.2 224 400 224S416 231.2 416 240V272z"],
    "circle-x": [512, 512, [], "e12e", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM362.3 344.5c8.562 10.11 7.297 25.27-2.828 33.83C355 382.1 349.5 384 344 384c-6.812 0-13.59-2.891-18.34-8.5L256 293.2L186.3 375.5C181.6 381.1 174.8 384 167.1 384C162.5 384 157 382.1 152.5 378.3c-10.12-8.562-11.39-23.72-2.828-33.83L224.6 256L149.7 167.5C141.1 157.4 142.4 142.2 152.5 133.7C162.6 125.1 177.8 126.4 186.3 136.5L256 218.8l69.67-82.34c8.547-10.12 23.72-11.41 33.83-2.828c10.12 8.562 11.39 23.72 2.828 33.83L287.4 256L362.3 344.5z"],
    "circle-xmark": [512, 512, [61532, "times-circle", "xmark-circle"], "f057", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM175 208.1L222.1 255.1L175 303C165.7 312.4 165.7 327.6 175 336.1C184.4 346.3 199.6 346.3 208.1 336.1L255.1 289.9L303 336.1C312.4 346.3 327.6 346.3 336.1 336.1C346.3 327.6 346.3 312.4 336.1 303L289.9 255.1L336.1 208.1C346.3 199.6 346.3 184.4 336.1 175C327.6 165.7 312.4 165.7 303 175L255.1 222.1L208.1 175C199.6 165.7 184.4 165.7 175 175C165.7 184.4 165.7 199.6 175 208.1V208.1z"],
    "circle-y": [512, 512, [], "e12f", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM378.2 183.6L280 298.2V376c0 13.25-10.75 24-24 24s-24-10.75-24-24V298.2L133.8 183.6C125.2 173.6 126.3 158.4 136.4 149.8c10.08-8.625 25.22-7.438 33.84 2.594L256 252.5l85.78-100.1c8.641-10.05 23.77-11.27 33.84-2.594C385.7 158.4 386.8 173.6 378.2 183.6z"],
    "circle-z": [512, 512, [], "e130", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM328 384h-144c-8.938 0-17.12-4.953-21.25-12.86c-4.156-7.906-3.562-17.47 1.531-24.8L282.2 176H184C170.8 176 160 165.3 160 152S170.8 128 184 128h144c8.938 0 17.12 4.953 21.25 12.86c4.156 7.906 3.562 17.47-1.531 24.8L229.8 336H328c13.25 0 24 10.75 24 24S341.3 384 328 384z"],
    "citrus": [512, 512, [], "e2f4", "M304 128H384c53.02 0 96-42.98 96-96V16C480 7.162 472.8 0 464 0H384c-53.02 0-96 42.98-96 96v16C288 120.8 295.2 128 304 128zM455.3 138.2c-20.39 13.72-44.9 21.76-71.27 21.76h-80c-26.47 0-48-21.54-48-48v-16c0-23.06 6.613-44.42 17.33-63.13C267.6 32.46 261.9 31.1 256 31.1c-132.5 0-240 107.5-240 239.1C16 404.6 123.5 512 256 512s240-107.4 240-240C496 222.5 480.1 176.5 455.3 138.2z"],
    "citrus-slice": [512, 512, [], "e2f5", "M428.2 176c-7.936-42.33-28.29-81.3-59.41-112.4l-16.96-16.96L243.8 154.7C248.4 161 251.7 168.2 253.7 176H428.2zM246.9 224.3l132.6 132.6c33.83-39.15 52.46-88.46 52.46-140.7c0-2.752-.2979-5.451-.3994-8.188H253.7C252.2 213.8 249.9 219.3 246.9 224.3zM425.3 7.031c-9.375-9.375-24.56-9.375-33.94 0L374.4 23.99l16.96 16.96c46.81 46.81 72.59 109 72.59 175.2s-25.78 128.4-72.59 175.2C344.6 438.2 282.4 464 216.2 464c-66.19 0-128.4-25.78-175.2-72.59L24.01 374.4l-16.97 16.98C2.537 395.9 0 402 0 408.4s2.537 12.47 7.037 16.97C62.91 481.2 137.2 512 216.2 512c79.03 0 153.3-30.77 209.2-86.64C481.2 369.5 512 295.2 512 216.2C512 137.2 481.2 62.89 425.3 7.031zM356.9 379.5L244.7 267.4c-.0234-.0234 .0234 .0234 0 0L228.7 251.3c-.0215-.0215 .0215 .0215 0 0L224.3 246.9C219.3 249.9 213.8 252.2 208 253.7v177.9C210.7 431.7 213.4 432 216.2 432C268.4 432 317.8 413.4 356.9 379.5zM176 428.2V253.7C168.2 251.7 161 248.4 154.7 243.8l-108 108l16.96 16.96C94.71 399.9 133.7 420.3 176 428.2z"],
    "city": [640, 512, [127961], "f64f", "M480 192H592C618.5 192 640 213.5 640 240V464C640 490.5 618.5 512 592 512H48C21.49 512 0 490.5 0 464V144C0 117.5 21.49 96 48 96H64V24C64 10.75 74.75 0 88 0C101.3 0 112 10.75 112 24V96H176V24C176 10.75 186.7 0 200 0C213.3 0 224 10.75 224 24V96H288V48C288 21.49 309.5 0 336 0H432C458.5 0 480 21.49 480 48V192zM576 368C576 359.2 568.8 352 560 352H528C519.2 352 512 359.2 512 368V400C512 408.8 519.2 416 528 416H560C568.8 416 576 408.8 576 400V368zM240 416C248.8 416 256 408.8 256 400V368C256 359.2 248.8 352 240 352H208C199.2 352 192 359.2 192 368V400C192 408.8 199.2 416 208 416H240zM128 368C128 359.2 120.8 352 112 352H80C71.16 352 64 359.2 64 368V400C64 408.8 71.16 416 80 416H112C120.8 416 128 408.8 128 400V368zM528 256C519.2 256 512 263.2 512 272V304C512 312.8 519.2 320 528 320H560C568.8 320 576 312.8 576 304V272C576 263.2 568.8 256 560 256H528zM256 176C256 167.2 248.8 160 240 160H208C199.2 160 192 167.2 192 176V208C192 216.8 199.2 224 208 224H240C248.8 224 256 216.8 256 208V176zM80 160C71.16 160 64 167.2 64 176V208C64 216.8 71.16 224 80 224H112C120.8 224 128 216.8 128 208V176C128 167.2 120.8 160 112 160H80zM256 272C256 263.2 248.8 256 240 256H208C199.2 256 192 263.2 192 272V304C192 312.8 199.2 320 208 320H240C248.8 320 256 312.8 256 304V272zM112 320C120.8 320 128 312.8 128 304V272C128 263.2 120.8 256 112 256H80C71.16 256 64 263.2 64 272V304C64 312.8 71.16 320 80 320H112zM416 272C416 263.2 408.8 256 400 256H368C359.2 256 352 263.2 352 272V304C352 312.8 359.2 320 368 320H400C408.8 320 416 312.8 416 304V272zM368 64C359.2 64 352 71.16 352 80V112C352 120.8 359.2 128 368 128H400C408.8 128 416 120.8 416 112V80C416 71.16 408.8 64 400 64H368zM416 176C416 167.2 408.8 160 400 160H368C359.2 160 352 167.2 352 176V208C352 216.8 359.2 224 368 224H400C408.8 224 416 216.8 416 208V176z"],
    "clapperboard": [512, 512, [], "e131", "M326.1 160l127.4-127.4C451.7 32.39 449.9 32 448 32h-86.06l-128 128H326.1zM166.1 160l128-128H201.9l-128 128H166.1zM497.7 56.19L393.9 160H512V96C512 80.87 506.5 67.15 497.7 56.19zM134.1 32H64C28.65 32 0 60.65 0 96v64h6.062L134.1 32zM0 416c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V192H0V416z"],
    "clapperboard-play": [512, 512, [], "e132", "M134.1 32H64C28.65 32 0 60.65 0 96v64h6.062L134.1 32zM326.1 160l127.4-127.4C451.7 32.39 449.9 32 448 32h-86.06l-128 128H326.1zM166.1 160l128-128H201.9l-128 128H166.1zM0 416c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V192H0V416zM208 267c0-4.01 2.104-7.705 5.5-9.656c3.375-1.918 7.562-1.832 10.81 .3027l106.7 68.97C334.1 328.7 336 332.2 336 335.1s-1.896 7.338-5.021 9.354l-106.7 68.97C222.6 415.4 220.6 416 218.7 416c-1.77 0-3.559-.4648-5.163-1.379C210.1 412.7 208 408.1 208 404.1V267zM497.7 56.19L393.9 160H512V96C512 80.87 506.5 67.15 497.7 56.19z"],
    "clarinet": [640, 512, [], "f8ad", "M631.6 129.9c-5.219-2.781-11.53-2.5-16.44 .7969L571.2 160L480 159.1V127.1h16c8.801 0 16-7.201 16-15.1C512 103.2 504.8 96 496 96h-256C231.2 96 224 103.2 224 111.1c0 8.799 7.199 15.1 16 15.1H256v31.1L101.3 159.1c-3.5 0-6.875 .4995-10.12 1.625L11 188.4C4.375 190.5 0 196.6 0 203.5v73c0 6.875 4.375 13 11 15.12l80.13 26.75c3.25 1.125 6.625 1.623 10.12 1.623L571.2 320l43.97 29.31C617.8 351.1 620.9 352 624 352c2.594 0 5.188-.625 7.562-1.891C636.8 347.3 640 341.9 640 336v-192C640 138.1 636.8 132.7 631.6 129.9zM384 127.1h64v31.1l-64 .0002V127.1zM288 127.1h64v31.1L288 159.1V127.1zM272 264c-13.25 0-24-10.75-24-24S258.8 216 272 216S296 226.8 296 240S285.3 264 272 264zM368 264c-13.25 0-24-10.75-24-24s10.75-24 24-24s24 10.75 24 24S381.3 264 368 264zM464 264c-13.25 0-24-10.75-24-24s10.75-24 24-24s24 10.75 24 24S477.3 264 464 264z"],
    "claw-marks": [576, 512, [], "f6c2", "M41.37 9.373C53.87-3.124 74.13-3.124 86.63 9.373L534.6 457.4C547.1 469.9 547.1 490.1 534.6 502.6C522.1 515.1 501.9 515.1 489.4 502.6L434.7 448H384C366.3 448 352 433.7 352 416V365.3L210.7 224H160C142.3 224 128 209.7 128 192V141.3L41.37 54.63C28.88 42.13 28.88 21.87 41.37 9.372L41.37 9.373zM41.37 233.4C53.87 220.9 74.13 220.9 86.63 233.4L310.6 457.4C323.1 469.9 323.1 490.1 310.6 502.6C298.1 515.1 277.9 515.1 265.4 502.6L210.7 448H128C110.3 448 96 433.7 96 416V333.3L41.37 278.6C28.88 266.1 28.88 245.9 41.37 233.4L41.37 233.4zM566.6 265.4C579.1 277.9 579.1 298.1 566.6 310.6C554.1 323.1 533.9 323.1 521.4 310.6L498.7 288H448C430.3 288 416 273.7 416 256V205.3L370.7 160H320C302.3 160 288 145.7 288 128V77.25L265.4 54.63C252.9 42.13 252.9 21.87 265.4 9.372C277.9-3.124 298.1-3.124 310.6 9.372L566.6 265.4z"],
    "clipboard": [384, 512, [128203], "f328", "M336 64h-53.88C268.9 26.8 233.7 0 192 0S115.1 26.8 101.9 64H48C21.5 64 0 85.48 0 112v352C0 490.5 21.5 512 48 512h288c26.5 0 48-21.48 48-48v-352C384 85.48 362.5 64 336 64zM192 64c17.67 0 32 14.33 32 32c0 17.67-14.33 32-32 32S160 113.7 160 96C160 78.33 174.3 64 192 64zM272 224h-160C103.2 224 96 216.8 96 208C96 199.2 103.2 192 112 192h160C280.8 192 288 199.2 288 208S280.8 224 272 224z"],
    "clipboard-check": [384, 512, [], "f46c", "M336 64h-53.88C268.9 26.8 233.7 0 192 0S115.1 26.8 101.9 64H48C21.5 64 0 85.48 0 112v352C0 490.5 21.5 512 48 512h288c26.5 0 48-21.48 48-48v-352C384 85.48 362.5 64 336 64zM192 64c17.67 0 32 14.33 32 32s-14.33 32-32 32S160 113.7 160 96S174.3 64 192 64zM282.9 262.8l-88 112c-4.047 5.156-10.02 8.438-16.53 9.062C177.6 383.1 176.8 384 176 384c-5.703 0-11.25-2.031-15.62-5.781l-56-48c-10.06-8.625-11.22-23.78-2.594-33.84c8.609-10.06 23.77-11.22 33.84-2.594l36.98 31.69l72.52-92.28c8.188-10.44 23.3-12.22 33.7-4.062C289.3 237.3 291.1 252.4 282.9 262.8z"],
    "clipboard-list": [384, 512, [], "f46d", "M336 64h-53.88C268.9 26.8 233.7 0 192 0S115.1 26.8 101.9 64H48C21.5 64 0 85.48 0 112v352C0 490.5 21.5 512 48 512h288c26.5 0 48-21.48 48-48v-352C384 85.48 362.5 64 336 64zM96 392c-13.25 0-24-10.75-24-24S82.75 344 96 344s24 10.75 24 24S109.3 392 96 392zM96 296c-13.25 0-24-10.75-24-24S82.75 248 96 248S120 258.8 120 272S109.3 296 96 296zM192 64c17.67 0 32 14.33 32 32c0 17.67-14.33 32-32 32S160 113.7 160 96C160 78.33 174.3 64 192 64zM304 384h-128C167.2 384 160 376.8 160 368C160 359.2 167.2 352 176 352h128c8.801 0 16 7.199 16 16C320 376.8 312.8 384 304 384zM304 288h-128C167.2 288 160 280.8 160 272C160 263.2 167.2 256 176 256h128C312.8 256 320 263.2 320 272C320 280.8 312.8 288 304 288z"],
    "clipboard-list-check": [384, 512, [], "f737", "M336 64h-53.88C268.9 26.8 233.7 0 192 0S115.1 26.8 101.9 64H48C21.5 64 0 85.48 0 112v352C0 490.5 21.5 512 48 512h288c26.5 0 48-21.48 48-48v-352C384 85.48 362.5 64 336 64zM192 64c17.67 0 32 14.33 32 32c0 17.67-14.33 32-32 32S160 113.7 160 96C160 78.33 174.3 64 192 64zM96 392c-13.25 0-24-10.75-24-24S82.75 344 96 344s24 10.75 24 24S109.3 392 96 392zM112 288C107.9 288 103.8 286.4 100.7 283.3l-32-32c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0L112 249.4l52.69-52.69c6.25-6.25 16.38-6.25 22.62 0s6.25 16.38 0 22.62l-64 64C120.2 286.4 116.1 288 112 288zM304 384h-128C167.2 384 160 376.8 160 368C160 359.2 167.2 352 176 352h128c8.801 0 16 7.199 16 16C320 376.8 312.8 384 304 384zM304 288h-96C199.2 288 192 280.8 192 272C192 263.2 199.2 256 208 256h96C312.8 256 320 263.2 320 272C320 280.8 312.8 288 304 288z"],
    "clipboard-medical": [384, 512, [], "e133", "M336 64h-53.88C268.9 26.8 233.7 0 192 0S115.1 26.8 101.9 64H48C21.5 64 0 85.48 0 112v352C0 490.5 21.5 512 48 512h288c26.5 0 48-21.48 48-48v-352C384 85.48 362.5 64 336 64zM192 64c17.67 0 32 14.33 32 32c0 17.67-14.33 32-32 32S160 113.7 160 96C160 78.33 174.3 64 192 64zM288 336c0 8.799-7.199 16-16 16H224v48c0 8.799-7.199 16-16 16h-32C167.2 416 160 408.8 160 400V352H112C103.2 352 96 344.8 96 336v-32C96 295.2 103.2 288 112 288H160V240C160 231.2 167.2 224 176 224h32C216.8 224 224 231.2 224 240V288h48C280.8 288 288 295.2 288 304V336z"],
    "clipboard-prescription": [384, 512, [], "f5e8", "M176 240H128v32h48C184.9 272 192 264.9 192 256S184.9 240 176 240zM336 64h-53.88C268.9 26.8 233.7 0 192 0S115.1 26.8 101.9 64H48C21.5 64 0 85.48 0 112v352C0 490.5 21.5 512 48 512h288c26.5 0 48-21.48 48-48v-352C384 85.48 362.5 64 336 64zM192 64c17.67 0 32 14.33 32 32c0 17.67-14.33 32-32 32S160 113.7 160 96C160 78.33 174.3 64 192 64zM304 432l-11.25 11.25c-6.25 6.25-16.5 6.25-22.75 0L240 413.3l-30 30c-6.25 6.25-16.5 6.25-22.75 0L176 432c-6.25-6.25-6.25-16.38 0-22.62l29.1-30.12L146.8 320H128v48C128 376.9 120.9 384 112 384H96c-8.875 0-16-7.125-16-16v-160C80 199.1 87.13 192 96 192h80c35.38 0 64 28.62 64 64c0 24.25-13.62 45-33.5 55.88L240 345.4l29.88-29.88c6.25-6.25 16.38-6.25 22.62 0l11.38 11.25c6.25 6.25 6.25 16.38 0 22.62l-30 30L304 409.4C310.3 415.6 310.3 425.8 304 432z"],
    "clipboard-question": [384, 512, [], "e4e3", "M282.5 64H320C355.3 64 384 92.65 384 128V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H101.5C114.6 26.71 150.2 0 192 0C233.8 0 269.4 26.71 282.5 64zM192 128C209.7 128 224 113.7 224 96C224 78.33 209.7 64 192 64C174.3 64 160 78.33 160 96C160 113.7 174.3 128 192 128zM105.4 230.5C100.9 243 107.5 256.7 119.1 261.2C132.5 265.6 146.2 259.1 150.6 246.6L151.1 245.3C152.2 242.1 155.2 240 158.6 240H216.9C225.2 240 232 246.8 232 255.1C232 260.6 229.1 265.6 224.4 268.3L180.1 293.7C172.6 298 168 305.9 168 314.5V328C168 341.3 178.7 352 192 352C205.1 352 215.8 341.5 215.1 328.4L248.3 309.9C267.9 298.7 280 277.8 280 255.1C280 220.3 251.7 192 216.9 192H158.6C134.9 192 113.8 206.9 105.8 229.3L105.4 230.5zM192 384C174.3 384 160 398.3 160 416C160 433.7 174.3 448 192 448C209.7 448 224 433.7 224 416C224 398.3 209.7 384 192 384z"],
    "clipboard-user": [384, 512, [], "f7f3", "M336 64h-53.88C268.9 26.8 233.7 0 192 0S115.1 26.8 101.9 64H48C21.5 64 0 85.48 0 112v352C0 490.5 21.5 512 48 512h288c26.5 0 48-21.48 48-48v-352C384 85.48 362.5 64 336 64zM192 64c17.67 0 32 14.33 32 32c0 17.67-14.33 32-32 32S160 113.7 160 96C160 78.33 174.3 64 192 64zM192 192c35.35 0 64 28.65 64 64s-28.65 64-64 64S128 291.3 128 256S156.7 192 192 192zM288 448H96c-8.836 0-16-7.164-16-16C80 387.8 115.8 352 160 352h64c44.18 0 80 35.82 80 80C304 440.8 296.8 448 288 448z"],
    "clock": [512, 512, [128339, "clock-four"], "f017", "M256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM232 256C232 264 236 271.5 242.7 275.1L338.7 339.1C349.7 347.3 364.6 344.3 371.1 333.3C379.3 322.3 376.3 307.4 365.3 300L280 243.2V120C280 106.7 269.3 96 255.1 96C242.7 96 231.1 106.7 231.1 120L232 256z"],
    "clock-desk": [448, 512, [], "e134", "M448 224C448 347.7 347.7 448 224 448C100.3 448 0 347.7 0 224C0 100.3 100.3 0 224 0C347.7 0 448 100.3 448 224zM200 120V224C200 230.4 202.5 236.5 207 240.1L255 288.1C264.4 298.3 279.6 298.3 288.1 288.1C298.3 279.6 298.3 264.4 288.1 255L248 214.1V120C248 106.7 237.3 96 224 96C210.7 96 200 106.7 200 120V120zM224 480C320.4 480 404.3 426.7 448 348V464C448 490.5 426.5 512 400 512H48C21.49 512 0 490.5 0 464V348C43.67 426.7 127.6 480 224 480z"],
    "clock-eight": [512, 512, [], "e345", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM280 120C280 106.7 269.3 96 256 96C242.7 96 232 106.7 232 120V243.2L146.7 300C135.7 307.4 132.7 322.3 140 333.3C147.4 344.3 162.3 347.3 173.3 339.1L269.3 275.1C275.1 271.5 280 264 280 255.1L280 120z"],
    "clock-eight-thirty": [512, 512, [], "e346", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM232 392C232 405.3 242.7 416 256 416C269.3 416 280 405.3 280 392V256C280 247.1 275.1 239 267.3 234.8C259.5 230.7 250.1 231.1 242.7 236L146.7 300C135.7 307.4 132.7 322.3 140 333.3C147.4 344.3 162.3 347.3 173.3 339.1L231.1 300.8L232 392z"],
    "clock-eleven": [512, 512, [], "e347", "M256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM232 176.7L211.1 146.7C204.6 135.7 189.7 132.7 178.7 140C167.7 147.4 164.7 162.3 172 173.3L236 269.3C241.9 278.1 252.8 282 262.1 278.1C273.1 275.9 280 266.6 280 256V120C280 106.7 269.3 96 256 96C242.7 96 232 106.7 232 120L232 176.7z"],
    "clock-eleven-thirty": [512, 512, [], "e348", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM232 392C232 405.3 242.7 416 256 416C269.3 416 280 405.3 280 392V256C280 251.3 278.6 246.6 275.1 242.7L211.1 146.7C204.6 135.7 189.7 132.7 178.7 140C167.7 147.4 164.7 162.3 172 173.3L232 263.3L232 392z"],
    "clock-five": [512, 512, [], "e349", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM280 120C280 106.7 269.3 96 256 96C242.7 96 232 106.7 232 120V256C232 260.7 233.4 265.4 236 269.3L300 365.3C307.4 376.3 322.3 379.3 333.3 371.1C344.3 364.6 347.3 349.7 339.1 338.7L280 248.7L280 120z"],
    "clock-five-thirty": [512, 512, [], "e34a", "M256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM280 335.3L300 365.3C307.4 376.3 322.3 379.3 333.3 371.1C344.3 364.6 347.3 349.7 339.1 338.7L275.1 242.7C270.1 233.9 259.2 229.1 249 233C238.9 236.1 231.1 245.4 231.1 256V392C231.1 405.3 242.7 416 255.1 416C269.3 416 280 405.3 280 392L280 335.3z"],
    "clock-four-thirty": [512, 512, [], "e34b", "M256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM280 300.8L338.7 339.1C349.7 347.3 364.6 344.3 371.1 333.3C379.3 322.3 376.3 307.4 365.3 300L269.3 236C261.9 231.1 252.5 230.7 244.7 234.8C236.9 239 231.1 247.1 231.1 256V392C231.1 405.3 242.7 416 255.1 416C269.3 416 280 405.3 280 392L280 300.8z"],
    "clock-nine": [512, 512, [], "e34c", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM280 120C280 106.7 269.3 96 256 96C242.7 96 232 106.7 232 120V232H152C138.7 232 128 242.7 128 256C128 269.3 138.7 280 152 280H256C269.3 280 280 269.3 280 256V120z"],
    "clock-nine-thirty": [512, 512, [], "e34d", "M256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM280 256C280 242.7 269.3 232 256 232H152C138.7 232 128 242.7 128 256C128 269.3 138.7 280 152 280H232V392C232 405.3 242.7 416 256 416C269.3 416 280 405.3 280 392V256z"],
    "clock-one": [512, 512, [], "e34e", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM280 120C280 106.7 269.3 96 256 96C242.7 96 232 106.7 232 120V256C232 266.6 238.9 275.9 249 278.1C259.2 282 270.1 278.1 275.1 269.3L339.1 173.3C347.3 162.3 344.3 147.4 333.3 140C322.3 132.7 307.4 135.7 300 146.7L280 176.7L280 120z"],
    "clock-one-thirty": [512, 512, [], "e34f", "M256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM280 263.3L339.1 173.3C347.3 162.3 344.3 147.4 333.3 140C322.3 132.7 307.4 135.7 300 146.7L236 242.7C233.4 246.6 232 251.3 232 256V392C232 405.3 242.7 416 256 416C269.3 416 280 405.3 280 392L280 263.3z"],
    "clock-rotate-left": [512, 512, ["history"], "f1da", "M256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C201.7 512 151.2 495 109.7 466.1C95.2 455.1 91.64 436 101.8 421.5C111.9 407 131.8 403.5 146.3 413.6C177.4 435.3 215.2 448 256 448C362 448 448 362 448 256C448 149.1 362 64 256 64C202.1 64 155 85.46 120.2 120.2L151 151C166.1 166.1 155.4 192 134.1 192H24C10.75 192 0 181.3 0 168V57.94C0 36.56 25.85 25.85 40.97 40.97L74.98 74.98C121.3 28.69 185.3 0 255.1 0L256 0zM256 128C269.3 128 280 138.7 280 152V246.1L344.1 311C354.3 320.4 354.3 335.6 344.1 344.1C335.6 354.3 320.4 354.3 311 344.1L239 272.1C234.5 268.5 232 262.4 232 256V152C232 138.7 242.7 128 256 128V128z"],
    "clock-seven": [512, 512, [], "e350", "M256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM232 248.7L172 338.7C164.7 349.7 167.7 364.6 178.7 371.1C189.7 379.3 204.6 376.3 211.1 365.3L275.1 269.3C278.6 265.4 280 260.7 280 256V120C280 106.7 269.3 96 255.1 96C242.7 96 231.1 106.7 231.1 120L232 248.7z"],
    "clock-seven-thirty": [512, 512, [], "e351", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM232 392C232 405.3 242.7 416 256 416C269.3 416 280 405.3 280 392V256C280 245.4 273.1 236.1 262.1 233C252.8 229.1 241.9 233.9 236 242.7L172 338.7C164.7 349.7 167.7 364.6 178.7 371.1C189.7 379.3 204.6 376.3 211.1 365.3L231.1 335.3L232 392z"],
    "clock-six": [512, 512, [], "e352", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM280 120C280 106.7 269.3 96 256 96C242.7 96 232 106.7 232 120V360C232 373.3 242.7 384 256 384C269.3 384 280 373.3 280 360V120z"],
    "clock-six-thirty": [512, 512, [], "e353", "M256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM280 256C280 242.7 269.3 232 256 232C242.7 232 232 242.7 232 256V392C232 405.3 242.7 416 256 416C269.3 416 280 405.3 280 392V256z"],
    "clock-ten": [512, 512, [], "e354", "M256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM232 211.2L173.3 172C162.3 164.7 147.4 167.7 140 178.7C132.7 189.7 135.7 204.6 146.7 211.1L242.7 275.1C250.1 280.9 259.5 281.3 267.3 277.2C275.1 272.1 280 264.9 280 255.1V119.1C280 106.7 269.3 95.1 256 95.1C242.7 95.1 232 106.7 232 119.1L232 211.2z"],
    "clock-ten-thirty": [512, 512, [], "e355", "M256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM280 256C280 247.1 275.1 240.5 269.3 236L173.3 172C162.3 164.7 147.4 167.7 140 178.7C132.7 189.7 135.7 204.6 146.7 211.1L232 268.8V392C232 405.3 242.7 416 256 416C269.3 416 280 405.3 280 392L280 256z"],
    "clock-three": [512, 512, [], "e356", "M256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM232 256C232 269.3 242.7 280 256 280H360C373.3 280 384 269.3 384 256C384 242.7 373.3 232 360 232H280V120C280 106.7 269.3 96 256 96C242.7 96 232 106.7 232 120V256z"],
    "clock-three-thirty": [512, 512, [], "e357", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM232 392C232 405.3 242.7 416 256 416C269.3 416 280 405.3 280 392V280H360C373.3 280 384 269.3 384 256C384 242.7 373.3 232 360 232H256C242.7 232 232 242.7 232 256V392z"],
    "clock-twelve": [512, 512, [], "e358", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM280 120C280 106.7 269.3 96 256 96C242.7 96 232 106.7 232 120V256C232 269.3 242.7 280 256 280C269.3 280 280 269.3 280 256V120z"],
    "clock-twelve-thirty": [512, 512, [], "e359", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM280 152C280 138.7 269.3 128 256 128C242.7 128 232 138.7 232 152V392C232 405.3 242.7 416 256 416C269.3 416 280 405.3 280 392V152z"],
    "clock-two": [512, 512, [], "e35a", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM280 120C280 106.7 269.3 96 256 96C242.7 96 232 106.7 232 120V256C232 264.9 236.9 272.1 244.7 277.2C252.5 281.3 261.9 280.9 269.3 275.1L365.3 211.1C376.3 204.6 379.3 189.7 371.1 178.7C364.6 167.7 349.7 164.7 338.7 172L280 211.2L280 120z"],
    "clock-two-thirty": [512, 512, [], "e35b", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM232 392C232 405.3 242.7 416 256 416C269.3 416 280 405.3 280 392V268.8L365.3 211.1C376.3 204.6 379.3 189.7 371.1 178.7C364.6 167.7 349.7 164.7 338.7 172L242.7 236C236 240.5 232 247.1 232 256L232 392z"],
    "clone": [512, 512, [], "f24d", "M0 224C0 188.7 28.65 160 64 160H128V288C128 341 170.1 384 224 384H352V448C352 483.3 323.3 512 288 512H64C28.65 512 0 483.3 0 448V224zM224 352C188.7 352 160 323.3 160 288V64C160 28.65 188.7 0 224 0H448C483.3 0 512 28.65 512 64V288C512 323.3 483.3 352 448 352H224z"],
    "closed-captioning": [576, 512, [], "f20a", "M512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM168.6 289.9c18.69 18.72 49.19 18.72 67.87 0c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94c-18.72 18.72-43.28 28.08-67.87 28.08s-49.16-9.359-67.87-28.08C116.5 305.8 106.5 281.6 106.5 256s9.1-49.75 28.12-67.88c37.44-37.44 98.31-37.44 135.7 0c9.375 9.375 9.375 24.56 0 33.94s-24.56 9.375-33.94 0c-18.69-18.72-49.19-18.72-67.87 0C159.5 231.1 154.5 243.2 154.5 256S159.5 280.9 168.6 289.9zM360.6 289.9c18.69 18.72 49.19 18.72 67.87 0c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94c-18.72 18.72-43.28 28.08-67.87 28.08s-49.16-9.359-67.87-28.08C308.5 305.8 298.5 281.6 298.5 256s9.1-49.75 28.12-67.88c37.44-37.44 98.31-37.44 135.7 0c9.375 9.375 9.375 24.56 0 33.94s-24.56 9.375-33.94 0c-18.69-18.72-49.19-18.72-67.87 0C351.5 231.1 346.5 243.2 346.5 256S351.5 280.9 360.6 289.9z"],
    "closed-captioning-slash": [640, 512, [], "e135", "M630.8 469.1l-30.73-24.09C604.7 436.2 608 426.6 608 416V95.1c0-35.35-28.65-64-64-64L96 31.1c-6.645 0-12.96 1.176-18.96 3.073L38.81 5.111C34.41 1.673 29.19-.0001 24.03-.0001c-7.125 0-14.19 3.158-18.91 9.189c-8.188 10.44-6.37 25.53 4.068 33.7l591.1 463.1c10.5 8.203 25.57 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1zM306.9 215.3L237 160.5C260.8 161 284.3 170 302.4 188.1C309.8 195.5 311.1 206.4 306.9 215.3zM494.4 323.9c-7.732 7.732-16.62 13.47-25.93 18.01l-50.48-39.56c14.99 2.729 30.92-.8157 42.47-12.38c9.375-9.375 24.56-9.375 33.94 0S503.8 314.5 494.4 323.9zM494.4 222.1c-9.375 9.375-24.56 9.375-33.94 0c-18.69-18.72-49.19-18.72-67.88 0c-9.062 9.063-14.06 21.12-14.06 33.94c0 6.338 1.243 12.49 3.577 18.19l-49.26-38.61c3.857-17.83 12.61-34.25 25.81-47.45c37.44-37.44 98.31-37.44 135.8 0C503.8 197.5 503.8 212.7 494.4 222.1zM234.5 351.1c-24.59 0-49.16-9.359-67.88-28.08C148.5 305.8 138.5 281.6 138.5 256c0-15.09 3.841-29.46 10.38-42.58L32 121.8v294.2c0 35.35 28.65 64 64 64l393.1 .0002L296.3 328.9C278.4 343.1 256.6 351.1 234.5 351.1zM256.6 297.8L188.2 244.2C187.2 248 186.5 251.9 186.5 256c0 12.81 5 24.88 14.06 33.94C215.8 305.2 238.5 307.3 256.6 297.8z"],
    "clothes-hanger": [640, 512, [], "e136", "M607.2 377l-236.5-157.7l8.125-5.656C412.1 190.6 432 152.5 432 112C432 50.25 381.8 0 320 0C266.9 0 220.8 37.69 210.2 89.66c-3.5 17.31 7.688 34.19 25.03 37.72C252.5 130.8 269.4 119.7 272.1 102.3C277.5 80.13 297.3 64 320 64c26.47 0 48 21.53 48 48c0 19.59-9.594 37.97-25.69 49.13l-310.7 216.2C11.81 391.1 0 413.7 0 438.3C0 478.9 33.06 512 73.69 512h492.6C606.9 512 640 478.9 640 438.3C640 413.6 627.7 390.7 607.2 377zM566.3 448H73.69C68.34 448 64 443.7 64 437.8c0-3.156 1.562-6.156 4.156-7.938l246.1-171.2l257.5 171.6C574.4 432.1 576 435.1 576 438.3C576 443.7 571.7 448 566.3 448z"],
    "cloud": [640, 512, [9729], "f0c2", "M96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32C315.3 32 367 64.25 394.7 112.2C409.9 101.1 428.3 96 448 96C501 96 544 138.1 544 192C544 204.2 541.7 215.8 537.6 226.6C596 238.4 640 290.1 640 352C640 422.7 582.7 480 512 480H144C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1z"],
    "cloud-arrow-down": [640, 512, [62337, "cloud-download", "cloud-download-alt"], "f0ed", "M144 480C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32C315.3 32 367 64.25 394.7 112.2C409.9 101.1 428.3 96 448 96C501 96 544 138.1 544 192C544 204.2 541.7 215.8 537.6 226.6C596 238.4 640 290.1 640 352C640 422.7 582.7 480 512 480H144zM303 392.1C312.4 402.3 327.6 402.3 336.1 392.1L416.1 312.1C426.3 303.6 426.3 288.4 416.1 279C407.6 269.7 392.4 269.7 383 279L344 318.1V184C344 170.7 333.3 160 320 160C306.7 160 296 170.7 296 184V318.1L256.1 279C247.6 269.7 232.4 269.7 223 279C213.7 288.4 213.7 303.6 223 312.1L303 392.1z"],
    "cloud-arrow-up": [640, 512, [62338, "cloud-upload", "cloud-upload-alt"], "f0ee", "M144 480C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32C315.3 32 367 64.25 394.7 112.2C409.9 101.1 428.3 96 448 96C501 96 544 138.1 544 192C544 204.2 541.7 215.8 537.6 226.6C596 238.4 640 290.1 640 352C640 422.7 582.7 480 512 480H144zM223 263C213.7 272.4 213.7 287.6 223 296.1C232.4 306.3 247.6 306.3 256.1 296.1L296 257.9V392C296 405.3 306.7 416 320 416C333.3 416 344 405.3 344 392V257.9L383 296.1C392.4 306.3 407.6 306.3 416.1 296.1C426.3 287.6 426.3 272.4 416.1 263L336.1 183C327.6 173.7 312.4 173.7 303 183L223 263z"],
    "cloud-bolt": [512, 512, [127785, "thunderstorm"], "f76c", "M352 351.1h-71.25l47.44-105.4c3.062-6.781 1.031-14.81-4.906-19.31c-5.969-4.469-14.22-4.312-19.94 .4687l-153.6 128c-5.156 4.312-7.094 11.41-4.781 17.72c2.281 6.344 8.281 10.56 15.03 10.56h71.25l-47.44 105.4c-3.062 6.781-1.031 14.81 4.906 19.31C191.6 510.9 194.1 512 198.4 512c3.656 0 7.281-1.25 10.25-3.719l153.6-128c5.156-4.312 7.094-11.41 4.781-17.72C364.8 356.2 358.8 351.1 352 351.1zM416 128c-.625 0-1.125 .25-1.625 .25C415.5 123 416 117.6 416 112C416 67.75 380.3 32 336 32c-24.62 0-46.25 11.25-61 28.75C256.4 24.75 219.3 0 176 0C114.1 0 64 50.13 64 112c0 7.25 .75 14.25 2.125 21.25C27.75 145.8 0 181.5 0 224c0 53 43 96 96 96h46.63l140.2-116.8c8.605-7.195 19.53-11.16 30.76-11.16c10.34 0 20.6 3.416 29.03 9.734c17.96 13.61 24.02 37.45 14.76 57.95L330.2 320H416c53 0 96-43 96-96S469 128 416 128z"],
    "cloud-bolt-moon": [576, 512, ["thunderstorm-moon"], "f76d", "M350.6 225.5C343.7 188.3 311.3 160 272.1 160C259.8 160 248.2 163 237.8 168C220.3 143.9 192.2 128 160 128C107 128 64.02 171 64.02 224c0 .5 .25 1.125 .25 1.625C27.63 232.9 0 265.3 0 304c0 38.93 27.7 71.22 64.5 78.44c.4609-13.03 5.756-25.72 15.9-34.56L208.3 235.9C217.1 228.2 228.3 224 239.1 224C250.2 224 259.9 227.2 268.2 233.2c18.23 13.27 24.76 36.1 15.89 57.71l-19.33 45.09h7.195c19.88 0 37.94 12.51 44.92 31.11C318.1 372.6 319.7 378.3 319.7 384h16.32c44.26 0 80.02-35.74 80.02-79.99C416.1 264.8 387.9 232.3 350.6 225.5zM567.9 223.8C497.6 237.1 432.9 183.5 432.9 113c0-40.63 21.88-78 57.5-98.13c5.502-3.125 4.125-11.38-2.125-12.5C479.7 .75 470.8 0 461.8 0c-77.88 0-141 61.25-144.4 137.9c26.75 11.88 48.26 33.88 58.88 61.75c37.13 14.25 64.01 47.38 70.26 86.75c5.125 .5 10 1.5 15.26 1.5c44.63 0 85.5-20.12 112.5-53.25C578.6 229.8 574.2 222.6 567.9 223.8zM272 368H216.3l38.45-89.7c2.938-6.859 .7187-14.84-5.312-19.23c-6.096-4.422-14.35-4.031-19.94 .8906l-128 111.1c-5.033 4.391-6.783 11.44-4.439 17.67c2.346 6.25 8.314 10.38 14.97 10.38H167.7l-38.45 89.7c-2.938 6.859-.7187 14.84 5.312 19.23C137.4 510.1 140.7 512 143.1 512c3.781 0 7.531-1.328 10.53-3.953l128-111.1c5.033-4.391 6.783-11.44 4.439-17.67C284.6 372.1 278.7 368 272 368z"],
    "cloud-bolt-sun": [640, 512, ["thunderstorm-sun"], "f76e", "M464 368H408.3l38.45-89.7c2.938-6.859 .7187-14.84-5.312-19.23c-6.096-4.422-14.35-4.031-19.94 .8906l-128 111.1c-5.033 4.391-6.783 11.44-4.439 17.67c2.346 6.25 8.314 10.38 14.97 10.38h55.73l-38.45 89.7c-2.938 6.859-.7187 14.84 5.312 19.23C329.4 510.1 332.7 512 335.1 512c3.781 0 7.531-1.328 10.53-3.953l128-111.1c5.033-4.391 6.783-11.44 4.439-17.67C476.6 372.1 470.7 368 464 368zM156.1 259.8c-37.38-37.38-37.38-98.25 0-135.8c34.63-34.63 89.13-36.88 126.6-7.375c20-13 43.63-20.75 69.25-20.75c.75 0 1.25 .25 2 .25l8.875-26.75c3.375-10.25-6.25-19.75-16.5-16.38L271.1 78.22l-35.5-71c-4.875-9.625-18.5-9.625-23.38 0l-35.5 71L101.5 53.09c-10.25-3.375-19.75 6.25-16.38 16.5l25.12 75.25l-71 35.5c-9.625 4.875-9.625 18.5 0 23.38l71 35.5L85.09 314.5c-3.375 10.25 6.25 19.75 16.5 16.5l59.13-19.75C160.6 308.8 160.1 306.6 160.1 304.1c0-12.5 2.25-24.5 6.125-35.88C162.7 265.5 159.2 262.1 156.1 259.8zM542.6 225.5C535.7 188.3 503.3 160 464.1 160c-12.25 0-23.88 3-34.26 8C412.3 143.9 384.2 128 352 128C299 128 256 171 256 224c0 .5 .25 1.125 .25 1.625C219.6 233 192 265.3 192 304c0 38.93 27.7 71.22 64.5 78.44c.4609-13.03 5.754-25.72 15.89-34.56l127.9-111.9C409.1 228.2 420.3 224 431.1 224c10.19 0 19.95 3.172 28.27 9.203c18.23 13.27 24.76 36.1 15.89 57.71l-19.33 45.09h7.197c19.89 0 37.95 12.51 44.92 31.11C510.1 372.6 511.7 378.3 511.7 384h16.32C572.2 384 608 348.1 608 303.9C608.1 264.6 579.9 232.3 542.6 225.5zM225.8 201.8c4.375-24.5 15.88-46.38 31.88-64C247.1 131.7 236.3 127.1 223.1 127.1c-35.25 0-64 28.75-64 64c0 18.75 8.25 35.38 21.12 47.13C192.3 223.2 207.7 210.2 225.8 201.8z"],
    "cloud-check": [640, 512, [], "e35c", "M144 480C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32C315.3 32 367 64.25 394.7 112.2C409.9 101.1 428.3 96 448 96C501 96 544 138.1 544 192C544 204.2 541.7 215.8 537.6 226.6C596 238.4 640 290.1 640 352C640 422.7 582.7 480 512 480H144zM435.8 243.8C446.7 232.9 446.7 215.1 435.8 204.2C424.9 193.3 407.1 193.3 396.2 204.2L288 312.4L243.8 268.2C232.9 257.3 215.1 257.3 204.2 268.2C193.3 279.1 193.3 296.9 204.2 307.8L268.2 371.8C279.1 382.7 296.9 382.7 307.8 371.8L435.8 243.8z"],
    "cloud-drizzle": [512, 512, [], "f738", "M416 128c-.625 0-1.125 .25-1.625 .25C415.5 123 416 117.6 416 112C416 67.75 380.3 32 336 32c-24.62 0-46.25 11.25-61 28.75C256.4 24.75 219.3 0 176 0C114.1 0 64 50.13 64 112c0 7.25 .75 14.25 2.125 21.25C27.75 145.8 0 181.5 0 224c0 53 43 96 96 96h320c53 0 96-43 96-96S469 128 416 128zM352 424c-13.25 0-24 10.75-24 24v40c0 13.25 10.75 24 24 24s24-10.75 24-24V448C376 434.8 365.3 424 352 424zM448 352c-13.25 0-24 10.75-24 24V416c0 13.25 10.75 24 24 24s24-10.75 24-24v-40C472 362.8 461.3 352 448 352zM160 424c-13.25 0-24 10.75-24 24v40C136 501.3 146.8 512 160 512s24-10.75 24-24V448C184 434.8 173.3 424 160 424zM64 352c-13.25 0-24 10.75-24 24V416c0 13.25 10.75 24 24 24S88 429.3 88 416v-40C88 362.8 77.25 352 64 352zM256 352c-13.25 0-24 10.75-24 24V416c0 13.25 10.75 24 24 24s24-10.75 24-24v-40C280 362.8 269.3 352 256 352z"],
    "cloud-exclamation": [640, 512, [], "e491", "M144 480C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32C315.3 32 367 64.25 394.7 112.2C409.9 101.1 428.3 96 448 96C501 96 544 138.1 544 192C544 204.2 541.7 215.8 537.6 226.6C596 238.4 640 290.1 640 352C640 422.7 582.7 480 512 480H144zM296 184V296C296 309.3 306.7 320 320 320C333.3 320 344 309.3 344 296V184C344 170.7 333.3 160 320 160C306.7 160 296 170.7 296 184zM320 352C302.3 352 288 366.3 288 384C288 401.7 302.3 416 320 416C337.7 416 352 401.7 352 384C352 366.3 337.7 352 320 352z"],
    "cloud-fog": [640, 512, [127787, "fog"], "f74e", "M160 320h320c53 0 96-43 96-96s-43-96-96-96c-.625 0-1.125 .25-1.625 .25C479.5 123 480 117.6 480 112C480 67.75 444.2 32 400 32c-24.62 0-46.25 11.25-61 28.75C320.4 24.75 283.2 0 240 0C178.1 0 128 50.12 128 112c0 7.25 .75 14.25 2.125 21.25C91.75 145.8 64 181.5 64 224C64 277 107 320 160 320zM200 464H87.1C74.8 464 64 474.8 64 487.1S74.8 512 87.1 512H200C213.2 512 224 501.2 224 488S213.2 464 200 464zM616 464H295.1C282.8 464 272 474.8 272 487.1S282.8 512 295.1 512H616c13.2 0 24-10.8 24-23.1S629.2 464 616 464zM576 400C576 386.8 565.2 376 552 376h-528C10.8 376 0 386.8 0 399.1C0 413.2 10.8 424 23.1 424h528C565.2 424 576 413.2 576 400z"],
    "cloud-hail": [512, 512, [], "f739", "M416 128c-.625 0-1.125 .25-1.625 .25C415.5 123 416 117.6 416 112C416 67.75 380.2 32 336 32c-24.62 0-46.25 11.25-61 28.75C256.4 24.75 219.2 0 176 0C114.1 0 64 50.12 64 112c0 7.25 .75 14.25 2.125 21.25C27.75 145.8 0 181.5 0 224c0 53 43 96 96 96h320c53 0 96-43 96-96S469 128 416 128zM384 352c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S401.8 352 384 352zM192 448c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S209.8 448 192 448zM320 448c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S337.8 448 320 448zM256 352c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S273.8 352 256 352zM64 448c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S81.75 448 64 448zM128 352c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S145.8 352 128 352z"],
    "cloud-hail-mixed": [512, 512, [], "f73a", "M416 128c-.625 0-1.125 .25-1.625 .25C415.5 123 416 117.6 416 112C416 67.75 380.3 32 336 32c-24.62 0-46.25 11.25-61 28.75C256.4 24.75 219.3 0 176 0C114.1 0 64 50.13 64 112c0 7.25 .75 14.25 2.125 21.25C27.75 145.8 0 181.5 0 224c0 53 43 96 96 96h320c53 0 96-43 96-96S469 128 416 128zM32 448c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S49.75 448 32 448zM256 448c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S273.8 448 256 448zM198.8 353.9c-12.17-5.219-26.3 .4062-31.52 12.59l-48 112c-5.219 12.19 .4219 26.31 12.61 31.53C134.1 511.4 138.2 512 141.3 512c9.312 0 18.17-5.438 22.08-14.53l48-112C216.6 373.3 210.1 359.2 198.8 353.9zM81.45 353.9c-12.19-5.219-26.3 .4062-31.52 12.59l-8 18.66c-5.219 12.19 .4219 26.31 12.61 31.53c3.078 1.312 6.281 1.938 9.438 1.938c9.312 0 18.17-5.438 22.08-14.53l8-18.66C99.28 373.3 93.64 359.2 81.45 353.9zM305.5 353.9c-12.19-5.219-26.3 .4062-31.52 12.59l-8 18.66c-5.219 12.19 .4219 26.31 12.61 31.53c3.078 1.312 6.281 1.938 9.438 1.938c9.312 0 18.17-5.438 22.08-14.53l8-18.66C323.3 373.3 317.6 359.2 305.5 353.9zM433.5 353.9c-12.16-5.219-26.28 .4062-31.52 12.59l-48 112c-5.219 12.19 .4219 26.31 12.61 31.53C369.6 511.4 372.8 512 375.1 512c9.312 0 18.17-5.438 22.08-14.53l48-112C451.3 373.3 445.6 359.2 433.5 353.9z"],
    "cloud-meatball": [576, 512, [], "f73b", "M80 352C53.5 352 32 373.5 32 400S53.5 448 80 448S128 426.5 128 400S106.5 352 80 352zM496 352c-26.5 0-48 21.5-48 48s21.5 48 48 48s48-21.5 48-48S522.5 352 496 352zM377 363.1c4.625-14.5 1.625-30.88-9.75-42.37c-11.5-11.5-27.87-14.38-42.37-9.875c-7-13.5-20.63-23-36.88-23s-29.88 9.5-36.88 23C236.6 306.2 220.2 309.2 208.8 320.8c-11.5 11.5-14.38 27.87-9.875 42.37c-13.5 7-23 20.63-23 36.88s9.5 29.88 23 36.88c-4.625 14.5-1.625 30.88 9.875 42.37c8.25 8.125 19 12.25 29.75 12.25c4.25 0 8.5-1.125 12.62-2.5C258.1 502.5 271.8 512 288 512s29.88-9.5 36.88-23c4.125 1.25 8.375 2.5 12.62 2.5c10.75 0 21.5-4.125 29.75-12.25c11.5-11.5 14.38-27.87 9.75-42.37C390.5 429.9 400 416.2 400 400S390.5 370.1 377 363.1zM544 224c0-53-43-96-96-96c-.625 0-1.125 .25-1.625 .25C447.5 123 448 117.6 448 112C448 67.75 412.2 32 368 32c-24.62 0-46.25 11.25-61 28.75C288.4 24.75 251.2 0 208 0C146.1 0 96 50.12 96 112c0 7.25 .75 14.25 2.125 21.25C59.75 145.8 32 181.5 32 224c0 53 43 96 96 96h43.38C175 312 179.8 304.6 186.2 298.2C199.8 284.8 217.8 277.1 237 276.9C250.5 263.8 268.8 256 288 256s37.5 7.75 51 20.88c19.25 .25 37.25 7.875 50.75 21.37C396.2 304.6 401.1 312 404.6 320H448C501 320 544 277 544 224z"],
    "cloud-minus": [640, 512, [], "e35d", "M144 480C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32C315.3 32 367 64.25 394.7 112.2C409.9 101.1 428.3 96 448 96C501 96 544 138.1 544 192C544 204.2 541.7 215.8 537.6 226.6C596 238.4 640 290.1 640 352C640 422.7 582.7 480 512 480H144zM232 264C218.7 264 208 274.7 208 288C208 301.3 218.7 312 232 312H408C421.3 312 432 301.3 432 288C432 274.7 421.3 264 408 264H232z"],
    "cloud-moon": [576, 512, [], "f6c3", "M342.7 352.7c5.75-9.625 9.25-20.75 9.25-32.75c0-35.25-28.75-64-63.1-64c-17.25 0-32.75 6.875-44.25 17.87C227.4 244.2 196.2 223.1 159.1 223.1c-53 0-96 43.06-96 96.06c0 2 .5029 3.687 .6279 5.687c-37.5 13-64.62 48.38-64.62 90.25C-.0048 468.1 42.99 512 95.99 512h239.1c44.25 0 79.1-35.75 79.1-80C415.1 390.1 383.7 356.2 342.7 352.7zM565.2 298.4c-93 17.75-178.5-53.62-178.5-147.6c0-54.25 28.1-104 76.12-130.9c7.375-4.125 5.375-15.12-2.75-16.63C448.4 1.125 436.7 0 424.1 0c-105.9 0-191.9 85.88-191.9 192c0 8.5 .625 16.75 1.75 25c5.875 4.25 11.62 8.875 16.75 14.25C262.1 226.5 275.2 224 287.1 224c52.88 0 95.1 43.13 95.1 96c0 3.625-.25 7.25-.625 10.75c23.62 10.75 42.37 29.5 53.5 52.5c54.38-3.375 103.7-29.25 137.1-70.37C579.2 306.4 573.5 296.8 565.2 298.4z"],
    "cloud-moon-rain": [576, 512, [], "f73c", "M350.5 225.5c-6.876-37.25-39.25-65.5-78.51-65.5c-12.25 0-23.88 2.1-34.25 7.1C220.3 143.9 192.1 128 160 128c-53.01 0-96.01 42.1-96.01 95.1c0 .5 .25 1.125 .25 1.625C27.63 232.9 0 265.3 0 304c0 44.25 35.75 79.1 80.01 79.1h256c44.25 0 80.01-35.75 80.01-79.1C416 264.8 387.8 232.3 350.5 225.5zM567.9 223.8C497.6 237.1 432.9 183.5 432.9 113c0-40.63 21.88-78 57.5-98.13c5.501-3.125 4.077-11.37-2.173-12.5C479.6 .7538 470.8 0 461.8 0c-77.88 0-141.1 61.25-144.4 137.9c26.75 11.88 48.26 33.88 58.88 61.75c37.13 14.25 64.01 47.38 70.26 86.75c5.126 .5 10.05 1.522 15.3 1.522c44.63 0 85.46-20.15 112.5-53.27C578.6 229.8 574.2 222.6 567.9 223.8zM340.1 426.7l-32 48c-7.345 11.03-4.376 25.94 6.657 33.28C318.8 510.7 323.4 512 327.1 512c7.751 0 15.38-3.75 20-10.69l32-48c7.345-11.03 4.376-25.94-6.657-33.28C362.3 412.7 347.4 415.7 340.1 426.7zM244 426.7l-32 48c-7.345 11.03-4.376 25.94 6.657 33.28C222.8 510.7 227.4 512 231.1 512c7.751 0 15.38-3.75 20-10.69l32-48c7.345-11.03 4.376-25.94-6.657-33.28C266.3 412.7 251.4 415.7 244 426.7zM148 426.7l-32 48c-7.345 11.03-4.376 25.94 6.657 33.28C126.8 510.7 131.4 512 135.1 512c7.751 0 15.38-3.75 20-10.69l32-48c7.345-11.03 4.376-25.94-6.657-33.28C170.3 412.7 155.4 415.7 148 426.7zM52.03 426.7l-32 48c-7.345 11.03-4.376 25.94 6.657 33.28C30.78 510.7 35.41 512 39.97 512c7.751 0 15.38-3.75 20-10.69l32-48c7.345-11.03 4.376-25.94-6.657-33.28C74.25 412.7 59.41 415.7 52.03 426.7z"],
    "cloud-music": [640, 512, [], "f8ae", "M144 480C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32C315.3 32 367 64.25 394.7 112.2C409.9 101.1 428.3 96 448 96C501 96 544 138.1 544 192C544 204.2 541.7 215.8 537.6 226.6C596 238.4 640 290.1 640 352C640 422.7 582.7 480 512 480H144zM416 207.1C416 184.7 393.7 169.3 372.8 177.1L276.8 213.1C264.3 217.8 256 229.7 256 243.1V330.3C250.1 328.8 245.6 328 240 328C213.5 328 192 345.9 192 368C192 390.1 213.5 408 240 408C266.5 408 288 390.1 288 368V275.1L384 239.1V298.3C378.1 296.8 373.6 296 368 296C341.5 296 320 313.9 320 336C320 358.1 341.5 376 368 376C394.5 376 416 358.1 416 336V207.1z"],
    "cloud-plus": [640, 512, [], "e35e", "M144 480C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32C315.3 32 367 64.25 394.7 112.2C409.9 101.1 428.3 96 448 96C501 96 544 138.1 544 192C544 204.2 541.7 215.8 537.6 226.6C596 238.4 640 290.1 640 352C640 422.7 582.7 480 512 480H144zM320 400C333.3 400 344 389.3 344 376V312H408C421.3 312 432 301.3 432 288C432 274.7 421.3 264 408 264H344V200C344 186.7 333.3 176 320 176C306.7 176 296 186.7 296 200V264H232C218.7 264 208 274.7 208 288C208 301.3 218.7 312 232 312H296V376C296 389.3 306.7 400 320 400z"],
    "cloud-question": [640, 512, [], "e492", "M144 480C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32C315.3 32 367 64.25 394.7 112.2C409.9 101.1 428.3 96 448 96C501 96 544 138.1 544 192C544 204.2 541.7 215.8 537.6 226.6C596 238.4 640 290.1 640 352C640 422.7 582.7 480 512 480H144zM233.4 198.5C228.9 211 235.5 224.7 247.1 229.2C260.5 233.6 274.2 227.1 278.6 214.6L279.1 213.3C280.2 210.1 283.2 208 286.6 208H344.9C353.2 208 360 214.8 360 223.1C360 228.6 357.1 233.6 352.4 236.3L308.1 261.7C300.6 266 296 273.9 296 282.5V296C296 309.3 306.7 320 320 320C333.1 320 343.8 309.5 343.1 296.4L376.3 277.9C395.9 266.7 408 245.8 408 223.1C408 188.3 379.7 160 344.9 160H286.6C262.9 160 241.8 174.9 233.8 197.3L233.4 198.5zM320 352C302.3 352 288 366.3 288 384C288 401.7 302.3 416 320 416C337.7 416 352 401.7 352 384C352 366.3 337.7 352 320 352z"],
    "cloud-rain": [512, 512, [127783, 9926], "f73d", "M416 128c-.625 0-1.125 .25-1.625 .25C415.5 123 416 117.6 416 112C416 67.75 380.3 32 336 32c-24.62 0-46.25 11.25-61 28.75C256.4 24.75 219.3 0 176 0C114.1 0 64 50.13 64 112c0 7.25 .75 14.25 2.125 21.25C27.75 145.8 0 181.5 0 224c0 53 43 96 96 96h320c53 0 96-43 96-96S469 128 416 128zM368 464c0 26.51 21.49 48 48 48s48-21.49 48-48s-48.01-95.1-48.01-95.1S368 437.5 368 464zM48 464C48 490.5 69.49 512 96 512s48-21.49 48-48s-48.01-95.1-48.01-95.1S48 437.5 48 464zM208 464c0 26.51 21.49 48 48 48s48-21.49 48-48s-48.01-95.1-48.01-95.1S208 437.5 208 464z"],
    "cloud-rainbow": [576, 512, [], "f73e", "M430.8 304.9c10 5.625 19 12.37 27 20.37C487.1 292.8 529 272 576 272v-64c-61 0-116.2 24.62-156.8 64.25C424.9 282.2 429 293.2 430.8 304.9zM399.2 325.6C399.4 323.8 400 321.9 400 320c0-35.25-28.75-64-64-64c-12.62 0-24.25 3.75-34.13 10C284.2 227.1 245.4 200 200 200c-61.88 0-112 50.12-112 112c0 3 .75 5.75 .875 8.75C39.25 324.4 0 365.4 0 416c0 53 43 96 96 96h272c53 0 96-43 96-96C464 374 436.8 338.6 399.2 325.6zM238.6 173.6c21 5.875 40.38 16.5 56.62 31C359.6 119.4 461.2 64 576 64V0C437.1 0 314.2 68.75 238.6 173.6zM325.8 225.1C333.2 224.2 362.5 219.8 394.2 244C440.6 197.2 504.9 168 576 168v-64C474.8 104 384.4 151.4 325.8 225.1z"],
    "cloud-showers": [512, 512, [], "f73f", "M416 128c-.625 0-1.125 .25-1.625 .25C415.5 123 416 117.6 416 112C416 67.75 380.3 32 336 32c-24.62 0-46.25 11.25-61 28.75C256.4 24.75 219.3 0 176 0C114.1 0 64 50.13 64 112c0 7.25 .75 14.25 2.125 21.25C27.75 145.8 0 181.5 0 224c0 53 43 96 96 96h320c53 0 96-43 96-96S469 128 416 128zM200 384c-13.25 0-24 10.75-24 24v80C176 501.3 186.8 512 200 512S224 501.3 224 488v-80C224 394.8 213.3 384 200 384zM104 352c-13.25 0-24 10.75-24 24v80C80 469.3 90.75 480 104 480S128 469.3 128 456v-80C128 362.8 117.3 352 104 352zM296 352c-13.25 0-24 10.75-24 24v80c0 13.25 10.75 24 24 24S320 469.3 320 456v-80C320 362.8 309.3 352 296 352zM392 384c-13.25 0-24 10.75-24 24v80c0 13.25 10.75 24 24 24S416 501.3 416 488v-80C416 394.8 405.3 384 392 384z"],
    "cloud-showers-heavy": [512, 512, [], "f740", "M416 128c-.625 0-1.125 .25-1.625 .25C415.5 123 416 117.6 416 112c0-44.25-35.75-80-79.1-80c-24.62 0-46.25 11.25-60.1 28.75C256.4 24.75 219.3 0 176 0C114.3 0 64 50.13 64 112c0 7.25 .7512 14.25 2.126 21.25C27.76 145.8 .0054 181.5 .0054 224c0 53 42.1 96 95.1 96h319.1C469 320 512 277 512 224S469 128 416 128zM198.8 353.9c-12.17-5.219-26.3 .4062-31.52 12.59l-47.1 112c-5.219 12.19 .4219 26.31 12.61 31.53C134.1 511.4 138.2 512 141.3 512c9.312 0 18.17-5.438 22.08-14.53l47.1-112C216.6 373.3 210.1 359.2 198.8 353.9zM81.46 353.9c-12.19-5.219-26.3 .4062-31.52 12.59l-47.1 112C-3.276 490.7 2.365 504.8 14.55 510.1C17.63 511.4 20.83 512 23.99 512c9.312 0 18.17-5.438 22.08-14.53l47.1-112C99.29 373.3 93.64 359.2 81.46 353.9zM316.1 353.9c-12.19-5.219-26.3 .4062-31.52 12.59l-47.1 112c-5.219 12.19 .4219 26.31 12.61 31.53C252.3 511.4 255.5 512 258.7 512c9.312 0 18.17-5.438 22.08-14.53l47.1-112C333.1 373.3 328.3 359.2 316.1 353.9zM433.5 353.9c-12.17-5.219-26.28 .4062-31.52 12.59l-47.1 112c-5.219 12.19 .4219 26.31 12.61 31.53C369.6 511.4 372.8 512 375.1 512c9.312 0 18.17-5.438 22.08-14.53l47.1-112C451.3 373.3 445.6 359.2 433.5 353.9z"],
    "cloud-showers-water": [576, 512, [], "e4e4", "M223.1 0C262.6 0 295.9 22.82 311.2 55.7C325.7 41.07 345.8 32 368 32C406.7 32 438.1 59.48 446.4 96H448C483.3 96 512 124.7 512 160C512 195.3 483.3 224 448 224H127.1C92.65 224 63.1 195.3 63.1 160C63.1 124.7 92.65 96 127.1 96C127.1 42.98 170.1 0 223.1 0zM92.58 372.3C85.76 383.7 71.02 387.4 59.65 380.6C48.29 373.8 44.6 359 51.42 347.7L99.42 267.7C106.2 256.3 120.1 252.6 132.3 259.4C143.7 266.2 147.4 280.1 140.6 292.3L92.58 372.3zM468.3 259.4C479.7 266.2 483.4 280.1 476.6 292.3L428.6 372.3C421.8 383.7 407 387.4 395.7 380.6C384.3 373.8 380.6 359 387.4 347.7L435.4 267.7C442.2 256.3 456.1 252.6 468.3 259.4V259.4zM204.6 372.3C197.8 383.7 183 387.4 171.7 380.6C160.3 373.8 156.6 359 163.4 347.7L211.4 267.7C218.2 256.3 232.1 252.6 244.3 259.4C255.7 266.2 259.4 280.1 252.6 292.3L204.6 372.3zM356.3 259.4C367.7 266.2 371.4 280.1 364.6 292.3L316.6 372.3C309.8 383.7 295 387.4 283.7 380.6C272.3 373.8 268.6 359 275.4 347.7L323.4 267.7C330.2 256.3 344.1 252.6 356.3 259.4V259.4zM384 448C410.9 448 439.4 437.2 461.4 421.9L461.5 421.9C473.4 413.4 489.5 414.1 500.7 423.6C515 435.5 533.2 444.6 551.3 448.8C568.5 452.8 579.2 470.1 575.2 487.3C571.2 504.5 553.1 515.2 536.7 511.2C512.2 505.4 491.9 494.6 478.5 486.2C449.5 501.7 417 512 384 512C352.1 512 323.4 502.1 303.6 493.1C297.7 490.5 292.5 487.8 288 485.4C283.5 487.8 278.3 490.5 272.4 493.1C252.6 502.1 223.9 512 192 512C158.1 512 126.5 501.7 97.5 486.2C84.12 494.6 63.79 505.4 39.27 511.2C22.06 515.2 4.853 504.5 .8422 487.3C-3.169 470.1 7.532 452.8 24.74 448.8C42.84 444.6 60.96 435.5 75.31 423.6C86.46 414.1 102.6 413.4 114.5 421.9L114.6 421.9C136.7 437.2 165.1 448 192 448C219.5 448 247 437.4 269.5 421.9C280.6 414 295.4 414 306.5 421.9C328.1 437.4 356.5 448 384 448H384z"],
    "cloud-slash": [640, 512, [], "e137", "M138.6 83.31C167.8 51.76 209.6 32 256 32C315.3 32 367 64.25 394.7 112.2C409.9 101.1 428.3 96 448 96C501 96 544 138.1 544 192C544 204.2 541.7 215.8 537.6 226.6C596 238.4 640 290.1 640 352C640 388.6 624.6 421.6 599.1 444.1L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.197 42.89C-1.236 34.71-3.064 19.63 5.113 9.196C13.29-1.236 28.37-3.065 38.81 5.112L138.6 83.31zM97.17 172.6L487.4 480H144C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1C96.07 197.4 96 194.7 96 192C96 185.4 96.4 178.9 97.17 172.6V172.6z"],
    "cloud-sleet": [576, 512, [], "f741", "M128 320h319.1C501 320 544 277 544 224s-42.1-96-95.1-96c-.625 0-1.125 .25-1.625 .25C447.5 123 448 117.6 448 112c0-44.25-35.75-80-79.1-80c-24.62 0-46.25 11.25-60.1 28.75C288.4 24.75 251.3 0 208 0C146.1 0 96 50.13 96 112c0 7.25 .7512 14.25 2.126 21.25C59.76 145.8 32.01 181.5 32.01 224C32.01 277 75.01 320 128 320zM113.5 353.9c-12.19-5.219-26.3 .4062-31.52 12.59l-47.1 112C28.72 490.7 34.36 504.8 46.55 510.1C49.63 511.4 52.83 512 55.99 512c9.312 0 18.17-5.438 22.08-14.53l47.1-112C131.3 373.3 125.6 359.2 113.5 353.9zM385.5 353.9c-12.22-5.219-26.28 .4062-31.52 12.59l-47.1 112c-5.219 12.19 .4219 26.31 12.61 31.53C321.6 511.4 324.8 512 327.1 512c9.312 0 18.17-5.438 22.08-14.53l47.1-112C403.3 373.3 397.6 359.2 385.5 353.9zM520 392h-15.1v-16c0-13.25-10.75-24-23.1-24c-13.25 0-23.1 10.75-23.1 24v16h-15.1c-13.25 0-23.1 10.75-23.1 24s10.75 24 23.1 24h15.1v16c0 13.25 10.75 24 23.1 24c13.25 0 23.1-10.75 23.1-24v-16h15.1C533.3 440 544 429.3 544 416S533.3 392 520 392zM264 392H248v-16c0-13.25-10.75-24-23.1-24S200 362.8 200 376v16H184c-13.25 0-23.1 10.75-23.1 24s10.75 24 23.1 24H200v16c0 13.25 10.75 24 23.1 24s23.1-10.75 23.1-24v-16h15.1c13.25 0 23.1-10.75 23.1-24S277.3 392 264 392z"],
    "cloud-snow": [512, 512, [127784], "f742", "M96 320h320c53 0 96-43 96-96s-43-96-96-96c-.625 0-1.125 .25-1.625 .25C415.5 123 416 117.6 416 112C416 67.75 380.3 32 336 32c-24.62 0-46.25 11.25-61 28.75C256.4 24.75 219.3 0 176 0C114.1 0 64 50.13 64 112c0 7.25 .75 14.25 2.125 21.25C27.75 145.8 0 181.5 0 224C0 277 43 320 96 320zM104 392h-16v-16C88 362.8 77.25 352 64 352s-24 10.75-24 24v16h-16C10.75 392 0 402.8 0 416s10.75 24 24 24h16v16C40 469.3 50.75 480 64 480s24-10.75 24-24v-16h16C117.3 440 128 429.3 128 416S117.3 392 104 392zM488 392h-16v-16c0-13.25-10.75-24-24-24s-24 10.75-24 24v16h-16C394.8 392 384 402.8 384 416s10.75 24 24 24h16v16c0 13.25 10.75 24 24 24s24-10.75 24-24v-16h16c13.25 0 24-10.75 24-24S501.3 392 488 392zM296 424h-16v-16c0-13.25-10.75-24-24-24s-24 10.75-24 24v16h-16C202.8 424 192 434.8 192 448s10.75 24 24 24h16v16C232 501.3 242.8 512 256 512s24-10.75 24-24v-16h16c13.25 0 24-10.75 24-24S309.3 424 296 424z"],
    "cloud-sun": [640, 512, [9925], "f6c4", "M96 208c0-61.86 50.14-111.1 111.1-111.1c52.65 0 96.5 36.45 108.5 85.42C334.7 173.1 354.7 168 375.1 168c4.607 0 9.152 .3809 13.68 .8203l24.13-34.76c5.145-7.414 .8965-17.67-7.984-19.27L317.2 98.78L301.2 10.21C299.6 1.325 289.4-2.919 281.9 2.226L208 53.54L134.1 2.225C126.6-2.92 116.4 1.326 114.8 10.21L98.78 98.78L10.21 114.8C1.326 116.4-2.922 126.7 2.223 134.1l51.3 73.94L2.224 281.9c-5.145 7.414-.8975 17.67 7.983 19.27L98.78 317.2l16.01 88.58c1.604 8.881 11.86 13.13 19.27 7.982l10.71-7.432c2.725-35.15 19.85-66.51 45.83-88.1C137.1 309.8 96 263.9 96 208zM128 208c0 44.18 35.82 80 80 80c9.729 0 18.93-1.996 27.56-5.176c7.002-33.65 25.53-62.85 51.57-83.44C282.8 159.3 249.2 128 208 128C163.8 128 128 163.8 128 208zM575.2 325.6c.125-2 .7453-3.744 .7453-5.619c0-35.38-28.75-64-63.1-64c-12.62 0-24.25 3.749-34.13 9.999c-17.62-38.88-56.5-65.1-101.9-65.1c-61.75 0-112 50.12-112 111.1c0 3 .7522 5.743 .8772 8.618c-49.63 3.75-88.88 44.74-88.88 95.37C175.1 469 218.1 512 271.1 512h272c53 0 96-42.99 96-95.99C639.1 373.9 612.7 338.6 575.2 325.6z"],
    "cloud-sun-rain": [640, 512, [127782], "f743", "M255.7 139.1C244.8 125.5 227.6 116 208 116c-33.14 0-60 26.86-60 59.1c0 25.56 16.06 47.24 38.58 55.88C197.2 219.3 210.5 208.9 225.9 201.1C229.1 178.5 240.6 157.3 255.7 139.1zM120 175.1c0-48.6 39.4-87.1 88-87.1c27.8 0 52.29 13.14 68.42 33.27c21.24-15.67 47.22-25.3 75.58-25.3c.0098 0-.0098 0 0 0L300.4 83.58L286.9 8.637C285.9 3.346 281.3 .0003 276.5 .0003c-2.027 0-4.096 .5928-5.955 1.881l-62.57 43.42L145.4 1.882C143.6 .5925 141.5-.0003 139.5-.0003c-4.818 0-9.399 3.346-10.35 8.636l-13.54 74.95L40.64 97.13c-5.289 .9556-8.637 5.538-8.637 10.36c0 2.026 .5921 4.094 1.881 5.951l43.41 62.57L33.88 238.6C32.59 240.4 32 242.5 32 244.5c0 4.817 3.347 9.398 8.636 10.35l74.95 13.54l13.54 74.95c.9555 5.289 5.537 8.636 10.35 8.636c2.027 0 4.096-.5927 5.954-1.882l19.47-13.51c-3.16-10.34-4.934-21.28-4.934-32.64c0-17.17 4.031-33.57 11.14-48.32C141 241.7 120 211.4 120 175.1zM542.5 225.5c-6.875-37.25-39.25-65.5-78.51-65.5c-12.25 0-23.88 3-34.25 8c-17.5-24.13-45.63-40-77.76-40c-53 0-96.01 43-96.01 96c0 .5 .25 1.125 .25 1.625C219.6 232.1 191.1 265.2 191.1 303.1c0 44.25 35.75 80 80.01 80h256C572.2 383.1 608 348.2 608 303.1C608 264.7 579.7 232.2 542.5 225.5zM552 415.1c-7.753 0-15.35 3.752-19.97 10.69l-32 48c-2.731 4.093-4.037 8.719-4.037 13.29C496 501.4 506.9 512 520 512c7.75 0 15.36-3.75 19.98-10.69l32-48c2.731-4.093 4.037-8.719 4.037-13.29C576 426.6 565.1 415.1 552 415.1zM456 415.1c-7.751 0-15.34 3.752-19.98 10.69l-32 48c-2.731 4.093-4.037 8.719-4.037 13.29C400 501.4 410.9 512 423.1 512c7.75 0 15.36-3.75 19.98-10.69l32-48c2.731-4.093 4.037-8.719 4.037-13.29C480 426.6 469.1 415.1 456 415.1zM360 415.1c-7.753 0-15.34 3.752-19.97 10.69l-32 48c-2.731 4.093-4.037 8.719-4.037 13.29C304 501.4 314.9 512 327.1 512c7.75 0 15.36-3.75 19.99-10.69l32-48c2.731-4.093 4.037-8.719 4.037-13.29C384 426.6 373.1 415.1 360 415.1zM264 415.1c-7.756 0-15.35 3.752-19.97 10.69l-32 48c-2.731 4.093-4.037 8.719-4.037 13.29C208 501.4 218.9 512 231.1 512c7.75 0 15.36-3.75 19.98-10.69l32-48c2.731-4.093 4.037-8.719 4.037-13.29C288 426.6 277.1 415.1 264 415.1z"],
    "cloud-word": [640, 512, [], "e138", "M96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32C315.3 32 367 64.25 394.7 112.2C409.9 101.1 428.3 96 448 96C501 96 544 138.1 544 192C544 204.2 541.7 215.8 537.6 226.6C596 238.4 640 290.1 640 352C640 422.7 582.7 480 512 480H144C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1zM512 368C512 359.2 504.8 352 496 352H304C295.2 352 288 359.2 288 368C288 376.8 295.2 384 304 384H496C504.8 384 512 376.8 512 368zM144 352C135.2 352 128 359.2 128 368C128 376.8 135.2 384 144 384H240C248.8 384 256 376.8 256 368C256 359.2 248.8 352 240 352H144zM144 320H336C344.8 320 352 312.8 352 304C352 295.2 344.8 288 336 288H144C135.2 288 128 295.2 128 304C128 312.8 135.2 320 144 320zM400 288C391.2 288 384 295.2 384 304C384 312.8 391.2 320 400 320H496C504.8 320 512 312.8 512 304C512 295.2 504.8 288 496 288H400z"],
    "cloud-xmark": [640, 512, [], "e35f", "M144 480C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32C315.3 32 367 64.25 394.7 112.2C409.9 101.1 428.3 96 448 96C501 96 544 138.1 544 192C544 204.2 541.7 215.8 537.6 226.6C596 238.4 640 290.1 640 352C640 422.7 582.7 480 512 480H144zM239 240.1L286.1 287.1L239 335C229.7 344.4 229.7 359.6 239 368.1C248.4 378.3 263.6 378.3 272.1 368.1L319.1 321.9L367 368.1C376.4 378.3 391.6 378.3 400.1 368.1C410.3 359.6 410.3 344.4 400.1 335L353.9 287.1L400.1 240.1C410.3 231.6 410.3 216.4 400.1 207C391.6 197.7 376.4 197.7 367 207L319.1 254.1L272.1 207C263.6 197.7 248.4 197.7 239 207C229.7 216.4 229.7 231.6 239 240.1V240.1z"],
    "clouds": [640, 512, [], "f744", "M544 320c-.625 0-1.125 .25-1.625 .25C543.5 315 544 309.6 544 304C544 259.8 508.2 224 464 224c-24.62 0-46.25 11.25-61 28.75C384.4 216.9 347.2 192 304 192C242.1 192 192 242.1 192 304c0 7.25 .75 14.25 2.125 21.25C155.8 337.8 128 373.5 128 416c0 53 43 96 96 96h320c53 0 96-43 96-96S597 320 544 320zM304 160c40.75 0 78.63 17.25 105.4 46.5c9.875-5.625 20.5-9.375 31.62-11.75C445.2 183.9 448 172.4 448 160c0-53-43-96-96-96c-14.12 0-27.38 3.25-39.5 8.75C296.6 30.25 256 0 208 0C151.6 0 105.2 41.88 97.62 96.25C97.12 96.25 96.62 96 96 96C43 96 0 139 0 192s43 96 96 96h65.62C169.8 216.2 230.1 160 304 160z"],
    "clouds-moon": [640, 512, [], "f745", "M448 320h-1.625c-7.375-36.5-39.68-63.99-78.43-63.99c-24.62 0-46.2 11.24-60.95 28.74C288.4 248.9 251.3 224 208 224c-58.25 0-105.6 44.75-110.9 101.6C59.25 338.5 32 373.9 32 416c0 53 43 96 96 96h320c53 0 96-43 96-96S501 320 448 320zM630.1 248.7C552.7 263.5 481 204 481 125.6c0-45.12 24.25-86.62 63.88-109c6.125-3.375 4.625-12.62-2.375-13.87C532.9 .875 523 0 513.1 0c-88.88 0-161.1 71.62-161.1 160c0 .75 .25 1.25 .25 2c16.25 16.75 27 38.75 30.25 63.12c38.5 5.125 71.75 29.88 87.63 64.75c23.12 4 44 14.37 61.13 29.12c42.5-4.75 80.63-25.1 107-58.25C642.8 255.3 637.9 247.3 630.1 248.7zM68.25 303.3C83.25 238.6 140.3 192 208 192c40.75 0 78.63 17.25 105.4 46.5C324.9 232 337.5 227.8 350.5 225.6C343.8 188.2 311.3 160 272 160H254.4C247 123.5 214.8 96 176 96S105 123.5 97.63 160H80C35.75 160 0 195.8 0 240c0 33.88 21.25 62.71 51 74.34C56.5 310.2 62.25 306.4 68.25 303.3z"],
    "clouds-sun": [640, 512, [], "f746", "M132.4 303.2c.8164-3.566 2.199-6.864 3.267-10.31C111.6 272.4 95.1 242.2 95.1 208c0-61.86 50.14-111.1 111.1-111.1c40.39 0 75.46 21.57 95.17 53.63c17.42-12.51 37.81-20.52 59.66-21.54c3.219-6.789 7.302-13.02 11.75-18.95L317.2 98.78L301.2 10.21c-1.605-8.883-11.86-13.13-19.27-7.983l-73.94 51.31l-73.94-51.32c-7.414-5.145-17.67-.8983-19.27 7.983l-16.01 88.58L10.21 114.8C1.326 116.4-2.922 126.6 2.223 134.1l51.3 73.94l-51.3 73.94c-5.145 7.414-.8982 17.67 7.983 19.27l99.58 17.56C116.8 312.9 124.2 307.6 132.4 303.2zM127.1 208c0 20.81 8.137 39.6 21.16 53.83c23.95-40.28 66.65-67.36 115.1-69.69l10.28-15.07c1.148-1.684 2.715-2.938 3.943-4.545c-13.11-26.29-39.97-44.51-71.34-44.51C163.8 128 127.1 163.8 127.1 208zM512 319.1h-1.625c-7.375-36.5-39.62-64-78.37-64c-24.62 0-46.25 11.25-60.1 28.75c-18.62-35.88-55.75-60.75-98.1-60.75c-58.25 0-105.6 44.75-110.9 101.6c-37.88 12.88-65.12 48.25-65.12 90.38c0 53 42.1 96 95.1 96h319.1c53 0 95.1-43 95.1-96S565 319.1 512 319.1zM560.1 159.1h-17.62c-7.375-36.5-39.62-64-78.37-64s-70.99 27.5-78.37 64h-17.62c-27.62 0-51.75 13.88-66.25 35.13c29.12 6.125 55.49 21.25 75.62 43.25c16.5-9.375 35.37-14.5 54.62-14.5c44.63 0 84.24 26.63 102.1 65.88c20.5 3.625 39.12 12.38 54.1 24.5c29.75-11.75 50.86-40.42 50.86-74.29C640 195.8 604.3 159.1 560.1 159.1z"],
    "clover": [448, 512, [], "e139", "M216.6 49.94L217.8 51.18C221.2 54.6 226.8 54.6 230.2 51.18L231.4 49.94C242.9 38.45 258.5 32 274.7 32C308.6 32 336 59.42 336 93.25V98.12C336 110.1 332.7 121.9 326.6 132.1L307.8 163.4C306.7 165.2 306.7 166.5 306.8 167.6C307 168.8 307.7 170.1 308.8 171.2C309.9 172.3 311.2 172.1 312.4 173.2C313.5 173.3 314.8 173.2 316.6 172.2L347.9 153.4C358.1 147.3 369.9 144 381.9 144H386.7C420.6 144 448 171.4 448 205.3C448 221.5 441.5 237.1 430.1 248.6L428.8 249.8C425.4 253.2 425.4 258.8 428.8 262.2L430.1 263.4C441.5 274.9 448 290.5 448 306.7C448 340.6 420.6 368 386.7 368H381.9C369.9 368 358.1 364.7 347.9 358.6L316.6 339.8C314.8 338.7 313.5 338.7 312.4 338.8C311.2 339 309.9 339.7 308.8 340.8C307.7 341.9 307 343.2 306.8 344.4C306.7 345.5 306.7 346.8 307.8 348.6L326.6 379.9C332.7 390.1 336 401.9 336 413.9V418.7C336 452.6 308.6 480 274.7 480C258.5 480 242.9 473.5 231.4 462.1L230.2 460.8C226.8 457.4 221.2 457.4 217.8 460.8L216.6 462.1C205.1 473.5 189.5 480 173.3 480C139.4 480 112 452.6 112 418.7V413.9C112 401.9 115.3 390.1 121.4 379.9L140.2 348.6C141.2 346.8 141.3 345.5 141.2 344.4C140.1 343.2 140.3 341.9 139.2 340.8C138.1 339.7 136.8 339 135.6 338.8C134.5 338.7 133.2 338.7 131.4 339.8L100.1 358.6C89.86 364.7 78.1 368 66.12 368H61.25C27.42 368 0 340.6 0 306.7C0 290.5 6.454 274.9 17.94 263.4L19.18 262.2C22.6 258.8 22.6 253.2 19.18 249.8L17.94 248.6C6.454 237.1 0 221.5 0 205.3C0 171.4 27.42 144 61.25 144H66.12C78.1 144 89.86 147.3 100.1 153.4L131.4 172.2C133.2 173.2 134.5 173.3 135.6 173.2C136.8 172.1 138.1 172.3 139.2 171.2C140.3 170.1 140.1 168.8 141.2 167.6C141.3 166.5 141.2 165.2 140.2 163.4L121.4 132.1C115.3 121.9 112 110.1 112 98.12V93.25C112 59.42 139.4 32 173.3 32C189.5 32 205.1 38.45 216.6 49.94z"],
    "club": [512, 512, [9827], "f327", "M384 160C454.7 160 512 217.3 512 288C512 358.7 454.7 416 384 416C345.8 416 311.5 399.2 288 372.7V448H320C337.7 448 352 462.3 352 480C352 497.7 337.7 512 320 512H192C174.3 512 160 497.7 160 480C160 462.3 174.3 448 192 448H224V372.7C200.5 399.2 166.2 416 128 416C57.31 416 0 358.7 0 288C0 217.3 57.31 160 128 160C129.4 160 130.7 160 132 160.1C129.4 149.8 128 139.1 128 128C128 57.31 185.3 0 256 0C326.7 0 384 57.31 384 128C384 139.1 382.6 149.8 379.1 160.1C381.3 160 382.6 160 384 160z"],
    "coconut": [512, 512, [], "e2f6", "M323.1 75.05c-2.188-2.188-6.5-2.656-9.75-2.656c-27.47 .125-87.44 32.58-148.5 94.34c-80.31 81.3-101.6 148-89.97 159.6c2.188 2.188 6.469 2.656 9.75 2.656c27.47-.125 87.41-32.58 148.5-94.34C313.4 153.3 334.7 86.56 323.1 75.05zM436.9 66.84l-40.03-39.76C339.2-30.23 209.7 6.4 107.7 108.9s-137.9 232.1-80.17 289.4l40.03 39.76c99.72 99.04 260.9 98.56 360-1.076l10.34-10.39C537.1 326.9 536.6 165.9 436.9 66.84zM84.94 360.1c-16.78 0-27.12-6.484-32.63-11.94C15.03 311.1 69.27 217.1 142.1 144.2c62.19-62.89 129.3-103.7 170.9-103.8c16.78 0 27.12 6.484 32.63 11.94C382.1 89.39 328.7 183.4 255.8 257.1C193.7 320 126.6 360.8 84.94 360.1zM259.3 451.3C256.2 454.4 252.1 456 248 456s-8.188-1.562-11.31-4.688l-32-32c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0l32 32C265.6 434.9 265.6 445.1 259.3 451.3zM395.3 395.3C392.2 398.4 388.1 400 384 400s-8.188-1.562-11.31-4.688l-32-32c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0l32 32C401.6 378.9 401.6 389.1 395.3 395.3zM440 264c-4.094 0-8.188-1.562-11.31-4.688l-32-32c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0l32 32c6.25 6.25 6.25 16.38 0 22.62C448.2 262.4 444.1 264 440 264z"],
    "code": [640, 512, [], "f121", "M414.8 40.79L286.8 488.8C281.9 505.8 264.2 515.6 247.2 510.8C230.2 505.9 220.4 488.2 225.2 471.2L353.2 23.21C358.1 6.216 375.8-3.624 392.8 1.232C409.8 6.087 419.6 23.8 414.8 40.79H414.8zM518.6 121.4L630.6 233.4C643.1 245.9 643.1 266.1 630.6 278.6L518.6 390.6C506.1 403.1 485.9 403.1 473.4 390.6C460.9 378.1 460.9 357.9 473.4 345.4L562.7 256L473.4 166.6C460.9 154.1 460.9 133.9 473.4 121.4C485.9 108.9 506.1 108.9 518.6 121.4V121.4zM166.6 166.6L77.25 256L166.6 345.4C179.1 357.9 179.1 378.1 166.6 390.6C154.1 403.1 133.9 403.1 121.4 390.6L9.372 278.6C-3.124 266.1-3.124 245.9 9.372 233.4L121.4 121.4C133.9 108.9 154.1 108.9 166.6 121.4C179.1 133.9 179.1 154.1 166.6 166.6V166.6z"],
    "code-branch": [448, 512, [], "f126", "M160 80C160 112.8 140.3 140.1 112 153.3V241.1C130.8 230.2 152.7 224 176 224H272C307.3 224 336 195.3 336 160V153.3C307.7 140.1 288 112.8 288 80C288 35.82 323.8 0 368 0C412.2 0 448 35.82 448 80C448 112.8 428.3 140.1 400 153.3V160C400 230.7 342.7 288 272 288H176C140.7 288 112 316.7 112 352V358.7C140.3 371 160 399.2 160 432C160 476.2 124.2 512 80 512C35.82 512 0 476.2 0 432C0 399.2 19.75 371 48 358.7V153.3C19.75 140.1 0 112.8 0 80C0 35.82 35.82 0 80 0C124.2 0 160 35.82 160 80V80zM80 104C93.25 104 104 93.25 104 80C104 66.75 93.25 56 80 56C66.75 56 56 66.75 56 80C56 93.25 66.75 104 80 104zM368 56C354.7 56 344 66.75 344 80C344 93.25 354.7 104 368 104C381.3 104 392 93.25 392 80C392 66.75 381.3 56 368 56zM80 456C93.25 456 104 445.3 104 432C104 418.7 93.25 408 80 408C66.75 408 56 418.7 56 432C56 445.3 66.75 456 80 456z"],
    "code-commit": [640, 512, [], "f386", "M476.8 288C461.1 361 397.4 416 320 416C242.6 416 178 361 163.2 288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H163.2C178 150.1 242.6 96 320 96C397.4 96 461.1 150.1 476.8 224H608C625.7 224 640 238.3 640 256C640 273.7 625.7 288 608 288H476.8zM320 336C364.2 336 400 300.2 400 256C400 211.8 364.2 176 320 176C275.8 176 240 211.8 240 256C240 300.2 275.8 336 320 336z"],
    "code-compare": [512, 512, [], "e13a", "M320 488C320 497.5 314.4 506.1 305.8 509.9C297.1 513.8 286.1 512.2 279.9 505.8L199.9 433.8C194.9 429.3 192 422.8 192 416C192 409.2 194.9 402.7 199.9 398.2L279.9 326.2C286.1 319.8 297.1 318.2 305.8 322.1C314.4 325.9 320 334.5 320 344V384H336C371.3 384 400 355.3 400 320V153.3C371.7 140.1 352 112.8 352 80C352 35.82 387.8 0 432 0C476.2 0 512 35.82 512 80C512 112.8 492.3 140.1 464 153.3V320C464 390.7 406.7 448 336 448H320V488zM456 79.1C456 66.74 445.3 55.1 432 55.1C418.7 55.1 408 66.74 408 79.1C408 93.25 418.7 103.1 432 103.1C445.3 103.1 456 93.25 456 79.1zM192 24C192 14.52 197.6 5.932 206.2 2.076C214.9-1.78 225-.1789 232.1 6.161L312.1 78.16C317.1 82.71 320 89.2 320 96C320 102.8 317.1 109.3 312.1 113.8L232.1 185.8C225 192.2 214.9 193.8 206.2 189.9C197.6 186.1 192 177.5 192 168V128H176C140.7 128 112 156.7 112 192V358.7C140.3 371 160 399.2 160 432C160 476.2 124.2 512 80 512C35.82 512 0 476.2 0 432C0 399.2 19.75 371 48 358.7V192C48 121.3 105.3 64 176 64H192V24zM56 432C56 445.3 66.75 456 80 456C93.25 456 104 445.3 104 432C104 418.7 93.25 408 80 408C66.75 408 56 418.7 56 432z"],
    "code-fork": [448, 512, [], "e13b", "M160 80C160 112.8 140.3 140.1 112 153.3V192C112 209.7 126.3 224 144 224H304C321.7 224 336 209.7 336 192V153.3C307.7 140.1 288 112.8 288 80C288 35.82 323.8 0 368 0C412.2 0 448 35.82 448 80C448 112.8 428.3 140.1 400 153.3V192C400 245 357 288 304 288H256V358.7C284.3 371 304 399.2 304 432C304 476.2 268.2 512 224 512C179.8 512 144 476.2 144 432C144 399.2 163.7 371 192 358.7V288H144C90.98 288 48 245 48 192V153.3C19.75 140.1 0 112.8 0 80C0 35.82 35.82 0 80 0C124.2 0 160 35.82 160 80V80zM80 104C93.25 104 104 93.25 104 80C104 66.75 93.25 56 80 56C66.75 56 56 66.75 56 80C56 93.25 66.75 104 80 104zM368 104C381.3 104 392 93.25 392 80C392 66.75 381.3 56 368 56C354.7 56 344 66.75 344 80C344 93.25 354.7 104 368 104zM224 408C210.7 408 200 418.7 200 432C200 445.3 210.7 456 224 456C237.3 456 248 445.3 248 432C248 418.7 237.3 408 224 408z"],
    "code-merge": [448, 512, [], "f387", "M208 239.1H294.7C307 211.7 335.2 191.1 368 191.1C412.2 191.1 448 227.8 448 271.1C448 316.2 412.2 352 368 352C335.2 352 307 332.3 294.7 303.1H208C171.1 303.1 138.7 292.1 112 272V358.7C140.3 371 160 399.2 160 432C160 476.2 124.2 512 80 512C35.82 512 0 476.2 0 432C0 399.2 19.75 371 48 358.7V153.3C19.75 140.1 0 112.8 0 80C0 35.82 35.82 0 80 0C124.2 0 160 35.82 160 80C160 112.6 140.5 140.7 112.4 153.2C117 201.9 158.1 240 208 240V239.1zM80 103.1C93.25 103.1 104 93.25 104 79.1C104 66.74 93.25 55.1 80 55.1C66.75 55.1 56 66.74 56 79.1C56 93.25 66.75 103.1 80 103.1zM80 456C93.25 456 104 445.3 104 432C104 418.7 93.25 408 80 408C66.75 408 56 418.7 56 432C56 445.3 66.75 456 80 456zM368 247.1C354.7 247.1 344 258.7 344 271.1C344 285.3 354.7 295.1 368 295.1C381.3 295.1 392 285.3 392 271.1C392 258.7 381.3 247.1 368 247.1z"],
    "code-pull-request": [512, 512, [], "e13c", "M305.8 2.076C314.4 5.932 320 14.52 320 24V64H336C406.7 64 464 121.3 464 192V358.7C492.3 371 512 399.2 512 432C512 476.2 476.2 512 432 512C387.8 512 352 476.2 352 432C352 399.2 371.7 371 400 358.7V192C400 156.7 371.3 128 336 128H320V168C320 177.5 314.4 186.1 305.8 189.9C297.1 193.8 286.1 192.2 279.9 185.8L199.9 113.8C194.9 109.3 192 102.8 192 96C192 89.2 194.9 82.71 199.9 78.16L279.9 6.161C286.1-.1791 297.1-1.779 305.8 2.077V2.076zM432 456C445.3 456 456 445.3 456 432C456 418.7 445.3 408 432 408C418.7 408 408 418.7 408 432C408 445.3 418.7 456 432 456zM112 358.7C140.3 371 160 399.2 160 432C160 476.2 124.2 512 80 512C35.82 512 0 476.2 0 432C0 399.2 19.75 371 48 358.7V153.3C19.75 140.1 0 112.8 0 80C0 35.82 35.82 .0004 80 .0004C124.2 .0004 160 35.82 160 80C160 112.8 140.3 140.1 112 153.3V358.7zM80 56C66.75 56 56 66.75 56 80C56 93.25 66.75 104 80 104C93.25 104 104 93.25 104 80C104 66.75 93.25 56 80 56zM80 408C66.75 408 56 418.7 56 432C56 445.3 66.75 456 80 456C93.25 456 104 445.3 104 432C104 418.7 93.25 408 80 408z"],
    "code-pull-request-closed": [448, 512, [], "e3f9", "M297.4 9.372C309.9-3.124 330.1-3.124 342.6 9.372L368 34.74L393.4 9.372C405.9-3.124 426.1-3.124 438.6 9.372C451.1 21.87 451.1 42.13 438.6 54.63L413.3 79.1L438.6 105.4C451.1 117.9 451.1 138.1 438.6 150.6C426.1 163.1 405.9 163.1 393.4 150.6L368 125.3L342.6 150.6C330.1 163.1 309.9 163.1 297.4 150.6C284.9 138.1 284.9 117.9 297.4 105.4L322.7 79.1L297.4 54.63C284.9 42.13 284.9 21.87 297.4 9.372V9.372zM160 80C160 112.8 140.3 140.1 112 153.3V358.7C140.3 371 160 399.2 160 432C160 476.2 124.2 512 80 512C35.82 512 0 476.2 0 432C0 399.2 19.75 371 48 358.7V153.3C19.75 140.1 0 112.8 0 80C0 35.82 35.82 0 80 0C124.2 0 160 35.82 160 80V80zM80 56C66.75 56 56 66.75 56 80C56 93.25 66.75 104 80 104C93.25 104 104 93.25 104 80C104 66.75 93.25 56 80 56zM80 456C93.25 456 104 445.3 104 432C104 418.7 93.25 408 80 408C66.75 408 56 418.7 56 432C56 445.3 66.75 456 80 456zM288 432C288 399.2 307.7 371 336 358.7V224C336 206.3 350.3 192 368 192C385.7 192 400 206.3 400 224V358.7C428.3 371 448 399.2 448 432C448 476.2 412.2 512 368 512C323.8 512 288 476.2 288 432zM368 456C381.3 456 392 445.3 392 432C392 418.7 381.3 408 368 408C354.7 408 344 418.7 344 432C344 445.3 354.7 456 368 456z"],
    "code-pull-request-draft": [448, 512, [], "e3fa", "M112 358.7C140.3 371 160 399.2 160 432C160 476.2 124.2 512 80 512C35.82 512 0 476.2 0 432C0 399.2 19.75 371 48 358.7V153.3C19.75 140.1 0 112.8 0 80C0 35.82 35.82 0 80 0C124.2 0 160 35.82 160 80C160 112.8 140.3 140.1 112 153.3V358.7zM80 56C66.75 56 56 66.75 56 80C56 93.25 66.75 104 80 104C93.25 104 104 93.25 104 80C104 66.75 93.25 56 80 56zM80 408C66.75 408 56 418.7 56 432C56 445.3 66.75 456 80 456C93.25 456 104 445.3 104 432C104 418.7 93.25 408 80 408zM288 432C288 387.8 323.8 352 368 352C412.2 352 448 387.8 448 432C448 476.2 412.2 512 368 512C323.8 512 288 476.2 288 432zM368 456C381.3 456 392 445.3 392 432C392 418.7 381.3 408 368 408C354.7 408 344 418.7 344 432C344 445.3 354.7 456 368 456zM416 80C416 106.5 394.5 128 368 128C341.5 128 320 106.5 320 80C320 53.49 341.5 32 368 32C394.5 32 416 53.49 416 80zM320 240C320 213.5 341.5 192 368 192C394.5 192 416 213.5 416 240C416 266.5 394.5 288 368 288C341.5 288 320 266.5 320 240z"],
    "code-simple": [576, 512, [], "e13d", "M77.25 256L214.6 393.4C227.1 405.9 227.1 426.1 214.6 438.6C202.1 451.1 181.9 451.1 169.4 438.6L9.372 278.6C-3.124 266.1-3.124 245.9 9.372 233.4L169.4 73.37C181.9 60.88 202.1 60.88 214.6 73.37C227.1 85.87 227.1 106.1 214.6 118.6L77.25 256zM361.4 118.6C348.9 106.1 348.9 85.87 361.4 73.37C373.9 60.88 394.1 60.88 406.6 73.37L566.6 233.4C579.1 245.9 579.1 266.1 566.6 278.6L406.6 438.6C394.1 451.1 373.9 451.1 361.4 438.6C348.9 426.1 348.9 405.9 361.4 393.4L498.7 256L361.4 118.6z"],
    "coffee-bean": [448, 512, [], "e13e", "M212.7 244.4c54.55-28.28 102.2-68.18 133.8-120.9l19.7-32.88c9.536-15.92 3.996-37.47-12.95-45.02c-83.39-37.13-186.2 5.417-259.7 79.04c-72.35 72.44-116.1 174.8-81.27 256.8c9.901 23.33 43.16 24.04 56.19 2.297l5.029-8.395C106.9 319.6 154.9 274.4 212.7 244.4zM379.6 128.2l-1.951 3.254c-34.51 57.6-82.7 107.3-143.1 136.6c-56.08 27.2-102.7 69.89-134.7 123.3l-17.97 29.99c-9.536 15.92-3.994 37.47 12.96 45.02c83.39 37.13 186.2-5.417 259.7-79.04c72.35-72.44 116.1-174.8 81.32-256.8C425.9 107.1 392.7 106.4 379.6 128.2z"],
    "coffee-beans": [512, 512, [], "e13f", "M143.2 344.2c24.06 58.52 20.2 109.5 13.96 140.5c-2.725 13.56 11.23 23.58 23.43 17.42c50.23-25.37 75.42-88.08 75.42-150.3c0-73.4-35.04-145.7-104.9-159.6C143 190.7 135.2 196.3 133.1 204.3C126.4 230.5 117.9 282.8 143.2 344.2zM-.002 352.5c0 72.62 34.28 144.2 102.7 159.2c7.979 1.75 15.79-3.656 18.09-11.61c7.805-27.01 18.99-82-7.959-147.6C95.14 309.4 90.09 263.1 97.64 219.4c2.252-13.3-11.88-22.66-23.69-16.47C24.7 228.8-.002 290.9-.002 352.5zM280.6 231.9c49.71 49.79 122.2 75.37 179.3 38.76c6.658-4.271 8.305-13.34 4.436-20.37c-13.15-23.87-43.13-69.25-106.5-95.75C316.2 137.2 281.7 109.5 256.3 73.74c-7.561-10.66-23.65-7.393-27.49 4.945C212.8 130.2 238.4 189.7 280.6 231.9zM478.7 214.9c7.42 11.17 23.83 8.473 27.96-4.123c17.02-51.84-8.672-112.1-51.26-154.8c-50.24-50.33-123.7-75.87-181.1-37.51c-6.617 4.424-8.125 13.59-4.033 20.55c13.28 22.59 43.25 64.26 102.7 89.06C429.5 151.8 461.8 189.4 478.7 214.9z"],
    "coffee-pot": [512, 512, [], "e002", "M431.5 177.6L480 32H88C39.38 32 0 71.38 0 120V208C0 216.9 7.125 224 16 224h32C56.88 224 64 216.9 64 208V136C64 113.9 81.88 96 104 96h13.38l27.38 82.13C95.38 217.9 64 277.8 64 344.6c0 51.5 18.62 84.74 49.62 117.7C124.5 473.6 139.5 480 155.1 480l265.8 0c15.62 0 30.57-6.192 41.32-17.57C493.2 429.6 512 396.1 512 344.6C512 278.4 481.4 217.9 431.5 177.6zM445.9 320H130.6c6.75-39 28.88-72.88 60.5-96h195.8C417.1 247.2 439.5 281.2 445.9 320z"],
    "coffin": [448, 512, [9904], "f6c6", "M408.1 115.3l-107.8-105.9C294.2 3.375 285.8 0 277.2 0H173.9c-8.627 0-17 3.375-23.13 9.375l-107.8 105.9C34.98 123.1 31.73 134.6 34.48 145.6l87.14 342.1C125.3 502 138.3 512 153.3 512h144.7c14.88 0 27.88-9.1 31.51-24.25l87.14-342.1C419.3 134.6 416.1 123.1 408.1 115.3z"],
    "coffin-cross": [384, 512, [], "e051", "M374.5 115.3l-107.8-105.9C260.6 3.375 252.3 0 243.6 0h-103.3c-8.627 0-17 3.375-23.13 9.375l-107.8 105.9c-8.002 7.875-11.25 19.38-8.502 30.38l87.14 342.1C91.73 502 104.7 512 119.7 512h144.7c14.88 0 27.88-9.1 31.51-24.25l87.14-342.1C385.8 134.6 382.5 123.1 374.5 115.3zM288 208C288 216.9 280.9 224 271.1 224H224v112c0 8.875-7.127 16-16.01 16H176C167.1 352 160 344.9 160 336V224H111.9C103 224 95.92 216.9 95.92 208v-32c0-8.875 7.127-16 16.01-16H160V112C160 103.1 167.1 96 176 96h31.99C216.9 96 224 103.1 224 112V160h47.99C280.9 160 288 167.1 288 176V208z"],
    "coin": [512, 512, [129689], "f85c", "M256 136C344.4 136 416 164.7 416 200C416 235.3 344.4 264 256 264C167.6 264 96 235.3 96 200C96 164.7 167.6 136 256 136zM256 352C114.6 352 0 287.5 0 208C0 128.5 114.6 64 256 64C397.4 64 512 128.5 512 208C512 287.5 397.4 352 256 352zM130.1 274.1C164.6 288.4 208.8 296 255.1 296C303.2 296 347.4 288.4 381 274.1C397.7 268.3 413.4 259.5 425.4 248.2C437.5 236.7 448 220.5 448 200C448 179.5 437.5 163.3 425.4 151.8C413.4 140.5 397.7 131.7 381 125C347.4 111.6 303.2 104 255.1 104C208.8 104 164.6 111.6 130.1 125C114.3 131.7 98.6 140.5 86.59 151.8C74.5 163.3 63.1 179.5 63.1 200C63.1 220.5 74.5 236.7 86.59 248.2C98.6 259.5 114.3 268.3 130.1 274.1V274.1zM0 290.1C13.21 305.8 29.72 319.5 48 330.1V394.6C17.79 373.6 0 347.9 0 320V290.1zM80 412.1V348.3C108.4 361.4 140.9 371.3 176 377.3V441.6C139.8 435.7 107.1 425.8 80 412.1zM208 381.6C223.7 383.2 239.7 384 256 384C272.3 384 288.3 383.2 304 381.6V445.8C288.5 447.2 272.4 448 256 448C239.6 448 223.5 447.2 208 445.8V381.6zM336 441.6V377.3C371.1 371.3 403.6 361.4 432 348.3V412.1C404.9 425.8 372.2 435.7 336 441.6zM464 330.1C482.3 319.5 498.8 305.8 512 290.1V320C512 347.9 494.2 373.6 464 394.6V330.1z"],
    "coin-blank": [512, 512, [], "e3fb", "M256 64C397.4 64 512 128.5 512 208C512 287.5 397.4 352 256 352C114.6 352 0 287.5 0 208C0 128.5 114.6 64 256 64zM0 290.1C13.21 305.8 29.72 319.5 48 330.1V394.6C17.79 373.6 0 347.9 0 320V290.1zM80 412.1V348.3C108.4 361.4 140.9 371.3 176 377.3V441.6C139.8 435.7 107.1 425.8 80 412.1zM208 381.6C223.7 383.2 239.7 384 256 384C272.3 384 288.3 383.2 304 381.6V445.8C288.5 447.2 272.4 448 256 448C239.6 448 223.5 447.2 208 445.8V381.6zM336 441.6V377.3C371.1 371.3 403.6 361.4 432 348.3V412.1C404.9 425.8 372.2 435.7 336 441.6zM464 330.1C482.3 319.5 498.8 305.8 512 290.1V320C512 347.9 494.2 373.6 464 394.6V330.1z"],
    "coin-front": [512, 512, [], "e3fc", "M96 256C96 167.6 167.6 96 256 96C344.4 96 416 167.6 416 256C416 344.4 344.4 416 256 416C167.6 416 96 344.4 96 256zM280 184C280 170.7 269.3 160 256 160C242.7 160 232 170.7 232 184V328C232 341.3 242.7 352 256 352C269.3 352 280 341.3 280 328V184zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 448C362 448 448 362 448 256C448 149.1 362 64 256 64C149.1 64 64 149.1 64 256C64 362 149.1 448 256 448z"],
    "coin-vertical": [384, 512, [], "e3fd", "M72 256C72 167.6 100.7 96 136 96C171.3 96 200 167.6 200 256C200 344.4 171.3 416 136 416C100.7 416 72 344.4 72 256zM288 256C288 397.4 223.5 512 144 512C64.47 512 0 397.4 0 256C0 114.6 64.47 0 144 0C223.5 0 288 114.6 288 256zM210.1 381C224.4 347.4 232 303.2 232 256C232 208.8 224.4 164.6 210.1 130.1C204.3 114.3 195.5 98.6 184.2 86.59C172.7 74.5 156.5 64 136 64C115.5 64 99.27 74.5 87.84 86.59C76.48 98.6 67.72 114.3 61.03 130.1C47.6 164.6 40 208.8 40 256C40 303.2 47.6 347.4 61.03 381C67.72 397.7 76.48 413.4 87.84 425.4C99.26 437.5 115.5 448 136 448C156.5 448 172.7 437.5 184.2 425.4C195.5 413.4 204.3 397.7 210.1 381zM226.1 512C241.8 498.8 255.5 482.3 266.1 464H330.6C309.6 494.2 283.9 512 256 512H226.1zM348.1 432H284.3C297.4 403.6 307.3 371.1 313.3 336H377.6C371.7 372.2 361.8 404.9 348.1 432zM317.6 304C319.2 288.3 320 272.3 320 256C320 239.7 319.2 223.7 317.6 208H381.8C383.2 223.5 384 239.6 384 256C384 272.4 383.2 288.5 381.8 304H317.6zM377.6 176H313.3C307.3 140.9 297.4 108.4 284.3 80H348.1C361.8 107.1 371.7 139.8 377.6 176zM266.1 48C255.5 29.72 241.8 13.21 226.1 0H256C283.9 0 309.6 17.79 330.6 48H266.1z"],
    "coins": [512, 512, [], "f51e", "M512 80C512 98.01 497.7 114.6 473.6 128C444.5 144.1 401.2 155.5 351.3 158.9C347.7 157.2 343.9 155.5 340.1 153.9C300.6 137.4 248.2 128 192 128C183.7 128 175.6 128.2 167.5 128.6L166.4 128C142.3 114.6 128 98.01 128 80C128 35.82 213.1 0 320 0C426 0 512 35.82 512 80V80zM160.7 161.1C170.9 160.4 181.3 160 192 160C254.2 160 309.4 172.3 344.5 191.4C369.3 204.9 384 221.7 384 240C384 243.1 383.3 247.9 381.9 251.7C377.3 264.9 364.1 277 346.9 287.3C346.9 287.3 346.9 287.3 346.9 287.3C346.8 287.3 346.6 287.4 346.5 287.5L346.5 287.5C346.2 287.7 345.9 287.8 345.6 288C310.6 307.4 254.8 320 192 320C132.4 320 79.06 308.7 43.84 290.9C41.97 289.9 40.15 288.1 38.39 288C14.28 274.6 0 258 0 240C0 205.2 53.43 175.5 128 164.6C138.5 163 149.4 161.8 160.7 161.1L160.7 161.1zM391.9 186.6C420.2 182.2 446.1 175.2 468.1 166.1C484.4 159.3 499.5 150.9 512 140.6V176C512 195.3 495.5 213.1 468.2 226.9C453.5 234.3 435.8 240.5 415.8 245.3C415.9 243.6 416 241.8 416 240C416 218.1 405.4 200.1 391.9 186.6V186.6zM384 336C384 354 369.7 370.6 345.6 384C343.8 384.1 342 385.9 340.2 386.9C304.9 404.7 251.6 416 192 416C129.2 416 73.42 403.4 38.39 384C14.28 370.6 .0003 354 .0003 336V300.6C12.45 310.9 27.62 319.3 43.93 326.1C83.44 342.6 135.8 352 192 352C248.2 352 300.6 342.6 340.1 326.1C347.9 322.9 355.4 319.2 362.5 315.2C368.6 311.8 374.3 308 379.7 304C381.2 302.9 382.6 301.7 384 300.6L384 336zM416 278.1C434.1 273.1 452.5 268.6 468.1 262.1C484.4 255.3 499.5 246.9 512 236.6V272C512 282.5 507 293 497.1 302.9C480.8 319.2 452.1 332.6 415.8 341.3C415.9 339.6 416 337.8 416 336V278.1zM192 448C248.2 448 300.6 438.6 340.1 422.1C356.4 415.3 371.5 406.9 384 396.6V432C384 476.2 298 512 192 512C85.96 512 .0003 476.2 .0003 432V396.6C12.45 406.9 27.62 415.3 43.93 422.1C83.44 438.6 135.8 448 192 448z"],
    "colon": [128, 512, [], "3a", "M64 192c35.35 0 64-28.65 64-64c0-35.35-28.65-64-64-64s-64 28.65-64 64C.0008 163.3 28.66 192 64 192zM64 320c-35.35 0-64 28.65-64 64c0 35.35 28.65 64 64 64s64-28.65 64-64C128 348.7 99.35 320 64 320z"],
    "colon-sign": [320, 512, [], "e140", "M216.6 65.56C226.4 66.81 235.9 68.8 245.2 71.46L256.1 24.24C261.2 7.093 278.6-3.331 295.8 .9552C312.9 5.242 323.3 22.62 319 39.76L303.1 100C305.1 100.8 306.2 101.6 307.2 102.4C321.4 113 324.2 133.1 313.6 147.2C307.5 155.3 298.4 159.7 288.1 159.1L234.8 376.7C247.1 372.3 258.5 366.1 268.8 358.4C282.9 347.8 302.1 350.6 313.6 364.8C324.2 378.9 321.4 398.1 307.2 409.6C281.5 428.9 250.8 441.9 217.4 446.3L207 487.8C202.8 504.9 185.4 515.3 168.2 511C151.1 506.8 140.7 489.4 144.1 472.2L152.1 443.8C142.4 441.8 133.1 439.1 124.1 435.6L111 487.8C106.8 504.9 89.38 515.3 72.24 511C55.09 506.8 44.67 489.4 48.96 472.2L66.65 401.4C25.84 366.2 0 314.1 0 256C0 164.4 64.09 87.85 149.9 68.64L160.1 24.24C165.2 7.093 182.6-3.331 199.8 .9552C216.9 5.242 227.3 22.62 223 39.76L216.6 65.56zM131.2 143.3C91.17 164.1 64 207.3 64 256C64 282.2 71.85 306.5 85.32 326.8L131.2 143.3zM167.6 381.7L229.6 133.6C220.4 130.8 210.8 128.1 200.9 128.3L139.8 372.9C148.6 376.8 157.9 379.8 167.6 381.7V381.7z"],
    "columns-3": [640, 512, [], "e361", "M576 32C611.3 32 640 60.65 640 96V416C640 451.3 611.3 480 576 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H576zM192 96H64V416H192V96zM256 416H384V96H256V416zM576 96H448V416H576V96z"],
    "comet": [512, 512, [], "e003", "M491.1 .7163c-38.75 11.5-111.8 34.25-187.6 61.25c-2.125-7-4-13.5-5.625-18.63c-1.375-4.5-4.75-8.25-9.25-10.13c-4.375-1.875-9.375-1.625-13.63 .625c-42.5 22.12-152.9 82.63-214.4 142.5c-1.125 1-2.5 2-3.5 3c-76.12 76.12-76.12 199.5 0 275.6c76 76.13 199.5 76 275.5-.125c1-1 2-2.375 3-3.5c59.88-61.62 120.4-172.1 142.5-214.4c2.25-4.25 2.5-9.25 .625-13.75c-1.75-4.375-5.5-7.75-10.13-9.125C463.4 212.5 456.1 210.6 449.1 208.5c27-76 49.75-149 61.38-187.8c1.625-5.625 .1249-11.88-4.125-16C502.1 .4663 496.9-1.034 491.1 .7163zM315.4 300.3l-50.63 49.38l11.88 69.63c1 5.75-1.375 11.63-6 15c-4.75 3.375-11 3.875-16.13 1.125l-62.5-32.88l-62.63 32.88c-11 6-24.25-3.5-22.13-16.13l12-69.63L68.6 300.3C64.47 296.2 62.97 290.2 64.72 284.6c1.75-5.5 6.625-9.625 12.38-10.38l69.88-10.25l31.25-63.5c2.5-5.125 7.875-8.5 13.75-8.5c5.75 0 11.13 3.375 13.63 8.5l31.38 63.5l69.75 10.25c5.875 .875 10.63 4.875 12.38 10.38C320.1 290.1 319.5 296.2 315.4 300.3z"],
    "comma": [192, 512, [], "2c", "M151.7 378.6L84.01 493.1c-8.885 15.18-27.4 21.85-43.99 15.83s-26.48-22.99-23.49-40.31l22.57-131.7c3.045-17.81 13.79-33.2 29.45-42.25c31.26-18.12 75.54-2.062 87.8 31.85C162.5 344.4 160.8 363 151.7 378.6z"],
    "command": [448, 512, [], "e142", "M352 288h-32V224h32c52.94 0 96-43.06 96-96s-43.06-96-96-96s-96 43.06-96 96v32H192V128c0-52.94-43.06-96-96-96S0 75.06 0 128s43.06 96 96 96h32v64H96c-52.94 0-96 43.06-96 96s43.06 96 96 96s96-43.06 96-96v-32h64v32c0 52.94 43.06 96 96 96s96-43.06 96-96S404.9 288 352 288zM320 128c0-17.66 14.34-32 32-32s32 14.34 32 32s-14.34 32-32 32h-32V128zM128 384c0 17.66-14.34 32-32 32s-32-14.34-32-32s14.34-32 32-32h32V384zM128 160H96C78.34 160 64 145.7 64 128s14.34-32 32-32s32 14.34 32 32V160zM256 288H192V224h64V288zM352 416c-17.66 0-32-14.34-32-32v-32h32c17.66 0 32 14.34 32 32S369.7 416 352 416z"],
    "comment": [512, 512, [61669, 128489], "f075", "M256 32C114.6 32 .0272 125.1 .0272 240c0 49.63 21.35 94.98 56.97 130.7c-12.5 50.37-54.27 95.27-54.77 95.77c-2.25 2.25-2.875 5.734-1.5 8.734C1.979 478.2 4.75 480 8 480c66.25 0 115.1-31.76 140.6-51.39C181.2 440.9 217.6 448 256 448c141.4 0 255.1-93.13 255.1-208S397.4 32 256 32z"],
    "comment-arrow-down": [512, 512, [], "e143", "M256 32C114.6 32 .0273 125.1 .0273 240c0 49.63 21.35 94.98 56.97 130.7C44.5 421.1 2.729 466 2.229 466.5c-2.25 2.25-2.875 5.734-1.5 8.734C1.978 478.2 4.75 480 8 480c66.25 0 115.1-31.76 140.6-51.39C181.2 440.9 217.6 448 256 448C397.4 448 512 354.9 512 240S397.4 32 256 32zM352.1 256.1l-80 80c-9.375 9.375-24.56 9.375-33.94 0l-80-80c-9.375-9.375-9.375-24.56 0-33.94C163.7 218.3 169.8 216 176 216s12.28 2.344 16.97 7.031L232 262.1V160c0-13.25 10.75-24 24-24S280 146.8 280 160v102.1l39.03-39.03c9.375-9.375 24.56-9.375 33.94 0S362.3 247.6 352.1 256.1z"],
    "comment-arrow-up": [512, 512, [], "e144", "M256 32C114.6 32 .0273 125.1 .0273 240c0 49.63 21.35 94.98 56.97 130.7C44.5 421.1 2.729 466 2.229 466.5c-2.25 2.25-2.875 5.734-1.5 8.734C1.978 478.2 4.75 480 8 480c66.25 0 115.1-31.76 140.6-51.39C181.2 440.9 217.6 448 256 448C397.4 448 512 354.9 512 240S397.4 32 256 32zM352.1 256.1C348.3 261.7 342.2 264 336 264s-12.28-2.344-16.97-7.031L280 217.9V320c0 13.25-10.75 24-24 24S232 333.3 232 320V217.9L192.1 256.1c-9.375 9.375-24.56 9.375-33.94 0s-9.375-24.56 0-33.94l80-80c9.375-9.375 24.56-9.375 33.94 0l80 80C362.3 232.4 362.3 247.6 352.1 256.1z"],
    "comment-arrow-up-right": [512, 512, [], "e145", "M256 32C114.6 32 .0273 125.1 .0273 240c0 49.63 21.35 94.98 56.97 130.7C44.5 421.1 2.729 466 2.229 466.5c-2.25 2.25-2.875 5.734-1.5 8.734C1.979 478.2 4.75 480 8 480c66.25 0 115.1-31.76 140.6-51.39C181.2 440.9 217.6 448 256 448c141.4 0 255.1-93.13 255.1-208S397.4 32 256 32zM336 280c0 13.25-10.75 24-24 24S288 293.3 288 280V225.9L200.1 312.1c-9.381 9.381-24.56 9.375-33.94 0c-9.375-9.375-9.375-24.56 0-33.94L254.1 192H200C186.8 192 176 181.3 176 168S186.8 144 200 144h112c13.25 0 24 10.75 24 24V280z"],
    "comment-captions": [512, 512, [], "e146", "M256 31.1c-141.4 0-255.1 93.13-255.1 208c0 49.62 21.35 94.98 56.97 130.7c-12.5 50.38-54.27 95.27-54.77 95.77c-2.25 2.25-2.875 5.734-1.5 8.734c1.25 3 4.021 4.766 7.271 4.766c66.25 0 115.1-31.76 140.6-51.39c32.63 12.25 69.02 19.39 107.4 19.39c141.4 0 255.1-93.13 255.1-207.1S397.4 31.1 256 31.1zM119.1 224h95.99c13.25 0 23.1 10.75 23.1 24S229.2 272 215.1 272H119.1c-13.25 0-23.1-10.75-23.1-24S106.7 224 119.1 224zM135.1 352h-15.1c-13.25 0-23.1-10.75-23.1-24S106.7 304 119.1 304h15.1c13.25 0 23.1 10.75 23.1 24S149.2 352 135.1 352zM295.1 352H215.1c-13.25 0-23.1-10.75-23.1-24S202.7 304 215.1 304h79.99c13.25 0 23.1 10.75 23.1 24S309.2 352 295.1 352zM391.9 352h-15.1c-13.25 0-23.1-10.75-23.1-24s10.75-24 23.1-24h15.1c13.25 0 23.1 10.75 23.1 24S405.2 352 391.9 352zM391.9 272h-95.99c-13.25 0-23.1-10.75-23.1-24S282.7 224 295.1 224h95.99c13.25 0 23.1 10.75 23.1 24S405.2 272 391.9 272z"],
    "comment-check": [512, 512, [], "f4ac", "M256 31.1c-141.4 0-255.1 93.13-255.1 208c0 49.62 21.35 94.98 56.97 130.7c-12.5 50.38-54.27 95.27-54.77 95.77c-2.25 2.25-2.875 5.734-1.5 8.734c1.25 3 4.021 4.766 7.271 4.766c66.25 0 115.1-31.76 140.6-51.39c32.63 12.25 69.02 19.39 107.4 19.39c141.4 0 255.1-93.13 255.1-207.1S397.4 31.1 256 31.1zM346.2 199.6l-96 112C245.9 316.7 239.6 319.7 232.9 319.1C232.6 319.1 232.3 319.1 232 319.1c-6.344 0-12.47-2.531-16.97-7.031l-48-48c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0l29.69 29.69l79.13-92.34c8.656-10.06 23.81-11.19 33.84-2.594C353.7 174.4 354.8 189.5 346.2 199.6z"],
    "comment-code": [512, 512, [], "e147", "M256 32C114.6 32 .0273 125.1 .0273 240c0 49.63 21.35 94.98 56.97 130.7C44.5 421.1 2.729 466 2.229 466.5c-2.25 2.25-2.875 5.734-1.5 8.734C1.979 478.2 4.75 480 8 480c66.25 0 115.1-31.76 140.6-51.39C181.2 440.9 217.6 448 256 448c141.4 0 255.1-93.13 255.1-208S397.4 32 256 32zM216.1 287c9.375 9.375 9.375 24.56 0 33.94C212.3 325.7 206.1 328 200 328s-12.28-2.344-16.97-7.031l-64-64c-9.375-9.375-9.375-24.56 0-33.94l64-64c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94L169.9 240L216.1 287zM392.1 256.1l-64 64C324.3 325.7 318.1 328 312 328s-12.28-2.344-16.97-7.031c-9.375-9.375-9.375-24.56 0-33.94L342.1 240l-47.03-47.03c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0l64 64C402.3 232.4 402.3 247.6 392.1 256.1z"],
    "comment-dollar": [512, 512, [], "f651", "M256 31.1c-141.4 0-255.1 93.09-255.1 208c0 49.59 21.37 94.1 56.97 130.7c-12.5 50.39-54.31 95.3-54.81 95.8C0 468.8-.5938 472.2 .6875 475.2C1.1 478.2 4.813 479.1 8 479.1c66.31 0 116-31.8 140.6-51.41c32.72 12.31 69.02 19.41 107.4 19.41c141.4 0 255.1-93.09 255.1-207.1S397.4 31.1 256 31.1zM317.8 282.3c-3.623 20.91-19.47 34.64-41.83 39.43V332c0 11.03-8.946 20-19.99 20S236 343 236 332v-10.77c-8.682-1.922-17.3-4.723-25.06-7.512l-4.266-1.5C196.3 308.5 190.8 297.1 194.5 286.7c3.688-10.41 15.11-15.81 25.52-12.22l4.469 1.625c7.844 2.812 16.72 6 23.66 7.031c13.72 2.125 28.94 .1875 30.31-7.625c.875-5.094 1.359-7.906-27.92-16.28L244.7 257.5c-17.33-5.094-57.92-17-50.52-59.84C197.8 176.8 213.6 162.8 236 157.1V148c0-11.03 8.961-20 20.01-20s19.99 8.969 19.99 20v10.63c5.453 1.195 11.34 2.789 18.56 5.273c10.44 3.625 15.95 15.03 12.33 25.47c-3.625 10.41-15.06 15.94-25.45 12.34c-5.859-2.031-12-4-17.59-4.844C250.2 194.8 234.1 196.7 233.6 204.5C232.8 208.1 232.3 212.2 255.1 219.2l5.547 1.594C283.8 227.1 325.3 239 317.8 282.3z"],
    "comment-dots": [512, 512, [62075, 128172, "commenting"], "f4ad", "M256 31.1c-141.4 0-255.1 93.12-255.1 208c0 49.62 21.35 94.98 56.97 130.7c-12.5 50.37-54.27 95.27-54.77 95.77c-2.25 2.25-2.875 5.734-1.5 8.734c1.249 3 4.021 4.766 7.271 4.766c66.25 0 115.1-31.76 140.6-51.39c32.63 12.25 69.02 19.39 107.4 19.39c141.4 0 255.1-93.13 255.1-207.1S397.4 31.1 256 31.1zM127.1 271.1c-17.75 0-32-14.25-32-31.1s14.25-32 32-32s32 14.25 32 32S145.7 271.1 127.1 271.1zM256 271.1c-17.75 0-31.1-14.25-31.1-31.1s14.25-32 31.1-32s31.1 14.25 31.1 32S273.8 271.1 256 271.1zM383.1 271.1c-17.75 0-32-14.25-32-31.1s14.25-32 32-32s32 14.25 32 32S401.7 271.1 383.1 271.1z"],
    "comment-exclamation": [512, 512, [], "f4af", "M256 31.1c-141.4 0-255.1 93.09-255.1 208c0 49.59 21.38 94.1 56.97 130.7c-12.5 50.39-54.31 95.3-54.81 95.8c-2.187 2.297-2.781 5.703-1.5 8.703c1.312 3 4.125 4.797 7.312 4.797c66.31 0 116-31.8 140.6-51.41c32.72 12.31 69.01 19.41 107.4 19.41c141.4 0 255.1-93.09 255.1-207.1S397.4 31.1 256 31.1zM232 136C232 122.8 242.8 112 256 112s24 10.75 24 24v112c0 13.25-10.75 24-24 24S232 261.3 232 248V136zM256 368c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32s32 14.33 32 32C288 353.7 273.7 368 256 368z"],
    "comment-image": [512, 512, [], "e148", "M256 32C114.6 32 .0273 125.1 .0273 240c0 49.63 21.35 94.98 56.97 130.7C44.5 421.1 2.729 466 2.229 466.5c-2.25 2.25-2.875 5.734-1.5 8.734C1.979 478.2 4.75 480 8 480c66.25 0 115.1-31.76 140.6-51.39C181.2 440.9 217.6 448 256 448C397.4 448 512 354.9 512 240S397.4 32 256 32zM160 128c17.67 0 32 14.33 32 32S177.7 192 160 192S128 177.7 128 160S142.3 128 160 128zM414.3 311.2c-2.719 5.398-8.246 8.803-14.29 8.803h-288c-6.277 0-11.98-3.672-14.57-9.389S95.82 298.2 99.96 293.5l56-64c3.039-3.473 7.428-5.465 12.04-5.465s9.004 1.992 12.04 5.465l22.71 25.95l77.73-104.9c3.018-4.074 7.787-6.477 12.86-6.477c5.068 0 9.838 2.402 12.86 6.477l106.7 144C416.5 299.3 417 305.8 414.3 311.2z"],
    "comment-lines": [512, 512, [], "f4b0", "M256 31.1c-141.4 0-255.1 93.13-255.1 208c0 49.62 21.35 94.98 56.97 130.7c-12.5 50.38-54.27 95.27-54.77 95.77c-2.25 2.25-2.875 5.734-1.5 8.734c1.25 3 4.021 4.766 7.271 4.766c66.25 0 115.1-31.76 140.6-51.39c32.63 12.25 69.02 19.39 107.4 19.39c141.4 0 255.1-93.13 255.1-207.1S397.4 31.1 256 31.1zM264 320h-112C138.8 320 128 309.3 128 296S138.8 272 152 272h112C277.3 272 288 282.8 288 296S277.3 320 264 320zM360 224h-208C138.8 224 128 213.3 128 200S138.8 176 152 176h208C373.3 176 384 186.8 384 200S373.3 224 360 224z"],
    "comment-medical": [512, 512, [], "f7f5", "M256 31.1c-141.4 0-255.1 93.09-255.1 208c0 49.59 21.38 94.1 56.97 130.7c-12.5 50.39-54.31 95.3-54.81 95.8C0 468.8-.5938 472.2 .6875 475.2c1.312 3 4.125 4.797 7.312 4.797c66.31 0 116-31.8 140.6-51.41c32.72 12.31 69.01 19.41 107.4 19.41C397.4 447.1 512 354.9 512 239.1S397.4 31.1 256 31.1zM368 266c0 8.836-7.164 16-16 16h-54V336c0 8.836-7.164 16-16 16h-52c-8.836 0-16-7.164-16-16V282H160c-8.836 0-16-7.164-16-16V214c0-8.838 7.164-16 16-16h53.1V144c0-8.838 7.164-16 16-16h52c8.836 0 16 7.162 16 16v54H352c8.836 0 16 7.162 16 16V266z"],
    "comment-middle": [512, 512, [], "e149", "M323.2 408.5l-48.89 93.39c-7.037 13.45-29.51 13.45-36.55 0l-48.89-93.39C80.08 384.5 0 303.1 0 208C0 93.09 114.6 0 256 0s256 93.09 256 208C512 303.1 431.9 384.5 323.2 408.5z"],
    "comment-middle-top": [512, 512, [], "e14a", "M512 304c0 114.9-114.6 208-256 208s-256-93.09-256-208c0-95.99 80.08-176.5 188.8-200.5l48.89-93.39C241.2 3.361 248.6 0 256 0s14.76 3.361 18.28 10.08l48.89 93.39C431.9 127.5 512 208 512 304z"],
    "comment-minus": [512, 512, [], "f4b1", "M256 32C114.6 32 .0281 125.1 .0281 240c0 49.63 21.35 94.98 56.97 130.7C44.5 421.1 2.729 466 2.229 466.5c-2.25 2.25-2.875 5.734-1.5 8.734C1.979 478.2 4.75 480 8 480c66.25 0 115.1-31.76 140.6-51.39C181.2 440.9 217.6 448 256 448c141.4 0 255.1-93.13 255.1-208S397.4 32 256 32zM336 263.1H175.1C162.7 263.1 152 253.3 152 240c0-13.26 10.74-23.1 23.1-23.1h160C349.3 216 360 226.7 360 240S349.3 263.1 336 263.1z"],
    "comment-music": [512, 512, [], "f8b0", "M256 31.1c-141.4 0-255.1 93.09-255.1 208c0 49.59 21.37 94.1 56.96 130.7c-12.5 50.39-54.31 95.3-54.81 95.8c-2.187 2.297-2.781 5.703-1.5 8.703c1.312 3 4.125 4.797 7.312 4.797c66.31 0 116-31.8 140.6-51.41c32.72 12.31 69.01 19.41 107.4 19.41c141.4 0 255.1-93.09 255.1-207.1S397.4 31.1 256 31.1zM351.1 287.1c0 17.62-21.5 32-48 32s-48-14.38-48-32s21.5-32 48-32c5.375 0 10.75 .7461 16 1.996V181.6l-96 37.5L223.1 319.1c0 17.62-21.5 32-47.1 32s-48-14.38-48-32s21.5-32 48-32c5.375 0 10.75 .7461 16 1.996V175.2c0-7 4.5-13.12 11.25-15.25l128-47.25C336 111.2 341.4 112.1 345.5 115.1S352 122.8 352 127.1L351.1 287.1z"],
    "comment-pen": [512, 512, ["comment-edit"], "f4ae", "M256 31.1c-141.4 0-255.1 93.09-255.1 208c0 49.59 21.38 94.1 56.97 130.7c-12.5 50.39-54.31 95.3-54.81 95.8c-2.187 2.297-2.781 5.703-1.5 8.703c1.312 3 4.125 4.797 7.312 4.797c66.31 0 116-31.8 140.6-51.41c32.72 12.31 69.01 19.41 107.4 19.41c141.4 0 255.1-93.09 255.1-207.1S397.4 31.1 256 31.1zM215.1 336.9c-1.957 1.957-4.445 3.285-7.156 3.828l-55.55 11.11c-4.898 .9805-9.215-3.34-8.234-8.234l11.11-55.54c.543-2.711 1.875-5.203 3.832-7.156l97.61-97.61l56 56.01L215.1 336.9zM359.8 192.2l-24.48 24.48l-56-56.01l24.48-24.48c10.94-10.93 28.66-10.93 39.6 0l16.41 16.41C370.7 163.6 370.7 181.3 359.8 192.2z"],
    "comment-plus": [512, 512, [], "f4b2", "M256 32C114.6 32 .0281 125.1 .0281 240c0 49.63 21.35 94.98 56.97 130.7C44.5 421.1 2.729 466 2.229 466.5c-2.25 2.25-2.875 5.734-1.5 8.734C1.979 478.2 4.75 480 8 480c66.25 0 115.1-31.76 140.6-51.39C181.2 440.9 217.6 448 256 448c141.4 0 255.1-93.13 255.1-208S397.4 32 256 32zM336 263.1h-56v56C279.1 333.3 269.3 344 256 344c-13.27 0-23.1-10.74-23.1-23.1V263.1H175.1C162.7 263.1 152 253.3 152 240c0-13.26 10.74-23.1 23.1-23.1h56V159.1C232 146.7 242.7 136 256 136s23.1 10.74 23.1 23.1V216h56C349.3 216 360 226.7 360 240S349.3 263.1 336 263.1z"],
    "comment-question": [512, 512, [], "e14b", "M256 31.1c-141.4 0-255.1 93.13-255.1 208c0 49.63 21.35 94.98 56.97 130.7c-12.5 50.38-54.27 95.27-54.77 95.77c-2.25 2.25-2.875 5.734-1.5 8.734c1.249 3 4.021 4.766 7.271 4.766c66.25 0 115.1-31.76 140.6-51.39c32.63 12.25 69.02 19.39 107.4 19.39c141.4 0 255.1-93.13 255.1-208S397.4 31.1 256 31.1zM249.1 352C235.4 352 224 340.6 224 326S235.4 300 249.1 300c14.63 0 26 11.38 26 26S264.6 352 249.1 352zM307.7 235.4l-38.33 23.13v1.652c0 10.74-9.168 19.83-20 19.83c-10.83 0-20-9.088-20-19.83V246.1c0-6.609 3.332-13.22 10-17.35l47.5-28.09C292.7 198.2 296 192.4 296 185.8c0-9.914-8.334-18.17-18.33-18.17H234.3c-10 0-18.33 8.26-18.33 18.17c0 10.74-9.166 19.83-20 19.83S176 196.6 176 185.8C176 153.6 201.8 128 234.3 128h43.33C310.2 128 336 153.6 336 185.8C336 205.7 325.2 224.7 307.7 235.4z"],
    "comment-quote": [512, 512, [], "e14c", "M256 31.1c-141.4 0-255.1 93.13-255.1 208c0 49.62 21.35 94.98 56.97 130.7c-12.5 50.38-54.27 95.27-54.77 95.77c-2.25 2.25-2.875 5.734-1.5 8.734c1.25 3 4.021 4.766 7.271 4.766c66.25 0 115.1-31.76 140.6-51.39c32.63 12.25 69.02 19.39 107.4 19.39c141.4 0 255.1-93.13 255.1-207.1S397.4 31.1 256 31.1zM239.1 263.1c0 39.7-32.3 72-71.1 72C154.7 335.1 144 325.3 144 312S154.8 288 168 288C181.2 288 192 277.2 192 264V255.2C189.4 255.6 186.7 255.1 183.1 255.1c-30.93 0-56-25.07-56-56s25.07-56 56-56s56 25.07 56 56L239.1 263.1zM383.1 263.1c0 39.7-32.3 72-72 72C298.7 335.1 288 325.3 288 312S298.8 288 312 288c13.23 0 24-10.77 24-24V255.2c-2.635 .3809-5.26 .8064-8 .8064c-30.93 0-56-25.07-56-56s25.07-56 56-56s56 25.07 56 56L383.1 263.1z"],
    "comment-slash": [640, 512, [], "f4b3", "M64.03 239.1c0 49.59 21.38 94.1 56.97 130.7c-12.5 50.39-54.31 95.3-54.81 95.8c-2.187 2.297-2.781 5.703-1.5 8.703c1.312 3 4.125 4.797 7.312 4.797c66.31 0 116-31.8 140.6-51.41c32.72 12.31 69.02 19.41 107.4 19.41c37.39 0 72.78-6.663 104.8-18.36L82.93 161.7C70.81 185.9 64.03 212.3 64.03 239.1zM630.8 469.1l-118.1-92.59C551.1 340 576 292.4 576 240c0-114.9-114.6-207.1-255.1-207.1c-67.74 0-129.1 21.55-174.9 56.47L38.81 5.117C28.21-3.154 13.16-1.096 5.115 9.19C-3.072 19.63-1.249 34.72 9.188 42.89l591.1 463.1c10.5 8.203 25.57 6.333 33.7-4.073C643.1 492.4 641.2 477.3 630.8 469.1z"],
    "comment-smile": [512, 512, [], "f4b4", "M256 31.1c-141.4 0-255.1 93.13-255.1 208c0 49.62 21.35 94.98 56.97 130.7c-12.5 50.38-54.27 95.27-54.77 95.77c-2.25 2.25-2.875 5.734-1.5 8.734c1.25 3 4.021 4.766 7.271 4.766c66.25 0 115.1-31.76 140.6-51.39c32.63 12.25 69.02 19.39 107.4 19.39c141.4 0 255.1-93.13 255.1-207.1S397.4 31.1 256 31.1zM319.1 144c17.75 0 31.1 14.25 31.1 32s-14.24 31.1-31.99 31.1S287.1 193.8 287.1 176S302.2 144 319.1 144zM191.1 144c17.75 0 31.1 14.25 31.1 32S209.7 207.1 191.1 207.1S159.1 193.8 159.1 176S174.2 144 191.1 144zM362.2 303.3c-26.5 31-65.11 48.75-106.2 48.75c-41.12 0-79.75-17.75-106.2-48.75c-8.5-10-7.5-25.12 2.625-33.75C162.4 261 177.6 262.1 186.2 272.3C203.5 292.4 228.9 304 255.1 304c27.12 0 52.49-11.62 69.74-31.75c8.623-10.12 23.75-11.38 33.74-2.75C369.6 278.1 370.7 293.3 362.2 303.3z"],
    "comment-sms": [512, 512, ["sms"], "f7cd", "M256 32C114.6 32 .0137 125.1 .0137 240c0 49.59 21.39 95 56.99 130.7c-12.5 50.39-54.31 95.3-54.81 95.8C0 468.8-.5938 472.2 .6875 475.2C1.1 478.2 4.813 480 8 480c66.31 0 116-31.8 140.6-51.41C181.3 440.9 217.6 448 256 448C397.4 448 512 354.9 512 240S397.4 32 256 32zM167.3 271.9C163.9 291.1 146.3 304 121.1 304c-4.031 0-8.25-.3125-12.59-1C101.1 301.8 92.81 298.8 85.5 296.1c-8.312-3-14.06-12.66-11.09-20.97S85 261.1 93.38 264.9c6.979 2.498 14.53 5.449 20.88 6.438C125.7 273.1 135 271 135.8 266.4c1.053-5.912-10.84-8.396-24.56-12.34c-12.12-3.531-44.28-12.97-38.63-46c4.062-23.38 27.31-35.91 58-31.09c5.906 .9062 12.44 2.844 18.59 4.969c8.344 2.875 12.78 12 9.906 20.34C156.3 210.7 147.2 215.1 138.8 212.2c-4.344-1.5-8.938-2.938-13.09-3.594c-11.22-1.656-20.72 .4062-21.5 4.906C103.2 219.2 113.6 221.5 124.4 224.6C141.4 229.5 173.1 238.5 167.3 271.9zM320 288c0 8.844-7.156 16-16 16S288 296.8 288 288V240l-19.19 25.59c-6.062 8.062-19.55 8.062-25.62 0L224 240V288c0 8.844-7.156 16-16 16S192 296.8 192 288V192c0-6.875 4.406-12.1 10.94-15.18c6.5-2.094 13.71 .0586 17.87 5.59L256 229.3l35.19-46.93c4.156-5.531 11.4-7.652 17.87-5.59C315.6 179 320 185.1 320 192V288zM439.3 271.9C435.9 291.1 418.3 304 393.1 304c-4.031 0-8.25-.3125-12.59-1c-8.25-1.25-16.56-4.25-23.88-6.906c-8.312-3-14.06-12.66-11.09-20.97s10.59-13.16 18.97-10.19c6.979 2.498 14.53 5.449 20.88 6.438c11.44 1.719 20.78-.375 21.56-4.938c1.053-5.912-10.84-8.396-24.56-12.34c-12.12-3.531-44.28-12.97-38.63-46c4.031-23.38 27.25-35.91 58-31.09c5.906 .9062 12.44 2.844 18.59 4.969c8.344 2.875 12.78 12 9.906 20.34c-2.875 8.344-11.94 12.81-20.34 9.906c-4.344-1.5-8.938-2.938-13.09-3.594c-11.19-1.656-20.72 .4062-21.5 4.906C375.2 219.2 385.6 221.5 396.4 224.6C413.4 229.5 445.1 238.5 439.3 271.9z"],
    "comment-text": [512, 512, [], "e14d", "M256 31.1c-141.4 0-255.1 93.13-255.1 208c0 49.62 21.35 94.98 56.97 130.7c-12.5 50.38-54.27 95.27-54.77 95.77c-2.25 2.25-2.875 5.734-1.5 8.734c1.25 3 4.021 4.766 7.271 4.766c66.25 0 115.1-31.76 140.6-51.39c32.63 12.25 69.03 19.39 107.4 19.39c141.4 0 255.1-93.13 255.1-207.1S397.4 31.1 256 31.1zM328 208h-48v104c0 13.25-10.75 23.1-24 23.1S232 325.3 232 312V208h-48C170.8 208 160 197.2 160 183.1S170.8 160 184 160h144C341.3 160 352 170.7 352 183.1S341.3 208 328 208z"],
    "comment-xmark": [512, 512, ["comment-times"], "f4b5", "M256 31.1c-141.4 0-255.1 93.13-255.1 208c0 49.63 21.35 94.98 56.97 130.7C44.5 421.1 2.729 465.1 2.229 466.5c-2.25 2.25-2.875 5.734-1.5 8.734C1.978 478.2 4.75 479.1 8 479.1c66.25 0 115.1-31.76 140.6-51.39c32.63 12.25 69.02 19.39 107.4 19.39c141.4 0 255.1-93.13 255.1-208S397.4 31.1 256 31.1zM336.1 287c9.375 9.375 9.375 24.56 0 33.94c-9.381 9.379-24.56 9.371-33.94 0l-47.03-47.03l-47.03 47.03c-9.381 9.379-24.56 9.371-33.94 0c-9.375-9.375-9.375-24.56 0-33.94L222.1 240L175 192.1c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0l47.03 47.03l47.03-47.03c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94L289.9 240L336.1 287z"],
    "comments": [640, 512, [61670, 128490], "f086", "M416 176C416 78.8 322.9 0 208 0S0 78.8 0 176c0 39.57 15.62 75.96 41.67 105.4c-16.39 32.76-39.23 57.32-39.59 57.68c-2.1 2.205-2.67 5.475-1.441 8.354C1.9 350.3 4.602 352 7.66 352c38.35 0 70.76-11.12 95.74-24.04C134.2 343.1 169.8 352 208 352C322.9 352 416 273.2 416 176zM599.6 443.7C624.8 413.9 640 376.6 640 336C640 238.8 554 160 448 160c-.3145 0-.6191 .041-.9336 .043C447.5 165.3 448 170.6 448 176c0 98.62-79.68 181.2-186.1 202.5C282.7 455.1 357.1 512 448 512c33.69 0 65.32-8.008 92.85-21.98C565.2 502 596.1 512 632.3 512c3.059 0 5.76-1.725 7.02-4.605c1.229-2.879 .6582-6.148-1.441-8.354C637.6 498.7 615.9 475.3 599.6 443.7z"],
    "comments-dollar": [640, 512, [], "f653", "M416 176C416 78.8 322.9 0 208 0S0 78.8 0 176c0 39.57 15.62 75.96 41.67 105.4c-16.39 32.76-39.23 57.32-39.59 57.68c-2.1 2.205-2.67 5.475-1.441 8.354C1.9 350.3 4.602 352 7.66 352c38.35 0 70.76-11.12 95.74-24.04C134.2 343.1 169.8 352 208 352C322.9 352 416 273.2 416 176zM269.8 218.3C266.2 239.2 250.4 252.1 228 257.7V268c0 11.03-8.953 20-20 20s-20-8.969-20-20V257.2c-8.682-1.922-17.3-4.723-25.06-7.512l-4.266-1.5C148.3 244.5 142.8 233.1 146.5 222.7c3.688-10.41 15.11-15.81 25.52-12.22l4.469 1.625c7.844 2.812 16.72 6 23.66 7.031C213.8 221.3 229 219.3 230.4 211.5C231.3 206.4 231.8 203.6 202.5 195.2L196.7 193.5c-17.33-5.094-57.92-17-50.52-59.84C149.8 112.8 165.6 98.76 188 93.99V84c0-11.03 8.953-20 20-20s20 8.969 20 20v10.63c5.453 1.195 11.34 2.789 18.56 5.273C257 103.5 262.5 114.9 258.9 125.4C255.3 135.8 243.8 141.3 233.4 137.7c-5.859-2.031-12-4-17.59-4.844C202.2 130.8 186.1 132.7 185.6 140.5C184.8 144.1 184.3 148.2 207.1 155.2L213.5 156.8C235.8 163.1 277.3 175 269.8 218.3zM599.6 443.7C624.8 413.9 640 376.6 640 336C640 238.8 554 160 448 160c-.3145 0-.6191 .041-.9336 .043C447.5 165.3 448 170.6 448 176c0 98.62-79.68 181.2-186.1 202.5C282.7 455.1 357.1 512 448 512c33.69 0 65.32-8.008 92.85-21.98C565.2 502 596.1 512 632.3 512c3.059 0 5.76-1.725 7.02-4.605c1.229-2.879 .6582-6.148-1.441-8.354C637.6 498.7 615.9 475.3 599.6 443.7z"],
    "comments-question": [640, 512, [], "e14e", "M599.6 443.7C624.8 413.9 640 376.6 640 336C640 238.8 554 160 448 160c-.3145 0-.6191 .041-.9336 .043C447.5 165.3 448 170.6 448 176c0 98.62-79.68 181.2-186.1 202.5C282.7 455.1 357.1 512 448 512c33.69 0 65.32-8.008 92.85-21.98C565.2 502 596.1 512 632.3 512c3.059 0 5.76-1.725 7.02-4.605c1.229-2.879 .6582-6.148-1.441-8.354C637.6 498.7 615.9 475.3 599.6 443.7zM416 176C416 78.8 322.9 0 208 0S0 78.8 0 176c0 39.57 15.62 75.96 41.67 105.4c-16.39 32.76-39.23 57.32-39.59 57.68c-2.1 2.205-2.67 5.475-1.441 8.354C1.9 350.3 4.602 352 7.66 352c38.35 0 70.76-11.12 95.74-24.04C134.2 343.1 169.8 352 208 352C322.9 352 416 273.2 416 176zM208.5 288C194.7 288 184 277.3 184 263.5c0-13.77 10.71-24.47 24.47-24.47c13.77 0 24.47 10.71 24.47 24.47C232.9 277.3 222.2 288 208.5 288zM261.1 171.4L226.8 192.8v1.529c0 9.941-8.412 18.35-18.35 18.35S190.1 204.3 190.1 194.4V182.1c0-6.117 3.059-12.23 9.176-16.06l43.59-26C248.2 137 251.3 131.6 251.3 125.5c0-9.178-7.648-16.82-16.82-16.82H194.7c-9.178 0-16.82 7.646-16.82 16.82c0 9.941-8.412 18.35-18.35 18.35c-9.941 0-18.35-8.412-18.35-18.35C141.2 95.71 164.9 72 194.7 72h39.76C264.3 72 288 95.71 288 125.5C288 143.9 278.1 161.5 261.1 171.4z"],
    "comments-question-check": [640, 512, [], "e14f", "M416 176C416 78.8 322.9 0 208 0S0 78.8 0 176c0 39.57 15.62 75.96 41.67 105.4c-16.39 32.76-39.23 57.32-39.59 57.68c-2.1 2.205-2.67 5.475-1.441 8.354C1.9 350.3 4.602 352 7.66 352c38.35 0 70.76-11.12 95.74-24.04C134.2 343.1 169.8 352 208 352C322.9 352 416 273.2 416 176zM208.5 288C194.7 288 184 277.3 184 263.5c0-13.77 10.71-24.47 24.47-24.47c13.77 0 24.47 10.71 24.47 24.47C232.9 277.3 222.2 288 208.5 288zM261.1 171.4L226.8 192.8v1.529c0 9.941-8.412 18.35-18.35 18.35S190.1 204.3 190.1 194.4V182.1c0-6.117 3.059-12.23 9.176-16.06l43.59-26C248.2 137 251.3 131.6 251.3 125.5c0-9.178-7.648-16.82-16.82-16.82H194.7c-9.178 0-16.82 7.646-16.82 16.82c0 9.941-8.412 18.35-18.35 18.35c-9.941 0-18.35-8.412-18.35-18.35C141.2 95.71 164.9 72 194.7 72h39.76C264.3 72 288 95.71 288 125.5C288 143.9 278.1 161.5 261.1 171.4zM599.6 443.7C624.8 413.9 640 376.6 640 336C640 238.8 554 160 448 160c-.3145 0-.6191 .041-.9336 .043C447.5 165.3 448 170.6 448 176c0 98.62-79.68 181.2-186.1 202.5C282.7 455.1 357.1 512 448 512c33.69 0 65.32-8.008 92.85-21.98C565.2 502 596.1 512 632.3 512c3.059 0 5.76-1.725 7.02-4.605c1.229-2.879 .6582-6.148-1.441-8.354C637.6 498.7 615.9 475.3 599.6 443.7zM542.5 317.8l-84 88c-3.719 3.891-8.859 6.125-14.23 6.188c-5.297 0-10.62-2.109-14.38-5.859l-40-40c-7.812-7.812-7.812-20.47 0-28.28s20.47-7.812 28.28 0l25.53 25.53l69.86-73.2c7.656-8 20.3-8.297 28.28-.6562C549.8 297.2 550.1 309.8 542.5 317.8z"],
    "compact-disc": [512, 512, [128192, 128440, 128191], "f51f", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM80.72 256H79.63c-9.078 0-16.4-8.011-15.56-17.34C72.36 146 146.5 72.06 239.3 64.06C248.3 63.28 256 70.75 256 80.09c0 8.35-6.215 15.28-14.27 15.99C164.7 102.9 103.1 164.3 96.15 241.4C95.4 249.6 88.77 256 80.72 256zM256 351.1c-53.02 0-96-43-96-95.1s42.98-96 96-96s96 43 96 96S309 351.1 256 351.1zM256 224C238.3 224 224 238.2 224 256s14.3 32 32 32c17.7 0 32-14.25 32-32S273.7 224 256 224z"],
    "compass": [512, 512, [129517], "f14e", "M288 256C288 273.7 273.7 288 256 288C238.3 288 224 273.7 224 256C224 238.3 238.3 224 256 224C273.7 224 288 238.3 288 256zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM325.1 306.7L380.6 162.4C388.1 142.1 369 123.9 349.6 131.4L205.3 186.9C196.8 190.1 190.1 196.8 186.9 205.3L131.4 349.6C123.9 369 142.1 388.1 162.4 380.6L306.7 325.1C315.2 321.9 321.9 315.2 325.1 306.7V306.7z"],
    "compass-drafting": [512, 512, ["drafting-compass"], "f568", "M352 96C352 110.3 348.9 123.9 343.2 136.2L396 227.4C372.3 252.7 341.9 271.5 307.6 281L256 192H255.1L187.9 309.5C209.4 316.3 232.3 320 256 320C326.7 320 389.8 287.3 430.9 235.1C441.9 222.2 462.1 219.1 475.9 231C489.7 242.1 491.9 262.2 480.8 276C428.1 341.8 346.1 384 256 384C220.6 384 186.6 377.6 155.3 365.9L98.65 463.7C93.95 471.8 86.97 478.4 78.58 482.6L23.16 510.3C18.2 512.8 12.31 512.5 7.588 509.6C2.871 506.7 0 501.5 0 496V440.6C0 432.2 2.228 423.9 6.46 416.5L66.49 312.9C53.66 301.6 41.84 289.3 31.18 276C20.13 262.2 22.34 242.1 36.13 231C49.92 219.1 70.06 222.2 81.12 235.1C86.79 243.1 92.87 249.8 99.34 256.1L168.8 136.2C163.1 123.9 160 110.3 160 96C160 42.98 202.1 0 256 0C309 0 352 42.98 352 96L352 96zM256 128C273.7 128 288 113.7 288 96C288 78.33 273.7 64 256 64C238.3 64 224 78.33 224 96C224 113.7 238.3 128 256 128zM372.1 393.9C405.5 381.1 435.5 363.2 461.8 341L505.5 416.5C509.8 423.9 512 432.2 512 440.6V496C512 501.5 509.1 506.7 504.4 509.6C499.7 512.5 493.8 512.8 488.8 510.3L433.4 482.6C425 478.4 418.1 471.8 413.3 463.7L372.1 393.9z"],
    "compass-slash": [640, 512, [], "f5e9", "M134.2 79.88C180.9 30.69 246.8 .0013 319.1 .0013C461.4 .0013 576 114.6 576 256C576 306.1 561.1 354.5 535.4 394.4L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L134.2 79.88zM270.3 186.5L397.1 285.9L444.6 162.4C452.1 142.1 433 123.9 413.6 131.4L270.3 186.5zM63.1 256C63.1 222.4 70.49 190.2 82.28 160.8L224.8 273.1L195.4 349.6C187.9 369 206.1 388.1 226.4 380.6L317 345.8L468.1 464.8C426.3 494.5 375.2 512 319.1 512C178.6 512 63.1 397.4 63.1 256V256z"],
    "compress": [448, 512, [], "f066", "M128 320H32c-17.69 0-32 14.31-32 32s14.31 32 32 32h64v64c0 17.69 14.31 32 32 32s32-14.31 32-32v-96C160 334.3 145.7 320 128 320zM416 320h-96c-17.69 0-32 14.31-32 32v96c0 17.69 14.31 32 32 32s32-14.31 32-32v-64h64c17.69 0 32-14.31 32-32S433.7 320 416 320zM320 192h96c17.69 0 32-14.31 32-32s-14.31-32-32-32h-64V64c0-17.69-14.31-32-32-32s-32 14.31-32 32v96C288 177.7 302.3 192 320 192zM128 32C110.3 32 96 46.31 96 64v64H32C14.31 128 0 142.3 0 160s14.31 32 32 32h96c17.69 0 32-14.31 32-32V64C160 46.31 145.7 32 128 32z"],
    "compress-wide": [512, 512, [], "f326", "M128 288H32c-17.69 0-32 14.31-32 32s14.31 32 32 32h64v64c0 17.69 14.31 32 32 32s32-14.31 32-32v-96C160 302.3 145.7 288 128 288zM128 64C110.3 64 96 78.31 96 96v64H32C14.31 160 0 174.3 0 192s14.31 32 32 32h96c17.69 0 32-14.31 32-32V96C160 78.31 145.7 64 128 64zM480 288h-96c-17.69 0-32 14.31-32 32v96c0 17.69 14.31 32 32 32s32-14.31 32-32v-64h64c17.69 0 32-14.31 32-32S497.7 288 480 288zM384 224h96c17.69 0 32-14.31 32-32s-14.31-32-32-32h-64V96c0-17.69-14.31-32-32-32s-32 14.31-32 32v96C352 209.7 366.3 224 384 224z"],
    "computer": [640, 512, [], "e4e5", "M400 32C426.5 32 448 53.49 448 80V336C448 362.5 426.5 384 400 384H266.7L277.3 416H352C369.7 416 384 430.3 384 448C384 465.7 369.7 480 352 480H96C78.33 480 64 465.7 64 448C64 430.3 78.33 416 96 416H170.7L181.3 384H48C21.49 384 0 362.5 0 336V80C0 53.49 21.49 32 48 32H400zM64 96V320H384V96H64zM592 32C618.5 32 640 53.49 640 80V432C640 458.5 618.5 480 592 480H528C501.5 480 480 458.5 480 432V80C480 53.49 501.5 32 528 32H592zM544 96C535.2 96 528 103.2 528 112C528 120.8 535.2 128 544 128H576C584.8 128 592 120.8 592 112C592 103.2 584.8 96 576 96H544zM544 192H576C584.8 192 592 184.8 592 176C592 167.2 584.8 160 576 160H544C535.2 160 528 167.2 528 176C528 184.8 535.2 192 544 192zM560 400C577.7 400 592 385.7 592 368C592 350.3 577.7 336 560 336C542.3 336 528 350.3 528 368C528 385.7 542.3 400 560 400z"],
    "computer-classic": [448, 512, [], "f8b1", "M416 0H32C14.38 0 0 14.38 0 32L0 400c0 8.875 7.125 16 16 16h416c8.875 0 16-7.125 16-16V32C448 14.38 433.6 0 416 0zM80 356c-11 0-20-9-20-20S69 316 80 316s20 9 20 20S91 356 80 356zM383.1 344c0 4.375-3.625 8-8 8h-144c-4.375 0-8-3.625-8-8L224 328c0-4.375 3.625-8 8-8h144c4.375 0 8 3.625 8 8L383.1 344zM384 224c0 17.62-14.38 32-32 32H96C78.38 256 64 241.6 64 224V96c0-17.62 14.38-32 32-32h256c17.62 0 32 14.38 32 32V224zM32 512h384v-64H32V512z"],
    "computer-mouse": [384, 512, [128433, "mouse"], "f8cc", "M0 352c0 88.38 71.63 160 160 160h64c88.38 0 160-71.63 160-160V224H0V352zM176 0H160C71.63 0 0 71.62 0 160v32h176V0zM224 0h-16v192H384V160C384 71.62 312.4 0 224 0z"],
    "computer-mouse-scrollwheel": [384, 512, ["mouse-alt"], "f8cd", "M224 0H160c-88.38 0-160 71.62-160 160v192c0 88.38 71.62 160 160 160h64c88.38 0 160-71.63 160-160V160C384 71.62 312.4 0 224 0zM224 159.1C224 177.6 209.6 192 192 192C174.4 192 160 177.6 160 159.1V127.1c0-17.62 14.38-32 32-32c17.62 0 32 14.38 32 32V159.1z"],
    "computer-speaker": [640, 512, [], "f8b2", "M288 416H128c-17.62 0-32 14.38-32 32s14.38 32 32 32h176.4C293.9 466.2 288 449.4 288 432V416zM0 80L0 336C0 362.5 21.5 384 48 384H288v-64H64L63.1 96H288V80C288 62.62 293.9 45.75 304.4 32H47.1C21.5 32 0 53.5 0 80zM592 32h-224c-26.5 0-48 21.5-48 48v352c0 26.5 21.5 48 48 48H592c26.5 0 48-21.5 48-48v-352C640 53.5 618.5 32 592 32zM480 96c17.62 0 31.1 14.38 31.1 32S497.6 160 480 160s-32-14.38-32-32S462.4 96 480 96zM480 416c-53 0-96-43-96-96s43-96 96-96s96 43 96 96S533 416 480 416zM480 256c-35.38 0-64 28.62-64 64s28.62 64 64 64s64-28.62 64-64S515.4 256 480 256z"],
    "container-storage": [640, 512, [], "f4b7", "M608 80v-32C608 39.25 600.8 32 592 32h-544C39.25 32 31.1 39.25 31.1 48L32 80C32 88.75 39.25 96 48 96v320C39.25 416 32 423.3 32 432l0 32c0 8.75 7.25 16 16 16h544c8.75 0 16-7.25 16-16v-32c0-8.75-7.25-16-16-16V96C600.8 96 608 88.75 608 80zM144 416h-32V96h32V416zM240 416h-32V96h32V416zM336 416h-32V96h32V416zM432 416h-32V96h32V416zM528 416h-32V96h32V416z"],
    "conveyor-belt": [640, 512, [], "f46e", "M160 256h320c17.6 0 32-14.4 32-32l0-192c0-17.6-14.4-32-32-32H384v128l-64-32L256 128V0H159.1C142.4 0 127.1 14.4 127.1 32L128 224C128 241.6 142.4 256 160 256zM544 320h-448c-53 0-96 43-96 96s43 96 96 96h448c53 0 96-43 96-96S597 320 544 320zM128 448c-17.75 0-32-14.25-32-32s14.25-32 32-32s31.1 14.25 31.1 32S145.8 448 128 448zM319.1 448c-17.75 0-32-14.25-32-32s14.25-32 32-32s32 14.25 32 32S337.8 448 319.1 448zM512 448c-17.75 0-32-14.25-32-32S494.2 384 512 384c17.75 0 32 14.25 32 32S529.8 448 512 448z"],
    "conveyor-belt-boxes": [640, 512, ["conveyor-belt-alt"], "f46f", "M96 256h192c17.6 0 32-14.4 32-32V32c0-17.6-14.4-32-32-32H96C78.4 0 64 14.4 64 32v192C64 241.6 78.4 256 96 256zM416 256h128c17.6 0 32-14.4 32-32V96c0-17.6-14.4-32-32-32h-128c-17.6 0-32 14.4-32 32v128C384 241.6 398.4 256 416 256zM544 320H96c-53 0-96 43-96 96s43 96 96 96h448c53 0 96-43 96-96S597 320 544 320zM128 448c-17.75 0-32-14.25-32-32s14.25-32 32-32s32 14.25 32 32S145.8 448 128 448zM320 448c-17.75 0-32-14.25-32-32s14.25-32 32-32s32 14.25 32 32S337.8 448 320 448zM512 448c-17.75 0-32-14.25-32-32s14.25-32 32-32c17.75 0 32 14.25 32 32S529.8 448 512 448z"],
    "conveyor-belt-empty": [640, 512, [], "e150", "M544 320H96c-53 0-96 43-96 96s43 96 96 96h448c53 0 96-43 96-96S597 320 544 320zM128 448c-17.75 0-32-14.25-32-32s14.25-32 32-32s32 14.25 32 32S145.8 448 128 448zM320 448c-17.75 0-32-14.25-32-32s14.25-32 32-32s32 14.25 32 32S337.8 448 320 448zM512 448c-17.75 0-32-14.25-32-32s14.25-32 32-32c17.75 0 32 14.25 32 32S529.8 448 512 448z"],
    "cookie": [512, 512, [127850], "f563", "M494.5 254.8l-11.37-71.48c-4.102-25.9-16.29-49.8-34.8-68.32l-51.33-51.33c-18.52-18.52-42.3-30.7-68.2-34.8L256.9 17.53C231.2 13.42 204.7 17.64 181.5 29.48L116.7 62.53C93.23 74.36 74.36 93.35 62.41 116.7L29.51 181.2c-11.84 23.44-16.08 50.04-11.98 75.94l11.37 71.48c4.101 25.9 16.29 49.77 34.8 68.41l51.33 51.33c18.52 18.4 42.3 30.61 68.2 34.72l71.84 11.37c25.78 4.102 52.27-.1173 75.47-11.95l64.8-33.05c23.32-11.84 42.3-30.82 54.26-54.14l32.81-64.57C494.4 307.3 498.6 280.8 494.5 254.8zM176 367.1c-17.62 0-31.1-14.37-31.1-31.1c0-17.62 14.37-31.1 31.1-31.1s31.1 14.37 31.1 31.1C208 353.6 193.6 367.1 176 367.1zM208 208c-17.62 0-31.1-14.37-31.1-31.1s14.38-31.1 31.1-31.1c17.62 0 31.1 14.37 31.1 31.1S225.6 208 208 208zM368 335.1c-17.62 0-31.1-14.37-31.1-31.1c0-17.62 14.37-31.1 31.1-31.1s31.1 14.37 31.1 31.1C400 321.6 385.6 335.1 368 335.1z"],
    "cookie-bite": [512, 512, [], "f564", "M494.6 255.9c-65.63-.8203-118.6-54.14-118.6-119.9c-65.74 0-119.1-52.97-119.8-118.6c-25.66-3.867-51.8 .2346-74.77 12.07L116.7 62.41C93.35 74.36 74.36 93.35 62.41 116.7L29.6 181.2c-11.95 23.44-16.17 49.92-12.07 75.94l11.37 71.48c4.102 25.9 16.29 49.8 34.81 68.32l51.36 51.39C133.6 466.9 157.3 479 183.2 483.1l71.84 11.37c25.9 4.101 52.27-.1172 75.59-11.95l64.81-33.05c23.32-11.84 42.31-30.82 54.14-54.14l32.93-64.57C494.3 307.7 498.5 281.4 494.6 255.9zM176 367.1c-17.62 0-32-14.37-32-31.1s14.38-31.1 32-31.1s32 14.37 32 31.1S193.6 367.1 176 367.1zM208 208c-17.62 0-32-14.37-32-31.1s14.38-31.1 32-31.1s32 14.37 32 31.1S225.6 208 208 208zM368 335.1c-17.62 0-32-14.37-32-31.1s14.38-31.1 32-31.1s32 14.37 32 31.1S385.6 335.1 368 335.1z"],
    "copy": [512, 512, [], "f0c5", "M384 96L384 0h-112c-26.51 0-48 21.49-48 48v288c0 26.51 21.49 48 48 48H464c26.51 0 48-21.49 48-48V128h-95.1C398.4 128 384 113.6 384 96zM416 0v96h96L416 0zM192 352V128h-144c-26.51 0-48 21.49-48 48v288c0 26.51 21.49 48 48 48h192c26.51 0 48-21.49 48-48L288 416h-32C220.7 416 192 387.3 192 352z"],
    "copyright": [512, 512, [169], "f1f9", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM199.2 312.6c14.94 15.06 34.8 23.38 55.89 23.38c.0313 0 0 0 0 0c21.06 0 40.92-8.312 55.83-23.38c9.375-9.375 24.53-9.469 33.97-.1562c9.406 9.344 9.469 24.53 .1562 33.97c-24 24.22-55.95 37.56-89.95 37.56c0 0 .0313 0 0 0c-33.97 0-65.95-13.34-89.95-37.56c-49.44-49.88-49.44-131 0-180.9c24-24.22 55.98-37.56 89.95-37.56c.0313 0 0 0 0 0c34 0 65.95 13.34 89.95 37.56c9.312 9.438 9.25 24.62-.1562 33.97c-9.438 9.344-24.59 9.188-33.97-.1562c-14.91-15.06-34.77-23.38-55.83-23.38c0 0 .0313 0 0 0c-21.09 0-40.95 8.312-55.89 23.38C168.3 230.6 168.3 281.4 199.2 312.6z"],
    "corn": [512, 512, [127805], "f6c7", "M118.6 370.7l-67.88 67.88L96.01 483.9c37.5 37.5 98.26 37.5 135.8 0l90.51-90.51l97.63-19.5c6.501-1.375 8.876-9.625 4-13.88C335.9 283.4 202.4 286.1 118.6 370.7zM201 284.9C216.5 217.1 200.3 143.6 152 88.08C147.8 83.2 139.5 85.58 138.1 91.95l-19.5 97.76L28.13 280.2c-37.5 37.5-37.5 98.26 0 135.8l67.88-67.88C126.4 317.7 162.6 296.7 201 284.9zM511.9 45.2V42.07c1.375-21.5-14.63-40-36.38-41.88c-16.63-1.625-31.75 6.1-39.13 21c-9.876-9.501-24.25-13.75-38.38-9.5c-13.38 3.75-23.63 14-27.5 26.88c-10.88-7.126-25-8.626-37.75-3.25c-12.75 5.751-21.13 17.25-23.38 29.75c-11.5-5.376-25.63-5.376-37.5 1.625c-11.75 6.751-18.88 18.88-19.75 31.38C240.3 93.58 226.1 94.83 215 102.8C211.8 105.2 209 107.1 206.6 111.1c28.38 51.13 37.75 110 28.38 166.4c56.38-9.376 115.3-.3766 166.5 28.13c1.625-1.625 3.375-3.25 4.875-5.25c8.001-11.25 9.252-25 4.751-36.88c12.75-.8751 25-8.002 31.63-19.75c7.126-11.88 7.376-26 1.625-37.5c12.88-2.25 24.38-10.25 30.13-23c5.75-12.88 4.125-26.88-2.875-37.88c12.5-3.75 23-13.75 27.13-27.13c4.25-14.13 .0004-28.5-8.875-38.38C502.4 73.45 511.3 60.58 511.9 45.2z"],
    "corner": [448, 512, [], "e3fe", "M416 384c-17.69 0-32-14.31-32-32V224H32C14.31 224 0 209.7 0 192s14.31-32 32-32h384c17.69 0 32 14.31 32 32v160C448 369.7 433.7 384 416 384z"],
    "couch": [640, 512, [], "f4b8", "M592 224C565.5 224 544 245.5 544 272V352H96V272C96 245.5 74.51 224 48 224S0 245.5 0 272v192C0 472.8 7.164 480 16 480h64c8.836 0 15.1-7.164 15.1-16L96 448h448v16c0 8.836 7.164 16 16 16h64c8.836 0 16-7.164 16-16v-192C640 245.5 618.5 224 592 224zM128 272V320h384V272c0-38.63 27.53-70.95 64-78.38V160c0-70.69-57.31-128-128-128H191.1c-70.69 0-128 57.31-128 128L64 193.6C100.5 201.1 128 233.4 128 272z"],
    "cow": [640, 512, [128004], "f6c8", "M634 276.8l-9.999-13.88L624 185.7c0-11.88-12.5-19.49-23.12-14.11c-10.88 5.375-19.5 13.5-26.38 23l-65.75-90.92C490.6 78.71 461.8 64 431 64H112C63.37 64 24 103.4 24 152v86.38C9.5 250.1 0 267.9 0 288v32h8c35.38 0 64-28.62 64-64L72 152c0-16.88 10.5-31.12 25.38-37C96.5 119.1 96 123.5 96 128l.0002 304c0 8.875 7.126 16 16 16h63.1c8.875 0 16-7.125 16-16l.0006-112c9.375 9.375 20.25 16.5 32 21.88V368c0 8.875 7.252 16 16 16c8.875 0 15.1-7.125 15.1-16v-17.25c9.125 1 12.88 2.25 32-.125V368c0 8.875 7.25 16 16 16c8.875 0 16-7.125 16-16v-26.12C331.8 336.5 342.6 329.2 352 320l-.0012 112c0 8.875 7.125 16 15.1 16h64c8.75 0 16-7.125 16-16V256l31.1 32l.0006 41.55c0 12.62 3.752 24.95 10.75 35.45l41.25 62C540.8 440.1 555.5 448 571.4 448c22.5 0 41.88-15.88 46.25-38l21.75-108.6C641.1 292.8 639.1 283.9 634 276.8zM377.3 167.4l-22.88 22.75C332.5 211.8 302.9 224 272.1 224S211.5 211.8 189.6 190.1L166.8 167.4C151 151.8 164.4 128 188.9 128h166.2C379.6 128 393 151.8 377.3 167.4zM576 352c-8.875 0-16-7.125-16-16s7.125-16 16-16s16 7.125 16 16S584.9 352 576 352z"],
    "cowbell": [448, 512, [], "f8b3", "M111.1 96H127.1V40C127.1 17.91 145.9 0 167.1 0H280C302.1 0 320 17.91 320 40V96H336C357.4 96 376.3 110.2 382.2 130.8L446.2 354.8C450.3 369.3 447.4 384.9 438.3 396.9C429.3 408.9 415.1 416 400 416H47.1C32.94 416 18.75 408.9 9.679 396.9C.6086 384.9-2.291 369.3 1.847 354.8L65.85 130.8C71.73 110.2 90.57 96 112 96H111.1zM272 48H175.1V96H272V48zM288 448C288 483.3 259.3 512 223.1 512C188.7 512 159.1 483.3 159.1 448H288z"],
    "cowbell-circle-plus": [576, 512, ["cowbell-more"], "f8b4", "M111.1 96H127.1V40C127.1 17.91 145.9 0 167.1 0H279.1C302.1 0 320 17.91 320 40V96H336C357.4 96 376.3 110.2 382.2 130.8L400.4 194.8C318.3 209.7 255.1 281.6 255.1 368C255.1 384.6 258.3 400.7 262.6 416H47.1C32.94 416 18.75 408.9 9.679 396.9C.6086 384.9-2.291 369.3 1.847 354.8L65.85 130.8C71.73 110.2 90.57 96 112 96H111.1zM271.1 48H175.1V96H271.1V48zM223.1 512C188.7 512 159.1 483.3 159.1 448H275.2C278.3 454.1 281.8 459.1 285.5 465.6C277.9 492.4 253.2 512 223.1 512zM287.1 368C287.1 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 287.1 447.5 287.1 368zM448 303.1C448 295.2 440.8 287.1 432 287.1C423.2 287.1 416 295.2 416 303.1V351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H416V431.1C416 440.8 423.2 447.1 432 447.1C440.8 447.1 448 440.8 448 431.1V383.1H496C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1H448V303.1z"],
    "crab": [512, 512, [129408], "e3ff", "M417.5 251.7C421.7 258.1 425.5 264.9 428.5 272h31.72l28.62-14.31c7.938-3.922 17.5-.7656 21.47 7.156c3.938 7.906 .75 17.52-7.156 21.47l-32 16C468.9 303.4 466.5 304 464 304h-27.07c.9277 6.297 1.928 12.58 1.928 19.14c0 2.91-.9961 5.617-1.668 8.4l15.88 5.291c2.344 .7813 4.5 2.109 6.25 3.859l32 32c6.25 6.25 6.25 16.38 0 22.62C488.2 398.4 484.1 400 480 400s-8.188-1.562-11.31-4.688l-29.34-29.33l-21.14-7.049l-30.71 30.71l33.56 11.19c2.344 .7813 4.5 2.109 6.25 3.859l32 32c6.25 6.25 6.25 16.38 0 22.62C456.2 462.4 452.1 464 448 464s-8.188-1.562-11.31-4.688l-29.34-29.33l-45.13-15.05l-16.84 16.84l30.85 18.51C381.1 453.2 384 458.4 384 464v32c0 8.844-7.156 16-16 16S352 504.8 352 496v-22.94L310.2 448H201.8L160 473.1V496C160 504.8 152.8 512 144 512S128 504.8 128 496v-32c0-5.625 2.938-10.83 7.781-13.72l30.85-18.51l-16.84-16.84l-45.14 15.05l-29.34 29.33C72.19 462.4 68.09 464 64 464s-8.188-1.562-11.31-4.688c-6.25-6.25-6.25-16.38 0-22.62l32-32c1.75-1.75 3.906-3.078 6.25-3.859l33.56-11.19l-30.71-30.71l-21.14 7.049l-29.34 29.33C40.19 398.4 36.09 400 32 400s-8.188-1.562-11.31-4.688c-6.25-6.25-6.25-16.38 0-22.62l32-32c1.75-1.75 3.906-3.078 6.25-3.859l15.88-5.291c-.6719-2.783-1.649-5.49-1.649-8.4c0-6.555 .9807-12.84 1.908-19.14H48c-2.469 0-4.938-.5781-7.156-1.688l-32-16C.9375 282.4-2.25 272.8 1.688 264.8c3.969-7.922 13.56-11.05 21.47-7.156L51.78 272H83.5c3.027-7.143 6.825-13.86 11.02-20.29L13.79 213.7C5.379 209.8 .0039 201.3 .0039 192V128c0-70.69 57.3-128 127.1-128h63.1l-63.1 64h63.1c0 35.35-28.65 64-63.1 64h-79.1v48.77l81.87 38.53C147.8 202.9 169.1 195.3 192 193.2L192 144C192 135.2 199.2 128 208 128S224 135.2 224 144L224.1 192H288V144C288 135.2 295.2 128 304 128S320 135.2 320 144l-.001 49.17c22.89 2.162 44.19 9.723 62.13 22.13l81.87-38.53V128h-79.1C348.7 128 319.1 99.35 319.1 64h63.1l-63.1-64h63.1c70.69 0 127.1 57.31 127.1 128v64c0 9.297-5.375 17.75-13.78 21.72L417.5 251.7z"],
    "crate-apple": [512, 512, ["apple-crate"], "f6b1", "M318.3 192h159.7c5.25-39.5-5.125-102.6-53.87-111.4c-18.13-3-51.88 6.125-72.5 17.62c-17-9.5-42.38-16.87-61.13-17.75c1.875 2.25 3.875 4.125 5.5 6.625C316.9 117.3 321.8 159.4 318.3 192zM210.5 50.5c11.38-12.25 14.5-32 13.25-50.25c-12.88-.875-35.63-.125-50 13.25C157.2 30.13 160 59.88 160.5 63.75C179 65 198.3 61.88 210.5 50.5zM402.3 50.5c11.25-12.25 14.38-32 13.25-50.25c-13-.875-35.75-.125-50.13 13.25c-16.5 16.62-13.75 46.37-13.12 50.25C370.6 65 389.1 61.88 402.3 50.5zM286.3 192c5.25-39.5-5.163-102.6-53.79-111.4C214.4 77.63 180.6 86.8 160 98.3c-20.62-11.5-54.38-20.67-72.5-17.67c-48.62 8.75-59.04 72.25-53.79 111.4H286.3zM496 224h-480c-8.875 0-16 7.125-16 16v112h512V240C512 231.1 504.9 224 496 224zM64 303.1c-8.875 0-16-7.123-16-15.1s7.125-16 16-16s16 7.122 16 15.1S72.88 303.1 64 303.1zM448 303.1c-8.875 0-16-7.125-16-16S439.1 272 448 272s16 7.125 16 16S456.9 303.1 448 303.1zM0 496c0 8.875 7.125 16 16 16h480c8.875 0 16-7.125 16-16v-112H0V496zM448 431.1c8.875 0 16 7.126 16 16s-7.125 16-16 16s-16-7.126-16-16S439.1 431.1 448 431.1zM64 431.1c8.875 0 16 7.125 16 16S72.88 464 64 464s-16-7.125-16-16S55.12 431.1 64 431.1z"],
    "crate-empty": [512, 512, [], "e151", "M496 224h-480c-8.875 0-16 7.125-16 16v112h512V240C512 231.1 504.9 224 496 224zM64 303.1c-8.875 0-16-7.123-16-15.1s7.125-16 16-16s16 7.122 16 15.1S72.88 303.1 64 303.1zM448 303.1c-8.875 0-16-7.125-16-16S439.1 272 448 272s16 7.125 16 16S456.9 303.1 448 303.1zM0 496c0 8.875 7.125 16 16 16h480c8.875 0 16-7.125 16-16v-112H0V496zM448 431.1c8.875 0 16 7.126 16 16s-7.125 16-16 16s-16-7.126-16-16S439.1 431.1 448 431.1zM64 431.1c8.875 0 16 7.125 16 16S72.88 464 64 464s-16-7.125-16-16S55.12 431.1 64 431.1z"],
    "credit-card": [576, 512, [62083, 128179, "credit-card-alt"], "f09d", "M512 32C547.3 32 576 60.65 576 96V128H0V96C0 60.65 28.65 32 64 32H512zM576 416C576 451.3 547.3 480 512 480H64C28.65 480 0 451.3 0 416V224H576V416zM112 352C103.2 352 96 359.2 96 368C96 376.8 103.2 384 112 384H176C184.8 384 192 376.8 192 368C192 359.2 184.8 352 176 352H112zM240 384H368C376.8 384 384 376.8 384 368C384 359.2 376.8 352 368 352H240C231.2 352 224 359.2 224 368C224 376.8 231.2 384 240 384z"],
    "credit-card-blank": [576, 512, [], "f389", "M512 32C547.3 32 576 60.65 576 96V416C576 451.3 547.3 480 512 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H512zM112 384H176C184.8 384 192 376.8 192 368C192 359.2 184.8 352 176 352H112C103.2 352 96 359.2 96 368C96 376.8 103.2 384 112 384zM240 384H368C376.8 384 384 376.8 384 368C384 359.2 376.8 352 368 352H240C231.2 352 224 359.2 224 368C224 376.8 231.2 384 240 384z"],
    "credit-card-front": [576, 512, [], "f38a", "M0 96C0 60.65 28.65 32 64 32H512C547.3 32 576 60.65 576 96V416C576 451.3 547.3 480 512 480H64C28.65 480 0 451.3 0 416V96zM112 288C103.2 288 96 295.2 96 304C96 312.8 103.2 320 112 320H464C472.8 320 480 312.8 480 304C480 295.2 472.8 288 464 288H112zM112 384H176C184.8 384 192 376.8 192 368C192 359.2 184.8 352 176 352H112C103.2 352 96 359.2 96 368C96 376.8 103.2 384 112 384zM240 384H368C376.8 384 384 376.8 384 368C384 359.2 376.8 352 368 352H240C231.2 352 224 359.2 224 368C224 376.8 231.2 384 240 384zM408 96C394.7 96 384 106.7 384 120V168C384 181.3 394.7 192 408 192H488C501.3 192 512 181.3 512 168V120C512 106.7 501.3 96 488 96H408z"],
    "cricket-bat-ball": [512, 512, [127951, "cricket"], "f449", "M407.9 257.1c5.395-5.395 8.092-12.46 8.092-19.54c0-7.07-2.697-14.14-8.092-19.54l-34.35-34.35l129.1-129.1c6.25-6.25 9.374-14.44 9.374-22.62C511.1 13.72 497.1 0 480 0c-8.188 0-16.38 3.124-22.62 9.374l-129.1 129.1l-34.35-34.35c-5.395-5.393-12.46-8.09-19.54-8.09S260.3 98.69 254.9 104.1L224 134.1l.0002 153l153-.0059L407.9 257.1zM191.1 166.1l-182.4 182.4c-5.861 5.863-9.592 13.8-9.592 22.02c0 102.8 108.9 140.6 140.6 140.6c8.217 0 16.16-3.731 22.03-9.594l182.4-182.4l-153 .002V166.1zM431.1 352c-44.25 0-80 35.75-80 79.1c0 44.25 35.75 79.1 80 79.1s80-35.75 80-79.1C511.1 387.8 476.2 352 431.1 352z"],
    "croissant": [512, 512, [129360], "f7f6", "M209.1 388l-99.14 77.75c20.5 19.13 44.51 34.13 70.64 44.13c10.75 4.125 22.88 2.125 31.63-5.125c8.876-7.25 13.25-18.75 11.38-30L209.1 388zM509.9 180.6c-10-26.13-25-50.13-44.13-70.63l-77.76 99.13l86.76 14.5c1.75 .25 3.5 .375 5.251 .375c10.5 0 20.38-5.125 26.38-13.88C512.3 201.5 513.7 190.5 509.9 180.6zM234.9 22.63c-5.001-16.25-21.88-25.75-38.38-21.63c-96.26 24-171.5 99.25-195.5 195.5C-3.163 213 6.338 229.9 22.59 234.9l208 64c11.25 3.5 23.63 .375 32-8L290.9 262.6c8.376-8.375 11.5-20.75 8.001-32L234.9 22.63zM447.8 65.63c-1.125-8.5-5.501-16.25-12.38-21.38C397.8 15.63 351.8 .125 304.5 0c-14.63 0-29.13 1.5-43.26 4.5c1.375 2.875 3.251 5.5 4.251 8.625l64.01 208c0 .25 0 .5 .125 .625c6.001-1.875 11.63-5 15.5-10l96.01-122.3C446.5 82.75 448.9 74.13 447.8 65.63zM221.7 329.6c-.125-.125-.375 0-.6251-.125L13.09 265.5c-2.875-1-5.751-2.25-8.501-3.625c-12.5 60.88 2 124.1 39.63 173.5c5.126 6.875 12.88 11.25 21.38 12.38c1.375 .125 2.75 .25 4.001 .25c7.251 0 14.13-2.375 19.75-6.875l122.4-96C216.9 341.1 219.9 335.6 221.7 329.6z"],
    "crop": [512, 512, [], "f125", "M448 384H480C497.7 384 512 398.3 512 416C512 433.7 497.7 448 480 448H448V480C448 497.7 433.7 512 416 512C398.3 512 384 497.7 384 480V173.3L173.3 384H352V448H128C92.65 448 64 419.3 64 384V128H32C14.33 128 0 113.7 0 96C0 78.33 14.33 64 32 64H64V32C64 14.33 78.33 0 96 0C113.7 0 128 14.33 128 32V338.7L338.7 128H160V64H402.7L457.4 9.372C469.9-3.124 490.1-3.124 502.6 9.372C515.1 21.87 515.1 42.13 502.6 54.63L448 109.3V384z"],
    "crop-simple": [512, 512, ["crop-alt"], "f565", "M128 384H352V448H128C92.65 448 64 419.3 64 384V128H32C14.33 128 0 113.7 0 96C0 78.33 14.33 64 32 64H64V32C64 14.33 78.33 0 96 0C113.7 0 128 14.33 128 32V384zM384 128H160V64H384C419.3 64 448 92.65 448 128V384H480C497.7 384 512 398.3 512 416C512 433.7 497.7 448 480 448H448V480C448 497.7 433.7 512 416 512C398.3 512 384 497.7 384 480V128z"],
    "cross": [384, 512, [128327, 10013], "f654", "M383.1 160v64c0 17.62-14.37 32-31.1 32h-96v224c0 17.62-14.38 32-31.1 32H160c-17.62 0-32-14.38-32-32V256h-96C14.37 256-.0008 241.6-.0008 224V160c0-17.62 14.38-32 32-32h96V32c0-17.62 14.38-32 32-32h64c17.62 0 31.1 14.38 31.1 32v96h96C369.6 128 383.1 142.4 383.1 160z"],
    "crosshairs": [512, 512, [], "f05b", "M224 256C224 238.3 238.3 224 256 224C273.7 224 288 238.3 288 256C288 273.7 273.7 288 256 288C238.3 288 224 273.7 224 256zM256 0C273.7 0 288 14.33 288 32V42.35C381.7 56.27 455.7 130.3 469.6 224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H469.6C455.7 381.7 381.7 455.7 288 469.6V480C288 497.7 273.7 512 256 512C238.3 512 224 497.7 224 480V469.6C130.3 455.7 56.27 381.7 42.35 288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H42.35C56.27 130.3 130.3 56.27 224 42.35V32C224 14.33 238.3 0 256 0V0zM224 404.6V384C224 366.3 238.3 352 256 352C273.7 352 288 366.3 288 384V404.6C346.3 392.1 392.1 346.3 404.6 288H384C366.3 288 352 273.7 352 256C352 238.3 366.3 224 384 224H404.6C392.1 165.7 346.3 119.9 288 107.4V128C288 145.7 273.7 160 256 160C238.3 160 224 145.7 224 128V107.4C165.7 119.9 119.9 165.7 107.4 224H128C145.7 224 160 238.3 160 256C160 273.7 145.7 288 128 288H107.4C119.9 346.3 165.7 392.1 224 404.6z"],
    "crosshairs-simple": [512, 512, [], "e59f", "M256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM288 66.65V128C288 145.7 273.7 160 256 160C238.3 160 224 145.7 224 128V66.65C143.6 80.14 80.14 143.6 66.65 224H128C145.7 224 160 238.3 160 256C160 273.7 145.7 288 128 288H66.65C80.14 368.4 143.6 431.9 224 445.3V384C224 366.3 238.3 352 256 352C273.7 352 288 366.3 288 384V445.3C368.4 431.9 431.9 368.4 445.3 288H384C366.3 288 352 273.7 352 256C352 238.3 366.3 224 384 224H445.3C431.9 143.6 368.4 80.14 288 66.65z"],
    "crow": [640, 512, [], "f520", "M523.9 31.1H574C603.4 31.1 628.1 51.99 636.1 80.48L640 95.1L544 119.1V191.1C544 279.1 484.9 354.1 404.2 376.8L446.2 478.9C451.2 491.1 445.4 505.1 433.1 510.2C420.9 515.2 406.9 509.4 401.8 497.1L355.2 383.1C354.1 383.1 353.1 384 352 384H311.1L350.2 478.9C355.2 491.1 349.4 505.1 337.1 510.2C324.9 515.2 310.9 509.4 305.8 497.1L259.2 384H126.1L51.51 441.4C37.5 452.1 17.41 449.5 6.638 435.5C-4.138 421.5-1.517 401.4 12.49 390.6L368 117.2V88C368 39.4 407.4 0 456 0C483.3 0 507.7 12.46 523.9 32V31.1zM456 111.1C469.3 111.1 480 101.3 480 87.1C480 74.74 469.3 63.1 456 63.1C442.7 63.1 432 74.74 432 87.1C432 101.3 442.7 111.1 456 111.1z"],
    "crown": [576, 512, [128081], "f521", "M576 136c0 22.09-17.91 40-40 40c-.248 0-.4551-.1266-.7031-.1305l-50.52 277.9C482 468.9 468.8 480 453.3 480H122.7c-15.46 0-28.72-11.06-31.48-26.27L40.71 175.9C40.46 175.9 40.25 176 39.1 176c-22.09 0-40-17.91-40-40S17.91 96 39.1 96s40 17.91 40 40c0 8.998-3.521 16.89-8.537 23.57l89.63 71.7c15.91 12.73 39.5 7.544 48.61-10.68l57.6-115.2C255.1 98.34 247.1 86.34 247.1 72C247.1 49.91 265.9 32 288 32s39.1 17.91 39.1 40c0 14.34-7.963 26.34-19.3 33.4l57.6 115.2c9.111 18.22 32.71 23.4 48.61 10.68l89.63-71.7C499.5 152.9 496 144.1 496 136C496 113.9 513.9 96 536 96S576 113.9 576 136z"],
    "crutch": [512, 512, [], "f7f7", "M502.6 168.1l-159.6-159.5c-12.54-12.54-32.85-12.6-45.46-.1256c-12.68 12.54-12.73 33.1-.1256 45.71l159.6 159.5c12.6 12.59 33.03 12.57 45.59-.0628C515.1 201.9 515.1 181.5 502.6 168.1zM334.4 245.4l-67.88-67.87l55.13-55.12l-45.25-45.25L166.7 186.8C154.1 199.6 145.2 215.6 141.1 233.2L113.3 353.4l-108.6 108.6c-6.25 6.25-6.25 16.37 0 22.62l22.63 22.62c6.25 6.25 16.38 6.25 22.63 0l108.6-108.6l120.3-27.75c17.5-4.125 33.63-13 46.38-25.62l109.6-109.7l-45.25-45.25L334.4 245.4zM279.9 300.1C275.7 304.2 270.3 307.2 264.4 308.6l-79.25 18.25l18.25-79.25c1.375-5.875 4.375-11.25 8.5-15.5l9.375-9.25l67.88 67.87L279.9 300.1z"],
    "crutches": [640, 512, [], "f7f8", "M438.6 393.4c-7.879 3.619-16.01 6.738-24.58 8.758l-46.44 10.72l94.49 94.49C465.2 510.4 469.3 512 473.4 512c4.094 0 8.188-1.562 11.31-4.687l22.63-22.62c3.125-3.125 4.687-7.219 4.687-11.31c0-4.094-1.563-8.187-4.688-11.31L438.6 393.4zM196.7 352.7l15.45-15.45l10.71-46.64L100.9 168.7L168.7 100.9l85.84 85.83c5.047-8.039 10.74-15.7 17.51-22.53l25.29-25.25L213.1 55.61l.5874-.5855c6.28-6.28 9.418-14.54 9.418-22.79C223.1 6.953 200.9 0 191.8 0C183.5 0 175.3 3.149 168.1 9.442L9.429 168.1C3.144 175.3 .0001 183.5 .0001 191.7c0 8.208 3.121 16.42 9.366 22.7c6.293 6.326 14.62 9.553 22.89 9.553c8.238 0 16.48-3.142 22.76-9.428l.5742-.5734l131.2 131.3C189.8 348.2 193.4 350.2 196.7 352.7zM222.9 290.7L222.9 290.7L222.9 290.7zM639.1 191.7c0-8.239-3.144-16.48-9.428-22.76l-159.6-159.5C464.7 3.149 456.5 0 448.2 0c-9.229 0-32.21 7.172-32.21 32.23c0 8.255 3.138 16.51 9.418 22.79l159.6 159.5c6.287 6.286 14.53 9.428 22.76 9.428c8.268 0 16.53-3.165 22.83-9.49C636.8 208.2 639.1 199.1 639.1 191.7zM462.4 245.4l-67.88-67.87l55.13-55.12l-45.25-45.25L294.7 186.8C282.1 199.6 273.2 215.6 269.1 233.2l-27.75 120.2L132.7 462.1c-3.125 3.125-4.688 7.219-4.688 11.31c0 4.094 1.564 8.187 4.689 11.31l22.63 22.62C158.4 510.4 162.5 512 166.6 512c4.094 0 8.188-1.562 11.31-4.687l108.6-108.6l120.3-27.75c17.5-4.125 33.63-12.1 46.38-25.62l109.6-109.7L517.6 190.3L462.4 245.4zM407.9 300.1c-4.25 4.125-9.625 7.125-15.5 8.5l-79.25 18.25l18.25-79.25c1.375-5.875 4.375-11.25 8.5-15.5l9.375-9.25l67.88 67.87L407.9 300.1z"],
    "cruzeiro-sign": [384, 512, [], "e152", "M159.1 402.7V256C159.1 238.3 174.3 224 191.1 224C199.7 224 206.8 226.7 212.3 231.3C223 226.6 234.8 224 247.3 224C264.5 224 281.3 229.1 295.7 238.7L305.8 245.4C320.5 255.2 324.4 275 314.6 289.8C304.8 304.5 284.1 308.4 270.2 298.6L260.2 291.9C256.3 289.4 251.9 288 247.3 288C234.4 288 224 298.4 224 311.3V416C264.1 416 302.3 400.6 330.7 375.3C343.8 363.5 364.1 364.6 375.8 377.8C387.6 390.9 386.5 411.2 373.3 422.1C333.7 458.4 281.4 480 224 480C100.3 480 0 379.7 0 256C0 132.3 100.3 32 224 32C281.4 32 333.7 53.59 373.3 89.04C386.5 100.8 387.6 121.1 375.8 134.2C364.1 147.4 343.8 148.5 330.7 136.7C302.3 111.4 264.1 96 224 96C135.6 96 63.1 167.6 63.1 256C63.1 321.6 103.5 377.1 159.1 402.7V402.7z"],
    "crystal-ball": [448, 512, [], "e362", "M376 416H71.35l-32.94 43.78c-4.426 6.199-6.424 13.05-6.424 19.68C31.99 496.4 45.07 512 64.04 512h320c18.96 0 32.05-15.61 32.05-32.22c0-6.49-1.998-13.16-6.424-19.09L376 416zM380.1 384C421.8 343.4 448 286.9 448 224.9c0-123.8-100.3-223.1-224-223.1S0 100.2 0 224c0 62.88 26.12 119.4 67.88 159.1L380.1 384zM227.7 202.9l49.41-20.62l.4062-.375l20.59-49.31C299.1 130.5 301.7 128.9 304 128.9c2.281 0 4.969 1.625 5.969 3.688l20.72 49.63l49.63 20.69C382.3 203.9 384 206.6 384 207.9c0 3.125-1.656 5.812-3.688 6l-49.63 20.75l-20.72 49.63C308.1 286.3 306.3 288 304 288c-2.312-.0625-4.906-.8125-5.906-2.812L277.4 235.5l-49.63-20.69c-2-1-3.656-3.688-3.656-5.938C224.1 206.7 225.7 203.9 227.7 202.9zM115.1 125.3l29.78-12.44l12.41-29.81c.5938-1.188 1.281-2.188 3.594-2.188c2.281 0 2.094 1 2.688 2.188l12.44 29.81l29.78 12.38C207 125.9 208 127.5 208 128.9c0 1.312-1 2.938-2.188 3.562l-28.91 11.5L164.5 173.8C163 175.9 161.4 176.9 160.9 176.9s-2.969-1-3.594-2.25L144.9 144.8L115.1 132.4C113.9 131.8 112.9 130.3 112.9 128.9S113.9 125.9 115.1 125.3z"],
    "cube": [512, 512, [], "f1b2", "M234.5 5.709C248.4 .7377 263.6 .7377 277.5 5.709L469.5 74.28C494.1 83.38 512 107.5 512 134.6V377.4C512 404.5 494.1 428.6 469.5 437.7L277.5 506.3C263.6 511.3 248.4 511.3 234.5 506.3L42.47 437.7C17 428.6 0 404.5 0 377.4V134.6C0 107.5 17 83.38 42.47 74.28L234.5 5.709zM256 65.98L82.34 128L256 190L429.7 128L256 65.98zM288 434.6L448 377.4V189.4L288 246.6V434.6z"],
    "cubes": [576, 512, [], "f1b3", "M172.1 40.16L268.1 3.76C280.9-1.089 295.1-1.089 307.9 3.76L403.9 40.16C425.6 48.41 440 69.25 440 92.52V204.7C441.3 205.1 442.6 205.5 443.9 205.1L539.9 242.4C561.6 250.6 576 271.5 576 294.7V413.9C576 436.1 562.9 456.2 542.5 465.1L446.5 507.3C432.2 513.7 415.8 513.7 401.5 507.3L288 457.5L174.5 507.3C160.2 513.7 143.8 513.7 129.5 507.3L33.46 465.1C13.13 456.2 0 436.1 0 413.9V294.7C0 271.5 14.39 250.6 36.15 242.4L132.1 205.1C133.4 205.5 134.7 205.1 136 204.7V92.52C136 69.25 150.4 48.41 172.1 40.16V40.16zM290.8 48.64C289 47.95 286.1 47.95 285.2 48.64L206.8 78.35L287.1 109.5L369.2 78.35L290.8 48.64zM392 210.6V121L309.6 152.6V241.8L392 210.6zM154.8 250.9C153 250.2 150.1 250.2 149.2 250.9L70.81 280.6L152 311.7L233.2 280.6L154.8 250.9zM173.6 455.3L256 419.1V323.2L173.6 354.8V455.3zM342.8 280.6L424 311.7L505.2 280.6L426.8 250.9C425 250.2 422.1 250.2 421.2 250.9L342.8 280.6zM528 413.9V323.2L445.6 354.8V455.3L523.2 421.2C526.1 419.9 528 417.1 528 413.9V413.9z"],
    "cubes-stacked": [448, 512, [], "e4e6", "M192 64C192 46.33 206.3 32 224 32H288C305.7 32 320 46.33 320 64V128C320 145.7 305.7 160 288 160H224C206.3 160 192 145.7 192 128V64zM138.1 174.1C153.4 166.1 172.1 171.4 181.8 186.7L213.8 242.1C222.6 257.4 217.4 276.1 202.1 285.8L146.7 317.8C131.4 326.6 111.8 321.4 102.1 306.1L70.96 250.7C62.12 235.4 67.37 215.8 82.67 206.1L138.1 174.1zM352 192C369.7 192 384 206.3 384 224V288C384 305.7 369.7 320 352 320H288C270.3 320 256 305.7 256 288V224C256 206.3 270.3 192 288 192H352zM416 352C433.7 352 448 366.3 448 384V448C448 465.7 433.7 480 416 480H352C334.3 480 320 465.7 320 448V384C320 366.3 334.3 352 352 352H416zM160 384C160 366.3 174.3 352 192 352H256C273.7 352 288 366.3 288 384V448C288 465.7 273.7 480 256 480H192C174.3 480 160 465.7 160 448V384zM96 352C113.7 352 128 366.3 128 384V448C128 465.7 113.7 480 96 480H32C14.33 480 0 465.7 0 448V384C0 366.3 14.33 352 32 352H96z"],
    "cucumber": [512, 512, [129362], "e401", "M474.7 37.48c-49.96-49.97-131.1-49.97-181.1 0L169.2 161.8C166.3 160.9 163.3 159.1 160.1 159.1c-17.68 0-32.01 14.33-32.01 32c0 3.242 .9476 6.191 1.844 9.141L37.51 293.5c-50.02 50-50.02 131 0 181C62.49 499.5 95.29 512 128.1 512c31.01 0 61.83-11.59 86.24-33.98c3.132 1.023 6.323 1.977 9.797 1.977c17.68 0 32.01-14.33 32.01-32c0-3.242-.9476-6.191-1.844-9.141l184.8-184.7c2.95 .8965 5.899 1.846 9.142 1.846c17.68 0 32.01-14.33 32.01-32c0-3.475-.9535-6.664-1.977-9.797C524.3 163.1 523.4 86.14 474.7 37.48zM144.1 323.1c-11.04 0-20.01-8.969-20.01-20s8.972-20 20.01-20s20.01 8.969 20.01 20S155.1 323.1 144.1 323.1zM304.1 291.1c-11.04 0-20.01-8.969-20.01-20s8.972-20 20.01-20c11.04 0 20.01 8.969 20.01 20S315.2 291.1 304.1 291.1zM400.2 131.1c-11.04 0-20.01-8.969-20.01-20s8.972-20 20.01-20c11.04 0 20.01 8.969 20.01 20S411.2 131.1 400.2 131.1z"],
    "cup-straw": [384, 512, [129380], "e363", "M60.84 483.5C62.64 499.7 76.34 512 92.64 512h198.7c16.3 0 30-12.26 31.8-28.47L352 224H32L60.84 483.5zM383.1 143.1c0-8.875-7.125-15.1-15.1-15.1l-145.2-.0002l20-80l45.27-.0012c8.875 0 16-7.125 16-15.1l-.0195-15.1c0-8.875-7.123-16-15.1-16l-51.52 .0002c-18.38 0-34.36 12.49-38.73 30.24L173.3 127.1l-157.3 .0002C7.123 127.1 0 135.1 0 143.1v31.1c0 8.875 7.125 16 16 16h352c8.875 0 16-7.125 16-16L383.1 143.1z"],
    "cup-straw-swoosh": [384, 512, [], "e364", "M60.84 483.5C62.64 499.7 76.34 512 92.64 512h198.7c16.3 0 30-12.26 31.8-28.47L352 224H32L60.84 483.5zM180.8 353.6c34.54-46.05 82.82-72.64 132.8-73.44l-5.432 48.88c-33.15 2.588-64.54 20.83-88.93 53.37c-33.73 44.97-80.58 71.24-129.3 73.21l-5.299-47.69C120.5 407.7 154.6 388.5 180.8 353.6zM383.1 143.1c0-8.875-7.125-15.1-15.1-15.1l-145.2-.0002l20-80l45.27-.0012c8.875 0 16-7.125 16-15.1l-.0195-15.1c0-8.875-7.123-16-15.1-16l-51.52 .0002c-18.38 0-34.36 12.49-38.73 30.24L173.3 127.1l-157.3 .0002C7.123 127.1 0 135.1 0 143.1v31.1c0 8.875 7.125 16 16 16h352c8.875 0 16-7.125 16-16L383.1 143.1z"],
    "cup-togo": [448, 512, ["coffee-togo"], "f6c5", "M432 64H416l-23.12-46.25C387.4 6.875 376.4 0 364.3 0h-280.5C71.62 0 60.63 6.875 55.13 17.75L32 64H16C7.125 64 0 71.12 0 80v32C0 120.9 7.125 128 16 128h416C440.9 128 448 120.9 448 112v-32C448 71.12 440.9 64 432 64zM106.8 512h234.5c16.62 0 30.5-12.75 31.88-29.38L400 160h-352l26.88 322.6C76.25 499.2 90.12 512 106.8 512zM327.8 256l-13.25 160h-181L120.2 256H327.8z"],
    "cupcake": [448, 512, [129473], "e402", "M123.9 320L147.9 512H123.1C115.5 511.1 108.2 509.3 102.4 504.4C96.64 499.5 92.79 492.7 91.55 485.2L63.1 320H123.9zM156.1 320H291.9L267.9 512H180.1L156.1 320zM324.1 320H383.1L356.4 485.2C355.2 492.7 351.4 499.5 345.6 504.4C339.8 509.3 332.5 511.1 324.9 512H300.1L324.1 320zM437.2 175.1C446.4 190.2 449.8 208.1 446.1 225.5C444.2 242.1 435.2 258.8 421.8 270.3C408.3 281.7 391.3 287.1 373.6 288H74.4C56.74 287.1 39.66 281.7 26.22 270.3C12.77 258.8 3.834 242.1 1.002 225.5C-1.829 208.1 1.63 190.2 10.76 175.1C19.89 160 34.1 148.6 50.85 143L95.1 128C95.1 111 102.7 94.75 114.7 82.75C126.7 70.74 143 64 159.1 64H197.5C204.9 63.99 212.2 61.79 218.3 57.66C224.5 53.54 229.3 47.69 232.1 40.84C234.9 33.99 235.7 26.46 234.2 19.19C232.8 11.92 229.2 5.245 223.1 0C257.9 0 290.5 13.49 314.5 37.49C338.5 61.5 351.1 94.05 351.1 128L397.1 143C413.9 148.6 428.1 160 437.2 175.1H437.2z"],
    "curling-stone": [576, 512, [129356, "curling"], "f44a", "M480 224c0-35.35-28.66-64-64-64H224V128c0-17.67 14.33-32 32-32h128C401.7 96 416 81.69 416 63.1S401.7 32 384 32H256C202.1 32 160 74.98 160 128v32C124.7 160 95.1 188.7 95.1 224c-53.02 0-96 42.98-96 96L0 336h576V320C576 266.1 533 224 480 224zM0 384c0 53.02 42.98 96 96 96h384c53.02 0 96-42.98 96-96v-16H0L0 384z"],
    "custard": [576, 512, [127854], "e403", "M571.3 388.7C574.3 391.7 576 395.8 576 400C576 412.7 570.9 424.9 561.9 433.9C552.9 442.9 540.7 448 528 448H48C35.27 448 23.06 442.9 14.06 433.9C5.057 424.9 0 412.7 0 400C0 395.8 1.686 391.7 4.686 388.7C7.687 385.7 11.76 384 16 384H560C564.2 384 568.3 385.7 571.3 388.7zM175.3 160C152.4 160 130 166.3 110.6 178.2L101.3 183.9L119.6 101.6C122 90.95 127.9 81.43 136.4 74.6C144.9 67.76 155.5 64.02 166.4 64H409.6C420.5 64.05 431 67.79 439.5 74.63C447.1 81.46 453.9 90.97 456.3 101.6L474.6 183.1L465.3 178.2C445.8 166.3 423.4 159.1 400.6 159.1C377.7 159.1 355.3 166.3 335.8 178.2C321.4 187.1 304.8 191.7 287.9 191.7C271 191.7 254.4 187.1 240 178.2C220.5 166.3 198.1 160 175.3 160zM512 352H64L91.52 227.6L127.3 205.4C141.7 196.6 158.3 191.9 175.3 191.9C192.2 191.9 208.8 196.6 223.3 205.4C242.7 217.4 265.2 223.7 288 223.7C310.9 223.7 333.3 217.4 352.8 205.4C367.2 196.6 383.8 191.9 400.7 191.9C417.6 191.9 434.2 196.6 448.6 205.4L484.3 227.6L512 352z"],
    "d": [384, 512, [100], "44", "M160 32.01L32 32.01c-17.67 0-32 14.33-32 32v384c0 17.67 14.33 32 32 32l128-.0073c123.5 0 224-100.5 224-224S283.5 32.01 160 32.01zM160 416H64v-320h96c88.22 0 160 71.78 160 159.1S248.2 416 160 416z"],
    "dagger": [384, 512, [], "f6cb", "M336 128H224V16C224 7.125 216.9 0 208 0h-32C167.1 0 160 7.125 160 16V128H48C21.5 128 0 149.5 0 176S21.5 224 48 224c20.88 0 38.5-13.38 45-32h198C297.5 210.6 315.1 224 336 224C362.5 224 384 202.5 384 176S362.5 128 336 128zM128 428.9l50.73 76c6.25 9.5 20.25 9.5 26.62 0L256 428.9V224H128V428.9z"],
    "dash": [512, 512, ["minus-large"], "e404", "M512 256c0 17.67-14.33 32-32 32H32C14.33 288 0 273.7 0 256s14.33-32 32-32h448C497.7 224 512 238.3 512 256z"],
    "database": [448, 512, [], "f1c0", "M448 80V128C448 172.2 347.7 208 224 208C100.3 208 0 172.2 0 128V80C0 35.82 100.3 0 224 0C347.7 0 448 35.82 448 80zM393.2 214.7C413.1 207.3 433.1 197.8 448 186.1V288C448 332.2 347.7 368 224 368C100.3 368 0 332.2 0 288V186.1C14.93 197.8 34.02 207.3 54.85 214.7C99.66 230.7 159.5 240 224 240C288.5 240 348.3 230.7 393.2 214.7V214.7zM54.85 374.7C99.66 390.7 159.5 400 224 400C288.5 400 348.3 390.7 393.2 374.7C413.1 367.3 433.1 357.8 448 346.1V432C448 476.2 347.7 512 224 512C100.3 512 0 476.2 0 432V346.1C14.93 357.8 34.02 367.3 54.85 374.7z"],
    "deer": [576, 512, [129420], "f78e", "M272 .0006C280.8 .0006 288 7.164 288 16V40C288 53.26 298.7 64 312 64H328C341.3 64 352 53.26 352 40V16C352 7.164 359.2 .0006 368 .0006C376.8 .0006 384 7.164 384 16V40C384 48.59 382.1 56.73 378.6 64H448C461.3 64 472 53.26 472 40V16C472 7.164 479.2 .0006 488 .0006C496.8 .0006 504 7.164 504 16V40C504 61.66 491.7 80.44 473.7 89.76C474.3 90.3 474.8 90.85 475.4 91.4L530.7 146.7C539.2 155.2 544 166.7 544 178.7C544 203.7 523.7 224 498.7 224H442.7L416 304V480C416 497.7 401.7 512 384 512H352C334.3 512 320 497.7 320 480V368H283.7C254.9 368 228.4 358.2 207.4 341.6C205.3 358.5 197.6 374.3 185.5 386.4L174.9 396.1C170.3 401.6 168.7 408.5 170.9 414.6L190.2 469.4C197.6 490.2 182.1 512 160 512H126.1C112.5 512 100.4 503.4 95.92 490.6L80.37 446.6C68.93 414.2 72.1 378.8 90.39 350.3C97.02 339.4 97.03 324.9 88 315.9C85.04 312.9 82.33 309.8 79.88 306.4C78.58 319.3 67.18 328.9 54.16 327.9C40.94 326.9 31.06 315.4 32.07 302.2L34.39 272C38.56 217.8 83.74 176 138.1 176H224C224.6 176 225.2 176 225.7 176C226.6 176 227.4 176 228.3 176H334.4L344 144H305.1C296 144 288 135.1 288 126C288 117.8 293.6 110.6 301.6 108.6L352 96H312C281.1 96 256 70.93 256 40V16C256 7.164 263.2 0 272 0V.0006zM432 160C440.8 160 448 152.8 448 144C448 135.2 440.8 128 432 128C423.2 128 416 135.2 416 144C416 152.8 423.2 160 432 160z"],
    "deer-rudolph": [576, 512, [], "f78f", "M256 40C256 53.26 266.7 64 280 64H296C309.3 64 320 53.26 320 40V16C320 7.164 327.2 .0006 336 .0006C344.8 .0006 352 7.164 352 16V40C352 48.59 350.1 56.73 346.6 64H416C429.3 64 440 53.26 440 40V16C440 7.164 447.2 .0006 456 .0006C464.8 .0006 472 7.164 472 16V40C472 61.66 459.7 80.44 441.7 89.76C442.3 90.3 442.8 90.85 443.4 91.4L480.7 128.7C484.1 110.1 500.4 96 520 96C542.1 96 560 113.9 560 136C560 158.1 542.1 176 520 176C517.2 176 514.5 175.7 511.9 175.2C511.1 176.4 512 177.5 512 178.7C512 203.7 491.7 224 466.7 224H410.7L384 304V480C384 497.7 369.7 512 352 512H320C302.3 512 288 497.7 288 480V368H251.7C222.9 368 196.4 358.2 175.4 341.6C173.3 358.5 165.6 374.3 153.5 386.4L142.9 396.1C138.3 401.6 136.7 408.5 138.9 414.6L158.2 469.4C165.6 490.2 150.1 512 128 512H94.09C80.53 512 68.43 503.4 63.92 490.6L48.37 446.6C36.93 414.2 40.1 378.8 58.39 350.3C65.02 339.4 65.03 324.9 56 315.9C53.04 312.9 50.33 309.8 47.88 306.4C46.58 319.3 35.18 328.9 22.16 327.9C8.945 326.9-.9448 315.4 .072 302.2L2.39 272C6.558 217.8 51.74 176 106.1 176H192C192.6 176 193.2 176 193.7 176C194.6 176 195.4 176 196.3 176H302.4L312 144H273.1C264 144 256 135.1 256 126C256 117.8 261.6 110.6 269.6 108.6L320 96H280C249.1 96 224 70.93 224 40V16C224 7.164 231.2 0 240 0C248.8 0 256 7.164 256 16V40zM400 128C391.2 128 384 135.2 384 144C384 152.8 391.2 160 400 160C408.8 160 416 152.8 416 144C416 135.2 408.8 128 400 128z"],
    "delete-left": [576, 512, [9003, "backspace"], "f55a", "M576 384C576 419.3 547.3 448 512 448H205.3C188.3 448 172 441.3 160 429.3L9.372 278.6C3.371 272.6 0 264.5 0 256C0 247.5 3.372 239.4 9.372 233.4L160 82.75C172 70.74 188.3 64 205.3 64H512C547.3 64 576 92.65 576 128V384zM271 208.1L318.1 256L271 303C261.7 312.4 261.7 327.6 271 336.1C280.4 346.3 295.6 346.3 304.1 336.1L352 289.9L399 336.1C408.4 346.3 423.6 346.3 432.1 336.1C442.3 327.6 442.3 312.4 432.1 303L385.9 256L432.1 208.1C442.3 199.6 442.3 184.4 432.1 175C423.6 165.7 408.4 165.7 399 175L352 222.1L304.1 175C295.6 165.7 280.4 165.7 271 175C261.7 184.4 261.7 199.6 271 208.1V208.1z"],
    "delete-right": [576, 512, [], "e154", "M0 128C0 92.65 28.65 64 64 64H370.7C387.7 64 403.1 70.74 416 82.75L566.6 233.4C572.6 239.4 576 247.5 576 256C576 264.5 572.6 272.6 566.6 278.6L416 429.3C403.1 441.3 387.7 448 370.7 448H64C28.65 448 0 419.3 0 384V128zM143 208.1L190.1 255.1L143 303C133.7 312.4 133.7 327.6 143 336.1C152.4 346.3 167.6 346.3 176.1 336.1L223.1 289.9L271 336.1C280.4 346.3 295.6 346.3 304.1 336.1C314.3 327.6 314.3 312.4 304.1 303L257.9 255.1L304.1 208.1C314.3 199.6 314.3 184.4 304.1 175C295.6 165.7 280.4 165.7 271 175L223.1 222.1L176.1 175C167.6 165.7 152.4 165.7 143 175C133.7 184.4 133.7 199.6 143 208.1V208.1z"],
    "democrat": [640, 512, [], "f747", "M191.1 479.1C191.1 497.6 206.4 512 223.1 512h32c17.6 0 32-14.4 32-32v-64h160v64c0 17.6 14.41 32 32.01 32L511.1 512c17.6 0 32-14.4 32-32l.0102-128H192L191.1 479.1zM637.2 256.9l-19.5-29.38c-28.25-42.25-75.38-67.5-126.1-67.5H255.1L174.7 78.75c20.13-20 22.63-51 7.5-73.88C178.9-.2552 171.5-1.005 167.1 3.37L125.2 45.25L82.36 2.37C78.74-1.255 72.74-.6302 69.99 3.62c-12.25 18.63-10.25 44 6.125 60.38c3.25 3.25 7.25 5.25 11.25 7.5c-2.125 1.75-4.625 3.125-6.375 5.375l-74.63 99.38C-.8895 185.9-2.014 198.9 3.361 209.7l14.38 28.5c5.375 10.88 16.5 17.75 28.5 17.75H77.24c8.5 0 16.63-3.375 22.63-9.375l38.13-34.63l54.04 108h351.1l-.0102-77.75c16.25 12.13 18.25 17.5 40.13 50.25c4.875 7.375 14.75 9.25 22.13 4.375l26.63-17.63C640.2 274.2 642.2 264.2 637.2 256.9zM296.2 243.2L279.7 259.4l3.875 22.75c.625 4.125-3.625 7.125-7.25 5.25L255.1 276.7L235.6 287.4C231.1 289.2 227.7 286.2 228.4 282.1l3.875-22.75L215.7 243.2c-3-2.875-1.25-7.875 2.875-8.5l22.75-3.25l10.25-20.75c1.75-3.625 7.125-3.625 9 0l10.13 20.75l22.88 3.25C297.6 235.4 299.2 240.4 296.2 243.2zM408.2 243.2l-16.5 16.13l3.875 22.75c.625 4.125-3.625 7.125-7.25 5.25L367.1 276.7l-20.38 10.63c-3.625 1.875-7.875-1.125-7.25-5.25l3.875-22.75l-16.5-16.13c-3-2.875-1.25-7.875 2.875-8.5l22.75-3.25l10.25-20.75c1.75-3.625 7.125-3.625 9 0l10.13 20.75l22.88 3.25C409.6 235.4 411.2 240.4 408.2 243.2zM520.2 243.2l-16.5 16.13l3.875 22.75c.625 4.125-3.625 7.125-7.25 5.25l-20.38-10.63l-20.38 10.63c-3.625 1.875-7.875-1.125-7.25-5.25l3.875-22.75l-16.5-16.13c-3-2.875-1.25-7.875 2.875-8.5l22.75-3.25l10.25-20.75c1.75-3.625 7.125-3.625 9 0l10.13 20.75l22.88 3.25C521.6 235.4 523.2 240.4 520.2 243.2z"],
    "desktop": [576, 512, [61704, 128421, "desktop-alt"], "f390", "M528 0h-480C21.5 0 0 21.5 0 48v320C0 394.5 21.5 416 48 416h192L224 464H152C138.8 464 128 474.8 128 488S138.8 512 152 512h272c13.25 0 24-10.75 24-24s-10.75-24-24-24H352L336 416h192c26.5 0 48-21.5 48-48v-320C576 21.5 554.5 0 528 0zM512 288H64V64h448V288z"],
    "desktop-arrow-down": [576, 512, [], "e155", "M191 135c-9.375 9.375-9.375 24.56 0 33.94l80 80c9.375 9.375 24.56 9.375 33.94 0l80-80c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0L312 174.1V24C312 10.75 301.3 0 288 0S264 10.75 264 24v150.1L224.1 135C220.3 130.3 214.2 128 208 128S195.7 130.3 191 135zM528 0H352v64h160v224H64V64h160V0H48C21.5 0 0 21.5 0 48v320C0 394.5 21.5 416 48 416h192L224 464H152C138.8 464 128 474.8 128 488S138.8 512 152 512h272c13.25 0 24-10.75 24-24s-10.75-24-24-24H352L336 416h192c26.5 0 48-21.5 48-48v-320C576 21.5 554.5 0 528 0z"],
    "dharmachakra": [512, 512, [9784], "f655", "M495 225l-17.24 1.124c-5.25-39.5-20.76-75.63-43.89-105.9l12.1-11.37c6.875-6.125 7.25-16.75 .75-23.38L426.5 64.38c-6.625-6.5-17.25-6.125-23.38 .75l-11.37 12.1c-30.25-23.12-66.38-38.64-105.9-43.89L287 17C287.5 7.75 280.2 0 271 0h-30c-9.25 0-16.5 7.75-16 17l1.124 17.24c-39.5 5.25-75.63 20.76-105.9 43.89L108.9 65.13C102.8 58.25 92.13 57.88 85.63 64.38L64.38 85.5C57.88 92.12 58.25 102.8 65.13 108.9l12.1 11.37C54.1 150.5 39.49 186.6 34.24 226.1L17 225C7.75 224.5 0 231.8 0 241v30c0 9.25 7.75 16.5 17 16l17.24-1.124c5.25 39.5 20.76 75.63 43.89 105.9l-12.1 11.37c-6.875 6.125-7.25 16.75-.75 23.25l21.25 21.25c6.5 6.5 17.13 6.125 23.25-.75l11.37-12.1c30.25 23.12 66.38 38.64 105.9 43.89L225 495C224.5 504.2 231.8 512 241 512h30c9.25 0 16.5-7.75 16-17l-1.124-17.24c39.5-5.25 75.63-20.76 105.9-43.89l11.37 12.1c6.125 6.875 16.75 7.25 23.38 .75l21.12-21.25c6.5-6.5 6.125-17.13-.75-23.25l-12.1-11.37c23.12-30.25 38.64-66.38 43.89-105.9L495 287C504.3 287.5 512 280.2 512 271v-30C512 231.8 504.3 224.5 495 225zM281.9 98.68c24.75 4 47.61 13.59 67.24 27.71L306.5 174.6c-8.75-5.375-18.38-9.507-28.62-11.88L281.9 98.68zM230.1 98.68l3.996 64.06C223.9 165.1 214.3 169.2 205.5 174.6L162.9 126.4C182.5 112.3 205.4 102.7 230.1 98.68zM126.4 163l48.35 42.48c-5.5 8.75-9.606 18.4-11.98 28.65L98.68 230.1C102.7 205.4 112.2 182.5 126.4 163zM98.68 281.9l64.06-3.996C165.1 288.1 169.3 297.8 174.6 306.5l-48.23 42.61C112.3 329.5 102.7 306.6 98.68 281.9zM230.1 413.3c-24.75-4-47.61-13.59-67.24-27.71l42.58-48.33c8.75 5.5 18.4 9.606 28.65 11.98L230.1 413.3zM256 288C238.4 288 224 273.6 224 256s14.38-32 32-32s32 14.38 32 32S273.6 288 256 288zM281.9 413.3l-3.996-64.06c10.25-2.375 19.9-6.48 28.65-11.98l42.48 48.35C329.5 399.8 306.6 409.3 281.9 413.3zM385.6 349l-48.25-42.5c5.375-8.75 9.507-18.38 11.88-28.62l64.06 3.996C409.3 306.6 399.8 329.5 385.6 349zM349.3 234.1c-2.375-10.25-6.48-19.9-11.98-28.65L385.6 163c14.13 19.5 23.69 42.38 27.69 67.13L349.3 234.1z"],
    "diagram-cells": [512, 512, [], "e475", "M512 160C512 195.3 483.3 224 448 224H64C28.65 224 0 195.3 0 160V96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V160zM64 480C28.65 480 0 451.3 0 416V352C0 316.7 28.65 288 64 288H448C483.3 288 512 316.7 512 352V416C512 451.3 483.3 480 448 480H64zM448 416V352H64V416H448z"],
    "diagram-lean-canvas": [640, 512, [], "e156", "M0 96C0 60.65 28.65 32 64 32H576C611.3 32 640 60.65 640 96V416C640 451.3 611.3 480 576 480H64C28.65 480 0 451.3 0 416V96zM512 304H576V96H512V304zM464 96H400V176H464V96zM352 96H288V304H352V96zM240 96H176V176H240V96zM128 96H64V304H128V96zM64 352V416H296V352H64zM344 416H576V352H344V416zM240 224H176V304H240V224zM400 224V304H464V224H400z"],
    "diagram-nested": [448, 512, [], "e157", "M0 80C0 53.49 21.49 32 48 32H144C170.5 32 192 53.49 192 80V176C192 202.5 170.5 224 144 224H128V320C128 337.7 142.3 352 160 352H256V336C256 309.5 277.5 288 304 288H400C426.5 288 448 309.5 448 336V432C448 458.5 426.5 480 400 480H304C277.5 480 256 458.5 256 432V416H160C106.1 416 64 373 64 320V224H48C21.49 224 0 202.5 0 176V80z"],
    "diagram-next": [512, 512, [], "e476", "M512 160C512 195.3 483.3 224 448 224H280V288H326.1C347.4 288 358.1 313.9 343 328.1L272.1 399C263.6 408.4 248.4 408.4 239 399L168.1 328.1C153.9 313.9 164.6 288 185.9 288H232V224H64C28.65 224 0 195.3 0 160V96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V160zM312.6 416H448V352H376.6L384.1 343.6C401 327.6 404.6 306.4 399 288H448C483.3 288 512 316.7 512 352V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V352C0 316.7 28.65 288 64 288H112.1C107.4 306.4 110.1 327.6 127 343.6L135.4 352H64V416H199.4L216.4 432.1C238.3 454.8 273.7 454.8 295.6 432.1L312.6 416z"],
    "diagram-predecessor": [512, 512, [], "e477", "M64 480C28.65 480 0 451.3 0 416V352C0 316.7 28.65 288 64 288H448C483.3 288 512 316.7 512 352V416C512 451.3 483.3 480 448 480H64zM448 416V352H64V416H448zM288 160C288 195.3 259.3 224 224 224H64C28.65 224 0 195.3 0 160V96C0 60.65 28.65 32 64 32H368C412.2 32 448 67.82 448 112V128H486.1C507.4 128 518.1 153.9 503 168.1L432.1 239C423.6 248.4 408.4 248.4 399 239L328.1 168.1C313.9 153.9 324.6 128 345.9 128H384V112C384 103.2 376.8 96 368 96H288V160z"],
    "diagram-previous": [512, 512, [], "e478", "M448 288C483.3 288 512 316.7 512 352V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V352C0 316.7 28.65 288 64 288H232V224H185.9C164.6 224 153.9 198.1 168.1 183L239 112.1C248.4 103.6 263.6 103.6 272.1 112.1L343 183C358.1 198.1 347.4 224 326.1 224H280V288H448zM64 352V416H448V352H64zM399 224C404.6 205.6 401 184.4 384.1 168.4L295.6 79.03C273.7 57.16 238.3 57.16 216.4 79.03L127 168.4C110.1 184.4 107.4 205.6 112.1 224H64C28.65 224 .0003 195.3 .0003 160V96C.0003 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V160C512 195.3 483.3 224 448 224H399z"],
    "diagram-project": [576, 512, ["project-diagram"], "f542", "M0 80C0 53.49 21.49 32 48 32H144C170.5 32 192 53.49 192 80V96H384V80C384 53.49 405.5 32 432 32H528C554.5 32 576 53.49 576 80V176C576 202.5 554.5 224 528 224H432C405.5 224 384 202.5 384 176V160H192V176C192 177.7 191.9 179.4 191.7 180.1L272 288H368C394.5 288 416 309.5 416 336V432C416 458.5 394.5 480 368 480H272C245.5 480 224 458.5 224 432V336C224 334.3 224.1 332.6 224.3 331L144 224H48C21.49 224 0 202.5 0 176V80z"],
    "diagram-sankey": [576, 512, [], "e158", "M294.4 44.8C300.4 36.74 309.9 32 320 32H544C561.7 32 576 46.33 576 64C576 81.67 561.7 96 544 96H336L249.6 211.2C243.6 219.3 234.1 224 224 224H32C14.33 224 0 209.7 0 192C0 174.3 14.33 160 32 160H208L294.4 44.8zM141.9 320H32C14.33 320 0 305.7 0 288C0 270.3 14.33 256 32 256H544C561.7 256 576 270.3 576 288C576 305.7 561.7 320 544 320H216.5L274.1 416H544C561.7 416 576 430.3 576 448C576 465.7 561.7 480 544 480H256C244.8 480 234.3 474.1 228.6 464.5L141.9 320z"],
    "diagram-subtask": [512, 512, [], "e479", "M0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V160C512 195.3 483.3 224 448 224H160V320C160 337.7 174.3 352 192 352H224C224 316.7 252.7 288 288 288H448C483.3 288 512 316.7 512 352V416C512 451.3 483.3 480 448 480H288C252.7 480 224 451.3 224 416H192C138.1 416 96 373 96 320V224H64C28.65 224 0 195.3 0 160V96zM448 352H288V416H448V352z"],
    "diagram-successor": [512, 512, [], "e47a", "M512 416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V352C0 316.7 28.65 288 64 288H448C483.3 288 512 316.7 512 352V416zM224 224H64C28.65 224 0 195.3 0 160V96C0 60.65 28.65 32 64 32H368C412.2 32 448 67.82 448 112V128H486.1C507.4 128 518.1 153.9 503 168.1L432.1 239C423.6 248.4 408.4 248.4 399 239L328.1 168.1C313.9 153.9 324.6 128 345.9 128H384V112C384 103.2 376.8 96 368 96H288V160C288 195.3 259.3 224 224 224V224zM64 160H224V96H64V160z"],
    "diagram-venn": [640, 512, [], "e15a", "M320 458.4C290.9 472.3 258.4 480 224 480C100.3 480 0 379.7 0 256C0 132.3 100.3 32 224 32C258.4 32 290.9 39.73 320 53.56C349.1 39.73 381.6 32 416 32C539.7 32 640 132.3 640 256C640 379.7 539.7 480 416 480C381.6 480 349.1 472.3 320 458.4zM192 256C192 194.1 216.4 139.6 256 99.21C245.7 97.1 234.1 96 224 96C135.6 96 64 167.6 64 256C64 344.4 135.6 416 224 416C234.1 416 245.7 414.9 256 412.8C216.4 372.4 192 317 192 256V256zM269.3 192C262.8 206.9 258.5 223.1 256.8 240H383.2C381.5 223.1 377.2 206.9 370.7 192H269.3zM370.7 320C377.2 305.1 381.5 288.9 383.2 272H256.8C258.5 288.9 262.8 305.1 269.3 320H370.7zM287.1 352C297.1 364.1 307.9 374.9 320 384C332.1 374.9 342.9 364.1 352 352H287.1zM352 160C342.9 147.9 332.1 137.1 320 127.1C307.9 137.1 297.1 147.9 287.1 160H352z"],
    "dial": [576, 512, ["dial-med-high"], "e15b", "M256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32zM175.1 174.2C231.9 117.5 320.6 112.2 383.2 158.5L271.3 270.4C261.9 279.7 261.9 294.9 271.3 304.3C280.7 313.7 295.9 313.7 305.3 304.3L417.1 192.4C463.4 255 458.1 343.7 401.4 400.5C338.9 462.9 237.6 462.9 175.1 400.5C112.7 337.1 112.7 236.7 175.1 174.2H175.1zM576 288C576 305.7 561.7 320 544 320C526.3 320 512 305.7 512 288C512 270.3 526.3 256 544 256C561.7 256 576 270.3 576 288zM0 288C0 270.3 14.33 256 32 256C49.67 256 64 270.3 64 288C64 305.7 49.67 320 32 320C14.33 320 0 305.7 0 288zM128 96C128 113.7 113.7 128 96 128C78.33 128 64 113.7 64 96C64 78.33 78.33 64 96 64C113.7 64 128 78.33 128 96zM448 96C448 78.33 462.3 64 480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128C462.3 128 448 113.7 448 96zM128 480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480C64 462.3 78.33 448 96 448C113.7 448 128 462.3 128 480zM448 480C448 462.3 462.3 448 480 448C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480z"],
    "dial-high": [576, 512, [], "e15c", "M256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32zM288.4 127.6C368.6 127.6 435 186.6 446.6 263.6H288.4C275.1 263.6 264.4 274.4 264.4 287.6C264.4 300.9 275.1 311.6 288.4 311.6H446.6C435 388.6 368.6 447.6 288.4 447.6C200 447.6 128.4 375.1 128.4 287.6C128.4 199.2 200 127.6 288.4 127.6H288.4zM576 288C576 305.7 561.7 320 544 320C526.3 320 512 305.7 512 288C512 270.3 526.3 256 544 256C561.7 256 576 270.3 576 288zM0 288C0 270.3 14.33 256 32 256C49.67 256 64 270.3 64 288C64 305.7 49.67 320 32 320C14.33 320 0 305.7 0 288zM128 96C128 113.7 113.7 128 96 128C78.33 128 64 113.7 64 96C64 78.33 78.33 64 96 64C113.7 64 128 78.33 128 96zM448 96C448 78.33 462.3 64 480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128C462.3 128 448 113.7 448 96zM128 480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480C64 462.3 78.33 448 96 448C113.7 448 128 462.3 128 480zM448 480C448 462.3 462.3 448 480 448C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480z"],
    "dial-low": [576, 512, [], "e15d", "M256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32zM287.6 447.6C207.4 447.6 140.1 388.6 129.4 311.6H287.6C300.9 311.6 311.6 300.9 311.6 287.6C311.6 274.4 300.9 263.6 287.6 263.6H129.4C140.1 186.6 207.4 127.6 287.6 127.6C375.1 127.6 447.6 199.2 447.6 287.6C447.6 375.1 375.1 447.6 287.6 447.6zM576 288C576 305.7 561.7 320 544 320C526.3 320 512 305.7 512 288C512 270.3 526.3 256 544 256C561.7 256 576 270.3 576 288zM0 288C0 270.3 14.33 256 32 256C49.67 256 64 270.3 64 288C64 305.7 49.67 320 32 320C14.33 320 0 305.7 0 288zM128 96C128 113.7 113.7 128 96 128C78.33 128 64 113.7 64 96C64 78.33 78.33 64 96 64C113.7 64 128 78.33 128 96zM448 96C448 78.33 462.3 64 480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128C462.3 128 448 113.7 448 96zM128 480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480C64 462.3 78.33 448 96 448C113.7 448 128 462.3 128 480zM448 480C448 462.3 462.3 448 480 448C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480z"],
    "dial-max": [576, 512, [], "e15e", "M256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32zM401.4 174.7C458.1 231.5 463.4 320.2 417.1 382.8L305.3 270.9C295.9 261.5 280.7 261.5 271.3 270.9C261.9 280.3 261.9 295.5 271.3 304.9L383.2 416.7C320.6 462.1 231.9 457.7 175.1 401C112.7 338.5 112.7 237.2 175.1 174.7C237.6 112.3 338.9 112.3 401.4 174.7V174.7zM576 288C576 305.7 561.7 320 544 320C526.3 320 512 305.7 512 288C512 270.3 526.3 256 544 256C561.7 256 576 270.3 576 288zM0 288C0 270.3 14.33 256 32 256C49.67 256 64 270.3 64 288C64 305.7 49.67 320 32 320C14.33 320 0 305.7 0 288zM128 96C128 113.7 113.7 128 96 128C78.33 128 64 113.7 64 96C64 78.33 78.33 64 96 64C113.7 64 128 78.33 128 96zM448 96C448 78.33 462.3 64 480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128C462.3 128 448 113.7 448 96zM128 480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480C64 462.3 78.33 448 96 448C113.7 448 128 462.3 128 480zM448 480C448 462.3 462.3 448 480 448C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480z"],
    "dial-med": [576, 512, [], "e15f", "M256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32zM128 287.2C128 207 187 140.6 264 128.1V287.2C264 300.5 274.7 311.2 288 311.2C301.3 311.2 312 300.5 312 287.2V128.1C388.1 140.6 448 207 448 287.2C448 375.6 376.4 447.2 288 447.2C199.6 447.2 128 375.6 128 287.2zM576 288C576 305.7 561.7 320 544 320C526.3 320 512 305.7 512 288C512 270.3 526.3 256 544 256C561.7 256 576 270.3 576 288zM0 288C0 270.3 14.33 256 32 256C49.67 256 64 270.3 64 288C64 305.7 49.67 320 32 320C14.33 320 0 305.7 0 288zM128 96C128 113.7 113.7 128 96 128C78.33 128 64 113.7 64 96C64 78.33 78.33 64 96 64C113.7 64 128 78.33 128 96zM448 96C448 78.33 462.3 64 480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128C462.3 128 448 113.7 448 96zM128 480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480C64 462.3 78.33 448 96 448C113.7 448 128 462.3 128 480zM448 480C448 462.3 462.3 448 480 448C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480z"],
    "dial-med-low": [576, 512, [], "e160", "M256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32zM174.6 400.5C117.9 343.7 112.6 255 158.9 192.4L270.8 304.3C280.1 313.7 295.3 313.7 304.7 304.3C314.1 294.9 314.1 279.7 304.7 270.4L192.8 158.5C255.4 112.2 344.1 117.5 400.9 174.2C463.3 236.7 463.3 337.1 400.9 400.5C338.4 462.9 237.1 462.9 174.6 400.5zM576 288C576 305.7 561.7 320 544 320C526.3 320 512 305.7 512 288C512 270.3 526.3 256 544 256C561.7 256 576 270.3 576 288zM0 288C0 270.3 14.33 256 32 256C49.67 256 64 270.3 64 288C64 305.7 49.67 320 32 320C14.33 320 0 305.7 0 288zM128 96C128 113.7 113.7 128 96 128C78.33 128 64 113.7 64 96C64 78.33 78.33 64 96 64C113.7 64 128 78.33 128 96zM448 96C448 78.33 462.3 64 480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128C462.3 128 448 113.7 448 96zM128 480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480C64 462.3 78.33 448 96 448C113.7 448 128 462.3 128 480zM448 480C448 462.3 462.3 448 480 448C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480z"],
    "dial-min": [576, 512, [], "e161", "M256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32zM400.9 401C344.1 457.7 255.4 462.1 192.8 416.7L304.7 304.9C314.1 295.5 314.1 280.3 304.7 270.9C295.3 261.5 280.1 261.5 270.8 270.9L158.9 382.8C112.6 320.2 117.9 231.5 174.6 174.7C237.1 112.3 338.4 112.3 400.9 174.7C463.3 237.2 463.3 338.5 400.9 401V401zM576 288C576 305.7 561.7 320 544 320C526.3 320 512 305.7 512 288C512 270.3 526.3 256 544 256C561.7 256 576 270.3 576 288zM0 288C0 270.3 14.33 256 32 256C49.67 256 64 270.3 64 288C64 305.7 49.67 320 32 320C14.33 320 0 305.7 0 288zM128 96C128 113.7 113.7 128 96 128C78.33 128 64 113.7 64 96C64 78.33 78.33 64 96 64C113.7 64 128 78.33 128 96zM448 96C448 78.33 462.3 64 480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128C462.3 128 448 113.7 448 96zM128 480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480C64 462.3 78.33 448 96 448C113.7 448 128 462.3 128 480zM448 480C448 462.3 462.3 448 480 448C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480z"],
    "dial-off": [576, 512, [], "e162", "M256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32zM448 288C448 368.2 388.1 434.6 312 446.2V288C312 274.7 301.3 264 288 264C274.7 264 264 274.7 264 288V446.2C187 434.6 128 368.2 128 288C128 199.6 199.6 128 288 128C376.4 128 448 199.6 448 288zM576 288C576 305.7 561.7 320 544 320C526.3 320 512 305.7 512 288C512 270.3 526.3 256 544 256C561.7 256 576 270.3 576 288zM0 288C0 270.3 14.33 256 32 256C49.67 256 64 270.3 64 288C64 305.7 49.67 320 32 320C14.33 320 0 305.7 0 288zM128 96C128 113.7 113.7 128 96 128C78.33 128 64 113.7 64 96C64 78.33 78.33 64 96 64C113.7 64 128 78.33 128 96zM448 96C448 78.33 462.3 64 480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128C462.3 128 448 113.7 448 96zM128 480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480C64 462.3 78.33 448 96 448C113.7 448 128 462.3 128 480zM448 480C448 462.3 462.3 448 480 448C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480z"],
    "diamond": [512, 512, [9830], "f219", "M500.3 227.7C515.9 243.3 515.9 268.7 500.3 284.3L284.3 500.3C268.7 515.9 243.3 515.9 227.7 500.3L11.72 284.3C-3.905 268.7-3.905 243.3 11.72 227.7L227.7 11.72C243.3-3.905 268.7-3.905 284.3 11.72L500.3 227.7z"],
    "diamond-exclamation": [512, 512, [], "e405", "M497.7 222.6l-208.2-209.1c-19.01-18.02-50.05-18.02-68.06 0L14.27 222.6c-19.04 17.98-19.04 49.03 0 67.01l208.2 208.1c18.02 19.04 49.05 19.04 67.07 0l208.2-208.1C516.8 271.6 516.8 240.6 497.7 222.6zM232 151.1c0-13.25 10.75-24 24-24s24 10.75 24 24v112c0 13.25-10.75 24-24 24s-24-10.75-24-24V151.1zM256 383.1c-17.66 0-32-14.34-32-32s14.34-32 32-32s32 14.34 32 32S273.7 383.1 256 383.1z"],
    "diamond-turn-right": [512, 512, ["directions"], "f5eb", "M497.1 222.1l-208.1-208.1c-9.364-9.364-21.62-14.04-33.89-14.03C243.7 .0092 231.5 4.686 222.1 14.03L14.03 222.1C4.676 231.5 .0002 243.7 .0004 255.1c.0002 12.26 4.676 24.52 14.03 33.87l208.1 208.1C231.5 507.3 243.7 511.1 256 511.1c12.26 0 24.52-4.677 33.87-14.03l208.1-208.1c9.352-9.353 14.03-21.61 14.03-33.87C511.1 243.7 507.3 231.5 497.1 222.1zM410.5 252l-96 84c-10.79 9.545-26.53 .9824-26.53-12.03V272H223.1l-.0001 48C223.1 337.6 209.6 352 191.1 352S159.1 337.6 159.1 320V240c0-17.6 14.4-32 32-32h95.1V156c0-13.85 16.39-20.99 26.53-12.03l96 84C414 231 415.1 235.4 415.1 240S414 249 410.5 252z"],
    "dice": [640, 512, [127922], "f522", "M447.1 224c0-12.56-4.781-25.13-14.35-34.76l-174.9-174.9C249.1 4.786 236.5 0 223.1 0C211.4 0 198.9 4.786 189.2 14.35L14.35 189.2C4.783 198.9-.0011 211.4-.0011 223.1c0 12.56 4.785 25.17 14.35 34.8l174.9 174.9c9.625 9.562 22.19 14.35 34.75 14.35s25.13-4.783 34.75-14.35l174.9-174.9C443.2 249.1 447.1 236.6 447.1 224zM96 248c-13.25 0-23.1-10.75-23.1-23.1s10.75-23.1 23.1-23.1S120 210.8 120 224S109.3 248 96 248zM224 376c-13.25 0-23.1-10.75-23.1-23.1s10.75-23.1 23.1-23.1s23.1 10.75 23.1 23.1S237.3 376 224 376zM224 248c-13.25 0-23.1-10.75-23.1-23.1s10.75-23.1 23.1-23.1S248 210.8 248 224S237.3 248 224 248zM224 120c-13.25 0-23.1-10.75-23.1-23.1s10.75-23.1 23.1-23.1s23.1 10.75 23.1 23.1S237.3 120 224 120zM352 248c-13.25 0-23.1-10.75-23.1-23.1s10.75-23.1 23.1-23.1s23.1 10.75 23.1 23.1S365.3 248 352 248zM591.1 192l-118.7 0c4.418 10.27 6.604 21.25 6.604 32.23c0 20.7-7.865 41.38-23.63 57.14l-136.2 136.2v46.37C320 490.5 341.5 512 368 512h223.1c26.5 0 47.1-21.5 47.1-47.1V240C639.1 213.5 618.5 192 591.1 192zM479.1 376c-13.25 0-23.1-10.75-23.1-23.1s10.75-23.1 23.1-23.1s23.1 10.75 23.1 23.1S493.2 376 479.1 376z"],
    "dice-d10": [512, 512, [], "f6cd", "M150.9 262.1l88.19 61.47v179.5c0 5.293-4.144 8.87-8.507 8.87c-1.897 0-3.836-.6764-5.493-2.182L2.907 307.6C.9169 305.8 .0006 303.4 .0006 300.1c0-3.952 2.508-7.81 6.812-8.706L150.9 262.1zM9.326 255.5c-4.839 0-8.385-4.309-8.385-8.914c0-1.941 .6301-3.935 2.059-5.68l191.8-233.9c1.799-2.2 4.072-3.146 6.297-3.146c4.402 0 8.618 3.702 8.618 8.716c0 .9458-.15 1.938-.4771 2.961L141.5 228L11.09 255.3C10.49 255.4 9.898 255.5 9.326 255.5zM337.4 236.1l-81.44 56.72L174.6 236.1l73.41-230.1C249.3 2.016 252.6 0 256 0s6.74 2.016 8.021 6.047L337.4 236.1zM512 300.1c0 2.389-.9163 4.813-2.906 6.638l-222.2 202.2C285.3 511.3 283.3 512 281.4 512c-4.362 0-8.504-3.592-8.504-8.884v-179.5l88.19-61.47l144.1 30.13C509.5 293.2 512 297 512 300.1zM302.7 15.52c-.3206-1.014-.4678-1.997-.4678-2.935c0-5.027 4.228-8.742 8.639-8.742c2.226 0 4.498 .9458 6.297 3.146l191.8 233.9c1.429 1.745 2.059 3.739 2.059 5.681c0 4.615-3.56 8.938-8.414 8.938c-.5633 0-1.144-.0582-1.739-.1809l-130.4-27.25L302.7 15.52z"],
    "dice-d12": [512, 512, [], "f6ce", "M113.1 328.5l55.01 172l-85.87-42.95c-10.53-5.281-23.38-18.09-28.62-28.62L6.75 333.5C2.313 324.6 0 314.8 0 304.9V214.6L113.1 328.5zM131.2 300.5L7.531 176.9l51.44-102.8L240 139.3v106.9L131.2 300.5zM256 111L89.72 51.13l88.77-44.37C187.4 2.313 197.2 0 207.1 0h97.78c8.344 0 21.17 3.031 28.61 6.75l88.78 44.37L256 111zM364.6 328.2L305.8 512H206.2l-58.81-183.8L256 273.9L364.6 328.2zM272 139.3l181-65.19l51.44 102.8l-123.6 123.6L272 246.1V139.3zM512 214.6V304.9c0 8.344-3.031 21.16-6.75 28.62l-47.73 95.38c-5.25 10.53-18.09 23.38-28.62 28.62l-85.87 42.95l55.01-172L512 214.6z"],
    "dice-d20": [512, 512, [], "f6cf", "M20.04 317.3C18 317.3 16 315.8 16 313.3V150.5c0-2.351 1.91-4.012 4.001-4.012c.6882 0 1.396 .18 2.062 .5748l76.62 45.1l-75.28 122.3C22.59 316.8 21.31 317.3 20.04 317.3zM231.4 405.2l-208.2-22.06c-4.27-.4821-7.123-4.117-7.123-7.995c0-1.401 .3725-2.834 1.185-4.161L122.7 215.1L231.4 405.2zM31.1 420.1c0-2.039 1.508-4.068 3.93-4.068c.1654 0 .3351 .0095 .5089 .0291l203.6 22.31v65.66C239.1 508.6 236.2 512 232 512c-1.113 0-2.255-.2387-3.363-.7565L34.25 423.6C32.69 422.8 31.1 421.4 31.1 420.1zM33.94 117.1c-1.289-.7641-1.938-2.088-1.938-3.417c0-1.281 .6019-2.567 1.813-3.364l150.8-98.59C185.1 10.98 187.3 10.64 188.6 10.64c4.32 0 8.003 3.721 8.003 8.022c0 1.379-.3788 2.818-1.237 4.214L115.5 165.8L33.94 117.1zM146.8 175.1l95.59-168.4C245.5 2.53 250.7 0 255.1 0s10.5 2.53 13.62 7.624l95.59 168.4H146.8zM356.4 207.1l-100.4 175.7L155.6 207.1H356.4zM476.1 415.1c2.422 0 3.93 2.029 3.93 4.068c0 1.378-.6893 2.761-2.252 3.524l-194.4 87.66c-1.103 .5092-2.241 .7443-3.35 .7443c-4.2 0-7.994-3.371-7.994-7.994v-65.69l203.6-22.28C475.7 416 475.9 415.1 476.1 415.1zM494.8 370.9C495.6 372.3 496 373.7 496 375.1c0 3.872-2.841 7.499-7.128 7.98l-208.2 22.06l108.6-190.1L494.8 370.9zM316.6 22.87c-.8581-1.395-1.237-2.834-1.237-4.214c0-4.301 3.683-8.022 8.003-8.022c1.308 0 2.675 .3411 4.015 1.11l150.8 98.59c1.211 .7973 1.813 2.076 1.813 3.353c0 1.325-.6488 2.649-1.938 3.429L396.5 165.8L316.6 22.87zM491.1 146.5c2.091 0 4.001 1.661 4.001 4.012v162.8c0 2.483-2.016 4.006-4.053 4.006c-1.27 0-2.549-.5919-3.353-1.912l-75.28-122.3l76.62-45.1C490.6 146.7 491.3 146.5 491.1 146.5z"],
    "dice-d4": [512, 512, [], "f6d0", "M231.6 0c4.143 0 8.185 3.31 8.185 8.524v494.9C239.8 508.5 235.9 512 231.7 512c-1.724 0-3.488-.5858-5.035-1.887l-223.6-188.8C1.037 319.6 0 317.2 0 314.7c0-1.816 .5498-3.647 1.682-5.201L225.3 3.337C226.1 1.031 229.3 0 231.6 0zM512 314.7c0 2.494-1.037 4.961-3.026 6.642l-223.6 188.8C283.8 511.4 282.1 512 280.3 512c-4.196 0-8.153-3.471-8.153-8.543V8.524C272.2 3.31 276.2 0 280.4 0c2.312 0 4.656 1.031 6.346 3.337l223.6 306.1C511.5 311 512 312.8 512 314.7z"],
    "dice-d6": [448, 512, [], "f6d1", "M7.994 153.5c1.326 0 2.687 .3508 3.975 1.119L208 271.5v223.8c0 9.741-7.656 16.71-16.01 16.71c-2.688 0-5.449-.7212-8.05-2.303l-152.2-92.47C12.13 405.3 0 383.3 0 359.5v-197.7C0 156.1 3.817 153.5 7.994 153.5zM426.2 117.2c0 2.825-1.352 5.647-4.051 7.248L224 242.6L25.88 124.4C23.19 122.8 21.85 119.1 21.85 117.2c0-2.8 1.32-5.603 3.965-7.221l165.1-100.9C201.7 3.023 212.9 0 224 0s22.27 3.023 32.22 9.07l165.1 100.9C424.8 111.6 426.2 114.4 426.2 117.2zM440 153.5C444.2 153.5 448 156.1 448 161.8v197.7c0 23.75-12.12 45.75-31.78 57.69l-152.2 92.5C261.5 511.3 258.7 512 256 512C247.7 512 240 505 240 495.3V271.5l196-116.9C437.3 153.8 438.7 153.5 440 153.5z"],
    "dice-d8": [512, 512, [], "f6d2", "M231.3 0c4.217 0 8.263 3.331 8.263 8.365v324.3L5.461 247.6C1.968 246.3 0 243 0 239.7c0-2.075 .7542-4.175 2.367-5.836L225.5 2.521C227.2 .779 229.3 0 231.3 0zM31.11 304.6c0-4.377 3.501-8.483 8.109-8.483c.9283 0 1.902 .1666 2.9 .5312l197.5 71.66v135.3C239.6 508.7 235.5 512 231.3 512c-2.038 0-4.116-.7791-5.795-2.52L33.52 310.4C31.84 308.6 31.11 306.6 31.11 304.6zM512 239.7c0 3.355-1.968 6.651-5.461 7.944l-234.1 85.03V8.396c0-5.057 4.049-8.395 8.268-8.395c2.038 0 4.116 .7791 5.795 2.52l223.2 231.3C511.2 235.5 512 237.6 512 239.7zM472.8 296.1c4.608 0 8.109 4.105 8.109 8.483c0 1.998-.7294 4.052-2.416 5.799l-192 199.1C284.8 511.2 282.7 512 280.7 512c-4.219 0-8.268-3.338-8.268-8.395V368.3l197.5-71.66C470.9 296.3 471.9 296.1 472.8 296.1z"],
    "dice-five": [448, 512, [9860], "f523", "M384 32H64C28.62 32 0 60.62 0 96v320c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V96C448 60.62 419.4 32 384 32zM128 384c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S145.6 384 128 384zM128 192C110.4 192 96 177.6 96 160s14.38-32 32-32s32 14.38 32 32S145.6 192 128 192zM224 288C206.4 288 192 273.6 192 256s14.38-32 32-32s32 14.38 32 32S241.6 288 224 288zM320 384c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S337.6 384 320 384zM320 192c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S337.6 192 320 192z"],
    "dice-four": [448, 512, [9859], "f524", "M384 32H64C28.62 32 0 60.62 0 96v320c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V96C448 60.62 419.4 32 384 32zM128 384c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S145.6 384 128 384zM128 192C110.4 192 96 177.6 96 160s14.38-32 32-32s32 14.38 32 32S145.6 192 128 192zM320 384c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S337.6 384 320 384zM320 192c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S337.6 192 320 192z"],
    "dice-one": [448, 512, [9856], "f525", "M384 32H64C28.62 32 0 60.62 0 96v320c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V96C448 60.62 419.4 32 384 32zM224 288C206.4 288 192 273.6 192 256s14.38-32 32-32s32 14.38 32 32S241.6 288 224 288z"],
    "dice-six": [448, 512, [9861], "f526", "M384 32H64C28.62 32 0 60.62 0 96v320c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V96C448 60.62 419.4 32 384 32zM128 384c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S145.6 384 128 384zM128 288C110.4 288 96 273.6 96 256s14.38-32 32-32s32 14.38 32 32S145.6 288 128 288zM128 192C110.4 192 96 177.6 96 160s14.38-32 32-32s32 14.38 32 32S145.6 192 128 192zM320 384c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S337.6 384 320 384zM320 288c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S337.6 288 320 288zM320 192c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S337.6 192 320 192z"],
    "dice-three": [448, 512, [9858], "f527", "M384 32H64C28.62 32 0 60.62 0 96v320c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V96C448 60.62 419.4 32 384 32zM128 192C110.4 192 96 177.6 96 160s14.38-32 32-32s32 14.38 32 32S145.6 192 128 192zM224 288C206.4 288 192 273.6 192 256s14.38-32 32-32s32 14.38 32 32S241.6 288 224 288zM320 384c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S337.6 384 320 384z"],
    "dice-two": [448, 512, [9857], "f528", "M384 32H64C28.62 32 0 60.62 0 96v320c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V96C448 60.62 419.4 32 384 32zM128 192C110.4 192 96 177.6 96 160s14.38-32 32-32s32 14.38 32 32S145.6 192 128 192zM320 384c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S337.6 384 320 384z"],
    "diploma": [640, 512, ["scroll-ribbon"], "f5ea", "M539.3 144h-66.1C477.5 134.2 480 123.4 480 112C480 68.15 444.3 32 400.5 32C367.7 32 345.5 47.08 320 78.95C294.5 47.08 272.3 32 239.5 32C195.7 32 160 68.15 160 112c0 11.4 2.506 22.19 6.844 32H96c-53.02 0-96 48.47-96 128S42.98 416 96 416l160-34.29V480l64-32.01L384 480v-97.99L539.3 416C594.9 416 640 351.5 640 272C640 192.5 594.9 144 539.3 144zM256 316.3l-162.6 34.84C84.68 346 64 319.7 64 272c0-53.34 25.89-64 32-64h160V316.3zM239.5 143.5C222.1 143.5 208 129.4 208 112s14.12-31.53 31.53-31.53c15.69 0 27.27 2.598 67.86 63.06H239.5zM332.6 143.5c40.59-60.46 52.17-63.06 67.86-63.06C417.9 80.47 432 94.59 432 112s-14.11 31.53-31.53 31.53H332.6zM542.9 351.3L384 316.5V208h155.3C551.9 208 576 223.2 576 272C576 316.5 555.1 346.3 542.9 351.3z"],
    "disc-drive": [512, 512, [], "f8b5", "M496 416H480V96c0-35.38-28.62-64-64-64H96C60.62 32 32 60.62 32 96v320H16C7.125 416 0 423.1 0 432v32C0 472.9 7.125 480 15.1 480h480c8.875 0 16-7.125 16-16v-32C512 423.1 504.9 416 496 416zM256 416c-88.38 0-160-71.63-160-160s71.62-160 160-160s160 71.62 160 160S344.4 416 256 416zM256 224C238.4 224 224 238.4 224 256s14.38 32 32 32c17.62 0 32-14.38 32-32S273.6 224 256 224z"],
    "disease": [512, 512, [], "f7fa", "M472.2 195.9l-66.1-22.1c-19.25-6.624-33.5-20.87-38.13-38.24l-16-60.49c-11.62-43.74-76.63-57.11-110-22.62L194.1 99.3c-13.25 13.75-33.5 20.87-54.25 19.25L68.86 112.9c-52-3.999-86.88 44.99-59 82.86l38.63 52.49c11 14.1 12.75 33.74 4.625 50.12l-28.5 56.99c-20.62 41.24 22.88 84.86 73.5 73.86l69.1-15.25c20.12-4.499 41.38 .0001 57 11.62l54.38 40.87c39.38 29.62 101 7.623 104.5-37.24l4.625-61.86c1.375-17.75 12.88-33.87 30.62-42.99l61.1-31.62C526.1 269.8 520.9 212.5 472.2 195.9zM159.1 256c-17.62 0-31.1-14.37-31.1-31.1s14.37-31.1 31.1-31.1s31.1 14.37 31.1 31.1S177.6 256 159.1 256zM287.1 351.1c-17.62 0-31.1-14.37-31.1-31.1c0-17.62 14.37-31.1 31.1-31.1s31.1 14.37 31.1 31.1C319.1 337.6 305.6 351.1 287.1 351.1zM303.1 224c-8.875 0-15.1-7.125-15.1-15.1c0-8.873 7.125-15.1 15.1-15.1s15.1 7.125 15.1 15.1C319.1 216.9 312.9 224 303.1 224z"],
    "display": [576, 512, [], "e163", "M528 0h-480C21.5 0 0 21.5 0 48v320C0 394.5 21.5 416 48 416h192L224 464H152C138.8 464 128 474.8 128 488S138.8 512 152 512h272c13.25 0 24-10.75 24-24s-10.75-24-24-24H352L336 416h192c26.5 0 48-21.5 48-48v-320C576 21.5 554.5 0 528 0zM512 352H64V64h448V352z"],
    "display-arrow-down": [576, 512, [], "e164", "M191 167c-9.375 9.375-9.375 24.56 0 33.94l80 80c9.375 9.375 24.56 9.375 33.94 0l80-80c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0L312 206.1V24C312 10.75 301.3 0 288 0S264 10.75 264 24v182.1L224.1 167C220.3 162.3 214.2 160 208 160S195.7 162.3 191 167zM528 0H352v64h160v288H64V64h156.9V0H48C21.5 0 0 21.5 0 48v320C0 394.5 21.5 416 48 416h192L224 464H152C138.8 464 128 474.8 128 488S138.8 512 152 512h272c13.25 0 24-10.75 24-24s-10.75-24-24-24H352L336 416h192c26.5 0 48-21.5 48-48v-320C576 21.5 554.5 0 528 0z"],
    "display-code": [576, 512, ["desktop-code"], "e165", "M333.9 270.2C337.8 274.1 342.9 276 348 276s10.23-1.938 14.14-5.844l48-48c7.812-7.812 7.812-20.5 0-28.31l-48-48c-7.812-7.812-20.47-7.812-28.28 0s-7.812 20.5 0 28.31l33.86 33.84l-33.86 33.84C326 249.7 326 262.4 333.9 270.2zM528 0h-480C21.5 0 0 21.5 0 48v320C0 394.5 21.5 416 48 416h192L224 464H152C138.8 464 128 474.8 128 488S138.8 512 152 512h272c13.25 0 24-10.75 24-24s-10.75-24-24-24H352L336 416h192c26.5 0 48-21.5 48-48v-320C576 21.5 554.5 0 528 0zM512 352H64V64h448V352zM213.9 270.2C217.8 274.1 222.9 276 228 276S238.2 274.1 242.1 270.2c7.812-7.812 7.812-20.5 0-28.31L208.3 208L242.1 174.2c7.812-7.812 7.812-20.5 0-28.31s-20.47-7.812-28.28 0l-48 48c-7.812 7.812-7.812 20.5 0 28.31L213.9 270.2z"],
    "display-medical": [576, 512, ["desktop-medical"], "e166", "M528 0h-480C21.5 0 0 21.5 0 48v320C0 394.5 21.5 416 48 416h192L224 464H152C138.8 464 128 474.8 128 488S138.8 512 152 512h272c13.25 0 24-10.75 24-24s-10.75-24-24-24H352L336 416h192c26.5 0 48-21.5 48-48v-320C576 21.5 554.5 0 528 0zM512 352H64V64h448V352zM208 239.1H256v48C256 296.8 263.2 304 272 304h32c8.801 0 16-7.202 16-16v-48h48C376.8 239.1 384 232.8 384 224V191.1C384 183.2 376.8 176 368 176H320V128c0-8.801-7.199-16-16-16h-32C263.2 112 256 119.2 256 128v48H208C199.2 176 192 183.2 192 191.1V224C192 232.8 199.2 239.1 208 239.1z"],
    "display-slash": [640, 512, ["desktop-slash"], "e2fa", "M455.1 464h-72l-16-48h39.99l-81.65-64H95.1L95.1 171.5L31.1 121.3V368c0 26.5 21.5 48 47.1 48h191.1l-16 48H183.1c-13.25 0-24 10.75-24 24s10.75 24 24 24h271.1c13.25 0 24-10.75 24-24S469.2 464 455.1 464zM630.8 469.1l-68.1-53.38c25.21-1.434 45.29-22.16 45.29-47.73v-320c0-26.5-21.5-48-48-48l-479.1 0c-12.3 0-23.41 4.77-31.9 12.38L38.81 5.113C34.41 1.676 29.19 0 24.03 0c-7.125 0-14.19 3.16-18.91 9.191c-8.187 10.44-6.37 25.53 4.068 33.7L601.2 506.9c10.5 8.203 25.57 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1zM543.1 352h-62.59l-367.5-288h430L543.1 352z"],
    "distribute-spacing-horizontal": [448, 512, [], "e365", "M0 24C0 10.75 10.75 0 24 0C37.25 0 48 10.75 48 24V488C48 501.3 37.25 512 24 512C10.75 512 0 501.3 0 488V24zM128 144C128 117.5 149.5 96 176 96H272C298.5 96 320 117.5 320 144V368C320 394.5 298.5 416 272 416H176C149.5 416 128 394.5 128 368V144zM448 24V488C448 501.3 437.3 512 424 512C410.7 512 400 501.3 400 488V24C400 10.75 410.7 0 424 0C437.3 0 448 10.75 448 24z"],
    "distribute-spacing-vertical": [512, 512, [], "e366", "M0 56C0 42.75 10.75 32 24 32H488C501.3 32 512 42.75 512 56C512 69.25 501.3 80 488 80H24C10.75 80 0 69.25 0 56zM96 208C96 181.5 117.5 160 144 160H368C394.5 160 416 181.5 416 208V304C416 330.5 394.5 352 368 352H144C117.5 352 96 330.5 96 304V208zM488 432C501.3 432 512 442.7 512 456C512 469.3 501.3 480 488 480H24C10.75 480 0 469.3 0 456C0 442.7 10.75 432 24 432H488z"],
    "ditto": [320, 512, [], "22", "M14.89 54.93C2.692 70.21-2.372 90.22 1.044 109.9l25.21 145.2C29.55 274.1 45.44 288 63.99 288S98.43 274.1 101.7 255l25.24-145.2c3.389-19.6-1.678-39.61-13.88-54.9C88.75 24.36 39.23 24.36 14.89 54.93zM305.1 54.93c-24.34-30.57-73.86-30.57-98.2 0c-12.2 15.29-17.27 35.3-13.85 54.93l25.21 145.2C221.6 274.1 237.4 288 255.1 288s34.44-13.89 37.74-32.99l25.24-145.2C322.4 90.22 317.3 70.21 305.1 54.93z"],
    "divide": [448, 512, [10135, 247], "f529", "M400 224h-352c-17.69 0-32 14.31-32 31.1s14.31 32 32 32h352c17.69 0 32-14.31 32-32S417.7 224 400 224zM224 144c26.47 0 48-21.53 48-48s-21.53-48-48-48s-48 21.53-48 48S197.5 144 224 144zM224 368c-26.47 0-48 21.53-48 48s21.53 48 48 48s48-21.53 48-48S250.5 368 224 368z"],
    "dna": [448, 512, [129516], "f471", "M.1193 494.1c-1.125 9.5 6.312 17.87 15.94 17.87l32.06 .0635c8.125 0 15.21-5.833 16.21-13.83c.7501-4.875 1.869-11.17 3.494-18.17h312c1.625 6.875 2.904 13.31 3.529 18.18c1.125 7.1 7.84 13.94 15.97 13.82l32.46-.0625c9.625 0 17.12-8.374 15.99-17.87c-4.625-37.87-25.75-128.1-119.1-207.7c-17.5 12.37-36.98 24.37-58.48 35.49c6.25 4.625 11.56 9.405 17.06 14.15H159.7c21.25-18.12 47.03-35.63 78.65-51.38c172.1-85.5 203.7-218.8 209.5-266.7c1.125-9.5-6.297-17.88-15.92-17.88L399.6 .001c-8.125 0-14.84 5.832-15.96 13.83c-.7501 4.875-1.869 11.17-3.369 18.17H67.74C66.24 25 65.08 18.81 64.33 13.81C63.21 5.813 56.48-.124 48.36 .001L16.1 .1338c-9.625 0-17.09 8.354-15.96 17.85c5.125 42.87 31.29 153.8 159.9 238.1C31.55 340.3 5.245 451.2 .1193 494.1zM223.9 219.7C198.8 205.9 177.6 191.3 159.7 176h128.5C270.4 191.3 249 206.1 223.9 219.7zM355.1 96c-5.875 10.37-12.88 21.12-21 31.1H113.1c-8.25-10.87-15.3-21.63-21.05-32L355.1 96zM93 415.1c5.875-10.37 12.74-21.13 20.87-32h219.4c8.375 10.87 15.48 21.63 21.23 32H93z"],
    "do-not-enter": [512, 512, [], "f5ec", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM96 208C87.16 208 80 215.2 80 224V288C80 296.8 87.16 304 96 304H416C424.8 304 432 296.8 432 288V224C432 215.2 424.8 208 416 208H96z"],
    "dog": [576, 512, [128021], "f6d3", "M332.7 19.85C334.6 8.395 344.5 0 356.1 0C363.6 0 370.6 3.52 375.1 9.502L392 32H444.1C456.8 32 469.1 37.06 478.1 46.06L496 64H552C565.3 64 576 74.75 576 88V112C576 156.2 540.2 192 496 192H426.7L421.6 222.5L309.6 158.5L332.7 19.85zM448 64C439.2 64 432 71.16 432 80C432 88.84 439.2 96 448 96C456.8 96 464 88.84 464 80C464 71.16 456.8 64 448 64zM416 256.1V480C416 497.7 401.7 512 384 512H352C334.3 512 320 497.7 320 480V364.8C295.1 377.1 268.8 384 240 384C211.2 384 184 377.1 160 364.8V480C160 497.7 145.7 512 128 512H96C78.33 512 64 497.7 64 480V249.8C35.23 238.9 12.64 214.5 4.836 183.3L.9558 167.8C-3.331 150.6 7.094 133.2 24.24 128.1C41.38 124.7 58.76 135.1 63.05 152.2L66.93 167.8C70.49 182 83.29 191.1 97.97 191.1H303.8L416 256.1z"],
    "dog-leashed": [576, 512, [129454], "f6d4", "M282.7 148.1C289.3 154 289.8 164.1 283.9 170.7C277.1 177.3 267.9 177.8 261.3 171.9L101.3 27.89C94.73 21.98 94.2 11.86 100.1 5.297C106-1.272 116.1-1.804 122.7 4.108L282.7 148.1zM256 192V383.3C250.7 383.8 245.4 384 240 384C211.2 384 184 377.1 160 364.8V480C160 497.7 145.7 512 128 512H96C78.33 512 64 497.7 64 480V249.8C35.23 238.9 12.64 214.5 4.836 183.3L.9558 167.8C-3.331 150.6 7.094 133.2 24.24 128.1C41.38 124.7 58.76 135.1 63.05 152.2L66.93 167.8C70.49 182 83.29 191.1 97.97 191.1L256 192zM320 364.8C309.9 369.1 299.2 374.2 288 377.4V208.1L416 261.1V480C416 497.7 401.7 512 384 512H352C334.3 512 320 497.7 320 480V364.8zM426.7 192L420.5 229.2L305.8 180.9L332.7 19.85C334.6 8.395 344.5 0 356.1 0C363.6 0 370.6 3.52 375.1 9.502L392 32H444.1C456.8 32 469.1 37.06 478.1 46.06L496 64H552C565.3 64 576 74.75 576 88V112C576 156.2 540.2 192 496 192H426.7zM448 96C456.8 96 464 88.84 464 80C464 71.16 456.8 64 448 64C439.2 64 432 71.16 432 80C432 88.84 439.2 96 448 96z"],
    "dollar-sign": [320, 512, [128178, 61781, "dollar", "usd"], "24", "M160 0C177.7 0 192 14.33 192 32V67.68C193.6 67.89 195.1 68.12 196.7 68.35C207.3 69.93 238.9 75.02 251.9 78.31C268.1 82.65 279.4 100.1 275 117.2C270.7 134.3 253.3 144.7 236.1 140.4C226.8 137.1 198.5 133.3 187.3 131.7C155.2 126.9 127.7 129.3 108.8 136.5C90.52 143.5 82.93 153.4 80.92 164.5C78.98 175.2 80.45 181.3 82.21 185.1C84.1 189.1 87.79 193.6 95.14 198.5C111.4 209.2 136.2 216.4 168.4 225.1L171.2 225.9C199.6 233.6 234.4 243.1 260.2 260.2C274.3 269.6 287.6 282.3 295.8 299.9C304.1 317.7 305.9 337.7 302.1 358.1C295.1 397 268.1 422.4 236.4 435.6C222.8 441.2 207.8 444.8 192 446.6V480C192 497.7 177.7 512 160 512C142.3 512 128 497.7 128 480V445.1C127.6 445.1 127.1 444.1 126.7 444.9L126.5 444.9C102.2 441.1 62.07 430.6 35 418.6C18.85 411.4 11.58 392.5 18.76 376.3C25.94 360.2 44.85 352.9 60.1 360.1C81.9 369.4 116.3 378.5 136.2 381.6C168.2 386.4 194.5 383.6 212.3 376.4C229.2 369.5 236.9 359.5 239.1 347.5C241 336.8 239.6 330.7 237.8 326.9C235.9 322.9 232.2 318.4 224.9 313.5C208.6 302.8 183.8 295.6 151.6 286.9L148.8 286.1C120.4 278.4 85.58 268.9 59.76 251.8C45.65 242.4 32.43 229.7 24.22 212.1C15.89 194.3 14.08 174.3 17.95 153C25.03 114.1 53.05 89.29 85.96 76.73C98.98 71.76 113.1 68.49 128 66.73V32C128 14.33 142.3 0 160 0V0z"],
    "dolly": [576, 512, ["dolly-box"], "f472", "M294.2 277.8c17.1 5 34.62 13.38 49.5 24.62l161.5-53.75c8.375-2.875 12.88-11.88 10-20.25L454.8 47.25c-2.748-8.502-11.88-13-20.12-10.12l-61.13 20.37l33.12 99.38l-60.75 20.13l-33.12-99.38L251.2 98.13c-8.373 2.75-12.87 11.88-9.998 20.12L294.2 277.8zM574.4 309.9c-5.594-16.75-23.67-25.91-40.48-20.23l-202.5 67.51c-17.22-22.01-43.57-36.41-73.54-36.97L165.7 43.75C156.9 17.58 132.5 0 104.9 0H32C14.33 0 0 14.33 0 32s14.33 32 32 32h72.94l92.22 276.7C174.7 358.2 160 385.3 160 416c0 53.02 42.98 96 96 96c52.4 0 94.84-42.03 95.82-94.2l202.3-67.44C570.9 344.8 579.1 326.6 574.4 309.9zM256 448c-17.67 0-32-14.33-32-32c0-17.67 14.33-31.1 32-31.1S288 398.3 288 416C288 433.7 273.7 448 256 448z"],
    "dolly-empty": [576, 512, [], "f473", "M574.4 309.9c-5.594-16.75-23.69-25.91-40.48-20.23l-202.5 67.51c-17.22-22.01-43.57-36.41-73.54-36.97L165.7 43.75C156.9 17.58 132.5 0 104.9 0H32C14.33 0 0 14.33 0 32s14.33 32 32 32h72.94l92.22 276.7C174.7 358.2 160 385.3 160 416c0 53.02 42.98 96 96 96c52.4 0 94.84-42.03 95.82-94.2l202.3-67.44C570.9 344.8 579.1 326.6 574.4 309.9zM256 448c-17.67 0-32-14.33-32-32c0-17.67 14.32-31.1 31.1-31.1S288 398.3 288 416C288 433.7 273.7 448 256 448z"],
    "dolphin": [512, 512, [], "e168", "M438.4 129.5l-13.9-11.92c9.016-24.25 26.23-54.14 52.31-89.89c5.311-7.332 3.281-15.04-.4336-19.82c-4.619-5.982-11.83-8.905-20.34-7.575c-51.75 8.119-93.62 24.63-123.9 40.08c-35.5-25.72-77.93-40.4-122.1-40.4L176 0C96.47 0 32 64.47 32 144c0 18.38 3.771 35.81 10.05 51.97L14.25 214.5C5.348 220.4 0 230.4 0 241.1V256c0 17.67 14.33 32 32 32L192.9 288l102.8 61.7C306.4 356.1 320 348.4 320 335.1V288h2.902c.834 0 1.59 .2139 2.412 .249C326.2 288.2 327.1 288 328 288C358.9 288 384 313.1 384 344s-25.07 56-56 56h-62.22l-13.07-21.31C248.3 372 240.8 368 232.7 368H171.1c-9.561 0-15.27 10.65-9.965 18.61l35.55 53.38l-35.53 53.36C156.7 501.3 162.4 512 172 512H232.7c8.064-.002 15.58-4.031 19.99-10.69L265.8 480H320c105.9 0 192.4-86.08 192-191.1C512 202.3 460.3 148.3 438.4 129.5zM128 148.3C129.8 136.9 139.3 128 151.3 128c13.25 0 24 10.74 24 24c0 13.25-10.75 24-24 24C139.3 176 129.8 167.1 128 155.7V148.3z"],
    "dong-sign": [384, 512, [], "e169", "M320 64C337.7 64 352 78.33 352 96C352 113.7 337.7 128 320 128V384C320 401.7 305.7 416 288 416C275 416 263.9 408.3 258.8 397.2C239.4 409.1 216.5 416 192 416C121.3 416 64 358.7 64 288C64 217.3 121.3 160 192 160C215.3 160 237.2 166.2 256 177.1V128H224C206.3 128 192 113.7 192 96C192 78.33 206.3 64 224 64H256C256 46.33 270.3 32 288 32C305.7 32 320 46.33 320 64V64zM256 288C256 252.7 227.3 224 192 224C156.7 224 128 252.7 128 288C128 323.3 156.7 352 192 352C227.3 352 256 323.3 256 288zM352 448C369.7 448 384 462.3 384 480C384 497.7 369.7 512 352 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H352z"],
    "donut": [512, 512, [127849, "doughnut"], "e406", "M488.5 313.4C496.8 309.8 504.7 305.2 512 299.7V304C512 392.4 397.4 464 256 464C114.6 464 .0009 392.4 .0009 304V299.7C7.32 305.2 15.24 309.8 23.62 313.4C30.33 315.8 36.17 320.2 40.35 325.9C52.73 343.8 69.57 358.2 89.22 367.7C108.9 377.1 130.6 381.2 152.4 379.6C165.7 379.5 178.1 382 191.4 387.1C211.9 395.6 233.9 400 256.1 400C278.3 400 300.3 395.6 320.8 387.1C333.1 382 346.4 379.5 359.8 379.6C381.5 381.2 403.3 377.1 422.9 367.7C442.6 358.2 459.4 343.8 471.8 325.9C475.1 320.2 481.8 315.8 488.5 313.4zM.0009 208C.0009 119.6 114.6 48 256 48C397.4 48 512 119.6 512 208C512 208 512 234.8 512 240C512.5 257.1 499.4 273.7 475.5 284.1C462.2 289.2 450.1 298.6 443.5 310.8C433.7 323.5 420.9 333.5 406.3 339.9C391.6 346.3 375.6 348.1 359.6 347.6C341.8 347.5 324.2 350.9 307.8 357.8C274.5 371.4 237.3 371.4 204.1 357.8C187.7 350.9 170 347.5 152.2 347.6C136.3 348.1 120.2 346.3 105.6 339.9C90.93 333.5 78.13 323.5 68.35 310.8C60.9 298.6 49.66 289.2 36.35 284.1C12.8 273.7-.4791 257.1 .0009 240C.1609 234.8 .0009 208 .0009 208zM369.2 137.9C368.4 139.8 367.1 141.9 367.1 144C367.1 146.1 368.4 148.2 369.2 150.1C370 152.1 371.2 153.8 372.7 155.3L404.7 187.3C407.7 190.3 411.8 192 416 192C420.2 192 424.3 190.3 427.3 187.3C430.3 184.3 432 180.2 432 176C432 171.8 430.3 167.7 427.3 164.7L395.3 132.7C393.8 131.2 392.1 129.1 390.1 129.2C388.2 128.4 386.1 127.1 384 127.1C381.9 127.1 379.8 128.4 377.9 129.2C375.9 130 374.2 131.2 372.7 132.7C371.2 134.2 370 135.9 369.2 137.9zM369.2 233.9C368.4 235.8 367.1 237.9 367.1 240C367.1 242.1 368.4 244.2 369.2 246.1C370 248.1 371.2 249.8 372.7 251.3L404.7 283.3C407.7 286.3 411.8 288 416 288C420.2 288 424.3 286.3 427.3 283.3C430.3 280.3 432 276.2 432 272C432 267.8 430.3 263.7 427.3 260.7L395.3 228.7C393.8 227.2 392.1 225.1 390.1 225.2C388.2 224.4 386.1 223.1 384 223.1C381.9 223.1 379.8 224.4 377.9 225.2C375.9 226 374.2 227.2 372.7 228.7C371.2 230.2 370 231.9 369.2 233.9zM334.8 278.1C335.6 276.2 336 274.1 336 272C336 269.9 335.6 267.8 334.8 265.9C333.1 263.9 332.8 262.2 331.3 260.7C329.8 259.2 328.1 258 326.1 257.2C324.2 256.4 322.1 255.1 320 255.1C317.9 255.1 315.8 256.4 313.9 257.2C311.9 258 310.2 259.2 308.7 260.7L276.7 292.7C275.2 294.2 274 295.9 273.2 297.9C272.4 299.8 271.1 301.9 271.1 304C271.1 306.1 272.4 308.2 273.2 310.1C274 312.1 275.2 313.8 276.7 315.3C278.2 316.8 279.9 317.1 281.9 318.8C283.8 319.6 285.9 320 288 320C290.1 320 292.2 319.6 294.1 318.8C296.1 317.1 297.8 316.8 299.3 315.3L331.3 283.3C332.8 281.8 333.1 280.1 334.8 278.1zM241.2 105.9C240.4 107.8 239.1 109.9 239.1 112C239.1 114.1 240.4 116.2 241.2 118.1C242 120.1 243.2 121.8 244.7 123.3C246.2 124.8 247.9 125.1 249.9 126.8C251.8 127.6 253.9 128 256 128C258.1 128 260.2 127.6 262.1 126.8C264.1 125.1 265.8 124.8 267.3 123.3L283.3 107.3C286.3 104.3 288 100.2 288 96C288 91.75 286.3 87.68 283.3 84.67C280.3 81.67 276.2 79.98 272 79.98C267.8 79.98 263.7 81.67 260.7 84.67L244.7 100.7C243.2 102.2 242 103.9 241.2 105.9zM192 192C192 209.7 220.6 224 256 224C291.4 224 320 209.7 320 192C320 174.3 291.4 160 256 160C220.8 160 192 174.3 192 192zM190.8 294.1C191.6 292.2 192 290.1 192 288C192 285.9 191.6 283.8 190.8 281.9C190 279.9 188.8 278.2 187.3 276.7L155.3 244.7C152.3 241.7 148.2 239.1 144 239.1C139.8 239.1 135.7 241.7 132.7 244.7C129.7 247.7 127.1 251.8 127.1 256C127.1 260.2 129.7 264.3 132.7 267.3L164.7 299.3C166.2 300.8 167.9 302 169.9 302.8C171.8 303.6 173.9 304 176 304C178.1 304 180.2 303.6 182.1 302.8C184.1 302 185.8 300.8 187.3 299.3C188.8 297.8 190 296.1 190.8 294.1zM111.1 144C111.1 148.2 113.7 152.3 116.7 155.3C119.7 158.3 123.8 160 128 160C132.2 160 136.3 158.3 139.3 155.3L171.3 123.3C174.3 120.3 176 116.2 176 112C176 107.8 174.3 103.7 171.3 100.7C168.3 97.67 164.2 95.98 160 95.98C155.8 95.98 151.7 97.67 148.7 100.7L116.7 132.7C113.7 135.7 111.1 139.8 111.1 144zM52.69 196.7C49.69 199.7 48 203.8 48 208C48 212.2 49.69 216.3 52.69 219.3C55.69 222.3 59.76 224 64 224H96C100.2 224 104.3 222.3 107.3 219.3C110.3 216.3 112 212.2 112 208C112 203.8 110.3 199.7 107.3 196.7C104.3 193.7 100.2 192 96 192H64C59.76 192 55.69 193.7 52.69 196.7z"],
    "door-closed": [576, 512, [128682], "f52a", "M560 448H480V50.75C480 22.75 458.5 0 432 0h-288C117.5 0 96 22.75 96 50.75V448H16C7.125 448 0 455.1 0 464v32C0 504.9 7.125 512 16 512h544c8.875 0 16-7.125 16-16v-32C576 455.1 568.9 448 560 448zM384 288c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S401.6 288 384 288z"],
    "door-open": [576, 512, [], "f52b", "M560 448H512V113.5c0-27.25-21.5-49.5-48-49.5L352 64.01V128h96V512h112c8.875 0 16-7.125 16-15.1v-31.1C576 455.1 568.9 448 560 448zM280.3 1.007l-192 49.75C73.1 54.51 64 67.76 64 82.88V448H16c-8.875 0-16 7.125-16 15.1v31.1C0 504.9 7.125 512 16 512H320V33.13C320 11.63 300.5-4.243 280.3 1.007zM232 288c-13.25 0-24-14.37-24-31.1c0-17.62 10.75-31.1 24-31.1S256 238.4 256 256C256 273.6 245.3 288 232 288z"],
    "dove": [512, 512, [128330], "f4ba", "M288 167.2V139.1c-28.25-36.38-47.13-79.29-54.13-125.2C231.7 .4054 214.8-5.02 206.1 5.481C184.1 30.36 168.4 59.7 157.2 92.07C191.4 130.3 237.2 156.7 288 167.2zM400 63.97c-44.25 0-79.1 35.82-79.1 80.08l.0014 59.44c-104.4-6.251-193-70.46-233-161.7C81.48 29.25 63.76 28.58 58.01 40.83C41.38 75.96 32.01 115.2 32.01 156.6c0 70.76 34.11 136.9 85.11 185.9c13.12 12.75 26.13 23.27 38.88 32.77L12.12 411.2c-10.75 2.75-15.5 15.09-9.5 24.47c17.38 26.88 60.42 72.54 153.2 76.29c8 .25 15.99-2.633 22.12-7.883l65.23-56.12l76.84 .0561c88.38 0 160-71.49 160-159.9l.0013-160.2l31.1-63.99L400 63.97zM400 160.1c-8.75 0-16.01-7.259-16.01-16.01c0-8.876 7.261-16.05 16.01-16.05s15.99 7.136 15.99 16.01C416 152.8 408.8 160.1 400 160.1z"],
    "down": [384, 512, ["arrow-alt-down"], "f354", "M374.6 310.6l-160 160C208.4 476.9 200.2 480 192 480s-16.38-3.125-22.62-9.375l-160-160c-9.156-9.156-11.89-22.91-6.938-34.88C7.391 263.8 19.06 256 32 256h96V64c0-17.67 14.33-32 32-32h64c17.67 0 32 14.33 32 32v192h96c12.94 0 24.61 7.797 29.56 19.75C386.5 287.7 383.8 301.5 374.6 310.6z"],
    "down-from-dotted-line": [448, 512, [], "e407", "M64 64C64 81.67 49.67 96 32 96C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64zM448 64C448 81.67 433.7 96 416 96C398.3 96 384 81.67 384 64C384 46.33 398.3 32 416 32C433.7 32 448 46.33 448 64zM382 302.5C385.8 311.3 384 321.5 377.4 328.5L241.4 472.5C236.9 477.3 230.6 480 224 480C217.4 480 211.1 477.3 206.6 472.5L70.55 328.5C63.97 321.5 62.17 311.3 65.96 302.5C69.75 293.7 78.42 288 88 288H160V160C160 142.3 174.3 128 192 128H256C273.7 128 288 142.3 288 160V288H360C369.6 288 378.2 293.7 382 302.5V302.5zM288 64C288 46.33 302.3 32 320 32C337.7 32 352 46.33 352 64C352 81.67 337.7 96 320 96C302.3 96 288 81.67 288 64zM256 64C256 81.67 241.7 96 224 96C206.3 96 192 81.67 192 64C192 46.33 206.3 32 224 32C241.7 32 256 46.33 256 64zM96 64C96 46.33 110.3 32 128 32C145.7 32 160 46.33 160 64C160 81.67 145.7 96 128 96C110.3 96 96 81.67 96 64z"],
    "down-from-line": [384, 512, ["arrow-alt-from-top"], "f349", "M328 288.2H256V160.1c0-17.69-14.33-32.04-32-32.04H160c-17.67 0-32 14.35-32 32.04v128.1H56c-9.578 0-18.25 5.709-22.05 14.51c-3.781 8.803-1.984 19.03 4.594 26l136 144.1c9.062 9.602 25.84 9.602 34.91 0l136-144.1c6.578-6.973 8.375-17.2 4.594-26C346.3 293.9 337.6 288.2 328 288.2zM351.1 32H31.1C14.33 32 0 46.33 0 63.1C0 81.67 14.33 96 32 96h320C369.7 96 384 81.67 384 64C384 46.33 369.7 32 351.1 32z"],
    "down-left": [384, 512, [], "e16a", "M313.4 89.37l45.25 45.26c12.5 12.5 12.5 32.76 0 45.25l-129.6 129.6l67.88 67.88c9.148 9.148 11.89 22.92 6.938 34.87C298.9 424.2 287.2 432 274.3 432H47.1c-8.836 0-16.84-3.58-22.63-9.369c-5.789-5.791-9.371-13.79-9.371-22.63L16 173.7c0-12.95 7.789-24.61 19.75-29.57C47.71 139.2 61.48 141.1 70.62 151.1l67.88 67.88l129.6-129.6C280.6 76.87 300.9 76.88 313.4 89.37z"],
    "down-left-and-up-right-to-center": [512, 512, ["compress-alt"], "f422", "M215.1 272h-136c-12.94 0-24.63 7.797-29.56 19.75C45.47 303.7 48.22 317.5 57.37 326.6l30.06 30.06l-78.06 78.07c-12.5 12.5-12.5 32.75-.0012 45.25l22.62 22.62c12.5 12.5 32.76 12.5 45.26 .0013l78.06-78.07l30.06 30.06c6.125 6.125 14.31 9.367 22.63 9.367c4.125 0 8.279-.7891 12.25-2.43c11.97-4.953 19.75-16.62 19.75-29.56V296C239.1 282.7 229.3 272 215.1 272zM296 240h136c12.94 0 24.63-7.797 29.56-19.75c4.969-11.97 2.219-25.72-6.938-34.87l-30.06-30.06l78.06-78.07c12.5-12.5 12.5-32.76 .0002-45.26l-22.62-22.62c-12.5-12.5-32.76-12.5-45.26-.0003l-78.06 78.07l-30.06-30.06c-9.156-9.141-22.87-11.84-34.87-6.937c-11.97 4.953-19.75 16.62-19.75 29.56v135.1C272 229.3 282.7 240 296 240z"],
    "down-long": [320, 512, ["long-arrow-alt-down"], "f309", "M281.6 392.3l-104 112.1c-9.498 10.24-25.69 10.24-35.19 0l-104-112.1c-6.484-6.992-8.219-17.18-4.404-25.94c3.811-8.758 12.45-14.42 21.1-14.42H128V32c0-17.69 14.33-32 32-32S192 14.31 192 32v319.9h72c9.547 0 18.19 5.66 22 14.42C289.8 375.1 288.1 385.3 281.6 392.3z"],
    "down-right": [384, 512, [], "e16b", "M25.37 134.6l45.26-45.25c12.5-12.5 32.76-12.5 45.25 0l129.6 129.6l67.88-67.88c9.148-9.148 22.92-11.89 34.87-6.938C360.2 149.1 368 160.8 368 173.7l.0001 226.3c0 8.836-3.58 16.84-9.369 22.63C352.8 428.4 344.8 432 336 432H109.7c-12.95 0-24.61-7.789-29.57-19.75c-4.949-11.95-2.209-25.72 6.939-34.87l67.88-67.88L25.37 179.9C12.87 167.4 12.88 147.1 25.37 134.6z"],
    "down-to-bracket": [448, 512, [], "e4e7", "M206.5 344.7L70.55 200.6C63.97 193.7 62.17 183.4 65.95 174.6C69.75 165.8 78.42 160.1 88 160.1H160V32.02C160 14.33 174.3 0 192 0H256C273.7 0 288 14.33 288 32.02V160.1H360C369.6 160.1 378.2 165.8 382 174.6C385.8 183.4 384 193.7 377.5 200.6L241.5 344.7C232.4 354.3 215.6 354.3 206.5 344.7zM352 512H96C42.98 512 0 469 0 416V352C0 334.3 14.33 319.1 32 319.1C49.67 319.1 64 334.3 64 352V416C64 433.7 78.33 448 96 448H352C369.7 448 384 433.7 384 416V352C384 334.3 398.3 319.1 416 319.1C433.7 319.1 448 334.3 448 352V416C448 469 405 512 352 512z"],
    "down-to-dotted-line": [448, 512, [], "e408", "M382 206.5C385.8 215.3 384 225.5 377.4 232.5L241.4 376.5C236.9 381.3 230.6 384 224 384C217.4 384 211.1 381.3 206.6 376.5L70.55 232.5C63.97 225.5 62.17 215.3 65.96 206.5C69.75 197.7 78.42 192 88 192H160V64C160 46.33 174.3 32 192 32H256C273.7 32 288 46.33 288 64V192H360C369.6 192 378.2 197.7 382 206.5V206.5zM0 448C0 430.3 14.33 416 32 416C49.67 416 64 430.3 64 448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448zM160 448C160 465.7 145.7 480 128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416C145.7 416 160 430.3 160 448zM192 448C192 430.3 206.3 416 224 416C241.7 416 256 430.3 256 448C256 465.7 241.7 480 224 480C206.3 480 192 465.7 192 448zM352 448C352 465.7 337.7 480 320 480C302.3 480 288 465.7 288 448C288 430.3 302.3 416 320 416C337.7 416 352 430.3 352 448zM384 448C384 430.3 398.3 416 416 416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480C398.3 480 384 465.7 384 448z"],
    "down-to-line": [384, 512, ["arrow-alt-to-bottom"], "f34a", "M352 416H31.1C14.33 416 0 430.3 0 447.1S14.33 480 31.1 480H352C369.7 480 384 465.7 384 448S369.7 416 352 416zM328 192.1L256 192.1V64.03c0-17.69-14.33-32.02-32-32.02H160c-17.67 0-32 14.34-32 32.02v128.1L56 192.1c-9.578 0-18.25 5.708-22.05 14.51C30.17 215.4 31.97 225.7 38.55 232.6l136 144.1c9.062 9.601 25.84 9.601 34.91 0l136-144.1c6.578-6.974 8.375-17.2 4.594-26C346.3 197.8 337.6 192.1 328 192.1z"],
    "download": [512, 512, [], "f019", "M480 352h-133.5l-45.25 45.25C289.2 409.3 273.1 416 256 416s-33.16-6.656-45.25-18.75L165.5 352H32c-17.67 0-32 14.33-32 32v96c0 17.67 14.33 32 32 32h448c17.67 0 32-14.33 32-32v-96C512 366.3 497.7 352 480 352zM432 456c-13.2 0-24-10.8-24-24c0-13.2 10.8-24 24-24s24 10.8 24 24C456 445.2 445.2 456 432 456zM233.4 374.6C239.6 380.9 247.8 384 256 384s16.38-3.125 22.62-9.375l128-128c12.49-12.5 12.49-32.75 0-45.25c-12.5-12.5-32.76-12.5-45.25 0L288 274.8V32c0-17.67-14.33-32-32-32C238.3 0 224 14.33 224 32v242.8L150.6 201.4c-12.49-12.5-32.75-12.5-45.25 0c-12.49 12.5-12.49 32.75 0 45.25L233.4 374.6z"],
    "dragon": [640, 512, [128009], "f6d5", "M18.43 255.8L192 224L100.8 292.6C90.67 302.8 97.8 320 112 320h222.7c-9.499-26.5-14.75-54.5-14.75-83.38V194.2L200.3 106.8C176.5 90.88 145 92.75 123.3 111.2l-117.5 116.4C-6.562 238 2.436 258 18.43 255.8zM575.2 289.9l-100.7-50.25c-16.25-8.125-26.5-24.75-26.5-43V160h63.99l28.12 22.62C546.1 188.6 554.2 192 562.7 192h30.1c11.1 0 23.12-6.875 28.5-17.75l14.37-28.62c5.374-10.87 4.25-23.75-2.999-33.5l-74.49-99.37C552.1 4.75 543.5 0 533.5 0H296C288.9 0 285.4 8.625 290.4 13.62L351.1 64L292.4 88.75c-5.874 3-5.874 11.37 0 14.37L351.1 128l-.0011 108.6c0 72 35.99 139.4 95.99 179.4c-195.6 6.75-344.4 41-434.1 60.88c-8.124 1.75-13.87 9-13.87 17.38C.0463 504 8.045 512 17.79 512h499.1c63.24 0 119.6-47.5 122.1-110.8C642.3 354 617.1 310.9 575.2 289.9zM489.1 66.25l45.74 11.38c-2.75 11-12.5 18.88-24.12 18.25C497.7 95.25 484.8 83.38 489.1 66.25z"],
    "draw-circle": [512, 512, [], "f5ed", "M512 256C512 282.8 495.5 305.8 472.1 315.3C451.2 391.4 391.4 451.2 315.3 472.1C305.8 495.5 282.8 512 256 512C229.2 512 206.2 495.5 196.7 472.1C120.6 451.2 60.77 391.4 39.94 315.3C16.52 305.8 0 282.8 0 256C0 229.2 16.52 206.2 39.94 196.7C60.77 120.6 120.6 60.77 196.7 39.94C206.2 16.52 229.2 0 256 0C282.8 0 305.8 16.52 315.3 39.94C391.4 60.77 451.2 120.6 472.1 196.7C495.5 206.2 512 229.2 512 256zM408 206C392.2 157.9 354.1 119.8 305.1 103.1C294.3 118.6 276.2 127.1 255.1 127.1C235.8 127.1 217.7 118.6 206 103.1C157.9 119.8 119.8 157.9 103.1 206C118.6 217.7 127.1 235.8 127.1 256C127.1 276.2 118.6 294.3 103.1 305.1C119.8 354.1 157.9 392.2 206 408C217.7 393.4 235.8 384 255.1 384C276.2 384 294.3 393.4 305.1 408C354.1 392.2 392.2 354.1 408 305.1C393.4 294.3 384 276.2 384 256C384 235.8 393.4 217.7 408 206V206z"],
    "draw-polygon": [448, 512, [], "f5ee", "M384.3 352C419.5 352.2 448 380.7 448 416C448 451.3 419.3 480 384 480C360.3 480 339.6 467.1 328.6 448H119.4C108.4 467.1 87.69 480 64 480C28.65 480 0 451.3 0 416C0 392.3 12.87 371.6 32 360.6V151.4C12.87 140.4 0 119.7 0 96C0 60.65 28.65 32 64 32C87.69 32 108.4 44.87 119.4 64H328.6C339.6 44.87 360.3 32 384 32C419.3 32 448 60.65 448 96C448 131.3 419.5 159.8 384.3 159.1L345.5 227.9C349.7 236.4 352 245.9 352 256C352 266.1 349.7 275.6 345.5 284.1L384.3 352zM96 360.6C105.7 366.2 113.8 374.3 119.4 384H328.6C328.6 383.9 328.7 383.8 328.7 383.7L292.2 319.9C290.8 319.1 289.4 320 288 320C252.7 320 224 291.3 224 256C224 220.7 252.7 192 288 192C289.4 192 290.8 192 292.2 192.1L328.7 128.3L328.6 128H119.4C113.8 137.7 105.7 145.8 96 151.4L96 360.6z"],
    "draw-square": [448, 512, [], "f5ef", "M119.4 448C108.4 467.1 87.69 480 64 480C28.65 480 0 451.3 0 416C0 392.3 12.87 371.6 32 360.6V151.4C12.87 140.4 0 119.7 0 96C0 60.65 28.65 32 64 32C87.69 32 108.4 44.87 119.4 64H328.6C339.6 44.87 360.3 32 384 32C419.3 32 448 60.65 448 96C448 119.7 435.1 140.4 416 151.4V360.6C435.1 371.6 448 392.3 448 416C448 451.3 419.3 480 384 480C360.3 480 339.6 467.1 328.6 448H119.4zM96 360.6C105.7 366.2 113.8 374.3 119.4 384H328.6C334.2 374.3 342.3 366.2 352 360.6V151.4C342.3 145.8 334.2 137.7 328.6 128H119.4C113.8 137.7 105.7 145.8 96 151.4V360.6z"],
    "dreidel": [448, 512, [], "f792", "M19.62 223.1C7.001 236.5 0 253.5 0 271.3v141.9C0 450.1 29.87 480 66.87 480h141.9c17.62 0 34.64-6.1 47.26-19.63l58.9-58.85L78.53 165.1L19.62 223.1zM448 64c0-17.05-13.73-32-32-32c-8.188 0-16.38 3.125-22.62 9.375l-104.3 104.3L217.2 73.71c-6.561-6.5-15.12-9.737-23.68-9.737c-8.553 0-17.09 3.237-23.65 9.737l-68.63 68.74l236.4 236.4l68.63-68.63c6.562-6.564 9.813-15.13 9.813-23.69c0-8.562-3.25-17.13-9.813-23.69l-71.9-71.94l104.3-104.3C444.9 80.38 448 72.19 448 64z"],
    "drone": [512, 512, [], "f85f", "M171.6 88.73C162.3 64.89 139.1 48 112 48C76.65 48 48 76.65 48 112C48 139.1 64.89 162.3 88.73 171.6L127.2 222.1C122.2 223.7 117.2 224 112 224C50.14 224 0 173.9 0 112C0 50.14 50.14 .0003 112 .0003C173.9 .0003 224 50.14 224 112C224 117.2 223.7 122.3 222.1 127.2L171.6 88.73zM213.3 160H298.7L368.3 107.8C370.3 92.11 383.8 80 400 80C417.7 80 432 94.33 432 112C432 128.2 419.9 141.7 404.2 143.7L352 213.3V298.7L404.2 368.3C419.9 370.3 432 383.8 432 400C432 417.7 417.7 432 400 432C383.8 432 370.3 419.9 368.3 404.2L298.7 352H213.3L143.7 404.2C141.7 419.9 128.2 432 112 432C94.33 432 80 417.7 80 400C80 383.8 92.11 370.3 107.8 368.3L160 298.7V213.3L107.8 143.7C92.11 141.7 80 128.2 80 112C80 94.33 94.33 80 112 80C128.2 80 141.7 92.11 143.7 107.8L213.3 160zM112 512C50.14 512 0 461.9 0 400C0 338.1 50.14 288 112 288C117.2 288 122.2 288.3 127.2 289L88.73 340.4C64.89 349.7 48 372.9 48 400C48 435.3 76.65 464 112 464C139.1 464 162.3 447.1 171.6 423.3L222.1 384.8C223.7 389.8 224 394.8 224 400C224 461.9 173.9 512 112 512L112 512zM289 127.2C288.3 122.2 288 117.2 288 112C288 50.14 338.1 0 400 0C461.9 0 512 50.14 512 112C512 173.9 461.9 224 400 224C394.8 224 389.8 223.7 384.8 222.1L423.3 171.6C447.1 162.3 464 139.1 464 111.1C464 76.65 435.3 47.1 400 47.1C372.9 47.1 349.7 64.89 340.4 88.73L289 127.2zM288 400C288 394.8 288.3 389.8 289 384.8L340.4 423.3C349.7 447.1 372.9 464 400 464C435.3 464 464 435.3 464 400C464 372.9 447.1 349.7 423.3 340.4L384.8 289C389.8 288.3 394.8 287.1 400 287.1C461.9 287.1 512 338.1 512 400C512 461.9 461.9 512 400 512C338.1 512 288 461.9 288 400L288 400z"],
    "drone-front": [640, 512, ["drone-alt"], "f860", "M264 112C277.3 112 288 122.7 288 136C288 149.3 277.3 160 264 160H24C10.75 160 0 149.3 0 136C0 122.7 10.75 112 24 112H100.3C105.8 102.4 116.2 96 128 96C139.8 96 150.2 102.4 155.7 112H264zM376 112H484.3C489.8 102.4 500.2 96 512 96C523.8 96 534.2 102.4 539.7 112H616C629.3 112 640 122.7 640 136C640 149.3 629.3 160 616 160H376C362.7 160 352 149.3 352 136C352 122.7 362.7 112 376 112zM160 192V235.2L177.8 243.1L218.4 219.5C249.3 201.5 284.3 192 320 192C355.7 192 390.7 201.5 421.6 219.5L462.2 243.1L480 235.2V192H544V256C544 268.6 536.6 280.1 524.1 285.2L468.5 310.3C486.3 331.8 496 358.9 496 386.8V392C496 405.3 485.3 416 472 416C458.7 416 448 405.3 448 392V386.8C448 369.9 442.1 353.6 431.3 340.7L422.9 330.6L380.1 349.2C376.9 351.1 372.5 352 368 352H272C267.5 352 263.1 351.1 259 349.2L217.1 330.6L208.7 340.7C197.9 353.6 192 369.9 192 386.8V392C192 405.3 181.3 416 168 416C154.7 416 144 405.3 144 392V386.8C144 358.9 153.7 331.8 171.5 310.3L115 285.2C103.4 280.1 96 268.6 96 256V192H160z"],
    "droplet": [384, 512, [128167, "tint"], "f043", "M16 319.1C16 245.9 118.3 89.43 166.9 19.3C179.2 1.585 204.8 1.585 217.1 19.3C265.7 89.43 368 245.9 368 319.1C368 417.2 289.2 496 192 496C94.8 496 16 417.2 16 319.1zM112 319.1C112 311.2 104.8 303.1 96 303.1C87.16 303.1 80 311.2 80 319.1C80 381.9 130.1 432 192 432C200.8 432 208 424.8 208 416C208 407.2 200.8 400 192 400C147.8 400 112 364.2 112 319.1z"],
    "droplet-degree": [448, 512, ["dewpoint"], "f748", "M133.4 51.36c-42.5 137.9-133.4 175.5-133.4 272.8C.0003 410.2 71.56 480 159.1 480s159.1-69.78 159.1-155.9c0-97.78-90.73-134.1-133.4-272.8C179.4 26.1 141.6 25 133.4 51.36zM368 32c-44.06 0-79.1 35.94-79.1 80S323.9 192 368 192s79.1-35.94 79.1-80S412.1 32 368 32zM368 144c-17.75 0-31.1-14.25-31.1-32s14.25-32 31.1-32c17.75 0 31.1 14.25 31.1 32S385.8 144 368 144z"],
    "droplet-percent": [320, 512, ["humidity"], "f750", "M186.6 51.36c-7.188-25.27-45-26.36-53.13 0C90.94 189.3 0 226.9 0 324.1c0 86.08 71.56 155.9 160 155.9s160-69.78 160-155.9C320 226.4 229.3 190 186.6 51.36zM80 264c0-13.31 10.69-23.1 24-23.1S128 250.7 128 264S117.3 288 104 288S80 277.3 80 264zM123.3 379.3C120.2 382.4 116.1 383.1 112 383.1s-8.188-1.562-11.31-4.688c-6.25-6.25-6.25-16.37 0-22.62l96-95.1c6.25-6.25 16.38-6.25 22.62 0c6.25 6.25 6.25 16.37 0 22.62L123.3 379.3zM216 399.1c-13.31 0-24-10.69-24-23.1c0-13.31 10.69-23.1 24-23.1s24 10.69 24 23.1C240 389.3 229.3 399.1 216 399.1z"],
    "droplet-slash": [640, 512, ["tint-slash"], "f5c7", "M215.3 143.4C243.5 95.07 274.2 49.29 294.9 19.3C307.2 1.585 332.8 1.585 345.1 19.3C393.7 89.43 496 245.9 496 319.1C496 333.7 494.4 347.1 491.5 359.9L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L215.3 143.4zM143.1 319.1C143.1 296.5 154.3 264.6 169.1 229.9L443.5 445.4C411.7 476.7 368.1 496 319.1 496C222.8 496 143.1 417.2 143.1 319.1V319.1zM239.1 319.1C239.1 311.2 232.8 303.1 223.1 303.1C215.2 303.1 207.1 311.2 207.1 319.1C207.1 381.9 258.1 432 319.1 432C328.8 432 336 424.8 336 416C336 407.2 328.8 400 319.1 400C275.8 400 239.1 364.2 239.1 319.1V319.1z"],
    "drum": [512, 512, [129345], "f569", "M431.1 122l70.02-45.91c11.09-7.273 14.19-22.14 6.906-33.25c-7.219-11.07-22.09-14.23-33.22-6.924l-106.4 69.73c-49.81-8.787-97.18-9.669-112.4-9.669c-.002 0 .002 0 0 0C219.5 96 0 100.6 0 208.3v160.1c0 30.27 27.5 57.68 71.1 77.85v-101.9c0-13.27 10.75-24.03 24-24.03s23.1 10.76 23.1 24.03v118.9C153 472.4 191.1 478.3 231.1 480v-103.6c0-13.27 10.75-24.03 24-24.03c.002 0-.002 0 0 0c13.25 0 24 10.76 24 24.03V480c40.93-1.668 78.95-7.615 111.1-16.72v-118.9c0-13.27 10.75-24.03 24-24.03s24 10.76 24 24.03v101.9c44.49-20.17 71.1-47.58 71.1-77.85V208.3C511.1 164.9 476.1 138.4 431.1 122zM255.1 272.5C255.1 272.5 255.1 272.5 255.1 272.5c-114.9 0-207.1-28.97-207.1-64.39s93.12-63.1 207.1-63.1c.002 0-.002 0 0 0c17.5 0 34.47 .7139 50.71 1.966L242.8 187.1c-11.09 7.273-14.19 22.14-6.906 33.25C240.5 228.3 248.2 232.1 256 232.1c4.5 0 9.062-1.265 13.12-3.923l109.3-71.67c51.77 11.65 85.5 30.38 85.5 51.67C463.1 243.6 370.9 272.5 255.1 272.5z"],
    "drum-steelpan": [576, 512, [], "f56a", "M288 32C129 32 0 89.25 0 160v192c0 70.75 129 128 288 128s288-57.25 288-128V160C576 89.25 447 32 288 32zM205 190.4c-4.5 16.62-14.5 30.5-28.25 40.5C100.2 217.5 48 190.8 48 160c0-30.12 50.12-56.38 124-69.1l25.62 44.25C207.5 151.4 210.1 171.2 205 190.4zM288 240c-21.12 0-41.38-.1-60.88-2.75C235.1 211.1 259.2 192 288 192s52.88 19.12 60.88 45.25C329.4 239 309.1 240 288 240zM352 96c0 35.25-28.75 64-64 64S224 131.2 224 96V83C244.4 81.12 265.8 80 288 80s43.63 1.125 64 3V96zM398.9 230.9c-13.75-9.875-23.88-23.88-28.38-40.5c-5.125-19.13-2.5-39 7.375-56l25.62-44.5C477.8 103.5 528 129.8 528 160C528 190.9 475.6 217.5 398.9 230.9z"],
    "drumstick": [512, 512, [127831], "f6d6", "M511.1 169.2c0 43.27-16.51 86.6-49.49 119.6c-35.49 35.5-78.45 63.12-142.4 63.12L234.2 351.1l-40.48 40.58c-6.102 6.103-8.917 13.98-8.917 22.14c0 13.69 7.243 18.23 7.243 37.02c0 33.68-27.44 60.3-60.36 60.3c-15.58 0-31.04-6.024-42.7-17.69c-11.49-11.58-16.81-26.41-16.81-41.42c0-4.914 .5723-9.865 1.682-14.71c-4.84 1.11-9.793 1.683-14.72 1.683c-42.25 0-59.13-36.72-59.13-59.58c0-11.46 3.27-22.98 9.99-33.09c11.42-17.41 30.52-27.19 50.32-27.19c18.99 0 23.06 7.244 37.06 7.244c8.182 0 16.09-2.815 22.11-8.918l40.56-40.48l.0502-85.9c0-63.1 27.61-107 63.1-142.4c33.06-33.06 76.3-49.57 119.6-49.57s86.62 16.53 119.6 49.59C495.5 82.6 511.1 125.9 511.1 169.2z"],
    "drumstick-bite": [512, 512, [], "f6d7", "M512 168.9c0 1.766-.0229 3.398-.0768 5.164c-16.91-9.132-35.51-13.76-53.96-13.76c-82.65 0-105.5 74.17-105.5 105.4c0 27.04 9.923 54.43 29.63 76.25c-19.52 6.629-39.99 9.997-60.62 9.997l-87.18 .0038l-40.59 40.49c-6.104 6.103-8.921 14.01-8.921 22.17c0 13.98 7.244 17.1 7.244 37.03C192.1 485.4 164.6 512 131.7 512c-15.63 0-31.11-6.055-42.72-17.8c-11.55-11.46-16.82-26.31-16.82-41.26c0-4.948 .575-9.903 1.695-14.75c-4.842 1.11-9.793 1.681-14.72 1.681c-42.15 0-59.13-36.64-59.13-59.5c0-33.43 27.15-60.34 60.39-60.34c18.97 0 22.97 7.219 36.96 7.219c8.159 0 16.04-2.811 22.14-8.914l40.57-40.47L160.1 191.1c0-63.1 27.79-107 63.17-142.4c33.13-33.06 76.39-49.59 119.7-49.59s86.79 16.53 119.9 49.59C495.9 82.5 512 125.7 512 168.9z"],
    "dryer": [448, 512, [], "f861", "M384 0H64C28.65 0 0 28.65 0 64v400C0 490.4 21.6 512 48 512h352c26.4 0 48-21.6 48-48V64C448 28.65 419.3 0 384 0zM184 64C197.3 64 208 74.75 208 88S197.3 112 184 112S160 101.3 160 88S170.8 64 184 64zM64 88C64 74.75 74.75 64 88 64S112 74.75 112 88S101.3 112 88 112S64 101.3 64 88zM224 448c-79.5 0-143.1-64.5-143.1-144C80.01 224.5 144.5 160 224 160c79.5 0 143.1 64.5 143.1 144C367.1 383.5 303.5 448 224 448zM224 192C167.6 192 121.5 233.8 113.6 288H184C188.4 288 192 291.6 192 296v16C192 316.4 188.4 320 184 320H113.6C121.5 374.2 167.6 416 224 416c61.83 0 111.1-50.17 111.1-112C335.1 242.2 285.8 192 224 192z"],
    "dryer-heat": [448, 512, ["dryer-alt"], "f862", "M384 0H64C28.65 0 0 28.65 0 64v400C0 490.4 21.6 512 48 512h352c26.4 0 48-21.6 48-48V64C448 28.65 419.3 0 384 0zM184 64C197.2 64 208 74.75 208 88S197.2 112 184 112S160 101.2 160 88S170.8 64 184 64zM64 88C64 74.75 74.75 64 88 64S112 74.75 112 88S101.2 112 88 112S64 101.2 64 88zM224 448c-79.5 0-143.1-64.5-143.1-144S144.5 160 224 160s143.1 64.5 143.1 144S303.5 448 224 448zM216 272c0-22.62-12-34.62-20.75-43.38C189.5 222.9 186.1 219.2 184.8 214C183.9 210.5 180.6 208 177 208H160.8C158.4 208 156 209.1 154.5 210.9C153 212.8 152.2 215.1 152.8 217.5c2.75 16.62 12.5 26.38 19.87 33.88C180.5 259.1 184 263 184 272S180.5 284.9 172.8 292.8C164 301.5 152 313.4 152 336c0 22.75 12 34.63 20.75 43.38c5.75 5.75 9.125 9.375 10.5 14.5C184.1 397.5 187.4 400 191 400h16.38c2.375 0 4.625-1.125 6.125-2.875c1.625-1.875 2.25-4.25 1.875-6.625c-2.875-16.62-12.62-26.38-20-33.75C187.5 348.9 184 345 184 336c0-8.875 3.5-12.75 11.25-20.62C204 306.6 216 294.6 216 272zM296 272c0-22.62-12-34.62-20.75-43.38C269.5 222.9 266.1 219.2 264.8 214C263.9 210.5 260.6 208 257 208h-16.25C238.4 208 236 209.1 234.5 210.9C233 212.8 232.2 215.1 232.8 217.5c2.75 16.62 12.5 26.38 19.88 33.88C260.5 259.1 264 263 264 272s-3.5 12.87-11.25 20.75C244 301.5 232 313.4 232 336c0 22.75 12 34.63 20.75 43.38c5.75 5.75 9.125 9.375 10.5 14.5C264.1 397.5 267.4 400 271 400h16.38c2.375 0 4.625-1.125 6.125-2.875c1.5-1.875 2.125-4.25 1.75-6.625c-2.75-16.62-12.5-26.38-19.88-33.75C267.5 348.9 264 345 264 336c0-8.875 3.5-12.75 11.25-20.62C284 306.6 296 294.6 296 272z"],
    "duck": [512, 512, [129414], "f6d8", "M400.7 223.1C400.3 223.1 400 224.3 400 224.7V248.7C400 255.3 402.8 261.5 407.2 266.4C427.6 289.1 440 319.1 440 352C440 422.7 382.7 480 312 480H196C87.75 480 0 392.2 0 283.1V278.6C0 266.1 10.13 255.1 22.63 255.1C28.63 255.1 34.38 258.4 38.63 262.6L54.01 278C60.18 284.2 69.2 286.5 77.58 284.1L250.4 234.8C260.7 231.8 266.1 220.3 258.1 213C237.2 193.1 224 166.5 224 136C224 78.56 270.6 32 328 32C381.8 32 426.1 72.91 431.5 125.3C431.5 125.7 431.8 125.1 432.1 126C442.7 127.3 453.3 127.3 463.9 126L499.2 121.6C505.1 120.8 512 126 512 132.9C512 183.2 471.2 224 420.9 224L400.7 223.1zM344 111.1C330.7 111.1 320 122.7 320 135.1C320 149.3 330.7 159.1 344 159.1C357.3 159.1 368 149.3 368 135.1C368 122.7 357.3 111.1 344 111.1zM340.6 296.9C341.1 288.1 334.3 280.5 325.5 280C316.7 279.5 309.1 286.2 308.6 295.1C306.2 336.3 276 374.1 231.3 385.2C190.1 395.3 150.9 380.6 127.7 351.7C122.1 344.8 112 343.7 105.2 349.3C98.27 354.8 97.16 364.9 102.7 371.7C133.8 410.5 186.7 429.3 239.1 416.3C297 401.8 337.3 352.5 340.6 296.9H340.6z"],
    "dumbbell": [640, 512, [], "f44b", "M104 96h-48C42.75 96 32 106.8 32 120V224C14.33 224 0 238.3 0 256c0 17.67 14.33 32 31.1 32L32 392C32 405.3 42.75 416 56 416h48C117.3 416 128 405.3 128 392v-272C128 106.8 117.3 96 104 96zM456 32h-48C394.8 32 384 42.75 384 56V224H256V56C256 42.75 245.3 32 232 32h-48C170.8 32 160 42.75 160 56v400C160 469.3 170.8 480 184 480h48C245.3 480 256 469.3 256 456V288h128v168c0 13.25 10.75 24 24 24h48c13.25 0 24-10.75 24-24V56C480 42.75 469.3 32 456 32zM608 224V120C608 106.8 597.3 96 584 96h-48C522.8 96 512 106.8 512 120v272c0 13.25 10.75 24 24 24h48c13.25 0 24-10.75 24-24V288c17.67 0 32-14.33 32-32C640 238.3 625.7 224 608 224z"],
    "dumpster": [576, 512, [], "f793", "M560 160c10.38 0 17.1-9.75 15.5-19.88l-24-95.1C549.8 37 543.3 32 536 32h-98.88l25.62 128H560zM272 32H171.5L145.9 160H272V32zM404.5 32H304v128h126.1L404.5 32zM16 160h97.25l25.63-128H40C32.75 32 26.25 37 24.5 44.12l-24 95.1C-2.001 150.2 5.625 160 16 160zM560 224h-20L544 192H32l4 32H16C7.25 224 0 231.2 0 240v32C0 280.8 7.25 288 16 288h28L64 448v16C64 472.8 71.25 480 80 480h32C120.8 480 128 472.8 128 464V448h320v16c0 8.75 7.25 16 16 16h32c8.75 0 16-7.25 16-16V448l20-160H560C568.8 288 576 280.8 576 272v-32C576 231.2 568.8 224 560 224z"],
    "dumpster-fire": [640, 512, [], "f794", "M418.8 104.2L404.6 32H304.1L304 159.1h60.77C381.1 140.7 399.1 121.8 418.8 104.2zM272.1 32.12H171.5L145.9 160.1h126.1L272.1 32.12zM461.3 104.2c18.25 16.25 35.51 33.62 51.14 51.49c5.751-5.623 11.38-11.12 17.38-16.37l21.26-18.98l21.25 18.98c1.125 .9997 2.125 2.124 3.126 3.124c-.125-.7498 .2501-1.5 0-2.249l-24-95.97c-1.625-7.123-8.127-12.12-15.38-12.12H437.2l12.25 61.5L461.3 104.2zM16 160.1l97.26-.0223l25.64-127.9h-98.89c-7.251 0-13.75 4.999-15.5 12.12L.5001 140.2C-2.001 150.3 5.626 160.1 16 160.1zM340.6 192.1L32.01 192.1l4.001 31.99L16 224.1C7.252 224.1 0 231.3 0 240.1V272c0 8.748 7.251 15.1 16 15.1l28.01 .0177l20 159.1L64.01 464C64.01 472.8 71.26 480 80.01 480h32.01c8.752 0 16-7.248 16-15.1v-15.1l208.8-.002c-30.13-33.74-48.73-77.85-48.73-126.3C288.1 285.8 307.9 238.8 340.6 192.1zM551.2 163.3c-14.88 13.25-28.38 27.12-40.26 41.12c-19.5-25.74-43.63-51.99-71.01-76.36c-70.14 62.73-120 144.2-120 193.6C319.1 409.1 391.6 480 479.1 480s160-70.87 160-158.3C640.1 285 602.1 209.4 551.2 163.3zM532.6 392.6c-14.75 10.62-32.88 16.1-52.51 16.1c-49.01 0-88.89-33.49-88.89-87.98c0-27.12 16.5-50.99 49.38-91.85c4.751 5.498 67.14 87.98 67.14 87.98l39.76-46.99c2.876 4.874 5.375 9.497 7.75 13.1C573.9 321.5 565.1 368.4 532.6 392.6z"],
    "dungeon": [512, 512, [], "f6d9", "M336.6 156.5C327.3 148.1 322.6 136.5 327.1 125.3L357.6 49.18C362.7 36.27 377.8 30.36 389.7 37.63C410.9 50.63 430 66.62 446.5 85.02C455.7 95.21 452.9 110.9 441.5 118.5L373.9 163.5C363.6 170.4 349.8 168.1 340.5 159.9C339.2 158.7 337.9 157.6 336.6 156.5H336.6zM297.7 112.6C293.2 123.1 280.9 129.8 268.7 128.6C264.6 128.2 260.3 128 256 128C251.7 128 247.4 128.2 243.3 128.6C231.1 129.8 218.8 123.1 214.3 112.6L183.1 36.82C178.8 24.02 185.5 9.433 198.1 6.374C217.3 2.203 236.4 0 256 0C275.6 0 294.7 2.203 313 6.374C326.5 9.433 333.2 24.02 328 36.82L297.7 112.6zM122.3 37.63C134.2 30.36 149.3 36.27 154.4 49.18L184.9 125.3C189.4 136.5 184.7 148.1 175.4 156.5C174.1 157.6 172.8 158.7 171.5 159.9C162.2 168.1 148.4 170.4 138.1 163.5L70.52 118.5C59.13 110.9 56.32 95.21 65.46 85.02C81.99 66.62 101.1 50.63 122.3 37.63H122.3zM379.5 222.1C376.3 210.7 379.7 198.1 389.5 191.6L458.1 145.8C469.7 138.1 485.6 141.9 491.2 154.7C501.6 178.8 508.4 204.8 510.9 232C512.1 245.2 501.3 255.1 488 255.1H408C394.7 255.1 384.2 245.2 381.8 232.1C381.1 228.7 380.4 225.4 379.5 222.1V222.1zM122.5 191.6C132.3 198.1 135.7 210.7 132.5 222.1C131.6 225.4 130.9 228.7 130.2 232.1C127.8 245.2 117.3 256 104 256H24C10.75 256-.1184 245.2 1.107 232C3.636 204.8 10.43 178.8 20.82 154.7C26.36 141.9 42.26 138.1 53.91 145.8L122.5 191.6zM104 288C117.3 288 128 298.7 128 312V360C128 373.3 117.3 384 104 384H24C10.75 384 0 373.3 0 360V312C0 298.7 10.75 288 24 288H104zM488 288C501.3 288 512 298.7 512 312V360C512 373.3 501.3 384 488 384H408C394.7 384 384 373.3 384 360V312C384 298.7 394.7 288 408 288H488zM104 416C117.3 416 128 426.7 128 440V488C128 501.3 117.3 512 104 512H24C10.75 512 0 501.3 0 488V440C0 426.7 10.75 416 24 416H104zM488 416C501.3 416 512 426.7 512 440V488C512 501.3 501.3 512 488 512H408C394.7 512 384 501.3 384 488V440C384 426.7 394.7 416 408 416H488zM272 464C272 472.8 264.8 480 256 480C247.2 480 240 472.8 240 464V192C240 183.2 247.2 176 256 176C264.8 176 272 183.2 272 192V464zM208 464C208 472.8 200.8 480 192 480C183.2 480 176 472.8 176 464V224C176 215.2 183.2 208 192 208C200.8 208 208 215.2 208 224V464zM336 464C336 472.8 328.8 480 320 480C311.2 480 304 472.8 304 464V224C304 215.2 311.2 208 320 208C328.8 208 336 215.2 336 224V464z"],
    "e": [320, 512, [101], "45", "M320 448c0 17.67-14.33 32-32 32H32c-17.67 0-32-14.33-32-32v-384C0 46.34 14.33 32.01 32 32.01h256c17.67 0 32 14.33 32 32s-14.33 32-32 32H64v128h160c17.67 0 32 14.32 32 31.99s-14.33 32.01-32 32.01H64v128h224C305.7 416 320 430.3 320 448z"],
    "ear": [384, 512, [128066], "f5f0", "M192 0C86 0 0 86 0 192v176C0 447.5 64.5 512 144 512s144-64.5 144-144v-9.875C345.4 324.9 384 263 384 192C384 86 298 0 192 0zM280 208C266.8 208 256 197.2 256 184C256 153.1 230.9 128 200 128h-16C153.1 128 128 153.1 128 184v31.72l13.92 5.576c18.73 7.477 31.67 23.86 34.6 43.82c2.955 19.92-4.672 39.33-20.4 51.92l-37.15 29.71C114.6 350.2 109.5 352 104.2 352c-7.287 0-14.35-3.367-18.92-9.035C77 332.6 78.68 317.5 89 309.2l37.12-29.69c3.24-2.592 3.119-6.051 2.916-7.418C128.8 270.7 127.1 267.4 124.1 265.8L95.12 254.3C85.93 250.6 80 241.9 80 231.1V184c0-57.35 46.65-104 104-104h16c57.35 0 104 46.65 104 104C304 197.2 293.2 208 280 208z"],
    "ear-deaf": [512, 512, ["deaf", "deafness", "hard-of-hearing"], "f2a4", "M192 319.1C185.8 313.7 177.6 310.6 169.4 310.6S153 313.7 146.8 319.1l-137.4 137.4C3.124 463.6 0 471.8 0 480c0 18.3 14.96 31.1 31.1 31.1c8.188 0 16.38-3.124 22.62-9.371l137.4-137.4c6.247-6.247 9.371-14.44 9.371-22.62S198.3 326.2 192 319.1zM200 240c0-22.06 17.94-40 40-40s40 17.94 40 40c0 13.25 10.75 24 24 24s24-10.75 24-24c0-48.53-39.47-88-88-88S152 191.5 152 240c0 13.25 10.75 24 24 24S200 253.3 200 240zM511.1 31.1c0-8.188-3.124-16.38-9.371-22.62s-14.44-9.372-22.63-9.372s-16.38 3.124-22.62 9.372L416 50.75c-6.248 6.248-9.372 14.44-9.372 22.63c0 8.188 3.123 16.38 9.37 22.62c6.247 6.248 14.44 9.372 22.63 9.372s16.38-3.124 22.63-9.372l41.38-41.38C508.9 48.37 511.1 40.18 511.1 31.1zM415.1 241.6c0-57.78-42.91-177.6-175.1-177.6c-153.6 0-175.2 150.8-175.2 160.4c0 17.32 14.99 31.58 32.75 31.58c16.61 0 29.25-13.07 31.24-29.55c6.711-55.39 54.02-98.45 111.2-98.45c80.45 0 111.2 75.56 111.2 119.6c0 57.94-38.22 98.14-46.37 106.3L288 370.7v13.25c0 31.4-22.71 57.58-52.58 62.98C220.4 449.7 208 463.3 208 478.6c0 17.95 14.72 32.09 32.03 32.09c4.805 0 100.5-14.34 111.2-112.7C412.6 335.8 415.1 263.4 415.1 241.6z"],
    "ear-listen": [512, 512, ["assistive-listening-systems"], "f2a2", "M160.1 320c-17.64 0-32.02 14.37-32.02 31.1s14.38 31.1 32.02 31.1s32.02-14.37 32.02-31.1S177.8 320 160.1 320zM86.66 361.4c-12.51-12.49-32.77-12.49-45.27 0c-12.51 12.5-12.51 32.78 0 45.27l63.96 63.99c12.51 12.49 32.77 12.49 45.27 .002c12.51-12.5 12.51-32.78 0-45.27L86.66 361.4zM32.02 448C14.38 448 0 462.4 0 480S14.38 512 32.02 512c17.64 0 32.02-14.37 32.02-31.1S49.66 448 32.02 448zM287.7 70.31c-110.9-29.38-211.7 47.53-222.8 150.9C62.1 239.9 78.73 255.1 97.57 255.1c16.61 0 29.25-13.07 31.24-29.55c6.934-57.22 57.21-101.3 116.9-98.3c71.71 3.594 117.1 76.82 102.5 146.9c-6.551 29.65-21.4 56.87-43.38 78.87L288 370.7v13.25c0 31.4-22.71 57.58-52.58 62.98C220.4 449.7 208 463.3 208 478.6c0 19.78 17.88 34.94 37.38 31.64c55.92-9.443 99.63-55.28 105.9-112.2c40.11-40.68 62.89-93.95 64.65-150.9C418.4 166.4 365.8 91 287.7 70.31zM240 200c22.06 0 40 17.94 40 40c0 13.25 10.75 24 24 24s24-10.75 24-24c0-48.53-39.47-88-88-88S152 191.5 152 240c0 13.25 10.75 24 24 24S200 253.3 200 240C200 217.9 217.9 200 240 200zM397.8 3.125c-15.91-7.594-35.05-.8438-42.66 15.09c-7.594 15.97-.8281 35.06 15.12 42.66C417.5 83.41 448 134.9 448 192c0 17.69 14.33 32 32 32S512 209.7 512 192C512 110.3 467.2 36.19 397.8 3.125z"],
    "ear-muffs": [640, 512, [], "f795", "M151.1 224C140.1 224 129.7 229.4 122.3 237.8c-10.63-7-23.75-9.375-36.38-4.5C74.21 238.1 65.71 248 62.21 259.5C50.46 259.3 38.84 264.3 30.59 273.9C22.59 283.8 19.96 296 22.21 307.5c-10.13 5.125-18.44 14.86-20.94 26.98c-3 12.25 .1888 23.89 7.314 33.27c-7 9-10.15 20.91-7.649 33.16c2.875 12.25 10.77 21.84 21.27 27.34c-2.5 11.12 0 23.62 8 33.25c8 9.875 19.88 14.75 31.75 14.75c3.25 11.5 11.5 21 23.38 26.12c5.125 1.875 9.875 2.875 15 2.875c7.875 0 15.63-2.375 22.13-6.75C129.7 506.8 140.2 512 151.1 512c22.13 0 40-17.88 40-40c0-9.999-4-18.88-10.13-25.88c6.125-7 10.13-15.88 10.13-25.88S188.5 401 182.3 394C188.5 387 191.1 377.9 191.1 368.1c0-9.875-3.51-18.81-9.635-25.81c6.125-7 9.625-16 9.625-26c0-10.12-4.125-19-10.25-26c6.125-7 10.25-16 10.25-26C191.1 241.9 174.1 224 151.1 224zM639 335.1c-2.875-12.25-10.81-21.84-21.31-26.97c2.5-11.5 0-24-8-33.63c-8-9.875-19.88-14.75-31.75-14.75c-3.25-11.5-11.5-21.38-23.38-26.12c-12.75-5-26.13-2.5-36.88 4.5C510.5 229.8 499.1 224 487.8 224c-22.13 0-40 17.88-40 40c0 10.12 4.125 19 10.25 26c-6.125 6.999-10.25 15.87-10.25 26.12c0 9.876 3.5 18.88 9.625 25.88c-6.125 6.999-9.541 16.06-9.541 25.94c0 9.875 3.416 18.81 9.541 25.81c-6.125 7-9.625 16-9.625 26c0 10.12 4.125 19 10.25 26c-6.125 7-10.25 16-10.25 26c0 22.12 17.88 40 40 40c11.75 0 22-5.125 29.38-13.12c6.5 4.125 14 6.5 22 6.5c4.75 0 9.875-.625 14.63-2.875c11.88-4.5 20.25-14.5 23.38-26c11.88 .375 23.75-4.75 32-14.38c8-9.875 10.63-22.12 8.375-33.63c10.13-5 18.1-14.61 21.1-26.86c2.875-12.12-.3457-24.26-7.471-33.26C638.5 359.4 641.7 347.3 639 335.1zM487.8 192c12.26 0 24.23 3.279 34.84 9.336c5.924-1.545 11.99-2.336 18.08-2.336c.6016 0 1.188 .1523 1.789 .168C530.2 87.15 435.3 0 320 0C204.8 0 109.1 87.01 97.49 198.9c.7188-.0215 1.422-.1973 2.143-.1973c6.024 0 12.01 .7773 17.86 2.297C127.9 195.1 139.7 192 151.1 192c3.82 0 7.496 .5547 11.16 1.133C177.6 119.6 242.3 64 320 64c77.65 0 142.4 55.63 156.9 129.1C480.5 192.6 484.1 192 487.8 192z"],
    "earth-africa": [512, 512, [127757, "globe-africa"], "f57c", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM177.8 63.19L187.8 80.62C190.5 85.46 192 90.93 192 96.5V137.9C192 141.8 193.6 145.6 196.3 148.3C202.6 154.6 212.8 153.1 218.3 147.1L231.9 130.1C236.6 124.2 244.8 122.4 251.6 125.8L266.8 133.4C270.2 135.1 273.1 136 277.8 136C284.3 136 290.6 133.4 295.2 128.8L299.1 124.9C302 121.1 306.5 121.2 310.1 123.1L339.4 137.7C347.1 141.6 352 149.5 352 158.1C352 168.6 344.9 177.8 334.7 180.3L299.3 189.2C291.9 191 284.2 190.7 276.1 188.3L244.1 177.7C241.7 176.6 238.2 176 234.8 176C227.8 176 220.1 178.3 215.4 182.5L176 212C165.9 219.6 160 231.4 160 244V272C160 298.5 181.5 320 208 320H240C248.8 320 256 327.2 256 336V384C256 401.7 270.3 416 288 416C298.1 416 307.6 411.3 313.6 403.2L339.2 369.1C347.5 357.1 352 344.5 352 330.7V318.6C352 314.7 354.6 311.3 358.4 310.4L363.7 309.1C375.6 306.1 384 295.4 384 283.1C384 275.1 381.2 269.2 376.2 264.2L342.7 230.7C338.1 226.1 338.1 221 342.7 217.3C348.4 211.6 356.8 209.6 364.5 212.2L378.6 216.9C390.9 220.1 404.3 215.4 410.1 203.8C413.6 196.8 421.3 193.1 428.1 194.6L456.4 200.1C431.1 112.4 351.5 48 256 48C228.3 48 201.1 53.4 177.8 63.19L177.8 63.19z"],
    "earth-americas": [512, 512, [127758, "earth", "earth-america", "globe-americas"], "f57d", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM57.71 192.1L67.07 209.4C75.36 223.9 88.99 234.6 105.1 239.2L162.1 255.7C180.2 260.6 192 276.3 192 294.2V334.1C192 345.1 198.2 355.1 208 359.1C217.8 364.9 224 374.9 224 385.9V424.9C224 440.5 238.9 451.7 253.9 447.4C270.1 442.8 282.5 429.1 286.6 413.7L289.4 402.5C293.6 385.6 304.6 371.1 319.7 362.4L327.8 357.8C342.8 349.3 352 333.4 352 316.1V307.9C352 295.1 346.9 282.9 337.9 273.9L334.1 270.1C325.1 261.1 312.8 255.1 300.1 255.1H256.1C245.9 255.1 234.9 253.1 225.2 247.6L190.7 227.8C186.4 225.4 183.1 221.4 181.6 216.7C178.4 207.1 182.7 196.7 191.7 192.1L197.7 189.2C204.3 185.9 211.9 185.3 218.1 187.7L242.2 195.4C250.3 198.1 259.3 195 264.1 187.9C268.8 180.8 268.3 171.5 262.9 165L249.3 148.8C239.3 136.8 239.4 119.3 249.6 107.5L265.3 89.12C274.1 78.85 275.5 64.16 268.8 52.42L266.4 48.26C262.1 48.09 259.5 48 256 48C163.1 48 84.4 108.9 57.71 192.1L57.71 192.1zM437.6 154.5L412 164.8C396.3 171.1 388.2 188.5 393.5 204.6L410.4 255.3C413.9 265.7 422.4 273.6 433 276.3L462.2 283.5C463.4 274.5 464 265.3 464 256C464 219.2 454.4 184.6 437.6 154.5H437.6z"],
    "earth-asia": [512, 512, [127759, "globe-asia"], "f57e", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM51.68 295.1L83.41 301.5C91.27 303.1 99.41 300.6 105.1 294.9L120.5 279.5C132 267.1 151.6 271.1 158.9 285.8L168.2 304.3C172.1 313.9 182.8 319.1 193.5 319.1C208.7 319.1 219.6 305.4 215.2 290.8L209.3 270.9C204.6 255.5 216.2 240 232.3 240H234.6C247.1 240 260.5 233.3 267.9 222.2L278.6 206.1C284.2 197.7 283.9 186.6 277.8 178.4L261.7 156.9C251.4 143.2 258.4 123.4 275.1 119.2L292.1 114.1C299.6 113.1 305.7 107.8 308.6 100.6L324.9 59.69C303.4 52.12 280.2 48 255.1 48C141.1 48 47.1 141.1 47.1 256C47.1 269.4 49.26 282.5 51.68 295.1L51.68 295.1zM450.4 300.4L434.6 304.9C427.9 306.7 420.8 304 417.1 298.2L415.1 295.1C409.1 285.7 398.7 279.1 387.5 279.1C376.4 279.1 365.1 285.7 359.9 295.1L353.8 304.6C352.4 306.8 350.5 308.7 348.2 309.1L311.1 330.1C293.9 340.2 286.5 362.5 294.1 381.4L300.5 393.8C309.1 413 331.2 422.3 350.1 414.9L353.5 413.1C363.6 410.2 374.8 411.8 383.5 418.1L385 419.2C422.2 389.7 449.1 347.8 459.4 299.7C456.4 299.4 453.4 299.6 450.4 300.4H450.4zM156.1 367.5L188.1 375.5C196.7 377.7 205.4 372.5 207.5 363.9C209.7 355.3 204.5 346.6 195.9 344.5L163.9 336.5C155.3 334.3 146.6 339.5 144.5 348.1C142.3 356.7 147.5 365.4 156.1 367.5V367.5zM236.5 328.1C234.3 336.7 239.5 345.4 248.1 347.5C256.7 349.7 265.4 344.5 267.5 335.9L275.5 303.9C277.7 295.3 272.5 286.6 263.9 284.5C255.3 282.3 246.6 287.5 244.5 296.1L236.5 328.1zM321.7 120.8L305.7 152.8C301.7 160.7 304.9 170.4 312.8 174.3C320.7 178.3 330.4 175.1 334.3 167.2L350.3 135.2C354.3 127.3 351.1 117.6 343.2 113.7C335.3 109.7 325.6 112.9 321.7 120.8V120.8z"],
    "earth-europe": [512, 512, ["globe-europe"], "f7a2", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM266.3 48.25L232.5 73.6C227.2 77.63 224 83.95 224 90.67V99.72C224 106.5 229.5 112 236.3 112C238.7 112 241.1 111.3 243.1 109.9L284.9 82.06C286.9 80.72 289.3 80 291.7 80H292.7C298.9 80 304 85.07 304 91.31C304 94.31 302.8 97.19 300.7 99.31L280.8 119.2C275 124.1 267.9 129.4 260.2 131.9L233.6 140.8C227.9 142.7 224 148.1 224 154.2C224 157.9 222.5 161.5 219.9 164.1L201.9 182.1C195.6 188.4 192 197.1 192 206.1V210.3C192 226.7 205.6 240 221.9 240C232.9 240 243.1 233.8 248 224L252 215.9C254.5 211.1 259.4 208 264.8 208C269.4 208 273.6 210.1 276.3 213.7L292.6 235.5C294.7 238.3 298.1 240 301.7 240C310.1 240 315.6 231.1 311.8 223.6L310.7 221.3C307.1 214.3 310.7 205.8 318.1 203.3L339.3 196.2C346.9 193.7 352 186.6 352 178.6C352 168.3 360.3 160 370.6 160H400C408.8 160 416 167.2 416 176C416 184.8 408.8 192 400 192H379.3C372.1 192 365.1 194.9 360 200L355.3 204.7C353.2 206.8 352 209.7 352 212.7C352 218.9 357.1 224 363.3 224H374.6C380.6 224 386.4 226.4 390.6 230.6L397.2 237.2C398.1 238.1 400 241.4 400 244C400 246.6 398.1 249 397.2 250.8L389.7 258.3C386 261.1 384 266.9 384 272C384 277.1 386 282 389.7 285.7L408 304C418.2 314.2 432.1 320 446.6 320H453.1C460.5 299.8 464 278.3 464 256C464 144.6 376.4 53.64 266.3 48.25V48.25zM438.4 356.1C434.7 353.5 430.2 352 425.4 352C419.4 352 413.6 349.6 409.4 345.4L395.1 331.1C388.3 324.3 377.9 320 367.1 320C357.4 320 347.9 316.5 340.5 310.2L313.1 287.4C302.4 277.5 287.6 271.1 272.3 271.1H251.4C238.7 271.1 226.4 275.7 215.9 282.7L188.5 301C170.7 312.9 160 332.9 160 354.3V357.5C160 374.5 166.7 390.7 178.7 402.7L194.7 418.7C203.2 427.2 214.7 432 226.7 432H248C261.3 432 272 442.7 272 456C272 458.5 272.4 461 273.1 463.3C344.5 457.5 405.6 415.7 438.4 356.1L438.4 356.1zM164.7 100.7L132.7 132.7C126.4 138.9 126.4 149.1 132.7 155.3C138.9 161.6 149.1 161.6 155.3 155.3L187.3 123.3C193.6 117.1 193.6 106.9 187.3 100.7C181.1 94.44 170.9 94.44 164.7 100.7V100.7z"],
    "earth-oceania": [512, 512, ["globe-oceania"], "e47b", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM215.5 360.6L240.9 377C247.1 381.6 256.2 384 264.6 384C278 384 290.7 377.8 298.1 367.2L311 351.8C316.8 344.4 320 335.2 320 325.8C320 316.4 316.8 307.2 311 299.8L293.1 276.9C288.3 270.7 284.4 263.1 281.6 256.7L271.5 230.8C269.9 226.7 265.9 224 261.5 224C258 224 254.8 225.6 252.8 228.4L242.4 242.6C237.7 248.1 229.7 252.1 221.9 250.5C218.7 249.8 215.8 247.1 213.8 245.4L209.3 239.3C202.1 229.7 190.7 224 178.7 224C166.7 224 155.3 229.7 148.1 239.3L142.8 246.3C141.3 248.4 139.2 250 136.9 251.1L101.6 267.9C81.08 277.7 72.8 302.6 83.37 322.7L86.65 328.9C95.67 346.1 115.7 354.3 134.1 348.4L149.5 343.6C156 341.5 163.1 341.6 169.6 343.8L208.6 357.3C211 358.1 213.4 359.2 215.5 360.6H215.5zM273.8 142.5C264.3 132.1 250.8 128.9 237.6 131.5L199.1 139.2C183.8 142.3 181.5 163.2 195.7 169.5L238.5 188.6C243.7 190.8 249.2 192 254.8 192H284.7C298.9 192 306.1 174.8 296 164.7L273.8 142.5zM264 448H280C288.8 448 296 440.8 296 432C296 423.2 288.8 416 280 416H264C255.2 416 248 423.2 248 432C248 440.8 255.2 448 264 448zM431.2 298.9C428.4 290.6 419.3 286 410.9 288.8C402.6 291.6 398 300.7 400.8 309.1L408.8 333.1C411.6 341.4 420.7 345.1 429.1 343.2C437.4 340.4 441.1 331.3 439.2 322.9L431.2 298.9zM411.3 379.3C417.6 373.1 417.6 362.9 411.3 356.7C405.1 350.4 394.9 350.4 388.7 356.7L356.7 388.7C350.4 394.9 350.4 405.1 356.7 411.3C362.9 417.6 373.1 417.6 379.3 411.3L411.3 379.3z"],
    "eclipse": [640, 512, [], "f749", "M464 80.02c-97.25 0-175.1 78.76-175.1 175.1s78.75 175.1 175.1 175.1S640 353.3 640 256S561.3 80.02 464 80.02zM165.5 346.5c-49.87-49.87-49.87-131.1 0-180.1C200.6 130.4 251 120.5 295.3 134.8c7.5-10.37 15.87-19.1 25.12-28.87L271.5 9.655c-6.375-12.87-24.62-12.87-30.1 0l-47.25 94.61L92.78 70.77C79.15 66.27 66.28 79.27 70.78 92.77l33.5 100.4L9.656 240.5c-12.87 6.374-12.87 24.62 0 30.1l94.62 47.24l-33.5 100.5c-4.5 13.62 8.5 26.5 21.1 21.1l100.4-33.5l47.25 94.61c6.375 12.87 24.62 12.87 30.1 0l47.37-94.61l5.25 1.75c-10.75-9.749-20.25-20.5-28.75-32.25C251 391.5 200.6 381.6 165.5 346.5zM256 160C203.1 160 160 203.1 160 256s43.12 95.99 95.1 95.99c7.75 0 15.12-1.25 22.25-2.875c-14.12-27.1-22.26-59.6-22.26-93.09S264.1 190.9 278.3 162.9C271.1 161.3 263.8 160 256 160z"],
    "egg": [384, 512, [129370], "f7fb", "M192 16c-106 0-192 182-192 288c0 106 85.1 192 192 192c105.1 0 192-85.1 192-192C384 198 297.1 16 192 16zM160.1 138C128.6 177.1 96 249.8 96 304C96 312.8 88.84 320 80 320S64 312.8 64 304c0-63.56 36.7-143.3 71.22-186c5.562-6.906 15.64-7.969 22.5-2.406C164.6 121.1 165.7 131.2 160.1 138z"],
    "egg-fried": [512, 512, [], "f7fc", "M215.1 159.1c-39.75 0-72.01 32.25-72.01 72c0 8.876 7.126 16 16 16c8.876 0 16-7.126 16-16c0-22.13 17.88-40 40-40c8.876 0 16-7.126 16-16S224.8 159.1 215.1 159.1zM478.4 150.5c-39.5-40.75-100.8-46.38-144.5-82.25c-49.76-41-88.13-77.5-158.5-66.13c-86.76 14-111.8 80-125 157.1c-11.13 64.38-54.38 127-50 192.9s52.88 128.5 115 150.8c93.01 33.38 146.9-31.75 204.6-86.38c43.63-41.5 93.38-37.75 140.9-74C517.2 299.8 532.6 201.1 478.4 150.5zM223.1 352.4c-61.76 0-112-50.25-112-112.1c0-61.75 50.26-112.1 112-112.1s112 50.38 112 112.1C335.1 302.1 285.7 352.4 223.1 352.4z"],
    "eggplant": [512, 512, [], "e16c", "M404.1 171.9c-30.56-9.289-54.71-33.44-64-64c-22.41-6.814-41.14-21.79-53.32-41.26C190.3 144.5 124.7 176.7 100.8 186.1C31.93 214.6 .0005 275.1 .0005 337.4c0 141.1 129.2 174.7 172.6 174.7c62.28 0 112.1-19.21 213.2-172.9c23.94-36.67 44.8-73.65 64.42-110.8C428.3 216.3 411.5 196.2 404.1 171.9zM512 24C512 10.29 500.8 0 488 0c-6.141 0-12.28 2.344-16.97 7.031l-14.04 14.04C449.3 17.81 440.9 16 432 16h-128c0 35.35 28.65 64 64 64c0 35.35 28.65 64 64 64c0 35.35 28.65 64 64 64v-128c0-8.871-1.812-17.31-5.074-24.99l14.04-14.04C509.7 36.28 512 30.14 512 24z"],
    "eject": [448, 512, [9167], "f052", "M48.01 319.1h351.1c41.62 0 63.49-49.63 35.37-80.38l-175.1-192.1c-19-20.62-51.75-20.62-70.75 0L12.64 239.6C-15.48 270.2 6.393 319.1 48.01 319.1zM399.1 384H48.01c-26.39 0-47.99 21.59-47.99 47.98C.0117 458.4 21.61 480 48.01 480h351.1c26.39 0 47.99-21.6 47.99-47.99C447.1 405.6 426.4 384 399.1 384z"],
    "elephant": [640, 512, [128024], "f6da", "M382.4 32H383.1C472.4 32 543.1 103.6 543.1 192V311.4C534.6 316.9 523.7 320 511.1 320C491.1 320 472.5 309.1 460.8 294.4C455.5 287.3 445.4 285.9 438.4 291.2C431.3 296.5 429.9 306.5 435.2 313.6C441.8 322.3 449.8 329.9 458.9 336C465.4 340.3 472.5 343.9 479.1 346.5C490 350.1 500.8 352 512 352C523.2 352 533.1 350.1 543.1 346.5C554.2 342.9 563.7 337.6 572 330.9C573.6 329.7 575.2 328.3 576.7 326.1C578 325.7 579.4 324.4 580.7 323.1C586.9 316.9 596.9 316.8 603.2 322.1C609.5 329.1 609.6 339.3 603.4 345.6C587.4 361.1 566.9 374.1 543.1 379.1V398.6C543.1 408.2 551.8 416 561.4 416C568 416 574.1 412.3 577 406.4L579.4 401.7C587.3 385.9 606.5 379.5 622.3 387.4C638.1 395.3 644.5 414.5 636.6 430.3L634.3 434.1C620.5 462.6 592.3 480 561.4 480C516.5 480 479.1 443.5 479.1 398.6V379.1C454.8 373.5 432.7 359.6 415.1 340.7V480C415.1 497.7 401.7 512 383.1 512H319.1C302.3 512 287.1 497.7 287.1 480V409.1C272.7 413.9 256.6 416 239.1 416C223.4 416 207.3 413.9 191.1 409.1V480C191.1 497.7 177.7 512 159.1 512H95.1C78.32 512 63.1 497.7 63.1 480V344.7C61.44 349.4 58.54 353.9 55.32 358.2L43.2 374.4C35.24 385 20.2 387.2 9.598 379.2C-1.006 371.2-3.155 356.2 4.798 345.6L16.92 329.4C22.59 321.9 26.49 313.1 28.35 303.9C30.77 291.7 31.1 279.4 31.1 267V248C31.1 175.8 67.43 111.9 121.9 72.64C138.6 59.57 157.5 49.22 178 42.23C166.5 62.9 159.1 86.69 159.1 112C159.1 191.5 224.5 256 303.1 256C312.8 256 319.1 248.8 319.1 240C319.1 231.2 312.8 224 303.1 224C242.1 224 191.1 173.9 191.1 112C191.1 50.14 242.1 .0013 303.1 0C334.5 0 362.2 12.21 382.4 32V32zM464 224C472.8 224 480 216.8 480 208C480 199.2 472.8 192 464 192C455.2 192 448 199.2 448 208C448 216.8 455.2 224 464 224z"],
    "elevator": [512, 512, [], "e16d", "M79 96h130c5.967 0 11.37-3.402 13.75-8.662c2.385-5.262 1.299-11.39-2.754-15.59l-65-67.34c-5.684-5.881-16.31-5.881-21.99 0l-65 67.34C63.95 75.95 62.87 82.08 65.25 87.34C67.63 92.6 73.03 96 79 96zM357 91.59c5.686 5.881 16.31 5.881 21.99 0l65-67.34c4.053-4.199 5.137-10.32 2.754-15.59C444.4 3.402 438.1 0 433 0h-130c-5.967 0-11.37 3.402-13.75 8.662c-2.385 5.262-1.301 11.39 2.752 15.59L357 91.59zM448 128H64c-35.35 0-64 28.65-64 63.1v255.1C0 483.3 28.65 512 64 512h384c35.35 0 64-28.65 64-63.1V192C512 156.7 483.3 128 448 128zM352 224C378.5 224.1 400 245.5 400 272c0 26.46-21.47 47.9-48 48C325.5 319.9 304 298.5 304 272C304 245.5 325.5 224.1 352 224zM160 224C186.5 224.1 208 245.5 208 272c0 26.46-21.47 47.9-48 48C133.5 319.9 112 298.5 112 272C112 245.5 133.5 224.1 160 224zM240 448h-160v-48C80 373.5 101.5 352 128 352h64c26.51 0 48 21.49 48 48V448zM432 448h-160v-48c0-26.51 21.49-48 48-48h64c26.51 0 48 21.49 48 48V448z"],
    "ellipsis": [448, 512, ["ellipsis-h"], "f141", "M120 256C120 286.9 94.93 312 64 312C33.07 312 8 286.9 8 256C8 225.1 33.07 200 64 200C94.93 200 120 225.1 120 256zM280 256C280 286.9 254.9 312 224 312C193.1 312 168 286.9 168 256C168 225.1 193.1 200 224 200C254.9 200 280 225.1 280 256zM328 256C328 225.1 353.1 200 384 200C414.9 200 440 225.1 440 256C440 286.9 414.9 312 384 312C353.1 312 328 286.9 328 256z"],
    "ellipsis-stroke": [512, 512, ["ellipsis-h-alt"], "f39b", "M488 256C488 295.8 455.8 328 416 328C376.2 328 344 295.8 344 256C344 216.2 376.2 184 416 184C455.8 184 488 216.2 488 256zM416 232C402.7 232 392 242.7 392 256C392 269.3 402.7 280 416 280C429.3 280 440 269.3 440 256C440 242.7 429.3 232 416 232zM328 256C328 295.8 295.8 328 256 328C216.2 328 184 295.8 184 256C184 216.2 216.2 184 256 184C295.8 184 328 216.2 328 256zM256 232C242.7 232 232 242.7 232 256C232 269.3 242.7 280 256 280C269.3 280 280 269.3 280 256C280 242.7 269.3 232 256 232zM24 256C24 216.2 56.24 184 96 184C135.8 184 168 216.2 168 256C168 295.8 135.8 328 96 328C56.24 328 24 295.8 24 256zM96 280C109.3 280 120 269.3 120 256C120 242.7 109.3 232 96 232C82.75 232 72 242.7 72 256C72 269.3 82.75 280 96 280z"],
    "ellipsis-stroke-vertical": [192, 512, ["ellipsis-v-alt"], "f39c", "M96 488C56.24 488 24 455.8 24 416C24 376.2 56.24 344 96 344C135.8 344 168 376.2 168 416C168 455.8 135.8 488 96 488zM120 416C120 402.7 109.3 392 96 392C82.75 392 72 402.7 72 416C72 429.3 82.75 440 96 440C109.3 440 120 429.3 120 416zM96 328C56.24 328 24 295.8 24 256C24 216.2 56.24 184 96 184C135.8 184 168 216.2 168 256C168 295.8 135.8 328 96 328zM120 256C120 242.7 109.3 232 96 232C82.75 232 72 242.7 72 256C72 269.3 82.75 280 96 280C109.3 280 120 269.3 120 256zM96 24C135.8 24 168 56.24 168 96C168 135.8 135.8 168 96 168C56.24 168 24 135.8 24 96C24 56.24 56.24 24 96 24zM72 96C72 109.3 82.75 120 96 120C109.3 120 120 109.3 120 96C120 82.75 109.3 72 96 72C82.75 72 72 82.75 72 96z"],
    "ellipsis-vertical": [128, 512, ["ellipsis-v"], "f142", "M64 360C94.93 360 120 385.1 120 416C120 446.9 94.93 472 64 472C33.07 472 8 446.9 8 416C8 385.1 33.07 360 64 360zM64 200C94.93 200 120 225.1 120 256C120 286.9 94.93 312 64 312C33.07 312 8 286.9 8 256C8 225.1 33.07 200 64 200zM64 152C33.07 152 8 126.9 8 96C8 65.07 33.07 40 64 40C94.93 40 120 65.07 120 96C120 126.9 94.93 152 64 152z"],
    "empty-set": [512, 512, [8709, 216], "f656", "M502.6 9.375c-12.5-12.5-32.75-12.5-45.25 0l-67.44 67.44C352.5 48.79 306.2 32 256 32C132.5 32 32 132.5 32 256c0 50.23 16.79 96.53 44.82 133.9l-67.44 67.44c-12.5 12.5-12.5 32.75 0 45.25C15.63 508.9 23.81 512 32 512s16.38-3.125 22.62-9.375l67.44-67.44C159.5 463.2 205.8 480 256 480c123.5 0 224-100.5 224-224c0-50.23-16.79-96.53-44.82-133.9l67.44-67.44C515.1 42.13 515.1 21.88 502.6 9.375zM96 256c0-88.22 71.78-160 160-160c32.55 0 62.8 9.889 88.09 26.66l-221.4 221.4C105.9 318.8 96 288.6 96 256zM416 256c0 88.22-71.78 160-160 160c-32.55 0-62.8-9.889-88.09-26.66l221.4-221.4C406.1 193.2 416 223.4 416 256z"],
    "engine": [640, 512, [], "e16e", "M328 112V144H409.5C424.1 144 438.2 148.9 449.5 158L487.1 188.8C503.2 200.9 512 219.3 512 238.8V384C512 419.3 483.3 448 448 448H254.8C235.3 448 216.9 439.2 204.8 423.1L172.8 384H127.1C110.3 384 95.1 369.7 95.1 352V280H48V352C48 365.3 37.25 376 24 376C10.75 376 0 365.3 0 352V160C0 146.7 10.75 136 24 136C37.25 136 48 146.7 48 160V232H95.1V176C95.1 158.3 110.3 144 127.1 144H280V112H208C194.7 112 184 101.3 184 88C184 74.75 194.7 64 208 64H400C413.3 64 424 74.75 424 88C424 101.3 413.3 112 400 112H328zM287.1 288C305.7 288 319.1 273.7 319.1 256C319.1 238.3 305.7 224 287.1 224C270.3 224 255.1 238.3 255.1 256C255.1 273.7 270.3 288 287.1 288zM191.1 224C174.3 224 159.1 238.3 159.1 256C159.1 273.7 174.3 288 191.1 288C209.7 288 223.1 273.7 223.1 256C223.1 238.3 209.7 224 191.1 224zM384 288C401.7 288 416 273.7 416 256C416 238.3 401.7 224 384 224C366.3 224 352 238.3 352 256C352 273.7 366.3 288 384 288zM608 192C625.7 192 640 206.3 640 224V416C640 433.7 625.7 448 608 448H576C558.3 448 544 433.7 544 416V224C544 206.3 558.3 192 576 192H608z"],
    "engine-warning": [640, 512, ["engine-exclamation"], "f5f2", "M424 88C424 101.3 413.3 112 400 112H328V144H409.5C424.1 144 438.2 148.9 449.5 158L487.1 188.8C503.2 200.9 512 219.3 512 238.8V384C512 419.3 483.3 448 448 448H254.8C235.3 448 216.9 439.2 204.8 423.1L172.8 384H128C110.3 384 96 369.7 96 352V280H48V352C48 365.3 37.25 376 24 376C10.75 376 0 365.3 0 352V160C0 146.7 10.75 136 24 136C37.25 136 48 146.7 48 160V232H96V176C96 158.3 110.3 144 128 144H280V112H208C194.7 112 184 101.3 184 88C184 74.75 194.7 64 208 64H400C413.3 64 424 74.75 424 88zM324 208C324 196.1 315 188 304 188C292.1 188 284 196.1 284 208V296C284 307 292.1 316 304 316C315 316 324 307 324 296V208zM304 392C317.3 392 328 381.3 328 368C328 354.7 317.3 344 304 344C290.7 344 280 354.7 280 368C280 381.3 290.7 392 304 392zM608 192C625.7 192 640 206.3 640 224V416C640 433.7 625.7 448 608 448H576C558.3 448 544 433.7 544 416V224C544 206.3 558.3 192 576 192H608z"],
    "envelope": [512, 512, [128386, 61443, 9993], "f0e0", "M464 64C490.5 64 512 85.49 512 112C512 127.1 504.9 141.3 492.8 150.4L275.2 313.6C263.8 322.1 248.2 322.1 236.8 313.6L19.2 150.4C7.113 141.3 0 127.1 0 112C0 85.49 21.49 64 48 64H464zM217.6 339.2C240.4 356.3 271.6 356.3 294.4 339.2L512 176V384C512 419.3 483.3 448 448 448H64C28.65 448 0 419.3 0 384V176L217.6 339.2z"],
    "envelope-circle-check": [640, 512, [], "e4e8", "M464 64C490.5 64 512 85.49 512 112C512 127.1 504.9 141.3 492.8 150.4L478.9 160.8C412.3 167.2 356.5 210.8 332.6 270.6L275.2 313.6C263.8 322.1 248.2 322.1 236.8 313.6L19.2 150.4C7.113 141.3 0 127.1 0 112C0 85.49 21.49 64 48 64H464zM294.4 339.2L320.8 319.4C320.3 324.9 320 330.4 320 336C320 378.5 335.1 417.6 360.2 448H64C28.65 448 0 419.3 0 384V176L217.6 339.2C240.4 356.3 271.6 356.3 294.4 339.2zM640 336C640 415.5 575.5 480 496 480C416.5 480 352 415.5 352 336C352 256.5 416.5 192 496 192C575.5 192 640 256.5 640 336zM540.7 292.7L480 353.4L451.3 324.7C445.1 318.4 434.9 318.4 428.7 324.7C422.4 330.9 422.4 341.1 428.7 347.3L468.7 387.3C474.9 393.6 485.1 393.6 491.3 387.3L563.3 315.3C569.6 309.1 569.6 298.9 563.3 292.7C557.1 286.4 546.9 286.4 540.7 292.7H540.7z"],
    "envelope-dot": [576, 512, ["envelope-badge"], "e16f", "M512 0c-35.35 0-64 28.65-64 64s28.65 64 64 64c35.35 0 64-28.65 64-64S547.3 0 512 0zM48.29 145.3l212.2 165.1c16.19 12.6 38.87 12.6 55.06 0l193.7-150.6C457.5 158.2 416 116.1 416 64H80C53.49 64 32 85.49 32 112C32 125 38.01 137.3 48.29 145.3zM288 352c-16.53 0-33.07-5.318-47.17-16.3L32 173.3V400C32 426.5 53.49 448 80 448h416c26.51 0 48-21.49 48-48V173.3l-208.8 162.5C321.1 346.7 304.5 352 288 352z"],
    "envelope-open": [512, 512, [62135], "f2b6", "M493.6 163c-24.88-19.62-45.5-35.37-164.3-121.6C312.7 29.21 279.7 0 256.4 0H255.6C232.3 0 199.3 29.21 182.6 41.38c-118.8 86.25-139.4 101.1-164.3 121.6C6.75 172 0 186 0 200.8v263.2C0 490.5 21.49 512 48 512h416c26.51 0 48-21.49 48-47.1V200.8C512 186 505.3 172 493.6 163zM303.2 367.5C289.1 378.5 272.5 384 256 384s-33.06-5.484-47.16-16.47L64 254.9V208.5c21.16-16.59 46.48-35.66 156.4-115.5c3.18-2.328 6.891-5.187 10.98-8.353C236.9 80.44 247.8 71.97 256 66.84c8.207 5.131 19.14 13.6 24.61 17.84c4.09 3.166 7.801 6.027 11.15 8.478C400.9 172.5 426.6 191.7 448 208.5v46.32L303.2 367.5z"],
    "envelope-open-dollar": [512, 512, [], "f657", "M256 417.1c-16.38 0-32.88-5-46.88-15.12L0 250.9V464C0 490.5 21.5 512 48 512h416c26.5 0 48-21.5 48-48V250.9l-209.1 151.1C288.9 412 272.4 417.1 256 417.1zM493.6 163C484.8 156 476.4 149.5 464 140.1V96c0-26.5-21.5-48-48-48L338.5 48c-3.125-2.25-5.875-4.25-9.125-6.5C312.6 29.13 279.3-.373 256 .002C232.8-.373 199.4 29.13 182.6 41.5c-3.25 2.25-6 4.25-9.125 6.5L96 48c-26.5 0-48 21.5-48 48v44.13C35.63 149.5 27.25 156 18.38 163C6.75 172 0 186 0 200.8v10.62l96 69.38V96h320v184.8l96-69.38V200.8C512 186 505.3 172 493.6 163zM247.7 285.1c-7.203-1.062-16.39-4.375-24.5-7.312L218.7 276.2C208.2 272.5 196.9 277.9 193.2 288.3s1.75 21.84 12.16 25.53l4.359 1.562c8.164 2.949 17.25 5.922 26.38 7.883V336c0 11.03 8.953 20 20 20s20-8.969 20-20v-12.25c23.04-4.814 39.39-18.82 43.09-40.22c7.625-44.13-33.25-55.81-57.67-62.81L255.8 219.1C230.8 211.8 231.4 208.2 232.3 203.3c1.484-8.562 17.14-10.69 31.83-8.406c5.844 .9375 12.27 2.906 18.38 5.031c10.39 3.594 21.83-1.938 25.44-12.38s-1.938-21.81-12.38-25.44c-7.506-2.584-13.7-4.24-19.48-5.482V144c0-11.03-8.953-20-20-20s-20 8.969-20 20v11.88C212.8 160.6 196.6 174.1 192.9 196.5c-7.547 43.66 33.95 55.81 51.66 61l5.953 1.719C280 267.6 280.8 270.7 279.7 276.7C278.3 285.3 262.6 287.4 247.7 285.1z"],
    "envelope-open-text": [512, 512, [], "f658", "M256 417.1c-16.38 0-32.88-4.1-46.88-15.12L0 250.9v213.1C0 490.5 21.5 512 48 512h416c26.5 0 48-21.5 48-47.1V250.9l-209.1 151.1C288.9 412 272.4 417.1 256 417.1zM493.6 163C484.8 156 476.4 149.5 464 140.1v-44.12c0-26.5-21.5-48-48-48l-77.5 .0016c-3.125-2.25-5.875-4.25-9.125-6.5C312.6 29.13 279.3-.3732 256 .0018C232.8-.3732 199.4 29.13 182.6 41.5c-3.25 2.25-6 4.25-9.125 6.5L96 48c-26.5 0-48 21.5-48 48v44.12C35.63 149.5 27.25 156 18.38 163C6.75 172 0 186 0 200.8v10.62l96 69.37V96h320v184.7l96-69.37V200.8C512 186 505.3 172 493.6 163zM176 255.1h160c8.836 0 16-7.164 16-15.1c0-8.838-7.164-16-16-16h-160c-8.836 0-16 7.162-16 16C160 248.8 167.2 255.1 176 255.1zM176 191.1h160c8.836 0 16-7.164 16-16c0-8.838-7.164-15.1-16-15.1h-160c-8.836 0-16 7.162-16 15.1C160 184.8 167.2 191.1 176 191.1z"],
    "envelopes": [640, 512, [], "e170", "M560 32h-384C149.5 32 128 53.49 128 80v1.311l212.5 164.1c16.2 12.6 38.87 12.6 55.06 0L608 81.31V80C608 53.49 586.5 32 560 32zM368 288c-16.53 0-33.06-5.484-47.16-16.47L128 121.3V336C128 362.5 149.5 384 176 384h384c26.51 0 48-21.49 48-48V121.3l-192.8 150.2C401.1 282.5 384.5 288 368 288zM488 480H152C85.83 480 32 426.2 32 360v-240C32 106.8 42.75 96 56 96S80 106.8 80 120v240c0 39.7 32.3 72 72 72h336c13.25 0 24 10.75 24 24S501.3 480 488 480z"],
    "envelopes-bulk": [640, 512, ["mail-bulk"], "f674", "M191.9 448.6c-9.766 0-19.48-2.969-27.78-8.891L32 340.2V480c0 17.62 14.38 32 32 32h256c17.62 0 32-14.38 32-32v-139.8L220.2 439.5C211.7 445.6 201.8 448.6 191.9 448.6zM192 192c0-35.25 28.75-64 64-64h224V32c0-17.62-14.38-32-32-32H128C110.4 0 96 14.38 96 32v192h96V192zM320 256H64C46.38 256 32 270.4 32 288v12.18l151 113.8c5.25 3.719 12.7 3.734 18.27-.25L352 300.2V288C352 270.4 337.6 256 320 256zM576 160H256C238.4 160 224 174.4 224 192v32h96c33.25 0 60.63 25.38 63.75 57.88L384 416h192c17.62 0 32-14.38 32-32V192C608 174.4 593.6 160 576 160zM544 288h-64V224h64V288z"],
    "equals": [448, 512, [62764], "3d", "M48 192h352c17.69 0 32-14.32 32-32s-14.31-31.1-32-31.1h-352c-17.69 0-32 14.31-32 31.1S30.31 192 48 192zM400 320h-352c-17.69 0-32 14.31-32 31.1s14.31 32 32 32h352c17.69 0 32-14.32 32-32S417.7 320 400 320z"],
    "eraser": [512, 512, [], "f12d", "M480 416C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H150.6C133.7 480 117.4 473.3 105.4 461.3L25.37 381.3C.3786 356.3 .3786 315.7 25.37 290.7L258.7 57.37C283.7 32.38 324.3 32.38 349.3 57.37L486.6 194.7C511.6 219.7 511.6 260.3 486.6 285.3L355.9 416H480zM265.4 416L332.7 348.7L195.3 211.3L70.63 336L150.6 416L265.4 416z"],
    "escalator": [640, 512, [], "e171", "M240 128c-35.35 0-64 28.65-64 64v105.2l127.4-111.4C300.2 153.4 273.2 128 240 128zM240 96C266.5 95.9 288 74.46 288 48C288 21.54 266.5 .0996 240 0C213.5 .0996 192 21.54 192 48C192 74.46 213.5 95.9 240 96zM560 128H448c-19.38 0-38.09 7.031-52.69 19.8L161.9 352H80C35.81 352 0 387.8 0 432S35.81 512 80 512H192c19.38 0 38.09-7.031 52.69-19.8L478.1 288H560C604.2 288 640 252.2 640 208S604.2 128 560 128z"],
    "ethernet": [512, 512, [], "f796", "M512 208v224c0 8.75-7.25 16-16 16H416v-128h-32v128h-64v-128h-32v128H224v-128H192v128H128v-128H96v128H16C7.25 448 0 440.8 0 432v-224C0 199.2 7.25 192 16 192H64V144C64 135.2 71.25 128 80 128H128V80C128 71.25 135.2 64 144 64h224C376.8 64 384 71.25 384 80V128h48C440.8 128 448 135.2 448 144V192h48C504.8 192 512 199.2 512 208z"],
    "euro-sign": [384, 512, [8364, "eur", "euro"], "f153", "M64 240C46.33 240 32 225.7 32 208C32 190.3 46.33 176 64 176H92.29C121.9 92.11 201.1 32 296 32H320C337.7 32 352 46.33 352 64C352 81.67 337.7 96 320 96H296C238.1 96 187.8 128.4 162.1 176H288C305.7 176 320 190.3 320 208C320 225.7 305.7 240 288 240H144.2C144.1 242.6 144 245.3 144 248V264C144 266.7 144.1 269.4 144.2 272H288C305.7 272 320 286.3 320 304C320 321.7 305.7 336 288 336H162.1C187.8 383.6 238.1 416 296 416H320C337.7 416 352 430.3 352 448C352 465.7 337.7 480 320 480H296C201.1 480 121.9 419.9 92.29 336H64C46.33 336 32 321.7 32 304C32 286.3 46.33 272 64 272H80.15C80.05 269.3 80 266.7 80 264V248C80 245.3 80.05 242.7 80.15 240H64z"],
    "exclamation": [128, 512, [10069, 10071, 61738], "21", "M64 352c17.69 0 32-14.32 32-31.1V64.01c0-17.67-14.31-32.01-32-32.01S32 46.34 32 64.01v255.1C32 337.7 46.31 352 64 352zM64 400c-22.09 0-40 17.91-40 40s17.91 39.1 40 39.1s40-17.9 40-39.1S86.09 400 64 400z"],
    "expand": [448, 512, [], "f065", "M128 32H32C14.31 32 0 46.31 0 64v96c0 17.69 14.31 32 32 32s32-14.31 32-32V96h64c17.69 0 32-14.31 32-32S145.7 32 128 32zM416 32h-96c-17.69 0-32 14.31-32 32s14.31 32 32 32h64v64c0 17.69 14.31 32 32 32s32-14.31 32-32V64C448 46.31 433.7 32 416 32zM128 416H64v-64c0-17.69-14.31-32-32-32s-32 14.31-32 32v96c0 17.69 14.31 32 32 32h96c17.69 0 32-14.31 32-32S145.7 416 128 416zM416 320c-17.69 0-32 14.31-32 32v64h-64c-17.69 0-32 14.31-32 32s14.31 32 32 32h96c17.69 0 32-14.31 32-32v-96C448 334.3 433.7 320 416 320z"],
    "expand-wide": [512, 512, [], "f320", "M128 64H32C14.31 64 0 78.31 0 96v96c0 17.69 14.31 32 32 32s32-14.31 32-32V128h64c17.69 0 32-14.31 32-32S145.7 64 128 64zM480 64h-96c-17.69 0-32 14.31-32 32s14.31 32 32 32h64v64c0 17.69 14.31 32 32 32s32-14.31 32-32V96C512 78.31 497.7 64 480 64zM128 384H64v-64c0-17.69-14.31-32-32-32s-32 14.31-32 32v96c0 17.69 14.31 32 32 32h96c17.69 0 32-14.31 32-32S145.7 384 128 384zM480 288c-17.69 0-32 14.31-32 32v64h-64c-17.69 0-32 14.31-32 32s14.31 32 32 32h96c17.69 0 32-14.31 32-32v-96C512 302.3 497.7 288 480 288z"],
    "explosion": [576, 512, [], "e4e9", "M499.6 11.32C506.3 .5948 520.1-3.127 531.3 2.814C542.4 8.754 547.1 22.32 541.9 33.84L404.8 338.6C406.9 340.9 409 343.3 411.1 345.7L508.2 291.1C518.7 285.2 531.9 287.9 539.1 297.5C546.4 307 545.4 320.5 536.1 328.1L449.9 415.1H378.5C365.4 378.7 329.8 351.1 288 351.1C246.2 351.1 210.6 378.7 197.5 415.1H117.8L42.34 363.7C32.59 356.1 29.23 344.1 34.43 333.5C39.64 322.8 51.84 317.6 63.16 321.1L160.4 351.5C163.3 347.6 166.5 343.8 169.7 340.2L107.4 236.3C101.4 226.3 103.5 213.3 112.5 205.7C121.5 198.1 134.7 198.1 143.6 205.8L246 293.6C247.5 293.2 249 292.8 250.5 292.4L264.1 149.7C265.3 137.4 275.6 127.1 288 127.1C300.4 127.1 310.7 137.4 311.9 149.7L325.4 291.6L499.6 11.32zM544 447.1C561.7 447.1 576 462.3 576 479.1C576 497.7 561.7 511.1 544 511.1H32C14.33 511.1 0 497.7 0 479.1C0 462.3 14.33 447.1 32 447.1H544zM288-.0046C301.3-.0046 312 10.74 312 23.1V71.1C312 85.25 301.3 95.1 288 95.1C274.7 95.1 264 85.25 264 71.1V23.1C264 10.74 274.7-.0046 288-.0046V-.0046z"],
    "eye": [576, 512, [128065], "f06e", "M279.6 160.4C282.4 160.1 285.2 160 288 160C341 160 384 202.1 384 256C384 309 341 352 288 352C234.1 352 192 309 192 256C192 253.2 192.1 250.4 192.4 247.6C201.7 252.1 212.5 256 224 256C259.3 256 288 227.3 288 192C288 180.5 284.1 169.7 279.6 160.4zM480.6 112.6C527.4 156 558.7 207.1 573.5 243.7C576.8 251.6 576.8 260.4 573.5 268.3C558.7 304 527.4 355.1 480.6 399.4C433.5 443.2 368.8 480 288 480C207.2 480 142.5 443.2 95.42 399.4C48.62 355.1 17.34 304 2.461 268.3C-.8205 260.4-.8205 251.6 2.461 243.7C17.34 207.1 48.62 156 95.42 112.6C142.5 68.84 207.2 32 288 32C368.8 32 433.5 68.84 480.6 112.6V112.6zM288 112C208.5 112 144 176.5 144 256C144 335.5 208.5 400 288 400C367.5 400 432 335.5 432 256C432 176.5 367.5 112 288 112z"],
    "eye-dropper": [512, 512, ["eye-dropper-empty", "eyedropper"], "f1fb", "M482.8 29.23C521.7 68.21 521.7 131.4 482.8 170.4L381.2 271.9L390.6 281.4C403.1 293.9 403.1 314.1 390.6 326.6C378.1 339.1 357.9 339.1 345.4 326.6L185.4 166.6C172.9 154.1 172.9 133.9 185.4 121.4C197.9 108.9 218.1 108.9 230.6 121.4L240.1 130.8L341.6 29.23C380.6-9.744 443.8-9.744 482.8 29.23L482.8 29.23zM55.43 323.3L176.1 202.6L221.4 247.9L100.7 368.6C97.69 371.6 96 375.6 96 379.9V416H132.1C136.4 416 140.4 414.3 143.4 411.3L264.1 290.6L309.4 335.9L188.7 456.6C173.7 471.6 153.3 480 132.1 480H89.69L49.75 506.6C37.06 515.1 20.16 513.4 9.373 502.6C-1.413 491.8-3.086 474.9 5.375 462.2L32 422.3V379.9C32 358.7 40.43 338.3 55.43 323.3L55.43 323.3z"],
    "eye-dropper-full": [512, 512, [], "e172", "M482.8 29.23C521.7 68.21 521.7 131.4 482.8 170.4L381.2 271.9L390.6 281.4C403.1 293.9 403.1 314.1 390.6 326.6C378.1 339.1 357.9 339.1 345.4 326.6L185.4 166.6C172.9 154.1 172.9 133.9 185.4 121.4C197.9 108.9 218.1 108.9 230.6 121.4L240.1 130.8L341.6 29.23C380.6-9.744 443.8-9.744 482.8 29.23L482.8 29.23zM55.43 323.3L176.1 202.6L309.4 335.9L188.7 456.6C173.7 471.6 153.3 480 132.1 480H89.69L49.75 506.6C37.06 515.1 20.16 513.4 9.373 502.6C-1.413 491.8-3.086 474.9 5.375 462.2L32 422.3V379.9C32 358.7 40.43 338.3 55.43 323.3L55.43 323.3z"],
    "eye-dropper-half": [512, 512, [], "e173", "M240.1 130.8L341.6 29.23C380.6-9.744 443.8-9.744 482.8 29.23C521.7 68.21 521.7 131.4 482.8 170.4L381.2 271.9L390.6 281.4C403.1 293.9 403.1 314.1 390.6 326.6C378.1 339.1 357.9 339.1 345.4 326.6L185.4 166.6C172.9 154.1 172.9 133.9 185.4 121.4C197.9 108.9 218.1 108.9 230.6 121.4L240.1 130.8zM221.4 247.9L149.3 320H234.7L264.1 290.6L309.4 335.9L188.7 456.6C173.7 471.6 153.3 480 132.1 480H89.69L49.75 506.6C37.06 515.1 20.16 513.4 9.373 502.6C-1.413 491.8-3.086 474.9 5.375 462.2L32 422.3V379.9C32 358.7 40.43 338.3 55.43 323.3L176.1 202.6L221.4 247.9z"],
    "eye-evil": [640, 512, [], "f6db", "M640 256c0-7.28-4.334-14.58-13.02-16.89l-111.1-30.35c-4.75-6.499-10.04-13.36-16.04-20.36c1.375-2.125 55.22-88.04 55.22-88.04c1.827-2.958 2.658-6.025 2.658-8.984c0-9.414-8.238-17.68-18.43-17.68c-2.165 0-4.422 .3792-6.702 1.197l-119.7 43.37c-9.624-4.749-19.96-8.972-30.71-12.35l-44.45-95.17C333.6 3.568 326.8 0 319.1 0s-13.56 3.568-16.88 10.75L258.7 105.9C247.9 109.3 237.6 113.5 227.1 118.3L108.2 74.92C105.1 74.1 103.7 73.73 101.5 73.73c-10.19 0-18.4 8.241-18.4 17.65c0 2.958 .8233 6.036 2.65 8.994c0 0 53.85 85.91 55.22 88.04C135.4 195 130.1 201.8 124.1 208.8L13.01 239.1c-8.687 2.312-13.01 9.606-13.01 16.89c0 7.28 4.323 14.58 13.01 16.89l111.1 30.35c4.75 6.499 10.11 13.21 15.98 20.33c-1.375 1.1-55.16 88.06-55.16 88.06c-1.827 2.958-2.656 6.044-2.656 9.003c0 9.414 8.229 17.67 18.42 17.67c2.165 0 4.433-.3813 6.712-1.199l119.7-43.37c9.624 4.749 19.97 8.972 30.72 12.35l44.45 95.16C306.4 508.4 313.2 512 319.1 512s13.56-3.568 16.87-10.75l44.45-95.16c10.75-3.375 21.09-7.597 30.71-12.35l119.7 43.37c2.279 .8178 4.543 1.195 6.709 1.195c10.19 0 18.43-8.27 18.43-17.68c0-2.958-.8291-6.029-2.656-8.987c0 0-53.79-86.06-55.16-88.06c5.874-7.124 11.23-13.84 15.98-20.33l111.1-30.35C635.7 270.6 640 263.3 640 256zM319.1 352c-52.99 0-96.01-43-96.01-95.1c0-19.75 6.02-38 16.27-53.25C256.1 212.3 274.9 219.1 295.7 222.1C291.3 231.4 287.1 242.4 287.1 256c0 42.62 31.1 64 31.1 64s32-21.38 32-64c0-13.62-3.34-24.62-7.715-33.87c20.75-2.1 39.72-9.79 55.59-19.29c10.25 15.25 16.13 33.37 16.13 53.12C415.1 308.1 372.1 352 319.1 352z"],
    "eye-low-vision": [640, 512, ["low-vision"], "f2a8", "M150.7 92.77C195 58.27 251.8 32 320 32C400.8 32 465.5 68.84 512.6 112.6C559.4 156 590.7 207.1 605.5 243.7C608.8 251.6 608.8 260.4 605.5 268.3C592.1 300.6 565.2 346.1 525.6 386.7L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L150.7 92.77zM223.1 149.5L313.4 220.3C317.6 211.8 320 202.2 320 191.1C320 180.5 316.1 169.7 311.6 160.4C314.4 160.1 317.2 159.1 320 159.1C373 159.1 416 202.1 416 255.1C416 269.7 413.1 282.7 407.1 294.5L446.6 324.7C457.7 304.3 464 280.9 464 255.1C464 176.5 399.5 111.1 320 111.1C282.7 111.1 248.6 126.2 223.1 149.5zM393.6 469.4L54.65 203.7C62.6 190.1 72.08 175.8 83.09 161.5L446.2 447.5C429.8 456.4 412.3 463.8 393.6 469.4V469.4zM34.46 268.3C31.74 261.8 31.27 254.5 33.08 247.8L329.2 479.8C326.1 479.9 323.1 480 320 480C239.2 480 174.5 443.2 127.4 399.4C80.62 355.1 49.34 304 34.46 268.3H34.46z"],
    "eye-slash": [640, 512, [], "f070", "M150.7 92.77C195 58.27 251.8 32 320 32C400.8 32 465.5 68.84 512.6 112.6C559.4 156 590.7 207.1 605.5 243.7C608.8 251.6 608.8 260.4 605.5 268.3C592.1 300.6 565.2 346.1 525.6 386.7L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L150.7 92.77zM223.1 149.5L313.4 220.3C317.6 211.8 320 202.2 320 191.1C320 180.5 316.1 169.7 311.6 160.4C314.4 160.1 317.2 159.1 320 159.1C373 159.1 416 202.1 416 255.1C416 269.7 413.1 282.7 407.1 294.5L446.6 324.7C457.7 304.3 464 280.9 464 255.1C464 176.5 399.5 111.1 320 111.1C282.7 111.1 248.6 126.2 223.1 149.5zM320 480C239.2 480 174.5 443.2 127.4 399.4C80.62 355.1 49.34 304 34.46 268.3C31.18 260.4 31.18 251.6 34.46 243.7C44 220.8 60.29 191.2 83.09 161.5L177.4 235.8C176.5 242.4 176 249.1 176 255.1C176 335.5 240.5 400 320 400C338.7 400 356.6 396.4 373 389.9L446.2 447.5C409.9 467.1 367.8 480 320 480H320z"],
    "eyes": [640, 512, [], "e367", "M464 32c-59.59 0-112.2 37.79-144 95.46C288.2 69.79 235.6 32 176 32C78.8 32 0 132.3 0 256s78.8 224 176 224c59.59 0 112.2-37.79 144-95.46C351.8 442.2 404.4 480 464 480c97.2 0 176-100.3 176-224S561.2 32 464 32zM176 416c-35.91 0-68.22-25.1-88.88-64.89C90.05 351.5 92.96 352 96 352c35.35 0 64-28.65 64-64S131.3 224 96 224C84.1 224 74.8 227 65.76 231.9C74.21 156.2 121 96 176 96C236.7 96 288 169.3 288 256S236.7 416 176 416zM464 416c-35.91 0-68.22-25.1-88.88-64.89C378.1 351.5 380.1 352 384 352c35.35 0 64-28.65 64-64s-28.65-64-64-64c-11 0-21.2 3.031-30.24 7.922C362.2 156.2 409 96 464 96C524.7 96 576 169.3 576 256S524.7 416 464 416z"],
    "f": [320, 512, [102], "46", "M320 64.01c0 17.67-14.33 32-32 32H64v128h160c17.67 0 32 14.32 32 31.1s-14.33 32-32 32H64v160c0 17.67-14.33 32-32 32s-32-14.33-32-32v-384C0 46.34 14.33 32.01 32 32.01h256C305.7 32.01 320 46.34 320 64.01z"],
    "face-angry": [512, 512, [128544, "angry"], "f556", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM339.9 373.3C323.8 355.4 295.7 336 256 336C216.3 336 188.2 355.4 172.1 373.3C166.2 379.9 166.7 389.1 173.3 395.9C179.9 401.8 189.1 401.3 195.9 394.7C207.6 381.7 227.5 368 255.1 368C284.5 368 304.4 381.7 316.1 394.7C322 401.3 332.1 401.8 338.7 395.9C345.3 389.1 345.8 379.9 339.9 373.3H339.9zM176.4 272C194 272 208.4 257.7 208.4 240C208.4 238.5 208.3 237 208.1 235.6L218.9 239.2C227.3 241.1 236.4 237.4 239.2 229.1C241.1 220.7 237.4 211.6 229.1 208.8L133.1 176.8C124.7 174 115.6 178.6 112.8 186.9C110 195.3 114.6 204.4 122.9 207.2L153.7 217.4C147.9 223.2 144.4 231.2 144.4 240C144.4 257.7 158.7 272 176.4 272zM358.9 217.2L389.1 207.2C397.4 204.4 401.1 195.3 399.2 186.9C396.4 178.6 387.3 174 378.9 176.8L282.9 208.8C274.6 211.6 270 220.7 272.8 229.1C275.6 237.4 284.7 241.1 293.1 239.2L304.7 235.3C304.5 236.8 304.4 238.4 304.4 240C304.4 257.7 318.7 272 336.4 272C354 272 368.4 257.7 368.4 240C368.4 231.1 364.7 223 358.9 217.2H358.9z"],
    "face-angry-horns": [640, 512, [], "e368", "M576 256C576 397.4 461.4 512 320 512C178.6 512 64 397.4 64 256C64 231.4 67.47 207.6 73.94 185.1C29.61 125.8 6.506 50.11 .3109 19.14C-.9582 12.79 1.72 6.307 7.097 2.706C12.47-.8952 19.49-.9025 24.88 2.687C44.17 15.55 73.41 26.86 103.3 35.78C126.5 42.74 149.2 47.99 166.2 51.3C209.1 19.09 262.3 .0002 320 .0002C377.7 .0002 430.9 19.09 473.8 51.3C490.8 47.99 513.5 42.74 536.7 35.78C566.6 26.86 595.8 15.55 615.1 2.687C620.5-.9025 627.5-.8952 632.9 2.706C638.3 6.307 640.1 12.79 639.7 19.14C633.5 50.11 610.4 125.8 566.1 185.1C572.5 207.6 576 231.4 576 256V256zM403.9 389.3C387.8 371.4 359.7 352 320 352C280.3 352 252.2 371.4 236.1 389.3C230.2 395.9 230.7 405.1 237.3 411.9C243.9 417.8 253.1 417.3 259.9 410.7C271.6 397.7 291.5 384 319.1 384C348.5 384 368.4 397.7 380.1 410.7C386 417.3 396.1 417.8 402.7 411.9C409.3 405.1 409.8 395.9 403.9 389.3H403.9zM240.4 304C258 304 272.4 289.7 272.4 272C272.4 270.5 272.3 269 272.1 267.6L282.9 271.2C291.3 273.1 300.4 269.4 303.2 261.1C305.1 252.7 301.4 243.6 293.1 240.8L197.1 208.8C188.7 206 179.6 210.6 176.8 218.9C174 227.3 178.6 236.4 186.9 239.2L217.7 249.4C211.9 255.2 208.4 263.2 208.4 272C208.4 289.7 222.7 304 240.4 304L240.4 304zM422.9 249.2L453.1 239.2C461.4 236.4 465.1 227.3 463.2 218.9C460.4 210.6 451.3 206 442.9 208.8L346.9 240.8C338.6 243.6 334 252.7 336.8 261.1C339.6 269.4 348.7 273.1 357.1 271.2L368.7 267.3C368.5 268.8 368.4 270.4 368.4 271.1C368.4 289.7 382.7 303.1 400.4 303.1C418 303.1 432.4 289.7 432.4 271.1C432.4 263.1 428.7 255 422.9 249.2L422.9 249.2z"],
    "face-anguished": [512, 512, [], "e369", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 320C211.8 320 176 355.8 176 400C176 408.8 183.2 416 192 416H320C328.8 416 336 408.8 336 400C336 355.8 300.2 320 256 320zM176.4 192C158.7 192 144.4 206.3 144.4 224C144.4 241.7 158.7 256 176.4 256C194 256 208.4 241.7 208.4 224C208.4 206.3 194 192 176.4 192zM336.4 256C354 256 368.4 241.7 368.4 224C368.4 206.3 354 192 336.4 192C318.7 192 304.4 206.3 304.4 224C304.4 241.7 318.7 256 336.4 256zM208 112C208 103.2 200.8 96 192 96C186.2 96 180.4 96.38 174.8 97.13C146.6 100.9 121.1 113.6 101.1 132.3C94.62 138.3 94.28 148.5 100.3 154.9C106.3 161.4 116.5 161.7 122.9 155.7C138.4 141.2 157.8 131.7 178.1 128.9C183.2 128.3 187.6 128 192 128C200.8 128 208 120.8 208 112zM389.1 155.7C395.5 161.7 405.7 161.4 411.7 154.9C417.7 148.5 417.4 138.3 410.9 132.3C390.9 113.6 365.4 100.9 337.2 97.13C331.6 96.38 325.8 96 320 96C311.2 96 304 103.2 304 112C304 120.8 311.2 128 320 128C324.4 128 328.8 128.3 333 128.9C354.2 131.7 373.6 141.2 389.1 155.7z"],
    "face-anxious-sweat": [576, 512, [], "e36a", "M99.62 429.3C116.9 414.1 128 393.5 128 369C128 357.6 124.2 346.6 120.9 338.5C117.2 329.8 112.5 320.9 107.7 312.8C98.1 296.7 86.98 281.3 80.01 272.1C68.39 256.5 48.28 252.2 32.02 259.3C32.01 258.2 32 257.1 32 256C32 114.6 146.6 0 288 0C429.4 0 544 114.6 544 256C544 397.4 429.4 512 288 512C213.5 512 146.4 480.2 99.62 429.3V429.3zM224 416H352C360.8 416 368 408.8 368 400C368 355.8 332.2 319.1 288 319.1C243.8 319.1 208 355.8 208 400C208 408.8 215.2 416 224 416zM399.6 271.1C399.6 254.3 385.3 239.1 367.6 239.1C349.1 239.1 335.6 254.3 335.6 271.1C335.6 289.7 349.1 303.1 367.6 303.1C385.3 303.1 399.6 289.7 399.6 271.1zM175.6 271.1C175.6 289.7 189.1 303.1 207.6 303.1C225.3 303.1 239.6 289.7 239.6 271.1C239.6 254.3 225.3 239.1 207.6 239.1C189.1 239.1 175.6 254.3 175.6 271.1zM227.3 171.3C233.6 165.1 233.6 154.9 227.3 148.7C221.1 142.4 210.9 142.4 204.7 148.7L197.3 156.1C178.5 174.9 154.2 187.4 127.9 191.8L125.4 192.2C116.7 193.7 110.8 201.9 112.2 210.6C113.7 219.3 121.9 225.2 130.6 223.8L133.1 223.4C166 217.9 196.4 202.3 219.9 178.7L227.3 171.3zM348.7 148.7C342.4 154.9 342.4 165.1 348.7 171.3L356.1 178.7C379.6 202.3 409.1 217.9 442.9 223.4L445.4 223.8C454.1 225.2 462.3 219.3 463.8 210.6C465.2 201.9 459.3 193.7 450.6 192.2L448.2 191.8C421.8 187.4 397.5 174.9 378.7 156.1L371.3 148.7C365.1 142.4 354.9 142.4 348.7 148.7zM48 416C21.54 416 0 395 0 369C0 351.7 21.44 319.1 35.66 299.4C37.84 296.3 39.86 293.6 41.6 291.3C44.8 286.9 51.2 286.9 54.4 291.3C67.57 308.6 95.1 349 95.1 369C95.1 383.2 89.58 395.9 79.45 404.5C71.02 411.7 60.02 416 47.1 416H48z"],
    "face-astonished": [512, 512, [], "e36b", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 304C229.5 304 208 325.5 208 352V384C208 410.5 229.5 432 256 432C282.5 432 304 410.5 304 384V352C304 325.5 282.5 304 256 304zM176.4 192C158.7 192 144.4 206.3 144.4 224C144.4 241.7 158.7 256 176.4 256C194 256 208.4 241.7 208.4 224C208.4 206.3 194 192 176.4 192zM336.4 256C354 256 368.4 241.7 368.4 224C368.4 206.3 354 192 336.4 192C318.7 192 304.4 206.3 304.4 224C304.4 241.7 318.7 256 336.4 256zM208 112C208 103.2 200.8 96 192 96C186.2 96 180.4 96.38 174.8 97.13C146.6 100.9 121.1 113.6 101.1 132.3C94.62 138.3 94.28 148.5 100.3 154.9C106.3 161.4 116.5 161.7 122.9 155.7C138.4 141.2 157.8 131.7 178.1 128.9C183.2 128.3 187.6 128 192 128C200.8 128 208 120.8 208 112zM389.1 155.7C395.5 161.7 405.7 161.4 411.7 154.9C417.7 148.5 417.4 138.3 410.9 132.3C390.9 113.6 365.4 100.9 337.2 97.13C331.6 96.38 325.8 96 320 96C311.2 96 304 103.2 304 112C304 120.8 311.2 128 320 128C324.4 128 328.8 128.3 333 128.9C354.2 131.7 373.6 141.2 389.1 155.7z"],
    "face-awesome": [512, 512, ["gave-dandy"], "e409", "M322.3 336C342.1 336 360.4 343 374.6 354.7C348.1 392.1 306.1 416 258.4 416H253.6C249 416 244.5 415.8 240.1 415.4C241.6 371.3 277.8 336 322.3 336zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM203.5 160.4C197.9 169.7 187.7 176 176 176C158.3 176 144 161.7 144 144C144 134.9 147.8 126.6 153.1 120.8C150.7 120.3 147.4 120 144 120C108.7 120 80 148.7 80 184V194.3C80 210.7 93.3 224 109.7 224H178.3C194.7 224 208 210.7 208 194.3V184C208 175.7 206.4 167.7 203.5 160.4zM352 144C352 135.5 355.3 127.7 360.8 121.1C355.4 120.7 349.8 120 344 120C304.2 120 272 152.2 272 192V199.5C272 213 282.1 224 296.5 224H391.5C405 224 416 213 416 199.5V192C416 181.6 413.8 171.8 409.9 162.9C404 170.8 394.6 176 384 176C366.3 176 352 161.7 352 144H352zM253.6 448H258.4C313.6 448 363.5 421.1 395.4 380.5C395.4 380.5 395.4 380.5 395.4 380.5C411.1 360.1 422.4 335.9 427.8 309.2C429.1 298.2 421.6 288 410.4 288H101.6C90.43 288 82.05 298.2 84.24 309.2C99.85 387.2 166.6 444.1 245.5 447.8C248.1 447.9 250.8 448 253.6 448L253.6 448z"],
    "face-beam-hand-over-mouth": [512, 512, [129325], "e47c", "M512 256C512 369.1 438.7 465.1 336.9 498.9L385.9 449.9C404.1 431.8 404.7 402.8 387.8 384C404.7 365.2 404.1 336.2 385.9 318.1C384.9 317 383.8 316 382.7 315.1C386.4 299.4 382.2 282.3 369.9 270.1C357.7 257.8 340.6 253.6 324.9 257.3C323.1 256.2 322.1 255.1 321.9 254.1C303.2 235.3 272.8 235.3 254.1 254.1L206.1 301.1C197.6 287.4 181.9 278.4 164 278.4C135.3 278.4 112 301.7 112 330.4V416.8C112 438.7 117.5 459.3 127.3 477.3C51.17 432.1 0 350.5 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM226.5 215.6C229.8 214.5 232 211.4 232 208C232 190.1 225.3 172.4 215.4 159.2C205.6 146.2 191.5 136 176 136C160.5 136 146.4 146.2 136.6 159.2C126.7 172.4 120 190.1 120 208C120 211.4 122.2 214.5 125.5 215.6C128.7 216.7 132.3 215.6 134.4 212.8L134.4 212.8L134.6 212.5C134.8 212.3 134.1 212 135.3 211.6C135.1 210.8 136.9 209.7 138.1 208.3C140.6 205.4 144.1 201.7 148.3 197.1C157.1 190.2 167.2 184 176 184C184.8 184 194.9 190.2 203.7 197.1C207.9 201.7 211.4 205.4 213.9 208.3C215.1 209.7 216 210.8 216.7 211.6C217 212 217.2 212.3 217.4 212.5L217.6 212.8L217.6 212.8C219.7 215.6 223.3 216.7 226.5 215.6V215.6zM377.6 212.8C379.7 215.6 383.3 216.7 386.5 215.6C389.8 214.5 392 211.4 392 208C392 190.1 385.3 172.4 375.4 159.2C365.6 146.2 351.5 136 336 136C320.5 136 306.4 146.2 296.6 159.2C286.7 172.4 280 190.1 280 208C280 211.4 282.2 214.5 285.5 215.6C288.7 216.7 292.3 215.6 294.4 212.8L294.4 212.8L294.6 212.5C294.8 212.3 294.1 212 295.3 211.6C295.1 210.8 296.9 209.7 298.1 208.3C300.6 205.4 304.1 201.7 308.3 197.1C317.1 190.2 327.2 184 336 184C344.8 184 354.9 190.2 363.7 197.1C367.9 201.7 371.4 205.4 373.9 208.3C375.1 209.7 376 210.8 376.7 211.6C377 212 377.2 212.3 377.4 212.5L377.6 212.8L377.6 212.8zM299.3 276.7C305.6 282.9 305.6 293.1 299.3 299.3L248 350.6C245.4 353.2 245.4 357.4 248 360C250.6 362.6 254.8 362.6 257.4 360L324.7 292.7C330.9 286.4 341.1 286.4 347.3 292.7C353.6 298.9 353.6 309.1 347.3 315.3L280 382.6C277.4 385.2 277.4 389.4 280 392C282.6 394.6 286.8 394.6 289.4 392L340.7 340.7C346.9 334.4 357.1 334.4 363.3 340.7C369.6 346.9 369.6 357.1 363.3 363.3L312 414.6C309.4 417.2 309.4 421.4 312 424C314.6 426.6 318.8 426.6 321.4 424L340.7 404.7C346.9 398.4 357.1 398.4 363.3 404.7C369.6 410.9 369.6 421.1 363.3 427.3L306.5 484.1C288.7 501.1 264.4 512 239.2 512C186.6 512 144 469.4 144 416.8V330.4C144 319.4 152.1 310.4 164 310.4C175 310.4 184 319.4 184 330.4V350.1C184 357.2 192.6 360.8 197.7 355.7L276.7 276.7C282.9 270.4 293.1 270.4 299.3 276.7L299.3 276.7z"],
    "face-clouds": [640, 512, [], "e47d", "M188.4 42.8C198.6 35.98 210.8 32 224 32C259.3 32 288 60.65 288 96C288 131.3 259.3 160 224 160H64C28.65 160 0 131.3 0 96C0 60.65 28.65 32 64 32H72.56C83.63 12.87 104.3 0 128 0C155.9 0 179.7 17.87 188.4 42.8zM212.7 192C209.9 196.7 208.4 202.2 208.4 208C208.4 225.7 222.7 240 240.4 240C258 240 272.4 225.7 272.4 208C272.4 198.6 268.3 190.1 261.8 184.3C296 169.6 320 135.6 320 96C320 55.77 295.2 21.31 260.1 7.036C279.3 2.436 299.4 0 320 0C461.4 0 576 114.6 576 256C576 270.8 574.7 285.3 572.3 299.5C558.3 287.3 540 280 520 280C509.1 280 500.3 281.9 491.5 285.2C471.6 267.1 445.1 256 416 256C364.6 256 321.2 290.7 308.1 337.9C260.2 347.2 224 389.4 224 440C224 462.5 231.1 483.3 243.3 500.3C139.4 467.7 64 370.6 64 256C64 233.9 66.8 212.5 72.06 192H212.7zM400.4 240C418 240 432.4 225.7 432.4 208C432.4 190.3 418 176 400.4 176C382.7 176 368.4 190.3 368.4 208C368.4 225.7 382.7 240 400.4 240zM336 368C336 323.8 371.8 288 416 288C445.3 288 470.9 303.8 484.9 327.3C493.6 317.9 506.1 312 520 312C546.5 312 568 333.5 568 360C568 362.7 567.8 365.4 567.3 368H568C607.8 368 640 400.2 640 440C640 479.8 607.8 512 568 512H328C288.2 512 256 479.8 256 440C256 400.2 288.2 368 328 368H336z"],
    "face-confounded": [512, 512, [], "e36c", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM118.8 212.8L154.8 256L118.8 299.2C116.1 301.4 116 304.1 116 306.9C116 315.8 125.6 321.6 133.5 317.3L223.4 269.4C234.1 263.7 234.1 248.3 223.4 242.6L133.5 194.7C125.6 190.4 116 196.2 116 205.1C116 207.9 116.1 210.6 118.8 212.8V212.8zM288.6 242.6C277.9 248.3 277.9 263.7 288.6 269.4L378.5 317.3C386.4 321.6 396 315.8 396 306.9C396 304.1 395 301.4 393.2 299.2L357.2 256L393.2 212.8C395 210.6 396 207.9 396 205.1C396 196.2 386.4 190.4 378.5 194.7L288.6 242.6zM216.9 354.7C211.5 351.1 204.5 351.1 199.1 354.7L158.9 381.5L135.2 369.7C127.3 365.7 117.6 368.9 113.7 376.8C109.7 384.7 112.9 394.4 120.8 398.3L152.8 414.3C157.1 416.9 164.1 416.5 168.9 413.3L208 387.2L247.1 413.3C252.5 416.9 259.5 416.9 264.9 413.3L304 387.2L343.1 413.3C347.9 416.5 354 416.9 359.2 414.3L391.2 398.3C399.1 394.4 402.3 384.7 398.3 376.8C394.4 368.9 384.7 365.7 376.8 369.7L353.1 381.5L312.9 354.7C307.5 351.1 300.5 351.1 295.1 354.7L256 380.8L216.9 354.7z"],
    "face-confused": [512, 512, [], "e36d", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM171.1 395.6C219.3 357 279.3 336 341 336H352C360.8 336 368 328.8 368 320C368 311.2 360.8 304 352 304H341C271.1 304 205 327.5 151.1 370.6L150 371.5C143.1 377 141.1 387.1 147.5 393.1C153 400.9 163.1 402 169.1 396.5L171.1 395.6zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240z"],
    "face-cowboy-hat": [512, 512, [], "e36e", "M242.1 10.71C250.1 17.16 261.9 17.16 269.9 10.71C278.1 4.003 286.9 0 296 0C332.8 0 363.4 64.93 378.4 109.8C411.1 99.32 441.1 84.62 466.9 66.75C469.4 64.98 472.3 64 475.3 64C484.3 64 490.1 72.25 488.2 80.75C461.2 163.2 367.5 224 256 224C144.5 224 50.77 163.2 23.8 80.75C21.02 72.25 27.72 64 36.66 64C39.7 64 42.64 64.99 45.1 66.75C70.04 84.62 100 99.32 133.6 109.8C148.6 64.93 179.2 0 215.1 0C225.1 0 233.9 4.003 242.1 10.71H242.1zM48 303.1C48 266.1 58.12 230.6 75.81 200C124.6 235.4 188.3 255.1 256 255.1C323.7 255.1 387.4 235.4 436.2 200C453.9 230.6 464 266.1 464 303.1C464 418.9 370.9 512 256 512C141.1 512 48 418.9 48 303.1H48zM256.2 376.8C223.5 376.8 192.5 372.5 164.6 364.7C152.2 361.2 140.3 371.1 146 383.5C166.2 424.1 207.1 452 256.2 452C304.5 452 346.2 424.1 366.4 383.5C372.1 371.1 360.2 361.2 347.8 364.7C319.9 372.5 288.9 376.8 256.2 376.8zM192 279.1C178.7 279.1 168 290.7 168 303.1C168 317.3 178.7 328 192 328C205.3 328 216 317.3 216 303.1C216 290.7 205.3 279.1 192 279.1zM320 328C333.3 328 344 317.3 344 303.1C344 290.7 333.3 279.1 320 279.1C306.7 279.1 296 290.7 296 303.1C296 317.3 306.7 328 320 328z"],
    "face-diagonal-mouth": [512, 512, [129764], "e47e", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM372.4 319.4C380.9 316.1 385.8 308.1 383.4 299.6C380.1 291.1 372.1 286.2 363.6 288.6L139.6 352.6C131.1 355 126.2 363.9 128.6 372.4C131 380.9 139.9 385.8 148.4 383.4L372.4 319.4zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240z"],
    "face-disappointed": [512, 512, [], "e36f", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM316.1 410.7C322 417.3 332.1 417.8 338.7 411.9C345.3 405.1 345.8 395.9 339.9 389.3C323.8 371.4 295.7 352 255.1 352C216.3 352 188.2 371.4 172.1 389.3C166.2 395.9 166.7 405.1 173.3 411.9C179.9 417.8 189.1 417.3 195.9 410.7C207.6 397.7 227.5 384 255.1 384C284.5 384 304.4 397.7 316.1 410.7H316.1zM211.3 244.7C205.1 238.4 194.9 238.4 188.7 244.7L181.3 252.1C162.5 270.9 138.2 283.4 111.9 287.8L109.4 288.2C100.7 289.7 94.76 297.9 96.22 306.6C97.67 315.3 105.9 321.2 114.6 319.8L117.1 319.4C150 313.9 180.4 298.3 203.9 274.7L211.3 267.3C217.6 261.1 217.6 250.9 211.3 244.7V244.7zM308.1 274.7C331.6 298.3 361.1 313.9 394.9 319.4L397.4 319.8C406.1 321.2 414.3 315.3 415.8 306.6C417.2 297.9 411.3 289.7 402.6 288.2L400.2 287.8C373.8 283.4 349.5 270.9 330.7 252.1L323.3 244.7C317.1 238.4 306.9 238.4 300.7 244.7C294.4 250.9 294.4 261.1 300.7 267.3L308.1 274.7z"],
    "face-disguise": [576, 512, [], "e370", "M32 256C32 239.6 33.54 223.5 36.49 208H104C104 258.1 142.4 299.2 191.3 303.6C181.7 311.5 176 323.3 176 336C176 351.9 184.1 366.4 199.1 373.5L179.5 398C173.1 404.9 175.1 414.1 182 420.5C188.9 426 198.1 424.9 204.5 417.1L228.4 388.1L235.7 391.7L225.1 418.1C221.9 426.3 225.9 435.6 234.1 438.9C242.3 442.1 251.6 438.1 254.9 429.9L264.8 405C267.2 405.7 269.6 406.3 272 406.8V432C272 440.8 279.2 448 288 448C296.8 448 304 440.8 304 432V406.8C306.4 406.3 308.8 405.7 311.2 405L321.1 429.9C324.4 438.1 333.7 442.1 341.9 438.9C350.1 435.6 354.1 426.3 350.9 418.1L340.3 391.7L347.6 388.1L371.5 417.1C377 424.9 387.1 426 393.1 420.5C400.9 414.1 402 404.9 396.5 398L376.9 373.5C391 366.4 400 351.9 400 336C400 323.3 394.3 311.5 384.7 303.6C433.6 299.2 472 258.1 472 208H539.5C542.5 223.5 544 239.6 544 256C544 397.4 429.4 512 288 512C146.6 512 32 397.4 32 256H32zM349.9 266.5C349.3 266.2 348.4 265.7 347.3 265.1L325.1 229.5C322.5 223.7 317.8 218.9 312.4 215.3C312.1 212.9 312 210.5 312 208C312 172.7 340.7 144 376 144C411.3 144 440 172.7 440 208C440 243.3 411.3 272 376 272C366.7 272 357.9 270 349.9 266.5zM376 240C389.3 240 400 229.3 400 216C400 202.7 389.3 192 376 192C362.7 192 352 202.7 352 216C352 229.3 362.7 240 376 240zM264 208C264 210.5 263.9 212.9 263.6 215.3C258.2 218.9 253.5 223.7 250 229.5L228.7 265.1C227.6 265.7 226.7 266.2 226.1 266.5C218.1 270 209.3 272 200 272C164.7 272 136 243.3 136 208C136 172.7 164.7 144 200 144C235.3 144 264 172.7 264 208zM200 192C186.7 192 176 202.7 176 216C176 229.3 186.7 240 200 240C213.3 240 224 229.3 224 216C224 202.7 213.3 192 200 192zM44.75 176C78.34 73.79 174.6 0 288 0C401.4 0 497.7 73.79 531.3 176H466.5C461.3 161.1 452.5 147.1 441.1 137.5L446.3 127.2C450.3 119.3 447.1 109.6 439.2 105.7C431.3 101.7 421.6 104.9 417.7 112.8L414.2 119.9C409.6 117.9 404.9 116.3 400 115V96C400 87.16 392.8 80 384 80C375.2 80 368 87.16 368 96V112.3C363.6 112.7 359.3 113.4 355 114.3L350.3 104.8C346.4 96.94 336.7 93.74 328.8 97.69C320.9 101.6 317.7 111.3 321.7 119.2L325.3 126.4C308.9 136.7 295.8 151.7 288 169.6C280.2 151.7 267.1 136.7 250.7 126.4L254.3 119.2C258.3 111.3 255.1 101.6 247.2 97.69C239.3 93.74 229.6 96.94 225.7 104.8L220.1 114.3C216.7 113.4 212.4 112.7 208 112.3V96C208 87.16 200.8 80 192 80C183.2 80 176 87.16 176 96V115C171.1 116.3 166.4 117.9 161.8 119.9L158.3 112.8C154.4 104.9 144.7 101.7 136.8 105.7C128.9 109.6 125.7 119.3 129.7 127.2L134.9 137.5C123.5 147.1 114.7 161.1 109.5 176H44.75zM298.5 245.1L340.7 316.2L362.5 327.2C365.9 328.8 368 332.3 368 336C368 339.7 365.9 343.2 362.5 344.8L309.5 371.4C295.1 378.1 280 378.1 266.5 371.4L213.5 344.8C210.1 343.2 208 339.7 208 336C208 332.3 210.1 328.8 213.5 327.2L235.3 316.2L277.5 245.1C279.7 242.3 283.7 239.1 288 239.1C292.3 239.1 296.3 242.3 298.5 245.1V245.1z"],
    "face-dizzy": [512, 512, ["dizzy"], "f567", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 416C291.3 416 320 387.3 320 352C320 316.7 291.3 288 256 288C220.7 288 192 316.7 192 352C192 387.3 220.7 416 256 416zM100.7 155.3L137.4 192L100.7 228.7C94.44 234.9 94.44 245.1 100.7 251.3C106.9 257.6 117.1 257.6 123.3 251.3L160 214.6L196.7 251.3C202.9 257.6 213.1 257.6 219.3 251.3C225.6 245.1 225.6 234.9 219.3 228.7L182.6 192L219.3 155.3C225.6 149.1 225.6 138.9 219.3 132.7C213.1 126.4 202.9 126.4 196.7 132.7L160 169.4L123.3 132.7C117.1 126.4 106.9 126.4 100.7 132.7C94.44 138.9 94.44 149.1 100.7 155.3zM292.7 155.3L329.4 192L292.7 228.7C286.4 234.9 286.4 245.1 292.7 251.3C298.9 257.6 309.1 257.6 315.3 251.3L352 214.6L388.7 251.3C394.9 257.6 405.1 257.6 411.3 251.3C417.6 245.1 417.6 234.9 411.3 228.7L374.6 192L411.3 155.3C417.6 149.1 417.6 138.9 411.3 132.7C405.1 126.4 394.9 126.4 388.7 132.7L352 169.4L315.3 132.7C309.1 126.4 298.9 126.4 292.7 132.7C286.4 138.9 286.4 149.1 292.7 155.3z"],
    "face-dotted": [512, 512, [129765], "e47f", "M215.1 3.115C229 1.062 242.4 0 255.1 0C269.6 0 282.1 1.062 296 3.115C313.5 5.858 325.4 22.24 322.7 39.69C319.9 57.15 303.5 69.08 286.1 66.34C276.3 64.8 266.3 64 255.1 64C245.7 64 235.7 64.8 225.9 66.34C208.5 69.08 192.1 57.15 189.3 39.69C186.6 22.24 198.5 5.858 215.1 3.115V3.115zM150.2 55.94C160.6 70.23 157.4 90.24 143.2 100.6C126.9 112.5 112.5 126.9 100.6 143.2C90.24 157.4 70.22 160.6 55.94 150.2C41.65 139.8 38.49 119.8 48.89 105.5C64.68 83.8 83.8 64.68 105.5 48.89C119.8 38.49 139.8 41.65 150.2 55.94V55.94zM361.8 55.94C372.2 41.65 392.2 38.49 406.5 48.89C428.2 64.68 447.3 83.8 463.1 105.5C473.5 119.8 470.4 139.8 456.1 150.2C441.8 160.6 421.8 157.4 411.4 143.2C399.5 126.9 385.1 112.5 368.8 100.6C354.6 90.24 351.4 70.23 361.8 55.94V55.94zM472.3 189.3C489.8 186.6 506.1 198.5 508.9 215.1C510.9 229 512 242.4 512 256C512 269.6 510.9 282.1 508.9 296C506.1 313.5 489.8 325.4 472.3 322.7C454.8 319.9 442.9 303.5 445.7 286.1C447.2 276.3 448 266.3 448 256C448 245.7 447.2 235.7 445.7 225.9C442.9 208.5 454.8 192.1 472.3 189.3V189.3zM39.69 189.3C57.15 192.1 69.08 208.5 66.34 225.9C64.8 235.7 64 245.7 64 256C64 266.3 64.8 276.3 66.34 286.1C69.08 303.5 57.15 319.9 39.69 322.7C22.24 325.4 5.858 313.5 3.115 296C1.062 282.1 0 269.6 0 256C0 242.4 1.062 229 3.115 215.1C5.858 198.5 22.24 186.6 39.69 189.3V189.3zM55.94 361.8C70.23 351.4 90.24 354.6 100.6 368.8C112.5 385.1 126.9 399.5 143.2 411.4C157.4 421.8 160.6 441.8 150.2 456.1C139.8 470.4 119.8 473.5 105.5 463.1C83.8 447.3 64.68 428.2 48.89 406.5C38.49 392.2 41.65 372.2 55.94 361.8V361.8zM456.1 361.8C470.4 372.2 473.5 392.2 463.1 406.5C447.3 428.2 428.2 447.3 406.5 463.1C392.2 473.5 372.2 470.4 361.8 456.1C351.4 441.8 354.6 421.8 368.8 411.4C385.1 399.5 399.5 385.1 411.4 368.8C421.8 354.6 441.8 351.4 456.1 361.8V361.8zM189.3 472.3C192.1 454.8 208.5 442.9 225.9 445.7C235.7 447.2 245.7 448 255.1 448C266.3 448 276.3 447.2 286.1 445.7C303.5 442.9 319.9 454.8 322.7 472.3C325.4 489.8 313.5 506.1 296 508.9C282.1 510.9 269.6 512 255.1 512C242.4 512 229 510.9 215.1 508.9C198.5 506.1 186.6 489.8 189.3 472.3zM144.4 208C144.4 190.3 158.7 176 176.4 176C194 176 208.4 190.3 208.4 208C208.4 225.7 194 240 176.4 240C158.7 240 144.4 225.7 144.4 208zM304.4 208C304.4 190.3 318.7 176 336.4 176C354 176 368.4 190.3 368.4 208C368.4 225.7 354 240 336.4 240C318.7 240 304.4 225.7 304.4 208zM328 328C341.3 328 352 338.7 352 352C352 365.3 341.3 376 328 376H183.1C170.7 376 159.1 365.3 159.1 352C159.1 338.7 170.7 328 183.1 328H328z"],
    "face-downcast-sweat": [512, 512, [], "e371", "M35.23 126.3C14.94 120.8 0 102.7 0 81.01C0 61.02 28.55 20.65 41.6 3.281C44.8-1.094 51.2-1.094 54.4 3.281C63.94 15.86 81.49 40.51 90.43 60.74C90.75 61.46 91.06 62.17 91.35 62.87C94.22 69.74 95.1 76.01 95.1 81.01C95.1 107 74.46 128 47.1 128C43.58 128 39.3 127.4 35.23 126.3L35.23 126.3zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 220.2 7.341 186.1 20.6 155.2C29.19 158.3 38.43 160 48 160C91.45 160 128 125.4 128 81.01C128 69.58 124.2 58.57 120.9 50.53C119.6 47.43 118.1 44.32 116.6 41.23C156.7 15.15 204.6 .0008 256 .0008C397.4 .0008 512 114.6 512 256V256zM256 384C284.5 384 304.4 397.7 316.1 410.7C322 417.3 332.1 417.8 338.7 411.9C345.3 405.1 345.8 395.9 339.9 389.3C323.8 371.4 295.7 352 255.1 352C216.3 352 188.2 371.4 172.1 389.3C166.2 395.9 166.7 405.1 173.3 411.9C179.9 417.8 189.1 417.3 195.9 410.7C207.6 397.7 227.5 384 255.1 384H256zM112 288H208C216.8 288 224 280.8 224 272C224 263.2 216.8 256 208 256H112C103.2 256 96 263.2 96 272C96 280.8 103.2 288 112 288zM304 256C295.2 256 288 263.2 288 272C288 280.8 295.2 288 304 288H400C408.8 288 416 280.8 416 272C416 263.2 408.8 256 400 256H304z"],
    "face-drooling": [512, 512, [], "e372", "M384 344.2C388.6 339.5 392.7 334.7 396.5 329.1C402 323.1 400.9 313 393.1 307.5C387.1 301.1 377 303.1 371.5 310C348.7 338.5 310.2 368 256 368C201.8 368 163.3 338.5 140.5 310C134.1 303.1 124.9 301.1 118 307.5C111.1 313 109.1 323.1 115.5 329.1C142.2 363.3 189 400 256 400C267.2 400 277.9 398.1 288 397.1V448C288 456.8 295.2 464 304 464C312.8 464 320 456.8 320 448V387.8C331.7 383.1 342.3 377.4 352 370.9V493.4C322.4 505.4 289.9 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 350.8 460.5 433.5 384 477.8L384 344.2zM192 176C200.8 176 208 168.8 208 160C208 151.2 200.8 144 192 144C167.9 144 149.5 154.2 136.6 166.4C123.1 178.4 116.2 192.7 112.8 202.9C110 211.3 114.6 220.4 122.9 223.2C131.3 225.1 140.4 221.4 143.2 213.1C145.1 207.3 150.2 197.6 158.6 189.6C166.8 181.8 177.7 176 192 176L192 176zM389.1 223.2C397.4 220.4 401.1 211.3 399.2 202.9C395.8 192.7 388 178.4 375.4 166.4C362.5 154.2 344.1 143.1 320 143.1C311.2 143.1 304 151.2 304 159.1C304 168.8 311.2 175.1 320 175.1C334.3 175.1 345.2 181.8 353.4 189.6C361.8 197.6 366.9 207.3 368.8 213.1C371.6 221.4 380.7 225.1 389.1 223.2V223.2z"],
    "face-exhaling": [576, 512, [], "e480", "M32 256C32 114.6 146.6 0 288 0C429.4 0 544 114.6 544 256C544 258.8 543.1 261.6 543.9 264.5C541.2 264.2 538.5 264 535.8 264C514.4 264 495.2 273.3 482.1 288C481.4 288 480.7 288 480 288C448.5 288 422.3 310.7 416.1 340.7L374.8 353.4C361.3 357.4 352 369.9 352 384C352 398.1 361.3 410.6 374.8 414.6L416.1 427.3C419.6 441.7 426.1 454.5 437.5 463.8C395.4 494.1 343.8 512 288 512C146.6 512 32 397.4 32 256V256zM227.2 238.4C209.6 261.9 174.4 261.9 156.8 238.4C151.5 231.3 141.5 229.9 134.4 235.2C127.3 240.5 125.9 250.5 131.2 257.6C161.6 298.1 222.4 298.1 252.8 257.6C258.1 250.5 256.7 240.5 249.6 235.2C242.5 229.9 232.5 231.3 227.2 238.4zM326.4 235.2C319.3 240.5 317.9 250.5 323.2 257.6C353.6 298.1 414.4 298.1 444.8 257.6C450.1 250.5 448.7 240.5 441.6 235.2C434.5 229.9 424.5 231.3 419.2 238.4C401.6 261.9 366.4 261.9 348.8 238.4C343.5 231.3 333.5 229.9 326.4 235.2V235.2zM288 424C310.1 424 328 406.1 328 384C328 361.9 310.1 344 288 344C265.9 344 248 361.9 248 384C248 406.1 265.9 424 288 424zM608 383.1C608 405.1 594.4 423.1 575.4 429.5C575.5 430.3 575.5 431.2 575.5 432C575.5 454.1 557.6 472 535.5 472C521.4 472 508.9 464.6 501.8 453.5C497.5 455.1 492.8 456 487.8 456C465.8 456 447.9 438.1 447.9 416C447.9 411.7 448.6 407.6 449.8 403.8L384 384L448.2 364.7C447.1 363.2 447.9 361.6 447.9 360C447.9 337.9 465.8 320 487.8 320C491.5 320 494.1 320.5 498.3 321.4C504.2 306.5 518.6 296 535.5 296C557.6 296 575.5 313.9 575.5 336C575.5 336.8 575.5 337.7 575.4 338.5C594.4 344.9 608 362.9 608 383.1V383.1z"],
    "face-explode": [512, 512, ["exploding-head"], "e2fe", "M320 196.5C320 204.3 322.5 211.9 327 218C312.5 211.4 295.5 212.4 281.8 221L264.5 231.8C259.3 235.1 252.7 235.1 247.5 231.8L230.2 221C216.5 212.4 199.5 211.4 184.1 218C189.5 211.9 191.1 204.3 191.1 196.5V192C191.1 174.3 177.7 160 159.1 160H119.1C89.07 160 63.1 134.9 63.1 104C63.1 73.07 89.07 48 119.1 48C128.9 48 137.3 50.08 144.8 53.78C149.7 23.29 176.1 0 207.1 0C227.1 0 244.3 8.38 255.1 21.67C267.7 8.38 284.9 0 304 0C335.9 0 362.3 23.29 367.2 53.78C374.7 50.08 383.1 48 392 48C422.9 48 448 73.07 448 104C448 134.9 422.9 160 392 160H352C334.3 160 320 174.3 320 192V196.5zM298.1 248C304 244.1 310.4 244.1 315.4 248C315.5 248.1 315.6 248.1 315.7 248.2L332.1 258.1C348.5 268.7 368.3 268.7 383.8 258.1L401.1 248.2C406.3 244.9 412.9 244.9 418.1 248.2L438.8 261.1C451.6 269.1 467.4 270.6 481.4 265.2L511.1 253.5C511.1 254.3 512 255.2 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 255.2 .0042 254.3 .0125 253.5L30.55 265.2C44.63 270.6 60.43 269.1 73.22 261.1L93.92 248.2C99.11 244.9 105.7 244.9 110.9 248.2L128.2 258.1C143.7 268.7 163.5 268.7 179 258.1L196.3 248.2C196.4 248.1 196.5 248.1 196.6 248C201.6 244.1 207.1 244.1 213 248C213.1 248.1 213.2 248.1 213.3 248.2L230.6 258.1C246.1 268.7 265.9 268.7 281.4 258.1L298.7 248.2C298.8 248.1 298.9 248.1 298.1 248L298.1 248zM176.4 304C158.7 304 144.4 318.3 144.4 336C144.4 353.7 158.7 368 176.4 368C194 368 208.4 353.7 208.4 336C208.4 318.3 194 304 176.4 304zM336.4 368C354 368 368.4 353.7 368.4 336C368.4 318.3 354 304 336.4 304C318.7 304 304.4 318.3 304.4 336C304.4 353.7 318.7 368 336.4 368zM202.7 448H309.3C315.2 448 320 443.2 320 437.3C320 407.9 296.1 384 266.7 384H245.3C215.9 384 191.1 407.9 191.1 437.3C191.1 443.2 196.8 448 202.7 448H202.7z"],
    "face-expressionless": [512, 512, [], "e373", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM160 336C151.2 336 144 343.2 144 352C144 360.8 151.2 368 160 368H352C360.8 368 368 360.8 368 352C368 343.2 360.8 336 352 336H160zM144 224H208C216.8 224 224 216.8 224 208C224 199.2 216.8 192 208 192H144C135.2 192 128 199.2 128 208C128 216.8 135.2 224 144 224zM304 192C295.2 192 288 199.2 288 208C288 216.8 295.2 224 304 224H368C376.8 224 384 216.8 384 208C384 199.2 376.8 192 368 192H304z"],
    "face-eyes-xmarks": [512, 512, [], "e374", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM123.3 132.7C117.1 126.4 106.9 126.4 100.7 132.7C94.44 138.9 94.44 149.1 100.7 155.3L137.4 192L100.7 228.7C94.44 234.9 94.44 245.1 100.7 251.3C106.9 257.6 117.1 257.6 123.3 251.3L160 214.6L196.7 251.3C202.9 257.6 213.1 257.6 219.3 251.3C225.6 245.1 225.6 234.9 219.3 228.7L182.6 192L219.3 155.3C225.6 149.1 225.6 138.9 219.3 132.7C213.1 126.4 202.9 126.4 196.7 132.7L160 169.4L123.3 132.7zM315.3 132.7C309.1 126.4 298.9 126.4 292.7 132.7C286.4 138.9 286.4 149.1 292.7 155.3L329.4 192L292.7 228.7C286.4 234.9 286.4 245.1 292.7 251.3C298.9 257.6 309.1 257.6 315.3 251.3L352 214.6L388.7 251.3C394.9 257.6 405.1 257.6 411.3 251.3C417.6 245.1 417.6 234.9 411.3 228.7L374.6 192L411.3 155.3C417.6 149.1 417.6 138.9 411.3 132.7C405.1 126.4 394.9 126.4 388.7 132.7L352 169.4L315.3 132.7zM256 304C211.8 304 176 339.8 176 384C176 392.8 183.2 400 192 400H320C328.8 400 336 392.8 336 384C336 339.8 300.2 304 256 304z"],
    "face-fearful": [512, 512, [], "e375", "M192.4 224C192.4 241.7 178 256 160.4 256C142.7 256 128.4 241.7 128.4 224C128.4 206.3 142.7 192 160.4 192C178 192 192.4 206.3 192.4 224zM320.4 224C320.4 206.3 334.7 192 352.4 192C370 192 384.4 206.3 384.4 224C384.4 241.7 370 256 352.4 256C334.7 256 320.4 241.7 320.4 224zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 320C211.8 320 176 355.8 176 400C176 408.8 183.2 416 192 416H320C328.8 416 336 408.8 336 400C336 355.8 300.2 320 256 320zM160 160C124.7 160 96 188.7 96 224C96 259.3 124.7 288 160 288C195.3 288 224 259.3 224 224C224 188.7 195.3 160 160 160zM352 288C387.3 288 416 259.3 416 224C416 188.7 387.3 160 352 160C316.7 160 288 188.7 288 224C288 259.3 316.7 288 352 288zM192 96C192 87.16 184.8 80 176 80C170.2 80 164.4 80.38 158.8 81.13C130.6 84.85 105.1 97.58 85.08 116.3C78.62 122.3 78.28 132.5 84.31 138.9C90.34 145.4 100.5 145.7 106.9 139.7C122.4 125.2 141.8 115.7 162.1 112.9C167.2 112.3 171.6 112 176 112C184.8 112 192 104.8 192 96V96zM405.1 139.7C411.5 145.7 421.7 145.4 427.7 138.9C433.7 132.5 433.4 122.3 426.9 116.3C406.9 97.58 381.4 84.85 353.2 81.13C347.6 80.38 341.8 80 336 80C327.2 80 320 87.16 320 96C320 104.8 327.2 112 336 112C340.4 112 344.8 112.3 349 112.9C370.2 115.7 389.6 125.2 405.1 139.7z"],
    "face-flushed": [512, 512, [128563, "flushed"], "f579", "M184 224C184 237.3 173.3 248 160 248C146.7 248 136 237.3 136 224C136 210.7 146.7 200 160 200C173.3 200 184 210.7 184 224zM376 224C376 237.3 365.3 248 352 248C338.7 248 328 237.3 328 224C328 210.7 338.7 200 352 200C365.3 200 376 210.7 376 224zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM192 400H320C328.8 400 336 392.8 336 384C336 375.2 328.8 368 320 368H192C183.2 368 176 375.2 176 384C176 392.8 183.2 400 192 400zM160 296C199.8 296 232 263.8 232 224C232 184.2 199.8 152 160 152C120.2 152 88 184.2 88 224C88 263.8 120.2 296 160 296zM352 152C312.2 152 280 184.2 280 224C280 263.8 312.2 296 352 296C391.8 296 424 263.8 424 224C424 184.2 391.8 152 352 152z"],
    "face-frown": [512, 512, [9785, "frown"], "f119", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM159.3 388.7C171.5 349.4 209.9 320 256 320C302.1 320 340.5 349.4 352.7 388.7C355.3 397.2 364.3 401.9 372.7 399.3C381.2 396.7 385.9 387.7 383.3 379.3C366.8 326.1 315.8 287.1 256 287.1C196.3 287.1 145.2 326.1 128.7 379.3C126.1 387.7 130.8 396.7 139.3 399.3C147.7 401.9 156.7 397.2 159.3 388.7H159.3zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240z"],
    "face-frown-open": [512, 512, [128550, "frown-open"], "f57a", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240zM336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176zM259.9 369.4C288.8 369.4 316.2 375.2 340.6 385.5C352.9 390.7 366.7 381.3 361.4 369.1C344.8 330.9 305.6 303.1 259.9 303.1C214.3 303.1 175.1 330.8 158.4 369.1C153.1 381.3 166.1 390.6 179.3 385.4C203.7 375.1 231 369.4 259.9 369.4L259.9 369.4z"],
    "face-frown-slight": [512, 512, [], "e376", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM347.9 394.5C353.7 401.2 363.8 401.9 370.5 396.1C377.2 390.3 377.9 380.2 372.1 373.5C349.8 347.9 311.1 320 256 320C200.9 320 162.2 347.9 139.9 373.5C134.1 380.2 134.8 390.3 141.5 396.1C148.2 401.9 158.3 401.2 164.1 394.5C182 373.8 212.6 352 256 352C299.4 352 329.1 373.8 347.9 394.5H347.9zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240z"],
    "face-glasses": [512, 512, [], "e377", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 233.9 2.8 212.5 8.065 192H48V248C48 278.9 73.07 304 104 304H184C214.9 304 240 278.9 240 248V192H272V248C272 278.9 297.1 304 328 304H408C438.9 304 464 278.9 464 248V192H503.9C509.2 212.5 512 233.9 512 256zM139.9 362.5C162.2 388.1 200.9 416 256 416C311.1 416 349.8 388.1 372.1 362.5C377.9 355.8 377.2 345.7 370.5 339.9C363.8 334.1 353.7 334.8 347.9 341.5C329.1 362.2 299.4 384 255.1 384C212.6 384 182 362.2 164.1 341.5C158.3 334.8 148.2 334.1 141.5 339.9C134.8 345.7 134.1 355.8 139.9 362.5H139.9zM493.4 160H458.6C449.6 141.1 430.3 128 408 128H328C305.7 128 286.4 141.1 277.4 160H234.6C225.6 141.1 206.3 128 184 128H104C81.66 128 62.38 141.1 53.39 160H18.61C56.59 66.18 148.6 0 256 0C363.4 0 455.4 66.18 493.4 160zM80 184C80 170.7 90.75 160 104 160H184C197.3 160 208 170.7 208 184V248C208 261.3 197.3 272 184 272H104C90.75 272 80 261.3 80 248V184zM160.4 200C147.1 200 136.4 210.7 136.4 224C136.4 237.3 147.1 248 160.4 248C173.6 248 184.4 237.3 184.4 224C184.4 210.7 173.6 200 160.4 200zM304 184C304 170.7 314.7 160 328 160H408C421.3 160 432 170.7 432 184V248C432 261.3 421.3 272 408 272H328C314.7 272 304 261.3 304 248V184zM352.4 248C365.6 248 376.4 237.3 376.4 224C376.4 210.7 365.6 200 352.4 200C339.1 200 328.4 210.7 328.4 224C328.4 237.3 339.1 248 352.4 248z"],
    "face-grimace": [512, 512, [128556, "grimace"], "f57f", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM399.3 360H344V400H352C375.8 400 395.5 382.7 399.3 360zM352 304H344V344H399.3C395.5 321.3 375.8 304 352 304zM328 344V304H264V344H328zM328 400V360H264V400H328zM184 304V344H248V304H184zM184 360V400H248V360H184zM168 344V304H160C136.2 304 116.5 321.3 112.7 344H168zM168 400V360H112.7C116.5 382.7 136.2 400 160 400H168zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240z"],
    "face-grin": [512, 512, [128512, "grin"], "f580", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256.3 331.8C208.9 331.8 164.1 324.9 124.5 312.8C112.2 309 100.2 319.7 105.2 331.5C130.1 390.6 188.4 432 256.3 432C324.2 432 382.4 390.6 407.4 331.5C412.4 319.7 400.4 309 388.1 312.8C348.4 324.9 303.7 331.8 256.3 331.8H256.3zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240z"],
    "face-grin-beam": [512, 512, [128516, "grin-beam"], "f582", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256.3 331.8C208.9 331.8 164.1 324.9 124.5 312.8C112.2 309 100.2 319.7 105.2 331.5C130.1 390.6 188.4 432 256.3 432C324.2 432 382.4 390.6 407.4 331.5C412.4 319.7 400.4 309 388.1 312.8C348.4 324.9 303.7 331.8 256.3 331.8H256.3zM226.5 231.6C229.8 230.5 232 227.4 232 224C232 206.1 225.3 188.4 215.4 175.2C205.6 162.2 191.5 152 176 152C160.5 152 146.4 162.2 136.6 175.2C126.7 188.4 120 206.1 120 224C120 227.4 122.2 230.5 125.5 231.6C128.7 232.7 132.3 231.6 134.4 228.8L134.4 228.8L134.6 228.5C134.8 228.3 134.1 228 135.3 227.6C135.1 226.8 136.9 225.7 138.1 224.3C140.6 221.4 144.1 217.7 148.3 213.1C157.1 206.2 167.2 200 176 200C184.8 200 194.9 206.2 203.7 213.1C207.9 217.7 211.4 221.4 213.9 224.3C215.1 225.7 216 226.8 216.7 227.6C217 228 217.2 228.3 217.4 228.5L217.6 228.8L217.6 228.8C219.7 231.6 223.3 232.7 226.5 231.6V231.6zM377.6 228.8C379.7 231.6 383.3 232.7 386.5 231.6C389.8 230.5 392 227.4 392 224C392 206.1 385.3 188.4 375.4 175.2C365.6 162.2 351.5 152 336 152C320.5 152 306.4 162.2 296.6 175.2C286.7 188.4 280 206.1 280 224C280 227.4 282.2 230.5 285.5 231.6C288.7 232.7 292.3 231.6 294.4 228.8L294.4 228.8L294.6 228.5C294.8 228.3 294.1 228 295.3 227.6C295.1 226.8 296.9 225.7 298.1 224.3C300.6 221.4 304.1 217.7 308.3 213.1C317.1 206.2 327.2 200 336 200C344.8 200 354.9 206.2 363.7 213.1C367.9 217.7 371.4 221.4 373.9 224.3C375.1 225.7 376 226.8 376.7 227.6C377 228 377.2 228.3 377.4 228.5L377.6 228.8L377.6 228.8z"],
    "face-grin-beam-sweat": [512, 512, [128517, "grin-beam-sweat"], "f583", "M464 128C437.5 128 416 107 416 81.01C416 76.01 417.8 69.74 420.6 62.87C420.9 62.17 421.2 61.46 421.6 60.74C430.5 40.51 448.1 15.86 457.6 3.282C460.8-1.093 467.2-1.094 470.4 3.281C483.4 20.65 512 61.02 512 81.01C512 102.7 497.1 120.8 476.8 126.3C472.7 127.4 468.4 128 464 128L464 128zM256 .0003C307.4 .0003 355.3 15.15 395.4 41.23C393.9 44.32 392.4 47.43 391.1 50.53C387.8 58.57 384 69.57 384 81.01C384 125.4 420.6 160 464 160C473.6 160 482.8 158.3 491.4 155.2C504.7 186.1 512 220.2 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0V.0003zM256.3 331.8C208.9 331.8 164.1 324.9 124.5 312.8C112.2 309 100.2 319.7 105.2 331.5C130.1 390.6 188.4 432 256.3 432C324.2 432 382.4 390.6 407.4 331.5C412.4 319.7 400.4 309 388.1 312.8C348.4 324.9 303.7 331.8 256.3 331.8H256.3zM226.5 231.6C229.8 230.5 232 227.4 232 224C232 206.1 225.3 188.4 215.4 175.2C205.6 162.2 191.5 152 176 152C160.5 152 146.4 162.2 136.6 175.2C126.7 188.4 120 206.1 120 224C120 227.4 122.2 230.5 125.5 231.6C128.7 232.7 132.3 231.6 134.4 228.8L134.4 228.8L134.6 228.5C134.8 228.3 134.1 228 135.3 227.6C135.1 226.8 136.9 225.7 138.1 224.3C140.6 221.4 144.1 217.7 148.3 213.1C157.1 206.2 167.2 200 176 200C184.8 200 194.9 206.2 203.7 213.1C207.9 217.7 211.4 221.4 213.9 224.3C215.1 225.7 216 226.8 216.7 227.6C217 228 217.2 228.3 217.4 228.5L217.6 228.8L217.6 228.8C219.7 231.6 223.3 232.7 226.5 231.6V231.6zM377.6 228.8C379.7 231.6 383.3 232.7 386.5 231.6C389.8 230.5 392 227.4 392 224C392 206.1 385.3 188.4 375.4 175.2C365.6 162.2 351.5 152 336 152C320.5 152 306.4 162.2 296.6 175.2C286.7 188.4 280 206.1 280 224C280 227.4 282.2 230.5 285.5 231.6C288.7 232.7 292.3 231.6 294.4 228.8L294.4 228.8L294.6 228.5C294.8 228.3 294.1 228 295.3 227.6C295.1 226.8 296.9 225.7 298.1 224.3C300.6 221.4 304.1 217.7 308.3 213.1C317.1 206.2 327.2 200 336 200C344.8 200 354.9 206.2 363.7 213.1C367.9 217.7 371.4 221.4 373.9 224.3C375.1 225.7 376 226.8 376.7 227.6C377 228 377.2 228.3 377.4 228.5L377.6 228.8L377.6 228.8z"],
    "face-grin-hearts": [512, 512, [128525, "grin-hearts"], "f584", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256.3 331.8C208.9 331.8 164.1 324.9 124.5 312.8C112.2 309 100.2 319.7 105.2 331.5C130.1 390.6 188.4 432 256.3 432C324.2 432 382.4 390.6 407.4 331.5C412.4 319.7 400.4 309 388.1 312.8C348.4 324.9 303.7 331.8 256.3 331.8H256.3zM199.3 129.1C181.5 124.4 163.2 134.9 158.4 152.7L154.1 168.8L137.1 164.5C120.2 159.7 101.9 170.3 97.14 188.1C92.38 205.8 102.9 224.1 120.7 228.9L185.8 246.3C194.4 248.6 203.1 243.6 205.4 235L222.9 169.1C227.6 152.2 217.1 133.9 199.3 129.1H199.3zM353.6 152.7C348.8 134.9 330.5 124.4 312.7 129.1C294.9 133.9 284.4 152.2 289.1 169.1L306.6 235C308.9 243.6 317.6 248.6 326.2 246.3L391.3 228.9C409.1 224.1 419.6 205.8 414.9 188.1C410.1 170.3 391.8 159.7 374 164.5L357.9 168.8L353.6 152.7z"],
    "face-grin-squint": [512, 512, [128518, "grin-squint"], "f585", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256.3 331.8C208.9 331.8 164.1 324.9 124.5 312.8C112.2 309 100.2 319.7 105.2 331.5C130.1 390.6 188.4 432 256.3 432C324.2 432 382.4 390.6 407.4 331.5C412.4 319.7 400.4 309 388.1 312.8C348.4 324.9 303.7 331.8 256.3 331.8H256.3zM133.5 146.7C125.6 142.4 116 148.2 116 157.1C116 159.9 116.1 162.6 118.8 164.8L154.8 208L118.8 251.2C116.1 253.4 116 256.1 116 258.9C116 267.8 125.6 273.6 133.5 269.3L223.4 221.4C234.1 215.7 234.1 200.3 223.4 194.6L133.5 146.7zM396 157.1C396 148.2 386.4 142.4 378.5 146.7L288.6 194.6C277.9 200.3 277.9 215.7 288.6 221.4L378.5 269.3C386.4 273.6 396 267.8 396 258.9C396 256.1 395 253.4 393.2 251.2L357.2 208L393.2 164.8C395 162.6 396 159.9 396 157.1V157.1z"],
    "face-grin-squint-tears": [512, 512, [129315, "grin-squint-tears"], "f586", "M426.8 14.18C446-5.046 477.5-4.645 497.1 14.92C516.6 34.49 517 65.95 497.8 85.18C490.1 92.02 476.4 97.59 460.5 101.9C444.1 106.3 426.4 109.4 414.1 111.2C412.5 111.5 410.1 111.7 409.6 111.9C403.1 112.8 399.2 108 400.1 102.4C401.7 91.19 404.7 72.82 409.1 55.42C409.4 54.12 409.8 52.84 410.1 51.56C414.4 35.62 419.1 21.02 426.8 14.18L426.8 14.18zM382.2 33.17C380.6 37.96 379.3 42.81 378.1 47.52C373.3 66.46 370.1 86.05 368.4 97.79C364.5 124.6 387.4 147.5 414.1 143.6C426 141.9 445.6 138.8 464.5 133.9C469.2 132.7 474.1 131.4 478.8 129.9C534.2 227.5 520.2 353.8 437 437C353.8 520.3 227.5 534.2 129.8 478.8C131.3 474 132.7 469.2 133.9 464.5C138.7 445.5 141.9 425.1 143.6 414.2C147.5 387.4 124.6 364.5 97.89 368.4C85.97 370.1 66.39 373.2 47.46 378.1C42.76 379.3 37.93 380.6 33.15 382.1C-22.19 284.5-8.245 158.2 74.98 74.98C158.2-8.253 284.5-22.19 382.2 33.17V33.17zM416.4 202.3C411.6 190.4 395.6 191.4 389.6 202.7C370.1 239.4 343.3 275.9 309.8 309.4C276.3 342.9 239.8 369.7 203.1 389.2C191.8 395.2 190.8 411.2 202.7 416C262.1 440.2 332.6 428.3 380.7 380.3C428.7 332.2 440.6 261.7 416.4 202.3H416.4zM94.43 288.5L150.5 293.6L155.6 349.7C155.8 352.5 157.1 355 159 357C165.4 363.4 176.2 360.7 178.8 352.1L208.5 254.6C211.1 242.1 201.1 232.1 189.5 235.7L92.05 265.3C83.46 267.9 80.76 278.7 87.1 285.1C89.07 287.1 91.66 288.3 94.43 288.5V288.5zM235.7 189.5C232.1 201.1 242.1 211.1 254.6 208.5L352.1 178.8C360.7 176.2 363.4 165.4 357 159C355 157.1 352.5 155.8 349.7 155.6L293.6 150.5L288.5 94.43C288.3 91.66 287.1 89.07 285.1 87.1C278.7 80.76 267.9 83.46 265.3 92.05L235.7 189.5zM51.53 410.1C70.01 405.1 90.3 401.8 102.4 400.1C108 399.2 112.8 403.1 111.9 409.6C110.2 421.7 106.9 441.9 101.9 460.4C97.57 476.4 92.02 490.1 85.18 497.8C65.95 517 34.49 516.6 14.92 497.1C-4.645 477.5-5.046 446 14.18 426.8C21.02 419.1 35.6 414.4 51.53 410.1V410.1z"],
    "face-grin-stars": [512, 512, [129321, "grin-stars"], "f587", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM407.4 331.5C412.4 319.7 400.4 309 388.1 312.8C348.4 324.9 303.7 331.8 256.3 331.8C208.9 331.8 164.1 324.9 124.5 312.8C112.2 309 100.2 319.7 105.2 331.5C130.1 390.6 188.4 432 256.3 432C324.2 432 382.4 390.6 407.4 331.5H407.4zM152.8 124.6L136.2 159.3L98.09 164.3C95.03 164.7 92.48 166.8 91.52 169.8C90.57 172.7 91.39 175.9 93.62 178L121.5 204.5L114.5 242.3C113.1 245.4 115.2 248.4 117.7 250.2C120.2 252.1 123.5 252.3 126.2 250.8L159.1 232.5L193.8 250.8C196.5 252.3 199.8 252.1 202.3 250.2C204.8 248.4 206 245.4 205.5 242.3L198.5 204.5L226.4 178C228.6 175.9 229.4 172.7 228.5 169.8C227.5 166.8 224.1 164.7 221.9 164.3L183.8 159.3L167.2 124.6C165.9 121.8 163.1 120 159.1 120C156.9 120 154.1 121.8 152.8 124.6V124.6zM344.8 124.6L328.2 159.3L290.1 164.3C287 164.7 284.5 166.8 283.5 169.8C282.6 172.7 283.4 175.9 285.6 178L313.5 204.5L306.5 242.3C305.1 245.4 307.2 248.4 309.7 250.2C312.2 252.1 315.5 252.3 318.2 250.8L352 232.5L385.8 250.8C388.5 252.3 391.8 252.1 394.3 250.2C396.8 248.4 398 245.4 397.5 242.3L390.5 204.5L418.4 178C420.6 175.9 421.4 172.7 420.5 169.8C419.5 166.8 416.1 164.7 413.9 164.3L375.8 159.3L359.2 124.6C357.9 121.8 355.1 120 352 120C348.9 120 346.1 121.8 344.8 124.6H344.8z"],
    "face-grin-tears": [640, 512, [128514, "grin-tears"], "f588", "M548.6 371.4C506.4 454.8 419.9 512 319.1 512C220.1 512 133.6 454.8 91.4 371.4C95.87 368.4 100.1 365 104.1 361.1C112.2 352.1 117.3 342.5 120.6 334.4C124.2 325.7 127.1 316 129.4 306.9C134 288.7 137 269.1 138.6 258.7C142.6 232.2 119.9 209.5 93.4 213.3C86.59 214.3 77.18 215.7 66.84 217.7C85.31 94.5 191.6 0 319.1 0C448.4 0 554.7 94.5 573.2 217.7C562.8 215.7 553.4 214.3 546.6 213.3C520.1 209.5 497.4 232.2 501.4 258.7C502.1 269.1 505.1 288.7 510.6 306.9C512.9 316 515.8 325.7 519.4 334.4C522.7 342.5 527.8 352.1 535.9 361.1C539.9 365 544.1 368.4 548.6 371.4V371.4zM471.4 331.5C476.4 319.7 464.4 309 452.1 312.8C412.4 324.9 367.7 331.8 320.3 331.8C272.9 331.8 228.1 324.9 188.5 312.8C176.2 309 164.2 319.7 169.2 331.5C194.1 390.6 252.4 432 320.3 432C388.2 432 446.4 390.6 471.4 331.5H471.4zM281.6 228.8C283.7 231.6 287.3 232.7 290.5 231.6C293.8 230.5 295.1 227.4 295.1 224C295.1 206.1 289.3 188.4 279.4 175.2C269.6 162.2 255.5 152 239.1 152C224.5 152 210.4 162.2 200.6 175.2C190.7 188.4 183.1 206.1 183.1 224C183.1 227.4 186.2 230.5 189.5 231.6C192.7 232.7 196.3 231.6 198.4 228.8L198.4 228.8L198.6 228.5C198.8 228.3 198.1 228 199.3 227.6C199.1 226.8 200.9 225.7 202.1 224.3C204.6 221.4 208.1 217.7 212.3 213.1C221.1 206.2 231.2 200 239.1 200C248.8 200 258.9 206.2 267.7 213.1C271.9 217.7 275.4 221.4 277.9 224.3C279.1 225.7 280 226.8 280.7 227.6C281 228 281.2 228.3 281.4 228.5L281.6 228.8L281.6 228.8zM450.5 231.6C453.8 230.5 456 227.4 456 224C456 206.1 449.3 188.4 439.4 175.2C429.6 162.2 415.5 152 400 152C384.5 152 370.4 162.2 360.6 175.2C350.7 188.4 344 206.1 344 224C344 227.4 346.2 230.5 349.5 231.6C352.7 232.7 356.3 231.6 358.4 228.8L358.4 228.8L358.6 228.5C358.8 228.3 358.1 228 359.3 227.6C359.1 226.8 360.9 225.7 362.1 224.3C364.6 221.4 368.1 217.7 372.3 213.1C381.1 206.2 391.2 200 400 200C408.8 200 418.9 206.2 427.7 213.1C431.9 217.7 435.4 221.4 437.9 224.3C439.1 225.7 440 226.8 440.7 227.6C441 228 441.2 228.3 441.4 228.5L441.6 228.8L441.6 228.8C443.7 231.6 447.3 232.7 450.5 231.6V231.6zM106.1 254.1C103.9 275.6 95.58 324.3 81.43 338.4C80.49 339.4 79.51 340.3 78.5 341.1C59.98 356.7 32.01 355.5 14.27 337.7C-4.442 319-4.825 288.9 13.55 270.6C22.19 261.9 43.69 255.4 64.05 250.1C77.02 248.2 89.53 246.2 97.94 245C103.3 244.2 107.8 248.7 106.1 254.1V254.1zM561.5 341.1C560.7 340.5 559.1 339.8 559.2 339.1C559 338.9 558.8 338.7 558.6 338.4C544.4 324.3 536.1 275.6 533 254.1C532.2 248.7 536.7 244.2 542.1 245C543.1 245.2 544.2 245.3 545.4 245.5C553.6 246.7 564.6 248.5 575.1 250.1C596.3 255.4 617.8 261.9 626.4 270.6C644.8 288.9 644.4 319 625.7 337.7C607.1 355.5 580 356.7 561.5 341.1L561.5 341.1z"],
    "face-grin-tongue": [512, 512, [128539, "grin-tongue"], "f589", "M256 0C397.4 0 512 114.6 512 256C512 368.9 438.9 464.7 337.5 498.8C346.7 484 352 466.6 352 448V401.1C376.3 383.5 395.6 359.5 407.4 331.5C412.4 319.7 400.4 309 388.1 312.8C348.4 324.9 303.7 331.8 256.3 331.8C208.9 331.8 164.1 324.9 124.5 312.8C112.2 309 100.2 319.7 105.2 331.5C116.9 359.3 135.1 383.1 160 400.7V448C160 466.6 165.3 484 174.5 498.8C73.07 464.7 0 368.9 0 256C0 114.6 114.6 .0003 256 .0003L256 0zM176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240zM336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176zM256 512C220.7 512 192 483.3 192 448V402.6C192 387.9 203.9 376 218.6 376H220.6C231.9 376 241.7 383.9 244.2 394.9C247 407.5 264.1 407.5 267.8 394.9C270.3 383.9 280.1 376 291.4 376H293.4C308.1 376 320 387.9 320 402.6V448C320 483.3 291.3 512 256 512V512z"],
    "face-grin-tongue-squint": [512, 512, [128541, "grin-tongue-squint"], "f58a", "M256 0C397.4 0 512 114.6 512 256C512 368.9 438.9 464.7 337.5 498.8C346.7 484 352 466.6 352 448V401.1C376.3 383.5 395.6 359.5 407.4 331.5C412.4 319.7 400.4 309 388.1 312.8C348.4 324.9 303.7 331.8 256.3 331.8C208.9 331.8 164.1 324.9 124.5 312.8C112.2 309 100.2 319.7 105.2 331.5C116.9 359.3 135.1 383.1 160 400.7V448C160 466.6 165.3 484 174.5 498.8C73.07 464.7 0 368.9 0 256C0 114.6 114.6 .0003 256 .0003L256 0zM118.8 148.8L154.8 192L118.8 235.2C116.1 237.4 116 240.1 116 242.9C116 251.8 125.6 257.6 133.5 253.3L223.4 205.4C234.1 199.7 234.1 184.3 223.4 178.6L133.5 130.7C125.6 126.4 116 132.2 116 141.1C116 143.9 116.1 146.6 118.8 148.8V148.8zM288.6 178.6C277.9 184.3 277.9 199.7 288.6 205.4L378.5 253.3C386.4 257.6 396 251.8 396 242.9C396 240.1 395 237.4 393.2 235.2L357.2 192L393.2 148.8C395 146.6 396 143.9 396 141.1C396 132.2 386.4 126.4 378.5 130.7L288.6 178.6zM256 512C220.7 512 192 483.3 192 448V402.6C192 387.9 203.9 376 218.6 376H220.6C231.9 376 241.7 383.9 244.2 394.9C247 407.5 264.1 407.5 267.8 394.9C270.3 383.9 280.1 376 291.4 376H293.4C308.1 376 320 387.9 320 402.6V448C320 483.3 291.3 512 256 512V512z"],
    "face-grin-tongue-wink": [512, 512, [128540, "grin-tongue-wink"], "f58b", "M312 208C312 194.7 322.7 184 336 184C349.3 184 360 194.7 360 208C360 221.3 349.3 232 336 232C322.7 232 312 221.3 312 208zM174.5 498.8C73.07 464.7 0 368.9 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 368.9 438.9 464.7 337.5 498.8C346.7 484 352 466.6 352 448V401.1C376.3 383.5 395.6 359.5 407.4 331.5C412.4 319.7 400.4 309 388.1 312.8C348.4 324.9 303.7 331.8 256.3 331.8C208.9 331.8 164.1 324.9 124.5 312.8C112.2 309 100.2 319.7 105.2 331.5C116.9 359.3 135.1 383.1 159.1 400.7V448C159.1 466.6 165.3 484 174.5 498.8L174.5 498.8zM217.6 236.8C224.7 231.5 226.1 221.5 220.8 214.4C190.4 173.9 129.6 173.9 99.2 214.4C93.9 221.5 95.33 231.5 102.4 236.8C109.5 242.1 119.5 240.7 124.8 233.6C142.4 210.1 177.6 210.1 195.2 233.6C200.5 240.7 210.5 242.1 217.6 236.8zM336 272C371.3 272 400 243.3 400 208C400 172.7 371.3 144 336 144C300.7 144 272 172.7 272 208C272 243.3 300.7 272 336 272zM320 402.6V448C320 483.3 291.3 512 256 512C220.7 512 192 483.3 192 448V402.6C192 387.9 203.9 376 218.6 376H220.6C231.9 376 241.7 383.9 244.2 394.9C247 407.5 264.1 407.5 267.8 394.9C270.3 383.9 280.1 376 291.4 376H293.4C308.1 376 320 387.9 320 402.6V402.6z"],
    "face-grin-wide": [512, 512, [128515, "grin-alt"], "f581", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256.3 331.8C208.9 331.8 164.1 324.9 124.5 312.8C112.2 309 100.2 319.7 105.2 331.5C130.1 390.6 188.4 432 256.3 432C324.2 432 382.4 390.6 407.4 331.5C412.4 319.7 400.4 309 388.1 312.8C348.4 324.9 303.7 331.8 256.3 331.8H256.3zM176 128C158.3 128 144 156.7 144 192C144 227.3 158.3 256 176 256C193.7 256 208 227.3 208 192C208 156.7 193.7 128 176 128zM336 256C353.7 256 368 227.3 368 192C368 156.7 353.7 128 336 128C318.3 128 304 156.7 304 192C304 227.3 318.3 256 336 256z"],
    "face-grin-wink": [512, 512, ["grin-wink"], "f58c", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256.3 331.8C208.9 331.8 164.1 324.9 124.5 312.8C112.2 309 100.2 319.7 105.2 331.5C130.1 390.6 188.4 432 256.3 432C324.2 432 382.4 390.6 407.4 331.5C412.4 319.7 400.4 309 388.1 312.8C348.4 324.9 303.7 331.8 256.3 331.8H256.3zM393.6 236.8C400.7 231.5 402.1 221.5 396.8 214.4C366.4 173.9 305.6 173.9 275.2 214.4C269.9 221.5 271.3 231.5 278.4 236.8C285.5 242.1 295.5 240.7 300.8 233.6C318.4 210.1 353.6 210.1 371.2 233.6C376.5 240.7 386.5 242.1 393.6 236.8zM176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240z"],
    "face-hand-over-mouth": [512, 512, [129762], "e378", "M512 256C512 369.1 438.7 465.1 336.9 498.9L385.9 449.9C404.1 431.8 404.7 402.8 387.8 384C404.7 365.2 404.1 336.2 385.9 318.1C384.9 317 383.8 316 382.7 315.1C386.4 299.4 382.2 282.3 369.9 270.1C357.7 257.8 340.6 253.6 324.9 257.3C323.1 256.2 322.1 255.1 321.9 254.1C303.2 235.3 272.8 235.3 254.1 254.1L206.1 301.1C197.6 287.4 181.9 278.4 164 278.4C135.3 278.4 112 301.7 112 330.4V416.8C112 438.7 117.5 459.3 127.3 477.3C51.17 432.1 0 350.5 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM176.4 160C158.7 160 144.4 174.3 144.4 192C144.4 209.7 158.7 224 176.4 224C194 224 208.4 209.7 208.4 192C208.4 174.3 194 160 176.4 160zM336.4 224C354 224 368.4 209.7 368.4 192C368.4 174.3 354 160 336.4 160C318.7 160 304.4 174.3 304.4 192C304.4 209.7 318.7 224 336.4 224zM299.3 276.7C305.6 282.9 305.6 293.1 299.3 299.3L248 350.6C245.4 353.2 245.4 357.4 248 360C250.6 362.6 254.8 362.6 257.4 360L324.7 292.7C330.9 286.4 341.1 286.4 347.3 292.7C353.6 298.9 353.6 309.1 347.3 315.3L280 382.6C277.4 385.2 277.4 389.4 280 392C282.6 394.6 286.8 394.6 289.4 392L340.7 340.7C346.9 334.4 357.1 334.4 363.3 340.7C369.6 346.9 369.6 357.1 363.3 363.3L312 414.6C309.4 417.2 309.4 421.4 312 424C314.6 426.6 318.8 426.6 321.4 424L340.7 404.7C346.9 398.4 357.1 398.4 363.3 404.7C369.6 410.9 369.6 421.1 363.3 427.3L306.5 484.1C288.7 501.1 264.4 512 239.2 512C186.6 512 144 469.4 144 416.8V330.4C144 319.4 152.1 310.4 164 310.4C175 310.4 184 319.4 184 330.4V350.1C184 357.2 192.6 360.8 197.7 355.7L276.7 276.7C282.9 270.4 293.1 270.4 299.3 276.7L299.3 276.7z"],
    "face-hand-peeking": [640, 512, [129763], "e481", "M485.2 170.5L447.2 143.5C436.4 135.7 422.1 134.1 411.2 138.1C405 136.7 398.6 136 392 136C343.4 136 304 175.4 304 224C304 264.3 331.1 298.3 368.1 308.7C368 309.8 368 310.9 368 311.1C368 334.1 385.9 352 408 352H416C416 352.3 416 352.6 416 352.9C416 374.1 433.9 392.9 456 392.9H520.8C526.3 392.9 531.7 392.5 537.1 391.8C491.8 463.1 411.5 512 319.1 512C210.4 512 116.1 443.2 80.43 346.4C92.79 350.7 105.9 352.9 119.2 352.9H183.1C206.1 352.9 223.1 334.1 223.1 312.9C223.1 312.6 223.1 312.3 223.1 312H232C254.1 312 272 294.1 272 272C272 269.4 271.8 266.9 271.3 264.5C281.4 257.3 288 245.4 288 231.1C288 218.6 281.4 206.7 271.3 199.5C271.8 197.1 272 194.6 272 192C272 169.9 254.1 152 232 152H156.8L158.2 150.5C175.4 133.4 175.4 105.5 158.2 88.32C152.3 82.35 144.1 78.45 137.3 76.63C183.8 29.34 248.5 0 319.1 0C417.5 0 502.2 54.49 545.5 134.7C529.6 128.2 510.7 131.4 497.8 144.3C490.4 151.7 486.2 160.1 485.2 170.5V170.5zM319.1 448C355.3 448 384 426.5 384 400C384 373.5 355.3 352 319.1 352C284.7 352 255.1 373.5 255.1 400C255.1 426.5 284.7 448 319.1 448zM374.5 240C370.7 235.8 368.4 230.1 368.4 224C368.4 210.7 379.1 200 392.4 200C405.6 200 416.4 210.7 416.4 224C416.4 230.1 414.1 235.8 410.3 240H374.5zM248 192C248 200.8 240.8 208 232 208H169.6C167.4 208 165.6 209.8 165.6 212C165.6 214.2 167.4 216 169.6 216H248C256.8 216 264 223.2 264 232C264 240.8 256.8 248 248 248H169.6C167.4 248 165.6 249.8 165.6 252C165.6 254.2 167.4 256 169.6 256H232C240.8 256 248 263.2 248 272C248 280.8 240.8 288 232 288H170C167.6 288 165.6 289.1 165.6 292.5C165.6 294.9 167.6 296.9 170 296.9H183.1C192.8 296.9 199.1 304.1 199.1 312.9C199.1 321.7 192.8 328.9 183.1 328.9H119.2C93.95 328.9 69.73 318.9 51.88 301C14.98 264.1 14.71 204.4 51.08 167.2L51.88 166.4L112.1 105.3C120.8 97.48 133.5 97.48 141.3 105.3C149.1 113.1 149.1 125.8 141.3 133.6L112.5 162.3C107.5 167.4 111 176 118.2 176H232C240.8 176 248 183.2 248 192L248 192zM433.3 162.1L515.1 221.4C517.3 223 520.1 223.7 522.9 223.4C532.2 222.3 536.1 210.1 529.5 204.4L514.7 189.6C506.9 181.8 506.9 169.1 514.7 161.3C522.5 153.5 535.2 153.5 543 161.3L588.1 206.4L588.9 207.2C625.3 244.4 625 304.1 588.1 341C570.3 358.9 546.1 368.9 520.8 368.9H456C447.2 368.9 440 361.7 440 352.9C440 344.1 447.2 336.9 456 336.9H475.5C478 336.9 480 334.9 480 332.5C480 329.1 478 328 475.5 328H408C399.2 328 392 320.8 392 311.1C392 303.2 399.2 295.1 408 295.1H476C478.2 295.1 480 294.2 480 291.1C480 289.8 478.2 287.1 476 287.1H392C383.2 287.1 376 280.8 376 271.1C376 263.2 383.2 255.1 392 255.1H466.6C473.1 255.1 480 249.1 480 242.6C480 238.2 477.9 234.2 474.4 231.6L414.7 189C407.5 183.9 405.8 173.9 410.1 166.7C416.1 159.5 426.1 157.8 433.3 162.1H433.3z"],
    "face-hand-yawn": [512, 512, [], "e379", "M385.9 449.9C404.1 431.8 404.7 402.8 387.8 384C404.7 365.2 404.1 336.2 385.9 318.1C384.9 317 383.8 316 382.7 315.1C386.4 299.4 382.2 282.3 369.9 270.1C358.6 258.7 342.9 254.2 328.1 256.6C310.5 236.6 284.7 223.1 256 223.1C217.8 223.1 184.8 246.3 169.3 278.7C167.6 278.5 165.8 278.4 164 278.4C135.3 278.4 112 301.7 112 330.4V416.8C112 438.7 117.5 459.3 127.3 477.4C51.17 432.1 0 350.5 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 369.1 438.7 465.1 336.9 498.9L385.9 449.9zM182 99.51L102 163.5C95.1 169 93.99 179.1 99.51 185.1C105 192.9 115.1 194 121.1 188.5L201.1 124.5C208.9 118.1 210 108.9 204.5 102C198.1 95.1 188.9 93.99 182 99.51V99.51zM390 188.5C396.9 194 406.1 192.9 412.5 185.1C418 179.1 416.9 169 409.1 163.5L329.1 99.51C323.1 93.99 313 95.1 307.5 102C301.1 108.9 303.1 118.1 310 124.5L390 188.5zM299.3 276.7C305.6 282.9 305.6 293.1 299.3 299.3L248 350.6C245.4 353.2 245.4 357.4 248 360C250.6 362.6 254.8 362.6 257.4 360L324.7 292.7C330.9 286.4 341.1 286.4 347.3 292.7C353.6 298.9 353.6 309.1 347.3 315.3L280 382.6C277.4 385.2 277.4 389.4 280 392C282.6 394.6 286.8 394.6 289.4 392L340.7 340.7C346.9 334.4 357.1 334.4 363.3 340.7C369.6 346.9 369.6 357.1 363.3 363.3L312 414.6C309.4 417.2 309.4 421.4 312 424C314.6 426.6 318.8 426.6 321.4 424L340.7 404.7C346.9 398.4 357.1 398.4 363.3 404.7C369.6 410.9 369.6 421.1 363.3 427.3L306.5 484.1C288.7 501.1 264.4 512 239.2 512C186.6 512 144 469.4 144 416.8V330.4C144 319.4 152.1 310.4 164 310.4C175 310.4 184 319.4 184 330.4V350.1C184 357.2 192.6 360.8 197.7 355.7L276.7 276.7C282.9 270.4 293.1 270.4 299.3 276.7L299.3 276.7z"],
    "face-head-bandage": [576, 512, [], "e37a", "M368.1 12.79C383.9 9.583 399.1 6.958 416.2 4.94C423.3 4.053 430.5 5.589 436.7 9.302C465.9 26.93 491.7 49.58 512.9 76.06C516.8 80.97 519.1 86.82 519.7 92.85C525.3 95.47 529.1 99.66 533.3 104.9C549.1 130.6 560.1 158.9 568.2 189C570.8 200.1 567.3 211.8 558.1 219.7C554.3 224.1 548.6 226.9 542.5 227.1C543.5 237.2 544 246.5 544 256C544 397.4 429.4 512 288 512C185.9 512 97.76 452.2 56.66 365.8C51.59 367.8 45.99 368.5 40.37 367.8C28.27 366.1 18.19 357.7 14.37 346.1C5.037 317.7 0 287.4 0 256C0 252.6 .0595 249.2 .1779 245.8C.4291 238.6 3.099 231.7 7.756 226.2C10.17 223.4 12.61 220.5 15.08 217.7C8.155 209.1 5.4 199.2 7.839 189C15.02 158.9 26.94 130.6 42.75 104.9C47.18 97.76 54.28 92.62 62.49 90.64C74.84 87.67 87.28 84.94 99.81 82.44C146.6 31.75 213.6 0 288 0C315.1 0 342.9 4.491 368.1 12.79V12.79zM143.1 107.2C142.3 107.4 141.5 107.5 140.7 107.6C116.8 111.4 93.22 116.2 69.98 121.8C62.55 133.8 56.09 146.5 50.7 159.8C46.67 169.7 43.24 179.1 40.46 190.5C39.94 192.4 39.44 194.4 38.97 196.4C50.87 192.9 62.88 189.5 74.1 186.5C81.92 184.7 88.87 183 95.85 181.4C141.6 171 188.8 164.3 237 161.5C253.9 160.5 270.9 159.1 287.1 159.1C297.2 159.1 306.3 160.1 315.5 160.4C315.7 160.4 315.1 160.4 316.2 160.5C379.8 162.5 441.6 171.4 501 186.5C513.1 189.5 525.1 192.9 537 196.4C534 183.8 530.1 171.6 525.3 159.8C519.1 146.7 513.6 134.1 506.3 122.2C506.2 122.1 506.1 121.9 506 121.8C475.4 114.4 444.2 108.5 412.6 104.3C410.4 103.1 408.2 103.7 405.1 103.4C367.3 98.53 327.1 95.1 287.1 95.1C264.9 95.1 241.9 96.85 219.2 98.51C193.6 100.4 168.2 103.3 143.1 107.2H143.1zM50.33 226.4C44.12 233.1 38.06 239.9 32.16 246.9C32.05 249.9 32 252.1 32 256C32 269.2 32.99 282.1 34.91 294.7C37.07 308.9 40.39 322.7 44.77 336.1C52.41 324.7 60.48 313.7 68.93 303C99.99 263.7 136.4 228.8 176.1 199.3C133.6 205.1 91.29 214.2 50.33 226.4H50.33zM208.4 271.1C226 271.1 240.4 257.7 240.4 239.1C240.4 225.9 231.2 213.9 218.5 209.6C203.9 219.1 189.9 229.2 176.4 240C176.4 257.7 190.7 271.1 208.4 271.1V271.1zM458.7 65.2C446.8 54.55 433.9 44.99 420.1 36.7C378.9 41.83 338.9 51.1 300.6 64.08C360.6 64.85 419.3 71.13 476.2 82.44C470.6 76.42 464.8 70.67 458.7 65.2L458.7 65.2zM373.2 397.5C379.8 403.5 389.9 402.1 395.8 396.5C401.8 389.9 401.3 379.8 394.8 373.8C373.2 354.3 340.2 336 296 336C279.6 336 264.6 338.5 251.2 342.8C242.8 345.4 238.1 354.4 240.7 362.8C243.4 371.2 252.4 375.9 260.8 373.3C271.2 370 282.9 368 296 368C330.8 368 356.4 382.2 373.2 397.5zM368.4 271.1C386 271.1 400.4 257.7 400.4 239.1C400.4 222.3 386 207.1 368.4 207.1C350.7 207.1 336.4 222.3 336.4 239.1C336.4 257.7 350.7 271.1 368.4 271.1z"],
    "face-holding-back-tears": [512, 512, [129401], "e482", "M128 232C145.7 232 160 217.7 160 200C160 194.2 158.5 188.8 155.8 184.2C157.2 184.1 158.6 184 160 184C190.9 184 216 209.1 216 240C216 270.9 190.9 296 160 296C129.1 296 104 270.9 104 240C104 234.3 104.8 228.8 106.4 223.6C112.1 228.8 119.7 232 128 232zM347.8 184.2C349.2 184.1 350.6 184 352 184C382.9 184 408 209.1 408 240C408 270.9 382.9 296 352 296C321.1 296 296 270.9 296 240C296 234.3 296.8 228.8 298.4 223.6C304.1 228.8 311.7 232 320 232C337.7 232 352 217.7 352 200C352 194.2 350.5 188.8 347.8 184.2zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM344.5 367.9C337.8 362.1 327.7 362.8 321.9 369.5C308.1 384.4 287.1 400 256 400C224.9 400 203 384.4 190.1 369.5C184.3 362.8 174.2 362.1 167.5 367.9C160.8 373.7 160.1 383.8 165.9 390.5C183.1 410.3 213.2 432 256 432C298.8 432 328.9 410.3 346.1 390.5C351.9 383.8 351.2 373.7 344.5 367.9zM240 240C240 198.5 208.5 164.4 168 160.4C178.1 149.6 185.7 136.3 189.9 121.5L191.4 116.4C193.8 107.9 188.9 99.04 180.4 96.62C171.9 94.19 163 99.11 160.6 107.6L159.1 112.8C152.1 137.4 130.1 155.5 105.5 158.7L94.02 160.1C85.25 161.2 79.03 169.2 80.12 177.1C81.14 186.1 88.04 192 95.99 192C85.95 205.4 80 221.1 80 240C80 258 85.95 274.6 96 288V320C96 328.8 103.2 336 112 336C120.8 336 128 328.8 128 320V313.3C137.8 317.6 148.6 320 160 320C178 320 194.6 314 208 304C208 312.8 215.2 320 224 320C232.8 320 240 312.8 240 304V240zM384 320C384 328.8 391.2 336 400 336C408.8 336 416 328.8 416 320V288C426 274.6 432 258 432 240C432 221.1 426 205.4 416 192C423.1 192 430.9 186.1 431.9 177.1C432.1 169.2 426.8 161.2 417.1 160.1L406.5 158.7C381 155.5 359.9 137.4 352.9 112.8L351.4 107.6C348.1 99.11 340.1 94.19 331.6 96.62C323.1 99.04 318.2 107.9 320.6 116.4L322.1 121.5C326.3 136.3 333.9 149.6 343.1 160.4C303.5 164.4 272 198.5 272 240C272 284.2 307.8 320 352 320C363.4 320 374.2 317.6 384 313.3V320z"],
    "face-hushed": [512, 512, [], "e37b", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM176.4 288C194 288 208.4 273.7 208.4 256C208.4 238.3 194 224 176.4 224C158.7 224 144.4 238.3 144.4 256C144.4 273.7 158.7 288 176.4 288zM336.4 224C318.7 224 304.4 238.3 304.4 256C304.4 273.7 318.7 288 336.4 288C354 288 368.4 273.7 368.4 256C368.4 238.3 354 224 336.4 224zM178.1 160.9C183.2 160.3 187.6 160 192 160C200.8 160 208 152.8 208 144C208 135.2 200.8 128 192 128C186.2 128 180.4 128.4 174.8 129.1C146.6 132.9 121.1 145.6 101.1 164.3C94.62 170.3 94.28 180.5 100.3 186.9C106.3 193.4 116.5 193.7 122.9 187.7C138.4 173.2 157.8 163.7 178.1 160.9zM320 160C324.4 160 328.8 160.3 333 160.9C354.2 163.7 373.6 173.2 389.1 187.7C395.5 193.7 405.7 193.4 411.7 186.9C417.7 180.5 417.4 170.3 410.9 164.3C390.9 145.6 365.4 132.9 337.2 129.1C331.6 128.4 325.8 128 320 128C311.2 128 304 135.2 304 144C304 152.8 311.2 160 320 160zM256 432C282.5 432 304 410.5 304 384C304 357.5 282.5 336 256 336C229.5 336 208 357.5 208 384C208 410.5 229.5 432 256 432z"],
    "face-icicles": [512, 512, [], "e37c", "M512 256C512 264.3 511.6 272.6 510.8 280.7C510.8 281.2 510.8 281.8 510.7 282.3L495.9 482.4C494.7 499.1 480.8 512 464 512C447.2 512 433.3 499.1 432.1 482.4L429.3 444.4C424.3 449 419.1 453.5 413.7 457.7L402.2 490.6C397.7 503.4 385.6 512 372 512C360.5 512 350.1 505.9 344.5 496.3C316.9 506.5 287.1 512 256 512C186.6 512 123.7 484.4 77.6 439.6C71.87 444.9 64.26 448 56 448C40.36 448 27.01 436.7 24.44 421.3L6.455 313.4C2.231 294.9 0 275.7 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256H512zM56 416L76.05 295.7C78.12 283.3 68.56 272 56 272C43.44 272 33.88 283.3 35.95 295.7L56 416zM372 480L400 400V360H344V400L372 480zM352 304H344V344H399.3C395.5 321.3 375.8 304 352 304zM328 344V304H264V344H328zM328 400V360H264V400L296 448L328 400zM184 304V344H248V304H184zM184 360V400H248V360H184zM168 344V304H160C136.2 304 116.5 321.3 112.7 344H168zM168 400V360H112.7C116.5 382.7 136.2 400 160 400H168zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240zM464 480L485.8 247.9C486.1 235.1 476.9 224 464 224C451.1 224 441 235.1 442.2 247.9L464 480z"],
    "face-kiss": [512, 512, [128535, "kiss"], "f596", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM287.9 300.3C274.7 292.9 257.4 288 240 288C236.4 288 233.2 290.5 232.3 293.1C231.3 297.5 232.9 301.2 236.1 302.1L236.1 302.1L236.3 303.1L236.8 303.4L237.2 303.7C238 304.1 239.2 304.9 240.6 305.8C243.4 307.6 247.2 310.3 250.8 313.4C254.6 316.5 258 319.1 260.5 323.4C262.1 326.1 264 329.8 264 332C264 334.2 262.1 337 260.5 340.6C258 344 254.6 347.5 250.8 350.6C247.2 353.7 243.4 356.4 240.6 358.2C239.2 359.1 238 359.9 237.2 360.3L236.6 360.7L236.3 360.9L236.1 361L236.1 361C233.6 362.4 232 365.1 232 368C232 370.9 233.6 373.6 236.1 374.1L236.1 374.1L236.3 375.1C236.5 375.2 236.8 375.4 237.2 375.7C238 376.1 239.2 376.9 240.6 377.8C243.4 379.6 247.2 382.3 250.8 385.4C254.6 388.5 258 391.9 260.5 395.4C262.1 398.1 264 401.8 264 403.1C264 406.2 262.1 409 260.5 412.6C258 416 254.6 419.5 250.8 422.6C247.2 425.7 243.4 428.4 240.6 430.2C239.2 431.1 238 431.9 237.2 432.3C236.8 432.6 236.5 432.8 236.3 432.9L236.1 432.1L236.1 433C232.9 434.8 231.3 438.5 232.3 442C233.2 445.5 236.4 447.1 240 447.1C257.4 447.1 274.7 443.1 287.9 435.7C294.5 432 300.4 427.5 304.7 422.3C308.9 417.2 312 410.9 312 403.1C312 397.1 308.9 390.8 304.7 385.7C300.4 380.5 294.5 375.1 287.9 372.3C285.2 370.7 282.3 369.3 279.2 367.1C282.3 366.7 285.2 365.3 287.9 363.7C294.5 360 300.4 355.5 304.7 350.3C308.9 345.2 312 338.9 312 331.1C312 325.1 308.9 318.8 304.7 313.7C300.4 308.5 294.5 303.1 287.9 300.3L287.9 300.3zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240z"],
    "face-kiss-beam": [512, 512, [128537, "kiss-beam"], "f597", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM287.9 300.3C274.7 292.9 257.4 288 240 288C236.4 288 233.2 290.5 232.3 293.1C231.3 297.5 232.9 301.2 236.1 302.1L236.1 302.1L236.3 303.1L236.8 303.4L237.2 303.7C238 304.1 239.2 304.9 240.6 305.8C243.4 307.6 247.2 310.3 250.8 313.4C254.6 316.5 258 319.1 260.5 323.4C262.1 326.1 264 329.8 264 332C264 334.2 262.1 337 260.5 340.6C258 344 254.6 347.5 250.8 350.6C247.2 353.7 243.4 356.4 240.6 358.2C239.2 359.1 238 359.9 237.2 360.3L236.6 360.7L236.3 360.9L236.1 361L236.1 361C233.6 362.4 232 365.1 232 368C232 370.9 233.6 373.6 236.1 374.1L236.1 374.1L236.3 375.1C236.5 375.2 236.8 375.4 237.2 375.7C238 376.1 239.2 376.9 240.6 377.8C243.4 379.6 247.2 382.3 250.8 385.4C254.6 388.5 258 391.9 260.5 395.4C262.1 398.1 264 401.8 264 403.1C264 406.2 262.1 409 260.5 412.6C258 416 254.6 419.5 250.8 422.6C247.2 425.7 243.4 428.4 240.6 430.2C239.2 431.1 238 431.9 237.2 432.3C236.8 432.6 236.5 432.8 236.3 432.9L236.1 432.1L236.1 433C232.9 434.8 231.3 438.5 232.3 442C233.2 445.5 236.4 447.1 240 447.1C257.4 447.1 274.7 443.1 287.9 435.7C294.5 432 300.4 427.5 304.7 422.3C308.9 417.2 312 410.9 312 403.1C312 397.1 308.9 390.8 304.7 385.7C300.4 380.5 294.5 375.1 287.9 372.3C285.2 370.7 282.3 369.3 279.2 367.1C282.3 366.7 285.2 365.3 287.9 363.7C294.5 360 300.4 355.5 304.7 350.3C308.9 345.2 312 338.9 312 331.1C312 325.1 308.9 318.8 304.7 313.7C300.4 308.5 294.5 303.1 287.9 300.3L287.9 300.3zM226.5 231.6C229.8 230.5 232 227.4 232 224C232 206.1 225.3 188.4 215.4 175.2C205.6 162.2 191.5 152 176 152C160.5 152 146.4 162.2 136.6 175.2C126.7 188.4 120 206.1 120 224C120 227.4 122.2 230.5 125.5 231.6C128.7 232.7 132.3 231.6 134.4 228.8L134.4 228.8L134.6 228.5C134.8 228.3 134.1 228 135.3 227.6C135.1 226.8 136.9 225.7 138.1 224.3C140.6 221.4 144.1 217.7 148.3 213.1C157.1 206.2 167.2 200 176 200C184.8 200 194.9 206.2 203.7 213.1C207.9 217.7 211.4 221.4 213.9 224.3C215.1 225.7 216 226.8 216.7 227.6C217 228 217.2 228.3 217.4 228.5L217.6 228.8L217.6 228.8C219.7 231.6 223.3 232.7 226.5 231.6V231.6zM377.6 228.8C379.7 231.6 383.3 232.7 386.5 231.6C389.8 230.5 392 227.4 392 224C392 206.1 385.3 188.4 375.4 175.2C365.6 162.2 351.5 152 336 152C320.5 152 306.4 162.2 296.6 175.2C286.7 188.4 280 206.1 280 224C280 227.4 282.2 230.5 285.5 231.6C288.7 232.7 292.3 231.6 294.4 228.8L294.4 228.8L294.6 228.5C294.8 228.3 294.1 228 295.3 227.6C295.1 226.8 296.9 225.7 298.1 224.3C300.6 221.4 304.1 217.7 308.3 213.1C317.1 206.2 327.2 200 336 200C344.8 200 354.9 206.2 363.7 213.1C367.9 217.7 371.4 221.4 373.9 224.3C375.1 225.7 376 226.8 376.7 227.6C377 228 377.2 228.3 377.4 228.5L377.6 228.8L377.6 228.8z"],
    "face-kiss-closed-eyes": [512, 512, [], "e37d", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM287.9 300.3C274.7 292.9 257.4 288 240 288C236.4 288 233.2 290.5 232.3 293.1C231.3 297.5 232.9 301.2 236.1 302.1L236.1 302.1L236.3 303.1L236.8 303.4L237.2 303.7C238 304.1 239.2 304.9 240.6 305.8C243.4 307.6 247.2 310.3 250.8 313.4C254.6 316.5 258 319.1 260.5 323.4C262.1 326.1 264 329.8 264 332C264 334.2 262.1 337 260.5 340.6C258 344 254.6 347.5 250.8 350.6C247.2 353.7 243.4 356.4 240.6 358.2C239.2 359.1 238 359.9 237.2 360.3L236.6 360.7L236.3 360.9L236.1 361L236.1 361C233.6 362.4 232 365.1 232 368C232 370.9 233.6 373.6 236.1 374.1L236.1 374.1L236.3 375.1C236.5 375.2 236.8 375.4 237.2 375.7C238 376.1 239.2 376.9 240.6 377.8C243.4 379.6 247.2 382.3 250.8 385.4C254.6 388.5 258 391.9 260.5 395.4C262.1 398.1 264 401.8 264 403.1C264 406.2 262.1 409 260.5 412.6C258 416 254.6 419.5 250.8 422.6C247.2 425.7 243.4 428.4 240.6 430.2C239.2 431.1 238 431.9 237.2 432.3C236.8 432.6 236.5 432.8 236.3 432.9L236.1 432.1L236.1 433C232.9 434.8 231.3 438.5 232.3 442C233.2 445.5 236.4 447.1 240 447.1C257.4 447.1 274.7 443.1 287.9 435.7C294.5 432 300.4 427.5 304.7 422.3C308.9 417.2 312 410.9 312 403.1C312 397.1 308.9 390.8 304.7 385.7C300.4 380.5 294.5 375.1 287.9 372.3C285.2 370.7 282.3 369.3 279.2 367.1C282.3 366.7 285.2 365.3 287.9 363.7C294.5 360 300.4 355.5 304.7 350.3C308.9 345.2 312 338.9 312 331.1C312 325.1 308.9 318.8 304.7 313.7C300.4 308.5 294.5 303.1 287.9 300.3L287.9 300.3zM233.6 236.8C240.7 231.5 242.1 221.5 236.8 214.4C206.4 173.9 145.6 173.9 115.2 214.4C109.9 221.5 111.3 231.5 118.4 236.8C125.5 242.1 135.5 240.7 140.8 233.6C158.4 210.1 193.6 210.1 211.2 233.6C216.5 240.7 226.5 242.1 233.6 236.8zM300.8 233.6C318.4 210.1 353.6 210.1 371.2 233.6C376.5 240.7 386.5 242.1 393.6 236.8C400.7 231.5 402.1 221.5 396.8 214.4C366.4 173.9 305.6 173.9 275.2 214.4C269.9 221.5 271.3 231.5 278.4 236.8C285.5 242.1 295.5 240.7 300.8 233.6z"],
    "face-kiss-wink-heart": [512, 512, [128536, "kiss-wink-heart"], "f598", "M461.8 334.6C448.1 300.8 411.5 280.3 374.3 290.7C334.2 301.9 312.4 343.8 322.4 382.8L345.3 472.1C347.3 479.7 350.9 486.4 355.7 491.8C325.1 504.8 291.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 285.3 507.1 313.4 498 339.7C486.9 334.1 474.5 333.1 461.8 334.6L461.8 334.6zM296 332C296 325.1 292.9 318.8 288.7 313.7C284.4 308.5 278.5 303.1 271.9 300.3C258.7 292.9 241.4 288 224 288C220.4 288 217.2 290.5 216.3 293.1C215.3 297.5 216.9 301.2 220.1 302.1L220.1 302.1L220.3 303.1C220.5 303.2 220.8 303.4 221.2 303.7C222 304.1 223.2 304.9 224.6 305.8C227.4 307.6 231.2 310.3 234.8 313.4C238.6 316.5 242 319.1 244.5 323.4C246.1 326.1 248 329.8 248 332C248 334.2 246.1 337 244.5 340.6C242 344 238.6 347.5 234.8 350.6C231.2 353.7 227.4 356.4 224.6 358.2C223.2 359.1 222 359.9 221.2 360.3C220.8 360.6 220.5 360.8 220.3 360.9L220.1 361L220.1 361C217.6 362.4 216 365.1 216 368C216 370.9 217.6 373.6 220.1 374.1L220.1 374.1L220.3 375.1L220.6 375.3L221.2 375.7C222 376.1 223.2 376.9 224.6 377.8C227.4 379.6 231.2 382.3 234.8 385.4C238.6 388.5 242 391.9 244.5 395.4C246.1 398.1 248 401.8 248 404C248 406.2 246.1 409 244.5 412.6C242 416 238.6 419.5 234.8 422.6C231.2 425.7 227.4 428.4 224.6 430.2C223.2 431.1 222 431.9 221.2 432.3C220.8 432.6 220.5 432.8 220.3 432.9L220.1 433L220.1 433C216.9 434.8 215.3 438.5 216.3 442C217.2 445.5 220.4 447.1 224 447.1C241.4 447.1 258.7 443.1 271.9 435.7C278.5 432 284.4 427.5 288.7 422.3C292.9 417.2 296 410.9 296 403.1C296 397.1 292.9 390.8 288.7 385.7C284.4 380.5 278.5 375.1 271.9 372.3C269.2 370.7 266.3 369.3 263.2 367.1C266.3 366.7 269.2 365.3 271.9 363.7C278.5 360 284.4 355.5 288.7 350.3C292.9 345.2 296 338.9 296 331.1V332zM176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240zM393.6 236.8C400.7 231.5 402.1 221.5 396.8 214.4C366.4 173.9 305.6 173.9 275.2 214.4C269.9 221.5 271.3 231.5 278.4 236.8C285.5 242.1 295.5 240.7 300.8 233.6C318.4 210.1 353.6 210.1 371.2 233.6C376.5 240.7 386.5 242.1 393.6 236.8zM439.4 373.3L459.5 367.6C481.7 361.4 504.6 375.2 510.6 398.4C516.5 421.7 503.3 445.6 481.1 451.8L396.1 475.6C387.5 478 378.6 472.9 376.3 464.2L353.4 374.9C347.5 351.6 360.7 327.7 382.9 321.5C405.2 315.3 428 329.1 433.1 352.3L439.4 373.3z"],
    "face-laugh": [512, 512, ["laugh"], "f599", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 432C332.1 432 396.2 382 415.2 314.1C419.1 300.4 407.8 288 393.6 288H118.4C104.2 288 92.92 300.4 96.76 314.1C115.8 382 179.9 432 256 432V432zM176.4 160C158.7 160 144.4 174.3 144.4 192C144.4 209.7 158.7 224 176.4 224C194 224 208.4 209.7 208.4 192C208.4 174.3 194 160 176.4 160zM336.4 224C354 224 368.4 209.7 368.4 192C368.4 174.3 354 160 336.4 160C318.7 160 304.4 174.3 304.4 192C304.4 209.7 318.7 224 336.4 224z"],
    "face-laugh-beam": [512, 512, [128513, "laugh-beam"], "f59a", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 432C332.1 432 396.2 382 415.2 314.1C419.1 300.4 407.8 288 393.6 288H118.4C104.2 288 92.92 300.4 96.76 314.1C115.8 382 179.9 432 256 432V432zM226.5 215.6C229.8 214.5 232 211.4 232 208C232 190.1 225.3 172.4 215.4 159.2C205.6 146.2 191.5 136 176 136C160.5 136 146.4 146.2 136.6 159.2C126.7 172.4 120 190.1 120 208C120 211.4 122.2 214.5 125.5 215.6C128.7 216.7 132.3 215.6 134.4 212.8L134.4 212.8L134.6 212.5C134.8 212.3 134.1 212 135.3 211.6C135.1 210.8 136.9 209.7 138.1 208.3C140.6 205.4 144.1 201.7 148.3 197.1C157.1 190.2 167.2 184 176 184C184.8 184 194.9 190.2 203.7 197.1C207.9 201.7 211.4 205.4 213.9 208.3C215.1 209.7 216 210.8 216.7 211.6C217 212 217.2 212.3 217.4 212.5L217.6 212.8L217.6 212.8C219.7 215.6 223.3 216.7 226.5 215.6V215.6zM377.6 212.8C379.7 215.6 383.3 216.7 386.5 215.6C389.8 214.5 392 211.4 392 208C392 190.1 385.3 172.4 375.4 159.2C365.6 146.2 351.5 136 336 136C320.5 136 306.4 146.2 296.6 159.2C286.7 172.4 280 190.1 280 208C280 211.4 282.2 214.5 285.5 215.6C288.7 216.7 292.3 215.6 294.4 212.8L294.4 212.8L294.6 212.5C294.8 212.3 294.1 212 295.3 211.6C295.1 210.8 296.9 209.7 298.1 208.3C300.6 205.4 304.1 201.7 308.3 197.1C317.1 190.2 327.2 184 336 184C344.8 184 354.9 190.2 363.7 197.1C367.9 201.7 371.4 205.4 373.9 208.3C375.1 209.7 376 210.8 376.7 211.6C377 212 377.2 212.3 377.4 212.5L377.6 212.8L377.6 212.8z"],
    "face-laugh-squint": [512, 512, ["laugh-squint"], "f59b", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 432C332.1 432 396.2 382 415.2 314.1C419.1 300.4 407.8 288 393.6 288H118.4C104.2 288 92.92 300.4 96.76 314.1C115.8 382 179.9 432 256 432V432zM133.5 114.7C125.6 110.4 116 116.2 116 125.1C116 127.9 116.1 130.6 118.8 132.8L154.8 176L118.8 219.2C116.1 221.4 116 224.1 116 226.9C116 235.8 125.6 241.6 133.5 237.3L223.4 189.4C234.1 183.7 234.1 168.3 223.4 162.6L133.5 114.7zM396 125.1C396 116.2 386.4 110.4 378.5 114.7L288.6 162.6C277.9 168.3 277.9 183.7 288.6 189.4L378.5 237.3C386.4 241.6 396 235.8 396 226.9C396 224.1 395 221.4 393.2 219.2L357.2 176L393.2 132.8C395 130.6 396 127.9 396 125.1V125.1z"],
    "face-laugh-wink": [512, 512, ["laugh-wink"], "f59c", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 432C332.1 432 396.2 382 415.2 314.1C419.1 300.4 407.8 288 393.6 288H118.4C104.2 288 92.92 300.4 96.76 314.1C115.8 382 179.9 432 256 432V432zM176.4 160C158.7 160 144.4 174.3 144.4 192C144.4 209.7 158.7 224 176.4 224C194 224 208.4 209.7 208.4 192C208.4 174.3 194 160 176.4 160zM300.8 217.6C318.4 194.1 353.6 194.1 371.2 217.6C376.5 224.7 386.5 226.1 393.6 220.8C400.7 215.5 402.1 205.5 396.8 198.4C366.4 157.9 305.6 157.9 275.2 198.4C269.9 205.5 271.3 215.5 278.4 220.8C285.5 226.1 295.5 224.7 300.8 217.6z"],
    "face-lying": [512, 512, [], "e37e", "M256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C389.3 0 498.8 101.8 510.9 231.9C501.7 226.9 491.2 224 480 224H288C279.2 224 272 231.2 272 240C272 248.8 279.2 256 288 256H480C497.7 256 512 270.3 512 288C512 305.7 497.7 320 480 320H352C343.2 320 336 327.2 336 336C336 344.8 343.2 352 352 352H480C484.8 352 489.5 351.5 494 350.5C456.4 445.1 364 512 256 512V512zM176.4 144C158.7 144 144.4 158.3 144.4 176C144.4 193.7 158.7 208 176.4 208C194 208 208.4 193.7 208.4 176C208.4 158.3 194 144 176.4 144zM336.4 144C318.7 144 304.4 158.3 304.4 176C304.4 193.7 318.7 208 336.4 208C354 208 368.4 193.7 368.4 176C368.4 158.3 354 144 336.4 144zM188.8 393.6C200.5 378 219.1 368 239.1 368C249.1 368 257.8 369.9 265.6 373.3C273.7 376.9 283.1 373.2 286.7 365.1C290.2 356.1 286.5 347.5 278.4 343.1C266.6 338.8 253.6 336 239.1 336C208.6 336 180.7 351.1 163.2 374.4C157.9 381.4 159.3 391.5 166.4 396.8C173.5 402.1 183.5 400.7 188.8 393.6H188.8z"],
    "face-mask": [576, 512, [], "e37f", "M368 255.1H207.1C189.6 255.1 173.5 266.4 165.5 281.7L34.24 221.1C50.87 96.68 158.1 0 288 0C417.9 0 525.1 96.68 541.8 221.1L410.5 281.7C402.5 266.4 386.4 255.1 368 255.1V255.1zM155.3 203.3C162.9 195.7 192.1 176 240 176C248.8 176 256 168.8 256 160C256 151.2 248.8 144 240 144C184.6 144 146.4 166.1 132.7 180.7C126.4 186.9 126.4 197.1 132.7 203.3C138.9 209.6 149.1 209.6 155.3 203.3L155.3 203.3zM336 176C383 176 413.1 195.7 420.7 203.3C426.9 209.6 437.1 209.6 443.3 203.3C449.6 197.1 449.6 186.9 443.3 180.7C429.6 166.1 391.4 144 336 144C327.2 144 320 151.2 320 160C320 168.8 327.2 176 336 176L336 176zM416 314.3L544 256.1C543.1 302.7 531.5 346.4 509.8 384H416V314.3zM413.3 416H487.9C440.9 474.5 368.8 512 288 512C207.2 512 135.1 474.5 88.15 416H162.7C169.3 434.6 187.1 448 207.1 448H368C388.9 448 406.7 434.6 413.3 416zM159.1 384H66.25C44.49 346.4 32.02 302.7 32 256.1L159.1 314.3V384zM368 304C376.8 304 384 311.2 384 320C384 328.8 376.8 336 368 336H208C199.2 336 192 328.8 192 320C192 311.2 199.2 304 208 304H368zM368 368C376.8 368 384 375.2 384 384C384 392.8 376.8 400 368 400H208C199.2 400 192 392.8 192 384C192 375.2 199.2 368 208 368H368z"],
    "face-meh": [512, 512, [128528, "meh"], "f11a", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240zM336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176zM160 336C151.2 336 144 343.2 144 352C144 360.8 151.2 368 160 368H352C360.8 368 368 360.8 368 352C368 343.2 360.8 336 352 336H160z"],
    "face-meh-blank": [512, 512, [128566, "meh-blank"], "f5a4", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240z"],
    "face-melting": [640, 512, [129760], "e483", "M567.3 322.3C563.4 336.8 573.7 352 588.7 352H608C625.7 352 640 366.3 640 384C640 401.7 625.7 416 608 416H560C551.2 416 544 423.2 544 432C544 440.8 551.2 448 560 448H576C593.7 448 608 462.3 608 480C608 497.7 593.7 512 576 512H325.8C322.1 512.1 318.3 512.1 314.5 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H44.92C81.76 448 103.4 397.3 87.84 363.9C63.37 311.3 56.54 250.2 72.72 189.7C109.3 53.18 249.7-27.87 386.3 8.723C522.8 45.32 603.9 185.7 567.3 322.3L567.3 322.3zM247.2 219.9C264.3 224.5 281.8 214.4 286.4 197.3C290.1 180.2 280.9 162.7 263.8 158.1C246.7 153.5 229.2 163.7 224.6 180.7C220 197.8 230.2 215.4 247.2 219.9zM418.3 199.5C401.3 194.1 383.7 205.1 379.1 222.2C374.6 239.2 384.7 256.8 401.8 261.3C418.8 265.9 436.4 255.8 440.1 238.7C445.5 221.6 435.4 204.1 418.3 199.5V199.5zM213.2 299.4C209.4 291.4 199.8 288.1 191.8 291.1C183.9 295.8 180.6 305.4 184.4 313.3C199.3 343.9 229.5 380.8 282.7 395.1C335.9 409.4 380.6 392.5 408.7 373.4C416 368.5 417.1 358.5 413 351.2C408 343.9 398.1 341.1 390.8 346.9C368.1 362.3 332.9 375.4 291 364.2C249.1 352.1 225.2 324 213.2 299.4H213.2z"],
    "face-monocle": [512, 512, [], "e380", "M427.2 446.3C381.9 487.2 321.8 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 318.8 489.4 376.3 451.9 420.9C449.3 412.2 448 403.2 448 393.9V224C448 162.1 397.9 112 336 112C274.1 112 224 162.1 224 224C224 285.9 274.1 336 336 336C367.3 336 395.7 323.1 416 302.4V393.9C416 412.3 419.9 430.1 427.2 446.3V446.3zM144.4 160C126.7 160 112.4 174.3 112.4 192C112.4 209.7 126.7 224 144.4 224C162 224 176.4 209.7 176.4 192C176.4 174.3 162 160 144.4 160zM160 368C174.3 368 197.9 370.9 220.6 379.7C243.4 388.5 263.3 402.5 273.7 423.2C277.6 431.1 287.3 434.3 295.2 430.3C303.1 426.4 306.3 416.7 302.3 408.8C287.1 378.3 258.1 360.3 232.2 349.9C205.3 339.5 177.7 336 159.1 336C151.2 336 143.1 343.2 143.1 352C143.1 360.8 151.2 368 159.1 368L160 368zM305.2 89.91C313.2 83.49 323.2 80 333.5 80C342.4 80 351.1 82.64 358.5 87.59L367.1 93.31C374.5 98.21 384.4 96.23 389.3 88.88C394.2 81.52 392.2 71.59 384.9 66.69L376.3 60.97C363.6 52.51 348.7 48 333.5 48C315.9 48 298.9 53.97 285.2 64.92L262 83.51C255.1 89.03 253.1 99.1 259.5 105.1C265 112.9 275.1 114 281.1 108.5L305.2 89.91zM416 224C416 268.2 380.2 304 336 304C291.8 304 256 268.2 256 224C256 179.8 291.8 144 336 144C380.2 144 416 179.8 416 224zM320.4 256C338 256 352.4 241.7 352.4 224C352.4 206.3 338 192 320.4 192C302.7 192 288.4 206.3 288.4 224C288.4 241.7 302.7 256 320.4 256z"],
    "face-nauseated": [512, 512, [], "e381", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM367.6 208C367.6 190.3 353.3 176 335.6 176C317.1 176 303.6 190.3 303.6 208C303.6 225.7 317.1 240 335.6 240C353.3 240 367.6 225.7 367.6 208zM143.6 208C143.6 225.7 157.1 240 175.6 240C193.3 240 207.6 225.7 207.6 208C207.6 190.3 193.3 176 175.6 176C157.1 176 143.6 190.3 143.6 208zM195.3 123.3C201.6 117.1 201.6 106.9 195.3 100.7C189.1 94.44 178.9 94.44 172.7 100.7L165.3 108.1C146.5 126.9 122.2 139.4 95.85 143.8L93.37 144.2C84.65 145.7 78.76 153.9 80.22 162.6C81.67 171.3 89.91 177.2 98.63 175.8L101.1 175.4C134 169.9 164.4 154.3 187.9 130.7L195.3 123.3zM316.7 100.7C310.4 106.9 310.4 117.1 316.7 123.3L324.1 130.7C347.6 154.3 377.1 169.9 410.9 175.4L413.4 175.8C422.1 177.2 430.3 171.3 431.8 162.6C433.2 153.9 427.3 145.7 418.6 144.2L416.2 143.8C389.8 139.4 365.5 126.9 346.7 108.1L339.3 100.7C333.1 94.44 322.9 94.44 316.7 100.7zM168 282.7C160.4 278.3 150.6 280.9 146.2 288.6C141.7 296.2 144.3 305.1 151.1 310.4C166.4 318.7 175.1 334.3 175.1 352C175.1 369.7 166.4 385.3 151.1 393.6C144.3 398 141.7 407.8 146.2 415.4C150.6 423.1 160.4 425.7 168 421.3C187.5 410 201.8 390.8 206.4 368H305.6C310.2 390.8 324.5 410 343.1 421.3C351.6 425.7 361.4 423.1 365.8 415.4C370.3 407.8 367.7 398 360 393.6C345.6 385.3 336 369.7 336 352C336 334.3 345.6 318.7 360 310.4C367.7 305.1 370.3 296.2 365.8 288.6C361.4 280.9 351.6 278.3 343.1 282.7C324.5 293.1 310.2 313.2 305.6 336H206.4C201.8 313.2 187.5 293.1 168 282.7H168z"],
    "face-nose-steam": [576, 512, [], "e382", "M513.9 336C512.7 334.7 511.5 333.3 510.2 332C486.9 308.7 450.1 307.1 424.9 327.3L368.5 293.4C355.9 285.9 339.8 287.9 329.4 298.3C318.1 308.6 317 324.8 324.6 337.3L358.5 393.8C338.3 418.1 339.8 455.8 363.1 479.1C364.4 480.4 365.8 481.6 367.1 482.8C367.4 488.1 368.4 493.4 370 498.6C344.3 507.3 316.7 512 288 512C258.6 512 230.4 507 204.1 497.9C205.8 492.7 206.8 487.3 207.1 481.9C208.5 480.7 209.8 479.5 211.1 478.2C234.4 454.9 235.1 418.1 215.8 392.1L249.7 336.5C257.2 323.9 255.2 307.8 244.8 297.4C234.5 286.1 218.3 285 205.8 292.6L149.3 326.5C124.1 306.3 87.31 307.8 63.1 331.1C62.71 332.4 61.49 333.8 60.33 335.1C55.27 335.4 50.24 336.3 45.35 337.8C36.69 312.1 32 284.6 32 256C32 114.6 146.6 0 288 0C429.4 0 544 114.6 544 256C544 285.1 539.1 313 530.2 339.1C524.9 337.4 519.4 336.3 513.9 336L513.9 336zM143.1 224C135.2 224 127.1 231.2 127.1 240C127.1 248.8 135.2 256 143.1 256H239.1C248.8 256 255.1 248.8 255.1 240C255.1 231.2 248.8 224 239.1 224H143.1zM336 256H432C440.8 256 448 248.8 448 240C448 231.2 440.8 224 432 224H336C327.2 224 320 231.2 320 240C320 248.8 327.2 256 336 256zM410.9 112.8C369.7 126.6 336.7 152.7 324.7 164.7C318.4 170.9 318.4 181.1 324.7 187.3C330.9 193.6 341.1 193.6 347.3 187.3C356.6 177.1 385.5 155 421.1 143.2C429.4 140.4 433.1 131.3 431.2 122.9C428.4 114.6 419.3 110 410.9 112.8H410.9zM144.8 122.9C142 131.3 146.6 140.4 154.9 143.2C190.5 155 219.4 177.1 228.7 187.3C234.9 193.6 245.1 193.6 251.3 187.3C257.6 181.1 257.6 170.9 251.3 164.7C239.3 152.7 206.3 126.6 165.1 112.8C156.7 110 147.6 114.6 144.8 122.9zM532.8 377.3C545.3 389.8 545.3 410 532.8 422.5C530.8 424.6 528.5 426.3 526.1 427.7C540.6 446.5 539.2 473.6 521.9 490.8C504.7 508.1 477.6 509.4 458.8 494.1C457.4 497.4 455.7 499.7 453.7 501.7C441.2 514.2 420.9 514.2 408.4 501.7C402.1 496.3 399.9 489.4 399.2 482.3C399.1 481.8 399.1 481.4 399.1 480.9C398.1 479.1 399 477.2 399.2 475.4C399.6 471.9 400.6 468.5 402.2 465.2C397 464.2 392 461.9 387.8 458.3C387.1 457.8 386.4 457.1 385.8 456.5C379.8 450.5 376.6 442.7 376.4 434.8C376.3 432.4 376.5 429.1 377 427.6C378.2 421.6 381.1 415.9 385.8 411.2C390.1 406.9 395.5 404 401.1 402.7L352 320.9L433.8 369.1C435.1 364.4 437.1 359 442.3 354.7C442.8 354.2 443.3 353.7 443.8 353.2C456.4 342.2 475.6 342.6 487.6 354.7C488.2 355.3 488.9 355.1 489.4 356.7C493 360.9 495.3 365.9 496.4 371.1C501.3 368.7 506.7 367.7 512.1 367.1C514 368.1 515.9 368.4 517.9 368.8C523.4 370.2 528.6 372.1 532.8 377.3V377.3zM165.8 500.9C153.3 513.4 133.1 513.4 120.6 500.9C118.5 498.8 116.8 496.5 115.4 494.1C96.59 508.6 69.51 507.2 52.28 489.9C35.05 472.7 33.66 445.6 48.11 426.8C45.7 425.4 43.43 423.7 41.37 421.7C28.88 409.2 28.88 388.9 41.37 376.4C45.98 371.8 51.64 368.9 57.58 367.7C59.1 367.4 60.63 367.2 62.17 367.1C67.52 366.8 72.93 367.8 77.86 370.2C78.88 365 81.19 360 84.78 355.8C85.36 355.1 85.98 354.4 86.63 353.8C98.63 341.8 117.8 341.3 130.4 352.4C130.7 352.6 130.9 352.9 131.2 353.1C131.4 353.3 131.7 353.6 131.9 353.8C135.1 357.9 138.7 362.8 140.1 368C140.2 368.4 140.3 368.7 140.4 369.1L222.2 320L173.1 401.8C178.7 403.1 184.1 405.1 188.4 410.3C188.9 410.8 189.4 411.3 189.9 411.9C199.5 422.9 200.4 438.9 192.4 450.8C191.3 452.5 189.1 454.1 188.4 455.6C187.8 456.2 187.1 456.9 186.4 457.4C182.2 461 177.2 463.3 172 464.4C174.4 469.3 175.4 474.7 175.1 480.1C175 481.9 174.8 483.7 174.4 485.5C173.1 491.1 170.2 496.5 165.8 500.9V500.9zM63.1 331.1L68.01 335.2z"],
    "face-party": [640, 512, [], "e383", "M531.7 400C485.6 467.6 407.1 512 320 512C178.6 512 64 397.4 64 256C64 114.6 178.6 0 320 0C433.4 0 529.7 73.79 563.3 176H560C515.8 176 480 211.8 480 256C480 274 485.1 290.6 495.1 304H416C414.1 304 413.1 304 412.1 304.1C411.8 301.8 410.3 299.7 408.7 297.7C404.4 292.5 398.5 287.1 391.9 284.3C378.7 276.9 361.4 272 344 272C340.4 272 337.2 274.5 336.3 277.1C335.3 281.5 336.9 285.2 340.1 286.1L340.1 286.1L340.3 287.1C340.5 287.2 340.8 287.4 341.2 287.7C342 288.1 343.2 288.9 344.6 289.8C347.4 291.6 351.2 294.3 354.8 297.4C358.6 300.5 362 303.1 364.5 307.4C366.1 310.1 368 313.8 368 315.1C368 318.2 366.1 321 364.5 324.6C362 328 358.6 331.5 354.8 334.6C351.2 337.7 347.4 340.4 344.6 342.2C343.2 343.1 342 343.9 341.2 344.3C340.8 344.6 340.5 344.8 340.3 344.9L340.1 345L340.1 345C337.6 346.4 336 349.1 336 352C336 354.9 337.6 357.6 340.1 358.1L340.1 358.1L340.3 359.1C340.5 359.2 340.8 359.4 341.2 359.7C342 360.1 343.2 360.9 344.6 361.8C347.4 363.6 351.2 366.3 354.8 369.4C358.6 372.5 362 375.9 364.5 379.4C366.1 382.1 368 385.8 368 388C368 390.2 366.1 393 364.5 396.6C362 400 358.6 403.5 354.8 406.6C351.2 409.7 347.4 412.4 344.6 414.2C343.2 415.1 342 415.9 341.2 416.3C340.8 416.6 340.5 416.8 340.3 416.9L340.1 417L340.1 417C336.9 418.8 335.3 422.5 336.3 426C337.2 429.5 340.4 431.1 344 431.1C361.4 431.1 378.7 427.1 391.9 419.7C398.5 416 404.4 411.5 408.7 406.3C410.3 404.3 411.8 402.2 412.1 399.9C413.1 399.1 414.1 399.1 416 399.1L531.7 400zM297.6 236.8C304.7 231.5 306.1 221.5 300.8 214.4C270.4 173.9 209.6 173.9 179.2 214.4C173.9 221.5 175.3 231.5 182.4 236.8C189.5 242.1 199.5 240.7 204.8 233.6C222.4 210.1 257.6 210.1 275.2 233.6C280.5 240.7 290.5 242.1 297.6 236.8zM364.8 233.6C382.4 210.1 417.6 210.1 435.2 233.6C440.5 240.7 450.5 242.1 457.6 236.8C464.7 231.5 466.1 221.5 460.8 214.4C430.4 173.9 369.6 173.9 339.2 214.4C333.9 221.5 335.3 231.5 342.4 236.8C349.5 242.1 359.5 240.7 364.8 233.6zM512 256C512 229.5 533.5 208 560 208H592C618.5 208 640 229.5 640 256V320C640 346.5 618.5 368 592 368H400C391.2 368 384 360.8 384 352C384 343.2 391.2 336 400 336H592C600.8 336 608 328.8 608 320V256C608 247.2 600.8 240 592 240H560C551.2 240 544 247.2 544 256C544 264.8 551.2 272 560 272H576C584.8 272 592 279.2 592 288C592 296.8 584.8 304 576 304H560C533.5 304 512 282.5 512 256zM51.26 152.2L31.26 100.3C46.62 71.85 66.04 45.97 88.75 23.39L132 37.81C96.46 68.47 68.47 107.7 51.26 152.2zM55.14 12.18C40.89 27.64 27.99 44.36 16.6 62.14L1.067 21.74C-1.156 15.97 .1552 9.423 4.433 4.947C8.71 .4704 15.19-1.136 21.06 .8218L55.14 12.18z"],
    "face-pensive": [512, 512, [], "e384", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM208 384C199.2 384 192 391.2 192 400C192 408.8 199.2 416 208 416H304C312.8 416 320 408.8 320 400C320 391.2 312.8 384 304 384H208zM387.2 270.4C369.6 293.9 334.4 293.9 316.8 270.4C311.5 263.3 301.5 261.9 294.4 267.2C287.3 272.5 285.9 282.5 291.2 289.6C321.6 330.1 382.4 330.1 412.8 289.6C418.1 282.5 416.7 272.5 409.6 267.2C402.5 261.9 392.5 263.3 387.2 270.4zM102.4 267.2C95.33 272.5 93.9 282.5 99.2 289.6C129.6 330.1 190.4 330.1 220.8 289.6C226.1 282.5 224.7 272.5 217.6 267.2C210.5 261.9 200.5 263.3 195.2 270.4C177.6 293.9 142.4 293.9 124.8 270.4C119.5 263.3 109.5 261.9 102.4 267.2V267.2zM87.16 222.3L110 210.9C128.6 201.6 145 188.3 158.1 172L172.5 153.1C178 147.1 176.9 137 169.1 131.5C163.1 125.1 153 127.1 147.5 134L133.1 152.1C122.9 164.7 110.2 175 95.7 182.3L72.84 193.7C64.94 197.6 61.74 207.3 65.69 215.2C69.64 223.1 79.25 226.3 87.16 222.3V222.3zM416.3 182.3C401.8 175 389.1 164.7 378.9 152.1L364.5 134C358.1 127.1 348.9 125.1 342 131.5C335.1 137 333.1 147.1 339.5 153.1L353.9 172C366.1 188.3 383.4 201.6 401.1 210.9L424.8 222.3C432.7 226.3 442.4 223.1 446.3 215.2C450.3 207.3 447.1 197.6 439.2 193.7L416.3 182.3z"],
    "face-persevering": [512, 512, [], "e385", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM316.1 410.7C322 417.3 332.1 417.8 338.7 411.9C345.3 405.1 345.8 395.9 339.9 389.3C323.8 371.4 295.7 352 255.1 352C216.3 352 188.2 371.4 172.1 389.3C166.2 395.9 166.7 405.1 173.3 411.9C179.9 417.8 189.1 417.3 195.9 410.7C207.6 397.7 227.5 384 255.1 384C284.5 384 304.4 397.7 316.1 410.7H316.1zM188.7 100.7L181.3 108.1C162.5 126.9 138.2 139.4 111.9 143.8L109.4 144.2C100.7 145.7 94.77 153.9 96.22 162.6C97.67 171.3 105.9 177.2 114.6 175.8L117.1 175.4C150 169.9 180.4 154.3 203.9 130.7L211.3 123.3C217.6 117.1 217.6 106.9 211.3 100.7C205.1 94.44 194.9 94.44 188.7 100.7V100.7zM308.1 130.7C331.6 154.3 361.1 169.9 394.9 175.4L397.4 175.8C406.1 177.2 414.3 171.3 415.8 162.6C417.2 153.9 411.3 145.7 402.6 144.2L400.2 143.8C373.8 139.4 349.5 126.9 330.7 108.1L323.3 100.7C317.1 94.44 306.9 94.44 300.7 100.7C294.4 106.9 294.4 117.1 300.7 123.3L308.1 130.7zM133.5 210.7C125.6 206.4 116 212.2 116 221.1C116 223.9 116.1 226.6 118.8 228.8L154.8 272L118.8 315.2C116.1 317.4 116 320.1 116 322.9C116 331.8 125.6 337.6 133.5 333.3L223.4 285.4C234.1 279.7 234.1 264.3 223.4 258.6L133.5 210.7zM396 221.1C396 212.2 386.4 206.4 378.5 210.7L288.6 258.6C277.9 264.3 277.9 279.7 288.6 285.4L378.5 333.3C386.4 337.6 396 331.8 396 322.9C396 320.1 395 317.4 393.2 315.2L357.2 272L393.2 228.8C395 226.6 396 223.9 396 221.1V221.1z"],
    "face-pleading": [512, 512, [], "e386", "M128 232C145.7 232 160 217.7 160 200C160 194.2 158.5 188.8 155.8 184.2C157.2 184.1 158.6 184 160 184C190.9 184 216 209.1 216 240C216 270.9 190.9 296 160 296C129.1 296 104 270.9 104 240C104 234.3 104.8 228.8 106.4 223.6C112.1 228.8 119.7 232 128 232zM347.8 184.2C349.2 184.1 350.6 184 352 184C382.9 184 408 209.1 408 240C408 270.9 382.9 296 352 296C321.1 296 296 270.9 296 240C296 234.3 296.8 228.8 298.4 223.6C304.1 228.8 311.7 232 320 232C337.7 232 352 217.7 352 200C352 194.2 350.5 188.8 347.8 184.2zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM303.9 405.3C294.7 395.1 278.7 384 256 384C233.3 384 217.3 395.1 208.1 405.3C202.2 411.9 202.7 421.1 209.3 427.9C215.9 433.8 225.1 433.3 231.9 426.7C236.6 421.4 244.6 416 255.1 416C267.4 416 275.4 421.4 280.1 426.7C286 433.3 296.1 433.8 302.7 427.9C309.3 421.1 309.8 411.9 303.9 405.3H303.9zM168 160.4C178.1 149.6 185.7 136.3 189.9 121.5L191.4 116.4C193.8 107.9 188.9 99.04 180.4 96.62C171.9 94.19 163 99.11 160.6 107.6L159.1 112.8C152.1 137.4 130.1 155.5 105.5 158.7L94.02 160.1C85.25 161.2 79.03 169.2 80.12 177.1C81.14 186.1 88.04 192 95.99 192C85.95 205.4 80 221.1 80 240C80 284.2 115.8 320 160 320C204.2 320 240 284.2 240 240C240 198.5 208.5 164.4 168 160.4zM416 192C423.1 192 430.9 186.1 431.9 177.1C432.1 169.2 426.8 161.2 417.1 160.1L406.5 158.7C381 155.5 359.9 137.4 352.9 112.8L351.4 107.6C348.1 99.11 340.1 94.19 331.6 96.62C323.1 99.04 318.2 107.9 320.6 116.4L322.1 121.5C326.3 136.3 333.9 149.6 343.1 160.4C303.5 164.4 272 198.5 272 240C272 284.2 307.8 320 352 320C396.2 320 432 284.2 432 240C432 221.1 426 205.4 416 192z"],
    "face-pouting": [512, 512, [], "e387", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM161.3 382.1C155.9 394.4 170 403.7 182.4 398.5C204.8 389 229.7 383.7 256.1 383.7C282.4 383.7 307.3 389 329.7 398.5C342.1 403.7 356.2 394.4 350.8 382.1C334.9 345.5 298.4 319.1 256.1 319.1C213.7 319.1 177.2 345.5 161.3 382.1V382.1zM176.4 272C194 272 208.4 257.7 208.4 240C208.4 238.5 208.3 237 208.1 235.6L218.9 239.2C227.3 241.1 236.4 237.4 239.2 229.1C241.1 220.7 237.4 211.6 229.1 208.8L133.1 176.8C124.7 174 115.6 178.6 112.8 186.9C110 195.3 114.6 204.4 122.9 207.2L153.7 217.4C147.9 223.2 144.4 231.2 144.4 240C144.4 257.7 158.7 272 176.4 272zM358.9 217.2L389.1 207.2C397.4 204.4 401.1 195.3 399.2 186.9C396.4 178.6 387.3 174 378.9 176.8L282.9 208.8C274.6 211.6 270 220.7 272.8 229.1C275.6 237.4 284.7 241.1 293.1 239.2L304.7 235.3C304.5 236.8 304.4 238.4 304.4 240C304.4 257.7 318.7 272 336.4 272C354 272 368.4 257.7 368.4 240C368.4 231.1 364.7 223 358.9 217.2H358.9z"],
    "face-raised-eyebrow": [512, 512, [], "e388", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM176.4 208C158.7 208 144.4 222.3 144.4 240C144.4 257.7 158.7 272 176.4 272C194 272 208.4 257.7 208.4 240C208.4 222.3 194 208 176.4 208zM336.4 272C354 272 368.4 257.7 368.4 240C368.4 222.3 354 208 336.4 208C318.7 208 304.4 222.3 304.4 240C304.4 257.7 318.7 272 336.4 272zM160 368H352C360.8 368 368 360.8 368 352C368 343.2 360.8 336 352 336H160C151.2 336 144 343.2 144 352C144 360.8 151.2 368 160 368zM328.8 141.8C339.5 131.1 357.4 132.9 365.8 145.5L370.7 152.9C375.6 160.2 385.5 162.2 392.9 157.3C400.2 152.4 402.2 142.5 397.3 135.1L392.4 127.7C372.8 98.32 331.2 94.2 306.2 119.2L276.7 148.7C270.4 154.9 270.4 165.1 276.7 171.3C282.9 177.6 293.1 177.6 299.3 171.3L328.8 141.8zM128 144C119.2 144 112 151.2 112 160C112 168.8 119.2 176 128 176H192C200.8 176 208 168.8 208 160C208 151.2 200.8 144 192 144H128z"],
    "face-relieved": [512, 512, [], "e389", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM187.3 356.7C181.1 350.4 170.9 350.4 164.7 356.7C158.4 362.9 158.4 373.1 164.7 379.3C182.6 397.2 213.1 416 255.1 416C298.9 416 329.4 397.2 347.3 379.3C353.6 373.1 353.6 362.9 347.3 356.7C341.1 350.4 330.9 350.4 324.7 356.7C311.6 369.7 288.9 384 255.1 384C223.1 384 200.4 369.7 187.3 356.7H187.3zM387.2 238.4C369.6 261.9 334.4 261.9 316.8 238.4C311.5 231.3 301.5 229.9 294.4 235.2C287.3 240.5 285.9 250.5 291.2 257.6C321.6 298.1 382.4 298.1 412.8 257.6C418.1 250.5 416.7 240.5 409.6 235.2C402.5 229.9 392.5 231.3 387.2 238.4zM102.4 235.2C95.33 240.5 93.9 250.5 99.2 257.6C129.6 298.1 190.4 298.1 220.8 257.6C226.1 250.5 224.7 240.5 217.6 235.2C210.5 229.9 200.5 231.3 195.2 238.4C177.6 261.9 142.4 261.9 124.8 238.4C119.5 231.3 109.5 229.9 102.4 235.2V235.2zM186.9 64.82L180.6 66.93C150.2 77.06 124.1 97.02 106.3 123.7L98.69 135.1C93.79 142.5 95.77 152.4 103.1 157.3C110.5 162.2 120.4 160.2 125.3 152.9L132.1 141.4C146.8 120.7 167.1 105.2 190.7 97.29L197.1 95.18C205.4 92.38 209.1 83.32 207.2 74.94C204.4 66.56 195.3 62.03 186.9 64.82L186.9 64.82zM321.3 97.29C344.9 105.2 365.2 120.7 379 141.4L386.7 152.9C391.6 160.2 401.5 162.2 408.9 157.3C416.2 152.4 418.2 142.5 413.3 135.1L405.7 123.7C387.9 97.02 361.8 77.06 331.4 66.93L325.1 64.82C316.7 62.03 307.6 66.56 304.8 74.94C302 83.33 306.6 92.39 314.9 95.18L321.3 97.29z"],
    "face-rolling-eyes": [512, 512, [128580, "meh-rolling-eyes"], "f5a5", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM192 368C183.2 368 176 375.2 176 384C176 392.8 183.2 400 192 400H320C328.8 400 336 392.8 336 384C336 375.2 328.8 368 320 368H192zM186.2 165.6C189.8 170.8 192 177.1 192 184C192 201.7 177.7 216 160 216C142.3 216 128 201.7 128 184C128 177.1 130.2 170.8 133.8 165.6C111.5 175.6 96 197.1 96 224C96 259.3 124.7 288 160 288C195.3 288 224 259.3 224 224C224 197.1 208.5 175.6 186.2 165.6zM352 288C387.3 288 416 259.3 416 224C416 197.1 400.5 175.6 378.2 165.6C381.8 170.8 384 177.1 384 184C384 201.7 369.7 216 352 216C334.3 216 320 201.7 320 184C320 177.1 322.2 170.8 325.8 165.6C303.5 175.6 288 197.1 288 224C288 259.3 316.7 288 352 288z"],
    "face-sad-cry": [512, 512, [128557, "sad-cry"], "f5b3", "M352 493.4C322.4 505.4 289.9 512 256 512C222.1 512 189.6 505.4 160 493.4V288C160 279.2 152.8 272 144 272C135.2 272 128 279.2 128 288V477.8C51.48 433.5 0 350.8 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 350.8 460.5 433.5 384 477.8V288C384 279.2 376.8 272 368 272C359.2 272 352 279.2 352 288V493.4zM217.6 236.8C224.7 231.5 226.1 221.5 220.8 214.4C190.4 173.9 129.6 173.9 99.2 214.4C93.9 221.5 95.33 231.5 102.4 236.8C109.5 242.1 119.5 240.7 124.8 233.6C142.4 210.1 177.6 210.1 195.2 233.6C200.5 240.7 210.5 242.1 217.6 236.8zM316.8 233.6C334.4 210.1 369.6 210.1 387.2 233.6C392.5 240.7 402.5 242.1 409.6 236.8C416.7 231.5 418.1 221.5 412.8 214.4C382.4 173.9 321.6 173.9 291.2 214.4C285.9 221.5 287.3 231.5 294.4 236.8C301.5 242.1 311.5 240.7 316.8 233.6zM208 368C208 394.5 229.5 416 256 416C282.5 416 304 394.5 304 368V336C304 309.5 282.5 288 256 288C229.5 288 208 309.5 208 336V368z"],
    "face-sad-sweat": [576, 512, [], "e38a", "M99.62 429.3C116.9 414.1 128 393.5 128 369C128 357.6 124.2 346.6 120.9 338.5C117.2 329.8 112.5 320.9 107.7 312.8C98.1 296.7 86.98 281.3 80.01 272.1C68.39 256.5 48.28 252.2 32.02 259.3C32.01 258.2 32 257.1 32 256C32 114.6 146.6 0 288 0C429.4 0 544 114.6 544 256C544 397.4 429.4 512 288 512C213.5 512 146.4 480.2 99.62 429.3V429.3zM371.9 389.3C355.8 371.4 327.7 352 288 352C248.3 352 220.2 371.4 204.1 389.3C198.2 395.9 198.7 405.1 205.3 411.9C211.9 417.8 221.1 417.3 227.9 410.7C239.6 397.7 259.5 384 287.1 384C316.5 384 336.4 397.7 348.1 410.7C354 417.3 364.1 417.8 370.7 411.9C377.3 405.1 377.8 395.9 371.9 389.3H371.9zM399.6 271.1C399.6 254.3 385.3 239.1 367.6 239.1C349.1 239.1 335.6 254.3 335.6 271.1C335.6 289.7 349.1 303.1 367.6 303.1C385.3 303.1 399.6 289.7 399.6 271.1zM175.6 271.1C175.6 289.7 189.1 303.1 207.6 303.1C225.3 303.1 239.6 289.7 239.6 271.1C239.6 254.3 225.3 239.1 207.6 239.1C189.1 239.1 175.6 254.3 175.6 271.1zM227.3 171.3C233.6 165.1 233.6 154.9 227.3 148.7C221.1 142.4 210.9 142.4 204.7 148.7L197.3 156.1C178.5 174.9 154.2 187.4 127.9 191.8L125.4 192.2C116.7 193.7 110.8 201.9 112.2 210.6C113.7 219.3 121.9 225.2 130.6 223.8L133.1 223.4C166 217.9 196.4 202.3 219.9 178.7L227.3 171.3zM348.7 148.7C342.4 154.9 342.4 165.1 348.7 171.3L356.1 178.7C379.6 202.3 409.1 217.9 442.9 223.4L445.4 223.8C454.1 225.2 462.3 219.3 463.8 210.6C465.2 201.9 459.3 193.7 450.6 192.2L448.2 191.8C421.8 187.4 397.5 174.9 378.7 156.1L371.3 148.7C365.1 142.4 354.9 142.4 348.7 148.7zM48 416C21.54 416 0 395 0 369C0 351.7 21.44 319.1 35.66 299.4C37.84 296.3 39.86 293.6 41.6 291.3C44.8 286.9 51.2 286.9 54.4 291.3C67.57 308.6 95.1 349 95.1 369C95.1 383.2 89.58 395.9 79.45 404.5C71.02 411.7 60.02 416 47.1 416H48z"],
    "face-sad-tear": [512, 512, [128546, "sad-tear"], "f5b4", "M256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM256 352C290.9 352 323.2 367.8 348.3 394.9C354.3 401.4 364.4 401.7 370.9 395.7C377.4 389.7 377.7 379.6 371.7 373.1C341.6 340.5 301 320 256 320C247.2 320 240 327.2 240 336C240 344.8 247.2 352 256 352H256zM208 369C208 349 179.6 308.6 166.4 291.3C163.2 286.9 156.8 286.9 153.6 291.3C140.6 308.6 112 349 112 369C112 395 133.5 416 160 416C186.5 416 208 395 208 369H208zM303.6 208C303.6 225.7 317.1 240 335.6 240C353.3 240 367.6 225.7 367.6 208C367.6 190.3 353.3 176 335.6 176C317.1 176 303.6 190.3 303.6 208zM207.6 208C207.6 190.3 193.3 176 175.6 176C157.1 176 143.6 190.3 143.6 208C143.6 225.7 157.1 240 175.6 240C193.3 240 207.6 225.7 207.6 208z"],
    "face-saluting": [640, 512, [129761], "e484", "M258.1 58.48L127.1 146.8V185.8L173.2 152.1C177.7 149.7 182.7 147.8 187.8 147.1C191.5 146.6 195.1 146.8 198.7 147.5C206.1 149.1 213.1 153.4 217.9 160C228.3 174.3 225.2 194.3 210.9 204.7L128.5 264.6C123.5 268.2 118.1 271.2 112.6 273.6C112 273.8 111.5 274 111 274.2C110.7 274.3 110.4 274.5 110 274.6C105.8 276.2 101.4 277.5 96.96 278.4C74.16 282.8 49.88 277.3 30.98 261.9L29.49 260.7C-12.06 226.9-9.257 162.5 35.09 132.5L222.2 5.523C236.8-4.399 256.7-.5872 266.6 14.04C266.7 14.18 266.8 14.33 266.9 14.48C266.9 14.48 266.9 14.48 266.9 14.48C276.5 29.06 272.6 48.66 258.1 58.48L258.1 58.48zM607.1 256C607.1 397.4 493.4 512 351.1 512C229.1 512 126.5 425.5 101.7 310C117.8 307.1 133.4 300.6 147.3 290.5L229.7 230.6C234.5 227.1 238.7 223.1 242.2 218.6C246.6 231.1 258.4 240 272.4 240C290 240 304.4 225.7 304.4 208C304.4 190.3 290 176 272.4 176C266.4 176 260.8 177.6 256 180.5C256.4 166.9 252.4 153.1 243.8 141.2C237.8 132.9 230.1 126.4 221.5 121.1L276.1 84.96C302.2 67.21 311.1 33.47 298.5 5.608C315.7 1.933 333.6 0 351.1 0C493.4 0 607.1 114.6 607.1 256H607.1zM257.4 341C250.2 335.9 240.2 337.5 235 344.6C229.9 351.8 231.5 361.8 238.6 366.1C261.4 383.4 299.3 400 351.1 400C404.7 400 442.6 383.4 465.4 366.1C472.5 361.8 474.1 351.8 468.1 344.6C463.8 337.5 453.8 335.9 446.6 341C429.2 353.6 397.8 368 351.1 368C306.2 368 274.8 353.6 257.4 341H257.4zM432.4 240C450 240 464.4 225.7 464.4 208C464.4 190.3 450 176 432.4 176C414.7 176 400.4 190.3 400.4 208C400.4 225.7 414.7 240 432.4 240z"],
    "face-scream": [640, 512, [], "e38b", "M516.2 305.5C458.6 353.5 428.4 423.5 418.2 492.5C387.1 505.1 354.8 512 320 512C285.2 512 252.1 505.1 221.9 492.5C211.7 423.5 181.4 353.5 123.9 305.5C107.8 292.1 86.67 286 66.05 288.6C64.7 277.9 64 267 64 256C64 114.6 178.6 0 320 0C461.4 0 576 114.6 576 256C576 267 575.3 277.9 573.1 288.5C553.3 286.1 532.3 292.1 516.2 305.5H516.2zM320 320C293.5 320 272 341.5 272 368V400C272 426.5 293.5 448 320 448C346.5 448 368 426.5 368 400V368C368 341.5 346.5 320 320 320zM264.7 149.3C237.5 134.4 197.1 152.2 174.6 189C152.1 225.9 156 267.8 183.3 282.7C210.5 297.6 250.9 279.8 273.4 242.1C295.9 206.1 291.1 164.2 264.7 149.3zM465.4 189C442.9 152.2 402.5 134.4 375.3 149.3C348 164.2 344.1 206.1 366.6 242.1C389.1 279.8 429.5 297.6 456.7 282.7C483.1 267.8 487.9 225.9 465.4 189zM192 512L82.29 511.1C82.73 461.5 65.56 426.2 39.12 386.2C25.99 366.5 31.53 339.1 51.55 326.1C67.97 316.4 89.12 318.2 103.4 330.1C157.2 374.1 185 443.6 192 512L192 512zM600.9 386.2C574.5 426.2 557.3 461.5 557.8 511.1L448 512C455 443.6 482.8 374.1 536.7 330.1C550.9 318.2 572.1 316.4 588.5 326.1C608.5 339.1 614.1 366.5 600.9 386.3L600.9 386.2z"],
    "face-shush": [512, 512, [], "e38c", "M256 0C397.4 0 512 114.6 512 256C512 338.2 473.2 411.4 412.1 458.3C420.3 436.9 414.2 412.3 395.8 396.1C382.3 385.7 365 381.9 348.1 385.1C343.3 363.9 329.9 345.9 312 334.2V275.9C326.8 269 338.6 260.1 347.3 251.3C353.6 245.1 353.6 234.9 347.3 228.7C341.1 222.4 330.9 222.4 324.7 228.7C321 232.4 316.6 236.1 311.4 239.6C307.3 212.7 284.1 192 256 192C227.9 192 204.7 212.7 200.6 239.6C195.4 236.1 190.1 232.4 187.3 228.7C181.1 222.4 170.9 222.4 164.7 228.7C158.4 234.9 158.4 245.1 164.7 251.3C173.4 260.1 185.2 269 200 275.9V326C167.2 338.8 144 370.7 144 408V456C144 467.8 146.3 479.1 150.5 489.3C61.76 449.1 0 359.8 0 256C0 114.6 114.6 .0003 256 .0003L256 0zM176.4 160C194 160 208.4 145.7 208.4 128C208.4 110.3 194 96 176.4 96C158.7 96 144.4 110.3 144.4 128C144.4 145.7 158.7 160 176.4 160zM336.4 96C318.7 96 304.4 110.3 304.4 128C304.4 145.7 318.7 160 336.4 160C354 160 368.4 145.7 368.4 128C368.4 110.3 354 96 336.4 96zM280 320H232V248C232 234.7 242.7 224 256 224C269.3 224 280 234.7 280 248V320zM224 419.5L287.6 464H297.5C304.6 464 311.4 460.8 315.1 455.4L341.6 424.6C350 414.5 365.2 413.1 375.4 421.6C385.5 430 386.9 445.2 378.4 455.4L352.8 486.1C339.2 502.5 318.9 512 297.5 512H232C201.1 512 176 486.9 176 456V408C176 377.1 201.1 352 232 352H264C294.9 352 320 377.1 320 408V416C320 429.3 309.3 440 296 440C282.7 440 272 429.3 272 416V408C272 403.6 268.4 400 264 400H232C227.6 400 224 403.6 224 408V419.5z"],
    "face-sleeping": [512, 512, [], "e38d", "M256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C304.7 0 350.2 13.58 388.9 37.16C390.8 41.11 393.3 44.75 396.2 48C383.1 61.68 380.6 81.26 387.7 98.37C395.1 116.3 412.6 127.1 432 127.1H477.8C499.5 165.7 512 209.4 512 255.1C512 397.4 397.4 512 255.1 512L256 512zM297.4 96L260.7 132.7C256.1 137.3 254.7 144.1 257.2 150.1C259.7 156.1 265.5 160 272 160H336C344.8 160 352 152.8 352 144C352 135.2 344.8 128 336 128H310.6L347.3 91.31C351.9 86.74 353.3 79.86 350.8 73.88C348.3 67.9 342.5 64 336 64H272C263.2 64 256 71.16 256 80C256 88.84 263.2 96 272 96H297.4zM256 344C233.9 344 216 361.9 216 384C216 406.1 233.9 424 256 424C278.1 424 296 406.1 296 384C296 361.9 278.1 344 256 344zM387.2 238.4C369.6 261.9 334.4 261.9 316.8 238.4C311.5 231.3 301.5 229.9 294.4 235.2C287.3 240.5 285.9 250.5 291.2 257.6C321.6 298.1 382.4 298.1 412.8 257.6C418.1 250.5 416.7 240.5 409.6 235.2C402.5 229.9 392.5 231.3 387.2 238.4zM102.4 235.2C95.33 240.5 93.9 250.5 99.2 257.6C129.6 298.1 190.4 298.1 220.8 257.6C226.1 250.5 224.7 240.5 217.6 235.2C210.5 229.9 200.5 231.3 195.2 238.4C177.6 261.9 142.4 261.9 124.8 238.4C119.5 231.3 109.5 229.9 102.4 235.2V235.2zM432 0H496C502.5 0 508.3 3.898 510.8 9.877C513.3 15.86 511.9 22.74 507.3 27.31L470.6 64H496C504.8 64 512 71.16 512 80C512 88.84 504.8 96 496 96H432C425.5 96 419.7 92.1 417.2 86.12C414.7 80.14 416.1 73.26 420.7 68.69L457.4 32H432C423.2 32 416 24.84 416 16C416 7.164 423.2 .0003 432 .0003V0z"],
    "face-sleepy": [512, 512, [], "e38e", "M385.1 477.1C347.2 499.3 303.1 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 292.1 504.2 328.1 490 359.9C482.7 353.6 474.1 348.1 467.4 343.1C429.6 318.7 383.6 304 352 304C336.7 304 323.5 314.9 320.6 329.9C317.7 345 325.9 360 340.1 365.7C361.1 374.1 371.7 389.2 377.5 407.4C383.8 426.8 384 447.7 384 464C384 468.5 384.4 472.9 385.1 477.1V477.1zM175.1 389.5C169.2 400.6 181.1 410.2 194.3 405.9C213.2 399.4 234.1 395.8 256 395.8C278 395.8 298.9 399.4 317.8 405.9C330.1 410.2 342.9 400.6 336.1 389.5C320.1 364.8 290.8 347.1 256 347.1C221.3 347.1 191.1 364.8 175.1 389.5V389.5zM294.4 243.2C287.3 248.5 285.9 258.5 291.2 265.6C321.6 306.1 382.4 306.1 412.8 265.6C418.1 258.5 416.7 248.5 409.6 243.2C402.5 237.9 392.5 239.3 387.2 246.4C369.6 269.9 334.4 269.9 316.8 246.4C311.5 239.3 301.5 237.9 294.4 243.2V243.2zM195.2 246.4C177.6 269.9 142.4 269.9 124.8 246.4C119.5 239.3 109.5 237.9 102.4 243.2C95.33 248.5 93.9 258.5 99.2 265.6C129.6 306.1 190.4 306.1 220.8 265.6C226.1 258.5 224.7 248.5 217.6 243.2C210.5 237.9 200.5 239.3 195.2 246.4zM464 512C437.5 512 416 490.5 416 464C416 432 416 361.6 352 336C400 336 512 384 512 464C512 490.5 490.5 512 464 512z"],
    "face-smile": [512, 512, [128578, "smile"], "f118", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM164.1 325.5C158.3 318.8 148.2 318.1 141.5 323.9C134.8 329.7 134.1 339.8 139.9 346.5C162.1 372.1 200.9 400 255.1 400C311.1 400 349.8 372.1 372.1 346.5C377.9 339.8 377.2 329.7 370.5 323.9C363.8 318.1 353.7 318.8 347.9 325.5C329.9 346.2 299.4 368 255.1 368C212.6 368 182 346.2 164.1 325.5H164.1zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240z"],
    "face-smile-beam": [512, 512, [128522, "smile-beam"], "f5b8", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM164.1 325.5C158.3 318.8 148.2 318.1 141.5 323.9C134.8 329.7 134.1 339.8 139.9 346.5C162.1 372.1 200.9 400 255.1 400C311.1 400 349.8 372.1 372.1 346.5C377.9 339.8 377.2 329.7 370.5 323.9C363.8 318.1 353.7 318.8 347.9 325.5C329.9 346.2 299.4 368 255.1 368C212.6 368 182 346.2 164.1 325.5H164.1zM226.5 231.6C229.8 230.5 232 227.4 232 224C232 206.1 225.3 188.4 215.4 175.2C205.6 162.2 191.5 152 176 152C160.5 152 146.4 162.2 136.6 175.2C126.7 188.4 120 206.1 120 224C120 227.4 122.2 230.5 125.5 231.6C128.7 232.7 132.3 231.6 134.4 228.8L134.4 228.8L134.6 228.5C134.8 228.3 134.1 228 135.3 227.6C135.1 226.8 136.9 225.7 138.1 224.3C140.6 221.4 144.1 217.7 148.3 213.1C157.1 206.2 167.2 200 176 200C184.8 200 194.9 206.2 203.7 213.1C207.9 217.7 211.4 221.4 213.9 224.3C215.1 225.7 216 226.8 216.7 227.6C217 228 217.2 228.3 217.4 228.5L217.6 228.8L217.6 228.8C219.7 231.6 223.3 232.7 226.5 231.6V231.6zM377.6 228.8C379.7 231.6 383.3 232.7 386.5 231.6C389.8 230.5 392 227.4 392 224C392 206.1 385.3 188.4 375.4 175.2C365.6 162.2 351.5 152 336 152C320.5 152 306.4 162.2 296.6 175.2C286.7 188.4 280 206.1 280 224C280 227.4 282.2 230.5 285.5 231.6C288.7 232.7 292.3 231.6 294.4 228.8L294.4 228.8L294.6 228.5C294.8 228.3 294.1 228 295.3 227.6C295.1 226.8 296.9 225.7 298.1 224.3C300.6 221.4 304.1 217.7 308.3 213.1C317.1 206.2 327.2 200 336 200C344.8 200 354.9 206.2 363.7 213.1C367.9 217.7 371.4 221.4 373.9 224.3C375.1 225.7 376 226.8 376.7 227.6C377 228 377.2 228.3 377.4 228.5L377.6 228.8L377.6 228.8z"],
    "face-smile-halo": [512, 512, [], "e38f", "M512 80C512 124.2 397.4 160 256 160C114.6 160 0 124.2 0 80C0 35.82 114.6 0 256 0C397.4 0 512 35.82 512 80zM256 48C149.1 48 64 62.33 64 80C64 97.67 149.1 112 256 112C362 112 448 97.67 448 80C448 62.33 362 48 256 48zM16 272C16 230.1 26.73 190.7 45.58 156.5C98.14 178.3 172.1 192 256 192C339 192 413.9 178.3 466.4 156.5C485.3 190.7 496 230.1 496 272C496 404.5 388.5 512 256 512C123.5 512 16 404.5 16 272zM164.1 357.5C158.3 350.8 148.2 350.1 141.5 355.9C134.8 361.7 134.1 371.8 139.9 378.5C162.1 404.1 200.9 432 255.1 432C311.1 432 349.8 404.1 372.1 378.5C377.9 371.8 377.2 361.7 370.5 355.9C363.8 350.1 353.7 350.8 347.9 357.5C329.9 378.2 299.4 400 255.1 400C212.6 400 182 378.2 164.1 357.5H164.1zM226.5 303.6C229.8 302.5 232 299.4 232 296C232 278.1 225.3 260.4 215.4 247.2C205.6 234.2 191.5 224 176 224C160.5 224 146.4 234.2 136.6 247.2C126.7 260.4 120 278.1 120 296C120 299.4 122.2 302.5 125.5 303.6C128.7 304.7 132.3 303.6 134.4 300.8L134.4 300.8L134.6 300.5C134.8 300.3 134.1 300 135.3 299.6C135.1 298.8 136.9 297.7 138.1 296.3C140.6 293.4 144.1 289.7 148.3 285.1C157.1 278.2 167.2 272 176 272C184.8 272 194.9 278.2 203.7 285.1C207.9 289.7 211.4 293.4 213.9 296.3C215.1 297.7 216 298.8 216.7 299.6C217 300 217.2 300.3 217.4 300.5L217.6 300.8L217.6 300.8C219.7 303.6 223.3 304.7 226.5 303.6V303.6zM377.6 300.8C379.7 303.6 383.3 304.7 386.5 303.6C389.8 302.5 392 299.4 392 296C392 278.1 385.3 260.4 375.4 247.2C365.6 234.2 351.5 224 336 224C320.5 224 306.4 234.2 296.6 247.2C286.7 260.4 280 278.1 280 296C280 299.4 282.2 302.5 285.5 303.6C288.7 304.7 292.3 303.6 294.4 300.8L294.4 300.8L294.6 300.5C294.8 300.3 294.1 300 295.3 299.6C295.1 298.8 296.9 297.7 298.1 296.3C300.6 293.4 304.1 289.7 308.3 285.1C317.1 278.2 327.2 272 336 272C344.8 272 354.9 278.2 363.7 285.1C367.9 289.7 371.4 293.4 373.9 296.3C375.1 297.7 376 298.8 376.7 299.6C377 300 377.2 300.3 377.4 300.5L377.6 300.8L377.6 300.8z"],
    "face-smile-hearts": [640, 512, [], "e390", "M448.2 34.34C446.9 54.04 453.7 74.18 468.7 89.25L524.2 145.1C533.4 154.3 545.3 159.3 557.4 159.9C569.4 189.6 576 222 576 256C576 293.4 567.1 329 553.5 361.1C526.5 345.8 491.6 349.8 468.7 372.9C442.8 398.9 441.2 439.9 463.8 467.8C422.8 495.7 373.3 512 320 512C258.7 512 202.4 490.4 158.3 454.4L171.3 441.3C198.9 413.6 198.9 368.7 171.3 340.9C146.5 315.1 107.7 313.4 80.04 333.3C78.34 332 76.59 330.9 74.81 329.8C67.78 306.5 64 281.7 64 256C64 114.6 178.6 .0006 320 .0006C366.7 .0006 410.5 12.5 448.2 34.34V34.34zM203.9 346.5C226.2 372.1 264.9 400 320 400C375.1 400 413.8 372.1 436.1 346.5C441.9 339.8 441.2 329.7 434.5 323.9C427.8 318.1 417.7 318.8 411.9 325.5C393.1 346.2 363.4 368 320 368C276.6 368 246 346.2 228.1 325.5C222.3 318.8 212.2 318.1 205.5 323.9C198.8 329.7 198.1 339.8 203.9 346.5H203.9zM204.8 233.6C222.4 210.1 257.6 210.1 275.2 233.6C280.5 240.7 290.5 242.1 297.6 236.8C304.7 231.5 306.1 221.5 300.8 214.4C270.4 173.9 209.6 173.9 179.2 214.4C173.9 221.5 175.3 231.5 182.4 236.8C189.5 242.1 199.5 240.7 204.8 233.6zM457.6 236.8C464.7 231.5 466.1 221.5 460.8 214.4C430.4 173.9 369.6 173.9 339.2 214.4C333.9 221.5 335.3 231.5 342.4 236.8C349.5 242.1 359.5 240.7 364.8 233.6C382.4 210.1 417.6 210.1 435.2 233.6C440.5 240.7 450.5 242.1 457.6 236.8zM573.7 11.5C588.9-3.757 613.5-3.757 628.6 11.5C643.8 26.76 643.8 51.49 628.6 66.75L573.2 122.5C565.9 129.8 554.1 129.8 546.9 122.5L491.4 66.69C476.2 51.43 476.2 26.7 491.4 11.44C506.5-3.814 531.1-3.814 546.3 11.44L560 25.27L573.7 11.5zM628.6 450.7L573.2 506.5C565.9 513.8 554.1 513.8 546.9 506.5L491.4 450.7C476.2 435.4 476.2 410.7 491.4 395.4C506.5 380.2 531.1 380.2 546.3 395.4L560 409.3L573.7 395.5C588.9 380.2 613.5 380.2 628.6 395.5C643.8 410.8 643.8 435.5 628.6 450.7L628.6 450.7zM93.71 363.5C108.9 348.2 133.5 348.2 148.6 363.5C163.8 378.8 163.8 403.5 148.6 418.7L93.2 474.5C85.93 481.8 74.13 481.8 66.86 474.5L11.37 418.7C-3.791 403.4-3.791 378.7 11.37 363.4C26.54 348.2 51.12 348.2 66.29 363.4L80.03 377.3L93.71 363.5z"],
    "face-smile-horns": [640, 512, [], "e391", "M64 256C64 231.4 67.47 207.6 73.94 185.1C29.62 125.8 6.507 50.11 .3114 19.14C-.9577 12.79 1.721 6.307 7.098 2.706C12.47-.8952 19.49-.9025 24.88 2.687C44.17 15.55 73.41 26.86 103.3 35.78C126.5 42.74 149.2 47.99 166.2 51.3C209.1 19.09 262.3 .0002 320 .0002C377.7 .0002 430.9 19.09 473.8 51.3C490.8 47.99 513.5 42.74 536.7 35.78C566.6 26.86 595.8 15.55 615.1 2.687C620.5-.9025 627.5-.8952 632.9 2.706C638.3 6.307 640.1 12.79 639.7 19.14C633.5 50.11 610.4 125.8 566.1 185.1C572.5 207.6 576 231.4 576 256C576 397.4 461.4 512 320 512C178.6 512 64 397.4 64 256V256zM228.1 349.5C222.3 342.8 212.2 342.1 205.5 347.9C198.8 353.7 198.1 363.8 203.9 370.5C226.2 396.1 264.9 424 320 424C375.1 424 413.8 396.1 436.1 370.5C441.9 363.8 441.2 353.7 434.5 347.9C427.8 342.1 417.7 342.8 411.9 349.5C393.1 370.2 363.4 392 320 392C276.6 392 246 370.2 228.1 349.5H228.1zM272.1 267.6L282.9 271.2C291.3 273.1 300.4 269.4 303.2 261.1C305.1 252.7 301.4 243.6 293.1 240.8L197.1 208.8C188.7 206 179.6 210.6 176.8 218.9C174 227.3 178.6 236.4 186.9 239.2L217.7 249.4C211.9 255.2 208.4 263.2 208.4 272C208.4 289.7 222.7 304 240.4 304C258 304 272.4 289.7 272.4 272C272.4 270.5 272.3 269 272.1 267.6L272.1 267.6zM400.4 304C418 304 432.4 289.7 432.4 272C432.4 263.1 428.7 255 422.9 249.2L453.1 239.2C461.4 236.4 465.1 227.3 463.2 218.9C460.4 210.6 451.3 206 442.9 208.8L346.9 240.8C338.6 243.6 334 252.7 336.8 261.1C339.6 269.4 348.7 273.1 357.1 271.2L368.7 267.3C368.5 268.8 368.4 270.4 368.4 271.1C368.4 289.7 382.7 303.1 400.4 303.1L400.4 304z"],
    "face-smile-plus": [640, 512, ["smile-plus"], "f5b9", "M544 0C557.3 0 568 10.75 568 24V72H616C629.3 72 640 82.75 640 96C640 109.3 629.3 120 616 120H568V168C568 181.3 557.3 192 544 192C530.7 192 520 181.3 520 168V120H472C458.7 120 448 109.3 448 96C448 82.75 458.7 72 472 72H520V24C520 10.75 530.7 0 544 0zM0 288C0 164.3 100.3 64 224 64C347.7 64 448 164.3 448 288C448 411.7 347.7 512 224 512C100.3 512 0 411.7 0 288zM144.4 272C162 272 176.4 257.7 176.4 240C176.4 222.3 162 208 144.4 208C126.7 208 112.4 222.3 112.4 240C112.4 257.7 126.7 272 144.4 272zM304.4 208C286.7 208 272.4 222.3 272.4 240C272.4 257.7 286.7 272 304.4 272C322 272 336.4 257.7 336.4 240C336.4 222.3 322 208 304.4 208zM139.1 346.1C134.1 339.5 124 338.8 117.4 344.7C110.8 350.5 110.2 360.6 116 367.3C142.4 397.1 180.1 416 224 416C267 416 305.6 397.1 331.1 367.3C337.8 360.6 337.2 350.5 330.6 344.7C323.1 338.8 313.9 339.5 308 346.1C287.5 369.4 257.4 384 224 384C190.6 384 160.5 369.4 139.1 346.1V346.1z"],
    "face-smile-relaxed": [512, 512, [], "e392", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM164.1 325.5C158.3 318.8 148.2 318.1 141.5 323.9C134.8 329.7 134.1 339.8 139.9 346.5C162.1 372.1 200.9 400 255.1 400C311.1 400 349.8 372.1 372.1 346.5C377.9 339.8 377.2 329.7 370.5 323.9C363.8 318.1 353.7 318.8 347.9 325.5C329.9 346.2 299.4 368 255.1 368C212.6 368 182 346.2 164.1 325.5H164.1zM233.6 236.8C240.7 231.5 242.1 221.5 236.8 214.4C206.4 173.9 145.6 173.9 115.2 214.4C109.9 221.5 111.3 231.5 118.4 236.8C125.5 242.1 135.5 240.7 140.8 233.6C158.4 210.1 193.6 210.1 211.2 233.6C216.5 240.7 226.5 242.1 233.6 236.8zM300.8 233.6C318.4 210.1 353.6 210.1 371.2 233.6C376.5 240.7 386.5 242.1 393.6 236.8C400.7 231.5 402.1 221.5 396.8 214.4C366.4 173.9 305.6 173.9 275.2 214.4C269.9 221.5 271.3 231.5 278.4 236.8C285.5 242.1 295.5 240.7 300.8 233.6z"],
    "face-smile-tear": [512, 512, [], "e393", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM139.9 346.5C162.2 372.1 200.9 400 256 400C264.8 400 272 392.8 272 384C272 375.2 264.8 368 256 368C212.6 368 182 346.2 164.1 325.5C158.3 318.8 148.2 318.1 141.5 323.9C134.8 329.7 134.1 339.8 139.9 346.5L139.9 346.5zM352 416C378.5 416 400 395 400 369C400 349 371.4 308.6 358.4 291.3C355.2 286.9 348.8 286.9 345.6 291.3C332.4 308.6 304 349 304 369C304 395 325.5 416 352 416H352zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240z"],
    "face-smile-tongue": [512, 512, [], "e394", "M489.7 312.1L424.3 274.3C423 273.6 421.6 272.9 420.1 272.5C411.6 270.3 402.8 275.3 400.5 283.9C382.5 351.5 324.1 400 255.1 400C187.9 400 129.5 351.5 111.5 283.9C109.2 275.3 100.4 270.3 91.87 272.5C83.33 274.8 78.26 283.6 80.54 292.1C101.1 372.3 171.9 432 256 432C287.1 432 316.3 423.8 341.8 409.4L409.9 449.9C412.6 451.5 415.4 452.9 418.1 454.1C373.1 490.3 317.5 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 278.8 509 300.1 503.4 322C499.3 318.3 494.7 314.1 489.7 312.1L489.7 312.1zM226.5 231.6C229.8 230.5 232 227.4 232 223.1C232 206.1 225.3 188.4 215.4 175.2C205.6 162.2 191.5 151.1 176 151.1C160.5 151.1 146.4 162.2 136.6 175.2C126.7 188.4 120 206.1 120 223.1C120 227.4 122.2 230.5 125.5 231.6C128.7 232.7 132.3 231.6 134.4 228.8L134.4 228.8L134.6 228.5C134.8 228.3 134.1 228 135.3 227.6C135.1 226.8 136.9 225.7 138.1 224.3C140.6 221.4 144.1 217.7 148.3 213.1C157.1 206.2 167.2 200 176 200C184.8 200 194.9 206.2 203.7 213.1C207.9 217.7 211.4 221.4 213.9 224.3C215.1 225.7 216 226.8 216.7 227.6C217 228 217.2 228.3 217.4 228.5L217.6 228.8L217.6 228.8C219.7 231.6 223.3 232.7 226.5 231.6V231.6zM377.6 228.8C379.7 231.6 383.3 232.7 386.5 231.6C389.8 230.5 392 227.4 392 223.1C392 206.1 385.3 188.4 375.4 175.2C365.6 162.2 351.5 151.1 336 151.1C320.5 151.1 306.4 162.2 296.6 175.2C286.7 188.4 280 206.1 280 223.1C280 227.4 282.2 230.5 285.5 231.6C288.7 232.7 292.3 231.6 294.4 228.8L294.4 228.8L294.6 228.5C294.8 228.3 294.1 228 295.3 227.6C295.1 226.8 296.9 225.7 298.1 224.3C300.6 221.4 304.1 217.7 308.3 213.1C317.1 206.2 327.2 200 336 200C344.8 200 354.9 206.2 363.7 213.1C367.9 217.7 371.4 221.4 373.9 224.3C375.1 225.7 376 226.8 376.7 227.6C377 228 377.2 228.3 377.4 228.5L377.6 228.8L377.6 228.8zM425.1 311.7L473.7 339.8C496.7 353.1 504.5 382.4 491.3 405.4C478.1 428.1 448.9 435.8 426.3 422.4L370.6 389.3C394.6 368.8 413.5 342.2 425.1 311.7V311.7z"],
    "face-smile-upside-down": [512, 512, [], "e395", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM347.9 186.5C353.7 193.2 363.8 193.9 370.5 188.1C377.2 182.3 377.9 172.2 372.1 165.5C349.8 139.9 311.1 112 256 112C200.9 112 162.2 139.9 139.9 165.5C134.1 172.2 134.8 182.3 141.5 188.1C148.2 193.9 158.3 193.2 164.1 186.5C182 165.8 212.6 143.1 256 143.1C299.4 143.1 329.1 165.8 347.9 186.5L347.9 186.5zM335.6 336C353.3 336 367.6 321.7 367.6 304C367.6 286.3 353.3 272 335.6 272C317.1 272 303.6 286.3 303.6 304C303.6 321.7 317.1 336 335.6 336zM175.6 272C157.1 272 143.6 286.3 143.6 304C143.6 321.7 157.1 336 175.6 336C193.3 336 207.6 321.7 207.6 304C207.6 286.3 193.3 272 175.6 272z"],
    "face-smile-wink": [512, 512, [128521, "smile-wink"], "f4da", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM164.1 325.5C158.3 318.8 148.2 318.1 141.5 323.9C134.8 329.7 134.1 339.8 139.9 346.5C162.1 372.1 200.9 400 255.1 400C311.1 400 349.8 372.1 372.1 346.5C377.9 339.8 377.2 329.7 370.5 323.9C363.8 318.1 353.7 318.8 347.9 325.5C329.9 346.2 299.4 368 255.1 368C212.6 368 182 346.2 164.1 325.5H164.1zM176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176zM300.8 233.6C318.4 210.1 353.6 210.1 371.2 233.6C376.5 240.7 386.5 242.1 393.6 236.8C400.7 231.5 402.1 221.5 396.8 214.4C366.4 173.9 305.6 173.9 275.2 214.4C269.9 221.5 271.3 231.5 278.4 236.8C285.5 242.1 295.5 240.7 300.8 233.6z"],
    "face-smiling-hands": [640, 512, [], "e396", "M411.1 495.3C382.8 506.1 352.1 512 319.1 512C287.9 512 257.2 506.1 228.9 495.3C245.9 473.7 255.1 446.4 255.1 416.8V386C274.1 394.4 295.4 400 319.1 400C344.6 400 365.9 394.4 384 386V416.8C384 446.4 394.1 473.7 411.1 495.3V495.3zM575.7 242.6C558.8 236.8 539.5 240.6 526.1 254.1L478.1 301.1C469.6 287.4 453.9 278.4 436 278.4C407.3 278.4 384 301.7 384 330.4V349.6C367.2 360.3 345.9 368 319.1 368C294.1 368 272.8 360.3 255.1 349.6V330.4C255.1 301.7 232.7 278.4 203.1 278.4C186.1 278.4 170.4 287.4 161 301.1L113.9 254.1C100.5 240.6 81.15 236.8 64.34 242.6C71.31 107.5 183.1 0 319.1 0C456.9 0 568.7 107.5 575.7 242.6V242.6zM281.6 228.8C283.7 231.6 287.3 232.7 290.5 231.6C293.8 230.5 295.1 227.4 295.1 224C295.1 206.1 289.3 188.4 279.4 175.2C269.6 162.2 255.5 152 239.1 152C224.5 152 210.4 162.2 200.6 175.2C190.7 188.4 183.1 206.1 183.1 224C183.1 227.4 186.2 230.5 189.5 231.6C192.7 232.7 196.3 231.6 198.4 228.8L198.4 228.8L198.6 228.5C198.8 228.3 198.1 228 199.3 227.6C199.1 226.8 200.9 225.7 202.1 224.3C204.6 221.4 208.1 217.7 212.3 213.1C221.1 206.2 231.2 200 239.1 200C248.8 200 258.9 206.2 267.7 213.1C271.9 217.7 275.4 221.4 277.9 224.3C279.1 225.7 280 226.8 280.7 227.6C281 228 281.2 228.3 281.4 228.5L281.6 228.8L281.6 228.8zM450.5 231.6C453.8 230.5 456 227.4 456 224C456 206.1 449.3 188.4 439.4 175.2C429.6 162.2 415.5 152 400 152C384.5 152 370.4 162.2 360.6 175.2C350.7 188.4 344 206.1 344 224C344 227.4 346.2 230.5 349.5 231.6C352.7 232.7 356.3 231.6 358.4 228.8L358.4 228.8L358.6 228.5C358.8 228.3 358.1 228 359.3 227.6C359.1 226.8 360.9 225.7 362.1 224.3C364.6 221.4 368.1 217.7 372.3 213.1C381.1 206.2 391.2 200 400 200C408.8 200 418.9 206.2 427.7 213.1C431.9 217.7 435.4 221.4 437.9 224.3C439.1 225.7 440 226.8 440.7 227.6C441 228 441.2 228.3 441.4 228.5L441.6 228.8L441.6 228.8C443.7 231.6 447.3 232.7 450.5 231.6V231.6zM68.69 299.3C62.44 293.1 62.44 282.9 68.69 276.7C74.93 270.4 85.06 270.4 91.31 276.7L170.3 355.7C175.4 360.8 184 357.2 184 350.1V330.4C184 319.4 192.1 310.4 204 310.4C215 310.4 224 319.4 224 330.4V416.8C224 469.4 181.4 512 128.8 512C103.6 512 79.34 501.1 61.49 484.1L4.686 427.3C-1.562 421.1-1.562 410.9 4.686 404.7C10.93 398.4 21.07 398.4 27.31 404.7L46.63 424C49.22 426.6 53.41 426.6 55.1 424C58.59 421.4 58.59 417.2 55.1 414.6L4.686 363.3C-1.562 357.1-1.562 346.9 4.686 340.7C10.93 334.4 21.07 334.4 27.31 340.7L78.63 392C81.22 394.6 85.41 394.6 87.1 392C90.59 389.4 90.59 385.2 87.1 382.6L20.69 315.3C14.44 309.1 14.44 298.9 20.69 292.7C26.93 286.4 37.06 286.4 43.31 292.7L110.6 360C113.2 362.6 117.4 362.6 119.1 360C122.6 357.4 122.6 353.2 119.1 350.6L68.69 299.3zM520 350.6C517.4 353.2 517.4 357.4 520 360C522.6 362.6 526.8 362.6 529.4 360L596.7 292.7C602.9 286.4 613.1 286.4 619.3 292.7C625.6 298.9 625.6 309.1 619.3 315.3L552 382.6C549.4 385.2 549.4 389.4 552 392C554.6 394.6 558.8 394.6 561.4 392L612.7 340.7C618.9 334.4 629.1 334.4 635.3 340.7C641.6 346.9 641.6 357.1 635.3 363.3L584 414.6C581.4 417.2 581.4 421.4 584 424C586.6 426.6 590.8 426.6 593.4 424L612.7 404.7C618.9 398.4 629.1 398.4 635.3 404.7C641.6 410.9 641.6 421.1 635.3 427.3L578.5 484.1C560.7 501.1 536.4 512 511.2 512C458.6 512 416 469.4 416 416.8V330.4C416 319.4 424.1 310.4 436 310.4C447 310.4 456 319.4 456 330.4V350.1C456 357.2 464.6 360.8 469.7 355.7L548.7 276.7C554.9 270.4 565.1 270.4 571.3 276.7C577.6 282.9 577.6 293.1 571.3 299.3L520 350.6z"],
    "face-smirking": [512, 512, [], "e397", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM112 224H144C144 241.7 158.3 256 176 256C193.7 256 208 241.7 208 224C208 206.3 193.7 192 176 192H112C103.2 192 96 199.2 96 208C96 216.8 103.2 224 112 224zM375.8 338.6C377.2 329.9 371.3 321.7 362.6 320.2C353.9 318.8 345.7 324.7 344.2 333.4L344 334.6C340.8 353.9 324.1 368 304.6 368H192C183.2 368 176 375.2 176 384C176 392.8 183.2 400 192 400H304.6C339.8 400 369.8 374.6 375.6 339.8L375.8 338.6zM304 224H336C336 241.7 350.3 256 368 256C385.7 256 400 241.7 400 224C400 206.3 385.7 192 368 192H304C295.2 192 288 199.2 288 208C288 216.8 295.2 224 304 224z"],
    "face-spiral-eyes": [512, 512, [], "e485", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM312.9 374.9C307.5 378.4 300.5 378.4 295.1 374.9L282.6 366.5C266.5 355.8 245.5 355.8 229.4 366.5L216.9 374.9C211.5 378.4 204.5 378.4 199.1 374.9L184.3 364.1C169.1 355.4 151.6 354.3 136.2 361.1L120.8 369.7C112.9 373.6 109.7 383.3 113.7 391.2C117.6 399.1 127.3 402.3 135.2 398.3L150.5 390.6C155.7 388 161.8 388.4 166.6 391.6L181.4 401.5C197.5 412.2 218.5 412.2 234.6 401.5L247.1 393.1C252.5 389.6 259.5 389.6 264.9 393.1L277.4 401.5C293.5 412.2 314.5 412.2 330.6 401.5L345.4 391.6C350.2 388.4 356.3 388 361.5 390.6L376.8 398.3C384.7 402.3 394.4 399.1 398.3 391.2C402.3 383.3 399.1 373.6 391.2 369.7L375.8 361.1C360.4 354.3 342 355.4 327.7 364.1L312.9 374.9zM153.4 100C93.53 102.4 46.93 156.7 52.44 210.5C55.3 264.4 106.1 304.8 154.9 299.5C204 296.6 240.9 251.6 235.5 208.3C232.2 164.9 190.8 133.9 152.6 139.1C114.2 142.5 86.91 178.2 92.3 211.2C96.14 244.2 128.2 265.7 155.9 260.4C183.6 256.3 201.3 229.6 195.4 206.8C193 195.3 185.9 186.9 177.6 181.1C169.5 177.3 159.3 175.4 150.1 178.7C141.2 181.4 135.2 187.6 132.3 194.6C129.7 200.9 129.2 209.6 134.1 216.4C138.4 222.7 145.2 225.6 151.8 224.9C157 224.3 166.9 219.6 165.9 208.5C165.6 205.8 164.5 203.4 162.9 201.5C163.7 201.8 164.5 202.2 165.5 202.7C168.6 204.5 171.1 207.6 171.1 211.9L172.1 212.3L172.2 212.6C174.2 220.3 167.4 234.6 152.3 236.7L151.9 236.7L151.6 236.8C137.6 239.6 118.3 227.7 116.1 208.2L116.1 207.9L116 207.5C112.9 189.2 129.2 165.1 154.9 162.1L155.3 162.9L155.6 162.9C180.3 159.4 209.4 180.6 211.6 210.4L211.6 210.7L211.6 211.1C215.4 239.9 189.5 273.6 153.2 275.6L152.9 275.6L152.6 275.7C117.2 279.6 78.38 249.2 76.39 208.1L76.38 208.6L76.34 208.3C72.15 168.9 107.5 125.9 154.4 123.1C161 123.7 166.2 118.1 165.9 111.5C165.6 104.9 160.1 99.74 153.4 100L153.4 100zM357.6 292C350.1 292.3 345.8 297.9 346.1 304.5C346.4 311.1 351.9 316.3 358.6 315.1C418.5 313.6 465.1 259.3 459.6 205.5C456.7 151.6 405.9 111.2 357.1 116.5C307.1 119.4 271.1 164.4 276.5 207.7C279.8 251.1 321.2 282.1 359.4 276.9C397.8 273.5 425.1 237.8 419.7 204.8C415.9 171.8 383.8 150.3 356.1 155.6C328.4 159.7 310.7 186.4 316.6 209.2C318.1 220.7 326.1 229.1 334.4 234C342.5 238.7 352.7 240.6 361.9 237.3C370.8 234.6 376.8 228.4 379.7 221.4C382.3 215.1 382.8 206.4 377.9 199.6C373.6 193.3 366.8 190.4 360.2 191.1C354.1 191.7 345.1 196.4 346.1 207.5C346.4 210.2 347.5 212.6 349.1 214.5C348.3 214.2 347.5 213.8 346.5 213.3C343.4 211.5 340.9 208.4 340 204.1L339.9 203.7L339.8 203.4C337.8 195.7 344.6 181.4 359.7 179.3L360.1 179.3L360.4 179.2C374.4 176.4 393.7 188.3 395.9 207.8L395.9 208.1L395.1 208.5C399.1 226.8 382.8 250.9 357.1 253L356.7 253.1L356.4 253.1C331.7 256.6 302.6 235.4 300.4 205.6L300.4 205.3L300.4 204.9C296.6 176.1 322.5 142.4 358.8 140.4L359.1 140.4L359.4 140.3C394.8 136.4 433.6 166.8 435.6 207L435.6 207.4L435.7 207.7C439.8 247.1 404.5 290.1 357.6 292L357.6 292z"],
    "face-sunglasses": [512, 512, [], "e398", "M0 256C0 239.4 1.577 223.2 4.588 207.5L1.969 191.8C-5.969 144.2 22.45 100 65.28 85.22C112.2 32.91 180.2 0 256 0C331.8 0 399.8 32.91 446.7 85.22C489.6 100 517.1 144.2 510 191.8L507.4 207.5C510.4 223.2 512 239.4 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256V256zM230.7 231.9L238.7 183.9C239.1 181.2 239.3 178.6 239.4 176H272.6C272.7 178.6 272.9 181.2 273.3 183.9L281.3 231.9C285.2 255 305.2 272 328.7 272H407.3C430.8 272 450.8 255 454.7 231.9L462.7 183.9C467.6 154.6 444.1 128 415.3 128H320.7C306.3 128 293.6 134.2 284.9 144H227.1C218.4 134.2 205.7 128 191.3 128H96.66C67 128 44.44 154.6 49.32 183.9L57.32 231.9C61.17 255 81.2 272 104.7 272H183.3C206.8 272 226.8 255 230.7 231.9zM164.1 341.5C158.3 334.8 148.2 334.1 141.5 339.9C134.8 345.7 134.1 355.8 139.9 362.5C162.1 388.1 200.9 416 255.1 416C311.1 416 349.8 388.1 372.1 362.5C377.9 355.8 377.2 345.7 370.5 339.9C363.8 334.1 353.7 334.8 347.9 341.5C329.9 362.2 299.4 384 255.1 384C212.6 384 182 362.2 164.1 341.5H164.1z"],
    "face-surprise": [512, 512, [128558, "surprise"], "f5c2", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240zM336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176zM256 416C291.3 416 320 387.3 320 352C320 316.7 291.3 288 256 288C220.7 288 192 316.7 192 352C192 387.3 220.7 416 256 416z"],
    "face-swear": [640, 512, [], "e399", "M320 0C461.4 0 576 114.6 576 256H64C64 114.6 178.6 0 320 0zM240.4 224C258 224 272.4 209.7 272.4 192C272.4 190.5 272.3 189 272.1 187.6L282.9 191.2C291.3 193.1 300.4 189.4 303.2 181.1C305.1 172.7 301.4 163.6 293.1 160.8L197.1 128.8C188.7 126 179.6 130.6 176.8 138.9C174 147.3 178.6 156.4 186.9 159.2L217.7 169.4C211.9 175.2 208.4 183.2 208.4 192C208.4 209.7 222.7 224 240.4 224H240.4zM422.9 169.2L453.1 159.2C461.4 156.4 465.1 147.3 463.2 138.9C460.4 130.6 451.3 126 442.9 128.8L346.9 160.8C338.6 163.6 334 172.7 336.8 181.1C339.6 189.4 348.7 193.1 357.1 191.2L368.7 187.3C368.5 188.8 368.4 190.4 368.4 192C368.4 209.7 382.7 224 400.4 224C418 224 432.4 209.7 432.4 192C432.4 183.1 428.7 175 422.9 169.2H422.9zM320 384H352V416H320V384zM592 288C618.5 288 640 309.5 640 336V464C640 490.5 618.5 512 592 512H48C21.49 512 0 490.5 0 464V336C0 309.5 21.49 288 48 288H592zM400 384C408.8 384 416 376.8 416 368C416 359.2 408.8 352 400 352H384V336C384 327.2 376.8 320 368 320C359.2 320 352 327.2 352 336V352H320V336C320 327.2 312.8 320 304 320C295.2 320 288 327.2 288 336V352H272C263.2 352 256 359.2 256 368C256 376.8 263.2 384 272 384H288V416H272C263.2 416 256 423.2 256 432C256 440.8 263.2 448 272 448H288V464C288 472.8 295.2 480 304 480C312.8 480 320 472.8 320 464V448H352V464C352 472.8 359.2 480 368 480C376.8 480 384 472.8 384 464V448H400C408.8 448 416 440.8 416 432C416 423.2 408.8 416 400 416H384V384H400zM547.9 333.6L451.9 445.6C446.1 452.3 446.9 462.4 453.6 468.1C460.3 473.9 470.4 473.1 476.1 466.4L572.1 354.4C577.9 347.7 577.1 337.6 570.4 331.9C563.7 326.1 553.6 326.9 547.9 333.6zM472 328C458.7 328 448 338.7 448 352C448 365.3 458.7 376 472 376C485.3 376 496 365.3 496 352C496 338.7 485.3 328 472 328zM552 472C565.3 472 576 461.3 576 448C576 434.7 565.3 424 552 424C538.7 424 528 434.7 528 448C528 461.3 538.7 472 552 472zM192 336V400C192 408.8 199.2 416 208 416C216.8 416 224 408.8 224 400V336C224 327.2 216.8 320 208 320C199.2 320 192 327.2 192 336zM208 432C194.7 432 184 442.7 184 456C184 469.3 194.7 480 208 480C221.3 480 232 469.3 232 456C232 442.7 221.3 432 208 432zM128 336C128 327.2 120.8 320 112 320C103.2 320 96 327.2 96 336V337.5C90.36 338.7 84.45 340.8 79.15 344.5C71.63 349.9 66.4 357.8 64.64 368C63.39 375.3 64.04 382.4 67.13 388.9C70.16 395.3 74.89 399.8 79.58 403C87.66 408.5 98.25 411.7 105.1 414L107.5 414.5C116.9 417.3 122.7 419.3 126.2 421.9C127.6 422.8 127.8 423.4 127.8 423.5C127.9 423.5 127.9 423.7 127.1 424.1C128 424.5 128 425.2 127.8 426.4C127.3 429.6 126.3 430.1 125.9 430.4L125.8 430.4C124.7 431.1 122 431.1 117.1 431.9C106.9 431.8 94.52 427.1 85.06 424.8C76.68 422 67.62 426.6 64.82 434.9C62.03 443.3 66.56 452.4 74.94 455.2C79.82 456.8 87.02 459.2 95.11 461V464C95.11 472.8 102.3 480 111.1 480C119.9 480 127.1 472.8 127.1 464V463.2C132.2 462.4 137.5 460.8 142.4 457.8C151.5 452.3 157.4 443.4 159.4 431.9C160.6 424.5 160.1 417.4 157.2 410.7C154.4 404.2 149.8 399.4 145.1 395.1C136.6 389.8 125.4 386.5 117.5 384L116.8 383.8C107.2 380.9 101.2 379 97.56 376.5C96.55 375.9 96.18 375.4 96.07 375.3C96.03 375.1 95.1 374.5 96.18 373.5C96.51 371.6 97.1 371 97.7 370.6C98.76 369.9 101 368.9 105.1 368.4C113.4 367.5 123.1 369.3 131.9 371.4C140.4 373.6 149.2 368.6 151.5 360C153.7 351.5 148.7 342.7 140.1 340.4C136.7 339.5 132.6 338.6 128 337.8L128 336zM96.1 375.4C96.1 375.4 96.08 375.3 96.07 375.3z"],
    "face-thermometer": [576, 512, [], "e39a", "M544 256C544 397.4 429.4 512 288 512C146.6 512 32 397.4 32 256C32 114.6 146.6 0 288 0C400 0 495.2 71.96 529.1 172.2C515.9 168.1 500.2 171.5 488.1 182.4L338.2 328.4C323.3 323.2 306.6 320 288 320C232.9 320 194.2 347.9 171.9 373.5C166.1 380.2 166.8 390.3 173.5 396.1C180.2 401.9 190.3 401.2 196.1 394.5C214 373.8 244.6 352 288 352C331.4 352 361.1 373.8 379.9 394.5C385.7 401.2 395.8 401.9 402.5 396.1C407.7 391.6 409.3 384.4 406.1 378.4L416.3 369.3L391.5 344.5C386.8 339.8 386.8 332.2 391.5 327.5C396.2 322.8 403.8 322.8 408.5 327.5L433.6 352.6L448.9 337.9L423.5 312.5C418.8 307.8 418.8 300.2 423.5 295.5C428.2 290.8 435.8 290.8 440.5 295.5L466.2 321.2L481.5 306.5L455.5 280.5C450.8 275.8 450.8 268.2 455.5 263.5C460.2 258.8 467.8 258.8 472.5 263.5L498.8 289.8L514.1 275L487.5 248.5C482.8 243.8 482.8 236.2 487.5 231.5C492.2 226.8 499.8 226.8 504.5 231.5L531.4 258.4L543.8 246.4C543.9 249.6 544 252.8 544 255.1L544 256zM208.4 176C190.7 176 176.4 190.3 176.4 208C176.4 225.7 190.7 240 208.4 240C226 240 240.4 225.7 240.4 208C240.4 190.3 226 176 208.4 176zM368.4 240C386 240 400.4 225.7 400.4 208C400.4 190.3 386 176 368.4 176C350.7 176 336.4 190.3 336.4 208C336.4 225.7 350.7 240 368.4 240z"],
    "face-thinking": [512, 512, [], "e39b", "M512 255.1C512 397.4 397.4 512 256 512C245.4 512 234.9 511.4 224.6 510.1C228.6 504.4 231.9 498.1 234.4 491.3L255.4 433.6L291.1 420.6C315 411.9 329.4 388.6 327.9 364.5C326.6 340.1 311.4 318.4 288.7 308.8L166.2 257.3C158.1 253.8 148.7 257.6 145.3 265.8C141.8 273.9 145.6 283.3 153.8 286.7L236.2 321.4L144 354.1V352C144 321.1 118.9 296 88 296C57.07 296 32 321.1 32 352V380C11.61 343.3 0 301 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256L512 255.1zM176.4 143.1C158.7 143.1 144.4 158.3 144.4 175.1C144.4 193.7 158.7 207.1 176.4 207.1C194 207.1 208.4 193.7 208.4 175.1C208.4 158.3 194 143.1 176.4 143.1zM336.4 223.1C354 223.1 368.4 209.7 368.4 191.1C368.4 174.3 354 159.1 336.4 159.1C318.7 159.1 304.4 174.3 304.4 191.1C304.4 209.7 318.7 223.1 336.4 223.1zM142.1 121.9C166.5 108.4 195.9 111.2 216.4 128.8L229.6 140.1C236.3 145.9 246.4 145.1 252.1 138.4C257.9 131.7 257.1 121.6 250.4 115.9L237.2 104.5C206.4 78.14 162.3 73.95 127.1 94.08L120.1 98.11C112.4 102.5 109.7 112.3 114.1 119.9C118.5 127.6 128.3 130.3 135.9 125.9L142.1 121.9zM112 400.6L263.8 345.4C276.3 340.9 290 347.3 294.6 359.8C299.1 372.3 292.7 386 280.2 390.6L230.4 408.7L204.3 480.4C197.4 499.4 179.4 512 159.2 512H112C85.49 512 64 490.5 64 464V352C64 338.7 74.75 328 88 328C101.3 328 112 338.7 112 352L112 400.6z"],
    "face-tired": [512, 512, [128555, "tired"], "f5c8", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM138.3 364.1C132.2 375.8 128 388.4 128 400C128 405.2 130.6 410.2 134.9 413.2C139.2 416.1 144.7 416.8 149.6 414.1L170.2 407.3C197.1 397.2 225.6 392 254.4 392H257.6C286.4 392 314.9 397.2 341.8 407.3L362.4 414.1C367.3 416.8 372.8 416.1 377.1 413.2C381.4 410.2 384 405.2 384 400C384 388.4 379.8 375.8 373.7 364.1C367.4 352.1 358.4 339.8 347.3 328.7C325.3 306.7 293.4 287.1 256 287.1C218.6 287.1 186.7 306.7 164.7 328.7C153.6 339.8 144.6 352.1 138.3 364.1H138.3zM133.5 146.7C125.6 142.4 116 148.2 116 157.1C116 159.9 116.1 162.6 118.8 164.8L154.8 208L118.8 251.2C116.1 253.4 116 256.1 116 258.9C116 267.8 125.6 273.6 133.5 269.3L223.4 221.4C234.1 215.7 234.1 200.3 223.4 194.6L133.5 146.7zM396 157.1C396 148.2 386.4 142.4 378.5 146.7L288.6 194.6C277.9 200.3 277.9 215.7 288.6 221.4L378.5 269.3C386.4 273.6 396 267.8 396 258.9C396 256.1 395 253.4 393.2 251.2L357.2 208L393.2 164.8C395 162.6 396 159.9 396 157.1V157.1z"],
    "face-tissue": [512, 512, [], "e39c", "M512 255.1C512 397.4 397.4 512 256 512C244.5 512 233.1 511.2 221.1 509.8C222.6 507.9 223 505.9 223.3 503.9L241.7 393.7L247.1 397.3C252.5 400.9 259.5 400.9 264.9 397.3L304 371.2L343.1 397.3C347.9 400.5 354 400.9 359.2 398.3L391.2 382.3C399.1 378.4 402.3 368.7 398.3 360.8C394.4 352.9 384.7 349.7 376.8 353.7L353.2 365.5L312.9 338.7C307.5 335.1 300.5 335.1 295.1 338.7L256 364.8L247.5 359.1L255.3 311.9C257.9 296.6 252.9 281 241.9 270.1C230.1 259.1 215.4 254.1 200.1 256.7L8.11 288.7C6.109 288.1 4.15 289.4 2.241 290C.7642 278.9 .0016 267.5 .0016 256C.0016 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256L512 255.1zM133.5 130.7C125.6 126.4 116 132.2 116 141.1C116 143.9 116.1 146.6 118.8 148.8L154.8 191.1L118.8 235.2C116.1 237.4 116 240.1 116 242.9C116 251.8 125.6 257.6 133.5 253.3L223.4 205.4C234.1 199.7 234.1 184.3 223.4 178.6L133.5 130.7zM396 141.1C396 132.2 386.4 126.4 378.5 130.7L288.6 178.6C277.9 184.3 277.9 199.7 288.6 205.4L378.5 253.3C386.4 257.6 396 251.8 396 242.9C396 240.1 395 237.4 393.2 235.2L357.2 191.1L393.2 148.8C395 146.6 396 143.9 396 141.1V141.1zM219.3 292.7C222.1 296.3 224.6 301.5 223.8 306.6L191.8 498.6C190.7 505.3 185.5 510.6 178.8 511.8C172.2 512.9 165.5 509.8 162.1 503.9L136.1 458.5L51.88 479.5C46.43 480.9 40.66 479.3 36.69 475.3C32.71 471.3 31.12 465.6 32.48 460.1L53.54 375.9L8.063 349.9C2.187 346.5-.9405 339.8 .2509 333.2C1.442 326.5 6.696 321.3 13.37 320.2L205.4 288.2C210.5 287.4 215.7 289 219.3 292.7L219.3 292.7z"],
    "face-tongue-money": [512, 512, [], "e39d", "M255.1 0C397.4 0 512 114.6 512 256C512 364.6 444.3 457.5 348.9 494.6C360.9 476.8 368 455.2 368 432V421.5C390.4 401.4 407 375.4 415.2 346.1C419.1 332.4 407.8 320 393.6 320H118.4C104.2 320 92.92 332.4 96.76 346.1C104.1 375.4 121.6 401.4 144 421.5V432C144 455.2 151.1 476.8 163.1 494.6C67.66 457.5 0 364.6 0 256C0 114.6 114.6 0 256 0H255.1zM192 104C192 95.16 184.8 88 176 88C167.2 88 160 95.16 160 104V113.3C154.3 114.5 148.4 116.6 143 120.5C135.5 125.9 130.4 133.1 128.6 144.1C127.4 151.4 127.9 158.6 130.9 165.3C133.8 171.9 138.5 176.5 143.3 179.9C151.6 185.7 162.6 188.8 170.5 191.1L171.6 191.4C181.2 194.1 186.1 195.1 190.4 198.4C193 200.2 192.6 204.8 189.9 206.4L189.8 206.4C188.7 207.1 186 207.1 181.1 207.9C170.9 207.8 158.5 203.1 149.1 200.8C140.7 198 131.6 202.6 128.8 210.9C126 219.3 130.6 228.4 138.9 231.2C144 232.9 151.6 235.3 160 237.2V248C160 256.8 167.2 264 176 264C184.8 264 192 256.8 192 248V239.1C196.8 238.2 201.8 236.6 206.4 233.8C215.5 228.3 221.4 219.4 223.4 207.9C224.6 200.6 224.1 193.4 221.1 186.7C218.2 180.1 213.5 175.5 208.7 172.1C201.6 167.2 193.2 164.9 184.8 162.7C176.6 160.6 168.4 158.4 161.6 153.6C159.2 151.1 159.2 148.3 161.8 146.4C162.8 145.7 164.9 144.7 168.9 144.3C177.1 143.4 187.6 145.3 195.9 147.5C204.4 149.7 213.2 144.7 215.5 136.1C217.7 127.6 212.7 118.8 204.1 116.5C200.7 115.6 196.6 114.7 192 113.8L192 104zM320 104V113.3C314.3 114.5 308.4 116.6 303 120.5C295.5 125.9 290.4 133.1 288.6 144.1C287.4 151.4 287.9 158.6 290.9 165.3C293.8 171.9 298.5 176.5 303.3 179.9C311.6 185.7 322.6 188.8 330.5 191.1L331.6 191.4C341.2 194.1 346.1 195.1 350.4 198.4C353 200.2 352.6 204.8 349.9 206.4L349.8 206.4C348.7 207.1 346 207.1 341.1 207.9C330.9 207.8 318.5 203.1 309.1 200.8C300.7 198 291.6 202.6 288.8 210.9C286 219.3 290.6 228.4 298.1 231.2C304 232.9 311.6 235.3 320 237.2V248C320 256.8 327.2 264 336 264C344.8 264 352 256.8 352 248V239.1C356.8 238.2 361.8 236.6 366.4 233.8C375.5 228.3 381.4 219.4 383.4 207.9C384.6 200.6 384.1 193.4 381.1 186.7C378.2 180.1 373.5 175.5 368.7 172.1C361.6 167.2 353.2 164.9 344.8 162.7C336.6 160.6 328.4 158.4 321.6 153.6C319.2 151.1 319.2 148.3 321.8 146.4C322.8 145.7 324.9 144.7 328.9 144.3C337.1 143.4 347.6 145.3 355.9 147.5C364.4 149.7 373.2 144.7 375.5 136.1C377.7 127.6 372.7 118.8 364.1 116.5C360.7 115.6 356.6 114.7 352 113.8V104C352 95.16 344.8 88 336 88C327.2 88 320 95.16 320 104L320 104zM336 352V432C336 476.2 300.2 512 255.1 512C211.8 512 175.1 476.2 175.1 432V352H336zM245.3 378.9V385.3C241.5 386.1 237.6 387.5 234 390.1C229 393.9 225.6 399.3 224.4 406.2C223.6 411.2 223.9 416.2 225.9 420.7C227.9 425.2 230.1 428.4 234.2 430.6C239.8 434.6 247.1 436.7 252.3 438.3L253.1 438.5C259.4 440.4 263.3 441.6 265.6 443.3C267.4 444.5 267.1 447.6 265.2 448.7C264.5 449.2 262.7 449.8 259.4 449.8C252.6 449.7 244.3 447.1 238 444.9C232.4 443 226.4 446.1 224.5 451.8C222.7 457.5 225.7 463.7 231.3 465.6C234.7 466.8 239.7 468.5 245.3 469.7V477.1C245.3 483.1 250.1 488 256 488C261.9 488 266.7 483.1 266.7 477.1V470.1C269.9 470.4 273.2 469.3 276.2 467.4C282.3 463.7 286.2 457.6 287.6 449.8C288.4 444.8 288.1 439.8 286.1 435.3C284.1 430.8 281 427.6 277.8 425.4C273.1 421.1 267.5 420.5 261.9 418.1C256.4 417.5 250.1 415.1 246.4 412.7C244.8 411.6 244.8 409.1 246.5 407.8C247.2 407.3 248.6 406.7 251.3 406.4C256.7 405.8 263.7 407 269.3 408.5C274.1 410.1 280.8 406.6 282.3 400.8C283.8 394.1 280.4 389 274.7 387.5C272.5 386.8 269.7 386.2 266.7 385.6V378.9C266.7 372.9 261.9 368 256 368C250.1 368 245.3 372.9 245.3 378.9L245.3 378.9z"],
    "face-tongue-sweat": [576, 512, [], "e39e", "M544 255.1C544 368.9 470.9 464.7 369.5 498.8C378.7 484 384 466.6 384 448V416.7C394.2 409.5 400 401 400 392C400 365.5 349.9 344 288 344C226.1 344 176 365.5 176 392C176 401 181.8 409.5 192 416.7V448C192 466.6 197.3 484 206.5 498.8C165.1 484.9 128.5 460.7 99.62 429.3C116.9 414.1 127.1 393.5 127.1 369C127.1 357.6 124.2 346.6 120.9 338.5C117.2 329.8 112.5 320.9 107.7 312.8C98.1 296.7 86.98 281.3 80.01 272.1C68.39 256.5 48.28 252.2 32.02 259.3C32.01 258.2 31.1 257.1 31.1 256C31.1 114.6 146.6 0 287.1 0C429.4 0 544 114.6 544 256L544 255.1zM335.6 271.1C335.6 289.7 349.1 303.1 367.6 303.1C385.3 303.1 399.6 289.7 399.6 271.1C399.6 254.3 385.3 239.1 367.6 239.1C349.1 239.1 335.6 254.3 335.6 271.1zM239.6 271.1C239.6 254.3 225.3 239.1 207.6 239.1C189.1 239.1 175.6 254.3 175.6 271.1C175.6 289.7 189.1 303.1 207.6 303.1C225.3 303.1 239.6 289.7 239.6 271.1zM204.7 148.7L197.3 156.1C178.5 174.9 154.2 187.4 127.9 191.8L125.4 192.2C116.7 193.7 110.8 201.9 112.2 210.6C113.7 219.3 121.9 225.2 130.6 223.8L133.1 223.4C166 217.9 196.4 202.3 219.9 178.7L227.3 171.3C233.6 165.1 233.6 154.9 227.3 148.7C221.1 142.4 210.9 142.4 204.7 148.7zM356.1 178.7C379.6 202.3 409.1 217.9 442.9 223.4L445.4 223.8C454.1 225.2 462.3 219.3 463.8 210.6C465.2 201.9 459.3 193.7 450.6 192.2L448.2 191.8C421.8 187.4 397.5 174.9 378.7 156.1L371.3 148.7C365.1 142.4 354.9 142.4 348.7 148.7C342.4 154.9 342.4 165.1 348.7 171.3L356.1 178.7zM96 369C96 383.2 89.58 395.9 79.45 404.5C71.02 411.7 60.02 416 48 416C21.54 416 0 395 0 369C0 351.7 21.44 319.1 35.66 299.4C37.84 296.3 39.86 293.6 41.6 291.3C44.8 286.9 51.2 286.9 54.4 291.3C67.57 308.6 95.1 349 95.1 369H96zM352 402.6V448C352 483.3 323.3 512 288 512C252.7 512 224 483.3 224 448V402.6C224 387.9 235.9 376 250.6 376H252.6C263.9 376 273.7 383.9 276.2 394.9C279 407.5 296.1 407.5 299.8 394.9C302.3 383.9 312.1 376 323.4 376H325.4C340.1 376 352 387.9 352 402.6V402.6z"],
    "face-unamused": [512, 512, [], "e39f", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM316.1 394.7C322 401.3 332.1 401.8 338.7 395.9C345.3 389.1 345.8 379.9 339.9 373.3C323.8 355.4 295.7 336 255.1 336C216.3 336 188.2 355.4 172.1 373.3C166.2 379.9 166.7 389.1 173.3 395.9C179.9 401.8 189.1 401.3 195.9 394.7C207.6 381.7 227.5 368 255.1 368C284.5 368 304.4 381.7 316.1 394.7H316.1zM112 192C103.2 192 96 199.2 96 208C96 216.8 103.2 224 112 224H144C144 241.7 158.3 256 176 256C193.7 256 208 241.7 208 224C208 206.3 193.7 192 176 192H112zM304 224H336C336 241.7 350.3 256 368 256C385.7 256 400 241.7 400 224C400 206.3 385.7 192 368 192H304C295.2 192 288 199.2 288 208C288 216.8 295.2 224 304 224z"],
    "face-viewfinder": [512, 512, [], "e2ff", "M136 464H48v-88C48 362.7 37.25 352 24 352S0 362.7 0 376V480c0 17.67 14.33 32 32 32h104C149.3 512 160 501.3 160 488S149.3 464 136 464zM24 160C37.25 160 48 149.3 48 136V48h88C149.3 48 160 37.25 160 24S149.3 0 136 0H32C14.33 0 0 14.33 0 32v104C0 149.3 10.75 160 24 160zM416 256c0-88.37-71.63-160-160-160S96 167.6 96 256s71.63 160 160 160S416 344.4 416 256zM312 192c13.25 0 24 10.75 24 24S325.3 240 312 240S288 229.3 288 216S298.7 192 312 192zM200 192C213.3 192 224 202.7 224 216S213.3 240 200 240S176 229.3 176 216S186.7 192 200 192zM339.5 314.7C318.2 338.4 287.8 352 256 352s-62.22-13.59-83.47-37.3C166.6 308.1 167.2 298 173.8 292.1c6.562-5.922 16.66-5.359 22.59 1.219c30.38 33.91 88.94 33.91 119.3 0c5.906-6.562 16.03-7.109 22.59-1.219S345.4 308.1 339.5 314.7zM480 0h-104C362.7 0 352 10.75 352 24s10.75 24 24 24h88v88C464 149.3 474.7 160 488 160S512 149.3 512 136V32C512 14.33 497.7 0 480 0zM488 352c-13.25 0-24 10.75-24 24v88h-88c-13.25 0-24 10.75-24 24S362.7 512 376 512H480c17.67 0 32-14.33 32-32v-104C512 362.7 501.3 352 488 352z"],
    "face-vomit": [576, 512, [], "e3a0", "M544 256C544 328.5 513.9 393.9 465.5 440.5L448.8 434.9C436.9 430.1 427.3 422.6 421.6 412C438.3 399.4 448 384.3 448 368C448 323.8 376.4 288 288 288C199.6 288 128 323.8 128 368C128 384.3 137.7 399.4 154.4 412C148.7 422.6 139.1 430.1 127.2 434.9L110.5 440.5C62.12 393.9 32 328.5 32 256C32 114.6 146.6 0 288 0C429.4 0 544 114.6 544 256V256zM150.8 148.8L186.8 192L150.8 235.2C148.1 237.4 148 240.1 148 242.9C148 251.8 157.6 257.6 165.5 253.3L255.4 205.4C266.1 199.7 266.1 184.3 255.4 178.6L165.5 130.7C157.6 126.4 148 132.2 148 141.1C148 143.9 148.1 146.6 150.8 148.8V148.8zM320.6 178.6C309.9 184.3 309.9 199.7 320.6 205.4L410.5 253.3C418.4 257.6 428 251.8 428 242.9C428 240.1 427 237.4 425.2 235.2L389.2 192L425.2 148.8C427 146.6 428 143.9 428 141.1C428 132.2 418.4 126.4 410.5 130.7L320.6 178.6zM0 480C0 462.3 14.33 448 32 448C49.67 448 64 462.3 64 480C64 497.7 49.67 512 32 512C14.33 512 0 497.7 0 480zM576 448C576 465.7 561.7 480 544 480C526.3 480 512 465.7 512 448C512 430.3 526.3 416 544 416C561.7 416 576 430.3 576 448zM192 396.1V338.7C215.6 327.6 249.3 320 287.1 320C326.7 320 360.4 327.6 384 338.7V396.1C384 427.1 403.8 454.6 433.2 464.4L467.3 475.8C474.9 478.3 480 485.4 480 493.4C480 503.7 471.7 512 461.4 512H114.6C104.3 512 96 503.7 96 493.4C96 485.4 101.1 478.3 108.7 475.8L142.8 464.4C172.2 454.6 192 427.1 192 396.1H192zM288 400C288 408.8 295.2 416 304 416C312.8 416 320 408.8 320 400C320 391.2 312.8 384 304 384C295.2 384 288 391.2 288 400zM240 416C231.2 416 224 423.2 224 432C224 440.8 231.2 448 240 448C248.8 448 256 440.8 256 432C256 423.2 248.8 416 240 416z"],
    "face-weary": [512, 512, [], "e3a1", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM138.3 364.1C132.2 375.8 128 388.4 128 400C128 405.2 130.6 410.2 134.9 413.2C139.2 416.1 144.7 416.8 149.6 414.1L170.2 407.3C197.1 397.2 225.6 392 254.4 392H257.6C286.4 392 314.9 397.2 341.8 407.3L362.4 414.1C367.3 416.8 372.8 416.1 377.1 413.2C381.4 410.2 384 405.2 384 400C384 388.4 379.8 375.8 373.7 364.1C367.4 352.1 358.4 339.8 347.3 328.7C325.3 306.7 293.4 287.1 256 287.1C218.6 287.1 186.7 306.7 164.7 328.7C153.6 339.8 144.6 352.1 138.3 364.1H138.3zM188.7 164.7L181.3 172.1C162.5 190.9 138.2 203.4 111.9 207.8L109.4 208.2C100.7 209.7 94.77 217.9 96.22 226.6C97.67 235.3 105.9 241.2 114.6 239.8L117.1 239.4C150 233.9 180.4 218.3 203.9 194.7L211.3 187.3C217.6 181.1 217.6 170.9 211.3 164.7C205.1 158.4 194.9 158.4 188.7 164.7zM308.1 194.7C331.6 218.3 361.1 233.9 394.9 239.4L397.4 239.8C406.1 241.2 414.3 235.3 415.8 226.6C417.2 217.9 411.3 209.7 402.6 208.2L400.2 207.8C373.8 203.4 349.5 190.9 330.7 172.1L323.3 164.7C317.1 158.4 306.9 158.4 300.7 164.7C294.4 170.9 294.4 181.1 300.7 187.3L308.1 194.7z"],
    "face-woozy": [512, 512, [], "e3a2", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM411.3 347.3C417.6 341.1 417.6 330.9 411.3 324.7C405.1 318.4 394.9 318.4 388.7 324.7L349.4 363.1C341.7 371.7 331.3 376 320.4 376C312.7 376 305.1 373.8 298.6 369.8L284.4 360.9C257.5 344.1 224.2 341.1 194.8 352.9C174.2 361.1 150.8 358.7 132.4 346.4L120.9 338.7C113.5 333.8 103.6 335.8 98.69 343.1C93.78 350.5 95.77 360.4 103.1 365.3L114.6 372.1C141.9 391.1 176.3 394.7 206.7 382.6C226.6 374.6 249.2 376.6 267.4 387.1L281.6 396.9C293.3 404.2 306.7 408 320.4 408C339.7 408 358.3 400.3 372 386.6L411.3 347.3zM178.7 103.1C155.5 137.1 120.3 156.4 106.9 160.8C98.56 163.6 94.03 172.7 96.82 181.1C99.62 189.4 108.7 193.1 117.1 191.2C135.7 184.1 177.3 162.8 205.3 120.9C210.2 113.5 208.2 103.6 200.9 98.69C193.5 93.79 183.6 95.77 178.7 103.1V103.1zM204.1 208.5L140.1 224.5C131.5 226.6 126.3 235.3 128.5 243.9C130.6 252.5 139.3 257.7 147.9 255.5L211.9 239.5C220.5 237.4 225.7 228.7 223.5 220.1C221.4 211.5 212.7 206.3 204.1 208.5zM336 272C353.7 272 368 243.3 368 208C368 172.7 353.7 144 336 144C318.3 144 304 172.7 304 208C304 243.3 318.3 272 336 272z"],
    "face-worried": [512, 512, [], "e3a3", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256.1 399.7C282.4 399.7 307.3 405 329.7 414.5C342.1 419.7 356.2 410.4 350.8 398.1C334.9 361.5 298.4 335.1 256.1 335.1C213.7 335.1 177.2 361.5 161.3 398.1C155.9 410.4 170 419.7 182.4 414.5C204.8 405 229.7 399.7 256.1 399.7V399.7zM176.4 240C158.7 240 144.4 254.3 144.4 272C144.4 289.7 158.7 304 176.4 304C194 304 208.4 289.7 208.4 272C208.4 254.3 194 240 176.4 240zM336.4 304C354 304 368.4 289.7 368.4 272C368.4 254.3 354 240 336.4 240C318.7 240 304.4 254.3 304.4 272C304.4 289.7 318.7 304 336.4 304zM208 144C208 135.2 200.8 128 192 128C186.2 128 180.4 128.4 174.8 129.1C146.6 132.9 121.1 145.6 101.1 164.3C94.62 170.3 94.28 180.5 100.3 186.9C106.3 193.4 116.5 193.7 122.9 187.7C138.4 173.2 157.8 163.7 178.1 160.9C183.2 160.3 187.6 160 192 160C200.8 160 208 152.8 208 144zM389.1 187.7C395.5 193.7 405.7 193.4 411.7 186.9C417.7 180.5 417.4 170.3 410.9 164.3C390.9 145.6 365.4 132.9 337.2 129.1C331.6 128.4 325.8 128 320 128C311.2 128 304 135.2 304 144C304 152.8 311.2 160 320 160C324.4 160 328.8 160.3 333 160.9C354.2 163.7 373.6 173.2 389.1 187.7z"],
    "face-zany": [576, 512, [], "e3a4", "M183.1 224C183.1 237.3 173.3 248 159.1 248C146.7 248 135.1 237.3 135.1 224C135.1 210.7 146.7 200 159.1 200C173.3 200 183.1 210.7 183.1 224zM296 136C296 118.3 310.3 104 328 104C345.7 104 360 118.3 360 136C360 153.7 345.7 168 328 168C310.3 168 296 153.7 296 136zM389.1 490.9C396.4 477.1 400.1 463.4 400.1 448V391.7C449.1 350.8 470.2 286.1 455 226.7C451.5 212.9 435.6 207.8 423.2 214.9L184.9 352.5C172.6 359.6 169 375.1 179.2 385.9C187.1 394.5 197.7 401.9 208.1 408.2V448C208.1 469.1 214.9 488.6 226.4 504.5C161.3 488.3 102.6 446.7 66.36 384C-4.331 261.6 37.62 104.1 160.1 34.3C282.5-36.39 439.1 5.557 509.8 128C580.5 250.4 538.5 407 416.1 477.7C407.5 482.6 398.8 487 389.1 490.9H389.1zM160 288C195.3 288 224 259.3 224 224C224 188.7 195.3 160 160 160C124.7 160 96 188.7 96 224C96 259.3 124.7 288 160 288zM344 80C304.2 80 271.1 112.2 271.1 152C271.1 191.8 304.2 224 344 224C383.8 224 416 191.8 416 152C416 112.2 383.8 80 344 80zM304.1 512C268.7 512 240.1 483.3 240.1 448V402.6C240.1 387.9 251.1 376 266.7 376H268.7C280 376 289.8 383.9 292.3 394.9C295.1 407.5 313.1 407.5 315.9 394.9C318.3 383.9 328.1 376 339.4 376H341.4C356.1 376 368.1 387.9 368.1 402.6V448C368.1 483.3 339.4 512 304.1 512V512z"],
    "face-zipper": [512, 512, [], "e3a5", "M440.6 328.5C422.1 319.3 399.8 322.9 385.2 337.5L369.5 353.2C354.9 367.8 351.3 390.1 360.5 408.6L389.6 466.7C390.6 468.7 391.6 470.6 392.7 472.5C353.2 497.5 306.3 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 290.9 505 324.1 492.4 354.4L440.6 328.5zM176.4 240C194 240 208.4 225.7 208.4 208C208.4 190.3 194 176 176.4 176C158.7 176 144.4 190.3 144.4 208C144.4 225.7 158.7 240 176.4 240zM336.4 176C318.7 176 304.4 190.3 304.4 208C304.4 225.7 318.7 240 336.4 240C354 240 368.4 225.7 368.4 208C368.4 190.3 354 176 336.4 176zM144 336C144 327.2 136.8 320 128 320C119.2 320 112 327.2 112 336V368C112 376.8 119.2 384 128 384C136.8 384 144 376.8 144 368V336zM176 336V368C176 376.8 183.2 384 192 384C200.8 384 208 376.8 208 368V336C208 327.2 200.8 320 192 320C183.2 320 176 327.2 176 336zM272 336C272 327.2 264.8 320 256 320C247.2 320 240 327.2 240 336V368C240 376.8 247.2 384 256 384C264.8 384 272 376.8 272 368V336zM304 336V368C304 376.8 311.2 384 320 384C328.8 384 336 376.8 336 368V336C336 327.2 328.8 320 320 320C311.2 320 304 327.2 304 336zM418.2 452.4L389.2 394.3C386.1 388.2 387.3 380.7 392.2 375.8L407.8 360.2C412.7 355.3 420.2 354.1 426.3 357.2L484.4 386.2C513.7 400.9 520.1 439.9 496.9 463.1L495.1 464.9C471.9 488.1 432.9 481.7 418.2 452.4L418.2 452.4zM463.5 415.5L447.5 431.5C442.8 436.2 442.8 443.8 447.5 448.5C452.2 453.2 459.8 453.2 464.5 448.5L480.5 432.5C485.2 427.8 485.2 420.2 480.5 415.5C475.8 410.8 468.2 410.8 463.5 415.5z"],
    "falafel": [576, 512, [129478], "e40a", "M250.7 282.1C244.2 273.6 242.5 260.2 234.4 253.6C226.2 246.9 213.1 248 203.6 243.3C194.3 238.6 187.1 227.3 176.8 224.8C166.8 222.4 155.4 229.3 144.8 229.2C134.5 229.2 123.2 222.1 112.8 224.5C102.3 226.9 95 238.1 85.71 242.6C76.13 247.3 62.98 245.1 54.84 252.5c-8.264 6.664-10.07 20.06-16.61 28.35C31.66 289.2 19.24 293.9 14.63 303.5c-4.58 9.561-.5645 22.42-2.973 32.88C9.295 346.6 .0508 356.3 0 367.2c-.0488 10.49 9.027 20.27 11.35 30.95c2.322 10.68-1.84 23.47 2.561 32.95c4.539 9.789 16.93 14.57 23.35 22.87c6.525 8.438 8.227 21.83 16.35 28.51c8.154 6.709 21.34 5.551 30.75 10.25c9.359 4.676 16.55 16.03 26.8 18.49c10.08 2.42 21.46-4.436 32.06-4.383c10.27 .0508 21.56 7.096 32.02 4.725c10.46-2.373 17.77-13.64 27.06-18.13c9.586-4.635 22.73-3.346 30.87-9.902c8.264-6.662 10.07-20.06 16.61-28.35c5.461-6.92 14.72-11.46 20.41-18.25c-2.727-9.602-2.496-18.58-2.211-25.52c.0918-2.211 .2285-5.553 .168-6.225c-.3184-1.07-1.818-4.016-2.811-5.965C261.4 391.4 255.9 380.7 256 367c.0664-14.06 5.955-25.26 9.852-32.67c.9824-1.867 2.1-3.658 2.566-4.873c.2988-2.068 .0625-4.271-.002-6.471C268.2 316.6 268 308.4 270.3 299.6C264.5 293.1 255.8 288.7 250.7 282.1zM80 384C71.16 384 64 376.8 64 368C64 359.2 71.17 352 80 352S96 359.2 96 368C96 376.8 88.84 384 80 384zM112 448C103.2 448 96 440.8 96 432S103.2 416 112 416S128 423.2 128 432S120.8 448 112 448zM144 384C135.2 384 128 376.8 128 368C128 359.2 135.2 352 144 352S160 359.2 160 368C160 376.8 152.8 384 144 384zM536.7 416c-33.38 0-71.88-18.58-102.1-49.69c-22.43-22.42-38.67-49.04-45.73-74.94c-6.365-23.34-4.758-45.13 3.967-62.53c-6.244 4.406-11.78 10.67-18.21 13.78c-9.586 4.635-22.73 3.348-30.87 9.904c-8.264 6.664-10.07 20.06-16.61 28.35c-6.572 8.33-18.99 12.98-23.6 22.59c-4.58 9.561-.5645 22.42-2.973 32.88C297.3 346.6 288.1 356.3 288 367.2c-.0488 10.49 9.027 20.27 11.35 30.95c2.322 10.68-1.84 23.47 2.561 32.95c4.539 9.789 16.93 14.57 23.35 22.87c6.525 8.438 8.227 21.83 16.35 28.51c8.154 6.709 21.34 5.551 30.75 10.25c9.359 4.676 16.55 16.03 26.8 18.49c10.08 2.42 21.46-4.436 32.06-4.383c10.27 .0508 21.56 7.096 32.02 4.725c10.46-2.373 17.77-13.64 27.06-18.13c9.586-4.635 22.73-3.346 30.87-9.902c8.264-6.662 10.07-20.06 16.61-28.35c6.572-8.33 18.99-12.98 23.6-22.59c2.965-6.186 2.371-13.74 2.205-21.15C555.3 414.3 546.4 416 536.7 416zM368 384c-8.836 0-16-7.164-16-15.1C352 359.2 359.2 352 368 352S384 359.2 384 368C384 376.8 376.8 384 368 384zM400 448c-8.836 0-16-7.164-16-16s7.166-16 16-16S416 423.2 416 432S408.8 448 400 448zM300.9 261.4c1.086-1.688 1.791-3.705 2.637-5.662c3.527-8.154 8.357-19.32 19.26-28.11c10.9-8.789 23.24-11.12 31.4-12.66c2.037-.3848 4.117-.6172 5.105-.8711c1.596-1.006 3.018-2.424 4.537-3.744c6.369-5.539 15.99-13.91 29.89-17.06C397.4 192.4 401.4 192 405.3 192c9.029 0 16.92 2.215 22.69 3.834c1.889 .5293 3.734 1.184 4.5 1.393c1.004-.0938 2.021-.4473 3.031-.7168c.1387-6.984-.707-14.36 .7891-20.86C438.7 165.4 447.9 155.7 448 144.8c.0488-10.49-9.027-20.27-11.35-30.95c-2.322-10.68 1.84-23.47-2.561-32.95c-4.539-9.791-16.93-14.57-23.35-22.87c-6.525-8.438-8.227-21.83-16.35-28.5c-8.154-6.709-21.34-5.553-30.75-10.25c-9.359-4.678-16.55-16.03-26.8-18.49c-10.08-2.42-21.46 4.436-32.06 4.383C294.5 5.162 283.2-1.883 272.8 .4863C262.3 2.859 255 14.13 245.7 18.62C236.1 23.26 222.1 21.97 214.8 28.53c-8.264 6.664-10.07 20.06-16.61 28.35C191.7 65.2 179.2 69.86 174.6 79.46C170.1 89.03 174.1 101.9 171.7 112.3C169.3 122.6 160.1 132.3 160 143.2c-.0488 10.49 9.027 20.27 11.35 30.95c1.252 5.76 .6797 12.11 .5215 18.25c.127 0 .2266-.0352 .3535-.0352c4.146 0 8.211 .4707 12.09 1.4c13.71 3.291 23.18 11.73 29.45 17.32C215.3 212.4 216.7 213.9 217.5 214.5c1.812 .6777 3.84 .9316 5.834 1.33C231.5 217.5 243.9 219.9 254.7 228.9c10.73 8.824 15.45 19.98 18.89 28.13c.8438 1.998 1.541 4.068 2.152 5.166c1.334 1.402 3.049 2.523 4.678 3.764c2.107 1.605 4.654 3.686 7.199 5.902c3.188-2.854 6.324-5.332 8.916-7.266C298.2 263.3 299.1 262.2 300.9 261.4zM240 160C231.2 160 224 152.8 224 144C224 135.2 231.2 128 240 128S256 135.2 256 144C256 152.8 248.8 160 240 160zM535.7 264.3c-38.35-38.35-87.21-51.68-109.1-29.76c-21.92 21.92-8.592 70.78 29.76 109.1c38.35 38.36 87.21 51.68 109.1 29.76C587.4 351.5 574 302.7 535.7 264.3z"],
    "family": [512, 512, [], "e300", "M176 407.4C156.9 396.3 144 375.6 144 352V304c0-34.31 21.72-63.65 52.13-74.99C183.6 214.9 176 196.3 176 176c0-4.561 .6107-8.965 1.347-13.32C171.8 161.1 166.1 160 160 160H96C60.65 160 32 188.7 32 224v96c0 17.67 14.33 32 32 32v128c0 17.67 14.33 32 32 32h64c8.014 0 15.12-3.229 20.73-8.096C177.7 496.5 176 488.5 176 480V407.4zM384 128c35.38 0 64-28.62 64-64s-28.62-64-64-64s-64 28.62-64 64S348.6 128 384 128zM128 128c35.38 0 64-28.62 64-64S163.4 0 128 0S64 28.62 64 64S92.63 128 128 128zM505.5 343.2l-42.4-148.4C457.3 174.2 438.4 160 416.1 160h-65.99c-5.713 0-11.17 1.143-16.32 3.014C335.4 167.3 336 171.6 336 176c0 20.31-7.609 38.88-20.13 53.01C346.3 240.3 368 269.7 368 304V352c0 23.64-12.88 44.33-32 55.41V480c0 8.461-1.736 16.5-4.732 23.9C336.9 508.8 343.1 512 352 512h64c17.67 0 32-14.33 32-32v-96h26.78C496 384 511.4 363.7 505.5 343.2zM336 304C336 277.5 314.5 256 288 256H224C197.5 256 176 277.5 176 304V352c0 17.67 14.33 32 32 32v96c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32v-96c17.67 0 32-14.33 32-32V304zM256 224c26.53 0 48-21.47 48-48S282.5 128 256 128S208 149.5 208 176S229.5 224 256 224z"],
    "family-dress": [512, 512, [], "e301", "M384 128c35.38 0 64-28.62 64-64s-28.62-64-64-64s-64 28.62-64 64S348.6 128 384 128zM128 128c35.38 0 64-28.62 64-64S163.4 0 128 0S64 28.62 64 64S92.63 128 128 128zM176 407.4C156.9 396.3 144 375.6 144 352V304c0-34.31 21.72-63.65 52.13-74.99C183.6 214.9 176 196.3 176 176c0-4.447 .6133-8.734 1.314-12.99C172.2 161.1 166.7 160 160.1 160H95C73.57 160 54.74 174.2 48.85 194.8l-42.4 148.4C.6119 363.7 15.96 384 37.22 384H64v96c0 17.67 14.33 32 32 32h64c8.014 0 15.12-3.229 20.73-8.096C177.7 496.5 176 488.5 176 480V407.4zM505.5 343.2l-42.4-148.4C457.3 174.2 438.4 160 416.1 160h-65.99c-5.713 0-11.17 1.143-16.32 3.014C335.4 167.3 336 171.6 336 176c0 20.31-7.609 38.88-20.13 53.01C346.3 240.3 368 269.7 368 304V352c0 23.64-12.88 44.33-32 55.41V480c0 8.461-1.736 16.5-4.732 23.9C336.9 508.8 343.1 512 352 512h64c17.67 0 32-14.33 32-32v-96h26.78C496 384 511.4 363.7 505.5 343.2zM336 304C336 277.5 314.5 256 288 256H224C197.5 256 176 277.5 176 304V352c0 17.67 14.33 32 32 32v96c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32v-96c17.67 0 32-14.33 32-32V304zM256 224c26.53 0 48-21.47 48-48S282.5 128 256 128S208 149.5 208 176S229.5 224 256 224z"],
    "family-pants": [448, 512, [], "e302", "M96 128c35.38 0 64-28.62 64-64S131.4 0 96 0S32 28.62 32 64S60.63 128 96 128zM144 407.4C124.9 396.3 112 375.6 112 352V304c0-34.31 21.72-63.65 52.13-74.99C151.6 214.9 144 196.3 144 176c0-4.561 .6107-8.965 1.347-13.32C139.8 161.1 134.1 160 128 160H64C28.65 160 0 188.7 0 224v96c0 17.67 14.33 32 32 32v128c0 17.67 14.33 32 32 32h64c8.014 0 15.12-3.229 20.73-8.096C145.7 496.5 144 488.5 144 480V407.4zM352 128c35.38 0 64-28.62 64-64s-28.62-64-64-64s-64 28.62-64 64S316.6 128 352 128zM384 160h-64c-6.055 0-11.8 1.111-17.35 2.682C303.4 167 304 171.4 304 176c0 20.31-7.609 38.88-20.13 53.01C314.3 240.3 336 269.7 336 304V352c0 23.64-12.88 44.33-32 55.41V480c0 8.461-1.736 16.5-4.732 23.9C304.9 508.8 311.1 512 320 512h64c17.67 0 32-14.33 32-32v-128c17.67 0 32-14.33 32-32V224C448 188.7 419.3 160 384 160zM224 224c26.53 0 48-21.47 48-48S250.5 128 224 128S176 149.5 176 176S197.5 224 224 224zM304 304C304 277.5 282.5 256 256 256H192C165.5 256 144 277.5 144 304V352c0 17.67 14.33 32 32 32v96c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32v-96c17.67 0 32-14.33 32-32V304z"],
    "fan": [512, 512, [], "f863", "M352.6 127.1c-28.12 0-54.13 4.5-77.13 12.88l12.38-123.1c1.125-10.5-8.125-18.88-18.5-17.63C189.6 10.12 127.1 77.62 127.1 159.4c0 28.12 4.5 54.13 12.88 77.13L17.75 224.1c-10.5-1.125-18.88 8.125-17.63 18.5c9.1 79.75 77.5 141.4 159.3 141.4c28.12 0 54.13-4.5 77.13-12.88l-12.38 123.1c-1.125 10.38 8.125 18.88 18.5 17.63c79.75-10 141.4-77.5 141.4-159.3c0-28.12-4.5-54.13-12.88-77.13l123.1 12.38c10.5 1.125 18.88-8.125 17.63-18.5C501.9 189.6 434.4 127.1 352.6 127.1zM255.1 287.1c-17.62 0-31.1-14.38-31.1-32s14.37-32 31.1-32s31.1 14.38 31.1 32S273.6 287.1 255.1 287.1z"],
    "fan-table": [448, 512, [], "e004", "M224 192C215.1 192 208 199.1 208 208S215.1 224 224 224s16-7.125 16-16S232.9 192 224 192zM320 448h-64v-34.8C355.6 397.8 432 311.1 432 208C432 93.13 338.9 0 224 0S16 93.13 16 208c0 103.1 76.42 189.8 176 205.2V448H128c-28.38 0-55 18.5-63.25 44.13C61.5 502 69.79 512 80.17 512h287.7c10.38 0 18.67-9.999 15.42-19.88C375 466.5 348.4 448 320 448zM119.6 334.8c-7-4-14.5-16.75-5.125-28.25l67.5-82c-57.12-20.25-69.12-77.25-59.62-113c6.375-24.25 22.25-44.88 44-57.38c13-7.375 24.25 2.375 27 9.75l37.13 99c28-23.88 67.38-29.25 100.9-13.75c33.38 15.5 54.75 49 54.62 85.88c0 5.5-2.375 10.75-6.625 14.38S369.5 254.5 364.1 253.6l-104.8-17.5c4.25 22 .5 44.75-10.62 64.13C222.6 345.4 164.9 360.9 119.6 334.8z"],
    "farm": [576, 512, ["barn-silo"], "f864", "M0 96C0 42.98 42.98 0 96 0C149 0 192 42.98 192 96V110.3C187.7 115.3 184.3 121.1 181.7 127.3L181.4 127.1H0V96zM132.8 245.1C129.6 253.7 128 261.1 128 270.3V480C128 491.7 131.1 502.6 136.6 512H48C21.49 512 0 490.5 0 464V160H168.2L132.8 245.1zM160 480V270.3C160 266.2 160.8 262 162.4 258.1L211.3 139.4C214.3 132.1 219.1 126.1 227.2 122.7L354.3 62.49C362.1 58.38 373 58.38 381.7 62.49L508.8 122.7C516 126.1 521.7 132.1 524.7 139.4L573.6 258.1C575.2 262 576 266.2 576 270.3V480C576 497.7 561.7 512 544 512H432V448C432 421.5 410.5 400 384 400H352C325.5 400 304 421.5 304 448V512H191.1C174.3 512 159.1 497.7 159.1 480H160zM320 296C320 309.3 330.7 320 344 320H392C405.3 320 416 309.3 416 296V248C416 234.7 405.3 224 392 224H344C330.7 224 320 234.7 320 248V296z"],
    "faucet": [512, 512, [], "e005", "M352 256h-38.54C297.7 242.5 277.9 232.9 256 228V180.5L224 177L192 180.5V228C170.1 233 150.3 242.6 134.5 256H16C7.125 256 0 263.1 0 272v96C0 376.9 7.125 384 16 384h92.78C129.4 421.8 173 448 224 448s94.59-26.25 115.2-64H352c17.62 0 32 14.29 32 31.91S398.4 448 416 448h64c17.62 0 32-14.31 32-31.94C512 327.7 440.4 256 352 256zM81.63 159.9L224 144.9l142.4 15C375.9 160.9 384 153.1 384 143.1V112.9c0-10-8.125-17.74-17.62-16.74L256 107.8V80C256 71.12 248.9 64 240 64h-32C199.1 64 192 71.12 192 80v27.75L81.63 96.14C72.13 95.14 64 102.9 64 112.9v30.24C64 153.1 72.13 160.9 81.63 159.9z"],
    "faucet-drip": [512, 512, [128688], "e006", "M416 480c0 17.62 14.38 32 32 32s32-14.38 32-32s-32-64-32-64S416 462.4 416 480zM352 192h-38.54C297.7 178.5 277.9 168.9 256 164V116.5L224 113L192 116.5V164C170.1 169 150.3 178.6 134.5 192H16C7.125 192 0 199.1 0 208v96C0 312.9 7.125 320 16 320h92.78C129.4 357.8 173 384 224 384s94.59-26.25 115.2-64H352c17.62 0 32 14.29 32 31.91S398.4 384 416 384h64c17.62 0 32-14.38 32-32C512 263.6 440.4 192 352 192zM81.63 95.88L224 80.88l142.4 15C375.9 96.88 384 89.12 384 79.12V48.89c0-10-8.125-17.74-17.62-16.74L256 43.75V16C256 7.125 248.9 0 240 0h-32C199.1 0 192 7.125 192 16v27.75L81.63 32.14C72.13 31.14 64 38.89 64 48.89V79.12C64 89.12 72.13 96.88 81.63 95.88z"],
    "fax": [512, 512, [128439, 128224], "f1ac", "M192 64h197.5L416 90.51V160h64V77.25c0-8.484-3.375-16.62-9.375-22.62l-45.25-45.25C419.4 3.375 411.2 0 402.8 0H160C142.3 0 128 14.33 128 32v128h64V64zM64 128H32C14.38 128 0 142.4 0 160v320c0 17.62 14.38 32 32 32h32c17.62 0 32-14.38 32-32V160C96 142.4 81.63 128 64 128zM480 192H128v288c0 17.6 14.4 32 32 32h320c17.6 0 32-14.4 32-32V224C512 206.4 497.6 192 480 192zM288 432c0 8.875-7.125 16-16 16h-32C231.1 448 224 440.9 224 432v-32C224 391.1 231.1 384 240 384h32c8.875 0 16 7.125 16 16V432zM288 304c0 8.875-7.125 16-16 16h-32C231.1 320 224 312.9 224 304v-32C224 263.1 231.1 256 240 256h32C280.9 256 288 263.1 288 272V304zM416 432c0 8.875-7.125 16-16 16h-32c-8.875 0-16-7.125-16-16v-32c0-8.875 7.125-16 16-16h32c8.875 0 16 7.125 16 16V432zM416 304c0 8.875-7.125 16-16 16h-32C359.1 320 352 312.9 352 304v-32C352 263.1 359.1 256 368 256h32C408.9 256 416 263.1 416 272V304z"],
    "feather": [512, 512, [129718], "f52d", "M483.4 244.2L351.9 287.1h97.74c-9.874 10.62 3.75-3.125-46.24 46.87l-147.6 49.12h98.24c-74.99 73.12-194.6 70.62-246.8 54.1l-66.14 65.99c-9.374 9.374-24.6 9.374-33.98 0s-9.374-24.6 0-33.98l259.5-259.2c6.249-6.25 6.249-16.37 0-22.62c-6.249-6.249-16.37-6.249-22.62 0l-178.4 178.2C58.78 306.1 68.61 216.7 129.1 156.3l85.74-85.68c90.62-90.62 189.8-88.27 252.3-25.78C517.8 95.34 528.9 169.7 483.4 244.2z"],
    "feather-pointed": [512, 512, ["feather-alt"], "f56b", "M467.1 241.1L351.1 288h94.34c-7.711 14.85-16.29 29.28-25.87 43.01l-132.5 52.99h85.65c-59.34 52.71-144.1 80.34-264.5 52.82l-68.13 68.13c-9.38 9.38-24.56 9.374-33.94 0c-9.375-9.375-9.375-24.56 0-33.94l253.4-253.4c4.846-6.275 4.643-15.19-1.113-20.95c-6.25-6.25-16.38-6.25-22.62 0l-168.6 168.6C24.56 58 366.9 8.118 478.9 .0846c18.87-1.354 34.41 14.19 33.05 33.05C508.7 78.53 498.5 161.8 467.1 241.1z"],
    "fence": [512, 512, [], "e303", "M121.6 98.13C125.8 103.7 128 110.4 128 117.3V160H160V224H128V352H160V416H128V448C128 465.7 113.7 480 96 480H32C14.33 480 0 465.7 0 448V117.3C0 110.4 2.246 103.7 6.4 98.13L51.2 38.4C54.22 34.37 58.96 32 64 32C69.04 32 73.78 34.37 76.8 38.4L121.6 98.13zM313.6 98.13C317.8 103.7 320 110.4 320 117.3V160H352V224H320V352H352V416H320V448C320 465.7 305.7 480 288 480H224C206.3 480 192 465.7 192 448V117.3C192 110.4 194.2 103.7 198.4 98.13L243.2 38.4C246.2 34.37 250.1 32 256 32C261 32 265.8 34.37 268.8 38.4L313.6 98.13zM448 32C453 32 457.8 34.37 460.8 38.4L505.6 98.13C509.8 103.7 512 110.4 512 117.3V448C512 465.7 497.7 480 480 480H416C398.3 480 384 465.7 384 448V117.3C384 110.4 386.2 103.7 390.4 98.13L435.2 38.4C438.2 34.37 442.1 32 448 32V32z"],
    "ferris-wheel": [512, 512, [], "e174", "M302.7 36.88C330.4 42.75 356.2 53.73 379.1 68.8C385.4 65.72 392.5 64 400 64C426.5 64 448 85.49 448 112C448 119.5 446.3 126.6 443.2 132.9C458.3 155.8 469.3 181.6 475.1 209.3C496.3 214.3 512 233.3 512 256C512 278.7 496.3 297.7 475.1 302.7C469.3 330.4 458.3 356.2 443.2 379.1C446.3 385.4 448 392.5 448 400C448 425.6 428 446.4 402.9 447.9L364.3 367.9C368.9 362.8 374.6 358.7 380.1 355.9C398.2 334.4 409.9 308.5 414.2 280H332.3C334.7 272.4 336 264.4 336 256C336 247.6 334.7 239.6 332.3 232H414.2C410.3 205.7 399.9 181.6 384.8 161.1L326.9 218.1C319.4 204.5 307.5 192.6 293 185.1L350.9 127.2C330.4 112.1 306.3 101.7 280 97.79V179.7C272.4 177.3 264.4 176 256 176C247.6 176 239.6 177.3 232 179.7V97.79C205.7 101.7 181.6 112.1 161.1 127.2L218.1 185.1C204.5 192.6 192.6 204.5 185.1 218.1L127.2 161.1C112.1 181.6 101.7 205.7 97.79 232H179.7C177.3 239.6 176 247.6 176 256C176 264.4 177.3 272.4 179.7 280H97.79C102.1 308.5 113.8 334.4 131 355.9C137.4 358.7 143.1 362.8 147.7 367.9L109.1 447.9C83.97 446.4 64 425.6 64 400C64 392.5 65.72 385.4 68.8 379.1C53.73 356.2 42.75 330.4 36.88 302.7C15.73 297.7 0 278.7 0 256C0 233.3 15.73 214.3 36.88 209.3C42.75 181.6 53.73 155.8 68.8 132.9C65.72 126.6 64 119.5 64 112C64 85.49 85.49 64 112 64C119.5 64 126.6 65.72 132.9 68.8C155.8 53.73 181.6 42.75 209.3 36.88C214.3 15.73 233.3 0 256 0C278.7 0 297.7 15.73 302.7 36.88V36.88zM304 256C304 267.6 299.9 278.3 292.1 286.6L381.8 477.9C385.2 485.3 384.6 494 380.2 500.9C375.8 507.8 368.2 512 360 512H152C143.8 512 136.2 507.8 131.8 500.9C127.4 494 126.8 485.3 130.2 477.9L219 286.6C212.1 278.3 208 267.6 208 256C208 229.5 229.5 208 256 208C282.5 208 304 229.5 304 256z"],
    "ferry": [576, 512, [], "e4ea", "M352 0C369.7 0 384 14.33 384 32H459.1C479.7 32 490.7 56.29 477.2 71.8L456 96H119.1L98.83 71.8C85.25 56.29 96.27 32 116.9 32H191.1C191.1 14.33 206.3 0 223.1 0L352 0zM95.1 128H480C497.7 128 512 142.3 512 160V283.5C512 296.8 507.8 309.8 500.1 320.7L448.7 392.6C446.8 393.7 444.1 394.9 443.2 396.1C427.7 406.8 409.1 414.2 392.1 416H375.6C358.5 414.2 340.6 406.1 324.8 396.1C302.8 380.6 273.3 380.6 251.2 396.1C236.3 406.3 218.7 414.1 200.5 416H183.9C166.9 414.2 148.3 406.8 132.9 396.1C131.1 394.8 129.2 393.7 127.3 392.6L75.92 320.7C68.17 309.8 64 296.8 64 283.5V160C64 142.3 78.33 128 96 128H95.1zM127.1 288H448V192H127.1V288zM384 448C410.9 448 439.4 437.2 461.4 421.9L461.5 421.9C473.4 413.4 489.5 414.1 500.7 423.6C515 435.5 533.2 444.6 551.3 448.8C568.5 452.8 579.2 470.1 575.2 487.3C571.2 504.5 553.1 515.2 536.7 511.2C512.2 505.4 491.9 494.6 478.5 486.2C449.5 501.7 417 512 384 512C352.1 512 323.4 502.1 303.6 493.1C297.7 490.5 292.5 487.8 288 485.4C283.5 487.8 278.3 490.5 272.4 493.1C252.6 502.1 223.9 512 192 512C158.1 512 126.5 501.7 97.5 486.2C84.12 494.6 63.79 505.4 39.27 511.2C22.06 515.2 4.853 504.5 .8422 487.3C-3.169 470.1 7.532 452.8 24.74 448.8C42.84 444.6 60.96 435.5 75.31 423.6C86.46 414.1 102.6 413.4 114.5 421.9L114.6 421.9C136.7 437.2 165.1 448 192 448C219.5 448 247 437.4 269.5 421.9C280.6 414 295.4 414 306.5 421.9C328.1 437.4 356.5 448 384 448H384z"],
    "field-hockey-stick-ball": [512, 512, [127953, "field-hockey"], "f44c", "M432.1 351.9c-44.2 0-80.05 35.85-80.05 80.01c0 44.16 35.86 80.01 80.05 80.01s79.95-35.85 79.95-80.01C511.1 387.8 476.2 351.9 432.1 351.9zM351.3 125.5l-184.7 271.9c-8.323 11.88-21.91 18.69-34.9 18.69c-26.57 0-35.85-24.89-35.85-37.5c0-4.547 .8872-12.99 6.778-21.41l9.824-14.07c5.846-8.383 8.653-17.99 8.653-27.49c0-22.67-17.96-48.09-47.93-48.09c-15.12 0-29.99 7.178-39.3 20.56L24.09 302.1c-9.392 13.46-24.09 39.81-24.09 76.91C.0009 457.4 64.04 512 131.3 512c67.4 0 104.6-46.44 114.3-60.29l185.5-273.1L351.3 125.5zM503.7 74.96c5.601-8.245 8.291-17.63 8.291-26.91C512 21.12 490.2 0 464.1 0c-15.34 0-30.41 7.358-39.67 20.99l-55.15 78.02l79.84 53.16L503.7 74.96z"],
    "file": [384, 512, [128459, 61462, 128196], "f15b", "M0 64C0 28.65 28.65 0 64 0H224V128C224 145.7 238.3 160 256 160H384V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64zM256 128V0L384 128H256z"],
    "file-arrow-down": [384, 512, ["file-download"], "f56d", "M384 128h-128V0L384 128zM256 160H384v304c0 26.51-21.49 48-48 48h-288C21.49 512 0 490.5 0 464v-416C0 21.49 21.49 0 48 0H224l.0039 128C224 145.7 238.3 160 256 160zM255 295L216 334.1V232c0-13.25-10.75-24-24-24S168 218.8 168 232v102.1L128.1 295C124.3 290.3 118.2 288 112 288S99.72 290.3 95.03 295c-9.375 9.375-9.375 24.56 0 33.94l80 80c9.375 9.375 24.56 9.375 33.94 0l80-80c9.375-9.375 9.375-24.56 0-33.94S264.4 285.7 255 295z"],
    "file-arrow-up": [384, 512, ["file-upload"], "f574", "M256 0v128h128L256 0zM224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM288.1 344.1C284.3 349.7 278.2 352 272 352s-12.28-2.344-16.97-7.031L216 305.9V408c0 13.25-10.75 24-24 24s-24-10.75-24-24V305.9l-39.03 39.03c-9.375 9.375-24.56 9.375-33.94 0s-9.375-24.56 0-33.94l80-80c9.375-9.375 24.56-9.375 33.94 0l80 80C298.3 320.4 298.3 335.6 288.1 344.1z"],
    "file-audio": [384, 512, [], "f1c7", "M224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM176 404c0 10.75-12.88 15.98-20.5 8.484L120 376H76C69.38 376 64 370.6 64 364v-56C64 301.4 69.38 296 76 296H120l35.5-36.5C163.1 251.9 176 257.3 176 268V404zM224 387.8c-4.391 0-8.75-1.835-11.91-5.367c-5.906-6.594-5.359-16.69 1.219-22.59C220.2 353.7 224 345.2 224 336s-3.797-17.69-10.69-23.88c-6.578-5.906-7.125-16-1.219-22.59c5.922-6.594 16.05-7.094 22.59-1.219C248.2 300.5 256 317.8 256 336s-7.766 35.53-21.31 47.69C231.6 386.4 227.8 387.8 224 387.8zM320 336c0 41.81-20.5 81.11-54.84 105.1c-2.781 1.938-5.988 2.875-9.145 2.875c-5.047 0-10.03-2.375-13.14-6.844c-5.047-7.25-3.281-17.22 3.969-22.28C272.6 396.9 288 367.4 288 336s-15.38-60.84-41.14-78.8c-7.25-5.062-9.027-15.03-3.98-22.28c5.047-7.281 14.99-9.062 22.27-3.969C299.5 254.9 320 294.2 320 336zM256 0v128h128L256 0z"],
    "file-binary": [384, 512, [], "e175", "M256 0v128h128L256 0zM144 288h-32C103.2 288 96 295.2 96 304v64C96 376.8 103.2 384 112 384h32C152.8 384 160 376.8 160 368v-64C160 295.2 152.8 288 144 288zM224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM192 368c0 26.47-21.53 48-48 48h-32C85.53 416 64 394.5 64 368v-64C64 277.5 85.53 256 112 256h32C170.5 256 192 277.5 192 304V368zM288 272V384h16c8.844 0 16 7.156 16 16S312.8 416 304 416h-64c-8.844 0-16-7.156-16-16s7.156-16 16-16H256V288h-16C231.2 288 224 280.8 224 272S231.2 256 240 256h32C280.8 256 288 263.2 288 272z"],
    "file-certificate": [512, 512, ["file-award"], "f5f3", "M352 128L352 0H176C149.5 0 128 21.49 128 48l.0007 84.94c1.732-.3867 3.804-1.012 6.679-1.793l3.795-1.031c5.186-1.406 10.54-2.121 15.9-2.121c16.23 0 32.1 6.676 43.55 18.32l2.742 2.793c2.17 2.219 3.688 3.867 5.027 5.102c1.691 .5547 3.809 1.066 6.703 1.855l3.85 1.055c21.2 5.762 37.75 22.53 43.14 43.57l1.124 4.252c.791 3.008 1.293 5.18 1.854 6.91c1.24 1.41 2.92 3.004 5.209 5.324l2.412 2.445c15.48 15.48 21.55 38.49 15.88 59.88l-.852 3.175c-.8926 3.328-1.596 5.645-1.984 7.559C283.4 292 284 294.1 284.8 297.1l1.084 4.125c5.711 21.29-.3828 44.15-15.72 59.48l-2.875 2.914c-2.154 2.18-3.754 3.703-4.949 5.047c-.5605 1.746-1.066 3.941-1.861 6.977l-.9824 3.727c-4.748 18.77-18.02 34.06-35.52 41.47L223.1 512H464c26.51 0 48-21.49 48-48V160h-127.1C366.3 160 352 145.7 352 128zM384 0v128h128L384 0zM228.5 371.5c1.375-5.188 2.303-8.914 3.169-11.82c2.594-8.727 4.549-10.09 15.7-21.43c7.5-7.5 10.38-18.5 7.625-28.75c-5.375-20.62-5.5-17.75 0-38.38c2.75-10.38-.125-21.38-7.625-28.88C236.2 230.9 234.3 229.5 231.7 220.8C230.8 217.9 229.9 214.2 228.5 209C227.8 206.4 226.9 204 225.6 201.8C221.8 195.1 215.5 190.1 207.9 188C195.1 184.5 191.3 183.8 186.6 180C184.8 178.5 182.8 176.5 179.1 173.7C178.6 172.3 176.1 170.6 175.1 168.8C172.6 166.2 169.7 164.4 166.6 162.1C165.8 162.6 165.1 162.3 164.3 162C161.2 160.8 157.8 160 154.4 160c-.0176 0 .0176 0 0 0c-.002 0 .002 0 0 0s.002 0 0 0C151.9 160 149.4 160.3 146.9 161c.2441-.0664 .4809-.0391 .725-.0938C147.4 160.1 147.1 160.9 146.9 161C136.7 163.8 132.3 165.1 127.1 165.1c-4.359 0-8.697-1.375-18.82-4.125C106.7 160.3 104.1 160 101.6 160c-.0176 0 .0176 0 0 0C98.18 160 94.86 160.8 91.68 162C90.89 162.3 90.16 162.6 89.4 162.1C86.31 164.4 83.37 166.2 80.89 168.8C65.89 183.9 68.39 182.4 48.14 188C38.02 190.8 30.1 198.8 27.48 209C25.42 216.8 24.38 221.3 23.05 224.6C20.84 230.3 17.9 232.8 8.606 242.3C6.731 244.1 5.188 246.2 3.906 248.5C.0625 255.2-1.038 263.3 1.024 271.1c5.5 20.62 5.375 17.75 0 38.38c-2.062 7.688-.9616 15.8 2.882 22.54c1.281 2.246 2.825 4.34 4.7 6.215c11.06 11.34 13.09 12.77 15.72 21.48c.875 2.902 1.78 6.613 3.155 11.77c2.625 10.38 10.54 18.38 20.67 21.12c7.188 1.938 10.06 2.688 11.68 3.203s2.003 .7969 4.188 1.797V512l63.99-32l63.99 32v-114.4c4.25-2 1.501-1.125 15.87-5c7.592-2.062 13.91-7.078 17.71-13.84C226.9 376.5 227.8 374.1 228.5 371.5zM128 352c-4.422 0-8.741-.4453-12.91-1.297c-8.336-1.703-16.08-5.027-22.89-9.625c-6.807-4.602-12.68-10.47-17.28-17.28C68.04 313.6 64.02 301.3 64.02 288s4.021-25.58 10.92-35.8c4.596-6.809 10.47-12.68 17.28-17.28c6.809-4.598 14.55-7.922 22.89-9.625C119.3 224.4 123.6 224 128 224c35.37 0 63.99 28.62 63.99 64S163.4 352 128 352z"],
    "file-chart-column": [384, 512, ["file-chart-line"], "f659", "M256 0v128h128L256 0zM224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM128 435.3C128 441.6 121.6 448 115.3 448h-38.5C70.38 448 64 441.6 64 435.3v-70.5C64 358.4 70.38 352 76.75 352h38.5C121.6 352 128 358.4 128 364.8V435.3zM224 435.3C224 441.6 217.6 448 211.3 448h-38.5C166.4 448 160 441.6 160 435.3v-198.5C160 230.4 166.4 224 172.8 224h38.5C217.6 224 224 230.4 224 236.8V435.3zM268.8 288h38.5C313.6 288 320 294.4 320 300.8v134.5C320 441.6 313.6 448 307.3 448h-38.5C262.4 448 256 441.6 256 435.3v-134.5C256 294.4 262.4 288 268.8 288z"],
    "file-chart-pie": [384, 512, [], "f65a", "M224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM136.5 438.5c-28.75-11.12-51.88-34.25-63-63C43.38 298.1 90.88 224.8 160 210.6V352h141.4C287.3 421.1 213.9 468.6 136.5 438.5zM312.1 320H192V199.9C258.4 199.9 312.1 253.6 312.1 320zM256 0v128h128L256 0z"],
    "file-check": [384, 512, [], "f316", "M384 128h-128V0L384 128zM256 160H384v304c0 26.51-21.49 48-48 48h-288C21.49 512 0 490.5 0 464v-416C0 21.49 21.49 0 48 0H224l.0039 128C224 145.7 238.3 160 256 160zM245.8 264.4l-79.13 92.34l-29.69-29.69c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94l48 48c4.5 4.5 10.62 7.031 16.97 7.031c.3125 0 .625 0 .9062-.0313c6.688-.25 12.97-3.281 17.31-8.344l96-112c8.625-10.06 7.469-25.22-2.594-33.84C269.6 253.2 254.4 254.3 245.8 264.4z"],
    "file-circle-check": [576, 512, [], "e5a0", "M0 64C0 28.65 28.65 0 64 0H224V128C224 145.7 238.3 160 256 160H384V198.6C310.1 219.5 256 287.4 256 368C256 427.1 285.1 479.3 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64zM256 128V0L384 128H256zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM476.7 324.7L416 385.4L387.3 356.7C381.1 350.4 370.9 350.4 364.7 356.7C358.4 362.9 358.4 373.1 364.7 379.3L404.7 419.3C410.9 425.6 421.1 425.6 427.3 419.3L499.3 347.3C505.6 341.1 505.6 330.9 499.3 324.7C493.1 318.4 482.9 318.4 476.7 324.7H476.7z"],
    "file-circle-exclamation": [576, 512, [], "e4eb", "M0 64C0 28.65 28.65 0 64 0H224V128C224 145.7 238.3 160 256 160H384V198.6C310.1 219.5 256 287.4 256 368C256 427.1 285.1 479.3 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64zM256 128V0L384 128H256zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 464C445.3 464 456 453.3 456 440C456 426.7 445.3 416 432 416C418.7 416 408 426.7 408 440C408 453.3 418.7 464 432 464zM415.1 288V368C415.1 376.8 423.2 384 431.1 384C440.8 384 447.1 376.8 447.1 368V288C447.1 279.2 440.8 272 431.1 272C423.2 272 415.1 279.2 415.1 288z"],
    "file-circle-info": [576, 512, [58604], "e493", "M0 64C0 28.65 28.65 0 64 0H224V128C224 145.7 238.3 160 256 160H384V198.6C310.1 219.5 256 287.4 256 368C256 427.1 285.1 479.3 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64zM256 128V0L384 128H256zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 320C445.3 320 456 309.3 456 296C456 282.7 445.3 272 432 272C418.7 272 408 282.7 408 296C408 309.3 418.7 320 432 320zM416 384L416 432C407.2 432 400 439.2 400 448C400 456.8 407.2 464 416 464H448C456.8 464 464 456.8 464 448C464 439.2 456.8 432 448 432V368C448 359.2 440.8 352 432 352H416C407.2 352 400 359.2 400 368C400 376.8 407.2 384 416 384z"],
    "file-circle-minus": [576, 512, [], "e4ed", "M0 64C0 28.65 28.65 0 64 0H224V128C224 145.7 238.3 160 256 160H384V198.6C310.1 219.5 256 287.4 256 368C256 427.1 285.1 479.3 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64zM256 128V0L384 128H256zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM496 351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H496C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1z"],
    "file-circle-plus": [576, 512, [58606], "e494", "M0 64C0 28.65 28.65 0 64 0H224V128C224 145.7 238.3 160 256 160H384V198.6C310.1 219.5 256 287.4 256 368C256 427.1 285.1 479.3 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64zM256 128V0L384 128H256zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM448 303.1C448 295.2 440.8 287.1 432 287.1C423.2 287.1 416 295.2 416 303.1V351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H416V431.1C416 440.8 423.2 447.1 432 447.1C440.8 447.1 448 440.8 448 431.1V383.1H496C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1H448V303.1z"],
    "file-circle-question": [576, 512, [], "e4ef", "M0 64C0 28.65 28.65 0 64 0H224V128C224 145.7 238.3 160 256 160H384V198.6C310.1 219.5 256 287.4 256 368C256 427.1 285.1 479.3 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64zM256 128V0L384 128H256zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 464C445.3 464 456 453.3 456 440C456 426.7 445.3 416 432 416C418.7 416 408 426.7 408 440C408 453.3 418.7 464 432 464zM368 328C368 336.8 375.2 344 384 344C392.8 344 400 336.8 400 328V321.6C400 316.3 404.3 312 409.6 312H450.1C457.8 312 464 318.2 464 325.9C464 331.1 461.1 335.8 456.6 338.3L424.6 355.1C419.3 357.9 416 363.3 416 369.2V384C416 392.8 423.2 400 432 400C440.8 400 448 392.8 448 384V378.9L471.5 366.6C486.6 358.6 496 342.1 496 325.9C496 300.6 475.4 280 450.1 280H409.6C386.6 280 368 298.6 368 321.6V328z"],
    "file-circle-xmark": [576, 512, [], "e5a1", "M0 64C0 28.65 28.65 0 64 0H224V128C224 145.7 238.3 160 256 160H384V198.6C310.1 219.5 256 287.4 256 368C256 427.1 285.1 479.3 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64zM256 128V0L384 128H256zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM491.3 331.3C497.6 325.1 497.6 314.9 491.3 308.7C485.1 302.4 474.9 302.4 468.7 308.7L432 345.4L395.3 308.7C389.1 302.4 378.9 302.4 372.7 308.7C366.4 314.9 366.4 325.1 372.7 331.3L409.4 368L372.7 404.7C366.4 410.9 366.4 421.1 372.7 427.3C378.9 433.6 389.1 433.6 395.3 427.3L432 390.6L468.7 427.3C474.9 433.6 485.1 433.6 491.3 427.3C497.6 421.1 497.6 410.9 491.3 404.7L454.6 368L491.3 331.3z"],
    "file-code": [384, 512, [], "f1c9", "M224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM154.1 353.8c7.812 7.812 7.812 20.5 0 28.31C150.2 386.1 145.1 388 140 388s-10.23-1.938-14.14-5.844l-48-48c-7.812-7.812-7.812-20.5 0-28.31l48-48c7.812-7.812 20.47-7.812 28.28 0s7.812 20.5 0 28.31L120.3 320L154.1 353.8zM306.1 305.8c7.812 7.812 7.812 20.5 0 28.31l-48 48C254.2 386.1 249.1 388 244 388s-10.23-1.938-14.14-5.844c-7.812-7.812-7.812-20.5 0-28.31L263.7 320l-33.86-33.84c-7.812-7.812-7.812-20.5 0-28.31s20.47-7.812 28.28 0L306.1 305.8zM256 0v128h128L256 0z"],
    "file-contract": [384, 512, [], "f56c", "M256 0v128h128L256 0zM224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM64 72C64 67.63 67.63 64 72 64h80C156.4 64 160 67.63 160 72v16C160 92.38 156.4 96 152 96h-80C67.63 96 64 92.38 64 88V72zM64 136C64 131.6 67.63 128 72 128h80C156.4 128 160 131.6 160 136v16C160 156.4 156.4 160 152 160h-80C67.63 160 64 156.4 64 152V136zM304 384c8.875 0 16 7.125 16 16S312.9 416 304 416h-47.25c-16.38 0-31.25-9.125-38.63-23.88c-2.875-5.875-8-6.5-10.12-6.5s-7.25 .625-10 6.125l-7.75 15.38C187.6 412.6 181.1 416 176 416H174.9c-6.5-.5-12-4.75-14-11L144 354.6L133.4 386.5C127.5 404.1 111 416 92.38 416H80C71.13 416 64 408.9 64 400S71.13 384 80 384h12.38c4.875 0 9.125-3.125 10.62-7.625l18.25-54.63C124.5 311.9 133.6 305.3 144 305.3s19.5 6.625 22.75 16.5l13.88 41.63c19.75-16.25 54.13-9.75 66 14.12c2 4 6 6.5 10.12 6.5H304z"],
    "file-csv": [384, 512, [], "f6dd", "M224 0V128C224 145.7 238.3 160 256 160H384V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H224zM80 224C57.91 224 40 241.9 40 264V344C40 366.1 57.91 384 80 384H96C118.1 384 136 366.1 136 344V336C136 327.2 128.8 320 120 320C111.2 320 104 327.2 104 336V344C104 348.4 100.4 352 96 352H80C75.58 352 72 348.4 72 344V264C72 259.6 75.58 256 80 256H96C100.4 256 104 259.6 104 264V272C104 280.8 111.2 288 120 288C128.8 288 136 280.8 136 272V264C136 241.9 118.1 224 96 224H80zM175.4 310.6L200.8 325.1C205.2 327.7 208 332.5 208 337.6C208 345.6 201.6 352 193.6 352H168C159.2 352 152 359.2 152 368C152 376.8 159.2 384 168 384H193.6C219.2 384 240 363.2 240 337.6C240 320.1 231.1 305.6 216.6 297.4L191.2 282.9C186.8 280.3 184 275.5 184 270.4C184 262.4 190.4 256 198.4 256H216C224.8 256 232 248.8 232 240C232 231.2 224.8 224 216 224H198.4C172.8 224 152 244.8 152 270.4C152 287 160.9 302.4 175.4 310.6zM280 240C280 231.2 272.8 224 264 224C255.2 224 248 231.2 248 240V271.6C248 306.3 258.3 340.3 277.6 369.2L282.7 376.9C285.7 381.3 290.6 384 296 384C301.4 384 306.3 381.3 309.3 376.9L314.4 369.2C333.7 340.3 344 306.3 344 271.6V240C344 231.2 336.8 224 328 224C319.2 224 312 231.2 312 240V271.6C312 294.6 306.5 317.2 296 337.5C285.5 317.2 280 294.6 280 271.6V240zM256 0L384 128H256V0z"],
    "file-dashed-line": [576, 512, ["page-break"], "f877", "M96 64C96 28.65 124.7 0 160 0H320V128C320 145.7 334.3 160 352 160H480V256H96V64zM96 368H480V448C480 483.3 451.3 512 416 512H160C124.7 512 96 483.3 96 448V368zM352 128V0L480 128H352zM136 288C149.3 288 160 298.7 160 312C160 325.3 149.3 336 136 336H24C10.75 336 0 325.3 0 312C0 298.7 10.75 288 24 288H136zM328 288C341.3 288 352 298.7 352 312C352 325.3 341.3 336 328 336H248C234.7 336 224 325.3 224 312C224 298.7 234.7 288 248 288H328zM552 288C565.3 288 576 298.7 576 312C576 325.3 565.3 336 552 336H440C426.7 336 416 325.3 416 312C416 298.7 426.7 288 440 288H552z"],
    "file-excel": [384, 512, [], "f1c3", "M224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM272.1 264.4L224 344l48.99 79.61C279.6 434.3 271.9 448 259.4 448h-26.43c-5.557 0-10.71-2.883-13.63-7.617L192 396l-27.31 44.38C161.8 445.1 156.6 448 151.1 448H124.6c-12.52 0-20.19-13.73-13.63-24.39L160 344L111 264.4C104.4 253.7 112.1 240 124.6 240h26.43c5.557 0 10.71 2.883 13.63 7.613L192 292l27.31-44.39C222.2 242.9 227.4 240 232.9 240h26.43C271.9 240 279.6 253.7 272.1 264.4zM256 0v128h128L256 0z"],
    "file-exclamation": [384, 512, [], "f31a", "M224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM168 216C168 202.8 178.8 192 192 192s24 10.75 24 24v112c0 13.25-10.75 24-24 24s-24-10.75-24-24V216zM224 415.1C224 433.7 209.7 448 192 448s-32-14.33-32-32c0-.1777 .1016-.3262 .1016-.502c.2734-16.55 13.14-29.68 29.42-30.1C190.4 384.4 191.1 383.1 192 383.1s1.617 .4303 2.477 .5006c16.28 1.314 29.15 14.45 29.42 30.1C223.9 415.7 224 415.8 224 415.1zM256 0v128h128L256 0z"],
    "file-export": [576, 512, ["arrow-right-from-file"], "f56e", "M192 312C192 298.8 202.8 288 216 288H384V160H256c-17.67 0-32-14.33-32-32L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48v-128H216C202.8 336 192 325.3 192 312zM256 0v128h128L256 0zM568.1 295l-80-80c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L494.1 288H384v48h110.1l-39.03 39.03C450.3 379.7 448 385.8 448 392s2.344 12.28 7.031 16.97c9.375 9.375 24.56 9.375 33.94 0l80-80C578.3 319.6 578.3 304.4 568.1 295z"],
    "file-heart": [384, 512, [], "e176", "M256 0v128h128L256 0zM224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM284.7 342.3l-82.99 85.56c-5.387 5.504-13.95 5.504-19.34 0l-82.99-85.56c-24.11-25.02-22.64-66.17 4.285-89.19c23.5-20.02 58.39-16.39 79.81 5.754l8.445 8.754l8.445-8.754c21.55-22.14 56.55-25.77 79.93-5.754C307.3 276.1 308.8 317.3 284.7 342.3z"],
    "file-image": [384, 512, [128443], "f1c5", "M224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM96 224c17.67 0 32 14.33 32 32S113.7 288 96 288S64 273.7 64 256S78.33 224 96 224zM318.1 439.5C315.3 444.8 309.9 448 304 448h-224c-5.9 0-11.32-3.248-14.11-8.451c-2.783-5.201-2.479-11.52 .7949-16.42l53.33-80C122.1 338.7 127.1 336 133.3 336s10.35 2.674 13.31 7.125L160 363.2l45.35-68.03C208.3 290.7 213.3 288 218.7 288s10.35 2.674 13.31 7.125l85.33 128C320.6 428 320.9 434.3 318.1 439.5zM256 0v128h128L256 0z"],
    "file-import": [512, 512, ["arrow-right-to-file"], "f56f", "M384 0v128h128L384 0zM352 128L352 0H176C149.5 0 128 21.49 128 48V288h174.1l-39.03-39.03c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0l80 80c9.375 9.375 9.375 24.56 0 33.94l-80 80c-9.375 9.375-24.56 9.375-33.94 0C258.3 404.3 256 398.2 256 392s2.344-12.28 7.031-16.97L302.1 336H128v128C128 490.5 149.5 512 176 512h288c26.51 0 48-21.49 48-48V160h-127.1C366.3 160 352 145.7 352 128zM24 288C10.75 288 0 298.7 0 312c0 13.25 10.75 24 24 24H128V288H24z"],
    "file-invoice": [384, 512, [], "f570", "M256 0v128h128L256 0zM288 256H96v64h192V256zM224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM64 72C64 67.63 67.63 64 72 64h80C156.4 64 160 67.63 160 72v16C160 92.38 156.4 96 152 96h-80C67.63 96 64 92.38 64 88V72zM64 136C64 131.6 67.63 128 72 128h80C156.4 128 160 131.6 160 136v16C160 156.4 156.4 160 152 160h-80C67.63 160 64 156.4 64 152V136zM320 440c0 4.375-3.625 8-8 8h-80C227.6 448 224 444.4 224 440v-16c0-4.375 3.625-8 8-8h80c4.375 0 8 3.625 8 8V440zM320 240v96c0 8.875-7.125 16-16 16h-224C71.13 352 64 344.9 64 336v-96C64 231.1 71.13 224 80 224h224C312.9 224 320 231.1 320 240z"],
    "file-invoice-dollar": [384, 512, [], "f571", "M384 128h-128V0L384 128zM256 160H384v304c0 26.51-21.49 48-48 48h-288C21.49 512 0 490.5 0 464v-416C0 21.49 21.49 0 48 0H224l.0039 128C224 145.7 238.3 160 256 160zM64 88C64 92.38 67.63 96 72 96h80C156.4 96 160 92.38 160 88v-16C160 67.63 156.4 64 152 64h-80C67.63 64 64 67.63 64 72V88zM72 160h80C156.4 160 160 156.4 160 152v-16C160 131.6 156.4 128 152 128h-80C67.63 128 64 131.6 64 136v16C64 156.4 67.63 160 72 160zM197.5 316.8L191.1 315.2C168.3 308.2 168.8 304.1 169.6 300.5c1.375-7.812 16.59-9.719 30.27-7.625c5.594 .8438 11.73 2.812 17.59 4.844c10.39 3.594 21.83-1.938 25.45-12.34c3.625-10.44-1.891-21.84-12.33-25.47c-7.219-2.484-13.11-4.078-18.56-5.273V248c0-11.03-8.953-20-20-20s-20 8.969-20 20v5.992C149.6 258.8 133.8 272.8 130.2 293.7c-7.406 42.84 33.19 54.75 50.52 59.84l5.812 1.688c29.28 8.375 28.8 11.19 27.92 16.28c-1.375 7.812-16.59 9.75-30.31 7.625c-6.938-1.031-15.81-4.219-23.66-7.031l-4.469-1.625c-10.41-3.594-21.83 1.812-25.52 12.22c-3.672 10.41 1.781 21.84 12.2 25.53l4.266 1.5c7.758 2.789 16.38 5.59 25.06 7.512V424c0 11.03 8.953 20 20 20s20-8.969 20-20v-6.254c22.36-4.793 38.21-18.53 41.83-39.43C261.3 335 219.8 323.1 197.5 316.8z"],
    "file-lines": [384, 512, [128462, 61686, 128441, "file-alt", "file-text"], "f15c", "M256 0v128h128L256 0zM224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM272 416h-160C103.2 416 96 408.8 96 400C96 391.2 103.2 384 112 384h160c8.836 0 16 7.162 16 16C288 408.8 280.8 416 272 416zM272 352h-160C103.2 352 96 344.8 96 336C96 327.2 103.2 320 112 320h160c8.836 0 16 7.162 16 16C288 344.8 280.8 352 272 352zM288 272C288 280.8 280.8 288 272 288h-160C103.2 288 96 280.8 96 272C96 263.2 103.2 256 112 256h160C280.8 256 288 263.2 288 272z"],
    "file-lock": [576, 512, [], "e3a6", "M256 0v128h128L256 0zM543.1 320L544 272C544 227.9 508.1 192 464 192S384 227.9 384 272V320c-17.68 0-32 14.33-32 32.01v127.1C352 497.7 366.3 512 384 512h159.1C561.7 512 576 497.7 576 479.1v-127.1C576 334.3 561.7 320 543.1 320zM496 320h-64V272c0-17.64 14.34-32 32-32s32 14.36 32 32V320zM352 296.6V272c0-30.4 12.27-57.94 32-78.14V160H256c-17.67 0-32-14.33-32-32L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h280.9C323.4 502.5 320 491.7 320 479.1v-127.1C320 328.4 332.9 307.7 352 296.6z"],
    "file-magnifying-glass": [384, 512, ["file-search"], "f865", "M224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM312.1 407c9.375 9.375 9.375 24.56 0 33.94C308.3 445.7 302.2 448 296 448s-12.28-2.344-16.97-7.031l-48.67-48.67C214.5 402.1 195.1 408 176 408c-57.44 0-104-46.56-104-104S118.6 200 176 200s104 46.56 104 104c0 20-5.922 38.5-15.71 54.36L312.1 407zM256 0v128h128L256 0zM176 248c-30.88 0-56 25.12-56 56c0 30.88 25.12 56 56 56c30.88 0 56-25.12 56-56C232 273.1 206.9 248 176 248z"],
    "file-medical": [384, 512, [], "f477", "M256 0v128h128L256 0zM224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM288 301.7v36.57C288 345.9 281.9 352 274.3 352L224 351.1v50.29C224 409.9 217.9 416 210.3 416H173.7C166.1 416 160 409.9 160 402.3V351.1L109.7 352C102.1 352 96 345.9 96 338.3V301.7C96 294.1 102.1 288 109.7 288H160V237.7C160 230.1 166.1 224 173.7 224h36.57C217.9 224 224 230.1 224 237.7V288h50.29C281.9 288 288 294.1 288 301.7z"],
    "file-minus": [384, 512, [], "f318", "M256 0v128h128L256 0zM224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM296 336c0 13.26-10.74 23.1-24 23.1H111.1C98.73 359.1 88 349.3 88 336c0-13.26 10.74-23.1 23.1-23.1H272C285.3 312 296 322.7 296 336z"],
    "file-music": [384, 512, [], "f8b6", "M224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM281.5 211.1C285.6 214.1 288 218.9 288 224v160c0 17.62-21.5 32-48 32S192 401.6 192 384s21.5-32 48-32c5.375 0 10.75 .7498 16 2V277.6l-96 37.5V416c0 17.62-21.5 32-48 32S64 433.6 64 416s21.5-32 48-32c5.375 0 10.75 .7498 16 2V271.3C128 264.3 132.5 258.1 139.3 256l128-47.25C272 207.3 277.4 208.1 281.5 211.1zM256 0v128h128L256 0z"],
    "file-pdf": [384, 512, [], "f1c1", "M88 304H80V256H88C101.3 256 112 266.7 112 280C112 293.3 101.3 304 88 304zM192 256H200C208.8 256 216 263.2 216 272V336C216 344.8 208.8 352 200 352H192V256zM224 0V128C224 145.7 238.3 160 256 160H384V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H224zM64 224C55.16 224 48 231.2 48 240V368C48 376.8 55.16 384 64 384C72.84 384 80 376.8 80 368V336H88C118.9 336 144 310.9 144 280C144 249.1 118.9 224 88 224H64zM160 368C160 376.8 167.2 384 176 384H200C226.5 384 248 362.5 248 336V272C248 245.5 226.5 224 200 224H176C167.2 224 160 231.2 160 240V368zM288 224C279.2 224 272 231.2 272 240V368C272 376.8 279.2 384 288 384C296.8 384 304 376.8 304 368V320H336C344.8 320 352 312.8 352 304C352 295.2 344.8 288 336 288H304V256H336C344.8 256 352 248.8 352 240C352 231.2 344.8 224 336 224H288zM256 0L384 128H256V0z"],
    "file-pen": [576, 512, [128221, "file-edit"], "f31c", "M0 64C0 28.65 28.65 0 64 0H224V128C224 145.7 238.3 160 256 160H384V299.6L289.3 394.3C281.1 402.5 275.3 412.8 272.5 424.1L257.4 484.2C255.1 493.6 255.7 503.2 258.8 512H64C28.65 512 0 483.3 0 448V64zM256 128V0L384 128H256zM564.1 250.1C579.8 265.7 579.8 291 564.1 306.7L534.7 336.1L463.8 265.1L493.2 235.7C508.8 220.1 534.1 220.1 549.8 235.7L564.1 250.1zM311.9 416.1L441.1 287.8L512.1 358.7L382.9 487.9C378.8 492 373.6 494.9 368 496.3L307.9 511.4C302.4 512.7 296.7 511.1 292.7 507.2C288.7 503.2 287.1 497.4 288.5 491.1L303.5 431.8C304.9 426.2 307.8 421.1 311.9 416.1V416.1z"],
    "file-plus": [384, 512, [], "f319", "M256 0v128h128L256 0zM224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM296 336c0 13.26-10.74 23.1-24 23.1h-56v56C215.1 429.3 205.3 440 192 440c-13.27 0-24-10.74-24-23.1V359.1H111.1C98.73 359.1 88 349.3 88 336c0-13.26 10.74-23.1 23.1-23.1H168V255.1C168 242.7 178.7 232 192 232s23.1 10.74 23.1 23.1V312H272C285.3 312 296 322.7 296 336z"],
    "file-plus-minus": [384, 512, [], "e177", "M256 0v128h128L256 0zM224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM256 432H128c-8.844 0-16-7.156-16-16s7.156-16 16-16h128c8.844 0 16 7.156 16 16S264.8 432 256 432zM272 272C272 280.8 264.8 288 256 288h-48v48c0 8.844-7.156 16-16 16s-16-7.156-16-16V288H128C119.2 288 112 280.8 112 272S119.2 256 128 256h48V208C176 199.2 183.2 192 192 192s16 7.156 16 16V256H256C264.8 256 272 263.2 272 272z"],
    "file-powerpoint": [384, 512, [], "f1c4", "M256 0v128h128L256 0zM224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM279.6 308.1C284.2 353.5 248.5 392 204 392H160v40C160 440.8 152.8 448 144 448H128c-8.836 0-16-7.164-16-16V256c0-8.836 7.164-16 16-16h71.51C239.3 240 275.6 268.5 279.6 308.1zM160 344h44c15.44 0 28-12.56 28-28S219.4 288 204 288H160V344z"],
    "file-prescription": [384, 512, [], "f572", "M176 240H128v32h48C184.9 272 192 264.9 192 256S184.9 240 176 240zM256 0v128h128L256 0zM224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM292.5 315.5l11.38 11.25c6.25 6.25 6.25 16.38 0 22.62l-29.88 30L304 409.4c6.25 6.25 6.25 16.38 0 22.62l-11.25 11.38c-6.25 6.25-16.5 6.25-22.75 0L240 413.3l-30 30c-6.249 6.25-16.48 6.266-22.73 .0156L176 432c-6.25-6.25-6.25-16.38 0-22.62l29.1-30.12L146.8 320H128l.0078 48.01c0 8.875-7.125 16-16 16L96 384c-8.875 0-16-7.125-16-16v-160C80 199.1 87.13 192 96 192h80c35.38 0 64 28.62 64 64c0 24.25-13.62 45-33.5 55.88L240 345.4l29.88-29.88C276.1 309.3 286.3 309.3 292.5 315.5z"],
    "file-shield": [576, 512, [], "e4f0", "M0 64C0 28.65 28.65 0 64 0H224V128C224 145.7 238.3 160 256 160H384V207L291.2 244.2C269.9 252.7 256 273.3 256 296.2C256 352.7 274.9 444.2 350.2 504.4C341.2 509.3 330.9 512 320 512H64C28.65 512 0 483.3 0 448V64zM256 128V0L384 128H256zM423.1 225.7C428.8 223.4 435.2 223.4 440.9 225.7L560.9 273.7C570 277.4 576 286.2 576 296C576 359.3 550.1 464.8 441.2 510.2C435.3 512.6 428.7 512.6 422.8 510.2C313.9 464.8 288 359.3 288 296C288 286.2 293.1 277.4 303.1 273.7L423.1 225.7zM432 273.8V461.7C500.2 428.7 523.5 362.7 527.4 311.1L432 273.8z"],
    "file-signature": [576, 512, [], "f573", "M292.7 342.3C289.7 345.3 288 349.4 288 353.7V416h62.34c4.264 0 8.35-1.703 11.35-4.727l156.9-158l-67.88-67.88L292.7 342.3zM568.5 167.4L536.6 135.5c-9.875-10-26-10-36 0l-27.25 27.25l67.88 67.88l27.25-27.25C578.5 193.4 578.5 177.3 568.5 167.4zM256 0v128h128L256 0zM256 448c-16.07-.2852-30.62-9.359-37.88-23.88c-2.875-5.875-8-6.5-10.12-6.5s-7.25 .625-10 6.125l-7.749 15.38C187.6 444.6 181.1 448 176 448H174.9c-6.5-.5-12-4.75-14-11L144 386.6L133.4 418.5C127.5 436.1 111 448 92.45 448H80C71.13 448 64 440.9 64 432S71.13 416 80 416h12.4c4.875 0 9.102-3.125 10.6-7.625l18.25-54.63C124.5 343.9 133.6 337.3 144 337.3s19.5 6.625 22.75 16.5l13.88 41.63c19.75-16.25 54.13-9.75 66 14.12C248.5 413.2 252.2 415.6 256 415.9V347c0-8.523 3.402-16.7 9.451-22.71L384 206.5V160H256c-17.67 0-32-14.33-32-32L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V448H256z"],
    "file-slash": [640, 512, [], "e3a7", "M384 0v128h128L384 0zM128 464C128 490.5 149.5 512 176 512h288c16.36 0 30.78-8.221 39.44-20.72L128 197L128 464zM639.1 487.1c0-7.119-3.153-14.16-9.191-18.89l-118.8-93.12L512 160l-127.1-.0007c-17.67 0-31.1-14.33-31.1-31.1L352 0H176C149.5 0 128 21.49 128 48l.002 27.01L38.82 5.11C34.41 1.672 29.19 0 24.04 0C10.15 0-.0002 11.33-.0002 23.1c0 7.119 3.154 14.16 9.192 18.89l591.1 463.1C605.6 510.3 610.8 512 615.1 512C629.8 512 639.1 500.6 639.1 487.1z"],
    "file-spreadsheet": [384, 512, [], "f65b", "M296 368h-48V416h48V368zM256 0v128h128L256 0zM296 288h-48v48h48V288zM216 288h-48v48h48V288zM216 368h-48V416h48V368zM136 368h-48V416h48V368zM224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM328 240v192c0 8.875-7.125 16-16 16h-240c-8.875 0-16-7.125-16-16v-192c0-8.875 7.125-16 16-16h240C320.9 224 328 231.1 328 240zM136 288h-48v48h48V288z"],
    "file-user": [384, 512, [], "f65c", "M256 0v128h128L256 0zM224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM192 192c35.35 0 64 28.66 64 64s-28.65 64-64 64c-35.34 0-64-28.66-64-64S156.7 192 192 192zM304 432c0 8.836-7.164 16-16 16H96c-8.836 0-16-7.164-16-16C80 387.8 115.8 352 160 352h64C268.2 352 304 387.8 304 432z"],
    "file-video": [384, 512, [], "f1c8", "M256 0v128h128L256 0zM224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM224 384c0 17.67-14.33 32-32 32H96c-17.67 0-32-14.33-32-32V288c0-17.67 14.33-32 32-32h96c17.67 0 32 14.33 32 32V384zM320 284.9v102.3c0 12.57-13.82 20.23-24.48 13.57L256 376v-80l39.52-24.7C306.2 264.6 320 272.3 320 284.9z"],
    "file-waveform": [448, 512, ["file-medical-alt"], "f478", "M320 0v128h128L320 0zM288 128L288 0H112C85.49 0 64 21.49 64 48V224H16C7.164 224 0 231.2 0 240v32C0 280.8 7.164 288 16 288h128c6.062 0 11.59 3.438 14.31 8.844L176 332.2l49.69-99.38c5.438-10.81 23.19-10.81 28.62 0L281.9 288H352c8.844 0 16 7.156 16 16S360.8 320 352 320h-80c-6.062 0-11.59-3.438-14.31-8.844L240 275.8l-49.69 99.38C187.6 380.6 182.1 384 176 384s-11.59-3.438-14.31-8.844L134.1 320H64v144C64 490.5 85.49 512 112 512h288c26.51 0 48-21.49 48-48V160h-127.1C302.3 160 288 145.7 288 128z"],
    "file-word": [384, 512, [], "f1c2", "M224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM281.5 240h23.37c7.717 0 13.43 7.18 11.69 14.7l-42.46 184C272.9 444.1 268 448 262.5 448h-29.26c-5.426 0-10.18-3.641-11.59-8.883L192 329.1l-29.61 109.1C160.1 444.4 156.2 448 150.8 448H121.5c-5.588 0-10.44-3.859-11.69-9.305l-42.46-184C65.66 247.2 71.37 240 79.08 240h23.37c5.588 0 10.44 3.859 11.69 9.301L137.8 352L165.6 248.9C167 243.6 171.8 240 177.2 240h29.61c5.426 0 10.18 3.641 11.59 8.883L246.2 352l23.7-102.7C271.1 243.9 275.1 240 281.5 240zM256 0v128h128L256 0z"],
    "file-xmark": [384, 512, ["file-times"], "f317", "M256 0v128h128L256 0zM224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM272.1 272.1L225.9 320l47.03 47.03c9.375 9.375 9.375 24.56 0 33.94c-9.383 9.379-24.56 9.371-33.94 0L192 353.9l-47.03 47.03c-9.383 9.379-24.56 9.371-33.94 0c-9.375-9.375-9.375-24.56 0-33.94L158.1 320L111 272.1c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0L192 286.1l47.03-47.03c9.375-9.375 24.56-9.375 33.94 0S282.3 263.6 272.1 272.1z"],
    "file-zipper": [384, 512, ["file-archive"], "f1c6", "M256 0v128h128L256 0zM224 128L224 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V160h-127.1C238.3 160 224 145.7 224 128zM96 32h64v32H96V32zM96 96h64v32H96V96zM96 160h64v32H96V160zM128.3 415.1c-40.56 0-70.76-36.45-62.83-75.45L96 224h64l30.94 116.9C198.7 379.7 168.5 415.1 128.3 415.1zM144 336h-32C103.2 336 96 343.2 96 352s7.164 16 16 16h32C152.8 368 160 360.8 160 352S152.8 336 144 336z"],
    "files": [448, 512, [], "e178", "M352 0v96h96L352 0zM320 96V0H144C117.5 0 96 21.49 96 48v320C96 394.5 117.5 416 144 416h256c26.51 0 48-21.49 48-48V128h-96C334.4 128 320 113.6 320 96zM328 512h-208C53.83 512 0 458.2 0 392v-272C0 106.8 10.75 96 24 96S48 106.8 48 120v272c0 39.7 32.3 72 72 72h208c13.25 0 24 10.75 24 24S341.3 512 328 512z"],
    "files-medical": [448, 512, [], "f7fd", "M352 0v96h96L352 0zM352 128h96v240c0 26.51-21.49 48-48 48h-256C117.5 416 96 394.5 96 368v-320C96 21.49 117.5 0 144 0H320v96C320 113.6 334.4 128 352 128zM354.3 224H304V173.7C304 166.1 297.9 160 290.3 160h-36.57C246.1 160 240 166.1 240 173.7V224H189.7C182.1 224 176 230.1 176 237.7v36.57C176 281.9 182.1 288 189.7 288H240v50.29C240 345.9 246.1 352 253.7 352h36.57C297.9 352 304 345.9 304 338.3V288h50.29C361.9 288 368 281.9 368 274.3V237.7C368 230.1 361.9 224 354.3 224zM328 512h-208C53.83 512 0 458.2 0 392v-272C0 106.8 10.75 96 24 96S48 106.8 48 120v272c0 39.7 32.3 72 72 72h208c13.25 0 24 10.75 24 24S341.3 512 328 512z"],
    "fill": [512, 512, [], "f575", "M168 90.74L221.1 37.66C249.2 9.539 294.8 9.539 322.9 37.66L474.3 189.1C502.5 217.2 502.5 262.8 474.3 290.9L283.9 481.4C246.4 518.9 185.6 518.9 148.1 481.4L30.63 363.9C-6.863 326.4-6.863 265.6 30.63 228.1L122.7 135.1L41.37 54.63C28.88 42.13 28.88 21.87 41.37 9.372C53.87-3.124 74.13-3.124 86.63 9.372L168 90.74zM75.88 273.4C71.69 277.6 68.9 282.6 67.52 287.1H386.7L429.1 245.7C432.2 242.5 432.2 237.5 429.1 234.3L277.7 82.91C274.5 79.79 269.5 79.79 266.3 82.91L213.3 136L262.6 185.4C275.1 197.9 275.1 218.1 262.6 230.6C250.1 243.1 229.9 243.1 217.4 230.6L168 181.3L75.88 273.4z"],
    "fill-drip": [576, 512, [], "f576", "M41.37 9.372C53.87-3.124 74.13-3.124 86.63 9.372L168 90.74L221.1 37.66C249.2 9.539 294.8 9.539 322.9 37.66L474.3 189.1C502.5 217.2 502.5 262.8 474.3 290.9L283.9 481.4C246.4 518.9 185.6 518.9 148.1 481.4L30.63 363.9C-6.863 326.4-6.863 265.6 30.63 228.1L122.7 135.1L41.37 54.63C28.88 42.13 28.88 21.87 41.37 9.372V9.372zM217.4 230.6L168 181.3L75.88 273.4C71.69 277.6 68.9 282.6 67.52 288H386.7L429.1 245.7C432.2 242.5 432.2 237.5 429.1 234.3L277.7 82.91C274.5 79.79 269.5 79.79 266.3 82.91L213.3 136L262.6 185.4C275.1 197.9 275.1 218.1 262.6 230.6C250.1 243.1 229.9 243.1 217.4 230.6L217.4 230.6zM448 448C448 422.8 480.6 368.4 499.2 339.3C505.3 329.9 518.7 329.9 524.8 339.3C543.4 368.4 576 422.8 576 448C576 483.3 547.3 512 512 512C476.7 512 448 483.3 448 448H448z"],
    "film": [512, 512, [127902], "f008", "M463.1 32h-416C21.49 32-.0001 53.49-.0001 80v352c0 26.51 21.49 48 47.1 48h416c26.51 0 48-21.49 48-48v-352C511.1 53.49 490.5 32 463.1 32zM111.1 408c0 4.418-3.582 8-8 8H55.1c-4.418 0-8-3.582-8-8v-48c0-4.418 3.582-8 8-8h47.1c4.418 0 8 3.582 8 8L111.1 408zM111.1 280c0 4.418-3.582 8-8 8H55.1c-4.418 0-8-3.582-8-8v-48c0-4.418 3.582-8 8-8h47.1c4.418 0 8 3.582 8 8V280zM111.1 152c0 4.418-3.582 8-8 8H55.1c-4.418 0-8-3.582-8-8v-48c0-4.418 3.582-8 8-8h47.1c4.418 0 8 3.582 8 8L111.1 152zM351.1 400c0 8.836-7.164 16-16 16H175.1c-8.836 0-16-7.164-16-16v-96c0-8.838 7.164-16 16-16h160c8.836 0 16 7.162 16 16V400zM351.1 208c0 8.836-7.164 16-16 16H175.1c-8.836 0-16-7.164-16-16v-96c0-8.838 7.164-16 16-16h160c8.836 0 16 7.162 16 16V208zM463.1 408c0 4.418-3.582 8-8 8h-47.1c-4.418 0-7.1-3.582-7.1-8l0-48c0-4.418 3.582-8 8-8h47.1c4.418 0 8 3.582 8 8V408zM463.1 280c0 4.418-3.582 8-8 8h-47.1c-4.418 0-8-3.582-8-8v-48c0-4.418 3.582-8 8-8h47.1c4.418 0 8 3.582 8 8V280zM463.1 152c0 4.418-3.582 8-8 8h-47.1c-4.418 0-8-3.582-8-8l0-48c0-4.418 3.582-8 7.1-8h47.1c4.418 0 8 3.582 8 8V152z"],
    "film-canister": [576, 512, ["film-cannister"], "f8b7", "M544 128h-192v288h128c17.62 0 32-14.38 32-32v-32c0-17.62 14.38-32 32-32s32-14.38 32-32V160C576 142.4 561.6 128 544 128zM440 360c0 8.875-7.125 16-16 16h-16c-8.875 0-16-7.125-16-16v-16c0-8.875 7.125-16 16-16h16c8.875 0 16 7.125 16 16V360zM440 200c0 8.875-7.125 16-16 16h-16c-8.875 0-16-7.125-16-16v-16c0-8.875 7.125-16 16-16h16c8.875 0 16 7.125 16 16V200zM536 200c0 8.875-7.125 16-16 16h-16c-8.875 0-16-7.125-16-16v-16c0-8.875 7.125-16 16-16h16c8.875 0 16 7.125 16 16V200zM336 448H320V96h16C344.9 96 352 88.88 352 80v-32C352 39.12 344.9 32 336 32H256V16C256 7.125 248.9 0 240 0h-128C103.1 0 96 7.125 96 16V32H16C7.125 32 0 39.12 0 48v32C0 88.88 7.125 96 16 96H32v352H16C7.125 448 0 455.1 0 464v32C0 504.9 7.125 512 16 512h320c8.875 0 16-7.125 16-16v-32C352 455.1 344.9 448 336 448z"],
    "film-simple": [512, 512, ["film-alt"], "f3a0", "M464 32v56C464 92.42 460.4 96 456 96h-48c-4.418 0-8-3.582-8-8V32h-288v56C112 92.42 108.4 96 104 96h-48C51.58 96 48 92.42 48 88V32C21.49 32 0 53.49 0 80v352C0 458.5 21.49 480 48 480v-56C48 419.6 51.58 416 56 416h48c4.418 0 8 3.582 8 8V480h288v-56c0-4.418 3.582-8 8-8h48c4.418 0 8 3.582 8 8V480c26.51 0 48-21.49 48-48v-352C512 53.49 490.5 32 464 32zM112 344C112 348.4 108.4 352 104 352h-48c-4.418 0-8-3.582-8-8v-48C48 291.6 51.58 288 56 288h48C108.4 288 112 291.6 112 296V344zM112 216C112 220.4 108.4 224 104 224h-48C51.58 224 48 220.4 48 216v-48C48 163.6 51.58 160 56 160h48C108.4 160 112 163.6 112 168V216zM464 344c0 4.418-3.582 8-8 8h-48c-4.418 0-8-3.582-8-8v-48C400 291.6 403.6 288 408 288h48c4.418 0 8 3.582 8 8V344zM464 216C464 220.4 460.4 224 456 224h-48c-4.418 0-8-3.582-8-8v-48C400 163.6 403.6 160 408 160h48c4.418 0 8 3.582 8 8V216z"],
    "film-slash": [640, 512, [], "e179", "M630.8 469.1L576 426.1V80C576 53.49 554.5 32 528 32h-416C101.7 32 92.21 35.31 84.39 40.84L38.81 5.113C28.34-3.058 13.31-1.246 5.109 9.192C-3.063 19.63-1.235 34.72 9.187 42.89L601.2 506.9C605.6 510.3 610.8 512 615.1 512c7.125 0 14.17-3.156 18.91-9.188C643.1 492.4 641.2 477.3 630.8 469.1zM416 208C416 216.8 408.8 224 400 224H318.1L224 150.3V112C224 103.2 231.2 96 240 96h160C408.8 96 416 103.2 416 112V208zM528 388.5L481.4 352H520c4.418 0 8 3.582 8 8V388.5zM528 280C528 284.4 524.4 288 520 288h-48c-4.418 0-8-3.582-8-8v-48C464 227.6 467.6 224 472 224h48c4.418 0 8 3.582 8 8V280zM528 152C528 156.4 524.4 160 520 160h-48c-4.418 0-8-3.582-8-8v-48C464 99.58 467.6 96 472 96h48c4.418 0 8 3.582 8 8V152zM400 416h-160C231.2 416 224 408.8 224 400v-96C224 295.2 231.2 288 240 288h4.082L176 234.6V280C176 284.4 172.4 288 168 288h-48C115.6 288 112 284.4 112 280v-48C112 227.6 115.6 224 120 224h42.43L64 146.9V432C64 458.5 85.49 480 112 480h377l-83.17-65.19C404.1 415.5 402.1 416 400 416zM176 408C176 412.4 172.4 416 168 416h-48c-4.418 0-8-3.582-8-8v-48C112 355.6 115.6 352 120 352h48c4.418 0 8 3.582 8 8V408z"],
    "films": [576, 512, [], "e17a", "M528 32h-384C117.5 32 96 53.49 96 80v256C96 362.5 117.5 384 144 384h384c26.51 0 48-21.49 48-48v-256C576 53.49 554.5 32 528 32zM200 327C200 331.1 195.1 336 191 336h-30C156 336 152 331.1 152 327v-30C152 292 156 288 161 288h30C195.1 288 200 292 200 297V327zM200 223C200 227.1 195.1 232 191 232h-30C156 232 152 227.1 152 223v-30C152 188 156 184 161 184h30C195.1 184 200 188 200 193V223zM200 119C200 123.1 195.1 128 191 128h-30C156 128 152 123.1 152 119v-30C152 84.03 156 80 161 80h30C195.1 80 200 84.03 200 89V119zM416 320c0 8.836-7.164 16-16 16h-128C263.2 336 256 328.8 256 320V240C256 231.2 263.2 224 272 224h128C408.8 224 416 231.2 416 240V320zM416 176C416 184.8 408.8 192 400 192h-128C263.2 192 256 184.8 256 176V96c0-8.838 7.164-16 16-16h128C408.8 80 416 87.16 416 96V176zM520 327c0 4.969-4.031 9-9 9h-30c-4.969 0-9-4.031-9-9v-30C472 292 476 288 481 288h30C515.1 288 520 292 520 297V327zM520 223c0 4.969-4.031 9-9 9h-30C476 232 472 227.1 472 223v-30c0-4.969 4.031-9 9-9h30c4.969 0 9 4.031 9 9V223zM520 119C520 123.1 515.1 128 511 128h-30C476 128 472 123.1 472 119v-30C472 84.03 476 80 481 80h30C515.1 80 520 84.03 520 89V119zM456 480H120C53.83 480 0 426.2 0 360v-240C0 106.8 10.75 96 24 96S48 106.8 48 120v240c0 39.7 32.3 72 72 72h336c13.25 0 24 10.75 24 24S469.3 480 456 480z"],
    "filter": [512, 512, [], "f0b0", "M3.853 54.87C10.47 40.9 24.54 32 40 32H472C487.5 32 501.5 40.9 508.1 54.87C514.8 68.84 512.7 85.37 502.1 97.33L320 320.9V448C320 460.1 313.2 471.2 302.3 476.6C291.5 482 278.5 480.9 268.8 473.6L204.8 425.6C196.7 419.6 192 410.1 192 400V320.9L9.042 97.33C-.745 85.37-2.765 68.84 3.854 54.87L3.853 54.87z"],
    "filter-circle-dollar": [576, 512, ["funnel-dollar"], "f662", "M3.853 22.87C10.47 8.904 24.54 0 40 0H472C487.5 0 501.5 8.904 508.1 22.87C514.8 36.84 512.7 53.37 502.1 65.33L396.4 195.6C316.2 212.1 255.1 283 255.1 368C255.1 395.4 262.3 421.4 273.5 444.5C271.8 443.7 270.3 442.7 268.8 441.6L204.8 393.6C196.7 387.6 192 378.1 192 368V288.9L9.042 65.33C-.745 53.37-2.765 36.84 3.854 22.87H3.853zM576 368C576 447.5 511.5 512 432 512C352.5 512 287.1 447.5 287.1 368C287.1 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM413 331.1C418.1 329.3 425.6 327.9 431.8 328C439.1 328.1 448.9 329.8 458.1 332.1C466.7 334.2 475.4 328.1 477.5 320.4C479.7 311.8 474.4 303.2 465.9 301C460.3 299.6 454.3 298.3 448 297.4V288C448 279.2 440.8 272 432 272C423.2 272 416 279.2 416 288V297.5C409.9 298.7 403.7 300.7 397.1 303.8C386.1 310.1 374.9 322.2 376.1 341C377.1 357 387.8 366.4 397.7 371.7C406.6 376.4 417.5 379.5 426.3 381.1L428.1 382.5C438.3 385.4 445.1 387.7 451.2 390.8C455.8 393.5 455.1 395.1 455.1 396.5C456.1 398.9 455.5 400.2 454.1 401C454.3 401.1 453.2 403.2 450.1 404.4C446.3 406.9 439.2 408.2 432.5 407.1C422.1 407.7 414 404.8 402.6 401.2C400.7 400.6 398.8 400 396.8 399.4C388.3 396.8 379.3 401.5 376.7 409.9C374.1 418.3 378.8 427.3 387.2 429.9C388.9 430.4 390.5 430.1 392.3 431.5C399.3 433.8 407.4 436.4 416 438.1V449.5C416 458.4 423.2 465.5 432 465.5C440.8 465.5 448 458.4 448 449.5V438.7C454.2 437.6 460.5 435.6 466.3 432.5C478.3 425.9 488.5 413.8 487.1 395.5C487.5 379.4 477.7 369.3 467.5 363.3C458.1 357.7 446.2 354.4 436.9 351.7L436.8 351.7C426.3 348.7 418.5 346.5 412.9 343.5C408.1 340.9 408.1 339.5 408.1 339.1L408.1 338.1C407.9 337 408.4 336.1 408.8 335.4C409.4 334.5 410.6 333.3 413 331.1L413 331.1z"],
    "filter-circle-xmark": [576, 512, [], "e17b", "M3.853 22.87C10.47 8.904 24.54 0 40 0H472C487.5 0 501.5 8.904 508.1 22.87C514.8 36.84 512.7 53.37 502.1 65.33L396.4 195.6C316.2 212.1 255.1 283 255.1 368C255.1 395.4 262.3 421.4 273.5 444.5C271.8 443.7 270.3 442.7 268.8 441.6L204.8 393.6C196.7 387.6 192 378.1 192 368V288.9L9.042 65.33C-.745 53.37-2.765 36.84 3.854 22.87H3.853zM287.1 368C287.1 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 287.1 447.5 287.1 368zM491.3 331.3C497.6 325.1 497.6 314.9 491.3 308.7C485.1 302.4 474.9 302.4 468.7 308.7L432 345.4L395.3 308.7C389.1 302.4 378.9 302.4 372.7 308.7C366.4 314.9 366.4 325.1 372.7 331.3L409.4 368L372.7 404.7C366.4 410.9 366.4 421.1 372.7 427.3C378.9 433.6 389.1 433.6 395.3 427.3L432 390.6L468.7 427.3C474.9 433.6 485.1 433.6 491.3 427.3C497.6 421.1 497.6 410.9 491.3 404.7L454.6 368L491.3 331.3z"],
    "filter-list": [512, 512, [], "e17c", "M312 64C327.8 64 342.1 73.3 348.5 87.73C354.1 102.2 352.3 119 341.7 130.8L240 243.8V416C240 428.1 233.2 439.2 222.3 444.6C211.5 450 198.5 448.9 188.8 441.6L124.8 393.6C116.7 387.6 112 378.1 112 368V243.8L10.27 130.8C-.3002 119-2.968 102.2 3.459 87.73C9.885 73.3 24.2 64 39.1 64H312zM480 384C497.7 384 512 398.3 512 416C512 433.7 497.7 448 480 448H352C334.3 448 320 433.7 320 416C320 398.3 334.3 384 352 384H480zM320 256C320 238.3 334.3 224 352 224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H352C334.3 288 320 273.7 320 256zM480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128H416C398.3 128 384 113.7 384 96C384 78.33 398.3 64 416 64H480z"],
    "filter-slash": [640, 512, [], "e17d", "M81.74 38.77C88.18 34.45 95.88 32 104 32H536C551.5 32 565.5 40.91 572.1 54.87C578.8 68.84 576.7 85.37 566.1 97.33L406.6 293.4L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L81.74 38.77zM256 400V297.7L384 398.6V448C384 460.1 377.2 471.2 366.3 476.6C355.5 482 342.5 480.9 332.8 473.6L268.8 425.6C260.7 419.6 256 410.1 256 400V400z"],
    "filters": [640, 512, [], "e17e", "M600 32C615.9 32 630.2 41.39 636.6 55.93C643 70.46 640.2 87.4 629.4 99.08L480 261.5V416C480 428.1 473.2 439.2 462.3 444.6C451.5 450 438.5 448.9 428.8 441.6L364.8 393.6C356.7 387.6 352 378.1 352 368V261.5L202.6 99.08C191.8 87.4 188.1 70.46 195.4 55.93C201.7 41.39 216.1 32 231.1 32H600zM39.99 96H164.1C167.3 105 172.3 113.4 179 120.7L320 273.1V290.7L288 325.5V448C288 460.1 281.2 471.2 270.3 476.6C259.5 482 246.5 480.9 236.8 473.6L172.8 425.6C164.7 419.6 160 410.1 160 400V325.5L10.55 163.1C-.197 151.4-3.019 134.5 3.36 119.9C9.74 105.4 24.11 96 39.99 96V96z"],
    "fingerprint": [512, 512, [], "f577", "M256.1 246c-13.25 0-23.1 10.75-23.1 23.1c1.125 72.25-8.124 141.9-27.75 211.5C201.7 491.3 206.6 512 227.5 512c10.5 0 20.12-6.875 23.12-17.5c13.5-47.87 30.1-125.4 29.5-224.5C280.1 256.8 269.4 246 256.1 246zM255.2 164.3C193.1 164.1 151.2 211.3 152.1 265.4c.75 47.87-3.75 95.87-13.37 142.5c-2.75 12.1 5.624 25.62 18.62 28.37c12.1 2.625 25.62-5.625 28.37-18.62c10.37-50.12 15.12-101.6 14.37-152.1C199.7 238.6 219.1 212.1 254.5 212.3c31.37 .5 57.24 25.37 57.62 55.5c.8749 47.1-2.75 96.25-10.62 143.5c-2.125 12.1 6.749 25.37 19.87 27.62c19.87 3.25 26.75-15.12 27.5-19.87c8.249-49.1 12.12-101.1 11.25-151.1C359.2 211.1 312.2 165.1 255.2 164.3zM144.6 144.5C134.2 136.1 119.2 137.6 110.7 147.9C85.25 179.4 71.38 219.3 72 259.9c.6249 37.62-2.375 75.37-8.999 112.1c-2.375 12.1 6.249 25.5 19.25 27.87c20.12 3.5 27.12-14.87 27.1-19.37c7.124-39.87 10.5-80.62 9.749-121.4C119.6 229.3 129.2 201.3 147.1 178.3C156.4 167.9 154.9 152.9 144.6 144.5zM253.1 82.14C238.6 81.77 223.1 83.52 208.2 87.14c-12.87 2.1-20.87 15.1-17.87 28.87c3.125 12.87 15.1 20.75 28.1 17.75C230.4 131.3 241.7 130 253.4 130.1c75.37 1.125 137.6 61.5 138.9 134.6c.5 37.87-1.375 75.1-5.624 113.6c-1.5 13.12 7.999 24.1 21.12 26.5c16.75 1.1 25.5-11.87 26.5-21.12c4.625-39.75 6.624-79.75 5.999-119.7C438.6 165.3 355.1 83.64 253.1 82.14zM506.1 203.6c-2.875-12.1-15.51-21.25-28.63-18.38c-12.1 2.875-21.12 15.75-18.25 28.62c4.75 21.5 4.875 37.5 4.75 61.62c-.1249 13.25 10.5 24.12 23.75 24.25c13.12 0 24.12-10.62 24.25-23.87C512.1 253.8 512.3 231.8 506.1 203.6zM465.1 112.9c-48.75-69.37-128.4-111.7-213.3-112.9c-69.74-.875-134.2 24.84-182.2 72.96c-46.37 46.37-71.34 108-70.34 173.6l-.125 21.5C-.3651 281.4 10.01 292.4 23.26 292.8C23.51 292.9 23.76 292.9 24.01 292.9c12.1 0 23.62-10.37 23.1-23.37l.125-23.62C47.38 193.4 67.25 144 104.4 106.9c38.87-38.75 91.37-59.62 147.7-58.87c69.37 .1 134.7 35.62 174.6 92.37c7.624 10.87 22.5 13.5 33.37 5.875C470.1 138.6 473.6 123.8 465.1 112.9z"],
    "fire": [448, 512, [128293], "f06d", "M323.5 51.25C302.8 70.5 284 90.75 267.4 111.1C240.1 73.62 206.2 35.5 168 0C69.75 91.12 0 210 0 281.6C0 408.9 100.2 512 224 512s224-103.1 224-230.4C448 228.4 396 118.5 323.5 51.25zM304.1 391.9C282.4 407 255.8 416 226.9 416c-72.13 0-130.9-47.73-130.9-125.2c0-38.63 24.24-72.64 72.74-130.8c7 8 98.88 125.4 98.88 125.4l58.63-66.88c4.125 6.75 7.867 13.52 11.24 19.9C364.9 290.6 353.4 357.4 304.1 391.9z"],
    "fire-burner": [640, 512, [], "e4f1", "M349 61.49C356.9 51.61 365.8 40.76 375.5 31.99C381.1 26.87 389.9 26.89 395.5 32.03C420.2 54.71 441.1 84.69 455.8 113.2C470.4 141.2 480 169.9 480 190.1C480 277.9 408.7 352 320 352C230.3 352 160 277.8 160 190.1C160 163.7 172.7 131.5 192.4 99.52C212.4 67.16 240.5 33.43 273.8 3.734C279.4-1.26 287.1-1.242 293.5 3.773C313.3 21.55 331.8 40.74 349 61.49V61.49zM390 176.1C388 172.1 386 168.1 383 164.1L347 206.1C347 206.1 289 132.1 285 127.1C255 164.1 240 185.1 240 209.1C240 258.1 276 287.1 320.1 287.1C339 287.1 355 282.1 370 272.1C400 251.1 408 209.1 390 176.1zM32 287.1C32 270.3 46.33 255.1 64 255.1H96C113.7 255.1 128 270.3 128 287.1C128 305.7 113.7 319.1 96 319.1V384H544V319.1C526.3 319.1 512 305.7 512 287.1C512 270.3 526.3 255.1 544 255.1H576C593.7 255.1 608 270.3 608 287.1V384C625.7 384 640 398.3 640 416V480C640 497.7 625.7 512 608 512H32C14.33 512 0 497.7 0 480V416C0 398.3 14.33 384 32 384V287.1zM320 480C337.7 480 352 465.7 352 448C352 430.3 337.7 416 320 416C302.3 416 288 430.3 288 448C288 465.7 302.3 480 320 480zM448 416C430.3 416 416 430.3 416 448C416 465.7 430.3 480 448 480C465.7 480 480 465.7 480 448C480 430.3 465.7 416 448 416zM192 480C209.7 480 224 465.7 224 448C224 430.3 209.7 416 192 416C174.3 416 160 430.3 160 448C160 465.7 174.3 480 192 480z"],
    "fire-extinguisher": [512, 512, [129519], "f134", "M64 480c0 17.67 14.33 32 31.1 32H256c17.67 0 31.1-14.33 31.1-32l-.0001-32H64L64 480zM503.4 5.56c-5.453-4.531-12.61-6.406-19.67-5.188l-175.1 32c-11.41 2.094-19.7 12.03-19.7 23.63L224 56L224 32c0-17.67-14.33-32-31.1-32H160C142.3 0 128 14.33 128 32l.0002 26.81C69.59 69.32 20.5 110.6 1.235 168.4C-2.952 181 3.845 194.6 16.41 198.8C18.94 199.6 21.48 200 24 200c10.05 0 19.42-6.344 22.77-16.41C59.45 145.5 90.47 117.8 128 108L128 139.2C90.27 157.2 64 195.4 64 240L64 416h223.1l.0001-176c0-44.6-26.27-82.79-63.1-100.8L224 104l63.1-.002c0 11.59 8.297 21.53 19.7 23.62l175.1 31.1c1.438 .25 2.875 .375 4.297 .375c5.578 0 11.03-1.938 15.37-5.562c5.469-4.562 8.625-11.31 8.625-18.44V23.1C511.1 16.87 508.8 10.12 503.4 5.56zM176 96C167.2 96 160 88.84 160 80S167.2 64 176 64s15.1 7.164 15.1 16S184.8 96 176 96z"],
    "fire-flame": [384, 512, ["flame"], "f6df", "M203.1 4.364c-6.179-5.822-16.06-5.818-22.24 .005C74.52 104.6 0 220.2 0 298C0 423.1 79 512 192 512s192-88.01 192-213.1C384 219.9 309 104.2 203.1 4.364zM192 448c-70.62 0-128-52.88-128-117.9c0-44.12 25.88-71.5 34.38-79.75c3.125-3.125 8.125-3.125 11.25 0C111.1 251.9 112 253.9 112 256v40C112 327 137 352 168 352C198.9 352 224 327 224 296C224 224 111.4 231.2 184.5 131.6C187.5 127.8 192 127.5 195.1 128.5c1.625 .5 5.375 2.25 5.375 6.75c0 33.63 25.12 54.1 51.63 77.63C285.5 241.5 320 271 320 330.1C320 395.1 262.6 448 192 448z"],
    "fire-flame-curved": [384, 512, ["fire-alt"], "f7e4", "M384 319.1C384 425.9 297.9 512 192 512s-192-86.13-192-192c0-58.67 27.82-106.8 54.57-134.1C69.54 169.3 96 179.8 96 201.5v85.5c0 35.17 27.97 64.5 63.16 64.94C194.9 352.5 224 323.6 224 288c0-88-175.1-96.12-52.15-277.2c13.5-19.72 44.15-10.77 44.15 13.03C215.1 127 384 149.7 384 319.1z"],
    "fire-flame-simple": [384, 512, ["burn"], "f46a", "M203.1 4.365c-6.177-5.82-16.06-5.819-22.23-.0007C74.52 104.5 0 234.1 0 312C0 437.9 79 512 192 512s192-74.05 192-200C384 233.9 309 104.2 203.1 4.365zM192 432c-56.5 0-96-37.76-96-91.74c0-12.47 4.207-55.32 83.87-143c6.314-6.953 17.95-6.953 24.26 0C283.8 284.9 288 327.8 288 340.3C288 394.2 248.5 432 192 432z"],
    "fire-hydrant": [384, 512, [], "e17f", "M336 272H320v-64H64v64H48C39.16 272 32 279.2 32 288v96c0 8.836 7.164 16 16 16H64v64H48C39.16 464 32 471.2 32 480v16C32 504.8 39.16 512 48 512h288c8.836 0 16-7.164 16-16V480c0-8.838-7.164-16-16-16H320v-64h16c8.836 0 16-7.164 16-16V288C352 279.2 344.8 272 336 272zM192 400c-35.35 0-64-28.65-64-64c0-35.35 28.65-64 64-64s64 28.65 64 64C256 371.3 227.3 400 192 400zM56 176h272C341.3 176 352 165.3 352 152C352 138.7 341.3 128 328 128h-12.53C303.9 83.17 268.8 48.13 224 36.53V32c0-17.69-14.31-32-32-32S160 14.31 160 32v4.525C115.2 48.13 80.13 83.17 68.53 128H56C42.75 128 32 138.7 32 152C32 165.3 42.75 176 56 176z"],
    "fire-smoke": [640, 512, [], "f74b", "M528 288c-37.13 0-69.75 18.25-90.13 46.13C418.4 288.2 373 255.1 320 255.1s-98.38 32.25-117.9 78.13C181.8 306.2 149.1 288 112 288C50.12 288 0 338.1 0 400S50.12 512 112 512h416c61.88 0 112-50.13 112-112S589.9 288 528 288zM195.8 283.2c9.625-12 21.2-22.29 33.83-30.92C224.9 240.6 222.2 227.5 222.2 212.9c0-29.75 18.13-56.13 54.38-101.1c5.125 6.251 73.75 97 73.75 97l43.87-51.75c3 5.25 5.875 10.5 8.375 15.38C415 196.9 416.5 225.5 407.8 250.2c13.62 8.1 25.95 20.04 36.45 32.79c13.5-9.75 28.55-16.79 44.55-21.29c4.5-15.5 7.187-31.88 7.187-48.88c0-40.25-40.75-123.4-97.75-174.2c-16.37 14.62-31.13 29.94-44.25 45.44C332.7 55.88 306.1 26.88 276 0C198.8 68.88 144 158.8 144 213c0 17 2.625 33.38 7.25 48.88C167.1 266.5 182.3 273.4 195.8 283.2z"],
    "fireplace": [640, 512, [], "f79a", "M592 0h-544C39.25 0 32 7.25 32 16v64C32 88.75 39.25 96 48 96h544C600.8 96 608 88.75 608 80v-64C608 7.25 600.8 0 592 0zM64 512h96v-160c0-88.37 71.63-160 160-160s160 71.63 160 160v160h96V128H64V512zM342.3 311.6C328.3 292.8 310.9 273.8 291.3 256c-50.5 45.63-86.5 105-86.5 140.8C204.8 460.4 256.4 512 320 512s115.3-51.63 115.3-115.3c0-26.5-26.75-81.5-64-115.1C360.5 291.3 350.8 301.4 342.3 311.6zM357.8 448.5C347.3 456.3 334.1 460.8 320 460.8c-35.25 0-64-24.38-64-64c0-19.62 11.88-37 35.63-66.75c3.375 4.124 48.25 64.12 48.25 64.12l28.75-34.25c2 3.5 3.875 6.875 5.5 10.25C387.5 396.8 381.9 430.9 357.8 448.5z"],
    "fish": [576, 512, [128031], "f578", "M180.5 141.5C219.7 108.5 272.6 80 336 80C399.4 80 452.3 108.5 491.5 141.5C530.5 174.5 558.3 213.1 572.4 241.3C577.2 250.5 577.2 261.5 572.4 270.7C558.3 298 530.5 337.5 491.5 370.5C452.3 403.5 399.4 432 336 432C272.6 432 219.7 403.5 180.5 370.5C164.3 356.7 150 341.9 137.8 327.3L48.12 379.6C35.61 386.9 19.76 384.9 9.474 374.7C-.8133 364.5-2.97 348.7 4.216 336.1L50 256L4.216 175.9C-2.97 163.3-.8133 147.5 9.474 137.3C19.76 127.1 35.61 125.1 48.12 132.4L137.8 184.7C150 170.1 164.3 155.3 180.5 141.5L180.5 141.5zM416 224C398.3 224 384 238.3 384 256C384 273.7 398.3 288 416 288C433.7 288 448 273.7 448 256C448 238.3 433.7 224 416 224z"],
    "fish-bones": [576, 512, [], "e304", "M576 256c0 29.08-55.17 111.3-135.6 157.8c-10.78 6.22-24.36-1.27-24.36-13.67l.0001-120.1h-40v71.96c0 13.25-10.75 23.99-24 23.99s-24-10.74-24-23.99V279.1h-48v71.96c0 13.25-10.75 23.99-24 23.99s-24-10.74-24-23.99V279.1h-48v71.96c0 13.25-10.75 23.99-24 23.99s-24-10.74-24-23.99V279.1L96.01 279.1v54.78c0 9.003-3.793 17.59-10.45 23.65L27.45 411.3c-12.04 11.92-30.15-.8124-27.11-19.09L28.8 256L.338 119.7c-3.037-18.28 15.08-31.01 27.23-18.96L85.54 153.5c6.664 6.064 10.46 14.66 10.46 23.67v54.85l40 .0126V160.1c0-13.25 10.75-23.99 24-23.99s24 10.74 24 23.99v71.96h48V160.1c0-13.25 10.75-23.99 24-23.99s24 10.74 24 23.99v71.96h48V160.1c0-13.25 10.75-23.99 24-23.99s24 10.74 24 23.99v71.96h40L416 111.9c0-12.4 13.59-19.89 24.36-13.67C520.8 144.7 576 226.9 576 256z"],
    "fish-cooked": [576, 512, [], "f7fe", "M327.1 64C237.2 64 158.5 129.7 114.9 185.1L27.56 112.7C15.41 101.5-2.699 113.3 .338 130.2L28.8 256l-28.46 125.8c-3.037 16.88 15.07 28.63 27.11 17.62l87.3-73.41C158.5 382.2 237.2 448 327.1 448c137.4 0 248.8-153.6 248.8-192C575.1 217.6 464.5 64 327.1 64zM228.7 231.4c-6.25-6.25-6.25-16.38 0-22.62l64-64c6.25-6.25 16.38-6.25 22.62 0s6.25 16.38 0 22.62l-64 64C248.2 234.6 244.1 236.1 240 236.1S231.8 234.6 228.7 231.4zM267.3 347.3C264.2 350.4 260.1 352 255.1 352s-8.188-1.562-11.31-4.688c-6.25-6.25-6.25-16.38 0-22.62l160-160c6.25-6.25 16.38-6.25 22.63 0s6.25 16.38 0 22.62L267.3 347.3zM443.3 303.2l-64 64C376.2 370.3 372.1 371.9 368 371.9s-8.188-1.562-11.31-4.688c-6.25-6.25-6.25-16.38 0-22.62l64-64c6.25-6.25 16.38-6.25 22.62 0S449.6 296.9 443.3 303.2z"],
    "fish-fins": [576, 512, [], "e4f2", "M352.8 96.61C407.7 100.6 454.3 123.6 490 150.4C529.2 179.8 557.3 215.1 571.7 239.9C577.4 249.9 577.4 262.1 571.7 272.1C557.3 296.9 529.2 332.2 490 361.6C454.3 388.4 407.7 411.4 352.8 415.4L275.2 473.6C264.6 481.6 250.2 482.1 238.9 475.1C227.7 468 222 454.7 224.6 441.7L234.3 393.1C214.1 384.1 197.5 373.2 181.1 361.6C166.6 350.1 152.1 337.7 141.2 325.3L48.12 379.6C35.61 386.9 19.76 384.9 9.475 374.7C-.8124 364.5-2.969 348.7 4.217 336.1L50 256L4.217 175.9C-2.969 163.3-.8124 147.5 9.475 137.3C19.76 127.1 35.61 125.1 48.12 132.4L141.2 186.7C152.1 174.3 166.6 161.9 181.1 150.4C197.5 138.8 214.1 127.9 234.3 118.9L224.6 70.28C222 57.27 227.7 44 238.9 36.93C250.2 29.85 264.6 30.44 275.2 38.4L352.8 96.61zM416 224C398.3 224 384 238.3 384 256C384 273.7 398.3 288 416 288C433.7 288 448 273.7 448 256C448 238.3 433.7 224 416 224z"],
    "fishing-rod": [512, 512, [], "e3a8", "M320.1 48.02C333.9 48.02 360 58.74 360 88.04v71.97h48V88.04C408 23.46 351.1 0 320.2 0c-7.166 0-14.39 .8792-21.55 2.668L235.6 18.45C139.3 42.51 72 128.7 72 227.1v60.03H64c-17.67 0-32 14.32-32 31.1v159.1c0 17.67 14.33 31.1 32 31.1h64c17.67 0 32-14.33 32-31.1v-159.1c0-17.67-14.33-31.1-32-31.1H120V227.1c0-77.25 52.31-144.2 127.3-162.1l63-15.78C313.5 48.42 316.8 48.02 320.1 48.02zM416.5 453.4C444.4 427.3 480 384.5 480 336c0-79.53-96-143.1-96-143.1s-96 64.46-96 143.1c0 48.47 35.63 91.26 63.48 117.4l-27.63 32.24c-2.531 2.959-3.848 6.657-3.848 10.4C319.1 506.5 328.9 512 336 512h96c6.969 0 16-5.462 16-16.01c0-3.742-1.317-7.44-3.848-10.4L416.5 453.4zM384 336c-13.25 0-24-10.75-24-23.1c0-13.26 10.75-23.1 24-23.1s24 10.74 24 23.1C408 325.3 397.3 336 384 336z"],
    "flag": [512, 512, [61725, 127988], "f024", "M64 496C64 504.8 56.75 512 48 512h-32C7.25 512 0 504.8 0 496V32c0-17.75 14.25-32 32-32s32 14.25 32 32V496zM476.3 0c-6.365 0-13.01 1.35-19.34 4.233c-45.69 20.86-79.56 27.94-107.8 27.94c-59.96 0-94.81-31.86-163.9-31.87C160.9 .3055 131.6 4.867 96 15.75v350.5c32-9.984 59.87-14.1 84.85-14.1c73.63 0 124.9 31.78 198.6 31.78c31.91 0 68.02-5.971 111.1-23.09C504.1 355.9 512 344.4 512 332.1V30.73C512 11.1 495.3 0 476.3 0z"],
    "flag-checkered": [576, 512, [127937], "f11e", "M509.5 .0234c-6.145 0-12.53 1.344-18.64 4.227c-44.11 20.86-76.81 27.94-104.1 27.94c-57.89 0-91.53-31.86-158.2-31.87C195 .3203 153.3 8.324 96 32.38V32c0-17.75-14.25-32-32-32S32 14.25 32 32L31.96 496c0 8.75 7.25 16 16 16H80C88.75 512 96 504.8 96 496V384c51.74-23.86 92.71-31.82 128.3-31.82c71.09 0 120.6 31.78 191.7 31.78c30.81 0 65.67-5.969 108.1-23.09C536.3 355.9 544 344.4 544 332.1V30.74C544 12.01 527.8 .0234 509.5 .0234zM480 141.8c-31.99 14.04-57.81 20.59-80 22.49v80.21c25.44-1.477 51.59-6.953 80-17.34V308.9c-22.83 7.441-43.93 11.08-64.03 11.08c-5.447 0-10.71-.4258-15.97-.8906V244.5c-4.436 .2578-8.893 .6523-13.29 .6523c-25.82 0-47.35-4.547-66.71-10.08v66.91c-23.81-6.055-50.17-11.41-80-12.98V213.1C236.2 213.7 232.5 213.3 228.5 213.3C208.8 213.3 185.1 217.7 160 225.1v69.1C139.2 299.4 117.9 305.8 96 314.4V250.7l24.77-10.39C134.8 234.5 147.6 229.9 160 225.1V143.4C140.9 148.5 120.1 155.2 96 165.3V101.8l24.77-10.39C134.8 85.52 147.6 80.97 160 77.02v66.41c26.39-6.953 49.09-10.17 68.48-10.16c4.072 0 7.676 .4453 11.52 .668V65.03C258.6 66.6 274.4 71.55 293.2 77.83C301.7 80.63 310.7 83.45 320 86.12v66.07c20.79 6.84 41.45 12.96 66.71 12.96c4.207 0 8.781-.4766 13.29-.8594V95.54c25.44-1.477 51.59-6.953 80-17.34V141.8zM240 133.9v80.04c18.61 1.57 34.37 6.523 53.23 12.8C301.7 229.6 310.7 232.4 320 235.1V152.2C296.1 144.3 271.6 135.8 240 133.9z"],
    "flag-pennant": [512, 512, [128681, "pennant"], "f456", "M64 496C64 504.8 56.84 512 48 512h-32C7.164 512 0 504.8 0 496V32c0-17.67 14.33-32 32-32s32 14.33 32 32V496zM62.74 25.73C63.17 27.83 64 29.78 64 32V26.2L62.74 25.73zM496.3 185.5L96 37.99v340l400.3-147.5C505.7 227 512 218.1 512 208S505.7 188.1 496.3 185.5z"],
    "flag-swallowtail": [512, 512, ["flag-alt"], "f74c", "M64 496C64 504.8 56.75 512 48 512h-32C7.25 512 0 504.8 0 496V32c0-17.75 14.25-32 32-32s32 14.25 32 32V496zM391.4 208l114.1-136.5c6.016-7.156 7.344-17.12 3.406-25.59S497.3 32 487.1 32H96v352h391.1c9.326 0 17.83-5.406 21.76-13.88s2.609-18.44-3.406-25.59L391.4 208z"],
    "flag-usa": [576, 512, [], "f74d", "M544 61.63V30.74c0-25-28.81-37.99-53.17-26.49C306.3 91.5 321.5-62.25 96 32.38V32c0-17.75-14.25-32-32-32S32 14.25 32 32L31.96 496c0 8.75 7.25 16 15.1 16H80C88.75 512 96 504.8 96 496V384c200-92.25 238.8 53.25 428.1-23.12C536.3 355.9 544 344.4 544 332.1V296.1c-46.98 17.25-86.42 24.12-120.8 24.12c-40.25-.125-74.17-8.5-107.7-16.62C254 288.5 195.3 274.8 96 314.8v-34.5c102-37.63 166.5-22.75 228.4-7.625C385.1 287.8 444.7 301.4 544 261.5V200c-46.98 17.25-86.42 24.12-120.8 24.12c-40.25 0-74.17-8.375-107.7-16.5C254 192.5 195.3 178.8 96 218.8v-34.5c102-37.5 166.5-22.62 228.4-7.5C385.1 191.8 444.7 205.4 544 165.6V96.75c-57.75 23.5-100.4 31.38-135.8 31.38c-62.96 0-118.9-27.09-120.2-27.38V67.5C331.9 78.94 390.1 128.3 544 61.63zM160 136c-8.75 0-16-7.125-16-16s7.25-16 16-16s16 7.125 16 16S168.8 136 160 136zM160 72c-8.75 0-16-7-16-16c0-8.75 7.25-16 16-16s16 7.125 16 16S168.8 72 160 72zM224 128C215.3 128 208 120.9 208 112S215.3 96 224 96s16 7 16 16C240 120.8 232.8 128 224 128zM224 64.25c-8.75 0-16-7-16-16c0-8.75 7.25-16 16-16s16 7.125 16 16S232.8 64.25 224 64.25z"],
    "flashlight": [640, 512, [128294], "f8b8", "M383.1 160H31.1c-17.62 0-32 14.38-32 32v128c0 17.62 14.38 32 32 32h352l16.12 10.75C443.2 391.5 492.8 408.4 544 413.6V98.38c-51.25 5.25-100.8 22.12-143.9 50.87L383.1 160zM287.1 288h-32c-17.62 0-32-14.38-32-32s14.38-32 32-32h32c17.62 0 32 14.38 32 32S305.6 288 287.1 288zM607.1 96h-32v320h32c17.62 0 32-14.38 32-32V128C639.1 110.4 625.6 96 607.1 96z"],
    "flask": [448, 512, [], "f0c3", "M437.2 403.5L319.1 215L319.1 64h7.1c13.25 0 23.1-10.75 23.1-24l-.0002-16c0-13.25-10.75-24-23.1-24H120C106.8 0 96.01 10.75 96.01 24l-.0002 16c0 13.25 10.75 24 23.1 24h7.1L128 215l-117.2 188.5C-18.48 450.6 15.27 512 70.89 512h306.2C432.7 512 466.5 450.5 437.2 403.5zM137.1 320l48.15-77.63C189.8 237.3 191.9 230.8 191.9 224l.0651-160h63.99l-.06 160c0 6.875 2.25 13.25 5.875 18.38L309.9 320H137.1z"],
    "flask-round-poison": [448, 512, ["flask-poison"], "f6e0", "M183.1 288C170.7 288 159.1 298.8 159.1 312s10.75 24 23.1 24s23.1-10.75 23.1-24S197.2 288 183.1 288zM319.1 169V64h7.996c13.26 0 24-10.75 24-24v-16c0-13.26-10.74-24-24-24H119.1c-13.26 0-24 10.74-24 24v16c0 13.25 10.74 24 24 24h7.992v104.1C61.62 202.9 16 271.9 16 352c0 53.75 20.38 102.8 53.99 139.8C81.87 504.9 99.12 512 116.1 512h213.1c18 0 35.5-7.5 47.5-20.88c32.24-35.75 52.24-82.75 53.49-134.5C433.7 276.8 387.2 205.1 319.1 169zM287.1 384.1V416c0 8.875-7.125 16-16 16H175.1c-8.875 0-16-7.125-16-16v-31.88c-29-16-47.1-42.25-47.1-72.13c0-48.63 50.12-88 111.1-88s111.1 39.38 111.1 88C335.1 341.9 316.1 368.1 287.1 384.1zM263.1 288c-13.25 0-23.99 10.75-23.99 24s10.75 24 23.99 24c13.25 0 24-10.75 24-24S277.2 288 263.1 288z"],
    "flask-round-potion": [448, 512, ["flask-potion"], "f6e1", "M319.1 169V64h7.996c13.26 0 24-10.75 24-24v-16c0-13.26-10.74-24-24-24H119.1c-13.26 0-24 10.74-24 24v16c0 13.25 10.74 24 24 24h7.992v104.1C61.62 202.9 16 271.9 16 352c0 53.75 20.38 102.8 53.99 139.8C81.87 504.9 99.12 512 116.1 512h213.1c18 0 35.5-7.5 47.5-20.88c32.24-35.75 52.24-82.75 53.49-134.5C433.7 276.8 387.2 205.1 319.1 169zM262.9 331.5c-54.24-27.12-115.9-29-181.7 3.875c10.5-89.75 90.62-117.9 110.9-128.5V64h63.99v143.3C292.5 226.9 367.5 260.1 367.8 352C344.3 352 307.9 354 262.9 331.5z"],
    "flask-vial": [640, 512, [], "e4f3", "M160 442.5C149.1 446.1 139.2 448 128 448C74.98 448 32 405 32 352V64C14.33 64 0 49.67 0 32C0 14.33 14.33 0 32 0H224C241.7 0 256 14.33 256 32C256 49.67 241.7 64 224 64V309.9L175 389.4C165.2 405.4 160 423.8 160 442.5zM96 160H160V64H96V160zM512 0C529.7 0 544 14.33 544 32C544 49.67 529.7 64 512 64V214.9L629.7 406.2C636.4 417.2 640 429.7 640 442.6C640 480.9 608.9 512 570.6 512H261.4C223.1 512 191.1 480.9 191.1 442.6C191.1 429.7 195.6 417.2 202.3 406.2L319.1 214.9V64C302.3 64 287.1 49.67 287.1 32C287.1 14.33 302.3 0 319.1 0L512 0zM384 64V224C384 229.9 382.4 235.7 379.3 240.8L330.5 320H501.5L452.7 240.8C449.6 235.7 448 229.9 448 224V64H384z"],
    "flatbread": [512, 512, [129747], "e40b", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM112 248c-2.062 0-4.125-.7969-5.656-2.344C103.8 243.1 103.3 239 105.1 235.9c32.56-54.23 76.53-98.22 130.8-130.8c3.156-1.891 7.188-1.422 9.781 1.203C248.3 108.9 248.8 112.1 246.9 116.1C214.3 170.3 170.3 214.3 116.1 246.9C114.8 247.6 113.4 248 112 248zM164.7 358.5C163.3 359.5 161.6 360 160 360c-2.062 0-4.094-.7969-5.656-2.344c-2.781-2.766-3.125-7.125-.8438-10.31c53.59-75.03 118.8-140.3 193.8-193.9c3.156-2.297 7.531-1.922 10.31 .8594c2.781 2.766 3.125 7.125 .8438 10.31C304.9 239.7 239.7 304.9 164.7 358.5zM406.9 276.1c-32.56 54.23-76.53 98.22-130.8 130.8C274.8 407.6 273.4 408 272 408c-2.062 0-4.125-.7969-5.656-2.344c-2.594-2.594-3.094-6.625-1.219-9.766c32.56-54.23 76.53-98.22 130.8-130.8c3.156-1.875 7.219-1.375 9.781 1.203C408.3 268.9 408.8 272.1 406.9 276.1z"],
    "flatbread-stuffed": [512, 512, [129369], "e40c", "M137.1 201.1C107.6 230.6 104.2 276.3 126.7 309.6L245.6 190.7C231.2 180.9 214.5 176 197.8 176C175.8 176 153.9 184.4 137.1 201.1zM80 261.8c0-31.46 12.25-61.03 34.5-83.28C136.7 156.3 166.3 144 197.8 144c25.87 0 50.22 8.688 70.52 24.01l117.1-117.1c2.877-2.875 6.014-5.393 9.301-7.641C376.9 35.74 357.9 40.47 341.2 44.9c-10.54 2.701-21.43 5.576-28.83 4.27c-7.926-1.307-18.03-7.75-27.79-14.02C269.4 25.3 251.9 14.1 232.9 16.27C213.4 18.54 200.1 33.76 188.5 47.17C181.5 55.18 174.2 63.54 167.4 66.68C160.8 69.82 149.8 70.17 139.2 70.52C100 71.82 72.87 74.79 70.6 139.1C70.17 149.6 69.82 160.8 66.77 167.3C63.46 174.1 55.19 181.3 47.08 188.4C33.67 200 18.54 213.2 16.28 232.9C14.1 251.8 25.31 269.2 35.15 284.6c6.27 9.756 12.71 19.69 14.11 27.7c1.307 7.402-1.568 18.29-4.355 28.74c-4.352 16.8-9.193 35.77-1.553 53.72c2.242-3.289 4.662-6.479 7.52-9.336l53.14-53.14C88.69 311.1 80 287.6 80 261.8zM456.7 76.63c-11.83-15.53-34.88-16.94-48.68-3.139L73.49 408.1c-13.8 13.8-12.38 36.85 3.141 48.68c106.3 81.02 258.8 72.96 355.9-24.18C529.7 335.4 537.8 182.9 456.7 76.63zM240 448C231.2 448 224 440.8 224 432c0-8.838 7.165-16 16-16S256 423.2 256 432C256 440.8 248.8 448 240 448zM272 384c-8.836 0-16-7.164-16-16c0-8.838 7.165-16 16-16S288 359.2 288 368C288 376.8 280.8 384 272 384zM304 448c-8.836 0-16-7.164-16-16c0-8.838 7.165-16 16-16S320 423.2 320 432C320 440.8 312.8 448 304 448z"],
    "floppy-disk": [448, 512, [128426, 128190, "save"], "f0c7", "M433.1 129.1l-83.9-83.9C342.3 38.32 327.1 32 316.1 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V163.9C448 152.9 441.7 137.7 433.1 129.1zM224 416c-35.34 0-64-28.66-64-64s28.66-64 64-64s64 28.66 64 64S259.3 416 224 416zM320 208C320 216.8 312.8 224 304 224h-224C71.16 224 64 216.8 64 208v-96C64 103.2 71.16 96 80 96h224C312.8 96 320 103.2 320 112V208z"],
    "floppy-disk-circle-arrow-right": [576, 512, ["save-circle-arrow-right"], "e180", "M224 416c-35.34 0-64-28.66-64-64s28.66-64 64-64c16.93 0 32.21 6.697 43.66 17.43C292.9 239.2 356.9 192 432 192c5.402 0 10.72 .3301 16 .8066V163.9c0-10.94-6.307-26.16-14.04-33.9l-83.9-83.9C342.3 38.32 327.1 32 316.1 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h232.2c-17.65-21.37-30.28-46.99-36.28-75.07C249.7 411.9 237.3 416 224 416zM64 208v-96C64 103.2 71.16 96 80 96h224C312.8 96 320 103.2 320 112v96C320 216.8 312.8 224 304 224h-224C71.16 224 64 216.8 64 208zM432 224c-79.54 0-144 64.46-144 144s64.46 144 144 144c79.54 0 143.1-64.46 143.1-144S511.5 224 432 224zM507.3 379.3l-56 56C448.2 438.4 444.1 440 439.1 440s-8.187-1.562-11.31-4.688c-6.25-6.25-6.25-16.38 0-22.62L457.4 384h-89.38c-8.836 0-15.1-7.164-15.1-16s7.163-16 15.1-16h89.38l-28.69-28.69c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0l56 56C513.6 362.9 513.6 373.1 507.3 379.3z"],
    "floppy-disk-circle-xmark": [576, 512, ["floppy-disk-times", "save-circle-xmark", "save-times"], "e181", "M432 224C352.5 224 288 288.5 288 368s64.47 144 144 144s144-64.47 144-144S511.5 224 432 224zM488.5 401.9c6.242 6.242 6.252 16.37 .0098 22.62c-6.24 6.242-16.37 6.231-22.62-.0113l-33.91-33.91l-33.91 33.91c-6.242 6.242-16.37 6.253-22.62 .0106s-6.232-16.37 .0098-22.62l33.91-33.91l-33.91-33.91c-6.242-6.242-6.251-16.37-.009-22.62s16.37-6.232 22.62 .0106l33.91 33.91l33.91-33.91c6.242-6.242 16.37-6.254 22.61-.0113s6.233 16.37-.009 22.62l-33.91 33.91L488.5 401.9zM224 416c-35.34 0-64-28.66-64-64s28.66-64 64-64c16.93 0 32.21 6.697 43.66 17.43C292.9 239.2 356.9 192 432 192c5.402 0 10.72 .3301 16 .8066V163.9c0-10.94-6.307-26.16-14.04-33.9l-83.9-83.9C342.3 38.32 327.1 32 316.1 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h232.2c-17.65-21.37-30.28-46.99-36.28-75.07C249.7 411.9 237.3 416 224 416zM64 208v-96C64 103.2 71.16 96 80 96h224C312.8 96 320 103.2 320 112v96C320 216.8 312.8 224 304 224h-224C71.16 224 64 216.8 64 208z"],
    "floppy-disk-pen": [576, 512, [], "e182", "M565.5 255.7l-21.1-21.11c-14.06-14.06-36.85-14.06-50.91 0l-38.13 38.13l72.01 72.01l38.13-38.13C579.5 292.5 579.5 269.7 565.5 255.7zM448 163.9c0-10.94-6.307-26.16-14.04-33.9l-83.9-83.9C342.3 38.32 327.1 32 316.1 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h195.8l11.29-56.47c1.906-9.609 6.594-18.45 13.59-25.48L448 234.7V163.9zM224 416c-35.34 0-64-28.66-64-64s28.66-64 64-64s64 28.66 64 64S259.3 416 224 416zM320 208C320 216.8 312.8 224 304 224h-224C71.16 224 64 216.8 64 208v-96C64 103.2 71.16 96 80 96h224C312.8 96 320 103.2 320 112V208zM307.4 420.6c-2.514 2.512-4.227 5.715-4.924 9.203l-14.28 71.41c-1.258 6.289 4.293 11.84 10.59 10.59l71.42-14.29c3.482-.6992 6.682-2.406 9.195-4.922l125.3-125.3l-72.01-72.01L307.4 420.6z"],
    "floppy-disks": [512, 512, [], "e183", "M497.9 97.94l-83.88-83.88C406.3 6.294 391.1 0 380.1 0H144C117.5 0 96 21.48 96 48v320C96 394.5 117.5 416 144 416h320c26.5 0 48-21.48 48-48V131.9C512 120.9 505.7 105.7 497.9 97.94zM288 352c-35.34 0-64-28.66-64-64s28.66-64 64-64s64 28.66 64 64S323.3 352 288 352zM384 144C384 152.8 376.8 160 368 160h-192C167.2 160 160 152.8 160 144v-64C160 71.16 167.2 64 176 64h192C376.8 64 384 71.16 384 80V144zM392 512h-272C53.83 512 0 458.2 0 392v-272C0 106.8 10.75 96 24 96S48 106.8 48 120v272c0 39.7 32.3 72 72 72h272c13.25 0 24 10.75 24 24S405.3 512 392 512z"],
    "florin-sign": [384, 512, [], "e184", "M352 32C369.7 32 384 46.33 384 64C384 81.67 369.7 96 352 96H314.7C301.7 96 290.1 103.8 285.1 115.7L240 224H320C337.7 224 352 238.3 352 256C352 273.7 337.7 288 320 288H213.3L157.9 420.9C143 456.7 108.1 480 69.33 480H32C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416H69.33C82.25 416 93.9 408.2 98.87 396.3L144 288H64C46.33 288 32 273.7 32 256C32 238.3 46.33 224 64 224H170.7L226.1 91.08C240.1 55.3 275.9 32 314.7 32H352z"],
    "flower": [512, 512, [127804, 10047], "f7ff", "M480 160c0-70.75-57.25-128-128-128c-38.5 0-72.5 17.25-96 44.12C232.5 49.25 198.5 32 160 32C89.25 32 32 89.25 32 160c0 38.5 17.25 72.5 44.13 96C49.25 279.5 32 313.5 32 352c0 70.75 57.25 128 128 128c38.5 0 72.5-17.25 96-44.13C279.5 462.8 313.5 480 352 480c70.75 0 128-57.25 128-128c0-38.5-17.25-72.5-44.13-96C462.8 232.5 480 198.5 480 160zM256 336c-44.12 0-80-35.88-80-80S211.9 176 256 176s80 35.88 80 80S300.1 336 256 336z"],
    "flower-daffodil": [512, 512, [9880], "f800", "M495.9 319.1l-47.26 .0011c-63.01 0-119.9 22.25-160.6 57.88l-.0005-96.63c37.26 16.38 80.89 2.25 101.3-33c20.38-35.25 11.16-80.12-21.72-104.2c25.25-18.63 37.23-50.25 30.72-81c-6.626-30.63-30.63-54.63-61.26-61.25C306.3-4.758 274.6 7.206 256 32.46C237.4 7.206 205.7-4.758 174.1 1.742C144.4 8.368 120.4 32.37 113.7 62.99c-6.501 30.75 5.47 62.38 30.72 81C111.7 168.1 102.4 212.1 122.7 248.2c20.5 35.13 64.01 49.38 101.3 33l-.0005 96.63c-40.76-35.63-97.64-57.88-160.6-57.88L16.09 319.1c-9.126 0-17 7.75-16 16.88C9.962 434.1 106.4 512 223.9 512h64.26c117.5 0 213.9-77 223.8-175.1C512.9 327.7 505 319.1 495.9 319.1zM256 191.1c-26.5 0-48.01-21.5-48.01-48S229.5 95.1 256 95.1s48.01 21.5 48.01 48S282.5 191.1 256 191.1z"],
    "flower-tulip": [512, 512, [127799], "f801", "M511.9 336.9C502 435 405.6 512 288.1 512H223.9c-117.5 0-213.9-77-223.8-175.1C-.9142 327.8 6.962 320 16.09 320h47.26c63.01 0 119.9 22.25 160.6 57.88L223.1 256C153.2 256 95.98 198.8 95.98 128V32l80.01 48L257.1 0l78.89 80L416 32v96c0 70.75-57.26 128-128 128l.0002 121.9C328.8 342.2 385.6 320 448.7 320h47.26C505 320 512.9 327.8 511.9 336.9z"],
    "flute": [640, 512, [], "f8b9", "M0 192v128c0 17.62 14.38 32 32 32h64V160H32C14.38 160 0 174.4 0 192zM608 160H128v192h480c17.62 0 32-14.38 32-32V192C640 174.4 625.6 160 608 160zM320 280C306.8 280 296 269.3 296 256S306.8 232 320 232S344 242.8 344 256S333.3 280 320 280zM416 280c-13.25 0-24-10.75-24-24S402.8 232 416 232S440 242.8 440 256S429.3 280 416 280zM512 280c-13.25 0-24-10.75-24-24S498.8 232 512 232S536 242.8 536 256S525.3 280 512 280z"],
    "flux-capacitor": [448, 512, [], "f8ba", "M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM99.72 188.3C84.09 172.7 84.09 147.3 99.72 131.7C115.3 116.1 140.7 116.1 156.3 131.7L205.3 180.7C207.1 174.1 208 167.2 208 160C208 115.8 172.2 80 128 80C83.82 80 48 115.8 48 160C48 204.2 83.82 240 128 240C135.2 240 142.1 239.1 148.7 237.3L99.72 188.3zM184 282.7C160.1 296.5 144 322.4 144 352C144 396.2 179.8 432 224 432C268.2 432 304 396.2 304 352C304 322.4 287.9 296.5 264 282.7V352C264 374.1 246.1 392 224 392C201.9 392 184 374.1 184 352V282.7zM299.3 237.3C305.9 239.1 312.8 240 320 240C364.2 240 400 204.2 400 160C400 115.8 364.2 80 320 80C275.8 80 240 115.8 240 160C240 167.2 240.9 174.1 242.7 180.7L291.7 131.7C307.3 116.1 332.7 116.1 348.3 131.7C363.9 147.3 363.9 172.7 348.3 188.3L299.3 237.3zM139.3 148.7C133.1 142.4 122.9 142.4 116.7 148.7C110.4 154.9 110.4 165.1 116.7 171.3L207.1 262.6V352C207.1 360.8 215.2 368 223.1 368C232.8 368 240 360.8 240 352V262.6L331.3 171.3C337.6 165.1 337.6 154.9 331.3 148.7C325.1 142.4 314.9 142.4 308.7 148.7L223.1 233.4L139.3 148.7z"],
    "flying-disc": [448, 512, [], "e3a9", "M83.41 364.4c94.89 0 250.3-156.1 250.3-249.7c0-33.99-21.9-46.18-46.28-46.18c-94.89 0-250.3 156.1-250.3 249.7C37.13 352.2 59.01 364.4 83.41 364.4zM447.1 126.9C447.1 66.23 408 32 352.9 32c-14 0-29.21 2.584-44.94 6.73c7.579 1.675 58.01 13.89 58.01 75.62c0 111.4-169.8 282.1-282.6 282.1c-.1217 0-.4522 .0067-.9691 .0067c-8.227 0-63.66-1.682-75.59-58.57c-4.518 16.74-6.846 32.69-6.846 47.49C.0001 445.4 39.44 480 94.95 480C234.8 480 447.1 270.8 447.1 126.9z"],
    "folder": [512, 512, [128447, 61716, 128193, "folder-blank"], "f07b", "M512 144v288c0 26.5-21.5 48-48 48h-416C21.5 480 0 458.5 0 432v-352C0 53.5 21.5 32 48 32h160l64 64h192C490.5 96 512 117.5 512 144z"],
    "folder-arrow-down": [512, 512, ["folder-download"], "e053", "M464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM159 271C163.7 266.3 169.8 264 176 264s12.28 2.344 16.97 7.031L232 310.1V200C232 186.8 242.8 176 256 176s24 10.75 24 24v110.1l39.03-39.03c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94l-80 80c-9.375 9.375-24.56 9.375-33.94 0l-80-80C149.7 295.6 149.7 280.4 159 271z"],
    "folder-arrow-up": [512, 512, ["folder-upload"], "e054", "M464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM352.1 304.1C348.3 309.7 342.2 312 336 312s-12.28-2.344-16.97-7.031L280 265.9V376c0 13.25-10.75 24-24 24s-24-10.75-24-24V265.9L192.1 304.1c-9.375 9.375-24.56 9.375-33.94 0s-9.375-24.56 0-33.94l80-80c9.375-9.375 24.56-9.375 33.94 0l80 80C362.3 280.4 362.3 295.6 352.1 304.1z"],
    "folder-bookmark": [512, 512, [], "e186", "M464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM448 335.1c0 13.42-15.52 20.88-25.1 12.49L368 305.3l-54 43.2C303.5 356.8 288 349.4 288 335.1V160h160V335.1z"],
    "folder-closed": [512, 512, [], "e185", "M464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80V160h512V144C512 117.5 490.5 96 464 96zM0 432C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48V192H0V432z"],
    "folder-gear": [512, 512, ["folder-cog"], "e187", "M256 248C233.9 248 216 265.9 216 288s17.91 40 40 40S296 310.1 296 288S278.1 248 256 248zM464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM366.9 352c-4.457 7.719-9.781 14.55-15.56 20.86c-2.506 2.738-6.633 3.281-9.846 1.422l-23.46-13.54C309.2 368.3 299.1 374.2 288 378.1v27.02c0 3.711-2.531 7.016-6.154 7.812C273.5 414.8 264.9 416 256 416c-8.912 0-17.49-1.195-25.84-3.047C226.5 412.2 224 408.9 224 405.1v-27.02c-11.12-3.957-21.19-9.867-29.99-17.38L170.6 374.3c-3.215 1.859-7.34 1.316-9.848-1.422C154.9 366.6 149.6 359.7 145.1 352c-4.455-7.719-7.709-15.75-10.29-23.91C133.7 324.6 135.3 320.7 138.6 318.9l23.21-13.4C160.7 299.8 160 293.1 160 288s.7129-11.78 1.76-17.46L138.6 257.1C135.3 255.3 133.7 251.4 134.9 247.9C137.4 239.7 140.7 231.7 145.1 224c4.457-7.719 9.783-14.55 15.56-20.86C163.2 200.4 167.3 199.9 170.6 201.7l23.45 13.54C202.8 207.7 212.9 201.8 224 197.9V170.9c0-3.711 2.531-7.016 6.156-7.816C238.5 161.2 247.1 160 256 160c8.914 0 17.49 1.195 25.85 3.043C285.5 163.8 288 167.1 288 170.9v27.02c11.12 3.957 21.19 9.867 29.99 17.38l23.46-13.54c3.213-1.859 7.34-1.316 9.846 1.422C357.1 209.4 362.4 216.3 366.9 224s7.711 15.75 10.29 23.91c1.119 3.539-.4766 7.383-3.689 9.234l-23.21 13.4C351.3 276.2 352 282 352 288s-.7129 11.78-1.76 17.46l23.21 13.4c3.213 1.852 4.809 5.695 3.691 9.234C374.6 336.3 371.3 344.3 366.9 352z"],
    "folder-grid": [512, 512, [], "e188", "M464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM176 320c0 8.836-7.162 16-16 16H96c-8.836 0-16-7.164-16-16V256c0-8.836 7.164-16 16-16h64c8.838 0 16 7.164 16 16V320zM304 320c0 8.836-7.162 16-16 16H224c-8.836 0-16-7.164-16-16V256c0-8.836 7.164-16 16-16h64c8.838 0 16 7.164 16 16V320zM432 320c0 8.836-7.162 16-16 16h-64c-8.836 0-16-7.164-16-16V256c0-8.836 7.164-16 16-16h64c8.838 0 16 7.164 16 16V320z"],
    "folder-heart": [512, 512, [], "e189", "M464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM348.7 294.3l-82.97 85.56c-5.387 5.504-14.04 5.504-19.42 0L163.3 294.3C139.2 269.3 140.7 228.1 167.6 205.1c23.5-20.02 58.39-16.39 79.81 5.753L255.9 219.7l8.416-8.778c21.55-22.14 56.55-25.77 79.93-5.753C371.3 228.1 372.8 269.3 348.7 294.3z"],
    "folder-image": [512, 512, [], "e18a", "M464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM127.1 192c17.67 0 32 14.33 32 32s-14.33 32-32 32s-32-14.33-32-32S110.3 192 127.1 192zM414.1 407.6C411.3 412.8 405.9 416 400 416h-288c-6.021 0-11.53-3.379-14.26-8.75c-2.73-5.367-2.216-11.81 1.333-16.68l70-96C172.1 290.4 176.9 288 181.1 288S191.9 290.4 194.9 294.6l22.35 30.66l62.74-94.11C282.1 226.7 287.1 224 293.3 224s10.35 2.672 13.31 7.125l106.7 160C416.6 396 416.9 402.3 414.1 407.6z"],
    "folder-magnifying-glass": [512, 512, ["folder-search"], "e18b", "M240 216c-30.88 0-56 25.12-56 56c0 30.88 25.12 56 56 56c30.88 0 56-25.12 56-56C296 241.1 270.9 216 240 216zM464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM376.1 408.1C372.3 413.7 366.2 416 360 416s-12.28-2.344-16.97-7.031l-48.67-48.67C278.5 370.1 259.1 376 240 376c-57.44 0-104-46.56-104-104S182.6 168 240 168s104 46.56 104 104c0 20-5.922 38.5-15.71 54.36l48.67 48.67C386.3 384.4 386.3 399.6 376.1 408.1z"],
    "folder-medical": [512, 512, [], "e18c", "M464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM352 306.3C352 313.9 345.9 320 338.3 320L288 319.1v50.29C288 377.9 281.9 384 274.3 384H237.7C230.1 384 224 377.9 224 370.3V319.1L173.7 320C166.1 320 160 313.9 160 306.3V269.7C160 262.1 166.1 256 173.7 256H224V205.7C224 198.1 230.1 192 237.7 192h36.57C281.9 192 288 198.1 288 205.7V256h50.29C345.9 256 352 262.1 352 269.7V306.3z"],
    "folder-minus": [512, 512, [], "f65d", "M464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM336 311.1H175.1C162.7 311.1 152 301.3 152 288c0-13.26 10.74-23.1 23.1-23.1h160C349.3 264 360 274.7 360 288S349.3 311.1 336 311.1z"],
    "folder-music": [512, 512, [], "e18d", "M464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM352 352c0 17.62-21.5 32-48 32S256 369.6 256 352s21.5-32 48-32c5.375 0 10.75 .7499 16 2V245.6l-96 37.5V384c0 17.62-21.5 32-48 32S128 401.6 128 384s21.5-32 48-32c5.375 0 10.75 .7499 16 2V239.3C192 232.3 196.5 226.1 203.3 224l128-47.25C336 175.3 341.4 176.1 345.5 179.1S352 186.9 352 192V352z"],
    "folder-open": [576, 512, [128449, 61717, 128194], "f07c", "M147.8 192H480V144C480 117.5 458.5 96 432 96h-160l-64-64h-160C21.49 32 0 53.49 0 80v328.4l90.54-181.1C101.4 205.6 123.4 192 147.8 192zM543.1 224H147.8C135.7 224 124.6 230.8 119.2 241.7L0 480h447.1c12.12 0 23.2-6.852 28.62-17.69l96-192C583.2 249 567.7 224 543.1 224z"],
    "folder-plus": [512, 512, [], "f65e", "M464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM336 311.1h-56v56C279.1 381.3 269.3 392 256 392c-13.27 0-23.1-10.74-23.1-23.1V311.1H175.1C162.7 311.1 152 301.3 152 288c0-13.26 10.74-23.1 23.1-23.1h56V207.1C232 194.7 242.7 184 256 184s23.1 10.74 23.1 23.1V264h56C349.3 264 360 274.7 360 288S349.3 311.1 336 311.1z"],
    "folder-tree": [576, 512, [], "f802", "M544 32h-112l-32-32H320c-17.62 0-32 14.38-32 32v160c0 17.62 14.38 32 32 32h224c17.62 0 32-14.38 32-32V64C576 46.38 561.6 32 544 32zM544 320h-112l-32-32H320c-17.62 0-32 14.38-32 32v160c0 17.62 14.38 32 32 32h224c17.62 0 32-14.38 32-32v-128C576 334.4 561.6 320 544 320zM64 16C64 7.125 56.88 0 48 0h-32C7.125 0 0 7.125 0 16V416c0 17.62 14.38 32 32 32h224v-64H64V160h192V96H64V16z"],
    "folder-user": [512, 512, [], "e18e", "M464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM256 192c35.35 0 64 28.66 64 64s-28.65 64-64 64S192 291.3 192 256S220.7 192 256 192zM352 416H160c-8.836 0-16-7.164-16-16C144 373.5 165.5 352 192 352h128c26.51 0 48 21.49 48 48C368 408.8 360.8 416 352 416z"],
    "folder-xmark": [512, 512, ["folder-times"], "f65f", "M464 96h-192l-64-64h-160C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM336.1 335c9.375 9.375 9.375 24.56 0 33.94c-9.383 9.379-24.56 9.371-33.94 0L256 321.9l-47.03 47.03c-9.383 9.379-24.56 9.371-33.94 0c-9.375-9.375-9.375-24.56 0-33.94L222.1 288L175 240.1c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0L256 254.1l47.03-47.03c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94L289.9 288L336.1 335z"],
    "folders": [640, 512, [], "f660", "M560 96H368l-64-64H176c-26.5 0-48 21.5-48 48v256c0 26.5 21.5 48 48 48h384c26.5 0 48-21.5 48-48v-192C608 117.5 586.5 96 560 96zM488 480H152C85.83 480 32 426.2 32 360v-240C32 106.8 42.75 96 56 96S80 106.8 80 120v240c0 39.7 32.3 72 72 72h336c13.25 0 24 10.75 24 24S501.3 480 488 480z"],
    "fondue-pot": [512, 512, [129749], "e40d", "M480 223.1H160v48c0 8.846-7.156 16-16 16S128 280.8 128 271.1c0-8.838-7.164-16-16-16s-16 7.162-16 16v32c0 8.844-7.156 16-16 16s-16-7.156-16-16v-80H32c-17.69 0-32 14.33-32 32v64c0 52.13 25.43 98.07 64.14 127.3C64.13 447.5 64 447.8 64 447.1V480c0 17.67 14.31 32 32 32s32-14.33 32-32v-3.234C138.3 478.9 149 480 160 480h128c10.96 0 21.66-1.125 32-3.234V480c0 17.67 14.31 32 32 32s32-14.33 32-32v-32c0-.248-.1348-.4531-.1406-.7012C422.6 418.1 448 372.1 448 319.1v-32h32c17.69 0 32-14.33 32-32C512 238.3 497.7 223.1 480 223.1zM365.2 191.1l20.47-32.18c.418 .0156 .832 .1758 1.25 .1758c10.56 0 20.94-5.234 27.03-14.81l61.09-96c9.5-14.92 5.094-34.7-9.812-44.19C450.3-4.475 430.5-.084 421 14.81l-61.09 96c-6.299 9.893-5.984 21.72-1.051 31.46l-31.64 49.72H365.2zM260.9 191.1l9.092-33.34c10.62-2.859 19.55-10.86 22.65-22.24l26.19-96c4.656-17.05-5.406-34.64-22.47-39.3c-16.84-4.594-34.63 5.375-39.28 22.45l-26.19 96c-3.088 11.3 .7109 22.5 8.314 30.35L227.8 191.1H260.9z"],
    "font": [448, 512, [], "f031", "M416 416h-25.81L253.1 52.76c-4.688-12.47-16.57-20.76-29.91-20.76s-25.34 8.289-30.02 20.76L57.81 416H32c-17.67 0-32 14.31-32 32s14.33 32 32 32h96c17.67 0 32-14.31 32-32s-14.33-32-32-32H126.2l17.1-48h159.6l17.1 48H320c-17.67 0-32 14.31-32 32s14.33 32 32 32h96c17.67 0 32-14.31 32-32S433.7 416 416 416zM168.2 304L224 155.1l55.82 148.9H168.2z"],
    "font-awesome": [448, 512, [62694, 62501, "font-awesome-flag", "font-awesome-logo-full"], "f2b4", "M448 48V384c-63.09 22.54-82.34 32-119.5 32c-62.82 0-86.6-32-149.3-32C158.6 384 142.6 387.6 128 392.2v-64C142.6 323.6 158.6 320 179.2 320c62.73 0 86.51 32 149.3 32C348.9 352 364.1 349 384 342.7v-208C364.1 141 348.9 144 328.5 144c-62.82 0-86.6-32-149.3-32C128.4 112 104.3 132.6 64 140.7v307.3C64 465.7 49.67 480 32 480S0 465.7 0 448V63.1C0 46.33 14.33 32 31.1 32S64 46.33 64 63.1V76.66C104.3 68.63 128.4 48 179.2 48c62.73 0 86.51 32 149.3 32C365.7 80 384.9 70.54 448 48z"],
    "font-case": [640, 512, [], "f866", "M205.1 52.76C201.3 40.3 189.3 32.01 176 32.01S150.7 40.3 146 52.76l-144 384c-6.203 16.56 2.188 35 18.73 41.22c16.55 6.125 34.98-2.156 41.2-18.72l28.21-75.25h171.6l28.21 75.25C294.9 472.1 307 480 320 480c3.734 0 7.531-.6562 11.23-2.031c16.55-6.219 24.94-24.66 18.73-41.22L205.1 52.76zM114.2 320L176 155.1l61.82 164.9H114.2zM608 160c-13.14 0-24.37 7.943-29.3 19.27C559.2 167.3 536.5 160 512 160c-70.58 0-128 57.41-128 128l.0007 63.93c0 70.59 57.42 128.1 127.1 128.1c24.51 0 47.21-7.266 66.7-19.26C583.6 472.1 594.9 480 608 480c17.67 0 32-14.31 32-32V192C640 174.3 625.7 160 608 160zM576 352c0 35.28-28.7 64-64 64s-64-28.72-64-64v-64c0-35.28 28.7-63.1 64-63.1s64 28.72 64 63.1V352z"],
    "football": [512, 512, [127944, "football-ball"], "f44e", "M16.17 337.5c0 44.98 7.565 83.54 13.98 107.9C35.22 464.3 50.46 496 174.9 496c9.566 0 19.59-.4707 29.84-1.271L17.33 307.3C16.53 317.6 16.17 327.7 16.17 337.5zM495.8 174.5c0-44.98-7.565-83.53-13.98-107.9c-4.688-17.54-18.34-31.23-36.04-35.95C435.5 27.91 392.9 16 337 16c-9.564 0-19.59 .4707-29.84 1.271l187.5 187.5C495.5 194.4 495.8 184.3 495.8 174.5zM26.77 248.8l236.3 236.3c142-36.1 203.9-150.4 222.2-221.1L248.9 26.87C106.9 62.96 45.07 177.2 26.77 248.8zM256 335.1c0 9.141-7.474 16-16 16c-4.094 0-8.188-1.564-11.31-4.689L164.7 283.3C161.6 280.2 160 276.1 160 271.1c0-8.529 6.865-16 16-16c4.095 0 8.189 1.562 11.31 4.688l64.01 64C254.4 327.8 256 331.9 256 335.1zM304 287.1c0 9.141-7.474 16-16 16c-4.094 0-8.188-1.564-11.31-4.689L212.7 235.3C209.6 232.2 208 228.1 208 223.1c0-9.141 7.473-16 16-16c4.094 0 8.188 1.562 11.31 4.688l64.01 64.01C302.5 279.8 304 283.9 304 287.1zM256 175.1c0-9.141 7.473-16 16-16c4.094 0 8.188 1.562 11.31 4.688l64.01 64.01c3.125 3.125 4.688 7.219 4.688 11.31c0 9.133-7.468 16-16 16c-4.094 0-8.189-1.562-11.31-4.688l-64.01-64.01C257.6 184.2 256 180.1 256 175.1z"],
    "football-helmet": [512, 512, [], "f44f", "M496 320H354.3l-14.2-75.98l137-17.82c8.523-1.188 14.67-9.027 13.83-17.39C459.4 61.7 332.5 16 256 16c-132.5 0-240 107.5-240 240c0 56.09 19.41 107.5 51.68 148.4c5.941 7.52 15.3 11.58 24.89 11.58h27.39l85.75 45.04c25.12 12.62 55.62 7.714 75.62-12.29C317.6 412.5 292.3 366.8 286.4 352h41.36l9.875 52.66C347.5 457.6 393.8 496 447.7 496h48.31c8.844 0 16-7.156 16-16v-144C512 327.2 504.8 320 496 320zM175.1 359.1c-13.25 0-24-10.75-24-24s10.75-24 24-24s24 10.75 24 24S189.2 359.1 175.1 359.1zM273.6 320l-10.34-25.79c-7.75-19.38 4.996-40.89 25.62-43.51l19.48-2.538L321.7 320H273.6zM479.1 464h-32.31c-32.28 0-60.54-19.45-73.07-48h105.4V464zM479.1 384h-113.7l-5.992-32h119.7V384z"],
    "fork": [512, 512, ["utensil-fork"], "f2e3", "M434.5 232.7C427.7 243.8 418.5 253.2 407.5 260.3C396.5 267.3 384.1 271.7 371.2 273.2C349.9 275.2 328.5 269.8 310.8 257.8L68.29 500.3C60.79 507.8 50.61 512 40 512C29.39 512 19.22 507.8 11.71 500.3C4.211 492.8-.0039 482.6-.0039 472C-.0039 461.4 4.211 451.2 11.71 443.7L254.2 201.1C242.2 183.4 236.7 162.1 238.8 140.8C240.3 127.9 244.7 115.4 251.7 104.5C258.8 93.51 268.2 84.3 279.3 77.54L397.1 2.563C400.4 .4423 404.4-.3746 408.3 .2692C412.2 .9131 415.7 2.972 418.1 6.051C420.6 9.126 421.8 13 421.6 16.93C421.4 20.87 419.7 24.58 416.1 27.36L315.2 129.3L327.5 141.6L444.3 48.83C446.8 46.78 450.1 45.75 453.4 45.94C456.7 46.13 459.8 47.53 462.2 49.87C464.5 52.21 465.9 55.33 466.1 58.63C466.3 61.94 465.2 65.19 463.2 67.78L370.5 184.5L382.8 196.8L484.6 95.04C487.4 92.27 491.1 90.62 495.1 90.41C499 90.2 502.9 91.45 505.9 93.91C509 96.37 511.1 99.88 511.7 103.8C512.4 107.6 511.5 111.6 509.4 114.9L434.5 232.7z"],
    "fork-knife": [576, 512, ["utensils-alt"], "f2e6", "M152.8 321.4L54.11 222.8C28.01 196.7 10.32 163.4 3.341 127.1C-3.641 90.86 .4013 53.35 14.95 19.42C17.01 14.62 20.21 10.39 24.29 7.114C28.36 3.835 33.17 1.604 38.31 .6159C43.44-.3722 48.74-.0877 53.74 1.445C58.73 2.978 63.28 5.712 66.98 9.408L265.9 208.3L152.8 321.4zM500.3 443.8C507.8 451.3 512 461.5 512 472.1C512 482.7 507.8 492.8 500.3 500.4C492.8 507.9 482.6 512.1 472 512.1C461.4 512.1 451.2 507.9 443.7 500.4L310.6 367.3L367.2 310.7L500.3 443.8zM569.1 93.86C573 96.32 575.1 99.84 575.7 103.7C576.4 107.6 575.6 111.6 573.4 114.9L498.5 232.7C491.7 243.8 482.5 253.2 471.5 260.3C460.5 267.3 448.1 271.7 435.2 273.2C413.9 275.2 392.5 269.8 374.8 257.8L132.3 500.3C124.8 507.8 114.6 512 104 512C93.39 512 83.22 507.8 75.71 500.3C68.21 492.8 63.1 482.6 63.1 472C63.1 461.4 68.21 451.2 75.71 443.7L318.2 201.1C306.2 183.4 300.7 162.1 302.8 140.8C304.3 127.9 308.7 115.4 315.7 104.5C322.8 93.51 332.2 84.3 343.3 77.54L461.1 2.56C464.4 .439 468.4-.378 472.3 .2659C476.2 .9097 479.7 2.969 482.1 6.048C484.6 9.123 485.8 12.1 485.6 16.93C485.4 20.86 483.7 24.58 480.1 27.36L379.2 129.3L391.5 141.6L508.3 48.83C510.9 46.78 514.1 45.75 517.4 45.94C520.7 46.13 523.8 47.53 526.2 49.87C528.5 52.21 529.9 55.33 530.1 58.63C530.3 61.93 529.2 65.19 527.2 67.78L434.5 184.5L446.8 196.8L548.6 95.1C551.4 92.32 555.1 90.66 559.1 90.44C563 90.22 566.9 91.46 569.1 93.92V93.86z"],
    "forklift": [640, 512, [], "f47a", "M48 160H96V48C96 21.49 117.5 0 144 0H292.7C313 0 331.1 12.75 337.9 31.86L413.2 242.6C415.1 247.8 416 253.3 416 258.8V344.4C435.6 362 448 387.6 448 416C448 469 405 512 352 512C298.1 512 256 469 256 416H192C192 469 149 512 96 512C42.98 512 0 469 0 416V208C0 181.5 21.49 160 48 160V160zM350 256L281.4 64H160V160L256 256H350zM96 464C122.5 464 144 442.5 144 416C144 389.5 122.5 368 96 368C69.49 368 48 389.5 48 416C48 442.5 69.49 464 96 464zM352 464C378.5 464 400 442.5 400 416C400 389.5 378.5 368 352 368C325.5 368 304 389.5 304 416C304 442.5 325.5 464 352 464zM544 384H608C625.7 384 640 398.3 640 416C640 433.7 625.7 448 608 448H512C494.3 448 480 433.7 480 416V32C480 14.33 494.3 0 512 0C529.7 0 544 14.33 544 32V384z"],
    "fort": [640, 512, [], "e486", "M0 16C0 7.164 7.164 0 16 0H48C56.84 0 64 7.164 64 16V64H96V16C96 7.164 103.2 0 112 0H144C152.8 0 160 7.164 160 16V64H192V16C192 7.164 199.2 0 208 0H240C248.8 0 256 7.164 256 16V160H384V16C384 7.164 391.2 0 400 0H432C440.8 0 448 7.164 448 16V64H480V16C480 7.164 487.2 0 496 0H528C536.8 0 544 7.164 544 16V64H576V16C576 7.164 583.2 0 592 0H624C632.8 0 640 7.164 640 16V176C640 196.9 626.6 214.7 608 221.3V464C608 490.5 586.5 512 560 512H384V384C384 348.7 355.3 320 320 320C284.7 320 256 348.7 256 384V512H80C53.49 512 32 490.5 32 464V221.3C13.36 214.7 0 196.9 0 176V16z"],
    "forward": [512, 512, [9193], "f04e", "M52.51 440.6l171.5-142.9V214.3L52.51 71.41C31.88 54.28 0 68.66 0 96.03v319.9C0 443.3 31.88 457.7 52.51 440.6zM308.5 440.6l192-159.1c15.25-12.87 15.25-36.37 0-49.24l-192-159.1c-20.63-17.12-52.51-2.749-52.51 24.62v319.9C256 443.3 287.9 457.7 308.5 440.6z"],
    "forward-fast": [512, 512, [9197, "fast-forward"], "f050", "M512 96.03v319.9c0 17.67-14.33 31.1-31.1 31.1C462.3 447.1 448 433.6 448 415.1V284.1l-171.5 156.5C255.9 457.7 224 443.3 224 415.1V284.1l-171.5 156.5C31.88 457.7 0 443.3 0 415.1V96.03c0-27.37 31.88-41.74 52.5-24.62L224 226.8V96.03c0-27.37 31.88-41.74 52.5-24.62L448 226.8V96.03c0-17.67 14.33-31.1 31.1-31.1C497.7 64.03 512 78.36 512 96.03z"],
    "forward-step": [320, 512, ["step-forward"], "f051", "M287.1 447.1c17.67 0 31.1-14.33 31.1-32V96.03c0-17.67-14.33-32-32-32c-17.67 0-31.1 14.33-31.1 31.1v319.9C255.1 433.6 270.3 447.1 287.1 447.1zM52.51 440.6l192-159.1c7.625-6.436 11.43-15.53 11.43-24.62c0-9.094-3.809-18.18-11.43-24.62l-192-159.1C31.88 54.28 0 68.66 0 96.03v319.9C0 443.3 31.88 457.7 52.51 440.6z"],
    "frame": [448, 512, [], "e495", "M416 160H384V352H416C433.7 352 448 366.3 448 384C448 401.7 433.7 416 416 416H384V448C384 465.7 369.7 480 352 480C334.3 480 320 465.7 320 448V416H128V448C128 465.7 113.7 480 96 480C78.33 480 64 465.7 64 448V416H32C14.33 416 0 401.7 0 384C0 366.3 14.33 352 32 352H64V160H32C14.33 160 0 145.7 0 128C0 110.3 14.33 96 32 96H64V64C64 46.33 78.33 32 96 32C113.7 32 128 46.33 128 64V96H320V64C320 46.33 334.3 32 352 32C369.7 32 384 46.33 384 64V96H416C433.7 96 448 110.3 448 128C448 145.7 433.7 160 416 160zM128 352H320V160H128V352z"],
    "franc-sign": [320, 512, [], "e18f", "M288 32C305.7 32 320 46.33 320 64C320 81.67 305.7 96 288 96H112V192H256C273.7 192 288 206.3 288 224C288 241.7 273.7 256 256 256H112V320H192C209.7 320 224 334.3 224 352C224 369.7 209.7 384 192 384H112V448C112 465.7 97.67 480 80 480C62.33 480 48 465.7 48 448V384H32C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320H48V64C48 46.33 62.33 32 80 32H288z"],
    "french-fries": [384, 512, [127839], "f803", "M368 223.1l-34-.0027c-6.875 0-13.75 4.25-15.25 11c-8.5 39-62 69-126.8 69c-64.62 0-118.1-30-126.8-69C63.75 228.2 56.1 223.1 49.1 223.1l-34 .0027c-4.875 0-9.522 2.281-12.52 6.031C.4768 233.8-.6266 238.7 .3734 243.5l54.13 243.5c3.25 14.63 16.25 25 31.25 25h212.5c14.1 0 28-10.37 31.25-25l54.13-243.5c.1-4.75-.1035-9.716-3.103-13.47C377.5 226.3 372.9 223.1 368 223.1zM287.5 228.1c.5-1.75 1.5-3.25 2.125-4.875l30.12-172.5c1-5.5-.9999-11-5.125-14.63c-4.125-3.75-9.875-5-15.25-3.375l-34.25 10.25c-4.25 1.25-7.125 4.5-9.125 8.25v207.3C273.5 250.1 285.1 238.1 287.5 228.1zM367.5 191.1l16.25-93.26c1-5.5-.1-11-5.125-14.63c-4.125-3.75-9.875-5-15.25-3.375l-17.25 5.125l-18.75 107.3c2.25-.375 4.25-1.125 6.625-1.125H367.5zM223.1 268.7V31.97c0-6-3.375-11.63-8.875-14.25L183.1 1.722C178.3-.7781 172.3-.5281 167.6 2.347C162.9 5.222 160 10.47 160 15.97v252.8C181.1 273.1 202.9 273.1 223.1 268.7zM50 191.1c3.625 0 6.1 1 10.37 1.75L40.38 86.6L20.63 80.73C15.25 79.1 9.504 80.35 5.379 83.98C1.254 87.73-.7458 93.23 .2542 98.73l16.25 93.26H50zM128 258.5V33.1L124.3 13.1c-.1-5.5-4.75-10-9.1-12C109.1-.9031 103.3-.1531 98.88 3.222L70.38 24.85C65.5 28.47 63.13 34.6 64.25 40.6l36.87 197.1C106.5 245.4 115.6 252.6 128 258.5z"],
    "frog": [576, 512, [], "f52e", "M528 416h-32.07l-90.32-96.34l140.6-79.03c18.38-10.25 29.75-29.62 29.75-50.62c0-21.5-11.75-41-30.5-51.25c-40.5-22.25-99.07-41.43-99.07-41.43C439.6 60.19 407.3 32 368 32s-71.77 28.25-78.52 65.5C126.7 113-.4999 250.1 .0001 417C.1251 451.9 29.13 480 64 480h304c8.875 0 16-7.125 16-16c0-26.51-21.49-48-47.1-48H284.3l23.93-32.38c24.25-36.13 10.38-88.25-33.63-106.5C250.8 267.1 223 272.4 202.4 288L169.6 312.5c-7.125 5.375-17.12 4-22.38-3.125c-5.375-7.125-4-17.12 3.125-22.38l34.75-26.12c36.87-27.62 88.37-27.62 125.1 0c10.88 8.125 45.88 39 40.88 93.13L469.6 480h90.38c8.875 0 16-7.125 16-16C576 437.5 554.5 416 528 416zM344 112c0-13.25 10.75-24 24-24s24 10.75 24 24s-10.75 24-24 24S344 125.3 344 112z"],
    "function": [640, 512, [], "f661", "M510.6 241.4c-12.5-12.5-32.75-12.5-45.25 0L432 274.8l-33.38-33.38c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25l33.38 33.38l-33.38 33.38c-12.5 12.5-12.5 32.75 0 45.25c6.25 6.25 14.44 9.375 22.62 9.375s16.38-3.125 22.62-9.375L432 365.3l33.38 33.38c6.25 6.25 14.44 9.375 22.62 9.375s16.38-3.125 22.62-9.375c12.5-12.5 12.5-32.75 0-45.25l-33.38-33.38l33.38-33.38C523.1 274.1 523.1 253.9 510.6 241.4zM192 .0146L160 .0098c-52.94 0-96 43.07-96 96v96H32c-17.67 0-32 14.31-32 32s14.33 32 32 32h32v128c0 17.66-14.36 31.1-32 31.1c-17.67 0-32 14.32-32 32s14.33 32 32 32c52.94 0 96-43.06 96-96v-128h32c17.67 0 32-14.31 32-32s-14.33-32-32-32H128v-96C128 78.36 142.4 64.01 160 64.01l32 .0049c17.67 0 32-14.31 32-32S209.7 .0146 192 .0146zM321.2 133C306.3 123.5 286.5 127.1 276.1 142.9c-70.48 110.9-70.48 243.4 0 354.3c6.109 9.594 16.47 14.84 27.05 14.84c5.875 0 11.81-1.625 17.12-5c14.92-9.469 19.33-29.25 9.859-44.16c-57.69-90.78-57.69-194.9 0-285.7C340.5 162.3 336.1 142.5 321.2 133zM587 142.9c-9.516-14.91-29.28-19.31-44.17-9.844c-14.92 9.469-19.33 29.25-9.859 44.16c57.69 90.78 57.69 194.9 0 285.7c-9.469 14.91-5.062 34.69 9.859 44.16c5.312 3.406 11.25 5 17.12 5c10.58 0 20.94-5.25 27.05-14.84C657.5 386.2 657.5 253.8 587 142.9z"],
    "futbol": [512, 512, [9917, "futbol-ball", "soccer-ball"], "f1e3", "M177.1 228.6L207.9 320h96.5l29.62-91.38L256 172.1L177.1 228.6zM255.1 0C114.6 0 .0001 114.6 .0001 256S114.6 512 256 512s255.1-114.6 255.1-255.1S397.4 0 255.1 0zM416.6 360.9l-85.4-1.297l-25.15 81.59C290.1 445.5 273.4 448 256 448s-34.09-2.523-50.09-6.859L180.8 359.6l-85.4 1.297c-18.12-27.66-29.15-60.27-30.88-95.31L134.3 216.4L106.6 135.6c21.16-26.21 49.09-46.61 81.06-58.84L256 128l68.29-51.22c31.98 12.23 59.9 32.64 81.06 58.84L377.7 216.4l69.78 49.1C445.8 300.6 434.8 333.2 416.6 360.9z"],
    "g": [448, 512, [103], "47", "M448 256c0 143.4-118.6 222.3-225 222.3c-132.3 0-222.1-106.2-222.1-222.4c0-124.4 100.9-223.9 223.1-223.9c84.84 0 167.8 55.28 167.8 88.2c0 18.28-14.95 32-32 32c-31.04 0-46.79-56.16-135.8-56.16c-87.66 0-159.1 70.66-159.1 159.8c0 34.81 27.19 158.8 159.1 158.8c79.45 0 144.6-55.1 158.1-126.7h-134.1c-17.67 0-32-14.33-32-32s14.33-31.1 32-31.1H416C433.7 224 448 238.3 448 256z"],
    "galaxy": [512, 512, [], "e008", "M506.6 274.1c-16.88-71.13-75.38-127.9-147-142.1c-34-7-69.13-4.625-101.9 6.625c7.5-49.25 39.75-91.13 85.5-110.8c13.38-5.75 10.38-25.5-4-26.88c-21.88-2.25-43.88-.625-65.13 4.375C202.1 22.24 146.2 80.74 131.1 152.4C124.1 186.4 127.4 221.5 138.6 254.2C89.37 246.7 47.49 214.5 27.87 168.7C22.12 155.4 2.368 158.4 .9925 172.7C-1.258 194.6 .3674 216.6 5.368 237.9c16.88 71.13 75.38 127.9 147 142.1c34 7 69.13 4.625 101.9-6.625c-7.5 49.25-39.75 91.13-85.5 110.8c-13.38 5.75-10.38 25.5 4 26.88c21.88 2.25 43.88 .625 65.13-4.375c71.13-16.88 127.9-75.38 142.1-147c7-34 4.625-69.13-6.625-101.9c49.25 7.5 91.13 39.75 110.8 85.5c5.75 13.38 25.5 10.38 26.88-4C513.3 317.4 511.6 295.4 506.6 274.1zM255.1 304C229.5 304 207.1 282.5 207.1 256s21.5-48 48-48S304 229.5 304 256S282.5 304 255.1 304z"],
    "gallery-thumbnails": [576, 512, [], "e3aa", "M512 0C547.3 0 576 28.65 576 64V288C576 323.3 547.3 352 512 352H64C28.65 352 0 323.3 0 288V64C0 28.65 28.65 0 64 0H512zM512 64H64V288H512V64zM0 448C0 430.3 14.33 416 32 416H64C81.67 416 96 430.3 96 448V480C96 497.7 81.67 512 64 512H32C14.33 512 0 497.7 0 480V448zM224 416C241.7 416 256 430.3 256 448V480C256 497.7 241.7 512 224 512H192C174.3 512 160 497.7 160 480V448C160 430.3 174.3 416 192 416H224zM320 448C320 430.3 334.3 416 352 416H384C401.7 416 416 430.3 416 448V480C416 497.7 401.7 512 384 512H352C334.3 512 320 497.7 320 480V448zM544 416C561.7 416 576 430.3 576 448V480C576 497.7 561.7 512 544 512H512C494.3 512 480 497.7 480 480V448C480 430.3 494.3 416 512 416H544z"],
    "game-board": [448, 512, [], "f867", "M224 336h80V256h-80V336zM224 176h-80V256h80V176zM384 32h-320c-35.2 0-64 28.8-64 64v320c0 35.2 28.8 64 64 64h320c35.2 0 64-28.8 64-64V96C448 60.8 419.2 32 384 32zM384 176h-80V256h80v80h-80V416h-80v-80h-80V416H64l0-80h80V256H64l0-80h80V96h80v80h80V96h80L384 176z"],
    "game-board-simple": [448, 512, ["game-board-alt"], "f868", "M384 32h-320C28.8 32 0 60.8 0 96v320c0 35.2 28.8 64 64 64h320c35.2 0 64-28.8 64-64V96C448 60.8 419.2 32 384 32zM384 256h-160v160H64L64 256h160V96h160L384 256z"],
    "game-console-handheld": [384, 512, [], "f8bb", "M336 0h-288c-26.4 0-48 21.6-48 48L.0001 416c0 52.8 43.2 96 96 96h192c53.02 0 95.1-42.98 96-96l.0001-368C384 21.6 362.4 0 336 0zM160 336c0 8.8-7.2 16-16 16h-16v16c0 8.8-7.2 16-15.1 16c-8.8 0-16-7.2-16-15.1L96 352H80c-8.8 0-15.1-7.2-15.1-16S71.2 320 80 320h15.1l0-16C96 295.2 103.2 288 112 288c8.8 0 15.1 7.2 15.1 16V320h16C152.8 320 160 327.2 160 336zM232 384c-13.25 0-24-10.75-24-24s10.75-24 24-24s24 10.75 24 24S245.3 384 232 384zM128 224c-17.67 0-32-14.33-32-32L96 80c0-8.837 7.163-16 16-16h159.1c8.837 0 16 7.163 16 16V192c0 17.6-14.4 32-32 32H128zM296 336c-13.25 0-24-10.75-24-24s10.75-24 24-24s24 10.75 24 24S309.3 336 296 336z"],
    "gamepad": [640, 512, [], "f11b", "M448 64H192C85.96 64 0 149.1 0 256s85.96 192 192 192h256c106 0 192-85.96 192-192S554 64 448 64zM247.1 280h-32v32c0 13.2-10.78 24-23.98 24c-13.2 0-24.02-10.8-24.02-24v-32L136 279.1C122.8 279.1 111.1 269.2 111.1 256c0-13.2 10.85-24.01 24.05-24.01L167.1 232v-32c0-13.2 10.82-24 24.02-24c13.2 0 23.98 10.8 23.98 24v32h32c13.2 0 24.02 10.8 24.02 24C271.1 269.2 261.2 280 247.1 280zM431.1 344c-22.12 0-39.1-17.87-39.1-39.1s17.87-40 39.1-40s39.1 17.88 39.1 40S454.1 344 431.1 344zM495.1 248c-22.12 0-39.1-17.87-39.1-39.1s17.87-40 39.1-40c22.12 0 39.1 17.88 39.1 40S518.1 248 495.1 248z"],
    "gamepad-modern": [640, 512, [63676, 127918, "gamepad-alt"], "e5a2", "M640 384.2c0-5.257-.4576-10.6-1.406-15.98l-33.38-211.6C591.4 77.96 522 32 319.1 32C119 32 48.71 77.46 34.78 156.6l-33.38 211.6c-.9487 5.383-1.406 10.72-1.406 15.98c0 51.89 44.58 95.81 101.5 95.81c49.69 0 93.78-30.06 109.5-74.64l7.5-21.36h203l7.5 21.36c15.72 44.58 59.81 74.64 109.5 74.64C595.4 479.1 640 436.1 640 384.2zM247.1 248l-31.96-.0098L215.1 280c0 13.2-10.78 24-23.98 24c-13.2 0-24.02-10.8-24.02-24l.0367-32.01L135.1 248c-13.2 0-23.98-10.8-23.98-24c0-13.2 10.77-24 23.98-24l32.04-.011L167.1 168c0-13.2 10.82-24 24.02-24c13.2 0 23.98 10.8 23.98 24l.0368 31.99L247.1 200c13.2 0 24.02 10.8 24.02 24C271.1 237.2 261.2 248 247.1 248zM432 311.1c-22.09 0-40-17.92-40-40c0-22.08 17.91-40 40-40s40 17.92 40 40C472 294.1 454.1 311.1 432 311.1zM496 215.1c-22.09 0-40-17.92-40-40c0-22.08 17.91-40 40-40s40 17.92 40 40C536 198.1 518.1 215.1 496 215.1z"],
    "garage": [640, 512, [], "e009", "M40.23 111.9L308.1 4.753C315.7 1.702 324.3 1.702 331.9 4.753L599.8 111.9C624.1 121.6 640 145.2 640 171.3V488C640 501.3 629.3 512 616 512H568C554.7 512 544 501.3 544 488V223.1C544 206.3 529.7 191.1 512 191.1H128C110.3 191.1 96 206.3 96 223.1V488C96 501.3 85.25 512 72 512H24C10.75 512 0 501.3 0 488V171.3C0 145.2 15.93 121.6 40.23 111.9zM128 223.1H512V319.1H128V223.1zM128 352H512V512H128V352zM272 448H368C376.8 448 384 440.8 384 432C384 423.2 376.8 416 368 416H272C263.2 416 256 423.2 256 432C256 440.8 263.2 448 272 448z"],
    "garage-car": [640, 512, [], "e00a", "M0 488V171.3C0 145.2 15.93 121.6 40.23 111.9L308.1 4.753C315.7 1.702 324.3 1.702 331.9 4.753L599.8 111.9C624.1 121.6 640 145.2 640 171.3V488C640 501.3 629.3 512 616 512H568C554.7 512 544 501.3 544 488V223.1C544 206.3 529.7 191.1 512 191.1H128C110.3 191.1 96 206.3 96 223.1V488C96 501.3 85.25 512 72 512H24C10.75 512 0 501.3 0 488zM188.9 334.1L208.1 277.5C216.8 255.1 238 240 261.8 240H378.2C401.1 240 423.2 255.1 431 277.5L451.1 334.1C468.3 344.5 480 362.9 480 384V480C480 497.7 465.7 512 448 512C430.3 512 416 497.7 416 480V464H223.1V480C223.1 497.7 209.7 512 191.1 512C174.3 512 159.1 497.7 159.1 480V384C159.1 362.9 171.7 344.5 188.9 334.1L188.9 334.1zM242.2 328H397.8L385.7 293.4C384.6 290.2 381.6 287.1 378.2 287.1H261.8C258.4 287.1 255.4 290.2 254.3 293.4L242.2 328zM240 424C253.3 424 264 413.3 264 400C264 386.7 253.3 376 240 376C226.7 376 216 386.7 216 400C216 413.3 226.7 424 240 424zM400 376C386.7 376 376 386.7 376 400C376 413.3 386.7 424 400 424C413.3 424 424 413.3 424 400C424 386.7 413.3 376 400 376z"],
    "garage-open": [640, 512, [], "e00b", "M40.23 111.9L308.1 4.753C315.7 1.702 324.3 1.702 331.9 4.753L599.8 111.9C624.1 121.6 640 145.2 640 171.3V488C640 501.3 629.3 512 616 512H568C554.7 512 544 501.3 544 488V223.1C544 206.3 529.7 191.1 512 191.1H128C110.3 191.1 96 206.3 96 223.1V488C96 501.3 85.25 512 72 512H24C10.75 512 0 501.3 0 488V171.3C0 145.2 15.93 121.6 40.23 111.9zM244.1 319.1L242.2 328H397.8L395 319.1H445.9L451.1 334.1C468.3 344.5 480 362.9 480 384V480C480 497.7 465.7 512 448 512C430.3 512 416 497.7 416 480V464H224V480C224 497.7 209.7 512 192 512C174.3 512 160 497.7 160 480V384C160 362.9 171.7 344.5 188.9 334.1L194.1 319.1H244.1zM240 424C253.3 424 264 413.3 264 400C264 386.7 253.3 376 240 376C226.7 376 216 386.7 216 400C216 413.3 226.7 424 240 424zM400 376C386.7 376 376 386.7 376 400C376 413.3 386.7 424 400 424C413.3 424 424 413.3 424 400C424 386.7 413.3 376 400 376zM512 287.1H128V223.1H512V287.1z"],
    "garlic": [512, 512, [129476], "e40e", "M200 488C200 501.3 210.8 512 224 512s24-10.75 24-24V448h-48V488zM264 488c0 13.25 10.75 24 24 24s24-10.75 24-24V448h-48V488zM64 306.9c0-55.59 17.16-84.8 33.78-113c10.6-18.05 20.69-35.61 26.1-60.65L48.8 191.7C17.79 215.9 0 251.4 0 288.1c0 62.77 49.45 114.6 113.1 124.8C84.23 390 64 354.4 64 306.9zM136 488C136 501.3 146.8 512 160 512s24-10.75 24-24V448l-48-.0391V488zM463.2 191.7l-85.23-66.48C361.5 112.4 352 93.53 352 73.52V44.57C352 19.99 330.5 0 304 0H288v92.64c0 48.88 18.19 73.63 37.44 99.83C345.4 219.6 368 250.4 368 306.9c0 49.17-21.83 85.49-53.34 109.1L376 415.9C451.1 415.5 512 358.8 512 288.1C512 251.4 494.2 215.9 463.2 191.7zM328 488c0 13.25 10.75 24 24 24s24-10.75 24-24v-40.04L328 448V488zM299.7 211.4C279.2 183.6 256 152 256 92.64V0H208C181.5 0 160 19.99 160 44.57v48.07c0 58.48-18.41 89.78-34.66 117.4C110.3 235.7 96 259.1 96 306.9C96 381.8 158.2 416 215.1 416C273.8 416 336 381.8 336 306.9C336 260.9 319.2 237.1 299.7 211.4z"],
    "gas-pump": [512, 512, [9981], "f52f", "M32 64C32 28.65 60.65 0 96 0H256C291.3 0 320 28.65 320 64V256H328C376.6 256 416 295.4 416 344V376C416 389.3 426.7 400 440 400C453.3 400 464 389.3 464 376V221.1C436.4 214.9 416 189.8 416 160V96L384 64C375.2 55.16 375.2 40.84 384 32C392.8 23.16 407.2 23.16 416 32L493.3 109.3C505.3 121.3 512 137.5 512 154.5V376C512 415.8 479.8 448 440 448C400.2 448 368 415.8 368 376V344C368 321.9 350.1 303.1 328 303.1H320V448C337.7 448 352 462.3 352 480C352 497.7 337.7 512 320 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448V64zM96 176C96 184.8 103.2 192 112 192H240C248.8 192 256 184.8 256 176V80C256 71.16 248.8 64 240 64H112C103.2 64 96 71.16 96 80V176z"],
    "gas-pump-slash": [640, 512, [], "f5f4", "M97.33 50.98C103.3 21.88 129.1 0 160 0H320C355.3 0 384 28.65 384 64V275.7L520.8 382.9C525.3 376.4 528 368.5 528 360V221.1C500.4 214.9 480 189.8 480 160V96L448 64C439.2 55.16 439.2 40.84 448 32C456.8 23.16 471.2 23.16 480 32L557.3 109.3C569.3 121.3 576 137.5 576 154.5V360C576 379.7 569.5 397.9 558.6 412.5L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L97.33 50.98zM384 398.5V448C401.7 448 416 462.3 416 480C416 497.7 401.7 512 384 512H96C78.33 512 64 497.7 64 480C64 462.3 78.33 448 96 448V171.6L384 398.5z"],
    "gauge": [512, 512, ["dashboard", "gauge-med", "tachometer-alt-average"], "f624", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM280 292.7V88C280 74.75 269.3 64 256 64C242.7 64 232 74.75 232 88V292.7C208.5 302.1 192 325.1 192 352C192 387.3 220.7 416 256 416C291.3 416 320 387.3 320 352C320 325.1 303.5 302.1 280 292.7zM144 176C161.7 176 176 161.7 176 144C176 126.3 161.7 112 144 112C126.3 112 112 126.3 112 144C112 161.7 126.3 176 144 176zM96 224C78.33 224 64 238.3 64 256C64 273.7 78.33 288 96 288C113.7 288 128 273.7 128 256C128 238.3 113.7 224 96 224zM416 288C433.7 288 448 273.7 448 256C448 238.3 433.7 224 416 224C398.3 224 384 238.3 384 256C384 273.7 398.3 288 416 288zM368 112C350.3 112 336 126.3 336 144C336 161.7 350.3 176 368 176C385.7 176 400 161.7 400 144C400 126.3 385.7 112 368 112z"],
    "gauge-circle-bolt": [640, 512, [], "e496", "M320 368C320 413.9 337.6 455.7 366.4 487C332.1 503 295.5 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C375.4 0 475.6 81.67 503.1 192.2C501.3 192.1 498.7 192 496 192C398.8 192 320 270.8 320 368zM280 292.7V88C280 74.75 269.3 64 256 64C242.7 64 232 74.75 232 88V292.7C208.5 302.1 192 325.1 192 352C192 387.3 220.7 416 256 416C291.3 416 320 387.3 320 352C320 325.1 303.5 302.1 280 292.7zM144 176C161.7 176 176 161.7 176 144C176 126.3 161.7 112 144 112C126.3 112 112 126.3 112 144C112 161.7 126.3 176 144 176zM96 224C78.33 224 64 238.3 64 256C64 273.7 78.33 288 96 288C113.7 288 128 273.7 128 256C128 238.3 113.7 224 96 224zM368 112C350.3 112 336 126.3 336 144C336 161.7 350.3 176 368 176C385.7 176 400 161.7 400 144C400 126.3 385.7 112 368 112zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM528.8 286.4L432.8 358.4C428.7 361.5 426.1 366.9 428.6 371.8C430.2 376.7 434.8 380 440 380H475.6L445.5 434.2C442.8 439.1 443.8 445.3 448.1 449C452.4 452.8 458.7 452.1 463.2 449.6L559.2 377.6C563.3 374.5 565 369.1 563.4 364.2C561.8 359.3 557.2 356 552 356H516.4L546.5 301.8C549.2 296.9 548.2 290.7 543.9 286.1C539.6 283.2 533.3 283 528.8 286.4V286.4z"],
    "gauge-circle-minus": [640, 512, [], "e497", "M320 368C320 413.9 337.6 455.7 366.4 487C332.1 503 295.5 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C375.4 0 475.6 81.67 503.1 192.2C501.3 192.1 498.7 192 496 192C398.8 192 320 270.8 320 368zM280 292.7V88C280 74.75 269.3 64 256 64C242.7 64 232 74.75 232 88V292.7C208.5 302.1 192 325.1 192 352C192 387.3 220.7 416 256 416C291.3 416 320 387.3 320 352C320 325.1 303.5 302.1 280 292.7zM144 176C161.7 176 176 161.7 176 144C176 126.3 161.7 112 144 112C126.3 112 112 126.3 112 144C112 161.7 126.3 176 144 176zM96 224C78.33 224 64 238.3 64 256C64 273.7 78.33 288 96 288C113.7 288 128 273.7 128 256C128 238.3 113.7 224 96 224zM368 112C350.3 112 336 126.3 336 144C336 161.7 350.3 176 368 176C385.7 176 400 161.7 400 144C400 126.3 385.7 112 368 112zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM560 351.1H432C423.2 351.1 416 359.2 416 367.1C416 376.8 423.2 383.1 432 383.1H560C568.8 383.1 576 376.8 576 367.1C576 359.2 568.8 351.1 560 351.1z"],
    "gauge-circle-plus": [640, 512, [], "e498", "M320 368C320 413.9 337.6 455.7 366.4 487C332.1 503 295.5 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C375.4 0 475.6 81.67 503.1 192.2C501.3 192.1 498.7 192 496 192C398.8 192 320 270.8 320 368zM280 292.7V88C280 74.75 269.3 64 256 64C242.7 64 232 74.75 232 88V292.7C208.5 302.1 192 325.1 192 352C192 387.3 220.7 416 256 416C291.3 416 320 387.3 320 352C320 325.1 303.5 302.1 280 292.7zM144 176C161.7 176 176 161.7 176 144C176 126.3 161.7 112 144 112C126.3 112 112 126.3 112 144C112 161.7 126.3 176 144 176zM96 224C78.33 224 64 238.3 64 256C64 273.7 78.33 288 96 288C113.7 288 128 273.7 128 256C128 238.3 113.7 224 96 224zM368 112C350.3 112 336 126.3 336 144C336 161.7 350.3 176 368 176C385.7 176 400 161.7 400 144C400 126.3 385.7 112 368 112zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM512 303.1C512 295.2 504.8 287.1 496 287.1C487.2 287.1 480 295.2 480 303.1V351.1H432C423.2 351.1 416 359.2 416 367.1C416 376.8 423.2 383.1 432 383.1H480V431.1C480 440.8 487.2 447.1 496 447.1C504.8 447.1 512 440.8 512 431.1V383.1H560C568.8 383.1 576 376.8 576 367.1C576 359.2 568.8 351.1 560 351.1H512V303.1z"],
    "gauge-high": [512, 512, [62461, "tachometer-alt", "tachometer-alt-fast"], "f625", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 64C238.3 64 224 78.33 224 96C224 113.7 238.3 128 256 128C273.7 128 288 113.7 288 96C288 78.33 273.7 64 256 64zM256 416C291.3 416 320 387.3 320 352C320 334.6 313.1 318.9 301.9 307.4L365.1 161.7C371.3 149.5 365.8 135.4 353.7 130C341.5 124.7 327.4 130.2 322 142.3L257.9 288C257.3 288 256.6 287.1 256 287.1C220.7 287.1 192 316.7 192 352C192 387.3 220.7 416 256 416V416zM144 112C126.3 112 112 126.3 112 144C112 161.7 126.3 176 144 176C161.7 176 176 161.7 176 144C176 126.3 161.7 112 144 112zM96 288C113.7 288 128 273.7 128 256C128 238.3 113.7 224 96 224C78.33 224 64 238.3 64 256C64 273.7 78.33 288 96 288zM416 224C398.3 224 384 238.3 384 256C384 273.7 398.3 288 416 288C433.7 288 448 273.7 448 256C448 238.3 433.7 224 416 224z"],
    "gauge-low": [512, 512, ["tachometer-alt-slow"], "f627", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 64C238.3 64 224 78.33 224 96C224 113.7 238.3 128 256 128C273.7 128 288 113.7 288 96C288 78.33 273.7 64 256 64zM256 416C291.3 416 320 387.3 320 352C320 316.7 291.3 288 256 288C255.4 288 254.7 288 254.1 288L189.1 142.3C184.6 130.2 170.5 124.7 158.3 130C146.2 135.4 140.7 149.5 146 161.7L210.1 307.4C198.9 318.9 192 334.6 192 352C192 387.3 220.7 416 256 416V416zM96 224C78.33 224 64 238.3 64 256C64 273.7 78.33 288 96 288C113.7 288 128 273.7 128 256C128 238.3 113.7 224 96 224zM416 288C433.7 288 448 273.7 448 256C448 238.3 433.7 224 416 224C398.3 224 384 238.3 384 256C384 273.7 398.3 288 416 288zM368 112C350.3 112 336 126.3 336 144C336 161.7 350.3 176 368 176C385.7 176 400 161.7 400 144C400 126.3 385.7 112 368 112z"],
    "gauge-max": [512, 512, ["tachometer-alt-fastest"], "f626", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 64C238.3 64 224 78.33 224 96C224 113.7 238.3 128 256 128C273.7 128 288 113.7 288 96C288 78.33 273.7 64 256 64zM256 416C291.3 416 320 387.3 320 352C320 348.3 319.7 344.7 319.1 341.2L436.6 268.4C447.9 261.4 451.4 246.6 444.4 235.4C437.4 224.1 422.6 220.6 411.4 227.6L293.8 300.4C283.2 292.6 270.1 288 256 288C220.7 288 192 316.7 192 352C192 387.3 220.7 416 256 416L256 416zM144 112C126.3 112 112 126.3 112 144C112 161.7 126.3 176 144 176C161.7 176 176 161.7 176 144C176 126.3 161.7 112 144 112zM96 288C113.7 288 128 273.7 128 256C128 238.3 113.7 224 96 224C78.33 224 64 238.3 64 256C64 273.7 78.33 288 96 288zM368 112C350.3 112 336 126.3 336 144C336 161.7 350.3 176 368 176C385.7 176 400 161.7 400 144C400 126.3 385.7 112 368 112z"],
    "gauge-min": [512, 512, ["tachometer-alt-slowest"], "f628", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 64C238.3 64 224 78.33 224 96C224 113.7 238.3 128 256 128C273.7 128 288 113.7 288 96C288 78.33 273.7 64 256 64zM256 416C291.3 416 320 387.3 320 352C320 316.7 291.3 288 256 288C241.9 288 228.8 292.6 218.2 300.4L100.6 227.6C89.36 220.6 74.57 224.1 67.59 235.4C60.62 246.6 64.1 261.4 75.37 268.4L192.9 341.2C192.3 344.7 192 348.3 192 352C192 387.3 220.7 416 256 416L256 416zM144 112C126.3 112 112 126.3 112 144C112 161.7 126.3 176 144 176C161.7 176 176 161.7 176 144C176 126.3 161.7 112 144 112zM416 288C433.7 288 448 273.7 448 256C448 238.3 433.7 224 416 224C398.3 224 384 238.3 384 256C384 273.7 398.3 288 416 288zM368 112C350.3 112 336 126.3 336 144C336 161.7 350.3 176 368 176C385.7 176 400 161.7 400 144C400 126.3 385.7 112 368 112z"],
    "gauge-simple": [512, 512, ["gauge-simple-med", "tachometer-average"], "f629", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM280 292.7V88C280 74.75 269.3 64 256 64C242.7 64 232 74.75 232 88V292.7C208.5 302.1 192 325.1 192 352C192 387.3 220.7 416 256 416C291.3 416 320 387.3 320 352C320 325.1 303.5 302.1 280 292.7z"],
    "gauge-simple-high": [512, 512, [61668, "tachometer", "tachometer-fast"], "f62a", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM304.7 310.4L381.3 163.1C387.4 151.3 382.8 136.8 371.1 130.7C359.3 124.6 344.8 129.2 338.7 140.9L262.1 288.3C260.1 288.1 258.1 287.1 255.1 287.1C220.7 287.1 191.1 316.7 191.1 352C191.1 387.3 220.7 416 255.1 416C291.3 416 320 387.3 320 352C320 336.1 314.2 321.6 304.7 310.4L304.7 310.4z"],
    "gauge-simple-low": [512, 512, ["tachometer-slow"], "f62c", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 288C253.9 288 251.9 288.1 249.9 288.3L173.3 140.9C167.2 129.2 152.7 124.6 140.9 130.7C129.2 136.8 124.6 151.3 130.7 163.1L207.3 310.4C197.8 321.6 191.1 336.1 191.1 352C191.1 387.3 220.7 416 255.1 416C291.3 416 320 387.3 320 352C320 316.7 291.3 288 255.1 288L256 288z"],
    "gauge-simple-max": [512, 512, ["tachometer-fastest"], "f62b", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM319.1 341.2L436.6 268.4C447.9 261.4 451.4 246.6 444.4 235.4C437.4 224.1 422.6 220.6 411.4 227.6L293.8 300.4C283.2 292.6 270.1 288 256 288C220.7 288 192 316.7 192 352C192 387.3 220.7 416 256 416C291.3 416 320 387.3 320 352C320 348.3 319.7 344.7 319.1 341.2L319.1 341.2z"],
    "gauge-simple-min": [512, 512, ["tachometer-slowest"], "f62d", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 288C241.9 288 228.8 292.6 218.2 300.4L100.6 227.6C89.36 220.6 74.57 224.1 67.59 235.4C60.62 246.6 64.1 261.4 75.37 268.4L192.9 341.2C192.3 344.7 192 348.3 192 352C192 387.3 220.7 416 256 416C291.3 416 320 387.3 320 352C320 316.7 291.3 287.1 256 287.1L256 288z"],
    "gavel": [512, 512, ["legal"], "f0e3", "M512 216.3c0-6.125-2.344-12.25-7.031-16.93L482.3 176.8c-4.688-4.686-10.84-7.028-16.1-7.028s-12.31 2.343-16.1 7.028l-5.625 5.625L329.6 69.28l5.625-5.625c4.687-4.688 7.03-10.84 7.03-16.1s-2.343-12.31-7.03-16.1l-22.62-22.62C307.9 2.344 301.8 0 295.7 0s-12.15 2.344-16.84 7.031L154.2 131.5C149.6 136.2 147.2 142.3 147.2 148.5s2.344 12.25 7.031 16.94l22.62 22.62c4.688 4.688 10.84 7.031 16.1 7.031c6.156 0 12.31-2.344 16.1-7.031l5.625-5.625l113.1 113.1l-5.625 5.621c-4.688 4.688-7.031 10.84-7.031 16.1s2.344 12.31 7.031 16.1l22.62 22.62c4.688 4.688 10.81 7.031 16.94 7.031s12.25-2.344 16.94-7.031l124.5-124.6C509.7 228.5 512 222.5 512 216.3zM227.8 238.1L169.4 297.4C163.1 291.1 154.9 288 146.7 288S130.4 291.1 124.1 297.4l-114.7 114.7c-6.25 6.248-9.375 14.43-9.375 22.62s3.125 16.37 9.375 22.62l45.25 45.25C60.87 508.9 69.06 512 77.25 512s16.37-3.125 22.62-9.375l114.7-114.7c6.25-6.25 9.376-14.44 9.376-22.62c0-8.185-3.125-16.37-9.374-22.62l58.43-58.43L227.8 238.1z"],
    "gear": [512, 512, [9881, "cog"], "f013", "M495.9 166.6C499.2 175.2 496.4 184.9 489.6 191.2L446.3 230.6C447.4 238.9 448 247.4 448 256C448 264.6 447.4 273.1 446.3 281.4L489.6 320.8C496.4 327.1 499.2 336.8 495.9 345.4C491.5 357.3 486.2 368.8 480.2 379.7L475.5 387.8C468.9 398.8 461.5 409.2 453.4 419.1C447.4 426.2 437.7 428.7 428.9 425.9L373.2 408.1C359.8 418.4 344.1 427 329.2 433.6L316.7 490.7C314.7 499.7 307.7 506.1 298.5 508.5C284.7 510.8 270.5 512 255.1 512C241.5 512 227.3 510.8 213.5 508.5C204.3 506.1 197.3 499.7 195.3 490.7L182.8 433.6C167 427 152.2 418.4 138.8 408.1L83.14 425.9C74.3 428.7 64.55 426.2 58.63 419.1C50.52 409.2 43.12 398.8 36.52 387.8L31.84 379.7C25.77 368.8 20.49 357.3 16.06 345.4C12.82 336.8 15.55 327.1 22.41 320.8L65.67 281.4C64.57 273.1 64 264.6 64 256C64 247.4 64.57 238.9 65.67 230.6L22.41 191.2C15.55 184.9 12.82 175.3 16.06 166.6C20.49 154.7 25.78 143.2 31.84 132.3L36.51 124.2C43.12 113.2 50.52 102.8 58.63 92.95C64.55 85.8 74.3 83.32 83.14 86.14L138.8 103.9C152.2 93.56 167 84.96 182.8 78.43L195.3 21.33C197.3 12.25 204.3 5.04 213.5 3.51C227.3 1.201 241.5 0 256 0C270.5 0 284.7 1.201 298.5 3.51C307.7 5.04 314.7 12.25 316.7 21.33L329.2 78.43C344.1 84.96 359.8 93.56 373.2 103.9L428.9 86.14C437.7 83.32 447.4 85.8 453.4 92.95C461.5 102.8 468.9 113.2 475.5 124.2L480.2 132.3C486.2 143.2 491.5 154.7 495.9 166.6V166.6zM256 336C300.2 336 336 300.2 336 255.1C336 211.8 300.2 175.1 256 175.1C211.8 175.1 176 211.8 176 255.1C176 300.2 211.8 336 256 336z"],
    "gears": [640, 512, ["cogs"], "f085", "M286.3 155.1C287.4 161.9 288 168.9 288 175.1C288 183.1 287.4 190.1 286.3 196.9L308.5 216.7C315.5 223 318.4 232.1 314.7 241.7C312.4 246.1 309.9 252.2 307.1 257.2L304 262.6C300.1 267.6 297.7 272.4 294.2 277.1C288.5 284.7 278.5 287.2 269.5 284.2L241.2 274.9C230.5 283.8 218.3 290.9 205 295.9L198.1 324.9C197 334.2 189.8 341.6 180.4 342.8C173.7 343.6 166.9 344 160 344C153.1 344 146.3 343.6 139.6 342.8C130.2 341.6 122.1 334.2 121 324.9L114.1 295.9C101.7 290.9 89.5 283.8 78.75 274.9L50.53 284.2C41.54 287.2 31.52 284.7 25.82 277.1C22.28 272.4 18.98 267.5 15.94 262.5L12.92 257.2C10.13 252.2 7.592 247 5.324 241.7C1.62 232.1 4.458 223 11.52 216.7L33.7 196.9C32.58 190.1 31.1 183.1 31.1 175.1C31.1 168.9 32.58 161.9 33.7 155.1L11.52 135.3C4.458 128.1 1.62 119 5.324 110.3C7.592 104.1 10.13 99.79 12.91 94.76L15.95 89.51C18.98 84.46 22.28 79.58 25.82 74.89C31.52 67.34 41.54 64.83 50.53 67.79L78.75 77.09C89.5 68.25 101.7 61.13 114.1 56.15L121 27.08C122.1 17.8 130.2 10.37 139.6 9.231C146.3 8.418 153.1 8 160 8C166.9 8 173.7 8.418 180.4 9.23C189.8 10.37 197 17.8 198.1 27.08L205 56.15C218.3 61.13 230.5 68.25 241.2 77.09L269.5 67.79C278.5 64.83 288.5 67.34 294.2 74.89C297.7 79.56 300.1 84.42 304 89.44L307.1 94.83C309.9 99.84 312.4 105 314.7 110.3C318.4 119 315.5 128.1 308.5 135.3L286.3 155.1zM160 127.1C133.5 127.1 112 149.5 112 175.1C112 202.5 133.5 223.1 160 223.1C186.5 223.1 208 202.5 208 175.1C208 149.5 186.5 127.1 160 127.1zM484.9 478.3C478.1 479.4 471.1 480 464 480C456.9 480 449.9 479.4 443.1 478.3L423.3 500.5C416.1 507.5 407 510.4 398.3 506.7C393 504.4 387.8 501.9 382.8 499.1L377.4 496C372.4 492.1 367.6 489.7 362.9 486.2C355.3 480.5 352.8 470.5 355.8 461.5L365.1 433.2C356.2 422.5 349.1 410.3 344.1 397L315.1 390.1C305.8 389 298.4 381.8 297.2 372.4C296.4 365.7 296 358.9 296 352C296 345.1 296.4 338.3 297.2 331.6C298.4 322.2 305.8 314.1 315.1 313L344.1 306.1C349.1 293.7 356.2 281.5 365.1 270.8L355.8 242.5C352.8 233.5 355.3 223.5 362.9 217.8C367.6 214.3 372.5 210.1 377.5 207.9L382.8 204.9C387.8 202.1 392.1 199.6 398.3 197.3C407 193.6 416.1 196.5 423.3 203.5L443.1 225.7C449.9 224.6 456.9 224 464 224C471.1 224 478.1 224.6 484.9 225.7L504.7 203.5C511 196.5 520.1 193.6 529.7 197.3C535 199.6 540.2 202.1 545.2 204.9L550.5 207.9C555.5 210.1 560.4 214.3 565.1 217.8C572.7 223.5 575.2 233.5 572.2 242.5L562.9 270.8C571.8 281.5 578.9 293.7 583.9 306.1L612.9 313C622.2 314.1 629.6 322.2 630.8 331.6C631.6 338.3 632 345.1 632 352C632 358.9 631.6 365.7 630.8 372.4C629.6 381.8 622.2 389 612.9 390.1L583.9 397C578.9 410.3 571.8 422.5 562.9 433.2L572.2 461.5C575.2 470.5 572.7 480.5 565.1 486.2C560.4 489.7 555.6 492.1 550.6 496L545.2 499.1C540.2 501.9 534.1 504.4 529.7 506.7C520.1 510.4 511 507.5 504.7 500.5L484.9 478.3zM512 352C512 325.5 490.5 304 464 304C437.5 304 416 325.5 416 352C416 378.5 437.5 400 464 400C490.5 400 512 378.5 512 352z"],
    "gem": [512, 512, [128142], "f3a5", "M378.7 32H133.3L256 182.7L378.7 32zM512 192l-107.4-141.3L289.6 192H512zM107.4 50.67L0 192h222.4L107.4 50.67zM244.3 474.9C247.3 478.2 251.6 480 256 480s8.653-1.828 11.67-5.062L510.6 224H1.365L244.3 474.9z"],
    "genderless": [384, 512, [], "f22d", "M192 80C94.83 80 16 158.8 16 256c0 97.17 78.83 176 176 176s176-78.83 176-176C368 158.8 289.2 80 192 80zM192 352c-52.95 0-96-43.05-96-96c0-52.95 43.05-96 96-96s96 43.05 96 96C288 308.9 244.1 352 192 352z"],
    "ghost": [384, 512, [128123], "f6e2", "M186.1 .1032c-105.1 3.126-186.1 94.75-186.1 199.9v264c0 14.25 17.3 21.38 27.3 11.25l24.95-18.5c6.625-5.001 16-4.001 21.5 2.25l43 48.31c6.25 6.251 16.37 6.251 22.62 0l40.62-45.81c6.375-7.251 17.62-7.251 24 0l40.63 45.81c6.25 6.251 16.38 6.251 22.62 0l43-48.31c5.5-6.251 14.88-7.251 21.5-2.25l24.95 18.5c10 10.13 27.3 3.002 27.3-11.25V192C384 83.98 294.9-3.147 186.1 .1032zM128 224c-17.62 0-31.1-14.38-31.1-32.01s14.38-32.01 31.1-32.01s32 14.38 32 32.01S145.6 224 128 224zM256 224c-17.62 0-32-14.38-32-32.01s14.38-32.01 32-32.01c17.62 0 32 14.38 32 32.01S273.6 224 256 224z"],
    "gif": [576, 512, [], "e190", "M512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM260 306.9c0 5.297-2.109 10.39-5.859 14.14C237 338.2 212.4 348 186.5 348c-25.84 0-50.48-9.828-67.59-26.95C101.6 303.7 92 280.6 92 256s9.578-47.67 26.95-65.05c34.75-34.78 94.17-34.75 128.9 0c7.812 7.812 7.812 20.48 0 28.28c-7.828 7.812-20.48 7.812-28.28 0c-19.66-19.67-52.72-19.67-72.36 0C137.4 229.1 132 242.1 132 256s5.406 26.94 15.23 36.77C164.8 310.3 199.5 312.4 220 297.7V284H182.8c-11.05 0-20-8.953-20-20s8.953-20 20-20H240c11.05 0 20 8.953 20 20V306.9zM324 328c0 11.05-8.953 20-20 20s-20-8.953-20-20v-144c0-11.05 8.953-20 20-20s20 8.953 20 20V328zM464 204h-68v32H448c11.05 0 20 8.953 20 20S459 276 448 276h-52v52c0 11.05-8.953 20-20 20s-20-8.953-20-20v-144c0-11.05 8.953-20 20-20h88c11.05 0 20 8.953 20 20S475 204 464 204z"],
    "gift": [512, 512, [127873], "f06b", "M152 0H154.2C186.1 0 215.7 16.91 231.9 44.45L256 85.46L280.1 44.45C296.3 16.91 325.9 0 357.8 0H360C408.6 0 448 39.4 448 88C448 102.4 444.5 115.1 438.4 128H480C497.7 128 512 142.3 512 160V224C512 241.7 497.7 256 480 256H32C14.33 256 0 241.7 0 224V160C0 142.3 14.33 128 32 128H73.6C67.46 115.1 64 102.4 64 88C64 39.4 103.4 0 152 0zM190.5 68.78C182.9 55.91 169.1 48 154.2 48H152C129.9 48 112 65.91 112 88C112 110.1 129.9 128 152 128H225.3L190.5 68.78zM360 48H357.8C342.9 48 329.1 55.91 321.5 68.78L286.7 128H360C382.1 128 400 110.1 400 88C400 65.91 382.1 48 360 48V48zM32 288H224V512H80C53.49 512 32 490.5 32 464V288zM288 512V288H480V464C480 490.5 458.5 512 432 512H288z"],
    "gift-card": [576, 512, [], "f663", "M389.8 0H392C440.6 0 480 39.4 480 88C480 102.4 476.5 115.1 470.4 128H512C547.3 128 576 156.7 576 192V448C576 483.3 547.3 512 512 512H64C28.65 512 0 483.3 0 448V192C0 156.7 28.65 128 64 128H105.6C99.46 115.1 96 102.4 96 88C96 39.4 135.4 0 184 0H186.2C218.1 0 247.7 16.91 263.9 44.45L288 85.46L312.1 44.45C328.3 16.91 357.9 0 389.8 0zM318.7 128H392C414.1 128 432 110.1 432 88C432 65.91 414.1 48 392 48H389.8C374.9 48 361.1 55.91 353.5 68.78L318.7 128zM186.2 48H184C161.9 48 144 65.91 144 88C144 110.1 161.9 128 184 128H257.3L222.5 68.78C214.9 55.91 201.1 48 186.2 48V48zM64 384V448H512V384H64zM512 320V192H345.9L386.4 240.6C394.9 250.8 393.5 265.1 383.4 274.4C373.2 282.9 358 281.5 349.6 271.4L288 197.5L226.4 271.4C217.1 281.5 202.8 282.9 192.6 274.4C182.5 265.1 181.1 250.8 189.6 240.6L230.1 192H64V320H512z"],
    "gifts": [640, 512, [], "f79c", "M192.5 55.09L217.9 36.59C228.6 28.79 243.6 31.16 251.4 41.88C259.2 52.6 256.8 67.61 246.1 75.41L217.8 95.1H240C256.9 95.1 271.7 104.7 280.3 117.9C257.3 135.7 241.9 162.1 240.2 193.1C212.5 201 192 226.1 192 256V480C192 491.7 195.1 502.6 200.6 512H48C21.49 512 0 490.5 0 464V144C0 117.5 21.49 96 48 96H70.2L41.88 75.41C31.16 67.61 28.79 52.6 36.59 41.88C44.39 31.16 59.4 28.79 70.12 36.59L97.55 56.54L89.23 31.59C85.04 19.01 91.84 5.423 104.4 1.232C116.1-2.96 130.6 3.836 134.8 16.41L144.7 46.17L155.4 15.99C159.8 3.493 173.5-3.048 186 1.377C198.5 5.802 205 19.52 200.6 32.01L192.5 55.09zM344.2 127.1C366.6 127.1 387.8 138.4 401.5 156.2L432 195.8L462.5 156.2C476.2 138.4 497.4 127.1 519.8 127.1C559.5 127.1 592 160.1 592 199.1C592 208.4 590.6 216.5 587.9 223.1H592C618.5 223.1 640 245.5 640 271.1V352H448V255.1H416V352H224V271.1C224 245.5 245.5 223.1 272 223.1H276.1C273.4 216.5 272 208.4 272 199.1C272 160.1 304.5 127.1 344.2 127.1H344.2zM363.5 185.5C358.9 179.5 351.7 175.1 344.2 175.1C330.8 175.1 320 186.9 320 199.1C320 213.3 330.7 223.1 344 223.1H393.1L363.5 185.5zM519.8 175.1C512.3 175.1 505.1 179.5 500.5 185.5L470.9 223.1H520C533.3 223.1 544 213.3 544 199.1C544 186.9 533.2 175.1 519.8 175.1H519.8zM224 464V384H416V512H272C245.5 512 224 490.5 224 464zM448 512V384H640V464C640 490.5 618.5 512 592 512H448z"],
    "gingerbread-man": [448, 512, [], "f79d", "M338.3 303.1h29.75c38.88 0 69.63-34.75 63.13-74.75c-5.125-31.5-34.75-53.25-66.5-53.25h-65.88c-7.125 0-10.5-8.375-5.5-13.5c20.75-21.63 31.5-52.75 24.88-86.25c-7.5-37.5-38.5-67.88-76-74.63c-61.13-11-114.1 35.5-114.1 94.38c0 25.75 10.25 49.13 26.75 66.25C159.7 167.5 156.4 175.1 149.2 175.1H83.37c-31.88 0-61.38 21.75-66.5 53.25C10.37 269.2 41.12 303.1 79.1 303.1h29.75c10.13 0 18.25 8.25 18.25 18.25c0 4.25-1.5 8.375-4.25 11.63L65.62 403.7c-23.38 27.88-21.63 72.38 7.125 94.63C84.25 507.6 98.25 512 111.1 512c18.25 0 36.5-7.75 49.25-23l38.25-45.88c12.75-15.38 36.38-15.38 49.25 0l38.25 45.88C299.8 504.2 317.8 512 336.3 512c13.75 0 27.63-4.375 39.25-13.5c28.75-22.38 30.38-66.75 7.125-94.75l-58.25-69.75c-2.625-3.25-4.125-7.375-4.125-11.75C320 312.2 328.3 303.1 338.3 303.1zM192 95.1c-8.75 0-16.01-7.251-16.01-16s7.25-16 16-16c8.75 0 16 7.25 16 16S200.8 95.1 192 95.1zM224 367.1c-8.75 0-15.1-7.249-15.1-15.1c0-8.75 7.25-16 15.1-16s16 7.251 16 16C240 360.7 232.8 367.1 224 367.1zM224 303.1c-8.75 0-15.1-7.249-15.1-15.1s7.25-16 15.1-16s16 7.252 16 16S232.8 303.1 224 303.1zM224 239.1c-8.75 0-15.1-7.249-15.1-15.1c0-8.75 7.25-16 15.1-16s16 7.251 16 16C240 232.7 232.8 239.1 224 239.1zM256 95.1c-8.75 0-16.01-7.251-16.01-16s7.25-16 16-16s16 7.25 16 16S264.8 95.1 256 95.1z"],
    "glass": [384, 512, [129371], "f804", "M352 0C360.9 0 369.4 3.692 375.4 10.19C381.5 16.69 384.6 25.42 383.9 34.28L355.1 437.7C352.1 479.6 317.3 512 275.3 512H108.7C66.72 512 31.89 479.6 28.9 437.7L.0813 34.28C-.5517 25.42 2.527 16.69 8.58 10.19C14.63 3.692 23.12 0 32 0L352 0zM313.1 128L317.6 64H66.37L70.94 128H313.1z"],
    "glass-citrus": [512, 512, [], "f869", "M319.1 128H32.02c-8.998 0-17.62 3.875-23.75 10.5c-6 6.75-8.998 15.62-8.123 24.62l31.99 319.1C33.77 499.5 47.52 512 64.02 512h223.1c16.5 0 30.25-12.5 31.87-28.87l32-319.1c.875-9-2.124-17.87-8.124-24.62C337.6 131.9 328.1 128 319.1 128zM277.7 256H74.34L68 192h216L277.7 256zM368 0c-62.62 0-115.4 40.25-135.1 96h52.5c16.62-28.5 47.25-48 82.62-48c52.1 0 95.99 43 95.99 96c0 50.13-38.62 90.88-87.62 95.13l-4.875 48.5C449.4 285.8 512 222.4 512 144C512 64.5 447.5 0 368 0z"],
    "glass-empty": [384, 512, [], "e191", "M8.58 10.19C14.63 3.692 23.12 0 32 0H352C360.9 0 369.4 3.692 375.4 10.19C381.5 16.69 384.6 25.42 383.9 34.28L355.1 437.7C352.1 479.6 317.3 512 275.3 512H108.7C66.72 512 31.89 479.6 28.9 437.7L.0813 34.28C-.5517 25.42 2.527 16.69 8.58 10.19V10.19zM66.37 64L92.73 433.1C93.33 441.5 100.3 448 108.7 448H275.3C283.7 448 290.7 441.5 291.3 433.1L317.6 64H66.37z"],
    "glass-half": [384, 512, ["glass-half-empty", "glass-half-full"], "e192", "M352 0C360.9 0 369.4 3.692 375.4 10.19C381.5 16.69 384.6 25.42 383.9 34.28L355.1 437.7C352.1 479.6 317.3 512 275.3 512H108.7C66.72 512 31.89 479.6 28.9 437.7L.0813 34.28C-.5517 25.42 2.527 16.69 8.58 10.19C14.63 3.692 23.12 0 32 0L352 0zM306.2 224L317.6 64H66.37L77.8 224H306.2z"],
    "glass-water": [384, 512, [], "e4f4", "M352 0C360.9 0 369.4 3.692 375.4 10.19C381.5 16.69 384.6 25.42 383.9 34.28L355.1 437.7C352.1 479.6 317.3 512 275.3 512H108.7C66.72 512 31.89 479.6 28.9 437.7L.0813 34.28C-.5517 25.42 2.527 16.69 8.58 10.19C14.63 3.692 23.12 0 32 0L352 0zM97.19 168.6C116.6 178.3 139.4 178.3 158.8 168.6C179.7 158.1 204.3 158.1 225.2 168.6C244.6 178.3 267.4 178.3 286.8 168.6L311 156.5L317.6 64H66.37L72.97 156.5L97.19 168.6z"],
    "glass-water-droplet": [384, 512, [], "e4f5", "M256 196C256 229.1 227.3 256 192 256C156.7 256 128 229.1 128 196C128 171.1 161.7 125.9 180.2 102.5C186.3 94.77 197.7 94.77 203.8 102.5C222.3 125.9 256 171.1 256 196zM352 0C360.9 0 369.4 3.692 375.4 10.19C381.5 16.69 384.6 25.42 383.9 34.28L355.1 437.7C352.1 479.6 317.3 512 275.3 512H108.7C66.72 512 31.89 479.6 28.9 437.7L.0813 34.28C-.5517 25.42 2.527 16.69 8.58 10.19C14.63 3.692 23.12 0 32 0L352 0zM96 304C116.1 314.1 139.9 314.1 160 304C180.1 293.9 203.9 293.9 224 304C244.1 314.1 267.9 314.1 288 304L300.1 297.5L317.6 64H66.37L83.05 297.5L96 304z"],
    "glasses": [576, 512, [], "f530", "M574.1 280.4l-45.38-181.8c-5.875-23.63-21.62-44-43-55.75c-21.5-11.75-46.1-14.13-70.25-6.375l-15.25 5.125c-8.375 2.75-12.87 11.88-10 20.25l5 15.13c2.75 8.375 11.88 12.88 20.25 10.13l13.12-4.375c10.88-3.625 23-3.625 33.25 1.75c10.25 5.375 17.5 14.5 20.38 25.75l38.38 153.9c-22.12-6.875-49.75-12.5-81.13-12.5c-34.88 0-73.1 7-114.9 26.75H251.4C210.5 258.6 171.4 251.6 136.5 251.6c-31.38 0-59 5.625-81.12 12.5l38.38-153.9c2.875-11.25 10.12-20.38 20.5-25.75C124.4 79.12 136.5 79.12 147.4 82.74l13.12 4.375c8.375 2.75 17.5-1.75 20.25-10.13l5-15.13C188.6 53.49 184.1 44.37 175.6 41.62l-15.25-5.125c-23.13-7.75-48.75-5.375-70.13 6.375c-21.37 11.75-37.12 32.13-43 55.75L1.875 280.4C.6251 285.4 .0001 290.6 .0001 295.9v70.25C.0001 428.1 51.63 480 115.3 480h37.13c60.25 0 110.4-46 114.9-105.4l2.875-38.63h35.75l2.875 38.63C313.3 433.1 363.4 480 423.6 480h37.13c63.62 0 115.2-51 115.2-113.9V295.9C576 290.6 575.4 285.5 574.1 280.4zM203.4 369.7c-2 26-24.38 46.25-51 46.25H115.2C87 415.1 64 393.6 64 366.1v-37.5c18.12-6.5 43.38-13 72.62-13c23.88 0 47.25 4.375 69.88 13L203.4 369.7zM512 366.1c0 27.5-23 49.88-51.25 49.88h-37.13c-26.62 0-49-20.25-51-46.25l-3.125-41.13c22.62-8.625 46.13-13 70-13c29 0 54.38 6.5 72.5 13V366.1z"],
    "glasses-round": [576, 512, [128083, "glasses-alt"], "f5f5", "M560.5 225.9L528.8 98.62C521.1 71.75 495 32 443.4 32c-15.62 0-23.12 3-43.13 9.625c-8.375 2.75-12.87 11.88-10 20.25l5 15.12C397.5 83.75 403.8 88 410.4 88c3.625 0 4.875-.75 18.25-5.25c26.13-8.625 48.25 6.125 53.63 27.5L511.9 229c-20.88-13.12-45.37-21-71.87-21c-55.13 0-102.2 32.88-123.6 80H259.6C238.2 240.9 191.1 207.1 136 207.1c-26.5 0-51 7.877-71.88 21l29.63-118.8c5.375-21.37 27.5-36.25 53.63-27.5C160.8 87.25 161.1 88 165.6 88c6.625 0 12.88-4.25 15.13-11l5-15.12c2.875-8.375-1.625-17.5-10-20.25C155.8 35 148.3 32 132.6 32c-51.62 0-78.63 39.75-85.38 66.62L15.5 225.9C2.125 279.4 .0001 300.1 .0001 343.1c0 75.13 60.88 136 136 136c72.38 0 130.1-56.75 135.2-127.1h33.5c4.25 71.25 62.88 127.1 135.3 127.1c75.13 0 136-60.88 136-136C576 300.1 573.9 279.4 560.5 225.9zM136 416C96.25 416 64 383.8 64 344S96.25 272 136 272S208 304.2 208 344S175.8 416 136 416zM440 416c-39.75 0-72-32.25-72-72s32.25-72 72-72S512 304.2 512 344S479.8 416 440 416z"],
    "globe": [512, 512, [127760], "f0ac", "M352 256C352 278.2 350.8 299.6 348.7 320H163.3C161.2 299.6 159.1 278.2 159.1 256C159.1 233.8 161.2 212.4 163.3 192H348.7C350.8 212.4 352 233.8 352 256zM503.9 192C509.2 212.5 512 233.9 512 256C512 278.1 509.2 299.5 503.9 320H380.8C382.9 299.4 384 277.1 384 256C384 234 382.9 212.6 380.8 192H503.9zM493.4 160H376.7C366.7 96.14 346.9 42.62 321.4 8.442C399.8 29.09 463.4 85.94 493.4 160zM344.3 160H167.7C173.8 123.6 183.2 91.38 194.7 65.35C205.2 41.74 216.9 24.61 228.2 13.81C239.4 3.178 248.7 0 256 0C263.3 0 272.6 3.178 283.8 13.81C295.1 24.61 306.8 41.74 317.3 65.35C328.8 91.38 338.2 123.6 344.3 160H344.3zM18.61 160C48.59 85.94 112.2 29.09 190.6 8.442C165.1 42.62 145.3 96.14 135.3 160H18.61zM131.2 192C129.1 212.6 127.1 234 127.1 256C127.1 277.1 129.1 299.4 131.2 320H8.065C2.8 299.5 0 278.1 0 256C0 233.9 2.8 212.5 8.065 192H131.2zM194.7 446.6C183.2 420.6 173.8 388.4 167.7 352H344.3C338.2 388.4 328.8 420.6 317.3 446.6C306.8 470.3 295.1 487.4 283.8 498.2C272.6 508.8 263.3 512 255.1 512C248.7 512 239.4 508.8 228.2 498.2C216.9 487.4 205.2 470.3 194.7 446.6H194.7zM190.6 503.6C112.2 482.9 48.59 426.1 18.61 352H135.3C145.3 415.9 165.1 469.4 190.6 503.6V503.6zM321.4 503.6C346.9 469.4 366.7 415.9 376.7 352H493.4C463.4 426.1 399.8 482.9 321.4 503.6V503.6z"],
    "globe-snow": [448, 512, [], "f7a3", "M384 415.1h-320l-47.38 71.12c-7.125 10.63 .5 24.87 13.25 24.87h388.3c12.75 0 20.38-14.25 13.25-24.87L384 415.1zM192 383.1l0-32H134.1c-14.25 0-21.1-14.1-12.88-24.87L186.8 256H156.7c-10.75 0-16.5-11.25-9.75-18.75l67.37-73.12c5-5.5 14.38-5.5 19.38 0l67.38 73.12C307.8 244.8 302 256 291.3 256h-30.03l65.5 71.12c9 9.875 1.25 24.87-13 24.87h-57.75l0 32h124.1c41.63-40.63 67.88-97.12 67.88-159.1c0-123.8-100.3-223.1-224-223.1S.0001 100.2 .0001 224c0 62.87 26.12 119.4 67.88 159.1H192zM336 160c8.75 0 16 7.25 16 16s-7.25 15.1-16 15.1s-16-7.25-16-15.1S327.3 160 336 160zM240 64c8.75 0 16 7.25 16 15.1s-7.25 15.1-16 15.1c-8.75 0-16-7.25-16-15.1S231.3 64 240 64zM80 224c8.75 0 16 7.25 16 16S88.75 256 80 256s-16-7.25-16-15.1S71.25 224 80 224z"],
    "globe-stand": [448, 512, [], "f5f6", "M49.61 332.5C58.98 323.1 74.18 323.1 83.55 332.5C152.3 401.2 263.7 401.2 332.5 332.5C401.2 263.7 401.2 152.3 332.5 83.55C323.1 74.18 323.1 58.98 332.5 49.61L367 15.03C376.4 5.657 391.6 5.657 400.1 15.03C410.3 24.4 410.3 39.6 400.1 48.97L382.5 67.48C453.5 155.4 448.1 284.6 366.4 366.4C328.8 404 281.1 425.5 232 430.7V464H328C341.3 464 352 474.7 352 488C352 501.3 341.3 512 328 512H87.1C74.74 512 63.1 501.3 63.1 488C63.1 474.7 74.74 464 87.1 464H183.1V430.7C142.4 426.3 101.8 410.2 67.48 382.5L48.97 400.1C39.6 410.3 24.4 410.3 15.03 400.1C5.657 391.6 5.657 376.4 15.03 367L49.61 332.5zM64 207.1C64 128.5 128.5 63.1 208 63.1C287.5 63.1 352 128.5 352 207.1C352 287.5 287.5 352 208 352C128.5 352 64 287.5 64 207.1z"],
    "goal-net": [640, 512, [], "e3ab", "M544 32H96C43.06 32 0 75.06 0 128v320c0 17.69 14.31 32 32 32s32-14.31 32-32V128c0-17.66 14.34-32 32-32h448c17.66 0 32 14.34 32 32v320c0 17.69 14.31 32 32 32s32-14.31 32-32V128C640 75.06 596.9 32 544 32zM528 224C536.8 224 544 216.8 544 208C544 199.2 536.8 192 528 192H480V144C480 135.2 472.8 128 464 128S448 135.2 448 144V192h-64V144C384 135.2 376.8 128 368 128S352 135.2 352 144V192H288V144C288 135.2 280.8 128 272 128S256 135.2 256 144V192H192V144C192 135.2 184.8 128 176 128S160 135.2 160 144V192H112C103.2 192 96 199.2 96 208C96 216.8 103.2 224 112 224H160v64H112C103.2 288 96 295.2 96 304C96 312.8 103.2 320 112 320H160v64H112C103.2 384 96 391.2 96 400C96 408.8 103.2 416 112 416H160v48C160 472.8 167.2 480 176 480S192 472.8 192 464V416h64v48C256 472.8 263.2 480 272 480S288 472.8 288 464V416h64v48c0 8.836 7.164 16 16 16s16-7.164 16-16V416h64v48c0 8.836 7.164 16 16 16s16-7.164 16-16V416h48c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16H480v-64h48c8.836 0 16-7.164 16-16C544 295.2 536.8 288 528 288H480V224H528zM256 384H192v-64h64V384zM256 288H192V224h64V288zM352 384H288v-64h64V384zM352 288H288V224h64V288zM448 384h-64v-64h64V384zM448 288h-64V224h64V288z"],
    "golf-ball-tee": [384, 512, ["golf-ball"], "f450", "M96 399.1c0 17.67 14.33 31.1 32 31.1s32 14.33 32 31.1v48h64v-48c0-17.67 14.33-31.1 32-31.1s32-14.33 32-31.1v-16H96V399.1zM192 .0001c-106 0-192 86.68-192 193.6c0 65.78 32.82 123.5 82.52 158.4h218.1C351.2 317.1 384 259.4 384 193.6C384 86.68 298 .0001 192 .0001zM179 205.1C183 206.9 187.4 208 192 208c17.53 0 31.74-14.33 31.74-31.1c0-4.688-1.111-9.062-2.904-13.07c11.03 5.016 18.77 16.08 18.77 29.07c0 17.67-14.21 31.1-31.74 31.1C194.1 224 184 216.2 179 205.1zM223.7 303.1c-12.88 0-23.86-7.812-28.83-18.93c3.977 1.809 8.316 2.93 12.96 2.93c17.53 0 31.74-14.33 31.74-31.1c0-4.688-1.109-9.062-2.904-13.07c11.03 5.016 18.77 16.08 18.77 29.07C255.5 289.7 241.3 303.1 223.7 303.1zM287.2 240c-12.88 0-23.86-7.812-28.83-18.93c3.977 1.809 8.316 2.93 12.96 2.93c17.53 0 31.73-14.33 31.73-31.1c0-4.688-1.109-9.062-2.902-13.07C311.2 183.9 318.9 195 318.9 208C318.9 225.7 304.7 240 287.2 240z"],
    "golf-club": [512, 512, [], "f451", "M508.6 46.33l-223.1 447.1C279.2 505.2 268.1 512 255.1 512H31.1C14.33 512 0 497.7 0 480v-7.999h47.1c8.836 0 15.1-7.164 15.1-15.1c0-8.837-7.164-15.1-15.1-15.1H0v-31.1h47.1c8.836 0 15.1-7.163 15.1-15.1c0-8.837-7.164-15.1-15.1-15.1H0v-23.1c0-17.67 14.35-32 32-32c3.288 0 6.592 .5055 9.792 1.534l221.1 71.36l187.6-375.2C456.1 6.491 468.3 0 480 0C496.7 0 512 13.37 512 32.04C512 36.85 510.9 41.73 508.6 46.33z"],
    "golf-flag-hole": [512, 512, [], "e3ac", "M256 320c-27.96 0-54.81 1.74-80 4.848v-82.11l198.4-99.21C380.8 140.3 384 134.2 384 128s-3.194-12.31-9.585-15.51L153.1 1.853c-2.539-1.269-5.176-1.853-7.746-1.853C136.2-.0004 128 7.31 128 17.36v315.6C51.55 349.6 0 380.5 0 416c0 53.02 114.6 96 256 96s256-42.98 256-96S397.4 320 256 320zM224 448c-35.35 0-64-14.33-64-32c0-17.67 28.65-32 64-32s64 14.33 64 32C288 433.7 259.3 448 224 448z"],
    "gopuram": [512, 512, [], "f664", "M120 0C133.3 0 144 10.75 144 24V32H184V24C184 10.75 194.7 0 208 0C221.3 0 232 10.75 232 24V32H280V24C280 10.75 290.7 0 304 0C317.3 0 328 10.75 328 24V32H368V24C368 10.75 378.7 0 392 0C405.3 0 416 10.75 416 24V128C433.7 128 448 142.3 448 160V224C465.7 224 480 238.3 480 256V352C497.7 352 512 366.3 512 384V480C512 497.7 497.7 512 480 512H416V352H384V224H352V128H320V224H352V352H384V512H304V464C304 437.5 282.5 416 256 416C229.5 416 208 437.5 208 464V512H128V352H160V224H192V128H160V224H128V352H96V512H32C14.33 512 0 497.7 0 480V384C0 366.3 14.33 352 32 352V256C32 238.3 46.33 224 64 224V160C64 142.3 78.33 128 96 128V24C96 10.75 106.7 0 120 0zM256 272C238.3 272 224 286.3 224 304V352H288V304C288 286.3 273.7 272 256 272zM224 224H288V192C288 174.3 273.7 160 256 160C238.3 160 224 174.3 224 192V224z"],
    "graduation-cap": [640, 512, [127891, "mortar-board"], "f19d", "M623.1 136.9l-282.7-101.2c-13.73-4.91-28.7-4.91-42.43 0L16.05 136.9C6.438 140.4 0 149.6 0 160s6.438 19.65 16.05 23.09L76.07 204.6c-11.89 15.8-20.26 34.16-24.55 53.95C40.05 263.4 32 274.8 32 288c0 9.953 4.814 18.49 11.94 24.36l-24.83 149C17.48 471.1 25 480 34.89 480H93.11c9.887 0 17.41-8.879 15.78-18.63l-24.83-149C91.19 306.5 96 297.1 96 288c0-10.29-5.174-19.03-12.72-24.89c4.252-17.76 12.88-33.82 24.94-47.03l190.6 68.23c13.73 4.91 28.7 4.91 42.43 0l282.7-101.2C633.6 179.6 640 170.4 640 160S633.6 140.4 623.1 136.9zM351.1 314.4C341.7 318.1 330.9 320 320 320c-10.92 0-21.69-1.867-32-5.555L142.8 262.5L128 405.3C128 446.6 213.1 480 320 480c105.1 0 192-33.4 192-74.67l-14.78-142.9L351.1 314.4z"],
    "gramophone": [384, 512, [], "f8bd", "M69.5 317.1c62.88-43.13 161.9-94.5 238.6-73.88c11.75 3.125 19.88 13.75 19.88 25.88c0 19.25-15.62 34.75-34.75 34.75H184c-13.25 0-24 10.75-24 24L160 351.9l133.3 .0009c45.63 0 82.75-37 82.75-82.75c0-33.88-22.75-63.5-55.38-72.25c-77.5-20.75-137.6-116-169.7-183.3C141.3-6.527 111.8-3.656 106 17.72L32.88 290.1C27 312.6 51.38 329.5 69.5 317.1zM368 447.1l-16 .0006l0-32c0-17.63-14.38-32-32-32H64c-17.62 0-32 14.37-32 32l0 32l-15.1-.0006c-8.875 0-16 7.125-16 16l0 32c0 8.875 7.125 16 16 16h352c8.875 0 16-7.125 16-16l.0001-32C384 455.1 376.9 447.1 368 447.1z"],
    "grapes": [512, 512, [], "e306", "M56 400C25.07 400 0 425.1 0 456S25.07 512 56 512s56-25.07 56-56S86.93 400 56 400zM112 231.9C142.1 231.9 168 206.9 168 176S142.9 120 112 120S56 145.1 56 176S81.1 231.9 112 231.9zM392.4 119.6c18.08-37.78 11.56-81.72-19.76-114.8c-6.009-6.352-16.8-6.354-22.8 .0097c-40.48 42.96-39.09 103.8 3.263 145.9l8.246 8.246c42.12 42.35 103 43.74 145.9 3.263c6.354-5.998 6.343-16.78-.0041-22.79C474.1 108.1 430.2 101.5 392.4 119.6zM248 208c30.93 0 56-25.07 56-56S278.9 96 248 96S192 121.1 192 152S217.1 208 248 208zM88 256C57.07 256 32 281.1 32 312s25.07 56 56 56S144 342.9 144 312S118.9 256 88 256zM200 368c-30.93 0-56 25.07-56 56S169.1 480 200 480S256 454.9 256 424S230.9 368 200 368zM336 344c-30.93 0-55.93 25.05-55.93 55.97S305.1 456 336 456s56-25.07 56-56S366.9 344 336 344zM360 208c-30.93 0-56 25.07-56 56S329.1 320 360 320S416 294.9 416 264S390.9 208 360 208zM224 232C193.1 232 168 257.1 168 288S193.1 344 224 344S280 318.9 280 288S254.9 232 224 232z"],
    "grate": [448, 512, [], "e193", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM96 416H64V288h32V416zM96 224H64V96h32V224zM192 416H160V288h32V416zM192 224H160V96h32V224zM288 416h-32V288h32V416zM288 224h-32V96h32V224zM384 416h-32V288h32V416zM384 224h-32V96h32V224z"],
    "grate-droplet": [576, 512, [], "e194", "M352 309.4V288h14.82c17.79-25.07 35.88-51.44 47.95-91.42C419.8 180 432.3 167.7 448 162.6V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h280.2C328.1 457.3 320 430 320 400.7C320 362.9 334.8 334.1 352 309.4zM352 96h32v128h-32V96zM96 416H64V288h32V416zM96 224H64V96h32V224zM192 416H160V288h32V416zM192 224H160V96h32V224zM288 416H256V288h32V416zM288 224H256V96h32V224zM482.6 205.8c-5.031-18.05-31.5-18.83-37.19 0C415.7 304.3 352 331.2 352 400.7C352 462.2 402.1 512 464 512s112-49.84 112-111.3C576 330.8 512.5 304.9 482.6 205.8z"],
    "greater-than": [384, 512, [62769], "3e", "M32.03 448c-11.75 0-23.05-6.469-28.66-17.69c-7.906-15.81-1.5-35.03 14.31-42.94l262.8-131.4L17.69 124.6C1.875 116.7-4.531 97.51 3.375 81.7c7.891-15.81 27.06-22.19 42.94-14.31l320 160C377.2 232.8 384 243.9 384 256c0 12.12-6.844 23.19-17.69 28.63l-320 160C41.72 446.9 36.83 448 32.03 448z"],
    "greater-than-equal": [448, 512, [], "f532", "M34.28 331.9c5.016 12.53 17.03 20.12 29.73 20.12c3.953 0 7.969-.7187 11.88-2.281l320-127.1C408 216.9 416 205.1 416 192s-7.969-24.85-20.11-29.72l-320-128c-16.47-6.594-35.05 1.406-41.61 17.84C27.72 68.55 35.7 87.17 52.11 93.73l245.7 98.28L52.11 290.3C35.7 296.9 27.72 315.5 34.28 331.9zM416 416H32c-17.67 0-32 14.31-32 31.99s14.33 32.01 32 32.01h384c17.67 0 32-14.32 32-32.01S433.7 416 416 416z"],
    "grid": [448, 512, ["grid-3"], "e195", "M0 72C0 49.91 17.91 32 40 32H88C110.1 32 128 49.91 128 72V120C128 142.1 110.1 160 88 160H40C17.91 160 0 142.1 0 120V72zM0 232C0 209.9 17.91 192 40 192H88C110.1 192 128 209.9 128 232V280C128 302.1 110.1 320 88 320H40C17.91 320 0 302.1 0 280V232zM128 440C128 462.1 110.1 480 88 480H40C17.91 480 0 462.1 0 440V392C0 369.9 17.91 352 40 352H88C110.1 352 128 369.9 128 392V440zM160 72C160 49.91 177.9 32 200 32H248C270.1 32 288 49.91 288 72V120C288 142.1 270.1 160 248 160H200C177.9 160 160 142.1 160 120V72zM288 280C288 302.1 270.1 320 248 320H200C177.9 320 160 302.1 160 280V232C160 209.9 177.9 192 200 192H248C270.1 192 288 209.9 288 232V280zM160 392C160 369.9 177.9 352 200 352H248C270.1 352 288 369.9 288 392V440C288 462.1 270.1 480 248 480H200C177.9 480 160 462.1 160 440V392zM448 120C448 142.1 430.1 160 408 160H360C337.9 160 320 142.1 320 120V72C320 49.91 337.9 32 360 32H408C430.1 32 448 49.91 448 72V120zM320 232C320 209.9 337.9 192 360 192H408C430.1 192 448 209.9 448 232V280C448 302.1 430.1 320 408 320H360C337.9 320 320 302.1 320 280V232zM448 440C448 462.1 430.1 480 408 480H360C337.9 480 320 462.1 320 440V392C320 369.9 337.9 352 360 352H408C430.1 352 448 369.9 448 392V440z"],
    "grid-2": [448, 512, [], "e196", "M192 176C192 202.5 170.5 224 144 224H48C21.49 224 0 202.5 0 176V80C0 53.49 21.49 32 48 32H144C170.5 32 192 53.49 192 80V176zM192 432C192 458.5 170.5 480 144 480H48C21.49 480 0 458.5 0 432V336C0 309.5 21.49 288 48 288H144C170.5 288 192 309.5 192 336V432zM256 80C256 53.49 277.5 32 304 32H400C426.5 32 448 53.49 448 80V176C448 202.5 426.5 224 400 224H304C277.5 224 256 202.5 256 176V80zM448 432C448 458.5 426.5 480 400 480H304C277.5 480 256 458.5 256 432V336C256 309.5 277.5 288 304 288H400C426.5 288 448 309.5 448 336V432z"],
    "grid-2-plus": [512, 512, [], "e197", "M176 32C202.5 32 224 53.49 224 80V176C224 202.5 202.5 224 176 224H80C53.49 224 32 202.5 32 176V80C32 53.49 53.49 32 80 32H176zM176 288C202.5 288 224 309.5 224 336V432C224 458.5 202.5 480 176 480H80C53.49 480 32 458.5 32 432V336C32 309.5 53.49 288 80 288H176zM288 80C288 53.49 309.5 32 336 32H432C458.5 32 480 53.49 480 80V176C480 202.5 458.5 224 432 224H336C309.5 224 288 202.5 288 176V80zM384 272C397.3 272 408 282.7 408 296V360H472C485.3 360 496 370.7 496 384C496 397.3 485.3 408 472 408H408V472C408 485.3 397.3 496 384 496C370.7 496 360 485.3 360 472V408H296C282.7 408 272 397.3 272 384C272 370.7 282.7 360 296 360H360V296C360 282.7 370.7 272 384 272z"],
    "grid-4": [448, 512, [], "e198", "M0 48C0 39.16 7.164 32 16 32H73.6C82.44 32 89.6 39.16 89.6 48V105.6C89.6 114.4 82.44 121.6 73.6 121.6H16C7.164 121.6 0 114.4 0 105.6V48zM0 167.5C0 158.6 7.164 151.5 16 151.5H73.6C82.44 151.5 89.6 158.6 89.6 167.5V225.1C89.6 233.9 82.44 241.1 73.6 241.1H16C7.164 241.1 0 233.9 0 225.1V167.5zM73.6 270.9C82.44 270.9 89.6 278.1 89.6 286.9V344.5C89.6 353.4 82.44 360.5 73.6 360.5H16C7.164 360.5 0 353.4 0 344.5V286.9C0 278.1 7.164 270.9 16 270.9H73.6zM0 406.4C0 397.6 7.164 390.4 16 390.4H73.6C82.44 390.4 89.6 397.6 89.6 406.4V464C89.6 472.8 82.44 480 73.6 480H16C7.164 480 0 472.8 0 464V406.4zM119.5 48C119.5 39.16 126.6 32 135.5 32H193.1C201.9 32 209.1 39.16 209.1 48V105.6C209.1 114.4 201.9 121.6 193.1 121.6H135.5C126.6 121.6 119.5 114.4 119.5 105.6V48zM119.5 167.5C119.5 158.6 126.6 151.5 135.5 151.5H193.1C201.9 151.5 209.1 158.6 209.1 167.5V225.1C209.1 233.9 201.9 241.1 193.1 241.1H135.5C126.6 241.1 119.5 233.9 119.5 225.1V167.5zM193.1 270.9C201.9 270.9 209.1 278.1 209.1 286.9V344.5C209.1 353.4 201.9 360.5 193.1 360.5H135.5C126.6 360.5 119.5 353.4 119.5 344.5V286.9C119.5 278.1 126.6 270.9 135.5 270.9H193.1zM119.5 406.4C119.5 397.6 126.6 390.4 135.5 390.4H193.1C201.9 390.4 209.1 397.6 209.1 406.4V464C209.1 472.8 201.9 480 193.1 480H135.5C126.6 480 119.5 472.8 119.5 464V406.4zM312.5 32C321.4 32 328.5 39.16 328.5 48V105.6C328.5 114.4 321.4 121.6 312.5 121.6H254.9C246.1 121.6 238.9 114.4 238.9 105.6V48C238.9 39.16 246.1 32 254.9 32H312.5zM312.5 151.5C321.4 151.5 328.5 158.6 328.5 167.5V225.1C328.5 233.9 321.4 241.1 312.5 241.1H254.9C246.1 241.1 238.9 233.9 238.9 225.1V167.5C238.9 158.6 246.1 151.5 254.9 151.5H312.5zM238.9 286.9C238.9 278.1 246.1 270.9 254.9 270.9H312.5C321.4 270.9 328.5 278.1 328.5 286.9V344.5C328.5 353.4 321.4 360.5 312.5 360.5H254.9C246.1 360.5 238.9 353.4 238.9 344.5V286.9zM312.5 390.4C321.4 390.4 328.5 397.6 328.5 406.4V464C328.5 472.8 321.4 480 312.5 480H254.9C246.1 480 238.9 472.8 238.9 464V406.4C238.9 397.6 246.1 390.4 254.9 390.4H312.5zM358.4 48C358.4 39.16 365.6 32 374.4 32H432C440.8 32 448 39.16 448 48V105.6C448 114.4 440.8 121.6 432 121.6H374.4C365.6 121.6 358.4 114.4 358.4 105.6V48zM358.4 167.5C358.4 158.6 365.6 151.5 374.4 151.5H432C440.8 151.5 448 158.6 448 167.5V225.1C448 233.9 440.8 241.1 432 241.1H374.4C365.6 241.1 358.4 233.9 358.4 225.1V167.5zM432 270.9C440.8 270.9 448 278.1 448 286.9V344.5C448 353.4 440.8 360.5 432 360.5H374.4C365.6 360.5 358.4 353.4 358.4 344.5V286.9C358.4 278.1 365.6 270.9 374.4 270.9H432zM358.4 406.4C358.4 397.6 365.6 390.4 374.4 390.4H432C440.8 390.4 448 397.6 448 406.4V464C448 472.8 440.8 480 432 480H374.4C365.6 480 358.4 472.8 358.4 464V406.4z"],
    "grid-5": [448, 512, [], "e199", "M0 48C0 39.16 7.164 32 16 32H48C56.84 32 64 39.16 64 48V80C64 88.84 56.84 96 48 96H16C7.164 96 0 88.84 0 80V48zM0 144C0 135.2 7.164 128 16 128H48C56.84 128 64 135.2 64 144V176C64 184.8 56.84 192 48 192H16C7.164 192 0 184.8 0 176V144zM48 224C56.84 224 64 231.2 64 240V272C64 280.8 56.84 288 48 288H16C7.164 288 0 280.8 0 272V240C0 231.2 7.164 224 16 224H48zM0 336C0 327.2 7.164 320 16 320H48C56.84 320 64 327.2 64 336V368C64 376.8 56.84 384 48 384H16C7.164 384 0 376.8 0 368V336zM48 416C56.84 416 64 423.2 64 432V464C64 472.8 56.84 480 48 480H16C7.164 480 0 472.8 0 464V432C0 423.2 7.164 416 16 416H48zM96 48C96 39.16 103.2 32 112 32H144C152.8 32 160 39.16 160 48V80C160 88.84 152.8 96 144 96H112C103.2 96 96 88.84 96 80V48zM144 128C152.8 128 160 135.2 160 144V176C160 184.8 152.8 192 144 192H112C103.2 192 96 184.8 96 176V144C96 135.2 103.2 128 112 128H144zM96 240C96 231.2 103.2 224 112 224H144C152.8 224 160 231.2 160 240V272C160 280.8 152.8 288 144 288H112C103.2 288 96 280.8 96 272V240zM144 320C152.8 320 160 327.2 160 336V368C160 376.8 152.8 384 144 384H112C103.2 384 96 376.8 96 368V336C96 327.2 103.2 320 112 320H144zM96 432C96 423.2 103.2 416 112 416H144C152.8 416 160 423.2 160 432V464C160 472.8 152.8 480 144 480H112C103.2 480 96 472.8 96 464V432zM240 32C248.8 32 256 39.16 256 48V80C256 88.84 248.8 96 240 96H208C199.2 96 192 88.84 192 80V48C192 39.16 199.2 32 208 32H240zM192 144C192 135.2 199.2 128 208 128H240C248.8 128 256 135.2 256 144V176C256 184.8 248.8 192 240 192H208C199.2 192 192 184.8 192 176V144zM240 224C248.8 224 256 231.2 256 240V272C256 280.8 248.8 288 240 288H208C199.2 288 192 280.8 192 272V240C192 231.2 199.2 224 208 224H240zM192 336C192 327.2 199.2 320 208 320H240C248.8 320 256 327.2 256 336V368C256 376.8 248.8 384 240 384H208C199.2 384 192 376.8 192 368V336zM240 416C248.8 416 256 423.2 256 432V464C256 472.8 248.8 480 240 480H208C199.2 480 192 472.8 192 464V432C192 423.2 199.2 416 208 416H240zM288 48C288 39.16 295.2 32 304 32H336C344.8 32 352 39.16 352 48V80C352 88.84 344.8 96 336 96H304C295.2 96 288 88.84 288 80V48zM336 128C344.8 128 352 135.2 352 144V176C352 184.8 344.8 192 336 192H304C295.2 192 288 184.8 288 176V144C288 135.2 295.2 128 304 128H336zM288 240C288 231.2 295.2 224 304 224H336C344.8 224 352 231.2 352 240V272C352 280.8 344.8 288 336 288H304C295.2 288 288 280.8 288 272V240zM336 320C344.8 320 352 327.2 352 336V368C352 376.8 344.8 384 336 384H304C295.2 384 288 376.8 288 368V336C288 327.2 295.2 320 304 320H336zM288 432C288 423.2 295.2 416 304 416H336C344.8 416 352 423.2 352 432V464C352 472.8 344.8 480 336 480H304C295.2 480 288 472.8 288 464V432zM432 32C440.8 32 448 39.16 448 48V80C448 88.84 440.8 96 432 96H400C391.2 96 384 88.84 384 80V48C384 39.16 391.2 32 400 32H432zM384 144C384 135.2 391.2 128 400 128H432C440.8 128 448 135.2 448 144V176C448 184.8 440.8 192 432 192H400C391.2 192 384 184.8 384 176V144zM432 224C440.8 224 448 231.2 448 240V272C448 280.8 440.8 288 432 288H400C391.2 288 384 280.8 384 272V240C384 231.2 391.2 224 400 224H432zM384 336C384 327.2 391.2 320 400 320H432C440.8 320 448 327.2 448 336V368C448 376.8 440.8 384 432 384H400C391.2 384 384 376.8 384 368V336zM432 416C440.8 416 448 423.2 448 432V464C448 472.8 440.8 480 432 480H400C391.2 480 384 472.8 384 464V432C384 423.2 391.2 416 400 416H432z"],
    "grid-dividers": [512, 512, [], "e3ad", "M0 24C0 10.75 10.75 0 24 0H488C501.3 0 512 10.75 512 24C512 37.25 501.3 48 488 48H24C10.75 48 0 37.25 0 24zM128 96C145.7 96 160 110.3 160 128V192C160 209.7 145.7 224 128 224H64C46.33 224 32 209.7 32 192V128C32 110.3 46.33 96 64 96H128zM128 384C145.7 384 160 398.3 160 416V480C160 497.7 145.7 512 128 512H64C46.33 512 32 497.7 32 480V416C32 398.3 46.33 384 64 384H128zM192 128C192 110.3 206.3 96 224 96H288C305.7 96 320 110.3 320 128V192C320 209.7 305.7 224 288 224H224C206.3 224 192 209.7 192 192V128zM288 384C305.7 384 320 398.3 320 416V480C320 497.7 305.7 512 288 512H224C206.3 512 192 497.7 192 480V416C192 398.3 206.3 384 224 384H288zM352 128C352 110.3 366.3 96 384 96H448C465.7 96 480 110.3 480 128V192C480 209.7 465.7 224 448 224H384C366.3 224 352 209.7 352 192V128zM448 384C465.7 384 480 398.3 480 416V480C480 497.7 465.7 512 448 512H384C366.3 512 352 497.7 352 480V416C352 398.3 366.3 384 384 384H448zM488 288C501.3 288 512 298.7 512 312C512 325.3 501.3 336 488 336H24C10.75 336 0 325.3 0 312C0 298.7 10.75 288 24 288H488z"],
    "grid-horizontal": [448, 512, [], "e307", "M128 216C128 238.1 110.1 256 88 256H40C17.91 256 0 238.1 0 216V168C0 145.9 17.91 128 40 128H88C110.1 128 128 145.9 128 168V216zM128 376C128 398.1 110.1 416 88 416H40C17.91 416 0 398.1 0 376V328C0 305.9 17.91 288 40 288H88C110.1 288 128 305.9 128 328V376zM160 168C160 145.9 177.9 128 200 128H248C270.1 128 288 145.9 288 168V216C288 238.1 270.1 256 248 256H200C177.9 256 160 238.1 160 216V168zM288 376C288 398.1 270.1 416 248 416H200C177.9 416 160 398.1 160 376V328C160 305.9 177.9 288 200 288H248C270.1 288 288 305.9 288 328V376zM320 168C320 145.9 337.9 128 360 128H408C430.1 128 448 145.9 448 168V216C448 238.1 430.1 256 408 256H360C337.9 256 320 238.1 320 216V168zM448 376C448 398.1 430.1 416 408 416H360C337.9 416 320 398.1 320 376V328C320 305.9 337.9 288 360 288H408C430.1 288 448 305.9 448 328V376z"],
    "grill": [448, 512, [], "e5a3", "M0 72C0 49.91 17.91 32 40 32H408C430.1 32 448 49.91 448 72V96C448 185.8 395.1 263.3 318.8 298.1L382.1 446.5C387.3 458.7 381.6 472.8 369.5 478.1C357.3 483.3 343.2 477.6 337.9 465.5L316.7 416H160C160 451.3 131.3 480 96 480C60.65 480 32 451.3 32 416C32 380.7 60.65 352 96 352C99.44 352 102.8 352.3 106.1 352.8L129.2 298.1C52.86 263.3 0 185.8 0 96V72zM151.8 368H296.2L273.3 314.6C257.4 318.1 240.9 320 224 320C207.1 320 190.6 318.1 174.7 314.6L151.8 368zM96 440C109.3 440 120 429.3 120 416C120 402.7 109.3 392 96 392C82.75 392 72 402.7 72 416C72 429.3 82.75 440 96 440z"],
    "grill-fire": [576, 512, [], "e5a4", "M0 72C0 49.91 17.91 32 40 32H408C430.1 32 448 49.91 448 72V96C448 120.1 444.2 143.3 437.1 165.1C428.7 156.4 419.9 148.1 410.1 139.1C393.3 124 366.2 123.1 348.5 139.9C313.1 171.5 282.9 207.6 261.2 242.7C246.2 267 233.5 293.8 227.6 319.1C226.4 319.1 225.2 320 224 320C207.1 320 190.6 318.1 174.7 314.6L151.8 368H224.8C226.4 384.6 229.1 400.7 235.5 416H160C160 451.3 131.3 480 96 480C60.65 480 32 451.3 32 416C32 380.7 60.65 352 96 352C99.44 352 102.8 352.3 106.1 352.8L129.2 298.1C52.86 263.3 0 185.8 0 96V72zM96 440C109.3 440 120 429.3 120 416C120 402.7 109.3 392 96 392C82.75 392 72 402.7 72 416C72 429.3 82.75 440 96 440zM445 221.5C452.9 211.6 461.8 200.8 471.5 191.1C477.1 186.9 485.9 186.9 491.5 192C516.2 214.7 537.1 244.7 551.8 273.2C566.4 301.2 576 329.9 576 350.1C576 437.9 504.7 512 416 512C326.3 512 256 437.8 256 350.1C256 323.7 268.7 291.5 288.4 259.5C308.4 227.2 336.5 193.4 369.8 163.7C375.4 158.7 383.1 158.8 389.5 163.8C409.3 181.6 427.8 200.7 445 221.5V221.5zM486 336.1C484 332.1 482 328.1 479 324.1L443 367C443 367 384.1 293 380.1 288C351 324.1 336 346 336 370C336 419 372 448 416.1 448C435 448 451 443 466 432.1C496 412 504 370 486 336.1z"],
    "grill-hot": [448, 512, [], "e5a5", "M120 0C133.3 0 144 10.75 144 24V26.59C144 31.94 146.7 36.94 151.1 39.91L163.5 48.16C181.3 60.03 192 80.01 192 101.4V104C192 117.3 181.3 128 168 128C154.7 128 144 117.3 144 104V101.4C144 96.06 141.3 91.06 136.9 88.09L124.5 79.84C106.7 67.97 96 47.99 96 26.59V24C96 10.75 106.7 .0003 120 .0003V0zM0 192C0 174.3 14.33 160 32 160H416C433.7 160 448 174.3 448 192C448 270.1 401.4 337.3 334.4 367.3L382.1 478.5C387.3 490.7 381.6 504.8 369.5 510.1C357.3 515.3 343.2 509.6 337.9 497.5L327 472H155.3C145.9 495.5 122.9 512 96 512C60.65 512 32 483.3 32 448C32 412.7 60.65 384 96 384C99.44 384 102.8 384.3 106.1 384.8L113.6 367.3C46.65 337.3 .0003 270.1 .0003 192H0zM155.3 424H306.5L288.2 381.3C277.7 383.1 266.1 384 256 384H191.1C181 384 170.3 383.1 159.8 381.3L147.5 410C150.7 414.3 153.3 418.1 155.3 424H155.3zM96 472C109.3 472 120 461.3 120 448C120 434.7 109.3 424 96 424C82.75 424 72 434.7 72 448C72 461.3 82.75 472 96 472zM256 26.59C256 31.94 258.7 36.94 263.1 39.91L275.5 48.16C293.3 60.03 304 80.01 304 101.4V104C304 117.3 293.3 128 280 128C266.7 128 256 117.3 256 104V101.4C256 96.06 253.3 91.06 248.9 88.09L236.5 79.84C218.7 67.97 208 47.99 208 26.59V24C208 10.75 218.7 .0003 232 .0003C245.3 .0003 256 10.75 256 24V26.59z"],
    "grip": [448, 512, ["grip-horizontal"], "f58d", "M128 184C128 206.1 110.1 224 88 224H40C17.91 224 0 206.1 0 184V136C0 113.9 17.91 96 40 96H88C110.1 96 128 113.9 128 136V184zM128 376C128 398.1 110.1 416 88 416H40C17.91 416 0 398.1 0 376V328C0 305.9 17.91 288 40 288H88C110.1 288 128 305.9 128 328V376zM160 136C160 113.9 177.9 96 200 96H248C270.1 96 288 113.9 288 136V184C288 206.1 270.1 224 248 224H200C177.9 224 160 206.1 160 184V136zM288 376C288 398.1 270.1 416 248 416H200C177.9 416 160 398.1 160 376V328C160 305.9 177.9 288 200 288H248C270.1 288 288 305.9 288 328V376zM320 136C320 113.9 337.9 96 360 96H408C430.1 96 448 113.9 448 136V184C448 206.1 430.1 224 408 224H360C337.9 224 320 206.1 320 184V136zM448 376C448 398.1 430.1 416 408 416H360C337.9 416 320 398.1 320 376V328C320 305.9 337.9 288 360 288H408C430.1 288 448 305.9 448 328V376z"],
    "grip-dots": [448, 512, [], "e410", "M384 128C410.5 128 432 149.5 432 176C432 202.5 410.5 224 384 224C357.5 224 336 202.5 336 176C336 149.5 357.5 128 384 128zM224 128C250.5 128 272 149.5 272 176C272 202.5 250.5 224 224 224C197.5 224 176 202.5 176 176C176 149.5 197.5 128 224 128zM64 224C37.49 224 16 202.5 16 176C16 149.5 37.49 128 64 128C90.51 128 112 149.5 112 176C112 202.5 90.51 224 64 224zM384 288C410.5 288 432 309.5 432 336C432 362.5 410.5 384 384 384C357.5 384 336 362.5 336 336C336 309.5 357.5 288 384 288zM224 384C197.5 384 176 362.5 176 336C176 309.5 197.5 288 224 288C250.5 288 272 309.5 272 336C272 362.5 250.5 384 224 384zM64 288C90.51 288 112 309.5 112 336C112 362.5 90.51 384 64 384C37.49 384 16 362.5 16 336C16 309.5 37.49 288 64 288z"],
    "grip-dots-vertical": [256, 512, [], "e411", "M0 96C0 69.49 21.49 48 48 48C74.51 48 96 69.49 96 96C96 122.5 74.51 144 48 144C21.49 144 0 122.5 0 96zM0 256C0 229.5 21.49 208 48 208C74.51 208 96 229.5 96 256C96 282.5 74.51 304 48 304C21.49 304 0 282.5 0 256zM96 416C96 442.5 74.51 464 48 464C21.49 464 0 442.5 0 416C0 389.5 21.49 368 48 368C74.51 368 96 389.5 96 416zM160 96C160 69.49 181.5 48 208 48C234.5 48 256 69.49 256 96C256 122.5 234.5 144 208 144C181.5 144 160 122.5 160 96zM256 256C256 282.5 234.5 304 208 304C181.5 304 160 282.5 160 256C160 229.5 181.5 208 208 208C234.5 208 256 229.5 256 256zM160 416C160 389.5 181.5 368 208 368C234.5 368 256 389.5 256 416C256 442.5 234.5 464 208 464C181.5 464 160 442.5 160 416z"],
    "grip-lines": [448, 512, [], "f7a4", "M416 288C433.7 288 448 302.3 448 320C448 337.7 433.7 352 416 352H32C14.33 352 0 337.7 0 320C0 302.3 14.33 288 32 288H416zM416 160C433.7 160 448 174.3 448 192C448 209.7 433.7 224 416 224H32C14.33 224 0 209.7 0 192C0 174.3 14.33 160 32 160H416z"],
    "grip-lines-vertical": [192, 512, [], "f7a5", "M64 448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64V448zM192 448C192 465.7 177.7 480 160 480C142.3 480 128 465.7 128 448V64C128 46.33 142.3 32 160 32C177.7 32 192 46.33 192 64V448z"],
    "grip-vertical": [320, 512, [], "f58e", "M88 352C110.1 352 128 369.9 128 392V440C128 462.1 110.1 480 88 480H40C17.91 480 0 462.1 0 440V392C0 369.9 17.91 352 40 352H88zM280 352C302.1 352 320 369.9 320 392V440C320 462.1 302.1 480 280 480H232C209.9 480 192 462.1 192 440V392C192 369.9 209.9 352 232 352H280zM40 320C17.91 320 0 302.1 0 280V232C0 209.9 17.91 192 40 192H88C110.1 192 128 209.9 128 232V280C128 302.1 110.1 320 88 320H40zM280 192C302.1 192 320 209.9 320 232V280C320 302.1 302.1 320 280 320H232C209.9 320 192 302.1 192 280V232C192 209.9 209.9 192 232 192H280zM40 160C17.91 160 0 142.1 0 120V72C0 49.91 17.91 32 40 32H88C110.1 32 128 49.91 128 72V120C128 142.1 110.1 160 88 160H40zM280 32C302.1 32 320 49.91 320 72V120C320 142.1 302.1 160 280 160H232C209.9 160 192 142.1 192 120V72C192 49.91 209.9 32 232 32H280z"],
    "group-arrows-rotate": [512, 512, [], "e4f6", "M159.7 89.85C159.9 91.87 159.1 93.93 159.1 96C159.1 131.3 131.3 160 95.1 160C93.92 160 91.87 159.9 89.85 159.7C82.34 172.6 76.29 186.5 71.94 201.1C66.9 218.1 49.08 227.7 32.15 222.7C15.21 217.6 5.562 199.8 10.6 182.9C17.01 161.4 26.15 141 37.64 122.3C34.02 114.3 31.1 105.4 31.1 96C31.1 60.65 60.65 32 95.1 32C105.4 32 114.3 34.02 122.3 37.64C141 26.16 161.4 17.01 182.9 10.61C199.8 5.566 217.6 15.21 222.7 32.15C227.7 49.09 218.1 66.91 201.1 71.95C186.5 76.3 172.6 82.34 159.7 89.85V89.85zM389.7 37.64C397.7 34.02 406.6 32 415.1 32C451.3 32 479.1 60.65 479.1 96C479.1 105.4 477.1 114.3 474.4 122.3C485.8 141 494.1 161.4 501.4 182.9C506.4 199.8 496.8 217.6 479.8 222.7C462.9 227.7 445.1 218.1 440.1 201.1C435.7 186.5 429.7 172.6 422.1 159.7C420.1 159.9 418.1 160 416 160C380.7 160 352 131.3 352 96C352 93.93 352.1 91.87 352.3 89.85C339.4 82.34 325.5 76.3 310.9 71.95C293.9 66.91 284.3 49.09 289.3 32.15C294.4 15.21 312.2 5.566 329.1 10.61C350.6 17.01 370.1 26.16 389.7 37.64L389.7 37.64zM89.85 352.3C91.87 352.1 93.92 352 95.1 352C131.3 352 159.1 380.7 159.1 416C159.1 418.1 159.9 420.1 159.7 422.2C172.6 429.7 186.5 435.7 201.1 440.1C218.1 445.1 227.7 462.9 222.7 479.9C217.6 496.8 199.8 506.4 182.9 501.4C161.4 494.1 141 485.8 122.3 474.4C114.3 477.1 105.4 480 95.1 480C60.65 480 31.1 451.3 31.1 416C31.1 406.6 34.02 397.7 37.64 389.7C26.15 370.1 17.01 350.6 10.6 329.1C5.562 312.2 15.21 294.4 32.15 289.3C49.08 284.3 66.9 293.9 71.94 310.9C76.29 325.5 82.34 339.4 89.85 352.3L89.85 352.3zM474.4 389.7C477.1 397.7 479.1 406.6 479.1 416C479.1 451.3 451.3 480 415.1 480C406.6 480 397.7 477.1 389.7 474.4C370.1 485.8 350.6 494.1 329.1 501.4C312.2 506.4 294.4 496.8 289.3 479.9C284.3 462.9 293.9 445.1 310.9 440.1C325.5 435.7 339.4 429.7 352.3 422.2C352.1 420.1 351.1 418.1 351.1 416C351.1 380.7 380.7 352 415.1 352C418.1 352 420.1 352.1 422.2 352.3C429.7 339.4 435.7 325.5 440.1 310.9C445.1 293.9 462.9 284.3 479.8 289.3C496.8 294.4 506.4 312.2 501.4 329.1C494.1 350.6 485.8 370.1 474.4 389.7H474.4zM192.8 256.8C192.8 281.6 206.9 303.2 227.7 313.8C239.5 319.9 244.2 334.3 238.2 346.1C232.1 357.9 217.7 362.6 205.9 356.6C169.7 338.1 144.8 300.4 144.8 256.8C144.8 227.9 155.7 201.6 173.7 181.7L162.5 170.6C155.1 163.1 160.6 152.8 169.9 152.8H230.4C236.1 152.8 240.8 157.5 240.8 163.2V223.7C240.8 232.1 229.6 237.6 223 231L207.7 215.7C198.4 226.8 192.8 241.1 192.8 256.8V256.8zM275.4 165.9C281.5 154.1 295.9 149.4 307.7 155.4C343.9 173.9 368.8 211.6 368.8 255.2C368.8 284.1 357.8 310.5 339.9 330.3L351 341.5C357.6 348 352.1 359.2 343.7 359.2H283.2C277.5 359.2 272.8 354.6 272.8 348.8V288.3C272.8 279 284 274.4 290.6 280.1L305.9 296.3C315.2 285.2 320.8 270.9 320.8 255.2C320.8 230.4 306.6 208.8 285.9 198.2C274.1 192.1 269.4 177.7 275.4 165.9V165.9z"],
    "guarani-sign": [384, 512, [], "e19a", "M224 32V66.66C263.5 73.3 299 92.03 326.4 118.9C339 131.3 339.2 151.5 326.9 164.1C314.5 176.8 294.2 176.1 281.6 164.6C265.8 149.1 246.1 137.7 224 132V224H352C369.7 224 384 238.3 384 256C384 351.1 314.8 430.1 224 445.3V480C224 497.7 209.7 512 192 512C174.3 512 160 497.7 160 480V445.3C69.19 430.1 0 351.1 0 256C0 160.9 69.19 81.89 160 66.65V32C160 14.33 174.3 0 192 0C209.7 0 224 14.33 224 32H224zM160 132C104.8 146.2 64 196.4 64 256C64 315.6 104.8 365.8 160 379.1V132zM224 379.1C268.1 368.4 304.4 332.1 315.1 288H224V379.1z"],
    "guitar": [512, 512, [], "f7a6", "M502.7 39.02L473 9.37c-12.5-12.5-32.74-12.49-45.24 .0106l-46.24 46.37c-3.875 3.875-6.848 8.506-8.598 13.76l-12.19 36.51L284.5 182.3C272.4 173.5 259 166.5 244.4 163.1C211 155.4 177.4 162.3 154.5 185.1C145.3 194.5 138.3 206 134.3 218.6C128.3 237.1 111.1 251.3 92.14 253C68.52 255.4 46.39 264.5 29.52 281.5c-45.62 45.5-37.38 127.5 18.12 183c55.37 55.38 137.4 63.51 182.9 18c16.1-16.88 26.25-38.85 28.5-62.72c1.75-18.75 15.84-36.16 34.47-42.16c12.5-3.875 24.03-10.87 33.4-20.25c22.87-22.88 29.75-56.38 21.1-89.76c-3.375-14.63-10.39-27.99-19.14-40.11l76.25-76.26l36.53-12.17c5.125-1.75 9.894-4.715 13.77-8.59l46.36-46.29C515.2 71.72 515.2 51.52 502.7 39.02zM208 352c-26.5 0-48-21.5-48-48c0-26.5 21.5-48 48-48s47.1 21.5 47.1 48C256 330.5 234.5 352 208 352z"],
    "guitar-electric": [512, 512, [127928], "f8be", "M511.2 39.56c-3.624-19.25-18.62-34.41-37.87-38.29c-22.87-4.25-22.75-.4579-106.6 53.66c-9.124 5.875-14.75 15.1-14.75 26.1L351.1 115.1L243.7 223.3C236.1 211.9 234.8 197.3 240.6 184.8l17.25-37.12c3.875-8.25 1.25-18.12-6.249-23.37C244.1 119.1 233.1 120 227.5 126.4L189.1 164.8c-8.124 8.125-14.37 17.1-18.12 28.75c-7.124 19.62-21.62 35.62-40.62 44.37L53.99 273.3c-57.24 22.87-72.37 96.74-28.87 140.2l73.37 73.37c43.62 43.5 117.5 28.37 140.4-28.75l35.37-76.37c8.874-18.1 24.87-33.62 44.49-40.5c10.75-3.875 20.62-10.12 28.87-18.25l21.5-21.5c6.499-6.5 7.749-16.62 2.1-24.5c-4.874-7.875-14.37-11.37-23.12-8.499L325.2 276c-12.62 3.875-26.37 1.249-36.74-7.125l173.1-172.9c.7499 0 1.5 .3749 2.375 .3749c14.25 0 27.87-6.333 36.99-17.33S513.8 53.68 511.2 39.56zM181.6 394.4l-11.25 11.25c-3.125 3.125-8.249 3.125-11.37 0l-52.62-52.62c-1.5-1.5-2.375-3.5-2.375-5.625s.8754-4.25 2.375-5.75l11.25-11.25c1.5-1.5 3.499-2.375 5.624-2.375c2.125 0 4.25 .8747 5.749 2.375l52.62 52.62c1.5 1.5 2.375 3.5 2.375 5.625S183.1 392.9 181.6 394.4zM245.6 330.4l-11.25 11.25c-3.125 3.125-8.249 3.125-11.37 0L170.4 289c-1.5-1.5-2.375-3.5-2.375-5.625c0-2.125 .875-4.25 2.375-5.75l11.25-11.25c1.5-1.5 3.5-2.375 5.624-2.375c2.125 0 4.25 .8749 5.75 2.375l52.62 52.62c1.5 1.5 2.374 3.5 2.374 5.625S247.1 328.9 245.6 330.4z"],
    "guitars": [512, 512, [], "f8bf", "M229.3 300.2c5.5-10.62 8.333-22.37 8.458-34.25c0-29.13-17-54.92-43.25-71.17c-12.75-8-27.48-11.95-42.48-13.83L152 126.7l16.59-33.19c1.1-4 3.033-8.565 3.033-13.06V26.37C171.6 11.87 159.9 0 145.3 0H110.8c-14.62 0-26.5 11.91-26.5 26.41v54.09c0 4.5 1.098 8.947 3.098 12.95l16.66 33.3l.0001 54.25c-14.1 1.875-29.77 5.875-42.65 13.88C54.63 198.1 48.5 203.9 42.88 209.5c-15.37 15.38-24.62 34.1-24.62 56.62c0 11.88 2.875 23.63 8.375 34.12c7.1 15.63 5.1 35.62-4.875 48.75c-13.62 16.5-21.87 36.37-21.75 57.1c-.125 58 57.38 105 127.1 105c39.87 0 75.5-14.1 98.1-38.5c1.25-1.25 2.25-2.751 3.375-4.001c-9.25-26.12-8.375-54.75 2.375-80.37l10.25-27.75c-2.625-4.25-5.625-8.5-8.75-12.38C223.2 335.9 221.3 315.9 229.3 300.2zM156.2 332.3c-15.62 15.62-40.87 15.62-56.5 0c-15.62-15.62-15.62-40.88 0-56.5c15.62-15.62 40.87-15.62 56.5 0C171.9 291.4 171.9 316.6 156.2 332.3zM505.5 400.9l-26.1-73.5c-6.625-18.25-5.75-38.25 2.625-55.75c4.625-9.75 6.1-20.25 6.1-30.1V212.4c0-8.625-5.875-15.1-14.12-17.1c-8.25-2-16.87 1.875-20.75 9.5l-10.62 20.5c-5.375 10.38-15.37 17-26.62 19L407.1 243.2V73.38c1.75-1.125 3.5-2.375 5.125-3.75c14.75-14.87 15.1-38.5 2.625-54.75c-13.25-16.13-36.62-19.63-54.12-8c-16.37 11.13-13.1 13.25-31.87 96.25c-1.875 9 .875 18.38 7.375 24.1L359.1 151v91.62L351.1 242.5c-11.25-3-20.87-10.1-24.1-22.38l-12.1-35.75c-2.875-7.875-11.12-12.62-19.5-11.13c-8.375 1.375-14.37 8.625-14.37 17.13V240.8c0 10.75 2.375 21.25 6.1 30.87c8.25 17.5 9.125 37.62 2.5 55.88l-26.1 73.5C239.1 453.5 278.5 512 335.7 512l96.37-.0005C489.4 511.1 527.1 453.4 505.5 400.9zM431.1 392c0 4.375-3.625 8-7.1 8h-79.1c-4.375 0-7.1-3.625-7.1-8v-16c0-4.375 3.625-8 7.1-8h79.1c4.375 0 7.1 3.625 7.1 8V392zM431.1 327.9c0 4.375-3.625 8-7.1 8h-79.1c-4.375 0-7.1-3.625-7.1-8v-16c0-4.375 3.625-8 7.1-8h79.1c4.375 0 7.1 3.625 7.1 8V327.9z"],
    "gun": [576, 512, [], "e19b", "M544 64h-16V56C528 42.74 517.3 32 504 32S480 42.74 480 56V64H43.17C19.33 64 0 83.33 0 107.2v89.66C0 220.7 19.33 240 43.17 240c21.26 0 36.61 20.35 30.77 40.79l-40.69 158.4C27.41 459.6 42.76 480 64.02 480h103.8c14.29 0 26.84-9.469 30.77-23.21L226.4 352h94.58c24.16 0 45.5-15.41 53.13-38.28L398.6 240h36.1c8.486 0 16.62-3.369 22.63-9.373L480 208h64c17.67 0 32-14.33 32-32V96C576 78.33 561.7 64 544 64zM328.5 298.6C327.4 301.8 324.4 304 320.9 304H239.1L256 240h92.02L328.5 298.6zM480 160H64V128h416V160z"],
    "gun-slash": [640, 512, [], "e19c", "M32 196.8C32 220.7 51.33 240 75.17 240c21.26 0 36.61 20.35 30.77 40.79l-40.69 158.4C59.41 459.6 74.76 480 96.02 480h103.8c14.29 0 26.84-9.469 30.77-23.21L258.4 352h67.39L32 121.8V196.8zM630.8 469.1l-219.3-171.9L430.6 240h36.1c8.486 0 16.62-3.369 22.63-9.373L512 208h64c17.67 0 32-14.33 32-32V96c0-17.67-14.33-32-32-32h-16V56C560 42.74 549.3 32 536 32S512 42.74 512 56V64H113.1L38.81 5.109C34.41 1.672 29.19 0 24.03 0C16.91 0 9.846 3.156 5.127 9.188C-3.061 19.62-1.248 34.72 9.189 42.89l591.1 463.1c10.5 8.203 25.56 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1zM195.6 128H512v32H236.4L195.6 128zM371.4 265.8L338.5 240h41.52L371.4 265.8z"],
    "gun-squirt": [576, 512, [], "e19d", "M560 128H544V112C544 85.49 522.5 64 496 64H128V56C128 42.74 117.3 32 104 32S80 42.74 80 56v9.613C34.64 73.27 0 112.5 0 160c0 47.59 34.72 86.81 80.16 94.4l-46.91 184.8C27.41 459.6 42.76 480 64.02 480h103.8c14.29 0 26.84-9.469 30.77-23.21L220.6 376H272v16c0 13.25 10.75 24 24 24S320 405.3 320 392v-80C320 298.7 309.3 288 296 288S272 298.7 272 312v16H233.6L253.2 256H496C522.5 256 544 234.5 544 208V192h16C568.8 192 576 184.8 576 176v-32C576 135.2 568.8 128 560 128zM448 192H96C78.33 192 64 177.7 64 160s14.33-32 32-32h352c17.67 0 32 14.33 32 32S465.7 192 448 192z"],
    "h": [384, 512, [104], "48", "M384 64.01v384c0 17.67-14.33 32-32 32s-32-14.33-32-32v-192H64v192c0 17.67-14.33 32-32 32s-32-14.33-32-32v-384C0 46.34 14.33 32.01 32 32.01S64 46.34 64 64.01v128h256v-128c0-17.67 14.33-32 32-32S384 46.34 384 64.01z"],
    "h1": [576, 512, [], "f313", "M544 384h-32v-288c0-11.09-5.75-21.38-15.17-27.22c-9.438-5.844-21.23-6.344-31.14-1.406l-64 32c-15.81 7.906-22.22 27.12-14.31 42.94c7.906 15.78 27.09 22.16 42.94 14.31L448 147.8v236.2h-32c-17.67 0-32 14.31-32 32s14.33 32 32 32h128c17.67 0 32-14.31 32-32S561.7 384 544 384zM288 64.01c-17.67 0-32 14.31-32 32v128H64v-128c0-17.69-14.33-32-32-32s-32 14.31-32 32v320c0 17.69 14.33 32 32 32s32-14.31 32-32v-128h192v128c0 17.69 14.33 32 32 32s32-14.31 32-32v-320C320 78.33 305.7 64.01 288 64.01z"],
    "h2": [640, 512, [], "f314", "M608 384h-126l100.4-92.5c51.84-47.75 56.81-127.3 11.3-181.2c-22.75-26.94-54.64-43.28-89.8-46.09c-35.09-2.938-69.25 8.344-95.97 31.38l-25.09 21.59c-13.39 11.53-14.91 31.72-3.375 45.13c11.55 13.38 31.72 14.94 45.13 3.375l25.09-21.59c13.69-11.78 31.05-17.66 49.16-16.06c18 1.438 34.33 9.812 45.98 23.59c23.31 27.56 20.77 68.34-5.781 92.81l-160.7 148c-9.703 8.938-12.94 22.88-8.141 35.16S386.8 448 400 448H608c17.67 0 32-14.31 32-32S625.7 384 608 384zM288 64.01c-17.67 0-32 14.31-32 32v128H64v-128c0-17.69-14.33-32-32-32s-32 14.31-32 32v320c0 17.69 14.33 32 32 32s32-14.31 32-32v-128h192v128c0 17.69 14.33 32 32 32s32-14.31 32-32v-320C320 78.33 305.7 64.01 288 64.01z"],
    "h3": [640, 512, [], "f315", "M523.9 211.7l91.03-93.38c8.984-9.219 11.58-22.91 6.578-34.78C616.5 71.73 604.9 64.01 592 64.01l-192-.0778c-17.67 0-32 14.39-32 32.08s14.33 32 32 32h116.1l-91.02 93.34c-8.984 9.219-11.58 22.91-6.578 34.78C423.5 267.1 435.1 275.7 448 275.7h73.84C551.7 275.7 576 299.1 576 329.9s-24.3 54.16-54.16 54.16h-62.53c-13.16 0-24.8-8.375-28.95-20.88c-5.578-16.75-23.69-25.88-40.48-20.22c-16.77 5.594-25.83 23.72-20.23 40.47c12.89 38.66 48.94 64.63 89.67 64.63h62.53C587 448 640 395 640 329.9C640 265.4 588.1 212.8 523.9 211.7zM288 64.01c-17.67 0-32 14.31-32 32v128H64v-128c0-17.69-14.33-32-32-32s-32 14.31-32 32v320c0 17.69 14.33 32 32 32s32-14.31 32-32v-128h192v128c0 17.69 14.33 32 32 32s32-14.31 32-32v-320C320 78.33 305.7 64.01 288 64.01z"],
    "h4": [640, 512, [], "f86a", "M608 64.01c-17.67 0-32 14.31-32 32v159.1h-135l38.06-152.2c4.281-17.12-6.141-34.5-23.28-38.78c-17.05-4.25-34.52 6.094-38.81 23.28l-48 191.1c-2.391 9.562-.2344 19.69 5.828 27.44C380.8 315.5 390.1 320 400 320H576v96c0 17.69 14.33 32 32 32s32-14.31 32-32v-320C640 78.33 625.7 64.01 608 64.01zM288 64.01c-17.67 0-32 14.31-32 32v128H64v-128c0-17.69-14.33-32-32-32s-32 14.31-32 32v320c0 17.69 14.33 32 32 32s32-14.31 32-32v-128h192v128c0 17.69 14.33 32 32 32s32-14.31 32-32v-320C320 78.33 305.7 64.01 288 64.01z"],
    "h5": [640, 512, [], "e412", "M64 224H256V96C256 78.33 270.3 64 288 64C305.7 64 320 78.33 320 96V416C320 433.7 305.7 448 288 448C270.3 448 256 433.7 256 416V288H64V416C64 433.7 49.67 448 32 448C14.33 448 0 433.7 0 416V96C0 78.33 14.33 64 32 64C49.67 64 64 78.33 64 96V224zM576 64C593.7 64 608 78.33 608 96C608 113.7 593.7 128 576 128H457.1L439.4 216H524C588.1 216 640 267.9 640 332C640 396.1 588.1 448 524 448H456.4C418.5 448 384.9 423.8 372.9 387.8L369.6 378.1C364.1 361.4 373.1 343.2 389.9 337.6C406.6 332.1 424.8 341.1 430.4 357.9L433.6 367.6C436.9 377.4 446 384 456.4 384H524C552.7 384 576 360.7 576 332C576 303.3 552.7 280 524 280H400C390.4 280 381.2 275.7 375.2 268.2C369.1 260.7 366.7 250.8 368.7 241.4L400.7 89.41C403.8 74.6 416.9 64 432 64L576 64z"],
    "h6": [640, 512, [], "e413", "M501.7 160.1C578.6 163.1 640 226.4 640 304C640 383.5 575.5 448 496 448C416.5 448 352 383.5 352 304C352 265.7 365 228.5 388.1 198.5L487 76.01C498.1 62.21 518.2 59.97 531.1 71.01C545.8 82.05 548 102.2 536.1 115.1L501.7 160.1zM416 304C416 348.2 451.8 384 496 384C540.2 384 576 348.2 576 304C576 259.8 540.2 224 496 224C451.8 224 416 259.8 416 304zM32 64C49.67 64 64 78.33 64 96V224H256V96C256 78.33 270.3 64 288 64C305.7 64 320 78.33 320 96V416C320 433.7 305.7 448 288 448C270.3 448 256 433.7 256 416V288H64V416C64 433.7 49.67 448 32 448C14.33 448 0 433.7 0 416V96C0 78.33 14.33 64 32 64V64z"],
    "hammer": [576, 512, [128296], "f6e3", "M568.1 196.3l-22.62-22.62c-4.533-4.533-10.56-7.029-16.97-7.029s-12.44 2.496-16.97 7.029l-5.654 5.656l-20.12-20.12c4.596-23.46-2.652-47.9-19.47-64.73l-45.25-45.25C390.2 17.47 347.1 0 303.1 0C258.2 0 216 17.47 184.3 49.21L176.5 57.05L272.5 105.1v13.81c0 18.95 7.688 37.5 21.09 50.91l49.16 49.14c13.44 13.45 31.39 20.86 50.54 20.86c4.758 0 9.512-.4648 14.18-1.387l20.12 20.12l-5.654 5.654c-9.357 9.357-9.357 24.58-.002 33.94l22.62 22.62c4.535 4.533 10.56 7.031 16.97 7.031s12.44-2.498 16.97-7.031l90.53-90.5C578.3 220.8 578.3 205.6 568.1 196.3zM270.9 192.4c-3.846-3.846-7.197-8.113-10.37-12.49l-239.5 209.2c-28.12 28.12-28.16 73.72-.0371 101.8C35.12 505 53.56 512 71.1 512s36.84-7.031 50.91-21.09l209.1-239.4c-4.141-3.061-8.184-6.289-11.89-9.996L270.9 192.4z"],
    "hammer-crash": [640, 512, [], "e414", "M74.73 137.1L297.4 266.5c15.33 8.832 34.88 3.584 43.71-11.71l48-83.13c8.832-15.3 3.615-34.88-11.71-43.71l-55.42-32l-83.14-48L218.6 36.28c-4.863-2.816-10.37-4.289-16-4.289H115.3c-11.84 0-22.72 6.561-28.29 17.03L62.48 95.29C54.41 110.5 59.82 129.4 74.73 137.1zM629.1 208.8L531.2 176.3l46.18-92.19c3.104-6.176 1.887-13.6-2.977-18.5C569.5 60.72 562.1 59.51 555.9 62.61l-92.19 46.18l-32.54-97.86c-2.143-6.529-8.287-10.95-15.17-10.95c-6.879 0-13.02 4.416-15.17 10.95l-26.14 78.53L393.4 100.3c30.62 17.66 41.12 56.8 23.42 87.42l-48 83.13C352.4 299.3 317.3 310.4 287.9 297.5l-33.25 66.37c-3.105 6.176-1.889 13.6 2.975 18.5c4.896 4.863 12.32 6.08 18.5 2.977l92.19-46.18l32.54 97.86c2.145 6.527 8.289 10.94 15.17 10.94c6.881 0 13.03-4.416 15.17-10.94l32.54-97.86l92.19 46.18c6.176 3.104 13.6 1.887 18.5-2.977c4.863-4.896 6.08-12.32 2.977-18.5l-46.18-92.19l97.86-32.54c6.527-2.143 10.94-8.287 10.94-15.17C640 217.1 635.6 210.1 629.1 208.8zM6.763 439.5c-13.57 22.79-6.08 52.22 16.74 65.76c22.79 13.57 52.22 6.08 65.76-16.74l135.1-227.2l-83.14-48L6.763 439.5z"],
    "hammer-war": [384, 512, [], "f6e4", "M346.8 32.5l-122.8 20.4V16c0-8.875-7.125-16-16-16h-32c-8.875 0-16 7.125-16 16v36.9L37.25 32.5C17.75 29.25 .0001 44.25 .0001 64v192c0 19.75 17.75 34.75 37.25 31.5l154.8-25.75l154.8 25.75C366.3 290.8 384 275.8 384 256V64C384 44.25 366.3 29.25 346.8 32.5zM160 299.5L160 496c0 8.875 7.125 16 16 16h32c8.875 0 16-7.125 16-16L224 299.5l-32-5.25L160 299.5z"],
    "hamsa": [512, 512, [], "f665", "M509.4 307.2C504.3 295.5 492.8 288 480 288h-64l.0001-208c0-21.1-18-40-40-40c-22 0-40 18-40 40l-.0001 134C336 219.5 331.5 224 326 224h-20c-5.5 0-10-4.5-10-9.1V40c0-21.1-17.1-40-39.1-40S215.1 18 215.1 40v174C215.1 219.5 211.5 224 205.1 224H185.1C180.5 224 175.1 219.5 175.1 214L175.1 80c0-21.1-18-40-40-40S95.1 58 95.1 80L95.1 288H31.99C19.24 288 7.743 295.5 2.618 307.2C-2.382 318.9-.1322 332.5 8.618 341.9l102.6 110C146.1 490.1 199.8 512 256 512s108.1-21.88 144.8-60.13l102.6-110C512.1 332.5 514.4 318.9 509.4 307.2zM256 416c-53 0-96.01-64-96.01-64s43-64 96.01-64s96.01 64 96.01 64S309 416 256 416zM256 320c-17.63 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S273.6 320 256 320z"],
    "hand": [512, 512, [129306, 9995, "hand-paper"], "f256", "M480 128v208c0 97.05-78.95 176-176 176h-37.72c-53.42 0-103.7-20.8-141.4-58.58l-113.1-113.1C3.906 332.5 0 322.2 0 312C0 290.7 17.15 272 40 272c10.23 0 20.47 3.906 28.28 11.72L128 343.4V64c0-17.67 14.33-32 32-32s32 14.33 32 32l.0729 176C192.1 248.8 199.2 256 208 256s16.07-7.164 16.07-16L224 32c0-17.67 14.33-32 32-32s32 14.33 32 32l.0484 208c0 8.836 7.111 16 15.95 16S320 248.8 320 240L320 64c0-17.67 14.33-32 32-32s32 14.33 32 32l.0729 176c0 8.836 7.091 16 15.93 16S416 248.8 416 240V128c0-17.67 14.33-32 32-32S480 110.3 480 128z"],
    "hand-back-fist": [448, 512, ["hand-rock"], "f255", "M448 144v120.4C448 314.2 422.6 358.1 384 384v128H128v-128l-53.19-38.67C48 325.8 32 294.3 32 261.2V192c0-14.58 6.625-28.38 17.1-37.48L80 130.5V176C80 184.8 87.16 192 96 192s16-7.164 16-16v-128C112 21.48 133.5 0 160 0c25.38 0 45.96 19.77 47.67 44.73C216.2 36.9 227.5 32 240 32C266.5 32 288 53.48 288 80v5.531C296.6 72.57 311.3 64 328 64c23.47 0 42.94 16.87 47.11 39.14C382.4 98.7 390.9 96 400 96C426.5 96 448 117.5 448 144z"],
    "hand-back-point-down": [448, 512, [], "e19e", "M384 272c-9.148 0-17.62-2.697-24.89-7.143C354.9 287.1 335.5 304 312 304c-17.38 0-32.46-9.33-40.89-23.17C266.1 303.1 247.5 320 224 320c-12.35 0-23.49-4.797-32-12.46V472C192 494.1 174.1 512 152 512S112 494.1 112 472L111.1 176c0-8.836-7.17-15.1-16.01-15.1c-8.838 0-16 7.164-16 16v45.47L50 197.5C38.63 188.4 32 174.6 32 160V112c0-10.38 3.375-20.48 9.594-28.8L60.78 57.61C87.84 21.53 130.9 0 176 0L288 0c3.318 0 6.557 .3379 9.686 .9785C372.5 6.064 432 67.91 432 144V224C432 250.5 410.5 272 384 272z"],
    "hand-back-point-left": [512, 512, [], "e19f", "M240 416c0-9.148 2.697-17.62 7.143-24.89C224.9 386.9 208 367.5 208 344c0-17.38 9.33-32.46 23.17-40.89C208.9 298.1 192 279.5 192 256c0-12.35 4.797-23.49 12.46-32H40C17.91 224 0 206.1 0 184S17.91 144 40 144l295.1-.0059c8.836 0 15.1-7.17 15.1-16.01c0-8.838-7.164-16-16-16h-45.47L314.5 82C323.6 70.63 337.4 64 352 64h48c10.38 0 20.48 3.375 28.8 9.594l25.59 19.19C490.5 119.8 512 162.9 512 208V320c0 3.318-.3379 6.557-.9785 9.686C505.9 404.5 444.1 464 368 464H288C261.5 464 240 442.5 240 416z"],
    "hand-back-point-ribbon": [448, 512, [], "e1a0", "M33.21 134.1C35.68 140.1 41.53 144 47.1 144H192C200.8 144 208 136.8 208 128V64c0-8.844-7.156-16-16-16V40C192 17.91 174.1 0 152 0S112 17.91 112 40V48H47.1c-6.469 0-12.31 3.891-14.78 9.875S32.12 70.73 36.68 75.31L57.37 96L36.68 116.7C32.12 121.3 30.75 128.1 33.21 134.1zM384 240c-9.148 0-17.62 2.697-24.89 7.143C354.9 224.9 335.5 208 312 208c-17.38 0-32.46 9.33-40.89 23.17C266.1 208.9 247.5 192 224 192C211.7 192 200.5 196.8 192 204.5L192 176H112l-.006 159.1c0 8.836-7.17 15.1-16.01 15.1c-8.838 0-16-7.164-16-16V290.5l-29.99 23.99C38.63 323.6 32 337.4 32 352v48c0 10.38 3.375 20.48 9.594 28.8l19.19 25.59C87.84 490.5 130.9 512 176 512H288c3.318 0 6.557-.3379 9.686-.9785C372.5 505.9 432 444.1 432 368V288C432 261.5 410.5 240 384 240z"],
    "hand-back-point-right": [512, 512, [], "e1a1", "M224 464H144c-76.09 0-137.9-59.49-143-134.3C.3379 326.6 0 323.3 0 320V208c0-45.09 21.53-88.16 57.61-115.2l25.59-19.19C91.52 67.38 101.6 64 112 64H160c14.58 0 28.38 6.625 37.48 18l23.99 29.99H176c-8.836 0-16 7.162-16 16c0 8.836 7.161 16.01 15.1 16.01L472 144C494.1 144 512 161.9 512 184S494.1 224 472 224h-164.5C315.2 232.5 320 243.7 320 256c0 23.48-16.88 42.96-39.17 47.11C294.7 311.5 304 326.6 304 344c0 23.47-16.87 42.94-39.14 47.11C269.3 398.4 272 406.9 272 416C272 442.5 250.5 464 224 464z"],
    "hand-back-point-up": [448, 512, [], "e1a2", "M432 288v80c0 76.09-59.49 137.9-134.3 143C294.6 511.7 291.3 512 288 512H176c-45.09 0-88.16-21.53-115.2-57.61l-19.19-25.59C35.38 420.5 32 410.4 32 400V352c0-14.58 6.625-28.38 17.1-37.48l29.99-23.99v45.47c0 8.836 7.162 16 16 16c8.836 0 16.01-7.161 16.01-15.1L112 40C112 17.91 129.9 0 152 0S192 17.91 192 40v164.5C200.5 196.8 211.7 192 224 192c23.48 0 42.96 16.88 47.11 39.17C279.5 217.3 294.6 208 312 208c23.47 0 42.94 16.87 47.11 39.14C366.4 242.7 374.9 240 384 240C410.5 240 432 261.5 432 288z"],
    "hand-dots": [512, 512, ["allergies"], "f461", "M448 96c-17.67 0-32 14.33-32 32v112C416 248.8 408.8 256 400 256s-15.93-7.164-15.93-16L384 64c0-17.67-14.33-32-32-32s-32 14.33-32 32l.0498 176c0 8.836-7.219 16-16.06 16s-15.95-7.164-15.95-16L288 32c0-17.67-14.33-32-32-32S224 14.33 224 32l.0729 208C224.1 248.8 216.8 256 208 256S192.1 248.8 192.1 240L192 64c0-17.67-14.33-32-32-32S128 46.33 128 64v279.4L68.28 283.7C60.47 275.9 50.23 272 40 272C18.68 272 0 289.2 0 312c0 10.23 3.906 20.47 11.72 28.28l113.1 113.1C162.6 491.2 212.9 512 266.3 512H304c97.05 0 176-78.95 176-176V128C480 110.3 465.7 96 448 96zM192 416c-8.836 0-16-7.164-16-16C176 391.2 183.2 384 192 384s16 7.162 16 16C208 408.8 200.8 416 192 416zM256 448c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16s16 7.162 16 16C272 440.8 264.8 448 256 448zM256 352c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16s16 7.162 16 16C272 344.8 264.8 352 256 352zM320 384c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16s16 7.162 16 16C336 376.8 328.8 384 320 384zM352 448c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16s16 7.162 16 16C368 440.8 360.8 448 352 448zM384 352c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16s16 7.162 16 16C400 344.8 392.8 352 384 352z"],
    "hand-fingers-crossed": [512, 512, [], "e1a3", "M241.9 268.7c9.339 9.142 13.55 17.79 14.09 18.85V224c0-2.156 .4258-4.191 .6347-6.293L245.7 195.8L217.2 252.7C218.6 253.2 231.3 258.5 241.9 268.7zM138.3 124.2l35.78-71.56l-17.48-34.97C151 6.496 139.7 .0036 127.1 .0036c-16.97 0-31.97 13.66-31.97 32.03c0 4.81 1.089 9.694 3.387 14.29L138.3 124.2zM416 224c-17.69 0-31.1 14.33-31.1 31.1v63.1c0 17.67 14.31 31.1 31.1 31.1S448 337.7 448 320V255.1C448 238.3 433.7 224 416 224zM320 351.1c17.69 0 32-14.29 32-31.96V224c0-17.67-14.31-31.1-31.1-31.1c-17.69 0-31.1 14.33-31.1 31.1v95.1C288 337.7 302.3 351.1 320 351.1zM176 249.8C178.5 249.2 180.9 249.2 183.3 248.9l101.3-202.6c2.298-4.596 3.387-9.48 3.387-14.29C288 14.43 273.7 0 256.1 0C244.3 0 233 6.496 227.4 17.7L103 266.5L176 249.8zM368 361.9c-11.73 13.42-28.77 22.07-47.1 22.07c-27.49 0-50.74-17.43-59.8-41.76c-11.4 34.84-41.93 45.62-52.2 47.97l-50.18 11.45C156.6 401.9 155.4 402.1 154.3 402.1c-5.369 0-10.48-2.711-13.47-7.365c-1.739-2.712-2.542-5.686-2.542-8.602c0-7.117 4.788-13.88 12.45-15.63l48.05-10.96c18.97-4.326 33.22-21.03 33.22-39.85c0-19.75-16.08-39.64-39.95-39.64c-2.943 0-5.937 .3236-8.937 .998L64.34 308.1C41.42 313.3 32 331.9 32 347.4c0 5.581 1.167 11.17 3.508 16.38l22.09 49.11C84.66 473.1 144.8 512 210.8 512h61.19c82.54 0 151.8-57.21 170.7-134c-8.156 3.769-17.15 6.015-26.73 6.015C396.8 384 379.7 375.4 368 361.9z"],
    "hand-fist": [448, 512, [9994, "fist-raised"], "f6de", "M224 180.4V32c0-17.67-14.31-32-32-32S160 14.33 160 32v144h40C208.5 176 216.5 177.7 224 180.4zM128 176V64c0-17.67-14.31-32-32-32S64 46.33 64 64v112.8C66.66 176.5 69.26 176 72 176H128zM288 192c17.69 0 32-14.33 32-32V64c0-17.67-14.31-32-32-32s-32 14.33-32 32v96C256 177.7 270.3 192 288 192zM384 96c-17.69 0-32 14.33-32 32v64c0 17.67 14.31 32 32 32s32-14.34 32-32.02V128C416 110.3 401.7 96 384 96zM350.9 246.2c-12.43-7.648-21.94-19.31-26.88-33.25C313.7 219.9 301.3 223.9 288 223.9c-7.641 0-14.87-1.502-21.66-3.957C269.1 228.6 272 238.1 272 248c0 39.77-32.25 72-72 72H128c-8.836 0-16-7.164-16-16C112 295.2 119.2 288 128 288h72c22.09 0 40-17.91 40-40S222.1 208 200 208h-128C49.91 208 32 225.9 32 248v63.41c0 33.13 16 64.56 42.81 84.13L128 434.2V512h224v-85.09c38.3-24.09 64-66.42 64-114.9V247.1C406.6 252.6 395.7 256 384 256C371.7 256 360.5 252.2 350.9 246.2z"],
    "hand-heart": [512, 512, [], "f4bc", "M448 96c-17.67 0-32 14.33-32 32v112C416 248.8 408.8 256 400 256s-15.93-7.164-15.93-16L384 64c0-17.67-14.33-32-32-32s-32 14.33-32 32l.0498 176c0 8.836-7.219 16-16.06 16s-15.95-7.164-15.95-16L288 32c0-17.67-14.33-32-32-32S224 14.33 224 32l.0729 208C224.1 248.8 216.8 256 208 256S192.1 248.8 192.1 240L192 64c0-17.67-14.33-32-32-32S128 46.33 128 64v279.4L68.28 283.7C60.47 275.9 50.23 272 40 272C18.68 272 0 289.2 0 312c0 10.23 3.906 20.47 11.72 28.28l113.1 113.1C162.6 491.2 212.9 512 266.3 512H304c97.05 0 176-78.95 176-176V128C480 110.3 465.7 96 448 96zM383.1 359.8c0 10.27-4.155 20.54-12.47 28.38l-60.47 57.08c-1.953 1.846-4.517 2.769-7.08 2.769s-5.127-.9229-7.08-2.769l-60.47-57.08c-8.291-7.836-12.44-18.1-12.44-28.37c0-12.94 10.61-39.78 41.74-39.78c11.65 0 23.39 4.401 32.1 12.64l6.158 5.799l6.16-5.799c8.729-8.238 20.47-12.64 32.11-12.64C373.6 319.1 383.1 346.8 383.1 359.8z"],
    "hand-holding": [576, 512, [], "f4bd", "M559.7 392.2l-135.1 99.51C406.9 504.8 385 512 362.1 512H15.1c-8.749 0-15.1-7.246-15.1-15.99l0-95.99c0-8.748 7.25-16.02 15.1-16.02l55.37 .0238l46.5-37.74c20.1-16.1 47.12-26.25 74.12-26.25h159.1c19.5 0 34.87 17.37 31.62 37.37c-2.625 15.75-17.37 26.62-33.37 26.62H271.1c-8.749 0-15.1 7.249-15.1 15.1s7.25 15.1 15.1 15.1h120.6l119.7-88.17c17.8-13.19 42.81-9.342 55.93 8.467C581.3 354.1 577.5 379.1 559.7 392.2z"],
    "hand-holding-box": [576, 512, [], "f47b", "M127.1 256h320c17.6 0 32-14.4 32-32V32c0-17.6-14.4-32-32-32h-95.1l0 128l-64-32L223.1 128l0-128h-96C110.4 0 95.97 14.4 95.97 32v192C95.97 241.6 110.4 256 127.1 256zM568.2 336.3c-13.12-17.81-38.14-21.66-55.93-8.469l-119.7 88.17h-120.6c-8.748 0-15.1-7.25-15.1-15.1s7.25-15.1 15.1-15.1h78.25c15.1 0 30.75-10.88 33.37-26.62c3.25-19.1-12.12-37.37-31.62-37.37H191.1c-26.1 0-53.12 9.25-74.12 26.25l-46.5 37.74L15.1 383.1c-8.748 0-15.1 7.274-15.1 16.02L.0001 496C.0001 504.8 7.251 512 15.1 512h346.1c22.03 0 43.92-7.188 61.7-20.28l135.1-99.52C577.5 379.1 581.3 354.1 568.2 336.3z"],
    "hand-holding-dollar": [576, 512, ["hand-holding-usd"], "f4c0", "M568.2 336.3c-13.12-17.81-38.14-21.66-55.93-8.469l-119.7 88.17h-120.6c-8.748 0-15.1-7.25-15.1-15.99c0-8.75 7.25-16 15.1-16h78.25c15.1 0 30.75-10.88 33.37-26.62c3.25-20-12.12-37.38-31.62-37.38H191.1c-26.1 0-53.12 9.25-74.12 26.25l-46.5 37.74L15.1 383.1C7.251 383.1 0 391.3 0 400v95.98C0 504.8 7.251 512 15.1 512h346.1c22.03 0 43.92-7.188 61.7-20.27l135.1-99.52C577.5 379.1 581.3 354.1 568.2 336.3zM279.3 175C271.7 173.9 261.7 170.3 252.9 167.1L248 165.4C235.5 160.1 221.8 167.5 217.4 179.1s2.121 26.2 14.59 30.64l4.655 1.656c8.486 3.061 17.88 6.095 27.39 8.312V232c0 13.25 10.73 24 23.98 24s24-10.75 24-24V221.6c25.27-5.723 42.88-21.85 46.1-45.72c8.688-50.05-38.89-63.66-64.42-70.95L288.4 103.1C262.1 95.64 263.6 92.42 264.3 88.31c1.156-6.766 15.3-10.06 32.21-7.391c4.938 .7813 11.37 2.547 19.65 5.422c12.53 4.281 26.21-2.312 30.52-14.84s-2.309-26.19-14.84-30.53c-7.602-2.627-13.92-4.358-19.82-5.721V24c0-13.25-10.75-24-24-24s-23.98 10.75-23.98 24v10.52C238.8 40.23 221.1 56.25 216.1 80.13C208.4 129.6 256.7 143.8 274.9 149.2l6.498 1.875c31.66 9.062 31.15 11.89 30.34 16.64C310.6 174.5 296.5 177.8 279.3 175z"],
    "hand-holding-droplet": [576, 512, ["hand-holding-water"], "f4c1", "M287.1 256c53 0 95.1-42.13 95.1-93.1c0-40-57.12-120.8-83.25-155.6c-6.375-8.5-19.12-8.5-25.5 0C249.1 41.25 191.1 122 191.1 162C191.1 213.9 234.1 256 287.1 256zM568.2 336.3c-13.12-17.81-38.14-21.66-55.93-8.469l-119.7 88.17h-120.6c-8.748 0-15.1-7.25-15.1-15.99c0-8.75 7.25-16 15.1-16h78.25c15.1 0 30.75-10.88 33.37-26.62c3.25-20-12.12-37.38-31.62-37.38H191.1c-26.1 0-53.12 9.25-74.12 26.25l-46.5 37.74L15.1 383.1c-8.748 0-15.1 7.274-15.1 16.02L.0001 496C.0001 504.8 7.251 512 15.1 512h346.1c22.03 0 43.92-7.188 61.7-20.27l135.1-99.52C577.5 379.1 581.3 354.1 568.2 336.3z"],
    "hand-holding-hand": [512, 512, [], "e4f7", "M328.7 52.28L431.7 119.8C449.5 132.9 453.3 157.9 440.2 175.7C427.1 193.5 402.1 197.3 384.3 184.2L296.6 127.1H191.1C183.2 127.1 175.1 135.2 175.1 143.1C175.1 152.7 183.2 159.1 191.1 159.1H254.2C270.2 159.1 284.1 170.9 287.6 186.6C290.8 206.6 275.5 223.1 255.1 223.1H143.1C116.1 223.1 90.87 214.7 69.87 197.7L23.37 159.1L15.1 160C7.25 160 0 152.7 0 143.1V47.99C0 39.25 7.25 32 15.1 32H266.1C289 32 310.9 39.19 328.7 52.28L328.7 52.28zM151.3 459.7L16.27 360.2C-1.509 347.1-5.305 322.1 7.803 304.3C20.93 286.5 45.94 282.7 63.74 295.8L183.4 384H304C312.8 384 320 376.8 320 368C320 359.3 312.8 352 304 352H225.8C209.8 352 195 341.1 192.4 325.4C189.2 305.4 204.5 288 224 288H352C379 288 405.1 297.3 426.1 314.3L472.6 352L496 352C504.7 352 512 359.3 512 368V464C512 472.8 504.7 480 496 480H213C190.1 480 169.1 472.8 151.3 459.7V459.7z"],
    "hand-holding-heart": [576, 512, [], "f4be", "M275.2 250.5c7 7.375 18.5 7.375 25.5 0l108.1-114.2c31.5-33.12 29.72-88.1-5.65-118.7c-30.88-26.75-76.75-21.9-104.9 7.724L287.1 36.91L276.8 25.28C248.7-4.345 202.7-9.194 171.1 17.56C136.7 48.18 134.7 103.2 166.4 136.3L275.2 250.5zM568.2 336.3c-13.12-17.81-38.14-21.66-55.93-8.469l-119.7 88.17h-120.6c-8.748 0-15.1-7.25-15.1-15.1c0-8.746 7.25-15.1 15.1-15.1h78.25c15.1 0 30.75-10.87 33.37-26.62c3.25-19.1-12.12-37.37-31.62-37.37H191.1c-26.1 0-53.12 9.25-74.12 26.25l-46.5 37.74l-55.37-.0253c-8.748 0-15.1 7.275-15.1 16.02L.0001 496C.0001 504.8 7.251 512 15.1 512h346.1c22.03 0 43.92-7.187 61.7-20.28l135.1-99.51C577.5 379.1 581.3 354.1 568.2 336.3z"],
    "hand-holding-magic": [576, 512, [], "f6e5", "M224 224c53 0 96-43 96-96c0 0-32 32-96 32C206.3 160 192 142.5 192 128L192 96c0-17.62 14.38-32 32-32h128c17.62 0 32 14.38 32 32l0 32c0 34.25-17.5 66.5-42.13 90.75L288 272l17.75-1c77.13-4.375 141.6-65.25 142.3-141.5L447.1 96c0-53-42.1-96-95.1-96H223.1c-53 0-95.1 43-95.1 96l.001 32C128 179.1 172.9 224 224 224zM568.2 336.3c-13.12-17.81-38.14-21.66-55.93-8.469l-119.7 88.17h-120.6c-8.748 0-15.1-7.25-15.1-15.99c0-8.75 7.25-16 15.1-16h78.25c15.1 0 30.75-10.88 33.37-26.62c3.25-20-12.12-37.38-31.62-37.38H191.1c-26.1 0-53.12 9.25-74.12 26.25l-46.5 37.74L15.1 383.1c-8.748 0-15.1 7.274-15.1 16.02L.0001 496C.0001 504.8 7.251 512 15.1 512h346.1c22.03 0 43.92-7.188 61.7-20.27l135.1-99.52C577.5 379.1 581.3 354.1 568.2 336.3z"],
    "hand-holding-medical": [576, 512, [], "e05c", "M568.2 336.3c-13.12-17.81-38.14-21.66-55.93-8.469l-119.7 88.17h-120.6c-8.748 0-15.1-7.25-15.1-15.99c0-8.75 7.25-16 15.1-16h78.25c15.1 0 30.75-10.88 33.37-26.62c3.25-20-12.12-37.38-31.62-37.38H191.1c-26.1 0-53.12 9.25-74.12 26.25l-46.5 37.74L15.1 383.1C7.251 383.1 0 391.3 0 400v95.98C0 504.8 7.251 512 15.1 512h346.1c22.03 0 43.92-7.188 61.7-20.27l135.1-99.52C577.5 379.1 581.3 354.1 568.2 336.3zM160 176h64v64C224 248.8 231.2 256 240 256h64C312.8 256 320 248.8 320 240v-64h64c8.836 0 16-7.164 16-16V96c0-8.838-7.164-16-16-16h-64v-64C320 7.162 312.8 0 304 0h-64C231.2 0 224 7.162 224 16v64H160C151.2 80 144 87.16 144 96v64C144 168.8 151.2 176 160 176z"],
    "hand-holding-seedling": [576, 512, [], "f4bf", "M479.1 0h-64c-40.75 0-77.52 15.75-105.8 40.75c25.38 32 40.88 72.25 41.5 116C424.8 142 479.1 77.5 479.1 0zM255.1 160v96C255.1 273.6 270.4 288 287.1 288s32-14.4 32-31.1L319.1 160c0-88.37-71.63-160-160-160H95.97C95.97 88.38 167.6 160 255.1 160zM568.2 336.3c-13.12-17.81-38.14-21.66-55.93-8.469l-119.7 88.17h-120.6c-8.748 0-15.1-7.25-15.1-15.99c0-8.75 7.25-16 15.1-16h78.25c15.1 0 30.75-10.88 33.37-26.62c3.25-20-12.12-37.38-31.62-37.38H191.1c-26.1 0-53.12 9.25-74.12 26.25l-46.5 37.74L15.1 383.1c-8.748 0-15.1 7.274-15.1 16.02L.0001 496C.0001 504.8 7.251 512 15.1 512h346.1c22.03 0 43.92-7.188 61.7-20.27l135.1-99.52C577.5 379.1 581.3 354.1 568.2 336.3z"],
    "hand-holding-skull": [576, 512, [], "e1a4", "M568.2 336.3c-13.12-17.81-38.14-21.66-55.93-8.469l-119.7 88.17h-120.6c-8.748 0-15.1-7.25-15.1-15.99c0-8.75 7.25-16 15.1-16h78.25c15.1 0 30.75-10.88 33.37-26.62c3.25-20-12.12-37.38-31.62-37.38H191.1c-26.1 0-53.12 9.25-74.12 26.25l-46.5 37.74L15.1 383.1C7.251 383.1 0 391.3 0 400v95.98C0 504.8 7.251 512 15.1 512h346.1c22.03 0 43.92-7.188 61.7-20.27l135.1-99.52C577.5 379.1 581.3 354.1 568.2 336.3zM213.1 237.3l-5.5 25.88C205.9 275.8 213.1 288 224.1 288h126c11.13 0 19.13-12.25 16.5-24.88l-5.501-25.88c41.76-22.38 70-62.75 70-109.3C432 57.25 367.5 0 288 0C208.5 0 143.1 57.25 143.1 127.1C143.1 174.5 172.2 214.9 213.1 237.3zM344 112c17.63 0 32 14.38 32 32c0 17.62-14.38 32-32 32c-17.63 0-32.01-14.38-32.01-32C312 126.4 326.4 112 344 112zM231.1 112c17.63 0 32 14.38 32 32c0 17.62-14.38 32-32 32c-17.63 0-32.01-14.38-32.01-32C199.1 126.4 214.4 112 231.1 112z"],
    "hand-horns": [448, 512, [], "e1a9", "M288 320c17.69 0 32-14.33 32-32V224c0-17.67-14.31-32-32-32s-32 14.33-32 32v64C256 305.7 270.3 320 288 320zM224 287.5V192c0-17.67-14.31-32-32-32S160 174.3 160 192v56.14C186.1 248.2 211.8 263.5 224 287.5zM384 64c-17.69 0-32 14.33-32 32v192c0 35.34-28.66 64-64 64c-19.22 0-36.27-8.654-48-22.07c-3.291 3.764-7.084 7.033-11.14 9.961C221.8 364.2 202.4 384.2 176 390.2l-61.14 13.95L96.5 375.5L168.9 359c18.54-4.238 31.1-20.72 31.1-38.97c0-20.41-16.26-40.03-39.97-40.03c-2.946 0-5.942 .3236-8.947 .9981l-120 27.38c-29.22 6.679-31.1 34.69-31.1 39.01c0 5.581 1.167 11.17 3.508 16.38l22.09 49.11C52.66 473.1 112.8 512 178.8 512H240c97.03 0 176-78.95 176-176V96C416 78.33 401.7 64 384 64zM128 32c0-17.67-14.31-32-32-32S64 14.33 64 32v236l64-14.6V32z"],
    "hand-lizard": [512, 512, [], "f258", "M512 329.1V432c0 8.836-7.164 16-16 16H368c-8.836 0-16-7.164-16-16V416l-85.33-64H95.1c-16.47 0-31.44-13.44-31.96-29.9C62.87 285.8 91.96 256 127.1 256h104.9c13.77 0 26-8.811 30.36-21.88l10.67-32C280.9 181.4 265.4 160 243.6 160H63.1C27.95 160-1.129 130.2 .0352 93.9C.5625 77.44 15.53 64 31.1 64h271.2c26.26 0 50.84 12.88 65.79 34.47l128.8 185.1C507 297.8 512 313.7 512 329.1z"],
    "hand-love": [512, 512, [], "e1a5", "M448 64c-17.69 0-32 14.33-32 32v224c0 35.34-28.66 64-64 64c-19.22 0-36.27-8.654-48-22.07C292.3 375.3 275.2 384 256 384c-35.34 0-64-28.66-64-64V32c0-17.67-14.31-32-32-32S128 14.33 128 32l-.0004 304c0 2.646 .2797 5.213 .3969 7.832L68.28 283.7C60.47 275.9 50.23 272 40 272C17.2 272 0 290.6 0 311.1c0 10.24 3.906 20.47 11.72 28.29l122.5 122.5C165.9 494.5 208.1 512 253 512h50.89C400.9 512 480 432.1 480 335.9V96C480 78.33 465.7 64 448 64zM352 352c17.69 0 32-14.33 32-32V256c0-17.67-14.31-32-32-32s-32 14.33-32 32v64C320 337.7 334.3 352 352 352zM256 352c17.69 0 32-14.33 32-32V224c0-17.67-14.31-32-32-32S224 206.3 224 224v96C224 337.7 238.3 352 256 352z"],
    "hand-middle-finger": [448, 512, [128405], "f806", "M448 288v96c0 70.69-57.31 128-128 128H184c-50.35 0-97.76-23.7-127.1-63.98l-14.43-19.23C35.37 420.5 32 410.4 32 400v-48.02c0-14.58 6.629-28.37 18.02-37.48L80 290.5V336C80 344.8 87.16 352 96 352s16-7.164 16-16v-96C112 213.5 133.5 192 160 192s48 21.48 48 48V40C208 17.91 225.9 0 248 0S288 17.91 288 40v189.5C296.6 216.6 311.3 208 328 208c23.48 0 42.94 16.87 47.11 39.14C382.4 242.7 390.8 240 400 240C426.5 240 448 261.5 448 288z"],
    "hand-peace": [512, 512, [9996], "f25b", "M256 287.4V32c0-17.67-14.31-32-32-32S192 14.33 192 32v216.3C218.7 248.4 243.7 263.1 256 287.4zM170.8 251.2c2.514-.7734 5.043-1.027 7.57-1.516L93.41 51.39C88.21 39.25 76.34 31.97 63.97 31.97c-20.97 0-31.97 18.01-31.97 32.04c0 4.207 .8349 8.483 2.599 12.6l81.97 191.3L170.8 251.2zM416 224c-17.69 0-32 14.33-32 32v64c0 17.67 14.31 32 32 32s32-14.33 32-32V256C448 238.3 433.7 224 416 224zM320 352c17.69 0 32-14.33 32-32V224c0-17.67-14.31-32-32-32s-32 14.33-32 32v96C288 337.7 302.3 352 320 352zM368 361.9C356.3 375.3 339.2 384 320 384c-27.41 0-50.62-17.32-59.73-41.55c-7.059 21.41-23.9 39.23-47.08 46.36l-47.96 14.76c-1.562 .4807-3.147 .7105-4.707 .7105c-6.282 0-12.18-3.723-14.74-9.785c-.8595-2.038-1.264-4.145-1.264-6.213c0-6.79 4.361-13.16 11.3-15.3l46.45-14.29c17.2-5.293 29.76-20.98 29.76-38.63c0-34.19-32.54-40.07-40.02-40.07c-3.89 0-7.848 .5712-11.76 1.772l-104 32c-18.23 5.606-28.25 22.21-28.25 38.22c0 4.266 .6825 8.544 2.058 12.67L68.19 419C86.71 474.5 138.7 512 197.2 512H272c82.54 0 151.8-57.21 170.7-134C434.6 381.8 425.6 384 416 384C396.8 384 379.7 375.3 368 361.9z"],
    "hand-point-down": [448, 512, [], "f0a7", "M256 256v64c0 17.67 14.31 32 32 32s32-14.33 32-32V256c0-17.67-14.31-32-32-32S256 238.3 256 256zM200 272H160V352c0 17.67 14.31 32 32 32s32-14.33 32-32V267.6C216.5 270.3 208.5 272 200 272zM72 272C69.26 272 66.66 271.5 64 271.2V480c0 17.67 14.31 32 32 32s32-14.33 32-32V272H72zM416 288V224c0-17.67-14.31-32-32-32s-32 14.33-32 32v64c0 17.67 14.31 32 32 32S416 305.7 416 288zM384 160c11.72 0 22.55 3.381 32 8.879V136C416 60.89 355.1 0 280 0L191.3 0C162.5 0 134.5 9.107 111.2 26.02L74.81 52.47C48 72.03 32 103.5 32 136.6V200C32 222.1 49.91 240 72 240h128c22.09 0 39.1-17.91 39.1-39.1c0-28.73-26.72-40-42.28-40l-69.72 0C119.2 160 112 152.8 112 144S119.2 128 127.1 128H200c37.87 0 68.59 29.35 71.45 66.51C276.8 193.1 282.2 192 288 192c13.28 0 25.6 4.047 35.83 10.97C332.6 178 356.1 160 384 160z"],
    "hand-point-left": [512, 512, [], "f0a5", "M256 288H192c-17.67 0-32 14.31-32 32s14.33 32 32 32h64c17.67 0 32-14.31 32-32S273.7 288 256 288zM240 232V192H160C142.3 192 128 206.3 128 224s14.33 32 32 32h84.41C241.7 248.5 240 240.5 240 232zM240 104C240 101.3 240.5 98.66 240.8 96H32C14.33 96 0 110.3 0 128s14.33 32 32 32h208V104zM224 448h64c17.67 0 32-14.31 32-32s-14.33-32-32-32H224c-17.67 0-32 14.31-32 32S206.3 448 224 448zM352 416c0 11.72-3.381 22.55-8.879 32H376C451.1 448 512 387.1 512 312V223.3c0-28.76-9.107-56.79-26.02-80.06l-26.45-36.41C439.1 80 408.5 64 375.4 64H312c-22.09 0-40 17.91-40 40v128c0 22.09 17.91 39.1 39.1 39.1c28.73 0 40-26.72 40-42.28L352 159.1C352 151.2 359.2 144 368 144S384 151.2 384 159.1V232c0 37.87-29.35 68.59-66.51 71.45C318.9 308.8 320 314.2 320 320c0 13.28-4.047 25.6-10.97 35.83C333.1 364.6 352 388.1 352 416z"],
    "hand-point-ribbon": [448, 512, [], "e1a6", "M224 244.4V160c0-17.67-14.31-32-32-32S160 142.3 160 160v80h40C208.5 240 216.5 241.7 224 244.4zM144 112v-64C144 39.16 136.8 32 128 32c0-17.67-14.31-32-32-32S64 14.33 64 32H15.99C9.523 32 3.68 35.89 1.211 41.88S.1172 54.73 4.68 59.31L25.37 80L4.68 100.7C.1172 105.3-1.258 112.1 1.211 118.1S9.523 128 15.99 128H128C136.8 128 144 120.8 144 112zM288 288c17.69 0 32-14.33 32-32V192c0-17.67-14.31-32-32-32s-32 14.33-32 32v64C256 273.7 270.3 288 288 288zM323.8 309C313.6 315.1 301.3 320 288 320c-5.766 0-11.24-1.08-16.55-2.51C268.6 354.6 237.9 384 200 384H128c-8.836 0-16-7.164-16-16C112 359.2 119.2 352 128 352h69.72C213.2 352 240 340.7 240 312c0-22.09-17.91-40-40-40h-128C49.91 272 32 289.9 32 312v63.41c0 33.13 16 64.56 42.81 84.13l36.41 26.45C134.5 502.9 162.5 512 191.3 512H280c75.11 0 136-60.89 136-136v-32.88C406.6 348.6 395.7 352 384 352C356.1 352 332.6 333.1 323.8 309zM384 192c-17.69 0-32 14.33-32 32v64c0 17.67 14.31 32 32 32s32-14.33 32-32V224C416 206.3 401.7 192 384 192zM72 240H128V160H64v80.81C66.66 240.5 69.26 240 72 240z"],
    "hand-point-right": [512, 512, [], "f0a4", "M224 320c0 17.69 14.33 32 32 32h64c17.67 0 32-14.31 32-32s-14.33-32-32-32h-64C238.3 288 224 302.3 224 320zM267.6 256H352c17.67 0 32-14.31 32-32s-14.33-32-32-32h-80v40C272 240.5 270.3 248.5 267.6 256zM272 160H480c17.67 0 32-14.31 32-32s-14.33-32-32-32h-208.8C271.5 98.66 272 101.3 272 104V160zM320 416c0-17.69-14.33-32-32-32H224c-17.67 0-32 14.31-32 32s14.33 32 32 32h64C305.7 448 320 433.7 320 416zM202.1 355.8C196 345.6 192 333.3 192 320c0-5.766 1.08-11.24 2.51-16.55C157.4 300.6 128 269.9 128 232V159.1C128 151.2 135.2 144 143.1 144S160 151.2 159.1 159.1l0 69.72C159.1 245.2 171.3 271.1 200 271.1C222.1 271.1 240 254.1 240 232v-128C240 81.91 222.1 64 200 64H136.6C103.5 64 72.03 80 52.47 106.8L26.02 143.2C9.107 166.5 0 194.5 0 223.3V312C0 387.1 60.89 448 136 448h32.88C163.4 438.6 160 427.7 160 416C160 388.1 178 364.6 202.1 355.8z"],
    "hand-point-up": [448, 512, [9757], "f0a6", "M288 288c17.69 0 32-14.33 32-32V192c0-17.67-14.31-32-32-32s-32 14.33-32 32v64C256 273.7 270.3 288 288 288zM224 244.4V160c0-17.67-14.31-32-32-32S160 142.3 160 160v80h40C208.5 240 216.5 241.7 224 244.4zM128 240V32c0-17.67-14.31-32-32-32S64 14.33 64 32v208.8C66.66 240.5 69.26 240 72 240H128zM384 192c-17.69 0-32 14.33-32 32v64c0 17.67 14.31 32 32 32s32-14.33 32-32V224C416 206.3 401.7 192 384 192zM323.8 309C313.6 315.1 301.3 320 288 320c-5.766 0-11.24-1.08-16.55-2.51C268.6 354.6 237.9 384 200 384H127.1C119.2 384 112 376.8 112 368S119.2 352 127.1 352l69.72 .0001c15.52 0 42.28-11.29 42.28-40C239.1 289.9 222.1 272 200 272h-128C49.91 272 32 289.9 32 312v63.41c0 33.13 16 64.56 42.81 84.13l36.41 26.45C134.5 502.9 162.5 512 191.3 512H280c75.11 0 136-60.89 136-136v-32.88C406.6 348.6 395.7 352 384 352C356.1 352 332.6 333.1 323.8 309z"],
    "hand-pointer": [448, 512, [], "f25a", "M400 224c-9.148 0-17.62 2.697-24.89 7.143C370.9 208.9 351.5 192 328 192c-17.38 0-32.46 9.33-40.89 23.17C282.1 192.9 263.5 176 240 176c-12.35 0-23.49 4.797-32 12.46V40c0-22.09-17.9-40-39.1-40C145.9 0 128 17.91 128 40v322.7L72 288C64.15 277.5 52.13 272 39.97 272c-21.22 0-39.97 17.06-39.97 40.02c0 8.356 2.608 16.78 8.005 23.98l91.22 121.6C124.8 491.7 165.5 512 208 512h96C383.4 512 448 447.4 448 368v-96C448 245.5 426.5 224 400 224zM240 400c0 8.844-7.156 16-16 16s-16-7.156-16-16v-96C208 295.2 215.2 288 224 288s16 7.156 16 16V400zM304 400c0 8.844-7.156 16-16 16s-16-7.156-16-16v-96C272 295.2 279.2 288 288 288s16 7.156 16 16V400zM368 400c0 8.844-7.156 16-16 16s-16-7.156-16-16v-96C336 295.2 343.2 288 352 288s16 7.156 16 16V400z"],
    "hand-scissors": [512, 512, [], "f257", "M512 192v111.1C512 383.4 447.4 448 368 448H288c-26.52 0-48-21.48-48-47.99c0-9.152 2.697-17.61 7.139-24.89C224.9 370.1 208 351.5 208 328c0-16.72 8.561-31.4 21.52-39.1H40c-22.09 0-40-17.9-40-39.99s17.91-39.1 40-39.1h229.5L60 142.2C42.93 136.8 31.99 121.1 31.99 104c0-3.973 .5967-8.014 1.851-12.01c5.35-17.07 21.08-28.04 38.06-28.04c4 0 8.071 .6085 12.09 1.889l279.2 87.22C364.8 153.6 366.4 153.8 368 153.8c6.812 0 13.12-4.375 15.27-11.23c.4978-1.588 .7346-3.195 .7346-4.777c0-6.807-4.388-13.12-11.23-15.25l-72.54-22.67l14.29-17.85C323.6 70.67 337.4 64.04 352 64.04h48c10.39 0 20.48 3.359 28.8 9.592l38.41 28.79c25.2 18.91 40.53 47.97 43.55 79.04C511.5 184.9 512 188.4 512 192z"],
    "hand-sparkles": [640, 512, [], "e05d", "M448 432c0-14.25 8.547-28.14 21.28-34.55l39.56-16.56l15.64-37.52c4.461-9.037 11.45-15.37 19.43-19.23L544 128c0-17.67-14.33-32-32-32s-32 14.33-32 32l-.0156 112c0 8.836-7.148 16-15.98 16s-16.07-7.164-16.07-16L448 64c0-17.67-14.33-32-32-32s-32 14.33-32 32l-.0635 176c0 8.836-7.106 16-15.94 16S351.9 248.8 351.9 240L352 32c0-17.67-14.33-32-32-32S288 14.33 288 32L287.9 240C287.9 248.8 280.8 256 272 256S255.9 248.8 255.9 240L256 64c0-17.67-14.33-32-32-32S192 46.33 192 64v279.4L132.3 283.7C124.5 275.9 114.2 272 104 272C82.68 272 64 289.2 64 312c0 10.23 3.906 20.47 11.72 28.28l113.1 113.1C226.6 491.2 276.9 512 330.3 512H368c42.72 0 81.91-15.32 112.4-40.73l-9.049-3.773C456.6 460.1 448 446.3 448 432zM349.8 371.6L320 383.1l-12.42 29.78C306.1 415 305.4 416 304 416s-2.969-.9941-3.578-2.219L288 383.1l-29.79-12.42C256.1 370.1 256 369.4 256 367.1c0-1.365 .9922-2.967 2.209-3.577L288 352l12.42-29.79C301 320.1 302.6 320 304 320s2.967 .9902 3.578 2.217L320 352l29.79 12.42C351 365 352 366.6 352 367.1C352 369.4 351 370.1 349.8 371.6zM80 224c2.277 0 4.943-1.656 5.959-3.699l20.7-49.63l49.65-20.71c2.027-1.014 3.682-3.696 3.686-5.958C159.1 141.7 158.3 139.1 156.3 138L106.7 117.4L85.96 67.7C84.94 65.65 82.28 64 80 64C77.72 64 75.05 65.65 74.04 67.7L53.34 117.3L3.695 138C1.668 139.1 .0117 141.7 .0078 143.1c.0039 2.262 1.662 4.953 3.688 5.967l49.57 20.67l20.77 49.67C75.05 222.3 77.72 224 80 224zM639.1 432c-.0039-2.275-1.657-4.952-3.687-5.968l-49.57-20.67l-20.77-49.67C564.9 353.7 562.3 352 560 352c-2.281 0-4.959 1.652-5.975 3.695l-20.7 49.63l-49.64 20.71c-2.027 1.016-3.682 3.683-3.686 5.958c.0039 2.262 1.661 4.954 3.686 5.968l49.57 20.67l20.77 49.67C555.1 510.3 557.7 512 560 512c2.277 0 4.933-1.656 5.949-3.699l20.7-49.63l49.65-20.71C638.3 436.9 639.1 434.3 639.1 432z"],
    "hand-spock": [576, 512, [128406], "f259", "M543.6 128.6c0-8.999-6.115-32.58-31.68-32.58c-14.1 0-27.02 9.324-30.92 23.56l-34.36 125.1c-1.682 6.16-7.275 10.43-13.66 10.43c-7.981 0-14.16-6.518-14.16-14.13c0-.9844 .1034-1.987 .3197-2.996l35.71-166.6c.5233-2.442 .7779-4.911 .7779-7.362c0-13.89-9.695-32.86-31.7-32.86c-14.79 0-28.12 10.26-31.34 25.29l-37.77 176.2c-2.807 13.1-14.38 22.46-27.77 22.46c-13.04 0-24.4-8.871-27.56-21.52l-52.11-208.5C243.6 11.2 230.5-.0013 215.6-.0013c-26.71 0-31.78 25.71-31.78 31.98c0 2.569 .3112 5.18 .9617 7.786l50.55 202.2c.2326 .9301 .3431 1.856 .3431 2.764c0 6.051-4.911 11.27-11.3 11.27c-4.896 0-9.234-3.154-10.74-7.812L166.9 103.9C162.4 89.1 149.5 80.02 135.5 80.02c-15.68 0-31.63 12.83-31.63 31.97c0 3.273 .5059 6.602 1.57 9.884l69.93 215.7c.2903 .8949 .4239 1.766 .4239 2.598c0 4.521-3.94 7.915-8.119 7.915c-1.928 0-3.906-.7219-5.573-2.388L101.7 285.3c-8.336-8.336-19.63-12.87-30.81-12.87c-23.56 0-39.07 19.69-39.07 39.55c0 10.23 3.906 20.47 11.72 28.28l122.5 122.5C197.6 494.3 240.3 512 284.9 512h50.98c23.5 0 108.4-14.57 132.5-103l73.96-271.2C543.2 134.8 543.6 131.7 543.6 128.6z"],
    "hand-wave": [512, 512, [], "e1a7", "M304 32C330.5 32 352 53.53 352 80C352 88.84 359.2 96 368 96S384 88.84 384 80C384 35.89 348.1 0 304 0C295.2 0 288 7.156 288 16S295.2 32 304 32zM80 416C53.53 416 32 394.5 32 368C32 359.2 24.84 352 16 352S0 359.2 0 368C0 412.1 35.88 448 80 448C88.84 448 96 440.8 96 432S88.84 416 80 416zM472 96c-22.1 0-39.1 17.9-39.1 39.1V216.9L234.4 19.3C228.2 13.05 219.1 9.927 211.8 9.927c-18.3 0-31.1 14.96-31.1 31.1c0 8.19 3.124 16.38 9.372 22.63l124.5 124.5c3.123 3.124 4.685 7.219 4.685 11.31c0 9.156-7.482 15.1-15.1 15.1c-4.095 0-8.19-1.562-11.31-4.686L143.9 64.55C137.7 58.3 129.5 55.18 121.3 55.18c-17.09 0-31.1 13.76-31.1 32c0 8.19 3.124 16.38 9.372 22.63L245.7 256.9c3.124 3.124 4.686 7.219 4.686 11.31c0 9.152-7.48 15.1-15.1 15.1c-4.095 0-8.189-1.562-11.31-4.686L98.65 155.1C92.4 148.8 84.21 145.7 76.02 145.7c-18.31 0-32 14.97-32 31.1c0 8.19 3.124 16.38 9.372 22.63l124.5 124.5c3.124 3.124 4.686 7.219 4.686 11.31c0 8.545-6.877 15.1-15.1 15.1c-4.095 0-8.189-1.562-11.31-4.685L76.03 268.2C69.78 261.1 61.59 258.8 53.4 258.8c-17.09 0-32 13.76-32 32c0 8.19 3.124 16.38 9.372 22.63l147.1 147.1c34.31 34.31 79.38 51.47 124.5 51.47s90.14-17.16 124.5-51.47l26.67-26.67C491.2 396.1 512 345.9 512 292.5V135.1C512 113.9 494.1 96 472 96z"],
    "handcuffs": [640, 512, [], "e4f8", "M304 32C304 49.67 289.7 64 272 64C254.3 64 240 49.67 240 32C240 14.33 254.3 0 272 0C289.7 0 304 14.33 304 32zM160 80C160 62.33 174.3 48 192 48C209.7 48 224 62.33 224 80C224 97.67 209.7 112 192 112C174.3 112 160 97.67 160 80zM160 128C177.7 128 192 142.3 192 160H200C213.3 160 224 170.7 224 184V200C224 201.7 223.8 203.4 223.5 205.1C280.3 229.6 320 286.2 320 352C320 440.4 248.4 512 160 512C71.63 512 0 440.4 0 352C0 286.2 39.74 229.6 96.54 205.1C96.19 203.4 96 201.7 96 200V184C96 170.7 106.7 160 120 160H128C128 142.3 142.3 128 160 128zM160 448C213 448 256 405 256 352C256 298.1 213 256 160 256C106.1 256 64 298.1 64 352C64 405 106.1 448 160 448zM337.6 278.9C354.5 246.1 382.5 219.8 416.5 205.1C416.2 203.4 416 201.7 416 199.1V183.1C416 170.7 426.7 159.1 440 159.1H448C448 142.3 462.3 127.1 480 127.1C497.7 127.1 512 142.3 512 159.1H520C533.3 159.1 544 170.7 544 183.1V199.1C544 201.7 543.8 203.4 543.5 205.1C600.3 229.6 640 286.2 640 352C640 440.4 568.4 512 480 512C417.1 512 364.2 476.7 337.6 425.1C346.9 402.5 352 377.9 352 352C352 326.1 346.9 301.5 337.6 278.9V278.9zM480 256C426.1 256 384 298.1 384 352C384 405 426.1 448 480 448C533 448 576 405 576 352C576 298.1 533 256 480 256zM336 32C336 14.33 350.3 0 368 0C385.7 0 400 14.33 400 32C400 49.67 385.7 64 368 64C350.3 64 336 49.67 336 32zM416 80C416 62.33 430.3 48 448 48C465.7 48 480 62.33 480 80C480 97.67 465.7 112 448 112C430.3 112 416 97.67 416 80z"],
    "hands": [512, 512, ["sign-language", "signing"], "f2a7", "M330.8 242.3L223.1 209.1C210.3 205.2 197 212.3 193.1 224.9C189.2 237.6 196.3 251 208.9 254.9L256 272H56.9c-11.61 0-22.25 7.844-24.44 19.24C29.51 306.6 41.19 320 56 320h128C188.4 320 192 323.6 192 328S188.4 336 184 336H24.9c-11.61 0-22.25 7.844-24.44 19.24C-2.49 370.6 9.193 384 24 384h160C188.4 384 192 387.6 192 392S188.4 400 184 400H56.9c-11.61 0-22.25 7.844-24.44 19.24C29.51 434.6 41.19 448 56 448h128C188.4 448 192 451.6 192 456S188.4 464 184 464H88.9c-11.61 0-22.25 7.844-24.44 19.24C61.51 498.6 73.19 512 88 512h208c66.28 0 120-53.73 120-120v-32.03C416 306.6 381.1 259.4 330.8 242.3zM197.1 179.5c5.986-2.148 12.32-3.482 18.98-3.482c5.508 0 10.99 .8105 16.5 2.471l16.11 4.975L227.7 117.2C224.2 106.2 213.6 98.39 202 99.74c-15.51 1.807-24.79 16.99-20.33 31.11L197.1 179.5zM487.1 144.5c-13.27 .0977-23.95 10.91-23.86 24.16l-2.082 50.04l-59.98-189.8c-3.496-11.07-14.18-18.86-25.71-17.51c-15.51 1.807-24.79 16.99-20.33 31.11l38.56 122.1c1.332 4.213-1.004 8.707-5.219 10.04c-4.213 1.332-8.707-1.004-10.04-5.217l-47.93-151.7c-3.496-11.07-14.18-18.86-25.71-17.51c-15.51 1.807-24.79 16.99-20.33 31.11l43.37 137.8c1.33 4.213-1.006 8.707-5.219 10.04c-4.213 1.332-8.707-1.004-10.04-5.217l-33.46-106.4C275.6 56.39 264.9 48.6 253.4 49.94c-15.51 1.807-24.79 16.99-20.33 31.11l34.15 108.1l73.7 22.76C404.1 233.3 448 292.8 448 359.9v27.91c38.27-21.17 63.28-61.24 64-106.7V168.4C511.8 155.1 500.3 144.5 487.1 144.5z"],
    "hands-asl-interpreting": [640, 512, ["american-sign-language-interpreting", "asl-interpreting", "hands-american-sign-language-interpreting"], "f2a3", "M200 240c16.94 0 32.09 10.72 37.73 26.67c5.891 16.66 24.17 25.39 40.84 19.5c16.66-5.891 25.39-24.17 19.5-40.84C287.2 214.7 262.8 191.6 233.1 181.5l79.68-22.76c16.98-4.859 26.83-22.56 21.97-39.56C329.9 102.2 312.2 92.35 295.2 97.24L196 125.6l80.82-69.28c13.42-11.5 14.97-31.7 3.469-45.12C268.8-2.24 248.6-3.803 235.2 7.713l-100.4 86.09l22.33-48.39c7.391-16.05 .3906-35.06-15.66-42.47C125.4-4.412 106.4 2.525 98.94 18.6L14.92 206.6C5.082 228.6 0 252.5 0 276.6C0 335.9 48.1 384 107.4 384l99.9-.0064c31.87-2.289 61.15-19.35 79.13-46.18c9.828-14.69 5.891-34.56-8.781-44.41C263 283.6 243.1 287.5 233.3 302.2C225.8 313.3 213.4 320 200 320c-22.06 0-40-17.94-40-40C160 257.9 177.9 240 200 240zM532.6 128l-99.9 .004c-31.87 2.289-61.15 19.35-79.13 46.18c-9.828 14.69-5.891 34.56 8.781 44.41c14.66 9.812 34.55 5.906 44.41-8.781C414.2 198.7 426.6 191.1 440 191.1c22.06 0 40 17.94 40 40c0 22.06-17.94 39.1-40 39.1c-16.94 0-32.09-10.72-37.73-26.67c-5.891-16.66-24.17-25.39-40.84-19.5c-16.66 5.891-25.39 24.17-19.5 40.84c10.84 30.64 35.23 53.77 64.96 63.8l-79.68 22.76c-16.98 4.859-26.83 22.56-21.97 39.56c4.844 16.98 22.56 26.86 39.56 21.97l99.2-28.34l-80.82 69.28c-13.42 11.5-14.97 31.7-3.469 45.12c11.52 13.42 31.73 14.98 45.13 3.469l100.4-86.09l-22.33 48.39c-7.391 16.05-.3906 35.06 15.66 42.47c16.02 7.359 35.05 .4219 42.47-15.65l84.02-188C634.9 283.4 640 259.5 640 235.4C640 176.1 591.9 128 532.6 128z"],
    "hands-bound": [640, 512, [], "e4f9", "M95.1 144.8L165.3 237.2C170.1 244.7 181.4 246.8 189.6 242C199.3 236.3 201.7 223.3 194.6 214.5L167 179.1C156.2 166.4 158.1 146.7 171.4 135.5C184.6 124.4 204.4 125.8 215.9 138.7L262.6 191.3C278.1 209.7 287.1 233.4 287.1 258.1V352H352V258.1C352 233.4 361 209.7 377.4 191.3L424.1 138.7C435.6 125.8 455.4 124.4 468.6 135.5C481.9 146.7 483.8 166.4 472.1 179.1L445.4 214.5C438.3 223.3 440.7 236.3 450.4 242C458.6 246.8 469 244.7 474.7 237.2L544 144.8V32C544 14.33 558.3 0 576 0C593.7 0 608 14.33 608 32V213.9C608 228 602.9 241.8 593.7 252.5L508.4 352H512C525.3 352 536 362.7 536 376C536 389.3 525.3 400 512 400H128C114.7 400 104 389.3 104 376C104 362.7 114.7 352 128 352H131.6L46.31 252.5C37.07 241.8 32 228 32 213.9V32C32 14.33 46.33 0 64 0C81.67 0 96 14.33 96 32L95.1 144.8zM127.1 480C114.7 480 103.1 469.3 103.1 456C103.1 442.7 114.7 432 127.1 432H512C525.3 432 536 442.7 536 456C536 469.3 525.3 480 512 480H480V512H352V480H287.1V512H159.1V480H127.1z"],
    "hands-bubbles": [576, 512, ["hands-wash"], "e05e", "M416 64c17.67 0 32-14.33 32-31.1c0-17.67-14.33-32-32-32c-17.67 0-32 14.33-32 32C384 49.67 398.3 64 416 64zM519.1 336H360c-4.418 0-8-3.582-8-8s3.582-8 8-8h128c14.81 0 26.49-13.42 23.54-28.76c-2.191-11.4-12.84-19.24-24.44-19.24H288l47.09-17.06c12.66-3.906 19.75-17.34 15.84-30.03c-3.938-12.62-17.28-19.69-30.03-15.84L213.2 242.3C162 259.4 128 306.6 128 359.1v25.65c36.47 7.434 64 39.75 64 78.38c0 10.71-2.193 20.91-6.031 30.25C204.1 505.3 225.2 512 248 512h208c14.81 0 26.49-13.42 23.54-28.76c-2.191-11.4-12.84-19.24-24.44-19.24H360c-4.418 0-8-3.582-8-8s3.582-8 8-8h128c14.81 0 26.49-13.42 23.54-28.76c-2.191-11.4-12.84-19.24-24.44-19.24H360c-4.418 0-8-3.582-8-8s3.582-8 8-8h160c14.81 0 26.49-13.42 23.54-28.76C541.3 343.8 530.7 336 519.1 336zM311.5 178.4c5.508-1.66 10.99-2.471 16.5-2.471c6.662 0 12.1 1.334 18.98 3.482l15.36-48.61c4.461-14.12-4.82-29.3-20.33-31.11c-11.53-1.344-22.21 6.443-25.71 17.51l-20.9 66.17L311.5 178.4zM496 224c26.51 0 48-21.49 48-47.1s-21.49-48-48-48S448 149.5 448 176S469.5 224 496 224zM93.65 386.3C94.45 386.1 95.19 385.8 96 385.6v-25.69c0-67.17 43.03-126.7 107.1-148l73.7-22.76l34.15-108.1c4.459-14.12-4.82-29.3-20.33-31.11C279.1 48.6 268.4 56.39 264.9 67.46L231.4 173.9c-1.332 4.213-5.826 6.549-10.04 5.217C217.2 177.8 214.8 173.3 216.2 169.1l43.37-137.8c4.461-14.12-4.82-29.3-20.33-31.11c-11.53-1.344-22.21 6.445-25.71 17.51L165.6 169.4C164.2 173.6 159.7 175.9 155.5 174.6C151.3 173.3 148.1 168.8 150.3 164.6l38.56-122.1c4.459-14.12-4.82-29.3-20.33-31.11C157 10.04 146.3 17.83 142.8 28.9L82.84 218.7L80.76 168.7C80.85 155.5 70.17 144.6 56.9 144.5C43.67 144.5 32.18 155.1 32 168.4v112.7C32.71 325.6 56.76 364.8 93.65 386.3zM112 416c-26.51 0-48 21.49-48 47.1s21.49 48 48 48S160 490.5 160 464S138.5 416 112 416z"],
    "hands-clapping": [512, 512, [], "e1a8", "M320 96c8.844 0 16-7.156 16-16v-64C336 7.156 328.8 0 320 0s-16 7.156-16 16v64C304 88.84 311.2 96 320 96zM383.4 96c5.125 0 10.16-2.453 13.25-7.016l32.56-48c1.854-2.746 2.744-5.865 2.744-8.951c0-8.947-7.273-16.04-15.97-16.04c-5.125 0-10.17 2.465-13.27 7.02l-32.56 48C368.3 73.76 367.4 76.88 367.4 79.97C367.4 88.88 374.7 96 383.4 96zM384 357.5l0-163.9c0-6.016-4.672-33.69-32-33.69c-17.69 0-32.07 14.33-32.07 31.1L320 268.1L169.2 117.3C164.5 112.6 158.3 110.3 152.2 110.3c-13.71 0-24 11.21-24 24c0 6.141 2.344 12.28 7.031 16.97l89.3 89.3C227.4 243.4 228.9 247.2 228.9 251c0 3.8-1.45 7.6-4.349 10.5c-2.899 2.899-6.7 4.349-10.5 4.349c-3.8 0-7.6-1.45-10.5-4.349l-107.6-107.6C91.22 149.2 85.08 146.9 78.94 146.9c-13.71 0-24 11.21-24 24c0 6.141 2.344 12.28 7.031 16.97l107.6 107.6C172.5 298.4 173.9 302.2 173.9 305.1c0 3.8-1.45 7.6-4.349 10.5c-2.899 2.9-6.7 4.349-10.5 4.349c-3.8 0-7.6-1.45-10.5-4.349L59.28 227.2C54.59 222.5 48.45 220.1 42.31 220.1c-13.71 0-24 11.21-24 24c0 6.141 2.344 12.28 7.031 16.97l89.3 89.3c2.9 2.899 4.349 6.7 4.349 10.5c0 3.8-1.45 7.6-4.349 10.5c-2.899 2.899-6.7 4.349-10.5 4.349c-3.8 0-7.6-1.45-10.5-4.349L40.97 318.7C36.28 314 30.14 311.7 24 311.7c-13.71 0-23.99 11.26-23.99 24.05c0 6.141 2.332 12.23 7.02 16.92C112.6 458.2 151.3 512 232.3 512C318.1 512 384 440.9 384 357.5zM243.3 88.98C246.4 93.55 251.4 96 256.6 96c8.762 0 15.99-7.117 15.99-16.03c0-3.088-.8906-6.205-2.744-8.951l-32.56-48C234.2 18.46 229.1 15.98 223.1 15.98c-8.664 0-15.98 7.074-15.98 16.05c0 3.086 .8906 6.205 2.744 8.951L243.3 88.98zM480 160c-17.69 0-32 14.33-32 32v76.14l-32-32v121.4c0 94.01-63.31 141.5-78.32 152.2C345.1 510.9 352.6 512 360.3 512C446.1 512 512 440.9 512 357.5l-.0625-165.6C511.9 174.3 497.7 160 480 160z"],
    "hands-holding": [640, 512, [], "f4c2", "M79.1 264.2C79.1 281.2 86.74 297.5 98.74 309.5L149.8 360.6C158.1 368.9 171.1 370.1 180.8 363.7C193.7 355 195.5 336.8 184.6 325.8L137.4 278.6C124.9 266.1 124.9 245.9 137.4 233.4C149.9 220.9 170.1 220.9 182.6 233.4L255.2 305.9C276.2 326.9 288 355.4 288 385.1V464C288 490.5 266.5 512 240 512H173.3C156.3 512 140 505.3 128 493.3L28.12 393.4C10.11 375.4 0 350.1 0 325.5V104C0 81.91 17.91 64 40 64C62.09 64 80 81.91 80 104L79.1 264.2zM560 104C560 81.91 577.9 64 600 64C622.1 64 640 81.91 640 104V325.5C640 350.1 629.9 375.4 611.9 393.4L512 493.3C499.1 505.3 483.7 512 466.7 512H400C373.5 512 352 490.5 352 464V385.1C352 355.4 363.8 326.9 384.8 305.9L457.4 233.4C469.9 220.9 490.1 220.9 502.6 233.4C515.1 245.9 515.1 266.1 502.6 278.6L455.4 325.8C444.5 336.8 446.3 355 459.2 363.7C468.9 370.1 481.9 368.9 490.2 360.6L541.3 309.5C553.3 297.5 560 281.2 560 264.2L560 104z"],
    "hands-holding-child": [640, 512, [], "e4fa", "M279.1 40C279.1 17.91 297.9 0 319.1 0C342.1 0 360 17.91 360 40C360 62.09 342.1 80 319.1 80C297.9 80 279.1 62.09 279.1 40zM375.8 253C377.5 266.2 368.1 278.2 354.1 279.8C341.8 281.5 329.8 272.1 328.2 258.1L323.8 223.1H316.2L311.8 258.1C310.2 272.1 298.2 281.5 285 279.8C271.9 278.2 262.5 266.2 264.2 253L275.3 164.3L255.5 180.1C245.4 189.6 230.2 188.3 221.7 178.2C213.1 168 214.4 152.9 224.5 144.3L252.4 120.7C271.3 104.8 295.3 96 320 96C344.7 96 368.7 104.8 387.6 120.7L415.5 144.3C425.6 152.9 426.9 168 418.3 178.2C409.8 188.3 394.6 189.6 384.5 180.1L364.7 164.3L375.8 253zM39.1 64C62.09 64 79.1 81.91 79.1 104V264.2C79.1 281.2 86.74 297.5 98.74 309.5L149.8 360.6C158.1 368.9 171.1 370.1 180.8 363.7C193.7 355 195.5 336.8 184.6 325.8L137.4 278.6C124.9 266.1 124.9 245.9 137.4 233.4C149.9 220.9 170.1 220.9 182.6 233.4L255.2 305.9C276.2 326.9 288 355.4 288 385.1V464C288 490.5 266.5 512 240 512H173.3C156.3 512 140 505.3 128 493.3L28.12 393.4C10.11 375.4 0 350.1 0 325.5V104C0 81.91 17.91 64 40 64L39.1 64zM640 104V325.5C640 350.1 629.9 375.4 611.9 393.4L512 493.3C499.1 505.3 483.7 512 466.7 512H400C373.5 512 352 490.5 352 464V385.1C352 355.4 363.8 326.9 384.8 305.9L457.4 233.4C469.9 220.9 490.1 220.9 502.6 233.4C515.1 245.9 515.1 266.1 502.6 278.6L455.4 325.8C444.5 336.8 446.3 355 459.2 363.7C468.9 370.1 481.9 368.9 490.2 360.6L541.3 309.5C553.3 297.5 560 281.2 560 264.2V103.1C560 81.91 577.9 63.1 600 63.1C622.1 63.1 640 81.91 640 103.1L640 104z"],
    "hands-holding-circle": [640, 512, [], "e4fb", "M191.1 128C191.1 57.31 249.3 0 319.1 0C390.7 0 448 57.31 448 128C448 198.7 390.7 256 319.1 256C249.3 256 191.1 198.7 191.1 128zM39.1 64C62.09 64 79.1 81.91 79.1 104V264.2C79.1 281.2 86.74 297.5 98.74 309.5L149.8 360.6C158.1 368.9 171.1 370.1 180.8 363.7C193.7 355 195.5 336.8 184.6 325.8L137.4 278.6C124.9 266.1 124.9 245.9 137.4 233.4C149.9 220.9 170.1 220.9 182.6 233.4L255.2 305.9C276.2 326.9 288 355.4 288 385.1V464C288 490.5 266.5 512 240 512H173.3C156.3 512 140 505.3 128 493.3L28.12 393.4C10.11 375.4 0 350.1 0 325.5V104C0 81.91 17.91 64 40 64L39.1 64zM640 104V325.5C640 350.1 629.9 375.4 611.9 393.4L512 493.3C499.1 505.3 483.7 512 466.7 512H400C373.5 512 352 490.5 352 464V385.1C352 355.4 363.8 326.9 384.8 305.9L457.4 233.4C469.9 220.9 490.1 220.9 502.6 233.4C515.1 245.9 515.1 266.1 502.6 278.6L455.4 325.8C444.5 336.8 446.3 355 459.2 363.7C468.9 370.1 481.9 368.9 490.2 360.6L541.3 309.5C553.3 297.5 560 281.2 560 264.2V103.1C560 81.91 577.9 63.1 600 63.1C622.1 63.1 640 81.91 640 103.1L640 104z"],
    "hands-holding-diamond": [640, 512, ["hand-receiving"], "f47c", "M297.4 9.372C309.9-3.124 330.1-3.124 342.6 9.372L438.6 105.4C451.1 117.9 451.1 138.1 438.6 150.6L342.6 246.6C330.1 259.1 309.9 259.1 297.4 246.6L201.4 150.6C188.9 138.1 188.9 117.9 201.4 105.4L297.4 9.372zM79.1 264.2C79.1 281.2 86.74 297.5 98.74 309.5L149.8 360.6C158.1 368.9 171.1 370.1 180.8 363.7C193.7 355 195.5 336.8 184.6 325.8L137.4 278.6C124.9 266.1 124.9 245.9 137.4 233.4C149.9 220.9 170.1 220.9 182.6 233.4L255.2 305.9C276.2 326.9 288 355.4 288 385.1V464C288 490.5 266.5 512 240 512H173.3C156.3 512 140 505.3 128 493.3L28.12 393.4C10.11 375.4 0 350.1 0 325.5V104C0 81.91 17.91 64 40 64C62.09 64 80 81.91 80 104L79.1 264.2zM560 104C560 81.91 577.9 64 600 64C622.1 64 640 81.91 640 104V325.5C640 350.1 629.9 375.4 611.9 393.4L512 493.3C499.1 505.3 483.7 512 466.7 512H400C373.5 512 352 490.5 352 464V385.1C352 355.4 363.8 326.9 384.8 305.9L457.4 233.4C469.9 220.9 490.1 220.9 502.6 233.4C515.1 245.9 515.1 266.1 502.6 278.6L455.4 325.8C444.5 336.8 446.3 355 459.2 363.7C468.9 370.1 481.9 368.9 490.2 360.6L541.3 309.5C553.3 297.5 560 281.2 560 264.2L560 104z"],
    "hands-holding-dollar": [640, 512, ["hands-usd"], "f4c5", "M344 34.51C350.4 35.69 356.6 37.17 362.2 38.66C374.1 42.08 382.6 55.22 379.2 68.03C375.8 80.84 362.6 88.46 349.8 85.05C338.9 82.15 328.7 80.15 319.6 80C312.3 79.89 304.9 81.66 300.3 84.42C298.1 85.69 297.1 86.81 296.7 87.46C296.4 87.92 296.1 88.64 296.1 90.27C296.1 90.61 296.1 90.81 296.1 90.91C296.3 91.12 297 92.07 299.5 93.53C305.3 97.04 313.9 99.75 326.8 103.7L327.7 103.9C338.8 107.3 353.6 111.7 365.6 119.3C379.2 127.9 391.7 142.1 391.1 164.2C392.3 186.7 380.6 203.1 365.3 212.6C358.6 216.8 351.4 219.6 344 221.4V231.1C344 245.3 333.3 255.1 320 255.1C306.7 255.1 296 245.3 296 231.1V220.6C286.5 218.4 277.8 215.4 270.4 212.8C268.3 212.1 266.3 211.4 264.4 210.8C251.8 206.6 245 192.1 249.2 180.4C253.4 167.8 267 161 279.6 165.2C282.2 166.1 284.6 166.9 286.9 167.7C300.6 172.3 310.3 175.6 320.8 175.1C328.8 176.2 335.8 174.4 339.1 171.8C341.8 170.7 342.7 169.6 343.2 168.9C343.5 168.3 344 167.1 343.1 164.8L344 164.5C344 163.5 344 162.4 340 159.9C334.3 156.3 325.7 153.5 312.9 149.6L311.1 149C300.3 145.8 286.1 141.5 274.7 134.6C261.2 126.5 248.2 112.6 248.1 90.51C247.9 67.65 260.9 51.91 275.8 43.11C282.2 39.35 289.1 36.67 295.1 34.89V24C295.1 10.75 306.7 0 319.1 0C333.3 0 344 10.75 344 24L344 34.51zM39.1 63.1C62.09 63.1 79.1 81.91 79.1 103.1V264.2C79.1 281.2 86.74 297.5 98.74 309.5L149.8 360.6C158.1 368.9 171.1 370.1 180.8 363.7C193.7 355 195.5 336.8 184.6 325.8L137.4 278.6C124.9 266.1 124.9 245.9 137.4 233.4C149.9 220.9 170.1 220.9 182.6 233.4L255.2 305.9C276.2 326.9 288 355.4 288 385.1V464C288 490.5 266.5 512 240 512H173.3C156.3 512 140 505.3 128 493.3L28.12 393.4C10.11 375.4 0 350.1 0 325.5V104C0 81.91 17.91 64 40 64L39.1 63.1zM640 103.1V325.5C640 350.1 629.9 375.4 611.9 393.4L512 493.3C499.1 505.3 483.7 512 466.7 512H400C373.5 512 352 490.5 352 464V385.1C352 355.4 363.8 326.9 384.8 305.9L457.4 233.4C469.9 220.9 490.1 220.9 502.6 233.4C515.1 245.9 515.1 266.1 502.6 278.6L455.4 325.8C444.5 336.8 446.3 355 459.2 363.7C468.9 370.1 481.9 368.9 490.2 360.6L541.3 309.5C553.3 297.5 560 281.2 560 264.2V103.1C560 81.91 577.9 63.1 600 63.1C622.1 63.1 640 81.91 640 103.1L640 103.1z"],
    "hands-holding-heart": [640, 512, ["hands-heart"], "f4c3", "M175.1 72.57C175.1 32.49 208.5 .0003 248.6 .0003C267.8 .0003 286.3 7.646 299.9 21.26L319.1 41.37L340.1 21.26C353.7 7.646 372.2 0 391.4 0C431.5 0 464 32.49 464 72.57V77.4C464 98.79 455.1 119.2 439.5 133.9L336.4 230.5C327.2 239.2 312.8 239.2 303.6 230.5L200.5 133.9C184.9 119.2 175.1 98.79 175.1 77.4V72.57zM39.1 64C62.09 64 79.1 81.91 79.1 104V264.2C79.1 281.2 86.74 297.5 98.74 309.5L149.8 360.6C158.1 368.9 171.1 370.1 180.8 363.7C193.7 355 195.5 336.8 184.6 325.8L137.4 278.6C124.9 266.1 124.9 245.9 137.4 233.4C149.9 220.9 170.1 220.9 182.6 233.4L255.2 305.9C276.2 326.9 288 355.4 288 385.1V464C288 490.5 266.5 512 240 512H173.3C156.3 512 140 505.3 128 493.3L28.12 393.4C10.11 375.4 0 350.1 0 325.5V104C0 81.91 17.91 64 40 64L39.1 64zM640 104V325.5C640 350.1 629.9 375.4 611.9 393.4L512 493.3C499.1 505.3 483.7 512 466.7 512H400C373.5 512 352 490.5 352 464V385.1C352 355.4 363.8 326.9 384.8 305.9L457.4 233.4C469.9 220.9 490.1 220.9 502.6 233.4C515.1 245.9 515.1 266.1 502.6 278.6L455.4 325.8C444.5 336.8 446.3 355 459.2 363.7C468.9 370.1 481.9 368.9 490.2 360.6L541.3 309.5C553.3 297.5 560 281.2 560 264.2V104C560 81.91 577.9 64 600 64C622.1 64 640 81.91 640 104L640 104z"],
    "hands-praying": [640, 512, ["praying-hands"], "f684", "M272 191.9c-17.62 0-32 14.35-32 31.97V303.9c0 8.875-7.125 16-16 16s-16-7.125-16-16V227.4c0-17.37 4.75-34.5 13.75-49.37L299.5 48.41c9-15.12 4.125-34.76-11-43.88C273.1-4.225 255.8 .1289 246.1 13.63C245.1 13.88 245.5 13.88 245.4 14.13L128.1 190C117.5 205.9 112 224.3 112 243.3v80.24l-90.13 29.1C8.75 357.9 0 370.1 0 383.9v95.99c0 10.88 8.5 31.1 32 31.1c2.75 0 5.375-.25 8-1l179.3-46.62C269.1 450 304 403.8 304 351.9V223.9C304 206.3 289.6 191.9 272 191.9zM618.1 353.6L528 323.6V243.4c0-19-5.5-37.37-16.12-53.25l-117.3-175.9c-.125-.25-.6251-.2487-.75-.4987c-9.625-13.5-27.88-17.85-42.38-9.229c-15.12 9.125-20 28.76-11 44.01l77.75 129.5C427.3 193 432 210 432 227.5v76.49c0 8.875-7.125 16-16 16s-16-7.125-16-16V223.1c0-17.62-14.38-31.97-32-31.97s-32 14.38-32 31.1v127.1c0 51.87 34.88 98.12 84.75 112.4L600 511C602.6 511.6 605.4 512 608 512c23.5 0 32-21.25 32-31.1v-95.99C640 370.3 631.3 358 618.1 353.6z"],
    "handshake": [640, 512, [], "f2b5", "M0 383.9l64 .0404c17.75 0 32-14.29 32-32.03V128.3L0 128.3V383.9zM48 320.1c8.75 0 16 7.118 16 15.99c0 8.742-7.25 15.99-16 15.99S32 344.8 32 336.1C32 327.2 39.25 320.1 48 320.1zM348.8 64c-7.941 0-15.66 2.969-21.52 8.328L228.9 162.3C228.8 162.5 228.8 162.7 228.6 162.7C212 178.3 212.3 203.2 226.5 218.7c12.75 13.1 39.38 17.62 56.13 2.75C282.8 221.3 282.9 221.3 283 221.2l79.88-73.1c6.5-5.871 16.75-5.496 22.62 1c6 6.496 5.5 16.62-1 22.62l-26.12 23.87L504 313.7c2.875 2.496 5.5 4.996 7.875 7.742V127.1c-40.98-40.96-96.48-63.88-154.4-63.88L348.8 64zM334.6 217.4l-30 27.49c-29.75 27.11-75.25 24.49-101.8-4.371C176 211.2 178.1 165.7 207.3 138.9L289.1 64H282.5C224.7 64 169.1 87.08 128.2 127.9L128 351.8l18.25 .0369l90.5 81.82c27.5 22.37 67.75 18.12 90-9.246l18.12 15.24c15.88 12.1 39.38 10.5 52.38-5.371l31.38-38.6l5.374 4.498c13.75 11 33.88 9.002 45-4.748l9.538-11.78c11.12-13.75 9.036-33.78-4.694-44.93L334.6 217.4zM544 128.4v223.6c0 17.62 14.25 32.05 31.1 32.05L640 384V128.1L544 128.4zM592 352c-8.75 0-16-7.246-16-15.99c0-8.875 7.25-15.99 16-15.99S608 327.2 608 336.1C608 344.8 600.8 352 592 352z"],
    "handshake-angle": [640, 512, ["hands-helping"], "f4c4", "M488 191.1h-152l.0001 51.86c.0001 37.66-27.08 72-64.55 75.77c-43.09 4.333-79.45-29.42-79.45-71.63V126.4l-24.51 14.73C123.2 167.8 96.04 215.7 96.04 267.5L16.04 313.8c-15.25 8.751-20.63 28.38-11.75 43.63l80 138.6c8.875 15.25 28.5 20.5 43.75 11.75l103.4-59.75h136.6c35.25 0 64-28.75 64-64c26.51 0 48-21.49 48-48V288h8c13.25 0 24-10.75 24-24l.0001-48C512 202.7 501.3 191.1 488 191.1zM635.7 154.5l-79.95-138.6c-8.875-15.25-28.5-20.5-43.75-11.75l-103.4 59.75h-62.57c-37.85 0-74.93 10.61-107.1 30.63C229.7 100.4 224 110.6 224 121.6l-.0004 126.4c0 22.13 17.88 40 40 40c22.13 0 40-17.88 40-40V159.1h184c30.93 0 56 25.07 56 56v28.5l80-46.25C639.3 189.4 644.5 169.8 635.7 154.5z"],
    "handshake-simple": [640, 512, [129309, "handshake-alt"], "f4c6", "M334.6 217.4l-30 27.49C264 282.1 217.8 256.8 202.9 240.6C176 211.2 178.1 165.7 207.3 138.9L289.1 64H282.5C224.7 64 169.1 86.95 128.2 127.8L32 128.1c-17.6 0-32 14.39-32 31.98v159.8c0 17.59 14.4 32.04 31.1 32.04l114.3-.0604l90.5 81.82c27.5 22.37 67.75 18.11 90-9.255l18.12 15.25c15.88 12.1 39.38 10.5 52.38-5.369l31.38-38.6l5.374 4.498c13.75 11 33.88 9.002 45-4.748l9.576-11.83c11.08-13.7 8.979-33.75-4.701-44.86L334.6 217.4zM608 128.1l-96-.1257c-40.98-40.96-96.56-63.88-154.5-63.88L348.9 64c-8 0-15.62 3.197-21.62 8.568L229 162.3C228.9 162.5 228.8 162.7 228.8 162.7C212 178.5 212.4 203.3 226.6 218.7c9.625 10.5 35 21.62 56.13 2.75c0-.125 .25-.125 .375-.25l80-73.1c6.5-5.871 16.62-5.496 22.62 1s5.5 16.62-1 22.62l-26.12 23.87l145.6 118.1c12.12 9.992 19.5 23.49 22.12 37.98L608 351.7c17.6 0 32-14.38 32-31.98V160.1C640 142.4 625.7 128.1 608 128.1z"],
    "handshake-simple-slash": [640, 512, ["handshake-alt-slash"], "e05f", "M358.6 195.6l145.6 118.1c12.12 9.992 19.5 23.49 22.12 37.98h81.62c17.6 0 31.1-14.39 31.1-31.99V159.1c0-17.67-14.33-31.99-31.1-31.99h-95.1c-40.98-40.96-96.56-63.98-154.5-63.98h-8.613c-7.1 0-15.63 3.002-21.63 8.373l-93.44 85.57L208.3 137.9L289.1 64.01L282.5 64c-43.48 0-85.19 13.66-120.8 37.44l-122.9-96.33C34.41 1.672 29.19 0 24.03 0c-7.125 0-14.19 3.156-18.91 9.187c-8.187 10.44-6.375 25.53 4.062 33.7L601.2 506.9c10.5 8.203 25.56 6.328 33.69-4.078c8.187-10.44 6.375-25.53-4.062-33.7l-135.5-106.2c-.1719-9.086-3.789-18.03-11.39-24.2l-149.2-121.2l-11.47 10.51L297.6 207.1l65.51-59.85c6.5-5.871 16.62-5.496 22.62 .1c5.1 6.496 5.5 16.62-.1 22.62L358.6 195.6zM32 127.1c-17.6 0-31.1 14.4-31.1 31.99v159.8c0 17.59 14.4 32.06 31.1 32.06l114.2-.0712l90.5 81.85c27.5 22.37 67.75 18.12 89.1-9.25l18.12 15.25c15.87 12.1 39.37 10.5 52.37-5.371l13.02-16.03L39.93 127.1L32 127.1z"],
    "handshake-slash": [640, 512, [], "e060", "M543.1 128.2l.0002 223.8c0 17.62 14.25 31.99 31.1 31.99h64V128.1L543.1 128.2zM591.1 352c-8.75 0-16-7.251-16-15.99c0-8.875 7.25-15.1 16-15.1c8.75 0 15.1 7.122 15.1 15.1C607.1 344.8 600.7 352 591.1 352zM.0005 128.2v255.7l63.1 .0446c17.75 0 32-14.28 32-32.03L96 171.9l-55.77-43.71H.0005zM64 336c0 8.742-7.25 15.99-15.1 15.99s-15.1-7.251-15.1-15.99c0-8.875 7.25-15.1 15.1-15.1S64 327.2 64 336zM128 351.8h18.25l90.5 81.85c27.5 22.37 67.75 18.12 89.1-9.25l18.12 15.25c15.87 12.1 39.37 10.5 52.37-5.371l13.02-16.03L128 196.1V351.8zM495.2 362.8c-.1875-9.101-3.824-18.05-11.44-24.24l-149.2-121.1l-11.47 10.51L297.5 207.9l65.33-59.79c6.5-5.871 16.75-5.496 22.62 1c5.1 6.496 5.5 16.62-1 22.62l-26.12 23.87l145.6 118.1c2.875 2.496 5.5 4.996 7.875 7.742V127.1c-40.98-40.96-96.52-63.98-154.5-63.98h-8.613c-7.941 0-15.64 2.97-21.5 8.329L233.7 157.9L208.3 137.9l80.85-73.92L282.5 64c-43.47 0-85.16 13.68-120.8 37.45L38.81 5.109C34.41 1.672 29.19 0 24.03 0C16.91 0 9.846 3.156 5.127 9.187C-3.06 19.62-1.248 34.72 9.19 42.89l591.1 463.1c10.5 8.203 25.56 6.328 33.69-4.078c8.187-10.44 6.375-25.53-4.062-33.7L495.2 362.8z"],
    "hanukiah": [640, 512, [128334], "f6e6", "M231.1 159.9C227.6 159.9 224 163.6 224 168V288h32V168C256 163.6 252.4 160 248 160L231.1 159.9zM167.1 159.9C163.6 159.9 160 163.6 160 168V288h32V168C192 163.6 188.4 160 184 160L167.1 159.9zM392 160C387.6 160 384 163.6 384 168V288h32V168c0-4.375-3.625-8.061-8-8.061L392 160zM456 160C451.6 160 448 163.6 448 168V288h32V168c0-4.375-3.625-8.061-8-8.061L456 160zM544 168c0-4.375-3.625-8.061-8-8.061L520 160C515.6 160 512 163.6 512 168V288h32V168zM103.1 159.9C99.62 159.9 96 163.6 96 168V288h32V168C128 163.6 124.4 160 120 160L103.1 159.9zM624 160h-31.98c-8.837 0-16.03 7.182-16.03 16.02L576 288c0 17.6-14.4 32-32 32h-192V128c0-8.837-7.151-16.01-15.99-16.01H303.1C295.2 111.1 288 119.2 288 128v192H96c-17.6 0-32-14.4-32-32l.0065-112C64.01 167.2 56.85 160 48.02 160H16C7.163 160 0 167.2 0 176V288c0 53.02 42.98 96 96 96h192v64H175.1C149.5 448 128 469.5 128 495.1C128 504.8 135.2 512 143.1 512h352C504.9 512 512 504.9 512 496C512 469.5 490.5 448 464 448H352v-64h192c53.02 0 96-42.98 96-96V176C640 167.2 632.8 160 624 160zM607.1 127.9C621.2 127.9 632 116 632 101.4C632 86.62 608 48 608 48s-24 38.62-24 53.38C584 116 594.7 127.9 607.1 127.9zM31.1 127.9C45.25 127.9 56 116 56 101.4C56 86.62 32 48 32 48S8 86.62 8 101.4C8 116 18.75 127.9 31.1 127.9zM319.1 79.94c13.25 0 24-11.94 24-26.57C344 38.62 320 0 320 0S296 38.62 296 53.38C296 67.1 306.7 79.94 319.1 79.94zM112 128c13.25 0 24-12 24-26.62C136 86.62 112 48 112 48S88 86.62 88 101.4C88 115.1 98.75 128 112 128zM176 128c13.25 0 24-12 24-26.62C200 86.62 176 48 176 48S152 86.62 152 101.4C152 115.1 162.8 128 176 128zM240 128c13.25 0 24-12 24-26.62C264 86.62 240 48 240 48S216 86.62 216 101.4C216 115.1 226.8 128 240 128zM400 128c13.25 0 24-12 24-26.62C424 86.62 400 48 400 48s-24 38.62-24 53.38C376 115.1 386.8 128 400 128zM464 128c13.25 0 24-12 24-26.62C488 86.62 464 48 464 48s-24 38.62-24 53.38C440 115.1 450.8 128 464 128zM528 128c13.25 0 24-12 24-26.62C552 86.62 528 48 528 48s-24 38.62-24 53.38C504 115.1 514.8 128 528 128z"],
    "hard-drive": [512, 512, [128436, "hdd"], "f0a0", "M464 288h-416C21.5 288 0 309.5 0 336v96C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-96C512 309.5 490.5 288 464 288zM320 416c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S337.6 416 320 416zM416 416c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S433.6 416 416 416zM464 32h-416C21.5 32 0 53.5 0 80v192.4C13.41 262.3 29.92 256 48 256h416c18.08 0 34.59 6.254 48 16.41V80C512 53.5 490.5 32 464 32z"],
    "hashtag": [448, 512, [62098], "23", "M416 127.1h-58.23l9.789-58.74c2.906-17.44-8.875-33.92-26.3-36.83c-17.53-2.875-33.92 8.891-36.83 26.3L292.9 127.1H197.8l9.789-58.74c2.906-17.44-8.875-33.92-26.3-36.83c-17.53-2.875-33.92 8.891-36.83 26.3L132.9 127.1H64c-17.67 0-32 14.33-32 32C32 177.7 46.33 191.1 64 191.1h58.23l-21.33 128H32c-17.67 0-32 14.33-32 32c0 17.67 14.33 31.1 32 31.1h58.23l-9.789 58.74c-2.906 17.44 8.875 33.92 26.3 36.83C108.5 479.9 110.3 480 112 480c15.36 0 28.92-11.09 31.53-26.73l11.54-69.27h95.12l-9.789 58.74c-2.906 17.44 8.875 33.92 26.3 36.83C268.5 479.9 270.3 480 272 480c15.36 0 28.92-11.09 31.53-26.73l11.54-69.27H384c17.67 0 32-14.33 32-31.1c0-17.67-14.33-32-32-32h-58.23l21.33-128H416c17.67 0 32-14.32 32-31.1C448 142.3 433.7 127.1 416 127.1zM260.9 319.1H165.8L187.1 191.1h95.12L260.9 319.1z"],
    "hashtag-lock": [576, 512, [], "e415", "M181.3 32.44C198.7 35.35 210.5 51.83 207.6 69.27L197.8 128H292.9L304.4 58.74C307.3 41.31 323.8 29.53 341.3 32.44C358.7 35.35 370.5 51.83 367.6 69.27L357.8 128H416C433.7 128 448 142.3 448 160C448 160.4 447.1 160.8 447.1 161.1C423.9 164.6 402.2 175.7 385.6 192H347.1L324.3 328.9C321.5 336.1 320 343.9 320 352V354.7L303.6 453.3C300.7 470.7 284.2 482.5 266.7 479.6C249.3 476.7 237.5 460.2 240.4 442.7L250.2 384H155.1L143.6 453.3C140.7 470.7 124.2 482.5 106.7 479.6C89.31 476.7 77.53 460.2 80.44 442.7L90.23 384H32C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320H100.9L122.2 192H64C46.33 192 32 177.7 32 160C32 142.3 46.33 128 64 128H132.9L144.4 58.74C147.3 41.31 163.8 29.53 181.3 32.44H181.3zM187.1 192L165.8 320H260.9L282.2 192H187.1zM464 192C508.2 192 544 227.8 544 272V320C561.7 320 576 334.3 576 352V480C576 497.7 561.7 512 544 512H384C366.3 512 352 497.7 352 480V352C352 334.3 366.3 320 384 320V272C384 227.8 419.8 192 464 192V192zM464 240C446.3 240 432 254.3 432 272V320H496V272C496 254.3 481.7 240 464 240z"],
    "hat-chef": [512, 512, [], "f86b", "M416 32c-20.88 .125-41.13 7-57.75 19.75C334.9 20.5 297.1 0 256 0C213.1 0 177.1 20.5 153.8 51.75c-29-22.25-68-26-100.6-9.75C20.38 58.12-.125 91.5 0 128c0 41.75 64 192 64 192h74.45L112.2 162.7C110.8 153.1 116.6 145.7 125.3 144.2c8.562-1.594 16.98 4.336 18.45 13.09L170.9 320H240V160c0-8.844 7.156-16 16-16s16 7.156 16 16v160h69.12l27.12-162.7c1.469-8.75 9.984-14.68 18.45-13.09c8.719 1.438 14.55 9.742 13.09 18.46L373.6 320H448c0 0 64-150.3 64-192C512 75 469 32 416 32zM64 480c0 17.6 14.4 32 32 32h320c17.6 0 32-14.4 32-32v-128H64V480z"],
    "hat-cowboy": [640, 512, [], "f8c0", "M489.1 264.9C480.5 207.5 450.5 32 392.3 32c-14 0-26.58 5.875-37.08 14c-20.75 15.87-49.62 15.87-70.5 0C274.2 38 261.7 32 247.7 32c-58.25 0-88.27 175.5-97.77 232.9C188.7 277.5 243.7 288 319.1 288S451.2 277.5 489.1 264.9zM632.9 227.7c-6.125-4.125-14.2-3.51-19.7 1.49c-1 .875-101.3 90.77-293.1 90.77c-190.9 0-292.2-89.99-293.2-90.86c-5.5-4.875-13.71-5.508-19.71-1.383c-6.125 4.125-8.587 11.89-6.087 18.77C1.749 248.5 78.37 448 319.1 448s318.2-199.5 318.1-201.5C641.5 239.6 639 231.9 632.9 227.7z"],
    "hat-cowboy-side": [640, 512, [], "f8c1", "M260.8 260C232.1 237.1 198.8 225 164.4 225c-77.38 0-142.9 62.75-163 156c-3.5 16.62-.375 33.88 8.625 47.38c8.75 13.12 21.88 20.62 35.88 20.62H592c-103.2 0-155-37.13-233.2-104.5L260.8 260zM495.5 241.8l-27.13-156.5c-2.875-17.25-12.75-32.5-27.12-42.25c-14.37-9.75-32.24-13.3-49.24-9.675L200.9 74.02C173.7 79.77 153.5 102.3 150.5 129.8L143.6 195c6.875-.875 13.62-2 20.75-2c41.87 0 82 14.5 117.4 42.88l98 84.37c71 61.25 115.1 96.75 212.2 96.75c26.5 0 48-21.5 48-48C640 343.6 610.4 249.6 495.5 241.8z"],
    "hat-santa": [640, 512, [], "f7a7", "M448 384H63.1C28.65 384 0 412.7 0 447.1C0 465.7 14.33 480 32 480h448c17.67 0 32-14.33 32-32C512 412.7 483.3 384 448 384zM384 192l71.75 19.5c2.25-4.125 4.875-8 8.125-11.38c.375-14.5 6.25-28.62 17-39.37c2.25-2.25 4.75-4.125 7.25-6L435 92.13C402.6 54 355.3 32 305.3 32C236.6 32 174.8 73.25 148.4 136.5L64 352h384L384 192zM640 240c0-12.12-8.25-21.88-19.25-25.25c5.5-10 4.5-22.75-4.125-31.38C608 174.8 595.3 173.8 585.3 179.2C581.9 168.2 572.1 160 560 160s-21.88 8.25-25.25 19.25C524.8 173.8 512 174.8 503.4 183.4c-8.625 8.625-9.625 21.38-4.125 31.38C488.2 218.1 480 227.9 480 240s8.25 21.88 19.25 25.25c-5.5 10-4.453 22.75 4.172 31.38c5.25 5.125 11.95 7.747 18.83 7.747c4.5 0 8.625-1.5 12.5-3.625C538.1 311.8 547.9 320 560 320s21.88-8.25 25.25-19.25c4 2.125 8.125 3.625 12.5 3.625c6.75 0 13.5-2.625 18.88-7.75C625.3 288 626.3 275.2 620.8 265.2C631.8 261.9 640 252.1 640 240z"],
    "hat-winter": [512, 512, [], "f7a8", "M195.3 105.2c-5.5 10-4.462 22.79 4.163 31.41C204.7 141.8 211.4 144.4 218.3 144.4c4.5 0 8.625-1.5 12.5-3.625C234.1 151.8 243.9 160 256 160c12.12 0 21.88-8.25 25.25-19.25c4 2.125 8.125 3.625 12.5 3.625c6.75 0 13.54-2.662 18.91-7.788c8.625-8.625 9.587-21.34 4.087-31.34C327.8 101.9 336 92.12 336 80s-8.25-21.88-19.25-25.25c5.5-10 4.487-22.76-4.138-31.39c-8.625-8.625-21.36-9.612-31.36-4.113C277.9 8.25 268.1 0 256 0C243.9 0 234.1 8.25 230.8 19.25c-10-5.5-22.76-4.494-31.38 4.131c-8.625 8.625-9.619 21.37-4.119 31.37C184.3 58.12 176 67.88 176 80S184.3 101.9 195.3 105.2zM128 270.1l64 32l64-32l64 32l64-32l64 32l7.25-3.625C435.5 248.2 400 193.6 336.2 158c-.4999 .3747-.6875 .7497-1.062 1.25c-10.62 10.5-24.56 16.63-39.56 17.13C285.1 186.2 271.1 192.1 256 192.1c-15.25 0-29.25-5.875-39.62-15.75C201.5 175.9 187.5 169.9 176.8 159.2c-.375-.5-.5-.875-1-1.25C111.9 193.6 76.38 248.4 56.75 298.5L64 302.1L128 270.1zM496 448h-480C7.25 448 0 455.2 0 464v32C0 504.8 7.25 512 16 512h480c8.75 0 16-7.25 16-16v-32C512 455.2 504.8 448 496 448zM465.8 329.1L448 337.9l-64-32l-64 32l-64-32l-64 32l-64-32l-64 32l-17.75-8.75C32.25 377.8 32 416 32 416h448C480 416 479.8 377.8 465.8 329.1z"],
    "hat-witch": [576, 512, [], "f6e7", "M224 319.1C224 302.4 238.4 288 256 288h63.98c17.62 0 31.99 14.37 31.99 31.1L351.1 384h114.2L393.6 214.4c-6.246-14.38-6.871-30.62-1.875-45.5l6.25-18.1c4.375-13.12 16.62-21.88 30.37-21.88h39.24c13.75 0 25.99 8.75 30.37 21.88l14 42.12l30.37-77.24c3.875-11.5 .875-24.12-7.75-32.75l-69.36-72.62c-10.12-10.25-25.99-12.38-38.49-5.125L260.4 107.1C236.8 120.8 218 141.4 207 166.4L110.3 384h113.7L224 319.1zM256 384h63.98V319.1H256V384zM553.4 416H22.56C10.1 416 0 426.1 0 438.6c0 6.543 2.781 12.79 7.688 17.12C30.41 475.7 88.99 512 166.4 512h243.2c76.61 0 135.1-36.26 158.7-56.28C573.2 451.4 576 445.3 576 438.7C576 426.3 565.9 416 553.4 416z"],
    "hat-wizard": [512, 512, [], "f6e8", "M200 376l-49.23-16.41c-7.289-2.434-7.289-12.75 0-15.18L200 328l16.41-49.23c2.434-7.289 12.75-7.289 15.18 0L248 328l49.23 16.41c7.289 2.434 7.289 12.75 0 15.18L248 376L240 416H448l-86.38-201.6C355.4 200 354.8 183.8 359.8 168.9L416 0L228.4 107.3C204.8 120.8 185.1 141.4 175 166.4L64 416h144L200 376zM231.2 172.4L256 160l12.42-24.84c1.477-2.949 5.68-2.949 7.156 0L288 160l24.84 12.42c2.949 1.477 2.949 5.68 0 7.156L288 192l-12.42 24.84c-1.477 2.949-5.68 2.949-7.156 0L256 192L231.2 179.6C228.2 178.1 228.2 173.9 231.2 172.4zM496 448h-480C7.164 448 0 455.2 0 464C0 490.5 21.49 512 48 512h416c26.51 0 48-21.49 48-48C512 455.2 504.8 448 496 448z"],
    "head-side": [512, 512, [], "f6e9", "M509.2 275c-20.1-47.12-48.5-151.8-73.12-186.8C397.6 33.62 334.5 0 266.1 0H191.1C85.99 0 0 86 0 192c0 56.75 24.75 107.6 64 142.9L63.1 512h255.1l.002-64h63.1c35.37 0 63.1-28.62 63.1-63.1V320h31.1C503.1 320 518.6 296.1 509.2 275zM351.1 224c-17.62 0-31.1-14.38-31.1-32s14.37-32 31.1-32s31.1 14.38 31.1 32S369.6 224 351.1 224z"],
    "head-side-brain": [512, 512, [], "f808", "M159.9 178.9L160 176C160 177 159.9 177.9 159.9 178.9C159.9 178.9 159.8 178.8 159.9 178.9zM509.2 275c-21-47.12-48.5-151.8-73.12-186.8C397.1 32.88 333.7 0 266.1 0H192C86 0 0 86 0 192c0 54.5 23.25 106.5 64 142.9L64 512h256l-.0053-64h63.99c35.38 0 63.1-28.62 63.1-63.1V320h31.1c10.88 0 20.89-5.5 26.77-14.62C512.8 296.4 513.6 284.9 509.2 275zM336 208h-51c2 5.125 3 10.5 3 16c0 26.5-21.5 48-48 48c-5.5 0-10.88-1-16-3L224 320H160L160 269C154.9 271 149.5 272 144 272C117.5 272 96 250.5 96 224c0-1 .25-1.875 .25-2.875C74.13 213.5 60.75 191 64.63 167.9C68.63 144.9 88.63 128 112 128c0-26.5 21.5-48 48-48c8.25 0 16.38 2.25 23.5 6.375C192.3 72.5 207.5 64 224 64c16.5 0 31.75 8.5 40.5 22.38c12.25-7.125 27-8.375 40.38-3.375C318.1 88 328.5 98.62 333 112h3c26.5 0 48 21.5 48 48S362.5 208 336 208z"],
    "head-side-cough": [640, 512, [], "e061", "M608 359.1c-13.25 0-24 10.75-24 24s10.75 24 24 24s24-10.75 24-24S621.3 359.1 608 359.1zM477.2 275c-21-47.13-48.49-151.8-73.11-186.8C365.6 33.63 302.5 0 234.1 0L192 0C86 0 0 86 0 192c0 56.75 24.75 107.6 64 142.9L64 512h223.1v-32h64.01c35.38 0 64-28.62 64-63.1L320 416c-17.67 0-32-14.33-32-32s14.33-32 32-32h95.98l-.003-32h31.99C471.1 320 486.6 296.1 477.2 275zM336 224c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S353.6 224 336 224zM480 359.1c-13.25 0-23.1 10.75-23.1 24s10.75 24 23.1 24s24-10.75 24-24S493.3 359.1 480 359.1zM608 311.1c13.25 0 24-10.75 24-24s-10.75-24-24-24s-24 10.75-24 24S594.8 311.1 608 311.1zM544 311.1c-13.25 0-23.1 10.75-23.1 24s10.75 24 23.1 24s24-10.75 24-24S557.3 311.1 544 311.1zM544 407.1c-13.25 0-23.1 10.75-23.1 24s10.75 24 23.1 24s24-10.75 24-24S557.3 407.1 544 407.1zM608 455.1c-13.25 0-24 10.75-24 24s10.75 24 24 24s24-10.75 24-24S621.3 455.1 608 455.1z"],
    "head-side-cough-slash": [640, 512, [], "e062", "M607.1 311.1c13.25 0 24-10.75 24-23.1s-10.75-23.1-24-23.1s-23.1 10.75-23.1 23.1S594.7 311.1 607.1 311.1zM607.1 407.1c13.25 0 24-10.78 24-24.03c0-13.25-10.75-23.1-24-23.1s-24 10.78-24 24.03C583.1 397.2 594.7 407.1 607.1 407.1zM630.8 469.1l-190.2-149.1h7.4c23.12 0 38.62-23.87 29.25-44.1c-20.1-47.12-48.49-151.7-73.11-186.7C365.6 33.63 302.5 0 234.1 0H192C149.9 0 111.5 14.26 79.88 37.29L38.81 5.109C34.41 1.672 29.19 0 24.03 0C16.91 0 9.845 3.156 5.126 9.187c-8.187 10.44-6.375 25.53 4.062 33.7l591.1 463.1c10.5 8.203 25.56 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1zM320 415.1c-17.67 0-31.1-14.33-31.1-31.1S302.3 351.1 320 351.1l5.758-.0009L18.16 110.9C6.631 135.6 .0006 162.1 .0006 191.1c0 56.75 24.75 107.6 64 142.9L64 511.1h223.1l0-31.1l64.01 .001c33.25 0 60.2-25.38 63.37-57.78l-7.932-6.217H320zM543.1 359.1c13.25 0 24-10.78 24-24.03s-10.75-23.1-24-23.1c-13.25 0-24 10.78-24 24.03C519.1 349.2 530.7 359.1 543.1 359.1z"],
    "head-side-goggles": [512, 512, ["head-vr"], "f6ea", "M303.1 64h111.9l.0601 160h-107.5c-41.75 0-79.88-30.12-84.13-71.75C219.6 104.4 257.1 64 303.1 64zM511.1 208v-128c0-8.875-7.125-16-15.1-16h-47.1v160h47.1C504.9 224 511.1 216.9 511.1 208zM192.6 155.5C189.4 123.9 199.7 92.25 220.1 68.88C242.1 45.5 272.4 32 303.1 32h72.25c-32.37-20.38-70.24-32-110.1-32H223.1c-83.5 0-154.5 53.5-180.9 128h-27.12C7.125 128 0 135.1 0 144v32C0 184.9 7.125 192 15.1 192h187.5C197.9 180.8 193.9 168.5 192.6 155.5zM501.5 256H308.5c-31.12 0-59.62-12.38-80.87-32H34.1c7.375 43.75 29.38 82.5 60.1 110.9V512h223.1l.002-64h63.99c35.37 0 63.1-28.62 63.1-63.1V320h31.1c23.12 0 38.62-23.88 29.25-45C506.7 269.5 504.1 263 501.5 256z"],
    "head-side-headphones": [512, 512, [], "f8c2", "M509.2 275c-21-47.12-48.5-151.8-73.12-186.8C397.1 32.88 333.8 0 266.1 0h-10.13v107.2c37.75 18 63.1 56.13 63.1 100.8c0 61.88-50.12 112-111.1 112S95.1 269.9 95.1 208c0-44.62 26.25-82.75 64-100.8V2.88C69.25 18.13 0 96.88 0 192c0 54.5 23.26 106.6 64.01 142.8L64 512h256l.003-64h63.99c35.38 0 63.1-28.62 63.1-63.1V320h31.1c10.88 0 20.88-5.5 26.76-14.62C512.8 296.4 513.6 284.9 509.2 275zM128 208c0 44.12 35.87 80 79.1 80s79.1-35.88 79.1-80S252.1 128 208 128S128 163.9 128 208zM207.1 176c17.63 0 32 14.38 32 32s-14.38 32-32 32s-32-14.38-32-32S190.4 176 207.1 176z"],
    "head-side-heart": [512, 512, [], "e1aa", "M509.2 275c-21-47.13-48.5-151.8-73.12-186.8C397.1 32.88 333.7 0 266.1 0L192 0C86 0 0 86 0 192c0 54.5 23.25 106.5 64 142.9L64 512h256l-.0052-64h63.99c35.38 0 63.1-28.62 63.1-63.1V320h31.1c10.88 0 20.89-5.5 26.77-14.62C512.8 296.4 513.6 284.9 509.2 275zM330.4 198.3L247.4 283.9c-5.387 5.504-13.95 5.504-19.34 0L145.1 198.3c-24.11-25.02-22.64-66.17 4.285-89.19c23.5-20.02 58.39-16.39 79.81 5.754l8.445 8.754L246 114.9c21.55-22.14 56.56-25.77 79.93-5.754C353 132.1 354.5 173.3 330.4 198.3z"],
    "head-side-mask": [512, 512, [], "e063", "M.1465 184.4C-2.166 244.2 23.01 298 63.99 334.9L63.99 512h160L224 316.5L3.674 156.2C1.871 165.4 .5195 174.8 .1465 184.4zM336 368H496L512 320h-255.1l.0178 192h145.9c27.55 0 52-17.63 60.71-43.76L464 464h-127.1c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16h138.7l10.67-32h-149.3c-8.836 0-16-7.164-16-16C320 375.2 327.2 368 336 368zM509.2 275c-20.1-47.13-48.49-151.8-73.11-186.8C397.6 33.63 334.5 0 266.1 0H200C117.1 0 42.48 50.57 13.25 123.7L239.2 288h272.6C511.8 283.7 511.1 279.3 509.2 275zM352 224c-17.62 0-32-14.38-32-32s14.38-32 32-32c17.62 0 31.1 14.38 31.1 32S369.6 224 352 224z"],
    "head-side-medical": [512, 512, [], "f809", "M509.2 275c-21-47.13-48.5-151.8-73.12-186.8C397.1 32.88 333.7 0 266.1 0H192C86 0 0 86 0 192c0 54.5 23.25 106.5 64 142.9L64 512h256l-.0052-64h63.99c35.38 0 63.1-28.62 63.1-63.1V320h31.1c10.88 0 20.89-5.5 26.77-14.62C512.8 296.4 513.6 284.9 509.2 275zM336 218c0 8.836-7.164 16-16 16h-54V288c0 8.836-7.164 16-16 16h-52C189.2 304 182 296.8 182 288V234H128c-8.836 0-16-7.164-16-16v-52c0-8.836 7.164-16 16-16h54V96c0-8.836 7.165-16 16-16h52c8.836 0 16 7.164 16 16v54h54c8.836 0 16 7.164 16 16V218z"],
    "head-side-virus": [512, 512, [], "e064", "M208 175.1c-8.836 0-16 7.162-16 16c0 8.836 7.163 15.1 15.1 15.1s16-7.164 16-16C224 183.2 216.8 175.1 208 175.1zM272 239.1c-8.836 0-15.1 7.163-15.1 16c0 8.836 7.165 16 16 16s16-7.164 16-16C288 247.2 280.8 239.1 272 239.1zM509.2 275c-20.94-47.13-48.46-151.7-73.1-186.8C397.7 33.59 334.6 0 266.1 0H192C85.95 0 0 85.95 0 192c0 56.8 24.8 107.7 64 142.8L64 512h256l-.0044-64h63.99c35.34 0 63.1-28.65 63.1-63.1V320h31.98C503.1 320 518.6 296.2 509.2 275zM368 240h-12.12c-28.51 0-42.79 34.47-22.63 54.63l8.576 8.576c6.25 6.25 6.25 16.38 0 22.62c-3.125 3.125-7.219 4.688-11.31 4.688s-8.188-1.562-11.31-4.688l-8.576-8.576c-20.16-20.16-54.63-5.881-54.63 22.63V352c0 8.844-7.156 16-16 16s-16-7.156-16-16v-12.12c0-28.51-34.47-42.79-54.63-22.63l-8.576 8.576c-3.125 3.125-7.219 4.688-11.31 4.688c-4.096 0-8.188-1.562-11.31-4.688c-6.25-6.25-6.25-16.38 0-22.62l8.577-8.576C166.9 274.5 152.6 240 124.1 240H112c-8.844 0-16-7.156-16-16s7.157-16 16-16L124.1 208c28.51 0 42.79-34.47 22.63-54.63L138.2 144.8c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.63 0L169.4 130.7c20.16 20.16 54.63 5.881 54.63-22.63V96c0-8.844 7.156-16 16-16S256 87.16 256 96v12.12c0 28.51 34.47 42.79 54.63 22.63l8.576-8.576c6.25-6.25 16.38-6.25 22.63 0s6.25 16.38 0 22.62L333.3 153.4C313.1 173.5 327.4 208 355.9 208l12.12-.0004c8.844 0 15.1 7.157 15.1 16S376.8 240 368 240z"],
    "heading": [448, 512, ["header"], "f1dc", "M448 448c0 17.69-14.33 32-32 32h-96c-17.67 0-32-14.31-32-32s14.33-32 32-32h16v-144h-224v144H128c17.67 0 32 14.31 32 32s-14.33 32-32 32H32c-17.67 0-32-14.31-32-32s14.33-32 32-32h16v-320H32c-17.67 0-32-14.31-32-32s14.33-32 32-32h96c17.67 0 32 14.31 32 32s-14.33 32-32 32H112v112h224v-112H320c-17.67 0-32-14.31-32-32s14.33-32 32-32h96c17.67 0 32 14.31 32 32s-14.33 32-32 32h-16v320H416C433.7 416 448 430.3 448 448z"],
    "headphones": [512, 512, [127911], "f025", "M512 287.9l-.0042 112C511.1 444.1 476.1 480 432 480c-26.47 0-48-21.56-48-48.06V304.1C384 277.6 405.5 256 432 256c10.83 0 20.91 2.723 30.3 6.678C449.7 159.1 362.1 80.13 256 80.13S62.29 159.1 49.7 262.7C59.09 258.7 69.17 256 80 256C106.5 256 128 277.6 128 304.1v127.9C128 458.4 106.5 480 80 480c-44.11 0-79.1-35.88-79.1-80.06L0 288c0-141.2 114.8-256 256-256c140.9 0 255.6 114.5 255.1 255.3C511.1 287.5 511.1 287.7 512 287.9z"],
    "headphones-simple": [512, 512, ["headphones-alt"], "f58f", "M256 32C112.9 32 4.563 151.1 0 288v104C0 405.3 10.75 416 23.1 416S48 405.3 48 392V288c0-114.7 93.34-207.8 208-207.8C370.7 80.2 464 173.3 464 288v104C464 405.3 474.7 416 488 416S512 405.3 512 392V287.1C507.4 151.1 399.1 32 256 32zM160 288L144 288c-35.34 0-64 28.7-64 64.13v63.75C80 451.3 108.7 480 144 480L160 480c17.66 0 32-14.34 32-32.05v-127.9C192 302.3 177.7 288 160 288zM368 288L352 288c-17.66 0-32 14.32-32 32.04v127.9c0 17.7 14.34 32.05 32 32.05L368 480c35.34 0 64-28.7 64-64.13v-63.75C432 316.7 403.3 288 368 288z"],
    "headset": [512, 512, [], "f590", "M191.1 224c0-17.72-14.34-32.04-32-32.04L144 192c-35.34 0-64 28.66-64 64.08v47.79C80 339.3 108.7 368 144 368H160c17.66 0 32-14.36 32-32.06L191.1 224zM256 0C112.9 0 4.583 119.1 .0208 256L0 296C0 309.3 10.75 320 23.1 320S48 309.3 48 296V256c0-114.7 93.34-207.8 208-207.8C370.7 48.2 464 141.3 464 256v144c0 22.09-17.91 40-40 40h-110.7C305 425.7 289.7 416 272 416H241.8c-23.21 0-44.5 15.69-48.87 38.49C187 485.2 210.4 512 239.1 512H272c17.72 0 33.03-9.711 41.34-24H424c48.6 0 88-39.4 88-88V256C507.4 119.1 399.1 0 256 0zM368 368c35.34 0 64-28.7 64-64.13V256.1C432 220.7 403.3 192 368 192l-16 0c-17.66 0-32 14.34-32 32.04L320 335.9C320 353.7 334.3 368 352 368H368z"],
    "heart": [512, 512, [128153, 128154, 128155, 128156, 128420, 129293, 129294, 129505, 10084, 61578, 9829], "f004", "M0 190.9V185.1C0 115.2 50.52 55.58 119.4 44.1C164.1 36.51 211.4 51.37 244 84.02L256 96L267.1 84.02C300.6 51.37 347 36.51 392.6 44.1C461.5 55.58 512 115.2 512 185.1V190.9C512 232.4 494.8 272.1 464.4 300.4L283.7 469.1C276.2 476.1 266.3 480 256 480C245.7 480 235.8 476.1 228.3 469.1L47.59 300.4C17.23 272.1 .0003 232.4 .0003 190.9L0 190.9z"],
    "heart-circle-bolt": [576, 512, [], "e4fc", "M256 368C256 403.7 266.6 436.9 284.9 464.6L279.4 470.3C266.4 483.2 245.5 483.2 233.5 470.3L39.71 270.5C-16.22 212.5-13.23 116.6 49.7 62.68C103.6 15.73 186.5 24.72 236.5 75.67L256.4 96.64L275.4 75.67C325.4 24.72 407.3 15.73 463.2 62.68C506.1 100.1 520.7 157.6 507 208.7C484.3 198 458.8 192 432 192C334.8 192 256 270.8 256 368zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM464.8 286.4L368.8 358.4C364.7 361.5 362.1 366.9 364.6 371.8C366.2 376.7 370.8 380 376 380H411.6L381.5 434.2C378.8 439.1 379.8 445.3 384.1 449C388.4 452.8 394.7 452.1 399.2 449.6L495.2 377.6C499.3 374.5 501 369.1 499.4 364.2C497.8 359.3 493.2 356 488 356H452.4L482.5 301.8C485.2 296.9 484.2 290.7 479.9 286.1C475.6 283.2 469.3 283 464.8 286.4V286.4z"],
    "heart-circle-check": [576, 512, [], "e4fd", "M256 368C256 403.7 266.6 436.9 284.9 464.6L279.4 470.3C266.4 483.2 245.5 483.2 233.5 470.3L39.71 270.5C-16.22 212.5-13.23 116.6 49.7 62.68C103.6 15.73 186.5 24.72 236.5 75.67L256.4 96.64L275.4 75.67C325.4 24.72 407.3 15.73 463.2 62.68C506.1 100.1 520.7 157.6 507 208.7C484.3 198 458.8 192 432 192C334.8 192 256 270.8 256 368zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM476.7 324.7L416 385.4L387.3 356.7C381.1 350.4 370.9 350.4 364.7 356.7C358.4 362.9 358.4 373.1 364.7 379.3L404.7 419.3C410.9 425.6 421.1 425.6 427.3 419.3L499.3 347.3C505.6 341.1 505.6 330.9 499.3 324.7C493.1 318.4 482.9 318.4 476.7 324.7H476.7z"],
    "heart-circle-exclamation": [576, 512, [], "e4fe", "M256 368C256 403.7 266.6 436.9 284.9 464.6L279.4 470.3C266.4 483.2 245.5 483.2 233.5 470.3L39.71 270.5C-16.22 212.5-13.23 116.6 49.7 62.68C103.6 15.73 186.5 24.72 236.5 75.67L256.4 96.64L275.4 75.67C325.4 24.72 407.3 15.73 463.2 62.68C506.1 100.1 520.7 157.6 507 208.7C484.3 198 458.8 192 432 192C334.8 192 256 270.8 256 368zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 464C445.3 464 456 453.3 456 440C456 426.7 445.3 416 432 416C418.7 416 408 426.7 408 440C408 453.3 418.7 464 432 464zM415.1 288V368C415.1 376.8 423.2 384 431.1 384C440.8 384 447.1 376.8 447.1 368V288C447.1 279.2 440.8 272 431.1 272C423.2 272 415.1 279.2 415.1 288z"],
    "heart-circle-minus": [576, 512, [], "e4ff", "M256 368C256 403.7 266.6 436.9 284.9 464.6L279.4 470.3C266.4 483.2 245.5 483.2 233.5 470.3L39.71 270.5C-16.22 212.5-13.23 116.6 49.7 62.68C103.6 15.73 186.5 24.72 236.5 75.67L256.4 96.64L275.4 75.67C325.4 24.72 407.3 15.73 463.2 62.68C506.1 100.1 520.7 157.6 507 208.7C484.3 198 458.8 192 432 192C334.8 192 256 270.8 256 368zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM496 351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H496C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1z"],
    "heart-circle-plus": [576, 512, [], "e500", "M256 368C256 403.7 266.6 436.9 284.9 464.6L279.4 470.3C266.4 483.2 245.5 483.2 233.5 470.3L39.71 270.5C-16.22 212.5-13.23 116.6 49.7 62.68C103.6 15.73 186.5 24.72 236.5 75.67L256.4 96.64L275.4 75.67C325.4 24.72 407.3 15.73 463.2 62.68C506.1 100.1 520.7 157.6 507 208.7C484.3 198 458.8 192 432 192C334.8 192 256 270.8 256 368zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM448 303.1C448 295.2 440.8 287.1 432 287.1C423.2 287.1 416 295.2 416 303.1V351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H416V431.1C416 440.8 423.2 447.1 432 447.1C440.8 447.1 448 440.8 448 431.1V383.1H496C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1H448V303.1z"],
    "heart-circle-xmark": [576, 512, [], "e501", "M256 368C256 403.7 266.6 436.9 284.9 464.6L279.4 470.3C266.4 483.2 245.5 483.2 233.5 470.3L39.71 270.5C-16.22 212.5-13.23 116.6 49.7 62.68C103.6 15.73 186.5 24.72 236.5 75.67L256.4 96.64L275.4 75.67C325.4 24.72 407.3 15.73 463.2 62.68C506.1 100.1 520.7 157.6 507 208.7C484.3 198 458.8 192 432 192C334.8 192 256 270.8 256 368zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM491.3 331.3C497.6 325.1 497.6 314.9 491.3 308.7C485.1 302.4 474.9 302.4 468.7 308.7L432 345.4L395.3 308.7C389.1 302.4 378.9 302.4 372.7 308.7C366.4 314.9 366.4 325.1 372.7 331.3L409.4 368L372.7 404.7C366.4 410.9 366.4 421.1 372.7 427.3C378.9 433.6 389.1 433.6 395.3 427.3L432 390.6L468.7 427.3C474.9 433.6 485.1 433.6 491.3 427.3C497.6 421.1 497.6 410.9 491.3 404.7L454.6 368L491.3 331.3z"],
    "heart-crack": [512, 512, [128148, "heart-broken"], "f7a9", "M119.4 44.1C142.7 40.22 166.2 42.2 187.1 49.43L237.8 126.9L162.3 202.3C160.8 203.9 159.1 205.1 160 208.2C160 210.3 160.1 212.4 162.6 213.9L274.6 317.9C277.5 320.6 281.1 320.7 285.1 318.2C288.2 315.6 288.9 311.2 286.8 307.8L226.4 209.7L317.1 134.1C319.7 131.1 320.7 128.5 319.5 125.3L296.8 61.74C325.4 45.03 359.2 38.53 392.6 44.1C461.5 55.58 512 115.2 512 185.1V190.9C512 232.4 494.8 272.1 464.4 300.4L283.7 469.1C276.2 476.1 266.3 480 256 480C245.7 480 235.8 476.1 228.3 469.1L47.59 300.4C17.23 272.1 0 232.4 0 190.9V185.1C0 115.2 50.52 55.58 119.4 44.09V44.1z"],
    "heart-half": [512, 512, [], "e1ab", "M256 96L244 84.02L244 84C211.4 51.37 164.1 36.51 119.4 44.1C50.52 55.58 0 115.2 0 185.1V190.9C0 232.4 17.23 272.1 47.59 300.4L228.3 469.1C235.8 476.1 245.7 480 256 480L256 429.3L256 163.9V96z"],
    "heart-half-stroke": [512, 512, ["heart-half-alt"], "e1ac", "M119.4 44.1C164.1 36.51 211.3 51.37 243.1 83.99L255.1 96L267.1 84.02C300.6 51.37 347 36.51 392.6 44.1C461.5 55.58 512 115.2 512 185.1V190.9C512 232.4 494.8 272.1 464.4 300.4L283.7 469.1C276.2 476.1 266.3 480 256 480C245.7 480 235.8 476.1 228.3 469.1L47.59 300.4C17.23 272.1 0 232.4 0 190.9V185.1C0 115.2 50.52 55.58 119.4 44.09L119.4 44.1zM255.1 186.5V407.4L420.7 253.6C438.1 237.4 448 214.7 448 190.9V185.1C448 146.5 420.1 113.6 382 107.2C356.9 103 331.3 111.2 313.2 129.3L255.1 186.5z"],
    "heart-pulse": [576, 512, ["heartbeat"], "f21e", "M352.4 243.8l-49.83 99.5c-6.009 12-23.41 11.62-28.92-.625L216.7 216.3l-30.05 71.75L88.55 288l176.4 182.2c12.66 13.07 33.36 13.07 46.03 0l176.4-182.2l-112.1 .0052L352.4 243.8zM495.2 62.86c-54.36-46.98-137.5-38.5-187.5 13.06L288 96.25L268.3 75.92C218.3 24.36 135.2 15.88 80.81 62.86C23.37 112.5 16.84 197.6 60.18 256h105l35.93-86.25c5.508-12.88 23.66-13.12 29.54-.375l58.21 129.4l49.07-98c5.884-11.75 22.78-11.75 28.67 0l27.67 55.25h121.5C559.2 197.6 552.6 112.5 495.2 62.86z"],
    "heat": [448, 512, [], "e00c", "M64 152.2V127.1C64 110.3 49.67 96 32 96S0 110.3 0 127.1l0 24.25C.0001 206.1 19.49 258.4 55.78 298.2c25.96 28.48 40.35 65.69 40.22 104.2l0 45.63c0 17.67 14.33 31.1 32 31.1s31.1-14.33 31.1-32l0-45.61c-.0001-53.9-19.51-106.2-55.84-146C78.2 227.9 63.87 190.8 64 152.2zM391.7 255.8c-25.63-28.39-39.69-65.32-39.69-103.6l-.0001-24.25C352 110.3 337.7 96 320 96C302.3 96 288 110.3 288 127.1l.0001 24.25c.0001 53.86 19.49 106.1 55.77 145.9C369.7 326.7 384.1 363.9 384 402.4v45.63C384 465.7 398.3 480 415.1 480C433.7 480 448 465.7 448 448v-45.63C448 348.3 427.9 295.9 391.7 255.8zM208 152.2V63.1C208 46.33 193.7 32 176 32s-32 14.33-31.1 31.1l.0001 88.25c.0001 53.86 19.49 106.1 55.77 145.9c25.96 28.48 40.35 65.69 40.22 104.2l0 45.63C239.1 465.7 254.3 480 272 480s31.1-14.33 31.1-32l0-45.61c-.0001-53.9-19.51-106.2-55.84-146C222.2 227.9 207.9 190.8 208 152.2z"],
    "helicopter": [640, 512, [128641], "f533", "M127.1 32C127.1 14.33 142.3 0 159.1 0H544C561.7 0 576 14.33 576 32C576 49.67 561.7 64 544 64H384V128H416C504.4 128 576 199.6 576 288V352C576 369.7 561.7 384 544 384H303.1C293.9 384 284.4 379.3 278.4 371.2L191.1 256L47.19 198.1C37.65 194.3 30.52 186.1 28.03 176.1L4.97 83.88C2.445 73.78 10.08 64 20.49 64H47.1C58.07 64 67.56 68.74 73.6 76.8L111.1 128H319.1V64H159.1C142.3 64 127.1 49.67 127.1 32V32zM384 320H512V288C512 234.1 469 192 416 192H384V320zM630.6 470.6L626.7 474.5C602.7 498.5 570.2 512 536.2 512H255.1C238.3 512 223.1 497.7 223.1 480C223.1 462.3 238.3 448 255.1 448H536.2C553.2 448 569.5 441.3 581.5 429.3L585.4 425.4C597.9 412.9 618.1 412.9 630.6 425.4C643.1 437.9 643.1 458.1 630.6 470.6L630.6 470.6z"],
    "helicopter-symbol": [576, 512, [], "e502", "M320 66.66V1.985C435.8 16.42 527.6 108.2 542 224H477.3C463.9 143.6 400.4 80.15 320 66.66V66.66zM320 510V445.4C400.4 431.9 463.9 368.4 477.3 288H542C527.6 403.8 435.8 495.6 320 510V510zM33.98 288H98.65C112.1 368.4 175.6 431.9 256 445.4V510C140.2 495.6 48.42 403.8 33.98 288zM256 1.984V66.66C175.6 80.15 112.1 143.6 98.66 224H33.98C48.42 108.2 140.2 16.42 256 1.985V1.984zM240 224H336V160C336 142.3 350.3 128 368 128C385.7 128 400 142.3 400 160V352C400 369.7 385.7 384 368 384C350.3 384 336 369.7 336 352V288H240V352C240 369.7 225.7 384 208 384C190.3 384 176 369.7 176 352V160C176 142.3 190.3 128 208 128C225.7 128 240 142.3 240 160V224z"],
    "helmet-battle": [576, 512, [], "f6eb", "M31.99 256c17.63 0 32.01-12.5 32.01-28V0L.9928 221.1C-4.132 238.9 11.24 256 31.99 256zM575 221.1L512 0v228c0 15.5 14.38 28 32 28C564.8 256 580.1 238.9 575 221.1zM480 210.9C480 90.38 288 0 288 0S95.1 90.38 95.1 210.9c0 82.75-22.88 145.9-31.13 180.6c-3.375 14.5 3.625 29.38 16.38 35.25L255.1 512V256L159.1 224L159.1 192h256L416 224l-96 32l-.0009 255.1l174.9-85.25c12.63-5.875 19.75-20.75 16.25-35.25C502.9 356.8 480 293.6 480 210.9z"],
    "helmet-safety": [576, 512, ["hard-hat", "hat-hard"], "f807", "M544 280.9c0-89.17-61.83-165.4-139.6-197.4L352 174.2V49.78C352 39.91 344.1 32 334.2 32H241.8C231.9 32 224 39.91 224 49.78v124.4L171.6 83.53C93.83 115.5 32 191.7 32 280.9L31.99 352h512L544 280.9zM574.7 393.7C572.2 387.8 566.4 384 560 384h-544c-6.375 0-12.16 3.812-14.69 9.656c-2.531 5.875-1.344 12.69 3.062 17.34C7.031 413.8 72.02 480 287.1 480s280.1-66.19 283.6-69C576 406.3 577.2 399.5 574.7 393.7z"],
    "helmet-un": [512, 512, [], "e503", "M480 224C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H368V462.5L369.5 464H456C469.3 464 480 474.7 480 488C480 501.3 469.3 512 456 512H360C353.9 512 347.1 509.7 343.5 505.4L214.9 384H87.65C39.24 384 0 344.8 0 296.3V240C0 107.5 107.5 0 240 0C367.2 0 471.2 98.91 479.5 224H480zM320 288H274.4L241.1 343.5L320 417.2V288zM285.3 103.1C281.4 97.26 274.1 94.64 267.4 96.69C260.6 98.73 256 104.9 256 112V208C256 216.8 263.2 224 272 224C280.8 224 288 216.8 288 208V164.8L322.7 216.9C326.6 222.7 333.9 225.4 340.6 223.3C347.4 221.3 352 215.1 352 208V112C352 103.2 344.8 96 336 96C327.2 96 320 103.2 320 112V155.2L285.3 103.1zM160 112C160 103.2 152.8 96 144 96C135.2 96 128 103.2 128 112V176C128 202.5 149.5 224 176 224C202.5 224 224 202.5 224 176V112C224 103.2 216.8 96 208 96C199.2 96 192 103.2 192 112V176C192 184.8 184.8 192 176 192C167.2 192 160 184.8 160 176V112z"],
    "hexagon": [512, 512, [11043], "f312", "M342 32C367.1 32 390.5 45.1 403.5 66.56L496 218.6C510 241.6 510 270.4 496 293.4L403.5 445.4C390.5 466.9 367.1 480 342 480H169.1C144.9 480 121.5 466.9 108.5 445.4L15.96 293.4C1.962 270.4 1.962 241.6 15.96 218.6L108.5 66.56C121.5 45.1 144.9 32 169.1 32H342z"],
    "hexagon-check": [512, 512, [], "e416", "M108.5 66.56C121.5 45.1 144.9 32 169.1 32H342C367.1 32 390.5 45.1 403.5 66.56L496 218.6C510 241.6 510 270.4 496 293.4L403.5 445.4C390.5 466.9 367.1 480 342 480H169.1C144.9 480 121.5 466.9 108.5 445.4L15.96 293.4C1.962 270.4 1.962 241.6 15.96 218.6L108.5 66.56zM371.8 211.8C382.7 200.9 382.7 183.1 371.8 172.2C360.9 161.3 343.1 161.3 332.2 172.2L224 280.4L179.8 236.2C168.9 225.3 151.1 225.3 140.2 236.2C129.3 247.1 129.3 264.9 140.2 275.8L204.2 339.8C215.1 350.7 232.9 350.7 243.8 339.8L371.8 211.8z"],
    "hexagon-divide": [512, 512, [], "e1ad", "M108.5 66.56C121.5 45.1 144.9 32 169.1 32H342C367.1 32 390.5 45.1 403.5 66.56L496 218.6C510 241.6 510 270.4 496 293.4L403.5 445.4C390.5 466.9 367.1 480 342 480H169.1C144.9 480 121.5 466.9 108.5 445.4L15.96 293.4C1.962 270.4 1.962 241.6 15.96 218.6L108.5 66.56zM255.1 192C273.7 192 288 177.7 288 160C288 142.3 273.7 128 255.1 128C238.3 128 223.1 142.3 223.1 160C223.1 177.7 238.3 192 255.1 192zM167.1 232C154.7 232 143.1 242.7 143.1 256C143.1 269.3 154.7 280 167.1 280H344C357.3 280 368 269.3 368 256C368 242.7 357.3 232 344 232H167.1zM255.1 320C238.3 320 223.1 334.3 223.1 352C223.1 369.7 238.3 384 255.1 384C273.7 384 288 369.7 288 352C288 334.3 273.7 320 255.1 320z"],
    "hexagon-exclamation": [512, 512, [], "e417", "M108.5 66.56C121.5 45.1 144.9 32 169.1 32H342C367.1 32 390.5 45.1 403.5 66.56L496 218.6C510 241.6 510 270.4 496 293.4L403.5 445.4C390.5 466.9 367.1 480 342 480H169.1C144.9 480 121.5 466.9 108.5 445.4L15.96 293.4C1.962 270.4 1.962 241.6 15.96 218.6L108.5 66.56zM231.1 152V264C231.1 277.3 242.7 288 255.1 288C269.3 288 280 277.3 280 264V152C280 138.7 269.3 128 255.1 128C242.7 128 231.1 138.7 231.1 152zM255.1 320C238.3 320 223.1 334.3 223.1 352C223.1 369.7 238.3 384 255.1 384C273.7 384 288 369.7 288 352C288 334.3 273.7 320 255.1 320z"],
    "hexagon-image": [512, 512, [], "e504", "M105.4 67.08C118.2 44.81 141.1 31.08 167.7 31.08H344.3C370 31.08 393.8 44.81 406.6 67.08L494.9 219.1C507.8 242.3 507.8 269.7 494.9 291.1L406.6 444.9C393.8 467.2 370 480.9 344.3 480.9H167.7C141.1 480.9 118.2 467.2 105.4 444.9L17.07 291.1C4.206 269.7 4.206 242.3 17.07 219.1L105.4 67.08zM158.3 279.8L107.1 335.9L153.9 416.9C156.7 421.9 161.1 424.9 167.7 424.9H344.3C350 424.9 355.3 421.9 358.1 416.9L413.4 321.2L340.7 233.8C336.2 228.3 329.4 225.1 322.3 225.1C315.2 225.1 308.4 228.3 303.8 233.8L232.2 320L193.3 279.4C188.7 274.6 182.4 271.9 175.7 272C169.1 272.1 162.8 274.9 158.3 279.8V279.8zM192 199.1C214.1 199.1 232 182.1 232 159.1C232 137.9 214.1 119.1 192 119.1C169.9 119.1 152 137.9 152 159.1C152 182.1 169.9 199.1 192 199.1z"],
    "hexagon-minus": [512, 512, ["minus-hexagon"], "f307", "M108.5 66.56C121.5 45.1 144.9 32 169.1 32H342C367.1 32 390.5 45.1 403.5 66.56L496 218.6C510 241.6 510 270.4 496 293.4L403.5 445.4C390.5 466.9 367.1 480 342 480H169.1C144.9 480 121.5 466.9 108.5 445.4L15.96 293.4C1.962 270.4 1.962 241.6 15.96 218.6L108.5 66.56zM167.1 232C154.7 232 143.1 242.7 143.1 256C143.1 269.3 154.7 280 167.1 280H344C357.3 280 368 269.3 368 256C368 242.7 357.3 232 344 232H167.1z"],
    "hexagon-plus": [512, 512, ["plus-hexagon"], "f300", "M108.5 66.56C121.5 45.1 144.9 32 169.1 32H342C367.1 32 390.5 45.1 403.5 66.56L496 218.6C510 241.6 510 270.4 496 293.4L403.5 445.4C390.5 466.9 367.1 480 342 480H169.1C144.9 480 121.5 466.9 108.5 445.4L15.96 293.4C1.962 270.4 1.962 241.6 15.96 218.6L108.5 66.56zM255.1 368C269.3 368 280 357.3 280 344V280H344C357.3 280 368 269.3 368 256C368 242.7 357.3 232 344 232H280V168C280 154.7 269.3 144 255.1 144C242.7 144 231.1 154.7 231.1 168V232H167.1C154.7 232 143.1 242.7 143.1 256C143.1 269.3 154.7 280 167.1 280H231.1V344C231.1 357.3 242.7 368 255.1 368z"],
    "hexagon-vertical-nft": [512, 512, [], "e505", "M220.9 17.65C243.2 4.785 270.6 4.785 292.9 17.65L445.8 105.9C468.1 118.8 481.8 142.6 481.8 168.3V344.9C481.8 370.6 468.1 394.4 445.8 407.2L292.9 495.5C270.6 508.4 243.2 508.4 220.9 495.5L68 407.2C45.72 394.4 32 370.6 32 344.9V168.3C32 142.6 45.72 118.8 68 105.9L220.9 17.65zM127.8 170.6C124.9 163.5 117.4 159.4 109.9 160.9C102.4 162.3 96.92 168.9 96.92 176.6V336.6C96.92 345.4 104.1 352.6 112.9 352.6C121.8 352.6 128.9 345.4 128.9 336.6V259.7L162.1 342.5C164.9 349.6 172.4 353.7 179.9 352.3C187.5 350.8 192.9 344.2 192.9 336.6V176.6C192.9 167.7 185.8 160.6 176.9 160.6C168.1 160.6 160.9 167.7 160.9 176.6V253.5L127.8 170.6zM224.9 336.6C224.9 345.4 232.1 352.6 240.9 352.6C249.8 352.6 256.9 345.4 256.9 336.6V272.6H288.9C297.8 272.6 304.9 265.4 304.9 256.6C304.9 247.7 297.8 240.6 288.9 240.6H256.9V192.6H288.9C297.8 192.6 304.9 185.4 304.9 176.6C304.9 167.7 297.8 160.6 288.9 160.6H240.9C232.1 160.6 224.9 167.7 224.9 176.6V336.6zM336.9 160.6C328.1 160.6 320.9 167.7 320.9 176.6C320.9 185.4 328.1 192.6 336.9 192.6H352.9V336.6C352.9 345.4 360.1 352.6 368.9 352.6C377.8 352.6 384.9 345.4 384.9 336.6V192.6H400.9C409.8 192.6 416.9 185.4 416.9 176.6C416.9 167.7 409.8 160.6 400.9 160.6H336.9z"],
    "hexagon-vertical-nft-slanted": [512, 512, [], "e506", "M220.9 17.65C243.2 4.785 270.6 4.785 292.9 17.65L445.8 105.9C468.1 118.8 481.8 142.6 481.8 168.3V344.9C481.8 370.6 468.1 394.4 445.8 407.2L292.9 495.5C270.6 508.4 243.2 508.4 220.9 495.5L68 407.2C45.72 394.4 32 370.6 32 344.9V168.3C32 142.6 45.72 118.8 68 105.9L220.9 17.65zM304 123.5C304 117.7 300.9 112.4 295.9 109.6L248.1 82.31C246.1 81.09 243.8 80.3 241.4 80.07C240.9 80.03 240.4 80 239.9 80H239.8C236.6 80 233.6 80.98 231 82.65C229.5 83.64 228.2 84.9 227 86.4C225.9 87.94 224.1 89.71 224.5 91.63C224 93.18 223.8 94.77 223.8 96.34V400.6C223.8 409.4 231 416.6 239.8 416.6C248.7 416.6 255.8 409.4 255.8 400.6V272.6H287.8C296.7 272.6 303.8 265.4 303.8 256.6C303.8 247.7 296.7 240.6 287.8 240.6H255.8V123.6L280.1 137.4C290.7 143.5 304 135.8 304 123.5H304zM320 150.9C320 156.6 323.1 161.9 328.1 164.8L351.8 178.4V352.6C351.8 361.4 359 368.6 367.8 368.6C376.7 368.6 383.8 361.4 383.8 352.6V196.6L400.1 205.9C407.7 210.3 417.5 207.6 421.9 199.9C426.3 192.3 423.6 182.5 415.9 178.1L343.9 137C333.3 130.9 320 138.6 320 150.9V150.9zM159.8 144.6V269.1L127 171.5C124.5 164.1 117 159.5 109.3 160.8C101.5 162 95.85 168.7 95.85 176.6V336.6C95.85 345.4 103 352.6 111.8 352.6C120.7 352.6 127.8 345.4 127.8 336.6V275.2L160.7 373.6C163.2 381.1 170.7 385.6 178.4 384.4C186.2 383.1 191.8 376.4 191.8 368.6V144.6C191.8 135.7 184.7 128.6 175.8 128.6C167 128.6 159.8 135.7 159.8 144.6V144.6z"],
    "hexagon-xmark": [512, 512, ["times-hexagon", "xmark-hexagon"], "f2ee", "M108.5 66.56C121.5 45.1 144.9 32 169.1 32H342C367.1 32 390.5 45.1 403.5 66.56L496 218.6C510 241.6 510 270.4 496 293.4L403.5 445.4C390.5 466.9 367.1 480 342 480H169.1C144.9 480 121.5 466.9 108.5 445.4L15.96 293.4C1.962 270.4 1.962 241.6 15.96 218.6L108.5 66.56zM175 208.1L222.1 255.1L175 303C165.7 312.4 165.7 327.6 175 336.1C184.4 346.3 199.6 346.3 208.1 336.1L255.1 289.9L303 336.1C312.4 346.3 327.6 346.3 336.1 336.1C346.3 327.6 346.3 312.4 336.1 303L289.9 255.1L336.1 208.1C346.3 199.6 346.3 184.4 336.1 175C327.6 165.7 312.4 165.7 303 175L255.1 222.1L208.1 175C199.6 165.7 184.4 165.7 175 175C165.7 184.4 165.7 199.6 175 208.1V208.1z"],
    "high-definition": [576, 512, ["rectangle-hd"], "e1ae", "M384 208h-32v96h32c26.47 0 48-21.53 48-48S410.5 208 384 208zM512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM272 328C272 341.3 261.3 352 248 352S224 341.3 224 328v-48H160v48C160 341.3 149.3 352 136 352S112 341.3 112 328v-144C112 170.8 122.8 160 136 160S160 170.8 160 184v48h64v-48C224 170.8 234.8 160 248 160S272 170.8 272 184V328zM384 352h-56c-13.25 0-24-10.75-24-24v-144C304 170.8 314.8 160 328 160H384c52.94 0 96 43.06 96 96S436.9 352 384 352z"],
    "highlighter": [576, 512, [], "f591", "M143.1 320V248.3C143.1 233 151.2 218.7 163.5 209.6L436.6 8.398C444 2.943 452.1 0 462.2 0C473.6 0 484.5 4.539 492.6 12.62L547.4 67.38C555.5 75.46 559.1 86.42 559.1 97.84C559.1 107 557.1 115.1 551.6 123.4L350.4 396.5C341.3 408.8 326.1 416 311.7 416H239.1L214.6 441.4C202.1 453.9 181.9 453.9 169.4 441.4L118.6 390.6C106.1 378.1 106.1 357.9 118.6 345.4L143.1 320zM489.4 99.92L460.1 70.59L245 229L330.1 314.1L489.4 99.92zM23.03 466.3L86.06 403.3L156.7 473.9L125.7 504.1C121.2 509.5 115.1 512 108.7 512H40C26.75 512 16 501.3 16 488V483.3C16 476.1 18.53 470.8 23.03 466.3V466.3z"],
    "highlighter-line": [576, 512, [], "e1af", "M127.1 248.3C127.1 233 135.2 218.7 147.5 209.6L420.6 8.398C428 2.943 436.1 0 446.2 0C457.6 0 468.5 4.539 476.6 12.62L531.4 67.38C539.5 75.46 543.1 86.42 543.1 97.84C543.1 107 541.1 115.1 535.6 123.4L334.4 396.5C325.3 408.8 310.1 416 295.7 416H223.1L198.6 441.4C186.1 453.9 165.9 453.9 153.4 441.4L102.6 390.6C90.13 378.1 90.13 357.9 102.6 345.4L127.1 320L127.1 248.3zM229 229L314.1 314.1L473.4 99.92L444.1 70.59L229 229zM140.7 473.9L109.7 504.1C105.2 509.5 99.05 512 92.69 512H24C10.75 512 0 501.3 0 488V483.3C0 476.1 2.529 470.8 7.029 466.3L70.06 403.3L140.7 473.9zM552 464C565.3 464 576 474.7 576 488C576 501.3 565.3 512 552 512H224C210.7 512 200 501.3 200 488C200 474.7 210.7 464 224 464H552z"],
    "hill-avalanche": [640, 512, [], "e507", "M161.4 91.58C160.5 87.87 160 83.99 160 80C160 53.49 181.5 32 208 32C229.9 32 248.3 46.62 254.1 66.62C268.5 45.7 292.7 32 320 32C364.2 32 400 67.82 400 112C400 119.4 398.1 126.6 397.1 133.5C426.9 145.1 448 174.1 448 208C448 236.4 433.2 261.3 410.9 275.5L492.6 357.2C508.2 372.8 533.6 372.8 549.2 357.2C564.8 341.6 564.8 316.2 549.2 300.6C533.6 284.1 508.2 284.1 492.6 300.6L458.7 266.7C493 232.3 548.8 232.3 583.1 266.7C617.5 301 617.5 356.8 583.1 391.1C552.8 421.4 505.9 425 471.7 401.9L161.4 91.58zM512 64C512 81.67 497.7 96 480 96C462.3 96 448 81.67 448 64C448 46.33 462.3 32 480 32C497.7 32 512 46.33 512 64zM480 160C480 142.3 494.3 128 512 128C529.7 128 544 142.3 544 160C544 177.7 529.7 192 512 192C494.3 192 480 177.7 480 160zM456.1 443.7C482.2 468.9 464.3 512 428.7 512H112C67.82 512 32 476.2 32 432V115.3C32 79.68 75.09 61.83 100.3 87.03L456.1 443.7z"],
    "hill-rockslide": [576, 512, [], "e508", "M252.4 103.8C249.7 98.97 249.7 93.03 252.4 88.16L279.4 40.16C282.2 35.12 287.6 32 293.4 32H346.6C352.4 32 357.8 35.12 360.6 40.16L387.6 88.16C390.3 93.03 390.3 98.97 387.6 103.8L360.6 151.8C357.8 156.9 352.4 160 346.6 160H293.4C287.6 160 282.2 156.9 279.4 151.8L252.4 103.8zM424.1 443.7C450.2 468.9 432.3 512 396.7 512H80C35.82 512 0 476.2 0 432V115.3C0 79.68 43.09 61.83 68.28 87.03L424.1 443.7zM456.2 376.6C451.1 373.8 448 368.4 448 362.6V309.4C448 303.6 451.1 298.2 456.2 295.4L504.2 268.4C509 265.7 514.1 265.7 519.8 268.4L567.8 295.4C572.9 298.2 576 303.6 576 309.4V362.6C576 368.4 572.9 373.8 567.8 376.6L519.8 403.6C514.1 406.3 509 406.3 504.2 403.6L456.2 376.6zM192 64C192 81.67 177.7 96 160 96C142.3 96 128 81.67 128 64C128 46.33 142.3 32 160 32C177.7 32 192 46.33 192 64zM352 256C352 238.3 366.3 224 384 224C401.7 224 416 238.3 416 256C416 273.7 401.7 288 384 288C366.3 288 352 273.7 352 256z"],
    "hippo": [640, 512, [129435], "f6ed", "M407 47.03C416.4 37.66 431.6 37.66 440.1 47.03L458.2 64.21C460.1 64.07 462 64 463.1 64H495.1C507.2 64 517.9 66.31 527.6 70.48L543 55.03C552.4 45.66 567.6 45.66 576.1 55.03C586.3 64.4 586.3 79.6 576.1 88.97L564 101.9C571.6 114.1 575.1 128.6 575.1 144C575.1 154.2 583.4 162.8 592.7 166.1C620.6 179.5 639.1 207.5 639.1 240C639.1 266.2 627.4 289.4 607.1 304V336C607.1 344.8 600.8 352 591.1 352H559.1C551.2 352 543.1 344.8 543.1 336V320H479.1V336C479.1 344.8 472.8 352 463.1 352H431.1C423.2 352 415.1 344.8 415.1 336V318.4C404.2 316 393.3 310.1 383.1 304C382.5 302.9 381.1 301.7 379.7 300.5C362.7 285.9 351.1 264.2 351.1 240C351.1 231.2 344.8 224 335.1 224C327.2 224 319.1 231.2 319.1 240C319.1 284.7 346.2 323.2 383.1 341.2V352C383.1 369.7 398.3 384 415.1 384H447.1V448C447.1 465.7 433.7 480 415.1 480H351.1C334.3 480 319.1 465.7 319.1 448V372C300.2 379.7 278.6 384 255.1 384C233.4 384 211.8 379.7 191.1 372V448C191.1 465.7 177.7 480 159.1 480H95.1C78.33 480 63.1 465.7 63.1 448V329.1L45.93 369.7C40.55 381.9 26.36 387.3 14.25 381.9C2.138 376.5-3.317 362.4 2.067 350.3L23.1 300.9C29.27 289 31.1 276.2 31.1 263.2C31.1 155.7 117.2 68.02 223.8 64.13L223.1 64H288C329.7 64 371.4 76.07 405.2 89.73C406.9 87.9 408.7 86.15 410.5 84.48L407 80.97C397.7 71.6 397.7 56.4 407 47.03H407zM455.1 208C442.7 208 431.1 218.7 431.1 232C431.1 245.3 442.7 256 455.1 256C469.3 256 479.1 245.3 479.1 232C479.1 218.7 469.3 208 455.1 208zM567.1 256C581.3 256 591.1 245.3 591.1 232C591.1 218.7 581.3 208 567.1 208C554.7 208 543.1 218.7 543.1 232C543.1 245.3 554.7 256 567.1 256zM463.1 128C455.2 128 447.1 135.2 447.1 144C447.1 152.8 455.2 160 463.1 160C472.8 160 479.1 152.8 479.1 144C479.1 135.2 472.8 128 463.1 128zM527.1 160C536.8 160 543.1 152.8 543.1 144C543.1 135.2 536.8 128 527.1 128C519.2 128 511.1 135.2 511.1 144C511.1 152.8 519.2 160 527.1 160z"],
    "hockey-mask": [448, 512, [], "f6ee", "M448 238.2c0-242.4-217.8-238.2-224-238.2c-6.193 0-223.1-4.253-223.1 238.2c0 49.81 9.68 108.8 32.62 177.8C64.5 512 224 512 224 512s159.5 .0008 191.4-96.01C438.3 346.9 448 287.1 448 238.2zM288 55.97c13.31 0 24 10.69 24 24s-10.69 24-24 24s-24-10.69-24-24S274.7 55.97 288 55.97zM159.1 55.97c13.31 0 24 10.69 24 24S173.3 103.1 159.1 103.1c-13.31 0-24-10.69-24-24S146.7 55.97 159.1 55.97zM63.1 207.1c0-17.63 14.38-32 32-32h64c17.63 0 32 14.38 32 32c0 35.38-28.63 64-64 64S63.1 243.4 63.1 207.1zM175.1 471.1c-13.31 0-24-10.69-24-24s10.69-24 24-24s24 10.69 24 24S189.3 471.1 175.1 471.1zM175.1 407.1c-13.31 0-24-10.69-24-24s10.69-24 24-24s24 10.69 24 24S189.3 407.1 175.1 407.1zM175.1 343.1c-13.31 0-24-10.69-24-24s10.69-24 24-24s24 10.69 24 24S189.3 343.1 175.1 343.1zM224 151.1c-13.31 0-24-10.69-24-24S210.7 103.1 224 103.1s24 10.69 24 24S237.3 151.1 224 151.1zM272 471.1c-13.31 0-24-10.69-24-24s10.69-24 24-24s24 10.69 24 24S285.3 471.1 272 471.1zM272 407.1c-13.31 0-24-10.69-24-24s10.69-24 24-24s24 10.69 24 24S285.3 407.1 272 407.1zM272 343.1c-13.31 0-24-10.69-24-24s10.69-24 24-24s24 10.69 24 24S285.3 343.1 272 343.1zM320 271.1c-35.38 0-64-28.63-64-64c0-17.63 14.38-32 32-32h64c17.63 0 32 14.38 32 32C384 243.4 355.4 271.1 320 271.1z"],
    "hockey-puck": [512, 512, [], "f453", "M0 160c0-53 114.6-96 256-96s256 43 256 96s-114.6 96-256 96S0 213 0 160zM255.1 303.1C156.4 303.1 56.73 283.4 0 242.2V352c0 53 114.6 96 256 96s256-43 256-96V242.2C455.3 283.4 355.6 303.1 255.1 303.1z"],
    "hockey-stick-puck": [640, 512, [], "e3ae", "M32 351.1C14.4 351.1 0 366.4 0 383.1v95.99c0 17.6 14.4 31.1 31.99 32l32 .0052v-159.1L32 351.1zM480 32.02c0-17.41-14.05-32.02-31.99-32.02c-11.74 0-23.03 6.468-28.64 17.69l-167.2 334.3l-156.2 .0004V512h108.2c24.41 0 46.34-13.56 57.25-35.38l215.2-430.3C478.9 41.71 480 36.83 480 32.02zM608 416h-192c-17.67 0-32 14.33-32 32v32c0 17.67 14.33 32 32 32h192c17.67 0 32-14.33 32-32v-32C640 430.3 625.7 416 608 416z"],
    "hockey-sticks": [640, 512, [], "f454", "M373.7 323.8l-35.78 71.56l40.64 81.29C389.4 498.4 411.4 512 435.8 512H544v-160l-156.2-.0006L373.7 323.8zM266.3 252.2L302.1 180.6L220.6 17.69C215 6.468 203.7-.0003 191.1-.0003c-18.12 0-31.99 14.77-31.99 32.02c0 4.811 1.089 9.695 3.387 14.29L266.3 252.2zM607.1 351.1L576 351.1v159.1l32.01-.0052C625.6 511.1 640 497.6 640 479.1v-95.99C640 366.4 625.6 351.1 607.1 351.1zM480 32.02c0-17.41-14.05-32.02-31.99-32.02c-11.74 0-23.03 6.468-28.64 17.69L252.2 351.1L96 351.1V512h108.2c24.41 0 46.34-13.56 57.25-35.38L476.6 46.31C478.9 41.71 480 36.83 480 32.02zM32 351.1c-17.6 0-32 14.4-32 32v95.99c0 17.6 14.4 31.1 31.99 32L64 511.1v-159.1L32 351.1z"],
    "holly-berry": [512, 512, [], "f7aa", "M287.1 143.1c0 26.5 21.5 47.1 47.1 47.1c26.5 0 48-21.5 48-47.1s-21.5-47.1-48-47.1C309.5 95.99 287.1 117.5 287.1 143.1zM176 191.1c26.5 0 47.1-21.5 47.1-47.1S202.5 95.96 176 95.96c-26.5 0-47.1 21.5-47.1 47.1S149.5 191.1 176 191.1zM303.1 47.1C303.1 21.5 282.5 0 255.1 0c-26.5 0-47.1 21.5-47.1 47.1S229.5 95.99 255.1 95.99C282.5 95.99 303.1 74.5 303.1 47.1zM243.7 242.6C245.3 229.7 231.9 220.1 219.5 225.5C179.7 242.8 137.8 251.4 96.72 250.8C86.13 250.6 78.49 260.7 81.78 270.4C86.77 285.7 90.33 301.4 92.44 317.7c2.133 16.15-9.387 31.26-26.12 34.23c-16.87 2.965-33.7 4.348-50.48 4.152c-10.6-.0586-18.37 10.05-15.08 19.74c12.4 35.79 16.57 74.93 12.12 114.7c-1.723 14.96 13.71 25.67 28.02 19.8c38.47-15.95 78.77-23.81 118.2-23.34c10.58 .1953 18.36-9.91 15.07-19.6c-5.141-15.15-8.68-31.06-10.79-47.34c-2.133-16.16 9.371-31.13 26.24-34.09c16.73-2.973 33.57-4.496 50.36-4.301c10.73 .0781 18.51-10.03 15.22-19.72C242.5 324.7 238.5 283.9 243.7 242.6zM496.2 356.1c-16.78 .1953-33.61-1.188-50.48-4.152c-16.73-2.973-28.25-18.08-26.12-34.23c2.115-16.28 5.67-32.05 10.66-47.32c3.289-9.691-4.35-19.81-14.93-19.62c-41.11 .6484-83.01-7.965-122.7-25.23c-6.85-2.969-13.71-1.18-18.47 2.953c1.508 5.836 2.102 11.93 1.332 18.05c-4.539 36.23-1.049 72.56 10.12 105.1c3.395 9.988 3.029 20.73-.4766 30.52c12.44 .5 24.89 1.602 37.28 3.801c16.87 2.957 28.37 17.93 26.24 34.09c-2.115 16.27-5.654 32.19-10.79 47.34c-3.289 9.691 4.486 19.8 15.07 19.6c39.47-.4766 79.77 7.383 118.2 23.34c14.31 5.867 29.74-4.844 28.02-19.8c-4.451-39.81-.2832-78.95 12.12-114.7C514.5 366.1 506.8 356 496.2 356.1z"],
    "honey-pot": [448, 512, [127855], "e418", "M432.4 150.2C444.4 172.8 449.9 198.4 448 224C445.4 314.1 408.5 399.7 344.8 463.5C332.9 474.1 317.5 479.1 301.6 480H146.4C130.5 479.1 115.1 474.1 103.2 463.5C39.51 399.8 2.571 314.1 .0013 224C-1.854 198.4 3.556 172.8 15.61 150.2C27.66 127.5 45.87 108.8 68.13 96H64C55.51 96 47.38 92.63 41.37 86.63C35.37 80.63 32 72.49 32 64C32 55.51 35.37 47.37 41.37 41.37C47.38 35.37 55.51 32 64 32H128V136.1C128 142.4 130.5 148.5 135 153C139.5 157.5 145.6 160.1 152 160.1C158.4 160.1 164.5 157.5 168.1 153C173.5 148.5 176 142.4 176 136.1V32H384C392.5 32 400.6 35.37 406.6 41.37C412.6 47.37 416 55.51 416 64C416 72.49 412.6 80.63 406.6 86.63C400.6 92.63 392.5 96 384 96H379.9C402.1 108.8 420.3 127.5 432.4 150.2zM384 224H64C65.7 268.8 77.64 312.6 98.88 352H349C370.3 312.6 382.3 268.8 384 224z"],
    "hood-cloak": [576, 512, [], "f6ef", "M288.2 192c-70.62 0-128 57.25-128 128l.0658 192h255.1l-.0593-192C416.2 249.2 358.9 192 288.2 192zM569.6 460.8c-57.62-77-57.62-140.9-57.62-140.9v-64c0-84-46.42-122.1-101.2-182.8l39.77-39.75c12.37-12.38 3.625-33.5-13.87-33.5H287.6c-95.62 0-223.6 109.5-223.6 256v64c0 0-.0252 63.85-57.65 140.9C1.865 466.7-.1195 473.5 .0055 479.1c.25 16.5 13.48 32 32.36 32L128.3 512v-192c0-88.25 71.75-160 159.1-160s159.1 71.75 159.1 160v192l95.38 0c18.87 0 32.11-15.5 32.36-32C576.1 473.5 574.1 466.7 569.6 460.8z"],
    "horizontal-rule": [640, 512, [8213], "f86c", "M607.9 288h-576C14.25 288 0 273.7 0 256S14.38 224 32.06 224h576C625.8 224 640 238.3 640 255.1S625.6 288 607.9 288z"],
    "horse": [576, 512, [128014], "f6f0", "M575.9 76.61c0-8.125-3.05-15.84-8.55-21.84c-3.875-4-8.595-9.125-13.72-14.5c11.12-6.75 19.47-17.51 22.22-30.63c.9999-5-2.849-9.641-7.974-9.641L447.9 0c-70.62 0-127.9 57.25-127.9 128L159.1 128c-28.87 0-54.38 12.1-72 33.12L87.1 160C39.5 160 .0001 199.5 .0001 248L0 304c0 8.875 7.125 15.1 15.1 15.1L31.1 320c8.874 0 15.1-7.125 15.1-16l.0005-56c0-13.25 6.884-24.4 16.76-31.65c-.125 2.5-.758 5.024-.758 7.649c0 27.62 11.87 52.37 30.5 69.87l-25.65 68.61c-4.586 12.28-5.312 25.68-2.128 38.4l21.73 86.89C92.02 502 104.8 512 119.5 512h32.98c20.81 0 36.08-19.55 31.05-39.74L162.2 386.9l23.78-63.61l133.1 22.34L319.1 480c0 17.67 14.33 32 31.1 32h31.1c17.67 0 31.1-14.33 31.1-32l.0166-161.8C435.7 297.1 447.1 270.5 447.1 240c0-.25-.1025-.3828-.1025-.6328V136.9L463.9 144l18.95 37.72c7.481 14.86 25.08 21.55 40.52 15.34l32.54-13.05c12.13-4.878 20.11-16.67 20.09-29.74L575.9 76.61zM511.9 96c-8.75 0-15.1-7.125-15.1-16S503.1 64 511.9 64c8.874 0 15.1 7.125 15.1 16S520.8 96 511.9 96z"],
    "horse-head": [512, 512, [], "f7ab", "M509.8 332.5l-69.89-164.3c-14.88-41.25-50.38-70.98-93.01-79.24c18-10.63 46.35-35.9 34.23-82.29c-1.375-5.001-7.112-7.972-11.99-6.097l-202.3 75.66C35.89 123.4 0 238.9 0 398.8v81.24C0 497.7 14.25 512 32 512h236.2c23.75 0 39.3-25.03 28.55-46.28l-40.78-81.71V383.3c-45.63-3.5-84.66-30.7-104.3-69.58c-1.625-3.125-.9342-6.951 1.566-9.327l12.11-12.11c3.875-3.875 10.64-2.692 12.89 2.434c14.88 33.63 48.17 57.38 87.42 57.38c17.13 0 33.05-5.091 46.8-13.22l46 63.9c6 8.501 15.75 13.34 26 13.34h50.28c8.501 0 16.61-3.388 22.61-9.389l45.34-39.84C511.6 357.7 514.4 344.2 509.8 332.5zM328.1 223.1c-13.25 0-23.96-10.75-23.96-24c0-13.25 10.75-23.92 24-23.92s23.94 10.73 23.94 23.98C352 213.3 341.3 223.1 328.1 223.1z"],
    "horse-saddle": [576, 512, [], "f8c3", "M128 159.8V134c-15.38 5.5-29.12 14.85-40 27.1V160.1c-48.62 0-88 39.38-88 88v56.01c0 8.875 7.125 16 16 16L32 320.1c8.875 0 16-7.13 16-16.01v-56.05c0-13.25 6.883-24.36 16.76-31.74C64.51 218.9 64 221.4 64 224c0 26.5 11.12 51.84 30.5 69.84l-25.71 68.74c-4.5 12.12-5.268 25.39-2.143 38.01l24.86 99.25C93.25 506.5 100.1 512 107 512h66c4.875 0 9.625-2.25 12.62-6.125c3-3.875 4.125-9 2.875-13.75l-26.28-105.1l23.78-63.63L208 327.1V254.3C161.9 246.5 128 206.6 128 159.8zM288 160V128L160 128V160c0 35.38 28.62 64 64 64S288 195.4 288 160zM575.9 76.64c0-8.125-3.049-15.85-8.549-21.85c-3.875-4-8.596-9.005-13.72-14.5c11.12-6.75 19.47-17.53 22.22-30.65c.375-2.375-.2344-4.757-1.734-6.632C572.6 1.125 570.4 0 567.9 0H447.9C377.6 0 320.5 56.75 320 127v32.84c0 46.88-33.88 86.72-80 94.47v78.1l80 13.31V496c0 8.875 7.125 15.1 16 15.1L400 512c8.875 0 16-7.125 16-16V318.3c20.5-20.87 32-49.01 32-78.26c0-.25 .0234-.3831-.1016-.633V136.9l16 7.12l18.89 37.74c7.5 14.87 25.12 21.57 40.5 15.32l32.59-13C566.1 179.7 576 166.3 576 154.4L575.9 76.64zM511.9 96.04c-8.75 0-16-7.132-16-16.01s7.25-16.01 16-16.01c8.875 0 16 7.132 16 16.01S520.8 96.04 511.9 96.04z"],
    "hose": [448, 512, [], "e419", "M416 448H32c-17.66 0-32 14.34-32 32s14.34 32 32 32h384c17.66 0 32-14.34 32-32S433.7 448 416 448zM416 352H32c-17.66 0-32 14.34-32 32s14.34 32 32 32h384c17.66 0 32-14.34 32-32S433.7 352 416 352zM432 24c-8.064 0-14.75 5.984-15.84 13.73L336 26.27V24C336 10.75 325.2 0 312 0S288 10.75 288 24v80C288 117.2 298.8 128 312 128s24-10.75 24-24V101.7l80.16-11.46C417.2 98.02 423.9 104 432 104c8.832 0 16-7.168 16-16v-48C448 31.17 440.8 24 432 24zM416 256H144C99.81 256 64 220.2 64 176S99.81 96 144 96H256V32H144C64.48 32 0 96.48 0 176S64.48 320 144 320H416c17.66 0 32-14.34 32-32S433.7 256 416 256z"],
    "hose-reel": [576, 512, [], "e41a", "M584 352H576V256c0-141.4-114.6-256-256-256C178.6 0 64 114.6 64 256s114.6 256 256 256c54.34 0 104.8-16.96 146.3-45.92c14.5-10.08 18.05-30.05 7.936-44.54s-30.05-18.05-44.54-7.936C398.6 435.3 360.8 448 320 448c-106 0-192-85.95-192-192s85.95-192 192-192s192 85.95 192 192v96h-8C490.8 352 480 362.8 480 376s10.75 24 24 24h2.271l11.46 80.16C509.1 481.2 504 487.9 504 496c0 8.832 7.168 16 16 16h48c8.832 0 16-7.168 16-16c0-8.064-5.984-14.75-13.73-15.84L581.7 400H584c13.25 0 24-10.75 24-24S597.2 352 584 352zM320 192C284.6 192 256 220.6 256 256s28.64 64 64 64s64-28.64 64-64S355.4 192 320 192zM320 96C231.6 96 160 167.6 160 256s71.65 160 160 160s160-71.65 160-160S408.4 96 320 96zM320 352c-53.02 0-96-42.98-96-96s42.98-96 96-96s96 42.98 96 96S373 352 320 352z"],
    "hospital": [640, 512, [127973, 62589, "hospital-alt", "hospital-wide"], "f0f8", "M192 48C192 21.49 213.5 0 240 0H400C426.5 0 448 21.49 448 48V512H368V432C368 405.5 346.5 384 320 384C293.5 384 272 405.5 272 432V512H192V48zM312 64C303.2 64 296 71.16 296 80V104H272C263.2 104 256 111.2 256 120V136C256 144.8 263.2 152 272 152H296V176C296 184.8 303.2 192 312 192H328C336.8 192 344 184.8 344 176V152H368C376.8 152 384 144.8 384 136V120C384 111.2 376.8 104 368 104H344V80C344 71.16 336.8 64 328 64H312zM160 96V512H48C21.49 512 0 490.5 0 464V320H80C88.84 320 96 312.8 96 304C96 295.2 88.84 288 80 288H0V224H80C88.84 224 96 216.8 96 208C96 199.2 88.84 192 80 192H0V144C0 117.5 21.49 96 48 96H160zM592 96C618.5 96 640 117.5 640 144V192H560C551.2 192 544 199.2 544 208C544 216.8 551.2 224 560 224H640V288H560C551.2 288 544 295.2 544 304C544 312.8 551.2 320 560 320H640V464C640 490.5 618.5 512 592 512H480V96H592z"],
    "hospital-user": [576, 512, [], "f80d", "M272 0C298.5 0 320 21.49 320 48V367.8C281.8 389.2 256 430 256 476.9C256 489.8 259.6 501.8 265.9 512H48C21.49 512 0 490.5 0 464V384H144C152.8 384 160 376.8 160 368C160 359.2 152.8 352 144 352H0V288H144C152.8 288 160 280.8 160 272C160 263.2 152.8 256 144 256H0V48C0 21.49 21.49 0 48 0H272zM152 64C143.2 64 136 71.16 136 80V104H112C103.2 104 96 111.2 96 120V136C96 144.8 103.2 152 112 152H136V176C136 184.8 143.2 192 152 192H168C176.8 192 184 184.8 184 176V152H208C216.8 152 224 144.8 224 136V120C224 111.2 216.8 104 208 104H184V80C184 71.16 176.8 64 168 64H152zM512 272C512 316.2 476.2 352 432 352C387.8 352 352 316.2 352 272C352 227.8 387.8 192 432 192C476.2 192 512 227.8 512 272zM288 477.1C288 425.7 329.7 384 381.1 384H482.9C534.3 384 576 425.7 576 477.1C576 496.4 560.4 512 541.1 512H322.9C303.6 512 288 496.4 288 477.1V477.1z"],
    "hospitals": [576, 512, [], "f80e", "M304 0H528C554.5 0 576 21.49 576 48V256H464C455.2 256 448 263.2 448 272C448 280.8 455.2 288 464 288H576V352H464C455.2 352 448 359.2 448 368C448 376.8 455.2 384 464 384H576V464C576 490.5 554.5 512 528 512H311.4C316.9 502.6 320 491.7 320 480V96C320 61.56 292.8 33.48 258.7 32.06C265.3 13.38 283.1 0 304 0H304zM408 104H384C375.2 104 368 111.2 368 120V136C368 144.8 375.2 152 384 152H408V176C408 184.8 415.2 192 424 192H440C448.8 192 456 184.8 456 176V152H480C488.8 152 496 144.8 496 136V120C496 111.2 488.8 104 480 104H456V80C456 71.16 448.8 64 440 64H424C415.2 64 408 71.16 408 80V104zM0 112C0 85.49 21.49 64 48 64H240C266.5 64 288 85.49 288 112V464C288 490.5 266.5 512 240 512H48C21.49 512 0 490.5 0 464V448H144C152.8 448 160 440.8 160 432C160 423.2 152.8 416 144 416H0V352H144C152.8 352 160 344.8 160 336C160 327.2 152.8 320 144 320H0V112zM120 168H96C87.16 168 80 175.2 80 184V200C80 208.8 87.16 216 96 216H120V240C120 248.8 127.2 256 136 256H152C160.8 256 168 248.8 168 240V216H192C200.8 216 208 208.8 208 200V184C208 175.2 200.8 168 192 168H168V144C168 135.2 160.8 128 152 128H136C127.2 128 120 135.2 120 144V168z"],
    "hot-tub-person": [512, 512, ["hot-tub"], "f593", "M414.3 177.6C415.3 185.9 421.1 192 429.1 192h16.13c9.5 0 17-8.625 16-18.38C457.8 134.5 439.6 99.12 412 76.5c-17.38-14.12-28.88-36.75-32-62.12C379 6.125 372.3 0 364.3 0h-16.12c-9.5 0-17.12 8.625-16 18.38c4.375 39.12 22.38 74.5 50.13 97.13C399.6 129.6 411 152.2 414.3 177.6zM306.3 177.6C307.3 185.9 313.1 192 321.1 192h16.13c9.5 0 17-8.625 16-18.38C349.8 134.5 331.6 99.12 304 76.5c-17.38-14.12-28.88-36.75-32-62.12C271 6.125 264.3 0 256.3 0h-16.17C230.6 0 223 8.625 224.1 18.38C228.5 57.5 246.5 92.88 274.3 115.5C291.6 129.6 303 152.2 306.3 177.6zM480 256h-224L145.1 172.8C133.1 164.5 120.5 160 106.6 160H64C28.62 160 0 188.6 0 224v224c0 35.38 28.62 64 64 64h384c35.38 0 64-28.62 64-64V288C512 270.4 497.6 256 480 256zM128 440C128 444.4 124.4 448 120 448h-16C99.62 448 96 444.4 96 440v-112C96 323.6 99.62 320 104 320h16C124.4 320 128 323.6 128 328V440zM224 440C224 444.4 220.4 448 216 448h-16C195.6 448 192 444.4 192 440v-112C192 323.6 195.6 320 200 320h16C220.4 320 224 323.6 224 328V440zM320 440c0 4.375-3.625 8-8 8h-16C291.6 448 288 444.4 288 440v-112c0-4.375 3.625-8 8-8h16c4.375 0 8 3.625 8 8V440zM416 440c0 4.375-3.625 8-8 8h-16C387.6 448 384 444.4 384 440v-112c0-4.375 3.625-8 8-8h16c4.375 0 8 3.625 8 8V440zM64 128c35.38 0 64-28.62 64-64S99.38 0 64 0S0 28.62 0 64S28.62 128 64 128z"],
    "hotdog": [512, 512, [127789], "f80f", "M488.6 23.44c-31.06-31.19-81.76-31.16-112.8 .0313L24.46 374.8c-20.83 19.96-29.19 49.66-21.83 77.6c7.36 27.94 29.07 49.65 57.02 57.01c27.94 7.36 57.64-1 77.6-21.83l351.3-351.3C519.7 105.2 519.8 54.5 488.6 23.44zM438.8 118.4c-19.59 19.59-37.39 22.52-51.74 25.01c-12.97 2.246-22.33 3.867-34.68 16.22c-12.35 12.35-13.97 21.71-16.22 34.69c-2.495 14.35-5.491 32.19-25.08 51.78c-19.59 19.59-37.43 22.58-51.78 25.08C246.3 273.4 236.9 275.1 224.6 287.4c-12.35 12.35-13.97 21.71-16.22 34.68C205.9 336.4 202.9 354.3 183.3 373.9c-19.59 19.59-37.43 22.58-51.78 25.08C118.5 401.2 109.2 402.8 96.83 415.2c-6.238 6.238-16.34 6.238-22.58 0c-6.238-6.238-6.238-16.35 0-22.58c19.59-19.59 37.43-22.58 51.78-25.07c12.97-2.245 22.33-3.869 34.68-16.22c12.35-12.35 13.97-21.71 16.22-34.69c2.495-14.35 5.492-32.19 25.08-51.78s37.43-22.58 51.78-25.08c12.97-2.246 22.33-3.869 34.68-16.22s13.97-21.71 16.22-34.68c2.495-14.35 5.492-32.19 25.08-51.78c19.59-19.59 37.43-22.58 51.78-25.07c12.97-2.246 22.28-3.815 34.63-16.17c6.238-6.238 16.36-6.238 22.59 0C444.1 102.1 444.1 112.2 438.8 118.4zM32.44 321.5l290-290l-11.48-11.6c-24.95-24.95-63.75-26.57-86.58-3.743L17.1 223.4C-5.73 246.3-4.108 285.1 20.84 310L32.44 321.5zM480.6 189.5l-290 290l11.48 11.6c24.95 24.95 63.75 26.57 86.58 3.743l207.3-207.3c22.83-22.83 21.21-61.63-3.743-86.58L480.6 189.5z"],
    "hotel": [512, 512, [127976], "f594", "M480 0C497.7 0 512 14.33 512 32C512 49.67 497.7 64 480 64V448C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512H304V448H208V512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448V64C14.33 64 0 49.67 0 32C0 14.33 14.33 0 32 0H480zM112 96C103.2 96 96 103.2 96 112V144C96 152.8 103.2 160 112 160H144C152.8 160 160 152.8 160 144V112C160 103.2 152.8 96 144 96H112zM224 144C224 152.8 231.2 160 240 160H272C280.8 160 288 152.8 288 144V112C288 103.2 280.8 96 272 96H240C231.2 96 224 103.2 224 112V144zM368 96C359.2 96 352 103.2 352 112V144C352 152.8 359.2 160 368 160H400C408.8 160 416 152.8 416 144V112C416 103.2 408.8 96 400 96H368zM96 240C96 248.8 103.2 256 112 256H144C152.8 256 160 248.8 160 240V208C160 199.2 152.8 192 144 192H112C103.2 192 96 199.2 96 208V240zM240 192C231.2 192 224 199.2 224 208V240C224 248.8 231.2 256 240 256H272C280.8 256 288 248.8 288 240V208C288 199.2 280.8 192 272 192H240zM352 240C352 248.8 359.2 256 368 256H400C408.8 256 416 248.8 416 240V208C416 199.2 408.8 192 400 192H368C359.2 192 352 199.2 352 208V240zM256 288C211.2 288 173.5 318.7 162.1 360.2C159.7 373.1 170.7 384 184 384H328C341.3 384 352.3 373.1 349 360.2C338.5 318.7 300.8 288 256 288z"],
    "hourglass": [384, 512, [62032, 9203, "hourglass-empty"], "f254", "M0 32C0 14.33 14.33 0 32 0H352C369.7 0 384 14.33 384 32C384 49.67 369.7 64 352 64V74.98C352 117.4 335.1 158.1 305.1 188.1L237.3 256L305.1 323.9C335.1 353.9 352 394.6 352 437V448C369.7 448 384 462.3 384 480C384 497.7 369.7 512 352 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448V437C32 394.6 48.86 353.9 78.86 323.9L146.7 256L78.86 188.1C48.86 158.1 32 117.4 32 74.98V64C14.33 64 0 49.67 0 32zM96 64V74.98C96 100.4 106.1 124.9 124.1 142.9L192 210.7L259.9 142.9C277.9 124.9 288 100.4 288 74.98V64H96zM96 448H288V437C288 411.6 277.9 387.1 259.9 369.1L192 301.3L124.1 369.1C106.1 387.1 96 411.6 96 437V448z"],
    "hourglass-clock": [576, 512, [], "e41b", "M352 0C369.7 0 384 14.33 384 32C384 49.67 369.7 64 352 64V74.98C352 117.4 335.1 158.1 305.1 188.1L237.3 256L273.2 291.1C262.2 314.1 256 340.8 256 368C256 427.5 285.6 480.1 330.8 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448V437C32 394.6 48.86 353.9 78.86 323.9L146.7 256L78.86 188.1C48.86 158.1 32 117.4 32 74.98V64C14.33 64 0 49.67 0 32C0 14.33 14.33 0 32 0H352zM111.1 128H272C282.4 112.4 288 93.98 288 74.98V64H96V74.98C96 93.98 101.6 112.4 111.1 128zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM415.1 304V368C415.1 376.8 423.2 384 431.1 384H480C488.8 384 496 376.8 496 368C496 359.2 488.8 352 480 352H447.1V304C447.1 295.2 440.8 288 431.1 288C423.2 288 415.1 295.2 415.1 304V304z"],
    "hourglass-end": [384, 512, [8987, "hourglass-3"], "f253", "M352 0C369.7 0 384 14.33 384 32C384 49.67 369.7 64 352 64V74.98C352 117.4 335.1 158.1 305.1 188.1L237.3 256L305.1 323.9C335.1 353.9 352 394.6 352 437V448C369.7 448 384 462.3 384 480C384 497.7 369.7 512 352 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448V437C32 394.6 48.86 353.9 78.86 323.9L146.7 256L78.86 188.1C48.86 158.1 32 117.4 32 74.98V64C14.33 64 0 49.67 0 32C0 14.33 14.33 0 32 0H352zM124.1 142.9L192 210.7L259.9 142.9C277.9 124.9 288 100.4 288 74.98V64H96V74.98C96 100.4 106.1 124.9 124.1 142.9z"],
    "hourglass-half": [384, 512, ["hourglass-2"], "f252", "M352 0C369.7 0 384 14.33 384 32C384 49.67 369.7 64 352 64V74.98C352 117.4 335.1 158.1 305.1 188.1L237.3 256L305.1 323.9C335.1 353.9 352 394.6 352 437V448C369.7 448 384 462.3 384 480C384 497.7 369.7 512 352 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448V437C32 394.6 48.86 353.9 78.86 323.9L146.7 256L78.86 188.1C48.86 158.1 32 117.4 32 74.98V64C14.33 64 0 49.67 0 32C0 14.33 14.33 0 32 0H352zM111.1 128H272C282.4 112.4 288 93.98 288 74.98V64H96V74.98C96 93.98 101.6 112.4 111.1 128zM111.1 384H272C268.5 378.7 264.5 373.7 259.9 369.1L192 301.3L124.1 369.1C119.5 373.7 115.5 378.7 111.1 384V384z"],
    "hourglass-start": [384, 512, ["hourglass-1"], "f251", "M352 0C369.7 0 384 14.33 384 32C384 49.67 369.7 64 352 64V74.98C352 117.4 335.1 158.1 305.1 188.1L237.3 256L305.1 323.9C335.1 353.9 352 394.6 352 437V448C369.7 448 384 462.3 384 480C384 497.7 369.7 512 352 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448V437C32 394.6 48.86 353.9 78.86 323.9L146.7 256L78.86 188.1C48.86 158.1 32 117.4 32 74.98V64C14.33 64 0 49.67 0 32C0 14.33 14.33 0 32 0H352zM259.9 369.1L192 301.3L124.1 369.1C106.1 387.1 96 411.6 96 437V448H288V437C288 411.6 277.9 387.1 259.9 369.1V369.1z"],
    "house": [576, 512, [63498, 63500, 127968, "home", "home-alt", "home-lg-alt"], "f015", "M575.8 255.5C575.8 273.5 560.8 287.6 543.8 287.6H511.8L512.5 447.7C512.5 450.5 512.3 453.1 512 455.8V472C512 494.1 494.1 512 472 512H456C454.9 512 453.8 511.1 452.7 511.9C451.3 511.1 449.9 512 448.5 512H392C369.9 512 352 494.1 352 472V384C352 366.3 337.7 352 320 352H256C238.3 352 224 366.3 224 384V472C224 494.1 206.1 512 184 512H128.1C126.6 512 125.1 511.9 123.6 511.8C122.4 511.9 121.2 512 120 512H104C81.91 512 64 494.1 64 472V360C64 359.1 64.03 358.1 64.09 357.2V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L564.8 231.5C572.8 238.5 576.9 246.5 575.8 255.5L575.8 255.5z"],
    "house-blank": [576, 512, ["home-blank"], "e487", "M575.8 255.5C575.8 273.5 560.8 287.6 543.8 287.6H511.8L512.5 447.7C512.6 483.2 483.9 512 448.5 512H128.1C92.75 512 64.09 483.3 64.09 448V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L564.8 231.5C572.8 238.5 576.9 246.5 575.8 255.5H575.8z"],
    "house-building": [640, 512, [], "e1b1", "M592 0C618.5 0 640 21.49 640 48V464C640 490.5 618.5 512 592 512H400C410 498.6 416 482 416 464V352H432C440.8 352 448 344.8 448 336V304C448 295.2 440.8 288 432 288H416V277.1C416 269.9 415 262.8 413.2 256H432C440.8 256 448 248.8 448 240V208C448 199.2 440.8 192 432 192H400C391.2 192 384 199.2 384 208V212.6L320 153.9V48C320 21.49 341.5 0 368 0L592 0zM512 240C512 248.8 519.2 256 528 256H560C568.8 256 576 248.8 576 240V208C576 199.2 568.8 192 560 192H528C519.2 192 512 199.2 512 208V240zM528 288C519.2 288 512 295.2 512 304V336C512 344.8 519.2 352 528 352H560C568.8 352 576 344.8 576 336V304C576 295.2 568.8 288 560 288H528zM400 96C391.2 96 384 103.2 384 112V144C384 152.8 391.2 160 400 160H432C440.8 160 448 152.8 448 144V112C448 103.2 440.8 96 432 96H400zM512 144C512 152.8 519.2 160 528 160H560C568.8 160 576 152.8 576 144V112C576 103.2 568.8 96 560 96H528C519.2 96 512 103.2 512 112V144zM15.57 241.7L159.6 109.7C177.9 92.91 206.1 92.91 224.4 109.7L368.4 241.7C378.4 250.8 384 263.7 384 277.1V464C384 490.5 362.5 512 336 512H48C21.49 512 0 490.5 0 464V277.1C0 263.7 5.647 250.8 15.57 241.7H15.57zM144 344C144 357.3 154.7 368 168 368H216C229.3 368 240 357.3 240 344V296C240 282.7 229.3 272 216 272H168C154.7 272 144 282.7 144 296V344z"],
    "house-chimney": [576, 512, [63499, "home-lg"], "e3af", "M511.8 287.6L512.5 447.7C512.5 450.5 512.3 453.1 512 455.8V472C512 494.1 494.1 512 472 512H456C454.9 512 453.8 511.1 452.7 511.9C451.3 511.1 449.9 512 448.5 512H392C369.9 512 352 494.1 352 472V384C352 366.3 337.7 352 320 352H256C238.3 352 224 366.3 224 384V472C224 494.1 206.1 512 184 512H128.1C126.6 512 125.1 511.9 123.6 511.8C122.4 511.9 121.2 512 120 512H104C81.91 512 64 494.1 64 472V360C64 359.1 64.03 358.1 64.09 357.2V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L416 100.7V64C416 46.33 430.3 32 448 32H480C497.7 32 512 46.33 512 64V185L564.8 231.5C572.8 238.5 576.9 246.5 575.8 255.5C575.8 273.5 560.8 287.6 543.8 287.6L511.8 287.6z"],
    "house-chimney-blank": [576, 512, [], "e3b0", "M511.8 287.6L512.5 447.7C512.6 483.2 483.9 512 448.5 512H128.1C92.75 512 64.09 483.3 64.09 448V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L416 100.7V64C416 46.33 430.3 32 448 32H480C497.7 32 512 46.33 512 64V185L564.8 231.5C572.8 238.5 576.9 246.5 575.8 255.5C575.8 273.5 560.8 287.6 543.8 287.6L511.8 287.6z"],
    "house-chimney-crack": [576, 512, ["house-damage"], "f6f1", "M575.8 255.5C575.8 273.5 560.8 287.6 543.8 287.6H511.8L512.5 447.7C512.6 483.2 483.9 512 448.5 512H326.4L288 448L368.8 380.7C376.6 374.1 376.5 362.1 368.5 355.8L250.6 263.2C235.1 251.7 216.8 270.1 227.8 285.2L288 368L202.5 439.2C196.5 444.3 194.1 452.1 199.1 459.8L230.4 512H128.1C92.75 512 64.09 483.3 64.09 448V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L416 100.7V64C416 46.33 430.3 32 448 32H480C497.7 32 512 46.33 512 64V185L564.8 231.5C572.8 238.5 576.9 246.5 575.8 255.5L575.8 255.5z"],
    "house-chimney-heart": [576, 512, [], "e1b2", "M575.8 255.5C575.8 273.5 560.8 287.6 543.8 287.6H511.8L512.5 447.7C512.6 483.2 483.9 512 448.5 512H128.1C92.75 512 64.09 483.3 64.09 448V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L416 100.7V64C416 46.33 430.3 32 448 32H480C497.7 32 512 46.33 512 64V185L564.8 231.5C572.8 238.5 576.9 246.5 575.8 255.5L575.8 255.5zM184 304L276.7 396.7C282.9 402.9 293.1 402.9 299.3 396.7L392 304C414.1 281.9 414.1 246.1 392 224C369.9 201.9 334.1 201.9 312 224L288 248L264 224C241.9 201.9 206.1 201.9 184 224C161.9 246.1 161.9 281.9 184 304H184z"],
    "house-chimney-medical": [576, 512, ["clinic-medical"], "f7f2", "M511.8 287.6L512.5 447.7C512.6 483.2 483.9 512 448.5 512H128.1C92.75 512 64.09 483.3 64.09 448V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L416 100.7V64C416 46.33 430.3 32 448 32H480C497.7 32 512 46.33 512 64V185L564.8 231.5C572.8 238.5 576.9 246.5 575.8 255.5C575.8 273.5 560.8 287.6 543.8 287.6L511.8 287.6zM400 248C400 239.2 392.8 232 384 232H328V176C328 167.2 320.8 160 312 160H264C255.2 160 248 167.2 248 176V232H192C183.2 232 176 239.2 176 248V296C176 304.8 183.2 312 192 312H248V368C248 376.8 255.2 384 264 384H312C320.8 384 328 376.8 328 368V312H384C392.8 312 400 304.8 400 296V248z"],
    "house-chimney-user": [576, 512, [], "e065", "M511.8 287.6L512.5 447.7C512.6 483.2 483.9 512 448.5 512H128.1C92.75 512 64.09 483.3 64.09 448V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L416 100.7V64C416 46.33 430.3 32 448 32H480C497.7 32 512 46.33 512 64V185L564.8 231.5C572.8 238.5 576.9 246.5 575.8 255.5C575.8 273.5 560.8 287.6 543.8 287.6L511.8 287.6zM288 288C323.3 288 352 259.3 352 224C352 188.7 323.3 160 288 160C252.7 160 224 188.7 224 224C224 259.3 252.7 288 288 288zM192 416H384C392.8 416 400 408.8 400 400C400 355.8 364.2 320 320 320H256C211.8 320 176 355.8 176 400C176 408.8 183.2 416 192 416z"],
    "house-chimney-window": [576, 512, [], "e00d", "M575.8 255.5C575.8 273.5 560.8 287.6 543.8 287.6H511.8L512.5 447.7C512.6 483.2 483.9 512 448.5 512H128.1C92.75 512 64.09 483.3 64.09 448V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L416 100.7V64C416 46.33 430.3 32 448 32H480C497.7 32 512 46.33 512 64V185L564.8 231.5C572.8 238.5 576.9 246.5 575.8 255.5L575.8 255.5zM248 192C234.7 192 224 202.7 224 216V296C224 309.3 234.7 320 248 320H328C341.3 320 352 309.3 352 296V216C352 202.7 341.3 192 328 192H248z"],
    "house-circle-check": [640, 512, [], "e509", "M320 352H256C238.3 352 224 366.3 224 384V472C224 494.1 206.1 512 184 512H128.1C126.6 512 125.1 511.9 123.6 511.8C122.4 511.9 121.2 512 120 512H104C81.91 512 64 494.1 64 472V360C64 359.1 64.03 358.1 64.09 357.2V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L522.1 193.9C513.6 192.7 504.9 192 496 192C404.2 192 328.8 262.3 320.7 352L320 352zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM540.7 324.7L480 385.4L451.3 356.7C445.1 350.4 434.9 350.4 428.7 356.7C422.4 362.9 422.4 373.1 428.7 379.3L468.7 419.3C474.9 425.6 485.1 425.6 491.3 419.3L563.3 347.3C569.6 341.1 569.6 330.9 563.3 324.7C557.1 318.4 546.9 318.4 540.7 324.7H540.7z"],
    "house-circle-exclamation": [640, 512, [], "e50a", "M320 352H256C238.3 352 224 366.3 224 384V472C224 494.1 206.1 512 184 512H128.1C126.6 512 125.1 511.9 123.6 511.8C122.4 511.9 121.2 512 120 512H104C81.91 512 64 494.1 64 472V360C64 359.1 64.03 358.1 64.09 357.2V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L522.1 193.9C513.6 192.7 504.9 192 496 192C404.2 192 328.8 262.3 320.7 352L320 352zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 464C509.3 464 520 453.3 520 440C520 426.7 509.3 416 496 416C482.7 416 472 426.7 472 440C472 453.3 482.7 464 496 464zM479.1 288V368C479.1 376.8 487.2 384 495.1 384C504.8 384 511.1 376.8 511.1 368V288C511.1 279.2 504.8 272 495.1 272C487.2 272 479.1 279.2 479.1 288z"],
    "house-circle-xmark": [640, 512, [], "e50b", "M320 352H256C238.3 352 224 366.3 224 384V472C224 494.1 206.1 512 184 512H128.1C126.6 512 125.1 511.9 123.6 511.8C122.4 511.9 121.2 512 120 512H104C81.91 512 64 494.1 64 472V360C64 359.1 64.03 358.1 64.09 357.2V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L522.1 193.9C513.6 192.7 504.9 192 496 192C404.2 192 328.8 262.3 320.7 352L320 352zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM555.3 331.3C561.6 325.1 561.6 314.9 555.3 308.7C549.1 302.4 538.9 302.4 532.7 308.7L496 345.4L459.3 308.7C453.1 302.4 442.9 302.4 436.7 308.7C430.4 314.9 430.4 325.1 436.7 331.3L473.4 368L436.7 404.7C430.4 410.9 430.4 421.1 436.7 427.3C442.9 433.6 453.1 433.6 459.3 427.3L496 390.6L532.7 427.3C538.9 433.6 549.1 433.6 555.3 427.3C561.6 421.1 561.6 410.9 555.3 404.7L518.6 368L555.3 331.3z"],
    "house-crack": [576, 512, [], "e3b1", "M511.8 287.6L512.5 447.7C512.6 483.2 483.9 512 448.5 512H326.4L288 448L368.8 380.7C376.6 374.1 376.5 362.1 368.5 355.8L250.6 263.2C235.1 251.7 216.8 270.1 227.8 285.2L288 368L202.5 439.2C196.5 444.3 194.1 452.1 199.1 459.8L230.4 512H128.1C92.75 512 64.09 483.3 64.09 448V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L564.8 231.5C572.8 238.5 576.9 246.5 575.8 255.5C575.8 273.5 560.8 287.6 543.8 287.6H511.8z"],
    "house-day": [640, 512, [], "e00e", "M201.8 59.55L257.5 42.85C263.1 41.16 269.2 42.71 273.4 46.87C277.5 51.03 279.1 57.13 277.4 62.77L260.7 118.5L296 137.5L231.3 197.3C236.9 186.4 240 174 240 160.9C240 116.7 204.2 80.88 160 80.88C115.8 80.88 80.01 116.7 80.01 160.9C80.01 205.1 115.8 240.1 160 240.1C170.8 240.1 181.1 238.8 190.5 234.9L133.1 287.1L118.4 260.8L62.76 277.5C57.12 279.2 51.01 277.6 46.85 273.5C42.69 269.3 41.15 263.2 42.84 257.6L59.52 201.8L8.342 174.3C3.164 171.5 0 165.9 0 160C0 154.1 3.164 148.9 8.342 146.1L59.52 118.5L42.84 62.77C41.15 57.13 42.69 51.03 46.85 46.87C51.01 42.71 57.12 41.17 62.76 42.85L118.4 59.55L146 8.347C148.8 3.166 154.1 0 160 0C165.9 0 171.4 3.166 174.2 8.347L201.8 59.55zM208 160C208 186.5 186.5 208 160 208C133.5 208 112 186.5 112 160C112 133.5 133.5 112 160 112C186.5 112 208 133.5 208 160zM629.7 296.5C636.4 302.7 639.1 311.2 640 320C640 337.3 625.5 352 608 352H576V464C576 490.5 554.5 512 528 512H272C245.5 512 224 490.5 224 464V352H192C174.6 352 159.1 337.3 160 320C160 311.2 163.6 302.7 170.3 296.5L378.3 104.5C390.6 93.17 409.4 93.17 421.7 104.5L629.7 296.5zM352 368C352 376.8 359.2 384 368 384H432C440.8 384 448 376.8 448 368V304C448 295.2 440.8 288 432 288H368C359.2 288 352 295.2 352 304V368z"],
    "house-fire": [640, 512, [], "e50c", "M288 350.1L288 352H256C238.3 352 224 366.3 224 384V472C224 494.1 206.1 512 184 512H128.1C126.6 512 125.1 511.9 123.6 511.8C122.4 511.9 121.2 512 120 512H104C81.91 512 64 494.1 64 472V360C64 359.1 64.03 358.1 64.09 357.2V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L447.3 128.1C434.9 127.2 422.3 131.1 412.5 139.9C377.1 171.5 346.9 207.6 325.2 242.7C304.3 276.5 288 314.9 288 350.1H288zM509 221.5C516.9 211.6 525.8 200.8 535.5 191.1C541.1 186.9 549.9 186.9 555.5 192C580.2 214.7 601.1 244.7 615.8 273.2C630.4 301.2 640 329.9 640 350.1C640 437.9 568.7 512 480 512C390.3 512 320 437.8 320 350.1C320 323.7 332.7 291.5 352.4 259.5C372.4 227.2 400.5 193.4 433.8 163.7C439.4 158.7 447.1 158.8 453.5 163.8C473.3 181.6 491.8 200.7 509 221.5V221.5zM550 336.1C548 332.1 546 328.1 543 324.1L507 367C507 367 449 293 445 288C415 324.1 400 346 400 370C400 419 436 448 481 448C499 448 515 443 530 432.1C560 412 568 370 550 336.1z"],
    "house-flag": [640, 512, [], "e50d", "M480 0C497.7 0 512 14.33 512 32H624C632.8 32 640 39.16 640 48V176C640 184.8 632.8 192 624 192H512V512H448V32C448 14.33 462.3 0 480 0V0zM416 512H416.1L416.8 512H352C334.3 512 320 497.7 320 480V384C320 366.3 305.7 352 288 352H224C206.3 352 192 366.3 192 384V480C192 497.7 177.7 512 160 512H96C78.33 512 64 497.7 64 480V288H31.1C18.61 288 6.631 279.7 1.985 267.1C-2.661 254.5 1.005 240.4 11.17 231.7L235.2 39.7C247.2 29.43 264.8 29.43 276.8 39.7L416 159V512z"],
    "house-flood-water": [576, 512, [], "e50e", "M482.8 134.1C494 142.3 498.7 156.7 494.4 169.9C490.1 183.1 477.9 192 464 192H447.4L447.7 265.2C446.1 266.1 444.6 267.1 443.2 268.1C425.2 280.5 403 288.5 384 288.5C364.4 288.5 343.2 280.8 324.8 268.1C302.8 252.6 273.3 252.6 251.2 268.1C234 279.9 213.2 288.5 192 288.5C172.1 288.5 150.8 280.5 132.9 268.1C131.3 267 129.7 265.1 128 265V192H112C98.14 192 85.86 183.1 81.57 169.9C77.28 156.7 81.97 142.3 93.18 134.1L269.2 6.12C280.4-2.04 295.6-2.04 306.8 6.12L482.8 134.1zM269.5 309.9C280.6 302 295.4 302 306.5 309.9C328.1 325.4 356.5 336 384 336C410.9 336 439.4 325.2 461.4 309.9L461.5 309.9C473.4 301.4 489.5 302.1 500.7 311.6C515 323.5 533.2 332.6 551.3 336.8C568.5 340.8 579.2 358.1 575.2 375.3C571.2 392.5 553.1 403.2 536.7 399.2C512.2 393.4 491.9 382.6 478.5 374.2C449.5 389.7 417 400 384 400C352.1 400 323.4 390.1 303.6 381.1C297.7 378.5 292.5 375.8 288 373.4C283.5 375.8 278.3 378.5 272.4 381.1C252.6 390.1 223.9 400 192 400C158.1 400 126.5 389.7 97.5 374.2C84.12 382.6 63.79 393.4 39.27 399.2C22.06 403.2 4.854 392.5 .8426 375.3C-3.169 358.1 7.532 340.8 24.74 336.8C42.84 332.6 60.96 323.5 75.31 311.6C86.46 302.1 102.6 301.4 114.5 309.9L114.6 309.9C136.7 325.2 165.1 336 192 336C219.5 336 247 325.4 269.5 309.9H269.5zM461.4 421.9L461.5 421.9C473.4 413.4 489.5 414.1 500.7 423.6C515 435.5 533.2 444.6 551.3 448.8C568.5 452.8 579.2 470.1 575.2 487.3C571.2 504.5 553.1 515.2 536.7 511.2C512.2 505.4 491.9 494.6 478.5 486.2C449.5 501.7 417 512 384 512C352.1 512 323.4 502.1 303.6 493.1C297.7 490.5 292.5 487.8 288 485.4C283.5 487.8 278.3 490.5 272.4 493.1C252.6 502.1 223.9 512 192 512C158.1 512 126.5 501.7 97.5 486.2C84.12 494.6 63.79 505.4 39.27 511.2C22.06 515.2 4.853 504.5 .8422 487.3C-3.169 470.1 7.532 452.8 24.74 448.8C42.84 444.6 60.96 435.5 75.31 423.6C86.46 414.1 102.6 413.4 114.5 421.9L114.6 421.9C136.7 437.2 165.1 448 192 448C219.5 448 247 437.4 269.5 421.9C280.6 414 295.4 414 306.5 421.9C328.1 437.4 356.5 448 384 448C410.9 448 439.4 437.2 461.4 421.9H461.4z"],
    "house-flood-water-circle-arrow-right": [640, 512, [], "e50f", "M288 144C288 223.5 223.5 288 144 288C64.47 288 0 223.5 0 144C0 64.47 64.47 .0002 144 .0002C223.5 .0002 288 64.47 288 144zM140.7 99.31L169.4 128H80C71.16 128 64 135.2 64 144C64 152.8 71.16 160 80 160H169.4L140.7 188.7C134.4 194.9 134.4 205.1 140.7 211.3C146.9 217.6 157.1 217.6 163.3 211.3L219.3 155.3C225.6 149.1 225.6 138.9 219.3 132.7L163.3 76.69C157.1 70.44 146.9 70.44 140.7 76.69C134.4 82.94 134.4 93.07 140.7 99.31V99.31zM301 64.42L381.2 6.12C392.4-2.04 407.6-2.04 418.8 6.12L594.8 134.1C606 142.3 610.7 156.7 606.4 169.9C602.1 183.1 589.9 192 576 192H559.4L559.7 276.4C557.5 274.8 555.3 273.2 553.2 271.5C531 252.8 498.9 251.4 475.2 268.1C457.2 280.5 435 288.5 416 288.5C396.4 288.5 375.2 280.8 356.8 268.1C334.8 252.6 305.3 252.6 283.2 268.1C273.2 274.1 262 280.7 250.2 284.3C292.6 252.2 319.1 201.3 319.1 144C319.1 115.4 313.2 88.32 301 64.42V64.42zM416 336C442.9 336 471.4 325.2 493.4 309.9L493.5 309.9C505.4 301.4 521.5 302.1 532.7 311.6C547 323.5 565.2 332.6 583.3 336.8C600.5 340.8 611.2 358.1 607.2 375.3C603.2 392.5 585.1 403.2 568.7 399.2C544.2 393.4 523.9 382.6 510.5 374.2C481.5 389.7 449 400 416 400C384.1 400 355.4 390.1 335.6 381.1C329.7 378.5 324.5 375.8 320 373.4C315.5 375.8 310.3 378.5 304.4 381.1C284.6 390.1 255.9 400 224 400C190.1 400 158.5 389.7 129.5 374.2C116.1 382.6 95.79 393.4 71.27 399.2C54.06 403.2 36.85 392.5 32.84 375.3C28.83 358.1 39.53 340.8 56.74 336.8C74.84 332.6 92.96 323.5 107.3 311.6C118.5 302.1 134.6 301.4 146.5 309.9L146.6 309.9C168.7 325.2 197.1 336 224 336C251.5 336 279 325.4 301.5 309.9C312.6 302 327.4 302 338.5 309.9C360.1 325.4 388.5 336 416 336H416zM338.5 421.9C360.1 437.4 388.5 448 416 448C442.9 448 471.4 437.2 493.4 421.9L493.5 421.9C505.4 413.4 521.5 414.1 532.7 423.6C547 435.5 565.2 444.6 583.3 448.8C600.5 452.8 611.2 470.1 607.2 487.3C603.2 504.5 585.1 515.2 568.7 511.2C544.2 505.4 523.9 494.6 510.5 486.2C481.5 501.7 449 512 416 512C384.1 512 355.4 502.1 335.6 493.1C329.7 490.5 324.5 487.8 320 485.4C315.5 487.8 310.3 490.5 304.4 493.1C284.6 502.1 255.9 512 224 512C190.1 512 158.5 501.7 129.5 486.2C116.1 494.6 95.79 505.4 71.27 511.2C54.06 515.2 36.85 504.5 32.84 487.3C28.83 470.1 39.53 452.8 56.74 448.8C74.84 444.6 92.96 435.5 107.3 423.6C118.5 414.1 134.6 413.4 146.5 421.9L146.6 421.9C168.7 437.2 197.1 448 224 448C251.5 448 279 437.4 301.5 421.9C312.6 414 327.4 414 338.5 421.9H338.5z"],
    "house-heart": [576, 512, ["home-heart"], "f4c9", "M511.8 287.6L512.5 447.7C512.6 483.2 483.9 512 448.5 512H128.1C92.75 512 64.09 483.3 64.09 448V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L564.8 231.5C572.8 238.5 576.9 246.5 575.8 255.5C575.8 273.5 560.8 287.6 543.8 287.6H511.8zM299.3 396.7L392 304C414.1 281.9 414.1 246.1 392 224C369.9 201.9 334.1 201.9 312 224L288 248L264 224C241.9 201.9 206.1 201.9 184 224C161.9 246.1 161.9 281.9 184 304L276.7 396.7C282.9 402.9 293.1 402.9 299.3 396.7H299.3z"],
    "house-laptop": [640, 512, ["laptop-house"], "e066", "M218.3 8.486C230.6-2.829 249.4-2.829 261.7 8.486L469.7 200.5C476.4 206.7 480 215.2 480 224H336C316.9 224 299.7 232.4 288 245.7V208C288 199.2 280.8 192 272 192H208C199.2 192 192 199.2 192 208V272C192 280.8 199.2 288 208 288H271.1V416H112C85.49 416 64 394.5 64 368V256H32C18.83 256 6.996 247.9 2.198 235.7C-2.6 223.4 .6145 209.4 10.3 200.5L218.3 8.486zM336 256H560C577.7 256 592 270.3 592 288V448H624C632.8 448 640 455.2 640 464C640 490.5 618.5 512 592 512H303.1C277.5 512 255.1 490.5 255.1 464C255.1 455.2 263.2 448 271.1 448H303.1V288C303.1 270.3 318.3 256 336 256zM352 304V448H544V304H352z"],
    "house-lock": [640, 512, [], "e510", "M384 480C384 491.7 387.1 502.6 392.6 512H392C369.9 512 352 494.1 352 472V384C352 366.3 337.7 352 320 352H256C238.3 352 224 366.3 224 384V472C224 494.1 206.1 512 184 512H128.1C126.6 512 125.1 511.9 123.6 511.8C122.4 511.9 121.2 512 120 512H104C81.91 512 64 494.1 64 472V360C64 359.1 64.03 358.1 64.09 357.2V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L490.7 166.3C447.2 181.7 416 223.2 416 272V296.6C396.9 307.6 384 328.3 384 352L384 480zM528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320V272C448 227.8 483.8 192 528 192zM528 240C510.3 240 496 254.3 496 272V320H560V272C560 254.3 545.7 240 528 240z"],
    "house-medical": [576, 512, [], "e3b2", "M575.8 255.5C575.8 273.5 560.8 287.6 543.8 287.6H511.8L512.5 447.7C512.6 483.2 483.9 512 448.5 512H128.1C92.75 512 64.09 483.3 64.09 448V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L564.8 231.5C572.8 238.5 576.9 246.5 575.8 255.5H575.8zM328 232V176C328 167.2 320.8 160 312 160H264C255.2 160 248 167.2 248 176V232H192C183.2 232 176 239.2 176 248V296C176 304.8 183.2 312 192 312H248V368C248 376.8 255.2 384 264 384H312C320.8 384 328 376.8 328 368V312H384C392.8 312 400 304.8 400 296V248C400 239.2 392.8 232 384 232H328z"],
    "house-medical-circle-check": [640, 512, [], "e511", "M320.5 381.5C324.6 435.5 353 482.6 394.8 512H128.1C92.75 512 64.09 483.3 64.09 448V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L522.1 193.9C513.6 192.7 504.9 192 496 192C453.6 192 414.7 207 384.3 232L384 232H328V176C328 167.2 320.8 160 311.1 160H263.1C255.2 160 247.1 167.2 247.1 176V232H191.1C183.2 232 175.1 239.2 175.1 248V296C175.1 304.8 183.2 312 191.1 312H247.1V368C247.1 376.8 255.2 384 263.1 384H311.1C315.1 384 318 383.1 320.5 381.5H320.5zM328 312H329.1C328.7 313.1 328.4 314.3 328 315.4V312zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM540.7 324.7L480 385.4L451.3 356.7C445.1 350.4 434.9 350.4 428.7 356.7C422.4 362.9 422.4 373.1 428.7 379.3L468.7 419.3C474.9 425.6 485.1 425.6 491.3 419.3L563.3 347.3C569.6 341.1 569.6 330.9 563.3 324.7C557.1 318.4 546.9 318.4 540.7 324.7H540.7z"],
    "house-medical-circle-exclamation": [640, 512, [], "e512", "M320.5 381.5C324.6 435.5 353 482.6 394.8 512H128.1C92.75 512 64.09 483.3 64.09 448V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L522.1 193.9C513.6 192.7 504.9 192 496 192C453.6 192 414.7 207 384.3 232L384 232H328V176C328 167.2 320.8 160 311.1 160H263.1C255.2 160 247.1 167.2 247.1 176V232H191.1C183.2 232 175.1 239.2 175.1 248V296C175.1 304.8 183.2 312 191.1 312H247.1V368C247.1 376.8 255.2 384 263.1 384H311.1C315.1 384 318 383.1 320.5 381.5H320.5zM328 312H329.1C328.7 313.1 328.4 314.3 328 315.4V312zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 464C509.3 464 520 453.3 520 440C520 426.7 509.3 416 496 416C482.7 416 472 426.7 472 440C472 453.3 482.7 464 496 464zM479.1 288V368C479.1 376.8 487.2 384 495.1 384C504.8 384 511.1 376.8 511.1 368V288C511.1 279.2 504.8 272 495.1 272C487.2 272 479.1 279.2 479.1 288z"],
    "house-medical-circle-xmark": [640, 512, [], "e513", "M320.5 381.5C324.6 435.5 353 482.6 394.8 512H128.1C92.75 512 64.09 483.3 64.09 448V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L522.1 193.9C513.6 192.7 504.9 192 496 192C453.6 192 414.7 207 384.3 232L384 232H328V176C328 167.2 320.8 160 311.1 160H263.1C255.2 160 247.1 167.2 247.1 176V232H191.1C183.2 232 175.1 239.2 175.1 248V296C175.1 304.8 183.2 312 191.1 312H247.1V368C247.1 376.8 255.2 384 263.1 384H311.1C315.1 384 318 383.1 320.5 381.5H320.5zM328 312H329.1C328.7 313.1 328.4 314.3 328 315.4V312zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM555.3 331.3C561.6 325.1 561.6 314.9 555.3 308.7C549.1 302.4 538.9 302.4 532.7 308.7L496 345.4L459.3 308.7C453.1 302.4 442.9 302.4 436.7 308.7C430.4 314.9 430.4 325.1 436.7 331.3L473.4 368L436.7 404.7C430.4 410.9 430.4 421.1 436.7 427.3C442.9 433.6 453.1 433.6 459.3 427.3L496 390.6L532.7 427.3C538.9 433.6 549.1 433.6 555.3 427.3C561.6 421.1 561.6 410.9 555.3 404.7L518.6 368L555.3 331.3z"],
    "house-medical-flag": [640, 512, [], "e514", "M480 0C497.7 0 512 14.33 512 32H624C632.8 32 640 39.16 640 48V176C640 184.8 632.8 192 624 192H512V512H448V32C448 14.33 462.3 0 480 0V0zM416 512H416.1L416.8 512H96C78.33 512 64 497.7 64 480V288H31.1C18.61 288 6.631 279.7 1.985 267.1C-2.661 254.5 1.005 240.4 11.17 231.7L235.2 39.7C247.2 29.43 264.8 29.43 276.8 39.7L416 159V512zM223.1 256H175.1C167.2 256 159.1 263.2 159.1 272V304C159.1 312.8 167.2 320 175.1 320H223.1V368C223.1 376.8 231.2 384 239.1 384H271.1C280.8 384 287.1 376.8 287.1 368V320H336C344.8 320 352 312.8 352 304V272C352 263.2 344.8 256 336 256H287.1V208C287.1 199.2 280.8 192 271.1 192H239.1C231.2 192 223.1 199.2 223.1 208V256z"],
    "house-night": [640, 512, [], "e010", "M88 88C88 136.6 127.4 176 176 176C179 176 182 175.8 184.1 175.6C192.6 174.8 198.8 183.2 193.5 188.8C173.1 210.5 144.1 224 112 224C50.14 224 0 173.9 0 112C0 50.14 50.14 0 112 0C115.7 0 119.4 .1805 123 .5334C130.6 1.275 131.5 11.71 125.2 16.12C102.7 32.06 88 58.31 88 88L88 88zM275.4 44.55L307.7 56.5C314.7 59.07 314.7 68.93 307.7 71.5L275.4 83.45L263.5 115.7C260.9 122.7 251.1 122.7 248.5 115.7L236.6 83.45L204.3 71.5C197.3 68.93 197.3 59.07 204.3 56.5L236.6 44.55L248.5 12.28C251.1 5.312 260.9 5.312 263.5 12.28L275.4 44.55zM629.7 296.5C639.4 305.4 642.6 319.4 637.8 331.7C633 343.9 621.2 352 608 352H576V464C576 490.5 554.5 512 528 512H272C245.5 512 224 490.5 224 464V352H192C178.8 352 166.1 343.9 162.2 331.7C157.4 319.4 160.6 305.4 170.3 296.5L378.3 104.5C390.6 93.17 409.4 93.17 421.7 104.5L629.7 296.5zM352 368C352 376.8 359.2 384 368 384H432C440.8 384 448 376.8 448 368V304C448 295.2 440.8 288 432 288H368C359.2 288 352 295.2 352 304V368zM88.5 332.3C91.07 325.3 100.9 325.3 103.5 332.3L115.4 364.6L147.7 376.5C154.7 379.1 154.7 388.9 147.7 391.5L115.4 403.4L103.5 435.7C100.9 442.7 91.07 442.7 88.5 435.7L76.55 403.4L44.28 391.5C37.31 388.9 37.31 379.1 44.28 376.5L76.55 364.6L88.5 332.3z"],
    "house-person-leave": [640, 512, ["house-leave", "house-person-depart"], "e00f", "M356.8 384.7c3.127-3.129 5.409-6.512 7.036-10.73l32.46-80.76c-.4766-3.002-.8105-5.992-.998-9.033c-2.979 1.562-6.058 2.846-9.325 3.969c-6.459 2.119-13.18 3.195-19.99 3.195c-9.879 0-19.71-2.255-28.79-6.794c-31.03-15.89-43.84-54.27-28.42-85.61l6.743-13.61c13.82-27.97 37.31-49.88 66.45-61.77l3.028-1.223L261.7 8.486c-12.26-11.32-31.15-11.32-43.41 0l-208 192c-9.688 8.938-12.89 22.88-8.094 35.16C6.998 247.9 18.83 255.1 31.1 255.1h31.1l-.0098 112c0 26.4 21.6 48 47.1 48l213.5 .041L356.8 384.7zM223.1 272c0 8.875-7.125 16-16 16h-64c-8.875 0-16-7.125-16-16V208c0-8.875 7.126-16 16-16h64c8.877 0 16 7.125 16 16V272zM393.5 385.9c-3.125 8.127-8 15.38-14.13 21.5l-50 50.14c-11.88 12.5-11.63 32.26 .625 44.51c12.25 12.25 32 12.63 44.5 .75l59.5-59.39c6.127-6.127 10.88-13.5 14.13-21.5l13.5-33.76c-55.26-60.39-38.63-41.89-47.38-53.76L393.5 385.9zM528 96.02c26.5 0 48-21.5 48-48.01c0-26.51-21.5-48.01-48-48.01c-26.5 0-48 21.5-48 48.01C479.1 74.52 501.5 96.02 528 96.02zM622.4 245.1l-23.25-11.75l-9.752-29.38c-14.62-44.64-55.63-75.77-102.1-75.89c-36-.125-55.88 10.13-93.26 25.13c-21.75 8.877-39.38 25.25-49.75 46.26l-6.75 13.63c-7.75 15.75-1.375 34.88 14.25 42.89c7.502 3.75 16.25 4.375 24.25 1.75c8.002-2.752 14.5-8.502 18.25-16l6.75-13.63c3.375-7.002 9.252-12.51 16.5-15.38l26.75-10.88l-15.13 60.76c-5.25 20.88 .375 42.88 14.88 58.76l59.88 65.39c7.25 7.877 12.38 17.38 14.88 27.75l18.25 73.27c4.25 17.13 21.63 27.63 38.75 23.26c17.25-4.25 27.63-21.63 23.38-38.76l-22.25-89.02c-2.5-10.38-7.625-19.88-14.88-27.75L516.5 305.8l17.25-68.77l5.5 16.5c5.252 16.13 16.63 29.38 31.63 37.01l23.38 11.88c7.502 3.75 16.25 4.375 24.13 1.625c8.002-2.625 14.63-8.377 18.38-16C644.4 272.3 638.1 253.2 622.4 245.1z"],
    "house-person-return": [640, 512, ["house-person-arrive", "house-return"], "e011", "M631.2 457.4l-50.07-50.13c-6.137-6.125-11.01-13.37-14.15-21.5l-20.78-51.5c-8.766 11.88 7.908-6.627-47.44 53.75l13.52 33.75c3.256 8.002 8.008 15.38 14.15 21.5l59.59 59.38c12.52 11.88 32.29 11.5 44.56-.75C642.9 489.7 643.1 469.9 631.2 457.4zM531.5 262.5l-15.27-60.75l26.91 10.88c7.139 2.875 13.02 8.375 16.4 15.38l6.76 13.63c3.631 7.502 10.26 13.25 18.28 16c8.016 2.625 16.65 1.1 24.29-1.75c15.65-8 22.04-27.13 14.15-42.88l-6.634-13.63c-10.39-20.88-28.16-37.38-49.82-46.13c-37.44-15.13-57.32-25.38-93.39-25.25c-46.59 .125-87.62 31.25-102.4 75.88l-9.639 29.38l-23.41 11.88C322 253.2 315.7 272.3 323.4 288.2c3.756 7.5 10.26 13.25 18.28 16c8.014 2.625 16.77 1.1 24.29-1.75l23.28-11.75c15.15-7.75 26.54-21 31.8-37l5.508-16.5l17.15 68.63l-45.44 49.75c-7.264 7.75-12.39 17.38-14.9 27.63l-22.28 89.01c-4.258 17.13 6.128 34.5 23.41 38.88c17.16 4.25 34.55-6.25 38.81-23.38l18.28-73.26c2.631-10.38 7.758-19.88 14.9-27.75l60.09-65.38C531.1 305.4 536.6 283.4 531.5 262.5zM432.2 96.02c26.55 0 48.18-21.49 48.18-47.1c0-26.5-21.63-48.01-48.18-48.01s-48.05 21.5-48.05 48C384.2 74.52 405.7 96.02 432.2 96.02zM375.2 333.4c-7.459 2.943-15.36 4.415-23.41 4.415c-6.801 0-13.52-1.074-20.41-3.334c-15.97-5.484-28.94-16.79-36.64-32.18c-15.3-31.32-2.547-69.78 28.53-85.67l11.62-5.818l5.521-16.88c9.232-27.9 26.53-51.1 48.33-68.1L261.7 8.486c-12.26-11.32-31.15-11.32-43.41 0L10.29 200.5c-9.688 8.938-12.89 22.88-8.094 35.16C6.996 247.9 18.82 255.1 31.1 255.1h31.1l-.0098 112c0 26.4 21.6 48 48 48l230.3 .0099l10.12-40.52c3.836-15.71 11.68-30.15 22.37-41.56L375.2 333.4zM224.1 272c0 8.875-7.133 16-16.01 16H144.1c-8.875 0-16.01-7.125-16.01-16V208c0-8.875 7.133-16 16.01-16h64.03c8.875 0 16.01 7.125 16.01 16V272z"],
    "house-signal": [576, 512, [], "e012", "M314.3 8.486C326.6-2.829 345.4-2.829 357.7 8.486L565.7 200.5C575.4 209.4 578.6 223.4 573.8 235.7C569 247.9 557.2 256 544 256H512V368C512 394.5 490.5 416 464 416H296.4C272.7 317.5 195.4 239.1 97.06 215.8C98.58 210.1 101.7 204.7 106.3 200.5L314.3 8.486zM304 192C295.2 192 287.1 199.2 287.1 208V272C287.1 280.8 295.2 288 304 288H368C376.8 288 384 280.8 384 272V208C384 199.2 376.8 192 368 192H304zM256 488C256 501.3 245.3 512 232 512C218.7 512 208 501.3 208 488C208 386.4 125.6 304 24 304C10.75 304 0 293.3 0 280C0 266.7 10.75 256 24 256C152.1 256 256 359.9 256 488zM0 480C0 462.3 14.33 448 32 448C49.67 448 64 462.3 64 480C64 497.7 49.67 512 32 512C14.33 512 0 497.7 0 480zM0 376C0 362.7 10.75 352 24 352C99.11 352 160 412.9 160 488C160 501.3 149.3 512 136 512C122.7 512 112 501.3 112 488C112 439.4 72.6 400 24 400C10.75 400 0 389.3 0 376z"],
    "house-tree": [640, 512, [], "e1b3", "M393.4 9.373C405.9-3.123 426.1-3.123 438.6 9.373L566.6 137.4C575.8 146.5 578.5 160.3 573.6 172.2C568.6 184.2 556.9 192 544 192H514.6L600.1 300C608.7 309.6 610.2 322.8 604.8 333.9C599.5 344.1 588.3 352 576 352H546.6L632.1 460C640.7 469.6 642.2 482.8 636.8 493.9C631.5 504.1 620.3 512 608 512H400C410 498.6 416 482 416 464V277.1C416 254.7 406.6 233.3 390.1 218.1L282.9 119.9L393.4 9.373zM15.57 241.7L159.6 109.7C177.9 92.91 206.1 92.91 224.4 109.7L368.4 241.7C378.4 250.8 384 263.7 384 277.1V464C384 490.5 362.5 512 336 512H48C21.49 512 0 490.5 0 464V277.1C0 263.7 5.647 250.8 15.57 241.7H15.57zM144 344C144 357.3 154.7 368 168 368H216C229.3 368 240 357.3 240 344V296C240 282.7 229.3 272 216 272H168C154.7 272 144 282.7 144 296V344z"],
    "house-tsunami": [576, 512, [], "e515", "M184.4 96C207.4 96 229.3 101.1 248.1 110.3C264.1 117.7 271.9 136.8 264.4 152.8C256.1 168.8 237.9 175.7 221.9 168.3C210.6 162.1 197.9 160 184.4 160C135.5 160 95.1 199.5 95.1 248C95.1 287 121.6 320.2 157.1 331.7C167.1 334.5 179.6 336 191.1 336C192 336 192.1 336 192.1 336C219.6 335.1 247.1 325.4 269.5 309.9C280.6 302 295.4 302 306.5 309.9C328.1 325.4 356.5 336 384 336C410.9 336 439.4 325.2 461.4 309.9L461.5 309.9C473.4 301.4 489.5 302.1 500.7 311.6C515 323.5 533.2 332.6 551.3 336.8C568.5 340.8 579.2 358.1 575.2 375.3C571.2 392.5 553.1 403.2 536.7 399.2C512.2 393.4 491.9 382.6 478.5 374.2C449.5 389.7 417 400 384 400C352.1 400 323.4 390.1 303.6 381.1C297.7 378.5 292.5 375.8 288 373.4C283.5 375.8 278.3 378.5 272.4 381.1C252.6 390.1 223.9 400 192 400C190.2 400 188.3 399.1 186.5 399.9C185.8 399.1 185.1 400 184.4 400C169.8 400 155.6 397.9 142.2 394.1C53.52 372.1 .0006 291.6 .0006 200C.0006 87.99 95.18 0 209 0C232.8 0 255.8 3.823 277.2 10.9C294 16.44 303.1 34.54 297.6 51.32C292 68.1 273.9 77.21 257.2 71.67C242.2 66.72 225.1 64 209 64C152.6 64 104.9 93.82 80.81 136.5C108 111.4 144.4 96 184.4 96H184.4zM428.8 46.43C440.2 37.88 455.8 37.9 467.2 46.47L562.7 118.4C570.7 124.5 575.4 133.9 575.5 143.9L575.8 287.9C575.8 290.8 575.4 293.6 574.7 296.3C569.8 293.6 564.3 291.5 558.5 290.1C545.4 287.1 531.8 280.3 521.2 271.5C499 252.8 466.9 251.4 443.2 268.1C425.2 280.5 403 288.5 384 288.5C364.4 288.5 343.2 280.8 324.8 268.1C323.3 267 321.6 265.1 320 265V143.1C320 133.9 324.7 124.4 332.8 118.4L428.8 46.43zM461.4 421.9L461.5 421.9C473.4 413.4 489.5 414.1 500.7 423.6C515 435.5 533.2 444.6 551.3 448.8C568.5 452.8 579.2 470.1 575.2 487.3C571.2 504.5 553.1 515.2 536.7 511.2C512.2 505.4 491.9 494.6 478.5 486.2C449.5 501.7 417 512 384 512C352.1 512 323.4 502.1 303.6 493.1C297.7 490.5 292.5 487.8 288 485.4C283.5 487.8 278.3 490.5 272.4 493.1C252.6 502.1 223.9 512 192 512C158.1 512 126.5 501.7 97.5 486.2C84.12 494.6 63.79 505.4 39.27 511.2C22.06 515.2 4.853 504.5 .8422 487.3C-3.169 470.1 7.532 452.8 24.74 448.8C42.84 444.6 60.96 435.5 75.31 423.6C86.46 414.1 102.6 413.4 114.5 421.9L114.6 421.9C136.7 437.2 165.1 448 192 448C219.5 448 247 437.4 269.5 421.9C280.6 414 295.4 414 306.5 421.9C328.1 437.4 356.5 448 384 448C410.9 448 439.4 437.2 461.4 421.9H461.4z"],
    "house-turret": [640, 512, [], "e1b4", "M256 464V277.1C256 263.7 261.6 250.8 271.6 241.7L415.6 109.7C433.9 92.91 462.1 92.91 480.4 109.7L624.4 241.7C634.4 250.8 640 263.7 640 277.1V464C640 490.5 618.5 512 592 512H303.1C277.5 512 255.1 490.5 255.1 464H256zM424 272C410.7 272 400 282.7 400 296V344C400 357.3 410.7 368 424 368H472C485.3 368 496 357.3 496 344V296C496 282.7 485.3 272 472 272H424zM72 0C85.25 0 96 10.75 96 24V96H128V24C128 10.75 138.7 0 152 0H200C213.3 0 224 10.75 224 24V96H256V24C256 10.75 266.7 0 280 0H328C341.3 0 352 10.75 352 24V124.6L249.9 218.1C233.4 233.3 224 254.7 224 277.1V464C224 482 229.1 498.6 239.1 512H112C85.49 512 64 490.5 64 464V288L18.75 242.7C6.743 230.7 0 214.5 0 197.5V24C0 10.75 10.75 .0006 24 .0006L72 0zM176 160C153.9 160 136 177.9 136 200V224C136 232.8 143.2 240 152 240H200C208.8 240 216 232.8 216 224V200C216 177.9 198.1 160 176 160z"],
    "house-user": [576, 512, ["home-user"], "e1b0", "M575.8 255.5C575.8 273.5 560.8 287.6 543.8 287.6H511.8L512.5 447.7C512.6 483.2 483.9 512 448.5 512H128.1C92.75 512 64.09 483.3 64.09 448V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L564.8 231.5C572.8 238.5 576.9 246.5 575.8 255.5H575.8zM288 160C252.7 160 224 188.7 224 224C224 259.3 252.7 288 288 288C323.3 288 352 259.3 352 224C352 188.7 323.3 160 288 160zM256 320C211.8 320 176 355.8 176 400C176 408.8 183.2 416 192 416H384C392.8 416 400 408.8 400 400C400 355.8 364.2 320 320 320H256z"],
    "house-water": [576, 512, ["house-flood"], "f74f", "M549.8 445.7c-31.23-5.719-46.84-20.06-47.13-20.31c-12.22-12.19-32.31-12.09-44.91-.375c-1.062 .9062-25.17 23-73.77 23s-72.73-22.06-73.38-22.62c-12.22-12.25-32.31-12.12-44.89-.375c-1.031 .9062-25.14 23-73.73 23s-72.73-22.06-73.38-22.62c-12.22-12.25-32.28-12.16-44.89-.3438c-.6562 .5938-16.28 14.94-47.5 20.66c-17.39 3.188-28.89 19.84-25.72 37.22c3.203 17.41 19.8 29.09 37.27 25.69c25.31-4.594 44.7-13.28 58.17-21.19C115.4 498.9 147.4 512 192 512c44.55 0 76.44-13.06 95.95-24.59c19.5 11.47 51.52 24.58 96.12 24.58s76.48-13.11 95.09-24.64c13.47 7.938 32.86 16.62 58.19 21.25c18.41 3.375 34.91-8.312 38.11-25.72S567.2 448.9 549.8 445.7zM32 287.1h32.02v100.9c8.527-7.877 19.54-12.51 31.35-12.51c40.88 0 34.45 39.62 97.04 39.62c64.52 0 53.23-39.66 95.32-40.02c42.2 .3652 31.4 40.02 95.9 40.02c62.63 0 55.89-39.62 97.04-39.62c11.79 0 22.8 4.617 31.32 12.47V287.1H544c17.73 0 31.1-14.4 31.1-32c0-9.053-3.842-17.89-10.92-24.09l-255.1-223.1c-6.029-5.283-13.55-7.92-21.08-7.92c-6.199 0-14.15 1.85-21.08 7.92l-255.1 223.1C-11.25 251.3 2.604 287.1 32 287.1zM224 213.4c0-11.88 9.625-21.38 21.38-21.38h85.25c11.75 0 21.38 9.5 21.38 21.38v85.25c0 11.88-9.625 21.38-21.38 21.38H245.4c-11.75 0-21.38-9.625-21.38-21.38V213.4z"],
    "house-window": [576, 512, [], "e3b3", "M511.8 287.6L512.5 447.7C512.6 483.2 483.9 512 448.5 512H128.1C92.75 512 64.09 483.3 64.09 448V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L564.8 231.5C572.8 238.5 576.9 246.5 575.8 255.5C575.8 273.5 560.8 287.6 543.8 287.6H511.8zM248 192C234.7 192 224 202.7 224 216V296C224 309.3 234.7 320 248 320H328C341.3 320 352 309.3 352 296V216C352 202.7 341.3 192 328 192H248z"],
    "hryvnia-sign": [384, 512, [8372, "hryvnia"], "f6f2", "M115.1 120.1C102.2 132 82.05 129.8 71.01 115.1C59.97 102.2 62.21 82.05 76.01 71.01L81.94 66.27C109.7 44.08 144.1 32 179.6 32H223C285.4 32 336 82.59 336 144.1C336 155.6 334.5 166.1 331.7 176H352C369.7 176 384 190.3 384 208C384 225.7 369.7 240 352 240H284.2C282.5 241.1 280.8 242.1 279.1 243.1L228.5 272H352C369.7 272 384 286.3 384 304C384 321.7 369.7 336 352 336H123.1C116 344.6 112 355.5 112 367C112 394.1 133.9 416 160.1 416H204.4C225.3 416 245.7 408.9 262.1 395.8L268 391C281.8 379.1 301.9 382.2 312.1 396C324 409.8 321.8 429.9 307.1 440.1L302.1 445.7C274.3 467.9 239.9 480 204.4 480H160.1C98.59 480 48 429.4 48 367C48 356.4 49.49 345.9 52.33 336H32C14.33 336 0 321.7 0 304C0 286.3 14.33 272 32 272H99.82C101.5 270.9 103.2 269.9 104.9 268.9L155.5 240H32C14.33 240 0 225.7 0 208C0 190.3 14.33 176 32 176H260.9C267.1 167.4 272 156.5 272 144.1C272 117.9 250.1 96 223 96H179.6C158.7 96 138.3 103.1 121.9 116.2L115.1 120.1z"],
    "hundred-points": [512, 512, [128175, "100"], "e41c", "M163 101.8C168 61.9 201.9 32 242 32C289.9 32 326.1 73.98 321.1 121.5L308.1 218.2C303.1 258.1 270.1 288 229.1 288C182.1 288 144.1 246 150.9 198.5L163 101.8zM242 96C234.2 96 227.5 101.9 226.5 109.7L214.4 206.4C213.3 215.8 220.5 224 229.1 224C237.8 224 244.5 218.1 245.5 210.3L257.6 113.6C258.7 104.2 251.4 96 242 96H242zM103.7 292C101.2 309.5 84.96 321.1 67.46 319.7C49.96 317.5 37.81 301.5 40.32 283.1L64.25 116.5L44.59 125.2C28.34 132.4 9.53 125.2 2.575 109.1C-4.381 92.95 3.154 74.02 19.4 66.8L91.4 34.8C102 30.07 114.3 31.41 123.5 38.29C132.7 45.18 137.3 56.54 135.7 68.01L103.7 292zM511.7 315.5C514.2 332.1 502 349.2 484.5 351.7L36.52 415.7C19.03 418.2 2.818 406 .3184 388.5C-2.181 371 9.976 354.8 27.47 352.3L475.5 288.3C492.1 285.8 509.2 297.1 511.7 315.5zM511.7 411.5C514.2 428.1 502 445.2 484.5 447.7L260.5 479.7C243 482.2 226.8 470 224.3 452.5C221.8 435 233.1 418.8 251.5 416.3L475.5 384.3C492.1 381.8 509.2 393.1 511.7 411.5zM507.1 119L499.8 199.4C496.1 240.5 461.6 272 420.3 272C373.4 272 336.6 231.7 340.9 184.1L348.2 104.6C351.9 63.47 386.4 32 427.7 32C474.6 32 511.4 72.29 507.1 119zM404.6 190.8C403.8 200 411 208 420.3 208C428.5 208 435.3 201.8 436.1 193.6L443.4 113.2C444.2 103.1 436.9 96 427.7 96C419.5 96 412.7 102.2 411.9 110.4L404.6 190.8z"],
    "hurricane": [448, 512, [], "f751", "M224 223.1c-17.75 0-32 14.25-32 32c0 17.75 14.25 32 32 32s32-14.25 32-32C256 238.2 241.8 223.1 224 223.1zM208 95.98l24.5-74.74c3.75-11.25-5.615-22.49-17.36-21.11C112 12.38 32 101.6 32 208c0 114.9 93.13 208 208 208l-24.5 74.73c-3.75 11.25 5.615 22.5 17.36 21.12C335.1 499.6 416 410.4 416 304C416 189.1 322.9 95.98 208 95.98zM224 351.1c-53 0-96-43-96-96s43-96 96-96s96 43 96 96S277 351.1 224 351.1z"],
    "hyphen": [320, 512, [], "2d", "M288 288H32c-17.69 0-32-14.32-32-32.01s14.31-31.99 32-31.99h256c17.69 0 32 14.3 32 31.99S305.7 288 288 288z"],
    "i": [320, 512, [105], "49", "M320 448c0 17.67-14.31 32-32 32H32c-17.69 0-32-14.33-32-32s14.31-32 32-32h96v-320H32c-17.69 0-32-14.33-32-32s14.31-32 32-32h256c17.69 0 32 14.33 32 32s-14.31 32-32 32h-96v320h96C305.7 416 320 430.3 320 448z"],
    "i-cursor": [256, 512, [], "f246", "M256 480c0 17.69-14.33 31.1-32 31.1c-38.41 0-72.52-17.35-96-44.23c-23.48 26.88-57.59 44.23-96 44.23c-17.67 0-32-14.31-32-31.1s14.33-32 32-32c35.3 0 64-28.72 64-64V288H64C46.33 288 32 273.7 32 256s14.33-32 32-32h32V128c0-35.28-28.7-64-64-64C14.33 64 0 49.69 0 32s14.33-32 32-32c38.41 0 72.52 17.35 96 44.23c23.48-26.88 57.59-44.23 96-44.23c17.67 0 32 14.31 32 32s-14.33 32-32 32c-35.3 0-64 28.72-64 64v96h32c17.67 0 32 14.31 32 32s-14.33 32-32 32h-32v96c0 35.28 28.7 64 64 64C241.7 448 256 462.3 256 480z"],
    "ice-cream": [448, 512, [127848], "f810", "M96.06 288.3H351.9L252.6 493.8C250.1 499.2 246 503.8 240.1 507.1C235.9 510.3 230 512 224 512C217.1 512 212.1 510.3 207 507.1C201.1 503.8 197.9 499.2 195.4 493.8L96.06 288.3zM386.3 164C392.1 166.4 397.4 169.9 401.9 174.4C406.3 178.8 409.9 184.1 412.3 189.9C414.7 195.7 415.1 201.1 416 208.3C416 214.5 414.8 220.8 412.4 226.6C409.1 232.4 406.5 237.7 402 242.2C397.6 246.6 392.3 250.2 386.5 252.6C380.7 255 374.4 256.3 368.1 256.3H79.88C67.16 256.3 54.96 251.2 45.98 242.2C37 233.2 31.97 220.1 32 208.3C32.03 195.5 37.1 183.4 46.12 174.4C55.14 165.4 67.35 160.4 80.07 160.4H81.06C80.4 154.9 80.06 149.4 80.04 143.8C80.04 105.7 95.2 69.11 122.2 42.13C149.2 15.15 185.8 0 223.1 0C262.1 0 298.7 15.15 325.7 42.13C352.7 69.11 367.9 105.7 367.9 143.8C367.9 149.4 367.6 154.9 366.9 160.4H367.9C374.2 160.4 380.5 161.6 386.3 164z"],
    "ice-skate": [576, 512, [9976], "f7ac", "M64 384h416C497.7 384 512 369.7 512 352l.0001-37c0-44.13-29.97-82.37-72.72-93.12L320 192h-48c-8.801 0-16-7.203-16-16c0-8.801 7.199-16 16-16h48V128h-48c-8.801 0-16-7.203-16-16c0-8.801 7.199-16 16-16h48V16c0-8.801-7.199-16-16-16l-31.1 0c-8.801 0-16 7.199-16 16V32L78.38 82.75c-27.5 7.875-46.38 33-46.38 61.5L32 352C32 369.7 46.33 384 64 384zM552 416c-13.2 0-24 10.8-24 23.1C528 453.3 517.3 464 504 464h-71.1l0-48h-48l0 48h-240L144 416H96v48H32c-17.6 0-31.1 14.4-31.1 31.1C.0001 510 13.18 512 16 512h496c35.2 0 64-28.8 64-64L576 439.1C576 426.8 565.2 416 552 416z"],
    "icicles": [512, 512, [], "f7ad", "M511.4 37.87l-87.54 467.6c-1.625 8.623-14.04 8.634-15.67 .0104L341.4 141.7L295.7 314.2c-2.375 7.624-12.98 7.624-15.36 0L246.3 180.9l-46.49 196.9c-1.875 8.373-13.64 8.373-15.51 0L139.1 190.5L103.6 314.5c-2.375 7.124-12.64 7.198-15.14 .0744L1.357 41.24C-4.768 20.75 10.61 0 31.98 0h448C500 0 515.2 18.25 511.4 37.87z"],
    "icons": [512, 512, ["heart-music-camera-bolt"], "f86d", "M500.3 7.251C507.7 13.33 512 22.41 512 31.1V175.1C512 202.5 483.3 223.1 447.1 223.1C412.7 223.1 383.1 202.5 383.1 175.1C383.1 149.5 412.7 127.1 447.1 127.1V71.03L351.1 90.23V207.1C351.1 234.5 323.3 255.1 287.1 255.1C252.7 255.1 223.1 234.5 223.1 207.1C223.1 181.5 252.7 159.1 287.1 159.1V63.1C287.1 48.74 298.8 35.61 313.7 32.62L473.7 .6198C483.1-1.261 492.9 1.173 500.3 7.251H500.3zM74.66 303.1L86.5 286.2C92.43 277.3 102.4 271.1 113.1 271.1H174.9C185.6 271.1 195.6 277.3 201.5 286.2L213.3 303.1H239.1C266.5 303.1 287.1 325.5 287.1 351.1V463.1C287.1 490.5 266.5 511.1 239.1 511.1H47.1C21.49 511.1-.0019 490.5-.0019 463.1V351.1C-.0019 325.5 21.49 303.1 47.1 303.1H74.66zM143.1 359.1C117.5 359.1 95.1 381.5 95.1 407.1C95.1 434.5 117.5 455.1 143.1 455.1C170.5 455.1 191.1 434.5 191.1 407.1C191.1 381.5 170.5 359.1 143.1 359.1zM440.3 367.1H496C502.7 367.1 508.6 372.1 510.1 378.4C513.3 384.6 511.6 391.7 506.5 396L378.5 508C372.9 512.1 364.6 513.3 358.6 508.9C352.6 504.6 350.3 496.6 353.3 489.7L391.7 399.1H336C329.3 399.1 323.4 395.9 321 389.6C318.7 383.4 320.4 376.3 325.5 371.1L453.5 259.1C459.1 255 467.4 254.7 473.4 259.1C479.4 263.4 481.6 271.4 478.7 278.3L440.3 367.1zM116.7 219.1L19.85 119.2C-8.112 90.26-6.614 42.31 24.85 15.34C51.82-8.137 93.26-3.642 118.2 21.83L128.2 32.32L137.7 21.83C162.7-3.642 203.6-8.137 231.6 15.34C262.6 42.31 264.1 90.26 236.1 119.2L139.7 219.1C133.2 225.6 122.7 225.6 116.7 219.1H116.7z"],
    "id-badge": [384, 512, [], "f2c1", "M336 0h-288C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48v-416C384 21.49 362.5 0 336 0zM192 160c35.35 0 64 28.65 64 64s-28.65 64-64 64S128 259.3 128 224S156.7 160 192 160zM288 416H96c-8.836 0-16-7.164-16-16C80 355.8 115.8 320 160 320h64c44.18 0 80 35.82 80 80C304 408.8 296.8 416 288 416zM240 96h-96C135.2 96 128 88.84 128 80S135.2 64 144 64h96C248.8 64 256 71.16 256 80S248.8 96 240 96z"],
    "id-card": [576, 512, [62147, "drivers-license"], "f2c2", "M528 32h-480C21.49 32 0 53.49 0 80V96h576V80C576 53.49 554.5 32 528 32zM0 432C0 458.5 21.49 480 48 480h480c26.51 0 48-21.49 48-48V128H0V432zM368 192h128C504.8 192 512 199.2 512 208S504.8 224 496 224h-128C359.2 224 352 216.8 352 208S359.2 192 368 192zM368 256h128C504.8 256 512 263.2 512 272S504.8 288 496 288h-128C359.2 288 352 280.8 352 272S359.2 256 368 256zM368 320h128c8.836 0 16 7.164 16 16S504.8 352 496 352h-128c-8.836 0-16-7.164-16-16S359.2 320 368 320zM176 192c35.35 0 64 28.66 64 64s-28.65 64-64 64s-64-28.66-64-64S140.7 192 176 192zM112 352h128c26.51 0 48 21.49 48 48c0 8.836-7.164 16-16 16h-192C71.16 416 64 408.8 64 400C64 373.5 85.49 352 112 352z"],
    "id-card-clip": [576, 512, ["id-card-alt"], "f47f", "M256 128h64c17.67 0 32-14.33 32-32V32c0-17.67-14.33-32-32-32H256C238.3 0 224 14.33 224 32v64C224 113.7 238.3 128 256 128zM528 64H384v48C384 138.5 362.5 160 336 160h-96C213.5 160 192 138.5 192 112V64H48C21.49 64 0 85.49 0 112v352C0 490.5 21.49 512 48 512h480c26.51 0 48-21.49 48-48v-352C576 85.49 554.5 64 528 64zM288 224c35.35 0 64 28.66 64 64s-28.65 64-64 64s-64-28.66-64-64S252.7 224 288 224zM384 448H192c-8.836 0-16-7.164-16-16C176 405.5 197.5 384 224 384h128c26.51 0 48 21.49 48 48C400 440.8 392.8 448 384 448z"],
    "igloo": [576, 512, [], "f7ae", "M320 160H48.5C100.2 82.82 188.1 32 288 32C298.8 32 309.5 32.6 320 33.76V160zM352 39.14C424.9 55.67 487.2 99.82 527.5 160H352V39.14zM96 192V320H0C0 274 10.77 230.6 29.94 192H96zM192 320H128V192H448V320H384V352H576V432C576 458.5 554.5 480 528 480H352V352C352 316.7 323.3 288 288 288C252.7 288 224 316.7 224 352V480H48C21.49 480 0 458.5 0 432V352H192V320zM480 192H546.1C565.2 230.6 576 274 576 320H480V192z"],
    "image": [512, 512, [], "f03e", "M447.1 32h-384C28.64 32-.0091 60.65-.0091 96v320c0 35.35 28.65 64 63.1 64h384c35.35 0 64-28.65 64-64V96C511.1 60.65 483.3 32 447.1 32zM111.1 96c26.51 0 48 21.49 48 48S138.5 192 111.1 192s-48-21.49-48-48S85.48 96 111.1 96zM446.1 407.6C443.3 412.8 437.9 416 432 416H82.01c-6.021 0-11.53-3.379-14.26-8.75c-2.73-5.367-2.215-11.81 1.334-16.68l70-96C142.1 290.4 146.9 288 152 288s9.916 2.441 12.93 6.574l32.46 44.51l93.3-139.1C293.7 194.7 298.7 192 304 192s10.35 2.672 13.31 7.125l128 192C448.6 396 448.9 402.3 446.1 407.6z"],
    "image-landscape": [576, 512, ["landscape"], "e1b5", "M528 64h-480C21.49 64 0 85.49 0 112v288C0 426.5 21.49 448 48 448h480c26.51 0 48-21.49 48-48v-288C576 85.49 554.5 64 528 64zM175.1 160c17.68 0 32 14.33 32 32s-14.32 32-32 32c-17.67 0-32-14.33-32-32S158.3 160 175.1 160zM446.1 375.6C443.3 380.8 437.9 384 432 384h-288c-6.023 0-11.53-3.379-14.26-8.75c-2.73-5.367-2.215-11.81 1.332-16.68l70-96C204.1 258.4 208.9 256 213.1 256c5.11 0 9.914 2.441 12.93 6.574l22.35 30.66l62.74-94.11C314.1 194.7 319.1 192 325.3 192c5.348 0 10.34 2.672 13.31 7.125l106.7 160C448.6 364 448.9 370.3 446.1 375.6z"],
    "image-polaroid": [448, 512, [], "f8c4", "M145.7 230.6l-46.67 64c-3.549 4.863-4.064 11.31-1.334 16.68C100.5 316.6 105.1 320 112 320h224c5.9 0 11.32-3.246 14.11-8.449c2.783-5.203 2.479-11.52-.7949-16.43l-85.33-128C261 162.7 256 160 250.7 160s-10.35 2.672-13.31 7.125L183.8 247.4L171.6 230.6C168.6 226.4 163.8 224 158.7 224S148.8 226.4 145.7 230.6zM400 32h-352C21.6 32 0 53.6 0 80v352C0 458.4 21.6 480 48 480h352c26.4 0 48-21.6 48-48v-352C448 53.6 426.4 32 400 32zM384 352H64V96h320V352zM128 192c17.62 0 32-14.38 32-32S145.6 128 128 128S96 142.4 96 160S110.4 192 128 192z"],
    "image-polaroid-user": [448, 512, [], "e1b6", "M224 256c35.35 0 64-28.66 64-64s-28.65-64-64-64S160 156.7 160 192S188.7 256 224 256zM400 32h-352C21.6 32 0 53.6 0 80v352C0 458.4 21.6 480 48 480h352c26.4 0 48-21.6 48-48v-352C448 53.6 426.4 32 400 32zM384 352h-48c0-35.35-28.65-64-63.1-64H175.1C140.7 288 112 316.7 112 351.1L64 352V96h320V352z"],
    "image-portrait": [384, 512, ["portrait"], "f3e0", "M336 0h-288c-26.51 0-48 21.49-48 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48v-416C384 21.49 362.5 0 336 0zM192 128c35.35 0 64 28.65 64 64s-28.65 64-64 64S128 227.3 128 192S156.7 128 192 128zM288 384H96c-8.836 0-16-7.164-16-16C80 323.8 115.8 288 160 288h64c44.18 0 80 35.82 80 80C304 376.8 296.8 384 288 384z"],
    "image-slash": [640, 512, [], "e1b7", "M630.8 469.1l-55.95-43.85C575.3 422.2 575.1 419.2 575.1 416l.0034-320c0-35.35-28.65-64-64-64H127.1C113.6 32 100.4 36.98 89.78 45.06L38.81 5.113C28.34-3.058 13.31-1.246 5.109 9.192C-3.063 19.63-1.235 34.72 9.187 42.89L601.2 506.9C605.6 510.3 610.8 512 615.1 512c7.125 0 14.17-3.156 18.91-9.188C643.1 492.4 641.2 477.3 630.8 469.1zM223.1 149.6l-64.29-50.39C164.2 97.15 169.9 96 175.1 96c26.51 0 48 21.49 48 48C223.1 145.9 223.4 147.7 223.1 149.6zM331.2 234.3l23.45-35.18C357.7 194.7 362.7 192 368 192s10.35 2.672 13.31 7.125l103.9 155.9L331.2 234.3zM145.1 416c-6.021 0-11.53-3.379-14.26-8.75c-2.73-5.367-2.215-11.81 1.334-16.68l70-96C206.1 290.4 210.9 288 216 288s9.916 2.441 12.93 6.574l32.46 44.51l16.43-24.65L63.99 146.8L63.99 416c0 35.35 28.65 64 64 64h361.1l-81.66-64H145.1z"],
    "image-user": [512, 512, [], "e1b8", "M448 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V96C512 60.65 483.3 32 448 32zM256 128c35.35 0 64 28.66 64 64s-28.65 64-64 64s-64-28.66-64-64S220.7 128 256 128zM352 384H160c-8.836 0-16-7.164-16-16c0-44.18 35.82-80 80-80h64c44.18 0 80 35.82 80 80C368 376.8 360.8 384 352 384z"],
    "images": [576, 512, [], "f302", "M528 32H144c-26.51 0-48 21.49-48 48v256c0 26.51 21.49 48 48 48H528c26.51 0 48-21.49 48-48v-256C576 53.49 554.5 32 528 32zM223.1 96c17.68 0 32 14.33 32 32S241.7 160 223.1 160c-17.67 0-32-14.33-32-32S206.3 96 223.1 96zM494.1 311.6C491.3 316.8 485.9 320 480 320H192c-6.023 0-11.53-3.379-14.26-8.75c-2.73-5.367-2.215-11.81 1.332-16.68l70-96C252.1 194.4 256.9 192 262 192c5.111 0 9.916 2.441 12.93 6.574l22.35 30.66l62.74-94.11C362.1 130.7 367.1 128 373.3 128c5.348 0 10.34 2.672 13.31 7.125l106.7 160C496.6 300 496.9 306.3 494.1 311.6zM456 432H120c-39.7 0-72-32.3-72-72v-240C48 106.8 37.25 96 24 96S0 106.8 0 120v240C0 426.2 53.83 480 120 480h336c13.25 0 24-10.75 24-24S469.3 432 456 432z"],
    "images-user": [576, 512, [], "e1b9", "M528 32h-384C117.5 32 96 53.49 96 80v256C96 362.5 117.5 384 144 384h384c26.51 0 48-21.49 48-48v-256C576 53.49 554.5 32 528 32zM336 96c35.35 0 64 28.66 64 64s-28.65 64-64 64s-64-28.66-64-64S300.7 96 336 96zM432 320h-192c-8.836 0-16-7.164-16-16c0-26.51 21.49-48 48-48h128c26.51 0 48 21.49 48 48C448 312.8 440.8 320 432 320zM456 480H120C53.83 480 0 426.2 0 360v-240C0 106.8 10.75 96 24 96S48 106.8 48 120v240c0 39.7 32.3 72 72 72h336c13.25 0 24 10.75 24 24S469.3 480 456 480z"],
    "inbox": [512, 512, [], "f01c", "M447 56.25C443.5 42 430.7 31.1 416 31.1H96c-14.69 0-27.47 10-31.03 24.25L3.715 304.9C1.247 314.9 0 325.2 0 335.5v96.47c0 26.51 21.49 48 48 48h416c26.51 0 48-21.49 48-48v-96.47c0-10.32-1.247-20.6-3.715-30.61L447 56.25zM352 352H160L128 288H72.97L121 96h270l48.03 192H384L352 352z"],
    "inbox-full": [512, 512, [], "e1ba", "M508.3 304.9l-61.25-248.7C443.5 42 430.7 32 416 32H96C81.31 32 68.53 42 64.97 56.25l-61.25 248.7C1.248 314.9 0 325.2 0 335.5V432C0 458.5 21.49 480 48 480h416c26.51 0 48-21.49 48-48v-96.47C512 325.2 510.8 314.9 508.3 304.9zM384 288l-32 64H160L128 288H72.97L121 96h270l48.03 192H384zM368 224h-224C135.2 224 128 231.2 128 240S135.2 256 144 256h224C376.8 256 384 248.8 384 240S376.8 224 368 224zM176 176h160C344.8 176 352 168.8 352 160s-7.162-16-16-16h-160C167.2 144 160 151.2 160 160S167.2 176 176 176z"],
    "inbox-in": [512, 512, [128229, "inbox-arrow-down"], "f310", "M233.4 310.6c12.5 12.5 32.75 12.5 45.25 0l96-96c12.5-12.5 12.5-32.75 0-45.25s-32.75-12.5-45.25 0L288 210.8V32c0-17.69-14.31-32-32-32S224 14.31 224 32v178.8L182.6 169.4C176.4 163.1 168.2 160 160 160S143.6 163.1 137.4 169.4c-12.5 12.5-12.5 32.75 0 45.25L233.4 310.6zM480 320h-96L352 384H160l-32-64H32c-17.67 0-32 14.33-32 32v112C0 490.5 21.49 512 48 512h416c26.51 0 48-21.49 48-48V352C512 334.3 497.7 320 480 320z"],
    "inbox-out": [512, 512, [128228, "inbox-arrow-up"], "f311", "M480 320h-96L352 384H160l-32-64H32c-17.67 0-32 14.33-32 32v112C0 490.5 21.49 512 48 512h416c26.51 0 48-21.49 48-48V352C512 334.3 497.7 320 480 320zM182.6 150.6L224 109.3V288c0 17.69 14.31 32 32 32s32-14.31 32-32V109.3l41.38 41.38C335.6 156.9 343.8 160 352 160s16.38-3.125 22.62-9.375c12.5-12.5 12.5-32.75 0-45.25l-96-96c-12.5-12.5-32.75-12.5-45.25 0l-96 96c-12.5 12.5-12.5 32.75 0 45.25S170.1 163.1 182.6 150.6z"],
    "inboxes": [512, 512, [], "e1bb", "M480 352h-96L352 416H160l-32-64H32c-17.67 0-32 14.33-32 32v80C0 490.5 21.49 512 48 512h416c26.51 0 48-21.49 48-48V384C512 366.3 497.7 352 480 352zM507.7 180.9l-61.99-160.8C440.8 7.969 429.1 0 416 0H96c-13.09 0-24.84 7.969-29.72 20.12L4.287 180.9C1.453 188.2 0 196 0 203.9V271.1c0 26.51 21.49 48 48 48h416c26.51 0 48-21.49 48-48V203.9C512 196 510.5 188.2 507.7 180.9zM384 160l-32 64H160L128 160H79.27l38.39-96h276.7l38.39 96H384z"],
    "indent": [448, 512, [], "f03c", "M0 64C0 46.33 14.33 32 32 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64zM192 192C192 174.3 206.3 160 224 160H416C433.7 160 448 174.3 448 192C448 209.7 433.7 224 416 224H224C206.3 224 192 209.7 192 192zM416 288C433.7 288 448 302.3 448 320C448 337.7 433.7 352 416 352H224C206.3 352 192 337.7 192 320C192 302.3 206.3 288 224 288H416zM0 448C0 430.3 14.33 416 32 416H416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480H32C14.33 480 0 465.7 0 448zM25.82 347.9C15.31 356.1 0 348.6 0 335.3V176.7C0 163.4 15.31 155.9 25.82 164.1L127.8 243.4C135.1 249.8 135.1 262.2 127.8 268.6L25.82 347.9z"],
    "indian-rupee-sign": [320, 512, ["indian-rupee", "inr"], "e1bc", "M.0022 64C.0022 46.33 14.33 32 32 32H288C305.7 32 320 46.33 320 64C320 81.67 305.7 96 288 96H231.8C241.4 110.4 248.5 126.6 252.4 144H288C305.7 144 320 158.3 320 176C320 193.7 305.7 208 288 208H252.4C239.2 266.3 190.5 311.2 130.3 318.9L274.6 421.1C288.1 432.2 292.3 452.2 282 466.6C271.8 480.1 251.8 484.3 237.4 474L13.4 314C2.083 305.1-2.716 291.5 1.529 278.2C5.774 264.1 18.09 256 32 256H112C144.8 256 173 236.3 185.3 208H32C14.33 208 .0022 193.7 .0022 176C.0022 158.3 14.33 144 32 144H185.3C173 115.7 144.8 96 112 96H32C14.33 96 .0022 81.67 .0022 64V64z"],
    "industry": [576, 512, [], "f275", "M128 32C145.7 32 160 46.33 160 64V215.4L316.6 131C332.6 122.4 352 134 352 152.2V215.4L508.6 131C524.6 122.4 544 134 544 152.2V432C544 458.5 522.5 480 496 480H80C53.49 480 32 458.5 32 432V64C32 46.33 46.33 32 64 32H128z"],
    "industry-windows": [576, 512, [127981, "industry-alt"], "f3b3", "M32 64C32 46.33 46.33 32 64 32H128C145.7 32 160 46.33 160 64V215.4L316.6 131C332.6 122.4 352 134 352 152.2V215.4L508.6 131C524.6 122.4 544 134 544 152.2V432C544 458.5 522.5 480 496 480H80C53.49 480 32 458.5 32 432V64zM264 312C255.2 312 248 319.2 248 328V376C248 384.8 255.2 392 264 392H312C320.8 392 328 384.8 328 376V328C328 319.2 320.8 312 312 312H264zM120 376C120 384.8 127.2 392 136 392H184C192.8 392 200 384.8 200 376V328C200 319.2 192.8 312 184 312H136C127.2 312 120 319.2 120 328V376zM392 312C383.2 312 376 319.2 376 328V376C376 384.8 383.2 392 392 392H440C448.8 392 456 384.8 456 376V328C456 319.2 448.8 312 440 312H392z"],
    "infinity": [640, 512, [9854, 8734], "f534", "M494.9 96.01c-38.78 0-75.22 15.09-102.6 42.5L320 210.8L247.8 138.5c-27.41-27.41-63.84-42.5-102.6-42.5C65.11 96.01 0 161.1 0 241.1v29.75c0 80.03 65.11 145.1 145.1 145.1c38.78 0 75.22-15.09 102.6-42.5L320 301.3l72.23 72.25c27.41 27.41 63.84 42.5 102.6 42.5C574.9 416 640 350.9 640 270.9v-29.75C640 161.1 574.9 96.01 494.9 96.01zM202.5 328.3c-15.31 15.31-35.69 23.75-57.38 23.75C100.4 352 64 315.6 64 270.9v-29.75c0-44.72 36.41-81.13 81.14-81.13c21.69 0 42.06 8.438 57.38 23.75l72.23 72.25L202.5 328.3zM576 270.9c0 44.72-36.41 81.13-81.14 81.13c-21.69 0-42.06-8.438-57.38-23.75l-72.23-72.25l72.23-72.25c15.31-15.31 35.69-23.75 57.38-23.75C539.6 160 576 196.4 576 241.1V270.9z"],
    "info": [192, 512, [], "f129", "M160 448h-32V224c0-17.69-14.33-32-32-32L32 192c-17.67 0-32 14.31-32 32s14.33 31.1 32 31.1h32v192H32c-17.67 0-32 14.31-32 32s14.33 32 32 32h128c17.67 0 32-14.31 32-32S177.7 448 160 448zM96 128c26.51 0 48-21.49 48-48S122.5 32.01 96 32.01s-48 21.49-48 48S69.49 128 96 128z"],
    "inhaler": [576, 512, [], "f5f9", "M31.99 320C14.37 320 0 334.4 0 352s14.37 31.1 31.99 31.1s31.99-14.37 31.99-31.1S49.62 320 31.99 320zM31.99 416C14.37 416 0 430.4 0 448s14.37 31.1 31.99 31.1S63.99 465.6 63.99 448S49.62 416 31.99 416zM127.1 368c-17.62 0-31.99 14.37-31.99 31.1s14.37 31.1 31.99 31.1s31.99-14.37 31.99-31.1S145.6 368 127.1 368zM31.99 224C14.37 224 0 238.4 0 256s14.37 31.1 31.99 31.1s31.99-14.37 31.99-31.1S49.62 224 31.99 224zM127.1 272c-17.62 0-31.99 14.37-31.99 31.1s14.37 31.1 31.99 31.1s31.99-14.37 31.99-31.1S145.6 272 127.1 272zM327.6 224H223.1c-17.67 0-32 14.33-32 31.1v191.1c0 17.6 14.4 31.1 31.1 31.1h246.4c12.8 0 23.95-8.531 27.13-20.89l42.79-163.1l-183.5-183.5L327.6 224zM555.2 65.24l-120.5-32.26c-14.98-4.047-30.3 4.812-34.34 19.8l-12.26 45.84l147.7 147.7l39.27-146.7C579.1 84.6 570.2 69.29 555.2 65.24z"],
    "input-numeric": [640, 512, [], "e1bd", "M104 184C104 170.7 114.7 160 128 160H160C173.3 160 184 170.7 184 184V304H200C213.3 304 224 314.7 224 328C224 341.3 213.3 352 200 352H120C106.7 352 96 341.3 96 328C96 314.7 106.7 304 120 304H136V208H128C114.7 208 104 197.3 104 184zM283.5 229.9C275.8 240.7 260.8 243.2 250.1 235.5C239.3 227.8 236.8 212.8 244.5 202.1L255.6 186.5C279.3 153.2 327.9 150.8 354.8 181.6C376.1 205.1 375.6 242.5 353.7 266.3L318.8 304H352C365.3 304 376 314.7 376 328C376 341.3 365.3 352 352 352H264C254.5 352 245.8 346.4 242 337.6C238.2 328.9 239.9 318.7 246.4 311.7L318.4 233.7C323.7 227.9 323.8 219.1 318.7 213.2C312.1 205.8 300.4 206.3 294.6 214.4L283.5 229.9zM576 64C611.3 64 640 92.65 640 128V384C640 419.3 611.3 448 576 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H576zM576 128H64V384H576V128z"],
    "input-pipe": [640, 512, [], "e1be", "M144 328C144 341.3 133.3 352 120 352C106.7 352 96 341.3 96 328V184C96 170.7 106.7 160 120 160C133.3 160 144 170.7 144 184V328zM0 128C0 92.65 28.65 64 64 64H576C611.3 64 640 92.65 640 128V384C640 419.3 611.3 448 576 448H64C28.65 448 0 419.3 0 384V128zM64 384H576V128H64V384z"],
    "input-text": [640, 512, [], "e1bf", "M184 160C193.5 160 202.1 165.6 205.9 174.3L269.9 318.3C275.3 330.4 269.9 344.5 257.7 349.9C245.6 355.3 231.5 349.9 226.1 337.7L221.7 328H146.3L141.9 337.7C136.5 349.9 122.4 355.3 110.3 349.9C98.14 344.5 92.69 330.4 98.07 318.3L162.1 174.3C165.9 165.6 174.5 160 184 160H184zM167.6 280H200.4L184 243.1L167.6 280zM304 184C304 170.7 314.7 160 328 160H380C413.1 160 440 186.9 440 220C440 229.2 437.9 237.9 434.2 245.7C447.5 256.7 456 273.4 456 292C456 325.1 429.1 352 396 352H328C314.7 352 304 341.3 304 328V184zM352 208V232H380C386.6 232 392 226.6 392 220C392 213.4 386.6 208 380 208H352zM352 304H396C402.6 304 408 298.6 408 292C408 285.4 402.6 280 396 280H352V304zM0 128C0 92.65 28.65 64 64 64H576C611.3 64 640 92.65 640 128V384C640 419.3 611.3 448 576 448H64C28.65 448 0 419.3 0 384V128zM64 384H576V128H64V384z"],
    "integral": [320, 512, [], "f667", "M104 512c-48.53 0-88-39.46-88-87.1v-8c0-17.69 14.33-32 32-32s32 14.31 32 32v8c0 13.22 10.77 24 24 24s24-10.78 24-24v-336c0-48.53 39.47-88 88-88s88 39.47 88 88v8c0 17.69-14.33 32-32 32s-32-14.31-32-32v-8c0-13.22-10.77-24-24-24s-24 10.78-24 24v336C192 472.5 152.5 512 104 512z"],
    "intersection": [384, 512, [8898], "f668", "M352 480c-17.69 0-32-14.31-32-32V224c0-70.59-57.41-128-128-128s-128 57.41-128 128v223.1c0 17.69-14.31 32-32 32s-32-14.31-32-32V224c0-105.9 86.13-192 192-192s192 86.13 192 192v224C384 465.7 369.7 480 352 480z"],
    "island-tropical": [448, 512, [127965, "island-tree-palm"], "f811", "M447.9 113.6c.5001 3.625-.4998 7.375-2.875 10.13C442.6 126.5 439.1 128 435.4 128H399.1l-16-32l-15.97 32h-101.8c11.25 48.12 28.76 143.1 18.51 231.9c52 17.12 92 62.37 99 118.1C386.1 496.2 370.5 512 351.1 512H32.08c-19.75 0-34.59-17.75-31.72-37.25C10.86 404.2 71.48 352 142.7 352h53.38C206.1 309.1 221.1 229.1 217.1 149.5l-70.1 71C140.7 225.9 131.1 224.8 127.6 218.6C102.5 182.9 107.1 131 142.1 96H111.1L95.1 64L79.1 96H44.62C40.87 96 37.37 94.5 34.99 91.75C32.62 88.1 31.67 85.25 32.17 81.62C40.29 35.38 86.99 0 143.5 0c50.25 0 92.25 28.25 106.8 67.13C270.9 45.88 301.6 32 336.5 32C393 32 439.7 67.38 447.9 113.6z"],
    "italic": [384, 512, [], "f033", "M384 64.01c0 17.69-14.31 32-32 32h-58.67l-133.3 320H224c17.69 0 32 14.31 32 32s-14.31 32-32 32H32c-17.69 0-32-14.31-32-32s14.31-32 32-32h58.67l133.3-320H160c-17.69 0-32-14.31-32-32s14.31-32 32-32h192C369.7 32.01 384 46.33 384 64.01z"],
    "j": [320, 512, [106], "4a", "M320 64.01v259.4c0 86.36-71.78 156.6-160 156.6s-160-70.26-160-156.6V288c0-17.67 14.31-32 32-32s32 14.33 32 32v35.38c0 51.08 43.06 92.63 96 92.63s96-41.55 96-92.63V64.01c0-17.67 14.31-32 32-32S320 46.34 320 64.01z"],
    "jack-o-lantern": [576, 512, [127875], "f30e", "M352 106.6l-.0025-70.88c0-6-3.375-11.5-8.876-14.25l-39.63-19.75c-2.961-1.525-5.649-1.731-7.13-1.731c-6.282 0-12.34 3.778-14.87 10.11L245.5 100.2C258.6 97.61 272.6 95.98 288 95.98C312.3 95.98 333.3 99.98 352 106.6zM425.5 128.4c-10.01 0-20.05 1.27-29.77 3.788c18.82 16.9 18.62 19.65 25.38 31.88c-31.75-23.63-75.63-36.11-133.1-36.11s-101.4 12.49-133.1 36.11c6.821-12.34 6.584-15 25.38-31.88c-9.718-2.518-19.76-3.788-29.77-3.788c-99.46 0-150.5 125.1-150.5 191.5c-.0001 64.45 51.26 192 151.5 192c24.97 0 49.96-7.939 69.4-23.8c17.75 15.38 39.89 23.86 67.14 23.86s49.38-8.488 67.25-23.86c19.38 15.86 44.34 23.8 69.3 23.8c100.1 0 151.4-126.1 151.4-192C576 255.7 525.1 128.4 425.5 128.4zM320.1 281.3c0-1.244 .2848-2.44 .7786-3.357l41.13-66.63c1.18-2.297 3.302-3.409 5.566-3.409c2.295 0 4.737 1.144 6.436 3.409l41.13 66.63c.4553 .9105 .7241 2.096 .7241 3.33c0 3.172-1.775 6.67-6.724 6.67h-82.26C321.9 287.1 320.1 284.5 320.1 281.3zM160.1 281.3c0-1.244 .2848-2.44 .7786-3.357l41.13-66.63c1.179-2.297 3.315-3.422 5.579-3.422c2.295 0 4.723 1.157 6.423 3.422L255.1 277.1c.4553 .9105 .7241 2.096 .7241 3.33c0 3.172-1.775 6.67-6.724 6.67H166.9C161.9 287.1 160.1 284.5 160.1 281.3zM454.7 324.7c8.477 0 16 6.879 16 15.56c0 6.391-8.941 27.33-19.55 42.23c-9.376 13-21.38 23.88-35.25 33c-.25-8.625-7.251-15.5-15.88-15.5h-16c-8.876 0-16 7.125-16 16v21.5C344.5 444.4 317.9 447.1 288 447.1s-56.51-3.627-80.01-10.5v-21.5c0-8.875-7.126-16-16-16H175.1c-8.751 0-15.75 6.1-15.88 15.63c-13.75-9.125-25.63-19.75-34.75-32.5c-10.84-15.27-20.05-36.2-20.05-42.76c0-8.691 7.584-15.65 16.05-15.65c12.33 0 41.48 29.38 118.6 41.16v18.13c0 8.875 7.126 16 16 16h16C280.9 399.1 288 392.9 288 383.1v-14.25C388.1 369.7 443.7 324.7 454.7 324.7z"],
    "jar": [320, 512, [], "e516", "M32 32C32 14.33 46.33 0 64 0H256C273.7 0 288 14.33 288 32C288 49.67 273.7 64 256 64H64C46.33 64 32 49.67 32 32zM0 160C0 124.7 28.65 96 64 96H256C291.3 96 320 124.7 320 160V448C320 483.3 291.3 512 256 512H64C28.65 512 0 483.3 0 448V160zM256 224H64V384H256V224z"],
    "jar-wheat": [320, 512, [], "e517", "M32 32C32 14.33 46.33 0 64 0H256C273.7 0 288 14.33 288 32C288 49.67 273.7 64 256 64H64C46.33 64 32 49.67 32 32zM0 160C0 124.7 28.65 96 64 96H256C291.3 96 320 124.7 320 160V448C320 483.3 291.3 512 256 512H64C28.65 512 0 483.3 0 448V160zM192 320C227.3 320 256 291.3 256 256H208C188.9 256 171.7 264.4 160 277.7C148.3 264.4 131.1 256 112 256H64C64 291.3 92.65 320 128 320H192zM192 224C227.3 224 256 195.3 256 160H208C188.9 160 171.7 168.4 160 181.7C148.3 168.4 131.1 160 112 160H64C64 195.3 92.65 224 128 224H192zM192 416C227.3 416 256 387.3 256 352H208C188.9 352 171.7 360.4 160 373.7C148.3 360.4 131.1 352 112 352H64C64 387.3 92.65 416 128 416H144V448C144 456.8 151.2 464 160 464C168.8 464 176 456.8 176 448V416H192z"],
    "jedi": [576, 512, [], "f669", "M554.9 293.1l-58.88 58.88h40C493.2 446.1 398.2 511.1 287.1 512c-110.3-.0078-205.2-65.88-247.1-160h40L21.13 293.1C17.75 275.1 16 258.6 16 241.2c0-5.75 .75-11.5 1-17.25h47L22.75 182.7C37.38 117.1 75.86 59.37 130.6 20.5c2.75-2 6.021-3.005 9.272-3.005c5.5 0 10.5 2.75 13.5 7.25c3.125 4.375 3.625 10.13 1.625 15.13C148.5 56.12 145.1 73.62 145.1 91.12c0 45.13 21.13 86.63 57.75 113.8C206.9 207.7 209.4 212.4 209.5 217.2c.25 5-1.751 9.752-5.501 13c-32.75 29.38-47.5 74-38.5 117.1c9.751 48.38 48.88 87.13 97.26 96.5l2.5-65.37l-27.13 18.5c-3.125 2-7.251 1.75-10-.75c-2.75-2.625-3.25-6.75-1.375-10l20.13-33.75l-42.13-8.627c-3.625-.875-6.375-4.125-6.375-7.875s2.75-7 6.375-7.875l42.13-8.75L226.8 285.6C224.9 282.5 225.4 278.4 228.1 275.7c2.75-2.5 6.876-2.875 10-.75l30.38 20.63l11.49-287.8C280.3 3.461 283.7 .0156 287.1 0c4.237 .0156 7.759 3.461 8.009 7.828l11.49 287.8l30.38-20.63c3.125-2.125 7.251-1.75 10 .75c2.75 2.625 3.25 6.75 1.375 9.875l-20.13 33.75l42.13 8.75c3.625 .875 6.375 4.125 6.375 7.875s-2.75 7-6.375 7.875l-42.13 8.627l20.13 33.75c1.875 3.25 1.375 7.375-1.375 10c-2.75 2.5-6.876 2.75-10 .75l-27.13-18.5l2.5 65.37c48.38-9.375 87.51-48.13 97.26-96.5c9.001-43.13-5.75-87.75-38.5-117.1c-3.75-3.25-5.751-8.002-5.501-13c.125-4.875 2.626-9.5 6.626-12.38c36.63-27.13 57.75-68.63 57.75-113.8c0-17.5-3.375-35-9.875-51.25c-2-5-1.5-10.75 1.625-15.13c3-4.5 8.001-7.25 13.5-7.25c3.25 0 6.474 .9546 9.224 2.955c54.75 38.88 93.28 96.67 107.9 162.3l-41.25 41.25h47c.2501 5.75 .9965 11.5 .9965 17.25C559.1 258.6 558.3 275.1 554.9 293.1z"],
    "jet-fighter": [640, 512, ["fighter-jet"], "f0fb", "M160 24C160 10.75 170.7 0 184 0H296C309.3 0 320 10.75 320 24C320 37.25 309.3 48 296 48H280L384 192H500.4C508.1 192 515.7 193.4 522.9 196.1L625 234.4C634 237.8 640 246.4 640 256C640 265.6 634 274.2 625 277.6L522.9 315.9C515.7 318.6 508.1 320 500.4 320H384L280 464H296C309.3 464 320 474.7 320 488C320 501.3 309.3 512 296 512H184C170.7 512 160 501.3 160 488C160 474.7 170.7 464 184 464H192V320H160L105.4 374.6C99.37 380.6 91.23 384 82.75 384H64C46.33 384 32 369.7 32 352V288C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224V160C32 142.3 46.33 128 64 128H82.75C91.23 128 99.37 131.4 105.4 137.4L160 192H192V48H184C170.7 48 160 37.25 160 24V24zM80 240C71.16 240 64 247.2 64 256C64 264.8 71.16 272 80 272H144C152.8 272 160 264.8 160 256C160 247.2 152.8 240 144 240H80z"],
    "jet-fighter-up": [576, 512, [], "e518", "M346.8 112.6C350.2 120.6 352 129.2 352 137.9V214.8L496 298.8V280C496 266.7 506.7 256 520 256C533.3 256 544 266.7 544 280V392C544 405.3 533.3 416 520 416C506.7 416 496 405.3 496 392V384H352V416.7L410.5 467.1C414 470.1 416 475.4 416 480V496C416 504.8 408.8 512 400 512H304V448C304 439.2 296.8 432 288 432C279.2 432 272 439.2 272 448V512H176C167.2 512 160 504.8 160 496V480C160 475.4 161.1 470.1 165.5 467.1L224 416.7V384H80V392C80 405.3 69.25 416 56 416C42.75 416 32 405.3 32 392V280C32 266.7 42.75 256 56 256C69.25 256 80 266.7 80 280V298.8L224 214.8V137.9C224 129.2 225.8 120.6 229.2 112.6L273.3 9.697C275.8 3.814 281.6 0 288 0C294.4 0 300.2 3.814 302.7 9.697L346.8 112.6z"],
    "joint": [640, 512, [], "f595", "M444.4 181.1C466.8 196.8 480 222.2 480 249.8V280C480 284.4 483.6 288 488 288h48C540.4 288 544 284.4 544 280V249.8c0-43.25-21-83.5-56.38-108.1C463.9 125 448 99.38 448 70.25V8C448 3.625 444.4 0 440 0h-48C387.6 0 384 3.625 384 8v66.38C384 118.1 408.5 156 444.4 181.1zM195 359C125.1 370.1 59.75 394.8 0 432C83.62 484.2 180.2 512 279 512h88.5l-112.7-131.5C240 363.2 217.4 355.4 195 359zM553.3 87.12C547.6 83.25 544 77.12 544 70.25V8C544 3.625 540.4 0 536 0h-48C483.6 0 480 3.625 480 8v62.25c0 22.13 10.12 43.5 28.62 55.5C550.8 153 576 199.5 576 249.8V280C576 284.4 579.6 288 584 288h48C636.4 288 640 284.4 640 280V249.8C640 184.2 607.6 123.5 553.3 87.12zM360.9 352c-34.38 .125-86.75 .25-88.25 .25l117.9 137.4C402.6 503.9 420.4 512 439.1 512h88.38l-117.9-137.6C397.4 360.1 379.6 352 360.9 352zM616 352H432l117.1 137.6C562.1 503.9 579.9 512 598.6 512H616c13.25 0 24-10.75 24-24v-112C640 362.8 629.3 352 616 352z"],
    "joystick": [448, 512, [128377], "f8c5", "M416 352l-288 .013V336C128 327.1 120.9 320 112 320h-32C71.12 320 64 327.1 64 336v16.01L32 352c-17.62 0-32 14.38-32 32v96c0 17.62 14.38 32 32 32h384c17.62 0 32-14.38 32-32v-96C448 366.4 433.6 352 416 352zM192 218.8V320h64V218.8c46.13-13.75 80.01-56.16 80.01-106.8c0-61.88-50.13-111.1-112-111.1S111.1 50.12 111.1 111.1C111.1 162.6 145.9 205 192 218.8zM200 48C213.2 48 224 58.75 224 72S213.2 96 200 96S176 85.25 176 72S186.8 48 200 48z"],
    "jug": [448, 512, [], "f8c6", "M447.1 167.1c.125-30.25-18.75-57.27-47.13-67.64c-28.38-10.37-60.12-1.82-79.5 21.31l-10.37-12.89C308.1 104.1 306.1 100.6 305.2 96H142.7C141.9 100.6 139.9 105 136.1 108.8l-76.93 96.16C41.93 227.5 31.1 255.8 31.1 284.9l-.0003 163.1c0 35.38 28.75 64 64 64h256c35.38 0 64-28.63 64-64l.0002-163.1c-.125-17.5-3.875-34.88-11.13-51C431.1 222.4 447.1 196.6 447.1 167.1zM351.1 383.1c0 17.62-14.38 32-32 32h-192c-17.62 0-32-14.38-32-32v-64c0-17.62 14.38-32 32-32h192c17.62 0 32 14.38 32 32V383.1zM377.4 191.7l-24.13-30.13c2.875-10.12 11.75-17.63 22.75-17.63c12.88 0 23.5 10.25 23.88 23.25C400.2 180.1 390.2 190.1 377.4 191.7zM151.1 64h144c6.375 0 12.5-2.5 17-7s7-10.62 7-17v-16c0-6.375-2.5-12.5-7-17s-10.62-7-17-7h-144c-6.375 0-12.5 2.5-17 7s-7 10.62-7 17v16c0 6.375 2.5 12.5 7 17S145.6 64 151.1 64z"],
    "jug-detergent": [384, 512, [], "e519", "M96 24C96 10.75 106.7 0 120 0H200C213.3 0 224 10.75 224 24V48H232C245.3 48 256 58.75 256 72C256 85.25 245.3 96 232 96H88C74.75 96 64 85.25 64 72C64 58.75 74.75 48 88 48H96V24zM0 256C0 185.3 57.31 128 128 128H256C326.7 128 384 185.3 384 256V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V256zM256 352C256 369.7 270.3 384 288 384C305.7 384 320 369.7 320 352V256C320 238.3 305.7 224 288 224C270.3 224 256 238.3 256 256V352z"],
    "k": [320, 512, [107], "4b", "M314.3 429.8c10.06 14.53 6.438 34.47-8.094 44.53c-5.562 3.844-11.91 5.688-18.19 5.688c-10.16 0-20.12-4.812-26.34-13.78L128.1 273.3L64 338.9v109.1c0 17.67-14.31 32-32 32s-32-14.33-32-32v-384C0 46.34 14.31 32.01 32 32.01S64 46.34 64 64.01v183.3l201.1-205.7c12.31-12.61 32.63-12.86 45.25-.5c12.62 12.34 12.88 32.61 .5 45.25l-137.2 140.3L314.3 429.8z"],
    "kaaba": [576, 512, [128331], "f66b", "M278.5 1.457C284.7-.4856 291.3-.4856 297.5 1.457L553.5 81.46C566.9 85.63 576 98 576 112V149.2L292.8 237.7C289.7 238.7 286.3 238.7 283.2 237.7L.0006 149.2V112C.0006 98.01 9.097 85.63 22.46 81.46L278.5 1.457zM288 191.2L515.1 120L288 48.76L60.04 120L288 191.2zM302.3 268.3L576 182.8V229.2L523.2 245.7C514.8 248.4 510.1 257.3 512.7 265.8C515.4 274.2 524.3 278.9 532.8 276.3L576 262.8V400C576 413.1 566.9 426.4 553.5 430.5L297.5 510.5C291.3 512.5 284.7 512.5 278.5 510.5L22.46 430.5C9.096 426.4 0 413.1 0 399.1V262.8L43.23 276.3C51.67 278.9 60.64 274.2 63.28 265.8C65.91 257.3 61.21 248.4 52.78 245.7L0 229.2V182.8L273.7 268.3C283 271.2 292.1 271.2 302.3 268.3L302.3 268.3zM116.8 265.7C108.3 263.1 99.37 267.8 96.73 276.2C94.1 284.7 98.8 293.6 107.2 296.3L171.2 316.3C179.7 318.9 188.6 314.2 191.3 305.8C193.9 297.3 189.2 288.4 180.8 285.7L116.8 265.7zM468.8 296.3C477.2 293.6 481.9 284.7 479.3 276.2C476.6 267.8 467.7 263.1 459.2 265.7L395.2 285.7C386.8 288.4 382.1 297.3 384.7 305.8C387.4 314.2 396.3 318.9 404.8 316.3L468.8 296.3zM244.8 305.7C236.3 303.1 227.4 307.8 224.7 316.2C222.1 324.7 226.8 333.6 235.2 336.3L273.7 348.3C283 351.2 292.1 351.2 302.3 348.3L340.8 336.3C349.2 333.6 353.9 324.7 351.3 316.2C348.6 307.8 339.7 303.1 331.2 305.7L292.8 317.7C289.7 318.7 286.3 318.7 283.2 317.7L244.8 305.7z"],
    "kazoo": [640, 512, [], "f8c7", "M608 128h-95.35C493.2 118.1 471.4 112 448 112S402.8 118.1 383.3 128H241.9C229.1 128 218.2 129.6 206.8 132.9l-183.5 52.5C9.5 189.2 0 201.9 0 216.1v79.75c0 14.25 9.5 26.88 23.25 30.75l183.5 52.5C218.2 382.4 229.1 384 241.9 384h141.5c19.5 9.875 41.28 16 64.65 16s45.15-6.125 64.65-16H608c17.62 0 32-14.38 32-32V160C640 142.4 625.6 128 608 128zM448 352c-53 0-96-43-96-96s43-96 96-96s96 43 96 96S501 352 448 352zM498.9 216.4l-11.25-11.25c-1.5-1.5-3.5-2.375-5.625-2.375c-2.125 0-4.25 .875-5.75 2.375L448 233.4l-28.25-28.25c-3.125-3.125-8.25-3.125-11.38 0l-11.25 11.25c-3.125 3.125-3.125 8.25 0 11.38L425.4 256l-28.25 28.25c-1.5 1.5-2.375 3.625-2.375 5.75c0 2.125 .875 4.125 2.375 5.625l11.25 11.25c3.125 3.125 8.25 3.125 11.38 0L448 278.6l28.25 28.25c1.5 1.5 3.625 2.375 5.75 2.375c2.125 0 4.125-.875 5.625-2.375l11.25-11.25c1.5-1.5 2.375-3.5 2.375-5.625c0-2.125-.875-4.25-2.375-5.75L470.6 256l28.25-28.25C501.1 224.6 501.1 219.5 498.9 216.4z"],
    "kerning": [640, 512, [], "f86f", "M316.6 142.3c7.906-15.81 1.5-35.03-14.31-42.94C286.5 91.5 267.3 97.88 259.4 113.7L160 312.4L60.63 113.7C52.73 97.88 33.56 91.5 17.69 99.38C1.875 107.3-4.531 126.5 3.375 142.3l128 256c5.422 10.84 16.5 17.69 28.63 17.69s23.2-6.843 28.62-17.69L316.6 142.3zM636.6 369.7l-128-256c-10.84-21.69-46.41-21.69-57.25 0l-128 256c-7.906 15.81-1.5 35.03 14.31 42.94c15.86 7.875 35.02 1.5 42.94-14.31L403.8 352h152.4l23.19 46.31C584.1 409.5 596.3 416 608 416c4.797 0 9.688-1.094 14.28-3.375C638.1 404.7 644.5 385.5 636.6 369.7zM435.8 288L480 199.6L524.2 288H435.8zM447.2 1.694c-7.922-4-17.5-.7188-21.47 7.156l-239.1 479.1c-3.953 7.906-.75 17.5 7.156 21.47C195.1 511.5 197.6 512 199.1 512c5.875 0 11.52-3.25 14.33-8.844l239.1-479.1C458.3 15.26 455.1 5.663 447.2 1.694z"],
    "key": [512, 512, [128273], "f084", "M282.3 343.7L248.1 376.1C244.5 381.5 238.4 384 232 384H192V424C192 437.3 181.3 448 168 448H128V488C128 501.3 117.3 512 104 512H24C10.75 512 0 501.3 0 488V408C0 401.6 2.529 395.5 7.029 391L168.3 229.7C162.9 212.8 160 194.7 160 176C160 78.8 238.8 0 336 0C433.2 0 512 78.8 512 176C512 273.2 433.2 352 336 352C317.3 352 299.2 349.1 282.3 343.7zM376 176C398.1 176 416 158.1 416 136C416 113.9 398.1 96 376 96C353.9 96 336 113.9 336 136C336 158.1 353.9 176 376 176z"],
    "key-skeleton": [448, 512, [128477], "f6f3", "M227.3 265.9L141.3 352L182.6 393.4C195.1 405.9 195.1 426.1 182.6 438.6C170.1 451.1 149.9 451.1 137.4 438.6L96 397.3L77.25 416L118.6 457.4C131.1 469.9 131.1 490.1 118.6 502.6C106.1 515.1 85.87 515.1 73.37 502.6L9.372 438.6C-3.124 426.1-3.124 405.9 9.372 393.4L182.1 220.7C168.1 198.5 159.1 172.2 159.1 144C159.1 64.47 224.5 0 304 0C383.5 0 448 64.47 448 144C448 223.5 383.5 288 304 288C275.8 288 249.5 279.9 227.3 265.9H227.3zM304 224C348.2 224 384 188.2 384 144C384 99.82 348.2 64 304 64C259.8 64 224 99.82 224 144C224 188.2 259.8 224 304 224z"],
    "key-skeleton-left-right": [640, 512, [], "e3b4", "M639.1 128C639.1 198.7 582.7 256 511.1 256C452.4 256 402.2 215.2 388 159.1H319.1V192C319.1 209.7 305.7 224 287.1 224C270.3 224 255.1 209.7 255.1 192V159.1H223.1L223.1 192C223.1 209.7 209.7 224 191.1 224C174.3 223.1 159.1 209.7 159.1 191.1L159.1 127.1C159.1 110.3 174.3 95.1 191.1 95.1H388C402.2 40.79 452.4 0 511.1 0C582.7 0 639.1 57.31 639.1 128V128zM511.1 64C476.6 64 447.1 92.65 447.1 128C447.1 163.3 476.6 192 511.1 192C547.3 192 575.1 163.3 575.1 128C575.1 92.65 547.3 64 511.1 64zM0 384C0 313.3 57.31 256 128 256C187.6 256 237.8 296.8 251.1 352H320V320C320 302.3 334.3 288 352 288C369.7 288 384 302.3 384 320V352H416L416 319.1C416 302.3 430.3 287.1 448 288C465.7 288 480 302.3 480 320L480 384C480 401.7 465.7 416 448 416H251.1C237.8 471.2 187.6 512 128 512C57.31 512 0 454.7 0 384zM128 448C163.3 448 192 419.3 192 384C192 348.7 163.3 320 128 320C92.65 320 64 348.7 64 384C64 419.3 92.65 448 128 448z"],
    "keyboard": [576, 512, [9000], "f11c", "M512 448H64c-35.35 0-64-28.65-64-64V128c0-35.35 28.65-64 64-64h448c35.35 0 64 28.65 64 64v256C576 419.3 547.3 448 512 448zM128 180v-40C128 133.4 122.6 128 116 128h-40C69.38 128 64 133.4 64 140v40C64 186.6 69.38 192 76 192h40C122.6 192 128 186.6 128 180zM224 180v-40C224 133.4 218.6 128 212 128h-40C165.4 128 160 133.4 160 140v40C160 186.6 165.4 192 172 192h40C218.6 192 224 186.6 224 180zM320 180v-40C320 133.4 314.6 128 308 128h-40C261.4 128 256 133.4 256 140v40C256 186.6 261.4 192 268 192h40C314.6 192 320 186.6 320 180zM416 180v-40C416 133.4 410.6 128 404 128h-40C357.4 128 352 133.4 352 140v40C352 186.6 357.4 192 364 192h40C410.6 192 416 186.6 416 180zM512 180v-40C512 133.4 506.6 128 500 128h-40C453.4 128 448 133.4 448 140v40C448 186.6 453.4 192 460 192h40C506.6 192 512 186.6 512 180zM128 276v-40C128 229.4 122.6 224 116 224h-40C69.38 224 64 229.4 64 236v40C64 282.6 69.38 288 76 288h40C122.6 288 128 282.6 128 276zM224 276v-40C224 229.4 218.6 224 212 224h-40C165.4 224 160 229.4 160 236v40C160 282.6 165.4 288 172 288h40C218.6 288 224 282.6 224 276zM320 276v-40C320 229.4 314.6 224 308 224h-40C261.4 224 256 229.4 256 236v40C256 282.6 261.4 288 268 288h40C314.6 288 320 282.6 320 276zM416 276v-40C416 229.4 410.6 224 404 224h-40C357.4 224 352 229.4 352 236v40C352 282.6 357.4 288 364 288h40C410.6 288 416 282.6 416 276zM512 276v-40C512 229.4 506.6 224 500 224h-40C453.4 224 448 229.4 448 236v40C448 282.6 453.4 288 460 288h40C506.6 288 512 282.6 512 276zM128 372v-40C128 325.4 122.6 320 116 320h-40C69.38 320 64 325.4 64 332v40C64 378.6 69.38 384 76 384h40C122.6 384 128 378.6 128 372zM416 372v-40C416 325.4 410.6 320 404 320h-232C165.4 320 160 325.4 160 332v40C160 378.6 165.4 384 172 384h232C410.6 384 416 378.6 416 372zM512 372v-40C512 325.4 506.6 320 500 320h-40C453.4 320 448 325.4 448 332v40C448 378.6 453.4 384 460 384h40C506.6 384 512 378.6 512 372z"],
    "keyboard-brightness": [640, 512, [], "e1c0", "M198.6 217.4C211.1 229.9 211.1 250.1 198.6 262.6C186.1 275.1 165.9 275.1 153.4 262.6L89.37 198.6C76.88 186.1 76.88 165.9 89.37 153.4C101.9 140.9 122.1 140.9 134.6 153.4L198.6 217.4zM288 96C288 78.33 302.3 64 320 64C337.7 64 352 78.33 352 96V192C352 209.7 337.7 224 320 224C302.3 224 288 209.7 288 192V96zM505.4 153.4C517.9 140.9 538.1 140.9 550.6 153.4C563.1 165.9 563.1 186.1 550.6 198.6L486.6 262.6C474.1 275.1 453.9 275.1 441.4 262.6C428.9 250.1 428.9 229.9 441.4 217.4L505.4 153.4zM0 384C0 366.3 14.33 352 32 352H96C113.7 352 128 366.3 128 384C128 401.7 113.7 416 96 416H32C14.33 416 0 401.7 0 384zM416 352C433.7 352 448 366.3 448 384C448 401.7 433.7 416 416 416H224C206.3 416 192 401.7 192 384C192 366.3 206.3 352 224 352H416zM608 352C625.7 352 640 366.3 640 384C640 401.7 625.7 416 608 416H544C526.3 416 512 401.7 512 384C512 366.3 526.3 352 544 352H608z"],
    "keyboard-brightness-low": [512, 512, [], "e1c1", "M224 160C224 142.3 238.3 128 256 128C273.7 128 288 142.3 288 160C288 177.7 273.7 192 256 192C238.3 192 224 177.7 224 160zM64 224C64 206.3 78.33 192 96 192C113.7 192 128 206.3 128 224C128 241.7 113.7 256 96 256C78.33 256 64 241.7 64 224zM448 224C448 241.7 433.7 256 416 256C398.3 256 384 241.7 384 224C384 206.3 398.3 192 416 192C433.7 192 448 206.3 448 224zM448 384C448 366.3 462.3 352 480 352C497.7 352 512 366.3 512 384C512 401.7 497.7 416 480 416C462.3 416 448 401.7 448 384zM64 384C64 401.7 49.67 416 32 416C14.33 416 0 401.7 0 384C0 366.3 14.33 352 32 352C49.67 352 64 366.3 64 384zM352 352C369.7 352 384 366.3 384 384C384 401.7 369.7 416 352 416H160C142.3 416 128 401.7 128 384C128 366.3 142.3 352 160 352H352z"],
    "keyboard-down": [576, 512, [], "e1c2", "M512 .0001H64c-35.35 0-64 28.65-64 64v160c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64v-160C576 28.65 547.3 .0001 512 .0001zM256 76c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12v40c0 6.625-5.375 12-12 12h-40C261.4 128 256 122.6 256 116V76zM160 76c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12v40c0 6.625-5.375 12-12 12h-40C165.4 128 160 122.6 160 116V76zM128 212c0 6.625-5.375 12-12 12h-40c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12V212zM128 116c0 6.625-5.375 12-12 12h-40C69.38 128 64 122.6 64 116v-40c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12V116zM416 212c0 6.625-5.375 12-12 12h-232c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h232c6.625 0 12 5.375 12 12V212zM416 116c0 6.625-5.375 12-12 12h-40c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12V116zM512 212c0 6.625-5.375 12-12 12h-40c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12V212zM512 116c0 6.625-5.375 12-12 12h-40c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12V116zM392 351.9h-208c-9.549 0-18.19 5.66-22 14.42c-3.814 8.756-2.079 18.97 4.405 25.96l104 112.1c9.498 10.24 25.69 10.24 35.19 0l104-112.1c6.484-6.988 8.219-17.2 4.409-25.96C410.2 357.6 401.5 351.9 392 351.9z"],
    "keyboard-left": [640, 512, [], "e1c3", "M575.1 64h-352c-35.35 0-64 28.65-64 64v256c0 35.35 28.65 64 64 64h352c35.35 0 64-28.65 64-64V128C639.1 92.65 611.3 64 575.1 64zM319.1 140c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12v40c0 6.625-5.375 12-12 12h-40c-6.625 0-12-5.375-12-12V140zM319.1 236c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12v40c0 6.625-5.375 12-12 12h-40c-6.625 0-12-5.375-12-12V236zM287.1 372c0 6.625-5.375 12-12 12H235.1c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h39.1c6.625 0 12 5.375 12 12V372zM287.1 276c0 6.625-5.375 12-12 12H235.1c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h39.1c6.625 0 12 5.375 12 12V276zM287.1 180c0 6.625-5.375 12-12 12H235.1c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h39.1c6.625 0 12 5.375 12 12V180zM479.1 372c0 6.625-5.375 12-12 12h-136c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h136c6.625 0 12 5.375 12 12V372zM479.1 276c0 6.625-5.375 12-12 12h-40c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12V276zM479.1 180c0 6.625-5.375 12-12 12h-40c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12V180zM575.1 372c0 6.625-5.375 12-12 12h-40c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12V372zM575.1 276c0 6.625-5.375 12-12 12h-40c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12V276zM575.1 180c0 6.625-5.375 12-12 12h-40c-6.625 0-12-5.375-12-12v-40c0-6.625 5.375-12 12-12h40c6.625 0 12 5.375 12 12V180zM116.5 155.2c-7-3.051-15.15-1.664-20.74 3.523L6.138 241.9C2.046 245.7 .0003 250.9 .0002 255.1c-.0001 5.138 2.046 10.28 6.137 14.08L95.74 353.3c5.588 5.188 13.74 6.576 20.74 3.527c7-3.051 11.53-9.965 11.53-17.6V172.8C127.1 165.2 123.5 158.3 116.5 155.2z"],
    "keynote": [512, 512, [], "f66c", "M336 448H288v-64H224v64H175.1C149.5 448 128 469.5 128 495.1C128 504.8 135.2 512 144 512h224c8.837 0 16-7.163 16-16C384 469.5 362.5 448 336 448zM508.6 281.2L456.9 177.8C451.4 166.9 440.4 160 428.2 160H144c0-37.62 26.25-69 62.62-77.5C215.2 90.75 227 96 240 96h64C330.5 96 352 74.5 352 48S330.5 0 304 0h-64C217.6 0 199 15.38 193.8 36C137.8 49.75 96 99.88 96 160H83.75C71.62 160 60.62 166.9 55.12 177.8L3.375 281.2C1.125 285.6 0 290.6 0 295.5V320c0 17.62 14.38 32 32 32h448c17.62 0 32-14.38 32-32V295.5C512 290.6 510.9 285.8 508.6 281.2z"],
    "khanda": [576, 512, [9772], "f66d", "M447.7 65.1c-6.25-3.5-14.29-2.351-19.29 3.024c-5.125 5.375-5.833 13.37-1.958 19.5c16.5 26.25 25.23 56.34 25.23 87.46c-.25 53.25-26.74 102.6-71.24 132.4l-76.62 53.35v-20.12l44.01-36.12c3.875-4.125 4.983-10.13 2.858-15.26L342.8 273c33.88-19.25 56.94-55.25 56.94-97c0-40.75-22.06-76.12-54.56-95.75l5.151-11.39c2.375-5.5 .9825-11.87-3.518-15.1L287.9 .0074l-59.05 52.77C224.4 57.02 222.1 63.37 225.2 68.87l5.203 11.32C197.1 99.81 175.9 135.2 175.9 175.1c0 41.75 23.08 77.75 56.95 97L224.1 290.2C222.9 295.4 223.9 301.2 227.9 305.5l43.1 36.11v19.91L195.2 308.1c-44.25-29.5-70.72-78.9-70.97-132.1c0-31.12 8.73-61.2 25.23-87.45C153.3 82.4 151.8 74.75 146.8 69.5C141.8 64.12 133.2 63.25 126.8 66.75C48.34 109.6 9.713 205.2 45.34 296c7 18 17.88 34.38 30.5 49l55.92 65.38c4.875 5.75 13.09 7.232 19.71 3.732l79.25-42.25l29.26 20.37l-47.09 32.75c-1.625-.375-3.125-1-4.1-1c-13.25 0-23.97 10.75-23.97 24s10.72 23.1 23.97 23.1c12.13 0 21.74-9.126 23.36-20.75l40.6-28.25v29.91c-9.375 5.625-15.97 15.37-15.97 27.12c0 17.62 14.37 31.1 31.1 31.1c17.63 0 31.1-14.37 31.1-31.1c0-11.75-6.656-21.52-16.03-27.14v-30.12l40.87 28.48c1.625 11.63 11.23 20.75 23.35 20.75c13.25 0 23.98-10.74 23.98-23.99s-10.73-24-23.98-24c-1.875 0-3.375 .625-5 1l-47.09-32.75l29.25-20.37l79.26 42.25c6.625 3.5 14.84 2.018 19.71-3.732l52.51-61.27c18.88-22 33.1-47.49 41.25-75.61C559.6 189.9 521.5 106.2 447.7 65.1zM351.8 176c0 22.25-11.45 41.91-28.82 53.41l-5.613-12.43c-8.75-24.5-8.811-51.11-.061-75.61l7.748-17.12C341.2 135.9 351.8 154.6 351.8 176zM223.8 176c0-21.38 10.67-40.16 26.67-51.79l7.848 17.17c8.75 24.63 8.747 51.11-.0032 75.61L252.7 229.4C235.4 217.9 223.8 198.2 223.8 176z"],
    "kidneys": [640, 512, [], "f5fb", "M231.6 32.11c-35.38-39.63-96.13-43.01-135.6-7.764C36.11 77.85 2.371 149.1 .1207 223.1c-1.25 42 7.5 70.94 12.88 90.06c12 42.38 50.5 69.94 92.38 69.94c64.25 0 109.6-61.42 92.5-122C196.7 258.2 174.8 211.5 223.9 167.6C263.5 132.3 266.9 71.62 231.6 32.11zM303.9 267.7c0-21.25-11.88-40.5-31-50.13L237 199.7C228.5 209.9 220.5 224.7 225.4 241.1l1.875 6.5l24.13 12.13c2.75 1.375 4.5 4.125 4.5 7.125l.0454 228.3c0 8.875 7.125 16 16 16l15.96-.0002c8.875 0 16-7.121 16-15.1L303.9 267.7zM366.9 217.6c-19.13 9.625-31 28.88-31 50.13l.1152 228.3c0 8.875 7.125 15.1 16 15.1l16 .0002c8.875 0 16-7.128 16-16l-.1176-228.3c0-3 1.75-5.75 4.5-7.125l23.88-12l2.125-7.375c4.875-16.88-3.125-31.5-11.63-41.5L366.9 217.6zM543.9 24.27c-39.5-35.13-100.4-31.78-135.7 7.972c-35.25 39.5-31.68 100.2 7.942 135.5c49.5 44.13 26.56 91.15 25.81 93.65c-17.5 60.63 27.63 122.6 92.25 122.6c41.75 0 80.13-27.38 92.25-69.5c5.625-19.25 14.63-48 13.38-90.5C637.8 149.1 604.2 77.89 543.9 24.27z"],
    "kip-sign": [384, 512, [], "e1c4", "M182.5 224H352C369.7 224 384 238.3 384 256C384 273.7 369.7 288 352 288H182.5L340.8 423.7C354.2 435.2 355.8 455.4 344.3 468.8C332.8 482.2 312.6 483.8 299.2 472.3L128 325.6V448C128 465.7 113.7 480 96 480C78.33 480 64 465.7 64 448V288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H64V64C64 46.33 78.33 32 96 32C113.7 32 128 46.33 128 64V186.4L299.2 39.7C312.6 28.2 332.8 29.76 344.3 43.18C355.8 56.59 354.2 76.8 340.8 88.3L182.5 224z"],
    "kit-medical": [576, 512, ["first-aid"], "f479", "M64 32h32v448H64c-35.35 0-64-28.66-64-64V96C0 60.66 28.65 32 64 32zM128 32h320v448H128V32zM176 282c0 8.835 7.164 16 16 16h53.1V352c0 8.836 7.165 16 16 16h52c8.836 0 16-7.164 16-16V298H384c8.836 0 16-7.165 16-16v-52c0-8.837-7.164-16-16-16h-54V160c0-8.836-7.164-16-16-16h-52c-8.835 0-16 7.164-16 16v54H192c-8.836 0-16 7.163-16 16V282zM512 32h-32v448h32c35.35 0 64-28.66 64-64V96C576 60.66 547.3 32 512 32z"],
    "kitchen-set": [576, 512, [], "e51a", "M80 144C80 108.7 108.7 80 144 80C179.3 80 208 108.7 208 144C208 179.3 179.3 208 144 208C108.7 208 80 179.3 80 144zM284.4 176C269.9 240.1 212.5 288 144 288C64.47 288 0 223.5 0 144C0 64.47 64.47 0 144 0C212.5 0 269.9 47.87 284.4 112H356.2C365 102.2 377.8 96 392 96H496C522.5 96 544 117.5 544 144C544 170.5 522.5 192 496 192H392C377.8 192 365 185.8 356.2 176H284.4zM144 48C90.98 48 48 90.98 48 144C48 197 90.98 240 144 240C197 240 240 197 240 144C240 90.98 197 48 144 48zM424 264V272H520C533.3 272 544 282.7 544 296C544 309.3 533.3 320 520 320H280C266.7 320 256 309.3 256 296C256 282.7 266.7 272 280 272H376V264C376 250.7 386.7 240 400 240C413.3 240 424 250.7 424 264zM288 464V352H512V464C512 490.5 490.5 512 464 512H336C309.5 512 288 490.5 288 464zM176 320C202.5 320 224 341.5 224 368C224 394.5 202.5 416 176 416H160C160 433.7 145.7 448 128 448H64C46.33 448 32 433.7 32 416V336C32 327.2 39.16 320 48 320H176zM192 368C192 359.2 184.8 352 176 352H160V384H176C184.8 384 192 376.8 192 368zM200 464C213.3 464 224 474.7 224 488C224 501.3 213.3 512 200 512H24C10.75 512 0 501.3 0 488C0 474.7 10.75 464 24 464H200z"],
    "kite": [640, 512, [129665], "f6f4", "M608-.0007l-262.5 0c-14.9 0-27.87 10.26-31.22 24.79L234.2 371.1l-87.52 87.49c-3.176 3.172-7.125 4.586-10.95 4.586c-8.014 0-15.66-6.211-15.66-15.6L120 358.5l-24-16l-24 16v84.76c0 16.63 4.982 33.13 15.73 45.76C101.1 504.1 118.6 512 135.6 512c16.76 0 33.14-6.804 44.97-18.63l87.47-87.51l347.1-80.11C629.7 322.4 640 309.4 640 294.5V31.99C640 14.31 625.7-.0007 608-.0007zM555.3 212.7C558.4 215.8 560 219.9 560 224c0 8.564-6.9 16-16 16c-4.094 0-8.188-1.561-11.31-4.688L480 182.6l-116.7 116.7C360.2 302.5 356.1 304 352 304c-8.553 0-16-6.9-16-16c0-4.094 1.562-8.189 4.688-11.31l116.7-116.7l-52.69-52.69C401.6 104.2 400 100.1 400 96.01c0-9.141 7.473-16 16-16c4.094 0 8.188 1.562 11.31 4.688L480 137.4l52.69-52.68C535.8 81.57 539.9 80.01 544 80.01c9.139 0 16 7.473 16 16c0 4.094-1.562 8.188-4.688 11.31l-52.69 52.69L555.3 212.7zM96 310.5c6.188 0 12.38 1.812 17.75 5.438l53.38 35.51c2.809 1.883 5.869 2.736 8.855 2.736C184.3 354.2 192 347.6 192 338.2V269.9c0-9.381-7.713-15.99-16.02-15.99c-2.986 0-6.047 .8535-8.855 2.736L120 288V224c0-48.63-39.38-88.01-88-88.01L16 136c-8.875 0-16 7.119-16 15.1v16c0 8.875 7.125 16 16 16L32 184c22.12 0 40 17.87 40 40v64.02L24.88 256.7C22.07 254.8 19.01 253.9 16.02 253.9C7.713 253.9 0 260.5 0 269.9v68.26c0 9.381 7.713 15.99 16.02 15.99c2.986 0 6.047-.8535 8.855-2.736l53.38-35.51C83.63 312.3 89.81 310.5 96 310.5z"],
    "kiwi-bird": [576, 512, [], "f535", "M256 405.1V456C256 469.3 245.3 480 232 480C218.7 480 208 469.3 208 456V415.3C202.7 415.8 197.4 416 192 416C175.4 416 159.3 413.9 144 409.1V456C144 469.3 133.3 480 120 480C106.7 480 96 469.3 96 456V390.3C38.61 357.1 0 295.1 0 224C0 117.1 85.96 32 192 32C228.3 32 262.3 42.08 291.2 59.6C322.4 78.44 355.9 96 392.3 96H448C518.7 96 576 153.3 576 224V464C576 470.1 571.5 477.2 564.8 479.3C558.2 481.4 550.9 478.9 546.9 473.2L461.6 351.3C457.1 351.8 452.6 352 448 352H392.3C355.9 352 322.4 369.6 291.2 388.4C280.2 395.1 268.4 400.7 256 405.1zM448 248C461.3 248 472 237.3 472 224C472 210.7 461.3 200 448 200C434.7 200 424 210.7 424 224C424 237.3 434.7 248 448 248z"],
    "kiwi-fruit": [448, 512, [], "e30c", "M224 352c-97.36 0-180.3-35.62-223.7-89.3C3.914 383.3 102.6 480 224 480s220.1-96.72 223.7-217.3C404.3 316.4 321.4 352 224 352zM224 320c123.7 0 224-64.47 224-144S347.7 32 224 32S0 96.47 0 176S100.3 320 224 320zM155.3 243.3l-16 16C136.2 262.4 132.1 264 128 264S119.8 262.4 116.7 259.3c-6.25-6.25-6.25-16.38 0-22.62l16-16c6.25-6.25 16.38-6.25 22.62 0S161.6 237.1 155.3 243.3zM240 272C240 280.8 232.8 288 224 288S208 280.8 208 272V248c0-8.844 7.156-16 16-16s16 7.156 16 16V272zM384 176C384 184.8 376.8 192 368 192h-32C327.2 192 320 184.8 320 176S327.2 160 336 160h32C376.8 160 384 167.2 384 176zM292.7 108.7l16-16c6.25-6.25 16.38-6.25 22.62 0s6.25 16.38 0 22.62l-16 16C312.2 134.4 308.1 136 304 136s-8.188-1.562-11.31-4.688C286.4 125.1 286.4 114.9 292.7 108.7zM292.7 220.7c6.25-6.25 16.38-6.25 22.62 0l16 16c6.25 6.25 6.25 16.38 0 22.62C328.2 262.4 324.1 264 320 264s-8.188-1.562-11.31-4.688l-16-16C286.4 237.1 286.4 226.9 292.7 220.7zM208 80C208 71.16 215.2 64 224 64s16 7.156 16 16v24c0 8.844-7.156 16-16 16s-16-7.156-16-16V80zM224 149c30.93 0 56 12.09 56 27S254.9 203 224 203S168 190.9 168 176S193.1 149 224 149zM116.7 92.69c6.25-6.25 16.38-6.25 22.62 0l16 16c6.25 6.25 6.25 16.38 0 22.62C152.2 134.4 148.1 136 144 136S135.8 134.4 132.7 131.3l-16-16C110.4 109.1 110.4 98.94 116.7 92.69zM80 160h32C120.8 160 128 167.2 128 176S120.8 192 112 192h-32C71.16 192 64 184.8 64 176S71.16 160 80 160z"],
    "knife": [512, 512, ["utensil-knife"], "f2e4", "M508.7 127.1C501.7 163.3 483.1 196.7 457.9 222.8L353.6 327.1C347.7 333 340.6 337.7 332.8 340.1C325.1 344.2 316.7 345.8 308.3 345.8C299.9 345.8 291.6 344.2 283.8 340.1C276.1 337.7 269 333 263.1 327.1L252.3 316.3L68.29 500.3C60.79 507.8 50.61 512 40 512C29.39 512 19.22 507.8 11.71 500.3C4.211 492.8-.0039 482.6-.0039 472C-.0039 461.4 4.211 451.2 11.71 443.7L195.7 259.7L195.2 259.2L445 9.377C448.7 5.68 453.3 2.947 458.3 1.414C463.3-.119 468.6-.4035 473.7 .5847C478.8 1.573 483.6 3.804 487.7 7.083C491.8 10.36 494.1 14.59 497.1 19.39C511.6 53.33 515.6 90.84 508.7 127.1L508.7 127.1z"],
    "knife-kitchen": [576, 512, [128298], "f6f5", "M267.5 216.6L4.888 469.9c-8.75 8.375-5.25 22.62 6.5 26.5c113.9 36.5 239.4 7.999 324.2-73.87l60.1-58.87c6.5-6.25 6.5-16.37 0-22.62L267.5 216.6zM566.3 43.24l-35.12-33.88c-12.1-12.5-33.1-12.5-46.1-.0007l-192.2 185.4l111.1 108.1l34.37-27.75c6.25-5.1 9.75-14.12 9.75-22.62V207.1l118.2-119.4C579.2 76.12 579.2 55.74 566.3 43.24zM443.3 155.3c-6.255 6.25-16.36 6.25-22.62 0c-6.256-6.25-6.256-16.37 0-22.62c6.255-6.25 16.36-6.25 22.62 0C449.6 138.9 449.6 149.1 443.3 155.3zM507.3 91.3c-6.256 6.25-16.36 6.25-22.62 0c-6.255-6.25-6.255-16.37 0-22.62c6.256-6.25 16.36-6.25 22.62 0C513.6 74.93 513.6 85.18 507.3 91.3z"],
    "l": [320, 512, [108], "4c", "M320 448c0 17.67-14.31 32-32 32H64c-17.69 0-32-14.33-32-32v-384C32 46.34 46.31 32.01 64 32.01S96 46.34 96 64.01v352h192C305.7 416 320 430.3 320 448z"],
    "lacrosse-stick": [640, 512, [], "e3b5", "M608 184.7C608 110.5 537.1 0 435.1 0c-95.81 0-87.21 84.52-165.7 145.6L263.2 150.4c-9.992 7.77-48.67 39.55-48.67 102.4c0 17.93 4.148 35.08 11.41 50.62l-182.5 152C35.78 461.8 32 470.8 32 480C32 501.4 50.39 512 64.01 512c7.219 0 14.48-2.438 20.47-7.406l183.3-152.8c18.97 12.69 41.69 21.11 71.89 21.11c26.7 0 53.6-8.506 76.28-26.14l6.237-4.873c27.08-21.04 61.41-36.49 107.1-48.63C567.9 283.5 608 248.8 608 184.7zM543.1 185.1c0 69.44-63.79 30.8-161.2 106.4l-6.119 4.783c-12.13 9.432-24.06 12.42-36.89 12.42c-52.47 0-61.32-41.46-61.32-55.5c0-6.431 .3557-33.87 23.88-52.17L308.7 196.1C400.1 124.3 383.1 64 435.1 64C486.6 64 543.1 127.9 543.1 185.1z"],
    "lacrosse-stick-ball": [640, 512, [], "e3b6", "M528 352c-44.18 0-79.1 35.82-79.1 80c0 44.18 35.82 80 79.1 80C572.2 512 608 476.2 608 432C608 387.8 572.2 352 528 352zM608 184.7C608 110.5 537.1 0 435.1 0c-95.81 0-87.21 84.52-165.7 145.6L263.2 150.4C253.2 158.2 214.5 189.1 214.5 252.8c0 17.93 4.149 35.08 11.42 50.62l-182.5 152C35.77 461.8 32 470.8 32 480C32 501.4 50.39 512 64.01 512c7.219 0 14.48-2.438 20.47-7.406l183.3-152.8c18.97 12.69 41.69 21.11 71.89 21.11c26.7 0 53.6-8.506 76.28-26.14l6.237-4.873c27.08-21.04 61.41-36.49 107.1-48.63C567.9 283.5 608 248.8 608 184.7zM382.8 291.5L376.7 296.3c-12.13 9.432-24.06 12.42-36.89 12.42c-52.47 0-61.31-41.46-61.31-55.5c0-6.43 .3562-33.87 23.88-52.16l6.402-4.955C400.1 124.3 383.1 64 435.1 64c51.54 0 108.9 63.86 108.9 121.1C543.1 254.5 480.2 215.9 382.8 291.5z"],
    "lambda": [448, 512, [], "f66e", "M448 448c0 17.69-14.31 32-32 32h-64c-12.12 0-23.19-6.844-28.62-17.69l-130.6-261.2l-115.5 259.9c-5.312 11.94-17 19-29.28 19c-4.344 0-8.75-.875-12.97-2.75c-16.16-7.188-23.41-26.09-16.25-42.25l136.9-308.1L140.2 96.01H32c-17.69 0-32-14.31-32-32s14.31-32 32-32l128-.0049c12.12 0 23.19 6.849 28.62 17.69l183.2 366.3H416C433.7 416 448 430.3 448 448z"],
    "lamp": [448, 512, [], "f4ca", "M445.5 211.4L367.1 19.38C363.2 7.625 352.4 0 340.4 0H120.6C109.2 0 98.72 6.75 93.6 17.75l-90.38 192C-6.782 230.1 7.718 256 30.22 256h387.6C439.5 256 454.1 232.5 445.5 211.4zM160 288c-37.25 37.25-64.03 98.75-64.03 140.8c0 28.5 11.5 54.37 30.5 74.37C132.2 509.1 140.3 512 148.7 512h150.5c8.375 0 16.5-2.875 22.25-8.875c19-20.12 30.5-45.88 30.5-74.37c0-42-26.72-103.5-63.97-140.8H160z"],
    "lamp-desk": [512, 512, [], "e014", "M512 81.2c0-9.067-7.032-17.76-17.63-17.76h-147.9l-45.25-45.31C288.8 6.039 272.7 0 256.6 0C222.1 0 192.6 27.89 192.6 64.05c0 16.11 6.032 32.23 18.11 44.7l11.04 11.01l-118.8 118.9C98.45 243.2 95.97 249.4 95.97 255.7c0 2.178 .2967 4.374 .907 6.528l53 185.7H63.97C18.94 447.9 0 486.8 0 496.5C0 504.7 7.311 512 16.14 512h351.7c8.83 0 16.12-7.252 16.12-15.51c0-9.823-19.33-48.57-63.97-48.57h-120.1l-52.88-185.2l108.8-108.8l.154 148.3c0 10.61 8.642 17.64 17.7 17.64c4.3 0 8.721-1.584 12.3-5.13l220.9-221.2C510.4 89.89 512 85.5 512 81.2zM379.7 266.1c10.47 9.109 23.48 13.63 36.47 13.63c14.31 0 28.6-5.491 39.41-16.38c10.88-10.83 16.36-25.13 16.36-39.46c0-13-4.516-26.03-13.61-36.51L379.7 266.1z"],
    "lamp-floor": [384, 512, [], "e015", "M256 448h-31.99l-.0098-192.2H159.1L160 448H127.1c-28.38 0-55.01 18.5-63.26 44.13C61.49 502 69.78 512 80.16 512h223.7c10.38 0 18.67-9.1 15.42-19.88C311 466.5 284.4 448 256 448zM381.4 179.4l-68.63-160C307.8 7.625 296.3 0 283.4 0H100.6c-12.88 0-24.38 7.625-29.38 19.38l-68.63 160C-1.645 189.2-.6442 200.6 5.231 209.6C11.23 218.6 21.23 224 31.98 224h320c10.75 0 20.75-5.375 26.75-14.38C384.6 200.6 385.6 189.2 381.4 179.4z"],
    "lamp-street": [512, 512, [], "e1c5", "M352 227.4V128c0-70.58-57.4-128-127.1-128H128C57.41 0 0 57.42 0 128v384h64V128c0-35.3 28.72-64 64-64h96c35.28 0 64 28.7 64 64v99.45c-82.75 13.78-147.1 78.7-159.8 161.4C126.3 403.2 137.9 416 152.4 416h335.2c14.53 0 26.16-12.81 24.19-27.16C499.1 306.1 434.8 241.2 352 227.4zM320 512c35.38 0 64.01-28.62 64.01-64h-128C256 483.4 284.7 512 320 512z"],
    "land-mine-on": [576, 512, [], "e51b", "M312 168C312 181.3 301.3 192 288 192C274.7 192 264 181.3 264 168V24C264 10.75 274.7 0 288 0C301.3 0 312 10.75 312 24V168zM160 320C160 302.3 174.3 288 192 288H384C401.7 288 416 302.3 416 320V352H160V320zM82.74 410.5C90.87 394.3 107.5 384 125.7 384H450.3C468.5 384 485.1 394.3 493.3 410.5L520.8 465.7C531.5 486.1 516 512 492.2 512H83.78C59.99 512 44.52 486.1 55.16 465.7L82.74 410.5zM4.269 138.3C11.81 127.4 26.77 124.7 37.66 132.3L141.7 204.3C152.6 211.8 155.3 226.8 147.7 237.7C140.2 248.6 125.2 251.3 114.3 243.7L10.34 171.7C-.5568 164.2-3.275 149.2 4.269 138.3V138.3zM538.3 132.3C549.2 124.7 564.2 127.4 571.7 138.3C579.3 149.2 576.6 164.2 565.7 171.7L461.7 243.7C450.8 251.3 435.8 248.6 428.3 237.7C420.7 226.8 423.4 211.8 434.3 204.3L538.3 132.3z"],
    "landmark": [512, 512, [127963], "f66f", "M240.1 4.216C249.1-1.405 262-1.405 271.9 4.216L443.6 102.4L447.1 104V104.9L495.9 132.2C508.5 139.4 514.6 154.2 510.9 168.2C507.2 182.2 494.5 192 479.1 192H31.1C17.49 192 4.795 182.2 1.071 168.2C-2.653 154.2 3.524 139.4 16.12 132.2L63.1 104.9V104L68.37 102.4L240.1 4.216zM64 224H128V416H168V224H232V416H280V224H344V416H384V224H448V420.3C448.6 420.6 449.2 420.1 449.8 421.4L497.8 453.4C509.5 461.2 514.7 475.8 510.6 489.3C506.5 502.8 494.1 512 480 512H32C17.9 512 5.46 502.8 1.373 489.3C-2.713 475.8 2.517 461.2 14.25 453.4L62.25 421.4C62.82 420.1 63.41 420.6 64 420.3V224z"],
    "landmark-dome": [512, 512, ["landmark-alt"], "f752", "M264 0C277.3 0 288 10.75 288 24V34.65C368.4 48.14 431.9 111.6 445.3 192H448C465.7 192 480 206.3 480 224C480 241.7 465.7 256 448 256H63.1C46.33 256 31.1 241.7 31.1 224C31.1 206.3 46.33 192 63.1 192H66.65C80.14 111.6 143.6 48.14 223.1 34.65V24C223.1 10.75 234.7 0 247.1 0L264 0zM63.1 288H127.1V416H167.1V288H231.1V416H280V288H344V416H384V288H448V420.3C448.6 420.6 449.2 420.1 449.8 421.4L497.8 453.4C509.5 461.2 514.7 475.8 510.6 489.3C506.5 502.8 494.1 512 480 512H31.1C17.9 512 5.458 502.8 1.372 489.3C-2.715 475.8 2.515 461.2 14.25 453.4L62.25 421.4C62.82 420.1 63.41 420.6 63.1 420.3V288z"],
    "landmark-flag": [512, 512, [], "e51c", "M352 0C360.8 0 368 7.164 368 16V80C368 88.84 360.8 96 352 96H272V128H464C481.7 128 496 142.3 496 160C496 177.7 481.7 192 464 192H47.1C30.33 192 15.1 177.7 15.1 160C15.1 142.3 30.33 128 47.1 128H239.1V16C239.1 7.164 247.2 0 255.1 0H352zM63.1 224H127.1V416H167.1V224H231.1V416H280V224H344V416H384V224H448V420.3C448.6 420.6 449.2 420.1 449.8 421.4L497.8 453.4C509.5 461.2 514.7 475.8 510.6 489.3C506.5 502.8 494.1 512 480 512H31.1C17.9 512 5.458 502.8 1.372 489.3C-2.715 475.8 2.515 461.2 14.25 453.4L62.25 421.4C62.82 420.1 63.4 420.6 63.1 420.3V224z"],
    "language": [640, 512, [], "f1ab", "M448 164C459 164 468 172.1 468 184V188H528C539 188 548 196.1 548 208C548 219 539 228 528 228H526L524.4 232.5C515.5 256.1 501.9 279.1 484.7 297.9C485.6 298.4 486.5 298.1 487.4 299.5L506.3 310.8C515.8 316.5 518.8 328.8 513.1 338.3C507.5 347.8 495.2 350.8 485.7 345.1L466.8 333.8C462.4 331.1 457.1 328.3 453.7 325.3C443.2 332.8 431.8 339.3 419.8 344.7L416.1 346.3C406 350.8 394.2 346.2 389.7 336.1C385.2 326 389.8 314.2 399.9 309.7L403.5 308.1C409.9 305.2 416.1 301.1 422 298.3L409.9 286.1C402 278.3 402 265.7 409.9 257.9C417.7 250 430.3 250 438.1 257.9L452.7 272.4L453.3 272.1C465.7 259.9 475.8 244.7 483.1 227.1H376C364.1 227.1 356 219 356 207.1C356 196.1 364.1 187.1 376 187.1H428V183.1C428 172.1 436.1 163.1 448 163.1L448 164zM160 233.2L179 276H140.1L160 233.2zM0 128C0 92.65 28.65 64 64 64H576C611.3 64 640 92.65 640 128V384C640 419.3 611.3 448 576 448H64C28.65 448 0 419.3 0 384V128zM320 384H576V128H320V384zM178.3 175.9C175.1 168.7 167.9 164 160 164C152.1 164 144.9 168.7 141.7 175.9L77.72 319.9C73.24 329.1 77.78 341.8 87.88 346.3C97.97 350.8 109.8 346.2 114.3 336.1L123.2 315.1H196.8L205.7 336.1C210.2 346.2 222 350.8 232.1 346.3C242.2 341.8 246.8 329.1 242.3 319.9L178.3 175.9z"],
    "laptop": [640, 512, [128187], "f109", "M128 96h384v256h64v-272c0-26.38-21.62-48-48-48h-416c-26.38 0-48 21.62-48 48V352h64V96zM624 383.1h-608c-8.75 0-16 7.25-16 16v16c0 35.25 28.75 64 64 64h512c35.25 0 64-28.75 64-64v-16C640 391.2 632.8 383.1 624 383.1z"],
    "laptop-arrow-down": [640, 512, [], "e1c6", "M223 199c-9.375 9.375-9.375 24.56 0 33.94l80 80c9.375 9.375 24.56 9.375 33.94 0l80-80c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0L344 238.1V56c0-13.25-10.75-24-23.1-24S296 42.75 296 56v182.1L256.1 199C252.3 194.3 246.2 192 240 192S227.7 194.3 223 199zM512 352h64V80C576 53.63 554.4 32 528 32H384v64h128V352zM624 384h-608C7.25 384 0 391.3 0 400V416c0 35.25 28.75 64 64 64h512c35.25 0 64-28.75 64-64v-16C640 391.3 632.8 384 624 384zM128 96h128V32H112C85.63 32 64 53.63 64 80V352h64V96z"],
    "laptop-code": [640, 512, [], "f5fc", "M128 96h384v256h64V80C576 53.63 554.4 32 528 32h-416C85.63 32 64 53.63 64 80V352h64V96zM624 384h-608C7.25 384 0 391.3 0 400V416c0 35.25 28.75 64 64 64h512c35.25 0 64-28.75 64-64v-16C640 391.3 632.8 384 624 384zM365.9 286.2C369.8 290.1 374.9 292 380 292s10.23-1.938 14.14-5.844l48-48c7.812-7.813 7.812-20.5 0-28.31l-48-48c-7.812-7.813-20.47-7.813-28.28 0c-7.812 7.813-7.812 20.5 0 28.31l33.86 33.84l-33.86 33.84C358 265.7 358 278.4 365.9 286.2zM274.1 161.9c-7.812-7.813-20.47-7.813-28.28 0l-48 48c-7.812 7.813-7.812 20.5 0 28.31l48 48C249.8 290.1 254.9 292 260 292s10.23-1.938 14.14-5.844c7.812-7.813 7.812-20.5 0-28.31L240.3 224l33.86-33.84C281.1 182.4 281.1 169.7 274.1 161.9z"],
    "laptop-file": [640, 512, [], "e51d", "M192 96C192 113.7 206.3 128 224 128H320V192H288C243.8 192 208 227.8 208 272V384C187.1 384 169.3 397.4 162.7 416H48C21.49 416 0 394.5 0 368V48C0 21.49 21.49 0 48 0H192V96zM240 272C240 245.5 261.5 224 288 224H544C570.5 224 592 245.5 592 272V416H624C632.8 416 640 423.2 640 432V448C640 483.3 611.3 512 576 512H256C220.7 512 192 483.3 192 448V432C192 423.2 199.2 416 208 416H240V272zM304 288V416H528V288H304zM320 96H224V0L320 96z"],
    "laptop-medical": [640, 512, [], "f812", "M624 384h-608C7.25 384 0 391.3 0 400V416c0 35.25 28.75 64 64 64h512c35.25 0 64-28.75 64-64v-16C640 391.3 632.8 384 624 384zM128 96h384v256h64V80C576 53.63 554.4 32 528 32h-416C85.63 32 64 53.63 64 80V352h64V96zM304 336h32c8.801 0 16-7.201 16-16V272h48C408.8 272 416 264.8 416 256V224c0-8.801-7.199-16-16-16H352V160c0-8.801-7.199-16-16-16h-32C295.2 144 288 151.2 288 160v48H240C231.2 208 224 215.2 224 224v32c0 8.799 7.199 16 16 16H288V320C288 328.8 295.2 336 304 336z"],
    "laptop-mobile": [640, 512, ["phone-laptop"], "f87a", "M604 127.1h-184C400.1 127.1 384 144.1 384 164v312C384 495.9 400.1 512 420 512h184C623.9 512 640 495.9 640 476v-312C640 144.1 623.9 127.1 604 127.1zM576 448h-128V192h128V448zM128 64h320v32h64V48c0-26.5-21.5-47.88-47.88-48H111.9C85.5 .125 64 21.5 64 48V288H16C7.125 288 0 295.1 0 304V320c.125 35.25 28.62 63.88 63.88 64H352V288H128V64z"],
    "laptop-slash": [640, 512, [], "e1c7", "M16 383.1c-8.75 0-16 7.25-16 16v16c0 35.25 28.75 64 64 64L489.6 480l-122.5-96L16 383.1zM64 146.4V352h64V196.6L64 146.4zM639.1 400c0-8.75-7.25-16-16-16h-101.8L154.8 96H512v256h63.1l.0007-272c0-26.38-21.62-48-48-48H112C101.8 32 92.27 35.33 84.45 40.88L38.81 5.111C34.41 1.673 29.19 0 24.03 0C16.91 0 9.839 3.158 5.12 9.189c-8.188 10.44-6.37 25.53 4.068 33.7l591.1 463.1c10.5 8.203 25.57 6.328 33.69-4.078c8.188-10.44 6.37-25.53-4.068-33.7l-9.822-7.702C632.7 449.8 639.1 433.7 639.1 416V400z"],
    "lari-sign": [384, 512, [], "e1c8", "M144 32C161.7 32 176 46.33 176 64V96.66C181.3 96.22 186.6 96 192 96C197.4 96 202.7 96.22 208 96.66V64C208 46.33 222.3 32 240 32C257.7 32 272 46.33 272 64V113.4C326.9 138.6 367.8 188.9 380.2 249.6C383.7 266.1 372.5 283.8 355.2 287.4C337.8 290.9 320.1 279.7 317.4 262.4C311.4 232.5 294.9 206.4 272 188.1V256C272 273.7 257.7 288 240 288C222.3 288 208 273.7 208 256V160.1C202.8 160.3 197.4 160 192 160C186.6 160 181.2 160.3 176 160.1V256C176 273.7 161.7 288 144 288C126.3 288 112 273.7 112 256V188.1C82.74 211.5 64 247.6 64 288C64 358.7 121.3 416 192 416H352C369.7 416 384 430.3 384 448C384 465.7 369.7 480 352 480H32C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416H48.89C18.49 382 0 337.2 0 288C0 210.5 45.9 143.7 112 113.4V64C112 46.33 126.3 32 144 32V32z"],
    "lasso": [576, 512, [], "f8c8", "M576 176C576 273.2 447.1 352 288 352C274.8 352 261.7 351.5 248.1 350.4C253.6 363.2 256 376.9 256 391C256 457.8 201.8 512 135 512H64C46.33 512 32 497.7 32 480C32 462.3 46.33 448 64 448H135C166.5 448 192 422.5 192 391C192 369.4 179.8 349.7 160.5 340L113.7 316.6L113.9 316.2C44.69 284.1 0 233.2 0 176C0 78.8 128.9 0 288 0C447.1 0 576 78.8 576 176V176zM288 288C411.7 288 512 237.9 512 176C512 114.1 411.7 64 288 64C164.3 64 64 114.1 64 176C64 237.9 164.3 288 288 288z"],
    "lasso-sparkles": [576, 512, [], "e1c9", "M281.4 25.36L255.3 34.98C240.2 40.58 229.2 53.26 225.4 68.43C132.2 81.97 64 125 64 176C64 237.9 164.3 288 288 288C411.7 288 512 237.9 512 176C512 144.8 486.4 116.5 445.2 96.21C447 91.1 448 85.63 448 80C448 59.92 435.5 41.95 416.7 34.98L390.6 25.36L385 10.24C496.4 34.58 576 99.61 576 176C576 273.2 447.1 352 288 352C274.8 352 261.7 351.5 248.1 350.4C253.6 363.2 256 376.9 256 391C256 457.8 201.8 512 135 512H64C46.33 512 32 497.7 32 480C32 462.3 46.33 448 64 448H135C166.5 448 192 422.5 192 391C192 369.4 179.8 349.7 160.5 340L113.7 316.6L113.9 316.2C44.69 284.1 0 233.2 0 176C0 78.8 128.9 0 288 0L290.7 .0077L281.4 25.36zM365.7 50.26L405.6 64.99C411.8 67.32 416 73.31 416 80C416 86.7 411.8 92.68 405.6 95.01L365.7 109.7L351 149.6C348.7 155.8 342.7 160 336 160C329.3 160 323.3 155.8 320.1 149.6L306.3 109.7L266.4 95.01C260.2 92.68 256 86.7 256 80C256 73.31 260.2 67.32 266.4 64.99L306.3 50.26L320.1 10.45C323.3 4.169 329.3 .0006 336 .0006C342.7 .0006 348.7 4.169 351 10.45L365.7 50.26zM496 352C502.7 352 508.7 356.2 511 362.4L525.7 402.3L565.6 416.1C571.8 419.3 576 425.3 576 432C576 438.7 571.8 444.7 565.6 447L525.7 461.7L511 501.6C508.7 507.8 502.7 512 496 512C489.3 512 483.3 507.8 480.1 501.6L466.3 461.7L426.4 447C420.2 444.7 416 438.7 416 432C416 425.3 420.2 419.3 426.4 416.1L466.3 402.3L480.1 362.4C483.3 356.2 489.3 352 496 352z"],
    "layer-group": [512, 512, [], "f5fd", "M232.5 5.171C247.4-1.718 264.6-1.718 279.5 5.171L498.1 106.2C506.6 110.1 512 118.6 512 127.1C512 137.3 506.6 145.8 498.1 149.8L279.5 250.8C264.6 257.7 247.4 257.7 232.5 250.8L13.93 149.8C5.438 145.8 0 137.3 0 127.1C0 118.6 5.437 110.1 13.93 106.2L232.5 5.171zM498.1 234.2C506.6 238.1 512 246.6 512 255.1C512 265.3 506.6 273.8 498.1 277.8L279.5 378.8C264.6 385.7 247.4 385.7 232.5 378.8L13.93 277.8C5.438 273.8 0 265.3 0 255.1C0 246.6 5.437 238.1 13.93 234.2L67.13 209.6L219.1 279.8C242.5 290.7 269.5 290.7 292.9 279.8L444.9 209.6L498.1 234.2zM292.9 407.8L444.9 337.6L498.1 362.2C506.6 366.1 512 374.6 512 383.1C512 393.3 506.6 401.8 498.1 405.8L279.5 506.8C264.6 513.7 247.4 513.7 232.5 506.8L13.93 405.8C5.438 401.8 0 393.3 0 383.1C0 374.6 5.437 366.1 13.93 362.2L67.13 337.6L219.1 407.8C242.5 418.7 269.5 418.7 292.9 407.8V407.8z"],
    "layer-minus": [512, 512, ["layer-group-minus"], "f5fe", "M488 56C501.3 56 512 66.75 512 80C512 93.25 501.3 104 488 104H376C362.7 104 352 93.25 352 80C352 66.75 362.7 56 376 56H488zM498.1 234.2C506.6 238.1 512 246.6 512 255.1C512 265.3 506.6 273.8 498.1 277.8L279.5 378.8C264.6 385.7 247.4 385.7 232.5 378.8L13.93 277.8C5.438 273.8 0 265.3 0 255.1C0 246.6 5.437 238.1 13.93 234.2L232.5 133.2C247.4 126.3 264.6 126.3 279.5 133.2L498.1 234.2zM292.9 407.8L444.9 337.6L498.1 362.2C506.6 366.1 512 374.6 512 383.1C512 393.3 506.6 401.8 498.1 405.8L279.5 506.8C264.6 513.7 247.4 513.7 232.5 506.8L13.93 405.8C5.438 401.8 0 393.3 0 383.1C0 374.6 5.437 366.1 13.93 362.2L67.13 337.6L219.1 407.8C242.5 418.7 269.5 418.7 292.9 407.8V407.8z"],
    "layer-plus": [512, 512, ["layer-group-plus"], "f5ff", "M432 0C445.3 0 456 10.75 456 24V56H488C501.3 56 512 66.75 512 80C512 93.25 501.3 104 488 104H456V136C456 149.3 445.3 160 432 160C418.7 160 408 149.3 408 136V104H376C362.7 104 352 93.25 352 80C352 66.75 362.7 56 376 56H408V24C408 10.75 418.7 0 432 0zM498.1 234.2C506.6 238.1 512 246.6 512 255.1C512 265.3 506.6 273.8 498.1 277.8L279.5 378.8C264.6 385.7 247.4 385.7 232.5 378.8L13.93 277.8C5.438 273.8 0 265.3 0 255.1C0 246.6 5.437 238.1 13.93 234.2L232.5 133.2C247.4 126.3 264.6 126.3 279.5 133.2L498.1 234.2zM292.9 407.8L444.9 337.6L498.1 362.2C506.6 366.1 512 374.6 512 383.1C512 393.3 506.6 401.8 498.1 405.8L279.5 506.8C264.6 513.7 247.4 513.7 232.5 506.8L13.93 405.8C5.438 401.8 0 393.3 0 383.1C0 374.6 5.437 366.1 13.93 362.2L67.13 337.6L219.1 407.8C242.5 418.7 269.5 418.7 292.9 407.8V407.8z"],
    "leaf": [512, 512, [], "f06c", "M512 165.4c0 127.9-70.05 235.3-175.3 270.1c-20.04 7.938-41.83 12.46-64.69 12.46c-64.9 0-125.2-36.51-155.7-94.47c-54.13 49.93-68.71 107-68.96 108.1C44.72 472.6 34.87 480 24.02 480c-1.844 0-3.727-.2187-5.602-.6562c-12.89-3.098-20.84-16.08-17.75-28.96c9.598-39.5 90.47-226.4 335.3-226.4C344.8 224 352 216.8 352 208S344.8 192 336 192C228.6 192 151 226.6 96.29 267.6c.1934-10.82 1.242-21.84 3.535-33.05c13.47-65.81 66.04-119 131.4-134.2c28.33-6.562 55.68-6.013 80.93-.0054c56 13.32 118.2-7.412 149.3-61.24c5.664-9.828 20.02-9.516 24.66 .8282C502.7 76.76 512 121.9 512 165.4z"],
    "leaf-heart": [512, 512, [], "f4cb", "M486.2 39.98c-4.639-10.34-18.99-10.66-24.66-.8281c-31.09 53.82-93.33 74.56-149.3 61.23c-25.25-6.008-52.6-6.555-80.93 .0078c-65.4 15.14-117.1 68.35-131.4 134.2C94.81 259.1 95.13 282.9 99.44 305.2C21.89 368.2 .9922 449 .668 450.4c-3.094 12.88 4.859 25.86 17.75 28.96C20.29 479.8 22.19 480 24.03 480c10.85 0 20.69-7.414 23.33-18.42c.2461-1.016 14.82-58.13 68.96-108.1c30.51 57.96 90.8 94.46 155.7 94.46c22.87 0 44.65-4.518 64.69-12.46C441.9 400.7 512 293.2 512 165.4C512 121.9 502.7 76.76 486.2 39.98zM382.9 277.2l-70.63 71.36c-4.584 4.582-11.88 4.582-16.46 0L225.1 277.2c-20.52-20.73-19.27-55.11 3.646-74.28c20-16.67 49.59-13.65 67.92 4.898l7.188 7.188l7.188-7.188c18.34-18.55 48.13-21.57 68.03-4.898C402.1 222.1 403.4 256.5 382.9 277.2z"],
    "leaf-maple": [512, 512, [127809], "f6f6", "M339.8 7.544L355.6 39.18C362.7 53.42 379.2 60.26 394.3 55.22L461.9 32.71C463.3 32.24 464.8 31.1 466.2 31.1C473.8 31.1 480 38.16 480 45.77C480 47.24 479.8 48.71 479.3 50.12L456.8 117.7C451.7 132.8 458.6 149.3 472.8 156.4L504.5 172.2C509.1 174.5 512 179.3 512 184.4C512 189.1 509.6 193.5 505.6 196L407.7 257.2C400.8 261.5 403.9 271.1 411.9 271.1H450.2C457.8 271.1 464 278.2 464 285.8C464 287.2 463.8 288.7 463.3 290.1L454.8 315.6C450.7 327.9 454.5 341.5 464.3 350L498.6 379.4C502 382.3 504 386.6 504 391.1C504 396.6 501 401.7 496.2 404.4L467.4 420.9C455.7 427.6 449.5 440.8 451.7 453.1L455.8 479.1C455.9 479.7 456 480.3 456 480.1C456 488.6 448.8 494.1 441.4 492.2L286.5 451.8C278.3 449.7 269.9 454.2 267.3 462.2L258.8 487.6C257.1 492.6 252.5 496 247.2 496C242.8 496 238.7 493.6 236.5 489.7L183.6 394.4L90.23 487.7C80.86 497.1 65.66 497.1 56.29 487.7C46.92 478.3 46.92 463.1 56.29 453.8L239.3 270.8C242.9 264.6 242 256.6 236.8 251.4C230.5 245.2 220.4 245.2 214.1 251.4L130.1 335.4L22.29 275.5C18.41 273.3 16 269.2 16 264.8C16 259.5 19.37 254.9 24.36 253.2L49.8 244.7C57.79 242.1 62.35 233.7 60.22 225.5L19.8 70.55C17.88 63.19 23.43 56 31.04 56C31.68 56 32.32 56.05 32.95 56.16L58.01 60.34C71.23 62.54 84.41 56.28 91.06 44.65L107.6 15.75C110.3 10.96 115.4 8 120.9 8C125.4 8 129.7 9.962 132.6 13.37L161.1 47.66C170.5 57.54 184.1 61.31 196.4 57.2L221.9 48.71C223.3 48.24 224.8 48 226.2 48C233.8 48 239.1 54.16 239.1 61.77V100.1C239.1 108.1 250.5 111.2 254.8 104.3L315.1 6.415C318.5 2.424 322.9 0 327.6 0C332.7 0 337.5 2.921 339.8 7.545L339.8 7.544z"],
    "leaf-oak": [512, 512, [], "f6f7", "M425.1 281.1L448 304C465.7 321.7 465.7 350.3 448 368C437.9 378.1 423.7 382.8 409.6 380.8L334.5 370.1C328.9 369.3 324.1 375.5 328.1 380.2C342 401 339.3 428.7 321.6 446.4L317.9 450.1C300.1 467.9 272.7 472.4 250.1 461.1L219 445.5C201.3 436.6 181.7 432 161.8 432H145.9L72.97 504.1C63.6 514.3 48.4 514.3 39.03 504.1C29.66 495.6 29.66 480.4 39.03 471L254.5 255.6C258.3 249.4 257.6 241.2 252.2 235.8C245.1 229.5 235.8 229.5 229.6 235.8L80 385.4V350.2C80 330.3 75.38 310.7 66.49 292.1L50.94 261.9C39.63 239.3 44.06 211.9 61.94 194.1L65.58 190.4C83.27 172.7 110.1 169.1 131.8 183.9C136.5 187 142.7 183.1 141.9 177.5L131.2 102.4C129.2 88.3 133.9 74.07 144 64C161.7 46.33 190.3 46.33 208 64L230 86.01C234.4 90.41 241.9 88.33 243.4 82.29L253.6 41.44C259.7 17.09 281.6 0 306.7 0C325 0 342.1 9.143 352.2 24.36L361.7 38.62C365.5 44.24 372.4 46.91 378.9 45.27L399.1 40.23C419.5 35.12 441.1 41.11 456 56C470.9 70.89 476.9 92.5 471.8 112.9L466.7 133.1C465.1 139.6 467.8 146.5 473.4 150.3L487.6 159.8C502.9 169.9 512 186.1 512 205.3C512 230.4 494.9 252.3 470.6 258.4L429.7 268.6C423.7 270.1 421.6 277.6 425.1 281.1L425.1 281.1z"],
    "leafy-green": [576, 512, [129388], "e41d", "M96.25 389.3c1.482-79.13 14.61-103.3 31.68-125.5C136 253.2 142.1 244.1 142.1 190.7c0-43.31 26.17-70.82 47.2-92.92c11.12-11.69 21.45-22.81 27.13-34.71C214.5 58.87 211.4 54.95 209.1 50.16c-6.756-14.12-16.79-26.72-30.68-36.05C163.9 4.337 147.4 .1842 131.2 1.436C114.1 1.833 98.9 7.641 85.16 18.85C72.03 29.57 63.01 43.13 57.37 57.88C51.24 73.91 41.92 87.31 30.14 96.75c-5.34 4.283-10.21 9.412-14.43 15.44c-18.43 26.33-20.01 60.79-8.064 89.38c15.27 36.55-.5 82.62 27.35 111.9c45.69 48.04 40.4 69.47 46.28 90.76L96.25 389.3zM573.4 93.82c-4.891-22.76-16.55-42.92-32.72-58.4c-15.44-16.2-35.56-27.89-58.27-32.79C460.7-2.043 440.3-.2305 421.1 6c-19.89 6.762-40.42 8.139-59.74 3.807c-8.758-1.967-17.77-2.95-27.03-2.353c-40.45 2.588-72.48 29.15-86.66 64.53C230.4 117.2 174.1 138.5 174.1 190.7c0 134.2-45.96 48.25-46.97 207.9c-.0078 1.297 .2871 2.494 .3809 3.762l-55.01 55.01c-12.5 12.5-12.5 32.75 0 45.25C79.63 508.9 87.81 512 96 512s16.38-3.125 22.62-9.375l55.2-55.2C175.8 447.7 177.8 448 179.9 448c157.7 0 70.43-46.07 205.8-46.07c52.03-.0039 73.3-55.57 118.4-73.75c35.29-14.22 61.7-46.2 64.28-86.74c.5938-9.287-.2884-18.43-2.249-27.21c-4.322-19.37-2.951-39.94 3.799-59.87C576.2 136 578 115.6 573.4 93.82zM448 208c8.844 0 16 7.156 16 16S456.8 240 448 240h-89.38l-123.3 123.3C232.2 366.4 228.1 368 224 368s-8.188-1.562-11.31-4.688c-6.25-6.25-6.25-16.38 0-22.62L272 281.4V192c0-8.844 7.156-16 16-16s16 7.156 16 16v57.38l132.7-132.7c6.25-6.25 16.38-6.25 22.62 0s6.25 16.38 0 22.62L390.6 208H448z"],
    "left": [448, 512, ["arrow-alt-left"], "f355", "M448 224v64c0 17.67-14.33 32-32 32h-192v96c0 12.94-7.797 24.61-19.75 29.56c-11.97 4.953-25.72 2.219-34.88-6.938l-160-160C3.125 272.4 0 264.2 0 256s3.125-16.38 9.375-22.62l160-160c9.156-9.156 22.91-11.89 34.88-6.938C216.2 71.39 224 83.06 224 96v96h192C433.7 192 448 206.3 448 224z"],
    "left-from-line": [448, 512, ["arrow-alt-from-right"], "f348", "M319.9 191.1H191.8V119.1c0-9.578-5.708-18.25-14.51-22.05C168.5 94.17 158.3 95.96 151.3 102.5L7.201 238.5c-9.602 9.062-9.602 25.84 0 34.91l144.1 136c6.973 6.578 17.2 8.375 26 4.594c8.803-3.797 14.51-12.47 14.51-22.05v-72h128.1c17.69 0 32.04-14.33 32.04-32v-64C351.9 206.3 337.6 191.1 319.9 191.1zM415.1 63.99C398.3 63.99 384 78.32 384 95.99v320C384 433.7 398.3 448 415.1 448C433.7 448 448 433.7 448 416V95.99C448 78.32 433.7 63.99 415.1 63.99z"],
    "left-long": [512, 512, ["long-arrow-alt-left"], "f30a", "M512 256C512 273.7 497.7 288 480 288H160.1l0 72c0 9.547-5.66 18.19-14.42 22c-8.754 3.812-18.95 2.077-25.94-4.407l-112.1-104c-10.24-9.5-10.24-25.69 0-35.19l112.1-104c6.992-6.484 17.18-8.218 25.94-4.406C154.4 133.8 160.1 142.5 160.1 151.1L160.1 224H480C497.7 224 512 238.3 512 256z"],
    "left-long-to-line": [640, 512, [], "e41e", "M64 96V416C64 433.7 49.67 448 32 448C14.33 448 0 433.7 0 416V96C0 78.33 14.33 64 32 64C49.67 64 64 78.33 64 96zM135.7 238.4L247.8 134.4C254.7 127.9 264.9 126.2 273.7 129.1C282.4 133.8 288.1 142.5 288.1 151.1V208H608C625.7 208 640 222.3 640 240V272C640 289.7 625.7 304 608 304H288.1V360C288.1 369.5 282.4 378.2 273.7 382C264.9 385.8 254.7 384.1 247.8 377.6L135.7 273.6C125.4 264.1 125.4 247.9 135.7 238.4V238.4z"],
    "left-right": [512, 512, [8596, "arrows-alt-h"], "f337", "M503.1 273.6l-112 104c-6.984 6.484-17.17 8.219-25.92 4.406s-14.41-12.45-14.41-22v-56l-192 .001V360c0 9.547-5.656 18.19-14.41 22c-8.75 3.812-18.94 2.078-25.92-4.406l-112-104c-9.781-9.094-9.781-26.09 0-35.19l112-104c6.984-6.484 17.17-8.219 25.92-4.406C154 133.8 159.7 142.5 159.7 152v55.1l192-.001v-56c0-9.547 5.656-18.19 14.41-22s18.94-2.078 25.92 4.406l112 104C513.8 247.5 513.8 264.5 503.1 273.6z"],
    "left-to-line": [448, 512, ["arrow-alt-to-left"], "f34b", "M32 64C14.33 64 0 78.33 0 95.1V416C0 433.7 14.33 448 31.1 448S64 433.7 64 416V95.1C64 78.33 49.67 64 32 64zM103.3 273.5l144.1 136c6.975 6.578 17.2 8.375 26 4.594c8.803-3.797 14.51-12.47 14.51-22.05L287.9 320h128.1c17.69 0 32.02-14.33 32.02-32V224c0-17.67-14.34-32-32.02-32h-128.1l-.0314-72c0-9.578-5.708-18.25-14.51-22.05c-8.805-3.781-19.03-1.984-26 4.594l-144.1 136C93.66 247.6 93.66 264.4 103.3 273.5z"],
    "lemon": [448, 512, [127819], "f094", "M427.9 52.1c-20.13-20.23-47.58-25.27-65.63-14.77c-51.63 30.08-158.6-46.49-281 75.91c-122.4 122.4-45.83 229.4-75.91 281c-10.5 18.05-5.471 45.5 14.77 65.63c20.13 20.24 47.58 25.27 65.63 14.77c51.63-30.08 158.6 46.49 281-75.91c122.4-122.4 45.83-229.4 75.91-281C453.2 99.69 448.1 72.23 427.9 52.1zM211.9 127.5C167.6 138.7 106.7 199.6 95.53 243.9C93.69 251.2 87.19 255.1 79.1 255.1c-1.281 0-2.594-.1562-3.906-.4687C67.53 253.4 62.34 244.7 64.47 236.1c14.16-56.28 83.31-125.4 139.6-139.6c8.656-2.031 17.25 3.062 19.44 11.62C225.7 116.7 220.5 125.3 211.9 127.5z"],
    "less-than": [384, 512, [62774], "3c", "M351.1 448c-4.797 0-9.688-1.094-14.28-3.375l-320-160C6.844 279.2 0 268.1 0 256c0-12.13 6.844-23.18 17.69-28.62l320-160c15.88-7.875 35.05-1.5 42.94 14.31c7.906 15.81 1.5 35.03-14.31 42.94L103.5 256l262.8 131.4c15.81 7.906 22.22 27.12 14.31 42.94C375 441.5 363.7 448 351.1 448z"],
    "less-than-equal": [448, 512, [], "f537", "M52.11 221.7l320 128C376 351.3 380 352 383.1 352c12.7 0 24.72-7.594 29.73-20.12c6.562-16.41-1.422-35.03-17.83-41.59L150.2 192l245.7-98.28c16.41-6.562 24.39-25.19 17.83-41.59S388.6 27.68 372.1 34.21l-320 128.1C39.97 167.2 32 178.9 32 192S39.97 216.8 52.11 221.7zM416 416H32c-17.67 0-32 14.31-32 31.1S14.33 480 32 480h384c17.67 0 32-14.31 32-32S433.7 416 416 416z"],
    "life-ring": [512, 512, [], "f1cd", "M470.6 425.4C483.1 437.9 483.1 458.1 470.6 470.6C458.1 483.1 437.9 483.1 425.4 470.6L412.1 458.2C369.6 491.9 315.2 512 255.1 512C196.8 512 142.4 491.9 99.02 458.2L86.63 470.6C74.13 483.1 53.87 483.1 41.37 470.6C28.88 458.1 28.88 437.9 41.37 425.4L53.76 412.1C20.07 369.6 0 315.2 0 255.1C0 196.8 20.07 142.4 53.76 99.02L41.37 86.63C28.88 74.13 28.88 53.87 41.37 41.37C53.87 28.88 74.13 28.88 86.63 41.37L99.02 53.76C142.4 20.07 196.8 0 255.1 0C315.2 0 369.6 20.07 412.1 53.76L425.4 41.37C437.9 28.88 458.1 28.88 470.6 41.37C483.1 53.87 483.1 74.13 470.6 86.63L458.2 99.02C491.9 142.4 512 196.8 512 255.1C512 315.2 491.9 369.6 458.2 412.1L470.6 425.4zM309.3 354.5C293.4 363.1 275.3 368 255.1 368C236.7 368 218.6 363.1 202.7 354.5L144.8 412.5C176.1 434.9 214.5 448 255.1 448C297.5 448 335.9 434.9 367.2 412.5L309.3 354.5zM448 255.1C448 214.5 434.9 176.1 412.5 144.8L354.5 202.7C363.1 218.6 368 236.7 368 256C368 275.3 363.1 293.4 354.5 309.3L412.5 367.2C434.9 335.9 448 297.5 448 256V255.1zM255.1 63.1C214.5 63.1 176.1 77.14 144.8 99.5L202.7 157.5C218.6 148.9 236.7 143.1 255.1 143.1C275.3 143.1 293.4 148.9 309.3 157.5L367.2 99.5C335.9 77.14 297.5 63.1 256 63.1H255.1zM157.5 309.3C148.9 293.4 143.1 275.3 143.1 255.1C143.1 236.7 148.9 218.6 157.5 202.7L99.5 144.8C77.14 176.1 63.1 214.5 63.1 255.1C63.1 297.5 77.14 335.9 99.5 367.2L157.5 309.3zM255.1 207.1C229.5 207.1 207.1 229.5 207.1 255.1C207.1 282.5 229.5 303.1 255.1 303.1C282.5 303.1 304 282.5 304 255.1C304 229.5 282.5 207.1 255.1 207.1z"],
    "light-ceiling": [512, 512, [], "e016", "M288 162.3V0h-64v162.3c-115.5 14.25-207.5 103.5-223.7 217.4C-2.306 398.8 13.04 415.1 32.41 415.1h447.1c19.38 0 34.81-17.19 32.19-36.31C495.4 265.8 403.5 176.5 288 162.3zM256 511.1c35.38 0 64.01-28.62 64.01-64H192C192 483.4 220.6 511.1 256 511.1z"],
    "light-emergency": [448, 512, [], "e41f", "M384 192c0-88.35-71.68-160-160-160S64 103.6 64 192v160h320V192zM224 112C179.8 112 144 147.9 144 192c0 8.832-7.039 16-16 16S112 200.8 112 192c0-61.76 50.24-112 112-112c8.961 0 16 7.168 16 16S232.1 112 224 112zM416 384H32c-17.6 0-32 14.34-32 32v32c0 17.66 14.4 32 32 32h384c17.6 0 32-14.34 32-32v-32C448 398.3 433.6 384 416 384z"],
    "light-emergency-on": [640, 512, [], "e420", "M480 192C480 103.6 408.3 32 320 32C231.7 32 160 103.6 160 192V352H480V192zM320 112C275.8 112 240 147.9 240 192C240 200.8 232.1 208 224 208C215 208 208 200.8 208 192C208 130.2 258.2 80 320 80C328.1 80 336 87.17 336 96C336 104.8 328.1 112 320 112zM512 384H128C110.4 384 96 398.3 96 416V448C96 465.7 110.4 480 128 480H512C529.6 480 544 465.7 544 448V416C544 398.3 529.6 384 512 384zM549.4 107.1L597.4 75.97C608.3 68.61 611.2 53.73 603.8 42.69C596.5 31.65 581.8 28.67 570.6 36.03L522.6 68.03C511.7 75.39 508.8 90.27 516.2 101.3C523.5 112.4 538.2 115.3 549.4 107.1zM616 200H552C538.9 200 528 210.8 528 224C528 237.2 538.9 248 552 248H616C629.1 248 640 237.2 640 224C640 210.8 629.1 200 616 200zM112 224C112 210.8 101.1 200 88 200H24C10.88 200 0 210.8 0 224C0 237.2 10.88 248 24 248H88C101.1 248 112 237.2 112 224zM90.56 107.1C101.8 115.3 116.5 112.4 123.8 101.3C131.2 90.27 128.3 75.39 117.4 68.03L69.44 36.03C58.24 28.67 43.52 31.65 36.16 42.69C28.8 53.73 31.68 68.61 42.56 75.97L90.56 107.1z"],
    "light-switch": [384, 512, [], "e017", "M320 0H64c-35.38 0-64 28.62-64 64v384c0 35.38 28.62 64 64 64h256c35.38 0 64-28.62 64-64v-384C384 28.62 355.4 0 320 0zM192 32c8.875 0 16 7.125 16 16S200.9 64 192 64S176 56.88 176 48S183.1 32 192 32zM192 480c-8.875 0-16-7.125-16-16S183.1 448 192 448s16 7.125 16 16S200.9 480 192 480zM288 367.1c0 26.5-21.5 48-48 48h-96c-26.5 0-48-21.5-48-48V272h192V367.1zM288 240H96V143.1c0-26.5 21.5-47.1 48-47.1h96c26.5 0 48 21.5 48 47.1V240z"],
    "light-switch-off": [384, 512, [], "e018", "M320 0H64c-35.38 0-64 28.62-64 64v384c0 35.38 28.62 64 64 64h256c35.38 0 64-28.62 64-64v-384C384 28.62 355.4 0 320 0zM192 32c8.875 0 16 7.125 16 16S200.9 64 192 64S176 56.88 176 48S183.1 32 192 32zM192 480c-8.875 0-16-7.125-16-16S183.1 448 192 448s16 7.125 16 16S200.9 480 192 480zM288 288v79.1c0 26.5-21.5 48-48 48h-96c-26.5 0-48-21.5-48-48v-224c0-26.5 21.5-47.1 48-47.1h96c26.5 0 48 21.5 48 47.1V288zM128 352c0 17.62 14.38 32 32 32h64c17.62 0 32-14.38 32-32V256H128V352z"],
    "light-switch-on": [384, 512, [], "e019", "M320 0H64c-35.38 0-64 28.62-64 64v384c0 35.38 28.62 64 64 64h256c35.38 0 64-28.62 64-64v-384C384 28.62 355.4 0 320 0zM192 32c8.875 0 16 7.125 16 16S200.9 64 192 64S176 56.88 176 48S183.1 32 192 32zM192 480c-8.875 0-16-7.125-16-16S183.1 448 192 448s16 7.125 16 16S200.9 480 192 480zM288 240v127.1c0 26.5-21.5 48-48 48h-96c-26.5 0-48-21.5-48-48V143.1c0-26.5 21.5-48 48-48h96c26.5 0 48 21.5 48 48V240zM224 128H160C142.4 128 128 142.4 128 160v96h128V160C256 142.4 241.6 128 224 128z"],
    "lightbulb": [384, 512, [128161], "f0eb", "M112.1 454.3c0 6.297 1.816 12.44 5.284 17.69l17.14 25.69c5.25 7.875 17.17 14.28 26.64 14.28h61.67c9.438 0 21.36-6.401 26.61-14.28l17.08-25.68c2.938-4.438 5.348-12.37 5.348-17.7L272 415.1h-160L112.1 454.3zM191.4 .0132C89.44 .3257 16 82.97 16 175.1c0 44.38 16.44 84.84 43.56 115.8c16.53 18.84 42.34 58.23 52.22 91.45c.0313 .25 .0938 .5166 .125 .7823h160.2c.0313-.2656 .0938-.5166 .125-.7823c9.875-33.22 35.69-72.61 52.22-91.45C351.6 260.8 368 220.4 368 175.1C368 78.61 288.9-.2837 191.4 .0132zM192 96.01c-44.13 0-80 35.89-80 79.1C112 184.8 104.8 192 96 192S80 184.8 80 176c0-61.76 50.25-111.1 112-111.1c8.844 0 16 7.159 16 16S200.8 96.01 192 96.01z"],
    "lightbulb-cfl": [320, 512, [], "e5a6", "M39.76 95.04C22.62 99.33 5.242 88.91 .9555 71.76C-3.331 54.62 7.093 37.24 24.24 32.96L152.2 .9552C169.4-3.331 186.8 7.093 191 24.24C195.3 41.38 184.9 58.76 167.8 63.04L39.76 95.04zM319 88.24C323.3 105.4 312.9 122.8 295.8 127L39.76 191C22.62 195.3 5.242 184.9 .9552 167.8C-3.331 150.6 7.093 133.2 24.24 128.1L280.2 64.96C297.4 60.67 314.8 71.09 319 88.24V88.24zM39.76 287C22.62 291.3 5.242 280.9 .9555 263.8C-3.331 246.6 7.093 229.2 24.24 224.1L280.2 160.1C297.4 156.7 314.8 167.1 319 184.2C323.3 201.4 312.9 218.8 295.8 223L39.76 287zM64 416C64 398.3 78.33 384 96 384V305.1L144 293.1V384H224C241.7 384 256 398.3 256 416V448C256 465.7 241.7 480 224 480H192C192 497.7 177.7 512 160 512C142.3 512 128 497.7 128 480H96C78.33 480 64 465.7 64 448V416zM319 280.2C323.3 297.4 312.9 314.8 295.8 319L224 336.1L224 384L176 384V308.7C175.1 308.2 175.1 307.7 176 307.3V304L176.2 303.1C177.9 291.3 187.1 280.2 200.2 276.1L280.2 256.1C297.4 252.7 314.8 263.1 319 280.2V280.2z"],
    "lightbulb-cfl-on": [640, 512, [], "e5a7", "M351 24.24C355.3 41.38 344.9 58.76 327.8 63.04L199.8 95.04C182.6 99.33 165.2 88.91 160.1 71.76C156.7 54.62 167.1 37.24 184.2 32.96L312.2 .9552C329.4-3.331 346.8 7.093 351 24.24V24.24zM199.8 191C182.6 195.3 165.2 184.9 160.1 167.8C156.7 150.6 167.1 133.2 184.2 128.1L440.2 64.95C457.4 60.67 474.8 71.09 479 88.24C483.3 105.4 472.9 122.8 455.8 127L199.8 191zM479 184.2C483.3 201.4 472.9 218.8 455.8 223L199.8 287C182.6 291.3 165.2 280.9 160.1 263.8C156.7 246.6 167.1 229.2 184.2 224.1L440.2 160.1C457.4 156.7 474.8 167.1 479 184.2V184.2zM255.1 305.1L303.1 293.1V384H384C401.7 384 416 398.3 416 416V448C416 465.7 401.7 480 384 480H352C352 497.7 337.7 512 319.1 512C302.3 512 287.1 497.7 287.1 480H255.1C238.3 480 223.1 465.7 223.1 448V416C223.1 398.3 238.3 384 255.1 384V305.1zM384 336.1L384 384L336 384V308.7C335.1 308.2 335.1 307.7 336 307.3V303.1L336.2 303.1C337.9 291.3 347.1 280.2 360.2 276.1L440.2 256.1C457.4 252.7 474.8 263.1 479 280.2C483.3 297.4 472.9 314.8 455.8 319L384 336.1zM101.3 36.03C112.3 43.38 115.3 58.28 107.1 69.31C100.6 80.34 85.72 83.32 74.69 75.97L26.69 43.97C15.66 36.62 12.68 21.72 20.03 10.69C27.38-.3417 42.28-3.322 53.31 4.031L101.3 36.03zM565.3 75.97C554.3 83.32 539.4 80.34 532 69.31C524.7 58.28 527.7 43.38 538.7 36.03L586.7 4.031C597.7-3.321 612.6-.3411 619.1 10.69C627.3 21.72 624.3 36.62 613.3 43.97L565.3 75.97zM88 160C101.3 160 112 170.7 112 184C112 197.3 101.3 208 88 208H24C10.75 208 0 197.3 0 184C0 170.7 10.75 160 24 160H88zM616 160C629.3 160 640 170.7 640 184C640 197.3 629.3 208 616 208H552C538.7 208 528 197.3 528 184C528 170.7 538.7 160 552 160H616zM53.31 363.1C42.28 371.3 27.38 368.3 20.03 357.3C12.68 346.3 15.66 331.4 26.69 324L74.69 292C85.72 284.7 100.6 287.7 107.1 298.7C115.3 309.7 112.3 324.6 101.3 331.1L53.31 363.1zM613.3 324C624.3 331.4 627.3 346.3 619.1 357.3C612.6 368.3 597.7 371.3 586.7 363.1L538.7 331.1C527.7 324.6 524.7 309.7 532 298.7C539.4 287.7 554.3 284.7 565.3 292L613.3 324z"],
    "lightbulb-dollar": [384, 512, [], "f670", "M112.1 454.4c.125 6.25 1.794 12.4 5.294 17.65l17.15 25.71C140.5 506.6 150.5 512 161.2 512h61.68c10.75 0 20.73-5.388 26.61-14.26l17.09-25.7c3.5-5.25 5.361-11.42 5.361-17.67L272 415.1h-160L112.1 454.4zM191.5 .0127C89.47 .2627 16 82.1 16 175.1c0 44.38 16.52 84.89 43.52 115.8c16.62 18.88 42.36 58.23 52.24 91.48c0 .25 .1458 .5101 .1458 .7601h160.2c0-.25 .1458-.5101 .1458-.7601c9.875-33.25 35.61-72.61 52.24-91.48C351.5 260.9 368 220.4 368 175.1C368 78.62 288.8-.2373 191.5 .0127zM253.8 226.3C250.2 247.2 234.4 260.1 212 265.7V272c0 11.03-8.953 20-20 20S172 283 172 272V265.2c-12.03-2.662-23.14-6.836-29.33-9.012C132.3 252.5 126.8 241.1 130.5 230.7c3.688-10.41 15.11-15.81 25.52-12.22C175 225.4 179.6 226.5 184.1 227.1c13.72 2.125 28.94 .1875 30.31-7.625c1.398-8.139-8.713-10.71-33.73-17.97c-17.33-5.094-57.92-17-50.52-59.84C133.8 120.8 149.6 106.8 172 101.1V96c0-11.03 8.953-20 20-20S212 84.97 212 96v6.633c5.453 1.195 11.34 2.789 18.56 5.273c10.44 3.625 15.95 15.03 12.33 25.47c-3.625 10.41-15.06 15.94-25.45 12.34c-5.859-2.031-12-4-17.59-4.844C186.2 138.8 170.1 140.7 169.6 148.5c-1.514 8.832 14.89 12.51 27.92 16.25C219.8 171.1 261.3 183 253.8 226.3z"],
    "lightbulb-exclamation": [384, 512, [], "f671", "M191.5 .0127C89.47 .2627 16 82.1 16 175.1c0 44.38 16.52 84.89 43.52 115.8c16.62 18.88 42.36 58.23 52.24 91.48c0 .25 .1146 .5104 .1146 .7604l160.3 .0006c0-.25 .0833-.5111 .0833-.7611c9.875-33.25 35.61-72.61 52.24-91.48C351.5 260.9 368 220.4 368 175.1C368 78.62 288.8-.2373 191.5 .0127zM168 88C168 74.75 178.8 64 192 64s24 10.75 24 24v112C216 213.3 205.3 224 192 224S168 213.3 168 200V88zM192 320c-17.67 0-32-14.33-32-32s14.33-32 32-32s32 14.33 32 32S209.7 320 192 320zM112.2 454.4c.125 6.25 1.855 12.43 5.355 17.68l17.08 25.69C140.6 506.6 150.6 512 161.2 512h61.67c10.75 0 20.73-5.395 26.61-14.27l17.02-25.69c3.5-5.25 5.419-11.44 5.419-17.69L272 415.1h-160L112.2 454.4z"],
    "lightbulb-exclamation-on": [640, 512, [], "e1ca", "M131.1 55.25l-55.5-32C68.25 18.75 59 18.62 51.38 22.88c-7.5 4.375-12.12 12.38-12.12 21c.125 8.75 4.875 16.75 12.38 20.88l55.5 32C114.5 101.3 123.8 101.4 131.4 97.13c7.5-4.375 12.12-12.38 12.12-21C143.4 67.38 138.6 59.38 131.1 55.25zM107.1 287.3l-55.5 32c-7.5 4.125-12.25 12.13-12.38 20.88c0 8.625 4.625 16.62 12.12 21c7.625 4.25 16.88 4.125 24.25-.375l55.5-32C142.3 322 145.1 307.5 139.5 296.3C133 284.9 118.5 280.9 107.1 287.3zM112 192c0-13.25-10.75-24-24-24h-64c-13.25 0-24 10.75-24 24s10.75 24 24 24h64C101.3 216 112 205.3 112 192zM521 100c4.125 0 8.25-1.125 12-3.25l55.38-32c11.25-6.75 14.88-21.25 8.375-32.5c-6.5-11.38-21-15.38-32.38-9l-55.38 32c-9.5 5.375-14 16.5-11.25 27C500.6 92.75 510.1 100 521 100zM588.4 319.3l-55.5-32c-7.375-4.5-16.62-4.625-24.25-.375c-7.5 4.375-12.12 12.38-12.12 21c.125 8.75 4.875 16.75 12.38 20.88l55.5 32c11.38 6.375 25.88 2.375 32.38-9C603.3 340.5 599.5 326 588.4 319.3zM616 168h-64c-13.25 0-24 10.75-24 24s10.75 24 24 24h64c13.25 0 24-10.75 24-24S629.3 168 616 168zM240.2 454.4c.125 6.25 1.855 12.43 5.355 17.68l17.08 25.69C268.6 506.6 278.6 512 289.2 512h61.67c10.75 0 20.73-5.395 26.61-14.27l17.02-25.69c3.5-5.25 5.419-11.44 5.419-17.69L400 415.1L240.1 415.1L240.2 454.4zM319.5 .0127C217.5 .2627 144 82.1 144 175.1c0 44.38 16.52 84.89 43.52 115.8c16.62 18.88 42.36 58.23 52.24 91.48c0 .25 .1146 .5104 .1146 .7604l160.3 .0006c0-.25 .0833-.5111 .0833-.7611c9.875-33.25 35.61-72.61 52.24-91.48C479.5 260.9 496 220.4 496 175.1C496 78.62 416.8-.2373 319.5 .0127zM296 88C296 74.75 306.8 64 320 64s24 10.75 24 24v112C344 213.3 333.3 224 320 224S296 213.3 296 200V88zM320 320c-17.67 0-32-14.33-32-32s14.33-32 32-32s32 14.33 32 32S337.7 320 320 320z"],
    "lightbulb-on": [640, 512, [], "f672", "M240.1 454.4c.125 6.25 1.983 12.43 5.359 17.68l17.09 25.69c5.25 7.875 17.27 14.28 26.65 14.28h61.72c9.5 0 21.38-6.395 26.63-14.27l17.09-25.69c3.25-5.375 5.109-11.43 5.359-17.68v-38.36l-159.9 .0048L240.1 454.4zM319.5 .0154C217.5 .2654 144 82.1 144 175.1c0 42.62 15.4 83.76 43.52 115.8c16.62 18.87 42.36 58.23 52.24 91.48c0 .25 .1146 .5105 .1146 .7604l160.3 .0007c0-.25 .0833-.5111 .0833-.7611c9.875-33.25 35.61-72.61 52.24-91.48c28.12-32 43.52-73.14 43.52-115.8C496 78.62 416.8-.2346 319.5 .0154zM320 96.01c-44.13 0-80 35.87-80 79.1c0 8.875-7.125 16-16 16s-16-7.125-16-16C208.1 114.1 258.1 64.14 320 64.01c8.875 0 16 7.126 16 16S328.9 96.01 320 96.01zM112 192c0-13.25-10.75-24-24-24h-64c-13.25 0-24 10.75-24 24s10.75 24 24 24h64C101.2 216 112 205.3 112 192zM616 168h-64c-13.25 0-24 10.75-24 24s10.75 24 24 24h64c13.25 0 24-10.75 24-24S629.3 168 616 168zM131.1 55.25l-55.5-32c-7.375-4.5-16.63-4.625-24.25-.375c-7.5 4.375-12.13 12.38-12.13 21c.125 8.75 4.875 16.75 12.38 20.88L107.1 96.75c7.375 4.5 16.63 4.625 24.25 .375c7.5-4.375 12.12-12.38 12.12-21C143.4 67.38 138.6 59.38 131.1 55.25zM588.4 319.3l-55.5-32c-7.375-4.5-16.62-4.625-24.25-.375c-7.5 4.375-12.12 12.38-12.12 21c.125 8.75 4.875 16.75 12.38 20.88l55.5 32c11.38 6.375 25.88 2.375 32.38-9C603.3 340.5 599.5 326 588.4 319.3zM107.1 287.3L51.62 319.3c-7.5 4.125-12.25 12.13-12.38 20.88c0 8.625 4.625 16.63 12.13 21c7.625 4.25 16.87 4.125 24.25-.375l55.5-32c11.12-6.75 14.87-21.25 8.375-32.5C133 284.9 118.5 280.9 107.1 287.3zM521 100c4.125 0 8.25-1.125 12-3.25l55.38-32c11.25-6.75 14.88-21.25 8.375-32.5c-6.5-11.37-21-15.38-32.38-9L509 55.25c-9.5 5.375-14 16.5-11.25 27C500.6 92.75 510.1 100 521 100z"],
    "lightbulb-slash": [640, 512, [], "f673", "M240.1 454.3c0 6.297 1.875 12.43 5.344 17.68l17.14 25.69c5.25 7.875 17.17 14.28 26.64 14.28h61.66c9.437 0 21.36-6.401 26.61-14.28l17.08-25.68c2.937-4.437 5.348-12.37 5.348-17.7l.1196-38.36H239.1L240.1 454.3zM148.2 212.9c6.379 29.75 19.96 56.83 39.32 78.91c16.53 18.84 42.34 58.23 52.22 91.45c.0313 .25 .0625 .5156 .0938 .7812l126.7-.0026L148.2 212.9zM630.8 469.1l-196.2-153.8c6.32-9.328 12.56-17.59 17.82-23.59c27.12-30.94 43.54-71.4 43.54-115.8c0-97.38-79.07-176.3-176.5-175.1c-73 .2266-131.1 42.72-158.4 100.9L38.81 5.118C34.41 1.68 29.19 .0008 24.03 .0008c-7.125 0-14.2 3.159-18.92 9.19c-8.187 10.44-6.365 25.53 4.073 33.7l591.1 463.1c10.5 8.203 25.57 6.333 33.7-4.073C643.1 492.4 641.2 477.3 630.8 469.1zM319.1 96.01c-39.94 0-72.83 29.48-78.76 67.76L213.9 142.3c14.27-45.3 56.15-78.33 106.1-78.33c8.844 0 15.99 7.159 15.99 16S328.8 96.01 319.1 96.01z"],
    "lights-holiday": [640, 512, [], "f7b2", "M634.8 79.57c-9.152-14.4-27.86-19.94-42.8-11.8C516.1 109.1 420.8 131.6 320 131.6s-196.1-22.45-271.1-63.81C33.09 59.63 14.38 65.17 5.23 79.57c-10.58 16.66-4.508 38.66 12.83 47.95c34.56 18.52 72.57 33.46 112.7 44.92L110.4 229.2c-26.04 1.156-49.53 16.7-62.68 53.05c-18.51 51.13 14.68 132.6 28.47 137.7c13.79 5.008 91.28-35.84 109.8-87.1c13.28-36.22 5.107-63.33-14.04-81.18L195.1 187.3c29.1 5.398 60.89 8.734 92.43 10.15v64.74c-24.13 10.02-40.85 32.63-40.85 71.42c0 54.24 58.18 118.1 73.29 119.5c15.11-.5352 73.29-65.26 73.29-119.5c0-38.79-16.72-61.4-40.85-71.42V197.5c31.53-1.414 62.43-4.75 92.43-10.15l23.24 64.36c-19.15 17.85-27.32 44.96-14.04 81.18c18.51 51.26 96 92.11 109.8 87.1c13.79-5.141 46.98-86.59 28.47-137.7c-13.15-36.35-36.64-51.9-62.68-53.05l-20.43-56.77c40.16-11.46 78.17-26.4 112.7-44.92C639.3 118.2 645.4 96.23 634.8 79.57zM141.9 310.4c-4.979 13.48-26.94 38.15-43.4 47.79c-6.51-17.98-7.531-51.13-2.809-64.61c4.213-11.69 18-17.34 30.64-12.72C138.1 285.5 146.1 298.8 141.9 310.4zM320 387.5C319.1 387.5 320 387.5 320 387.5C319.1 387.5 320 387.5 320 387.5C307.9 372.8 295.5 342 295.5 327.6c0-12.33 10.99-22.35 24.52-22.35c.0039 0-.0039 0 0 0s-.0039 0 0 0c13.53 0 24.52 10.02 24.52 22.35C344.5 342 332.1 372.8 320 387.5zM513.7 280.9c12.64-4.621 26.43 1.031 30.64 12.72c4.723 13.48 3.703 46.63-2.809 64.62c-16.47-9.637-38.43-34.3-43.4-47.79C493.9 298.8 501 285.5 513.7 280.9z"],
    "line-columns": [512, 512, [], "f870", "M192 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H192C209.7 32 224 46.33 224 64C224 81.67 209.7 96 192 96zM192 224H32C14.33 224 0 209.7 0 192C0 174.3 14.33 160 32 160H192C209.7 160 224 174.3 224 192C224 209.7 209.7 224 192 224zM0 320C0 302.3 14.33 288 32 288H192C209.7 288 224 302.3 224 320C224 337.7 209.7 352 192 352H32C14.33 352 0 337.7 0 320zM192 480H32C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416H192C209.7 416 224 430.3 224 448C224 465.7 209.7 480 192 480zM288 64C288 46.33 302.3 32 320 32H480C497.7 32 512 46.33 512 64C512 81.67 497.7 96 480 96H320C302.3 96 288 81.67 288 64zM480 224H320C302.3 224 288 209.7 288 192C288 174.3 302.3 160 320 160H480C497.7 160 512 174.3 512 192C512 209.7 497.7 224 480 224zM288 320C288 302.3 302.3 288 320 288H480C497.7 288 512 302.3 512 320C512 337.7 497.7 352 480 352H320C302.3 352 288 337.7 288 320zM480 480H320C302.3 480 288 465.7 288 448C288 430.3 302.3 416 320 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480z"],
    "line-height": [576, 512, [], "f871", "M182.6 105.4C195.1 117.9 195.1 138.1 182.6 150.6C170.1 163.1 149.9 163.1 137.4 150.6L127.1 141.3V370.7L137.4 361.4C149.9 348.9 170.1 348.9 182.6 361.4C195.1 373.9 195.1 394.1 182.6 406.6L118.6 470.6C106.1 483.1 85.87 483.1 73.37 470.6L9.372 406.6C-3.125 394.1-3.125 373.9 9.372 361.4C21.87 348.9 42.13 348.9 54.63 361.4L63.1 370.7V141.3L54.63 150.6C42.13 163.1 21.87 163.1 9.372 150.6C-3.125 138.1-3.125 117.9 9.372 105.4L73.37 41.37C85.87 28.88 106.1 28.88 118.6 41.37L182.6 105.4zM544 64C561.7 64 576 78.33 576 96C576 113.7 561.7 128 544 128H287.1C270.3 128 255.1 113.7 255.1 96C255.1 78.33 270.3 64 287.1 64H544zM544 224C561.7 224 576 238.3 576 256C576 273.7 561.7 288 544 288H287.1C270.3 288 255.1 273.7 255.1 256C255.1 238.3 270.3 224 287.1 224H544zM255.1 416C255.1 398.3 270.3 384 287.1 384H544C561.7 384 576 398.3 576 416C576 433.7 561.7 448 544 448H287.1C270.3 448 255.1 433.7 255.1 416z"],
    "lines-leaning": [384, 512, [], "e51e", "M62.36 458.1C56.77 474.9 38.65 483.9 21.88 478.4C5.116 472.8-3.946 454.6 1.643 437.9L129.6 53.88C135.2 37.12 153.4 28.05 170.1 33.64C186.9 39.23 195.9 57.35 190.4 74.12L62.36 458.1zM261.3 32.44C278.7 35.34 290.5 51.83 287.6 69.26L223.6 453.3C220.7 470.7 204.2 482.5 186.7 479.6C169.3 476.7 157.5 460.2 160.4 442.7L224.4 58.74C227.3 41.31 243.8 29.53 261.3 32.44H261.3zM352 32C369.7 32 384 46.33 384 64V448C384 465.7 369.7 480 352 480C334.3 480 320 465.7 320 448V64C320 46.33 334.3 32 352 32V32z"],
    "link": [640, 512, [128279, "chain"], "f0c1", "M172.5 131.1C228.1 75.51 320.5 75.51 376.1 131.1C426.1 181.1 433.5 260.8 392.4 318.3L391.3 319.9C381 334.2 361 337.6 346.7 327.3C332.3 317 328.9 297 339.2 282.7L340.3 281.1C363.2 249 359.6 205.1 331.7 177.2C300.3 145.8 249.2 145.8 217.7 177.2L105.5 289.5C73.99 320.1 73.99 372 105.5 403.5C133.3 431.4 177.3 435 209.3 412.1L210.9 410.1C225.3 400.7 245.3 404 255.5 418.4C265.8 432.8 262.5 452.8 248.1 463.1L246.5 464.2C188.1 505.3 110.2 498.7 60.21 448.8C3.741 392.3 3.741 300.7 60.21 244.3L172.5 131.1zM467.5 380C411 436.5 319.5 436.5 263 380C213 330 206.5 251.2 247.6 193.7L248.7 192.1C258.1 177.8 278.1 174.4 293.3 184.7C307.7 194.1 311.1 214.1 300.8 229.3L299.7 230.9C276.8 262.1 280.4 306.9 308.3 334.8C339.7 366.2 390.8 366.2 422.3 334.8L534.5 222.5C566 191 566 139.1 534.5 108.5C506.7 80.63 462.7 76.99 430.7 99.9L429.1 101C414.7 111.3 394.7 107.1 384.5 93.58C374.2 79.2 377.5 59.21 391.9 48.94L393.5 47.82C451 6.731 529.8 13.25 579.8 63.24C636.3 119.7 636.3 211.3 579.8 267.7L467.5 380z"],
    "link-horizontal": [640, 512, ["chain-horizontal"], "e1cb", "M303.4 64C383.3 64 448 128.7 448 208.6C448 279.3 396.9 339.6 327.2 351.2L325.3 351.6C307.8 354.5 291.3 342.7 288.4 325.3C285.5 307.8 297.3 291.3 314.7 288.4L316.6 288.1C355.5 281.6 384 248 384 208.6C384 164.1 347.9 128 303.4 128H144.6C100.1 128 64 164.1 64 208.6C64 248 92.49 281.6 131.4 288.1L133.3 288.4C150.7 291.3 162.5 307.8 159.6 325.3C156.7 342.7 140.2 354.5 122.7 351.6L120.8 351.2C51.11 339.6 0 279.3 0 208.6C0 128.7 64.74 64 144.6 64H303.4zM336.6 448C256.7 448 192 383.3 192 303.4C192 232.7 243.1 172.4 312.8 160.8L314.7 160.4C332.2 157.5 348.7 169.3 351.6 186.7C354.5 204.2 342.7 220.7 325.3 223.6L323.4 223.9C284.5 230.4 256 263.1 256 303.4C256 347.9 292.1 384 336.6 384H495.4C539.9 384 576 347.9 576 303.4C576 263.1 547.5 230.4 508.6 223.9L506.7 223.6C489.3 220.7 477.5 204.2 480.4 186.7C483.3 169.3 499.8 157.5 517.3 160.4L519.2 160.8C588.9 172.4 640 232.7 640 303.4C640 383.3 575.3 448 495.4 448H336.6z"],
    "link-horizontal-slash": [640, 512, ["chain-horizontal-slash"], "e1cc", "M117.2 66.59C126.1 64.89 135.3 64 144.6 64H303.4C383.3 64 448 128.7 448 208.6C448 243.1 435.8 275.1 415.3 300.2L518.1 380.8C551.6 370.1 576 340 576 303.4C576 263.1 547.5 230.4 508.6 223.9L506.7 223.6C489.3 220.7 477.5 204.2 480.4 186.7C483.3 169.3 499.8 157.5 517.3 160.4L519.2 160.8C588.9 172.4 640 232.7 640 303.4C640 354.2 613.8 398.9 574.1 424.7L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.197 42.89C-1.235 34.71-3.064 19.63 5.113 9.196C13.29-1.236 28.38-3.065 38.81 5.112L117.2 66.59zM195.6 128L364.9 260.7C376.9 246.6 384 228.3 384 208.6C384 164.1 347.9 128 303.4 128H195.6zM336.6 448C256.7 448 192 383.3 192 303.4C192 286.2 195 269.5 200.6 254.1L256.2 297.8C256.1 299.7 256 301.5 256 303.4C256 347.9 292.1 384 336.6 384H365.5L446.8 448H336.6zM30.37 119.9L80.65 159.5C70.21 173.1 64 190.1 64 208.6C64 248 92.49 281.6 131.4 288.1L133.3 288.4C150.7 291.3 162.5 307.8 159.6 325.3C156.7 342.7 140.2 354.5 122.7 351.6L120.8 351.2C51.11 339.6 0 279.3 0 208.6C0 175.2 11.34 144.4 30.37 119.9V119.9z"],
    "link-simple": [640, 512, [], "e1cd", "M0 256C0 167.6 71.63 96 160 96H256C273.7 96 288 110.3 288 128C288 145.7 273.7 160 256 160H160C106.1 160 64 202.1 64 256C64 309 106.1 352 160 352H256C273.7 352 288 366.3 288 384C288 401.7 273.7 416 256 416H160C71.63 416 0 344.4 0 256zM480 416H384C366.3 416 352 401.7 352 384C352 366.3 366.3 352 384 352H480C533 352 576 309 576 256C576 202.1 533 160 480 160H384C366.3 160 352 145.7 352 128C352 110.3 366.3 96 384 96H480C568.4 96 640 167.6 640 256C640 344.4 568.4 416 480 416zM416 224C433.7 224 448 238.3 448 256C448 273.7 433.7 288 416 288H224C206.3 288 192 273.7 192 256C192 238.3 206.3 224 224 224H416z"],
    "link-simple-slash": [640, 512, [], "e1ce", "M154.9 96.08C156.6 96.03 158.3 96 160 96H256C273.7 96 288 110.3 288 128C288 145.7 273.7 160 256 160H236.4L318.1 224H416C433.7 224 448 238.3 448 256C448 273.7 433.7 288 416 288H399.7L481.4 351.1C533.8 351.3 576 308.6 576 256C576 202.1 533 160 480 160H384C366.3 160 352 145.7 352 128C352 110.3 366.3 96 384 96H480C568.4 96 640 167.6 640 256C640 321.1 601.1 377.1 545.3 402.1L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L154.9 96.08zM.001 256C.001 208.1 20.28 166.7 52.58 137.4L104.1 177.1C79.8 195.4 64 223.9 64 256C64 309 106.1 352 160 352H256C273.7 352 288 366.3 288 384C288 401.7 273.7 416 256 416H160C71.64 416 .001 344.4 .001 256V256z"],
    "link-slash": [640, 512, ["chain-broken", "chain-slash", "unlink"], "f127", "M185.7 120.3C242.5 75.82 324.7 79.73 376.1 131.1C420.1 175.1 430.9 239.6 406.7 293.5L438.6 318.4L534.5 222.5C566 191 566 139.1 534.5 108.5C506.7 80.63 462.7 76.1 430.7 99.9L429.1 101C414.7 111.3 394.7 107.1 384.5 93.58C374.2 79.2 377.5 59.21 391.9 48.94L393.5 47.82C451 6.732 529.8 13.25 579.8 63.24C636.3 119.7 636.3 211.3 579.8 267.7L489.3 358.2L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L185.7 120.3zM238.1 161.1L353.4 251.7C359.3 225.5 351.7 197.2 331.7 177.2C306.6 152.1 269.1 147 238.1 161.1V161.1zM263 380C233.1 350.1 218.7 309.8 220.9 270L406.6 416.4C357.4 431 301.9 418.9 263 380V380zM116.6 187.9L167.2 227.8L105.5 289.5C73.99 320.1 73.99 372 105.5 403.5C133.3 431.4 177.3 435 209.3 412.1L210.9 410.1C225.3 400.7 245.3 404 255.5 418.4C265.8 432.8 262.5 452.8 248.1 463.1L246.5 464.2C188.1 505.3 110.2 498.7 60.21 448.8C3.741 392.3 3.741 300.7 60.21 244.3L116.6 187.9z"],
    "lips": [576, 512, [128482, 128068], "f600", "M568.1 201.7C521.6 124.6 419.6 64 375.1 64c0 0-29.37 0-87.99 45C229.4 64 200 64 200 64C156.4 64 54.4 124.6 7.942 201.7c-9.338 15.41-10.46 34.2-3.489 50.73C29.65 312.3 105.9 448 251.3 448h73.36c145.5 0 221.7-135.8 246.9-195.6C578.5 235.9 577.4 217.1 568.1 201.7zM288 320C138.7 320 63.89 224 63.89 224s56.09-32 140.1-32l30.96 8.875C251.5 205.5 269.6 208 288 208s36.54-2.5 53.06-7.125L372 192c84 0 140.1 32 140.1 32S437.3 320 288 320z"],
    "lira-sign": [320, 512, [8356], "f195", "M111.1 191.1H224C241.7 191.1 256 206.3 256 223.1C256 241.7 241.7 255.1 224 255.1H111.1V287.1H224C241.7 287.1 256 302.3 256 319.1C256 337.7 241.7 352 224 352H110.8C108.1 374.2 100.8 395.6 89.2 414.9L88.52 416H288C305.7 416 320 430.3 320 448C320 465.7 305.7 480 288 480H32C20.47 480 9.834 473.8 4.154 463.8C-1.527 453.7-1.371 441.4 4.56 431.5L34.32 381.9C39.89 372.6 43.83 362.5 46.01 352H32C14.33 352 0 337.7 0 320C0 302.3 14.33 288 32 288H48V256H32C14.33 256 0 241.7 0 224C0 206.3 14.33 192 32 192H48V160.4C48 89.47 105.5 32 176.4 32C190.2 32 203.9 34.22 216.1 38.59L298.1 65.64C314.9 71.23 323.9 89.35 318.4 106.1C312.8 122.9 294.6 131.9 277.9 126.4L196.7 99.3C190.2 97.12 183.3 96 176.4 96C140.8 96 112 124.8 112 160.4L111.1 191.1z"],
    "list": [512, 512, ["list-squares"], "f03a", "M88 48C101.3 48 112 58.75 112 72V120C112 133.3 101.3 144 88 144H40C26.75 144 16 133.3 16 120V72C16 58.75 26.75 48 40 48H88zM480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128H192C174.3 128 160 113.7 160 96C160 78.33 174.3 64 192 64H480zM480 224C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H192C174.3 288 160 273.7 160 256C160 238.3 174.3 224 192 224H480zM480 384C497.7 384 512 398.3 512 416C512 433.7 497.7 448 480 448H192C174.3 448 160 433.7 160 416C160 398.3 174.3 384 192 384H480zM16 232C16 218.7 26.75 208 40 208H88C101.3 208 112 218.7 112 232V280C112 293.3 101.3 304 88 304H40C26.75 304 16 293.3 16 280V232zM88 368C101.3 368 112 378.7 112 392V440C112 453.3 101.3 464 88 464H40C26.75 464 16 453.3 16 440V392C16 378.7 26.75 368 40 368H88z"],
    "list-check": [512, 512, ["tasks"], "f0ae", "M152.1 38.16C161.9 47.03 162.7 62.2 153.8 72.06L81.84 152.1C77.43 156.9 71.21 159.8 64.63 159.1C58.05 160.2 51.69 157.6 47.03 152.1L7.029 112.1C-2.343 103.6-2.343 88.4 7.029 79.03C16.4 69.66 31.6 69.66 40.97 79.03L63.08 101.1L118.2 39.94C127 30.09 142.2 29.29 152.1 38.16V38.16zM152.1 198.2C161.9 207 162.7 222.2 153.8 232.1L81.84 312.1C77.43 316.9 71.21 319.8 64.63 319.1C58.05 320.2 51.69 317.6 47.03 312.1L7.029 272.1C-2.343 263.6-2.343 248.4 7.029 239C16.4 229.7 31.6 229.7 40.97 239L63.08 261.1L118.2 199.9C127 190.1 142.2 189.3 152.1 198.2V198.2zM224 96C224 78.33 238.3 64 256 64H480C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128H256C238.3 128 224 113.7 224 96V96zM224 256C224 238.3 238.3 224 256 224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H256C238.3 288 224 273.7 224 256zM160 416C160 398.3 174.3 384 192 384H480C497.7 384 512 398.3 512 416C512 433.7 497.7 448 480 448H192C174.3 448 160 433.7 160 416zM0 416C0 389.5 21.49 368 48 368C74.51 368 96 389.5 96 416C96 442.5 74.51 464 48 464C21.49 464 0 442.5 0 416z"],
    "list-dropdown": [512, 512, [], "e1cf", "M384 232C397.3 232 408 242.7 408 256C408 269.3 397.3 280 384 280H128C114.7 280 104 269.3 104 256C104 242.7 114.7 232 128 232H384zM384 328C397.3 328 408 338.7 408 352C408 365.3 397.3 376 384 376H128C114.7 376 104 365.3 104 352C104 338.7 114.7 328 128 328H384zM448 32C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448zM448 192H64V416H448V192zM436.7 96H363.3C356.2 96 352.6 104.6 357.7 109.7L394.3 146.3C397.5 149.5 402.5 149.5 405.7 146.3L442.3 109.7C447.4 104.6 443.8 96 436.7 96V96z"],
    "list-music": [512, 512, [], "f8c9", "M31.97 255.1h224.1C273.7 255.1 288 241.7 288 224s-14.32-32.02-31.97-32.02H31.97C14.32 191.1 0 206.3 0 223.1S14.32 255.1 31.97 255.1zM31.97 127.1h224.1C273.7 127.1 288 113.6 288 95.99c0-17.65-14.32-32.01-31.97-32.01H31.97C14.32 63.98 0 78.31 0 95.97S14.32 127.1 31.97 127.1zM128 319.1H31.97C14.32 319.1 0 334.3 0 351.1s14.32 32.02 31.97 32.02H128C145.7 383.1 160 369.7 160 352S145.7 319.1 128 319.1zM471 1.323l-96.63 28.5C361.1 33.95 352 46.33 352 60.33v299.7c-15.5-5.251-31.62-8.001-48-8.001c-61.88 0-112 35.88-112 80.01S242.1 512 304 512s112-35.88 112-80.01V148.1l73-21.38C502.6 122.7 512 110.2 512 95.96V31.96c0-10.13-4.75-19.64-12.88-25.64C491.1 .323 480.6-1.552 471 1.323z"],
    "list-ol": [576, 512, ["list-1-2", "list-numeric"], "f0cb", "M55.1 56.04C55.1 42.78 66.74 32.04 79.1 32.04H111.1C125.3 32.04 135.1 42.78 135.1 56.04V176H151.1C165.3 176 175.1 186.8 175.1 200C175.1 213.3 165.3 224 151.1 224H71.1C58.74 224 47.1 213.3 47.1 200C47.1 186.8 58.74 176 71.1 176H87.1V80.04H79.1C66.74 80.04 55.1 69.29 55.1 56.04V56.04zM118.7 341.2C112.1 333.8 100.4 334.3 94.65 342.4L83.53 357.9C75.83 368.7 60.84 371.2 50.05 363.5C39.26 355.8 36.77 340.8 44.47 330.1L55.59 314.5C79.33 281.2 127.9 278.8 154.8 309.6C176.1 333.1 175.6 370.5 153.7 394.3L118.8 432H152C165.3 432 176 442.7 176 456C176 469.3 165.3 480 152 480H64C54.47 480 45.84 474.4 42.02 465.6C38.19 456.9 39.9 446.7 46.36 439.7L118.4 361.7C123.7 355.9 123.8 347.1 118.7 341.2L118.7 341.2zM512 64C529.7 64 544 78.33 544 96C544 113.7 529.7 128 512 128H256C238.3 128 224 113.7 224 96C224 78.33 238.3 64 256 64H512zM512 224C529.7 224 544 238.3 544 256C544 273.7 529.7 288 512 288H256C238.3 288 224 273.7 224 256C224 238.3 238.3 224 256 224H512zM512 384C529.7 384 544 398.3 544 416C544 433.7 529.7 448 512 448H256C238.3 448 224 433.7 224 416C224 398.3 238.3 384 256 384H512z"],
    "list-radio": [512, 512, [], "e1d0", "M0 96C0 60.65 28.65 32 64 32C99.35 32 128 60.65 128 96C128 131.3 99.35 160 64 160C28.65 160 0 131.3 0 96zM480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128H192C174.3 128 160 113.7 160 96C160 78.33 174.3 64 192 64H480zM480 224C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H192C174.3 288 160 273.7 160 256C160 238.3 174.3 224 192 224H480zM480 384C497.7 384 512 398.3 512 416C512 433.7 497.7 448 480 448H192C174.3 448 160 433.7 160 416C160 398.3 174.3 384 192 384H480zM128 416C128 451.3 99.35 480 64 480C28.65 480 0 451.3 0 416C0 380.7 28.65 352 64 352C99.35 352 128 380.7 128 416zM64 392C50.75 392 40 402.7 40 416C40 429.3 50.75 440 64 440C77.25 440 88 429.3 88 416C88 402.7 77.25 392 64 392zM0 256C0 220.7 28.65 192 64 192C99.35 192 128 220.7 128 256C128 291.3 99.35 320 64 320C28.65 320 0 291.3 0 256zM64 280C77.25 280 88 269.3 88 256C88 242.7 77.25 232 64 232C50.75 232 40 242.7 40 256C40 269.3 50.75 280 64 280z"],
    "list-timeline": [512, 512, [], "e1d1", "M112 96C112 122.5 90.51 144 64 144C37.49 144 16 122.5 16 96C16 69.49 37.49 48 64 48C90.51 48 112 69.49 112 96zM16 256C16 229.5 37.49 208 64 208C90.51 208 112 229.5 112 256C112 282.5 90.51 304 64 304C37.49 304 16 282.5 16 256zM16 416C16 389.5 37.49 368 64 368C90.51 368 112 389.5 112 416C112 442.5 90.51 464 64 464C37.49 464 16 442.5 16 416zM210.7 48H424C437.3 48 448 58.75 448 72V120C448 133.3 437.3 144 424 144H210.7C203.7 144 197 141.8 191.5 137.6L153.1 108.8C144.5 102.4 144.5 89.6 153.1 83.2L191.5 54.4C197 50.25 203.7 48 210.7 48V48zM153.1 243.2L191.5 214.4C197 210.2 203.7 208 210.7 208H488C501.3 208 512 218.7 512 232V280C512 293.3 501.3 304 488 304H210.7C203.7 304 197 301.8 191.5 297.6L153.1 268.8C144.5 262.4 144.5 249.6 153.1 243.2V243.2zM153.1 403.2L191.5 374.4C197 370.2 203.7 368 210.7 368H424C437.3 368 448 378.7 448 392V440C448 453.3 437.3 464 424 464H210.7C203.7 464 197 461.8 191.5 457.6L153.1 428.8C144.5 422.4 144.5 409.6 153.1 403.2z"],
    "list-tree": [512, 512, [], "e1d2", "M72 48C85.25 48 96 58.75 96 72V120C96 133.3 85.25 144 72 144V232H128C128 218.7 138.7 208 152 208H200C213.3 208 224 218.7 224 232V280C224 293.3 213.3 304 200 304H152C138.7 304 128 293.3 128 280H72V384C72 388.4 75.58 392 80 392H128C128 378.7 138.7 368 152 368H200C213.3 368 224 378.7 224 392V440C224 453.3 213.3 464 200 464H152C138.7 464 128 453.3 128 440H80C49.07 440 24 414.9 24 384V144C10.75 144 0 133.3 0 120V72C0 58.75 10.75 48 24 48H72zM160 96C160 78.33 174.3 64 192 64H480C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128H192C174.3 128 160 113.7 160 96zM288 256C288 238.3 302.3 224 320 224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H320C302.3 288 288 273.7 288 256zM288 416C288 398.3 302.3 384 320 384H480C497.7 384 512 398.3 512 416C512 433.7 497.7 448 480 448H320C302.3 448 288 433.7 288 416z"],
    "list-ul": [512, 512, ["list-dots"], "f0ca", "M16 96C16 69.49 37.49 48 64 48C90.51 48 112 69.49 112 96C112 122.5 90.51 144 64 144C37.49 144 16 122.5 16 96zM480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128H192C174.3 128 160 113.7 160 96C160 78.33 174.3 64 192 64H480zM480 224C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H192C174.3 288 160 273.7 160 256C160 238.3 174.3 224 192 224H480zM480 384C497.7 384 512 398.3 512 416C512 433.7 497.7 448 480 448H192C174.3 448 160 433.7 160 416C160 398.3 174.3 384 192 384H480zM16 416C16 389.5 37.49 368 64 368C90.51 368 112 389.5 112 416C112 442.5 90.51 464 64 464C37.49 464 16 442.5 16 416zM112 256C112 282.5 90.51 304 64 304C37.49 304 16 282.5 16 256C16 229.5 37.49 208 64 208C90.51 208 112 229.5 112 256z"],
    "litecoin-sign": [384, 512, [], "e1d3", "M128 195.3L247.2 161.2C264.2 156.4 281.9 166.2 286.8 183.2C291.6 200.2 281.8 217.9 264.8 222.8L128 261.9V416H352C369.7 416 384 430.3 384 448C384 465.7 369.7 480 352 480H96C78.33 480 64 465.7 64 448V280.1L40.79 286.8C23.8 291.6 6.087 281.8 1.232 264.8C-3.623 247.8 6.216 230.1 23.21 225.2L64 213.6V64C64 46.33 78.33 32 96 32C113.7 32 128 46.33 128 64V195.3z"],
    "loader": [576, 512, [], "e1d4", "M320 96C320 113.7 305.7 128 288 128C270.3 128 256 113.7 256 96V32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32V96zM320 480C320 497.7 305.7 512 288 512C270.3 512 256 497.7 256 480V416C256 398.3 270.3 384 288 384C305.7 384 320 398.3 320 416V480zM32 256C32 238.3 46.33 224 64 224H128C145.7 224 160 238.3 160 256C160 273.7 145.7 288 128 288H64C46.33 288 32 273.7 32 256zM512 224C529.7 224 544 238.3 544 256C544 273.7 529.7 288 512 288H448C430.3 288 416 273.7 416 256C416 238.3 430.3 224 448 224H512zM106.1 74.98C119.5 62.49 139.7 62.49 152.2 74.98L197.5 120.2C209.1 132.7 209.1 152.1 197.5 165.5C184.1 177.1 164.7 177.1 152.2 165.5L106.1 120.2C94.48 107.7 94.48 87.48 106.1 74.98zM469 391.8C481.5 404.3 481.5 424.5 469 437C456.5 449.5 436.3 449.5 423.8 437L378.5 391.8C366 379.3 366 359 378.5 346.5C391 334 411.3 334 423.8 346.5L469 391.8zM106.1 437C94.48 424.5 94.48 404.3 106.1 391.8L152.2 346.5C164.7 334 184.1 334 197.5 346.5C209.1 359 209.1 379.3 197.5 391.8L152.2 437C139.7 449.5 119.5 449.5 106.1 437zM423.8 74.98C436.3 62.48 456.5 62.48 469 74.98C481.5 87.47 481.5 107.7 469 120.2L423.8 165.5C411.3 177.1 391 177.1 378.5 165.5C366 152.1 366 132.7 378.5 120.2L423.8 74.98z"],
    "lobster": [512, 512, [129438], "e421", "M512 80V128c0 36.37-30.43 65.24-67.18 63.51l-46.54 32.58C383.4 234.5 366 240 347.8 240H320V256h48.91c7.406 0 14.81-1.75 21.44-5.062l34.5-17.25c7.938-3.922 17.5-.7656 21.47 7.156c3.938 7.906 .75 17.52-7.156 21.47l-34.5 17.25C393.6 285.1 381.3 288 368.9 288H320v16h69.63c5.156 0 10.25-.8281 15.16-2.469l38.16-12.7c8.344-2.75 17.44 1.719 20.25 10.11c2.781 8.391-1.75 17.45-10.12 20.23l-38.16 12.72C406.7 334.6 398.2 336 389.6 336H320V352h16.91c12.34 0 24.72 2.922 35.75 8.438l18.5 9.25c7.906 3.953 11.09 13.56 7.156 21.47C395.5 396.8 389.8 400 384 400c-2.406 0-4.844-.5469-7.156-1.688l-18.5-9.25C351.7 385.8 344.3 384 336.9 384h-18.19c-.8242 5.008-2.029 9.951-3.639 14.78l-16.75 50.26C328.7 454 352 480.2 352 512H160c0-31.81 23.27-58 53.68-62.96L196.9 398.8C195.3 393.1 194.1 389 193.3 384H175.1c-7.406 0-14.81 1.75-21.44 5.062l-18.5 9.25C132.8 399.5 130.4 400 128 400c-5.844 0-11.5-3.234-14.31-8.844c-3.938-7.906-.75-17.52 7.156-21.47l18.5-9.25C150.4 354.9 162.8 352 175.1 352H192v-16H122.4c-8.594 0-17.09-1.375-25.28-4.094L58.94 319.2C50.56 316.4 46.03 307.3 48.81 298.9c2.812-8.391 11.91-12.84 20.25-10.11l38.16 12.72C112.1 303.2 117.2 304 122.4 304H192V288H143.1C130.8 288 118.4 285.1 107.3 279.6l-34.5-17.25C64.94 258.4 61.75 248.8 65.69 240.8c3.969-7.922 13.59-11.05 21.47-7.156l34.5 17.25C128.3 254.3 135.7 256 143.1 256H192V240H164.2C146 240 128.6 234.5 113.7 224.1L67.17 191.5C30.42 193.2 0 164.4 0 128V80C0 35.82 35.82 0 80 0v96L128 32v92.57C128 139.7 122.1 154.3 114.4 166l26.81 18.78C147.1 189.5 155.9 192 164.2 192h34.09C200.9 184.8 204.2 178.3 208 172.3V80c0-17.64-14.34-32-32-32C167.2 48 160 40.84 160 32s7.156-16 16-16c35.28 0 64 28.7 64 64v58.39C249 131.7 256 128 256 128s6.951 3.707 16 10.39V80c0-35.3 28.72-64 64-64C344.8 16 352 23.16 352 32s-7.156 16-16 16c-17.66 0-32 14.36-32 32v92.34C307.8 178.3 311.1 184.8 313.7 192h34.09c8.281 0 16.22-2.5 22.94-7.219l26.84-18.78C389 154.3 384 139.7 384 124.6V32l48 64V0C476.2 0 512 35.82 512 80z"],
    "location-arrow": [448, 512, [], "f124", "M285.6 444.1C279.8 458.3 264.8 466.3 249.8 463.4C234.8 460.4 223.1 447.3 223.1 432V256H47.1C32.71 256 19.55 245.2 16.6 230.2C13.65 215.2 21.73 200.2 35.88 194.4L387.9 50.38C399.8 45.5 413.5 48.26 422.6 57.37C431.7 66.49 434.5 80.19 429.6 92.12L285.6 444.1z"],
    "location-check": [384, 512, ["map-marker-check"], "f606", "M168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2H168.3zM288.1 160.1C298.3 151.6 298.3 136.4 288.1 127C279.6 117.7 264.4 117.7 255 127L160 222.1L120.1 183C111.6 173.7 96.4 173.7 87.03 183C77.66 192.4 77.66 207.6 87.03 216.1L143 272.1C152.4 282.3 167.6 282.3 176.1 272.1L288.1 160.1z"],
    "location-crosshairs": [512, 512, ["location"], "f601", "M176 256C176 211.8 211.8 176 256 176C300.2 176 336 211.8 336 256C336 300.2 300.2 336 256 336C211.8 336 176 300.2 176 256zM256 0C273.7 0 288 14.33 288 32V66.65C368.4 80.14 431.9 143.6 445.3 224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H445.3C431.9 368.4 368.4 431.9 288 445.3V480C288 497.7 273.7 512 256 512C238.3 512 224 497.7 224 480V445.3C143.6 431.9 80.14 368.4 66.65 288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H66.65C80.14 143.6 143.6 80.14 224 66.65V32C224 14.33 238.3 0 256 0zM128 256C128 326.7 185.3 384 256 384C326.7 384 384 326.7 384 256C384 185.3 326.7 128 256 128C185.3 128 128 185.3 128 256z"],
    "location-crosshairs-slash": [640, 512, ["location-slash"], "f603", "M184.9 119.6C212.4 92.34 248.1 73.35 288 66.66V32C288 14.33 302.3 .001 320 .001C337.7 .001 352 14.33 352 32V66.66C432.4 80.14 495.9 143.6 509.3 224H544C561.7 224 576 238.3 576 256C576 273.7 561.7 288 544 288H509.3C505.3 312 496.8 334.5 484.8 354.6L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L184.9 119.6zM235.8 159.5L274.7 190C287.6 181.2 303.2 176 320 176C364.2 176 400 211.8 400 256C400 265.9 398.2 275.4 394.9 284.2L433.8 314.7C442.9 297.1 448 277.2 448 256C448 185.3 390.7 128 320 128C287.8 128 258.3 139.9 235.8 159.5V159.5zM352 445.3V480C352 497.7 337.7 512 320 512C302.3 512 288 497.7 288 480V445.3C207.6 431.9 144.1 368.4 130.7 288H96C78.33 288 64 273.7 64 256C64 238.3 78.33 224 96 224H130.7C131.9 216.8 133.5 209.7 135.5 202.7L192.3 247.5C192.1 250.3 192 253.1 192 256C192 326.7 249.3 384 320 384C333.3 384 346.1 381.1 358.2 378.2L414.9 422.9C395.8 433.8 374.6 441.6 352 445.3z"],
    "location-dot": [384, 512, ["map-marker-alt"], "f3c5", "M168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2H168.3zM192 256C227.3 256 256 227.3 256 192C256 156.7 227.3 128 192 128C156.7 128 128 156.7 128 192C128 227.3 156.7 256 192 256z"],
    "location-dot-slash": [640, 512, ["map-marker-alt-slash"], "f605", "M154 95.42C187.3 38.35 249.2 0 320 0C426 0 512 85.96 512 192C512 230.7 489 282.8 459 334.5L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L154 95.42zM257.8 176.8L349.6 248.7C370.1 238 384 216.7 384 192C384 156.7 355.3 128 320 128C289.9 128 264.7 148.8 257.8 176.8zM296.3 499.2C245.9 436.2 132.3 285.2 128.1 196.9L406.2 416.1C382.7 449.5 359.9 478.9 343.7 499.2C331.4 514.5 308.6 514.5 296.3 499.2V499.2z"],
    "location-exclamation": [384, 512, ["map-marker-exclamation"], "f608", "M168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2H168.3zM168 120V232C168 245.3 178.7 256 192 256C205.3 256 216 245.3 216 232V120C216 106.7 205.3 96 192 96C178.7 96 168 106.7 168 120zM192 288C174.3 288 160 302.3 160 320C160 337.7 174.3 352 192 352C209.7 352 224 337.7 224 320C224 302.3 209.7 288 192 288z"],
    "location-minus": [384, 512, ["map-marker-minus"], "f609", "M168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2H168.3zM120 168C106.7 168 96 178.7 96 192C96 205.3 106.7 216 120 216H264C277.3 216 288 205.3 288 192C288 178.7 277.3 168 264 168H120z"],
    "location-pen": [384, 512, ["map-marker-edit"], "f607", "M168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2H168.3zM276.8 107C262.1 92.31 238.2 92.31 223.5 107L208.6 121.1L261.9 175.3L276.8 160.4C291.5 145.6 291.5 121.8 276.8 107V107zM105.6 231.4L96.48 268C95.12 273.5 96.71 279.3 100.7 283.2C104.7 287.2 110.4 288.8 115.9 287.4L152.5 278.3C158.1 276.9 163.3 273.1 167.4 269.9L239.3 197.9L185.1 144.6L114.1 216.5C109.1 220.6 107 225.8 105.6 231.4H105.6z"],
    "location-pin": [384, 512, ["map-marker"], "f041", "M384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192H384z"],
    "location-pin-lock": [512, 512, [], "e51f", "M168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C287.7 0 366.1 69.96 381.6 161.5C328.5 170.3 288 216.4 288 272V296.6C268.9 307.6 256 328.3 256 352V446.8C240.7 467.4 226.7 485.4 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2H168.3zM192 256C227.3 256 256 227.3 256 192C256 156.7 227.3 128 192 128C156.7 128 128 156.7 128 192C128 227.3 156.7 256 192 256zM400 192C444.2 192 480 227.8 480 272V320C497.7 320 512 334.3 512 352V480C512 497.7 497.7 512 480 512H320C302.3 512 288 497.7 288 480V352C288 334.3 302.3 320 320 320V272C320 227.8 355.8 192 400 192zM400 240C382.3 240 368 254.3 368 272V320H432V272C432 254.3 417.7 240 400 240z"],
    "location-pin-slash": [640, 512, ["map-marker-slash"], "f60c", "M154 95.42C187.3 38.35 249.2 0 320 0C426 0 512 85.96 512 192C512 230.7 489 282.8 459 334.5L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L154 95.42zM296.3 499.2C245.9 436.2 132.3 285.2 128.1 196.9L406.2 416.1C382.7 449.5 359.9 478.9 343.7 499.2C331.4 514.5 308.6 514.5 296.3 499.2V499.2z"],
    "location-plus": [384, 512, ["map-marker-plus"], "f60a", "M168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2H168.3zM168 120V168H120C106.7 168 96 178.7 96 192C96 205.3 106.7 216 120 216H168V264C168 277.3 178.7 288 192 288C205.3 288 216 277.3 216 264V216H264C277.3 216 288 205.3 288 192C288 178.7 277.3 168 264 168H216V120C216 106.7 205.3 96 192 96C178.7 96 168 106.7 168 120z"],
    "location-question": [384, 512, ["map-marker-question"], "f60b", "M168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2H168.3zM105.4 134.5C100.9 147 107.5 160.7 119.1 165.2C132.5 169.6 146.2 163.1 150.6 150.6L151.1 149.3C152.2 146.1 155.2 144 158.6 144H216.9C225.2 144 232 150.8 232 159.1C232 164.6 229.1 169.6 224.4 172.3L180.1 197.7C172.6 202 168 209.9 168 218.5V232C168 245.3 178.7 256 192 256C205.1 256 215.8 245.5 215.1 232.4L248.3 213.9C267.9 202.7 280 181.8 280 159.1C280 124.3 251.7 96 216.9 96H158.6C134.9 96 113.8 110.9 105.8 133.3L105.4 134.5zM192 288C174.3 288 160 302.3 160 320C160 337.7 174.3 352 192 352C209.7 352 224 337.7 224 320C224 302.3 209.7 288 192 288z"],
    "location-smile": [384, 512, ["map-marker-smile"], "f60d", "M168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2H168.3zM128 192C145.7 192 160 177.7 160 160C160 142.3 145.7 128 128 128C110.3 128 96 142.3 96 160C96 177.7 110.3 192 128 192zM256 128C238.3 128 224 142.3 224 160C224 177.7 238.3 192 256 192C273.7 192 288 177.7 288 160C288 142.3 273.7 128 256 128zM128.6 244.9C122.5 235.7 110.1 233.2 100.9 239.4C91.72 245.5 89.23 257.9 95.36 267.1C106.9 284.4 140.9 316 192 316C243.1 316 277.1 284.4 288.6 267.1C294.8 257.9 292.3 245.5 283.1 239.4C273.9 233.2 261.5 235.7 255.4 244.9C249.1 254.3 226.3 276 192 276C157.7 276 134.9 254.3 128.6 244.9z"],
    "location-xmark": [384, 512, ["map-marker-times", "map-marker-xmark"], "f60e", "M168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2H168.3zM116.1 150.1L158.1 191.1L116.1 233.9C106.7 243.3 106.7 258.5 116.1 267.9C125.5 277.3 140.7 277.3 150.1 267.9L191.1 225.9L233.9 267.9C243.3 277.3 258.5 277.3 267.9 267.9C277.3 258.5 277.3 243.3 267.9 233.9L225.9 191.1L267.9 150.1C277.3 140.7 277.3 125.5 267.9 116.1C258.5 106.7 243.3 106.7 233.9 116.1L191.1 158.1L150.1 116.1C140.7 106.7 125.5 106.7 116.1 116.1C106.7 125.5 106.7 140.7 116.1 150.1z"],
    "lock": [448, 512, [128274], "f023", "M80 192V144C80 64.47 144.5 0 224 0C303.5 0 368 64.47 368 144V192H384C419.3 192 448 220.7 448 256V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V256C0 220.7 28.65 192 64 192H80zM144 192H304V144C304 99.82 268.2 64 224 64C179.8 64 144 99.82 144 144V192z"],
    "lock-a": [448, 512, [], "e422", "M224 307.8L254.1 368H193.9L224 307.8zM224 0C303.5 0 368 64.47 368 144V192H384C419.3 192 448 220.7 448 256V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V256C0 220.7 28.65 192 64 192H80V144C80 64.47 144.5 0 224 0zM224 64C179.8 64 144 99.82 144 144V192H304V144C304 99.82 268.2 64 224 64zM136.8 446.3C144.7 450.3 154.4 447.1 158.3 439.2L177.9 400H270.1L289.7 439.2C293.6 447.1 303.3 450.3 311.2 446.3C319.1 442.4 322.3 432.7 318.3 424.8L238.4 264.1C237.6 263.4 236.6 261.1 235.3 260.7C233.9 259.2 232.2 258.1 230.4 257.3C228.3 256.4 226.1 255.1 224 255.1C221.9 255.1 219.7 256.4 217.6 257.3C215.8 258.1 214.1 259.3 212.6 260.7C211.4 261.1 210.4 263.4 209.6 264.1L129.7 424.8C125.7 432.7 128.9 442.4 136.8 446.3V446.3z"],
    "lock-hashtag": [448, 512, [], "e423", "M192 320H256V384H192V320zM80 192V144C80 64.47 144.5 0 224 0C303.5 0 368 64.47 368 144V192H384C419.3 192 448 220.7 448 256V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V256C0 220.7 28.65 192 64 192H80zM144 192H304V144C304 99.82 268.2 64 224 64C179.8 64 144 99.82 144 144V192zM160 256V288H128C119.2 288 112 295.2 112 304C112 312.8 119.2 320 128 320H160V384H128C119.2 384 112 391.2 112 400C112 408.8 119.2 416 128 416H160V448C160 456.8 167.2 464 176 464C184.8 464 192 456.8 192 448V416H256V448C256 456.8 263.2 464 272 464C280.8 464 288 456.8 288 448V416H320C328.8 416 336 408.8 336 400C336 391.2 328.8 384 320 384H288V320H320C328.8 320 336 312.8 336 304C336 295.2 328.8 288 320 288H288V256C288 247.2 280.8 240 272 240C263.2 240 256 247.2 256 256V288H192V256C192 247.2 184.8 240 176 240C167.2 240 160 247.2 160 256z"],
    "lock-keyhole": [448, 512, ["lock-alt"], "f30d", "M224 0C303.5 0 368 64.47 368 144V192H384C419.3 192 448 220.7 448 256V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V256C0 220.7 28.65 192 64 192H80V144C80 64.47 144.5 0 224 0zM224 64C179.8 64 144 99.82 144 144V192H304V144C304 99.82 268.2 64 224 64zM256 320C256 302.3 241.7 288 224 288C206.3 288 192 302.3 192 320V384C192 401.7 206.3 416 224 416C241.7 416 256 401.7 256 384V320z"],
    "lock-keyhole-open": [576, 512, ["lock-open-alt"], "f3c2", "M432 64C387.8 64 352 99.82 352 144V192H384C419.3 192 448 220.7 448 256V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V256C0 220.7 28.65 192 64 192H288V144C288 64.47 352.5 0 432 0C511.5 0 576 64.47 576 144V192C576 209.7 561.7 224 544 224C526.3 224 512 209.7 512 192V144C512 99.82 476.2 64 432 64zM256 384C273.7 384 288 369.7 288 352C288 334.3 273.7 320 256 320H192C174.3 320 160 334.3 160 352C160 369.7 174.3 384 192 384H256z"],
    "lock-open": [576, 512, [], "f3c1", "M352 192H384C419.3 192 448 220.7 448 256V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V256C0 220.7 28.65 192 64 192H288V144C288 64.47 352.5 0 432 0C511.5 0 576 64.47 576 144V192C576 209.7 561.7 224 544 224C526.3 224 512 209.7 512 192V144C512 99.82 476.2 64 432 64C387.8 64 352 99.82 352 144V192z"],
    "locust": [576, 512, [], "e520", "M328 32C464.1 32 576 143 576 280V320C576 320.1 576 320.2 576 320.3C575.8 364.3 540.1 400 496 400H483.6L508.8 444.1C515.4 455.6 511.4 470.3 499.9 476.8C488.4 483.4 473.7 479.4 467.2 467.9L428.4 400H347.1L299.7 469.7C292.2 480.6 277.2 483.3 266.3 475.7C255.4 468.2 252.7 453.2 260.3 442.3L289.6 400H215.1L163.3 470.2C155.5 480.9 140.4 483.2 129.8 475.3C119.1 467.5 116.8 452.4 124.7 441.8L165.2 386.7L122.2 370.4L42.84 470.9C34.62 481.3 19.53 483 9.13 474.8C-1.274 466.6-3.049 451.5 5.164 441.1L245.2 137.1C250.4 130.5 258.8 127.1 267.2 128.2C275.5 129.3 282.7 134.8 286.1 142.5L307.8 193.3L348.7 137.8C353.8 130.8 362.2 127.2 370.8 128.2C379.3 129.1 386.7 134.6 390.1 142.5L431.8 240H496C506.2 240 516 241.9 525 245.4C508.6 151.4 426.7 80 328 80H312C298.7 80 288 69.26 288 56C288 42.75 298.7 32 312 32L328 32zM332.1 240H379.6L362.5 199.1L332.1 240zM257.8 198.5L225.1 240H273.3L274.8 238.1L257.8 198.5zM496 336C504.8 336 512 328.8 512 320C512 311.2 504.8 304 496 304C487.2 304 480 311.2 480 320C480 328.8 487.2 336 496 336zM88.83 240H126.7L48.9 337.3C38.31 326.8 32 312.3 32 296.8C32 265.4 57.45 240 88.83 240V240z"],
    "lollipop": [512, 512, [127853, "lollypop"], "e424", "M511.6 479.9C511.5 488.3 508.2 496.3 502.2 502.2C496.3 508.2 488.3 511.5 479.9 511.6C471.5 511.7 463.4 508.5 457.4 502.6L303.1 348.3C263.7 376.3 215.3 388.5 167.3 382.5C119.4 376.5 75.51 352.6 44.32 315.8C13.13 278.9-3.062 231.6-1.047 183.4C.9676 135.1 21.04 89.36 55.2 55.2C89.35 21.05 135.1 .9719 183.4-1.043C231.6-3.058 278.9 13.13 315.8 44.33C352.6 75.52 376.5 119.4 382.5 167.4C388.5 215.3 376.3 263.7 348.3 303.1L502.6 457.4C508.5 463.4 511.7 471.5 511.6 479.9L511.6 479.9zM90.22 90.23C63.23 117.2 48.04 153.8 47.1 192C47.1 219.6 58.96 246 78.46 265.5C97.96 285 124.4 296 151.1 296C179.6 296 206 285 225.5 265.5C245 246 255.1 219.6 255.1 192C255.1 175 249.3 158.8 237.3 146.7C225.3 134.7 208.1 128 191.1 128C175 128 158.7 134.7 146.7 146.7C134.7 158.8 127.1 175 127.1 192C127.1 198.4 130.5 204.5 135 208.1C139.5 213.5 145.6 216 151.1 216C158.4 216 164.5 213.5 168.1 208.1C173.5 204.5 175.1 198.4 175.1 192C175.1 185.6 178.5 179.5 183 175C187.5 170.5 193.6 168 199.1 168C206.4 168 212.5 170.5 216.1 175C221.5 179.5 223.1 185.6 223.1 192C223.1 211.1 216.4 229.4 202.9 242.9C189.4 256.4 171.1 264 151.1 264C132.9 264 114.6 256.4 101.1 242.9C87.59 229.4 79.1 211.1 79.1 192C79.1 162.3 91.8 133.8 112.8 112.8C133.8 91.8 162.3 80 191.1 80C221.7 80 250.2 91.8 271.2 112.8C292.2 133.8 303.1 162.3 303.1 192C303.9 223.5 293.1 254.2 275.6 279.9C257.3 305.5 231.4 324.8 201.6 335C238.8 332.6 273.6 315.7 298.6 288.1C323.6 260.4 336.9 224.1 335.6 186.9C334.4 149.6 318.7 114.3 291.9 88.4C265.1 62.48 229.3 47.1 191.1 48C153.8 48.05 117.2 63.23 90.22 90.23V90.23z"],
    "loveseat": [512, 512, ["couch-small"], "f4cc", "M464 224C437.5 224 416 245.5 416 272V352H96V272C96 245.5 74.51 224 48 224S0 245.5 0 272v192C0 472.8 7.164 480 16 480h64C88.84 480 96 472.8 96 464V448h320v16c0 8.836 7.164 16 16 16h64c8.836 0 16-7.164 16-16v-192C512 245.5 490.5 224 464 224zM128 272V320h256V272c0-38.63 27.53-70.95 64-78.38V160c0-70.69-57.31-128-128-128H192C121.3 32 64 89.31 64 160v33.62C100.5 201.1 128 233.4 128 272z"],
    "luchador-mask": [448, 512, ["luchador", "mask-luchador"], "f455", "M262.8 320C255.9 305.3 244.3 286.6 224 266.8C203.8 286.6 192.1 305.3 185.3 320H262.8zM128 384c0 17.62 14.38 32 32 32h128c17.62 0 32-14.38 32-32s-14.38-32-32-32H160C142.4 352 128 366.4 128 384zM192 245.2C192 215.9 170.5 192 144 192H96v10.75C96 232.1 117.5 256 144 256H192V245.2zM256 245.2L256 256c.3125 .375 .1406 .1875 0 0H304C330.5 256 352 232.1 352 202.8V192h-48C277.5 192 256 215.9 256 245.2zM224 0C100.3 0 0 100.3 0 224v96c0 106 85.96 192 192 192h64c106 0 192-85.96 192-192V224C448 100.3 347.7 0 224 0zM384 202.8C384 249.8 348.3 288 304 288h-22.5c7.375 12.25 12.5 23.38 15.75 32.88c31 4.625 54.63 31 54.63 63.13c0 35.5-29.38 64-64.88 64H160.9C125.4 448 96 419.5 96 384c0-32.13 23.75-58.5 54.63-63.13C153.9 311.5 159 300.3 166.4 288H144C99.75 288 64 249.8 64 202.8V172C64 165.4 69.38 160 76 160l67.97 .0417c37.22 0 67.86 27.13 76.73 63.96h6.477c9-36.83 39.75-64 76.85-64H372C378.6 160 384 165.4 384 172V202.8z"],
    "lungs": [640, 512, [129729], "f604", "M640 419.8c0 61.25-62.5 105.5-125.3 88.63l-59.53-15.88c-42.12-11.38-71.25-47.5-71.25-88.63L384 316.4l85.88 57.25c3.625 2.375 8.625 1.375 11-2.25l8.875-13.37c2.5-3.625 1.5-8.625-2.125-11L320 235.3l-167.6 111.8c-1.75 1.125-3 3-3.375 5c-.375 2.125 0 4.25 1.25 6l8.875 13.37c1.125 1.75 3 3 5 3.375c2.125 .375 4.25 0 6-1.125L256 316.4l.0313 87.5c0 41.13-29.12 77.25-71.25 88.63l-59.53 15.88C62.5 525.3 0 481 0 419.8c0-10 1.25-19.88 3.875-29.63C25.5 308.9 59.91 231 105.9 159.1c22.12-34.63 36.12-63.13 80.12-63.13C224.7 96 256 125.4 256 161.8v60.1l32.88-21.97C293.4 196.9 296 192 296 186.6V16C296 7.125 303.1 0 312 0h16c8.875 0 16 7.125 16 16v170.6c0 5.375 2.625 10.25 7.125 13.25L384 221.8v-60.1c0-36.38 31.34-65.75 69.97-65.75c43.1 0 58 28.5 80.13 63.13c46 71.88 80.41 149.8 102 231C638.8 399.9 640 409.8 640 419.8z"],
    "lungs-virus": [640, 512, [], "e067", "M195.5 444.5c-18.71-18.72-18.71-49.16 .0033-67.87l8.576-8.576H192c-26.47 0-48-21.53-48-48c0-26.47 21.53-48 48-48l12.12-.0055L195.5 263.4c-18.71-18.72-18.71-49.16 0-67.88C204.6 186.5 216.7 181.5 229.5 181.5c9.576 0 18.72 2.799 26.52 7.986l.04-27.75c0-36.38-31.42-65.72-70.05-65.72c-44 0-57.97 28.5-80.09 63.13c-46 71.88-80.39 149.8-102 231C1.257 399.9 0 409.8 0 419.8c0 61.25 62.5 105.5 125.3 88.62l59.5-15.9c21.74-5.867 39.91-18.39 52.51-34.73c-2.553 .4141-5.137 .7591-7.774 .7591C216.7 458.5 204.6 453.5 195.5 444.5zM343.1 150.7L344 16C344 7.125 336.9 0 328 0h-16c-8.875 0-16 7.125-16 16L295.1 150.7c7.088-4.133 15.22-6.675 23.1-6.675S336.9 146.5 343.1 150.7zM421.8 421.8c6.25-6.25 6.25-16.37 0-22.62l-8.576-8.576c-20.16-20.16-5.881-54.63 22.63-54.63H448c8.844 0 16-7.156 16-16c0-8.844-7.156-16-16-16h-12.12c-28.51 0-42.79-34.47-22.63-54.63l8.576-8.577c6.25-6.25 6.25-16.37 0-22.62s-16.38-6.25-22.62 0l-8.576 8.577C370.5 246.9 336 232.6 336 204.1v-12.12c0-8.844-7.156-15.1-16-15.1s-16 7.156-16 15.1v12.12c0 28.51-34.47 42.79-54.63 22.63L240.8 218.2c-6.25-6.25-16.38-6.25-22.62 0s-6.25 16.37 0 22.62l8.576 8.577c20.16 20.16 5.881 54.63-22.63 54.63H192c-8.844 0-16 7.156-16 16c0 8.844 7.156 16 16 16h12.12c28.51 0 42.79 34.47 22.63 54.63l-8.576 8.576c-6.25 6.25-6.25 16.37 0 22.62c3.125 3.125 7.219 4.688 11.31 4.688s8.188-1.562 11.31-4.688l8.576-8.575C269.5 393.1 304 407.4 304 435.9v12.12c0 8.844 7.156 16 16 16s16-7.156 16-16v-12.12c0-28.51 34.47-42.79 54.63-22.63l8.576 8.575c3.125 3.125 7.219 4.688 11.31 4.688S418.7 424.9 421.8 421.8zM288 303.1c-8.836 0-16-7.162-16-15.1S279.2 271.1 288 271.1S304 279.2 304 287.1S296.8 303.1 288 303.1zM352 367.1c-8.836 0-16-7.166-16-16s7.164-15.1 16-15.1s16 7.166 16 16S360.8 367.1 352 367.1zM636.1 390.1c-21.62-81.25-56.02-159.1-102-231c-22.12-34.63-36.09-63.13-80.09-63.13c-38.62 0-70.01 29.35-70.01 65.73v27.74c7.795-5.188 16.94-7.986 26.52-7.986c12.82 0 24.88 4.999 33.95 14.07c18.71 18.72 18.71 49.16 0 67.88l-8.576 8.571L448 272c26.47 0 48 21.54 48 48c0 26.47-21.53 48-48 48h-12.12l8.576 8.576c18.71 18.72 18.71 49.16-.0072 67.87c-9.066 9.066-21.12 14.06-33.94 14.06c-2.637 0-5.211-.3438-7.764-.7578c12.6 16.34 30.77 28.86 52.51 34.73l59.5 15.9C577.5 525.3 640 481 640 419.8C640 409.8 638.7 399.9 636.1 390.1z"],
    "m": [448, 512, [109], "4d", "M448 64.01v384c0 17.67-14.31 32-32 32s-32-14.33-32-32V169.7l-133.4 200.1c-11.88 17.81-41.38 17.81-53.25 0L64 169.7v278.3c0 17.67-14.31 32-32 32s-32-14.33-32-32v-384c0-14.09 9.219-26.55 22.72-30.63c13.47-4.156 28.09 1.141 35.91 12.88L224 294.3l165.4-248.1c7.812-11.73 22.47-17.03 35.91-12.88C438.8 37.47 448 49.92 448 64.01z"],
    "mace": [512, 512, [], "f6f8", "M500.1 209.9l-80.75-25.77c-13.59-44.95-49.13-79.63-94.35-92.29l-27.32-80.21c-5.248-15.61-18.71-15.48-23.69 .2695L248.4 92.64c-44.95 13.59-79.95 49.13-92.6 94.48L75.63 214.3c-15.61 5.246-15.48 18.7 .2676 23.68l80.75 25.57c3.445 11.39 8.324 22.13 14.39 32.04l-161.7 161.6c-12.48 12.48-12.48 32.94 0 45.42c12.5 12.49 32.76 12.49 45.25-.0118l161.7-161.9c10.69 6.57 22.3 11.98 34.71 15.45l27.32 80.21c5.25 15.61 18.71 15.41 23.69-.3408l25.57-80.53c44.95-13.59 79.95-49.29 92.6-94.51l80.08-27.37C516 228.4 515.9 214.9 500.1 209.9zM288 256c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S305.6 256 288 256z"],
    "magnet": [448, 512, [129522], "f076", "M128 160V256C128 309 170.1 352 224 352C277 352 320 309 320 256V160H448V256C448 379.7 347.7 480 224 480C100.3 480 0 379.7 0 256V160H128zM0 64C0 46.33 14.33 32 32 32H96C113.7 32 128 46.33 128 64V128H0V64zM320 64C320 46.33 334.3 32 352 32H416C433.7 32 448 46.33 448 64V128H320V64z"],
    "magnifying-glass": [512, 512, [128269, "search"], "f002", "M500.3 443.7l-119.7-119.7c27.22-40.41 40.65-90.9 33.46-144.7C401.8 87.79 326.8 13.32 235.2 1.723C99.01-15.51-15.51 99.01 1.724 235.2c11.6 91.64 86.08 166.7 177.6 178.9c53.8 7.189 104.3-6.236 144.7-33.46l119.7 119.7c15.62 15.62 40.95 15.62 56.57 0C515.9 484.7 515.9 459.3 500.3 443.7zM79.1 208c0-70.58 57.42-128 128-128s128 57.42 128 128c0 70.58-57.42 128-128 128S79.1 278.6 79.1 208z"],
    "magnifying-glass-arrow-right": [512, 512, [], "e521", "M416 208C416 253.9 401.1 296.3 375.1 330.7L502.6 457.4C515.1 469.9 515.1 490.1 502.6 502.6C490.1 515.1 469.9 515.1 457.4 502.6L330.7 375.1C296.3 401.1 253.9 416 208 416C93.12 416 0 322.9 0 208C0 93.12 93.12 0 208 0C322.9 0 416 93.12 416 208zM240.1 119C231.6 109.7 216.4 109.7 207 119C197.7 128.4 197.7 143.6 207 152.1L238.1 184H120C106.7 184 96 194.7 96 208C96 221.3 106.7 232 120 232H238.1L207 263C197.7 272.4 197.7 287.6 207 296.1C216.4 306.3 231.6 306.3 240.1 296.1L312.1 224.1C322.3 215.6 322.3 200.4 312.1 191L240.1 119z"],
    "magnifying-glass-chart": [512, 512, [], "e522", "M416 208C416 253.9 401.1 296.3 375.1 330.7L502.6 457.4C515.1 469.9 515.1 490.1 502.6 502.6C490.1 515.1 469.9 515.1 457.4 502.6L330.7 375.1C296.3 401.1 253.9 416 208 416C93.12 416 0 322.9 0 208C0 93.12 93.12 0 208 0C322.9 0 416 93.12 416 208zM104 280C104 293.3 114.7 304 128 304C141.3 304 152 293.3 152 280V216C152 202.7 141.3 192 128 192C114.7 192 104 202.7 104 216V280zM184 280C184 293.3 194.7 304 208 304C221.3 304 232 293.3 232 280V120C232 106.7 221.3 96 208 96C194.7 96 184 106.7 184 120V280zM264 280C264 293.3 274.7 304 288 304C301.3 304 312 293.3 312 280V184C312 170.7 301.3 160 288 160C274.7 160 264 170.7 264 184V280z"],
    "magnifying-glass-dollar": [512, 512, ["search-dollar"], "f688", "M500.3 443.7l-119.7-119.7c27.22-40.41 40.65-90.9 33.46-144.7c-12.23-91.55-87.28-166-178.9-177.6c-136.2-17.24-250.7 97.28-233.4 233.4c11.6 91.64 86.07 166.7 177.6 178.9c53.81 7.191 104.3-6.235 144.7-33.46l119.7 119.7c15.62 15.62 40.95 15.62 56.57 .0004C515.9 484.7 515.9 459.3 500.3 443.7zM273.7 253.8C269.8 276.4 252.6 291.3 228 296.1V304c0 11.03-8.953 20-20 20S188 315 188 304V295.2C178.2 293.2 168.4 289.9 159.6 286.8L154.8 285.1C144.4 281.4 138.9 269.9 142.6 259.5C146.2 249.1 157.6 243.7 168.1 247.3l5.062 1.812c8.562 3.094 18.25 6.562 25.91 7.719c16.23 2.5 33.47-.0313 35.17-9.812c1.219-7.094 .4062-10.62-31.8-19.84L196.2 225.4C177.8 219.1 134.5 207.3 142.3 162.2C146.2 139.6 163.5 124.8 188 120V112c0-11.03 8.953-20 20-20S228 100.1 228 112v8.695c6.252 1.273 13.06 3.07 21.47 5.992c10.42 3.625 15.95 15.03 12.33 25.47C258.2 162.6 246.8 168.1 236.3 164.5C228.2 161.7 221.8 159.9 216.8 159.2c-16.11-2.594-33.38 .0313-35.08 9.812c-1 5.812-1.719 10 25.7 18.03l6 1.719C238.9 196 281.5 208.2 273.7 253.8z"],
    "magnifying-glass-location": [512, 512, ["search-location"], "f689", "M236 176c0 15.46-12.54 28-28 28S180 191.5 180 176S192.5 148 208 148S236 160.5 236 176zM500.3 500.3c-15.62 15.62-40.95 15.62-56.57 0l-119.7-119.7c-40.41 27.22-90.9 40.65-144.7 33.46c-91.55-12.23-166-87.28-177.6-178.9c-17.24-136.2 97.29-250.7 233.4-233.4c91.64 11.6 166.7 86.07 178.9 177.6c7.19 53.8-6.236 104.3-33.46 144.7l119.7 119.7C515.9 459.3 515.9 484.7 500.3 500.3zM294.1 182.2C294.1 134.5 255.6 96 207.1 96C160.4 96 121.9 134.5 121.9 182.2c0 38.35 56.29 108.5 77.87 134C201.8 318.5 204.7 320 207.1 320c3.207 0 6.26-1.459 8.303-3.791C237.8 290.7 294.1 220.5 294.1 182.2z"],
    "magnifying-glass-minus": [512, 512, ["search-minus"], "f010", "M500.3 443.7l-119.7-119.7c27.22-40.41 40.65-90.9 33.46-144.7c-12.23-91.55-87.28-166-178.9-177.6c-136.2-17.24-250.7 97.28-233.4 233.4c11.6 91.64 86.07 166.7 177.6 178.9c53.81 7.191 104.3-6.235 144.7-33.46l119.7 119.7c15.62 15.62 40.95 15.62 56.57 .0003C515.9 484.7 515.9 459.3 500.3 443.7zM288 232H127.1C114.7 232 104 221.3 104 208s10.74-24 23.1-24h160C301.3 184 312 194.7 312 208S301.3 232 288 232z"],
    "magnifying-glass-plus": [512, 512, ["search-plus"], "f00e", "M500.3 443.7l-119.7-119.7c27.22-40.41 40.65-90.9 33.46-144.7c-12.23-91.55-87.28-166-178.9-177.6c-136.2-17.24-250.7 97.28-233.4 233.4c11.6 91.64 86.07 166.7 177.6 178.9c53.81 7.191 104.3-6.235 144.7-33.46l119.7 119.7c15.62 15.62 40.95 15.62 56.57 .0003C515.9 484.7 515.9 459.3 500.3 443.7zM288 232H231.1V288c0 13.26-10.74 24-23.1 24C194.7 312 184 301.3 184 288V232H127.1C114.7 232 104 221.3 104 208s10.74-24 23.1-24H184V128c0-13.26 10.74-24 23.1-24S231.1 114.7 231.1 128v56h56C301.3 184 312 194.7 312 208S301.3 232 288 232z"],
    "mailbox": [576, 512, [128234], "f813", "M432 64L244.9 64C290.3 95.88 320 148.5 320 208V448l224-.0003c17.62 0 32-14.37 32-31.1V208C576 128.5 511.5 64 432 64zM512 271.1c0 8.836-7.162 15.1-16 15.1l-32 0c-8.836 0-16-7.164-16-15.1V224l-48 0c-8.799 0-16-7.199-16-15.1s7.201-15.1 16-15.1l96 0c8.838 0 16 7.164 16 15.1V271.1zM144 64C64.5 64 0 128.5 0 208v207.1c0 17.62 14.38 31.1 32 31.1L288 448V208C288 128.5 223.5 64 144 64zM208 224h-128c-8.836 0-16-7.164-16-15.1s7.164-15.1 16-15.1h128c8.838 0 16 7.164 16 15.1S216.8 224 208 224z"],
    "manat-sign": [384, 512, [], "e1d5", "M224 64V98.65C314.8 113.9 384 192.9 384 288V448C384 465.7 369.7 480 352 480C334.3 480 320 465.7 320 448V288C320 228.4 279.2 178.2 224 164V448C224 465.7 209.7 480 192 480C174.3 480 160 465.7 160 448V164C104.8 178.2 64 228.4 64 288V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V288C0 192.9 69.19 113.9 160 98.65V64C160 46.33 174.3 32 192 32C209.7 32 224 46.33 224 64z"],
    "mandolin": [512, 512, [], "f6f9", "M507.3 50.66l-46-46c-5.25-5.249-13.38-6.126-19.76-2.252l-64 40.11c-7 4.374-12 11.12-14 19.12l-14.5 56.1L274.5 192.2C90.38 190.6 46.01 240.1 30.76 256.2c-46.88 46.87-39.5 150.4 17.5 207.5c57.13 57.12 160.6 64.37 207.5 17.5c15.25-15.25 65.64-59.64 64.01-243.7l74.5-74.49l56.12-14.49c7.875-1.1 14.75-7.125 19.12-13.1l40.01-63.99C513.5 64.15 512.6 56.03 507.3 50.66zM208 351.1c-26.5 0-48-21.5-48-47.99c0-26.5 21.5-47.99 48-47.99c26.5 0 48 21.5 48 47.99C256 330.5 234.5 351.1 208 351.1z"],
    "mango": [512, 512, [], "e30f", "M509.4 253.1C497.8 176.4 440.4 120.1 368 102.4V63.56C385.5 83.31 411.5 96 443 96h51.05c11.19 0 19.79-9.357 17.55-19.28C501.8 32.94 458.1 0 407.7 0H344C330.8 0 320 10.75 320 24l-.0752 72.01c-.0723 0 .0723 0 0 0c-171.5 .1602-208.7 177.9-301.7 268.4C6.512 375.8 0 391.5 0 407.9c0 25.1 15.28 47.62 38.73 56.57C88.42 483.4 181.1 512 287.1 512C423.2 512 530.4 392.3 509.4 253.1zM304 432c-8.844 0-16-7.156-16-16s7.156-16 16-16c52.94 0 96-43.06 96-96C400 295.2 407.2 288 416 288s16 7.156 16 16C432 374.6 374.6 432 304 432z"],
    "manhole": [512, 512, [], "e1d6", "M287.4 99.17C285.7 115.3 272.5 128 256 128S226.3 115.3 224.6 99.17C151.4 113.8 96 178.5 96 256s55.39 142.2 128.6 156.8C226.3 396.7 239.5 384 256 384s29.69 12.72 31.36 28.83C360.6 398.2 416 333.5 416 256S360.6 113.8 287.4 99.17zM208 336h-32v-32h32V336zM208 272h-32v-32h32V272zM208 208h-32v-32h32V208zM272 336h-32v-32h32V336zM272 272h-32v-32h32V272zM272 208h-32v-32h32V208zM336 336h-32v-32h32V336zM336 272h-32v-32h32V272zM336 208h-32v-32h32V208zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 448c-106 0-192-85.96-192-192s85.96-192 192-192s192 85.96 192 192S362 448 256 448z"],
    "map": [576, 512, [62072, 128506], "f279", "M384 476.1L192 421.2V35.93L384 90.79V476.1zM416 88.37L543.1 37.53C558.9 31.23 576 42.84 576 59.82V394.6C576 404.4 570 413.2 560.9 416.9L416 474.8V88.37zM15.09 95.13L160 37.17V423.6L32.91 474.5C17.15 480.8 0 469.2 0 452.2V117.4C0 107.6 5.975 98.78 15.09 95.13V95.13z"],
    "map-location": [576, 512, ["map-marked"], "f59f", "M273.2 311.1C241.1 271.9 167.1 174.6 167.1 120C167.1 53.73 221.7 0 287.1 0C354.3 0 408 53.73 408 120C408 174.6 334.9 271.9 302.8 311.1C295.1 321.6 280.9 321.6 273.2 311.1V311.1zM416 503V200.4C419.5 193.5 422.7 186.7 425.6 179.8C426.1 178.6 426.6 177.4 427.1 176.1L543.1 129.7C558.9 123.4 576 135 576 152V422.8C576 432.6 570 441.4 560.9 445.1L416 503zM15.09 187.3L137.6 138.3C140 152.5 144.9 166.6 150.4 179.8C153.3 186.7 156.5 193.5 160 200.4V451.8L32.91 502.7C17.15 508.1 0 497.4 0 480.4V209.6C0 199.8 5.975 190.1 15.09 187.3H15.09zM384 504.3L191.1 449.4V255C212.5 286.3 234.3 314.6 248.2 331.1C268.7 357.6 307.3 357.6 327.8 331.1C341.7 314.6 363.5 286.3 384 255L384 504.3z"],
    "map-location-dot": [576, 512, ["map-marked-alt"], "f5a0", "M408 120C408 174.6 334.9 271.9 302.8 311.1C295.1 321.6 280.9 321.6 273.2 311.1C241.1 271.9 168 174.6 168 120C168 53.73 221.7 0 288 0C354.3 0 408 53.73 408 120zM288 152C310.1 152 328 134.1 328 112C328 89.91 310.1 72 288 72C265.9 72 248 89.91 248 112C248 134.1 265.9 152 288 152zM425.6 179.8C426.1 178.6 426.6 177.4 427.1 176.1L543.1 129.7C558.9 123.4 576 135 576 152V422.8C576 432.6 570 441.4 560.9 445.1L416 503V200.4C419.5 193.5 422.7 186.7 425.6 179.8zM150.4 179.8C153.3 186.7 156.5 193.5 160 200.4V451.8L32.91 502.7C17.15 508.1 0 497.4 0 480.4V209.6C0 199.8 5.975 190.1 15.09 187.3L137.6 138.3C140 152.5 144.9 166.6 150.4 179.8H150.4zM327.8 331.1C341.7 314.6 363.5 286.3 384 255V504.3L192 449.4V255C212.5 286.3 234.3 314.6 248.2 331.1C268.7 357.6 307.3 357.6 327.8 331.1L327.8 331.1z"],
    "map-pin": [320, 512, [128205], "f276", "M320 144C320 223.5 255.5 288 176 288C96.47 288 32 223.5 32 144C32 64.47 96.47 0 176 0C255.5 0 320 64.47 320 144zM192 64C192 55.16 184.8 48 176 48C122.1 48 80 90.98 80 144C80 152.8 87.16 160 96 160C104.8 160 112 152.8 112 144C112 108.7 140.7 80 176 80C184.8 80 192 72.84 192 64zM144 480V317.1C154.4 319 165.1 319.1 176 319.1C186.9 319.1 197.6 319 208 317.1V480C208 497.7 193.7 512 176 512C158.3 512 144 497.7 144 480z"],
    "marker": [512, 512, [], "f5a1", "M480.1 160.1L316.3 325.7L186.3 195.7L302.1 80L288.1 66.91C279.6 57.54 264.4 57.54 255 66.91L168.1 152.1C159.6 162.3 144.4 162.3 135 152.1C125.7 143.6 125.7 128.4 135 119L221.1 32.97C249.2 4.853 294.8 4.853 322.9 32.97L336 46.06L351 31.03C386.9-4.849 445.1-4.849 480.1 31.03C516.9 66.91 516.9 125.1 480.1 160.1V160.1zM229.5 412.5C181.5 460.5 120.3 493.2 53.7 506.5L28.71 511.5C20.84 513.1 12.7 510.6 7.03 504.1C1.356 499.3-1.107 491.2 .4662 483.3L5.465 458.3C18.78 391.7 51.52 330.5 99.54 282.5L163.7 218.3L293.7 348.3L229.5 412.5z"],
    "mars": [448, 512, [9794], "f222", "M431.1 31.1l-112.6 0c-21.42 0-32.15 25.85-17 40.97l29.61 29.56l-56.65 56.55c-30.03-20.66-65.04-31-100-31c-47.99-.002-95.96 19.44-131.1 58.39c-60.86 67.51-58.65 175 4.748 240.1C83.66 462.2 129.6 480 175.5 480c45.12 0 90.34-17.18 124.8-51.55c61.11-60.99 67.77-155.6 20.42-224.1l56.65-56.55l29.61 29.56C411.9 182.2 417.9 184.4 423.8 184.4C436.1 184.4 448 174.8 448 160.4V47.1C448 39.16 440.8 31.1 431.1 31.1zM243.5 371.9c-18.75 18.71-43.38 28.07-68 28.07c-24.63 0-49.25-9.355-68.01-28.07c-37.5-37.43-37.5-98.33 0-135.8c18.75-18.71 43.38-28.07 68.01-28.07c24.63 0 49.25 9.357 68 28.07C281 273.5 281 334.5 243.5 371.9z"],
    "mars-and-venus": [512, 512, [9893], "f224", "M480 .0002l-112.4 .0001c-21.38 0-32.09 25.85-16.97 40.97l29.56 29.56l-27.11 27.11C326.1 76.85 292.7 64 256 64c-88.37 0-160 71.63-160 160c0 77.4 54.97 141.9 128 156.8v19.22H192c-8.836 0-16 7.162-16 16v31.1c0 8.836 7.164 16 16 16l32 .0001v32c0 8.836 7.164 16 16 16h32c8.838 0 16-7.164 16-16v-32l32-.0001c8.838 0 16-7.164 16-16v-31.1c0-8.838-7.162-16-16-16h-32v-19.22c73.03-14.83 128-79.37 128-156.8c0-28.38-8.018-54.65-20.98-77.77l30.45-30.45l29.56 29.56C470.1 160.5 496 149.8 496 128.4V16C496 7.164 488.8 .0002 480 .0002zM256 304c-44.11 0-80-35.89-80-80c0-44.11 35.89-80 80-80c44.11 0 80 35.89 80 80C336 268.1 300.1 304 256 304z"],
    "mars-and-venus-burst": [640, 512, [], "e523", "M607.1 0C625.7 0 639.1 14.33 639.1 32V120C639.1 137.7 625.7 152 607.1 152C590.3 152 575.1 137.7 575.1 120V109.3L539.6 145.7C552.6 168.8 559.1 195.6 559.1 224C559.1 301.4 505 365.1 431.1 380.8V400H447.1C465.7 400 479.1 414.3 479.1 432C479.1 449.7 465.7 464 447.1 464H431.1V480C431.1 497.7 417.7 512 399.1 512C382.3 512 367.1 497.7 367.1 480V464H351.1C334.3 464 319.1 449.7 319.1 432C319.1 414.3 334.3 400 351.1 400H367.1V380.8C294.1 365.1 239.1 301.4 239.1 224C239.1 135.6 311.6 64 399.1 64C436.7 64 470.6 76.37 497.6 97.18L530.7 64H511.1C494.3 64 479.1 49.67 479.1 32C479.1 14.33 494.3 0 511.1 0L607.1 0zM399.1 128C346.1 128 303.1 170.1 303.1 224C303.1 277 346.1 320 399.1 320C453 320 495.1 277 495.1 224C495.1 170.1 453 128 399.1 128zM220.3 92.05L280.4 73.81C236.3 108.1 207.1 163.2 207.1 224C207.1 269.2 223.6 310.8 249.8 343.6C244.5 345 238.7 343.7 234.6 339.9L175.1 286.1L117.4 339.9C112.6 344.4 105.5 345.4 99.63 342.6C93.73 339.7 90.15 333.6 90.62 327L96.21 247.6L17.55 235.4C11.08 234.4 5.868 229.6 4.41 223.2C2.951 216.8 5.538 210.1 10.94 206.4L76.5 161.3L37.01 92.18C33.76 86.49 34.31 79.39 38.39 74.27C42.48 69.14 49.28 67.03 55.55 68.93L131.7 92.05L161.1 18.09C163.6 11.1 169.4 7.1 175.1 7.1C182.6 7.1 188.4 11.1 190.9 18.09L220.3 92.05z"],
    "mars-double": [640, 512, [9891], "f227", "M320.7 204.3l56.65-56.55l29.61 29.56C422.1 192.5 448 181.7 448 160.4V47.1c0-8.838-7.176-15.1-16.03-15.1H319.4c-21.42 0-32.15 25.85-17 40.97l29.61 29.56L275.4 159.1c-71.21-48.99-170.4-39.96-231.1 27.39c-60.86 67.51-58.65 175 4.748 240.1c68.7 70.57 181.8 71.19 251.3 1.847C361.4 367.5 368 272.9 320.7 204.3zM243.5 371.9c-37.5 37.43-98.51 37.43-136 0s-37.5-98.33 0-135.8c37.5-37.43 98.51-37.43 136 0C281 273.5 281 334.5 243.5 371.9zM623.1 32h-112.6c-21.42 0-32.15 25.85-17 40.97l29.61 29.56L480 146.5v13.91C480 191.3 454.8 216.4 423.8 216.4C421.2 216.4 418.6 216 416 215.6v5.862c6.922 4.049 13.58 8.691 19.51 14.61c37.5 37.43 37.5 98.33 0 135.8c-18.75 18.71-43.38 28.07-68 28.07c-2.277 0-4.523-.4883-6.795-.6484c-9.641 18.69-22.1 36.24-37.64 51.77c-6.059 6.059-12.49 11.53-19.13 16.73C324.4 475.7 345.9 480 367.5 480c45.12 0 90.34-17.18 124.8-51.55c61.11-60.99 67.77-155.6 20.42-224.1l56.65-56.55l29.61 29.56c4.898 4.889 10.92 7.075 16.83 7.075C628.1 184.4 640 174.8 640 160.4V48C640 39.16 632.8 32 623.1 32z"],
    "mars-stroke": [512, 512, [9894], "f229", "M496 .0002l-112.4 .0001c-21.38 0-32.09 25.85-16.97 40.97l29.56 29.56l-24.33 24.34l-33.94-33.94c-6.248-6.25-16.38-6.248-22.63 0l-22.63 22.63c-6.25 6.25-6.25 16.38 0 22.63l33.94 33.94l-18.96 18.96C239.1 111.8 144.5 118.6 83.55 179.5c-68.73 68.73-68.73 180.2 0 248.9c68.73 68.73 180.2 68.73 248.9 0c60.99-60.99 67.73-155.6 20.47-224.1l18.96-18.96l33.94 33.94c6.248 6.248 16.38 6.25 22.63 0l22.63-22.63c6.248-6.248 6.248-16.38 0-22.63l-33.94-33.94l24.34-24.33l29.56 29.56C486.1 160.5 512 149.8 512 128.4v-112.4C512 7.162 504.8 .0002 496 .0002zM275.9 371.9c-37.43 37.43-98.33 37.43-135.8 0c-37.43-37.43-37.43-98.33 0-135.8c37.43-37.43 98.33-37.43 135.8 0C313.3 273.5 313.3 334.5 275.9 371.9z"],
    "mars-stroke-right": [640, 512, [9897, "mars-stroke-h"], "f22b", "M619.3 244.7l-82.34-77.61c-15.12-15.12-40.97-4.41-40.97 16.97V223.1L463.1 224V176c.002-8.838-7.162-16-15.1-16h-32c-8.84 0-16 7.16-16 16V224h-19.05c-15.07-81.9-86.7-144-172.1-144C110.8 80 32 158.8 32 256c0 97.2 78.8 176 176 176c86.26 0 157.9-62.1 172.1-144h19.05V336c0 8.836 7.162 16 16 16h32c8.836 0 15.1-7.164 15.1-16V287.1L496 288v39.95c0 21.38 25.85 32.09 40.97 16.97l82.34-77.61C625.6 261.1 625.6 250.9 619.3 244.7zM208 352c-52.94 0-96-43.07-96-96c-.002-52.94 43.06-96 96-96c52.93 0 95.1 43.06 95.1 96C304 308.9 260.9 352 208 352z"],
    "mars-stroke-up": [384, 512, [9896, "mars-stroke-v"], "f22a", "M224 163V144h24c4.418 0 8-3.578 8-7.1V120c0-4.418-3.582-7.1-8-7.1H224V96h24.63c16.41 0 24.62-19.84 13.02-31.44l-60.97-60.97c-4.795-4.793-12.57-4.793-17.36 0L122.3 64.56c-11.6 11.6-3.383 31.44 13.02 31.44H160v15.1H136c-4.418 0-8 3.582-8 7.1v15.1c0 4.422 3.582 7.1 8 7.1H160v19.05c-84.9 15.62-148.5 92.01-143.7 182.5c4.783 90.69 82.34 165.1 173.2 166.5C287.8 513.4 368 434.1 368 336C368 249.7 305.9 178.1 224 163zM192 431.1c-52.94 0-96-43.06-96-95.1s43.06-95.1 96-95.1c52.93 0 96 43.06 96 95.1S244.9 431.1 192 431.1z"],
    "martini-glass": [512, 512, [127864, "glass-martini-alt"], "f57b", "M502 57.63C523.3 36.38 508.3 0 478.3 0H33.72C3.711 0-11.29 36.38 9.962 57.63l214 214V448H175.1c-26.51 0-47.1 21.49-47.1 48c0 8.836 7.164 16 16 16h224c8.836 0 16-7.164 16-16c0-26.51-21.49-48-48-48h-47.1V271.6L502 57.63zM405.1 64l-64.01 64H170.9L106.9 64H405.1z"],
    "martini-glass-citrus": [576, 512, ["cocktail"], "f561", "M288 464H240v-125.3l168.8-168.7C424.3 154.5 413.3 128 391.4 128H24.63C2.751 128-8.249 154.5 7.251 170l168.7 168.7V464H128c-17.67 0-32 14.33-32 32c0 8.836 7.164 16 15.1 16h191.1c8.836 0 15.1-7.164 15.1-16C320 478.3 305.7 464 288 464zM432 0c-62.63 0-115.4 40.25-135.1 96h52.5c16.62-28.5 47.25-48 82.62-48c52.88 0 95.1 43 95.1 96s-43.12 96-95.1 96c-14 0-27.25-3.25-39.37-8.625l-35.25 35.25c21.88 13.25 47.25 21.38 74.62 21.38c79.5 0 143.1-64.5 143.1-144S511.5 0 432 0z"],
    "martini-glass-empty": [512, 512, ["glass-martini"], "f000", "M502 57.63C523.3 36.38 508.3 0 478.3 0H33.72C3.711 0-11.29 36.38 9.962 57.63l214 214V448H176c-26.51 0-48 21.49-48 48c0 8.836 7.164 16 16 16h224c8.836 0 16-7.164 16-16c0-26.51-21.49-48-47.1-48h-47.1V271.6L502 57.63zM256 213.1L106.9 64h298.3L256 213.1z"],
    "mask": [576, 512, [], "f6fa", "M288 64C39.52 64 0 182.1 0 273.5C0 379.5 78.8 448 176 448c27.33 0 51.21-6.516 66.11-36.79l19.93-40.5C268.3 358.6 278.1 352.4 288 352.1c9.9 .3711 19.7 6.501 25.97 18.63l19.93 40.5C348.8 441.5 372.7 448 400 448c97.2 0 176-68.51 176-174.5C576 182.1 536.5 64 288 64zM160 320c-35.35 0-64-28.65-64-64s28.65-64 64-64c35.35 0 64 28.65 64 64S195.3 320 160 320zM416 320c-35.35 0-64-28.65-64-64s28.65-64 64-64c35.35 0 64 28.65 64 64S451.3 320 416 320z"],
    "mask-face": [640, 512, [], "e1d7", "M396.4 87.12L433.5 111.9C449.3 122.4 467.8 128 486.8 128H584C614.9 128 640 153.1 640 184V269C640 324.1 602.5 372.1 549.1 385.5L441.1 412.5C406.2 434.1 364.6 448 320 448C275.4 448 233.8 434.1 198.9 412.5L90.9 385.5C37.48 372.1 0 324.1 0 269V184C0 153.1 25.07 128 56 128H153.2C172.2 128 190.7 122.4 206.5 111.9L243.6 87.12C266.2 72.05 292.8 64 320 64C347.2 64 373.8 72.05 396.4 87.12zM132.3 346.3C109.4 311.2 96 269.1 96 224V176H56C51.58 176 48 179.6 48 184V269C48 302.1 70.49 330.9 102.5 338.9L132.3 346.3zM592 269V184C592 179.6 588.4 176 584 176H544V224C544 269.1 530.6 311.2 507.7 346.3L537.5 338.9C569.5 330.9 592 302.1 592 269H592zM208 224H432C440.8 224 448 216.8 448 208C448 199.2 440.8 192 432 192H208C199.2 192 192 199.2 192 208C192 216.8 199.2 224 208 224zM208 256C199.2 256 192 263.2 192 272C192 280.8 199.2 288 208 288H432C440.8 288 448 280.8 448 272C448 263.2 440.8 256 432 256H208zM240 352H400C408.8 352 416 344.8 416 336C416 327.2 408.8 320 400 320H240C231.2 320 224 327.2 224 336C224 344.8 231.2 352 240 352z"],
    "mask-snorkel": [576, 512, [], "e3b7", "M384 288c35.35 0 64-28.65 64-64V128c0-35.35-28.65-64-64-64H64C28.65 64 0 92.65 0 128v96c0 35.35 28.65 64 64 64h78.03c29.37 0 54.96-19.99 62.09-48.48l4.359-17.43C210.5 214 217.2 209.1 224 209.1s13.5 4.041 15.52 12.12l4.359 17.43C251 268 276.6 288 305.1 288H384zM544 32c-17.69 0-32 14.31-32 32v96h64V64C576 46.31 561.7 32 544 32zM512 367.4C512 411.9 475.9 448 431.4 448c-39.84 0-74.13-29.47-79.75-68.56c-2.332-15.9-15.74-27.47-31.51-27.47c-27.19 0-32.19 25.67-32.19 32.02C287.1 390.9 308.4 512 431.4 512C511.2 512 576 447.2 576 367.4V192h-64V367.4z"],
    "mask-ventilator": [640, 512, [], "e524", "M320 32C372.1 32 419.7 73.8 454.5 128H584C614.9 128 640 153.1 640 184V269C640 324.1 602.5 372.1 549.1 385.5L477.5 403.4C454.6 433.8 421.1 457.2 384 469.8V393.2C403.6 376.8 416 353.1 416 326.4C416 276.9 372.5 191.1 320 191.1C267 191.1 224 276.9 224 326.4C224 353 236.3 376.9 256 393.3V469.9C217.6 457.4 184.9 433.8 162.2 403.3L90.9 385.5C37.48 372.1 0 324.1 0 269V184C0 153.1 25.07 128 56 128H185.1C219.8 73.8 267.4 32 320 32V32zM56 176C51.58 176 48 179.6 48 184V269C48 302.1 70.49 330.9 102.5 338.9L134.3 346.8C130.2 332.2 127.1 316.7 127.1 300.8C127.1 264.7 139.4 219.2 159.1 176H56zM480.7 176C500.4 219.2 512 264.7 512 300.8C512 316.8 509.8 332.2 505.6 346.9L537.5 338.9C569.5 330.9 592 302.1 592 269V184C592 179.6 588.4 176 584 176H480.7zM288 320C288 302.3 302.3 288 320 288C337.7 288 352 302.3 352 320V512H288V320z"],
    "masks-theater": [640, 512, [127917, "theater-masks"], "f630", "M206.9 245.1C171 255.6 146.8 286.4 149.3 319.3C160.7 306.5 178.1 295.5 199.3 288.4L206.9 245.1zM95.78 294.9L64.11 115.5C63.74 113.9 64.37 112.9 64.37 112.9c57.75-32.13 123.1-48.99 189-48.99c1.625 0 3.113 .0745 4.738 .0745c13.1-13.5 31.75-22.75 51.62-26c18.87-3 38.12-4.5 57.25-5.25c-9.999-14-24.47-24.27-41.84-27.02c-23.87-3.875-47.9-5.732-71.77-5.732c-76.74 0-152.4 19.45-220.1 57.07C9.021 70.57-3.853 98.5 1.021 126.6L32.77 306c14.25 80.5 136.3 142 204.5 142c3.625 0 6.777-.2979 10.03-.6729c-13.5-17.13-28.1-40.5-39.5-67.63C160.1 366.8 101.7 328 95.78 294.9zM193.4 157.6C192.6 153.4 191.1 149.7 189.3 146.2c-8.249 8.875-20.62 15.75-35.25 18.37c-14.62 2.5-28.75 .376-39.5-5.249c-.5 4-.6249 7.998 .125 12.12c3.75 21.75 24.5 36.24 46.25 32.37C182.6 200.1 197.3 179.3 193.4 157.6zM606.8 121c-88.87-49.38-191.4-67.38-291.9-51.38C287.5 73.1 265.8 95.85 260.8 123.1L229 303.5c-15.37 87.13 95.33 196.3 158.3 207.3c62.1 11.13 204.5-53.68 219.9-140.8l31.75-179.5C643.9 162.3 631 134.4 606.8 121zM333.5 217.8c3.875-21.75 24.62-36.25 46.37-32.37c21.75 3.75 36.25 24.49 32.5 46.12c-.7499 4.125-2.25 7.873-4.125 11.5c-8.249-9-20.62-15.75-35.25-18.37c-14.75-2.625-28.75-.3759-39.5 5.124C332.1 225.9 332.9 221.9 333.5 217.8zM403.1 416.5c-55.62-9.875-93.49-59.23-88.99-112.1c20.62 25.63 56.25 46.24 99.49 53.87c43.25 7.625 83.74 .3781 111.9-16.62C512.2 392.7 459.7 426.3 403.1 416.5zM534.4 265.2c-8.249-8.875-20.75-15.75-35.37-18.37c-14.62-2.5-28.62-.3759-39.5 5.249c-.5-4-.625-7.998 .125-12.12c3.875-21.75 24.62-36.25 46.37-32.37c21.75 3.875 36.25 24.49 32.37 46.24C537.6 257.9 536.1 261.7 534.4 265.2z"],
    "mattress-pillow": [640, 512, [], "e525", "M256 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H256V448zM64 352C64 369.7 78.33 384 96 384H160C177.7 384 192 369.7 192 352V160C192 142.3 177.7 128 160 128H96C78.33 128 64 142.3 64 160V352zM288 64H576C611.3 64 640 92.65 640 128V384C640 419.3 611.3 448 576 448H288V64z"],
    "maximize": [448, 512, ["expand-arrows-alt"], "f31e", "M447.1 319.1v135.1c0 13.26-10.75 23.1-23.1 23.1h-135.1c-12.94 0-24.61-7.781-29.56-19.75c-4.906-11.1-2.203-25.72 6.937-34.87l30.06-30.06L224 323.9l-71.43 71.44l30.06 30.06c9.156 9.156 11.91 22.91 6.937 34.87C184.6 472.2 172.9 479.1 160 479.1H24c-13.25 0-23.1-10.74-23.1-23.1v-135.1c0-12.94 7.781-24.61 19.75-29.56C23.72 288.8 27.88 288 32 288c8.312 0 16.5 3.242 22.63 9.367l30.06 30.06l71.44-71.44L84.69 184.6L54.63 214.6c-9.156 9.156-22.91 11.91-34.87 6.937C7.798 216.6 .0013 204.9 .0013 191.1v-135.1c0-13.26 10.75-23.1 23.1-23.1h135.1c12.94 0 24.61 7.781 29.56 19.75C191.2 55.72 191.1 59.87 191.1 63.1c0 8.312-3.237 16.5-9.362 22.63L152.6 116.7l71.44 71.44l71.43-71.44l-30.06-30.06c-9.156-9.156-11.91-22.91-6.937-34.87c4.937-11.95 16.62-19.75 29.56-19.75h135.1c13.26 0 23.1 10.75 23.1 23.1v135.1c0 12.94-7.781 24.61-19.75 29.56c-11.1 4.906-25.72 2.203-34.87-6.937l-30.06-30.06l-71.43 71.43l71.44 71.44l30.06-30.06c9.156-9.156 22.91-11.91 34.87-6.937C440.2 295.4 447.1 307.1 447.1 319.1z"],
    "meat": [576, 512, [127830], "f814", "M476 68.42C431.5 23.93 377.1 0 331.1 0C307.5 0 286.3 6.748 269.7 19.1C266.9 21.62 264.6 23.61 262.3 25.86c-38.75 38.62-102.3 113.8-102.3 183.6L160 309.8l-8.556 8.544c-9.626 9.749-24.01 11.12-36.76 5.999c-26.63-10.62-57.01-.9974-72.76 22.88c-15.75 23.87-12.5 55.61 7.75 75.86c15.25 15.25 36.51 19.62 56.13 15.12c-4.5 19.5-.1278 40.8 15.12 56.05c20.25 20.37 51.97 23.59 75.97 7.839c23.88-15.75 33.56-46.08 22.81-72.83c-5-12.62-3.626-26.1 6-36.74l8.582-8.522l100.5-.0216c69.88 0 145.1-63.49 183.7-102.1c2.625-2.75 4.948-5.77 6.823-9.02C562.7 223.3 542.8 135.2 476 68.42zM484.7 247.8c-9.751 9.749-24.37 11.85-34.74 11.85c-34.75 0-77.24-20.86-110.9-54.48c-27.25-27.12-46.34-60.36-52.47-90.98c-4.75-23.75-1.146-43.61 9.73-54.48c9.751-9.749 24.38-11.75 34.76-11.75c34.75 0 77.23 20.85 110.9 54.47C495.9 156.2 508.1 223.6 484.7 247.8zM363.9 127.2C354.1 136.1 357.1 156.8 372.7 171.6c14.75 14.62 34.6 18.62 44.48 8.871c9.751-9.874 5.79-29.74-8.961-44.37C393.6 121.3 373.7 117.3 363.9 127.2z"],
    "medal": [512, 512, [127941], "f5a2", "M223.7 130.8L149.1 7.77C147.1 2.949 141.9 0 136.3 0H16.03c-12.95 0-20.53 14.58-13.1 25.18l111.3 158.9C143.9 156.4 181.7 137.3 223.7 130.8zM256 160c-97.25 0-176 78.75-176 176S158.8 512 256 512s176-78.75 176-176S353.3 160 256 160zM348.5 317.3l-37.88 37l8.875 52.25c1.625 9.25-8.25 16.5-16.63 12l-46.88-24.62L209.1 418.5c-8.375 4.5-18.25-2.75-16.63-12l8.875-52.25l-37.88-37C156.6 310.6 160.5 299 169.9 297.6l52.38-7.625L245.7 242.5c2-4.25 6.125-6.375 10.25-6.375S264.2 238.3 266.2 242.5l23.5 47.5l52.38 7.625C351.6 299 355.4 310.6 348.5 317.3zM495.1 0H375.7c-5.621 0-10.83 2.949-13.72 7.77l-73.76 122.1c42 6.5 79.88 25.62 109.5 53.38l111.3-158.9C516.5 14.58 508.9 0 495.1 0z"],
    "megaphone": [576, 512, [128227], "f675", "M576 64V448C576 465.7 561.7 480 544 480C526.3 480 512 465.7 512 448V64C512 46.33 526.3 32 544 32C561.7 32 576 46.33 576 64zM63.96 190.3L480 64V448L348.9 408.2C338.2 449.5 300.7 480 256 480C202.1 480 160 437 160 384C160 372.1 161.9 362.3 165.3 352.5L63.96 321.7C63.07 338.6 49.1 352 32 352C14.33 352 0 337.7 0 320V192C0 174.3 14.33 160 32 160C49.1 160 63.07 173.4 63.96 190.3V190.3zM302.9 394.2L211.3 366.4C209.2 371.9 208 377.8 208 384C208 410.5 229.5 432 256 432C278.1 432 298.2 415.8 302.9 394.2V394.2z"],
    "melon": [512, 512, [], "e310", "M362.8 23.56C330.3 8.584 294.2 0 256 0C114.6 0 0 114.6 0 256c0 38.05 8.527 74.04 23.42 106.5c1.332-14.39 4.246-29.59 9.037-45.56c17.58-58.63 56.79-120.4 110.4-174.1C211.8 73.9 294.4 29.68 362.8 23.56zM448.9 185.9c14.73-49.1 10.5-88.49-11.87-110.9c-.0098-.0215 .0156 .0215 0 0c-14.05-14.02-34.29-20.67-58.28-20.67c-59.84 0-143.2 41.14-213.2 111.2C115.6 215.4 79.2 272.5 63.11 326.1c-14.73 49.1-10.49 88.5 11.89 110.9c.0137 .0195-.0137-.0156 0 0c.002 .002-.002-.002 0 0c14.05 14.01 34.27 20.64 58.25 20.64c59.84 0 143.2-41.14 213.3-111.1C396.4 296.6 432.8 239.6 448.9 185.9zM488.6 149.6c-1.334 14.38-4.281 29.57-9.066 45.52c-17.58 58.63-56.79 120.4-110.4 174.1c-68.98 68.95-151.5 113.2-219.9 119.3C181.7 503.4 217.8 512 256 512c141.4 0 256-114.6 256-256C512 217.1 503.5 182 488.6 149.6z"],
    "melon-slice": [512, 512, [], "e311", "M216.2 432c57.63 0 111.8-22.45 152.6-63.22C409.5 328 432 273.8 432 216.2c0-57.64-22.45-111.8-63.22-152.6l-16.96-16.96l-37.14 37.14C318 97.99 320 112.8 320 128c0 106-85.96 192-192 192c-15.25 0-30.01-1.963-44.23-5.322l-37.14 37.14l16.96 16.96C104.4 409.5 158.6 432 216.2 432zM425.3 7.031c-9.375-9.375-24.56-9.375-33.94 0L374.4 23.99l16.96 16.96C438.2 87.77 464 150 464 216.2s-25.79 128.4-72.6 175.2C344.6 438.2 282.4 464 216.2 464c-66.19 0-128.4-25.78-175.2-72.59L24.01 374.4l-16.97 16.98C2.531 395.9 0 402 0 408.4s2.531 12.47 7.031 16.97C62.91 481.2 137.2 512 216.2 512c79.03 0 153.3-30.77 209.2-86.64C481.2 369.5 512 295.2 512 216.2C512 137.2 481.2 62.89 425.3 7.031z"],
    "memo": [384, 512, [], "e1d8", "M320 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h256c35.35 0 64-28.65 64-64V64C384 28.65 355.3 0 320 0zM208 352h-128C71.16 352 64 344.8 64 336S71.16 320 80 320h128c8.838 0 16 7.164 16 16S216.8 352 208 352zM304 256h-224C71.16 256 64 248.8 64 240S71.16 224 80 224h224C312.8 224 320 231.2 320 240S312.8 256 304 256zM304 160h-224C71.16 160 64 152.8 64 144S71.16 128 80 128h224C312.8 128 320 135.2 320 144S312.8 160 304 160z"],
    "memo-circle-check": [576, 512, [], "e1d9", "M288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM499.3 347.3C505.6 341.1 505.6 330.9 499.3 324.7C493.1 318.4 482.9 318.4 476.7 324.7L416 385.4L387.3 356.7C381.1 350.4 370.9 350.4 364.7 356.7C358.4 362.9 358.4 373.1 364.7 379.3L404.7 419.3C410.9 425.6 421.1 425.6 427.3 419.3L499.3 347.3zM320 0C355.3 0 384 28.65 384 64V198.6C310.1 219.5 256 287.4 256 368C256 427.1 285.1 479.3 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H320zM80 128C71.16 128 64 135.2 64 144C64 152.8 71.16 160 80 160H304C312.8 160 320 152.8 320 144C320 135.2 312.8 128 304 128H80zM80 256H240C248.8 256 256 248.8 256 240C256 231.2 248.8 224 240 224H80C71.16 224 64 231.2 64 240C64 248.8 71.16 256 80 256zM80 352H176C184.8 352 192 344.8 192 336C192 327.2 184.8 320 176 320H80C71.16 320 64 327.2 64 336C64 344.8 71.16 352 80 352z"],
    "memo-circle-info": [576, 512, [], "e49a", "M0 64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V198.6C310.1 219.5 256 287.4 256 368C256 427.1 285.1 479.3 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64zM80 160H304C312.8 160 320 152.8 320 144C320 135.2 312.8 128 304 128H80C71.16 128 64 135.2 64 144C64 152.8 71.16 160 80 160zM80 224C71.16 224 64 231.2 64 240C64 248.8 71.16 256 80 256H240C248.8 256 256 248.8 256 240C256 231.2 248.8 224 240 224H80zM80 320C71.16 320 64 327.2 64 336C64 344.8 71.16 352 80 352H176C184.8 352 192 344.8 192 336C192 327.2 184.8 320 176 320H80zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 320C445.3 320 456 309.3 456 296C456 282.7 445.3 272 432 272C418.7 272 408 282.7 408 296C408 309.3 418.7 320 432 320zM416 384L416 432C407.2 432 400 439.2 400 448C400 456.8 407.2 464 416 464H448C456.8 464 464 456.8 464 448C464 439.2 456.8 432 448 432V368C448 359.2 440.8 352 432 352H416C407.2 352 400 359.2 400 368C400 376.8 407.2 384 416 384z"],
    "memo-pad": [448, 512, [], "e1da", "M0 448c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V128H0V448zM112 208h224C344.8 208 352 215.2 352 224c0 8.836-7.164 16-16 16h-224C103.2 240 96 232.8 96 224C96 215.2 103.2 208 112 208zM112 304h224c8.836 0 16 7.162 16 16c0 8.836-7.164 16-16 16h-224C103.2 336 96 328.8 96 320C96 311.2 103.2 304 112 304zM112 400h96c8.836 0 16 7.162 16 16c0 8.836-7.164 16-16 16h-96C103.2 432 96 424.8 96 416C96 407.2 103.2 400 112 400zM384 0H64C28.65 0 0 28.65 0 64v32h448V64C448 28.65 419.3 0 384 0z"],
    "memory": [576, 512, [], "f538", "M0 448h80v-32c0-8.838 7.164-16 16-16c8.838 0 16 7.162 16 16v32h96v-32c0-8.838 7.164-16 16-16c8.838 0 16 7.162 16 16v32h96v-32c0-8.838 7.164-16 16-16c8.838 0 16 7.162 16 16v32h96v-32c0-8.838 7.164-16 16-16c8.838 0 16 7.162 16 16v32H576v-96H0V448zM576 146.9V112C576 85.49 554.5 64 528 64h-480C21.49 64 0 85.49 0 112v34.94C18.6 153.5 32 171.1 32 192S18.6 230.5 0 237.1V320h576V237.1C557.4 230.5 544 212.9 544 192S557.4 153.5 576 146.9zM192 240C192 248.8 184.8 256 176 256h-32C135.2 256 128 248.8 128 240v-96C128 135.2 135.2 128 144 128h32C184.8 128 192 135.2 192 144V240zM320 240C320 248.8 312.8 256 304 256h-32C263.2 256 256 248.8 256 240v-96C256 135.2 263.2 128 272 128h32C312.8 128 320 135.2 320 144V240zM448 240C448 248.8 440.8 256 432 256h-32C391.2 256 384 248.8 384 240v-96C384 135.2 391.2 128 400 128h32C440.8 128 448 135.2 448 144V240z"],
    "menorah": [640, 512, [], "f676", "M544 144C544 135.1 536.9 128 528 128h-32C487.1 128 480 135.1 480 144V288h64V144zM416 95.1c17.62 0 32-14.38 32-32s-32-63.1-32-63.1s-32 46.37-32 63.1S398.4 95.1 416 95.1zM448 144C448 135.1 440.9 128 432 128h-32C391.1 128 384 135.1 384 144V288h64V144zM608 95.1c17.62 0 32-14.38 32-32s-32-63.1-32-63.1s-32 46.37-32 63.1S590.4 95.1 608 95.1zM320 95.1c17.62 0 32-14.38 32-32s-32-63.1-32-63.1S288 46.37 288 63.1S302.4 95.1 320 95.1zM512 95.1c17.62 0 32-14.38 32-32s-32-63.1-32-63.1s-32 46.37-32 63.1S494.4 95.1 512 95.1zM624 128h-32C583.2 128 576 135.2 576 144V288c0 17.6-14.4 32-32 32h-192V144C352 135.2 344.8 128 336 128h-32C295.2 128 288 135.2 288 144V320H96c-17.6 0-32-14.4-32-32V144C64 135.2 56.84 128 48 128h-32C7.164 128 0 135.2 0 144V288c0 53.02 42.98 96 96 96h192v64H176C149.5 448 128 469.5 128 496C128 504.8 135.2 512 144 512h352c8.836 0 16-7.164 16-16c0-26.51-21.49-48-48-48H352v-64h192c53.02 0 96-42.98 96-96V144C640 135.2 632.8 128 624 128zM160 144C160 135.1 152.9 128 144 128h-32C103.1 128 96 135.1 96 144V288h64V144zM224 95.1c17.62 0 32-14.38 32-32S224 0 224 0S192 46.37 192 63.1S206.4 95.1 224 95.1zM32 95.1c17.62 0 32-14.38 32-32S32 0 32 0S0 46.37 0 63.1S14.38 95.1 32 95.1zM128 95.1c17.62 0 32-14.38 32-32S128 0 128 0S96 46.37 96 63.1S110.4 95.1 128 95.1zM256 144C256 135.1 248.9 128 240 128h-32C199.1 128 192 135.1 192 144V288h64V144z"],
    "mercury": [384, 512, [9791], "f223", "M368 223.1c0-55.32-25.57-104.6-65.49-136.9c20.49-17.32 37.2-39.11 48.1-64.21c4.656-10.72-2.9-22.89-14.45-22.89h-54.31c-5.256 0-9.93 2.828-12.96 7.188C251.8 31.77 223.8 47.1 192 47.1c-31.85 0-59.78-16.23-76.88-40.81C112.1 2.828 107.4 0 102.2 0H47.84c-11.55 0-19.11 12.17-14.45 22.89C44.29 47.1 60.1 69.79 81.49 87.11C41.57 119.4 16 168.7 16 223.1c0 86.26 62.1 157.9 144 172.1V416H128c-8.836 0-16 7.164-16 16v32C112 472.8 119.2 480 128 480h32v16C160 504.8 167.2 512 176 512h32c8.838 0 16-7.164 16-16V480h32c8.838 0 16-7.164 16-16v-32c0-8.836-7.162-16-16-16h-32v-19.05C305.9 381.9 368 310.3 368 223.1zM192 320c-52.93 0-96-43.07-96-96c0-52.94 43.07-95.1 96-95.1c52.94 0 96 43.06 96 95.1C288 276.9 244.9 320 192 320z"],
    "merge": [512, 512, [], "e526", "M0 96C0 78.33 14.33 64 32 64H144.6C164.1 64 182.4 72.84 194.6 88.02L303.4 224H384V176C384 166.3 389.8 157.5 398.8 153.8C407.8 150.1 418.1 152.2 424.1 159L504.1 239C514.3 248.4 514.3 263.6 504.1 272.1L424.1 352.1C418.1 359.8 407.8 361.9 398.8 358.2C389.8 354.5 384 345.7 384 336V288H303.4L194.6 423.1C182.5 439.2 164.1 448 144.6 448H32C14.33 448 0 433.7 0 416C0 398.3 14.33 384 32 384H144.6L247 256L144.6 128H32C14.33 128 0 113.7 0 96V96z"],
    "message": [512, 512, ["comment-alt"], "f27a", "M511.1 63.1v287.1c0 35.25-28.75 63.1-64 63.1h-144l-124.9 93.68c-7.875 5.75-19.12 .0497-19.12-9.7v-83.98h-96c-35.25 0-64-28.75-64-63.1V63.1c0-35.25 28.75-63.1 64-63.1h384C483.2 0 511.1 28.75 511.1 63.1z"],
    "message-arrow-down": [512, 512, ["comment-alt-arrow-down"], "e1db", "M448 0H64C28.75 0 0 28.75 0 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.75 11.25 15.45 19.12 9.7L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM350.6 224.1l-80 80c-9.375 9.375-24.56 9.375-33.94 0l-80-80c-9.375-9.375-9.375-24.56 0-33.94C161.4 186.3 167.5 184 173.7 184s12.28 2.344 16.97 7.031l39.03 39.03V128c0-13.25 10.75-24 24-24s24 10.75 24 24v102.1l39.03-39.03c9.375-9.375 24.56-9.375 33.94 0S359.1 215.6 350.6 224.1z"],
    "message-arrow-up": [512, 512, ["comment-alt-arrow-up"], "e1dc", "M448 0H64C28.75 0 0 28.75 0 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.75 11.25 15.45 19.12 9.7L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM350.6 224.1C345.9 229.7 339.8 232 333.7 232s-12.28-2.344-16.97-7.031l-39.03-39.03V288c0 13.25-10.75 24-24 24s-24-10.75-24-24V185.9L190.6 224.1c-9.375 9.375-24.56 9.375-33.94 0s-9.375-24.56 0-33.94l80-80c9.375-9.375 24.56-9.375 33.94 0l80 80C359.1 200.4 359.1 215.6 350.6 224.1z"],
    "message-arrow-up-right": [512, 512, [], "e1dd", "M448 0H64C28.75 0 0 28.75 0 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96V499.1c0 9.748 11.25 15.45 19.12 9.699L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM368 264C368 277.3 357.3 288 344 288S320 277.3 320 264V193.9l-96 96c-9.381 9.381-24.56 9.373-33.94 0C180.7 280.6 180.7 265.4 190.1 256l96-96H216C202.8 160 192 149.3 192 136S202.8 112 216 112h128c13.25 0 24 10.75 24 24V264z"],
    "message-bot": [640, 512, [], "e3b8", "M608 159.1c-18.85 0-25.44 13.31-27.03 16H544V80C544 35.82 508.2 0 464 0h-288C131.8 0 96 35.82 96 80v95.1H59.03C57.44 173.3 50.85 159.1 32 159.1c-17.06 0-32 13.72-32 32c0 18.3 14.97 31.1 32 31.1c18.85 0 25.44-13.3 27.03-15.1H96v127.1c0 44.18 35.82 80 80 80L224 415.1v83.99C224 503.3 226.7 512 236 512c2.521 0 4.998-.8086 7.096-2.328L368 415.1l96 .0059c44.18 0 80-35.82 80-80V207.1h36.98C582.6 210.7 589.2 223.1 608 223.1c17.06 0 32-13.72 32-31.1C640 173.7 625.1 159.1 608 159.1zM480 256c0 17.67-14.33 32-32 32H192C174.3 288 160 273.7 160 256V128c0-17.67 14.33-32 32-32h256c17.67 0 32 14.33 32 32V256zM224 159.1c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32s32-14.33 32-32C256 174.3 241.7 159.1 224 159.1zM416 159.1c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32s32-14.33 32-32C448 174.3 433.7 159.1 416 159.1z"],
    "message-captions": [512, 512, ["comment-alt-captions"], "e1de", "M447.1 0h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.75 11.25 15.45 19.12 9.7l124.9-93.7h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 0 447.1 0zM135.1 320h-15.1C106.7 320 96 309.3 96 296S106.7 272 119.1 272h15.1c13.25 0 23.1 10.75 23.1 24S149.2 320 135.1 320zM119.1 240C106.7 240 96 229.3 96 216S106.7 192 119.1 192h95.99c13.25 0 23.1 10.75 23.1 24S229.2 239.1 215.1 239.1L119.1 240zM295.1 320H215.1c-13.25 0-23.1-10.75-23.1-24S202.7 272 215.1 272h79.99c13.25 0 23.1 10.75 23.1 24S309.2 320 295.1 320zM391.1 320h-15.1c-13.25 0-23.1-10.75-23.1-24s10.75-24 23.1-24h15.1c13.25 0 23.1 10.75 23.1 24S405.2 320 391.1 320zM391.1 240h-95.99c-13.25 0-23.1-10.75-23.1-24S282.7 192 295.1 192h95.99c13.25 0 23.1 10.75 23.1 24S405.2 240 391.1 240z"],
    "message-check": [512, 512, ["comment-alt-check"], "f4a2", "M447.1 0h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.75 11.25 15.45 19.12 9.7l124.9-93.7h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 0 447.1 0zM347.7 167.6l-96 112C247.4 284.7 241.1 287.7 234.4 287.1C234.1 287.1 233.8 287.1 233.5 287.1c-6.344 0-12.47-2.531-16.97-7.031l-48-48c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0l29.69 29.69l79.13-92.34c8.656-10.06 23.81-11.19 33.84-2.594C355.2 142.4 356.3 157.5 347.7 167.6z"],
    "message-code": [512, 512, [], "e1df", "M448 0H64C28.75 0 0 28.75 0 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96V499.1c0 9.748 11.25 15.45 19.12 9.699L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM216.1 262.2c9.844 8.875 10.64 24.03 1.781 33.91C213.1 301.3 206.6 304 200 304c-5.734 0-11.47-2.031-16.06-6.156l-80-72C98.89 221.3 96 214.8 96 208s2.891-13.28 7.938-17.84l80-72c9.875-8.844 25.03-8.031 33.91 1.781c8.859 9.875 8.062 25.03-1.781 33.91L155.9 208L216.1 262.2zM408.1 225.8l-80 72C323.5 301.1 317.7 304 312 304c-6.562 0-13.09-2.688-17.84-7.938c-8.859-9.875-8.062-25.03 1.781-33.91L356.1 208l-60.19-54.16c-9.844-8.875-10.64-24.03-1.781-33.91c8.875-9.844 24.05-10.62 33.91-1.781l80 72C413.1 194.7 416 201.2 416 208S413.1 221.3 408.1 225.8z"],
    "message-dollar": [512, 512, ["comment-alt-dollar"], "f650", "M448 0H64C28.63 0 0 28.62 0 63.1v287.1C0 387.4 28.63 415.1 64 415.1h96v83.1c0 9.873 11.25 15.52 19.12 9.649L304 415.1H448c35.38 0 64-28.63 64-63.1V63.1C512 28.62 483.4 0 448 0zM326.7 256.4c-4.141 23.89-22.25 39.59-47.8 45.07v11.72c0 12.61-10.23 22.86-22.85 22.86s-22.86-10.25-22.86-22.86V300.8C223.2 298.6 213.4 295.4 204.5 292.3L199.6 290.5C187.7 286.3 181.5 273.3 185.7 261.4c4.215-11.89 17.27-18.07 29.16-13.96l5.107 1.857C228.9 252.5 239.1 256.1 246.1 257.3c15.68 2.428 33.07 .2148 34.64-8.715c1-5.82 1.553-9.035-31.91-18.61L243.1 228C223.3 222.2 176.9 208.6 185.3 159.6C189.5 135.7 207.5 119.7 233.1 114.3V102.9C233.1 90.25 243.4 80 256 80s22.85 10.25 22.85 22.86v12.15c6.23 1.367 12.96 3.188 21.21 6.027c11.93 4.143 18.23 17.18 14.09 29.11c-4.143 11.89-17.21 18.21-29.09 14.11c-6.695-2.322-13.71-4.572-20.11-5.537C249.3 156.3 231.9 158.5 230.4 167.4C229.5 172.5 228.9 176.2 255.9 184.2L262.3 186C287.8 193.3 335.2 206.9 326.7 256.4z"],
    "message-dots": [512, 512, ["comment-alt-dots", "messaging"], "f4a3", "M447.1 0h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.749 11.25 15.45 19.12 9.7l124.9-93.7h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 0 447.1 0zM127.1 239.1c-17.75 0-32-14.25-32-31.1s14.25-31.1 32-31.1s32 14.25 32 31.1S145.7 239.1 127.1 239.1zM255.1 239.1c-17.75 0-32-14.25-32-31.1s14.25-31.1 32-31.1s32 14.25 32 31.1S273.7 239.1 255.1 239.1zM383.1 239.1c-17.75 0-32-14.25-32-31.1s14.25-31.1 32-31.1s32 14.25 32 31.1S401.7 239.1 383.1 239.1z"],
    "message-exclamation": [512, 512, ["comment-alt-exclamation"], "f4a5", "M447.1 0h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.75 11.25 15.45 19.12 9.7l124.9-93.7h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 0 447.1 0zM232 104C232 90.75 242.8 80 256 80s24 10.75 24 24v112c0 13.25-10.75 24-24 24S232 229.3 232 216V104zM256 336c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32s32 14.33 32 32C288 321.7 273.7 336 256 336z"],
    "message-image": [512, 512, ["comment-alt-image"], "e1e0", "M447.1 .0041h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.98c0 9.75 11.25 15.45 19.12 9.7l124.9-93.68h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 .0041 447.1 .0041zM128 96c17.67 0 32 14.33 32 32S145.7 160 128 160S96 145.7 96 128S110.3 96 128 96zM414.1 311.6c-2.785 5.203-8.211 8.442-14.11 8.442h-288c-6.021 0-11.53-3.371-14.26-8.742c-2.73-5.367-2.215-11.81 1.334-16.68l70-96C172.1 194.4 176.9 192 182 192s9.916 2.441 12.93 6.574l22.36 30.66l62.74-94.11C283 130.7 287.1 128 293.3 128s10.35 2.672 13.31 7.125l106.7 160C416.6 300 416.9 306.3 414.1 311.6z"],
    "message-lines": [512, 512, ["comment-alt-lines"], "f4a6", "M447.1 0h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.75 11.25 15.45 19.12 9.7l124.9-93.7h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 0 447.1 0zM264 288h-112C138.8 288 128 277.3 128 264S138.8 240 152 240h112C277.3 240 288 250.8 288 264S277.3 288 264 288zM360 192h-208C138.8 192 128 181.3 128 168S138.8 144 152 144h208C373.3 144 384 154.8 384 168S373.3 192 360 192z"],
    "message-medical": [512, 512, ["comment-alt-medical"], "f7f4", "M447.1 0h-384c-35.38 0-64 28.62-64 63.1v287.1c0 35.38 28.62 63.1 64 63.1h96v83.1c0 4.5 2.5 8.624 6.625 10.75c4 2 8.875 1.651 12.5-1.099l124.9-93.65h144c35.38 0 64-28.62 64-63.1V63.1C511.1 28.62 483.4 0 447.1 0zM368 234c0 8.836-7.164 16-16 16h-54V304c0 8.836-7.163 16-16 16h-52c-8.835 0-16-7.164-16-16V250H160c-8.836 0-16-7.164-16-16v-52c0-8.838 7.164-16 16-16h53.1V112c0-8.838 7.165-16 16-16h52c8.837 0 16 7.162 16 16v54H352c8.836 0 16 7.162 16 16V234z"],
    "message-middle": [512, 512, ["comment-middle-alt"], "e1e1", "M512 63.99v287.1c0 35.25-28.75 63.1-64 63.1h-111.1l-67.22 89.63c-6.4 8.533-19.2 8.533-25.6 0l-67.22-89.63H64c-35.25 0-64-28.75-64-63.1V63.99C0 28.75 28.75 0 64 0h384C483.3 0 512 28.75 512 63.99z"],
    "message-middle-top": [512, 512, ["comment-middle-top-alt"], "e1e2", "M512 160v287.1C512 483.3 483.3 512 448 512H64c-35.25 0-64-28.75-64-63.99V160c0-35.25 28.75-63.1 64-63.1h111.1l67.22-89.63C246.4 2.134 251.2 .0002 256 .0002s9.601 2.134 12.8 6.4l67.22 89.63H448C483.3 96.03 512 124.8 512 160z"],
    "message-minus": [512, 512, ["comment-alt-minus"], "f4a7", "M448 0H64C28.75 0 0 28.75 0 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.75 11.25 15.45 19.12 9.7L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM336 231.1h-160C162.7 231.1 152 221.3 152 208c0-13.26 10.74-23.1 23.1-23.1h160C349.3 184 360 194.7 360 208S349.3 231.1 336 231.1z"],
    "message-music": [512, 512, ["comment-alt-music"], "f8af", "M447.1 .0072h-384c-35.38 0-64 28.62-64 63.1v287.1c0 35.37 28.62 63.1 64 63.1h96v83.1c0 4.5 2.5 8.618 6.625 10.74c4 1.1 8.875 1.581 12.5-1.044l124.9-93.7h144c35.38 0 64-28.62 64-63.1V64C511.1 28.63 483.4 .0072 447.1 .0072zM351.1 255.1c0 17.62-21.5 31.1-48 31.1s-48-14.37-48-31.1s21.5-31.1 48-31.1c5.375 0 10.75 .7556 16 2.005v-76.37L224 187.1L223.1 287.1c0 17.62-21.5 31.1-47.1 31.1s-48-14.37-48-31.1s21.5-31.1 48-31.1C181.4 255.1 186.8 256.7 192 257.1V143.3c0-6.999 4.5-13.12 11.25-15.25l128-47.25C336 79.26 341.4 80.14 345.5 83.14C349.6 86.14 352 90.89 352 96.01L351.1 255.1z"],
    "message-pen": [512, 512, ["comment-alt-edit", "message-edit"], "f4a4", "M447.1 0h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.749 11.25 15.45 19.12 9.7l124.9-93.7h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 0 447.1 0zM215.1 304.9c-1.955 1.957-4.443 3.285-7.152 3.828L152.4 319.9c-4.896 .9804-9.216-3.34-8.238-8.234l11.11-55.53c.543-2.711 1.875-5.203 3.83-7.156l97.61-97.61l56.01 56L215.1 304.9zM359.8 160.2l-24.48 24.47l-56.01-56l24.48-24.48c10.93-10.93 28.66-10.93 39.6 0l16.41 16.41C370.7 131.6 370.7 149.3 359.8 160.2z"],
    "message-plus": [512, 512, ["comment-alt-plus"], "f4a8", "M448 0H64C28.75 0 0 28.75 0 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.75 11.25 15.45 19.12 9.7L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM336 231.1h-56V288C279.1 301.3 269.3 312 256 312c-13.27 0-23.1-10.74-23.1-23.1V231.1H175.1C162.7 231.1 152 221.3 152 208c0-13.26 10.74-23.1 23.1-23.1h56V127.1C232 114.7 242.7 104 256 104s23.1 10.74 23.1 23.1V184h56C349.3 184 360 194.7 360 208S349.3 231.1 336 231.1z"],
    "message-question": [512, 512, [], "e1e3", "M448 0H64C28.63 0 0 28.62 0 63.1v287.1C0 387.4 28.63 415.1 64 415.1h96v83.1c0 9.873 11.25 15.52 19.12 9.649L304 415.1H448c35.38 0 64-28.63 64-63.1V63.1C512 28.62 483.4 0 448 0zM249.1 320C235.4 320 224 308.6 224 294S235.4 268 249.1 268C264.6 268 276 279.4 276 294S264.6 320 249.1 320zM307.7 203.4l-38.33 23.13v1.652c0 10.74-9.168 19.83-20 19.83c-10.83 0-20-9.088-20-19.83V214.1c0-6.609 3.332-13.22 10-17.35l47.5-28.09C292.7 166.2 296 160.4 296 153.8c0-9.914-8.334-18.17-18.33-18.17H234.3c-10 0-18.33 8.26-18.33 18.17c0 10.74-9.166 19.83-20 19.83S176 164.6 176 153.8C176 121.6 201.8 96 234.3 96h43.33C310.2 96 336 121.6 336 153.8C336 173.7 325.2 192.7 307.7 203.4z"],
    "message-quote": [512, 512, ["comment-alt-quote"], "e1e4", "M447.1 .0041h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.98c0 9.75 11.25 15.45 19.12 9.7l124.9-93.68h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 .0041 447.1 .0041zM239.1 232c0 39.7-32.3 71.1-71.1 71.1C154.7 303.1 144 293.3 144 280S154.8 256 168 256C181.2 256 192 245.2 192 232V223.2C189.4 223.6 186.7 224 183.1 224c-30.93 0-56-25.07-56-55.1s25.07-55.1 56-55.1S239.1 137.1 239.1 168L239.1 232zM383.1 232c0 39.7-32.3 71.1-72 71.1C298.7 303.1 288 293.3 288 280S298.8 256 312 256c13.23 0 24-10.77 24-24V223.2c-2.635 .3809-5.269 .8071-8.01 .8071c-30.93 0-56-25.07-56-55.1s25.07-55.1 56-55.1s56 25.07 56 55.1L383.1 232z"],
    "message-slash": [640, 512, ["comment-alt-slash"], "f4a9", "M63.1 351.1c0 35.25 28.75 63.1 63.1 63.1h95.1v83.99c0 9.749 11.25 15.45 19.12 9.7l124.9-93.69l39.37-.0117L63.1 146.9L63.1 351.1zM630.8 469.1l-82.76-64.87c16.77-11.47 27.95-30.46 27.95-52.27V63.1c0-35.25-28.75-63.1-63.1-63.1H127.1c-23.51 0-43.97 12.88-55.07 31.86L38.81 5.128C34.41 1.691 29.19 .0332 24.03 .0332c-7.125 0-14.2 3.137-18.92 9.168c-8.187 10.44-6.365 25.53 4.073 33.7l591.1 463.1c10.5 8.202 25.57 6.333 33.7-4.073C643.1 492.4 641.2 477.3 630.8 469.1z"],
    "message-smile": [512, 512, ["comment-alt-smile"], "f4aa", "M447.1 .0041h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.99c0 9.75 11.25 15.45 19.12 9.7l124.9-93.69h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 .0041 447.1 .0041zM320 112c17.75 0 31.1 14.25 31.1 32s-14.25 31.1-32 31.1S288 161.8 288 144S302.3 112 320 112zM192 112c17.75 0 31.1 14.25 31.1 32S209.8 175.1 192 175.1S160 161.8 160 144S174.3 112 192 112zM362.3 271.3c-26.5 31-65.14 48.74-106.3 48.74c-41.12 0-79.72-17.74-106.2-48.74c-8.5-10-7.5-25.12 2.625-33.75c9.998-8.5 25.25-7.375 33.87 2.75C203.5 260.4 228.9 272 256 272c27.12 0 52.49-11.62 69.74-31.75c8.623-10.12 23.75-11.38 33.74-2.75C369.6 246.1 370.8 261.3 362.3 271.3z"],
    "message-sms": [512, 512, [], "e1e5", "M448-.0004H64c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.98c0 9.75 11.25 15.45 19.12 9.7L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3-.0004 448-.0004zM167.3 239.9C163.9 259.1 146.3 272 121.1 272c-4.031 0-8.25-.3125-12.59-1C101.1 269.8 92.81 266.8 85.5 264.1c-8.312-3-14.06-12.66-11.09-20.97S85 229.1 93.38 232.9c6.979 2.498 14.53 5.449 20.88 6.438C125.7 241.1 135 239 135.8 234.4c1.053-5.912-10.84-8.396-24.56-12.34c-12.12-3.531-44.28-12.97-38.63-46c4.062-23.38 27.31-35.91 58-31.09c5.906 .9062 12.44 2.844 18.59 4.969c8.344 2.875 12.78 12 9.906 20.34C156.3 178.7 147.2 183.1 138.8 180.2c-4.344-1.5-8.938-2.938-13.09-3.594c-11.22-1.656-20.72 .4062-21.5 4.906C103.2 187.2 113.6 189.5 124.4 192.6C141.4 197.5 173.1 206.5 167.3 239.9zM320 256c0 8.844-7.156 16-16 16S288 264.8 288 256V208l-19.19 25.59c-6.062 8.062-19.56 8.062-25.62 0L224 208V256c0 8.844-7.156 16-16 16S192 264.8 192 256V160c0-6.875 4.406-13 10.94-15.19c6.5-2.094 13.72 .0625 17.88 5.594L256 197.3l35.19-46.94c4.156-5.531 11.41-7.656 17.88-5.594C315.6 147 320 153.1 320 160V256zM439.3 239.9C435.9 259.1 418.3 272 393.1 272c-4.031 0-8.25-.3125-12.59-1c-8.25-1.25-16.56-4.25-23.88-6.906c-8.312-3-14.06-12.66-11.09-20.97s10.59-13.16 18.97-10.19c6.979 2.498 14.53 5.449 20.88 6.438c11.44 1.719 20.78-.375 21.56-4.938c1.053-5.912-10.84-8.396-24.56-12.34c-12.12-3.531-44.28-12.97-38.63-46c4.031-23.38 27.25-35.91 58-31.09c5.906 .9062 12.44 2.844 18.59 4.969c8.344 2.875 12.78 12 9.906 20.34c-2.875 8.344-11.94 12.81-20.34 9.906c-4.344-1.5-8.938-2.938-13.09-3.594c-11.19-1.656-20.72 .4062-21.5 4.906C375.2 187.2 385.6 189.5 396.4 192.6C413.4 197.5 445.1 206.5 439.3 239.9z"],
    "message-text": [512, 512, ["comment-alt-text"], "e1e6", "M448-.0004H64c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.98c0 9.75 11.25 15.45 19.12 9.7L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3-.0004 448-.0004zM344 159.1L280 160v136C280 309.3 269.3 320 256 320S232 309.3 232 296V160l-64-.0004c-13.25 0-24-10.75-24-23.1S154.8 112 168 112h176c13.25 0 24 10.75 24 24S357.3 159.1 344 159.1z"],
    "message-xmark": [512, 512, ["comment-alt-times", "message-times"], "f4ab", "M448 0H64C28.75 0 0 28.75 0 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1c0 9.75 11.25 15.45 19.12 9.7L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM336.1 255c9.375 9.375 9.375 24.56 0 33.94c-9.383 9.379-24.56 9.371-33.94 0L256 241.9L208.1 288.1c-9.383 9.379-24.56 9.371-33.94 0c-9.375-9.375-9.375-24.56 0-33.94L222.1 208L175 160.1c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0L256 174.1l47.03-47.03c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94L289.9 208L336.1 255z"],
    "messages": [640, 512, ["comments-alt"], "f4b6", "M416 256V63.1C416 28.75 387.3 0 352 0H64C28.75 0 0 28.75 0 63.1v192C0 291.2 28.75 320 64 320l32 .0106v54.25c0 7.998 9.125 12.62 15.5 7.875l82.75-62.12L352 319.9C387.3 320 416 291.2 416 256zM576 128H448v128c0 52.87-43.13 95.99-96 95.99l-96 .0013v31.98c0 35.25 28.75 63.1 63.1 63.1l125.8-.0073l82.75 62.12C534.9 514.8 544 510.2 544 502.2v-54.24h32c35.25 0 64-28.75 64-63.1V191.1C640 156.7 611.3 128 576 128z"],
    "messages-dollar": [640, 512, ["comments-alt-dollar"], "f652", "M576 128H448v128c0 52.87-43.13 95.99-96 95.99l-96 .0013v31.98c0 35.25 28.75 63.1 63.1 63.1l125.8-.0073l82.75 62.12C534.9 514.8 544 510.2 544 502.2v-54.24h32c35.25 0 64-28.75 64-63.1V191.1C640 156.7 611.3 128 576 128zM416 256V63.1C416 28.75 387.3 0 352 0H64C28.75 0 0 28.75 0 63.1v192C0 291.2 28.75 320 64 320l32 .0106v54.25c0 7.998 9.125 12.62 15.5 7.875l82.75-62.12L352 319.9C387.3 320 416 291.2 416 256zM269.8 202.3C266.2 223.2 250.4 236.1 228 241.7V252c0 11.03-8.953 20-20 20s-20-8.969-20-20V241.2c-8.682-1.922-17.3-4.723-25.06-7.512l-4.266-1.5C148.3 228.5 142.8 217.1 146.5 206.7c3.688-10.41 15.11-15.81 25.52-12.22l4.469 1.625c7.844 2.812 16.72 6 23.66 7.031C213.8 205.3 229 203.3 230.4 195.5C231.3 190.4 231.8 187.6 202.5 179.2L196.7 177.5c-17.33-5.094-57.92-17-50.52-59.84C149.8 96.75 165.6 82.76 188 77.99V68c0-11.03 8.953-20 20-20s20 8.969 20 20v10.63c5.453 1.195 11.34 2.789 18.56 5.273C257 87.53 262.5 98.94 258.9 109.4C255.3 119.8 243.8 125.3 233.4 121.7c-5.859-2.031-12-4-17.59-4.844C202.2 114.8 186.1 116.7 185.6 124.5C184.8 128.1 184.3 132.2 207.1 139.2L213.5 140.8C235.8 147.1 277.3 159 269.8 202.3z"],
    "messages-question": [640, 512, [], "e1e7", "M576 128H448v128c0 52.87-43.13 95.99-96 95.99l-96 .0013v31.98c0 35.25 28.75 63.1 63.1 63.1l125.8-.0073l82.75 62.12C534.9 514.8 544 510.2 544 502.2v-54.24h32c35.25 0 64-28.75 64-63.1V191.1C640 156.7 611.3 128 576 128zM416 256V63.1C416 28.75 387.3 0 352 0H64C28.75 0 0 28.75 0 63.1v192C0 291.2 28.75 320 64 320l32 .0106v54.25c0 7.998 9.125 12.62 15.5 7.875l82.75-62.12L352 319.9C387.3 320 416 291.2 416 256zM208.5 268.5C194.7 268.5 184 257.8 184 244c0-13.77 10.71-24.47 24.47-24.47c13.77 0 24.47 10.71 24.47 24.47C232.9 257.8 222.2 268.5 208.5 268.5zM261.1 158.9l-35.18 21.41v1.529c0 9.941-8.412 18.35-18.35 18.35S190.1 191.8 190.1 181.9V169.6c0-6.117 3.059-12.23 9.176-16.06l43.59-26c5.354-3.059 8.412-8.412 8.412-14.53c0-9.178-7.648-16.82-16.82-16.82H194.7c-9.178 0-16.82 7.646-16.82 16.82c0 9.941-8.412 18.35-18.35 18.35c-9.941 0-18.35-8.412-18.35-18.35c0-29.82 23.71-53.53 53.53-53.53h39.76C264.3 59.53 288 83.23 288 113.1C288 131.4 278.1 149 261.1 158.9z"],
    "meteor": [512, 512, [9732], "f753", "M511.4 20.72c-11.63 38.75-34.38 111.8-61.38 187.8c7 2.125 13.38 4 18.63 5.625c4.625 1.375 8.375 4.751 10.13 9.127c1.875 4.5 1.625 9.501-.625 13.75c-22.13 42.25-82.63 152.8-142.5 214.4c-1 1.125-2.001 2.5-3.001 3.5c-76 76.13-199.4 76.13-275.5 .125c-76.13-76.13-76.13-199.5 0-275.7c1-1 2.375-2 3.5-3C122.1 116.5 232.5 55.97 274.1 33.84c4.25-2.25 9.25-2.5 13.63-.625c4.5 1.875 7.875 5.626 9.25 10.13c1.625 5.125 3.5 11.63 5.625 18.63c75.88-27 148.9-49.75 187.6-61.25c5.75-1.75 11.88-.2503 16.13 4C511.5 8.844 512.1 15.09 511.4 20.72zM319.1 319.1c0-70.63-57.38-128-128-128c-70.75 0-128 57.38-128 128c0 70.76 57.25 128 128 128C262.6 448 319.1 390.8 319.1 319.1zM191.1 287.1c0 17.63-14.37 32-32 32c-17.75 0-32-14.38-32-32s14.25-32 32-32c8.5 0 16.63 3.375 22.63 9.375S191.1 279.5 191.1 287.1zM223.9 367.1c0 8.876-7.224 16-15.97 16c-8.875 0-16-7.127-16-16c0-8.876 7.1-16 15.98-16C216.7 351.1 223.9 359.1 223.9 367.1z"],
    "meter": [512, 512, [], "e1e8", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM192 160C192 142.3 177.7 128 160 128C142.3 128 128 142.3 128 160V192C128 209.7 142.3 224 160 224C177.7 224 192 209.7 192 192V160zM288 160C288 142.3 273.7 128 256 128C238.3 128 224 142.3 224 160V192C224 209.7 238.3 224 256 224C273.7 224 288 209.7 288 192V160zM384 160C384 142.3 369.7 128 352 128C334.3 128 320 142.3 320 160V192C320 209.7 334.3 224 352 224C369.7 224 384 209.7 384 192V160z"],
    "meter-bolt": [640, 512, [], "e1e9", "M0 256C0 114.6 114.6 0 256 0C392.1 0 504.8 107.5 511.7 242.8L402 330.5C386.1 343.3 379.1 364.7 386.7 383.9C393.5 403.1 411.6 416 432 416H450.3L442.8 431C396.1 480.9 329.7 512 256 512C114.6 512 0 397.4 0 256H0zM192 160C192 142.3 177.7 128 160 128C142.3 128 128 142.3 128 160V192C128 209.7 142.3 224 160 224C177.7 224 192 209.7 192 192V160zM288 160C288 142.3 273.7 128 256 128C238.3 128 224 142.3 224 160V192C224 209.7 238.3 224 256 224C273.7 224 288 209.7 288 192V160zM384 160C384 142.3 369.7 128 352 128C334.3 128 320 142.3 320 160V192C320 209.7 334.3 224 352 224C369.7 224 384 209.7 384 192V160zM602.1 227.6C607.9 232.3 609.7 240.4 606.3 247.2L553.9 352H624C630.8 352 636.9 356.3 639.1 362.7C641.3 369.1 639.3 376.2 633.1 380.5L473.1 508.5C468.1 513.2 459.8 513.2 453.9 508.4C448.1 503.7 446.3 495.6 449.7 488.8L502.1 384H432C425.2 384 419.2 379.7 416.9 373.3C414.7 366.9 416.7 359.8 422 355.5L582 227.5C587.9 222.8 596.2 222.8 602.1 227.6V227.6z"],
    "meter-droplet": [640, 512, [], "e1ea", "M0 256C0 114.6 114.6 0 256 0C366.8 0 461.2 70.43 496.8 168.1C488.3 174.3 481.1 181.9 476.2 191.1L400.9 332.2C389.8 353.1 384 376.4 384 400C384 424.3 390 447.2 400.6 467.3C359.5 495.5 309.7 512 256 512C114.6 512 0 397.4 0 256V256zM192 160C192 142.3 177.7 128 160 128C142.3 128 128 142.3 128 160V192C128 209.7 142.3 224 160 224C177.7 224 192 209.7 192 192V160zM288 160C288 142.3 273.7 128 256 128C238.3 128 224 142.3 224 160V192C224 209.7 238.3 224 256 224C273.7 224 288 209.7 288 192V160zM384 160C384 142.3 369.7 128 352 128C334.3 128 320 142.3 320 160V192C320 209.7 334.3 224 352 224C369.7 224 384 209.7 384 192V160zM528 192C537.8 192 546.9 197.4 551.5 206.1L626.8 347.3C635.5 363.5 640 381.6 640 400C640 461.9 589.9 512 528 512C466.1 512 416 461.9 416 400C416 381.6 420.5 363.5 429.2 347.3L504.5 206.1C509.1 197.4 518.2 192 528 192H528z"],
    "meter-fire": [640, 512, [], "e1eb", "M0 256C0 114.6 114.6 0 256 0C361.7 0 452.5 64.07 491.5 155.5C486.1 150.2 480.6 145.1 474.1 139.1C457.3 124 430.2 123.1 412.5 139.9C402.5 148.7 393 157.9 384 167.4V160C384 142.3 369.7 128 352 128C334.3 128 320 142.3 320 160V192C320 205.2 327.9 216.5 339.3 221.4C334.3 228.5 329.5 235.6 325.2 242.7C304.3 276.5 288 314.9 288 350.1C288 406.2 312.1 457.9 351.1 493.7C321.7 505.5 289.6 512 256 512C114.6 512 0 397.4 0 256zM192 160C192 142.3 177.7 128 160 128C142.3 128 128 142.3 128 160V192C128 209.7 142.3 224 160 224C177.7 224 192 209.7 192 192V160zM288 160C288 142.3 273.7 128 256 128C238.3 128 224 142.3 224 160V192C224 209.7 238.3 224 256 224C273.7 224 288 209.7 288 192V160zM509 221.3C516.9 211.5 525.8 200.6 535.5 191.8C541.1 186.7 549.9 186.7 555.5 191.9C580.2 214.6 601.1 244.5 615.8 273C630.4 301.1 640 329.8 640 349.9C640 437.8 568.7 511.9 480 511.9C390.3 511.9 320 437.7 320 349.9C320 323.5 332.7 291.3 352.4 259.4C372.4 227 400.5 193.3 433.8 163.6C439.4 158.6 447.1 158.6 453.5 163.6C473.3 181.4 491.8 200.6 509 221.3V221.3zM550 336.9C548 332.9 546 328.9 543 324.9L507 366.9C507 366.9 448.1 292.9 444.1 287.9C415 324.9 400 345.9 400 369.9C400 418.9 436 447.9 480.1 447.9C499 447.9 515 442.9 530 432.9C560 411.9 568 369.9 550 336.9z"],
    "microchip": [512, 512, [], "f2db", "M160 352h192V160H160V352zM448 176h48C504.8 176 512 168.8 512 160s-7.162-16-16-16H448V128c0-35.35-28.65-64-64-64h-16V16C368 7.164 360.8 0 352 0c-8.836 0-16 7.164-16 16V64h-64V16C272 7.164 264.8 0 256 0C247.2 0 240 7.164 240 16V64h-64V16C176 7.164 168.8 0 160 0C151.2 0 144 7.164 144 16V64H128C92.65 64 64 92.65 64 128v16H16C7.164 144 0 151.2 0 160s7.164 16 16 16H64v64H16C7.164 240 0 247.2 0 256s7.164 16 16 16H64v64H16C7.164 336 0 343.2 0 352s7.164 16 16 16H64V384c0 35.35 28.65 64 64 64h16v48C144 504.8 151.2 512 160 512c8.838 0 16-7.164 16-16V448h64v48c0 8.836 7.164 16 16 16c8.838 0 16-7.164 16-16V448h64v48c0 8.836 7.164 16 16 16c8.838 0 16-7.164 16-16V448H384c35.35 0 64-28.65 64-64v-16h48c8.838 0 16-7.164 16-16s-7.162-16-16-16H448v-64h48C504.8 272 512 264.8 512 256s-7.162-16-16-16H448V176zM384 368c0 8.836-7.162 16-16 16h-224C135.2 384 128 376.8 128 368v-224C128 135.2 135.2 128 144 128h224C376.8 128 384 135.2 384 144V368z"],
    "microchip-ai": [512, 512, [], "e1ec", "M496 272C504.8 272 512 264.8 512 256s-7.162-16-16-16H448v-64h48C504.8 176 512 168.8 512 160s-7.162-16-16-16H448V128c0-35.35-28.65-64-64-64h-16V16C368 7.164 360.8 0 352 0c-8.836 0-16 7.164-16 16V64h-64V16C272 7.164 264.8 0 256 0C247.2 0 240 7.164 240 16V64h-64V16C176 7.164 168.8 0 160 0C151.2 0 144 7.164 144 16V64H128C92.65 64 64 92.65 64 128v16H16C7.164 144 0 151.2 0 160s7.164 16 16 16H64v64H16C7.164 240 0 247.2 0 256s7.164 16 16 16H64v64H16C7.164 336 0 343.2 0 352s7.164 16 16 16H64V384c0 35.35 28.65 64 64 64h16v48C144 504.8 151.2 512 160 512c8.838 0 16-7.164 16-16V448h64v48c0 8.836 7.164 16 16 16c8.838 0 16-7.164 16-16V448h64v48c0 8.836 7.164 16 16 16c8.838 0 16-7.164 16-16V448H384c35.35 0 64-28.65 64-64v-16h48c8.838 0 16-7.164 16-16s-7.162-16-16-16H448v-64H496zM270.4 334.7C268.3 335.6 266.2 336 264 336c-6.156 0-12.04-3.578-14.66-9.594L239.5 304H176.5l-9.805 22.41c-3.531 8.125-12.94 11.83-21.06 8.25C137.5 331.1 133.8 321.7 137.3 313.6l56-128c5.062-11.66 24.25-11.66 29.31 0l56 128C282.2 321.7 278.5 331.1 270.4 334.7zM352 320c0 8.844-7.156 16-16 16S320 328.8 320 320V192c0-8.844 7.156-16 16-16S352 183.2 352 192V320zM190.5 272h35.07L208 231.9L190.5 272z"],
    "microphone": [384, 512, [], "f130", "M192 352c53.03 0 96-42.97 96-96v-160c0-53.03-42.97-96-96-96s-96 42.97-96 96v160C96 309 138.1 352 192 352zM344 192C330.7 192 320 202.7 320 215.1V256c0 73.33-61.97 132.4-136.3 127.7c-66.08-4.169-119.7-66.59-119.7-132.8L64 215.1C64 202.7 53.25 192 40 192S16 202.7 16 215.1v32.15c0 89.66 63.97 169.6 152 181.7V464H128c-18.19 0-32.84 15.18-31.96 33.57C96.43 505.8 103.8 512 112 512h160c8.222 0 15.57-6.216 15.96-14.43C288.8 479.2 274.2 464 256 464h-40v-33.77C301.7 418.5 368 344.9 368 256V215.1C368 202.7 357.3 192 344 192z"],
    "microphone-lines": [384, 512, [127897, "microphone-alt"], "f3c9", "M192 352c53.03 0 96-42.97 96-96h-80C199.2 256 192 248.8 192 240S199.2 224 208 224H288V192h-80C199.2 192 192 184.8 192 176S199.2 160 208 160H288V127.1h-80c-8.836 0-16-7.164-16-16s7.164-16 16-16L288 96c0-53.03-42.97-96-96-96s-96 42.97-96 96v160C96 309 138.1 352 192 352zM344 192C330.7 192 320 202.7 320 215.1V256c0 73.33-61.97 132.4-136.3 127.7c-66.08-4.169-119.7-66.59-119.7-132.8L64 215.1C64 202.7 53.25 192 40 192S16 202.7 16 215.1v32.15c0 89.66 63.97 169.6 152 181.7V464H128c-18.19 0-32.84 15.18-31.96 33.57C96.43 505.8 103.8 512 112 512h160c8.222 0 15.57-6.216 15.96-14.43C288.8 479.2 274.2 464 256 464h-40v-33.77C301.7 418.5 368 344.9 368 256V215.1C368 202.7 357.3 192 344 192z"],
    "microphone-lines-slash": [640, 512, ["microphone-alt-slash"], "f539", "M383.1 464l-39.1-.0001v-33.77c20.6-2.824 39.99-9.402 57.69-18.72l-43.26-33.91c-14.66 4.65-30.28 7.179-46.68 6.144C245.7 379.6 191.1 317.1 191.1 250.9v-3.777L143.1 209.5l.0001 38.61c0 89.65 63.97 169.6 151.1 181.7v34.15l-40 .0001c-17.67 0-31.1 14.33-31.1 31.1C223.1 504.8 231.2 512 239.1 512h159.1c8.838 0 15.1-7.164 15.1-15.1C415.1 478.3 401.7 464 383.1 464zM630.8 469.1l-159.3-124.9c15.37-25.94 24.53-55.91 24.53-88.21V216c0-13.25-10.75-24-23.1-24c-13.25 0-24 10.75-24 24l-.0001 39.1c0 21.12-5.557 40.77-14.77 58.24l-25.73-20.16c5.234-11.68 8.493-24.42 8.493-38.08l-57.07 .0006l-34.45-27c2.914-3.055 6.969-4.999 11.52-4.999h79.1V192L335.1 192c-8.836 0-15.1-7.164-15.1-15.1s7.164-16 15.1-16l79.1 .0013V128l-79.1-.0015c-8.836 0-15.1-7.164-15.1-15.1s7.164-15.1 15.1-15.1l80-.0003c0-54-44.56-97.57-98.93-95.95C264.5 1.614 223.1 47.45 223.1 100l.0006 50.23L38.81 5.111C34.41 1.673 29.19 0 24.03 0C16.91 0 9.84 3.158 5.121 9.189C-3.067 19.63-1.249 34.72 9.189 42.89l591.1 463.1c10.5 8.203 25.57 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1z"],
    "microphone-slash": [640, 512, [], "f131", "M383.1 464l-39.1-.0001v-33.77c20.6-2.824 39.98-9.402 57.69-18.72l-43.26-33.91c-14.66 4.65-30.28 7.179-46.68 6.144C245.7 379.6 191.1 317.1 191.1 250.9V247.2L143.1 209.5l.0001 38.61c0 89.65 63.97 169.6 151.1 181.7v34.15l-40 .0001c-17.67 0-31.1 14.33-31.1 31.1C223.1 504.8 231.2 512 239.1 512h159.1c8.838 0 15.1-7.164 15.1-15.1C415.1 478.3 401.7 464 383.1 464zM630.8 469.1l-159.3-124.9c15.37-25.94 24.53-55.91 24.53-88.21V216c0-13.25-10.75-24-23.1-24c-13.25 0-24 10.75-24 24l-.0001 39.1c0 21.12-5.559 40.77-14.77 58.24l-25.72-20.16c5.234-11.68 8.493-24.42 8.493-38.08l-.001-155.1c0-52.57-40.52-98.41-93.07-99.97c-54.37-1.617-98.93 41.95-98.93 95.95l0 54.25L38.81 5.111C34.41 1.673 29.19 0 24.03 0C16.91 0 9.839 3.158 5.12 9.189c-8.187 10.44-6.37 25.53 4.068 33.7l591.1 463.1c10.5 8.203 25.57 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1z"],
    "microphone-stand": [512, 512, [127908], "f8cb", "M289.5 60.47c-23.75 23.88-34.5 55.63-33 86.75l108.3 108.3c31.13 1.5 62.88-9.25 86.76-33l2.125-2.25L291.8 58.35L289.5 60.47zM6.73 423.1c-9.376 10.63-8.876 26.63 1 36.63l44.51 44.38c9.876 10 26 10.5 36.63 1.125l135.1-119.4l-.0002 110.1C224 504.9 231.1 512 240 512l31.98-.0023c8.876 0 16.02-7.146 16.02-16.02l.0016-166.5l56.01-49.5L232 167.1L6.73 423.1zM478.5 33.47c-44.75-44.63-117.3-44.63-162 0l-2.125 2.25l161.9 161.9l2.251-2.125C523.2 150.7 523.2 78.22 478.5 33.47z"],
    "microscope": [512, 512, [128300], "f610", "M160 320h12v16c0 8.875 7.125 16 16 16h40c8.875 0 16-7.125 16-16V320H256c17.62 0 32-14.38 32-32V64c0-17.62-14.38-32-32-32V16C256 7.125 248.9 0 240 0h-64C167.1 0 160 7.125 160 16V32C142.4 32 128 46.38 128 64v224C128 305.6 142.4 320 160 320zM464 448h-1.25C493.2 414 512 369.2 512 320c0-105.9-86.13-192-192-192v64c70.63 0 128 57.38 128 128s-57.38 128-128 128H48C21.5 448 0 469.5 0 496C0 504.9 7.125 512 16 512h480c8.875 0 16-7.125 16-16C512 469.5 490.5 448 464 448zM104 416h208c4.375 0 8-3.625 8-8v-16c0-4.375-3.625-8-8-8h-208C99.63 384 96 387.6 96 392v16C96 412.4 99.63 416 104 416z"],
    "microwave": [576, 512, [], "e01b", "M0 96C0 60.65 28.65 32 64 32H512C547.3 32 576 60.65 576 96V384C576 419.3 547.3 448 512 448C512 465.7 497.7 480 480 480C462.3 480 448 465.7 448 448H128C128 465.7 113.7 480 96 480C78.33 480 64 465.7 64 448C28.65 448 0 419.3 0 384V96zM96 328C96 341.3 106.7 352 120 352H392C405.3 352 416 341.3 416 328V152C416 138.7 405.3 128 392 128H120C106.7 128 96 138.7 96 152V328zM496 112C487.2 112 480 119.2 480 128V352C480 360.8 487.2 368 496 368C504.8 368 512 360.8 512 352V128C512 119.2 504.8 112 496 112z"],
    "mill-sign": [384, 512, [], "e1ed", "M282.9 96.53C339.7 102 384 149.8 384 208V416C384 433.7 369.7 448 352 448C334.3 448 320 433.7 320 416V208C320 181.5 298.5 160 272 160C267.7 160 263.6 160.6 259.7 161.6L224 261.5V416C224 433.7 209.7 448 192 448C179.6 448 168.9 440.1 163.6 430.7L142.1 490.8C136.2 507.4 117.9 516.1 101.2 510.1C84.59 504.2 75.92 485.9 81.86 469.2L160 250.5V208C160 181.5 138.5 160 112 160C85.49 160 64 181.5 64 208V416C64 433.7 49.67 448 32 448C14.33 448 0 433.7 0 416V128C0 110.3 14.33 96 32 96C42.87 96 52.48 101.4 58.26 109.7C74.21 100.1 92.53 96 112 96C143.3 96 171.7 108.9 192 129.6C196.9 124.6 202.2 120.1 207.1 116.1L241.9 21.24C247.8 4.595 266.1-4.079 282.8 1.865C299.4 7.809 308.1 26.12 302.1 42.76L282.9 96.53z"],
    "minimize": [512, 512, ["compress-arrows-alt"], "f78c", "M200 287.1H64c-12.94 0-24.62 7.797-29.56 19.75c-4.969 11.97-2.219 25.72 6.937 34.87l30.06 30.06l-62.06 62.07c-12.49 12.5-12.5 32.75-.0012 45.25l22.62 22.62c12.5 12.5 32.76 12.5 45.26 .0012l62.06-62.07l30.06 30.06c6.125 6.125 14.31 9.375 22.62 9.375c4.125 0 8.281-.7969 12.25-2.437c11.97-4.953 19.75-16.62 19.75-29.56V311.1C224 298.7 213.3 287.1 200 287.1zM312 224h135.1c12.94 0 24.62-7.797 29.56-19.75c4.969-11.97 2.219-25.72-6.937-34.87l-30.06-30.06l62.06-62.07c12.5-12.5 12.5-32.76 .0003-45.26l-22.62-22.62c-12.5-12.5-32.76-12.5-45.26-.0003l-62.06 62.07l-30.06-30.06c-9.156-9.141-22.87-11.84-34.87-6.937C295.8 39.39 288 51.06 288 64v135.1C288 213.3 298.7 224 312 224zM204.3 34.44C192.3 29.47 178.5 32.22 169.4 41.38L139.3 71.44L77.25 9.374C64.75-3.123 44.49-3.123 31.1 9.374l-22.63 22.63c-12.49 12.49-12.49 32.75 .0018 45.25l62.07 62.06L41.38 169.4C35.25 175.5 32 183.7 32 192c0 4.125 .7969 8.281 2.438 12.25C39.39 216.2 51.07 224 64 224h135.1c13.25 0 23.1-10.75 23.1-23.1V64C224 51.06 216.2 39.38 204.3 34.44zM440.6 372.7l30.06-30.06c9.141-9.156 11.84-22.88 6.938-34.87C472.6 295.8 460.9 287.1 448 287.1h-135.1c-13.25 0-23.1 10.75-23.1 23.1v135.1c0 12.94 7.797 24.62 19.75 29.56c11.97 4.969 25.72 2.219 34.87-6.937l30.06-30.06l62.06 62.06c12.5 12.5 32.76 12.5 45.26 .0002l22.62-22.62c12.5-12.5 12.5-32.76 .0002-45.26L440.6 372.7z"],
    "minus": [448, 512, [8722, 10134, 8211, "subtract"], "f068", "M400 288h-352c-17.69 0-32-14.32-32-32.01s14.31-31.99 32-31.99h352c17.69 0 32 14.3 32 31.99S417.7 288 400 288z"],
    "mistletoe": [576, 512, [], "f7b4", "M371.1 119.9C396.3 119.9 416 100.3 416 75.97C416 51.62 396.3 32 371.1 32C347.7 32 328 51.68 328 76.04C328 100.3 347.7 119.9 371.1 119.9zM542.1 261.4c-26-26.01-89.63-38.63-130.9-44.13l-99.26-100.1c-8.377-12.13-13.25-26.63-13.25-42.39c0-15.88 5-30.38 13.25-42.51l.0215-8.256C311.1 10.8 301.2 0 287.1 0C274.8 0 263.1 10.8 263.1 24L263.9 118.2L164.8 217.3c-41.25 5.5-104.9 18.12-130.9 44.13c-40 40.01-45.38 99.4-12.13 132.8c33.38 33.26 92.88 27.88 132.8-12.12c11.38-11.38 20.13-30.26 26.88-51.02c8.624 15.66 27.04 25.39 47.43 18.78c12.59-4.082 22.62-14.78 25.8-27.63c6.578-26.6-13.23-50.26-38.7-50.26c-8.25 0-15.34 3.062-21.72 7.316c1.875-10 3.437-19.6 4.437-28.22L263.9 185.8v72.89c15.41 13.83 24.99 34.18 23.92 56.67c-1.212 25.57-17.92 47.67-40.39 59.93c-19.36 10.57-35.11 9.962-49.29 6.183c-3.75 9.875-6.252 19.51-6.252 28.14C191.9 466.2 234.1 512 287.1 512c53 0 95.99-45.75 95.99-102.4c0-38.14-43.63-94.68-72.01-127.3l.0039-96.38l65.26 65.27c5.5 41.26 18.13 104.9 44.13 130.9c40 40.01 99.38 45.38 132.8 12.12C587.5 360.8 582.1 301.4 542.1 261.4z"],
    "mitten": [448, 512, [], "f7b5", "M351.1 416H63.99c-17.6 0-31.1 14.4-31.1 31.1l.0026 31.1C31.1 497.6 46.4 512 63.1 512h288c17.6 0 32-14.4 32-31.1l-.0049-31.1C383.1 430.4 369.6 416 351.1 416zM425 206.9c-27.25-22.62-67.5-19-90.13 8.25l-20.88 25L284.4 111.8c-18-77.5-95.38-125.1-172.8-108C34.26 21.63-14.25 98.88 3.754 176.4L64 384h288l81.14-86.1C455.8 269.8 452.1 229.5 425 206.9z"],
    "mobile": [384, 512, [128241, "mobile-android", "mobile-phone"], "f3ce", "M320 0H64C37.5 0 16 21.5 16 48v416C16 490.5 37.5 512 64 512h256c26.5 0 48-21.5 48-48v-416C368 21.5 346.5 0 320 0zM240 447.1C240 456.8 232.8 464 224 464H159.1C151.2 464 144 456.8 144 448S151.2 432 160 432h64C232.8 432 240 439.2 240 447.1z"],
    "mobile-button": [384, 512, [], "f10b", "M320 0H64C37.49 0 16 21.49 16 48v416C16 490.5 37.49 512 64 512h256c26.51 0 48-21.49 48-48v-416C368 21.49 346.5 0 320 0zM192 464c-17.75 0-32-14.25-32-32s14.25-32 32-32s32 14.25 32 32S209.8 464 192 464z"],
    "mobile-notch": [384, 512, ["mobile-iphone"], "e1ee", "M240 384h-96C135.2 384 128 391.2 128 400C128 408.8 135.2 416 144 416h96c8.838 0 16-7.164 16-16C256 391.2 248.8 384 240 384zM288 0H96C51.82 0 16 35.82 16 80v352C16 476.2 51.82 512 96 512h192c44.18 0 80-35.82 80-80v-352C368 35.82 332.2 0 288 0zM304 432c0 8.822-7.178 16-16 16H96c-8.822 0-16-7.178-16-16v-352C80 71.18 87.18 64 96 64h32v16C128 88.84 135.2 96 144 96h96C248.8 96 256 88.84 256 80V64h32c8.822 0 16 7.178 16 16V432z"],
    "mobile-retro": [320, 512, [], "e527", "M0 64C0 28.65 28.65 0 64 0H256C291.3 0 320 28.65 320 64V448C320 483.3 291.3 512 256 512H64C28.65 512 0 483.3 0 448V64zM64 232C64 245.3 74.75 256 88 256H232C245.3 256 256 245.3 256 232V152C256 138.7 245.3 128 232 128H88C74.75 128 64 138.7 64 152V232zM80 352C93.25 352 104 341.3 104 328C104 314.7 93.25 304 80 304C66.75 304 56 314.7 56 328C56 341.3 66.75 352 80 352zM80 384C66.75 384 56 394.7 56 408C56 421.3 66.75 432 80 432C93.25 432 104 421.3 104 408C104 394.7 93.25 384 80 384zM160 352C173.3 352 184 341.3 184 328C184 314.7 173.3 304 160 304C146.7 304 136 314.7 136 328C136 341.3 146.7 352 160 352zM160 384C146.7 384 136 394.7 136 408C136 421.3 146.7 432 160 432C173.3 432 184 421.3 184 408C184 394.7 173.3 384 160 384zM240 352C253.3 352 264 341.3 264 328C264 314.7 253.3 304 240 304C226.7 304 216 314.7 216 328C216 341.3 226.7 352 240 352zM240 384C226.7 384 216 394.7 216 408C216 421.3 226.7 432 240 432C253.3 432 264 421.3 264 408C264 394.7 253.3 384 240 384zM128 48C119.2 48 112 55.16 112 64C112 72.84 119.2 80 128 80H192C200.8 80 208 72.84 208 64C208 55.16 200.8 48 192 48H128z"],
    "mobile-screen": [384, 512, ["mobile-android-alt"], "f3cf", "M320 0H64C37.5 0 16 21.5 16 48v416C16 490.5 37.5 512 64 512h256c26.5 0 48-21.5 48-48v-416C368 21.5 346.5 0 320 0zM240 447.1C240 456.8 232.8 464 224 464H159.1C151.2 464 144 456.8 144 448S151.2 432 160 432h64C232.8 432 240 439.2 240 447.1zM304 384h-224V64h224V384z"],
    "mobile-screen-button": [384, 512, ["mobile-alt"], "f3cd", "M304 0h-224c-35.35 0-64 28.65-64 64v384c0 35.35 28.65 64 64 64h224c35.35 0 64-28.65 64-64V64C368 28.65 339.3 0 304 0zM192 480c-17.75 0-32-14.25-32-32s14.25-32 32-32s32 14.25 32 32S209.8 480 192 480zM304 64v320h-224V64H304z"],
    "mobile-signal": [512, 512, [], "e1ef", "M144 384C135.2 384 128 391.2 128 400S135.2 416 144 416h64C216.8 416 224 408.8 224 400S216.8 384 208 384H144zM227.3 448H64V64h224v251.1c4.303-4.988 8.613-9.977 13.32-14.68C316.7 285.9 333.8 272.9 352 261.1V48C352 21.5 330.5 0 304 0h-256C21.5 0 0 21.5 0 48v416C0 490.5 21.5 512 48 512h181.6C226.1 504.7 224 496.6 224 487.1C223.1 474.5 225.3 461.1 227.3 448zM512 375.1c0-13.26-10.74-23.1-23.1-23.1c-37.5 0-71.51 15.25-96.13 39.88S352 450.5 352 488C352 501.3 362.7 512 375.1 512s23.1-10.74 23.1-23.1c0-48.53 39.49-88.01 88.01-88.01C501.3 399.1 512 389.3 512 375.1zM487.1 303.1c13.26 0 23.1-10.74 23.1-23.1c0-13.26-10.74-23.1-23.1-23.1c-61.97-.0117-120.2 24.13-164 67.95C280.1 367.8 255.1 426 256 487.1c0 13.26 10.74 24 23.1 24c13.26 0 23.1-10.74 23.1-24c0-49.14 19.15-95.36 53.9-130.1C392.6 323.1 438.9 303.1 487.1 303.1zM457.4 457.4c-12.5 12.5-12.5 32.76 0 45.25c12.5 12.5 32.76 12.5 45.25 0c12.5-12.5 12.5-32.76 0-45.25C490.1 444.9 469.9 444.9 457.4 457.4z"],
    "mobile-signal-out": [512, 512, [], "e1f0", "M310.6 246.6c12.5-12.5 12.5-32.76 0-45.25C304.4 195.1 296.2 191.1 288 191.1s-16.38 3.123-22.63 9.373c-12.5 12.5-12.5 32.76 0 45.25c6.248 6.248 14.44 9.373 22.63 9.373S304.4 252.9 310.6 246.6zM287.1 448h-224V64H224V0H47.1c-26.5 0-48 21.5-48 48v416c0 26.5 21.5 48 48 48h255.1c26.5 0 48-21.5 48-48l.002-176h-64L287.1 448zM144 384C135.2 384 128 391.2 128 400S135.2 416 144 416h64C216.8 416 224 408.8 224 400S216.8 384 208 384H144zM444.1 67.95C400.2 24.14 341.1 0 280 0c-13.26 0-24.03 10.74-24.03 23.1c0 13.26 10.74 23.1 23.1 23.1c49.14 0 95.36 19.15 130.1 53.89c34.75 34.75 53.89 80.96 53.89 130.1c0 13.26 10.74 23.1 23.1 23.1C501.3 255.1 512 245.3 512 231.1C512 170 487.9 111.8 444.1 67.95zM279.1 96c-13.26 0-24 10.74-24 23.1s10.74 23.1 23.1 23.1c48.53 0 88.01 39.49 88.01 88.01c0 13.26 10.74 23.1 23.1 23.1S416 245.3 416 232c0-37.5-15.25-71.5-39.88-96.13S317.5 96 279.1 96z"],
    "money-bill": [576, 512, [], "f0d6", "M512 64C547.3 64 576 92.65 576 128V384C576 419.3 547.3 448 512 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H512zM128 384C128 348.7 99.35 320 64 320V384H128zM64 192C99.35 192 128 163.3 128 128H64V192zM512 384V320C476.7 320 448 348.7 448 384H512zM512 128H448C448 163.3 476.7 192 512 192V128zM288 352C341 352 384 309 384 256C384 202.1 341 160 288 160C234.1 160 192 202.1 192 256C192 309 234.1 352 288 352z"],
    "money-bill-1": [576, 512, ["money-bill-alt"], "f3d1", "M252 208C252 196.1 260.1 188 272 188H288C299 188 308 196.1 308 208V276H312C323 276 332 284.1 332 296C332 307 323 316 312 316H264C252.1 316 244 307 244 296C244 284.1 252.1 276 264 276H268V227.6C258.9 225.7 252 217.7 252 208zM512 64C547.3 64 576 92.65 576 128V384C576 419.3 547.3 448 512 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H512zM128 384C128 348.7 99.35 320 64 320V384H128zM64 192C99.35 192 128 163.3 128 128H64V192zM512 384V320C476.7 320 448 348.7 448 384H512zM512 128H448C448 163.3 476.7 192 512 192V128zM288 144C226.1 144 176 194.1 176 256C176 317.9 226.1 368 288 368C349.9 368 400 317.9 400 256C400 194.1 349.9 144 288 144z"],
    "money-bill-1-wave": [576, 512, ["money-bill-wave-alt"], "f53b", "M251.1 207.1C251.1 196.1 260.1 187.1 271.1 187.1H287.1C299 187.1 308 196.1 308 207.1V275.1H312C323 275.1 332 284.1 332 295.1C332 307 323 315.1 312 315.1H263.1C252.1 315.1 243.1 307 243.1 295.1C243.1 284.1 252.1 275.1 263.1 275.1H267.1V227.6C258.9 225.7 251.1 217.7 251.1 207.1zM48.66 79.13C128.4 100.9 208.2 80.59 288 60.25C375 38.08 462 15.9 549 48.38C565.9 54.69 576 71.62 576 89.66V399.5C576 423.4 550.4 439.2 527.3 432.9C447.6 411.1 367.8 431.4 288 451.7C200.1 473.9 113.1 496.1 26.97 463.6C10.06 457.3 0 440.4 0 422.3V112.5C0 88.59 25.61 72.83 48.66 79.13L48.66 79.13zM127.1 416C127.1 380.7 99.35 352 63.1 352V416H127.1zM63.1 223.1C99.35 223.1 127.1 195.3 127.1 159.1H63.1V223.1zM512 352V287.1C476.7 287.1 448 316.7 448 352H512zM512 95.1H448C448 131.3 476.7 159.1 512 159.1V95.1zM287.1 143.1C234.1 143.1 191.1 194.1 191.1 255.1C191.1 317.9 234.1 368 287.1 368C341 368 384 317.9 384 255.1C384 194.1 341 143.1 287.1 143.1z"],
    "money-bill-simple": [576, 512, [], "e1f1", "M512 64C547.3 64 576 92.65 576 128V384C576 419.3 547.3 448 512 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H512zM288 352C341 352 384 309 384 256C384 202.1 341 160 288 160C234.1 160 192 202.1 192 256C192 309 234.1 352 288 352z"],
    "money-bill-simple-wave": [576, 512, [], "e1f2", "M48.66 79.13C128.4 100.9 208.2 80.59 288 60.25C375 38.08 462 15.9 549 48.38C565.9 54.69 576 71.62 576 89.66V399.5C576 423.4 550.4 439.2 527.3 432.9C447.6 411.1 367.8 431.4 288 451.7C200.1 473.9 113.1 496.1 26.97 463.6C10.06 457.3 0 440.4 0 422.3V112.5C0 88.59 25.61 72.83 48.66 79.13L48.66 79.13zM287.1 352C332.2 352 368 309 368 255.1C368 202.1 332.2 159.1 287.1 159.1C243.8 159.1 207.1 202.1 207.1 255.1C207.1 309 243.8 352 287.1 352z"],
    "money-bill-transfer": [640, 512, [], "e528", "M535 7.03C544.4-2.343 559.6-2.343 568.1 7.029L632.1 71.02C637.5 75.52 640 81.63 640 87.99C640 94.36 637.5 100.5 632.1 104.1L568.1 168.1C559.6 178.3 544.4 178.3 535 168.1C525.7 159.6 525.7 144.4 535 135L558.1 111.1L384 111.1C370.7 111.1 360 101.2 360 87.99C360 74.74 370.7 63.99 384 63.99L558.1 63.1L535 40.97C525.7 31.6 525.7 16.4 535 7.03V7.03zM104.1 376.1L81.94 400L255.1 399.1C269.3 399.1 279.1 410.7 279.1 423.1C279.1 437.2 269.3 447.1 255.1 447.1L81.95 448L104.1 471C114.3 480.4 114.3 495.6 104.1 504.1C95.6 514.3 80.4 514.3 71.03 504.1L7.029 440.1C2.528 436.5-.0003 430.4 0 423.1C0 417.6 2.529 411.5 7.03 407L71.03 343C80.4 333.7 95.6 333.7 104.1 343C114.3 352.4 114.3 367.6 104.1 376.1H104.1zM95.1 64H337.9C334.1 71.18 332 79.34 332 87.1C332 116.7 355.3 139.1 384 139.1L481.1 139.1C484.4 157.5 494.9 172.5 509.4 181.9C511.1 184.3 513.1 186.6 515.2 188.8C535.5 209.1 568.5 209.1 588.8 188.8L608 169.5V384C608 419.3 579.3 448 544 448H302.1C305.9 440.8 307.1 432.7 307.1 423.1C307.1 395.3 284.7 371.1 255.1 371.1L158.9 372C155.5 354.5 145.1 339.5 130.6 330.1C128.9 327.7 126.9 325.4 124.8 323.2C104.5 302.9 71.54 302.9 51.23 323.2L31.1 342.5V128C31.1 92.65 60.65 64 95.1 64V64zM95.1 192C131.3 192 159.1 163.3 159.1 128H95.1V192zM544 384V320C508.7 320 480 348.7 480 384H544zM319.1 352C373 352 416 309 416 256C416 202.1 373 160 319.1 160C266.1 160 223.1 202.1 223.1 256C223.1 309 266.1 352 319.1 352z"],
    "money-bill-trend-up": [512, 512, [], "e529", "M470.7 9.441C473.7 12.49 476 16 477.6 19.75C479.1 23.5 479.1 27.6 480 31.9V32V128C480 145.7 465.7 160 448 160C430.3 160 416 145.7 416 128V109.3L310.6 214.6C298.8 226.5 279.9 227.2 267.2 216.3L175.1 138.1L84.82 216.3C71.41 227.8 51.2 226.2 39.7 212.8C28.2 199.4 29.76 179.2 43.17 167.7L155.2 71.7C167.2 61.43 184.8 61.43 196.8 71.7L286.3 148.4L370.7 64H352C334.3 64 320 49.67 320 32C320 14.33 334.3 0 352 0H447.1C456.8 0 464.8 3.554 470.6 9.305L470.7 9.441zM0 304C0 277.5 21.49 256 48 256H464C490.5 256 512 277.5 512 304V464C512 490.5 490.5 512 464 512H48C21.49 512 0 490.5 0 464V304zM48 464H96C96 437.5 74.51 416 48 416V464zM48 304V352C74.51 352 96 330.5 96 304H48zM464 416C437.5 416 416 437.5 416 464H464V416zM416 304C416 330.5 437.5 352 464 352V304H416zM256 320C220.7 320 192 348.7 192 384C192 419.3 220.7 448 256 448C291.3 448 320 419.3 320 384C320 348.7 291.3 320 256 320z"],
    "money-bill-wave": [576, 512, [], "f53a", "M48.66 79.13C128.4 100.9 208.2 80.59 288 60.25C375 38.08 462 15.9 549 48.38C565.9 54.69 576 71.62 576 89.66V399.5C576 423.4 550.4 439.2 527.3 432.9C447.6 411.1 367.8 431.4 288 451.7C200.1 473.9 113.1 496.1 26.97 463.6C10.06 457.3 0 440.4 0 422.3V112.5C0 88.59 25.61 72.83 48.66 79.13L48.66 79.13zM287.1 352C332.2 352 368 309 368 255.1C368 202.1 332.2 159.1 287.1 159.1C243.8 159.1 207.1 202.1 207.1 255.1C207.1 309 243.8 352 287.1 352zM63.1 416H127.1C127.1 380.7 99.35 352 63.1 352V416zM63.1 143.1V207.1C99.35 207.1 127.1 179.3 127.1 143.1H63.1zM512 303.1C476.7 303.1 448 332.7 448 368H512V303.1zM448 95.1C448 131.3 476.7 159.1 512 159.1V95.1H448z"],
    "money-bill-wheat": [512, 512, [], "e52a", "M256 80C256 88.84 248.8 96 240 96C195.8 96 160 60.18 160 16C160 7.164 167.2 0 176 0C220.2 0 256 35.82 256 80zM104 16C117.3 16 128 26.75 128 40C128 53.25 117.3 64 104 64H56C42.75 64 32 53.25 32 40C32 26.75 42.75 16 56 16H104zM136 88C149.3 88 160 98.75 160 112C160 125.3 149.3 136 136 136H24C10.75 136 0 125.3 0 112C0 98.75 10.75 88 24 88H136zM32 184C32 170.7 42.75 160 56 160H104C117.3 160 128 170.7 128 184C128 197.3 117.3 208 104 208H56C42.75 208 32 197.3 32 184zM272 16C272 7.164 279.2 0 288 0C332.2 0 368 35.82 368 80C368 88.84 360.8 96 352 96C307.8 96 272 60.18 272 16zM480 80C480 88.84 472.8 96 464 96C419.8 96 384 60.18 384 16C384 7.164 391.2 0 400 0C444.2 0 480 35.82 480 80zM400 224C391.2 224 384 216.8 384 208C384 163.8 419.8 128 464 128C472.8 128 480 135.2 480 144C480 188.2 444.2 224 400 224zM352 128C360.8 128 368 135.2 368 144C368 188.2 332.2 224 288 224C279.2 224 272 216.8 272 208C272 163.8 307.8 128 352 128zM176 224C167.2 224 160 216.8 160 208C160 163.8 195.8 128 240 128C248.8 128 256 135.2 256 144C256 188.2 220.2 224 176 224zM0 304C0 277.5 21.49 256 48 256H464C490.5 256 512 277.5 512 304V464C512 490.5 490.5 512 464 512H48C21.49 512 0 490.5 0 464V304zM48 464H96C96 437.5 74.51 416 48 416V464zM48 304V352C74.51 352 96 330.5 96 304H48zM464 416C437.5 416 416 437.5 416 464H464V416zM416 304C416 330.5 437.5 352 464 352V304H416zM256 320C220.7 320 192 348.7 192 384C192 419.3 220.7 448 256 448C291.3 448 320 419.3 320 384C320 348.7 291.3 320 256 320z"],
    "money-bills": [640, 512, [], "e1f3", "M96 96C96 60.65 124.7 32 160 32H576C611.3 32 640 60.65 640 96V320C640 355.3 611.3 384 576 384H160C124.7 384 96 355.3 96 320V96zM160 320H224C224 284.7 195.3 256 160 256V320zM160 96V160C195.3 160 224 131.3 224 96H160zM576 256C540.7 256 512 284.7 512 320H576V256zM512 96C512 131.3 540.7 160 576 160V96H512zM368 128C323.8 128 288 163.8 288 208C288 252.2 323.8 288 368 288C412.2 288 448 252.2 448 208C448 163.8 412.2 128 368 128zM48 360C48 399.8 80.24 432 120 432H520C533.3 432 544 442.7 544 456C544 469.3 533.3 480 520 480H120C53.73 480 0 426.3 0 360V120C0 106.7 10.75 96 24 96C37.25 96 48 106.7 48 120V360z"],
    "money-bills-simple": [640, 512, ["money-bills-alt"], "e1f4", "M96 96C96 60.65 124.7 32 160 32H576C611.3 32 640 60.65 640 96V320C640 355.3 611.3 384 576 384H160C124.7 384 96 355.3 96 320V96zM368 128C323.8 128 288 163.8 288 208C288 252.2 323.8 288 368 288C412.2 288 448 252.2 448 208C448 163.8 412.2 128 368 128zM48 360C48 399.8 80.24 432 120 432H520C533.3 432 544 442.7 544 456C544 469.3 533.3 480 520 480H120C53.73 480 0 426.3 0 360V120C0 106.7 10.75 96 24 96C37.25 96 48 106.7 48 120V360z"],
    "money-check": [576, 512, [], "f53c", "M512 64C547.3 64 576 92.65 576 128V384C576 419.3 547.3 448 512 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H512zM112 224C103.2 224 96 231.2 96 240C96 248.8 103.2 256 112 256H272C280.8 256 288 248.8 288 240C288 231.2 280.8 224 272 224H112zM112 352H464C472.8 352 480 344.8 480 336C480 327.2 472.8 320 464 320H112C103.2 320 96 327.2 96 336C96 344.8 103.2 352 112 352zM376 160C362.7 160 352 170.7 352 184V232C352 245.3 362.7 256 376 256H456C469.3 256 480 245.3 480 232V184C480 170.7 469.3 160 456 160H376z"],
    "money-check-dollar": [576, 512, ["money-check-alt"], "f53d", "M512 64C547.3 64 576 92.65 576 128V384C576 419.3 547.3 448 512 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H512zM272 192C263.2 192 256 199.2 256 208C256 216.8 263.2 224 272 224H496C504.8 224 512 216.8 512 208C512 199.2 504.8 192 496 192H272zM272 320H496C504.8 320 512 312.8 512 304C512 295.2 504.8 288 496 288H272C263.2 288 256 295.2 256 304C256 312.8 263.2 320 272 320zM164.1 160C164.1 148.9 155.1 139.9 143.1 139.9C132.9 139.9 123.9 148.9 123.9 160V166C118.3 167.2 112.1 168.9 108 171.1C93.06 177.9 80.07 190.5 76.91 208.8C75.14 219 76.08 228.9 80.32 237.8C84.47 246.6 91 252.8 97.63 257.3C109.2 265.2 124.5 269.8 136.2 273.3L138.4 273.9C152.4 278.2 161.8 281.3 167.7 285.6C170.2 287.4 171.1 288.8 171.4 289.7C171.8 290.5 172.4 292.3 171.7 296.3C171.1 299.8 169.2 302.8 163.7 305.1C157.6 307.7 147.7 309 134.9 307C128.9 306 118.2 302.4 108.7 299.2C106.5 298.4 104.3 297.7 102.3 297C91.84 293.5 80.51 299.2 77.02 309.7C73.53 320.2 79.2 331.5 89.68 334.1C90.89 335.4 92.39 335.9 94.11 336.5C101.1 339.2 114.4 343.4 123.9 345.6V352C123.9 363.1 132.9 372.1 143.1 372.1C155.1 372.1 164.1 363.1 164.1 352V346.5C169.4 345.5 174.6 343.1 179.4 341.9C195.2 335.2 207.8 322.2 211.1 303.2C212.9 292.8 212.1 282.8 208.1 273.7C204.2 264.7 197.9 258.1 191.2 253.3C179.1 244.4 162.9 239.6 150.8 235.9L149.1 235.7C135.8 231.4 126.2 228.4 120.1 224.2C117.5 222.4 116.7 221.2 116.5 220.7C116.3 220.3 115.7 219.1 116.3 215.7C116.7 213.7 118.2 210.4 124.5 207.6C130.1 204.7 140.9 203.1 153.1 204.1C157.5 205.7 171 208.3 174.9 209.3C185.5 212.2 196.5 205.8 199.3 195.1C202.2 184.5 195.8 173.5 185.1 170.7C180.7 169.5 170.7 167.5 164.1 166.3L164.1 160z"],
    "money-check-dollar-pen": [640, 512, ["money-check-edit-alt"], "f873", "M.0003 128C.0003 92.65 28.65 64 64 64H512C547.3 64 576 92.65 576 128V192.6C560.8 194.6 546.2 201.4 534.6 213.1L353.3 394.3C345.1 402.5 339.3 412.8 336.5 424.1L330.5 448H64C28.65 448 0 419.3 0 384L.0003 128zM272 320H336C344.8 320 352 312.8 352 304C352 295.2 344.8 288 336 288H272C263.2 288 256 295.2 256 304C256 312.8 263.2 320 272 320zM272 192C263.2 192 256 199.2 256 208C256 216.8 263.2 224 272 224H432C440.8 224 448 216.8 448 208C448 199.2 440.8 192 432 192H272zM123.9 160V166C118.3 167.2 112.1 168.9 108 171.1C93.06 177.9 80.07 190.5 76.91 208.8C75.15 219 76.08 228.9 80.32 237.8C84.47 246.6 91 252.8 97.63 257.3C109.2 265.2 124.5 269.8 136.2 273.3L138.4 273.9C152.4 278.2 161.8 281.3 167.7 285.6C170.2 287.4 171.1 288.8 171.4 289.7C171.8 290.5 172.4 292.3 171.7 296.3C171.1 299.8 169.2 302.8 163.7 305.1C157.6 307.7 147.7 309 134.9 307C128.9 306 118.2 302.4 108.7 299.2C106.5 298.4 104.3 297.7 102.3 297C91.84 293.5 80.51 299.2 77.02 309.7C73.53 320.2 79.2 331.5 89.68 334.1C90.89 335.4 92.39 335.9 94.11 336.5C101.1 339.2 114.4 343.4 123.9 345.6V352C123.9 363.1 132.9 372.1 143.1 372.1C155.1 372.1 164.1 363.1 164.1 352V346.5C169.4 345.5 174.6 343.1 179.4 341.9C195.2 335.2 207.8 322.2 211.1 303.2C212.9 292.8 212.1 282.8 208.1 273.7C204.2 264.7 197.9 258.1 191.2 253.3C179.1 244.4 162.9 239.6 150.8 235.9L149.1 235.7C135.8 231.4 126.2 228.4 120.1 224.2C117.5 222.4 116.7 221.2 116.5 220.7C116.3 220.3 115.7 219.1 116.3 215.7C116.7 213.7 118.2 210.4 124.5 207.6C130.1 204.7 140.9 203.1 153.2 204.1C157.5 205.7 171 208.3 174.9 209.3C185.5 212.2 196.5 205.8 199.3 195.1C202.2 184.5 195.8 173.5 185.1 170.7C180.7 169.5 170.7 167.5 164.1 166.3V160C164.1 148.9 155.1 139.9 144 139.9C132.9 139.9 123.9 148.9 123.9 160V160zM628.1 250.1C643.8 265.7 643.8 291 628.1 306.7L598.7 336.1L527.8 265.1L557.2 235.7C572.8 220.1 598.1 220.1 613.8 235.7L628.1 250.1zM375.9 416.1L505.1 287.8L576.1 358.7L446.9 487.9C442.8 492 437.6 494.9 432 496.3L371.9 511.4C366.4 512.7 360.7 511.1 356.7 507.2C352.7 503.2 351.1 497.4 352.5 491.1L367.5 431.8C368.9 426.2 371.8 421.1 375.9 416.1V416.1z"],
    "money-check-pen": [640, 512, ["money-check-edit"], "f872", "M512 64C547.3 64 576 92.65 576 128V192.6C560.8 194.6 546.2 201.4 534.6 213.1L353.3 394.3C345.1 402.5 339.3 412.8 336.5 424.1L330.5 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H512zM112 288C103.2 288 96 295.2 96 304C96 312.8 103.2 320 112 320H336C344.8 320 352 312.8 352 304C352 295.2 344.8 288 336 288H112zM112 224H432C440.8 224 448 216.8 448 208C448 199.2 440.8 192 432 192H112C103.2 192 96 199.2 96 208C96 216.8 103.2 224 112 224zM628.1 250.1C643.8 265.7 643.8 291 628.1 306.7L598.7 336.1L527.8 265.1L557.2 235.7C572.8 220.1 598.1 220.1 613.8 235.7L628.1 250.1zM375.9 416.1L505.1 287.8L576.1 358.7L446.9 487.9C442.8 492 437.6 494.9 432 496.3L371.9 511.4C366.4 512.7 360.7 511.1 356.7 507.2C352.7 503.2 351.1 497.4 352.5 491.1L367.5 431.8C368.9 426.2 371.8 421.1 375.9 416.1V416.1z"],
    "money-from-bracket": [640, 512, [], "e312", "M64 160C64 177.7 49.67 192 32 192C14.33 192 0 177.7 0 160V96C0 42.98 42.98 0 96 0H544C597 0 640 42.98 640 96V160C640 177.7 625.7 192 608 192C590.3 192 576 177.7 576 160V96C576 78.33 561.7 64 544 64H96C78.33 64 64 78.33 64 96V160zM128 96H512V448C512 483.3 483.3 512 448 512H192C156.7 512 128 483.3 128 448V96zM256 448C256 412.7 227.3 384 192 384V448H256zM448 384C412.7 384 384 412.7 384 448H448V384zM416 272C416 227.8 373 192 320 192C266.1 192 224 227.8 224 272C224 316.2 266.1 352 320 352C373 352 416 316.2 416 272z"],
    "money-simple-from-bracket": [640, 512, [], "e313", "M64 160C64 177.7 49.67 192 32 192C14.33 192 0 177.7 0 160V96C0 42.98 42.98 0 96 0H544C597 0 640 42.98 640 96V160C640 177.7 625.7 192 608 192C590.3 192 576 177.7 576 160V96C576 78.33 561.7 64 544 64H96C78.33 64 64 78.33 64 96V160zM128 96H512V448C512 483.3 483.3 512 448 512H192C156.7 512 128 483.3 128 448V96zM416 272C416 227.8 373 192 320 192C266.1 192 224 227.8 224 272C224 316.2 266.1 352 320 352C373 352 416 316.2 416 272z"],
    "monitor-waveform": [576, 512, ["monitor-heart-rate"], "f611", "M480 128H96v128h101C200 256 202.8 257.8 204.1 260.4L224 300.3l49.75-99.38c5.875-11.88 22.62-11.88 28.5 0L329.9 256H400C408.9 256 416 263.1 416 272S408.9 288 400 288h-89.88L288 243.8l-49.75 99.38c-5.875 11.88-22.65 11.89-28.52 .0104l-27.62-55.17L96 288v96h384V128zM528 32h-480C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h480c26.5 0 48-21.5 48-48v-352C576 53.5 554.5 32 528 32zM512 416H64V96h448V416z"],
    "monkey": [576, 512, [128018], "f6fb", "M160 416C160 326.3 221.4 251 304.5 229.9C329.1 265 369.9 288 416 288C425.8 288 435.4 286.1 444.7 284.1L526.5 363C558.1 393.2 576 435 576 478.8V480C576 497.7 561.7 512 544 512C526.3 512 512 497.7 512 480V478.8C512 452.5 501.3 427.4 482.3 409.3L416 346.1V448H448C465.7 448 480 462.3 480 480C480 497.7 465.7 512 448 512H160C71.63 512 0 440.4 0 352V110.1C0 49.31 49.3 .0003 110.1 .0003H120.5C177.7 .0003 223.3 47.77 220.6 104.9C218.4 153.1 182 192.8 134.2 199.4L132.4 199.7C114.9 202.1 98.71 189.9 96.3 172.4C93.89 154.9 106.1 138.7 123.6 136.3L125.5 136C142.8 133.7 155.9 119.3 156.7 101.9C157.7 81.26 141.2 64 120.5 64H110.1C84.65 64 63.1 84.65 63.1 110.1V352C63.1 405 106.1 448 159.1 448L160 416zM368 112C368 103.2 375.2 96 384 96C392.8 96 400 103.2 400 112C400 120.8 392.8 128 384 128C375.2 128 368 120.8 368 112zM464 112C464 120.8 456.8 128 448 128C439.2 128 432 120.8 432 112C432 103.2 439.2 96 448 96C456.8 96 464 103.2 464 112zM416 256C386.7 256 360.1 243.8 341.2 224.3C332.3 215 325 204.1 319.1 192C284.6 191.1 256 163.3 256 128C256 92.66 284.6 64.02 319.1 64C335.6 26.42 372.7 0 416 0C459.3 0 496.4 26.42 512 64C547.4 64.02 576 92.66 576 128C576 163.3 547.4 191.1 512 192C496.4 229.6 459.3 256 416 256zM384 64C357.5 64 336 85.49 336 112C336 135.8 353.3 155.5 376 159.3V168C376 190.1 393.9 208 416 208C438.1 208 456 190.1 456 168V159.3C478.7 155.5 496 135.8 496 112C496 85.49 474.5 64 448 64H384z"],
    "monument": [384, 512, [], "f5a6", "M180.7 4.686C186.9-1.562 197.1-1.562 203.3 4.686L283.3 84.69C285.8 87.2 287.4 90.48 287.9 94.02L328.1 416H55.88L96.12 94.02C96.57 90.48 98.17 87.2 100.7 84.69L180.7 4.686zM152 272C138.7 272 128 282.7 128 296C128 309.3 138.7 320 152 320H232C245.3 320 256 309.3 256 296C256 282.7 245.3 272 232 272H152zM352 448C369.7 448 384 462.3 384 480C384 497.7 369.7 512 352 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H352z"],
    "moon": [512, 512, [127769, 9214], "f186", "M32 256c0-123.8 100.3-224 223.8-224c11.36 0 29.7 1.668 40.9 3.746c9.616 1.777 11.75 14.63 3.279 19.44C245 86.5 211.2 144.6 211.2 207.8c0 109.7 99.71 193 208.3 172.3c9.561-1.805 16.28 9.324 10.11 16.95C387.9 448.6 324.8 480 255.8 480C132.1 480 32 379.6 32 256z"],
    "moon-cloud": [640, 512, [], "f754", "M320 320c0-35.25-28.75-64-64-64C244 256 232.9 259.5 223.3 265.3C219.8 224.3 185.9 192 144 192C105.3 192 72.88 219.6 65.63 256.3C65.13 256.3 64.63 256 64 256c-35.25 0-64 28.75-64 64s28.75 64 64 64h192C291.3 384 320 355.3 320 320zM627.5 380.1c-108.7 20.7-208.4-62.62-208.4-172.3c0-63.19 33.8-121.3 88.79-152.6c8.477-4.812 6.344-17.66-3.281-19.44c-11.21-2.078-29.55-3.746-40.92-3.746c-111.4 0-203.7 81.47-220.9 188.2c.7793 1.51 1.727 2.901 2.439 4.452C248.8 224.2 252.4 224 256 224c52.94 0 96 43.06 96 96c0 37.94-22.23 70.47-54.25 86.04C338.7 451.3 397.7 480 463.7 480c69.1 0 132.1-31.45 173.9-82.93C643.8 389.4 637.1 378.3 627.5 380.1z"],
    "moon-over-sun": [512, 512, ["eclipse-alt"], "f74a", "M337.8 318.1c-54.25 10.35-104.3-31.36-104.3-86.33c0-31.5 16.92-60.67 44.33-76.27c4.229-2.479 3.202-8.859-1.611-9.59c-6.709-1.313-13.55-1.888-20.4-1.888C194.2 144 144 194 144 256c0 61.83 50.03 112 111.9 112c34.56 0 66.05-15.78 86.9-41.45C345.1 322.8 342.6 317.1 337.8 318.1zM507.8 339L450.2 256l57.6-83.01c9.703-13.98 1.693-33.32-15.05-36.34l-99.43-17.97l-17.97-99.43c-3.027-16.75-22.36-24.76-36.34-15.05L256 61.79L172.1 4.194C159-5.51 139.7 2.498 136.6 19.25L118.7 118.7L19.25 136.6c-16.75 3.027-24.76 22.36-15.05 36.34L61.8 256l-57.6 83.01c-9.703 13.98-1.695 33.32 15.05 36.35l99.43 17.97l17.97 99.43c3.027 16.75 22.36 24.76 36.34 15.05L256 450.2l83.01 57.6c13.98 9.703 33.32 1.695 36.34-15.05l17.97-99.43l99.43-17.97C509.5 372.3 517.5 352.1 507.8 339zM357.8 357.1c-56.15 56.15-147.6 56.15-203.8 0s-56.15-147.6 0-203.8c56.15-56.15 147.6-56.15 203.8 0C413.9 210.4 413.9 301.8 357.8 357.1z"],
    "moon-stars": [512, 512, [], "f755", "M332.3 426.4c-93.13 17.75-178.5-53.63-178.5-147.6c0-54.25 29-104 76-130.9c7.375-4.125 5.45-15.12-2.8-16.62C108.7 109.4 0 200 0 320c0 106 85.76 192 191.8 192c59.25 0 113.2-26.79 148.9-71.04C346.1 434.5 340.3 424.8 332.3 426.4zM288 63.1l12.42 29.78c.6094 1.225 2.211 2.219 3.578 2.219s2.967-.9941 3.576-2.219l12.42-29.78l29.79-12.42C351 50.97 352 49.36 352 47.1c0-1.365-.9922-2.967-2.211-3.576l-29.79-12.42l-12.42-29.79c-.6094-1.227-2.209-2.217-3.576-2.217s-2.969 .9902-3.578 2.217l-12.42 29.79L258.2 44.42c-1.217 .6094-2.209 2.211-2.209 3.576c0 1.359 .9922 2.971 2.209 3.58L288 63.1zM507.6 216.9L448 192l-24.88-59.63C421.8 129.8 419 127.1 416 127.1s-5.75 1.75-7.125 4.375L384 192l-59.63 24.88C321.8 218.3 320 221 320 224s1.75 5.75 4.375 7.125L384 256l24.88 59.63C410.3 318.3 413 320 416 320s5.75-1.75 7.125-4.375L448 256l59.63-24.88C510.3 229.8 512 227 512 224S510.3 218.3 507.6 216.9z"],
    "moped": [640, 512, [], "e3b9", "M328 56C328 42.75 338.7 32 352 32H393.3C417.1 32 438.3 47.09 446.1 69.6L454.2 92.88L505.2 67.38C509.7 65.16 514.6 64 519.6 64H528C536.8 64 544 71.16 544 80V144C544 152.8 536.8 160 528 160H519.6C514.6 160 509.7 158.8 505.2 156.6L470.3 139.2L500 224.4C503.1 224.1 507.1 224 512 224C555.7 224 595.3 241.5 624.1 269.8C633.6 279.1 633.7 294.3 624.4 303.8C615.1 313.2 599.9 313.4 590.5 304.1C570.2 284.2 542.6 272 512 272C459.3 272 414.1 308.5 403.1 357.6C401.1 366.1 400 374.9 400 384H256C256 437 213 480 160 480C106.1 480 64 437 64 384H32C14.33 384 0 369.7 0 352V320C0 249.3 57.31 192 128 192H224C241.7 192 256 206.3 256 224V288C256 305.7 270.3 320 288 320H365.3C382.2 281.5 413.7 250.8 452.9 235.3L400.8 85.37C399.7 82.16 396.7 80 393.3 80H352C338.7 80 328 69.26 328 56L328 56zM208 384H112C112 410.5 133.5 432 160 432C186.5 432 208 410.5 208 384zM224 96C241.7 96 256 110.3 256 128C256 145.7 241.7 160 224 160H128C110.3 160 96 145.7 96 128C96 110.3 110.3 96 128 96H224zM416 384C416 330.1 458.1 288 512 288C565 288 608 330.1 608 384C608 437 565 480 512 480C458.1 480 416 437 416 384zM512 432C538.5 432 560 410.5 560 384C560 357.5 538.5 336 512 336C485.5 336 464 357.5 464 384C464 410.5 485.5 432 512 432z"],
    "mortar-pestle": [512, 512, [], "f5a7", "M501.5 60.87c17.25-17.12 12.5-46.25-9.25-57.13c-12.12-6-26.5-4.75-37.38 3.375L251.1 159.1h151.4L501.5 60.87zM496 191.1h-480c-8.875 0-16 7.125-16 16v32c0 8.875 7.125 16 16 16L31.1 256c0 81 50.25 150.1 121.1 178.4c-12.75 16.88-21.75 36.75-25 58.63C126.8 502.9 134.2 512 144.2 512h223.5c10 0 17.51-9.125 16.13-19c-3.25-21.88-12.25-41.75-25-58.63C429.8 406.1 479.1 337 479.1 256L496 255.1c8.875 0 16-7.125 16-16v-32C512 199.1 504.9 191.1 496 191.1z"],
    "mosque": [640, 512, [128332], "f678", "M400 0C405 0 409.8 2.371 412.8 6.4C447.5 52.7 490.9 81.34 546.3 117.9C551.5 121.4 556.9 124.9 562.3 128.5C591.3 147.7 608 180.2 608 214.6C608 243.1 596.7 269 578.2 288H221.8C203.3 269 192 243.1 192 214.6C192 180.2 208.7 147.7 237.7 128.5C243.1 124.9 248.5 121.4 253.7 117.9C309.1 81.34 352.5 52.7 387.2 6.4C390.2 2.371 394.1 0 400 0V0zM288 440C288 426.7 277.3 416 264 416C250.7 416 240 426.7 240 440V512H192C174.3 512 160 497.7 160 480V352C160 334.3 174.3 320 192 320H608C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H560V440C560 426.7 549.3 416 536 416C522.7 416 512 426.7 512 440V512H448V453.1C448 434.1 439.6 416.1 424.1 404.8L400 384L375 404.8C360.4 416.1 352 434.1 352 453.1V512H288V440zM70.4 5.2C76.09 .9334 83.91 .9334 89.6 5.2L105.6 17.2C139.8 42.88 160 83.19 160 126V128H0V126C0 83.19 20.15 42.88 54.4 17.2L70.4 5.2zM0 160H160V296.6C140.9 307.6 128 328.3 128 352V480C128 489.6 130.1 498.6 133.8 506.8C127.3 510.1 119.9 512 112 512H48C21.49 512 0 490.5 0 464V160z"],
    "mosquito": [640, 512, [], "e52b", "M430.3 503.8L382.3 447.8C378.4 443.4 376.3 437.7 376.3 431.7V376.3L351.1 344.7V407.8C351.1 425.4 337.7 439.8 319.1 439.8C302.3 439.8 287.1 425.4 287.1 407.8V344.7L263.7 376.3V431.7C263.7 437.7 261.6 443.4 257.7 447.8L209.7 503.8C201.1 513.8 186.1 514.8 176.3 505.9C166.5 497 165.6 481.6 174.3 471.6L216.3 422.5V367.8C216.3 362.3 218.1 357 221.5 352.7L287.1 266.3V266L154.6 387.8C97.58 447.6 .0003 405.2 0 320.6C0 272.7 34.02 232.3 79.35 226.4L232.3 202.5L191.5 161.6C183.7 153.8 182.1 141.5 187.6 131.8L211.5 90.06L173.3 39.18C165.3 28.54 167.2 13.26 177.5 5.046C187.9-3.17 202.7-1.207 210.7 9.429L258.7 73.34C264.6 81.21 265.3 91.99 260.4 100.6L237.8 140L287.1 190.3V152.1C287.1 137.2 298.2 124.7 311.1 121.1V63.93C311.1 59.51 315.6 55.93 319.1 55.93C324.4 55.93 327.1 59.51 327.1 63.93V121.1C341.8 124.7 351.1 137.2 351.1 152.1V190.3L402.2 140L379.6 100.6C374.7 91.99 375.4 81.21 381.3 73.34L429.3 9.429C437.3-1.207 452.1-3.169 462.5 5.047C472.8 13.26 474.7 28.55 466.7 39.18L428.5 90.06L452.4 131.8C457.9 141.5 456.3 153.8 448.5 161.6L407.7 202.5L560.6 226.4C605.1 232.3 640 272.7 640 320.6C640 405.2 542.4 447.6 485.4 387.8L351.1 266V266.3L418.5 352.7C421.9 357 423.7 362.3 423.7 367.8V422.5L465.7 471.6C474.4 481.6 473.5 497 463.7 505.9C453.9 514.8 438.9 513.8 430.3 503.8L430.3 503.8z"],
    "mosquito-net": [640, 512, [], "e52c", "M168.8 462.3C160.9 458.4 157.7 448.7 161.7 440.8L191.1 380.2V335.1C191.1 331.8 193.7 327.7 196.7 324.7L255.1 265.4V242.2L139.2 343.1C87.82 395.3 0 358.9 0 286.3C0 245.2 30.62 210.6 71.41 205.5L231.3 181.6L181.8 140.3C176.7 136.1 174.7 129.2 176.8 122.9L190.7 81.22L161.7 23.15C157.7 15.25 160.9 5.637 168.8 1.685C176.7-2.267 186.4 .9369 190.3 8.841L222.3 72.84C224.2 76.64 224.5 81.03 223.2 85.06L210.6 122.7L255.1 160.5V137.9C255.1 123.1 266.1 110.6 279.8 106.1V63.67C279.8 59.17 283.5 55.51 287.1 55.51C292.5 55.51 296.2 59.17 296.2 63.67V106.1C309.9 110.6 319.1 123.1 319.1 137.9V160.5L365.4 122.7L352.8 85.06C351.5 81.03 351.8 76.64 353.7 72.84L385.7 8.84C389.6 .9366 399.3-2.267 407.2 1.685C415.1 5.636 418.3 15.25 414.3 23.15L385.3 81.22L399.2 122.9C401.3 129.2 399.3 136.1 394.2 140.3L344.7 181.6L504.6 205.5C527 208.3 546.4 220 559.3 236.9C556.5 239.4 554.1 242.3 552 245.5C543.4 232.5 528.7 223.1 512 223.1C495.3 223.1 480.6 232.5 472 245.5C463.4 232.5 448.7 223.1 432 223.1C410.3 223.1 392 238.3 386.1 258.1C375.4 261.3 366.3 268.2 360.2 277.2L319.1 242.2V265.4L352.4 297.8C352.1 299.8 352 301.9 352 303.1C352 320.7 360.5 335.4 373.5 343.1C369.5 346.6 365.9 349.9 362.9 353.5L319.1 310.6V360.6C319.1 378.3 305.7 392.6 287.1 392.6C270.3 392.6 255.1 378.3 255.1 360.6V310.6L224 342.6V383.1C224 386.5 223.4 388.9 222.3 391.2L190.3 455.2C186.4 463.1 176.7 466.3 168.8 462.3V462.3zM512 255.1C520.8 255.1 528 263.2 528 271.1V287.1H576V271.1C576 263.2 583.2 255.1 592 255.1C600.8 255.1 608 263.2 608 271.1V287.1H624C632.8 287.1 640 295.2 640 303.1C640 312.8 632.8 319.1 624 319.1H608V367.1H624C632.8 367.1 640 375.2 640 383.1C640 392.8 632.8 399.1 624 399.1H608V447.1H624C632.8 447.1 640 455.2 640 463.1C640 472.8 632.8 479.1 624 479.1H608V495.1C608 504.8 600.8 511.1 592 511.1C583.2 511.1 576 504.8 576 495.1V479.1H528V495.1C528 504.8 520.8 511.1 512 511.1C503.2 511.1 496 504.8 496 495.1V479.1H448V495.1C448 504.8 440.8 511.1 432 511.1C423.2 511.1 416 504.8 416 495.1V479.1H400C391.2 479.1 384 472.8 384 463.1C384 455.2 391.2 447.1 400 447.1H416V399.1H400C391.2 399.1 384 392.8 384 383.1C384 375.2 391.2 367.1 400 367.1H416V319.1H400C391.2 319.1 384 312.8 384 303.1C384 295.2 391.2 287.1 400 287.1H416V271.1C416 263.2 423.2 255.1 432 255.1C440.8 255.1 448 263.2 448 271.1V287.1H496V271.1C496 263.2 503.2 255.1 512 255.1V255.1zM576 367.1V319.1H528V367.1H576zM576 447.1V399.1H528V447.1H576zM448 319.1V367.1H496V319.1H448zM448 399.1V447.1H496V399.1H448z"],
    "motorcycle": [640, 512, [127949], "f21c", "M342.5 32C357.2 32 370.7 40.05 377.6 52.98L391.7 78.93L439.1 39.42C444.9 34.62 452.1 32 459.6 32H480C497.7 32 512 46.33 512 64V96C512 113.7 497.7 128 480 128H418.2L473.3 229.1C485.5 226.1 498.5 224 512 224C582.7 224 640 281.3 640 352C640 422.7 582.7 480 512 480C441.3 480 384 422.7 384 352C384 311.1 402.4 276.3 431.1 252.8L415.7 224.2C376.1 253.4 352 299.8 352 352C352 362.1 353.1 373.7 355.2 384H284.8C286.9 373.7 287.1 362.1 287.1 352C287.1 263.6 216.4 192 127.1 192H31.1V160C31.1 142.3 46.33 128 63.1 128H165.5C182.5 128 198.7 134.7 210.7 146.7L255.1 192L354.1 110.3L337.7 80H279.1C266.7 80 255.1 69.25 255.1 56C255.1 42.75 266.7 32 279.1 32L342.5 32zM448 352C448 387.3 476.7 416 512 416C547.3 416 576 387.3 576 352C576 316.7 547.3 288 512 288C509.6 288 507.2 288.1 504.9 288.4L533.1 340.6C539.4 352.2 535.1 366.8 523.4 373.1C511.8 379.4 497.2 375.1 490.9 363.4L462.7 311.2C453.5 322.3 448 336.5 448 352V352zM253.8 376C242.5 435.2 190.5 480 128 480C57.31 480 0 422.7 0 352C0 281.3 57.31 224 128 224C190.5 224 242.5 268.8 253.8 328H187.3C177.9 304.5 154.9 288 128 288C92.65 288 64 316.7 64 352C64 387.3 92.65 416 128 416C154.9 416 177.9 399.5 187.3 376H253.8zM96 352C96 334.3 110.3 320 128 320C145.7 320 160 334.3 160 352C160 369.7 145.7 384 128 384C110.3 384 96 369.7 96 352z"],
    "mound": [576, 512, [], "e52d", "M144.1 179.2C173.8 127.7 228.6 96 288 96C347.4 96 402.2 127.7 431.9 179.2L540.4 368C552.7 389.4 537.3 416 512.7 416H63.31C38.7 416 23.31 389.4 35.57 368L144.1 179.2z"],
    "mountain": [512, 512, [127956], "f6fc", "M503.2 393.8L280.1 44.25c-10.42-16.33-37.73-16.33-48.15 0L8.807 393.8c-11.11 17.41-11.75 39.42-1.666 57.45C17.07 468.1 35.92 480 56.31 480h399.4c20.39 0 39.24-11.03 49.18-28.77C514.9 433.2 514.3 411.2 503.2 393.8zM256 111.8L327.8 224H256L208 288L177.2 235.3L256 111.8z"],
    "mountain-city": [640, 512, [], "e52e", "M432 0C458.5 0 480 21.49 480 48V192H520V120C520 106.7 530.7 96 544 96C557.3 96 568 106.7 568 120V192H592C618.5 192 640 213.5 640 240V464C640 490.5 618.5 512 592 512H470.2C470.7 511.2 471.2 510.5 471.6 509.7C483.2 488.6 482.8 462.9 470.3 442.4L396.5 320H400C408.8 320 416 312.8 416 304V272C416 263.2 408.8 256 400 256H368C364.8 256 361.9 256.9 359.4 258.5L288 140.1V48C288 21.49 309.5 0 336 0L432 0zM368 64C359.2 64 352 71.16 352 80V112C352 120.8 359.2 128 368 128H400C408.8 128 416 120.8 416 112V80C416 71.16 408.8 64 400 64H368zM352 208C352 216.8 359.2 224 368 224H400C408.8 224 416 216.8 416 208V176C416 167.2 408.8 160 400 160H368C359.2 160 352 167.2 352 176V208zM512 304C512 312.8 519.2 320 528 320H560C568.8 320 576 312.8 576 304V272C576 263.2 568.8 256 560 256H528C519.2 256 512 263.2 512 272V304zM528 352C519.2 352 512 359.2 512 368V400C512 408.8 519.2 416 528 416H560C568.8 416 576 408.8 576 400V368C576 359.2 568.8 352 560 352H528zM442.9 458.9C449.4 469.7 449.7 483.2 443.6 494.2C437.5 505.2 426 512 413.5 512H34.46C21.1 512 10.5 505.2 4.404 494.2C-1.693 483.2-1.444 469.7 5.056 458.9L194.6 144.7C200.9 134.3 211.1 128 224 128C236 128 247.1 134.3 253.4 144.7L442.9 458.9zM223.1 188.9L150.4 310.8L174.1 352L222.1 288H283.8L223.1 188.9z"],
    "mountain-sun": [640, 512, [], "e52f", "M480 80C480 35.82 515.8 0 560 0C604.2 0 640 35.82 640 80C640 124.2 604.2 160 560 160C515.8 160 480 124.2 480 80zM0 456.1C0 445.6 2.964 435.3 8.551 426.4L225.3 81.01C231.9 70.42 243.5 64 256 64C268.5 64 280.1 70.42 286.8 81.01L412.7 281.7L460.9 202.7C464.1 196.1 472.2 192 480 192C487.8 192 495 196.1 499.1 202.7L631.1 419.1C636.9 428.6 640 439.7 640 450.9C640 484.6 612.6 512 578.9 512H55.91C25.03 512 .0006 486.1 .0006 456.1L0 456.1z"],
    "mountains": [640, 512, [9968], "f6fd", "M55.91 480C25.03 480 0 454.1 0 424.1C0 413.6 2.964 403.3 8.551 394.4L225.3 49.01C231.9 38.42 243.5 32 256 32C268.5 32 280.1 38.42 286.8 49.01L412.7 249.7L460.9 170.7C464.1 164.1 472.2 160 480 160C487.8 160 495 164.1 499.1 170.7L631.1 387.1C636.9 396.6 640 407.7 640 418.9C640 452.6 612.6 480 578.9 480L55.91 480z"],
    "mouse-field": [512, 512, [], "e5a8", "M424.8 119.5C429.5 107.2 432 93.9 432 80C432 48.79 419.2 20.56 398.6 .2464C444.1 3.638 480 41.63 480 88C480 107.7 473.5 125.8 462.6 140.5C492.7 164.5 512 201.4 512 242.9C512 258.1 498.1 272 482.9 272H380.1C378.1 272 376.1 271.9 374.1 271.8L350.3 335.3L394 351.2C407.2 355.1 416 368.5 416 382.6C416 401 401 416 382.6 416H72C58.75 416 48 426.7 48 440C48 453.3 58.75 464 72 464H456C469.3 464 480 474.7 480 488C480 501.3 469.3 512 456 512H72C32.24 512 0 479.8 0 440C0 400.2 32.24 368 72 368H103.5C98.69 357.5 96 345.9 96 333.6C96 240.4 169.5 164.3 261.6 160.2C238.9 144.3 224 117.9 224 88C224 39.4 263.4 0 312 0C360.6 0 400 39.4 400 88C400 96.64 398.8 104.1 396.4 112.9C406.3 114 415.8 116.3 424.8 119.5V119.5zM420 176C408.1 176 400 184.1 400 196C400 207 408.1 216 420 216C431 216 440 207 440 196C440 184.1 431 176 420 176zM312 48C289.9 48 272 65.91 272 88C272 110.1 289.9 128 312 128H336C344.8 128 352 120.8 352 112V88C352 65.91 334.1 48 312 48z"],
    "mp3-player": [384, 512, [], "f8ce", "M336 0h-288C21.5 0 0 21.5 0 48v416C0 490.5 21.5 512 48 512h288c26.5 0 48-21.5 48-48v-416C384 21.5 362.5 0 336 0zM192 448c-53 0-96-43-96-96s43-96 96-96s96 43 96 96S245 448 192 448zM320 192H64V64h256V192zM192 320c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S209.6 320 192 320z"],
    "mug": [576, 512, [], "f874", "M448 64H56C49.63 64 43.5 66.5 39 71S32 81.63 32 88V352c0 53 43 96 96 96h192c53 0 96-43 96-96v-32h32c70.75 0 128-57.25 128-128S518.8 64 448 64zM448 256h-32V128h32c35.38 0 64 28.62 64 64S483.4 256 448 256z"],
    "mug-hot": [512, 512, [9749], "f7b6", "M400 192H32C14.25 192 0 206.3 0 224v192c0 53 43 96 96 96h192c53 0 96-43 96-96h16c61.75 0 112-50.25 112-112S461.8 192 400 192zM400 352H384V256h16C426.5 256 448 277.5 448 304S426.5 352 400 352zM107.9 100.7C120.3 107.1 128 121.4 128 136c0 13.25 10.75 23.89 24 23.89S176 148.1 176 135.7c0-31.34-16.83-60.64-43.91-76.45C119.7 52.03 112 38.63 112 24.28c0-13.25-10.75-24.14-24-24.14S64 11.03 64 24.28C64 55.63 80.83 84.92 107.9 100.7zM219.9 100.7C232.3 107.1 240 121.4 240 136c0 13.25 10.75 23.86 24 23.86S288 148.1 288 135.7c0-31.34-16.83-60.64-43.91-76.45C231.7 52.03 224 38.63 224 24.28c0-13.25-10.75-24.18-24-24.18S176 11.03 176 24.28C176 55.63 192.8 84.92 219.9 100.7z"],
    "mug-marshmallows": [512, 512, [], "f7b7", "M196.5 128h151c7.125-12.25 6-28.12-4.5-38.63L294.5 41c-12.5-12.5-32.75-12.5-45.25 0L200.8 89.32C190.4 99.82 189.2 115.8 196.5 128zM178.5 67.25l22.38-22.5C195 37.5 186.4 32.38 176.3 32.38H64c-17.75 0-32 14.38-32 32v63.81l130.1 .0625C156.6 107.3 161.9 83.75 178.5 67.25zM400 160.1L160 160.2v63.67c0 17.75-14.25 32-32 32s-32-14.25-32-32v-63.67L32 160.1c-17.75 0-32 14.38-32 32v191.9C0 437 43 480 96 480h192c53 0 96-42.95 96-95.95l16 .0125c61.75 0 112-50.31 112-111.9C512 210.4 461.8 160.1 400 160.1zM400 320.3H384v-96h16c26.5 0 48 21.5 48 48C448 298.6 426.5 320.3 400 320.3z"],
    "mug-saucer": [640, 512, ["coffee"], "f0f4", "M512 32H120c-13.25 0-24 10.75-24 24L96.01 288c0 53 43 96 96 96h192C437 384 480 341 480 288h32c70.63 0 128-57.38 128-128S582.6 32 512 32zM512 224h-32V96h32c35.25 0 64 28.75 64 64S547.3 224 512 224zM560 416h-544C7.164 416 0 423.2 0 432C0 458.5 21.49 480 48 480h480c26.51 0 48-21.49 48-48C576 423.2 568.8 416 560 416z"],
    "mug-tea": [576, 512, [], "f875", "M447.1 64h-272v64l38.63 38.63c6 6 9.374 14.13 9.374 22.63L223.1 256c0 17.62-14.38 32-32 32H127.1c-17.62 0-32-14.38-32-32L95.1 189.3c0-8.5 3.375-16.63 9.375-22.63L143.1 128V64h-88c-6.375 0-12.5 2.5-17 7S31.1 81.63 31.1 88L31.1 352c0 53 43 96 96 96h192c53 0 96-43 96-96L416 320h31.1C518.7 320 576 262.8 576 192S518.7 64 447.1 64zM447.1 256H415.1l-.0006-128h32c35.38 0 64 28.62 64 64S483.4 256 447.1 256z"],
    "mug-tea-saucer": [640, 512, [], "e1f5", "M563.6 416H12.36c-25 0-11.63 64 36 64h479.5C575.5 480 588.6 416 563.6 416zM511.1 32H239.1v64l38.63 38.63c6 6 9.374 14.13 9.374 22.63L287.1 224c0 17.62-14.37 32-32 32h-64C174.4 256 159.1 241.6 159.1 224L159.1 157.3c0-8.5 3.375-16.63 9.375-22.63L207.1 96V32H119.1c-6.375 0-12.5 2.5-17 7C98.49 43.5 95.99 49.63 95.99 56L95.1 288c0 53 42.1 96 96 96h192c53 0 96-43 96-96h31.1c70.75 0 128-57.25 128-128S582.7 32 511.1 32zM511.1 224h-31.1l-.0012-128h32c35.38 0 64 28.62 64 64S547.4 224 511.1 224z"],
    "mushroom": [512, 512, [127812], "e425", "M320 352H192l-22.06 88.24C164.9 460.4 180.2 480 200.1 480h110c20.82 0 36.09-19.56 31.04-39.76L320 352zM490.5 242L484.2 214.1C460.4 107.7 365.6 32 256 32S51.55 107.7 27.78 214.1L21.53 242C12.6 282 43.02 320 83.1 320h344C468.1 320 499.4 282 490.5 242zM128 256C110.3 256 96 241.7 96 224c0-17.67 14.33-32 32-32s32 14.33 32 32C160 241.7 145.7 256 128 256zM224 176c-37.36 0-68.48-25.72-77.28-60.35C177.5 93.3 215.2 80 256 80c16.29 0 31.87 2.674 46.98 6.562C303.4 89.67 304 92.75 304 96C304 140.2 268.2 176 224 176zM400 256C373.5 256 352 234.5 352 208S373.5 160 400 160c3.178 0 6.27 .3438 9.275 .9336c12.8 18.86 22.59 40.1 27.84 63.57l2.391 10.7C430.8 247.8 416.4 256 400 256z"],
    "music": [512, 512, [127925], "f001", "M511.1 367.1c0 44.18-42.98 80-95.1 80s-95.1-35.82-95.1-79.1c0-44.18 42.98-79.1 95.1-79.1c11.28 0 21.95 1.92 32.01 4.898V148.1L192 224l-.0023 208.1C191.1 476.2 149 512 95.1 512S0 476.2 0 432c0-44.18 42.98-79.1 95.1-79.1c11.28 0 21.95 1.92 32 4.898V126.5c0-12.97 10.06-26.63 22.41-30.52l319.1-94.49C472.1 .6615 477.3 0 480 0c17.66 0 31.97 14.34 32 31.99L511.1 367.1z"],
    "music-note": [384, 512, ["music-alt"], "f8cf", "M339.1 6.324C347.2 12.32 352 21.84 352 31.96V95.96c0 14.25-9.375 26.75-23 30.75L256 148.1v283.9C256 476.1 205.9 512 144 512S32 476.1 32 431.1s50.13-80.01 112-80.01c16.38 0 32.5 2.75 48 8V60.33c0-14 9.125-26.38 22.38-30.5L311 1.323C320.6-1.553 331.1 .3233 339.1 6.324z"],
    "music-note-slash": [640, 512, ["music-alt-slash"], "f8d0", "M630.8 469.1l-246.8-193.4v-127.6l72.1-21.38c13.62-3.1 22.1-16.5 22.1-30.75l.0004-63.99c0-10.13-4.75-19.64-12.88-25.64c-7.1-6.002-18.5-7.877-28.12-5.002l-96.62 28.5C329.1 33.95 319.1 46.33 319.1 60.33v165.2L38.81 5.111C34.41 1.674 29.19 .0006 24.03 .0006c-7.125 0-14.19 3.157-18.91 9.188c-8.187 10.44-6.37 25.53 4.068 33.7L601.2 506.9c10.5 8.203 25.57 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1zM271.1 351.1c-61.86 0-111.1 35.82-111.1 80s50.14 79.1 111.1 79.1s111.1-35.82 111.1-79.1S333.9 351.1 271.1 351.1z"],
    "music-slash": [640, 512, [], "f8d1", "M191.1 356.9c-10.05-2.978-20.72-4.895-32.01-4.895c-53.02 0-95.1 35.82-95.1 79.1c0 44.18 42.98 79.1 95.1 79.1s95.1-35.77 95.1-79.95l.0268-134.8L191.1 247.2V356.9zM630.8 469.1l-72.14-56.54c10.58-12.76 17.33-27.86 17.33-44.57l.0004-336C575.1 14.34 561.7 0 543.1 0c-2.719 0-7.031 .6615-9.625 1.49L214.4 95.97c-11.98 3.775-21.62 16.75-22.2 29.36L38.81 5.109C34.41 1.672 29.19 0 24.03 0C16.91 0 9.84 3.156 5.121 9.187c-8.187 10.44-6.37 25.53 4.068 33.7L601.2 506.9c10.5 8.203 25.57 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1zM511.1 292.9c-10.05-2.978-20.72-4.895-32.01-4.895c-22.15 0-42.23 6.574-58.42 17.11L301.2 210.8l210.8-61.76V292.9z"],
    "n": [384, 512, [110], "4e", "M384 64.01v384c0 13.47-8.438 25.5-21.09 30.09C359.3 479.4 355.7 480 352 480c-9.312 0-18.38-4.078-24.59-11.52L64 152.4v295.6c0 17.67-14.31 32-32 32s-32-14.33-32-32v-384c0-13.47 8.438-25.5 21.09-30.09c12.62-4.516 26.84-.75 35.5 9.609L320 359.6v-295.6c0-17.67 14.31-32 32-32S384 46.34 384 64.01z"],
    "naira-sign": [448, 512, [], "e1f6", "M262.5 256H320V64C320 46.33 334.3 32 352 32C369.7 32 384 46.33 384 64V256H416C433.7 256 448 270.3 448 288C448 305.7 433.7 320 416 320H384V448C384 462.1 374.8 474.5 361.3 478.6C347.8 482.7 333.2 477.5 325.4 465.8L228.2 320H128V448C128 465.7 113.7 480 96 480C78.33 480 64 465.7 64 448V320H32C14.33 320 0 305.7 0 288C0 270.3 14.33 256 32 256H64V64C64 49.9 73.23 37.46 86.73 33.37C100.2 29.29 114.8 34.52 122.6 46.25L262.5 256zM305.1 320L320 342.3V320H305.1zM185.5 256L128 169.7V256H185.5z"],
    "narwhal": [640, 512, [], "f6fe", "M590.7 214l48.75-192.3c2.787-10.1-5.502-21.69-16.85-21.72c-6.012-.0195-11.61 3.059-14.81 8.148l-99.31 157.7C494.2 162.2 479.4 159.1 464 159.1c-72.28 0-142.2 25.84-197.1 72.85l-112.5 96.35C144 338.1 128 330.7 128 317V282.1L177.8 251.6C186.6 245.7 192 235.7 192 224.1V143.1c0-12.75-14.21-20.36-24.82-13.29l-71.17 47.4L24.88 130.7C14.24 123.7 0 131.3 0 144.1v80.93C.002 235.7 5.375 245.7 14.25 251.6L64 282.1v69.88C64 440.4 135.6 512 224 512h240c97.2 0 176-78.8 176-176C640 288.6 621.2 245.7 590.7 214zM504 319.1c-13.25 0-24-10.75-24-24c0-13.26 10.75-24 24-24s24 10.74 24 24C528 309.3 517.3 319.1 504 319.1z"],
    "nesting-dolls": [640, 512, [], "e3ba", "M303.9 352c0-36.16 12.52-69.18 32.82-96H39.72C35.33 267.3 30.26 278.3 24.38 288.7C7.95 317.7-31.74 423.4 48.74 512h199.1l14.41-19.2C289.1 457 303.9 412.7 303.9 368V352zM591.1 368V352c0-70.69-57.32-128-128-128s-128 57.31-128 128v16c0 51.93-16.85 102.5-48.02 144H640C608.8 470.5 591.1 419.9 591.1 368zM463.9 432c-44.2 0-80.03-35.82-80.03-80c33.44 0 62.83-17.13 80.03-43.05C481.1 334.9 510.5 352 543.1 352C543.1 396.2 508.1 432 463.9 432zM303.9 112c0-61.86-50.16-112-112-112S79.82 50.14 79.82 112V224h224.1V112zM191.9 160c-35.36 0-64.02-28.65-64.02-64c0-1.107 .2716-2.141 .3263-3.234c26.62-.1133 49.99-13.76 63.69-34.41c13.7 20.65 37.08 34.29 63.69 34.41C255.6 93.86 255.9 94.89 255.9 96C255.9 131.3 227.2 160 191.9 160z"],
    "network-wired": [640, 512, [], "f6ff", "M400 0C426.5 0 448 21.49 448 48V144C448 170.5 426.5 192 400 192H352V224H608C625.7 224 640 238.3 640 256C640 273.7 625.7 288 608 288H512V320H560C586.5 320 608 341.5 608 368V464C608 490.5 586.5 512 560 512H400C373.5 512 352 490.5 352 464V368C352 341.5 373.5 320 400 320H448V288H192V320H240C266.5 320 288 341.5 288 368V464C288 490.5 266.5 512 240 512H80C53.49 512 32 490.5 32 464V368C32 341.5 53.49 320 80 320H128V288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H288V192H240C213.5 192 192 170.5 192 144V48C192 21.49 213.5 0 240 0H400zM256 64V128H384V64H256zM224 448V384H96V448H224zM416 384V448H544V384H416z"],
    "neuter": [384, 512, [9906], "f22c", "M368 176c0-97.2-78.8-176-176-176c-97.2 0-176 78.8-176 176c0 86.26 62.1 157.9 144 172.1V496C160 504.8 167.2 512 176 512h32c8.838 0 16-7.164 16-16v-147C305.9 333.9 368 262.3 368 176zM192 272c-52.93 0-96-43.07-96-96c0-52.94 43.07-95.1 96-95.1c52.94 0 96 43.06 96 95.1C288 228.9 244.9 272 192 272z"],
    "newspaper": [512, 512, [128240], "f1ea", "M480 32H128C110.3 32 96 46.33 96 64v336C96 408.8 88.84 416 80 416S64 408.8 64 400V96H32C14.33 96 0 110.3 0 128v288c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V64C512 46.33 497.7 32 480 32zM272 416h-96C167.2 416 160 408.8 160 400C160 391.2 167.2 384 176 384h96c8.836 0 16 7.162 16 16C288 408.8 280.8 416 272 416zM272 320h-96C167.2 320 160 312.8 160 304C160 295.2 167.2 288 176 288h96C280.8 288 288 295.2 288 304C288 312.8 280.8 320 272 320zM432 416h-96c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16h96c8.836 0 16 7.162 16 16C448 408.8 440.8 416 432 416zM432 320h-96C327.2 320 320 312.8 320 304C320 295.2 327.2 288 336 288h96C440.8 288 448 295.2 448 304C448 312.8 440.8 320 432 320zM448 208C448 216.8 440.8 224 432 224h-256C167.2 224 160 216.8 160 208v-96C160 103.2 167.2 96 176 96h256C440.8 96 448 103.2 448 112V208z"],
    "nfc": [448, 512, [], "e1f7", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM384 384c0 17.64-14.36 32-32 32H96c-17.64 0-32-14.36-32-32V128c0-17.64 14.36-32 32-32h48C152.8 96 160 103.2 160 112S152.8 128 144 128H96v256h256V128h-112v82.94c18.6 6.611 32 24.19 32 45.06c0 26.51-21.49 48-48 48S176 282.5 176 256c0-20.87 13.4-38.45 32-45.06V112C208 103.2 215.2 96 224 96h128c17.64 0 32 14.36 32 32V384z"],
    "nfc-lock": [576, 512, [], "e1f8", "M144 128H96v256h192v-16c0-32.74 19.77-60.95 48-73.32V256c0-20.8 6.076-40.07 16-56.78V128H240v82.94C258.6 217.6 272 235.1 272 256c0 26.51-21.49 48-48 48S176 282.5 176 256c0-20.87 13.4-38.45 32-45.06V112C208 103.2 215.2 96 224 96h128c17.64 0 32 14.36 32 32v36.33C402.2 151.6 424.2 144 448 144V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h225.6C288.6 474.8 288 469.5 288 464V416H96c-17.64 0-32-14.36-32-32V128c0-17.64 14.36-32 32-32h48C152.8 96 160 103.2 160 112S152.8 128 144 128zM528 320V256c0-44.11-35.89-80-80-80S368 211.9 368 256v64c-26.51 0-48 21.49-48 48v96c0 26.51 21.49 48 48 48h160c26.51 0 48-21.49 48-48v-96C576 341.5 554.5 320 528 320zM448 448c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32s32 14.33 32 32C480 433.7 465.7 448 448 448zM480 320h-64V256c0-17.64 14.36-32 32-32s32 14.36 32 32V320z"],
    "nfc-magnifying-glass": [640, 512, [], "e1f9", "M630.6 457.4l-72.73-72.73C569.1 365.6 576 343.7 576 320c0-70.69-57.31-128-128-128c-70.69 0-128 57.31-128 128c0 70.69 57.31 128 128 128c23.7 0 45.61-6.879 64.65-18.1l72.73 72.73C591.6 508.9 599.8 512 608 512s16.38-3.125 22.62-9.375C643.1 490.1 643.1 469.9 630.6 457.4zM448 384c-35.29 0-64-28.71-64-64s28.71-64 64-64c35.29 0 64 28.71 64 64S483.3 384 448 384zM320.7 416H96c-17.64 0-32-14.36-32-32V128c0-17.64 14.36-32 32-32h48C152.8 96 160 103.2 160 112S152.8 128 144 128H96v256h205.5C292.9 364.4 288 342.8 288 320c0-52.18 25.35-98.07 64-127.3V128H240v82.94C258.6 217.6 272 235.1 272 256c0 26.51-21.49 48-48 48S176 282.5 176 256c0-20.87 13.4-38.45 32-45.06V112C208 103.2 215.2 96 224 96h128c17.64 0 32 14.36 32 32v45.51C403.6 164.9 425.2 160 448 160V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c8.775 0 16.89-2.288 24.49-5.505C372.9 465.4 342.2 444.5 320.7 416z"],
    "nfc-pen": [576, 512, [], "e1fa", "M64 384V128c0-17.64 14.36-32 32-32h48C152.8 96 160 103.2 160 112S152.8 128 144 128H96v256h202.7L352 330.8V128H240v82.94C258.6 217.6 272 235.1 272 256c0 26.51-21.49 48-48 48S176 282.5 176 256c0-20.87 13.4-38.45 32-45.06V112C208 103.2 215.2 96 224 96h128c17.64 0 32 14.36 32 32v170.8l64-64V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h195.8l11.32-56.56C271.6 420.8 272.9 418.5 273.8 416H96C78.36 416 64 401.6 64 384zM565.5 255.7l-21.09-21.1c-14.08-14.06-36.87-14.06-50.92 0l-38.12 38.15l72 72l38.12-38.13C579.5 292.5 579.5 269.7 565.5 255.7zM307.4 420.6c-2.5 2.521-4.209 5.729-4.918 9.208l-14.29 71.42c-1.25 6.291 4.335 11.83 10.59 10.58l71.45-14.29c3.459-.6875 6.675-2.396 9.175-4.917l125.3-125.3l-72-72L307.4 420.6z"],
    "nfc-signal": [512, 512, [], "e1fb", "M488 304C501.3 304 512 293.3 512 280S501.3 256 488 256C360.1 256 256 360.1 256 488c0 13.25 10.75 24 24 24s24-10.75 24-24C304 386.5 386.5 304 488 304zM144 128H96v256h149.4C267.3 333.1 304.1 290.6 352 262.2V128H240v82.94c18.6 6.611 32 24.19 32 45.06c0 26.51-21.49 48-48 48S176 282.5 176 256c0-20.87 13.4-38.45 32-45.06V112C208 103.2 215.2 96 224 96h128c17.64 0 32 14.36 32 32v117.4c20.15-8.672 41.65-14.64 64-18.06V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h160.4c.668-22.12 4.02-43.55 9.83-64H96c-17.64 0-32-14.36-32-32V128c0-17.64 14.36-32 32-32h48C152.8 96 160 103.2 160 112S152.8 128 144 128zM488 352C413 352 352 413 352 488c0 13.25 10.75 24 24 24s24-10.75 24-24c0-48.53 39.47-88 88-88c13.25 0 24-10.75 24-24S501.3 352 488 352zM457.4 457.4c-12.5 12.5-12.5 32.76 0 45.25c12.5 12.5 32.76 12.5 45.25 0c12.5-12.5 12.5-32.76 0-45.25C490.1 444.9 469.9 444.9 457.4 457.4z"],
    "nfc-slash": [640, 512, [], "e1fc", "M630.8 469.1L544 401.1V96c0-35.35-28.65-64-64-64H160C138.4 32 119.4 42.78 107.8 59.18L38.81 5.113c-10.47-8.172-25.5-6.359-33.7 4.078C-3.062 19.63-1.234 34.72 9.188 42.89l592 463.1C605.6 510.3 610.8 512 615.1 512c7.125 0 14.17-3.156 18.91-9.188C643.1 492.4 641.2 477.3 630.8 469.1zM240 128H195.6L168.5 106.7C174.3 100.3 182.6 96 192 96h48C248.8 96 256 103.2 256 112S248.8 128 240 128zM480 350.9l-32-25.08V128h-112v82.94c18.6 6.611 32 24.19 32 45.06c0 2.217-.6875 4.221-.9785 6.355L302.5 211.8C303 211.5 303.4 211.1 304 210.9V112C304 103.2 311.2 96 320 96h128c17.64 0 32 14.36 32 32V350.9zM192 416c-17.64 0-32-14.36-32-32V222.1L96 171.9V416c0 35.35 28.65 64 64 64h320c2.746 0 5.361-.4727 8.018-.8086L407.4 416H192zM192 384h174.6L192 247.2V384z"],
    "nfc-symbol": [576, 512, [], "e531", "M202.6 311.8C189.5 300 188.4 279.8 200.2 266.6C211.1 253.5 232.2 252.4 245.4 264.2L405.2 407.7C450.5 373.2 479.1 317.4 479.1 256C479.1 186.4 442.1 124 386.3 91.7C370.1 82.86 365.7 63.28 374.6 47.98C383.4 32.68 403 27.46 418.3 36.31C493.6 79.89 543.1 163.2 543.1 256C543.1 348.8 493.6 432.1 418.3 475.7C406.3 482.6 391.2 481.1 380.9 471.8L202.6 311.8zM373.4 200.2C386.5 211.1 387.6 232.2 375.8 245.4C364 258.5 343.8 259.6 330.6 247.8L170.8 104.4C125.5 138.8 96 194.6 96 256C96 325.7 133.9 388 189.7 420.3C205 429.2 210.3 448.7 201.4 464C192.6 479.3 172.1 484.6 157.7 475.7C82.35 432.1 32 348.8 32 256C32 163.2 82.35 79.9 157.7 36.31C169.7 29.38 184.8 30.95 195.1 40.2L373.4 200.2z"],
    "nfc-trash": [640, 512, [], "e1fd", "M352 416H96c-17.64 0-32-14.36-32-32V128c0-17.64 14.36-32 32-32h48C152.8 96 160 103.2 160 112S152.8 128 144 128H96v256h256V128H240v82.94C258.6 217.6 272 235.1 272 256c0 26.51-21.49 48-48 48S176 282.5 176 256c0-20.87 13.4-38.45 32-45.06V112C208 103.2 215.2 96 224 96h128c17.64 0 32 14.36 32 32v66.95C389 193.2 394.4 192 400 192h17.89l2.771-6.219C426.4 174.4 436.3 166.2 448 162.5V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h316.8l-4.719-75.5C370.2 411.4 361.7 416 352 416zM412.9 481.1C413.1 498.1 428.8 512 445.8 512h132.5c17.02 0 31.81-13.9 32.88-30.89L623.2 288h-222.4L412.9 481.1zM624 224h-38.67l-10.61-23.89C572.2 195.1 567.2 192 561.6 192h-99.2c-5.557 0-10.63 3.139-13.12 8.105L438.7 224H400C391.2 224 384 231.2 384 240C384 248.8 391.2 256 400 256h224C632.8 256 640 248.8 640 240C640 231.2 632.8 224 624 224z"],
    "not-equal": [448, 512, [], "f53e", "M432 336c0 17.69-14.31 32.01-32 32.01H187.8l-65.15 97.74C116.5 474.1 106.3 480 95.97 480c-6.094 0-12.25-1.75-17.72-5.375c-14.72-9.812-18.69-29.66-8.875-44.38l41.49-62.23H48c-17.69 0-32-14.32-32-32.01s14.31-31.99 32-31.99h105.5l63.1-96H48c-17.69 0-32-14.32-32-32.01s14.31-31.99 32-31.99h212.2l65.18-97.77c9.781-14.69 29.62-18.66 44.37-8.875c14.72 9.812 18.69 29.66 8.875 44.38l-41.51 62.27H400c17.69 0 32 14.31 32 31.99s-14.31 32.01-32 32.01h-105.6l-63.1 96H400C417.7 304 432 318.3 432 336z"],
    "notdef": [384, 512, [], "e1fe", "M336 0h-288C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48v-416C384 21.49 362.5 0 336 0zM281.5 64L192 198.3L102.5 64H281.5zM64 121.7L153.5 256L64 390.3V121.7zM102.5 448L192 313.7L281.5 448H102.5zM320 390.3L230.5 256L320 121.7V390.3z"],
    "note": [448, 512, [], "e1ff", "M320 480l128-128h-128V480zM400 31.1h-352c-26.51 0-48 21.49-48 48v352C0 458.5 21.49 480 48 480H288l.0039-128c0-17.67 14.33-32 32-32H448v-240C448 53.49 426.5 31.1 400 31.1z"],
    "note-medical": [448, 512, [], "e200", "M320 480l128-128h-128V480zM400 31.1h-352c-26.51 0-48 21.49-48 48v352C0 458.5 21.49 480 48 480H288l.0039-128c0-17.67 14.33-32 32-32H448v-240C448 53.49 426.5 31.1 400 31.1zM320 248C320 252.4 316.4 256 312 256L256 255.1V312C256 316.4 252.4 320 248 320h-48C195.6 320 192 316.4 192 312V255.1L136 256C131.6 256 128 252.4 128 248v-48C128 195.6 131.6 192 136 192H192V136c0-4.375 3.625-8 8-8h48c4.375 0 8 3.625 8 8V192h56C316.4 192 320 195.6 320 200V248z"],
    "note-sticky": [448, 512, [62026, "sticky-note"], "f249", "M400 32h-352C21.49 32 0 53.49 0 80v352C0 458.5 21.49 480 48 480h245.5c16.97 0 33.25-6.744 45.26-18.75l90.51-90.51C441.3 358.7 448 342.5 448 325.5V80C448 53.49 426.5 32 400 32zM64 96h320l-.001 224H320c-17.67 0-32 14.33-32 32v64H64V96z"],
    "notebook": [512, 512, [], "e201", "M416 0H224v512h192c35.35 0 64-28.65 64-64V64C480 28.65 451.3 0 416 0zM64 64v40H24C10.75 104 0 114.8 0 128s10.75 24 24 24H64v80H24C10.75 232 0 242.8 0 256s10.75 24 24 24H64v80H24C10.75 360 0 370.8 0 384s10.75 24 24 24H64V448c0 35.35 28.65 64 64 64h64V0H128C92.65 0 64 28.65 64 64z"],
    "notes": [512, 512, [], "e202", "M384 480l96-96h-96V480zM432 95.1h-288c-26.51 0-48 21.49-48 47.1v288C96 458.5 117.5 480 144 480H352l.0137-96c0-17.6 14.4-32 32-32H480V143.1C480 117.5 458.5 95.1 432 95.1zM0 360v-240C0 53.83 53.83 0 120 0h240C373.3 0 384 10.75 384 24S373.3 48 360 48h-240C80.3 48 48 80.3 48 120v240C48 373.3 37.25 384 24 384S0 373.3 0 360z"],
    "notes-medical": [512, 512, [], "f481", "M480 144V384l-96 96H144C117.5 480 96 458.5 96 432v-288C96 117.5 117.5 96 144 96h288C458.5 96 480 117.5 480 144zM384 264C384 259.6 380.4 256 376 256H320V200C320 195.6 316.4 192 312 192h-48C259.6 192 256 195.6 256 200V256H200C195.6 256 192 259.6 192 264v48C192 316.4 195.6 320 200 320H256v56c0 4.375 3.625 8 8 8h48c4.375 0 8-3.625 8-8V320h56C380.4 320 384 316.4 384 312V264zM0 360v-240C0 53.83 53.83 0 120 0h240C373.3 0 384 10.75 384 24S373.3 48 360 48h-240C80.3 48 48 80.3 48 120v240C48 373.3 37.25 384 24 384S0 373.3 0 360z"],
    "o": [448, 512, [111], "4f", "M224 32.01c-123.5 0-224 100.5-224 224s100.5 224 224 224s224-100.5 224-224S347.5 32.01 224 32.01zM224 416c-88.22 0-160-71.78-160-160s71.78-159.1 160-159.1s160 71.78 160 159.1S312.2 416 224 416z"],
    "object-exclude": [512, 512, [], "e49c", "M0 64C0 28.65 28.65 0 64 0H288C323.3 0 352 28.65 352 64V160H448C483.3 160 512 188.7 512 224V448C512 483.3 483.3 512 448 512H224C188.7 512 160 483.3 160 448V352H64C28.65 352 0 323.3 0 288V64zM320 192H192V320H320V192z"],
    "object-group": [576, 512, [], "f247", "M128 160C128 142.3 142.3 128 160 128H288C305.7 128 320 142.3 320 160V256C320 273.7 305.7 288 288 288H160C142.3 288 128 273.7 128 256V160zM288 320C323.3 320 352 291.3 352 256V224H416C433.7 224 448 238.3 448 256V352C448 369.7 433.7 384 416 384H288C270.3 384 256 369.7 256 352V320H288zM32 119.4C12.87 108.4 0 87.69 0 64C0 28.65 28.65 0 64 0C87.69 0 108.4 12.87 119.4 32H456.6C467.6 12.87 488.3 0 512 0C547.3 0 576 28.65 576 64C576 87.69 563.1 108.4 544 119.4V392.6C563.1 403.6 576 424.3 576 448C576 483.3 547.3 512 512 512C488.3 512 467.6 499.1 456.6 480H119.4C108.4 499.1 87.69 512 64 512C28.65 512 0 483.3 0 448C0 424.3 12.87 403.6 32 392.6V119.4zM119.4 96C113.8 105.7 105.7 113.8 96 119.4V392.6C105.7 398.2 113.8 406.3 119.4 416H456.6C462.2 406.3 470.3 398.2 480 392.6V119.4C470.3 113.8 462.2 105.7 456.6 96H119.4z"],
    "object-intersect": [512, 512, [], "e49d", "M0 288V64C0 28.65 28.65 0 64 0H288C323.3 0 352 28.65 352 64V160H448C483.3 160 512 188.7 512 224V448C512 483.3 483.3 512 448 512H224C188.7 512 160 483.3 160 448V352H64C28.65 352 0 323.3 0 288zM288 64H64V288H160V224C160 188.7 188.7 160 224 160H288V64zM448 224H352V288C352 323.3 323.3 352 288 352H224V448H448V224z"],
    "object-subtract": [512, 512, [], "e49e", "M512 448C512 483.3 483.3 512 448 512H224C188.7 512 160 483.3 160 448V352H64C28.65 352 0 323.3 0 288V64C0 28.65 28.65 0 64 0H288C323.3 0 352 28.65 352 64V160H448C483.3 160 512 188.7 512 224V448zM288 64H64V288H288V64z"],
    "object-ungroup": [640, 512, [], "f248", "M32 119.4C12.87 108.4 0 87.69 0 64C0 28.65 28.65 0 64 0C87.69 0 108.4 12.87 119.4 32H328.6C339.6 12.87 360.3 0 384 0C419.3 0 448 28.65 448 64C448 87.69 435.1 108.4 416 119.4V232.6C435.1 243.6 448 264.3 448 288C448 323.3 419.3 352 384 352C360.3 352 339.6 339.1 328.6 320H119.4C108.4 339.1 87.69 352 64 352C28.65 352 0 323.3 0 288C0 264.3 12.87 243.6 32 232.6V119.4zM96 119.4V232.6C105.7 238.2 113.8 246.3 119.4 256H328.6C334.2 246.3 342.3 238.2 352 232.6V119.4C342.3 113.8 334.2 105.7 328.6 96H119.4C113.8 105.7 105.7 113.8 96 119.4V119.4zM311.4 480C300.4 499.1 279.7 512 256 512C220.7 512 192 483.3 192 448C192 424.3 204.9 403.6 224 392.6V352H288V392.6C297.7 398.2 305.8 406.3 311.4 416H520.6C526.2 406.3 534.3 398.2 544 392.6V279.4C534.3 273.8 526.2 265.7 520.6 255.1H474.5C469.1 240.6 459.9 227.1 448 216.4V191.1H520.6C531.6 172.9 552.3 159.1 576 159.1C611.3 159.1 640 188.7 640 223.1C640 247.7 627.1 268.4 608 279.4V392.6C627.1 403.6 640 424.3 640 448C640 483.3 611.3 512 576 512C552.3 512 531.6 499.1 520.6 480H311.4z"],
    "object-union": [512, 512, [], "e49f", "M288 0C323.3 0 352 28.65 352 64V160H448C483.3 160 512 188.7 512 224V448C512 483.3 483.3 512 448 512H224C188.7 512 160 483.3 160 448V352H64C28.65 352 0 323.3 0 288V64C0 28.65 28.65 0 64 0H288z"],
    "objects-align-bottom": [512, 512, [], "e3bb", "M24 512C10.75 512 0 501.3 0 488C0 474.7 10.75 464 24 464H488C501.3 464 512 474.7 512 488C512 501.3 501.3 512 488 512H24zM64 48C64 21.49 85.49 0 112 0H176C202.5 0 224 21.49 224 48V336C224 362.5 202.5 384 176 384H112C85.49 384 64 362.5 64 336V48zM288 176C288 149.5 309.5 128 336 128H400C426.5 128 448 149.5 448 176V336C448 362.5 426.5 384 400 384H336C309.5 384 288 362.5 288 336V176z"],
    "objects-align-center-horizontal": [448, 512, [], "e3bc", "M248 24V64H400C426.5 64 448 85.49 448 112V176C448 202.5 426.5 224 400 224H248V288H336C362.5 288 384 309.5 384 336V400C384 426.5 362.5 448 336 448H248V488C248 501.3 237.3 512 224 512C210.7 512 200 501.3 200 488V448H112C85.49 448 64 426.5 64 400V336C64 309.5 85.49 288 112 288H200V224H48C21.49 224 0 202.5 0 176V112C0 85.49 21.49 64 48 64H200V24C200 10.75 210.7 0 224 0C237.3 0 248 10.75 248 24z"],
    "objects-align-center-vertical": [512, 512, [], "e3bd", "M64 80C64 53.49 85.49 32 112 32H176C202.5 32 224 53.49 224 80V232H288V144C288 117.5 309.5 96 336 96H400C426.5 96 448 117.5 448 144V232H488C501.3 232 512 242.7 512 256C512 269.3 501.3 280 488 280H448V368C448 394.5 426.5 416 400 416H336C309.5 416 288 394.5 288 368V280H224V432C224 458.5 202.5 480 176 480H112C85.49 480 64 458.5 64 432V280H24C10.75 280 0 269.3 0 256C0 242.7 10.75 232 24 232H64V80z"],
    "objects-align-left": [512, 512, [], "e3be", "M0 24C0 10.75 10.75 0 24 0C37.25 0 48 10.75 48 24V488C48 501.3 37.25 512 24 512C10.75 512 0 501.3 0 488V24zM464 64C490.5 64 512 85.49 512 112V176C512 202.5 490.5 224 464 224H176C149.5 224 128 202.5 128 176V112C128 85.49 149.5 64 176 64H464zM336 288C362.5 288 384 309.5 384 336V400C384 426.5 362.5 448 336 448H176C149.5 448 128 426.5 128 400V336C128 309.5 149.5 288 176 288H336z"],
    "objects-align-right": [512, 512, [], "e3bf", "M512 488C512 501.3 501.3 512 488 512C474.7 512 464 501.3 464 488V24C464 10.75 474.7 0 488 0C501.3 0 512 10.75 512 24V488zM336 64C362.5 64 384 85.49 384 112V176C384 202.5 362.5 224 336 224H48C21.49 224 0 202.5 0 176V112C0 85.49 21.49 64 48 64H336zM336 288C362.5 288 384 309.5 384 336V400C384 426.5 362.5 448 336 448H176C149.5 448 128 426.5 128 400V336C128 309.5 149.5 288 176 288H336z"],
    "objects-align-top": [512, 512, [], "e3c0", "M488 0C501.3 0 512 10.75 512 24C512 37.25 501.3 48 488 48H24C10.75 48 0 37.25 0 24C0 10.75 10.75 0 24 0H488zM64 176C64 149.5 85.49 128 112 128H176C202.5 128 224 149.5 224 176V464C224 490.5 202.5 512 176 512H112C85.49 512 64 490.5 64 464V176zM288 176C288 149.5 309.5 128 336 128H400C426.5 128 448 149.5 448 176V336C448 362.5 426.5 384 400 384H336C309.5 384 288 362.5 288 336V176z"],
    "objects-column": [448, 512, [], "e3c1", "M144 32C170.5 32 192 53.49 192 80V240C192 266.5 170.5 288 144 288H48C21.49 288 0 266.5 0 240V80C0 53.49 21.49 32 48 32H144zM400 224C426.5 224 448 245.5 448 272V432C448 458.5 426.5 480 400 480H304C277.5 480 256 458.5 256 432V272C256 245.5 277.5 224 304 224H400zM0 400C0 373.5 21.49 352 48 352H144C170.5 352 192 373.5 192 400V432C192 458.5 170.5 480 144 480H48C21.49 480 0 458.5 0 432V400zM400 32C426.5 32 448 53.49 448 80V112C448 138.5 426.5 160 400 160H304C277.5 160 256 138.5 256 112V80C256 53.49 277.5 32 304 32H400z"],
    "octagon": [512, 512, [128721], "f306", "M320.5 .0667C339.6 .0667 357.9 7.652 371.4 21.16L490.8 140.6C504.3 154.1 511.9 172.4 511.9 191.5V320.5C511.9 339.6 504.3 357.9 490.8 371.4L371.4 490.8C357.9 504.3 339.6 511.9 320.5 511.9H191.5C172.4 511.9 154.1 504.3 140.6 490.8L21.15 371.4C7.652 357.9 .0666 339.6 .0666 320.5V191.5C.0666 172.4 7.652 154.1 21.15 140.6L140.6 21.15C154.1 7.652 172.4 .0664 191.5 .0664L320.5 .0667z"],
    "octagon-check": [512, 512, [], "e426", "M140.6 21.15C154.1 7.651 172.4 .0654 191.5 .0654H320.5C339.6 .0654 357.9 7.651 371.4 21.15L490.8 140.6C504.3 154.1 511.9 172.4 511.9 191.5V320.5C511.9 339.6 504.3 357.9 490.8 371.4L371.4 490.8C357.9 504.3 339.6 511.9 320.5 511.9H191.5C172.4 511.9 154.1 504.3 140.6 490.8L21.15 371.4C7.652 357.9 .0666 339.6 .0666 320.5V191.5C.0666 172.4 7.652 154.1 21.15 140.6L140.6 21.15zM368.1 208.1C378.3 199.6 378.3 184.4 368.1 175C359.6 165.7 344.4 165.7 335 175L224 286.1L176.1 239C167.6 229.7 152.4 229.7 143 239C133.7 248.4 133.7 263.6 143 272.1L207 336.1C216.4 346.3 231.6 346.3 240.1 336.1L368.1 208.1z"],
    "octagon-divide": [512, 512, [], "e203", "M140.6 21.15C154.1 7.648 172.4 .0625 191.5 .0625H320.5C339.6 .0625 357.9 7.648 371.4 21.15L490.8 140.6C504.3 154.1 511.9 172.4 511.9 191.5V320.5C511.9 339.6 504.3 357.9 490.8 371.4L371.4 490.8C357.9 504.3 339.6 511.9 320.5 511.9H191.5C172.4 511.9 154.1 504.3 140.6 490.8L21.15 371.4C7.652 357.9 .0666 339.6 .0666 320.5V191.5C.0666 172.4 7.652 154.1 21.15 140.6L140.6 21.15zM256 191.1C273.7 191.1 288 177.7 288 159.1C288 142.3 273.7 127.1 256 127.1C238.3 127.1 224 142.3 224 159.1C224 177.7 238.3 191.1 256 191.1zM168 231.1C154.7 231.1 144 242.7 144 255.1C144 269.3 154.7 279.1 168 279.1H344C357.3 279.1 368 269.3 368 255.1C368 242.7 357.3 231.1 344 231.1H168zM256 319.1C238.3 319.1 224 334.3 224 351.1C224 369.7 238.3 383.1 256 383.1C273.7 383.1 288 369.7 288 351.1C288 334.3 273.7 319.1 256 319.1z"],
    "octagon-exclamation": [512, 512, [], "e204", "M140.6 21.15C154.1 7.648 172.4 .0625 191.5 .0625H320.5C339.6 .0625 357.9 7.648 371.4 21.15L490.8 140.6C504.3 154.1 511.9 172.4 511.9 191.5V320.5C511.9 339.6 504.3 357.9 490.8 371.4L371.4 490.8C357.9 504.3 339.6 511.9 320.5 511.9H191.5C172.4 511.9 154.1 504.3 140.6 490.8L21.15 371.4C7.652 357.9 .0666 339.6 .0666 320.5V191.5C.0666 172.4 7.652 154.1 21.15 140.6L140.6 21.15zM232 151.1V263.1C232 277.3 242.7 287.1 256 287.1C269.3 287.1 280 277.3 280 263.1V151.1C280 138.7 269.3 127.1 256 127.1C242.7 127.1 232 138.7 232 151.1V151.1zM256 319.1C238.3 319.1 224 334.3 224 351.1C224 369.7 238.3 383.1 256 383.1C273.7 383.1 288 369.7 288 351.1C288 334.3 273.7 319.1 256 319.1z"],
    "octagon-minus": [512, 512, ["minus-octagon"], "f308", "M140.6 21.15C154.1 7.648 172.4 .0625 191.5 .0625H320.5C339.6 .0625 357.9 7.648 371.4 21.15L490.8 140.6C504.3 154.1 511.9 172.4 511.9 191.5V320.5C511.9 339.6 504.3 357.9 490.8 371.4L371.4 490.8C357.9 504.3 339.6 511.9 320.5 511.9H191.5C172.4 511.9 154.1 504.3 140.6 490.8L21.15 371.4C7.652 357.9 .0666 339.6 .0666 320.5V191.5C.0666 172.4 7.652 154.1 21.15 140.6L140.6 21.15zM168 231.1C154.7 231.1 144 242.7 144 255.1C144 269.3 154.7 279.1 168 279.1H344C357.3 279.1 368 269.3 368 255.1C368 242.7 357.3 231.1 344 231.1H168z"],
    "octagon-plus": [512, 512, ["plus-octagon"], "f301", "M140.6 21.15C154.1 7.648 172.4 .0625 191.5 .0625H320.5C339.6 .0625 357.9 7.648 371.4 21.15L490.8 140.6C504.3 154.1 511.9 172.4 511.9 191.5V320.5C511.9 339.6 504.3 357.9 490.8 371.4L371.4 490.8C357.9 504.3 339.6 511.9 320.5 511.9H191.5C172.4 511.9 154.1 504.3 140.6 490.8L21.15 371.4C7.652 357.9 .0666 339.6 .0666 320.5V191.5C.0666 172.4 7.652 154.1 21.15 140.6L140.6 21.15zM256 367.1C269.3 367.1 280 357.3 280 343.1V279.1H344C357.3 279.1 368 269.3 368 255.1C368 242.7 357.3 231.1 344 231.1H280V167.1C280 154.7 269.3 143.1 256 143.1C242.7 143.1 232 154.7 232 167.1V231.1H168C154.7 231.1 144 242.7 144 255.1C144 269.3 154.7 279.1 168 279.1H232V343.1C232 357.3 242.7 367.1 256 367.1z"],
    "octagon-xmark": [512, 512, ["times-octagon", "xmark-octagon"], "f2f0", "M140.6 21.15C154.1 7.648 172.4 .0625 191.5 .0625H320.5C339.6 .0625 357.9 7.648 371.4 21.15L490.8 140.6C504.3 154.1 511.9 172.4 511.9 191.5V320.5C511.9 339.6 504.3 357.9 490.8 371.4L371.4 490.8C357.9 504.3 339.6 511.9 320.5 511.9H191.5C172.4 511.9 154.1 504.3 140.6 490.8L21.15 371.4C7.652 357.9 .0666 339.6 .0666 320.5V191.5C.0666 172.4 7.652 154.1 21.15 140.6L140.6 21.15zM175 208.1L222.1 255.1L175 303C165.7 312.4 165.7 327.6 175 336.1C184.4 346.3 199.6 346.3 208.1 336.1L256 289.9L303 336.1C312.4 346.3 327.6 346.3 336.1 336.1C346.3 327.6 346.3 312.4 336.1 303L289.9 255.1L336.1 208.1C346.3 199.6 346.3 184.4 336.1 175C327.6 165.7 312.4 165.7 303 175L256 222.1L208.1 175C199.6 165.7 184.4 165.7 175 175C165.7 184.4 165.7 199.6 175 208.1V208.1z"],
    "oil-can": [640, 512, [], "f613", "M288 128V160H368.9C378.8 160 388.6 162.3 397.5 166.8L448 192L615 156.2C633.1 152.3 645.7 173.8 633.5 187.7L451.1 394.3C438.1 408.1 421.5 416 403.1 416H144C117.5 416 96 394.5 96 368V346.7L28.51 316.7C11.17 308.1 0 291.8 0 272.8V208C0 181.5 21.49 160 48 160H224V128H192C174.3 128 160 113.7 160 96C160 78.33 174.3 64 192 64H320C337.7 64 352 78.33 352 96C352 113.7 337.7 128 320 128L288 128zM96 208H48V272.8L96 294.1V208z"],
    "oil-can-drip": [640, 512, [], "e205", "M352 96C352 113.7 337.7 128 320 128H288V160H368.9C378.8 160 388.6 162.3 397.5 166.8L448 192L615 156.2C633.1 152.3 645.7 173.8 633.5 187.7L451.1 394.3C438.1 408.1 421.5 416 403.1 416H144C117.5 416 96 394.5 96 368V346.7L28.51 316.7C11.17 308.1 0 291.8 0 272.8V208C0 181.5 21.49 160 48 160H224V128H192C174.3 128 160 113.7 160 96C160 78.33 174.3 64 192 64H320C337.7 64 352 78.33 352 96V96zM48 272.8L96 294.1V208H48V272.8zM544 400C544 379 564.6 337.4 578.9 311.2C584.6 300.6 599.4 300.6 605.1 311.2C619.4 337.4 640 379 640 400C640 432 618.5 448 592 448C565.5 448 544 426.5 544 400z"],
    "oil-temperature": [576, 512, ["oil-temp"], "f614", "M256 32C256 14.33 270.3 0 288 0H352C369.7 0 384 14.33 384 32C384 49.67 369.7 64 352 64H320V96H352C369.7 96 384 110.3 384 128C384 145.7 369.7 160 352 160H320V230.7C348.3 243 368 271.2 368 304C368 348.2 332.2 384 288 384C243.8 384 208 348.2 208 304C208 271.2 227.7 243 256 230.7V32zM399.1 302.8C421.9 299.6 443.7 290.2 461.4 277.9L461.5 277.9C473.4 269.4 489.5 270.1 500.7 279.6C515 291.5 533.2 300.6 551.3 304.8C568.5 308.8 579.2 326.1 575.2 343.3C571.2 360.5 553.1 371.2 536.7 367.2C512.2 361.4 491.9 350.6 478.5 342.2C449.5 357.7 417 368 384 368C382.6 368 381.3 367.1 379.1 367.9C392.6 349.8 400 327.8 400 303.1L399.1 302.8zM97.5 342.2C84.12 350.6 63.79 361.4 39.27 367.2C22.06 371.2 4.853 360.5 .8422 343.3C-3.169 326.1 7.532 308.8 24.74 304.8C42.84 300.6 60.96 291.5 75.31 279.6C86.46 270.1 102.6 269.4 114.5 277.9L114.6 277.9C132.3 290.2 154.1 299.6 176 302.8L176 304C176 327.8 183.4 349.8 196 367.9C194.7 367.1 193.4 368 192 368C158.1 368 126.5 357.7 97.5 342.2L97.5 342.2zM461.4 421.9L461.5 421.9C473.4 413.4 489.5 414.1 500.7 423.6C515 435.5 533.2 444.6 551.3 448.8C568.5 452.8 579.2 470.1 575.2 487.3C571.2 504.5 553.1 515.2 536.7 511.2C512.2 505.4 491.9 494.6 478.5 486.2C449.5 501.7 417 512 384 512C352.1 512 323.4 502.1 303.6 493.1C297.7 490.5 292.5 487.8 288 485.4C283.5 487.8 278.3 490.5 272.4 493.1C252.6 502.1 223.9 512 192 512C158.1 512 126.5 501.7 97.5 486.2C84.12 494.6 63.79 505.4 39.27 511.2C22.06 515.2 4.854 504.5 .8426 487.3C-3.169 470.1 7.532 452.8 24.74 448.8C42.84 444.6 60.96 435.5 75.31 423.6C86.46 414.1 102.6 413.4 114.5 421.9L114.6 421.9C136.7 437.2 165.1 448 192 448C219.5 448 247 437.4 269.5 421.9C280.6 414 295.4 414 306.5 421.9C328.1 437.4 356.5 448 384 448C410.9 448 439.4 437.2 461.4 421.9H461.4z"],
    "oil-well": [576, 512, [], "e532", "M569.8 215.8C581.2 258.5 555.9 302.4 513.2 313.8L497.7 317.9C480.7 322.5 463.1 312.4 458.5 295.3L433.3 201.3L95.1 288.8V448H137.3L190.4 296.3L264.1 276.1L238.7 352H305.3L277.9 273.6L340 257.5L406.7 448H544C561.7 448 576 462.3 576 480C576 497.7 561.7 512 544 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H48V184C48 170.7 58.75 160 72 160C85.25 160 96 170.7 96 184V222.6L228.2 188.4L241.8 149.4C246.3 136.6 258.4 128 272 128C285.6 128 297.7 136.6 302.2 149.4L308.5 167.5L416.8 139.5L392.3 48.04C387.7 30.97 397.8 13.42 414.9 8.848L430.4 4.707C473-6.729 516.9 18.6 528.3 61.28L569.8 215.8zM205.1 448H338.9L327.7 416H216.3L205.1 448z"],
    "olive": [448, 512, [], "e316", "M392.5 89.39c-94.93-99.56-213.1-58.11-308.5 36.84c-95.42 94.96-112 232.4-37.02 307c74.98 74.61 213.1 58.12 308.5-36.84C450.9 301.5 487.5 188.1 392.5 89.39zM374.9 214.9c-18.18 18.18-57.49 8.355-87.79-21.95c-30.3-30.3-40.13-69.61-21.95-87.79c18.18-18.18 57.49-8.354 87.79 21.95C383.2 157.4 393.1 196.7 374.9 214.9z"],
    "olive-branch": [640, 512, [], "e317", "M449.9 48H616c13.25 0 24-10.75 24-24S629.3 0 616 0h-166.1c-65.87 0-131.2 16.47-189.5 47.06C244.2 34.17 195.5 0 136 0c-71.56 0-128.3 49.94-130.7 52.07C1.948 55.11 .0107 59.44 .0107 64s1.938 8.891 5.344 11.94C7.075 77.48 37.55 103.1 81.32 118.5C69.25 124.8 57.4 132.6 46.99 142.1c-48.46 48.47-47.06 126.1-46.96 129.4C.2402 280.9 7.085 287.8 15.61 287.1c.25 0 .8984 .0156 1.93 .0156c12.84 0 82.66-2.147 127.5-46.98c30.93-30.93 41.48-73.57 45.09-101.4l87.41-47.7C330.3 63.21 389.9 48 449.9 48zM336 128c-79.53 0-143.1 85.96-143.1 192s64.47 192 143.1 192s143.1-85.96 143.1-192S415.5 128 336 128zM427.8 129.2C478.2 168.7 512 239.5 512 320.3c0 59.01-18.11 112.6-47.45 152.7c53.26 14.72 105.8 6.727 140.2-27.74c58.32-58.4 42.56-168.9-35.2-246.7C527.4 156.2 475.7 132.1 427.8 129.2z"],
    "om": [512, 512, [128329], "f679", "M360.6 61C362.5 62.88 365.2 64 368 64s5.375-1.125 7.375-3l21.5-21.62C398.9 37.38 400 34.75 400 32s-1.125-5.375-3.125-7.375L375.4 3c-4.125-4-10.75-4-14.75 0L339 24.62C337 26.62 336 29.25 336 32s1 5.375 3 7.375L360.6 61zM412.1 191.1c-26.75 0-51.75 10.38-70.63 29.25l-24.25 24.25c-6.75 6.75-15.75 10.5-25.37 10.5H245c10.5-22.12 14.12-48.12 7.75-75.25C242.6 138.2 206.4 104.6 163.2 97.62c-36.25-6-71 5-96 28.75c-7.375 7-7 18.87 1.125 24.87L94.5 170.9c5.75 4.375 13.62 4.375 19.12-.125C122.1 163.8 132.8 159.1 144 159.1c26.38 0 48 21.5 48 48S170.4 255.9 143.1 255.9L112 255.1c-11.88 0-19.75 12.63-14.38 23.25L113.8 311.5C116.2 316.5 121.4 319.5 126.9 320H160c35.25 0 64 28.75 64 64s-28.75 64-64 64c-96.12 0-122.4-53.1-145.2-92C10.25 348.4 0 352.4 0 361.2C-.125 416 41.12 512 160 512c70.5 0 127.1-57.44 127.1-128.1c0-23.38-6.874-45.06-17.87-63.94h21.75c26.62 0 51.75-10.38 70.63-29.25l24.25-24.25c6.75-6.75 15.75-10.5 25.37-10.5C431.9 255.1 448 272.1 448 291.9V392c0 13.25-18.75 24-32 24c-39.38 0-66.75-24.25-81.88-42.88C329.4 367.2 320 370.6 320 378.1V416c0 0 0 64 96 64c48.5 0 96-39.5 96-88V291.9C512 236.8 467.3 191.1 412.1 191.1zM454.3 67.25c-85.5 65.13-169 2.751-172.5 .125c-6-4.625-14.5-4.375-20.13 .5C255.9 72.75 254.3 81 257.9 87.63C259.5 90.63 298.2 160 376.8 160c79.88 0 98.75-31.38 101.8-37.63C479.5 120.2 480 117.9 480 115.5V80C480 66.75 464.9 59.25 454.3 67.25z"],
    "omega": [448, 512, [], "f67a", "M416 480l-96-.0049c-17.67 0-32-14.4-32-32.08v-25.6c0-11.44 6.094-21.97 15.98-27.69C353.3 366.1 384 312.1 384 256c0-88.22-71.78-159.1-160-159.1S64 167.8 64 256c0 56.97 30.66 110.1 80.02 138.6C153.9 400.4 160 410.9 160 422.3v25.6c0 17.69-14.33 32.08-32 32.08l-96 .0049c-17.67 0-32-14.31-32-32s14.33-32 32-32h35.3C24.89 374.4 0 316.8 0 256c0-123.5 100.5-224 224-224s224 100.5 224 223.1c0 60.75-24.89 118.4-67.3 160H416c17.67 0 32 14.31 32 32S433.7 480 416 480zM320.2 422.3L320.2 422.3L320.2 422.3z"],
    "onion": [448, 512, [129477], "e427", "M448 281.5c0-58.47-34.75-113.8-92.94-147.9c0 0 0 0 0-.0156c-.6562-.375-65.66-39.27-85.81-121.4c-1.406-5.828-5.969-10.36-11.81-11.75c-5.688-1.406-11.97 .5781-15.84 5.125L224 26.02L206.4 5.57C202.5 1.023 196.3-.9609 190.6 .4453C184.7 1.836 180.2 6.367 178.8 12.2C158.6 94.27 93.59 133.2 92.94 133.6C34.75 167.7 0 223 0 281.5c0 73.94 54.34 137.6 132.1 166.3l-10.88 32.66c-4.188 12.58 2.625 26.17 15.19 30.36C138.9 511.6 141.5 512 144 512c10.06 0 19.41-6.359 22.78-16.41l11.79-35.38C185.6 461.4 192.8 462.3 200 462.9V488C200 501.3 210.8 512 224 512s24-10.75 24-24v-25.08c7.244-.6309 14.4-1.52 21.43-2.703l11.79 35.38C284.6 505.6 293.9 512 304 512c2.5 0 5.062-.3906 7.594-1.234c12.56-4.188 19.38-17.78 15.19-30.36l-10.88-32.66C393.7 419.1 448 355.4 448 281.5zM129 198.2C98.84 269.7 96 287.1 96 315.5c0 12.22 1.438 22.86 4.406 32.53c2.594 8.453-2.125 17.41-10.59 20c-1.562 .4844-3.125 .7031-4.688 .7031c-6.844 0-13.19-4.422-15.28-11.3C65.91 344.7 64 330.1 64 315.5c0-35.31 4.656-56.62 35.5-129.7c3.469-8.156 12.91-11.92 20.97-8.516C128.6 180.7 132.4 190.1 129 198.2zM237.4 132c-43.78 169.9-45.47 188.1-36.03 224.3c1.906 7.375 4.312 13.83 7.344 19.73c4.062 7.859 .9687 17.52-6.906 21.55c-2.344 1.219-4.844 1.781-7.312 1.781c-5.781 0-11.38-3.156-14.22-8.672c-4.094-7.938-7.406-16.8-9.906-26.34C158.7 319.4 162.4 294.7 206.4 124c2.219-8.516 10.88-13.7 19.5-11.5C234.4 114.7 239.6 123.4 237.4 132zM361.8 357.6c-2.188 6.797-8.469 11.14-15.25 11.14c-1.594 0-3.25-.2344-4.875-.75c-8.406-2.688-13.06-11.69-10.38-20.11C334.5 338 336 327.2 336 314.7c0-33.15-4.594-52.06-46.66-148.3c-3.531-8.094 .1562-17.53 8.25-21.06c8.094-3.516 17.53 .1406 21.06 8.248C363.2 255.4 368 276.3 368 314.7C368 330.5 365.1 344.5 361.8 357.6z"],
    "option": [640, 512, [], "e318", "M448 128h160c17.69 0 32-14.31 32-32s-14.31-32-32-32h-160c-17.69 0-32 14.31-32 32S430.3 128 448 128zM608 384h-144.6L217 76C210.9 68.41 201.7 64 192 64H32C14.31 64 0 78.31 0 96s14.31 32 32 32h144.6l246.4 308C429.1 443.6 438.3 448 448 448h160c17.69 0 32-14.31 32-32S625.7 384 608 384z"],
    "ornament": [384, 512, [], "f7b8", "M287.1 153.9L287.1 112c0-8.75-7.26-16-16.01-16h-24.9c5.498-9.375 8.887-20.25 8.887-32c0-35.25-28.75-64-63.98-64S127.1 28.75 127.1 64c0 11.75 3.368 22.62 8.866 32H111.1C103.2 96 95.99 103.3 95.99 112l.0016 41.94C66.88 170.8 42.74 195 25.87 224h332.1C341.1 195 317.1 170.8 287.1 153.9zM191.9 96C174.4 96 159.9 81.5 159.9 64s14.51-32 32.01-32s31.97 14.5 31.97 32S209.4 96 191.9 96zM191.1 512c70.98 0 132.8-38.75 166-96H25.87C59.11 473.3 121 512 191.1 512zM372.6 256H11.39C4.271 276.1 0 297.5 0 320s4.068 44 11.19 64h361.6C379.9 364 384 342.5 384 320C383.9 297.5 379.7 276.1 372.6 256z"],
    "otter": [640, 512, [129446], "f700", "M224 160c8.836 0 16-7.164 16-16C240 135.2 232.8 128 224 128S208 135.2 208 144C208 152.8 215.2 160 224 160zM96 128C87.16 128 80 135.2 80 144C80 152.8 87.16 160 96 160s16-7.164 16-16C112 135.2 104.8 128 96 128zM474.4 64.12C466.8 63.07 460 69.07 460 76.73c0 5.959 4.188 10.1 9.991 12.36C514.2 99.46 544 160 544 192v112c0 8.844-7.156 16-16 16S512 312.8 512 304V212c0-14.87-15.65-24.54-28.94-17.89c-28.96 14.48-47.83 42.99-50.51 74.88C403.7 285.6 384 316.3 384 352v32H224c17.67 0 32-14.33 32-32c0-17.67-14.33-32-32-32H132.4c-14.46 0-27.37-9.598-31.08-23.57C97.86 283.5 96 269.1 96 256V254.4C101.1 255.3 106.3 256 111.7 256c10.78 0 21.45-2.189 31.36-6.436L160 242.3l16.98 7.271C186.9 253.8 197.6 256 208.3 256c7.176 0 14.11-.9277 20.83-2.426C241.7 292 277.4 320 320 320l36.56-.0366C363.1 294.7 377.1 272.7 396.2 256H320c0-25.73 17.56-31.61 32.31-32C369.8 223.8 384 209.6 384 192c0-17.67-14.31-32-32-32c-15.09 0-32.99 4.086-49.28 13.06C303.3 168.9 304 164.7 304 160.3v-16c0-1.684-.4238-3.248-.4961-4.912C313.2 133.9 320 123.9 320 112C320 103.2 312.8 96 304 96H292.7C274.6 58.26 236.3 32 191.7 32H128.3C83.68 32 45.44 58.26 27.33 96H16C7.164 96 0 103.2 0 112c0 11.93 6.816 21.93 16.5 27.43C16.42 141.1 16 142.7 16 144.3v16c0 19.56 5.926 37.71 16 52.86V256c0 123.7 100.3 224 224 224h160c123.9-1.166 224-101.1 224-226.2C639.9 156.9 567.8 76.96 474.4 64.12zM64 160.3v-16C64 108.9 92.86 80 128.3 80h63.32C227.1 80 256 108.9 256 144.3v16C256 186.6 234.6 208 208.3 208c-4.309 0-8.502-.8608-12.46-2.558L162.1 191.4c2.586-.3066 5.207-.543 7.598-1.631l8.314-3.777C186.9 182.3 192 174.9 192 166.7V160c0-6.723-5.996-12.17-13.39-12.17H141.4C133.1 147.8 128 153.3 128 160v6.701c0 8.15 5.068 15.6 13.09 19.25l8.314 3.777c2.391 1.088 5.012 1.324 7.598 1.631l-32.88 14.08C120.2 207.1 115.1 208 111.7 208C85.38 208 64 186.6 64 160.3z"],
    "outdent": [512, 512, ["dedent"], "f03b", "M32 64C32 46.33 46.33 32 64 32H448C465.7 32 480 46.33 480 64C480 81.67 465.7 96 448 96H64C46.33 96 32 81.67 32 64V64zM224 192C224 174.3 238.3 160 256 160H448C465.7 160 480 174.3 480 192C480 209.7 465.7 224 448 224H256C238.3 224 224 209.7 224 192zM448 288C465.7 288 480 302.3 480 320C480 337.7 465.7 352 448 352H256C238.3 352 224 337.7 224 320C224 302.3 238.3 288 256 288H448zM32 448C32 430.3 46.33 416 64 416H448C465.7 416 480 430.3 480 448C480 465.7 465.7 480 448 480H64C46.33 480 32 465.7 32 448V448zM32.24 268.6C24 262.2 24 249.8 32.24 243.4L134.2 164.1C144.7 155.9 160 163.4 160 176.7V335.3C160 348.6 144.7 356.1 134.2 347.9L32.24 268.6z"],
    "outlet": [448, 512, [], "e01c", "M224 288C210.8 288 200 298.8 200 312v24h48V312C248 298.8 237.2 288 224 288zM160 192C151.2 192 144 199.2 144 208V256c0 8.836 7.164 16 16 16c8.838 0 16-7.164 16-16V208C176 199.2 168.8 192 160 192zM288 192c-8.836 0-16 7.164-16 16V256c0 8.836 7.164 16 16 16c8.838 0 16-7.164 16-16V208C304 199.2 296.8 192 288 192zM384 31.1H64c-35.35 0-64 28.65-64 63.1v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64v-320C448 60.65 419.3 31.1 384 31.1zM332.5 378.6c-3.646 3.5-8.543 5.4-13.65 5.4H129.1c-5.105 0-10-1.9-13.65-5.4C83.79 347.4 64 304.1 64 255.1c0-48.1 19.79-91.4 51.46-122.6C119.1 129.9 124 127.9 129.1 128h189.8c5.104-.0996 10 1.9 13.65 5.4C364.2 164.6 384 207.9 384 255.1C384 304.1 364.2 347.4 332.5 378.6z"],
    "oven": [448, 512, [], "e01d", "M0 480c0 17.62 14.38 32 32 32h384c17.62 0 32-14.38 32-32V192H0V480zM64 256h320v192H64V256zM384 0H64C28.63 0 0 28.62 0 64v96h448V64C448 28.62 419.4 0 384 0zM80 104c-13.25 0-24-10.75-24-24S66.75 56 80 56S104 66.75 104 80S93.25 104 80 104zM176 104c-13.25 0-24-10.75-24-24S162.8 56 176 56S200 66.75 200 80S189.3 104 176 104zM272 104c-13.25 0-24-10.75-24-24s10.75-24 24-24s24 10.75 24 24S285.3 104 272 104zM368 104c-13.25 0-24-10.75-24-24s10.75-24 24-24s24 10.75 24 24S381.3 104 368 104zM336 288h-224C103.2 288 96 295.2 96 304S103.2 320 112 320h224c8.838 0 16-7.164 16-16S344.8 288 336 288z"],
    "overline": [448, 512, [], "f876", "M224 128c-97.84 0-177.5 79.63-177.5 177.5v29.06c0 97.84 79.63 177.5 177.5 177.5s177.5-79.62 177.5-177.5V305.5C401.5 207.6 321.8 128 224 128zM337.5 334.5c0 62.56-50.91 113.5-113.5 113.5s-113.5-50.91-113.5-113.5V305.5c0-62.56 50.91-113.5 113.5-113.5s113.5 50.91 113.5 113.5V334.5zM416 .0147H32c-17.69 0-32 14.31-32 31.1s14.31 32 32 32h384c17.69 0 32-14.31 32-32S433.7 .0147 416 .0147z"],
    "p": [320, 512, [112], "50", "M160 32.01H32c-17.69 0-32 14.33-32 32v384c0 17.67 14.31 32 32 32s32-14.33 32-32v-96h96c88.22 0 160-71.78 160-159.1S248.2 32.01 160 32.01zM160 288H64V96.01h96c52.94 0 96 43.06 96 96S212.9 288 160 288z"],
    "page": [384, 512, [], "e428", "M0 448V64C0 28.65 28.65 0 64 0H245.5C262.5 0 278.7 6.743 290.7 18.75L365.3 93.26C377.3 105.3 384 121.5 384 138.5V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448z"],
    "page-caret-down": [384, 512, ["file-caret-down"], "e429", "M64 512C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H245.5C262.5 0 278.7 6.743 290.7 18.75L365.3 93.26C377.3 105.3 384 121.5 384 138.5V448C384 483.3 355.3 512 320 512H64zM203.8 346.8L279.5 264.2C293.6 248.8 282.7 224 261.8 224H122.2C101.3 224 90.38 248.8 104.5 264.2L180.2 346.8C183.2 350.1 187.5 352 192 352C196.5 352 200.8 350.1 203.8 346.8z"],
    "page-caret-up": [384, 512, ["file-caret-up"], "e42a", "M64 512C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H245.5C262.5 0 278.7 6.743 290.7 18.75L365.3 93.26C377.3 105.3 384 121.5 384 138.5V448C384 483.3 355.3 512 320 512H64zM180.2 197.2L104.5 279.8C90.38 295.2 101.3 320 122.2 320H261.8C282.7 320 293.6 295.2 279.5 279.8L203.8 197.2C200.8 193.9 196.5 192 192 192C187.5 192 183.2 193.9 180.2 197.2V197.2z"],
    "pager": [512, 512, [128223], "f815", "M448 64H64C28.63 64 0 92.63 0 128v256c0 35.38 28.62 64 64 64h384c35.38 0 64-28.62 64-64V128C512 92.63 483.4 64 448 64zM160 368H80C71.13 368 64 360.9 64 352v-16C64 327.1 71.13 320 80 320H160V368zM288 352c0 8.875-7.125 16-16 16H192V320h80c8.875 0 16 7.125 16 16V352zM448 224c0 17.62-14.38 32-32 32H96C78.38 256 64 241.6 64 224V160c0-17.62 14.38-32 32-32h320c17.62 0 32 14.38 32 32V224z"],
    "paint-roller": [512, 512, [], "f5aa", "M0 64C0 28.65 28.65 0 64 0H352C387.3 0 416 28.65 416 64V128C416 163.3 387.3 192 352 192H64C28.65 192 0 163.3 0 128V64zM160 352C160 334.3 174.3 320 192 320V304C192 259.8 227.8 224 272 224H416C433.7 224 448 209.7 448 192V69.46C485.3 82.64 512 118.2 512 160V192C512 245 469 288 416 288H272C263.2 288 256 295.2 256 304V320C273.7 320 288 334.3 288 352V480C288 497.7 273.7 512 256 512H192C174.3 512 160 497.7 160 480V352z"],
    "paintbrush": [576, 512, [128396, "paint-brush"], "f1fc", "M224 263.3C224.2 233.3 238.4 205.2 262.4 187.2L499.1 9.605C517.7-4.353 543.6-2.965 560.7 12.9C577.7 28.76 580.8 54.54 568.2 74.07L406.5 324.1C391.3 347.7 366.6 363.2 339.3 367.1L224 263.3zM320 400C320 461.9 269.9 512 208 512H64C46.33 512 32 497.7 32 480C32 462.3 46.33 448 64 448H68.81C86.44 448 98.4 429.1 96.59 411.6C96.2 407.8 96 403.9 96 400C96 339.6 143.9 290.3 203.7 288.1L319.8 392.5C319.9 394.1 320 397.5 320 400V400z"],
    "paintbrush-fine": [576, 512, ["paint-brush-alt", "paint-brush-fine", "paintbrush-alt"], "f5a9", "M559.6 16.4C581.5 38.27 581.5 73.73 559.6 95.6L306.9 348.3L227.7 269.1L480.4 16.4C502.3-5.467 537.7-5.467 559.6 16.4H559.6zM284.3 370.9L284.2 370.1C286.7 380.2 288 389.1 288 400C288 461.9 237.9 512 176 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H36.81C54.44 448 66.4 429.1 64.59 411.6C64.2 407.8 64 403.9 64 400C64 338.1 114.1 288 176 288C186 288 195.8 289.3 205 291.8L205.1 291.7L284.3 370.9z"],
    "paintbrush-pencil": [576, 512, [], "e206", "M306.9 348.3L227.7 269.1L480.4 16.4C502.3-5.467 537.7-5.467 559.6 16.4C581.5 38.27 581.5 73.73 559.6 95.6L306.9 348.3zM205 291.8L205.1 291.7L284.3 370.9L284.2 370.1C286.7 380.2 288 389.1 288 400C288 461.9 237.9 512 176 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H36.81C54.44 448 66.4 429.1 64.59 411.6C64.2 407.8 64 403.9 64 400C64 338.1 114.1 288 176 288C186 288 195.8 289.3 205 291.8V291.8zM194.4 257.2C188.4 256.4 182.2 256 176 256C175.2 256 174.3 256 173.5 256L50.75 133.3C25.75 108.3 25.75 67.74 50.75 42.75L74.18 19.32C99.17-5.678 139.7-5.678 164.7 19.32L298.5 153.1L194.4 257.2zM320 400C320 393.8 319.6 387.6 318.8 381.6L422.9 277.5L498.5 353.2C505.3 359.9 510.2 368.2 512.8 377.4L542.5 481.4C544.9 489.8 542.6 498.8 536.4 504.1C530.2 511.1 521.2 513.5 512.8 511.1L408.8 481.4C399.7 478.7 391.3 473.8 384.6 467.1L319.1 402.5C319.1 401.7 320 400.8 320 400H320z"],
    "palette": [512, 512, [127912], "f53f", "M512 255.1C512 256.9 511.1 257.8 511.1 258.7C511.6 295.2 478.4 319.1 441.9 319.1H344C317.5 319.1 296 341.5 296 368C296 371.4 296.4 374.7 297 377.9C299.2 388.1 303.5 397.1 307.9 407.8C313.9 421.6 320 435.3 320 449.8C320 481.7 298.4 510.5 266.6 511.8C263.1 511.9 259.5 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256V255.1zM96 255.1C78.33 255.1 64 270.3 64 287.1C64 305.7 78.33 319.1 96 319.1C113.7 319.1 128 305.7 128 287.1C128 270.3 113.7 255.1 96 255.1zM128 191.1C145.7 191.1 160 177.7 160 159.1C160 142.3 145.7 127.1 128 127.1C110.3 127.1 96 142.3 96 159.1C96 177.7 110.3 191.1 128 191.1zM256 63.1C238.3 63.1 224 78.33 224 95.1C224 113.7 238.3 127.1 256 127.1C273.7 127.1 288 113.7 288 95.1C288 78.33 273.7 63.1 256 63.1zM384 191.1C401.7 191.1 416 177.7 416 159.1C416 142.3 401.7 127.1 384 127.1C366.3 127.1 352 142.3 352 159.1C352 177.7 366.3 191.1 384 191.1z"],
    "pallet": [640, 512, [], "f482", "M624 384c8.75 0 16-7.25 16-16v-32c0-8.75-7.25-16-16-16h-608C7.25 320 0 327.3 0 336v32C0 376.8 7.25 384 16 384H64v64H16C7.25 448 0 455.3 0 464v32C0 504.8 7.25 512 16 512h608c8.75 0 16-7.25 16-16v-32c0-8.75-7.25-16-16-16H576v-64H624zM288 448H128v-64h160V448zM512 448h-160v-64h160V448z"],
    "pallet-box": [640, 512, [], "e208", "M160 255.1h320c17.6 0 32-14.4 32-31.1V31.1c0-17.6-14.4-32-32-32l-96 0v128l-64-32l-64 32v-128L160 0c-17.6 0-32 14.4-32 32V224C128 241.6 142.4 255.1 160 255.1zM624 384c8.75 0 16-7.25 16-16v-32c0-8.75-7.25-16-16-16h-608C7.25 320 0 327.3 0 336v32C0 376.8 7.25 384 16 384H64v64H16C7.25 448 0 455.3 0 464v32C0 504.8 7.25 512 16 512h608c8.75 0 16-7.25 16-16v-32c0-8.75-7.25-16-16-16H576v-64H624zM288 448H128v-64h160V448zM512 448h-160v-64h160V448z"],
    "pallet-boxes": [640, 512, [57863, "palette-boxes", "pallet-alt"], "f483", "M96 255.1L288 256c17.6 0 32-14.4 32-32V31.1c0-17.6-14.4-31.1-32-31.1L96 0c-17.6 0-32 14.4-32 32V224C64 241.6 78.4 255.1 96 255.1zM416 255.1h128c17.6 0 32-14.4 32-31.1v-128c0-17.6-14.4-32-32-32h-128c-17.6 0-32 14.4-32 32v128C384 241.6 398.4 255.1 416 255.1zM624 384c8.75 0 16-7.25 16-16v-32c0-8.75-7.25-16-16-16h-608C7.25 320 0 327.3 0 336v32C0 376.8 7.25 384 16 384H64v64H16C7.25 448 0 455.3 0 464v32C0 504.8 7.25 512 16 512h608c8.75 0 16-7.25 16-16v-32c0-8.75-7.25-16-16-16H576v-64H624zM288 448H128v-64h160V448zM512 448h-160v-64h160V448z"],
    "pan-food": [576, 512, [129368], "e42b", "M567.2 125.1l-43.16-67.35c-16.69-25.95-51.38-33.64-77.34-16.92l-23.6 16.76c-77.08-52.42-181.1-57.13-264.6-3.637C75.81 106.1 36.71 202.2 51.04 293.4L25.79 309.6c-26 16.64-33.63 51.35-16.94 77.38l43.16 67.35c10.69 16.66 28.78 25.77 47.25 25.77c10.31-.0156 20.78-2.86 30.09-8.844l23.66-16.8c77.08 52.39 181.1 57.08 264.5 3.602c82.66-52.99 121.8-148.2 107.5-239.3l25.24-16.2C576.2 185.9 583.8 151.1 567.2 125.1zM103.5 430.8c-2.469 1.531-4.844 1.328-6.031 1.078c-1.219-.2656-3.469-1.078-5.031-3.5l-43.16-67.33c-2.375-3.719-1.312-8.688 2.438-11.08l12.27-7.87c5.742 14.89 13.06 29.43 22.01 43.39c8.795 13.72 18.78 26.22 29.69 37.5L103.5 430.8zM320 87.99c35.28 0 64 28.71 64 64c0 4.422-3.594 8.001-8 8.001h-112c-4.406 0-8-3.578-8-8.001C256 116.7 284.7 87.99 320 87.99zM272 215.1c13.25 0 24 10.74 24 24c0 13.25-10.75 24-24 24S248 253.3 248 240C248 226.7 258.7 215.1 272 215.1zM145.8 206.1c-7.781-7.813-7.781-20.47 0-28.28l32-32c7.812-7.813 20.5-7.813 28.31 0c7.781 7.813 7.781 20.47 0 28.28l-32 32C170.3 210 165.1 211.1 160 211.1S149.8 210 145.8 206.1zM256 416c-26.47 0-48-21.53-48-48v-25.38l-26.55-26.55C178.6 318.3 175.3 319.6 171.9 319.6c-4.094 0-8.188-1.563-11.31-4.688c-6.25-6.235-6.25-16.38 0-22.63l19.69-19.7c6.25-6.25 16.38-6.25 22.62 0c5.732 5.717 5.949 14.59 1.166 20.87l26.55 26.55H256c26.47 0 48 21.53 48 48C304 394.5 282.5 416 256 416zM368 392c-13.25 0-24-10.75-24-24c0-13.26 10.75-24 24-24s24 10.74 24 24C392 381.3 381.3 392 368 392zM429.1 285.1c-12.59 12.58-29.12 18.88-45.66 18.88s-33.06-6.297-45.66-18.88c-1.5-1.5-2.344-3.531-2.344-5.657s.8438-4.157 2.344-5.657l80-80.01c3.094-3.11 8.156-3.141 11.31 0C441.3 205.1 448 222.2 448 239.4S441.3 272.9 429.1 285.1zM524.3 162.1L512.1 169.9c-5.746-14.91-13.07-29.47-22.03-43.45c-8.783-13.7-18.75-26.18-29.64-37.45l12.15-7.788c2.438-1.547 4.781-1.359 6.031-1.078c1.219 .2656 3.469 1.078 5.031 3.5l43.16 67.33C529.1 154.7 528.1 159.7 524.3 162.1z"],
    "pan-frying": [576, 512, [127859], "e42c", "M574.4 439.2c-3.844-15.95-14.12-29.53-28.34-37.58l-120.3-80.74C439.9 291.5 447.1 258.7 447.1 224c0-123.7-100.3-224-223.1-224C100.3 0 0 100.3 0 224c0 123.7 100.3 224 223.1 224c54.29 0 104-19.33 142.8-51.46l109.5 99.16C487.3 506.2 501.9 512 516.1 512c1.875 0 3.719-.0938 5.594-.2656c17.03-1.625 32.5-10.53 42.44-24.45S578.4 455.8 574.4 439.2zM342.4 267.3c-23.77 18.12-48.64 16.25-70.45 37c-28.84 27.31-55.8 59.88-102.3 43.19C138.6 336.3 114.3 305 112.1 272.1c-2.188-32.95 19.44-64.27 25-96.45c6.594-38.55 19.11-71.55 62.5-78.55C234.8 91.37 254 109.6 278.9 130.1c21.84 17.94 52.5 20.75 72.25 41.13C378.2 196.5 370.5 245.9 342.4 267.3zM514.5 465.1c-8.715 1.457-16.96-4.428-18.42-13.14c-1.457-8.715 4.428-16.96 13.14-18.42c8.715-1.457 16.96 4.428 18.42 13.14C529.1 455.4 523.2 463.6 514.5 465.1zM224 176C197.5 176 176 197.5 176 224S197.5 272 224 272S272 250.5 272 224S250.5 176 224 176z"],
    "pancakes": [512, 512, [129374], "e42d", "M256 431.1c-76.1 0-189.4-12.05-248.6-50.77C2.742 387.2 0 393.5 0 400c0 44.18 114.6 80 256 80s256-35.82 256-80c0-6.488-2.742-12.76-7.408-18.8C445.4 419.9 332.1 431.1 256 431.1zM256 351.1c-76.1 0-189.4-12.06-248.6-50.78C2.742 307.2 0 313.5 0 320c0 44.18 114.6 79.1 256 79.1S512 364.2 512 320c0-6.488-2.742-12.76-7.408-18.8C445.4 339.9 332.1 351.1 256 351.1zM85.14 137.4C91.62 139.6 96 145.7 96 152.5v118.1c0 16.71 12.22 31.64 28.86 33.23C143.9 305.7 160 290.7 160 272V171.7c0-9.447 8.182-16.76 17.57-15.74l.3203 .0352C185.9 156.9 192 163.7 192 171.8v50.85c0 16.71 12.22 31.64 28.86 33.22C239.9 257.7 256 242.7 256 224V175.9c0-8.656 6.885-15.83 15.54-16C388 157.7 480 129.9 480 96.05C480 60.7 379.7 32 256 32S32 60.7 32 96.05C32 111.8 52.02 126.3 85.14 137.4zM208 64.02h96c8.836 0 16 7.162 16 16c0 8.836-7.164 15.1-16 15.1h-96c-8.836 0-16-7.161-16-15.1C192 71.18 199.2 64.02 208 64.02zM288 224c0 5.34-.8516 10.45-2.09 15.41C413.2 234.8 512 201 512 160c0-9.426-5.488-18.43-15.07-26.83C455.2 179.2 337.8 189.2 288 191.3V224zM64 212.8v-48.95C42.03 155.3 25.78 144.9 15.1 133.1C5.5 141.5 0 150.6 0 160C0 180.3 24.28 198.7 64 212.8zM266.1 271.8C254.8 281.8 240.2 287.1 224 287.1c-2.037 0-4.1-.0957-6.176-.293C208.3 286.8 199.4 283.7 191.6 278.1C190.1 293.2 183.7 305.9 174.3 315.8C199.1 318.5 227.4 319.1 256 319.1c141.4 0 256-35.81 256-79.99c0-6.488-2.742-12.76-7.408-18.8C447.9 258.3 341.9 270.8 266.1 271.8zM68.44 294.3C65.58 286.9 64 278.9 64 270.6V246.4C42.53 239.7 23.03 231.4 7.408 221.2C2.742 227.2 0 233.5 0 240C0 260.1 26.09 280 68.44 294.3z"],
    "panel-ews": [512, 512, [], "e42e", "M448 0H64C28.64 0 0 28.64 0 64v224h32c35.36 0 64 28.64 64 64v32c0 17.66 14.34 32 32 32s32-14.34 32-32v-32c-17.66 0-32-14.34-32-32V288c0-17.66 14.34-32 32-32h32c17.66 0 32 14.34 32 32v32c0 17.66-14.34 32-32 32v32c0 35.36-28.64 64-64 64s-64-28.64-64-64v-32c0-17.66-14.34-32-32-32H0v128c0 35.36 28.64 64 64 64h384c35.36 0 64-28.64 64-64V64C512 28.64 483.4 0 448 0zM208 160h-96C103.2 160 96 152.8 96 144S103.2 128 112 128h96C216.8 128 224 135.2 224 144S216.8 160 208 160zM208 96h-96C103.2 96 96 88.83 96 80S103.2 64 112 64h96C216.8 64 224 71.17 224 80S216.8 96 208 96zM416 416c0 17.66-14.34 32-32 32h-32c-17.66 0-32-14.34-32-32V288c0-17.66 14.34-32 32-32h32c17.66 0 32 14.34 32 32V416zM400 160h-96C295.2 160 288 152.8 288 144S295.2 128 304 128h96C408.8 128 416 135.2 416 144S408.8 160 400 160zM400 96h-96C295.2 96 288 88.83 288 80S295.2 64 304 64h96C408.8 64 416 71.17 416 80S408.8 96 400 96z"],
    "panel-fire": [640, 512, [], "e42f", "M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V128.2C435.4 127 422.5 130.9 412.5 139.9C402.5 148.7 393 157.9 384 167.4V128C384 110.3 369.7 96 352 96H96C78.33 96 64 110.3 64 128V192C64 209.7 78.33 224 96 224H337.5C333.1 230.2 328.1 236.5 325.2 242.7C314.3 260.3 304.7 279.2 297.9 298.1C294.9 296.8 291.5 296 288 296C274.7 296 264 306.7 264 320C264 333.3 274.7 344 288 344L288.2 344C288.1 346 288 348.1 288 350.1C288 399.4 306.6 445.3 337.6 480H64C28.65 480 0 451.3 0 416V96zM96 296C82.75 296 72 306.7 72 320C72 333.3 82.75 344 96 344C109.3 344 120 333.3 120 320C120 306.7 109.3 296 96 296zM192 344C205.3 344 216 333.3 216 320C216 306.7 205.3 296 192 296C178.7 296 168 306.7 168 320C168 333.3 178.7 344 192 344zM509 221.3C516.9 211.5 525.8 200.6 535.5 191.8C541.1 186.7 549.9 186.7 555.5 191.9C580.2 214.6 601.1 244.5 615.8 273C630.4 301.1 640 329.8 640 349.9C640 437.8 568.7 511.9 480 511.9C390.3 511.9 320 437.7 320 349.9C320 323.5 332.7 291.3 352.4 259.4C372.4 227 400.5 193.3 433.8 163.6C439.4 158.6 447.1 158.6 453.5 163.6C473.3 181.4 491.8 200.6 509 221.3V221.3zM550 336.9C548 332.9 546 328.9 543 324.9L507 366.9C507 366.9 448.1 292.9 444.1 287.9C415 324.9 400 345.9 400 369.9C400 418.9 436 447.9 480.1 447.9C499 447.9 515 442.9 530 432.9C560 411.9 568 369.9 550 336.9z"],
    "panorama": [640, 512, [], "e209", "M578.2 66.06C409.8 116.6 230.2 116.6 61.8 66.06C31 56.82 0 79.88 0 112v319.9c0 32.15 30.1 55.21 61.79 45.97c168.4-50.53 347.1-50.53 516.4-.002C608.1 487.2 640 464.1 640 431.1V112C640 79.88 609 56.82 578.2 66.06zM128 224C110.3 224 96 209.7 96 192s14.33-32 32-32c17.68 0 32 14.33 32 32S145.7 224 128 224zM474.3 388.6C423.4 380.3 371.8 376 320 376c-50.45 0-100.7 4.043-150.3 11.93c-14.14 2.246-24.11-13.19-15.78-24.84l49.18-68.56C206.1 290.4 210.9 288 216 288s9.916 2.441 12.93 6.574l32.46 44.51l93.3-139.1C357.7 194.7 362.7 192 368 192s10.35 2.672 13.31 7.125l109.1 165.1C498.1 375.9 488.1 390.8 474.3 388.6z"],
    "paper-plane": [512, 512, [61913], "f1d8", "M511.6 36.86l-64 415.1c-1.5 9.734-7.375 18.22-15.97 23.05c-4.844 2.719-10.27 4.097-15.68 4.097c-4.188 0-8.319-.8154-12.29-2.472l-122.6-51.1l-50.86 76.29C226.3 508.5 219.8 512 212.8 512C201.3 512 192 502.7 192 491.2v-96.18c0-7.115 2.372-14.03 6.742-19.64L416 96l-293.7 264.3L19.69 317.5C8.438 312.8 .8125 302.2 .0625 289.1s5.469-23.72 16.06-29.77l448-255.1c10.69-6.109 23.88-5.547 34 1.406S513.5 24.72 511.6 36.86z"],
    "paper-plane-top": [512, 512, ["paper-plane-alt", "send"], "e20a", "M511.1 255.1c0 12.8-7.625 24.38-19.41 29.41L44.6 477.4c-4.062 1.75-8.344 2.594-12.59 2.594c-8.625 0-17.09-3.5-23.28-10.05c-9.219-9.766-11.34-24.25-5.344-36.27l73.66-147.3l242.1-30.37L77.03 225.6l-73.66-147.3C-2.623 66.3-.4982 51.81 8.72 42.05c9.25-9.766 23.56-12.75 35.87-7.453L492.6 226.6C504.4 231.6 511.1 243.2 511.1 255.1z"],
    "paperclip": [448, 512, [128206], "f0c6", "M364.2 83.8C339.8 59.39 300.2 59.39 275.8 83.8L91.8 267.8C49.71 309.9 49.71 378.1 91.8 420.2C133.9 462.3 202.1 462.3 244.2 420.2L396.2 268.2C407.1 257.3 424.9 257.3 435.8 268.2C446.7 279.1 446.7 296.9 435.8 307.8L283.8 459.8C219.8 523.8 116.2 523.8 52.2 459.8C-11.75 395.8-11.75 292.2 52.2 228.2L236.2 44.2C282.5-2.08 357.5-2.08 403.8 44.2C450.1 90.48 450.1 165.5 403.8 211.8L227.8 387.8C199.2 416.4 152.8 416.4 124.2 387.8C95.59 359.2 95.59 312.8 124.2 284.2L268.2 140.2C279.1 129.3 296.9 129.3 307.8 140.2C318.7 151.1 318.7 168.9 307.8 179.8L163.8 323.8C157.1 330.5 157.1 341.5 163.8 348.2C170.5 354.9 181.5 354.9 188.2 348.2L364.2 172.2C388.6 147.8 388.6 108.2 364.2 83.8V83.8z"],
    "paperclip-vertical": [384, 512, [], "e3c2", "M32 128C32 57.31 89.31 0 160 0C230.7 0 288 57.31 288 128V320C288 364.2 252.2 400 208 400C163.8 400 128 364.2 128 320V160C128 142.3 142.3 128 160 128C177.7 128 192 142.3 192 160V320C192 328.8 199.2 336 208 336C216.8 336 224 328.8 224 320V128C224 92.65 195.3 64 160 64C124.7 64 96 92.65 96 128V336C96 397.9 146.1 448 208 448C269.9 448 320 397.9 320 336V160C320 142.3 334.3 128 352 128C369.7 128 384 142.3 384 160V336C384 433.2 305.2 512 208 512C110.8 512 32 433.2 32 336V128z"],
    "parachute-box": [512, 512, [], "f4cd", "M272 192V320H304C311 320 317.7 321.5 323.7 324.2L443.8 192H415.5C415.8 186.7 416 181.4 416 176C416 112.1 393.8 54.84 358.9 16.69C450 49.27 493.4 122.6 507.8 173.6C510.5 183.1 502.1 192 493.1 192H487.1L346.8 346.3C350.1 352.8 352 360.2 352 368V464C352 490.5 330.5 512 304 512H207.1C181.5 512 159.1 490.5 159.1 464V368C159.1 360.2 161.9 352.8 165.2 346.3L24.92 192H18.89C9 192 1.483 183.1 4.181 173.6C18.64 122.6 61.97 49.27 153.1 16.69C118.2 54.84 96 112.1 96 176C96 181.4 96.16 186.7 96.47 192H68.17L188.3 324.2C194.3 321.5 200.1 320 207.1 320H239.1V192H128.5C128.2 186.7 127.1 181.4 127.1 176C127.1 125 143.9 80.01 168.2 48.43C192.5 16.89 223.8 0 255.1 0C288.2 0 319.5 16.89 343.8 48.43C368.1 80.01 384 125 384 176C384 181.4 383.8 186.7 383.5 192H272z"],
    "paragraph": [448, 512, [182], "f1dd", "M448 63.1C448 81.67 433.7 96 416 96H384v352c0 17.67-14.33 32-31.1 32S320 465.7 320 448V96h-32v352c0 17.67-14.33 32-31.1 32S224 465.7 224 448v-96H198.9c-83.57 0-158.2-61.11-166.1-144.3C23.66 112.3 98.44 32 191.1 32h224C433.7 32 448 46.33 448 63.1z"],
    "paragraph-left": [384, 512, ["paragraph-rtl"], "f878", "M147.8 224h12.11v64C159.9 305.7 174.3 320 191.1 320s31.98-14.33 31.98-31.1V64h32v224c0 17.67 14.35 31.1 32.02 31.1s31.98-14.33 31.98-31.1V64c17.67 0 32-14.33 32-31.1S337.6 0 319.9 0h-175.1C80.36 0 32.53 47.41 31.94 110.8C31.37 173.1 85.57 224 147.8 224zM352 384H128v-48c0-6.203-3.595-11.86-9.22-14.48c-5.549-2.594-12.24-1.781-17.04 2.188l-96.01 80C2.11 406.8 0 411.3 0 416s2.11 9.25 5.75 12.3l96.01 80C104.7 510.7 108.3 512 112 512c2.299 0 4.633-.5 6.789-1.516C124.4 507.9 128 502.2 128 496V448h223.1C369.7 448 384 433.7 384 415.1C384 398.3 369.7 384 352 384z"],
    "party-bell": [512, 512, [], "e31a", "M91.63 341.5l249.8-249.8c16.35-16.35 13.21-43.46-6.113-56.17C288.7 4.783 229.4-8.34 166.1 5.498C87.38 23.14 23.14 87.38 5.498 166.1c-13.84 62.43-.7146 121.7 29.97 168.4C48.17 354.7 75.28 357.8 91.63 341.5zM487.1 208h-9.531c-32.56 0-63.19-14.34-84.03-39.38c-8.5-10.19-23.66-11.56-33.81-3.062c-10.19 8.5-11.56 23.62-3.062 33.81C387.6 235.3 431.6 256 478.5 256h9.531c13.25 0 24-10.75 24-24S501.2 208 487.1 208zM479.1 96c17.67 0 31.1-14.33 31.1-31.1c0-17.67-14.33-31.1-31.1-31.1s-31.1 14.33-31.1 31.1C448 81.67 462.3 96 479.1 96zM64 448c-17.67 0-31.1 14.33-31.1 31.1C32 497.7 46.33 512 64 512s31.1-14.33 31.1-31.1C95.1 462.3 81.67 448 64 448zM492.1 440.1c-1.562-17.25-3.687-40.91-28.16-61.84c-24.47-20.88-48.16-19.28-65.5-18.25c-14.84 .9687-21.97 1.094-31.22-6.844c-9.188-7.844-10.16-14.75-11.5-29.59c-1.531-17.25-3.625-40.91-28.09-61.81c-10.06-8.625-25.19-7.438-33.84 2.656c-8.594 10.09-7.406 25.25 2.656 33.84c9.188 7.844 10.16 14.75 11.5 29.56c1.531 17.28 3.625 40.91 28.09 61.84c24.44 20.88 48.16 19.25 65.5 18.25c14.84-.9687 21.97-1.094 31.22 6.844c9.219 7.875 10.19 14.78 11.53 29.66c1.562 17.25 3.687 40.91 28.16 61.84C476.9 510.1 482.5 512 487.1 512c6.75 0 13.5-2.844 18.25-8.406c8.594-10.06 7.438-25.22-2.656-33.84C494.4 461.9 493.4 454.1 492.1 440.1zM199.4 357.6c-10.22-8.5-25.31-7.125-33.81 3.062s-7.125 25.31 3.062 33.81c25.03 20.84 39.37 51.47 39.37 84.03V488c0 13.25 10.75 24 23.1 24S256 501.3 256 488v-9.531C256 431.6 235.3 387.6 199.4 357.6zM351.1 448c-17.67 0-31.1 14.33-31.1 31.1C319.1 497.7 334.3 512 351.1 512s31.1-14.33 31.1-31.1C383.1 462.3 369.7 448 351.1 448z"],
    "party-horn": [512, 512, [], "e31b", "M48.22 345.6l118.2 118.2l60.18-22.57L70.79 285.4L48.22 345.6zM2.035 468.7c-4.406 11.75-1.531 25 7.344 33.88C15.47 508.7 23.66 512 32 512c3.781 0 7.594-.6563 11.25-2.031l90.25-33.84l-97.63-97.63L2.035 468.7zM150.6 201.4C142.9 193.7 131.8 190.5 121.2 192.7c-10.62 2.312-19.37 9.844-23.19 20.03L83.13 252.5l176.4 176.4l39.75-14.9c10.19-3.812 17.72-12.56 20.03-23.19c2.281-10.62-.9683-21.72-8.656-29.41L150.6 201.4zM184 160c5.438 0 10.87-1.812 15.37-5.562c35.97-30 56.62-74.06 56.62-120.9V24c0-13.25-10.75-24-23.1-24s-23.1 10.75-23.1 24v9.531c0 32.56-14.34 63.19-39.37 84.03C158.4 126.1 157.1 141.2 165.6 151.4C170.3 157.1 177.1 160 184 160zM64 63.1c17.67 0 31.1-14.33 31.1-31.1c0-17.67-14.32-31.1-31.1-31.1S32 14.33 32 32C32 49.67 46.33 63.1 64 63.1zM487.1 256h-9.531C431.6 256 387.6 276.7 357.6 312.6c-8.5 10.19-7.125 25.31 3.062 33.81C365.1 350.2 370.6 352 375.1 352c6.875 0 13.69-2.938 18.44-8.625C415.3 318.3 445.9 304 478.5 304h9.531c13.25 0 23.1-10.75 23.1-24S501.2 256 487.1 256zM389.7 176c20.88-24.47 19.37-48.19 18.25-65.5c-.9687-14.97-1.062-21.97 6.844-31.22c7.875-9.219 14.78-10.19 29.66-11.53c17.25-1.562 40.91-3.688 61.84-28.16c8.594-10.06 7.438-25.22-2.656-33.84c-10.03-8.5-25.16-7.438-33.84 2.656c-7.875 9.219-14.78 10.19-29.66 11.53c-17.25 1.562-40.91 3.688-61.84 28.16c-20.88 24.47-19.37 48.19-18.25 65.5c.9687 14.97 1.062 21.97-6.844 31.22c-7.844 9.188-14.75 10.16-29.59 11.5c-17.25 1.531-40.91 3.625-61.81 28.09C253.2 194.5 254.3 209.7 264.4 218.3C268.9 222.1 274.5 224 279.1 224c6.781 0 13.5-2.844 18.25-8.406c7.844-9.188 14.75-10.16 29.56-11.5C345.1 202.6 368.7 200.5 389.7 176zM479.1 416c-17.67 0-31.1 14.33-31.1 31.1c0 17.67 14.33 31.1 31.1 31.1s31.1-14.33 31.1-31.1C511.1 430.3 497.7 416 479.1 416zM479.1 128c-17.67 0-31.1 14.33-31.1 31.1c0 17.67 14.33 31.1 31.1 31.1s31.1-14.33 31.1-31.1C511.1 142.3 497.7 128 479.1 128z"],
    "passport": [448, 512, [], "f5ab", "M129.6 208c5.25 31.25 25.62 57.13 53.25 70.38C175.3 259.4 170.3 235 168.8 208H129.6zM129.6 176h39.13c1.5-27 6.5-51.38 14.12-70.38C155.3 118.9 134.9 144.8 129.6 176zM224 286.8C231.8 279.3 244.8 252.3 247.4 208H200.5C203.3 252.3 216.3 279.3 224 286.8zM265.1 105.6C272.8 124.6 277.8 149 279.3 176h39.13C313.1 144.8 292.8 118.9 265.1 105.6zM384 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h320c35.2 0 64-28.8 64-64V64C448 28.8 419.2 0 384 0zM336 416h-224C103.3 416 96 408.8 96 400S103.3 384 112 384h224c8.75 0 16 7.25 16 16S344.8 416 336 416zM224 320c-70.75 0-128-57.25-128-128s57.25-128 128-128s128 57.25 128 128S294.8 320 224 320zM265.1 278.4c27.62-13.25 48-39.13 53.25-70.38h-39.13C277.8 235 272.8 259.4 265.1 278.4zM200.6 176h46.88C244.7 131.8 231.8 104.8 224 97.25C216.3 104.8 203.2 131.8 200.6 176z"],
    "paste": [512, 512, ["file-clipboard"], "f0ea", "M320 96V80C320 53.49 298.5 32 272 32H215.4C204.3 12.89 183.6 0 160 0S115.7 12.89 104.6 32H48C21.49 32 0 53.49 0 80v320C0 426.5 21.49 448 48 448l144 .0013L192 176C192 131.8 227.8 96 272 96H320zM160 88C146.8 88 136 77.25 136 64S146.8 40 160 40S184 50.75 184 64S173.3 88 160 88zM416 128v96h96L416 128zM384 224L384 128h-112C245.5 128 224 149.5 224 176v288c0 26.51 21.49 48 48 48h192c26.51 0 48-21.49 48-48V256h-95.99C398.4 256 384 241.6 384 224z"],
    "pause": [320, 512, [9208], "f04c", "M272 63.1l-32 0c-26.51 0-48 21.49-48 47.1v288c0 26.51 21.49 48 48 48L272 448c26.51 0 48-21.49 48-48v-288C320 85.49 298.5 63.1 272 63.1zM80 63.1l-32 0c-26.51 0-48 21.49-48 48v288C0 426.5 21.49 448 48 448l32 0c26.51 0 48-21.49 48-48v-288C128 85.49 106.5 63.1 80 63.1z"],
    "paw": [512, 512, [], "f1b0", "M226.5 92.85C240.8 135.7 226.2 179.1 193.9 189.7C161.6 200.2 123.8 174 109.5 131.1C95.19 88.26 109.8 44.92 142.1 34.34C174.4 23.77 212.2 49.96 226.5 92.85zM100.4 198.6C119.2 231 114.7 268.7 90.16 282.7C65.65 296.8 30.49 281.9 11.63 249.4C-7.237 216.1-2.664 179.3 21.84 165.3C46.35 151.2 81.51 166.1 100.4 198.6zM69.21 401.2C121.6 259.9 214.7 224 256 224C297.3 224 390.4 259.9 442.8 401.2C446.4 410.9 448 421.3 448 431.7V433.3C448 459.1 427.1 480 401.3 480C389.8 480 378.4 478.6 367.3 475.8L279.3 453.8C263.1 450 248 450 232.7 453.8L144.7 475.8C133.6 478.6 122.2 480 110.7 480C84.93 480 64 459.1 64 433.3V431.7C64 421.3 65.6 410.9 69.21 401.2H69.21zM421.8 282.7C397.3 268.7 392.8 231 411.6 198.6C430.5 166.1 465.7 151.2 490.2 165.3C514.7 179.3 519.2 216.1 500.4 249.4C481.5 281.9 446.3 296.8 421.8 282.7zM310.1 189.7C277.8 179.1 263.2 135.7 277.5 92.85C291.8 49.96 329.6 23.77 361.9 34.34C394.2 44.92 408.8 88.26 394.5 131.1C380.2 174 342.4 200.2 310.1 189.7z"],
    "paw-claws": [512, 512, [], "f702", "M192 20.69V71.23C210.3 81.03 226.3 100.2 234.5 124.9C248.8 167.7 234.2 211.1 201.9 221.7C169.6 232.2 131.8 206 117.5 163.1C113.5 151.2 111.8 139.3 111.1 127.1C111.1 102.3 121.6 77.45 138.9 58.4L178.1 15.31C182.1 9.9 191.1 13.38 191.1 20.69L192 20.69zM310.1 221.7C277.8 211.1 263.2 167.7 277.5 124.9C285.7 100.2 301.7 81.02 320 71.23V20.69C320 13.38 329 9.9 333.9 15.31L373.1 58.4C390.4 77.45 400 102.3 400 127.1C400.2 139.3 398.5 151.2 394.5 163.1C380.2 206 342.4 232.2 310.1 221.7L310.1 221.7zM100.4 230.6C119.2 263 114.7 300.7 90.16 314.7C65.65 328.8 30.49 313.9 11.63 281.4C3.718 267.8-.0714 253.3 .001 240L0 236.8C0 223.3 4.285 210.1 12.24 199.2L49.53 147.9C54.09 141.6 64 144.9 64 152.6V196.8C77.93 202.1 91.11 214.7 100.4 230.6V230.6zM69.21 433.2C121.6 291.9 214.7 256 256 256C297.3 256 390.4 291.9 442.8 433.2C446.4 442.9 448 453.3 448 463.7V465.3C448 491.1 427.1 512 401.3 512C389.8 512 378.4 510.6 367.3 507.8L279.3 485.8C263.1 482 248 482 232.7 485.8L144.7 507.8C133.6 510.6 122.2 512 110.7 512C84.93 512 64 491.1 64 465.3V463.7C64 453.3 65.6 442.9 69.21 433.2H69.21zM421.8 314.7C397.3 300.7 392.8 263 411.6 230.6C420.9 214.7 434.1 202.1 448 196.8V152.6C448 144.9 457.9 141.6 462.5 147.9L499.8 199.2C507.7 210.1 512 223.3 512 236.8V240C512.1 253.3 508.3 267.8 500.4 281.4C481.5 313.9 446.3 328.8 421.8 314.7V314.7z"],
    "paw-simple": [448, 512, ["paw-alt"], "f701", "M192 80C192 106.5 170.5 128 144 128C117.5 128 96 106.5 96 80C96 53.49 117.5 32 144 32C170.5 32 192 53.49 192 80zM97.72 286C103.1 283.8 109.5 279.7 112.7 273.9L152.7 201.1C167.1 176.1 194.4 159.1 224 159.1C253.6 159.1 280.9 176.1 295.3 201.1L335.3 273.9C338.5 279.7 344 283.8 350.3 286C388.6 300 416 336.8 416 380C416 435.2 371.2 480 316 480C294.8 480 275.2 473.4 259.1 462.2C241.7 450.2 206.3 450.2 188.9 462.2C172.8 473.4 153.2 480 131.1 480C76.77 480 31.1 435.2 31.1 380C31.1 336.8 59.38 300 97.72 286H97.72zM256 80C256 53.49 277.5 32 304 32C330.5 32 352 53.49 352 80C352 106.5 330.5 128 304 128C277.5 128 256 106.5 256 80zM448 192C448 218.5 426.5 240 400 240C373.5 240 352 218.5 352 192C352 165.5 373.5 144 400 144C426.5 144 448 165.5 448 192zM0 192C0 165.5 21.49 144 48 144C74.51 144 96 165.5 96 192C96 218.5 74.51 240 48 240C21.49 240 0 218.5 0 192z"],
    "peace": [512, 512, [9774], "f67c", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM224 445.1c-36.36-6.141-69.2-22.48-95.59-46.04L224 322.6V445.1zM288 322.6l95.59 76.47C357.2 422.6 324.4 438.1 288 445.1V322.6zM64 256c0-94.95 69.34-173.8 160-189.1v173.7l-135.7 108.6C72.86 321.6 64 289.8 64 256zM423.7 349.2L288 240.6V66.89C378.7 82.2 448 161.1 448 256C448 289.8 439.1 321.6 423.7 349.2z"],
    "peach": [512, 512, [], "e20b", "M338.7 112c-16.57 0-32.51 2.34-47.69 6.348C334.6 150.6 362.7 200.3 362.7 256c0 8.844-7.156 16-16 16s-16-7.156-16-16c0-83.62-75.24-144-157.3-144C77.6 112 0 183.6 0 272c0 165.1 256 240 256 240c14.35-4.504 256-85.4 256-240C512 183.6 434.4 112 338.7 112zM146.6 81.81c21.07-2.574 60.48-4.828 104.8 13.89c31.46-8.309 63.25-20.09 113.1-13.89C386.3 67.38 400 43.32 400 16V0h-63.1c-44.18 0-79.1 35.82-79.1 80C256 35.82 204.2 0 160 0H112v16C112 43.32 125.7 67.38 146.6 81.81z"],
    "peanut": [512, 512, [], "e430", "M510.2 79.27c-1.264-41.37-36.15-76.26-77.52-77.52l-54.71-1.67c-86.7-2.645-156.6 58.85-166.8 141.6c-2.229 18.05-9.619 34.78-22.2 47.36C176.5 201.6 159.7 209 141.7 211.2c-82.75 10.19-144.3 80.07-141.6 166.8l1.672 54.71c1.264 41.37 36.15 76.26 77.52 77.52l54.71 1.672c86.7 2.643 156.6-58.85 166.8-141.6c2.229-18.05 9.615-34.78 22.19-47.36c12.58-12.58 29.31-19.97 47.36-22.2c82.76-10.19 144.3-80.07 141.6-166.8L510.2 79.27zM128 435.1c-11.03 0-19.1-8.969-19.1-20s8.968-20 19.1-20s19.1 8.969 19.1 20S139 435.1 128 435.1zM192 435.1c-11.03 0-19.1-8.969-19.1-20s8.968-20 19.1-20s19.1 8.969 19.1 20S203 435.1 192 435.1zM192 371.1c-11.03 0-19.1-8.969-19.1-20s8.968-20 19.1-20s19.1 8.969 19.1 20S203 371.1 192 371.1zM351.1 211.1c-11.03 0-19.1-8.969-19.1-20s8.968-20 19.1-20s19.1 8.969 19.1 20S363 211.1 351.1 211.1zM415.1 211.1c-11.03 0-19.1-8.969-19.1-20s8.968-20 19.1-20s19.1 8.969 19.1 20S427 211.1 415.1 211.1zM415.1 147.1c-11.03 0-19.1-8.969-19.1-20s8.968-20 19.1-20s19.1 8.969 19.1 20S427 147.1 415.1 147.1z"],
    "peanuts": [640, 512, [129372], "e431", "M96.1 378.1C93 277.5 165.9 191.8 265.8 179.5c11.63-1.434 21.54-5.951 28.65-13.06C301.5 159.3 306.1 149.4 307.5 137.8c1.525-12.39 4.166-24.34 7.783-35.79C313.1 93.71 310.1 85.48 306.3 77.4L287.1 36.82C272.5 6.141 235.7-8.252 205.1 4.84l-40.39 17.31c-64 27.44-94.68 97.4-74.9 163.1c4.309 14.33 4.424 29.42-.5996 43.14C84.22 242.1 74.46 253.3 62.05 261.1c-56.91 35.75-78.73 109.2-48.31 173.5l19.2 40.57c14.52 30.68 51.38 45.07 81.93 31.98l10.64-4.561c-16.34-18.9-26.95-42.8-27.74-68.9L96.1 378.1zM638.2 79.27c-1.264-41.37-36.15-76.26-77.52-77.52l-54.71-1.67c-86.7-2.645-156.6 58.85-166.8 141.6c-2.229 18.05-9.619 34.78-22.2 47.36C304.5 201.6 287.7 209 269.7 211.2c-82.76 10.19-144.3 80.07-141.6 166.8l1.672 54.71c1.264 41.37 36.15 76.26 77.52 77.52l54.71 1.672c86.7 2.643 156.6-58.85 166.8-141.6c2.229-18.05 9.613-34.78 22.19-47.36c12.58-12.58 29.31-19.97 47.37-22.2c82.76-10.19 144.3-80.07 141.6-166.8L638.2 79.27zM255.9 436c-11.03 0-20-8.969-20-20s8.973-20 20-20s20 8.969 20 20S266.1 436 255.9 436zM319.9 436C308.9 436 299.9 427 299.9 416s8.972-20 20-20s20 8.969 20 20S330.1 436 319.9 436zM319.9 372C308.9 372 299.9 363 299.9 352s8.972-19.1 20-19.1S339.9 340.1 339.9 352S330.1 372 319.9 372zM479.1 212c-11.03 0-20-8.969-20-20s8.971-20 20-20s20 8.969 20 20S490.1 212 479.1 212zM543.1 212c-11.03 0-20-8.969-20-20s8.972-20 20-20s20 8.969 20 20S555 212 543.1 212zM543.1 148c-11.03 0-20-8.969-20-20s8.972-20 20-20s20 8.969 20 20S555 148 543.1 148z"],
    "peapod": [512, 512, [], "e31c", "M511.1 32.54c.4512-18.11-14.41-32.98-32.53-32.53c-61.21 1.524-195.9 15.29-282.5 101.9L101.9 196.9c-86.6 86.6-100.4 221.3-101.9 282.5c-.4513 18.11 14.41 32.98 32.53 32.53c61.21-1.525 195.9-15.3 282.5-101.9l95.06-95.03C496.7 228.5 510.5 93.75 511.1 32.54zM128 440c-30.93 0-56-25.07-56-56S97.07 327.1 128 327.1c30.93 0 56 25.07 56 56S158.9 440 128 440zM256 312c-30.93 0-56-25.07-56-56c0-30.93 25.07-56 56-56S312 225.1 312 256C312 286.9 286.9 312 256 312zM384 184C353.1 184 328 158.9 328 128s25.07-56 56-56C414.9 71.1 440 97.07 440 128S414.9 184 384 184z"],
    "pear": [512, 512, [], "e20c", "M512 24C512 10.29 500.8 0 488 0c-6.141 0-12.28 2.344-16.97 7.031L422.4 55.62c-22.49-15.73-48.69-23.25-74.98-23.25c-36.48 0-73.17 14.54-100.5 41.99C176.3 145.3-.0002 138.6-.0002 319.5c0 106.3 86.58 192.5 192.2 192.5c181.5 0 171.3-173.1 248.5-251.4c26.03-26.11 38.94-60.2 38.94-94.35c0-26.69-7.883-53.41-23.55-76.39l48.87-48.87C509.7 36.28 512 30.14 512 24zM192 448c-8.844 0-16-7.156-16-16S183.2 416 192 416c52.94 0 96-43.06 96-96c0-8.844 7.156-16 16-16S320 311.2 320 320C320 390.6 262.6 448 192 448z"],
    "pedestal": [448, 512, [], "e20d", "M432 448h-416C7.164 448 0 455.2 0 464v32c0 8.836 7.151 15.99 15.99 15.99h416C440.8 511.1 448 504.8 448 496v-32C448 455.2 440.8 448 432 448zM416 64c0-35.35-28.65-64-64-64H96C60.65 0 32 28.65 32 64v352h384V64zM112 96C103.2 96 96 88.84 96 80C96 71.16 103.2 64 112 64S128 71.16 128 80C128 88.84 120.8 96 112 96zM336 96C327.2 96 320 88.84 320 80C320 71.16 327.2 64 336 64S352 71.16 352 80C352 88.84 344.8 96 336 96z"],
    "pegasus": [576, 512, [], "f703", "M575.9 76.61c0-8.125-3.05-15.84-8.55-21.84c-3.875-4-8.595-9.125-13.72-14.5c11.12-6.75 19.46-17.51 22.21-30.63c.9999-5-2.849-9.641-7.974-9.641L447.9 0c-70.62 0-127.1 57.25-127.1 128C256 128 215.7 91.24 192.3 37.74C188.9 30.23 178.6 30.03 175.1 37.46c-9.692 20.57-15.15 43.35-15.15 67.65c0 66.1 51 133.1 127.1 147.7V256C205.1 256 144.6 198.5 130.1 133.1c-16.75 5.5-31.63 14.99-43 27.99L87.1 160C39.5 160 0 199.5 0 248V304C0 312.9 7.125 320 15.1 320h15.1c8.874 0 15.1-7.125 15.1-16L47.1 248c0-13.25 6.874-24.38 16.75-31.62C64.62 218.9 63.1 221.4 63.1 224c0 27.62 11.9 52.38 30.52 69.88l-25.67 68.61c-4.586 12.28-5.302 25.68-2.119 38.4l21.75 86.88C92.04 502 104.8 512 119.5 512h32.98c20.81 0 36.09-19.55 31.05-39.74l-21.29-85.38l23.74-63.62l133.1 22.35V480c0 17.67 14.33 32 32 32h31.1c17.67 0 32-14.33 32-32V318.2C435.7 297.1 447.1 270.5 447.1 240c0-.25-.1025-.3828-.1025-.6328V136.9L463.9 144l18.99 37.8c7.435 14.77 25.05 21.47 40.39 15.3l32.58-13.06c12.18-4.899 20.16-16.68 20.13-29.8L575.9 76.61zM511.9 96c-8.75 0-15.1-7.125-15.1-16S503.1 64 511.9 64c8.874 0 15.1 7.125 15.1 16S520.8 96 511.9 96z"],
    "pen": [512, 512, [128394], "f304", "M362.7 19.32C387.7-5.678 428.3-5.678 453.3 19.32L492.7 58.75C517.7 83.74 517.7 124.3 492.7 149.3L444.3 197.7L314.3 67.72L362.7 19.32zM421.7 220.3L188.5 453.4C178.1 463.8 165.2 471.5 151.1 475.6L30.77 511C22.35 513.5 13.24 511.2 7.03 504.1C.8198 498.8-1.502 489.7 .976 481.2L36.37 360.9C40.53 346.8 48.16 333.9 58.57 323.5L291.7 90.34L421.7 220.3z"],
    "pen-circle": [512, 512, [], "e20e", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM357.8 139.7C342.1 124.1 316.8 124.1 301.2 139.7L279.8 161.1L350.7 232.1L372.1 210.7C387.8 195 387.8 169.7 372.1 154.1L357.8 139.7zM143.5 303.8L128.5 363.1C127.1 369.4 128.7 375.2 132.7 379.2C136.7 383.1 142.4 384.7 147.9 383.4L208 368.3C213.6 366.9 218.8 364 222.9 359.9L328.1 254.7L257.1 183.8L151.9 288.1C147.8 293.1 144.9 298.2 143.5 303.8z"],
    "pen-clip": [512, 512, ["pen-alt"], "f305", "M492.7 58.75C517.7 83.74 517.7 124.3 492.7 149.3L440.6 201.4L310.6 71.43L362.7 19.32C387.7-5.678 428.3-5.678 453.3 19.32L492.7 58.75zM240.1 114.9C231.6 105.5 216.4 105.5 207 114.9L104.1 216.1C95.6 226.3 80.4 226.3 71.03 216.1C61.66 207.6 61.66 192.4 71.03 183L173.1 80.97C201.2 52.85 246.8 52.85 274.9 80.97L417.9 224L229.5 412.5C181.5 460.5 120.3 493.2 53.7 506.5L28.71 511.5C20.84 513.1 12.7 510.6 7.03 504.1C1.356 499.3-1.107 491.2 .4662 483.3L5.465 458.3C18.78 391.7 51.52 330.5 99.54 282.5L254.1 128L240.1 114.9z"],
    "pen-clip-slash": [640, 512, ["pen-alt-slash"], "e20f", "M192.5 125.6L237.1 80.97C265.2 52.85 310.8 52.85 338.9 80.97L481.9 224L409.9 296L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L192.5 125.6zM230.5 155.4L264.2 181.8L318.1 128L304.1 114.9C295.6 105.5 280.4 105.5 271 114.9L230.5 155.4zM163.5 282.5L195.8 250.3L341.2 364.8L293.5 412.5C245.5 460.5 184.3 493.2 117.7 506.5L92.7 511.5C84.84 513.1 76.7 510.6 71.03 504.1C65.35 499.3 62.89 491.2 64.46 483.3L69.46 458.3C82.78 391.7 115.5 330.5 163.5 282.5L163.5 282.5zM556.7 58.75C581.7 83.74 581.7 124.3 556.7 149.3L504.6 201.4L374.6 71.43L426.7 19.32C451.7-5.677 492.3-5.677 517.3 19.32L556.7 58.75z"],
    "pen-fancy": [512, 512, [128395, 10002], "f5ac", "M373.5 27.11C388.5 9.885 410.2 0 433 0C476.6 0 512 35.36 512 78.98C512 101.8 502.1 123.5 484.9 138.5L277.7 319L192.1 234.3L373.5 27.11zM255.1 341.7L235.9 425.1C231.9 442.2 218.9 455.8 202 460.5L24.35 510.3L119.7 414.9C122.4 415.6 125.1 416 128 416C145.7 416 160 401.7 160 384C160 366.3 145.7 352 128 352C110.3 352 96 366.3 96 384C96 386.9 96.38 389.6 97.08 392.3L1.724 487.6L51.47 309.1C56.21 293.1 69.8 280.1 86.9 276.1L170.3 256.9L255.1 341.7z"],
    "pen-fancy-slash": [640, 512, [], "e210", "M287.1 199.7L437.5 27.11C452.5 9.886 474.2 .001 497 .001C540.6 .001 576 35.36 576 78.98C576 101.8 566.1 123.5 548.9 138.5L387.9 278.7L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L287.1 199.7zM299.9 425.1C295.9 442.2 282.9 455.8 266 460.5L88.35 510.3L183.7 414.9C186.4 415.6 189.1 416 192 416C209.7 416 224 401.7 224 384C224 366.3 209.7 352 192 352C174.3 352 160 366.3 160 384C160 386.9 160.4 389.6 161.1 392.3L65.72 487.7L115.5 309.1C120.2 293.1 133.8 280.1 150.9 276.1L211 262.3L317.1 346.5L299.9 425.1z"],
    "pen-field": [640, 512, [], "e211", "M623.8 37.88C642.7 56.77 642.5 87.43 623.5 106.1L583.7 145.1L494.4 55.74L534.1 16.02C552.8-2.736 583.2-2.742 601.9 16.01L623.8 37.88zM328.5 221.8L471.7 78.37L560.8 167.5L415.6 309.6C408.7 316.4 400.3 321.5 391.1 324.6L319.6 348.5C310.1 351.4 301.5 349.1 295 342.7C288.6 336.3 286.4 326.8 289.2 318.1L313 246.8C316.1 237.4 321.4 228.8 328.5 221.8H328.5zM272 128C289.7 128 304 142.3 304 160C304 177.7 289.7 192 272 192H80C71.16 192 64 199.2 64 208V432C64 440.8 71.16 448 80 448H496C504.8 448 512 440.8 512 432V304C512 286.3 526.3 272 544 272C561.7 272 576 286.3 576 304V432C576 476.2 540.2 512 496 512H80C35.82 512 0 476.2 0 432V208C0 163.8 35.82 128 80 128H272zM160 320C160 337.7 145.7 352 128 352C110.3 352 96 337.7 96 320C96 302.3 110.3 288 128 288C145.7 288 160 302.3 160 320zM192 320C192 302.3 206.3 288 224 288C241.7 288 256 302.3 256 320C256 337.7 241.7 352 224 352C206.3 352 192 337.7 192 320z"],
    "pen-line": [576, 512, [], "e212", "M492.7 58.75C517.7 83.74 517.7 124.3 492.7 149.3L444.3 197.7L314.3 67.72L362.7 19.32C387.7-5.678 428.3-5.678 453.3 19.32L492.7 58.75zM58.57 323.5L291.7 90.34L421.7 220.3L188.5 453.4C178.1 463.8 165.2 471.5 151.1 475.6L30.77 511C22.35 513.5 13.24 511.2 7.03 504.1C.8198 498.8-1.502 489.7 .976 481.2L36.37 360.9C40.53 346.8 48.16 333.9 58.57 323.5L58.57 323.5zM552 464C565.3 464 576 474.7 576 488C576 501.3 565.3 512 552 512H248C234.7 512 224 501.3 224 488C224 474.7 234.7 464 248 464H552z"],
    "pen-nib": [512, 512, [10001], "f5ad", "M368.4 18.34C390.3-3.526 425.7-3.526 447.6 18.34L493.7 64.4C515.5 86.27 515.5 121.7 493.7 143.6L437.9 199.3L312.7 74.06L368.4 18.34zM417.4 224L371.4 377.3C365.4 397.2 350.2 413 330.5 419.6L66.17 508.2C54.83 512 42.32 509.2 33.74 500.9L187.3 347.3C193.6 350.3 200.6 352 207.1 352C234.5 352 255.1 330.5 255.1 304C255.1 277.5 234.5 256 207.1 256C181.5 256 159.1 277.5 159.1 304C159.1 311.4 161.7 318.4 164.7 324.7L11.11 478.3C2.809 469.7-.04 457.2 3.765 445.8L92.39 181.5C98.1 161.8 114.8 146.6 134.7 140.6L287.1 94.6L417.4 224z"],
    "pen-nib-slash": [640, 512, [], "e4a1", "M208.1 137.8L351.1 94.6L481.4 224L450.3 327.6L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L208.1 137.8zM67.77 445.8L146.4 211.3L231.4 278.3C226.7 285.8 223.1 294.6 223.1 304C223.1 311.4 225.7 318.4 228.7 324.7L75.11 478.3C66.81 469.7 63.96 457.2 67.77 445.8V445.8zM271.1 352C285.5 352 297.7 346.4 306.4 337.4L404.9 415C401.6 416.8 398.1 418.4 394.5 419.6L130.2 508.2C118.8 512 106.3 509.2 97.74 500.9L251.3 347.3C257.6 350.3 264.6 352 272 352H271.1zM432.4 18.34C454.3-3.525 489.7-3.525 511.6 18.34L557.7 64.4C579.5 86.27 579.5 121.7 557.7 143.6L501.9 199.3L376.7 74.06L432.4 18.34z"],
    "pen-paintbrush": [576, 512, ["pencil-paintbrush"], "f618", "M95.6 16.4L226.3 147.1L147.1 226.3L16.4 95.6C-5.467 73.73-5.467 38.27 16.4 16.4C38.27-5.467 73.73-5.467 95.6 16.4H95.6zM400 512C346.4 512 301.5 474.3 290.6 423.9L423.9 290.6C474.3 301.5 512 346.4 512 400C512 403.9 511.8 407.8 511.4 411.6C509.6 429.1 521.6 448 539.2 448H544C561.7 448 576 462.3 576 480C576 497.7 561.7 512 544 512L400 512zM524.7 42.75C549.7 67.74 549.7 108.3 524.7 133.3L468.3 189.7L354.3 75.72L410.7 19.32C435.7-5.678 476.3-5.678 501.3 19.32L524.7 42.75zM76.89 353.2L331.7 98.34L445.7 212.3L190.8 467.1C184.1 473.8 175.8 478.7 166.6 481.4L62.59 511.1C54.21 513.5 45.19 511.1 39.03 504.1C32.87 498.8 30.53 489.8 32.92 481.4L62.65 377.4C65.26 368.2 70.16 359.9 76.89 353.2z"],
    "pen-ruler": [512, 512, ["pencil-ruler"], "f5ae", "M492.7 42.75C517.7 67.74 517.7 108.3 492.7 133.3L436.3 189.7L322.3 75.72L378.7 19.32C403.7-5.678 444.3-5.678 469.3 19.32L492.7 42.75zM44.89 353.2L299.7 98.34L413.7 212.3L158.8 467.1C152.1 473.8 143.8 478.7 134.6 481.4L30.59 511.1C22.21 513.5 13.19 511.1 7.03 504.1C.8669 498.8-1.47 489.8 .9242 481.4L30.65 377.4C33.26 368.2 38.16 359.9 44.89 353.2zM249.4 103.4L103.4 249.4L16 161.9C-2.745 143.2-2.745 112.8 16 94.06L94.06 16C112.8-2.745 143.2-2.745 161.9 16L181.7 35.76C181.4 36.05 181 36.36 180.7 36.69L116.7 100.7C110.4 106.9 110.4 117.1 116.7 123.3C122.9 129.6 133.1 129.6 139.3 123.3L203.3 59.31C203.6 58.99 203.1 58.65 204.2 58.3L249.4 103.4zM453.7 307.8C453.4 308 453 308.4 452.7 308.7L388.7 372.7C382.4 378.9 382.4 389.1 388.7 395.3C394.9 401.6 405.1 401.6 411.3 395.3L475.3 331.3C475.6 330.1 475.1 330.6 476.2 330.3L496 350.1C514.7 368.8 514.7 399.2 496 417.9L417.9 496C399.2 514.7 368.8 514.7 350.1 496L262.6 408.6L408.6 262.6L453.7 307.8z"],
    "pen-slash": [640, 512, [], "e213", "M264.3 181.8L355.7 90.35L485.7 220.3L409.9 296L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L264.3 181.8zM122.6 323.5L195.8 250.3L341.2 364.8L252.5 453.4C242.1 463.8 229.2 471.5 215.1 475.6L94.77 511C86.35 513.5 77.24 511.2 71.03 504.1C64.82 498.8 62.5 489.7 64.98 481.2L100.4 360.9C104.5 346.8 112.2 333.9 122.6 323.5L122.6 323.5zM426.7 19.32C451.7-5.677 492.3-5.677 517.3 19.32L556.7 58.75C581.7 83.74 581.7 124.3 556.7 149.3L508.3 197.7L378.3 67.72L426.7 19.32z"],
    "pen-swirl": [512, 512, [], "e214", "M296.1 68.38C283.8 65.51 270.1 64 256 64C149.1 64 64 149.1 64 256C64 362 149.1 448 256 448C273.7 448 288 462.3 288 480C288 497.7 273.7 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C288.4 0 319.3 6.005 347.8 16.96L296.1 68.38zM310.6 349.4C316.1 347.7 322 347.4 327.1 348.1C335.6 350.9 343.7 352 352 352C405 352 448 309 448 255.1C448 242.3 446.6 228.1 443.8 216.1L495.2 164.7C506.1 193 512 223.8 512 255.1C512 344.4 440.4 416 352 416C338.2 416 324.8 414.3 312 410.1C294.9 406.6 284.6 389.1 289 371.1C289.8 368.7 291.2 365.7 292.8 363C299.2 359.2 305.2 354.6 310.6 349.4L310.6 349.4zM495.8 37.88C514.7 56.77 514.5 87.43 495.5 106.1L455.7 145.1L366.4 55.74L406.1 16.02C424.8-2.736 455.2-2.742 473.9 16.01L495.8 37.88zM200.5 221.8L343.7 78.37L432.8 167.5L287.6 309.6C280.7 316.4 272.3 321.5 263.1 324.6L191.6 348.5C182.1 351.4 173.5 349.1 167 342.7C160.6 336.3 158.4 326.8 161.2 318.1L185 246.8C188.1 237.4 193.4 228.8 200.5 221.8V221.8z"],
    "pen-to-square": [512, 512, ["edit"], "f044", "M490.3 40.4C512.2 62.27 512.2 97.73 490.3 119.6L460.3 149.7L362.3 51.72L392.4 21.66C414.3-.2135 449.7-.2135 471.6 21.66L490.3 40.4zM172.4 241.7L339.7 74.34L437.7 172.3L270.3 339.6C264.2 345.8 256.7 350.4 248.4 353.2L159.6 382.8C150.1 385.6 141.5 383.4 135 376.1C128.6 370.5 126.4 361 129.2 352.4L158.8 263.6C161.6 255.3 166.2 247.8 172.4 241.7V241.7zM192 63.1C209.7 63.1 224 78.33 224 95.1C224 113.7 209.7 127.1 192 127.1H96C78.33 127.1 64 142.3 64 159.1V416C64 433.7 78.33 448 96 448H352C369.7 448 384 433.7 384 416V319.1C384 302.3 398.3 287.1 416 287.1C433.7 287.1 448 302.3 448 319.1V416C448 469 405 512 352 512H96C42.98 512 0 469 0 416V159.1C0 106.1 42.98 63.1 96 63.1H192z"],
    "pencil": [512, 512, [61504, 9999, "pencil-alt"], "f303", "M421.7 220.3L188.5 453.4L154.6 419.5L158.1 416H112C103.2 416 96 408.8 96 400V353.9L92.51 357.4C87.78 362.2 84.31 368 82.42 374.4L59.44 452.6L137.6 429.6C143.1 427.7 149.8 424.2 154.6 419.5L188.5 453.4C178.1 463.8 165.2 471.5 151.1 475.6L30.77 511C22.35 513.5 13.24 511.2 7.03 504.1C.8198 498.8-1.502 489.7 .976 481.2L36.37 360.9C40.53 346.8 48.16 333.9 58.57 323.5L291.7 90.34L421.7 220.3zM492.7 58.75C517.7 83.74 517.7 124.3 492.7 149.3L444.3 197.7L314.3 67.72L362.7 19.32C387.7-5.678 428.3-5.678 453.3 19.32L492.7 58.75z"],
    "pencil-slash": [640, 512, [], "e215", "M264.3 181.8L355.7 90.35L485.7 220.3L409.9 296L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L264.3 181.8zM122.6 323.5L195.8 250.3L341.2 364.8L252.5 453.4L218.6 419.5L222.1 416H175.1C167.2 416 159.1 408.8 159.1 400V353.9L156.5 357.4C151.8 362.2 148.3 368 146.4 374.4L123.4 452.6L201.6 429.6C207.1 427.7 213.8 424.2 218.6 419.5L252.5 453.4C242.1 463.8 229.2 471.5 215.1 475.6L94.77 511C86.35 513.5 77.24 511.2 71.03 504.1C64.82 498.8 62.5 489.7 64.98 481.2L100.4 360.9C104.5 346.8 112.2 333.9 122.6 323.5V323.5zM556.7 58.75C581.7 83.74 581.7 124.3 556.7 149.3L508.3 197.7L378.3 67.72L426.7 19.32C451.7-5.677 492.3-5.677 517.3 19.32L556.7 58.75z"],
    "people": [640, 512, [], "e216", "M244.6 158.1C232.8 139.3 212.5 128 190.3 128h-60.5C107.5 128 87.22 139.3 75.47 158.1L4.873 271C-4.502 286 .0605 305.8 15.03 315.1c15 9.375 34.75 4.812 44.1-10.19L88 258.8L87.1 480c0 17.67 14.33 32 31.1 32S152 497.7 152 480v-144h16V480c0 17.67 14.32 32 31.1 32S232 497.7 232 480V258.8l28.88 46.2C266.9 314.7 277.4 320 288 320c5.781 0 11.66-1.562 16.94-4.859c14.97-9.375 19.53-29.11 10.16-44.09L244.6 158.1zM159.1 96c26.5 0 47.1-21.5 47.1-48S186.5 0 160 0S111.1 21.5 111.1 48S133.5 96 159.1 96zM479.1 96c26.5 0 48-21.5 48-48S506.5 0 479.1 0S431.1 21.5 431.1 48S453.5 96 479.1 96zM635.1 271l-61.19-97.95C556.3 144.9 525.8 128 492.5 128h-25.06c-33.28 0-63.72 16.86-81.41 45.13l-61.19 97.92c-9.375 14.98-4.812 34.72 10.16 44.09c15.03 9.375 34.75 4.812 44.1-10.19l32.62-52.19L367.1 384H408v96c0 17.67 14.33 32 31.1 32S472 497.7 472 480v-96h16v96c0 17.67 14.33 32 31.1 32s32-14.33 32-32v-96h39.1l-43.75-131.3l32.63 52.22C586.9 314.7 597.4 320 608 320c5.781 0 11.66-1.562 16.94-4.859C639.9 305.8 644.5 286 635.1 271z"],
    "people-arrows": [576, 512, ["people-arrows-left-right"], "e068", "M96 304.1c0-12.16 4.971-23.83 13.64-32.01l72.13-68.08c1.65-1.555 3.773-2.311 5.611-3.578C177.1 176.8 155 160 128 160H64C28.65 160 0 188.7 0 224v96c0 17.67 14.33 32 31.1 32L32 480c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-96.39l-50.36-47.53C100.1 327.9 96 316.2 96 304.1zM480 128c35.38 0 64-28.62 64-64s-28.62-64-64-64s-64 28.62-64 64S444.6 128 480 128zM96 128c35.38 0 64-28.62 64-64S131.4 0 96 0S32 28.62 32 64S60.63 128 96 128zM444.4 295.3L372.3 227.3c-3.49-3.293-8.607-4.193-13.01-2.299C354.9 226.9 352 231.2 352 236V272H224V236c0-4.795-2.857-9.133-7.262-11.03C212.3 223.1 207.2 223.1 203.7 227.3L131.6 295.3c-4.805 4.535-4.805 12.94 0 17.47l72.12 68.07c3.49 3.291 8.607 4.191 13.01 2.297C221.1 381.3 224 376.9 224 372.1V336h128v36.14c0 4.795 2.857 9.135 7.262 11.04c4.406 1.893 9.523 .9922 13.01-2.299l72.12-68.07C449.2 308.3 449.2 299.9 444.4 295.3zM512 160h-64c-26.1 0-49.98 16.77-59.38 40.42c1.842 1.271 3.969 2.027 5.623 3.588l72.12 68.06C475 280.2 480 291.9 480 304.1c.002 12.16-4.969 23.83-13.64 32.01L416 383.6V480c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-128c17.67 0 32-14.33 32-32V224C576 188.7 547.3 160 512 160z"],
    "people-carry-box": [640, 512, ["people-carry"], "f4ce", "M128 95.1c26.5 0 47.1-21.5 47.1-47.1S154.5 0 128 0S80.01 21.5 80.01 47.1S101.5 95.1 128 95.1zM511.1 95.1c26.5 0 47.1-21.5 47.1-47.1S538.5 0 511.1 0c-26.5 0-48 21.5-48 47.1S485.5 95.1 511.1 95.1zM603.5 258.3l-18.5-80.13c-4.625-20-18.62-36.88-37.5-44.88c-18.5-8-38.1-6.75-56.12 3.25c-22.62 13.38-39.62 34.5-48.12 59.38l-11.25 33.88l-15.1 10.25L415.1 144c0-8.75-7.25-16-16-16H240c-8.75 0-16 7.25-16 16L224 239.1l-16.12-10.25l-11.25-33.88c-8.375-25-25.38-46-48.12-59.38c-17.25-10-37.63-11.25-56.12-3.25c-18.88 8-32.88 24.88-37.5 44.88l-18.37 80.13c-4.625 20 .7506 41.25 14.37 56.75l67.25 75.88l10.12 92.63C130 499.8 143.8 512 160 512c1.25 0 2.25-.125 3.5-.25c17.62-1.875 30.25-17.62 28.25-35.25l-10-92.75c-1.5-13-7-25.12-15.62-35l-43.37-49l17.62-70.38l6.876 20.38c4 12.5 11.87 23.5 24.5 32.63l51 32.5c4.623 2.875 12.12 4.625 17.25 5h159.1c5.125-.375 12.62-2.125 17.25-5l51-32.5c12.62-9.125 20.5-20 24.5-32.63l6.875-20.38l17.63 70.38l-43.37 49c-8.625 9.875-14.12 22-15.62 35l-10 92.75c-2 17.62 10.75 33.38 28.25 35.25C477.7 511.9 478.7 512 479.1 512c16.12 0 29.1-12.12 31.75-28.5l10.12-92.63L589.1 315C602.7 299.5 608.1 278.3 603.5 258.3zM46.26 358.1l-44 110c-6.5 16.38 1.5 35 17.88 41.63c16.75 6.5 35.12-1.75 41.62-17.88l27.62-69.13l-2-18.25L46.26 358.1zM637.7 468.1l-43.1-110l-41.13 46.38l-2 18.25l27.62 69.13C583.2 504.4 595.2 512 607.1 512c3.998 0 7.998-.75 11.87-2.25C636.2 503.1 644.2 484.5 637.7 468.1z"],
    "people-dress": [640, 512, [], "e217", "M159.1 96c26.5 0 48-21.5 48-48S186.5 0 159.1 0S111.1 21.5 111.1 48S133.5 96 159.1 96zM253.9 173.1C236.3 144.9 205.8 128 172.5 128H147.5C114.2 128 83.75 144.9 66.06 173.1L4.873 271C-4.502 286 .0605 305.8 15.03 315.1c15.03 9.375 34.75 4.812 44.1-10.19l32.62-52.19L47.1 384h40v96c0 17.67 14.33 32 31.1 32s32-14.33 32-32v-96h16v96c0 17.67 14.32 32 31.1 32s32-14.33 32-32v-96H271.1L228.2 252.7l32.63 52.22C266.9 314.7 277.4 320 288 320c5.781 0 11.66-1.562 16.94-4.859c14.97-9.375 19.53-29.11 10.16-44.09L253.9 173.1zM480 96c26.5 0 48-21.5 48-48S506.5 0 480 0s-47.1 21.5-47.1 48S453.5 96 480 96zM635.1 271l-61.19-97.95C556.3 144.9 525.8 128 492.5 128h-25.06c-33.28 0-63.72 16.86-81.41 45.13l-61.19 97.92c-9.375 14.98-4.812 34.72 10.16 44.09c15.03 9.375 34.75 4.812 44.09-10.19l32.62-52.19L368 384H408v96c0 17.67 14.33 32 32 32S472 497.7 472 480v-96h16v96c0 17.67 14.33 32 32 32s31.1-14.33 31.1-32v-96h40l-43.76-131.3l32.63 52.22C586.9 314.7 597.4 320 608 320c5.781 0 11.66-1.562 16.94-4.859C639.9 305.8 644.5 286 635.1 271z"],
    "people-dress-simple": [512, 512, [], "e218", "M384 128c35.38 0 64-28.62 64-64s-28.62-64-64-64s-64 28.62-64 64S348.6 128 384 128zM505.5 343.2l-42.4-148.4C457.3 174.2 438.4 160 416.1 160h-65.99c-21.43 0-40.26 14.21-46.15 34.81l-42.4 148.4C256.6 363.7 271.1 384 293.2 384H320v96c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-96h26.78C496 384 511.4 363.7 505.5 343.2zM128 128c35.38 0 64-28.62 64-64S163.4 0 128 0S64 28.62 64 64S92.63 128 128 128zM207.1 194.8C201.3 174.2 182.4 160 160.1 160H95C73.57 160 54.74 174.2 48.85 194.8L6.452 343.2C.6113 363.7 15.96 384 37.22 384H64v96c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-96h26.78c21.26 0 36.61-20.35 30.77-40.79L207.1 194.8z"],
    "people-group": [640, 512, [], "e533", "M184 88C184 118.9 158.9 144 128 144C97.07 144 72 118.9 72 88C72 57.07 97.07 32 128 32C158.9 32 184 57.07 184 88zM208.4 196.3C178.7 222.7 160 261.2 160 304C160 338.3 171.1 369.8 192 394.5V416C192 433.7 177.7 448 160 448H96C78.33 448 64 433.7 64 416V389.2C26.16 371.2 0 332.7 0 288C0 226.1 50.14 176 112 176H144C167.1 176 190.2 183.5 208.4 196.3V196.3zM64 245.7C54.04 256.9 48 271.8 48 288C48 304.2 54.04 319.1 64 330.3V245.7zM448 416V394.5C468 369.8 480 338.3 480 304C480 261.2 461.3 222.7 431.6 196.3C449.8 183.5 472 176 496 176H528C589.9 176 640 226.1 640 288C640 332.7 613.8 371.2 576 389.2V416C576 433.7 561.7 448 544 448H480C462.3 448 448 433.7 448 416zM576 330.3C585.1 319.1 592 304.2 592 288C592 271.8 585.1 256.9 576 245.7V330.3zM568 88C568 118.9 542.9 144 512 144C481.1 144 456 118.9 456 88C456 57.07 481.1 32 512 32C542.9 32 568 57.07 568 88zM256 96C256 60.65 284.7 32 320 32C355.3 32 384 60.65 384 96C384 131.3 355.3 160 320 160C284.7 160 256 131.3 256 96zM448 304C448 348.7 421.8 387.2 384 405.2V448C384 465.7 369.7 480 352 480H288C270.3 480 256 465.7 256 448V405.2C218.2 387.2 192 348.7 192 304C192 242.1 242.1 192 304 192H336C397.9 192 448 242.1 448 304zM256 346.3V261.7C246 272.9 240 287.8 240 304C240 320.2 246 335.1 256 346.3zM384 261.7V346.3C393.1 335 400 320.2 400 304C400 287.8 393.1 272.9 384 261.7z"],
    "people-line": [640, 512, [], "e534", "M360 72C360 94.09 342.1 112 320 112C297.9 112 280 94.09 280 72C280 49.91 297.9 32 320 32C342.1 32 360 49.91 360 72zM104 168C104 145.9 121.9 128 144 128C166.1 128 184 145.9 184 168C184 190.1 166.1 208 144 208C121.9 208 104 190.1 104 168zM608 416C625.7 416 640 430.3 640 448C640 465.7 625.7 480 608 480H32C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416H608zM456 168C456 145.9 473.9 128 496 128C518.1 128 536 145.9 536 168C536 190.1 518.1 208 496 208C473.9 208 456 190.1 456 168zM200 352C200 369.7 185.7 384 168 384H120C102.3 384 88 369.7 88 352V313.5L61.13 363.4C54.85 375 40.29 379.4 28.62 373.1C16.95 366.8 12.58 352.3 18.87 340.6L56.75 270.3C72.09 241.8 101.9 224 134.2 224H153.8C170.1 224 185.7 228.5 199.2 236.6L232.7 174.3C248.1 145.8 277.9 128 310.2 128H329.8C362.1 128 391.9 145.8 407.3 174.3L440.8 236.6C454.3 228.5 469.9 224 486.2 224H505.8C538.1 224 567.9 241.8 583.3 270.3L621.1 340.6C627.4 352.3 623 366.8 611.4 373.1C599.7 379.4 585.2 375 578.9 363.4L552 313.5V352C552 369.7 537.7 384 520 384H472C454.3 384 440 369.7 440 352V313.5L413.1 363.4C406.8 375 392.3 379.4 380.6 373.1C368.1 366.8 364.6 352.3 370.9 340.6L407.2 273.1C405.5 271.5 404 269.6 402.9 267.4L376 217.5V272C376 289.7 361.7 304 344 304H295.1C278.3 304 263.1 289.7 263.1 272V217.5L237.1 267.4C235.1 269.6 234.5 271.5 232.8 273.1L269.1 340.6C275.4 352.3 271 366.8 259.4 373.1C247.7 379.4 233.2 375 226.9 363.4L199.1 313.5L200 352z"],
    "people-pants": [640, 512, [], "e219", "M159.1 96c26.5 0 47.1-21.5 47.1-48S186.5 0 159.1 0S111.1 21.5 111.1 48S133.5 96 159.1 96zM244.6 158.1C232.8 139.3 212.5 128 190.3 128h-60.5C107.5 128 87.22 139.3 75.47 158.1L4.873 271C-4.502 286 .0605 305.8 15.03 315.1c15 9.375 34.75 4.812 44.1-10.19L88 258.8L87.1 480c0 17.67 14.33 32 31.1 32S152 497.7 152 480v-144h16V480c0 17.67 14.32 32 31.1 32S232 497.7 232 480V258.8l28.88 46.2C266.9 314.7 277.4 320 288 320c5.781 0 11.66-1.562 16.94-4.859c14.97-9.375 19.53-29.11 10.16-44.09L244.6 158.1zM479.1 96c26.5 0 47.1-21.5 47.1-48S506.5 0 479.1 0S431.1 21.5 431.1 48S453.5 96 479.1 96zM635.1 271l-70.56-112.1C552.8 139.3 532.5 128 510.3 128h-60.5c-22.22 0-42.53 11.25-54.28 30.09l-70.6 112.1c-9.375 14.98-4.812 34.72 10.16 44.09c15 9.375 34.75 4.812 44.09-10.19L408 258.8L407.1 480c0 17.67 14.33 32 31.1 32s32-14.33 32-32L472 336h16L487.1 480c0 17.67 14.32 32 31.1 32s32-14.33 32-32L552 258.8l28.88 46.2C586.9 314.7 597.4 320 608 320c5.781 0 11.66-1.562 16.94-4.859C639.9 305.8 644.5 286 635.1 271z"],
    "people-pants-simple": [448, 512, [], "e21a", "M128 160H64C28.65 160 0 188.7 0 224v96c0 17.67 14.33 32 32 32v128c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-128c17.67 0 32-14.33 32-32V224C192 188.7 163.3 160 128 160zM96 128c35.38 0 64-28.62 64-64S131.4 0 96 0S32 28.62 32 64S60.63 128 96 128zM352 128c35.38 0 64-28.62 64-64s-28.62-64-64-64s-64 28.62-64 64S316.6 128 352 128zM384 160h-64c-35.35 0-64 28.65-64 64v96c0 17.67 14.33 32 32 32v128c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-128c17.67 0 32-14.33 32-32V224C448 188.7 419.3 160 384 160z"],
    "people-pulling": [576, 512, [], "e535", "M32 48C32 21.49 53.49 0 80 0C106.5 0 128 21.49 128 48C128 74.51 106.5 96 80 96C53.49 96 32 74.51 32 48V48zM118.3 128C130.1 128 143.5 130.5 155.2 135.4L289.3 191.2C302.6 171.1 320.1 156.6 342.7 146.9L353.7 142C374.5 132.8 396.1 128 419.7 128C464.3 128 504.5 154.8 521.6 195.9L536.1 232.7L558.3 243.4C574.1 251.3 580.5 270.5 572.6 286.3C564.7 302.1 545.5 308.5 529.7 300.6L503 287.3C492.7 282.1 484.6 273.4 480.2 262.8L470.6 239.8L451.3 305.3L500.8 359.4C506.2 365.3 510.1 372.4 512 380.2L535 472.2C539.3 489.4 528.9 506.8 511.8 511C494.6 515.3 477.2 504.9 472.1 487.8L450.9 399.6L380.3 322.5C365.5 306.4 359.1 283.9 365.6 262.8L382.5 199.3C381.6 199.7 380.6 200.1 379.7 200.5L368.7 205.4C353.4 212.2 341.4 224.6 335.2 240.1L333.7 243.9C328.6 256.7 316.1 264.4 303 263.1C299.2 263.9 295.4 263.1 291.7 261.5L173.3 212.2L231.2 473.1C235.1 490.3 224.2 507.4 206.9 511.2C189.7 515.1 172.6 504.2 168.8 486.9L138.8 352H123.1L143.6 474.7C146.5 492.2 134.7 508.7 117.3 511.6C99.83 514.5 83.34 502.7 80.44 485.3L56.35 340.8C50.48 347.6 41.75 352 32 352C14.33 352 0 337.7 0 319.1V191.1C0 156.7 28.65 127.1 64 127.1L118.3 128zM416 48C416 21.49 437.5 0 464 0C490.5 0 512 21.49 512 48C512 74.51 490.5 96 464 96C437.5 96 416 74.51 416 48V48zM356.7 344.2L397.4 388.6L382.9 424.8C380.5 430.9 376.9 436.4 372.3 440.9L310.6 502.6C298.1 515.1 277.9 515.1 265.4 502.6C252.9 490.1 252.9 469.9 265.4 457.4L324.7 398L349.7 335.6C351.8 338.6 354.2 341.4 356.7 344.2H356.7z"],
    "people-robbery": [576, 512, [], "e536", "M496.1 24.24C501.2 7.093 518.6-3.331 535.8 .9552C552.9 5.242 563.3 22.62 559 39.76L550.3 74.63C539.3 118.6 510.1 154.2 472 174.3V480C472 497.7 457.7 512 440 512C422.3 512 408 497.7 408 480V352H392V480C392 497.7 377.7 512 360 512C342.3 512 328 497.7 328 480V174.3C289.9 154.2 260.7 118.6 249.7 74.63L240.1 39.76C236.7 22.62 247.1 5.242 264.2 .9552C281.4-3.331 298.8 7.093 303 24.24L311.8 59.1C321.9 99.59 358.3 127.1 400 127.1C441.7 127.1 478.1 99.59 488.2 59.1L496.1 24.24zM352 47.1C352 21.49 373.5-.0006 400-.0006C426.5-.0006 448 21.49 448 47.1C448 74.51 426.5 95.1 400 95.1C373.5 95.1 352 74.51 352 47.1V47.1zM32.01 48C32.01 21.49 53.5 0 80.01 0C106.5 0 128 21.49 128 48C128 74.51 106.5 96 80.01 96C53.5 96 32.01 74.51 32.01 48V48zM104.7 128C132.1 128 157.6 142 172.2 165.1L209.6 224H240C257.7 224 272 238.3 272 256C272 273.7 257.7 288 240 288H192C181 288 170.9 282.4 164.1 273.1L152 252.7V480C152 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480V352H72V480C72 497.7 57.68 512 40 512C22.33 512 8.005 497.7 8.005 480V288.6L8 287.1V191.1C8 156.7 36.65 127.1 72 127.1L104.7 128z"],
    "people-roof": [640, 512, [], "e537", "M623.5 164C638.1 172.6 644.6 192.1 635.1 207.5C627.4 222.1 607.9 228.6 592.5 219.1L319.1 68.61L47.54 219.1C32.09 228.6 12.61 222.1 4.025 207.5C-4.558 192.1 1.008 172.6 16.46 164L304.5 4.027C314.1-1.342 325.9-1.342 335.5 4.027L623.5 164zM279.1 200C279.1 177.9 297.9 160 319.1 160C342.1 160 359.1 177.9 359.1 200C359.1 222.1 342.1 240 319.1 240C297.9 240 279.1 222.1 279.1 200zM103.1 296C103.1 273.9 121.9 256 143.1 256C166.1 256 183.1 273.9 183.1 296C183.1 318.1 166.1 336 143.1 336C121.9 336 103.1 318.1 103.1 296V296zM535.1 296C535.1 318.1 518.1 336 495.1 336C473.9 336 455.1 318.1 455.1 296C455.1 273.9 473.9 256 495.1 256C518.1 256 535.1 273.9 535.1 296zM226.9 491.4L199.1 441.5V480C199.1 497.7 185.7 512 167.1 512H119.1C102.3 512 87.1 497.7 87.1 480V441.5L61.13 491.4C54.84 503 40.29 507.4 28.62 501.1C16.95 494.8 12.58 480.3 18.87 468.6L56.74 398.3C72.09 369.8 101.9 352 134.2 352H153.8C170.1 352 185.7 356.5 199.2 364.6L232.7 302.3C248.1 273.8 277.9 255.1 310.2 255.1H329.8C362.1 255.1 391.9 273.8 407.3 302.3L440.8 364.6C454.3 356.5 469.9 352 486.2 352H505.8C538.1 352 567.9 369.8 583.3 398.3L621.1 468.6C627.4 480.3 623 494.8 611.4 501.1C599.7 507.4 585.2 503 578.9 491.4L551.1 441.5V480C551.1 497.7 537.7 512 519.1 512H471.1C454.3 512 439.1 497.7 439.1 480V441.5L413.1 491.4C406.8 503 392.3 507.4 380.6 501.1C368.1 494.8 364.6 480.3 370.9 468.6L407.2 401.1C405.5 399.5 404 397.6 402.9 395.4L375.1 345.5V400C375.1 417.7 361.7 432 343.1 432H295.1C278.3 432 263.1 417.7 263.1 400V345.5L237.1 395.4C235.1 397.6 234.5 399.5 232.8 401.1L269.1 468.6C275.4 480.3 271 494.8 259.4 501.1C247.7 507.4 233.2 503 226.9 491.4H226.9z"],
    "people-simple": [512, 512, [], "e21b", "M128 128c35.38 0 64-28.62 64-64S163.4 0 128 0S64 28.62 64 64S92.63 128 128 128zM384 128c35.38 0 64-28.62 64-64s-28.62-64-64-64s-64 28.62-64 64S348.6 128 384 128zM160 160H96C60.65 160 32 188.7 32 224v96c0 17.67 14.33 32 32 32v128c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-128c17.67 0 32-14.33 32-32V224C224 188.7 195.3 160 160 160zM505.5 343.2l-42.4-148.4C457.3 174.2 438.4 160 416.1 160h-65.99c-21.43 0-40.26 14.21-46.15 34.81l-42.4 148.4C256.6 363.7 271.1 384 293.2 384H320v96c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-96h26.78C496 384 511.4 363.7 505.5 343.2z"],
    "pepper": [512, 512, [129745], "e432", "M509.4 214.2l-53.34 224C445.5 482.3 406.2 512 362.7 512c-7.375 0-14.84-.8438-22.34-2.625c-11.38-2.711-21.59-7.611-30.79-13.74C294.3 505.1 275.9 512 255.1 512s-38.31-6.035-53.62-16.37c-9.195 6.131-19.41 11.03-30.79 13.74C164.1 511.2 156.6 512 149.3 512c-43.4 0-82.78-29.68-93.28-73.79L2.633 214.2c-12.28-51.57 19.56-103.4 71.12-115.6c13.25-3.154 26.47-3.322 39.06-1.076C86.07 124.6 73.43 164.4 83.56 203.1l44.97 168.2C130.5 379.3 136.9 384 143.1 384c1.344 0 2.75-.1719 4.125-.5469c8.531-2.281 13.62-11.05 11.34-19.59L114.5 195.9c-11.03-43.1 18.32-99.93 77.47-99.93c12.37 0 23.94 3.043 34.4 8.055C217.2 60.93 199.8 41.73 198.8 40.68C189.8 31.14 189.1 16.02 199.4 6.859c9.375-9.125 24.28-9.203 33.59 .1094c1.572 1.561 31.2 32.98 42.46 100.4c13.37-7.072 28.38-11.45 44.57-11.45c17.49 0 33.67 5.029 47.79 13.21c20.55-11.97 45.47-16.54 70.45-10.6C489.8 110.8 521.6 162.6 509.4 214.2z"],
    "pepper-hot": [512, 512, [127798], "f816", "M465 134.2c21.46-38.38 19.87-87.17-5.65-123.1c-7.541-10.83-22.31-13.53-33.2-5.938c-10.77 7.578-13.44 22.55-5.896 33.41c14.41 20.76 15.13 47.69 4.098 69.77C407.1 100.1 388 95.1 368 95.1c-36.23 0-68.93 13.83-94.24 35.92L352 165.5V256h90.56l33.53 78.23C498.2 308.9 512 276.2 512 239.1C512 198 493.7 160.6 465 134.2zM320 288V186.6l-52.95-22.69C216.2 241.3 188.5 400 56 400C25.13 400 0 425.1 0 456S25.13 512 56 512c180.3 0 320.1-88.27 389.3-168.5L421.5 288H320z"],
    "percent": [384, 512, [62101, 62785, "percentage"], "25", "M374.6 73.39c-12.5-12.5-32.75-12.5-45.25 0l-320 320c-12.5 12.5-12.5 32.75 0 45.25C15.63 444.9 23.81 448 32 448s16.38-3.125 22.62-9.375l320-320C387.1 106.1 387.1 85.89 374.6 73.39zM64 192c35.3 0 64-28.72 64-64S99.3 64.01 64 64.01S0 92.73 0 128S28.7 192 64 192zM320 320c-35.3 0-64 28.72-64 64s28.7 64 64 64s64-28.72 64-64S355.3 320 320 320z"],
    "period": [128, 512, [], "2e", "M64 352c-35.35 0-64 28.65-64 64c0 35.35 28.65 64 64 64s64-28.65 64-64C128 380.7 99.35 352 64 352z"],
    "person": [320, 512, [129485, "male"], "f183", "M208 48C208 74.51 186.5 96 160 96C133.5 96 112 74.51 112 48C112 21.49 133.5 0 160 0C186.5 0 208 21.49 208 48zM152 352V480C152 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480V256.9L59.43 304.5C50.33 319.6 30.67 324.5 15.52 315.4C.3696 306.3-4.531 286.7 4.573 271.5L62.85 174.6C80.2 145.7 111.4 128 145.1 128H174.9C208.6 128 239.8 145.7 257.2 174.6L315.4 271.5C324.5 286.7 319.6 306.3 304.5 315.4C289.3 324.5 269.7 319.6 260.6 304.5L232 256.9V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V352L152 352z"],
    "person-arrow-down-to-line": [640, 512, [], "e538", "M144 48C144 21.49 165.5 0 192 0C218.5 0 240 21.49 240 48C240 74.51 218.5 96 192 96C165.5 96 144 74.51 144 48zM120 256.9L91.43 304.5C82.33 319.6 62.67 324.5 47.52 315.4C32.37 306.3 27.47 286.7 36.57 271.5L94.85 174.6C112.2 145.7 143.4 128 177.1 128H206.9C240.6 128 271.8 145.7 289.2 174.6L347.4 271.5C356.5 286.7 351.6 306.3 336.5 315.4C321.3 324.5 301.7 319.6 292.6 304.5L264 256.9V448H608C625.7 448 640 462.3 640 480C640 497.7 625.7 512 608 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H120L120 256.9zM200 448V352H184V448H200zM393.4 326.6C380.9 314.1 380.9 293.9 393.4 281.4C405.9 268.9 426.1 268.9 438.6 281.4L464 306.7V64C464 46.33 478.3 32 496 32C513.7 32 528 46.33 528 64V306.7L553.4 281.4C565.9 268.9 586.1 268.9 598.6 281.4C611.1 293.9 611.1 314.1 598.6 326.6L518.6 406.6C506.1 419.1 485.9 419.1 473.4 406.6L393.4 326.6z"],
    "person-arrow-up-from-line": [640, 512, [], "e539", "M144 48C144 21.49 165.5 0 192 0C218.5 0 240 21.49 240 48C240 74.51 218.5 96 192 96C165.5 96 144 74.51 144 48zM120 256.9L91.43 304.5C82.33 319.6 62.67 324.5 47.52 315.4C32.37 306.3 27.47 286.7 36.57 271.5L94.85 174.6C112.2 145.7 143.4 128 177.1 128H206.9C240.6 128 271.8 145.7 289.2 174.6L347.4 271.5C356.5 286.7 351.6 306.3 336.5 315.4C321.3 324.5 301.7 319.6 292.6 304.5L264 256.9V448H608C625.7 448 640 462.3 640 480C640 497.7 625.7 512 608 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H120L120 256.9zM200 448V352H184V448H200zM598.6 121.4C611.1 133.9 611.1 154.1 598.6 166.6C586.1 179.1 565.9 179.1 553.4 166.6L528 141.3V384C528 401.7 513.7 416 496 416C478.3 416 464 401.7 464 384V141.3L438.6 166.6C426.1 179.1 405.9 179.1 393.4 166.6C380.9 154.1 380.9 133.9 393.4 121.4L473.4 41.37C485.9 28.88 506.1 28.88 518.6 41.37L598.6 121.4z"],
    "person-biking": [640, 512, [128692, "biking"], "f84a", "M352 48C352 21.49 373.5 0 400 0C426.5 0 448 21.49 448 48C448 74.51 426.5 96 400 96C373.5 96 352 74.51 352 48zM480 159.1C497.7 159.1 512 174.3 512 191.1C512 209.7 497.7 223.1 480 223.1H416C408.7 223.1 401.7 221.5 396 216.1L355.3 184.4L295 232.9L337.8 261.4C346.7 267.3 352 277.3 352 288V416C352 433.7 337.7 448 320 448C302.3 448 288 433.7 288 416V305.1L227.5 266.8C194.7 245.1 192.5 198.9 223.2 175.2L306.3 110.9C323.8 97.45 348.1 97.58 365.4 111.2L427.2 159.1H480zM256 384C256 454.7 198.7 512 128 512C57.31 512 0 454.7 0 384C0 313.3 57.31 256 128 256C198.7 256 256 313.3 256 384zM128 312C88.24 312 56 344.2 56 384C56 423.8 88.24 456 128 456C167.8 456 200 423.8 200 384C200 344.2 167.8 312 128 312zM640 384C640 454.7 582.7 512 512 512C441.3 512 384 454.7 384 384C384 313.3 441.3 256 512 256C582.7 256 640 313.3 640 384zM512 312C472.2 312 440 344.2 440 384C440 423.8 472.2 456 512 456C551.8 456 584 423.8 584 384C584 344.2 551.8 312 512 312z"],
    "person-biking-mountain": [640, 512, [128693, "biking-mountain"], "f84b", "M448 48C448 74.51 426.5 96 400 96C373.5 96 352 74.51 352 48C352 21.49 373.5 0 400 0C426.5 0 448 21.49 448 48zM480 159.1C497.7 159.1 512 174.3 512 191.1C512 209.7 497.7 223.1 480 223.1H416C408.7 223.1 401.7 221.5 396 216.1L355.3 184.4L295 232.9L337.8 261.4C346.7 267.3 352 277.3 352 288V416C352 433.7 337.7 448 320 448C302.3 448 288 433.7 288 416V305.1L227.5 266.8C194.7 245.1 192.5 198.9 223.2 175.2L306.3 110.9C323.8 97.45 348.1 97.58 365.4 111.2L427.2 159.1H480zM166.3 163.9L122.3 108.9C116.7 101.8 117.1 91.51 125.2 86.1L190.4 37.22C218 16.48 257.2 21.45 278.8 48.44L293.7 67.11C299.3 74.16 298 84.49 290.8 89.9L188.4 166.7C181.5 171.9 171.7 170.6 166.3 163.9L166.3 163.9zM136 256C148.1 256 158.1 264.9 159.8 276.6C167.4 278.8 174.7 281.9 181.5 285.6C190.9 278.5 204.3 279.3 212.9 287.8L224.2 299.1C232.7 307.7 233.5 321.1 226.4 330.5C230.1 337.3 233.2 344.6 235.4 352.2C247.1 353.9 255.1 363.9 255.1 376V392C255.1 404.1 247.1 414.1 235.4 415.8C233.2 423.4 230.1 430.7 226.4 437.5C233.5 446.9 232.7 460.3 224.2 468.9L212.9 480.2C204.3 488.7 190.9 489.5 181.5 482.4C174.7 486.1 167.4 489.2 159.8 491.4C158.1 503.1 148.1 512 135.1 512H119.1C107.9 512 97.91 503.1 96.24 491.4C88.62 489.2 81.34 486.1 74.49 482.4C65.09 489.5 51.7 488.7 43.15 480.2L31.83 468.9C23.28 460.3 22.53 446.9 29.58 437.5C25.85 430.7 22.81 423.4 20.57 415.8C8.938 414.1 0 404.1 0 392V376C0 363.9 8.938 353.9 20.57 352.2C22.81 344.6 25.85 337.3 29.58 330.5C22.53 321.1 23.28 307.7 31.83 299.1L43.15 287.8C51.7 279.3 65.09 278.5 74.49 285.6C81.34 281.9 88.62 278.8 96.24 276.6C97.91 264.9 107.9 255.1 119.1 255.1L136 256zM128 448C163.3 448 192 419.3 192 384C192 348.7 163.3 320 128 320C92.65 320 64 348.7 64 384C64 419.3 92.65 448 128 448zM480.2 276.6C481.9 264.9 491.9 256 504 256H520C532.1 256 542.1 264.9 543.8 276.6C551.4 278.8 558.7 281.9 565.5 285.6C574.9 278.5 588.3 279.3 596.9 287.8L608.2 299.1C616.7 307.7 617.5 321.1 610.4 330.5C614.1 337.3 617.2 344.6 619.4 352.2C631.1 353.9 640 363.9 640 376V392C640 404.1 631.1 414.1 619.4 415.8C617.2 423.4 614.1 430.7 610.4 437.5C617.5 446.9 616.7 460.3 608.2 468.9L596.9 480.2C588.3 488.7 574.9 489.5 565.5 482.4C558.7 486.1 551.4 489.2 543.8 491.4C542.1 503.1 532.1 512 520 512H504C491.9 512 481.9 503.1 480.2 491.4C472.6 489.2 465.3 486.1 458.5 482.4C449.1 489.5 435.7 488.7 427.1 480.2L415.8 468.9C407.3 460.3 406.5 446.9 413.6 437.5C409.8 430.7 406.8 423.4 404.6 415.8C392.9 414.1 384 404.1 384 392V376C384 363.9 392.9 353.9 404.6 352.2C406.8 344.6 409.8 337.3 413.6 330.5C406.5 321.1 407.3 307.7 415.8 299.1L427.1 287.8C435.7 279.3 449.1 278.5 458.5 285.6C465.3 281.9 472.6 278.8 480.2 276.6L480.2 276.6zM512 320C476.7 320 448 348.7 448 384C448 419.3 476.7 448 512 448C547.3 448 576 419.3 576 384C576 348.7 547.3 320 512 320z"],
    "person-booth": [576, 512, [], "f756", "M192 496C192 504.8 199.3 512 208 512h32C248.8 512 256 504.8 256 496V320H192V496zM544 0h-32v496c0 8.75 7.25 16 16 16h32c8.75 0 16-7.25 16-16V32C576 14.25 561.8 0 544 0zM64 128c26.5 0 48-21.5 48-48S90.5 32 64 32S16 53.5 16 80S37.5 128 64 128zM224 224H173.1L127.9 178.8C115.8 166.6 99.75 160 82.75 160H64C46.88 160 30.75 166.8 18.75 178.8c-12 12.12-18.72 28.22-18.72 45.35L0 480c0 17.75 14.25 32 31.88 32s32-14.25 32-32L64 379.3c.875 .5 1.625 1.375 2.5 1.75L95.63 424V480c0 17.75 14.25 32 32 32c17.62 0 32-14.25 32-32v-56.5c0-9.875-2.375-19.75-6.75-28.62l-41.13-61.25V253l20.88 20.88C141.8 283 153.8 288 166.5 288H224c17.75 0 32-14.25 32-32S241.8 224 224 224zM192 32v160h64V0H224C206.3 0 192 14.25 192 32zM288 32l31.5 223.1l-30.88 154.6C284.3 431.3 301.6 448 320 448c15.25 0 27.99-9.125 32.24-30.38C353.3 434.5 366.9 448 384 448c17.75 0 32-14.25 32-32c0 17.75 14.25 32 32 32s32-14.25 32-32V0h-192V32z"],
    "person-breastfeeding": [448, 512, [], "e53a", "M144 80C144 35.82 179.8 0 224 0C268.2 0 304 35.82 304 80C304 124.2 268.2 160 224 160C179.8 160 144 124.2 144 80zM436.8 382.8L373.5 461.1C356.9 482.7 326.7 486 306 469.5C288.4 455.4 283.3 431.3 292.5 411.7L291.7 411.6C252.8 406.1 217.4 386.5 192 356.8V320C192 302.3 177.7 288 160 288C142.3 288 128 302.3 128 320V368C128 368.8 128 369.6 128.1 370.4L229.5 421.1C253.2 432.9 262.8 461.8 250.9 485.5C239.1 509.2 210.2 518.8 186.5 506.9L27.21 427.3C26.11 426.7 25.02 426.2 23.95 425.5C19.04 422.7 14.79 419.1 11.3 414.1C6.732 409.5 3.492 403.3 1.683 396.6C-1.576 384.6-.1811 371.4 6.459 359.9C7.098 358.8 7.776 357.8 8.489 356.7L75.56 256.1C102.3 216.1 147.2 192 195.4 192H270.6C317.1 192 360.7 214.5 387.8 252.3L438.5 323.2C440.7 326.2 442.5 329.4 443.9 332.7C446.9 339.3 448.2 346.4 447.1 353.5C447.7 364.1 443.8 374.5 436.8 382.8V382.8zM276 288C251.7 288 232 307.7 232 332C232 356.3 251.7 376 276 376C300.3 376 320 356.3 320 332C320 307.7 300.3 288 276 288z"],
    "person-burst": [640, 512, [], "e53b", "M431.1 48C431.1 21.49 453.5 0 479.1 0C506.5 0 527.1 21.49 527.1 48C527.1 74.51 506.5 96 479.1 96C453.5 96 431.1 74.51 431.1 48zM439.1 512C422.3 512 407.1 497.7 407.1 480V256.9L379.4 304.5C370.3 319.6 350.7 324.5 335.5 315.4C320.4 306.3 315.5 286.7 324.6 271.5L382.8 174.6C400.2 145.7 431.4 128 465.1 128H494.9C528.6 128 559.8 145.7 577.2 174.6L635.4 271.5C644.5 286.7 639.6 306.3 624.5 315.4C609.3 324.5 589.7 319.6 580.6 304.5L551.1 256.9V480C551.1 497.7 537.7 512 519.1 512C502.3 512 487.1 497.7 487.1 480V352H471.1V480C471.1 497.7 457.7 512 439.1 512L439.1 512zM220.3 92.05L296.4 68.93C302.7 67.03 309.5 69.14 313.6 74.27C317.7 79.39 318.2 86.49 314.1 92.18L275.5 161.3L330.7 199.3L306.3 239.8L255.8 247.6L261.4 327C261.8 333.6 258.3 339.7 252.4 342.6C246.5 345.4 239.4 344.4 234.6 339.9L175.1 286.1L117.4 339.9C112.6 344.4 105.5 345.4 99.63 342.6C93.73 339.7 90.15 333.6 90.62 327L96.21 247.6L17.55 235.4C11.08 234.4 5.868 229.6 4.41 223.2C2.951 216.8 5.538 210.1 10.94 206.4L76.5 161.3L37.01 92.18C33.76 86.49 34.31 79.39 38.39 74.27C42.48 69.14 49.28 67.03 55.55 68.93L131.7 92.05L161.1 18.09C163.6 11.1 169.4 7.1 175.1 7.1C182.6 7.1 188.4 11.1 190.9 18.09L220.3 92.05z"],
    "person-cane": [384, 512, [], "e53c", "M240 48C240 74.51 218.5 96 192 96C165.5 96 144 74.51 144 48C144 21.49 165.5 0 192 0C218.5 0 240 21.49 240 48zM232 480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V352H152V480C152 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480V256.9L59.43 304.5C50.33 319.6 30.67 324.5 15.52 315.4C.3696 306.3-4.531 286.7 4.573 271.5L62.85 174.6C80.2 145.7 111.4 128 145.1 128H181C209.6 128 236.7 140.7 254.9 162.7L328.6 251.6C339.9 265.2 338 285.3 324.4 296.6C310.8 307.9 290.7 306 279.4 292.4L232 235.3L232 480zM320 384C320 397.3 309.3 408 296 408C282.7 408 272 397.3 272 384V376C272 345.1 297.1 320 328 320C358.9 320 384 345.1 384 376V488C384 501.3 373.3 512 360 512C346.7 512 336 501.3 336 488V376C336 371.6 332.4 368 328 368C323.6 368 320 371.6 320 376V384z"],
    "person-carry-box": [384, 512, ["person-carry"], "f4cf", "M80 95.1c26.5 0 48-21.5 48-47.1c0-26.5-21.5-47.1-48-47.1S32 21.5 32 47.1C32 74.5 53.5 95.1 80 95.1zM352 95.1h-128c-17.6 0-32 14.4-32 32v95.1H166.6L133.3 162.2C122.3 141.1 100.5 127.1 76.75 127.1H48c-26.51 0-48 21.49-48 48v102.1c0 18.75 8.25 36.38 22.38 48.62l76 65.13l14.12 92.5c1 5.625 10.12 30.62 36.75 26.25c17.5-2.875 29.25-19.37 26.38-36.75l-14.12-92.5C159 367.4 151.4 353.9 140 344.1L96 306.4V228.1l22.96 42.96C124.5 281.5 135.4 287.1 147.2 287.1L352 287.1c17.6 0 32-14.4 32-32V127.1C384 110.4 369.6 95.1 352 95.1zM0 479.9c0 17.75 14.25 31.1 32 31.1s32-14.2 32-31.95v-74.54c-16-13.62-63.38-54.63-64-55.13V479.9z"],
    "person-chalkboard": [640, 512, [], "e53d", "M144 48C144 21.49 165.5 0 192 0C218.5 0 240 21.49 240 48C240 74.51 218.5 96 192 96C165.5 96 144 74.51 144 48zM152 512C134.3 512 120 497.7 120 480V256.9L91.43 304.5C82.33 319.6 62.67 324.5 47.52 315.4C32.37 306.3 27.47 286.7 36.58 271.5L94.85 174.6C112.2 145.7 143.4 128 177.1 128H320V48C320 21.49 341.5 .0003 368 .0003H592C618.5 .0003 640 21.49 640 48V272C640 298.5 618.5 320 592 320H368C341.5 320 320 298.5 320 272V224H384V256H576V64H384V128H400C417.7 128 432 142.3 432 160C432 177.7 417.7 192 400 192H264V480C264 497.7 249.7 512 232 512C214.3 512 200 497.7 200 480V352H184V480C184 497.7 169.7 512 152 512L152 512z"],
    "person-circle-check": [576, 512, [], "e53e", "M208 48C208 74.51 186.5 96 160 96C133.5 96 112 74.51 112 48C112 21.49 133.5 0 160 0C186.5 0 208 21.49 208 48zM152 352V480C152 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480V256.9L59.43 304.5C50.33 319.6 30.67 324.5 15.52 315.4C.3696 306.3-4.531 286.7 4.573 271.5L62.85 174.6C80.2 145.7 111.4 128 145.1 128H174.9C208.6 128 239.8 145.7 257.2 174.6L302.1 249.3C285.1 266.9 273.4 287.7 265.5 310.8C263.6 308.9 261.1 306.8 260.6 304.5L232 256.9V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V352L152 352zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM476.7 324.7L416 385.4L387.3 356.7C381.1 350.4 370.9 350.4 364.7 356.7C358.4 362.9 358.4 373.1 364.7 379.3L404.7 419.3C410.9 425.6 421.1 425.6 427.3 419.3L499.3 347.3C505.6 341.1 505.6 330.9 499.3 324.7C493.1 318.4 482.9 318.4 476.7 324.7H476.7z"],
    "person-circle-exclamation": [576, 512, [], "e53f", "M208 48C208 74.51 186.5 96 160 96C133.5 96 112 74.51 112 48C112 21.49 133.5 0 160 0C186.5 0 208 21.49 208 48zM152 352V480C152 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480V256.9L59.43 304.5C50.33 319.6 30.67 324.5 15.52 315.4C.3696 306.3-4.531 286.7 4.573 271.5L62.85 174.6C80.2 145.7 111.4 128 145.1 128H174.9C208.6 128 239.8 145.7 257.2 174.6L302.1 249.3C285.1 266.9 273.4 287.7 265.5 310.8C263.6 308.9 261.1 306.8 260.6 304.5L232 256.9V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V352L152 352zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 464C445.3 464 456 453.3 456 440C456 426.7 445.3 416 432 416C418.7 416 408 426.7 408 440C408 453.3 418.7 464 432 464zM415.1 288V368C415.1 376.8 423.2 384 431.1 384C440.8 384 447.1 376.8 447.1 368V288C447.1 279.2 440.8 272 431.1 272C423.2 272 415.1 279.2 415.1 288z"],
    "person-circle-minus": [576, 512, [], "e540", "M208 48C208 74.51 186.5 96 160 96C133.5 96 112 74.51 112 48C112 21.49 133.5 0 160 0C186.5 0 208 21.49 208 48zM152 352V480C152 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480V256.9L59.43 304.5C50.33 319.6 30.67 324.5 15.52 315.4C.3696 306.3-4.531 286.7 4.573 271.5L62.85 174.6C80.2 145.7 111.4 128 145.1 128H174.9C208.6 128 239.8 145.7 257.2 174.6L302.1 249.3C285.1 266.9 273.4 287.7 265.5 310.8C263.6 308.9 261.1 306.8 260.6 304.5L232 256.9V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V352L152 352zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM496 351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H496C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1z"],
    "person-circle-plus": [576, 512, [], "e541", "M208 48C208 74.51 186.5 96 160 96C133.5 96 112 74.51 112 48C112 21.49 133.5 0 160 0C186.5 0 208 21.49 208 48zM152 352V480C152 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480V256.9L59.43 304.5C50.33 319.6 30.67 324.5 15.52 315.4C.3696 306.3-4.531 286.7 4.573 271.5L62.85 174.6C80.2 145.7 111.4 128 145.1 128H174.9C208.6 128 239.8 145.7 257.2 174.6L302.1 249.3C285.1 266.9 273.4 287.7 265.5 310.8C263.6 308.9 261.1 306.8 260.6 304.5L232 256.9V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V352L152 352zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM448 303.1C448 295.2 440.8 287.1 432 287.1C423.2 287.1 416 295.2 416 303.1V351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H416V431.1C416 440.8 423.2 447.1 432 447.1C440.8 447.1 448 440.8 448 431.1V383.1H496C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1H448V303.1z"],
    "person-circle-question": [576, 512, [], "e542", "M208 48C208 74.51 186.5 96 160 96C133.5 96 112 74.51 112 48C112 21.49 133.5 0 160 0C186.5 0 208 21.49 208 48zM152 352V480C152 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480V256.9L59.43 304.5C50.33 319.6 30.67 324.5 15.52 315.4C.3696 306.3-4.531 286.7 4.573 271.5L62.85 174.6C80.2 145.7 111.4 128 145.1 128H174.9C208.6 128 239.8 145.7 257.2 174.6L302.1 249.3C285.1 266.9 273.4 287.7 265.5 310.8C263.6 308.9 261.1 306.8 260.6 304.5L232 256.9V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V352L152 352zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 464C445.3 464 456 453.3 456 440C456 426.7 445.3 416 432 416C418.7 416 408 426.7 408 440C408 453.3 418.7 464 432 464zM368 328C368 336.8 375.2 344 384 344C392.8 344 400 336.8 400 328V321.6C400 316.3 404.3 312 409.6 312H450.1C457.8 312 464 318.2 464 325.9C464 331.1 461.1 335.8 456.6 338.3L424.6 355.1C419.3 357.9 416 363.3 416 369.2V384C416 392.8 423.2 400 432 400C440.8 400 448 392.8 448 384V378.9L471.5 366.6C486.5 358.6 496 342.1 496 325.9C496 300.6 475.4 280 450.1 280H409.6C386.6 280 368 298.6 368 321.6V328z"],
    "person-circle-xmark": [576, 512, [], "e543", "M208 48C208 74.51 186.5 96 160 96C133.5 96 112 74.51 112 48C112 21.49 133.5 0 160 0C186.5 0 208 21.49 208 48zM152 352V480C152 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480V256.9L59.43 304.5C50.33 319.6 30.67 324.5 15.52 315.4C.3696 306.3-4.531 286.7 4.573 271.5L62.85 174.6C80.2 145.7 111.4 128 145.1 128H174.9C208.6 128 239.8 145.7 257.2 174.6L302.1 249.3C285.1 266.9 273.4 287.7 265.5 310.8C263.6 308.9 261.1 306.8 260.6 304.5L232 256.9V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V352L152 352zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM491.3 331.3C497.6 325.1 497.6 314.9 491.3 308.7C485.1 302.4 474.9 302.4 468.7 308.7L432 345.4L395.3 308.7C389.1 302.4 378.9 302.4 372.7 308.7C366.4 314.9 366.4 325.1 372.7 331.3L409.4 368L372.7 404.7C366.4 410.9 366.4 421.1 372.7 427.3C378.9 433.6 389.1 433.6 395.3 427.3L432 390.6L468.7 427.3C474.9 433.6 485.1 433.6 491.3 427.3C497.6 421.1 497.6 410.9 491.3 404.7L454.6 368L491.3 331.3z"],
    "person-digging": [576, 512, ["digging"], "f85e", "M272 95.93c26.5 0 47.99-21.47 47.99-47.97S298.5 0 272 0C245.5 0 224 21.47 224 47.97S245.5 95.93 272 95.93zM209.7 357.3c-25.75-17.25-52.25-33.24-79.5-48.11L58.62 270.2L1.246 471.1c-4.875 16.1 4.1 34.74 22 39.62s34.63-4.998 39.5-21.99l36.63-128.1l60.63 40.37v78.86c0 17.62 14.38 31.99 32 31.99s32-14.37 32-31.99l.0022-95.93C224 373.2 218.6 363.2 209.7 357.3zM311.1 416c-13.88 0-25.95 8.863-30.33 21.86l-24.75 74.07h319.9l-101.9-206.3c-11.38-22.49-43.1-23.63-56.1-2.01l-31.89 54.21l-65.26-35.64l-24-121.2C288.1 161.3 263.2 127.7 227.1 109.7c-1-.4999-2.125-.625-3.125-1.125c-2.25-1.125-4.752-1.1-7.252-2.625C201.5 99.85 185.2 95.98 168.7 95.98H95.1c-9.25 0-18.05 4.061-24.18 10.93l-55.95 63.92c-.75 .9998-1.5 2.124-2.25 3.249c-8.875 13.1-3 32.87 11.63 40.74l336.6 184.3l-9.837 16.87H311.1zM105.9 204.1l-23.5-12.87l28.13-32.12h34.38L105.9 204.1zM199.5 256.1l34.9-41.28l13.5 67.61L199.5 256.1z"],
    "person-dolly": [512, 512, [], "f4d0", "M331.2 360.6c2.25 8.502 11.13 13.63 19.63 11.25l117-31.26c8.502-2.251 13.5-11.13 11.25-19.63l-31.38-116.9c-2.376-8.502-11.13-13.63-19.63-11.25L311.1 224.1c-8.502 2.25-13.63 11.13-11.25 19.63L331.2 360.6zM0 479.1c0 17.75 14.25 32.01 32.01 32.01s32-14.25 32-31.1L64.01 405.5C48.01 391.8 .5001 350.8 0 350.3V479.1zM503.5 373.8c-1.125-4.251-5.501-6.752-9.752-5.627l-154.2 41.26c-9.752-12.88-24.25-21.88-40.88-24.51l-59.39-221.7C238.2 159 233.8 156.5 229.4 157.7L198.5 165.9C194.3 167 191.8 171.4 192.8 175.8l13 48.14L166.7 223.9L133.4 162.2C122.2 141.1 100.6 127.9 76.76 127.9h-28.75C21.49 127.9 0 149.4 0 175.9v103c0 18.75 8.25 36.38 22.38 48.63l76.01 65.14l14.13 92.51c1 5.626 10.12 30.63 36.76 26.25C166.8 508.6 178.5 492.1 175.6 474.7l-14.13-92.51c-2.501-14.88-10.13-28.38-21.5-38.13L96.01 306.3V228.1l22.96 42.97c5.566 10.41 16.41 16.92 28.22 16.92l75.6-.0183l29.01 107.9c-19.83 13.82-31.36 38.47-25.9 65.5c4.866 24.11 24.57 44.13 48.65 49.18c38.95 8.166 72.72-18.62 77.28-54.66l154.2-41.26c4.376-1.125 6.876-5.501 5.751-9.752L503.5 373.8zM288.7 463.1c-8.877 0-16-7.127-16-16c0-8.752 7.127-16 16-16c8.752 0 16 7.252 16 16C304.7 456.9 297.6 463.1 288.7 463.1zM80.01 96.01c26.51 0 48.01-21.5 48.01-48.01S106.6 0 80.01 0S32 21.5 32 48.01S53.5 96.01 80.01 96.01z"],
    "person-dolly-empty": [512, 512, [], "f4d1", "M0 479.1c0 17.75 14.25 32.01 32.01 32.01s32-14.25 32-31.1L64.01 405.5C48.01 391.8 .5001 350.8 0 350.3V479.1zM503.5 373.8c-1.125-4.251-5.501-6.752-9.752-5.627l-154.2 41.26c-9.752-12.88-24.25-21.88-40.88-24.51l-59.39-221.7C238.2 159 233.8 156.5 229.4 157.7L198.5 165.9C194.3 167 191.8 171.4 192.8 175.8l13 48.14L166.7 223.9L133.4 162.2C122.2 141.1 100.6 127.9 76.76 127.9h-28.75C21.49 127.9 0 149.4 0 175.9v103c0 18.75 8.25 36.38 22.38 48.63l76.01 65.14l14.13 92.51c1 5.626 10.12 30.63 36.76 26.25C166.8 508.6 178.5 492.1 175.6 474.7l-14.13-92.51c-2.501-14.88-10.13-28.38-21.5-38.13L96.01 306.3V228.1l22.96 42.97c5.566 10.41 16.41 16.92 28.22 16.92l75.6-.0183l29.01 107.9c-19.83 13.82-31.36 38.47-25.9 65.5c4.866 24.11 24.57 44.13 48.65 49.18c38.95 8.166 72.72-18.62 77.28-54.66l154.2-41.26c4.376-1.125 6.876-5.501 5.751-9.752L503.5 373.8zM288.7 463.1c-8.877 0-16-7.127-16-16c0-8.752 7.127-16 16-16c8.752 0 16 7.252 16 16C304.7 456.9 297.6 463.1 288.7 463.1zM80.01 96.01c26.51 0 48.01-21.5 48.01-48.01S106.6 0 80.01 0S32 21.5 32 48.01S53.5 96.01 80.01 96.01z"],
    "person-dots-from-line": [576, 512, ["diagnoses"], "f470", "M463.1 256c8.75 0 15.1-7.25 15.1-16S472.7 224 463.1 224c-8.75 0-15.1 7.25-15.1 16S455.2 256 463.1 256zM287.1 176c48.5 0 87.1-39.5 87.1-88S336.5 0 287.1 0S200 39.5 200 88S239.5 176 287.1 176zM80 256c8.75 0 15.1-7.25 15.1-16S88.75 224 80 224S64 231.3 64 240S71.25 256 80 256zM75.91 375.1c.6289-.459 41.62-29.26 100.1-50.05L176 432h223.1l-.0004-106.8c58.32 20.8 99.51 49.49 100.1 49.91C508.6 381.1 518.3 384 527.9 384c14.98 0 29.73-7 39.11-20.09c15.41-21.59 10.41-51.56-11.16-66.97c-1.955-1.391-21.1-14.83-51.83-30.85C495.5 279.2 480.7 288 463.1 288c-26.25 0-47.1-21.75-47.1-48c0-3.549 .4648-6.992 1.217-10.33C378.6 217.2 334.4 208 288 208c-59.37 0-114.1 15.01-160.1 32.67C127.6 266.6 106 288 80 288C69.02 288 58.94 284 50.8 277.7c-18.11 10.45-29.25 18.22-30.7 19.26c-21.56 15.41-26.56 45.38-11.16 66.97C24.33 385.5 54.3 390.4 75.91 375.1zM335.1 344c13.25 0 23.1 10.75 23.1 24s-10.75 24-23.1 24c-13.25 0-23.1-10.75-23.1-24S322.7 344 335.1 344zM240 248c13.25 0 23.1 10.75 23.1 24S253.3 296 240 296c-13.25 0-23.1-10.75-23.1-24S226.8 248 240 248zM559.1 464H16c-8.75 0-15.1 7.25-15.1 16l-.0016 16c0 8.75 7.25 16 15.1 16h543.1c8.75 0 15.1-7.25 15.1-16L575.1 480C575.1 471.3 568.7 464 559.1 464z"],
    "person-dress": [320, 512, ["female"], "f182", "M112 48C112 21.49 133.5 0 160 0C186.5 0 208 21.49 208 48C208 74.51 186.5 96 160 96C133.5 96 112 74.51 112 48zM88 384H70.2C59.28 384 51.57 373.3 55.02 362.9L93.28 248.1L59.43 304.5C50.33 319.6 30.67 324.5 15.52 315.4C.3696 306.3-4.531 286.7 4.573 271.5L58.18 182.3C78.43 148.6 114.9 128 154.2 128H165.8C205.1 128 241.6 148.6 261.8 182.3L315.4 271.5C324.5 286.7 319.6 306.3 304.5 315.4C289.3 324.5 269.7 319.6 260.6 304.5L226.7 248.1L264.1 362.9C268.4 373.3 260.7 384 249.8 384H232V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V384H152V480C152 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480L88 384z"],
    "person-dress-burst": [640, 512, [], "e544", "M527.1 48C527.1 74.51 506.5 96 479.1 96C453.5 96 431.1 74.51 431.1 48C431.1 21.49 453.5 0 479.1 0C506.5 0 527.1 21.49 527.1 48zM375 362.9L413.3 248.1L379.4 304.5C370.3 319.6 350.7 324.5 335.5 315.4C320.4 306.3 315.5 286.7 324.6 271.5L378.2 182.3C398.4 148.6 434.9 128 474.2 128H485.8C525.1 128 561.6 148.6 581.8 182.3L635.4 271.5C644.5 286.7 639.6 306.3 624.5 315.4C609.3 324.5 589.7 319.6 580.6 304.5L546.7 248.1L584.1 362.9C588.4 373.3 580.7 384 569.8 384H551.1V480C551.1 497.7 537.7 512 519.1 512C502.3 512 487.1 497.7 487.1 480V384H471.1V480C471.1 497.7 457.7 512 439.1 512C422.3 512 407.1 497.7 407.1 480V384H390.2C379.3 384 371.6 373.3 375 362.9L375 362.9zM220.3 92.05L296.4 68.93C302.7 67.03 309.5 69.14 313.6 74.27C317.7 79.39 318.2 86.49 314.1 92.18L275.5 161.3L330.7 199.3L306.3 239.8L255.8 247.6L261.4 327C261.8 333.6 258.3 339.7 252.4 342.6C246.5 345.4 239.4 344.4 234.6 339.9L175.1 286.1L117.4 339.9C112.6 344.4 105.5 345.4 99.63 342.6C93.73 339.7 90.15 333.6 90.62 327L96.21 247.6L17.55 235.4C11.08 234.4 5.868 229.6 4.41 223.2C2.951 216.8 5.538 210.1 10.94 206.4L76.5 161.3L37.01 92.18C33.76 86.49 34.31 79.39 38.39 74.27C42.48 69.14 49.28 67.03 55.55 68.93L131.7 92.05L161.1 18.09C163.6 11.1 169.4 7.1 175.1 7.1C182.6 7.1 188.4 11.1 190.9 18.09L220.3 92.05z"],
    "person-dress-simple": [256, 512, [], "e21c", "M207.1 194.8l48.23 168.8C258.3 373.8 250.6 384 239.1 384h-47.99L192 480c0 17.67-14.33 32-32 32H96c-17.67 0-32-14.33-32-32l-.0002-96H16.01c-10.63 0-18.3-10.17-15.38-20.4l48.23-168.8C54.74 174.2 73.57 160 95 160h65.99C182.4 160 201.3 174.2 207.1 194.8zM128 128c35.38 0 64-28.62 64-64S163.4 0 128 0S63.1 28.62 63.1 64S92.63 128 128 128z"],
    "person-drowning": [576, 512, [], "e545", "M191.1 96.16C191.1 148.8 226.1 195.4 276.3 211.4C316.3 224.2 358.1 225.1 399.1 216.6L504.9 192.8C522.1 188.9 539.3 199.7 543.2 216.9C547.1 234.1 536.3 251.3 519.1 255.2L414.1 279.1C403.6 281.5 392.9 283.3 382.2 284.5L364.5 382.1C350.9 378.9 337.2 372.7 324.8 364.1C302.8 348.6 273.3 348.6 251.2 364.1C234 375.9 213.2 384.5 192 384.5C184.7 384.5 177 383.3 169.2 381.2L190.2 234.5C151.5 200.1 127.1 150.2 127.1 96.16V64C127.1 46.33 142.3 32 159.1 32C177.7 32 191.1 46.33 191.1 64V96.16zM255.1 127.1C255.1 92.65 284.7 63.1 320 63.1C355.3 63.1 384 92.65 384 127.1C384 163.3 355.3 191.1 320 191.1C284.7 191.1 255.1 163.3 255.1 127.1zM384 416C410.9 416 439.4 405.2 461.4 389.9L461.5 389.9C473.4 381.4 489.5 382.1 500.7 391.6C515 403.5 533.2 412.6 551.3 416.8C568.5 420.8 579.2 438.1 575.2 455.3C571.2 472.5 553.1 483.2 536.7 479.2C512.2 473.4 491.9 462.6 478.5 454.2C449.5 469.7 417 480 384 480C352.1 480 323.4 470.1 303.6 461.1C297.7 458.5 292.5 455.8 288 453.4C283.5 455.8 278.3 458.5 272.4 461.1C252.6 470.1 223.9 480 192 480C158.1 480 126.5 469.7 97.5 454.2C84.12 462.6 63.79 473.4 39.27 479.2C22.06 483.2 4.853 472.5 .8422 455.3C-3.169 438.1 7.532 420.8 24.74 416.8C42.84 412.6 60.96 403.5 75.31 391.6C86.46 382.1 102.6 381.4 114.5 389.9L114.6 389.9C136.7 405.2 165.1 416 192 416C219.5 416 247 405.4 269.5 389.9C280.6 382 295.4 382 306.5 389.9C328.1 405.4 356.5 416 384 416H384z"],
    "person-falling": [448, 512, [], "e546", "M256 0C273.7 0 288 14.33 288 32V41.84C288 96.45 260.1 146.5 215.5 175.4L215.7 175.8L272.5 255.1H360C375.1 255.1 389.3 263.1 398.4 275.2L441.6 332.8C452.2 346.9 449.3 366.1 435.2 377.6C421.1 388.2 401 385.3 390.4 371.2L352 319.1H254.6L346.9 462.6C356.5 477.5 352.2 497.3 337.4 506.9C322.5 516.5 302.7 512.2 293.1 497.4L132.5 249.2C129.6 258.4 127.1 268.1 127.1 278.2V351.1C127.1 369.7 113.7 383.1 95.1 383.1C78.33 383.1 63.1 369.7 63.1 351.1V278.2C63.1 213 103.6 154.5 164.1 130.3C200.3 115.8 223.1 80.79 223.1 41.84V32C223.1 14.33 238.3 .0003 256 .0003L256 0zM32 80C32 53.49 53.49 32 80 32C106.5 32 128 53.49 128 80C128 106.5 106.5 128 80 128C53.49 128 32 106.5 32 80z"],
    "person-falling-burst": [640, 512, [], "e547", "M256 41.84C256 96.45 228.1 146.5 183.5 175.4L183.7 175.8L240.5 255.1H311.1C327.1 255.1 341.3 263.1 350.4 275.2L393.6 332.8C404.2 346.9 401.3 366.1 387.2 377.6C373.1 388.2 353 385.3 342.4 371.2L303.1 319.1H222.6L314.9 462.6C324.5 477.5 320.2 497.3 305.4 506.9C290.5 516.5 270.7 512.2 261.1 497.4L100.5 249.2C97.57 258.4 95.1 268.1 95.1 278.2V351.1C95.1 369.7 81.67 383.1 63.1 383.1C46.33 383.1 31.1 369.7 31.1 351.1V278.2C31.1 213 71.65 154.5 132.1 130.3C168.3 115.8 191.1 80.79 191.1 41.84V32C191.1 14.33 206.3 0 223.1 0C241.7 0 255.1 14.33 255.1 32L256 41.84zM96 79.1C96 106.5 74.51 127.1 48 127.1C21.49 127.1 0 106.5 0 79.1C0 53.49 21.49 31.1 48 31.1C74.51 31.1 96 53.49 96 79.1zM464 286.1L424.7 322.2C423.1 319.3 421.3 316.4 419.2 313.6L382.1 265.3L384.2 247.6L365.8 244.8C351.2 231.5 332.1 223.1 311.1 223.1H292.6C292.5 223.7 292.5 223.4 292.4 223.2C290.1 216.8 293.5 210.1 298.9 206.4L364.5 161.3L325 92.18C321.8 86.49 322.3 79.39 326.4 74.27C330.5 69.14 337.3 67.03 343.6 68.93L419.7 92.05L449.1 18.09C451.6 11.1 457.4 8 464 8C470.6 8 476.4 11.1 478.9 18.09L508.3 92.05L584.4 68.93C590.7 67.03 597.5 69.14 601.6 74.27C605.7 79.39 606.2 86.49 602.1 92.18L563.5 161.3L629.1 206.4C634.5 210.1 637 216.8 635.6 223.2C634.1 229.6 628.9 234.4 622.4 235.4L543.8 247.6L549.4 327C549.8 333.6 546.3 339.7 540.4 342.6C534.5 345.4 527.4 344.4 522.6 339.9L464 286.1z"],
    "person-from-portal": [512, 512, ["portal-exit"], "e023", "M480 223.1h-44.01l-26.1-53.25c-12.5-25.5-35.39-44.23-61.76-50.98l-71.1-21.13c-28.12-6.75-57.92-.4942-80.79 17.13l-39.71 30.47c-1.5 1.125-2.419 2.75-3.669 4.25C140.2 61.74 112.4 0 80 0C35.88 0 0 114.6 0 255.1s35.88 255.1 80 255.1c25.25 0 47.76-37.5 62.39-96h63.08c19.12 0 36.56-11.35 44.06-29.1l8.828-20.52l-10.64-6.273c-16.75-10-30-24.87-38-42.62l-14.84 34.51H154.1C158.1 320.1 160 288.1 160 255.1c0-20.25-.7227-39.77-2.223-58.64c11.25 7.875 26.35 8.39 37.72-.36L235.1 166.6c7.75-6 17.46-7.922 25.33-6.172l14.65 4.333L237.7 252.2C225.1 281.7 236.4 316.1 264 332.5l84.98 50.18L321.5 470.4c-5.25 16.87 4.086 34.86 20.96 40.11c16.88 5.25 34.71-4.069 40.09-20.94l31.68-101.1c5.875-21-3.042-43.26-21.67-54.38l-61.21-36.13l31.27-78.34l20.26 41.48c8.125 16.38 24.86 26.76 43.11 26.88H480c17.62 0 32-14.37 32-31.1C512 238.2 497.6 223.1 480 223.1zM368 96c26.5 0 48-21.5 48-47.1S394.5 0 368 0s-48.01 21.5-48.01 48S341.5 96 368 96z"],
    "person-half-dress": [320, 512, [], "e548", "M112 48C112 21.49 133.5 0 160 0C186.5 0 208 21.49 208 48C208 74.51 186.5 96 160 96C133.5 96 112 74.51 112 48zM168 128H174.9C208.6 128 239.8 145.7 257.2 174.6L315.4 271.5C324.5 286.7 319.6 306.3 304.5 315.4C289.3 324.5 269.7 319.6 260.6 304.5L232 256.9V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480L168 128zM58.18 182.3C78.06 149.2 113.5 128.8 152 128V480.2C151.9 497.8 137.6 512 120 512C102.3 512 88 497.7 88 480V384H70.2C59.28 384 51.57 373.3 55.02 362.9L93.28 248.1L59.43 304.5C50.33 319.6 30.67 324.5 15.52 315.4C.3696 306.3-4.531 286.7 4.573 271.5L58.18 182.3z"],
    "person-harassing": [576, 512, [], "e549", "M144 48C144 21.49 165.5 0 192 0C218.5 0 240 21.49 240 48C240 74.51 218.5 96 192 96C165.5 96 144 74.51 144 48V48zM15.52 315.4C.3696 306.3-4.531 286.7 4.573 271.5L62.85 174.6C80.2 145.7 111.4 128 145.1 128H181C209.6 128 236.7 140.7 254.9 162.7L328.6 251.6C339.9 265.2 338 285.3 324.4 296.6C310.8 307.9 290.7 306 279.4 292.4L232 235.3V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V352H152V480C152 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480V256.9L59.43 304.5C50.33 319.6 30.67 324.5 15.52 315.4H15.52zM480 240C480 266.5 458.5 288 432 288C405.5 288 384 266.5 384 240C384 213.5 405.5 192 432 192C458.5 192 480 213.5 480 240zM464 344C464 313.1 489.1 288 520 288C550.9 288 576 313.1 576 344V446.1C576 482.5 546.5 512 510.1 512C492.6 512 475.8 505.1 463.4 492.7L408.8 438L380.6 494.3C372.7 510.1 353.5 516.5 337.7 508.6C321.9 500.7 315.5 481.5 323.4 465.7L371.4 369.7C375.1 360.5 384.7 354.1 394.9 352.4C405 350.8 415.4 354.1 422.6 361.4L464 402.7V344zM288 48C288 39.16 295.2 32 304 32H360C368.8 32 376 39.16 376 48C376 56.84 368.8 64 360 64H304C295.2 64 288 56.84 288 48zM335.2 121.7C343.1 125.6 346.3 135.3 342.3 143.2C338.4 151.1 328.7 154.3 320.8 150.3L272.8 126.3C264.9 122.4 261.7 112.7 265.7 104.8C269.6 96.94 279.3 93.74 287.2 97.69L335.2 121.7z"],
    "person-hiking": [384, 512, ["hiking"], "f6ec", "M240 96c26.5 0 48-21.5 48-48S266.5 0 240 0C213.5 0 192 21.5 192 48S213.5 96 240 96zM80.01 287.1c7.31 0 13.97-4.762 15.87-11.86L137 117c.3468-1.291 .5125-2.588 .5125-3.866c0-7.011-4.986-13.44-12.39-15.13C118.4 96.38 111.7 95.6 105.1 95.6c-36.65 0-70 23.84-79.32 59.53L.5119 253.3C.1636 254.6-.0025 255.9-.0025 257.2c0 7.003 4.961 13.42 12.36 15.11L76.01 287.5C77.35 287.8 78.69 287.1 80.01 287.1zM368 160h-15.1c-8.875 0-15.1 7.125-15.1 16V192h-34.75l-46.75-46.75C243.4 134.1 228.6 128 212.9 128C185.9 128 162.5 146.3 155.9 172.5L129 280.3C128.4 282.8 128 285.5 128 288.1c0 8.325 3.265 16.44 9.354 22.53l86.62 86.63V480c0 17.62 14.37 32 31.1 32s32-14.38 32-32v-82.75c0-17.12-6.625-33.13-18.75-45.25l-46.87-46.88c.25-.5 .5-.875 .625-1.375l19.1-79.5l22.37 22.38C271.4 252.6 279.5 256 288 256h47.1v240c0 8.875 7.125 16 15.1 16h15.1C376.9 512 384 504.9 384 496v-320C384 167.1 376.9 160 368 160zM81.01 472.3c-.672 2.63-.993 5.267-.993 7.86c0 14.29 9.749 27.29 24.24 30.89C106.9 511.8 109.5 512 112 512c14.37 0 27.37-9.75 30.1-24.25l25.25-101l-52.75-52.75L81.01 472.3z"],
    "person-military-pointing": [512, 512, [], "e54a", "M366.7 1.443C376 .6658 384 8.027 384 17.39V47.1C384 56.84 376.8 63.1 368 63.1H216.1C203.2 63.1 192 52.81 192 39C192 25.1 201.1 15.17 214.9 14.09L366.7 1.443zM208 111.1C208 106.5 208.6 101.2 209.6 95.1H366.4C367.5 101.2 368 106.5 368 111.1C368 156.2 332.2 191.1 288 191.1C243.8 191.1 208 156.2 208 111.1V111.1zM313.2 223.1C327.6 223.1 341.6 226.3 354.9 230.5L192 393.4V303.1H40.01C17.92 303.1 .0077 286.1 .0077 263.1C.0077 241.9 17.92 223.1 40.01 223.1H313.2zM430.3 290.8L506.4 419.7C517.7 438.7 511.4 463.2 492.4 474.4C473.3 485.7 448.8 479.4 437.6 460.3L384 369.7V416H214.6L385.7 244.9C403.7 256.3 419.1 271.9 430.3 290.8V290.8zM384 448V480C384 497.7 369.7 512 352 512H224C206.3 512 192 497.7 192 480V448H384z"],
    "person-military-rifle": [448, 512, [], "e54b", "M128 39C128 25.1 137.1 15.17 150.9 14.09L302.7 1.443C312 .6658 320 8.027 320 17.39V47.1C320 56.84 312.8 63.1 304 63.1H152.1C139.2 63.1 128 52.81 128 39V39zM302.4 95.1C303.5 101.2 304 106.5 304 111.1C304 156.2 268.2 191.1 224 191.1C179.8 191.1 144 156.2 144 111.1C144 106.5 144.6 101.2 145.6 95.1H302.4zM373.6 460.3L320 369.7V480C320 481.3 319.9 482.5 319.8 483.8L145.5 234.9C162.1 227.8 180.2 223.1 198.8 223.1H249.2C265.1 223.1 280.6 226.8 295 231.9L389.9 67.71C382.2 63.3 379.6 53.51 384 45.86C388.4 38.21 398.2 35.58 405.9 40L433.6 56C441.2 60.42 443.8 70.21 439.4 77.86L383.1 173.9L385.6 174.9C400.9 183.7 406.1 203.3 397.3 218.6L360.6 282C362.6 284.9 364.5 287.8 366.3 290.8L442.4 419.7C453.7 438.7 447.4 463.2 428.4 474.4C409.3 485.7 384.8 479.4 373.6 460.3V460.3zM264 319.1C277.3 319.1 288 309.3 288 295.1C288 282.7 277.3 271.1 264 271.1C250.7 271.1 240 282.7 240 295.1C240 309.3 250.7 319.1 264 319.1zM160 512C142.3 512 128 497.7 128 480V369.7L74.44 460.3C63.21 479.4 38.68 485.7 19.66 474.4C.6381 463.2-5.669 438.7 5.569 419.7L81.7 290.8C91.06 274.1 103.4 261.5 117.7 250.8L299.1 510C295.6 511.3 291.9 512 288 512L160 512z"],
    "person-military-to-person": [512, 512, [], "e54c", "M182.2 .0998C191.7-.9534 200 6.466 200 16V30.13C200 38.91 192.9 46.05 184.1 46.13H72.74C63.48 46.04 56 38.52 56 29.24C56 20.64 62.47 13.41 71.02 12.46L182.2 .0998zM192 96C192 131.3 163.3 160 128 160C92.65 160 64 131.3 64 96C64 89.8 64.88 83.8 66.53 78.13H189.5C191.1 83.8 192 89.8 192 96V96zM32 256C32 237.2 40.09 220.3 52.97 208.6L197.2 319.6C195.5 319.9 193.8 320 192 320H64C46.33 320 32 305.7 32 288L32 256zM222.2 298.5L85.05 192.9C88.61 192.3 92.27 191.1 96 191.1H160C195.3 191.1 224 220.7 224 255.1V287.1C224 291.7 223.4 295.2 222.2 298.5V298.5zM320 96C320 60.65 348.7 31.1 384 31.1C419.3 31.1 448 60.65 448 96C448 131.3 419.3 160 384 160C348.7 160 320 131.3 320 96zM416 192C451.3 192 480 220.7 480 256V288C480 305.7 465.7 320 448 320H320C302.3 320 288 305.7 288 288V256C288 220.7 316.7 192 352 192H416zM151.8 506.1C141.8 514.8 126.7 513.8 117.9 503.8C109.2 493.8 110.2 478.7 120.2 469.9L136.1 456L23.1 455.1C10.74 455.1-.0003 445.2 0 431.1C.0003 418.7 10.75 407.1 24 407.1L136.1 408L120.2 394.1C110.2 385.3 109.2 370.2 117.9 360.2C126.7 350.2 141.8 349.2 151.8 357.9L215.8 413.9C221 418.5 224 425.1 224 431.1C224 438.9 221 445.5 215.8 450.1L151.8 506.1zM296.2 413.9L360.2 357.9C370.2 349.2 385.3 350.2 394.1 360.2C402.8 370.2 401.8 385.3 391.8 394.1L375.9 407.1L488 407.1C501.3 407.1 512 418.7 512 431.1C512 445.2 501.3 455.1 488 455.1L375.9 455.1L391.8 469.9C401.8 478.7 402.8 493.8 394.1 503.8C385.3 513.8 370.2 514.8 360.2 506.1L296.2 450.1C290.1 445.5 288 438.9 288 431.1C288 425.1 290.1 418.5 296.2 413.9H296.2z"],
    "person-pinball": [640, 512, [], "e21d", "M80 95.1c26.5 0 48-21.5 48-47.1c0-26.5-21.5-47.1-48-47.1S32 21.5 32 47.1C32 74.5 53.5 95.1 80 95.1zM0 352.1V480c0 17.67 14.33 32 32 32s32-14.33 32-32v-74.01l-61.52-51.27C1.551 353.9 .8945 352.9 0 352.1zM624 0h-96C519.2 0 512 7.162 512 16v42.81c0 3.439 .5547 6.855 1.643 10.12l40.79 122.4L253.8 244.1C249.3 232.8 237.8 224 224 224H163.8L129 154.5C120.8 138.2 104.4 128 86.13 128L48 127.1c-26.47 0-48 21.53-48 47.1V281C0 300 8.375 317.9 23.03 330.2L96 391V480c0 17.69 14.31 32 32 32s32-14.31 32-32v-89c0-19-8.375-36.91-23.03-49.19L96 307.7V231.5l19.38 38.78C120.8 281.2 131.9 288 144 288L192 287.1v208C192 504.8 199.2 512 208 512h32C248.8 512 256 504.8 256 496V384h320v112c0 8.836 7.164 16 16 16h32c8.836 0 16-7.164 16-15.1V16C640 7.162 632.8 0 624 0zM264 328c-13.25 0-24-10.75-24-24c0-13.26 10.75-24 24-24S288 290.7 288 304C288 317.3 277.3 328 264 328z"],
    "person-praying": [384, 512, [128720, "pray"], "f683", "M255.1 128c35.38 0 63.1-28.62 63.1-64s-28.62-64-63.1-64S191.1 28.62 191.1 64S220.6 128 255.1 128zM225.4 297.8c14 16.75 39 19.12 56.01 5.25l88.01-72c17-14 19.5-39.25 5.625-56.38c-14-17.12-39.25-19.5-56.38-5.625L261.3 216l-39-46.25c-15.38-18.38-39.13-27.88-64.01-25.38c-24.13 2.5-45.25 16.25-56.38 37l-49.38 92C29.13 317 43.88 369.8 86.76 397.1L131.5 432H40C17.88 432 0 449.9 0 472S17.88 512 40 512h208c34.13 0 53.76-42.75 28.25-68.25L166.4 333.9L201.3 269L225.4 297.8z"],
    "person-pregnant": [320, 512, [], "e31e", "M112 48C112 21.49 133.5 0 160 0C186.5 0 208 21.49 208 48C208 74.51 186.5 96 160 96C133.5 96 112 74.51 112 48zM88 382.1C74.2 379.4 64 366.9 64 352V296.9L59.43 304.5C50.33 319.6 30.67 324.5 15.52 315.4C.3696 306.3-4.531 286.7 4.573 271.5L62.85 174.6C77.84 149.6 103.2 133 131.5 128.1C135.6 128.3 139.8 128 144 128H160C161.4 128 162.8 128.1 164.1 128.3C199.8 131.2 229.5 157.6 236.2 193.3L242.3 225.7C286.6 234.3 320 273.2 320 320V352C320 369.7 305.7 384 288 384H232V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V384H152V480C152 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480L88 382.1z"],
    "person-rays": [512, 512, [], "e54d", "M304 48C304 74.51 282.5 96 256 96C229.5 96 208 74.51 208 48C208 21.49 229.5 0 256 0C282.5 0 304 21.49 304 48zM248 352V480C248 497.7 233.7 512 216 512C198.3 512 184 497.7 184 480V256.9L155.4 304.5C146.3 319.6 126.7 324.5 111.5 315.4C96.37 306.3 91.47 286.7 100.6 271.5L158.8 174.6C176.2 145.7 207.4 128 241.1 128H270.9C304.6 128 335.8 145.7 353.2 174.6L411.4 271.5C420.5 286.7 415.6 306.3 400.5 315.4C385.3 324.5 365.7 319.6 356.6 304.5L328 256.9V480C328 497.7 313.7 512 296 512C278.3 512 264 497.7 264 480V352L248 352zM7.029 7.029C16.4-2.343 31.6-2.343 40.97 7.029L120.1 87.03C130.3 96.4 130.3 111.6 120.1 120.1C111.6 130.3 96.4 130.3 87.03 120.1L7.029 40.97C-2.343 31.6-2.343 16.4 7.029 7.029V7.029zM471 7.029C480.4-2.343 495.6-2.343 504.1 7.029C514.3 16.4 514.3 31.6 504.1 40.97L424.1 120.1C415.6 130.3 400.4 130.3 391 120.1C381.7 111.6 381.7 96.4 391 87.03L471 7.029zM7.029 471L87.03 391C96.4 381.7 111.6 381.7 120.1 391C130.3 400.4 130.3 415.6 120.1 424.1L40.97 504.1C31.6 514.3 16.4 514.3 7.029 504.1C-2.343 495.6-2.343 480.4 7.029 471V471zM391 424.1C381.7 415.6 381.7 400.4 391 391C400.4 381.7 415.6 381.7 424.1 391L504.1 471C514.3 480.4 514.3 495.6 504.1 504.1C495.6 514.3 480.4 514.3 471 504.1L391 424.1z"],
    "person-rifle": [576, 512, [], "e54e", "M265.2 192C290.6 192 315 199.1 336 211.9V512H144V337.7L90.44 428.3C79.21 447.4 54.68 453.7 35.66 442.4C16.64 431.2 10.33 406.7 21.57 387.7L97.7 258.8C122.2 217.4 166.7 192 214.8 192L265.2 192zM320 80C320 124.2 284.2 160 240 160C195.8 160 160 124.2 160 80C160 35.82 195.8 .0003 240 .0003C284.2 .0003 320 35.82 320 80zM464 16V132.3C473.6 137.8 480 148.2 480 160V269.3L496 264V208C496 199.2 503.2 192 512 192H528C536.8 192 544 199.2 544 208V292.5C544 299.4 539.6 305.5 533.1 307.6L480 325.3V352H528C536.8 352 544 359.2 544 368V384C544 392.8 536.8 400 528 400H484L507 492.1C509.6 502.2 501.9 512 491.5 512H432C423.2 512 416 504.8 416 496V400H400C382.3 400 368 385.7 368 368V224C368 206.3 382.3 192 400 192V160C400 148.2 406.4 137.8 416 132.3V32C407.2 32 400 24.84 400 16C400 7.164 407.2 0 416 0H448C456.8 0 464 7.164 464 16V16z"],
    "person-running": [448, 512, [127939, "running"], "f70c", "M400 224h-44l-26.12-53.25c-12.5-25.5-35.38-44.25-61.75-51L197 98.63C189.5 96.84 181.1 95.97 174.5 95.97c-20.88 0-41.33 6.81-58.26 19.78L76.5 146.3C68.31 152.5 64.01 162 64.01 171.6c0 17.11 13.67 32.02 32.02 32.02c6.808 0 13.67-2.158 19.47-6.616l39.63-30.38c5.92-4.488 13.01-6.787 19.53-6.787c2.017 0 3.981 .2196 5.841 .6623l14.62 4.25l-37.5 87.5C154.1 260.3 152.5 268.8 152.5 277.2c0 22.09 11.49 43.52 31.51 55.29l85 50.13l-27.5 87.75c-.9875 3.174-1.458 6.388-1.458 9.55c0 13.65 8.757 26.31 22.46 30.58C265.6 511.5 268.9 512 272 512c13.62 0 26.25-8.75 30.5-22.5l31.75-101c1.211-4.278 1.796-8.625 1.796-12.93c0-16.57-8.661-32.51-23.55-41.44l-61.13-36.12l31.25-78.38l20.25 41.5C310.9 277.4 327.9 288 345.1 288H400c17.62 0 32-14.38 32-32C432 238.3 417.6 224 400 224zM288 96c26.5 0 48-21.5 48-48s-21.5-48-48-48s-48 21.5-48 48S261.5 96 288 96zM129.8 317.5L114.9 352H48c-17.62 0-32 14.38-32 32s14.38 32 32 32h77.5c19.25 0 36.5-11.5 44-29.12l8.875-20.5l-10.75-6.25C150.4 349.9 137.6 334.8 129.8 317.5z"],
    "person-seat": [384, 512, [], "e21e", "M144 96c26.51 0 48-21.49 48-48s-21.49-48-48-48S96 21.49 96 48S117.5 96 144 96zM352 416h-19.75l-12.5-99.97C317.8 300 304.1 288 288 288h-96V256h64c17.67 0 32-14.33 32-32c0-17.67-14.33-32-32-32h-64V176C192 149.5 170.5 128 144 128S96 149.5 96 176v128C96 330.5 117.5 352 144 352c1.826 0 3.559-.3398 5.332-.5391C150.3 351.5 151.1 352 152 352h107.8l12.5 99.97C274.3 467.1 287.9 480 304 480H352c17.67 0 32-14.31 32-32S369.7 416 352 416zM192 384H128c-35.3 0-64-28.72-64-64V160c0-17.69-14.33-32-32-32S0 142.3 0 160v160c0 70.59 57.42 128 128 128h64c17.67 0 32-14.31 32-32S209.7 384 192 384z"],
    "person-seat-reclined": [448, 512, [], "e21f", "M144 96c26.51 0 47.1-21.49 47.1-48S170.5 0 144 0C117.5 0 96.01 21.49 96.01 48S117.5 96 144 96zM416 416h-25.83l-40.2-107.3C345.3 296.3 333.3 288 320 288H221.8L215.8 256h80.17c17.67 0 31.1-14.33 31.1-32c0-17.67-14.33-32-31.1-32H203.8L199.2 167.2C194.3 141.1 169.3 123.9 143.2 128.8C117.1 133.7 99.94 158.8 104.8 184.8l23.1 128C133.1 335.9 153.3 352 175.1 352c1.82 0 3.685-.2969 5.539-.5059C182.4 351.6 183.1 352 184 352h113.8l40.2 107.3C342.7 471.7 354.7 480 368 480h47.1c17.67 0 31.1-14.31 31.1-32S433.7 416 416 416zM248 384H159.7c-30.78 0-57.23-21.97-62.91-52.22L63.46 154.1C60.19 136.7 43.52 125.3 26.11 128.6C8.739 131.8-2.698 148.5 .5523 165.9l33.31 177.7C45.21 404.1 98.11 448 159.7 448h88.34c17.67 0 31.1-14.31 31.1-32S265.7 384 248 384z"],
    "person-shelter": [512, 512, [], "e54f", "M495.9 132.2C505.8 137.9 512 148.5 512 160V480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480V178.6L256 68.86L64 178.6V480C64 497.7 49.67 512 32 512C14.33 512 0 497.7 0 480V160C0 148.5 6.153 137.9 16.12 132.2L240.1 4.216C249.1-1.405 262-1.405 271.9 4.216L495.9 132.2zM216 168C216 145.9 233.9 128 256 128C278.1 128 296 145.9 296 168C296 190.1 278.1 208 256 208C233.9 208 216 190.1 216 168zM224 512C210.7 512 200 501.3 200 488V313.5L173.1 363.4C166.8 375 152.3 379.4 140.6 373.1C128.1 366.8 124.6 352.3 130.9 340.6L168.7 270.3C184.1 241.8 213.9 223.1 246.2 223.1H265.8C298.1 223.1 327.9 241.8 343.3 270.3L381.1 340.6C387.4 352.3 383 366.8 371.4 373.1C359.7 379.4 345.2 375 338.9 363.4L312 313.5V488C312 501.3 301.3 512 288 512C274.7 512 264 501.3 264 488V400H248V488C248 501.3 237.3 512 224 512V512z"],
    "person-sign": [512, 512, [], "f757", "M143.1 96.03c26.5 0 47.1-21.5 47.1-48S170.4 .021 143.1 .021S96 21.53 96 48.03S117.5 96.03 143.1 96.03zM501.5 66.65l-67.7-24.63L439.2 27c3-8.25-1.25-17.5-9.498-20.5l-15-5.5c-8.375-2.999-17.5 1.25-20.5 9.625L388.7 25.65l-67.63-24.62c-8.375-2.999-17.5 1.219-20.5 9.594l-43.87 120.3c-3 8.375 1.375 17.5 9.625 20.5l67.62 24.62L320.1 212l-47.75-16L223.9 146.8C211.7 134.6 195.7 127.9 178.7 127.9H115.8c-24.37 0-46.28 13.6-57.16 35.35l-55.25 110.5c-7.875 15.75-1.5 35 14.38 42.88C22.25 318.9 27.25 320 31.1 320c11.75 0 23-6.5 28.62-17.75l19.38-38.63v54.75l-15.88 158.4c-1.75 17.62 11.16 33.38 28.66 35C93.78 511.9 94.91 512 95.91 512c16.25 0 30.09-12.25 31.84-28.75L140.9 352h15.38l35.75 71.5V480c0 17.75 14.25 32 31.1 32c17.75 0 32-14.25 32-32v-56.5c0-9.875-2.25-19.75-6.75-28.62l-41.12-82.5V221.3l19.1 20c7 7 15.62 12.25 25 15.5l46.13 15.38l-11.33 30.74c-3 8.375 1.331 17.51 9.706 20.51l14.92 5.495c8.25 3 17.5-1.25 20.5-9.625l46.15-126.9l67.65 24.63c8.375 3 17.5-1.25 20.5-9.625l43.66-120.2C514.1 78.77 509.7 69.77 501.5 66.65z"],
    "person-simple": [256, 512, [], "e220", "M160 160H96C60.65 160 32 188.7 32 224v96c0 17.67 14.33 32 32 32v128c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-128c17.67 0 32-14.33 32-32V224C224 188.7 195.3 160 160 160zM128 128c35.38 0 64-28.62 64-64s-28.62-64-64-64S64 28.62 64 64S92.63 128 128 128z"],
    "person-skating": [448, 512, ["skating"], "f7c5", "M399.1 0c-26.5 0-48.01 21.5-48.01 48S373.5 96 399.1 96C426.5 96 448 74.5 448 48S426.5 0 399.1 0zM399.1 448c-8.751 0-16 7.25-16 16S376.7 480 367.1 480h-96.01c-8.751 0-16 7.25-16 16s7.251 16 16 16h96.01c26.5 0 48.01-21.5 48.01-48C415.1 455.2 408.7 448 399.1 448zM129.1 451.9c-11.34 0-11.19 9.36-22.65 9.36c-4.074 0-8.163-1.516-11.21-4.625l-67.98-67.89c-3.063-3.125-7.165-4.688-11.27-4.688c-4.102 0-8.204 1.562-11.27 4.688C1.562 391.8-.0001 395.9-.0001 400s1.562 8.203 4.688 11.27l67.88 67.98c9.376 9.375 21.59 14 33.96 14c13.23 0 38.57-8.992 38.57-25.36C145.1 456.7 135.2 451.9 129.1 451.9zM173.8 276.8L80.2 370.5c-6.251 6.25-9.376 14.44-9.376 22.62c0 24.75 22.57 32 31.88 32c8.251 0 16.5-3.125 22.63-9.375l91.89-92l-30.13-30.12C182.1 288.6 177.7 282.9 173.8 276.8zM127.1 160h105.5L213.3 177.3c-21.18 18.04-22.31 41.73-22.31 48.65c0 16.93 6.8 33.22 18.68 45.1l78.26 78.25V432c0 17.75 14.25 32 32 32s32-14.25 32-32v-89.38c0-12.62-5.126-25-14.13-33.88l-61.01-61c.5001-.5 1.25-.625 1.75-1.125l82.26-82.38c7.703-7.702 11.76-17.87 11.76-28.25c0-22.04-17.86-39.97-40.01-39.97L127.1 96C110.2 96 95.96 110.2 95.96 128S110.2 160 127.1 160z"],
    "person-ski-jumping": [512, 512, ["ski-jump"], "f7c7", "M511.1 205.7c0-.123 .0637-1.108 .0637-2.631c0-8.22-1.819-32.1-25.06-32.1c-14.39 0-24.08 11.89-24.08 24.11c0 4.125 1.002 5.679 1.002 11.84c0 16.55-8.896 32.33-22.71 40.21l-267.2 137.4l44.88-108.1l121.4-110.5c7.697-7.696 11.78-17.87 11.78-28.25c0-21.4-17.35-40-40.04-40L127.1 96.01c-17.75 0-32 14.24-32 31.99S110.2 160 127.1 160h97.5l-58.88 76.48c-3.463 4.49-62.62 144.3-62.62 155.3c0 8.621 3.519 16.93 9.734 22.89l-100.7 52.04c-8.224 4.199-12.95 12.58-12.95 21.26C-.0002 500.4 9.903 512 24.06 512c3.625 0 7.473-.8581 10.97-2.733l429.2-220.9C494.1 271.4 511.1 239.4 511.1 205.7zM399.1 96c26.5 0 48-21.5 48-48S426.5 0 399.1 0c-26.5 0-48 21.5-48 48S373.5 96 399.1 96z"],
    "person-ski-lift": [512, 512, ["ski-lift"], "f7c8", "M111.1 127.1c26.5 0 48.01-21.49 48.01-47.99S138.5 31.99 111.1 31.99S63.96 53.48 63.96 79.98S85.47 127.1 111.1 127.1zM255.1 0H223.1L223.1 183.9L255.1 175.9L255.1 0zM488 287.1c-13.25 0-23.1 10.67-23.1 23.92c0 13.88-8.769 26.51-21.77 31.26l-122.4 45.32l.0001-140.5c0-9.875-4.546-19.17-12.3-25.17c-5.751-4.381-12.61-6.779-19.64-6.779c-2.597 0-5.287 .3306-7.851 1.005L211.8 234L187.7 180.3C179.7 162.6 162.2 152 143.9 152c-37.52 0-48.03 34.49-48.03 48.03c0 6.599 1.352 13.29 4.266 19.71c0 0 26.92 65.9 27.79 68.03c6.541 15.88 17.89 24.41 31.3 24.41c2.737 0 5.583-.3623 8.466-1.083l88.2-22.11v123.2l-144.3 53.2c-9.739 3.603-15.76 12.84-15.76 22.58C95.89 500.8 106.4 512 119.9 512c2.75 0 5.689-.4998 8.315-1.5l330.6-122.2C490.7 376.6 512 345.7 512 311.9C512 298.6 501.3 287.1 488 287.1zM191.6 381.3c10.08-3.291 16.43-12.66 16.43-22.71c0-13.15-10.52-24.15-23.99-24.15c-2.543 0-5.097 .3971-7.661 1.252l-18.39 6.231c-4.151 1.393-8.397 2.053-12.59 2.053c-14.1 0-29.31-8.517-36.15-22.78L45.69 188.2C41.55 179.6 32.98 174.6 24.02 174.6c-12.58 0-24.02 10.12-24.02 24.05c0 3.455 .7557 6.966 2.321 10.3l63.64 132.1c15 31.25 46.38 49.99 79.51 49.99C158.1 391.9 162.5 391 191.6 381.3z"],
    "person-skiing": [512, 512, [9975, "skiing"], "f7c9", "M432.1 96.02c26.51 0 47.99-21.5 47.99-48.01S458.6 0 432.1 0s-47.98 21.5-47.98 48.01S405.6 96.02 432.1 96.02zM511.1 469.1c0-13.98-11.33-23.95-23.89-23.95c-18.89 0-19.23 19.11-46.15 19.11c-5.476 0-10.87-1.081-15.87-3.389l-135.8-70.26l49.15-73.82c5.446-8.116 8.09-17.39 8.09-26.63c0-12.4-4.776-24.73-14.09-33.9l-40.38-40.49l-106.1-53.1C185.6 165.8 185.4 169 185.4 172.2c0 16.65 6.337 32.78 18.42 44.86l75.03 75.21l-45.88 68.76L34.97 258.8C31.44 257 27.64 256.1 23.93 256.1C9.675 256.1 0 267.8 0 280.1c0 8.673 4.735 17.04 12.96 21.24l392 202.6c11.88 5.501 24.45 8.119 37.08 8.119C480.1 512 511.1 486.7 511.1 469.1zM119.1 91.65L108.5 114.2C114.2 117 120.2 118.4 126.2 118.4c9.153 0 18.1-3.2 25.06-9.102l47.26 23.51c-.125 0-.125 .125-.2501 .25l114.5 56.76l32.51-13l6.376 19.13c4.001 12.13 12.63 22.01 24 27.76l58.14 28.1c4.609 2.287 9.455 3.355 14.26 3.355c18.8 0 31.98-15.43 31.98-31.93c0-11.74-6.461-23.1-17.74-28.7l-52.03-26.1l-17.12-51.15C386.6 98.69 364.2 73.99 333.1 73.99c-7.658 0-15.82 1.504-24.43 4.934L227.4 111.3L164.9 80.33c.009-.3461 .0134-.692 .0134-1.038c0-14.13-7.468-27.7-20.89-34.53L132.9 66.45L98.17 59.43C97.83 59.36 97.53 59.35 97.19 59.35c-2.666 0-5.276 2.177-5.276 5.273c0 1.473 .648 2.936 1.81 3.961L119.1 91.65z"],
    "person-skiing-nordic": [576, 512, ["skiing-nordic"], "f7ca", "M336 96C362.5 96 384 74.5 384 48S362.5 0 336 0S288 21.5 288 48S309.5 96 336 96zM552 416c-13.25 0-24 10.75-24 24s-10.75 24-24 24h-69.5L460 285.6c11.75-4.75 20.04-16.31 20.04-29.69c0-17.75-14.38-31.95-32.01-31.95l-43.9-.0393l-26.11-53.22c-12.5-25.5-35.5-44.12-61.75-50.87l-71.22-21.15c-7.475-1.819-15.08-2.693-22.59-2.693c-20.86 0-41.25 6.854-58.16 19.72L124.6 146.2C116.3 152.5 111.1 161.1 111.1 171.6c0 14.71 8.712 21.23 9.031 21.6L66.88 464H24C10.75 464 0 474.8 0 488S10.75 512 24 512h480c39.75 0 72-32.25 72-72C576 426.8 565.3 416 552 416zM291.6 463.9H194.7l43.1-90.97l-21.99-12.1c-12.13-7.25-21.99-16.89-29.49-27.77l-62.48 131.7L99.5 464l52.25-261.4c4.125-1 8.112-2.846 11.74-5.596l39.81-30.45c5.821-4.485 12.86-6.771 19.38-6.771c2.021 0 4.015 .212 5.878 .6556l14.73 4.383L205.8 252.2C202.3 260.3 200.7 268.9 200.7 277.3c0 22.06 11.42 43.37 31.41 55.22l84.97 50.15L291.6 463.9zM402.1 464l-43.58-.125l23.6-75.48c1.221-4.314 1.805-8.69 1.805-13.03c0-16.53-8.558-32.43-23.41-41.34l-61.21-36.1l31.32-78.23l20.26 41.36c8 16.25 24.86 26.89 43.11 26.89L427.3 288L402.1 464z"],
    "person-sledding": [512, 512, ["sledding"], "f7cb", "M512 437.1c0-13.89-11.25-23.97-23.91-23.97c-18.93 0-19.21 19.1-46.18 19.1c-5.48 0-10.88-1.081-15.88-3.389l-49.12-25.42c4.251-5.375 7.232-11.85 7.232-19.35l-.0003-96.02c0-17.75-14.37-32-32-32h-50.86l46.12-46.12c9.241-9.156 14.07-21.4 14.07-33.81c0-26.1-21.05-48.08-47.95-48.08H160c-17.75 0-32 14.25-32 32s14.25 32 32 32h82.78L169.4 265.4C168.2 266.5 160.4 274.1 160.4 286.8c0 1.616 .1068 3.249 .2942 4.898L34.98 226.7c-3.512-1.793-7.311-2.678-11.02-2.678c-14.1 0-23.97 11.47-23.97 23.99c0 8.709 4.747 17.09 12.98 21.3l391.9 202.6c11.88 5.5 24.47 8.117 37.1 8.117C480.9 480 512 454.9 512 437.1zM320 374L215.6 320l104.5 .02V374zM400 128c26.51 0 48.01-21.5 48.01-48S426.5 32 400 32c-26.51 0-48.01 21.5-48.01 48S373.5 128 400 128z"],
    "person-snowboarding": [512, 512, [127938, "snowboarding"], "f7ce", "M460.7 249.6c5.877 4.25 12.47 6.393 19.22 6.393c10.76 0 32.05-8.404 32.05-31.97c0-9.74-4.422-19.36-12.8-25.65l-111.5-83.48c-13.75-10.25-29.04-18.42-45.42-23.79l-63.66-21.23l-26.12-52.12c-5.589-11.17-16.9-17.64-28.63-17.64c-17.8 0-31.99 14.47-31.99 32.01c0 4.803 1.086 9.674 3.374 14.25l29.12 58.12c5.75 11.38 15.55 19.85 27.67 23.98l16.45 5.522L227.3 154.6C205.5 165.5 191.9 187.4 191.9 211.8L191.9 264.9L117.8 289.6C104.4 294.1 95.95 306.5 95.95 319.9c0 12.05 6.004 19.05 10.33 23.09l-38.68-14.14C41.23 319.4 49.11 295 23.97 295c-18.67 0-23.97 17.16-23.97 24.09c0 8.553 13.68 41.32 51.13 54.88l364.1 132.8C425.7 510.2 435.7 512 445.7 512c12.5 0 24.97-2.732 36.47-8.232c8.723-3.997 13.85-12.71 13.85-21.77c0-18.67-17.15-23.96-24.06-23.96c-3.375 0-6.73 .7505-9.998 2.248c-5.111 2.486-10.64 3.702-16.21 3.702c-4.511 0-9.049-.7978-13.41-2.364l-90.68-33.12c8.625-4.125 15.53-11.76 17.78-21.89l21.88-101.1c.7086-3.335 1.05-6.668 1.05-10c0-14.91-6.906-29.31-19.17-38.4l-52.01-39l66.01-30.5L460.7 249.6zM316.3 301.3l-19.66 92c-.4205 1.997-.5923 3.976-.5923 5.911c0 4.968 1.264 9.691 3.333 14.01l-169.5-61.49c2.625-.25 5.492-.4448 8.117-1.32l85-28.38c19.63-6.5 32.77-24.73 32.77-45.48l0-20.53L316.3 301.3zM431.9 95.99c26.5 0 48-21.5 48-47.1S458.4 0 431.9 0s-48 21.5-48 47.1S405.4 95.99 431.9 95.99z"],
    "person-snowmobiling": [640, 512, ["snowmobile"], "f7d1", "M191.1 48C191.1 21.49 213.5 0 239.1 0C266.5 0 287.1 21.49 287.1 48C287.1 74.51 266.5 96 239.1 96C213.5 96 191.1 74.51 191.1 48zM419.8 177.9L567.2 251.6C572.6 254.3 576 259.8 576 265.9V343.4C576 348.8 573.3 353.8 568.9 356.7L500 402.7L546 464H566.1L599 431C608.4 421.7 623.6 421.7 632.1 431C642.3 440.4 642.3 455.6 632.1 464.1L592.1 504.1C588.5 509.5 582.4 512 576 512H440C426.7 512 416 501.3 416 488C416 474.7 426.7 464 440 464H486L450 416H336C321.4 396.6 298.2 384 271.1 384H47.1C43.83 384 39.74 384.3 35.75 384.9C35.6 379.9 36.66 374.7 39.15 369.7L71.15 305.7C76.58 294.8 87.66 288 99.78 288H111.1C97.35 268.5 95.29 242.2 106.7 220.6L141.1 154.1C153.1 133.1 174.8 120 198.5 120H199.4C215.3 120 230.5 125.9 242.3 136.4L304 192H360L367.9 181.5L330.5 106.7C324.6 94.88 329.4 80.46 341.3 74.53C353.1 68.61 367.5 73.41 373.5 85.27L419.8 177.9zM253.3 237.3L223.1 208L191.1 256L263.1 288H287.1L311.1 256H298.5C281.5 256 265.3 249.3 253.3 237.3H253.3zM272 416C298.5 416 320 437.5 320 464C320 490.5 298.5 512 272 512H48C21.49 512 0 490.5 0 464C0 437.5 21.49 416 48 416H272z"],
    "person-swimming": [576, 512, [127946, "swimmer"], "f5c4", "M192.4 320c63.38 0 54.09-39.67 95.33-40.02c42.54 .3672 31.81 40.02 95.91 40.02c39.27 0 55.72-18.41 62.21-24.83l-140.4-116.1c3.292-1.689 31.66-18.2 75.25-18.2c12.57 0 25.18 1.397 37.53 4.21l38.59 8.844c2.412 .5592 4.824 .8272 7.2 .8272c15.91 0 31.96-12.81 31.96-32.04c0-14.58-10.03-27.77-24.84-31.16l-38.59-8.844c-17.06-3.904-34.46-5.837-51.81-5.837c-120.1 0-177.4 85.87-178.1 88.02L179.1 213.3C158.1 241.3 147.4 273.8 145 307.7C157.5 315.4 174.3 320 192.4 320zM576 397c0-15.14-10.82-28.59-26.25-31.42c-48.52-8.888-45.5-29.48-69.6-29.48c-25.02 0-31.19 31.79-96.18 31.79c-48.59 0-72.72-22.06-73.38-22.62c-6.141-6.157-14.26-9.188-22.42-9.188c-24.75 0-31.59 31.81-96.2 31.81c-48.59 0-72.69-22.03-73.41-22.59c-6.125-6.157-14.3-9.245-22.46-9.245c-8.072 0-16.12 3.026-22.38 8.901c-29.01 26.25-73.75 12.54-73.75 52.08c0 16.08 12.77 32.07 31.71 32.07c9.77 0 39.65-7.34 64.26-21.84C115.5 418.8 147.4 431.1 192 431.1s76.5-13.12 96-24.66c19.53 11.53 51.47 24.59 96 24.59c44.59 0 76.56-13.09 96.06-24.62c24.71 14.57 54.74 21.83 64.24 21.83C563.2 429.1 576 413.3 576 397zM95.1 224c35.35 0 64-28.65 64-64c0-35.35-28.65-64-64-64s-64 28.65-64 64C31.1 195.3 60.65 224 95.1 224z"],
    "person-through-window": [640, 512, [], "e5a9", "M191.1 128C191.1 154.5 170.5 176 143.1 176C117.5 176 95.1 154.5 95.1 128C95.1 101.5 117.5 80 143.1 80C170.5 80 191.1 101.5 191.1 128zM385 336H310.5L394.6 462.2C404.4 476.1 400.5 496.8 385.8 506.6C371 516.4 351.2 512.5 341.4 497.8L308.2 448H48C21.49 448 0 426.5 0 400V48C0 21.49 21.49 0 48 0H592C618.5 0 640 21.49 640 48V400C640 426.5 618.5 448 592 448H421.9L379.2 384H425L385 336zM63.1 64V384H127.1C127.1 384 127.1 384 127.1 384V310.2C127.1 245 167.6 186.5 228.1 162.3C264.3 147.8 287.1 112.8 287.1 73.84V64H63.1zM352 64V73.84C352 128.5 324.1 178.5 279.5 207.4C279.8 207.9 280.1 208.4 280.4 208.9L321.4 271.1H392.5C406.8 271.1 420.3 278.3 429.4 289.3L508.3 384H576V64H352zM265.5 384L196.7 280.7C193.6 290 191.1 299.1 191.1 310.2V383.1C191.1 383.1 191.1 384 191.1 383.1L265.5 384z"],
    "person-to-door": [640, 512, [58704], "e433", "M304 95.1c26.5 0 48-21.5 48-47.1S330.5 0 304 0S256 21.5 256 47.1S277.5 95.1 304 95.1zM560 0h-96C437.5 0 416 21.5 416 47.1v175.1h-44.22l-26.97-53.95c-11.68-23.36-32.32-40.93-57.25-48.7L219.8 100.2c-31.9-9.984-66.69-2.625-91.84 19.39L90.94 151.9C77.63 163.5 76.29 183.8 87.9 197.1c11.65 13.28 31.87 14.62 45.18 3.008l36.99-32.38c8.352-7.293 19.87-9.758 30.46-6.525l-30.95 92.8c-9.344 28.03 1.729 58.85 26.82 74.49l86.21 53.88l-25.41 88.83c-4.832 16.99 4.992 34.72 21.98 39.58c16.99 4.832 34.72-4.992 39.58-21.98l28.67-100.4c5.887-20.57-2.561-42.56-20.71-53.88L270 299l28.99-77.37L318.9 261.5c8.129 16.26 24.77 26.53 42.95 26.53H416v175.1c0 26.5 21.5 48 48 48h96c26.5 0 48-21.5 48-48V47.1C608 21.5 586.5 0 560 0zM145.5 319.1l-14.4 32.9H64c-17.66 0-32 14.34-32 31.1c0 17.66 14.34 32 32 32h77.54c19.07 0 36.32-11.3 43.97-28.77l9.568-21.86l-15.62-9.76C164.7 346.4 153.2 333.7 145.5 319.1z"],
    "person-to-portal": [512, 512, ["portal-enter"], "e022", "M431.1 0c-40.75 0-74.41 97.74-79.28 223.1l-12.73 .0023l-26.1-53.25c-12.5-25.5-35.39-44.23-61.76-50.98L181 98.64C152.9 91.89 123.1 98.14 100.2 115.8l-39.71 30.47c-14 10.75-16.64 30.74-5.891 44.87c10.75 14 30.87 16.64 44.87 5.891L139.1 166.6c7.75-6 17.54-7.922 25.29-6.172l14.69 4.333L141.7 252.2c-12.63 29.5-1.312 63.9 26.31 80.27l84.98 50.18L225.5 470.4c-5.25 16.87 4.083 34.86 20.96 40.11c16.88 5.25 34.8-4.069 40.05-20.94l31.72-101.1c5.875-21-2.959-43.26-21.71-54.38L235.3 297.1l31.31-78.34l20.26 41.48c8.125 16.38 24.87 26.76 43.11 26.88l22.72-.0029c4.875 126.2 38.54 224 79.29 224C476.1 511.1 512 397.4 512 255.1S476.1 0 431.1 0zM272 96c26.5 0 48-21.5 48-47.1S298.5 0 272 0S224 21.5 224 48S245.5 96 272 96zM113.6 317.5L98.86 351.1l-66.87 .002C14.36 351.1 0 366.3 0 384c0 17.62 14.36 31.99 31.99 31.99l77.47-.002c19.12 0 36.56-11.35 44.06-29.1l8.828-20.52l-10.64-6.273C134.1 350.1 121.8 335.2 113.6 317.5z"],
    "person-walking": [320, 512, [128694, "walking"], "f554", "M256 48C256 74.51 234.5 96 208 96C181.5 96 160 74.51 160 48C160 21.49 181.5 0 208 0C234.5 0 256 21.49 256 48zM126.5 199.3C125.6 199.7 124.6 200.1 123.7 200.5L112.7 205.4C97.41 212.2 85.42 224.6 79.22 240.1L77.71 243.9C71.15 260.3 52.53 268.3 36.12 261.7C19.71 255.1 11.73 236.5 18.29 220.1L19.8 216.3C32.19 185.4 56.18 160.5 86.66 146.9L97.66 142C118.5 132.8 140.1 128 163.7 128C208.3 128 248.5 154.8 265.6 195.9L280.1 232.7L302.3 243.4C318.1 251.3 324.5 270.5 316.6 286.3C308.7 302.1 289.5 308.5 273.7 300.6L247 287.3C236.7 282.1 228.6 273.4 224.2 262.8L214.6 239.8L195.3 305.3L244.8 359.4C250.2 365.3 254.1 372.4 256 380.2L279 472.2C283.3 489.4 272.9 506.8 255.8 511C238.6 515.3 221.2 504.9 216.1 487.8L194.9 399.6L124.3 322.5C109.5 306.4 103.1 283.9 109.6 262.8L126.5 199.3zM68.73 398L93.69 335.6C95.84 338.6 98.16 341.4 100.7 344.2L141.4 388.6L126.9 424.8C124.5 430.9 120.9 436.4 116.3 440.9L54.63 502.6C42.13 515.1 21.87 515.1 9.372 502.6C-3.124 490.1-3.124 469.9 9.372 457.4L68.73 398z"],
    "person-walking-arrow-loop-left": [640, 512, [], "e551", "M160 48C160 21.49 181.5 0 208 0C234.5 0 256 21.49 256 48C256 74.51 234.5 96 208 96C181.5 96 160 74.51 160 48V48zM112.7 205.4C97.41 212.2 85.42 224.6 79.22 240.1L77.71 243.9C71.15 260.3 52.53 268.3 36.12 261.7C19.71 255.1 11.73 236.5 18.29 220.1L19.8 216.3C32.19 185.4 56.18 160.5 86.66 146.9L97.66 142C118.5 132.8 140.1 128 163.7 128C208.3 128 248.5 154.8 265.6 195.9L280.1 232.7L302.3 243.4C318.1 251.3 324.5 270.5 316.6 286.3C308.7 302.1 289.5 308.5 273.7 300.6L247 287.3C236.7 282.1 228.6 273.4 224.2 262.8L214.6 239.8L195.3 305.3L244.8 359.4C250.2 365.3 254.1 372.4 256 380.2L279 472.2C283.3 489.4 272.9 506.8 255.8 511C238.6 515.3 221.2 504.9 216.1 487.8L194.9 399.6L124.3 322.5C109.5 306.4 103.1 283.9 109.6 262.8L126.5 199.3C125.6 199.7 124.6 200.1 123.7 200.5L112.7 205.4zM100.7 344.2L141.4 388.6L126.9 424.8C124.5 430.9 120.9 436.4 116.3 440.9L54.63 502.6C42.13 515.1 21.87 515.1 9.372 502.6C-3.124 490.1-3.124 469.9 9.372 457.4L68.73 398L93.69 335.6C95.84 338.6 98.17 341.4 100.7 344.2H100.7zM361.4 374.6C348.9 362.1 348.9 341.9 361.4 329.4L441.4 249.4C453.9 236.9 474.1 236.9 486.6 249.4C499.1 261.9 499.1 282.1 486.6 294.6L461.3 320H480C533 320 576 277 576 224C576 170.1 533 128 480 128H352C334.3 128 319.1 113.7 319.1 96C319.1 78.33 334.3 64 352 64H480C568.4 64 640 135.6 640 224C640 312.4 568.4 384 480 384H461.3L486.6 409.4C499.1 421.9 499.1 442.1 486.6 454.6C474.1 467.1 453.9 467.1 441.4 454.6L361.4 374.6z"],
    "person-walking-arrow-right": [640, 512, [], "e552", "M160 48C160 21.49 181.5 0 208 0C234.5 0 256 21.49 256 48C256 74.51 234.5 96 208 96C181.5 96 160 74.51 160 48V48zM112.7 205.4C97.41 212.2 85.42 224.6 79.22 240.1L77.71 243.9C71.15 260.3 52.53 268.3 36.12 261.7C19.71 255.1 11.73 236.5 18.29 220.1L19.8 216.3C32.19 185.4 56.18 160.5 86.66 146.9L97.66 142C118.5 132.8 140.1 128 163.7 128C208.3 128 248.5 154.8 265.6 195.9L280.1 232.7L302.3 243.4C318.1 251.3 324.5 270.5 316.6 286.3C308.7 302.1 289.5 308.5 273.7 300.6L247 287.3C236.7 282.1 228.6 273.4 224.2 262.8L214.6 239.8L195.3 305.3L244.8 359.4C250.2 365.3 254.1 372.4 256 380.2L279 472.2C283.3 489.4 272.9 506.8 255.8 511C238.6 515.3 221.2 504.9 216.1 487.8L194.9 399.6L124.3 322.5C109.5 306.4 103.1 283.9 109.6 262.8L126.5 199.3C125.6 199.7 124.6 200.1 123.7 200.5L112.7 205.4zM100.7 344.2L141.4 388.6L126.9 424.8C124.5 430.9 120.9 436.4 116.3 440.9L54.63 502.6C42.13 515.1 21.87 515.1 9.372 502.6C-3.124 490.1-3.124 469.9 9.372 457.4L68.73 398L93.69 335.6C95.84 338.6 98.17 341.4 100.7 344.2H100.7zM630.6 233.4C643.1 245.9 643.1 266.1 630.6 278.6L550.6 358.6C538.1 371.1 517.9 371.1 505.4 358.6C492.9 346.1 492.9 325.9 505.4 313.4L530.7 288H384C366.3 288 352 273.7 352 256C352 238.3 366.3 224 384 224H530.7L505.4 198.6C492.9 186.1 492.9 165.9 505.4 153.4C517.9 140.9 538.1 140.9 550.6 153.4L630.6 233.4z"],
    "person-walking-dashed-line-arrow-right": [640, 512, [], "e553", "M160 48C160 21.49 181.5 0 208 0C234.5 0 256 21.49 256 48C256 74.51 234.5 96 208 96C181.5 96 160 74.51 160 48V48zM112.7 205.4C97.41 212.2 85.42 224.6 79.22 240.1L77.71 243.9C71.15 260.3 52.53 268.3 36.12 261.7C19.71 255.1 11.73 236.5 18.29 220.1L19.8 216.3C32.19 185.4 56.18 160.5 86.66 146.9L97.66 142C118.5 132.8 140.1 128 163.7 128C208.3 128 248.5 154.8 265.6 195.9L280.1 232.7L302.3 243.4C318.1 251.3 324.5 270.5 316.6 286.3C308.7 302.1 289.5 308.5 273.7 300.6L247 287.3C236.7 282.1 228.6 273.4 224.2 262.8L214.6 239.8L195.3 305.3L244.8 359.4C250.2 365.3 254.1 372.4 256 380.2L279 472.2C283.3 489.4 272.9 506.8 255.8 511C238.6 515.3 221.2 504.9 216.1 487.8L194.9 399.6L124.3 322.5C109.5 306.4 103.1 283.9 109.6 262.8L126.5 199.3C125.6 199.7 124.6 200.1 123.7 200.5L112.7 205.4zM100.7 344.2L141.4 388.6L126.9 424.8C124.5 430.9 120.9 436.4 116.3 440.9L54.63 502.6C42.13 515.1 21.87 515.1 9.372 502.6C-3.124 490.1-3.124 469.9 9.372 457.4L68.73 398L93.69 335.6C95.84 338.6 98.17 341.4 100.7 344.2H100.7zM630.6 233.4C643.1 245.9 643.1 266.1 630.6 278.6L550.6 358.6C538.1 371.1 517.9 371.1 505.4 358.6C492.9 346.1 492.9 325.9 505.4 313.4L530.7 288H384C366.3 288 352 273.7 352 256C352 238.3 366.3 224 384 224H530.7L505.4 198.6C492.9 186.1 492.9 165.9 505.4 153.4C517.9 140.9 538.1 140.9 550.6 153.4L630.6 233.4zM392 0C405.3 0 416 10.75 416 24V72C416 85.25 405.3 96 392 96C378.7 96 368 85.25 368 72V24C368 10.75 378.7 0 392 0zM416 168C416 181.3 405.3 192 392 192C378.7 192 368 181.3 368 168V152C368 138.7 378.7 128 392 128C405.3 128 416 138.7 416 152V168zM392 320C405.3 320 416 330.7 416 344V360C416 373.3 405.3 384 392 384C378.7 384 368 373.3 368 360V344C368 330.7 378.7 320 392 320zM416 488C416 501.3 405.3 512 392 512C378.7 512 368 501.3 368 488V440C368 426.7 378.7 416 392 416C405.3 416 416 426.7 416 440V488z"],
    "person-walking-luggage": [512, 512, [], "e554", "M352 48C352 21.49 373.5 0 400 0C426.5 0 448 21.49 448 48C448 74.51 426.5 96 400 96C373.5 96 352 74.51 352 48zM304.6 205.4C289.4 212.2 277.4 224.6 271.2 240.1L269.7 243.9C263.1 260.3 244.5 268.3 228.1 261.7C211.7 255.1 203.7 236.5 210.3 220.1L211.8 216.3C224.2 185.4 248.2 160.5 278.7 146.9L289.7 142C310.5 132.8 332.1 128 355.7 128C400.3 128 440.5 154.8 457.6 195.9L472.1 232.7L494.3 243.4C510.1 251.3 516.5 270.5 508.6 286.3C500.7 302.1 481.5 308.5 465.7 300.6L439 287.3C428.7 282.1 420.6 273.4 416.2 262.8L406.6 239.8L387.3 305.3L436.8 359.4C442.2 365.3 446.1 372.4 448 380.2L471 472.2C475.3 489.4 464.9 506.8 447.8 511C430.6 515.3 413.2 504.9 408.1 487.8L386.9 399.6L316.3 322.5C301.5 306.4 295.1 283.9 301.6 262.8L318.5 199.3C317.6 199.7 316.6 200.1 315.7 200.5L304.6 205.4zM292.7 344.2L333.4 388.6L318.9 424.8C316.5 430.9 312.9 436.4 308.3 440.9L246.6 502.6C234.1 515.1 213.9 515.1 201.4 502.6C188.9 490.1 188.9 469.9 201.4 457.4L260.7 398L285.7 335.6C287.8 338.6 290.2 341.4 292.7 344.2H292.7zM223.1 274.1C231.7 278.6 234.3 288.3 229.9 295.1L186.1 371.8C185.4 374.5 184.3 377.2 182.9 379.7L118.9 490.6C110 505.9 90.44 511.1 75.14 502.3L19.71 470.3C4.407 461.4-.8371 441.9 7.999 426.6L71.1 315.7C80.84 300.4 100.4 295.2 115.7 303.1L170.1 335.4L202.1 279.1C206.6 272.3 216.3 269.7 223.1 274.1H223.1z"],
    "person-walking-with-cane": [448, 512, ["blind"], "f29d", "M445.2 486.1l-117.3-172.6c-3.002 4.529-6.646 8.652-11.12 12c-4.414 3.318-9.299 5.689-14.43 7.307l116.4 171.3c3.094 4.547 8.127 7.008 13.22 7.008c3.125 0 6.247-.8984 8.997-2.773C448.3 504.2 450.2 494.3 445.2 486.1zM143.1 95.1c26.51 0 48.01-21.49 48.01-47.1S170.5 0 144 0S96 21.49 96 48S117.5 95.1 143.1 95.1zM96.01 348.1l-31.03 124.2c-4.312 17.16 6.125 34.53 23.28 38.81C90.86 511.7 93.48 512 96.04 512c14.34 0 27.38-9.703 31-24.23l22.04-88.18L96.01 346.5V348.1zM313.6 268.8l-76.78-102.4C218.8 142.3 190.1 128 160 128L135.6 127.1c-36.59 0-69.5 20.33-85.87 53.06L3.387 273.7C-4.518 289.5 1.887 308.7 17.7 316.6c4.594 2.297 9.469 3.375 14.28 3.375c11.75 0 23.03-6.469 28.66-17.69l35.38-70.76v56.45c0 8.484 3.375 16.62 9.375 22.63l86.63 86.63v82.75c0 17.67 14.31 32 32 32c17.69 0 32-14.33 32-32v-82.75c0-17.09-6.656-33.16-18.75-45.25L192 306.8V213.3l70.38 93.88c10.59 14.11 30.62 16.98 44.78 6.406C321.3 303 324.2 282.9 313.6 268.8z"],
    "peseta-sign": [384, 512, [], "e221", "M192 32C269.4 32 333.1 86.97 348.8 160H352C369.7 160 384 174.3 384 192C384 209.7 369.7 224 352 224H348.8C333.1 297 269.4 352 192 352H96V448C96 465.7 81.67 480 64 480C46.33 480 32 465.7 32 448V224C14.33 224 0 209.7 0 192C0 174.3 14.33 160 32 160V64C32 46.33 46.33 32 64 32H192zM282.5 160C269.4 122.7 233.8 96 192 96H96V160H282.5zM96 224V288H192C233.8 288 269.4 261.3 282.5 224H96z"],
    "peso-sign": [384, 512, [], "e222", "M176 32C244.4 32 303.7 71.01 332.8 128H352C369.7 128 384 142.3 384 160C384 177.7 369.7 192 352 192H351.3C351.8 197.3 352 202.6 352 208C352 213.4 351.8 218.7 351.3 224H352C369.7 224 384 238.3 384 256C384 273.7 369.7 288 352 288H332.8C303.7 344.1 244.4 384 176 384H96V448C96 465.7 81.67 480 64 480C46.33 480 32 465.7 32 448V288C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224V192C14.33 192 0 177.7 0 160C0 142.3 14.33 128 32 128V64C32 46.33 46.33 32 64 32H176zM254.4 128C234.2 108.2 206.5 96 176 96H96V128H254.4zM96 192V224H286.9C287.6 218.8 288 213.4 288 208C288 202.6 287.6 197.2 286.9 192H96zM254.4 288H96V320H176C206.5 320 234.2 307.8 254.4 288z"],
    "phone": [512, 512, [128379, 128222], "f095", "M511.2 387l-23.25 100.8c-3.266 14.25-15.79 24.22-30.46 24.22C205.2 512 0 306.8 0 54.5c0-14.66 9.969-27.2 24.22-30.45l100.8-23.25C139.7-2.602 154.7 5.018 160.8 18.92l46.52 108.5c5.438 12.78 1.77 27.67-8.98 36.45L144.5 207.1c33.98 69.22 90.26 125.5 159.5 159.5l44.08-53.8c8.688-10.78 23.69-14.51 36.47-8.975l108.5 46.51C506.1 357.2 514.6 372.4 511.2 387z"],
    "phone-arrow-down-left": [512, 512, ["phone-arrow-down", "phone-incoming"], "e223", "M493.1 351.2L384.6 304.7c-12.78-5.531-27.8-1.812-36.48 8.969l-44.05 53.81c-69.25-34-125.5-90.28-159.5-159.5l53.83-44.09c10.75-8.781 14.42-23.66 8.984-36.44L160.8 18.93C154.7 5.027 139.7-2.598 124.1 .8079L24.22 24.06C9.969 27.31 0 39.84 0 54.5C0 306.8 205.2 512 457.5 512c14.67 0 27.2-9.969 30.47-24.22l23.25-100.8C514.6 372.4 507 357.2 493.1 351.2zM320 224h96c17.67 0 32-14.33 32-32s-14.33-32-32-32h-18.75l105.4-105.4c12.5-12.5 12.5-32.75 0-45.25s-32.75-12.5-45.25 0L352 114.8V96c0-17.67-14.33-32-32-32s-32 14.33-32 32v96C288 209.7 302.3 224 320 224z"],
    "phone-arrow-up-right": [512, 512, ["phone-arrow-up", "phone-outgoing"], "e224", "M493.1 351.2L384.6 304.7c-12.78-5.531-27.8-1.812-36.48 8.969l-44.05 53.81c-69.25-34-125.5-90.28-159.5-159.5l53.83-44.09c10.75-8.781 14.42-23.66 8.984-36.44L160.8 18.93C154.7 5.027 139.7-2.598 124.1 .8079L24.22 24.06C9.969 27.31 0 39.84 0 54.5C0 306.8 205.2 512 457.5 512c14.67 0 27.2-9.969 30.47-24.22l23.25-100.8C514.6 372.4 507 357.2 493.1 351.2zM480 0h-96c-17.67 0-32 14.33-32 32s14.33 32 32 32h18.75l-105.4 105.4c-12.5 12.5-12.5 32.75 0 45.25s32.75 12.5 45.25 0L448 109.3V128c0 17.67 14.33 32 32 32s32-14.33 32-32V32C512 14.33 497.7 0 480 0z"],
    "phone-flip": [512, 512, [128381, "phone-alt"], "f879", "M18.92 351.2l108.5-46.52c12.78-5.531 27.77-1.801 36.45 8.98l44.09 53.82c69.25-34 125.5-90.31 159.5-159.5l-53.81-44.04c-10.75-8.781-14.41-23.69-8.974-36.47l46.51-108.5c6.094-13.91 21.1-21.52 35.79-18.11l100.8 23.25c14.25 3.25 24.22 15.8 24.22 30.46c0 252.3-205.2 457.5-457.5 457.5c-14.67 0-27.18-9.968-30.45-24.22l-23.25-100.8C-2.571 372.4 5.018 357.2 18.92 351.2z"],
    "phone-hangup": [640, 512, [], "e225", "M635.4 293.6l-52.73 84.25c-7.631 12.2-23.09 17.35-36.63 11.98l-105.4-42.1c-12.45-4.925-20.14-17.65-18.71-30.87l6.64-66.46C358.3 226.5 281.8 226.5 211.6 250.4l6.621 66.51c1.338 13.27-6.28 25.86-18.67 30.85l-105.5 42.13c-13.6 5.307-29.04 .2437-36.72-12.04l-52.71-84.22C-2.861 281.8-1.118 266.5 8.85 256.5C180.4 85.16 459.6 85.17 631.1 256.5C641.1 266.5 642.9 281.8 635.4 293.6z"],
    "phone-intercom": [512, 512, [], "e434", "M80 32h-32C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h32C106.5 480 128 458.5 128 432v-352C128 53.5 106.5 32 80 32zM448 32H224C188.6 32 160 60.64 160 96v320c0 35.36 28.64 64 64 64h224c35.36 0 64-28.64 64-64V96C512 60.64 483.4 32 448 32zM272 416C245.5 416 224 394.5 224 368S245.5 320 272 320s48 21.5 48 48S298.5 416 272 416zM432 416h-64c-8.832 0-16-7.168-16-16s7.168-16 16-16h64c8.832 0 16 7.168 16 16S440.8 416 432 416zM432 352h-64c-8.832 0-16-7.168-16-16s7.168-16 16-16h64c8.832 0 16 7.168 16 16S440.8 352 432 352zM448 256H224V96h224V256z"],
    "phone-missed": [640, 512, [], "e226", "M631.1 376.4c-171.6-171.6-450.7-171.6-622.3 .0085c-9.967 9.969-11.71 25.26-4.23 37.16l52.71 84.3c7.674 12.3 23.11 17.37 36.72 12.06l105.5-42.17c12.39-4.994 20.01-17.6 18.67-30.88l-6.621-66.57c70.19-23.96 146.8-23.95 216.1 .0202l-6.641 66.53c-1.424 13.24 6.26 25.97 18.71 30.9l105.4 42.14c13.54 5.377 28.1 .2285 36.63-11.99l52.73-84.32C642.9 401.6 641.1 386.4 631.1 376.4zM112.5 157.1c12.16 5.027 23.31-.0273 29.06-5.781L172.2 121.5l53.71 53.71C246.9 196.2 273.8 211.5 303.3 215.2C343.6 220.2 382.4 206.8 410.5 178.7l128.8-128.8c6.248-6.248 6.248-16.38 0-22.63L516.7 4.686c-6.248-6.248-16.38-6.248-22.63 0l-128.8 128.8c-24.89 24.89-65.61 24.89-90.5 0l-57.28-57.28L248.2 45.52c7.629-7.631 9.922-19.09 5.781-29.06C249.8 6.498 240.1 0 229.3 0H115.1C104.1 0 96 8.953 96 19.1v113.3C96 144.1 102.5 153.8 112.5 157.1z"],
    "phone-office": [576, 512, [], "f67d", "M128 416h64c17.62 0 32-14.38 32-32V32c0-17.62-14.38-32-32-32H128C110.4 0 96 14.38 96 32v352C96 401.6 110.4 416 128 416zM528 32H256v352c0 35.25-28.75 64-64 64H128c-35.25 0-64-28.75-64-64V32H48C21.5 32 0 53.5 0 80v384C0 490.5 21.5 512 48 512h480c26.5 0 48-21.5 48-48v-384C576 53.5 554.5 32 528 32zM384 432c0 8.875-7.125 16-16 16h-32c-8.875 0-16-7.125-16-16v-32c0-8.875 7.125-16 16-16h32c8.875 0 16 7.125 16 16V432zM384 304c0 8.875-7.125 16-16 16h-32C327.1 320 320 312.9 320 304v-32C320 263.1 327.1 256 336 256h32C376.9 256 384 263.1 384 272V304zM512 432c0 8.875-7.125 16-16 16h-32c-8.875 0-16-7.125-16-16v-32c0-8.875 7.125-16 16-16h32c8.875 0 16 7.125 16 16V432zM512 304c0 8.875-7.125 16-16 16h-32C455.1 320 448 312.9 448 304v-32C448 263.1 455.1 256 464 256h32C504.9 256 512 263.1 512 272V304zM512 192h-192V96h192V192z"],
    "phone-plus": [512, 512, [], "f4d2", "M493.1 351.2L384.6 304.7c-12.78-5.531-27.8-1.812-36.48 8.969l-44.05 53.81c-69.25-34-125.5-90.28-159.5-159.5l53.83-44.09c10.75-8.781 14.42-23.66 8.984-36.44L160.8 18.93C154.7 5.027 139.7-2.598 124.1 .8079L24.22 24.06C9.969 27.31 0 39.84 0 54.5C0 306.8 205.2 512 457.5 512c14.67 0 27.2-9.969 30.47-24.22l23.25-100.8C514.6 372.4 507 357.2 493.1 351.2zM343.1 119.1H392v48C392 181.3 402.7 192 416 192c13.26 0 23.1-10.74 23.1-23.1V119.1h48C501.3 119.1 512 109.3 512 96s-10.74-23.1-23.1-23.1H439.1V23.1C439.1 10.74 429.3 0 416 0s-23.1 10.74-23.1 23.1v48H343.1C330.7 72 320 82.74 320 96C320 109.3 330.7 119.1 343.1 119.1z"],
    "phone-rotary": [512, 512, [9742], "f8d3", "M370.4 192.2C358.1 172.2 337.9 160 314.9 160H197.1c-23 0-44.12 12.25-55.5 32.25l-105.4 184.4C33.5 381.5 32 386.9 32 392.5V448c0 17.62 14.38 32 32 32h384c17.62 0 32-14.38 32-32v-55.5c0-5.625-1.5-11-4.25-15.88L370.4 192.2zM256 384c-39.75 0-72-32.25-72-72S216.3 240 256 240s72 32.25 72 72S295.8 384 256 384zM506.1 123C436.8 65 347.4 32 256 32S75.25 65 5.875 123C2.125 126.1 0 130.8 0 135.6V192c0 8.875 7.125 16 16 16h70.13c6 0 11.63-3.375 14.25-8.875L128 128c39.88-17.25 83.25-24 128-24S344.1 110.8 384 128l27.62 71.12C414.2 204.6 419.9 208 425.9 208H496C504.9 208 512 200.9 512 192V135.6C512 130.8 509.9 126.1 506.1 123z"],
    "phone-slash": [640, 512, [], "f3dd", "M271.1 367.5L227.9 313.7c-8.688-10.78-23.69-14.51-36.47-8.974l-108.5 46.51c-13.91 6-21.49 21.19-18.11 35.79l23.25 100.8C91.32 502 103.8 512 118.5 512c107.4 0 206.1-37.46 284.2-99.65l-88.75-69.56C300.6 351.9 286.6 360.3 271.1 367.5zM630.8 469.1l-159.6-125.1c65.03-78.97 104.7-179.5 104.7-289.5c0-14.66-9.969-27.2-24.22-30.45L451 .8125c-14.69-3.406-29.73 4.213-35.82 18.12l-46.52 108.5c-5.438 12.78-1.771 27.67 8.979 36.45l53.82 44.08C419.2 232.1 403.9 256.2 386.2 277.4L38.81 5.111C34.41 1.673 29.19 0 24.03 0C16.91 0 9.84 3.158 5.121 9.189c-8.188 10.44-6.37 25.53 4.068 33.7l591.1 463.1c10.5 8.203 25.57 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1z"],
    "phone-volume": [512, 512, ["volume-control-phone"], "f2a0", "M284.6 181.9c-10.28-8.344-25.41-6.875-33.75 3.406C242.4 195.6 243.9 210.7 254.2 219.1c11.31 9.25 17.81 22.69 17.81 36.87c0 14.19-6.5 27.62-17.81 36.87c-10.28 8.406-11.78 23.53-3.375 33.78c4.719 5.812 11.62 8.812 18.56 8.812c5.344 0 10.75-1.781 15.19-5.406c22.53-18.44 35.44-45.4 35.44-74.05S307.1 200.4 284.6 181.9zM345.1 107.1c-10.22-8.344-25.34-6.907-33.78 3.343c-8.406 10.25-6.906 25.37 3.344 33.78c33.88 27.78 53.31 68.18 53.31 110.9s-19.44 83.09-53.31 110.9c-10.25 8.406-11.75 23.53-3.344 33.78c4.75 5.781 11.62 8.781 18.56 8.781c5.375 0 10.75-1.781 15.22-5.438C390.2 367.1 416 313.1 416 255.1S390.2 144.9 345.1 107.1zM406.4 33.15c-10.22-8.344-25.34-6.875-33.78 3.344c-8.406 10.25-6.906 25.37 3.344 33.78C431.9 116.1 464 183.8 464 255.1s-32.09 139.9-88.06 185.7c-10.25 8.406-11.75 23.53-3.344 33.78c4.75 5.781 11.62 8.781 18.56 8.781c5.375 0 10.75-1.781 15.22-5.438C473.5 423.8 512 342.6 512 255.1S473.5 88.15 406.4 33.15zM151.3 174.6C161.1 175.6 172.1 169.5 176 159.6l33.75-84.38C214 64.35 209.1 51.1 200.2 45.86l-67.47-42.17C123.2-2.289 110.9-.8945 102.9 7.08C-34.32 144.3-34.31 367.7 102.9 504.9c7.982 7.984 20.22 9.379 29.75 3.402l67.48-42.19c9.775-6.104 13.9-18.47 9.598-29.3L176 352.5c-3.945-9.963-14.14-16.11-24.73-14.97l-53.24 5.314C78.89 286.7 78.89 225.4 98.06 169.3L151.3 174.6z"],
    "phone-xmark": [512, 512, [], "e227", "M493.1 351.2L384.6 304.7c-12.78-5.531-27.8-1.812-36.48 8.969l-44.05 53.81c-69.25-34-125.5-90.28-159.5-159.5l53.83-44.09c10.75-8.781 14.42-23.66 8.984-36.44L160.8 18.93C154.7 5.027 139.7-2.598 124.1 .8079L24.22 24.06C9.969 27.31 0 39.84 0 54.5C0 306.8 205.2 512 457.5 512c14.67 0 27.2-9.969 30.47-24.22l23.25-100.8C514.6 372.4 507 357.2 493.1 351.2zM348.1 62.06l33.94 33.94L348.1 129.9c-9.373 9.373-9.38 24.56 .0005 33.94c9.375 9.375 24.56 9.377 33.94 .0005l33.94-33.94l33.94 33.94c9.377 9.377 24.57 9.375 33.94 .0005c9.375-9.375 9.377-24.56-.0005-33.94l-33.94-33.94l33.94-33.94c9.376-9.376 9.374-24.57-.0004-33.94s-24.56-9.377-33.94-.0005L415.1 62.06l-33.94-33.94c-9.377-9.377-24.57-9.375-33.94-.0005C338.7 37.49 338.7 52.67 348.1 62.06z"],
    "photo-film": [640, 512, ["photo-video"], "f87c", "M352 432c0 8.836-7.164 16-16 16H176c-8.838 0-16-7.164-16-16L160 128H48C21.49 128 .0003 149.5 .0003 176v288c0 26.51 21.49 48 48 48h416c26.51 0 48-21.49 48-48L512 384h-160L352 432zM104 439c0 4.969-4.031 9-9 9h-30c-4.969 0-9-4.031-9-9v-30c0-4.969 4.031-9 9-9h30c4.969 0 9 4.031 9 9V439zM104 335c0 4.969-4.031 9-9 9h-30c-4.969 0-9-4.031-9-9v-30c0-4.969 4.031-9 9-9h30c4.969 0 9 4.031 9 9V335zM104 231c0 4.969-4.031 9-9 9h-30c-4.969 0-9-4.031-9-9v-30C56 196 60.03 192 65 192h30c4.969 0 9 4.031 9 9V231zM408 409c0-4.969 4.031-9 9-9h30c4.969 0 9 4.031 9 9v30c0 4.969-4.031 9-9 9h-30c-4.969 0-9-4.031-9-9V409zM591.1 0H239.1C213.5 0 191.1 21.49 191.1 48v256c0 26.51 21.49 48 48 48h352c26.51 0 48-21.49 48-48v-256C640 21.49 618.5 0 591.1 0zM303.1 64c17.68 0 32 14.33 32 32s-14.32 32-32 32C286.3 128 271.1 113.7 271.1 96S286.3 64 303.1 64zM574.1 279.6C571.3 284.8 565.9 288 560 288H271.1C265.1 288 260.5 284.6 257.7 279.3C255 273.9 255.5 267.4 259.1 262.6l70-96C332.1 162.4 336.9 160 341.1 160c5.11 0 9.914 2.441 12.93 6.574l22.35 30.66l62.74-94.11C442.1 98.67 447.1 96 453.3 96c5.348 0 10.34 2.672 13.31 7.125l106.7 160C576.6 268 576.9 274.3 574.1 279.6z"],
    "photo-film-music": [640, 512, [], "e228", "M618.9 160.8l-208 69.33C404.4 232.3 400 238.5 400 245.3v172.4C394.9 416.7 389.6 416 384 416c-35.35 0-64 21.49-64 48s28.65 48 64 48c35.35 0 64-21.49 64-48V319l144-48v82.7C586.9 352.7 581.6 352 576 352c-35.35 0-64 21.49-64 48s28.65 48 64 48c35.35 0 64-21.49 64-48V176C640 165.1 629.3 157.4 618.9 160.8zM176 392c-8.836 0-16-7.164-16-16V96H40.2C17.1 96 0 113.1 0 136.2v271.7C0 430.1 17.93 448 40.13 448h249.8c5.904-25.11 25.54-45.43 52.31-56H176zM104 384c0 4.418-3.582 8-8 8H64c-4.418 0-8-3.582-8-8v-32c0-4.418 3.582-8 8-8h32c4.418 0 8 3.582 8 8V384zM104 288c0 4.418-3.582 8-8 8H64C59.58 296 56 292.4 56 288V256c0-4.418 3.582-8 8-8h32c4.418 0 8 3.582 8 8V288zM104 192c0 4.418-3.582 8-8 8H64C59.58 200 56 196.4 56 192V160c0-4.418 3.582-8 8-8h32c4.418 0 8 3.582 8 8V192zM235.6 320H368V255.1L301.3 256C296.3 256 291.7 253.2 289.4 248.7c-2.275-4.473-1.846-9.844 1.111-13.9l58.33-80c2.514-3.445 6.518-5.479 10.78-5.479s8.261 2.033 10.77 5.479l18.63 25.55l52.29-78.42C443.8 98.23 447.1 96 452.4 96c4.457 0 8.621 2.227 11.09 5.938l41.98 62.97L608 130.8V44.67C608 19.1 588.5 0 564.4 0H235.6C211.5 0 192 19.1 192 44.67v230.7C192 300 211.5 320 235.6 320zM288 64c17.68 0 32 14.33 32 32S305.7 128 288 128C270.3 128 256 113.7 256 96S270.3 64 288 64z"],
    "pi": [448, 512, [], "f67e", "M438.6 361.4c12.5 12.5 12.5 32.75 0 45.25l-18.75 18.75c-14.41 14.38-34.31 22.62-54.63 22.62C322.7 448 288 413.4 288 370.8v-242.7H160v152.4c0 51.75-12.23 103.6-35.38 149.9c-5.609 11.22-16.91 17.69-28.66 17.69c-4.797 0-9.688-1.094-14.28-3.375c-15.81-7.906-22.22-27.12-14.31-42.94C86.11 364.3 96 322.3 96 280.5V128H32c-17.67 0-32-14.31-32-32s14.33-32 32-32h384c17.67 0 32 14.31 32 32s-14.33 32-32 32h-64v242.7c.0156 10.78 14.94 17.06 22.64 9.344l18.73-18.72C405.9 348.9 426.1 348.9 438.6 361.4z"],
    "piano": [512, 512, [], "f8d4", "M476.6 270.2l-57.18-28.47C397.8 230.9 384 208.7 384 184.5C384 82.62 301.5 0 199.5 0h-15C82.5 0 0 82.62 0 184.5V480c0 17.62 14.38 32 32 32h448c17.62 0 32-14.38 32-32v-152.5C512 303.3 498.2 281.1 476.6 270.2zM448 448H64v-96h32v56C96 412.4 99.63 416 104 416h16C124.4 416 128 412.4 128 408V352h32v56C160 412.4 163.6 416 168 416h16C188.4 416 192 412.4 192 408V352h32v56C224 412.4 227.6 416 232 416h16C252.4 416 256 412.4 256 408V352h64v56c0 4.375 3.625 8 8 8h16c4.375 0 8-3.625 8-8V352h32v56c0 4.375 3.625 8 8 8h16c4.375 0 8-3.625 8-8V352h32V448z"],
    "piano-keyboard": [576, 512, [127929], "f8d5", "M544 64H32C14.38 64 0 78.38 0 96v320c0 17.62 14.38 32 32 32h512c17.62 0 32-14.38 32-32V96C576 78.38 561.6 64 544 64zM144 384H64V224h64v80C128 312.9 135.1 320 144 320V384zM272 384h-96v-64C184.9 320 192 312.9 192 304V224h64v80C256 312.9 263.1 320 272 320V384zM400 384h-96v-64c8.875 0 16-7.125 16-16V224h64v80c0 8.875 7.125 16 16 16V384zM512 384h-80v-64c8.875 0 16-7.125 16-16V224h64V384z"],
    "pickleball": [576, 512, [], "e435", "M250.4 28.02C287.9-9.414 348.8-9.414 386.3 28.02L499.9 141.3C529.1 170.5 535.6 213.7 519.3 249.1C494.4 233.3 464.9 224.1 433.2 224.1C361.1 224.1 300.2 271.5 279.9 336.6L155.7 212.8C149.4 206.6 139.3 206.6 133 212.8C126.8 219.1 126.8 229.2 133.1 235.5L272.1 374.9C272.8 377.9 272.7 380.1 272.7 384.1C272.7 411.8 279.8 437.9 292.3 460.7C283 461.1 273.6 459.6 264.6 455.9L207.9 432.7C184 422.9 156.5 428.4 138.3 446.6L84.44 500.3C68.79 515.9 43.42 515.8 27.78 500.2C12.13 484.7 12.14 459.4 27.79 443.8L81.33 390.4C99.7 372.1 105.2 344.6 95.21 320.7L71.05 262.8C61.08 238.9 66.56 211.3 84.91 193L250.4 28.02zM560 384C560 454.7 502.7 512 432 512C361.3 512 304 454.7 304 384C304 313.3 361.3 256 432 256C502.7 256 560 313.3 560 384zM352 384C360.8 384 368 376.8 368 368C368 359.2 360.8 352 352 352C343.2 352 336 359.2 336 368C336 376.8 343.2 384 352 384zM416 448C407.2 448 400 455.2 400 464C400 472.8 407.2 480 416 480C424.8 480 432 472.8 432 464C432 455.2 424.8 448 416 448zM432 400C440.8 400 448 392.8 448 384C448 375.2 440.8 368 432 368C423.2 368 416 375.2 416 384C416 392.8 423.2 400 432 400zM512 384C503.2 384 496 391.2 496 400C496 408.8 503.2 416 512 416C520.8 416 528 408.8 528 400C528 391.2 520.8 384 512 384zM448 320C456.8 320 464 312.8 464 304C464 295.2 456.8 288 448 288C439.2 288 432 295.2 432 304C432 312.8 439.2 320 448 320z"],
    "pie": [576, 512, [129383], "f705", "M544 240c-6.5 0-10.38-1.25-14.5-3.5C494.9 136.1 400.1 64 288 64S81 136.3 46.5 236.5C42.38 238.9 38.5 240 32 240c-17.62 0-32 14.38-32 32s14.38 32 32 32c32 0 49.1-13.5 61.88-22.38C103 274.8 106.8 272 117.5 272c10.62 0 14.38 2.75 23.5 9.625C152.9 290.5 170.9 304 202.9 304s50-13.5 61.88-22.38C273.8 274.8 277.6 272 288.3 272s14.38 2.75 23.38 9.625C323.6 290.5 341.5 304 373.5 304s50-13.5 61.88-22.38C444.4 274.8 448.1 272 458.9 272c10.62 0 14.25 2.75 23.38 9.625C493.1 290.5 512 304 544 304c17.62 0 32-14.38 32-32S561.6 240 544 240zM206.3 151.1l-16 32C180.9 202 152.1 187.1 161.7 168.9l16-32C187.2 117.1 215.8 132.3 206.3 151.1zM304 176c0 21.12-32 21.12-32 0v-32c0-21.12 32-21.12 32 0V176zM385.7 183.1l-16-32c-9.5-18.88 19.19-33.14 28.56-14.27l16 32C423.9 187.9 395.1 202 385.7 183.1zM458.9 304c-10.12 7-36.25 32-85.38 32c-49 0-75.13-25-85.25-32c-7.375 5-35.25 32-85.38 32c-49.13 0-75.13-25-85.25-32c-8.375 5.75-26.1 22.62-59.87 29.25l31 92.88C93.13 439.1 105.3 448 119.1 448H457c13.75 0 26-8.875 30.25-21.88l31-92.88C485.3 326.6 465.9 308.9 458.9 304z"],
    "pig": [640, 512, [128022], "f706", "M513.5 32C521.5 32 528 38.48 528 46.47V78.03C528 97.78 518.1 115.8 504.4 127.7C510.8 132.6 517 137.8 522.1 143.4C540.5 127.5 551.4 104.8 551.1 80H592C600.8 80 608 87.16 608 96V112C608 144.8 583.4 171.8 551.7 175.5L558.4 184.6C569.1 199.1 584.1 212.5 602.2 221.1L608 224H616C629.3 224 640 234.7 640 248V344C640 357.3 629.3 368 616 368H572.5C550.3 389.2 522.8 404.2 492.8 411.3L479.8 456.8C475.8 470.5 463.3 480 449 480H416C398.3 480 384 465.7 384 448V416H272V448C272 465.7 257.7 480 240 480H206.1C192.7 480 180.2 470.5 176.2 456.8L154.1 382.4C110.3 357.1 80 310.5 80 256V240H47.45C21.24 240 0 218.8 0 192.6C0 170.8 14.82 151.8 35.94 146.5L44.12 144.5C52.69 142.3 61.38 147.5 63.52 156.1C65.67 164.7 60.45 173.4 51.88 175.5L43.7 177.6C36.82 179.3 32 185.5 32 192.6C32 201.1 38.92 208 47.45 208H83.2C98.03 134.1 162.6 80 240 80H362.4C376.8 80 391.1 81.33 405.1 83.91C413.2 64.44 430.5 49.47 452.1 44.83L510.5 32.32C511.5 32.11 512.5 32 513.5 32L513.5 32zM468 256C479 256 488 247 488 236C488 224.1 479 216 468 216C456.1 216 448 224.1 448 236C448 247 456.1 256 468 256z"],
    "piggy-bank": [576, 512, [], "f4d3", "M400 96L399.1 96.66C394.7 96.22 389.4 96 384 96H256C239.5 96 223.5 98.08 208.2 102C208.1 100 208 98.02 208 96C208 42.98 250.1 0 304 0C357 0 400 42.98 400 96zM384 128C387.5 128 390.1 128.1 394.4 128.3C398.7 128.6 402.9 129 407 129.6C424.6 109.1 450.8 96 480 96H512L493.2 171.1C509.1 185.9 521.9 203.9 530.7 224H544C561.7 224 576 238.3 576 256V352C576 369.7 561.7 384 544 384H512C502.9 396.1 492.1 406.9 480 416V480C480 497.7 465.7 512 448 512H416C398.3 512 384 497.7 384 480V448H256V480C256 497.7 241.7 512 224 512H192C174.3 512 160 497.7 160 480V416C125.1 389.8 101.3 349.8 96.79 304H68C30.44 304 0 273.6 0 236C0 198.4 30.44 168 68 168H72C85.25 168 96 178.7 96 192C96 205.3 85.25 216 72 216H68C56.95 216 48 224.1 48 236C48 247 56.95 256 68 256H99.2C111.3 196.2 156.9 148.5 215.5 133.2C228.4 129.8 241.1 128 256 128H384zM424 240C410.7 240 400 250.7 400 264C400 277.3 410.7 288 424 288C437.3 288 448 277.3 448 264C448 250.7 437.3 240 424 240z"],
    "pills": [576, 512, [], "f484", "M112 32C50.12 32 0 82.12 0 143.1v223.1c0 61.88 50.12 111.1 112 111.1s112-50.12 112-111.1V143.1C224 82.12 173.9 32 112 32zM160 256H64V144c0-26.5 21.5-48 48-48s48 21.5 48 48V256zM299.8 226.2c-3.5-3.5-9.5-3-12.38 .875c-45.25 62.5-40.38 150.1 15.88 206.4c56.38 56.25 144 61.25 206.5 15.88c4-2.875 4.249-8.75 .75-12.25L299.8 226.2zM529.5 207.2c-56.25-56.25-143.9-61.13-206.4-15.87c-4 2.875-4.375 8.875-.875 12.38l210.9 210.7c3.5 3.5 9.375 3.125 12.25-.75C590.8 351.1 585.9 263.6 529.5 207.2z"],
    "pinata": [512, 512, [], "e3c3", "M492.1 358.5c-4.25 1.938-9.156 1.938-13.41 0l-28-12.91l-27.94 12.91c-6.389 2.913-11.84 .7278-13.44 0l-27.94-12.91l-28 12.91c-4.25 1.938-9.156 1.938-13.41 0L312 345.6l-27.94 12.91c-4.25 1.938-9.156 1.938-13.41 0l-28-12.91l-27.94 12.91c-4.25 1.938-9.188 1.938-13.44 0l-27.94-12.91l-28 12.91c-4.25 1.938-9.156 1.938-13.41 0L112 349.3v52.78l24 12.02l24.84-12.44c4.5-2.25 9.812-2.25 14.31 0L200 414.1C211.6 408.3 227.4 400 230.2 400h163.6c2.82 0 18.8 8.424 30.19 14.12l24.84-12.44c4.5-2.25 9.812-2.25 14.31 0L488 414.1L512 402.1v-52.78L492.1 358.5zM192.8 446.3L168 433.9l-24.84 12.44c-4.5 2.25-9.812 2.25-14.31 0L112 437.9V472C112 494.1 129.9 512 152 512h32C206.1 512 224 494.1 224 472v-34.11l-16.84 8.422C200.5 449.7 194.5 447.2 192.8 446.3zM205.5 270.6L176 257.5L146.5 270.6c-4.125 1.812-8.875 1.812-13 0L112 261.1v52.99l26.66 12.31l28-12.91c4.25-1.938 9.156-1.938 13.41 0L208 326.4l27.94-12.91c4.25-1.938 9.156-1.938 13.41 0l28 12.91l27.94-12.91c4.25-1.938 9.188-1.938 13.44 0l27.94 12.91l28-12.91c4.25-1.938 9.156-1.938 13.41 0L416 326.4l27.94-12.91c4.25-1.938 9.156-1.938 13.41 0l28 12.91l25.31-11.69C504.4 281.3 475.1 256 440 256H251.4L218.5 270.6C212.9 273.1 207.9 271.7 205.5 270.6zM480.8 446.3L456 433.9l-24.84 12.44c-4.5 2.25-9.812 2.25-14.31 0L400 437.9V472c0 22.06 17.94 40 40 40h32c22.06 0 40-17.94 40-40v-34.11l-16.84 8.422C488.5 449.7 482.5 447.2 480.8 446.3zM112 226L140 238.5l29.5-13.12c4.125-1.812 8.875-1.812 13 0L212 238.5L240 226V32c0-17.66-14.34-32-32-32s-32 14.34-32 32v32H62.72C28.13 64 0 92.13 0 126.7c0 27.84 18.72 52.66 45.5 60.31L112 206V226zM176 120c13.25 0 24 10.74 24 24c0 13.25-10.75 24-24 24S152 157.3 152 144C152 130.7 162.7 120 176 120z"],
    "pinball": [448, 512, [], "e229", "M145.4 211.6C123.9 194.5 101.9 191.1 90.1 191.1c-49.65 0-90.1 41.71-90.1 93.11c0 39.17 24.13 75.61 62.12 88.44l310.3 104.8c3.349 1.123 6.824 1.677 10.29 1.677c17.94 0 33.3-14.85 33.3-34.3c0-10.24-4.414-20.37-12.85-27.14L145.4 211.6zM96.17 319.7c-17.58 0-31.89-14.31-31.89-31.89c0-17.58 14.31-31.89 31.89-31.89c17.58 0 31.89 14.31 31.89 31.89C128.1 305.4 113.8 319.7 96.17 319.7zM352 32c-53.02 0-96 42.98-96 96s42.98 96 96 96s96-42.98 96-96S405 32 352 32z"],
    "pineapple": [512, 512, [], "e31f", "M511.6 98.91c1.574-4.977-1.377-10.39-6.588-12.1L479.8 78.57C489.8 68.28 496 54.31 496 38.85V27.43c0-6.311-5.117-11.43-11.43-11.43h-11.43c-15.01 0-28.56 5.91-38.76 15.38l-7.668-24.24c-1.678-5.305-7-8.309-11.89-6.707c-17.27 5.662-30.42 18.48-37.74 34.55l-18.21-18.19c-3.762-3.756-9.672-3.947-13.2-.4238c-18.73 18.71-22.41 46.97-11.63 71.02c-57.65-36.66-134.9-30.04-185.2 20.28L43.67 212.8c-58.22 58.22-58.22 152.6-.002 210.8l44.66 44.66c58.22 58.22 152.6 58.23 210.8 .002l105.2-105.2c50.34-50.34 56.95-127.6 20.23-185.3c24.13 10.87 52.53 7.238 71.31-11.52c3.529-3.523 3.338-9.424-.4258-13.18L478.9 136.7C494.1 129.1 506.2 116 511.6 98.91zM164.7 212.7c6.25-6.25 16.38-6.25 22.62 0L208 233.4l20.69-20.69c6.25-6.25 16.38-6.25 22.62 0s6.25 16.38 0 22.62l-32 32C216.2 270.4 212.1 272 208 272S199.8 270.4 196.7 267.3l-32-32C158.4 229.1 158.4 218.9 164.7 212.7zM128 352c-4.094 0-8.188-1.562-11.31-4.688l-32-32c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0L128 313.4l20.69-20.69c6.25-6.25 16.38-6.25 22.62 0s6.25 16.38 0 22.62l-32 32C136.2 350.4 132.1 352 128 352zM251.3 395.3l-32 32C216.2 430.4 212.1 432 208 432s-8.188-1.562-11.31-4.688l-32-32c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0L208 393.4l20.69-20.69c6.25-6.25 16.38-6.25 22.62 0S257.6 389.1 251.3 395.3zM331.3 315.3l-32 32C296.2 350.4 292.1 352 288 352s-8.188-1.562-11.31-4.688l-32-32c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0L288 313.4l20.69-20.69c6.25-6.25 16.38-6.25 22.62 0S337.6 309.1 331.3 315.3z"],
    "pipe": [64, 512, [], "7c", "M32 512c-17.67 0-32-14.33-32-32V32c0-17.67 14.33-32 32-32s32 14.33 32 32v448C64 497.7 49.67 512 32 512z"],
    "pipe-circle-check": [640, 512, [], "e436", "M512 192.7V128c0-17.66-14.34-32-32-32s-32 14.34-32 32v70.62C463.3 194.3 479.4 192 496 192C501.4 192 506.7 192.3 512 192.7zM32 96C14.34 96 0 110.3 0 128v256c0 17.66 14.34 32 32 32s32-14.34 32-32V128C64 110.3 49.66 96 32 96zM416 211.2V128H96v256h224.7C320.3 378.7 320 373.4 320 368C320 299.6 359 240.3 416 211.2zM496 224C416.5 224 352 288.5 352 368s64.48 144 144 144s144-64.48 144-144S575.5 224 496 224zM563.9 338.7l-72 80c-2.943 3.264-7.104 5.184-11.49 5.312c-4.385 .0957-8.641-1.568-11.74-4.672l-40-40c-6.24-6.273-6.24-16.38 0-22.66c6.271-6.24 16.38-6.24 22.66 0l28.06 28.1l60.7-67.46c5.92-6.592 16.03-7.104 22.59-1.215C569.3 322 569.8 332.1 563.9 338.7z"],
    "pipe-collar": [512, 512, [], "e437", "M476.6 386c22.53-38.11 35.46-82.56 35.46-130S499.1 164.1 476.6 125.9l16.7-16.7c24.99-24.99 24.99-65.5 0-90.5s-65.5-24.99-90.5 0L386.1 35.45c-38.11-22.53-82.56-35.46-130-35.46S164.1 12.92 125.1 35.45L109.3 18.74c-24.99-24.99-65.5-24.99-90.5 0s-24.99 65.5 0 90.5L35.46 125.9C12.94 164.1 .0078 208.5 .0078 255.1s12.93 91.94 35.46 130l-16.7 16.71c-24.99 24.99-24.99 65.5 0 90.5s65.5 24.99 90.5 0l16.7-16.71c38.11 22.53 82.56 35.46 130 35.46s91.94-12.93 130-35.46l16.7 16.71c24.99 24.99 65.5 24.99 90.5 0s24.99-65.5 0-90.5L476.6 386zM64.01 463.1c-8.832 0-16-7.168-16-16s7.168-16 16-16s16 7.168 16 16S72.84 463.1 64.01 463.1zM64.01 79.99c-8.832 0-16-7.168-16-16s7.168-16 16-16s16 7.168 16 16S72.84 79.99 64.01 79.99zM405 314.5c-16.26 41.34-49.18 74.27-90.53 90.53c-18.11 7.104-37.82 11.01-58.46 11.01s-40.35-3.904-58.46-11.01c-41.34-16.26-74.27-49.19-90.53-90.53c-7.104-18.11-11.01-37.82-11.01-58.46c0-20.64 3.904-40.35 11.01-58.46C123.3 156.2 156.2 123.3 197.5 107c18.11-7.104 37.82-11.01 58.46-11.01s40.35 3.904 58.46 11.01c41.34 16.26 74.27 49.18 90.53 90.53c7.104 18.11 11.01 37.82 11.01 58.46C416 276.6 412.1 296.3 405 314.5zM448 463.1c-8.832 0-16-7.168-16-16s7.168-16 16-16s16 7.168 16 16S456.8 463.1 448 463.1zM448 79.99c-8.832 0-16-7.168-16-16s7.168-16 16-16s16 7.168 16 16S456.8 79.99 448 79.99z"],
    "pipe-section": [640, 512, [], "e438", "M96 384h448V128H96V384zM32 96C14.34 96 0 110.3 0 128v256c0 17.66 14.34 32 32 32s32-14.34 32-32V128C64 110.3 49.66 96 32 96zM608 96c-17.66 0-32 14.34-32 32v256c0 17.66 14.34 32 32 32s32-14.34 32-32V128C640 110.3 625.7 96 608 96z"],
    "pipe-smoking": [640, 512, [], "e3c4", "M608 0h-32.04C525.9 0 478.1 23.91 448 64l-89.37 119.2c1.988 .9043 4.1 1.508 5.963 2.686l54.34 34.22c2.457 1.533 4.695 3.355 6.814 5.301l75.4-117.3C518.9 80.47 549.1 64 581.9 64H608c17.69 0 32-14.31 32-32S625.7 0 608 0zM401.9 247.1l-54.34-34.21c-7.289-4.592-16.89-2.576-21.74 4.545L256 320V256c0-17.69-14.31-32-32-32H32C14.31 224 0 238.3 0 256v128c0 70.69 57.31 128 128 128h26.12c54.72 0 105-27.47 134.6-73.47l117.7-168.8C411.6 262.3 409.6 251.1 401.9 247.1z"],
    "pipe-valve": [512, 512, [], "e439", "M32 160C14.34 160 0 174.3 0 192v256c0 17.66 14.34 32 32 32s32-14.34 32-32V192C64 174.3 49.66 160 32 160zM480 160c-17.66 0-32 14.34-32 32v256c0 17.66 14.34 32 32 32s32-14.34 32-32V192C512 174.3 497.7 160 480 160zM288 147.6l-32-3.553L224 147.6V192H96v256h320V192h-128V147.6zM398.2 64.1L288 76.35V64c0-17.66-14.34-32-32-32S224 46.34 224 64v12.35L113.8 64.1C109.2 63.58 104.7 65.06 101.3 68.06C97.95 71.1 96 75.46 96 80v32c0 4.543 1.951 8.896 5.344 11.94C104.7 126.9 109.2 128.4 113.8 127.9L256 112.1l142.2 15.81c4.512 .5117 9.023-.9609 12.42-3.969C414 120.9 416 116.5 416 112v-32c0-4.545-1.951-8.896-5.344-11.94C407.3 65.06 402.8 63.58 398.2 64.1z"],
    "pizza": [576, 512, [127829], "f817", "M403.2 403.1c-81.87 81.88-214.1 81.13-295.1-2.125c-76.99-79.26-76.99-210.8 0-290c80.99-83.25 214.1-84 295.1-2.125l21.1-22c6.373-6.502 6.373-17.38-.5-23.38c-48.08-42.33-108.2-63.49-168.5-63.49C175.3 .0047 94.33 38.27 42.72 114.8C14.28 156.1 .0005 206.5 .0005 255.1c0 49.5 14.28 99.02 42.72 141.2c50.62 75.1 129.4 113.4 208.9 114.8c61.78 1.128 123.1-20.02 173.3-63.45c6.873-6 6.79-16.87 .2923-23.37L403.2 403.1zM131.9 380.5c32.1 33 77.62 51.5 124.2 51.5s91.49-18.5 124.5-51.5L256.3 256l124.3-124.5c-32.1-33-77.87-51.5-124.5-51.5S164.9 98.49 131.9 131.5C63.27 200.2 63.27 311.8 131.9 380.5zM256.2 351.1c8.875 0 16 7.125 16 16c0 8.875-7.125 16-16 16c-8.873 0-16-7.125-16-16C240.2 359.1 247.3 351.1 256.2 351.1zM197 148.6c3-3.002 6.915-4.636 11.17-4.636c8.873 0 15.1 7.126 15.1 16s-7.126 16-15.1 16c-8.875 0-16-7.126-16-16C192.2 155.7 194 151.6 197 148.6zM149 244.6c2.984-2.984 6.962-4.614 11.19-4.63c8.846 .0352 15.97 7.143 15.97 15.1c0 8.875-7.125 16-16 16c-8.873 0-15.1-7.126-15.1-16C144.2 251.7 146 247.6 149 244.6zM523.2 100.1c-5.748-7.5-17.25-7.917-23.1-1.167l-21.37 21.42c66.74 77.88 66.74 193.4 0 271.3l21.37 21.37c6.75 6.75 18.25 6.375 23.1-1.125c35.18-46 52.78-100.9 52.78-155.9C576 201.1 558.4 146.1 523.2 100.1zM455.2 143.1l-49.99 50c6.498 2.125 10.87 8.25 10.87 15c0 8.877-7.123 16-15.1 16c-6.75 0-12.87-4.375-14.1-10.88L342.3 256l112.9 112.9C509.6 303.5 509.6 208.5 455.2 143.1zM448.1 287.1c-8.873 0-15.1-7.126-15.1-16c0-8.877 7.126-16 15.1-16c8.75 0 16 7.124 16 16C464.1 280.9 456.9 287.1 448.1 287.1z"],
    "pizza-slice": [512, 512, [], "f818", "M100.4 112.3L.5101 491.7c-1.375 5.625 .1622 11.6 4.287 15.6c4.127 4.125 10.13 5.744 15.63 4.119l379.1-105.1C395.3 231.4 276.5 114.1 100.4 112.3zM127.1 416c-17.62 0-32-14.38-32-31.1c0-17.62 14.39-32 32.01-32c17.63 0 32 14.38 32 31.1C160 401.6 145.6 416 127.1 416zM175.1 271.1c-17.63 0-32-14.38-32-32c0-17.62 14.38-31.1 32-31.1c17.62 0 32 14.38 32 31.1C208 257.6 193.6 271.1 175.1 271.1zM272 367.1c-17.62 0-32-14.38-32-31.1c0-17.62 14.38-32 32-32c17.63 0 32 14.38 32 32C304 353.6 289.6 367.1 272 367.1zM158.9 .1406c-16.13-1.5-31.25 8.501-35.38 24.12L108.7 80.52c187.6 5.5 314.5 130.6 322.5 316.1l56.88-15.75c15.75-4.375 25.5-19.62 23.63-35.87C490.9 165.1 340.8 17.39 158.9 .1406z"],
    "place-of-worship": [640, 512, [], "f67f", "M233.4 86.63L308.7 11.32C314.9 5.067 325.1 5.067 331.3 11.32L406.6 86.63C412.6 92.63 416 100.8 416 109.3V217.6L456.7 242C471.2 250.7 480 266.3 480 283.2V512H384V416C384 380.7 355.3 352 319.1 352C284.7 352 255.1 380.7 255.1 416V512H159.1V283.2C159.1 266.3 168.8 250.7 183.3 242L223.1 217.6V109.3C223.1 100.8 227.4 92.63 233.4 86.63H233.4zM24.87 330.3L128 273.6V512H48C21.49 512 0 490.5 0 464V372.4C0 354.9 9.53 338.8 24.87 330.3V330.3zM592 512H512V273.6L615.1 330.3C630.5 338.8 640 354.9 640 372.4V464C640 490.5 618.5 512 592 512V512z"],
    "plane": [576, 512, [], "f072", "M482.3 192C516.5 192 576 221 576 256C576 292 516.5 320 482.3 320H365.7L265.2 495.9C259.5 505.8 248.9 512 237.4 512H181.2C170.6 512 162.9 501.8 165.8 491.6L214.9 320H112L68.8 377.6C65.78 381.6 61.04 384 56 384H14.03C6.284 384 0 377.7 0 369.1C0 368.7 .1818 367.4 .5398 366.1L32 256L.5398 145.9C.1818 144.6 0 143.3 0 142C0 134.3 6.284 128 14.03 128H56C61.04 128 65.78 130.4 68.8 134.4L112 192H214.9L165.8 20.4C162.9 10.17 170.6 0 181.2 0H237.4C248.9 0 259.5 6.153 265.2 16.12L365.7 192H482.3z"],
    "plane-arrival": [640, 512, [128748], "f5af", "M.2528 166.9L.0426 67.99C.0208 57.74 9.508 50.11 19.51 52.34L55.07 60.24C65.63 62.58 74.29 70.11 78.09 80.24L95.1 127.1L223.3 165.6L181.8 20.4C178.9 10.18 186.6 .001 197.2 .001H237.3C248.8 .001 259.5 6.236 265.2 16.31L374.2 210.2L481.5 241.8C497.4 246.5 512.2 254.3 525.2 264.7L559.6 292.2C583.7 311.4 577.7 349.5 548.9 360.5C507.7 376.1 462.7 378.5 420.1 367.4L121.7 289.8C110.6 286.9 100.5 281.1 92.4 272.9L9.536 189.4C3.606 183.4 .2707 175.3 .2528 166.9V166.9zM608 448C625.7 448 640 462.3 640 480C640 497.7 625.7 512 608 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H608zM192 368C192 385.7 177.7 400 160 400C142.3 400 128 385.7 128 368C128 350.3 142.3 336 160 336C177.7 336 192 350.3 192 368zM224 384C224 366.3 238.3 352 256 352C273.7 352 288 366.3 288 384C288 401.7 273.7 416 256 416C238.3 416 224 401.7 224 384z"],
    "plane-circle-check": [640, 512, [], "e555", "M320 93.68V178.3L397.1 222.4C350.6 254 320 307.4 320 368C320 422.2 344.5 470.7 383.1 502.1C381 508.3 375.9 512 369.1 512C368.7 512 367.4 511.8 366.1 511.5L256 480L145.9 511.5C144.6 511.8 143.3 512 142 512C134.3 512 128 505.7 128 497.1V456C128 450.1 130.4 446.2 134.4 443.2L192 400V329.1L20.4 378.2C10.17 381.1 0 373.4 0 362.8V297.3C0 291.5 3.076 286.2 8.062 283.4L192 178.3V93.68C192 59.53 221 0 256 0C292 0 320 59.53 320 93.68H320zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM540.7 324.7L480 385.4L451.3 356.7C445.1 350.4 434.9 350.4 428.7 356.7C422.4 362.9 422.4 373.1 428.7 379.3L468.7 419.3C474.9 425.6 485.1 425.6 491.3 419.3L563.3 347.3C569.6 341.1 569.6 330.9 563.3 324.7C557.1 318.4 546.9 318.4 540.7 324.7H540.7z"],
    "plane-circle-exclamation": [640, 512, [], "e556", "M320 93.68V178.3L397.1 222.4C350.6 254 320 307.4 320 368C320 422.2 344.5 470.7 383.1 502.1C381 508.3 375.9 512 369.1 512C368.7 512 367.4 511.8 366.1 511.5L256 480L145.9 511.5C144.6 511.8 143.3 512 142 512C134.3 512 128 505.7 128 497.1V456C128 450.1 130.4 446.2 134.4 443.2L192 400V329.1L20.4 378.2C10.17 381.1 0 373.4 0 362.8V297.3C0 291.5 3.076 286.2 8.062 283.4L192 178.3V93.68C192 59.53 221 0 256 0C292 0 320 59.53 320 93.68H320zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 464C509.3 464 520 453.3 520 440C520 426.7 509.3 416 496 416C482.7 416 472 426.7 472 440C472 453.3 482.7 464 496 464zM479.1 288V368C479.1 376.8 487.2 384 495.1 384C504.8 384 511.1 376.8 511.1 368V288C511.1 279.2 504.8 272 495.1 272C487.2 272 479.1 279.2 479.1 288z"],
    "plane-circle-xmark": [640, 512, [], "e557", "M320 93.68V178.3L397.1 222.4C350.6 254 320 307.4 320 368C320 422.2 344.5 470.7 383.1 502.1C381 508.3 375.9 512 369.1 512C368.7 512 367.4 511.8 366.1 511.5L256 480L145.9 511.5C144.6 511.8 143.3 512 142 512C134.3 512 128 505.7 128 497.1V456C128 450.1 130.4 446.2 134.4 443.2L192 400V329.1L20.4 378.2C10.17 381.1 0 373.4 0 362.8V297.3C0 291.5 3.076 286.2 8.062 283.4L192 178.3V93.68C192 59.53 221 0 256 0C292 0 320 59.53 320 93.68H320zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM555.3 331.3C561.6 325.1 561.6 314.9 555.3 308.7C549.1 302.4 538.9 302.4 532.7 308.7L496 345.4L459.3 308.7C453.1 302.4 442.9 302.4 436.7 308.7C430.4 314.9 430.4 325.1 436.7 331.3L473.4 368L436.7 404.7C430.4 410.9 430.4 421.1 436.7 427.3C442.9 433.6 453.1 433.6 459.3 427.3L496 390.6L532.7 427.3C538.9 433.6 549.1 433.6 555.3 427.3C561.6 421.1 561.6 410.9 555.3 404.7L518.6 368L555.3 331.3z"],
    "plane-departure": [640, 512, [128747], "f5b0", "M484.6 62C502.6 52.8 522.6 48 542.8 48H600.2C627.2 48 645.9 74.95 636.4 100.2C618.2 148.9 582.1 188.9 535.6 212.2L262.8 348.6C258.3 350.8 253.4 352 248.4 352H110.7C101.4 352 92.5 347.9 86.42 340.8L13.34 255.6C6.562 247.7 9.019 235.5 18.33 230.8L50.49 214.8C59.05 210.5 69.06 210.2 77.8 214.1L135.1 239.1L234.6 189.7L87.64 95.2C77.21 88.49 78.05 72.98 89.14 67.43L135 44.48C150.1 36.52 169.5 35.55 186.1 41.8L381 114.9L484.6 62zM0 480C0 462.3 14.33 448 32 448H608C625.7 448 640 462.3 640 480C640 497.7 625.7 512 608 512H32C14.33 512 0 497.7 0 480z"],
    "plane-engines": [576, 512, [9992, "plane-alt"], "f3de", "M482.3 320H365.7L328.5 385.1C342 388.9 352 401.3 352 416C352 433.7 337.7 448 320 448H292.6L265.2 495.9C259.5 505.8 248.9 512 237.4 512H181.2C170.6 512 162.9 501.8 165.8 491.6L214.9 320H112L68.8 377.6C65.78 381.6 61.04 384 56 384H14.03C6.284 384 .0003 377.7 .0003 369.1C.0003 368.7 .1821 367.4 .5402 366.1L23.21 286.8C9.809 282.1 0 270.6 0 256C0 241.4 9.809 229 23.21 225.2L.5402 145.9C.1821 144.6 .0003 143.3 .0003 142C.0003 134.3 6.284 128 14.03 128H56C61.04 128 65.78 130.4 68.8 134.4L112 192H214.9L165.8 20.4C162.9 10.17 170.6 0 181.2 0H237.4C248.9 0 259.5 6.153 265.2 16.12L292.6 64H320C337.7 64 352 78.33 352 96C352 110.7 342 123.1 328.5 126.9L365.7 192H482.3C516.5 192 576 221 576 256C576 292 516.5 320 482.3 320H482.3z"],
    "plane-lock": [640, 512, [], "e558", "M192 93.68C192 59.53 221 0 256 0C292 0 320 59.53 320 93.68V178.3L421.8 236.4C418 247.6 416 259.6 416 272V296.6C398.1 306.9 385.7 325.7 384.2 347.5L320 329.1V400L377.6 443.2C381.6 446.2 384 450.1 384 456V497.1C384 505.7 377.7 512 369.1 512C368.7 512 367.4 511.8 366.1 511.5L256 480L145.9 511.5C144.6 511.8 143.3 512 142 512C134.3 512 128 505.7 128 497.1V456C128 450.1 130.4 446.2 134.4 443.2L192 400V329.1L20.4 378.2C10.17 381.1 0 373.4 0 362.8V297.3C0 291.5 3.076 286.2 8.062 283.4L192 178.3L192 93.68zM528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320V272C448 227.8 483.8 192 528 192zM528 240C510.3 240 496 254.3 496 272V320H560V272C560 254.3 545.7 240 528 240z"],
    "plane-prop": [576, 512, [], "e22b", "M240 384L231.7 317.6L121.7 306.6L113.8 369.1C112.8 377.1 105.9 384 97.88 384H62.12C54.06 384 47.25 377.1 46.25 369.1L35.97 287.8C34.67 287.9 33.34 288 32 288C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224C33.34 224 34.67 224.1 35.97 224.2L46.25 142C47.25 134 54.06 128 62.12 128H97.88C105.9 128 112.8 134 113.8 142L121.7 205.4L231.7 194.4L240 128H224C206.3 128 192 113.7 192 96C192 78.33 206.3 64 224 64H248L254.2 14.02C255.2 6.009 262.1 0 270.1 0H305.9C313.9 0 320.8 6.009 321.8 14.02L328 64H368V48C368 39.16 375.2 32 384 32C392.8 32 400 39.16 400 48V80C408.8 80 416 87.16 416 96C416 104.8 408.8 112 400 112V144C400 152.8 392.8 160 384 160C375.2 160 368 152.8 368 144V128H336L344 192H482.3C516.5 192 576 221 576 256C576 292 516.5 320 482.3 320H344L336 384H368V368C368 359.2 375.2 352 384 352C392.8 352 400 359.2 400 368V400C408.8 400 416 407.2 416 416C416 424.8 408.8 432 400 432V464C400 472.8 392.8 480 384 480C375.2 480 368 472.8 368 464V448H328L321.8 497.1C320.8 505.1 313.9 512 305.9 512H270.1C262.1 512 255.2 505.1 254.2 497.1L248 448H224C206.3 448 192 433.7 192 416C192 398.3 206.3 384 224 384H240z"],
    "plane-slash": [640, 512, [], "e069", "M238.1 161.3L197.8 20.4C194.9 10.17 202.6-.0001 213.2-.0001H269.4C280.9-.0001 291.5 6.153 297.2 16.12L397.7 192H514.3C548.5 192 608 221 608 256C608 292 548.5 320 514.3 320H440.6L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.237 28.37-3.065 38.81 5.112L238.1 161.3zM41.54 128.7L362.5 381.6L297.2 495.9C291.5 505.8 280.9 512 269.4 512H213.2C202.6 512 194.9 501.8 197.8 491.6L246.9 319.1H144L100.8 377.6C97.78 381.6 93.04 384 88 384H46.03C38.28 384 32 377.7 32 369.1C32 368.7 32.18 367.4 32.54 366.1L64 255.1L32.54 145.9C32.18 144.6 32 143.3 32 142C32 135.9 35.1 130.6 41.54 128.7V128.7z"],
    "plane-tail": [576, 512, [], "e22c", "M93.47 308.8L32.78 39.02C28.28 19.02 43.49 0 63.1 0H140.9C158.2 0 174.8 7.025 186.9 19.47L416 256H544V512H299.7C289.1 512 278.5 510.1 268.5 506.3L72.38 431.9C48.07 422.7 31.1 399.4 31.1 373.4C31.1 345.2 50.8 320.5 77.93 313.1L93.47 308.8zM248 352C234.7 352 224 362.7 224 376C224 389.3 234.7 400 248 400H392C405.3 400 416 389.3 416 376C416 362.7 405.3 352 392 352H248z"],
    "plane-up": [512, 512, [], "e22d", "M192 93.68C192 59.53 221 0 256 0C292 0 320 59.53 320 93.68V160L497.8 278.5C506.7 284.4 512 294.4 512 305.1V361.8C512 372.7 501.3 380.4 490.9 376.1L320 319.1V400L377.6 443.2C381.6 446.2 384 450.1 384 456V497.1C384 505.7 377.7 512 369.1 512C368.7 512 367.4 511.8 366.1 511.5L256 480L145.9 511.5C144.6 511.8 143.3 512 142 512C134.3 512 128 505.7 128 497.1V456C128 450.1 130.4 446.2 134.4 443.2L192 400V319.1L21.06 376.1C10.7 380.4 0 372.7 0 361.8V305.1C0 294.4 5.347 284.4 14.25 278.5L192 160L192 93.68z"],
    "plane-up-slash": [640, 512, [], "e22e", "M245.4 167.1L255.1 160V93.68C255.1 59.53 284.1 .0003 319.1 .0003C356 .0003 384 59.53 384 93.68V160L561.8 278.5C570.7 284.4 576 294.4 576 305.1V361.8C576 372.7 565.3 380.4 554.9 376.1L482.4 352.8L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L245.4 167.1zM161.3 223.1L445.9 447.3C447.3 449.7 448 452.4 448 455.3V497.1C448 505.7 441.7 512 433.1 512C432.7 512 431.4 511.8 430.1 511.5L319.1 480L209.9 511.5C208.6 511.8 207.3 512 206 512C198.3 512 191.1 505.7 191.1 497.1V456C191.1 450.1 194.4 446.2 198.4 443.2L255.1 400V320L85.06 376.1C74.7 380.4 63.1 372.7 63.1 361.8V305.1C63.1 294.4 69.35 284.4 78.25 278.5L161.3 223.1z"],
    "planet-moon": [576, 512, [], "e01f", "M512 0c-35.38 0-64 28.62-64 64s28.62 63.1 64 63.1s64-28.62 64-63.1S547.4 0 512 0zM224 64C100.2 64 0 164.2 0 288s100.2 224 224 224s224-100.2 224-224S347.8 64 224 64zM320 336.9c0 10-2.375 19.75-6.75 28.62l-40.38 80.63c-4 8.25-11.88 14-20.88 15.5c-3.375 .625-6.875 1-10.38 1.375c-4.5 .5-9-.9995-12.38-4C225.9 455.9 224 451.6 224 447.1V384c-17.62 0-32-14.38-32-32v-32L137.4 265.4C131.4 259.4 123.2 256 114.8 256H89.75C68.1 256 55.25 234.5 63.75 215.5C91.38 154.5 152.8 112 224 112h4.5C243.9 112.6 256 125.2 256 140.6C256 153.2 252.3 165.6 245.3 176.1L195.5 233.5c-11 12.62-10.25 31.75 1.625 43.63C204.1 284.1 213.5 288 223.5 288H288c17.62 0 32 14.38 32 32V336.9z"],
    "planet-ringed": [512, 512, [129680], "e020", "M502.9 9.049c-23.5-23.5-88.26 .0789-167.1 54.84c-75.51-31.25-165.5-16.3-226.9 44.95c-61.26 61.38-76.21 151.4-44.95 226.9c-54.76 78.89-78.34 143.6-54.84 167.1c37.13 37.25 177.9-43.15 314.3-179.5S540.2 46.18 502.9 9.049zM346.5 346.5c-38.13 38.13-84.14 78.89-130.8 113.6c68.13 13.38 138.4-8.001 187.4-57.13c49.01-49.01 70.38-119.4 56.88-187.4C423.9 264.2 382.1 310.9 346.5 346.5z"],
    "plant-wilt": [512, 512, [], "e5aa", "M288 512H224V248C224 217.1 198.9 192 168 192C137.1 192 112 217.1 112 248V260.1C141.3 270.9 160 295.5 160 331.1C160 359.1 124.2 410.5 80 448C35.83 410.5 0 360.4 0 331.1C0 295.5 18.67 270.9 48 260.1V248C48 181.7 101.7 128 168 128C188.2 128 207.3 133 224 141.8V120C224 53.73 277.7 0 344 0C410.3 0 464 53.73 464 120V132.1C493.3 142.9 512 167.5 512 203.1C512 231.1 476.2 282.5 432 320C387.8 282.5 352 232.4 352 203.1C352 167.5 370.7 142.9 400 132.1V120C400 89.07 374.9 64 344 64C313.1 64 288 89.07 288 120V512z"],
    "plate-utensils": [640, 512, [58713], "e43b", "M130.3 233.8H120V472C120 478.4 117.5 484.5 112.1 488.1C108.5 493.5 102.4 496 96 496C89.63 496 83.53 493.5 79.03 488.1C74.53 484.5 72 478.4 72 472V233.8H61.86C43.86 230.3 27.64 220.7 15.1 206.6C9.007 197.8 4.107 187.6 1.678 176.7C-.7521 165.8-.6475 154.5 1.984 143.6L27.87 26.75C28.63 23.48 30.56 20.59 33.3 18.64C36.04 16.7 39.4 15.83 42.75 16.19C46.09 16.56 49.18 18.14 51.43 20.64C53.69 23.13 54.95 26.37 54.98 29.73V153.2H69.89L84.54 26.21C84.88 23.4 86.23 20.81 88.34 18.93C90.46 17.05 93.19 16.01 96.02 16.01C98.84 16.01 101.6 17.05 103.7 18.93C105.8 20.81 107.2 23.4 107.5 26.21L122.1 153.2H137V29.73C137.1 26.37 138.3 23.13 140.6 20.64C142.8 18.14 145.9 16.56 149.3 16.19C152.6 15.83 155.1 16.7 158.7 18.64C161.4 20.59 163.4 23.48 164.1 26.75L190 143.6C192.7 154.4 192.8 165.7 190.4 176.6C188 187.5 183.1 197.7 176.2 206.5C164.5 220.6 148.3 230.3 130.3 233.8zM624.3 18.08C627.4 19.41 630.3 21.35 632.6 23.79C635 26.22 636.9 29.1 638.2 32.26C639.4 35.43 640 38.8 640 42.21V472C640 478.4 637.5 484.5 632.1 488.1C628.5 493.5 622.4 496 616 496C609.6 496 603.5 493.5 599 488.1C594.5 484.5 592 478.4 592 472V320H544C535.5 320 527.4 316.6 521.4 310.6C515.4 304.6 512 296.5 512 288L512.4 158.2C512.2 128.3 520.8 99 537.3 74.02C553.7 49.05 577.2 29.51 604.8 17.89C607.8 16.64 611.1 15.1 614.4 16C617.8 16.03 621.2 16.74 624.3 18.07V18.08zM221 136.5L206.9 72.86C249.5 42.74 301.3 28.49 353.4 32.58C405.4 36.67 454.3 58.85 491.7 95.26C484.4 115.4 480.6 136.7 480.5 158.1V188.3C469.6 164.9 453.3 144.5 432.8 128.8C412.3 113.2 388.3 102.7 362.9 98.31C337.5 93.94 311.4 95.79 286.9 103.7C262.4 111.6 240.1 125.4 222.1 143.8C221.7 141.4 221.8 139 221 136.5zM426.5 165.5C450.5 189.5 464 222.1 464 256C464 281.3 456.5 306.1 442.4 327.1C428.4 348.2 408.4 364.6 384.1 374.3C361.6 383.9 335.9 386.5 311 381.5C286.2 376.6 263.4 364.4 245.5 346.5C227.6 328.6 215.4 305.8 210.5 280.1C205.5 256.1 208.1 230.4 217.7 207C227.4 183.6 243.8 163.6 264.9 149.6C285.9 135.5 310.7 128 336 128C369.9 128 402.5 141.5 426.5 165.5zM498.8 333.3C509.4 343.9 523.5 350.4 538.4 351.6C521.7 387.2 495.9 417.7 463.6 440.1C431.3 462.5 393.6 476.1 354.5 479.3C315.3 482.5 275.9 475.4 240.4 458.6C204.9 441.8 174.4 415.9 152 383.6V260.9C160.7 257.8 169 253.6 176.8 248.4C176.6 250.1 176 253.4 176 256C175.1 293.4 189 329.6 212.9 358.4C236.9 387.1 270.1 406.5 306.9 413.3C343.7 420.1 381.6 413.7 414.2 395.3C446.8 376.1 471.9 347.8 485.1 312.8C488.3 320.5 492.1 327.4 498.8 333.3H498.8z"],
    "plate-wheat": [512, 512, [], "e55a", "M256 112V128C256 136.8 248.8 144 240 144C195.8 144 160 108.2 160 64V48C160 39.16 167.2 32 176 32C220.2 32 256 67.82 256 112zM104 64C117.3 64 128 74.75 128 88C128 101.3 117.3 112 104 112H56C42.75 112 32 101.3 32 88C32 74.75 42.75 64 56 64H104zM136 136C149.3 136 160 146.7 160 160C160 173.3 149.3 184 136 184H24C10.75 184 0 173.3 0 160C0 146.7 10.75 136 24 136H136zM32 232C32 218.7 42.75 208 56 208H104C117.3 208 128 218.7 128 232C128 245.3 117.3 256 104 256H56C42.75 256 32 245.3 32 232zM272 48C272 39.16 279.2 32 288 32C332.2 32 368 67.82 368 112V128C368 136.8 360.8 144 352 144C307.8 144 272 108.2 272 64V48zM480 112V128C480 136.8 472.8 144 464 144C419.8 144 384 108.2 384 64V48C384 39.16 391.2 32 400 32C444.2 32 480 67.82 480 112zM480 208C480 252.2 444.2 288 400 288C391.2 288 384 280.8 384 272V256C384 211.8 419.8 176 464 176C472.8 176 480 183.2 480 192V208zM352 176C360.8 176 368 183.2 368 192V208C368 252.2 332.2 288 288 288C279.2 288 272 280.8 272 272V256C272 211.8 307.8 176 352 176zM256 208C256 252.2 220.2 288 176 288C167.2 288 160 280.8 160 272V256C160 211.8 195.8 176 240 176C248.8 176 256 183.2 256 192V208zM3.451 347.6C1.618 332.9 13.05 320 27.82 320H484.2C498.1 320 510.4 332.9 508.6 347.6C502.3 397.8 464.2 437 416 446V448C416 465.7 401.7 480 384 480H127.1C110.3 480 95.1 465.7 95.1 448V446C47.84 437 9.724 397.8 3.45 347.6H3.451z"],
    "play": [384, 512, [9654], "f04b", "M361 215C375.3 223.8 384 239.3 384 256C384 272.7 375.3 288.2 361 296.1L73.03 472.1C58.21 482 39.66 482.4 24.52 473.9C9.377 465.4 0 449.4 0 432V80C0 62.64 9.377 46.63 24.52 38.13C39.66 29.64 58.21 29.99 73.03 39.04L361 215z"],
    "play-pause": [512, 512, [], "e22f", "M52.51 71.41C31.88 54.28 0 68.66 0 96.03v319.9c0 27.37 31.88 41.74 52.51 24.62l192-159.1c15.25-12.87 15.25-36.37 0-49.24L52.51 71.41zM352 64c-17.67 0-32.03 14.33-32.03 32v320c0 17.67 14.33 32 32 32C369.6 448 384 433.7 384 416V96C384 78.33 369.7 64 352 64zM480 64c-17.67 0-32.03 14.33-32.03 32v320c0 17.67 14.33 32 32 32C497.6 448 512 433.7 512 416V96C512 78.33 497.7 64 480 64z"],
    "plug": [384, 512, [128268], "f1e6", "M96 0C113.7 0 128 14.33 128 32V128H64V32C64 14.33 78.33 0 96 0zM288 0C305.7 0 320 14.33 320 32V128H256V32C256 14.33 270.3 0 288 0zM352 160C369.7 160 384 174.3 384 192C384 209.7 369.7 224 352 224V256C352 333.4 297 397.1 224 412.8V512H160V412.8C86.97 397.1 32 333.4 32 256V224C14.33 224 0 209.7 0 192C0 174.3 14.33 160 32 160H352z"],
    "plug-circle-bolt": [576, 512, [], "e55b", "M96 0C113.7 0 128 14.33 128 32V128H64V32C64 14.33 78.33 0 96 0zM288 0C305.7 0 320 14.33 320 32V128H256V32C256 14.33 270.3 0 288 0zM352 160C369.7 160 384 174.3 384 192C384 194.3 383.7 196.6 383.3 198.8C309.8 219.1 256 287.7 256 368C256 379.4 257.1 390.5 259.1 401.3C248.1 406.4 236.3 410.3 224 412.8V512H160V412.8C86.97 397.1 32 333.4 32 256V224C14.33 224 0 209.7 0 192C0 174.3 14.33 160 32 160H352zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM464.8 286.4L368.8 358.4C364.7 361.5 362.1 366.9 364.6 371.8C366.2 376.7 370.8 380 376 380H411.6L381.5 434.2C378.8 439.1 379.8 445.3 384.1 449C388.4 452.8 394.7 452.1 399.2 449.6L495.2 377.6C499.3 374.5 501 369.1 499.4 364.2C497.8 359.3 493.2 356 488 356H452.4L482.5 301.8C485.2 296.9 484.2 290.7 479.9 286.1C475.6 283.2 469.3 283 464.8 286.4V286.4z"],
    "plug-circle-check": [576, 512, [], "e55c", "M96 0C113.7 0 128 14.33 128 32V128H64V32C64 14.33 78.33 0 96 0zM288 0C305.7 0 320 14.33 320 32V128H256V32C256 14.33 270.3 0 288 0zM352 160C369.7 160 384 174.3 384 192C384 194.3 383.7 196.6 383.3 198.8C309.8 219.1 256 287.7 256 368C256 379.4 257.1 390.5 259.1 401.3C248.1 406.4 236.3 410.3 224 412.8V512H160V412.8C86.97 397.1 32 333.4 32 256V224C14.33 224 0 209.7 0 192C0 174.3 14.33 160 32 160H352zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM476.7 324.7L416 385.4L387.3 356.7C381.1 350.4 370.9 350.4 364.7 356.7C358.4 362.9 358.4 373.1 364.7 379.3L404.7 419.3C410.9 425.6 421.1 425.6 427.3 419.3L499.3 347.3C505.6 341.1 505.6 330.9 499.3 324.7C493.1 318.4 482.9 318.4 476.7 324.7H476.7z"],
    "plug-circle-exclamation": [576, 512, [], "e55d", "M96 0C113.7 0 128 14.33 128 32V128H64V32C64 14.33 78.33 0 96 0zM288 0C305.7 0 320 14.33 320 32V128H256V32C256 14.33 270.3 0 288 0zM352 160C369.7 160 384 174.3 384 192C384 194.3 383.7 196.6 383.3 198.8C309.8 219.1 256 287.7 256 368C256 379.4 257.1 390.5 259.1 401.3C248.1 406.4 236.3 410.3 224 412.8V512H160V412.8C86.97 397.1 32 333.4 32 256V224C14.33 224 0 209.7 0 192C0 174.3 14.33 160 32 160H352zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 464C445.3 464 456 453.3 456 440C456 426.7 445.3 416 432 416C418.7 416 408 426.7 408 440C408 453.3 418.7 464 432 464zM415.1 288V368C415.1 376.8 423.2 384 431.1 384C440.8 384 447.1 376.8 447.1 368V288C447.1 279.2 440.8 272 431.1 272C423.2 272 415.1 279.2 415.1 288z"],
    "plug-circle-minus": [576, 512, [], "e55e", "M96 0C113.7 0 128 14.33 128 32V128H64V32C64 14.33 78.33 0 96 0zM288 0C305.7 0 320 14.33 320 32V128H256V32C256 14.33 270.3 0 288 0zM352 160C369.7 160 384 174.3 384 192C384 194.3 383.7 196.6 383.3 198.8C309.8 219.1 256 287.7 256 368C256 379.4 257.1 390.5 259.1 401.3C248.1 406.4 236.3 410.3 224 412.8V512H160V412.8C86.97 397.1 32 333.4 32 256V224C14.33 224 0 209.7 0 192C0 174.3 14.33 160 32 160H352zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM496 351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H496C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1z"],
    "plug-circle-plus": [576, 512, [], "e55f", "M96 0C113.7 0 128 14.33 128 32V128H64V32C64 14.33 78.33 0 96 0zM288 0C305.7 0 320 14.33 320 32V128H256V32C256 14.33 270.3 0 288 0zM352 160C369.7 160 384 174.3 384 192C384 194.3 383.7 196.6 383.3 198.8C309.8 219.1 256 287.7 256 368C256 379.4 257.1 390.5 259.1 401.3C248.1 406.4 236.3 410.3 224 412.8V512H160V412.8C86.97 397.1 32 333.4 32 256V224C14.33 224 0 209.7 0 192C0 174.3 14.33 160 32 160H352zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM448 303.1C448 295.2 440.8 287.1 432 287.1C423.2 287.1 416 295.2 416 303.1V351.1H368C359.2 351.1 352 359.2 352 367.1C352 376.8 359.2 383.1 368 383.1H416V431.1C416 440.8 423.2 447.1 432 447.1C440.8 447.1 448 440.8 448 431.1V383.1H496C504.8 383.1 512 376.8 512 367.1C512 359.2 504.8 351.1 496 351.1H448V303.1z"],
    "plug-circle-xmark": [576, 512, [], "e560", "M96 0C113.7 0 128 14.33 128 32V128H64V32C64 14.33 78.33 0 96 0zM288 0C305.7 0 320 14.33 320 32V128H256V32C256 14.33 270.3 0 288 0zM352 160C369.7 160 384 174.3 384 192C384 194.3 383.7 196.6 383.3 198.8C309.8 219.1 256 287.7 256 368C256 379.4 257.1 390.5 259.1 401.3C248.1 406.4 236.3 410.3 224 412.8V512H160V412.8C86.97 397.1 32 333.4 32 256V224C14.33 224 0 209.7 0 192C0 174.3 14.33 160 32 160H352zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM491.3 331.3C497.6 325.1 497.6 314.9 491.3 308.7C485.1 302.4 474.9 302.4 468.7 308.7L432 345.4L395.3 308.7C389.1 302.4 378.9 302.4 372.7 308.7C366.4 314.9 366.4 325.1 372.7 331.3L409.4 368L372.7 404.7C366.4 410.9 366.4 421.1 372.7 427.3C378.9 433.6 389.1 433.6 395.3 427.3L432 390.6L468.7 427.3C474.9 433.6 485.1 433.6 491.3 427.3C497.6 421.1 497.6 410.9 491.3 404.7L454.6 368L491.3 331.3z"],
    "plus": [448, 512, [10133, 61543, "add"], "2b", "M432 256c0 17.69-14.33 32.01-32 32.01H256v144c0 17.69-14.33 31.99-32 31.99s-32-14.3-32-31.99v-144H48c-17.67 0-32-14.32-32-32.01s14.33-31.99 32-31.99H192v-144c0-17.69 14.33-32.01 32-32.01s32 14.32 32 32.01v144h144C417.7 224 432 238.3 432 256z"],
    "plus-large": [512, 512, [], "e59e", "M288 224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H288V480C288 497.7 273.7 512 255.1 512C238.3 512 223.1 497.7 223.1 480V288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H223.1V32C223.1 14.33 238.3 0 255.1 0C273.7 0 288 14.33 288 32V224z"],
    "plus-minus": [384, 512, [], "e43c", "M352 448H32c-17.69 0-32 14.31-32 32s14.31 31.1 32 31.1h320c17.69 0 32-14.31 32-31.1S369.7 448 352 448zM48 208H160v111.1c0 17.69 14.31 31.1 32 31.1s32-14.31 32-31.1V208h112c17.69 0 32-14.32 32-32.01s-14.31-31.99-32-31.99H224v-112c0-17.69-14.31-32.01-32-32.01S160 14.33 160 32.01v112H48c-17.69 0-32 14.31-32 31.99S30.31 208 48 208z"],
    "podcast": [448, 512, [], "f2ce", "M224 0C100.3 0 0 100.3 0 224c0 92.22 55.77 171.4 135.4 205.7c-3.48-20.75-6.17-41.59-6.998-58.15C80.08 340.1 48 285.8 48 224c0-97.05 78.95-176 176-176s176 78.95 176 176c0 61.79-32.08 116.1-80.39 147.6c-.834 16.5-3.541 37.37-7.035 58.17C392.2 395.4 448 316.2 448 224C448 100.3 347.7 0 224 0zM224 312c-32.88 0-64 8.625-64 43.75c0 33.13 12.88 104.3 20.62 132.8C185.8 507.6 205.1 512 224 512s38.25-4.375 43.38-23.38C275.1 459.9 288 388.8 288 355.8C288 320.6 256.9 312 224 312zM224 280c30.95 0 56-25.05 56-56S254.1 168 224 168S168 193 168 224S193 280 224 280zM368 224c0-79.53-64.47-144-144-144S80 144.5 80 224c0 44.83 20.92 84.38 53.04 110.8c4.857-12.65 14.13-25.88 32.05-35.04C165.1 299.7 165.4 299.7 165.6 299.7C142.9 282.1 128 254.9 128 224c0-53.02 42.98-96 96-96s96 42.98 96 96c0 30.92-14.87 58.13-37.57 75.68c.1309 .0254 .5078 .0488 .4746 .0742c17.93 9.16 27.19 22.38 32.05 35.04C347.1 308.4 368 268.8 368 224z"],
    "podium": [448, 512, [], "f680", "M108.8 511.1h230.4c16.31 0 30.16-12.26 31.96-28.47L400 223.1h-352l28.84 259.5C78.64 499.7 92.49 511.1 108.8 511.1zM424 143.1L127.4 143.1c6.375-30.88 30.75-55.25 62.75-61.1C198.8 90.62 210.8 95.1 224 95.1l62.2 .0001c23.21 0 44.5-15.69 48.89-38.48C340.1 26.85 317.6 0 288 0h-64c-22 0-40.5 15-46.13 35.25c-52 11.62-91.75 55-98.5 108.8L23.1 143.1C10.75 143.1 0 154.7 0 167.1c0 13.25 10.75 24 23.1 24h400c13.25 0 24-10.75 24-24C448 154.7 437.3 143.1 424 143.1z"],
    "podium-star": [448, 512, [], "f758", "M448 167.1c0 13.25-10.75 24-24 24h-400C10.75 191.1 0 181.3 0 167.1c0-13.25 10.75-24 23.1-24L79.38 143.1c6.75-53.75 46.5-97.13 98.5-108.8C183.5 14.1 201.1 0 224 0l62.2-.0001c23.21 0 44.5 15.69 48.89 38.48C340.1 69.15 317.6 95.1 288 95.1h-64c-13.25 0-25.25-5.375-33.88-13.1c-32 6.749-56.38 31.12-62.75 61.1L424 143.1C437.3 143.1 448 154.7 448 167.1zM48 223.1h352l-28.84 259.5c-1.801 16.21-15.66 28.47-31.96 28.47H108.8c-16.31 0-30.16-12.26-31.96-28.47L48 223.1zM143.5 358.8l33 32.13l-7.75 45.5c-1.5 8.25 7.25 14.38 14.5 10.5l40.75-21.5l40.75 21.5c7.375 3.875 16-2.25 14.5-10.5l-7.75-45.5l33-32.13c5.875-5.875 2.625-16-5.625-17.12l-45.63-6.75l-20.38-41.38c-3.625-7.375-14.12-7.5-17.88 0l-20.38 41.38l-45.63 6.75C140.8 342.8 137.6 352.9 143.5 358.8z"],
    "police-box": [384, 512, [], "e021", "M192 0C200.8 0 208 7.164 208 16V32H288C305.7 32 320 46.33 320 64C337.7 64 352 78.33 352 96V464H360C373.3 464 384 474.7 384 488C384 501.3 373.3 512 360 512H24C10.75 512 0 501.3 0 488C0 474.7 10.75 464 24 464H32V96C32 78.33 46.33 64 64 64C64 46.33 78.33 32 96 32H176V16C176 7.164 183.2 0 192 0zM96 160H128V128H104C99.58 128 96 131.6 96 136V160zM96 200C96 204.4 99.58 208 104 208H128V176H96V200zM168 128H144V160H176V136C176 131.6 172.4 128 168 128zM144 208H168C172.4 208 176 204.4 176 200V176H144V208zM216 128C211.6 128 208 131.6 208 136V160H240V128H216zM240 176H208V200C208 204.4 211.6 208 216 208H240V176zM256 160H288V136C288 131.6 284.4 128 280 128H256V160zM288 176H256V208H280C284.4 208 288 204.4 288 200V176zM96 304C96 312.8 103.2 320 112 320H160C168.8 320 176 312.8 176 304V256C176 247.2 168.8 240 160 240H112C103.2 240 96 247.2 96 256V304z"],
    "poll-people": [640, 512, [], "f759", "M128 48C128 74.51 106.5 96 80 96C53.49 96 32 74.51 32 48C32 21.49 53.49 0 80 0C106.5 0 128 21.49 128 48zM592 32C618.5 32 640 53.49 640 80V144C640 170.5 618.5 192 592 192H272C245.5 192 224 170.5 224 144V80C224 53.49 245.5 32 272 32H592zM576 96H480V128H576V96zM592 320C618.5 320 640 341.5 640 368V432C640 458.5 618.5 480 592 480H272C245.5 480 224 458.5 224 432V368C224 341.5 245.5 320 272 320H592zM576 384H352V416H576V384zM96 128C131.3 128 160 156.7 160 192C160 209.7 145.7 224 128 224H32C14.33 224 0 209.7 0 192C0 156.7 28.65 128 64 128H96zM128 336C128 362.5 106.5 384 80 384C53.49 384 32 362.5 32 336C32 309.5 53.49 288 80 288C106.5 288 128 309.5 128 336zM96 416C131.3 416 160 444.7 160 480C160 497.7 145.7 512 128 512H32C14.33 512 0 497.7 0 480C0 444.7 28.65 416 64 416H96z"],
    "pompebled": [512, 512, [], "e43d", "M482.9 372.2C397.4 498.5 222.5 557.8 101.1 470.8C-20.76 383.8-28.62 196.7 56.88 70.4C103.1 1.486 188.6-20.65 247.5 21.1C294.2 53.3 302.1 127.7 265.2 194.6C259.3 203.2 261.3 214.8 269.7 220.8C278 226.8 289.3 224.8 295.2 216.3C343.4 157.9 414.1 138.8 460.3 172C519.3 213.8 529.1 303.8 482.9 372.2V372.2z"],
    "poo": [512, 512, [128169], "f2fe", "M451.4 369.1C468.8 356 480 335.4 480 312c0-39.75-32.25-72-72-72h-14.12C407.3 228.2 416 211.2 416 191.1c0-35.25-28.75-63.1-64-63.1h-5.875C349.8 117.9 352 107.2 352 95.1c0-53-43-96-96-96c-5.25 0-10.25 .75-15.12 1.5C250.3 14.62 256 30.62 256 47.1c0 44.25-35.75 80-80 80H160c-35.25 0-64 28.75-64 63.1c0 19.25 8.75 36.25 22.12 48H104C64.25 239.1 32 272.3 32 312c0 23.38 11.25 44 28.62 57.13C26.25 374.6 0 404.1 0 440C0 479.8 32.25 512 72 512h368c39.75 0 72-32.25 72-72C512 404.1 485.8 374.6 451.4 369.1zM192 256c17.75 0 32 14.25 32 32s-14.25 32-32 32S160 305.8 160 288S174.3 256 192 256zM351.5 395C340.1 422.9 292.1 448 256 448c-36.99 0-84.98-25.12-95.48-53C158.5 389.8 162.5 384 168.3 384h175.5C349.5 384 353.5 389.8 351.5 395zM320 320c-17.75 0-32-14.25-32-32s14.25-32 32-32s32 14.25 32 32S337.8 320 320 320z"],
    "poo-storm": [448, 512, ["poo-bolt"], "f75a", "M304 368H248.3l38.45-89.7c2.938-6.859 .7187-14.84-5.312-19.23c-6.096-4.422-14.35-4.031-19.94 .8906l-128 111.1c-5.033 4.391-6.783 11.44-4.439 17.67c2.346 6.25 8.314 10.38 14.97 10.38H199.7l-38.45 89.7c-2.938 6.859-.7187 14.84 5.312 19.23C169.4 510.1 172.7 512 175.1 512c3.781 0 7.531-1.328 10.53-3.953l128-111.1c5.033-4.391 6.783-11.44 4.439-17.67C316.6 372.1 310.7 368 304 368zM373.3 226.6C379.9 216.6 384 204.9 384 192c0-35.38-28.62-64-64-64h-5.875C317.8 118 320 107.3 320 96c0-53-43-96-96-96C218.9 0 213.9 .75 208.9 1.5C218.3 14.62 224 30.62 224 48C224 92.13 188.1 128 144 128H128C92.63 128 64 156.6 64 192c0 12.88 4.117 24.58 10.72 34.55C31.98 236.3 0 274.3 0 320c0 53.02 42.98 96 96 96h12.79c-4.033-4.414-7.543-9.318-9.711-15.1c-7.01-18.64-1.645-39.96 13.32-53.02l127.9-111.9C249.1 228.2 260.3 223.1 271.1 224c10.19 0 19.95 3.174 28.26 9.203c18.23 13.27 24.76 36.1 15.89 57.71l-19.33 45.1h7.195c19.89 0 37.95 12.51 44.92 31.11C355.3 384 351 402.8 339.1 416H352c53.02 0 96-42.98 96-96C448 274.3 416 236.3 373.3 226.6z"],
    "pool-8-ball": [512, 512, [], "e3c5", "M304 144C304 117.5 282.5 96 256 96S208 117.5 208 144c0 11.53 4.25 21.97 11.04 30.26C207.5 184.5 200 199.3 200 216C200 246.9 225.1 272 256 272s56-25.12 56-56c0-16.66-7.459-31.48-19.04-41.74C299.8 165.1 304 155.5 304 144zM256 128c8.828 0 16 7.188 16 16S264.8 160 256 160S240 152.8 240 144S247.2 128 256 128zM256 240c-13.23 0-24-10.78-24-24S242.8 192 256 192s24 10.78 24 24S269.2 240 256 240zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 320c-70.69 0-128-57.31-128-128c0-70.69 57.31-128 128-128s128 57.31 128 128C384 262.7 326.7 320 256 320z"],
    "poop": [512, 512, [], "f619", "M512 440.1C512 479.9 479.7 512 439.1 512H71.92C32.17 512 0 479.8 0 440c0-35.88 26.19-65.35 60.56-70.85C43.31 356 32 335.4 32 312C32 272.2 64.25 240 104 240h13.99C104.5 228.2 96 211.2 96 192c0-35.38 28.56-64 63.94-64h16C220.1 128 256 92.12 256 48c0-17.38-5.784-33.35-15.16-46.47C245.8 .7754 250.9 0 256 0c53 0 96 43 96 96c0 11.25-2.288 22-5.913 32h5.879C387.3 128 416 156.6 416 192c0 19.25-8.59 36.25-22.09 48H408C447.8 240 480 272.2 480 312c0 23.38-11.38 44.01-28.63 57.14C485.7 374.6 512 404.3 512 440.1z"],
    "popcorn": [448, 512, [127871], "f819", "M351.7 192c.002 .6739 .2344 1.297 .1484 1.984l-32 256c-1.016 8.094-7.906 14.02-15.86 14.02c-.6562 0-1.328-.0469-2-.125c-8.766-1.094-14.98-9.094-13.89-17.86l31.75-254H240v256c0 8.844-7.156 16-16 16s-16-7.157-16-16v-256H128.1l31.75 254c1.094 8.766-5.125 16.77-13.89 17.86c-.6719 .0782-1.344 .125-2 .125c-7.953 0-14.84-5.922-15.86-14.02l-32-256c-.0859-.6875 .1465-1.311 .1484-1.984H0l73.91 295.8C77.47 502 90.17 512 104.9 512l238.3-.0098c14.68-.002 27.35-9.948 30.91-24.2L448 192H351.7zM411.6 138.9c-7-11.88-19.38-19.63-33.13-20.75c6.5-11.75 6.375-25.88-.25-37.5c-9.125-16-28-23.63-45.63-20.13c-.25-16.63-11.5-32-29-37.5c-13.25-4.25-27.88-1.875-39.13 6.5c0-.75-.25-1.375-.625-2C256.7 6.343 232.7-4.782 210.5 1.969C197.5 5.969 187.2 16.22 183.1 29.22C171.1 21.09 157.5 18.84 144.4 23.09c-17.5 5.375-28.62 20.75-29 37.38c-17.62-3.5-36.5 4.125-45.63 20.13C62.1 92.1 62.87 106.5 69.5 118.1C55.1 119.4 43.12 126.7 36.37 138.9C32.5 145.6 31.62 152.9 32.12 159.1h383.8C416.4 152.9 415.5 145.6 411.6 138.9z"],
    "popsicle": [320, 512, [], "e43e", "M273.1 46.86C303.1 76.87 320 117.6 320 160V352C320 360.5 316.6 368.6 310.6 374.6C304.6 380.6 296.5 384 288 384H32C23.51 384 15.37 380.6 9.372 374.6C3.371 368.6 0 360.5 0 352V160C0 117.6 16.86 76.87 46.86 46.86C76.87 16.86 117.6 0 160 0C202.4 0 243.1 16.86 273.1 46.86zM128 416H192V480C192 488.5 188.6 496.6 182.6 502.6C176.6 508.6 168.5 512 160 512C151.5 512 143.4 508.6 137.4 502.6C131.4 496.6 128 488.5 128 480V416z"],
    "pot-food": [640, 512, [127858], "e43f", "M432 112c-50.66 0-92.96 33.85-106.8 80h213.6C524.1 145.8 482.7 112 432 112zM219.9 116.8C232.3 124.1 240 137.5 240 152.1V168C240 181.3 250.7 192 264 192S288 181.3 288 168V151.8c0-31.34-16.81-60.64-43.91-76.45C231.7 68.14 224 54.73 224 40.39V24C224 10.74 213.3 0 200 0S176 10.74 176 24v16.39C176 71.73 192.8 101 219.9 116.8zM592 256h-16.04c-.1055-17.7-14.39-31.99-31.94-32H256V223.1H96C78.44 223.1 64.15 238.3 64.04 256H48c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32h24.18c17.19 68.15 60.97 125.5 119.8 160c0 17.67 14.33 32 32 32h191.1c17.67 0 32-14.33 32-32c58.85-34.47 102.6-91.85 119.8-160H592c17.67 0 32-14.33 32-32C624 270.3 609.7 256 592 256zM107.9 116.8C120.3 124.1 128 137.5 128 152.1V168C128 181.3 138.7 192 152 192S176 181.3 176 168V151.8c0-31.34-16.81-60.64-43.91-76.45C119.7 68.14 112 54.73 112 40.39V24C112 10.74 101.3 0 88 0S64 10.74 64 24v16.39C64 71.73 80.81 101 107.9 116.8z"],
    "potato": [576, 512, [129364], "e440", "M529.3 87.18c-30.85-60.73-98.88-92.35-144.3-86.49c-43.85 5.441-72.88 33.98-96.27 56.97C272.9 73.3 257.9 88.08 241.1 93.7c-48.8 15.31-79 57.07-105.9 94.16c-11.44 15.79-22.23 30.72-33.41 42.06c-26.41 26.97-106.8 109-52.03 207.7c19.91 35.76 53.71 61.53 92.71 70.69C153.8 510.8 164.6 512 175.2 512c27.65 0 54.59-8.455 77.88-24.47c14.56-10.01 35.09-17.16 56.91-24.76c39.09-13.6 83.41-29.04 108.7-68.41c13.24-20.78 22.18-40.1 30.85-60.6c11.47-25.97 22.32-50.51 42.12-71.54C563.2 186.1 545.9 119.9 529.3 87.18zM192 436c-11.03 0-20-8.969-20-20S180.1 396 192 396S212 404.1 212 416S203 436 192 436zM224 244C212.1 244 204 235 204 224S212.1 204 224 204S244 212.1 244 224S235 244 224 244zM416 212c-11.03 0-20-8.969-20-20S404.1 172 416 172S436 180.1 436 192S427 212 416 212z"],
    "power-off": [512, 512, [9211], "f011", "M288 256C288 273.7 273.7 288 256 288C238.3 288 224 273.7 224 256V32C224 14.33 238.3 0 256 0C273.7 0 288 14.33 288 32V256zM80 256C80 353.2 158.8 432 256 432C353.2 432 432 353.2 432 256C432 201.6 407.3 152.9 368.5 120.6C354.9 109.3 353 89.13 364.3 75.54C375.6 61.95 395.8 60.1 409.4 71.4C462.2 115.4 496 181.8 496 255.1C496 388.5 388.5 496 256 496C123.5 496 16 388.5 16 255.1C16 181.8 49.75 115.4 102.6 71.4C116.2 60.1 136.4 61.95 147.7 75.54C158.1 89.13 157.1 109.3 143.5 120.6C104.7 152.9 80 201.6 80 256z"],
    "prescription": [448, 512, [], "f5b1", "M440.1 448.4l-96.28-96.21l95.87-95.95c9.373-9.381 9.373-24.59 0-33.97l-22.62-22.64c-9.373-9.381-24.57-9.381-33.94 0L288.1 295.6L220.5 228c46.86-22.92 76.74-75.46 64.95-133.1C273.9 38.74 221.8 0 164.6 0H31.1C14.33 0 0 14.34 0 32.03v264.1c0 13.26 10.75 24.01 23.1 24.01l31.1 .085c13.25 0 23.1-10.75 23.1-24.02V240.2H119.4l112.1 112L135.4 448.4c-9.373 9.381-9.373 24.59 0 33.97l22.62 22.64c9.373 9.38 24.57 9.38 33.94 0l96.13-96.21l96.28 96.21c9.373 9.381 24.57 9.381 33.94 0l22.62-22.64C450.3 472.9 450.3 457.7 440.1 448.4zM79.1 80.06h87.1c22.06 0 39.1 17.95 39.1 40.03s-17.94 40.03-39.1 40.03H79.1V80.06z"],
    "prescription-bottle": [384, 512, [], "f485", "M32 192h112C152.8 192 160 199.2 160 208C160 216.8 152.8 224 144 224H32v64h112C152.8 288 160 295.2 160 304C160 312.8 152.8 320 144 320H32v64h112C152.8 384 160 391.2 160 400C160 408.8 152.8 416 144 416H32v32c0 35.2 28.8 64 64 64h192c35.2 0 64-28.8 64-64V128H32V192zM360 0H24C10.75 0 0 10.75 0 24v48C0 85.25 10.75 96 24 96h336C373.3 96 384 85.25 384 72v-48C384 10.75 373.3 0 360 0z"],
    "prescription-bottle-medical": [384, 512, ["prescription-bottle-alt"], "f486", "M32 448c0 35.2 28.8 64 64 64h192c35.2 0 64-28.8 64-64V128H32V448zM96 304C96 295.2 103.2 288 112 288H160V240C160 231.2 167.2 224 176 224h32C216.8 224 224 231.2 224 240V288h48C280.8 288 288 295.2 288 304v32c0 8.799-7.199 16-16 16H224v48c0 8.799-7.199 16-16 16h-32C167.2 416 160 408.8 160 400V352H112C103.2 352 96 344.8 96 336V304zM360 0H24C10.75 0 0 10.75 0 24v48C0 85.25 10.75 96 24 96h336C373.3 96 384 85.25 384 72v-48C384 10.75 373.3 0 360 0z"],
    "presentation-screen": [576, 512, ["presentation"], "f685", "M543.1 0h-512C14.33 0 0 14.33 0 31.1c0 17.67 14.33 32.01 31.1 32.01L32 320c0 17.6 14.4 32 32 32L256 352v34.75L180.7 462.1c-6.256 6.257-6.277 16.46-.0208 22.71l22.54 22.54c6.256 6.257 16.47 6.255 22.73-.0018L288 445.3l61.1 62.01c6.256 6.257 16.47 6.259 22.73 .0018l22.54-22.54c6.256-6.257 6.235-16.46-.0208-22.71L320 386.8v-34.75l192-.0132c17.6 0 32-14.4 32-32l-.0007-256C561.7 64.01 576 49.68 576 32.01C576 14.33 561.7 0 543.1 0zM480 288H96V64.01h384V288z"],
    "pretzel": [576, 512, [129384], "e441", "M535.3 243.1C541.1 222.2 544 200.7 544 179.3C544 98.09 477.6 32 396 32C353.4 32 315 49.97 288 78.69C260.1 49.97 222.6 32 180 32C98.41 32 32 98.09 32 179.3c0 21.38 2.906 42.83 8.688 63.8c14.69 53.25 48 98.23 92.31 129.3l-31.75 44.2c-12.91 17.94-8.812 42.94 9.125 55.83c17.91 12.86 42.88 8.797 55.81-9.141l39.94-55.56c23.72 7.094 48.88 10.89 74.75 10.89h14.25c25.88 0 51.03-3.797 74.75-10.89l39.94 55.56C417.6 474.2 429.9 480 442.3 480c8.094 0 16.25-2.438 23.31-7.516c17.94-12.89 22.03-37.89 9.125-55.83L443 372.5C487.3 341.3 520.6 296.4 535.3 243.1zM228.6 239.4L179.7 307.5C149.8 286.9 127.5 257.1 117.8 221.9C113.1 207.9 112 193.5 112 179.3C112 142.2 142.5 112 180 112S248 142.2 248 179.3C248 201 241.3 221.8 228.6 239.4zM295.1 338.7H280.9c-8.094 0-16.09-.5313-23.94-1.562L288 293.9l31.06 43.23C311.2 338.1 303.2 338.7 295.1 338.7zM458.2 221.9c-9.719 35.22-32.03 64.98-61.84 85.67l-48.97-68.13C334.7 221.8 328 201 328 179.3C328 142.2 358.5 112 396 112S464 142.2 464 179.3C464 193.5 462 207.9 458.2 221.9z"],
    "print": [512, 512, [128424, 128438, 9113], "f02f", "M448 192H64C28.65 192 0 220.7 0 256v96c0 17.67 14.33 32 32 32h32v96c0 17.67 14.33 32 32 32h320c17.67 0 32-14.33 32-32v-96h32c17.67 0 32-14.33 32-32V256C512 220.7 483.3 192 448 192zM384 448H128v-96h256V448zM432 296c-13.25 0-24-10.75-24-24c0-13.27 10.75-24 24-24s24 10.73 24 24C456 285.3 445.3 296 432 296zM128 64h229.5L384 90.51V160h64V77.25c0-8.484-3.375-16.62-9.375-22.62l-45.25-45.25C387.4 3.375 379.2 0 370.8 0H96C78.34 0 64 14.33 64 32v128h64V64z"],
    "print-magnifying-glass": [640, 512, ["print-search"], "f81a", "M128 64h229.5l26.51 26.51L384 160h63.98l.0072-82.75c0-8.484-3.375-16.62-9.375-22.62l-45.25-45.25C387.4 3.375 379.2 0 370.8 0H96c-17.66 0-32 14.33-32 32v128h64.01L128 64zM635.3 462l-77.38-77.38c11.25-19 18.09-40.88 18.09-64.63c0-70.75-57.25-128-128-128c-70.76 0-128 57.25-128 128s57.25 128 128 128c23.75 0 45.66-6.875 64.66-18.12l77.38 77.38c6.25 6.25 16.46 6.271 22.71 .0208l22.54-22.54C641.6 478.5 641.6 468.3 635.3 462zM448 384c-35.38 0-64.01-28.62-64.01-64s28.63-64 64.01-64c35.38 0 64.01 28.63 64.01 64S483.4 384 448 384zM448 480c-35.73 0-68.51-12.09-95.01-32H128v-96h163.3c-2.109-10.34-3.294-21.04-3.294-32c0-52.53 25.71-98.81 64.92-128H64C28.65 192 0 220.7 0 256v96c0 17.67 14.33 32 32 32h32L64 480c0 17.67 14.33 32 32 32h320C433.7 512 448 497.7 448 480C448 480 448 480 448 480z"],
    "print-slash": [640, 512, [], "f686", "M448 447.8L192 448v-96h133.8L122.4 192.6C89.7 195.5 64 222.6 64 256v96c0 17.67 14.33 32 32 32h32v96c0 17.67 14.33 32 32 32h320c12.25 0 22.54-7.119 27.92-17.23L448 447.8zM630.8 469.1L522.2 384H544c17.67 0 32-14.33 32-32V256c0-35.35-28.65-64-64-64H277.3L192 125.2V64h229.5L448 90.51V160h64V77.25c0-8.484-3.375-16.62-9.375-22.62l-45.25-45.25C451.4 3.375 443.2 0 434.8 0H160C142.3 0 128 14.33 128 32v43.01L38.81 5.111C34.41 1.673 29.19 0 24.03 0c-7.125 0-14.19 3.158-18.91 9.189c-8.188 10.44-6.37 25.53 4.068 33.7l591.1 463.1c10.5 8.203 25.57 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1zM496 296c-13.25 0-24-10.75-24-24c0-13.27 10.75-24 24-24s24 10.73 24 24C520 285.3 509.3 296 496 296z"],
    "projector": [640, 512, [], "f8d6", "M416 128c13.25 0 24-10.75 24-24v-80C440 10.75 429.3 0 416 0s-24 10.75-24 24v80C392 117.3 402.8 128 416 128zM512 136c6.156 0 12.28-2.344 16.97-7.031l56-56c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0l-56 56c-9.375 9.375-9.375 24.56 0 33.94C499.7 133.7 505.8 136 512 136zM303 128.1C307.7 133.7 313.8 136 320 136s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94l-56-56c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L303 128.1zM592 192h-80.88C484.5 172.2 451.8 160 416 160s-68.47 12.16-95.12 32H48C21.5 192 0 213.5 0 240v160C0 426.5 21.5 448 48 448H64l13 51.88C78.75 507 85.13 512 92.5 512h39c7.375 0 13.75-5 15.5-12.12L160 448h160.9C347.5 467.8 380.2 480 416 480c24.44 0 47.34-5.912 68.05-15.71l8.945 35.58C494.8 507 501.1 512 508.5 512h39c7.375 0 13.75-5 15.5-12.12L576 448h16c26.5 0 48-21.5 48-48v-160C640 213.5 618.5 192 592 192zM96 352c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S113.6 352 96 352zM192 352c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S209.6 352 192 352zM416 416c-53.02 0-96-42.98-96-96s42.98-96 96-96s96 42.98 96 96S469 416 416 416z"],
    "pump": [640, 512, [], "e442", "M160 224H96v160h224V96H160V224zM32 192C14.4 192 0 206.3 0 224v160c0 17.66 14.4 32 32 32s32-14.34 32-32V224C64 206.3 49.6 192 32 192zM608 96h-140.5C454.7 96 442.2 99.74 432 106.8l-65.6 43.74C357.4 156.4 352 166.4 352 177.1v253.8c0 10.69 5.441 20.67 14.4 26.62L432 501.2C442.2 508.3 454.7 512 467.5 512H608c17.6 0 32-14.34 32-32V128C640 110.3 625.6 96 608 96zM560 416h-96c-8.961 0-16-7.168-16-16s7.039-16 16-16h96c8.961 0 16 7.168 16 16S568.1 416 560 416zM560 320h-96C455 320 448 312.8 448 304S455 288 464 288h96C568.1 288 576 295.2 576 304S568.1 320 560 320zM560 224h-96C455 224 448 216.8 448 208S455 192 464 192h96C568.1 192 576 199.2 576 208S568.1 224 560 224zM320 0H160C142.4 0 128 14.34 128 32s14.4 32 32 32h160c17.6 0 32-14.34 32-32S337.6 0 320 0z"],
    "pump-medical": [384, 512, [], "e06a", "M379.3 94.06l-43.32-43.32C323.1 38.74 307.7 32 290.8 32h-66.75c0-17.67-14.33-32-32-32H127.1c-17.67 0-32 14.33-32 32L96 128h128l-.0002-32h66.75l43.31 43.31c6.248 6.248 16.38 6.248 22.63 0l22.62-22.62C385.6 110.4 385.6 100.3 379.3 94.06zM235.6 160H84.37C51.27 160 23.63 185.2 20.63 218.2l-20.36 224C-3.139 479.7 26.37 512 64.01 512h191.1c37.63 0 67.14-32.31 63.74-69.79l-20.36-224C296.4 185.2 268.7 160 235.6 160zM239.1 333.3c0 7.363-5.971 13.33-13.33 13.33h-40v40c0 7.363-5.969 13.33-13.33 13.33h-26.67c-7.363 0-13.33-5.971-13.33-13.33v-40H93.33c-7.363 0-13.33-5.971-13.33-13.33V306.7c0-7.365 5.971-13.33 13.33-13.33h40v-40C133.3 245.1 139.3 240 146.7 240h26.67c7.363 0 13.33 5.969 13.33 13.33v40h40c7.363 0 13.33 5.969 13.33 13.33V333.3z"],
    "pump-soap": [384, 512, [], "e06b", "M235.6 160H84.37C51.27 160 23.63 185.2 20.63 218.2l-20.36 224C-3.139 479.7 26.37 512 64.01 512h191.1c37.63 0 67.14-32.31 63.74-69.79l-20.36-224C296.4 185.2 268.7 160 235.6 160zM159.1 416C124.7 416 96 389.7 96 357.3c0-25 38.08-75.47 55.5-97.27c4.25-5.312 12.75-5.312 17 0C185.9 281.8 224 332.3 224 357.3C224 389.7 195.3 416 159.1 416zM379.3 94.06l-43.32-43.32C323.1 38.74 307.7 32 290.8 32h-66.75c0-17.67-14.33-32-32-32H127.1c-17.67 0-32 14.33-32 32L96 128h128l-.0002-32h66.75l43.31 43.31c6.248 6.248 16.38 6.248 22.63 0l22.62-22.62C385.6 110.4 385.6 100.3 379.3 94.06z"],
    "pumpkin": [576, 512, [], "f707", "M352 106.6L352 35.73c0-6-3.375-11.5-8.876-14.25l-39.63-19.75c-2.284-1.177-4.722-1.731-7.127-1.731c-6.282 0-12.34 3.778-14.87 10.11L245.5 100.2C258.6 97.61 272.6 95.98 288 95.98C312.3 95.98 333.3 99.98 352 106.6zM576 319.1c0-64.18-50.9-191.5-150.5-191.5c-10.01 0-20.05 1.271-29.77 3.789c18.82 16.9 18.62 19.65 25.38 31.88c-31.75-23.63-75.64-36.11-133.1-36.11S186.6 140.5 154.9 164.1c6.821-12.34 6.584-15 25.38-31.88C170.5 129.7 160.5 128.4 150.5 128.4c-99.46 0-150.5 126-150.5 191.5c0 64.45 51.25 191.9 151.5 191.9c24.97 0 49.96-7.938 69.41-23.8c17.75 15.38 39.89 23.86 67.14 23.86s49.37-8.484 67.25-23.86c19.38 15.86 44.34 23.8 69.3 23.8C524.7 511.9 576 385.9 576 319.1z"],
    "puzzle": [512, 512, [], "e443", "M256 160c0-17.67-14.33-32-32-32H208V96c0-17.67-14.33-32-32-32H64C28.65 64 0 92.65 0 128v144h80v-32c0-17.67 14.33-32 32-32s32 14.33 32 32v32h64V192H224C241.7 192 256 177.7 256 160zM0 448c0 35.35 28.65 64 64 64h144v-80h-32c-17.67 0-32-14.33-32-32s14.33-32 32-32h32v-64H0V448zM416 304h-48v32c0 17.67-14.33 32-32 32s-32-14.33-32-32v-32h-64V512H384c35.35 0 64-28.65 64-64v-112C448 318.3 433.7 304 416 304zM448 0h-112c-17.67 0-32 14.33-32 32v48h32c17.67 0 32 14.33 32 32s-14.33 32-32 32h-32v64h64V224c0 17.67 14.33 32 32 32s32-14.33 32-32V208H480c17.67 0 32-14.33 32-32V64C512 28.65 483.3 0 448 0z"],
    "puzzle-piece": [512, 512, [129513], "f12e", "M512 288c0 35.35-21.49 64-48 64c-32.43 0-31.72-32-55.64-32C394.9 320 384 330.9 384 344.4V480c0 17.67-14.33 32-32 32h-71.64C266.9 512 256 501.1 256 487.6C256 463.1 288 464.4 288 432c0-26.51-28.65-48-64-48s-64 21.49-64 48c0 32.43 32 31.72 32 55.64C192 501.1 181.1 512 167.6 512H32c-17.67 0-32-14.33-32-32v-135.6C0 330.9 10.91 320 24.36 320C48.05 320 47.6 352 80 352C106.5 352 128 323.3 128 288S106.5 223.1 80 223.1c-32.43 0-31.72 32-55.64 32C10.91 255.1 0 245.1 0 231.6v-71.64c0-17.67 14.33-31.1 32-31.1h135.6C181.1 127.1 192 117.1 192 103.6c0-23.69-32-23.24-32-55.64c0-26.51 28.65-47.1 64-47.1s64 21.49 64 47.1c0 32.43-32 31.72-32 55.64c0 13.45 10.91 24.36 24.36 24.36H352c17.67 0 32 14.33 32 31.1v71.64c0 13.45 10.91 24.36 24.36 24.36c23.69 0 23.24-32 55.64-32C490.5 223.1 512 252.7 512 288z"],
    "puzzle-piece-simple": [640, 512, ["puzzle-piece-alt"], "e231", "M640 256c0 35.35-21.49 64-48 64c-32.43 0-31.72-32-55.64-32C522.9 288 512 298.9 512 312.4V416c0 17.67-14.33 32-32 32h-103.6C362.9 448 352 437.1 352 423.6C352 399.1 384 400.4 384 368c0-26.51-28.65-48-64-48s-64 21.49-64 48c0 32.43 32 31.72 32 55.64C288 437.1 277.1 448 263.6 448H160c-17.67 0-32-14.33-32-32V312.4C128 298.9 117.1 288 103.6 288C79.95 288 80.4 320 48 320c-26.51 0-47.1-28.65-47.1-64S21.49 191.1 48 191.1c32.43 0 31.72 32 55.64 32C117.1 223.1 128 213.1 128 199.6V95.1C128 78.33 142.3 63.1 160 63.1l103.6 0C277.1 63.1 288 74.9 288 88.36C288 112 256 111.6 256 143.1C256 170.5 284.7 192 320 192s64-21.49 64-48c0-32.43-32-31.72-32-55.64c0-13.45 10.91-24.36 24.36-24.36L480 63.1c17.67 0 32 14.33 32 32v103.6c0 13.45 10.91 24.36 24.36 24.36c23.69 0 23.24-32 55.64-32C618.5 191.1 640 220.7 640 256z"],
    "q": [448, 512, [113], "51", "M393.1 402.5c34.12-39.32 54.93-90.48 54.93-146.5c0-123.5-100.5-224-223.1-224S.0001 132.5 .0001 256s100.5 224 223.1 224c44.45 0 85.81-13.16 120.7-35.58l46.73 56.08c6.328 7.594 15.42 11.52 24.59 11.52c21.35 0 31.98-18.26 31.98-32.01c0-7.223-2.433-14.49-7.419-20.47L393.1 402.5zM224 416c-88.22 0-160-71.78-160-160s71.78-159.1 160-159.1s160 71.78 160 159.1c0 36.21-12.55 69.28-32.92 96.12L280.6 267.5c-6.338-7.597-15.44-11.53-24.61-11.53c-21.27 0-31.96 18.22-31.96 32.02c0 7.223 2.433 14.49 7.419 20.47l71.53 85.83C279.6 407.7 252.8 416 224 416z"],
    "qrcode": [448, 512, [], "f029", "M144 32C170.5 32 192 53.49 192 80V176C192 202.5 170.5 224 144 224H48C21.49 224 0 202.5 0 176V80C0 53.49 21.49 32 48 32H144zM128 96H64V160H128V96zM144 288C170.5 288 192 309.5 192 336V432C192 458.5 170.5 480 144 480H48C21.49 480 0 458.5 0 432V336C0 309.5 21.49 288 48 288H144zM128 352H64V416H128V352zM256 80C256 53.49 277.5 32 304 32H400C426.5 32 448 53.49 448 80V176C448 202.5 426.5 224 400 224H304C277.5 224 256 202.5 256 176V80zM320 160H384V96H320V160zM352 448H384V480H352V448zM448 480H416V448H448V480zM416 288H448V416H352V384H320V480H256V288H352V320H416V288z"],
    "question": [320, 512, [10067, 10068, 61736], "3f", "M204.3 32.01H96c-52.94 0-96 43.06-96 96c0 17.67 14.31 31.1 32 31.1s32-14.32 32-31.1c0-17.64 14.34-32 32-32h108.3C232.8 96.01 256 119.2 256 147.8c0 19.72-10.97 37.47-30.5 47.33L127.8 252.4C117.1 258.2 112 268.7 112 280v40c0 17.67 14.31 31.99 32 31.99s32-14.32 32-31.99V298.3L256 251.3c39.47-19.75 64-59.42 64-103.5C320 83.95 268.1 32.01 204.3 32.01zM144 400c-22.09 0-40 17.91-40 40s17.91 39.1 40 39.1s40-17.9 40-39.1S166.1 400 144 400z"],
    "quote-left": [448, 512, [8220, "quote-left-alt"], "f10d", "M96 224C84.72 224 74.05 226.3 64 229.9V224c0-35.3 28.7-64 64-64c17.67 0 32-14.33 32-32S145.7 96 128 96C57.42 96 0 153.4 0 224v96c0 53.02 42.98 96 96 96s96-42.98 96-96S149 224 96 224zM352 224c-11.28 0-21.95 2.305-32 5.879V224c0-35.3 28.7-64 64-64c17.67 0 32-14.33 32-32s-14.33-32-32-32c-70.58 0-128 57.42-128 128v96c0 53.02 42.98 96 96 96s96-42.98 96-96S405 224 352 224z"],
    "quote-right": [448, 512, [8221, "quote-right-alt"], "f10e", "M96 96C42.98 96 0 138.1 0 192s42.98 96 96 96c11.28 0 21.95-2.305 32-5.879V288c0 35.3-28.7 64-64 64c-17.67 0-32 14.33-32 32s14.33 32 32 32c70.58 0 128-57.42 128-128V192C192 138.1 149 96 96 96zM448 192c0-53.02-42.98-96-96-96s-96 42.98-96 96s42.98 96 96 96c11.28 0 21.95-2.305 32-5.879V288c0 35.3-28.7 64-64 64c-17.67 0-32 14.33-32 32s14.33 32 32 32c70.58 0 128-57.42 128-128V192z"],
    "quotes": [576, 512, [], "e234", "M320 168C320 128.2 287.8 96 248 96C245.3 96.12 242.6 96.38 240 96.81V96c.0234-17.66 14.34-31.98 32-32c17.67 0 32-14.33 32-32c0-17.67-14.33-32-32-32c-52.1 .0566-95.94 43-96 96v72c0 39.76 32.24 72 72 72S320 207.8 320 168zM72 96C69.32 96.12 66.65 96.38 64 96.81V96c.0234-17.66 14.34-31.98 32-32c17.67 0 32-14.33 32-32c0-17.67-14.33-32-32-32C43 .0566 .0586 43 0 96v72C0 207.8 32.24 240 72 240S144 207.8 144 168C144 128.2 111.8 96 72 96zM328 272C288.2 272 256 304.2 256 344C256 383.8 288.2 416 328 416c2.68-.1172 5.352-.3867 8-.8066V416c-.0234 17.66-14.34 31.98-32 32c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32c52.1-.0586 95.94-43.01 96-96v-72C400 304.2 367.8 272 328 272zM504 272c-39.76 0-72 32.23-72 72c0 39.76 32.24 72 72 72c2.68-.1172 5.352-.3867 8-.8066V416c-.0234 17.66-14.34 31.98-32 32c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32c52.1-.0586 95.94-43.01 96-96v-72C576 304.2 543.8 272 504 272z"],
    "r": [320, 512, [114], "52", "M228.7 309.7C282 288.6 320 236.8 320 176c0-79.41-64.59-144-144-144H32c-17.67 0-32 14.33-32 32v384c0 17.67 14.33 32 32 32s32-14.33 32-32v-128h93.43l104.5 146.6c6.25 8.75 16.09 13.42 26.09 13.42c6.422 0 12.91-1.922 18.55-5.938c14.39-10.27 17.73-30.25 7.484-44.64L228.7 309.7zM64 96.01h112c44.11 0 80 35.89 80 80s-35.89 79.1-80 79.1H64V96.01z"],
    "rabbit": [512, 512, [128007], "f708", "M321.4 128C326.3 128 331 128.3 335.8 128.9C336.9 104.9 333.1 81.08 324.8 58.8C332.5 41.04 343.5 24.6 357.6 10.47L362.2 5.826C365.9 2.096 370.1 .0003 376.2 0C385.5-.0003 393.5 6.373 395.5 15.37L396.6 19.82C406.4 62.26 398.4 106.3 375.6 142.2C381 145.3 386.3 148.8 391.2 152.8L425.8 181C439.8 192.5 448 209.6 448 227.7C448 261 421 288 387.7 288H352V313.8L413.7 468.1C420.3 484.5 412.3 503.1 395.9 509.7C379.5 516.3 360.9 508.3 354.3 491.9L314.8 393.3L265.6 448H288C305.7 448 320 462.3 320 480C320 497.7 305.7 512 288 512H160C131.5 512 107.4 493.4 99.11 467.8C88.83 480.1 73.34 488 56 488C25.07 488 0 462.9 0 432C0 401.1 25.07 376 56 376C73.44 376 89.01 383.1 99.28 396.5C114 317.7 176.8 255.9 256 242.7V193.4C256 182.5 258.7 172.2 263.4 163.2C229.1 126.7 213.1 76.37 220.2 26.39L220.9 21.48C222.7 9.154 233.2-.0003 245.7 0C252.3 0 258.6 2.608 263.3 7.256L266.4 10.33C298.2 41.83 314.3 85.09 311.8 128.7C314.1 128.2 318.2 127.1 321.4 127.1L321.4 128zM368 224C376.8 224 384 216.8 384 208C384 199.2 376.8 192 368 192C359.2 192 352 199.2 352 208C352 216.8 359.2 224 368 224z"],
    "rabbit-running": [576, 512, ["rabbit-fast"], "f709", "M504.7 174.8C509.8 177.7 514.6 181.1 519.2 184.8L553.8 213C567.8 224.5 576 241.6 576 259.7C576 293 549 320 515.7 320H414.4L352 356.1V340.5C352 283.3 314.1 233.1 259.2 217.4L228.4 208.6C219.9 206.2 211 211.1 208.6 219.6C206.2 228.1 211.1 236.1 219.6 239.4L250.4 248.2C291.6 259.1 320 297.6 320 340.5V384L416 384C433.7 384 448 398.3 448 416C448 433.7 433.7 448 416 448H300.4C284.4 448 269 441.1 257.2 431.2L114.1 300.8C101.1 288.1 91.5 272.1 86.58 254.9C77.79 260.7 67.28 264 56 264C25.07 264 0 238.9 0 208C0 177.1 25.07 152 56 152C73.41 152 88.97 159.9 99.24 172.4C115.1 144.8 145.9 128 178.2 128C213.8 128 248.8 137.3 279.7 154.9L384.8 215C386.1 207.2 388.7 199.9 392.4 193.3C355.3 174.1 325.9 143.1 311 103.6C306.6 91.94 311.5 78.68 322.2 72.46C327.8 69.23 334.5 68.27 340.8 69.85L344.2 70.7C391.3 82.58 429.4 115.1 447.8 160C448.3 160 448.9 160 449.4 160C457.9 160 466.3 160.1 474.5 162.9C464.1 131.8 445.5 104.7 421.2 84.08C421.6 72.18 423.5 60.22 426.7 48.46L427.6 45.51C429.3 39.16 434.3 34.22 440.7 32.51C447.1 30.81 453.9 32.59 458.6 37.2L460.7 39.35C496.9 74.8 513.1 125.5 504.7 174.8zM496 224C487.2 224 480 231.2 480 240C480 248.8 487.2 256 496 256C504.8 256 512 248.8 512 240C512 231.2 504.8 224 496 224zM142.2 421.4L175.2 399.4L223.8 443.9L177.8 474.6C163 484.4 143.2 480.5 133.4 465.8C123.6 451 127.5 431.2 142.3 421.4H142.2z"],
    "racquet": [640, 512, [], "f45a", "M11.85 420.5c-7.76 5.546-11.86 14.28-11.86 23.09c0 5.707 1.722 11.43 5.272 16.38l28.51 40.01C39.33 507.9 48.17 512 57.01 512c5.607 0 11.21-1.649 16-5.03l111.7-75.55l-62.56-88.23L11.85 420.5zM640 140c0-108.2-95.23-140-153.7-140c-85.42 0-230.4 65.71-261.1 203.2c-10.1 49.5-34.89 94.6-67.51 132.7l45.62 64.49c46.24-17.77 83.92-21.96 113.3-21.96c26.17 0 45.7 3.335 58.72 3.335c49.5 0 104.3-17.29 153.5-52.16C599.6 279.4 640 205.1 640 140zM576 140c0 94.27-112.9 177.9-201.2 177.9c-56.64 0-90.23-30.2-90.23-76.35c0-61.46 78.84-177.5 201.3-177.5C542.5 64.02 576 94.08 576 140z"],
    "radar": [512, 512, [], "e024", "M304.8 173.3C290.5 164.8 273.8 160 255.1 160C202.1 160 159.1 202.1 159.1 256C159.1 309 202.1 352 255.1 352C309 352 352 309 352 256H416C416 329.5 366.4 391.5 298.8 410.2C290.8 394.7 274.7 384 255.1 384C237.3 384 221.2 394.7 213.2 410.2C161.6 395.9 120.4 356.4 103.9 305.7C118.3 297.4 127.1 281.8 127.1 264C127.1 244.6 116.5 227.9 99.99 220.3C116.2 149.1 179.9 96 255.1 96C291.5 96 324.3 107.6 350.9 127.2L373.7 104.3C341.2 79.05 300.4 64 256 64C163.1 64 85.66 129.9 67.85 217.6C47.22 222.9 32 241.7 32 264C32 287.8 49.35 307.6 72.1 311.4C91.43 375.7 143.6 425.8 209.1 442.2C213.8 463.8 233 480 256 480C278.1 480 298.2 463.8 302.9 442.2C386.3 421.3 448 345.9 448 256H512C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C318.1 0 374.9 22.08 419.3 58.8L463 15.03C472.4 5.657 487.6 5.657 496.1 15.03C506.3 24.4 506.3 39.6 496.1 48.97L314.9 231C318.2 238.7 320 247.1 320 256C320 291.3 291.3 320 256 320C220.7 320 192 291.3 192 256C192 220.7 220.7 192 256 192C264.9 192 273.3 193.8 280.1 197.1L304.8 173.3z"],
    "radiation": [512, 512, [], "f7b9", "M256 303.1c26.5 0 48-21.5 48-48S282.5 207.1 256 207.1S208 229.5 208 255.1S229.5 303.1 256 303.1zM213.6 188L142.7 74.71C132.5 58.41 109.9 54.31 95.25 66.75c-44.94 38.1-76.19 91.82-85.17 152.8C7.266 238.7 22.67 255.8 42.01 255.8h133.8C175.8 227.2 191 202.3 213.6 188zM416.8 66.75c-14.67-12.44-37.21-8.338-47.41 7.965L298.4 188c22.6 14.3 37.8 39.2 37.8 67.8h133.8c19.34 0 34.74-17.13 31.93-36.26C492.9 158.6 461.7 104.8 416.8 66.75zM298.4 323.5C286.1 331.2 271.6 335.9 256 335.9s-30.1-4.701-42.4-12.4L142.7 436.9c-10.14 16.21-4.16 38.2 13.32 45.95C186.6 496.4 220.4 504 256 504s69.42-7.611 100-21.18c17.48-7.752 23.46-29.74 13.32-45.95L298.4 323.5z"],
    "radio": [512, 512, [128251], "f8d7", "M447.1 128L218.5 128l276.2-80.97c12.72-3.734 19.1-17.06 16.28-29.78c-3.719-12.7-16.1-19.1-29.78-16.28L51.75 126.9c-29.07 8.512-49.55 34.8-51.39 64.78L.0007 192v255.1c0 35.31 28.69 63.1 63.1 63.1h383.1c35.31 0 63.1-28.69 63.1-63.1V192C511.1 156.7 483.3 128 447.1 128zM80 248c0-4.406 3.594-7.1 7.1-7.1h111.1c4.406 0 7.1 3.594 7.1 7.1V263.1c0 4.406-3.594 7.1-7.1 7.1h-111.1c-4.406 0-7.1-3.594-7.1-7.1V248zM208 391.1c0 4.406-3.594 7.1-7.1 7.1h-111.1c-4.406 0-7.1-3.594-7.1-7.1v-15.1c0-4.406 3.594-7.1 7.1-7.1h111.1c4.406 0 7.1 3.594 7.1 7.1V391.1zM224 327.1c0 4.406-3.594 7.1-7.1 7.1H72c-4.406 0-7.1-3.594-7.1-7.1V311.1c0-4.406 3.594-7.1 7.1-7.1h143.1c4.406 0 7.1 3.594 7.1 7.1V327.1zM367.1 399.1c-44.16 0-80-35.84-80-79.1s35.84-80 80-80s79.1 35.85 79.1 80S412.2 399.1 367.1 399.1z"],
    "radio-tuner": [512, 512, ["radio-alt"], "f8d8", "M447.1 128L218.5 128l276.2-80.97c12.72-3.734 19.1-17.06 16.28-29.78c-3.719-12.7-17-19.1-29.78-16.28L51.75 126.9C22.68 135.4 2.203 161.7 .3589 191.6L-.0001 192v255.1c0 35.31 28.69 63.1 63.1 63.1h383.1c35.31 0 63.1-28.69 63.1-63.1v-255.1C511.1 156.7 483.3 128 447.1 128zM208 423.1c0 4.406-3.594 7.1-7.1 7.1h-111.1c-4.406 0-7.1-3.594-7.1-7.1v-15.1c0-4.406 3.594-8 7.1-8h111.1c4.406 0 7.1 3.594 7.1 8V423.1zM224 359.1c0 4.406-3.594 7.1-7.1 7.1H72c-4.406 0-7.1-3.594-7.1-7.1v-15.1c0-4.406 3.594-7.1 7.1-7.1h143.1c4.406 0 7.1 3.594 7.1 7.1V359.1zM383.1 447.1c-35.32 0-63.1-28.68-63.1-63.1s28.68-63.1 63.1-63.1c35.33 0 63.1 28.68 63.1 63.1S419.3 447.1 383.1 447.1zM415.1 256H96C78.33 256 64 241.7 64 224s14.33-31.1 31.1-31.1h319.1c17.67 0 31.1 14.33 31.1 31.1S433.7 256 415.1 256z"],
    "rainbow": [640, 512, [127752], "f75b", "M312.3 32.09C137.6 36.22 0 183.3 0 358V464C0 472.8 7.164 480 16 480h32C56.84 480 64 472.8 64 464v-106.9c0-143.2 117.2-263.5 260.4-261.1C463.5 98.4 576 212.3 576 352v112c0 8.836 7.164 16 16 16h32c8.838 0 16-7.164 16-16V352C640 172.1 492.3 27.84 312.3 32.09zM313.5 224.2C244.8 227.6 192 286.9 192 355.7V464C192 472.8 199.2 480 208 480h32C248.8 480 256 472.8 256 464v-109.7c0-34.06 25.65-63.85 59.64-66.11C352.9 285.7 384 315.3 384 352v112c0 8.836 7.164 16 16 16h32c8.838 0 16-7.164 16-16V352C448 279.3 387 220.5 313.5 224.2zM313.2 128.1C191.4 131.7 96 234.9 96 356.8V464C96 472.8 103.2 480 112 480h32C152.8 480 160 472.8 160 464v-108.1c0-86.64 67.24-160.5 153.8-163.8C404.8 188.7 480 261.7 480 352v112c0 8.836 7.164 16 16 16h32c8.838 0 16-7.164 16-16V352C544 226.2 439.8 124.3 313.2 128.1z"],
    "raindrops": [448, 512, [], "f75c", "M50.56 231.9C31.79 263.4 0 320.6 0 347.4C0 385.3 28.65 416 64 416s64-30.73 64-68.64c0-26.72-31.79-83.96-50.56-115.4C71.14 221.4 56.86 221.4 50.56 231.9zM224 155.4c0-26.72-31.79-83.96-50.56-115.4c-6.307-10.57-20.58-10.57-26.89 0C127.8 71.4 96 128.6 96 155.4C96 193.3 124.7 224 160 224S224 193.3 224 155.4zM334.6 135.5c-6.916-10.01-22.27-10.01-29.19 0C271.8 184.1 192 305.2 192 358.3C192 425.5 249.3 480 320 480s128-54.5 128-121.7C448 305.2 368.2 184.1 334.6 135.5z"],
    "ram": [640, 512, [128015], "f70a", "M336 64C336 28.65 364.7 0 400 0C435.3 0 464 28.65 464 64V65.33C469.2 64.45 474.5 64 480 64C485.5 64 490.8 64.45 496 65.33V64C496 28.65 524.7 0 560 0C595.3 0 624 28.65 624 64V72C624 85.25 613.3 96 600 96C586.7 96 576 85.25 576 72V64C576 55.16 568.8 48 560 48C551.2 48 544 55.16 544 64V88.44C550.8 94.55 556.8 101.6 561.6 109.4L609.5 129.9C621.6 135.2 627.3 149.3 622.1 161.5C616.8 173.6 602.7 179.3 590.5 174.1L576 167.8V240C576 284.2 540.2 320 496 320H464C419.8 320 384 284.2 384 240V167.8L369.5 174.1C357.3 179.3 343.2 173.6 337.9 161.5C332.7 149.3 338.4 135.2 350.5 129.9L398.4 109.4C403.2 101.6 409.2 94.55 416 88.45V64C416 55.16 408.8 48 400 48C391.2 48 384 55.16 384 64V72C384 85.25 373.3 96 360 96C346.7 96 336 85.25 336 72L336 64zM464 192C472.8 192 480 184.8 480 176C480 167.2 472.8 160 464 160C455.2 160 448 167.2 448 176C448 184.8 455.2 192 464 192zM528 160C519.2 160 512 167.2 512 176C512 184.8 519.2 192 528 192C536.8 192 544 184.8 544 176C544 167.2 536.8 160 528 160zM352 207.4V240C352 301.9 402.1 352 464 352H475.3C465.9 375.5 442.9 392 416 392C415.5 392 414.1 391.1 414.5 391.1L396.9 485.9C394.1 501 380.8 512 365.4 512H336C318.3 512 303.1 497.7 303.1 480V426.3C292.3 439.6 275.1 448 255.1 448C236.9 448 219.7 439.6 207.1 426.3V480C207.1 497.7 193.7 512 175.1 512H146.6C131.2 512 117.9 501 115.1 485.9L97.5 391.1C96.1 391.1 96.5 392 96 392C60.65 392 32 363.3 32 328C32 322.7 32.66 317.5 33.89 312.5C13.72 301.7 0 280.5 0 256C0 231.5 13.72 210.3 33.89 199.5C32.66 194.5 32 189.3 32 184C32 148.7 60.65 120 96 120C99.34 120 102.6 120.3 105.8 120.8C112.7 92.77 137.9 72 168 72C183 72 196.9 77.19 207.8 85.88C219.5 72.47 236.8 64 256 64C286.7 64 312.3 85.56 318.5 114.3C304.3 130.1 299.6 153.3 308.5 174.1C316.5 192.7 333.3 204.7 352 207.4L352 207.4z"],
    "ramp-loading": [384, 512, [], "f4d4", "M0 48C0 21.49 21.49 0 48 0H336C362.5 0 384 21.49 384 48V440.4L320 312.4V64H64V312.4L0 440.4V48zM372.4 488.8C373.2 490.3 373.7 491.9 373.9 493.4C375.5 502.8 368.3 512 358.1 512H25.89C15.68 512 8.531 502.8 10.08 493.4C10.33 491.9 10.83 490.3 11.58 488.8L96 320H288L372.4 488.8z"],
    "ranking-star": [640, 512, [], "e561", "M406.1 61.65C415.4 63.09 419.4 74.59 412.6 81.41L374.6 118.1L383.6 170.1C384.1 179.5 375.3 186.7 366.7 182.4L320.2 157.9L273.3 182.7C264.7 187 255 179.8 256.4 170.5L265.4 118.4L227.4 81.41C220.6 74.59 224.6 63.09 233.9 61.65L286.2 54.11L309.8 6.332C314.1-2.289 326.3-1.93 330.2 6.332L353.8 54.11L406.1 61.65zM384 256C401.7 256 416 270.3 416 288V480C416 497.7 401.7 512 384 512H256C238.3 512 224 497.7 224 480V288C224 270.3 238.3 256 256 256H384zM160 320C177.7 320 192 334.3 192 352V480C192 497.7 177.7 512 160 512H32C14.33 512 0 497.7 0 480V352C0 334.3 14.33 320 32 320H160zM448 416C448 398.3 462.3 384 480 384H608C625.7 384 640 398.3 640 416V480C640 497.7 625.7 512 608 512H480C462.3 512 448 497.7 448 480V416z"],
    "raygun": [576, 512, [], "e025", "M320 31.97h-16c-8.75 0-16 7.128-16 16v27.24C273.4 68.24 257.3 64.01 240 64.01L191.1 64L88.23 2.309C77.57-4.09 64 3.573 64 16.01v59.22C26.26 93.25 0 131.4 0 176c0 59.26 46.17 107.3 104.4 111.2l-70.48 120.8c-6.375 11-8.125 24.12-4.75 36.38c3.25 12.38 11.38 22.88 22.38 29.13l55.38 32c11.12 6.375 24.12 8.125 36.5 4.875c12.25-3.375 22.75-11.38 29.12-22.38L288 288v15.1c0 8.75 7.25 16 16 16H320c8.75 0 15.88-7.001 16-15.75V47.72C335.9 38.97 328.8 31.97 320 31.97zM112 199.1c-13.25 0-24-10.75-24-24c0-13.25 10.75-24 24-24s24 10.75 24 24C136 189.2 125.3 199.1 112 199.1zM208 199.1c-13.25 0-24-10.75-24-24c0-13.25 10.75-24 24-24s24 10.75 24 24C232 189.2 221.3 199.1 208 199.1zM569.4 119.4c-4.25-3-9.5-3.875-14.38-2.25L480 142.2h-64v-62.19c0-8.875-7.125-16-16-16L384 63.97c-8.75 0-16 7.126-16 16v192c0 8.754 7.25 16 16 16L400 288c8.875 0 16-7.248 16-16V206.2h64.13l74.75 25c4.875 1.625 10.25 .749 14.5-2.251C573.5 225.9 576 221.1 576 215.9V132.4C576 127.2 573.5 122.4 569.4 119.4z"],
    "receipt": [384, 512, [129534], "f543", "M13.97 2.196C22.49-1.72 32.5-.3214 39.62 5.778L80 40.39L120.4 5.778C129.4-1.926 142.6-1.926 151.6 5.778L192 40.39L232.4 5.778C241.4-1.926 254.6-1.926 263.6 5.778L304 40.39L344.4 5.778C351.5-.3214 361.5-1.72 370 2.196C378.5 6.113 384 14.63 384 24V488C384 497.4 378.5 505.9 370 509.8C361.5 513.7 351.5 512.3 344.4 506.2L304 471.6L263.6 506.2C254.6 513.9 241.4 513.9 232.4 506.2L192 471.6L151.6 506.2C142.6 513.9 129.4 513.9 120.4 506.2L80 471.6L39.62 506.2C32.5 512.3 22.49 513.7 13.97 509.8C5.456 505.9 0 497.4 0 488V24C0 14.63 5.456 6.112 13.97 2.196V2.196zM96 144C87.16 144 80 151.2 80 160C80 168.8 87.16 176 96 176H288C296.8 176 304 168.8 304 160C304 151.2 296.8 144 288 144H96zM96 368H288C296.8 368 304 360.8 304 352C304 343.2 296.8 336 288 336H96C87.16 336 80 343.2 80 352C80 360.8 87.16 368 96 368zM96 240C87.16 240 80 247.2 80 256C80 264.8 87.16 272 96 272H288C296.8 272 304 264.8 304 256C304 247.2 296.8 240 288 240H96z"],
    "record-vinyl": [512, 512, [], "f8d9", "M256 160C202.9 160 160 202.9 160 256s42.92 96 96 96c53.08 0 96-42.92 96-96S309.1 160 256 160zM256 288C238.3 288 224 273.7 224 256s14.33-32 32-32c17.67 0 32 14.33 32 32S273.7 288 256 288zM256 0c-141.4 0-256 114.6-256 256s114.6 256 256 256c141.4 0 256-114.6 256-256S397.4 0 256 0zM256 384c-70.75 0-128-57.25-128-128s57.25-128 128-128s128 57.25 128 128S326.8 384 256 384z"],
    "rectangle": [512, 512, [9644, "rectangle-landscape"], "f2fa", "M0 128C0 92.65 28.65 64 64 64H448C483.3 64 512 92.65 512 128V384C512 419.3 483.3 448 448 448H64C28.65 448 0 419.3 0 384V128z"],
    "rectangle-ad": [576, 512, ["ad"], "f641", "M208 237.7L229.2 280H186.8L208 237.7zM416 280C416 293.3 405.3 304 392 304C378.7 304 368 293.3 368 280C368 266.7 378.7 256 392 256C405.3 256 416 266.7 416 280zM512 32C547.3 32 576 60.65 576 96V416C576 451.3 547.3 480 512 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H512zM229.5 173.3C225.4 165.1 217.1 160 208 160C198.9 160 190.6 165.1 186.5 173.3L114.5 317.3C108.6 329.1 113.4 343.5 125.3 349.5C137.1 355.4 151.5 350.6 157.5 338.7L162.8 328H253.2L258.5 338.7C264.5 350.6 278.9 355.4 290.7 349.5C302.6 343.5 307.4 329.1 301.5 317.3L229.5 173.3zM416 212.1C408.5 209.4 400.4 208 392 208C352.2 208 320 240.2 320 280C320 319.8 352.2 352 392 352C403.1 352 413.6 349.5 423 344.1C427.4 349.3 433.4 352 440 352C453.3 352 464 341.3 464 328V184C464 170.7 453.3 160 440 160C426.7 160 416 170.7 416 184V212.1z"],
    "rectangle-barcode": [576, 512, ["barcode-alt"], "f463", "M512 32C547.3 32 576 60.65 576 96V416C576 451.3 547.3 480 512 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H512zM120 128C106.7 128 96 138.7 96 152V360C96 373.3 106.7 384 120 384C133.3 384 144 373.3 144 360V152C144 138.7 133.3 128 120 128zM176 368C176 376.8 183.2 384 192 384C200.8 384 208 376.8 208 368V144C208 135.2 200.8 128 192 128C183.2 128 176 135.2 176 144V368zM264 128C250.7 128 240 138.7 240 152V360C240 373.3 250.7 384 264 384C277.3 384 288 373.3 288 360V152C288 138.7 277.3 128 264 128zM352 360C352 373.3 362.7 384 376 384C389.3 384 400 373.3 400 360V152C400 138.7 389.3 128 376 128C362.7 128 352 138.7 352 152V360zM464 128C455.2 128 448 135.2 448 144V368C448 376.8 455.2 384 464 384C472.8 384 480 376.8 480 368V144C480 135.2 472.8 128 464 128z"],
    "rectangle-code": [512, 512, [], "e322", "M0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM294.2 167.9C285.3 177.8 286.1 192.1 295.9 201.8L356.1 256L295.9 310.2C286.1 319 285.3 334.2 294.2 344.1C303 353.9 318.2 354.7 328.1 345.8L408.1 273.8C413.1 269.3 416 262.8 416 256C416 249.2 413.1 242.7 408.1 238.2L328.1 166.2C318.2 157.3 303 158.1 294.2 167.9V167.9zM216.1 201.8C225.9 192.1 226.7 177.8 217.8 167.9C208.1 158.1 193.8 157.3 183.9 166.2L103.9 238.2C98.89 242.7 96 249.2 96 256C96 262.8 98.89 269.3 103.9 273.8L183.9 345.8C193.8 354.7 208.1 353.9 217.8 344.1C226.7 334.2 225.9 319 216.1 310.2L155.9 256L216.1 201.8z"],
    "rectangle-history": [512, 512, [], "e4a2", "M512 448C512 483.3 483.3 512 448 512H64C28.65 512 0 483.3 0 448V224C0 188.7 28.65 160 64 160H448C483.3 160 512 188.7 512 224V448zM440 80C453.3 80 464 90.75 464 104C464 117.3 453.3 128 440 128H72C58.75 128 48 117.3 48 104C48 90.75 58.75 80 72 80H440zM392 0C405.3 0 416 10.75 416 24C416 37.25 405.3 48 392 48H120C106.7 48 96 37.25 96 24C96 10.75 106.7 0 120 0H392z"],
    "rectangle-history-circle-plus": [640, 512, [], "e4a3", "M320 368C320 427.5 349.5 480.1 394.8 512H64C28.65 512 0 483.3 0 448V224C0 188.7 28.65 160 64 160H448C471.8 160 492.5 172.9 503.5 192.2C501 192.1 498.5 192 496 192C398.8 192 320 270.8 320 368zM440 80C453.3 80 464 90.75 464 104C464 117.3 453.3 128 440 128H72C58.75 128 48 117.3 48 104C48 90.75 58.75 80 72 80H440zM392 0C405.3 0 416 10.75 416 24C416 37.25 405.3 48 392 48H120C106.7 48 96 37.25 96 24C96 10.75 106.7 0 120 0H392zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM512 303.1C512 295.2 504.8 287.1 496 287.1C487.2 287.1 480 295.2 480 303.1V351.1H432C423.2 351.1 416 359.2 416 367.1C416 376.8 423.2 383.1 432 383.1H480V431.1C480 440.8 487.2 447.1 496 447.1C504.8 447.1 512 440.8 512 431.1V383.1H560C568.8 383.1 576 376.8 576 367.1C576 359.2 568.8 351.1 560 351.1H512V303.1z"],
    "rectangle-history-circle-user": [640, 512, [], "e4a4", "M320 368C320 427.5 349.5 480.1 394.8 512H64C28.65 512 0 483.3 0 448V224C0 188.7 28.65 160 64 160H448C471.8 160 492.5 172.9 503.5 192.2C501 192.1 498.5 192 496 192C398.8 192 320 270.8 320 368zM440 80C453.3 80 464 90.75 464 104C464 117.3 453.3 128 440 128H72C58.75 128 48 117.3 48 104C48 90.75 58.75 80 72 80H440zM392 0C405.3 0 416 10.75 416 24C416 37.25 405.3 48 392 48H120C106.7 48 96 37.25 96 24C96 10.75 106.7 0 120 0H392zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM528.6 416H463.4C442.4 416 424.5 429.7 418.3 448.7C438.5 468.1 465.8 480 496 480C526.2 480 553.5 468.1 573.7 448.7C567.5 429.7 549.6 416 528.6 416zM496 288C469.5 288 448 309.5 448 336C448 362.5 469.5 384 496 384C522.5 384 544 362.5 544 336C544 309.5 522.5 288 496 288z"],
    "rectangle-list": [576, 512, ["list-alt"], "f022", "M0 96C0 60.65 28.65 32 64 32H512C547.3 32 576 60.65 576 96V416C576 451.3 547.3 480 512 480H64C28.65 480 0 451.3 0 416V96zM160 256C160 238.3 145.7 224 128 224C110.3 224 96 238.3 96 256C96 273.7 110.3 288 128 288C145.7 288 160 273.7 160 256zM160 160C160 142.3 145.7 128 128 128C110.3 128 96 142.3 96 160C96 177.7 110.3 192 128 192C145.7 192 160 177.7 160 160zM160 352C160 334.3 145.7 320 128 320C110.3 320 96 334.3 96 352C96 369.7 110.3 384 128 384C145.7 384 160 369.7 160 352zM224 136C210.7 136 200 146.7 200 160C200 173.3 210.7 184 224 184H448C461.3 184 472 173.3 472 160C472 146.7 461.3 136 448 136H224zM224 232C210.7 232 200 242.7 200 256C200 269.3 210.7 280 224 280H448C461.3 280 472 269.3 472 256C472 242.7 461.3 232 448 232H224zM224 328C210.7 328 200 338.7 200 352C200 365.3 210.7 376 224 376H448C461.3 376 472 365.3 472 352C472 338.7 461.3 328 448 328H224z"],
    "rectangle-pro": [640, 512, ["pro"], "e235", "M160 240H128V208H160C168.8 208 176 215.2 176 224C176 232.8 168.8 240 160 240zM288 208H320C328.8 208 336 215.2 336 224C336 232.8 328.8 240 320 240H288V208zM448 248C448 225.9 465.9 208 488 208C510.1 208 528 225.9 528 248V264C528 286.1 510.1 304 488 304C465.9 304 448 286.1 448 264V248zM576 32C611.3 32 640 60.65 640 96V416C640 451.3 611.3 480 576 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H576zM104 160C90.75 160 80 170.7 80 184V328C80 341.3 90.75 352 104 352C117.3 352 128 341.3 128 328V288H160C195.3 288 224 259.3 224 224C224 188.7 195.3 160 160 160H104zM240 328C240 341.3 250.7 352 264 352C277.3 352 288 341.3 288 328V288H306.7L339.6 340.7C346.7 351.1 361.5 355.4 372.7 348.4C383.1 341.3 387.4 326.5 380.4 315.3L356.3 276.7C373 265.2 384 245.9 384 224C384 188.7 355.3 160 320 160H264C250.7 160 240 170.7 240 184V328zM488 160C439.4 160 400 199.4 400 248V264C400 312.6 439.4 352 488 352C536.6 352 576 312.6 576 264V248C576 199.4 536.6 160 488 160z"],
    "rectangle-terminal": [512, 512, [], "e236", "M0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM102.3 151.8C93.35 161.6 94.01 176.7 103.8 185.7L180.5 256L103.8 326.3C94.01 335.3 93.35 350.4 102.3 360.2C111.3 369.1 126.4 370.6 136.2 361.7L232.2 273.7C237.2 269.1 240 262.7 240 255.1C240 249.3 237.2 242.9 232.2 238.3L136.2 150.3C126.4 141.4 111.3 142 102.3 151.8V151.8zM248 336C234.7 336 224 346.7 224 360C224 373.3 234.7 384 248 384H392C405.3 384 416 373.3 416 360C416 346.7 405.3 336 392 336H248z"],
    "rectangle-vertical": [384, 512, ["rectangle-portrait"], "f2fb", "M320 0C355.3 0 384 28.65 384 64V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H320z"],
    "rectangle-vertical-history": [576, 512, [], "e237", "M512 0C547.3 0 576 28.65 576 64V448C576 483.3 547.3 512 512 512H256C220.7 512 192 483.3 192 448V64C192 28.65 220.7 0 256 0H512zM96 72C96 58.75 106.7 48 120 48C133.3 48 144 58.75 144 72V440C144 453.3 133.3 464 120 464C106.7 464 96 453.3 96 440V72zM0 120C0 106.7 10.75 96 24 96C37.25 96 48 106.7 48 120V392C48 405.3 37.25 416 24 416C10.75 416 0 405.3 0 392V120z"],
    "rectangle-wide": [640, 512, [], "f2fc", "M0 128C0 92.65 28.65 64 64 64H576C611.3 64 640 92.65 640 128V384C640 419.3 611.3 448 576 448H64C28.65 448 0 419.3 0 384V128z"],
    "rectangle-xmark": [512, 512, [62164, "rectangle-times", "times-rectangle", "window-close"], "f410", "M448 32C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448zM175 208.1L222.1 255.1L175 303C165.7 312.4 165.7 327.6 175 336.1C184.4 346.3 199.6 346.3 208.1 336.1L255.1 289.9L303 336.1C312.4 346.3 327.6 346.3 336.1 336.1C346.3 327.6 346.3 312.4 336.1 303L289.9 255.1L336.1 208.1C346.3 199.6 346.3 184.4 336.1 175C327.6 165.7 312.4 165.7 303 175L255.1 222.1L208.1 175C199.6 165.7 184.4 165.7 175 175C165.7 184.4 165.7 199.6 175 208.1V208.1z"],
    "rectangles-mixed": [576, 512, [], "e323", "M0 80C0 53.49 21.49 32 48 32H272C298.5 32 320 53.49 320 80V208C320 234.5 298.5 256 272 256H48C21.49 256 0 234.5 0 208V80zM384 80C384 53.49 405.5 32 432 32H528C554.5 32 576 53.49 576 80V336C576 362.5 554.5 384 528 384H432C405.5 384 384 362.5 384 336V80zM288 304C314.5 304 336 325.5 336 352V432C336 458.5 314.5 480 288 480H112C85.49 480 64 458.5 64 432V352C64 325.5 85.49 304 112 304H288z"],
    "recycle": [512, 512, [9850, 9851, 9842], "f1b8", "M180.2 243.1C185 263.9 162.2 280.2 144.1 268.8L119.8 253.6l-50.9 81.43c-13.33 21.32 2.004 48.98 27.15 48.98h32.02c17.64 0 31.98 14.32 31.98 31.96c0 17.64-14.34 32.05-31.98 32.05H96.15c-75.36 0-121.3-82.84-81.47-146.8L65.51 219.8L41.15 204.5C23.04 193.1 27.66 165.5 48.48 160.7l91.43-21.15C148.5 137.7 157.2 142.9 159.2 151.6L180.2 243.1zM283.1 78.96l41.25 66.14l-24.25 15.08c-18.16 11.31-13.57 38.94 7.278 43.77l91.4 21.15c8.622 1.995 17.23-3.387 19.21-12.01l21.04-91.43c4.789-20.81-17.95-37.05-36.07-25.76l-24.36 15.2L337.4 45.14c-37.58-60.14-125.2-60.18-162.8-.0617L167.2 56.9C157.9 71.75 162.5 91.58 177.3 100.9c14.92 9.359 34.77 4.886 44.11-10.04l7.442-11.89C241.6 58.58 270.9 59.33 283.1 78.96zM497.3 301.3l-16.99-27.26c-9.336-14.98-29.06-19.56-44.04-10.21c-14.94 9.318-19.52 29.15-10.18 44.08l16.99 27.15c13.35 21.32-1.984 49-27.14 49h-95.99l.0234-28.74c0-21.38-25.85-32.09-40.97-16.97l-66.41 66.43c-6.222 6.223-6.222 16.41 .0044 22.63l66.42 66.34c15.12 15.1 40.95 4.386 40.95-16.98l-.0234-28.68h95.86C491.2 448.1 537.2 365.2 497.3 301.3z"],
    "reel": [448, 512, [], "e238", "M384 272H64v32h320V272zM64 176h320v-32H64V176zM32 64h32v48h320V64h32c17.67 0 32-14.33 32-32c0-17.67-14.33-32-32-32H32C14.33 0 0 14.33 0 32C0 49.67 14.33 64 32 64zM432 208H64v32h368C440.8 240 448 232.8 448 224C448 215.2 440.8 208 432 208zM416 448h-32v-48H64V448H32c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32h384c17.67 0 32-14.33 32-32C448 462.3 433.7 448 416 448zM64 368h320v-32H64V368z"],
    "refrigerator": [384, 512, [], "e026", "M0 160V64c0-35.35 28.65-64 64-64h256c35.35 0 64 28.65 64 64v96h-64V79.1C320 71.2 312.8 64 304 64S288 71.2 288 79.1V160H0zM320 192v176c0 8.8-7.2 16-16 16S288 376.8 288 368V192H0v288c0 17.67 14.33 32 32 32h320c17.67 0 32-14.33 32-32V192H320z"],
    "registered": [512, 512, [174], "f25d", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM349.8 349.8c5.594 12.03 .4375 26.31-11.56 31.94c-3.312 1.531-6.75 2.25-10.19 2.25c-9 0-17.66-5.125-21.75-13.81l-38.46-82.19H208v72c0 13.25-10.75 24-24 24s-24-10.75-24-24V152c0-13.25 10.75-24 24-24l88 .0044c44.13 0 80 35.88 80 80c0 28.32-14.87 53.09-37.12 67.31L349.8 349.8zM272 176h-64v64h64c17.66 0 32-14.34 32-32S289.7 176 272 176z"],
    "repeat": [512, 512, [128257], "f363", "M480 256c-17.67 0-32 14.31-32 32c0 52.94-43.06 96-96 96H192L192 344c0-9.469-5.578-18.06-14.23-21.94C169.1 318.3 159 319.8 151.9 326.2l-80 72C66.89 402.7 64 409.2 64 416s2.891 13.28 7.938 17.84l80 72C156.4 509.9 162.2 512 168 512c3.312 0 6.615-.6875 9.756-2.062C186.4 506.1 192 497.5 192 488L192 448h160c88.22 0 160-71.78 160-160C512 270.3 497.7 256 480 256zM160 128h159.1L320 168c0 9.469 5.578 18.06 14.23 21.94C337.4 191.3 340.7 192 343.1 192c5.812 0 11.57-2.125 16.07-6.156l80-72C445.1 109.3 448 102.8 448 95.1s-2.891-13.28-7.938-17.84l-80-72c-7.047-6.312-17.19-7.875-25.83-4.094C325.6 5.938 319.1 14.53 319.1 24L320 64H160C71.78 64 0 135.8 0 224c0 17.69 14.33 32 32 32s32-14.31 32-32C64 171.1 107.1 128 160 128z"],
    "repeat-1": [512, 512, [128258], "f365", "M264 320C277.3 320 288 309.3 288 296v-80c0-7.719-3.703-14.97-9.969-19.47C271.8 192 263.7 190.8 256.4 193.2l-24 8C219.8 205.4 213 219 217.2 231.6C220.6 241.7 229.1 248 240 248v48C240 309.3 250.8 320 264 320zM480 256c-17.67 0-32 14.31-32 32c0 52.94-43.06 96-96 96H192L192 344c0-9.469-5.578-18.06-14.23-21.94c-8.641-3.781-18.75-2.219-25.83 4.094l-80 72C66.89 402.7 64 409.2 64 416s2.891 13.28 7.938 17.84l80 72C156.4 509.9 162.2 512 168 512c3.312 0 6.615-.6875 9.756-2.062C186.4 506.1 192 497.5 192 488L192 448h160c88.22 0 160-71.78 160-160C512 270.3 497.7 256 480 256zM160 128h159.1L320 168c0 9.469 5.578 18.06 14.23 21.94C337.4 191.3 340.7 192 343.1 192c5.812 0 11.57-2.125 16.07-6.156l80-72C445.1 109.3 448 102.8 448 95.1s-2.891-13.28-7.938-17.84l-80-72C353-.1562 342.9-1.719 334.2 2.062C325.6 5.938 319.1 14.53 319.1 24L320 64H160C71.78 64 0 135.8 0 224c0 17.69 14.33 32 32 32s32-14.31 32-32C64 171.1 107.1 128 160 128z"],
    "reply": [512, 512, [61714, "mail-reply"], "f3e5", "M8.31 189.9l176-151.1c15.41-13.3 39.69-2.509 39.69 18.16v80.05C384.6 137.9 512 170.1 512 322.3c0 61.44-39.59 122.3-83.34 154.1c-13.66 9.938-33.09-2.531-28.06-18.62c45.34-145-21.5-183.5-176.6-185.8v87.92c0 20.7-24.31 31.45-39.69 18.16l-176-151.1C-2.753 216.6-2.784 199.4 8.31 189.9z"],
    "reply-all": [576, 512, ["mail-reply-all"], "f122", "M136.3 226.2l176 151.1c15.38 13.3 39.69 2.545 39.69-18.16V275.1c108.5 12.58 151.1 58.79 112.6 181.9c-5.031 16.09 14.41 28.56 28.06 18.62c43.75-31.81 83.34-92.69 83.34-154.1c0-131.3-94.86-173.2-224-183.5V56.02c0-20.67-24.28-31.46-39.69-18.16L136.3 189.9C125.2 199.4 125.2 216.6 136.3 226.2zM8.31 226.2l176 151.1c15.38 13.3 39.69 2.545 39.69-18.16v-15.83L66.33 208l157.7-136.2V56.02c0-20.67-24.28-31.46-39.69-18.16l-176 151.1C-2.77 199.4-2.77 216.6 8.31 226.2z"],
    "reply-clock": [640, 512, ["reply-time"], "e239", "M496 320c-86.73 0-158.6-62.8-173.2-145.4C292 170.4 258.9 168.5 223.1 168.1V88.02c0-20.67-24.28-31.47-39.69-18.17l-176 152c-11.09 9.562-11.06 26.75 0 36.31l176 152c15.38 13.3 39.69 2.547 39.69-18.16V304.1c155.1 2.234 221.9 40.73 176.6 185.8c-5.031 16.09 14.41 28.56 28.06 18.62C472.4 476.6 512 415.8 512 354.3c0-12.56-1.17-24.02-2.852-34.99C504.8 319.7 500.4 320 496 320zM496 0C416.4 0 352 64.38 352 144S416.4 288 496 288S640 223.6 640 144S575.6 0 496 0zM544 160h-54.25C484.4 160 480 155.6 480 150.3V80C480 71.16 487.2 64 496 64C504.8 64 512 71.16 512 80V128h32c8.838 0 16 7.162 16 16C560 152.8 552.8 160 544 160z"],
    "republican": [640, 512, [], "f75e", "M544 191.1c0-88.37-71.62-159.1-159.1-159.1L159.1 32C71.62 32 0 103.6 0 191.1l.025 63.98h543.1V191.1zM176.3 170.4l-19.75 19.37l4.75 27.25c.7498 4.875-4.375 8.625-8.75 6.25l-24.5-12.87L103.5 223.2C99.27 225.6 94.02 221.9 94.77 216.1l4.75-27.25l-19.75-19.37C76.15 166.9 78.15 160.9 83.02 160.2L110.4 156.2l12.25-24.87c2.125-4.5 8.625-4.375 10.62 0L145.5 156.2L172.9 160.2C177.9 160.9 179.8 166.9 176.3 170.4zM320.3 170.4l-19.75 19.37l4.75 27.25c.7498 4.875-4.375 8.625-8.75 6.25L272 210.4l-24.5 12.87C243.3 225.6 238 221.9 238.8 216.1L243.5 189.7l-19.75-19.37c-3.625-3.5-1.625-9.498 3.25-10.12L254.4 156.2l12.25-24.87c2.125-4.5 8.625-4.375 10.62 0L289.5 156.2l27.37 4C321.9 160.9 323.8 166.9 320.3 170.4zM464.3 170.4l-19.75 19.37l4.75 27.25c.7498 4.875-4.375 8.625-8.75 6.25l-24.5-12.87l-24.5 12.87c-4.25 2.375-9.5-1.375-8.75-6.25l4.75-27.25l-19.75-19.37c-3.625-3.5-1.625-9.498 3.25-10.12l27.37-4l12.25-24.87c2.125-4.5 8.625-4.375 10.62 0l12.25 24.87l27.37 4C465.9 160.9 467.8 166.9 464.3 170.4zM624 319.1L592 319.1c-8.799 0-15.1 7.199-15.1 15.1v63.99c0 8.748-7.25 15.1-15.1 15.1c-8.75 0-15.1-7.25-15.1-15.1l-.0313-111.1L.025 287.1v159.1c0 17.6 14.4 31.1 31.1 31.1L95.98 479.1c17.6 0 32.04-14.4 32.04-32v-63.98l191.1-.0169v63.99c0 17.6 14.36 32 31.96 32l64.04 .013c17.6 0 31.1-14.4 31.1-31.1l-.0417-96.01l32.04 .0006v43.25c0 41.79 29.91 80.03 71.48 84.35C599.3 484.5 640 446.9 640 399.1v-63.98C640 327.2 632.8 319.1 624 319.1z"],
    "restroom": [640, 512, [], "f7bd", "M319.1 0C306.8 0 296 10.8 296 24v464c0 13.2 10.8 24 23.1 24s24-10.8 24-24V24C344 10.8 333.2 0 319.1 0zM213.7 171.8C204.9 145.6 180.5 128 152.9 128H103.1C75.47 128 51.06 145.6 42.37 171.8L1.653 293.9c-5.594 16.77 3.469 34.89 20.22 40.48c12.68 4.211 25.93 .1426 34.13-9.18V480c0 17.67 14.33 32 32 32s31.1-14.33 31.1-32l-.0003-144h16l.0003 144c0 17.67 14.33 32 32 32s31.1-14.33 31.1-32l-.0003-155.2c6.041 6.971 14.7 11.25 24 11.25c3.344 0 6.75-.5313 10.13-1.656c16.75-5.594 25.81-23.72 20.22-40.48L213.7 171.8zM128 96c26.5 0 47.1-21.5 47.1-48S154.5 0 128 0S80 21.5 80 48S101.5 96 128 96zM511.1 96c26.5 0 48-21.5 48-48S538.5 0 511.1 0s-47.1 21.5-47.1 48S485.5 96 511.1 96zM638.3 293.9l-40.69-122.1C588.9 145.6 564.5 128 536.9 128h-49.88c-27.59 0-52 17.59-60.69 43.75l-40.72 122.1c-5.594 16.77 3.469 34.89 20.22 40.48c3.422 1.137 6.856 1.273 10.25 1.264L399.1 384h40v96c0 17.67 14.32 32 31.1 32s32-14.33 32-32v-96h16v96c0 17.67 14.32 32 31.1 32s32-14.33 32-32v-96h39.1l-15.99-47.98c3.342 0 6.747-.5313 10.12-1.656C634.9 328.8 643.9 310.6 638.3 293.9z"],
    "restroom-simple": [576, 512, [], "e23a", "M264 0h-16c-8.75 0-16 7.25-16 16v480c0 8.75 7.25 16 16 16h16c8.75 0 16-7.25 16-16v-480C280 7.25 272.8 0 264 0zM448 128c35.38 0 64-28.62 64-64s-28.62-64-64-64s-64 28.62-64 64S412.6 128 448 128zM575.4 363.6L527.1 194.8C521.3 174.2 502.4 160 480.1 160h-65.99c-21.43 0-40.27 14.21-46.15 34.81l-48.23 168.8C317.7 373.8 325.4 384 336 384H384v96c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-96h47.99C570.6 384 578.3 373.8 575.4 363.6zM96 128c35.38 0 64-28.62 64-64S131.4 0 96 0S32 28.62 32 64S60.63 128 96 128zM128 160H64C28.65 160 0 188.7 0 224v96c0 17.67 14.33 32 32 32v128c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-128c17.67 0 32-14.33 32-32V224C192 188.7 163.3 160 128 160z"],
    "retweet": [640, 512, [], "f079", "M614.2 334.8C610.5 325.8 601.7 319.1 592 319.1H544V176C544 131.9 508.1 96 464 96h-128c-17.67 0-32 14.31-32 32s14.33 32 32 32h128C472.8 160 480 167.2 480 176v143.1h-48c-9.703 0-18.45 5.844-22.17 14.82s-1.656 19.29 5.203 26.16l80 80.02C499.7 445.7 505.9 448 512 448s12.28-2.344 16.97-7.031l80-80.02C615.8 354.1 617.9 343.8 614.2 334.8zM304 352h-128C167.2 352 160 344.8 160 336V192h48c9.703 0 18.45-5.844 22.17-14.82s1.656-19.29-5.203-26.16l-80-80.02C140.3 66.34 134.1 64 128 64S115.7 66.34 111 71.03l-80 80.02C24.17 157.9 22.11 168.2 25.83 177.2S38.3 192 48 192H96V336C96 380.1 131.9 416 176 416h128c17.67 0 32-14.31 32-32S321.7 352 304 352z"],
    "rhombus": [448, 512, [], "e23b", "M438.4 230.1C451.2 245 451.2 266.1 438.4 281.9L254.4 497.9C246.8 506.9 235.7 512 224 512C212.3 512 201.2 506.9 193.6 497.9L9.55 281.9C-3.183 266.1-3.183 245 9.55 230.1L193.6 14.06C201.2 5.14 212.3 0 224 0C235.7 0 246.9 5.14 254.4 14.06L438.4 230.1z"],
    "ribbon": [448, 512, [127895], "f4d6", "M6.05 444.3c-9.626 10.87-7.501 27.62 4.5 35.75l68.76 27.87c9.876 6.75 23.38 4.1 31.38-3.75l91.76-101.9L123.2 314.3L6.05 444.3zM441.8 444.3c0 0-292-324.5-295.4-329.1c15.38-8.5 40.25-17.1 77.51-17.1s62.13 9.5 77.51 17.1c-3.25 5.5-56.01 64.5-56.01 64.5l79.13 87.75l34.13-37.1c28.75-31.87 33.38-78.62 11.5-115.5L326.5 39.52c-4.25-7.25-9.876-13.25-16.75-17.1c-40.75-27.62-127.5-29.75-171.5 0C131.3 26.27 125.7 32.27 121.4 39.52L77.81 112.8C76.31 115.3 40.68 174.9 89.31 228.8l248.1 275.2c8.001 8.875 21.38 10.5 31.25 3.75l68.88-27.87C449.5 471.9 451.6 455.1 441.8 444.3z"],
    "right": [448, 512, [11157, "arrow-alt-right"], "f356", "M448 256c0 8.188-3.125 16.38-9.375 22.62l-160 160c-9.156 9.156-22.91 11.89-34.88 6.938C231.8 440.6 224 428.9 224 416v-96H32c-17.67 0-32-14.33-32-32V224c0-17.67 14.33-32 32-32h192V96c0-12.94 7.797-24.61 19.75-29.56c11.97-4.953 25.72-2.219 34.88 6.938l160 160C444.9 239.6 448 247.8 448 256z"],
    "right-from-bracket": [512, 512, ["sign-out-alt"], "f2f5", "M96 480h64C177.7 480 192 465.7 192 448S177.7 416 160 416H96c-17.67 0-32-14.33-32-32V128c0-17.67 14.33-32 32-32h64C177.7 96 192 81.67 192 64S177.7 32 160 32H96C42.98 32 0 74.98 0 128v256C0 437 42.98 480 96 480zM504.8 238.5l-144.1-136c-6.975-6.578-17.2-8.375-26-4.594c-8.803 3.797-14.51 12.47-14.51 22.05l-.0918 72l-128-.001c-17.69 0-32.02 14.33-32.02 32v64c0 17.67 14.34 32 32.02 32l128 .001l.0918 71.1c0 9.578 5.707 18.25 14.51 22.05c8.803 3.781 19.03 1.984 26-4.594l144.1-136C514.4 264.4 514.4 247.6 504.8 238.5z"],
    "right-from-line": [448, 512, ["arrow-alt-from-left"], "f347", "M32 64C14.33 64 0 78.33 0 95.1V416C0 433.7 14.33 448 31.1 448S64 433.7 64 416V95.1C64 78.33 49.67 64 32 64zM440.8 238.5l-144.1-136c-6.975-6.578-17.2-8.375-26-4.594C261.9 101.8 256.2 110.4 256.2 120V192H128.1C110.4 192 96.05 206.3 96.05 224v64c0 17.67 14.35 32 32.04 32h128.1v72c0 9.578 5.708 18.25 14.51 22.05c8.805 3.781 19.03 1.984 26-4.594l144.1-136C450.4 264.4 450.4 247.6 440.8 238.5z"],
    "right-left": [512, 512, ["exchange-alt"], "f362", "M32 160h319.9l.0791 72c0 9.547 5.652 18.19 14.41 22c8.754 3.812 18.93 2.078 25.93-4.406l112-104c10.24-9.5 10.24-25.69 0-35.19l-112-104c-6.992-6.484-17.17-8.217-25.93-4.408c-8.758 3.816-14.41 12.46-14.41 22L351.9 96H32C14.31 96 0 110.3 0 127.1S14.31 160 32 160zM480 352H160.1L160 279.1c0-9.547-5.652-18.19-14.41-22C136.9 254.2 126.7 255.9 119.7 262.4l-112 104c-10.24 9.5-10.24 25.69 0 35.19l112 104c6.992 6.484 17.17 8.219 25.93 4.406C154.4 506.2 160 497.5 160 488L160.1 416H480c17.69 0 32-14.31 32-32S497.7 352 480 352z"],
    "right-long": [512, 512, ["long-arrow-alt-right"], "f30b", "M504.3 273.6l-112.1 104c-6.992 6.484-17.18 8.218-25.94 4.406c-8.758-3.812-14.42-12.45-14.42-21.1L351.9 288H32C14.33 288 .0002 273.7 .0002 255.1S14.33 224 32 224h319.9l0-72c0-9.547 5.66-18.19 14.42-22c8.754-3.809 18.95-2.075 25.94 4.41l112.1 104C514.6 247.9 514.6 264.1 504.3 273.6z"],
    "right-long-to-line": [640, 512, [], "e444", "M608 64C625.7 64 640 78.33 640 96V416C640 433.7 625.7 448 608 448C590.3 448 576 433.7 576 416V96C576 78.33 590.3 64 608 64zM504.3 273.6L392.2 377.6C385.3 384.1 375.1 385.8 366.3 382C357.6 378.2 351.9 369.5 351.9 360V304H32C14.33 304 0 289.7 0 272V240C0 222.3 14.33 208 32 208H351.9V151.1C351.9 142.5 357.6 133.8 366.3 129.1C375.1 126.2 385.3 127.9 392.2 134.4L504.3 238.4C514.6 247.9 514.6 264.1 504.3 273.6V273.6z"],
    "right-to-bracket": [512, 512, ["sign-in-alt"], "f2f6", "M344.7 238.5l-144.1-136C193.7 95.97 183.4 94.17 174.6 97.95C165.8 101.8 160.1 110.4 160.1 120V192H32.02C14.33 192 0 206.3 0 224v64c0 17.68 14.33 32 32.02 32h128.1v72c0 9.578 5.707 18.25 14.51 22.05c8.803 3.781 19.03 1.984 26-4.594l144.1-136C354.3 264.4 354.3 247.6 344.7 238.5zM416 32h-64c-17.67 0-32 14.33-32 32s14.33 32 32 32h64c17.67 0 32 14.33 32 32v256c0 17.67-14.33 32-32 32h-64c-17.67 0-32 14.33-32 32s14.33 32 32 32h64c53.02 0 96-42.98 96-96V128C512 74.98 469 32 416 32z"],
    "right-to-line": [448, 512, ["arrow-alt-to-right"], "f34c", "M32.05 319.1l128.1 .0003L160.1 392c0 9.578 5.708 18.25 14.51 22.05c8.803 3.781 19.03 1.984 26-4.594l144.1-136c9.602-9.062 9.602-25.84 0-34.91L200.6 102.5C193.7 95.96 183.5 94.17 174.6 97.95C165.8 101.7 160.1 110.4 160.1 119.1L160.1 191.1L32.05 191.1c-17.69 0-32.02 14.33-32.02 32V287.1C.0228 305.7 14.36 319.1 32.05 319.1zM415.1 63.99C398.3 63.99 384 78.32 384 95.99v320C384 433.7 398.3 448 415.1 448C433.7 448 448 433.7 448 416V95.99C448 78.32 433.7 63.99 415.1 63.99z"],
    "ring": [512, 512, [], "f70b", "M256 64C109.1 64 0 125.9 0 208v98.13C0 384.5 114.6 448 256 448s256-63.5 256-141.9V208C512 125.9 401.1 64 256 64zM256 288C203.1 288 155.1 279.1 120.4 264.6C155 249.9 201.6 240 256 240s101 9.875 135.6 24.62C356.9 279.1 308.9 288 256 288zM437.1 234.4C392.1 208.3 328.3 192 256 192S119.9 208.3 74.88 234.4C68 226.1 64 217.3 64 208C64 163.9 149.1 128 256 128c105.1 0 192 35.88 192 80C448 217.3 444 226.1 437.1 234.4z"],
    "ring-diamond": [384, 512, [], "e5ab", "M122.5 13.27C126.6 5.136 134.9 0 144 0H240C249.1 0 257.4 5.136 261.5 13.27L285.5 61.27C289 68.35 288.8 76.73 284.1 83.66L254.6 138.4C329.9 164.4 384 235.9 384 320C384 426 298 512 192 512C85.96 512 0 426 0 320C0 235.9 54.12 164.4 129.4 138.4L99.02 83.66C95.17 76.73 94.99 68.35 98.53 61.27L122.5 13.27zM192 192C121.3 192 64 249.3 64 320C64 390.7 121.3 448 192 448C262.7 448 320 390.7 320 320C320 249.3 262.7 192 192 192z"],
    "rings-wedding": [512, 512, [], "f81b", "M351.2 160.7c14 22.12 23.75 46.62 28.63 72.24c51.63 21.1 79 78.74 64.13 132.7c-14.88 54.12-67.5 88.74-123 81.24C265.4 439.5 224 392.1 224 335.1c0-42.25 23.75-78.62 58.25-97.49C285.6 249.1 288 260.2 288 271.1c0 28.5-11 55.1-30.75 76.62c3.625 22.5 16.62 42.51 35.75 54.76C330.5 370.1 352 322.1 352 271.1c0-81.62-55.59-150.2-130.1-170.1l34.96-69.92L223.1 0h-95.1l-32 31.1l34.96 69.92C55.59 121.8 0 190.4 0 271.1c0 97.24 78.75 175.1 176 175.1c7.625 0 15.29-.7385 22.91-1.863c46.75 58.25 125.2 80.73 195.6 55.86C465 477.2 512 410.6 512 335.1C512 243.1 441.2 168.5 351.2 160.7zM64 271.1c.125-61.87 50.13-111.9 112-111.1c26.88 0 51.25 9.874 70.5 25.75C195 216.2 160 271.6 160 335.1c0 15.87 2.25 31.73 6.5 46.98C109.2 378.1 64 330.5 64 271.1z"],
    "road": [576, 512, [128739], "f018", "M256 96C256 113.7 270.3 128 288 128C305.7 128 320 113.7 320 96V32H394.8C421.9 32 446 49.08 455.1 74.63L572.9 407.2C574.9 413 576 419.2 576 425.4C576 455.5 551.5 480 521.4 480H320V416C320 398.3 305.7 384 288 384C270.3 384 256 398.3 256 416V480H54.61C24.45 480 0 455.5 0 425.4C0 419.2 1.06 413 3.133 407.2L120.9 74.63C129.1 49.08 154.1 32 181.2 32H255.1L256 96zM320 224C320 206.3 305.7 192 288 192C270.3 192 256 206.3 256 224V288C256 305.7 270.3 320 288 320C305.7 320 320 305.7 320 288V224z"],
    "road-barrier": [640, 512, [], "e562", "M32 32C49.67 32 64 46.33 64 64V96H149.2L64 266.3V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V64C0 46.33 14.33 32 32 32V32zM309.2 288H234.8L330.8 96H405.2L309.2 288zM458.8 96H533.2L437.2 288H362.8L458.8 96zM202.8 96H277.2L181.2 288H106.8L202.8 96zM576 117.7V64C576 46.33 590.3 32 608 32C625.7 32 640 46.33 640 64V448C640 465.7 625.7 480 608 480C590.3 480 576 465.7 576 448V288H490.8L576 117.7z"],
    "road-bridge": [640, 512, [], "e563", "M352 0H608C625.7 0 640 14.33 640 32V480C640 497.7 625.7 512 608 512H352C334.3 512 320 497.7 320 480V32C320 14.33 334.3 0 352 0zM456 224V288C456 301.3 466.7 312 480 312C493.3 312 504 301.3 504 288V224C504 210.7 493.3 200 480 200C466.7 200 456 210.7 456 224zM504 384C504 370.7 493.3 360 480 360C466.7 360 456 370.7 456 384V448C456 461.3 466.7 472 480 472C493.3 472 504 461.3 504 448V384zM456 64V128C456 141.3 466.7 152 480 152C493.3 152 504 141.3 504 128V64C504 50.75 493.3 40 480 40C466.7 40 456 50.75 456 64zM32 96H288V160H248V224H288V320C234.1 320 192 362.1 192 416V480C192 497.7 177.7 512 160 512H128C110.3 512 96 497.7 96 480V416C96 362.1 53.02 320 0 320V224H72V160H32C14.33 160 0 145.7 0 128C0 110.3 14.33 96 32 96zM200 160H120V224H200V160z"],
    "road-circle-check": [640, 512, [], "e564", "M213.2 32H288V96C288 113.7 302.3 128 320 128C337.7 128 352 113.7 352 96V32H426.8C453.9 32 478 49.08 487.1 74.63L529.8 195.2C518.9 193.1 507.6 192 496 192C436.5 192 383.9 221.6 352 266.8V224C352 206.3 337.7 192 320 192C302.3 192 288 206.3 288 224V288C288 305.7 302.3 320 320 320C322.3 320 324.6 319.7 326.8 319.3C322.4 334.7 320 351.1 320 368C320 373.4 320.2 378.7 320.7 384L320 384C302.3 384 288 398.3 288 416V480H86.61C56.45 480 32 455.5 32 425.4C32 419.2 33.06 413 35.13 407.2L152.9 74.63C161.1 49.08 186.1 32 213.2 32H213.2zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM540.7 324.7L480 385.4L451.3 356.7C445.1 350.4 434.9 350.4 428.7 356.7C422.4 362.9 422.4 373.1 428.7 379.3L468.7 419.3C474.9 425.6 485.1 425.6 491.3 419.3L563.3 347.3C569.6 341.1 569.6 330.9 563.3 324.7C557.1 318.4 546.9 318.4 540.7 324.7H540.7z"],
    "road-circle-exclamation": [640, 512, [], "e565", "M213.2 32H288V96C288 113.7 302.3 128 320 128C337.7 128 352 113.7 352 96V32H426.8C453.9 32 478 49.08 487.1 74.63L529.8 195.2C518.9 193.1 507.6 192 496 192C436.5 192 383.9 221.6 352 266.8V224C352 206.3 337.7 192 320 192C302.3 192 288 206.3 288 224V288C288 305.7 302.3 320 320 320C322.3 320 324.6 319.7 326.8 319.3C322.4 334.7 320 351.1 320 368C320 373.4 320.2 378.7 320.7 384L320 384C302.3 384 288 398.3 288 416V480H86.61C56.45 480 32 455.5 32 425.4C32 419.2 33.06 413 35.13 407.2L152.9 74.63C161.1 49.08 186.1 32 213.2 32H213.2zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 464C509.3 464 520 453.3 520 440C520 426.7 509.3 416 496 416C482.7 416 472 426.7 472 440C472 453.3 482.7 464 496 464zM479.1 288V368C479.1 376.8 487.2 384 495.1 384C504.8 384 511.1 376.8 511.1 368V288C511.1 279.2 504.8 272 495.1 272C487.2 272 479.1 279.2 479.1 288z"],
    "road-circle-xmark": [640, 512, [], "e566", "M213.2 32H288V96C288 113.7 302.3 128 320 128C337.7 128 352 113.7 352 96V32H426.8C453.9 32 478 49.08 487.1 74.63L529.8 195.2C518.9 193.1 507.6 192 496 192C436.5 192 383.9 221.6 352 266.8V224C352 206.3 337.7 192 320 192C302.3 192 288 206.3 288 224V288C288 305.7 302.3 320 320 320C322.3 320 324.6 319.7 326.8 319.3C322.4 334.7 320 351.1 320 368C320 373.4 320.2 378.7 320.7 384L320 384C302.3 384 288 398.3 288 416V480H86.61C56.45 480 32 455.5 32 425.4C32 419.2 33.06 413 35.13 407.2L152.9 74.63C161.1 49.08 186.1 32 213.2 32H213.2zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM518.6 368L555.3 331.3C561.6 325.1 561.6 314.9 555.3 308.7C549.1 302.4 538.9 302.4 532.7 308.7L496 345.4L459.3 308.7C453.1 302.4 442.9 302.4 436.7 308.7C430.4 314.9 430.4 325.1 436.7 331.3L473.4 368L436.7 404.7C430.4 410.9 430.4 421.1 436.7 427.3C442.9 433.6 453.1 433.6 459.3 427.3L496 390.6L532.7 427.3C538.9 433.6 549.1 433.6 555.3 427.3C561.6 421.1 561.6 410.9 555.3 404.7L518.6 368z"],
    "road-lock": [640, 512, [], "e567", "M288 96C288 113.7 302.3 128 320 128C337.7 128 352 113.7 352 96V32H426.8C453.9 32 478 49.08 487.1 74.63L517.5 160.5C460.6 165.8 416 213.7 416 272V296.6C396.9 307.6 384 328.3 384 352V480H352V416C352 398.3 337.7 384 320 384C302.3 384 288 398.3 288 416V480H86.61C56.45 480 32 455.5 32 425.4C32 419.2 33.06 413 35.13 407.2L152.9 74.63C161.1 49.08 186.1 32 213.2 32H287.1L288 96zM352 224C352 206.3 337.7 192 320 192C302.3 192 288 206.3 288 224V288C288 305.7 302.3 320 320 320C337.7 320 352 305.7 352 288V224zM528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320V272C448 227.8 483.8 192 528 192zM528 240C510.3 240 496 254.3 496 272V320H560V272C560 254.3 545.7 240 528 240z"],
    "road-spikes": [640, 512, [], "e568", "M64 116.8C64 101 84.53 94.79 93.31 107.1L192 255.1V116.8C192 101 212.5 94.79 221.3 107.1L320 255.1V116.8C320 101 340.5 94.79 349.3 107.1L448 255.1V116.8C448 101 468.5 94.79 477.3 107.1L606.8 302.2C621 323.5 605.8 351.1 580.2 351.1H64L64 116.8zM608 383.1C625.7 383.1 640 398.3 640 415.1C640 433.7 625.7 447.1 608 447.1H32C14.33 447.1 0 433.7 0 415.1C0 398.3 14.33 383.1 32 383.1H608z"],
    "robot": [640, 512, [129302], "f544", "M9.375 233.4C3.375 239.4 0 247.5 0 256v128c0 8.5 3.375 16.62 9.375 22.62S23.5 416 32 416h32V224H32C23.5 224 15.38 227.4 9.375 233.4zM464 96H352V32c0-17.62-14.38-32-32-32S288 14.38 288 32v64H176C131.8 96 96 131.8 96 176V448c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V176C544 131.8 508.3 96 464 96zM256 416H192v-32h64V416zM224 296C201.9 296 184 278.1 184 256S201.9 216 224 216S264 233.9 264 256S246.1 296 224 296zM352 416H288v-32h64V416zM448 416h-64v-32h64V416zM416 296c-22.12 0-40-17.88-40-40S393.9 216 416 216S456 233.9 456 256S438.1 296 416 296zM630.6 233.4C624.6 227.4 616.5 224 608 224h-32v192h32c8.5 0 16.62-3.375 22.62-9.375S640 392.5 640 384V256C640 247.5 636.6 239.4 630.6 233.4z"],
    "robot-astromech": [512, 512, [], "e2d2", "M494.6 489.5l-30.59-68.14V240c0-26.47-21.53-48-48-48H95.1c-26.47 0-48 21.53-48 48v181.3l-30.59 68.14C16.46 491.5 16 493.8 16 496c0 12.88 11.99 16 15.1 16H112C120.8 512 128 504.8 128 496L127.1 384l54.63 54.63C188.6 444.6 196.8 448 205.3 448h101.5c8.486 0 16.62-3.371 22.63-9.373L384 384l.002 112c0 8.844 7.156 16 16 16h80C484 512 496 508.8 496 496C496 493.8 495.5 491.5 494.6 489.5zM304 351.1h-96c-8.836 0-16-7.164-16-16C192 327.2 199.2 320 208 320h96C312.8 320 320 327.2 320 335.1C320 344.8 312.8 351.1 304 351.1zM304 288H208C199.2 288 192 280.8 192 271.1C192 263.2 199.2 256 208 256h96C312.8 256 320 263.2 320 271.1C320 280.8 312.8 288 304 288zM384 128c0-70.69-57.31-128-128-128C164.1 0 127.1 83.22 127.1 133.5V160h256V128zM224 128C206.3 128 192 113.7 192 96c0-17.67 14.33-32 32-32s32 14.33 32 32C256 113.7 241.7 128 224 128zM304 128c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16s16 7.162 16 16C320 120.8 312.8 128 304 128z"],
    "rocket": [512, 512, [], "f135", "M156.6 384.9L125.7 353.1C117.2 345.5 114.2 333.1 117.1 321.8C120.1 312.9 124.1 301.3 129.8 288H24C15.38 288 7.414 283.4 3.146 275.9C-1.123 268.4-1.042 259.2 3.357 251.8L55.83 163.3C68.79 141.4 92.33 127.1 117.8 127.1H200C202.4 124 204.8 120.3 207.2 116.7C289.1-4.07 411.1-8.142 483.9 5.275C495.6 7.414 504.6 16.43 506.7 28.06C520.1 100.9 516.1 222.9 395.3 304.8C391.8 307.2 387.1 309.6 384 311.1V394.2C384 419.7 370.6 443.2 348.7 456.2L260.2 508.6C252.8 513 243.6 513.1 236.1 508.9C228.6 504.6 224 496.6 224 488V380.8C209.9 385.6 197.6 389.7 188.3 392.7C177.1 396.3 164.9 393.2 156.6 384.9V384.9zM384 167.1C406.1 167.1 424 150.1 424 127.1C424 105.9 406.1 87.1 384 87.1C361.9 87.1 344 105.9 344 127.1C344 150.1 361.9 167.1 384 167.1z"],
    "rocket-launch": [512, 512, [128640], "e027", "M117.8 127.1H207C286.9-3.743 409.5-8.542 483.9 5.255C495.6 7.41 504.6 16.45 506.7 28.07C520.5 102.5 515.7 225.1 384 304.1V394.2C384 419.7 370.6 443.2 348.7 456.2L260.2 508.6C252.8 513 243.6 513.1 236.1 508.9C228.6 504.6 224 496.6 224 488V373.3C224 350.6 215 328.1 199 312.1C183 296.1 161.4 288 138.7 288H24C15.38 288 7.414 283.4 3.146 275.9C-1.123 268.4-1.042 259.2 3.357 251.8L55.83 163.3C68.79 141.4 92.33 127.1 117.8 127.1H117.8zM384 88C361.9 88 344 105.9 344 128C344 150.1 361.9 168 384 168C406.1 168 424 150.1 424 128C424 105.9 406.1 88 384 88zM166.5 470C117 519.5 .4762 511.5 .4762 511.5C.4762 511.5-7.516 394.1 41.98 345.5C76.37 311.1 132.1 311.1 166.5 345.5C200.9 379.9 200.9 435.6 166.5 470zM119.8 392.2C108.3 380.8 89.81 380.8 78.38 392.2C61.92 408.7 64.58 447.4 64.58 447.4C64.58 447.4 103.3 450.1 119.8 433.6C131.2 422.2 131.2 403.7 119.8 392.2z"],
    "roller-coaster": [640, 512, [], "e324", "M64 448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V190.1C0 102.8 70.77 32 158.1 32C209.9 32 258.4 57.37 287.9 99.9L416.9 285.6C431.8 307.2 456.4 320 482.6 320H496C540.2 320 576 284.2 576 240C576 207.2 556.3 179 528 166.7V264C528 277.3 517.3 288 504 288C490.7 288 480 277.3 480 264V160.6C465.8 162.2 451.1 166.4 439.3 173.2L432 177.1V251.3L357.6 144.2L409.2 116.7C434.7 103.1 463.1 96 492 96H496C575.5 96 640 160.5 640 240C640 242.7 639.9 245.4 639.8 248H640V448C640 465.7 625.7 480 608 480C590.3 480 576 465.7 576 448V359.8C563.8 367.9 550.4 374.2 536 378.4V456C536 469.3 525.3 480 512 480C498.7 480 488 469.3 488 456V384H482.6C467.1 384 453.6 381.8 440 377.6V456C440 469.3 429.3 480 416 480C402.7 480 392 469.3 392 456V351.9C381.5 343.5 372.2 333.5 364.3 322.1L344 292.9V456C344 469.3 333.3 480 319.1 480C306.7 480 295.1 469.3 295.1 456V223.8L247.1 154.7V456C247.1 469.3 237.3 480 223.1 480C210.7 480 199.1 469.3 199.1 456V105.9C187.2 99.47 172.8 96 158.1 96C156 96 154 96.06 151.1 96.19V456C151.1 469.3 141.3 480 127.1 480C114.7 480 103.1 469.3 103.1 456V113.1C79.81 130.1 63.1 158.2 63.1 190.1L64 448z"],
    "rotate": [512, 512, [128260, "sync-alt"], "f2f1", "M449.9 39.96l-48.5 48.53C362.5 53.19 311.4 32 256 32C161.5 32 78.59 92.34 49.58 182.2c-5.438 16.81 3.797 34.88 20.61 40.28c16.97 5.5 34.86-3.812 40.3-20.59C130.9 138.5 189.4 96 256 96c37.96 0 73 14.18 100.2 37.8L311.1 178C295.1 194.8 306.8 223.4 330.4 224h146.9C487.7 223.7 496 215.3 496 204.9V59.04C496 34.99 466.9 22.95 449.9 39.96zM441.8 289.6c-16.94-5.438-34.88 3.812-40.3 20.59C381.1 373.5 322.6 416 256 416c-37.96 0-73-14.18-100.2-37.8L200 334C216.9 317.2 205.2 288.6 181.6 288H34.66C24.32 288.3 16 296.7 16 307.1v145.9c0 24.04 29.07 36.08 46.07 19.07l48.5-48.53C149.5 458.8 200.6 480 255.1 480c94.45 0 177.4-60.34 206.4-150.2C467.9 313 458.6 294.1 441.8 289.6z"],
    "rotate-exclamation": [512, 512, [], "e23c", "M432 117.4V80C432 62.33 446.3 48 464 48C481.7 48 496 62.33 496 80V192C496 209.7 481.7 224 464 224H437.8C437.3 224 436.8 224 436.3 224H352C334.3 224 320 209.7 320 192C320 174.3 334.3 160 352 160H384C354.8 121.1 308.3 96 255.1 96C186.4 96 127.1 140.5 105.1 202.7C99.21 219.3 80.92 228.1 64.26 222.2C47.6 216.3 38.86 197.1 44.75 181.3C75.49 94.38 158.4 32 255.1 32C327.4 32 390.1 65.42 432 117.4V117.4zM280 264C280 277.3 269.3 288 256 288C242.7 288 232 277.3 232 264V152C232 138.7 242.7 128 256 128C269.3 128 280 138.7 280 152V264zM224 352C224 334.3 238.3 320 256 320C273.7 320 288 334.3 288 352C288 369.7 273.7 384 256 384C238.3 384 224 369.7 224 352zM48 464C30.33 464 16 449.7 16 432V320C16 302.3 30.33 288 48 288H160C177.7 288 192 302.3 192 320C192 337.7 177.7 352 160 352H127.1C157.2 390.9 203.7 416 256 416C325.6 416 384.9 371.5 406.9 309.3C412.8 292.7 431.1 283.9 447.7 289.8C464.4 295.7 473.1 314 467.2 330.7C436.5 417.6 353.6 480 256 480C184.6 480 121 446.6 80 394.6V432C80 449.7 65.67 464 48 464V464z"],
    "rotate-left": [512, 512, ["rotate-back", "rotate-backward", "undo-alt"], "f2ea", "M480 256c0 123.4-100.5 223.9-223.9 223.9c-48.84 0-95.17-15.58-134.2-44.86c-14.12-10.59-16.97-30.66-6.375-44.81c10.59-14.12 30.62-16.94 44.81-6.375c27.84 20.91 61 31.94 95.88 31.94C344.3 415.8 416 344.1 416 256s-71.69-159.8-159.8-159.8c-37.46 0-73.09 13.49-101.3 36.64l45.12 45.14c17.01 17.02 4.955 46.1-19.1 46.1H35.17C24.58 224.1 16 215.5 16 204.9V59.04c0-24.04 29.07-36.08 46.07-19.07l47.6 47.63C149.9 52.71 201.5 32.11 256.1 32.11C379.5 32.11 480 132.6 480 256z"],
    "rotate-right": [512, 512, ["redo-alt", "rotate-forward"], "f2f9", "M468.9 32.11c13.87 0 27.18 10.77 27.18 27.04v145.9c0 10.59-8.584 19.17-19.17 19.17h-145.7c-16.28 0-27.06-13.32-27.06-27.2c0-6.634 2.461-13.4 7.96-18.9l45.12-45.14c-28.22-23.14-63.85-36.64-101.3-36.64c-88.09 0-159.8 71.69-159.8 159.8S167.8 415.9 255.9 415.9c73.14 0 89.44-38.31 115.1-38.31c18.48 0 31.97 15.04 31.97 31.96c0 35.04-81.59 70.41-147 70.41c-123.4 0-223.9-100.5-223.9-223.9S132.6 32.44 256 32.44c54.6 0 106.2 20.39 146.4 55.26l47.6-47.63C455.5 34.57 462.3 32.11 468.9 32.11z"],
    "route": [512, 512, [], "f4d7", "M320 256C302.3 256 288 270.3 288 288C288 305.7 302.3 320 320 320H416C469 320 512 362.1 512 416C512 469 469 512 416 512H139.6C148.3 502.1 158.9 489.4 169.6 475.2C175.9 466.8 182.4 457.6 188.6 448H416C433.7 448 448 433.7 448 416C448 398.3 433.7 384 416 384H320C266.1 384 223.1 341 223.1 288C223.1 234.1 266.1 192 320 192H362.1C340.2 161.5 320 125.4 320 96C320 42.98 362.1 0 416 0C469 0 512 42.98 512 96C512 160 416 256 416 256H320zM416 128C433.7 128 448 113.7 448 96C448 78.33 433.7 64 416 64C398.3 64 384 78.33 384 96C384 113.7 398.3 128 416 128zM118.3 487.8C118.1 488 117.9 488.2 117.7 488.4C113.4 493.4 109.5 497.7 106.3 501.2C105.9 501.6 105.5 502 105.2 502.4C99.5 508.5 96 512 96 512C96 512 0 416 0 352C0 298.1 42.98 255.1 96 255.1C149 255.1 192 298.1 192 352C192 381.4 171.8 417.5 149.9 448C138.1 463.2 127.7 476.9 118.3 487.8L118.3 487.8zM95.1 384C113.7 384 127.1 369.7 127.1 352C127.1 334.3 113.7 320 95.1 320C78.33 320 63.1 334.3 63.1 352C63.1 369.7 78.33 384 95.1 384z"],
    "route-highway": [448, 512, [], "f61a", "M245.1 7.371C282.7 29.89 329.1 31.67 368.2 12.1L369.7 11.38C384.9 3.783 403.4 9.378 411.8 24.12L443.8 80.12C449.1 89.41 449.4 100.7 444.6 110.3L428.4 142.8C420.2 159.1 416 177 416 195.2C416 210.2 418.8 224.1 424.4 238.8L438.7 274.5C444.8 289.9 448 306.4 448 323C448 372.5 420 417.8 375.8 439.9L238.3 508.6C229.3 513.1 218.7 513.1 209.7 508.6L72.24 439.9C27.97 417.8 0 372.5 0 323C0 306.4 3.172 289.9 9.348 274.5L23.61 238.8C29.15 224.1 32 210.2 32 195.2C32 177 27.76 159.1 19.62 142.8L3.378 110.3C-1.407 100.7-1.092 89.41 4.216 80.12L36.22 24.12C44.64 9.378 63.12 3.783 78.31 11.38L79.75 12.1C118.9 31.67 165.3 29.89 202.9 7.371L207.5 4.56C217.7-1.52 230.3-1.52 240.5 4.56L245.1 7.371zM95.97 192C95.99 193.1 96 194.2 96 195.2C96 218.3 91.6 241.2 83.03 262.6L68.77 298.2C65.62 306.1 64 314.5 64 323C64 348.3 78.27 371.4 100.9 382.7L224 444.2L347.1 382.7C369.7 371.4 384 348.3 384 323C384 314.5 382.4 306.1 379.2 298.2L364.1 262.6C356.4 241.2 352 218.3 352 195.2C352 194.2 352 193.1 352 192H95.97z"],
    "route-interstate": [512, 512, [], "f61b", "M350.3 37.28C373.6 41.3 399.6 40.44 433.1 34.11C456.1 30.04 477.6 45.08 480.9 67.7C495.1 170.6 495 257.9 463.1 331.8C430.6 406.8 368.5 462.7 272.8 507.5C262.6 512.3 250.7 512.5 240.3 508.1C141.9 466.7 79.34 410.6 47.29 334.2C15.92 259.5 15.99 170.4 31.09 67.68C34.41 45.04 55.9 30.04 78.02 34.11C112.4 40.44 138.4 41.3 161.7 37.28C184.8 33.27 207.6 24.07 235.1 7.308C247.9-.5141 264.1-.5141 276.9 7.308C304.4 24.07 327.2 33.27 350.3 37.28V37.28zM85.25 192C85.68 237.5 92.33 276.2 106.3 309.4C129.2 364 173.8 408.7 255.3 444.9C335.9 405.4 380.9 360.5 404.4 306.4C418.4 273.8 425.4 236.3 426.3 191.1L85.25 192z"],
    "router": [576, 512, [], "f8da", "M200.3 105.5c83.69-77.05 219.8-77.05 303.5 0c9.75 8.979 24.94 8.338 33.91-1.424C541.9 99.49 544 93.65 544 87.83c0-6.477-2.594-12.95-7.75-17.69c-101.6-93.52-266.9-93.52-368.5 0C157.1 79.1 157.4 94.32 166.3 104.1C175.3 113.9 190.5 114.5 200.3 105.5zM528 320H376V247.1c0-13.25-10.75-23.1-23.1-23.1S328 234.7 328 247.1v72.01H48c-26.51 0-48 21.48-48 47.99v96C0 490.5 21.49 512 47.1 512H528c26.51 0 48-21.49 48-48v-96C576 341.5 554.5 320 528 320zM96 448c-17.62 0-32-14.38-32-31.1c0-17.62 14.38-31.1 32-31.1s32 14.37 32 31.1C128 433.6 113.6 448 96 448zM192 448c-17.62 0-32-14.38-32-31.1c0-17.62 14.38-31.1 32-31.1s32 14.37 32 31.1C224 433.6 209.6 448 192 448zM248.2 149.9C238.2 158.6 237.2 173.8 245.1 183.8C254.7 193.7 269.9 194.7 279.8 185.1c39.78-34.97 104.5-34.97 144.3 0c9.969 8.76 25.12 7.775 33.88-2.189C462 179.2 464 173.6 464 167.9c0-6.678-2.75-13.33-8.154-18.07C398.6 99.53 305.4 99.53 248.2 149.9z"],
    "rss": [448, 512, ["feed"], "f09e", "M25.57 176.1C12.41 175.4 .9117 185.2 .0523 198.4s9.173 24.65 22.39 25.5c120.1 7.875 225.7 112.7 233.6 233.6C256.9 470.3 267.4 480 279.1 480c.5313 0 1.062-.0313 1.594-.0625c13.22-.8438 23.25-12.28 22.39-25.5C294.6 310.3 169.7 185.4 25.57 176.1zM32 32C14.33 32 0 46.31 0 64s14.33 32 32 32c194.1 0 352 157.9 352 352c0 17.69 14.33 32 32 32s32-14.31 32-32C448 218.6 261.4 32 32 32zM63.1 351.9C28.63 351.9 0 380.6 0 416s28.63 64 63.1 64s64.08-28.62 64.08-64S99.37 351.9 63.1 351.9z"],
    "ruble-sign": [384, 512, [8381, "rouble", "rub", "ruble"], "f158", "M240 32C319.5 32 384 96.47 384 176C384 255.5 319.5 320 240 320H128V352H288C305.7 352 320 366.3 320 384C320 401.7 305.7 416 288 416H128V448C128 465.7 113.7 480 96 480C78.33 480 64 465.7 64 448V416H32C14.33 416 0 401.7 0 384C0 366.3 14.33 352 32 352H64V320H32C14.33 320 0 305.7 0 288C0 270.3 14.33 256 32 256H64V64C64 46.33 78.33 32 96 32H240zM320 176C320 131.8 284.2 96 240 96H128V256H240C284.2 256 320 220.2 320 176z"],
    "rug": [640, 512, [], "e569", "M80 64V448H24C10.75 448 0 437.3 0 424C0 410.7 10.75 400 24 400H32V360H24C10.75 360 0 349.3 0 336C0 322.7 10.75 312 24 312H32V280H24C10.75 280 0 269.3 0 256C0 242.7 10.75 232 24 232H32V200H24C10.75 200 0 189.3 0 176C0 162.7 10.75 152 24 152H32V112H24C10.75 112 0 101.3 0 88C0 74.75 10.75 64 24 64H80zM112 64H528V448H112V64zM616 112H608V152H616C629.3 152 640 162.7 640 176C640 189.3 629.3 200 616 200H608V232H616C629.3 232 640 242.7 640 256C640 269.3 629.3 280 616 280H608V312H616C629.3 312 640 322.7 640 336C640 349.3 629.3 360 616 360H608V400H616C629.3 400 640 410.7 640 424C640 437.3 629.3 448 616 448H560V64H616C629.3 64 640 74.75 640 88C640 101.3 629.3 112 616 112z"],
    "rugby-ball": [512, 512, [], "e3c6", "M495.1 174.8c0-45.12-7.712-83.76-14.15-108.2c-4.688-17.54-18.34-31.23-36.04-35.95C435.5 27.91 392.9 16 337 16C149 16 15.1 154.6 15.1 337.2c0 45.12 7.714 83.77 14.15 108.2C35.22 464.3 50.46 496 174.9 496C362.1 496 495.1 357.4 495.1 174.8zM384 144c0 4.094-1.562 8.188-4.688 11.31l-52.67 52.67l20.69 20.69c3.125 3.125 4.688 7.219 4.688 11.31c0 9.133-7.468 16-16 16c-4.094 0-8.189-1.562-11.31-4.688L304 230.6l-25.38 25.38l20.69 20.69c3.125 3.125 4.688 7.219 4.688 11.31c0 9.141-7.474 16-16 16c-4.094 0-8.188-1.564-11.31-4.689l-20.69-20.69L230.6 303.1l20.69 20.69c3.125 3.125 4.688 7.219 4.688 11.31c0 9.141-7.474 16-16 16c-4.094 0-8.188-1.564-11.31-4.689l-20.69-20.69l-52.69 52.69C152.2 382.4 148.1 384 144 384C135.5 384 128 377.1 128 368c0-4.094 1.562-8.188 4.688-11.31l52.69-52.69L164.7 283.3C161.6 280.2 160 276.1 160 271.1c0-8.529 6.865-16 16-16c4.095 0 8.189 1.562 11.31 4.688l20.69 20.69l25.38-25.38L212.7 235.3C209.6 232.2 208 228.1 208 223.1c0-8.528 6.865-16 16-16c4.094 0 8.188 1.562 11.31 4.688l20.69 20.69l25.38-25.38l-20.69-20.69c-3.125-3.125-4.688-7.219-4.688-11.31c0-9.141 7.473-16 16-16c4.094 0 8.188 1.562 11.31 4.688l20.69 20.69l52.67-52.67C359.8 129.6 363.9 128 368 128C376.5 128 384 134.9 384 144z"],
    "ruler": [512, 512, [128207], "f545", "M177.9 494.1C159.2 512.8 128.8 512.8 110.1 494.1L17.94 401.9C-.8054 383.2-.8054 352.8 17.94 334.1L68.69 283.3L116.7 331.3C122.9 337.6 133.1 337.6 139.3 331.3C145.6 325.1 145.6 314.9 139.3 308.7L91.31 260.7L132.7 219.3L180.7 267.3C186.9 273.6 197.1 273.6 203.3 267.3C209.6 261.1 209.6 250.9 203.3 244.7L155.3 196.7L196.7 155.3L244.7 203.3C250.9 209.6 261.1 209.6 267.3 203.3C273.6 197.1 273.6 186.9 267.3 180.7L219.3 132.7L260.7 91.31L308.7 139.3C314.9 145.6 325.1 145.6 331.3 139.3C337.6 133.1 337.6 122.9 331.3 116.7L283.3 68.69L334.1 17.94C352.8-.8055 383.2-.8055 401.9 17.94L494.1 110.1C512.8 128.8 512.8 159.2 494.1 177.9L177.9 494.1z"],
    "ruler-combined": [512, 512, [], "f546", "M0 464V48C0 21.49 21.49 0 48 0H144C170.5 0 192 21.49 192 48V96H112C103.2 96 96 103.2 96 112C96 120.8 103.2 128 112 128H192V192H112C103.2 192 96 199.2 96 208C96 216.8 103.2 224 112 224H192V288H112C103.2 288 96 295.2 96 304C96 312.8 103.2 320 112 320H192V400C192 408.8 199.2 416 208 416C216.8 416 224 408.8 224 400V320H288V400C288 408.8 295.2 416 304 416C312.8 416 320 408.8 320 400V320H384V400C384 408.8 391.2 416 400 416C408.8 416 416 408.8 416 400V320H464C490.5 320 512 341.5 512 368V464C512 490.5 490.5 512 464 512H48C23.15 512 2.706 493.1 .2477 468.9C.0838 467.3 0 465.7 0 464z"],
    "ruler-horizontal": [640, 512, [], "f547", "M0 176C0 149.5 21.49 128 48 128H112V208C112 216.8 119.2 224 128 224C136.8 224 144 216.8 144 208V128H208V208C208 216.8 215.2 224 224 224C232.8 224 240 216.8 240 208V128H304V208C304 216.8 311.2 224 320 224C328.8 224 336 216.8 336 208V128H400V208C400 216.8 407.2 224 416 224C424.8 224 432 216.8 432 208V128H496V208C496 216.8 503.2 224 512 224C520.8 224 528 216.8 528 208V128H592C618.5 128 640 149.5 640 176V336C640 362.5 618.5 384 592 384H48C21.49 384 0 362.5 0 336V176z"],
    "ruler-triangle": [512, 512, [128208], "f61c", "M32 0H34.75C43.23 0 51.37 3.372 57.37 9.372L108.7 60.69L84.69 84.69C78.44 90.93 78.44 101.1 84.69 107.3C90.93 113.6 101.1 113.6 107.3 107.3L131.3 83.31L188.7 140.7L164.7 164.7C158.4 170.9 158.4 181.1 164.7 187.3C170.9 193.6 181.1 193.6 187.3 187.3L211.3 163.3L268.7 220.7L244.7 244.7C238.4 250.9 238.4 261.1 244.7 267.3C250.9 273.6 261.1 273.6 267.3 267.3L291.3 243.3L348.7 300.7L324.7 324.7C318.4 330.9 318.4 341.1 324.7 347.3C330.9 353.6 341.1 353.6 347.3 347.3L371.3 323.3L428.7 380.7L404.7 404.7C398.4 410.9 398.4 421.1 404.7 427.3C410.9 433.6 421.1 433.6 427.3 427.3L451.3 403.3L502.6 454.6C508.6 460.6 512 468.8 512 477.3V480C512 497.7 497.7 512 480 512H64C28.65 512 0 483.3 0 448V32C0 14.33 14.33 0 32 0zM128 256V384H256L128 256z"],
    "ruler-vertical": [256, 512, [], "f548", "M0 48C0 21.49 21.49 0 48 0H208C234.5 0 256 21.49 256 48V96H176C167.2 96 160 103.2 160 112C160 120.8 167.2 128 176 128H256V192H176C167.2 192 160 199.2 160 208C160 216.8 167.2 224 176 224H256V288H176C167.2 288 160 295.2 160 304C160 312.8 167.2 320 176 320H256V384H176C167.2 384 160 391.2 160 400C160 408.8 167.2 416 176 416H256V464C256 490.5 234.5 512 208 512H48C21.49 512 0 490.5 0 464V48z"],
    "rupee-sign": [448, 512, [8360, "rupee"], "f156", "M.0003 64C.0003 46.33 14.33 32 32 32H112C191.5 32 256 96.47 256 176C256 234.8 220.8 285.3 170.3 307.7L221.7 436.1C228.3 452.5 220.3 471.1 203.9 477.7C187.5 484.3 168.9 476.3 162.3 459.9L106.3 320H64V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448L.0003 64zM64 256H112C156.2 256 192 220.2 192 176C192 131.8 156.2 96 112 96H64V256zM320.8 282.2C321.3 283.3 322.2 284.8 325 287.1C332.2 292.8 343.7 297.1 362.9 303.8L364.2 304.3C380.3 309.1 402.9 317.9 419.1 332.4C429.5 340.5 437.9 351 443 364.7C448.1 378.4 449.1 393.2 446.8 408.7C442.7 436.8 426.4 457.1 403.1 469.6C381 480.7 354.9 482.1 329.9 477.6L329.7 477.5C320.4 475.8 309.2 471.8 300.5 468.6C294.4 466.3 287.9 463.7 282.7 461.6C280.2 460.6 278.1 459.8 276.4 459.1C259.9 452.7 251.8 434.2 258.2 417.7C264.6 401.2 283.1 393.1 299.6 399.5C302.2 400.5 304.8 401.5 307.5 402.6C312.3 404.5 317.4 406.5 322.9 408.6C331.7 411.9 338.2 413.1 341.6 414.6C357.2 417.5 368.3 415.5 374.5 412.4C379.4 409.9 382.5 406.3 383.5 399.3C384.5 392.4 383.7 388.8 383.1 387.1C382.4 385.4 381.3 383.5 378.6 381.2C371.7 375.4 360.4 370.8 341.6 364.2L338.6 363.1C323.1 357.7 301.6 350.2 285.3 337.2C275.8 329.7 266.1 319.7 261.5 306.3C256.1 292.8 254.9 278.2 257.2 263.1C265.6 205.1 324.2 185.1 374.1 194.2C380.1 195.5 401.4 200 409.5 202.6C426.4 207.8 435.8 225.7 430.6 242.6C425.3 259.5 407.4 268.9 390.5 263.7C385.8 262.2 368.2 258.2 362.6 257.2C347.1 254.5 336.8 256.8 329.1 260.4C323.7 263.7 321.1 267.1 320.5 272.4C319.6 278.4 320.4 281.2 320.8 282.2H320.8z"],
    "rupiah-sign": [512, 512, [], "e23d", "M.0003 64C.0003 46.33 14.33 32 32 32H112C191.5 32 256 96.47 256 176C256 234.8 220.8 285.3 170.3 307.7L221.7 436.1C228.3 452.5 220.3 471.1 203.9 477.7C187.5 484.3 168.9 476.3 162.3 459.9L106.3 320H64V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448L.0003 64zM64 256H112C156.2 256 192 220.2 192 176C192 131.8 156.2 96 112 96H64V256zM400 160C461.9 160 512 210.1 512 272C512 333.9 461.9 384 400 384H352V480C352 497.7 337.7 512 320 512C302.3 512 288 497.7 288 480V192C288 174.3 302.3 160 320 160H400zM448 272C448 245.5 426.5 224 400 224H352V320H400C426.5 320 448 298.5 448 272z"],
    "rv": [640, 512, [], "f7be", "M224 16C224 7.164 231.2 0 240 0H368C376.8 0 384 7.164 384 16V32H512C565 32 608 74.98 608 128C608 145.7 593.7 160 576 160H384V416H254.4C255.4 421.2 256 426.5 256 432C256 476.2 220.2 512 176 512C131.8 512 96 476.2 96 432C96 426.5 96.55 421.2 97.6 416H96L18.75 338.7C6.743 326.7 0 310.5 0 293.5V96C0 60.65 28.65 32 64 32H224V16zM112 128C103.2 128 96 135.2 96 144V208C96 216.8 103.2 224 112 224H240C248.8 224 256 216.8 256 208V144C256 135.2 248.8 128 240 128H112zM176 400C158.3 400 144 414.3 144 432C144 449.7 158.3 464 176 464C193.7 464 208 449.7 208 432C208 414.3 193.7 400 176 400zM416 192H516.6C529.5 192 542 196.5 552 204.7L619.5 259.8C632.5 270.5 640 286.4 640 303.2V384C640 401.7 625.7 416 608 416H574.4C575.4 421.2 576 426.5 576 432C576 476.2 540.2 512 496 512C451.8 512 416 476.2 416 432V192zM496 464C513.7 464 528 449.7 528 432C528 425.4 525.1 419.2 522.5 414.1C516.8 405.6 507 400 496 400C484.2 400 473.8 406.4 468.3 416C465.6 420.7 464 426.2 464 432C464 449.7 478.3 464 496 464zM521.6 241.8C520.2 240.6 518.4 240 516.6 240H464V288H578.1L521.6 241.8z"],
    "s": [384, 512, [115], "53", "M349.9 379.1c-6.281 36.63-25.89 65.02-56.69 82.11c-24.91 13.83-54.08 18.98-83.73 18.98c-61.86 0-125.8-22.42-157.5-35.38c-16.38-6.672-24.22-25.34-17.55-41.7c6.641-16.36 25.27-24.28 41.7-17.55c77.56 31.64 150.6 39.39 186.1 19.69c13.83-7.672 21.67-19.42 24.69-36.98c7.25-42.31-18.2-56.75-103.7-81.38C112.6 266.6 15.98 238.7 34.11 133.2c5.484-32 23.64-59.36 51.14-77.02c45.59-29.33 115-31.87 206.4-7.688c17.09 4.531 27.27 22.05 22.75 39.13s-22.06 27.23-39.13 22.75C184 86.17 140.4 96.81 119.8 110c-12.55 8.062-20.17 19.5-22.66 34c-7.266 42.31 18.19 56.75 103.7 81.38C271.4 245.7 368 273.5 349.9 379.1z"],
    "sack": [512, 512, [], "f81c", "M144.6 24.88C137.5 14.24 145.1 0 157.9 0H354.1C366.9 0 374.5 14.24 367.4 24.88L320 96H192L144.6 24.88zM332.1 136.4C389.7 172.7 512 250.9 512 416C512 469 469 512 416 512H96C42.98 512 0 469 0 416C0 250.9 122.3 172.7 179 136.4C183.9 133.3 188.2 130.5 192 128H320C323.8 130.5 328.1 133.3 332.1 136.4z"],
    "sack-dollar": [512, 512, [128176], "f81d", "M320 96H192L144.6 24.88C137.5 14.24 145.1 0 157.9 0H354.1C366.9 0 374.5 14.24 367.4 24.88L320 96zM192 128H320C323.8 130.5 328.1 133.3 332.1 136.4C389.7 172.7 512 250.9 512 416C512 469 469 512 416 512H96C42.98 512 0 469 0 416C0 250.9 122.3 172.7 179 136.4C183.9 133.3 188.2 130.5 192 128V128zM276.1 224C276.1 212.9 267.1 203.9 255.1 203.9C244.9 203.9 235.9 212.9 235.9 224V230C230.3 231.2 224.1 232.9 220 235.1C205.1 241.9 192.1 254.5 188.9 272.8C187.1 283 188.1 292.9 192.3 301.8C196.5 310.6 203 316.8 209.6 321.3C221.2 329.2 236.5 333.8 248.2 337.3L250.4 337.9C264.4 342.2 273.8 345.3 279.7 349.6C282.2 351.4 283.1 352.8 283.4 353.7C283.8 354.5 284.4 356.3 283.7 360.3C283.1 363.8 281.2 366.8 275.7 369.1C269.6 371.7 259.7 373 246.9 371C240.9 370 230.2 366.4 220.7 363.2C218.5 362.4 216.3 361.7 214.3 361C203.8 357.5 192.5 363.2 189 373.7C185.5 384.2 191.2 395.5 201.7 398.1C202.9 399.4 204.4 399.9 206.1 400.5C213.1 403.2 226.4 407.4 235.9 409.6V416C235.9 427.1 244.9 436.1 255.1 436.1C267.1 436.1 276.1 427.1 276.1 416V410.5C281.4 409.5 286.6 407.1 291.4 405.9C307.2 399.2 319.8 386.2 323.1 367.2C324.9 356.8 324.1 346.8 320.1 337.7C316.2 328.7 309.9 322.1 303.2 317.3C291.1 308.4 274.9 303.6 262.8 299.9L261.1 299.7C247.8 295.4 238.2 292.4 232.1 288.2C229.5 286.4 228.7 285.2 228.5 284.7C228.3 284.3 227.7 283.1 228.3 279.7C228.7 277.7 230.2 274.4 236.5 271.6C242.1 268.7 252.9 267.1 265.1 268.1C269.5 269.7 283 272.3 286.9 273.3C297.5 276.2 308.5 269.8 311.3 259.1C314.2 248.5 307.8 237.5 297.1 234.7C292.7 233.5 282.7 231.5 276.1 230.3L276.1 224z"],
    "sack-xmark": [512, 512, [], "e56a", "M144.6 24.88C137.5 14.24 145.1 0 157.9 0H354.1C366.9 0 374.5 14.24 367.4 24.88L320 96H192L144.6 24.88zM332.1 136.4C389.7 172.7 512 250.9 512 416C512 469 469 512 416 512H96C42.98 512 0 469 0 416C0 250.9 122.3 172.7 179 136.4C183.9 133.3 188.2 130.5 192 128H320C323.8 130.5 328.1 133.3 332.1 136.4V136.4zM336.1 288.1C346.3 279.6 346.3 264.4 336.1 255C327.6 245.7 312.4 245.7 303 255L256 302.1L208.1 255C199.6 245.7 184.4 245.7 175 255C165.7 264.4 165.7 279.6 175 288.1L222.1 336L175 383C165.7 392.4 165.7 407.6 175 416.1C184.4 426.3 199.6 426.3 208.1 416.1L256 369.9L303 416.1C312.4 426.3 327.6 426.3 336.1 416.1C346.3 407.6 346.3 392.4 336.1 383L289.9 336L336.1 288.1z"],
    "sailboat": [576, 512, [], "e445", "M256 16C256 9.018 260.5 2.841 267.2 .7414C273.9-1.358 281.1 1.105 285.1 6.826L509.1 326.8C512.5 331.7 512.9 338.1 510.2 343.4C507.4 348.7 501.1 352 496 352H272C263.2 352 256 344.8 256 336V16zM212.1 96.54C219.1 98.4 224 104.7 224 112V336C224 344.8 216.8 352 208 352H80C74.3 352 69.02 348.1 66.16 344C63.3 339.1 63.28 333 66.11 328.1L194.1 104.1C197.7 97.76 205.1 94.68 212.1 96.54V96.54zM5.718 404.3C2.848 394.1 10.52 384 21.12 384H554.9C565.5 384 573.2 394.1 570.3 404.3L566.3 418.7C550.7 473.9 500.4 512 443 512H132.1C75.62 512 25.27 473.9 9.747 418.7L5.718 404.3z"],
    "salad": [512, 512, [129367, "bowl-salad"], "f81e", "M495.8 288H16.19C7.055 288-.6992 295.8 .0508 304.9c6.758 76.38 58.28 139.4 128.1 163.9V480c0 17.62 14.45 32 32.09 32h192.2c17.65 0 32.04-14.38 32.04-32v-11.5c69.46-24.62 120.8-87.5 127.4-163.6C512.7 295.8 505.1 288 495.8 288zM320 224c0 11.28 2.305 21.95 5.879 32h180.2C509.7 245.9 512 235.3 512 224c0-53.02-42.98-96-96-96S320 170.1 320 224zM96.09 256h73.29L84.69 171.3c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0L208 249.4V112C208 103.2 215.2 96 224 96s16 7.156 16 16V256h52.66c-2.875-10.38-4.375-21.12-4.5-32c.125-70.63 57.39-127.9 128-128c2.625 0 5.127 .625 7.752 .75C406.3 76.88 380.9 64 352.2 64c-8.504 .125-17.1 1.411-25.23 3.786C309.3 26.66 268.9 0 224.1 0C179.4 0 138.9 26.62 121.2 67.75C113.1 65.38 104.6 64.13 96.09 64C43.07 64 .0508 107 .0508 160S43.07 256 96.09 256z"],
    "salt-shaker": [384, 512, [129474], "e446", "M383.3 438.9l-46.4-316.4C326.7 52.67 264.4 0 192 0S57.29 52.67 47.06 122.5V122.5l-46.4 316.5c-2.693 18.38 2.951 36.95 15.43 50.98C28.56 503.1 46.64 512 65.69 512h252.6c19.05 0 37.13-8.047 49.61-22.06C380.4 475.9 386 457.3 383.3 438.9zM240 80C248.8 80 256 87.16 256 96c0 8.836-7.164 16-16 16S224 104.8 224 96C224 87.16 231.2 80 240 80zM192 48c8.836 0 16 7.162 16 16c0 8.836-7.164 16-16 16S176 72.84 176 64C176 55.16 183.2 48 192 48zM144 80C152.8 80 160 87.16 160 96c0 8.836-7.164 16-16 16S128 104.8 128 96C128 87.16 135.2 80 144 80zM65.69 448l37.54-256h177.5l37.54 256H65.69z"],
    "sandwich": [512, 512, [129386], "f81f", "M480 336h-64L319.1 384L224 336H32c-17.62 0-31.1 14.38-31.1 32L0 416c0 17.62 14.38 32 32 32h448c17.62 0 32-14.38 32-32l-.0038-48C511.1 350.4 497.6 336 480 336zM497.9 239.3c-15-1.625-24-6.125-35.5-11.88C445.1 218.8 423.6 208 384.1 208s-61 10.75-78.25 19.38C291.3 234.8 280.6 240 256.3 240c-24.5 0-35.13-5.25-49.75-12.62C189.3 218.8 167.8 208 128.1 208S67 218.8 49.75 227.4c-11.5 5.75-20.5 10.25-35.63 11.88C6.125 240.3 0 247 0 255.1v32.13c0 4.5 1.1 8.875 5.375 11.88c3.375 3.125 8 4.5 12.5 4.125c28.5-2.625 46-11.38 60.5-18.62C93 277.3 103.6 272 128.1 272s35.13 5.25 49.75 12.62C195.1 293.3 216.6 304 256.3 304c39.5 0 61-10.75 78.25-19.38C349.1 277.3 359.8 272 384.1 272s35 5.25 49.63 12.62c14.5 7.25 31.88 16 60.38 18.62c4.5 .375 9.125-1.125 12.5-4.125C509.1 296.1 512 291.8 512 287.3V255.1C512 247 505.9 240.3 497.9 239.3zM480 64H32C14.38 64 0 78.38 0 96l.0038 48c0 17.62 14.37 32 31.1 32h448c17.62 0 31.1-14.38 31.1-32L512 96C512 78.38 497.6 64 480 64z"],
    "satellite": [512, 512, [128752], "f7bf", "M502.8 264.1l-80.37-80.37l47.87-47.88c13-13.12 13-34.37 0-47.5l-47.5-47.5c-13.12-13.12-34.38-13.12-47.5 0l-47.88 47.88L247.1 9.25C241 3.375 232.9 0 224.5 0c-8.5 0-16.62 3.375-22.5 9.25l-96.75 96.75c-12.38 12.5-12.38 32.62 0 45.12L185.5 231.5L175.8 241.4c-54-24.5-116.3-22.5-168.5 5.375c-8.498 4.625-9.623 16.38-2.873 23.25l107.6 107.5l-17.88 17.75c-2.625-.75-5-1.625-7.75-1.625c-17.75 0-32 14.38-32 32c0 17.75 14.25 32 32 32c17.62 0 32-14.25 32-32c0-2.75-.875-5.125-1.625-7.75l17.75-17.88l107.6 107.6c6.75 6.75 18.62 5.625 23.12-2.875c27.88-52.25 29.88-114.5 5.375-168.5l10-9.873l80.25 80.36c12.5 12.38 32.62 12.38 44.1 0l96.75-96.75C508.6 304.1 512 295.1 512 287.5C512 279.1 508.6 270.1 502.8 264.1zM219.5 197.4L150.6 128.5l73.87-73.75l68.86 68.88L219.5 197.4zM383.5 361.4L314.6 292.5l73.75-73.88l68.88 68.87L383.5 361.4z"],
    "satellite-dish": [512, 512, [128225], "f7c0", "M216 104C202.8 104 192 114.8 192 128s10.75 24 24 24c79.41 0 144 64.59 144 144C360 309.3 370.8 320 384 320s24-10.75 24-24C408 190.1 321.9 104 216 104zM224 0C206.3 0 192 14.31 192 32s14.33 32 32 32c123.5 0 224 100.5 224 224c0 17.69 14.33 32 32 32s32-14.31 32-32C512 129.2 382.8 0 224 0zM188.9 346l27.37-27.37c2.625 .625 5.059 1.506 7.809 1.506c17.75 0 31.99-14.26 31.99-32c0-17.62-14.24-32.01-31.99-32.01c-17.62 0-31.99 14.38-31.99 32.01c0 2.875 .8099 5.25 1.56 7.875L166.2 323.4L49.37 206.5c-7.25-7.25-20.12-6-24.1 3c-41.75 77.88-29.88 176.7 35.75 242.4c65.62 65.62 164.6 77.5 242.4 35.75c9.125-5 10.38-17.75 3-25L188.9 346z"],
    "sausage": [512, 512, [], "f820", "M447.9 69.88l15.11-45.74C464.9 18.64 464 12.38 460.5 7.625C457 2.875 451.5 0 445.6 0h-59.25C380.5 0 375 2.875 371.5 7.625C368 12.38 367.1 18.64 369 24.14l15.25 45.73C346.9 83 320 118.2 320 160c0 88.25-71.75 160-160 160c-41.75 0-77 26.88-90.12 64.13L24.14 369C18.64 367.1 12.38 368 7.625 371.5C2.875 375 0 380.5 0 386.4v59.25C0 451.5 2.875 457 7.625 460.5c4.75 3.375 11.02 4.375 16.52 2.5l45.73-15.25C83 485.1 118.2 512 159.1 512C354.1 512 512 354.1 512 160C512 118.2 485.1 83 447.9 69.88zM160 400c-8.875 0-16-7.125-16-16S151.1 368 160 368c114.8 0 208-93.25 208-208c0-8.875 7.125-16 15.1-16S400 151.1 400 160C400 292.4 292.4 400 160 400z"],
    "saxophone": [640, 512, [127927], "f8dc", "M635.2 68.75l-27.25-27.37c-5.1-5.1-14.12-9.375-22.62-9.375h-46.87c-16.1 0-33.25 6.75-45.25 18.75L448.1 94.1l-10.37-10.25c-6.25-6.25-16.37-6.25-22.62 0l-11.25 11.25c-6.25 6.25-6.25 16.37 0 22.62l10.25 10.37l-13.1 13.1l-10.37-10.37c-6.25-6.25-16.37-6.25-22.62 0l-11.25 11.37c-6.25 6.25-6.25 16.37 0 22.62l10.25 10.37l-13.1 13.1l-10.37-10.37c-6.25-6.25-16.37-6.25-22.62 0L308.7 191.1c-6.25 6.25-6.25 16.37 0 22.62L318.1 224.1l-108.1 108.1c-9.125 8.1-23.5 9.875-33.5 2C166.4 328.1 163.7 313.1 170.2 302.1l76.12-126.1h25.62c8.875 0 15.1-7.125 15.1-15.1V143.1c0-8.875-7.124-15.1-15.1-15.1H15.1c-8.875 0-16 7.125-16 15.1v15.1c0 8.875 7.125 15.1 15.1 15.1h11.5c-8.875 31.87-27.5 104.1-27.5 143.1c0 61.37 35 114.1 85.75 140.9c22.62 12.75 48.25 19.25 74.25 19.13c77.12 0 116.5-51.38 128-64l246.4-307.1c6.125-7.625 15.25-11.1 24.1-11.1h64.62C638.2 95.1 645.4 78.75 635.2 68.75zM95.1 343.1c-13.25 0-23.1-10.75-23.1-23.1c0-13.25 10.75-23.1 23.1-23.1s23.1 10.75 23.1 23.1C119.1 333.2 109.2 343.1 95.1 343.1zM128 247.1c-13.25 0-24-10.75-24-23.1c0-13.25 10.75-23.1 24-23.1s24 10.75 24 23.1C152 237.2 141.3 247.1 128 247.1z"],
    "saxophone-fire": [640, 512, ["sax-hot"], "f8db", "M635.2 100.8l-27.25-27.37c-5.1-5.1-14.12-9.375-22.62-9.375h-46.87c-16.1 0-33.25 6.75-45.25 18.75L448.1 127l-10.37-10.37c-6.25-6.25-16.37-6.25-22.62 0L404.7 128c-6.25 6.25-6.25 16.37 0 22.62l10.25 10.37l-13.1 13.1l-10.37-10.37c-6.25-6.25-16.37-6.25-22.62 0l-11.25 11.37c-6.25 6.25-6.25 16.37 0 22.62l10.25 10.37l-13.1 13.1l-10.37-10.37c-6.25-6.25-16.37-6.25-22.62 0L308.7 223.1c-6.25 6.25-6.25 16.37 0 22.62L318.1 256.1l-108.1 109c-9.125 8.1-23.5 9.875-33.5 1.1c-10.12-7.875-12.75-21.1-6.25-32.1l47.37-78.1h22.37c8.875 0 15.1-7.125 15.1-15.1V223.1c0-8.875-7.125-15.1-15.1-15.1H15.1c-8.875 0-15.1 7.125-15.1 15.1l.0001 16c0 8.5 6.75 15.5 15.25 15.87c-7.75 32.62-15.25 70.88-15.25 96.12c0 61.37 34.1 114.1 85.75 140.9c22.62 12.75 48.25 19.25 74.25 19.13c77.12 0 116.5-51.38 127.1-64l246.4-307.1C540.5 132.4 549.6 128 559.4 128h64.62C638.2 128 645.4 110.8 635.2 100.8zM87.1 391.1c-13.25 0-24-10.75-24-24c0-13.25 10.75-23.1 23.1-23.1s23.1 10.75 23.1 23.1C111.1 381.2 101.2 391.1 87.1 391.1zM119.1 303.1c-13.25 0-23.1-10.75-23.1-24c0-13.25 10.75-23.1 23.1-23.1S143.1 266.7 143.1 279.1C143.1 293.2 133.2 303.1 119.1 303.1zM83.25 175.1C75.87 165.7 71.1 153.4 71.1 140.7c0-7.625 8.625-30.25 28.5-57.5c1.25 1.75 2.625 3.5 3.875 5.25l42.62 58.75l26.1-33.12c6.125 12.12 9.625 22.25 9.1 26.62c0 12.62-3.1 24.1-11.25 35.25l61.38 .0001c3.75-11.37 5.75-23.25 5.875-35.25c0-26.62-26-81.5-62.25-115.1C167.8 35 158.4 45 149.6 55.63C135 35.5 118.3 16.88 100 .0003c-49.12 45.62-84 104.1-84 140.7c.125 11.1 2.126 23.87 5.876 35.25L83.25 175.1z"],
    "scale-balanced": [640, 512, [9878, "balance-scale"], "f24e", "M554.9 154.5c-17.62-35.25-68.12-35.38-85.87 0c-87 174.3-84.1 165.9-84.1 181.5c0 44.13 57.25 80 128 80s127.1-35.88 127.1-80C639.1 319.9 641.4 327.3 554.9 154.5zM439.1 320l71.96-144l72.17 144H439.1zM256 336c0-16.12 1.375-8.75-85.12-181.5c-17.62-35.25-68.12-35.38-85.87 0c-87 174.3-84.1 165.9-84.1 181.5c0 44.13 57.25 80 127.1 80S256 380.1 256 336zM127.9 176L200.1 320H55.96L127.9 176zM495.1 448h-143.1V153.3C375.5 143 393.1 121.8 398.4 96h113.6c17.67 0 31.1-14.33 31.1-32s-14.33-32-31.1-32h-128.4c-14.62-19.38-37.5-32-63.62-32S270.1 12.62 256.4 32H128C110.3 32 96 46.33 96 64S110.3 96 127.1 96h113.6c5.25 25.75 22.87 47 46.37 57.25V448H144c-26.51 0-48.01 21.49-48.01 48c0 8.836 7.165 16 16 16h416c8.836 0 16-7.164 16-16C544 469.5 522.5 448 495.1 448z"],
    "scale-unbalanced": [640, 512, ["balance-scale-left"], "f515", "M85 250.5c-87 174.2-84.1 165.9-84.1 181.5C.0035 476.1 57.25 512 128 512s128-35.88 128-79.1c0-16.12 1.375-8.752-85.12-181.5C153.3 215.3 102.8 215.1 85 250.5zM55.96 416l71.98-143.1l72.15 143.1H55.96zM554.9 122.5c-17.62-35.25-68.08-35.37-85.83 0c-87 174.2-85.04 165.9-85.04 181.5c0 44.12 57.25 79.1 128 79.1s127.1-35.87 127.1-79.1C639.1 287.9 641.4 295.3 554.9 122.5zM439.1 288l72.04-143.1l72.08 143.1H439.1zM495.1 448h-143.1V153.3c20.83-9.117 36.72-26.93 43.78-48.77l126.3-42.11c16.77-5.594 25.83-23.72 20.23-40.48c-5.578-16.73-23.62-25.86-40.48-20.23l-113.3 37.76c-13.94-23.49-39.29-39.41-68.58-39.41c-44.18 0-79.1 35.82-79.1 80c0 2.961 .5587 5.771 .8712 8.648L117.9 129.7C101.1 135.3 92.05 153.4 97.64 170.1c4.469 13.41 16.95 21.88 30.36 21.88c3.344 0 6.768-.5186 10.13-1.644L273.8 145.1C278.2 148.3 282.1 151.1 288 153.3V496C288 504.8 295.2 512 304 512h223.1c8.838 0 16-7.164 16-15.1C543.1 469.5 522.5 448 495.1 448z"],
    "scale-unbalanced-flip": [640, 512, ["balance-scale-right"], "f516", "M554.9 250.5c-17.62-35.37-68.12-35.25-85.87 0c-86.38 172.7-85.04 165.4-85.04 181.5C383.1 476.1 441.3 512 512 512s127.1-35.88 127.1-79.1C639.1 416.4 642 424.7 554.9 250.5zM439.9 416l72.15-143.1l71.98 143.1H439.9zM512 192c13.41 0 25.89-8.471 30.36-21.88c5.594-16.76-3.469-34.89-20.23-40.48l-122.1-40.1c.3125-2.877 .8712-5.687 .8712-8.648c0-44.18-35.81-80-79.1-80c-29.29 0-54.65 15.92-68.58 39.41l-113.3-37.76C121.3-3.963 103.2 5.162 97.64 21.9C92.05 38.66 101.1 56.78 117.9 62.38l126.3 42.11c7.061 21.84 22.95 39.65 43.78 48.77v294.7H144c-26.51 0-47.1 21.49-47.1 47.1C96 504.8 103.2 512 112 512h223.1c8.836 0 15.1-7.164 15.1-15.1V153.3c5.043-2.207 9.756-4.965 14.19-8.115l135.7 45.23C505.2 191.5 508.7 192 512 192zM256 304c0-15.62 1.1-7.252-85.12-181.5c-17.62-35.37-68.08-35.25-85.83 0c-86.38 172.7-85.04 165.4-85.04 181.5c0 44.12 57.25 79.1 127.1 79.1S256 348.1 256 304zM128 144l72.04 143.1H55.92L128 144z"],
    "scalpel": [512, 512, [], "f61d", "M482.7 11.86c-29.23-20.88-70.21-13-93.44 14.25L187.9 261.5C178.9 272 186.4 288 200 288h131.9c9.369 0 18.24-4.125 24.36-11.25l138.9-162.4C521.6 83.49 516.5 35.86 482.7 11.86zM0 512c88.97 .125 174.1-29.12 239.6-81.13c.2559-.25 .3828-.375 .6387-.5C272.3 404.6 288 366.4 288 328V320H179.1L0 512z"],
    "scalpel-line-dashed": [576, 512, ["scalpel-path"], "f61e", "M495.2 114.4c26.36-30.88 21.24-78.5-12.49-102.5c-29.23-20.88-70.21-13-93.44 14.25L187.9 261.5C178.9 272 186.4 288 200 288h131.9c9.369 0 18.24-4.125 24.36-11.25L495.2 114.4zM240.2 430.4C272.3 404.6 288 366.4 288 328V320H179.1L0 512c88.97 .125 174.1-29.12 239.6-81.13C239.8 430.6 239.9 430.5 240.2 430.4zM304 480h-64C231.2 480 224 487.2 224 496S231.2 512 240 512h64c8.836 0 16-7.164 16-16S312.8 480 304 480zM432 480h-64c-8.836 0-16 7.164-16 16s7.164 16 16 16h64c8.836 0 16-7.164 16-16S440.8 480 432 480zM560 480h-64c-8.836 0-16 7.164-16 16s7.164 16 16 16h64c8.836 0 16-7.164 16-16S568.8 480 560 480z"],
    "scanner-gun": [576, 512, ["scanner"], "f488", "M304 32C330.5 32 352 53.49 352 80V208C352 234.5 330.5 256 304 256H261.2L144.3 454.6C130.9 477.5 101.5 485.1 78.63 471.7L25.22 440.2C2.431 426.8-5.225 397.5 8.098 374.7L80.03 251.4C33.75 237.6 0 194.7 0 144C0 82.14 50.14 32 112 32H304zM552 32C565.3 32 576 42.75 576 56V72C576 85.25 565.3 96 552 96H440C426.7 96 416 85.25 416 72V56C416 42.75 426.7 32 440 32H552zM416 216C416 202.7 426.7 192 440 192H552C565.3 192 576 202.7 576 216V232C576 245.3 565.3 256 552 256H440C426.7 256 416 245.3 416 232V216zM552 416C565.3 416 576 426.7 576 440V456C576 469.3 565.3 480 552 480H440C426.7 480 416 469.3 416 456V440C416 426.7 426.7 416 440 416H552zM416 144C416 135.2 423.2 128 432 128H560C568.8 128 576 135.2 576 144C576 152.8 568.8 160 560 160H432C423.2 160 416 152.8 416 144zM560 288C568.8 288 576 295.2 576 304C576 312.8 568.8 320 560 320H432C423.2 320 416 312.8 416 304C416 295.2 423.2 288 432 288H560zM416 368C416 359.2 423.2 352 432 352H560C568.8 352 576 359.2 576 368C576 376.8 568.8 384 560 384H432C423.2 384 416 376.8 416 368z"],
    "scanner-image": [576, 512, [], "f8f3", "M550.6 287.2L79.06 35.74c-15.59-8.25-35-2.405-43.3 13.19C27.45 64.52 33.34 83.9 48.94 92.24l367.1 195.8L47.98 287.1C21.47 287.1 0 309.5 0 335.1v96C0 458.5 21.49 480 48 480H528c26.51 0 48-21.49 48-48v-102.4C576 311.9 566.2 295.6 550.6 287.2zM127.1 399.1c0 8.801-7.199 16-16 16H80.01c-8.801 0-16-7.199-16-16v-31.99c0-8.801 7.199-16 16-16h31.99c8.801 0 16 7.2 16 16V399.1zM223.1 399.1c0 8.801-7.199 16-16 16H176c-8.801 0-16-7.199-16-16v-31.99c0-8.801 7.199-16 16-16h31.99c8.801 0 16 7.2 16 16V399.1z"],
    "scanner-keyboard": [512, 512, [], "f489", "M168 0C181.3 0 192 10.75 192 24V64H128V24C128 10.75 138.7 0 152 0H168zM328 0C341.3 0 352 10.75 352 24V64H288V24C288 10.75 298.7 0 312 0H328zM224 16C224 7.164 231.2 0 240 0C248.8 0 256 7.164 256 16V64H224V16zM416 16V272C416 280.8 408.8 288 400 288C391.2 288 384 280.8 384 272V16C384 7.164 391.2 0 400 0C408.8 0 416 7.164 416 16zM448 24C448 10.75 458.7 0 472 0H488C501.3 0 512 10.75 512 24V264C512 277.3 501.3 288 488 288H472C458.7 288 448 277.3 448 264V24zM0 160C0 124.7 28.65 96 64 96H288C323.3 96 352 124.7 352 160V448C352 483.3 323.3 512 288 512H64C28.65 512 0 483.3 0 448V160zM64 200C64 213.3 74.75 224 88 224H264C277.3 224 288 213.3 288 200V184C288 170.7 277.3 160 264 160H88C74.75 160 64 170.7 64 184V200zM64 336C64 344.8 71.16 352 80 352H144C152.8 352 160 344.8 160 336V304C160 295.2 152.8 288 144 288H80C71.16 288 64 295.2 64 304V336zM80 384C71.16 384 64 391.2 64 400V432C64 440.8 71.16 448 80 448H144C152.8 448 160 440.8 160 432V400C160 391.2 152.8 384 144 384H80zM192 336C192 344.8 199.2 352 208 352H272C280.8 352 288 344.8 288 336V304C288 295.2 280.8 288 272 288H208C199.2 288 192 295.2 192 304V336zM208 384C199.2 384 192 391.2 192 400V432C192 440.8 199.2 448 208 448H272C280.8 448 288 440.8 288 432V400C288 391.2 280.8 384 272 384H208z"],
    "scanner-touchscreen": [512, 512, [], "f48a", "M168 0C181.3 0 192 10.75 192 24V64H128V24C128 10.75 138.7 0 152 0H168zM0 160C0 124.7 28.65 96 64 96H288C323.3 96 352 124.7 352 160V448C352 483.3 323.3 512 288 512H64C28.65 512 0 483.3 0 448V160zM64 432C64 440.8 71.16 448 80 448H272C280.8 448 288 440.8 288 432V176C288 167.2 280.8 160 272 160H80C71.16 160 64 167.2 64 176V432zM288 24C288 10.75 298.7 0 312 0H328C341.3 0 352 10.75 352 24V64H288V24zM256 16V64H224V16C224 7.164 231.2 0 240 0C248.8 0 256 7.164 256 16zM384 16C384 7.164 391.2 0 400 0C408.8 0 416 7.164 416 16V272C416 280.8 408.8 288 400 288C391.2 288 384 280.8 384 272V16zM488 0C501.3 0 512 10.75 512 24V264C512 277.3 501.3 288 488 288H472C458.7 288 448 277.3 448 264V24C448 10.75 458.7 0 472 0H488z"],
    "scarecrow": [512, 512, [], "f70d", "M256 448.1c-7.75 0-15.38-1.875-22.25-5.5L224 437.4L223.1 496c0 8.75 7.25 16 16 16h32c8.75 0 16-7.25 16-16L288 437.3l-9.75 5.25C271.4 446.3 263.8 448.1 256 448.1zM477.8 186.3L451.3 160l18.36-18.26c5-5 1.51-13.74-5.74-13.74L346.1 128c3.625-9.1 5.876-20.75 5.876-32c0-53-42.1-96-96-96S160 43 160 96c0 11.25 2.253 22 5.878 32L48 128c-7.127 0-10.74 8.615-5.741 13.74l18.49 18.26l-26.48 26.26c-3 3.125-3 8.235 0 11.36l26.48 26.38L42.38 242.3c-5 5-1.511 13.74 5.741 13.74h106.1l-26 141.3c-2.125 13 11.16 22.85 22.91 16.98l32.64-24.21c5-3.75 11.59-4.256 17.09-1.256L248.8 414.2c4.5 2.375 9.832 2.375 14.33 0l47.92-25.49c5.5-3 12.06-2.513 17.06 1.238l32.67 24.24c11.75 5.875 25.08-3.979 22.95-16.98l-25.84-141.2h106.1c7.125 0 10.74-8.615 5.738-13.74L451.3 224l26.36-26.26C480.8 194.5 480.8 189.5 477.8 186.3zM224 96C215.2 96 208 88.75 208 80S215.2 64 224 64c8.75 0 16 7.25 16 16S232.8 96 224 96zM288 112c-8.75 0-16-7.25-16-16s7.25-16 16-16s16 7.25 16 16S296.8 112 288 112z"],
    "scarf": [512, 512, [129507], "f7c1", "M214.3 100.9c36.88-8.624 68-3.625 84.38 .25l-19.5 19.37l109.8 109.6c46.63-51.75 20.38-105.4 13.25-117.4l-43.67-73.43c-4.25-7.124-9.917-13.25-16.79-17.1c-40.63-27.5-127.4-29.58-171.4 .1667c-6.875 4.75-12.5 10.75-16.75 17.1l-43.63 73.12C108.4 115.1 72.75 174.8 121.4 228.4l135.1 140.8l113.1-113.1L214.3 100.9zM166 323.8l-118.4 118.1c-3.125 3.125-3.125 8.249 0 11.37l11.25 11.25c3.125 3.125 8.25 3.125 11.38 0l118.4-118.2L166 323.8zM120.8 278.6l-118.5 118.1c-3 2.1-3 8.125 0 11.25l11.38 11.25c3.125 3.125 8.126 3.125 11.25 0l118.4-118.1L120.8 278.6zM92.88 487.1c-3.125 3.125-3.125 8.125 0 11.25l11.38 11.37c3 2.1 8.125 2.1 11.25 0l118.4-118.2l-22.63-22.62L92.88 487.1zM301.8 368.9l-22.54 22.71l117.4 117.2c3.125 2.1 8.126 2.1 11.25 0l11.38-11.37c3-3.125 3-8.125 0-11.25L301.8 368.9zM509.8 395.8l-117.5-117.1l-22.5 22.62l117.3 116.1c3.125 3.125 8.25 3.125 11.25 0l11.38-11.25C512.8 403.9 512.8 398.9 509.8 395.8zM347 323.8l-22.63 22.5l117.4 117.2c3.125 3.125 8.25 3.125 11.38 0l11.25-11.25c3.125-3.125 3.125-8.249 0-11.37L347 323.8z"],
    "school": [640, 512, [127979], "f549", "M320 128C328.8 128 336 135.2 336 144V160H352C360.8 160 368 167.2 368 176C368 184.8 360.8 192 352 192H320C311.2 192 304 184.8 304 176V144C304 135.2 311.2 128 320 128zM476.8 98.06L602.4 125.1C624.4 130.9 640 150.3 640 172.8V464C640 490.5 618.5 512 592 512H48C21.49 512 0 490.5 0 464V172.8C0 150.3 15.63 130.9 37.59 125.1L163.2 98.06L302.2 5.374C312.1-1.791 327-1.791 337.8 5.374L476.8 98.06zM256 512H384V416C384 380.7 355.3 352 320 352C284.7 352 256 380.7 256 416V512zM96 192C87.16 192 80 199.2 80 208V272C80 280.8 87.16 288 96 288H128C136.8 288 144 280.8 144 272V208C144 199.2 136.8 192 128 192H96zM496 272C496 280.8 503.2 288 512 288H544C552.8 288 560 280.8 560 272V208C560 199.2 552.8 192 544 192H512C503.2 192 496 199.2 496 208V272zM96 320C87.16 320 80 327.2 80 336V400C80 408.8 87.16 416 96 416H128C136.8 416 144 408.8 144 400V336C144 327.2 136.8 320 128 320H96zM496 400C496 408.8 503.2 416 512 416H544C552.8 416 560 408.8 560 400V336C560 327.2 552.8 320 544 320H512C503.2 320 496 327.2 496 336V400zM320 88C271.4 88 232 127.4 232 176C232 224.6 271.4 264 320 264C368.6 264 408 224.6 408 176C408 127.4 368.6 88 320 88z"],
    "school-circle-check": [640, 512, [], "e56b", "M476.8 98.06L602.4 125.1C624.4 130.9 640 150.3 640 172.8V266.8C608.1 221.6 555.5 191.1 496 191.1C457.5 191.1 421.8 204.4 392.9 225.4C402.4 211.3 408 194.3 408 175.1C408 127.4 368.6 87.1 320 87.1C271.4 87.1 232 127.4 232 175.1C232 224.6 271.4 263.1 320 263.1C335.6 263.1 350.2 259.1 362.9 252.9C339.4 279.9 324.1 314.3 320.7 352H320.3L320 352C284.7 352 256 380.7 256 416V512L320 512H48C21.49 512 0 490.5 0 464V172.8C0 150.3 15.63 130.9 37.59 125.1L163.2 98.06L302.2 5.374C312.1-1.791 327-1.791 337.8 5.374L476.8 98.06zM96 192C87.16 192 80 199.2 80 208V272C80 280.8 87.16 288 96 288H128C136.8 288 144 280.8 144 272V208C144 199.2 136.8 192 128 192H96zM96 320C87.16 320 80 327.2 80 336V400C80 408.8 87.16 416 96 416H128C136.8 416 144 408.8 144 400V336C144 327.2 136.8 320 128 320H96zM320 128C328.8 128 336 135.2 336 144V160H352C360.8 160 368 167.2 368 176C368 184.8 360.8 192 352 192H320C311.2 192 304 184.8 304 176V144C304 135.2 311.2 128 320 128zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM480 385.4L451.3 356.7C445.1 350.4 434.9 350.4 428.7 356.7C422.4 362.9 422.4 373.1 428.7 379.3L468.7 419.3C474.9 425.6 485.1 425.6 491.3 419.3L563.3 347.3C569.6 341.1 569.6 330.9 563.3 324.7C557.1 318.4 546.9 318.4 540.7 324.7L480 385.4z"],
    "school-circle-exclamation": [640, 512, [], "e56c", "M476.8 98.06L602.4 125.1C624.4 130.9 640 150.3 640 172.8V266.8C608.1 221.6 555.5 191.1 496 191.1C457.5 191.1 421.8 204.4 392.9 225.4C402.4 211.3 408 194.3 408 175.1C408 127.4 368.6 87.1 320 87.1C271.4 87.1 232 127.4 232 175.1C232 224.6 271.4 263.1 320 263.1C335.6 263.1 350.2 259.1 362.9 252.9C339.4 279.9 324.1 314.3 320.7 352H320.3L320 352C284.7 352 256 380.7 256 416V512L320 512H48C21.49 512 0 490.5 0 464V172.8C0 150.3 15.63 130.9 37.59 125.1L163.2 98.06L302.2 5.374C312.1-1.791 327-1.791 337.8 5.374L476.8 98.06zM96 192C87.16 192 80 199.2 80 208V272C80 280.8 87.16 288 96 288H128C136.8 288 144 280.8 144 272V208C144 199.2 136.8 192 128 192H96zM96 320C87.16 320 80 327.2 80 336V400C80 408.8 87.16 416 96 416H128C136.8 416 144 408.8 144 400V336C144 327.2 136.8 320 128 320H96zM320 128C328.8 128 336 135.2 336 144V160H352C360.8 160 368 167.2 368 176C368 184.8 360.8 192 352 192H320C311.2 192 304 184.8 304 176V144C304 135.2 311.2 128 320 128zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 464C509.3 464 520 453.3 520 440C520 426.7 509.3 416 496 416C482.7 416 472 426.7 472 440C472 453.3 482.7 464 496 464zM479.1 288V368C479.1 376.8 487.2 384 495.1 384C504.8 384 511.1 376.8 511.1 368V288C511.1 279.2 504.8 272 495.1 272C487.2 272 479.1 279.2 479.1 288z"],
    "school-circle-xmark": [640, 512, [], "e56d", "M476.8 98.06L602.4 125.1C624.4 130.9 640 150.3 640 172.8V266.8C608.1 221.6 555.5 191.1 496 191.1C457.5 191.1 421.8 204.4 392.9 225.4C402.4 211.3 408 194.3 408 175.1C408 127.4 368.6 87.1 320 87.1C271.4 87.1 232 127.4 232 175.1C232 224.6 271.4 263.1 320 263.1C335.6 263.1 350.2 259.1 362.9 252.9C339.4 279.9 324.1 314.3 320.7 352H320.3L320 352C284.7 352 256 380.7 256 416V512L320 512H48C21.49 512 0 490.5 0 464V172.8C0 150.3 15.63 130.9 37.59 125.1L163.2 98.06L302.2 5.374C312.1-1.791 327-1.791 337.8 5.374L476.8 98.06zM96 192C87.16 192 80 199.2 80 208V272C80 280.8 87.16 288 96 288H128C136.8 288 144 280.8 144 272V208C144 199.2 136.8 192 128 192H96zM96 320C87.16 320 80 327.2 80 336V400C80 408.8 87.16 416 96 416H128C136.8 416 144 408.8 144 400V336C144 327.2 136.8 320 128 320H96zM320 128C328.8 128 336 135.2 336 144V160H352C360.8 160 368 167.2 368 176C368 184.8 360.8 192 352 192H320C311.2 192 304 184.8 304 176V144C304 135.2 311.2 128 320 128zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM518.6 368L555.3 331.3C561.6 325.1 561.6 314.9 555.3 308.7C549.1 302.4 538.9 302.4 532.7 308.7L496 345.4L459.3 308.7C453.1 302.4 442.9 302.4 436.7 308.7C430.4 314.9 430.4 325.1 436.7 331.3L473.4 368L436.7 404.7C430.4 410.9 430.4 421.1 436.7 427.3C442.9 433.6 453.1 433.6 459.3 427.3L496 390.6L532.7 427.3C538.9 433.6 549.1 433.6 555.3 427.3C561.6 421.1 561.6 410.9 555.3 404.7L518.6 368z"],
    "school-flag": [576, 512, [], "e56e", "M288 0H400C408.8 0 416 7.164 416 16V64C416 72.84 408.8 80 400 80H320V95.53L410.3 160H512C547.3 160 576 188.7 576 224V448C576 483.3 547.3 512 512 512H336V400C336 373.5 314.5 352 288 352C261.5 352 240 373.5 240 400V512H64C28.65 512 0 483.3 0 448V224C0 188.7 28.65 160 64 160H165.7L256 95.53V32C256 14.33 270.3 0 288 0V0zM288 192C261.5 192 240 213.5 240 240C240 266.5 261.5 288 288 288C314.5 288 336 266.5 336 240C336 213.5 314.5 192 288 192zM80 224C71.16 224 64 231.2 64 240V304C64 312.8 71.16 320 80 320H112C120.8 320 128 312.8 128 304V240C128 231.2 120.8 224 112 224H80zM448 304C448 312.8 455.2 320 464 320H496C504.8 320 512 312.8 512 304V240C512 231.2 504.8 224 496 224H464C455.2 224 448 231.2 448 240V304zM80 352C71.16 352 64 359.2 64 368V432C64 440.8 71.16 448 80 448H112C120.8 448 128 440.8 128 432V368C128 359.2 120.8 352 112 352H80zM464 352C455.2 352 448 359.2 448 368V432C448 440.8 455.2 448 464 448H496C504.8 448 512 440.8 512 432V368C512 359.2 504.8 352 496 352H464z"],
    "school-lock": [640, 512, [], "e56f", "M336 160H352C360.8 160 368 167.2 368 176C368 184.8 360.8 192 352 192H320C311.2 192 304 184.8 304 176V144C304 135.2 311.2 128 320 128C328.8 128 336 135.2 336 144V160zM302.2 5.374C312.1-1.791 327-1.791 337.8 5.374L476.8 98.06L602.4 125.1C624.4 130.9 640 150.3 640 172.8V271.1C640 210.1 589.9 159.1 528 159.1C466.1 159.1 416 210.1 416 271.1V296.6C396.9 307.6 384 328.3 384 352H320.3L320 352C284.7 352 256 380.7 256 416V512H320L48 512C21.49 512 0 490.5 0 464V172.8C0 150.3 15.63 130.9 37.59 125.1L163.2 98.06L302.2 5.374zM80 272C80 280.8 87.16 288 96 288H128C136.8 288 144 280.8 144 272V208C144 199.2 136.8 192 128 192H96C87.16 192 80 199.2 80 208V272zM80 400C80 408.8 87.16 416 96 416H128C136.8 416 144 408.8 144 400V336C144 327.2 136.8 320 128 320H96C87.16 320 80 327.2 80 336V400zM320 264C368.6 264 408 224.6 408 176C408 127.4 368.6 88 320 88C271.4 88 232 127.4 232 176C232 224.6 271.4 264 320 264zM528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320V272C448 227.8 483.8 192 528 192zM528 240C510.3 240 496 254.3 496 272V320H560V272C560 254.3 545.7 240 528 240z"],
    "scissors": [512, 512, [9986, 9988, 9984, "cut"], "f0c4", "M396.8 51.2C425.1 22.92 470.9 22.92 499.2 51.2C506.3 58.27 506.3 69.73 499.2 76.8L216.5 359.5C221.3 372.1 224 385.7 224 400C224 461.9 173.9 512 112 512C50.14 512 0 461.9 0 400C0 338.1 50.14 287.1 112 287.1C126.3 287.1 139.9 290.7 152.5 295.5L191.1 255.1L152.5 216.5C139.9 221.3 126.3 224 112 224C50.14 224 0 173.9 0 112C0 50.14 50.14 0 112 0C173.9 0 224 50.14 224 112C224 126.3 221.3 139.9 216.5 152.5L255.1 191.1L396.8 51.2zM160 111.1C160 85.49 138.5 63.1 112 63.1C85.49 63.1 64 85.49 64 111.1C64 138.5 85.49 159.1 112 159.1C138.5 159.1 160 138.5 160 111.1zM112 448C138.5 448 160 426.5 160 400C160 373.5 138.5 352 112 352C85.49 352 64 373.5 64 400C64 426.5 85.49 448 112 448zM278.6 342.6L342.6 278.6L499.2 435.2C506.3 442.3 506.3 453.7 499.2 460.8C470.9 489.1 425.1 489.1 396.8 460.8L278.6 342.6z"],
    "screen-users": [640, 512, ["users-class"], "f63d", "M96 64h448v160c24.62 0 47 9.625 64 25V49.63c0-27.38-21.5-49.63-48-49.63h-480c-26.5 0-48 22.25-48 49.63v199.4c17-15.38 39.38-25 64-25V64zM256.2 320c0 35.26 28.57 63.85 63.79 63.98C355.2 383.8 383.8 355.3 383.8 320S355.2 256.2 320 256C284.8 256.2 256.2 284.7 256.2 320zM343.8 416h-47.5C256.4 416 224 449.5 224 490.7C224 502.4 233.3 512 244.8 512h150.3C406.7 512 416 502.4 416 490.7C416 449.5 383.6 416 343.8 416zM567.8 416h-47.5C480.4 416 448 449.5 448 490.7C448 502.4 457.3 512 468.8 512h150.3C630.7 512 640 502.4 640 490.7C640 449.5 607.6 416 567.8 416zM480.2 320c0 35.26 28.57 63.85 63.79 63.98C579.2 383.8 607.8 355.3 607.8 320S579.2 256.2 544 256C508.8 256.2 480.2 284.7 480.2 320zM32.21 320c0 35.26 28.57 63.85 63.79 63.98C131.2 383.8 159.8 355.3 159.8 320S131.2 256.2 96 256C60.78 256.2 32.21 284.7 32.21 320zM119.8 416h-47.5C32.42 416 0 449.5 0 490.7C0 502.4 9.34 512 20.83 512h150.3C182.7 512 192 502.4 192 490.7C192 449.5 159.6 416 119.8 416z"],
    "screencast": [576, 512, [], "e23e", "M496.1 32H80.54C36.46 32 .625 67.82 .625 111.9v65.95c10.5-1.234 21.13-2.043 31.96-2.043S54.05 176.6 64.55 177.8V111.9c0-8.805 7.18-15.98 15.98-15.98h415.5c8.805 0 15.98 7.176 15.98 15.98v287.6c0 8.805-7.18 15.98-15.98 15.98h-193.8c1.232 10.5 2.041 21.13 2.041 31.96s-.8086 21.45-2.041 31.95h193.8C540.2 479.4 576 443.6 576 399.5V111.9C576 67.82 540.2 32 496.1 32zM32.59 415.5c-17.65 0-31.96 14.31-31.96 31.96s14.31 31.95 31.96 31.95s31.96-14.3 31.96-31.95S50.24 415.5 32.59 415.5zM31.96 320.2C14.3 320.2 0 334.5 0 352.2c0 17.66 14.3 31.95 31.96 31.95c35.24 0 63.93 28.68 63.93 63.91C95.9 465.7 110.2 480 127.9 480s31.96-14.29 31.96-31.95C159.8 377.5 102.5 320.2 31.96 320.2zM32.59 223.7c-17.67 0-31.96 14.29-31.96 31.95s14.3 31.95 31.96 31.95c88.12 0 159.8 71.68 159.8 159.8c0 17.66 14.3 31.95 31.96 31.95c17.67 0 31.97-14.29 31.97-31.95C256.3 324.1 155.1 223.7 32.59 223.7z"],
    "screwdriver": [512, 512, [129691], "f54a", "M128 278.6l-117.1 116.9c-14.5 14.62-14.5 38.29 0 52.79l52.75 52.75c14.5 14.5 38.17 14.5 52.79 0L233.4 384c29.12-29.12 29.12-76.25 0-105.4S157.1 249.5 128 278.6zM447.1 0l-128 96L320 158L237 241.1C243.8 245.4 250.3 250.1 256 256c5.875 5.75 10.62 12.25 14.88 19L353.1 192h61.99l95.1-128L447.1 0z"],
    "screwdriver-wrench": [512, 512, ["tools"], "f7d9", "M331.8 224.1c28.29 0 54.88 10.99 74.86 30.97l19.59 19.59c40.01-17.74 71.25-53.3 81.62-96.65c5.725-23.92 5.34-47.08 .2148-68.4c-2.613-10.88-16.43-14.51-24.34-6.604l-68.9 68.9h-75.6V97.2l68.9-68.9c7.912-7.912 4.275-21.73-6.604-24.34c-21.32-5.125-44.48-5.51-68.4 .2148c-55.3 13.23-98.39 60.22-107.2 116.4C224.5 128.9 224.2 137 224.3 145l82.78 82.86C315.2 225.1 323.5 224.1 331.8 224.1zM384 278.6c-23.16-23.16-57.57-27.57-85.39-13.9L191.1 158L191.1 95.99l-127.1-95.99L0 63.1l96 127.1l62.04 .0077l106.7 106.6c-13.67 27.82-9.251 62.23 13.91 85.39l117 117.1c14.62 14.5 38.21 14.5 52.71-.0016l52.75-52.75c14.5-14.5 14.5-38.08-.0016-52.71L384 278.6zM227.9 307L168.7 247.9l-148.9 148.9c-26.37 26.37-26.37 69.08 0 95.45C32.96 505.4 50.21 512 67.5 512s34.54-6.592 47.72-19.78l119.1-119.1C225.5 352.3 222.6 329.4 227.9 307zM64 472c-13.25 0-24-10.75-24-24c0-13.26 10.75-24 24-24S88 434.7 88 448C88 461.3 77.25 472 64 472z"],
    "scribble": [512, 512, [], "e23f", "M169.1 23.33C186.5 8.317 207.1 0 230.3 0H231.4C280.3 0 320 39.65 320 88.57C320 112.1 310.7 134.6 294.1 151.2L103.2 342.1C98.59 346.7 96 352.9 96 359.4C96 373 107 384 120.6 384C127.1 384 133.3 381.4 137.9 376.8L360.8 153.9C377.4 137.3 399.9 128 423.4 128C472.3 128 512 167.7 512 216.6C512 240.1 502.7 262.6 486.1 279.2L397.8 367.4C388.1 376.3 384 388.3 384 400.9C384 426.9 405.1 448 430.1 448C437.2 448 443.4 446.5 448.9 443.8L465.7 435.4C481.5 427.5 500.7 433.9 508.6 449.7C516.5 465.5 510.1 484.7 494.3 492.6L477.6 500.1C463.1 508.2 447.1 512 430.1 512C369.6 512 320 462.1 320 400.9C320 371.4 331.7 343.1 352.6 322.2L440.8 233.9C445.4 229.3 448 223.1 448 216.6C448 203 437 192 423.4 192C416.9 192 410.7 194.6 406.1 199.2L183.2 422.1C166.6 438.7 144.1 448 120.6 448C71.65 448 32 408.3 32 359.4C32 335.9 41.33 313.4 57.94 296.8L248.8 105.9C253.4 101.3 256 95.08 256 88.57C256 75 245 64 231.4 64H230.3C223.9 64 217.8 66.38 213 70.68L53.53 215.7C40.45 227.6 20.21 226.6 8.322 213.5C-3.566 200.4-2.602 180.2 10.47 168.3L169.1 23.33z"],
    "scroll": [576, 512, [128220], "f70e", "M48 32C21.5 32 0 53.5 0 80v64C0 152.9 7.125 160 16 160H96V80C96 53.5 74.5 32 48 32zM256 380.6V320h224V128c0-53-43-96-96-96H111.6C121.8 45.38 128 61.88 128 80V384c0 38.88 34.62 69.63 74.75 63.13C234.3 442 256 412.5 256 380.6zM288 352v32c0 52.88-43 96-96 96h272c61.88 0 112-50.13 112-112c0-8.875-7.125-16-16-16H288z"],
    "scroll-old": [576, 512, [], "f70f", "M560 352H416l-32 32l-31.1-32h-64l.0006 32c0 52.88-43 96-96 96h272C525.6 480 575.6 430.3 576 368.7C576.1 359.6 569.1 352 560 352zM48 32c-26.5 0-48 21.5-48 48l-.001 64c0 8.875 7.125 16 15.1 16H96V80C96 53.5 74.5 32 48 32zM256 380.6V320h223.1L480 287.1l-4.342-4.343c-.1445-.125-.2539-.1289-.4062-.2813L448 256l31.1-31.1v-32L448 160l31.1-32c0 0 .1263-2.75-.2487-7.25C476 71.13 434.5 32 384 32H111.6C121.8 45.38 128 61.88 128 80L128 192l4.345 4.344c.1445 .125 .2539 .1289 .4062 .2813L160 224l-32 32l.0003 128c0 38.88 34.63 69.63 74.75 63.13C234.3 442 256 412.5 256 380.6z"],
    "scroll-torah": [640, 512, ["torah"], "f6a0", "M320 366.5l17.75-29.62l-35.5 .0011L320 366.5zM382.5 311.5l36.75-.0011l-18.38-30.75L382.5 311.5zM48 0C21.5 0 0 14.38 0 32v448c0 17.62 21.5 32 48 32S96 497.6 96 480V32C96 14.38 74.5 0 48 0zM419.2 200.5L382.4 200.5l18.5 30.79L419.2 200.5zM220.8 311.5l36.87-.0012l-18.5-30.87L220.8 311.5zM287.1 311.5L352.9 311.5l33.25-55.5l-33.25-55.5L287.1 200.5L253.9 256L287.1 311.5zM592 0C565.5 0 544 14.38 544 32v448c0 17.62 21.5 32 48 32s48-14.38 48-32V32C640 14.38 618.5 0 592 0zM128 480h384V32H128V480zM194.8 185.9c3.75-6.625 10.87-10.75 18.5-10.75L272.7 175.1l29.12-48.67C305.6 119.1 312.6 116.1 319.1 116.1c7.375-.125 14.25 3.916 17.1 10.17l29.25 48.87l59.5-.0019c7.625 0 14.62 4.124 18.38 10.75s3.626 14.75-.2493 21.25l-29.25 48.87l29.38 48.1c4 6.5 4.001 14.62 .2506 21.12c-3.75 6.625-10.87 10.75-18.5 10.75l-59.5 .0019l-29.12 48.67c-3.75 6.5-10.62 10.33-18.12 10.46c-7.375 0-14.25-3.874-18-10.25l-29.25-48.87l-59.5 .0019c-7.625 0-14.62-4.124-18.37-10.75S191.3 311.4 195.1 304.9l29.25-48.87L195 207C191.1 200.5 191 192.4 194.8 185.9zM319.1 145.5L302.2 175.1l35.37-.0011L319.1 145.5zM257.5 200.5L220.8 200.5l18.38 30.83L257.5 200.5z"],
    "scrubber": [512, 512, [], "f2f8", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 320c-35.33 0-64-28.75-64-64s28.67-64 64-64s64 28.75 64 64S291.3 320 256 320z"],
    "scythe": [640, 512, [], "f710", "M549.8 0l-210.1 0C191.1 0 63.1 63.1 0 191.1L509.1 192L549.8 0zM632.6 11.62c-6-7.375-15.12-11.62-24.62-11.62l-25.5 0l-59.75 288h-106.7c-17.67 0-31.99 14.33-31.99 32s14.32 32 31.99 32h93.49l-29.25 141c-.875 4.75 .375 9.5 3.5 13.25C486.7 509.9 491.2 512 495.1 512h31.5c7.623 0 14.25-5.5 15.62-13L639.5 38C641.2 28.62 638.7 18.1 632.6 11.62z"],
    "sd-card": [384, 512, [], "f7c2", "M320 0H128L0 128v320c0 35.25 28.75 64 64 64h256c35.25 0 64-28.75 64-64V64C384 28.75 355.3 0 320 0zM160 160H112V64H160V160zM240 160H192V64h48V160zM320 160h-48V64H320V160z"],
    "sd-cards": [448, 512, [], "e240", "M384 0H208L96 112V352c0 35.25 28.75 64 64 64h224c35.25 0 64-28.75 64-64V64C448 28.75 419.3 0 384 0zM304 160H256V64h48V160zM384 160h-48V64H384V160zM328 512h-208C53.83 512 0 458.2 0 392v-272C0 106.8 10.75 96 24 96S48 106.8 48 120v272c0 39.7 32.3 72 72 72h208c13.25 0 24 10.75 24 24S341.3 512 328 512z"],
    "seal": [512, 512, [], "e241", "M335.5 64H400C426.5 64 448 85.49 448 112V176.5L493.6 222.1C512.3 240.8 512.3 271.2 493.6 289.9L448 335.5V400C448 426.5 426.5 448 400 448H335.5L289.9 493.6C271.2 512.3 240.8 512.3 222.1 493.6L176.5 448H112C85.49 448 64 426.5 64 400V335.5L18.41 289.9C-.3328 271.2-.3328 240.8 18.41 222.1L64 176.5V112C64 85.49 85.49 64 112 64H176.5L222.1 18.41C240.8-.3309 271.2-.3309 289.9 18.41L335.5 64z"],
    "seal-exclamation": [512, 512, [], "e242", "M222.1 17.94C240.8-.8035 271.2-.8035 289.9 17.94L336 64H400C426.5 64 448 85.49 448 112V176L493.6 221.6C512.3 240.3 512.3 270.7 493.6 289.5L448 335.1V400C448 426.5 426.5 448 400 448H335.1L289.9 493.1C271.2 511.9 240.8 511.9 222.1 493.1L176.9 448H112C85.49 448 64 426.5 64 400V335.1L18.41 289.5C-.3328 270.7-.3328 240.3 18.41 221.6L64 176V112C64 85.49 85.49 64 112 64H175.1L222.1 17.94zM232 152V264C232 277.3 242.7 288 256 288C269.3 288 280 277.3 280 264V152C280 138.7 269.3 128 256 128C242.7 128 232 138.7 232 152V152zM256 320C238.3 320 224 334.3 224 352C224 369.7 238.3 384 256 384C273.7 384 288 369.7 288 352C288 334.3 273.7 320 256 320z"],
    "seal-question": [512, 512, [], "e243", "M222.1 17.94C240.8-.8035 271.2-.8035 289.9 17.94L336 64H400C426.5 64 448 85.49 448 112V176L493.6 221.6C512.3 240.3 512.3 270.7 493.6 289.5L448 335.1V400C448 426.5 426.5 448 400 448H335.1L289.9 493.1C271.2 511.9 240.8 511.9 222.1 493.1L176.9 448H112C85.49 448 64 426.5 64 400V335.1L18.41 289.5C-.3328 270.7-.3328 240.3 18.41 221.6L64 176V112C64 85.49 85.49 64 112 64H175.1L222.1 17.94zM169.4 166.5C164.9 179 171.5 192.7 183.1 197.2C196.5 201.6 210.2 195.1 214.6 182.6L215.1 181.3C216.2 178.1 219.2 176 222.6 176H280.9C289.2 176 296 182.8 296 191.1C296 196.6 293.1 201.6 288.4 204.3L244.1 229.7C236.6 234 232 241.9 232 250.5V264C232 277.3 242.7 288 256 288C269.1 288 279.8 277.5 279.1 264.4L312.3 245.9C331.9 234.7 344 213.8 344 191.1C344 156.3 315.7 128 280.9 128H222.6C198.9 128 177.8 142.9 169.8 165.3L169.4 166.5zM256 320C238.3 320 224 334.3 224 352C224 369.7 238.3 384 256 384C273.7 384 288 369.7 288 352C288 334.3 273.7 320 256 320z"],
    "seat-airline": [448, 512, [], "e244", "M64 143.6C64 150.1 65.32 156.5 67.88 162.5L80.53 192H320C337.7 192 352 206.3 352 224C352 241.7 337.7 256 320 256H107.1L121.7 288H416C428.1 288 439.2 294.8 444.6 305.7C450 316.5 448.9 329.5 441.6 339.2L398.4 396.8C389.3 408.9 375.1 416 360 416H264V464H360C373.3 464 384 474.7 384 488C384 501.3 373.3 512 360 512H120C106.7 512 96 501.3 96 488C96 474.7 106.7 464 120 464H216V416H170.2C131.8 416 97.09 393.1 81.96 357.8L9.056 187.7C3.081 173.8 0 158.7 0 143.6V32C0 14.33 14.33 0 32 0C49.67 0 64 14.33 64 32V143.6z"],
    "section": [256, 512, [], "e447", "M224.5 337.4c15.66-14.28 26.09-33.12 29.8-55.82c14.46-88.44-64.67-112.4-117-128.2L124.7 149.5C65.67 131.2 61.11 119.4 64.83 96.79c1.531-9.344 5.715-16.19 13.21-21.56c14.74-10.56 39.94-13.87 69.23-9.029c10.74 1.75 24.36 5.686 41.66 12.03c16.58 6 34.98-2.438 41.04-19.06c6.059-16.59-2.467-34.97-19.05-41.06c-21.39-7.842-38.35-12.62-53.28-15.06c-46.47-7.781-88.1-.5313-116.9 20.19C19.46 38.52 5.965 60.39 1.686 86.48C-5.182 128.6 9.839 156 31.47 174.7C15.87 188.1 5.406 207.8 1.686 230.5C-12.59 317.9 67.36 342.7 105.7 354.6l12.99 3.967c64.71 19.56 76.92 29.09 72.42 56.59c-1.279 7.688-4.84 18.75-21.23 26.16c-15.27 6.906-37.01 8.406-61.4 4.469c-16.74-2.656-37.32-10.5-55.49-17.41l-9.773-3.719c-16.52-6.156-34.95 2.25-41.16 18.75c-6.184 16.56 2.186 34.1 18.74 41.19l9.463 3.594c21.05 8 44.94 17.12 68.02 20.75c12.21 2.031 24.14 3.032 35.54 3.032c23.17 0 44.28-4.157 62.4-12.34c31.95-14.44 52.53-40.75 58.02-74.12C261.1 383.6 246.8 356.3 224.5 337.4zM64.83 240.8c3.303-20.28 21.22-28.1 38.09-31.04c.9258 .2891 15.81 4.852 15.81 4.852c64.71 19.56 76.92 29.09 72.39 56.62c-3.291 20.2-21.12 28.07-37.93 31.04c-5.488-1.746-28.49-8.754-28.49-8.754C65.67 275.2 61.11 263.4 64.83 240.8z"],
    "seedling": [512, 512, [127793, "sprout"], "f4d8", "M64 95.1H0c0 123.8 100.3 224 224 224v128C224 465.6 238.4 480 255.1 480S288 465.6 288 448V320C288 196.3 187.7 95.1 64 95.1zM448 32c-84.25 0-157.4 46.5-195.8 115.3c27.75 30.12 48.25 66.88 59 107.5C424 243.1 512 147.9 512 32H448z"],
    "semicolon": [192, 512, [], "3b", "M68.55 295.5c-15.66 9.051-26.41 24.44-29.45 42.25l-22.57 131.7c-2.986 17.32 6.9 34.29 23.49 40.31s35.11-.6485 43.99-15.83l67.69-115.4c9.119-15.58 10.81-34.25 4.652-51.21C144.1 293.5 99.82 277.4 68.55 295.5zM96 192c35.35 0 64-28.65 64-64c0-35.35-28.65-64-64-64s-63.1 28.65-63.1 64C32 163.3 60.66 192 96 192z"],
    "send-back": [640, 512, [], "f87e", "M192 0C227.3 0 256 28.65 256 64V192C256 227.3 227.3 256 192 256H64C28.65 256 0 227.3 0 192V64C0 28.65 28.65 0 64 0H192zM192 64H64V192H192V64zM576 256C611.3 256 640 284.7 640 320V448C640 483.3 611.3 512 576 512H448C412.7 512 384 483.3 384 448V320C384 284.7 412.7 256 448 256H576zM576 320H448V448H576V320zM192 288C245 288 288 245 288 192V96H416C451.3 96 480 124.7 480 160V224H448C394.1 224 352 266.1 352 320V416H224C188.7 416 160 387.3 160 352V288H192z"],
    "send-backward": [512, 512, [], "f87f", "M288 0C323.3 0 352 28.65 352 64V128H224C170.1 128 128 170.1 128 224V352H64C28.65 352 0 323.3 0 288V64C0 28.65 28.65 0 64 0H288zM160 224C160 188.7 188.7 160 224 160H448C483.3 160 512 188.7 512 224V448C512 483.3 483.3 512 448 512H224C188.7 512 160 483.3 160 448V224zM224 448H448V224H224V448z"],
    "sensor": [448, 512, [], "e028", "M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM112 120C112 106.7 101.3 96 88 96C74.75 96 64 106.7 64 120V264C64 277.3 74.75 288 88 288C101.3 288 112 277.3 112 264V120zM208 120C208 106.7 197.3 96 184 96C170.7 96 160 106.7 160 120V264C160 277.3 170.7 288 184 288C197.3 288 208 277.3 208 264V120z"],
    "sensor-cloud": [640, 512, ["sensor-smoke"], "e02c", "M384 32C419.3 32 448 60.65 448 96V234.8C433.5 227.9 417.2 224 400 224C339.9 224 290.9 271.3 288.1 330.7C250.2 348.7 224 387.3 224 432C224 449.2 227.9 465.5 234.8 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM112 120C112 106.7 101.3 96 88 96C74.75 96 64 106.7 64 120V264C64 277.3 74.75 288 88 288C101.3 288 112 277.3 112 264V120zM208 120C208 106.7 197.3 96 184 96C170.7 96 160 106.7 160 120V264C160 277.3 170.7 288 184 288C197.3 288 208 277.3 208 264V120zM336 512C291.8 512 256 476.2 256 432C256 392.6 284.4 359.9 321.9 353.2C320.6 347.7 320 341.9 320 336C320 291.8 355.8 256 400 256C435 256 464.8 278.5 475.6 309.8C485.9 296.6 501.9 288 520 288C550.9 288 576 313.1 576 344C576 347.2 575.7 350.4 575.2 353.4C612.1 360.5 640 393 640 432C640 476.2 604.2 512 560 512H336z"],
    "sensor-fire": [640, 512, [], "e02a", "M384 32C419.3 32 448 60.65 448 96V128.2C435.4 127 422.5 130.9 412.5 139.9C377.1 171.5 346.9 207.6 325.2 242.7C304.3 276.5 288 314.9 288 350.1C288 399.4 306.6 445.3 337.6 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM112 120C112 106.7 101.3 96 88 96C74.75 96 64 106.7 64 120V264C64 277.3 74.75 288 88 288C101.3 288 112 277.3 112 264V120zM208 120C208 106.7 197.3 96 184 96C170.7 96 160 106.7 160 120V264C160 277.3 170.7 288 184 288C197.3 288 208 277.3 208 264V120zM509 221.3C516.9 211.5 525.8 200.6 535.5 191.8C541.1 186.7 549.9 186.7 555.5 191.9C580.2 214.6 601.1 244.5 615.8 273C630.4 301.1 640 329.8 640 349.9C640 437.8 568.7 511.9 480 511.9C390.3 511.9 320 437.7 320 349.9C320 323.5 332.7 291.3 352.4 259.4C372.4 227 400.5 193.3 433.8 163.6C439.4 158.6 447.1 158.6 453.5 163.6C473.3 181.4 491.8 200.6 509 221.3V221.3zM550 336.9C548 332.9 546 328.9 543 324.9L507 366.9C507 366.9 448.1 292.9 444.1 287.9C415 324.9 400 345.9 400 369.9C400 418.9 436 447.9 480.1 447.9C499 447.9 515 442.9 530 432.9C560 411.9 568 369.9 550 336.9z"],
    "sensor-on": [640, 512, [], "e02b", "M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM64 120V264C64 277.3 74.75 288 88 288C101.3 288 112 277.3 112 264V120C112 106.7 101.3 96 88 96C74.75 96 64 106.7 64 120zM160 120V264C160 277.3 170.7 288 184 288C197.3 288 208 277.3 208 264V120C208 106.7 197.3 96 184 96C170.7 96 160 106.7 160 120zM549.3 139.1C538.3 147.3 523.4 144.3 516 133.3C508.7 122.3 511.7 107.4 522.7 100L570.7 68.03C581.7 60.68 596.6 63.66 603.1 74.69C611.3 85.72 608.3 100.6 597.3 107.1L549.3 139.1zM616 232C629.3 232 640 242.7 640 256C640 269.3 629.3 280 616 280H536C522.7 280 512 269.3 512 256C512 242.7 522.7 232 536 232H616zM597.3 404C608.3 411.4 611.3 426.3 603.1 437.3C596.6 448.3 581.7 451.3 570.7 443.1L522.7 411.1C511.7 404.6 508.7 389.7 516 378.7C523.4 367.7 538.3 364.7 549.3 372L597.3 404z"],
    "sensor-triangle-exclamation": [640, 512, ["sensor-alert"], "e029", "M384 32C419.3 32 448 60.65 448 96V128C421.6 128 397.3 142.2 384.3 165.1L233.9 430C227.4 441.5 224 454.5 224 467.7C224 471.9 224.3 475.1 224.1 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32L384 32zM112 120C112 106.7 101.3 96 88 96C74.75 96 64 106.7 64 120V264C64 277.3 74.75 288 88 288C101.3 288 112 277.3 112 264V120zM208 120C208 106.7 197.3 96 184 96C170.7 96 160 106.7 160 120V264C160 277.3 170.7 288 184 288C197.3 288 208 277.3 208 264V120zM261.8 445.8L412.2 180.9C419.5 167.1 433.2 160 448 160C462.8 160 476.5 167.1 483.8 180.9L634.2 445.8C638 452.5 640 460 640 467.7C640 492.2 620.2 512 595.7 512H300.3C275.8 512 256 492.2 256 467.7C256 460 257.1 452.5 261.8 445.8V445.8zM463.1 272C463.1 263.2 456.8 256 447.1 256C439.2 256 431.1 263.2 431.1 272V360C431.1 368.8 439.2 376 447.1 376C456.8 376 463.1 368.8 463.1 360V272zM448 456C461.3 456 472 445.3 472 432C472 418.7 461.3 408 448 408C434.7 408 424 418.7 424 432C424 445.3 434.7 456 448 456z"],
    "server": [512, 512, [], "f233", "M480 288H32c-17.62 0-32 14.38-32 32v128c0 17.62 14.38 32 32 32h448c17.62 0 32-14.38 32-32v-128C512 302.4 497.6 288 480 288zM352 408c-13.25 0-24-10.75-24-24s10.75-24 24-24s24 10.75 24 24S365.3 408 352 408zM416 408c-13.25 0-24-10.75-24-24s10.75-24 24-24s24 10.75 24 24S429.3 408 416 408zM480 32H32C14.38 32 0 46.38 0 64v128c0 17.62 14.38 32 32 32h448c17.62 0 32-14.38 32-32V64C512 46.38 497.6 32 480 32zM352 152c-13.25 0-24-10.75-24-24S338.8 104 352 104S376 114.8 376 128S365.3 152 352 152zM416 152c-13.25 0-24-10.75-24-24S402.8 104 416 104S440 114.8 440 128S429.3 152 416 152z"],
    "shapes": [512, 512, ["triangle-circle-square"], "f61f", "M411.4 175.5C417.4 185.4 417.5 197.7 411.8 207.8C406.2 217.8 395.5 223.1 384 223.1H192C180.5 223.1 169.8 217.8 164.2 207.8C158.5 197.7 158.6 185.4 164.6 175.5L260.6 15.54C266.3 5.897 276.8 0 288 0C299.2 0 309.7 5.898 315.4 15.54L411.4 175.5zM288 312C288 289.9 305.9 272 328 272H472C494.1 272 512 289.9 512 312V456C512 478.1 494.1 496 472 496H328C305.9 496 288 478.1 288 456V312zM0 384C0 313.3 57.31 256 128 256C198.7 256 256 313.3 256 384C256 454.7 198.7 512 128 512C57.31 512 0 454.7 0 384z"],
    "share": [512, 512, ["arrow-turn-right", "mail-forward"], "f064", "M503.7 226.2l-176 151.1c-15.38 13.3-39.69 2.545-39.69-18.16V272.1C132.9 274.3 66.06 312.8 111.4 457.8c5.031 16.09-14.41 28.56-28.06 18.62C39.59 444.6 0 383.8 0 322.3c0-152.2 127.4-184.4 288-186.3V56.02c0-20.67 24.28-31.46 39.69-18.16l176 151.1C514.8 199.4 514.8 216.6 503.7 226.2z"],
    "share-all": [576, 512, [], "f367", "M439.7 189.9l-176-151.1c-15.41-13.3-39.69-2.509-39.69 18.16v82.84C94.86 149.1 0 191 0 322.3c0 61.44 39.59 122.3 83.34 154.1c13.66 9.938 33.09-2.531 28.06-18.62c-38.48-123.1 4.102-169.3 112.6-181.9v84.04c0 20.7 24.31 31.45 39.69 18.16l176-151.1C450.8 216.6 450.8 199.4 439.7 189.9zM567.7 189.9l-176-151.1c-15.41-13.3-39.69-2.509-39.69 18.16V71.83l157.7 136.2l-157.7 136.2v15.83c0 20.7 24.31 31.45 39.69 18.16l176-151.1C578.8 216.6 578.8 199.4 567.7 189.9z"],
    "share-from-square": [576, 512, [61509, "share-square"], "f14d", "M568.9 143.5l-150.9-138.2C404.8-6.773 384 3.039 384 21.84V96C241.2 97.63 128 126.1 128 260.6c0 54.3 35.2 108.1 74.08 136.2c12.14 8.781 29.42-2.238 24.94-16.46C186.7 252.2 256 224 384 223.1v74.2c0 18.82 20.84 28.59 34.02 16.51l150.9-138.2C578.4 167.8 578.4 152.2 568.9 143.5zM416 384c-17.67 0-32 14.33-32 32v31.1l-320-.0013V128h32c17.67 0 32-14.32 32-32S113.7 64 96 64H64C28.65 64 0 92.65 0 128v319.1c0 35.34 28.65 64 64 64l320-.0013c35.35 0 64-28.66 64-64V416C448 398.3 433.7 384 416 384z"],
    "share-nodes": [448, 512, ["share-alt"], "f1e0", "M285.4 197.1L191.3 244.1C191.8 248 191.1 251.1 191.1 256C191.1 260 191.8 263.1 191.3 267.9L285.4 314.9C302.6 298.2 326.1 288 352 288C405 288 448 330.1 448 384C448 437 405 480 352 480C298.1 480 256 437 256 384C256 379.1 256.2 376 256.7 372.1L162.6 325.1C145.4 341.8 121.9 352 96 352C42.98 352 0 309 0 256C0 202.1 42.98 160 96 160C121.9 160 145.4 170.2 162.6 186.9L256.7 139.9C256.2 135.1 256 132 256 128C256 74.98 298.1 32 352 32C405 32 448 74.98 448 128C448 181 405 224 352 224C326.1 224 302.6 213.8 285.4 197.1L285.4 197.1z"],
    "sheep": [640, 512, [128017], "f711", "M384 135.8L369.5 142.1C357.3 147.3 343.2 141.6 337.9 129.5C332.7 117.3 338.4 103.2 350.5 97.94L398.4 77.44C415.3 50.16 445.5 32 480 32C514.5 32 544.7 50.16 561.6 77.44L609.5 97.94C621.6 103.2 627.3 117.3 622.1 129.5C616.8 141.6 602.7 147.3 590.5 142.1L576 135.8V208C576 252.2 540.2 288 496 288H464C419.8 288 384 252.2 384 208L384 135.8zM464 160C472.8 160 480 152.8 480 144C480 135.2 472.8 128 464 128C455.2 128 448 135.2 448 144C448 152.8 455.2 160 464 160zM528 128C519.2 128 512 135.2 512 144C512 152.8 519.2 160 528 160C536.8 160 544 152.8 544 144C544 135.2 536.8 128 528 128zM352 208C352 269.9 402.1 320 464 320H479.5C479.8 322.6 480 325.3 480 328C480 363.3 451.3 392 416 392C415.5 392 414.1 391.1 414.5 391.1L396.9 485.9C394.1 501 380.8 512 365.4 512H336C318.3 512 303.1 497.7 303.1 480V426.3C292.3 439.6 275.1 448 255.1 448C236.9 448 219.7 439.6 207.1 426.3V480C207.1 497.7 193.7 512 175.1 512H146.6C131.2 512 117.9 501 115.1 485.9L97.5 391.1C96.1 391.1 96.5 392 96 392C60.65 392 32 363.3 32 328C32 322.7 32.66 317.5 33.89 312.5C13.72 301.7 0 280.5 0 256C0 231.5 13.72 210.3 33.89 199.5C32.66 194.5 32 189.3 32 184C32 148.7 60.65 120 96 120C99.34 120 102.6 120.3 105.8 120.8C112.7 92.77 137.9 72 168 72C183 72 196.9 77.19 207.8 85.88C219.5 72.47 236.8 64 256 64C278.9 64 299 76.04 310.3 94.15C302.9 108.5 301.6 126 308.5 142.1C316.5 160.7 333.3 172.7 352 175.4L352 208z"],
    "sheet-plastic": [384, 512, [], "e571", "M0 64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V352H256C238.3 352 224 366.3 224 384V512H64C28.65 512 0 483.3 0 448V64zM171.3 52.69C165.1 46.44 154.9 46.44 148.7 52.69L52.69 148.7C46.44 154.9 46.44 165.1 52.69 171.3C58.93 177.6 69.06 177.6 75.31 171.3L171.3 75.31C177.6 69.07 177.6 58.94 171.3 52.69V52.69zM267.3 107.3C273.6 101.1 273.6 90.93 267.3 84.69C261.1 78.44 250.9 78.44 244.7 84.69L84.69 244.7C78.44 250.9 78.44 261.1 84.69 267.3C90.93 273.6 101.1 273.6 107.3 267.3L267.3 107.3zM384 384L256 512V384H384z"],
    "shekel-sign": [448, 512, [8362, "ils", "shekel", "sheqel", "sheqel-sign"], "f20b", "M192 32C262.7 32 320 89.31 320 160V320C320 337.7 305.7 352 288 352C270.3 352 256 337.7 256 320V160C256 124.7 227.3 96 192 96H64V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V64C0 46.33 14.33 32 32 32H192zM160 480C142.3 480 128 465.7 128 448V192C128 174.3 142.3 160 160 160C177.7 160 192 174.3 192 192V416H320C355.3 416 384 387.3 384 352V64C384 46.33 398.3 32 416 32C433.7 32 448 46.33 448 64V352C448 422.7 390.7 480 320 480H160z"],
    "shelves": [640, 512, ["inventory"], "f480", "M608 0c-17.6 0-32 14.4-32 31.1V160H64V31.1C64 14.4 49.6 0 32 0S0 14.4 0 31.1v480h64v-32h512v32h64v-480C640 14.4 625.6 0 608 0zM576 416H64V224h512V416zM368 128h96C472.8 128 480 120.8 480 112v-96C480 7.25 472.8 0 464 0h-96C359.2 0 352 7.25 352 16v96C352 120.8 359.2 128 368 128zM112 384h96C216.8 384 224 376.8 224 368v-96C224 263.2 216.8 256 208 256h-96C103.2 256 96 263.2 96 272v96C96 376.8 103.2 384 112 384zM272 384h96c8.75 0 16-7.25 16-16v-96C384 263.2 376.8 256 368 256h-96C263.2 256 256 263.2 256 272v96C256 376.8 263.2 384 272 384z"],
    "shelves-empty": [640, 512, [], "e246", "M608 0c-17.6 0-32 14.4-32 31.1V160H64V31.1C64 14.4 49.6 0 32 0S0 14.4 0 31.1v480h64v-32h512v32h64v-480C640 14.4 625.6 0 608 0zM576 416H64V224h512V416z"],
    "shield": [512, 512, [128737, "shield-blank"], "f132", "M256-.0078C260.7-.0081 265.2 1.008 269.4 2.913L457.7 82.79C479.7 92.12 496.2 113.8 496 139.1C495.5 239.2 454.7 420.7 282.4 503.2C265.7 511.1 246.3 511.1 229.6 503.2C57.25 420.7 16.49 239.2 15.1 139.1C15.87 113.8 32.32 92.12 54.3 82.79L242.7 2.913C246.8 1.008 251.4-.0081 256-.0078V-.0078z"],
    "shield-cat": [512, 512, [], "e572", "M199.1 272C199.1 263.2 207.2 256 215.1 256C224.8 256 231.1 263.2 231.1 272C231.1 280.8 224.8 288 215.1 288C207.2 288 199.1 280.8 199.1 272zM312 272C312 280.8 304.8 288 296 288C287.2 288 280 280.8 280 272C280 263.2 287.2 256 296 256C304.8 256 312 263.2 312 272zM256.3-.0068C261.9-.0507 267.3 1.386 272.1 4.066L476.5 90.53C487.7 95.27 495.2 105.1 495.9 118.1C501.6 213.6 466.7 421.9 272.5 507.7C267.6 510.5 261.1 512.1 256.3 512C250.5 512.1 244.9 510.5 239.1 507.7C45.8 421.9 10.95 213.6 16.57 118.1C17.28 105.1 24.83 95.27 36.04 90.53L240.4 4.066C245.2 1.386 250.7-.0507 256.3-.0068H256.3zM223.1 208L159.1 144V272C159.1 325 202.1 368 255.1 368C309 368 352 325 352 272V144L288 208H223.1z"],
    "shield-check": [512, 512, [], "f2f7", "M466.5 83.71l-192-80c-4.875-2.031-13.16-3.703-18.44-3.703c-5.312 0-13.55 1.672-18.46 3.703L45.61 83.71C27.7 91.1 16 108.6 16 127.1C16 385.2 205.2 512 255.9 512C307.1 512 496 383.8 496 127.1C496 108.6 484.3 91.1 466.5 83.71zM352 200c0 5.531-1.901 11.09-5.781 15.62l-96 112C243.5 335.5 234.6 335.1 232 335.1c-6.344 0-12.47-2.531-16.97-7.031l-48-48C162.3 276.3 160 270.1 160 263.1c0-12.79 10.3-24 24-24c6.141 0 12.28 2.344 16.97 7.031l29.69 29.69l79.13-92.34c4.759-5.532 11.48-8.362 18.24-8.362C346.4 176 352 192.6 352 200z"],
    "shield-cross": [512, 512, [9960], "f712", "M466.5 83.71l-192-80C269.6 1.672 261.3 0 256.1 0C250.8 0 242.5 1.672 237.6 3.703L45.61 83.71C27.7 91.1 16 108.6 16 127.1C16 385.2 205.2 512 255.9 512C307.1 512 496 383.8 496 127.1C496 108.6 484.3 91.1 466.5 83.71zM421.2 224H288v203.7c-11.4 7.871-22.32 14.26-32.08 18.81C245.3 441.7 234.6 435.6 224 428.5V224H90.88C86.15 203.8 82.99 182.4 81.35 160H224V78.67l32.05-13.35L288 78.63V160h142.6C428.1 182.7 425.8 204.1 421.2 224z"],
    "shield-dog": [512, 512, [], "e573", "M288 208C288 216.8 280.8 224 272 224C263.2 224 255.1 216.8 255.1 208C255.1 199.2 263.2 192 272 192C280.8 192 288 199.2 288 208zM256.3-.0068C261.9-.0507 267.3 1.386 272.1 4.066L476.5 90.53C487.7 95.27 495.2 105.1 495.9 118.1C501.6 213.6 466.7 421.9 272.5 507.7C267.6 510.5 261.1 512.1 256.3 512C250.5 512.1 244.9 510.5 239.1 507.7C45.8 421.9 10.95 213.6 16.57 118.1C17.28 105.1 24.83 95.27 36.04 90.53L240.4 4.066C245.2 1.386 250.7-.0507 256.3-.0068H256.3zM160.9 286.2L143.1 320L272 384V320H320C364.2 320 400 284.2 400 240V208C400 199.2 392.8 192 384 192H320L312.8 177.7C307.4 166.8 296.3 160 284.2 160H239.1V224C239.1 259.3 211.3 288 175.1 288C170.8 288 165.7 287.4 160.9 286.2H160.9zM143.1 176V224C143.1 241.7 158.3 256 175.1 256C193.7 256 207.1 241.7 207.1 224V160H159.1C151.2 160 143.1 167.2 143.1 176z"],
    "shield-exclamation": [512, 512, [], "e247", "M466.5 83.69l-192-80.01C269.6 1.656 261.3 0 256.1 0C250.8 0 242.5 1.656 237.6 3.688l-192 80.01C27.69 91.08 16 108.6 16 127.1C16 385.2 205.2 512 255.1 512C307.1 512 496 383.8 496 127.1C496 108.6 484.3 91.08 466.5 83.69zM232 152C232 138.8 242.8 128 256 128s24 10.75 24 24v112C280 277.3 269.3 288 256 288S232 277.3 232 264V152zM256 384c-17.67 0-32-14.33-32-32s14.33-32 32-32s32 14.33 32 32S273.7 384 256 384z"],
    "shield-halved": [512, 512, ["shield-alt"], "f3ed", "M256-.0078C260.7-.0081 265.2 1.008 269.4 2.913L457.7 82.79C479.7 92.12 496.2 113.8 496 139.1C495.5 239.2 454.7 420.7 282.4 503.2C265.7 511.1 246.3 511.1 229.6 503.2C57.25 420.7 16.49 239.2 15.1 139.1C15.87 113.8 32.32 92.12 54.3 82.79L242.7 2.913C246.8 1.008 251.4-.0081 256-.0078V-.0078zM256 444.8C393.1 378 431.1 230.1 432 141.4L256 66.77L256 444.8z"],
    "shield-heart": [512, 512, [], "e574", "M256.3-.0068C261.9-.0507 267.3 1.386 272.1 4.066L476.5 90.53C487.7 95.27 495.2 105.1 495.9 118.1C501.6 213.6 466.7 421.9 272.5 507.7C267.6 510.5 261.1 512.1 256.3 512C250.5 512.1 244.9 510.5 239.1 507.7C45.8 421.9 10.95 213.6 16.57 118.1C17.28 105.1 24.83 95.27 36.04 90.53L240.4 4.066C245.2 1.386 250.7-.0507 256.3-.0068H256.3zM266.1 363.4L364.2 263.6C392.2 234.7 390.5 186.6 358.1 159.5C331.8 135.8 291.5 140.2 266.1 166.5L256.4 176.1L245.9 166.5C221.4 140.2 180.2 135.8 153 159.5C121.5 186.6 119.8 234.7 147.8 263.6L244.2 363.4C251.2 369.5 260.8 369.5 266.1 363.4V363.4z"],
    "shield-keyhole": [512, 512, [], "e248", "M466.5 83.69l-192-80.01C269.6 1.656 261.3 0 256.1 0C250.8 0 242.5 1.656 237.6 3.688l-192 80.01C27.69 91.08 16 108.6 16 127.1C16 385.2 205.2 512 255.1 512C307.1 512 496 383.8 496 127.1C496 108.6 484.3 91.08 466.5 83.69zM280 258.4V328c0 13.25-10.75 24-24 24s-24-10.75-24-24V258.4C213.1 249.4 200 230.3 200 208c0-30.93 25.07-56 56-56s56 25.07 56 56C312 230.3 298.9 249.4 280 258.4z"],
    "shield-minus": [512, 512, [], "e249", "M466.5 83.69l-192-80.01C269.6 1.656 261.3 0 256.1 0C250.8 0 242.5 1.656 237.6 3.688l-192 80.01C27.69 91.08 16 108.6 16 127.1C16 385.2 205.2 512 255.1 512C307.1 512 496 383.8 496 127.1C496 108.6 484.3 91.08 466.5 83.69zM336 279.1H176c-13.27 0-23.1-10.74-23.1-23.1C152 242.7 162.7 232 176 232h160c13.26 0 23.1 10.74 23.1 23.1S349.3 279.1 336 279.1z"],
    "shield-plus": [512, 512, [], "e24a", "M466.5 83.69l-192-80.01C269.6 1.656 261.3 0 256.1 0C250.8 0 242.5 1.656 237.6 3.688l-192 80.01C27.69 91.08 16 108.6 16 127.1C16 385.2 205.2 512 255.1 512C307.1 512 496 383.8 496 127.1C496 108.6 484.3 91.08 466.5 83.69zM336 279.1H280V336c0 13.26-10.74 23.1-23.1 23.1c-13.27 0-23.1-10.74-23.1-23.1V279.1H176c-13.27 0-23.1-10.74-23.1-23.1C152 242.7 162.7 232 176 232h56V175.1c0-13.26 10.74-23.1 23.1-23.1S280 162.7 280 175.1V232h56c13.26 0 23.1 10.74 23.1 23.1S349.3 279.1 336 279.1z"],
    "shield-quartered": [576, 512, [], "e575", "M489.7 82.79C511.7 92.12 528.2 113.8 528 139.1C527.5 239.2 486.7 420.7 314.4 503.2C297.7 511.1 278.3 511.1 261.6 503.2C89.25 420.7 48.49 239.2 47.1 139.1C47.87 113.8 64.32 92.12 86.3 82.79L274.7 2.913C278.8 1.008 283.4-.0081 288-.0078C292.7-.0081 297.2 1.008 301.4 2.913L489.7 82.79zM122.1 224H288V66.77L112 141.4C112.3 165.5 115.2 193.1 122.1 224zM453.1 224H288V444.8C388.5 396.2 435.5 304.5 453.1 224V224z"],
    "shield-slash": [640, 512, [], "e24b", "M319.9 512c37.26 0 102.9-58.24 117.3-72.57L81.16 160.3C96.42 398.1 272.1 512 319.9 512zM639.1 487.1c0-7.118-3.152-14.16-9.189-18.89l-134.3-105.3C533.4 303.5 560 225.5 560 127.1c0-19.41-11.69-36.89-29.5-44.28l-192-80C333.6 1.672 325.3 0 320.1 0C314.8 0 306.5 1.672 301.6 3.703L128.9 75.68L38.81 5.109C34.41 1.672 29.19 0 24.03 0C10.2 0 .0008 11.29 .0008 24c0 7.118 3.152 14.16 9.189 18.89l591.1 463.1C605.6 510.3 610.8 512 615.1 512C629.8 512 639.1 500.6 639.1 487.1z"],
    "shield-virus": [512, 512, [], "e06c", "M288 255.1c-8.836 0-16 7.162-16 16c0 8.836 7.164 15.1 16 15.1s16-7.163 16-15.1C304 263.2 296.8 255.1 288 255.1zM224 191.1c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 15.1 16s16-7.164 16-16C240 199.2 232.8 191.1 224 191.1zM466.5 83.68l-192-80.01C269.6 1.641 261.3 0 256.1 0C250.7 0 242.5 1.641 237.6 3.672l-192 80.01C27.69 91.07 16 108.6 16 127.1C16 385.2 205.2 512 255.9 512c52.02 0 240.1-128.2 240.1-384C496 108.6 484.3 91.07 466.5 83.68zM384 255.1h-12.12c-19.29 0-32.06 15.78-32.06 32.23c0 7.862 2.918 15.88 9.436 22.4l8.576 8.576c3.125 3.125 4.688 7.218 4.688 11.31c0 8.527-6.865 15.1-16 15.1c-4.094 0-8.188-1.562-11.31-4.688l-8.576-8.576c-6.519-6.519-14.53-9.436-22.4-9.436c-16.45 0-32.23 12.77-32.23 32.06v12.12c0 8.844-7.156 16-16 16s-16-7.156-16-16v-12.12c0-19.29-15.78-32.06-32.23-32.06c-7.862 0-15.87 2.917-22.39 9.436l-8.576 8.576c-3.125 3.125-7.219 4.688-11.31 4.688c-9.139 0-16-7.473-16-15.1c0-4.094 1.562-8.187 4.688-11.31l8.576-8.576c6.519-6.519 9.436-14.53 9.436-22.4c0-16.45-12.77-32.23-32.06-32.23H128c-8.844 0-16-7.156-16-16s7.156-16 16-16h12.12c19.29 0 32.06-15.78 32.06-32.23c0-7.862-2.918-15.88-9.436-22.4L154.2 160.8C151 157.7 149.5 153.6 149.5 149.5c0-8.527 6.865-15.1 16-15.1c4.094 0 8.188 1.562 11.31 4.688L185.4 146.7C191.9 153.3 199.9 156.2 207.8 156.2c16.45 0 32.23-12.77 32.23-32.07V111.1c0-8.844 7.156-16 16-16s16 7.156 16 16v12.12c0 19.29 15.78 32.07 32.23 32.07c7.862 0 15.88-2.917 22.4-9.436l8.576-8.577c3.125-3.125 7.219-4.688 11.31-4.688c9.139 0 16 7.473 16 15.1c0 4.094-1.562 8.187-4.688 11.31l-8.576 8.577c-6.519 6.519-9.436 14.53-9.436 22.4c0 16.45 12.77 32.23 32.06 32.23h12.12c8.844 0 16 7.156 16 16S392.8 255.1 384 255.1z"],
    "shield-xmark": [512, 512, ["shield-times"], "e24c", "M466.5 83.69l-192-80.01C269.6 1.656 261.3 0 256.1 0C250.8 0 242.5 1.656 237.6 3.688l-192 80.01C27.69 91.08 16 108.6 16 127.1C16 385.2 205.2 512 255.1 512C307.1 512 496 383.8 496 127.1C496 108.6 484.3 91.08 466.5 83.69zM336.1 303C341.7 307.7 344 313.9 344 320c0 13.7-11.2 24-23.1 24c-6.141 0-12.28-2.345-16.97-7.031L256 289.9l-47.03 47.03C204.3 341.7 198.1 344 192 344C178.3 344 168 332.8 168 320c0-6.141 2.344-12.28 7.031-16.97L222.1 256L175 208.1C170.3 204.3 168 198.1 168 192c0-12.79 10.3-24 24-24c6.141 0 12.28 2.344 16.97 7.031L256 222.1l47.03-47.03C307.7 170.3 313.9 168 320 168c13.71 0 24 11.21 24 24c0 6.141-2.344 12.28-7.031 16.97L289.9 256L336.1 303z"],
    "ship": [576, 512, [128674], "f21a", "M192 32C192 14.33 206.3 0 224 0H352C369.7 0 384 14.33 384 32V64H432C458.5 64 480 85.49 480 112V240L524.4 254.8C547.6 262.5 553.9 292.3 535.9 308.7L434.9 401.4C418.7 410.7 400.2 416.5 384 416.5C364.4 416.5 343.2 408.8 324.8 396.1C302.8 380.6 273.3 380.6 251.2 396.1C234 407.9 213.2 416.5 192 416.5C175.8 416.5 157.3 410.7 141.1 401.3L40.09 308.7C22.1 292.3 28.45 262.5 51.59 254.8L96 239.1V111.1C96 85.49 117.5 63.1 144 63.1H192V32zM160 218.7L267.8 182.7C280.9 178.4 295.1 178.4 308.2 182.7L416 218.7V128H160V218.7zM384 448C410.9 448 439.4 437.2 461.4 421.9L461.5 421.9C473.4 413.4 489.5 414.1 500.7 423.6C515 435.5 533.2 444.6 551.3 448.8C568.5 452.8 579.2 470.1 575.2 487.3C571.2 504.5 553.1 515.2 536.7 511.2C512.2 505.4 491.9 494.6 478.5 486.2C449.5 501.7 417 512 384 512C352.1 512 323.4 502.1 303.6 493.1C297.7 490.5 292.5 487.8 288 485.4C283.5 487.8 278.3 490.5 272.4 493.1C252.6 502.1 223.9 512 192 512C158.1 512 126.5 501.7 97.5 486.2C84.12 494.6 63.79 505.4 39.27 511.2C22.06 515.2 4.853 504.5 .8422 487.3C-3.169 470.1 7.532 452.8 24.74 448.8C42.84 444.6 60.96 435.5 75.31 423.6C86.46 414.1 102.6 413.4 114.5 421.9L114.6 421.9C136.7 437.2 165.1 448 192 448C219.5 448 247 437.4 269.5 421.9C280.6 414 295.4 414 306.5 421.9C328.1 437.4 356.5 448 384 448H384z"],
    "shirt": [640, 512, [128085, "t-shirt", "tshirt"], "f553", "M640 162.8c0 6.917-2.293 13.88-7.012 19.7l-49.96 61.63c-6.32 7.796-15.62 11.85-25.01 11.85c-7.01 0-14.07-2.262-19.97-6.919L480 203.3V464c0 26.51-21.49 48-48 48H208C181.5 512 160 490.5 160 464V203.3L101.1 249.1C96.05 253.7 88.99 255.1 81.98 255.1c-9.388 0-18.69-4.057-25.01-11.85L7.012 182.5C2.292 176.7-.0003 169.7-.0003 162.8c0-9.262 4.111-18.44 12.01-24.68l135-106.6C159.8 21.49 175.7 16 191.1 16H225.6C233.3 61.36 272.5 96 320 96s86.73-34.64 94.39-80h33.6c16.35 0 32.22 5.49 44.99 15.57l135 106.6C635.9 144.4 640 153.6 640 162.8z"],
    "shirt-long-sleeve": [640, 512, [], "e3c7", "M640 240.3V384c0 17.67-14.33 32-32 32h-32c-17.67 0-32-14.33-32-32V240.3l-2.062-7.898L496 150.4V448c0 35.35-28.65 64-64 64h-224c-35.35 0-64-28.65-64-64V150.4L98.03 232.5L96 240.3V384c0 17.67-14.33 32-32 32H32c-17.67 0-32-14.33-32-32V240.3c0-19.16 4.918-38 14.28-54.72l71.03-126.8C100.1 32.36 128 16 158.3 16H224c0 53.02 42.98 96 96 96s96-42.98 96-96h65.53c30.38 0 58.39 16.41 73.24 42.92l70.95 126.6C635.1 202.3 640 221.1 640 240.3z"],
    "shirt-running": [384, 512, [], "e3c8", "M359.5 214.3L.668 470.6C3.922 493.1 23.76 512 48 512h288c26.51 0 48-21.49 48-48V256C374.2 242.1 366.4 228.8 359.5 214.3zM336 112v-96C336 7.162 328.8 0 320 0h-32c-8.836 0-16 7.162-16 16v64C272 124.2 236.2 160 192 160S112 124.2 112 80v-64C112 7.162 104.8 0 96 0H64C55.16 0 48 7.162 48 16v96C48 163.9 31.16 214.5 0 256v136.4l339.1-242.2C337.1 137.7 336 124.9 336 112z"],
    "shirt-tank-top": [384, 512, [], "e3c9", "M384 256v208c0 26.51-21.49 48-48 48h-288C21.49 512 0 490.5 0 464V256c31.16-41.54 48-92.07 48-144v-96C48 7.162 55.16 0 64 0h32c8.836 0 16 7.162 16 16v64C112 124.2 147.8 160 192 160s80-35.82 80-80v-64C272 7.162 279.2 0 288 0h32c8.836 0 16 7.162 16 16v96C336 163.9 352.8 214.5 384 256z"],
    "shish-kebab": [512, 512, [], "f821", "M126.5 255.6c-11.87-12-31.25-12-43.25 0l-42.25 42.25c-11.1 12-11.1 31.38 0 43.25l129.9 129.9c11.87 12 31.25 12 43.25 0l42.25-42.25c12-12 12-31.38 0-43.38L126.5 255.6zM7.054 470.1c-9.396 9.375-9.403 24.61-.0166 33.99c9.381 9.383 24.6 9.388 33.98 .0049l59.23-59.21l-33.87-34L7.054 470.1zM234.7 147.4c-11.87-12-31.37-12-43.25 0L149.1 189.6c-11.87 12-11.87 31.38 0 43.38L278.1 362.9c12 11.88 31.37 11.88 43.25 0l42.37-42.38c11.88-11.88 11.88-31.38 0-43.25L234.7 147.4zM511.2 84.12c-3.875-29.75-21.13-55.75-47.5-71.25c-30.37-17.62-67.1-17.13-97.87 1.375c-42.62 26.75-58.12 79.75-35.87 124.6c1.5 2.875 2.25 7.125 0 9.5l-24.49 24.5l33.1 33.88l24.45-24.5c16.62-16.75 20.29-42.13 9.042-64.63c-9.625-19.5-5.999-48.25 19.62-63.37c14.12-8.5 31.62-8.583 45.87-.5833c14.25 8 23.21 20.96 25.21 36.46c1.25 10.38-.855 20.96-5.978 30.09c-3.75 6.375-3.354 14.29 1.896 19.54l12.25 12.29c6.75 6.75 18.12 6.126 23.5-1.749C508.6 130.9 514.2 107.4 511.2 84.12z"],
    "shoe-prints": [640, 512, [], "f54b", "M192 159.1L224 159.1V32L192 32c-35.38 0-64 28.62-64 63.1S156.6 159.1 192 159.1zM0 415.1c0 35.37 28.62 64.01 64 64.01l32-.0103v-127.1l-32-.0005C28.62 351.1 0 380.6 0 415.1zM337.5 287.1c-35 0-76.25 13.12-104.8 31.1C208 336.4 188.3 351.1 128 351.1v128l57.5 15.98c26.25 7.25 53 13.13 80.38 15.01c32.63 2.375 65.63 .743 97.5-6.132C472.9 481.2 512 429.2 512 383.1C512 319.1 427.9 287.1 337.5 287.1zM491.4 7.252c-31.88-6.875-64.88-8.625-97.5-6.25C366.5 2.877 339.8 8.752 313.5 16L256 32V159.1c60.25 0 80 15.62 104.8 31.1c28.5 18.87 69.75 31.1 104.8 31.1C555.9 223.1 640 191.1 640 127.1C640 82.75 600.9 30.75 491.4 7.252z"],
    "shop": [640, 512, ["store-alt"], "f54f", "M0 155.2C0 147.9 2.153 140.8 6.188 134.7L81.75 21.37C90.65 8.021 105.6 0 121.7 0H518.3C534.4 0 549.3 8.021 558.2 21.37L633.8 134.7C637.8 140.8 640 147.9 640 155.2C640 175.5 623.5 192 603.2 192H36.84C16.5 192 .0003 175.5 .0003 155.2H0zM64 224H128V384H320V224H384V464C384 490.5 362.5 512 336 512H112C85.49 512 64 490.5 64 464V224zM512 224H576V480C576 497.7 561.7 512 544 512C526.3 512 512 497.7 512 480V224z"],
    "shop-lock": [640, 512, [], "e4a5", "M0 155.2C0 147.9 2.153 140.8 6.188 134.7L81.75 21.37C90.65 8.021 105.6 0 121.7 0H518.3C534.4 0 549.3 8.021 558.2 21.37L633.8 134.7C637.8 140.8 640 147.9 640 155.2C640 174.5 625.2 190.3 606.3 191.9C586.1 172.2 558.5 160 528 160C497.5 160 469.8 172.2 449.6 192H36.84C16.5 192 .0003 175.5 .0003 155.2H0zM384 224V464C384 490.5 362.5 512 336 512H112C85.49 512 64 490.5 64 464V224H128V384H320V224H384zM528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320V272C448 227.8 483.8 192 528 192zM528 240C510.3 240 496 254.3 496 272V320H560V272C560 254.3 545.7 240 528 240z"],
    "shop-slash": [640, 512, ["store-alt-slash"], "e070", "M74.13 32.8L81.75 21.38C90.65 8.022 105.6 .001 121.7 .001H518.3C534.4 .001 549.3 8.022 558.2 21.38L633.8 134.7C637.8 140.8 640 147.9 640 155.2C640 175.5 623.5 192 603.2 192H277.3L320 225.5V224H384V275.7L512 375.1V224H576V426.2L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L74.13 32.8zM0 155.2C0 147.9 2.153 140.8 6.188 134.7L20.98 112.5L121.8 192H36.84C16.5 192 .0003 175.5 .0003 155.2H0zM320 384V348.1L384 398.5V464C384 490.5 362.5 512 336 512H112C85.49 512 64 490.5 64 464V224H128V384H320z"],
    "shovel": [512, 512, [], "f713", "M502.6 99.88l-90.51-90.51c-12.5-12.5-32.75-12.51-45.26 0l-45.25 45.25c-29.46 29.46-35.37 73.31-18.46 108.1L197.4 269.4L152.1 224.1c-12.5-12.5-32.75-12.5-45.25 0L38.97 291.1c-50.01 50-45.26 181-22.63 203.7c22.63 22.63 153.6 27.38 203.6-22.63l67.88-67.89c12.5-12.5 12.5-32.75 0-45.25L242.6 314.6l105.8-105.8c35.65 16.91 79.51 11 108.1-18.46l45.26-45.25C515.1 132.6 515.1 112.4 502.6 99.88zM412.1 145.1c-12.48 12.48-32.78 12.47-45.26 0c-12.47-12.47-12.48-32.77 0-45.26l22.63-22.63l45.25 45.26L412.1 145.1z"],
    "shovel-snow": [512, 512, [], "f7c3", "M504.1 81.77l-74.98-75.01c-9.016-9.036-24.95-9.005-33.94 0l-29.02 29.05c-14.55 14.54-22.56 33.89-22.56 54.47c0 12.28 3.17 23.97 8.561 34.62l-93.53 93.69L210.2 169.2c-11.38-11.26-29.38-12.51-42-2.626l-155.9 120.3c-15.13 11.76-16.63 34.15-3 47.66l168 168.1c13.63 13.63 35.88 12.13 47.63-3.001l120.4-155.1c9.877-12.63 8.627-30.52-2.625-41.9L293.4 252.5l93.6-93.64c10.62 5.36 22.27 8.508 34.51 8.508c20.59 0 39.94-8.004 54.47-22.57l29.02-29.05C514.3 106.3 514.3 91.15 504.1 81.77zM111.1 351.9c-4.127 0-8.251-1.624-11.25-4.753c-6.25-6.128-6.25-16.38 0-22.51L180.7 244.6c6.125-6.378 16.38-6.378 22.5 0c6.25 6.13 6.25 16.38 0 22.51l-80.01 80.04C120.2 350.3 116.1 351.9 111.1 351.9zM267.3 331.2l-80.01 80.04c-3 3.127-7.124 4.753-11.25 4.753c-4.125 0-8.25-1.626-11.25-4.753c-6.252-6.128-6.252-16.38 0-22.51l80-80.04c6.127-6.253 16.38-6.253 22.5 0C273.5 314.8 273.6 325.1 267.3 331.2zM441.1 110.8c-10.94 11.01-30.08 11.01-41.02 0c-5.484-5.472-8.516-12.79-8.516-20.54s3.016-15.04 8.5-20.51l12.05-12.07l41.05 41.05L441.1 110.8z"],
    "shower": [512, 512, [128703], "f2cc", "M288 384c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32s32-14.33 32-32C320 398.3 305.7 384 288 384zM416 256c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32s32-14.33 32-32C448 270.3 433.7 256 416 256zM480 192c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32s32-14.33 32-32C512 206.3 497.7 192 480 192zM288 320c0-17.67-14.33-32-32-32s-32 14.33-32 32c0 17.67 14.33 32 32 32S288 337.7 288 320zM320 224c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32s32-14.33 32-32C352 238.3 337.7 224 320 224zM384 224c17.67 0 32-14.33 32-32c0-17.67-14.33-32-32-32s-32 14.33-32 32C352 209.7 366.3 224 384 224zM352 320c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32s32-14.33 32-32C384 334.3 369.7 320 352 320zM347.3 91.31l-11.31-11.31c-6.248-6.248-16.38-6.248-22.63 0l-6.631 6.631c-35.15-26.29-81.81-29.16-119.6-8.779L170.5 61.25C132.2 22.95 63.65 18.33 21.98 71.16C7.027 90.11 0 114.3 0 138.4V464C0 472.8 7.164 480 16 480h32C56.84 480 64 472.8 64 464V131.9c0-19.78 16.09-35.87 35.88-35.87c9.438 0 18.69 3.828 25.38 10.5l16.61 16.61C121.5 160.9 124.3 207.6 150.6 242.7L144 249.4c-6.248 6.248-6.248 16.38 0 22.63l11.31 11.31c6.248 6.25 16.38 6.25 22.63 0l169.4-169.4C353.6 107.7 353.6 97.56 347.3 91.31z"],
    "shower-down": [384, 512, ["shower-alt"], "e24d", "M368 192H352c0-77.4-54.97-141.9-128-156.8v-19.22c0-8.838-7.164-15.1-16-15.1h-32c-8.836 0-16 7.162-16 15.1v19.22C86.97 50.05 32 114.6 32 192H16C7.164 192 0 199.2 0 207.1v32c0 8.836 7.164 16 16 16h352c8.836 0 16-7.164 16-16V208C384 199.2 376.8 192 368 192zM69.26 290.9c-2.375-3.703-8.148-3.703-10.52 0C54.28 297.8 32 333.3 32 349.8c0 18.95 14.35 34.31 31.1 34.31S96 368.7 96 349.8C96 333.3 73.72 297.8 69.26 290.9zM314.7 290.9C310.3 297.8 288 333.3 288 349.8c0 18.95 14.35 34.31 31.1 34.31S352 368.7 352 349.8c0-16.5-22.28-51.92-26.74-58.88C322.9 287.2 317.1 287.2 314.7 290.9zM122.7 418.8C118.3 425.7 96 461.1 96 477.7C96 496.6 110.3 512 127.1 512S160 496.6 160 477.7c0-16.5-22.28-51.93-26.74-58.88C130.9 415.1 125.1 415.1 122.7 418.8zM197.3 290.9c-2.375-3.703-8.148-3.703-10.52 0C182.3 297.8 160 333.3 160 349.8c0 18.95 14.35 34.31 31.1 34.31S224 368.7 224 349.8C224 333.3 201.7 297.8 197.3 290.9zM250.7 418.8C246.3 425.7 224 461.1 224 477.7C224 496.6 238.4 512 256 512S288 496.6 288 477.7c0-16.5-22.28-51.93-26.74-58.88C258.9 415.1 253.1 415.1 250.7 418.8z"],
    "shredder": [512, 512, [], "f68a", "M136 488C136 501.3 146.7 512 159.1 512S184 501.3 184 488V416h-48V488zM40 488C40 501.3 50.75 512 63.1 512S88 501.3 88 488V416h-48V488zM232 488C232 501.3 242.7 512 256 512s24-10.75 24-23.1V416h-48V488zM448 192V77.25c0-8.484-3.375-16.62-9.375-22.62l-45.25-45.25C387.4 3.375 379.2 0 370.8 0H96C78.34 0 64 14.33 64 32v160C28.65 192 0 220.7 0 256v96c0 17.67 14.33 32 32 32h448c17.67 0 32-14.33 32-32V256C512 220.7 483.3 192 448 192zM384 192H128V64h229.5L384 90.51V192zM432 296c-13.25 0-24-10.75-24-24c0-13.27 10.75-24 24-24s24 10.73 24 24C456 285.3 445.3 296 432 296zM328 488C328 501.3 338.7 512 352 512s24-10.75 24-23.1V416h-48V488zM424 488C424 501.3 434.7 512 448 512s24-10.75 24-23.1V416h-48V488z"],
    "shrimp": [512, 512, [129424], "e448", "M288 320V128H64C46.34 128 32 113.6 32 96s14.34-32 32-32h368c8.844 0 16-7.156 16-16s-7.156-16-16-16H64C28.72 32 0 60.7 0 96s28.72 64 64 64h2.879c15.26 90.77 94.01 160 189.1 160H288zM192 216c-13.25 0-24-10.75-24-24c0-13.26 10.75-24 24-24s24 10.74 24 24C216 205.3 205.3 216 192 216zM225.6 399.4c-4.75 12.36 1.406 26.25 13.78 31.02l5.688 2.188C233.3 434.1 224 443.8 224 456c0 13.25 10.75 24 24 24h72v-70.03l-63.38-24.38C244.3 380.9 230.4 386.1 225.6 399.4zM511.2 286.7c-.5488-5.754-2.201-11.1-3.314-16.65l-124.6 90.62c.3711 2.404 .7383 4.814 .7383 7.322c0 1.836-.3379 3.576-.5391 5.357l90.15 40.06C500.8 379.2 515.8 334.8 511.2 286.7zM352 413.1v66.08c37.23-3.363 71.04-18.3 97.94-41.21l-80.34-35.71C364.7 407.1 358.6 410.7 352 413.1zM497.9 237.7C470.1 172.4 402.8 128 328.4 128h-8.436v192h16c12.28 0 23.36 4.748 31.85 12.33L497.9 237.7z"],
    "shuffle": [512, 512, [128256, "random"], "f074", "M424.1 287c-15.13-15.12-40.1-4.426-40.1 16.97V352H336L153.6 108.8C147.6 100.8 138.1 96 128 96H32C14.31 96 0 110.3 0 128s14.31 32 32 32h80l182.4 243.2C300.4 411.3 309.9 416 320 416h63.97v47.94c0 21.39 25.86 32.12 40.99 17l79.1-79.98c9.387-9.387 9.387-24.59 0-33.97L424.1 287zM336 160h47.97v48.03c0 21.39 25.87 32.09 40.1 16.97l79.1-79.98c9.387-9.391 9.385-24.59-.0013-33.97l-79.1-79.98c-15.13-15.12-40.99-4.391-40.99 17V96H320c-10.06 0-19.56 4.75-25.59 12.81L254 162.7L293.1 216L336 160zM112 352H32c-17.69 0-32 14.31-32 32s14.31 32 32 32h96c10.06 0 19.56-4.75 25.59-12.81l40.4-53.87L154 296L112 352z"],
    "shutters": [512, 512, [], "e449", "M488 384H24l-19.04 76.13C2.432 470.2 10.08 480 20.48 480h471c10.4 0 18.05-9.793 15.52-19.87L488 384zM32 96h448c17.66 0 32-14.34 32-32s-14.34-32-32-32H32C14.34 32 0 46.34 0 64S14.34 96 32 96zM488 128H24L4.961 204.1C2.432 214.2 10.08 224 20.48 224h471c10.4 0 18.05-9.793 15.52-19.87L488 128zM488 256H24l-19.04 76.13C2.432 342.2 10.08 352 20.48 352h471c10.4 0 18.05-9.793 15.52-19.87L488 256z"],
    "shuttle-space": [640, 512, ["space-shuttle"], "f197", "M129.1 480H128V384H352L245.2 448.1C210.4 468.1 170.6 480 129.1 480zM352 128H128V32H129.1C170.6 32 210.4 43.03 245.2 63.92L352 128zM104 128C130.2 128 153.4 140.6 168 160H456C525.3 160 591 182.7 635.2 241.6C641.6 250.1 641.6 261.9 635.2 270.4C591 329.3 525.3 352 456 352H168C153.4 371.4 130.2 384 104 384H96V480H80C53.49 480 32 458.5 32 432V384H40C17.91 384 0 366.1 0 344V168C0 145.9 17.89 128 39.96 128H32V80C32 53.49 53.49 32 80 32H96V128H104zM476.4 208C473.1 208 472 209.1 472 212.4V299.6C472 302 473.1 304 476.4 304C496.1 304 512 288.1 512 268.4V243.6C512 223.9 496.1 208 476.4 208z"],
    "shuttlecock": [512, 512, [], "f45b", "M483.1 191.1h-20c0 .8869 .0929 2.73 .0929 5.277c0 14.68-3.087 52.76-44.85 65.97l-91.14 28.75l-26.45 45.34l-77.97 36.42l-25.75-25.87l70.76-70.75l140.9-44.5c13.25-4.25 22.38-16.62 22.38-30.5V107.1c0-15.5-12.5-27.1-28.01-27.1h-94.14c-14 0-26.25 9.124-30.51 22.37L234.8 243.2L164 313.1l-25.75-25.75L174.6 210.3l45.44-26.42l28.76-91.12c13.76-43.63 54.39-44.75 68.1-44.75l2.142 .0033V27.1c0-15.37-12.63-27.1-28.01-27.1H237.3c-10.75 0-20.75 6.25-25.38 16.25l-116.5 250.2L56.19 305.8l150 149.1l39.26-39.26l250.3-116.5C505.6 295.4 512 285.5 512 274.6V219.1C512 204.6 499.4 191.1 483.1 191.1zM31.03 330.1c-20.69 20.69-31.04 47.84-31.04 74.1c0 56.66 45.53 106 106 106c27.16 0 54.32-10.35 75.01-31.04l2.637-2.607l-150-149.1L31.03 330.1z"],
    "sickle": [512, 512, [], "f822", "M129.9 308.7C123.7 302.5 113.4 302.5 107.2 308.8l-22.5 22.5c-6.25 6.25-6.25 16.5 0 22.75l2.625 2.75L9.373 434.8c-12.5 12.5-12.5 32.76 0 45.26l22.62 22.62c12.5 12.5 32.76 12.5 45.26 0l78.07-78.13l2.75 2.75c6.25 6.25 16.38 6.25 22.63 0l22.63-22.62c6.252-6.251 6.248-16.39-.009-22.63L129.9 308.7zM318 0C220.1 0 149.1 68.51 131.9 149.9c-13.9 62.44 10.83 127.2 56.94 172.3L220.9 352l35.75-34.99C217.8 253.5 232.5 167.3 304 123.1c43.58-26.95 100.7-28.68 145.7-3.957c18.7 10.14 34.99 24.11 47.75 40.93c5.179 6.8 16.04 1.854 14.4-6.429C500.1 99.65 447.4 0 318 0z"],
    "sidebar": [512, 512, [], "e24e", "M0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM224 416H448V96H224V416zM88 96C74.75 96 64 106.7 64 120C64 133.3 74.75 144 88 144H136C149.3 144 160 133.3 160 120C160 106.7 149.3 96 136 96H88zM88 240H136C149.3 240 160 229.3 160 216C160 202.7 149.3 192 136 192H88C74.75 192 64 202.7 64 216C64 229.3 74.75 240 88 240zM88 288C74.75 288 64 298.7 64 312C64 325.3 74.75 336 88 336H136C149.3 336 160 325.3 160 312C160 298.7 149.3 288 136 288H88z"],
    "sidebar-flip": [512, 512, [], "e24f", "M512 416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416zM288 96H64V416H288V96zM376 96C362.7 96 352 106.7 352 120C352 133.3 362.7 144 376 144H424C437.3 144 448 133.3 448 120C448 106.7 437.3 96 424 96H376zM448 216C448 202.7 437.3 192 424 192H376C362.7 192 352 202.7 352 216C352 229.3 362.7 240 376 240H424C437.3 240 448 229.3 448 216zM376 288C362.7 288 352 298.7 352 312C352 325.3 362.7 336 376 336H424C437.3 336 448 325.3 448 312C448 298.7 437.3 288 424 288H376z"],
    "sigma": [384, 512, [8721], "f68b", "M352 480H32c-12.94 0-24.62-7.781-29.56-19.75c-4.969-11.97-2.219-25.72 6.938-34.88l169.4-169.4L9.375 86.64C.2188 77.48-2.531 63.73 2.438 51.76C7.375 39.8 19.06 32.01 32 32.01h320c17.69 0 32 14.31 32 32v64c0 17.69-14.31 31.1-32 31.1S320 145.7 320 128v-32H109.3l137.4 137.4c12.5 12.5 12.5 32.75 0 45.25l-137.4 137.4H320v-32c0-17.69 14.31-32 31.1-32S384 366.3 384 384v64C384 465.7 369.7 480 352 480z"],
    "sign-hanging": [512, 512, ["sign"], "f4d9", "M96 0C113.7 0 128 14.33 128 32V64H480C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128H128V480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480V128H32C14.33 128 0 113.7 0 96C0 78.33 14.33 64 32 64H64V32C64 14.33 78.33 0 96 0zM448 160C465.7 160 480 174.3 480 192V352C480 369.7 465.7 384 448 384H192C174.3 384 160 369.7 160 352V192C160 174.3 174.3 160 192 160H448z"],
    "signal": [576, 512, [128246, "signal-5", "signal-perfect"], "f012", "M544 0c-17.67 0-32 14.33-32 31.1V480C512 497.7 526.3 512 544 512s32-14.33 32-31.1V31.1C576 14.33 561.7 0 544 0zM160 288C142.3 288 128 302.3 128 319.1v160C128 497.7 142.3 512 160 512s32-14.33 32-31.1V319.1C192 302.3 177.7 288 160 288zM32 384C14.33 384 0 398.3 0 415.1v64C0 497.7 14.33 512 31.1 512S64 497.7 64 480V415.1C64 398.3 49.67 384 32 384zM416 96c-17.67 0-32 14.33-32 31.1V480C384 497.7 398.3 512 416 512s32-14.33 32-31.1V127.1C448 110.3 433.7 96 416 96zM288 192C270.3 192 256 206.3 256 223.1v256C256 497.7 270.3 512 288 512s32-14.33 32-31.1V223.1C320 206.3 305.7 192 288 192z"],
    "signal-bars": [640, 512, ["signal-alt", "signal-alt-4", "signal-bars-strong"], "f690", "M240 256C213.6 256 192 277.6 192 303.1v160C192 490.4 213.6 512 239.1 512S288 490.4 288 464V303.1C288 277.6 266.4 256 240 256zM80 384C53.6 384 32 405.6 32 431.1v32C32 490.4 53.6 512 79.1 512S128 490.4 128 464v-32C128 405.6 106.4 384 80 384zM400 128C373.6 128 352 149.6 352 175.1v288C352 490.4 373.6 512 399.1 512C426.4 512 448 490.4 448 464V175.1C448 149.6 426.4 128 400 128zM560 0C533.6 0 512 21.6 512 47.1v416C512 490.4 533.6 512 559.1 512S608 490.4 608 464V47.1C608 21.6 586.4 0 560 0z"],
    "signal-bars-fair": [576, 512, ["signal-alt-2"], "f692", "M208 256C181.6 256 160 277.6 160 303.1v160C160 490.4 181.6 512 207.1 512S256 490.4 256 464V303.1C256 277.6 234.4 256 208 256zM48 384C21.6 384 0 405.6 0 431.1v32C0 490.4 21.6 512 47.1 512S96 490.4 96 464v-32C96 405.6 74.4 384 48 384z"],
    "signal-bars-good": [576, 512, ["signal-alt-3"], "f693", "M208 256C181.6 256 160 277.6 160 303.1v160C160 490.4 181.6 512 207.1 512S256 490.4 256 464V303.1C256 277.6 234.4 256 208 256zM48 384C21.6 384 0 405.6 0 431.1v32C0 490.4 21.6 512 47.1 512S96 490.4 96 464v-32C96 405.6 74.4 384 48 384zM368 128C341.6 128 320 149.6 320 175.1v288C320 490.4 341.6 512 367.1 512C394.4 512 416 490.4 416 464V175.1C416 149.6 394.4 128 368 128z"],
    "signal-bars-slash": [640, 512, ["signal-alt-slash"], "f694", "M351.1 463.1c0 26.4 21.6 48 48 48s48-21.6 48-48v-16.19l-96-75.24V463.1zM80 383.1c-26.4 0-48 21.6-48 48v31.1c0 26.4 21.6 48 48 48s48-21.6 48-48v-31.1C128 405.6 106.4 383.1 80 383.1zM630.8 469.1L607.1 451.2V48c0-26.4-21.6-48-48-48s-48 21.6-48 48v327.1l-64-50.16V175.1c0-26.4-21.6-47.1-48-47.1s-48 21.6-48 48v74.58L38.81 5.111C34.41 1.673 29.19 0 24.03 0c-7.125 0-14.19 3.158-18.91 9.189C-3.068 19.63-1.25 34.72 9.187 42.89l591.1 463.1c10.5 8.203 25.57 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1zM192 304v160C192 490.4 213.6 512 240 512S288 490.4 288 464v-141.4L213.4 264.1C200.5 272.8 192 287.4 192 304z"],
    "signal-bars-weak": [576, 512, ["signal-alt-1"], "f691", "M48 384C21.6 384 0 405.6 0 431.1v32C0 490.4 21.6 512 47.1 512S96 490.4 96 464v-32C96 405.6 74.4 384 48 384z"],
    "signal-fair": [576, 512, ["signal-2"], "f68d", "M160 288C142.3 288 128 302.3 128 319.1v160C128 497.7 142.3 512 160 512s32-14.33 32-31.1V319.1C192 302.3 177.7 288 160 288zM32 384C14.33 384 0 398.3 0 415.1v64C0 497.7 14.33 512 31.1 512S64 497.7 64 480V415.1C64 398.3 49.67 384 32 384z"],
    "signal-good": [576, 512, ["signal-3"], "f68e", "M32 384C14.33 384 0 398.3 0 415.1v64C0 497.7 14.33 512 31.1 512S64 497.7 64 480V415.1C64 398.3 49.67 384 32 384zM288 192C270.3 192 256 206.3 256 223.1v256C256 497.7 270.3 512 288 512s32-14.33 32-31.1V223.1C320 206.3 305.7 192 288 192zM160 288C142.3 288 128 302.3 128 319.1v160C128 497.7 142.3 512 160 512s32-14.33 32-31.1V319.1C192 302.3 177.7 288 160 288z"],
    "signal-slash": [640, 512, [], "f695", "M192 287.1c-17.67 0-32 14.32-32 31.1v159.1c0 17.67 14.33 32 32 32c17.67 0 32-14.33 32-32v-159.1C224 302.3 209.7 287.1 192 287.1zM64 383.1c-17.67 0-32 14.32-32 31.1v63.1c0 17.67 14.33 32 32 32c17.67 0 32-14.33 32-32v-63.1C96 398.3 81.67 383.1 64 383.1zM288 480c0 17.67 14.33 32 32 32s32-14.33 32-32v-107.4l-64-50.16V480zM630.8 469.1L607.1 451.2V32c0-17.67-14.33-32-31.1-32S543.1 14.33 543.1 32v369.1L480 350.9V128c0-17.67-14.33-32-32-32s-32 14.33-32 32v172.7l-64-50.16V224c0-17.67-14.33-32-32-32C309.3 192 300.4 197.5 294.6 205.6L38.81 5.111C34.41 1.673 29.19 0 24.03 0C16.91 0 9.84 3.158 5.121 9.189c-8.188 10.44-6.37 25.53 4.068 33.7l591.1 463.1c10.5 8.203 25.57 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1zM416 480c0 17.67 14.33 32 32 32s32-14.33 32-32v-7.102l-64-50.16V480z"],
    "signal-stream": [576, 512, [], "f8dd", "M183.7 149.1C173.8 141.2 158.6 142.2 149.8 152.2c-50.33 57.25-50.33 150.4 0 207.7c4.738 5.406 11.39 8.156 18.06 8.156c5.615 0 11.28-1.969 15.84-5.969c9.963-8.75 10.95-23.91 2.19-33.87c-34.97-39.78-34.97-104.5 0-144.3C194.7 173.9 193.7 158.7 183.7 149.1zM512.8 75.96c-11.09-13.78-31.23-15.97-44.98-4.938c-13.8 11.06-16 31.22-4.953 45C495 156.1 512 204.5 512 256c0 51.5-16.98 99.91-49.13 139.1c-11.05 13.78-8.844 33.94 4.953 45C473.7 445.7 480.8 448 487.8 448c9.375 0 18.66-4.094 24.98-11.97C553.6 385.2 576 321.3 576 256C576 190.7 553.6 126.8 512.8 75.96zM64 256c0-51.5 16.98-99.91 49.13-139.1c11.05-13.78 8.844-33.94-4.953-45c-13.75-10.97-33.89-8.812-44.98 4.938C22.44 126.8 0 190.7 0 256c0 65.28 22.44 129.2 63.19 180C69.52 443.9 78.8 448 88.17 448c7.031 0 14.09-2.312 20-7.031c13.8-11.06 16-31.22 4.953-45C80.98 355.9 64 307.5 64 256zM426.2 152.2c-8.727-9.965-23.9-10.93-33.91-2.187c-9.963 8.75-10.95 23.91-2.19 33.87c34.97 39.78 34.97 104.5 0 144.3c-8.758 9.969-7.773 25.12 2.19 33.87c4.566 4 10.21 5.969 15.84 5.969c6.678 0 13.32-2.75 18.06-8.156C476.5 302.6 476.5 209.4 426.2 152.2zM288 200C257.1 200 232 225.1 232 256S257.1 312 288 312S344 286.9 344 256S318.9 200 288 200z"],
    "signal-stream-slash": [640, 512, [], "e250", "M192.4 247.5L150 214.3c-12.1 49.99-2.779 106.2 31.83 145.6C186.6 365.3 193.2 368 199.9 368c5.615 0 11.28-1.969 15.84-5.969c9.963-8.75 10.95-23.91 2.191-33.88C198.6 306.1 190.3 276.4 192.4 247.5zM96 256c0-25.75 4.246-50.72 12.51-74.26L56.21 140.8C40.45 176.9 32 216.2 32 256c0 65.28 22.44 129.2 63.19 180C101.5 443.9 110.8 448 120.2 448c7.031 0 14.09-2.312 20-7.031c13.8-11.06 16-31.22 4.953-45C112.1 355.9 96 307.5 96 256zM630.8 469.1l-70.19-55.01C591.3 367.4 608 312.2 608 256c0-65.29-22.44-129.2-63.19-180c-11.09-13.78-31.23-15.97-44.98-4.938c-13.8 11.06-16 31.22-4.953 45C527 156.1 544 204.5 544 256c0 42.57-12.22 82.73-34.4 118.1l-39.48-30.94c37.48-57.45 33.8-138.9-11.97-191c-8.727-9.965-23.9-10.93-33.9-2.188c-9.963 8.75-10.95 23.91-2.191 33.88c31.01 35.27 34.38 90.09 10.41 129.8l-58.21-45.63C375.1 264.1 376 260.2 376 256c0-30.88-25.12-56-56-56c-8.889 0-16.92 2.68-24.38 6.389L38.81 5.113C28.34-3.059 13.31-1.246 5.109 9.191c-8.172 10.44-6.344 25.53 4.078 33.7L601.2 506.9C605.6 510.3 610.8 512 615.1 512c7.125 0 14.17-3.156 18.91-9.187C643.1 492.4 641.2 477.3 630.8 469.1z"],
    "signal-strong": [576, 512, ["signal-4"], "f68f", "M32 384C14.33 384 0 398.3 0 415.1v64C0 497.7 14.33 512 31.1 512S64 497.7 64 480V415.1C64 398.3 49.67 384 32 384zM160 288C142.3 288 128 302.3 128 319.1v160C128 497.7 142.3 512 160 512s32-14.33 32-31.1V319.1C192 302.3 177.7 288 160 288zM416 96c-17.67 0-32 14.33-32 31.1V480C384 497.7 398.3 512 416 512s32-14.33 32-31.1V127.1C448 110.3 433.7 96 416 96zM288 192C270.3 192 256 206.3 256 223.1v256C256 497.7 270.3 512 288 512s32-14.33 32-31.1V223.1C320 206.3 305.7 192 288 192z"],
    "signal-weak": [576, 512, ["signal-1"], "f68c", "M32 384C14.33 384 0 398.3 0 415.1v64C0 497.7 14.33 512 31.1 512S64 497.7 64 480V415.1C64 398.3 49.67 384 32 384z"],
    "signature": [640, 512, [], "f5b7", "M192 160C192 177.7 177.7 192 160 192C142.3 192 128 177.7 128 160V128C128 74.98 170.1 32 224 32C277 32 320 74.98 320 128V135.8C320 156.6 318.8 177.4 316.4 198.1L438.8 161.3C450.2 157.9 462.6 161.1 470.1 169.7C479.3 178.3 482.1 190.8 478.4 202.1L460.4 255.1H544C561.7 255.1 576 270.3 576 287.1C576 305.7 561.7 319.1 544 319.1H416C405.7 319.1 396.1 315.1 390 306.7C384 298.4 382.4 287.6 385.6 277.9L398.1 240.4L303.7 268.7C291.9 321.5 272.2 372.2 245.3 419.2L231.4 443.5C218.5 466.1 194.5 480 168.5 480C128.5 480 95.1 447.5 95.1 407.5V335.6C95.1 293.2 123.8 255.8 164.4 243.7L248.8 218.3C253.6 191.1 255.1 163.5 255.1 135.8V128C255.1 110.3 241.7 96 223.1 96C206.3 96 191.1 110.3 191.1 128L192 160zM160 335.6V407.5C160 412.2 163.8 416 168.5 416C171.5 416 174.4 414.4 175.9 411.7L189.8 387.4C207.3 356.6 221.4 324.1 231.8 290.3L182.8 304.1C169.3 309 160 321.5 160 335.6V335.6zM24 368H64V407.5C64 410.4 64.11 413.2 64.34 416H24C10.75 416 0 405.3 0 392C0 378.7 10.75 368 24 368zM616 416H283.5C291.7 400.3 299.2 384.3 305.9 368H616C629.3 368 640 378.7 640 392C640 405.3 629.3 416 616 416z"],
    "signature-lock": [640, 512, [], "e3ca", "M96 160C96 177.7 81.67 192 64 192C46.33 192 32 177.7 32 160V128C32 74.98 74.98 32 128 32C181 32 224 74.98 224 128V135.8C224 156.6 222.8 177.4 220.4 198.1L342.8 161.3C354.2 157.9 366.6 161.1 374.1 169.7C383.3 178.3 386.1 190.8 382.4 202.1L364.4 255.1H417.1C416.4 261.2 416 266.6 416 271.1V296.6C406.3 302.2 398.2 310.3 392.6 319.1H320C309.7 319.1 300.1 315.1 294 306.7C288 298.4 286.4 287.6 289.6 277.9L302.1 240.4L207.7 268.7C195.9 321.5 176.2 372.2 149.3 419.2L135.4 443.5C122.5 466.1 98.51 480 72.5 480C32.46 480 0 447.5 0 407.5V335.6C0 293.2 27.81 255.8 68.41 243.7L152.9 218.3C157.6 191.1 160 163.5 160 135.8V128C160 110.3 145.7 96 128 96C110.3 96 96 110.3 96 128V160zM64 335.6V407.5C64 412.2 67.8 416 72.5 416C75.55 416 78.36 414.4 79.88 411.7L93.76 387.4C111.3 356.6 125.4 324.1 135.8 290.3L86.8 304.1C73.27 309 64 321.5 64 335.6V335.6zM209.9 368H384V416H187.5C195.7 400.3 203.2 384.3 209.9 368V368zM528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320V272C448 227.8 483.8 192 528 192zM528 240C510.3 240 496 254.3 496 272V320H560V272C560 254.3 545.7 240 528 240z"],
    "signature-slash": [640, 512, [], "e3cb", "M138.9 83.55C154.9 52.91 187 32 224 32C277 32 320 74.98 320 128V135.8C320 156.6 318.8 177.4 316.4 198.1L438.8 161.4C450.2 157.9 462.6 161.1 470.1 169.7C479.3 178.3 482.1 190.8 478.4 202.1L460.4 256H544C561.7 256 576 270.3 576 288C576 305.7 561.7 320 544 320H440.6L501.8 368H616C629.3 368 640 378.7 640 392C640 405.3 629.3 416 616 416H563L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L138.9 83.55zM192.1 125.3L254.5 174.1C255.5 161.4 256 148.6 256 135.8V128C256 110.3 241.7 96 224 96C207.2 96 193.5 108.9 192.1 125.3V125.3zM355.3 253.2L385.9 277.1L398.2 240.4L355.3 253.2zM164.4 243.7L181.1 238.7L288.4 323.3C277.2 356.5 262.8 388.6 245.3 419.2L231.4 443.5C218.5 466.1 194.5 480 168.5 480C128.5 480 96 447.5 96 407.5V335.6C96 293.2 123.8 255.8 164.4 243.7V243.7zM231.8 290.3L182.8 304.1C169.3 309 160 321.5 160 335.6V407.5C160 412.2 163.8 416 168.5 416C171.5 416 174.4 414.4 175.9 411.7L189.8 387.4C207.3 356.6 221.4 324.1 231.8 290.3V290.3zM24 368H64V407.5C64 410.4 64.12 413.2 64.34 416H24C10.75 416 .0013 405.3 .0013 392C.0013 378.7 10.75 368 24 368V368z"],
    "signs-post": [512, 512, ["map-signs"], "f277", "M223.1 32C223.1 14.33 238.3 0 255.1 0C273.7 0 288 14.33 288 32H441.4C445.6 32 449.7 33.69 452.7 36.69L500.7 84.69C506.9 90.93 506.9 101.1 500.7 107.3L452.7 155.3C449.7 158.3 445.6 160 441.4 160H63.1C46.33 160 31.1 145.7 31.1 128V64C31.1 46.33 46.33 32 63.1 32L223.1 32zM480 320C480 337.7 465.7 352 448 352H70.63C66.38 352 62.31 350.3 59.31 347.3L11.31 299.3C5.065 293.1 5.065 282.9 11.31 276.7L59.31 228.7C62.31 225.7 66.38 223.1 70.63 223.1H223.1V191.1H288V223.1H448C465.7 223.1 480 238.3 480 255.1V320zM255.1 512C238.3 512 223.1 497.7 223.1 480V384H288V480C288 497.7 273.7 512 255.1 512z"],
    "sim-card": [384, 512, [], "f7c4", "M0 64v384c0 35.25 28.75 64 64 64h256c35.25 0 64-28.75 64-64V128l-128-128H64C28.75 0 0 28.75 0 64zM224 256H160V192h64V256zM320 256h-64V192h32c17.75 0 32 14.25 32 32V256zM256 384h64v32c0 17.75-14.25 32-32 32h-32V384zM160 384h64v64H160V384zM64 384h64v64H96c-17.75 0-32-14.25-32-32V384zM64 288h256v64H64V288zM64 224c0-17.75 14.25-32 32-32h32v64H64V224z"],
    "sim-cards": [448, 512, [], "e251", "M336 0H160C124.8 0 96 28.75 96 64v288c0 35.25 28.75 64 64 64h224c35.25 0 64-28.75 64-64V112L336 0zM240 144h64V192h-64V144zM160 176c0-17.75 14.25-32 32-32h16V192H160V176zM208 352H192c-17.75 0-32-14.25-32-32V304h48V352zM304 352h-64V304h64V352zM384 320c0 17.75-14.25 32-32 32h-16V304H384V320zM384 272H160V224h224V272zM384 192h-48V144H352c17.75 0 32 14.25 32 32V192zM328 512h-208C53.83 512 0 458.2 0 392v-272C0 106.8 10.75 96 24 96S48 106.8 48 120v272c0 39.7 32.3 72 72 72h208c13.25 0 24 10.75 24 24S341.3 512 328 512z"],
    "sink": [512, 512, [], "e06d", "M496 288h-96V256l64 .0002c8.838 0 16-7.164 16-15.1v-15.1c0-8.838-7.162-16-16-16L384 208c-17.67 0-32 14.33-32 32v47.1l-64 .0005v-192c0-17.64 14.36-32 32-32s32 14.36 32 32v16c0 8.836 7.164 16 16 16h32c8.838 0 16-7.164 16-16v-16c0-59.2-53.85-106-115.1-94.14C255.3 10.71 224 53.36 224 99.79v188.2L160 288V240c0-17.67-14.33-32-32-32L48 208c-8.836 0-16 7.162-16 16v15.1C32 248.8 39.16 256 48 256l64-.0002V288h-96c-8.836 0-16 7.164-16 16v32c0 8.836 7.164 16 16 16h480c8.836 0 16-7.164 16-16V304C512 295.2 504.8 288 496 288zM32 416c0 53.02 42.98 96 96 96h256c53.02 0 96-42.98 96-96v-32H32V416z"],
    "siren": [448, 512, [], "e02d", "M128.3 166.1c.25-2.125 1.375-4.125 3-5.375c1.75-1.25 3.875-1.875 6-1.5L153.1 162.2c2 .25 4 1.375 5.25 3C159.6 166.1 160.3 169.1 160 171.2L135.9 352H400l-25-200c-4-31.1-31.25-55.1-63.5-55.1h-175c-32.25 0-59.5 24-63.5 55.1L48 352h55.5L128.3 166.1zM432 384h-416C7.125 384 0 391.1 0 400v64C0 472.9 7.125 480 16 480h416c8.875 0 16-7.125 16-16v-64C448 391.1 440.9 384 432 384z"],
    "siren-on": [640, 512, [], "e02e", "M224.3 167.2c.25-2.123 1.375-4.121 3-5.371c1.75-1.248 3.875-1.873 6-1.498l15.88 2.123c2 .25 4 1.373 5.25 2.998C255.6 167.2 256.3 169.4 256 171.5l-24.12 180.6H496l-25-199.8c-4-31.97-31.25-56.06-63.5-56.06h-175c-32.25 0-59.5 24.08-63.5 56.06L144 352.1h55.5L224.3 167.2zM536 112.2c4.75 0 9.375-1.374 13.25-3.997l48-31.98c7.375-4.621 11.62-12.76 11.12-21.5c-.5-8.744-5.625-16.49-13.5-20.23c-7.75-3.748-17-2.998-24.12 1.873l-48 31.97c-8.875 5.871-12.75 16.76-9.625 26.88C516.1 105.2 525.5 112.2 536 112.2zM90.75 108.2C97.88 113.2 107.1 114.1 115 110.2C122.9 106.4 128 98.7 128.5 89.95C129 81.21 124.8 73.07 117.3 68.45l-48-31.97C62.13 31.35 52.88 30.6 45 34.35C37.13 38.22 32 45.97 31.5 54.71C31 63.45 35.25 71.59 42.75 76.21L90.75 108.2zM112 224.1c0-13.24-10.75-23.99-24-23.99h-64c-13.25 0-24 10.71-24 23.95s10.75 24.03 24 24.03h64C101.3 248.1 112 237.4 112 224.1zM616 200.1h-64c-13.25 0-24 10.75-24 23.99s10.75 23.99 24 23.99h64c13.25 0 24-10.79 24-24.03S629.3 200.1 616 200.1zM528 384.1h-416c-8.875 0-16 7.119-16 15.99v63.95C96 472.9 103.1 480 112 480h416c8.875 0 16-7.119 16-15.99v-63.95C544 391.2 536.9 384.1 528 384.1z"],
    "sitemap": [576, 512, [], "f0e8", "M208 80C208 53.49 229.5 32 256 32H320C346.5 32 368 53.49 368 80V144C368 170.5 346.5 192 320 192H312V232H464C494.9 232 520 257.1 520 288V320H528C554.5 320 576 341.5 576 368V432C576 458.5 554.5 480 528 480H464C437.5 480 416 458.5 416 432V368C416 341.5 437.5 320 464 320H472V288C472 283.6 468.4 280 464 280H312V320H320C346.5 320 368 341.5 368 368V432C368 458.5 346.5 480 320 480H256C229.5 480 208 458.5 208 432V368C208 341.5 229.5 320 256 320H264V280H112C107.6 280 104 283.6 104 288V320H112C138.5 320 160 341.5 160 368V432C160 458.5 138.5 480 112 480H48C21.49 480 0 458.5 0 432V368C0 341.5 21.49 320 48 320H56V288C56 257.1 81.07 232 112 232H264V192H256C229.5 192 208 170.5 208 144V80z"],
    "skeleton": [512, 512, [], "f620", "M496 160H288V128h144C440.9 128 448 120.9 448 112v-32C448 71.13 440.9 64 432 64H288V16C288 7.125 280.9 0 272 0h-32C231.1 0 224 7.125 224 16V64H80C71.13 64 64 71.13 64 80v32C64 120.9 71.13 128 80 128H224v32H16C7.125 160 0 167.1 0 176v32C0 216.9 7.125 224 16 224H224v32H80C71.13 256 64 263.1 64 272v32C64 312.9 71.13 320 80 320H224v32H112.1c-37.31 0-60.36 40.7-41.16 72.7l43.06 71.77C119.8 506.1 130.2 512 141.4 512h229.2c11.24 0 21.66-5.898 27.44-15.54l43.06-71.77C460.3 392.7 437.2 352 399.9 352H288v-32h144c8.875 0 16-7.125 16-16v-32C448 263.1 440.9 256 432 256H288V224h208C504.9 224 512 216.9 512 208v-32C512 167.1 504.9 160 496 160zM200 464c-13.25 0-24-10.75-24-24S186.7 416 200 416S224 426.7 224 440S213.3 464 200 464zM312 416c13.25 0 24 10.75 24 24s-10.75 24-24 24S288 453.3 288 440S298.7 416 312 416z"],
    "ski-boot": [512, 512, [], "e3cc", "M191.8 115.6l25.06-83.4L115.2 32.12c-15.25 0-28.39 10.77-31.38 25.72L40.54 274.3C112.1 249.4 168.1 191.8 191.8 115.6zM480 448v-74.33c0-13.08-7.967-24.85-20.12-29.71l-139.7-55.89L272 288.1c-8.836 0-16-7.16-16-15.99c0-8.834 7.164-15.99 16-15.99l56-.0654l8.084-32.33l9.01-31.66L288 192.2c-8.836 0-16-7.162-16-15.99c0-8.834 7.164-15.99 16-15.99l66.2-.0898l36.92-129.7c.6232-2.191 .895-4.31 .895-6.48c0-7.694-6.011-23.99-24.02-23.99c-10.47 0-20.12 7.131-23.12 17.66l-4.116 14.58L250.3 32.24l-27.82 92.58C194.7 217.3 122.7 285.6 33.38 310.1l-32.74 163.6c-.4275 2.136-.6324 4.258-.6324 6.342C.0004 497.3 13.1 512 32.01 512H480c17.67 0 32-14.33 32-31.99C512 462.3 497.7 448 480 448z"],
    "ski-boot-ski": [640, 512, [], "e3cd", "M241.5 90.75L259.1 32L186.2 32.01c-15.2 0-28.3 10.69-31.35 25.59L122.1 217.6C178.5 196.9 223.3 151.2 241.5 90.75zM616 384c-13.25 0-24 10.75-24 24c0 30.88-25.12 56-56 56h-512C10.75 464 0 474.8 0 488S10.75 512 24 512h512c57.34 0 104-46.66 104-104C640 394.8 629.3 384 616 384zM88.72 384.1C88.72 401.3 102.7 416 120.7 416L448 416c17.67 0 32-14.33 32-31.1V306.8c0-13.09-7.967-24.85-20.12-29.71L367.3 240H320C311.2 240 304 232.8 304 224c0-8.838 7.164-16 16-16h44.57l13.67-48H336C327.2 160 320 152.8 320 144C320 135.2 327.2 128 336 128h51.35l27.74-97.44c.6232-2.192 .9204-4.399 .9204-6.569c0-7.708-6.03-23.99-23.1-23.99c-10.49 0-20.11 6.893-23.11 17.44L364.8 32H292.5L272.1 99.94C249 176.7 189 232.9 114.8 253.1l-25.46 124.4C88.94 379.8 88.72 381.9 88.72 384.1z"],
    "skull": [512, 512, [128128], "f54c", "M416 400V464C416 490.5 394.5 512 368 512H320V464C320 455.2 312.8 448 304 448C295.2 448 288 455.2 288 464V512H224V464C224 455.2 216.8 448 208 448C199.2 448 192 455.2 192 464V512H144C117.5 512 96 490.5 96 464V400C96 399.6 96 399.3 96.01 398.9C37.48 357.8 0 294.7 0 224C0 100.3 114.6 0 256 0C397.4 0 512 100.3 512 224C512 294.7 474.5 357.8 415.1 398.9C415.1 399.3 416 399.6 416 400V400zM160 192C124.7 192 96 220.7 96 256C96 291.3 124.7 320 160 320C195.3 320 224 291.3 224 256C224 220.7 195.3 192 160 192zM352 320C387.3 320 416 291.3 416 256C416 220.7 387.3 192 352 192C316.7 192 288 220.7 288 256C288 291.3 316.7 320 352 320z"],
    "skull-cow": [640, 512, [], "f8de", "M52.04 54.48C49.55 61.95 48.67 69.87 49.45 77.7C52.31 106.3 76.33 128 105 128H128V224C57.21 224 0 166.1 0 95.47C0 66.44 9.875 38.05 28.05 15.33L35.51 6.006C40.35-.048 48.84-1.758 55.65 1.947C62.46 5.652 65.63 13.71 63.18 21.06L52.04 54.48zM400 96C444.2 96 480 131.8 480 176V288C480 325 454.8 356.2 420.7 365.3L393.1 475.6C387.7 497 368.5 512 346.5 512H293.5C271.5 512 252.3 497 246.9 475.6L219.3 365.3C185.2 356.2 160 325 160 288V176C160 131.8 195.8 96 240 96H400zM256 224C238.3 224 224 238.3 224 256C224 273.7 238.3 288 256 288C273.7 288 288 273.7 288 256C288 238.3 273.7 224 256 224zM384 288C401.7 288 416 273.7 416 256C416 238.3 401.7 224 384 224C366.3 224 352 238.3 352 256C352 273.7 366.3 288 384 288zM604.5 6.006L611.1 15.33C630.1 38.04 640 66.44 640 95.47C640 166.1 582.8 224 512 224V128H534.1C563.7 128 587.7 106.3 590.6 77.7C591.3 69.86 590.5 61.95 587.1 54.48L576.8 21.06C574.4 13.71 577.5 5.651 584.4 1.946C591.2-1.759 599.7-.048 604.5 6.006H604.5z"],
    "skull-crossbones": [448, 512, [128369, 9760], "f714", "M368 128C368 172.4 342.6 211.5 304 234.4V256C304 273.7 289.7 288 272 288H175.1C158.3 288 143.1 273.7 143.1 256V234.4C105.4 211.5 79.1 172.4 79.1 128C79.1 57.31 144.5 0 223.1 0C303.5 0 368 57.31 368 128V128zM167.1 176C185.7 176 199.1 161.7 199.1 144C199.1 126.3 185.7 112 167.1 112C150.3 112 135.1 126.3 135.1 144C135.1 161.7 150.3 176 167.1 176zM280 112C262.3 112 248 126.3 248 144C248 161.7 262.3 176 280 176C297.7 176 312 161.7 312 144C312 126.3 297.7 112 280 112zM3.378 273.7C11.28 257.9 30.5 251.5 46.31 259.4L223.1 348.2L401.7 259.4C417.5 251.5 436.7 257.9 444.6 273.7C452.5 289.5 446.1 308.7 430.3 316.6L295.6 384L430.3 451.4C446.1 459.3 452.5 478.5 444.6 494.3C436.7 510.1 417.5 516.5 401.7 508.6L223.1 419.8L46.31 508.6C30.5 516.5 11.28 510.1 3.378 494.3C-4.526 478.5 1.881 459.3 17.69 451.4L152.4 384L17.69 316.6C1.881 308.7-4.526 289.5 3.378 273.7V273.7z"],
    "slash": [640, 512, [], "f715", "M5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196V9.196z"],
    "slash-back": [320, 512, [], "5c", "M288 512c-11.12 0-21.91-5.781-27.81-16.12l-256-448c-8.781-15.34-3.438-34.89 11.91-43.66C31.47-4.594 51 .7656 59.78 16.12l256 448c8.781 15.34 3.438 34.89-11.91 43.66C298.9 510.6 293.4 512 288 512z"],
    "slash-forward": [320, 512, [], "2f", "M31.97 512c-5.375 0-10.84-1.359-15.84-4.219c-15.34-8.766-20.69-28.31-11.91-43.66l256-448c8.75-15.36 28.28-20.72 43.66-11.91c15.34 8.766 20.69 28.31 11.91 43.66l-256 448C53.88 506.2 43.09 512 31.97 512z"],
    "sleigh": [640, 512, [], "f7cc", "M63.1 32C66.31 32 68.56 32.24 70.74 32.71C124.1 37.61 174.2 67.59 203.4 114.3L207.7 121.1C247.7 185.1 317.8 224 393.3 224C423.5 224 448 199.5 448 169.3V128C448 110.3 462.3 96 480 96H544C561.7 96 576 110.3 576 128C576 145.7 561.7 160 544 160V256C544 309 501 352 448 352V384H384V352H192V384H128V352C74.98 352 32 309 32 256V96C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H63.1zM640 392C640 440.6 600.6 480 552 480H63.1C46.33 480 31.1 465.7 31.1 448C31.1 430.3 46.33 416 63.1 416H552C565.3 416 576 405.3 576 392V384C576 366.3 590.3 352 608 352C625.7 352 640 366.3 640 384V392z"],
    "slider": [512, 512, [], "e252", "M352 96C387.3 96 416 124.7 416 160V224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H416V352C416 387.3 387.3 416 352 416H320C284.7 416 256 387.3 256 352V160C256 124.7 284.7 96 320 96H352zM352 160H320V352H352V160zM32 224H224V288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224z"],
    "sliders": [512, 512, ["sliders-h"], "f1de", "M0 416C0 398.3 14.33 384 32 384H86.66C99 355.7 127.2 336 160 336C192.8 336 220.1 355.7 233.3 384H480C497.7 384 512 398.3 512 416C512 433.7 497.7 448 480 448H233.3C220.1 476.3 192.8 496 160 496C127.2 496 99 476.3 86.66 448H32C14.33 448 0 433.7 0 416V416zM192 416C192 398.3 177.7 384 160 384C142.3 384 128 398.3 128 416C128 433.7 142.3 448 160 448C177.7 448 192 433.7 192 416zM352 176C384.8 176 412.1 195.7 425.3 224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H425.3C412.1 316.3 384.8 336 352 336C319.2 336 291 316.3 278.7 288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H278.7C291 195.7 319.2 176 352 176zM384 256C384 238.3 369.7 224 352 224C334.3 224 320 238.3 320 256C320 273.7 334.3 288 352 288C369.7 288 384 273.7 384 256zM480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128H265.3C252.1 156.3 224.8 176 192 176C159.2 176 131 156.3 118.7 128H32C14.33 128 0 113.7 0 96C0 78.33 14.33 64 32 64H118.7C131 35.75 159.2 16 192 16C224.8 16 252.1 35.75 265.3 64H480zM160 96C160 113.7 174.3 128 192 128C209.7 128 224 113.7 224 96C224 78.33 209.7 64 192 64C174.3 64 160 78.33 160 96z"],
    "sliders-simple": [512, 512, [], "e253", "M480 320C497.7 320 512 334.3 512 352C512 369.7 497.7 384 480 384H186.5C173.4 421.3 137.8 448 96 448C42.98 448 .0003 405 .0003 352C.0003 298.1 42.98 256 96 256C137.8 256 173.4 282.7 186.5 320H480zM64 352C64 369.7 78.33 384 96 384C113.7 384 128 369.7 128 352C128 334.3 113.7 320 96 320C78.33 320 64 334.3 64 352zM325.5 128C338.6 90.71 374.2 64 416 64C469 64 512 106.1 512 160C512 213 469 256 416 256C374.2 256 338.6 229.3 325.5 192H32C14.33 192 0 177.7 0 160C0 142.3 14.33 128 32 128H325.5zM416 192C433.7 192 448 177.7 448 160C448 142.3 433.7 128 416 128C398.3 128 384 142.3 384 160C384 177.7 398.3 192 416 192z"],
    "sliders-up": [512, 512, ["sliders-v"], "f3f1", "M96 0C113.7 0 128 14.33 128 32V86.66C156.3 99 176 127.2 176 160C176 192.8 156.3 220.1 128 233.3V480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480V233.3C35.75 220.1 16 192.8 16 160C16 127.2 35.75 99 64 86.66V32C64 14.33 78.33 0 96 0V0zM96 192C113.7 192 128 177.7 128 160C128 142.3 113.7 128 96 128C78.33 128 64 142.3 64 160C64 177.7 78.33 192 96 192zM336 352C336 384.8 316.3 412.1 288 425.3V480C288 497.7 273.7 512 256 512C238.3 512 224 497.7 224 480V425.3C195.7 412.1 176 384.8 176 352C176 319.2 195.7 291 224 278.7V32C224 14.33 238.3 0 256 0C273.7 0 288 14.33 288 32V278.7C316.3 291 336 319.2 336 352zM256 384C273.7 384 288 369.7 288 352C288 334.3 273.7 320 256 320C238.3 320 224 334.3 224 352C224 369.7 238.3 384 256 384zM448 480C448 497.7 433.7 512 416 512C398.3 512 384 497.7 384 480V265.3C355.7 252.1 336 224.8 336 192C336 159.2 355.7 131 384 118.7V32C384 14.33 398.3 0 416 0C433.7 0 448 14.33 448 32V118.7C476.3 131 496 159.2 496 192C496 224.8 476.3 252.1 448 265.3V480zM416 160C398.3 160 384 174.3 384 192C384 209.7 398.3 224 416 224C433.7 224 448 209.7 448 192C448 174.3 433.7 160 416 160z"],
    "slot-machine": [640, 512, [], "e3ce", "M384 0H128C92.65 0 64 28.65 64 64h384C448 28.65 419.3 0 384 0zM592 128C565.5 128 544 149.5 544 176c0 14.16 6.246 26.76 16 35.54V416c0 17.66-14.34 32-32 32H448v-32c35.35 0 64-28.65 64-64V160c0-35.35-28.65-64-64-64H64C28.65 96 0 124.7 0 160v192c0 35.35 28.65 64 64 64v32c0 35.35 28.65 64 64 64h400c52.94 0 96-43.06 96-96V211.5C633.8 202.8 640 190.2 640 176C640 149.5 618.5 128 592 128zM166.6 208.1l-40 112C123.1 329.9 113.8 336 104 336c-2.688 0-5.406-.4375-8.062-1.406c-12.5-4.438-19-18.19-14.53-30.66L109.9 224H80C66.75 224 56 213.3 56 200S66.75 176 80 176h64c7.812 0 15.12 3.781 19.62 10.19C168.1 192.6 169.2 200.7 166.6 208.1zM310.6 208.1l-40 112C267.1 329.9 257.8 336 248 336c-2.688 0-5.406-.4375-8.062-1.406c-12.5-4.438-19-18.19-14.53-30.66L253.9 224H224C210.8 224 200 213.3 200 200S210.8 176 224 176h64c7.812 0 15.12 3.781 19.62 10.19C312.1 192.6 313.2 200.7 310.6 208.1zM392 336c-2.688 0-5.406-.4375-8.062-1.406c-12.5-4.438-19-18.19-14.53-30.66L397.9 224H368c-13.25 0-24-10.75-24-24S354.8 176 368 176h64c7.812 0 15.12 3.781 19.62 10.19c4.5 6.375 5.594 14.53 2.969 21.88l-40 112C411.1 329.9 401.8 336 392 336z"],
    "smog": [640, 512, [], "f75f", "M144 288h156.1C322.6 307.8 351.8 320 384 320s61.25-12.25 83.88-32H528C589.9 288 640 237.9 640 176s-50.13-112-112-112c-18 0-34.75 4.625-49.75 12.12C453.1 30.1 406.8 0 352 0c-41 0-77.75 17.25-104 44.75C221.8 17.25 185 0 144 0c-79.5 0-144 64.5-144 144S64.5 288 144 288zM136 464H23.1C10.8 464 0 474.8 0 487.1S10.8 512 23.1 512H136C149.2 512 160 501.2 160 488S149.2 464 136 464zM616 368h-528C74.8 368 64 378.8 64 391.1S74.8 416 87.1 416h528c13.2 0 24-10.8 24-23.1S629.2 368 616 368zM552 464H231.1C218.8 464 208 474.8 208 487.1S218.8 512 231.1 512H552c13.2 0 24-10.8 24-23.1S565.2 464 552 464z"],
    "smoke": [640, 512, [], "f760", "M144 192c9.875 0 19.5 .875 29.12 2.5C197.3 136.8 253.8 96 320 96c26.25 0 52 6.75 75.13 19.25c9.25-10.25 20.12-18.5 31.62-25.88C403.8 54.88 364.6 32 320 32C288.4 32 259.9 43.88 237.6 62.75C215.3 25.25 174.8 0 128 0C57.25 0 0 57.25 0 128c0 38.25 17.12 72.13 43.75 95.63C72.25 203.8 106.8 192 144 192zM402.4 158.8C380.1 139.9 351.6 128 320 128C268.3 128 224.1 158.8 203.9 202.8C219.5 208.5 234.5 216.3 248 226.3C277.1 204 313.1 192 352 192c54.88 0 105.1 25.88 139 69.13C503.1 257.8 515.5 256 528 256c35.5 0 67.63 13.38 92.75 34.75C632.8 271.3 640 248.6 640 224c0-70.75-57.25-128-128-128C465.3 96 424.8 121.3 402.4 158.8zM528 288c-18 0-34.75 4.625-49.75 12.12C453.1 254.1 406.8 224 352 224C311 224 274.3 241.3 248 268.8C221.8 241.3 185 224 144 224C64.5 224 0 288.5 0 368S64.5 512 144 512h384c61.88 0 112-50.13 112-112S589.9 288 528 288z"],
    "smoking": [640, 512, [128684], "f48d", "M432 352h-384C21.5 352 0 373.5 0 400v64C0 490.5 21.5 512 48 512h384c8.75 0 16-7.25 16-16v-128C448 359.3 440.8 352 432 352zM400 464H224v-64h176V464zM536 352h-48C483.6 352 480 355.6 480 360v144c0 4.375 3.625 8 8 8h48c4.375 0 8-3.625 8-8v-144C544 355.6 540.4 352 536 352zM632 352h-48C579.6 352 576 355.6 576 360v144c0 4.375 3.625 8 8 8h48c4.375 0 8-3.625 8-8v-144C640 355.6 636.4 352 632 352zM553.3 87.13C547.6 83.25 544 77.12 544 70.25V8C544 3.625 540.4 0 536 0h-48C483.6 0 480 3.625 480 8v62.25c0 22 10.25 43.5 28.62 55.5C550.8 153 576 199.5 576 249.8V280C576 284.4 579.6 288 584 288h48C636.4 288 640 284.4 640 280V249.8C640 184.3 607.6 123.5 553.3 87.13zM487.8 141.6C463.8 125 448 99.25 448 70.25V8C448 3.625 444.4 0 440 0h-48C387.6 0 384 3.625 384 8v66.38C384 118.1 408.6 156 444.3 181.1C466.8 196.8 480 222.3 480 249.8V280C480 284.4 483.6 288 488 288h48C540.4 288 544 284.4 544 280V249.8C544 206.4 523 166.3 487.8 141.6z"],
    "snake": [512, 512, [128013], "f716", "M512 111.1C512 131.6 500.9 149.5 483.4 158.3L403.6 198.2C372.8 213.6 335.6 207.6 311.2 183.2L288 159.1H176C149.5 159.1 128 181.5 128 207.1C128 234.5 149.5 255.1 176 255.1H320C390.7 255.1 448 313.3 448 384C448 454.7 390.7 512 320 512H176L175.9 512H111.6C101.3 512 91.01 510.3 81.22 507.1L15.18 485.1C6.114 482 0 473.6 0 464C0 454.4 6.114 445.1 15.18 442.9L81.22 420.9C91.01 417.7 101.3 416 111.6 416H256L256.1 416H320C337.7 416 352 401.7 352 384C352 366.3 337.7 352 320 352H176C96.47 352 32 287.5 32 207.1C32 128.5 96.47 63.1 176 63.1H288L311.2 40.77C335.6 16.42 372.8 10.39 403.6 25.79L483.4 65.69C500.9 74.46 512 92.39 512 111.1V111.1zM368 63.1C359.2 63.1 352 71.16 352 79.1C352 88.84 359.2 95.1 368 95.1C376.8 95.1 384 88.84 384 79.1C384 71.16 376.8 63.1 368 63.1zM368 159.1C376.8 159.1 384 152.8 384 143.1C384 135.2 376.8 127.1 368 127.1C359.2 127.1 352 135.2 352 143.1C352 152.8 359.2 159.1 368 159.1z"],
    "snooze": [448, 512, [128164, "zzz"], "f880", "M192 192h96c8.875 0 15.1-7.125 15.1-16v-32c0-8.875-7.125-16-16-16h-34.75l57.38-57.38C316.6 64.63 320 56.5 320 48V32c0-17.62-14.38-32-32-32H184C175.1 0 168 7.125 168 16v32c0 8.875 7.125 16 16 16h42.75L169.4 121.4C163.4 127.4 160 135.5 160 144V160C160 177.6 174.4 192 192 192zM192 223.1L39.1 224C26.75 224 15.1 234.8 15.1 248L16 296C16 309.3 26.75 320 40 320h50.5l-82.38 92.63C2.875 418.5 0 426.1 0 433.9V480c0 17.62 14.38 32 32 32h151.1c13.25 0 24-10.75 24-24L208 440C208 426.8 197.3 416 184 416H133.5l82.38-92.63C221.1 317.5 224 309.9 224 302.1V255.1C224 238.4 209.6 223.1 192 223.1zM448 272V256c0-17.62-14.38-32-32-32h-96c-8.875 0-16 7.125-16 16v32C303.1 280.9 311.1 288 320 288h34.75l-57.38 57.38C291.4 351.4 288 359.5 288 368V384c0 17.62 14.38 32 32 32h104c8.875 0 16-7.125 16-16v-32c0-8.875-7.125-16-16-16h-42.75l57.38-57.38C444.6 288.6 448 280.5 448 272z"],
    "snow-blowing": [640, 512, [], "f761", "M344 159c-6.609-11.47-21.34-15.41-32.78-8.781L294.1 160.1l.6816-2.545c2.859-10.69-3.469-21.66-14.14-24.5C270 130.2 259.1 136.5 256.2 147.2L245.2 188.4L200 214.4V156.3l30.14-30.13c7.812-7.812 7.812-20.5 0-28.31s-20.47-7.812-28.28 0L200 99.71V88C200 74.75 189.3 64 176 64S152 74.75 152 88v11.71L150.1 97.84c-7.812-7.812-20.47-7.812-28.28 0s-7.812 20.5 0 28.31L152 156.3v58.15L101.6 185.4L90.61 144.2C87.75 133.5 76.83 127.2 66.13 130c-10.67 2.844-17 13.81-14.14 24.5l.6855 2.559L42.5 151.2C31.06 144.6 16.33 148.5 9.72 160C3.095 171.5 7.016 186.2 18.5 192.8l10.18 5.875L26.11 199.3c-10.66 2.844-16.98 13.81-14.12 24.5c2.391 8.938 10.47 14.81 19.3 14.81c1.719 0 3.469-.2187 5.203-.6875l41.15-11.04L128 255.1L79.37 284.1L38.22 273C27.66 270.2 16.58 276.5 13.72 287.2c-2.859 10.69 3.469 21.66 14.12 24.5l2.566 .6875L20.23 318.2c-11.48 6.625-15.41 21.31-8.781 32.78c4.438 7.688 12.52 12 20.8 12c4.078 0 8.203-1.031 11.98-3.219l10.17-5.871l-.6855 2.559c-2.859 10.69 3.469 21.66 14.14 24.5c1.734 .4687 3.469 .6875 5.188 .6875c8.828 0 16.91-5.875 19.3-14.81l11.04-41.21L152 297.6v50.15l-30.14 30.13c-7.812 7.812-7.812 20.5 0 28.31s20.47 7.812 28.28 0L152 404.3V424C152 437.3 162.8 448 176 448s24-10.75 24-24v-19.71l1.859 1.861C205.8 410.1 210.9 412 216 412s10.23-1.938 14.14-5.844c7.812-7.812 7.812-20.5 0-28.31L200 347.7V297.6l43.43 25.07l11.04 41.21c2.391 8.938 10.47 14.81 19.3 14.81c1.719 0 3.453-.2187 5.188-.6875c10.67-2.844 17-13.81 14.14-24.5l-.6836-2.555l17.09 9.867C313.3 362.1 317.4 364 321.5 364c8.281 0 16.36-4.312 20.8-12c6.625-11.47 2.704-26.16-8.78-32.78L316.4 309.3l2.572-.6895c10.66-2.844 16.98-13.81 14.12-24.5c-2.859-10.66-13.78-17-24.5-14.12L267.4 281.1L223.1 255.1l45.17-26.08l41.17 11.05c1.734 .4687 3.484 .6875 5.203 .6875c8.828 0 16.91-5.875 19.3-14.81c2.859-10.69-3.469-21.66-14.12-24.5L318.1 201.7l17.1-9.871C346.7 185.2 350.6 170.5 344 159zM416 240h136C600.5 240 640 200.5 640 152S600.5 64 552 64H544c-17.67 0-32 14.31-32 32s14.33 32 32 32h8C565.2 128 576 138.8 576 152S565.2 176 552 176H416c-17.67 0-32 14.31-32 32S398.3 240 416 240zM552 272H416c-17.67 0-32 14.31-32 32s14.33 32 32 32h136c13.23 0 24 10.78 24 24S565.2 384 552 384H544c-17.67 0-32 14.31-32 32s14.33 32 32 32h8c48.53 0 88-39.47 88-88S600.5 272 552 272z"],
    "snowflake": [512, 512, [10054, 10052], "f2dc", "M475.6 384.1C469.7 394.3 458.9 400 447.9 400c-5.488 0-11.04-1.406-16.13-4.375l-25.09-14.64l5.379 20.29c3.393 12.81-4.256 25.97-17.08 29.34c-2.064 .5625-4.129 .8125-6.164 .8125c-10.63 0-20.36-7.094-23.21-17.84l-17.74-66.92L288 311.7l.0002 70.5l48.38 48.88c9.338 9.438 9.244 24.62-.1875 33.94C331.5 469.7 325.4 472 319.3 472c-6.193 0-12.39-2.375-17.08-7.125l-14.22-14.37L288 480c0 17.69-14.34 32-32.03 32s-32.03-14.31-32.03-32l-.0002-29.5l-14.22 14.37c-9.322 9.438-24.53 9.5-33.97 .1875c-9.432-9.312-9.525-24.5-.1875-33.94l48.38-48.88L223.1 311.7l-59.87 34.93l-17.74 66.92c-2.848 10.75-12.58 17.84-23.21 17.84c-2.035 0-4.1-.25-6.164-.8125c-12.82-3.375-20.47-16.53-17.08-29.34l5.379-20.29l-25.09 14.64C75.11 398.6 69.56 400 64.07 400c-11.01 0-21.74-5.688-27.69-15.88c-8.932-15.25-3.785-34.84 11.5-43.75l25.96-15.15l-20.33-5.508C40.7 316.3 33.15 303.1 36.62 290.3S53.23 270 66.09 273.4L132 291.3L192.5 256L132 220.7L66.09 238.6c-2.111 .5625-4.225 .8438-6.305 .8438c-10.57 0-20.27-7.031-23.16-17.72C33.15 208.9 40.7 195.8 53.51 192.3l20.33-5.508L47.88 171.6c-15.28-8.906-20.43-28.5-11.5-43.75c8.885-15.28 28.5-20.44 43.81-11.5l25.09 14.64L99.9 110.7C96.51 97.91 104.2 84.75 116.1 81.38C129.9 77.91 142.1 85.63 146.4 98.41l17.74 66.92L223.1 200.3l-.0002-70.5L175.6 80.88C166.3 71.44 166.3 56.25 175.8 46.94C185.2 37.59 200.4 37.72 209.8 47.13l14.22 14.37L223.1 32c0-17.69 14.34-32 32.03-32s32.03 14.31 32.03 32l.0002 29.5l14.22-14.37c9.307-9.406 24.51-9.531 33.97-.1875c9.432 9.312 9.525 24.5 .1875 33.94l-48.38 48.88L288 200.3l59.87-34.93l17.74-66.92c3.395-12.78 16.56-20.5 29.38-17.03c12.82 3.375 20.47 16.53 17.08 29.34l-5.379 20.29l25.09-14.64c15.28-8.906 34.91-3.75 43.81 11.5c8.932 15.25 3.785 34.84-11.5 43.75l-25.96 15.15l20.33 5.508c12.81 3.469 20.37 16.66 16.89 29.44c-2.895 10.69-12.59 17.72-23.16 17.72c-2.08 0-4.193-.2813-6.305-.8438L379.1 220.7L319.5 256l60.46 35.28l65.95-17.87C458.8 270 471.9 277.5 475.4 290.3c3.473 12.78-4.082 25.97-16.89 29.44l-20.33 5.508l25.96 15.15C479.4 349.3 484.5 368.9 475.6 384.1z"],
    "snowflakes": [640, 512, [], "f7cf", "M443.7 127.9c-8.797-15.34-28.07-20.5-43.26-11.66l-25.75 14.88l5.416-20.41c3.391-12.81-4.258-25.94-16.96-29.38c-12.62-3.438-25.6 4.188-29.02 16.97L316.3 165.3L255.7 200.6V129.9l48.61-49.02C313.6 71.55 313.5 56.36 304.2 46.98C294.9 37.61 279.9 37.66 270.6 47.03L255.7 62.06L255.9 32c0-17.69-14.36-32-31.88-32S192.3 14.31 192.3 32v30.06L177.4 47.03C168.1 37.66 153 37.61 143.7 46.98c-9.293 9.375-9.387 24.56-.0938 33.94l48.62 49.02v70.64L131.6 165.3L113.9 98.34c-3.391-12.78-16.37-20.44-29.02-16.97C72.15 84.81 64.5 97.94 67.89 110.8l5.416 20.41L47.56 116.3C32.32 107.4 13.06 112.7 4.292 127.9c-8.75 15.31-3.62 34.89 11.56 43.73l25.88 15.09L21.39 192.3c-12.68 3.438-20.25 16.61-16.86 29.42C7.382 232.4 17.1 239.4 27.6 239.4c2.045 0 3.962-.25 6.021-.8125l66.34-17.92L160.5 256L99.96 291.3L33.62 273.4C21.01 269.1 7.941 277.5 4.533 290.3c-3.391 12.81 4.172 25.98 16.86 29.42l20.34 5.505l-25.88 15.09c-15.18 8.844-20.31 28.42-11.56 43.73C10.18 394.3 20.92 400 31.89 400c5.373 0 10.68-1.375 15.67-4.281l25.75-14.88l-5.416 20.41c-3.391 12.81 4.258 25.94 16.96 29.38c2.061 .5625 4.121 .8125 6.164 .8125c10.5 0 20.01-7.062 22.86-17.78l17.76-66.91l60.63-35.32v70.64l-48.62 49.02c-9.293 9.375-9.199 24.56 .0938 33.94c9.291 9.375 24.33 9.328 33.63-.0469l14.9-15.03V480c0 17.69 14.19 32 31.71 32s31.88-14.31 31.88-32l-.1539-30.06l14.9 15.03C275.2 469.7 281.3 472 287.4 472s12.21-2.297 16.86-6.984c9.293-9.375 9.387-24.56 .0938-33.94l-48.61-49.02V311.4l60.62 35.31l17.76 66.91c2.85 10.72 12.36 17.78 22.86 17.78c2.043 0 4.104-.25 6.164-.8125c12.7-3.438 20.35-16.56 16.96-29.38l-5.416-20.41l25.75 14.88C405.4 398.6 410.7 400 416.1 400c10.96 0 21.71-5.688 27.6-15.94c8.75-15.31 3.62-34.89-11.56-43.73l-25.88-15.09l20.34-5.505c12.68-3.438 20.25-16.61 16.86-29.42c-3.408-12.81-16.45-20.38-29.09-16.94l-66.34 17.92L287.4 256l60.54-35.29l66.34 17.92c2.059 .5625 3.976 .8125 6.021 .8125c10.5 0 20.22-7.031 23.07-17.75c3.391-12.81-4.172-25.98-16.86-29.42l-20.34-5.505L432.1 171.7C447.3 162.8 452.4 143.3 443.7 127.9zM609.9 256l23.03-23.03c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0l-23.03 23.03l-23.03-23.03c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L542 256l-23.03 23.03c-9.375 9.375-9.375 24.56 0 33.94C523.7 317.7 529.8 320 535.1 320s12.28-2.344 16.97-7.031l23.03-23.03l23.03 23.03C603.7 317.7 609.8 320 615.1 320s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94L609.9 256zM543.1 97.94l23.03 23.03C571.7 125.7 577.8 128 583.1 128s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94L577.9 64l23.03-23.03c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0l-23.03 23.03l-23.03-23.03c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L510 64l-23.03 23.03c-9.375 9.375-9.375 24.56 0 33.94C491.7 125.7 497.8 128 503.1 128s12.28-2.344 16.97-7.031L543.1 97.94z"],
    "snowman": [512, 512, [9924, 9731], "f7d0", "M510.9 152.3l-5.875-14.5c-3.25-8-12.62-11.88-20.75-8.625l-28.25 11.5v-29C455.1 103 448.7 96 439.1 96h-16c-8.75 0-16 7-16 15.62V158.5c0 .5 .25 1 .25 1.5l-48.98 20.6c-5.291-12.57-12.98-23.81-22.24-33.55c9.35-14.81 14.98-32.23 14.98-51.04C351.1 42.98 309 0 255.1 0S160 42.98 160 95.1c0 18.81 5.626 36.23 14.98 51.04C165.7 156.8 158.1 168.1 152.8 180.7L103.8 160c0-.5 .25-1 .25-1.5V111.6C104 103 96.76 96 88.01 96h-16c-8.75 0-16 7-16 15.62v29l-28.25-11.5c-8.125-3.25-17.5 .625-20.75 8.625l-5.875 14.5C-2.119 160.4 1.881 169.5 10.01 172.6L144.4 228.4C144.9 240.8 147.3 252.7 151.5 263.7c-33.78 29.34-55.53 72.04-55.53 120.3c0 52.59 25.71 98.84 64.88 128h190.2c39.17-29.17 64.88-75.42 64.88-128c0-48.25-21.76-90.95-55.53-120.3c4.195-11.03 6.599-22.89 7.091-35.27l134.4-55.8C510.1 169.5 514.1 160.4 510.9 152.3zM224 95.1c-8.75 0-15.1-7.25-15.1-15.1s7.25-15.1 15.1-15.1s15.1 7.25 15.1 15.1S232.8 95.1 224 95.1zM256 367.1c-8.75 0-15.1-7.25-15.1-15.1S247.3 335.1 256 335.1s15.1 7.25 15.1 15.1S264.8 367.1 256 367.1zM256 303.1c-8.75 0-15.1-7.25-15.1-15.1S247.3 271.1 256 271.1s15.1 7.25 15.1 15.1S264.8 303.1 256 303.1zM256 239.1c-8.75 0-15.1-7.25-15.1-15.1S247.3 207.1 256 207.1s15.1 7.25 15.1 15.1S264.8 239.1 256 239.1zM256 152c0 0-15.1-23.25-15.1-32S247.3 104 256 104s15.1 7.25 15.1 16S256 152 256 152zM287.1 95.1c-8.75 0-15.1-7.25-15.1-15.1s7.25-15.1 15.1-15.1s15.1 7.25 15.1 15.1S296.7 95.1 287.1 95.1z"],
    "snowman-head": [448, 512, ["frosty-head"], "f79b", "M384 32c0-17.6-14.4-32-32-32H96c-17.6 0-32 14.4-32 32v128h320V32zM448 208c0-8.836-7.164-16-16-16h-416c-8.836 0-16 7.164-16 16c0 26.51 21.49 48 48 48h10.38C41.87 284.3 32 316.9 32 352c0 57.28 25.11 108.7 64.89 143.8C108.7 506.3 123.1 512 139.8 512h168.5c15.54 0 30.68-5.508 42.35-15.76c49.72-43.66 76.71-112.6 60.8-186.7C407.3 290.4 399.8 272.5 390.1 256h9.934C426.5 256 448 234.5 448 208zM152 336c-13.38 0-24.07-10.84-24.07-24.07C127.1 298.7 138.8 288 152 288s23.93 10.84 23.93 23.93C175.1 325.2 165.1 336 152 336zM224 448c0 0-32-46.25-32-64s14.25-32 31.1-32s32 14.25 32 32S224 448 224 448zM295.9 336c-13.23 0-23.93-10.84-23.93-24.07C272 298.7 282.8 288 295.9 288c13.37 0 24.07 10.84 24.07 23.93C320.1 325.2 309.3 336 295.9 336z"],
    "snowplow": [640, 512, [], "f7d2", "M144 400C144 413.3 133.3 424 120 424C106.7 424 96 413.3 96 400C96 386.7 106.7 376 120 376C133.3 376 144 386.7 144 400zM336 400C336 386.7 346.7 376 360 376C373.3 376 384 386.7 384 400C384 413.3 373.3 424 360 424C346.7 424 336 413.3 336 400zM304 400C304 413.3 293.3 424 280 424C266.7 424 256 413.3 256 400C256 386.7 266.7 376 280 376C293.3 376 304 386.7 304 400zM176 400C176 386.7 186.7 376 200 376C213.3 376 224 386.7 224 400C224 413.3 213.3 424 200 424C186.7 424 176 413.3 176 400zM447.4 249.6C447.8 251.9 448.1 254.3 448 256.7V288H512V235.2C512 220.7 516.9 206.6 526 195.2L583 124C594.1 110.2 614.2 107.1 627.1 119C641.8 130.1 644 150.2 632.1 163.1L576 235.2V402.7L630.6 457.4C643.1 469.9 643.1 490.1 630.6 502.6C618.1 515.1 597.9 515.1 585.4 502.6L530.7 448C518.7 435.1 512 419.7 512 402.7V352H469.2C476.1 366.5 480 382.8 480 400C480 461.9 429.9 512 368 512H112C50.14 512 0 461.9 0 400C0 355.3 26.16 316.8 64 298.8V192C64 174.3 78.33 160 96 160H128V48C128 21.49 149.5 0 176 0H298.9C324.5 0 347.6 15.26 357.7 38.79L445.1 242.7C446.1 244.9 446.9 247.2 447.4 249.6H447.4zM298.9 64H192V160L256 224H367.5L298.9 64zM368 352H112C85.49 352 64 373.5 64 400C64 426.5 85.49 448 112 448H368C394.5 448 416 426.5 416 400C416 373.5 394.5 352 368 352z"],
    "soap": [512, 512, [129532], "e06e", "M320 256c35.35 0 64-28.65 64-64c0-35.35-28.65-64-64-64s-64 28.65-64 64C256 227.3 284.7 256 320 256zM160 288c-35.35 0-64 28.65-64 64c0 35.35 28.65 64 64 64h192c35.35 0 64-28.65 64-64c0-35.35-28.65-64-64-64H160zM384 64c17.67 0 32-14.33 32-32c0-17.67-14.33-32-32-32s-32 14.33-32 32C352 49.67 366.3 64 384 64zM208 96C234.5 96 256 74.51 256 48S234.5 0 208 0S160 21.49 160 48S181.5 96 208 96zM416 192c0 27.82-12.02 52.68-30.94 70.21C421.7 275.7 448 310.7 448 352c0 53.02-42.98 96-96 96H160c-53.02 0-96-42.98-96-96s42.98-96 96-96h88.91C233.6 238.1 224 216.7 224 192H96C42.98 192 0 234.1 0 288v128c0 53.02 42.98 96 96 96h320c53.02 0 96-42.98 96-96V288C512 234.1 469 192 416 192z"],
    "socks": [576, 512, [129510], "f696", "M319.1 32c0-11 3.125-21.25 8-30.38C325.4 .8721 322.9 0 319.1 0H192C174.4 0 159.1 14.38 159.1 32l.0042 32h160L319.1 32zM246.6 310.1l73.36-55l.0026-159.1h-160l-.0042 175.1l-86.64 64.61c-39.38 29.5-53.86 84.4-29.24 127c18.25 31.62 51.1 48.36 83.97 48.36c20 0 40.26-6.225 57.51-19.22l21.87-16.38C177.6 421 193.9 350.6 246.6 310.1zM351.1 271.1l-86.13 64.61c-39.37 29.5-53.86 84.4-29.23 127C254.9 495.3 287.2 512 320.1 512c20 0 40.25-6.25 57.5-19.25l115.2-86.38C525 382.3 544 344.2 544 303.1v-207.1h-192L351.1 271.1zM512 0h-128c-17.62 0-32 14.38-32 32l-.0003 32H544V32C544 14.38 529.6 0 512 0z"],
    "soft-serve": [384, 512, [127846, "creemee"], "e400", "M320 128C320 139.8 316.8 150.9 311.2 160.4C343.2 163.1 368 191.1 368 224C368 259.3 339.3 288 304 288H80C44.65 288 16 259.3 16 224C16 191.1 40.84 163.1 72.8 160.4C67.21 150.9 64 139.8 64 128C64 92.65 92.65 64 128 64H174.1C192.8 64 208 48.8 208 30.06C208 21.06 204.4 12.42 198.1 6.059L192 0C262.7 0 320 57.31 320 128zM48 352V320H336V352C336 369.7 321.7 384 304 384H302.2L291.2 483.5C289.4 499.7 275.7 512 259.4 512H124.6C108.3 512 94.64 499.7 92.84 483.5L81.78 384H80C62.33 384 48 369.7 48 352H48z"],
    "solar-panel": [640, 512, [], "f5ba", "M575.4 25.72C572.4 10.78 559.2 0 543.1 0H96c-15.25 0-28.39 10.78-31.38 25.72l-63.1 320c-1.891 9.406 .5469 19.16 6.625 26.56S22.41 384 32 384h255.1v64.25H239.8c-26.26 0-47.75 21.49-47.75 47.75c0 8.844 7.168 16.01 16.01 16l223.1-.1667c8.828-.0098 15.99-7.17 15.99-16C447.1 469.5 426.6 448 400.2 448h-48.28v-64h256c9.594 0 18.67-4.312 24.75-11.72s8.516-17.16 6.625-26.56L575.4 25.72zM517.8 64l19.2 96h-97.98L429.2 64H517.8zM380.1 64l9.617 96H250l9.873-96H380.1zM210.8 64L201 160H103.1l19.18-96H210.8zM71.16 320l22.28-112h102.7L184.6 320H71.16zM233.8 320l11.37-112h149.7L406.2 320H233.8zM455.4 320l-11.5-112h102.7l22.28 112H455.4z"],
    "solar-system": [512, 512, [], "e02f", "M391.8 120.3c-16.62-16.62-42.01-17.62-60.76-4.743c-23.5-12.5-49.1-19.51-74.97-19.51c-72.37 0-135.8 48.63-154.5 118.6c-18.75 69.87 11.75 143.7 74.5 179.1c62.75 36.12 142 25.75 193.1-25.49c50.1-50.1 59.62-127.6 27.37-188.1C409.4 162.3 408.4 136.9 391.8 120.3zM335.2 335.2c-40.87 41.62-106.9 45.01-151.9 7.891C138.4 305.1 129.3 240.5 162.5 192.5c33.12-47.1 97.49-62.6 148.2-33.73c1 10.75 5.011 21.23 13.14 29.35c8.125 8.124 18.63 12.13 29.26 13.13C377.1 244 371.5 298.9 335.2 335.2zM255.1 192c-35.37 0-63.1 28.63-63.1 63.1S220.6 319.1 256 319.1S320 291.4 320 256S291.4 192 255.1 192zM336.9 447.6c-77.1 32.87-168.1 15.22-228-44.53c-69.5-69.62-79.25-176.5-29.5-256.7C104.9 152.4 131.1 139.9 142.6 116.4c11.38-23.62 4.1-51.87-15.37-68.24C106.9 31.77 77.88 31.64 57.38 47.89C36.88 64.14 30.25 92.53 41.62 116c-64.1 99.37-53.91 233.7 33.34 320.1c76.12 76.37 191.9 96.62 289.4 50.62c-2.125-1.75-4.529-3.25-6.529-5.375C348.2 472.5 341.1 460.8 336.9 447.6zM437.1 75c-76.12-76.37-191.1-96.61-289.5-50.62c2.125 1.75 4.527 3.249 6.527 5.374c9.625 9.749 16.73 21.49 20.98 34.61c77.1-32.87 168.1-15.22 228 44.53c69.5 69.62 79.25 176.5 29.5 256.7c-25.5-5.1-51.74 6.502-63.24 30c-11.38 23.62-5 51.87 15.37 68.24c20.37 16.37 49.37 16.5 69.87 .25s27.13-44.63 15.75-68.13C535.4 296.6 524.3 162.2 437.1 75z"],
    "sort": [320, 512, ["unsorted"], "f0dc", "M27.66 224h264.7c24.6 0 36.89-29.78 19.54-47.12l-132.3-136.8c-5.406-5.406-12.47-8.107-19.53-8.107c-7.055 0-14.09 2.701-19.45 8.107L8.119 176.9C-9.229 194.2 3.055 224 27.66 224zM292.3 288H27.66c-24.6 0-36.89 29.77-19.54 47.12l132.5 136.8C145.9 477.3 152.1 480 160 480c7.053 0 14.12-2.703 19.53-8.109l132.3-136.8C329.2 317.8 316.9 288 292.3 288z"],
    "sort-down": [320, 512, ["sort-desc"], "f0dd", "M311.9 335.1l-132.4 136.8C174.1 477.3 167.1 480 160 480c-7.055 0-14.12-2.702-19.47-8.109l-132.4-136.8C-9.229 317.8 3.055 288 27.66 288h264.7C316.9 288 329.2 317.8 311.9 335.1z"],
    "sort-up": [320, 512, ["sort-asc"], "f0de", "M27.66 224h264.7c24.6 0 36.89-29.78 19.54-47.12l-132.3-136.8c-5.406-5.406-12.47-8.107-19.53-8.107c-7.055 0-14.09 2.701-19.45 8.107L8.119 176.9C-9.229 194.2 3.055 224 27.66 224z"],
    "spa": [576, 512, [], "f5bb", "M568.3 192c-29 .125-135 6.124-213.9 82.1C321.2 304.7 301 338.3 288 369.9c-13-31.63-33.25-65.25-66.38-94.87C142.8 198.2 36.75 192.2 7.75 192C3.375 192 0 195.4 0 199.9c.25 27.88 7.125 126.2 88.75 199.3C172.8 481 256 479.1 288 479.1s115.2 1.025 199.3-80.85C568.9 326 575.8 227.7 576 199.9C576 195.4 572.6 192 568.3 192zM288 302.6c12.75-18.87 27.62-35.75 44.13-50.5c19-18.62 39.5-33.37 60.25-45.25c-16.5-70.5-51.75-133-96.75-172.3c-4.125-3.5-11-3.5-15.12 0c-45 39.25-80.25 101.6-96.75 172.1c20.37 11.75 40.5 26.12 59.25 44.37C260 266.4 275.1 283.7 288 302.6z"],
    "space-station-moon": [512, 512, [], "e033", "M224 160C224 177.7 209.7 192 192 192C174.3 192 160 177.7 160 160C160 142.3 174.3 128 192 128C209.7 128 224 142.3 224 160zM512 256C512 263.8 511.7 271.5 510.1 279.1C438.8 304.7 351.2 320 256 320C160.8 320 73.15 304.7 1.027 279.1C.3472 271.5 0 263.8 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256V256zM192 80C147.8 80 112 115.8 112 160C112 204.2 147.8 240 192 240C236.2 240 272 204.2 272 160C272 115.8 236.2 80 192 80zM256 512C134.9 512 33.38 427.9 6.794 314.8C79.44 338.4 164.7 352 256 352C347.3 352 432.6 338.4 505.2 314.8C478.6 427.9 377.1 512 256 512V512z"],
    "space-station-moon-construction": [512, 512, ["space-station-moon-alt"], "e034", "M160 160C160 142.3 174.3 128 192 128C209.7 128 224 142.3 224 160C224 177.7 209.7 192 192 192C174.3 192 160 177.7 160 160zM256 320C160.8 320 73.15 304.7 1.027 279.1C.3472 271.5 0 263.8 0 256C0 114.6 114.6 0 256 0C316.5 0 372.2 21.02 416 56.15V96H352V160H448V224H510C511.3 234.5 512 245.2 512 256C512 263.8 511.7 271.5 510.1 279.1C438.8 304.7 351.2 320 256 320zM192 240C236.2 240 272 204.2 272 160C272 115.8 236.2 80 192 80C147.8 80 112 115.8 112 160C112 204.2 147.8 240 192 240zM256 352C300.3 352 343.3 348.8 384 342.8V384H448V425.3C401.1 478.5 332.5 512 256 512C134.9 512 33.38 427.9 6.794 314.8C79.44 338.4 164.7 352 256 352z"],
    "spade": [512, 512, [9824], "f2f4", "M472 196.3C523.4 244.9 525.5 325.1 476.9 377.3C428.3 428.6 347.3 430.8 295.1 382.2L288 374.6V448H320C337.7 448 352 462.3 352 480C352 497.7 337.7 512 320 512H192C174.3 512 160 497.7 160 480C160 462.3 174.3 448 192 448H224V374.6L216 382.2C164.7 430.8 83.69 428.6 35.07 377.3C-13.54 325.1-11.35 244.9 39.97 196.3L233.1 12.53C246.3 .8427 265.7 .843 278 12.53L472 196.3z"],
    "spaghetti-monster-flying": [640, 512, ["pastafarianism"], "f67b", "M624.5 347.7c-32.63-12.5-57.38 4.241-75.38 16.49c-17 11.5-23.25 14.37-31.38 11.37c-8.125-3.125-10.88-9.358-15.88-29.36c-3.375-13.12-7.5-29.47-18-42.72c2.25-3 4.5-5.875 6.375-8.625C500.5 304.5 513.8 312 532 312c33.1 0 50.87-25.75 61.1-42.88C604.6 253 609 248 616 248C629.3 248 640 237.3 640 224s-10.75-24-24-24c-34 0-50.88 25.75-62 42.88C543.4 259 539 264 532 264c-17.25 0-37.5-61.38-97.25-101.9L452 127.6C485.4 125.5 512 97.97 512 63.97C512 28.6 483.4 0 448 0s-64 28.6-64 63.97c0 13 4 25.15 10.62 35.28L376.5 135.5C359.5 130.9 340.9 128 320 128S280.5 130.9 263.5 135.5L245.4 99.25C252 89.13 256 76.97 256 63.97C256 28.6 227.4 0 192 0S128 28.6 128 63.97C128 97.97 154.5 125.5 188 127.6l17.25 34.5C145.6 202.5 125.1 264 108 264c-7 0-11.31-5-21.94-21.12C74.94 225.8 57.1 200 24 200C10.75 200 0 210.8 0 224s10.75 24 24 24c7 0 11.37 5 21.1 21.12C57.12 286.3 73.1 312 108 312c18.25 0 31.5-7.5 41.75-17.12C151.6 297.6 153.9 300.5 156.1 303.5c-10.5 13.25-14.62 29.59-18 42.72c-5 20-7.75 26.23-15.88 29.36c-8.125 3-14.37 .1314-31.37-11.37c-18.12-12.25-42.75-28.87-75.38-16.49c-12.38 4.75-18.62 18.61-13.88 30.98c4.625 12.38 18.62 18.62 30.88 13.87C40.75 389.6 46.88 392.4 64 403.9c13.5 9.125 30.75 20.86 52.38 20.86c7.125 0 14.88-1.248 23-4.373c32.63-12.5 40-41.34 45.25-62.46c2.25-8.75 4-14.49 6-18.86c16.62 13.62 37 25.86 61.63 34.23C242.3 410.3 220.1 464 192 464c-13.25 0-24 10.74-24 23.99S178.8 512 192 512c66.75 0 97-88.55 107.4-129.1C306.1 383.6 312.9 384 320 384s13.88-.4706 20.62-1.096C351 423.4 381.3 512 448 512c13.25 0 24-10.74 24-23.99S461.3 464 448 464c-28 0-50.25-53.74-60.25-90.74c24.75-8.375 45-20.56 61.63-34.19c2 4.375 3.75 10.11 6 18.86c5.375 21.12 12.62 49.96 45.25 62.46c8.25 3.125 15.88 4.373 23 4.373c21.62 0 38.83-11.74 52.46-20.86c17-11.5 23.29-14.37 31.42-11.37c12.38 4.75 26.25-1.492 30.88-13.87C643.1 366.3 637 352.5 624.5 347.7zM192 79.97c-8.875 0-16-7.125-16-16S183.1 47.98 192 47.98s16 7.118 16 15.99S200.9 79.97 192 79.97zM448 47.98c8.875 0 16 7.118 16 15.99s-7.125 16-16 16s-16-7.125-16-16S439.1 47.98 448 47.98z"],
    "sparkles": [512, 512, [10024], "f890", "M327.5 85.19L384 64L405.2 7.491C406.9 2.985 411.2 0 416 0C420.8 0 425.1 2.985 426.8 7.491L448 64L504.5 85.19C509 86.88 512 91.19 512 96C512 100.8 509 105.1 504.5 106.8L448 128L426.8 184.5C425.1 189 420.8 192 416 192C411.2 192 406.9 189 405.2 184.5L384 128L327.5 106.8C322.1 105.1 320 100.8 320 96C320 91.19 322.1 86.88 327.5 85.19V85.19zM257.8 187.3L371.8 240C377.5 242.6 381.1 248.3 381.1 254.6C381.1 260.8 377.5 266.5 371.8 269.1L257.8 321.8L205.1 435.8C202.5 441.5 196.8 445.1 190.6 445.1C184.3 445.1 178.6 441.5 176 435.8L123.3 321.8L9.292 269.1C3.627 266.5 0 260.8 0 254.6C0 248.3 3.627 242.6 9.292 240L123.3 187.3L176 73.29C178.6 67.63 184.3 64 190.6 64C196.8 64 202.5 67.63 205.1 73.29L257.8 187.3zM405.2 327.5C406.9 322.1 411.2 320 416 320C420.8 320 425.1 322.1 426.8 327.5L448 384L504.5 405.2C509 406.9 512 411.2 512 416C512 420.8 509 425.1 504.5 426.8L448 448L426.8 504.5C425.1 509 420.8 512 416 512C411.2 512 406.9 509 405.2 504.5L384 448L327.5 426.8C322.1 425.1 320 420.8 320 416C320 411.2 322.1 406.9 327.5 405.2L384 384L405.2 327.5z"],
    "speaker": [384, 512, [], "f8df", "M336 0h-288C21.5 0 0 21.5 0 48v416C0 490.5 21.5 512 48 512h288c26.5 0 48-21.5 48-48v-416C384 21.5 362.5 0 336 0zM192 64c26.5 0 48 21.5 48 48S218.5 160 192 160S144 138.5 144 112S165.5 64 192 64zM192 448c-61.81 0-112-50.17-112-112S130.2 224 192 224s112 50.17 112 112S253.8 448 192 448zM192 272c-35.31 0-64 28.67-64 64s28.69 64 64 64s64-28.67 64-64S227.3 272 192 272z"],
    "speakers": [640, 512, [], "f8e0", "M112 336c0 35.33 28.69 64 64 64s64-28.67 64-64s-28.69-64-64-64S112 300.7 112 336zM256 48C256.1 33.22 263.4 11.72 272.4 0H48C21.5 0 0 21.5 0 48v416C0 490.5 21.5 512 48 512h224.4C263.4 500.3 256.1 478.8 256 464v-49.79C237.8 432.9 201.1 448 175.9 448c-61.84 0-112-50.17-112-112s50.16-112 112-112C201.1 224 237.8 239.1 256 257.8V48zM176 160C149.5 160 128 138.5 128 112S149.5 64 176 64S224 85.5 224 112S202.5 160 176 160zM592 0h-256C309.5 0 288 21.5 288 48v416c0 26.5 21.5 48 48 48h256c26.5 0 48-21.5 48-48v-416C640 21.5 618.5 0 592 0zM464 64C490.5 64 512 85.5 512 112S490.5 160 464 160S416 138.5 416 112S437.5 64 464 64zM464 448c-61.81 0-112-50.17-112-112S402.2 224 464 224S576 274.2 576 336S525.8 448 464 448zM464 272c-35.31 0-64 28.67-64 64s28.69 64 64 64s64-28.67 64-64S499.3 272 464 272z"],
    "spell-check": [576, 512, [], "f891", "M566.6 265.4c-12.5-12.5-32.75-12.5-45.25 0L352 434.8l-73.38-73.38c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25l96 96c6.25 6.25 14.44 9.368 22.62 9.368s16.38-3.118 22.63-9.368l192-192C579.1 298.1 579.1 277.9 566.6 265.4zM221.5 211.7l-80-192C136.6 7.796 124.9 .0147 112 .0147S87.44 7.796 82.47 19.7l-80 192C-4.328 228 3.375 246.8 19.69 253.5c16.36 6.812 35.06-.9375 41.84-17.22l5.131-12.31h90.68l5.131 12.31c5.109 12.28 17.02 19.69 29.55 19.69c4.094 0 8.266-.7812 12.3-2.469C220.6 246.8 228.3 228 221.5 211.7zM93.33 160L112 115.2l18.67 44.81H93.33zM288 256h80c44.11 0 80-35.87 80-79.1c0-23.15-10.03-43.85-25.79-58.47C428.3 106.3 432 93.65 432 80.01c0-44.13-35.89-80-79.1-80L288 .0147c-17.67 0-32 14.31-32 31.1v192C256 241.7 270.3 256 288 256zM320 64.01h32c8.828 0 16 7.188 16 16s-7.172 16-16 16h-32V64.01zM320 160h48c8.828 0 16 7.188 16 16s-7.172 16-16 16H320V160z"],
    "spider": [576, 512, [128375], "f717", "M563.3 401.6c2.608 8.443-2.149 17.4-10.62 19.1l-15.35 4.709c-8.48 2.6-17.47-2.139-20.08-10.59L493.2 338l-79.79-31.8l53.47 62.15c5.08 5.904 6.972 13.89 5.08 21.44l-28.23 110.1c-2.151 8.57-10.87 13.78-19.47 11.64l-15.58-3.873c-8.609-2.141-13.84-10.83-11.69-19.4l25.2-98.02l-38.51-44.77c.1529 2.205 .6627 4.307 .6627 6.549c0 53.02-43.15 96-96.37 96S191.6 405 191.6 352c0-2.242 .5117-4.34 .6627-6.543l-38.51 44.76l25.2 98.02c2.151 8.574-3.084 17.26-11.69 19.4l-15.58 3.873c-8.603 2.141-17.32-3.072-19.47-11.64l-28.23-110.1c-1.894-7.543 0-15.53 5.08-21.44l53.47-62.15l-79.79 31.8l-24.01 77.74c-2.608 8.447-11.6 13.19-20.08 10.59l-15.35-4.709c-8.478-2.6-13.23-11.55-10.63-19.1l27.4-88.69c2.143-6.939 7.323-12.54 14.09-15.24L158.9 256l-104.7-41.73C47.43 211.6 42.26 205.1 40.11 199.1L12.72 110.4c-2.608-8.443 2.149-17.4 10.62-19.1l15.35-4.709c8.48-2.6 17.47 2.139 20.08 10.59l24.01 77.74l79.79 31.8L109.1 143.6C104 137.7 102.1 129.7 104 122.2l28.23-110.1c2.151-8.57 10.87-13.78 19.47-11.64l15.58 3.873C175.9 6.494 181.1 15.18 178.1 23.76L153.8 121.8L207.7 184.4l.1542-24.44C206.1 123.4 228.9 91.77 261.4 80.43c5.141-1.793 10.5 2.215 10.5 7.641V112h32.12V88.09c0-5.443 5.394-9.443 10.55-7.641C345.9 91.39 368.3 121 368.3 155.9c0 1.393-.1786 2.689-.2492 4.064L368.3 184.4l53.91-62.66l-25.2-98.02c-2.151-8.574 3.084-17.26 11.69-19.4l15.58-3.873c8.603-2.141 17.32 3.072 19.47 11.64l28.23 110.1c1.894 7.543 0 15.53-5.08 21.44l-53.47 62.15l79.79-31.8l24.01-77.74c2.608-8.447 11.6-13.19 20.08-10.59l15.35 4.709c8.478 2.6 13.23 11.55 10.63 19.1l-27.4 88.69c-2.143 6.939-7.323 12.54-14.09 15.24L417.1 256l104.7 41.73c6.754 2.691 11.92 8.283 14.07 15.21L563.3 401.6z"],
    "spider-black-widow": [576, 512, [], "f718", "M535.9 312.9c-2.141-6.928-7.311-12.52-14.07-15.21L417.1 256l104.7-41.72c6.768-2.697 11.95-8.299 14.09-15.24l27.4-88.69c2.608-8.443-2.149-17.4-10.63-19.1l-15.35-4.709c-8.48-2.6-17.47 2.139-20.08 10.59l-24.01 77.74l-79.79 31.8l53.47-62.15c5.08-5.904 6.974-13.89 5.08-21.44L443.8 12.12c-2.151-8.57-10.87-13.78-19.47-11.64l-15.58 3.873c-8.607 2.141-13.84 10.83-11.69 19.4l25.2 98.02L368.3 184.4L368.1 160c.0706-1.375 .2491-2.672 .2491-4.064c0-34.89-22.42-64.55-53.7-75.49c-5.154-1.803-10.55 2.197-10.55 7.641V112H271.9V88.07c0-5.426-5.36-9.434-10.5-7.641C228.9 91.77 206.2 123.4 208 160L207.7 184.4l-53.91-62.66l25.2-98.02C181.1 15.18 175.9 6.494 167.3 4.354L151.7 .4805C143.1-1.66 134.4 3.553 132.2 12.12L104 122.2c-1.892 7.543 0 15.53 5.08 21.44l53.47 62.15L82.78 173.1L58.77 96.23C56.16 87.79 47.17 83.05 38.69 85.65l-15.35 4.709C14.86 92.96 10.11 101.9 12.72 110.4l27.4 88.71c2.141 6.928 7.311 12.52 14.07 15.21L158.9 256l-104.7 41.72C47.43 300.4 42.25 306 40.11 312.1l-27.4 88.69c-2.608 8.443 2.149 17.4 10.63 19.1l15.35 4.709c8.48 2.6 17.47-2.139 20.08-10.59l24.01-77.74l79.79-31.8l-53.47 62.15c-5.08 5.904-6.974 13.89-5.08 21.44l28.23 110.1c2.151 8.57 10.87 13.78 19.47 11.64l15.58-3.873c8.607-2.141 13.84-10.83 11.69-19.4l-25.2-98.02l38.51-44.76C192.1 347.7 191.6 349.8 191.6 352c0 53.02 43.15 96 96.37 96S384.4 405 384.4 352c0-2.242-.5098-4.344-.6627-6.549l38.51 44.77l-25.2 98.02c-2.153 8.574 3.082 17.26 11.69 19.4l15.58 3.873c8.605 2.141 17.32-3.072 19.47-11.64l28.23-110.1c1.892-7.543 0-15.53-5.08-21.44l-53.47-62.15l79.79 31.8l24.01 77.74c2.61 8.447 11.6 13.19 20.08 10.59l15.35-4.709c8.476-2.6 13.23-11.55 10.62-19.1L535.9 312.9zM326.5 371.3C330.5 376.5 326.8 384 320.1 384H255.9c-6.65 0-10.41-7.5-6.394-12.75L275.1 336L249.5 300.8C245.5 295.5 249.2 288 255.9 288h64.2c6.65 0 10.41 7.5 6.395 12.75L300 336L326.5 371.3z"],
    "spider-web": [576, 512, [128376], "f719", "M133.8 22.17C138.6 9.433 151.8 1.972 165.2 4.478L234.2 17.42C269.8 24.09 306.2 24.09 341.8 17.42L410.8 4.478C424.2 1.972 437.4 9.433 442.2 22.17L471.2 99.36C482.7 130 499.3 158.6 520.2 183.8L565.5 238.1C574.2 248.5 574.2 263.5 565.5 273.9L520.2 328.2C499.3 353.4 482.7 381.1 471.2 412.6L442.2 489.8C437.4 502.6 424.2 510 410.8 507.5L341.8 494.6C306.2 487.9 269.8 487.9 234.2 494.6L165.2 507.5C151.8 510 138.6 502.6 133.8 489.8L104.8 412.6C93.33 381.1 76.73 353.4 55.75 328.2L10.49 273.9C1.837 263.5 1.837 248.5 10.49 238.1L55.75 183.8C76.73 158.6 93.33 130 104.8 99.36L133.8 22.17zM167.1 92.8L157.3 119C143.6 155.6 123.8 189.6 98.77 219.6L88.45 231.1H133.1C156.5 204.4 174.8 172.8 186.8 138.6L189.3 131.6L167.1 92.8zM209.2 69.71L230.5 107.1C268.3 116.6 307.7 116.6 345.5 107.1L366.8 69.71L352.1 72.46C309.7 80.41 266.3 80.41 223.9 72.46L209.2 69.71zM408.9 92.8L386.7 131.6L389.2 138.6C401.2 172.8 419.5 204.4 442.9 231.1H487.6L477.2 219.6C452.2 189.6 432.4 155.6 418.7 119L408.9 92.8zM487.6 279.1H442.1C419.3 308.1 401.1 340.4 389.3 375.3L387.3 381.3L408.9 419.2L418.7 392.1C432.4 356.4 452.2 322.4 477.2 292.4L487.6 279.1zM366.8 442.3L347.3 408.1C309.4 396.4 268.1 395.3 230.5 404.9L209.2 442.3L223.9 439.5C266.3 431.6 309.7 431.6 352.1 439.5L366.8 442.3zM167.1 419.2L189.3 380.4L186.8 373.4C174.8 339.2 156.5 307.6 133.1 279.1H88.45L98.77 292.4C123.8 322.4 143.6 356.4 157.3 392.1L167.1 419.2zM193.2 279.1C203.3 294.1 212.1 310.7 219.7 327.1L246.6 279.1H193.2zM261.1 351.4C279.2 349.9 297.4 350.2 315.5 352.4L287.1 304.4L261.1 351.4zM356.6 327.7C364.2 311.1 373 295.2 383.1 279.1H329.4L356.6 327.7zM382.8 231.1C372.7 217 363.9 201.3 356.3 184.9L329.4 231.1H382.8zM314.7 160.1C296.9 162.6 279.1 162.6 261.3 160.1L287.1 207.6L314.7 160.1zM219.7 184.9C212.1 201.3 203.3 217 193.2 231.1H246.6L219.7 184.9z"],
    "spinner": [512, 512, [], "f110", "M304 48C304 74.51 282.5 96 256 96C229.5 96 208 74.51 208 48C208 21.49 229.5 0 256 0C282.5 0 304 21.49 304 48zM304 464C304 490.5 282.5 512 256 512C229.5 512 208 490.5 208 464C208 437.5 229.5 416 256 416C282.5 416 304 437.5 304 464zM0 256C0 229.5 21.49 208 48 208C74.51 208 96 229.5 96 256C96 282.5 74.51 304 48 304C21.49 304 0 282.5 0 256zM512 256C512 282.5 490.5 304 464 304C437.5 304 416 282.5 416 256C416 229.5 437.5 208 464 208C490.5 208 512 229.5 512 256zM74.98 437C56.23 418.3 56.23 387.9 74.98 369.1C93.73 350.4 124.1 350.4 142.9 369.1C161.6 387.9 161.6 418.3 142.9 437C124.1 455.8 93.73 455.8 74.98 437V437zM142.9 142.9C124.1 161.6 93.73 161.6 74.98 142.9C56.24 124.1 56.24 93.73 74.98 74.98C93.73 56.23 124.1 56.23 142.9 74.98C161.6 93.73 161.6 124.1 142.9 142.9zM369.1 369.1C387.9 350.4 418.3 350.4 437 369.1C455.8 387.9 455.8 418.3 437 437C418.3 455.8 387.9 455.8 369.1 437C350.4 418.3 350.4 387.9 369.1 369.1V369.1z"],
    "spinner-third": [576, 512, [], "f3f4", "M256 32C256 14.33 270.3 0 288 0C429.4 0 544 114.6 544 256C544 302.6 531.5 346.4 509.7 384C500.9 399.3 481.3 404.6 465.1 395.7C450.7 386.9 445.5 367.3 454.3 351.1C470.6 323.8 480 291 480 255.1C480 149.1 394 63.1 288 63.1C270.3 63.1 256 49.67 256 31.1V32z"],
    "split": [512, 512, [], "e254", "M504.1 382.1c9.387 9.387 9.387 24.61 0 33.99l-80 79.98c-15.13 15.12-40.99 4.406-40.99-16.98V432H320c-9.125 0-17.84-3.906-23.91-10.75L177.6 288H32C14.31 288 0 273.7 0 256s14.31-32 32-32h145.6l118.5-133.3C302.2 83.91 310.9 80 320 80h63.97V32.06c0-21.39 25.86-32.11 40.99-16.98l80 79.98c9.387 9.383 9.387 24.6 0 33.99l-79.99 79.97c-15.13 15.12-40.1 4.406-40.1-16.98V144h-49.59L234.8 256l99.58 112h49.59V319.1c0-21.39 25.87-32.11 40.1-16.98L504.1 382.1z"],
    "splotch": [512, 512, [], "f5bc", "M349.3 47.38L367.9 116.1C374.6 142.1 393.2 162.3 417.6 171.2L475.8 192.4C497.5 200.3 512 221 512 244.2C512 261.8 503.6 278.4 489.4 288.8L406.9 348.1C393.3 358.9 385.7 374.1 386.7 391.8L389.8 442.4C392.1 480.1 362.2 511.9 324.4 511.9C308.8 511.9 293.8 506.4 281.1 496.4L236.1 458.2C221.1 444.7 200.9 437.3 180 437.3H171.6C165.1 437.3 160.4 437.8 154.8 438.9L87.81 451.9C63.82 456.6 39.53 445.5 27.41 424.3C17.39 406.7 17.39 385.2 27.41 367.7L55.11 319.2C60.99 308.9 64.09 297.3 64.09 285.4C64.09 272.3 60.33 259.6 53.27 248.6L8.796 179.4C-6.738 155.2-1.267 123.2 21.41 105.6C32.12 97.25 45.52 93.13 59.07 94.01L130.8 98.66C159.8 100.5 187.1 87.91 205.9 64.93L237.3 24.66C249.4 9.133 267.9 .0566 287.6 .0566C316.5 .0566 341.8 19.47 349.3 47.38V47.38z"],
    "spoon": [512, 512, [61873, 129348, "utensil-spoon"], "f2e5", "M449.5 242.2C436.4 257.8 419.8 270 400.1 277.8C382.2 285.6 361.7 288.8 341.4 287C326.2 284.5 311.8 278.4 299.5 269.1L68.29 500.3C60.79 507.8 50.61 512 40 512C29.39 512 19.22 507.8 11.71 500.3C4.211 492.8-.0039 482.6-.0039 472C-.0039 461.4 4.211 451.2 11.71 443.7L243 212.5C233.7 200.2 227.6 185.8 225.1 170.6C223.3 150.3 226.5 129.9 234.3 111C242.1 92.22 254.3 75.56 269.9 62.47C337.8-5.437 433.1-20.28 482.7 29.35C532.3 78.95 517.4 174.2 449.5 242.2z"],
    "sportsball": [512, 512, [], "e44b", "M487.6 48.92C497.6 97.67 502.3 160.2 492.1 223.2C444.3 219.1 400.1 199.5 365.3 169.3L487.2 47.42C487.3 47.92 487.5 48.42 487.6 48.92V48.92zM464.8 24.57L342.7 146.7C312.3 111.6 292.6 66.95 288.7 17.87C338.5 11.37 395.9 12.87 461.5 23.83C462.6 24.02 463.7 24.26 464.8 24.57V24.57zM418.5 395.9L278.6 256L342.6 191.1C381.9 226.7 431.9 249.5 487.1 254.8C478.9 290.7 465.8 326.1 445.1 358.4C437.9 371.5 428.8 384.1 418.5 395.9zM255.1 233.4L115.8 93.16C141.1 70.11 171.9 50.88 208.9 37.14C223.1 31.54 240 26.89 257 23.27C262.1 79.05 284.1 129.7 320 169.4L255.1 233.4zM169.4 320C130.1 285.3 80.06 262.5 24.93 257.2C33.07 221.3 46.24 185.9 66.04 153.6C74.08 140.5 83.19 127.9 93.45 116.1L233.4 256L169.4 320zM191.1 342.6L255.1 278.6L396.2 418.8C370.9 441.9 340.1 461.1 303.1 474.9C288 480.5 271.1 485.1 254.1 488.7C249.9 432.9 227 382.3 191.1 342.6zM146.7 342.7L24.79 464.6C24.66 464.1 24.55 463.6 24.44 463.1C14.38 414.3 9.735 351.8 19.05 288.8C67.67 292.9 111.9 312.5 146.7 342.7H146.7zM169.3 365.3C199.7 400.4 219.4 445 223.3 494.1C173.5 500.6 116.1 499.1 50.51 488.2C49.38 487.1 48.28 487.7 47.2 487.4L169.3 365.3z"],
    "spray-can": [512, 512, [], "f5bd", "M192 0C209.7 0 224 14.33 224 32V128H96V32C96 14.33 110.3 0 128 0H192zM0 256C0 202.1 42.98 160 96 160H224C277 160 320 202.1 320 256V464C320 490.5 298.5 512 272 512H48C21.49 512 0 490.5 0 464V256zM160 256C115.8 256 80 291.8 80 336C80 380.2 115.8 416 160 416C204.2 416 240 380.2 240 336C240 291.8 204.2 256 160 256zM320 64C320 81.67 305.7 96 288 96C270.3 96 256 81.67 256 64C256 46.33 270.3 32 288 32C305.7 32 320 46.33 320 64zM352 64C352 46.33 366.3 32 384 32C401.7 32 416 46.33 416 64C416 81.67 401.7 96 384 96C366.3 96 352 81.67 352 64zM512 64C512 81.67 497.7 96 480 96C462.3 96 448 81.67 448 64C448 46.33 462.3 32 480 32C497.7 32 512 46.33 512 64zM448 160C448 142.3 462.3 128 480 128C497.7 128 512 142.3 512 160C512 177.7 497.7 192 480 192C462.3 192 448 177.7 448 160zM512 256C512 273.7 497.7 288 480 288C462.3 288 448 273.7 448 256C448 238.3 462.3 224 480 224C497.7 224 512 238.3 512 256zM352 160C352 142.3 366.3 128 384 128C401.7 128 416 142.3 416 160C416 177.7 401.7 192 384 192C366.3 192 352 177.7 352 160z"],
    "spray-can-sparkles": [512, 512, ["air-freshener"], "f5d0", "M96 32C96 14.33 110.3 0 128 0H192C209.7 0 224 14.33 224 32V128H96V32zM224 160C277 160 320 202.1 320 256V464C320 490.5 298.5 512 272 512H48C21.49 512 0 490.5 0 464V256C0 202.1 42.98 160 96 160H224zM160 416C204.2 416 240 380.2 240 336C240 291.8 204.2 256 160 256C115.8 256 80 291.8 80 336C80 380.2 115.8 416 160 416zM384 48C384 49.36 383 50.97 381.8 51.58L352 64L339.6 93.78C338.1 95 337.4 96 336 96C334.6 96 333 95 332.4 93.78L320 64L290.2 51.58C288.1 50.97 288 49.36 288 48C288 46.62 288.1 45.03 290.2 44.42L320 32L332.4 2.219C333 1 334.6 0 336 0C337.4 0 338.1 1 339.6 2.219L352 32L381.8 44.42C383 45.03 384 46.62 384 48zM460.4 93.78L448 64L418.2 51.58C416.1 50.97 416 49.36 416 48C416 46.62 416.1 45.03 418.2 44.42L448 32L460.4 2.219C461 1 462.6 0 464 0C465.4 0 466.1 1 467.6 2.219L480 32L509.8 44.42C511 45.03 512 46.62 512 48C512 49.36 511 50.97 509.8 51.58L480 64L467.6 93.78C466.1 95 465.4 96 464 96C462.6 96 461 95 460.4 93.78zM467.6 194.2L480 224L509.8 236.4C511 237 512 238.6 512 240C512 241.4 511 242.1 509.8 243.6L480 256L467.6 285.8C466.1 287 465.4 288 464 288C462.6 288 461 287 460.4 285.8L448 256L418.2 243.6C416.1 242.1 416 241.4 416 240C416 238.6 416.1 237 418.2 236.4L448 224L460.4 194.2C461 193 462.6 192 464 192C465.4 192 466.1 193 467.6 194.2zM448 144C448 145.4 447 146.1 445.8 147.6L416 160L403.6 189.8C402.1 191 401.4 192 400 192C398.6 192 397 191 396.4 189.8L384 160L354.2 147.6C352.1 146.1 352 145.4 352 144C352 142.6 352.1 141 354.2 140.4L384 128L396.4 98.22C397 97 398.6 96 400 96C401.4 96 402.1 97 403.6 98.22L416 128L445.8 140.4C447 141 448 142.6 448 144z"],
    "sprinkler": [512, 512, [], "e035", "M398.3 256L288 255.1v-160c0-17.67-14.33-31.1-32-31.1S224 78.33 224 95.1v160L113.8 256C107.1 256 100.9 259.8 97.88 265.9c-3 6-2.375 13.12 1.75 18.62l67.5 78.13L192 387.5V512h128v-124.5l24.88-24.88l67.5-78.13c4.125-5.5 4.75-12.62 1.75-18.62C411.1 259.8 404.9 256 398.3 256zM152 152C165.2 152 176 141.2 176 128S165.2 104 152 104S128 114.8 128 128S138.8 152 152 152zM88 96C101.2 96 112 85.25 112 72S101.2 48 88 48S64 58.75 64 72S74.75 96 88 96zM112 184C112 170.8 101.2 160 88 160S64 170.8 64 184S74.75 208 88 208S112 197.2 112 184zM24 104C10.75 104 0 114.8 0 128s10.75 24 24 24S48 141.2 48 128S37.25 104 24 104zM24 0C10.75 0 0 10.75 0 24S10.75 48 24 48S48 37.25 48 24S37.25 0 24 0zM24 208C10.75 208 0 218.8 0 232S10.75 256 24 256S48 245.2 48 232S37.25 208 24 208zM360 152C373.2 152 384 141.2 384 128s-10.75-24-24-24S336 114.8 336 128S346.8 152 360 152zM424 160c-13.25 0-24 10.75-24 24s10.75 24 24 24S448 197.2 448 184S437.2 160 424 160zM424 48c-13.25 0-24 10.75-24 24S410.8 96 424 96S448 85.25 448 72S437.2 48 424 48zM488 104c-13.25 0-24 10.75-24 24s10.75 24 24 24S512 141.2 512 128S501.3 104 488 104zM488 208c-13.25 0-24 10.75-24 24S474.8 256 488 256S512 245.2 512 232S501.3 208 488 208zM488 48C501.3 48 512 37.25 512 24S501.3 0 488 0S464 10.75 464 24S474.8 48 488 48z"],
    "sprinkler-ceiling": [384, 512, [], "e44c", "M88 384C74.75 384 64 394.8 64 408c0 13.21 10.82 24 24 24s24-10.69 24-24C112 394.8 101.2 384 88 384zM136 448c-13.25 0-24 10.75-24 24s10.82 24 24 24S160 485.2 160 472C160 458.8 149.2 448 136 448zM192 384c-13.25 0-24 10.75-24 24S178.8 432 192 432s24-10.69 24-24C216 394.8 205.2 384 192 384zM136 320c-13.25 0-24 10.75-24 24s10.82 24 24 24S160 357.2 160 344C160 330.8 149.2 320 136 320zM25.73 127.4L128 147.8v-65.28L64 69.76V0H0v96C0 111.3 10.75 124.4 25.73 127.4zM24 448C10.75 448 0 458.8 0 472s10.82 24 24 24s24-10.79 24-24C48 458.8 37.25 448 24 448zM320 0v69.76l-64 12.8v65.28l102.3-20.45C373.2 124.4 384 111.3 384 96V0H320zM360 448c-13.25 0-24 10.78-24 24c0 13.21 10.75 24 24 24S384 485.2 384 472C384 458.8 373.2 448 360 448zM288 192h-64V64c0-17.66-14.34-32-32-32S160 46.34 160 64v128H96C78.34 192 64 206.3 64 224s14.34 32 32 32h192c17.66 0 32-14.34 32-32S305.7 192 288 192zM296 384c-13.25 0-24 10.78-24 24c0 13.31 10.75 24 24 24S320 421.3 320 408S309.2 384 296 384zM248 368c13.25 0 24-10.79 24-24c0-13.25-10.75-24-24-24S224 330.8 224 344C224 357.2 234.8 368 248 368zM248 448C234.8 448 224 458.8 224 472c0 13.21 10.75 24 24 24s24-10.79 24-24C272 458.8 261.2 448 248 448z"],
    "square": [448, 512, [9723, 9724, 61590, 9632], "f0c8", "M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96z"],
    "square-0": [448, 512, [], "e255", "M224 176C197.5 176 176 197.5 176 224v64c0 26.47 21.53 48 48 48s48-21.53 48-48V224C272 197.5 250.5 176 224 176zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM320 288c0 52.94-43.06 96-96 96s-96-43.06-96-96V224c0-52.94 43.06-96 96-96s96 43.06 96 96V288z"],
    "square-1": [448, 512, [], "e256", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM288 384H160c-13.25 0-24-10.75-24-24S146.8 336 160 336h40V196.8L185.3 206.6C174.3 213.9 159.4 210.1 152 199.1C144.7 188.9 147.7 174 158.7 166.7l52-34.66c7.391-4.938 16.86-5.375 24.64-1.188C243.1 135 248 143.2 248 152v184H288c13.25 0 24 10.75 24 24S301.3 384 288 384z"],
    "square-2": [448, 512, [], "e257", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM296 384h-144c-9.922 0-18.81-6.094-22.39-15.38c-3.578-9.25-1.078-19.75 6.266-26.41l108.4-98.31c7.047-6.938 11.31-17 11.31-27.66s-4.266-20.72-12-28.31C227.4 172 200.9 172 184.6 187.9L173.6 198.7C164.1 208.1 148.1 207.9 139.7 198.4C130.4 188.9 130.5 173.7 140 164.5l11-10.78c34.8-34.19 91.45-34.19 126.3 0c17 16.69 26.38 38.91 26.38 62.56s-9.375 45.88-26.38 62.56L214.2 336H296c13.25 0 24 10.75 24 24S309.3 384 296 384z"],
    "square-3": [448, 512, [], "e258", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM236 384H191.4c-28.23 0-53.2-17.1-62.13-44.78c-4.188-12.59 2.609-26.19 15.19-30.38C157 304.8 170.6 311.5 174.8 324C177.2 331.2 183.8 336 191.4 336H236c19.84 0 36-16.16 36-36S255.8 264 236 264H184c-9.891 0-18.78-6.062-22.38-15.31C158 239.5 160.5 229 167.8 222.3L218.3 176H152C138.8 176 128 165.3 128 152S138.8 128 152 128h128c9.891 0 18.78 6.062 22.38 15.31c3.578 9.219 1.141 19.69-6.156 26.38L245.2 216.5C287.2 221.1 320 256.8 320 300C320 346.3 282.3 384 236 384z"],
    "square-4": [448, 512, [], "e259", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM296 320H288v40c0 13.25-10.75 24-24 24s-24-10.75-24-24V320H138c-8.078 0-15.61-4.062-20.05-10.81s-5.188-15.25-2-22.69l62-144c5.234-12.16 19.31-17.84 31.53-12.53c12.19 5.219 17.8 19.34 12.56 31.53L174.5 272H240V221.3c0-13.25 10.75-24 24-24s24 10.75 24 24V272h8C309.3 272 320 282.8 320 296S309.3 320 296 320z"],
    "square-5": [448, 512, [], "e25a", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM240.1 384H191.4c-28.23 0-53.2-17.1-62.13-44.78c-4.188-12.59 2.609-26.19 15.19-30.38c12.53-4.062 26.16 2.625 30.34 15.19C177.2 331.2 183.8 336 191.4 336h49.59C258.1 336 272 322.1 272 304.9c0-15.75-11.78-29-27.41-30.81l-87.39-10.28c-6.625-.7813-12.61-4.281-16.56-9.656C136.7 248.8 135.2 242.1 136.4 235.5l16.73-88C155.3 136.2 165.2 128 176.7 128H280c13.25 0 24 10.75 24 24S293.3 176 280 176H196.6L188.4 219.2l61.8 7.25C289.1 231.1 320 264.8 320 304.9C320 348.5 284.5 384 240.1 384z"],
    "square-6": [448, 512, [], "e25b", "M224 240c-21.06 0-40 14.09-46.03 34.28C176.7 278.7 176 283.3 176 288c0 26.47 21.53 48 48 48s48-21.53 48-48S250.5 240 224 240zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM224 384c-52.94 0-96-43.06-96-96c0-41.3 27.55-73.29 40.28-84.41l79.94-69.69C252.8 129.9 258.4 128 264 128c6.688 0 13.34 2.781 18.09 8.219c8.719 10 7.656 25.16-2.312 33.88l-29.76 25.94C290.3 207.5 320 244.1 320 288C320 340.9 276.9 384 224 384z"],
    "square-7": [448, 512, [], "e25c", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM317.1 163.4l-112 208C200.8 379.4 192.5 384 183.1 384c-3.844 0-7.719-.9062-11.34-2.875c-11.69-6.281-16.03-20.84-9.75-32.5L255.8 176H152C138.8 176 128 165.3 128 152S138.8 128 152 128h144c8.438 0 16.28 4.438 20.59 11.69C320.9 146.9 321.1 155.9 317.1 163.4z"],
    "square-8": [448, 512, [], "e25d", "M240 272h-32c-17.66 0-32 14.34-32 32s14.34 32 32 32h32c17.66 0 32-14.34 32-32S257.7 272 240 272zM216 224h16C245.2 224 256 213.2 256 200S245.2 176 232 176h-16C202.8 176 192 186.8 192 200S202.8 224 216 224zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM240 384h-32C163.9 384 128 348.1 128 304c0-25.06 11.81-47.19 29.9-61.87C149.3 230.3 144 215.8 144 200C144 160.3 176.3 128 216 128h16c39.69 0 72 32.31 72 72c0 15.77-5.254 30.26-13.9 42.13C308.2 256.8 320 278.9 320 304C320 348.1 284.1 384 240 384z"],
    "square-9": [448, 512, [], "e25e", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM279.7 308.4l-79.94 69.69C195.2 382.1 189.6 384 184 384c-6.688 0-13.34-2.781-18.09-8.219c-8.719-10-7.656-25.16 2.312-33.88l29.76-25.94C157.7 304.5 128 267.9 128 224c0-52.94 43.06-96 96-96s96 43.06 96 96C320 265.3 292.5 297.3 279.7 308.4zM224 176C197.5 176 176 197.5 176 224S197.5 272 224 272c21.06 0 40-14.09 46.03-34.28C271.3 233.3 272 228.7 272 224C272 197.5 250.5 176 224 176z"],
    "square-a": [448, 512, [], "e25f", "M183.1 295.6h80.04L224 208.5L183.1 295.6zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM330.1 381.8c-3.266 1.506-6.688 2.229-10.05 2.229c-9.078 0-17.75-5.18-21.81-14l-12.03-26.18H161.8l-12.03 26.18c-5.578 12.09-19.77 17.36-31.86 11.77c-12.03-5.557-17.28-19.9-11.73-31.99l95.99-208.1c7.844-17.08 35.75-17.08 43.59 0l95.99 208.1C347.3 361.9 342.1 376.2 330.1 381.8z"],
    "square-a-lock": [576, 512, [], "e44d", "M384 32C419.3 32 448 60.65 448 96V161.1C393.7 168.9 351.1 215.6 351.1 272V296.6C342.1 302.3 333.9 310.6 328.2 320.6L245.8 141.9C241.9 133.4 233.4 128 224 128C214.6 128 206.1 133.4 202.2 141.9L106.2 349.9C100.7 361.1 105.9 376.2 117.9 381.8C129.1 387.3 144.2 382.1 149.8 370.1L161.8 343.1H286.2L298.2 370.1C302.3 378.8 310.9 384 319.1 384V480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32L384 32zM224 209.3L264 295.1H183.1L224 209.3zM464 192C508.2 192 544 227.8 544 272V320C561.7 320 576 334.3 576 352V480C576 497.7 561.7 512 544 512H384C366.3 512 352 497.7 352 480V352C352 334.3 366.3 320 384 320V272C384 227.8 419.8 192 464 192V192zM464 240C446.3 240 432 254.3 432 272V320H496V272C496 254.3 481.7 240 464 240V240z"],
    "square-ampersand": [448, 512, [], "e260", "M204 210.9l21.94-17.73c2.281-1.828 3.594-4.578 3.594-7.516C229.6 180.3 225.2 176 219.9 176H196.8c-5.312 0-9.656 4.328-9.656 9.656c0 4.359 1.625 8.547 4.562 11.78L204 210.9zM167 302.5C162.5 306.1 160 311.4 160 317.2C160 327.5 168.5 336 178.8 336h32.47c10.03 0 19.38-4.938 25-13.2l2.117-3.105L199.1 276.6L167 302.5zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM324 377.7C319.4 381.9 313.6 384 307.8 384c-6.5 0-12.97-2.625-17.72-7.812l-18.62-20.38C256.7 373.6 234.7 384 211.3 384H178.8C141.1 384 112 354 112 317.2c0-20.3 9.062-39.25 24.84-51.98l29.75-24.05L156.3 229.8c-11.06-12.11-17.12-27.78-17.12-44.14C139.1 153.9 165 128 196.8 128h23.12c31.78 0 57.66 25.86 57.66 57.66c0 17.5-7.812 33.86-21.41 44.86l-19.69 15.89l29.74 32.53L287.1 247c7.5-10.92 22.41-13.8 33.38-6.312c10.94 7.453 13.78 22.39 6.312 33.34L299.5 315.3l26.03 28.47C334.5 353.6 333.8 368.8 324 377.7z"],
    "square-arrow-down": [448, 512, ["arrow-square-down"], "f339", "M384 32H64C28.66 32 0 60.66 0 96v320c0 35.34 28.66 64 64 64h320c35.34 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM350.6 302.6l-103.1 103.1C238.7 414.6 228.9 416 224 416c-4.881 0-14.65-1.391-22.65-9.398L97.38 302.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L192 306.8V128c0-17.69 14.33-32 32-32s32 14.31 32 32v178.8l49.38-49.38c12.5-12.5 32.75-12.5 45.25 0S363.1 290.1 350.6 302.6z"],
    "square-arrow-down-left": [448, 512, [], "e261", "M384 32H64C28.66 32 0 60.66 0 96v320c0 35.34 28.66 64 64 64h320c35.34 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM334.6 190.6L213.3 312H280c17.69 0 32 14.31 32 32s-14.31 32-32 32h-144c-17.69 0-32-14.31-32-32v-144c0-17.69 14.31-32 32-32s32 14.31 32 32v66.75l121.4-121.4c12.5-12.5 32.75-12.5 45.25 0S347.1 178.1 334.6 190.6z"],
    "square-arrow-down-right": [448, 512, [], "e262", "M384 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM344 344c0 17.69-14.31 32-32 32h-144c-17.69 0-32-14.31-32-32s14.31-32 32-32h66.75L113.4 190.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L280 266.8V200c0-17.69 14.31-32 32-32s32 14.31 32 32V344z"],
    "square-arrow-left": [448, 512, ["arrow-square-left"], "f33a", "M384 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM352 288H173.3l49.38 49.38c12.5 12.5 12.5 32.75 0 45.25s-32.75 12.5-45.25 0L73.4 278.6C65.4 270.7 64 260.9 64 256c0-4.883 1.391-14.66 9.398-22.65l103.1-103.1c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L173.3 224H352c17.69 0 32 14.33 32 32S369.7 288 352 288z"],
    "square-arrow-right": [448, 512, ["arrow-square-right"], "f33b", "M384 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM374.6 278.6l-103.1 103.1c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25L274.8 288H96C78.31 288 64 273.7 64 256s14.31-32 32-32h178.8l-49.38-49.38c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0l103.1 103.1C382.6 241.3 384 251.1 384 256C384 260.9 382.6 270.7 374.6 278.6z"],
    "square-arrow-up": [448, 512, ["arrow-square-up"], "f33c", "M384 32H64C28.66 32 0 60.66 0 96v320c0 35.34 28.66 64 64 64h320c35.34 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM350.6 254.6c-12.5 12.5-32.75 12.5-45.25 0L256 205.3V384c0 17.69-14.33 32-32 32s-32-14.31-32-32V205.3L142.6 254.6c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l103.1-103.1C209.3 97.4 219.1 96 224 96c4.881 0 14.65 1.391 22.65 9.398l103.1 103.1C363.1 221.9 363.1 242.1 350.6 254.6z"],
    "square-arrow-up-left": [448, 512, [], "e263", "M384 32H64C28.66 32 0 60.66 0 96v320c0 35.34 28.66 64 64 64h320c35.34 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM334.6 366.6C328.4 372.9 320.2 376 312 376s-16.38-3.125-22.62-9.375L168 245.3V312c0 17.69-14.31 32-32 32s-32-14.31-32-32v-144c0-17.69 14.31-32 32-32h144c17.69 0 32 14.31 32 32s-14.31 32-32 32H213.3l121.4 121.4C347.1 333.9 347.1 354.1 334.6 366.6z"],
    "square-arrow-up-right": [448, 512, ["external-link-square"], "f14c", "M384 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM344 312c0 17.69-14.31 32-32 32s-32-14.31-32-32V245.3l-121.4 121.4C152.4 372.9 144.2 376 136 376s-16.38-3.125-22.62-9.375c-12.5-12.5-12.5-32.75 0-45.25L234.8 200H168c-17.69 0-32-14.31-32-32s14.31-32 32-32h144c17.69 0 32 14.31 32 32V312z"],
    "square-b": [448, 512, [], "e264", "M272 204c0-15.44-12.56-28-28-28H176v56h68C259.4 232 272 219.4 272 204zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM260 384H152C138.8 384 128 373.3 128 360v-208C128 138.8 138.8 128 152 128h92C285.9 128 320 162.1 320 204c0 16.35-5.301 31.41-14.12 43.82C324.1 261.7 336 283.4 336 308C336 349.9 301.9 384 260 384zM260 280H176v56h84C275.4 336 288 323.4 288 308S275.4 280 260 280z"],
    "square-bolt": [448, 512, [], "e265", "M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM261.8 131.6L125.8 243.6C120.6 247.9 118.7 255 120.9 261.4C123.2 267.8 129.2 271.1 136 271.1H199.7L161.3 361.7C158.4 368.5 160.5 376.4 166.4 380.8C172.3 385.2 180.5 385 186.2 380.4L322.2 268.4C327.4 264.1 329.3 256.1 327.1 250.6C324.8 244.2 318.8 240 312 240H248.3L286.7 150.3C289.6 143.5 287.5 135.6 281.6 131.2C275.7 126.8 267.5 126.1 261.8 131.6V131.6z"],
    "square-c": [448, 512, [], "e266", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM167.2 312.3c14.93 15.13 34.76 23.49 55.86 23.49s40.94-8.32 55.88-23.49c9.33-9.418 24.55-9.545 33.95-.125c9.426 9.357 9.488 24.62 .1562 34.1C289 370.6 257 384 223.1 384c0 0 .0156 0 0 0c-33.1 0-65.95-13.41-89.96-37.74c-49.46-50.08-49.46-131.6 0-181.7c48-48.7 131.9-48.7 179.1 0c9.332 9.451 9.27 24.71-.1562 34.1c-9.395 9.357-24.59 9.326-33.95-.1562c-29.89-30.27-81.89-30.24-111.7 0C136.2 229.9 136.2 280.9 167.2 312.3z"],
    "square-caret-down": [448, 512, ["caret-square-down"], "f150", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.65 419.3 32 384 32zM345.6 232.3l-104 112C237 349.2 230.7 352 224 352s-13.03-2.781-17.59-7.656l-104-112c-6.5-7-8.219-17.19-4.407-25.94C101.8 197.7 110.5 192 120 192h208c9.531 0 18.19 5.656 21.1 14.41C353.8 215.2 352.1 225.3 345.6 232.3z"],
    "square-caret-left": [448, 512, ["caret-square-left"], "f191", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.65 419.3 32 384 32zM288 360c0 9.531-5.656 18.19-14.41 22C270.5 383.3 267.3 384 264 384c-5.938 0-11.81-2.219-16.34-6.406l-112-104C130.8 269 128 262.7 128 256s2.781-13.03 7.656-17.59l112-104c7.031-6.469 17.22-8.156 25.94-4.406C282.3 133.8 288 142.5 288 152V360z"],
    "square-caret-right": [448, 512, ["caret-square-right"], "f152", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.65 419.3 32 384 32zM312.3 273.6l-112 104C195.8 381.8 189.9 384 184 384c-3.25 0-6.5-.6562-9.594-2C165.7 378.2 160 369.5 160 360v-208c0-9.531 5.656-18.19 14.41-22c8.75-3.75 18.94-2.062 25.94 4.406l112 104C317.2 242.1 320 249.3 320 256S317.2 269 312.3 273.6z"],
    "square-caret-up": [448, 512, ["caret-square-up"], "f151", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.65 419.3 32 384 32zM349.1 305.6C346.2 314.3 337.5 320 328 320h-208c-9.531 0-18.19-5.656-22-14.41C94.19 296.8 95.91 286.7 102.4 279.7l104-112c9.125-9.75 26.06-9.75 35.19 0l104 112C352.1 286.7 353.8 296.8 349.1 305.6z"],
    "square-check": [448, 512, [9989, 61510, 9745, "check-square"], "f14a", "M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM339.8 211.8C350.7 200.9 350.7 183.1 339.8 172.2C328.9 161.3 311.1 161.3 300.2 172.2L192 280.4L147.8 236.2C136.9 225.3 119.1 225.3 108.2 236.2C97.27 247.1 97.27 264.9 108.2 275.8L172.2 339.8C183.1 350.7 200.9 350.7 211.8 339.8L339.8 211.8z"],
    "square-chevron-down": [448, 512, ["chevron-square-down"], "f329", "M384 32H64C28.66 32 0 60.65 0 96v320c0 35.34 28.66 64 64 64h320c35.34 0 64-28.66 64-64V96C448 60.65 419.3 32 384 32zM358.6 230.6l-112 112C240.4 348.9 232.2 352 224 352s-16.38-3.125-22.62-9.375l-112-112c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L224 274.8l89.38-89.38c12.5-12.5 32.75-12.5 45.25 0S371.1 218.1 358.6 230.6z"],
    "square-chevron-left": [448, 512, ["chevron-square-left"], "f32a", "M384 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM294.6 345.4c12.5 12.5 12.5 32.75 0 45.25s-32.75 12.5-45.25 0l-112-112C131.1 272.4 128 264.2 128 256s3.125-16.38 9.375-22.62l112-112c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25L205.3 256L294.6 345.4z"],
    "square-chevron-right": [448, 512, ["chevron-square-right"], "f32b", "M384 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM310.6 278.6l-112 112c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25L242.8 256L153.4 166.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0l112 112C316.9 239.6 320 247.8 320 256S316.9 272.4 310.6 278.6z"],
    "square-chevron-up": [448, 512, ["chevron-square-up"], "f32c", "M384 32H64C28.66 32 0 60.66 0 96v320c0 35.35 28.66 64 64 64h320c35.34 0 64-28.65 64-64V96C448 60.66 419.3 32 384 32zM358.6 326.6c-12.5 12.5-32.75 12.5-45.25 0L224 237.3l-89.38 89.38c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l112-112C207.6 163.1 215.8 160 224 160s16.38 3.125 22.62 9.375l112 112C371.1 293.9 371.1 314.1 358.6 326.6z"],
    "square-code": [448, 512, [], "e267", "M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM262.2 167.9C253.3 177.8 254.1 192.1 263.9 201.8L324.1 256L263.9 310.2C254.1 319 253.3 334.2 262.2 344.1C271 353.9 286.2 354.7 296.1 345.8L376.1 273.8C381.1 269.3 384 262.8 384 256C384 249.2 381.1 242.7 376.1 238.2L296.1 166.2C286.2 157.3 271 158.1 262.2 167.9V167.9zM184.1 201.8C193.9 192.1 194.7 177.8 185.8 167.9C176.1 158.1 161.8 157.3 151.9 166.2L71.94 238.2C66.89 242.7 64 249.2 64 256C64 262.8 66.89 269.3 71.94 273.8L151.9 345.8C161.8 354.7 176.1 353.9 185.8 344.1C194.7 334.2 193.9 319 184.1 310.2L123.9 256L184.1 201.8z"],
    "square-d": [448, 512, [], "e268", "M222.4 176H176v160h46.41C267.4 336 304 300.1 304 256C304 211.9 267.4 176 222.4 176zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM222.4 384H152C138.8 384 128 373.3 128 360v-208C128 138.8 138.8 128 152 128h70.41C293.9 128 352 185.4 352 256C352 326.6 293.9 384 222.4 384z"],
    "square-dashed": [448, 512, [], "e269", "M96 32H128V96H96C78.33 96 64 110.3 64 128V160H0V128C0 74.98 42.98 32 96 32zM64 192V320H0V192H64zM448 192V320H384V192H448zM384 160V128C384 110.3 369.7 96 352 96H320V32H352C405 32 448 74.98 448 128V160H384zM448 384C448 437 405 480 352 480H320V416H352C369.7 416 384 401.7 384 384V352H448V384zM64 384C64 401.7 78.33 416 96 416H128V480H96C42.98 480 0 437 0 384V352H64V384zM160 480V416H288V480H160zM160 32H288V96H160V32z"],
    "square-divide": [448, 512, [], "e26a", "M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM224 192C241.7 192 256 177.7 256 160C256 142.3 241.7 128 224 128C206.3 128 192 142.3 192 160C192 177.7 206.3 192 224 192zM136 232C122.7 232 112 242.7 112 256C112 269.3 122.7 280 136 280H312C325.3 280 336 269.3 336 256C336 242.7 325.3 232 312 232H136zM224 320C206.3 320 192 334.3 192 352C192 369.7 206.3 384 224 384C241.7 384 256 369.7 256 352C256 334.3 241.7 320 224 320z"],
    "square-dollar": [448, 512, ["dollar-square", "usd-square"], "f2e9", "M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM244.8 133.6C244.8 121.7 235.1 112 223.2 112C211.3 112 201.6 121.7 201.6 133.6V149.7C195.5 151.1 189.6 152.1 184.1 155.4C166.1 163.1 149.1 177.6 145.1 199.4C140.9 222.5 150.9 243.3 170.4 255.8C184.6 264.9 203.4 270.2 218.5 274.5C220.7 275.1 222.1 275.7 225.3 276.4C237.2 279.6 249.7 282.1 259.8 289.9C271.5 297.9 265.9 312.1 253.9 316.1C244.1 320.6 231.4 322.1 214.4 319.6C202.8 317.8 191.2 313.8 179.9 310C177.4 309.2 174.9 308.3 172.4 307.5C161.1 303.7 148.8 309.9 145.1 321.2C141.3 332.5 147.5 344.8 158.8 348.5C172.9 353.1 187.1 357.8 201.6 361L201.6 378.4C201.6 390.3 211.3 400 223.2 400C235.1 400 244.8 390.3 244.8 378.4L244.8 363.2C253.7 362.2 262.2 360.2 270 357C288.8 349.5 304.3 334.8 308.5 312.4C312.7 289.2 303.6 267.5 284.2 254.2C269.3 244 249.4 238.4 233.8 233.9C231.5 233.3 229.1 232.6 226.8 231.1C215.4 228.9 203.5 225.7 193.6 219.4C181.1 211.4 190.2 199.8 201.2 195C213.6 189.7 228.9 188.5 242.1 191C249.2 192.4 256.2 194.4 263.2 196.3C264.7 196.8 266.3 197.2 267.8 197.6C279.3 200.8 291.2 194.1 294.4 182.6C297.6 171.1 290.8 159.2 279.3 155.1C277.5 155.5 275.6 154.9 273.8 154.4C264.2 151.7 254.5 149 244.8 147.8L244.8 133.6z"],
    "square-down": [448, 512, [11015, "arrow-alt-square-down"], "f350", "M64 480h320c35.35 0 64-28.65 64-64V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320C0 451.3 28.65 480 64 480zM97.22 265.9C99.69 259.9 105.5 256 112 256h64V160c0-17.67 14.33-32 32-32h32c17.67 0 32 14.33 32 32v96h64c6.469 0 12.31 3.891 14.78 9.875c2.484 5.984 1.109 12.86-3.469 17.44l-112 112c-6.248 6.248-16.38 6.248-22.62 0l-112-112C96.11 278.7 94.73 271.9 97.22 265.9z"],
    "square-down-left": [448, 512, [], "e26b", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.65 419.3 32 384 32zM325.9 222l-67.94 67.94l45.25 45.25c4.574 4.574 5.955 11.46 3.471 17.44c-2.477 5.984-8.309 9.875-14.78 9.875H133.5c-8.835 0-15.1-7.163-15.1-15.1v-158.4c0-6.477 3.889-12.31 9.877-14.78c5.979-2.488 12.86-1.109 17.44 3.469l45.25 45.25l67.94-67.94c12.5-12.5 32.7-12.44 45.2 .0548l22.63 22.63C338.3 189.3 338.4 209.5 325.9 222z"],
    "square-down-right": [448, 512, [], "e26c", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.65 419.3 32 384 32zM330.5 346.5c0 8.837-7.163 16-16 16h-158.4c-6.475 0-12.31-3.891-14.78-9.875c-2.484-5.98-1.104-12.86 3.471-17.44l45.25-45.25L122.1 222C109.6 209.5 109.7 189.3 122.2 176.8l22.63-22.63C157.3 141.7 177.5 141.6 190 154.1l67.92 67.92l45.25-45.25c4.574-4.578 11.46-5.957 17.44-3.469c5.988 2.473 9.877 8.305 9.877 14.78V346.5z"],
    "square-e": [448, 512, [], "e26d", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM264 232C277.3 232 288 242.8 288 256s-10.75 24-24 24H176v56h120c13.25 0 24 10.75 24 24S309.3 384 296 384h-144C138.8 384 128 373.3 128 360v-208C128 138.8 138.8 128 152 128h144C309.3 128 320 138.8 320 152S309.3 176 296 176H176v56H264z"],
    "square-ellipsis": [448, 512, [], "e26e", "M448 416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416zM192 256C192 273.7 206.3 288 224 288C241.7 288 256 273.7 256 256C256 238.3 241.7 224 224 224C206.3 224 192 238.3 192 256zM352 256C352 238.3 337.7 224 320 224C302.3 224 288 238.3 288 256C288 273.7 302.3 288 320 288C337.7 288 352 273.7 352 256zM96 256C96 273.7 110.3 288 128 288C145.7 288 160 273.7 160 256C160 238.3 145.7 224 128 224C110.3 224 96 238.3 96 256z"],
    "square-ellipsis-vertical": [448, 512, [], "e26f", "M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM224 288C241.7 288 256 273.7 256 256C256 238.3 241.7 224 224 224C206.3 224 192 238.3 192 256C192 273.7 206.3 288 224 288zM224 128C206.3 128 192 142.3 192 160C192 177.7 206.3 192 224 192C241.7 192 256 177.7 256 160C256 142.3 241.7 128 224 128zM224 384C241.7 384 256 369.7 256 352C256 334.3 241.7 320 224 320C206.3 320 192 334.3 192 352C192 369.7 206.3 384 224 384z"],
    "square-envelope": [448, 512, ["envelope-square"], "f199", "M384 32H64C28.63 32 0 60.63 0 96v320c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V96C448 60.63 419.4 32 384 32zM384 336c0 17.67-14.33 32-32 32H96c-17.67 0-32-14.33-32-32V225.9l138.5 69.27C209.3 298.5 216.6 300.2 224 300.2s14.75-1.688 21.47-5.047L384 225.9V336zM384 190.1l-152.8 76.42c-4.5 2.25-9.812 2.25-14.31 0L64 190.1V176c0-17.67 14.33-32 32-32h256c17.67 0 32 14.33 32 32V190.1z"],
    "square-exclamation": [448, 512, ["exclamation-square"], "f321", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM200 152C200 138.8 210.8 128 224 128s24 10.75 24 24v128c0 13.25-10.75 24-24 24S200 293.3 200 280V152zM224 400c-17.36 0-31.44-14.08-31.44-31.44c0-17.36 14.07-31.44 31.44-31.44s31.44 14.08 31.44 31.44C255.4 385.9 241.4 400 224 400z"],
    "square-f": [448, 512, [], "e270", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM296 176H176v64h88C277.3 240 288 250.8 288 264S277.3 288 264 288H176v72C176 373.3 165.3 384 152 384S128 373.3 128 360v-208C128 138.8 138.8 128 152 128h144C309.3 128 320 138.8 320 152S309.3 176 296 176z"],
    "square-fragile": [448, 512, ["box-fragile", "square-wine-glass-crack"], "f49b", "M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM128 208C128 255.6 162.6 295.1 208 302.7V384H160C151.2 384 144 391.2 144 400C144 408.8 151.2 416 160 416H288C296.8 416 304 408.8 304 400C304 391.2 296.8 384 288 384H240V302.7C285.4 295.1 320 255.6 320 208V118.3C320 105.1 310 96 297.7 96H240L272 160L224 192L256 256L176 192L208 160L176 96H150.3C137.1 96 128 105.1 128 118.3V208z"],
    "square-full": [512, 512, [128997, 128998, 128999, 129000, 129001, 129002, 129003, 11036, 11035], "f45c", "M0 0H512V512H0V0z"],
    "square-g": [448, 512, [], "e271", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM352 274.9c0 1.453-.125 2.922-.4062 4.344c-4.375 23.83-17.56 47.7-37.09 67.27C290.3 370.7 258.2 384 224 384s-66.34-13.31-90.5-37.48c-49.91-49.91-49.91-131.1 0-181C181.4 117.5 261.5 115.3 312 160.6c9.875 8.844 10.72 24.02 1.875 33.89C305 204.4 289.8 205.2 280 196.4c-31.91-28.56-82.34-27.19-112.6 3.062c-31.19 31.2-31.19 81.95 0 113.2c30.19 30.22 82.94 30.22 113.1 0c7.594-7.609 13.69-16 17.91-24.58H248C234.8 288 224 277.3 224 264s10.75-24 24-24h80C341.3 240 352 250.8 352 264V274.9z"],
    "square-h": [448, 512, ["h-square"], "f0fd", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM336 360c0 13.25-10.75 24-24 24S288 373.3 288 360v-80H160v80C160 373.3 149.3 384 136 384S112 373.3 112 360v-208C112 138.8 122.8 128 136 128S160 138.8 160 152v80h128v-80C288 138.8 298.8 128 312 128s24 10.75 24 24V360z"],
    "square-heart": [448, 512, [128159, "heart-square"], "f4c8", "M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM201.5 384.2C207.7 390.5 215.9 393.6 224 393.6C232.1 393.6 240.3 390.5 246.5 384.2L348.1 280.1C377.5 251.2 377.5 202.8 348.1 173C318.8 143.2 271.1 143.2 241.7 173L224 191L206.3 173C176.9 143.2 129.2 143.2 99.87 173C70.48 202.8 70.48 251.2 99.87 280.1L201.5 384.2z"],
    "square-i": [448, 512, [], "e272", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM296 336c13.25 0 24 10.75 24 24S309.3 384 296 384h-144C138.8 384 128 373.3 128 360s10.75-24 24-24h48v-160h-48C138.8 176 128 165.3 128 152S138.8 128 152 128h144C309.3 128 320 138.8 320 152S309.3 176 296 176h-48v160H296z"],
    "square-info": [448, 512, [8505, "info-square"], "f30f", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.65 419.3 32 384 32zM224 128c17.67 0 32 14.33 32 32c0 17.67-14.33 32-32 32S192 177.7 192 160C192 142.3 206.3 128 224 128zM264 384h-80C170.8 384 160 373.3 160 360s10.75-24 24-24h16v-64H192c-13.25 0-24-10.75-24-24S178.8 224 192 224h32c13.25 0 24 10.75 24 24v88h16c13.25 0 24 10.75 24 24S277.3 384 264 384z"],
    "square-j": [448, 512, [], "e273", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM304 290.7C304 342.1 260.9 384 208 384s-96-41.86-96-93.33V280C112 266.8 122.8 256 136 256S160 266.8 160 280v10.67C160 315.7 181.5 336 208 336S256 315.7 256 290.7V152C256 138.8 266.8 128 280 128s24 10.75 24 24V290.7z"],
    "square-k": [448, 512, [], "e274", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM243.7 242.3l72 104c7.547 10.89 4.828 25.84-6.078 33.39C305.5 382.6 300.7 384 296 384c-7.609 0-15.09-3.609-19.75-10.34L206.9 273.4L176 303.9V360C176 373.3 165.3 384 152 384S128 373.3 128 360v-208C128 138.8 138.8 128 152 128S176 138.8 176 152v84.5l103.2-101.6c9.453-9.297 24.67-9.172 33.94 .25c9.312 9.453 9.188 24.64-.25 33.94l-71.78 70.69C241.9 240.7 243 241.3 243.7 242.3z"],
    "square-kanban": [448, 512, [], "e488", "M64 480C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64zM320 384C337.7 384 352 369.7 352 352V160C352 142.3 337.7 128 320 128C302.3 128 288 142.3 288 160V352C288 369.7 302.3 384 320 384zM256 160C256 142.3 241.7 128 224 128C206.3 128 192 142.3 192 160V224C192 241.7 206.3 256 224 256C241.7 256 256 241.7 256 224V160zM128 320C145.7 320 160 305.7 160 288V160C160 142.3 145.7 128 128 128C110.3 128 96 142.3 96 160V288C96 305.7 110.3 320 128 320z"],
    "square-l": [448, 512, [], "e275", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM296 384h-144C138.8 384 128 373.3 128 360v-208C128 138.8 138.8 128 152 128S176 138.8 176 152v184h120c13.25 0 24 10.75 24 24S309.3 384 296 384z"],
    "square-left": [448, 512, [11013, "arrow-alt-square-left"], "f351", "M0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96zM214.1 129.2C220.1 131.7 224 137.5 224 144v64h96c17.67 0 32 14.33 32 32v32c0 17.67-14.33 32-32 32h-96v64c0 6.469-3.891 12.31-9.875 14.78c-5.984 2.484-12.86 1.109-17.44-3.469l-112-112c-6.248-6.248-6.248-16.38 0-22.62l112-112C201.3 128.1 208.1 126.7 214.1 129.2z"],
    "square-list": [448, 512, [], "e489", "M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM128 256C128 238.3 113.7 224 96 224C78.33 224 64 238.3 64 256C64 273.7 78.33 288 96 288C113.7 288 128 273.7 128 256zM128 160C128 142.3 113.7 128 96 128C78.33 128 64 142.3 64 160C64 177.7 78.33 192 96 192C113.7 192 128 177.7 128 160zM128 352C128 334.3 113.7 320 96 320C78.33 320 64 334.3 64 352C64 369.7 78.33 384 96 384C113.7 384 128 369.7 128 352zM192 136C178.7 136 168 146.7 168 160C168 173.3 178.7 184 192 184H352C365.3 184 376 173.3 376 160C376 146.7 365.3 136 352 136H192zM192 232C178.7 232 168 242.7 168 256C168 269.3 178.7 280 192 280H352C365.3 280 376 269.3 376 256C376 242.7 365.3 232 352 232H192zM192 328C178.7 328 168 338.7 168 352C168 365.3 178.7 376 192 376H352C365.3 376 376 365.3 376 352C376 338.7 365.3 328 352 328H192z"],
    "square-m": [448, 512, [], "e276", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM352 360c0 13.25-10.75 24-24 24s-24-10.75-24-24V226.2l-60.55 83.83c-9.031 12.5-29.88 12.5-38.91 0L144 226.2V360C144 373.3 133.3 384 120 384S96 373.3 96 360v-208c0-10.41 6.719-19.64 16.61-22.83c9.859-3.25 20.75 .3125 26.84 8.781L224 255l84.55-117.1c6.094-8.469 16.89-12.03 26.84-8.781C345.3 132.4 352 141.6 352 152V360z"],
    "square-minus": [448, 512, [61767, "minus-square"], "f146", "M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM136 232C122.7 232 112 242.7 112 256C112 269.3 122.7 280 136 280H312C325.3 280 336 269.3 336 256C336 242.7 325.3 232 312 232H136z"],
    "square-n": [448, 512, [], "e277", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM320 360c0 10.5-6.828 19.78-16.84 22.91C300.8 383.6 298.4 384 296 384c-7.719 0-15.17-3.734-19.73-10.34L176 228.8V360C176 373.3 165.3 384 152 384S128 373.3 128 360v-208c0-10.5 6.828-19.78 16.84-22.91c10.02-3.062 20.94 .6094 26.89 9.25L272 283.2V152C272 138.8 282.8 128 296 128S320 138.8 320 152V360z"],
    "square-nfi": [448, 512, [], "e576", "M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM64 176V336C64 344.8 71.16 352 80 352C88.84 352 96 344.8 96 336V233.8L162.3 344.2C165.1 350.4 173.3 353.3 180.3 351.4C187.2 349.5 191.1 343.2 191.1 336V176C191.1 167.2 184.8 160 175.1 160C167.2 160 159.1 167.2 159.1 176V278.2L93.72 167.8C90.02 161.6 82.66 158.7 75.73 160.6C68.8 162.5 64 168.8 64 176V176zM224 336C224 344.8 231.2 352 240 352C248.8 352 256 344.8 256 336V256H304C312.8 256 320 248.8 320 240C320 231.2 312.8 224 304 224H256V192H304C312.8 192 320 184.8 320 176C320 167.2 312.8 160 304 160H240C231.2 160 224 167.2 224 176V336zM384 176C384 167.2 376.8 160 368 160C359.2 160 352 167.2 352 176V336C352 344.8 359.2 352 368 352C376.8 352 384 344.8 384 336V176z"],
    "square-o": [448, 512, [], "e278", "M224 176C179.9 176 144 211.9 144 256s35.89 80 80 80s80-35.89 80-80S268.1 176 224 176zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM224 384c-70.58 0-128-57.42-128-128s57.42-128 128-128s128 57.42 128 128S294.6 384 224 384z"],
    "square-p": [448, 512, [], "e279", "M248 176H176V256h72C270.1 256 288 238.1 288 216S270.1 176 248 176zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM248 304H176v56C176 373.3 165.3 384 152 384S128 373.3 128 360v-208C128 138.8 138.8 128 152 128h96c48.53 0 88 39.47 88 88S296.5 304 248 304z"],
    "square-parking": [448, 512, [127359, "parking"], "f540", "M192 256V192H240C257.7 192 272 206.3 272 224C272 241.7 257.7 256 240 256H192zM384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM336 224C336 170.1 293 128 240 128H168C145.9 128 128 145.9 128 168V352C128 369.7 142.3 384 160 384C177.7 384 192 369.7 192 352V320H240C293 320 336 277 336 224z"],
    "square-parking-slash": [640, 512, ["parking-slash"], "f617", "M107.7 59.11C119.3 42.71 138.4 32 159.1 32H480C515.3 32 544 60.65 544 96V401.1L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L107.7 59.11zM227 152.7L287.1 200.4V192H336C353.7 192 368 206.3 368 224C368 235.5 361.9 245.6 352.8 251.2L404.2 291.5C421.4 274.2 432 250.3 432 224C432 170.1 389 128 336 128H263.1C247.3 128 233.1 138.2 227 152.7V152.7zM223.1 352C223.1 369.7 238.3 384 255.1 384C273.7 384 287.1 369.7 287.1 352V322.9L486.9 479.6C484.6 479.9 482.3 480 480 480H159.1C124.7 480 95.1 451.3 95.1 416V171.6L223.1 272.5V352z"],
    "square-pen": [448, 512, ["pen-square", "pencil-square"], "f14b", "M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM325.8 139.7C310.1 124.1 284.8 124.1 269.2 139.7L247.8 161.1L318.7 232.1L340.1 210.7C355.8 195 355.8 169.7 340.1 154.1L325.8 139.7zM111.5 303.8L96.48 363.1C95.11 369.4 96.71 375.2 100.7 379.2C104.7 383.1 110.4 384.7 115.9 383.4L176 368.3C181.6 366.9 186.8 364 190.9 359.9L296.1 254.7L225.1 183.8L119.9 288.1C115.8 293.1 112.9 298.2 111.5 303.8z"],
    "square-person-confined": [448, 512, [], "e577", "M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM208 96C181.5 96 160 117.5 160 144C160 170.5 181.5 192 208 192C234.5 192 256 170.5 256 144C256 117.5 234.5 96 208 96zM240 306.7L198.6 265.4C191.4 258.1 181 254.8 170.9 256.4C160.7 258.1 151.1 264.5 147.4 273.7L99.39 369.7C91.48 385.5 97.89 404.7 113.7 412.6C129.5 420.5 148.7 414.1 156.6 398.3L184.8 342L239.4 396.7C251.8 409.1 268.6 416 286.1 416C322.5 416 352 386.5 352 350.1V248C352 217.1 326.9 192 296 192C265.1 192 240 217.1 240 248V306.7z"],
    "square-phone": [448, 512, ["phone-square"], "f098", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM351.6 321.5l-11.62 50.39c-1.633 7.125-7.9 12.11-15.24 12.11c-126.1 0-228.7-102.6-228.7-228.8c0-7.328 4.984-13.59 12.11-15.22l50.38-11.63c7.344-1.703 14.88 2.109 17.93 9.062l23.27 54.28c2.719 6.391 .8828 13.83-4.492 18.22L168.3 232c16.99 34.61 45.14 62.75 79.77 79.75l22.02-26.91c4.344-5.391 11.85-7.25 18.24-4.484l54.24 23.25C349.5 306.6 353.3 314.2 351.6 321.5z"],
    "square-phone-flip": [448, 512, ["phone-square-alt"], "f87b", "M0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96zM105.5 303.6l54.24-23.25c6.391-2.766 13.9-.9062 18.24 4.484l22.02 26.91c34.63-17 62.77-45.14 79.77-79.75l-26.91-22.05c-5.375-4.391-7.211-11.83-4.492-18.22l23.27-54.28c3.047-6.953 10.59-10.77 17.93-9.062l50.38 11.63c7.125 1.625 12.11 7.891 12.11 15.22c0 126.1-102.6 228.8-228.7 228.8c-7.336 0-13.6-4.984-15.24-12.11l-11.62-50.39C94.71 314.2 98.5 306.6 105.5 303.6z"],
    "square-phone-hangup": [448, 512, ["phone-square-down"], "e27a", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM387.1 278.2l-27.41 43.85c-3.988 6.396-11.99 9.009-19.06 6.248l-54.81-21.92c-6.441-2.596-10.42-9.162-9.721-16.07l3.449-34.61c-36.49-12.46-76.29-12.47-112.8-.0034l3.445 34.61C171.8 297.2 167.8 303.8 161.3 306.4l-54.82 21.93c-7.037 2.797-15.11 .0947-19.07-6.259l-27.4-43.85C56.16 272 57.06 264.1 62.25 258.9c89.18-89.18 234.3-89.2 323.5-.0019C390.9 264.1 391.8 272 387.1 278.2z"],
    "square-plus": [448, 512, [61846, "plus-square"], "f0fe", "M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM224 368C237.3 368 248 357.3 248 344V280H312C325.3 280 336 269.3 336 256C336 242.7 325.3 232 312 232H248V168C248 154.7 237.3 144 224 144C210.7 144 200 154.7 200 168V232H136C122.7 232 112 242.7 112 256C112 269.3 122.7 280 136 280H200V344C200 357.3 210.7 368 224 368z"],
    "square-poll-horizontal": [448, 512, ["poll-h"], "f682", "M448 416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416zM256 160C256 142.3 241.7 128 224 128H128C110.3 128 96 142.3 96 160C96 177.7 110.3 192 128 192H224C241.7 192 256 177.7 256 160zM128 224C110.3 224 96 238.3 96 256C96 273.7 110.3 288 128 288H320C337.7 288 352 273.7 352 256C352 238.3 337.7 224 320 224H128zM192 352C192 334.3 177.7 320 160 320H128C110.3 320 96 334.3 96 352C96 369.7 110.3 384 128 384H160C177.7 384 192 369.7 192 352z"],
    "square-poll-vertical": [448, 512, ["poll"], "f681", "M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM128 224C110.3 224 96 238.3 96 256V352C96 369.7 110.3 384 128 384C145.7 384 160 369.7 160 352V256C160 238.3 145.7 224 128 224zM192 352C192 369.7 206.3 384 224 384C241.7 384 256 369.7 256 352V160C256 142.3 241.7 128 224 128C206.3 128 192 142.3 192 160V352zM320 288C302.3 288 288 302.3 288 320V352C288 369.7 302.3 384 320 384C337.7 384 352 369.7 352 352V320C352 302.3 337.7 288 320 288z"],
    "square-q": [448, 512, [], "e27b", "M224 176C179.9 176 144 211.9 144 256s35.88 80 80 80c13.31 0 25.67-3.576 36.72-9.344l-29.69-29.69c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0l29.69 29.69C300.4 281.7 304 269.3 304 256C304 211.9 268.1 176 224 176zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM344.1 343c9.375 9.375 9.375 24.56 0 33.94C340.3 381.7 334.2 384 328 384s-12.28-2.344-16.97-7.031l-15.15-15.15C275.4 375.8 250.6 384 224 384c-70.59 0-128-57.42-128-128s57.41-128 128-128s128 57.42 128 128c0 26.63-8.211 51.37-22.19 71.88L344.1 343z"],
    "square-quarters": [448, 512, [], "e44e", "M384 32H64C28.64 32 0 60.64 0 96v320c0 35.36 28.64 64 64 64h320c35.36 0 64-28.64 64-64V96C448 60.64 419.4 32 384 32zM384 416H64l160-160L64 96h320l-160 160L384 416z"],
    "square-question": [448, 512, ["question-square"], "f2fd", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM224 400c-18 0-32-14-32-32s13.1-32 32-32c17.1 0 32 14 32 32S241.1 400 224 400zM293.1 258L248 286V288c0 13-11 24-24 24S200 301 200 288V272c0-8 4-16 12-21l57-34C276 213 280 206 280 198c0-12-10-22-22-22h-52C193.1 176 184 186 184 198c0 13-11 24-24 24s-24-11-24-24C136 159 167 128 205.1 128h52C297 128 328 159 328 198C328 222 315 245 293.1 258z"],
    "square-quote": [448, 512, [], "e329", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM208 280C208 319.7 175.7 352 136 352c-13.25 0-24-10.75-24-24S122.8 304 136 304C149.2 304 160 293.2 160 280V271.2C157.4 271.6 154.7 272 152 272C121.1 272 96 246.9 96 216S121.1 160 152 160S208 185.1 208 216V280zM352 280C352 319.7 319.7 352 280 352C266.8 352 256 341.3 256 328s10.75-24 24-24c13.23 0 24-10.77 24-24V271.2C301.4 271.6 298.7 272 296 272c-30.93 0-56-25.07-56-56S265.1 160 296 160S352 185.1 352 216V280z"],
    "square-r": [448, 512, [], "e27c", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM323.4 345.9c7.812 10.72 5.438 25.72-5.281 33.52C313.8 382.5 308.9 384 304 384c-7.438 0-14.75-3.422-19.44-9.891L221.1 288H176v72C176 373.3 165.3 384 152 384S128 373.3 128 360v-208C128 138.8 138.8 128 152 128H256c44.13 0 80 35.89 80 80c0 36.2-24.31 66.5-57.36 76.34L323.4 345.9zM256 176H176v64H256c17.66 0 32-14.36 32-32S273.7 176 256 176z"],
    "square-right": [448, 512, [10145, "arrow-alt-square-right"], "f352", "M448 416V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320C419.3 480 448 451.3 448 416zM233.9 382.8C227.9 380.3 224 374.5 224 368v-64H128c-17.67 0-32-14.33-32-32v-32c0-17.67 14.33-32 32-32h96v-64c0-6.469 3.891-12.31 9.875-14.78c5.984-2.484 12.86-1.109 17.44 3.469l112 112c6.248 6.248 6.248 16.38 0 22.62l-112 112C246.7 383.9 239.9 385.3 233.9 382.8z"],
    "square-ring": [448, 512, [], "e44f", "M224 160C170.1 160 128 202.1 128 256s42.98 96 96 96s96-42.98 96-96S277 160 224 160zM384 32H64C28.64 32 0 60.64 0 96v320c0 35.36 28.64 64 64 64h320c35.36 0 64-28.64 64-64V96C448 60.64 419.4 32 384 32zM224 416c-88.35 0-160-71.65-160-160s71.65-160 160-160s160 71.65 160 160S312.4 416 224 416z"],
    "square-root": [576, 512, [8730], "f697", "M207.1 512c-12.02 0-23.15-6.776-28.61-17.68L76.22 288H32c-17.67 0-32-14.31-32-32s14.33-31.1 32-31.1l64-.0049c12.12 0 23.2 6.849 28.62 17.69l73.31 146.6l91.02-364.1C292.5 10.01 305.3 .0098 320 .0098l224 .0049c17.67 0 32 14.31 32 31.1s-14.33 32-32 32h-199L239 487.8c-3.25 13-14.25 22.59-27.56 24.06C210.3 511.1 209.2 512 207.1 512z"],
    "square-root-variable": [576, 512, ["square-root-alt"], "f698", "M576 32.01c0-17.69-14.33-31.1-32-31.1l-224-.0049c-14.69 0-27.48 10-31.05 24.25L197.9 388.3L124.6 241.7C119.2 230.9 108.1 224 96 224L32 224c-17.67 0-32 14.31-32 31.1s14.33 32 32 32h44.22l103.2 206.3c5.469 10.91 16.6 17.68 28.61 17.68c1.172 0 2.323-.0576 3.495-.1826c13.31-1.469 24.31-11.06 27.56-24.06l105.9-423.8H544C561.7 64.01 576 49.7 576 32.01zM566.6 233.4c-12.5-12.5-32.75-12.5-45.25 0L480 274.8l-41.38-41.37c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25l41.38 41.38l-41.38 41.38c-12.5 12.5-12.5 32.75 0 45.25C399.6 412.9 407.8 416 416 416s16.38-3.125 22.62-9.375L480 365.3l41.38 41.38C527.6 412.9 535.8 416 544 416s16.38-3.125 22.62-9.375c12.5-12.5 12.5-32.75 0-45.25l-41.38-41.38L566.6 278.6C579.1 266.1 579.1 245.9 566.6 233.4z"],
    "square-rss": [448, 512, ["rss-square"], "f143", "M384 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM150.6 374.6C144.4 380.9 136.2 384 128 384s-16.38-3.121-22.63-9.371c-12.5-12.5-12.5-32.76 0-45.26C111.6 323.1 119.8 320 128 320s16.38 3.121 22.63 9.371C163.1 341.9 163.1 362.1 150.6 374.6zM249.6 383.9C249 383.1 248.5 384 247.1 384c-12.53 0-23.09-9.75-23.92-22.44C220.5 306.9 173.1 259.5 118.4 255.9c-13.22-.8438-23.25-12.28-22.39-25.5c.8594-13.25 12.41-22.81 25.52-22.38c77.86 5.062 145.3 72.5 150.4 150.4C272.8 371.7 262.8 383.1 249.6 383.9zM345 383.1C344.7 384 344.3 384 343.1 384c-12.8 0-23.42-10.09-23.97-23C315.6 254.6 225.4 164.4 119 159.1C105.8 159.4 95.47 148.3 96.02 135C96.58 121.8 107.9 111.2 121 112c130.7 5.469 241.5 116.3 246.1 246.1C368.5 372.3 358.3 383.4 345 383.1z"],
    "square-s": [448, 512, [], "e27d", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM318.7 323.9c-3.844 21.47-15.56 38.25-33.94 48.53c-15.16 8.469-32.94 11.58-50.94 11.58c-35.75 0-72.31-12.31-90.63-19.48c-12.34-4.844-18.41-18.78-13.56-31.11c4.844-12.39 18.91-18.33 31.12-13.58c42.06 16.55 82.47 20.8 100.6 10.7c5.781-3.25 8.812-7.75 10.12-15.06c2.812-15.78-3.938-22.45-53.88-36.31c-39.66-11-99.59-27.62-88.31-91c3.375-18.83 14.22-35 30.59-45.55c27.03-17.38 67.84-19.25 121.5-5.562c12.84 3.266 20.59 16.34 17.31 29.19c-3.25 12.84-16.38 20.61-29.19 17.31C216.7 170.1 194.5 177.5 185.9 183c-5.188 3.344-8.312 7.922-9.344 13.61c-2.812 15.78 3.938 22.45 53.88 36.31C270.1 243.9 329.1 260.6 318.7 323.9z"],
    "square-share-nodes": [448, 512, ["share-alt-square"], "f1e1", "M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM320 96C284.7 96 256 124.7 256 160C256 162.5 256.1 164.9 256.4 167.3L174.5 212C162.8 199.7 146.3 192 128 192C92.65 192 64 220.7 64 256C64 291.3 92.65 320 128 320C146.3 320 162.8 312.3 174.5 299.1L256.4 344.7C256.1 347.1 256 349.5 256 352C256 387.3 284.7 416 320 416C355.3 416 384 387.3 384 352C384 316.7 355.3 288 320 288C304.6 288 290.5 293.4 279.4 302.5L194.1 256L279.4 209.5C290.5 218.6 304.6 224 320 224C355.3 224 384 195.3 384 160C384 124.7 355.3 96 320 96V96z"],
    "square-sliders": [448, 512, ["sliders-h-square"], "f3f0", "M64 480C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64zM384 336C384 318.3 369.7 304 352 304H320V288C320 270.3 305.7 256 288 256C270.3 256 256 270.3 256 288V304H96C78.33 304 64 318.3 64 336C64 353.7 78.33 368 96 368H256V384C256 401.7 270.3 416 288 416C305.7 416 320 401.7 320 384V368H352C369.7 368 384 353.7 384 336zM192 144V128C192 110.3 177.7 96 160 96C142.3 96 128 110.3 128 128V144H96C78.33 144 64 158.3 64 176C64 193.7 78.33 208 96 208H128V224C128 241.7 142.3 256 160 256C177.7 256 192 241.7 192 224V208H352C369.7 208 384 193.7 384 176C384 158.3 369.7 144 352 144H192z"],
    "square-sliders-vertical": [448, 512, ["sliders-v-square"], "f3f2", "M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM112 128V160H96C78.33 160 64 174.3 64 192C64 209.7 78.33 224 96 224H112V384C112 401.7 126.3 416 144 416C161.7 416 176 401.7 176 384V224H192C209.7 224 224 209.7 224 192C224 174.3 209.7 160 192 160H176V128C176 110.3 161.7 96 144 96C126.3 96 112 110.3 112 128zM336 128C336 110.3 321.7 96 304 96C286.3 96 272 110.3 272 128V288H256C238.3 288 224 302.3 224 320C224 337.7 238.3 352 256 352H272V384C272 401.7 286.3 416 304 416C321.7 416 336 401.7 336 384V352H352C369.7 352 384 337.7 384 320C384 302.3 369.7 288 352 288H336V128z"],
    "square-small": [320, 512, [], "e27e", "M0 160C0 124.7 28.65 96 64 96H256C291.3 96 320 124.7 320 160V352C320 387.3 291.3 416 256 416H64C28.65 416 0 387.3 0 352V160z"],
    "square-star": [448, 512, [], "e27f", "M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM209.7 112.9L173.4 186.4L92.36 198.1C86.33 199 81.32 203.2 79.44 209C77.56 214.8 79.13 221.2 83.49 225.4L142.1 282.6L128.3 363.3C127.3 369.3 129.7 375.4 134.7 378.1C139.6 382.6 146.1 383 151.5 380.2L223.1 342.1L296.5 380.2C301.9 383 308.4 382.6 313.3 378.1C318.3 375.4 320.7 369.3 319.7 363.3L305.9 282.6L364.5 225.4C368.9 221.2 370.4 214.8 368.6 209C366.7 203.2 361.7 199 355.6 198.1L274.6 186.4L238.3 112.9C235.7 107.5 230.1 104 223.1 104C217.9 104 212.3 107.5 209.7 112.9H209.7z"],
    "square-t": [448, 512, [], "e280", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM328 176h-80v184c0 13.25-10.75 24-24 24s-24-10.75-24-24V176h-80C106.8 176 96 165.3 96 152S106.8 128 120 128h208C341.3 128 352 138.8 352 152S341.3 176 328 176z"],
    "square-terminal": [448, 512, [], "e32a", "M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM70.31 151.8C61.35 161.6 62.01 176.7 71.78 185.7L148.5 256L71.78 326.3C62.01 335.3 61.35 350.4 70.31 360.2C79.26 369.1 94.45 370.6 104.2 361.7L200.2 273.7C205.2 269.1 208 262.7 208 255.1C208 249.3 205.2 242.9 200.2 238.3L104.2 150.3C94.45 141.4 79.26 142 70.31 151.8V151.8zM216 336C202.7 336 192 346.7 192 360C192 373.3 202.7 384 216 384H360C373.3 384 384 373.3 384 360C384 346.7 373.3 336 360 336H216z"],
    "square-this-way-up": [448, 512, ["box-up"], "f49f", "M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM80 384C71.16 384 64 391.2 64 400C64 408.8 71.16 416 80 416H368C376.8 416 384 408.8 384 400C384 391.2 376.8 384 368 384H80zM288 192V304C288 312.8 295.2 320 304 320H336C344.8 320 352 312.8 352 304V192H374.6C384.2 192 392 184.2 392 174.6C392 170.4 390.4 166.2 387.6 163.1L333.3 101.1C329.9 98.18 325.1 96 320 96C314.9 96 310.1 98.18 306.7 101.1L252.4 163.1C249.6 166.2 248 170.4 248 174.6C248 184.2 255.8 192 265.4 192H288zM96 192V304C96 312.8 103.2 320 112 320H144C152.8 320 160 312.8 160 304V192H182.6C192.2 192 200 184.2 200 174.6C200 170.4 198.4 166.2 195.6 163.1L141.3 101.1C137.9 98.18 133.1 96 128 96C122.9 96 118.1 98.18 114.7 101.1L60.39 163.1C57.56 166.2 56 170.4 56 174.6C56 184.2 63.79 192 73.39 192H96z"],
    "square-u": [448, 512, [], "e281", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM336 274.9C336 335.1 285.8 384 224 384s-112-48.94-112-109.1V152C112 138.8 122.8 128 136 128S160 138.8 160 152v122.9C160 308.6 188.7 336 224 336s64-27.41 64-61.09V152C288 138.8 298.8 128 312 128s24 10.75 24 24V274.9z"],
    "square-up": [448, 512, [11014, "arrow-alt-square-up"], "f353", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM350.8 246.1C348.3 252.1 342.5 256 336 256h-64v96c0 17.67-14.33 32-32 32h-32c-17.67 0-32-14.33-32-32V256h-64C105.5 256 99.69 252.1 97.22 246.1C94.73 240.1 96.11 233.3 100.7 228.7l112-112c6.248-6.248 16.38-6.248 22.62 0l112 112C351.9 233.3 353.3 240.1 350.8 246.1z"],
    "square-up-left": [448, 512, [], "e282", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.65 419.3 32 384 32zM325.8 335.2l-22.63 22.63c-12.5 12.5-32.72 12.54-45.21 .0411L190.1 289.9l-45.25 45.25c-4.574 4.574-11.46 5.953-17.44 3.469c-5.988-2.477-9.877-8.309-9.877-14.78v-158.4c0-8.837 7.163-16 16-16h158.4c6.475 0 12.31 3.891 14.78 9.875c2.484 5.977 1.104 12.86-3.471 17.44l-45.25 45.25l67.92 67.92C338.4 302.5 338.3 322.7 325.8 335.2z"],
    "square-up-right": [448, 512, [8599, "external-link-square-alt"], "f360", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.65 419.3 32 384 32zM330.5 323.9c0 6.473-3.889 12.3-9.877 14.78c-5.979 2.484-12.86 1.105-17.44-3.469l-45.25-45.25l-67.92 67.92c-12.5 12.5-32.72 12.46-45.21-.0411l-22.63-22.63C109.7 322.7 109.6 302.5 122.1 289.1l67.92-67.92L144.8 176.8C140.2 172.2 138.8 165.3 141.3 159.4c2.477-5.984 8.309-9.875 14.78-9.875h158.4c8.835 0 15.1 7.163 15.1 15.1V323.9z"],
    "square-user": [448, 512, [], "e283", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM224 128c39.77 0 72 32.23 72 72c0 39.76-32.23 72-72 72c-39.76 0-72-32.24-72-72C152 160.2 184.2 128 224 128zM81.61 416C89.44 361.8 135.6 320 192 320h64c56.38 0 102.6 41.79 110.4 96H81.61z"],
    "square-v": [448, 512, [], "e284", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM349.5 162.7l-104 208C241.4 378.9 233.1 384 224 384s-17.41-5.141-21.47-13.27l-104-208C92.61 150.9 97.41 136.5 109.3 130.5c11.92-5.891 26.28-1.125 32.2 10.73L224 306.3l82.53-165.1c5.938-11.86 20.34-16.62 32.2-10.73C350.6 136.5 355.4 150.9 349.5 162.7z"],
    "square-virus": [448, 512, [], "e578", "M160 224C160 206.3 174.3 192 192 192C209.7 192 224 206.3 224 224C224 241.7 209.7 256 192 256C174.3 256 160 241.7 160 224zM280 288C280 301.3 269.3 312 256 312C242.7 312 232 301.3 232 288C232 274.7 242.7 264 256 264C269.3 264 280 274.7 280 288zM384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM199.8 117.7C199.8 146.9 164.5 161.6 143.8 140.9C134.4 131.5 119.2 131.5 109.8 140.9C100.5 150.2 100.5 165.4 109.8 174.8C130.5 195.5 115.9 230.9 86.61 230.9C73.35 230.9 62.61 241.6 62.61 254.9C62.61 268.1 73.35 278.9 86.61 278.9C115.9 278.9 130.5 314.3 109.8 334.9C100.5 344.3 100.5 359.5 109.8 368.9C119.2 378.3 134.4 378.3 143.8 368.9C164.5 348.2 199.8 362.9 199.8 392.1C199.8 405.4 210.6 416.1 223.8 416.1C237.1 416.1 247.8 405.4 247.8 392.1C247.8 362.9 283.2 348.2 303.9 368.9C313.3 378.3 328.5 378.3 337.8 368.9C347.2 359.5 347.2 344.3 337.8 334.9C317.2 314.3 331.8 278.9 361.1 278.9C374.3 278.9 385.1 268.1 385.1 254.9C385.1 241.6 374.3 230.9 361.1 230.9C331.8 230.9 317.2 195.5 337.8 174.8C347.2 165.4 347.2 150.2 337.8 140.9C328.5 131.5 313.3 131.5 303.9 140.9C283.2 161.6 247.8 146.9 247.8 117.7C247.8 104.4 237.1 93.65 223.8 93.65C210.6 93.65 199.8 104.4 199.8 117.7H199.8z"],
    "square-w": [448, 512, [], "e285", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM366.9 159.1l-64 208C299.8 377.1 290.5 384 280 384h-.4219c-10.7-.1875-19.97-7.438-22.75-17.77L224 244.3l-32.83 121.9C188.4 376.6 179.1 383.8 168.4 384c-10.73-.0156-20.22-6.734-23.36-16.94l-64-208c-3.906-12.67 3.203-26.11 15.88-30c12.66-3.859 26.09 3.203 30 15.88L166.5 273.4l34.36-127.6C203.6 135.3 213.1 128 224 128s20.36 7.281 23.17 17.77l34.36 127.6l39.53-128.5c3.891-12.67 17.34-19.7 30-15.88C363.7 132.1 370.8 146.4 366.9 159.1z"],
    "square-x": [448, 512, [], "e286", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM330.3 344.5c8.562 10.11 7.297 25.27-2.828 33.83C323 382.1 317.5 384 312 384c-6.812 0-13.59-2.891-18.34-8.5L224 293.2L154.3 375.5C149.6 381.1 142.8 384 135.1 384C130.5 384 125 382.1 120.5 378.3c-10.12-8.562-11.39-23.72-2.828-33.83L192.6 256L117.7 167.5C109.1 157.4 110.4 142.2 120.5 133.7C130.6 125.1 145.8 126.4 154.3 136.5L224 218.8l69.67-82.34c8.547-10.12 23.72-11.41 33.83-2.828c10.12 8.562 11.39 23.72 2.828 33.83L255.4 256L330.3 344.5z"],
    "square-xmark": [448, 512, [10062, "times-square", "xmark-square"], "f2d3", "M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM143 208.1L190.1 255.1L143 303C133.7 312.4 133.7 327.6 143 336.1C152.4 346.3 167.6 346.3 176.1 336.1L223.1 289.9L271 336.1C280.4 346.3 295.6 346.3 304.1 336.1C314.3 327.6 314.3 312.4 304.1 303L257.9 255.1L304.1 208.1C314.3 199.6 314.3 184.4 304.1 175C295.6 165.7 280.4 165.7 271 175L223.1 222.1L176.1 175C167.6 165.7 152.4 165.7 143 175C133.7 184.4 133.7 199.6 143 208.1V208.1z"],
    "square-y": [448, 512, [], "e287", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM346.2 167.6L248 282.2V360c0 13.25-10.75 24-24 24s-24-10.75-24-24V282.2L101.8 167.6C93.16 157.6 94.31 142.4 104.4 133.8c10.08-8.625 25.22-7.438 33.84 2.594L224 236.5l85.78-100.1c8.641-10.05 23.77-11.27 33.84-2.594C353.7 142.4 354.8 157.6 346.2 167.6z"],
    "square-z": [448, 512, [], "e288", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM296 384h-144c-8.938 0-17.12-4.953-21.25-12.86c-4.156-7.906-3.562-17.47 1.531-24.8L250.2 176H152C138.8 176 128 165.3 128 152S138.8 128 152 128h144c8.938 0 17.12 4.953 21.25 12.86c4.156 7.906 3.562 17.47-1.531 24.8L197.8 336H296c13.25 0 24 10.75 24 24S309.3 384 296 384z"],
    "squid": [512, 512, [129425], "e450", "M289.9 336.9C288.2 337.5 286.7 338.5 285.3 339.8C284.1 341 283.1 342.5 282.4 344.1C281.8 345.7 281.4 347.5 281.4 349.2C281.4 351 281.8 352.7 282.4 354.4C283.1 356 284.1 357.5 285.3 358.7L321.3 394.2C322.8 395.7 324.6 396.9 326.5 397.7C328.5 398.5 330.6 398.9 332.7 398.9C334.8 398.9 336.9 398.5 338.8 397.7C340.8 396.9 342.5 395.7 344 394.2L404.8 333.8C409.3 329.3 414.7 325.7 420.6 323.3C426.5 320.9 432.8 319.7 439.2 319.8C445.6 319.8 451.9 321.1 457.7 323.7C463.6 326.2 468.9 329.8 473.3 334.4L508.1 373.1L508.3 373.6C510.8 376.6 512.2 380.5 512 384.5C511.9 388.5 510.3 392.2 507.5 395.1C491.1 411.6 469.1 421.5 445.8 422.8C422.5 424.1 399.6 416.7 381.4 402.1L366.6 416.9C361.6 421.9 355.5 425.7 348.9 428.1C342.3 430.5 335.2 431.4 328.2 430.7C316.4 429.4 305.5 424.1 297.3 415.6L265.9 384.2C262.6 380.8 258.1 378.1 253.4 378.1C248.7 378.1 244.2 380.8 240.9 384.2L240.5 384.5C237.2 387.8 235.4 392.3 235.4 397.1C235.4 401.8 237.2 406.3 240.5 409.6L260.8 429.9C269.8 438.9 274.9 451.1 274.9 463.8C274.9 476.6 269.8 488.8 260.8 497.8L252 506.5C249.3 509.3 245.7 511.1 241.9 511.5C238 511.1 234.1 511 230.9 508.9C228.1 507.5 227.4 505.8 226.2 503.8C225.1 501.7 224.4 499.5 224.2 497.2C223.1 494.8 224.3 492.5 225.1 490.3C225.9 488.1 227.2 486.1 228.8 484.5L238.2 475.1C241.2 472.1 242.9 468.1 242.9 463.8C242.9 459.6 241.2 455.5 238.2 452.5L198.7 413.1C196.8 411.2 194.5 409.8 192 408.1C189.5 408.1 186.9 407.8 184.3 408.2C181.6 408.5 179.1 409.3 176.9 410.7C174.6 412.1 172.7 414 171.3 416.3L148.4 445.5C145.4 449.7 143.9 454.8 144.2 459.9C144.6 465.1 146.8 469.9 150.4 473.6C152.4 475.6 154.7 477.2 157.3 478.3C159.9 479.4 162.7 479.1 165.6 479.1H175.2C179.1 479.9 182.9 481.2 185.9 483.6C188.9 486.1 191 489.5 191.8 493.3C192.2 495.6 192.1 497.1 191.4 500.2C190.8 502.5 189.7 504.5 188.2 506.3C186.7 508.1 184.9 509.5 182.7 510.5C180.6 511.5 178.3 512 176 511.1H165.4C158.4 512 151.5 510.7 145 508C138.6 505.4 132.7 501.5 127.7 496.6C118.6 487.4 113.2 475.3 112.3 462.4C111.4 449.5 115.2 436.8 122.9 426.4L145.3 397.6C148.3 393.4 149.7 388.2 149.2 382.1C148.8 377.8 146.5 372.9 142.8 369.2C139.1 365.6 134.3 363.3 129.1 362.8C123.9 362.4 118.7 363.7 114.4 366.7L85.79 389.1C75.47 396.9 62.71 400.6 49.83 399.8C36.96 398.9 24.83 393.4 15.65 384.3C10.67 379.4 6.731 373.5 4.046 367C1.36 360.5-.0152 353.6 .0001 346.6V335.1C.018 333.7 .5396 331.4 1.529 329.3C2.518 327.2 3.951 325.3 5.728 323.9C7.505 322.4 9.585 321.3 11.82 320.7C14.06 320.1 16.4 319.1 18.69 320.3C22.5 321.1 25.93 323.2 28.36 326.2C30.8 329.3 32.08 333.1 32 336.1V346.6C32.02 349.4 32.6 352.1 33.7 354.7C34.8 357.3 36.39 359.6 38.4 361.6C42.05 365.2 46.87 367.4 51.1 367.8C57.12 368.2 62.21 366.7 66.37 363.7L95.55 340.9C97.77 339.4 99.65 337.5 101.1 335.3C102.4 333 103.3 330.5 103.6 327.9C103.9 325.3 103.7 322.6 102.8 320.1C101.1 317.6 100.6 315.3 98.75 313.4L59.3 273.9C56.3 270.1 52.23 269.3 47.98 269.3C43.74 269.3 39.67 270.1 36.67 273.9L27.33 283.3C25.68 284.1 23.69 286.2 21.5 287C19.31 287.8 16.97 288.2 14.65 287.1C12.33 287.8 10.08 287.1 8.056 285.9C6.034 284.7 4.289 283.1 2.944 281.2C.7832 278-.1672 274.1 .26 270.2C.6872 266.4 2.465 262.8 5.28 260.1L14.05 251.3C23.05 242.3 35.26 237.3 47.98 237.3C60.71 237.3 72.92 242.3 81.92 251.3L102.2 271.7C105.5 274.1 110 276.8 114.7 276.8C119.4 276.8 123.9 274.1 127.2 271.7L127.6 271.3C130.9 267.1 132.8 263.5 132.8 258.8C132.8 254.1 130.9 249.6 127.6 246.2L96.16 214.8C87.66 206.6 82.3 195.7 80.99 183.1C80.34 176.1 81.25 169.9 83.65 163.2C86.05 156.6 89.88 150.6 94.88 145.6L109.6 130.7C94.1 112.6 87.62 89.63 88.92 66.36C90.22 43.08 100.1 21.11 116.7 4.702C119.5 1.928 123.3 .3095 127.3 .1616C131.2 .0138 135.1 1.347 138.1 3.902L138.7 4.126L177.2 38.91C181.8 43.34 185.5 48.63 188 54.49C190.5 60.34 191.9 66.64 191.9 73.02C191.1 79.39 190.8 85.71 188.4 91.62C185.1 97.52 182.4 102.9 177.9 107.4L117.5 168.2C116 169.7 114.8 171.4 114 173.4C113.2 175.3 112.8 177.4 112.8 179.5C112.8 181.6 113.2 183.7 114 185.7C114.8 187.6 116 189.4 117.5 190.9L153.3 226.7C154.5 227.1 155.1 228.1 157.6 229.6C159.2 230.3 160.1 230.6 162.8 230.6C164.5 230.6 166.3 230.3 167.9 229.6C169.5 228.1 170.1 227.1 172.2 226.7C173.5 225.4 174.5 223.9 175.2 222.2C175.9 220.5 176.2 218.6 176.2 216.8C176.1 204.5 178 192.2 181.1 180.5C188.7 160.1 199.5 143.1 213.6 127.1C231.8 109.8 251.5 93.3 272.6 78.56L256.6 20.13C255.9 17.66 255.8 15.06 256.4 12.56C256.9 10.06 258.1 7.73 259.7 5.758C261.3 3.787 263.4 2.235 265.8 1.233C268.1 .2304 270.7-.1933 273.2-.0022L371.8 7.614C383.4 8.667 394.8 11.11 405.8 14.88C435.1 6.157 465.4 1.158 496-.0022C500.2-.0022 504.3 1.684 507.3 4.684C510.3 7.685 512 11.75 512 15.1C510.8 46.56 505.8 76.86 497.1 106.2C500.9 117.2 503.3 128.6 504.4 140.2L512 238.8C512.2 241.3 511.7 243.9 510.7 246.3C509.7 248.6 508.1 250.7 506.1 252.3C504.2 253.1 501.8 255.1 499.3 255.7C496.8 256.2 494.2 256.2 491.7 255.5L433.3 239.5C418.6 260.5 402.1 280.3 384 298.4C368.1 312.6 351.1 323.4 331.6 330.2C319.9 334.1 307.6 336.1 295.2 335.1C293.4 335.9 291.6 336.2 289.9 336.9L289.9 336.9zM195.3 291.3C198.3 288.3 200 284.2 200 279.1C200 276.8 199.1 273.7 197.3 271.1C195.5 268.5 193 266.4 190.1 265.2C187.2 264 183.1 263.7 180.9 264.3C177.8 264.9 174.9 266.4 172.7 268.7C170.4 270.9 168.9 273.8 168.3 276.9C167.7 279.1 168 283.2 169.2 286.1C170.4 289 172.5 291.5 175.1 293.3C177.7 295.1 180.8 295.1 184 295.1C188.2 295.1 192.3 294.3 195.3 291.3zM243.3 339.3C246.3 336.3 248 332.2 248 327.1C248 324.8 247.1 321.7 245.3 319.1C243.5 316.5 241 314.4 238.1 313.2C235.2 312 231.1 311.7 228.9 312.3C225.8 312.9 222.9 314.4 220.7 316.7C218.4 318.9 216.9 321.8 216.3 324.9C215.7 327.1 216 331.2 217.2 334.1C218.4 337 220.5 339.5 223.1 341.3C225.7 343.1 228.8 343.1 232 343.1C236.2 343.1 240.3 342.3 243.3 339.3z"],
    "squirrel": [576, 512, [], "f71a", "M182.9 287.8C180.6 287.9 178.3 288 176 288C96.47 288 32 223.5 32 144C32 64.47 96.47 0 176 0C255.5 0 320 64.47 320 144V247.6C320 249.9 320.5 252.1 321.3 254C341.5 204.1 352 150.4 352 96V75.2C352 69.01 357 64 363.2 64C378.4 64 391.9 71.61 400 83.24C408.1 71.61 421.6 64 436.8 64C442.1 64 448 69.01 448 75.2V96C501 96 544 138.1 544 192L535.8 204.4C520.9 226.6 495.9 240 469.2 240H448V298.8C433.5 291.9 417.2 288 400 288C386.9 288 374.4 290.2 362.7 294.4C354.3 297.3 349.1 306.5 352.9 314.8C355.9 323.1 365 327.5 373.3 324.5C381.7 321.6 390.6 320 400 320C418 320 434.6 325.1 448 335.1C467.4 350.6 480 373.8 480 400C480 418 474 434.6 464 448H480C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512H288C217.3 512 160 454.7 160 384C160 352.6 171.3 323.9 189.1 301.7C191.3 300.2 192 298.2 192 296.2C192 291.4 187.8 287.6 182.9 287.8V287.8zM448 176C456.8 176 464 168.8 464 160C464 151.2 456.8 144 448 144C439.2 144 432 151.2 432 160C432 168.8 439.2 176 448 176z"],
    "staff": [512, 512, [], "f71b", "M512 79.1v103.9c0 35.75-23.74 67.12-57.99 76.87l-10.51 3l-19.51 33.85c-4.375 7.623-14.24 10.27-21.87 5.774l-32.25-18.63L285.1 308.1c-13.12 3.75-24.1 10.76-34.62 20.38l-175.6 175.6c-9.375 9.375-24.5 9.375-33.87 0l-33.1-33.1c-9.375-9.373-9.375-24.5 0-33.87l88.99-88.99V303.1c0-8.875 7.126-16 15.1-16h44.12l26.5-26.49c21.12-21.13 47.33-36.48 76.08-44.73l157.3-45.01V95.1h-50.37l-11.5 23.12c-4 7.875-13.62 11.13-21.5 7.125L275.4 97.62c-7.873-3.875-11.12-13.5-7.123-21.37l16.01-32.02c13.5-27.12 41.23-44.23 71.48-44.23h76.25C476.1 0 512 35.88 512 79.1z"],
    "staff-snake": [384, 512, ["rod-asclepius", "rod-snake", "staff-aesculapius"], "e579", "M222.5 48H288C341 48 384 90.98 384 144C384 197 341 240 288 240H248V160H288C296.8 160 304 152.8 304 144C304 135.2 296.8 128 288 128H220L215.5 272H256C309 272 352 314.1 352 368C352 421 309 464 256 464H240V384H256C264.8 384 272 376.8 272 368C272 359.2 264.8 352 256 352H212.1L208.5 496C208.2 504.9 200.9 512 191.1 512C183.1 512 175.8 504.9 175.5 496L174.5 464H135.1C113.9 464 95.1 446.1 95.1 424C95.1 401.9 113.9 384 135.1 384H171.1L170.1 352H151.1C98.98 352 55.1 309 55.1 256C55.1 208.4 90.6 168.9 135.1 161.3V256C135.1 264.8 143.2 272 151.1 272H168.5L164 128H122.6C113.6 146.9 94.34 160 72 160H56C25.07 160 0 134.9 0 104C0 73.07 25.07 48 56 48H161.5L160.1 31.98C160.1 31.33 160.1 30.69 160.1 30.05C161.5 13.43 175.1 0 192 0C208.9 0 222.5 13.43 223 30.05C223 30.69 223 31.33 223 31.98L222.5 48zM79.1 96C79.1 87.16 72.84 80 63.1 80C55.16 80 47.1 87.16 47.1 96C47.1 104.8 55.16 112 63.1 112C72.84 112 79.1 104.8 79.1 96z"],
    "stairs": [576, 512, [], "e289", "M576 64c0 17.67-14.31 32-32 32h-96v96c0 17.67-14.31 32-32 32h-96v96c0 17.67-14.31 32-32 32H192v96c0 17.67-14.31 32-32 32H32c-17.69 0-32-14.33-32-32s14.31-32 32-32h96v-96c0-17.67 14.31-32 32-32h96V192c0-17.67 14.31-32 32-32h96V64c0-17.67 14.31-32 32-32h128C561.7 32 576 46.33 576 64z"],
    "stamp": [512, 512, [], "f5bf", "M366.2 256H400C461.9 256 512 306.1 512 368C512 388.9 498.6 406.7 480 413.3V464C480 490.5 458.5 512 432 512H80C53.49 512 32 490.5 32 464V413.3C13.36 406.7 0 388.9 0 368C0 306.1 50.14 256 112 256H145.8C175.7 256 200 231.7 200 201.8C200 184.3 190.8 168.5 180.1 154.8C167.5 138.5 160 118.1 160 96C160 42.98 202.1 0 256 0C309 0 352 42.98 352 96C352 118.1 344.5 138.5 331.9 154.8C321.2 168.5 312 184.3 312 201.8C312 231.7 336.3 256 366.2 256zM416 416H96V448H416V416z"],
    "standard-definition": [576, 512, ["rectangle-sd"], "e28a", "M384 208h-32v96h32c26.47 0 48-21.53 48-48S410.5 208 384 208zM512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM268.9 305.2c-5.781 29.53-33.64 46.81-73.2 46.81c-6.656 0-13.71-.4844-20.96-1.484c-13.41-1.781-27.31-6.172-39.59-10.06l-5.656-1.797c-11.59-3.609-18.09-15.94-14.47-27.53c3.625-11.62 15.78-18.19 27.53-14.47l5.906 1.844c10.53 3.344 22.47 7.125 32.16 8.406c25.97 3.641 43.59-2.484 45.09-10.17c1.281-6.453-3.906-10.58-39.16-19.45L179.1 275.4C157 269.7 105.4 256.3 115.1 206.8c6.75-34.5 43.75-52.28 94.16-45.31C220.6 163 232.4 166.4 240.4 168.8C252 172.3 258.6 184.6 255.1 196.3C251.5 207.8 239.3 214.5 227.6 210.9C221.1 208.9 211.5 206.2 203.3 205.1c-25.75-3.531-43.53 2.5-45 10.19C157.5 219.4 156.6 224.1 190.1 232.8l7.188 1.828C227.8 242.3 278.7 255.1 268.9 305.2zM384 352h-56c-13.25 0-24-10.75-24-24v-144C304 170.8 314.8 160 328 160H384c52.94 0 96 43.06 96 96S436.9 352 384 352z"],
    "stapler": [640, 512, [], "e5af", "M640 299.3V432C640 458.5 618.5 480 592 480H64C46.33 480 32 465.7 32 448C32 430.3 46.33 416 64 416H448V368H96C78.33 368 64 353.7 64 336V219.4L33.8 214C14.24 210.5 0 193.5 0 173.7C0 164.8 2.878 156.2 8.201 149.1L43.83 101.6C76.67 57.77 128.2 32 182.9 32C209.9 32 236.6 38.29 260.7 50.36L586.9 213.5C619.5 229.7 640 262.1 640 299.3H640zM448 288L128 230.9V304H448V288z"],
    "star": [576, 512, [61446, 11088], "f005", "M381.2 150.3L524.9 171.5C536.8 173.2 546.8 181.6 550.6 193.1C554.4 204.7 551.3 217.3 542.7 225.9L438.5 328.1L463.1 474.7C465.1 486.7 460.2 498.9 450.2 506C440.3 513.1 427.2 514 416.5 508.3L288.1 439.8L159.8 508.3C149 514 135.9 513.1 126 506C116.1 498.9 111.1 486.7 113.2 474.7L137.8 328.1L33.58 225.9C24.97 217.3 21.91 204.7 25.69 193.1C29.46 181.6 39.43 173.2 51.42 171.5L195 150.3L259.4 17.97C264.7 6.954 275.9-.0391 288.1-.0391C300.4-.0391 311.6 6.954 316.9 17.97L381.2 150.3z"],
    "star-and-crescent": [512, 512, [9770], "f699", "M340.5 466.4c-1.5 0-6.875 .5-9.25 .5c-116.3 0-210.8-94.63-210.8-210.9s94.5-210.9 210.8-210.9c2.375 0 7.75 .5 9.25 .5c7.125 0 13.25-5 14.75-12c1.375-7.25-2.625-14.5-9.5-17.12c-29.13-11-59.38-16.5-89.75-16.5c-141.1 0-256 114.9-256 256s114.9 256 256 256c30.25 0 60.25-5.5 89.38-16.38c5.875-2 10.25-7.625 10.25-14.25C355.6 473.4 349.3 466.4 340.5 466.4zM503.5 213.9l-76.38-11.12L392.9 133.5C391.1 129.9 387.5 128 384 128c-3.5 0-7.125 1.875-9 5.5l-34.13 69.25l-76.38 11.12c-8.125 1.125-11.38 11.25-5.5 17l55.25 53.88l-13 76c-1.125 6.5 3.1 11.75 9.75 11.75c1.5 0 3.125-.375 4.625-1.25l68.38-35.88l68.25 35.88c1.625 .875 3.125 1.25 4.75 1.25c5.75 0 10.88-5.25 9.75-11.75l-13-76l55.25-53.88C514.9 225.1 511.6 214.1 503.5 213.9z"],
    "star-christmas": [512, 512, [], "f7d4", "M119 152.1C123.7 157.7 129.8 160 136 160s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94l-48-48c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L119 152.1zM376 160c6.156 0 12.28-2.344 16.97-7.031l48-48c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0l-48 48c-9.375 9.375-9.375 24.56 0 33.94C363.7 157.7 369.8 160 376 160zM392.1 359C388.3 354.3 382.2 352 376 352s-12.28 2.344-16.97 7.031c-9.375 9.375-9.375 24.56 0 33.94l48 48c9.375 9.375 24.56 9.375 33.94 0s9.375-24.56 0-33.94L392.1 359zM136 352c-6.156 0-12.28 2.344-16.97 7.031l-48 48c-9.375 9.375-9.375 24.56 0 33.94s24.56 9.375 33.94 0l48-48c9.375-9.375 9.375-24.56 0-33.94C148.3 354.3 142.2 352 136 352zM493.6 232.4l-171.2-42.78l-42.78-171.2C276.8 7.406 267.3 0 256 0s-20.84 7.406-23.62 18.47L189.6 189.6L18.44 232.4C7.406 235.2 0 244.6 0 255.1c0 11.34 7.406 20.86 18.47 23.64l171.1 42.78l42.66 171.2C235 504.6 244.5 512 255.9 512s20.84-7.406 23.62-18.47l42.78-171.1l171.3-42.78C504.6 276.8 512 267.3 512 255.1C512 244.6 504.6 235.2 493.6 232.4z"],
    "star-exclamation": [576, 512, [], "f2f3", "M288.1-.0391C300.4-.0391 311.6 6.954 316.9 17.97L381.2 150.3L524.9 171.5C536.8 173.2 546.8 181.6 550.6 193.1C554.4 204.7 551.3 217.3 542.7 225.9L438.5 328.1L463.1 474.7C465.1 486.7 460.2 498.9 450.2 506C440.3 513.1 427.2 514 416.5 508.3L288.1 439.8L159.8 508.3C149 514 135.9 513.1 126 506C116.1 498.9 111.1 486.7 113.2 474.7L137.8 328.1L33.58 225.9C24.97 217.3 21.91 204.7 25.69 193.1C29.46 181.6 39.43 173.2 51.42 171.5L195 150.3L259.4 17.97C264.7 6.954 275.9-.0391 288.1-.0391H288.1zM264 152V264C264 277.3 274.7 288 288 288C301.3 288 312 277.3 312 264V152C312 138.7 301.3 128 288 128C274.7 128 264 138.7 264 152zM288 320C270.3 320 256 334.3 256 352C256 369.7 270.3 384 288 384C305.7 384 320 369.7 320 352C320 334.3 305.7 320 288 320z"],
    "star-half": [576, 512, [61731], "f089", "M288 439.8L159.8 508.3C149 514 135.9 513.1 126 506C116.1 498.9 111.1 486.7 113.2 474.7L137.8 328.1L33.58 225.9C24.97 217.3 21.91 204.7 25.69 193.1C29.46 181.6 39.43 173.2 51.42 171.5L195 150.3L259.4 17.97C264.7 6.995 275.8 .0131 287.1-.0391L288 439.8zM433.2 512C432.1 512.1 431 512.1 429.9 512H433.2z"],
    "star-half-stroke": [576, 512, ["star-half-alt"], "f5c0", "M463.1 474.7C465.1 486.7 460.2 498.9 450.2 506C440.3 513.1 427.2 514 416.5 508.3L288.1 439.8L159.8 508.3C149 514 135.9 513.1 126 506C116.1 498.9 111.1 486.7 113.2 474.7L137.8 328.1L33.58 225.9C24.97 217.3 21.91 204.7 25.69 193.1C29.46 181.6 39.43 173.2 51.42 171.5L195 150.3L259.4 17.97C264.7 6.954 275.9-.0391 288.1-.0391C300.4-.0391 311.6 6.954 316.9 17.97L381.2 150.3L524.9 171.5C536.8 173.2 546.8 181.6 550.6 193.1C554.4 204.7 551.3 217.3 542.7 225.9L438.5 328.1L463.1 474.7zM288 376.4L288.1 376.3L399.7 435.9L378.4 309.6L469.2 219.8L343.8 201.4L288.1 86.85L288 87.14V376.4z"],
    "star-of-david": [512, 512, [10017], "f69a", "M490.7 345.4L435.6 256l55.1-89.38c14.87-24.25-3.62-54.61-33.12-54.61l-110.6-.005l-57.87-93.1C281.7 6.003 268.9 0 256 0C243.1 0 230.3 6.003 222.9 18L165 112H54.39c-29.62 0-47.99 30.37-33.12 54.62L76.37 256l-55.1 89.38C6.4 369.6 24.77 399.1 54.39 399.1h110.6l57.87 93.1C230.3 505.1 243.1 512 256 512c12.88 0 25.74-6.002 33.12-18l57.83-93.1h110.7C487.2 399.1 505.6 369.6 490.7 345.4zM256 73.77l23.59 38.23H232.5L256 73.77zM89.48 343.1l20.59-33.35l20.45 33.35H89.48zM110 201.3L89.48 168h41.04L110 201.3zM256 438.2l-23.59-38.25h47.08L256 438.2zM313.9 343.1H198L143.8 256l54.22-87.1h116L368.3 256L313.9 343.1zM381.3 343.1l20.67-33.29l20.52 33.29H381.3zM401.1 201.3l-20.51-33.29h41.04L401.1 201.3z"],
    "star-of-life": [512, 512, [], "f621", "M489.1 363.3l-24.03 41.59c-6.635 11.48-21.33 15.41-32.82 8.78l-129.1-74.56V488c0 13.25-10.75 24-24.02 24H231.1c-13.27 0-24.02-10.75-24.02-24v-148.9L78.87 413.7c-11.49 6.629-26.19 2.698-32.82-8.78l-24.03-41.59c-6.635-11.48-2.718-26.14 8.774-32.77L159.9 256L30.8 181.5C19.3 174.8 15.39 160.2 22.02 148.7l24.03-41.59c6.635-11.48 21.33-15.41 32.82-8.781l129.1 74.56L207.1 24c0-13.25 10.75-24 24.02-24h48.04c13.27 0 24.02 10.75 24.02 24l.0005 148.9l129.1-74.56c11.49-6.629 26.19-2.698 32.82 8.78l24.02 41.59c6.637 11.48 2.718 26.14-8.774 32.77L352.1 256l129.1 74.53C492.7 337.2 496.6 351.8 489.1 363.3z"],
    "star-sharp": [512, 512, [], "e28b", "M329.6 176H488C498.3 176 507.4 182.5 510.7 192.2C514 201.9 510.8 212.6 502.7 218.9L371.9 320.7L422.9 480.7C426.1 490.7 422.4 501.7 413.7 507.7C405.1 513.7 393.6 513.4 385.3 506.9L256 406.4L126.7 506.9C118.4 513.4 106.9 513.7 98.27 507.7C89.65 501.7 85.94 490.7 89.13 480.7L140.1 320.7L9.267 218.9C1.174 212.6-2.027 201.9 1.3 192.2C4.628 182.5 13.75 176 24 176H182.5L233.1 16.72C236.3 6.764 245.6 0 256 0C266.5 0 275.7 6.764 278.9 16.72L329.6 176z"],
    "star-sharp-half": [512, 512, [], "e28c", "M233.1 16.72C236.3 6.764 245.5 .0006 256 0V406.4L126.7 506.9C118.4 513.4 106.9 513.7 98.27 507.7C89.65 501.7 85.94 490.7 89.13 480.7L140.1 320.7L9.267 218.9C1.174 212.6-2.027 201.9 1.3 192.2C4.628 182.5 13.75 175.1 24 175.1H182.5L233.1 16.72z"],
    "star-sharp-half-stroke": [512, 512, ["star-sharp-half-alt"], "e28d", "M9.267 218.9C1.174 212.6-2.027 201.9 1.3 192.2C4.628 182.5 13.75 176 24 176H182.5L233.1 16.72C236.3 6.764 245.6 0 256 0C266.5 0 275.7 6.764 278.9 16.72L329.5 176H488C498.3 176 507.4 182.5 510.7 192.2C514 201.9 510.8 212.6 502.7 218.9L371.9 320.7L422.9 480.7C426.1 490.7 422.4 501.7 413.7 507.7C405.1 513.7 393.6 513.4 385.3 506.9L256 406.4L126.7 506.9C118.4 513.4 106.9 513.7 98.27 507.7C89.65 501.7 85.94 490.7 89.13 480.7L140.1 320.7L9.267 218.9zM256 335.5L338.2 399.4L306.7 300.4L394.7 232H288.6L256 129.5L256 335.5z"],
    "star-shooting": [512, 512, [127776], "e036", "M364.2 267.2l-104.8-15.28L212.6 156.7c-8.377-17-32.72-17.13-41.22 0l-46.87 95.25L19.73 267.2C.8538 269.1-6.744 293.2 7.006 306.5L82.88 380.5l-17.1 104.6c-3.125 18.88 16.72 33.05 33.35 24.18l93.77-49.38l93.75 49.38c7.75 4.127 17.14 3.365 24.26-1.762c7-5.125 10.61-13.89 9.108-22.39l-17.9-104.6l75.9-74C390.7 293.3 383.1 269.1 364.2 267.2zM311 200.1C315.7 205.7 321.9 208 328 208s12.28-2.344 16.97-7.031l160-160c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0l-160 160C301.7 176.4 301.7 191.6 311 200.1zM248 96c6.141 0 12.28-2.344 16.97-7.031l48-48c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0l-48 48c-9.375 9.375-9.375 24.56 0 33.94C235.7 93.66 241.9 96 248 96zM471 199l-48 48c-9.375 9.375-9.375 24.56 0 33.94C427.7 285.7 433.9 288 440 288s12.28-2.344 16.97-7.031l48-48c9.375-9.375 9.375-24.56 0-33.94S480.4 189.7 471 199z"],
    "starfighter": [640, 512, [], "e037", "M384 256V464C384 472.8 376.8 480 368 480H272C263.2 480 256 472.8 256 464V256L286.2 14.02C287.2 6.009 294.1 0 302.1 0H337.9C345.9 0 352.8 6.009 353.8 14.02L384 256zM288 304C288 312.8 295.2 320 304 320H336C344.8 320 352 312.8 352 304V256C352 238.3 337.7 224 320 224C302.3 224 288 238.3 288 256V304zM48 72C61.25 72 72 82.75 72 96V120C85.25 120 96 130.7 96 144C96 157.3 85.25 168 72 168V352H128V320C128 302.3 142.3 288 160 288H192C209.7 288 224 302.3 224 320V480C224 497.7 209.7 512 192 512C174.3 512 160 497.7 160 480V470.4L72 444V448C72 461.3 61.25 472 48 472C34.75 472 24 461.3 24 448V168C10.75 168 0 157.3 0 144C0 130.7 10.75 120 24 120V96C24 82.75 34.75 72 48 72zM592 72C605.3 72 616 82.75 616 96V120C629.3 120 640 130.7 640 144C640 157.3 629.3 168 616 168V448C616 461.3 605.3 472 592 472C578.7 472 568 461.3 568 448V444L480 470.4V480C480 497.7 465.7 512 448 512C430.3 512 416 497.7 416 480V320C416 302.3 430.3 288 448 288H480C497.7 288 512 302.3 512 320V352H568V168C554.7 168 544 157.3 544 144C544 130.7 554.7 120 568 120V96C568 82.75 578.7 72 592 72z"],
    "starfighter-twin-ion-engine": [576, 512, ["starfighter-alt"], "e038", "M32 32C49.67 32 64 46.33 64 64V211.2L139.6 196.1C163.3 137.4 220.8 96 288 96C355.2 96 412.7 137.4 436.4 196.1L512 211.2V64C512 46.33 526.3 32 544 32C561.7 32 576 46.33 576 64V448C576 465.7 561.7 480 544 480C526.3 480 512 465.7 512 448V300.8L436.4 315.9C412.7 374.6 355.2 416 288 416C220.8 416 163.3 374.6 139.6 315.9L64 300.8V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V64C0 46.33 14.33 32 32 32zM272 350.7V317.1C266.1 316.5 260.6 314.1 255.5 311.1L232.4 334.3C243.9 342.5 257.4 348.2 271.1 350.7H272zM209.7 311.6L232.9 288.5C229.9 283.4 227.5 277.9 226 272H193.3C195.8 286.6 201.5 300.1 209.7 311.6V311.6zM193.3 240H226C227.5 234.1 229.9 228.6 232.9 223.5L209.7 200.4C201.5 211.9 195.8 225.4 193.3 240V240zM232.4 177.7L255.5 200.9C260.6 197.9 266.1 195.5 271.1 194V161.3C257.4 163.8 243.9 169.5 232.4 177.7H232.4zM320.5 311.1C315.4 314.1 309.9 316.5 304 317.1V350.7C318.6 348.2 332.1 342.5 343.6 334.3L320.5 311.1zM366.3 311.6C374.5 300.1 380.2 286.6 382.7 272H349.1C348.5 277.9 346.1 283.4 343.1 288.5L366.3 311.6zM349.1 240H382.7C380.2 225.4 374.5 211.9 366.3 200.4L343.1 223.5C346.1 228.6 348.5 234.1 349.1 240V240zM304 161.3V194C309.9 195.5 315.4 197.9 320.5 200.9L343.6 177.7C332.1 169.5 318.6 163.8 304 161.3H304zM310.8 278.5C316.5 272.7 320 264.8 320 256C320 238.3 305.7 224 288 224C270.3 224 256 238.3 256 256C256 273.7 270.3 288 288 288C296.8 288 304.7 284.5 310.5 278.8L310.8 278.5z"],
    "starfighter-twin-ion-engine-advanced": [640, 512, ["starfighter-alt-advanced"], "e28e", "M148.8 7.704C162.2 19.21 163.8 39.41 152.3 52.83L64 155.8V217.6L171.6 196.1C195.3 137.4 252.8 96 320 96C387.2 96 444.7 137.4 468.4 196.1L576 217.6V148.5L488.5 53.71C476.5 40.72 477.3 20.47 490.3 8.487C503.3-3.5 523.5-2.691 535.5 10.3L623 105.1C633.9 116.9 640 132.4 640 148.5V348.8C640 363.3 635.1 377.4 625.1 388.8L536.1 499.1C525.9 513.8 505.8 516 492 504.1C478.2 493.9 475.1 473.8 487 460L576 348.8V294.4L468.4 315.9C444.7 374.6 387.2 416 320 416C252.8 416 195.3 374.6 171.6 315.9L64 294.4V356.2L152.3 459.2C163.8 472.6 162.2 492.8 148.8 504.3C135.4 515.8 115.2 514.2 103.7 500.8L15.41 397.8C5.465 386.2 0 371.4 0 356.2V155.8C0 140.6 5.465 125.8 15.41 114.2L103.7 11.18C115.2-2.243 135.4-3.797 148.8 7.704V7.704zM304 350.7V317.1C298.1 316.5 292.6 314.1 287.5 311.1L264.4 334.3C275.9 342.5 289.4 348.2 304 350.7H304zM241.7 311.6L264.9 288.5C261.9 283.4 259.5 277.9 258 272H225.3C227.8 286.6 233.5 300.1 241.7 311.6V311.6zM225.3 240H258C259.5 234.1 261.9 228.6 264.9 223.5L241.7 200.4C233.5 211.9 227.8 225.4 225.3 240V240zM264.4 177.7L287.5 200.9C292.6 197.9 298.1 195.5 304 194V161.3C289.4 163.8 275.9 169.5 264.4 177.7H264.4zM352.5 311.1C347.4 314.1 341.9 316.5 336 317.1V350.7C350.6 348.2 364.1 342.5 375.6 334.3L352.5 311.1zM398.3 311.6C406.5 300.1 412.2 286.6 414.7 272H381.1C380.5 277.9 378.1 283.4 375.1 288.5L398.3 311.6zM381.1 240H414.7C412.2 225.4 406.5 211.9 398.3 200.4L375.1 223.5C378.1 228.6 380.5 234.1 381.1 240V240zM336 161.3V194C341.9 195.5 347.4 197.9 352.5 200.9L375.6 177.7C364.1 169.5 350.6 163.8 336 161.3H336zM342.8 278.5C348.5 272.7 352 264.8 352 256C352 238.3 337.7 224 320 224H319.1C302.3 224 288 238.3 288 256C288 273.7 302.3 288 320 288C328.8 288 336.7 284.5 342.5 278.8L342.8 278.5z"],
    "stars": [512, 512, [], "f762", "M259.7 86l49.66 20.63l20.62 49.67c1.125 2.375 3.498 3.707 5.998 3.707c2.5 0 4.876-1.332 6.001-3.707l20.62-49.67l49.62-20.63c2.375-1.125 3.748-3.501 3.748-6.002s-1.373-4.874-3.748-5.999L362.6 53.38l-20.62-49.63C340.9 1.375 338.5 0 336 0c-2.5 0-4.872 1.375-5.997 3.75l-20.62 49.63l-49.66 20.63c-2.375 1.125-3.712 3.499-3.712 5.999S257.3 84.88 259.7 86zM364.2 267.2l-104.8-15.28L212.6 156.7c-8.375-17-32.72-17.13-41.22 0L124.5 251.1L19.71 267.2C.8322 269.1-6.742 293.2 7.007 306.5l75.87 74l-17.1 104.6c-3.125 18.88 16.7 33.05 33.32 24.18l93.79-49.38l93.74 49.38c7.75 4.125 17.13 3.386 24.25-1.739c6.1-5.125 10.62-13.91 9.119-22.41L301.2 380.5l75.92-74C390.7 293.3 383.1 269.1 364.2 267.2zM509 219.3l-39.62-16.63l-16.62-39.63c-.875-1.875-2.751-3.003-4.751-3.003s-3.874 1.128-4.749 3.003l-16.62 39.63L387 219.3c-1.875 .8751-3.002 2.746-3.002 4.746c0 2 1.127 3.879 3.002 4.754l39.62 16.63l16.62 39.63c.875 1.875 2.749 2.995 4.749 2.995s3.876-1.12 4.751-2.995l16.62-39.63l39.62-16.63C510.9 227.9 512 226 512 224C512 222 510.9 220.1 509 219.3z"],
    "starship": [640, 512, [], "e039", "M480 256C480 273.7 465.7 288 448 288C430.3 288 416 273.7 416 256C416 238.3 430.3 224 448 224C465.7 224 480 238.3 480 256zM256 256C256 149.1 341.1 64 448 64C554 64 640 149.1 640 256C640 362 554 448 448 448C341.1 448 256 362 256 256zM448 320C483.3 320 512 291.3 512 256C512 220.7 483.3 192 448 192C412.7 192 384 220.7 384 256C384 291.3 412.7 320 448 320zM188.9 205.4L231.9 196.8C226.8 215.7 224 235.5 224 256C224 276.5 226.8 296.3 231.9 315.2L188.9 306.6L137 352H208C225.7 352 240 366.3 240 384C240 401.7 225.7 416 208 416H32C14.33 416 0 401.7 0 384C0 366.3 14.33 352 32 352H64.13L129.6 294.7L127.4 294.3C109.1 290.6 96 274.6 96 256C96 237.4 109.1 221.4 127.4 217.7L129.6 217.3L64.13 159.1H32C14.33 159.1 0 145.7 0 127.1C0 110.3 14.33 95.1 32 95.1H208C225.7 95.1 240 110.3 240 127.1C240 145.7 225.7 159.1 208 159.1H137L188.9 205.4z"],
    "starship-freighter": [576, 512, [], "e03a", "M176 256C176 229.5 197.5 208 224 208C250.5 208 272 229.5 272 256C272 282.5 250.5 304 224 304C197.5 304 176 282.5 176 256zM224 480C100.3 480 0 379.7 0 256C0 132.3 100.3 32 224 32C266.3 32 308.2 39.87 347.6 55.2L555.6 136.1C567.9 140.8 576 152.7 576 165.9V207.1C576 216.8 568.8 223.1 560 223.1H432C423.2 223.1 416 231.2 416 239.1V271.1C416 280.8 423.2 287.1 432 287.1H560C568.8 287.1 576 295.2 576 303.1V346.1C576 359.3 567.9 371.2 555.6 375.9L473.5 407.9C477.6 414.1 480 423.2 480 432C480 458.5 458.5 480 432 480H352C340.5 480 330.4 473.9 324.7 464.8C292.2 474.9 258.2 480 224 480V480zM224 336C268.2 336 304 300.2 304 256C304 211.8 268.2 176 224 176C179.8 176 144 211.8 144 256C144 300.2 179.8 336 224 336zM80 272C88.84 272 96 264.8 96 256C96 247.2 88.84 240 80 240C71.16 240 64 247.2 64 256C64 264.8 71.16 272 80 272zM112 144C103.2 144 96 151.2 96 160C96 168.8 103.2 176 112 176C120.8 176 128 168.8 128 160C128 151.2 120.8 144 112 144zM112 368C120.8 368 128 360.8 128 352C128 343.2 120.8 336 112 336C103.2 336 96 343.2 96 352C96 360.8 103.2 368 112 368z"],
    "steak": [576, 512, [129385], "f824", "M368.9 96c-27.38 0-51.88 23.71-62.63 60.33c-6.25 21.38-26.75 106.2-173.1 169.1c-138.9 60.38 163.9 169.5 321.3-9.792C492.5 273 487.1 190.5 442.8 140C417.9 111.6 391.6 96 368.9 96zM384 255.9c-17.62 0-32-14.25-32-32c0-17.62 14.38-32 32-32s32 14.38 32 32C416 241.6 401.6 255.9 384 255.9zM514.9 76.63C467.9 23.13 416.3 0 368.9 0c-70.63 0-131.9 51.13-154.8 129.4c-49.13 139.9-212.8 83.01-214.1 222.3c-1.25 121.6 139.3 164.6 256 160c87.75-3.375 187.4-37.08 270.5-131.8C596.8 299.8 591.6 164 514.9 76.63zM478.4 337.6c-76.13 86.75-164.2 107.8-224.7 110.1c-37.75 1.375-131.6-6.503-171.3-46.63c-2.5-2.5-59.53-61.76 37.97-104.1c71.63-31.25 132.3-71.26 155.2-149.6c14.88-50.63 51.5-83.38 93.38-83.38c32.5 0 66.35 19 97.98 54.88C521.1 181.8 527.3 281.9 478.4 337.6z"],
    "steering-wheel": [512, 512, [], "f622", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM168.9 288H66.65C80.14 368.4 143.6 431.9 224 445.3V358.9L168.9 288zM288 358.9V445.3C368.4 431.9 431.9 368.4 445.3 288H343.1L288 358.9zM352 224H445.3C430.1 133.2 351.1 64 256 64C160.9 64 81.89 133.2 66.65 224H160L167.2 209.7C172.6 198.8 183.7 192 195.8 192H316.2C328.3 192 339.4 198.8 344.8 209.7L352 224z"],
    "sterling-sign": [320, 512, [163, "gbp", "pound-sign"], "f154", "M112 223.1H224C241.7 223.1 256 238.3 256 255.1C256 273.7 241.7 287.1 224 287.1H112V332.5C112 361.5 104.1 389.1 89.2 414.9L88.52 416H288C305.7 416 320 430.3 320 448C320 465.7 305.7 480 288 480H32C20.47 480 9.834 473.8 4.154 463.8C-1.527 453.7-1.371 441.4 4.56 431.5L34.32 381.9C43.27 367 48 349.9 48 332.5V288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H48V160.4C48 89.47 105.5 32 176.4 32C190.2 32 203.9 34.22 216.1 38.59L298.1 65.64C314.9 71.23 323.9 89.35 318.4 106.1C312.8 122.9 294.6 131.9 277.9 126.4L196.7 99.3C190.2 97.12 183.3 96 176.4 96C140.8 96 112 124.8 112 160.4V223.1z"],
    "stethoscope": [576, 512, [129658], "f0f1", "M480 112c-44.18 0-80 35.82-80 80c0 32.84 19.81 60.98 48.11 73.31v78.7c0 57.25-50.25 104-112 104c-60 0-109.3-44.1-111.9-99.23C296.1 333.8 352 269.3 352 191.1V36.59c0-11.38-8.15-21.38-19.28-23.5L269.8 .4775c-13-2.625-25.54 5.766-28.16 18.77L238.4 34.99c-2.625 13 5.812 25.59 18.81 28.22l30.69 6.059L287.9 190.7c0 52.88-42.13 96.63-95.13 97.13c-53.38 .5-96.81-42.56-96.81-95.93L95.89 69.37l30.72-6.112c13-2.5 21.41-15.15 18.78-28.15L142.3 19.37c-2.5-13-15.15-21.41-28.15-18.78L51.28 12.99C40.15 15.24 32 25.09 32 36.59v155.4c0 77.25 55.11 142 128.1 156.8C162.7 439.3 240.6 512 336 512c97 0 176-75.37 176-168V265.3c28.23-12.36 48-40.46 48-73.25C560 147.8 524.2 112 480 112zM480 216c-13.25 0-24-10.75-24-24S466.7 168 480 168S504 178.7 504 192S493.3 216 480 216z"],
    "stocking": [384, 512, [], "f7d5", "M96.02 251.5l-39.01 26c-58.75 39.25-74.75 118.8-35.5 177.5C46.26 492 86.78 512 128.2 512c24.37 0 49.14-7 70.89-21.5L280.8 436c44.5-29.75 71.14-79.5 71.14-133.1L351.9 128H96.02L96.02 251.5zM351.1 0H96.01C78.41 0 64.01 14.4 64.01 32L64.01 64c0 17.6 14.41 32 32 32h255.1C369.6 96 384 81.6 384 64V32C384 14.4 369.6 0 351.1 0z"],
    "stomach": [512, 512, [], "f623", "M384 95.1c-54.25 0-90.88 32.62-109.1 63.1L256 159.1c-35.38 0-64-28.63-64-63.1V15.1C192 7.125 184.9 0 176 0h-32C135.1 0 128 7.125 128 15.1V95.1c0 70.75 57.25 128 128 128l.5-.0031C256.4 225.9 256 227.6 256 229.5v58.5c0 35.37-28.62 63.1-64 63.1H128c-70.75 0-128 57.25-128 128v15.1c0 8.875 7.125 15.1 15.1 15.1L48 511.1c8.875 0 16-7.124 16-15.1v-15.1c0-37.62 34.01-51.24 53.89-51.24c17.12 0 29.61 6.734 41.11 18.23c67.25 67.25 138.6 64.1 149.4 64.1C420.9 511.1 512 420.9 512 308.4V223.1C512 153.2 454.8 95.1 384 95.1zM448 308.4c0 9.25-1.02 18.17-2.77 26.92C423.7 341.4 400.3 336.2 384 319.1c-17.38-17.37-42.88-22.13-65.63-13.88C319.3 300.1 320 294.1 320 287.1V229.5c0-36.12 26.38-69.5 64-69.5c35.25 0 64 28.75 64 63.1V308.4z"],
    "stop": [384, 512, [9209], "f04d", "M384 128v255.1c0 35.35-28.65 64-64 64H64c-35.35 0-64-28.65-64-64V128c0-35.35 28.65-64 64-64H320C355.3 64 384 92.65 384 128z"],
    "stopwatch": [448, 512, [9201], "f2f2", "M272 0C289.7 0 304 14.33 304 32C304 49.67 289.7 64 272 64H256V98.45C293.5 104.2 327.7 120 355.7 143L377.4 121.4C389.9 108.9 410.1 108.9 422.6 121.4C435.1 133.9 435.1 154.1 422.6 166.6L398.5 190.8C419.7 223.3 432 262.2 432 304C432 418.9 338.9 512 224 512C109.1 512 16 418.9 16 304C16 200 92.32 113.8 192 98.45V64H176C158.3 64 144 49.67 144 32C144 14.33 158.3 0 176 0L272 0zM248 192C248 178.7 237.3 168 224 168C210.7 168 200 178.7 200 192V320C200 333.3 210.7 344 224 344C237.3 344 248 333.3 248 320V192z"],
    "stopwatch-20": [448, 512, [], "e06f", "M276 256C276 249.4 281.4 244 288 244C294.6 244 300 249.4 300 256V352C300 358.6 294.6 364 288 364C281.4 364 276 358.6 276 352V256zM272 0C289.7 0 304 14.33 304 32C304 49.67 289.7 64 272 64H256V98.45C293.5 104.2 327.7 120 355.7 143L377.4 121.4C389.9 108.9 410.1 108.9 422.6 121.4C435.1 133.9 435.1 154.1 422.6 166.6L398.5 190.8C419.7 223.3 432 262.2 432 304C432 418.9 338.9 512 224 512C109.1 512 16 418.9 16 304C16 200 92.32 113.8 192 98.45V64H176C158.3 64 144 49.67 144 32C144 14.33 158.3 0 176 0L272 0zM288 204C259.3 204 236 227.3 236 256V352C236 380.7 259.3 404 288 404C316.7 404 340 380.7 340 352V256C340 227.3 316.7 204 288 204zM172 256.5V258.8C172 262.4 170.7 265.9 168.3 268.6L129.2 312.5C115.5 327.9 108 347.8 108 368.3V384C108 395 116.1 404 128 404H192C203 404 212 395 212 384C212 372.1 203 364 192 364H148.2C149.1 354.8 152.9 346.1 159.1 339.1L198.2 295.2C207.1 285.1 211.1 272.2 211.1 258.8V256.5C211.1 227.5 188.5 204 159.5 204C136.8 204 116.8 218.5 109.6 239.9L109 241.7C105.5 252.2 111.2 263.5 121.7 266.1C132.2 270.5 143.5 264.8 146.1 254.3L147.6 252.6C149.3 247.5 154.1 244 159.5 244C166.4 244 171.1 249.6 171.1 256.5L172 256.5z"],
    "store": [576, 512, [], "f54e", "M495.5 223.2C491.6 223.7 487.6 224 483.4 224C457.4 224 434.2 212.6 418.3 195C402.4 212.6 379.2 224 353.1 224C327 224 303.8 212.6 287.9 195C272 212.6 248.9 224 222.7 224C196.7 224 173.5 212.6 157.6 195C141.7 212.6 118.5 224 92.36 224C88.3 224 84.21 223.7 80.24 223.2C24.92 215.8-1.255 150.6 28.33 103.8L85.66 13.13C90.76 4.979 99.87 0 109.6 0H466.4C476.1 0 485.2 4.978 490.3 13.13L547.6 103.8C577.3 150.7 551 215.8 495.5 223.2H495.5zM499.7 254.9C503.1 254.4 508 253.6 512 252.6V448C512 483.3 483.3 512 448 512H128C92.66 512 64 483.3 64 448V252.6C67.87 253.6 71.86 254.4 75.97 254.9L76.09 254.9C81.35 255.6 86.83 256 92.36 256C104.8 256 116.8 254.1 128 250.6V384H448V250.7C459.2 254.1 471.1 256 483.4 256C489 256 494.4 255.6 499.7 254.9L499.7 254.9z"],
    "store-lock": [640, 512, [], "e4a6", "M558.1 164.1C548.5 161.4 538.4 160 528 160C489.3 160 455.2 179.6 435.1 209.5C428.9 205.3 423.2 200.5 418.3 195C402.4 212.6 379.2 224 353.1 224C327 224 303.8 212.6 287.9 195C272 212.6 248.9 224 222.7 224C196.7 224 173.5 212.6 157.6 195C141.7 212.6 118.5 224 92.36 224C88.3 224 84.21 223.7 80.24 223.2C24.92 215.8-1.256 150.6 28.33 103.8L85.66 13.13C90.76 4.979 99.87 0 109.6 0H466.4C476.1 0 485.2 4.978 490.3 13.13L547.6 103.8C559.5 122.6 562.4 144.3 558.1 164.1L558.1 164.1zM128 384H384V480C384 491.7 387.1 502.6 392.6 512H128C92.65 512 64 483.3 64 448V252.6C67.87 253.6 71.86 254.4 75.97 254.9L76.09 254.9C81.35 255.6 86.83 256 92.36 256C104.8 256 116.8 254.1 128 250.6V384zM528 192C572.2 192 608 227.8 608 272V320C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320V272C448 227.8 483.8 192 528 192zM528 240C510.3 240 496 254.3 496 272V320H560V272C560 254.3 545.7 240 528 240z"],
    "store-slash": [640, 512, [], "e071", "M94.92 49.09L117.7 13.13C122.8 4.98 131.9 .0007 141.6 .0007H498.4C508.1 .0007 517.2 4.979 522.3 13.13L579.6 103.8C609.3 150.7 583 215.8 527.5 223.2C523.6 223.7 519.6 224 515.4 224C489.4 224 466.2 212.6 450.3 195C434.4 212.6 411.2 224 385.1 224C359 224 335.8 212.6 319.9 195C314.4 201.1 308.1 206.4 301.2 210.7L480 350.9V250.7C491.2 254.1 503.1 256 515.4 256C521 256 526.4 255.6 531.7 254.9L531.7 254.9C535.1 254.4 540 253.6 544 252.6V401.1L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L94.92 49.09zM112.2 223.2C68.36 217.3 42.82 175.1 48.9 134.5L155.3 218.4C145.7 222 135.3 224 124.4 224C120.3 224 116.2 223.7 112.2 223.2V223.2zM160 384H365.5L514.9 501.7C504.8 508.2 492.9 512 480 512H160C124.7 512 96 483.3 96 448V252.6C99.87 253.6 103.9 254.4 107.1 254.9L108.1 254.9C113.3 255.6 118.8 256 124.4 256C136.8 256 148.8 254.1 160 250.6V384z"],
    "strawberry": [512, 512, [], "e32b", "M299.4 117.4C273.2 90.67 235.5 63.1 189.7 63.1C108.6 63.1 0 155 0 328.7C0 469.4 33.9 512 183.3 512C357.5 512 448 402.7 448 322.3c0-45.81-26.67-83.47-53.4-109.7L299.4 117.4zM234.5 200C239.1 200 248 202.8 248 213.5C248 229.5 229.3 248 213.5 248C202.8 248 200 239.1 200 234.5C200 218.5 218.7 200 234.5 200zM170.5 136C175.1 136 184 138.8 184 149.5C184 165.5 165.3 184 149.5 184C138.8 184 136 175.1 136 170.5C136 154.5 154.7 136 170.5 136zM138.5 232C143.1 232 152 234.8 152 245.5C152 261.5 133.3 280 117.5 280C106.8 280 104 271.1 104 266.5C104 250.5 122.7 232 138.5 232zM85.46 376C74.8 376 72 367.1 72 362.5C72 346.5 90.65 328 106.5 328C111.1 328 120 330.8 120 341.5C120 357.5 101.3 376 85.46 376zM149.5 440C138.8 440 136 431.1 136 426.5C136 410.5 154.7 392 170.5 392C175.1 392 184 394.8 184 405.5C184 421.5 165.3 440 149.5 440zM181.5 344C170.8 344 168 335.1 168 330.5C168 314.5 186.7 296 202.5 296C207.1 296 216 298.8 216 309.5C216 325.5 197.3 344 181.5 344zM245.5 408C234.8 408 232 399.1 232 394.5C232 378.5 250.7 360 266.5 360C271.1 360 280 362.8 280 373.5C280 389.5 261.3 408 245.5 408zM277.5 312C266.8 312 264 303.1 264 298.5C264 282.5 282.7 264 298.5 264C303.1 264 312 266.8 312 277.5C312 293.5 293.3 312 277.5 312zM341.5 376C330.8 376 328 367.1 328 362.5C328 346.5 346.7 328 362.5 328C367.1 328 376 330.8 376 341.5C376 357.5 357.3 376 341.5 376zM447.4 108.9c26.14-27.63 48.64-64.69 48.64-84.88c0-13.35-10.89-24.05-24.11-24.05c-32.46 0-16.75 44.21-66.63 82.54C403.6 43.24 373.6 0 360.3 0C347.8 0 320 38.39 320 78.36c0 9.306 .8226 10.95 1.404 15.79c.2773 .2813 .5684 .5137 .8457 .7969l94.97 94.98c.2344 .2305 .4297 .4727 .6621 .7031C422.6 191.2 424 192 433.5 192C471.1 192 512 164.9 512 151.6C512 139.8 477.1 115.4 447.4 108.9z"],
    "street-view": [512, 512, [], "f21d", "M320 64C320 99.35 291.3 128 256 128C220.7 128 192 99.35 192 64C192 28.65 220.7 0 256 0C291.3 0 320 28.65 320 64zM288 160C323.3 160 352 188.7 352 224V272C352 289.7 337.7 304 320 304H318.2L307.2 403.5C305.4 419.7 291.7 432 275.4 432H236.6C220.3 432 206.6 419.7 204.8 403.5L193.8 304H192C174.3 304 160 289.7 160 272V224C160 188.7 188.7 160 224 160H288zM63.27 414.7C60.09 416.3 57.47 417.8 55.33 419.2C51.7 421.6 51.72 426.4 55.34 428.8C64.15 434.6 78.48 440.6 98.33 446.1C137.7 456.1 193.5 464 256 464C318.5 464 374.3 456.1 413.7 446.1C433.5 440.6 447.9 434.6 456.7 428.8C460.3 426.4 460.3 421.6 456.7 419.2C454.5 417.8 451.9 416.3 448.7 414.7C433.4 406.1 409.9 399.8 379.7 394.2C366.6 391.8 358 379.3 360.4 366.3C362.8 353.3 375.3 344.6 388.3 347C420.8 352.9 449.2 361.2 470.3 371.8C480.8 377.1 490.6 383.5 498 391.4C505.6 399.5 512 410.5 512 424C512 445.4 496.5 460.1 482.9 469C468.2 478.6 448.6 486.3 426.4 492.4C381.8 504.7 321.6 512 256 512C190.4 512 130.2 504.7 85.57 492.4C63.44 486.3 43.79 478.6 29.12 469C15.46 460.1 0 445.4 0 424C0 410.5 6.376 399.5 13.96 391.4C21.44 383.5 31.24 377.1 41.72 371.8C62.75 361.2 91.24 352.9 123.7 347C136.7 344.6 149.2 353.3 151.6 366.3C153.1 379.3 145.4 391.8 132.3 394.2C102.1 399.8 78.57 406.1 63.27 414.7H63.27z"],
    "stretcher": [640, 512, [], "f825", "M608 191.1H191.1L79.87 74.74c-11.75-13.25-32-14.38-45.25-2.625L10.74 93.37c-13.25 11.75-14.38 31.88-2.625 45.13L129.7 266.5C141.9 280.1 159.4 288 177.6 288H608c17.62 0 32-14.38 32-32v-32C640 206.4 625.6 191.1 608 191.1zM480 384c-12.61 0-24.29 3.773-34.2 10.07L409.3 368l67.2-48h-82.59L368 338.5L342.1 320H259.5l67.2 48l-36.5 26.07C280.3 387.8 268.6 384 255.1 384c-35.35 0-64 28.65-64 63.1c0 35.35 28.65 64 64 64S319.1 483.3 319.1 448c0-5.137-.765-10.07-1.908-14.85L368 397.5l49.91 35.65C416.8 437.9 415.1 442.9 415.1 448c0 35.35 28.65 64 64 64s64-28.65 64-64C544 412.7 515.3 384 480 384zM255.1 464c-8.822 0-16-7.178-16-16s7.178-16 15.1-16C264.8 432 271.1 439.2 271.1 448S264.8 464 255.1 464zM480 464c-8.822 0-16-7.178-16-16S471.2 432 480 432s16 7.178 16 16S488.8 464 480 464z"],
    "strikethrough": [512, 512, [], "f0cc", "M332.2 319.9c17.22 12.17 22.33 26.51 18.61 48.21c-3.031 17.59-10.88 29.34-24.72 36.99c-35.44 19.75-108.5 11.96-186-19.68c-16.34-6.686-35.03 1.156-41.72 17.53s1.188 35.05 17.53 41.71c31.75 12.93 95.69 35.37 157.6 35.37c29.62 0 58.81-5.156 83.72-18.96c30.81-17.09 50.44-45.46 56.72-82.11c3.998-23.27 2.168-42.58-3.488-59.05H332.2zM488 239.9l-176.5-.0309c-15.85-5.613-31.83-10.34-46.7-14.62c-85.47-24.62-110.9-39.05-103.7-81.33c2.5-14.53 10.16-25.96 22.72-34.03c20.47-13.15 64.06-23.84 155.4 .3438c17.09 4.531 34.59-5.654 39.13-22.74c4.531-17.09-5.656-34.59-22.75-39.12c-91.31-24.18-160.7-21.62-206.3 7.654C121.8 73.72 103.6 101.1 98.09 133.1C89.26 184.5 107.9 217.3 137.2 239.9L24 239.9c-13.25 0-24 10.75-24 23.1c0 13.25 10.75 23.1 24 23.1h464c13.25 0 24-10.75 24-23.1C512 250.7 501.3 239.9 488 239.9z"],
    "stroopwafel": [512, 512, [], "f551", "M188.1 210.8l-45.25 45.25l45.25 45.25l45.25-45.25L188.1 210.8zM301.2 188.1l-45.25-45.25L210.7 188.1l45.25 45.25L301.2 188.1zM210.7 323.9l45.25 45.25l45.25-45.25L255.1 278.6L210.7 323.9zM256 16c-132.5 0-240 107.5-240 240s107.5 240 240 240s240-107.5 240-240S388.5 16 256 16zM442.6 295.6l-11.25 11.25c-3.125 3.125-8.25 3.125-11.38 0L391.8 278.6l-45.25 45.25l34 33.88l16.88-16.88c3.125-3.125 8.251-3.125 11.38 0l11.25 11.25c3.125 3.125 3.125 8.25 0 11.38l-16.88 16.88l16.88 17c3.125 3.125 3.125 8.25 0 11.38l-11.25 11.25c-3.125 3.125-8.251 3.125-11.38 0l-16.88-17l-17 17c-3.125 3.125-8.25 3.125-11.38 0l-11.25-11.25c-3.125-3.125-3.125-8.25 0-11.38l17-17l-34-33.88l-45.25 45.25l28.25 28.25c3.125 3.125 3.125 8.25 0 11.38l-11.25 11.25c-3.125 3.125-8.25 3.125-11.38 0l-28.25-28.25L227.7 442.6c-3.125 3.125-8.25 3.125-11.38 0l-11.25-11.25c-3.125-3.125-3.125-8.25 0-11.38l28.25-28.25l-45.25-45.25l-33.88 34l16.88 16.88c3.125 3.125 3.125 8.25 0 11.38l-11.25 11.25c-3.125 3.125-8.25 3.125-11.38 0L131.6 403.1l-16.1 16.88c-3.125 3.125-8.25 3.125-11.38 0l-11.25-11.25c-3.125-3.125-3.125-8.25 0-11.38l17-16.88l-17-17c-3.125-3.125-3.125-8.25 0-11.38l11.25-11.25c3.125-3.125 8.25-3.125 11.38 0l16.1 17l33.88-34L120.2 278.6l-28.25 28.25c-3.125 3.125-8.25 3.125-11.38 0L69.37 295.6c-3.125-3.125-3.125-8.25 0-11.38l28.25-28.25l-28.25-28.25c-3.125-3.125-3.125-8.25 0-11.38l11.25-11.25c3.125-3.125 8.25-3.125 11.38 0l28.25 28.25l45.25-45.25l-34-34l-16.88 17c-3.125 3.125-8.25 3.125-11.38 0l-11.25-11.25c-3.125-3.125-3.125-8.25 0-11.38l16.88-17l-16.88-16.88c-3.125-3.125-3.125-8.25 0-11.38l11.25-11.25c3.125-3.125 8.25-3.125 11.38 0l16.88 17l17-17c3.125-3.125 8.25-3.125 11.38 0l11.25 11.25c3.125 3.125 3.125 8.25 0 11.38l-17 16.88l34 34l45.25-45.25L205.1 92c-3.125-3.125-3.125-8.25 0-11.38l11.25-11.25c3.125-3.125 8.25-3.125 11.38 0l28.25 28.25l28.25-28.25c3.125-3.125 8.25-3.125 11.38 0l11.25 11.25c3.125 3.125 3.125 8.25 0 11.38l-28.25 28.25l45.25 45.25l34-34l-17-16.88c-3.125-3.125-3.125-8.25 0-11.38l11.25-11.25c3.125-3.125 8.25-3.125 11.38 0l17 16.88l16.88-16.88c3.125-3.125 8.251-3.125 11.38 0l11.25 11.25c3.125 3.125 3.125 8.25 0 11.38l-17 16.88l17 17c3.125 3.125 3.125 8.25 0 11.38l-11.25 11.25c-3.125 3.125-8.251 3.125-11.38 0l-16.88-17l-34 34l45.25 45.25l28.25-28.25c3.125-3.125 8.25-3.125 11.38 0l11.25 11.25c3.125 3.125 3.125 8.25 0 11.38l-28.25 28.25l28.25 28.25C445.7 287.4 445.7 292.5 442.6 295.6zM278.6 256l45.25 45.25l45.25-45.25l-45.25-45.25L278.6 256z"],
    "subscript": [512, 512, [], "f12c", "M480 448v-128c0-11.09-5.75-21.38-15.17-27.22c-9.422-5.875-21.25-6.344-31.14-1.406l-32 16c-15.81 7.906-22.22 27.12-14.31 42.94c5.609 11.22 16.89 17.69 28.62 17.69v80c-17.67 0-32 14.31-32 32s14.33 32 32 32h64c17.67 0 32-14.31 32-32S497.7 448 480 448zM320 128c17.67 0 32-14.31 32-32s-14.33-32-32-32l-32-.0024c-10.44 0-20.23 5.101-26.22 13.66L176 200.2L90.22 77.67C84.23 69.11 74.44 64.01 64 64.01L32 64.01c-17.67 0-32 14.32-32 32s14.33 32 32 32h15.34L136.9 256l-89.6 128H32c-17.67 0-32 14.31-32 32s14.33 31.1 32 31.1l32-.0024c10.44 0 20.23-5.086 26.22-13.65L176 311.8l85.78 122.5C267.8 442.9 277.6 448 288 448l32 .0024c17.67 0 32-14.31 32-31.1s-14.33-32-32-32h-15.34l-89.6-128l89.6-127.1H320z"],
    "suitcase": [512, 512, [129523], "f0f2", "M128 56C128 25.07 153.1 0 184 0H328C358.9 0 384 25.07 384 56V480H128V56zM176 96H336V56C336 51.58 332.4 48 328 48H184C179.6 48 176 51.58 176 56V96zM64 96H96V480H64C28.65 480 0 451.3 0 416V160C0 124.7 28.65 96 64 96zM448 480H416V96H448C483.3 96 512 124.7 512 160V416C512 451.3 483.3 480 448 480z"],
    "suitcase-medical": [512, 512, ["medkit"], "f0fa", "M0 144v288C0 457.6 22.41 480 48 480H64V96H48C22.41 96 0 118.4 0 144zM464 96H448v384h16c25.59 0 48-22.41 48-48v-288C512 118.4 489.6 96 464 96zM384 48C384 22.41 361.6 0 336 0h-160C150.4 0 128 22.41 128 48V96H96v384h320V96h-32V48zM176 48h160V96h-160V48zM352 312C352 316.4 348.4 320 344 320H288v56c0 4.375-3.625 8-8 8h-48C227.6 384 224 380.4 224 376V320H168C163.6 320 160 316.4 160 312v-48C160 259.6 163.6 256 168 256H224V200C224 195.6 227.6 192 232 192h48C284.4 192 288 195.6 288 200V256h56C348.4 256 352 259.6 352 264V312z"],
    "suitcase-rolling": [448, 512, [], "f5c1", "M368 128h-47.95l.0123-80c0-26.5-21.5-48-48-48h-96c-26.5 0-48 21.5-48 48L128 128H80C53.5 128 32 149.5 32 176v256C32 458.5 53.5 480 80 480h16.05L96 496C96 504.9 103.1 512 112 512h32C152.9 512 160 504.9 160 496L160.1 480h128L288 496c0 8.875 7.125 16 16 16h32c8.875 0 16-7.125 16-16l.0492-16H368c26.5 0 48-21.5 48-48v-256C416 149.5 394.5 128 368 128zM176.1 48h96V128h-96V48zM336 384h-224C103.2 384 96 376.8 96 368C96 359.2 103.2 352 112 352h224c8.801 0 16 7.199 16 16C352 376.8 344.8 384 336 384zM336 256h-224C103.2 256 96 248.8 96 240C96 231.2 103.2 224 112 224h224C344.8 224 352 231.2 352 240C352 248.8 344.8 256 336 256z"],
    "sun": [512, 512, [9728], "f185", "M256 159.1c-53.02 0-95.1 42.98-95.1 95.1S202.1 351.1 256 351.1s95.1-42.98 95.1-95.1S309 159.1 256 159.1zM509.3 347L446.1 255.1l63.15-91.01c6.332-9.125 1.104-21.74-9.826-23.72l-109-19.7l-19.7-109c-1.975-10.93-14.59-16.16-23.72-9.824L256 65.89L164.1 2.736c-9.125-6.332-21.74-1.107-23.72 9.824L121.6 121.6L12.56 141.3C1.633 143.2-3.596 155.9 2.736 164.1L65.89 256l-63.15 91.01c-6.332 9.125-1.105 21.74 9.824 23.72l109 19.7l19.7 109c1.975 10.93 14.59 16.16 23.72 9.824L256 446.1l91.01 63.15c9.127 6.334 21.75 1.107 23.72-9.822l19.7-109l109-19.7C510.4 368.8 515.6 356.1 509.3 347zM256 383.1c-70.69 0-127.1-57.31-127.1-127.1c0-70.69 57.31-127.1 127.1-127.1s127.1 57.3 127.1 127.1C383.1 326.7 326.7 383.1 256 383.1z"],
    "sun-bright": [512, 512, ["sun-alt"], "e28f", "M120.2 154.2c4.672 4.688 10.83 7.031 16.97 7.031S149.5 158.9 154.2 154.2c9.375-9.375 9.375-24.56 0-33.93L108.9 74.97c-9.344-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L120.2 154.2zM256 112c13.25 0 24-10.75 24-24v-64C280 10.75 269.3 0 256 0S232 10.75 232 24v64C232 101.3 242.8 112 256 112zM112 256c0-13.25-10.75-24-24-24h-64C10.75 232 0 242.8 0 256s10.75 24 24 24h64C101.3 280 112 269.3 112 256zM374.8 161.2c6.141 0 12.3-2.344 16.97-7.031l45.25-45.28c9.375-9.375 9.375-24.56 0-33.94s-24.59-9.375-33.94 0l-45.25 45.28c-9.375 9.375-9.375 24.56 0 33.93C362.5 158.9 368.7 161.2 374.8 161.2zM256 400c-13.25 0-24 10.75-24 24v64C232 501.3 242.8 512 256 512s24-10.75 24-24v-64C280 410.8 269.3 400 256 400zM120.2 357.8l-45.25 45.28c-9.375 9.375-9.375 24.56 0 33.94c4.688 4.688 10.83 7.031 16.97 7.031s12.3-2.344 16.97-7.031l45.25-45.28c9.375-9.375 9.375-24.56 0-33.93S129.6 348.4 120.2 357.8zM488 232h-64c-13.25 0-24 10.75-24 24s10.75 24 24 24h64C501.3 280 512 269.3 512 256S501.3 232 488 232zM391.8 357.8c-9.344-9.375-24.56-9.372-33.94 .0031s-9.375 24.56 0 33.93l45.25 45.28c4.672 4.688 10.83 7.031 16.97 7.031s12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94L391.8 357.8zM256 144C194.1 144 144 194.1 144 256c0 61.86 50.14 112 112 112s112-50.14 112-112C368 194.1 317.9 144 256 144z"],
    "sun-cloud": [640, 512, [127780], "f763", "M576 223.1c-12 0-23.12 3.5-32.75 9.25C539.8 192.2 505.9 159.1 464 159.1c-38.75 0-71.13 27.63-78.38 64.25c-.5 0-1-.25-1.625-.25c-35.25 0-64 28.75-64 64s28.75 64 64 64h192c35.25 0 64-28.75 64-64S611.3 223.1 576 223.1zM325.3 363.4C305.3 376.3 281.6 384 256 384c-70.69 0-128-57.31-128-128c0-70.69 57.31-128 128-128c46.04 0 86.06 24.52 108.6 60.1c15.28-29.75 43.27-51.29 76.25-58.31l-50.44-9.115l-19.7-109c-1.975-10.93-14.59-16.16-23.72-9.824L256 65.89L164.1 2.736c-9.125-6.332-21.74-1.107-23.72 9.824L121.6 121.6L12.56 141.3C1.633 143.2-3.596 155.9 2.736 164.1L65.89 256l-63.15 91.01c-6.332 9.125-1.105 21.74 9.824 23.72l109 19.7l19.7 109c1.975 10.93 14.59 16.16 23.72 9.824L256 446.1l91.01 63.15c9.127 6.334 21.75 1.107 23.72-9.822l21.47-115.5L384 383.1C361.8 383.1 341.6 376.1 325.3 363.4zM336.9 204.7C319.8 177.9 290.1 160 256 160c-53.02 0-96 42.98-96 96s42.98 96 96 96c17.21 0 33.13-4.896 47.1-12.83C293.7 324.3 288 306.8 288 287.1C288 252.2 307.8 221.2 336.9 204.7z"],
    "sun-dust": [512, 512, [], "f764", "M165.5 346.5C142.3 323.3 128 291.3 128 256c0-70.69 57.31-128 128-128c35.35 0 67.35 14.33 90.51 37.49l43.92-43.92l-19.7-109c-1.975-10.93-14.59-16.16-23.72-9.824L256 65.89L164.1 2.738c-9.125-6.332-21.74-1.107-23.72 9.824L121.6 121.6L12.56 141.3C1.633 143.2-3.596 155.9 2.736 164.1L65.89 256l-63.15 91.01c-6.332 9.125-1.105 21.74 9.824 23.72l109 19.7L165.5 346.5zM160 256c0 26.51 10.74 50.51 28.11 67.88l135.8-135.8C306.5 170.7 282.5 160 256 160C202.1 160 160 202.1 160 256zM160 448c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S177.8 448 160 448zM480 192c17.75 0 32-14.25 32-32s-14.25-32-32-32s-32 14.25-32 32S462.3 192 480 192zM320 288c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S337.8 288 320 288zM400 208c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S417.8 208 400 208zM240 368c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S257.8 368 240 368zM480 448c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S497.8 448 480 448zM400 368c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S417.8 368 400 368zM320 448c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S337.8 448 320 448zM480 288c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S497.8 288 480 288z"],
    "sun-haze": [640, 512, [], "f765", "M320 160C266.1 160 224 202.1 224 256h192C416 202.1 373 160 320 160zM129.9 256H192c0-70.69 57.31-127.1 128-127.1S448 185.3 448 256h62.11l63.15-91.01c6.332-9.125 1.104-21.74-9.826-23.72l-109-19.7l-19.7-109c-1.975-10.93-14.59-16.16-23.72-9.824L320 65.89L228.1 2.738c-9.125-6.332-21.74-1.107-23.72 9.824L185.6 121.6L76.56 141.3C65.63 143.2 60.4 155.9 66.74 164.1L129.9 256zM87.1 336h320c13.2 0 24-10.8 24-23.1s-10.8-23.1-24-23.1h-320C74.8 288 64 298.8 64 312S74.8 336 87.1 336zM480 312c0 13.2 10.8 23.1 24 23.1h112c13.2 0 24-10.8 24-23.1s-10.8-23.1-24-23.1h-112C490.8 288 480 298.8 480 312zM200 464H87.1C74.8 464 64 474.8 64 488S74.8 512 87.1 512h112C213.2 512 224 501.2 224 488S213.2 464 200 464zM616 464h-320c-13.2 0-24 10.8-24 23.1S282.8 512 296 512h320c13.2 0 24-10.8 24-23.1S629.2 464 616 464zM576 400c0-13.2-10.8-23.1-24-23.1h-528C10.8 376 0 386.8 0 400s10.8 23.1 23.1 23.1h528C565.2 424 576 413.2 576 400z"],
    "sun-plant-wilt": [640, 512, [], "e57a", "M192 160C192 177.7 177.7 192 160 192C142.3 192 128 177.7 128 160C128 142.3 142.3 128 160 128C177.7 128 192 142.3 192 160zM160 0C166.3 0 172 3.708 174.6 9.467L199.4 64.89L256.1 43.23C262 40.98 268.7 42.4 273.1 46.86C277.6 51.32 279 57.99 276.8 63.88L255.1 120.6L310.5 145.4C316.3 147.1 320 153.7 320 160C320 166.3 316.3 172 310.5 174.6L255.1 199.4L276.8 256.1C279 262 277.6 268.7 273.1 273.1C268.7 277.6 262 279 256.1 276.8L199.4 255.1L174.6 310.5C172 316.3 166.3 320 160 320C153.7 320 147.1 316.3 145.4 310.5L120.6 255.1L63.88 276.8C57.99 279 51.32 277.6 46.86 273.1C42.4 268.7 40.98 262 43.23 256.1L64.89 199.4L9.467 174.6C3.708 172 0 166.3 0 160C0 153.7 3.708 147.1 9.467 145.4L64.89 120.6L43.23 63.88C40.98 57.99 42.4 51.32 46.86 46.86C51.32 42.4 57.99 40.98 63.88 43.23L120.6 64.89L145.4 9.467C147.1 3.708 153.7 0 160 0V0zM160 224C195.3 224 224 195.3 224 160C224 124.7 195.3 96 160 96C124.7 96 96 124.7 96 160C96 195.3 124.7 224 160 224zM504 448H608C625.7 448 640 462.3 640 480C640 497.7 625.7 512 608 512H32C14.33 512 .0003 497.7 .0003 480C.0003 462.3 14.33 448 32 448H456V272C456 254.3 441.7 240 424 240C406.3 240 392 254.3 392 272V293.4C406.8 301.1 416 316.5 416 338C416 357.3 394.5 390.1 368 416C341.5 390.1 320 357.6 320 338C320 316.5 329.2 301.1 344 293.4V271.1C344 227.8 379.8 191.1 424 191.1C435.4 191.1 446.2 194.4 456 198.7V175.1C456 131.8 491.8 95.1 536 95.1C580.2 95.1 616 131.8 616 175.1V229.4C630.8 237.1 640 252.5 640 274C640 293.3 618.5 326.1 592 352C565.5 326.1 544 293.6 544 274C544 252.5 553.2 237.1 568 229.4V175.1C568 158.3 553.7 143.1 536 143.1C518.3 143.1 504 158.3 504 175.1V448z"],
    "sunglasses": [576, 512, [128374], "f892", "M574.1 280.4l-45.38-181.7c-5.875-23.75-21.5-43.1-43-55.75c-21.5-11.88-47-14.12-70.25-6.375L400.3 41.64c-8.375 2.75-12.88 11.87-10 20.25l5 15.12c2.75 8.375 11.88 12.87 20.25 10.12l13.12-4.375c10.88-3.625 23.04-3.625 33.17 1.75c10.25 5.25 17.71 14.62 20.46 25.75l38.38 153.9C494.4 255.9 467 251.8 439.5 251.6c-34.75 0-74 6.998-114.9 26.75H251.4C210.5 258.6 171.4 251.6 136.5 251.6c-27.5 .125-54.92 4.251-81.17 12.5l38.38-153.9C96.5 99.14 104 89.76 114.3 84.51C124.4 79.14 136.5 79.14 147.4 82.76L160.5 87.14c4 1.375 8.375 1.01 12.25-.8648c3.75-1.875 6.625-5.26 8-9.26l5-15.21C188.6 53.43 183.1 44.39 175.7 41.64l-15.25-5.125c-23.25-7.748-48.71-5.5-70.21 6.375c-21.5 11.75-37.13 31.1-43 55.75L1.875 280.4C.75 285.5 .125 290.6 0 295.9v70.25C0 428.1 51.62 480 115.3 480h37.04c60.38 0 110.5-46 114.1-105.4l2.875-38.62h35.75l2.875 38.62C313.3 433.1 363.3 480 423.7 480h37.04C524.4 480 576 428.1 576 366.1v-70.25C576 290.6 575.4 285.5 574.1 280.4zM64.25 367.9C64.25 367.3 64 366.8 64 366.1v-37.62c23.25-8.373 47.88-12.75 72.63-12.87c9.125 0 18.12 1.25 27.12 2.5L64.25 367.9zM372.4 365.9l-2.875-37.37c22.38-8.498 46-12.87 70-12.87c9.5 .125 19.12 .875 28.62 2.25L372.4 365.9z"],
    "sunrise": [576, 512, [127749], "f766", "M62.41 432h105.5c18.99-46.79 64.29-80.01 117.9-80.01s98.9 33.23 117.9 80.01h105.5l29.85-43.02c6.332-9.127 1.104-21.75-9.826-23.72l-109-19.7L400.6 236.5c-1.975-10.93-14.59-16.16-23.72-9.826l-91.01 63.16l-91.01-63.16c-9.125-6.334-21.74-1.107-23.72 9.826l-19.7 109L42.39 365.3c-10.93 1.977-16.16 14.6-9.826 23.72L62.41 432zM203.3 432h165c-16.56-28.59-47.1-48.01-82.52-48.01S219.9 403.4 203.3 432zM551.1 463.1H24C10.8 463.1 0 474.8 0 487.1C0 501.2 10.8 512 24 512H551.1C565.2 512 576 501.2 576 487.1C576 474.8 565.2 463.1 551.1 463.1zM227.1 121L256 98.58V192c0 17.69 14.33 32 32 32s32-14.31 32-32V98.58L348 121c13.77 11.03 33.92 8.75 44.97-5c11.05-13.81 8.812-33.94-5-45l-80-64c-1.459-1.162-3.166-1.746-4.76-2.621c-1.266-.7012-2.385-1.535-3.748-2.062C295.8 .8867 291.9 0 288 0S280.2 .8867 276.5 2.316C275.2 2.844 274 3.678 272.8 4.379C271.2 5.254 269.5 5.838 268 7l-80 64C174.2 82.06 171.1 102.2 183 116C194 129.8 214.2 132 227.1 121z"],
    "sunset": [576, 512, [127751], "f767", "M62.41 432h105.5c18.99-46.79 64.29-80.01 117.9-80.01s98.9 33.23 117.9 80.01h105.5l29.85-43.02c6.332-9.127 1.104-21.75-9.826-23.72l-109-19.7L400.6 236.5c-1.975-10.93-14.59-16.16-23.72-9.826l-91.01 63.16l-91.01-63.16c-9.125-6.334-21.74-1.107-23.72 9.826l-19.7 109L42.39 365.3c-10.93 1.977-16.16 14.6-9.826 23.72L62.41 432zM203.3 432h165c-16.56-28.59-47.1-48.01-82.52-48.01S219.9 403.4 203.3 432zM551.1 463.1H24C10.8 463.1 0 474.8 0 487.1C0 501.2 10.8 511.1 24 511.1H551.1c13.2 0 24-10.8 24-24C576 474.8 565.2 463.1 551.1 463.1zM268 217c1.459 1.162 3.166 1.746 4.76 2.621c1.266 .7012 2.385 1.535 3.748 2.062C280.2 223.1 284.1 224 288 224s7.771-.8867 11.48-2.316c1.363-.5273 2.482-1.361 3.748-2.062c1.594-.875 3.301-1.459 4.76-2.621l80-64c13.81-11.06 16.05-31.19 5-45c-11.02-13.81-31.19-16.03-44.97-5L320 125.4V32c0-17.69-14.33-32-32-32S256 14.31 256 32v93.42L227.1 103C214.2 91.97 194.1 94.25 183 108c-11.05 13.81-8.812 33.94 5 45L268 217z"],
    "superscript": [512, 512, [], "f12b", "M480 160v-128c0-11.09-5.75-21.37-15.17-27.22C455.4-1.048 443.6-1.548 433.7 3.39l-32 16c-15.81 7.906-22.22 27.12-14.31 42.94C392.1 73.55 404.3 80.01 416 80.01v80c-17.67 0-32 14.31-32 32s14.33 32 32 32h64c17.67 0 32-14.31 32-32S497.7 160 480 160zM320 128c17.67 0 32-14.31 32-32s-14.33-32-32-32l-32-.0024c-10.44 0-20.23 5.101-26.22 13.66L176 200.2L90.22 77.67C84.23 69.11 74.44 64.01 64 64.01L32 64.01c-17.67 0-32 14.32-32 32s14.33 32 32 32h15.34L136.9 256l-89.6 128H32c-17.67 0-32 14.31-32 32s14.33 31.1 32 31.1l32-.0024c10.44 0 20.23-5.086 26.22-13.65L176 311.8l85.78 122.5C267.8 442.9 277.6 448 288 448l32 .0024c17.67 0 32-14.31 32-31.1s-14.33-32-32-32h-15.34l-89.6-128l89.6-127.1H320z"],
    "sushi": [576, 512, [127843, "nigiri"], "e48a", "M405.9 295.5L506.3 125.6C531 152.3 548.4 186.3 554.7 224.4L567.3 299.6C571.2 323.4 548.5 342.9 525.6 335.3L405.9 295.5zM393.5 66.05C426.3 70.9 456.7 84.09 482.1 103.6L374.8 285.2L323.1 268C308.5 263.1 293.2 261 277.9 261.6L393.5 66.05zM235.6 270.4L96.14 318.7L246.6 64H357.5L235.6 270.4zM21.26 224.4C36.63 132.2 116.1 64.57 209.5 64L49.42 334.8C26.98 341.5 4.951 322.3 8.857 298.9L21.26 224.4zM32 384V369C40.55 369.7 49.47 368.7 58.36 365.6L251.3 298.8C271.3 291.9 292.1 291.7 313 298.4L518.5 366.6C527.1 369.5 535.7 370.4 544 369.7V384C544 419.3 515.3 448 480 448C460.9 448 443.7 439.6 432 426.3C420.3 439.6 403.1 448 384 448C364.9 448 347.7 439.6 336 426.3C324.3 439.6 307.1 448 288 448C268.9 448 251.7 439.6 240 426.3C228.3 439.6 211.1 448 192 448C172.9 448 155.7 439.6 144 426.3C132.3 439.6 115.1 448 96 448C60.65 448 32 419.3 32 384V384z"],
    "sushi-roll": [448, 512, ["maki-roll", "makizushi"], "e48b", "M224 480C100.3 480 0 429.9 0 368V144C0 82.14 100.3 32 224 32C347.7 32 448 82.14 448 144V368C448 429.9 347.7 480 224 480zM308.2 198.4C272.9 184.9 244.4 162.4 226.2 135C210.2 138.9 189.9 145.6 169.4 155.9C150.8 165.2 132.8 177.1 117.1 191.9C146.2 201.9 183.3 208 223.1 208C254.9 208 283.8 204.5 308.2 198.4H308.2zM64 144C64 154.4 70.16 164.1 81.09 172.8C101.5 149.6 126.1 132.4 151.4 120.1C171.5 110 191.6 102.9 208.9 98.19C207.2 92.37 205.1 86.44 205.1 80.44C125.7 84.18 64 111.2 64 144L64 144zM368.6 171.4C378.5 163.1 384 153.8 384 144C384 111.6 323.9 84.85 245.8 80.59C255.1 123 299.1 165.9 368.6 171.4V171.4z"],
    "swatchbook": [512, 512, [], "f5c3", "M0 32C0 14.33 14.33 0 32 0H160C177.7 0 192 14.33 192 32V416C192 469 149 512 96 512C42.98 512 0 469 0 416V32zM128 64H64V128H128V64zM64 256H128V192H64V256zM96 440C109.3 440 120 429.3 120 416C120 402.7 109.3 392 96 392C82.75 392 72 402.7 72 416C72 429.3 82.75 440 96 440zM224 416V154L299.4 78.63C311.9 66.13 332.2 66.13 344.7 78.63L435.2 169.1C447.7 181.6 447.7 201.9 435.2 214.4L223.6 425.9C223.9 422.7 224 419.3 224 416V416zM374.8 320H480C497.7 320 512 334.3 512 352V480C512 497.7 497.7 512 480 512H182.8L374.8 320z"],
    "sword": [512, 512, [128481], "f71c", "M110.1 227.6c-6.25-6.248-16.37-6.248-22.62 0l-18.75 18.75c-5.498 5.373-6.249 13.87-1.999 20.25l53.37 79.99l-53.5 53.5l-29.25-14.62c-5.375-2.748-11.75-1.623-16 2.625l-17.25 17.25c-5.5 5.375-5.5 14.25 0 19.62l82.87 82.87c5.375 5.5 14.25 5.5 19.62 0l17.25-17.25c4.25-4.25 5.375-10.62 2.625-16l-14.62-29.25l53.5-53.5l79.99 53.41c6.375 4.25 14.87 3.5 20.25-2l18.75-18.79c6.25-6.25 6.25-16.37 0-22.62L110.1 227.6zM493.7 .1497l-93.74 15.88L171.9 244.1l95.99 95.99l228.1-228.1l15.87-93.75C513.3 7.781 504.2-1.35 493.7 .1497z"],
    "sword-laser": [512, 512, [], "e03b", "M9.375 412.1c-12.5 12.5-12.5 32.75 0 45.25l45.25 45.25c12.5 12.5 32.75 12.5 45.25 0l79.12-79.12l-90.5-90.5L9.375 412.1zM105.5 327.3l79.25 79.25l22.62-22.62L128.1 304.6L105.5 327.3zM195.1 236.8c-3.125-3.125-8.125-3.125-11.25 0L173.4 248.1c-3.125 3.125-3.125 8.125 0 11.25l79.25 79.25c3.125 3.125 8.125 3.125 11.25 0l11.38-11.38c3.125-3.125 3.125-8.123 0-11.25L195.1 236.8zM139.5 293.4l79.12 79.12l22.62-22.62L162.1 270.8L139.5 293.4zM504.1 7.02c-9.125-9.125-23.87-9.375-33.25-.625L225.6 232.4l53.1 53.1l225.1-246.1C514.4 30.89 514.1 16.14 504.1 7.02z"],
    "sword-laser-alt": [512, 512, [], "e03c", "M128.1 361.3l-107.5 107.4l22.62 22.75l107.5-107.5L128.1 361.3zM94.25 327.3l-84.87 84.87c-12.5 12.5-12.5 32.75 0 45.25l107.5-107.5L94.25 327.3zM308.9 256H171.1c-4.25 0-8.25 1.75-11.25 4.75L105.5 315.9l90.62 90.62l124.1-123.1C330.5 273.4 323.3 256 308.9 256zM504.1 7.02c-9.123-9.125-23.87-9.375-33.37-.625L225.1 232h103.5l176.1-191.6C514.4 30.89 514.1 16.14 504.1 7.02zM54.62 502.6c12.5 12.5 32.75 12.5 45.25 0l84.87-84.87l-22.62-22.62L54.62 502.6z"],
    "swords": [512, 512, [9876], "f71d", "M309.4 389.4l79.1-80.01L93.38 13.39L15.26 .1367c-8.875-1.25-16.37 6.251-15.12 15.13l13.25 78.13L309.4 389.4zM507.2 462.1l-59.25-59.26l31.62-59.01c3.375-6.251 2.25-13.88-2.75-18.88L459.2 307.4c-6.25-6.251-16.37-6.251-22.62 0L307.3 436.8c-6.25 6.251-6.25 16.42 0 22.54l17.58 17.63c4.1 5.001 12.62 6.125 18.87 2.75l58.1-31.63l59.25 59.26c6.25 6.251 16.5 6.251 22.75 0l22.5-22.5C513.5 478.6 513.5 468.3 507.2 462.1zM498.6 93.4l13.25-78.13c1.25-8.876-6.25-16.38-15.12-15.13l-78.12 13.25l-139.1 140l79.1 80.01L498.6 93.4zM153.4 278.7L100 332L75.3 307.3c-6.25-6.251-16.42-6.251-22.54 0l-17.62 17.58c-4.1 5.001-6.125 12.63-2.75 18.88l31.62 59.01L4.768 462.1c-6.25 6.251-6.25 16.5 0 22.75l22.5 22.5c6.25 6.251 16.5 6.251 22.75 0l59.25-59.26l58.1 31.63c6.25 3.375 13.87 2.25 18.87-2.75l17.5-17.63c6.25-6.251 6.25-16.42 0-22.54l-24.63-24.71l53.37-53.38L153.4 278.7z"],
    "swords-laser": [640, 512, [], "e03d", "M135 7.019c-9.125 9.125-9.375 23.87-.625 33.37L360 286v-103.5L168.4 6.394C158.9-2.355 144.1-2.105 135 7.019zM411.3 191.8c-10-10.25-27.26-3.066-27.26 11.31l.0001 136.9c-.1251 4.25 1.626 8.25 4.627 11.25l55.28 55.25l90.54-90.62L411.3 191.8zM489.2 383.9l107.4 107.5l22.76-22.62l-107.5-107.5L489.2 383.9zM630.6 412.1l-84.91-84.87l-22.64 22.62l107.6 107.5C643.1 444.9 643.1 424.6 630.6 412.1zM455.2 417.8l84.91 84.87c12.51 12.5 32.77 12.5 45.27 0l-107.6-107.5L455.2 417.8zM256 313.3l42.75-46.75L256 220V313.3zM400.8 155l104.9-114.7c8.75-9.375 8.5-24.12-.625-33.25s-23.88-9.375-33.25-.625l-128.1 117.6l37.88 34.75c5.875-2.5 12.25-3.875 18.62-3.875C400.4 154.9 400.5 155 400.8 155zM196.6 224.6l-28.75 29.12c-12.5-12.5-32.75-12.5-45.25 0C110.1 266.3 110.1 286.5 122.5 299l-113.1 113.1c-12.5 12.5-12.5 32.75 0 45.25l45.25 45.25c12.5 12.5 32.75 12.5 45.25 0l119.4-118.4C222.2 381.3 224 377.1 224 372.9V235.9C224 221.6 206.6 214.5 196.6 224.6zM168.5 360.5c-8.75 0-16-7.25-16-15.1c0-8.875 7.25-15.1 16-15.1c8.875 0 16 7.124 16 15.1C184.5 353.3 177.4 360.5 168.5 360.5z"],
    "symbols": [512, 512, [128291, "icons-alt"], "f86e", "M500.3 7.253C507.7 13.33 512 22.41 512 32V176C512 202.5 483.3 224 448 224C412.7 224 384 202.5 384 176C384 149.5 412.7 128 448 128V71.03L352 90.23V208C352 234.5 323.3 256 288 256C252.7 256 224 234.5 224 208C224 181.5 252.7 160 288 160V64C288 48.75 298.8 35.61 313.7 32.62L473.7 .6218C483.1-1.259 492.9 1.175 500.3 7.253H500.3zM192 .0003C209.7 .0003 224 14.33 224 32C224 49.67 209.7 64 192 64H32C14.33 64 .0006 49.67 .0006 32C.0006 14.33 14.33 .0003 32 .0003H192zM342.6 502.6C330.1 515.1 309.9 515.1 297.4 502.6C284.9 490.1 284.9 469.9 297.4 457.4L457.4 297.4C469.9 284.9 490.1 284.9 502.6 297.4C515.1 309.9 515.1 330.1 502.6 342.6L342.6 502.6zM.0006 128C.0006 110.3 14.33 96 32 96H192C209.7 96 224 110.3 224 128C224 145.7 209.7 160 192 160H144V192C144 209.7 129.7 224 112 224C94.33 224 80 209.7 80 192V160H32C14.33 160 .0006 145.7 .0006 128zM368 328C368 350.1 350.1 368 328 368C305.9 368 288 350.1 288 328C288 305.9 305.9 288 328 288C350.1 288 368 305.9 368 328zM432 472C432 449.9 449.9 432 472 432C494.1 432 512 449.9 512 472C512 494.1 494.1 512 472 512C449.9 512 432 494.1 432 472zM145.9 384.8L169.4 361.4C181.9 348.9 202.1 348.9 214.6 361.4C227.1 373.9 227.1 394.1 214.6 406.6L189.9 431.3L215.2 457.1C227.4 470.8 226.8 491.1 214 503.2C201.2 515.4 180.9 514.8 168.8 502L144.7 476.6L131.9 489.4C117.4 503.9 97.74 512 77.25 512C34.59 512 0 477.4 0 434.7V433.8C0 414.4 7.247 395.7 20.33 381.3L33.38 366.9C22.55 354.3 16 337.9 16 320C16 280.2 48.24 248 88 248C127.8 248 160 280.2 160 320C160 341.5 150.6 360.8 135.6 373.1L145.9 384.8zM64 433.8V434.7C64 442.1 69.94 448 77.26 448C80.77 448 84.14 446.6 86.63 444.1L100.6 430.1L81.14 409.5L67.68 424.3C65.31 426.9 64 430.3 64 433.8H64zM104 320C104 311.2 96.84 304 88 304C79.16 304 72 311.2 72 320C72 328.8 79.16 336 88 336C96.84 336 104 328.8 104 320z"],
    "synagogue": [640, 512, [128333], "f69b", "M309.8 3.708C315.7-1.236 324.3-1.236 330.2 3.708L451.2 104.5C469.5 119.7 480 142.2 480 165.1V512H384V384C384 348.7 355.3 320 320 320C284.7 320 256 348.7 256 384V512H160V165.1C160 142.2 170.5 119.7 188.8 104.5L309.8 3.708zM326.1 124.3C323.9 118.9 316.1 118.9 313 124.3L297.2 152.4L264.9 152.1C258.7 152.1 254.8 158.8 257.9 164.2L274.3 191.1L257.9 219.8C254.8 225.2 258.7 231.9 264.9 231.9L297.2 231.6L313 259.7C316.1 265.1 323.9 265.1 326.1 259.7L342.8 231.6L375.1 231.9C381.3 231.9 385.2 225.2 382.1 219.8L365.7 191.1L382.1 164.2C385.2 158.8 381.3 152.1 375.1 152.1L342.8 152.4L326.1 124.3zM512 244.5L540.1 213.3C543.1 209.9 547.5 208 552 208C556.5 208 560.9 209.9 563.9 213.3L627.7 284.2C635.6 292.1 640 304.4 640 316.3V448C640 483.3 611.3 512 576 512H512V244.5zM128 244.5V512H64C28.65 512 0 483.3 0 448V316.3C0 304.4 4.389 292.1 12.32 284.2L76.11 213.3C79.14 209.9 83.46 208 88 208C92.54 208 96.86 209.9 99.89 213.3L128 244.5z"],
    "syringe": [512, 512, [128137], "f48e", "M504.1 71.03l-64-64c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L422.1 56L384 94.06l-55.03-55.03c-9.375-9.375-24.56-9.375-33.94 0c-8.467 8.467-8.873 21.47-2.047 30.86l149.1 149.1C446.3 222.1 451.1 224 456 224c6.141 0 12.28-2.344 16.97-7.031c9.375-9.375 9.375-24.56 0-33.94L417.9 128L456 89.94l15.03 15.03C475.7 109.7 481.9 112 488 112s12.28-2.344 16.97-7.031C514.3 95.59 514.3 80.41 504.1 71.03zM208.8 154.1l58.56 58.56c6.25 6.25 6.25 16.38 0 22.62C264.2 238.4 260.1 240 256 240S247.8 238.4 244.7 235.3L186.1 176.8L144.8 218.1l58.56 58.56c6.25 6.25 6.25 16.38 0 22.62C200.2 302.4 196.1 304 192 304S183.8 302.4 180.7 299.3L122.1 240.8L82.75 280.1C70.74 292.1 64 308.4 64 325.4v88.68l-56.97 56.97c-9.375 9.375-9.375 24.56 0 33.94C11.72 509.7 17.86 512 24 512s12.28-2.344 16.97-7.031L97.94 448h88.69c16.97 0 33.25-6.744 45.26-18.75l187.6-187.6l-149.1-149.1L208.8 154.1z"],
    "t": [384, 512, [116], "54", "M384 64.01c0 17.67-14.33 32-32 32h-128v352c0 17.67-14.33 31.99-32 31.99s-32-14.32-32-31.99v-352H32c-17.67 0-32-14.33-32-32s14.33-32 32-32h320C369.7 32.01 384 46.34 384 64.01z"],
    "table": [512, 512, [], "f0ce", "M448 32C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448zM224 256V160H64V256H224zM64 320V416H224V320H64zM288 416H448V320H288V416zM448 256V160H288V256H448z"],
    "table-cells": [512, 512, ["th"], "f00a", "M448 32C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448zM152 96H64V160H152V96zM208 160H296V96H208V160zM448 96H360V160H448V96zM64 288H152V224H64V288zM296 224H208V288H296V224zM360 288H448V224H360V288zM152 352H64V416H152V352zM208 416H296V352H208V416zM448 352H360V416H448V352z"],
    "table-cells-large": [512, 512, ["th-large"], "f009", "M448 32C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448zM448 96H288V224H448V96zM448 288H288V416H448V288zM224 224V96H64V224H224zM64 416H224V288H64V416z"],
    "table-columns": [512, 512, ["columns"], "f0db", "M0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM64 416H224V160H64V416zM448 160H288V416H448V160z"],
    "table-layout": [512, 512, [], "e290", "M448 32C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448zM448 96H64V160H448V96zM64 416H128V224H64V416zM448 224H192V416H448V224z"],
    "table-list": [512, 512, ["th-list"], "f00b", "M0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM64 160H128V96H64V160zM448 96H192V160H448V96zM64 288H128V224H64V288zM448 224H192V288H448V224zM64 416H128V352H64V416zM448 352H192V416H448V352z"],
    "table-picnic": [512, 512, [], "e32d", "M480 224h-74.33l-38.4-96H416c17.67 0 32-14.33 32-32c0-17.67-14.33-32-32-32H96C78.33 64 64 78.33 64 96c0 17.67 14.33 32 32 32h48.73L106.3 224H32C14.33 224 0 238.3 0 256c0 17.67 14.33 32 32 32h448c17.67 0 32-14.33 32-32C512 238.3 497.7 224 480 224zM175.3 224L213.7 128h84.66l38.4 96H175.3zM34.28 404.1c-6.562 16.41 1.438 35.03 17.84 41.59C56 447.3 60.03 448 64 448c12.69 0 24.72-7.594 29.72-20.12L136.9 320H67.93L34.28 404.1zM444.1 320h-68.94l43.15 107.9C423.3 440.4 435.3 448 448 448c3.969 0 8-.7187 11.88-2.281c16.41-6.562 24.41-25.19 17.84-41.59L444.1 320z"],
    "table-pivot": [512, 512, [], "e291", "M0 96C0 60.65 28.65 32 64 32H128V160H0V96zM448 160H160V32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V192H128V416H448V160zM414.8 246.1C412.3 252.1 406.5 256 400 256H384V304C384 330.5 362.5 352 336 352H288V368C288 374.5 284.1 380.3 278.1 382.8C272.1 385.3 265.3 383.9 260.7 379.3L228.7 347.3C222.4 341.1 222.4 330.9 228.7 324.7L260.7 292.7C265.3 288.1 272.1 286.7 278.1 289.2C284.1 291.7 288 297.5 288 303.1V319.1H336C344.8 319.1 352 312.8 352 303.1V255.1H336C329.5 255.1 323.7 252.1 321.2 246.1C318.7 240.1 320.1 233.3 324.7 228.7L356.7 196.7C362.9 190.4 373.1 190.4 379.3 196.7L411.3 228.7C415.9 233.3 417.3 240.1 414.8 246.1L414.8 246.1z"],
    "table-rows": [512, 512, ["rows"], "e292", "M0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM128 224H448V96H128V224zM448 288H128V416H448V288z"],
    "table-tennis-paddle-ball": [512, 512, [127955, "ping-pong-paddle-ball", "table-tennis"], "f45d", "M416 287.1c27.99 0 53.68 9.254 74.76 24.51c14.03-29.82 21.06-62.13 21.06-94.43c0-103.1-79.37-218.1-216.5-218.1c-59.94 0-120.4 23.71-165.5 68.95l-54.66 54.8C73.61 125.3 72.58 126.1 71.14 128.5l230.7 230.7C322.8 317.2 365.8 287.1 416 287.1zM290.3 392.1l-238.6-238.6C38.74 176.2 32.3 199.4 32.3 221.9c0 30.53 11.71 59.94 34.29 82.58l36.6 36.7l-92.38 81.32c-7.177 6.255-10.81 15.02-10.81 23.81c0 8.027 3.032 16.07 9.164 22.24l34.05 34.2c6.145 6.16 14.16 9.205 22.15 9.205c8.749 0 17.47-3.649 23.7-10.86l81.03-92.85l35.95 36.04c23.62 23.68 54.41 35.23 85.37 35.23c4.532 0 9.205-.2677 13.72-.7597c-10.56-18.61-17.12-39.89-17.12-62.81C288 408.1 288.1 400.5 290.3 392.1zM415.1 320c-52.99 0-95.99 42.1-95.99 95.1c0 52.1 42.99 95.99 95.99 95.99c52.1 0 95.99-42.1 95.99-95.99C511.1 363 468.1 320 415.1 320z"],
    "table-tree": [512, 512, [], "e293", "M224 240C224 231.2 231.2 224 240 224H400C408.8 224 416 231.2 416 240V272C416 280.8 408.8 288 400 288H240C231.2 288 224 280.8 224 272V240zM400 320C408.8 320 416 327.2 416 336V368C416 376.8 408.8 384 400 384H304C295.2 384 288 376.8 288 368V336C288 327.2 295.2 320 304 320H400zM448 32C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448zM448 160H128V224C128 232.8 135.2 240 144 240H176C184.8 240 192 247.2 192 256C192 264.8 184.8 272 176 272H144C138.4 272 133 271 128 269.3V320C128 328.8 135.2 336 144 336H240C248.8 336 256 343.2 256 352C256 360.8 248.8 368 240 368H144C117.5 368 96 346.5 96 320V160H64V416H448V160z"],
    "tablet": [448, 512, ["tablet-android"], "f3fb", "M384 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V64C448 28.65 419.3 0 384 0zM288 447.1C288 456.8 280.8 464 272 464H175.1C167.2 464 160 456.8 160 448S167.2 432 175.1 432h96C280.8 432 288 439.2 288 447.1z"],
    "tablet-button": [448, 512, [], "f10a", "M384 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V64C448 28.65 419.3 0 384 0zM224 464c-17.75 0-32-14.25-32-32s14.25-32 32-32s32 14.25 32 32S241.8 464 224 464z"],
    "tablet-rugged": [448, 512, [], "f48f", "M439.3 164.4c5.375-2.625 8.75-8.125 8.75-14.25v-76.25c0-6.125-3.375-11.63-8.75-14.25l-23.25-11.62c0-26.5-21.5-48-47.1-48h-288c-26.5 0-48 21.5-48 48L8.799 59.63C3.424 62.25 .0492 67.75 .0492 73.88v76.25c0 6.125 3.375 11.63 8.75 14.25l23.25 11.62v16L8.799 203.6C3.424 206.3 .0492 211.8 .0492 217.9v76.25c0 6.125 3.375 11.62 8.75 14.25l23.25 11.62v16l-23.25 11.62C3.424 350.3 .0492 355.8 .0492 361.9v76.25c0 6.125 3.375 11.62 8.75 14.25l23.25 11.62c0 26.5 21.5 48 48 48h288c26.5 0 47.1-21.5 47.1-48l23.25-11.62c5.375-2.625 8.75-8.125 8.75-14.25v-76.25c0-6.125-3.375-11.62-8.75-14.25l-23.25-11.62v-16l23.25-11.62c5.375-2.625 8.75-8.125 8.75-14.25V217.9c0-6.125-3.375-11.63-8.75-14.25l-23.25-11.62v-16L439.3 164.4zM352 432c0 8.75-7.25 16-16 16h-224c-8.75 0-16-7.25-16-16v-352c0-8.75 7.25-16 16-16h224c8.75 0 16 7.25 16 16V432z"],
    "tablet-screen": [448, 512, ["tablet-android-alt"], "f3fc", "M384 .0001H64c-35.35 0-64 28.65-64 64v384c0 35.35 28.65 63.1 64 63.1h320c35.35 0 64-28.65 64-63.1v-384C448 28.65 419.3 .0001 384 .0001zM288 448c0 8.837-7.163 16-15.1 16H175.1c-8.837 0-15.1-7.163-15.1-16s7.163-16 15.1-16h96C280.8 432 288 439.2 288 448zM384 384H64v-320h320V384z"],
    "tablet-screen-button": [448, 512, ["tablet-alt"], "f3fa", "M384 .0001H64c-35.35 0-64 28.65-64 64v384c0 35.35 28.65 63.1 64 63.1h320c35.35 0 64-28.65 64-63.1v-384C448 28.65 419.3 .0001 384 .0001zM224 480c-17.75 0-32-14.25-32-32s14.25-32 32-32s32 14.25 32 32S241.8 480 224 480zM384 384H64v-320h320V384z"],
    "tablets": [640, 512, [], "f490", "M159.1 191.1c-81.1 0-147.5 58.51-159.9 134.8C-.7578 331.5 3.367 336 8.365 336h303.3c4.998 0 8.996-4.5 8.248-9.25C307.4 250.5 241.1 191.1 159.1 191.1zM311.5 368H8.365c-4.998 0-9.123 4.5-8.248 9.25C12.49 453.5 78.88 512 159.1 512s147.4-58.5 159.8-134.8C320.7 372.5 316.5 368 311.5 368zM362.9 65.74c-3.502-3.502-9.504-3.252-12.25 .75c-45.52 62.76-40.52 150.4 15.88 206.9c56.52 56.51 144.2 61.39 206.1 15.88c4.002-2.875 4.252-8.877 .75-12.25L362.9 65.74zM593.4 46.61c-56.52-56.51-144.2-61.39-206.1-16c-4.002 2.877-4.252 8.877-.75 12.25l211.3 211.4c3.5 3.502 9.504 3.252 12.25-.75C654.8 190.8 649.9 103.1 593.4 46.61z"],
    "tachograph-digital": [640, 512, ["digital-tachograph"], "f566", "M576 64H64C28.8 64 0 92.8 0 128v256c0 35.2 28.8 64 64 64h512c35.2 0 64-28.8 64-64V128C640 92.8 611.2 64 576 64zM64 296C64 291.6 67.63 288 72 288h16C92.38 288 96 291.6 96 296v16C96 316.4 92.38 320 88 320h-16C67.63 320 64 316.4 64 312V296zM336 384h-256C71.2 384 64 376.8 64 368C64 359.2 71.2 352 79.1 352h256c8.801 0 16 7.199 16 16C352 376.8 344.8 384 336 384zM128 312v-16C128 291.6 131.6 288 136 288h16C156.4 288 160 291.6 160 296v16C160 316.4 156.4 320 152 320h-16C131.6 320 128 316.4 128 312zM192 312v-16C192 291.6 195.6 288 200 288h16C220.4 288 224 291.6 224 296v16C224 316.4 220.4 320 216 320h-16C195.6 320 192 316.4 192 312zM256 312v-16C256 291.6 259.6 288 264 288h16C284.4 288 288 291.6 288 296v16C288 316.4 284.4 320 280 320h-16C259.6 320 256 316.4 256 312zM352 312C352 316.4 348.4 320 344 320h-16C323.6 320 320 316.4 320 312v-16C320 291.6 323.6 288 328 288h16C348.4 288 352 291.6 352 296V312zM352 237.7C352 247.9 344.4 256 334.9 256H81.07C71.6 256 64 247.9 64 237.7V146.3C64 136.1 71.6 128 81.07 128h253.9C344.4 128 352 136.1 352 146.3V237.7zM560 384h-160c-8.801 0-16-7.201-16-16c0-8.801 7.199-16 16-16h160c8.801 0 16 7.199 16 16C576 376.8 568.8 384 560 384z"],
    "taco": [512, 512, [127790], "f826", "M255.1 191.1c-130.1 0-237.9 107.4-255.7 247.1C-2.431 460.6 12.94 480 32.45 480h447c19.5 0 35-19.38 32.13-40.88C493.9 299.4 386.1 191.1 255.1 191.1zM111.1 415.1c-8.875 0-15.1-7.127-15.1-16s7.122-15.1 15.1-15.1c8.875 0 16 7.124 16 15.1S120.9 415.1 111.1 415.1zM175.1 351.1c-8.875 0-15.1-7.127-15.1-16s7.121-15.1 15.1-15.1s16 7.122 16 15.1S184.9 351.1 175.1 351.1zM7.32 279.4C9.82 288.5 11.32 298.1 11.82 307.6C63.95 218.5 154.8 159.1 255.1 159.1s192 58.5 244.1 147.6c.5001-9.5 2.063-18.1 4.563-28.25c0 0 0 .125 0 0c5.126-17.25 11.06-37 4.188-55.13c-7.126-19-24.75-29.38-40.25-38.38c-9.501-5.625-19.38-11.38-23.75-17.63c-4.75-6.625-7.376-18.5-9.876-30c-3.875-18-8.334-38.55-23.59-50.67c-15.63-12.38-36.05-10.95-54.05-9.704c-10.75 .75-22 1.5-29.13-1.125c-7.001-2.5-15.13-10.13-23-17.5c-29-27.13-50.63-44.5-98.39 0C198.1 66.49 190.7 74.24 183.8 76.74c-7.251 2.5-18.38 1.75-29.25 1C136.6 76.49 116.3 75.07 100.5 87.57C85.41 99.57 80.95 120.1 76.95 138.2C74.45 149.7 71.95 161.5 67.2 168.2C62.83 174.5 52.95 180.2 43.45 185.7C27.95 194.9 10.32 205.1 3.195 224.2C-3.681 242.4 2.195 262.1 7.32 279.4C7.195 279.4 7.195 279.2 7.32 279.4z"],
    "tag": [448, 512, [127991], "f02b", "M48 32H197.5C214.5 32 230.7 38.74 242.7 50.75L418.7 226.7C443.7 251.7 443.7 292.3 418.7 317.3L285.3 450.7C260.3 475.7 219.7 475.7 194.7 450.7L18.75 274.7C6.743 262.7 0 246.5 0 229.5V80C0 53.49 21.49 32 48 32L48 32zM112 176C129.7 176 144 161.7 144 144C144 126.3 129.7 112 112 112C94.33 112 80 126.3 80 144C80 161.7 94.33 176 112 176z"],
    "tags": [512, 512, [], "f02c", "M472.8 168.4C525.1 221.4 525.1 306.6 472.8 359.6L360.8 472.9C351.5 482.3 336.3 482.4 326.9 473.1C317.4 463.8 317.4 448.6 326.7 439.1L438.6 325.9C472.5 291.6 472.5 236.4 438.6 202.1L310.9 72.87C301.5 63.44 301.6 48.25 311.1 38.93C320.5 29.61 335.7 29.7 344.1 39.13L472.8 168.4zM.0003 229.5V80C.0003 53.49 21.49 32 48 32H197.5C214.5 32 230.7 38.74 242.7 50.75L410.7 218.7C435.7 243.7 435.7 284.3 410.7 309.3L277.3 442.7C252.3 467.7 211.7 467.7 186.7 442.7L18.75 274.7C6.743 262.7 0 246.5 0 229.5L.0003 229.5zM112 112C94.33 112 80 126.3 80 144C80 161.7 94.33 176 112 176C129.7 176 144 161.7 144 144C144 126.3 129.7 112 112 112z"],
    "tally": [640, 512, ["tally-5"], "f69c", "M128 32C145.7 32 160 46.33 160 64V275.6L224 254.3V64C224 46.33 238.3 32 256 32C273.7 32 288 46.33 288 64V232.9L352 211.6V64C352 46.33 366.3 32 384 32C401.7 32 416 46.33 416 64V190.3L480 168.9V64C480 46.33 494.3 32 512 32C529.7 32 544 46.33 544 64V147.6L597.9 129.6C614.6 124.1 632.8 133.1 638.4 149.9C643.9 166.6 634.9 184.8 618.1 190.4L544 215.1V448C544 465.7 529.7 480 512 480C494.3 480 480 465.7 480 448V236.4L416 257.7V448C416 465.7 401.7 480 384 480C366.3 480 352 465.7 352 448V279.1L288 300.4V448C288 465.7 273.7 480 255.1 480C238.3 480 223.1 465.7 223.1 448V321.7L159.1 343.1V448C159.1 465.7 145.7 480 127.1 480C110.3 480 95.1 465.7 95.1 448V364.4L42.12 382.4C25.35 387.9 7.231 378.9 1.642 362.1C-3.947 345.4 5.114 327.2 21.88 321.6L96 296.9V64C96 46.33 110.3 32 128 32V32z"],
    "tally-1": [448, 512, [], "e294", "M32 32C49.67 32 64 46.33 64 64V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V64C0 46.33 14.33 32 32 32z"],
    "tally-2": [448, 512, [], "e295", "M64 448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64V448zM192 448C192 465.7 177.7 480 160 480C142.3 480 128 465.7 128 448V64C128 46.33 142.3 32 160 32C177.7 32 192 46.33 192 64V448z"],
    "tally-3": [448, 512, [], "e296", "M32 32C49.67 32 64 46.33 64 64V448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V64C0 46.33 14.33 32 32 32zM160 32C177.7 32 192 46.33 192 64V448C192 465.7 177.7 480 160 480C142.3 480 128 465.7 128 448V64C128 46.33 142.3 32 160 32zM320 448C320 465.7 305.7 480 288 480C270.3 480 256 465.7 256 448V64C256 46.33 270.3 32 288 32C305.7 32 320 46.33 320 64V448z"],
    "tally-4": [448, 512, [], "e297", "M64 448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448V64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64V448zM192 448C192 465.7 177.7 480 160 480C142.3 480 128 465.7 128 448V64C128 46.33 142.3 32 160 32C177.7 32 192 46.33 192 64V448zM288 32C305.7 32 320 46.33 320 64V448C320 465.7 305.7 480 288 480C270.3 480 256 465.7 256 448V64C256 46.33 270.3 32 288 32zM448 448C448 465.7 433.7 480 416 480C398.3 480 384 465.7 384 448V64C384 46.33 398.3 32 416 32C433.7 32 448 46.33 448 64V448z"],
    "tamale": [320, 512, [129748], "e451", "M312 256c0-8.838-7.164-16-16-16h-272c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16h106.1L98.69 311.1c-1.818 2.729-2.629 5.891-2.629 8.938C96.06 328.1 103.2 336 112 336c5.156 0 10.22-2.5 13.31-7.125L160 284.8l34.75 44.03C197.8 333.5 202.9 336 208.1 336C216.8 336 224 328.1 224 320.1c0-3.047-.8086-6.209-2.629-8.938L189.9 272H296C304.8 272 312 264.8 312 256zM24 208h61.52L72.03 73.73C71.59 69.33 74.81 65.42 79.22 64.98C83.5 64.36 87.53 67.75 87.97 72.14L101.5 208H152V64c0-4.422 3.594-8 8-8S168 59.58 168 64v144h50.63l13.41-135.9c.4375-4.391 4.344-7.734 8.75-7.156c4.406 .4375 7.625 4.344 7.188 8.75L234.6 208H296c1.352 0 2.623 .2891 3.945 .3984L320 64c0-35.35-71.63-64-160-64S0 28.65 0 64l20.05 144.4C21.38 208.3 22.65 208 24 208zM296 304h-42.71C255.1 309.1 256 314.5 256 320.1c0 13.48-5.635 25.63-14.62 34.35l6.592 84.03c.3438 4.406-2.938 8.25-7.344 8.594C240.4 447.1 240.2 447.1 240 447.1c-4.156 0-7.656-3.188-7.969-7.375l-5.865-75.29C220.6 366.7 214.5 368 208.1 368c-15.53 0-29.99-7.457-39.01-20.03L168 346.6V448c0 4.422-3.594 8-8 8S152 452.4 152 448v-101.3l-.9824 1.246C141.1 360.5 127.5 368 112 368c-6.447 0-12.58-1.318-18.2-3.637l-5.828 75.32C87.66 443.9 84.16 447.1 80 447.1c-.1875 0-.4062 0-.625-.0313c-4.406-.3438-7.688-4.188-7.344-8.594l6.553-84.11c-8.934-8.713-14.53-20.83-14.53-34.27c0-5.545 .9219-10.96 2.709-16.06H24c-1.352 0-2.623-.2891-3.945-.3984L0 448c0 35.35 71.63 64 160 64s160-28.65 160-64l-20.05-144.4C298.6 303.7 297.4 304 296 304z"],
    "tank-water": [448, 512, [], "e452", "M224 224c30.94 0 56-24.03 56-53.66S223.1 64 223.1 64S168 140.7 168 170.3S193.1 224 224 224zM384 32h-135.7c13.12 17.5 25.95 35.17 37.66 53.63C288 88.96 290.2 92.45 292.4 96H384v216.7c-22.53 13.02-51.17 11.2-71.97-5.439L297.1 296c-5.824-4.672-14.14-4.672-19.97 0l-14.05 11.23c-23.36 18.69-56.58 18.69-79.94 0L169.1 296c-5.824-4.672-14.14-4.672-19.97 0L135.1 307.2C115.2 323.9 86.53 325.7 64 312.7V96h91.65c2.145-3.553 4.287-7.039 6.432-10.37C173.8 67.17 186.6 49.5 199.7 32H64C28.64 32 0 60.64 0 96v320c0 35.36 28.64 64 64 64h320c35.36 0 64-28.64 64-64V96C448 60.64 419.4 32 384 32z"],
    "tape": [576, 512, [], "f4db", "M288 256C288 291.3 259.3 320 224 320C188.7 320 160 291.3 160 256C160 220.7 188.7 192 224 192C259.3 192 288 220.7 288 256zM544 416C561.7 416 576 430.3 576 448C576 465.7 561.7 480 544 480H224C100.3 480 0 379.7 0 256C0 132.3 100.3 32 224 32C347.7 32 448 132.3 448 256C448 318.7 422.3 375.3 380.8 416H544zM224 352C277 352 320 309 320 256C320 202.1 277 160 224 160C170.1 160 128 202.1 128 256C128 309 170.1 352 224 352z"],
    "tarp": [576, 512, [], "e57b", "M576 288H448C430.3 288 416 302.3 416 320V448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H512C547.3 64 576 92.65 576 128V288zM96 192C113.7 192 128 177.7 128 160C128 142.3 113.7 128 96 128C78.33 128 64 142.3 64 160C64 177.7 78.33 192 96 192zM448 448V320H576L448 448z"],
    "tarp-droplet": [576, 512, [], "e57c", "M224 100C224 75.95 257.7 29.93 276.2 6.49C282.3-1.226 293.7-1.226 299.8 6.49C318.3 29.93 352 75.95 352 100C352 133.1 323.3 160 288 160C252.7 160 224 133.1 224 100V100zM64 128H197.5C210.6 165.3 246.2 192 288 192C329.8 192 365.4 165.3 378.5 128H512C547.3 128 576 156.7 576 192V352H448C430.3 352 416 366.3 416 384V512H64C28.65 512 0 483.3 0 448V192C0 156.7 28.65 128 64 128V128zM96 256C113.7 256 128 241.7 128 224C128 206.3 113.7 192 96 192C78.33 192 64 206.3 64 224C64 241.7 78.33 256 96 256zM448 512V384H576L448 512z"],
    "taxi": [576, 512, [128662, "cab"], "f1ba", "M352 0C369.7 0 384 14.33 384 32V64L384 64.15C422.6 66.31 456.3 91.49 469.2 128.3L504.4 228.8C527.6 238.4 544 261.3 544 288V480C544 497.7 529.7 512 512 512H480C462.3 512 448 497.7 448 480V432H128V480C128 497.7 113.7 512 96 512H64C46.33 512 32 497.7 32 480V288C32 261.3 48.36 238.4 71.61 228.8L106.8 128.3C119.7 91.49 153.4 66.31 192 64.15L192 64V32C192 14.33 206.3 0 224 0L352 0zM197.4 128C183.8 128 171.7 136.6 167.2 149.4L141.1 224H434.9L408.8 149.4C404.3 136.6 392.2 128 378.6 128H197.4zM128 352C145.7 352 160 337.7 160 320C160 302.3 145.7 288 128 288C110.3 288 96 302.3 96 320C96 337.7 110.3 352 128 352zM448 288C430.3 288 416 302.3 416 320C416 337.7 430.3 352 448 352C465.7 352 480 337.7 480 320C480 302.3 465.7 288 448 288z"],
    "taxi-bus": [640, 512, [], "e298", "M48 416H32C14.33 416 0 401.7 0 384V74.46C0 58.25 9.164 43.42 23.67 36.16C71.24 12.38 123.7 0 176.9 0H207.1C260.3 0 312.8 12.38 360.3 36.16C374.8 43.42 384 58.25 384 74.46V96C362.1 96 343.6 110.7 337.8 130.8C331.7 132.1 325.7 134 319.1 136.4V120C319.1 106.7 309.3 96 295.1 96H207.1V224H249.9L233.6 272.9C208.5 290.2 191.1 319.2 191.1 352V416H127.1V448C127.1 465.7 113.7 480 95.1 480H79.1C62.33 480 47.1 465.7 47.1 448L48 416zM64 200C64 213.3 74.75 224 88 224H176V96H88C74.75 96 64 106.7 64 120V200zM96 296C82.75 296 72 306.7 72 320C72 333.3 82.75 344 96 344C109.3 344 120 333.3 120 320C120 306.7 109.3 296 96 296zM368 152C368 138.7 378.7 128 392 128H472C485.3 128 496 138.7 496 152V160H501.4C535.8 160 566.4 182 577.3 214.7L603.9 294.4C625.2 304.7 640 326.6 640 352L640 480C640 497.7 625.7 512 608 512H592C574.3 512 560 497.7 560 480V448H304V480C304 497.7 289.7 512 272 512H256C238.3 512 224 497.7 224 480L224 352C224 326.6 238.8 304.7 260.1 294.4L286.7 214.7C297.6 182 328.2 159.1 362.6 159.1H368V152zM329.7 288H534.3L516.6 234.9C514.4 228.4 508.3 224 501.4 224H362.6C355.7 224 349.6 228.4 347.4 234.9L329.7 288zM304 344C290.7 344 280 354.7 280 368C280 381.3 290.7 392 304 392C317.3 392 328 381.3 328 368C328 354.7 317.3 344 304 344zM560 392C573.3 392 584 381.3 584 368C584 354.7 573.3 344 560 344C546.7 344 536 354.7 536 368C536 381.3 546.7 392 560 392z"],
    "teddy-bear": [576, 512, [], "e3cf", "M154.6 103.5c-1.535 6.334-2.611 12.82-2.611 19.56C152 196.5 212.9 256 288 256s135.1-59.53 135.1-132.1c0-6.732-1.076-13.22-2.611-19.56C437.3 93.6 447.1 76.11 447.1 56c0-30.93-25.07-56-55.1-56c-24.25 0-44.7 15.5-52.48 37.06c-34.11-6.055-68.91-6.055-103 0C228.7 15.5 208.3 0 184 0c-30.93 0-55.1 25.07-55.1 56C128 76.11 138.7 93.6 154.6 103.5zM336 96C344.8 96 352 103.2 352 112C352 120.8 344.8 128 336 128S320 120.8 320 112C320 103.2 327.2 96 336 96zM351.1 176C351.1 202.5 323.3 224 288 224S224 202.5 224 176S252.7 128 288 128S351.1 149.5 351.1 176zM240 96C248.8 96 256 103.2 256 112C256 120.8 248.8 128 240 128S224 120.8 224 112C224 103.2 231.2 96 240 96zM288 192c17.67 0 31.1-10.75 31.1-24c0-13.26-14.32-24-31.1-24S256 154.7 256 168C256 181.3 270.3 192 288 192zM537.7 354.9c-29.34-9.812-61.09 6.062-70.84 35.41L463.6 400h-15.62v-64.83c33.16-23.18 63.23-53.74 88.12-91.67c14.56-22.19 8.375-51.94-13.78-66.47c-22.12-14.56-51.9-8.406-66.46 13.78C415.3 252.6 358.4 288 299.6 288H276.4C217.6 288 160.7 252.6 120.1 190.8C105.6 168.7 75.89 162.4 53.67 177C31.51 191.6 25.33 221.3 39.89 243.5c24.89 37.92 54.96 68.49 88.12 91.67V400H112.4l-3.25-9.719c-9.75-29.34-41.47-45.16-70.84-35.41c-29.34 9.781-45.19 41.5-35.4 70.84l16 48C26.51 496.6 47.92 512 72.01 512h431.1c24.09 0 45.5-15.44 53.12-38.28l16-48C582.9 396.4 567 364.7 537.7 354.9zM192 416c0-35.35 28.65-64 63.1-64h63.1c35.34 0 63.1 28.65 63.1 64H192z"],
    "teeth": [576, 512, [], "f62e", "M480 32H96C42.98 32 0 74.98 0 128v256c0 53.02 42.98 96 96 96h384c53.02 0 96-42.98 96-96V128C576 74.98 533 32 480 32zM144 336C144 362.5 122.5 384 96 384s-48-21.5-48-48v-32C48 295.1 55.13 288 64 288h64c8.875 0 16 7.125 16 16V336zM144 240C144 248.9 136.9 256 128 256H64C55.13 256 48 248.9 48 240v-32C48 181.5 69.5 160 96 160s48 21.5 48 48V240zM272 336C272 362.5 250.5 384 224 384s-48-21.5-48-48v-32C176 295.1 183.1 288 192 288h64c8.875 0 16 7.125 16 16V336zM272 242.3C272 249.9 265.9 256 258.3 256H189.7C182.1 256 176 249.9 176 242.3V176C176 149.5 197.5 128 224 128s48 21.54 48 48V242.3zM400 336c0 26.5-21.5 48-48 48s-48-21.5-48-48v-32C304 295.1 311.1 288 320 288h64c8.875 0 16 7.125 16 16V336zM400 242.3C400 249.9 393.9 256 386.3 256h-68.57C310.1 256 304 249.9 304 242.3V176C304 149.5 325.5 128 352 128s48 21.54 48 48V242.3zM528 336c0 26.5-21.5 48-48 48s-48-21.5-48-48v-32C432 295.1 439.1 288 448 288h64c8.875 0 16 7.125 16 16V336zM528 240C528 248.9 520.9 256 512 256h-64c-8.875 0-16-7.125-16-16v-32C432 181.5 453.5 160 480 160s48 21.5 48 48V240z"],
    "teeth-open": [576, 512, [], "f62f", "M512 288H64c-35.35 0-64 28.65-64 64v32c0 53.02 42.98 96 96 96h384c53.02 0 96-42.98 96-96v-32C576 316.7 547.3 288 512 288zM144 368C144 394.5 122.5 416 96 416s-48-21.5-48-48v-32C48 327.1 55.13 320 64 320h64c8.875 0 16 7.125 16 16V368zM272 368C272 394.5 250.5 416 224 416s-48-21.5-48-48v-32C176 327.1 183.1 320 192 320h64c8.875 0 16 7.125 16 16V368zM400 368c0 26.5-21.5 48-48 48s-48-21.5-48-48v-32c0-8.875 7.125-16 16-16h64c8.875 0 16 7.125 16 16V368zM528 368c0 26.5-21.5 48-48 48s-48-21.5-48-48v-32c0-8.875 7.125-16 16-16h64c8.875 0 16 7.125 16 16V368zM480 32H96C42.98 32 0 74.98 0 128v64c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V128C576 74.98 533 32 480 32zM144 208C144 216.9 136.9 224 128 224H64C55.13 224 48 216.9 48 208v-32C48 149.5 69.5 128 96 128s48 21.5 48 48V208zM272 210.3C272 217.9 265.9 224 258.3 224H189.7C182.1 224 176 217.9 176 210.3V144C176 117.5 197.5 96 224 96s48 21.54 48 48V210.3zM400 210.3C400 217.9 393.9 224 386.3 224h-68.57C310.1 224 304 217.9 304 210.3V144C304 117.5 325.5 96 352 96s48 21.54 48 48V210.3zM528 208C528 216.9 520.9 224 512 224h-64c-8.875 0-16-7.125-16-16v-32C432 149.5 453.5 128 480 128s48 21.5 48 48V208z"],
    "telescope": [640, 512, [128301], "e03e", "M638.8 216.8l-85.7-206.1C550.8 4.429 544.2 0 538.3 0c-1.75 0-4.511 .5475-6.136 1.219l-117.3 48.61c-5.438 2.266-9.874 8.877-9.874 14.77c0 1.766 .5059 4.502 1.193 6.127l85.73 206.9c2.25 5.453 8.893 9.895 14.8 9.895c1.75 0 4.473-.5345 6.098-1.206l117.3-48.61C635.6 235.5 640 228.9 640 222.1C640 221.2 639.4 218.5 638.8 216.8zM380.4 92.14L74.25 241.7C65.9 245.8 61.99 254.1 65.21 262.8l8.753 21.13L9.878 310.4C4.44 312.7 0 319.3 0 325.2c0 1.75 .5625 4.499 1.219 6.124l20.06 48.42c2.25 5.453 8.876 9.876 14.78 9.876c1.75 0 4.497-.5469 6.122-1.219L106.2 361.9l8.737 21.09c3.219 7.781 12.52 11.49 21.27 8.479l127-43.69c.168 .2168 .3561 .4824 .5261 .6973L217.4 479.1c-4.406 12.5 2.126 26.22 14.63 30.63C234.6 511.6 237.3 512 239.1 512c9.875 0 19.16-6.157 22.63-16l42.9-121.6c4.686 .959 9.507 1.551 14.48 1.551s9.822-.5039 14.51-1.463l42.87 121.5C380.8 505.8 390.1 512 399.1 512c2.656 0 5.344-.4375 8.001-1.375c12.5-4.406 19.03-18.13 14.63-30.63l-46.42-131.5c9.734-12.28 15.79-27.6 15.79-44.49c0-.1309-.0436-.2406-.0436-.3714l66.58-22.87L380.4 92.14zM319.1 327.1c-13.23 0-24-10.77-24-24c0-13.23 10.77-24 24-24c13.23 0 24 10.77 24 24C343.1 317.2 333.2 327.1 319.1 327.1z"],
    "temperature-arrow-down": [512, 512, ["temperature-down"], "e03f", "M159.1 322.9l-.0002-18.92C159.1 295.1 152.9 287.1 144 287.1c-8.875 0-15.1 7.115-15.1 15.99L128 322.9c-22 7.875-35.25 30.38-31.25 53.38C100.6 399.4 120.6 416.1 144 416.1c23.37 0 43.37-16.71 47.25-39.83C195.2 353.3 181.1 330.8 159.1 322.9zM255.1 112C255.1 50.13 205.9 0 144 0C82.13 0 32 50.13 32 112v166.5C12.25 303.3 0 334 0 368C0 447.5 64.5 512 144 512c79.5 0 143.1-64.5 143.1-144c0-34-12.25-64.88-32-89.5V112zM219.9 393.4C208.1 426.1 178.4 447.1 144 447.1c-34.38 0-65-21.84-75.88-54.59C57.25 360.8 68.5 324.9 96 304.3V112C96 85.5 117.5 64 144 64c26.5 0 47.1 21.5 47.1 48v192.3C219.5 324.9 230.7 360.8 219.9 393.4zM499.1 343c-13.77-11.03-33.92-8.75-44.97 5L448 356.8V64c0-17.69-14.33-32-32-32s-32 14.31-32 32v292.8L376.1 348c-11.03-13.81-31.19-16.03-44.97-5c-13.81 11.06-16.05 31.19-5 45l64 80C397.1 475.6 406.3 480 416 480s18.92-4.406 24.98-12l64-80C516 374.2 513.8 354.1 499.1 343z"],
    "temperature-arrow-up": [512, 512, ["temperature-up"], "e040", "M159.1 322.9V112C159.1 103.1 152.9 96 144 96C135.1 96 128 103.1 128 112v210.9c-22 7.875-35.25 30.38-31.25 53.38C100.6 399.4 120.6 416.1 144 416.1c23.37 0 43.37-16.71 47.25-39.83C195.2 353.3 181.1 330.8 159.1 322.9zM255.1 112C255.1 50.13 205.9 0 144 0C82.13 0 32 50.13 32 112v166.5C12.25 303.3 0 334 0 368C0 447.5 64.5 512 144 512c79.5 0 143.1-64.5 143.1-144c0-34-12.25-64.88-32-89.5V112zM219.9 393.4C208.1 426.1 178.4 447.1 144 447.1c-34.38 0-65-21.84-75.88-54.59C57.25 360.8 68.5 324.9 96 304.3V112c0-26.5 21.5-48.01 48-48.01c26.5 0 47.1 21.51 47.1 48.01v192.3C219.5 324.9 230.7 360.8 219.9 393.4zM504.1 124l-64-80c-12.12-15.19-37.84-15.19-49.97 0l-64 80c-11.05 13.81-8.812 33.94 5 45c13.75 11.03 33.94 8.781 44.97-5L384 155.2V448c0 17.69 14.33 32 32 32s32-14.31 32-32V155.2L455 164c6.312 7.906 15.61 12 25 12c7.016 0 14.08-2.281 19.97-7C513.8 157.9 516 137.8 504.1 124z"],
    "temperature-empty": [320, 512, ["temperature-0", "thermometer-0", "thermometer-empty"], "f2cb", "M272 278.5V112c0-61.87-50.12-112-111.1-112S48 50.13 48 112v166.5c-19.75 24.75-32 55.5-32 89.5c0 79.5 64.5 143.1 144 143.1S304 447.5 304 368C304 334 291.8 303.1 272 278.5zM160 448c-44.13 0-80-35.87-80-79.1c0-25.5 12.25-48.88 32-63.75v-192.3c0-26.5 21.5-48 48-48s48 21.5 48 48v192.3c19.75 14.75 32 38.25 32 63.75C240 412.1 204.1 448 160 448zM160 320c-26.51 0-48 21.49-48 48s21.49 48 48 48s48-21.49 48-48S186.5 320 160 320z"],
    "temperature-full": [320, 512, ["temperature-4", "thermometer-4", "thermometer-full"], "f2c7", "M176 322.9V112c0-8.75-7.25-16-16-16s-16 7.25-16 16v210.9c-18.62 6.625-32 24.25-32 45.13c0 26.5 21.5 48 48 48s48-21.5 48-48C208 347.1 194.6 329.5 176 322.9zM272 278.5V112c0-61.87-50.12-112-111.1-112S48 50.13 48 112v166.5c-19.75 24.75-32 55.5-32 89.5c0 79.5 64.5 143.1 144 143.1S304 447.5 304 368C304 334 291.8 303.1 272 278.5zM160 448c-44.13 0-80-35.87-80-79.1c0-25.5 12.25-48.88 32-63.75v-192.3c0-26.5 21.5-48 48-48s48 21.5 48 48v192.3c19.75 14.75 32 38.25 32 63.75C240 412.1 204.1 448 160 448z"],
    "temperature-half": [320, 512, [127777, "temperature-2", "thermometer-2", "thermometer-half"], "f2c9", "M176 322.9l.0002-114.9c0-8.75-7.25-16-16-16s-15.1 7.25-15.1 16L144 322.9c-18.62 6.625-32 24.25-32 45.13c0 26.5 21.5 48 48 48s48-21.5 48-48C208 347.1 194.6 329.5 176 322.9zM272 278.5V112c0-61.87-50.12-112-111.1-112S48 50.13 48 112v166.5c-19.75 24.75-32 55.5-32 89.5c0 79.5 64.5 143.1 144 143.1S304 447.5 304 368C304 334 291.8 303.1 272 278.5zM160 448c-44.13 0-80-35.87-80-79.1c0-25.5 12.25-48.88 32-63.75v-192.3c0-26.5 21.5-48 48-48s48 21.5 48 48v192.3c19.75 14.75 32 38.25 32 63.75C240 412.1 204.1 448 160 448z"],
    "temperature-high": [512, 512, [], "f769", "M160 322.9V112C160 103.3 152.8 96 144 96S128 103.3 128 112v210.9C109.4 329.5 96 347.1 96 368C96 394.5 117.5 416 144 416S192 394.5 192 368C192 347.1 178.6 329.5 160 322.9zM416 0c-52.88 0-96 43.13-96 96s43.13 96 96 96s96-43.13 96-96S468.9 0 416 0zM416 128c-17.75 0-32-14.25-32-32s14.25-32 32-32s32 14.25 32 32S433.8 128 416 128zM256 112c0-61.88-50.13-112-112-112s-112 50.13-112 112v166.5c-19.75 24.75-32 55.5-32 89.5c0 79.5 64.5 144 144 144s144-64.5 144-144c0-33.1-12.25-64.88-32-89.5V112zM144 448c-44.13 0-80-35.88-80-80c0-25.5 12.25-48.88 32-63.75v-192.3c0-26.5 21.5-48 48-48S192 85.5 192 112V304.3c19.75 14.75 32 38.25 32 63.75C224 412.1 188.1 448 144 448z"],
    "temperature-list": [512, 512, [], "e299", "M160 322.9V160c0-8.75-7.25-16-16-16S128 151.3 128 160v162.9C109.4 329.5 96 347.1 96 368C96 394.5 117.5 416 144 416S192 394.5 192 368C192 347.1 178.6 329.5 160 322.9zM256 112c0-61.87-50.13-112-112-112S32 50.13 32 112v166.5c-19.75 24.75-32 55.5-32 89.5c0 79.5 64.5 143.1 144 143.1s144-64.5 144-143.1c0-34-12.25-64.88-32-89.5V112zM144 448c-44.13 0-80-35.87-80-79.1c0-25.5 12.25-48.88 32-63.75v-192.3c0-26.5 21.5-48 48-48s48 21.5 48 48v192.3c19.75 14.75 32 38.25 32 63.75C224 412.1 188.1 448 144 448zM352 96h128c17.67 0 32-14.33 32-32s-14.33-32-32-32h-128c-17.67 0-32 14.33-32 32S334.3 96 352 96zM480 160h-128c-17.67 0-32 14.33-32 32s14.33 32 32 32h128c17.67 0 32-14.33 32-32S497.7 160 480 160zM480 288h-96c-17.67 0-32 14.33-32 32s14.33 32 32 32h96c17.67 0 32-14.33 32-32S497.7 288 480 288z"],
    "temperature-low": [512, 512, [], "f76b", "M160 322.9V304C160 295.3 152.8 288 144 288S128 295.3 128 304v18.88C109.4 329.5 96 347.1 96 368C96 394.5 117.5 416 144 416S192 394.5 192 368C192 347.1 178.6 329.5 160 322.9zM256 112c0-61.88-50.13-112-112-112s-112 50.13-112 112v166.5c-19.75 24.75-32 55.5-32 89.5c0 79.5 64.5 144 144 144s144-64.5 144-144c0-33.1-12.25-64.88-32-89.5V112zM144 448c-44.13 0-80-35.88-80-80c0-25.5 12.25-48.88 32-63.75v-192.3c0-26.5 21.5-48 48-48s48 21.5 48 48v192.1c19.75 14.75 32 38.38 32 63.88C224 412.1 188.1 448 144 448zM416 0c-52.88 0-96 43.13-96 96s43.13 96 96 96s96-43.13 96-96S468.9 0 416 0zM416 128c-17.75 0-32-14.25-32-32s14.25-32 32-32s32 14.25 32 32S433.8 128 416 128z"],
    "temperature-quarter": [320, 512, ["temperature-1", "thermometer-1", "thermometer-quarter"], "f2ca", "M176 322.9l.0002-50.88c0-8.75-7.25-16-16-16s-15.1 7.25-15.1 16L144 322.9c-18.62 6.625-32 24.25-32 45.13c0 26.5 21.5 48 48 48s48-21.5 48-48C208 347.1 194.6 329.5 176 322.9zM272 278.5V112c0-61.87-50.12-112-111.1-112S48 50.13 48 112v166.5c-19.75 24.75-32 55.5-32 89.5c0 79.5 64.5 143.1 144 143.1S304 447.5 304 368C304 334 291.8 303.1 272 278.5zM160 448c-44.13 0-80-35.87-80-79.1c0-25.5 12.25-48.88 32-63.75v-192.3c0-26.5 21.5-48 48-48s48 21.5 48 48v192.3c19.75 14.75 32 38.25 32 63.75C240 412.1 204.1 448 160 448z"],
    "temperature-snow": [576, 512, ["temperature-frigid"], "f768", "M544 278.5V112c0-61.87-50.13-112-111.1-112s-111.1 50.13-111.1 112v166.5c-19.75 24.62-31.1 55.5-31.1 89.5c0 79.5 64.5 143.1 143.1 143.1C511.5 512 576 447.5 576 368C576 334 563.7 303.1 544 278.5zM432 448c-44.12 0-79.99-35.87-79.99-79.1c0-25.5 12.25-48.88 31.1-63.75v-192.2c0-26.5 21.5-48 47.1-48c26.5 0 47.1 21.5 47.1 48v192.2c19.75 14.75 31.1 38.25 31.1 63.75C512 412.1 476.1 448 432 448zM448 322.9V304c0-8.75-7.251-16-16-16c-8.748 0-15.1 7.25-15.1 16v18.88c-18.62 6.625-32 24.25-32 45.13c0 26.5 21.5 48 47.1 48c26.5 0 48-21.5 48-48C480 347.1 466.6 329.5 448 322.9zM268.3 305.4C273.4 292.3 279.7 279.7 288 267.9l.0072-6.397L223.1 223.1l64.88-37.46l-.0029-55.35L199.1 182.4V124.3l30.14-30.13c7.812-7.812 7.812-20.5 0-28.31s-20.47-7.812-28.28 0L199.1 67.71V56c0-13.25-10.75-24-24-24s-24 10.75-24 24v11.71L149.3 65.84c-7.812-7.812-20.47-7.812-28.28 0s-7.812 20.5 0 28.31l30.14 30.13v58.15L100.8 153.4L89.75 112.2C86.89 101.5 75.97 95.19 65.27 98.03c-10.67 2.844-17 13.81-14.14 24.5l.6855 2.559L41.64 119.2C30.2 112.6 15.47 116.5 8.859 128C2.234 139.5 6.156 154.2 17.64 160.8l10.18 5.875L25.25 167.3c-10.66 2.844-16.98 13.81-14.12 24.5c2.391 8.938 10.47 14.81 19.3 14.81c1.719 0 3.469-.2187 5.203-.6875L76.78 194.9L127.1 223.1L78.51 252.1L37.36 241C26.8 238.2 15.72 244.5 12.86 255.2C10 265.8 16.33 276.8 26.98 279.7l2.566 .6875L19.38 286.2C7.891 292.8 3.969 307.5 10.59 319c4.438 7.688 12.52 12 20.8 12c4.078 0 8.203-1.031 11.98-3.219l10.17-5.871l-.6855 2.559C50 335.2 56.33 346.1 67 348.1c1.734 .4687 3.469 .6875 5.188 .6875c8.828 0 16.91-5.875 19.3-14.81l11.04-41.21l48.62-28.07v50.15L121 345.8c-7.812 7.812-7.812 20.5 0 28.31s20.47 7.812 28.28 0l1.859-1.861V392c0 13.25 10.75 24 24 24s24-10.75 24-24v-19.71L201 374.2C204.9 378.1 210 380 215.1 380s10.23-1.938 14.14-5.844c7.812-7.812 7.812-20.5 0-28.31L199.1 315.7V265.6L268.3 305.4z"],
    "temperature-sun": [640, 512, ["temperature-hot"], "f76a", "M223.1 160C188.7 160 159.1 188.8 159.1 224s28.75 64 64 64c35.25 0 64-28.75 64-64S259.2 160 223.1 160zM511.1 322.9V112c0-8.75-7.249-16-16-16c-8.75 0-16 7.25-16 16v210.9C461.4 329.5 447.1 347.1 447.1 368c0 26.5 21.5 48 48 48c26.5 0 48-21.5 48-48C543.1 347.1 530.6 329.5 511.1 322.9zM607.1 278.5V112c0-61.88-50.12-112-112-112c-61.88 0-112 50.13-112 112v166.5C364.2 303.1 351.1 334 351.1 368c0 79.5 64.5 144 144 144S640 447.5 640 368C640 334 627.8 303.1 607.1 278.5zM495.1 448c-44.13 0-80.01-35.88-80.01-80c0-25.5 12.25-48.88 32-63.75V112c0-26.5 21.51-48 48.01-48c26.5 0 48 21.5 48 48v192.3c19.75 14.75 32 38.25 32 63.75C575.1 412.1 540.1 448 495.1 448zM351.1 267.9V112c0-16.88 3.5-33 8.875-48.13L278.1 91.25L237.6 8.375c-5.625-11.12-21.63-11.12-27.25 0L168.1 91.25L81.1 61.88C69.22 58 57.97 69.25 61.85 81.13L91.22 169L8.344 210.4c-11.12 5.625-11.12 21.5 0 27.12L91.22 279l-29.38 87.88C57.85 378.8 69.22 390 81.1 386.1l87.88-29.38l41.38 82.88c5.625 11.12 21.63 11.12 27.13 0l41.38-82.88l41.13 13.62c0-.75-.125-1.625-.125-2.5C319.1 332.1 330.1 297.8 351.1 267.9zM156.1 291.9c-37.5-37.38-37.38-98.38 0-135.8s98.25-37.38 135.8 0c37.38 37.38 37.38 98.38 0 135.8S193.6 329.3 156.1 291.9z"],
    "temperature-three-quarters": [320, 512, ["temperature-3", "thermometer-3", "thermometer-three-quarters"], "f2c8", "M176 322.9V160c0-8.75-7.25-16-16-16s-16 7.25-16 16v162.9c-18.62 6.625-32 24.25-32 45.13c0 26.5 21.5 48 48 48s48-21.5 48-48C208 347.1 194.6 329.5 176 322.9zM272 278.5V112c0-61.87-50.12-112-111.1-112S48 50.13 48 112v166.5c-19.75 24.75-32 55.5-32 89.5c0 79.5 64.5 143.1 144 143.1S304 447.5 304 368C304 334 291.8 303.1 272 278.5zM160 448c-44.13 0-80-35.87-80-79.1c0-25.5 12.25-48.88 32-63.75v-192.3c0-26.5 21.5-48 48-48s48 21.5 48 48v192.3c19.75 14.75 32 38.25 32 63.75C240 412.1 204.1 448 160 448z"],
    "tenge-sign": [384, 512, [8376, "tenge"], "f7d7", "M0 64C0 46.33 14.33 32 32 32H352C369.7 32 384 46.33 384 64C384 81.67 369.7 96 352 96H32C14.33 96 0 81.67 0 64zM0 192C0 174.3 14.33 160 32 160H352C369.7 160 384 174.3 384 192C384 209.7 369.7 224 352 224H224V448C224 465.7 209.7 480 192 480C174.3 480 160 465.7 160 448V224H32C14.33 224 0 209.7 0 192z"],
    "tennis-ball": [512, 512, [127934], "f45e", "M363.1 319.8c-48.7 34.11-74.45 88.51-74.45 143.8c0 15.11 1.922 30.29 5.823 45.15c110.6-16.7 197.9-104 214.4-214.7c-14.72-3.875-29.85-6.031-45.1-6.031C428.9 288.1 393.7 298.4 363.1 319.8zM49.59 223.3c110.6 0 173.8-93.19 173.8-174.1c0-15.12-1.924-30.31-5.828-45.17c-110.4 16.67-197.5 103.7-214.3 214.1C18.35 221.3 33.95 223.3 49.59 223.3zM255.1-.0031c-1.928 0-3.793 .244-5.711 .287C253.1 15.98 255.8 31.95 255.8 47.85c0 97.43-76.7 208.1-207.5 208.1c-16.18 0-32.29-1.914-48-5.613c-.041 1.902-.285 3.756-.285 5.67c0 141.4 114.6 256 256 256c1.932 0 3.797-.2482 5.719-.2912c-3.677-15.69-5.488-31.65-5.488-47.55c0-96.97 76.25-207.9 207.1-207.9c16.3 0 32.55 1.901 48.39 5.631c.0449-1.977 .299-3.896 .299-5.881C511.1 114.6 397.4-.0031 255.1-.0031z"],
    "tent": [576, 512, [], "e57d", "M269.4 5.961C280.5-1.987 295.5-1.987 306.6 5.961L530.6 165.1C538 171.2 542.8 179.4 543.8 188.5L575.8 476.5C576.8 485.5 573.9 494.6 567.8 501.3C561.8 508.1 553.1 512 544 512H416L288 288V512H32C22.9 512 14.23 508.1 8.156 501.3C2.086 494.6-.8093 485.5 .1958 476.5L32.2 188.5C33.2 179.4 38 171.2 45.4 165.1L269.4 5.961z"],
    "tent-arrow-down-to-line": [640, 512, [], "e57e", "M241.8 111.9C250.7 121.8 249.9 136.1 240.1 145.8L160.1 217.8C150.9 226.1 137.1 226.1 127.9 217.8L47.94 145.8C38.09 136.1 37.29 121.8 46.16 111.9C55.03 102.1 70.2 101.3 80.05 110.2L119.1 146.1V24C119.1 10.75 130.7 0 143.1 0C157.3 0 167.1 10.75 167.1 24V146.1L207.9 110.2C217.8 101.3 232.1 102.1 241.8 111.9H241.8zM364.6 134.5C376.1 125.8 391.9 125.8 403.4 134.5L571.4 262.5C578 267.6 582.4 275 583.6 283.3L608.4 448C625.9 448.2 640 462.4 640 480C640 497.7 625.7 512 608 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H159.6L184.4 283.3C185.6 275 189.1 267.6 196.6 262.5L364.6 134.5zM384 448H460.8L384 320V448z"],
    "tent-arrow-left-right": [576, 512, [], "e57f", "M568.1 78.16C573.1 82.71 576 89.2 576 96C576 102.8 573.1 109.3 568.1 113.8L488.1 185.8C478.2 194.7 463 193.9 454.2 184.1C445.3 174.2 446.1 159 455.9 150.2L489.5 120H86.54L120.1 150.2C129.9 159 130.7 174.2 121.8 184.1C112.1 193.9 97.8 194.7 87.94 185.8L7.945 113.8C2.888 109.3 0 102.8 0 96C0 89.2 2.888 82.71 7.945 78.16L87.94 6.161C97.8-2.706 112.1-1.907 121.8 7.945C130.7 17.8 129.9 32.97 120.1 41.84L86.54 72H489.5L455.9 41.84C446.1 32.97 445.3 17.8 454.2 7.945C463-1.907 478.2-2.706 488.1 6.161L568.1 78.16zM475.4 294.5C482 299.6 486.4 307 487.6 315.3L511.6 475.3C513 484.5 510.3 493.8 504.2 500.9C498.2 507.9 489.3 512 480 512H384L287.1 352V512H96C86.68 512 77.83 507.9 71.75 500.9C65.67 493.8 62.97 484.5 64.35 475.3L88.35 315.3C89.59 307 93.98 299.6 100.6 294.5L268.6 166.5C280.1 157.8 295.9 157.8 307.4 166.5L475.4 294.5z"],
    "tent-arrow-turn-left": [576, 512, [], "e580", "M86.54 72H456C522.3 72 576 125.7 576 192V232C576 245.3 565.3 256 552 256C538.7 256 528 245.3 528 232V192C528 152.2 495.8 120 456 120H86.54L120.1 150.2C129.9 159 130.7 174.2 121.8 184.1C112.1 193.9 97.8 194.7 87.94 185.8L7.945 113.8C2.888 109.3 0 102.8 0 96C0 89.2 2.888 82.71 7.945 78.16L87.94 6.161C97.8-2.706 112.1-1.907 121.8 7.945C130.7 17.8 129.9 32.97 120.1 41.84L86.54 72zM475.4 294.5C482 299.6 486.4 307 487.6 315.3L511.6 475.3C513 484.5 510.3 493.8 504.2 500.9C498.2 507.9 489.3 512 480 512H384L287.1 352V512H96C86.68 512 77.83 507.9 71.75 500.9C65.67 493.8 62.97 484.5 64.35 475.3L88.35 315.3C89.59 307 93.98 299.6 100.6 294.5L268.6 166.5C280.1 157.8 295.9 157.8 307.4 166.5L475.4 294.5z"],
    "tent-arrows-down": [576, 512, [], "e581", "M209.8 111.9C218.7 121.8 217.9 136.1 208.1 145.8L128.1 217.8C118.9 226.1 105.1 226.1 95.94 217.8L15.94 145.8C6.093 136.1 5.294 121.8 14.16 111.9C23.03 102.1 38.2 101.3 48.06 110.2L88 146.1V24C88 10.75 98.75 0 112 0C125.3 0 136 10.75 136 24V146.1L175.9 110.2C185.8 101.3 200.1 102.1 209.8 111.9H209.8zM561.8 111.9C570.7 121.8 569.9 136.1 560.1 145.8L480.1 217.8C470.9 226.1 457.1 226.1 447.9 217.8L367.9 145.8C358.1 136.1 357.3 121.8 366.2 111.9C375 102.1 390.2 101.3 400.1 110.2L440 146.1V24C440 10.75 450.7 0 464 0C477.3 0 488 10.75 488 24V146.1L527.9 110.2C537.8 101.3 552.1 102.1 561.8 111.9H561.8zM475.4 294.5C482 299.6 486.4 307 487.6 315.3L511.6 475.3C513 484.5 510.3 493.8 504.2 500.9C498.2 507.9 489.3 512 480 512H384L287.1 352V512H96C86.68 512 77.83 507.9 71.75 500.9C65.67 493.8 62.97 484.5 64.35 475.3L88.35 315.3C89.59 307 93.98 299.6 100.6 294.5L268.6 166.5C280.1 157.8 295.9 157.8 307.4 166.5L475.4 294.5z"],
    "tents": [640, 512, [], "e582", "M396.6 6.546C408.1-2.182 423.9-2.182 435.4 6.546L603.4 134.5C610 139.6 614.4 147 615.6 155.3L639.6 315.3C641 324.5 638.3 333.8 632.2 340.9C626.2 347.9 617.3 352 608 352H461.5L455.3 310.5C452.8 294 444 279.2 430.8 269.1L262.8 141.1C254.6 134.9 245.4 130.9 235.8 129.1L396.6 6.546zM411.4 294.5C418 299.6 422.4 307 423.6 315.3L447.6 475.3C449 484.5 446.3 493.8 440.2 500.9C434.2 507.9 425.3 512 416 512H319.1L223.1 352V512H32C22.68 512 13.83 507.9 7.753 500.9C1.674 493.8-1.028 484.5 .3542 475.3L24.35 315.3C25.59 307 29.98 299.6 36.61 294.5L204.6 166.5C216.1 157.8 231.9 157.8 243.4 166.5L411.4 294.5z"],
    "terminal": [576, 512, [], "f120", "M9.372 86.63C-3.124 74.13-3.124 53.87 9.372 41.37C21.87 28.88 42.13 28.88 54.63 41.37L246.6 233.4C259.1 245.9 259.1 266.1 246.6 278.6L54.63 470.6C42.13 483.1 21.87 483.1 9.372 470.6C-3.124 458.1-3.124 437.9 9.372 425.4L178.7 256L9.372 86.63zM544 416C561.7 416 576 430.3 576 448C576 465.7 561.7 480 544 480H256C238.3 480 224 465.7 224 448C224 430.3 238.3 416 256 416H544z"],
    "text": [448, 512, [], "f893", "M448 64.01v64c0 17.69-14.31 32-32 32s-32-14.31-32-32v-32h-128v320h48c17.69 0 32 14.31 32 32s-14.31 31.1-32 31.1h-160c-17.69 0-32-14.31-32-31.1s14.31-32 32-32H192v-320H64v32c0 17.69-14.31 32-32 32s-32-14.31-32-32v-64c0-17.69 14.31-32 32-32h384C433.7 32.01 448 46.33 448 64.01z"],
    "text-height": [576, 512, [], "f034", "M288 32.01H32c-17.67 0-32 14.31-32 32v64c0 17.69 14.33 32 32 32s32-14.31 32-32v-32h64v320H96c-17.67 0-32 14.31-32 32s14.33 32 32 32h128c17.67 0 32-14.31 32-32s-14.33-32-32-32H192v-320h64v32c0 17.69 14.33 32 32 32s32-14.31 32-32v-64C320 46.33 305.7 32.01 288 32.01zM521.4 361.4L512 370.8V141.3l9.375 9.375C527.6 156.9 535.8 160 544 160s16.38-3.125 22.62-9.375c12.5-12.5 12.5-32.75 0-45.25l-64-64c-12.5-12.5-32.75-12.5-45.25 0l-64 64c-12.5 12.5-12.5 32.75 0 45.25s32.75 12.5 45.25 0L448 141.3v229.5l-9.375-9.375c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25l64 64C463.6 476.9 471.8 480 480 480s16.38-3.118 22.62-9.368l64-64c12.5-12.5 12.5-32.75 0-45.25S533.9 348.9 521.4 361.4z"],
    "text-size": [640, 512, [], "f894", "M256 416H224v-320h96v32c0 17.69 14.33 32 32 32s32-14.31 32-32v-64c0-17.69-14.33-32-32-32H32c-17.67 0-32 14.31-32 32v64c0 17.69 14.33 32 32 32s32-14.31 32-32v-32h96v320H128c-17.67 0-32 14.31-32 32s14.33 32 32 32h128c17.67 0 32-14.31 32-32S273.7 416 256 416zM608 224h-256c-17.67 0-32 14.31-32 31.1v32c0 17.69 14.33 32 32 32s32-14.31 32-32h64v128h-16c-17.67 0-32 14.31-32 32s14.33 32 32 32h96c17.67 0 32-14.31 32-32s-14.33-32-32-32H512v-128h64c0 17.69 14.33 32 32 32s32-14.31 32-32v-32C640 238.3 625.7 224 608 224z"],
    "text-slash": [640, 512, ["remove-format"], "f87d", "M352 416H306.7l18.96-64.1L271.4 308.5L239.1 416H192c-17.67 0-32 14.31-32 32s14.33 31.99 31.1 31.99h160C369.7 480 384 465.7 384 448S369.7 416 352 416zM630.8 469.1l-276.4-216.7l45.63-156.5H512v32c0 17.69 14.33 32 32 32s32-14.31 32-32v-64c0-17.69-14.33-32-32-32H192c-17.67 0-32 14.31-32 32v36.11L38.81 5.13c-10.47-8.219-25.53-6.37-33.7 4.068s-6.349 25.54 4.073 33.69l591.1 463.1c4.406 3.469 9.61 5.127 14.8 5.127c7.125 0 14.17-3.164 18.9-9.195C643.1 492.4 641.2 477.3 630.8 469.1zM300.1 209.9l-82.08-64.33C221.5 140.5 224 134.7 224 128v-32h109.3L300.1 209.9z"],
    "text-width": [448, 512, [], "f035", "M416 32.01H32c-17.67 0-32 14.31-32 32v63.1c0 17.69 14.33 32 32 32s32-14.31 32-32v-32h128v128H176c-17.67 0-32 14.31-32 31.1s14.33 32 32 32h96c17.67 0 32-14.31 32-32s-14.33-31.1-32-31.1H256v-128h128v32c0 17.69 14.33 32 32 32s32-14.32 32-32V64.01C448 46.33 433.7 32.01 416 32.01zM374.6 297.4c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25l9.375 9.375h-229.5L118.6 342.6c12.5-12.5 12.5-32.75 0-45.25s-32.75-12.5-45.25 0l-64 64c-12.5 12.5-12.5 32.75 0 45.25l64 64C79.63 476.9 87.81 480 96 480s16.38-3.118 22.62-9.368c12.5-12.5 12.5-32.75 0-45.25l-9.375-9.375h229.5l-9.375 9.375c-12.5 12.5-12.5 32.75 0 45.25C335.6 476.9 343.8 480 352 480s16.38-3.118 22.62-9.368l64-64c12.5-12.5 12.5-32.75 0-45.25L374.6 297.4z"],
    "thermometer": [512, 512, [], "f491", "M483.1 162.6L229.8 415.9l-99.87-.0001l-88.99 89.02c-9.249 9.377-24.5 9.377-33.87 0c-9.374-9.252-9.374-24.51 0-33.88l88.99-89.02l.0003-100.9l49.05-49.39l51.6 51.59c3.125 3.126 7.218 4.688 11.31 4.688s8.187-1.563 11.31-4.688c6.249-6.252 6.249-16.38 0-22.63L167.6 209.1l41.24-41.52l51.81 51.81c3.125 3.126 7.218 4.688 11.31 4.688s8.187-1.563 11.31-4.688c6.249-6.252 6.249-16.38 0-22.63L231.4 144.8l41.24-41.52l52.02 52.02c3.125 3.126 7.218 4.688 11.31 4.688s8.187-1.563 11.31-4.688c6.249-6.252 6.249-16.38 0-22.63l-52.09-52.09l49.68-50.02c36.37-36.51 94.37-40.88 131.9-10.25C526.2 61.11 518.9 127.8 483.1 162.6z"],
    "theta": [384, 512, [], "f69e", "M192 16.01c-105.9 0-192 107.7-192 240s86.13 239.1 192 239.1s192-107.6 192-239.1S297.9 16.01 192 16.01zM192 80.01c62.62 0 114.8 62.21 125.8 144H66.22C77.21 142.2 129.4 80.01 192 80.01zM192 432c-62.62 0-114.8-62.21-125.8-144h251.6C306.8 369.8 254.6 432 192 432z"],
    "thought-bubble": [512, 512, [], "e32e", "M32 448c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32s32-14.33 32-32C64 462.3 49.67 448 32 448zM144 384C117.5 384 96 405.5 96 432S117.5 480 144 480S192 458.5 192 432S170.5 384 144 384zM384 80c-3.281 0-6.438 .3125-9.594 .7187C355.1 32.17 308.3 0 256 0C204.4 0 157.8 31.59 138.2 79.27C134.8 78.84 131.4 78.5 128 78.5c-70.59 0-128 57.48-128 128.1s57.41 127.9 128 127.9c12.62 0 25.41-2.062 38.13-6.125C182.9 362.7 217.4 384.5 256 384.5c38.03 0 72.31-21.27 89.31-54.77C358.2 333.9 371.2 336 384 336c70.59 0 128-57.37 128-127.9S454.6 80 384 80z"],
    "thumbs-down": [512, 512, [61576, 128078], "f165", "M96 32.04H32c-17.67 0-32 14.32-32 31.1v223.1c0 17.67 14.33 31.1 32 31.1h64c17.67 0 32-14.33 32-31.1V64.03C128 46.36 113.7 32.04 96 32.04zM467.3 240.2C475.1 231.7 480 220.4 480 207.9c0-23.47-16.87-42.92-39.14-47.09C445.3 153.6 448 145.1 448 135.1c0-21.32-14-39.18-33.25-45.43C415.5 87.12 416 83.61 416 79.98C416 53.47 394.5 32 368 32h-58.69c-34.61 0-68.28 11.22-95.97 31.98L179.2 89.57C167.1 98.63 160 112.9 160 127.1l.1074 160c0 0-.0234-.0234 0 0c.0703 13.99 6.123 27.94 17.91 37.36l16.3 13.03C276.2 403.9 239.4 480 302.5 480c30.96 0 49.47-24.52 49.47-48.11c0-15.15-11.76-58.12-34.52-96.02H464c26.52 0 48-21.47 48-47.98C512 262.5 492.2 241.9 467.3 240.2z"],
    "thumbs-up": [512, 512, [61575, 128077], "f164", "M128 447.1V223.1c0-17.67-14.33-31.1-32-31.1H32c-17.67 0-32 14.33-32 31.1v223.1c0 17.67 14.33 31.1 32 31.1h64C113.7 479.1 128 465.6 128 447.1zM512 224.1c0-26.5-21.48-47.98-48-47.98h-146.5c22.77-37.91 34.52-80.88 34.52-96.02C352 56.52 333.5 32 302.5 32c-63.13 0-26.36 76.15-108.2 141.6L178 186.6C166.2 196.1 160.2 210 160.1 224c-.0234 .0234 0 0 0 0L160 384c0 15.1 7.113 29.33 19.2 38.39l34.14 25.59C241 468.8 274.7 480 309.3 480H368c26.52 0 48-21.47 48-47.98c0-3.635-.4805-7.143-1.246-10.55C434 415.2 448 397.4 448 376c0-9.148-2.697-17.61-7.139-24.88C463.1 347 480 327.5 480 304.1c0-12.5-4.893-23.78-12.72-32.32C492.2 270.1 512 249.5 512 224.1z"],
    "thumbtack": [384, 512, [128392, 128204, "thumb-tack"], "f08d", "M32 32C32 14.33 46.33 0 64 0H320C337.7 0 352 14.33 352 32C352 49.67 337.7 64 320 64H290.5L301.9 212.2C338.6 232.1 367.5 265.4 381.4 306.9L382.4 309.9C385.6 319.6 383.1 330.4 377.1 338.7C371.9 347.1 362.3 352 352 352H32C21.71 352 12.05 347.1 6.04 338.7C.0259 330.4-1.611 319.6 1.642 309.9L2.644 306.9C16.47 265.4 45.42 232.1 82.14 212.2L93.54 64H64C46.33 64 32 49.67 32 32zM224 384V480C224 497.7 209.7 512 192 512C174.3 512 160 497.7 160 480V384H224z"],
    "tick": [128, 512, [], "e32f", "M126.1 109.8L101.7 255C98.43 274.1 82.55 288 63.99 288S29.55 274.1 26.25 255L1.044 109.9c-3.416-19.63 1.648-39.64 13.85-54.93c24.34-30.57 73.86-30.57 98.2 0C125.3 70.21 130.4 90.22 126.1 109.8z"],
    "ticket": [576, 512, [127903], "f145", "M128 160H448V352H128V160zM512 64C547.3 64 576 92.65 576 128V208C549.5 208 528 229.5 528 256C528 282.5 549.5 304 576 304V384C576 419.3 547.3 448 512 448H64C28.65 448 0 419.3 0 384V304C26.51 304 48 282.5 48 256C48 229.5 26.51 208 0 208V128C0 92.65 28.65 64 64 64H512zM96 352C96 369.7 110.3 384 128 384H448C465.7 384 480 369.7 480 352V160C480 142.3 465.7 128 448 128H128C110.3 128 96 142.3 96 160V352z"],
    "ticket-airline": [640, 512, [], "e29a", "M576 64C611.3 64 640 92.65 640 128V192C604.7 192 576 220.7 576 256C576 291.3 604.7 320 640 320V384C640 419.3 611.3 448 576 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H576zM432 144C440.8 144 448 136.8 448 128C448 119.2 440.8 112 432 112C423.2 112 416 119.2 416 128C416 136.8 423.2 144 432 144zM432 208C440.8 208 448 200.8 448 192C448 183.2 440.8 176 432 176C423.2 176 416 183.2 416 192C416 200.8 423.2 208 432 208zM432 240C423.2 240 416 247.2 416 256C416 264.8 423.2 272 432 272C440.8 272 448 264.8 448 256C448 247.2 440.8 240 432 240zM432 336C440.8 336 448 328.8 448 320C448 311.2 440.8 304 432 304C423.2 304 416 311.2 416 320C416 328.8 423.2 336 432 336zM432 368C423.2 368 416 375.2 416 384C416 392.8 423.2 400 432 400C440.8 400 448 392.8 448 384C448 375.2 440.8 368 432 368zM120 224L100.8 198.4C97.78 194.4 93.04 192 88 192H74.25C69.04 192 65.22 196.9 66.48 201.9L79.03 252.1C79.67 254.7 79.67 257.3 79.03 259.9L66.48 310.1C65.22 315.1 69.04 320 74.25 320H88C93.04 320 97.78 317.6 100.8 313.6L120 288H176L147.5 373.5C145.8 378.6 149.6 384 155.1 384H186.2C194.8 384 202.6 379.5 206.9 372.1L256 288H302.9C318.1 288 334.4 281.6 345.7 270.3C353.6 262.4 353.6 249.6 345.7 241.7C334.4 230.4 318.1 223.1 302.9 223.1H256L206.9 139.9C202.6 132.5 194.8 127.1 186.2 127.1H155.1C149.6 127.1 145.8 133.3 147.5 138.5L176 223.1L120 224z"],
    "ticket-simple": [576, 512, ["ticket-alt"], "f3ff", "M0 128C0 92.65 28.65 64 64 64H512C547.3 64 576 92.65 576 128V208C549.5 208 528 229.5 528 256C528 282.5 549.5 304 576 304V384C576 419.3 547.3 448 512 448H64C28.65 448 0 419.3 0 384V304C26.51 304 48 282.5 48 256C48 229.5 26.51 208 0 208V128z"],
    "tickets-airline": [640, 512, [], "e29b", "M96 96C96 60.65 124.7 32 160 32H576C611.3 32 640 60.65 640 96V160C613.5 160 592 181.5 592 208C592 234.5 613.5 256 640 256V320C640 355.3 611.3 384 576 384H160C124.7 384 96 355.3 96 320V96zM528 128C536.8 128 544 120.8 544 112C544 103.2 536.8 96 528 96C519.2 96 512 103.2 512 112C512 120.8 519.2 128 528 128zM528 192C536.8 192 544 184.8 544 176C544 167.2 536.8 160 528 160C519.2 160 512 167.2 512 176C512 184.8 519.2 192 528 192zM528 224C519.2 224 512 231.2 512 240C512 248.8 519.2 256 528 256C536.8 256 544 248.8 544 240C544 231.2 536.8 224 528 224zM528 320C536.8 320 544 312.8 544 304C544 295.2 536.8 288 528 288C519.2 288 512 295.2 512 304C512 312.8 519.2 320 528 320zM265.3 106.5L288.4 176H245.8L226.6 150.4C223.5 146.4 218.8 144 213.8 144H200C194.8 144 190.1 148.9 192.2 153.9L204.8 204.1C205.4 206.7 205.4 209.3 204.8 211.9L192.2 262.1C190.1 267.1 194.8 272 200 272H213.8C218.8 272 223.5 269.6 226.6 265.6L245.8 240H288.4L265.3 309.5C263.5 314.7 267.4 320 272.9 320H303.1C312.5 320 320.4 315.5 324.7 308.1L364.4 240H404.7C420.7 240 436.1 233.6 447.5 222.3C455.4 214.4 455.4 201.6 447.5 193.7C436.1 182.4 420.7 175.1 404.7 175.1H364.4L324.7 107.9C320.4 100.5 312.5 95.1 303.1 95.1H272.9C267.4 95.1 263.5 101.3 265.3 106.5V106.5zM48 360C48 399.8 80.24 432 120 432H520C533.3 432 544 442.7 544 456C544 469.3 533.3 480 520 480H120C53.73 480 0 426.3 0 360V120C0 106.7 10.75 96 24 96C37.25 96 48 106.7 48 120V360z"],
    "tilde": [448, 512, [63135], "7e", "M348.1 384c-26.31 0-52.03-10.66-70.63-29.25l-152.3-152.2c-6.688-6.688-15.94-10.5-25.38-10.5C80.09 192 64 208.1 64 227.9v92.12c0 17.69-14.31 32-32 32s-32-14.31-32-32V227.9c0-55.06 44.81-99.88 99.88-99.88c26.31 0 52.03 10.66 70.63 29.25l152.3 152.2c6.688 6.688 15.94 10.5 25.38 10.5C367.9 320 384 303.9 384 284.1V192c0-17.69 14.31-32 32-32s32 14.31 32 32V284.1C448 339.2 403.2 384 348.1 384z"],
    "timeline": [640, 512, [], "e29c", "M160 224H480V169.3C451.7 156.1 432 128.8 432 96C432 51.82 467.8 16 512 16C556.2 16 592 51.82 592 96C592 128.8 572.3 156.1 544 169.3V224H608C625.7 224 640 238.3 640 256C640 273.7 625.7 288 608 288H352V342.7C380.3 355 400 383.2 400 416C400 460.2 364.2 496 320 496C275.8 496 240 460.2 240 416C240 383.2 259.7 355 288 342.7V288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H96V169.3C67.75 156.1 48 128.8 48 96C48 51.82 83.82 16 128 16C172.2 16 208 51.82 208 96C208 128.8 188.3 156.1 160 169.3V224zM128 120C141.3 120 152 109.3 152 96C152 82.75 141.3 72 128 72C114.7 72 104 82.75 104 96C104 109.3 114.7 120 128 120zM512 72C498.7 72 488 82.75 488 96C488 109.3 498.7 120 512 120C525.3 120 536 109.3 536 96C536 82.75 525.3 72 512 72zM320 440C333.3 440 344 429.3 344 416C344 402.7 333.3 392 320 392C306.7 392 296 402.7 296 416C296 429.3 306.7 440 320 440z"],
    "timeline-arrow": [640, 512, [], "e29d", "M160 224H320V169.3C291.7 156.1 272 128.8 272 96C272 51.82 307.8 16 352 16C396.2 16 432 51.82 432 96C432 128.8 412.3 156.1 384 169.3V224H530.7L489.4 182.6C476.9 170.1 476.9 149.9 489.4 137.4C501.9 124.9 522.1 124.9 534.6 137.4L630.6 233.4C643.1 245.9 643.1 266.1 630.6 278.6L534.6 374.6C522.1 387.1 501.9 387.1 489.4 374.6C476.9 362.1 476.9 341.9 489.4 329.4L530.7 288H256V342.7C284.3 355 304 383.2 304 416C304 460.2 268.2 496 224 496C179.8 496 144 460.2 144 416C144 383.2 163.7 355 192 342.7V288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H96V169.3C67.75 156.1 48 128.8 48 96C48 51.82 83.82 16 128 16C172.2 16 208 51.82 208 96C208 128.8 188.3 156.1 160 169.3V224zM128 120C141.3 120 152 109.3 152 96C152 82.75 141.3 72 128 72C114.7 72 104 82.75 104 96C104 109.3 114.7 120 128 120zM352 72C338.7 72 328 82.75 328 96C328 109.3 338.7 120 352 120C365.3 120 376 109.3 376 96C376 82.75 365.3 72 352 72zM224 440C237.3 440 248 429.3 248 416C248 402.7 237.3 392 224 392C210.7 392 200 402.7 200 416C200 429.3 210.7 440 224 440z"],
    "timer": [512, 512, [], "e29e", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 184.4 29.46 119.6 76.84 73.14C89.46 60.78 109.7 60.98 122.1 73.6C134.5 86.23 134.3 106.5 121.6 118.9C86.03 153.7 64 202.3 64 256C64 362 149.1 448 256 448C362 448 448 362 448 256C448 160.9 378.8 81.89 288 66.65V96C288 113.7 273.7 128 256 128C238.3 128 224 113.7 224 96V32C224 14.33 238.3 0 256 0C397.4 0 512 114.6 512 256zM272.1 239C282.3 248.4 282.3 263.6 272.1 272.1C263.6 282.3 248.4 282.3 239 272.1L159 192.1C149.7 183.6 149.7 168.4 159 159C168.4 149.7 183.6 149.7 192.1 159L272.1 239z"],
    "tire": [512, 512, [], "f631", "M288 256C288 273.7 273.7 288 256 288C238.3 288 224 273.7 224 256C224 238.3 238.3 224 256 224C273.7 224 288 238.3 288 256zM309.9 290.4L371.8 310.6C353.5 349.4 316.2 377.5 271.1 383L271.9 317.1C287.8 313.9 301.3 303.9 309.9 290.4L309.9 290.4zM320 256C320 240.6 314.5 226.4 305.5 215.4L343.7 162.7C368.5 186.1 384 219.2 384 256C384 264.3 383.2 272.3 381.7 280.2L319.9 260C319.1 258.7 320 257.4 320 256L320 256zM279.6 196.5C272.3 193.6 264.3 192 256 192C247.7 192 239.7 193.6 232.4 196.5L194.2 143.9C212.5 133.8 233.6 128 255.1 128C278.4 128 299.5 133.8 317.8 143.9L279.6 196.5zM206.5 215.4C197.5 226.4 192 240.6 192 256C192 257.4 192 258.7 192.1 260L130.3 280.2C128.8 272.3 128 264.3 128 255.1C128 219.2 143.5 186.1 168.3 162.7L206.5 215.4zM239.9 317.1L239.1 383C195.7 377.5 158.5 349.4 140.2 310.6L202.1 290.4C210.6 303.9 224.1 313.9 239.9 317.1H239.9zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 416C344.4 416 416 344.4 416 256C416 167.6 344.4 96 256 96C167.6 96 96 167.6 96 256C96 344.4 167.6 416 256 416z"],
    "tire-flat": [512, 512, [], "f632", "M224 288C224 270.3 238.3 256 256 256C273.7 256 288 270.3 288 288C288 305.7 273.7 320 256 320C238.3 320 224 305.7 224 288zM271.1 415L271.9 349.1C287.8 345.9 301.3 335.9 309.9 322.4L371.8 342.6C353.5 381.4 316.2 409.5 271.1 415L271.1 415zM381.7 312.2L319.9 292C319.1 290.7 320 289.4 320 288C320 272.6 314.5 258.4 305.5 247.4L343.7 194.7C368.5 218.1 384 251.2 384 288C384 296.3 383.2 304.3 381.7 312.2L381.7 312.2zM232.4 228.5L194.2 175.9C212.5 165.8 233.6 160 255.1 160C278.4 160 299.5 165.8 317.8 175.9L279.6 228.5C272.3 225.6 264.3 224 255.1 224C247.7 224 239.7 225.6 232.4 228.5H232.4zM128 288C128 251.2 143.5 218.1 168.3 194.7L206.5 247.4C197.5 258.4 192 272.6 192 288C192 289.4 192 290.7 192.1 292L130.3 312.2C128.8 304.3 128 296.3 128 288H128zM140.2 342.6L202.1 322.4C210.6 335.9 224.1 345.9 239.9 349.1L239.1 415C195.7 409.5 158.5 381.4 140.2 342.6H140.2zM512 288C512 335.3 499.2 379.7 476.8 417.7C497.1 423.3 512 441.9 512 464C512 490.5 490.5 512 464 512H48C21.49 512 0 490.5 0 464C0 441.9 14.93 423.3 35.25 417.7C12.85 379.7 0 335.3 0 288C0 146.6 114.6 32 256 32C397.4 32 512 146.6 512 288zM352 416C390.9 386.8 416 340.3 416 288C416 199.6 344.4 128 256 128C167.6 128 96 199.6 96 288C96 340.3 121.1 386.8 159.1 416C186.7 436.1 219.1 448 256 448C289.1 448 319.9 437.9 345.5 420.7C347.7 419.2 349.9 417.6 352 416V416z"],
    "tire-pressure-warning": [512, 512, [], "f633", "M384 32C384 14.33 398.3 .0003 416 .0003C433.7 .0003 448 14.33 448 32V54.46C448 78.53 451.9 102.5 459.5 125.3L461.1 132.7C466.8 147.2 473.5 161.4 481.3 177.1C498.8 212.7 514.7 259.7 508.8 313.3C503.4 361.9 480.7 412.3 432 461.1V496C432 504.8 424.8 512 416 512H384C375.2 512 368 504.8 368 496V488H336V496C336 504.8 328.8 512 320 512H288C279.2 512 272 504.8 272 496V488H239.1V496C239.1 504.8 232.8 512 223.1 512H191.1C183.2 512 175.1 504.8 175.1 496V488H143.1V496C143.1 504.8 136.8 512 127.1 512H95.1C87.16 512 79.1 504.8 79.1 496V461.1C31.34 412.3 8.575 361.9 3.236 313.3C-2.658 259.7 13.17 212.7 30.72 177.1C38.5 161.4 45.21 147.2 50.02 132.7L52.5 125.3C60.12 102.5 63.1 78.53 63.1 54.46V32C63.1 14.33 78.33 0 95.1 0C113.7 0 127.1 14.33 127.1 32V54.46C127.1 85.41 123 116.2 113.2 145.5L110.7 152.1C104.4 171.1 95.93 189.6 88.12 205.5C73.46 235.2 62.8 269.4 66.85 306.3C70.59 340.3 87.26 380.4 132.6 424H379.4C424.7 380.4 441.4 340.3 445.1 306.3C449.2 269.4 438.5 235.2 423.9 205.5C416.1 189.6 407.6 171.1 401.3 152.1L398.8 145.5C388.1 116.2 384 85.41 384 54.46V32zM280 232C280 245.3 269.3 256 255.1 256C242.7 256 231.1 245.3 231.1 232V120C231.1 106.7 242.7 96 255.1 96C269.3 96 280 106.7 280 120V232zM223.1 320C223.1 302.3 238.3 288 255.1 288C273.7 288 288 302.3 288 320C288 337.7 273.7 352 255.1 352C238.3 352 223.1 337.7 223.1 320z"],
    "tire-rugged": [512, 512, [], "f634", "M232 184C232 170.7 242.7 160 256 160C269.3 160 280 170.7 280 184C280 197.3 269.3 208 256 208C242.7 208 232 197.3 232 184zM194.9 210.9C207.5 215 214.4 228.6 210.3 241.2C206.3 253.8 192.7 260.7 180.1 256.6C167.5 252.5 160.6 238.9 164.7 226.3C168.8 213.7 182.3 206.8 194.9 210.9zM317.1 210.9C329.7 206.8 343.2 213.7 347.3 226.3C351.4 238.9 344.5 252.5 331.9 256.6C319.3 260.7 305.7 253.8 301.7 241.2C297.6 228.6 304.5 215 317.1 210.9V210.9zM278.9 328.4C271.1 317.6 273.5 302.6 284.2 294.8C294.9 287 309.9 289.4 317.7 300.1C325.5 310.9 323.1 325.9 312.4 333.7C301.7 341.5 286.7 339.1 278.9 328.4V328.4zM233.1 328.4C225.3 339.1 210.3 341.5 199.6 333.7C188.8 325.9 186.5 310.9 194.3 300.1C202.1 289.4 217.1 287 227.8 294.8C238.5 302.6 240.9 317.6 233.1 328.4V328.4zM320 40C320 40.42 319.1 40.85 319.1 41.27C334.9 45.7 349.2 51.66 362.6 58.94C362.9 58.63 363.2 58.31 363.5 58.01L374.8 46.7C384.2 37.32 399.4 37.32 408.7 46.7L465.3 103.3C474.7 112.6 474.7 127.8 465.3 137.2L453.1 148.5C453.7 148.8 453.4 149.1 453.1 149.4C460.3 162.8 466.3 177.1 470.7 192C471.2 192 471.6 192 472 192H488C501.3 192 512 202.7 512 216V296C512 309.3 501.3 320 488 320H472C471.6 320 471.2 319.1 470.7 319.1C466.3 334.9 460.3 349.2 453.1 362.6C453.4 362.9 453.7 363.2 453.1 363.5L465.3 374.8C474.7 384.2 474.7 399.4 465.3 408.7L408.7 465.3C399.4 474.7 384.2 474.7 374.8 465.3L363.5 453.1C363.2 453.7 362.9 453.4 362.6 453.1C349.2 460.3 334.9 466.3 319.1 470.7C319.1 471.2 320 471.6 320 472V488C320 501.3 309.3 512 296 512H216C202.7 512 192 501.3 192 488V472C192 471.6 192 471.2 192 470.7C177.1 466.3 162.8 460.3 149.4 453.1C149.1 453.4 148.8 453.7 148.5 453.1L137.2 465.3C127.8 474.7 112.6 474.7 103.3 465.3L46.7 408.7C37.32 399.4 37.32 384.2 46.7 374.8L58.01 363.5C58.31 363.2 58.62 362.9 58.94 362.6C51.66 349.2 45.7 334.9 41.27 319.1C40.85 319.1 40.42 320 40 320H24C10.75 320 0 309.3 0 296V216C0 202.7 10.75 192 24 192H40C40.42 192 40.85 192 41.27 192C45.7 177.1 51.66 162.8 58.94 149.4C58.62 149.1 58.31 148.8 58.01 148.5L46.7 137.2C37.32 127.8 37.32 112.6 46.7 103.3L103.3 46.7C112.6 37.32 127.8 37.32 137.2 46.7L148.5 58.01C148.8 58.31 149.1 58.63 149.4 58.94C162.8 51.66 177.1 45.7 192 41.27C192 40.85 192 40.42 192 40V24C192 10.75 202.7 0 216 0H296C309.3 0 320 10.75 320 24V40zM256 384C326.7 384 384 326.7 384 256C384 185.3 326.7 128 256 128C185.3 128 128 185.3 128 256C128 326.7 185.3 384 256 384z"],
    "toggle-large-off": [576, 512, [], "e5b0", "M0 256C0 149.1 85.96 64 192 64H384C490 64 576 149.1 576 256C576 362 490 448 384 448H192C85.96 448 0 362 0 256zM192 128C121.3 128 64 185.3 64 256C64 326.7 121.3 384 192 384C262.7 384 320 326.7 320 256C320 185.3 262.7 128 192 128zM384 384C454.7 384 512 326.7 512 256C512 185.3 454.7 128 384 128H335.1C365.5 161.1 384 206.8 384 256C384 305.2 365.5 350 335.1 384H384z"],
    "toggle-large-on": [576, 512, [], "e5b1", "M384 64C490 64 576 149.1 576 256C576 362 490 448 384 448H192C85.96 448 0 362 0 256C0 149.1 85.96 64 192 64H384zM384 384C454.7 384 512 326.7 512 256C512 185.3 454.7 128 384 128C313.3 128 256 185.3 256 256C256 326.7 313.3 384 384 384z"],
    "toggle-off": [576, 512, [], "f204", "M192 352C138.1 352 96 309 96 256C96 202.1 138.1 160 192 160C245 160 288 202.1 288 256C288 309 245 352 192 352zM384 448H192C85.96 448 0 362 0 256C0 149.1 85.96 64 192 64H384C490 64 576 149.1 576 256C576 362 490 448 384 448zM384 128H192C121.3 128 64 185.3 64 256C64 326.7 121.3 384 192 384H384C454.7 384 512 326.7 512 256C512 185.3 454.7 128 384 128z"],
    "toggle-on": [576, 512, [], "f205", "M384 64C490 64 576 149.1 576 256C576 362 490 448 384 448H192C85.96 448 0 362 0 256C0 149.1 85.96 64 192 64H384zM384 352C437 352 480 309 480 256C480 202.1 437 160 384 160C330.1 160 288 202.1 288 256C288 309 330.1 352 384 352z"],
    "toilet": [448, 512, [128701], "f7d8", "M432 48C440.8 48 448 40.75 448 32V16C448 7.25 440.8 0 432 0h-416C7.25 0 0 7.25 0 16V32c0 8.75 7.25 16 16 16H32v158.7C11.82 221.2 0 237.1 0 256c0 60.98 33.28 115.2 84.1 150.4l-19.59 64.36C59.16 491.3 74.53 512 96.03 512h255.9c21.5 0 36.88-20.75 30.62-41.25L363 406.4C414.7 371.2 448 316.1 448 256c0-18.04-11.82-34.85-32-49.26V48H432zM96 72C96 67.63 99.63 64 104 64h48C156.4 64 160 67.63 160 72v16C160 92.38 156.4 96 152 96h-48C99.63 96 96 92.38 96 88V72zM224 288C135.6 288 64 273.7 64 256c0-17.67 71.63-32 160-32s160 14.33 160 32C384 273.7 312.4 288 224 288z"],
    "toilet-paper": [576, 512, [129531], "f71e", "M127.1 0C74.98 0 31.98 86 31.98 192v172.1c0 41.12-9.751 62.75-31.13 126.9C-2.65 501.2 5.101 512 15.98 512h280.9c13.88 0 26-8.75 30.38-21.88c12.88-38.5 24.75-72.37 24.75-126L351.1 192c0-83.62 23.62-153.5 60.5-192H127.1zM95.99 224C87.11 224 79.99 216.9 79.99 208S87.11 192 95.99 192s16 7.125 16 16S104.9 224 95.99 224zM159.1 224c-8.875 0-16-7.125-16-16S151.1 192 159.1 192s16 7.125 16 16S168.9 224 159.1 224zM223.1 224C215.1 224 207.1 216.9 207.1 208S215.1 192 223.1 192c8.875 0 16 7.125 16 16S232.9 224 223.1 224zM287.1 224C279.1 224 271.1 216.9 271.1 208S279.1 192 287.1 192c8.875 0 16 7.125 16 16S296.9 224 287.1 224zM479.1 0c-53 0-96 86.06-96 192.1C383.1 298.1 426.1 384 479.1 384S576 298 576 192C576 86 532.1 0 479.1 0zM479.1 256c-17.63 0-32-28.62-32-64s14.38-64 32-64c17.63 0 32 28.62 32 64S497.6 256 479.1 256z"],
    "toilet-paper-blank": [576, 512, ["toilet-paper-alt"], "f71f", "M127.1 0C74.98 0 31.98 86 31.98 192v172.1c0 41.12-9.751 62.75-31.13 126.9C-2.65 501.2 5.101 512 15.98 512h280.9c13.88 0 26-8.75 30.38-21.88c12.88-38.5 24.75-72.37 24.75-126L351.1 192c0-83.62 23.62-153.5 60.5-192H127.1zM479.1 0c-53 0-96 86.06-96 192.1C383.1 298.1 426.1 384 479.1 384S576 298 576 192C576 86 532.1 0 479.1 0zM479.1 256c-17.63 0-32-28.62-32-64s14.38-64 32-64c17.63 0 32 28.62 32 64S497.6 256 479.1 256z"],
    "toilet-paper-blank-under": [512, 512, ["toilet-paper-reverse-alt"], "e29f", "M416 384c53 0 96-85.1 96-192c0-105.1-43-192-96-192s-96 86-96 192C320 298 363 384 416 384zM416 128c17.62 0 31.1 28.62 31.1 64S433.6 256 416 256s-32-28.62-32-64S398.4 128 416 128zM287.1 192c0-83.6 23.68-153.5 60.44-192H96C43 0 0 86 0 192c0 106 43 192 96 192h252.4C311.7 345.5 287.1 275.6 287.1 192zM422.1 415.7L128 416v64c0 17.67 14.33 32 32 32h320c17.67 0 32-14.33 32-32v-137C490.3 385.5 459.1 412.6 422.1 415.7z"],
    "toilet-paper-check": [640, 512, [], "e5b2", "M444.2 0C397.2 49.59 384 126.5 384 192C384 350.8 356.7 438.1 341.3 475.9C331.3 499.9 308.2 512 285.9 512H48.02C36.49 512 25.85 505.8 20.17 495.8C14.49 485.7 14.61 473.5 20.54 463.6C30.34 445.8 35.98 425.4 41.05 405.9C52.3 362.8 64.02 293.5 64.02 192C64.02 85.96 106.1 0 160 0L444.2 0zM291.3 187.3C297.6 181.1 297.6 170.9 291.3 164.7C285.1 158.4 274.9 158.4 268.7 164.7L207.1 225.4L179.3 196.7C173.1 190.4 162.9 190.4 156.7 196.7C150.4 202.9 150.4 213.1 156.7 219.3L196.7 259.3C202.9 265.6 213.1 265.6 219.3 259.3L291.3 187.3zM416 192C416 85.96 458.1 0 512 0C565 0 608 85.96 608 192C608 298 565 384 512 384C458.1 384 416 298 416 192zM512 256C529.7 256 544 227.3 544 192C544 156.7 529.7 128 512 128C494.3 128 480 156.7 480 192C480 227.3 494.3 256 512 256z"],
    "toilet-paper-slash": [640, 512, [], "e072", "M63.98 191.1v172.1c0 41.12-9.75 62.75-31.13 126.9c-3.5 10.25 4.25 20.1 15.13 20.1l280.9-.0059c13.87 0 25.1-8.75 30.37-21.87c10.08-30.15 19.46-57.6 23.1-93.78L66.51 148.8C64.9 162.7 63.98 177.1 63.98 191.1zM630.8 469.1l-109.8-86.02c48.75-9.144 86.94-91.2 86.94-191.1C607.1 86 564.1 0 511.1 0s-96 86-96 191.1c0 49.25 9.362 94.03 24.62 128l-56.62-44.38l.0049-83.65c0-83.62 23.62-153.5 60.5-191.1H159.1C135.2 0 112.7 18.93 95.72 49.72L38.81 5.109C34.41 1.672 29.19 0 24.03 0c-7.125 0-14.19 3.156-18.91 9.187C-3.061 19.62-1.249 34.72 9.189 42.89l591.1 463.1c10.5 8.203 25.56 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1zM479.1 191.1c0-35.37 14.37-64 32-64c17.62 0 32 28.63 32 64S529.6 255.1 511.1 255.1C494.4 255.1 479.1 227.4 479.1 191.1z"],
    "toilet-paper-under": [512, 512, ["toilet-paper-reverse"], "e2a0", "M416 384c53 0 96-85.1 96-192c0-105.1-43-192-96-192s-96 86-96 192C320 298 363 384 416 384zM416 128c17.62 0 31.1 28.62 31.1 64S433.6 256 416 256s-32-28.62-32-64S398.4 128 416 128zM287.1 192c0-83.6 23.68-153.5 60.44-192H96C43 0 0 86 0 192c0 106 43 192 96 192h252.4C311.7 345.5 287.1 275.6 287.1 192zM47.97 224c-8.875 0-16-7.125-16-16S39.11 192 47.99 192s15.99 7.125 15.99 16S56.85 224 47.97 224zM111.1 223.1c-8.875 0-16-7.125-16-16S103.1 192 111.1 192s16 7.124 16 15.1S120.9 223.1 111.1 223.1zM175.1 223.1c-8.875 0-15.99-7.12-15.99-15.99S167.1 192 175.1 192s15.1 7.121 15.1 15.1S184.9 223.1 175.1 223.1zM239.1 224C231.1 224 223.1 216.9 223.1 208s7.122-15.1 15.1-15.1s15.1 7.122 15.1 15.1S248.9 224 239.1 224zM422.1 415.7L128 416v64c0 17.67 14.33 32 32 32h320c17.67 0 32-14.33 32-32v-137C490.3 385.5 459.1 412.6 422.1 415.7z"],
    "toilet-paper-under-slash": [640, 512, ["toilet-paper-reverse-slash"], "e2a1", "M66.53 148.8C64.93 162.7 64 177.1 64 192c0 106 42.1 192 95.1 192h206.6L66.53 148.8zM630.8 469.1L576 426.1v-83.15c-11.06 21.68-24.61 39.28-40 51.8l-26.08-20.44C548.3 349.2 576 277.1 576 192c0-106-43-192-96-192s-95.1 86-95.1 192c0 33.81 4.408 65.53 12.08 93.13l-38.88-30.47C354.1 234.8 351.1 214.1 351.1 192c0-83.6 23.68-153.5 60.44-192H160C135.3 0 112.8 18.1 95.8 49.77L38.81 5.109C34.41 1.672 29.19 0 24.03 0c-7.125 0-14.19 3.156-18.91 9.187c-8.188 10.44-6.375 25.53 4.062 33.7l591.1 463.1c10.5 8.203 25.56 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1zM480 256c-17.62 0-32-28.62-32-64S462.4 128 480 128s31.1 28.62 31.1 64S497.6 256 480 256zM192 416v64c0 17.67 14.33 32 32 32h305.9l-122.5-96H192z"],
    "toilet-paper-xmark": [512, 512, [], "e5b3", "M96 0H348.2C336.6 12.25 327 26.9 319.5 41.92C299.5 81.99 288 135.1 288 192C288 248.9 299.5 302 319.5 342.1C327 357.1 336.6 371.8 348.2 384H96C42.98 384 0 298 0 192C0 85.96 42.98 0 96 0V0zM188.7 132.7L152 169.4L115.3 132.7C109.1 126.4 98.93 126.4 92.69 132.7C86.44 138.9 86.44 149.1 92.69 155.3L129.4 192L92.69 228.7C86.44 234.9 86.44 245.1 92.69 251.3C98.93 257.6 109.1 257.6 115.3 251.3L152 214.6L188.7 251.3C194.9 257.6 205.1 257.6 211.3 251.3C217.6 245.1 217.6 234.9 211.3 228.7L174.6 192L211.3 155.3C217.6 149.1 217.6 138.9 211.3 132.7C205.1 126.4 194.9 126.4 188.7 132.7zM320 192C320 108.4 346.7 37.28 384 10.93C394 3.85 404.8 0 416 0C469 0 512 85.96 512 192C512 226.1 507.3 259.8 499.2 288C482.6 345.4 451.5 384 416 384C404.8 384 394 380.2 384 373.1C346.7 346.7 320 275.6 320 192zM384 192C384 227.3 398.3 256 416 256C433.7 256 448 227.3 448 192C448 156.7 433.7 128 416 128C398.3 128 384 156.7 384 192zM416 416C460.8 416 492.9 380.8 512 343.1V464C512 490.5 490.5 512 464 512H208C181.5 512 160 490.5 160 464V416H416z"],
    "toilet-portable": [320, 512, [], "e583", "M0 32C0 14.33 14.33 0 32 0H288C305.7 0 320 14.33 320 32V64H0V32zM320 96V488C320 501.3 309.3 512 296 512C282.7 512 272 501.3 272 488V480H48V488C48 501.3 37.25 512 24 512C10.75 512 0 501.3 0 488V96H320zM256 240C256 231.2 248.8 224 240 224C231.2 224 224 231.2 224 240V304C224 312.8 231.2 320 240 320C248.8 320 256 312.8 256 304V240z"],
    "toilets-portable": [576, 512, [], "e584", "M224 0C241.7 0 256 14.33 256 32V64H0V32C0 14.33 14.33 0 32 0H224zM0 96H256V488C256 501.3 245.3 512 232 512C218.7 512 208 501.3 208 488V480H48V488C48 501.3 37.25 512 24 512C10.75 512 0 501.3 0 488V96zM176 240V304C176 312.8 183.2 320 192 320C200.8 320 208 312.8 208 304V240C208 231.2 200.8 224 192 224C183.2 224 176 231.2 176 240zM544 0C561.7 0 576 14.33 576 32V64H320V32C320 14.33 334.3 0 352 0H544zM320 96H576V488C576 501.3 565.3 512 552 512C538.7 512 528 501.3 528 488V480H368V488C368 501.3 357.3 512 344 512C330.7 512 320 501.3 320 488V96zM496 240V304C496 312.8 503.2 320 512 320C520.8 320 528 312.8 528 304V240C528 231.2 520.8 224 512 224C503.2 224 496 231.2 496 240z"],
    "tomato": [512, 512, [], "e330", "M441.1 157.5c-5.789 9.805-14.96 17.03-26.12 20.04c2.351 30.66-28.95 56.2-62.12 42.72l-97.73-43.1L157.3 220.7c-31.05 12.53-63.72-11.59-61.18-43.25C85.12 174.4 75.96 167.2 70.18 157.3C29.21 185.4 0 233.7 0 303.6C0 455.3 145.1 512 236.3 512h39.42C365.7 512 512 454.1 512 303.6C512 233.9 482.9 185.6 441.1 157.5zM108.3 147c1.924 0-.4141 .3047 41.58-7.441L128.9 176.6C124.9 185.8 135.1 195.1 145.3 190.1l110.7-48.79l110.6 48.79c10.28 4.148 20.46-5.221 16.45-14.37l-20.96-36.98c42.08 7.836 39.77 7.535 41.71 7.535c10.95 0 16.45-12.07 8.709-19.11c-1.986-1.803-46.59-40.5-133.4-46.78c-2.006-30.05-16.59-58.32-40.8-76.48c-10.62-8-25.69-5.797-33.63 4.812C196.8 20.21 199 35.26 209.6 43.21c12.23 9.164 19.79 23.13 21.62 38.16C145.5 87.98 101.6 126.1 99.62 127.9C91.86 134.1 97.41 147 108.3 147z"],
    "tombstone": [448, 512, [], "f720", "M415.1 191.1C415.1 85.99 329.1 0 223.1 0C117.1 0 31.1 86 31.1 192L32 416h384L415.1 191.1zM320 192c0 8.875-7.125 16-16 16l-56.01-.0005L248 336c0 8.875-7.125 16-16 16h-16c-8.875 0-16-7.125-16-16L199.1 208L144 208C135.1 208 128 200.9 128 192V176C128 167.1 135.1 160 144 160l55.99 .0005L200 112c0-8.875 7.125-16 16-16h16c8.875 0 16 7.125 16 16l-.0073 47.1L304 160C312.9 160 320 167.1 320 176V192zM432 448h-416C7.125 448 0 455.1 0 464v32C0 504.9 7.125 512 16 512h416c8.875 0 16-7.125 16-16v-32C448 455.1 440.9 448 432 448z"],
    "tombstone-blank": [448, 512, [129702, "tombstone-alt"], "f721", "M415.1 191.1c0-105.1-86-191.1-192-191.1c-106 0-191.1 86-191.1 192L32 416h384L415.1 191.1zM432 448h-416c-8.875 0-16 7.125-16 16v31.1c0 8.875 7.125 16 16 16h416c8.875 0 16-7.125 16-16v-31.1C448 455.1 440.9 448 432 448z"],
    "toolbox": [512, 512, [129520], "f552", "M502.6 182.6l-45.25-45.25C451.4 131.4 443.3 128 434.8 128H384V80C384 53.5 362.5 32 336 32h-160C149.5 32 128 53.5 128 80V128H77.25c-8.5 0-16.62 3.375-22.62 9.375L9.375 182.6C3.375 188.6 0 196.8 0 205.3V304h128v-32C128 263.1 135.1 256 144 256h32C184.9 256 192 263.1 192 272v32h128v-32C320 263.1 327.1 256 336 256h32C376.9 256 384 263.1 384 272v32h128V205.3C512 196.8 508.6 188.6 502.6 182.6zM336 128h-160V80h160V128zM384 368c0 8.875-7.125 16-16 16h-32c-8.875 0-16-7.125-16-16v-32H192v32C192 376.9 184.9 384 176 384h-32C135.1 384 128 376.9 128 368v-32H0V448c0 17.62 14.38 32 32 32h448c17.62 0 32-14.38 32-32v-112h-128V368z"],
    "tooth": [448, 512, [129463], "f5c9", "M394.1 212.8c-20.04 27.67-28.07 60.15-31.18 93.95c-3.748 41.34-8.785 82.46-17.89 122.8l-6.75 29.64c-2.68 12.14-13.29 20.78-25.39 20.78c-12 0-22.39-8.311-25.29-20.23l-29.57-121.2C254.1 322.6 240.1 311.4 224 311.4c-16.18 0-30.21 11.26-34.07 27.23l-29.57 121.2c-2.893 11.92-13.39 20.23-25.29 20.23c-12.21 0-22.71-8.639-25.5-20.78l-6.643-29.64c-9.105-40.36-14.14-81.48-17.1-122.8C81.93 272.1 73.9 240.5 53.86 212.8c-18.75-25.92-27.11-60.15-18.43-96.57c9.428-39.59 40.39-71.75 78.85-82.03c20.14-5.25 39.54-.4375 57.32 9.077l86.14 56.54c6.643 4.375 15.11 1.86 18.96-4.264c4.07-6.454 2.25-15.09-4.18-19.36l-24.21-15.86c3-1.531 6.215-2.735 9-4.813c22.39-16.84 48.75-28.65 76.39-21.33c38.46 10.28 69.43 42.43 78.85 82.03C421.2 152.7 412.9 187 394.1 212.8z"],
    "toothbrush": [576, 512, [129701], "f635", "M64 224h352c35.38 0 64-28.62 64-64c0-70.75-57.25-128-128-128c23.62 23.62 6.875 64-26.5 64H64C28.63 96 0 124.6 0 160S28.63 224 64 224zM560 416H448V264C448 259.6 444.4 256 440 256h-16C419.6 256 416 259.6 416 264V416h-32V264C384 259.6 380.4 256 376 256h-16C355.6 256 352 259.6 352 264V416h-32V264C320 259.6 316.4 256 312 256h-16C291.6 256 288 259.6 288 264V416H256V264C256 259.6 252.4 256 248 256h-16C227.6 256 224 259.6 224 264V416H192V264C192 259.6 188.4 256 184 256h-16C163.6 256 160 259.6 160 264V416H128V264C128 259.6 124.4 256 120 256h-16C99.63 256 96 259.6 96 264V416H64V264C64 259.6 60.38 256 56 256h-16C35.63 256 32 259.6 32 264V416H16C7.125 416 0 423.1 0 432v32C0 472.9 7.125 480 16 480h544c8.875 0 16-7.125 16-16v-32C576 423.1 568.9 416 560 416z"],
    "torii-gate": [512, 512, [9961], "f6a1", "M0 80V0L71.37 23.79C87.68 29.23 104.8 32 121.1 32H390C407.2 32 424.3 29.23 440.6 23.79L512 0V80C512 106.5 490.5 128 464 128H448V192H384V128H288V192H224V128H128V192H64V128H48C21.49 128 0 106.5 0 80zM32 288C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H448V480C448 497.7 433.7 512 416 512C398.3 512 384 497.7 384 480V288H128V480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480V288H32z"],
    "tornado": [448, 512, [127786], "f76f", "M407.8 42.09c7.531-6.562 10.22-17.12 6.688-26.5C410.1 6.219 401.1 0 391.1 0L24.16 .0313c-13 0-23.66 10.38-24 23.38C-.5495 50.32 1.349 74.22 4.945 95.98h353.9C367.9 80.76 383.4 63.34 407.8 42.09zM387.7 195.9c-22.02-25.33-38.96-44.87-39-67.93H12.05c11.47 40.4 30.38 71.34 53.15 96h345.8C403.4 214.1 395.4 204.8 387.7 195.9zM303.6 485.3c-1.125 10.12 4.249 19.84 13.44 24.28C320.3 511.2 323.9 512 327.4 512c6.219 0 12.34-2.406 16.94-7c43.73-43.61 73.32-83.63 89.35-121h-148.6C300.8 408.6 308.7 440 303.6 485.3zM431.7 255.1H100.5C127.1 276.3 155.8 291.6 182.4 305.8c28.14 15.01 54.04 28.9 74.73 46.14h186.8C446.4 341.1 447.1 330.4 448 320C448 295.4 441.4 274.6 431.7 255.1z"],
    "tower-broadcast": [576, 512, ["broadcast-tower"], "f519", "M160.9 59.01C149.3 52.6 134.7 56.76 128.3 68.39C117.6 87.6 112 109.4 112 131.4c0 19.03 4.031 37.44 11.98 54.62c4.047 8.777 12.73 13.93 21.8 13.93c3.375 0 6.797-.7187 10.05-2.219C167.9 192.2 173.1 177.1 167.5 165.9C162.5 155.1 160 143.5 160 131.4c0-13.93 3.547-27.69 10.25-39.81C176.7 80.04 172.5 65.42 160.9 59.01zM62.61 2.363C46.17-4.32 27.58 3.676 20.95 20.02C7.047 54.36 0 90.69 0 127.1C0 165.3 7.047 201.7 20.95 236C25.98 248.5 37.97 256 50.63 256C54.61 256 58.69 255.3 62.61 253.7C79 247 86.91 228.4 80.27 212C69.47 185.3 64 157.1 64 128c0-29.06 5.469-57.3 16.27-83.99C86.91 27.64 79 8.988 62.61 2.363zM555 20.02c-6.609-16.41-25.23-24.31-41.66-17.66c-16.39 6.625-24.3 25.28-17.66 41.65C506.5 70.7 512 98.95 512 128c0 29.06-5.469 57.31-16.27 83.1C489.1 228.4 497 247 513.4 253.7C517.3 255.3 521.4 256 525.4 256c12.66 0 24.64-7.562 29.67-20C568.1 201.7 576 165.3 576 127.1C576 90.69 568.1 54.36 555 20.02zM420.2 58.23c-12.03 5.562-17.28 19.81-11.72 31.84C413.5 100.9 416 112.5 416 124.6c0 13.94-3.547 27.69-10.25 39.81c-6.422 11.59-2.219 26.22 9.375 32.62c3.688 2.031 7.672 3 11.61 3c8.438 0 16.64-4.47 21.02-12.37C458.4 168.4 464 146.6 464 124.6c0-19.03-4.031-37.43-11.98-54.62C446.5 57.89 432.1 52.7 420.2 58.23zM301.8 65.45C260.5 56.78 224 88.13 224 128c0 23.63 12.95 44.04 32 55.12v296.9c0 17.67 14.33 32 32 32s32-14.33 32-32V183.1c23.25-13.54 37.42-40.96 30.03-71.18C344.4 88.91 325 70.31 301.8 65.45z"],
    "tower-cell": [576, 512, [], "e585", "M62.62 2.339C78.1 8.97 86.9 27.63 80.27 44.01C69.79 69.9 64 98.24 64 128C64 157.8 69.79 186.1 80.27 211.1C86.9 228.4 78.1 247 62.62 253.7C46.23 260.3 27.58 252.4 20.95 236C7.428 202.6 0 166.1 0 128C0 89.87 7.428 53.39 20.95 19.99C27.58 3.612 46.23-4.293 62.62 2.339V2.339zM513.4 2.339C529.8-4.293 548.4 3.612 555.1 19.99C568.6 53.39 576 89.87 576 128C576 166.1 568.6 202.6 555.1 236C548.4 252.4 529.8 260.3 513.4 253.7C497 247 489.1 228.4 495.7 211.1C506.2 186.1 512 157.8 512 128C512 98.24 506.2 69.9 495.7 44.01C489.1 27.63 497 8.969 513.4 2.338V2.339zM477.1 466.8C484.4 482.8 477.3 501.8 461.2 509.1C445.2 516.4 426.2 509.3 418.9 493.2L398.3 448H177.7L157.1 493.2C149.8 509.3 130.8 516.4 114.8 509.1C98.67 501.8 91.56 482.8 98.87 466.8L235.9 165.2C228.4 154.7 224 141.9 224 128C224 92.65 252.7 64 288 64C323.3 64 352 92.65 352 128C352 141.9 347.6 154.7 340.1 165.2L477.1 466.8zM369.2 384L354.7 352H221.3L206.8 384H369.2zM250.4 288H325.6L288 205.3L250.4 288zM152 128C152 147.4 156 165.8 163.3 182.4C168.6 194.5 163.1 208.7 150.9 213.1C138.8 219.3 124.6 213.8 119.3 201.6C109.5 179 104 154.1 104 128C104 101.9 109.5 76.96 119.3 54.39C124.6 42.25 138.8 36.7 150.9 42.01C163.1 47.31 168.6 61.46 163.3 73.61C156 90.23 152 108.6 152 128V128zM472 128C472 154.1 466.5 179 456.7 201.6C451.4 213.8 437.2 219.3 425.1 213.1C412.9 208.7 407.4 194.5 412.7 182.4C419.1 165.8 424 147.4 424 128C424 108.6 419.1 90.24 412.7 73.61C407.4 61.46 412.9 47.32 425.1 42.01C437.2 36.7 451.4 42.25 456.7 54.39C466.5 76.96 472 101.9 472 128V128z"],
    "tower-control": [448, 512, [], "e2a2", "M264 0C277.3 0 288 10.75 288 24C288 37.25 277.3 48 264 48H248V96H288C305.7 96 320 110.3 320 128H405.4C431.1 128 451.2 153.4 443.9 178.1L403.5 320.2C419.5 321.9 432 335.5 432 352C432 369.7 417.7 384 400 384H368V480C368 497.7 353.7 512 336 512H112C94.33 512 80 497.7 80 480V384H48C30.33 384 16 369.7 16 352C16 335.5 28.47 321.9 44.49 320.2L4.145 178.1C-3.156 153.4 16.03 128 42.61 128H128C128 110.3 142.3 96 160 96H200V48H184C170.7 48 160 37.25 160 24C160 10.75 170.7 0 184 0H264zM128 192H74.42L110.8 319.2C110.8 319.5 110.9 319.7 110.1 320H128V192zM176 320H272V192H176V320zM320 192V320H337L337.1 319.5L337.2 319.2L373.6 192H320z"],
    "tower-observation": [512, 512, [], "e586", "M241.7 3.378C250.7-1.126 261.3-1.126 270.3 3.378L430.3 83.38C446.1 91.28 452.5 110.5 444.6 126.3C439 137.5 427.7 143.1 416 144V224C416 241.7 401.7 256 384 256H379.1L411.1 448H480C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512H384.5C384.2 512 383.8 512 383.4 512H128.6C128.2 512 127.9 512 127.5 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H100.9L132.9 256H128C110.3 256 96 241.7 96 224V144C84.27 143.1 72.98 137.5 67.38 126.3C59.47 110.5 65.88 91.28 81.69 83.38L241.7 3.378zM314.5 448L256 399.2L197.5 448H314.5zM193.1 284.3L256 336.8L318.9 284.3L314.2 256H197.8L193.1 284.3zM183.9 339.2L172.8 406.1L218.5 368L183.9 339.2zM293.5 368L339.2 406.1L328.1 339.2L293.5 368zM176 128C167.2 128 160 135.2 160 144C160 152.8 167.2 160 176 160H336C344.8 160 352 152.8 352 144C352 135.2 344.8 128 336 128H176z"],
    "tractor": [640, 512, [128668], "f722", "M96 64C96 28.65 124.7 0 160 0H266.3C292.5 0 316 15.93 325.8 40.23L373.7 160H480V126.2C480 101.4 485.8 76.88 496.9 54.66L499.4 49.69C507.3 33.88 526.5 27.47 542.3 35.38C558.1 43.28 564.5 62.5 556.6 78.31L554.1 83.28C547.5 96.61 544 111.3 544 126.2V160H600C622.1 160 640 177.9 640 200V245.4C640 261.9 631.5 277.3 617.4 286.1L574.1 313.2C559.9 307.3 544.3 304 528 304C488.7 304 453.9 322.9 431.1 352H352C352 369.7 337.7 384 320 384H311.8C310.1 388.8 308.2 393.5 305.1 398.1L311.8 403.9C324.3 416.4 324.3 436.6 311.8 449.1L289.1 471.8C276.6 484.3 256.4 484.3 243.9 471.8L238.1 465.1C233.5 468.2 228.8 470.1 224 471.8V480C224 497.7 209.7 512 192 512H160C142.3 512 128 497.7 128 480V471.8C123.2 470.1 118.5 468.2 113.9 465.1L108.1 471.8C95.62 484.3 75.36 484.3 62.86 471.8L40.24 449.1C27.74 436.6 27.74 416.4 40.24 403.9L46.03 398.1C43.85 393.5 41.9 388.8 40.19 384H32C14.33 384 0 369.7 0 352V320C0 302.3 14.33 288 32 288H40.19C41.9 283.2 43.85 278.5 46.03 273.9L40.24 268.1C27.74 255.6 27.74 235.4 40.24 222.9L62.86 200.2C71.82 191.3 84.78 188.7 96 192.6L96 64zM160 64V160H304.7L266.3 64H160zM176 256C131.8 256 96 291.8 96 336C96 380.2 131.8 416 176 416C220.2 416 256 380.2 256 336C256 291.8 220.2 256 176 256zM440 424C440 394.2 454.8 367.9 477.4 352C491.7 341.9 509.2 336 528 336C530.7 336 533.3 336.1 535.9 336.3C580.8 340.3 616 378.1 616 424C616 472.6 576.6 512 528 512C479.4 512 440 472.6 440 424zM528 448C541.3 448 552 437.3 552 424C552 410.7 541.3 400 528 400C514.7 400 504 410.7 504 424C504 437.3 514.7 448 528 448z"],
    "trademark": [640, 512, [8482], "f25c", "M618.1 97.67c-13.02-4.375-27.45 .1562-35.72 11.16L464 266.7l-118.4-157.8c-8.266-11.03-22.64-15.56-35.72-11.16C296.8 102 288 114.2 288 128v256c0 17.69 14.33 32 32 32s32-14.31 32-32v-160l86.41 115.2c12.06 16.12 39.13 16.12 51.19 0L576 224v160c0 17.69 14.33 32 32 32s32-14.31 32-32v-256C640 114.2 631.2 102 618.1 97.67zM224 96.01H32c-17.67 0-32 14.31-32 32s14.33 32 32 32h64v223.1c0 17.69 14.33 31.99 32 31.99s32-14.3 32-31.99V160h64c17.67 0 32-14.31 32-32S241.7 96.01 224 96.01z"],
    "traffic-cone": [512, 512, [], "f636", "M173.7 128L216 20.3C220.8 8.053 232.7 0 245.8 0H266.2C279.3 0 291.2 8.053 295.1 20.3L338.3 128H173.7zM363.4 192L401.1 288H110.9L148.6 192H363.4zM48 448L85.71 352H426.3L464 448H480C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H48z"],
    "traffic-light": [320, 512, [128678], "f637", "M256 0C291.3 0 320 28.65 320 64V352C320 440.4 248.4 512 160 512C71.63 512 0 440.4 0 352V64C0 28.65 28.65 0 64 0H256zM160 320C133.5 320 112 341.5 112 368C112 394.5 133.5 416 160 416C186.5 416 208 394.5 208 368C208 341.5 186.5 320 160 320zM160 288C186.5 288 208 266.5 208 240C208 213.5 186.5 192 160 192C133.5 192 112 213.5 112 240C112 266.5 133.5 288 160 288zM160 64C133.5 64 112 85.49 112 112C112 138.5 133.5 160 160 160C186.5 160 208 138.5 208 112C208 85.49 186.5 64 160 64z"],
    "traffic-light-go": [320, 512, [], "f638", "M184 240C184 253.3 173.3 264 160 264C146.7 264 136 253.3 136 240C136 226.7 146.7 216 160 216C173.3 216 184 226.7 184 240zM136 112C136 98.75 146.7 88 160 88C173.3 88 184 98.75 184 112C184 125.3 173.3 136 160 136C146.7 136 136 125.3 136 112zM256 0C291.3 0 320 28.65 320 64V352C320 440.4 248.4 512 160 512C71.63 512 0 440.4 0 352V64C0 28.65 28.65 0 64 0H256zM160 320C133.5 320 112 341.5 112 368C112 394.5 133.5 416 160 416C186.5 416 208 394.5 208 368C208 341.5 186.5 320 160 320zM160 192C133.5 192 112 213.5 112 240C112 266.5 133.5 288 160 288C186.5 288 208 266.5 208 240C208 213.5 186.5 192 160 192zM160 160C186.5 160 208 138.5 208 112C208 85.49 186.5 64 160 64C133.5 64 112 85.49 112 112C112 138.5 133.5 160 160 160z"],
    "traffic-light-slow": [320, 512, [], "f639", "M136 368C136 354.7 146.7 344 160 344C173.3 344 184 354.7 184 368C184 381.3 173.3 392 160 392C146.7 392 136 381.3 136 368zM136 112C136 98.75 146.7 88 160 88C173.3 88 184 98.75 184 112C184 125.3 173.3 136 160 136C146.7 136 136 125.3 136 112zM256 0C291.3 0 320 28.65 320 64V352C320 440.4 248.4 512 160 512C71.63 512 0 440.4 0 352V64C0 28.65 28.65 0 64 0H256zM160 416C186.5 416 208 394.5 208 368C208 341.5 186.5 320 160 320C133.5 320 112 341.5 112 368C112 394.5 133.5 416 160 416zM160 288C186.5 288 208 266.5 208 240C208 213.5 186.5 192 160 192C133.5 192 112 213.5 112 240C112 266.5 133.5 288 160 288zM160 160C186.5 160 208 138.5 208 112C208 85.49 186.5 64 160 64C133.5 64 112 85.49 112 112C112 138.5 133.5 160 160 160z"],
    "traffic-light-stop": [320, 512, [], "f63a", "M136 368C136 354.7 146.7 344 160 344C173.3 344 184 354.7 184 368C184 381.3 173.3 392 160 392C146.7 392 136 381.3 136 368zM184 240C184 253.3 173.3 264 160 264C146.7 264 136 253.3 136 240C136 226.7 146.7 216 160 216C173.3 216 184 226.7 184 240zM256 0C291.3 0 320 28.65 320 64V352C320 440.4 248.4 512 160 512C71.63 512 0 440.4 0 352V64C0 28.65 28.65 0 64 0H256zM160 416C186.5 416 208 394.5 208 368C208 341.5 186.5 320 160 320C133.5 320 112 341.5 112 368C112 394.5 133.5 416 160 416zM160 192C133.5 192 112 213.5 112 240C112 266.5 133.5 288 160 288C186.5 288 208 266.5 208 240C208 213.5 186.5 192 160 192zM160 64C133.5 64 112 85.49 112 112C112 138.5 133.5 160 160 160C186.5 160 208 138.5 208 112C208 85.49 186.5 64 160 64z"],
    "trailer": [640, 512, [], "e041", "M496 32C522.5 32 544 53.49 544 80V320H608C625.7 320 640 334.3 640 352C640 369.7 625.7 384 608 384H286.9C279.1 329.7 232.4 288 176 288C119.6 288 72.9 329.7 65.13 384H48C21.49 384 0 362.5 0 336V80C0 53.49 21.49 32 48 32H496zM64 112V264.2C73.83 256.1 84.55 249 96 243.2V112C96 103.2 88.84 96 80 96C71.16 96 64 103.2 64 112V112zM176 224C181.4 224 186.7 224.2 192 224.7V112C192 103.2 184.8 96 176 96C167.2 96 160 103.2 160 112V224.7C165.3 224.2 170.6 224 176 224zM256 243.2C267.4 249 278.2 256.1 288 264.2V112C288 103.2 280.8 96 272 96C263.2 96 256 103.2 256 112V243.2zM352 112V304C352 312.8 359.2 320 368 320C376.8 320 384 312.8 384 304V112C384 103.2 376.8 96 368 96C359.2 96 352 103.2 352 112zM480 112C480 103.2 472.8 96 464 96C455.2 96 448 103.2 448 112V304C448 312.8 455.2 320 464 320C472.8 320 480 312.8 480 304V112zM96 400C96 355.8 131.8 320 176 320C220.2 320 256 355.8 256 400C256 444.2 220.2 480 176 480C131.8 480 96 444.2 96 400zM176 432C193.7 432 208 417.7 208 400C208 382.3 193.7 368 176 368C158.3 368 144 382.3 144 400C144 417.7 158.3 432 176 432z"],
    "train": [448, 512, [128646], "f238", "M352 0C405 0 448 42.98 448 96V352C448 399.1 412.8 439.7 366.9 446.9L412.9 492.9C419.9 499.9 414.9 512 404.1 512H365.3C356.8 512 348.6 508.6 342.6 502.6L288 448H160L105.4 502.6C99.37 508.6 91.23 512 82.75 512H43.04C33.06 512 28.06 499.9 35.12 492.9L81.14 446.9C35.18 439.7 0 399.1 0 352V96C0 42.98 42.98 0 96 0H352zM64 192C64 209.7 78.33 224 96 224H352C369.7 224 384 209.7 384 192V96C384 78.33 369.7 64 352 64H96C78.33 64 64 78.33 64 96V192zM224 384C250.5 384 272 362.5 272 336C272 309.5 250.5 288 224 288C197.5 288 176 309.5 176 336C176 362.5 197.5 384 224 384z"],
    "train-subway": [448, 512, ["subway"], "f239", "M352 0C405 0 448 42.98 448 96V352C448 399.1 412.8 439.7 366.9 446.9L412.9 492.9C419.9 499.9 414.9 512 404.1 512H365.3C356.8 512 348.6 508.6 342.6 502.6L288 448H160L105.4 502.6C99.37 508.6 91.23 512 82.75 512H43.04C33.06 512 28.06 499.9 35.12 492.9L81.14 446.9C35.18 439.7 0 399.1 0 352V96C0 42.98 42.98 0 96 0H352zM64 224C64 241.7 78.33 256 96 256H176C193.7 256 208 241.7 208 224V128C208 110.3 193.7 96 176 96H96C78.33 96 64 110.3 64 128V224zM272 96C254.3 96 240 110.3 240 128V224C240 241.7 254.3 256 272 256H352C369.7 256 384 241.7 384 224V128C384 110.3 369.7 96 352 96H272zM96 320C78.33 320 64 334.3 64 352C64 369.7 78.33 384 96 384C113.7 384 128 369.7 128 352C128 334.3 113.7 320 96 320zM352 384C369.7 384 384 369.7 384 352C384 334.3 369.7 320 352 320C334.3 320 320 334.3 320 352C320 369.7 334.3 384 352 384z"],
    "train-subway-tunnel": [512, 512, ["subway-tunnel"], "e2a3", "M512 256V448C512 483.3 483.3 512 448 512H406.6L342.3 447.7C374.7 444.5 400 417.2 400 384V192C400 156.7 371.3 128 336 128H176C140.7 128 112 156.7 112 192V384C112 417.2 137.3 444.5 169.7 447.7L105.4 512H64C28.65 512 0 483.3 0 448V256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM150.6 512L214.6 448H297.4L361.4 512H150.6zM216 192C229.3 192 240 202.7 240 216V296C240 309.3 229.3 320 216 320H184C170.7 320 160 309.3 160 296V216C160 202.7 170.7 192 184 192H216zM272 216C272 202.7 282.7 192 296 192H328C341.3 192 352 202.7 352 216V296C352 309.3 341.3 320 328 320H296C282.7 320 272 309.3 272 296V216zM160 376C160 362.7 170.7 352 184 352C197.3 352 208 362.7 208 376C208 389.3 197.3 400 184 400C170.7 400 160 389.3 160 376zM352 376C352 389.3 341.3 400 328 400C314.7 400 304 389.3 304 376C304 362.7 314.7 352 328 352C341.3 352 352 362.7 352 376z"],
    "train-track": [576, 512, [], "e453", "M215.1 96H360.9L353.6 74.12C348.1 57.35 357.1 39.23 373.9 33.64C390.6 28.05 408.8 37.12 414.4 53.88L428.4 96H464C481.7 96 496 110.3 496 128C496 145.7 481.7 160 464 160H449.7L471.1 224H504C521.7 224 536 238.3 536 256C536 273.7 521.7 288 504 288H492.4L513.7 352H544C561.7 352 576 366.3 576 384C576 401.7 561.7 416 544 416H535.1L542.4 437.9C547.9 454.6 538.9 472.8 522.1 478.4C505.4 483.9 487.2 474.9 481.6 458.1L467.6 416H108.4L94.36 458.1C88.77 474.9 70.65 483.9 53.88 478.4C37.11 472.8 28.05 454.6 33.64 437.9L40.94 416H32C14.33 416 0 401.7 0 384C0 366.3 14.33 352 32 352H62.27L83.6 288H72C54.33 288 40 273.7 40 256C40 238.3 54.33 224 72 224H104.9L126.3 160H112C94.33 160 80 145.7 80 128C80 110.3 94.33 96 112 96H147.6L161.6 53.88C167.2 37.12 185.4 28.05 202.1 33.64C218.9 39.23 227.9 57.35 222.4 74.12L215.1 96zM193.7 160L172.4 224H403.6L382.3 160H193.7zM424.9 288H151.1L129.7 352H446.3L424.9 288z"],
    "train-tram": [448, 512, [128650], "e5b4", "M86.76 48C74.61 48 63.12 53.52 55.53 63.01L42.74 78.99C34.46 89.34 19.36 91.02 9.007 82.74C-1.343 74.46-3.021 59.36 5.259 49.01L18.04 33.03C34.74 12.15 60.03 0 86.76 0H361.2C387.1 0 413.3 12.15 429.1 33.03L442.7 49.01C451 59.36 449.3 74.46 438.1 82.74C428.6 91.02 413.5 89.34 405.3 78.99L392.5 63.01C384.9 53.52 373.4 48 361.2 48H248V96H288C341 96 384 138.1 384 192V352C384 382.6 369.7 409.8 347.4 427.4L412.9 492.9C419.9 499.9 414.9 512 404.1 512H365.3C356.8 512 348.6 508.6 342.6 502.6L288 448H160L105.4 502.6C99.37 508.6 91.23 512 82.74 512H43.04C33.06 512 28.06 499.9 35.12 492.9L100.6 427.4C78.3 409.8 64 382.6 64 352V192C64 138.1 106.1 96 160 96H200V48H86.76zM160 160C142.3 160 128 174.3 128 192V224C128 241.7 142.3 256 160 256H288C305.7 256 320 241.7 320 224V192C320 174.3 305.7 160 288 160H160zM160 320C142.3 320 128 334.3 128 352C128 369.7 142.3 384 160 384C177.7 384 192 369.7 192 352C192 334.3 177.7 320 160 320zM288 384C305.7 384 320 369.7 320 352C320 334.3 305.7 320 288 320C270.3 320 256 334.3 256 352C256 369.7 270.3 384 288 384z"],
    "train-tunnel": [512, 512, [], "e454", "M512 256V448C512 483.3 483.3 512 448 512H406.6L342.3 447.7C374.7 444.5 400 417.2 400 384V192C400 156.7 371.3 128 336 128H176C140.7 128 112 156.7 112 192V384C112 417.2 137.3 444.5 169.7 447.7L105.4 512H64C28.65 512 0 483.3 0 448V256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM150.6 512L214.6 448H297.4L361.4 512H150.6zM328 192C341.3 192 352 202.7 352 216V296C352 309.3 341.3 320 328 320H184C170.7 320 160 309.3 160 296V216C160 202.7 170.7 192 184 192H328zM288 384C288 401.7 273.7 416 256 416C238.3 416 224 401.7 224 384C224 366.3 238.3 352 256 352C273.7 352 288 366.3 288 384z"],
    "transformer-bolt": [384, 512, [], "e2a4", "M224 64h96c8.836 0 16-7.164 16-16C336 39.16 328.8 32 320 32h-24V24C296 10.74 285.3 0 272 0s-24 10.74-24 24V32H224c-8.836 0-16 7.162-16 16C208 56.84 215.2 64 224 64zM224 128h96c8.836 0 16-7.164 16-16C336 103.2 328.8 96 320 96h-96c-8.836 0-16 7.162-16 16C208 120.8 215.2 128 224 128zM384 208v-32C384 167.2 376.8 160 368 160h-352C7.164 160 0 167.2 0 176v32C0 216.8 7.164 224 16 224v224C7.164 448 0 455.2 0 464v32C0 504.8 7.164 512 16 512h352c8.836 0 16-7.164 16-16v-32c0-8.838-7.164-16-16-16V224C376.8 224 384 216.8 384 208zM271.2 344.5l-112 100C156.6 446.8 153.3 448 149.1 448c-2.871 0-5.769-.8887-8.232-2.68c-5.277-3.842-7.219-10.83-4.648-16.83L170.8 352H121.1c-5.824 0-11.05-3.609-13.1-9.078c-2.051-5.455-.5195-11.62 3.885-15.46l112-99.99c4.895-4.307 12.11-4.648 17.45-.7793c5.277 3.842 7.219 10.83 4.648 16.83L213.2 320h48.76c5.824 0 11.05 3.609 13.1 9.078C277.2 334.5 275.6 340.7 271.2 344.5zM64 64h96c8.836 0 16-7.164 16-16C176 39.16 168.8 32 160 32H136V24C136 10.74 125.3 0 112 0S88 10.74 88 24V32H64C55.16 32 48 39.16 48 48C48 56.84 55.16 64 64 64zM64 128h96c8.836 0 16-7.164 16-16C176 103.2 168.8 96 160 96H64C55.16 96 48 103.2 48 112C48 120.8 55.16 128 64 128z"],
    "transgender": [512, 512, [9895, "transgender-alt"], "f225", "M498.6 .0003h-94.37c-17.96 0-26.95 21.71-14.25 34.41L411.1 55.61l-67.01 67.01C318.8 105.9 288.6 96 256 96S193.2 105.9 167.9 122.6L151.6 106.3l6.061-6.062c6.25-6.248 6.25-16.38 0-22.63L146.3 66.34c-6.25-6.248-16.38-6.248-22.63 0L117.7 72.41L100.9 55.61L122.1 34.41c12.7-12.7 3.703-34.41-14.25-34.41H13.44C6.016 .0003 0 6.016 0 13.44v94.37c0 17.96 21.71 26.95 34.41 14.25l21.2-21.2l16.8 16.8L66.35 123.7c-6.25 6.248-6.25 16.38 0 22.63l11.31 11.31c6.25 6.248 16.38 6.248 22.63 0l6.061-6.061L122.6 167.9C105.9 193.2 96 223.4 96 256c0 77.4 54.97 141.9 128 156.8v19.23l-16-.0014c-8.836 0-16 7.165-16 16v15.1c0 8.836 7.164 16 16 16L224 480v16c0 8.836 7.164 16 16 16h32c8.836 0 16-7.164 16-16v-16l16-.0001c8.836 0 16-7.164 16-16v-15.1c0-8.836-7.164-16-16-16L288 432v-19.23c73.03-14.83 128-79.37 128-156.8c0-32.6-9.867-62.85-26.61-88.14l67.01-67.01l21.2 21.2C490.3 134.8 512 125.8 512 107.8V13.44C512 6.016 505.1 .0003 498.6 .0003zM256 336c-44.11 0-80-35.89-80-80c0-44.11 35.89-80 80-80c44.11 0 80 35.89 80 80C336 300.1 300.1 336 256 336z"],
    "transporter": [512, 512, [], "e042", "M152.6 276.5l31.38-37.75L184 416h64v-96h16v96h64l.0065-177.3l31.38 37.75c11.38 13.5 31.5 15.38 45.13 4.125c13.5-11.38 15.38-31.5 4.125-45.13l-70.5-84.5C326 136.4 308 128 289 128h-66c-19 0-37 8.375-49.12 23l-70.5 84.5c-11.25 13.62-9.5 33.75 4.125 45.13C121.1 291.9 141.3 290 152.6 276.5zM93.75 108.4L64 96L51.63 66.25C50.88 64.88 49.5 64 48 64S45.13 64.88 44.38 66.25L32 96L2.25 108.4C.875 109.1 0 110.5 0 112s.875 2.875 2.25 3.625L32 128l12.38 29.75C45.13 159.1 46.5 160 48 160s2.875-.875 3.625-2.25L64 128l29.75-12.38C95.13 114.9 96 113.5 96 112S95.13 109.1 93.75 108.4zM256 96c26.5 0 48-21.5 48-48S282.5 0 256 0S208 21.5 208 48S229.5 96 256 96zM384 448H128c-17.62 0-32 14.38-32 32v32h320v-32C416 462.4 401.6 448 384 448zM509.8 44.38L480 32l-12.38-29.75C466.9 .875 465.5 0 464 0s-2.875 .875-3.625 2.25L448 32l-29.75 12.38C416.9 45.13 416 46.5 416 48s.875 2.875 2.25 3.625L448 64l12.38 29.75C461.1 95.13 462.5 96 464 96s2.875-.875 3.625-2.25L480 64l29.75-12.38C511.1 50.88 512 49.5 512 48S511.1 45.13 509.8 44.38z"],
    "transporter-1": [512, 512, [], "e043", "M336 320h-160C167.2 320 160 327.2 160 336S167.2 352 176 352h160c8.844 0 16-7.156 16-16S344.8 320 336 320zM336 384h-160C167.2 384 160 391.2 160 400S167.2 416 176 416h160c8.844 0 16-7.156 16-16S344.8 384 336 384zM256 96c26.5 0 48-21.5 48-48S282.5 0 256 0S208 21.5 208 48S229.5 96 256 96zM152.6 276.5l31.38-37.75L184 288h144l.0065-49.25l31.38 37.75c11.38 13.5 31.5 15.38 45.13 4.125c13.5-11.38 15.38-31.5 4.125-45.13l-70.5-84.5C326 136.4 308 128 289 128h-66c-19 0-37 8.375-49.12 23l-70.5 84.5c-11.25 13.62-9.5 33.75 4.125 45.13C121.1 291.9 141.3 290 152.6 276.5zM509.8 172.4L480 160l-12.38-29.75C466.9 128.9 465.5 128 464 128s-2.875 .875-3.625 2.25L448 160l-29.75 12.38C416.9 173.1 416 174.5 416 176s.875 2.875 2.25 3.625L448 192l12.38 29.75C461.1 223.1 462.5 224 464 224s2.875-.875 3.625-2.25L480 192l29.75-12.38C511.1 178.9 512 177.5 512 176S511.1 173.1 509.8 172.4zM384 448H128c-17.62 0-32 14.38-32 32v32h320v-32C416 462.4 401.6 448 384 448zM93.75 364.4L64 352l-12.38-29.75C50.88 320.9 49.5 320 48 320s-2.875 .875-3.625 2.25L32 352l-29.75 12.38C.875 365.1 0 366.5 0 368s.875 2.875 2.25 3.625L32 384l12.38 29.75C45.13 415.1 46.5 416 48 416s2.875-.875 3.625-2.25L64 384l29.75-12.38C95.13 370.9 96 369.5 96 368S95.13 365.1 93.75 364.4z"],
    "transporter-2": [512, 512, [], "e044", "M338.2 151C325.1 136.4 308 128 289 128h-66C204 128 185.1 136.4 173.9 151L113 224h286L338.2 151zM112 288h288C408.8 288 416 280.8 416 272S408.8 256 400 256h-288C103.2 256 96 263.2 96 272S103.2 288 112 288zM256 96c26.5 0 48-21.5 48-48S282.5 0 256 0S208 21.5 208 48S229.5 96 256 96zM336 320h-160C167.2 320 160 327.2 160 336S167.2 352 176 352h160c8.844 0 16-7.156 16-16S344.8 320 336 320zM336 384h-160C167.2 384 160 391.2 160 400S167.2 416 176 416h160c8.844 0 16-7.156 16-16S344.8 384 336 384zM384 448H128c-17.62 0-32 14.38-32 32v32h320v-32C416 462.4 401.6 448 384 448zM509.8 364.4L480 352l-12.38-29.75C466.9 320.9 465.5 320 464 320s-2.875 .875-3.625 2.25L448 352l-29.75 12.38C416.9 365.1 416 366.5 416 368s.875 2.875 2.25 3.625L448 384l12.38 29.75C461.1 415.1 462.5 416 464 416s2.875-.875 3.625-2.25L480 384l29.75-12.38C511.1 370.9 512 369.5 512 368S511.1 365.1 509.8 364.4zM93.75 44.38L64 32L51.63 2.25C50.88 .875 49.5 0 48 0S45.13 .875 44.38 2.25L32 32L2.25 44.38C.875 45.13 0 46.5 0 48s.875 2.875 2.25 3.625L32 64l12.38 29.75C45.13 95.13 46.5 96 48 96s2.875-.875 3.625-2.25L64 64l29.75-12.38C95.13 50.88 96 49.5 96 48S95.13 45.13 93.75 44.38z"],
    "transporter-3": [512, 512, [], "e045", "M93.75 140.4L64 128L51.63 98.25C50.88 96.88 49.5 96 48 96S45.13 96.88 44.38 98.25L32 128L2.25 140.4C.875 141.1 0 142.5 0 144s.875 2.875 2.25 3.625L32 160l12.38 29.75C45.13 191.1 46.5 192 48 192s2.875-.875 3.625-2.25L64 160l29.75-12.38C95.13 146.9 96 145.5 96 144S95.13 141.1 93.75 140.4zM144 224h224C376.8 224 384 216.8 384 208S376.8 192 368 192h-224C135.2 192 128 199.2 128 208S135.2 224 144 224zM256 96c26.5 0 48-21.5 48-48S282.5 0 256 0S208 21.5 208 48S229.5 96 256 96zM176 160h160C344.8 160 352 152.8 352 144S344.8 128 336 128h-160C167.2 128 160 135.2 160 144S167.2 160 176 160zM176 352h160c8.844 0 16-7.156 16-16S344.8 320 336 320h-160C167.2 320 160 327.2 160 336S167.2 352 176 352zM400 256h-288C103.2 256 96 263.2 96 272S103.2 288 112 288h288C408.8 288 416 280.8 416 272S408.8 256 400 256zM509.8 44.38L480 32l-12.38-29.75C466.9 .875 465.5 0 464 0s-2.875 .875-3.625 2.25L448 32l-29.75 12.38C416.9 45.13 416 46.5 416 48s.875 2.875 2.25 3.625L448 64l12.38 29.75C461.1 95.13 462.5 96 464 96s2.875-.875 3.625-2.25L480 64l29.75-12.38C511.1 50.88 512 49.5 512 48S511.1 45.13 509.8 44.38zM384 448H128c-17.62 0-32 14.38-32 32v32h320v-32C416 462.4 401.6 448 384 448zM176 416h160c8.844 0 16-7.156 16-16S344.8 384 336 384h-160C167.2 384 160 391.2 160 400S167.2 416 176 416z"],
    "transporter-4": [512, 512, [], "e2a5", "M93.75 396.4L64 384l-12.38-29.75C50.88 352.9 49.5 352 48 352s-2.875 .875-3.625 2.25L32 384l-29.75 12.38C.875 397.1 0 398.5 0 400s.875 2.875 2.25 3.625L32 416l12.38 29.75C45.13 447.1 46.5 448 48 448s2.875-.875 3.625-2.25L64 416l29.75-12.38C95.13 402.9 96 401.5 96 400S95.13 397.1 93.75 396.4zM176 160h160C344.8 160 352 152.8 352 144S344.8 128 336 128h-160C167.2 128 160 135.2 160 144S167.2 160 176 160zM144 224h224C376.8 224 384 216.8 384 208S376.8 192 368 192h-224C135.2 192 128 199.2 128 208S135.2 224 144 224zM224 96h64c8.844 0 16-7.156 16-16S296.8 64 288 64H224C215.2 64 208 71.16 208 80S215.2 96 224 96zM224 32h64c8.844 0 16-7.156 16-16S296.8 0 288 0H224C215.2 0 208 7.156 208 16S215.2 32 224 32zM509.8 172.4L480 160l-12.38-29.75C466.9 128.9 465.5 128 464 128s-2.875 .875-3.625 2.25L448 160l-29.75 12.38C416.9 173.1 416 174.5 416 176s.875 2.875 2.25 3.625L448 192l12.38 29.75C461.1 223.1 462.5 224 464 224s2.875-.875 3.625-2.25L480 192l29.75-12.38C511.1 178.9 512 177.5 512 176S511.1 173.1 509.8 172.4zM176 352h160c8.844 0 16-7.156 16-16S344.8 320 336 320h-160C167.2 320 160 327.2 160 336S167.2 352 176 352zM400 256h-288C103.2 256 96 263.2 96 272S103.2 288 112 288h288C408.8 288 416 280.8 416 272S408.8 256 400 256zM176 416h160c8.844 0 16-7.156 16-16S344.8 384 336 384h-160C167.2 384 160 391.2 160 400S167.2 416 176 416zM384 448H128c-17.62 0-32 14.38-32 32v32h320v-32C416 462.4 401.6 448 384 448z"],
    "transporter-5": [512, 512, [], "e2a6", "M93.75 172.4L64 160L51.63 130.3C50.88 128.9 49.5 128 48 128S45.13 128.9 44.38 130.3L32 160L2.25 172.4C.875 173.1 0 174.5 0 176s.875 2.875 2.25 3.625L32 192l12.38 29.75C45.13 223.1 46.5 224 48 224s2.875-.875 3.625-2.25L64 192l29.75-12.38C95.13 178.9 96 177.5 96 176S95.13 173.1 93.75 172.4zM224 32h64c8.844 0 16-7.156 16-16S296.8 0 288 0H224C215.2 0 208 7.156 208 16S215.2 32 224 32zM176 160h160C344.8 160 352 152.8 352 144S344.8 128 336 128h-160C167.2 128 160 135.2 160 144S167.2 160 176 160zM384 448H128c-17.62 0-32 14.38-32 32v32h320v-32C416 462.4 401.6 448 384 448zM509.8 44.38L480 32l-12.38-29.75C466.9 .875 465.5 0 464 0s-2.875 .875-3.625 2.25L448 32l-29.75 12.38C416.9 45.13 416 46.5 416 48s.875 2.875 2.25 3.625L448 64l12.38 29.75C461.1 95.13 462.5 96 464 96s2.875-.875 3.625-2.25L480 64l29.75-12.38C511.1 50.88 512 49.5 512 48S511.1 45.13 509.8 44.38zM400 256h-288C103.2 256 96 263.2 96 272S103.2 288 112 288h288C408.8 288 416 280.8 416 272S408.8 256 400 256zM336 416c8.844 0 16-7.156 16-16S344.8 384 336 384h-160C167.2 384 160 391.2 160 400S167.2 416 176 416H336z"],
    "transporter-6": [512, 512, [], "e2a7", "M112 288h288C408.8 288 416 280.8 416 272S408.8 256 400 256h-288C103.2 256 96 263.2 96 272S103.2 288 112 288zM224 32h64c8.844 0 16-7.156 16-16S296.8 0 288 0H224C215.2 0 208 7.156 208 16S215.2 32 224 32zM384 448H128c-17.62 0-32 14.38-32 32v32h320v-32C416 462.4 401.6 448 384 448zM93.75 44.38L64 32L51.63 2.25C50.88 .875 49.5 0 48 0S45.13 .875 44.38 2.25L32 32L2.25 44.38C.875 45.13 0 46.5 0 48s.875 2.875 2.25 3.625L32 64l12.38 29.75C45.13 95.13 46.5 96 48 96s2.875-.875 3.625-2.25L64 64l29.75-12.38C95.13 50.88 96 49.5 96 48S95.13 45.13 93.75 44.38zM509.8 396.4L480 384l-12.38-29.75C466.9 352.9 465.5 352 464 352s-2.875 .875-3.625 2.25L448 384l-29.75 12.38C416.9 397.1 416 398.5 416 400s.875 2.875 2.25 3.625L448 416l12.38 29.75C461.1 447.1 462.5 448 464 448s2.875-.875 3.625-2.25L480 416l29.75-12.38C511.1 402.9 512 401.5 512 400S511.1 397.1 509.8 396.4z"],
    "transporter-7": [512, 512, [], "e2a8", "M93.75 300.4L64 288L51.63 258.3C50.88 256.9 49.5 256 48 256S45.13 256.9 44.38 258.3L32 288L2.25 300.4C.875 301.1 0 302.5 0 304s.875 2.875 2.25 3.625L32 320l12.38 29.75C45.13 351.1 46.5 352 48 352s2.875-.875 3.625-2.25L64 320l29.75-12.38C95.13 306.9 96 305.5 96 304S95.13 301.1 93.75 300.4zM509.8 76.38L480 64l-12.38-29.75C466.9 32.88 465.5 32 464 32s-2.875 .875-3.625 2.25L448 64l-29.75 12.38C416.9 77.13 416 78.5 416 80s.875 2.875 2.25 3.625L448 96l12.38 29.75C461.1 127.1 462.5 128 464 128s2.875-.875 3.625-2.25L480 96l29.75-12.38C511.1 82.88 512 81.5 512 80S511.1 77.13 509.8 76.38zM384 448H128c-17.62 0-32 14.38-32 32v32h320v-32C416 462.4 401.6 448 384 448z"],
    "transporter-empty": [320, 512, [], "e046", "M288 448H32c-17.62 0-32 14.38-32 32v32h320v-32C320 462.4 305.6 448 288 448z"],
    "trash": [448, 512, [], "f1f8", "M135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69zM394.8 466.1C393.2 492.3 372.3 512 346.9 512H101.1C75.75 512 54.77 492.3 53.19 466.1L31.1 128H416L394.8 466.1z"],
    "trash-arrow-up": [448, 512, ["trash-restore"], "f829", "M284.2 0C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2zM31.1 128H416L394.8 466.1C393.2 492.3 372.3 512 346.9 512H101.1C75.75 512 54.77 492.3 53.19 466.1L31.1 128zM207 199L127 279C117.7 288.4 117.7 303.6 127 312.1C136.4 322.3 151.6 322.3 160.1 312.1L199.1 273.9V408C199.1 421.3 210.7 432 223.1 432C237.3 432 248 421.3 248 408V273.9L287 312.1C296.4 322.3 311.6 322.3 320.1 312.1C330.3 303.6 330.3 288.4 320.1 279L240.1 199C236.5 194.5 230.4 191.1 223.1 191.1C217.6 191.1 211.5 194.5 207 199V199z"],
    "trash-can": [448, 512, [61460, "trash-alt"], "f2ed", "M135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69zM31.1 128H416V448C416 483.3 387.3 512 352 512H95.1C60.65 512 31.1 483.3 31.1 448V128zM111.1 208V432C111.1 440.8 119.2 448 127.1 448C136.8 448 143.1 440.8 143.1 432V208C143.1 199.2 136.8 192 127.1 192C119.2 192 111.1 199.2 111.1 208zM207.1 208V432C207.1 440.8 215.2 448 223.1 448C232.8 448 240 440.8 240 432V208C240 199.2 232.8 192 223.1 192C215.2 192 207.1 199.2 207.1 208zM304 208V432C304 440.8 311.2 448 320 448C328.8 448 336 440.8 336 432V208C336 199.2 328.8 192 320 192C311.2 192 304 199.2 304 208z"],
    "trash-can-arrow-up": [448, 512, ["trash-restore-alt"], "f82a", "M284.2 0C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2zM31.1 128H416V448C416 483.3 387.3 512 352 512H95.1C60.65 512 31.1 483.3 31.1 448V128zM207 199L127 279C117.7 288.4 117.7 303.6 127 312.1C136.4 322.3 151.6 322.3 160.1 312.1L199.1 273.9V408C199.1 421.3 210.7 432 223.1 432C237.3 432 248 421.3 248 408V273.9L287 312.1C296.4 322.3 311.6 322.3 320.1 312.1C330.3 303.6 330.3 288.4 320.1 279L240.1 199C236.5 194.5 230.4 191.1 223.1 191.1C217.6 191.1 211.5 194.5 207 199V199z"],
    "trash-can-check": [448, 512, [], "e2a9", "M284.2 0C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2zM31.1 128H416V448C416 483.3 387.3 512 352 512H95.1C60.65 512 31.1 483.3 31.1 448V128zM339.8 275.8C350.7 264.9 350.7 247.1 339.8 236.2C328.9 225.3 311.1 225.3 300.2 236.2L192 344.4L147.8 300.2C136.9 289.3 119.1 289.3 108.2 300.2C97.27 311.1 97.27 328.9 108.2 339.8L172.2 403.8C183.1 414.7 200.9 414.7 211.8 403.8L339.8 275.8z"],
    "trash-can-clock": [576, 512, [], "e2aa", "M135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69zM31.1 128H416V192.7C386.7 195.4 359.4 205.2 336 220.5V207.1C336 199.2 328.8 191.1 320 191.1C311.2 191.1 304 199.2 304 207.1V247.2C274.2 278.7 255.1 321.2 255.1 368C255.1 427.5 285.6 480.1 330.8 512H95.1C60.65 512 31.1 483.3 31.1 448V128zM111.1 208V432C111.1 440.8 119.2 448 127.1 448C136.8 448 143.1 440.8 143.1 432V208C143.1 199.2 136.8 192 127.1 192C119.2 192 111.1 199.2 111.1 208zM207.1 208V432C207.1 440.8 215.2 448 223.1 448C232.8 448 239.1 440.8 239.1 432V208C239.1 199.2 232.8 192 223.1 192C215.2 192 207.1 199.2 207.1 208zM576 368C576 447.5 511.5 512 432 512C352.5 512 287.1 447.5 287.1 368C287.1 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM415.1 304V368C415.1 376.8 423.2 384 431.1 384H480C488.8 384 496 376.8 496 368C496 359.2 488.8 352 480 352H447.1V304C447.1 295.2 440.8 288 431.1 288C423.2 288 415.1 295.2 415.1 304V304z"],
    "trash-can-list": [640, 512, [], "e2ab", "M268.2 0C280.3 0 291.4 6.848 296.8 17.69L304 32H384C401.7 32 416 46.33 416 64C416 81.67 401.7 96 384 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H112L119.2 17.69C124.6 6.848 135.7 0 147.8 0H268.2zM384 464C384 490.5 362.5 512 336 512H79.1C53.49 512 31.1 490.5 31.1 464V128H384V464zM159.1 208C159.1 199.2 152.8 192 143.1 192C135.2 192 127.1 199.2 127.1 208V432C127.1 440.8 135.2 448 143.1 448C152.8 448 159.1 440.8 159.1 432V208zM287.1 208C287.1 199.2 280.8 192 271.1 192C263.2 192 255.1 199.2 255.1 208V432C255.1 440.8 263.2 448 271.1 448C280.8 448 287.1 440.8 287.1 432V208zM608 128C625.7 128 640 142.3 640 160C640 177.7 625.7 192 608 192H480C462.3 192 448 177.7 448 160C448 142.3 462.3 128 480 128H608zM576 256C593.7 256 608 270.3 608 288C608 305.7 593.7 320 576 320H480C462.3 320 448 305.7 448 288C448 270.3 462.3 256 480 256H576zM448 416C448 398.3 462.3 384 480 384H512C529.7 384 544 398.3 544 416C544 433.7 529.7 448 512 448H480C462.3 448 448 433.7 448 416z"],
    "trash-can-plus": [448, 512, [], "e2ac", "M284.2 0C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2zM31.1 128H416V448C416 483.3 387.3 512 352 512H95.1C60.65 512 31.1 483.3 31.1 448V128zM223.1 432C237.3 432 248 421.3 248 408V344H312C325.3 344 336 333.3 336 320C336 306.7 325.3 296 312 296H248V232C248 218.7 237.3 208 223.1 208C210.7 208 199.1 218.7 199.1 232V296H135.1C122.7 296 111.1 306.7 111.1 320C111.1 333.3 122.7 344 135.1 344H199.1V408C199.1 421.3 210.7 432 223.1 432z"],
    "trash-can-slash": [640, 512, ["trash-alt-slash"], "e2ad", "M98.4 51.82C103.2 40.19 114.6 32 127.1 32H223.1L231.2 17.69C236.6 6.848 247.7 0 259.8 0H380.2C392.3 0 403.4 6.848 408.8 17.69L416 32H512C529.7 32 544 46.33 544 64C544 81.67 529.7 96 512 96H154.8L195.6 128H512V375.1L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L98.4 51.82zM303.1 212.1L336 238V207.1C336 199.2 328.8 191.1 319.1 191.1C311.2 191.1 303.1 199.2 303.1 207.1V212.1zM400 288.2L432 313.3V208C432 199.2 424.8 192 416 192C407.2 192 400 199.2 400 208V288.2zM127.1 448V196.9L207.1 259.9V432C207.1 440.8 215.2 448 223.1 448C232.8 448 239.1 440.8 239.1 432V285.1L303.1 335.5V432C303.1 440.8 311.2 448 319.1 448C328.8 448 336 440.8 336 432V360.7L400 411.2V432C400 440.8 407.2 448 416 448C423.5 448 429.7 442.9 431.5 435.1L497.8 488.2C486.1 502.7 468.1 512 448 512H191.1C156.7 512 127.1 483.3 127.1 448V448z"],
    "trash-can-undo": [448, 512, ["trash-can-arrow-turn-left", "trash-undo-alt"], "f896", "M135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69zM416 448C416 483.3 387.3 512 352 512H95.1C60.65 512 31.1 483.3 31.1 448V128H416V448zM183.9 198.2L103.9 270.2C98.89 274.7 95.1 281.2 95.1 288C95.1 294.8 98.89 301.3 103.9 305.8L183.9 377.8C193.8 386.7 208.1 385.9 217.8 376.1C226.7 366.2 225.9 351 216.1 342.2L182.5 312H240C262.1 312 280 329.9 280 352V392C280 405.3 290.7 416 304 416C317.3 416 328 405.3 328 392V352C328 303.4 288.6 264 240 264H182.5L216.1 233.8C225.9 224.1 226.7 209.8 217.8 199.9C208.1 190.1 193.8 189.3 183.9 198.2H183.9z"],
    "trash-can-xmark": [448, 512, [], "e2ae", "M284.2 0C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2zM31.1 128H416V448C416 483.3 387.3 512 352 512H95.1C60.65 512 31.1 483.3 31.1 448V128zM143 272.1L190.1 319.1L143 367C133.7 376.4 133.7 391.6 143 400.1C152.4 410.3 167.6 410.3 176.1 400.1L223.1 353.9L271 400.1C280.4 410.3 295.6 410.3 304.1 400.1C314.3 391.6 314.3 376.4 304.1 367L257.9 319.1L304.1 272.1C314.3 263.6 314.3 248.4 304.1 239C295.6 229.7 280.4 229.7 271 239L223.1 286.1L176.1 239C167.6 229.7 152.4 229.7 143 239C133.7 248.4 133.7 263.6 143 272.1V272.1z"],
    "trash-check": [448, 512, [], "e2af", "M284.2 0C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2zM31.1 128H416L394.8 466.1C393.2 492.3 372.3 512 346.9 512H101.1C75.75 512 54.77 492.3 53.19 466.1L31.1 128zM339.8 251.8C350.7 240.9 350.7 223.1 339.8 212.2C328.9 201.3 311.1 201.3 300.2 212.2L192 320.4L147.8 276.2C136.9 265.3 119.1 265.3 108.2 276.2C97.27 287.1 97.27 304.9 108.2 315.8L172.2 379.8C183.1 390.7 200.9 390.7 211.8 379.8L339.8 251.8z"],
    "trash-clock": [576, 512, [], "e2b0", "M135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69zM411.9 193.1C324.2 203.1 255.1 277.6 255.1 368C255.1 427.5 285.6 480.1 330.8 512H101.1C75.75 512 54.77 492.3 53.19 466.1L31.1 128H416L411.9 193.1zM576 368C576 447.5 511.5 512 432 512C352.5 512 287.1 447.5 287.1 368C287.1 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM415.1 304V368C415.1 376.8 423.2 384 431.1 384H480C488.8 384 496 376.8 496 368C496 359.2 488.8 352 480 352H447.1V304C447.1 295.2 440.8 288 431.1 288C423.2 288 415.1 295.2 415.1 304V304z"],
    "trash-list": [640, 512, [], "e2b1", "M268.2 0C280.3 0 291.4 6.848 296.8 17.69L304 32H384C401.7 32 416 46.33 416 64C416 81.67 401.7 96 384 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H112L119.2 17.69C124.6 6.848 135.7 0 147.8 0H268.2zM31.1 128H384L362.8 466.1C361.2 492.3 340.3 512 314.9 512H101.1C75.75 512 54.77 492.3 53.19 466.1L31.1 128zM608 128C625.7 128 640 142.3 640 160C640 177.7 625.7 192 608 192H480C462.3 192 448 177.7 448 160C448 142.3 462.3 128 480 128H608zM576 256C593.7 256 608 270.3 608 288C608 305.7 593.7 320 576 320H480C462.3 320 448 305.7 448 288C448 270.3 462.3 256 480 256H576zM448 416C448 398.3 462.3 384 480 384H512C529.7 384 544 398.3 544 416C544 433.7 529.7 448 512 448H480C462.3 448 448 433.7 448 416z"],
    "trash-plus": [448, 512, [], "e2b2", "M284.2 0C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2zM31.1 128H416L394.8 466.1C393.2 492.3 372.3 512 346.9 512H101.1C75.75 512 54.77 492.3 53.19 466.1L31.1 128zM223.1 432C237.3 432 248 421.3 248 408V344H312C325.3 344 336 333.3 336 320C336 306.7 325.3 296 312 296H248V232C248 218.7 237.3 208 223.1 208C210.7 208 199.1 218.7 199.1 232V296H135.1C122.7 296 111.1 306.7 111.1 320C111.1 333.3 122.7 344 135.1 344H199.1V408C199.1 421.3 210.7 432 223.1 432z"],
    "trash-slash": [640, 512, [], "e2b3", "M98.4 51.82C103.2 40.19 114.6 32 127.1 32H223.1L231.2 17.69C236.6 6.849 247.7 .0003 259.8 .0003H380.2C392.3 .0003 403.4 6.848 408.8 17.69L416 32H512C529.7 32 544 46.33 544 64C544 81.67 529.7 96 512 96H154.8L195.6 128H512L497.2 364.4L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L98.4 51.82zM149.2 466.1L132.5 200.4L487.1 480.5C481.2 498.1 463.5 512 442.9 512H197.1C171.7 512 150.8 492.3 149.2 466.1H149.2z"],
    "trash-undo": [448, 512, ["trash-arrow-turn-left"], "f895", "M135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69zM394.8 466.1C393.2 492.3 372.3 512 346.9 512H101.1C75.75 512 54.77 492.3 53.19 466.1L31.1 128H416L394.8 466.1zM183.9 198.2L103.9 270.2C98.89 274.7 95.1 281.2 95.1 288C95.1 294.8 98.89 301.3 103.9 305.8L183.9 377.8C193.8 386.7 208.1 385.9 217.8 376.1C226.7 366.2 225.9 351 216.1 342.2L182.5 312H240C262.1 312 280 329.9 280 352V392C280 405.3 290.7 416 304 416C317.3 416 328 405.3 328 392V352C328 303.4 288.6 264 240 264H182.5L216.1 233.8C225.9 224.1 226.7 209.8 217.8 199.9C208.1 190.1 193.8 189.3 183.9 198.2H183.9z"],
    "trash-xmark": [448, 512, [], "e2b4", "M284.2 0C296.3 0 307.4 6.848 312.8 17.69L320 32H416C433.7 32 448 46.33 448 64C448 81.67 433.7 96 416 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H128L135.2 17.69C140.6 6.848 151.7 0 163.8 0H284.2zM31.1 128H416L394.8 466.1C393.2 492.3 372.3 512 346.9 512H101.1C75.75 512 54.77 492.3 53.19 466.1L31.1 128zM143 272.1L190.1 319.1L143 367C133.7 376.4 133.7 391.6 143 400.1C152.4 410.3 167.6 410.3 176.1 400.1L223.1 353.9L271 400.1C280.4 410.3 295.6 410.3 304.1 400.1C314.3 391.6 314.3 376.4 304.1 367L257.9 319.1L304.1 272.1C314.3 263.6 314.3 248.4 304.1 239C295.6 229.7 280.4 229.7 271 239L223.1 286.1L176.1 239C167.6 229.7 152.4 229.7 143 239C133.7 248.4 133.7 263.6 143 272.1V272.1z"],
    "treasure-chest": [576, 512, [], "f723", "M352 336c0 8.875-7.125 16-16 16h-96C231.1 352 224 344.9 224 336V288H128v192h320V288h-96V336zM0 128v128h96V32C43 32 0 75 0 128zM0 448c0 17.62 14.38 32 32 32h64V288H0V448zM480 32v224h96V128C576 75 533 32 480 32zM304 304v-64C304 231.1 296.9 224 288 224S272 231.1 272 240v64C272 312.9 279.1 320 288 320S304 312.9 304 304zM480 480h64c17.62 0 32-14.38 32-32V288h-96V480zM128 256h96V208C224 199.1 231.1 192 240 192h96C344.9 192 352 199.1 352 208V256h96V32H128V256z"],
    "tree": [448, 512, [127794], "f1bb", "M413.8 447.1L256 448l0 31.99C256 497.7 241.8 512 224.1 512c-17.67 0-32.1-14.32-32.1-31.99l0-31.99l-158.9-.0099c-28.5 0-43.69-34.49-24.69-56.4l68.98-79.59H62.22c-25.41 0-39.15-29.8-22.67-49.13l60.41-70.85H89.21c-21.28 0-32.87-22.5-19.28-37.31l134.8-146.5c10.4-11.3 28.22-11.3 38.62-.0033l134.9 146.5c13.62 14.81 2.001 37.31-19.28 37.31h-10.77l60.35 70.86c16.46 19.34 2.716 49.12-22.68 49.12h-15.2l68.98 79.59C458.7 413.7 443.1 447.1 413.8 447.1z"],
    "tree-christmas": [512, 512, [127876], "f7db", "M471.6 455.6l-89.87-103.6h35.1c25.62 0 39.5-29.25 23.25-48.5l-134.8-160.1l-13.46 26.79C285.7 183.3 271.6 192 255.1 192c-15.64 0-29.72-8.684-36.74-22.66L204.8 140.5L71.04 303.5c-16.25 19.25-2.375 48.5 23.25 48.5h35.1l-89.87 103.6C21.42 477.5 36.67 512 65.17 512h381.6C475.4 512 490.5 477.4 471.6 455.6zM192 312C178.8 312 168 301.3 168 288s10.75-24 23.1-24c13.25 0 23.1 10.75 23.1 24S205.2 312 192 312zM319.1 440c-13.25 0-23.1-10.75-23.1-24s10.75-24 23.1-24s23.1 10.75 23.1 24S333.2 440 319.1 440zM181 88.15l44.48 22.35l22.35 44.48C249.5 158.3 252.8 160 255.1 160s6.465-1.677 8.149-5.027L286.5 110.5l44.48-22.35c6.699-3.365 6.699-12.93 0-16.3L286.5 49.51l-22.35-44.48c-3.367-6.701-12.93-6.701-16.3 0L225.5 49.51L181 71.85C174.3 75.22 174.3 84.78 181 88.15z"],
    "tree-city": [640, 512, [], "e587", "M288 48C288 21.49 309.5 0 336 0H432C458.5 0 480 21.49 480 48V192H520V120C520 106.7 530.7 96 544 96C557.3 96 568 106.7 568 120V192H592C618.5 192 640 213.5 640 240V464C640 490.5 618.5 512 592 512H336C309.5 512 288 490.5 288 464V48zM352 112C352 120.8 359.2 128 368 128H400C408.8 128 416 120.8 416 112V80C416 71.16 408.8 64 400 64H368C359.2 64 352 71.16 352 80V112zM368 160C359.2 160 352 167.2 352 176V208C352 216.8 359.2 224 368 224H400C408.8 224 416 216.8 416 208V176C416 167.2 408.8 160 400 160H368zM352 304C352 312.8 359.2 320 368 320H400C408.8 320 416 312.8 416 304V272C416 263.2 408.8 256 400 256H368C359.2 256 352 263.2 352 272V304zM528 256C519.2 256 512 263.2 512 272V304C512 312.8 519.2 320 528 320H560C568.8 320 576 312.8 576 304V272C576 263.2 568.8 256 560 256H528zM512 400C512 408.8 519.2 416 528 416H560C568.8 416 576 408.8 576 400V368C576 359.2 568.8 352 560 352H528C519.2 352 512 359.2 512 368V400zM224 160C224 166 223 171 222 176C242 190 256 214 256 240C256 285 220 320 176 320H160V480C160 498 145 512 128 512C110 512 96 498 96 480V320H80C35 320 0 285 0 240C0 214 13 190 33 176C32 171 32 166 32 160C32 107 74 64 128 64C181 64 224 107 224 160z"],
    "tree-deciduous": [512, 512, [127795, "tree-alt"], "f400", "M512 288c0 27.84-10.25 51.44-30.61 70.53c-18.08 16.95-42.67 25.47-67.45 25.47L288 384l0 96C288 497.7 273.8 512 256.1 512S223.1 497.7 223.1 480L224 384l-125.9 .0002c-24.79 .0001-49.37-8.525-67.45-25.47C10.25 339.4 0 315.8 0 288c0-19.38 5.375-36.1 16-52.1s25-27.62 43-35c-9.375-16-12.88-32.5-10.5-49.5s9.125-31.62 20.5-44s25.12-20.5 41.5-24.5S143.4 79.63 160 87C162.6 62.38 173.1 41.63 191.5 25S231.4 0 256 0s46.13 8.375 64.5 25S349.4 62.38 352 87c16.62-7.375 33.13-8.1 49.5-4.1s30.12 12.12 41.5 24.5s18.12 27 20.5 44s-.875 33.5-9.5 49.5H453c18 7.375 32.38 19 43 35S512 268.6 512 288z"],
    "tree-decorated": [512, 512, [], "f7dc", "M471.6 455.6l-89.87-103.6h35.1c25.62 0 39.5-29.25 23.25-48.5L346.1 192h44.75c21.37 0 32.87-22.5 19.37-37.25l-134.1-146.5c-9.999-10.1-28.5-10.1-38.5 0l-134.9 146.5c-13.62 14.75-1.1 37.25 19.37 37.25h44.75L71.04 303.5c-16.25 19.25-2.375 48.5 23.25 48.5h35.1L40.42 455.6c-18.1 21.88-3.75 56.38 24.75 56.38h381.6C475.4 512 490.5 477.4 471.6 455.6zM192 312c-13.25 0-23.1-10.75-23.1-24s10.75-24 23.1-24c13.25 0 23.1 10.75 23.1 24S205.2 312 192 312zM264 160c0-13.25 10.75-24 23.1-24s23.1 10.75 23.1 24s-10.75 24-23.1 24S264 173.3 264 160zM320 440c-13.25 0-23.1-10.75-23.1-24s10.75-24 23.1-24s23.1 10.75 23.1 24S333.2 440 320 440z"],
    "tree-large": [512, 512, [], "f7dd", "M446.8 512H65.17c-28.5 0-43.75-34.5-24.75-56.38L130.3 352H94.29c-25.62 0-39.5-29.25-23.25-48.5L166 192H121.3c-21.37 0-32.1-22.5-19.37-37.25l134.9-146.5c9.999-10.1 28.5-10.1 38.5 0l134.1 146.5C423.8 169.5 412.3 192 390.9 192h-44.75l94.87 111.5C457.3 322.8 443.4 352 417.8 352H381.8l89.87 103.6C490.5 477.4 475.4 512 446.8 512z"],
    "tree-palm": [576, 512, [127796], "f82b", "M575.7 172.9c1.875 9.875-6.499 19.12-17.75 19.12L503.1 192l-23.1-48L455.1 192h-134.7c14.87 56.62 41.12 179.5 26.37 293C345.6 500.6 331.6 512 315.9 512H260.8c-20.75 0-36.12-19.5-30.1-39.63C244.1 415.2 266.3 305 255.6 200.2l-146.1 146.1c-7.1 8-20.37 7.375-26.12-1C48.01 293.6 61.76 212.1 118.8 155.1c3.375-3.375 7.125-5.1 10.75-9.125L96.01 79.1L72.01 128L18.01 127.1c-11.25 0-19.62-9.25-17.75-19.12C11.89 47.25 78.63 0 159.3 0c74.12 0 135.9 40.12 154.5 94.5c27.1-18.75 63.62-30.5 102.1-30.5C497.4 63.1 564.1 111.2 575.7 172.9z"],
    "trees": [640, 512, [], "f724", "M298.4 288H329c9 0 17-5 20.88-13c3.75-8.125 2.5-17.38-3.375-24.12L268.4 160h28.88c9.127 0 17.38-5.375 20.88-13.62c3.625-8.125 1.875-17.62-4.25-24.12L203.6 4.875c-6-6.5-17.25-6.5-23.25 0L69.97 122.3c-6 6.5-7.75 16-4.125 24.12C69.34 154.6 77.59 160 86.72 160h28.88L37.46 250.9c-5.875 6.875-7.125 16-3.375 24.12C37.96 283 45.84 288 54.96 288h30.63l-79.88 90.5c-6 6.75-7.377 16.12-3.625 24.25C5.834 410.8 14.08 416 23.09 416H160v64C160 497.7 174.3 512 192 512S224 497.7 224 480V416h136.9c9 0 17.25-5.25 21-13.25c3.75-8.125 2.5-17.5-3.5-24.25L298.4 288zM634.3 378.5L554.4 288h30.63c9 0 17-5 20.88-13c3.75-8.125 2.5-17.38-3.375-24.12L524.4 160h28.88c9.125 0 17.38-5.375 20.88-13.62c3.625-8.125 1.875-17.62-4.25-24.12l-110.3-117.4c-6-6.5-17.25-6.5-23.25 0l-95.14 101.3c11.13 15.38 14 35.25 6.377 52.88c-4 9.375-10.38 17.12-18.25 22.75l41.5 48.25c14 16.25 17.13 39.25 8.002 58.62c-4.25 8.875-10.5 16.12-18.13 21.5l41.63 47.13c8.625 9.875 13.37 14.2 13.62 26.7L416 480C416 497.7 430.3 512 448 512C465.7 512 480 497.7 480 480V416h136.9c9.002 0 17.25-5.25 21-13.25C641.7 394.6 640.3 385.3 634.3 378.5z"],
    "triangle": [512, 512, [9650], "f2ec", "M506.5 419.8C513.8 432.1 513.8 447.4 506.7 459.9C499.6 472.3 486.3 480 472 480H40C25.66 480 12.41 472.3 5.287 459.9C-1.839 447.4-1.756 432.1 5.503 419.8L221.5 51.75C228.7 39.52 241.8 32 256 32C270.2 32 283.3 39.52 290.5 51.75L506.5 419.8z"],
    "triangle-exclamation": [512, 512, [9888, "exclamation-triangle", "warning"], "f071", "M506.3 417l-213.3-364c-16.33-28-57.54-28-73.98 0l-213.2 364C-10.59 444.9 9.849 480 42.74 480h426.6C502.1 480 522.6 445 506.3 417zM232 168c0-13.25 10.75-24 24-24S280 154.8 280 168v128c0 13.25-10.75 24-23.1 24S232 309.3 232 296V168zM256 416c-17.36 0-31.44-14.08-31.44-31.44c0-17.36 14.07-31.44 31.44-31.44s31.44 14.08 31.44 31.44C287.4 401.9 273.4 416 256 416z"],
    "triangle-instrument": [512, 512, ["triangle-music"], "f8e2", "M497.8 368.1c18.13 28.75 18.97 65.25 2.219 94.75c-17.13 30.5-49.25 49.25-84.13 49.12H96.12c-34.88 .125-66.97-18.56-84.09-49.06c-16.75-29.5-15.94-66.06 2.187-94.81L173.1 109.3c11.75-19 29.63-32.19 50.01-39.31v-37.1C223.1 14.33 238.3 0 255.1 0c17.67 0 32.05 14.33 32.05 32v37.1c20.5 7.125 38.24 20.34 49.99 39.34l36.15 58.55l96.94-96.9c9.365-9.367 24.65-9.326 33.97 .0938c9.299 9.404 9.258 24.55-.0937 33.91l-196.3 196.3c2.256 6.203 3.271 12.5 3.328 18.83c.0117 1.029-.3994 2.073-.4443 3.099c-.2305 5.07-.8516 10.06-2.404 14.86c-.709 2.23-2.008 4.164-2.988 6.293c-1.537 3.297-2.967 6.584-5.139 9.553c-1.92 2.672-4.434 4.812-6.83 7.141c-1.588 1.521-2.731 3.375-4.52 4.726c-.5215 .3984-1.156 .5296-1.687 .9085c-.8613 .6152-1.402 1.52-2.307 2.092c-2.293 1.473-4.889 1.971-7.311 3.076c-2.312 1.047-4.52 2.193-6.926 2.914c-3.652 1.107-7.275 1.598-11.03 1.945c-2.246 .209-4.416 .4473-6.668 .3848c-3.904-.0996-7.627-.7207-11.44-1.617c-2.045-.4844-4.018-.9824-6.012-1.701c-3.916-1.389-7.516-3.25-11.09-5.502c-.8867-.5645-1.913-.7581-2.776-1.375c-.8145-.5781-1.302-1.431-2.077-2.047C218.5 363.4 216.5 362.6 214.9 361c-1.453-1.463-2.184-3.334-3.449-4.916c-1.346-1.664-2.484-3.377-3.625-5.168c-2.133-3.371-3.988-6.729-5.354-10.41c-.7773-2.061-1.236-4.148-1.77-6.287c-.9004-3.678-1.658-7.266-1.814-11.04c-.1191-2.506 .2207-4.967 .4375-7.494C199.6 312.2 199.9 308.8 200.9 305.4c.2207-.8027 .1158-1.623 .3736-2.42c.791-2.414 2.328-4.349 3.41-6.594c.9766-2.025 1.348-4.221 2.584-6.156c.3809-.6016 .9941-.9531 1.395-1.537c2.172-3.164 4.877-5.742 7.607-8.379C217.1 278.7 219.4 276.7 221.4 275.3c3.523-2.637 7.514-4.459 11.56-6.221C234.4 268.4 235.8 267.4 237.3 266.9c5.682-1.896 11.69-2.904 17.89-2.896c.1113 0 .2168-.0488 .3281-.0488c.1484 .002 .2817-.0334 .4302-.0314c6.375 .125 12.75 1.219 18.75 3.344l52.87-52.84L283.5 143.1C275.1 129.6 261.5 128 256 128S236.9 129.5 228.5 143.1l-159.9 258.6c-5.75 9.123-6.125 20.62-.75 29.1c5.75 10.25 16.63 16.5 28.25 16.25h319.8c11.62 .25 22.5-6 28.25-16.25c5.375-9.375 5-20.88-.75-29.1l-72.51-117.4l46.49-46.56L497.8 368.1z"],
    "triangle-person-digging": [640, 512, ["construction"], "f85d", "M640 463.9c0-8.814-2.424-18.05-7.845-26.36l-271.1-417.1c-8.858-13.6-24.51-20.4-40.17-20.4c-15.65 0-31.31 6.799-40.17 20.4l-271.1 417.1c-5.429 8.331-7.848 17.56-7.848 26.37C-.0001 488.1 19.89 512 48.02 512h543.1C620.2 512 640 488.9 640 463.9zM292 159.1c15.5 0 27.1 12.5 27.1 28s-12.5 28-27.1 28c-15.5 0-27.1-12.5-27.1-28S276.5 159.1 292 159.1zM288 431.1c0 8.875-7.126 16-15.1 16c-8.873 0-15.1-7.125-15.1-16v-32.75l-46.25-30l-18.25 67c-1.1 6.875-8.25 11.75-15.5 11.75c-12.16 0-16.04-10.8-16.04-16.08c0-1.376 .1743-2.776 .5386-4.173l29.75-109l83.12 53.63c9.123 5.875 14.62 16 14.62 26.88V431.1zM336 447.1l12.01-30.01c2.375-6 8.25-10 14.87-10h35.62l-94.93-58.38c0 0 .125 0 0 0l-103.9-64c-1.438-.8818-7.616-5.075-7.616-13.51c0-3.504 1.081-6.893 3.241-9.741l11.5-15.5c9.209-12.25 23.5-19.17 38.36-19.17c3.491 0 7.016 .3821 10.51 1.167l24.62 7.25C297.7 239.1 312 254.7 315.8 273.2l10.62 52.75l87.62 54l21.12-42.5c2.656-5.186 7.938-8.783 14.5-8.783c5.379 0 10.43 2.81 13.37 7.283l71.75 112L336 447.1z"],
    "trillium": [512, 512, [], "e588", "M159.1 160C159.1 95.91 221.6 31.82 246.1 8.867C251.8 3.586 260.2 3.586 265.9 8.866C290.4 31.82 352 95.91 352 160C352 175.7 348.2 190.4 341.6 203.5C357.8 203.5 374.2 207.7 389.3 216.4C444.8 248.4 469.5 333.8 477.1 366.5C478.9 374.1 474.6 381.4 467.2 383.6C435.1 393.4 348.8 414.7 293.3 382.7C276.7 373.1 264.1 359.3 255.9 343.5C247.8 359.3 235.1 373.1 218.6 382.7C163.1 414.7 76.75 393.4 44.61 383.7C37.22 381.4 32.98 374.1 34.73 366.5C42.36 333.8 67.05 248.4 122.6 216.4C137.7 207.7 154.1 203.5 170.4 203.5C163.7 190.4 159.1 175.7 159.1 160L159.1 160zM256 200C233.9 200 216 217.9 216 240C216 262.1 233.9 280 256 280C278.1 280 296 262.1 296 240C296 217.9 278.1 200 256 200zM384 160C384 147.5 382.2 135.2 379.2 123.4C417.8 110.6 447.4 111.5 462.1 113.4C477 115.3 485.8 130.5 480 144.3C474.4 157.6 461 182.7 432.3 208.1C424.2 201.3 415.2 194.4 405.3 188.7C397.1 184.4 390.4 181 382.7 178.4C383.6 172.4 384 166.2 384 160V160zM132.8 123.4C129.8 135.2 127.1 147.5 127.1 160C127.1 166.2 128.4 172.3 129.3 178.3C121.5 180.1 113.9 184.4 106.6 188.7C96.67 194.4 87.72 201.3 79.62 208.9C50.95 182.7 37.57 157.6 31.98 144.3C26.17 130.5 34.96 115.3 49.85 113.4C64.56 111.5 94.21 110.6 132.8 123.4H132.8zM234.6 410.4C242.3 405.9 249.5 400.7 255.9 394.9C262.4 400.7 269.5 405.9 277.3 410.4C286.4 415.7 296.1 419.8 305.9 422.9C297.7 458.1 283.3 484.5 274.9 497.1C265.8 510.8 246.2 510.8 237.1 497.1C228.7 484.5 214.2 458.9 206.1 422.8C215.9 419.7 225.4 415.6 234.6 410.4V410.4z"],
    "trophy": [576, 512, [127942], "f091", "M572.1 82.38C569.5 71.59 559.8 64 548.7 64h-100.8c.2422-12.45 .1078-23.7-.1559-33.02C447.3 13.63 433.2 0 415.8 0H160.2C142.8 0 128.7 13.63 128.2 30.98C127.1 40.3 127.8 51.55 128.1 64H27.26C16.16 64 6.537 71.59 3.912 82.38C3.1 85.78-15.71 167.2 37.07 245.9c37.44 55.82 100.6 95.03 187.5 117.4c18.7 4.805 31.41 22.06 31.41 41.37C256 428.5 236.5 448 212.6 448H208c-26.51 0-47.99 21.49-47.99 48c0 8.836 7.163 16 15.1 16h223.1c8.836 0 15.1-7.164 15.1-16c0-26.51-21.48-48-47.99-48h-4.644c-23.86 0-43.36-19.5-43.36-43.35c0-19.31 12.71-36.57 31.41-41.37c86.96-22.34 150.1-61.55 187.5-117.4C591.7 167.2 572.9 85.78 572.1 82.38zM77.41 219.8C49.47 178.6 47.01 135.7 48.38 112h80.39c5.359 59.62 20.35 131.1 57.67 189.1C137.4 281.6 100.9 254.4 77.41 219.8zM498.6 219.8c-23.44 34.6-59.94 61.75-109 81.22C426.9 243.1 441.9 171.6 447.2 112h80.39C528.1 135.7 526.5 178.7 498.6 219.8z"],
    "trophy-star": [576, 512, ["trophy-alt"], "f2eb", "M572.1 82.38C569.5 71.59 559.8 64 548.7 64h-100.8c.2422-12.45 .1076-23.7-.156-33.02C447.3 13.63 433.2 0 415.8 0H160.2c-17.35 0-31.43 13.63-31.92 30.98C127.1 40.3 127.8 51.55 128.1 64H27.26C16.16 64 6.537 71.59 3.912 82.38C3.1 85.78-15.71 167.2 37.07 245.9c37.44 55.82 100.6 95.03 187.5 117.4c18.7 4.805 31.41 22.06 31.41 41.37C256 428.5 236.5 448 212.6 448H208c-26.51 0-47.99 21.49-47.99 48c0 8.836 7.162 16 15.1 16H399.1c8.836 0 15.1-7.164 15.1-16c0-26.51-21.48-48-47.99-48h-4.644c-23.86 0-43.36-19.5-43.36-43.35c0-19.31 12.71-36.57 31.41-41.37c86.96-22.34 150.1-61.55 187.5-117.4C591.7 167.2 572.9 85.78 572.1 82.38zM77.41 219.8C49.47 178.6 47.01 135.7 48.38 112h80.39C134.1 171.6 149.1 243.1 186.4 301.1C137.4 281.6 100.8 254.4 77.41 219.8zM370 146.3l-36.34 35.3l8.58 49.98c.8945 5.227-4.584 9.207-9.273 6.742l-44.85-23.57L243.3 238.3C238.6 240.8 233.1 236.8 234 231.6l8.578-49.98L206.3 146.3C202.5 142.6 204.6 136.2 209.8 135.4l50.26-7.344l22.43-45.43c2.346-4.75 9.119-4.75 11.46 0l22.43 45.43l50.08 7.316C371.7 136.1 373.8 142.6 370 146.3zM498.6 219.8c-23.44 34.6-59.94 61.75-109 81.22C426.9 243.1 441.9 171.6 447.2 112h80.39C528.1 135.7 526.5 178.7 498.6 219.8z"],
    "trowel": [512, 512, [], "e589", "M343.9 213.4L245.3 312L310.6 377.4C318.5 385.3 321.8 396.8 319.1 407.6C316.4 418.5 308.2 427.2 297.5 430.5L41.55 510.5C30.18 514.1 17.79 511 9.373 502.6C.9565 494.2-2.093 481.8 1.458 470.5L81.46 214.5C84.8 203.8 93.48 195.6 104.4 192.9C115.2 190.3 126.7 193.5 134.6 201.4L200 266.7L298.6 168.1C284.4 153.5 284.5 130.1 298.9 115.6L394.4 20.18C421.3-6.728 464.9-6.728 491.8 20.18C518.7 47.1 518.7 90.73 491.8 117.6L396.4 213.1C381.9 227.5 358.5 227.6 343.9 213.4V213.4z"],
    "trowel-bricks": [512, 512, [], "e58a", "M240.8 4.779C250.3 10.61 256 20.91 256 32V104H345C348.6 90.2 361.1 80 376 80H464C490.5 80 512 101.5 512 128C512 154.5 490.5 176 464 176H376C361.1 176 348.6 165.8 345 152H256V224C256 235.1 250.3 245.4 240.8 251.2C231.4 257.1 219.6 257.6 209.7 252.6L17.69 156.6C6.848 151.2 0 140.1 0 128C0 115.9 6.848 104.8 17.69 99.38L209.7 3.378C219.6-1.581 231.4-1.051 240.8 4.779V4.779zM288 256C288 238.3 302.3 224 320 224H480C497.7 224 512 238.3 512 256V320C512 337.7 497.7 352 480 352H320C302.3 352 288 337.7 288 320V256zM128 384C145.7 384 160 398.3 160 416V480C160 497.7 145.7 512 128 512H32C14.33 512 0 497.7 0 480V416C0 398.3 14.33 384 32 384H128zM480 384C497.7 384 512 398.3 512 416V480C512 497.7 497.7 512 480 512H224C206.3 512 192 497.7 192 480V416C192 398.3 206.3 384 224 384H480z"],
    "truck": [640, 512, [128666, 9951], "f0d1", "M368 0C394.5 0 416 21.49 416 48V96H466.7C483.7 96 499.1 102.7 512 114.7L589.3 192C601.3 204 608 220.3 608 237.3V352C625.7 352 640 366.3 640 384C640 401.7 625.7 416 608 416H576C576 469 533 512 480 512C426.1 512 384 469 384 416H256C256 469 213 512 160 512C106.1 512 64 469 64 416H48C21.49 416 0 394.5 0 368V48C0 21.49 21.49 0 48 0H368zM416 160V256H544V237.3L466.7 160H416zM160 368C133.5 368 112 389.5 112 416C112 442.5 133.5 464 160 464C186.5 464 208 442.5 208 416C208 389.5 186.5 368 160 368zM480 464C506.5 464 528 442.5 528 416C528 389.5 506.5 368 480 368C453.5 368 432 389.5 432 416C432 442.5 453.5 464 480 464z"],
    "truck-arrow-right": [640, 512, [], "e58b", "M0 48C0 21.49 21.49 0 48 0H368C394.5 0 416 21.49 416 48V96H466.7C483.7 96 499.1 102.7 512 114.7L589.3 192C601.3 204 608 220.3 608 237.3V352C625.7 352 640 366.3 640 384C640 401.7 625.7 416 608 416H576C576 469 533 512 480 512C426.1 512 384 469 384 416H256C256 469 213 512 160 512C106.1 512 64 469 64 416H48C21.49 416 0 394.5 0 368V48zM544 256V237.3L466.7 160H416V256H544zM160 464C186.5 464 208 442.5 208 416C208 389.5 186.5 368 160 368C133.5 368 112 389.5 112 416C112 442.5 133.5 464 160 464zM480 368C453.5 368 432 389.5 432 416C432 442.5 453.5 464 480 464C506.5 464 528 442.5 528 416C528 389.5 506.5 368 480 368zM256.1 95.03C247.6 85.66 232.4 85.66 223 95.03C213.7 104.4 213.7 119.6 223 128.1L262.1 168H96C82.75 168 72 178.7 72 192C72 205.3 82.75 216 96 216H262.1L223 255C213.7 264.4 213.7 279.6 223 288.1C232.4 298.3 247.6 298.3 256.1 288.1L336.1 208.1C346.3 199.6 346.3 184.4 336.1 175L256.1 95.03z"],
    "truck-bolt": [640, 512, [], "e3d0", "M368 0C394.5 0 416 21.49 416 48V96H466.7C483.7 96 499.1 102.7 512 114.7L589.3 192C601.3 204 608 220.3 608 237.3V352C625.7 352 640 366.3 640 384C640 401.7 625.7 416 608 416H576C576 469 533 512 480 512C426.1 512 384 469 384 416H256C256 469 213 512 160 512C106.1 512 64 469 64 416H48C21.49 416 0 394.5 0 368V48C0 21.49 21.49 0 48 0H368zM416 160V256H544V237.3L466.7 160H416zM160 368C133.5 368 112 389.5 112 416C112 442.5 133.5 464 160 464C186.5 464 208 442.5 208 416C208 389.5 186.5 368 160 368zM480 464C506.5 464 528 442.5 528 416C528 389.5 506.5 368 480 368C453.5 368 432 389.5 432 416C432 442.5 453.5 464 480 464zM270.3 87.16C273.6 80.52 271.9 72.47 266.3 67.72C260.6 62.96 252.3 62.75 246.4 67.2L118.4 163.2C112.9 167.3 110.6 174.5 112.8 181.1C114.1 187.6 121.1 192 128 192H182.1L145.7 264.8C142.4 271.5 144.1 279.5 149.7 284.3C155.4 289 163.7 289.3 169.6 284.8L297.6 188.8C303.1 184.7 305.4 177.5 303.2 170.9C301 164.4 294.9 160 287.1 160H233.9L270.3 87.16z"],
    "truck-clock": [640, 512, ["shipping-timed"], "f48c", "M208 96C216.8 96 224 103.2 224 112V160H240C248.8 160 256 167.2 256 176C256 184.8 248.8 192 240 192H208C199.2 192 192 184.8 192 176V112C192 103.2 199.2 96 208 96zM0 48C0 21.49 21.49 0 48 0H368C394.5 0 416 21.49 416 48V96H466.7C483.7 96 499.1 102.7 512 114.7L589.3 192C601.3 204 608 220.3 608 237.3V352C625.7 352 640 366.3 640 384C640 401.7 625.7 416 608 416H576C576 469 533 512 480 512C426.1 512 384 469 384 416H256C256 469 213 512 160 512C106.1 512 64 469 64 416H48C21.49 416 0 394.5 0 368V48zM544 256V237.3L466.7 160H416V256H544zM160 464C186.5 464 208 442.5 208 416C208 389.5 186.5 368 160 368C133.5 368 112 389.5 112 416C112 442.5 133.5 464 160 464zM480 368C453.5 368 432 389.5 432 416C432 442.5 453.5 464 480 464C506.5 464 528 442.5 528 416C528 389.5 506.5 368 480 368zM208 64C146.1 64 96 114.1 96 176C96 237.9 146.1 288 208 288C269.9 288 320 237.9 320 176C320 114.1 269.9 64 208 64z"],
    "truck-container": [640, 512, [], "f4dc", "M352 32C378.5 32 400 53.49 400 80V240C400 266.5 378.5 288 352 288H48C21.49 288 0 266.5 0 240V80C0 53.49 21.49 32 48 32H352zM80 80C71.16 80 64 87.16 64 96V224C64 232.8 71.16 240 80 240C88.84 240 96 232.8 96 224V96C96 87.16 88.84 80 80 80zM224 224C224 232.8 231.2 240 240 240C248.8 240 256 232.8 256 224V96C256 87.16 248.8 80 240 80C231.2 80 224 87.16 224 96V224zM160 80C151.2 80 144 87.16 144 96V224C144 232.8 151.2 240 160 240C168.8 240 176 232.8 176 224V96C176 87.16 168.8 80 160 80zM304 224C304 232.8 311.2 240 320 240C328.8 240 336 232.8 336 224V96C336 87.16 328.8 80 320 80C311.2 80 304 87.16 304 96V224zM432 168C432 154.7 442.7 144 456 144H528.8C545.6 144 561.5 151.5 572.2 164.5L630.1 236.4C636.8 243.5 640 252.5 640 261.7V352C640 369.7 625.7 384 608 384H606.4C607.4 389.2 608 394.5 608 400C608 444.2 572.2 480 528 480C483.8 480 448 444.2 448 400C448 394.5 448.6 389.2 449.6 384H286.4C287.4 389.2 288 394.5 288 400C288 444.2 252.2 480 208 480C181.8 480 158.6 467.4 144 448C129.4 467.4 106.2 480 80 480C35.82 480 0 444.2 0 400V352C0 334.3 14.33 320 32 320H432V168zM480 256H584.1L535 194.9C533.5 193.1 531.2 192 528.8 192H480V256zM528 368C510.3 368 496 382.3 496 400C496 417.7 510.3 432 528 432C545.7 432 560 417.7 560 400C560 382.3 545.7 368 528 368zM208 432C225.7 432 240 417.7 240 400C240 382.3 225.7 368 208 368C190.3 368 176 382.3 176 400C176 417.7 190.3 432 208 432zM80 368C62.33 368 48 382.3 48 400C48 417.7 62.33 432 80 432C97.67 432 112 417.7 112 400C112 382.3 97.67 368 80 368z"],
    "truck-container-empty": [640, 512, [], "e2b5", "M528.8 144C545.6 144 561.5 151.5 572.2 164.5L630.1 236.4C636.8 243.5 640 252.5 640 261.7V352C640 369.7 625.7 384 608 384H606.4C607.4 389.2 608 394.5 608 400C608 444.2 572.2 480 528 480C483.8 480 448 444.2 448 400C448 394.5 448.6 389.2 449.6 384H286.4C287.4 389.2 288 394.5 288 400C288 444.2 252.2 480 208 480C181.8 480 158.6 467.4 144 448C129.4 467.4 106.2 480 80 480C35.82 480 0 444.2 0 400V352C0 334.3 14.33 320 32 320H432V168C432 154.7 442.7 144 456 144H528.8zM535 194.9C533.5 193.1 531.2 192 528.8 192H480V256H584.1L535 194.9zM528 432C545.7 432 560 417.7 560 400C560 382.3 545.7 368 528 368C510.3 368 496 382.3 496 400C496 417.7 510.3 432 528 432zM208 368C190.3 368 176 382.3 176 400C176 417.7 190.3 432 208 432C225.7 432 240 417.7 240 400C240 382.3 225.7 368 208 368zM80 432C97.67 432 112 417.7 112 400C112 382.3 97.67 368 80 368C62.33 368 48 382.3 48 400C48 417.7 62.33 432 80 432z"],
    "truck-droplet": [640, 512, [], "e58c", "M0 48C0 21.49 21.49 0 48 0H368C394.5 0 416 21.49 416 48V96H466.7C483.7 96 499.1 102.7 512 114.7L589.3 192C601.3 204 608 220.3 608 237.3V352C625.7 352 640 366.3 640 384C640 401.7 625.7 416 608 416H576C576 469 533 512 480 512C426.1 512 384 469 384 416H256C256 469 213 512 160 512C106.1 512 64 469 64 416H48C21.49 416 0 394.5 0 368V48zM544 256V237.3L466.7 160H416V256H544zM160 464C186.5 464 208 442.5 208 416C208 389.5 186.5 368 160 368C133.5 368 112 389.5 112 416C112 442.5 133.5 464 160 464zM480 368C453.5 368 432 389.5 432 416C432 442.5 453.5 464 480 464C506.5 464 528 442.5 528 416C528 389.5 506.5 368 480 368zM208 272C247.8 272 280 242.4 280 205.1C280 179 240.6 123 220.1 95.71C213.1 87.54 202 87.54 195.9 95.71C175.4 123 136 179 136 205.1C136 242.4 168.2 272 208 272V272z"],
    "truck-fast": [640, 512, ["shipping-fast"], "f48b", "M112 0C85.49 0 64 21.49 64 48V96H16C7.163 96 0 103.2 0 112C0 120.8 7.163 128 16 128H272C280.8 128 288 135.2 288 144C288 152.8 280.8 160 272 160H48C39.16 160 32 167.2 32 176C32 184.8 39.16 192 48 192H240C248.8 192 256 199.2 256 208C256 216.8 248.8 224 240 224H16C7.163 224 0 231.2 0 240C0 248.8 7.163 256 16 256H208C216.8 256 224 263.2 224 272C224 280.8 216.8 288 208 288H64V416C64 469 106.1 512 160 512C213 512 256 469 256 416H384C384 469 426.1 512 480 512C533 512 576 469 576 416H608C625.7 416 640 401.7 640 384C640 366.3 625.7 352 608 352V237.3C608 220.3 601.3 204 589.3 192L512 114.7C499.1 102.7 483.7 96 466.7 96H416V48C416 21.49 394.5 0 368 0H112zM544 237.3V256H416V160H466.7L544 237.3zM160 464C133.5 464 112 442.5 112 416C112 389.5 133.5 368 160 368C186.5 368 208 389.5 208 416C208 442.5 186.5 464 160 464zM528 416C528 442.5 506.5 464 480 464C453.5 464 432 442.5 432 416C432 389.5 453.5 368 480 368C506.5 368 528 389.5 528 416z"],
    "truck-field": [640, 512, [], "e58d", "M32 96C32 60.65 60.65 32 96 32H320C343.7 32 364.4 44.87 375.4 64H427.2C452.5 64 475.4 78.9 485.7 102L538.5 220.8C538.1 221.9 539.4 222.9 539.8 223.1H544C579.3 223.1 608 252.7 608 287.1V319.1C625.7 319.1 640 334.3 640 352C640 369.7 625.7 384 608 384H576C576 437 533 480 480 480C426.1 480 384 437 384 384H256C256 437 213 480 160 480C106.1 480 64 437 64 384H32C14.33 384 0 369.7 0 352C0 334.3 14.33 319.1 32 319.1V287.1C14.33 287.1 0 273.7 0 255.1V159.1C0 142.3 14.33 127.1 32 127.1V96zM469.9 224L427.2 128H384V224H469.9zM160 432C186.5 432 208 410.5 208 384C208 357.5 186.5 336 160 336C133.5 336 112 357.5 112 384C112 410.5 133.5 432 160 432zM480 336C453.5 336 432 357.5 432 384C432 410.5 453.5 432 480 432C506.5 432 528 410.5 528 384C528 357.5 506.5 336 480 336z"],
    "truck-field-un": [640, 512, [], "e58e", "M320 32C343.7 32 364.4 44.87 375.4 64H427.2C452.5 64 475.4 78.9 485.7 102L538.5 220.8C538.1 221.9 539.4 222.9 539.8 224H544C579.3 224 608 252.7 608 288V320C625.7 320 640 334.3 640 352C640 369.7 625.7 384 608 384H576C576 437 533 480 480 480C426.1 480 384 437 384 384H256C256 437 213 480 160 480C106.1 480 64 437 64 384H32C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320V288C14.33 288 0 273.7 0 256V160C0 142.3 14.33 128 32 128V96C32 60.65 60.65 32 96 32L320 32zM384 128V224H469.9L427.2 128H384zM160 336C133.5 336 112 357.5 112 384C112 410.5 133.5 432 160 432C186.5 432 208 410.5 208 384C208 357.5 186.5 336 160 336zM480 432C506.5 432 528 410.5 528 384C528 357.5 506.5 336 480 336C453.5 336 432 357.5 432 384C432 410.5 453.5 432 480 432zM253.3 135.1C249.4 129.3 242.1 126.6 235.4 128.7C228.6 130.7 224 136.9 224 144V240C224 248.8 231.2 256 240 256C248.8 256 256 248.8 256 240V196.8L290.7 248.9C294.6 254.7 301.9 257.4 308.6 255.3C315.4 253.3 320 247.1 320 240V144C320 135.2 312.8 128 304 128C295.2 128 288 135.2 288 144V187.2L253.3 135.1zM128 144C128 135.2 120.8 128 112 128C103.2 128 96 135.2 96 144V208C96 234.5 117.5 256 144 256C170.5 256 192 234.5 192 208V144C192 135.2 184.8 128 176 128C167.2 128 160 135.2 160 144V208C160 216.8 152.8 224 144 224C135.2 224 128 216.8 128 208V144z"],
    "truck-flatbed": [640, 512, [], "e2b6", "M608 416H576C576 469 533 512 480 512C426.1 512 384 469 384 416H256C256 469 213 512 160 512C106.1 512 64 469 64 416H32C14.33 416 0 401.7 0 384C0 366.3 14.33 352 32 352H88.44C106 332.4 131.6 320 160 320C188.4 320 213.1 332.4 231.6 352H352V128C352 110.3 366.3 96 384 96H466.7C483.7 96 499.1 102.7 512 114.7L589.3 192C601.3 204 608 220.3 608 237.3V352C625.7 352 640 366.3 640 384C640 401.7 625.7 416 608 416zM416 160V256H544V237.3L466.7 160H416zM160 368C133.5 368 112 389.5 112 416C112 442.5 133.5 464 160 464C186.5 464 208 442.5 208 416C208 389.5 186.5 368 160 368zM480 464C506.5 464 528 442.5 528 416C528 389.5 506.5 368 480 368C453.5 368 432 389.5 432 416C432 442.5 453.5 464 480 464z"],
    "truck-front": [512, 512, [], "e2b7", "M0 80C0 35.82 35.82 0 80 0H432C476.2 0 512 35.82 512 80V368C512 394.2 499.4 417.4 480 432V480C480 497.7 465.7 512 448 512H416C398.3 512 384 497.7 384 480V448H128V480C128 497.7 113.7 512 96 512H64C46.33 512 32 497.7 32 480V432C12.57 417.4 0 394.2 0 368V80zM129.9 152.2L112 224H400L382.1 152.2C378.5 137.1 365.7 128 351 128H160.1C146.3 128 133.5 137.1 129.9 152.2H129.9zM96 288C78.33 288 64 302.3 64 320C64 337.7 78.33 352 96 352C113.7 352 128 337.7 128 320C128 302.3 113.7 288 96 288zM416 352C433.7 352 448 337.7 448 320C448 302.3 433.7 288 416 288C398.3 288 384 302.3 384 320C384 337.7 398.3 352 416 352z"],
    "truck-medical": [640, 512, [128657, "ambulance"], "f0f9", "M368 0C394.5 0 416 21.49 416 48V96H466.7C483.7 96 499.1 102.7 512 114.7L589.3 192C601.3 204 608 220.3 608 237.3V352C625.7 352 640 366.3 640 384C640 401.7 625.7 416 608 416H576C576 469 533 512 480 512C426.1 512 384 469 384 416H256C256 469 213 512 160 512C106.1 512 64 469 64 416H48C21.49 416 0 394.5 0 368V48C0 21.49 21.49 0 48 0H368zM416 160V256H544V237.3L466.7 160H416zM160 368C133.5 368 112 389.5 112 416C112 442.5 133.5 464 160 464C186.5 464 208 442.5 208 416C208 389.5 186.5 368 160 368zM480 464C506.5 464 528 442.5 528 416C528 389.5 506.5 368 480 368C453.5 368 432 389.5 432 416C432 442.5 453.5 464 480 464zM112 176C112 184.8 119.2 192 128 192H176V240C176 248.8 183.2 256 192 256H224C232.8 256 240 248.8 240 240V192H288C296.8 192 304 184.8 304 176V144C304 135.2 296.8 128 288 128H240V80C240 71.16 232.8 64 224 64H192C183.2 64 176 71.16 176 80V128H128C119.2 128 112 135.2 112 144V176z"],
    "truck-monster": [640, 512, [], "f63b", "M419.2 25.6L496 128H576C593.7 128 608 142.3 608 160V224C625.7 224 640 238.3 640 256C640 273.7 625.7 287.1 608 288C578.8 249.1 532.3 224 480 224C427.7 224 381.2 249.1 351.1 288H288C258.8 249.1 212.3 224 160 224C107.7 224 61.18 249.1 31.99 288C14.32 287.1 0 273.7 0 256C0 238.3 14.33 224 32 224V160C32 142.3 46.33 128 64 128H224V48C224 21.49 245.5 0 272 0H368C388.1 0 407.1 9.484 419.2 25.6H419.2zM288 128H416L368 64H288V128zM168 256C180.1 256 190.1 264.9 191.8 276.6C199.4 278.8 206.7 281.9 213.5 285.6C222.9 278.5 236.3 279.3 244.9 287.8L256.2 299.1C264.7 307.7 265.5 321.1 258.4 330.5C262.1 337.3 265.2 344.6 267.4 352.2C279.1 353.9 288 363.9 288 376V392C288 404.1 279.1 414.1 267.4 415.8C265.2 423.4 262.1 430.7 258.4 437.5C265.5 446.9 264.7 460.3 256.2 468.9L244.9 480.2C236.3 488.7 222.9 489.5 213.5 482.4C206.7 486.1 199.4 489.2 191.8 491.4C190.1 503.1 180.1 512 167.1 512H151.1C139.9 512 129.9 503.1 128.2 491.4C120.6 489.2 113.3 486.1 106.5 482.4C97.09 489.5 83.7 488.7 75.15 480.2L63.83 468.9C55.28 460.3 54.53 446.9 61.58 437.5C57.85 430.7 54.81 423.4 52.57 415.8C40.94 414.1 31.1 404.1 31.1 392V376C31.1 363.9 40.94 353.9 52.57 352.2C54.81 344.6 57.85 337.3 61.58 330.5C54.53 321.1 55.28 307.7 63.83 299.1L75.15 287.8C83.7 279.3 97.09 278.5 106.5 285.6C113.3 281.9 120.6 278.8 128.2 276.6C129.9 264.9 139.9 255.1 151.1 255.1L168 256zM160 432C186.5 432 208 410.5 208 384C208 357.5 186.5 336 160 336C133.5 336 112 357.5 112 384C112 410.5 133.5 432 160 432zM448.2 276.6C449.9 264.9 459.9 256 472 256H488C500.1 256 510.1 264.9 511.8 276.6C519.4 278.8 526.7 281.9 533.5 285.6C542.9 278.5 556.3 279.3 564.9 287.8L576.2 299.1C584.7 307.7 585.5 321.1 578.4 330.5C582.1 337.3 585.2 344.6 587.4 352.2C599.1 353.9 608 363.9 608 376V392C608 404.1 599.1 414.1 587.4 415.8C585.2 423.4 582.1 430.7 578.4 437.5C585.5 446.9 584.7 460.3 576.2 468.9L564.9 480.2C556.3 488.7 542.9 489.5 533.5 482.4C526.7 486.1 519.4 489.2 511.8 491.4C510.1 503.1 500.1 512 488 512H472C459.9 512 449.9 503.1 448.2 491.4C440.6 489.2 433.3 486.1 426.5 482.4C417.1 489.5 403.7 488.7 395.1 480.2L383.8 468.9C375.3 460.3 374.5 446.9 381.6 437.5C377.9 430.7 374.8 423.4 372.6 415.8C360.9 414.1 352 404.1 352 392V376C352 363.9 360.9 353.9 372.6 352.2C374.8 344.6 377.9 337.3 381.6 330.5C374.5 321.1 375.3 307.7 383.8 299.1L395.1 287.8C403.7 279.3 417.1 278.5 426.5 285.6C433.3 281.9 440.6 278.8 448.2 276.6L448.2 276.6zM480 336C453.5 336 432 357.5 432 384C432 410.5 453.5 432 480 432C506.5 432 528 410.5 528 384C528 357.5 506.5 336 480 336z"],
    "truck-moving": [640, 512, [], "f4df", "M416 32C451.3 32 480 60.65 480 96V144H528.8C545.6 144 561.5 151.5 572.2 164.5L630.1 236.4C636.8 243.5 640 252.5 640 261.7V352C640 369.7 625.7 384 608 384H606.4C607.4 389.2 608 394.5 608 400C608 444.2 572.2 480 528 480C483.8 480 448 444.2 448 400C448 394.5 448.6 389.2 449.6 384H286.4C287.4 389.2 288 394.5 288 400C288 444.2 252.2 480 208 480C181.8 480 158.6 467.4 144 448C129.4 467.4 106.2 480 80 480C35.82 480 0 444.2 0 400V96C0 60.65 28.65 32 64 32H416zM535 194.9C533.5 193.1 531.2 192 528.8 192H480V256H584.1L535 194.9zM528 432C545.7 432 560 417.7 560 400C560 382.3 545.7 368 528 368C510.3 368 496 382.3 496 400C496 417.7 510.3 432 528 432zM208 368C190.3 368 176 382.3 176 400C176 417.7 190.3 432 208 432C225.7 432 240 417.7 240 400C240 382.3 225.7 368 208 368zM80 432C97.67 432 112 417.7 112 400C112 382.3 97.67 368 80 368C62.33 368 48 382.3 48 400C48 417.7 62.33 432 80 432z"],
    "truck-pickup": [640, 512, [128763], "f63c", "M272 32H368.6C388.1 32 406.5 40.84 418.6 56.02L527.4 192H576C593.7 192 608 206.3 608 224V288C625.7 288 640 302.3 640 320C640 337.7 625.7 352 608 352H574.9C575.6 357.2 576 362.6 576 368C576 429.9 525.9 480 464 480C402.1 480 352 429.9 352 368C352 362.6 352.4 357.2 353.1 352H286.9C287.6 357.2 288 362.6 288 368C288 429.9 237.9 480 176 480C114.1 480 64 429.9 64 368C64 362.6 64.39 357.2 65.13 352H32C14.33 352 0 337.7 0 320C0 302.3 14.33 288 32 288V224C32 206.3 46.33 192 64 192H224V80C224 53.49 245.5 32 272 32H272zM368.6 96H288V192H445.4L368.6 96zM176 416C202.5 416 224 394.5 224 368C224 341.5 202.5 320 176 320C149.5 320 128 341.5 128 368C128 394.5 149.5 416 176 416zM464 416C490.5 416 512 394.5 512 368C512 341.5 490.5 320 464 320C437.5 320 416 341.5 416 368C416 394.5 437.5 416 464 416z"],
    "truck-plane": [640, 512, [], "e58f", "M256 86.06L256 182.9L256 184V411.5L256.1 411.6C257.3 433.8 269.8 452.9 288 463.4V496C288 501.2 288.8 506.3 290.4 510.1L200 480.9L109.1 511.2C104.2 512.8 98.82 511.1 94.64 508.1C90.47 505.1 88 501.1 88 496V464C88 459.1 90.21 454.5 94 451.5L144 411.5V330.3L20.6 367.3C15.75 368.8 10.51 367.9 6.449 364.8C2.391 361.8 0 357.1 0 352V288C0 282.4 2.949 277.2 7.768 274.3L144 192.5V86.06C144 54.68 169.4 0 200 0C231.5 0 256 54.68 256 86.06V86.06zM288 176C288 149.5 309.5 128 336 128H592C618.5 128 640 149.5 640 176V400C640 420.9 626.6 438.7 608 445.3V488C608 501.3 597.3 512 584 512H568C554.7 512 544 501.3 544 488V448H384V488C384 501.3 373.3 512 360 512H344C330.7 512 320 501.3 320 488V445.3C301.4 438.7 288 420.9 288 400V176zM367.8 254.7L352 304H576L560.2 254.7C556.9 246 548.9 240 539.7 240H388.3C379.1 240 371.1 246 367.8 254.7H367.8zM568 400C581.3 400 592 389.3 592 376C592 362.7 581.3 352 568 352C554.7 352 544 362.7 544 376C544 389.3 554.7 400 568 400zM360 352C346.7 352 336 362.7 336 376C336 389.3 346.7 400 360 400C373.3 400 384 389.3 384 376C384 362.7 373.3 352 360 352z"],
    "truck-plow": [640, 512, [], "f7de", "M128 192V80C128 53.49 149.5 32 176 32H269.9C292.4 32 313.2 43.8 324.8 63.07L402.1 192H448C465.7 192 480 206.3 480 224V288H512V176C512 168.7 514.5 161.7 519 156L583 76.01C594.1 62.21 614.2 59.97 627.1 71.01C641.8 82.05 644 102.2 632.1 115.1L576 187.2V356.8L632.1 428C644 441.8 641.8 461.9 627.1 472.1C614.2 484 594.1 481.8 583 467.1L519 387.1C514.5 382.3 512 375.3 512 368V352H474.5C478.1 362 480 372.8 480 384C480 437 437 480 384 480C330.1 480 288 437 288 384C288 372.8 289.9 362 293.5 352H224C222.1 352 220.2 351.8 218.4 351.5C222 361.7 224 372.6 224 384C224 437 181 480 128 480C74.98 480 32 437 32 384C32 372.8 33.92 362 37.46 352H32C14.33 352 0 337.7 0 320V224C0 206.3 14.33 192 32 192L128 192zM192 192H327.5L269.9 96H192V192zM128 352C110.3 352 96 366.3 96 384C96 401.7 110.3 416 128 416C145.7 416 160 401.7 160 384C160 366.3 145.7 352 128 352zM384 352C366.3 352 352 366.3 352 384C352 401.7 366.3 416 384 416C401.7 416 416 401.7 416 384C416 366.3 401.7 352 384 352z"],
    "truck-ramp": [640, 512, [], "f4e0", "M528 512C467 512 417.5 463.3 416 402.7L48.41 502.9C31.36 507.5 13.77 497.5 9.126 480.4C4.48 463.4 14.54 445.8 31.59 441.1L352 353.8V64C352 28.65 380.7 0 416 0H640V400C640 461.9 589.9 512 528 512L528 512zM528 448C554.5 448 576 426.5 576 400C576 373.5 554.5 352 528 352C501.5 352 480 373.5 480 400C480 426.5 501.5 448 528 448z"],
    "truck-ramp-box": [640, 512, ["truck-loading"], "f4de", "M640 .0003V400C640 461.9 589.9 512 528 512C467 512 417.5 463.3 416 402.7L48.41 502.9C31.36 507.5 13.77 497.5 9.126 480.4C4.48 463.4 14.54 445.8 31.59 441.1L352 353.8V64C352 28.65 380.7 0 416 0L640 .0003zM528 352C501.5 352 480 373.5 480 400C480 426.5 501.5 448 528 448C554.5 448 576 426.5 576 400C576 373.5 554.5 352 528 352zM23.11 207.7C18.54 190.6 28.67 173.1 45.74 168.5L92.1 156.1L112.8 233.4C115.1 241.9 123.9 246.1 132.4 244.7L163.3 236.4C171.8 234.1 176.9 225.3 174.6 216.8L153.9 139.5L200.3 127.1C217.4 122.5 234.9 132.7 239.5 149.7L280.9 304.3C285.5 321.4 275.3 338.9 258.3 343.5L103.7 384.9C86.64 389.5 69.1 379.3 64.52 362.3L23.11 207.7z"],
    "truck-ramp-couch": [640, 512, ["truck-couch"], "f4dd", "M640 .0003V400C640 461.9 589.9 512 528 512C467 512 417.5 463.3 416 402.7L48.41 502.9C31.36 507.5 13.77 497.5 9.126 480.4C4.48 463.4 14.54 445.8 31.59 441.1L352 353.8V64C352 28.65 380.7 0 416 0L640 .0003zM528 352C501.5 352 480 373.5 480 400C480 426.5 501.5 448 528 448C554.5 448 576 426.5 576 400C576 373.5 554.5 352 528 352zM294.5 209.2C303.2 206.8 311.9 207 320 209.3V334.8L33.98 411.5L13.27 334.2C6.412 308.6 21.61 282.3 47.21 275.4C72.82 268.5 99.14 283.7 106 309.4L110.1 324.8L264.7 283.4L260.6 267.9C253.7 242.3 268.9 216 294.5 209.2V209.2zM8.023 252.8C-1.125 218.6 19.14 183.5 53.28 174.4L238.7 124.7C272.9 115.6 307.1 135.8 317.1 169.1L318.8 176.4C308.3 174.8 297.2 175.3 286.2 178.2C248.8 188.3 224.8 223.2 227 260.4L131.2 286C114.6 252.7 76.32 234.5 38.93 244.5C27.94 247.4 18.1 252.5 9.745 259.2L8.023 252.8z"],
    "truck-tow": [640, 512, [], "e2b8", "M96 0H145.6C154.8 0 163.5 3.909 169.5 10.74L384 252V128C384 110.3 398.3 96 416 96H498.7C515.7 96 531.1 102.7 544 114.7L621.3 192C633.3 204 640 220.3 640 237.3V376C640 398.1 622.1 416 600 416H576C576 469 533 512 480 512C426.1 512 384 469 384 416H256C256 469 213 512 160 512C106.1 512 64 469 64 416H48C21.49 416 0 394.5 0 368V304C0 277.5 21.49 256 48 256H192L96 64V176C96 202.5 74.51 224 48 224C21.49 224 0 202.5 0 176V160C0 151.2 7.164 144 16 144C24.84 144 32 151.2 32 160V176C32 184.8 39.16 192 48 192C56.84 192 64 184.8 64 176V32C64 14.33 78.33 0 96 0zM576 256V237.3L498.7 160H448V256H576zM160 368C133.5 368 112 389.5 112 416C112 442.5 133.5 464 160 464C186.5 464 208 442.5 208 416C208 389.5 186.5 368 160 368zM480 464C506.5 464 528 442.5 528 416C528 389.5 506.5 368 480 368C453.5 368 432 389.5 432 416C432 442.5 453.5 464 480 464z"],
    "trumpet": [640, 512, [127930], "f8e3", "M624 64c-5.125 0-10 2.522-13 6.647c-19.88 25.88-42.09 49.85-66.22 71.72c-15.38 13-32.9 25.62-52.52 36C486.8 181.2 466.5 192 432.3 192H400V160c0-8.875-7.125-16-16-16h-16c-8.875 0-16 7.125-16 15.1L352 192H312V160c0-8.875-7.125-16-16-16h-16c-8.875 0-16 7.125-16 16v32H224L223.1 159.1C223.1 151.1 216.9 144 208 144H192C183.1 144 176 151.1 176 160v32h-128c0-8.875-7.125-16-16-16L16.02 176c-8.875 0-16.02 7.125-16.02 15.1L0 256c0 8.875 7.125 16 16 16H32c8.875 0 16-7.132 16-16.01L81.75 256C70.75 274.9 64 296.6 64 320c.125 70.63 57.38 127.9 128 128h224c53 0 96-43 96-96v-31.38c-10.88-8.5-22.5-16.12-34.63-22.75C468.8 293.4 458.6 290.9 448 289.5V352c0 17.62-14.38 32-32 32h-16V256l32.13 .0098c34.5 0 54.5 10.63 60.13 13.63c17.5 9.375 33.99 20.49 49.24 33.24c39.38 34.63 69 73.75 69.25 74C613.6 381.4 618.6 384 624 384c12.12 0 16-11 16-16V79.1C640 67.1 629.3 64 624 64zM176 381.7C147.8 374.5 128 349.1 128 320s19.75-54.49 48-61.74V381.7zM264 384H224V256h40V384zM352 384H312V256H352V384z"],
    "tty": [512, 512, ["teletype"], "f1e4", "M271.1 364v40c0 6.625 5.375 12 12 12h40c6.625 0 12-5.375 12-12v-40c0-6.625-5.375-12-12-12h-40C277.3 352 271.1 357.4 271.1 364zM367.1 364v40c0 6.625 5.375 12 12 12h40c6.625 0 12-5.375 12-12v-40c0-6.625-5.375-12-12-12h-40C373.3 352 367.1 357.4 367.1 364zM275.1 256h-40c-6.625 0-12 5.375-12 12v40c0 6.625 5.376 12 12 12h39.1c6.625 0 12-5.375 12-12v-40C287.1 261.4 282.6 256 275.1 256zM83.96 448h-40c-6.625 0-12 5.375-12 12v40c0 6.625 5.375 12 12 12h40c6.625 0 12-5.375 12-12v-40C95.96 453.4 90.59 448 83.96 448zM175.1 364v40c0 6.625 5.375 12 12 12h40c6.625 0 12-5.375 12-12v-40c0-6.625-5.375-12-12-12h-40C181.3 352 175.1 357.4 175.1 364zM371.1 256h-40c-6.625 0-12 5.375-12 12v40c0 6.625 5.372 12 11.1 12h39.1c6.625 0 12-5.375 12-12v-40C383.1 261.4 378.6 256 371.1 256zM467.1 256h-40c-6.625 0-12 5.375-12 12v40c0 6.625 5.369 12 11.99 12h39.1c6.625 0 12.01-5.375 12.01-12v-40C479.1 261.4 474.6 256 467.1 256zM371.1 448h-232c-6.625 0-12 5.375-12 12v40c0 6.625 5.375 12 12 12h232c6.625 0 12-5.375 12-12v-40C383.1 453.4 378.6 448 371.1 448zM179.1 256h-40c-6.625 0-12 5.375-12 12v40c0 6.625 5.38 12 12 12h39.1c6.625 0 11.1-5.375 11.1-12v-40C191.1 261.4 186.6 256 179.1 256zM467.1 448h-40c-6.625 0-12 5.375-12 12v40c0 6.625 5.375 12 12 12h40c6.625 0 12-5.375 12-12v-40C479.1 453.4 474.6 448 467.1 448zM79.96 364v40c0 6.625 5.375 12 12 12h40c6.625 0 12-5.375 12-12v-40c0-6.625-5.375-12-12-12h-40C85.34 352 79.96 357.4 79.96 364zM83.96 256h-40c-6.625 0-12 5.375-12 12v40c0 6.625 5.383 12 12.01 12H83.97c6.625 0 11.99-5.375 11.99-12v-40C95.96 261.4 90.59 256 83.96 256zM504.9 102.9C367.7-34.31 144.3-34.32 7.083 102.9c-7.975 7.973-9.375 20.22-3.391 29.74l42.17 67.47c6.141 9.844 18.47 13.88 29.35 9.632l84.36-33.74C169.5 172.1 175.6 161.1 174.5 151.3l-5.303-53.27c56.15-19.17 117.4-19.17 173.6 .0059L337.5 151.3c-1.139 10.59 4.997 20.78 14.96 24.73l84.35 33.73c10.83 4.303 23.22 .1608 29.33-9.615l42.18-67.48C514.3 123.2 512.9 110.9 504.9 102.9z"],
    "tty-answer": [640, 512, ["teletype-answer"], "e2b9", "M348 96C341.4 96 336 101.4 336 108v40C336 154.6 341.4 160 348 160h40C394.6 160 400 154.6 400 148v-40C400 101.4 394.6 96 388 96H348zM444 96C437.4 96 432 101.4 432 108v40C432 154.6 437.4 160 444 160h40C490.6 160 496 154.6 496 148v-40C496 101.4 490.6 96 484 96H444zM396 64h39.1c6.625 0 11.1-5.375 11.1-12v-40c0-6.625-5.374-12-11.1-12h-39.1c-6.625 0-11.1 5.375-11.1 12v40C384 58.63 389.4 64 396 64zM528 108v40C528 154.6 533.4 160 540 160h40C586.6 160 592 154.6 592 148v-40C592 101.4 586.6 96 580 96h-40C533.4 96 528 101.4 528 108zM492 64h39.1c6.625 0 11.1-5.375 11.1-12v-40c0-6.625-5.374-12-11.1-12h-39.1c-6.625 0-11.1 5.375-11.1 12v40C480 58.63 485.4 64 492 64zM300 64h39.1c6.625 0 11.1-5.375 11.1-12v-40c0-6.625-5.374-12-11.1-12H300c-6.625 0-11.1 5.375-11.1 12v40C288 58.63 293.4 64 300 64zM628 0H588c-6.625 0-11.1 5.375-11.1 12v40c0 6.625 5.374 12 11.1 12h39.1C634.6 64 640 58.63 640 52v-40C640 5.375 634.6 0 628 0zM628 192h-40C581.4 192 576 197.4 576 204v40C576 250.6 581.4 256 588 256h40C634.6 256 640 250.6 640 244v-40C640 197.4 634.6 192 628 192zM493.1 351.2L384.6 304.7c-12.78-5.531-27.8-1.812-36.48 8.969l-44.05 53.81c-69.25-34-125.5-90.28-159.5-159.5l53.83-44.09C209.1 155.2 212.8 140.3 207.4 127.5L160.8 18.93C154.7 5.026 139.7-2.599 124.1 .8073L24.22 24.06C9.969 27.31 0 39.84 0 54.49C0 306.8 205.2 512 457.5 512c14.67 0 27.2-9.969 30.47-24.22l23.25-100.8C514.6 372.4 507 357.2 493.1 351.2zM300 256h40C346.6 256 352 250.6 352 244v-40C352 197.4 346.6 192 340 192h-40C293.4 192 288 197.4 288 204v40C288 250.6 293.4 256 300 256zM532 192h-136C389.4 192 384 197.4 384 204v40C384 250.6 389.4 256 396 256h136C538.6 256 544 250.6 544 244v-40C544 197.4 538.6 192 532 192z"],
    "tugrik-sign": [384, 512, [], "e2ba", "M352 32C369.7 32 384 46.33 384 64C384 81.67 369.7 96 352 96H224V183L312.2 160.1C329.4 156.7 346.8 167.1 351 184.2C355.3 201.4 344.9 218.8 327.8 223L224 248.1V279L312.2 256.1C329.4 252.7 346.8 263.1 351 280.2C355.3 297.4 344.9 314.8 327.8 319L224 344.1V448C224 465.7 209.7 480 191.1 480C174.3 480 159.1 465.7 159.1 448V360.1L71.76 383C54.62 387.3 37.24 376.9 32.95 359.8C28.67 342.6 39.09 325.2 56.24 320.1L159.1 295V264.1L71.76 287C54.62 291.3 37.24 280.9 32.96 263.8C28.67 246.6 39.09 229.2 56.24 224.1L160 199V96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H352z"],
    "turkey": [640, 512, [], "f725", "M636.4 155.6c-7.375 19.5-26.62 33.38-47.5 33.88c-10.75 .375-21.25-2.5-30.25-8.251c-15.12-9.626-33.87-11.63-48.63-1.375c-27.62 19.25-69.87 57.25-90.62 120.5c-14.37 44-51.87 78.51-97.75 83.01c-4.25 .3751-8.5 .6251-12.62 .6251c-57.37 0-101.7-39.5-113.6-89.76c-.875-3.625-3.1-6.25-7.75-6.25H171.2c-2.5 0-4.75 1-6.25 2.875C163.5 292.6 162.9 295.1 163.2 297.4c3.1 20 12.12 39 23.87 55.63c28.12 40 72.62 63 121.9 63c5.25 0 10.37-.25 15.75-.7501c56.87-5.625 105.1-46.88 124.1-105c11.25-35.25 32.5-66.5 60.1-90.13c40.75 52.88 65.28 113.9 65.28 163.9C576 498.9 447 512 288 512S0 498.9 0 383.1s129-288 287.1-288c45.87 0 88.1 14.61 127.4 37.86c23.87-10.38 32.62-17.25 48.12-28c13.25-9.126 18.12-25.5 14.5-41.13c-1.5-6.875-1.625-14-.3746-20.88c2.75-15.25 11.87-28.5 25.12-36.38c13.25-7.876 29.25-9.626 43.87-4.75c19.87 6.5 34.12 25.13 36.12 46c1.25 12.88-2.375 25.88-10.25 36.25c7.75-2.25 15.87-2.75 23.87-1.375C628.5 89.47 648.6 123.2 636.4 155.6z"],
    "turkish-lira-sign": [384, 512, ["try", "turkish-lira"], "e2bb", "M96 32C113.7 32 128 46.33 128 64V99.29L247.2 65.23C264.2 60.38 281.9 70.22 286.8 87.21C291.6 104.2 281.8 121.9 264.8 126.8L128 165.9V195.3L247.2 161.2C264.2 156.4 281.9 166.2 286.8 183.2C291.6 200.2 281.8 217.9 264.8 222.8L128 261.9V416H191.8C260 416 316.2 362.5 319.6 294.4L320 286.4C320.9 268.8 335.9 255.2 353.6 256C371.2 256.9 384.8 271.9 383.1 289.6L383.6 297.6C378.5 399.8 294.1 480 191.8 480H96C78.33 480 64 465.7 64 448V280.1L40.79 286.8C23.8 291.6 6.087 281.8 1.232 264.8C-3.623 247.8 6.217 230.1 23.21 225.2L64 213.6V184.1L40.79 190.8C23.8 195.6 6.087 185.8 1.232 168.8C-3.623 151.8 6.216 134.1 23.21 129.2L64 117.6V64C64 46.33 78.33 32 96 32L96 32z"],
    "turn-down": [384, 512, [10549, "level-down-alt"], "f3be", "M313.6 392.3l-104 112c-9.5 10.23-25.69 10.23-35.19 0l-104-112c-6.484-6.984-8.219-17.17-4.406-25.92S78.45 352 88 352H160V80C160 71.19 152.8 64 144 64H32C14.33 64 0 49.69 0 32s14.33-32 32-32h112C188.1 0 224 35.88 224 80V352h72c9.547 0 18.19 5.656 22 14.41S320.1 385.3 313.6 392.3z"],
    "turn-down-left": [512, 512, [], "e331", "M119.7 409.6l-112-104c-10.23-9.5-10.23-25.69 0-35.19l112-104c6.984-6.484 17.17-8.219 25.92-4.406s14.41 12.45 14.41 22L160 256h272C440.8 256 448 248.8 448 240V64c0-17.67 14.31-32 32-32s32 14.33 32 32V240c0 44.11-35.88 80-80 80H160l-.0005 72c0 9.547-5.656 18.19-14.41 22S126.7 416.1 119.7 409.6z"],
    "turn-down-right": [512, 512, [], "e455", "M366.4 414C357.7 410.2 352 401.5 352 392L352 319.1H80C35.87 319.1 0 284.1 0 239.1V64C0 46.33 14.31 32 32 32C49.69 32 64 46.33 64 64V239.1C64 248.8 71.19 255.1 80 255.1H352L352 184C352 174.5 357.7 165.8 366.4 162C375.2 158.2 385.3 159.9 392.3 166.4L504.3 270.4C514.6 279.9 514.6 296.1 504.3 305.6L392.3 409.6C385.3 416.1 375.2 417.8 366.4 414V414z"],
    "turn-up": [384, 512, [10548, "level-up-alt"], "f3bf", "M318 145.6c-3.812 8.75-12.45 14.41-22 14.41L224 160v272c0 44.13-35.89 80-80 80H32c-17.67 0-32-14.31-32-32s14.33-32 32-32h112C152.8 448 160 440.8 160 432V160L88 159.1c-9.547 0-18.19-5.656-22-14.41S63.92 126.7 70.41 119.7l104-112c9.498-10.23 25.69-10.23 35.19 0l104 112C320.1 126.7 321.8 136.8 318 145.6z"],
    "turntable": [576, 512, [], "f8e4", "M512 32H64C28.63 32 0 60.63 0 96v320c0 35.38 28.62 64 64 64h448c35.38 0 64-28.62 64-64V96C576 60.63 547.4 32 512 32zM224 416c-88.38 0-160-71.63-160-160s71.63-160 160-160s160 71.63 160 160S312.4 416 224 416zM512 267.9c0 9.875-2.375 19.62-6.75 28.62l-19 37.75c8 4 11.12 13.62 7.25 21.5l-25.75 51.38c-3.875 7.875-13.5 11.12-21.5 7.125L417.8 400c-8-4-11.12-13.5-7.25-21.5l25.75-51.38C440.1 319.3 449.8 316 457.8 320l18.88-37.88C478.8 277.7 480 272.8 480 267.8V112C480 103.2 487.2 96 496 96S512 103.2 512 112V267.9zM224 224C206.4 224 192 238.4 192 256s14.38 32 32 32s32-14.38 32-32S241.6 224 224 224z"],
    "turtle": [576, 512, [128034], "f726", "M345.2 288H70.79C49.37 288 32 270.6 32 249.2V208C32 110.8 110.8 32 208 32C305.2 32 384 110.8 384 208V249.2C384 270.6 366.6 288 345.2 288zM480 288C478 288 476 287.9 474.1 287.7C457.9 341 409.8 380.4 352 383.8V440C352 462.1 334.1 480 312 480H264C241.9 480 224 462.1 224 440V384H192V440C192 462.1 174.1 480 152 480H104C81.91 480 64 462.1 64 440V384H32C14.33 384 0 369.7 0 352C0 334.3 14.33 320 32 320H344C383.8 320 416 287.8 416 248V176C416 140.7 444.7 112 480 112C533 112 576 154.1 576 208V224C576 259.3 547.3 288 512 288H480zM496 224C504.8 224 512 216.8 512 208C512 199.2 504.8 192 496 192C487.2 192 480 199.2 480 208C480 216.8 487.2 224 496 224z"],
    "tv": [640, 512, [63717, "television", "tv-alt"], "f26c", "M512 448H127.1C110.3 448 96 462.3 96 479.1S110.3 512 127.1 512h384C529.7 512 544 497.7 544 480S529.7 448 512 448zM592 0h-544C21.5 0 0 21.5 0 48v320C0 394.5 21.5 416 48 416h544c26.5 0 48-21.5 48-48v-320C640 21.5 618.5 0 592 0zM576 352H64v-288h512V352z"],
    "tv-music": [640, 512, [], "f8e6", "M240 320C266.5 320 288 305.6 288 288V203.1l96-37.5v60.38C378.8 224.7 373.4 224 368 224C341.5 224 320 238.4 320 256s21.5 32 48 32S416 273.6 416 256V112c0-5.125-2.375-9.875-6.5-12.88S400 95.25 395.3 96.75l-128 47.25C260.5 146.1 256 152.3 256 159.3v98.75C250.8 256.7 245.4 256 240 256C213.5 256 192 270.4 192 288S213.5 320 240 320zM512 448H127.1C110.3 448 96 462.3 96 479.1S110.3 512 127.1 512h384C529.7 512 544 497.7 544 480S529.7 448 512 448zM592 0h-544C21.5 0 0 21.5 0 48v320C0 394.5 21.5 416 48 416h544c26.5 0 48-21.5 48-48v-320C640 21.5 618.5 0 592 0zM576 352H64V64h512V352z"],
    "tv-retro": [512, 512, [128250], "f401", "M322 96l55.03-55.03c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0l-87.05 86.95L169 7.031c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94L190.1 96L64 96c-35.35 0-64 28.65-64 63.1v287.1C0 483.3 28.65 512 64 512h384c35.35 0 64-28.65 64-63.1V160c0-35.35-28.65-63.1-64-63.1L322 96zM448.1 208c13.25 0 24.03 10.74 24.03 23.1c0 13.25-10.75 24-24 24s-24-10.75-24-24C424.1 218.7 434.8 208 448.1 208zM384.1 384c0 35.35-28.67 64-64.01 64L128.1 448c-35.35 0-64-28.65-64-64V224c0-35.35 28.65-64 64-64l191.1 .0011c35.35 0 64.01 28.65 64.01 63.1V384zM424.1 312c0-13.26 10.75-24 24-24s24 10.74 24 24c0 13.25-10.75 24-24 24S424.1 325.3 424.1 312z"],
    "typewriter": [512, 512, [], "f8e7", "M480 192h-32V77.26c0-8.488-3.373-16.63-9.375-22.63l-45.26-45.26C387.4 3.369 379.2 0 370.8 0H96C78.4 0 64 14.4 64 32v160H32C14.4 192 0 206.4 0 224v32c0 17.62 14.38 32 32 32v176C32 490.5 53.49 512 80 512h352c26.51 0 48-21.49 48-48V288c17.62 0 32-14.38 32-32V224C512 206.4 497.6 192 480 192zM128 64h192v48C320 120.9 327.1 128 336 128H384v64h-18.75c-8.5 0-16.62 3.375-22.62 9.375l-13.25 13.25C323.4 220.6 315.3 224 306.8 224h-101.5c-8.5 0-16.62-3.375-22.62-9.375L169.4 201.4C163.4 195.4 155.3 192 146.8 192H128V64zM368 296v16c0 4.375-3.625 8-8 8h-16c-4.375 0-8-3.625-8-8v-16C336 291.6 339.6 288 344 288h16C364.4 288 368 291.6 368 296zM304 360c0-4.375 3.625-8 8-8h16c4.375 0 8 3.625 8 8v16c0 4.375-3.625 8-8 8h-16c-4.375 0-8-3.625-8-8V360zM296 320h-16c-4.375 0-8-3.625-8-8v-16C272 291.6 275.6 288 280 288h16c4.375 0 8 3.625 8 8v16C304 316.4 300.4 320 296 320zM240 360C240 355.6 243.6 352 248 352h16c4.375 0 8 3.625 8 8v16c0 4.375-3.625 8-8 8h-16c-4.375 0-8-3.625-8-8V360zM232 320h-16C211.6 320 208 316.4 208 312v-16C208 291.6 211.6 288 216 288h16C236.4 288 240 291.6 240 296v16C240 316.4 236.4 320 232 320zM176 360C176 355.6 179.6 352 184 352h16c4.375 0 8 3.625 8 8v16C208 380.4 204.4 384 200 384h-16c-4.375 0-8-3.625-8-8V360zM168 320h-16C147.6 320 144 316.4 144 312v-16C144 291.6 147.6 288 152 288h16C172.4 288 176 291.6 176 296v16C176 316.4 172.4 320 168 320zM104 320h-16C83.63 320 80 316.4 80 312v-16C80 291.6 83.63 288 88 288h16C108.4 288 112 291.6 112 296v16C112 316.4 108.4 320 104 320zM136 384h-16c-4.375 0-8-3.625-8-8v-16C112 355.6 115.6 352 120 352h16c4.375 0 8 3.625 8 8v16C144 380.4 140.4 384 136 384zM368 440c0 4.375-3.625 8-8 8h-208c-4.375 0-8-3.625-8-8v-16C144 419.6 147.6 416 152 416h208c4.375 0 8 3.625 8 8V440zM400 376c0 4.375-3.625 8-8 8h-16c-4.375 0-8-3.625-8-8v-16c0-4.375 3.625-8 8-8h16c4.375 0 8 3.625 8 8V376zM432 312c0 4.375-3.625 8-8 8h-16c-4.375 0-8-3.625-8-8v-16C400 291.6 403.6 288 408 288h16c4.375 0 8 3.625 8 8V312z"],
    "u": [384, 512, [117], "55", "M384 64.01v225.7c0 104.1-86.13 190.3-192 190.3s-192-85.38-192-190.3V64.01C0 46.34 14.33 32.01 32 32.01S64 46.34 64 64.01v225.7c0 69.67 57.42 126.3 128 126.3s128-56.67 128-126.3V64.01c0-17.67 14.33-32 32-32S384 46.34 384 64.01z"],
    "ufo": [640, 512, [128760], "e047", "M500.9 214.4C584.9 237.5 640 276.2 640 320C640 390.7 496.7 448 320 448C143.3 448 0 390.7 0 320C0 276.2 55.08 237.5 139.1 214.4C154.8 128.8 229.9 64 320 64C410.2 64 485.2 128.8 500.9 214.4V214.4zM320 112C260.8 112 210.4 149.9 191.7 202.7C186.7 216.9 184 232.1 184 248C184 248 224 288 320 288C416 288 456 248 456 248C456 232.1 453.3 216.9 448.3 202.7C429.6 149.9 379.2 112 320 112V112zM320 400C333.3 400 344 389.3 344 376C344 362.7 333.3 352 320 352C306.7 352 296 362.7 296 376C296 389.3 306.7 400 320 400zM128 304C114.7 304 104 314.7 104 328C104 341.3 114.7 352 128 352C141.3 352 152 341.3 152 328C152 314.7 141.3 304 128 304zM512 352C525.3 352 536 341.3 536 328C536 314.7 525.3 304 512 304C498.7 304 488 314.7 488 328C488 341.3 498.7 352 512 352z"],
    "ufo-beam": [576, 512, [], "e048", "M141.4 111.6C159.1 47.25 218.1 0 288 0C357.9 0 416.9 47.25 434.6 111.6C519.2 131.1 576 166.1 576 208C576 269.9 447.1 320 288 320C128.9 320 .001 269.9 .001 208C.001 166.1 56.77 131.1 141.4 111.6V111.6zM288 192C368 192 392 152 392 152C392 104 358.7 48 288 48C217.3 48 184 104 184 152C184 152 208 192 288 192zM96 184C82.75 184 72 194.7 72 208C72 221.3 82.75 232 96 232C109.3 232 120 221.3 120 208C120 194.7 109.3 184 96 184zM480 232C493.3 232 504 221.3 504 208C504 194.7 493.3 184 480 184C466.7 184 456 194.7 456 208C456 221.3 466.7 232 480 232zM288 232C274.7 232 264 242.7 264 256C264 269.3 274.7 280 288 280C301.3 280 312 269.3 312 256C312 242.7 301.3 232 288 232zM78.51 316.9C92.8 322.4 108.2 327.4 124.5 331.8L45.69 498.3C40.02 510.3 25.71 515.4 13.73 509.7C1.748 504-3.363 489.7 2.311 477.7L78.51 316.9zM451.5 331.8C467.8 327.4 483.2 322.4 497.5 316.9L573.7 477.7C579.4 489.7 574.3 504 562.3 509.7C550.3 515.4 535.1 510.3 530.3 498.3L451.5 331.8z"],
    "umbrella": [576, 512, [], "f0e9", "M255.1 301.7v130.3c0 8.814-7.188 16-16 16c-7.814 0-13.19-5.314-15.1-10.69c-5.906-16.72-24.1-25.41-40.81-19.5c-16.69 5.875-25.41 24.19-19.5 40.79C175.8 490.6 206.2 512 239.1 512C284.1 512 320 476.1 320 431.1v-130.3c-9.094-7.908-19.81-13.61-32-13.61C275.7 288.1 265.6 292.9 255.1 301.7zM575.7 280.9C547.1 144.5 437.3 62.61 320 49.91V32.01c0-17.69-14.31-32.01-32-32.01S255.1 14.31 255.1 32.01v17.91C138.3 62.61 29.48 144.5 .2949 280.9C-1.926 290.1 8.795 302.1 18.98 292.2c52-55.01 107.7-52.39 158.6 37.01c5.312 9.502 14.91 8.625 19.72 0C217.5 293.9 242.2 256 287.1 256c58.5 0 88.19 68.82 90.69 73.2c4.812 8.625 14.41 9.502 19.72 0c51-89.52 107.1-91.39 158.6-37.01C567.3 302.2 577.9 290.1 575.7 280.9z"],
    "umbrella-beach": [640, 512, [127958], "f5ca", "M115.4 136.8l102.1 37.35c35.13-81.62 86.25-144.4 139-173.7c-95.88-4.875-188.8 36.96-248.5 111.7C101.2 120.6 105.2 133.2 115.4 136.8zM247.6 185l238.5 86.87c35.75-121.4 18.62-231.6-42.63-253.9c-7.375-2.625-15.12-4.062-23.12-4.062C362.4 13.88 292.1 83.13 247.6 185zM521.5 60.51c6.25 16.25 10.75 34.62 13.13 55.25c5.75 49.87-1.376 108.1-18.88 166.9l102.6 37.37c10.13 3.75 21.25-3.375 21.5-14.12C642.3 210.1 598 118.4 521.5 60.51zM528 448h-207l65-178.5l-60.13-21.87l-72.88 200.4H48C21.49 448 0 469.5 0 496C0 504.8 7.163 512 16 512h544c8.837 0 16-7.163 16-15.1C576 469.5 554.5 448 528 448z"],
    "umbrella-simple": [512, 512, ["umbrella-alt"], "e2bc", "M288 34.19V32c0-17.67-14.33-32-32-32S224 14.33 224 32v2.188C108.6 48.36 16.65 137.8 .3184 251.6C-2.436 270.8 13 288 32.55 288h446.9c19.55 0 34.99-17.19 32.24-36.38C495.3 137.8 403.4 48.36 288 34.19zM223.1 432.1c0 8.814-7.188 16-16 16c-7.814 0-13.19-5.314-15.1-10.69c-5.906-16.72-24.1-25.41-40.81-19.5c-16.69 5.875-25.41 24.19-19.5 40.79C143.8 490.6 174.2 512 207.1 512C252.1 512 288 476.1 288 431.1V320H223.1V432.1z"],
    "underline": [448, 512, [], "f0cd", "M416 448H32c-17.69 0-32 14.31-32 32s14.31 32 32 32h384c17.69 0 32-14.31 32-32S433.7 448 416 448zM48 64.01H64v160c0 88.22 71.78 159.1 160 159.1s160-71.78 160-159.1v-160h16c17.69 0 32-14.32 32-32s-14.31-31.1-32-31.1l-96-.0049c-17.69 0-32 14.32-32 32s14.31 32 32 32H320v160c0 52.94-43.06 95.1-96 95.1S128 276.1 128 224v-160h16c17.69 0 32-14.31 32-32s-14.31-32-32-32l-96 .0049c-17.69 0-32 14.31-32 31.1S30.31 64.01 48 64.01z"],
    "unicorn": [640, 512, [129412], "f727", "M632 32h-100.2c5.875-6.125 10.29-13.61 12.04-22.36c1-5-2.938-9.643-7.938-9.643L416 0C345.3 0 288 57.25 288 128H160C131.2 128 105.6 141 88 161.1L88 160C39.5 160 0 199.5 0 248V304C0 312.9 7.125 320 16 320h16c8.875 0 16-7.125 16-16L48 248c0-13.25 6.875-24.38 16.75-31.62c-.125 2.5-.7514 5.002-.7514 7.627c0 27.62 11.87 52.5 30.5 69.1l-25.76 68.87c-4.496 12.04-5.232 25.16-2.111 37.63l21.85 87.27C92.04 502 104.8 512 119.5 512h32.99c20.81 0 36.09-19.55 31.05-39.74l-21.3-85.38l23.87-63.62l102 22.37V480c0 17.67 14.33 32 32 32h32c17.6 0 32-14.4 32-32V318.3C403.8 298 416.1 270.5 416.1 240c0-.25-.125-.375-.125-.625V136.9L432 144l18.75 37.72c7.455 14.91 25.12 21.6 40.57 15.36l32.53-13.05c12.16-4.912 20.15-16.68 20.15-29.8l-.0518-70.93l92.46-36.67C643 42.26 639.9 32 632 32zM479.9 96C471 96 463.9 88.88 463.9 80S471 64 479.9 64c8.875 0 16.02 7.125 16.02 16S488.8 96 479.9 96z"],
    "uniform-martial-arts": [640, 512, [], "e3d1", "M144 288h113.5l51.91-133.4L240.8 16H158.3c-30.28 0-58.2 16.36-73 42.78L14.28 185.6C4.918 202.3 0 221.2 0 240.3V384c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32V240.3L98.03 232.5L144 150.4V288zM423.9 405.4c5.438 8.156 8.041 17.39 8.041 26.54C431.1 458.6 410.4 480 384 480c-16.05 0-30.97-7.975-39.94-21.38L320 422.5L295.9 458.7C286.1 472 272.1 480 256 480c-26.42 0-47.98-21.38-47.98-48.08c0-9.144 2.603-18.38 8.042-26.54L230.3 384H144v64c0 35.35 28.65 64 64 64h224c35.35 0 64-28.65 64-64v-64h-86.31L423.9 405.4zM144 352h146.1l-47.42 71.13c-1.819 2.729-2.628 5.891-2.628 8.937C240.1 440.1 247.2 448 256 448c5.156 0 10.22-2.5 13.31-7.125L320 364.8l50.69 76.03C373.8 445.5 378.8 448 384 448c8.776 0 15.94-7.023 15.94-15.94c0-3.047-.809-6.209-2.628-8.937L349.9 352H496v-32h-352V352zM625.7 185.6l-70.95-126.6C539.9 32.41 511.9 16 481.5 16h-82.31L291.8 288H496V150.4l45.94 81.99L544 240.3V384c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32V240.3C640 221.1 635.1 202.3 625.7 185.6z"],
    "union": [384, 512, [8899], "f6a2", "M192 480c-105.9 0-192-86.12-192-191.1V64.01c0-17.69 14.31-32 32-32s32 14.31 32 32v223.1c0 70.59 57.41 128 128 128s128-57.41 128-128V64.01c0-17.69 14.31-32 32-32s32 14.31 32 32v223.1C384 393.9 297.9 480 192 480z"],
    "universal-access": [512, 512, [], "f29a", "M256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM256 80c22.09 0 40 17.91 40 40S278.1 160 256 160S216 142.1 216 120S233.9 80 256 80zM374.6 215.1L315.3 232C311.6 233.1 307.8 233.6 304 234.4v62.32l30.64 87.34c4.391 12.5-2.188 26.19-14.69 30.59C317.3 415.6 314.6 416 312 416c-9.906 0-19.19-6.188-22.64-16.06l-25.85-70.65c-2.562-7.002-12.46-7.002-15.03 0l-25.85 70.65C219.2 409.8 209.9 416 200 416c-2.641 0-5.312-.4375-7.953-1.344c-12.5-4.406-19.08-18.09-14.69-30.59L208 296.7V234.4C204.2 233.6 200.4 233.1 196.7 232L137.4 215.1C124.7 211.4 117.3 198.2 120.9 185.4S137.9 165.2 150.6 168.9l59.25 16.94c30.17 8.623 62.15 8.623 92.31 0l59.25-16.94c12.7-3.781 26.02 3.719 29.67 16.47C394.7 198.2 387.3 211.4 374.6 215.1z"],
    "unlock": [448, 512, [128275], "f09c", "M144 192H384C419.3 192 448 220.7 448 256V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V256C0 220.7 28.65 192 64 192H80V144C80 64.47 144.5 0 224 0C281.5 0 331 33.69 354.1 82.27C361.7 98.23 354.9 117.3 338.1 124.9C322.1 132.5 303.9 125.7 296.3 109.7C283.4 82.63 255.9 64 224 64C179.8 64 144 99.82 144 144L144 192z"],
    "unlock-keyhole": [448, 512, ["unlock-alt"], "f13e", "M224 64C179.8 64 144 99.82 144 144V192H384C419.3 192 448 220.7 448 256V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V256C0 220.7 28.65 192 64 192H80V144C80 64.47 144.5 0 224 0C281.5 0 331 33.69 354.1 82.27C361.7 98.23 354.9 117.3 338.1 124.9C322.1 132.5 303.9 125.7 296.3 109.7C283.4 82.63 255.9 64 224 64H224zM256 384C273.7 384 288 369.7 288 352C288 334.3 273.7 320 256 320H192C174.3 320 160 334.3 160 352C160 369.7 174.3 384 192 384H256z"],
    "up": [384, 512, ["arrow-alt-up"], "f357", "M381.6 236.3C376.6 248.2 364.9 256 352 256h-96v192c0 17.67-14.33 32-32 32h-64c-17.67 0-32-14.33-32-32V256H32c-12.94 0-24.61-7.797-29.56-19.75C-2.516 224.3 .2188 210.5 9.375 201.4l159.1-160C175.6 35.13 183.8 32 192 32s16.38 3.125 22.62 9.375l160 160C383.8 210.5 386.5 224.3 381.6 236.3z"],
    "up-down": [256, 512, [11021, 8597, "arrows-alt-v"], "f338", "M249.6 392.3l-104 112c-9.094 9.781-26.09 9.781-35.19 0l-103.1-112c-6.484-6.984-8.219-17.17-4.406-25.92S14.45 352 24 352H80V160H24C14.45 160 5.812 154.3 1.999 145.6C-1.813 136.8-.0781 126.7 6.406 119.7l104-112c9.094-9.781 26.09-9.781 35.19 0l104 112c6.484 6.984 8.219 17.17 4.406 25.92C250.2 154.3 241.5 160 232 160H176v192h56c9.547 0 18.19 5.656 22 14.41S256.1 385.3 249.6 392.3z"],
    "up-down-left-right": [512, 512, ["arrows-alt"], "f0b2", "M512 256c0 6.797-2.891 13.28-7.938 17.84l-80 72C419.6 349.9 413.8 352 408 352c-3.312 0-6.625-.6875-9.766-2.078C389.6 346.1 384 337.5 384 328V288h-96v96l40-.0013c9.484 0 18.06 5.578 21.92 14.23s2.25 18.78-4.078 25.83l-72 80C269.3 509.1 262.8 512 255.1 512s-13.28-2.89-17.84-7.937l-71.1-80c-6.328-7.047-7.938-17.17-4.078-25.83s12.44-14.23 21.92-14.23l39.1 .0013V288H128v40c0 9.484-5.578 18.06-14.23 21.92C110.6 351.3 107.3 352 104 352c-5.812 0-11.56-2.109-16.06-6.156l-80-72C2.891 269.3 0 262.8 0 256s2.891-13.28 7.938-17.84l80-72C95 159.8 105.1 158.3 113.8 162.1C122.4 165.9 128 174.5 128 184V224h95.1V128l-39.1-.0013c-9.484 0-18.06-5.578-21.92-14.23S159.8 94.99 166.2 87.94l71.1-80c9.125-10.09 26.56-10.09 35.69 0l72 80c6.328 7.047 7.938 17.17 4.078 25.83s-12.44 14.23-21.92 14.23l-40 .0013V224H384V184c0-9.484 5.578-18.06 14.23-21.92c8.656-3.812 18.77-2.266 25.83 4.078l80 72C509.1 242.7 512 249.2 512 256z"],
    "up-from-bracket": [448, 512, [], "e590", "M352 512H96C42.98 512 0 469 0 416V352C0 334.3 14.33 320 32 320C49.67 320 64 334.3 64 352V416C64 433.7 78.33 448 96 448H352C369.7 448 384 433.7 384 416V352C384 334.3 398.3 320 416 320C433.7 320 448 334.3 448 352V416C448 469 405 512 352 512zM241.5 7.201L377.5 151.3C384 158.3 385.8 168.5 382 177.3C378.2 186.1 369.6 191.8 359.1 191.8L288 191.9L287.1 319.9C287.1 337.6 273.7 351.9 255.1 351.9H191.1C174.3 351.9 159.1 337.6 159.1 319.9L159.1 191.9L87.1 191.8C78.42 191.8 69.75 186.1 65.95 177.3C62.17 168.5 63.97 158.3 70.54 151.3L206.5 7.201C215.6-2.4 232.4-2.4 241.5 7.201V7.201z"],
    "up-from-dotted-line": [448, 512, [], "e456", "M377.4 183.5C384 190.5 385.8 200.7 382 209.5C378.2 218.3 369.6 224 360 224H288V352C288 369.7 273.7 384 256 384H192C174.3 384 160 369.7 160 352V224H88C78.42 224 69.75 218.3 65.96 209.5C62.17 200.7 63.97 190.5 70.55 183.5L206.6 39.52C211.1 34.72 217.4 32 224 32C230.6 32 236.9 34.72 241.4 39.52L377.4 183.5zM0 448C0 430.3 14.33 416 32 416C49.67 416 64 430.3 64 448C64 465.7 49.67 480 32 480C14.33 480 0 465.7 0 448zM160 448C160 465.7 145.7 480 128 480C110.3 480 96 465.7 96 448C96 430.3 110.3 416 128 416C145.7 416 160 430.3 160 448zM192 448C192 430.3 206.3 416 224 416C241.7 416 256 430.3 256 448C256 465.7 241.7 480 224 480C206.3 480 192 465.7 192 448zM352 448C352 465.7 337.7 480 320 480C302.3 480 288 465.7 288 448C288 430.3 302.3 416 320 416C337.7 416 352 430.3 352 448zM384 448C384 430.3 398.3 416 416 416C433.7 416 448 430.3 448 448C448 465.7 433.7 480 416 480C398.3 480 384 465.7 384 448z"],
    "up-from-line": [384, 512, ["arrow-alt-from-bottom"], "f346", "M352 416H31.1C14.33 416 0 430.3 0 447.1S14.33 480 31.1 480H352C369.7 480 384 465.7 384 448S369.7 416 352 416zM56 223.8H128v128.1c0 17.69 14.33 32.04 32 32.04h64c17.67 0 32-14.35 32-32.04V223.8h72c9.578 0 18.25-5.708 22.05-14.51c3.781-8.803 1.984-19.03-4.594-26l-136-144.1c-9.062-9.601-25.84-9.601-34.91 0l-136 144.1c-6.578 6.974-8.375 17.2-4.594 26C37.75 218.1 46.42 223.8 56 223.8z"],
    "up-left": [384, 512, [], "e2bd", "M358.6 377.4l-45.26 45.25c-12.5 12.5-32.76 12.5-45.25 0L138.5 293l-67.88 67.88c-9.148 9.148-22.92 11.89-34.87 6.938C23.79 362.9 16 351.2 16 338.3l0-226.3c0-8.836 3.58-16.84 9.369-22.63C31.16 83.58 39.16 80 47.1 80h226.3c12.95 0 24.61 7.789 29.57 19.75c4.949 11.95 2.209 25.72-6.939 34.87l-67.88 67.88l129.6 129.6C371.1 344.6 371.1 364.9 358.6 377.4z"],
    "up-long": [320, 512, ["long-arrow-alt-up"], "f30c", "M285.1 145.7c-3.81 8.758-12.45 14.42-21.1 14.42L192 160.1V480c0 17.69-14.33 32-32 32s-32-14.31-32-32V160.1L55.1 160.1c-9.547 0-18.19-5.658-22-14.42c-3.811-8.758-2.076-18.95 4.408-25.94l104-112.1c9.498-10.24 25.69-10.24 35.19 0l104 112.1C288.1 126.7 289.8 136.9 285.1 145.7z"],
    "up-right": [384, 512, [], "e2be", "M70.63 422.6l-45.25-45.26c-12.5-12.5-12.5-32.76 0-45.25l129.6-129.6L87.1 134.6c-9.148-9.148-11.89-22.92-6.938-34.87C85.12 87.79 96.78 80 109.7 80h226.3c8.836 0 16.84 3.58 22.63 9.369c5.789 5.791 9.371 13.79 9.371 22.63L368 338.3c0 12.95-7.789 24.61-19.75 29.57c-11.95 4.949-25.72 2.209-34.87-6.939l-67.88-67.88l-129.6 129.6C103.4 435.1 83.13 435.1 70.63 422.6z"],
    "up-right-and-down-left-from-center": [512, 512, ["expand-alt"], "f424", "M208 281.4c-12.5-12.5-32.76-12.5-45.26-.002l-78.06 78.07l-30.06-30.06c-6.125-6.125-14.31-9.367-22.63-9.367c-4.125 0-8.279 .7891-12.25 2.43c-11.97 4.953-19.75 16.62-19.75 29.56v135.1C.0013 501.3 10.75 512 24 512h136c12.94 0 24.63-7.797 29.56-19.75c4.969-11.97 2.219-25.72-6.938-34.87l-30.06-30.06l78.06-78.07c12.5-12.49 12.5-32.75 .002-45.25L208 281.4zM487.1 0h-136c-12.94 0-24.63 7.797-29.56 19.75c-4.969 11.97-2.219 25.72 6.938 34.87l30.06 30.06l-78.06 78.07c-12.5 12.5-12.5 32.76 0 45.26l22.62 22.62c12.5 12.5 32.76 12.5 45.26 0l78.06-78.07l30.06 30.06c9.156 9.141 22.87 11.84 34.87 6.937C504.2 184.6 512 172.9 512 159.1V23.1C512 10.74 501.3 0 487.1 0z"],
    "up-right-from-square": [512, 512, ["external-link-alt"], "f35d", "M384 320c-17.67 0-32 14.33-32 32v96H64V160h96c17.67 0 32-14.32 32-32s-14.33-32-32-32L64 96c-35.35 0-64 28.65-64 64V448c0 35.34 28.65 64 64 64h288c35.35 0 64-28.66 64-64v-96C416 334.3 401.7 320 384 320zM488 0H352c-12.94 0-24.62 7.797-29.56 19.75c-4.969 11.97-2.219 25.72 6.938 34.88L370.8 96L169.4 297.4c-12.5 12.5-12.5 32.75 0 45.25C175.6 348.9 183.8 352 192 352s16.38-3.125 22.62-9.375L416 141.3l41.38 41.38c9.156 9.141 22.88 11.84 34.88 6.938C504.2 184.6 512 172.9 512 160V24C512 10.74 501.3 0 488 0z"],
    "up-to-dotted-line": [448, 512, [], "e457", "M64 64C64 81.67 49.67 96 32 96C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64zM448 64C448 81.67 433.7 96 416 96C398.3 96 384 81.67 384 64C384 46.33 398.3 32 416 32C433.7 32 448 46.33 448 64zM377.4 279.5C384 286.5 385.8 296.7 382 305.5C378.2 314.3 369.6 320 360 320H288V448C288 465.7 273.7 480 256 480H192C174.3 480 160 465.7 160 448V320H88C78.42 320 69.75 314.3 65.96 305.5C62.17 296.7 63.97 286.5 70.55 279.5L206.6 135.5C211.1 130.7 217.4 128 224 128C230.6 128 236.9 130.7 241.4 135.5L377.4 279.5zM288 64C288 46.33 302.3 32 320 32C337.7 32 352 46.33 352 64C352 81.67 337.7 96 320 96C302.3 96 288 81.67 288 64zM256 64C256 81.67 241.7 96 224 96C206.3 96 192 81.67 192 64C192 46.33 206.3 32 224 32C241.7 32 256 46.33 256 64zM96 64C96 46.33 110.3 32 128 32C145.7 32 160 46.33 160 64C160 81.67 145.7 96 128 96C110.3 96 96 81.67 96 64z"],
    "up-to-line": [384, 512, ["arrow-alt-to-top"], "f34d", "M56 319.9L128 319.9v128.1c0 17.69 14.33 32.02 32 32.02h64c17.67 0 32-14.34 32-32.02V319.9l72-.0311c9.578 0 18.25-5.709 22.05-14.51c3.781-8.803 1.984-19.03-4.594-26l-136-144.1c-9.062-9.602-25.84-9.602-34.91 0l-136 144.1C31.97 286.3 30.17 296.6 33.95 305.4C37.75 314.2 46.42 319.9 56 319.9zM351.1 32H31.1C14.33 32 0 46.33 0 63.1C0 81.67 14.33 96 32 96h320C369.7 96 384 81.67 384 64C384 46.33 369.7 32 351.1 32z"],
    "upload": [512, 512, [], "f093", "M105.4 182.6c12.5 12.49 32.76 12.5 45.25 .001L224 109.3V352c0 17.67 14.33 32 32 32c17.67 0 32-14.33 32-32V109.3l73.38 73.38c12.49 12.49 32.75 12.49 45.25-.001c12.49-12.49 12.49-32.75 0-45.25l-128-128C272.4 3.125 264.2 0 256 0S239.6 3.125 233.4 9.375L105.4 137.4C92.88 149.9 92.88 170.1 105.4 182.6zM480 352h-160c0 35.35-28.65 64-64 64s-64-28.65-64-64H32c-17.67 0-32 14.33-32 32v96c0 17.67 14.33 32 32 32h448c17.67 0 32-14.33 32-32v-96C512 366.3 497.7 352 480 352zM432 456c-13.2 0-24-10.8-24-24c0-13.2 10.8-24 24-24s24 10.8 24 24C456 445.2 445.2 456 432 456z"],
    "usb-drive": [640, 512, [], "f8e9", "M0 160v192c0 35.35 28.65 64 64 64L448 416V96L64 96C28.65 96 0 124.7 0 160zM608 128h-128v256h128c17.67 0 32-14.33 32-32V160C640 142.3 625.7 128 608 128zM584 312c0 8.875-7.125 16-16 16h-16c-8.875 0-16-7.125-16-16v-16c0-8.875 7.125-16 16-16h16c8.875 0 16 7.125 16 16V312zM584 216c0 8.875-7.125 16-16 16h-16c-8.875 0-16-7.125-16-16v-16c0-8.875 7.125-16 16-16h16c8.875 0 16 7.125 16 16V216z"],
    "user": [448, 512, [62144, 128100], "f007", "M224 256c70.7 0 128-57.31 128-128s-57.3-128-128-128C153.3 0 96 57.31 96 128S153.3 256 224 256zM274.7 304H173.3C77.61 304 0 381.6 0 477.3c0 19.14 15.52 34.67 34.66 34.67h378.7C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304z"],
    "user-alien": [448, 512, [], "e04a", "M206.7 378.1c10.23 7.832 24.32 7.832 34.55 0C282.6 346.3 384 259.6 384 173.6C384 65.83 312.3 0 224 0C135.6 0 64 65.83 64 173.6C64 259.6 165.4 346.3 206.7 378.1zM240 236c0-33.13 26.88-60 60-60h24c6.625 0 12 5.375 12 12v8C336 229.1 309.1 256 276 256h-24C245.4 256 240 250.6 240 244V236zM112 196v-8C112 181.4 117.4 176 124 176h24C181.1 176 208 202.9 208 236v8C208 250.6 202.6 256 196 256h-24C138.9 256 112 229.1 112 196zM319.7 352.5c-20.72 20.3-41.57 37.69-58.92 51.03C250.2 411.6 237.2 416 224 416s-26.23-4.43-36.78-12.51c-17.33-13.33-38.17-30.7-58.88-50.99C57.07 355.2 0 413.4 0 485.3C0 500.1 11.94 512 26.66 512H421.3C436.1 512 448 500.1 448 485.3C448 413.4 390.9 355.2 319.7 352.5z"],
    "user-astronaut": [448, 512, [], "f4fb", "M176 448C167.3 448 160 455.3 160 464V512h32v-48C192 455.3 184.8 448 176 448zM272 448c-8.75 0-16 7.25-16 16s7.25 16 16 16s16-7.25 16-16S280.8 448 272 448zM164 172l8.205 24.62c1.215 3.645 6.375 3.645 7.59 0L188 172l24.62-8.203c3.646-1.219 3.646-6.375 0-7.594L188 148L179.8 123.4c-1.215-3.648-6.375-3.648-7.59 0L164 148L139.4 156.2c-3.646 1.219-3.646 6.375 0 7.594L164 172zM336.1 315.4C304 338.6 265.1 352 224 352s-80.03-13.43-112.1-36.59C46.55 340.2 0 403.3 0 477.3C0 496.5 15.52 512 34.66 512H128v-64c0-17.75 14.25-32 32-32h128c17.75 0 32 14.25 32 32v64h93.34C432.5 512 448 496.5 448 477.3C448 403.3 401.5 340.2 336.1 315.4zM64 224h13.5C102.3 280.5 158.4 320 224 320s121.8-39.5 146.5-96H384c8.75 0 16-7.25 16-16v-96C400 103.3 392.8 96 384 96h-13.5C345.8 39.5 289.6 0 224 0S102.3 39.5 77.5 96H64C55.25 96 48 103.3 48 112v96C48 216.8 55.25 224 64 224zM104 136C104 113.9 125.5 96 152 96h144c26.5 0 48 17.88 48 40V160c0 53-43 96-96 96h-48c-53 0-96-43-96-96V136z"],
    "user-bounty-hunter": [448, 512, [], "e2bf", "M89.3 293.9L207.8 320h32.31l118.5-26.09c15.48-3.408 26.17-17.43 25.24-33.11l-6.906-117C372.8 63.19 305.5 0 224 0C170.4 0 123.4 27.6 96 69.22V32c8.836 0 16-7.164 16-16C112 7.162 104.8 0 96 0H80C71.16 0 64 7.162 64 16c0 0 .2891 247.7 .3984 247.6C64.86 278.1 74.79 290.7 89.3 293.9zM329.7 156.2l.8125 13.76c-25.14 13.92-64.23 43.82-72.69 97.02L248 269.1V171.5L329.7 156.2zM224 48c46.57 0 85.95 30.06 99.72 72H124.2C137.9 78.14 177.4 48 224 48zM118.3 156.2L200 171.5v97.63L190.2 266.1C181.7 213.8 142.6 183.9 117.5 169.9L118.3 156.2zM320 352H128c-70.69 0-128 57.31-128 128c0 17.67 14.33 32 32 32h384c17.67 0 32-14.33 32-32C448 409.3 390.7 352 320 352zM160 464l64-48l64 48H160z"],
    "user-check": [640, 512, [], "f4fc", "M274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512H413.3C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM632.3 134.4c-9.703-9-24.91-8.453-33.92 1.266l-87.05 93.75l-38.39-38.39c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94l56 56C499.5 285.5 505.6 288 512 288h.4375c6.531-.125 12.72-2.891 17.16-7.672l104-112C642.6 158.6 642 143.4 632.3 134.4z"],
    "user-chef": [448, 512, [], "e3d2", "M96 93.06V176c0 70.75 57.25 128 128 128s128-57.25 128-128V93.06C370.6 86.45 384 68.87 384 48C384 21.49 362.5 0 336 0c-14.42 0-27.2 6.488-36 16.55C291.2 6.488 278.4 0 264 0C247.3 0 232.6 8.564 224 21.53C215.4 8.564 200.7 0 184 0C169.6 0 156.8 6.488 148 16.55C139.2 6.488 126.4 0 112 0C85.49 0 64 21.49 64 48C64 68.87 77.4 86.45 96 93.06zM144 160h160v16C304 220.1 268.1 256 224 256S144 220.1 144 176V160zM352 356.5v-35.29l-224 89.59V512h288c17.67 0 32-14.33 32-32C448 420.4 407.1 370.8 352 356.5zM208 448C199.2 448 192 440.8 192 432C192 423.2 199.2 416 208 416s16 7.162 16 16C224 440.8 216.8 448 208 448zM304 448c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16s16 7.162 16 16C320 440.8 312.8 448 304 448zM96 320v36.53C40.89 370.8 0 420.4 0 480c0 17.67 14.33 32 32 32h64v-122.8l106.4-42.57L96 320z"],
    "user-clock": [640, 512, [], "f4fd", "M496 224c-79.63 0-144 64.38-144 144s64.38 144 144 144s144-64.38 144-144S575.6 224 496 224zM544 384h-54.25C484.4 384 480 379.6 480 374.3V304c0-8.836 7.164-16 16-16c8.838 0 16 7.164 16 16v48h32c8.838 0 16 7.164 16 15.1S552.8 384 544 384zM224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM320 368c0-19.3 3.221-37.82 8.961-55.2C311.9 307.2 293.6 304 274.7 304H173.3C77.61 304 0 381.7 0 477.4C0 496.5 15.52 512 34.66 512H395C349.7 480.2 320 427.6 320 368z"],
    "user-cowboy": [448, 512, [], "f8ea", "M342.5 113.6C331.5 64 310.1 0 278.2 0c-10.37 0-19.68 4.5-27.43 10.5c-15.25 11.88-36.77 11.88-52.02 0C191 4.5 181.8 0 171.4 0C138.6 0 118 64.5 106.9 114.1C133 124 170.7 132.6 223.1 132.6C278.1 132.6 316.4 123.8 342.5 113.6zM96.01 223.8C96.01 294.5 153.4 352 223.1 352c70.74 0 127.1-57.25 127.1-128c70.49-40.75 94.73-105.1 95.11-106.9c2.75-7.625-1.062-15.81-8.686-19.44C430.8 94.19 421.7 96.38 416.5 103c-.3749 .625-44.74 61.63-192.5 61.63c-146.9 0-191.6-60.38-192.5-61.63C26.39 96.38 17.27 94.13 9.647 97.63c-7.749 3.5-11.5 11.88-8.749 19.5C1.273 118.1 25.52 183.1 96.01 223.8zM447 472.2C434 420.4 387.5 384 334 384H114c-53.45 0-100 36.38-113 88.24C-4.043 492.4 11.19 512 32 512h383.1C436.8 512 452.1 492.4 447 472.2z"],
    "user-crown": [448, 512, [], "f6a4", "M224 272c70.75 0 128-57.25 128-128V0l-64 32l-64-32L160 32L96 0v144C96 214.8 153.3 272 224 272zM144 128h160v16C304 188.1 268.1 224 224 224S144 188.1 144 144V128zM274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512H413.3C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304z"],
    "user-doctor": [448, 512, ["user-md"], "f0f0", "M96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128C352 198.7 294.7 256 224 256C153.3 256 96 198.7 96 128zM128 370.3C104.9 377.2 88 398.6 88 424C88 454.9 113.1 480 144 480C174.9 480 200 454.9 200 424C200 398.6 183.1 377.2 160 370.3V304.9C166 304.3 172.1 304 178.3 304H269.7C275.9 304 281.1 304.3 288 304.9V362C260.4 369.1 240 394.2 240 424V464C240 472.8 247.2 480 256 480H272C280.8 480 288 472.8 288 464C288 455.2 280.8 448 272 448V424C272 406.3 286.3 392 304 392C321.7 392 336 406.3 336 424V448C327.2 448 320 455.2 320 464C320 472.8 327.2 480 336 480H352C360.8 480 368 472.8 368 464V424C368 394.2 347.6 369.1 320 362V311.2C393.1 332.9 448 401.3 448 482.3C448 498.7 434.7 512 418.3 512H29.71C13.3 512 0 498.7 0 482.3C0 401.3 54.02 332.9 128 311.2V370.3zM120 424C120 410.7 130.7 400 144 400C157.3 400 168 410.7 168 424C168 437.3 157.3 448 144 448C130.7 448 120 437.3 120 424z"],
    "user-doctor-hair": [448, 512, [], "e458", "M96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128V144C352 214.7 294.7 272 224 272C153.3 272 96 214.7 96 144V128zM297.3 96H296C275.5 96 257.3 86.4 245.6 71.46C231.9 95.67 205.8 112 176 112H145.6C144.6 117.2 144 122.5 144 128V144C144 188.2 179.8 224 224 224C268.2 224 304 188.2 304 144V128C304 116.6 301.6 105.8 297.3 96zM288 362C260.4 369.1 240 394.2 240 424V464C240 472.8 247.2 480 256 480H272C280.8 480 288 472.8 288 464C288 455.2 280.8 448 272 448V424C272 406.3 286.3 392 304 392C321.7 392 336 406.3 336 424V448C327.2 448 320 455.2 320 464C320 472.8 327.2 480 336 480H352C360.8 480 368 472.8 368 464V424C368 394.2 347.6 369.1 320 362V323.4C393.1 338.8 448 403.6 448 481.3C448 498.2 434.2 512 417.3 512H30.72C13.75 512 0 498.2 0 481.3C0 403.6 54.89 338.8 128 323.4V370.3C104.9 377.2 88 398.6 88 424C88 454.9 113.1 480 144 480C174.9 480 200 454.9 200 424C200 398.6 183.1 377.2 160 370.3V320L161.3 320H286.7L288 320V362zM168 424C168 437.3 157.3 448 144 448C130.7 448 120 437.3 120 424C120 410.7 130.7 400 144 400C157.3 400 168 410.7 168 424z"],
    "user-doctor-hair-long": [448, 512, [], "e459", "M96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128V138.1C352 172.9 365.5 205.5 389.5 229.5L393.4 233.4C397.6 237.6 400 243.4 400 249.4C400 261.9 389.9 272 377.4 272H70.63C58.13 272 47.1 261.9 47.1 249.4C47.1 243.4 50.38 237.6 54.63 233.4L58.51 229.5C82.51 205.5 95.1 172.9 95.1 138.1L96 128zM297.3 96H296C275.5 96 257.3 86.4 245.6 71.46C231.9 95.67 205.8 112 176 112H145.6C144.6 117.2 144 122.5 144 128V144C144 188.2 179.8 224 224 224C268.2 224 304 188.2 304 144V128C304 116.6 301.6 105.8 297.3 96zM288 362C260.4 369.1 240 394.2 240 424V464C240 472.8 247.2 480 256 480H272C280.8 480 288 472.8 288 464C288 455.2 280.8 448 272 448V424C272 406.3 286.3 392 304 392C321.7 392 336 406.3 336 424V448C327.2 448 320 455.2 320 464C320 472.8 327.2 480 336 480H352C360.8 480 368 472.8 368 464V424C368 394.2 347.6 369.1 320 362V323.4C393.1 338.8 448 403.6 448 481.3C448 498.2 434.2 512 417.3 512H30.72C13.75 512 0 498.2 0 481.3C0 403.6 54.89 338.8 128 323.4V370.3C104.9 377.2 88 398.6 88 424C88 454.9 113.1 480 144 480C174.9 480 200 454.9 200 424C200 398.6 183.1 377.2 160 370.3V320L161.3 320H286.7L288 320V362zM168 424C168 437.3 157.3 448 144 448C130.7 448 120 437.3 120 424C120 410.7 130.7 400 144 400C157.3 400 168 410.7 168 424z"],
    "user-doctor-message": [640, 512, ["user-md-chat"], "f82e", "M352 128C352 198.7 294.7 256 224 256C153.3 256 96 198.7 96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128zM0 482.3C0 401.3 54.02 332.9 128 311.2V370.3C104.9 377.2 88 398.6 88 424C88 454.9 113.1 480 144 480C174.9 480 200 454.9 200 424C200 398.6 183.1 377.2 160 370.3V304.9C166 304.3 172.1 304 178.3 304H269.7C275.9 304 281.1 304.3 288 304.9V362C260.4 369.1 240 394.2 240 424V464C240 472.8 247.2 480 256 480H272C280.8 480 288 472.8 288 464C288 455.2 280.8 448 272 448V424C272 406.3 286.3 392 304 392C321.7 392 336 406.3 336 424V448C327.2 448 320 455.2 320 464C320 472.8 327.2 480 336 480H352C360.8 480 368 472.8 368 464V424C368 394.2 347.6 369.1 320 362V311.2C393.1 332.9 448 401.3 448 482.3C448 498.7 434.7 512 418.3 512H29.71C13.3 512 0 498.7 0 482.3H0zM168 424C168 437.3 157.3 448 144 448C130.7 448 120 437.3 120 424C120 410.7 130.7 400 144 400C157.3 400 168 410.7 168 424zM592 0C618.5 0 640 21.49 640 48V176C640 202.5 618.5 224 592 224H544L460.8 286.4C458.4 288.2 455.1 288.5 452.4 287.2C449.7 285.8 448 283 448 280V224H432C405.5 224 384 202.5 384 176V48C384 21.49 405.5 0 432 0L592 0z"],
    "user-gear": [640, 512, ["user-cog"], "f4fe", "M425.1 482.6c-2.303-1.25-4.572-2.559-6.809-3.93l-7.818 4.493c-6.002 3.504-12.83 5.352-19.75 5.352c-10.71 0-21.13-4.492-28.97-12.75c-18.41-20.09-32.29-44.15-40.22-69.9c-5.352-18.06 2.343-36.87 17.83-45.24l8.018-4.669c-.0664-2.621-.0664-5.242 0-7.859l-7.655-4.461c-12.3-6.953-19.4-19.66-19.64-33.38C305.6 306.3 290.4 304 274.7 304H173.3C77.61 304 0 381.7 0 477.4C0 496.5 15.52 512 34.66 512H413.3c5.727 0 10.9-1.727 15.66-4.188c-2.271-4.984-3.86-10.3-3.86-16.06V482.6zM224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM610.5 373.3c2.625-14 2.625-28.5 0-42.5l25.75-15c3-1.625 4.375-5.125 3.375-8.5c-6.75-21.5-18.25-41.13-33.25-57.38c-2.25-2.5-6-3.125-9-1.375l-25.75 14.88c-10.88-9.25-23.38-16.5-36.88-21.25V212.3c0-3.375-2.5-6.375-5.75-7c-22.25-5-45-4.875-66.25 0c-3.25 .625-5.625 3.625-5.625 7v29.88c-13.5 4.75-26 12-36.88 21.25L394.4 248.5c-2.875-1.75-6.625-1.125-9 1.375c-15 16.25-26.5 35.88-33.13 57.38c-1 3.375 .3751 6.875 3.25 8.5l25.75 15c-2.5 14-2.5 28.5 0 42.5l-25.75 15c-3 1.625-4.25 5.125-3.25 8.5c6.625 21.5 18.13 41 33.13 57.38c2.375 2.5 6 3.125 9 1.375l25.88-14.88c10.88 9.25 23.38 16.5 36.88 21.25v29.88c0 3.375 2.375 6.375 5.625 7c22.38 5 45 4.875 66.25 0c3.25-.625 5.75-3.625 5.75-7v-29.88c13.5-4.75 26-12 36.88-21.25l25.75 14.88c2.875 1.75 6.75 1.125 9-1.375c15-16.25 26.5-35.88 33.25-57.38c1-3.375-.3751-6.875-3.375-8.5L610.5 373.3zM496 400.5c-26.75 0-48.5-21.75-48.5-48.5s21.75-48.5 48.5-48.5c26.75 0 48.5 21.75 48.5 48.5S522.8 400.5 496 400.5z"],
    "user-graduate": [512, 512, [], "f501", "M45.63 79.75L52 81.25v58.5C45 143.9 40 151.3 40 160c0 8.375 4.625 15.38 11.12 19.75L35.5 242C33.75 248.9 37.63 256 43.13 256h41.75c5.5 0 9.375-7.125 7.625-13.1L76.88 179.8C83.38 175.4 88 168.4 88 160c0-8.75-5-16.12-12-20.25V87.13L128 99.63l.001 60.37c0 70.75 57.25 128 128 128s127.1-57.25 127.1-128L384 99.62l82.25-19.87c18.25-4.375 18.25-27 0-31.5l-190.4-46c-13-3-26.62-3-39.63 0l-190.6 46C27.5 52.63 27.5 75.38 45.63 79.75zM359.2 312.8l-103.2 103.2l-103.2-103.2c-69.93 22.3-120.8 87.2-120.8 164.5C32 496.5 47.53 512 66.67 512h378.7C464.5 512 480 496.5 480 477.3C480 400 429.1 335.1 359.2 312.8z"],
    "user-group": [640, 512, [128101, "user-friends"], "f500", "M224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM274.7 304H173.3c-95.73 0-173.3 77.6-173.3 173.3C0 496.5 15.52 512 34.66 512H413.3C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM479.1 320h-73.85C451.2 357.7 480 414.1 480 477.3C480 490.1 476.2 501.9 470 512h138C625.7 512 640 497.6 640 479.1C640 391.6 568.4 320 479.1 320zM432 256C493.9 256 544 205.9 544 144S493.9 32 432 32c-25.11 0-48.04 8.555-66.72 22.51C376.8 76.63 384 101.4 384 128c0 35.52-11.93 68.14-31.59 94.71C372.7 243.2 400.8 256 432 256z"],
    "user-group-crown": [640, 512, ["users-crown"], "f6a5", "M224 272c70.75 0 128-57.25 128-128V0L288 32L224 0L160 32L96 0v144C96 214.8 153.3 272 224 272zM144 128h160v16C304 188.1 268.1 224 224 224S144 188.1 144 144V128zM274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512H413.3C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM544 144C544 82.14 493.9 32 432 32c-17.3 0-33.45 4.285-48 11.38V144c0 31.09-9.285 59.89-24.69 84.47C378.9 245.4 404.1 256 432 256C493.9 256 544 205.9 544 144zM479.1 320h-73.85C451.2 357.7 480 414.1 480 477.3C480 490.1 476.2 501.9 470 512h137.1C625.7 512 640 497.6 640 479.1C640 391.6 568.4 320 479.1 320z"],
    "user-hair": [448, 512, [], "e45a", "M96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128V144C352 214.7 294.7 272 224 272C153.3 272 96 214.7 96 144V128zM297.3 96H296C275.5 96 257.3 86.4 245.6 71.46C231.9 95.67 205.8 112 176 112H145.6C144.6 117.2 144 122.5 144 128V144C144 188.2 179.8 224 224 224C268.2 224 304 188.2 304 144V128C304 116.6 301.6 105.8 297.3 96zM286.7 320C375.8 320 448 392.2 448 481.3C448 498.2 434.2 512 417.3 512H30.72C13.75 512 0 498.2 0 481.3C0 392.2 72.21 320 161.3 320H286.7z"],
    "user-hair-buns": [448, 512, [], "e3d3", "M274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512H413.3C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM88 192c5.836 0 11.36-1.197 16.53-3.104C122.8 237.4 169.2 272 224 272s101.2-34.65 119.5-83.1C348.6 190.8 354.2 192 360 192c26.51 0 48-21.49 48-48v-32c0-26.51-21.49-48-48-48c-8.203 0-15.86 2.156-22.61 5.783C316.2 28.47 273.6 0 224 0S131.8 28.47 110.6 69.78C103.9 66.16 96.2 64 88 64c-26.51 0-48 21.49-48 48v32C40 170.5 61.49 192 88 192zM144 128c0-7.029 1.201-13.73 2.912-20.23C153.6 110.2 160.5 112 168 112c24.29 0 45.16-13.69 56-33.62C234.8 98.31 255.7 112 280 112c7.502 0 14.45-1.781 21.09-4.229C302.8 114.3 304 120.1 304 128v16C304 188.1 268.1 224 224 224S144 188.1 144 144V128z"],
    "user-hair-long": [448, 512, [], "e45b", "M96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128V138.1C352 172.9 365.5 205.5 389.5 229.5L393.4 233.4C397.6 237.6 400 243.4 400 249.4C400 261.9 389.9 272 377.4 272H70.63C58.13 272 47.1 261.9 47.1 249.4C47.1 243.4 50.38 237.6 54.63 233.4L58.51 229.5C82.51 205.5 95.1 172.9 95.1 138.1L96 128zM297.3 96H296C275.5 96 257.3 86.4 245.6 71.46C231.9 95.67 205.8 112 176 112H145.6C144.6 117.2 144 122.5 144 128V144C144 188.2 179.8 224 224 224C268.2 224 304 188.2 304 144V128C304 116.6 301.6 105.8 297.3 96zM286.7 320C375.8 320 448 392.2 448 481.3C448 498.2 434.2 512 417.3 512H30.72C13.75 512 0 498.2 0 481.3C0 392.2 72.21 320 161.3 320H286.7z"],
    "user-hair-mullet": [448, 512, ["business-front", "party-back", "trian-balbot"], "e45c", "M237.4 271.3C232.1 271.8 228.5 272 224 272C219.5 272 215 271.8 210.6 271.3L192.1 288.1C187.5 294.4 179.8 296.9 172.2 295.7C164.5 294.5 157.1 289.6 154.5 282.7L148.4 270.5L128.9 278.3C119.7 281.1 109.1 279.6 102.3 272.3C95.59 264.9 94.08 254.2 98.53 245.3C107 228.2 109.5 223 110.7 218.2C111.4 215.3 111.8 212.3 111.9 205.8C101.8 187.5 95.1 166.4 95.1 144V128C95.1 120.9 96.57 114 97.67 107.3C91.8 102.9 87.1 95.88 87.1 88C87.1 74.75 98.74 64 111.1 64H113.1C135.3 25.74 176.6 0 223.1 0C271.4 0 312.7 25.74 334.9 64H336C349.3 64 360 74.75 360 88C360 95.88 356.2 102.9 350.3 107.3C351.4 114 352 120.9 352 128V144C352 166.4 346.2 187.5 336.1 205.8C336.2 212.3 336.6 215.3 337.3 218.2C338.5 223 340.1 228.2 349.5 245.3C353.9 254.2 352.4 264.9 345.7 272.3C338.9 279.6 328.3 281.1 319.1 278.3L299.6 270.5L293.5 282.7C290 289.6 283.5 294.5 275.8 295.7C268.2 296.9 260.5 294.4 255 288.1L237.4 271.3zM302.3 111.4C271.6 108.2 243.8 93.47 224 70.78C204.2 93.47 176.4 108.2 145.7 111.4C144.6 116.7 144 122.3 144 128V144C144 162 149.1 178.6 160 192C174.6 211.4 197.8 224 224 224C250.2 224 273.4 211.4 288 192C298 178.6 304 162 304 144V128C304 122.3 303.4 116.7 302.3 111.4zM286.7 320C375.8 320 448 392.2 448 481.3C448 498.2 434.2 512 417.3 512H30.72C13.75 512 0 498.2 0 481.3C0 392.2 72.21 320 161.3 320H286.7z"],
    "user-headset": [448, 512, [], "f82d", "M48 224C56.88 224 64 216.9 64 208V192c0-88.25 71.75-160 160-160s160 71.75 160 160v16C384 252.1 348.1 288 304 288h-32c0-17.62-14.38-32-32-32h-32c-17.62 0-32 14.38-32 32s14.38 32 32 32h96c61.88-.125 111.9-50.13 112-112V192c0-105.9-86.13-192-192-192S32 86.13 32 192v16C32 216.9 39.13 224 48 224zM208 224h32c22.88 0 43.98 12.2 55.36 31.95L304 256c26.5 0 48-21.5 48-47.1V192c0-70.75-57.25-128-128-128s-128 57.25-128 128c0 40.38 19.12 75.99 48.37 99.49C144.2 290.2 144 289.3 144 288C144 252.6 172.6 224 208 224zM314.7 352H133.3C59.7 352 0 411.7 0 485.3C0 500.1 11.94 512 26.66 512H421.3C436.1 512 448 500.1 448 485.3C448 411.7 388.3 352 314.7 352z"],
    "user-helmet-safety": [448, 512, [128119, "user-construction", "user-hard-hat"], "f82c", "M224 320c65.25 0 118.5-49 126.4-112H97.63C105.5 271 158.8 320 224 320zM88 176h272c4.375 0 8-3.625 8-8V136c0-4.375-3.625-8-8-8H352c0-45-26.88-85.62-68.38-103.2L256 80V16c0-8.875-7.125-16-16-16h-32c-8.875 0-16 7.125-16 16V80L164.4 24.75C122.9 42.38 96 83 96 128H88c-4.375 0-8 3.625-8 8v31.1C80 172.4 83.63 176 88 176zM314.7 352H133.3C59.7 352 0 411.7 0 485.3c0 14.73 11.94 26.67 26.66 26.67H421.3c14.72 0 26.66-11.94 26.66-26.67C448 411.7 388.3 352 314.7 352z"],
    "user-injured": [448, 512, [], "f728", "M277.4 11.98C261.1 4.469 243.1 0 224 0C170.3 0 124.5 33.13 105.5 80h81.07L277.4 11.98zM342.5 80c-7.895-19.47-20.66-36.19-36.48-49.51L240 80H342.5zM224 256c70.7 0 128-57.31 128-128c0-5.48-.9453-10.7-1.613-16H97.61C96.95 117.3 96 122.5 96 128C96 198.7 153.3 256 224 256zM272 416h-45.14l58.64 93.83C305.4 503.1 320 485.8 320 464C320 437.5 298.5 416 272 416zM274.7 304H173.3c-5.393 0-10.71 .3242-15.98 .8047L206.9 384H272c44.13 0 80 35.88 80 80c0 18.08-6.252 34.59-16.4 48h77.73C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM0 477.3C0 496.5 15.52 512 34.66 512H64v-169.1C24.97 374.7 0 423.1 0 477.3zM96 322.4V512h153.1L123.7 311.3C114.1 314.2 104.8 317.9 96 322.4z"],
    "user-large": [512, 512, ["user-alt"], "f406", "M256 288c79.53 0 144-64.47 144-144s-64.47-144-144-144c-79.52 0-144 64.47-144 144S176.5 288 256 288zM351.1 320H160c-88.36 0-160 71.63-160 160c0 17.67 14.33 32 31.1 32H480c17.67 0 31.1-14.33 31.1-32C512 391.6 440.4 320 351.1 320z"],
    "user-large-slash": [640, 512, ["user-alt-slash"], "f4fa", "M284.9 320l-60.9-.0002c-88.36 0-160 71.63-160 159.1C63.1 497.7 78.33 512 95.1 512l448-.0039c.0137 0-.0137 0 0 0l-14.13-.0013L284.9 320zM630.8 469.1l-249.5-195.5c48.74-22.1 82.65-72.1 82.65-129.6c0-79.53-64.47-143.1-143.1-143.1c-69.64 0-127.3 49.57-140.6 115.3L38.81 5.109C34.41 1.672 29.19 0 24.03 0C16.91 0 9.845 3.156 5.127 9.187c-8.187 10.44-6.375 25.53 4.062 33.7L601.2 506.9c10.5 8.203 25.56 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1z"],
    "user-lock": [640, 512, [], "f502", "M592 288H576V212.7c0-41.84-30.03-80.04-71.66-84.27C456.5 123.6 416 161.1 416 208V288h-16C373.6 288 352 309.6 352 336v128c0 26.4 21.6 48 48 48h192c26.4 0 48-21.6 48-48v-128C640 309.6 618.4 288 592 288zM496 432c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S513.6 432 496 432zM528 288h-64V208c0-17.62 14.38-32 32-32s32 14.38 32 32V288zM224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM320 336c0-8.672 1.738-16.87 4.303-24.7C308.6 306.6 291.9 304 274.7 304H173.3C77.61 304 0 381.7 0 477.4C0 496.5 15.52 512 34.66 512h301.7C326.3 498.6 320 482.1 320 464V336z"],
    "user-minus": [640, 512, [], "f503", "M274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512h378.7C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM616 200h-144C458.8 200 448 210.8 448 224s10.75 24 24 24h144C629.3 248 640 237.3 640 224S629.3 200 616 200z"],
    "user-music": [640, 512, [], "f8eb", "M389.4 347.7C358.8 320.6 318.7 304 274.7 304H173.3C77.61 304 0 381.7 0 477.4C0 496.5 15.52 512 34.66 512h320.5C333.4 493.4 320 468.3 320 440C320 399 348 364.7 389.4 347.7zM224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM601.7 160.6l-96 19.2C490.8 182.8 480 195.1 480 211.2v161.2C469.9 369.7 459.3 368 448 368c-53.02 0-96 32.23-96 72c0 39.76 42.98 72 96 72s96-32.24 96-72V300.2l70.28-14.05C629.2 283.1 640 269.1 640 254.7V192C640 171.8 621.5 156.7 601.7 160.6z"],
    "user-ninja": [512, 512, [129399], "f504", "M64 192c27.25 0 51.75-11.5 69.25-29.75c15 54 64 93.75 122.8 93.75c70.75 0 127.1-57.25 127.1-128s-57.25-128-127.1-128c-50.38 0-93.63 29.38-114.5 71.75C124.1 47.75 96 32 64 32c0 33.37 17.12 62.75 43.13 80C81.13 129.3 64 158.6 64 192zM208 96h95.1C321.7 96 336 110.3 336 128h-160C176 110.3 190.3 96 208 96zM337.8 306.9L256 416L174.2 306.9C93.36 321.6 32 392.2 32 477.3c0 19.14 15.52 34.67 34.66 34.67H445.3c19.14 0 34.66-15.52 34.66-34.67C480 392.2 418.6 321.6 337.8 306.9z"],
    "user-nurse": [448, 512, [], "f82f", "M224 304c70.75 0 128-57.25 128-128V65.88c0-13.38-8.25-25.38-20.75-30L246.5 4.125C239.3 1.375 231.6 0 224 0S208.8 1.375 201.5 4.125L116.8 35.88C104.3 40.5 96 52.5 96 65.88V176C96 246.8 153.3 304 224 304zM184 71.63c0-2.75 2.25-5 5-5h21.62V45c0-2.75 2.25-5 5-5h16.75c2.75 0 5 2.25 5 5v21.62H259c2.75 0 5 2.25 5 5v16.75c0 2.75-2.25 5-5 5h-21.62V115c0 2.75-2.25 5-5 5H215.6c-2.75 0-5-2.25-5-5V93.38H189c-2.75 0-5-2.25-5-5V71.63zM144 160h160v16C304 220.1 268.1 256 224 256S144 220.1 144 176V160zM327.2 312.8L224 416L120.8 312.8c-69.93 22.3-120.8 87.25-120.8 164.6C.0006 496.5 15.52 512 34.66 512H413.3c19.14 0 34.66-15.46 34.66-34.61C447.1 400.1 397.1 335.1 327.2 312.8z"],
    "user-nurse-hair": [448, 512, [], "e45d", "M96 127.1V70.17C96 56.83 104.3 44.89 116.8 40.21L212.8 4.209C220 1.493 227.1 1.493 235.2 4.209L331.2 40.21C343.7 44.89 352 56.83 352 70.17V127.1H351.7C351.9 130.6 352 133.3 352 135.1V175.1C352 246.7 294.7 303.1 224 303.1C153.3 303.1 96 246.7 96 175.1V135.1C96 133.3 96.1 130.6 96.28 127.1H96zM245.6 135.5C231.9 159.7 205.8 175.1 176 175.1H144C144 220.2 179.8 255.1 224 255.1C268.2 255.1 304 220.2 304 175.1V159.1H296C275.5 159.1 257.3 150.4 245.6 135.5zM213.3 53.33H200C195.6 53.33 192 56.92 192 61.33V66.67C192 71.09 195.6 74.67 200 74.67H213.3V87.1C213.3 92.42 216.9 95.1 221.3 95.1H226.7C231.1 95.1 234.7 92.42 234.7 87.1V74.67H248C252.4 74.67 256 71.09 256 66.67V61.33C256 56.92 252.4 53.33 248 53.33H234.7V39.1C234.7 35.58 231.1 31.1 226.7 31.1H221.3C216.9 31.1 213.3 35.58 213.3 39.1V53.33zM129.1 323.2L224 423.1L318.9 323.2C392.5 338.1 448 403.2 448 481.3C448 498.2 434.2 511.1 417.3 511.1H30.72C13.75 511.1 0 498.2 0 481.3C0 403.2 55.46 338.1 129.1 323.2V323.2z"],
    "user-nurse-hair-long": [448, 512, [], "e45e", "M96 127.1V70.17C96 56.83 104.3 44.89 116.8 40.21L212.8 4.209C220 1.493 227.1 1.493 235.2 4.209L331.2 40.21C343.7 44.89 352 56.83 352 70.17V127.1H351.7C351.9 130.6 352 133.3 352 135.1V170.1C352 204.9 365.5 237.5 389.5 261.5L393.4 265.4C397.6 269.6 400 275.4 400 281.4C400 293.9 389.9 303.1 377.4 303.1H70.63C58.13 303.1 48 293.9 48 281.4C48 275.4 50.38 269.6 54.63 265.4L58.51 261.5C82.51 237.5 96 204.9 96 170.1V135.1C96 133.3 96.09 130.6 96.28 127.1H96zM245.6 135.5C231.9 159.7 205.8 175.1 176 175.1H144C144 220.2 179.8 255.1 224 255.1C268.2 255.1 304 220.2 304 175.1V159.1H296C275.5 159.1 257.3 150.4 245.6 135.5zM213.3 53.33H200C195.6 53.33 192 56.91 192 61.33V66.67C192 71.08 195.6 74.67 200 74.67H213.3V87.1C213.3 92.42 216.9 95.1 221.3 95.1H226.7C231.1 95.1 234.7 92.42 234.7 87.1V74.67H248C252.4 74.67 256 71.08 256 66.67V61.33C256 56.91 252.4 53.33 248 53.33H234.7V39.1C234.7 35.58 231.1 31.1 226.7 31.1H221.3C216.9 31.1 213.3 35.58 213.3 39.1V53.33zM141.3 336.1L224 423.1L306.7 336.1C385.3 339.6 448 404.4 448 483.8C448 499.4 435.4 511.1 419.8 511.1H28.16C12.61 511.1 0 499.4 0 483.8C0 404.4 62.69 339.6 141.3 336.1V336.1z"],
    "user-pen": [640, 512, ["user-edit"], "f4ff", "M223.1 256c70.7 0 128-57.31 128-128s-57.3-128-128-128C153.3 0 96 57.31 96 128S153.3 256 223.1 256zM274.7 304H173.3C77.61 304 0 381.7 0 477.4C0 496.5 15.52 512 34.66 512h286.4c-1.246-5.531-1.43-11.31-.2832-17.04l14.28-71.41c1.943-9.723 6.676-18.56 13.68-25.56l45.72-45.72C363.3 322.4 321.2 304 274.7 304zM371.4 420.6c-2.514 2.512-4.227 5.715-4.924 9.203l-14.28 71.41c-1.258 6.289 4.293 11.84 10.59 10.59l71.42-14.29c3.482-.6992 6.682-2.406 9.195-4.922l125.3-125.3l-72.01-72.01L371.4 420.6zM629.5 255.7l-21.1-21.11c-14.06-14.06-36.85-14.06-50.91 0l-38.13 38.14l72.01 72.01l38.13-38.13C643.5 292.5 643.5 269.7 629.5 255.7z"],
    "user-pilot": [448, 512, [], "e2c0", "M78.54 102.4v28.04C119.1 148.9 169.4 160 224 160s104.9-11.08 145.5-29.55V102.4l21.96-22.3c4.564-4.635 7.129-10.93 7.129-17.48c0-11.35-7.602-21.24-18.44-23.99l-148.3-37.67c-5.096-1.295-10.43-1.295-15.52 0l-148.3 37.67C57.06 41.39 49.46 51.28 49.46 62.62c0 6.555 2.564 12.85 7.129 17.48L78.54 102.4zM161.7 72.85c3.969-7.875 13.56-11.09 21.47-7.156L224 86.13l40.84-20.44c7.938-3.969 17.5-.7505 21.47 7.156c3.938 7.906 .75 17.5-7.156 21.47l-48 23.1C228.9 119.4 226.4 120 224 120S219.1 119.4 216.8 118.3l-48-23.1C160.9 90.35 157.8 80.75 161.7 72.85zM319.7 352.5L224 416l-95.7-63.49C57.05 355.2 0 413.4 0 485.3C0 500.1 11.94 512 26.66 512H421.3C436.1 512 448 500.1 448 485.3C448 413.4 390.1 355.2 319.7 352.5zM368 448h-32c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16h32c8.836 0 16 7.162 16 16C384 440.8 376.8 448 368 448zM97.97 172.4C96.98 178.9 96 185.3 96 192c0 70.69 57.3 128 127.1 128s127.1-57.31 127.1-128c0-6.705-.9401-13.15-1.934-19.57C311.2 185.2 268.4 192 224 192C179.6 192 136.8 185.2 97.97 172.4z"],
    "user-pilot-tie": [448, 512, [], "e2c1", "M97.97 172.4C96.98 178.9 96 185.3 96 192c0 70.69 57.3 128 127.1 128s127.1-57.31 127.1-128c0-6.705-.9401-13.15-1.934-19.57C311.2 185.2 268.4 192 224 192C179.6 192 136.8 185.2 97.97 172.4zM78.54 102.4v28.04C119.1 148.9 169.4 160 224 160s104.9-11.08 145.5-29.55V102.4l21.96-22.3c4.564-4.635 7.129-10.93 7.129-17.48c0-11.35-7.602-21.24-18.44-23.99l-148.3-37.67c-5.096-1.295-10.43-1.295-15.52 0l-148.3 37.67C57.06 41.39 49.46 51.28 49.46 62.62c0 6.555 2.564 12.85 7.129 17.48L78.54 102.4zM161.7 72.84c3.969-7.875 13.56-11.09 21.47-7.156L224 86.13l40.84-20.44c7.938-3.969 17.5-.75 21.47 7.156c3.938 7.906 .75 17.5-7.156 21.47l-48 24C228.9 119.4 226.4 120 224 120S219.1 119.4 216.8 118.3l-48-24C160.9 90.34 157.8 80.75 161.7 72.84zM319.7 352.5l-66.63 111L240 408l32-56h-96l32 56l-13.07 55.55l-66.63-111C57.05 355.2 0 413.4 0 485.3C0 500.1 11.94 512 26.66 512H421.3C436.1 512 448 500.1 448 485.3C448 413.4 390.1 355.2 319.7 352.5zM368 448h-32c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16h32c8.836 0 16 7.162 16 16C384 440.8 376.8 448 368 448z"],
    "user-plus": [640, 512, [], "f234", "M224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512h378.7C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM616 200h-48v-48C568 138.8 557.3 128 544 128s-24 10.75-24 24v48h-48C458.8 200 448 210.8 448 224s10.75 24 24 24h48v48C520 309.3 530.8 320 544 320s24-10.75 24-24v-48h48C629.3 248 640 237.3 640 224S629.3 200 616 200z"],
    "user-police": [448, 512, [], "e333", "M78.54 102.4v28.04C119.1 148.9 169.4 160 224 160s104.9-11.08 145.5-29.55V102.4l21.96-22.3c4.564-4.635 7.129-10.93 7.129-17.48c0-11.35-7.602-21.24-18.44-23.99l-148.3-37.67c-5.096-1.295-10.43-1.295-15.52 0l-148.3 37.67C57.06 41.39 49.46 51.28 49.46 62.62c0 6.555 2.564 12.85 7.129 17.48L78.54 102.4zM191.1 61.08l30-12.5C221.9 48.26 223.2 48 224 48c.8281 0 2.122 .2559 2.884 .5723l30 12.5c2.779 1.152 4.609 3.889 4.609 6.92C261.5 107.1 232.1 128 223.1 128C216.1 128 186.5 108.2 186.5 67.1C186.5 64.96 188.3 62.23 191.1 61.08zM97.97 172.4C96.98 178.9 96 185.3 96 192c0 70.69 57.3 128 127.1 128s127.1-57.31 127.1-128c0-6.705-.9399-13.15-1.934-19.57C311.2 185.2 268.4 192 224 192C179.6 192 136.8 185.2 97.97 172.4zM320 352h-32l-64 64l-64-64H128c-70.69 0-128 57.31-128 128c0 17.67 14.33 32 32 32h384c17.67 0 32-14.33 32-32C448 409.3 390.7 352 320 352zM358.5 437.3l-15.81 15.37l3.736 21.71c.6719 3.926-3.469 6.852-6.939 5.029L320 469.2l-19.54 10.25c-3.471 1.836-7.611-1.104-6.939-5.029l3.736-21.71l-15.81-15.37c-2.844-2.76-1.27-7.58 2.648-8.146L305.9 426l9.764-19.76c1.766-3.566 6.834-3.521 8.582 0L334.1 426l21.85 3.18C359.8 429.7 361.4 434.6 358.5 437.3z"],
    "user-police-tie": [448, 512, [], "e334", "M78.54 102.4v28.04C119.1 148.9 169.4 160 224 160s104.9-11.08 145.5-29.55V102.4l21.96-22.3c4.564-4.635 7.129-10.93 7.129-17.48c0-11.35-7.602-21.24-18.44-23.99l-148.3-37.67c-5.096-1.295-10.43-1.295-15.52 0l-148.3 37.67C57.06 41.39 49.46 51.28 49.46 62.62c0 6.555 2.564 12.85 7.129 17.48L78.54 102.4zM191.1 61.08l30-12.5C221.9 48.26 223.2 48 224 48c.8281 0 2.122 .2559 2.884 .5723l30 12.5c2.779 1.152 4.609 3.889 4.609 6.92C261.5 107.1 232.1 128 223.1 128C216.1 128 186.5 108.2 186.5 67.1C186.5 64.96 188.3 62.23 191.1 61.08zM319.7 352.5l-66.63 111L240 408l32-56h-96l32 56l-13.07 55.55l-66.63-111C57.05 355.2 0 413.4 0 485.3C0 500.1 11.94 512 26.66 512H421.3C436.1 512 448 500.1 448 485.3C448 413.4 390.1 355.2 319.7 352.5zM390.5 437.3l-15.81 15.37l3.736 21.71c.6719 3.926-3.469 6.852-6.939 5.029L352 469.2l-19.54 10.25c-3.471 1.836-7.611-1.104-6.939-5.029l3.736-21.71l-15.81-15.37c-2.844-2.76-1.27-7.58 2.648-8.146L337.9 426l9.764-19.76c1.766-3.566 6.834-3.521 8.582 0L366.1 426l21.85 3.18C391.8 429.7 393.4 434.6 390.5 437.3zM97.97 172.4C96.98 178.9 96 185.3 96 192c0 70.69 57.3 128 127.1 128s127.1-57.31 127.1-128c0-6.705-.9399-13.15-1.934-19.57C311.2 185.2 268.4 192 224 192C179.6 192 136.8 185.2 97.97 172.4z"],
    "user-robot": [448, 512, [], "e04b", "M224 0C232.8 0 240 7.164 240 16V64H304C339.3 64 368 92.65 368 128V256C368 291.3 339.3 320 304 320H144C108.7 320 80 291.3 80 256V128C80 92.65 108.7 64 144 64H208V16C208 7.164 215.2 0 224 0zM160 192C177.7 192 192 177.7 192 160C192 142.3 177.7 128 160 128C142.3 128 128 142.3 128 160C128 177.7 142.3 192 160 192zM288 128C270.3 128 256 142.3 256 160C256 177.7 270.3 192 288 192C305.7 192 320 177.7 320 160C320 142.3 305.7 128 288 128zM160 240C151.2 240 144 247.2 144 256C144 264.8 151.2 272 160 272C168.8 272 176 264.8 176 256C176 247.2 168.8 240 160 240zM224 272C232.8 272 240 264.8 240 256C240 247.2 232.8 240 224 240C215.2 240 208 247.2 208 256C208 264.8 215.2 272 224 272zM288 240C279.2 240 272 247.2 272 256C272 264.8 279.2 272 288 272C296.8 272 304 264.8 304 256C304 247.2 296.8 240 288 240zM16 144C16 135.2 23.16 128 32 128C40.84 128 48 135.2 48 144V240C48 248.8 40.84 256 32 256C23.16 256 16 248.8 16 240V144zM416 128C424.8 128 432 135.2 432 144V240C432 248.8 424.8 256 416 256C407.2 256 400 248.8 400 240V144C400 135.2 407.2 128 416 128zM352 352C405 352 448 394.1 448 448V480C448 497.7 433.7 512 416 512H352V448C352 430.3 337.7 416 320 416H128C110.3 416 96 430.3 96 448V512H32C14.33 512 0 497.7 0 480V448C0 394.1 42.98 352 96 352H352zM176 512H144V464C144 455.2 151.2 448 160 448C168.8 448 176 455.2 176 464V512zM224 448C232.8 448 240 455.2 240 464V512H208V464C208 455.2 215.2 448 224 448zM304 512H272V464C272 455.2 279.2 448 288 448C296.8 448 304 455.2 304 464V512z"],
    "user-robot-xmarks": [448, 512, [], "e4a7", "M224 0C232.8 0 240 7.164 240 16V64H304C339.3 64 368 92.65 368 128V256C368 291.3 339.3 320 304 320H144C108.7 320 80 291.3 80 256V128C80 92.65 108.7 64 144 64H208V16C208 7.164 215.2 0 224 0zM160 240C151.2 240 144 247.2 144 256C144 264.8 151.2 272 160 272C168.8 272 176 264.8 176 256C176 247.2 168.8 240 160 240zM224 272C232.8 272 240 264.8 240 256C240 247.2 232.8 240 224 240C215.2 240 208 247.2 208 256C208 264.8 215.2 272 224 272zM288 240C279.2 240 272 247.2 272 256C272 264.8 279.2 272 288 272C296.8 272 304 264.8 304 256C304 247.2 296.8 240 288 240zM119.5 136.5L143 160L119.5 183.5C114.8 188.2 114.8 195.8 119.5 200.5C124.2 205.2 131.8 205.2 136.5 200.5L159.1 176.1L183.5 200.5C188.2 205.2 195.8 205.2 200.5 200.5C205.2 195.8 205.2 188.2 200.5 183.5L176.1 160L200.5 136.5C205.2 131.8 205.2 124.2 200.5 119.5C195.8 114.8 188.2 114.8 183.5 119.5L159.1 143L136.5 119.5C131.8 114.8 124.2 114.8 119.5 119.5C114.8 124.2 114.8 131.8 119.5 136.5L119.5 136.5zM264.5 119.5C259.8 114.8 252.2 114.8 247.5 119.5C242.8 124.2 242.8 131.8 247.5 136.5L271 159.1L247.5 183.5C242.8 188.2 242.8 195.8 247.5 200.5C252.2 205.2 259.8 205.2 264.5 200.5L288 176.1L311.5 200.5C316.2 205.2 323.8 205.2 328.5 200.5C333.2 195.8 333.2 188.2 328.5 183.5L304.1 160L328.5 136.5C333.2 131.8 333.2 124.2 328.5 119.5C323.8 114.8 316.2 114.8 311.5 119.5L288 143L264.5 119.5zM16 144C16 135.2 23.16 128 32 128C40.84 128 48 135.2 48 144V240C48 248.8 40.84 256 32 256C23.16 256 16 248.8 16 240V144zM416 128C424.8 128 432 135.2 432 144V240C432 248.8 424.8 256 416 256C407.2 256 400 248.8 400 240V144C400 135.2 407.2 128 416 128zM352 352C405 352 448 394.1 448 448V480C448 497.7 433.7 512 416 512H352V448C352 430.3 337.7 416 320 416H128C110.3 416 96 430.3 96 448V512H32C14.33 512 0 497.7 0 480V448C0 394.1 42.98 352 96 352H352zM176 512H144V464C144 455.2 151.2 448 160 448C168.8 448 176 455.2 176 464V512zM224 448C232.8 448 240 455.2 240 464V512H208V464C208 455.2 215.2 448 224 448zM304 512H272V464C272 455.2 279.2 448 288 448C296.8 448 304 455.2 304 464V512z"],
    "user-secret": [448, 512, [128373], "f21b", "M377.7 338.8l37.15-92.87C419 235.4 411.3 224 399.1 224h-57.48C348.5 209.2 352 193 352 176c0-4.117-.8359-8.057-1.217-12.08C390.7 155.1 416 142.3 416 128c0-16.08-31.75-30.28-80.31-38.99C323.8 45.15 304.9 0 277.4 0c-10.38 0-19.62 4.5-27.38 10.5c-15.25 11.88-36.75 11.88-52 0C190.3 4.5 181.1 0 170.7 0C143.2 0 124.4 45.16 112.5 88.98C63.83 97.68 32 111.9 32 128c0 14.34 25.31 27.13 65.22 35.92C96.84 167.9 96 171.9 96 176C96 193 99.47 209.2 105.5 224H48.02C36.7 224 28.96 235.4 33.16 245.9l37.15 92.87C27.87 370.4 0 420.4 0 477.3C0 496.5 15.52 512 34.66 512H413.3C432.5 512 448 496.5 448 477.3C448 420.4 420.1 370.4 377.7 338.8zM176 479.1L128 288l64 32l16 32L176 479.1zM271.1 479.1L240 352l16-32l64-32L271.1 479.1zM320 186C320 207 302.8 224 281.6 224h-12.33c-16.46 0-30.29-10.39-35.63-24.99C232.1 194.9 228.4 192 224 192S215.9 194.9 214.4 199C209 213.6 195.2 224 178.8 224h-12.33C145.2 224 128 207 128 186V169.5C156.3 173.6 188.1 176 224 176s67.74-2.383 96-6.473V186z"],
    "user-shakespeare": [448, 512, [], "e2c2", "M336.3 329.1C319.3 313.6 296.9 304 272 304h-96c-24.85 0-47.28 9.645-64.33 25.07C47.09 349.6 0 408.1 0 480C0 497.6 14.33 512 32 512h176c0-8.799 7.164-15.96 16-15.96S240 503.2 240 512H416c17.67 0 32-14.37 32-31.96C448 408.1 400.9 349.6 336.3 329.1zM224 464.1c-8.836 0-16-7.023-16-15.82s7.164-15.93 16-15.93s16 7.131 16 15.93S232.8 464.1 224 464.1zM224 383.6c-32.79 0-66.31 4.852-95.97 14.3c.8652-25.58 22.05-46.02 47.95-46.05h96.04c25.9 .0234 47.09 20.46 47.95 46.05C290.3 388.5 256.8 383.6 224 383.6zM256 144c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16S240 119.2 240 128C240 136.8 247.2 144 256 144zM109.3 272h53.98C181.4 281.9 201.9 288 224 288s42.62-6.123 60.77-16h53.98C363.7 272 384 251.7 384 226.7c0-12-4.768-23.51-13.25-32C358.7 182.7 352 166.5 352 149.5V128c0-70.69-57.31-128-128-128S96 57.31 96 128v21.49c0 16.97-6.742 33.25-18.75 45.25C68.77 203.2 64 214.7 64 226.7C64 251.7 84.26 272 109.3 272zM144 128c0-44.11 35.89-80 80-80s80 35.89 80 80v32c0 40-29.6 72.94-68 78.79V224c0-6.625-5.375-12-12-12S212 217.4 212 224v14.79C173.6 232.9 144 200 144 160V128zM192 144c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16S176 119.2 176 128C176 136.8 183.2 144 192 144zM188 204c14.34 0 27.78-7.316 36-12.91C232.2 196.7 245.7 204 260 204c6.625 0 12-5.377 12-12.01c0-6.627-5.375-12-12-12c-10.91 0-23.94-9.379-28.06-12.99c-4.5-4-11.38-4-15.88 0C211.9 170.6 198.9 179.1 188 179.1c-6.625 0-12 5.377-12 12C176 198.6 181.4 204 188 204z"],
    "user-shield": [640, 512, [], "f505", "M622.3 271.1l-115.1-45.01c-4.125-1.629-12.62-3.754-22.25 0L369.8 271.1C359 275.2 352 285.1 352 295.1c0 111.6 68.75 188.8 132.9 213.9c9.625 3.75 18 1.625 22.25 0C558.4 489.9 640 420.5 640 295.1C640 285.1 633 275.2 622.3 271.1zM496 462.4V273.2l95.5 37.38C585.9 397.8 530.6 446 496 462.4zM224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM320.6 310.3C305.9 306.3 290.6 304 274.7 304H173.3C77.61 304 0 381.7 0 477.4C0 496.5 15.52 512 34.66 512H413.3c3.143 0 5.967-1.004 8.861-1.789C369.7 469.8 324.1 400.3 320.6 310.3z"],
    "user-slash": [640, 512, [], "f506", "M95.1 477.3c0 19.14 15.52 34.67 34.66 34.67h378.7c5.625 0 10.73-1.65 15.42-4.029L264.9 304.3C171.3 306.7 95.1 383.1 95.1 477.3zM630.8 469.1l-277.1-217.9c54.69-14.56 95.18-63.95 95.18-123.2C447.1 57.31 390.7 0 319.1 0C250.2 0 193.7 55.93 192.3 125.4l-153.4-120.3C34.41 1.672 29.19 0 24.03 0C16.91 0 9.845 3.156 5.127 9.187c-8.187 10.44-6.375 25.53 4.062 33.7L601.2 506.9c10.5 8.203 25.56 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1z"],
    "user-tag": [640, 512, [], "f507", "M351.8 367.3v-44.1C328.5 310.7 302.4 304 274.7 304H173.3c-95.73 0-173.3 77.65-173.3 173.4C.0005 496.5 15.52 512 34.66 512h378.7c11.86 0 21.82-6.337 28.07-15.43l-61.65-61.57C361.7 416.9 351.8 392.9 351.8 367.3zM224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM630.6 364.8L540.3 274.8C528.3 262.8 512 256 495 256h-79.23c-17.75 0-31.99 14.25-31.99 32l.0147 79.2c0 17 6.647 33.15 18.65 45.15l90.31 90.27c12.5 12.5 32.74 12.5 45.24 0l92.49-92.5C643.1 397.6 643.1 377.3 630.6 364.8zM447.8 343.9c-13.25 0-24-10.62-24-24c0-13.25 10.75-24 24-24c13.38 0 24 10.75 24 24S461.1 343.9 447.8 343.9z"],
    "user-tie": [448, 512, [], "f508", "M352 128C352 198.7 294.7 256 224 256C153.3 256 96 198.7 96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128zM209.1 359.2L176 304H272L238.9 359.2L272.2 483.1L311.7 321.9C388.9 333.9 448 400.7 448 481.3C448 498.2 434.2 512 417.3 512H30.72C13.75 512 0 498.2 0 481.3C0 400.7 59.09 333.9 136.3 321.9L175.8 483.1L209.1 359.2z"],
    "user-tie-hair": [448, 512, [], "e45f", "M352 128V144C352 214.7 294.7 272 224 272C153.3 272 96 214.7 96 144V128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128zM304 144V128C304 116.6 301.6 105.8 297.3 96H296C275.5 96 257.3 86.4 245.6 71.46C231.9 95.67 205.8 112 176 112H145.6C144.6 117.2 144 122.5 144 128V144C144 188.2 179.8 224 224 224C268.2 224 304 188.2 304 144zM30.72 512C13.75 512 0 498.2 0 481.3C0 400.7 59.09 333.9 136.3 321.9L175.8 483.1L209.1 359.2L176 304H272L238.9 359.2L272.2 483.1L311.7 321.9C388.9 333.9 448 400.7 448 481.3C448 498.2 434.2 512 417.3 512H30.72z"],
    "user-tie-hair-long": [448, 512, [], "e460", "M352 128V138.1C352 172.9 365.5 205.5 389.5 229.5L393.4 233.4C397.6 237.6 400 243.4 400 249.4C400 261.9 389.9 272 377.4 272H70.63C58.13 272 47.1 261.9 47.1 249.4C47.1 243.4 50.38 237.6 54.63 233.4L58.51 229.5C82.51 205.5 95.1 172.9 95.1 138.1V128C95.1 57.31 153.3 0 223.1 0C294.7 0 352 57.31 352 128H352zM304 144V128C304 116.6 301.6 105.8 297.3 96H296C275.5 96 257.3 86.4 245.6 71.46C231.9 95.67 205.8 112 176 112H145.6C144.6 117.2 144 122.5 144 128V144C144 188.2 179.8 224 224 224C268.2 224 304 188.2 304 144zM30.72 512C13.75 512 0 498.2 0 481.3C0 400.7 59.09 333.9 136.3 321.9L175.8 483.1L209.1 359.2L176 304H272L238.9 359.2L272.2 483.1L311.7 321.9C388.9 333.9 448 400.7 448 481.3C448 498.2 434.2 512 417.3 512H30.72z"],
    "user-unlock": [640, 512, [], "e058", "M592 288h-128V208c0-17.62 14.38-32 32-32s32 14.38 32 32V224H576V212.7c0-41.84-30.03-80.04-71.66-84.27C456.5 123.6 416 161.1 416 208V288h-16C373.6 288 352 309.6 352 336v128c0 26.4 21.6 48 48 48h192c26.4 0 48-21.6 48-48v-128C640 309.6 618.4 288 592 288zM496 432c-17.62 0-32-14.38-32-32s14.38-32 32-32s32 14.38 32 32S513.6 432 496 432zM224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM320 336c0-8.672 1.738-16.87 4.303-24.7C308.6 306.6 291.9 304 274.7 304H173.3C77.61 304 0 381.7 0 477.4C0 496.5 15.52 512 34.66 512h301.7C326.3 498.6 320 482.1 320 464V336z"],
    "user-visor": [448, 512, [], "e04c", "M105 174.6C123.8 222.2 169.8 256 224 256s100.2-33.77 118.1-81.39C357.1 171.4 368 159.3 368 144v-64c0-17.62-14.38-32-32-32h-12.85C299.8 19 264.3 0 224 0S148.2 19 124.8 48H112c-17.62 0-32 14.38-32 32v64C80 159.3 90.91 171.4 105 174.6zM128 96h192v32H128V96zM274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512H413.3C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM353.3 463.9C352.9 464 352.4 464 352 464c-1.25 0-2.5-.625-3.25-1.625c-12.25-17.25-17.62-23-19.88-25c-.5 0-.875 .125-1.375 .375c-3.25 1-12.25 5.5-37 24.75c-1.375 1-3 1.125-4.5 .375C284.6 462.1 283.9 460.5 284 459c3.875-36.5 15.88-66.5 35.75-89.5C320.5 368.6 321.6 368 322.9 368c1.25 .125 2.375 .625 3 1.625c18.88 24.62 29 55 30.12 90.25C356 461.8 355 463.3 353.3 463.9z"],
    "user-vneck": [448, 512, [], "e461", "M352 128C352 198.7 294.7 256 224 256C153.3 256 96 198.7 96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128zM307.8 306.3C387.4 319.5 448 388.7 448 472V480C448 497.7 433.7 512 416 512H32C14.33 512 0 497.7 0 480V472C0 388.7 60.64 319.5 140.2 306.3L224 432L307.8 306.3z"],
    "user-vneck-hair": [448, 512, [], "e462", "M96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128V144C352 214.7 294.7 272 224 272C153.3 272 96 214.7 96 144V128zM297.3 96H296C275.5 96 257.3 86.4 245.6 71.46C231.9 95.67 205.8 112 176 112H145.6C144.6 117.2 144 122.5 144 128V144C144 188.2 179.8 224 224 224C268.2 224 304 188.2 304 144V128C304 116.6 301.6 105.8 297.3 96zM297.2 320.3C381.4 325.7 448 395.7 448 481.3C448 498.2 434.2 512 417.3 512H30.72C13.75 512 0 498.2 0 481.3C0 395.7 66.62 325.7 150.8 320.3L224 424L297.2 320.3z"],
    "user-vneck-hair-long": [448, 512, [], "e463", "M96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128V138.1C352 172.9 365.5 205.5 389.5 229.5L393.4 233.4C397.6 237.6 400 243.4 400 249.4C400 261.9 389.9 272 377.4 272H70.63C58.13 272 47.1 261.9 47.1 249.4C47.1 243.4 50.38 237.6 54.63 233.4L58.51 229.5C82.51 205.5 95.1 172.9 95.1 138.1L96 128zM297.3 96H296C275.5 96 257.3 86.4 245.6 71.46C231.9 95.67 205.8 112 176 112H145.6C144.6 117.2 144 122.5 144 128V144C144 188.2 179.8 224 224 224C268.2 224 304 188.2 304 144V128C304 116.6 301.6 105.8 297.3 96zM295.8 320.3C380.7 324.1 448 395.3 448 481.3C448 498.2 434.2 512 417.3 512H30.72C13.75 512 0 498.2 0 481.3C0 395.3 67.34 324.1 152.2 320.3L224 416L295.8 320.3z"],
    "user-xmark": [640, 512, ["user-times"], "f235", "M274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512h378.7C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM577.9 223.1l47.03-47.03c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0L544 190.1l-47.03-47.03c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94l47.03 47.03l-47.03 47.03c-9.375 9.375-9.375 24.56 0 33.94c9.373 9.373 24.56 9.381 33.94 0L544 257.9l47.03 47.03c9.373 9.373 24.56 9.381 33.94 0c9.375-9.375 9.375-24.56 0-33.94L577.9 223.1z"],
    "users": [640, 512, [], "f0c0", "M319.9 320c57.41 0 103.1-46.56 103.1-104c0-57.44-46.54-104-103.1-104c-57.41 0-103.1 46.56-103.1 104C215.9 273.4 262.5 320 319.9 320zM369.9 352H270.1C191.6 352 128 411.7 128 485.3C128 500.1 140.7 512 156.4 512h327.2C499.3 512 512 500.1 512 485.3C512 411.7 448.4 352 369.9 352zM512 160c44.18 0 80-35.82 80-80S556.2 0 512 0c-44.18 0-80 35.82-80 80S467.8 160 512 160zM183.9 216c0-5.449 .9824-10.63 1.609-15.91C174.6 194.1 162.6 192 149.9 192H88.08C39.44 192 0 233.8 0 285.3C0 295.6 7.887 304 17.62 304h199.5C196.7 280.2 183.9 249.7 183.9 216zM128 160c44.18 0 80-35.82 80-80S172.2 0 128 0C83.82 0 48 35.82 48 80S83.82 160 128 160zM551.9 192h-61.84c-12.8 0-24.88 3.037-35.86 8.24C454.8 205.5 455.8 210.6 455.8 216c0 33.71-12.78 64.21-33.16 88h199.7C632.1 304 640 295.6 640 285.3C640 233.8 600.6 192 551.9 192z"],
    "users-between-lines": [640, 512, [], "e591", "M0 24C0 10.75 10.75 0 24 0H616C629.3 0 640 10.75 640 24C640 37.25 629.3 48 616 48H24C10.75 48 0 37.25 0 24zM0 488C0 474.7 10.75 464 24 464H616C629.3 464 640 474.7 640 488C640 501.3 629.3 512 616 512H24C10.75 512 0 501.3 0 488zM211.2 160C211.2 195.3 182.5 224 147.2 224C111.9 224 83.2 195.3 83.2 160C83.2 124.7 111.9 96 147.2 96C182.5 96 211.2 124.7 211.2 160zM32 320C32 284.7 60.65 256 96 256H192C204.2 256 215.7 259.4 225.4 265.4C188.2 280.5 159.8 312.6 149.6 352H64C46.33 352 32 337.7 32 320V320zM415.9 264.6C425.3 259.1 436.3 256 448 256H544C579.3 256 608 284.7 608 320C608 337.7 593.7 352 576 352H493.6C483.2 311.9 453.1 279.4 415.9 264.6zM391.2 290.4C423.3 297.8 449.3 321.3 460.1 352C463.7 362 465.6 372.8 465.6 384C465.6 401.7 451.3 416 433.6 416H209.6C191.9 416 177.6 401.7 177.6 384C177.6 372.8 179.5 362 183.1 352C193.6 322.3 218.3 299.2 249.1 291.1C256.1 289.1 265.1 288 273.6 288H369.6C377 288 384.3 288.8 391.2 290.4zM563.2 160C563.2 195.3 534.5 224 499.2 224C463.9 224 435.2 195.3 435.2 160C435.2 124.7 463.9 96 499.2 96C534.5 96 563.2 124.7 563.2 160zM241.6 176C241.6 131.8 277.4 96 321.6 96C365.8 96 401.6 131.8 401.6 176C401.6 220.2 365.8 256 321.6 256C277.4 256 241.6 220.2 241.6 176z"],
    "users-gear": [640, 512, ["users-cog"], "f509", "M512 160c44.18 0 80-35.82 80-80S556.2 0 512 0c-44.18 0-80 35.82-80 80S467.8 160 512 160zM128 160c44.18 0 80-35.82 80-80S172.2 0 128 0C83.82 0 48 35.82 48 80S83.82 160 128 160zM319.9 320c57.41 0 103.1-46.56 103.1-104c0-57.44-46.54-104-103.1-104c-57.41 0-103.1 46.56-103.1 104C215.9 273.4 262.5 320 319.9 320zM368 400c0-16.69 3.398-32.46 8.619-47.36C374.3 352.5 372.2 352 369.9 352H270.1C191.6 352 128 411.7 128 485.3C128 500.1 140.7 512 156.4 512h266.1C389.5 485.6 368 445.5 368 400zM183.9 216c0-5.449 .9824-10.63 1.609-15.91C174.6 194.1 162.6 192 149.9 192H88.08C39.44 192 0 233.8 0 285.3C0 295.6 7.887 304 17.62 304h199.5C196.7 280.2 183.9 249.7 183.9 216zM551.9 192h-61.84c-12.8 0-24.88 3.037-35.86 8.24C454.8 205.5 455.8 210.6 455.8 216c0 21.47-5.625 41.38-14.65 59.34C462.2 263.4 486.1 256 512 256c42.48 0 80.27 18.74 106.6 48h3.756C632.1 304 640 295.6 640 285.3C640 233.8 600.6 192 551.9 192zM618.1 366.7c-5.025-16.01-13.59-30.62-24.75-42.71c-1.674-1.861-4.467-2.326-6.699-1.023l-19.17 11.07c-8.096-6.887-17.4-12.28-27.45-15.82V295.1c0-2.514-1.861-4.746-4.281-5.213c-16.56-3.723-33.5-3.629-49.32 0C484.9 291.2 483.1 293.5 483.1 295.1v22.24c-10.05 3.537-19.36 8.932-27.45 15.82l-19.26-11.07c-2.139-1.303-4.932-.8379-6.697 1.023c-11.17 12.1-19.73 26.71-24.66 42.71c-.7441 2.512 .2793 5.117 2.42 6.326l19.17 11.17c-1.859 10.42-1.859 21.21 0 31.64l-19.17 11.17c-2.234 1.209-3.164 3.816-2.42 6.328c4.932 16.01 13.49 30.52 24.66 42.71c1.766 1.863 4.467 2.328 6.697 1.025l19.26-11.07c8.094 6.887 17.4 12.28 27.45 15.82v22.24c0 2.514 1.77 4.746 4.188 5.211c16.66 3.723 33.5 3.629 49.32 0c2.42-.4648 4.281-2.697 4.281-5.211v-22.24c10.05-3.535 19.36-8.932 27.45-15.82l19.17 11.07c2.141 1.303 5.025 .8379 6.699-1.025c11.17-12.1 19.73-26.7 24.75-42.71c.7441-2.512-.2773-5.119-2.512-6.328l-19.17-11.17c1.953-10.42 1.953-21.22 0-31.64l19.17-11.17C618.7 371.8 619.7 369.2 618.1 366.7zM512 432c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32s32 14.33 32 32C544 417.7 529.7 432 512 432z"],
    "users-line": [640, 512, [], "e592", "M211.2 96C211.2 131.3 182.5 160 147.2 160C111.9 160 83.2 131.3 83.2 96C83.2 60.65 111.9 32 147.2 32C182.5 32 211.2 60.65 211.2 96zM32 256C32 220.7 60.65 192 96 192H192C204.2 192 215.7 195.4 225.4 201.4C188.2 216.5 159.8 248.6 149.6 288H64C46.33 288 32 273.7 32 256V256zM415.9 200.6C425.3 195.1 436.3 192 448 192H544C579.3 192 608 220.7 608 256C608 273.7 593.7 288 576 288H493.6C483.2 247.9 453.1 215.4 415.9 200.6zM391.2 226.4C423.3 233.8 449.3 257.3 460.1 288C463.7 298 465.6 308.8 465.6 320C465.6 337.7 451.3 352 433.6 352H209.6C191.9 352 177.6 337.7 177.6 320C177.6 308.8 179.5 298 183.1 288C193.6 258.3 218.3 235.2 249.1 227.1C256.1 225.1 265.1 224 273.6 224H369.6C377 224 384.3 224.8 391.2 226.4zM563.2 96C563.2 131.3 534.5 160 499.2 160C463.9 160 435.2 131.3 435.2 96C435.2 60.65 463.9 32 499.2 32C534.5 32 563.2 60.65 563.2 96zM241.6 112C241.6 67.82 277.4 32 321.6 32C365.8 32 401.6 67.82 401.6 112C401.6 156.2 365.8 192 321.6 192C277.4 192 241.6 156.2 241.6 112zM608 416C625.7 416 640 430.3 640 448C640 465.7 625.7 480 608 480H32C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416H608z"],
    "users-medical": [640, 512, [], "f830", "M628 380h-48v-48c0-6.627-5.373-12-12-12h-48c-6.627 0-12 5.373-12 12v48h-48c-6.627 0-12 5.373-12 12v48c0 6.627 5.373 12 12 12h48v48c0 6.627 5.373 12 12 12h48c6.627 0 12-5.373 12-12v-48h48c6.627 0 12-5.373 12-12v-48C640 385.4 634.6 380 628 380zM490.1 192c-12.8 0-24.88 3.037-35.86 8.24C454.8 205.5 455.8 210.6 455.8 216c0 33.71-12.78 64.21-33.16 88h63.7C494.4 294.3 506.4 288 520 288h48c13.57 0 25.58 6.309 33.65 16h20.73C632.1 304 640 295.6 640 285.3C640 233.8 600.6 192 551.9 192H490.1zM319.9 320c57.41 0 103.1-46.56 103.1-104c0-57.44-46.54-104-103.1-104c-57.41 0-103.1 46.56-103.1 104C215.9 273.4 262.5 320 319.9 320zM512 160c44.18 0 80-35.82 80-80S556.2 0 512 0c-44.18 0-80 35.82-80 80S467.8 160 512 160zM476 484h-16c-24.26 0-44-19.74-44-44v-48c0-10.1 4.199-20.94 10.89-28.66C409.4 356.1 390.2 352 369.9 352H270.1C191.6 352 128 411.7 128 485.3C128 500.1 140.7 512 156.4 512h321.5C476.8 508.2 476 504.2 476 500V484zM183.9 216c0-5.449 .9824-10.63 1.609-15.91C174.6 194.1 162.6 192 149.9 192H88.08C39.44 192 0 233.8 0 285.3C0 295.6 7.887 304 17.62 304h199.5C196.7 280.2 183.9 249.7 183.9 216zM128 160c44.18 0 80-35.82 80-80S172.2 0 128 0C83.82 0 48 35.82 48 80S83.82 160 128 160z"],
    "users-rays": [640, 512, [], "e593", "M112.1 79.03C122.3 88.4 122.3 103.6 112.1 112.1C103.6 122.3 88.4 122.3 79.03 112.1L7.029 40.97C-2.343 31.6-2.343 16.4 7.029 7.029C16.4-2.343 31.6-2.343 40.97 7.029L112.1 79.03zM599 7.029C608.4-2.343 623.6-2.343 632.1 7.029C642.3 16.4 642.3 31.6 632.1 40.97L560.1 112.1C551.6 122.3 536.4 122.3 527 112.1C517.7 103.6 517.7 88.4 527 79.03L599 7.029zM7.029 471L79.03 399C88.4 389.7 103.6 389.7 112.1 399C122.3 408.4 122.3 423.6 112.1 432.1L40.97 504.1C31.6 514.3 16.4 514.3 7.029 504.1C-2.343 495.6-2.343 480.4 7.029 471V471zM527 432.1C517.7 423.6 517.7 408.4 527 399C536.4 389.7 551.6 389.7 560.1 399L632.1 471C642.3 480.4 642.3 495.6 632.1 504.1C623.6 514.3 608.4 514.3 599 504.1L527 432.1zM256 192C256 156.7 284.7 128 320 128C355.3 128 384 156.7 384 192C384 227.3 355.3 256 320 256C284.7 256 256 227.3 256 192zM265.5 289.5C266.3 289.3 267.1 289.1 267.1 288.1C271.9 288.3 275.9 288 280 288H360C364.1 288 368.1 288.3 372 288.1C396.6 293.1 416.9 309.7 426.3 331.1C426.9 333.3 427.4 334.6 427.9 336C430.6 343.5 432 351.6 432 360C432 373.3 421.3 384 408 384H232C218.7 384 208 373.3 208 360C208 351.6 209.4 343.5 212.1 336C220.4 312.5 240.6 294.6 265.5 289.5V289.5zM127.8 176C127.8 149.5 149.3 128 175.8 128C202.3 128 223.8 149.5 223.8 176C223.8 202.5 202.3 224 175.8 224C149.3 224 127.8 202.5 127.8 176V176zM218.7 256C227.8 256 236.5 258.3 244 262.4C211.6 274.3 186.8 301.9 178.8 336H122.7C107.9 336 96 324.1 96 309.3C96 279.9 119.9 256 149.3 256H218.7zM517.3 336H461.2C453.2 301.9 428.4 274.3 395.1 262.4C403.5 258.3 412.2 256 421.3 256H490.7C520.1 256 544 279.9 544 309.3C544 324.1 532.1 336 517.3 336H517.3zM416 176C416 149.5 437.5 128 464 128C490.5 128 512 149.5 512 176C512 202.5 490.5 224 464 224C437.5 224 416 202.5 416 176z"],
    "users-rectangle": [640, 512, [], "e594", "M223.8 176C223.8 202.5 202.3 224 175.8 224C149.3 224 127.8 202.5 127.8 176C127.8 149.5 149.3 128 175.8 128C202.3 128 223.8 149.5 223.8 176zM96 309.3C96 279.9 119.9 256 149.3 256H218.7C227.8 256 236.5 258.3 244 262.4C211.6 274.3 186.8 301.9 178.8 336H122.7C107.9 336 96 324.1 96 309.3H96zM395.1 262.4C403.5 258.3 412.2 256 421.3 256H490.7C520.1 256 544 279.9 544 309.3C544 324.1 532.1 336 517.3 336H461.2C453.2 301.9 428.4 274.3 395.1 262.4H395.1zM372 288.1C398 293.4 419.3 311.7 427.9 336C430.6 343.5 432 351.6 432 360C432 373.3 421.3 384 408 384H232C218.7 384 208 373.3 208 360C208 351.6 209.4 343.5 212.1 336C220.7 311.7 241.1 293.4 267.1 288.1C271.9 288.3 275.9 288 280 288H360C364.1 288 368.1 288.3 372 288.1V288.1zM512 176C512 202.5 490.5 224 464 224C437.5 224 416 202.5 416 176C416 149.5 437.5 128 464 128C490.5 128 512 149.5 512 176zM256 192C256 156.7 284.7 128 320 128C355.3 128 384 156.7 384 192C384 227.3 355.3 256 320 256C284.7 256 256 227.3 256 192zM544 0C597 0 640 42.98 640 96V416C640 469 597 512 544 512H96C42.98 512 0 469 0 416V96C0 42.98 42.98 0 96 0H544zM64 416C64 433.7 78.33 448 96 448H544C561.7 448 576 433.7 576 416V96C576 78.33 561.7 64 544 64H96C78.33 64 64 78.33 64 96V416z"],
    "users-slash": [640, 512, [], "e073", "M512 160c44.18 0 80-35.82 80-80S556.2 0 512 0c-44.18 0-80 35.82-80 80S467.8 160 512 160zM490.1 192c-12.8 0-24.88 3.037-35.86 8.24C454.8 205.5 455.8 210.6 455.8 216c0 33.71-12.78 64.21-33.16 88h199.7C632.1 304 640 295.6 640 285.3C640 233.8 600.6 192 551.9 192H490.1zM396.6 285.5C413.4 267.2 423.8 242.9 423.8 216c0-57.44-46.54-104-103.1-104c-35.93 0-67.07 18.53-85.59 46.3L193.1 126.1C202.4 113.1 208 97.24 208 80C208 35.82 172.2 0 128 0C103.8 0 82.52 10.97 67.96 27.95L38.81 5.109C34.41 1.672 29.19 0 24.03 0C16.91 0 9.846 3.156 5.127 9.188C-3.061 19.62-1.248 34.72 9.189 42.89l591.1 463.1c10.5 8.203 25.56 6.328 33.69-4.078c8.188-10.44 6.375-25.53-4.062-33.7L396.6 285.5zM270.1 352C191.6 352 128 411.7 128 485.3C128 500.1 140.7 512 156.4 512h327.2c11.62 0 21.54-6.583 25.95-15.96L325.7 352H270.1zM186.1 243.2L121.6 192H88.08C39.44 192 0 233.8 0 285.3C0 295.6 7.887 304 17.62 304h199.5C202.4 286.8 191.8 266.1 186.1 243.2z"],
    "users-viewfinder": [640, 512, [], "e595", "M48 136C48 149.3 37.25 160 24 160C10.75 160 0 149.3 0 136V32C0 14.33 14.33 0 32 0H136C149.3 0 160 10.75 160 24C160 37.25 149.3 48 136 48H48V136zM127.8 176C127.8 149.5 149.3 128 175.8 128C202.3 128 223.8 149.5 223.8 176C223.8 202.5 202.3 224 175.8 224C149.3 224 127.8 202.5 127.8 176V176zM218.7 256C227.8 256 236.5 258.3 244 262.4C211.6 274.3 186.8 301.9 178.8 336H122.7C107.9 336 96 324.1 96 309.3C96 279.9 119.9 256 149.3 256H218.7zM517.3 336H461.2C453.2 301.9 428.4 274.3 395.1 262.4C403.5 258.3 412.2 256 421.3 256H490.7C520.1 256 544 279.9 544 309.3C544 324.1 532.1 336 517.3 336H517.3zM432 360C432 373.3 421.3 384 408 384H232C218.7 384 208 373.3 208 360C208 351.6 209.4 343.5 212.1 336C220.7 311.7 241.1 293.4 267.1 288.1C271.9 288.3 275.9 288 280 288H360C364.1 288 368.1 288.3 372 288.1C398 293.4 419.3 311.7 427.9 336C430.6 343.5 432 351.6 432 360zM416 176C416 149.5 437.5 128 464 128C490.5 128 512 149.5 512 176C512 202.5 490.5 224 464 224C437.5 224 416 202.5 416 176zM384 192C384 227.3 355.3 256 320 256C284.7 256 256 227.3 256 192C256 156.7 284.7 128 320 128C355.3 128 384 156.7 384 192zM480 24C480 10.75 490.7 0 504 0H608C625.7 0 640 14.33 640 32V136C640 149.3 629.3 160 616 160C602.7 160 592 149.3 592 136V48H504C490.7 48 480 37.25 480 24zM48 464H136C149.3 464 160 474.7 160 488C160 501.3 149.3 512 136 512H32C14.33 512 0 497.7 0 480V376C0 362.7 10.75 352 24 352C37.25 352 48 362.7 48 376V464zM504 464H592V376C592 362.7 602.7 352 616 352C629.3 352 640 362.7 640 376V480C640 497.7 625.7 512 608 512H504C490.7 512 480 501.3 480 488C480 474.7 490.7 464 504 464z"],
    "utensils": [448, 512, [61685, 127860, "cutlery"], "f2e7", "M221.6 148.7C224.7 161.3 224.8 174.5 222.1 187.2C219.3 199.1 213.6 211.9 205.6 222.1C191.1 238.6 173 249.1 151.1 254.1V472C151.1 482.6 147.8 492.8 140.3 500.3C132.8 507.8 122.6 512 111.1 512C101.4 512 91.22 507.8 83.71 500.3C76.21 492.8 71.1 482.6 71.1 472V254.1C50.96 250.1 31.96 238.9 18.3 222.4C10.19 212.2 4.529 200.3 1.755 187.5C-1.019 174.7-.8315 161.5 2.303 148.8L32.51 12.45C33.36 8.598 35.61 5.197 38.82 2.9C42.02 .602 45.97-.4297 49.89 .0026C53.82 .4302 57.46 2.303 60.1 5.259C62.74 8.214 64.18 12.04 64.16 16V160H81.53L98.62 11.91C99.02 8.635 100.6 5.621 103.1 3.434C105.5 1.248 108.7 .0401 111.1 .0401C115.3 .0401 118.5 1.248 120.9 3.434C123.4 5.621 124.1 8.635 125.4 11.91L142.5 160H159.1V16C159.1 12.07 161.4 8.268 163.1 5.317C166.6 2.366 170.2 .474 174.1 .0026C178-.4262 181.1 .619 185.2 2.936C188.4 5.253 190.6 8.677 191.5 12.55L221.6 148.7zM448 472C448 482.6 443.8 492.8 436.3 500.3C428.8 507.8 418.6 512 408 512C397.4 512 387.2 507.8 379.7 500.3C372.2 492.8 368 482.6 368 472V352H351.2C342.8 352 334.4 350.3 326.6 347.1C318.9 343.8 311.8 339.1 305.8 333.1C299.9 327.1 295.2 320 291.1 312.2C288.8 304.4 287.2 296 287.2 287.6L287.1 173.8C288 136.9 299.1 100.8 319.8 70.28C340.5 39.71 369.8 16.05 404.1 2.339C408.1 .401 414.2-.3202 419.4 .2391C424.6 .7982 429.6 2.62 433.9 5.546C438.2 8.472 441.8 12.41 444.2 17.03C446.7 21.64 447.1 26.78 448 32V472z"],
    "utensils-slash": [640, 512, [], "e464", "M96.35 172.2L248 291.2V472C248 482.6 243.8 492.8 236.3 500.3C228.8 507.8 218.6 512 208 512C197.4 512 187.2 507.8 179.7 500.3C172.2 492.8 168 482.6 168 472V254.1C147 250.1 128.1 238.8 114.5 222.3C103.1 208.1 96.73 190.5 96.35 172.2zM639.8 485.1C640.6 491.4 638.8 497.8 634.9 502.8C630.1 507.8 625.2 511.1 618.9 511.8C612.6 512.6 606.2 510.8 601.2 506.9L9.184 42.88C4.231 38.93 1.038 33.19 .3029 26.89C-.4322 20.6 1.35 14.28 5.26 9.292C9.171 4.309 14.89 1.074 21.18 .2925C27.46-.4893 33.8 1.245 38.82 5.119L116.6 66.11L128.5 12.42C129.3 8.547 131.6 5.128 134.8 2.829C138 .5309 141.1-.4791 145.9-.001C149.8 .4339 153.5 2.31 156.1 5.265C158.7 8.219 160.2 12.04 160.1 15.1V100.2L181.8 117.2L182.4 117.7L194.6 11.9C195 8.632 196.6 5.617 199.1 3.431C201.5 1.244 204.7 .0365 208 .0365C211.3 .0365 214.5 1.244 216.9 3.431C219.4 5.617 220.1 8.632 221.4 11.9L238.5 159.1H256V15.1C255.1 12.07 257.4 8.264 259.1 5.313C262.6 2.362 266.2 .4704 270.1-.001C274-.4823 278 .5424 281.2 2.868C284.4 5.193 286.7 8.648 287.5 12.54L317.7 148.8C320.3 160 320.7 171.6 318.7 182.9C316.7 194.3 312.5 205.1 306.3 214.7L383.3 275.2L384 173.8C384 136.9 395.1 100.8 415.8 70.27C436.5 39.7 465.9 16.04 500.1 2.335C504.1 .3971 510.2-.3242 515.4 .2352C520.6 .7942 525.6 2.616 529.9 5.542C534.3 8.468 537.8 12.41 540.3 17.02C542.7 21.63 543.1 26.78 544 31.1V401.1L630.8 469.1C635.8 473 639.1 478.8 639.8 485.1L639.8 485.1z"],
    "utility-pole": [512, 512, [], "e2c3", "M488 32c-13.25 0-24 10.75-24 23.1V64h-32V55.1C432 42.75 421.3 32 408 32S384 42.75 384 55.1V64h-96V16C288 7.163 280.8 0 272 0h-32C231.2 0 224 7.163 224 16V64H128V55.1C128 42.75 117.3 32 104 32S80 42.75 80 55.1V64h-32V55.1C48 42.75 37.25 32 24 32S0 42.75 0 55.1V96c0 17.67 14.33 32 32 32h51.16L224 221.9V512h64V221.9L428.8 128H480c17.67 0 32-14.33 32-32V55.1C512 42.75 501.3 32 488 32zM140.8 128H224v55.44L140.8 128zM288 128h83.16L288 183.4V128z"],
    "utility-pole-double": [512, 512, [], "e2c4", "M488 32c-13.25 0-24 10.75-24 23.1V64h-32V55.1C432 42.75 421.3 32 408 32S384 42.75 384 55.1V64h-96V16C288 7.163 280.8 0 272 0h-32C231.2 0 224 7.163 224 16V64H128V55.1C128 42.75 117.3 32 104 32S80 42.75 80 55.1V64h-32V55.1C48 42.75 37.25 32 24 32S0 42.75 0 55.1V96c0 17.67 14.33 32 32 32h51.16L224 221.9V256H128V247.1C128 234.7 117.3 224 104 224S80 234.7 80 247.1V256h-32V247.1C48 234.7 37.25 224 24 224S0 234.7 0 247.1V288c0 17.67 14.33 32 32 32h51.16L224 413.9V512h64v-98.1L428.8 320H480c17.67 0 32-14.33 32-32V247.1C512 234.7 501.3 224 488 224S464 234.7 464 247.1V256h-32V247.1C432 234.7 421.3 224 408 224S384 234.7 384 247.1V256h-96V221.9L428.8 128H480c17.67 0 32-14.33 32-32V55.1C512 42.75 501.3 32 488 32zM140.8 320H224v55.44L140.8 320zM371.2 320L288 375.4V320H371.2zM140.8 128H224v55.44L140.8 128zM288 128h83.16L288 183.4V128z"],
    "v": [384, 512, [118], "56", "M381.5 76.33l-160 384C216.6 472.2 204.9 480 192 480s-24.56-7.757-29.53-19.68l-160-384c-6.797-16.31 .9062-35.05 17.22-41.84c16.38-6.859 35.08 .9219 41.84 17.22L192 364.8l130.5-313.1c6.766-16.3 25.47-24.09 41.84-17.22C380.6 41.28 388.3 60.01 381.5 76.33z"],
    "vacuum": [640, 512, [], "e04d", "M143.3 256l-41.13 192H48C21.5 448 0 469.5 0 496C0 504.9 7.125 512 16 512h160C184.9 512 192 504.9 192 496v-32C192 455.1 184.9 448 176 448H167.6l41.14-192H143.3zM640 128c-.125-70.63-57.38-127.9-128-128H301.6c-60 0-112.6 42.47-125.1 101.2L150.1 224h65.5L239 114.6C245.5 85.11 271.5 64.13 301.6 64H512c32.63 .125 59.88 24.75 63.38 57.25c3.5 32.38-18.01 62.25-49.89 69.25C489.2 150.6 437.9 128 384 128c-17.62 0-32 14.38-32 32v165.7c-7.68 2.73-15 6.227-21.64 10.72c-10.21 6.906-19.04 15.73-25.94 25.94C294.1 377.7 288 396.1 288 416c0 52.95 43.05 96 96 96h128c35.38 0 64-28.62 64-64v-128c0-25.62-5.145-51-15.02-74.63C607.1 226.1 640 181.1 640 128zM384 448c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S401.6 448 384 448z"],
    "vacuum-robot": [512, 512, [], "e04e", "M437 74.99C337-24.1 174.1-25 74.99 74.99C-24.1 174.1-24.99 337 74.99 437c99.99 99.99 262 99.99 362 .0027C536.1 337 536.1 174.1 437 74.99zM203.3 395.3c-3.125 3.125-7.219 4.688-11.31 4.688s-8.188-1.563-11.31-4.688l-64-64c-6.25-6.25-6.25-16.38 0-22.63s16.38-6.25 22.63 0l64 64C209.6 378.9 209.6 389.1 203.3 395.3zM283.3 379.3C280.2 382.4 276.1 383.1 272 383.1s-8.188-1.563-11.31-4.688L132.7 251.3c-6.25-6.25-6.25-16.38 0-22.63s16.38-6.25 22.62 0l128 128C289.6 362.9 289.6 373.1 283.3 379.3zM299.3 299.3C296.2 302.4 292.1 303.1 288 303.1s-8.188-1.562-11.31-4.687l-64-64C206.4 229.1 206.4 218.9 212.7 212.7s16.38-6.25 22.63 0l64 64C305.6 282.9 305.6 293.1 299.3 299.3zM379.3 379.3c-3.125 3.125-7.219 4.688-11.31 4.688s-8.188-1.563-11.31-4.688c-6.25-6.25-6.25-16.38 0-22.63c27.47-27.47 42.84-63.31 43.31-100.9c.4687-38.13-14.44-74.31-41.98-101.8c-27.52-27.53-62.72-41.97-101.8-41.97C218.6 112.5 182.8 127.8 155.3 155.3c-6.25 6.25-16.38 6.25-22.63 0s-6.25-16.38 0-22.63c33.41-33.41 77.13-52.13 123.1-52.69c45.98-1.094 91.14 17.66 124.8 51.34c33.69 33.69 51.92 78.03 51.36 124.8C431.4 302.2 412.7 345.9 379.3 379.3z"],
    "value-absolute": [512, 512, [], "f6a6", "M374.6 137.4c-12.5-12.5-32.75-12.5-45.25 0L256 210.8L182.6 137.4c-12.5-12.5-32.75-12.5-45.25 0s-12.5 32.75 0 45.25l73.38 73.37l-73.38 73.38c-12.5 12.5-12.5 32.75 0 45.25C143.6 380.9 151.8 384 160 384s16.38-3.125 22.62-9.375L256 301.3l73.38 73.38C335.6 380.9 343.8 384 352 384s16.38-3.125 22.62-9.375c12.5-12.5 12.5-32.75 0-45.25l-73.38-73.38l73.38-73.37C387.1 170.1 387.1 149.9 374.6 137.4zM32 32.01c-17.67 0-32 14.31-32 32v384c0 17.69 14.33 32 32 32s32-14.31 32-32v-384C64 46.33 49.67 32.01 32 32.01zM480 32.01c-17.67 0-32 14.31-32 32v384c0 17.69 14.33 32 32 32s32-14.31 32-32v-384C512 46.33 497.7 32.01 480 32.01z"],
    "van-shuttle": [640, 512, [128656, "shuttle-van"], "f5b6", "M592 384H576C576 437 533 480 480 480C426.1 480 384 437 384 384H256C256 437 213 480 160 480C106.1 480 64 437 64 384H48C21.49 384 0 362.5 0 336V104C0 64.24 32.24 32 72 32H465.1C483.1 32 501.9 40.34 514.1 54.78L624.1 186.5C634.7 197.1 640 212.6 640 227.7V336C640 362.5 618.5 384 592 384zM64 192H160V96H72C67.58 96 64 99.58 64 104V192zM545.1 192L465.1 96H384V192H545.1zM320 192V96H224V192H320zM480 336C453.5 336 432 357.5 432 384C432 410.5 453.5 432 480 432C506.5 432 528 410.5 528 384C528 357.5 506.5 336 480 336zM160 432C186.5 432 208 410.5 208 384C208 357.5 186.5 336 160 336C133.5 336 112 357.5 112 384C112 410.5 133.5 432 160 432z"],
    "vault": [576, 512, [], "e2c5", "M144 240C144 195.8 179.8 160 224 160C268.2 160 304 195.8 304 240C304 284.2 268.2 320 224 320C179.8 320 144 284.2 144 240zM512 0C547.3 0 576 28.65 576 64V416C576 451.3 547.3 480 512 480H496L480 512H416L400 480H176L160 512H96L80 480H64C28.65 480 0 451.3 0 416V64C0 28.65 28.65 0 64 0H512zM224 400C312.4 400 384 328.4 384 240C384 151.6 312.4 80 224 80C135.6 80 64 151.6 64 240C64 328.4 135.6 400 224 400zM480 221.3C498.6 214.7 512 196.9 512 176C512 149.5 490.5 128 464 128C437.5 128 416 149.5 416 176C416 196.9 429.4 214.7 448 221.3V336C448 344.8 455.2 352 464 352C472.8 352 480 344.8 480 336V221.3z"],
    "vector-circle": [512, 512, [], "e2c6", "M192 32C192 14.33 206.3 0 224 0H288C305.7 0 320 14.33 320 32V41.28C392.2 62.78 449.2 119.8 470.7 192H480C497.7 192 512 206.3 512 224V288C512 305.7 497.7 320 480 320H470.7C449.2 392.2 392.2 449.2 320 470.7V480C320 497.7 305.7 512 288 512H224C206.3 512 192 497.7 192 480V470.7C119.8 449.2 62.78 392.2 41.28 320H32C14.33 320 0 305.7 0 288V224C0 206.3 14.33 192 32 192H41.28C62.78 119.8 119.8 62.78 192 41.28V32zM317.6 108.3C312.7 119.9 301.3 128 288 128H224C210.7 128 199.3 119.9 194.4 108.3C155.6 124.5 124.5 155.6 108.3 194.4C119.9 199.3 128 210.7 128 224V288C128 301.3 119.9 312.7 108.3 317.6C124.5 356.4 155.6 387.5 194.4 403.7C199.3 392.1 210.7 384 224 384H288C301.3 384 312.7 392.1 317.6 403.7C356.4 387.5 387.5 356.4 403.7 317.6C392.1 312.7 384 301.3 384 288V224C384 210.7 392.1 199.3 403.7 194.4C387.5 155.6 356.4 124.5 317.6 108.3zM240 80H272V48H240V80zM272 432H240V464H272V432zM432 272H464V240H432V272zM80 240H48V272H80V240z"],
    "vector-polygon": [448, 512, [], "e2c7", "M0 64C0 46.33 14.33 32 32 32H96C113.7 32 128 46.33 128 64H320C320 46.33 334.3 32 352 32H416C433.7 32 448 46.33 448 64V128C448 145.7 433.7 160 416 160H384.3L351.4 217.6C351.8 219.7 352 221.8 352 224V288C352 290.2 351.8 292.3 351.4 294.4L384.3 352H416C433.7 352 448 366.3 448 384V448C448 465.7 433.7 480 416 480H352C334.3 480 320 465.7 320 448H128C128 465.7 113.7 480 96 480H32C14.33 480 0 465.7 0 448V384C0 366.3 14.33 352 32 352V160C14.33 160 0 145.7 0 128V64zM322.2 372.3L292.3 320H256C238.3 320 224 305.7 224 288V224C224 206.3 238.3 192 256 192H292.3L322.2 139.7C320.8 136.1 320 132.1 320 128H128C128 145.7 113.7 160 96 160V352C113.7 352 128 366.3 128 384H320C320 379.9 320.8 375.9 322.2 372.3zM48 112H80V80H48V112zM368 112H400V80H368V112zM80 400H48V432H80V400zM368 432H400V400H368V432zM304 240H272V272H304V240z"],
    "vector-square": [448, 512, [], "f5cb", "M416 32C433.7 32 448 46.33 448 64V128C448 145.7 433.7 160 416 160V352C433.7 352 448 366.3 448 384V448C448 465.7 433.7 480 416 480H352C334.3 480 320 465.7 320 448H128C128 465.7 113.7 480 96 480H32C14.33 480 0 465.7 0 448V384C0 366.3 14.33 352 32 352V160C14.33 160 0 145.7 0 128V64C0 46.33 14.33 32 32 32H96C113.7 32 128 46.33 128 64H320C320 46.33 334.3 32 352 32H416zM368 80V112H400V80H368zM96 160V352C113.7 352 128 366.3 128 384H320C320 366.3 334.3 352 352 352V160C334.3 160 320 145.7 320 128H128C128 145.7 113.7 160 96 160zM48 400V432H80V400H48zM400 432V400H368V432H400zM80 112V80H48V112H80z"],
    "vent-damper": [640, 512, [], "e465", "M176 272h288C472.8 272 480 264.8 480 256s-7.168-16-16-16h-288C167.2 240 160 247.2 160 256S167.2 272 176 272zM176 208h288C472.8 208 480 200.8 480 192s-7.168-16-16-16h-288C167.2 176 160 183.2 160 192S167.2 208 176 208zM608 160h-32V128c0-35.36-28.64-64-64-64H128C92.64 64 64 92.64 64 128v32H32C14.34 160 0 174.3 0 192v128c0 17.66 14.34 32 32 32h32v32c0 35.36 28.64 64 64 64h384c35.36 0 64-28.64 64-64v-32h32c17.66 0 32-14.34 32-32V192C640 174.3 625.7 160 608 160zM512 384H128V128h384V384zM176 336h288c8.832 0 16-7.168 16-16s-7.168-16-16-16h-288C167.2 304 160 311.2 160 320S167.2 336 176 336z"],
    "venus": [384, 512, [9792], "f221", "M368 176c0-97.2-78.8-176-176-176c-97.2 0-176 78.8-176 176c0 86.26 62.1 157.9 144 172.1v35.05H112c-8.836 0-16 7.162-16 16v32c0 8.836 7.164 16 16 16H160v48c0 8.836 7.164 16 16 16h32c8.838 0 16-7.164 16-16v-48h48c8.838 0 16-7.164 16-16v-32c0-8.838-7.162-16-16-16H224v-35.05C305.9 333.9 368 262.3 368 176zM192 272c-52.93 0-96-43.07-96-96c0-52.94 43.07-96 96-96c52.94 0 96 43.06 96 96C288 228.9 244.9 272 192 272z"],
    "venus-double": [640, 512, [9890], "f226", "M368 176c0-97.2-78.8-176-176-176c-97.2 0-176 78.8-176 176c0 86.26 62.1 157.9 144 172.1v35.05H112c-8.836 0-16 7.162-16 16v32c0 8.836 7.164 16 16 16H160v48c0 8.836 7.164 16 16 16h32c8.838 0 16-7.164 16-16v-48h48c8.838 0 16-7.164 16-16v-32c0-8.838-7.162-16-16-16H224v-35.05C305.9 333.9 368 262.3 368 176zM192 272c-52.93 0-96-43.07-96-96c0-52.94 43.07-96 96-96c52.94 0 96 43.06 96 96C288 228.9 244.9 272 192 272zM624 176C624 78.8 545.2 0 448 0c-39.02 0-74.95 12.85-104.1 34.34c18.38 19.7 32.94 42.91 42.62 68.58C403.2 88.83 424.5 80 448 80c52.94 0 96 43.06 96 96c0 52.93-43.06 96-96 96c-23.57 0-44.91-8.869-61.63-23.02c-9.572 25.45-23.95 48.54-42.23 68.23C365.1 332.7 389.3 344 416 348.1V384h-48c-8.836 0-16 7.162-16 16v32c0 8.836 7.164 16 16 16H416v48c0 8.836 7.164 16 16 16h32c8.838 0 16-7.164 16-16V448h48c8.838 0 16-7.164 16-16v-32c0-8.838-7.162-16-16-16H480v-35.05C561.9 333.9 624 262.3 624 176z"],
    "venus-mars": [640, 512, [9892], "f228", "M256 384H208v-35.05C289.9 333.9 352 262.3 352 176c0-97.2-78.8-176-176-176c-97.2 0-176 78.8-176 176c0 86.26 62.1 157.9 144 172.1v35.05H96c-8.836 0-16 7.162-16 16v32c0 8.836 7.164 16 16 16h48v48c0 8.836 7.164 16 16 16h32c8.838 0 16-7.164 16-16v-48H256c8.838 0 16-7.164 16-16v-32C272 391.2 264.8 384 256 384zM176 272c-52.93 0-96-43.07-96-96c0-52.94 43.07-96 96-96c52.94 0 96 43.06 96 96C272 228.9 228.9 272 176 272zM624 0h-112.4c-21.38 0-32.09 25.85-16.97 40.97l29.56 29.56l-24.55 24.55c-29.97-20.66-64.81-31.05-99.74-31.05c-15.18 0-30.42 2.225-45.19 6.132c13.55 22.8 22.82 48.36 26.82 75.67c6.088-1.184 12.27-1.785 18.45-1.785c24.58 0 49.17 9.357 67.88 28.07c37.43 37.43 37.43 98.33 0 135.8c-18.71 18.71-43.3 28.07-67.88 28.07c-23.55 0-46.96-8.832-65.35-26.01c-15.92 18.84-34.93 35.1-56.75 47.35c11.45 5.898 20.17 16.3 23.97 28.82C331.5 406 365.7 416 400 416c45.04 0 90.08-17.18 124.5-51.55c60.99-60.99 67.73-155.6 20.47-224.1l24.55-24.55l29.56 29.56c4.889 4.889 10.9 7.078 16.8 7.078C628.2 152.4 640 142.8 640 128.4V16C640 7.164 632.8 0 624 0z"],
    "vest": [448, 512, [], "e085", "M437.3 239.9L384 160V32c0-17.67-14.33-32-32-32h-32c-4.75 0-9.375 1.406-13.31 4.031l-25 16.66c-35.03 23.38-80.28 23.38-115.4 0l-25-16.66C137.4 1.406 132.8 0 128 0H96C78.33 0 64 14.33 64 32v128L10.75 239.9C3.74 250.4 0 262.7 0 275.4V480c0 17.67 14.33 32 32 32h160V288c0-3.439 .5547-6.855 1.643-10.12l13.49-40.48L150.2 66.56C173.2 79.43 198.5 86.25 224 86.25s50.79-6.824 73.81-19.69L224 288v224h192c17.67 0 32-14.33 32-32V275.4C448 262.7 444.3 250.4 437.3 239.9zM131.3 371.3l-48 48C80.19 422.4 76.09 424 72 424s-8.188-1.562-11.31-4.688c-6.25-6.25-6.25-16.38 0-22.62l48-48c6.25-6.25 16.38-6.25 22.62 0S137.6 365.1 131.3 371.3zM387.3 419.3C384.2 422.4 380.1 424 376 424s-8.188-1.562-11.31-4.688l-48-48c-6.25-6.25-6.25-16.38 0-22.62s16.38-6.25 22.62 0l48 48C393.6 402.9 393.6 413.1 387.3 419.3z"],
    "vest-patches": [448, 512, [], "e086", "M437.3 239.9L384 160V32c0-17.67-14.33-32-32-32h-32c-4.75 0-9.375 1.406-13.31 4.031l-25 16.66c-35.03 23.38-80.28 23.38-115.4 0l-25-16.66C137.4 1.406 132.8 0 128 0H96C78.33 0 64 14.33 64 32v128L10.75 239.9C3.74 250.4 0 262.7 0 275.4V480c0 17.67 14.33 32 32 32h160V288c0-3.439 .5547-6.855 1.643-10.12l13.49-40.48L150.2 66.56C173.2 79.43 198.5 86.25 224 86.25s50.79-6.824 73.81-19.69L224 288v224h192c17.67 0 32-14.33 32-32V275.4C448 262.7 444.3 250.4 437.3 239.9zM63.5 272.5c-4.656-4.688-4.656-12.31 0-17c4.688-4.688 12.31-4.688 17 0L96 271l15.5-15.5c4.688-4.688 12.31-4.688 17 0c4.656 4.688 4.656 12.31 0 17L113 288l15.5 15.5c4.656 4.688 4.656 12.31 0 17C126.2 322.8 123.1 324 120 324s-6.156-1.156-8.5-3.5L96 305l-15.5 15.5C78.16 322.8 75.06 324 72 324s-6.156-1.156-8.5-3.5c-4.656-4.688-4.656-12.31 0-17L79 288L63.5 272.5zM96 456c-22.09 0-40-17.91-40-40S73.91 376 96 376S136 393.9 136 416S118.1 456 96 456zM359.2 335.8L310.7 336C306.1 336 303.1 333 304 329.3l.2158-48.53c.1445-14.4 12.53-25.98 27.21-24.67c12.79 1.162 22.13 12.62 22.06 25.42l-.0557 5.076l5.069-.0566c12.83-.0352 24.24 9.275 25.4 22.08C385.2 323.3 373.7 335.7 359.2 335.8z"],
    "vial": [512, 512, [129514], "f492", "M502.6 169.4l-160-160C336.4 3.125 328.2 0 320 0s-16.38 3.125-22.62 9.375c-12.5 12.5-12.5 32.75 0 45.25l6.975 6.977l-271.4 271c-38.75 38.75-45.13 102-9.375 143.5C44.08 500 72.76 512 101.5 512h.4473c26.38 0 52.75-9.1 72.88-30.12l275.2-274.6l7.365 7.367C463.6 220.9 471.8 224 480 224s16.38-3.125 22.62-9.375C515.1 202.1 515.1 181.9 502.6 169.4zM310.6 256H200.2l149.3-149.1l55.18 55.12L310.6 256z"],
    "vial-circle-check": [512, 512, [], "e596", "M0 64C0 46.33 14.33 32 32 32H224C241.7 32 256 46.33 256 64C256 81.67 241.7 96 224 96V266.8C203.8 295.4 192 330.3 192 368C192 393.2 197.3 417.1 206.8 438.8C189.5 463.7 160.6 480 128 480C74.98 480 32 437 32 384V96C14.33 96 0 81.67 0 64V64zM96 192H160V96H96V192zM512 368C512 447.5 447.5 512 368 512C288.5 512 224 447.5 224 368C224 288.5 288.5 224 368 224C447.5 224 512 288.5 512 368zM412.7 324.7L352 385.4L323.3 356.7C317.1 350.4 306.9 350.4 300.7 356.7C294.4 362.9 294.4 373.1 300.7 379.3L340.7 419.3C346.9 425.6 357.1 425.6 363.3 419.3L435.3 347.3C441.6 341.1 441.6 330.9 435.3 324.7C429.1 318.4 418.9 318.4 412.7 324.7H412.7z"],
    "vial-virus": [576, 512, [], "e597", "M256 32C273.7 32 288 46.33 288 64C288 81.67 273.7 96 256 96V207.1C252.9 209.1 249.9 211.5 247.2 214.2C225.3 236.1 225.3 271.6 247.2 293.4C247.4 293.6 247.4 293.7 247.5 293.8L247.5 293.8C247.5 293.9 247.5 294.1 247.4 294.4C247.3 294.6 247.1 294.8 247.1 294.8L247 294.9C246.1 294.9 246.8 294.9 246.6 294.9C215.7 294.9 190.6 319.1 190.6 350.9C190.6 381.8 215.7 406.9 246.6 406.9C246.8 406.9 246.1 406.9 247 406.9L247.1 406.9C247.1 406.1 247.3 407.1 247.4 407.4C247.5 407.7 247.5 407.9 247.5 407.1L247.5 408C247.4 408.1 247.4 408.2 247.2 408.3C236 419.5 230.6 434.2 230.8 448.8C213.3 467.1 188 480 160 480C106.1 480 64 437 64 384V96C46.33 96 32 81.67 32 64C32 46.33 46.33 32 64 32H256zM192 192V96H128V192H192zM383.8 189.7C397.1 189.7 407.8 200.4 407.8 213.7C407.8 242.9 443.2 257.6 463.9 236.9C473.3 227.5 488.5 227.5 497.8 236.9C507.2 246.2 507.2 261.4 497.8 270.8C477.2 291.5 491.8 326.9 521.1 326.9C534.3 326.9 545.1 337.6 545.1 350.9C545.1 364.1 534.3 374.9 521.1 374.9C491.8 374.9 477.2 410.3 497.8 430.9C507.2 440.3 507.2 455.5 497.8 464.9C488.5 474.3 473.3 474.3 463.9 464.9C443.2 444.2 407.8 458.9 407.8 488.1C407.8 501.4 397.1 512.1 383.8 512.1C370.6 512.1 359.8 501.4 359.8 488.1C359.8 458.9 324.5 444.2 303.8 464.9C294.4 474.3 279.2 474.3 269.8 464.9C260.5 455.5 260.5 440.3 269.8 430.9C290.5 410.3 275.9 374.9 246.6 374.9C233.4 374.9 222.6 364.1 222.6 350.9C222.6 337.6 233.4 326.9 246.6 326.9C275.9 326.9 290.5 291.5 269.8 270.8C260.5 261.4 260.5 246.2 269.8 236.9C279.2 227.5 294.4 227.5 303.8 236.9C324.5 257.6 359.8 242.9 359.8 213.7C359.8 200.4 370.6 189.7 383.8 189.7H383.8zM352 352C369.7 352 384 337.7 384 320C384 302.3 369.7 288 352 288C334.3 288 320 302.3 320 320C320 337.7 334.3 352 352 352zM416 360C402.7 360 392 370.7 392 384C392 397.3 402.7 408 416 408C429.3 408 440 397.3 440 384C440 370.7 429.3 360 416 360z"],
    "vials": [512, 512, [], "f493", "M200 32h-176C10.75 32 0 42.74 0 56C0 69.25 10.75 80 24 80H32v320C32 444.1 67.88 480 112 480S192 444.1 192 400v-320h8C213.3 80 224 69.25 224 56C224 42.74 213.3 32 200 32zM144 256h-64V80h64V256zM488 32h-176C298.7 32 288 42.74 288 56c0 13.25 10.75 24 24 24H320v320c0 44.13 35.88 80 80 80s80-35.88 80-80v-320h8C501.3 80 512 69.25 512 56C512 42.74 501.3 32 488 32zM432 256h-64V80h64V256z"],
    "video": [576, 512, ["video-camera"], "f03d", "M384 112v288c0 26.51-21.49 48-48 48h-288c-26.51 0-48-21.49-48-48v-288c0-26.51 21.49-48 48-48h288C362.5 64 384 85.49 384 112zM576 127.5v256.9c0 25.5-29.17 40.39-50.39 25.79L416 334.7V177.3l109.6-75.56C546.9 87.13 576 102.1 576 127.5z"],
    "video-arrow-down-left": [576, 512, [], "e2c8", "M336 64h-288C21.49 64 0 85.49 0 112v288C0 426.5 21.49 448 48 448h288c26.51 0 48-21.49 48-48v-288C384 85.49 362.5 64 336 64zM296.1 184.1l-135 135H216c13.25 0 24 10.75 24 23.1s-10.75 24-24 24h-112c-13.25 0-24-10.75-24-24v-112c0-13.25 10.75-24 24-24S128 218.8 128 232v54.06l135-135C267.7 146.4 273.8 144 280 144s12.28 2.344 16.97 7.031C306.3 160.4 306.3 175.6 296.1 184.1zM525.6 101.8L416 177.3v157.4l109.6 75.49C546.8 424.8 576 409.9 576 384.4V127.5C576 102.1 546.9 87.14 525.6 101.8z"],
    "video-arrow-up-right": [576, 512, [], "e2c9", "M525.6 101.8L416 177.3v157.4l109.6 75.49C546.8 424.8 576 409.9 576 384.4V127.5C576 102.1 546.9 87.14 525.6 101.8zM336 64h-288C21.49 64 0 85.49 0 112v288C0 426.5 21.49 448 48 448h288c26.51 0 48-21.49 48-48v-288C384 85.49 362.5 64 336 64zM304 280c0 13.25-10.75 23.1-24 23.1S256 293.3 256 280V225.1l-135 135C116.3 365.7 110.2 368 104 368s-12.28-2.344-16.97-7.031c-9.375-9.375-9.375-24.56 0-33.94l135-135H168c-13.25 0-24-10.75-24-24s10.75-23.1 24-23.1h112c13.25 0 24 10.75 24 24V280z"],
    "video-plus": [576, 512, [], "f4e1", "M336 64h-288C21.49 64 0 85.49 0 112v288C0 426.5 21.49 448 48 448h288c26.51 0 48-21.49 48-48v-288C384 85.49 362.5 64 336 64zM272 279.1H215.1v56C215.1 349.3 205.3 360 192 360c-13.27 0-23.1-10.74-23.1-23.1V279.1H111.1C98.73 279.1 88 269.3 88 256c0-13.26 10.74-23.1 23.1-23.1H168V175.1C168 162.7 178.7 152 192 152s23.1 10.74 23.1 23.1V232H272C285.3 232 296 242.7 296 256S285.3 279.1 272 279.1zM525.6 101.7L416 177.3v157.4l109.6 75.49C546.8 424.8 576 409.9 576 384.4V127.5C576 102.1 546.9 87.13 525.6 101.7z"],
    "video-slash": [640, 512, [], "f4e2", "M32 399.1c0 26.51 21.49 47.1 47.1 47.1h287.1c19.57 0 36.34-11.75 43.81-28.56L32 121.8L32 399.1zM630.8 469.1l-89.21-69.92l15.99 11.02c21.22 14.59 50.41-.2971 50.41-25.8V127.5c0-25.41-29.07-40.37-50.39-25.76l-109.6 75.56l.0001 148.5l-32-25.08l.0001-188.7c0-26.51-21.49-47.1-47.1-47.1H113.9L38.81 5.111C34.41 1.673 29.19 0 24.03 0C16.91 0 9.84 3.158 5.121 9.189C-3.066 19.63-1.249 34.72 9.189 42.89l591.1 463.1c10.5 8.203 25.57 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1z"],
    "vihara": [640, 512, [], "f6a7", "M280.1 22.03L305.8 4.661C307.1 3.715 308.4 2.908 309.9 2.246C313.1 .7309 316.6-.0029 319.1 0C323.4-.0029 326.9 .7309 330.1 2.246C331.6 2.909 332.9 3.716 334.2 4.661L359 22.03C392.1 45.8 430.8 63.52 470.8 74.42L493.8 80.71C495.6 81.17 497.4 81.83 499 82.68C502.2 84.33 504.1 86.66 507.1 89.43C510.8 94.38 512.7 100.7 511.8 107.2C511.4 109.1 510.6 112.6 509.3 115C507.7 118.2 505.3 120.1 502.6 123.1C498.3 126.3 492.1 128.1 487.5 128H480V184.1L491.7 193.3C512.8 210 536.6 222.9 562.2 231.4L591.1 241.1C592.7 241.6 594.2 242.2 595.7 243C598.8 244.8 601.4 247.2 603.5 249.1C605.5 252.8 606.9 256 607.6 259.6C608.1 262.2 608.2 265 607.7 267.8C607.2 270.6 606.3 273.3 604.1 275.7C603.2 278.8 600.8 281.5 598 283.5C595.2 285.5 591.1 286.9 588.4 287.6C586.8 287.9 585.1 288 583.4 288H544V353.9C564.5 376.7 591.4 393 621.4 400.6C632 403 640 412.6 640 424C640 437.3 629.3 448 616 448H576V480C576 497.7 561.7 512 544 512C526.3 512 512 497.7 512 480V448H352V480C352 497.7 337.7 512 320 512C302.3 512 288 497.7 288 480V448H128V480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480V448H24C10.75 448 0 437.3 0 424C0 412.6 7.962 403 18.63 400.6C48.61 393 75.51 376.7 96 353.9V288H56.55C54.87 288 53.2 287.9 51.57 287.6C48.03 286.9 44.77 285.5 41.96 283.5C39.16 281.5 36.77 278.8 35.03 275.7C33.69 273.3 32.76 270.6 32.31 267.8C31.85 265 31.9 262.2 32.41 259.6C33.07 256 34.51 252.8 36.53 249.1C38.55 247.2 41.19 244.8 44.34 243C45.78 242.2 47.32 241.6 48.94 241.1L77.81 231.4C103.4 222.9 127.2 210 148.3 193.3L160 184.1V128H152.5C147 128.1 141.7 126.3 137.4 123.1C134.7 120.1 132.3 118.2 130.7 115C129.4 112.6 128.6 109.1 128.2 107.2C127.3 100.7 129.2 94.38 132.9 89.43C135 86.66 137.8 84.33 140.1 82.68C142.6 81.83 144.4 81.17 146.2 80.71L169.2 74.42C209.2 63.52 247 45.8 280.1 22.03H280.1zM223.1 128V192H416V128H223.1zM159.1 352H480V288H159.1V352z"],
    "violin": [640, 512, [127931], "f8ed", "M471.1 96.01c13.25 0 24-10.75 24-24c0-13.25-10.75-24-24-24c-13.25 0-24 10.75-24 24C447.1 85.26 458.7 96.01 471.1 96.01zM519.1 48.01c13.25 0 24-10.75 24-24s-10.75-24-24-24s-24 10.75-24 24S506.7 48.01 519.1 48.01zM237.6 415.9l-13.45-13.47c-5.375-5.375-13.82-6.25-20.2-2l-68.83 45.83c-4 2.75-6.642 6.996-7.017 11.75c-.5 4.75 1.118 9.503 4.62 12.88l36.39 36.38c3.377 3.5 8.125 5.114 12.87 4.614c4.75-.375 9.001-3.011 11.75-7.011l45.86-68.81C243.8 429.7 242.9 421.3 237.6 415.9zM615.1 96.01c-13.25 0-24 10.75-24 24s10.75 24 24 24C629.2 144 640 133.3 640 120S629.2 96.01 615.1 96.01zM457.8 227.5l177.5-177.5c6.25-6.254 6.266-16.43 .0161-22.68l-22.59-22.59c-6.252-6.25-16.42-6.251-22.67-.0007l-177.5 177.5c-12.13-8.75-25.54-15.78-40.16-19.15c-32.88-7.754-65.77-.9639-88.65 21.04c2.75 7.879 4.098 16.03 4.223 24.28C288.1 237.8 272.1 264.6 246.3 278.6c-25.75 14-57.25 12.9-81.75-3.099c-2.5 1.875-4.834 3.879-7.209 6.004c-31.25 31.13-36.55 79.22-19.42 124.5l48.25-32.26c19-12.62 44.38-10.12 60.63 6.004l13.38 13.5c16.13 16.25 18.63 41.5 6 60.5l-32.13 48.25c45.13 17.13 93.28 11.74 124.4-19.39c2.25-2.375 4.244-4.869 6.244-7.494c-18.63-28.25-17.4-65.24 3.106-92.12c20.63-26.88 55.93-37.55 88.06-26.93c21.88-22.88 28.64-55.68 21.01-88.44C473.5 253 466.5 239.6 457.8 227.5zM567.1 144c-13.25 0-24 10.75-24 24c0 13.25 10.75 24 24 24c13.25 0 24-10.75 24-24C591.1 154.8 581.2 144 567.1 144zM345 7.031c-9.376-9.375-24.56-9.375-33.94 0L7.032 311c-9.376 9.375-9.376 24.56 0 33.94c4.688 4.688 10.83 7.031 16.97 7.031s12.28-2.344 16.97-7.031l304-304C354.4 31.59 354.4 16.41 345 7.031z"],
    "virus": [512, 512, [], "e074", "M288 43.55C288 93.44 348.3 118.4 383.6 83.15L391.8 74.98C404.3 62.48 424.5 62.48 437 74.98C449.5 87.48 449.5 107.7 437 120.2L428.9 128.4C393.6 163.7 418.6 224 468.5 224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H468.5C418.6 288 393.6 348.3 428.9 383.6L437 391.8C449.5 404.3 449.5 424.5 437 437C424.5 449.5 404.3 449.5 391.8 437L383.6 428.9C348.3 393.6 288 418.6 288 468.5V480C288 497.7 273.7 512 256 512C238.3 512 224 497.7 224 480V468.5C224 418.6 163.7 393.6 128.4 428.9L120.2 437C107.7 449.5 87.48 449.5 74.98 437C62.48 424.5 62.48 404.3 74.98 391.8L83.15 383.6C118.4 348.3 93.44 288 43.55 288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H43.55C93.44 224 118.4 163.7 83.15 128.4L74.98 120.2C62.48 107.7 62.48 87.48 74.98 74.98C87.48 62.48 107.7 62.48 120.2 74.98L128.4 83.15C163.7 118.4 224 93.44 224 43.55V32C224 14.33 238.3 0 256 0C273.7 0 288 14.33 288 32V43.55zM224 176C197.5 176 176 197.5 176 224C176 250.5 197.5 272 224 272C250.5 272 272 250.5 272 224C272 197.5 250.5 176 224 176zM304 328C317.3 328 328 317.3 328 304C328 290.7 317.3 280 304 280C290.7 280 280 290.7 280 304C280 317.3 290.7 328 304 328z"],
    "virus-covid": [512, 512, [], "e4a8", "M192 24C192 10.75 202.7 0 216 0H296C309.3 0 320 10.75 320 24C320 37.25 309.3 48 296 48H280V81.62C310.7 85.8 338.8 97.88 362.3 115.7L386.1 91.95L374.8 80.64C365.4 71.26 365.4 56.07 374.8 46.7C384.2 37.32 399.4 37.32 408.7 46.7L465.3 103.3C474.7 112.6 474.7 127.8 465.3 137.2C455.9 146.6 440.7 146.6 431.4 137.2L420 125.9L396.3 149.7C414.1 173.2 426.2 201.3 430.4 232H464V216C464 202.7 474.7 192 488 192C501.3 192 512 202.7 512 216V296C512 309.3 501.3 320 488 320C474.7 320 464 309.3 464 296V280H430.4C426.2 310.7 414.1 338.8 396.3 362.3L420 386.1L431.4 374.8C440.7 365.4 455.9 365.4 465.3 374.8C474.7 384.2 474.7 399.4 465.3 408.7L408.7 465.3C399.4 474.7 384.2 474.7 374.8 465.3C365.4 455.9 365.4 440.7 374.8 431.4L386.1 420L362.3 396.3C338.8 414.1 310.7 426.2 280 430.4V464H296C309.3 464 320 474.7 320 488C320 501.3 309.3 512 296 512H216C202.7 512 192 501.3 192 488C192 474.7 202.7 464 216 464H232V430.4C201.3 426.2 173.2 414.1 149.7 396.3L125.9 420.1L137.2 431.4C146.6 440.7 146.6 455.9 137.2 465.3C127.8 474.7 112.6 474.7 103.3 465.3L46.7 408.7C37.32 399.4 37.32 384.2 46.7 374.8C56.07 365.4 71.27 365.4 80.64 374.8L91.95 386.1L115.7 362.3C97.88 338.8 85.8 310.7 81.62 280H48V296C48 309.3 37.25 320 24 320C10.75 320 0 309.3 0 296V216C0 202.7 10.75 192 24 192C37.25 192 48 202.7 48 216V232H81.62C85.8 201.3 97.88 173.2 115.7 149.7L91.95 125.9L80.64 137.2C71.26 146.6 56.07 146.6 46.7 137.2C37.32 127.8 37.32 112.6 46.7 103.3L103.3 46.7C112.6 37.33 127.8 37.33 137.2 46.7C146.6 56.07 146.6 71.27 137.2 80.64L125.9 91.95L149.7 115.7C173.2 97.88 201.3 85.8 232 81.62V48H216C202.7 48 192 37.26 192 24V24zM192 176C165.5 176 144 197.5 144 224C144 250.5 165.5 272 192 272C218.5 272 240 250.5 240 224C240 197.5 218.5 176 192 176zM304 328C317.3 328 328 317.3 328 304C328 290.7 317.3 280 304 280C290.7 280 280 290.7 280 304C280 317.3 290.7 328 304 328z"],
    "virus-covid-slash": [640, 512, [], "e4a9", "M134.1 79.83L167.3 46.7C176.6 37.33 191.8 37.33 201.2 46.7C210.6 56.07 210.6 71.27 201.2 80.64L189.9 91.95L213.7 115.7C237.2 97.88 265.3 85.8 295.1 81.62V48H279.1C266.7 48 255.1 37.26 255.1 24C255.1 10.75 266.7 .0003 279.1 .0003H360C373.3 .0003 384 10.75 384 24C384 37.26 373.3 48 360 48H344V81.62C374.7 85.8 402.8 97.88 426.3 115.7L450.1 91.95L438.8 80.64C429.4 71.26 429.4 56.07 438.8 46.7C448.2 37.32 463.4 37.32 472.7 46.7L529.3 103.3C538.7 112.6 538.7 127.8 529.3 137.2C519.9 146.6 504.7 146.6 495.4 137.2L484 125.9L460.3 149.7C478.1 173.2 490.2 201.3 494.4 232H528V216C528 202.7 538.7 192 552 192C565.3 192 576 202.7 576 216V296C576 309.3 565.3 320 552 320C538.7 320 528 309.3 528 296V280H494.4C491.2 303.3 483.4 325.2 472.1 344.7L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L134.1 79.83zM149.2 213.5L401.3 412.2C383.7 421.3 364.4 427.6 344 430.4V464H360C373.3 464 384 474.7 384 488C384 501.3 373.3 512 360 512H279.1C266.7 512 255.1 501.3 255.1 488C255.1 474.7 266.7 464 279.1 464H295.1V430.4C265.3 426.2 237.2 414.1 213.7 396.3L189.9 420.1L201.2 431.4C210.6 440.7 210.6 455.9 201.2 465.3C191.8 474.7 176.6 474.7 167.3 465.3L110.7 408.7C101.3 399.4 101.3 384.2 110.7 374.8C120.1 365.4 135.3 365.4 144.6 374.8L155.1 386.1L179.7 362.3C161.9 338.8 149.8 310.7 145.6 280H111.1V296C111.1 309.3 101.3 320 87.1 320C74.74 320 63.1 309.3 63.1 296V216C63.1 202.7 74.74 192 87.1 192C101.3 192 111.1 202.7 111.1 216V232H145.6C146.5 225.7 147.7 219.6 149.2 213.5L149.2 213.5z"],
    "virus-slash": [640, 512, [], "e075", "M134.7 80.27C135.9 78.4 137.3 76.62 138.1 74.98C151.5 62.48 171.7 62.48 184.2 74.98L192.4 83.15C227.7 118.4 287.1 93.44 287.1 43.55V32C287.1 14.33 302.3 0 319.1 0C337.7 0 352 14.33 352 32V43.55C352 93.44 412.3 118.4 447.6 83.15L455.8 74.98C468.3 62.48 488.5 62.48 501 74.98C513.5 87.48 513.5 107.7 501 120.2L492.9 128.4C457.6 163.7 482.6 224 532.4 224H544C561.7 224 576 238.3 576 256C576 273.7 561.7 288 544 288H532.5C497.2 288 474.4 318.1 476.5 348.1L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L134.7 80.27zM264.6 182.1L334.3 236.7C335.4 232.7 336 228.4 336 224C336 197.5 314.5 176 288 176C279.5 176 271.5 178.2 264.6 182.1V182.1zM107.5 224C122.5 224 135.2 218.6 144.7 210L401.1 412.7C375.6 415.7 352 437.2 352 468.5V480C352 497.7 337.7 512 319.1 512C302.3 512 287.1 497.7 287.1 480V468.5C287.1 418.6 227.7 393.6 192.4 428.9L184.2 437C171.7 449.5 151.5 449.5 138.1 437C126.5 424.5 126.5 404.3 138.1 391.8L147.1 383.6C182.4 348.3 157.4 288 107.5 288H95.1C78.33 288 63.1 273.7 63.1 256C63.1 238.3 78.33 224 95.1 224H107.5z"],
    "viruses": [640, 512, [], "e076", "M346.5 213.3h16.16C374.5 213.3 384 203.8 384 192c0-11.79-9.541-21.33-21.33-21.33h-16.16c-38.01 0-57.05-45.96-30.17-72.84l11.44-11.44c8.332-8.332 8.331-21.83-.0012-30.17c-8.334-8.334-21.83-8.332-30.17 .002L286.2 67.66C259.3 94.54 213.3 75.51 213.3 37.49V21.33C213.3 9.542 203.8 0 192 0S170.7 9.542 170.7 21.33v16.16c0 38.01-45.96 57.05-72.84 30.17L86.4 56.23c-8.334-8.334-21.83-8.336-30.17-.002c-8.332 8.334-8.333 21.84-.0012 30.17L67.66 97.83c26.88 26.88 7.842 72.84-30.17 72.84H21.33C9.541 170.7 0 180.2 0 192c0 11.79 9.541 21.33 21.33 21.33h16.16c38.01 0 57.05 45.96 30.17 72.84L56.23 297.6c-8.332 8.334-8.328 21.84 .0043 30.17c4.168 4.168 9.621 6.248 15.08 6.248s10.92-2.082 15.08-6.25L97.83 316.3c26.88-26.88 72.84-7.842 72.84 30.17v16.16C170.7 374.5 180.2 384 192 384s21.33-9.543 21.33-21.33v-16.16c0-38.01 45.96-57.05 72.84-30.17l11.43 11.43c4.168 4.168 9.625 6.25 15.08 6.25s10.91-2.08 15.08-6.248c8.332-8.332 8.333-21.83 .0012-30.17L316.3 286.2C289.5 259.3 308.5 213.3 346.5 213.3zM160 192C142.3 192 128 177.7 128 160c0-17.67 14.33-32 32-32s32 14.33 32 32C192 177.7 177.7 192 160 192zM240 224C231.2 224 224 216.8 224 208C224 199.2 231.2 192 240 192S256 199.2 256 208C256 216.8 248.8 224 240 224zM624 352h-12.12c-28.51 0-42.79-34.47-22.63-54.63l8.576-8.576c6.25-6.25 6.25-16.37 0-22.62s-16.38-6.253-22.62-.0031l-8.576 8.576C546.5 294.9 512 280.6 512 252.1V240C512 231.2 504.8 224 496 224S480 231.2 480 240v12.12c0 28.51-34.47 42.79-54.63 22.63l-8.576-8.576c-6.25-6.25-16.37-6.253-22.62-.0031s-6.253 16.38-.0031 22.63l8.576 8.576C422.9 317.5 408.6 352 380.1 352H368c-8.844 0-16 7.156-16 16s7.156 16 16 16h12.12c28.51 0 42.79 34.47 22.63 54.63l-8.576 8.576c-6.25 6.25-6.253 16.37-.0031 22.62c3.125 3.125 7.222 4.691 11.32 4.691s8.188-1.562 11.31-4.688l8.576-8.576C445.5 441.1 480 455.4 480 483.9V496c0 8.844 7.156 16 16 16s16-7.156 16-16v-12.12c0-28.51 34.47-42.79 54.63-22.63l8.576 8.576c3.125 3.125 7.219 4.688 11.31 4.688s8.184-1.559 11.31-4.684c6.25-6.25 6.253-16.38 .0031-22.63l-8.576-8.576C569.1 418.5 583.4 384 611.9 384H624c8.844 0 16-7.156 16-16S632.8 352 624 352zM480 384c-17.67 0-32-14.33-32-32c0-17.67 14.33-32 32-32s32 14.33 32 32C512 369.7 497.7 384 480 384z"],
    "voicemail": [640, 512, [], "f897", "M495.1 96c-53.13 0-102 29.25-127 76.13c-25 46.88-22.25 103.8 7.25 147.9H263.7c36.63-54.88 31.25-127.8-13-176.8c-44.38-48.87-116.4-61.37-174.6-30.25s-87.88 97.88-71.75 162c16 64 73.63 108.1 139.6 108.1h352C575.5 384 640 319.5 640 240S575.5 96 495.1 96zM63.99 240c0-44.12 35.88-80 80-80s80 35.88 80 80s-35.88 79.1-80 79.1S63.99 284.1 63.99 240zM495.1 320c-44.13 0-80-35.88-80-79.1s35.88-80 80-80s80 35.88 80 80S540.1 320 495.1 320z"],
    "volcano": [512, 512, [127755], "f770", "M304.4 224H207.6C197.7 224 188.5 228.5 182.4 236.3l-55.63 71l13.25 16.5C149.7 336 170.2 336 180.1 323.8c10.75-13.5 26.75-21.25 44.13-21.5c17.13-1.5 33.5 7 44.75 20l31.63 36.88c9.751 11.38 29.13 11.38 39 0l45.13-52.62l-55-70.25C323.5 228.5 314.3 224 304.4 224zM159.1 144c12.88 0 24.75-3.875 34.75-10.38L223.1 192h64l29.25-58.38C327.3 140.1 339.1 144 352 144c35.25 0 64-28.75 64-64s-28.75-64-64-64c-15.75 0-30 5.875-41.25 15.38C299.6 12.75 279.4 0 255.1 0C232.6 0 212.4 12.75 201.2 31.38C189.1 21.88 175.7 16 159.1 16c-35.25 0-64 28.75-64 64S124.7 144 159.1 144zM505.5 460.8l-100.8-128.6l-41 47.63C352.8 392.6 336.8 400 320 400s-32.75-7.25-43.75-20.25L244.6 343C239.7 337.3 232.6 334 225.1 334H224.7c-7.751 .25-14.88 3.75-19.63 9.75c-22.13 27.5-68.13 27.5-90.13 0l-8.376-10.62l-100.1 127.6C-9.397 481.9 5.727 512 32.1 512h447.9C506.3 512 521.4 481.9 505.5 460.8z"],
    "volleyball": [512, 512, [127952, "volleyball-ball"], "f45f", "M200.3 106C185.4 80.24 165.2 53.9 137.4 29.26C55.75 72.05 0 157.4 0 256c0 21.33 2.898 41.94 7.814 61.75C53.59 182.1 155.1 124.9 200.3 106zM381.7 281.1c1.24-9.223 2.414-22.08 2.414-37.65c0-59.1-16.93-157.2-111.5-242.6C267.1 .4896 261.6 0 256 0C225.5 0 196.5 5.591 169.4 15.36c93.83 90.15 102.6 198.5 102.8 231.7C287.8 255.9 327.3 275.1 381.7 281.1zM240.1 246.5C239.1 228.5 236.9 184.7 214.9 134.6C173.6 151.6 60.4 211.7 26.67 369.2c15.66 31.64 37.52 59.66 64.22 82.23C122 325.1 211.5 263.3 240.1 246.5zM326.5 10.07c74.79 84.9 89.5 175.9 89.5 234c0 15.45-1.042 28.56-2.27 38.61l.5501 .0005c29.54 0 62.2-4.325 97.16-15.99C511.6 263.1 512 259.6 512 256C512 139.1 433.6 40.72 326.5 10.07zM255.7 274.5c-15.43 9.086-51.89 33.63-84.32 77.86c26.34 20.33 93.51 63.27 189.5 63.27c32.83 0 69.02-5.021 108.1-17.69c19.08-28.59 32.41-61.34 38.71-96.47C474.5 311.1 443 315 414.4 315C334.6 315 276.5 286.3 255.7 274.5zM153.1 379.3c-14.91 25.71-27.62 56.33-35.03 92.72C158.6 497.2 205.5 512 256 512c69 0 131.5-27.43 177.5-71.82c-25.42 5.105-49.71 7.668-72.38 7.668C258.6 447.8 185.5 402.1 153.1 379.3z"],
    "volume": [576, 512, [128265, "volume-medium"], "f6a8", "M444.6 181.9c-10.28-8.344-25.41-6.875-33.75 3.406c-8.406 10.25-6.906 25.37 3.375 33.78C425.5 228.4 432 241.8 432 256c0 14.19-6.5 27.62-17.81 36.87c-10.28 8.406-11.78 23.53-3.375 33.78c4.719 5.812 11.62 8.812 18.56 8.812c5.344 0 10.75-1.781 15.19-5.406C467.1 311.6 480 284.7 480 256S467.1 200.4 444.6 181.9zM505.1 108c-10.22-8.344-25.34-6.906-33.78 3.344c-8.406 10.25-6.906 25.37 3.344 33.78C508.6 172.9 528 213.3 528 256s-19.44 83.09-53.31 110.9c-10.25 8.406-11.75 23.53-3.344 33.78c4.75 5.781 11.62 8.781 18.56 8.781c5.375 0 10.75-1.781 15.22-5.437C550.2 367.1 576 313.1 576 256S550.2 144.9 505.1 108zM333.2 34.84c-11.5-5.187-25.01-3.116-34.43 5.259L163.8 160H80c-26.51 0-48 21.49-48 47.1v95.1c0 26.51 21.49 47.1 48 47.1h83.84l134.9 119.9C304.7 477.2 312.3 480 320 480c4.438 0 8.959-.9313 13.16-2.837C344.7 472 352 460.6 352 448V64C352 51.41 344.7 39.1 333.2 34.84z"],
    "volume-high": [640, 512, [128266, "volume-up"], "f028", "M412.6 182c-10.28-8.334-25.41-6.867-33.75 3.402c-8.406 10.24-6.906 25.35 3.375 33.74C393.5 228.4 400 241.8 400 255.1c0 14.17-6.5 27.59-17.81 36.83c-10.28 8.396-11.78 23.5-3.375 33.74c4.719 5.806 11.62 8.802 18.56 8.802c5.344 0 10.75-1.779 15.19-5.399C435.1 311.5 448 284.6 448 255.1S435.1 200.4 412.6 182zM473.1 108.2c-10.22-8.334-25.34-6.898-33.78 3.34c-8.406 10.24-6.906 25.35 3.344 33.74C476.6 172.1 496 213.3 496 255.1s-19.44 82.1-53.31 110.7c-10.25 8.396-11.75 23.5-3.344 33.74c4.75 5.775 11.62 8.771 18.56 8.771c5.375 0 10.75-1.779 15.22-5.431C518.2 366.9 544 313 544 255.1S518.2 145 473.1 108.2zM534.4 33.4c-10.22-8.334-25.34-6.867-33.78 3.34c-8.406 10.24-6.906 25.35 3.344 33.74C559.9 116.3 592 183.9 592 255.1s-32.09 139.7-88.06 185.5c-10.25 8.396-11.75 23.5-3.344 33.74C505.3 481 512.2 484 519.2 484c5.375 0 10.75-1.779 15.22-5.431C601.5 423.6 640 342.5 640 255.1S601.5 88.34 534.4 33.4zM301.2 34.98c-11.5-5.181-25.01-3.076-34.43 5.29L131.8 160.1H48c-26.51 0-48 21.48-48 47.96v95.92c0 26.48 21.49 47.96 48 47.96h83.84l134.9 119.8C272.7 477 280.3 479.8 288 479.8c4.438 0 8.959-.9314 13.16-2.835C312.7 471.8 320 460.4 320 447.9V64.12C320 51.55 312.7 40.13 301.2 34.98z"],
    "volume-low": [448, 512, [128264, "volume-down"], "f027", "M412.6 181.9c-10.28-8.344-25.41-6.875-33.75 3.406c-8.406 10.25-6.906 25.37 3.375 33.78C393.5 228.4 400 241.8 400 256c0 14.19-6.5 27.62-17.81 36.87c-10.28 8.406-11.78 23.53-3.375 33.78c4.719 5.812 11.62 8.812 18.56 8.812c5.344 0 10.75-1.781 15.19-5.406C435.1 311.6 448 284.7 448 256S435.1 200.4 412.6 181.9zM301.2 34.84c-11.5-5.187-25.01-3.116-34.43 5.259L131.8 160H48c-26.51 0-48 21.49-48 47.1v95.1c0 26.51 21.49 47.1 48 47.1h83.84l134.9 119.9C272.7 477.2 280.3 480 288 480c4.438 0 8.959-.9313 13.16-2.837C312.7 472 320 460.6 320 448V64C320 51.41 312.7 39.1 301.2 34.84z"],
    "volume-off": [320, 512, [], "f026", "M320 64v383.1c0 12.59-7.337 24.01-18.84 29.16C296.1 479.1 292.4 480 288 480c-7.688 0-15.28-2.781-21.27-8.094l-134.9-119.9H48c-26.51 0-48-21.49-48-47.1V208c0-26.51 21.49-47.1 48-47.1h83.84l134.9-119.9c9.422-8.375 22.93-10.45 34.43-5.259C312.7 39.1 320 51.41 320 64z"],
    "volume-slash": [640, 512, [128263], "f2e2", "M630.8 469.1l-88.78-69.59C583.9 362.8 608 310.9 608 256c0-57.12-25.84-111.1-70.88-147.1c-10.22-8.344-25.34-6.906-33.78 3.344c-8.406 10.25-6.906 25.38 3.344 33.78C540.6 172.9 560 213.3 560 256c0 42.69-19.44 83.09-53.31 110.9c-1.045 .8574-1.599 2.029-2.46 3.013l-44.33-34.74c.5039 .0313 .9713 .3249 1.477 .3249c5.344 0 10.75-1.781 15.19-5.406C499.1 311.6 512 284.7 512 256c0-28.65-12.91-55.62-35.44-74.06c-10.28-8.344-25.41-6.875-33.75 3.406c-8.406 10.25-6.906 25.38 3.375 33.78C457.5 228.4 464 241.8 464 256s-6.5 27.62-17.81 36.88c-7.719 6.311-10.48 16.41-7.824 25.39L384 275.7V64c0-12.59-7.337-24.01-18.84-29.16c-11.5-5.188-25.01-3.116-34.43 5.259L214.9 143.1L38.81 5.111C34.41 1.673 29.19 0 24.03 0C16.91 0 9.839 3.158 5.12 9.189c-8.188 10.44-6.37 25.53 4.068 33.7l591.1 463.1c10.5 8.203 25.57 6.328 33.69-4.078C643.1 492.4 641.2 477.3 630.8 469.1zM64 208V304c0 26.51 21.49 47.1 48 47.1h83.84l134.9 119.9C336.7 477.2 344.3 480 352 480c4.438 0 8.959-.9312 13.16-2.837C376.7 472 384 460.6 384 448v-50.34L88.75 166.3C74.05 174.5 64 189.1 64 208z"],
    "volume-xmark": [576, 512, ["volume-mute", "volume-times"], "f6a9", "M301.2 34.85c-11.5-5.188-25.02-3.122-34.44 5.253L131.8 160H48c-26.51 0-48 21.49-48 47.1v95.1c0 26.51 21.49 47.1 48 47.1h83.84l134.9 119.9c5.984 5.312 13.58 8.094 21.26 8.094c4.438 0 8.972-.9375 13.17-2.844c11.5-5.156 18.82-16.56 18.82-29.16V64C319.1 51.41 312.7 40 301.2 34.85zM513.9 255.1l47.03-47.03c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0L480 222.1L432.1 175c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94l47.03 47.03l-47.03 47.03c-9.375 9.375-9.375 24.56 0 33.94c9.373 9.373 24.56 9.381 33.94 0L480 289.9l47.03 47.03c9.373 9.373 24.56 9.381 33.94 0c9.375-9.375 9.375-24.56 0-33.94L513.9 255.1z"],
    "vr-cardboard": [640, 512, [], "f729", "M576 64H64c-35.2 0-64 28.8-64 64v256c0 35.2 28.8 64 64 64l128.3 .0001c25.18 0 48.03-14.77 58.37-37.73l27.76-61.65c7.875-17.5 24-28.63 41.63-28.63s33.75 11.13 41.63 28.63l27.75 61.63c10.35 22.98 33.2 37.75 58.4 37.75L576 448c35.2 0 64-28.8 64-64v-256C640 92.8 611.2 64 576 64zM160 304c-35.38 0-64-28.63-64-64s28.62-63.1 64-63.1s64 28.62 64 63.1S195.4 304 160 304zM480 304c-35.38 0-64-28.63-64-64s28.62-63.1 64-63.1s64 28.62 64 63.1S515.4 304 480 304z"],
    "w": [576, 512, [119], "57", "M573.1 75.25l-144 384c-4.703 12.53-16.67 20.77-29.95 20.77c-.4062 0-.8125 0-1.219-.0156c-13.77-.5156-25.66-9.797-29.52-23.03L288 178.3l-81.28 278.7c-3.859 13.23-15.75 22.52-29.52 23.03c-13.75 .4687-26.33-7.844-31.17-20.75l-144-384c-6.203-16.55 2.188-34.98 18.73-41.2C37.31 27.92 55.75 36.23 61.97 52.78l110.2 293.1l85.08-291.7C261.3 41.41 273.8 32.01 288 32.01s26.73 9.396 30.72 23.05l85.08 291.7l110.2-293.1c6.219-16.55 24.67-24.86 41.2-18.73C571.8 40.26 580.2 58.7 573.1 75.25z"],
    "waffle": [512, 512, [129479], "e466", "M272 336h64v-64h-63.1L272 336zM176 336h64l.002-64H176V336zM176 176v64h64L240 176H176zM272 240H336v-64h-64L272 240zM511.7 225.4c-13.94-118.7-106.7-211.2-225.5-225.1c-10.49-1.242-21.1 1.08-30.16 6.346C246.9 1.406 236.3-.9219 225.8 .334C106.1 14.21 14.26 106.8 .3184 225.4c-1.221 10.55 1.096 21.1 6.359 30.12C1.414 264.6-.9023 275.1 .3184 285.7c14.38 122.6 114.3 217.7 237.7 226.2C238.9 511.1 239.8 512 240.7 512C245.1 512 251.1 510.7 256 508.6C260.9 510.7 266 512 271.3 512c.875 0 1.75-.0313 2.625-.0938c123.4-8.5 223.3-103.6 237.7-226.2c1.221-10.54-1.094-21.08-6.357-30.11C510.6 246.5 512.9 235.1 511.7 225.4zM416 240c8.844 0 16 7.156 16 16S424.8 272 416 272h-48v64H416c8.844 0 16 7.156 16 16s-7.156 16-16 16h-48V416c0 8.844-7.156 16-16 16s-16-7.156-16-16v-48h-64V416c0 8.844-7.156 16-16 16S240 424.8 240 416v-48h-64V416c0 8.844-7.156 16-16 16S144 424.8 144 416v-48H96c-8.844 0-16-7.156-16-16s7.156-16 16-16h48v-64H96C87.16 272 80 264.8 80 256S87.16 240 96 240h48v-64H96C87.16 176 80 168.8 80 160S87.16 144 96 144h48V96c0-8.844 7.156-16 16-16S176 87.16 176 96v48h64V96c0-8.844 7.156-16 16-16s16 7.156 16 16v48h64V96c0-8.844 7.156-16 16-16s16 7.156 16 16v48H416c8.844 0 16 7.156 16 16S424.8 176 416 176h-48v64H416z"],
    "wagon-covered": [640, 512, [], "f8ee", "M4.508 57.42C-5.178 30.3 16.1 2.14 44.84 4.056L194.1 14.01C210.9 15.13 224 29.09 224 45.94V224H64L4.508 57.42zM352 15.1C369.7 15.1 384 30.33 384 47.1V223.1H256V47.1C256 30.33 270.3 15.1 288 15.1H352zM64 287.1C64 270.3 78.33 255.1 96 255.1H544C561.7 255.1 576 270.3 576 287.1C576 305.7 561.7 319.1 544 319.1H542.4C563.1 340.3 576 368.7 576 400C576 461.9 525.9 512 464 512C407.6 512 360.9 470.3 353.1 416H286.9C279.1 470.3 232.4 512 176 512C114.1 512 64 461.9 64 400C64 368.7 76.87 340.3 97.62 319.1H96C78.33 319.1 64 305.7 64 287.1H64zM114 416C119.8 438.5 137.5 456.2 160 461.1V416H114zM160 338C137.5 343.8 119.8 361.5 114 384H160V338zM192 461.1C214.5 456.2 232.2 438.5 237.1 416H192V461.1zM192 384H237.1C232.2 361.5 214.5 343.8 192 338V384zM448 461.1V416H402C407.8 438.5 425.5 456.2 448 461.1zM402 384H448V338C425.5 343.8 407.8 361.5 402 384zM480 416V461.1C502.5 456.2 520.2 438.5 525.1 416H480zM525.1 384C520.2 361.5 502.5 343.8 480 338V384H525.1zM595.2 4.055C623.9 2.14 645.2 30.3 635.5 57.42L576 223.1H416V45.94C416 29.09 429.1 15.13 445.9 14.01L595.2 4.055z"],
    "walker": [448, 512, [], "f831", "M128.1 223.1L63.04 487.8C58.76 504.9 41.38 515.3 24.24 511C7.093 506.8-3.331 489.4 .9552 472.2L100.8 72.72C111.5 29.98 149.9 0 193.1 0H320C373 0 416 42.98 416 96V392.6C435.1 403.6 448 424.3 448 448C448 483.3 419.3 512 384 512C348.7 512 320 483.3 320 448C320 424.3 332.9 403.6 352 392.6V224L128.1 223.1zM193.1 63.1C179.3 63.1 166.5 73.99 162.9 88.24L144.1 159.1H352V95.1C352 78.33 337.7 63.1 320 63.1H193.1zM384 464C392.8 464 400 456.8 400 448C400 439.2 392.8 432 384 432C375.2 432 368 439.2 368 448C368 456.8 375.2 464 384 464z"],
    "walkie-talkie": [384, 512, [], "f8ef", "M352 96h-32V80C320 71.16 312.8 64 304 64h-32C263.2 64 256 71.16 256 80V96h-32V80C224 71.16 216.8 64 208 64h-32C167.2 64 160 71.16 160 80V96H112V23.1C112 10.74 101.3 0 88 0S64 10.74 64 23.1V96H32C14.4 96 0 110.4 0 128v178.7c0 8.484 3.373 16.62 9.371 22.62L32 352v112C32 490.5 53.49 512 80 512h224c26.51 0 48-21.49 48-48V352l22.63-22.63C380.6 323.4 384 315.2 384 306.7V128C384 110.4 369.6 96 352 96zM288 312C288 316.4 284.4 320 280 320h-176C99.63 320 96 316.4 96 312v-16C96 291.6 99.63 288 104 288h176C284.4 288 288 291.6 288 296V312zM288 248C288 252.4 284.4 256 280 256h-176C99.63 256 96 252.4 96 248v-16C96 227.6 99.63 224 104 224h176C284.4 224 288 227.6 288 232V248zM288 184C288 188.4 284.4 192 280 192h-176C99.63 192 96 188.4 96 184v-16C96 163.6 99.63 160 104 160h176C284.4 160 288 163.6 288 168V184z"],
    "wallet": [512, 512, [], "f555", "M448 32C465.7 32 480 46.33 480 64C480 81.67 465.7 96 448 96H80C71.16 96 64 103.2 64 112C64 120.8 71.16 128 80 128H448C483.3 128 512 156.7 512 192V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448zM416 336C433.7 336 448 321.7 448 304C448 286.3 433.7 272 416 272C398.3 272 384 286.3 384 304C384 321.7 398.3 336 416 336z"],
    "wand": [512, 512, [], "f72a", "M376.3 191.1l-279.2 309.5c-12.25 13.5-33.38 14.13-46.37 1.133l-41.4-41.41c-12.1-12.1-12.35-34.09 1.145-46.34l117.5-106V271.1c0-8.874 7.124-16 15.1-16h42.62l279.1-251.8c6.374-5.75 15.1-5.5 22.12 .625l19.5 19.37c5.999 6.125 6.249 15.75 .5 22.12L415.1 147.1v28c0 8.874-7.124 16-15.1 16H376.3z"],
    "wand-magic": [512, 512, ["magic"], "f0d0", "M14.06 463.3C-4.686 444.6-4.686 414.2 14.06 395.4L395.4 14.06C414.2-4.686 444.6-4.686 463.3 14.06L497.9 48.64C516.6 67.38 516.6 97.78 497.9 116.5L116.5 497.9C97.78 516.6 67.38 516.6 48.64 497.9L14.06 463.3zM347.6 187.6L452.6 82.58L429.4 59.31L324.3 164.3L347.6 187.6z"],
    "wand-magic-sparkles": [576, 512, ["magic-wand-sparkles"], "e2ca", "M248.8 4.994C249.9 1.99 252.8 .0001 256 .0001C259.2 .0001 262.1 1.99 263.2 4.994L277.3 42.67L315 56.79C318 57.92 320 60.79 320 64C320 67.21 318 70.08 315 71.21L277.3 85.33L263.2 123C262.1 126 259.2 128 256 128C252.8 128 249.9 126 248.8 123L234.7 85.33L196.1 71.21C193.1 70.08 192 67.21 192 64C192 60.79 193.1 57.92 196.1 56.79L234.7 42.67L248.8 4.994zM427.4 14.06C446.2-4.686 476.6-4.686 495.3 14.06L529.9 48.64C548.6 67.38 548.6 97.78 529.9 116.5L148.5 497.9C129.8 516.6 99.38 516.6 80.64 497.9L46.06 463.3C27.31 444.6 27.31 414.2 46.06 395.4L427.4 14.06zM461.4 59.31L356.3 164.3L379.6 187.6L484.6 82.58L461.4 59.31zM7.491 117.2L64 96L85.19 39.49C86.88 34.98 91.19 32 96 32C100.8 32 105.1 34.98 106.8 39.49L128 96L184.5 117.2C189 118.9 192 123.2 192 128C192 132.8 189 137.1 184.5 138.8L128 160L106.8 216.5C105.1 221 100.8 224 96 224C91.19 224 86.88 221 85.19 216.5L64 160L7.491 138.8C2.985 137.1 0 132.8 0 128C0 123.2 2.985 118.9 7.491 117.2zM359.5 373.2L416 352L437.2 295.5C438.9 290.1 443.2 288 448 288C452.8 288 457.1 290.1 458.8 295.5L480 352L536.5 373.2C541 374.9 544 379.2 544 384C544 388.8 541 393.1 536.5 394.8L480 416L458.8 472.5C457.1 477 452.8 480 448 480C443.2 480 438.9 477 437.2 472.5L416 416L359.5 394.8C354.1 393.1 352 388.8 352 384C352 379.2 354.1 374.9 359.5 373.2z"],
    "wand-sparkles": [512, 512, [], "f72b", "M3.682 149.1L53.32 170.7L74.02 220.3c1.016 2.043 3.698 3.696 5.977 3.696c.0078 0-.0078 0 0 0c2.271-.0156 4.934-1.661 5.946-3.696l20.72-49.63l49.62-20.71c2.023-1.008 3.68-3.681 3.691-5.947C159.1 141.7 158.3 139 156.3 138L106.9 117.4L106.5 117L85.94 67.7C84.93 65.66 82.27 64.02 80 64c-.0078 0 .0078 0 0 0c-2.279 0-4.966 1.649-5.981 3.692L53.32 117.3L3.682 138C1.652 139.1 0 141.7 0 144C0 146.3 1.652 148.9 3.682 149.1zM511.1 368c-.0039-2.273-1.658-4.95-3.687-5.966l-49.57-20.67l-20.77-49.67C436.9 289.7 434.3 288 432 288c-2.281 0-4.948 1.652-5.964 3.695l-20.7 49.63l-49.64 20.71c-2.027 1.016-3.684 3.683-3.687 5.956c.0039 2.262 1.662 4.954 3.687 5.966l49.57 20.67l20.77 49.67C427.1 446.3 429.7 448 432 448c2.277 0 4.944-1.656 5.96-3.699l20.69-49.63l49.65-20.71C510.3 372.9 511.1 370.3 511.1 368zM207.1 64l12.42 29.78C221 95.01 222.6 96 223.1 96s2.965-.9922 3.575-2.219L239.1 64l29.78-12.42c1.219-.6094 2.215-2.219 2.215-3.578c0-1.367-.996-2.969-2.215-3.578L239.1 32L227.6 2.219C226.1 .9922 225.4 0 223.1 0S221 .9922 220.4 2.219L207.1 32L178.2 44.42C176.1 45.03 176 46.63 176 48c0 1.359 .9928 2.969 2.21 3.578L207.1 64zM399.1 191.1c8.875 0 15.1-7.127 15.1-16v-28l91.87-101.7c5.75-6.371 5.5-15.1-.4999-22.12L487.8 4.774c-6.125-6.125-15.75-6.375-22.12-.625L186.6 255.1H144c-8.875 0-15.1 7.125-15.1 15.1v36.88l-117.5 106c-13.5 12.25-14.14 33.34-1.145 46.34l41.4 41.41c12.1 12.1 34.13 12.36 46.37-1.133l279.2-309.5H399.1z"],
    "warehouse": [640, 512, [], "f494", "M0 488V171.3C0 145.2 15.93 121.6 40.23 111.9L308.1 4.753C315.7 1.702 324.3 1.702 331.9 4.753L599.8 111.9C624.1 121.6 640 145.2 640 171.3V488C640 501.3 629.3 512 616 512H568C554.7 512 544 501.3 544 488V223.1C544 206.3 529.7 191.1 512 191.1H128C110.3 191.1 96 206.3 96 223.1V488C96 501.3 85.25 512 72 512H24C10.75 512 0 501.3 0 488zM152 512C138.7 512 128 501.3 128 488V432H512V488C512 501.3 501.3 512 488 512H152zM128 336H512V400H128V336zM128 224H512V304H128V224z"],
    "warehouse-full": [640, 512, ["warehouse-alt"], "f495", "M0 488V171.3C0 145.2 15.93 121.6 40.23 111.9L308.1 4.753C315.7 1.702 324.3 1.702 331.9 4.753L599.8 111.9C624.1 121.6 640 145.2 640 171.3V488C640 501.3 629.3 512 616 512H568C554.7 512 544 501.3 544 488V223.1C544 206.3 529.7 191.1 512 191.1H128C110.3 191.1 96 206.3 96 223.1V488C96 501.3 85.25 512 72 512H24C10.75 512 0 501.3 0 488zM488 384C501.3 384 512 394.7 512 408V488C512 501.3 501.3 512 488 512H376C362.7 512 352 501.3 352 488V408C352 394.7 362.7 384 376 384H488zM128 247.1C128 234.7 138.7 223.1 152 223.1H296C309.3 223.1 320 234.7 320 247.1V328C320 341.3 309.3 352 296 352H152C138.7 352 128 341.3 128 328V247.1zM296 384C309.3 384 320 394.7 320 408V488C320 501.3 309.3 512 296 512H152C138.7 512 128 501.3 128 488V408C128 394.7 138.7 384 152 384H296z"],
    "washing-machine": [448, 512, ["washer"], "f898", "M260.8 284.3C251.3 294.3 237.9 300 224 300S196.7 294.4 187.2 284.4c-20.04 20.5-52.76 20.88-73.3 1C112.7 291.5 112.1 297.8 112 304c0 61.88 50.15 112 112 112s112-50.13 112-112c-.123-6.25-.7461-12.5-1.867-18.75C313.6 305.3 280.9 304.9 260.8 284.3zM384 .0002H63.98C28.63 .0002 0 28.63 0 64v416c0 17.62 14.31 32 31.98 32h384c17.67 0 31.98-14.38 31.98-32V64C448 28.63 419.4 .0002 384 .0002zM184 64C197.3 64 208 74.75 208 88s-10.74 24-23.96 24C170.7 112 160 101.3 160 88S170.7 64 184 64zM64 88c0-13.25 10.82-24 24-24c13.31 0 24 10.75 24 24s-10.69 24-24 24C74.82 112 64 101.3 64 88zM224 448c-79.52 0-143.1-64.5-143.1-144S144.5 160 224 160s143.1 64.5 143.1 144S303.5 448 224 448z"],
    "watch": [384, 512, [8986], "f2e1", "M272 0C298.5 0 320 21.49 320 48V72.15C283.7 46.84 239.6 32 192 32C144.4 32 100.3 46.84 64 72.15V48C64 21.49 85.49 0 112 0H272zM64 464V439.8C100.3 465.2 144.4 480 192 480C239.6 480 283.7 465.2 320 439.8V464C320 490.5 298.5 512 272 512H112C85.49 512 64 490.5 64 464zM384 256C384 362 298 448 192 448C85.96 448 0 362 0 256C0 149.1 85.96 64 192 64C298 64 384 149.1 384 256zM168 176V256C168 264 172 271.5 178.7 275.1L226.7 307.1C237.7 315.3 252.6 312.3 259.1 301.3C267.3 290.3 264.3 275.4 253.3 268L216 243.2V176C216 162.7 205.3 152 191.1 152C178.7 152 167.1 162.7 167.1 176L168 176z"],
    "watch-apple": [384, 512, [], "e2cb", "M64 48C64 21.49 85.49 0 112 0H272C298.5 0 320 21.49 320 48H64zM304 80C348.2 80 384 115.8 384 160V352C384 396.2 348.2 432 304 432H80C35.82 432 0 396.2 0 352V160C0 115.8 35.82 80 80 80H304zM192 298.7C215.6 298.7 234.7 279.6 234.7 256C234.7 232.4 215.6 213.3 192 213.3C168.4 213.3 149.3 232.4 149.3 256C149.3 279.6 168.4 298.7 192 298.7zM245.3 320C227.7 320 213.3 334.3 213.3 352C213.3 369.7 227.7 384 245.3 384C263 384 277.3 369.7 277.3 352C277.3 334.3 263 320 245.3 320zM138.7 384C156.3 384 170.7 369.7 170.7 352C170.7 334.3 156.3 320 138.7 320C120.1 320 106.7 334.3 106.7 352C106.7 369.7 120.1 384 138.7 384zM245.3 128C227.7 128 213.3 142.3 213.3 160C213.3 177.7 227.7 192 245.3 192C263 192 277.3 177.7 277.3 160C277.3 142.3 263 128 245.3 128zM138.7 192C156.3 192 170.7 177.7 170.7 160C170.7 142.3 156.3 128 138.7 128C120.1 128 106.7 142.3 106.7 160C106.7 177.7 120.1 192 138.7 192zM96 224C78.33 224 64 238.3 64 256C64 273.7 78.33 288 96 288C113.7 288 128 273.7 128 256C128 238.3 113.7 224 96 224zM288 288C305.7 288 320 273.7 320 256C320 238.3 305.7 224 288 224C270.3 224 256 238.3 256 256C256 273.7 270.3 288 288 288zM112 512C85.49 512 64 490.5 64 464H320C320 490.5 298.5 512 272 512H112z"],
    "watch-calculator": [384, 512, [], "f8f0", "M64 48C64 21.49 85.49 0 112 0H272C298.5 0 320 21.49 320 48H64zM304 80C348.2 80 384 115.8 384 160V352C384 396.2 348.2 432 304 432H80C35.82 432 0 396.2 0 352V160C0 115.8 35.82 80 80 80H304zM80 144C71.16 144 64 151.2 64 160V192C64 200.8 71.16 208 80 208H304C312.8 208 320 200.8 320 192V160C320 151.2 312.8 144 304 144H80zM88 296C101.3 296 112 285.3 112 272C112 258.7 101.3 248 88 248C74.75 248 64 258.7 64 272C64 285.3 74.75 296 88 296zM192 248C178.7 248 168 258.7 168 272C168 285.3 178.7 296 192 296C205.3 296 216 285.3 216 272C216 258.7 205.3 248 192 248zM296 296C309.3 296 320 285.3 320 272C320 258.7 309.3 248 296 248C282.7 248 272 258.7 272 272C272 285.3 282.7 296 296 296zM88 336C74.75 336 64 346.7 64 360C64 373.3 74.75 384 88 384C101.3 384 112 373.3 112 360C112 346.7 101.3 336 88 336zM192 384C205.3 384 216 373.3 216 360C216 346.7 205.3 336 192 336C178.7 336 168 346.7 168 360C168 373.3 178.7 384 192 384zM296 336C282.7 336 272 346.7 272 360C272 373.3 282.7 384 296 384C309.3 384 320 373.3 320 360C320 346.7 309.3 336 296 336zM112 512C85.49 512 64 490.5 64 464H320C320 490.5 298.5 512 272 512H112z"],
    "watch-fitness": [384, 512, [], "f63e", "M64 48C64 21.49 85.49 0 112 0H272C298.5 0 320 21.49 320 48H64zM320 464C320 490.5 298.5 512 272 512H112C85.49 512 64 490.5 64 464H320zM0 160C0 115.8 35.82 80 80 80H304C348.2 80 384 115.8 384 160V352C384 396.2 348.2 432 304 432H80C35.82 432 0 396.2 0 352V160zM100.8 264.1L180.9 341.3C187.1 347.3 196.9 347.3 203.1 341.3L283.2 264.1C303.3 244.7 303.3 212.5 283.2 193C264 174.6 233.7 174.6 214.6 193L192 214.9L169.4 193C150.3 174.6 119.1 174.6 100.8 193C80.72 212.5 80.72 244.7 100.8 264.1V264.1z"],
    "watch-smart": [384, 512, [], "e2cc", "M64 48C64 21.49 85.49 0 112 0H272C298.5 0 320 21.49 320 48H64zM304 80C348.2 80 384 115.8 384 160V352C384 396.2 348.2 432 304 432H80C35.82 432 0 396.2 0 352V160C0 115.8 35.82 80 80 80H304zM216 160C216 146.7 205.3 136 192 136C178.7 136 168 146.7 168 160V256C168 262.4 170.5 268.5 175 272.1L223 320.1C232.4 330.3 247.6 330.3 256.1 320.1C266.3 311.6 266.3 296.4 256.1 287L216 246.1V160zM112 512C85.49 512 64 490.5 64 464H320C320 490.5 298.5 512 272 512H112z"],
    "water": [576, 512, [], "f773", "M549.8 237.5c-31.23-5.719-46.84-20.06-47.13-20.31C490.4 205 470.3 205.1 457.7 216.8c-1 .9375-25.14 23-73.73 23s-72.73-22.06-73.38-22.62C298.4 204.9 278.3 205.1 265.7 216.8c-1 .9375-25.14 23-73.73 23S119.3 217.8 118.6 217.2C106.4 204.9 86.35 205 73.74 216.9C73.09 217.4 57.48 231.8 26.24 237.5c-17.38 3.188-28.89 19.84-25.72 37.22c3.188 17.38 19.78 29.09 37.25 25.72C63.1 295.8 82.49 287.1 95.96 279.2c19.5 11.53 51.47 24.68 96.04 24.68c44.55 0 76.49-13.12 96-24.65c19.52 11.53 51.45 24.59 96 24.59c44.58 0 76.55-13.09 96.05-24.62c13.47 7.938 32.86 16.62 58.19 21.25c17.56 3.375 34.06-8.344 37.25-25.72C578.7 257.4 567.2 240.7 549.8 237.5zM549.8 381.7c-31.23-5.719-46.84-20.06-47.13-20.31c-12.22-12.19-32.31-12.12-44.91-.375C456.7 361.9 432.6 384 384 384s-72.73-22.06-73.38-22.62c-12.22-12.25-32.3-12.12-44.89-.375C264.7 361.9 240.6 384 192 384s-72.73-22.06-73.38-22.62c-12.22-12.25-32.28-12.16-44.89-.3438c-.6562 .5938-16.27 14.94-47.5 20.66c-17.38 3.188-28.89 19.84-25.72 37.22C3.713 436.3 20.31 448 37.78 444.6C63.1 440 82.49 431.3 95.96 423.4c19.5 11.53 51.51 24.62 96.08 24.62c44.55 0 76.45-13.06 95.96-24.59C307.5 434.9 339.5 448 384.1 448c44.58 0 76.5-13.09 95.1-24.62c13.47 7.938 32.86 16.62 58.19 21.25C555.8 448 572.3 436.3 575.5 418.9C578.7 401.5 567.2 384.9 549.8 381.7zM37.78 156.4c25.33-4.625 44.72-13.31 58.19-21.25c19.5 11.53 51.47 24.68 96.04 24.68c44.55 0 76.49-13.12 96-24.65c19.52 11.53 51.45 24.59 96 24.59c44.58 0 76.55-13.09 96.05-24.62c13.47 7.938 32.86 16.62 58.19 21.25c17.56 3.375 34.06-8.344 37.25-25.72c3.172-17.38-8.344-34.03-25.72-37.22c-31.23-5.719-46.84-20.06-47.13-20.31c-12.22-12.19-32.31-12.12-44.91-.375c-1 .9375-25.14 23-73.73 23s-72.73-22.06-73.38-22.62c-12.22-12.25-32.3-12.12-44.89-.375c-1 .9375-25.14 23-73.73 23S119.3 73.76 118.6 73.2C106.4 60.95 86.35 61.04 73.74 72.85C73.09 73.45 57.48 87.79 26.24 93.51c-17.38 3.188-28.89 19.84-25.72 37.22C3.713 148.1 20.31 159.8 37.78 156.4z"],
    "water-arrow-down": [576, 512, ["water-lower"], "f774", "M37.76 380.4c25.33-4.625 44.72-13.31 58.19-21.25c19.5 11.53 51.53 24.71 96.11 24.71c44.55 0 76.42-13.15 95.94-24.68c19.52 11.53 51.51 24.68 96.06 24.68c44.58 0 76.49-13.18 95.99-24.71c13.47 7.938 32.86 16.62 58.19 21.25c17.56 3.375 34.06-8.344 37.25-25.72c3.172-17.38-8.344-34.03-25.72-37.22c-31.23-5.719-46.84-20.06-47.13-20.31c-12.22-12.19-32.31-12.12-44.91-.375c-1 .9375-25.14 23-73.73 23s-72.74-22.07-73.38-22.63C298.4 284.9 278.3 285.1 265.7 296.8c-1 .9375-25.14 23-73.73 23S119.3 297.8 118.6 297.2C106.4 284.9 86.33 285 73.72 296.9C73.07 297.4 57.46 311.8 26.22 317.5c-17.38 3.188-28.89 19.84-25.72 37.22C3.693 372.1 20.29 383.8 37.76 380.4zM549.8 445.7c-31.23-5.719-46.84-20.06-47.13-20.31c-12.22-12.19-32.31-12.12-44.91-.375C456.7 425.9 432.6 448 384 448s-72.73-22.06-73.38-22.62c-12.22-12.25-32.3-12.12-44.89-.375C264.7 425.9 240.6 448 192 448s-72.73-22.06-73.38-22.62c-12.22-12.25-32.28-12.16-44.89-.3438c-.6562 .5938-16.27 14.94-47.5 20.66c-17.38 3.188-28.89 19.84-25.72 37.22C3.713 500.3 20.31 512 37.78 508.6C63.1 504 82.49 495.3 95.96 487.4c19.5 11.53 51.51 24.62 96.08 24.62c44.55 0 76.45-13.06 95.96-24.59C307.5 498.9 339.5 512 384.1 512c44.58 0 76.5-13.09 95.1-24.62c13.47 7.938 32.86 16.62 58.19 21.25C555.8 512 572.3 500.3 575.5 482.9C578.7 465.5 567.2 448.9 549.8 445.7zM268 217c1.459 1.162 3.166 1.746 4.76 2.621c1.266 .7012 2.385 1.535 3.748 2.062C280.2 223.1 284.1 224 288 224s7.771-.8867 11.48-2.316c1.363-.5273 2.482-1.361 3.748-2.062c1.594-.875 3.301-1.459 4.76-2.621l80-64c13.81-11.06 16.05-31.19 5-45c-11.02-13.81-31.19-16.03-44.97-5L320 125.4V32c0-17.69-14.33-32-32-32S256 14.31 256 32v93.42L227.1 103C214.2 91.97 194.1 94.25 183 108c-11.05 13.81-8.812 33.94 5 45L268 217z"],
    "water-arrow-up": [576, 512, ["water-rise"], "f775", "M37.74 380.4c25.33-4.625 44.72-13.31 58.19-21.25c19.5 11.53 51.54 24.71 96.12 24.71c44.55 0 76.42-13.15 95.93-24.68c19.52 11.53 51.52 24.68 96.07 24.68c44.58 0 76.48-13.18 95.98-24.71c13.47 7.938 32.86 16.62 58.19 21.25c17.56 3.375 34.06-8.344 37.25-25.72c3.172-17.38-8.344-34.03-25.72-37.22C518.5 311.8 502.9 297.4 502.6 297.2c-12.22-12.19-32.31-12.12-44.91-.375c-1 .9375-25.13 23-73.72 23s-72.74-22.07-73.38-22.63c-12.22-12.25-32.3-12.12-44.89-.375c-1 .9375-25.13 23-73.72 23S119.2 297.8 118.6 297.2C106.4 284.9 86.31 285 73.71 296.9C73.05 297.4 57.44 311.8 26.21 317.5c-17.38 3.188-28.89 19.84-25.72 37.22C3.674 372.1 20.27 383.8 37.74 380.4zM549.8 445.7c-31.23-5.719-46.84-20.06-47.13-20.31c-12.22-12.19-32.31-12.12-44.91-.375C456.7 425.9 432.6 448 383.1 448s-72.73-22.06-73.38-22.62c-12.22-12.25-32.3-12.12-44.89-.375C264.7 425.9 240.6 448 191.1 448s-72.73-22.06-73.38-22.62c-12.22-12.25-32.28-12.16-44.89-.3438c-.6562 .5938-16.27 14.94-47.5 20.66c-17.38 3.188-28.89 19.84-25.72 37.22C3.693 500.3 20.29 512 37.76 508.6C63.08 504 82.47 495.3 95.94 487.4c19.5 11.53 51.52 24.62 96.1 24.62c44.55 0 76.43-13.06 95.95-24.59C307.5 498.9 339.5 512 384 512c44.58 0 76.49-13.09 95.99-24.62c13.47 7.938 32.86 16.62 58.19 21.25C555.8 512 572.3 500.3 575.5 482.9C578.6 465.5 567.1 448.9 549.8 445.7zM227.1 121L256 98.58V192c0 17.69 14.33 32 32 32s32-14.31 32-32V98.58L348 121c13.77 11.03 33.92 8.75 44.97-5c11.05-13.81 8.812-33.94-5-45l-80-64c-1.459-1.162-3.166-1.746-4.76-2.621c-1.266-.7012-2.385-1.535-3.748-2.062C295.8 .8867 291.9 0 288 0S280.2 .8867 276.5 2.316C275.2 2.844 274 3.678 272.8 4.379C271.2 5.254 269.5 5.838 268 7l-80 64C174.2 82.06 171.1 102.2 183 116C194 129.8 214.2 132 227.1 121z"],
    "water-ladder": [576, 512, ["ladder-water", "swimming-pool"], "f5c5", "M320 128c0 .375-.1992 .6855-.2129 1.057C319.8 129.9 320 130.7 320 131.6V128zM192 383.1V288h192v95.99c39.6-.1448 53.95-17.98 64-26.83V128c0-17.62 14.38-32 32-32s32 14.38 32 32c0 17.67 14.33 32 32 32s32-14.33 32-32c0-53-42.1-95.1-95.1-95.1C420.1 32 384 81.94 384 131.6V224H192V128c0-17.62 14.38-32 32-32s32 14.38 32 32c0 17.67 14.33 32 32 32c17.3 0 31.2-13.79 31.79-30.94c-1.227-49.01-37.99-97.06-95.79-97.06C170.1 32 128 74.1 128 128v229.2C138.5 366.4 151.4 383.8 192 383.1zM576 445c0-15.14-10.82-28.59-26.25-31.42c-48.52-8.888-45.5-29.48-69.6-29.48c-25.02 0-31.19 31.79-96.18 31.79c-48.59 0-72.72-22.06-73.38-22.62c-6.141-6.157-14.26-9.188-22.42-9.188c-24.75 0-31.59 31.81-96.2 31.81c-48.59 0-72.69-22.03-73.41-22.59c-6.125-6.157-14.24-9.196-22.4-9.196c-8.072 0-16.18 2.976-22.45 8.852c-29.01 26.25-73.75 12.54-73.75 52.08c0 16.08 12.77 32.07 31.71 32.07c9.77 0 39.65-7.34 64.26-21.84c19.5 11.53 51.51 24.69 96.08 24.69s76.46-13.12 95.96-24.66c19.53 11.53 51.52 24.62 96.06 24.62c44.59 0 76.51-13.12 96.01-24.66c24.71 14.57 54.74 21.83 64.24 21.83C563.2 477.1 576 461.3 576 445z"],
    "watermelon-slice": [512, 512, [], "e337", "M425.3 7.031c-9.375-9.375-24.56-9.375-33.94 0L374.4 23.99l16.96 16.96c46.81 46.81 72.59 109 72.59 175.2s-25.78 128.4-72.59 175.2C344.6 438.2 282.4 464 216.2 464c-66.19 0-128.4-25.78-175.2-72.59L24.01 374.4l-16.97 16.98C2.537 395.9 0 402 0 408.4s2.537 12.47 7.037 16.97C62.91 481.2 137.2 512 216.2 512c79.03 0 153.3-30.77 209.2-86.64C481.2 369.5 512 295.2 512 216.2C512 137.2 481.2 62.89 425.3 7.031zM216.2 432c57.63 0 111.8-22.45 152.6-63.22c40.77-40.76 63.22-94.95 63.22-152.6c0-57.64-22.45-111.8-63.22-152.6l-16.96-16.96l-305.2 305.2l16.96 16.96C104.4 409.5 158.6 432 216.2 432zM355.3 275.3c-6.246 6.246-16.35 6.272-22.6 .0184l-16.02-16.02c-6.25-6.252-6.25-16.38 0-22.63c6.25-6.252 16.38-6.252 22.62 0l16.03 16.02C361.6 258.1 361.6 269.1 355.3 275.3zM308.7 148.7c6.25-6.25 16.38-6.25 22.62 0l16.03 16.01c6.25 6.252 6.225 16.37-.0252 22.62c-6.244 6.248-16.35 6.269-22.6 .0129l-16.02-16.01C302.4 165.1 302.4 154.1 308.7 148.7zM275.3 355.3c-6.246 6.246-16.35 6.278-22.61 .0239l-16.02-16.03c-6.25-6.25-6.25-16.38 0-22.63c6.25-6.252 16.38-6.252 22.62 0l16.02 16.02C281.6 338.1 281.6 349.1 275.3 355.3zM228.7 228.7c6.25-6.252 16.38-6.252 22.62 0l16.02 16.02c6.25 6.25 6.231 16.36-.0194 22.61C261.1 273.6 250.1 273.6 244.7 267.4L228.7 251.3C222.4 245.1 222.4 234.1 228.7 228.7zM148.7 308.7c6.25-6.25 16.38-6.25 22.62 0L187.3 324.7c6.25 6.25 6.236 16.36-.0136 22.61c-6.246 6.246-16.36 6.277-22.61 .0234l-16.01-16.03C142.4 325.1 142.4 314.1 148.7 308.7z"],
    "wave-pulse": [640, 512, ["heart-rate"], "f5f8", "M640 240v32c0 8.875-7.125 15.1-16 15.1h-124.2l-55.13 110.2c-5.875 11.87-18.63 18.75-31.75 17.62c-13.25-1.375-24.25-10.62-27.75-23.5L323.8 167.3L255.2 486.8C252.2 501 239.8 511.5 225.1 512H224c-14.25 0-26.88-9.5-30.75-23.25L135.9 288H16c-8.875 0-16-7.125-16-15.1V240c0-8.875 7.125-15.1 16-15.1H160c14.25 0 26.88 9.503 30.75 23.25l28.75 100.7L288.8 25.27c3-14.37 15.62-24.87 30.37-25.25c14.75-.5 27.88 9.375 31.75 23.62l74 271.1l26.5-52.1C456.8 230.9 467.9 224 480 224h144C632.9 224 640 231.1 640 240z"],
    "wave-sine": [640, 512, [8767], "f899", "M638.6 297.2C633 315.9 580.4 480 463.1 480C346.4 480 294.5 285.9 288.1 263.8C275.2 209 229.5 96 176 96C117.1 96 73.34 197.6 62.67 233.2C57.57 250.1 39.75 259.7 22.83 254.7C5.889 249.6-3.72 231.7 1.358 214.8C6.983 196.1 59.56 32 176 32c117.6 0 169.5 194.1 175 216.3C364.8 302.1 410.5 416 463.1 416c58.92 0 102.7-101.6 113.3-137.2c5.109-16.94 22.97-26.44 39.84-21.47C634.1 262.4 643.7 280.3 638.6 297.2z"],
    "wave-square": [640, 512, [], "f83e", "M476 480h-152c-19.88 0-36-16.12-36-36v-348H192v156c0 19.88-16.12 36-36 36H31.1C14.33 288 0 273.7 0 256s14.33-31.1 31.1-31.1H128v-156c0-19.88 16.12-36 36-36h152c19.88 0 36 16.12 36 36v348h96v-156c0-19.88 16.12-36 36-36h124C625.7 224 640 238.3 640 256s-14.33 32-31.1 32H512v156C512 463.9 495.9 480 476 480z"],
    "wave-triangle": [640, 512, [], "f89a", "M633.6 274.9l-143.1 192.3C483.6 475.2 474.1 480 463.1 480s-19.56-4.758-25.59-12.83L176 116.8L57.6 274.9C47.02 289.1 26.99 291.9 12.8 281.3c-14.14-10.61-16.1-30.71-6.391-44.85l143.1-192.3c12.06-16.15 39.12-16.15 51.19 0l262.4 350.4l118.4-158.1c10.59-14.18 30.62-16.1 44.8-6.417C641.3 240.6 644.2 260.7 633.6 274.9z"],
    "waveform": [640, 512, [], "f8f1", "M640 287.1c0 17.67-14.33 32.02-31.1 32.02H576c-9.547 0-18.34-4.218-24.31-11.19l-24.39 113.9c-3.25 15.12-17.25 25.09-32.3 25.28c-15.45-.5-28.37-11.97-30.65-27.25L446.3 300.7l-30.78 184.6C412.1 500.7 399.5 512 383.9 512c-15.78-.1875-29.34-11.84-31.55-27.47L319.1 258.3l-32.33 226.2C285.5 500.2 272.1 511.8 256.3 512l-.375-.0416c-15.64 0-28.9-11.27-31.47-26.7L193.7 300.6l-18.02 120.1c-2.281 15.28-15.19 26.75-30.64 27.25c-15.94-.2813-29.05-10.15-32.29-25.28L88.31 308.8C82.34 315.8 73.55 320 64 320H31.1C14.33 320 0 305.7 0 287.1S14.33 256 31.1 256h8.939l24.7-74.12c5.545-16.58 23.98-25.93 41.16-20.13c10.86 3.664 18.39 13.67 20.79 24.88l10.85 50.72l21.96-146.4c2.327-15.51 15.65-26.1 31.34-26.1c15.64 0 29.26 11.33 31.83 26.76l30 180l34.77-243.3c2.517-17.62 19.11-30.21 37.43-26.98c13.94 2.458 24.16 14.65 26.16 28.67l34.52 241.6l30-180C419 75.32 432.4 64 448 64c15.68 0 29.3 11.62 31.63 27.13l21.94 146.2l11.14-52.05c3.605-16.76 20.04-28.22 37.93-24.59c11.55 2.345 20.53 11.59 24.26 22.77l24.18 72.54h8.94C625.7 256 640 270.3 640 287.1z"],
    "waveform-lines": [640, 512, ["waveform-path"], "f8f2", "M224 96C206.3 96 192 110.3 192 127.1v256C192 401.7 206.3 416 223.1 416S256 401.7 256 384V127.1C256 110.3 241.7 96 224 96zM32 224C14.33 224 0 238.3 0 255.1S14.33 288 31.1 288S64 273.7 64 256S49.67 224 32 224zM320 0C302.3 0 288 14.33 288 31.1V480C288 497.7 302.3 512 319.1 512S352 497.7 352 480V31.1C352 14.33 337.7 0 320 0zM128 192C110.3 192 96 206.3 96 223.1V288C96 305.7 110.3 320 127.1 320S160 305.7 160 288V223.1C160 206.3 145.7 192 128 192zM608 224c-17.67 0-32 14.33-32 31.1S590.3 288 608 288s32-14.33 32-31.1S625.7 224 608 224zM416 128C398.3 128 384 142.3 384 159.1v192C384 369.7 398.3 384 415.1 384S448 369.7 448 352V159.1C448 142.3 433.7 128 416 128zM512 64c-17.67 0-32 14.33-32 31.1V416C480 433.7 494.3 448 511.1 448C529.7 448 544 433.7 544 416V95.1C544 78.33 529.7 64 512 64z"],
    "weight-hanging": [512, 512, [], "f5cd", "M510.3 445.9L437.3 153.8C433.5 138.5 420.8 128 406.4 128H346.1c3.625-9.1 5.875-20.75 5.875-32c0-53-42.1-96-96-96S159.1 43 159.1 96c0 11.25 2.25 22 5.875 32H105.6c-14.38 0-27.13 10.5-30.88 25.75l-73.01 292.1C-6.641 479.1 16.36 512 47.99 512h416C495.6 512 518.6 479.1 510.3 445.9zM256 128C238.4 128 223.1 113.6 223.1 96S238.4 64 256 64c17.63 0 32 14.38 32 32S273.6 128 256 128z"],
    "weight-scale": [512, 512, ["weight"], "f496", "M310.3 97.25c-8-3.5-17.5 .25-21 8.5L255.8 184C233.8 184.3 216 202 216 224c0 22.12 17.88 40 40 40S296 246.1 296 224c0-10.5-4.25-20-11-27.12l33.75-78.63C322.3 110.1 318.4 100.8 310.3 97.25zM448 64h-56.23C359.5 24.91 310.7 0 256 0S152.5 24.91 120.2 64H64C28.75 64 0 92.75 0 128v320c0 35.25 28.75 64 64 64h384c35.25 0 64-28.75 64-64V128C512 92.75 483.3 64 448 64zM256 304c-70.58 0-128-57.42-128-128s57.42-128 128-128c70.58 0 128 57.42 128 128S326.6 304 256 304z"],
    "whale": [640, 512, [128011], "f72c", "M480 128c-91.09 0-176.7 35.47-241.1 99.87l-85.66 82.69c-6.312 6.094-14.62 9.437-23.41 9.437C111.2 320 96 304.8 96 286.2c0-31.56 12.28-61.2 34.58-83.52l9.811-9.811l56.75 13.61C207.6 208.6 218.4 205.3 226 197.7l57.28-57.28c9.016-9.016 4.332-24.48-8.221-26.96L191.3 96.7L174.5 12.9C172 .3524 156.6-4.333 147.6 4.682L90.28 61.96C82.68 69.56 79.41 80.43 81.53 90.86l13.61 56.74L49.13 193.6C17.44 225.3 0 267.4 0 312.3c0 92.5 75.25 167.7 167.8 167.7H544c52.94 0 96-43.06 96-95.1V288C640 199.8 568.2 128 480 128zM384 312c-13.25 0-24-10.75-24-24c0-13.26 10.75-24 24-24s24 10.74 24 24C408 301.3 397.3 312 384 312z"],
    "wheat": [512, 512, [], "f72d", "M496 0C504.8 0 512 7.164 512 16V40C512 88.6 472.6 128 424 128H400C391.2 128 384 120.8 384 112V88C384 39.4 423.4 0 472 0H496zM316.8 38.63C350.9 72.7 361.7 121.2 349.3 164.5C392.6 152.1 441.1 162.9 475.2 197L486.5 208.3C492.7 214.6 492.7 224.7 486.5 230.1L475.2 242.3C437.7 279.8 376.9 279.8 339.4 242.3L327.2 230.1L295.3 261.1C323.8 264.7 351.5 277 373.4 298.8L384.7 310.2C390.9 316.4 390.9 326.5 384.7 332.8L373.4 344.1C335.9 381.6 275.1 381.6 237.6 344.1L225.4 331.9L193.5 363.8C221.1 366.5 249.7 378.8 271.5 400.7L282.8 411.1C289.1 418.2 289.1 428.4 282.8 434.6L271.5 445.9C234 483.4 173.3 483.4 135.8 445.9L123.5 433.7L54.63 502.6C42.13 515.1 21.87 515.1 9.372 502.6C-3.124 490.1-3.124 469.9 9.372 457.4L78.29 388.5L67.88 378C30.39 340.6 30.39 279.8 67.88 242.3L79.2 230.1C85.44 224.7 95.57 224.7 101.8 230.1L113.1 242.3C134.1 263.3 146.3 289.7 149.7 317.1L180.1 286.6L169.7 276.2C132.2 238.7 132.2 177.9 169.7 140.5L181 129.1C187.3 122.9 197.4 122.9 203.6 129.1L214.1 140.5C235.1 161.4 248.1 187.9 251.5 215.3L281.9 184.8L271.5 174.4C234 136.9 234 76.12 271.5 38.63L282.8 27.31C289.1 21.07 299.2 21.07 305.5 27.31L316.8 38.63z"],
    "wheat-awn": [512, 512, ["wheat-alt"], "e2cd", "M416.1 128.1C407.6 138.3 392.4 138.3 383 128.1C373.7 119.6 373.7 104.4 383 95.03L471 7.029C480.4-2.343 495.6-2.343 504.1 7.029C514.3 16.4 514.3 31.6 504.1 40.97L416.1 128.1zM316.8 38.63C321.3 43.15 325.4 47.94 329.1 52.93L375 7.029C384.4-2.343 399.6-2.343 408.1 7.029C418.3 16.4 418.3 31.6 408.1 40.97L350.7 99.2C355.9 120.7 355.4 143.2 349.3 164.5C369.6 158.7 391.1 157.1 411.7 162.4L471 103C480.4 93.66 495.6 93.66 504.1 103C514.3 112.4 514.3 127.6 504.1 136.1L458.8 183.1C464.5 187.2 470 191.9 475.2 197L486.5 208.3C492.7 214.6 492.7 224.7 486.5 230.1L475.2 242.3C437.7 279.8 376.9 279.8 339.4 242.3L327.2 230.1L295.3 261.1C323.8 264.7 351.5 277 373.4 298.8L384.7 310.2C390.9 316.4 390.9 326.5 384.7 332.8L373.4 344.1C335.9 381.6 275.1 381.6 237.6 344.1L225.4 331.9L193.5 363.8C221.1 366.5 249.7 378.8 271.5 400.7L282.8 411.1C289.1 418.2 289.1 428.4 282.8 434.6L271.5 445.9C234 483.4 173.3 483.4 135.8 445.9L123.5 433.7L54.63 502.6C42.13 515.1 21.87 515.1 9.372 502.6C-3.124 490.1-3.124 469.9 9.372 457.4L78.29 388.5L67.88 378C30.39 340.6 30.39 279.8 67.88 242.3L79.2 230.1C85.44 224.7 95.57 224.7 101.8 230.1L113.1 242.3C134.1 263.3 146.3 289.7 149.7 317.1L180.1 286.6L169.7 276.2C132.2 238.7 132.2 177.9 169.7 140.5L181 129.1C187.3 122.9 197.4 122.9 203.6 129.1L214.1 140.5C235.1 161.4 248.1 187.9 251.5 215.3L281.9 184.8L271.5 174.4C234 136.9 234 76.12 271.5 38.63L282.8 27.31C289.1 21.07 299.2 21.07 305.5 27.31L316.8 38.63z"],
    "wheat-awn-circle-exclamation": [640, 512, [], "e598", "M416.1 128.1C407.6 138.3 392.4 138.3 383 128.1C373.7 119.6 373.7 104.4 383 95.03L471 7.029C480.4-2.343 495.6-2.343 504.1 7.029C514.3 16.4 514.3 31.6 504.1 40.97L416.1 128.1zM316.8 38.63C321.3 43.15 325.4 47.94 329.1 52.93L375 7.029C384.4-2.343 399.6-2.343 408.1 7.029C418.3 16.4 418.3 31.6 408.1 40.97L350.7 99.2C355.9 120.7 355.4 143.2 349.3 164.5C369.6 158.7 391.1 157.1 411.7 162.4L471 103C480.4 93.66 495.6 93.66 504.1 103C514.3 112.4 514.3 127.6 504.1 136.1L458.8 183.1C463.3 186.3 467.6 189.8 471.7 193.7C426.3 199.9 386.5 223.5 359.1 257.4C352 253.3 345.4 248.3 339.4 242.3L327.2 230.1L295.3 261.1C312.5 263.6 329.5 268.8 345 277.4C329.1 303.9 320 334.9 320 368C320 369 320 370.1 320 371.1C290.9 375.6 260 366.6 237.6 344.1L225.4 331.9L193.5 363.8C221.1 366.5 249.7 378.8 271.5 400.7L282.8 411.1C289.1 418.2 289.1 428.4 282.8 434.6L271.5 445.9C234 483.4 173.3 483.4 135.8 445.9L123.5 433.7L54.63 502.6C42.13 515.1 21.87 515.1 9.372 502.6C-3.124 490.1-3.124 469.9 9.372 457.4L78.29 388.5L67.88 378C30.39 340.6 30.39 279.8 67.88 242.3L79.2 230.1C85.44 224.7 95.57 224.7 101.8 230.1L113.1 242.3C134.1 263.3 146.3 289.7 149.7 317.1L180.1 286.6L169.7 276.2C132.2 238.7 132.2 177.9 169.7 140.5L181 129.1C187.3 122.9 197.4 122.9 203.6 129.1L214.1 140.5C235.1 161.4 248.1 187.9 251.5 215.3L281.9 184.8L271.5 174.4C234 136.9 234 76.12 271.5 38.63L282.8 27.31C289.1 21.06 299.2 21.06 305.5 27.31L316.8 38.63zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 464C509.3 464 520 453.3 520 440C520 426.7 509.3 416 496 416C482.7 416 472 426.7 472 440C472 453.3 482.7 464 496 464zM479.1 288V368C479.1 376.8 487.2 384 495.1 384C504.8 384 511.1 376.8 511.1 368V288C511.1 279.2 504.8 272 495.1 272C487.2 272 479.1 279.2 479.1 288z"],
    "wheat-awn-slash": [640, 512, [], "e338", "M224.7 150.8C227.4 147.2 230.4 143.7 233.7 140.5L245 129.1C251.3 122.9 261.4 122.9 267.6 129.1L278.1 140.5C299.1 161.4 312.1 187.9 315.5 215.3L345.9 184.8L335.5 174.4C298 136.9 298 76.12 335.5 38.63L346.8 27.31C353.1 21.07 363.2 21.07 369.5 27.31L380.8 38.63C385.3 43.15 389.4 47.94 393.1 52.93L439 7.03C448.4-2.343 463.6-2.343 472.1 7.03C482.3 16.4 482.3 31.6 472.1 40.97L414.7 99.2C419.9 120.7 419.4 143.2 413.3 164.5C433.6 158.7 455.1 157.1 475.7 162.4L535 103C544.4 93.66 559.6 93.66 568.1 103C578.3 112.4 578.3 127.6 568.1 136.1L522.8 183.2C528.5 187.2 534 191.9 539.2 197L550.5 208.3C556.7 214.6 556.7 224.7 550.5 230.1L539.2 242.3C501.7 279.8 440.9 279.8 403.4 242.3L391.2 230.1L362.5 258.8L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L224.7 150.8zM480.1 128.1C471.6 138.3 456.4 138.3 447 128.1C437.7 119.6 437.7 104.4 447 95.03L535 7.029C544.4-2.343 559.6-2.343 568.1 7.029C578.3 16.4 578.3 31.6 568.1 40.97L480.1 128.1zM213.7 317.1L243.2 287.6L293.8 327.5L257.5 363.8C285.1 366.5 313.7 378.8 335.5 400.7L346.8 411.1C353.1 418.2 353.1 428.4 346.8 434.6L335.5 445.9C298 483.4 237.3 483.4 199.8 445.9L187.6 433.7L118.6 502.6C106.1 515.1 85.87 515.1 73.37 502.6C60.88 490.1 60.88 469.9 73.37 457.4L142.3 388.5L131.9 378C94.39 340.6 94.39 279.8 131.9 242.3L143.2 230.1C149.4 224.7 159.6 224.7 165.8 230.1L177.1 242.3C198.1 263.3 210.3 289.7 213.7 317.1L213.7 317.1z"],
    "wheat-slash": [640, 512, [], "e339", "M224.7 150.8C227.4 147.2 230.4 143.7 233.7 140.5L245 129.1C251.3 122.9 261.4 122.9 267.6 129.1L278.1 140.5C299.1 161.4 312.1 187.9 315.5 215.3L345.9 184.8L335.5 174.4C298 136.9 298 76.12 335.5 38.63L346.8 27.31C353.1 21.07 363.2 21.07 369.5 27.31L380.8 38.63C414.9 72.7 425.7 121.2 413.3 164.5C456.6 152.1 505.1 162.9 539.2 197L550.5 208.3C556.7 214.6 556.7 224.7 550.5 230.1L539.2 242.3C501.7 279.8 440.9 279.8 403.4 242.3L391.2 230.1L362.5 258.8L630.8 469.1C641.2 477.3 643.1 492.4 634.9 502.8C626.7 513.2 611.6 515.1 601.2 506.9L9.196 42.89C-1.236 34.71-3.065 19.63 5.112 9.196C13.29-1.236 28.37-3.065 38.81 5.112L224.7 150.8zM560 0C568.8 0 576 7.164 576 16V40C576 88.6 536.6 128 488 128H464C455.2 128 448 120.8 448 112V88C448 39.4 487.4 0 536 0H560zM213.7 317.1L243.2 287.6L293.8 327.5L257.5 363.8C285.1 366.5 313.7 378.8 335.5 400.7L346.8 411.1C353.1 418.2 353.1 428.4 346.8 434.6L335.5 445.9C298 483.4 237.3 483.4 199.8 445.9L187.6 433.7L118.6 502.6C106.1 515.1 85.87 515.1 73.37 502.6C60.88 490.1 60.88 469.9 73.37 457.4L142.3 388.5L131.9 378C94.39 340.6 94.39 279.8 131.9 242.3L143.2 230.1C149.4 224.7 159.6 224.7 165.8 230.1L177.1 242.3C198.1 263.3 210.3 289.7 213.7 317.1L213.7 317.1z"],
    "wheelchair": [512, 512, [], "f193", "M510.3 421.9c-5.594-16.75-23.53-25.84-40.47-20.22l-19.38 6.438l-41.7-99.97C403.9 295.1 392.2 288 379.1 288h-97.78l-10.4-48h65.11c17.69 0 32-14.31 32-32s-14.31-32-32-32h-78.98L255.6 169.2C251.8 142.1 227.2 124.8 201.2 128.5C174.1 132.2 156.7 156.5 160.5 182.8l23.68 140.4C185.8 339.6 199.6 352 216 352h141.4l44.86 107.9C407.3 472.3 419.3 480 432 480c3.344 0 6.781-.5313 10.12-1.656l48-16C506.9 456.8 515.9 438.7 510.3 421.9zM160 464c-61.76 0-112-50.24-112-112c0-54.25 38.78-99.55 90.06-109.8L130.1 195C56.06 209 0 273.9 0 352c0 88.37 71.63 160 160 160c77.4 0 141.9-54.97 156.8-128h-49.1C252.9 430.1 210.6 464 160 464zM192 96c26.51 0 48-21.49 48-48S218.5 0 192 0S144 21.49 144 48S165.5 96 192 96z"],
    "wheelchair-move": [448, 512, ["wheelchair-alt"], "e2ce", "M416 48C416 74.51 394.5 96 368 96C341.5 96 320 74.51 320 48C320 21.49 341.5 0 368 0C394.5 0 416 21.49 416 48zM172.8 54.4C182.3 47.29 194.9 46 205.6 51.05L322.1 105.9C351.3 119.6 358.9 157.5 337.4 181.4L299.1 224H416C425.6 224 434.7 228.3 440.7 235.7C446.8 243.1 449.3 252.9 447.4 262.3L415.4 422.3C411.9 439.6 395.1 450.8 377.7 447.4C360.4 443.9 349.2 427.1 352.6 409.7L376.1 288H306.7C315.3 307.6 320 329.2 320 352C320 440.4 248.4 512 160 512C71.63 512 0 440.4 0 352C0 263.6 71.63 192 160 192C171.1 192 181.1 193.1 192.4 195.3L246.6 141.1L195.8 117.2L147.2 153.6C133.1 164.2 113 161.3 102.4 147.2C91.8 133.1 94.66 113 108.8 102.4L172.8 54.4zM160 448C213 448 256 405 256 352C256 298.1 213 256 160 256C106.1 256 64 298.1 64 352C64 405 106.1 448 160 448z"],
    "whiskey-glass": [512, 512, [129347, "glass-whiskey"], "f7a0", "M479.1 32H32.04C12.55 32-2.324 49.25 .3008 68.51L56.29 425.1C60.79 456.6 87.78 480 119.8 480h272.9c31.74 0 58.86-23.38 63.36-54.89l55.61-356.6C514.3 49.25 499.5 32 479.1 32zM422.7 224H89.49L69.39 96h373.2L422.7 224z"],
    "whiskey-glass-ice": [512, 512, ["glass-whiskey-rocks"], "f7a1", "M252.1 345.4l45.25 45.38c12.5 12.5 32.88 12.5 45.38 0l45.25-45.38c12.5-12.5 12.5-32.75 0-45.25l-45.25-45.38c-12.5-12.5-32.88-12.5-45.38 0L252.1 300.1C239.6 312.6 239.6 332.9 252.1 345.4zM479.1 32H32.04C12.55 32-2.324 49.25 .3008 68.51L56.29 425.1C60.79 456.6 87.78 480 119.8 480h272.9c31.74 0 58.86-23.38 63.36-54.89l55.61-356.6C514.3 49.25 499.5 32 479.1 32zM416.5 284.8c18.56 25.04 16.73 60.52-5.928 83.18l-45.28 45.41c-12.09 12.09-28.18 18.75-45.31 18.75s-33.22-6.656-45.35-18.78L229.4 368c0 0 .002 .0039 0 0L159.9 368c-35.29 0-64-28.71-64-64V287.7L64.02 96h383.1L416.5 284.8zM159.9 336.1L212.2 336c-1-4.25-1.5-8.75-1.5-13.25c0-17.12 6.75-33.25 18.75-45.38L255.9 251V240c0-17.75-14.25-32-32-32h-64c-17.75 0-32 14.25-32 32v64C127.9 321.8 142.1 336.1 159.9 336.1z"],
    "whistle": [640, 512, [], "f460", "M627.7 326.8L491.5 220.8L448 248L416 224l22.27-44.55l-98.62-76.7C307.5 78.43 267.4 64 224 64C185.1 64 149.1 75.63 118.8 95.46C107.7 76.7 87.41 64 63.1 64C28.65 64-.0003 92.65-.0003 128c0 28.46 18.7 52.31 44.4 60.62C36.51 209.6 31.1 232.3 31.1 256c0 106 85.96 192 192 192c63.65 0 119.9-31.1 154.8-78.8l150.9 75.43C534.3 446.9 539.1 448 544 448c8.281 0 16.47-3.219 22.63-9.375l64-64c6.5-6.5 9.875-15.44 9.312-24.62C639.4 340.8 634.9 332.4 627.7 326.8zM79.66 129.7C75.92 133.9 72.39 138.4 69.03 142.1C67.42 143.5 65.78 144 63.1 144C55.18 144 47.1 136.8 47.1 128s7.178-16 16-16S79.1 119.2 79.1 128C79.1 128.6 79.72 129.1 79.66 129.7zM224 320c-35.35 0-64-28.66-64-64c0-35.35 28.65-64 64-64s64 28.65 64 64C288 291.3 259.3 320 224 320z"],
    "wifi": [640, 512, ["wifi-3", "wifi-strong"], "f1eb", "M319.1 351.1c-35.35 0-64 28.66-64 64.01s28.66 64.01 64 64.01c35.34 0 64-28.66 64-64.01S355.3 351.1 319.1 351.1zM320 191.1c-70.25 0-137.9 25.6-190.5 72.03C116.3 275.7 115 295.9 126.7 309.2C138.5 322.4 158.7 323.7 171.9 312C212.8 275.9 265.4 256 320 256s107.3 19.88 148.1 56C474.2 317.4 481.8 320 489.3 320c8.844 0 17.66-3.656 24-10.81C525 295.9 523.8 275.7 510.5 264C457.9 217.6 390.3 191.1 320 191.1zM630.2 156.7C546.3 76.28 436.2 32 320 32S93.69 76.28 9.844 156.7c-12.75 12.25-13.16 32.5-.9375 45.25c12.22 12.78 32.47 13.12 45.25 .9375C125.1 133.1 220.4 96 320 96s193.1 37.97 265.8 106.9C592.1 208.8 600 211.8 608 211.8c8.406 0 16.81-3.281 23.09-9.844C643.3 189.2 642.9 168.1 630.2 156.7z"],
    "wifi-exclamation": [640, 512, [], "e2cf", "M8.906 201.1c12.22 12.78 32.47 13.12 45.25 .9375c52.51-50.38 117.1-84 186.9-98.57L240.1 76.31C239.6 62.6 242.8 49.73 248.3 38.16c-89.22 14.35-172.1 54.92-238.4 118.6C-2.906 168.1-3.312 189.2 8.906 201.1zM129.5 264C116.3 275.7 115 295.9 126.7 309.2C138.5 322.4 158.7 323.7 171.9 312c22.15-19.58 47.83-34.2 75.33-43.65l-2.465-66.28C202.4 213.5 162.9 234.5 129.5 264zM630.2 156.7c-66.24-63.55-148.1-104.1-238.1-118.5c4.609 9.73 7.434 20.49 7.852 31.97l.0313 5.781l-1.055 28.37c69.82 14.57 134.4 48.19 186.9 98.57C592.1 208.8 600 211.8 608 211.8c8.406 0 16.81-3.281 23.09-9.844C643.3 189.2 642.9 168.1 630.2 156.7zM395.3 202.1l-2.461 66.28C420.3 277.8 445.1 292.4 468.1 312C474.2 317.4 481.8 320 489.3 320c8.844 0 17.66-3.656 24-10.81C525 295.9 523.8 275.7 510.5 264C477.1 234.5 437.6 213.5 395.3 202.1zM318.5 327.1c22.12 .8652 40.73-16.83 41.57-39.53c0 0 7.965-215.8 7.922-217.1C366.1 44.2 344.7 22.1 318.2 24.04C291.7 25.07 271 47.95 272 75.13l7.92 213.3C280.8 309.7 297.4 327.1 318.5 327.1zM320 368c-30.93 0-56 25.07-56 56S289.1 480 319.1 480S376 454.9 376 424S350.9 368 320 368z"],
    "wifi-fair": [640, 512, ["wifi-2"], "f6ab", "M319.1 352c-35.35 0-64 28.66-64 63.1s28.66 64 64 64c35.34 0 64-28.66 64-64S355.3 352 319.1 352zM320 192C249.8 192 182.1 217.6 129.5 264C116.3 275.7 115 295.9 126.7 309.2C138.5 322.4 158.7 323.7 171.9 312C212.8 275.9 265.4 256 320 256s107.3 19.88 148.1 56C474.2 317.4 481.8 320 489.3 320c8.844 0 17.66-3.656 24-10.81C525 295.9 523.8 275.7 510.5 264C457.9 217.6 390.3 192 320 192z"],
    "wifi-slash": [640, 512, [], "f6ac", "M129.5 264c-13.25 11.72-14.5 31.94-2.812 45.19C138.5 322.4 158.7 323.7 171.9 312C188.9 296.9 208.1 284.9 228.5 275.8l-55.39-43.41C157.7 241.5 143.1 252 129.5 264zM326.6 352.7c-2.203-.2285-4.345-.6829-6.608-.6829c-35.35 0-64 28.66-64 64.01s28.66 64.01 64 64.01c35.34 0 64-28.66 64-64.01c0-7.564-1.545-14.71-3.956-21.44L326.6 352.7zM9.838 156.7c-12.75 12.25-13.16 32.5-.9375 45.25c12.22 12.78 32.47 13.12 45.25 .9375c12.48-11.98 25.86-22.66 39.61-32.73L41.44 129.2C30.56 137.8 19.99 146.1 9.838 156.7zM364.9 260.7C402.1 268.5 438.6 285.9 468.1 312C474.2 317.4 481.8 320 489.3 320c8.844 0 17.66-3.656 24-10.81C524.1 295.9 523.7 275.7 510.5 264C457.9 217.6 390.2 192 319.1 192C306.9 192 293.9 193.2 281 194.1L186.1 120.6C228.5 104.7 273.6 96 319.1 96c99.59 0 194 37.97 265.8 106.9c6.219 5.938 14.19 8.906 22.16 8.906c8.406 0 16.81-3.281 23.09-9.844c12.22-12.75 11.81-33-.9375-45.25C546.3 76.28 436.2 32 319.1 32C252.7 32 187.7 47.19 128.4 75.35L38.81 5.111C34.41 1.673 29.19 0 24.03 0C16.91 0 9.84 3.158 5.121 9.189c-8.188 10.44-6.37 25.53 4.068 33.7L601.2 506.9c10.5 8.203 25.57 6.328 33.69-4.078c8.188-10.44 6.37-25.53-4.068-33.7L364.9 260.7z"],
    "wifi-weak": [640, 512, ["wifi-1"], "f6aa", "M384 416c0 35.34-28.66 64-64 64s-64-28.66-64-64s28.66-63.1 64-63.1S384 380.7 384 416z"],
    "wind": [512, 512, [], "f72e", "M32 192h320c52.94 0 96-43.06 96-96s-43.06-96-96-96h-32c-17.69 0-32 14.31-32 32s14.31 32 32 32h32c17.66 0 32 14.34 32 32s-14.34 32-32 32H32C14.31 128 0 142.3 0 160S14.31 192 32 192zM160 320H32c-17.69 0-32 14.31-32 32s14.31 32 32 32h128c17.66 0 32 14.34 32 32s-14.34 32-32 32H128c-17.69 0-32 14.31-32 32s14.31 32 32 32h32c52.94 0 96-43.06 96-96S212.9 320 160 320zM416 224H32C14.31 224 0 238.3 0 256s14.31 32 32 32h384c17.66 0 32 14.34 32 32s-14.34 32-32 32h-32c-17.69 0-32 14.31-32 32s14.31 32 32 32h32c52.94 0 96-43.06 96-96S468.9 224 416 224z"],
    "wind-turbine": [512, 512, [], "f89b", "M398.7 425.8l-88.35-182.3c-5.928-13.6-6.191-28.1-.7305-42.79l73.28-179.1c3.217-8.111-.75-17.29-8.861-20.51c-6.725-2.668-14.4-.4258-18.64 5.443L241.3 163.2c-8.692 12.02-21.82 20.08-36.47 22.4L13.32 215.9C5.521 217.2-.1652 224 .0028 231.9c.1797 7.93 6.214 14.69 14.1 15.54l189.7 20.53c14.75 1.594 28.26 9 37.53 20.58l130.3 153.5c4.963 6.189 13.74 7.742 20.53 3.629C398.1 441.6 401.8 433 398.7 425.8zM255.1 248c-13.26 0-24-10.74-24-23.1c0-13.26 10.74-23.1 24-23.1c13.25 0 23.1 10.74 23.1 23.1C279.1 237.3 269.3 248 255.1 248zM350.1 479.1h-48.33l-4.996-76.66L220.1 314l-10.79 165.1H161.9c-13.98 .0156-26.75 7.918-33 20.42c-1.979 3.951-.3784 8.756 3.573 10.73c1.096 .5469 2.311 .838 3.536 .8458h240c4.418-.002 8.001-3.585 7.997-8.003c0-1.242-.2895-2.468-.8462-3.578C376.9 487.9 364.1 479.1 350.1 479.1z"],
    "wind-warning": [640, 512, ["wind-circle-exclamation"], "f776", "M320 303.1c0-35.28 28.72-64.02 64-64.02h31.37C407.4 134.7 320.6 50.55 212.8 48.06C97.97 45.4 2.713 136.3 .0566 251.2c-2.658 114.8 88.29 210.1 203.1 212.8c75.33 1.744 142-36.93 179.9-96.07C348.2 367.4 320 338.1 320 303.1zM184 152C184 138.8 194.8 128 208 128S232 138.8 232 152v112C232 277.3 221.3 288 208 288S184 277.3 184 264V152zM208 384C190.3 384 176 369.7 176 352c0-17.67 14.33-32 32-32s32 14.33 32 32C240 369.7 225.7 384 208 384zM552 272l-167.1-.0085C366.3 271.1 352 286.3 352 303.1s14.33 32 32 32L552 336c13.23 0 24 10.78 24 24S565.2 384 552 384H512c-17.67 0-32 14.31-32 32s14.33 32 32 32h40c48.53 0 88-39.47 88-88S600.5 272 552 272zM480 240h72C600.5 240 640 200.5 640 152S600.5 64 552 64H512c-17.67 0-32 14.31-32 32s14.33 32 32 32h40C565.2 128 576 138.8 576 152S565.2 176 552 176H480c-17.67 0-32 14.31-32 32S462.3 240 480 240z"],
    "window": [512, 512, [], "f40e", "M512 416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416zM96 160C113.7 160 128 145.7 128 128C128 110.3 113.7 96 96 96C78.33 96 64 110.3 64 128C64 145.7 78.33 160 96 160zM192 96C174.3 96 160 110.3 160 128C160 145.7 174.3 160 192 160C209.7 160 224 145.7 224 128C224 110.3 209.7 96 192 96zM288 160C305.7 160 320 145.7 320 128C320 110.3 305.7 96 288 96C270.3 96 256 110.3 256 128C256 145.7 270.3 160 288 160z"],
    "window-flip": [512, 512, ["window-alt"], "f40f", "M0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM448 128C448 110.3 433.7 96 416 96C398.3 96 384 110.3 384 128C384 145.7 398.3 160 416 160C433.7 160 448 145.7 448 128zM288 128C288 145.7 302.3 160 320 160C337.7 160 352 145.7 352 128C352 110.3 337.7 96 320 96C302.3 96 288 110.3 288 128zM256 128C256 110.3 241.7 96 224 96C206.3 96 192 110.3 192 128C192 145.7 206.3 160 224 160C241.7 160 256 145.7 256 128z"],
    "window-frame": [512, 512, [129695], "e04f", "M496 448H480V32c0-17.62-14.38-32-32-32H64C46.38 0 32 14.38 32 32v416H16C7.125 448 0 455.1 0 464v32C0 504.9 7.125 512 16 512h480c8.875 0 16-7.125 16-16v-32C512 455.1 504.9 448 496 448zM416 224h-144V64H416V224zM96 64h144v160H96V64zM96 288h144v160H96V288zM272 448V288H416v160H272z"],
    "window-frame-open": [512, 512, [], "e050", "M480 32c0-17.62-14.38-32-32-32H64C46.38 0 32 14.38 32 32v256h448V32zM240 224H96v-160h144V224zM416 224h-144v-160H416V224zM496 448H480v-128h-64v128H96v-128H32v128H16C7.125 448 0 455.1 0 464v32C0 504.9 7.125 512 16 512h480c8.875 0 16-7.125 16-16v-32C512 455.1 504.9 448 496 448z"],
    "window-maximize": [512, 512, [128470], "f2d0", "M448 32C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448zM96 96C78.33 96 64 110.3 64 128C64 145.7 78.33 160 96 160H416C433.7 160 448 145.7 448 128C448 110.3 433.7 96 416 96H96z"],
    "window-minimize": [512, 512, [128469], "f2d1", "M0 448C0 430.3 14.33 416 32 416H480C497.7 416 512 430.3 512 448C512 465.7 497.7 480 480 480H32C14.33 480 0 465.7 0 448z"],
    "window-restore": [512, 512, [], "f2d2", "M432 64H208C199.2 64 192 71.16 192 80V96H128V80C128 35.82 163.8 0 208 0H432C476.2 0 512 35.82 512 80V304C512 348.2 476.2 384 432 384H416V320H432C440.8 320 448 312.8 448 304V80C448 71.16 440.8 64 432 64zM0 192C0 156.7 28.65 128 64 128H320C355.3 128 384 156.7 384 192V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V192zM96 256H288C305.7 256 320 241.7 320 224C320 206.3 305.7 192 288 192H96C78.33 192 64 206.3 64 224C64 241.7 78.33 256 96 256z"],
    "windsock": [512, 512, [], "f777", "M128 96H64V32c0-17.67-14.33-32-32-32S0 14.33 0 32v464C0 504.8 7.164 512 16 512h32C56.84 512 64 504.8 64 496V320h64v44.8l80-16V67.2l-80-16V96zM128 272H64v-128h64V272zM272 335.1l96-19.2V99.2L272 80V335.1zM492.7 124.1L432 112v191.1l60.71-12.14C503.9 289.6 512 279.8 512 268.3V147.7C512 136.2 503.9 126.4 492.7 124.1z"],
    "wine-bottle": [512, 512, [], "f72f", "M507.3 72.57l-67.88-67.88c-6.252-6.25-16.38-6.25-22.63 0l-22.63 22.62c-6.25 6.254-6.251 16.38-.0006 22.63l-76.63 76.63c-46.63-19.75-102.4-10.75-140.4 27.25l-158.4 158.4c-25 25-25 65.51 0 90.51l90.51 90.52c25 25 65.51 25 90.51 0l158.4-158.4c38-38 47-93.76 27.25-140.4l76.63-76.63c6.25 6.25 16.5 6.25 22.75 0l22.63-22.63C513.5 88.95 513.5 78.82 507.3 72.57zM179.3 423.2l-90.51-90.51l122-122l90.51 90.52L179.3 423.2z"],
    "wine-glass": [320, 512, [127863], "f4e3", "M232 464h-40.01v-117.3c68.51-15.88 118-79.86 111.4-154.1L287.5 14.5C286.8 6.25 279.9 0 271.8 0H48.23C40.1 0 33.22 6.25 32.47 14.5L16.6 192.6c-6.626 74.25 42.88 138.2 111.4 154.2V464H87.98c-22.13 0-40.01 17.88-40.01 40c0 4.375 3.626 8 8.002 8h208c4.376 0 8.002-3.625 8.002-8C272 481.9 254.1 464 232 464zM77.72 48h164.6L249.4 128H70.58L77.72 48z"],
    "wine-glass-crack": [320, 512, ["fragile"], "f4bb", "M272 504c0 4.375-3.625 8-8.002 8H55.98c-4.377 0-8.002-3.625-8.002-8c0-22.12 17.88-40 40.01-40h40.01v-117.1c-68.52-16-118-79.99-111.4-154.2L32.47 14.5C33.22 6.25 40.1 0 48.23 0h85.6l32.88 48.25l-85.52 56L202.7 224L153.2 119.8l85.52-56L208.2 0h63.56c8.127 0 15 6.25 15.75 14.5l15.88 178.1c6.625 74.25-42.88 138.2-111.4 154.1V464h40.01C254.1 464 272 481.9 272 504z"],
    "wine-glass-empty": [320, 512, ["wine-glass-alt"], "f5ce", "M232 464h-40.01v-117.3c68.52-15.88 118-79.86 111.4-154.1L287.5 14.5C286.8 6.25 279.9 0 271.8 0H48.23C40.1 0 33.22 6.25 32.47 14.5L16.6 192.6c-6.625 74.25 42.88 138.2 111.4 154.2V464H87.98c-22.13 0-40.01 17.88-40.01 40c0 4.375 3.625 8 8.002 8h208c4.377 0 8.002-3.625 8.002-8C272 481.9 254.1 464 232 464zM180.4 300.2c-13.64 3.16-27.84 3.148-41.48-.0371C91.88 289.2 60.09 245.2 64.38 197.1L77.7 48h164.6L255.6 197.2c4.279 48.01-27.5 91.93-74.46 102.8L180.4 300.2z"],
    "won-sign": [512, 512, [8361, "krw", "won"], "f159", "M119.1 224H183L224.1 56.24C228.5 41.99 241.3 32 256 32C270.7 32 283.5 41.99 287 56.24L328.1 224H392.9L449.6 53.88C455.2 37.12 473.4 28.05 490.1 33.64C506.9 39.23 515.9 57.35 510.4 74.12L460.4 224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H439.1L382.4 458.1C377.9 471.6 364.1 480.5 350.8 479.1C336.6 479.4 324.4 469.6 320.1 455.8L279 288H232.1L191 455.8C187.6 469.6 175.4 479.4 161.2 479.1C147 480.5 134.1 471.6 129.6 458.1L72.94 288H32C14.33 288 .001 273.7 .001 256C.001 238.3 14.33 224 32 224H51.6L1.643 74.12C-3.946 57.35 5.115 39.23 21.88 33.64C38.65 28.05 56.77 37.12 62.36 53.88L119.1 224zM140.4 288L155.6 333.6L167 288H140.4zM248.1 224H263L256 195.9L248.1 224zM344.1 288L356.4 333.6L371.6 288H344.1z"],
    "worm": [512, 512, [], "e599", "M256 96C256 42.98 298.1 0 352 0H390.4C439.9 0 480 40.12 480 89.6V376C480 451.1 419.1 512 344 512C268.9 512 208 451.1 208 376V296C208 273.9 190.1 256 168 256C145.9 256 128 273.9 128 296V464C128 490.5 106.5 512 80 512C53.49 512 32 490.5 32 464V296C32 220.9 92.89 160 168 160C243.1 160 304 220.9 304 296V376C304 398.1 321.9 416 344 416C366.1 416 384 398.1 384 376V192H352C298.1 192 256 149 256 96zM376 64C362.7 64 352 74.75 352 88C352 101.3 362.7 112 376 112C389.3 112 400 101.3 400 88C400 74.75 389.3 64 376 64z"],
    "wreath": [448, 512, [], "f7e2", "M298.9 384.7l-74.87 31.25L149.1 384.7c-10.38-3.5-21.12 4.374-21.12 15.25l-.003 95.98c0 10.87 10.75 18.62 21.12 15.24l74.87-31.24l74.87 31.24c10.38 3.5 21.12-4.373 21.12-15.24l.0074-95.98C319.1 389.1 309.2 381.3 298.9 384.7zM447.1 224c0-16.88-8.749-31.66-21.87-40.29c8.875-12.88 11.22-29.88 4.72-45.5c-6.625-15.88-20.59-26.11-36.34-28.86c3.25-15.37-.3079-31.87-12.18-43.74s-28.44-15.38-43.69-12.13c-2.75-15.75-13.02-29.87-28.89-36.37c-15.5-6.496-32.48-3.998-45.48 4.748c-8.625-13.12-23.39-21.87-40.27-21.87S192.4 8.749 183.8 21.87c-13-8.871-30.02-11.28-45.52-4.779C122.5 23.72 112.1 37.74 109.5 53.49c-15.38-3.25-31.9 .2154-43.78 12.09c-12 11.87-15.47 28.41-12.1 43.78c-15.88 2.75-29.93 12.99-36.43 28.86C10.69 153.7 13.25 170.7 21.1 183.7c-13.25 8.621-21.1 23.39-21.1 40.26c0 16.87 8.749 31.63 21.87 40.26C13 277.1 10.63 294.1 17.13 309.7c6.625 15.75 20.62 25.71 36.5 28.46c-3.375 15.5-.0475 32.11 12.08 44.11c8.5 8.625 19.55 12.76 30.8 13.51c1-11.38 5.735-21.1 13.98-30.12C119.5 356.8 131.5 351.9 144 351.9c5.25 0 10.25 .75 15.25 2.5l64.88 26.87l64.88-26.87c4.875-1.625 10-2.5 15.25-2.5c25 0 45.38 19.25 47.5 43.74c11.25-.625 22.24-4.86 30.87-13.48c12-11.1 15.51-28.63 12.13-44.13c15.75-2.75 29.87-12.62 36.49-28.49c6.5-15.63 4.008-32.62-4.867-45.5C439.3 255.6 447.1 240.9 447.1 224zM301.5 250.2c-2.75 8.875-1.125 20.13-6.25 27.5c-5.25 7.5-16.12 9.375-23.38 14.87c-7.125 5.375-12.12 15.62-20.62 18.5C243 313.9 233.1 308.7 224 308.7S205 313.9 196.8 311.1c-8.5-2.875-13.5-13.12-20.62-18.5C168.9 287.2 157.1 285.2 152.8 277.7C147.6 270.4 149.3 259.1 146.5 250.2C143.8 241.6 136 233.5 136 223.1c0-9.5 7.749-17.66 10.5-26.28c2.75-8.871 1.146-20.22 6.271-27.6c5.25-7.5 16.1-9.274 23.35-14.77c7.125-5.375 12.12-15.62 20.62-18.5C205 134.1 214.9 139.2 224 139.2s19-5.125 27.25-2.375c8.5 2.875 13.5 13.12 20.62 18.5c7.25 5.371 18.12 7.371 23.38 14.87c5.125 7.375 3.5 18.63 6.25 27.5c2.75 8.621 10.5 16.78 10.5 26.28C311.1 233.5 304.3 241.6 301.5 250.2z"],
    "wrench": [512, 512, [128295], "f0ad", "M507.6 122.8c-2.904-12.09-18.25-16.13-27.04-7.338l-76.55 76.56l-83.1-.0002l0-83.1l76.55-76.56c8.791-8.789 4.75-24.14-7.336-27.04c-23.69-5.693-49.34-6.111-75.92 .2484c-61.45 14.7-109.4 66.9-119.2 129.3C189.8 160.8 192.3 186.7 200.1 210.1l-178.1 178.1c-28.12 28.12-28.12 73.69 0 101.8C35.16 504.1 53.56 512 71.1 512s36.84-7.031 50.91-21.09l178.1-178.1c23.46 7.736 49.31 10.24 76.17 6.004c62.41-9.84 114.6-57.8 129.3-119.2C513.7 172.1 513.3 146.5 507.6 122.8zM80 456c-13.25 0-24-10.75-24-24c0-13.26 10.75-24 24-24s24 10.74 24 24C104 445.3 93.25 456 80 456z"],
    "wrench-simple": [384, 512, [], "e2d1", "M384 172.4c0 71.02-38.7 132.8-96 166v125.5C288 490.5 266.5 512 240 512h-96C117.5 512 96 490.5 96 463.1v-125.5c-57.3-33.22-96-94.99-96-166c0-74.41 42.4-138.8 104.3-170.6C115.1-3.711 128 3.992 128 16.1v143.9l64 64l64-64V16.1c0-12.11 12.93-19.81 23.7-14.27C341.6 33.67 384 98.04 384 172.4z"],
    "x": [384, 512, [120], "58", "M376.6 427.5c11.31 13.58 9.484 33.75-4.094 45.06c-5.984 4.984-13.25 7.422-20.47 7.422c-9.172 0-18.27-3.922-24.59-11.52L192 305.1l-135.4 162.5c-6.328 7.594-15.42 11.52-24.59 11.52c-7.219 0-14.48-2.438-20.47-7.422c-13.58-11.31-15.41-31.48-4.094-45.06l142.9-171.5L7.422 84.5C-3.891 70.92-2.063 50.75 11.52 39.44c13.56-11.34 33.73-9.516 45.06 4.094L192 206l135.4-162.5c11.3-13.58 31.48-15.42 45.06-4.094c13.58 11.31 15.41 31.48 4.094 45.06l-142.9 171.5L376.6 427.5z"],
    "x-ray": [512, 512, [], "f497", "M208 352C199.2 352 192 359.2 192 368C192 376.8 199.2 384 208 384S224 376.8 224 368C224 359.2 216.8 352 208 352zM304 384c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16S288 359.2 288 368C288 376.8 295.2 384 304 384zM496 96C504.8 96 512 88.84 512 80v-32C512 39.16 504.8 32 496 32h-480C7.164 32 0 39.16 0 48v32C0 88.84 7.164 96 16 96H32v320H16C7.164 416 0 423.2 0 432v32C0 472.8 7.164 480 16 480h480c8.836 0 16-7.164 16-16v-32c0-8.836-7.164-16-16-16H480V96H496zM416 216C416 220.4 412.4 224 408 224H272v32h104C380.4 256 384 259.6 384 264v16C384 284.4 380.4 288 376 288H272v32h69.33c25.56 0 40.8 28.48 26.62 49.75l-21.33 32C340.7 410.7 330.7 416 319.1 416H192c-10.7 0-20.69-5.347-26.62-14.25l-21.33-32C129.9 348.5 145.1 320 170.7 320H240V288H136C131.6 288 128 284.4 128 280v-16C128 259.6 131.6 256 136 256H240V224H104C99.6 224 96 220.4 96 216v-16C96 195.6 99.6 192 104 192H240V160H136C131.6 160 128 156.4 128 152v-16C128 131.6 131.6 128 136 128H240V104C240 99.6 243.6 96 248 96h16c4.4 0 8 3.6 8 8V128h104C380.4 128 384 131.6 384 136v16C384 156.4 380.4 160 376 160H272v32h136C412.4 192 416 195.6 416 200V216z"],
    "xmark": [320, 512, [128473, 10005, 10006, 10060, 215, "close", "multiply", "remove", "times"], "f00d", "M310.6 361.4c12.5 12.5 12.5 32.75 0 45.25C304.4 412.9 296.2 416 288 416s-16.38-3.125-22.62-9.375L160 301.3L54.63 406.6C48.38 412.9 40.19 416 32 416S15.63 412.9 9.375 406.6c-12.5-12.5-12.5-32.75 0-45.25l105.4-105.4L9.375 150.6c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L160 210.8l105.4-105.4c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25l-105.4 105.4L310.6 361.4z"],
    "xmark-large": [448, 512, [], "e59b", "M393.4 41.37C405.9 28.88 426.1 28.88 438.6 41.37C451.1 53.87 451.1 74.13 438.6 86.63L269.3 255.1L438.6 425.4C451.1 437.9 451.1 458.1 438.6 470.6C426.1 483.1 405.9 483.1 393.4 470.6L223.1 301.3L54.63 470.6C42.13 483.1 21.87 483.1 9.372 470.6C-3.124 458.1-3.124 437.9 9.372 425.4L178.7 255.1L9.372 86.63C-3.124 74.13-3.124 53.87 9.372 41.37C21.87 28.88 42.13 28.88 54.63 41.37L223.1 210.7L393.4 41.37z"],
    "xmark-to-slot": [576, 512, ["times-to-slot", "vote-nay"], "f771", "M480 80C480 53.49 458.5 32 432 32h-288C117.5 32 96 53.49 96 80V384h384V80zM368.1 255c9.375 9.375 9.375 24.56 0 33.94c-9.381 9.379-24.56 9.371-33.94 0L288 241.9L240.1 288.1c-9.381 9.379-24.56 9.371-33.94 0c-9.375-9.375-9.375-24.56 0-33.94L254.1 208L207 160.1c-9.375-9.375-9.375-24.56 0-33.94s24.56-9.375 33.94 0L288 174.1l47.03-47.03c9.375-9.375 24.56-9.375 33.94 0s9.375 24.56 0 33.94L321.9 208L368.1 255zM528 288H512v112c0 8.836-7.164 16-16 16h-416C71.16 416 64 408.8 64 400V288H48C21.49 288 0 309.5 0 336v96C0 458.5 21.49 480 48 480h480c26.51 0 48-21.49 48-48v-96C576 309.5 554.5 288 528 288z"],
    "xmarks-lines": [640, 512, [], "e59a", "M608 32C625.7 32 640 46.33 640 64C640 81.67 625.7 96 608 96H32C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32H608zM608 416C625.7 416 640 430.3 640 448C640 465.7 625.7 480 608 480H32C14.33 480 0 465.7 0 448C0 430.3 14.33 416 32 416H608zM7.029 167C16.4 157.7 31.6 157.7 40.97 167L96 222.1L151 167C160.4 157.7 175.6 157.7 184.1 167C194.3 176.4 194.3 191.6 184.1 200.1L129.9 256L184.1 311C194.3 320.4 194.3 335.6 184.1 344.1C175.6 354.3 160.4 354.3 151 344.1L96 289.9L40.97 344.1C31.6 354.3 16.4 354.3 7.029 344.1C-2.343 335.6-2.343 320.4 7.029 311L62.06 256L7.029 200.1C-2.343 191.6-2.343 176.4 7.029 167V167zM320 222.1L375 167C384.4 157.7 399.6 157.7 408.1 167C418.3 176.4 418.3 191.6 408.1 200.1L353.9 256L408.1 311C418.3 320.4 418.3 335.6 408.1 344.1C399.6 354.3 384.4 354.3 375 344.1L320 289.9L264.1 344.1C255.6 354.3 240.4 354.3 231 344.1C221.7 335.6 221.7 320.4 231 311L286.1 256L231 200.1C221.7 191.6 221.7 176.4 231 167C240.4 157.7 255.6 157.7 264.1 167L320 222.1zM455 167C464.4 157.7 479.6 157.7 488.1 167L544 222.1L599 167C608.4 157.7 623.6 157.7 632.1 167C642.3 176.4 642.3 191.6 632.1 200.1L577.9 256L632.1 311C642.3 320.4 642.3 335.6 632.1 344.1C623.6 354.3 608.4 354.3 599 344.1L544 289.9L488.1 344.1C479.6 354.3 464.4 354.3 455 344.1C445.7 335.6 445.7 320.4 455 311L510.1 256L455 200.1C445.7 191.6 445.7 176.4 455 167V167z"],
    "y": [384, 512, [121], "59", "M378 82.61L224 298.3v149.8c0 17.67-14.31 31.1-32 31.1S160 465.7 160 448V298.3L5.969 82.61C-4.313 68.23-.9688 48.25 13.41 37.97c14.34-10.27 34.38-6.922 44.63 7.453L192 232.1l133.1-187.5c10.28-14.37 30.28-17.7 44.63-7.453C384.1 48.25 388.3 68.23 378 82.61z"],
    "yen-sign": [320, 512, [165, "cny", "jpy", "rmb", "yen"], "f157", "M159.1 198.3L261.4 46.25C271.2 31.54 291 27.57 305.8 37.37C320.5 47.18 324.4 67.04 314.6 81.75L219.8 223.1H272C289.7 223.1 304 238.3 304 255.1C304 273.7 289.7 287.1 272 287.1H192V319.1H272C289.7 319.1 304 334.3 304 352C304 369.7 289.7 384 272 384H192V448C192 465.7 177.7 480 159.1 480C142.3 480 127.1 465.7 127.1 448V384H47.1C30.33 384 15.1 369.7 15.1 352C15.1 334.3 30.33 319.1 47.1 319.1H127.1V287.1H47.1C30.33 287.1 15.1 273.7 15.1 255.1C15.1 238.3 30.33 223.1 47.1 223.1H100.2L5.374 81.75C-4.429 67.04-.456 47.18 14.25 37.37C28.95 27.57 48.82 31.54 58.62 46.25L159.1 198.3z"],
    "yin-yang": [512, 512, [9775], "f6ad", "M256 128C238.3 128 224 142.4 224 160S238.3 192 256 192s31.97-14.38 31.97-32S273.7 128 256 128zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 384c-17.68 0-31.97-14.38-31.97-32S238.3 320 256 320s31.97 14.38 31.97 32S273.7 384 256 384zM256 256c-53.04 0-96.03 43-96.03 96S202.1 448 256 448c-106.1 0-192.1-86-192.1-192S149.9 64 256 64c53.04 0 96.03 43 96.03 96S309 256 256 256z"],
    "z": [384, 512, [122], "5a", "M384 448c0 17.67-14.31 32-32 32H32c-12.41 0-23.72-7.188-28.97-18.42c-5.281-11.25-3.562-24.53 4.375-34.06l276.3-331.5H32c-17.69 0-32-14.33-32-32s14.31-32 32-32h320c12.41 0 23.72 7.188 28.97 18.42c5.281 11.25 3.562 24.53-4.375 34.06L100.3 416H352C369.7 416 384 430.3 384 448z"]
  };

  bunker(function () {
    defineIcons('fas', icons);
    defineIcons('fa-solid', icons);
  });

}());
(function () {
  'use strict';

  var _WINDOW = {};
  var _DOCUMENT = {};

  try {
    if (typeof window !== 'undefined') _WINDOW = window;
    if (typeof document !== 'undefined') _DOCUMENT = document;
  } catch (e) {}

  var _ref = _WINDOW.navigator || {},
      _ref$userAgent = _ref.userAgent,
      userAgent = _ref$userAgent === void 0 ? '' : _ref$userAgent;
  var WINDOW = _WINDOW;
  var DOCUMENT = _DOCUMENT;
  var IS_BROWSER = !!WINDOW.document;
  var IS_DOM = !!DOCUMENT.documentElement && !!DOCUMENT.head && typeof DOCUMENT.addEventListener === 'function' && typeof DOCUMENT.createElement === 'function';
  var IS_IE = ~userAgent.indexOf('MSIE') || ~userAgent.indexOf('Trident/');

  function ownKeys(object, enumerableOnly) {
    var keys = Object.keys(object);

    if (Object.getOwnPropertySymbols) {
      var symbols = Object.getOwnPropertySymbols(object);
      enumerableOnly && (symbols = symbols.filter(function (sym) {
        return Object.getOwnPropertyDescriptor(object, sym).enumerable;
      })), keys.push.apply(keys, symbols);
    }

    return keys;
  }

  function _objectSpread2(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = null != arguments[i] ? arguments[i] : {};
      i % 2 ? ownKeys(Object(source), !0).forEach(function (key) {
        _defineProperty(target, key, source[key]);
      }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }

    return target;
  }

  function _defineProperty(obj, key, value) {
    if (key in obj) {
      Object.defineProperty(obj, key, {
        value: value,
        enumerable: true,
        configurable: true,
        writable: true
      });
    } else {
      obj[key] = value;
    }

    return obj;
  }

  function _toConsumableArray(arr) {
    return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread();
  }

  function _arrayWithoutHoles(arr) {
    if (Array.isArray(arr)) return _arrayLikeToArray(arr);
  }

  function _iterableToArray(iter) {
    if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
  }

  function _unsupportedIterableToArray(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _arrayLikeToArray(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(o);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen);
  }

  function _arrayLikeToArray(arr, len) {
    if (len == null || len > arr.length) len = arr.length;

    for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i];

    return arr2;
  }

  function _nonIterableSpread() {
    throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
  }

  var NAMESPACE_IDENTIFIER = '___FONT_AWESOME___';
  var PRODUCTION = function () {
    try {
      return "production" === 'production';
    } catch (e) {
      return false;
    }
  }();
  var STYLE_TO_PREFIX = {
    'solid': 'fas',
    'regular': 'far',
    'light': 'fal',
    'thin': 'fat',
    'duotone': 'fad',
    'brands': 'fab',
    'kit': 'fak'
  };
  var oneToTen = [1, 2, 3, 4, 5, 6, 7, 8, 9, 10];
  var oneToTwenty = oneToTen.concat([11, 12, 13, 14, 15, 16, 17, 18, 19, 20]);
  var DUOTONE_CLASSES = {
    GROUP: 'duotone-group',
    SWAP_OPACITY: 'swap-opacity',
    PRIMARY: 'primary',
    SECONDARY: 'secondary'
  };
  var RESERVED_CLASSES = [].concat(_toConsumableArray(Object.keys(STYLE_TO_PREFIX)), ['2xs', 'xs', 'sm', 'lg', 'xl', '2xl', 'beat', 'border', 'fade', 'beat-fade', 'bounce', 'flip-both', 'flip-horizontal', 'flip-vertical', 'flip', 'fw', 'inverse', 'layers-counter', 'layers-text', 'layers', 'li', 'pull-left', 'pull-right', 'pulse', 'rotate-180', 'rotate-270', 'rotate-90', 'rotate-by', 'shake', 'spin-pulse', 'spin-reverse', 'spin', 'stack-1x', 'stack-2x', 'stack', 'ul', DUOTONE_CLASSES.GROUP, DUOTONE_CLASSES.SWAP_OPACITY, DUOTONE_CLASSES.PRIMARY, DUOTONE_CLASSES.SECONDARY]).concat(oneToTen.map(function (n) {
    return "".concat(n, "x");
  })).concat(oneToTwenty.map(function (n) {
    return "w-".concat(n);
  }));

  function bunker(fn) {
    try {
      for (var _len = arguments.length, args = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
        args[_key - 1] = arguments[_key];
      }

      fn.apply(void 0, args);
    } catch (e) {
      if (!PRODUCTION) {
        throw e;
      }
    }
  }

  var w = WINDOW || {};
  if (!w[NAMESPACE_IDENTIFIER]) w[NAMESPACE_IDENTIFIER] = {};
  if (!w[NAMESPACE_IDENTIFIER].styles) w[NAMESPACE_IDENTIFIER].styles = {};
  if (!w[NAMESPACE_IDENTIFIER].hooks) w[NAMESPACE_IDENTIFIER].hooks = {};
  if (!w[NAMESPACE_IDENTIFIER].shims) w[NAMESPACE_IDENTIFIER].shims = [];
  var namespace = w[NAMESPACE_IDENTIFIER];

  function normalizeIcons(icons) {
    return Object.keys(icons).reduce(function (acc, iconName) {
      var icon = icons[iconName];
      var expanded = !!icon.icon;

      if (expanded) {
        acc[icon.iconName] = icon.icon;
      } else {
        acc[iconName] = icon;
      }

      return acc;
    }, {});
  }

  function defineIcons(prefix, icons) {
    var params = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
    var _params$skipHooks = params.skipHooks,
        skipHooks = _params$skipHooks === void 0 ? false : _params$skipHooks;
    var normalized = normalizeIcons(icons);

    if (typeof namespace.hooks.addPack === 'function' && !skipHooks) {
      namespace.hooks.addPack(prefix, normalizeIcons(icons));
    } else {
      namespace.styles[prefix] = _objectSpread2(_objectSpread2({}, namespace.styles[prefix] || {}), normalized);
    }
    /**
     * Font Awesome 4 used the prefix of `fa` for all icons. With the introduction
     * of new styles we needed to differentiate between them. Prefix `fa` is now an alias
     * for `fas` so we'll ease the upgrade process for our users by automatically defining
     * this as well.
     */


    if (prefix === 'fas') {
      defineIcons('fa', icons);
    }
  }

  var icons = {
    "0": [320, 512, [], "30", "M160 32.01c-88.37 0-160 71.63-160 160v127.1c0 88.37 71.63 160 160 160s160-71.63 160-160V192C320 103.6 248.4 32.01 160 32.01zM304 320c0 79.4-64.6 144-144 144S16 399.4 16 320V192c0-79.4 64.6-144 144-144s144 64.6 144 144V320z"],
    "1": [256, 512, [], "31", "M256 472c0 4.406-3.578 8-8 8h-240C3.578 480 0 476.4 0 472s3.578-8 8-8h112V53.94L36.03 102.9C32.2 105.1 27.33 103.8 25.09 100S24.16 91.31 27.97 89.09l96-56c2.484-1.438 5.531-1.469 8.016-.0313S136 37.13 136 40V464h112C252.4 464 256 467.6 256 472z"],
    "2": [320, 512, [], "32", "M320 472C320 476.4 316.4 480 311.1 480H7.996c-3.328 0-6.297-2.062-7.469-5.156c-1.188-3.094-.3281-6.625 2.156-8.812l226.5-201.6c51.69-44.59 57.69-120.1 13.77-171.9c-21.8-25.75-52.53-41.41-86.5-44.06C122.3 45.73 89.33 56.42 63.54 78.61L29.7 107.7C26.36 110.6 21.31 110.3 18.42 106.9C15.53 103.5 15.92 98.48 19.26 95.6l33.84-29.12C82.14 41.51 119.5 29.45 157.7 32.45c38.27 3.031 72.88 20.69 97.47 49.72c49.66 58.62 42.88 143.1-15.45 194.3l-210.7 187.6h282.1C316.4 464 320 467.6 320 472z"],
    "3": [320, 512, [], "33", "M320 355.7C320 424.2 264.2 480 195.7 480H88.06c-39.83 0-75.06-25.41-87.66-63.19c-1.391-4.188 .875-8.719 5.062-10.12c4.219-1.375 8.719 .875 10.12 5.062C26 443 55.13 464 88.06 464h107.6c59.72 0 108.3-48.59 108.3-108.3s-48.59-108.3-108.3-108.3H72c-3.297 0-6.25-2.031-7.453-5.094S64.16 235.7 66.58 233.5L267.5 48H8.003c-4.422 0-7.1-3.594-7.1-8S3.581 32 8.003 32h279.1c3.297 0 6.25 2.031 7.453 5.094c1.203 3.062 .3906 6.562-2.031 8.781l-200.1 185.5h103.2C264.2 231.4 320 287.2 320 355.7z"],
    "4": [384, 512, [], "34", "M383.1 343.1c0 4.406-3.578 8-8 8l-55.1 .004l-.0003 119.1c0 4.406-3.578 8-8 8s-8-3.594-8-8v-120h-296c-2.75 0-5.297-1.406-6.766-3.719c-1.453-2.313-1.641-5.219-.4687-7.719l144-304c1.922-4 6.688-5.656 10.66-3.781c4 1.875 5.703 6.656 3.812 10.66l-138.6 292.6h283.4V135.1c0-4.406 3.578-8 8-8s8 3.594 8 8v200h56C380.4 335.1 383.1 339.6 383.1 343.1z"],
    "5": [320, 512, [], "35", "M320 355.7C320 424.2 264.2 480 195.7 480H89.74c-40.59 0-76.48-25.88-89.33-64.38c-1.391-4.188 .875-8.719 5.062-10.12c4.219-1.375 8.719 .875 10.12 5.062C26.25 442.5 56.05 464 89.74 464h105.1c59.72 0 108.3-48.59 108.3-108.3s-48.59-108.3-108.3-108.3H8.003c-2.453 0-4.766-1.125-6.281-3.062C.2063 242.4-.3405 239.9 .222 237.5l47.1-199.4C49.1 34.53 52.3 32 56 32h223.1c4.422 0 7.1 3.594 7.1 8S284.4 48 280 48H62.3L18.16 231.4h177.5C264.2 231.4 320 287.2 320 355.7z"],
    "6": [320, 512, [], "36", "M0 320c0 88.22 71.78 160 160 160s160-71.78 160-160S248.2 160 160 160C139 160 119.1 164.3 100.7 171.7l121.1-126.2c3.062-3.188 2.938-8.25-.25-11.31C220 32.75 217.1 32 216 32c-2.094 0-4.188 .8125-5.781 2.469C39.84 211.1 0 238.1 0 320zM304 320c0 79.41-64.59 144-144 144S16 399.4 16 320S80.59 176 160 176S304 240.6 304 320z"],
    "7": [320, 512, [], "37", "M318.8 44.25l-272 432C45.25 478.7 42.66 480 40 480c-1.469 0-2.938-.4062-4.25-1.219c-3.75-2.375-4.875-7.312-2.531-11.03L297.5 48H8C3.594 48 0 44.41 0 40S3.594 32 8 32h304c2.906 0 5.594 1.594 7 4.125C320.4 38.69 320.3 41.81 318.8 44.25z"],
    "8": [320, 512, [], "38", "M231.2 251.6C269.4 232.6 296 193.5 296 148C296 84.03 243.1 32 180 32h-40C76.03 32 24 84.03 24 148c0 45.5 26.57 84.57 64.79 103.6C37.97 263.9 0 309.4 0 364C0 427.1 52.03 480 116 480h88C267.1 480 320 427.1 320 364C320 309.4 282 263.9 231.2 251.6zM40 148C40 92.88 84.88 48 140 48h40c55.13 0 100 44.88 100 100S235.1 248 180 248h-40C84.88 248 40 203.1 40 148zM204 464h-88c-55.13 0-100-44.88-100-100S60.88 264 116 264h88c55.13 0 100 44.88 100 100S259.1 464 204 464z"],
    "9": [320, 512, [], "39", "M320 192c0-88.22-71.78-160-160-160s-160 71.78-160 160S71.78 352 160 352c20.99 0 40.94-4.311 59.33-11.7l-121.1 126.2c-3.062 3.188-2.938 8.25 .25 11.31C100 479.3 101.1 480 104 480c2.094 0 4.188-.8125 5.781-2.469C280.2 300 320 273.9 320 192zM16 192c0-79.41 64.59-144 144-144s144 64.59 144 144s-64.59 144-144 144S16 271.4 16 192z"],
    "00": [640, 512, [], "e467", "M288 176V336C288 415.5 223.5 480 144 480C64.47 480 0 415.5 0 336V176C0 96.47 64.47 32 144 32C223.5 32 288 96.47 288 176zM16 336C16 406.7 73.31 464 144 464C214.7 464 272 406.7 272 336V176C272 105.3 214.7 48 144 48C73.31 48 16 105.3 16 176V336zM640 176V336C640 415.5 575.5 480 496 480C416.5 480 352 415.5 352 336V176C352 96.47 416.5 32 496 32C575.5 32 640 96.47 640 176zM368 336C368 406.7 425.3 464 496 464C566.7 464 624 406.7 624 336V176C624 105.3 566.7 48 496 48C425.3 48 368 105.3 368 176V336z"],
    "360-degrees": [640, 512, [], "e2dc", "M79.19 208H57.09l109.1-130.9c1.969-2.391 2.406-5.703 1.094-8.516S163.1 64 160 64H8C3.594 64 0 67.58 0 72S3.594 80 8 80h134.9L33.84 210.9C31.88 213.3 31.44 216.6 32.75 219.4S36.91 224 40 224h39.19C132.6 224 176 267.4 176 320.8v14.38C176 388.6 132.6 432 79.19 432c-27.12 0-52.38-12.91-64.31-32.91c-2.281-3.797-7.25-5.047-10.97-2.766c-3.812 2.266-5.031 7.188-2.781 10.98C16.12 432.4 46.03 448 79.19 448C141.4 448 192 397.4 192 335.2v-14.38C192 258.6 141.4 208 79.19 208zM496 64c-44.13 0-79.1 35.89-79.1 80v224c0 44.11 35.87 80 79.1 80s79.1-35.89 79.1-80v-224C576 99.89 540.1 64 496 64zM560 368c0 35.3-28.72 64-64 64s-64-28.7-64-64v-224c0-35.3 28.72-64 64-64s64 28.7 64 64V368zM304 208c-26.27 0-49.41 12.89-64 32.49V201.5c0-51.97 33.16-97.78 82.53-114l23.97-7.875c4.188-1.375 6.469-5.891 5.094-10.09c-1.344-4.172-5.75-6.5-10.09-5.094L317.5 72.28C261.6 90.64 224 142.6 224 201.5L224 368c0 44.11 35.87 80 79.1 80s79.1-35.89 79.1-80L384 288C384 243.9 348.1 208 304 208zM368 368c0 35.3-28.72 64-64 64s-64-28.7-64-64V288c0-35.3 28.72-64 64-64S368 252.7 368 288V368zM608 0c-17.67 0-31.1 14.33-31.1 32c0 17.67 14.33 32 31.1 32C625.7 64 640 49.67 640 32C640 14.33 625.7 0 608 0zM608 48c-8.822 0-16-7.178-16-16s7.178-16 16-16s16 7.178 16 16S616.8 48 608 48z"],
    "a": [384, 512, [97], "41", "M383.4 468.9L199.4 36.46c-2.5-5.943-12.22-5.943-14.72 0L.6438 468.9c-1.734 4.066 .1562 8.758 4.219 10.51c4.125 1.595 8.765-.1564 10.5-4.254l45.63-107.2h262l45.63 107.2C369.9 478.2 372.9 480 375.1 480c1.047 0 2.109-.219 3.141-.6256C383.2 477.6 385.1 472.9 383.4 468.9zM67.8 351.9L192 60.01l124.2 291.9H67.8z"],
    "abacus": [576, 512, [129518], "f640", "M512 32H64c-35.35 0-64 28.65-64 64v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64v-320C576 60.65 547.3 32 512 32zM424 48v48L416 96c-17.67 0-32 14.33-32 32s14.33 31.1 31.1 31.1L424 160v40h-144v-40l8-.0004C305.7 160 320 145.7 320 128s-14.33-32-32-32L280 96v-48H424zM464 128c0 8.837-7.163 16-15.1 16H415.1c-8.837 0-15.1-7.164-15.1-16s7.163-15.1 15.1-15.1h32C456.8 112 464 119.2 464 128zM240 128c0-8.837 7.163-15.1 15.1-15.1h32c8.837 0 15.1 7.163 15.1 15.1s-7.163 16-15.1 16H255.1C247.2 144 240 136.8 240 128zM264 48v48L256 96c-17.67 0-32 14.33-32 32s14.33 31.1 31.1 31.1L264 160v40h-112v-40l8-.0004C177.7 160 192 145.7 192 128S177.7 96 160 96L152 96v-48H264zM112 128c0-8.837 7.163-15.1 15.1-15.1h32C168.8 112 176 119.2 176 128S168.8 144 160 144h-32C119.2 144 112 136.8 112 128zM16 96c0-26.51 21.49-48 48-48h72v48L127.1 96C110.3 96 96 110.3 96 128s14.33 31.1 31.1 31.1L136 160v40H16V96zM64 464c-26.51 0-48-21.49-48-48v-200h120v40H127.1C110.3 256 96 270.3 96 288s14.33 31.1 31.1 31.1L136 320v32l-8-.0004C110.3 352 96 366.3 96 384s14.33 31.1 31.1 31.1L136 416v48H64zM176 288c0 8.837-7.163 16-15.1 16h-32C119.2 304 112 296.8 112 288s7.163-15.1 15.1-15.1h32C168.8 272 176 279.2 176 288zM176 384c0 8.837-7.163 16-15.1 16h-32C119.2 400 112 392.8 112 384s7.163-15.1 15.1-15.1h32C168.8 368 176 375.2 176 384zM152 464v-48l8-.0005C177.7 416 192 401.7 192 384s-14.33-32-31.1-32L152 352v-32l8-.0004C177.7 320 192 305.7 192 288s-14.33-32-31.1-32H152v-40h112v40H255.1C238.3 256 224 270.3 224 288s14.33 31.1 31.1 31.1L264 320v32l-8-.0004C238.3 352 224 366.3 224 384s14.33 31.1 32 31.1l8 .0005v48H152zM304 288c0 8.837-7.163 16-15.1 16H255.1C247.2 304 240 296.8 240 288s7.163-15.1 15.1-15.1h32C296.8 272 304 279.2 304 288zM304 384c0 8.837-7.163 16-15.1 16H255.1c-8.837 0-15.1-7.164-15.1-16s7.163-15.1 15.1-15.1h32C296.8 368 304 375.2 304 384zM280 464v-48L288 416c17.67 0 32-14.33 32-31.1s-14.33-32-31.1-32L280 352v-32l8-.0004C305.7 320 320 305.7 320 288s-14.33-32-31.1-32H280v-40h144v136l-8-.0004C398.3 352 384 366.3 384 384s14.33 31.1 32 31.1l8 .0005v48H280zM464 384c0 8.837-7.163 16-15.1 16H415.1c-8.837 0-15.1-7.164-15.1-16s7.163-15.1 15.1-15.1h32C456.8 368 464 375.2 464 384zM560 416c0 26.51-21.49 48-48 48h-72v-48L448 416c17.67 0 32-14.33 32-31.1s-14.33-32-31.1-32L440 352v-136h120V416zM440 200v-40l8-.0004C465.7 160 480 145.7 480 128s-14.33-32-32-32l-8 .0005v-48H512c26.51 0 48 21.49 48 48v104H440z"],
    "accent-grave": [192, 512, [], "60", "M94.64 16c7.518 .0017 14.7 1.865 20.78 5.387c11.56 6.684 19.47 18.02 21.71 31.1l22.57 131.7c1.672 9.707-3.869 19.19-13.18 22.57C144.3 207.6 141.9 208 139.5 208c-7.268 0-14.05-3.875-17.7-10.11L54.1 82.51c-6.697-11.44-7.945-25.17-3.412-37.66C56.74 28.13 75.22 16 94.64 16zM94.65 .0016c-25.06 0-50.23 15.13-58.1 39.39C29.5 56.36 31.18 75.03 40.3 90.61l67.69 115.4c6.688 11.43 18.84 18.03 31.51 18.03c4.164 0 8.381-.7113 12.48-2.2c16.59-6.017 26.48-22.99 23.49-40.31l-22.57-131.7c-3.045-17.81-13.79-33.2-29.45-42.25C114.6 2.391 104.6 .0035 94.65 .0016C94.65 .0016 94.65 .0016 94.65 .0016z"],
    "acorn": [448, 512, [], "f6ae", "M.0014 160C.0014 160 .0014 160 .0014 160C.0014 160 .0014 160 .0014 160zM447.1 160C447.1 160 447.1 160 447.1 160C447.1 160 447.1 160 447.1 160zM352 64.04l-120 .0015c.0156-1.191 .6582-28.52 28.8-49.63c3.531-2.656 4.25-7.672 1.609-11.2c-2.656-3.531-7.672-4.266-11.2-1.609c-34.8 26.11-35.2 60.96-35.2 62.43c0 .0156 0-.0156 0 0L96 64.04c-52.99 0-95.99 42.98-95.1 95.97C.0053 177.6 14.38 192 32 192l16 .0001v35.64c0 82.61 48.53 191.5 129.7 230.8l42.77 20.78C221.6 479.7 222.8 480 224 480s2.391-.2656 3.5-.7969l42.75-20.78C351.5 419.2 400 310.3 400 227.6V192L416 192c17.62 0 31.1-14.37 31.1-31.98C447.1 107 404.1 64.04 352 64.04zM384 227.6c0 77.67-45.16 179.8-120.7 216.4L224 463.1l-39.28-19.09C109.2 407.5 64 305.3 64 227.6V192h320V227.6zM416 176H32c-8.818 0-15.1-7.189-15.1-16C16.01 115.9 51.9 80.04 96 80.04h256c44.1 0 79.99 35.88 79.1 79.97C431.1 168.8 424.8 176 416 176z"],
    "address-book": [512, 512, [62138, "contact-book"], "f2b9", "M400 0h-320C53.49 0 32 21.49 32 48v416C32 490.5 53.49 512 80 512h320c26.51 0 48-21.49 48-48v-416C448 21.49 426.5 0 400 0zM432 464c0 17.64-14.36 32-32 32h-320c-17.64 0-32-14.36-32-32v-416c0-17.64 14.36-32 32-32h320c17.64 0 32 14.36 32 32V464zM240 256c35.35 0 64-28.65 64-64s-28.65-64-64-64c-35.34 0-64 28.65-64 64S204.7 256 240 256zM240 144C266.5 144 288 165.5 288 192s-21.53 48-48 48S192 218.5 192 192S213.5 144 240 144zM496 64h-8C483.6 64 480 67.58 480 72s3.582 8 8 8h8v64h-8C483.6 144 480 147.6 480 152S483.6 160 488 160h8C504.8 160 512 152.8 512 144v-64C512 71.16 504.8 64 496 64zM496 320h-8C483.6 320 480 323.6 480 328s3.582 8 8 8h8v64h-8c-4.418 0-8 3.582-8 8S483.6 416 488 416h8c8.836 0 16-7.164 16-16v-64C512 327.2 504.8 320 496 320zM496 192h-8C483.6 192 480 195.6 480 200s3.582 8 8 8h8v64h-8C483.6 272 480 275.6 480 280S483.6 288 488 288h8C504.8 288 512 280.8 512 272v-64C512 199.2 504.8 192 496 192zM272 288h-64C163.9 288 128 323.9 128 368v8C128 380.4 131.6 384 136 384s8-3.578 8-8V368c0-35.3 28.7-64 64-64h64c35.3 0 64 28.7 64 64v8c0 4.422 3.578 8 8 8S352 380.4 352 376V368C352 323.9 316.1 288 272 288z"],
    "address-card": [576, 512, [62140, "contact-card", "vcard"], "f2bb", "M504 312h-144C355.6 312 352 315.6 352 320s3.578 8 8 8h144c4.422 0 8-3.578 8-8S508.4 312 504 312zM176 256c35.35 0 64-28.65 64-64s-28.65-64-64-64c-35.34 0-64 28.65-64 64S140.7 256 176 256zM176 144C202.5 144 224 165.5 224 192S202.5 240 176 240S128 218.5 128 192S149.5 144 176 144zM512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM560 416c0 26.51-21.49 48-48 48H64c-26.51 0-48-21.49-48-48V96c0-26.51 21.49-48 48-48h448c26.51 0 48 21.49 48 48V416zM504 248h-144C355.6 248 352 251.6 352 256s3.578 8 8 8h144C508.4 264 512 260.4 512 256S508.4 248 504 248zM504 184h-144C355.6 184 352 187.6 352 192s3.578 8 8 8h144C508.4 200 512 196.4 512 192S508.4 184 504 184zM208 288h-64C99.89 288 64 323.9 64 368v8C64 380.4 67.58 384 72 384s8-3.578 8-8V368c0-35.3 28.7-64 64-64h64c35.3 0 64 28.7 64 64v8C272 380.4 275.6 384 280 384S288 380.4 288 376V368C288 323.9 252.1 288 208 288z"],
    "air-conditioner": [576, 512, [], "f8f4", "M512 .0002H64c-35.35 0-64 28.65-64 64v96c0 35.35 28.65 63.1 64 63.1h448c35.35 0 64-28.65 64-63.1V64C576 28.65 547.3 .0002 512 .0002zM560 160c0 26.51-21.49 47.1-48 47.1H64c-26.51 0-48-21.49-48-47.1v-96c0-26.51 21.49-48 48-48h448c26.51 0 48 21.49 48 48V160zM504 128H72c-4.422 0-8 3.578-8 8s3.578 8 8 8h432c4.422 0 8-3.578 8-8S508.4 128 504 128zM248 256c-4.422 0-8 3.578-8 8v160c0 39.7-32.3 72-72 72s-72-32.3-72-72v-8c0-35.3 28.7-64 64-64c4.422 0 8-3.578 8-7.1s-3.578-8-8-8c-44.11 0-80 35.89-80 80v7.999c0 48.53 39.47 88 88 88s88-39.47 88-88V264C256 259.6 252.4 256 248 256zM416 304c-4.422 0-8 3.578-8 8s3.578 7.1 8 7.1c35.3 0 64 28.7 64 64v8c0 39.7-32.3 72-72 72s-72-32.3-72-72v-128c0-4.422-3.578-8-8-8s-8 3.578-8 8v127.1c0 48.53 39.47 88 88 88s88-39.47 88-88v-7.999C496 339.9 460.1 304 416 304z"],
    "airplay": [576, 512, [], "e089", "M504 32H72C32.31 32 0 64.31 0 104v240C0 383.7 32.31 416 72 416H96c4.406 0 8-3.594 8-8S100.4 400 96 400H72c-30.88 0-56-25.12-56-56v-240c0-30.88 25.12-56 56-56h432c30.88 0 56 25.12 56 56v240c0 30.88-25.12 56-56 56H480c-4.406 0-8 3.594-8 8S475.6 416 480 416h24c39.69 0 72-32.31 72-72v-240C576 64.31 543.7 32 504 32zM307.6 296.1C302.1 290.7 295.1 288 288 288c-7.055 0-14.09 2.703-19.45 8.109l-132.5 136.8C118.8 450.2 131.1 480 155.7 480h264.7c24.6 0 36.89-29.77 19.54-47.13L307.6 296.1zM431.1 456.8C430.2 458.1 427.3 464 420.3 464H155.7c-6.99 0-9.822-5.016-10.71-7.172c-.8945-2.156-2.441-7.707 2.668-12.82l132.3-136.6C282.1 305.2 284.1 304 288 304c3.09 0 6.006 1.215 8.027 3.234l132.5 136.1C433.5 449.1 431.1 454.7 431.1 456.8z"],
    "alarm-clock": [512, 512, [9200], "f34e", "M93.72 .0006C118.3 .0006 140.7 9.492 157.4 24.1C160.7 28 160.9 33.06 157.9 36.3C154.9 39.54 149.8 39.73 146.6 36.73C132.7 23.86 114.1 16 93.72 16C50.8 16 16 50.8 16 93.72C16 109.1 20.45 123.4 28.12 135.4C30.5 139.1 29.4 144.1 25.67 146.5C21.95 148.8 17 147.7 14.63 144C5.365 129.5 0 112.2 0 93.72C0 41.96 41.96 0 93.72 0V.0006zM264 300.2L340.1 361.8C344.4 364.5 345 369.5 342.2 372.1C339.5 376.4 334.5 377 331 374.2L251 310.2C249.1 308.7 247.1 306.4 247.1 304V168C247.1 163.6 251.6 160 255.1 160C260.4 160 264 163.6 264 168L264 300.2zM34.34 509.7C31.22 506.5 31.22 501.5 34.34 498.3L92.05 440.6C54.79 400.6 32 346.1 32 288C32 164.3 132.3 64 256 64C379.7 64 480 164.3 480 288C480 346.1 457.2 400.6 419.9 440.6L477.7 498.3C480.8 501.5 480.8 506.5 477.7 509.7C474.5 512.8 469.5 512.8 466.3 509.7L408.6 451.9C368.6 489.2 314.1 512 256 512C197 512 143.4 489.2 103.4 451.9L45.66 509.7C42.53 512.8 37.47 512.8 34.34 509.7H34.34zM256 496C370.9 496 464 402.9 464 288C464 173.1 370.9 80 256 80C141.1 80 48 173.1 48 288C48 402.9 141.1 496 256 496zM354.6 24.1C371.3 9.492 393.7 .0006 418.3 .0006C470 .0006 512 41.96 512 93.72C512 112.2 506.6 129.5 497.4 144C494.1 147.7 490.1 148.8 486.3 146.5C482.6 144.1 481.5 139.1 483.9 135.4C491.6 123.4 496 109.1 496 93.72C496 50.8 461.2 16 418.3 16C397.9 16 379.3 23.86 365.4 36.73C362.2 39.73 357.1 39.54 354.1 36.3C351.1 33.07 351.3 28 354.6 24.1V24.1z"],
    "alarm-exclamation": [512, 512, [], "f843", "M93.72 .0006C118.3 .0006 140.7 9.492 157.4 24.1C160.7 28 160.9 33.06 157.9 36.3C154.9 39.54 149.8 39.73 146.6 36.73C132.7 23.86 114.1 16 93.72 16C50.8 16 16 50.8 16 93.72C16 109.1 20.45 123.4 28.12 135.4C30.5 139.1 29.4 144.1 25.67 146.5C21.95 148.8 17 147.7 14.63 144C5.365 129.5 0 112.2 0 93.72C0 41.96 41.96 0 93.72 0V.0006zM272 384C272 392.8 264.8 400 256 400C247.2 400 240 392.8 240 384C240 375.2 247.2 368 256 368C264.8 368 272 375.2 272 384zM264 328C264 332.4 260.4 336 256 336C251.6 336 248 332.4 248 328V168C248 163.6 251.6 160 256 160C260.4 160 264 163.6 264 168V328zM34.34 509.7C31.22 506.5 31.22 501.5 34.34 498.3L92.05 440.6C54.79 400.6 32 346.1 32 288C32 164.3 132.3 64 256 64C379.7 64 480 164.3 480 288C480 346.1 457.2 400.6 419.9 440.6L477.7 498.3C480.8 501.5 480.8 506.5 477.7 509.7C474.5 512.8 469.5 512.8 466.3 509.7L408.6 451.9C368.6 489.2 314.1 512 256 512C197 512 143.4 489.2 103.4 451.9L45.66 509.7C42.53 512.8 37.47 512.8 34.34 509.7H34.34zM256 496C370.9 496 464 402.9 464 288C464 173.1 370.9 80 256 80C141.1 80 48 173.1 48 288C48 402.9 141.1 496 256 496zM512 93.72C512 112.2 506.6 129.5 497.4 144C494.1 147.7 490.1 148.8 486.3 146.5C482.6 144.1 481.5 139.1 483.9 135.4C491.6 123.4 496 109.1 496 93.72C496 50.8 461.2 16 418.3 16C397.9 16 379.3 23.86 365.4 36.73C362.2 39.73 357.1 39.54 354.1 36.3C351.1 33.07 351.3 28 354.6 24.1C371.3 9.493 393.7 .0013 418.3 .0013C470 .0013 512 41.96 512 93.72V93.72z"],
    "alarm-plus": [512, 512, [], "f844", "M93.72 .0006C118.3 .0006 140.7 9.492 157.4 24.1C160.7 28 160.9 33.06 157.9 36.3C154.9 39.54 149.8 39.73 146.6 36.73C132.7 23.86 114.1 16 93.72 16C50.8 16 16 50.8 16 93.72C16 109.1 20.45 123.4 28.12 135.4C30.5 139.1 29.4 144.1 25.67 146.5C21.95 148.8 17 147.7 14.63 144C5.365 129.5 0 112.2 0 93.72C0 41.96 41.96 0 93.72 0V.0006zM256 184C260.4 184 264 187.6 264 192V280H352C356.4 280 360 283.6 360 288C360 292.4 356.4 296 352 296H264V384C264 388.4 260.4 392 256 392C251.6 392 248 388.4 248 384V296H160C155.6 296 152 292.4 152 288C152 283.6 155.6 280 160 280H248V192C248 187.6 251.6 184 256 184zM34.34 509.7C31.22 506.5 31.22 501.5 34.34 498.3L92.05 440.6C54.79 400.6 32 346.1 32 288C32 164.3 132.3 64 256 64C379.7 64 480 164.3 480 288C480 346.1 457.2 400.6 419.9 440.6L477.7 498.3C480.8 501.5 480.8 506.5 477.7 509.7C474.5 512.8 469.5 512.8 466.3 509.7L408.6 451.9C368.6 489.2 314.1 512 256 512C197 512 143.4 489.2 103.4 451.9L45.66 509.7C42.53 512.8 37.47 512.8 34.34 509.7H34.34zM256 496C370.9 496 464 402.9 464 288C464 173.1 370.9 80 256 80C141.1 80 48 173.1 48 288C48 402.9 141.1 496 256 496zM512 93.72C512 112.2 506.6 129.5 497.4 144C494.1 147.7 490.1 148.8 486.3 146.5C482.6 144.1 481.5 139.1 483.9 135.4C491.6 123.4 496 109.1 496 93.72C496 50.8 461.2 16 418.3 16C397.9 16 379.3 23.86 365.4 36.73C362.2 39.73 357.1 39.54 354.1 36.3C351.1 33.07 351.3 28 354.6 24.1C371.3 9.493 393.7 .0013 418.3 .0013C470 .0013 512 41.96 512 93.72V93.72z"],
    "alarm-snooze": [512, 512, [], "f845", "M157.9 36.3C154.9 39.54 149.8 39.73 146.6 36.73C132.7 23.86 114.1 16 93.72 16C50.8 16 16 50.8 16 93.72C16 109.1 20.45 123.4 28.12 135.4C30.5 139.1 29.4 144.1 25.67 146.5C21.95 148.8 17 147.7 14.63 144C5.365 129.5 0 112.2 0 93.72C0 41.96 41.96 0 93.72 0C118.3 0 140.7 9.492 157.4 24.1C160.7 28 160.9 33.06 157.9 36.3V36.3zM320 192C323 192 325.8 193.7 327.1 196.4C328.5 199.1 328.2 202.3 326.5 204.7L207.7 368H320C324.4 368 328 371.6 328 376C328 380.4 324.4 384 320 384H192C188.1 384 186.2 382.3 184.9 379.6C183.5 376.1 183.8 373.7 185.5 371.3L304.3 208H192C187.6 208 184 204.4 184 200C184 195.6 187.6 192 192 192H320zM103.4 451.9L45.66 509.7C42.53 512.8 37.47 512.8 34.34 509.7C31.22 506.5 31.22 501.5 34.34 498.3L92.05 440.6C54.79 400.6 32 346.1 32 288C32 164.3 132.3 64 256 64C379.7 64 480 164.3 480 288C480 346.1 457.2 400.6 419.9 440.6L477.7 498.3C480.8 501.5 480.8 506.5 477.7 509.7C474.5 512.8 469.5 512.8 466.3 509.7L408.6 451.9C368.6 489.2 314.1 512 256 512C197 512 143.4 489.2 103.4 451.9H103.4zM256 80C141.1 80 48 173.1 48 288C48 402.9 141.1 496 256 496C370.9 496 464 402.9 464 288C464 173.1 370.9 80 256 80zM354.6 24.1C371.3 9.492 393.7 .0003 418.3 .0003C470 .0003 512 41.96 512 93.72C512 112.2 506.6 129.5 497.4 144C494.1 147.7 490.1 148.8 486.3 146.5C482.6 144.1 481.5 139.1 483.9 135.4C491.6 123.4 496 109.1 496 93.72C496 50.8 461.2 16 418.3 16C397.9 16 379.3 23.86 365.4 36.73C362.2 39.73 357.1 39.54 354.1 36.3C351.1 33.07 351.3 28 354.6 24.1V24.1z"],
    "album": [448, 512, [128189], "f89f", "M256 256C256 273.7 241.7 288 224 288C206.3 288 192 273.7 192 256C192 238.3 206.3 224 224 224C241.7 224 256 238.3 256 256zM224 240C215.2 240 208 247.2 208 256C208 264.8 215.2 272 224 272C232.8 272 240 264.8 240 256C240 247.2 232.8 240 224 240zM64 256C64 167.6 135.6 96 224 96C312.4 96 384 167.6 384 256C384 344.4 312.4 416 224 416C135.6 416 64 344.4 64 256zM224 400C303.5 400 368 335.5 368 256C368 176.5 303.5 112 224 112C144.5 112 80 176.5 80 256C80 335.5 144.5 400 224 400zM384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM384 48H64C37.49 48 16 69.49 16 96V416C16 442.5 37.49 464 64 464H384C410.5 464 432 442.5 432 416V96C432 69.49 410.5 48 384 48z"],
    "album-circle-plus": [576, 512, [], "e48c", "M384 48H63.1C37.49 48 15.1 69.49 15.1 96V416C15.1 442.5 37.49 464 63.1 464H284.5C288.1 469.6 292 474.9 296.2 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V192.7C442.7 192.2 437.4 192 432 192V96C432 69.49 410.5 48 384 48H384zM223.1 96C293.3 96 352.3 140 374.5 201.6C369.4 203.4 364.5 205.3 359.6 207.5C339.7 151.8 286.5 112 223.1 112C144.5 112 79.1 176.5 79.1 256C79.1 335.5 144.5 400 223.1 400C235.8 400 247.2 398.6 258.2 395.9C259 401.2 260.1 406.5 261.4 411.6C249.4 414.5 236.9 416 223.1 416C135.6 416 63.1 344.4 63.1 256C63.1 167.6 135.6 96 223.1 96V96zM255.1 256C255.1 273.7 241.7 288 223.1 288C206.3 288 191.1 273.7 191.1 256C191.1 238.3 206.3 224 223.1 224C241.7 224 255.1 238.3 255.1 256zM223.1 240C215.2 240 207.1 247.2 207.1 256C207.1 264.8 215.2 272 223.1 272C232.8 272 239.1 264.8 239.1 256C239.1 247.2 232.8 240 223.1 240zM440 359.1H504C508.4 359.1 512 363.6 512 367.1C512 372.4 508.4 375.1 504 375.1H440V439.1C440 444.4 436.4 447.1 432 447.1C427.6 447.1 424 444.4 424 439.1V375.1H360C355.6 375.1 352 372.4 352 367.1C352 363.6 355.6 359.1 360 359.1H424V295.1C424 291.6 427.6 287.1 432 287.1C436.4 287.1 440 291.6 440 295.1V359.1zM576 368C576 447.5 511.5 512 432 512C352.5 512 287.1 447.5 287.1 368C287.1 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 240C361.3 240 304 297.3 304 368C304 438.7 361.3 496 432 496C502.7 496 560 438.7 560 368C560 297.3 502.7 240 432 240z"],
    "album-circle-user": [576, 512, [], "e48d", "M384 48H63.1C37.49 48 15.1 69.49 15.1 96V416C15.1 442.5 37.49 464 63.1 464H284.5C288.1 469.6 292 474.9 296.2 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V192.7C442.7 192.2 437.4 192 432 192V96C432 69.49 410.5 48 384 48H384zM223.1 96C293.3 96 352.3 140 374.5 201.6C369.4 203.4 364.5 205.3 359.6 207.5C339.7 151.8 286.5 112 223.1 112C144.5 112 79.1 176.5 79.1 256C79.1 335.5 144.5 400 223.1 400C235.8 400 247.2 398.6 258.2 395.9C259 401.2 260.1 406.5 261.4 411.6C249.4 414.5 236.9 416 223.1 416C135.6 416 63.1 344.4 63.1 256C63.1 167.6 135.6 96 223.1 96V96zM255.1 256C255.1 273.7 241.7 288 223.1 288C206.3 288 191.1 273.7 191.1 256C191.1 238.3 206.3 224 223.1 224C241.7 224 255.1 238.3 255.1 256zM223.1 240C215.2 240 207.1 247.2 207.1 256C207.1 264.8 215.2 272 223.1 272C232.8 272 239.1 264.8 239.1 256C239.1 247.2 232.8 240 223.1 240zM384 336C384 309.5 405.5 288 432 288C458.5 288 480 309.5 480 336C480 362.5 458.5 384 432 384C405.5 384 384 362.5 384 336zM432 368C449.7 368 464 353.7 464 336C464 318.3 449.7 304 432 304C414.3 304 400 318.3 400 336C400 353.7 414.3 368 432 368zM576 368C576 447.5 511.5 512 432 512C352.5 512 287.1 447.5 287.1 368C287.1 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM506.5 462.1C497 443.1 477.7 432 456.4 432H407.6C386.3 432 366.1 443.1 357.5 462.1L354.1 469.6C375.7 486.2 402.7 496 432 496C461.3 496 488.3 486.2 509.9 469.6L506.5 462.1zM560 368C560 297.3 502.7 240 432 240C361.3 240 304 297.3 304 368C304 403.5 318.4 435.5 341.7 458.7L343.2 455.8C355.4 431.4 380.3 416 407.6 416H456.4C483.7 416 508.6 431.4 520.8 455.8L522.3 458.7C545.6 435.5 560 403.5 560 368z"],
    "album-collection": [512, 512, [], "f8a0", "M448 0C465.7 0 480 14.33 480 32V40C480 44.42 476.4 48 472 48C467.6 48 464 44.42 464 40V32C464 23.16 456.8 16 448 16H64C55.16 16 48 23.16 48 32V40C48 44.42 44.42 48 40 48C35.58 48 32 44.42 32 40V32C32 14.33 46.33 0 64 0H448zM16 112C16 94.33 30.33 80 48 80H464C481.7 80 496 94.33 496 112V120C496 124.4 492.4 128 488 128C483.6 128 480 124.4 480 120V112C480 103.2 472.8 96 464 96H48C39.16 96 32 103.2 32 112V120C32 124.4 28.42 128 24 128C19.58 128 16 124.4 16 120V112zM281.8 368.6C274.5 373.5 265.3 376 256 376C246.7 376 237.5 373.5 230.2 368.6C222.1 363.8 216 355.4 216 344C216 332.6 222.1 324.2 230.2 319.4C237.5 314.5 246.7 312 256 312C265.3 312 274.5 314.5 281.8 319.4C289 324.2 296 332.6 296 344C296 355.4 289 363.8 281.8 368.6zM256 360C269.3 360 280 352.8 280 344C280 335.2 269.3 328 256 328C242.7 328 232 335.2 232 344C232 352.8 242.7 360 256 360zM432 340C432 412.9 353.2 472 256 472C158.8 472 80 412.9 80 340C80 267.1 158.8 208 256 208C353.2 208 432 267.1 432 340zM370.9 259.5C342 237.8 301.5 224 256 224C210.5 224 169.1 237.8 141.1 259.5C112.3 281.1 96 309.7 96 340C96 370.3 112.3 398.9 141.1 420.5C169.1 442.2 210.5 456 256 456C301.5 456 342 442.2 370.9 420.5C399.7 398.9 416 370.3 416 340C416 309.7 399.7 281.1 370.9 259.5zM4.207 212.6C1.523 184.4 23.68 160 51.99 160H460C488.3 160 510.5 184.4 507.8 212.6L483.4 468.6C481.1 493.2 460.4 512 435.6 512H76.37C51.62 512 30.93 493.2 28.59 468.6L4.207 212.6zM51.99 176C33.12 176 18.35 192.2 20.13 211L44.52 467C46.08 483.5 59.87 496 76.37 496H435.6C452.1 496 465.9 483.5 467.5 467L491.9 211C493.7 192.2 478.9 176 460 176H51.99z"],
    "album-collection-circle-plus": [640, 512, [], "e48e", "M448 0C465.7 0 480 14.33 480 32V40C480 44.42 476.4 48 472 48C467.6 48 464 44.42 464 40V32C464 23.16 456.8 16 448 16H64C55.16 16 48 23.16 48 32V40C48 44.42 44.42 48 40 48C35.58 48 32 44.42 32 40V32C32 14.33 46.33 0 64 0H448zM16 112C16 94.33 30.33 80 48 80H464C481.7 80 496 94.33 496 112V120C496 124.4 492.4 128 488 128C483.6 128 480 124.4 480 120V112C480 103.2 472.8 96 464 96H48C39.16 96 32 103.2 32 112V120C32 124.4 28.42 128 24 128C19.58 128 16 124.4 16 120V112zM4.207 212.6C1.523 184.4 23.68 160 51.99 160H460C481.2 160 498.9 173.6 505.4 192.2C502.3 192.1 499.1 192 496 192C493.3 192 490.5 192.1 487.8 192.2C482.4 182.6 472 176 460 176H51.99C33.12 176 18.35 192.2 20.13 211L44.52 467C46.08 483.5 59.87 496 76.37 496H375.2C381.3 501.8 387.9 507.1 394.8 512H76.37C51.62 512 30.93 493.2 28.59 468.6L4.207 212.6zM256 208C301.1 208 342.3 220.7 373.4 241.7C369.6 245.5 365.8 249.4 362.3 253.5C334.3 235.3 297.2 224 256 224C210.5 224 169.1 237.8 141.1 259.5C112.3 281.1 96 309.7 96 340C96 370.3 112.3 398.9 141.1 420.5C169.1 442.2 210.5 456 256 456C285.2 456 312.3 450.3 335.6 440.5C337.8 445.4 340.2 450.2 342.9 454.8C317.2 465.8 287.6 472 256 472C158.8 472 80 412.9 80 340C80 267.1 158.8 207.1 256 207.1V208zM281.8 368.6C274.5 373.5 265.3 376 256 376C246.7 376 237.5 373.5 230.2 368.6C222.1 363.8 216 355.4 216 344C216 332.6 222.1 324.2 230.2 319.4C237.5 314.5 246.7 312 256 312C265.3 312 274.5 314.5 281.8 319.4C289 324.2 296 332.6 296 344C296 355.4 289 363.8 281.8 368.6zM256 360C269.3 360 280 352.8 280 344C280 335.2 269.3 328 256 328C242.7 328 232 335.2 232 344C232 352.8 242.7 360 256 360zM504 359.1H568C572.4 359.1 576 363.6 576 367.1C576 372.4 572.4 375.1 568 375.1H504V439.1C504 444.4 500.4 447.1 496 447.1C491.6 447.1 488 444.4 488 439.1V375.1H424C419.6 375.1 416 372.4 416 367.1C416 363.6 419.6 359.1 424 359.1H488V295.1C488 291.6 491.6 287.1 496 287.1C500.4 287.1 504 291.6 504 295.1V359.1zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 240C425.3 240 368 297.3 368 368C368 438.7 425.3 496 496 496C566.7 496 624 438.7 624 368C624 297.3 566.7 240 496 240z"],
    "album-collection-circle-user": [640, 512, [], "e48f", "M448 0C465.7 0 480 14.33 480 32V40C480 44.42 476.4 48 472 48C467.6 48 464 44.42 464 40V32C464 23.16 456.8 16 448 16H64C55.16 16 48 23.16 48 32V40C48 44.42 44.42 48 40 48C35.58 48 32 44.42 32 40V32C32 14.33 46.33 0 64 0H448zM16 112C16 94.33 30.33 80 48 80H464C481.7 80 496 94.33 496 112V120C496 124.4 492.4 128 488 128C483.6 128 480 124.4 480 120V112C480 103.2 472.8 96 464 96H48C39.16 96 32 103.2 32 112V120C32 124.4 28.42 128 24 128C19.58 128 16 124.4 16 120V112zM4.207 212.6C1.523 184.4 23.68 160 51.99 160H460C481.2 160 498.9 173.6 505.4 192.2C502.3 192.1 499.1 192 496 192C493.3 192 490.5 192.1 487.8 192.2C482.4 182.6 472 176 460 176H51.99C33.12 176 18.35 192.2 20.13 211L44.52 467C46.08 483.5 59.87 496 76.37 496H375.2C381.3 501.8 387.9 507.1 394.8 512H76.37C51.62 512 30.93 493.2 28.59 468.6L4.207 212.6zM256 208C301.1 208 342.3 220.7 373.4 241.7C369.6 245.5 365.8 249.4 362.3 253.5C334.3 235.3 297.2 224 256 224C210.5 224 169.1 237.8 141.1 259.5C112.3 281.1 96 309.7 96 340C96 370.3 112.3 398.9 141.1 420.5C169.1 442.2 210.5 456 256 456C285.2 456 312.3 450.3 335.6 440.5C337.8 445.4 340.2 450.2 342.9 454.8C317.2 465.8 287.6 472 256 472C158.8 472 80 412.9 80 340C80 267.1 158.8 207.1 256 207.1V208zM281.8 368.6C274.5 373.5 265.3 376 256 376C246.7 376 237.5 373.5 230.2 368.6C222.1 363.8 216 355.4 216 344C216 332.6 222.1 324.2 230.2 319.4C237.5 314.5 246.7 312 256 312C265.3 312 274.5 314.5 281.8 319.4C289 324.2 296 332.6 296 344C296 355.4 289 363.8 281.8 368.6zM256 360C269.3 360 280 352.8 280 344C280 335.2 269.3 328 256 328C242.7 328 232 335.2 232 344C232 352.8 242.7 360 256 360zM448 336C448 309.5 469.5 288 496 288C522.5 288 544 309.5 544 336C544 362.5 522.5 384 496 384C469.5 384 448 362.5 448 336zM496 368C513.7 368 528 353.7 528 336C528 318.3 513.7 304 496 304C478.3 304 464 318.3 464 336C464 353.7 478.3 368 496 368zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM570.5 462.1C561 443.1 541.7 432 520.4 432H471.6C450.3 432 430.1 443.1 421.5 462.1L418.1 469.6C439.7 486.2 466.7 496 496 496C525.3 496 552.3 486.2 573.9 469.6L570.5 462.1zM624 368C624 297.3 566.7 240 496 240C425.3 240 368 297.3 368 368C368 403.5 382.4 435.5 405.7 458.7L407.2 455.8C419.4 431.4 444.3 416 471.6 416H520.4C547.7 416 572.6 431.4 584.8 455.8L586.3 458.7C609.6 435.5 624 403.5 624 368z"],
    "alicorn": [640, 512, [], "f6b0", "M464 64.69c-8.836 0-16 7.164-16 16s7.164 16 16 16s16-7.164 16-16S472.8 64.69 464 64.69zM632 32l-93.39 .0005c2.158-4.162 4.121-8.436 5.061-13.08c.9375-4.625-.25-9.406-3.281-13.09c-3.031-3.703-7.5-5.828-12.25-5.828h-124.4c-68.88 0-127.5 57.73-131.7 127.8C183.2 125.9 164.8 42.04 164.1 38.41C163.4 35.05 160.6 32.49 157.2 32.06C153.9 31.78 150.5 33.47 149 36.55C147.8 39.14 126.9 84.06 128.1 134.1c-15.09 5.418-28.56 14.22-39.12 25.93H72c-39.69 0-72 32.3-72 72v80c0 4.422 3.594 8 8 8s8-3.578 8-8v-80c0-30.88 25.12-56 56-56h5.312C69.07 190.2 64 206.4 64 224c0 29.42 13.52 55.43 34.36 73.04L87.25 318.8C67.56 357.2 64 364.2 64 380.9c0 4.906 .9062 12.38 2.094 16.98l23.97 95.95c2.562 10.17 12.81 18.16 23.28 18.16H176c7.438 0 14.34-3.359 18.91-9.234c4.562-5.859 6.156-13.36 4.219-21.05l-30.53-97.03l27.69-55.38L280 358.3v129.8c0 13.23 10.79 23.1 24 23.1L360 512c13.22 0 24-10.77 24-24v-160.9c19.51-17.57 31.1-42.82 31.1-71.14c0-.0352 0 .0352 0 0L416 151.9l5.688 2.031l16.88 33.61c6.797 13.51 20.69 21.52 35.07 21.52c4.801 0 9.648-.8906 14.31-2.766l31.53-12.61c13.75-5.484 24.5-21.41 24.5-36.23l-.0605-72.11l91.15-37.98c3.531-1.469 5.531-5.219 4.781-8.953C639.1 34.69 635.8 32 632 32zM513.5 178.9l-31.57 12.62c-11.07 4.461-23.87-.6836-29.1-11.09l-16.88-33.61c-3.328-6.625-18.72-15.31-29.2-7.93C402.5 141.9 400 146.7 400 151.9c0 0-.0078 104.3 0 104.5c-.1172 22.5-9.59 43.37-26.71 58.79C369.9 318.2 368 322.6 368 327.1v160.9c0 4.41-3.59 8-8 8H304c-4.414 0-8-3.59-8-8v-129.8c0-7.344-4.996-13.74-12.12-15.52L200.2 313.8c-6.375-1.594-14.45 .8672-18.2 8.367l-27.69 55.38c-1.852 3.711-2.195 8-.9492 11.96l30.28 96.14C185.2 491.8 180.7 496 176 496H113.3c-3.148 0-6.992-3.004-7.758-6.035l-24-96.07C80.74 390.6 80 384.5 80 380.9c0-12.5 1.816-16.4 21.5-54.82l11.12-21.77c3.379-6.625 1.75-14.7-3.926-19.5C90.46 269.4 80 247.2 80 224c0-33.2 20.46-61.46 49.34-73.5C131.2 164.8 135.1 179.2 142.2 192.8c19.56 37.59 58.47 61.52 115.7 71.11c.4375 .0781 .875 .1094 1.312 .1094c3.844 0 7.219-2.766 7.875-6.672c.75-4.359-2.188-8.484-6.562-9.219C208.5 239.4 173.5 218.3 156.4 185.5C134.6 143.6 146.4 91.47 155.8 63.47C168.4 93.12 200.3 142.3 272 143.7L288 144l.0032-16c4.164-61.83 55.91-111.1 115.7-111.1h124.2c-1.602 7.621-5.773 14.54-12.07 20.02c-7.695 6.688-6.594 17.27-1.152 23.05c7.094 7.531 13.18 12.34 13.18 23.16l.0625 75.27C527.1 165.8 521.2 175.8 513.5 178.9zM541.4 69.07c-1.768-4.934-4.336-9.555-7.988-13.48l-7.023-7.547c.0313-.0273-.0313 .0273 0 0L592 48L541.4 69.07z"],
    "alien": [448, 512, [128125], "f8f5", "M117.1 211.1h-36C72.02 211.1 64 220 64 229.1c0 49.64 40.36 89.99 89.1 89.99h36C199.1 319.1 208 311.1 208 301.1C208 252.3 167.6 211.1 117.1 211.1zM189.1 303.1h-36C113.2 303.1 80 270.8 80 229.1c0-1.141 .8594-2 1.999-2h36C158.8 227.1 192 261.2 192 301.1C192 303.1 191.1 303.1 189.1 303.1zM365.1 211.1h-36C280.4 211.1 240 252.3 240 301.1c0 9.984 7.891 17.1 17.87 17.1l36.12 .0004C343.6 319.1 384 279.6 384 229.1C384 220 375.1 211.1 365.1 211.1zM293.1 303.1h-36C256.9 303.1 256 303.1 256 301.1c0-40.8 33.2-73.99 73.1-73.99h36c1.141 0 2.001 .8594 2.001 2C368 270.8 334.8 303.1 293.1 303.1zM224 .0001c-123.8 0-224 87.1-224 232.5c0 111.7 134.3 224.5 194.9 269.9C203.5 508.8 213.8 512 224 512s20.5-3.219 29.12-9.656C313.8 456.1 448 344.2 448 232.5C448 87.1 347.8 .0001 224 .0001zM243.6 489.5C237.9 493.8 231.1 496 224 496s-13.88-2.24-19.54-6.465C147.8 447.1 16 337.2 16 232.5c0-127.5 85.53-216.5 208-216.5s208 89.02 208 216.5C432 337.2 300.2 447.1 243.6 489.5z"],
    "alien-8bit": [576, 512, [128126, "alien-monster"], "f8f6", "M560 128l-32 .0001c-8.875 0-16 7.125-16 15.1v80h-32V176c0-8.875-7.125-16-16-16H416v-64l32 .0002c8.875 0 16-7.125 16-15.1v-32c0-8.875-7.125-16-16-16l-48 .0005c-8.875 0-16 7.125-16 16v15.1l-16-.0001c-8.875 0-16 7.125-16 16v48H224v-48c0-8.875-7.125-16-16-16L192 64V48c0-8.875-7.125-16-16-16L128 32c-8.875 0-16 7.125-16 16v32c0 8.875 7.125 15.1 16 15.1l32-.0002v64H112c-8.875 0-16 7.125-16 16v48H64V144C64 135.1 56.88 128 48 128l-32-.0001c-8.875 0-16 7.125-16 15.1v128c0 8.875 7.125 16 16 16H64v80c0 8.875 7.125 16 16 16l48 0v80c0 8.875 7.125 16 16 16l96 0c8.875 0 16-7.125 16-15.1v-31.1c0-8.875-7.125-16-16-16H192v-32h192v32h-48c-8.875 0-16 7.125-16 16v31.1c0 8.875 7.125 15.1 16 15.1l96 0c8.875 0 16-7.125 16-16v-80l48 0c8.875 0 16-7.125 16-16v-80h48c8.875 0 16-7.125 16-16v-128C576 135.1 568.9 128 560 128zM240 432v32h-96v-80l32-.0004v48H240zM432 464h-96v-32h64v-48l32 .0004V464zM560 272h-64v96h-416v-96h-64v-128l32-.0004v96l64 .0004v-64h64v-96H128v-32h48v32h32v64h160v-64h32v-32H448v32h-48v96h64v64l64-.0004v-96l32 .0004V272zM208 224l-32 .0004c-8.836 0-16 7.162-16 16v64c0 8.836 7.164 16 16 16h32c8.836 0 16-7.164 16-16v-64C224 231.2 216.8 224 208 224zM208 304l-32 .0004v-64h32V304zM400 224l-32-.0004c-8.836 0-16 7.162-16 16v64c0 8.836 7.164 16 16 16h32c8.836 0 16-7.164 16-16v-64C416 231.2 408.8 224 400 224zM400 304l-32-.0004V240h32V304z"],
    "align-center": [448, 512, [], "f037", "M344 56C348.4 56 352 59.58 352 64C352 68.42 348.4 72 344 72H104C99.58 72 96 68.42 96 64C96 59.58 99.58 56 104 56H344zM440 184C444.4 184 448 187.6 448 192C448 196.4 444.4 200 440 200H8C3.582 200 0 196.4 0 192C0 187.6 3.582 184 8 184H440zM96 320C96 315.6 99.58 312 104 312H344C348.4 312 352 315.6 352 320C352 324.4 348.4 328 344 328H104C99.58 328 96 324.4 96 320zM440 440C444.4 440 448 443.6 448 448C448 452.4 444.4 456 440 456H8C3.582 456 0 452.4 0 448C0 443.6 3.582 440 8 440H440z"],
    "align-justify": [448, 512, [], "f039", "M440 56C444.4 56 448 59.58 448 64C448 68.42 444.4 72 440 72H8C3.582 72 0 68.42 0 64C0 59.58 3.582 56 8 56H440zM0 192C0 187.6 3.582 184 8 184H440C444.4 184 448 187.6 448 192C448 196.4 444.4 200 440 200H8C3.582 200 0 196.4 0 192zM440 312C444.4 312 448 315.6 448 320C448 324.4 444.4 328 440 328H8C3.582 328 0 324.4 0 320C0 315.6 3.582 312 8 312H440zM440 440C444.4 440 448 443.6 448 448C448 452.4 444.4 456 440 456H8C3.582 456 0 452.4 0 448C0 443.6 3.582 440 8 440H440z"],
    "align-left": [448, 512, [], "f036", "M280 56C284.4 56 288 59.58 288 64C288 68.42 284.4 72 280 72H8C3.582 72 0 68.42 0 64C0 59.58 3.582 56 8 56H280zM440 184C444.4 184 448 187.6 448 192C448 196.4 444.4 200 440 200H8C3.582 200 0 196.4 0 192C0 187.6 3.582 184 8 184H440zM0 320C0 315.6 3.582 312 8 312H280C284.4 312 288 315.6 288 320C288 324.4 284.4 328 280 328H8C3.582 328 0 324.4 0 320zM440 440C444.4 440 448 443.6 448 448C448 452.4 444.4 456 440 456H8C3.582 456 0 452.4 0 448C0 443.6 3.582 440 8 440H440z"],
    "align-right": [448, 512, [], "f038", "M440 56C444.4 56 448 59.58 448 64C448 68.42 444.4 72 440 72H168C163.6 72 160 68.42 160 64C160 59.58 163.6 56 168 56H440zM440 184C444.4 184 448 187.6 448 192C448 196.4 444.4 200 440 200H8C3.582 200 0 196.4 0 192C0 187.6 3.582 184 8 184H440zM440 328H168C163.6 328 160 324.4 160 320C160 315.6 163.6 312 168 312H440C444.4 312 448 315.6 448 320C448 324.4 444.4 328 440 328zM440 440C444.4 440 448 443.6 448 448C448 452.4 444.4 456 440 456H8C3.582 456 0 452.4 0 448C0 443.6 3.582 440 8 440H440z"],
    "align-slash": [640, 512, [], "f846", "M636.1 497.7C640.4 500.5 641 505.5 638.3 508.1C635.5 512.4 630.5 513 627 510.3L3.022 14.26C-.4365 11.51-1.012 6.481 1.738 3.022C4.487-.4365 9.52-1.012 12.98 1.738L636.1 497.7zM274.7 311.1L295 328H103.1C99.58 328 95.1 324.4 95.1 319.1C95.1 315.6 99.58 311.1 103.1 311.1H274.7zM527.4 328L507.1 311.1H536C540.4 311.1 544 315.6 544 319.1C544 324.4 540.4 328 536 328H527.4zM536 199.1H365.3L344.1 183.1H536C540.4 183.1 544 187.6 544 191.1C544 196.4 540.4 199.1 536 199.1zM103.1 199.1C99.58 199.1 95.1 196.4 95.1 191.1C95.1 187.6 99.58 183.1 103.1 183.1H112.6L132.9 199.1H103.1zM544 63.1C544 68.42 540.4 71.1 536 71.1H203.1L182.9 55.1H536C540.4 55.1 544 59.58 544 63.1V63.1zM103.1 456C99.58 456 95.1 452.4 95.1 448C95.1 443.6 99.58 440 103.1 440H436.9L457.1 456H103.1z"],
    "alt": [640, 512, [], "e08a", "M416 440c0 4.418 3.582 8 8 8h208c4.418 0 8-3.582 8-8s-3.582-8-8-8h-208C419.6 432 416 435.6 416 440zM640 72C640 67.59 636.4 64 632 64h-136.8c-22.31 0-42.97 10.06-56.72 27.62L188.9 410.5C178.2 424.2 162.2 432 144.8 432H8C3.594 432 0 435.6 0 440S3.594 448 8 448h136.8c22.31 0 42.97-10.06 56.72-27.62l249.6-318.9C461.8 87.84 477.8 80 495.2 80H632C636.4 80 640 76.41 640 72z"],
    "amp-guitar": [512, 512, [], "f8a1", "M448 96h-36.35C397.1 79.5 328.3 0 256 0S114 79.5 100.3 96H64C28.65 96 0 124.7 0 160v288c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V160C512 124.7 483.3 96 448 96zM256 16c54.85 0 111.1 54.49 134.4 80H121.6C144.9 70.49 201.1 16 256 16zM496 448c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V272h480V448zM496 256h-480V160c0-26.47 21.53-48 48-48h384c26.47 0 48 21.53 48 48V256zM352 352c8.836 0 16-7.164 16-16S360.8 320 352 320s-16 7.164-16 16S343.2 352 352 352zM352 416c-8.836 0-16 7.164-16 16S343.2 448 352 448s16-7.164 16-16S360.8 416 352 416zM320 400c8.836 0 16-7.164 16-16s-7.164-16-16-16s-16 7.164-16 16S311.2 400 320 400zM416 352c8.836 0 16-7.164 16-16S424.8 320 416 320s-16 7.164-16 16S407.2 352 416 352zM416 416c-8.836 0-16 7.164-16 16S407.2 448 416 448s16-7.164 16-16S424.8 416 416 416zM384 400c8.836 0 16-7.164 16-16s-7.164-16-16-16s-16 7.164-16 16S375.2 400 384 400zM224 416c-8.836 0-16 7.164-16 16S215.2 448 224 448s16-7.164 16-16S232.8 416 224 416zM160 416c-8.836 0-16 7.164-16 16S151.2 448 160 448s16-7.164 16-16S168.8 416 160 416zM288 352c8.836 0 16-7.164 16-16S296.8 320 288 320s-16 7.164-16 16S279.2 352 288 352zM288 416c-8.836 0-16 7.164-16 16S279.2 448 288 448s16-7.164 16-16S296.8 416 288 416zM256 400c8.836 0 16-7.164 16-16s-7.164-16-16-16S240 375.2 240 384S247.2 400 256 400zM96 448c8.836 0 16-7.164 16-16S104.8 416 96 416s-16 7.164-16 16S87.16 448 96 448zM96 352c8.836 0 16-7.164 16-16S104.8 320 96 320s-16 7.164-16 16S87.16 352 96 352zM160 352c8.836 0 16-7.164 16-16S168.8 320 160 320s-16 7.164-16 16S151.2 352 160 352zM192 400c8.836 0 16-7.164 16-16S200.8 368 192 368S176 375.2 176 384S183.2 400 192 400zM128 400c8.836 0 16-7.164 16-16S136.8 368 128 368S112 375.2 112 384S119.2 400 128 400zM224 352c8.836 0 16-7.164 16-16S232.8 320 224 320s-16 7.164-16 16S215.2 352 224 352zM320 160c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32s32-14.33 32-32C352 174.3 337.7 160 320 160zM320 208c-8.822 0-16-7.178-16-16s7.178-16 16-16s16 7.178 16 16S328.8 208 320 208zM416 160c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32s32-14.33 32-32C448 174.3 433.7 160 416 160zM416 208c-8.822 0-16-7.178-16-16s7.178-16 16-16s16 7.178 16 16S424.8 208 416 208zM96 160C78.33 160 64 174.3 64 192c0 17.67 14.33 32 32 32s32-14.33 32-32C128 174.3 113.7 160 96 160zM96 208C87.18 208 80 200.8 80 192S87.18 176 96 176S112 183.2 112 192S104.8 208 96 208zM192 160C174.3 160 160 174.3 160 192c0 17.67 14.33 32 32 32s32-14.33 32-32C224 174.3 209.7 160 192 160zM192 208C183.2 208 176 200.8 176 192S183.2 176 192 176S208 183.2 208 192S200.8 208 192 208z"],
    "ampersand": [384, 512, [], "26", "M381.8 466.5l-79.12-83.3l79.87-114.6c2.531-3.625 1.625-8.609-2-11.14c-3.562-2.5-8.562-1.656-11.12 1.984l-77.1 111.9L158.3 231.2l75.84-60.58c18.97-14.88 29.84-37 29.84-60.69C263.1 66.95 228.1 32 183.9 32H136.1C91.94 32 55.1 66.95 55.1 109.9c0 23.59 9.031 46.16 25.44 63.56l53.28 56.09L37.16 307.5c-23.62 18.5-37.16 46.02-37.16 75.52C.0002 436.5 44.75 480 99.75 480h69.56c41.06 0 79.41-19.66 102.6-52.63l21.44-30.78l76.84 80.92C371.8 479.2 373.9 480 375.1 480c1.969 0 3.969-.7344 5.5-2.203C384.7 474.8 384.8 469.7 381.8 466.5zM93.06 162.5C79.47 148.1 71.1 129.4 71.1 109.9C71.1 75.77 100.7 48 136.1 48h47.81c35.34 0 64.09 27.77 64.09 61.91c0 18.75-8.656 36.28-23.78 48.14L147.3 219.5L93.06 162.5zM258.8 418.2C238.6 446.9 205.2 464 169.3 464h-69.56c-46.19 0-83.75-36.33-83.75-80.97c0-24.55 11.31-47.47 31.09-62.97l98.69-78.86l136.3 143.5L258.8 418.2z"],
    "anchor": [576, 512, [9875], "f13d", "M368 80C368 121.5 336.4 155.6 295.1 159.6C295.1 159.7 296 159.9 296 160V208H376C380.4 208 384 211.6 384 216C384 220.4 380.4 224 376 224H296V496H304C405.6 496 488 413.6 488 312V284.8L429.9 349.4C426.1 352.6 421.9 352.9 418.6 349.9C415.4 346.1 415.1 341.9 418.1 338.6L490.1 258.6C491.6 256.1 493.7 256 496 256C498.3 256 500.4 256.1 501.9 258.6L573.9 338.6C576.9 341.9 576.6 346.1 573.4 349.9C570.1 352.9 565 352.6 562.1 349.4L504 284.8V312C504 422.5 414.5 512 304 512H272C161.5 512 72 422.5 72 312V284.8L13.95 349.4C10.99 352.6 5.932 352.9 2.648 349.9C-.6357 346.1-.902 341.9 2.054 338.6L74.05 258.6C75.57 256.1 77.73 256 80 256C82.27 256 84.43 256.1 85.95 258.6L157.9 338.6C160.9 341.9 160.6 346.1 157.4 349.9C154.1 352.9 149 352.6 146.1 349.4L88 284.8V312C88 413.6 170.4 496 272 496H280V224H200C195.6 224 192 220.4 192 216C192 211.6 195.6 208 200 208H280V160C280 159.9 280 159.7 280 159.6C239.6 155.6 208 121.5 208 80C208 35.82 243.8 0 288 0C332.2 0 368 35.82 368 80H368zM288 144C323.3 144 352 115.3 352 80C352 44.65 323.3 16 288 16C252.7 16 224 44.65 224 80C224 115.3 252.7 144 288 144z"],
    "anchor-circle-check": [640, 512, [], "e4aa", "M368 80C368 121.5 336.4 155.6 295.1 159.6C295.1 159.7 296 159.9 296 160V208H376C380.4 208 384 211.6 384 216C384 220.4 380.4 224 376 224H296V496H304C325.4 496 345.1 492.3 365.1 485.6C368.1 489.1 373.1 494.1 377.4 498.1C354.7 507.1 329.9 512 304 512H272C161.5 512 72 422.5 72 312V284.8L13.95 349.4C10.99 352.6 5.932 352.9 2.648 349.9C-.6358 346.1-.902 341.9 2.054 338.6L74.05 258.6C75.57 256.1 77.73 256 80 256C82.27 256 84.43 256.1 85.95 258.6L157.9 338.6C160.9 341.9 160.6 346.1 157.4 349.9C154.1 352.9 149 352.6 146.1 349.4L88 284.8V312C88 413.6 170.4 496 272 496H280V224H200C195.6 224 192 220.4 192 216C192 211.6 195.6 208 200 208H280V160C280 159.9 280 159.7 280 159.6C239.6 155.6 208 121.5 208 80C208 35.82 243.8 0 288 0C332.2 0 368 35.82 368 80V80zM288 144C323.3 144 352 115.3 352 80C352 44.65 323.3 16 288 16C252.7 16 224 44.65 224 80C224 115.3 252.7 144 288 144zM565.7 322.3C568.8 325.5 568.8 330.5 565.7 333.7L485.7 413.7C482.5 416.8 477.5 416.8 474.3 413.7L426.3 365.7C423.2 362.5 423.2 357.5 426.3 354.3C429.5 351.2 434.5 351.2 437.7 354.3L480 396.7L554.3 322.3C557.5 319.2 562.5 319.2 565.7 322.3H565.7zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 496C566.7 496 624 438.7 624 368C624 297.3 566.7 240 496 240C425.3 240 368 297.3 368 368C368 438.7 425.3 496 496 496z"],
    "anchor-circle-exclamation": [640, 512, [], "e4ab", "M368 80C368 121.5 336.4 155.6 295.1 159.6C295.1 159.7 296 159.9 296 160V208H376C380.4 208 384 211.6 384 216C384 220.4 380.4 224 376 224H296V496H304C325.4 496 345.1 492.3 365.1 485.6C368.1 489.1 373.1 494.1 377.4 498.1C354.7 507.1 329.9 512 304 512H272C161.5 512 72 422.5 72 312V284.8L13.95 349.4C10.99 352.6 5.932 352.9 2.648 349.9C-.6358 346.1-.902 341.9 2.054 338.6L74.05 258.6C75.57 256.1 77.73 256 80 256C82.27 256 84.43 256.1 85.95 258.6L157.9 338.6C160.9 341.9 160.6 346.1 157.4 349.9C154.1 352.9 149 352.6 146.1 349.4L88 284.8V312C88 413.6 170.4 496 272 496H280V224H200C195.6 224 192 220.4 192 216C192 211.6 195.6 208 200 208H280V160C280 159.9 280 159.7 280 159.6C239.6 155.6 208 121.5 208 80C208 35.82 243.8 0 288 0C332.2 0 368 35.82 368 80V80zM288 144C323.3 144 352 115.3 352 80C352 44.65 323.3 16 288 16C252.7 16 224 44.65 224 80C224 115.3 252.7 144 288 144zM480 432C480 423.2 487.2 416 496 416C504.8 416 512 423.2 512 432C512 440.8 504.8 448 496 448C487.2 448 480 440.8 480 432zM495.1 280C500.4 280 503.1 283.6 503.1 288V384C503.1 388.4 500.4 392 495.1 392C491.6 392 487.1 388.4 487.1 384V288C487.1 283.6 491.6 280 495.1 280zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 240C425.3 240 368 297.3 368 368C368 438.7 425.3 496 496 496C566.7 496 624 438.7 624 368C624 297.3 566.7 240 496 240z"],
    "anchor-circle-xmark": [640, 512, [], "e4ac", "M368 80C368 121.5 336.4 155.6 295.1 159.6C295.1 159.7 296 159.9 296 160V208H376C380.4 208 384 211.6 384 216C384 220.4 380.4 224 376 224H296V496H304C325.4 496 345.1 492.3 365.1 485.6C368.1 489.1 373.1 494.1 377.4 498.1C354.7 507.1 329.9 512 304 512H272C161.5 512 72 422.5 72 312V284.8L13.95 349.4C10.99 352.6 5.932 352.9 2.648 349.9C-.6358 346.1-.902 341.9 2.054 338.6L74.05 258.6C75.57 256.1 77.73 256 80 256C82.27 256 84.43 256.1 85.95 258.6L157.9 338.6C160.9 341.9 160.6 346.1 157.4 349.9C154.1 352.9 149 352.6 146.1 349.4L88 284.8V312C88 413.6 170.4 496 272 496H280V224H200C195.6 224 192 220.4 192 216C192 211.6 195.6 208 200 208H280V160C280 159.9 280 159.7 280 159.6C239.6 155.6 208 121.5 208 80C208 35.82 243.8 0 288 0C332.2 0 368 35.82 368 80V80zM288 144C323.3 144 352 115.3 352 80C352 44.65 323.3 16 288 16C252.7 16 224 44.65 224 80C224 115.3 252.7 144 288 144zM557.7 418.3C560.8 421.5 560.8 426.5 557.7 429.7C554.5 432.8 549.5 432.8 546.3 429.7L496 379.3L445.7 429.7C442.5 432.8 437.5 432.8 434.3 429.7C431.2 426.5 431.2 421.5 434.3 418.3L484.7 368L434.3 317.7C431.2 314.5 431.2 309.5 434.3 306.3C437.5 303.2 442.5 303.2 445.7 306.3L496 356.7L546.3 306.3C549.5 303.2 554.5 303.2 557.7 306.3C560.8 309.5 560.8 314.5 557.7 317.7L507.3 368L557.7 418.3zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 240C425.3 240 368 297.3 368 368C368 438.7 425.3 496 496 496C566.7 496 624 438.7 624 368C624 297.3 566.7 240 496 240z"],
    "anchor-lock": [640, 512, [], "e4ad", "M368 80C368 121.5 336.4 155.6 295.1 159.6C295.1 159.7 296 159.9 296 160V208H376C380.4 208 384 211.6 384 216C384 220.4 380.4 224 376 224H296V496H304C332.7 496 359.8 489.4 384 477.7V480C384 485 384.6 489.9 385.7 494.6C360.7 505.8 333.1 512 304 512H272C161.5 512 72 422.5 72 312V284.8L13.95 349.4C10.99 352.6 5.932 352.9 2.648 349.9C-.6358 346.1-.902 341.9 2.054 338.6L74.05 258.6C75.57 256.1 77.73 256 80 256C82.27 256 84.43 256.1 85.95 258.6L157.9 338.6C160.9 341.9 160.6 346.1 157.4 349.9C154.1 352.9 149 352.6 146.1 349.4L88 284.8V312C88 413.6 170.4 496 272 496H280V224H200C195.6 224 192 220.4 192 216C192 211.6 195.6 208 200 208H280V160C280 159.9 280 159.7 280 159.6C239.6 155.6 208 121.5 208 80C208 35.82 243.8 0 288 0C332.2 0 368 35.82 368 80V80zM288 144C323.3 144 352 115.3 352 80C352 44.65 323.3 16 288 16C252.7 16 224 44.65 224 80C224 115.3 252.7 144 288 144zM528 192C563.3 192 592 220.7 592 256V320H608C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320H464V256C464 220.7 492.7 192 528 192zM528 208C501.5 208 480 229.5 480 256V320H576V256C576 229.5 554.5 208 528 208zM432 352V480C432 488.8 439.2 496 448 496H608C616.8 496 624 488.8 624 480V352C624 343.2 616.8 336 608 336H448C439.2 336 432 343.2 432 352z"],
    "angel": [640, 512, [], "f779", "M213.1 90.3c3.406-2.812 3.891-7.859 1.062-11.25C210.1 74.09 208 69.03 208 64c0-22.7 45.1-48 112-48c65.1 0 112 25.3 112 48c0 5.031-2.078 10.09-6.156 15.05c-2.828 3.391-2.344 8.438 1.062 11.25C428.4 91.53 430.2 92.14 432 92.14c2.297 0 4.578-.9844 6.156-2.906C444.7 81.36 447.1 72.86 447.1 64c0-35.89-56.22-64-127.1-64S192 28.11 192 64c0 8.859 3.31 17.36 9.841 25.23C204.6 92.64 209.7 93.08 213.1 90.3zM603.7 453.1l-38.16-78.63c-6.625-13.5-6.625-29.62 0-43.13c4.75-9.75 8.655-16.62 11.9-22.12c9.5-16.5 14.47-26.47 14.47-53.22c0-51.13-46.87-96-100.4-96c-24.87 0-48.97 10.25-66.34 28.12L352.6 261.5c-12.67-4.221-24.28-5.453-32.58-5.453c-8.285 0-19.85 1.255-32.43 5.417L214.1 188.3c-17.5-18-41.69-28.19-66.44-28.19c-53.5 0-100.5 44.81-100.5 95.94c0 26.75 4.1 36.75 14.5 53.25c3.25 5.5 7.125 12.25 11.87 22c6.625 13.5 6.625 29.62 0 43.13l-38.09 78.75c-6.373 12.88-5.53 27.75 1.968 39.88C45.76 504.9 58.57 512 72.57 512h494.1c13.88 0 26.69-7.125 34.19-19C609.2 480.9 610.1 465.9 603.7 453.1zM72.51 496c-8.41 0-16.16-4.316-20.64-11.42c-4.637-7.494-5.109-16.6-1.207-24.49l38.09-78.67c8.793-17.92 8.793-39.31 .0195-57.18C83.77 313.1 79.7 306.9 76.37 301.3C67.58 285.1 64.01 278.9 64.01 256c0-42.62 39.48-80 84.5-80c20.51 0 40.57 8.529 55.13 23.51l68.1 68.69C252.1 278.1 237.2 293.5 227.4 313.2L135.1 496H72.51zM153.9 496l87.8-175.6C261.7 280.3 302 272 319.1 272c17.91 0 58.27 8.324 78.31 48.4L486.1 496H153.9zM588.2 484.5C583.6 491.7 575.9 496 567.6 496h-63.63L412.6 313.2c-9.824-19.65-25.52-35.04-44.21-44.96l68.31-69.01C451.1 184.5 471.1 176 491.6 176c44.95 0 84.37 37.38 84.37 80c0 22.88-3.57 29.99-12.28 45.11c-3.416 5.781-7.49 13.01-12.46 23.22c-8.793 17.91-8.793 39.31-.0332 57.15l38.21 78.8C593.3 467.1 592.8 477.1 588.2 484.5zM240 144c0 44.25 35.75 80 79.1 80s79.1-35.75 79.1-80S364.2 64 320 64S240 99.75 240 144zM383.1 144c0 35.29-28.71 64-63.1 64s-63.1-28.71-63.1-64c0-35.29 28.71-64 63.1-64S383.1 108.7 383.1 144z"],
    "angle": [448, 512, [], "e08c", "M20.94 464H440C444.4 464 448 467.6 448 472C448 476.4 444.4 480 440 480H8C5.228 480 2.652 478.6 1.195 476.2C-.2627 473.8-.3952 470.9 .8448 468.4L216.8 36.42C218.8 32.47 223.6 30.87 227.6 32.84C231.5 34.82 233.1 39.63 231.2 43.58L20.94 464zM294 250.7C296.8 254.3 295.8 259.5 291.9 262C288.3 264.3 283.6 263.4 281 259.1C262.6 235.7 240.8 214.2 216.2 196.1C212.1 193.8 211.9 189.5 213.7 185.9C215.8 181.5 221.4 180.1 225.3 182.1C251.4 202.1 274.6 224.9 294 250.7V250.7zM313.7 313.6C311.9 309.9 313.1 305.4 316.6 303.2C320.6 300.7 325.9 302.1 327.9 306.4C342.9 337.6 353.1 371.5 357.5 407.2C358.1 411.9 354.4 416 349.6 416C345.5 416 342.1 412.9 341.6 408.8C337.3 375.1 327.7 343.1 313.7 313.6V313.6z"],
    "angle-90": [448, 512, [], "e08d", "M440 464H16V40C16 35.58 12.42 32 8 32S0 35.58 0 40v432C0 476.4 3.578 480 8 480h432c4.422 0 8-3.594 8-8S444.4 464 440 464zM348.6 424c.375 0 .7656-.0313 1.141-.0938c4.375-.625 7.422-4.656 6.797-9.031c-3.875-27.09-11-53.69-21.17-79c-1.656-4.125-6.281-6.031-10.41-4.469c-4.094 1.656-6.078 6.312-4.438 10.41c9.688 24.16 16.48 49.5 20.17 75.31C341.3 421.1 344.7 424 348.6 424zM276.9 265.2c1.578 2.062 3.953 3.141 6.359 3.141c1.703 0 3.406-.5313 4.859-1.641c3.5-2.688 4.188-7.703 1.5-11.22c-18.77-24.55-40.7-46.48-65.23-65.17C220.9 187.6 215.9 188.2 213.2 191.8c-2.688 3.516-2 8.531 1.516 11.2C238.1 220.8 259 241.7 276.9 265.2zM62.88 139.3C88.7 143 114 149.8 138.2 159.5c.9844 .3906 1.984 .5781 2.984 .5781c3.172 0 6.172-1.891 7.422-5.016c1.641-4.109-.3438-8.766-4.438-10.41C118.8 134.5 92.23 127.4 65.13 123.5C60.88 122.1 56.7 125.9 56.08 130.3C55.45 134.6 58.5 138.7 62.88 139.3z"],
    "angle-down": [384, 512, [8964], "f107", "M191.1 352c-1.1 0-3.969-.7344-5.531-2.219L34.47 205.8c-3.187-3.047-3.312-8.125-.25-11.31c3.094-3.188 8.156-3.281 11.31-.25l146.5 138.7l146.5-138.7c3.219-3.031 8.281-2.938 11.31 .25c3.062 3.188 2.937 8.266-.25 11.31l-151.1 144C195.1 351.3 193.1 352 191.1 352z"],
    "angle-left": [256, 512, [8249], "f104", "M32 255.1c0-1.1 .7344-3.969 2.219-5.531l144-151.1c3.047-3.187 8.125-3.312 11.31-.25c3.188 3.094 3.281 8.156 .25 11.31L51.08 255.1l138.7 146.5c3.031 3.219 2.938 8.281-.25 11.31c-3.188 3.062-8.266 2.937-11.31-.25L34.22 261.5C32.73 259.1 32 257.1 32 255.1z"],
    "angle-right": [256, 512, [8250], "f105", "M224 256c0 1.1-.7344 3.969-2.219 5.531l-144 151.1c-3.047 3.187-8.125 3.312-11.31 .25c-3.188-3.094-3.281-8.156-.25-11.31l138.7-146.5L66.21 109.5C63.18 106.3 63.27 101.3 66.46 98.22c3.188-3.062 8.266-2.937 11.31 .25l144 151.1C223.3 252 224 254 224 256z"],
    "angle-up": [384, 512, [8963], "f106", "M192 160c1.1 0 3.969 .7344 5.531 2.219l151.1 144c3.187 3.047 3.312 8.125 .25 11.31c-3.094 3.188-8.156 3.281-11.31 .25L192 179.1L45.53 317.8c-3.219 3.031-8.281 2.938-11.31-.25c-3.062-3.188-2.937-8.266 .25-11.31l151.1-144C188 160.7 190 160 192 160z"],
    "angles-down": [384, 512, ["angle-double-down"], "f103", "M338.5 290.2l-146.5 138.7L45.53 290.2C42.38 287.2 37.31 287.3 34.22 290.5C31.16 293.7 31.28 298.7 34.47 301.8l151.1 144c1.562 1.484 3.531 2.219 5.531 2.219s3.969-.7344 5.531-2.219l152-144c3.187-3.047 3.312-8.125 .25-11.31C346.7 287.3 341.7 287.2 338.5 290.2zM186.5 253.8C188 255.3 189.1 255.1 191.1 255.1s3.969-.7344 5.531-2.219l152-144c3.187-3.047 3.312-8.125 .25-11.31c-3.031-3.188-8.093-3.281-11.31-.25L191.1 236.9L45.53 98.21C42.38 95.18 37.31 95.27 34.22 98.46C31.16 101.6 31.28 106.7 34.47 109.8L186.5 253.8z"],
    "angles-left": [448, 512, [171, "angle-double-left"], "f100", "M189.8 402.5L51.08 255.1L189.8 109.5c3.031-3.156 2.938-8.218-.25-11.31C186.3 95.16 181.3 95.28 178.2 98.47L34.22 250.5C32.73 252 32 253.1 32 255.1s.7344 3.969 2.219 5.531l144 152c3.047 3.187 8.125 3.312 11.31 .25C192.7 410.7 192.8 405.7 189.8 402.5zM226.2 250.5c-1.484 1.562-2.219 3.531-2.219 5.531s.7344 3.969 2.219 5.531l144 152c3.047 3.187 8.125 3.312 11.31 .25c3.188-3.031 3.281-8.093 .25-11.31l-138.7-146.5L381.8 109.5c3.031-3.156 2.938-8.218-.25-11.31c-3.188-3.062-8.266-2.937-11.31 .25L226.2 250.5z"],
    "angles-right": [448, 512, [187, "angle-double-right"], "f101", "M258.2 109.5l138.7 146.5l-138.7 146.5c-3.031 3.156-2.938 8.218 .25 11.31c3.188 3.062 8.266 2.937 11.31-.25l144-151.1c1.484-1.562 2.219-3.531 2.219-5.531c0-1.1-.7344-3.969-2.219-5.531L269.8 98.47c-3.047-3.187-8.125-3.312-11.31-.25C255.3 101.3 255.2 106.3 258.2 109.5zM221.8 261.5C223.3 259.1 223.1 258 223.1 256c0-1.1-.7344-3.969-2.219-5.531L77.77 98.47C74.72 95.28 69.65 95.16 66.46 98.22C63.27 101.3 63.18 106.3 66.21 109.5l138.7 146.5l-138.7 146.5c-3.031 3.156-2.938 8.218 .25 11.31c3.188 3.062 8.266 2.937 11.31-.25L221.8 261.5z"],
    "angles-up": [384, 512, ["angle-double-up"], "f102", "M45.53 221.8l146.5-138.7l146.5 138.7c3.156 3.031 8.218 2.938 11.31-.25c3.062-3.188 2.937-8.266-.25-11.31l-151.1-144C195.1 64.73 194 64 192 64S188 64.73 186.5 66.22L34.47 210.2c-3.187 3.047-3.312 8.125-.25 11.31C37.25 224.7 42.31 224.8 45.53 221.8zM197.5 258.2C195.1 256.7 194 256 192 256S188 256.7 186.5 258.2l-152 144c-3.187 3.047-3.312 8.125-.25 11.31c3.031 3.188 8.093 3.281 11.31 .25l146.5-138.7l146.5 138.7c3.156 3.031 8.218 2.938 11.31-.25c3.062-3.188 2.937-8.266-.25-11.31L197.5 258.2z"],
    "ankh": [320, 512, [9765], "f644", "M280 280h-100.7c42.79-44.6 84.2-110 84.2-163.3C263.5 44.72 223.8 0 160 0S56.53 44.72 56.53 116.7c0 53.28 41.41 118.7 84.2 163.3H40C35.59 280 32 283.6 32 288s3.594 8 8 8h112v208C152 508.4 155.6 512 160 512s8-3.578 8-8v-208h112C284.4 296 288 292.4 288 288S284.4 280 280 280zM160 16c54.78 0 87.47 37.64 87.47 100.7c0 55.16-50.41 123.8-87.47 160.2C122.9 240.5 72.53 171.8 72.53 116.7C72.53 53.64 105.2 16 160 16z"],
    "apartment": [576, 512, [], "e468", "M320 344C306.7 344 296 333.3 296 320V288C296 274.7 306.7 264 320 264H352C365.3 264 376 274.7 376 288V320C376 333.3 365.3 344 352 344H320zM360 288C360 283.6 356.4 280 352 280H320C315.6 280 312 283.6 312 288V320C312 324.4 315.6 328 320 328H352C356.4 328 360 324.4 360 320V288zM504 416C504 429.3 493.3 440 480 440H448C434.7 440 424 429.3 424 416V384C424 370.7 434.7 360 448 360H480C493.3 360 504 370.7 504 384V416zM480 424C484.4 424 488 420.4 488 416V384C488 379.6 484.4 376 480 376H448C443.6 376 440 379.6 440 384V416C440 420.4 443.6 424 448 424H480zM96 344C82.75 344 72 333.3 72 320V288C72 274.7 82.75 264 96 264H128C141.3 264 152 274.7 152 288V320C152 333.3 141.3 344 128 344H96zM136 288C136 283.6 132.4 280 128 280H96C91.58 280 88 283.6 88 288V320C88 324.4 91.58 328 96 328H128C132.4 328 136 324.4 136 320V288zM152 416C152 429.3 141.3 440 128 440H96C82.75 440 72 429.3 72 416V384C72 370.7 82.75 360 96 360H128C141.3 360 152 370.7 152 384V416zM128 424C132.4 424 136 420.4 136 416V384C136 379.6 132.4 376 128 376H96C91.58 376 88 379.6 88 384V416C88 420.4 91.58 424 96 424H128zM224 344C210.7 344 200 333.3 200 320V288C200 274.7 210.7 264 224 264H256C269.3 264 280 274.7 280 288V320C280 333.3 269.3 344 256 344H224zM264 288C264 283.6 260.4 280 256 280H224C219.6 280 216 283.6 216 288V320C216 324.4 219.6 328 224 328H256C260.4 328 264 324.4 264 320V288zM376 128C376 141.3 365.3 152 352 152H320C306.7 152 296 141.3 296 128V96C296 82.75 306.7 72 320 72H352C365.3 72 376 82.75 376 96V128zM320 88C315.6 88 312 91.58 312 96V128C312 132.4 315.6 136 320 136H352C356.4 136 360 132.4 360 128V96C360 91.58 356.4 88 352 88H320zM256 72C269.3 72 280 82.75 280 96V128C280 141.3 269.3 152 256 152H224C210.7 152 200 141.3 200 128V96C200 82.75 210.7 72 224 72H256zM264 96C264 91.58 260.4 88 256 88H224C219.6 88 216 91.58 216 96V128C216 132.4 219.6 136 224 136H256C260.4 136 264 132.4 264 128V96zM376 224C376 237.3 365.3 248 352 248H320C306.7 248 296 237.3 296 224V192C296 178.7 306.7 168 320 168H352C365.3 168 376 178.7 376 192V224zM352 232C356.4 232 360 228.4 360 224V192C360 187.6 356.4 184 352 184H320C315.6 184 312 187.6 312 192V224C312 228.4 315.6 232 320 232H352zM448 344C434.7 344 424 333.3 424 320V288C424 274.7 434.7 264 448 264H480C493.3 264 504 274.7 504 288V320C504 333.3 493.3 344 480 344H448zM488 288C488 283.6 484.4 280 480 280H448C443.6 280 440 283.6 440 288V320C440 324.4 443.6 328 448 328H480C484.4 328 488 324.4 488 320V288zM152 224C152 237.3 141.3 248 128 248H96C82.75 248 72 237.3 72 224V192C72 178.7 82.75 168 96 168H128C141.3 168 152 178.7 152 192V224zM128 232C132.4 232 136 228.4 136 224V192C136 187.6 132.4 184 128 184H96C91.58 184 88 187.6 88 192V224C88 228.4 91.58 232 96 232H128zM224 248C210.7 248 200 237.3 200 224V192C200 178.7 210.7 168 224 168H256C269.3 168 280 178.7 280 192V224C280 237.3 269.3 248 256 248H224zM264 192C264 187.6 260.4 184 256 184H224C219.6 184 216 187.6 216 192V224C216 228.4 219.6 232 224 232H256C260.4 232 264 228.4 264 224V192zM80 512C44.65 512 16 483.3 16 448V160C16 124.7 44.65 96 80 96H144V64C144 28.65 172.7 0 208 0H368C403.3 0 432 28.65 432 64V192H496C531.3 192 560 220.7 560 256V448C560 483.3 531.3 512 496 512H80zM160 112H80C53.49 112 32 133.5 32 160V448C32 474.5 53.49 496 80 496H240V432C240 405.5 261.5 384 288 384C314.5 384 336 405.5 336 432V496H496C522.5 496 544 474.5 544 448V256C544 229.5 522.5 208 496 208H416V64C416 37.49 394.5 16 368 16H208C181.5 16 160 37.49 160 64V112zM288 400C270.3 400 256 414.3 256 432V496H320V432C320 414.3 305.7 400 288 400z"],
    "aperture": [512, 512, [], "e2df", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM302.2 336H209.8L163.6 255.1L209.8 176h92.38l46.19 80.01L302.2 336zM320.6 176h161.4C490.9 201.1 496 227.9 496 256c0 53.24-17.64 102.3-47.09 142.2L320.6 176zM475.8 160H219l80.72-139.8C378.8 34.84 444.4 88.24 475.8 160zM256 16c9.07 0 17.99 .6094 26.8 1.594L154.4 240l-80.67-139.7C117.8 48.8 183.1 16 256 16zM63.09 113.8L191.4 336H30C21.1 310.9 16 284.1 16 256C16 202.8 33.64 153.7 63.09 113.8zM36.18 352h256.8l-80.72 139.8C133.2 477.2 67.64 423.8 36.18 352zM256 496c-9.07 0-17.99-.6094-26.8-1.594l128.4-222.4l80.67 139.7C394.2 463.2 328.9 496 256 496z"],
    "apostrophe": [192, 512, [], "27", "M192 112C192 67.82 156.2 32 112 32S32 67.82 32 112C32 156.2 67.82 192 112 192c26.29 0 49.42-12.85 64-32.44V184c0 48.53-39.47 88-88 88h-16C67.59 272 64 275.6 64 280S67.59 288 72 288h16C145.3 288 192 241.3 192 184v-64c0-.6113-.5195-.9941-.6484-1.564C191.5 116.3 192 114.2 192 112zM112 176c-35.29 0-64-28.71-64-64s28.71-64 64-64s64 28.71 64 64S147.3 176 112 176z"],
    "apple-core": [384, 512, [], "e08f", "M192 112c76.9 0 95.88-49.87 95.88-96c-.5684-8.537-7.373-15.43-15.91-15.1c-89.2 0-95.95 65.3-95.95 95.12C176 104.1 183.1 111.4 192 112zM271.4 16c.3496 .0234 .8223 2.748 .8223 7.178c0 19.6-9.24 72.61-79.14 72.86C192.7 96.01 191.1 92.5 191.1 86.97C191.1 66.07 201.6 16.29 271.4 16zM287.1 304c0-62.49 32.6-117.2 81.69-148.4c-27.47-27.16-57.85-27.61-65.58-27.61c-38.44 0-89.71 19.52-112.1 32.06c-21.69-12.17-73.57-32.12-112.3-32.12c-7.689 0-37.87 .4912-65.34 27.67C63.41 186.8 95.1 241.5 95.1 304c0 61.11-31.24 114.9-78.52 146.5c33.2 46.48 68.13 61.42 102.1 61.42c35.08 0 62.98-16.4 72.42-16.4C200.9 495.5 228.8 512 264.1 512c34.42 0 69.4-15.22 102.4-61.5C319.2 418.9 287.1 365.1 287.1 304zM264.1 496c-34.02 0-57.38-16.48-72.07-16.48c-14.82 0-39.03 16.4-72.42 16.4c-29.54 0-55.47-13.58-79.46-42.19C85.42 417.4 112 362.6 112 304c0-58.51-26.27-112.8-71.24-149.1c16.79-10.23 31.72-10.8 36.27-10.8c50.9 0 100.5 26.16 114.9 34.29c14.44-8.087 64.21-34.31 114.9-34.31c4.412 0 19.45 .5391 36.35 10.82C298.3 191.2 272 245.5 272 304c0 58.64 26.61 113.5 71.96 149.8C320.3 482.2 294.1 496 264.1 496z"],
    "apple-whole": [448, 512, [127823, 127822, "apple-alt"], "f5d1", "M444.9 249.1c-5.316-31.35-15.32-57.37-29.96-78.06c-16.67-23.35-37.91-37.27-63.89-41.94c-31.73-5.314-90.99 10.74-127 30.92c-35.85-20.12-95.08-36.33-126.1-31.01C71.06 133.7 49.77 147.7 33.1 171.1c-14.67 20.69-24.67 46.71-29.99 78.06c-12 73.91 12.08 155.9 48.97 205.2c72.71 98.14 154.4 41.25 171.9 41.25c16.51 0 99.12 57.08 171.9-41.25C433.9 403.6 456.7 321.1 444.9 249.1zM383 444.7c-65.97 89.13-132.2 34.76-159 34.76c-27.81 0-93.23 54.09-159.1-34.83c-34.76-46.41-57.1-124.6-46-192.9c7.131-42.05 28.27-97.52 80.79-106.1c16.51-2.762 66.25 1.023 124.3 33.59c57.66-32.29 107.3-36.42 124.1-33.62c52.65 9.477 73.79 64.58 80.97 106.9C440.3 320.1 417.1 398.1 383 444.7zM224 112c76.9 0 95.88-49.87 95.88-96c-.5684-8.537-7.373-15.43-15.91-15.1c-88.02 0-95.7 63.2-95.95 94.99C207.1 103.1 215 111.4 224 112zM303.4 16c1.9 .1289 7.381 79.73-78.32 80.04C223.1 95.9 215.1 16.37 303.4 16z"],
    "archway": [512, 512, [], "f557", "M408 144C412.4 144 416 147.6 416 152C416 156.4 412.4 160 408 160H104C99.58 160 96 156.4 96 152C96 147.6 99.58 144 104 144H408zM0 40C0 35.58 3.582 32 8 32H504C508.4 32 512 35.58 512 40C512 44.42 508.4 48 504 48H480V464H504C508.4 464 512 467.6 512 472C512 476.4 508.4 480 504 480H352V352C352 298.1 309 256 256 256C202.1 256 160 298.1 160 352V480H8C3.582 480 0 476.4 0 472C0 467.6 3.582 464 8 464H32V48H8C3.582 48 0 44.42 0 40zM48 464H144V352C144 290.1 194.1 240 256 240C317.9 240 368 290.1 368 352V464H464V48H48V464z"],
    "arrow-down": [384, 512, [8595], "f063", "M368.2 307.1l-170.5 170.5c-3.14 3.14-8.226 3.14-11.37 0L15.82 307.1c-3.14-3.14-3.14-8.226 0-11.37c3.14-3.14 8.226-3.14 11.37 0l156.8 156.8V40.04c0-4.427 3.596-8.034 8.038-8.034s8.036 3.607 8.036 8.034v412.5l156.8-156.8c3.14-3.14 8.226-3.14 11.37 0C371.3 298.9 371.3 304 368.2 307.1z"],
    "arrow-down-1-9": [512, 512, ["sort-numeric-asc", "sort-numeric-down"], "f162", "M352 208c-4.422 0-8 3.594-8 8s3.579 7.998 8 7.998L416 224c4.422 0 8-3.594 8-8S420.4 208 416 208h-24V40c0-2.781-1.438-5.344-3.797-6.812c-2.359-1.438-5.312-1.594-7.781-.3438l-32 16c-3.953 1.969-5.547 6.781-3.578 10.72c1.984 3.969 6.75 5.531 10.73 3.594L376 52.94V208H352zM376 264c-39.7 0-72 32.31-72 72s32.3 72 72 72c22.73 0 42.79-10.8 56-27.31V408c0 30.88-25.12 56-56 56H352c-4.422 0-8 3.594-8 8S347.6 480 352 480h24c39.7 0 72-32.31 72-72V336C448 296.3 415.7 264 376 264zM376 392c-30.88 0-56-25.12-56-56s25.12-56 56-56s56 25.12 56 56S406.9 392 376 392zM210.1 370.7L136 451.5V40C136 35.59 132.4 32 128 32S120 35.59 120 40v411.5l-74.1-80.85c-1.596-1.719-3.752-2.594-5.908-2.594c-1.938 0-3.875 .6875-5.406 2.094c-3.25 3.002-3.469 8.064-.5 11.32l88 96.02c3.062 3.312 8.75 3.312 11.81 0l88-96.02c2.969-3.252 2.75-8.314-.5-11.32C218.2 367.2 213.1 367.4 210.1 370.7z"],
    "arrow-down-9-1": [512, 512, ["sort-numeric-desc", "sort-numeric-down-alt"], "f886", "M210.1 370.7L136 451.5V40C136 35.59 132.4 32 128 32S120 35.59 120 40v411.5l-74.1-80.85c-1.596-1.719-3.752-2.594-5.908-2.594c-1.938 0-3.875 .6875-5.406 2.094c-3.25 3.002-3.469 8.064-.5 11.32l88 96.02c3.062 3.312 8.75 3.312 11.81 0l88-96.02c2.969-3.252 2.75-8.314-.5-11.32C218.2 367.2 213.1 367.4 210.1 370.7zM416 464h-24V296c0-2.781-1.438-5.344-3.797-6.812c-2.359-1.438-5.312-1.594-7.781-.3438l-32 16c-3.953 1.969-5.547 6.781-3.578 10.72c1.984 3.969 6.75 5.531 10.73 3.594L376 308.9V464H352c-4.422 0-8 3.594-8 8S347.6 480 352 480H416c4.422 0 8-3.594 8-8S420.4 464 416 464zM376 32c-39.7 0-72 32.31-72 72s32.3 72 72 72c22.73 0 42.79-10.8 56-27.31V176c0 30.88-25.12 56-56 56H352c-4.422 0-8 3.594-8 8S347.6 248 352 248h24C415.7 248 448 215.7 448 176V104C448 64.31 415.7 32 376 32zM376 160C345.1 160 320 134.9 320 104s25.12-56 56-56s56 25.12 56 56S406.9 160 376 160z"],
    "arrow-down-a-z": [512, 512, ["sort-alpha-asc", "sort-alpha-down"], "f15d", "M210.1 370.7L136 451.5V40c0-4.408-3.594-8.002-8-8.002S120 35.59 120 40v411.5l-74.1-80.85c-1.594-1.719-3.75-2.594-5.906-2.594c-1.938 0-3.875 .6875-5.406 2.094c-3.25 3.002-3.469 8.064-.5 11.32l88 96.02c3.062 3.312 8.75 3.312 11.81 0l88-96.02c2.969-3.252 2.75-8.314-.5-11.32C218.2 367.2 213.1 367.4 210.1 370.7zM456 464h-127.1l133.3-162.9c1.969-2.375 2.375-5.688 1.031-8.5C461.9 289.8 459.1 288 456 288h-144c-4.406 0-8 3.594-8 8s3.594 8 8 8h127.1l-133.3 162.9c-1.969 2.375-2.375 5.688-1.031 8.5C306.1 478.2 308.9 480 312 480h144c4.406 0 8-3.594 8-8S460.4 464 456 464zM479.2 212.4l-88-176c-2.688-5.438-11.62-5.438-14.31 0l-88 176c-1.969 3.938-.375 8.75 3.594 10.72c3.812 1.906 8.75 .4062 10.72-3.594L328.9 168h110.1l25.78 51.56C466.3 222.4 469.1 224 472 224c1.219 0 2.438-.2813 3.562-.8438C479.5 221.2 481.1 216.4 479.2 212.4zM336.9 152L384 57.88L431.1 152H336.9z"],
    "arrow-down-arrow-up": [448, 512, ["sort-alt"], "f883", "M210.1 370.7L136 451.5V40C136 35.59 132.4 32 128 32S120 35.59 120 40v411.5l-74.1-80.85c-1.594-1.719-3.75-2.594-5.906-2.594c-1.938 0-3.875 .6875-5.406 2.094c-3.25 3.002-3.469 8.064-.5 11.32l88 96.02c3.062 3.312 8.75 3.312 11.81 0l88-96.02c2.969-3.252 2.75-8.314-.5-11.32C218.2 367.2 213.1 367.4 210.1 370.7zM413.9 130.5l-88-96.02c-3.062-3.312-8.75-3.312-11.81 0l-88 96.02c-2.969 3.252-2.75 8.314 .5 11.32c3.25 3 8.312 2.781 11.31-.5L312 60.47V471.1C312 476.4 315.6 480 320 480s8-3.594 8-8.002V60.47l74.1 80.85c1.594 1.719 3.75 2.594 5.906 2.594c1.938 0 3.875-.6875 5.406-2.094C416.7 138.8 416.9 133.8 413.9 130.5z"],
    "arrow-down-big-small": [512, 512, ["sort-size-down"], "f88c", "M480 32h-191.1c-17.67 0-32 14.33-32 32v160c0 17.67 14.33 32 32 32H480c17.67 0 32-14.33 32-32V64C512 46.33 497.7 32 480 32zM496 224c0 8.822-7.178 16-16 16h-191.1c-8.822 0-16-7.178-16-16V64c0-8.822 7.178-16 16-16H480c8.822 0 16 7.178 16 16V224zM416 320h-127.1c-17.6 0-32 14.4-32 32v96c0 17.6 14.4 32 32 32H416c17.6 0 32-14.4 32-32v-96C448 334.4 433.6 320 416 320zM432 448c0 8.822-7.178 16-16 16h-127.1c-8.822 0-16-7.178-16-16v-96c0-8.822 7.178-16 16-16H416c8.822 0 16 7.178 16 16V448zM178.1 370.7L104 451.5V40C104 35.59 100.4 32 96 32S88 35.59 88 40v411.5l-74.1-80.85c-1.594-1.719-3.75-2.594-5.906-2.594c-1.938 0-3.875 .6875-5.406 2.094c-3.25 3.002-3.469 8.064-.5 11.32l88 96.02c3.062 3.312 8.75 3.312 11.81 0l88-96.02c2.969-3.252 2.75-8.314-.5-11.32C186.2 367.2 181.1 367.4 178.1 370.7z"],
    "arrow-down-from-dotted-line": [448, 512, [], "e090", "M320 79.1c8.836 0 16-7.164 16-16s-7.164-16-16-16s-16 7.164-16 16S311.2 79.1 320 79.1zM224 79.1c8.836 0 16-7.164 16-16s-7.164-16-16-16s-16 7.164-16 16S215.2 79.1 224 79.1zM416 79.1c8.836 0 16-7.164 16-16s-7.164-16-16-16s-16 7.164-16 16S407.2 79.1 416 79.1zM128 79.1c8.836 0 16-7.164 16-16s-7.164-16-16-16s-16 7.164-16 16S119.2 79.1 128 79.1zM32 79.1c8.836 0 16-7.164 16-16s-7.164-16-16-16s-16 7.164-16 16S23.16 79.1 32 79.1zM218.3 477.7c3.125 3.125 8.188 3.125 11.31 0l152-152C383.2 324.1 384 322.1 384 319.1s-.7813-4.094-2.344-5.656c-3.125-3.125-8.188-3.125-11.31 0L232 452.7V167.1c0-4.406-3.578-8-8-8s-8 3.594-8 8v284.7L77.66 314.3c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31L218.3 477.7z"],
    "arrow-down-from-line": [384, 512, [8615, "arrow-from-top"], "f345", "M186.3 477.7c3.125 3.125 8.188 3.125 11.31 0l152-152C351.2 324.1 352 322.1 352 320s-.7813-4.094-2.344-5.656c-3.125-3.125-8.188-3.125-11.31 0L200 452.7V136c0-4.406-3.578-7.968-8-7.968S184 131.6 184 136v316.7L45.66 314.3c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31L186.3 477.7zM8 48h368C380.4 48 384 44.42 384 40S380.4 32 376 32H8C3.582 32 0 35.58 0 40S3.582 48 8 48z"],
    "arrow-down-left": [320, 512, [], "e091", "M7.999 160c4.419 0 7.999 3.58 7.999 7.999v220.7l290.3-290.3c3.116-3.116 8.187-3.127 11.31 0s3.116 8.198 0 11.31l-290.3 290.3h220.7C252.4 400 256 403.6 256 408S252.4 416 248 416H7.999C3.58 416 0 412.4 0 408V167.1C0 163.6 3.577 160 7.999 160z"],
    "arrow-down-left-and-arrow-up-right-to-center": [512, 512, [], "e092", "M45.77 477.5l162.3-162.3v140.7c0 4.42 3.523 8.058 7.941 8.058c4.42 0 8.057-3.632 8.057-8.058V295.9c0-4.416-3.576-7.998-8-7.998h-160c-4.439 0-8.057 3.65-8.057 8.057c0 4.42 3.637 7.941 8.057 7.941h140.7l-162.3 162.3C26.97 473.7 38.29 485 45.77 477.5zM295.9 224.1h160c4.439 0 8.055-3.648 8.055-8.057c0-4.42-3.635-7.941-8.055-7.941H315.2l162.3-162.3c7.469-7.465-3.816-18.81-11.31-11.31l-162.3 162.3V56.12c0-4.42-3.525-8.058-7.943-8.058c-4.42 0-8.055 3.634-8.055 8.058v160C287.9 220.5 291.5 224.1 295.9 224.1z"],
    "arrow-down-long": [320, 512, ["long-arrow-down"], "f175", "M154.3 509.7c3.125 3.125 8.188 3.125 11.31 0l152-152C319.2 356.1 320 354.1 320 352s-.7813-4.094-2.344-5.656c-3.125-3.125-8.188-3.125-11.31 0L168 484.7V8C168 3.594 164.4 0 160 0S152 3.594 152 8v476.7l-138.3-138.3c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31L154.3 509.7z"],
    "arrow-down-right": [320, 512, [], "e093", "M320 167.1v240C320 412.4 316.4 416 312 416H71.1C67.58 416 64 412.4 64 408s3.58-7.999 7.999-7.999h220.7L2.341 109.7c-3.116-3.116-3.127-8.187 0-11.31s8.198-3.116 11.31 0l290.3 290.3V167.1C304 163.6 307.6 160 312 160C316.4 160 320 163.6 320 167.1z"],
    "arrow-down-short-wide": [576, 512, ["sort-amount-desc", "sort-amount-down-alt"], "f884", "M210.1 370.7L136 451.5V40C136 35.59 132.4 32 128 32S120 35.59 120 40v411.5l-74.1-80.85c-1.594-1.719-3.75-2.594-5.906-2.594c-1.938 0-3.875 .6875-5.406 2.094c-3.25 3.002-3.469 8.064-.5 11.32l88 96.02c3.062 3.312 8.75 3.312 11.81 0l88-96.02c2.969-3.252 2.75-8.314-.5-11.32C218.2 367.2 213.1 367.4 210.1 370.7zM264 192h144C412.4 192 416 188.4 416 184S412.4 176 408 176h-144C259.6 176 256 179.6 256 184S259.6 192 264 192zM264 64h80C348.4 64 352 60.41 352 56S348.4 48 344 48h-80C259.6 48 256 51.59 256 56S259.6 64 264 64zM264 320h208C476.4 320 480 316.4 480 312S476.4 304 472 304h-208C259.6 304 256 307.6 256 312S259.6 320 264 320zM536 432h-272C259.6 432 256 435.6 256 440S259.6 448 264 448h272c4.406 0 8-3.594 8-8S540.4 432 536 432z"],
    "arrow-down-small-big": [512, 512, ["sort-size-down-alt"], "f88d", "M288 192H416c17.67 0 32-14.33 32-32V64c0-17.6-14.4-32-32-32h-127.1c-17.67 0-32 14.33-32 32v96C256 177.6 270.4 192 288 192zM272 64c0-8.822 7.178-16 16-16H416c8.822 0 16 7.178 16 16v96c0 8.822-7.178 16-16 16h-127.1c-8.822 0-16-7.178-16-16V64zM480 256h-191.1c-17.67 0-32 14.33-32 32v160c0 17.67 14.33 32 32 32H480c17.67 0 32-14.33 32-32V288C512 270.3 497.7 256 480 256zM496 448c0 8.822-7.178 16-16 16h-191.1c-8.822 0-16-7.178-16-16V288c0-8.822 7.178-16 16-16H480c8.822 0 16 7.178 16 16V448zM178.1 370.7L104 451.5V40C104 35.59 100.4 32 96 32S88 35.59 88 40v411.5l-74.1-80.85c-1.594-1.719-3.75-2.594-5.906-2.594c-1.938 0-3.875 .6875-5.406 2.094c-3.25 3.002-3.469 8.064-.5 11.32l88 96.02c3.062 3.312 8.75 3.312 11.81 0l88-96.02c2.969-3.252 2.75-8.314-.5-11.32C186.2 367.2 181.1 367.4 178.1 370.7z"],
    "arrow-down-square-triangle": [512, 512, ["sort-shapes-down-alt"], "f889", "M304 224l128-.0059c17.67 0 32-14.32 32-31.99V64c0-17.67-14.33-32-32-32h-128c-17.67 0-32 14.33-32 32v128C272 209.7 286.3 224 304 224zM288 64c0-8.822 7.178-16 16-16h128c8.822 0 16 7.178 16 16v128c0 8.822-7.178 16-16 16h-128c-8.822 0-16-7.178-16-16V64zM476.1 438.9l-83.13-137.1c-5.562-9.188-15.25-13.78-24.94-13.78s-19.38 4.594-24.94 13.78l-83.25 137.1C248.9 457.1 262.6 480 284.9 480h166.3C473.4 480 487.1 457.1 476.1 438.9zM462.6 457.7C460.4 461.6 456.1 464 451.1 464h-166.3c-4.945 0-9.229-2.359-11.46-6.311c-1.119-1.982-2.588-5.99 .1367-10.51l83.26-137.1c3.316-5.477 8.973-6.068 11.25-6.068c2.279 0 7.936 .5918 11.26 6.076l83.11 137.1C465.2 451.7 463.7 455.7 462.6 457.7zM210.1 370.7L136 451.5V40c0-4.408-3.594-8.002-8-8.002S120 35.59 120 40v411.5l-74.1-80.85c-1.594-1.719-3.75-2.594-5.906-2.594c-1.938 0-3.875 .6875-5.406 2.094c-3.25 3.002-3.469 8.064-.5 11.32l88 96.02c3.062 3.312 8.75 3.312 11.81 0l88-96.02c2.969-3.252 2.75-8.314-.5-11.32C218.2 367.2 213.1 367.4 210.1 370.7z"],
    "arrow-down-to-arc": [512, 512, [], "e4ae", "M256 496C388.5 496 496 388.5 496 256C496 251.6 499.6 248 504 248C508.4 248 512 251.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 251.6 3.582 248 8 248C12.42 248 16 251.6 16 256C16 388.5 123.5 496 256 496zM262.1 349.2C260.6 350.1 258.4 352 256 352C253.6 352 251.4 350.1 249.9 349.2L121.9 197.2C119 193.8 119.5 188.7 122.8 185.9C126.2 183 131.3 183.5 134.1 186.8L247.1 322.1V8C247.1 3.582 251.6 0 255.1 0C260.4 0 264 3.582 264 8V322.1L377.9 186.8C380.7 183.5 385.8 183 389.2 185.9C392.5 188.7 392.1 193.8 390.1 197.2L262.1 349.2z"],
    "arrow-down-to-bracket": [448, 512, [], "e094", "M448 472v-80c0-4.422-3.578-8-8-8s-8 3.578-8 8v80c0 13.23-10.77 24-24 24H40c-13.23 0-24-10.77-24-24v-80C16 387.6 12.42 384 8 384S0 387.6 0 392v80C0 494.1 17.94 512 40 512h368C430.1 512 448 494.1 448 472zM229.7 381.7l184-184C415.2 196.1 416 194.1 416 192s-.7813-4.094-2.344-5.656c-3.125-3.125-8.188-3.125-11.31 0L232 356.7V8C232 3.594 228.4 0 224 0S216 3.594 216 8v348.7L45.66 186.3c-3.125-3.125-8.188-3.125-11.31 0C32.78 187.9 32 189.9 32 192s.7813 4.094 2.344 5.656l184 184C219.9 383.2 221.1 384 224 384S228.1 383.2 229.7 381.7z"],
    "arrow-down-to-dotted-line": [448, 512, [], "e095", "M128 432c-8.836 0-16 7.164-16 16s7.164 16 16 16s16-7.164 16-16S136.8 432 128 432zM224 432c-8.836 0-16 7.164-16 16s7.164 16 16 16s16-7.164 16-16S232.8 432 224 432zM32 432c-8.836 0-16 7.164-16 16s7.164 16 16 16s16-7.164 16-16S40.84 432 32 432zM320 432c-8.836 0-16 7.164-16 16s7.164 16 16 16s16-7.164 16-16S328.8 432 320 432zM416 432c-8.836 0-16 7.164-16 16s7.164 16 16 16s16-7.164 16-16S424.8 432 416 432zM218.3 365.7c3.125 3.125 8.188 3.125 11.31 0l152-152C383.2 212.1 384 210.1 384 207.1s-.7813-4.094-2.344-5.656c-3.125-3.125-8.188-3.125-11.31 0L232 340.7V55.1c0-4.406-3.578-8-8-8s-8 3.594-8 8v284.7L77.66 202.3c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31L218.3 365.7z"],
    "arrow-down-to-line": [384, 512, ["arrow-to-bottom"], "f33d", "M186.3 381.7c3.125 3.125 8.188 3.125 11.31 0l152-152C351.2 228.1 352 226.1 352 224s-.7813-4.094-2.344-5.656c-3.125-3.125-8.188-3.125-11.31 0L200 356.7V40C200 35.59 196.4 32 192 32S184 35.59 184 40v316.7L45.66 218.3c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31L186.3 381.7zM8 480h368c4.418 0 8-3.582 8-8s-3.582-8-8-8H8C3.582 464 0 467.6 0 472S3.582 480 8 480z"],
    "arrow-down-to-square": [512, 512, [], "e096", "M440 128h-80C355.6 128 352 131.6 352 136s3.594 8 8 8h80c13.22 0 24 10.78 24 24v304c0 13.22-10.78 24-24 24H72c-13.22 0-24-10.78-24-24v-304c0-13.22 10.78-24 24-24h80C156.4 144 160 140.4 160 136S156.4 128 152 128h-80C49.94 128 32 145.9 32 168v304C32 494.1 49.94 512 72 512h368c22.06 0 40-17.94 40-40v-304C480 145.9 462.1 128 440 128zM154.3 274.3c-3.125 3.125-3.125 8.188 0 11.31l96 96C251.9 383.2 253.9 384 256 384s4.094-.7813 5.656-2.344l96-96c3.125-3.125 3.125-8.188 0-11.31s-8.188-3.125-11.31 0L264 356.7V8C264 3.594 260.4 0 256 0S248 3.594 248 8v348.7L165.7 274.3C162.5 271.2 157.5 271.2 154.3 274.3z"],
    "arrow-down-triangle-square": [512, 512, ["sort-shapes-down"], "f888", "M432 288l-128 .0107c-17.67 0-32 14.33-32 32V448c0 17.67 14.33 32 32 32l128-.0098c17.67 0 32-14.32 32-31.99v-127.1C464 302.3 449.7 288 432 288zM448 448c0 8.822-7.178 16-16 16h-128c-8.822 0-16-7.178-16-16v-127.1c0-8.822 7.178-15.1 16-15.1h128c8.822 0 16 7.178 16 16V448zM476.1 182.9L393 45.78C387.4 36.59 377.8 32 368.1 32s-19.38 4.594-24.94 13.78l-83.25 137.1c-11 18.25 2.75 41.12 25 41.12h166.3C473.4 224 487.1 201.1 476.1 182.9zM462.6 201.7c-2.232 3.951-6.518 6.311-11.46 6.311h-166.3c-4.945 0-9.229-2.359-11.46-6.309c-1.119-1.982-2.588-5.99 .1367-10.51l83.26-137.1C360.1 48.59 365.8 48 368.1 48c2.279 0 7.936 .5918 11.26 6.074l83.11 137.1C465.2 195.7 463.7 199.7 462.6 201.7zM210.1 370.7L136 451.5V40c0-4.408-3.594-8.002-8-8.002S120 35.59 120 40v411.5l-74.1-80.85c-1.596-1.719-3.752-2.594-5.908-2.594c-1.938 0-3.875 .6875-5.406 2.094c-3.25 3.002-3.469 8.064-.5 11.32l88 96.02c3.062 3.312 8.75 3.312 11.81 0l88-96.02c2.969-3.252 2.75-8.314-.5-11.32C218.2 367.2 213.1 367.4 210.1 370.7z"],
    "arrow-down-up-across-line": [576, 512, [], "e4af", "M58.34 413.7C55.22 410.5 55.22 405.5 58.34 402.3C61.47 399.2 66.53 399.2 69.66 402.3L152 484.7V263.1H8C3.582 263.1 0 260.4 0 255.1C0 251.6 3.582 247.1 8 247.1H408V27.31L325.7 109.7C322.5 112.8 317.5 112.8 314.3 109.7C311.2 106.5 311.2 101.5 314.3 98.34L410.3 2.343C413.5-.781 418.5-.781 421.7 2.343L517.7 98.34C520.8 101.5 520.8 106.5 517.7 109.7C514.5 112.8 509.5 112.8 506.3 109.7L424 27.31V247.1H568C572.4 247.1 576 251.6 576 255.1C576 260.4 572.4 263.1 568 263.1H168V484.7L250.3 402.3C253.5 399.2 258.5 399.2 261.7 402.3C264.8 405.5 264.8 410.5 261.7 413.7L165.7 509.7C162.5 512.8 157.5 512.8 154.3 509.7L58.34 413.7zM152 39.1C152 35.58 155.6 31.1 160 31.1C164.4 31.1 168 35.58 168 39.1V191.1H152V39.1zM424 319.1V472C424 476.4 420.4 480 416 480C411.6 480 408 476.4 408 472V319.1H424z"],
    "arrow-down-up-lock": [640, 512, [], "e4b0", "M122.3 509.7L26.34 413.7C23.22 410.5 23.22 405.5 26.34 402.3C29.47 399.2 34.53 399.2 37.66 402.3L120 484.7V264H8C3.582 264 0 260.4 0 256C0 251.6 3.582 248 8 248H312V27.31L229.7 109.7C226.5 112.8 221.5 112.8 218.3 109.7C215.2 106.5 215.2 101.5 218.3 98.34L314.3 2.343C317.5-.781 322.5-.781 325.7 2.343L421.7 98.34C424.8 101.5 424.8 106.5 421.7 109.7C418.5 112.8 413.5 112.8 410.3 109.7L328 27.31V248H418.6C417.4 253.2 416.7 258.5 416.3 264H136V484.7L218.3 402.3C221.5 399.2 226.5 399.2 229.7 402.3C232.8 405.5 232.8 410.5 229.7 413.7L133.7 509.7C130.5 512.8 125.5 512.8 122.3 509.7V509.7zM120 192V40C120 35.58 123.6 32 128 32C132.4 32 136 35.58 136 40V192H120zM328 320V472C328 476.4 324.4 480 320 480C315.6 480 312 476.4 312 472V320H328zM528 192C563.3 192 592 220.7 592 256V320H608C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320H464V256C464 220.7 492.7 192 528 192zM528 208C501.5 208 480 229.5 480 256V320H576V256C576 229.5 554.5 208 528 208zM432 352V480C432 488.8 439.2 496 448 496H608C616.8 496 624 488.8 624 480V352C624 343.2 616.8 336 608 336H448C439.2 336 432 343.2 432 352z"],
    "arrow-down-wide-short": [576, 512, ["sort-amount-asc", "sort-amount-down"], "f160", "M210.1 370.7L136 451.5V40C136 35.59 132.4 32 128 32S120 35.59 120 40v411.5l-74.1-80.85c-1.594-1.719-3.75-2.594-5.906-2.594c-1.938 0-3.875 .6875-5.406 2.094c-3.25 3.002-3.469 8.064-.5 11.32l88 96.02c3.062 3.312 8.75 3.312 11.81 0l88-96.02c2.969-3.252 2.75-8.314-.5-11.32C218.2 367.2 213.1 367.4 210.1 370.7zM536 48h-272C259.6 48 256 51.59 256 56S259.6 64 264 64h272C540.4 64 544 60.41 544 56S540.4 48 536 48zM472 176h-208C259.6 176 256 179.6 256 184S259.6 192 264 192h208C476.4 192 480 188.4 480 184S476.4 176 472 176zM408 304h-144C259.6 304 256 307.6 256 312S259.6 320 264 320h144C412.4 320 416 316.4 416 312S412.4 304 408 304zM344 432h-80C259.6 432 256 435.6 256 440S259.6 448 264 448h80c4.406 0 8-3.594 8-8S348.4 432 344 432z"],
    "arrow-down-z-a": [512, 512, ["sort-alpha-desc", "sort-alpha-down-alt"], "f881", "M210.1 370.7L136 451.5V40c0-4.408-3.594-8.002-8-8.002S120 35.59 120 40v411.5l-74.1-80.85c-1.594-1.719-3.75-2.594-5.906-2.594c-1.938 0-3.875 .6875-5.406 2.094c-3.25 3.002-3.469 8.064-.5 11.32l88 96.02c3.062 3.312 8.75 3.312 11.81 0l88-96.02c2.969-3.252 2.75-8.314-.5-11.32C218.2 367.2 213.1 367.4 210.1 370.7zM455.1 208H328.9l133.3-162.9c1.969-2.375 2.375-5.688 1.031-8.5C461.9 33.78 459.1 32 455.1 32h-144c-4.406 0-8 3.594-8 8s3.594 8 8 8h127.1l-133.3 162.9c-1.969 2.375-2.375 5.688-1.031 8.5C306.1 222.2 308.9 224 311.1 224h144c4.406 0 8-3.594 8-8S460.4 208 455.1 208zM479.2 468.4l-88-176c-2.688-5.438-11.62-5.438-14.31 0l-88 176c-1.969 3.938-.375 8.75 3.594 10.72c3.812 1.906 8.75 .4062 10.72-3.594L328.9 424h110.1l25.78 51.56C466.2 478.4 469.1 480 471.1 480c1.219 0 2.438-.2813 3.562-.8438C479.5 477.2 481.1 472.4 479.2 468.4zM336.9 408l47.06-94.13L431.1 408H336.9z"],
    "arrow-left": [448, 512, [8592], "f060", "M172.9 432.2L2.355 261.7c-3.14-3.14-3.14-8.226 0-11.37l170.5-170.5c3.14-3.14 8.226-3.14 11.37 0s3.14 8.226 0 11.37L27.44 247.1h412.5c4.427 0 8.036 3.597 8.036 8.04s-3.61 8.035-8.036 8.035H27.44l156.8 156.8c3.14 3.14 3.14 8.226 0 11.37C181.1 435.3 175.1 435.3 172.9 432.2z"],
    "arrow-left-from-line": [448, 512, [8612, "arrow-from-right"], "f344", "M2.344 250.3c-3.125 3.125-3.125 8.188 0 11.31l152 152C155.9 415.2 157.9 416 160 416s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31L27.31 264H344c4.406 0 7.968-3.578 7.968-8S348.4 248 344 248H27.31l138.3-138.3c3.125-3.125 3.125-8.188 0-11.31s-8.188-3.125-11.31 0L2.344 250.3zM432 72v368c0 4.418 3.582 8 8 8S448 444.4 448 440V72C448 67.58 444.4 64 440 64S432 67.58 432 72z"],
    "arrow-left-long": [512, 512, ["long-arrow-left"], "f177", "M2.344 250.3c-3.125 3.125-3.125 8.188 0 11.31l152 152C155.9 415.2 157.9 415.1 160 415.1s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31L27.31 263.1H504C508.4 263.1 512 260.4 512 256s-3.594-8-8-8H27.31l138.3-138.3c3.125-3.125 3.125-8.188 0-11.31s-8.188-3.125-11.31 0L2.344 250.3z"],
    "arrow-left-long-to-line": [640, 512, [], "e3d4", "M0 72C0 67.58 3.582 64 8 64C12.42 64 16 67.58 16 72V440C16 444.4 12.42 448 8 448C3.582 448 0 444.4 0 440V72zM250.3 98.34C251.9 96.78 253.9 96 256 96C258.1 96 260.1 96.78 261.7 98.34C264.8 101.5 264.8 106.5 261.7 109.7L123.3 248H632C636.4 248 640 251.6 640 256C640 260.4 636.4 264 632 264H123.3L261.7 402.3C264.8 405.5 264.8 410.5 261.7 413.7C258.5 416.8 253.5 416.8 250.3 413.7L98.34 261.7C95.22 258.5 95.22 253.5 98.34 250.3L250.3 98.34z"],
    "arrow-left-to-line": [448, 512, [8676, "arrow-to-left"], "f33e", "M98.34 250.3c-3.125 3.125-3.125 8.188 0 11.31l152 152C251.9 415.2 253.9 416 256 416s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31L123.3 264H440C444.4 264 448 260.4 448 256s-3.594-8-8-8H123.3l138.3-138.3c3.125-3.125 3.125-8.188 0-11.31s-8.188-3.125-11.31 0L98.34 250.3zM0 72v368C0 444.4 3.582 448 8 448s8-3.582 8-8V72C16 67.58 12.42 64 8 64S0 67.58 0 72z"],
    "arrow-pointer": [320, 512, ["mouse-pointer"], "f245", "M.0006 425.1V55.18C.0006 42.38 10.38 32 23.19 32C28.86 32 34.34 34.08 38.59 37.86L312.6 281.4C317.3 285.6 320 291.6 320 297.9C320 310.1 310.1 320 297.9 320H152.9L223.2 468.6C225.1 472.6 223.4 477.3 219.4 479.2C215.4 481.1 210.7 479.4 208.8 475.4L138.3 326.6L38.58 440.5C34.4 445.3 28.36 448 22.01 448C9.855 448 0 438.1 0 425.1H.0006zM297.9 304C301.3 304 304 301.3 304 297.9C304 296.2 303.3 294.5 301.1 293.4L27.96 49.82C26.64 48.65 24.95 48 23.19 48C19.22 48 16 51.22 16 55.19V425.1C16 429.3 18.69 432 22.01 432C23.75 432 25.4 431.3 26.54 429.9L131.1 309.5C134.1 305.1 139.4 304 144 304H297.9z"],
    "arrow-right": [448, 512, [8594], "f061", "M275.1 79.82l170.5 170.5c3.14 3.14 3.14 8.226 0 11.37l-170.5 170.5c-3.14 3.14-8.226 3.14-11.37 0c-3.14-3.14-3.14-8.226 0-11.37l156.8-156.8H8.037c-4.427 0-8.036-3.593-8.036-8.036s3.609-8.039 8.036-8.039h412.5l-156.8-156.8c-3.14-3.14-3.14-8.226 0-11.37C266.9 76.68 272 76.68 275.1 79.82z"],
    "arrow-right-arrow-left": [512, 512, [8644, "exchange"], "f0ec", "M504 376H30.1l127-105.8c3.391-2.844 3.844-7.875 1.016-11.28C155.3 255.4 150.2 255 146.9 257.8l-144 119.1C1.063 379.4 0 381.6 0 384s1.062 4.625 2.875 6.156l144 119.1C148.4 511.4 150.2 512 152 512c2.281 0 4.562-.9687 6.141-2.875c2.828-3.406 2.375-8.437-1.016-11.28l-127-105.8H504c4.422 0 8-3.594 8-7.1C512 379.6 508.4 376 504 376zM8 136h473.9l-127 105.8c-3.391 2.844-3.844 7.875-1.016 11.28C355.4 255 357.7 256 360 256c1.812 0 3.625-.5938 5.125-1.844l144-119.1C510.9 132.6 512 130.4 512 128c0-2.375-1.062-4.625-2.875-6.156l-144-119.1c-3.359-2.812-8.422-2.375-11.27 1.031c-2.828 3.406-2.375 8.437 1.016 11.28l127 105.8H8c-4.422 0-8 3.594-8 7.1C0 132.4 3.578 136 8 136z"],
    "arrow-right-from-arc": [512, 512, [], "e4b1", "M256 496C260.4 496 264 499.6 264 504C264 508.4 260.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C260.4 0 264 3.582 264 8C264 12.42 260.4 16 256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496zM509.2 249.9C510.1 251.4 512 253.6 512 256C512 258.4 510.1 260.6 509.2 262.1L357.2 390.1C353.8 392.1 348.7 392.5 345.9 389.2C343 385.8 343.5 380.7 346.8 377.9L482.1 264H167.1C163.6 264 159.1 260.4 159.1 256C159.1 251.6 163.6 248 167.1 248H482.1L346.8 134.1C343.5 131.3 343 126.2 345.9 122.8C348.7 119.5 353.8 119 357.2 121.9L509.2 249.9z"],
    "arrow-right-from-bracket": [512, 512, ["sign-out"], "f08b", "M120 464h-80c-13.23 0-24-10.77-24-24V72c0-13.23 10.77-24 24-24h80C124.4 48 128 44.42 128 40S124.4 32 120 32h-80C17.94 32 0 49.94 0 72v368C0 462.1 17.94 480 40 480h80C124.4 480 128 476.4 128 472S124.4 464 120 464zM509.7 250.3l-184-184C324.1 64.78 322.1 64 320 64s-4.094 .7813-5.656 2.344c-3.125 3.125-3.125 8.188 0 11.31L484.7 248H136C131.6 248 128 251.6 128 256s3.594 8 8 8h348.7l-170.3 170.3c-3.125 3.125-3.125 8.188 0 11.31C315.9 447.2 317.9 448 320 448s4.094-.7813 5.656-2.344l184-184C511.2 260.1 512 258 512 256S511.2 251.9 509.7 250.3z"],
    "arrow-right-from-line": [448, 512, [8614, "arrow-from-left"], "f343", "M445.7 261.7c3.125-3.125 3.125-8.188 0-11.31l-152-152C292.1 96.78 290.1 96 288 96s-4.094 .7813-5.656 2.344c-3.125 3.125-3.125 8.188 0 11.31L420.7 248H104C99.59 248 96.03 251.6 96.03 256S99.59 264 104 264h316.7l-138.3 138.3c-3.125 3.125-3.125 8.188 0 11.31s8.188 3.125 11.31 0L445.7 261.7zM16 440V72C16 67.58 12.42 64 8 64S0 67.58 0 72v368C0 444.4 3.582 448 8 448S16 444.4 16 440z"],
    "arrow-right-long": [512, 512, ["long-arrow-right"], "f178", "M509.7 261.7c3.125-3.125 3.125-8.188 0-11.31l-152-152C356.1 96.78 354.1 95.1 352 95.1s-4.094 .7813-5.656 2.344c-3.125 3.125-3.125 8.188 0 11.31l138.3 138.3H8c-4.406 0-8 3.578-8 8C0 260.4 3.594 263.1 8 263.1h476.7l-138.3 138.3c-3.125 3.125-3.125 8.188 0 11.31s8.188 3.125 11.31 0L509.7 261.7z"],
    "arrow-right-long-to-line": [640, 512, [], "e3d5", "M640 440C640 444.4 636.4 448 632 448C627.6 448 624 444.4 624 440V72C624 67.58 627.6 64 632 64C636.4 64 640 67.58 640 72V440zM541.7 250.3C544.8 253.5 544.8 258.5 541.7 261.7L389.7 413.7C386.5 416.8 381.5 416.8 378.3 413.7C375.2 410.5 375.2 405.5 378.3 402.3L516.7 264H8C3.594 264 0 260.4 0 256C0 251.6 3.594 248 8 248H516.7L378.3 109.7C375.2 106.5 375.2 101.5 378.3 98.34C379.9 96.78 381.9 96 384 96C386.1 96 388.1 96.78 389.7 98.34L541.7 250.3z"],
    "arrow-right-to-arc": [512, 512, [], "e4b2", "M496 256C496 123.5 388.5 16 256 16C251.6 16 248 12.42 248 8C248 3.582 251.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C251.6 512 248 508.4 248 504C248 499.6 251.6 496 256 496C388.5 496 496 388.5 496 256zM349.2 249.9C350.1 251.4 352 253.6 352 256C352 258.4 350.1 260.6 349.2 262.1L197.2 390.1C193.8 392.1 188.7 392.5 185.9 389.2C183 385.8 183.5 380.7 186.8 377.9L322.1 264H8C3.582 264 0 260.4 0 256C0 251.6 3.582 248 8 248H322.1L186.8 134.1C183.5 131.3 183 126.2 185.9 122.8C188.7 119.5 193.8 119 197.2 121.9L349.2 249.9z"],
    "arrow-right-to-bracket": [512, 512, ["sign-in"], "f090", "M472 32h-80C387.6 32 384 35.58 384 40s3.578 8 8 8h80c13.23 0 24 10.77 24 24v368c0 13.23-10.77 24-24 24h-80c-4.422 0-8 3.578-8 8S387.6 480 392 480h80c22.06 0 40-17.94 40-40V72C512 49.94 494.1 32 472 32zM381.7 250.3l-184-184C196.1 64.78 194.1 64 192 64S187.9 64.78 186.3 66.34c-3.125 3.125-3.125 8.188 0 11.31L356.7 248H8C3.594 248 0 251.6 0 256s3.594 8 8 8h348.7l-170.3 170.3c-3.125 3.125-3.125 8.188 0 11.31C187.9 447.2 189.9 448 192 448s4.094-.7813 5.656-2.344l184-184C383.2 260.1 384 258 384 256S383.2 251.9 381.7 250.3z"],
    "arrow-right-to-city": [640, 512, [], "e4b3", "M304 504C304 508.4 300.4 512 296 512C291.6 512 288 508.4 288 504V40C288 17.91 305.9 0 328 0H472C494.1 0 512 17.91 512 40V192H560V104C560 99.58 563.6 96 568 96C572.4 96 576 99.58 576 104V192H600C622.1 192 640 209.9 640 232V504C640 508.4 636.4 512 632 512C627.6 512 624 508.4 624 504V232C624 218.7 613.3 208 600 208H496V40C496 26.75 485.3 16 472 16H328C314.7 16 304 26.75 304 40V504zM360 96C360 82.75 370.7 72 384 72H416C429.3 72 440 82.75 440 96V128C440 141.3 429.3 152 416 152H384C370.7 152 360 141.3 360 128V96zM384 88C379.6 88 376 91.58 376 96V128C376 132.4 379.6 136 384 136H416C420.4 136 424 132.4 424 128V96C424 91.58 420.4 88 416 88H384zM544 264C557.3 264 568 274.7 568 288V320C568 333.3 557.3 344 544 344H512C498.7 344 488 333.3 488 320V288C488 274.7 498.7 264 512 264H544zM504 320C504 324.4 507.6 328 512 328H544C548.4 328 552 324.4 552 320V288C552 283.6 548.4 280 544 280H512C507.6 280 504 283.6 504 288V320zM488 416C488 402.7 498.7 392 512 392H544C557.3 392 568 402.7 568 416V448C568 461.3 557.3 472 544 472H512C498.7 472 488 461.3 488 448V416zM512 408C507.6 408 504 411.6 504 416V448C504 452.4 507.6 456 512 456H544C548.4 456 552 452.4 552 448V416C552 411.6 548.4 408 544 408H512zM416 200C429.3 200 440 210.7 440 224V256C440 269.3 429.3 280 416 280H384C370.7 280 360 269.3 360 256V224C360 210.7 370.7 200 384 200H416zM376 256C376 260.4 379.6 264 384 264H416C420.4 264 424 260.4 424 256V224C424 219.6 420.4 216 416 216H384C379.6 216 376 219.6 376 224V256zM360 352C360 338.7 370.7 328 384 328H416C429.3 328 440 338.7 440 352V384C440 397.3 429.3 408 416 408H384C370.7 408 360 397.3 360 384V352zM384 344C379.6 344 376 347.6 376 352V384C376 388.4 379.6 392 384 392H416C420.4 392 424 388.4 424 384V352C424 347.6 420.4 344 416 344H384zM253.7 250.3C256.8 253.5 256.8 258.5 253.7 261.7L157.7 357.7C154.5 360.8 149.5 360.8 146.3 357.7C143.2 354.5 143.2 349.5 146.3 346.3L228.7 264H8C3.582 264 0 260.4 0 256C0 251.6 3.582 248 8 248H228.7L146.3 165.7C143.2 162.5 143.2 157.5 146.3 154.3C149.5 151.2 154.5 151.2 157.7 154.3L253.7 250.3z"],
    "arrow-right-to-line": [448, 512, [8677, "arrow-to-right"], "f340", "M349.7 261.7c3.125-3.125 3.125-8.188 0-11.31l-152-152C196.1 96.78 194.1 96 192 96S187.9 96.78 186.3 98.34c-3.125 3.125-3.125 8.188 0 11.31L324.7 248H8C3.594 248 0 251.6 0 256s3.594 8 8 8h316.7l-138.3 138.3c-3.125 3.125-3.125 8.188 0 11.31s8.188 3.125 11.31 0L349.7 261.7zM448 440V72C448 67.58 444.4 64 440 64S432 67.58 432 72v368c0 4.418 3.582 8 8 8S448 444.4 448 440z"],
    "arrow-rotate-left": [512, 512, [8634, "arrow-left-rotate", "arrow-rotate-back", "arrow-rotate-backward", "undo"], "f0e2", "M256 24c-95.43 0-181 60.14-215.4 147.9L20.53 71.69C19.66 67.34 15.28 64.63 11.13 65.41C6.781 66.28 3.969 70.5 4.844 74.81l25.11 125.5c.7656 3.812 4.094 6.438 7.828 6.438c.5313 0 1.062-.0625 1.578-.1562L164.9 181.5c4.344-.875 7.141-5.094 6.281-9.406C170.3 167.8 165.8 165 161.8 165.8l-110.3 22.05C80.57 100.6 163.4 40 256 40c119.1 0 216 96.91 216 216s-96.89 216-216 216c-44.44 0-87.13-13.38-123.4-38.72c-3.562-2.5-8.594-1.688-11.14 2c-2.531 3.625-1.641 8.594 1.984 11.12C162.4 473.6 208.3 488 256 488c127.9 0 232-104.1 232-232S383.9 24 256 24z"],
    "arrow-rotate-right": [512, 512, [8635, "arrow-right-rotate", "arrow-rotate-forward", "redo"], "f01e", "M24 256c0 127.9 104.1 232 232 232c47.72 0 93.58-14.38 132.6-41.59c3.625-2.531 4.516-7.5 1.984-11.12c-2.547-3.688-7.578-4.5-11.14-2C343.1 458.6 300.4 472 256 472c-119.1 0-216-96.91-216-216S136.9 40 256 40c92.55 0 175.4 60.59 204.5 147.9l-110.3-22.05c-4.094-.8125-8.531 1.938-9.406 6.281c-.8594 4.312 1.938 8.531 6.281 9.406l125.5 25.09c.5156 .0938 1.047 .1562 1.578 .1562c3.734 0 7.062-2.625 7.828-6.438l25.11-125.5c.875-4.312-1.938-8.531-6.281-9.406c-4.156-.7813-8.531 1.938-9.406 6.281l-20.05 100.2C437 84.14 351.4 24 256 24C128.1 24 24 128.1 24 256z"],
    "arrow-trend-down": [576, 512, [], "e097", "M376 400H548.7L320 171.3L197.7 293.7C194.5 296.8 189.5 296.8 186.3 293.7L2.343 109.7C-.781 106.5-.781 101.5 2.343 98.34C5.467 95.22 10.53 95.22 13.66 98.34L191.1 276.7L314.3 154.3C317.5 151.2 322.5 151.2 325.7 154.3L560 388.7V215.1C560 211.6 563.6 207.1 568 207.1C572.4 207.1 576 211.6 576 215.1V408C576 412.4 572.4 416 568 416H376C371.6 416 368 412.4 368 408C368 403.6 371.6 400 376 400L376 400z"],
    "arrow-trend-up": [576, 512, [], "e098", "M368 104C368 99.58 371.6 96 376 96H568C572.4 96 576 99.58 576 104V296C576 300.4 572.4 304 568 304C563.6 304 560 300.4 560 296V123.3L325.7 357.7C322.5 360.8 317.5 360.8 314.3 357.7L191.1 235.3L13.66 413.7C10.53 416.8 5.467 416.8 2.343 413.7C-.781 410.5-.781 405.5 2.343 402.3L186.3 218.3C189.5 215.2 194.5 215.2 197.7 218.3L320 340.7L548.7 111.1H376C371.6 111.1 368 108.4 368 103.1L368 104z"],
    "arrow-turn-down": [384, 512, ["level-down"], "f149", "M349.5 365.8l-151.1 143.1c-3.062 2.937-7.937 2.937-10.1 0l-151.1-143.1c-3.219-3.031-3.344-8.094-.3125-11.31c3.062-3.187 8.125-3.344 11.31-.3125l138.5 131.2V71.1c0-30.87-25.12-55.1-55.1-55.1H8.001c-4.406 0-7.1-3.594-7.1-7.1S3.595 0 8.001 0l119.1 0c39.69 0 71.1 32.31 71.1 71.1v413.4l138.5-131.2c1.531-1.469 3.531-2.187 5.5-2.187c2.125 0 4.25 .8437 5.812 2.5C352.8 357.7 352.7 362.8 349.5 365.8z"],
    "arrow-turn-down-left": [512, 512, [], "e2e1", "M146.2 445.5L2.203 293.5c-2.937-3.062-2.937-7.937 0-10.1l143.1-151.1C149.2 127.3 154.3 127.2 157.5 130.2C160.7 133.2 160.9 138.3 157.8 141.5L26.62 279.1h413.4c30.87 0 55.1-25.12 55.1-55.1V39.1C496 35.59 499.6 32 504 32S512 35.59 512 39.1v183.1c0 39.69-32.31 71.1-71.1 71.1H26.62l131.2 138.5c1.469 1.531 2.187 3.531 2.187 5.5c0 2.125-.8437 4.25-2.5 5.812C154.3 448.8 149.2 448.7 146.2 445.5z"],
    "arrow-turn-down-right": [512, 512, [], "e3d6", "M354.5 445.8C352.8 444.2 351.1 442.1 351.1 439.1C351.1 438 352.7 436 354.2 434.5L485.4 295.1H71.1C32.31 295.1 0 263.7 0 223.1V40C0 35.59 3.594 32 7.1 32C12.41 32 15.1 35.59 15.1 40V223.1C15.1 254.9 41.12 279.1 71.1 279.1H485.4L354.2 141.5C351.1 138.3 351.3 133.2 354.5 130.2C357.7 127.2 362.8 127.3 365.8 130.5L509.8 282.5C512.7 285.6 512.7 290.4 509.8 293.5L365.8 445.5C362.8 448.7 357.7 448.8 354.5 445.8L354.5 445.8z"],
    "arrow-turn-up": [384, 512, ["level-up"], "f148", "M349.8 157.5c-1.562 1.656-3.687 2.5-5.812 2.5c-1.969 0-3.969-.7187-5.5-2.187l-138.5-131.2v413.4C199.1 479.7 167.7 512 127.1 512H7.1C3.594 512 0 508.4 0 504s3.594-7.1 7.1-7.1h119.1c30.87 0 55.1-25.12 55.1-55.1V26.62L45.5 157.8C42.31 160.9 37.25 160.7 34.19 157.5C31.16 154.3 31.28 149.2 34.5 146.2l151.1-143.1c3.062-2.937 7.937-2.937 10.1 0l151.1 143.1C352.7 149.2 352.8 154.3 349.8 157.5z"],
    "arrow-up": [384, 512, [8593], "f062", "M15.82 204.9l170.5-170.5c3.14-3.14 8.226-3.14 11.37 0l170.5 170.5c3.14 3.14 3.14 8.226 0 11.37c-3.14 3.14-8.226 3.14-11.37 0L200 59.44v412.5c0 4.427-3.595 8.038-8.037 8.038S183.1 476.4 183.1 471.1V59.44L27.19 216.2c-3.14 3.14-8.226 3.14-11.37 0C12.68 213.1 12.68 207.1 15.82 204.9z"],
    "arrow-up-1-9": [512, 512, ["sort-numeric-up"], "f163", "M352 208c-4.422 0-8 3.594-8 8s3.579 7.998 8 7.998L416 224c4.422 0 8-3.594 8-8S420.4 208 416 208h-24V40c0-2.781-1.438-5.344-3.797-6.812c-2.359-1.438-5.312-1.594-7.781-.3438l-32 16c-3.953 1.969-5.547 6.781-3.578 10.72c1.984 3.969 6.75 5.531 10.73 3.594L376 52.94V208H352zM133.9 34.48c-3.062-3.312-8.75-3.312-11.81 0L34.09 130.5c-2.969 3.252-2.75 8.314 .5 11.32c3.25 3 8.312 2.781 11.31-.5L120 60.47V471.1c0 4.408 3.595 8.001 8.001 8.001S136 476.4 136 471.1V60.47l74.1 80.85c1.596 1.719 3.752 2.594 5.908 2.594c1.938 0 3.875-.6875 5.406-2.094c3.25-3.002 3.469-8.064 .5-11.32L133.9 34.48zM376 264c-39.7 0-72 32.31-72 72s32.3 72 72 72c22.73 0 42.79-10.8 56-27.31V408c0 30.88-25.12 56-56 56H352c-4.422 0-8 3.594-8 8S347.6 480 352 480h24c39.7 0 72-32.31 72-72V336C448 296.3 415.7 264 376 264zM376 392c-30.88 0-56-25.12-56-56s25.12-56 56-56s56 25.12 56 56S406.9 392 376 392z"],
    "arrow-up-9-1": [512, 512, ["sort-numeric-up-alt"], "f887", "M416 464h-24V296c0-2.781-1.438-5.344-3.797-6.812c-2.359-1.438-5.312-1.594-7.781-.3438l-32 16c-3.953 1.969-5.547 6.781-3.578 10.72c1.984 3.969 6.75 5.531 10.73 3.594L376 308.9V464H352c-4.422 0-8 3.594-8 8S347.6 480 352 480H416c4.422 0 8-3.594 8-8S420.4 464 416 464zM133.9 34.48c-3.062-3.312-8.75-3.312-11.81 0L34.09 130.5c-2.969 3.252-2.75 8.314 .5 11.32c3.25 3 8.312 2.781 11.31-.5L120 60.47V471.1c0 4.408 3.595 8.001 8.001 8.001S136 476.4 136 471.1V60.47l74.1 80.85c1.596 1.719 3.752 2.594 5.908 2.594c1.938 0 3.875-.6875 5.406-2.094c3.25-3.002 3.469-8.064 .5-11.32L133.9 34.48zM376 32c-39.7 0-72 32.31-72 72s32.3 72 72 72c22.73 0 42.79-10.8 56-27.31V176c0 30.88-25.12 56-56 56H352c-4.422 0-8 3.594-8 8S347.6 248 352 248h24C415.7 248 448 215.7 448 176V104C448 64.31 415.7 32 376 32zM376 160C345.1 160 320 134.9 320 104s25.12-56 56-56s56 25.12 56 56S406.9 160 376 160z"],
    "arrow-up-a-z": [512, 512, ["sort-alpha-up"], "f15e", "M45.9 141.3l74.1-80.85V471.1C120 476.4 123.6 480 128 480s8.001-3.594 8.001-8.002V60.47l74.1 80.85c1.594 1.719 3.75 2.594 5.906 2.594c1.938 0 3.875-.6875 5.406-2.094c3.25-3.002 3.469-8.064 .5-11.32L133.9 34.48c-3.062-3.312-8.75-3.312-11.81 0L34.09 130.5C31.12 133.8 31.34 138.8 34.59 141.8C37.84 144.8 42.9 144.6 45.9 141.3zM456 464h-127.1l133.3-162.9c1.969-2.375 2.375-5.688 1.031-8.5C461.9 289.8 459.1 288 456 288h-144c-4.406 0-8 3.594-8 8s3.594 8 8 8h127.1l-133.3 162.9c-1.969 2.375-2.375 5.688-1.031 8.5C306.1 478.2 308.9 480 312 480h144c4.406 0 8-3.594 8-8S460.4 464 456 464zM479.2 212.4l-88-176c-2.688-5.438-11.62-5.438-14.31 0l-88 176c-1.969 3.938-.375 8.75 3.594 10.72c3.812 1.906 8.75 .4062 10.72-3.594L328.9 168h110.1l25.78 51.56C466.3 222.4 469.1 224 472 224c1.219 0 2.438-.2813 3.562-.8438C479.5 221.2 481.1 216.4 479.2 212.4zM336.9 152l47.06-94.13L431.1 152H336.9z"],
    "arrow-up-arrow-down": [448, 512, ["sort-up-down"], "e099", "M226.6 370.2c-3.25 3.002-3.469 8.064-.5 11.32l88 96.02c3.062 3.312 8.75 3.312 11.81 0l88-96.02c2.969-3.252 2.75-8.314-.5-11.32c-1.531-1.406-3.469-2.094-5.406-2.094c-2.156 0-4.312 .875-5.906 2.594L328 451.5V40C328 35.59 324.4 32 320 32s-8 3.594-8 8.002v411.5l-74.1-80.85C234.9 367.4 229.8 367.2 226.6 370.2zM34.59 141.8c1.531 1.406 3.469 2.094 5.406 2.094c2.156 0 4.312-.875 5.906-2.594L120 60.47V471.1C120 476.4 123.6 480 128 480s8-3.594 8-8.002V60.47l74.1 80.85c3 3.281 8.062 3.5 11.31 .5c3.25-3.002 3.469-8.064 .5-11.32L133.9 34.48c-3.062-3.312-8.75-3.312-11.81 0L34.09 130.5C31.12 133.8 31.34 138.8 34.59 141.8z"],
    "arrow-up-big-small": [512, 512, ["sort-size-up"], "f88e", "M416 320h-127.1c-17.6 0-32 14.4-32 32v96c0 17.6 14.4 32 32 32H416c17.6 0 32-14.4 32-32v-96C448 334.4 433.6 320 416 320zM432 448c0 8.822-7.178 16-16 16h-127.1c-8.822 0-16-7.178-16-16v-96c0-8.822 7.178-16 16-16H416c8.822 0 16 7.178 16 16V448zM480 32h-191.1c-17.67 0-32 14.33-32 32v160c0 17.67 14.33 32 32 32H480c17.67 0 32-14.33 32-32V64C512 46.33 497.7 32 480 32zM496 224c0 8.822-7.178 16-16 16h-191.1c-8.822 0-16-7.178-16-16V64c0-8.822 7.178-16 16-16H480c8.822 0 16 7.178 16 16V224zM101.9 34.48c-3.062-3.312-8.75-3.312-11.81 0L2.09 130.5c-2.969 3.252-2.75 8.314 .5 11.32c3.25 3 8.312 2.781 11.31-.5L88 60.47V471.1C88 476.4 91.59 480 96 480s8-3.594 8-8.002V60.47l74.1 80.85c1.594 1.719 3.75 2.594 5.906 2.594c1.938 0 3.875-.6875 5.406-2.094c3.25-3.002 3.469-8.064 .5-11.32L101.9 34.48z"],
    "arrow-up-from-arc": [512, 512, [], "e4b4", "M496 256C496 251.6 499.6 248 504 248C508.4 248 512 251.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 251.6 3.582 248 8 248C12.42 248 16 251.6 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256zM249.9 2.847C251.4 1.042 253.6 0 256 0C258.4 0 260.6 1.042 262.1 2.847L390.1 154.8C392.1 158.2 392.5 163.3 389.2 166.1C385.8 168.1 380.7 168.5 377.9 165.2L264 29.92V344C264 348.4 260.4 352 256 352C251.6 352 248 348.4 248 344V29.92L134.1 165.2C131.3 168.5 126.2 168.1 122.8 166.1C119.5 163.3 119 158.2 121.9 154.8L249.9 2.847z"],
    "arrow-up-from-bracket": [448, 512, [], "e09a", "M432 392v80c0 13.23-10.77 24-24 24H40c-13.23 0-24-10.77-24-24v-80C16 387.6 12.42 384 8 384S0 387.6 0 392v80C0 494.1 17.94 512 40 512h368c22.06 0 40-17.94 40-40v-80c0-4.422-3.578-8-8-8S432 387.6 432 392zM218.3 2.344l-184 184C32.78 187.9 32 189.9 32 192s.7813 4.094 2.344 5.656c3.125 3.125 8.188 3.125 11.31 0L216 27.31V376C216 380.4 219.6 384 224 384s8-3.594 8-8V27.31l170.3 170.3c3.125 3.125 8.188 3.125 11.31 0C415.2 196.1 416 194.1 416 192s-.7813-4.094-2.344-5.656l-184-184C228.1 .7813 226 0 224 0S219.9 .7813 218.3 2.344z"],
    "arrow-up-from-dotted-line": [448, 512, [], "e09b", "M128 432c-8.836 0-16 7.164-16 16s7.164 16 16 16s16-7.164 16-16S136.8 432 128 432zM224 432c-8.836 0-16 7.164-16 16s7.164 16 16 16s16-7.164 16-16S232.8 432 224 432zM32 432c-8.836 0-16 7.164-16 16s7.164 16 16 16s16-7.164 16-16S40.84 432 32 432zM320 432c-8.836 0-16 7.164-16 16s7.164 16 16 16s16-7.164 16-16S328.8 432 320 432zM416 432c-8.836 0-16 7.164-16 16s7.164 16 16 16s16-7.164 16-16S424.8 432 416 432zM229.7 34.34c-3.125-3.125-8.188-3.125-11.31 0l-152 152C64.78 187.9 64 189.9 64 192s.7813 4.094 2.344 5.656c3.125 3.125 8.188 3.125 11.31 0L216 59.31V344C216 348.4 219.6 352 224 352s8-3.594 8-8V59.31l138.3 138.3c3.125 3.125 8.188 3.125 11.31 0s3.125-8.188 0-11.31L229.7 34.34z"],
    "arrow-up-from-ground-water": [576, 512, [], "e4b5", "M280 344V27.31L197.7 109.7C194.5 112.8 189.5 112.8 186.3 109.7C183.2 106.5 183.2 101.5 186.3 98.34L282.3 2.343C285.5-.781 290.5-.781 293.7 2.343L389.7 98.34C392.8 101.5 392.8 106.5 389.7 109.7C386.5 112.8 381.5 112.8 378.3 109.7L296 27.31V344C296 348.4 292.4 352 288 352C283.6 352 280 348.4 280 344H280zM64 191.1H192V207.1H64C37.49 207.1 16 229.5 16 255.1V418.5C10.26 419.1 4.905 422.2 .0003 425V255.1C.0003 220.7 28.65 191.1 64 191.1zM560 418.5V255.1C560 229.5 538.5 207.1 512 207.1H384V191.1H512C547.3 191.1 576 220.7 576 255.1V424.1C571.1 422.2 565.7 419.1 560 418.5zM294.6 435.4C302.6 446.6 312.1 456.9 322.2 466.1C339.5 481.8 361.5 496 384 496C406.5 496 428.6 481.8 445.8 466.1C455.1 456.9 465.5 446.6 473.5 435.4C474.1 433.3 477.4 432 480 432C482.6 432 485.1 433.3 486.6 435.4C493.9 445.7 502.5 455 511.6 463.7C527.3 478.5 547.7 492.9 569 495.6C573.4 496.1 576.5 500.1 575.9 504.5C575.4 508.9 571.4 511.1 567 511.4C540.5 508.1 516.1 490.7 500.6 475.3C491.8 466.1 484.7 458.9 480 453.1C474.8 459.5 466.8 468.7 456.6 477.9C438.7 494.2 412.7 512 384 512C355.3 512 329.4 494.2 311.4 477.9C301.3 468.7 293.2 459.5 288 453.1L288 453.1L287.1 453.1C282.8 459.5 274.7 468.7 264.6 477.9C246.6 494.2 220.7 512 191.1 512C163.3 512 137.4 494.2 119.4 477.9C109.2 468.7 101.2 459.5 95.98 453.1C91.29 458.9 84.23 466.1 75.4 475.3C59.03 490.7 35.48 508.1 9.001 511.4C4.617 511.1 .616 508.9 .0637 504.5C-.4887 500.1 2.617 496.1 7.001 495.6C28.3 492.9 48.74 478.5 64.42 463.7C73.56 455 82.16 445.7 89.43 435.4C90.93 433.3 93.37 432 95.98 432C98.59 432 101 433.3 102.5 435.4C110.5 446.6 120 456.9 130.2 466.1C147.4 481.8 169.5 496 191.1 496C214.5 496 236.6 481.8 253.8 466.1C263.9 456.9 273.4 446.6 281.4 435.4C284.4 431.1 291.6 431.1 294.6 435.4H294.6z"],
    "arrow-up-from-line": [384, 512, [8613, "arrow-from-bottom"], "f342", "M197.7 34.34c-3.125-3.125-8.188-3.125-11.31 0l-152 152C32.78 187.9 32 189.9 32 192s.7813 4.094 2.344 5.656c3.125 3.125 8.188 3.125 11.31 0L184 59.31V376c0 4.406 3.578 7.968 8 7.968s8-3.562 8-7.968V59.31l138.3 138.3c3.125 3.125 8.188 3.125 11.31 0s3.125-8.188 0-11.31L197.7 34.34zM376 464H8C3.582 464 0 467.6 0 472S3.582 480 8 480h368c4.418 0 8-3.582 8-8S380.4 464 376 464z"],
    "arrow-up-from-square": [512, 512, [], "e09c", "M440 160h-48C387.6 160 384 163.6 384 168s3.594 8 8 8h48c13.22 0 24 10.78 24 24v272c0 13.22-10.78 24-24 24H72c-13.22 0-24-10.78-24-24v-272c0-13.22 10.78-24 24-24h48C124.4 176 128 172.4 128 168S124.4 160 120 160h-48C49.94 160 32 177.9 32 200v272C32 494.1 49.94 512 72 512h368c22.06 0 40-17.94 40-40v-272C480 177.9 462.1 160 440 160zM160 112c2.047 0 4.094-.7813 5.656-2.344L248 27.31V376C248 380.4 251.6 384 256 384s8-3.594 8-8V27.31l82.34 82.34C347.9 111.2 349.9 112 352 112c5.719 0 8-5.094 8-8c0-2.047-.7813-4.094-2.344-5.656l-96-96C260.1 .7813 258-.0002 256-.0002S251.9 .7813 250.3 2.344l-96 96C152.8 99.91 152 101.1 152 104C152 108.6 155.7 112 160 112z"],
    "arrow-up-from-water-pump": [576, 512, [], "e4b6", "M288 48V256H440V27.31L357.7 109.7C354.5 112.8 349.5 112.8 346.3 109.7C343.2 106.5 343.2 101.5 346.3 98.34L442.3 2.344C445.5-.7805 450.5-.7805 453.7 2.344L549.7 98.34C552.8 101.5 552.8 106.5 549.7 109.7C546.5 112.8 541.5 112.8 538.3 109.7L456 27.31V256H512C547.3 256 576 284.7 576 320V425C571.1 422.2 565.7 419.1 560 418.5V320C560 293.5 538.5 272 512 272H64C37.49 272 16 293.5 16 320V418.5C10.26 419.1 4.905 422.2 .0006 425V320C.0006 284.7 28.65 256 64 256V48C64 21.49 85.49 0 112 0H240C266.5 0 288 21.49 288 48H288zM80 48V256H272V48C272 30.33 257.7 16 240 16H112C94.33 16 80 30.33 80 48zM294.6 435.4C302.6 446.6 312.1 456.9 322.2 466.1C339.5 481.8 361.5 496 384 496C406.5 496 428.6 481.8 445.8 466.1C455.1 456.9 465.5 446.6 473.5 435.4C474.1 433.3 477.4 432 480 432C482.6 432 485.1 433.3 486.6 435.4C493.9 445.7 502.5 455 511.6 463.7C527.3 478.5 547.7 492.9 569 495.6C573.4 496.1 576.5 500.1 575.9 504.5C575.4 508.9 571.4 511.1 567 511.4C540.5 508.1 516.1 490.7 500.6 475.3C491.8 466.1 484.7 458.9 480 453.1C474.8 459.5 466.8 468.7 456.6 477.9C438.7 494.2 412.7 512 384 512C355.3 512 329.4 494.2 311.4 477.9C301.3 468.7 293.2 459.5 288 453.1L288 453.1L287.1 453.1C282.8 459.5 274.7 468.7 264.6 477.9C246.6 494.2 220.7 512 191.1 512C163.3 512 137.4 494.2 119.4 477.9C109.2 468.7 101.2 459.5 95.98 453.1C91.29 458.9 84.23 466.1 75.4 475.3C59.03 490.7 35.48 508.1 9.001 511.4C4.617 511.1 .616 508.9 .0637 504.5C-.4887 500.1 2.617 496.1 7.001 495.6C28.3 492.9 48.74 478.5 64.42 463.7C73.56 455 82.16 445.7 89.43 435.4C90.93 433.3 93.37 432 95.98 432C98.59 432 101 433.3 102.5 435.4C110.5 446.6 120 456.9 130.2 466.1C147.4 481.8 169.5 496 191.1 496C214.5 496 236.6 481.8 253.8 466.1C263.9 456.9 273.4 446.6 281.4 435.4C284.4 431.1 291.6 431.1 294.6 435.4H294.6z"],
    "arrow-up-left": [320, 512, [], "e09d", "M0 344V103.1C0 99.58 3.58 96 7.999 96h240C252.4 96 256 99.58 256 103.1s-3.58 7.999-7.999 7.999H27.31l290.3 290.3c3.116 3.116 3.127 8.187 0 11.31s-8.198 3.116-11.31 0L15.1 123.3v220.7C15.1 348.4 12.42 352 7.999 352C3.577 352 0 348.4 0 344z"],
    "arrow-up-left-from-circle": [512, 512, [], "e09e", "M349.7 349.7c3.129-3.125 3.117-8.195 0-11.31L27.31 16H216C220.4 16 224 12.42 224 8c0-2.211-.8828-4.199-2.344-5.656C220.2 .8828 218.2 0 216 0h-208C3.578 0 0 3.578 0 8v208C0 220.4 3.578 224 8 224C12.42 224 16 220.4 16 216V27.31l322.3 322.3C341.5 352.8 346.5 352.8 349.7 349.7zM288 64c-22.59 0-44.94 3.344-66.38 9.969C217.4 75.28 215.1 79.78 216.3 84c1.312 4.219 5.688 6.469 10.03 5.281C246.3 83.13 267 80 288 80c114.7 0 208 93.31 208 208s-93.31 208-208 208S80 402.7 80 288c0-21 3.125-41.75 9.281-61.63C90.56 222.2 88.22 217.7 84 216.3C79.63 215.2 75.28 217.4 73.97 221.6C67.34 243.1 64 265.4 64 288c0 123.5 100.5 224 224 224s224-100.5 224-224S411.5 64 288 64z"],
    "arrow-up-long": [320, 512, ["long-arrow-up"], "f176", "M165.7 2.344c-3.125-3.125-8.188-3.125-11.31 0l-152 152C.7813 155.9 0 157.9 0 159.1S.7813 164.1 2.344 165.7c3.125 3.125 8.188 3.125 11.31 0L152 27.31v476.7C152 508.4 155.6 512 160 512s8-3.594 8-8V27.31l138.3 138.3c3.125 3.125 8.188 3.125 11.31 0s3.125-8.188 0-11.31L165.7 2.344z"],
    "arrow-up-right": [320, 512, [], "e09f", "M312 352c-4.419 0-7.999-3.58-7.999-7.999V123.3l-290.3 290.3c-3.116 3.116-8.187 3.127-11.31 0s-3.116-8.198 0-11.31l290.3-290.3H71.1C67.58 111.1 64 108.4 64 103.1S67.58 96 71.1 96h240C316.4 96 320 99.58 320 103.1v240C320 348.4 316.4 352 312 352z"],
    "arrow-up-right-and-arrow-down-left-from-center": [512, 512, [], "e0a0", "M210.3 290.4l-194.3 194.3v-140.6c0-4.418-3.579-7.996-7.995-7.996C3.579 336.1 0 339.6 0 344v159.1C0 508.4 3.575 512 7.996 512H167.1c4.438 0 7.96-3.59 7.96-7.994c0-4.418-3.579-7.996-7.996-7.996H27.3l194.3-194.3C229 294.3 217.7 282.1 210.3 290.4zM504 0H344c-4.438 0-7.96 3.588-7.96 7.994c0 4.418 3.578 7.996 7.996 7.996h140.6l-194.3 194.3c-7.465 7.461 3.815 18.8 11.31 11.31l194.3-194.3v140.6c0 4.418 3.578 7.996 7.995 7.996C508.4 175.9 512 172.4 512 167.1V7.994C512 3.578 508.4 0 504 0z"],
    "arrow-up-right-dots": [576, 512, [], "e4b7", "M151.1 0H312C316.4 0 320 3.582 320 8V168C320 172.4 316.4 176 312 176C307.6 176 304 172.4 304 168V27.31L29.66 301.7C26.53 304.8 21.47 304.8 18.34 301.7C15.22 298.5 15.22 293.5 18.34 290.3L292.7 16H151.1C147.6 16 143.1 12.42 143.1 8C143.1 3.582 147.6 0 151.1 0zM480 80C480 53.49 501.5 32 528 32C554.5 32 576 53.49 576 80C576 106.5 554.5 128 528 128C501.5 128 480 106.5 480 80zM528 112C545.7 112 560 97.67 560 80C560 62.33 545.7 48 528 48C510.3 48 496 62.33 496 80C496 97.67 510.3 112 528 112zM352 208C352 181.5 373.5 160 400 160C426.5 160 448 181.5 448 208C448 234.5 426.5 256 400 256C373.5 256 352 234.5 352 208zM400 240C417.7 240 432 225.7 432 208C432 190.3 417.7 176 400 176C382.3 176 368 190.3 368 208C368 225.7 382.3 240 400 240zM448 336C448 362.5 426.5 384 400 384C373.5 384 352 362.5 352 336C352 309.5 373.5 288 400 288C426.5 288 448 309.5 448 336zM400 304C382.3 304 368 318.3 368 336C368 353.7 382.3 368 400 368C417.7 368 432 353.7 432 336C432 318.3 417.7 304 400 304zM352 464C352 437.5 373.5 416 400 416C426.5 416 448 437.5 448 464C448 490.5 426.5 512 400 512C373.5 512 352 490.5 352 464zM400 496C417.7 496 432 481.7 432 464C432 446.3 417.7 432 400 432C382.3 432 368 446.3 368 464C368 481.7 382.3 496 400 496zM480 464C480 437.5 501.5 416 528 416C554.5 416 576 437.5 576 464C576 490.5 554.5 512 528 512C501.5 512 480 490.5 480 464zM528 496C545.7 496 560 481.7 560 464C560 446.3 545.7 432 528 432C510.3 432 496 446.3 496 464C496 481.7 510.3 496 528 496zM320 336C320 362.5 298.5 384 271.1 384C245.5 384 223.1 362.5 223.1 336C223.1 309.5 245.5 288 271.1 288C298.5 288 320 309.5 320 336zM271.1 304C254.3 304 239.1 318.3 239.1 336C239.1 353.7 254.3 368 271.1 368C289.7 368 304 353.7 304 336C304 318.3 289.7 304 271.1 304zM223.1 464C223.1 437.5 245.5 416 271.1 416C298.5 416 320 437.5 320 464C320 490.5 298.5 512 271.1 512C245.5 512 223.1 490.5 223.1 464zM271.1 496C289.7 496 304 481.7 304 464C304 446.3 289.7 432 271.1 432C254.3 432 239.1 446.3 239.1 464C239.1 481.7 254.3 496 271.1 496zM191.1 464C191.1 490.5 170.5 512 143.1 512C117.5 512 95.1 490.5 95.1 464C95.1 437.5 117.5 416 143.1 416C170.5 416 191.1 437.5 191.1 464zM143.1 432C126.3 432 111.1 446.3 111.1 464C111.1 481.7 126.3 496 143.1 496C161.7 496 175.1 481.7 175.1 464C175.1 446.3 161.7 432 143.1 432zM480 336C480 309.5 501.5 288 528 288C554.5 288 576 309.5 576 336C576 362.5 554.5 384 528 384C501.5 384 480 362.5 480 336zM528 368C545.7 368 560 353.7 560 336C560 318.3 545.7 304 528 304C510.3 304 496 318.3 496 336C496 353.7 510.3 368 528 368zM576 208C576 234.5 554.5 256 528 256C501.5 256 480 234.5 480 208C480 181.5 501.5 160 528 160C554.5 160 576 181.5 576 208zM528 176C510.3 176 496 190.3 496 208C496 225.7 510.3 240 528 240C545.7 240 560 225.7 560 208C560 190.3 545.7 176 528 176z"],
    "arrow-up-right-from-square": [448, 512, ["external-link"], "f08e", "M272 40C272 35.58 275.6 32 280 32H440C444.4 32 448 35.58 448 40V208C448 212.4 444.4 216 440 216C435.6 216 432 212.4 432 208V59.31L173.7 317.7C170.5 320.8 165.5 320.8 162.3 317.7C159.2 314.5 159.2 309.5 162.3 306.3L420.7 48H280C275.6 48 272 44.42 272 40V40zM0 136C0 113.9 17.91 96 40 96H160C164.4 96 168 99.58 168 104C168 108.4 164.4 112 160 112H40C26.75 112 16 122.7 16 136V440C16 453.3 26.75 464 40 464H344C357.3 464 368 453.3 368 440V320C368 315.6 371.6 312 376 312C380.4 312 384 315.6 384 320V440C384 462.1 366.1 480 344 480H40C17.91 480 0 462.1 0 440V136z"],
    "arrow-up-short-wide": [576, 512, ["sort-amount-up-alt"], "f885", "M45.9 141.3L120 60.47V471.1C120 476.4 123.6 480 128 480S136 476.4 136 471.1V60.47l74.1 80.85c1.594 1.719 3.75 2.594 5.906 2.594c1.938 0 3.875-.6875 5.406-2.094c3.25-3.002 3.469-8.064 .5-11.32L133.9 34.48c-3.062-3.312-8.75-3.312-11.81 0L34.09 130.5c-2.969 3.252-2.75 8.314 .5 11.32C37.84 144.8 42.9 144.6 45.9 141.3zM264 192h144C412.4 192 416 188.4 416 184S412.4 176 408 176h-144C259.6 176 256 179.6 256 184S259.6 192 264 192zM264 64h80C348.4 64 352 60.41 352 56S348.4 48 344 48h-80C259.6 48 256 51.59 256 56S259.6 64 264 64zM264 320h208C476.4 320 480 316.4 480 312S476.4 304 472 304h-208C259.6 304 256 307.6 256 312S259.6 320 264 320zM536 432h-272C259.6 432 256 435.6 256 440S259.6 448 264 448h272c4.406 0 8-3.594 8-8S540.4 432 536 432z"],
    "arrow-up-small-big": [512, 512, ["sort-size-up-alt"], "f88f", "M288 192H416c17.6 0 32-14.4 32-32V64c0-17.6-14.4-32-32-32h-127.1c-17.6 0-32 14.4-32 32v96C256 177.6 270.4 192 288 192zM272 64c0-8.822 7.178-16 16-16H416c8.822 0 16 7.178 16 16v96c0 8.822-7.178 16-16 16h-127.1c-8.822 0-16-7.178-16-16V64zM480 256h-191.1c-17.67 0-32 14.33-32 32v160c0 17.67 14.33 32 32 32H480c17.67 0 32-14.33 32-32V288C512 270.3 497.7 256 480 256zM496 448c0 8.822-7.178 16-16 16h-191.1c-8.822 0-16-7.178-16-16V288c0-8.822 7.178-16 16-16H480c8.822 0 16 7.178 16 16V448zM101.9 34.48c-3.062-3.312-8.75-3.312-11.81 0L2.09 130.5c-2.969 3.252-2.75 8.314 .5 11.32c3.25 3 8.312 2.781 11.31-.5L88 60.47V471.1C88 476.4 91.59 480 96 480s8-3.594 8-8.002V60.47l74.1 80.85c1.594 1.719 3.75 2.594 5.906 2.594c1.938 0 3.875-.6875 5.406-2.094c3.25-3.002 3.469-8.064 .5-11.32L101.9 34.48z"],
    "arrow-up-square-triangle": [512, 512, ["sort-shapes-up-alt"], "f88b", "M476.1 438.9l-83.13-137.1c-5.564-9.188-15.25-13.78-24.94-13.78s-19.38 4.594-24.94 13.78l-83.25 137.1C248.9 457.1 262.6 480 284.9 480h166.3C473.4 480 487.1 457.1 476.1 438.9zM462.6 457.7C460.4 461.6 456.1 464 451.1 464h-166.3c-4.945 0-9.229-2.359-11.46-6.311c-1.119-1.982-2.588-5.99 .1367-10.51l83.26-137.1c3.316-5.477 8.973-6.068 11.25-6.068c2.279 0 7.936 .5918 11.26 6.076l83.11 137.1C465.2 451.7 463.7 455.7 462.6 457.7zM304 224l128-.0059c17.67 0 32-14.32 32-31.99V64c0-17.67-14.33-32-32-32h-128c-17.67 0-32 14.33-32 32v128C272 209.7 286.3 224 304 224zM288 64c0-8.822 7.178-16 16-16h128c8.822 0 16 7.178 16 16v128c0 8.822-7.178 16-16 16h-128c-8.822 0-16-7.178-16-16V64zM133.9 34.48c-3.062-3.312-8.75-3.312-11.81 0L34.09 130.5c-2.969 3.252-2.75 8.314 .5 11.32c3.25 3 8.314 2.781 11.31-.5L120 60.47V471.1C120 476.4 123.6 480 128 480s8-3.594 8-8.002V60.47l74.1 80.85c1.594 1.719 3.75 2.594 5.906 2.594c1.938 0 3.875-.6875 5.406-2.094c3.25-3.002 3.469-8.064 .5-11.32L133.9 34.48z"],
    "arrow-up-to-dotted-line": [448, 512, [], "e0a1", "M320 79.1c8.836 0 16-7.164 16-16s-7.164-16-16-16s-16 7.164-16 16S311.2 79.1 320 79.1zM224 79.1c8.836 0 16-7.164 16-16s-7.164-16-16-16s-16 7.164-16 16S215.2 79.1 224 79.1zM416 79.1c8.836 0 16-7.164 16-16s-7.164-16-16-16s-16 7.164-16 16S407.2 79.1 416 79.1zM128 79.1c8.836 0 16-7.164 16-16s-7.164-16-16-16s-16 7.164-16 16S119.2 79.1 128 79.1zM32 79.1c8.836 0 16-7.164 16-16s-7.164-16-16-16s-16 7.164-16 16S23.16 79.1 32 79.1zM229.7 146.3c-3.125-3.125-8.188-3.125-11.31 0l-152 152C64.78 299.9 64 301.9 64 304s.7813 4.094 2.344 5.656c3.125 3.125 8.188 3.125 11.31 0L216 171.3V456c0 4.406 3.578 8 8 8s8-3.594 8-8V171.3l138.3 138.3c3.125 3.125 8.188 3.125 11.31 0s3.125-8.188 0-11.31L229.7 146.3z"],
    "arrow-up-to-line": [384, 512, ["arrow-to-top"], "f341", "M197.7 130.3c-3.125-3.125-8.188-3.125-11.31 0l-152 152C32.78 283.9 32 285.9 32 288s.7813 4.094 2.344 5.656c3.125 3.125 8.188 3.125 11.31 0L184 155.3V472C184 476.4 187.6 480 192 480s8-3.594 8-8V155.3l138.3 138.3c3.125 3.125 8.188 3.125 11.31 0s3.125-8.188 0-11.31L197.7 130.3zM376 32H8C3.582 32 0 35.58 0 40S3.582 48 8 48h368C380.4 48 384 44.42 384 40S380.4 32 376 32z"],
    "arrow-up-triangle-square": [512, 512, ["sort-shapes-up"], "f88a", "M432 288l-128 .0107c-17.67 0-32 14.33-32 32V448c0 17.67 14.33 32 32 32l128-.0098c17.67 0 32-14.32 32-31.99v-127.1C464 302.3 449.7 288 432 288zM448 448c0 8.822-7.178 16-16 16h-128c-8.822 0-16-7.178-16-16v-127.1c0-8.822 7.178-15.1 16-15.1h128c8.822 0 16 7.178 16 16V448zM476.1 182.9L393 45.78C387.4 36.59 377.8 32 368.1 32s-19.38 4.594-24.94 13.78l-83.25 137.1c-11 18.25 2.75 41.12 25 41.12h166.3C473.4 224 487.1 201.1 476.1 182.9zM462.6 201.7c-2.23 3.951-6.516 6.311-11.46 6.311h-166.3c-4.945 0-9.229-2.359-11.46-6.311c-1.119-1.98-2.588-5.988 .1367-10.51l83.26-137.1C360.1 48.59 365.8 48 368.1 48c2.279 0 7.936 .5918 11.26 6.074l83.11 137.1C465.2 195.7 463.7 199.7 462.6 201.7zM133.9 34.48c-3.062-3.312-8.75-3.312-11.81 0L34.09 130.5c-2.969 3.252-2.75 8.314 .5 11.32c3.25 3 8.312 2.781 11.31-.5L120 60.47V471.1C120 476.4 123.6 480 128 480s8-3.594 8-8.002V60.47l74.1 80.85c1.594 1.719 3.75 2.594 5.906 2.594c1.938 0 3.875-.6875 5.406-2.094c3.25-3.002 3.469-8.064 .5-11.32L133.9 34.48z"],
    "arrow-up-wide-short": [576, 512, ["sort-amount-up"], "f161", "M45.9 141.3L120 60.47V471.1C120 476.4 123.6 480 128 480S136 476.4 136 471.1V60.47l74.1 80.85c1.594 1.719 3.75 2.594 5.906 2.594c1.938 0 3.875-.6875 5.406-2.094c3.25-3.002 3.469-8.064 .5-11.32L133.9 34.48c-3.062-3.312-8.75-3.312-11.81 0L34.09 130.5c-2.969 3.252-2.75 8.314 .5 11.32C37.84 144.8 42.9 144.6 45.9 141.3zM536 48h-272C259.6 48 256 51.59 256 56S259.6 64 264 64h272C540.4 64 544 60.41 544 56S540.4 48 536 48zM472 176h-208C259.6 176 256 179.6 256 184S259.6 192 264 192h208C476.4 192 480 188.4 480 184S476.4 176 472 176zM408 304h-144C259.6 304 256 307.6 256 312S259.6 320 264 320h144C412.4 320 416 316.4 416 312S412.4 304 408 304zM344 432h-80C259.6 432 256 435.6 256 440S259.6 448 264 448h80c4.406 0 8-3.594 8-8S348.4 432 344 432z"],
    "arrow-up-z-a": [512, 512, ["sort-alpha-up-alt"], "f882", "M45.9 141.3l74.1-80.85V471.1C120 476.4 123.6 480 128 480s8.001-3.594 8.001-8.002V60.47l74.1 80.85c1.594 1.719 3.75 2.594 5.906 2.594c1.938 0 3.875-.6875 5.406-2.094c3.25-3.002 3.469-8.064 .5-11.32L133.9 34.48c-3.062-3.312-8.75-3.312-11.81 0L34.09 130.5c-2.969 3.252-2.75 8.314 .5 11.32C37.84 144.8 42.9 144.6 45.9 141.3zM456 208h-127.1l133.3-162.9c1.969-2.375 2.375-5.688 1.031-8.5C461.9 33.78 459.1 32 456 32h-144c-4.406 0-8 3.594-8 8s3.594 8 8 8h127.1l-133.3 162.9c-1.969 2.375-2.375 5.688-1.031 8.5C306.1 222.2 308.9 224 312 224h144c4.406 0 8-3.594 8-8S460.4 208 456 208zM479.2 468.4l-88-176c-2.688-5.438-11.62-5.438-14.31 0l-88 176c-1.969 3.938-.375 8.75 3.594 10.72c3.812 1.906 8.75 .4062 10.72-3.594L328.9 424h110.1l25.78 51.56C466.3 478.4 469.1 480 472 480c1.219 0 2.438-.2813 3.562-.8438C479.5 477.2 481.1 472.4 479.2 468.4zM336.9 408l47.06-94.13L431.1 408H336.9z"],
    "arrows-cross": [448, 512, [], "e0a2", "M440 32h-159.1c-4.438 0-7.959 3.586-7.959 7.992c0 4.422 3.578 8 7.996 8h140.6L2.451 466.2c-7.467 7.461 3.814 18.8 11.31 11.31L432 59.3v140.6c0 4.422 3.578 8 7.994 8C444.4 207.9 448 204.4 448 199.1V39.99C448 35.58 444.4 32 440 32zM167.4 210.8c3.123 3.121 8.185 3.219 11.31 .0977C181.9 207.7 181.9 202.6 178.8 199.4L13.76 34.45C6.303 26.98-5.033 38.27 2.457 45.76L167.4 210.8zM440 304.1c-4.418 0-7.996 3.578-7.996 7.992v140.6L280.6 301.2c-3.123-3.121-8.184-3.02-11.31 .1016c-3.123 3.125-3.125 8.086-.002 11.21l151.5 151.5h-140.6c-4.418 0-7.996 3.578-7.996 7.996S275.6 480 280 480h159.1C444.4 480 448 476.4 448 472V312C448 307.6 444.4 304.1 440 304.1z"],
    "arrows-down-to-line": [576, 512, [], "e4b8", "M568 464C572.4 464 576 467.6 576 472C576 476.4 572.4 480 568 480H8C3.582 480 0 476.4 0 472C0 467.6 3.582 464 8 464H568zM453.7 389.7C450.5 392.8 445.5 392.8 442.3 389.7L322.3 269.7C319.2 266.5 319.2 261.5 322.3 258.3C325.5 255.2 330.5 255.2 333.7 258.3L440 364.7V40C440 35.58 443.6 32 448 32C452.4 32 456 35.58 456 40V364.7L562.3 258.3C565.5 255.2 570.5 255.2 573.7 258.3C576.8 261.5 576.8 266.5 573.7 269.7L453.7 389.7zM253.7 269.7L133.7 389.7C130.5 392.8 125.5 392.8 122.3 389.7L2.343 269.7C-.7808 266.5-.7808 261.5 2.343 258.3C5.468 255.2 10.53 255.2 13.66 258.3L120 364.7V40C120 35.58 123.6 32 128 32C132.4 32 136 35.58 136 40V364.7L242.3 258.3C245.5 255.2 250.5 255.2 253.7 258.3C256.8 261.5 256.8 266.5 253.7 269.7z"],
    "arrows-down-to-people": [640, 512, [], "e4b9", "M136 8C136 3.582 139.6 .0003 144 .0003C148.4 .0003 152 3.582 152 8V164.7L202.3 114.3C205.5 111.2 210.5 111.2 213.7 114.3C216.8 117.5 216.8 122.5 213.7 125.7L149.7 189.7C146.5 192.8 141.5 192.8 138.3 189.7L74.34 125.7C71.22 122.5 71.22 117.5 74.34 114.3C77.47 111.2 82.53 111.2 85.66 114.3L136 164.7L136 8zM437.7 114.3L488 164.7V8C488 3.582 491.6 0 496 0C500.4 0 504 3.582 504 8V164.7L554.3 114.3C557.5 111.2 562.5 111.2 565.7 114.3C568.8 117.5 568.8 122.5 565.7 125.7L501.7 189.7C498.5 192.8 493.5 192.8 490.3 189.7L426.3 125.7C423.2 122.5 423.2 117.5 426.3 114.3C429.5 111.2 434.5 111.2 437.7 114.3L437.7 114.3zM456 296C456 273.9 473.9 256 496 256C518.1 256 536 273.9 536 296C536 318.1 518.1 336 496 336C473.9 336 456 318.1 456 296zM496 320C509.3 320 520 309.3 520 296C520 282.7 509.3 272 496 272C482.7 272 472 282.7 472 296C472 309.3 482.7 320 496 320zM399.1 407.1C417.2 373.2 452.5 352 490.9 352H503.7C542.1 352 577.4 373.2 595.5 407.1L623.5 459.6C630.5 472.7 625.3 488.9 612.1 495.6C599.8 501.7 584.8 497.4 577.7 485.6L553.3 444.9L553.3 480C553.3 497.7 538.1 512 521.3 512H473.3C455.6 512 441.3 497.7 441.3 480V444.9L416.9 485.6C409.8 497.4 394.9 501.7 382.6 495.6C369.3 488.9 364.1 472.7 371.1 459.6L399.1 407.1zM490.9 368C458.4 368 428.6 385.9 413.3 414.6L385.2 467.2C382.5 472.3 384.5 478.7 389.7 481.3C394.5 483.7 400.4 481.1 403.2 477.3L442.5 411.9C444.3 408.8 447.1 407.3 451.4 408.3C454.9 409.3 457.3 412.4 457.3 416V480C457.3 488.8 464.5 496 473.3 496H521.3C530.1 496 537.3 488.8 537.3 480L537.3 416C537.3 412.4 539.7 409.3 543.2 408.3C546.6 407.3 550.3 408.8 552.2 411.9L591.4 477.3C594.2 481.1 600.1 483.7 604.9 481.3C610.1 478.7 612.1 472.3 609.4 467.2L581.4 414.6C566.1 385.9 536.2 368 503.7 368H490.9zM184 296C184 318.1 166.1 336 144 336C121.9 336 104 318.1 104 296C104 273.9 121.9 256 144 256C166.1 256 184 273.9 184 296zM144 272C130.7 272 120 282.7 120 296C120 309.3 130.7 320 144 320C157.3 320 168 309.3 168 296C168 282.7 157.3 272 144 272zM151.7 352C190.1 352 225.4 373.2 243.5 407.1L271.5 459.6C278.5 472.7 273.3 488.9 260.1 495.6C247.8 501.7 232.8 497.4 225.7 485.6L201.3 444.9L201.3 480C201.3 497.7 186.1 512 169.3 512H121.3C103.6 512 89.31 497.7 89.31 480V444.9L64.9 485.6C57.82 497.4 42.86 501.7 30.56 495.6C17.31 488.9 12.13 472.7 19.1 459.6L47.14 407.1C65.22 373.2 100.5 352 138.9 352H151.7zM33.22 467.2C30.49 472.3 32.52 478.7 37.71 481.3C42.54 483.7 48.4 481.1 51.18 477.3L90.45 411.9C92.3 408.8 95.98 407.3 99.45 408.3C102.9 409.3 105.3 412.4 105.3 416V480C105.3 488.8 112.5 496 121.3 496H169.3C178.1 496 185.3 488.8 185.3 480L185.3 416C185.3 412.4 187.7 409.3 191.2 408.3C194.6 407.3 198.3 408.8 200.2 411.9L239.4 477.3C242.2 481.1 248.1 483.7 252.9 481.3C258.1 478.7 260.1 472.3 257.4 467.2L229.4 414.6C214.1 385.9 184.2 368 151.7 368H138.9C106.4 368 76.56 385.9 61.26 414.6L33.22 467.2zM280 184C280 161.9 297.9 144 320 144C342.1 144 360 161.9 360 184C360 206.1 342.1 224 320 224C297.9 224 280 206.1 280 184zM320 208C333.3 208 344 197.3 344 184C344 170.7 333.3 160 320 160C306.7 160 296 170.7 296 184C296 197.3 306.7 208 320 208zM314.9 256C282.4 256 252.6 273.9 237.3 302.6L237.2 302.7L217.2 339.2C215.1 343.1 210.2 344.5 206.3 342.4C202.4 340.3 201 335.4 203.1 331.6L223.2 295C241.2 261.2 276.5 240 314.9 240H327.7C366.1 240 401.4 261.2 419.5 295L439.5 331.6C441.6 335.4 440.2 340.3 436.3 342.4C432.4 344.5 427.6 343.1 425.4 339.2L405.4 302.6C390.1 273.9 360.2 256 327.7 256H314.9zM275.5 296.3C278.1 297.3 281.3 300.4 281.3 304V392C281.3 396.4 277.7 400 273.3 400C268.9 400 265.3 396.4 265.3 392V331.6L248.8 357.7C246.4 361.5 241.5 362.6 237.8 360.2C234 357.9 232.9 352.9 235.3 349.2L266.5 299.7C268.5 296.7 272.1 295.3 275.5 296.3L275.5 296.3zM367.1 296.3C370.5 295.3 374.2 296.7 376.1 299.7L407.3 349.2C409.7 352.9 408.6 357.9 404.9 360.2C401.1 362.6 396.2 361.5 393.8 357.7L377.3 331.6L377.3 392C377.3 396.4 373.7 400 369.3 400C364.9 400 361.3 396.4 361.3 392L361.3 304C361.3 300.4 363.7 297.3 367.1 296.3H367.1z"],
    "arrows-from-dotted-line": [448, 512, [], "e0a3", "M32 240C23.16 240 16 247.2 16 256S23.16 272 32 272S48 264.8 48 256S40.84 240 32 240zM144 256c0-8.836-7.164-16-16-16S112 247.2 112 256S119.2 272 128 272S144 264.8 144 256zM208 256c0 8.836 7.164 16 16 16s16-7.164 16-16S232.8 240 224 240S208 247.2 208 256zM320 240c-8.836 0-16 7.164-16 16s7.164 16 16 16s16-7.164 16-16S328.8 240 320 240zM416 240c-8.836 0-16 7.164-16 16s7.164 16 16 16s16-7.164 16-16S424.8 240 416 240zM136 104c2.047 0 4.094-.7813 5.656-2.344L216 27.31V184c0 4.406 3.594 7.984 8 7.984S232 188.4 232 184V27.31l74.34 74.34C307.9 103.2 309.9 104 312 104c5.719 0 8-5.114 8-8.021c0-2.047-.7813-4.073-2.344-5.635l-88-88C228.1 .7813 226 0 223.1 0S219.9 .7813 218.3 2.344l-88 88C128.8 91.91 128 93.93 128 95.98C128 100.5 131.7 104 136 104zM312 408c-2.047 0-4.094 .7813-5.656 2.344L232 484.7V328c0-4.406-3.594-8.01-8-8.01S216 323.6 216 328v156.7l-74.34-74.34C140.1 408.8 138 408 136 408C131.7 408 128 411.4 128 415.1c0 2.047 .7813 4.099 2.344 5.662l88 88C219.9 511.2 221.9 512 224 512s4.094-.7813 5.656-2.344l88-88C319.2 420.1 320 418 320 415.1C320 411.4 316.3 408 312 408z"],
    "arrows-from-line": [448, 512, [], "e0a4", "M136 104c2.047 0 4.094-.7813 5.656-2.344L216 27.31V184c0 4.406 3.594 7.984 8 7.984S232 188.4 232 184V27.31l74.34 74.34C307.9 103.2 309.9 104 312 104c5.719 0 8-5.114 8-8.021c0-2.047-.7813-4.073-2.344-5.636l-88-88C228.1 .7813 226 0 223.1 0s-4.094 .7813-5.656 2.344l-88 88C128.8 91.91 128 93.93 128 95.98C128 100.5 131.7 104 136 104zM312 408c-2.047 0-4.094 .7813-5.656 2.344L232 484.7V328c0-4.406-3.594-8.01-8-8.01S216 323.6 216 328v156.7l-74.34-74.34C140.1 408.8 138 408 136 408C131.7 408 128 411.4 128 415.1c0 2.047 .7813 4.099 2.344 5.662l88 88C219.9 511.2 221.9 512 224 512s4.094-.7813 5.656-2.344l88-88C319.2 420.1 320 418 320 415.1C320 411.4 316.3 408 312 408zM440 248H8C3.582 248 0 251.6 0 255.1S3.582 264 8 264h432c4.418 0 8-3.591 8-8.009S444.4 248 440 248z"],
    "arrows-left-right": [512, 512, ["arrows-h"], "f07e", "M509.7 261.8l-96 103.8c-3.125 3.192-8.188 3.192-11.31 0c-3.125-3.192-3.125-8.363 0-11.55l82.34-89.88H27.31l82.34 89.88c3.125 3.192 3.125 8.362 0 11.55C108.1 367.2 106.1 368 104 368s-4.094-.7979-5.656-2.394l-96-103.8c-3.125-3.192-3.125-8.362 0-11.55l96-103.8c3.125-3.192 8.188-3.192 11.31 0s3.125 8.363 0 11.55L27.31 247.8h457.4l-82.34-89.88c-3.125-3.192-3.125-8.363 0-11.55C403.9 144.8 405.9 144 408 144s4.094 .7979 5.656 2.394l96 103.8C512.8 253.4 512.8 258.6 509.7 261.8z"],
    "arrows-left-right-to-line": [640, 512, [], "e4ba", "M8 64C12.42 64 16 67.58 16 72V440C16 444.4 12.42 448 8 448C3.582 448 0 444.4 0 440V72C0 67.58 3.582 64 8 64zM205.7 154.3C208.8 157.5 208.8 162.5 205.7 165.7L123.3 248H516.7L434.3 165.7C431.2 162.5 431.2 157.5 434.3 154.3C437.5 151.2 442.5 151.2 445.7 154.3L541.7 250.3C544.8 253.5 544.8 258.5 541.7 261.7L445.7 357.7C442.5 360.8 437.5 360.8 434.3 357.7C431.2 354.5 431.2 349.5 434.3 346.3L516.7 264H123.3L205.7 346.3C208.8 349.5 208.8 354.5 205.7 357.7C202.5 360.8 197.5 360.8 194.3 357.7L98.34 261.7C95.22 258.5 95.22 253.5 98.34 250.3L194.3 154.3C197.5 151.2 202.5 151.2 205.7 154.3H205.7zM640 440C640 444.4 636.4 448 632 448C627.6 448 624 444.4 624 440V72C624 67.58 627.6 64 632 64C636.4 64 640 67.58 640 72V440z"],
    "arrows-maximize": [448, 512, ["expand-arrows"], "f31d", "M432 184V59.31L235.3 256l196.7 196.7V328c0-4.422 3.58-8 7.998-8c4.424 0 8 3.578 8 8v144c0 4.426-3.584 8-8 8h-144C291.6 480 288 476.4 288 472c0-4.418 3.58-8 8-8h124.7L224 267.3L27.31 464H152C156.4 464 160 467.6 160 472C160 476.4 156.4 480 152 480h-144C3.576 480 0 476.4 0 472v-144C0 323.6 3.58 320 8 320c4.418 0 7.998 3.578 7.998 8v124.7L212.7 256L15.1 59.31V184C15.1 188.4 12.42 192 8 192C3.576 192 0 188.4 0 184v-144C0 35.57 3.584 32 8 32h144C156.4 32 160 35.59 160 40C160 44.42 156.4 48 152 48H27.31L224 244.7L420.7 48H296C291.6 48 288 44.42 288 40C288 35.59 291.6 32 296 32h144C444.4 32 448 35.58 448 40v144C448 188.4 444.4 192 440 192C435.6 192 432 188.4 432 184z"],
    "arrows-minimize": [512, 512, ["compress-arrows"], "e0a5", "M45.77 477.5l162.3-162.3v140.7c0 4.42 3.58 8 7.998 8c4.42 0 7.943-3.517 7.943-7.942L224.1 295.9c0-4.416-3.576-7.998-8-7.998L56.06 287.9c-4.439 0-7.942 3.534-7.942 7.94c0 4.42 3.58 8 8 8h140.7l-162.3 162.3C26.97 473.7 38.29 485 45.77 477.5zM216.1 48.12c-4.418 0-7.998 3.58-7.998 8v140.7L45.76 34.46C38.27 26.96 26.98 38.31 34.45 45.77l162.3 162.3H56.11c-4.42 0-8 3.58-8 8c0 4.404 3.504 7.94 7.945 7.94l160.1 .0578c4.416 0 8-3.574 8-7.998L224.1 56.06C224.1 51.64 220.5 48.12 216.1 48.12zM295.9 463.9c4.418 0 7.998-3.58 7.998-8V315.2l162.3 162.3c7.486 7.488 18.79-3.832 11.31-11.31l-162.3-162.3h140.7c4.42 0 8-3.58 8-8c0-4.402-3.502-7.94-7.943-7.94l-160.1-.0585c-4.416 0-8 3.574-8 7.998l.0567 160.1C287.9 460.4 291.5 463.9 295.9 463.9zM295.9 224.1l160.1-.0576c4.439 0 7.945-3.532 7.945-7.94c0-4.42-3.58-8-8-8h-140.7l162.3-162.3c7.469-7.465-3.816-18.81-11.31-11.31l-162.3 162.3V56.12c0-4.42-3.58-8-7.998-8c-4.42 0-7.945 3.519-7.945 7.942l-.0549 160.1C287.9 220.5 291.5 224.1 295.9 224.1z"],
    "arrows-repeat": [512, 512, ["repeat-alt"], "f364", "M419.4 103.1l-80.83 74.09c-3.25 3-3.484 8.063-.4844 11.31C339.7 191.1 341.8 191.1 344 191.1c1.938 0 3.875-.6875 5.406-2.094l96-88C447.1 100.4 448 98.25 448 95.1c0-2.25-.9375-4.377-2.594-5.908l-96-88c-3.219-2.969-8.281-2.75-11.3 .5c-3 3.25-2.766 8.313 .4844 11.31l80.83 74.09H168c-92.64 0-168 75.38-168 168c0 4.406 3.578 7.999 8 7.999S16 260.4 16 255.1c0-83.81 68.19-152 152-152H419.4zM504 247.1c-4.422 0-8 3.594-8 8c0 83.81-68.19 152-152 152H92.57l80.83-74.09c3.25-3 3.484-8.063 .4844-11.31c-2.984-3.25-8.047-3.469-11.3-.5l-96 88C64.94 411.6 64 413.7 64 415.1c0 2.25 .9375 4.375 2.594 5.906l96 88C164.1 511.3 166.1 512 168 512c2.156 0 4.312-.875 5.891-2.594c3-3.25 2.766-8.313-.4844-11.31l-80.83-74.09H344c92.64 0 168-75.37 168-167.1C512 251.6 508.4 247.1 504 247.1z"],
    "arrows-repeat-1": [512, 512, ["repeat-1-alt"], "f366", "M419.4 103.1l-80.83 74.1c-1.718 1.586-2.594 3.749-2.594 5.915c0 4.431 3.618 7.991 7.1 7.991c1.938 0 3.875-.6875 5.406-2.094l96-88C447.1 100.4 448 98.25 448 95.1s-.9375-4.377-2.594-5.908l-96-88c-1.516-1.399-3.442-2.09-5.37-2.09c-4.384 0-8.036 3.518-8.036 7.987c0 2.167 .8753 4.329 2.594 5.915l80.83 74.09H168c-92.64 0-168 75.38-168 168C0 260.4 3.578 263.1 8 263.1s8-3.594 8-8c0-83.81 68.19-152 152-152H419.4zM504 247.1c-4.422 0-8 3.594-8 8c0 83.81-68.19 152-152 152H92.57l80.83-74.1c1.718-1.586 2.594-3.749 2.594-5.915c0-4.408-3.586-7.987-8.013-7.987c-1.929 0-3.862 .6912-5.394 2.09l-96 88C64.94 411.6 64 413.8 64 416s.9375 4.375 2.594 5.906l96 88C164.1 511.3 166.1 512 168 512c4.378 0 7.1-3.557 7.1-7.991c0-2.167-.8753-4.329-2.594-5.915L92.57 424H344c92.64 0 168-75.38 168-168C512 251.6 508.4 247.1 504 247.1zM264 320c4.422 0 8-3.594 8-8v-112c0-4.406-3.583-8.007-8.005-8.007L240 192C235.6 192 232 195.6 232 200S235.6 208 240 208H256v104C256 316.4 259.6 320 264 320z"],
    "arrows-retweet": [640, 512, ["retweet-alt"], "f361", "M352 400H159.1c-13.23 0-24-10.78-24-24V90.4l106.5 99.44C244.1 191.3 246 192 248 192c2.141 0 4.266-.8438 5.844-2.531c3.016-3.25 2.844-8.312-.3906-11.31l-120-112c-3.062-2.875-7.844-2.875-10.91 0l-120 112c-3.234 3-3.406 8.062-.3906 11.31c3.031 3.219 8.078 3.406 11.3 .375L119.1 90.4V376c0 22.06 17.94 40 40 40H352c4.422 0 8-3.594 8-8S356.4 400 352 400zM637.8 322.5c-3-3.219-8.078-3.375-11.3-.375l-106.5 99.44V136c0-22.06-17.94-40-40-40H288C283.6 96 280 99.59 280 104S283.6 112 288 112h192c13.23 0 24 10.78 24 24v285.6l-106.5-99.44c-3.203-3-8.266-2.844-11.3 .375c-3.016 3.25-2.844 8.312 .3906 11.31l120 112C508.1 447.3 510 448 512 448s3.923-.7187 5.455-2.156l120-112C640.7 330.8 640.9 325.8 637.8 322.5z"],
    "arrows-rotate": [512, 512, [128472, "refresh", "sync"], "f021", "M463.5 272.1C463.2 272 462.9 272 462.6 272c-4.031 0-7.469 3-7.938 7.094C443.1 379.9 357.7 456 256 456c-85.8 0-161.6-55.56-188.9-136H184C188.4 320 192 316.4 192 312S188.4 304 184 304H48c-4.406 0-8 3.594-8 8v128C40 444.4 43.59 448 48 448s8-3.594 8-8v-104C88.43 416.9 167.2 472 256 472c109.8 0 202.1-82.16 214.6-191.1C471.1 276.5 467.9 272.6 463.5 272.1zM464 64c-4.406 0-8 3.594-8 8v104C423.6 95.09 344.8 40 256 40c-109.8 0-202.1 82.16-214.6 191.1c-.5 4.375 2.625 8.344 7.031 8.844C48.78 239.1 49.09 240 49.38 240c4.031 0 7.469-3 7.938-7.094C68.91 132.1 154.3 56 256 56c85.8 0 161.6 55.56 188.9 136H328C323.6 192 320 195.6 320 200s3.594 8 8 8h136c4.406 0 8-3.594 8-8v-128C472 67.59 468.4 64 464 64z"],
    "arrows-spin": [512, 512, [], "e4bb", "M107.2 123.2L74.34 90.35C59.22 75.23 69.93 49.38 91.31 49.38H177.4C186.2 49.38 193.4 56.54 193.4 65.38V151.4C193.4 172.8 167.5 183.5 152.4 168.4L118.5 134.5C90.26 166.9 73.14 209.2 73.14 255.5C73.14 266.6 74.11 277.5 75.99 288H59.76C58.03 277.4 57.14 266.6 57.14 255.5C57.14 204.8 76.04 158.4 107.2 123.2L107.2 123.2zM85.66 79.03L118.2 111.6L118.3 111.6L119.1 112.5L163.7 157.1C168.8 162.1 177.4 158.6 177.4 151.4V65.37H91.31C84.18 65.37 80.62 73.99 85.66 79.03H85.66zM257.1 71.53C245.8 71.53 234.7 72.55 223.1 74.51V58.26C234.8 56.47 245.8 55.53 257.1 55.53C308.7 55.53 355.7 75.05 391.2 107.1L423.9 74.35C439 59.23 464.9 69.93 464.9 91.32V177.4C464.9 186.2 457.7 193.4 448.9 193.4H362.8C341.5 193.4 330.8 167.5 345.9 152.4L379.8 118.4C347.3 89.26 304.3 71.53 257.1 71.53V71.53zM435.2 85.66L357.2 163.7C352.1 168.8 355.7 177.4 362.8 177.4H448.9V91.32C448.9 84.19 440.3 80.62 435.2 85.66V85.66zM441.1 255.5C441.1 244.8 440.2 234.2 438.4 224H454.7C456.3 234.3 457.1 244.8 457.1 255.5C457.1 307.1 437.6 354.1 405.6 389.6L439.9 423.9C455 439.1 444.3 464.9 422.1 464.9H336.9C328.1 464.9 320.9 457.7 320.9 448.9V362.8C320.9 341.5 346.8 330.8 361.9 345.9L394.2 378.2C423.4 345.7 441.1 302.7 441.1 255.5V255.5zM394.3 401.1L392.9 399.5L350.6 357.2C345.5 352.2 336.9 355.7 336.9 362.8V448.9H422.1C430.1 448.9 433.7 440.3 428.6 435.2L394.4 401L394.3 401.1zM287.1 453.2C277.9 454.7 267.6 455.5 257.1 455.5C206.4 455.5 160.1 436.6 124.8 405.5L90.34 439.9C75.22 455.1 49.37 444.3 49.37 422.1V336.9C49.37 328.1 56.53 320.9 65.37 320.9H151.4C172.8 320.9 183.5 346.8 168.4 361.9L136.1 394.1C168.5 422.4 210.8 439.5 257.1 439.5C267.7 439.5 277.1 438.6 288 436.1L287.1 453.2zM65.37 336.9V422.1C65.37 430.1 73.99 433.7 79.03 428.6L157.1 350.6C162.1 345.5 158.6 336.9 151.4 336.9H65.37z"],
    "arrows-split-up-and-left": [512, 512, [], "e4bc", "M229.7 109.7C226.5 112.8 221.5 112.8 218.3 109.7C215.2 106.5 215.2 101.5 218.3 98.34L314.3 2.343C317.5-.781 322.5-.781 325.7 2.343L421.7 98.34C424.8 101.5 424.8 106.5 421.7 109.7C418.5 112.8 413.5 112.8 410.3 109.7L328 27.31V408C328 456.6 367.4 496 416 496H504C508.4 496 512 499.6 512 504C512 508.4 508.4 512 504 512H416C358.6 512 312 465.4 312 408V384C312 335.4 272.6 296 224 296H27.31L109.7 378.3C112.8 381.5 112.8 386.5 109.7 389.7C106.5 392.8 101.5 392.8 98.34 389.7L2.343 293.7C.8429 292.2 0 290.1 0 287.1C0 285.9 .8429 283.8 2.343 282.3L98.34 186.3C101.5 183.2 106.5 183.2 109.7 186.3C112.8 189.5 112.8 194.5 109.7 197.7L27.31 279.1H224C261.1 279.1 293.6 299.4 312 328.5V27.31L229.7 109.7z"],
    "arrows-to-circle": [640, 512, [], "e4bd", "M175.1 164.7V72C175.1 67.58 179.6 64 183.1 64C188.4 64 191.1 67.58 191.1 72V184C191.1 188.4 188.4 192 183.1 192H71.1C67.58 192 63.1 188.4 63.1 184C63.1 179.6 67.58 176 71.1 176H164.7L2.343 13.66C-.781 10.53-.781 5.468 2.343 2.343C5.467-.7807 10.53-.7807 13.66 2.343L175.1 164.7zM626.3 2.343C629.5-.781 634.5-.781 637.7 2.343C640.8 5.467 640.8 10.53 637.7 13.66L475.3 175.1H568C572.4 175.1 576 179.6 576 183.1C576 188.4 572.4 191.1 568 191.1H456C451.6 191.1 448 188.4 448 183.1V71.1C448 67.58 451.6 63.1 456 63.1C460.4 63.1 464 67.58 464 71.1V164.7L626.3 2.343zM223.1 256C223.1 202.1 266.1 160 319.1 160C373 160 416 202.1 416 256C416 309 373 352 319.1 352C266.1 352 223.1 309 223.1 256zM319.1 336C364.2 336 400 300.2 400 256C400 211.8 364.2 176 319.1 176C275.8 176 239.1 211.8 239.1 256C239.1 300.2 275.8 336 319.1 336zM456 448C451.6 448 448 444.4 448 440V328C448 323.6 451.6 320 456 320H568C572.4 320 576 323.6 576 328C576 332.4 572.4 336 568 336H475.3L637.7 498.3C640.8 501.5 640.8 506.5 637.7 509.7C634.5 512.8 629.5 512.8 626.3 509.7L464 347.3V440C464 444.4 460.4 448 456 448V448zM175.1 440V347.3L13.66 509.7C10.53 512.8 5.467 512.8 2.343 509.7C-.781 506.5-.781 501.5 2.343 498.3L164.7 336H71.1C67.58 336 63.1 332.4 63.1 328C63.1 323.6 67.58 320 71.1 320H183.1C188.4 320 191.1 323.6 191.1 328V440C191.1 444.4 188.4 448 183.1 448C179.6 448 175.1 444.4 175.1 440z"],
    "arrows-to-dot": [512, 512, [], "e4be", "M264 7.1V164.7L338.3 90.34C341.5 87.22 346.5 87.22 349.7 90.34C352.8 93.47 352.8 98.53 349.7 101.7L261.7 189.7C258.5 192.8 253.5 192.8 250.3 189.7L162.3 101.7C159.2 98.53 159.2 93.47 162.3 90.34C165.5 87.22 170.5 87.22 173.7 90.34L248 164.7V8C248 3.582 251.6 0 256 0C260.4 0 264 3.582 264 8V7.1zM421.7 173.7L347.3 247.1H504C508.4 247.1 512 251.6 512 255.1C512 260.4 508.4 263.1 504 263.1H347.3L421.7 338.3C424.8 341.5 424.8 346.5 421.7 349.7C418.5 352.8 413.5 352.8 410.3 349.7L322.3 261.7C319.2 258.5 319.2 253.5 322.3 250.3L410.3 162.3C413.5 159.2 418.5 159.2 421.7 162.3C424.8 165.5 424.8 170.5 421.7 173.7H421.7zM224 256C224 238.3 238.3 224 256 224C273.7 224 288 238.3 288 256C288 273.7 273.7 288 256 288C238.3 288 224 273.7 224 256zM256 272C264.8 272 272 264.8 272 256C272 247.2 264.8 240 256 240C247.2 240 240 247.2 240 256C240 264.8 247.2 272 256 272zM189.7 250.3C192.8 253.5 192.8 258.5 189.7 261.7L101.7 349.7C98.53 352.8 93.47 352.8 90.35 349.7C87.22 346.5 87.22 341.5 90.35 338.3L164.7 264H8.002C3.584 264 .0019 260.4 .0019 256C.0019 251.6 3.584 248 8.002 248H164.7L90.34 173.7C87.22 170.5 87.22 165.5 90.34 162.3C93.47 159.2 98.53 159.2 101.7 162.3L189.7 250.3zM250.3 322.3C253.5 319.2 258.5 319.2 261.7 322.3L349.7 410.3C352.8 413.5 352.8 418.5 349.7 421.7C346.5 424.8 341.5 424.8 338.3 421.7L264 347.3V504C264 508.4 260.4 512 256 512C251.6 512 248 508.4 248 504V347.3L173.7 421.7C170.5 424.8 165.5 424.8 162.3 421.7C159.2 418.5 159.2 413.5 162.3 410.3L250.3 322.3z"],
    "arrows-to-dotted-line": [448, 512, [], "e0a6", "M208 256c0 8.836 7.164 16 16 16s16-7.164 16-16S232.8 240 224 240S208 247.2 208 256zM144 256c0-8.836-7.164-16-16-16S112 247.2 112 256S119.2 272 128 272S144 264.8 144 256zM32 240C23.16 240 16 247.2 16 256S23.16 272 32 272S48 264.8 48 256S40.84 240 32 240zM416 240c-8.836 0-16 7.164-16 16s7.164 16 16 16s16-7.164 16-16S424.8 240 416 240zM320 240c-8.836 0-16 7.164-16 16s7.164 16 16 16s16-7.164 16-16S328.8 240 320 240zM218.3 189.7C219.9 191.2 221.9 192 224 192s4.094-.7813 5.656-2.344l88-88C319.2 100.1 320 98.05 320 96c0-4.57-3.737-8-8-8c-2.047 0-4.094 .7813-5.656 2.344L232 164.7V8C232 3.594 228.4 0 224 0S216 3.594 216 8v156.7L141.7 90.34C140.1 88.78 138 88 136 88C131.7 88 128 91.43 128 96c0 2.047 .7813 4.094 2.344 5.656L218.3 189.7zM229.7 322.3c-1.562-1.562-3.609-2.334-5.656-2.334s-4.094 .7715-5.656 2.334l-88 88C128.8 411.9 128 413.1 128 416c0 4.57 3.737 8 8 8c2.047 0 4.094-.7813 5.656-2.344L216 347.3V504C216 508.4 219.6 512 224 512s8-3.594 8-8v-156.7l74.34 74.34C307.9 423.2 309.9 424 312 424c5.719 0 8-5.094 8-8c0-2.047-.7813-4.094-2.344-5.656L229.7 322.3z"],
    "arrows-to-eye": [640, 512, [], "e4bf", "M143.1 132.7V56C143.1 51.58 147.6 48 151.1 48C156.4 48 159.1 51.58 159.1 56V152C159.1 156.4 156.4 160 151.1 160H55.1C51.58 160 47.1 156.4 47.1 152C47.1 147.6 51.58 144 55.1 144H132.7L26.34 37.66C23.22 34.53 23.22 29.47 26.34 26.34C29.47 23.22 34.53 23.22 37.65 26.34L143.1 132.7zM602.3 26.34C605.5 23.22 610.5 23.22 613.7 26.34C616.8 29.47 616.8 34.53 613.7 37.66L507.3 143.1H583.1C588.4 143.1 591.1 147.6 591.1 151.1C591.1 156.4 588.4 159.1 583.1 159.1H487.1C483.6 159.1 479.1 156.4 479.1 151.1V55.1C479.1 51.58 483.6 47.1 487.1 47.1C492.4 47.1 495.1 51.58 495.1 55.1V132.7L602.3 26.34zM400 256C400 300.2 364.2 336 319.1 336C275.8 336 239.1 300.2 239.1 256C239.1 211.8 275.8 176 319.1 176C364.2 176 400 211.8 400 256zM319.1 192C284.7 192 255.1 220.7 255.1 256C255.1 291.3 284.7 320 319.1 320C355.3 320 384 291.3 384 256C384 220.7 355.3 192 319.1 192zM506.5 243.9C510.3 251.6 510.3 260.4 506.5 268.1C481.4 318.4 417.3 400 319.1 400C222.7 400 158.6 318.4 133.5 268.1C129.7 260.4 129.7 251.6 133.5 243.9C158.6 193.6 222.7 112 319.1 112C417.3 112 481.4 193.6 506.5 243.9V243.9zM147.9 260.9C172.1 309.7 232.1 384 319.1 384C407.9 384 467.9 309.7 492.1 260.9C493.7 257.8 493.7 254.2 492.1 251.1C467.9 202.3 407.9 128 319.1 128C232.1 128 172.1 202.3 147.9 251.1C146.3 254.2 146.3 257.8 147.9 260.9zM495.1 379.3V456C495.1 460.4 492.4 464 487.1 464C483.6 464 479.1 460.4 479.1 456V360C479.1 355.6 483.6 352 487.1 352H583.1C588.4 352 591.1 355.6 591.1 360C591.1 364.4 588.4 368 583.1 368H507.3L613.7 474.3C616.8 477.5 616.8 482.5 613.7 485.7C610.5 488.8 605.5 488.8 602.3 485.7L495.1 379.3zM37.65 485.7C34.53 488.8 29.47 488.8 26.34 485.7C23.22 482.5 23.22 477.5 26.34 474.3L132.7 368H55.1C51.58 368 47.1 364.4 47.1 360C47.1 355.6 51.58 352 55.1 352H151.1C156.4 352 159.1 355.6 159.1 360V456C159.1 460.4 156.4 464 151.1 464C147.6 464 143.1 460.4 143.1 456V379.3L37.65 485.7z"],
    "arrows-to-line": [448, 512, [], "e0a7", "M229.7 322.3C228.1 320.8 226 320 224 320s-4.094 .7719-5.656 2.334l-88 88C128.8 411.9 128 413.1 128 416c0 4.57 3.736 8 8 8c2.047 0 4.094-.7813 5.656-2.344L216 347.3V504C216 508.4 219.6 512 224 512s8-3.594 8-8v-156.7l74.34 74.34C307.9 423.2 309.9 424 312 424c5.719 0 8-5.094 8-8c0-2.047-.7813-4.094-2.344-5.656L229.7 322.3zM218.3 189.7C219.9 191.2 221.9 192 224 192s4.094-.7813 5.656-2.344l88-88C319.2 100.1 320 98.05 320 96c0-4.57-3.736-8-8-8c-2.047 0-4.094 .7813-5.656 2.344L232 164.7V8C232 3.594 228.4 0 224 0S216 3.594 216 8v156.7L141.7 90.34C140.1 88.78 138 88 136 88C131.7 88 128 91.43 128 96c0 2.047 .7813 4.094 2.344 5.656L218.3 189.7zM440 248H8C3.582 248 0 251.6 0 255.1S3.582 264 8 264h432c4.418 0 8-3.591 8-8.009S444.4 248 440 248z"],
    "arrows-turn-right": [448, 512, [], "e4c0", "M305.1 10.73C308.9 7.407 313.9 7.07 317.3 9.979L445.3 121.1C447 123.5 448 125.7 448 128C448 130.3 447 132.5 445.3 134L317.3 246C313.9 248.9 308.9 248.6 305.1 245.3C303.1 241.9 303.4 236.9 306.7 233.1L418.7 135.1H104C55.4 135.1 16 175.4 16 223.1V279.1C16 284.4 12.42 287.1 8 287.1C3.582 287.1 0 284.4 0 279.1V223.1C0 166.6 46.56 119.1 104 119.1H418.7L306.7 22.02C303.4 19.11 303.1 14.06 305.1 10.73L305.1 10.73zM209.1 266.7C212.9 263.4 217.9 263.1 221.3 265.1L349.3 377.1C351 379.5 352 381.7 352 384C352 386.3 351 388.5 349.3 390L221.3 502C217.9 504.9 212.9 504.6 209.1 501.3C207.1 497.9 207.4 492.9 210.7 489.1L322.7 391.1H72C41.07 391.1 16 417.1 16 447.1V503.1C16 508.4 12.42 511.1 8 511.1C3.582 511.1 0 508.4 0 503.1V447.1C0 408.2 32.24 375.1 72 375.1H322.7L210.7 278C207.4 275.1 207.1 270.1 209.1 266.7L209.1 266.7z"],
    "arrows-turn-to-dots": [512, 512, [], "e4c1", "M274.3 34.34C277.5 31.22 282.5 31.22 285.7 34.34C288.8 37.47 288.8 42.53 285.7 45.66L211.3 119.1H440C479.8 119.1 512 152.2 512 191.1V247.1C512 252.4 508.4 255.1 504 255.1C499.6 255.1 496 252.4 496 247.1V191.1C496 161.1 470.9 135.1 440 135.1H211.3L285.7 210.3C288.8 213.5 288.8 218.5 285.7 221.7C282.5 224.8 277.5 224.8 274.3 221.7L186.3 133.7C183.2 130.5 183.2 125.5 186.3 122.3L274.3 34.34zM325.7 378.3C328.8 381.5 328.8 386.5 325.7 389.7L237.7 477.7C234.5 480.8 229.5 480.8 226.3 477.7C223.2 474.5 223.2 469.5 226.3 466.3L300.7 392H72C41.07 392 16 417.1 16 448V504C16 508.4 12.42 512 8 512C3.582 512 0 508.4 0 504V448C0 408.2 32.24 376 72 376H300.7L226.3 301.7C223.2 298.5 223.2 293.5 226.3 290.3C229.5 287.2 234.5 287.2 237.7 290.3L325.7 378.3zM384 384C384 348.7 412.7 320 448 320C483.3 320 512 348.7 512 384C512 419.3 483.3 448 448 448C412.7 448 384 419.3 384 384zM448 432C474.5 432 496 410.5 496 384C496 357.5 474.5 336 448 336C421.5 336 400 357.5 400 384C400 410.5 421.5 432 448 432zM0 128C0 92.65 28.65 64 64 64C99.35 64 128 92.65 128 128C128 163.3 99.35 192 64 192C28.65 192 0 163.3 0 128zM64 176C90.51 176 112 154.5 112 128C112 101.5 90.51 80 64 80C37.49 80 16 101.5 16 128C16 154.5 37.49 176 64 176z"],
    "arrows-up-down": [256, 512, ["arrows-v"], "f07d", "M122.2 509.7l-103.8-96c-3.192-3.125-3.192-8.188 0-11.31s8.363-3.125 11.55 0l89.88 82.34V27.31L29.95 109.7c-3.192 3.125-8.363 3.125-11.55 0C16.8 108.1 16 106.1 16 104s.7979-4.094 2.394-5.656l103.8-96c3.192-3.125 8.362-3.125 11.55 0l103.8 96c3.192 3.125 3.192 8.188 0 11.31c-3.192 3.125-8.363 3.125-11.55 0l-89.88-82.34v457.4l89.88-82.34c3.192-3.125 8.362-3.125 11.55 0C239.2 403.9 240 405.9 240 408s-.7979 4.094-2.394 5.656l-103.8 96C130.6 512.8 125.4 512.8 122.2 509.7z"],
    "arrows-up-down-left-right": [512, 512, ["arrows"], "f047", "M512 255.1c0 2.047-.7813 4.128-2.344 5.691l-80 88C428.1 351.2 426 352 424 352C419.7 352 416 348.6 416 344c0-2.047 .7813-4.094 2.344-5.656L484.7 264H264v220.7l74.34-66.34C339.9 416.8 341.1 416 344 416c2.906 0 8 2.281 8 8c0 2.062-.7813 4.094-2.344 5.656l-88 80C260.1 511.2 258 512 256 512s-4.094-.7813-5.656-2.344l-88-80C160.8 428.1 160 426 160 424C160 419.4 163.7 416 168 416c2.047 0 4.094 .7813 5.656 2.344L248 484.7V264H27.31l66.34 74.34C95.22 339.9 96 341.1 96 344C96 346.9 93.72 352 88 352c-2.062 0-4.094-.7813-5.656-2.344l-80-88C.7813 260.1 0 258 0 255.1s.7813-4.059 2.344-5.622l80-88C83.91 160.8 85.95 160 88 160C92.26 160 96 163.4 96 168c0 2.047-.7813 4.094-2.344 5.656L27.31 248H248V27.31L173.7 93.66C172.1 95.22 170 96 168 96C165.1 96 160 93.72 160 88c0-2.062 .7813-4.094 2.344-5.656l88-80C251.9 .7813 253.1 0 256 0s4.094 .7813 5.656 2.344l88 80C351.2 83.91 352 85.95 352 88C352 92.57 348.3 96 344 96c-2.047 0-4.094-.7813-5.656-2.344L264 27.31V248h220.7l-66.34-74.34C416.8 172.1 416 170 416 168C416 165.1 418.3 160 424 160c2.062 0 4.094 .7813 5.656 2.344l80 88C511.2 251.9 512 253.9 512 255.1z"],
    "arrows-up-to-line": [576, 512, [], "e4c2", "M8 48C3.582 48 0 44.42 0 40C0 35.58 3.582 32 8 32H568C572.4 32 576 35.58 576 40C576 44.42 572.4 48 568 48H8zM122.3 122.3C125.5 119.2 130.5 119.2 133.7 122.3L253.7 242.3C256.8 245.5 256.8 250.5 253.7 253.7C250.5 256.8 245.5 256.8 242.3 253.7L136 147.3L136 472C136 476.4 132.4 480 128 480C123.6 480 120 476.4 120 472L120 147.3L13.66 253.7C10.53 256.8 5.468 256.8 2.343 253.7C-.7808 250.5-.7808 245.5 2.343 242.3L122.3 122.3zM322.3 242.3L442.3 122.3C445.5 119.2 450.5 119.2 453.7 122.3L573.7 242.3C576.8 245.5 576.8 250.5 573.7 253.7C570.5 256.8 565.5 256.8 562.3 253.7L456 147.3V472C456 476.4 452.4 480 448 480C443.6 480 440 476.4 440 472V147.3L333.7 253.7C330.5 256.8 325.5 256.8 322.3 253.7C319.2 250.5 319.2 245.5 322.3 242.3V242.3z"],
    "asterisk": [448, 512, [10033, 61545], "2a", "M412.1 357.1c3.753 2.203 5.045 7.094 2.891 10.92c-1.476 2.562-4.121 4-6.828 4c-1.353 0-2.707-.3438-3.937-1.078l-172.3-101.1V472c0 4.422-3.538 8-7.875 8c-4.337 0-7.874-3.578-7.874-8V269.8l-172.3 101.1C42.58 371.7 41.22 372 39.87 372c-2.707 0-5.352-1.438-6.829-4c-2.153-3.828-.8607-8.719 2.892-10.92L208.3 256L35.93 154.9C32.18 152.7 30.89 147.8 33.04 144c2.215-3.859 7.045-5.125 10.77-2.922l172.3 101.1V40c0-4.422 3.537-8 7.874-8c4.337 0 7.875 3.578 7.875 8v202.2l172.3-101.1C407.9 138.9 412.7 140.1 414.1 144c2.154 3.828 .8619 8.719-2.891 10.92L239.7 256L412.1 357.1z"],
    "at": [512, 512, [61946], "40", "M263.4 16.12C197.2 14.06 135.8 38.18 88.88 83.78C41.88 129.4 16 190.5 16 256C16 388.3 123.7 496 256 496c4.406 0 8-3.578 8-7.1s-3.62-8.073-8.026-8.073C132.5 479.9 32 379.5 32 256c0-61.11 24.16-118.2 68-160.8c43.88-42.53 102.3-65.17 162.9-63.12C382.6 35.72 480 140.5 480 265.7v10.27c0 37.5-30.5 67.1-68 67.1S344 313.5 344 276V160c0-4.422-3.594-7.1-8-7.1s-8 3.578-8 7.1v41.18c-18.39-29.42-50.83-49.18-88-49.18c-57.34 0-104 46.65-104 103.1s46.66 103.1 104 103.1c40.63 0 75.53-23.65 92.63-57.7c11.11 33.39 42.29 57.7 79.37 57.7c46.31 0 84-37.69 84-83.1V265.7C496 131.9 391.6 19.98 263.4 16.12zM240 344c-48.53 0-88-39.47-88-87.1s39.47-87.1 88-87.1s88 39.47 88 87.1S288.5 344 240 344z"],
    "atom": [512, 512, [9883], "f5d2", "M478.9 128c-16.1-27.74-51.3-41.33-96.43-41.33c-9.305 0-19.16 .793-29.23 1.943C329.6 34.43 294.9 0 256 0S182.4 34.42 158.8 88.61c-10.07-1.15-19.92-1.941-29.23-1.941C84.42 86.67 49.22 100.3 33.12 128C13.69 161.5 26.27 208.6 61.62 255.1C26.27 303.4 13.69 350.5 33.12 384c16.1 27.74 51.3 41.33 96.43 41.33c9.305 0 19.16-.793 29.23-1.943C182.4 477.6 217.1 512 256 512s73.62-34.43 97.22-88.61c10.07 1.15 19.92 1.943 29.23 1.943c45.13 0 80.34-13.6 96.43-41.33c19.42-33.47 6.847-80.6-28.5-128C485.7 208.6 498.3 161.5 478.9 128zM382.5 102.7c40.72 0 70.02 11.84 82.5 33.33c15.67 27 4.718 66.35-24.85 107c-16.54-19.84-36.87-39.48-60.54-58.01c-4.294-29.63-11.22-56.95-20.22-81.11C367.2 103.2 374.1 102.7 382.5 102.7zM382.3 208.1c18.41 15.57 34.56 31.74 47.82 47.93c-13.25 16.19-29.41 32.37-47.82 47.93C383.8 288.4 384.7 272.4 384.7 256C384.7 239.6 383.8 223.6 382.3 208.1zM368.6 256c0 21.48-1.526 42.31-4.147 62.28c-16.08 12.24-33.45 23.97-52.15 34.71C293.8 363.6 274.8 372.8 256 380.6c-18.85-7.809-37.76-16.92-56.3-27.57c-18.7-10.74-36.07-22.47-52.15-34.71C144.9 298.3 143.4 277.5 143.4 256s1.526-42.31 4.147-62.28C163.6 181.5 181 169.7 199.7 159c18.54-10.65 37.45-19.76 56.3-27.57c18.85 7.809 37.75 16.92 56.3 27.57c18.7 10.74 36.07 22.47 52.15 34.71C367.1 213.7 368.6 234.5 368.6 256zM360.9 171.1c-12.79-9.047-26.28-17.78-40.56-25.97c-14.33-8.232-28.73-15.42-43.05-21.94c22.56-8.025 44.74-13.87 65.82-17.18C350.6 125.5 356.6 147.5 360.9 171.1zM256 16c31.32 0 60.09 29.07 80.74 74.84C311.2 95.17 283.9 103 256 114.1C228.1 103 200.8 95.17 175.3 90.84C195.9 45.07 224.7 16 256 16zM168.9 106c21.07 3.312 43.26 9.152 65.82 17.18C220.4 129.7 205.1 136.9 191.7 145.1c-14.28 8.199-27.77 16.93-40.56 25.97C155.4 147.5 161.4 125.5 168.9 106zM47.05 136c12.48-21.49 41.78-33.33 82.52-33.33c7.451 0 15.19 .4844 23.09 1.258c-8.999 24.16-15.93 51.48-20.22 81.11c-23.66 18.53-43.99 38.16-60.54 58.01C42.33 202.3 31.38 163 47.05 136zM129.7 303.9C111.2 288.4 95.09 272.2 81.84 255.1c13.25-16.19 29.41-32.36 47.82-47.93C128.2 223.6 127.3 239.6 127.3 256C127.3 272.4 128.2 288.4 129.7 303.9zM129.6 409.3c-40.73 0-70.03-11.84-82.5-33.33c-15.67-27-4.718-66.35 24.85-107c16.54 19.84 36.87 39.48 60.54 58.01c4.294 29.63 11.22 56.95 20.22 81.11C144.8 408.8 137 409.3 129.6 409.3zM151.1 340.9c12.79 9.047 26.28 17.78 40.56 25.97c14.33 8.232 28.73 15.42 43.05 21.94c-22.56 8.025-44.74 13.87-65.82 17.18C161.4 386.5 155.4 364.5 151.1 340.9zM256 496c-31.32 0-60.09-29.07-80.74-74.84C200.8 416.8 228.1 408.1 256 397.9c27.92 11.11 55.22 18.97 80.74 23.29C316.1 466.9 287.3 496 256 496zM343.1 405.1c-21.07-3.311-43.26-9.156-65.82-17.18c14.33-6.514 28.72-13.7 43.05-21.94c14.28-8.199 27.77-16.93 40.56-25.97C356.6 364.5 350.6 386.5 343.1 405.1zM464.1 376c-12.48 21.49-41.78 33.33-82.5 33.33c-7.455 0-15.2-.4844-23.1-1.26c8.997-24.16 15.92-51.48 20.22-81.11c23.66-18.53 43.99-38.17 60.54-58.01C469.7 309.6 480.6 349 464.1 376zM256 208C229.5 208 208 229.5 208 256S229.5 304 256 304s48-21.53 48-48S282.5 208 256 208zM256 288C238.3 288 223.1 273.7 223.1 256S238.3 224 256 224s32 14.33 32 32S273.7 288 256 288z"],
    "atom-simple": [448, 512, ["atom-alt"], "f5d3", "M224 208C197.5 208 175.1 229.5 175.1 256S197.5 304 224 304s48.02-21.53 48.02-48S250.5 208 224 208zM223.1 287.1c-17.68 0-32-14.33-32-32s14.32-32.03 32-32.03c17.68 0 32 14.36 32 32.03S241.7 287.1 223.1 287.1zM424.4 55.69C408.3 39.62 385.5 32 358.6 32c-38.75 .002-86.15 16.13-134.6 45.14C175.6 48.13 128.2 31.1 89.42 32c-26.93 .002-49.71 7.619-65.79 23.69C-15.59 94.9-4.277 173.9 44.93 256c-49.21 82.08-60.53 161.1-21.31 200.3C39.71 472.4 62.48 480 89.42 480c38.75 0 86.15-16.13 134.6-45.14C272.4 463.9 319.8 480 358.6 480c26.93 0 49.71-7.619 65.79-23.69C463.6 417.1 452.3 338.1 403.1 256C452.3 173.9 463.6 94.9 424.4 55.69zM358.6 48c23.53 0 41.85 6.395 54.47 19.01c32.49 32.48 22.06 100.1-19.54 173.5c-18.77-28.65-42.03-57.4-69.33-84.7c-27.31-27.3-56.07-50.29-84.73-69.06C282.1 62.33 324 48 358.6 48zM34.94 67.01C47.56 54.4 65.89 48 89.43 48c34.58 0 76.46 14.33 119.1 38.78C179.9 105.6 151.1 128.5 123.8 155.8C96.51 183.1 73.26 211.9 54.48 240.5C12.88 167.1 2.45 99.49 34.94 67.01zM89.42 464c-23.53 0-41.86-6.395-54.47-19.01c-32.49-32.48-22.06-100.1 19.54-173.5c18.77 28.65 42.03 57.4 69.33 84.7c27.31 27.3 56.07 50.29 84.73 69.06C165.9 449.7 124 464 89.42 464zM135.1 344.8C106.7 316.4 82.78 286 63.85 256C82.78 225.1 106.7 195.6 135.1 167.2c28.1-28.09 58.49-52.16 88.87-71.3c30.38 19.14 60.77 43.22 88.87 71.3C341.3 195.6 365.2 225.1 384.1 256c-18.93 30.04-42.82 60.39-71.28 88.84C284.8 372.9 254.4 397 224 416.1C193.6 397 163.2 372.9 135.1 344.8zM413.1 444.1C400.4 457.6 382.1 464 358.6 464c-34.59 0-76.47-14.33-119.1-38.78c28.67-18.77 57.43-41.77 84.73-69.06c27.3-27.29 50.56-56.04 69.33-84.7C435.1 344 445.6 412.5 413.1 444.1z"],
    "audio-description": [576, 512, [], "f29e", "M198.1 164.4C197.6 161.7 194.8 160 191.8 160S185.1 161.7 184.6 164.4l-87.8 176c-1.969 3.953-.375 8.766 3.578 10.73C101.6 351.7 102.8 352 104 352c2.938 0 5.766-1.625 7.156-4.422L140.9 288h102.1l29.86 59.58c2 3.969 6.812 5.562 10.73 3.578c3.953-1.984 5.547-6.797 3.578-10.73L198.1 164.4zM148.9 272l42.96-86.11L234.1 272H148.9zM512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM560 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h448c26.47 0 48 21.53 48 48V416zM392 160h-64C323.6 160 320 163.6 320 168v176c0 4.422 3.594 8 8 8h64c52.94 0 96-43.06 96-96S444.9 160 392 160zM392 336H336v-160h56c44.13 0 80 35.89 80 80S436.1 336 392 336z"],
    "audio-description-slash": [640, 512, [], "e0a8", "M96 464c-26.47 0-48-21.53-48-48V131.8L32 119.1l0 296.9c0 35.35 28.65 64 64 64L486.1 480l-20.13-16H96zM544 48c26.47 0 48 21.53 48 48v284.2l16 12.72l.0001-296.9c0-35.35-28.65-64-64-64L153.9 32l20.13 16H544zM503.4 309.8C513.9 294.5 520 275.9 520 256c0-52.94-43.06-96-96-96l-63.1 .0002C355.6 160 352 163.6 352 168v21.45l16 12.72V176h56c44.13 0 80 35.89 80 80c0 16.17-4.9 31.19-13.19 43.79L503.4 309.8zM180.4 237l-51.58 103.4c-1.969 3.953-.375 8.766 3.578 10.73C133.6 351.7 134.8 352 136 352c2.938 0 5.766-1.625 7.156-4.422L172.9 288h71.66L224.4 272h-43.55L193.2 247.2L180.4 237zM636.1 497.7L12.99 1.73C11.53 .5664 9.771 0 8.025 0C5.674 0 3.336 1.029 1.738 3.012c-2.75 3.469-2.172 8.5 1.281 11.25l623.1 496C628.5 511.4 630.2 512 631.1 512c2.344 0 4.688-1.031 6.266-3.016C641 505.5 640.4 500.5 636.1 497.7z"],
    "austral-sign": [448, 512, [], "e0a9", "M317.9 240H440C444.4 240 448 243.6 448 248C448 252.4 444.4 256 440 256H324.7L358.8 336H440C444.4 336 448 339.6 448 344C448 348.4 444.4 352 440 352H365.6L415.4 468.9C417.1 472.9 415.2 477.6 411.1 479.4C407.1 481.1 402.4 479.2 400.6 475.1L348.2 352H99.81L47.36 475.1C45.63 479.2 40.93 481.1 36.87 479.4C32.8 477.6 30.91 472.9 32.64 468.9L82.42 352H8C3.582 352 .0003 348.4 .0003 344C.0003 339.6 3.582 336 8 336H89.23L123.3 256H8C3.582 256 0 252.4 0 248C0 243.6 3.582 240 8 240H130.1L216.6 36.86C217.9 33.91 220.8 32 224 32C227.2 32 230.1 33.91 231.4 36.86L317.9 240zM300.5 240L224 60.42L147.5 240H300.5zM140.7 256L106.6 336H341.4L307.3 256H140.7z"],
    "avocado": [512, 512, [], "e0aa", "M512 142.3c0-72.05-56.44-142.3-140.5-142.3c-39.21 0-78.71 15.73-108.1 45.17C232.4 76.31 192.1 97.3 150.6 108.9C115.4 118.6 .0005 170.8 .0005 306.7c0 113.8 92.76 205.3 205.1 205.3c40.2 0 160.1-21.1 196.4-148.1C439.8 230.2 512 246.4 512 142.3zM495.1 142.2c0 92.07-71.42 82.92-109.9 217.2C370.6 413.6 313.5 496 205.1 496c-47.77 0-188.1-38.1-188.1-189.3c0-88.62 60.35-160.9 138.8-182.4C281.2 89.72 275 16 371.5 16C449.6 16 495.1 82.39 495.1 142.2zM246.7 184c-64.68 0-126.7 62.16-126.7 127.4c0 39.64 27.32 80.82 79.14 80.82c64.75 0 128.2-61.06 128.2-127.6C327.4 203.1 278.8 184 246.7 184zM311.5 264.7c0 56.41-55.24 111.4-111.2 111.4c-48.77 0-64.4-38.82-64.4-64.68c0-56.32 55.2-111.4 111.3-111.4C296 199.1 311.5 238.9 311.5 264.7z"],
    "award": [384, 512, [], "f559", "M167.3 406.7c-4.188-1.672-8.75 .2969-10.44 4.375l-32.72 79.95C122.3 495.4 118.3 495.9 117.1 496c-1.156 .0469-5.281-.0938-7.5-4.375l-24.16-47.69c-1.625-3.219-5.156-4.969-8.688-4.234l-51.13 10.23c-4.188 .8438-6.812-1.641-7.719-2.719c-.9062-1.109-2.875-4.094-1.281-8.094l31.53-79.36c1.625-4.109-.375-8.75-4.469-10.39c-4-1.531-8.75 .3594-10.41 4.484l-31.53 79.36c-3.25 8.188-1.781 17.48 3.875 24.25c5.656 6.75 14.5 9.914 23.12 8.148l45.19-9.035l21.43 42.27C99.49 507 107.6 512 116.7 512c.3438 0 .6641-.0117 1.008-.0273c9.5-.3906 17.65-6.098 21.24-14.88l32.72-79.95C173.3 413 171.4 408.4 167.3 406.7zM249.9 361.3c6.602 0 13.5 .752 20.06 .752c6.566 0 12.78-.7559 18.01-3.775c13.98-8.088 17.53-30.04 28.88-41.39c11.35-11.35 33.3-14.88 41.39-28.87c7.98-13.79 .1658-34.54 4.373-50.29C366.7 222.5 383.1 208.5 383.1 192c0-16.5-17.27-30.52-21.34-45.73c-4.207-15.75 3.612-36.5-4.365-50.29c-8.086-13.98-30.03-17.52-41.38-28.87c-11.35-11.35-14.89-33.3-28.87-41.39c-5.227-3.025-11.46-3.785-18.03-3.785c-6.547 0-13.43 .748-20.03 .748c-4.258 0-8.391-.3125-12.23-1.338C222.5 17.27 208.5 0 192 0C175.5 0 161.5 17.27 146.3 21.34c-3.832 1.023-7.957 1.336-12.21 1.336c-6.602 0-13.5-.752-20.06-.752c-6.57 0-12.8 .7602-18.01 3.782C82 33.79 78.46 55.74 67.11 67.08C55.77 78.43 33.81 81.97 25.72 95.95C17.74 109.7 25.56 130.5 21.35 146.2C17.27 161.5 .0008 175.5 .0008 192c0 16.5 17.27 30.52 21.34 45.73c4.207 15.75-3.615 36.5 4.361 50.29C33.8 302 55.74 305.5 67.08 316.9c11.35 11.35 14.89 33.3 28.88 41.4c5.227 3.023 11.45 3.777 18.03 3.777c6.543 0 13.43-.7461 20.03-.7461c4.258 0 8.391 .3105 12.23 1.338C161.5 366.7 175.5 384 192 384c16.5 0 30.52-17.27 45.74-21.34C241.6 361.6 245.7 361.3 249.9 361.3zM209.9 359.3C203.4 363.6 196.7 368 192 368c-4.695 0-11.41-4.42-17.9-8.693c-6.914-4.551-14.75-9.707-23.73-12.11c-4.797-1.283-9.996-1.881-16.36-1.881c-3.594 0-7.27 .1953-10.94 .3984c-3.059 .1699-6.113 .3477-9.09 .3477c-4.844 0-8.121-.5313-10.01-1.625c-3.828-2.217-7.387-9.299-10.83-16.15c-3.77-7.504-8.039-16.01-14.75-22.71C71.7 298.9 63.19 294.6 55.69 290.8C48.84 287.4 41.76 283.8 39.54 280C37.41 276.3 37.85 268.5 38.27 260.9C38.74 252.5 39.28 242.9 36.8 233.6c-2.398-8.979-7.555-16.81-12.11-23.72C20.42 203.4 16 196.7 16 192c0-4.697 4.422-11.41 8.695-17.91c4.551-6.91 9.707-14.74 12.11-23.72c2.48-9.277 1.949-18.84 1.48-27.29C37.86 115.5 37.43 107.7 39.57 103.1c2.219-3.83 9.297-7.387 16.14-10.83C63.21 89.37 71.72 85.1 78.43 78.4c6.707-6.705 10.98-15.21 14.75-22.71C96.61 48.84 100.2 41.76 104 39.54c1.891-1.092 5.16-1.623 9.996-1.623c2.98 0 6.039 .1797 9.102 .3496C126.8 38.47 130.5 38.67 134.1 38.67c6.359 0 11.55-.5977 16.34-1.879c8.98-2.398 16.81-7.555 23.72-12.11C180.6 20.42 187.3 16 192 16c4.699 0 11.41 4.42 17.91 8.695c6.91 4.549 14.75 9.705 23.72 12.11c4.797 1.283 9.996 1.881 16.36 1.881c3.594 0 7.266-.1953 10.93-.4004c3.059-.1699 6.113-.3477 9.094-.3477c4.844 0 8.121 .5332 10.01 1.625c3.828 2.219 7.387 9.299 10.83 16.15c3.77 7.504 8.039 16.01 14.75 22.71c6.703 6.707 15.21 10.98 22.71 14.75c6.844 3.441 13.93 6.998 16.14 10.83c2.133 3.689 1.695 11.52 1.273 19.1c-.4687 8.443-1.004 18.01 1.477 27.3c2.398 8.975 7.555 16.8 12.1 23.71C363.6 180.6 368 187.3 368 192c0 4.697-4.422 11.41-8.695 17.91c-4.547 6.91-9.703 14.74-12.11 23.72c-2.48 9.279-1.949 18.85-1.48 27.29c.4219 7.578 .8594 15.42-1.277 19.11c-2.219 3.832-9.301 7.391-16.15 10.83c-7.504 3.768-16.01 8.039-22.72 14.75c-6.699 6.701-10.97 15.2-14.74 22.7c-3.441 6.85-7 13.93-10.83 16.15c-1.891 1.092-5.16 1.625-9.996 1.625c-2.98 0-6.039-.1797-9.102-.3516c-3.676-.2031-7.359-.4004-10.96-.4004c-6.355 0-11.55 .5957-16.34 1.877C224.6 349.6 216.8 354.8 209.9 359.3zM279.1 192c0-48.7-39.39-88-87.1-88S104 143.3 104 192c0 48.58 39.39 88 87.1 88S279.1 240.6 279.1 192zM192 264C152.3 264 120 231.7 120 192S152.3 120 192 120S264 152.3 264 192S231.7 264 192 264zM350.8 353.9c-1.625-4.125-6.375-6.078-10.41-4.484c-4.094 1.641-6.094 6.281-4.469 10.39l31.53 79.34c1.594 4-.375 6.984-1.281 8.094c-.9062 1.078-3.562 3.562-7.719 2.719l-51.13-10.23c-3.438-.7344-7.062 1.016-8.688 4.234l-24.16 47.67C272.2 495.9 268.1 496 266.9 496c-1.188-.0625-5.25-.5625-7.062-4.969l-32.72-79.95c-1.719-4.078-6.344-6.062-10.44-4.375c-4.094 1.672-6.031 6.344-4.375 10.44l32.72 79.95c3.594 8.781 11.74 14.49 21.24 14.88C266.6 511.1 266.1 512 267.3 512c9.094 0 17.2-4.957 21.35-13.14l21.43-42.28l45.19 9.035c8.562 1.688 17.47-1.414 23.12-8.148c5.656-6.766 7.125-16.06 3.875-24.25L350.8 353.9z"],
    "award-simple": [384, 512, [], "e0ab", "M192 104C143.4 104 104 143.3 104 192c0 48.58 39.39 88 87.1 88S279.1 240.6 279.1 192C279.1 143.3 240.6 104 192 104zM192 264C152.3 264 120 231.7 120 192S152.3 120 192 120S264 152.3 264 192S231.7 264 192 264zM384 192c0-16.5-17.27-30.52-21.34-45.73c-4.207-15.75 3.607-36.5-4.369-50.29c-8.086-13.98-30.03-17.52-41.37-28.87c-11.35-11.35-14.89-33.29-28.87-41.39c-5.227-3.025-11.46-3.788-18.04-3.788c-6.547 0-13.43 .748-20.03 .748c-4.258 0-8.39-.3125-12.23-1.338C222.5 17.27 208.5 0 192 0C175.5 0 161.5 17.27 146.3 21.34c-3.832 1.023-7.957 1.336-12.21 1.336c-6.602 0-13.5-.752-20.06-.752c-6.57 0-12.8 .7643-18.02 3.786C81.1 33.79 78.46 55.74 67.11 67.08c-11.35 11.35-33.3 14.88-41.39 28.87C17.74 109.7 25.55 130.5 21.35 146.2C17.27 161.5 0 175.5 0 192c0 16.5 17.27 30.52 21.34 45.73c4.207 15.75-3.611 36.5 4.365 50.29C33.8 302 55.74 305.5 67.08 316.9c11.35 11.35 14.88 33.29 28.86 41.39c5.227 3.023 11.47 3.788 18.04 3.788c6.543 0 13.43-.7461 20.03-.7461c4.258 0 8.39 .3105 12.23 1.338C161.5 366.7 175.5 384 192 384c16.5 0 30.52-17.27 45.74-21.34c3.832-1.025 7.96-1.336 12.21-1.336c6.602 0 13.5 .752 20.06 .752c6.566 0 12.79-.7643 18.02-3.784c13.98-8.088 17.52-30.03 28.87-41.38c11.35-11.35 33.29-14.88 41.39-28.86c7.98-13.79 .1699-34.54 4.377-50.29C366.7 222.5 384 208.5 384 192zM359.3 209.9c-4.547 6.91-9.703 14.74-12.11 23.72c-2.48 9.279-1.949 18.85-1.48 27.29c.4219 7.578 .8594 15.42-1.277 19.11c-2.219 3.832-9.301 7.391-16.15 10.83c-7.504 3.768-16.01 8.039-22.72 14.75c-6.699 6.701-10.97 15.2-14.74 22.7c-3.441 6.85-7 13.93-10.83 16.15c-1.891 1.092-5.16 1.625-9.996 1.625c-2.98 0-6.039-.1797-9.102-.3516c-3.676-.2031-7.359-.4004-10.96-.4004c-6.355 0-11.55 .5957-16.34 1.877c-8.977 2.398-16.81 7.557-23.72 12.11C203.4 363.6 196.7 368 192 368c-4.695 0-11.41-4.42-17.9-8.693c-6.914-4.551-14.75-9.707-23.73-12.11c-4.797-1.283-9.996-1.881-16.36-1.881c-3.594 0-7.27 .1953-10.94 .3984c-3.059 .1699-6.113 .3477-9.09 .3477c-4.844 0-8.121-.5313-10.01-1.625c-3.828-2.217-7.387-9.299-10.83-16.15c-3.77-7.504-8.039-16.01-14.75-22.71C71.7 298.9 63.19 294.6 55.69 290.8C48.84 287.4 41.76 283.8 39.54 280C37.41 276.3 37.85 268.5 38.27 260.9C38.74 252.5 39.28 242.9 36.8 233.6c-2.398-8.979-7.555-16.81-12.11-23.72C20.42 203.4 16 196.7 16 192c0-4.697 4.422-11.41 8.695-17.91c4.551-6.91 9.707-14.74 12.11-23.72c2.48-9.277 1.949-18.84 1.48-27.29C37.86 115.5 37.43 107.7 39.57 103.1c2.219-3.83 9.297-7.387 16.14-10.83C63.21 89.37 71.72 85.1 78.43 78.4c6.707-6.705 10.98-15.21 14.75-22.71C96.61 48.84 100.2 41.76 104 39.54c1.891-1.092 5.16-1.623 9.996-1.623c2.98 0 6.039 .1797 9.102 .3496C126.8 38.47 130.5 38.67 134.1 38.67c6.359 0 11.55-.5977 16.34-1.879c8.98-2.398 16.81-7.555 23.72-12.11C180.6 20.42 187.3 16 192 16c4.699 0 11.41 4.42 17.91 8.695c6.91 4.549 14.75 9.705 23.72 12.11c4.797 1.283 9.996 1.881 16.36 1.881c3.594 0 7.266-.1953 10.93-.4004c3.059-.1699 6.113-.3477 9.094-.3477c4.844 0 8.121 .5332 10.01 1.625c3.828 2.219 7.387 9.299 10.83 16.15c3.77 7.504 8.039 16.01 14.75 22.71c6.703 6.707 15.21 10.98 22.71 14.75c6.844 3.441 13.93 6.998 16.14 10.83c2.133 3.689 1.695 11.52 1.273 19.1c-.4687 8.443-1.004 18.01 1.477 27.3c2.398 8.975 7.555 16.8 12.1 23.71C363.6 180.6 368 187.3 368 192C368 196.7 363.6 203.4 359.3 209.9zM286.4 384.2c-4.312 .875-7.125 5.094-6.25 9.422l21 102.6l-105.4-55.23c-2.312-1.219-5.125-1.219-7.438 0L83.22 495.9l20.62-102.3c.875-4.328-1.938-8.547-6.25-9.422c-4.531-.9375-8.562 1.953-9.438 6.266l-20.59 102.2c-1.281 5.984 .9062 12.08 5.688 15.88c4.719 3.781 11.09 4.516 17.03 1.812L192 457l102 53.45C296.2 511.5 298.5 512 300.8 512c3.531 0 7-1.188 9.906-3.484c4.781-3.797 6.969-9.891 5.719-15.78l-20.62-102.3C294.9 386.1 290.8 383.3 286.4 384.2z"],
    "axe": [640, 512, [129683], "f6b2", "M294.8 273.8l-215.2 215.2C75.04 493.5 69.03 496 62.62 496c0 0 .0313 0 0 0c-6.406 0-12.45-2.5-16.99-7.031l-22.63-22.62c-9.375-9.359-9.375-24.59 0-33.95l215.2-215.2c3.125-3.125 3.125-8.188 0-11.31c-3.125-3.125-8.188-3.125-11.31 0l-215.2 215.2c-15.59 15.59-15.59 40.98 0 56.58l22.63 22.62C41.88 507.8 51.93 512 62.62 512c.0313 0 0 0 0 0c10.69 0 20.74-4.172 28.27-11.72l215.2-215.2c3.125-3.125 3.125-8.188 0-11.31C302.1 270.7 297.9 270.7 294.8 273.8zM525.7 160l-52.94-52.94l29.82-29.82c12.5-12.5 12.5-32.76-.0001-45.26l-22.62-22.62C473.8 3.125 465.6 0 457.4 0c-8.188 0-16.38 3.125-22.63 9.374l-29.82 29.82l-29.81-29.81c-6.25-6.25-14.44-9.375-22.63-9.375s-16.37 3.125-22.63 9.375L233.4 105.9C220.9 118.4 220.9 138.6 233.4 151.1l150.6 150.6L383.1 400c0 8.837 7.164 16 16 16l16.01 .0032C539.7 416 640 315.7 640 192V176C640 167.2 632.8 160 623.1 160L525.7 160zM446.1 20.69C449.1 17.66 453.1 16 457.4 16c4.277 0 8.293 1.664 11.32 4.686l22.62 22.62c6.238 6.238 6.238 16.39 0 22.63l-29.82 29.82L416.2 50.5L446.1 20.69zM623.1 192c0 114.7-93.31 208-208 208h-16V295.1L244.7 139.8C241.7 136.8 239.1 132.8 239.1 128.5s1.664-8.289 4.684-11.31l96.5-96.48C344.2 17.66 348.2 16 352.5 16c4.27 0 8.289 1.664 11.31 4.688L519.1 176h104.9V192zM440.1 350.4c.7813 3.797 4.125 6.406 7.844 6.406c.5313 0 1.063-.0469 1.594-.1562c66.13-13.48 117.6-64.92 131-131c.875-4.328-1.906-8.547-6.25-9.438c-4.25-.9062-8.563 1.922-9.438 6.25c-12.19 59.81-58.72 106.3-118.5 118.5C442.1 341.8 439.3 346.1 440.1 350.4z"],
    "axe-battle": [512, 512, [], "f6b3", "M87.31 16.19C89.34 16.75 91.88 18.78 92.78 22.81c11.44 50.15 45.5 89.59 88.87 102.9c4.219 1.406 8.688-1.047 10-5.297c1.281-4.219-1.094-8.687-5.312-9.984C148.4 98.79 118.6 63.84 108.4 19.23C106.3 10.09 99.81 2.999 91.5 .7493c-7.75-2.109-15.56 .3125-21.25 6.281C25.59 54.23 0 121.6 0 192s25.59 137.8 70.25 184.1c4.312 4.578 9.938 7.031 15.75 7.031c1.813 0 3.657-.2343 5.501-.7343c8.312-2.25 14.78-9.343 16.91-18.5c10.16-44.59 40.03-79.54 77.93-91.2c4.219-1.297 6.594-5.765 5.312-9.984c-1.312-4.234-5.781-6.594-10-5.297c-43.37 13.33-77.43 52.76-88.84 102.9c-.9375 4.047-3.469 6.078-5.5 6.64c-1.875 .4687-3.812-.1094-5.438-1.844C40 321.7 16 258.3 16 192s24-129.7 65.88-173.1C83.5 16.28 85.44 15.73 87.31 16.19zM512 166.8L511.4 161.3c-6.324-59.45-30.79-114.3-68.9-154.3c-5.703-5.1-13.77-8.373-21.47-6.219c-8.32 2.297-14.77 9.359-16.86 18.45c-10.28 44.57-40.36 79.53-78.56 91.2c-4.207 1.297-6.578 5.765-5.297 9.984c1.309 4.25 5.828 6.64 9.969 5.328c43.63-13.34 77.88-52.78 89.41-102.9c.9297-3.1 3.488-6.047 5.547-6.609c1.461-.4219 3.582-.4062 5.734 1.828c34.53 36.33 57.12 85.71 63.91 139.6L428.8 192l66.13 34.39c-6.793 53.86-29.39 103.2-63.91 139.6c-2.121 2.234-4.242 2.25-5.734 1.844c-2.059-.5625-4.617-2.609-5.547-6.607C408.2 311.1 373.9 271.6 330.3 258.3c-4.141-1.281-8.66 1.109-9.969 5.328c-1.281 4.219 1.09 8.685 5.297 9.982c38.21 11.67 68.28 46.62 78.56 91.2c2.09 9.093 8.539 16.16 16.86 18.45c1.871 .5156 3.922 .7637 5.789 .7637c5.828 0 11.35-2.436 15.68-6.998c38.11-40.06 62.58-94.87 68.9-154.3L512 217.3L463.4 192L512 166.8zM256 32c-17.67 0-32 14.33-32 32v431.1C224 504.8 231.2 512 240 512h32c8.836 0 16-7.164 16-15.1V64C288 46.33 273.7 32 256 32zM272 496h-32V64.01c0-8.822 7.176-15.1 16-15.1s16 7.178 16 15.1V496z"],
    "b": [320, 512, [98], "42", "M236.1 246.4C276.4 229.1 304 189.7 304 144C304 82.25 253.8 32 192 32H8C3.578 32 0 35.58 0 40v432C0 476.4 3.578 480 8 480h192c66.17 0 120-53.83 120-120C320 306.8 284.1 262.1 236.1 246.4zM16 48H192c52.94 0 96 43.06 96 96s-43.06 96-96 96H16V48zM200 464H16V256h184c57.34 0 104 46.66 104 104S257.3 464 200 464z"],
    "baby": [448, 512, [], "f77c", "M224 159.1c44.25 0 79.99-35.75 79.99-79.1S268.3 0 224 0C179.8 0 144 35.75 144 79.1S179.8 159.1 224 159.1zM223.1 16c35.29 0 64 28.71 64 64s-28.71 64-64 64c-35.29 0-64.01-28.71-64.01-64S188.7 16 223.1 16zM320 304l.0272-53.71c13.25-5.867 26.22-12.48 38.34-21.04l40.63-28.5C417.1 188 421.4 163.1 408.7 145C400.9 133.9 388.6 128 376 128c-7.953 0-15.98 2.357-23.01 7.25l-40.63 28.5c-26.32 18.5-57.35 27.75-88.38 27.75c-31.04 0-62.07-9.25-88.38-27.75l-40.63-28.5c-7-4.875-15.01-7.215-22.93-7.215c-12.6 0-24.99 5.914-32.82 16.96C26.59 163.1 30.96 188 48.97 200.8l40.63 28.5C101.7 237.7 114.7 244.3 128 250.2L128 295.1c0 .0098 0-.0098 0 0L128 332.4l-51.46 51.27c-15.04 14.92-16.76 38.91-4.031 55.8l41.8 55.48C122.5 505.8 135 512 148.7 512c9.316 0 18.14-2.953 25.61-8.531c9.195-6.828 15.14-16.83 16.76-28.12c1.598-11.3-1.312-22.53-8.16-31.64l-19.14-25.38L194.9 392h58.17l31.18 26.33l-19.1 25.38c-6.875 9.109-9.781 20.34-8.188 31.64c1.625 11.3 7.562 21.3 16.75 28.12C281.2 509 290 512 299.3 512c13.63 0 26.18-6.219 34.37-17.06l41.77-55.48c12.75-16.89 11.03-40.88-3.973-55.8L320 332.4V304zM141.9 415.9l28.23 37.47c4.281 5.703 6.098 12.7 5.098 19.75c-1.004 7.047-4.723 13.3-10.48 17.58c-11.6 8.672-29.02 6.047-37.58-5.344l-41.84-55.48c-7.945-10.55-6.883-25.52 2.531-34.83l46.47-46.26l46.11 34.59L141.9 415.9zM250.7 376H197.3L144 336v-32h160v32L250.7 376zM360.2 395c9.379 9.312 10.44 24.28 2.5 34.83L320.9 485.3c-8.535 11.39-25.98 14.02-37.57 5.328c-5.75-4.266-9.473-10.52-10.47-17.56s.8125-14.05 5.129-19.75l28.2-37.47l-38.55-32.54l46.11-34.59L360.2 395zM313.5 235.7l-9.523 4.217V288H144V239.8L134.5 235.6C119.8 229.1 108.5 222.9 98.78 216.2L58.22 187.7c-10.8-7.646-13.43-22.7-5.945-33.45c4.531-6.395 11.92-10.21 19.77-10.21c4.938 0 9.703 1.502 13.74 4.312l40.62 28.49C154.9 196.9 188.7 207.5 223.1 207.5c35.3 0 69.05-10.6 97.57-30.65l40.59-28.47C366.3 145.5 371 144 376 144c7.816 0 15.16 3.814 19.61 10.14c7.586 10.89 4.973 25.92-5.805 33.51l-40.67 28.53C339.5 222.1 328.2 229.2 313.5 235.7z"],
    "baby-carriage": [512, 512, ["carriage-baby"], "f77d", "M130.1 35.47C123.1 25.37 110.3 22.65 101.4 28.82C51.59 63.19 18.4 119.8 16.14 184.3C15.98 188.7 12.28 192.2 7.86 191.1C3.444 191.8-.0096 188.1 .1453 183.7C2.593 113.1 38.51 52.78 92.28 15.65C109.6 3.671 132 10.2 143.2 26.36L249.3 179.4C251.8 183.1 250.9 188.1 247.2 190.6C243.6 193.1 238.6 192.2 236.1 188.6L130.1 35.47zM128 464C128 490.5 106.5 512 80 512C53.49 512 32 490.5 32 464C32 437.5 53.49 416 80 416C106.5 416 128 437.5 128 464zM80 432C62.33 432 48 446.3 48 464C48 481.7 62.33 496 80 496C97.67 496 112 481.7 112 464C112 446.3 97.67 432 80 432zM416 464C416 490.5 394.5 512 368 512C341.5 512 320 490.5 320 464C320 437.5 341.5 416 368 416C394.5 416 416 437.5 416 464zM368 432C350.3 432 336 446.3 336 464C336 481.7 350.3 496 368 496C385.7 496 400 481.7 400 464C400 446.3 385.7 432 368 432zM448 232C448 232.6 447.9 233.1 447.8 233.7C425.4 337.9 333.8 416 224 416C114.2 416 22.63 337.9 .1795 233.7C-.3296 231.3 .257 228.9 1.776 226.1C3.294 225.1 5.582 224 8 224H432V144C432 126.3 446.3 112 464 112H504C508.4 112 512 115.6 512 120C512 124.4 508.4 128 504 128H464C455.2 128 448 135.2 448 144V232zM224 400C322.5 400 405.5 332.2 429.9 240H18.14C42.49 332.2 125.5 400 224 400H224z"],
    "backpack": [448, 512, [127890], "f5d4", "M320 80h-16V40C304 17.94 286.1 0 264 0h-80C161.9 0 144 17.94 144 40V80H128c-70.69 0-128 57.31-128 128V448c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V208C448 137.3 390.7 80 320 80zM160 40C160 26.77 170.8 16 184 16h80C277.2 16 288 26.77 288 40V80H160V40zM352 496H96v-104h256V496zM352 376H96V352c0-26.47 21.53-48 48-48h160c26.47 0 48 21.53 48 48V376zM432 448c0 26.47-21.53 48-48 48h-16V352c0-35.35-28.65-64-64-64h-160c-35.35 0-64 28.65-64 64v144H64c-26.47 0-48-21.53-48-48V208C16 146.2 66.24 96 128 96h192c61.76 0 112 50.24 112 112V448zM312 184h-176C131.6 184 128 187.6 128 192s3.578 8 8 8h176C316.4 200 320 196.4 320 192S316.4 184 312 184z"],
    "backward": [512, 512, [9194], "f04a", "M223.8 64c-7.002 0-14.15 2.305-20.29 7.406L11.44 231.4c-15.25 12.87-15.25 36.37 0 49.24l192 159.1C209.6 445.7 216.8 448 223.8 448c16.5 0 32.22-12.81 32.22-32.03v-319.9C255.1 76.81 240.3 64 223.8 64zM239.1 415.1C239.1 426 231.7 432 223.8 432c-3.709 0-7.098-1.25-10.05-3.699l-191.1-159.9C18.05 265.3 16 260.9 16 256c0-4.859 2.045-9.26 5.68-12.33L213.7 83.72c2.971-2.467 6.36-3.717 10.07-3.717c7.973 0 16.22 5.994 16.22 16.03V415.1zM479.8 64c-7.002 0-14.14 2.305-20.29 7.406l-152.6 127.1c-1.824 1.52-2.879 3.771-2.879 6.146c0 6.781 7.911 10.49 13.12 6.148l152.6-127.1c2.971-2.467 6.36-3.717 10.07-3.717c7.973 0 16.22 5.994 16.22 16.03v319.9c0 10.03-8.245 16.03-16.22 16.03c-3.709 0-7.098-1.25-10.05-3.699l-152.6-127.1c-5.211-4.34-13.12-.6348-13.12 6.146c0 2.375 1.055 4.627 2.879 6.146l152.6 127.1c6.145 5.1 13.4 7.398 20.4 7.398C496.4 447.1 512 435.2 512 415.1V96.03C512 76.81 496.3 64 479.8 64z"],
    "backward-fast": [512, 512, [9198, "fast-backward"], "f049", "M8 447.1c4.422 0 8-3.594 8-7.1V71.1C16 67.59 12.42 64 8 64S0 67.59 0 71.1V439.1C0 444.4 3.578 447.1 8 447.1zM241.6 438.1c11.31 9.594 26.69 11.72 40.19 5.437c13.7-6.344 22.22-19.78 22.22-35.12v-306.6c0-15.34-8.516-28.78-22.22-35.12C276.7 65.16 271.2 64 265.9 64C257.2 64 248.6 67.06 241.6 72.1L61.5 226.3c-8.562 7.406-13.48 18.22-13.48 29.66s4.922 22.25 13.53 29.69L241.6 438.1zM71.92 238.5l180-153.3c6.594-5.594 15.2-6.812 23.11-3.125c8.109 3.75 12.94 11.47 12.94 20.62v306.6c0 9.156-4.828 16.87-12.94 20.62c-3.031 1.406-6.172 2.094-9.266 2.094c-4.953 0-9.781-1.781-13.84-5.219l-180-153.3C66.91 269.2 64.02 262.8 64.02 255.1C64.02 249.2 66.91 242.8 71.92 238.5zM483.1 429.9c-7.859 3.656-16.48 2.469-23.11-3.125l-118.8-101.1c-3.344-2.844-8.422-2.437-11.28 .9062c-2.859 3.375-2.453 8.406 .9062 11.28l118.8 101.1c11.31 9.594 26.72 11.72 40.19 5.437C503.5 438.1 512 424.6 512 409.3v-306.6c0-15.34-8.516-28.78-22.22-35.12C484.6 65.16 479.2 64 473.8 64c-8.703 0-17.27 3.062-24.27 8.1l-118.8 101.1c-3.359 2.875-3.766 7.906-.9062 11.28c2.859 3.344 7.938 3.75 11.28 .9062l118.8-101.1c6.594-5.594 15.23-6.812 23.12-3.125C491.2 85.81 496 93.53 496 102.7v306.6C496 418.5 491.2 426.2 483.1 429.9z"],
    "backward-step": [320, 512, ["step-backward"], "f048", "M8 64C3.594 64 0 67.59 0 72v368C0 444.4 3.594 448 8 448s8-3.594 8-8V72C16 67.59 12.41 64 8 64zM287.8 64c-7.002 0-14.16 2.305-20.31 7.406l-192 159.1c-15.25 12.87-15.25 36.37 0 49.24l192 159.1C273.6 445.7 280.8 448 287.8 448c16.5 0 32.2-12.81 32.2-32.03v-319.9C319.1 76.81 304.3 64 287.8 64zM303.1 415.1c0 10.03-8.245 16.01-16.22 16.01c-3.709 0-7.098-1.25-10.05-3.699L85.78 268.4C82.06 265.3 80.02 260.9 80.02 256c0-4.859 2.045-9.26 5.68-12.33l192-159.1C280.7 81.25 284.1 80 287.8 80c7.973 0 16.22 5.98 16.22 16.01V415.1z"],
    "bacon": [576, 512, [129363], "f7e5", "M564.7 99.68l-77.83-86.8c-11.27-12.6-28.83-16.33-43.69-9.518l-92.75 42.99C299.3 70.05 257.1 110.4 228.3 162.1L207.7 200.7C180.6 250.3 140.9 288.2 92.94 310.5l-68.88 31.94c-11.86 5.486-20.28 16.52-23.09 30.23c-2.938 14.35 .9062 29.18 10.31 39.65l77.83 86.8C96.64 507.5 106.1 512 117.5 512c5.188 0 10.41-1.109 15.33-3.375l92.75-42.99c51.13-23.69 93.34-64.03 122.1-116.6l20.66-37.76c27.11-49.56 66.8-87.5 114.8-109.8l68.88-31.94c11.86-5.486 20.28-16.52 23.09-30.23C577.1 124.1 574.1 110.1 564.7 99.68zM16.64 375.9c1.797-8.689 6.938-15.6 14.14-18.94l68.88-31.93c51.09-23.71 93.31-64.01 122.1-116.6l20.66-37.76c27.11-49.57 66.81-87.53 114.8-109.8l92.75-42.99c8.578-3.985 18.41-1.75 25.06 5.673l39.18 43.69l-102.5 47.54c-51.09 23.69-93.3 63.1-122.1 116.6L268.9 269.2c-27.11 49.57-66.8 87.53-114.8 109.8l-106.9 49.53l-24.06-26.84C17.15 394.9 14.72 385.3 16.64 375.9zM545.2 155l-68.88 31.93c-51.09 23.71-93.31 64.01-122.1 116.6l-20.66 37.76c-27.11 49.57-66.81 87.53-114.8 109.8l-92.75 42.99c-8.547 3.985-18.41 1.75-25.06-5.673l-42.59-47.5l102.4-47.46c51.14-23.71 93.36-64.03 122.1-116.6l20.66-37.76c27.11-49.57 66.8-87.52 114.8-109.8l106.1-49.62l27.49 30.66c6.031 6.72 8.469 16.33 6.547 25.74C557.6 144.8 552.4 151.7 545.2 155z"],
    "bacteria": [640, 512, [], "e059", "M128 191.1c-17.67 0-32 14.33-32 32C96 241.7 110.3 256 128 256s32-14.33 32-32C160 206.3 145.7 191.1 128 191.1zM127.1 239.1c-8.822 0-16-7.177-16-15.1S119.2 208 128 208S144 215.2 144 224S136.8 239.1 127.1 239.1zM208 120c-13.22 0-24 10.77-24 24S194.8 168 208 168S232 157.2 232 144S221.2 120 208 120zM208 152c-4.406 0-8-3.594-8-8S203.6 136 208 136S216 139.6 216 144S212.4 152 208 152zM632.7 250.7L607.4 248.5c.0684-.7988 .2266-1.568 .2891-2.369c1.9-24.97-7.984-47.7-24.63-63.64L595.3 166c2.664-3.532 1.912-8.547-1.631-11.19c-3.543-2.594-8.557-1.891-11.22 1.656l-12.07 16.18c-10.73-6.762-23.03-11.38-36.6-12.41c-12.54-.9629-24.49 1.266-35.44 5.578l-8.672-20.55c-1.691-4.078-6.457-5.953-10.5-4.281c-4.107 1.719-6.02 6.406-4.295 10.47l9.174 21.74c-16.34 10.61-28.7 26.84-33.87 46.39L424.4 216.1c-4.578-.7031-8.434 2.484-9.061 6.844c-.5957 4.375 2.477 8.406 6.865 9l25.14 3.408c-2.264 24.31-13.62 45.57-30.61 60.86l-16.14-20.75c-2.727-3.5-7.773-4.109-11.25-1.422c-3.51 2.719-4.137 7.734-1.41 11.23l16.02 20.59c-12.61 7.912-27.13 13.16-42.99 14.38c-5.398 .4121-10.61 1.379-15.63 2.785l-11.31-24.66c-1.848-4.029-6.738-5.764-10.62-3.951C319.4 296.3 317.6 301 319.5 305l10.99 23.95c-21.14 10.88-36.54 30.73-41.61 54.18L264.8 380.7c-4.262-.4062-8.338 2.734-8.807 7.125c-.4395 4.391 2.758 8.328 7.146 8.781l23.81 2.471c-.0039 .2949-.082 .5703-.082 .8652c0 2.076 .0781 4.15 .2363 6.227c1.734 22.48 12.69 41.97 28.81 55.32l-15.16 20.35c-2.633 3.545-1.881 8.561 1.662 11.19c3.523 2.598 8.541 1.949 11.25-1.656l15.62-20.96c13.05 6.986 28.12 10.6 43.99 9.383c7.223-.5527 14.32-1.475 21.35-2.598l5.029 28.23c.2441 1.379 2.496 7.617 9.309 6.484c4.357-.7656 7.273-4.922 6.49-9.281l-5.096-28.61c21.16-4.742 41.23-12.03 59.95-21.56l14.26 25.88c1.01 1.846 5.355 6.189 10.88 3.156c3.889-2.125 5.299-7 3.166-10.88l-14.21-25.78c18.43-10.91 35.36-23.99 50.33-39.04l21.52 19.52c3.5 3.168 8.584 2.494 11.32-.5313c2.979-3.264 2.758-8.326-.5332-11.31l-21.46-19.48c14.02-15.99 25.97-33.79 35.62-53.03l25.69 11.11c4.158 1.758 8.816-.1562 10.56-4.156c1.754-4.062-.0957-8.766-4.17-10.53l-25.37-10.98c8.275-19.5 14.24-40.24 17.48-61.98c0 0 26.33 2.229 26.55 2.229c4.139 0 7.648-3.156 7.994-7.328C640.3 254.9 637.1 251 632.7 250.7zM372.1 463.8c-42.3 3.236-69.12-31.94-69.12-63.89c0-33.19 26.03-61.17 59.28-63.71c54.56-4.207 97.21-46.73 101.4-101.1c1.865-24.12 23.91-62.32 68.94-58.89c35.25 2.688 61.75 33.52 59.08 68.71C582.6 362.7 490.2 454.7 372.1 463.8zM236 206.1c12.61-7.912 27.13-13.16 42.99-14.38c5.398-.4121 10.61-1.379 15.63-2.785l11.31 24.66c1.848 4.029 6.738 5.764 10.62 3.951c4.045-1.844 5.83-6.592 3.982-10.61L309.6 183c21.14-10.88 36.54-30.73 41.61-54.18l23.99 2.488c4.262 .4062 8.338-2.734 8.807-7.125c.4395-4.391-2.758-8.328-7.146-8.781l-23.81-2.471c.0039-.2949 .082-.5703 .082-.8652c0-2.076-.0781-4.15-.2363-6.227c-1.734-22.48-12.69-41.97-28.81-55.32l15.16-20.35c2.633-3.545 1.881-8.561-1.662-11.19c-3.523-2.598-8.541-1.949-11.25 1.656L310.7 41.63C297.6 34.65 282.6 31.03 266.7 32.25C259.5 32.8 252.4 33.72 245.3 34.85L240.3 6.621C240.1 5.242 237.8-.9961 230.1 .1367C226.6 .9023 223.7 5.059 224.5 9.418l5.096 28.61C208.4 42.77 188.4 50.05 169.6 59.59L155.4 33.71C154.4 31.87 150 27.52 144.5 30.56c-3.889 2.125-5.299 7-3.166 10.88l14.21 25.78c-18.43 10.91-35.36 23.99-50.33 39.04L83.69 86.73c-3.5-3.168-8.584-2.494-11.32 .5313C69.4 90.52 69.62 95.59 72.91 98.57l21.46 19.48C80.36 134 68.4 151.8 58.76 171.1l-25.69-11.11C28.91 158.2 24.25 160.1 22.5 164.1C20.75 168.2 22.6 172.9 26.67 174.6l25.37 10.98c-8.275 19.5-14.24 40.24-17.48 61.98c0 0-26.33-2.229-26.55-2.229c-4.139 0-7.648 3.156-7.994 7.328c-.375 4.391 2.885 8.266 7.305 8.641L32.63 263.5C32.56 264.3 32.4 265.1 32.34 265.9c-1.9 24.97 7.984 47.7 24.63 63.64L44.67 346c-2.664 3.531-1.912 8.547 1.631 11.19c3.543 2.594 8.557 1.891 11.22-1.656l12.07-16.18c10.73 6.762 23.03 11.38 36.6 12.41c12.54 .9629 24.49-1.266 35.44-5.578l8.672 20.55c1.691 4.078 6.457 5.953 10.5 4.281c4.107-1.719 6.02-6.406 4.295-10.47l-9.174-21.74c16.34-10.61 28.7-26.84 33.87-46.39L215.6 295.9c4.578 .7031 8.434-2.484 9.061-6.844c.5957-4.375-2.477-8.406-6.865-9L192.6 276.7c2.264-24.31 13.62-45.57 30.61-60.86l16.14 20.75c2.727 3.5 7.773 4.109 11.25 1.422c3.51-2.719 4.137-7.734 1.41-11.23L236 206.1zM176.4 276.9c-1.865 24.12-23.91 62.32-68.94 58.89c-35.25-2.688-61.75-33.52-59.08-68.71c9.084-117.8 101.4-209.8 219.6-218.9c42.3-3.236 69.12 31.94 69.12 63.89c0 33.19-26.03 61.17-59.28 63.71C223.2 180 180.5 222.5 176.4 276.9zM416 352c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32s32-14.33 32-32C448 366.3 433.7 352 416 352zM415.1 400c-8.822 0-16-7.177-16-15.1S407.2 368 416 368s16 7.178 16 16S424.8 400 415.1 400z"],
    "bacterium": [576, 512, [], "e05a", "M537.6 161.4L511.2 156.5c1.404-12.65 .4961-19.99 .4961-21.05c-1.955-25.56-13.09-44.19-13.34-44.59l23.74-14.51c3.701-2.256 4.863-7.088 2.631-10.79c-2.295-3.727-7.158-4.863-10.77-2.623l-23.99 14.66c-16.95-24.14-43.5-35.88-52.85-38.98l8.439-28.5c1.254-4.158-1.133-8.531-5.262-9.773c-4.1-1.182-8.504 1.15-9.729 5.293l-8.596 29.03c-18.18-3.953-33.98-3.223-64.73 2.096l-5.688-29.88c-.7969-4.25-4.895-6.965-9.146-6.244c-4.254 .8145-7.037 4.926-6.211 9.191l5.727 30.09c-21.39 4.664-42.05 11.1-61.75 19.35L267.7 31.21C265.9 27.23 261.3 25.44 257.4 27.22C253.4 28.98 251.6 33.63 253.4 37.59l12.47 28.1C246.2 74.98 227.6 86 210.1 98.59L191.7 74.43C189.1 70.96 184.2 70.29 180.8 72.94c-3.455 2.623-4.098 7.562-1.498 11L197.5 107.9C180.5 121.4 164.9 136.5 150.6 152.8L127.5 133.8C124.2 131.1 119.3 131.6 116.5 134.9C113.7 138.3 114.2 143.2 117.6 145.1l22.87 18.79c-13.49 16.95-25.38 35.22-35.62 54.56L78.93 206.6c-3.887-1.902-8.598-.3066-10.46 3.605c-1.896 3.912-.2754 8.607 3.609 10.51L97.89 233.4C88.63 252.9 80.96 273.4 75.32 294.8L48.37 288.6c-4.16-.9355-8.412 1.674-9.391 5.924C38.03 298.8 40.66 303 44.88 303.1l26.97 6.139c-1.215 5.584-2.594 11.1-3.549 16.79c-1.793 10.68-3.125 21.53-3.971 32.53c-.4355 5.648-.416 11.23-.0234 16.71L38.43 380.8c-4.252 .7813-7.066 4.863-6.303 9.145c.25 1.35 2.336 7.375 9.117 6.32l25.36-4.619c2.422 11.21 6.449 21.88 11.1 31.63c5.893 10.36 13.88 19.19 22.69 27.18l-15.25 19.76c-2.66 3.422-2.049 8.363 1.377 11.02c3.492 2.682 8.4 1.982 10.98-1.412l14.93-19.34c32.38 21.99 62.61 19.28 65.89 19.19l1.832 25.02C181.3 508.9 184.8 512 188.8 512c4.607 0 8.15-3.914 7.801-8.424l-1.857-25.36c23.04-3.914 43.73-14.92 59.83-30.86l20.06 19.31c3.822 3.758 8.893 2.021 11.07-.2305c2.996-3.129 2.875-8.1-.2461-11.09l-20.38-19.61c14.31-18.79 20.76-38.61 22.86-61.09l30.56 3.518c4.484 .459 8.178-2.74 8.656-6.92c.4902-4.311-2.57-8.193-6.883-8.699l-29.73-3.422c4.531-21.3 14.08-40.42 27.41-56.43l20.7 18.9c3.391 3.086 8.348 2.479 11.04-.5215c2.906-3.207 2.691-8.178-.5195-11.11L328.6 291.1c15-14.13 33.29-24.75 53.82-30.57l5.666 27.27c.2793 1.295 2.873 7.586 9.27 6.076c4.252-.875 6.943-5.047 6.088-9.283l-5.637-27.12c3.611-.5781 7.09-1.523 10.8-1.809c19.15-1.475 36.49-8.109 51.59-17.81L477.3 260.2c2.633 3.455 7.586 4.074 10.98 1.441c3.426-2.639 4.068-7.58 1.438-11.02l-16.84-21.97c4.277-3.689 8.506-7.447 12.17-11.73c11-12.84 18.64-28.32 22.96-45.05l26.73 4.967c6.592 1.234 8.902-4.973 9.146-6.291C544.6 166.3 541.9 162.2 537.6 161.4zM407.4 239.7c-72.97 5.607-130 62.65-135.7 135.7C267.9 425.1 225.9 464 176.1 464c-2.506 0-5.012-.0957-7.49-.2813c-25.57-1.969-48.84-13.78-65.53-33.24c-16.68-19.47-24.78-44.27-22.81-69.84c12.92-168.1 144.3-299.4 312.3-312.3c67.96-5.155 100.2 50.67 103.1 88.35C499.8 189.4 460.1 235.7 407.4 239.7zM192 272C165.6 272 144 293.5 144 320s21.55 48 48.01 48s48.01-21.53 48.01-48S218.5 272 192 272zM192 351.1c-17.67 0-31.1-14.33-31.1-31.1c0-17.67 14.33-31.1 31.1-31.1s31.1 14.33 31.1 31.1C223.1 337.7 209.7 351.1 192 351.1zM272 176c-17.64 0-32 14.36-32 32s14.36 32 32 32s32-14.36 32-32S289.6 176 272 176zM272 224C263.2 224 256 216.8 256 208C256 199.2 263.2 192 272 192S288 199.2 288 208C288 216.8 280.8 224 272 224z"],
    "badge": [512, 512, [], "f335", "M169.9 48.16C187.7 19.28 219.6 0 256 0C292.4 0 324.3 19.28 342.1 48.16C375.1 40.3 411.3 49.22 437 74.98C462.8 100.7 471.7 136.9 463.8 169.9C492.7 187.7 512 219.6 512 256C512 292.4 492.7 324.3 463.8 342.1C471.7 375.1 462.8 411.3 437 437C411.3 462.8 375.1 471.7 342.1 463.8C324.3 492.7 292.4 512 256 512C219.6 512 187.7 492.7 169.9 463.8C136.9 471.7 100.7 462.8 74.98 437C49.23 411.3 40.3 375.1 48.16 342.1C19.28 324.3 0 292.4 0 256C0 219.6 19.28 187.7 48.16 169.9C40.3 136.9 49.23 100.7 74.98 74.98C100.7 49.23 136.9 40.3 169.9 48.16H169.9zM256 16C223.4 16 195.1 34.32 180.8 61.25L177.8 67.09L171.4 65.15C142.3 56.2 109.3 63.26 86.29 86.29C63.26 109.3 56.2 142.3 65.15 171.4L67.09 177.8L61.25 180.8C34.32 195.1 16 223.4 16 255.1C16 288.6 34.32 316.9 61.25 331.2L67.09 334.2L65.15 340.6C56.2 369.7 63.26 402.7 86.29 425.7C109.3 448.7 142.3 455.8 171.4 446.9L177.8 444.9L180.8 450.8C195.1 477.7 223.4 496 256 496C288.6 496 316.9 477.7 331.2 450.8L334.2 444.9L340.6 446.9C369.7 455.8 402.7 448.7 425.7 425.7C448.7 402.7 455.8 369.7 446.9 340.6L444.9 334.2L450.8 331.2C477.7 316.9 496 288.6 496 255.1C496 223.4 477.7 195.1 450.8 180.8L444.9 177.8L446.9 171.4C455.8 142.3 448.7 109.3 425.7 86.29C402.7 63.26 369.7 56.2 340.6 65.15L334.2 67.09L331.2 61.25C316.9 34.32 288.6 15.1 255.1 15.1L256 16z"],
    "badge-check": [512, 512, [], "f336", "M229.7 325.7C226.5 328.8 221.5 328.8 218.3 325.7L162.3 269.7C159.2 266.5 159.2 261.5 162.3 258.3C165.5 255.2 170.5 255.2 173.7 258.3L223.1 308.7L338.3 194.3C341.5 191.2 346.5 191.2 349.7 194.3C352.8 197.5 352.8 202.5 349.7 205.7L229.7 325.7zM342.1 48.16C375.1 40.3 411.3 49.22 437 74.98C462.8 100.7 471.7 136.9 463.8 169.9C492.7 187.7 512 219.6 512 256C512 292.4 492.7 324.3 463.8 342.1C471.7 375.1 462.8 411.3 437 437C411.3 462.8 375.1 471.7 342.1 463.8C324.3 492.7 292.4 512 255.1 512C219.6 512 187.7 492.7 169.9 463.8C136.9 471.7 100.7 462.8 74.98 437C49.23 411.3 40.3 375.1 48.16 342.1C19.28 324.3 0 292.4 0 256C0 219.6 19.28 187.7 48.16 169.9C40.3 136.9 49.23 100.7 74.98 74.98C100.7 49.23 136.9 40.3 169.9 48.16C187.7 19.28 219.6 0 256 0C292.4 0 324.3 19.28 342.1 48.16L342.1 48.16zM177.8 67.09L171.4 65.15C142.3 56.2 109.3 63.26 86.29 86.29C63.26 109.3 56.2 142.3 65.15 171.4L67.09 177.8L61.25 180.8C34.32 195.1 16 223.4 16 255.1C16 288.6 34.32 316.9 61.25 331.2L67.09 334.2L65.15 340.6C56.2 369.7 63.26 402.7 86.29 425.7C109.3 448.7 142.3 455.8 171.4 446.9L177.8 444.9L180.8 450.8C195.1 477.7 223.4 496 256 496C288.6 496 316.9 477.7 331.2 450.8L334.2 444.9L340.6 446.9C369.7 455.8 402.7 448.7 425.7 425.7C448.7 402.7 455.8 369.7 446.9 340.6L444.9 334.2L450.8 331.2C477.7 316.9 496 288.6 496 255.1C496 223.4 477.7 195.1 450.8 180.8L444.9 177.7L446.9 171.4C455.8 142.3 448.7 109.3 425.7 86.29C402.7 63.26 369.7 56.2 340.6 65.15L334.2 67.09L331.2 61.25C316.9 34.32 288.6 15.1 256 15.1C223.4 15.1 195.1 34.32 180.8 61.25L177.8 67.09z"],
    "badge-dollar": [512, 512, [], "f645", "M264.9 168.6C267.1 168.8 269.4 169.1 271.7 169.5C277.1 170.3 293.3 173.4 298.9 174.9C303.2 176.1 305.8 180.5 304.6 184.7C303.5 188.1 299.1 191.5 294.8 190.4C289.9 189.1 274.3 186.1 269.3 185.3C253.5 182.8 239.5 184.6 229.4 189.2C219.3 193.8 213.5 200.8 212.1 208.7C211 214.9 211.8 219.4 213.4 222.9C215.1 226.4 218 229.5 222.3 232.4C231.3 238.5 244.2 242.4 259 246.9L259.4 247C273.6 251.3 289.5 256.1 300.1 264.5C306.9 268.8 312 274.2 315.1 281.4C318.2 288.5 319 296.7 317.4 305.1C314.7 321.6 304.5 332.4 290.7 338.4C283 341.6 274.3 343.4 264.9 343.9V362.7C264.9 367.1 261.3 370.7 256.9 370.7C252.5 370.7 248.9 367.1 248.9 362.7V343.4C246.6 343.2 244.3 342.9 242.1 342.5L242 342.5C232.5 340.1 217 335.7 206.6 332.1C204.5 331.4 202.6 330.8 201 330.3C196.8 328.9 194.6 324.3 195.1 320.1C197.4 315.9 201.9 313.7 206.1 315.1C207.1 315.7 210.1 316.4 212.4 317.2C222.1 320.8 236.6 325.4 244.6 326.7C260.5 329.2 274.4 327.9 284.4 323.7C294.1 319.5 300 312.7 301.7 303.3C302.8 296.5 302.1 291.6 300.4 287.7C298.7 283.9 295.8 280.5 291.6 277.4C282.7 270.1 269.7 266.8 254.8 262.3L252.1 261.8C239.4 257.7 224.3 253.1 213.3 245.7C207.4 241.7 202.2 236.5 198.1 229.7C195.7 222.8 194.8 214.9 196.4 206C198.9 191.5 209.2 180.8 222.8 174.7C230.5 171.2 239.3 169.1 248.9 168.4V149.3C248.9 144.9 252.5 141.3 256.9 141.3C261.3 141.3 264.9 144.9 264.9 149.3L264.9 168.6zM342.1 48.16C375.1 40.3 411.3 49.22 437 74.98C462.8 100.7 471.7 136.9 463.8 169.9C492.7 187.7 512 219.6 512 256C512 292.4 492.7 324.3 463.8 342.1C471.7 375.1 462.8 411.3 437 437C411.3 462.8 375.1 471.7 342.1 463.8C324.3 492.7 292.4 512 256 512C219.6 512 187.7 492.7 169.9 463.8C136.9 471.7 100.7 462.8 74.98 437C49.23 411.3 40.3 375.1 48.16 342.1C19.28 324.3 0 292.4 0 256C0 219.6 19.28 187.7 48.16 169.9C40.3 136.9 49.23 100.7 74.98 74.98C100.7 49.23 136.9 40.3 169.9 48.16C187.7 19.28 219.6 0 256 0C292.4 0 324.3 19.28 342.1 48.16H342.1zM177.8 67.09L171.4 65.15C142.3 56.2 109.3 63.26 86.29 86.29C63.26 109.3 56.2 142.3 65.15 171.4L67.09 177.8L61.25 180.8C34.32 195.1 16 223.4 16 255.1C16 288.6 34.32 316.9 61.25 331.2L67.09 334.2L65.15 340.6C56.2 369.7 63.26 402.7 86.29 425.7C109.3 448.7 142.3 455.8 171.4 446.9L177.8 444.9L180.8 450.8C195.1 477.7 223.4 496 256 496C288.6 496 316.9 477.7 331.2 450.8L334.2 444.9L340.6 446.9C369.7 455.8 402.7 448.7 425.7 425.7C448.7 402.7 455.8 369.7 446.9 340.6L444.9 334.2L450.8 331.2C477.7 316.9 496 288.6 496 255.1C496 223.4 477.7 195.1 450.8 180.8L444.9 177.8L446.9 171.4C455.8 142.3 448.7 109.3 425.7 86.29C402.7 63.26 369.7 56.2 340.6 65.15L334.2 67.09L331.2 61.25C316.9 34.32 288.6 15.1 256 15.1C223.4 15.1 195.1 34.32 180.8 61.25L177.8 67.09z"],
    "badge-percent": [512, 512, [], "f646", "M224 192C224 209.7 209.7 224 192 224C174.3 224 160 209.7 160 192C160 174.3 174.3 160 192 160C209.7 160 224 174.3 224 192zM192 176C183.2 176 176 183.2 176 192C176 200.8 183.2 208 192 208C200.8 208 208 200.8 208 192C208 183.2 200.8 176 192 176zM288 320C288 302.3 302.3 288 320 288C337.7 288 352 302.3 352 320C352 337.7 337.7 352 320 352C302.3 352 288 337.7 288 320zM320 336C328.8 336 336 328.8 336 320C336 311.2 328.8 304 320 304C311.2 304 304 311.2 304 320C304 328.8 311.2 336 320 336zM181.7 341.7C178.5 344.8 173.5 344.8 170.3 341.7C167.2 338.5 167.2 333.5 170.3 330.3L330.3 170.3C333.5 167.2 338.5 167.2 341.7 170.3C344.8 173.5 344.8 178.5 341.7 181.7L181.7 341.7zM342.1 48.16C375.1 40.3 411.3 49.22 437 74.98C462.8 100.7 471.7 136.9 463.8 169.9C492.7 187.7 512 219.6 512 256C512 292.4 492.7 324.3 463.8 342.1C471.7 375.1 462.8 411.3 437 437C411.3 462.8 375.1 471.7 342.1 463.8C324.3 492.7 292.4 512 256 512C219.6 512 187.7 492.7 169.9 463.8C136.9 471.7 100.7 462.8 74.98 437C49.23 411.3 40.3 375.1 48.16 342.1C19.28 324.3 0 292.4 0 256C0 219.6 19.28 187.7 48.16 169.9C40.3 136.9 49.23 100.7 74.98 74.98C100.7 49.23 136.9 40.3 169.9 48.16C187.7 19.28 219.6 0 256 0C292.4 0 324.3 19.28 342.1 48.16H342.1zM177.8 67.09L171.4 65.15C142.3 56.2 109.3 63.26 86.29 86.29C63.26 109.3 56.2 142.3 65.15 171.4L67.09 177.8L61.25 180.8C34.32 195.1 16 223.4 16 255.1C16 288.6 34.32 316.9 61.25 331.2L67.09 334.2L65.15 340.6C56.2 369.7 63.26 402.7 86.29 425.7C109.3 448.7 142.3 455.8 171.4 446.9L177.8 444.9L180.8 450.8C195.1 477.7 223.4 496 256 496C288.6 496 316.9 477.7 331.2 450.8L334.2 444.9L340.6 446.9C369.7 455.8 402.7 448.7 425.7 425.7C448.7 402.7 455.8 369.7 446.9 340.6L444.9 334.2L450.8 331.2C477.7 316.9 496 288.6 496 255.1C496 223.4 477.7 195.1 450.8 180.8L444.9 177.8L446.9 171.4C455.8 142.3 448.7 109.3 425.7 86.29C402.7 63.26 369.7 56.2 340.6 65.15L334.2 67.09L331.2 61.25C316.9 34.32 288.6 15.1 256 15.1C223.4 15.1 195.1 34.32 180.8 61.25L177.8 67.09z"],
    "badge-sheriff": [512, 512, [], "f8a2", "M432 304c-4.102 0-8.016 .6699-11.82 1.639L390.4 256l29.78-49.64C423.1 207.3 427.9 208 432 208C458.5 208 480 186.5 480 160s-21.49-48-48-48c-20.87 0-38.45 13.4-45.06 32h-63.74l-35.98-59.81C297.4 75.39 304 62.5 304 48C304 21.49 282.5 0 256 0S208 21.49 208 48c0 14.5 6.679 27.43 16.84 36.23L188.8 144H125.1C118.5 125.4 100.9 112 80 112C53.49 112 32 133.5 32 160s21.49 48 48 48c4.102 0 8.016-.6699 11.82-1.639L121.6 256L91.82 305.6C88.02 304.7 84.1 304 80 304C53.49 304 32 325.5 32 352s21.49 48 48 48c20.87 0 38.45-13.4 45.06-32h63.74l35.98 59.81C214.6 436.6 208 449.5 208 464c0 26.51 21.49 48 48 48s48-21.49 48-48c0-14.5-6.679-27.43-16.84-36.23L323.2 368h63.74c6.611 18.6 24.19 32 45.06 32c26.51 0 48-21.49 48-48S458.5 304 432 304zM432 384c-13.39 0-25.45-8.584-29.99-21.36L398.2 352h-84.09l-47.5 79.16l10.16 8.799C284 446.2 288 454.8 288 464c0 17.64-14.36 32-32 32s-32-14.36-32-32c0-9.25 3.977-17.79 11.2-24.04l10.16-8.799L197.9 352H113.8l-3.783 10.64C105.4 375.4 93.39 384 80 384c-17.64 0-32-14.36-32-32s14.36-32 32-32c2.305 0 4.805 .3633 7.865 1.143l11.54 2.941L140.3 256L99.41 187.9l-11.54 2.943C84.8 191.6 82.3 192 80 192c-17.64 0-32-14.36-32-32s14.36-32 32-32c13.39 0 25.45 8.584 29.99 21.36L113.8 160h84.09l47.5-79.16L235.2 72.04C227.1 65.79 224 57.25 224 48c0-17.64 14.36-32 32-32s32 14.36 32 32c0 9.248-3.977 17.79-11.2 24.04l-10.16 8.801L314.1 160h84.09l3.783-10.64C406.6 136.6 418.6 128 432 128c17.64 0 32 14.36 32 32s-14.36 32-32 32c-2.305 0-4.805-.3633-7.865-1.143l-11.54-2.943L371.7 256l40.85 68.08l11.54-2.941C427.2 320.4 429.7 320 432 320c17.64 0 32 14.36 32 32S449.6 384 432 384zM256 184C216.3 184 184 216.3 184 256s32.3 72 72 72S328 295.7 328 256S295.7 184 256 184zM256 312C225.1 312 200 286.9 200 256S225.1 200 256 200S312 225.1 312 256S286.9 312 256 312z"],
    "badger-honey": [640, 512, [129441], "f6b4", "M622.3 142.5c-66.24-36.15-102.2-78.46-156.8-78.46c-50.6 0-64.74 32-110.5 32H128c-70.69 0-128 57.29-128 128v15.95c0 8.878 7.125 16 16 16h20c2.625 11.25 9.875 46.61 54.13 79.74l-23.75 52.38c-3.125 7.627-3.125 16.13-.125 23.75l21.3 48.91C92.63 472.4 104.2 480 116.9 480h53.86c17.46 0 29.08-18.07 21.84-33.96l-17.34-38.05l33-56.01h73.63l20.55 102.3C305.4 469.2 318.6 480 333.8 480h46.63c20.18 0 35.33-18.46 31.38-38.26l-23.06-115.8c45.01-30.35 92.15-57.28 155.2-74.45v28.46c0 4.423 3.594 8.002 8 8.002s8-3.579 8-8.002V247.9c0-.1876-.1855-.297-.1992-.4806c7.512-1.77 15.04-3.502 23.02-4.989C636.1 238.1 640 178.5 640 175.3C640 161.3 633.1 148.7 622.3 142.5zM111.9 113.6C117.2 112.9 122.5 112 128 112h227c26.17 0 43.92-9.124 59.57-17.17c15.49-7.963 28.86-14.84 50.93-14.84c31.8 0 57.86 17.64 90.86 39.96c11.17 7.559 23.78 15.75 37.12 23.93l-133.5 .0505c-30.19 0-59.07 12.63-89.07 27.11L269.5 232.5C259.4 237.4 248.7 240 237.5 240l-37.55-.0865c-48.53 0-88-39.48-88-88.03V113.6zM581.4 226.5L580.6 226.5l-.8047 .1504c-83.1 15.48-140.1 45.57-200 85.98l-8.828 5.953l25.14 126.2c.9395 4.718-.2715 9.558-3.32 13.28c-3.053 3.72-7.561 5.853-12.37 5.853h-46.63c-7.594 0-14.19-5.406-15.69-12.85l-19.92-99.18h5.723c4.406 0 8-3.579 8-8.002c0-4.423-3.594-8.002-8-8.002h-128c-4.406 0-8 3.579-8 8.002c0 4.423 3.594 8.002 8 8.002h13.76l-32.44 55.07l20.79 45.64c1.576 3.458 .332 6.275-.5508 7.649c-.8828 1.372-2.93 3.673-6.729 3.673H116.9c-6.369 0-12.13-3.775-14.67-9.614l-21.08-48.39c-1.518-3.859-1.502-8.061-.1914-11.29l29.06-64.11l-10.29-7.707c-38.47-28.81-45.34-58.51-48.13-70.6L48.7 239.9H16V224c0-50.55 33.86-92.89 79.92-106.8v34.64c0 57.36 46.66 104 104 104l37.54 .0337c13.66 0 26.8-3.081 39.74-9.443l101.3-61.41c27.59-13.29 54.63-25.16 81.45-25.16l22.41-.0481c-1.418 2.389-2.453 5.023-2.453 8.002c0 8.839 7.219 16.06 16.05 16.06s15.95-7.226 15.95-16.06c0-2.979-1.033-5.613-2.451-8.002h108.2C621.3 163.8 624 168.1 624 175C623.1 175.5 621.9 223.2 581.4 226.5z"],
    "badminton": [640, 512, [], "e33a", "M575.9 149.7c0-34.13-10.2-66.82-31.53-93.61C514.6 18.75 468.9 0 419.5 0c-99.06 0-227.6 87.4-227.6 218.5c0 34.88 10.78 67.13 31.59 93.33l-93.22 75.83l-6.949-8.721c-4.617-5.814-11.47-9.064-18.56-9.064c-5.479 0-10.79 1.711-15.19 5.217l-74.56 59.53C5.158 442.5 0 454.2 0 465.1c0 8.746 2.84 17.55 8.697 24.92l4.812 5.975C14.02 497.5 24.44 512 44.86 512c9.031 0 17.72-3.004 24.88-8.729l74.53-59.53c5.836-4.607 9.061-11.52 9.061-18.84c0-5.416-1.822-10.62-5.248-14.91L140.3 400.2l94.75-77.07c29.45 29.37 69.68 45 113.5 45C441 368.1 575.9 286.9 575.9 149.7zM134.3 431.2l-74.53 59.53c-4.266 3.367-9.498 5.252-14.82 5.252c-.4883 0-11.34 .4648-18.93-9.1l-4.812-5.975c-3.512-4.422-5.217-9.705-5.217-14.95c0-7.078 3.104-14.09 9.061-18.83l74.53-59.53c1.578-1.236 3.277-1.752 4.898-1.752c2.566 0 4.941 1.291 6.352 3.066l24.75 31.03c1.182 1.494 1.74 3.244 1.74 4.973C137.3 427.3 136.3 429.7 134.3 431.2zM348.4 352.2c-47.32 0-140.5-28.49-140.5-133.8c0-148.8 151.1-202.5 211.6-202.5c47.23 0 140.4 28.35 140.4 133.9C559.9 270.3 441.1 352.2 348.4 352.2zM623.6 501.5l-15.59-46.8l.0067-54.69c0-26.54-21.49-48.01-48-48.01c-26.51 0-48 21.48-48 48.01l-.0082 54.69l-15.59 46.8c-.2813 .8398-.416 1.693-.416 2.533C495.1 508.3 499.5 512 503.1 512c3.344 0 6.469-2.127 7.594-5.475l16.85-50.58h23.55v48.05c0 4.41 3.6 8.006 8.007 8.006s7.993-3.596 7.993-8.006V455.9h23.55l16.85 50.58C609.5 509.9 612.6 512 615.1 512C620.5 512 624 508.4 624 503.1C624 503.2 623.9 502.3 623.6 501.5zM591.1 439.9h-64v-16.02h64V439.9zM591.1 407.9h-64v-8.01c0-17.66 14.36-32.03 32-32.03c17.64 0 32 14.37 32 32.03V407.9zM501.6 67.91c-20.06-16.97-47.63-25.94-79.66-25.94c-91.75 0-190 70.91-190 176.4c0 108.5 115.3 109.8 116.5 109.8c76.44 0 187.5-69.5 187.5-178.4C535.9 115.2 524.1 86.88 501.6 67.91zM348.5 312.2c-4.125-.0313-100.5-1.781-100.5-93.78c0-104.7 101.1-160.4 174-160.4c28.22 0 52.19 7.656 69.34 22.16c19 16.06 28.66 39.5 28.66 69.66C519.9 248.9 418.4 312.2 348.5 312.2z"],
    "bag-shopping": [448, 512, ["shopping-bag"], "f290", "M128 128V96C128 42.98 170.1 0 224 0C277 0 320 42.98 320 96V128H400C426.5 128 448 149.5 448 176V416C448 469 405 512 352 512H96C42.98 512 0 469 0 416V176C0 149.5 21.49 128 48 128H128zM144 128H304V96C304 51.82 268.2 16 224 16C179.8 16 144 51.82 144 96V128zM48 144C30.33 144 16 158.3 16 176V416C16 460.2 51.82 496 96 496H352C396.2 496 432 460.2 432 416V176C432 158.3 417.7 144 400 144H320V232C320 236.4 316.4 240 312 240C307.6 240 304 236.4 304 232V144H144V232C144 236.4 140.4 240 136 240C131.6 240 128 236.4 128 232V144H48z"],
    "bagel": [640, 512, [129391], "e3d7", "M208 240c-35.29 0-64 28.71-64 64c0 35.29 28.71 64 64 64s64-28.71 64-64C272 268.7 243.3 240 208 240zM208 352C181.5 352 160 330.5 160 304S181.5 256 208 256S256 277.5 256 304S234.5 352 208 352zM208 96C93.13 96 0 189.1 0 304S93.13 512 208 512S416 418.9 416 304S322.9 96 208 96zM208 496c-105.9 0-192-86.13-192-192s86.13-192 192-192s192 86.13 192 192S313.9 496 208 496zM160 192c0-8.838-7.164-16-16-16S128 183.2 128 192c0 8.836 7.164 16 16 16S160 200.8 160 192zM80 256C71.16 256 64 263.2 64 272C64 280.8 71.16 288 80 288S96 280.8 96 272C96 263.2 88.84 256 80 256zM240 416C231.2 416 224 423.2 224 432C224 440.8 231.2 448 240 448S256 440.8 256 432C256 423.2 248.8 416 240 416zM304 384C295.2 384 288 391.2 288 400C288 408.8 295.2 416 304 416s16-7.164 16-16C320 391.2 312.8 384 304 384zM320 224C311.2 224 304 231.2 304 240C304 248.8 311.2 256 320 256s16-7.164 16-16C336 231.2 328.8 224 320 224zM112 384C103.2 384 96 391.2 96 400C96 408.8 103.2 416 112 416S128 408.8 128 400C128 391.2 120.8 384 112 384zM442.4 254.8c-4.312 .9687-7.031 5.25-6.062 9.562c.8438 3.719 4.156 6.25 7.812 6.25c.5625 0 1.156-.0625 1.75-.1875c29-6.484 50.06-32.72 50.06-62.39c0-35.3-28.72-64-64-64c-12.75 0-25.09 3.766-35.65 10.88c-3.656 2.469-4.625 7.453-2.156 11.11c2.438 3.672 7.375 4.625 11.09 2.172C413.2 162.8 422.4 160 432 160C458.5 160 480 181.5 480 208C480 230.2 464.2 249.9 442.4 254.8zM598.2 155.1c-3.906-11.44-13.34-18.97-22.47-26.25c-5.344-4.281-10.38-8.312-13.72-12.72c-3.375-4.453-5.875-10.34-8.5-16.58c-4.219-10.03-9-21.41-18.94-28.38c-9.812-6.844-21.88-7.672-33.56-8.469c-7.062-.4844-13.78-.9375-19.41-2.703c-5.281-1.641-10.75-4.969-16.56-8.469C455.5 46.58 444.6 40 432 40c-12.62 0-23.5 6.594-33.13 12.41c-5.781 3.5-11.25 6.812-16.5 8.453c-5.625 1.75-12.31 2.219-19.41 2.703c-11.69 .7969-23.75 1.625-33.53 8.469c-6.781 4.703-10.78 11.5-13.84 17.55C313.6 93.52 315.2 98.33 319.2 100.3c3.906 1.969 8.75 .4375 10.75-3.547c2.25-4.453 4.844-8.938 8.688-11.61c6.156-4.312 15.53-4.953 25.47-5.641c7.688-.5313 15.66-1.062 23.09-3.375c7.094-2.234 13.66-6.203 20-10.05C415.8 60.91 423.8 56 432 56c8.125 0 16.22 4.891 24.78 10.08c6.375 3.844 12.94 7.828 20.09 10.06c7.406 2.312 15.38 2.859 23.06 3.391c9.938 .6719 19.31 1.312 25.47 5.609c6.188 4.328 9.688 12.64 13.38 21.47c2.906 6.875 5.906 14 10.5 20.05c4.531 5.984 10.62 10.84 16.5 15.55c7.656 6.125 14.91 11.91 17.28 18.91c2.219 6.562 .0313 15.11-2.312 24.16C578.9 192.6 576.9 200.2 576.9 208c0 7.766 1.969 15.36 3.844 22.7c2.344 9.062 4.531 17.61 2.344 24.16c-2.406 7.047-9.688 12.84-17.38 18.98c-5.844 4.688-11.91 9.516-16.44 15.48c-4.594 6.062-7.594 13.17-10.5 20.06c-3.688 8.812-7.188 17.14-13.38 21.45c-6.125 4.297-15.53 4.938-25.47 5.625c-7.688 .5313-15.66 1.078-23.06 3.391c-7.062 2.203-13.59 6.016-19.94 9.703c-6.688 3.891-13 7.578-19.38 9.156c-4.281 1.062-6.906 5.406-5.812 9.703c.9062 3.641 4.156 6.062 7.75 6.062c.625 0 1.281-.0781 1.938-.2344c8.562-2.141 16.19-6.562 23.56-10.86c5.812-3.391 11.31-6.594 16.66-8.25c5.594-1.766 12.28-2.219 19.38-2.719c11.69-.7969 23.75-1.625 33.56-8.469c9.938-6.953 14.72-18.33 18.94-28.36c2.625-6.25 5.125-12.14 8.5-16.59c3.312-4.375 8.344-8.391 13.69-12.66C584.4 279.4 594.3 271.5 598.3 260c3.719-11.08 .8125-22.38-2-33.3C594.5 220 592.9 213.8 592.9 208c0-5.766 1.625-12.06 3.344-18.73C599.1 178.3 601.1 167.1 598.2 155.1zM432 0c-59.47 0-116.3 25.7-155.8 70.52C273.3 73.83 273.6 78.89 276.9 81.81c3.25 2.922 8.344 2.609 11.28-.7031C324.7 39.73 377.1 16 432 16c105.9 0 192 86.13 192 192s-86.13 192-192 192c-1.375 0-2.719-.0938-4.062-.1875L424.5 399.6c-4.469 .2813-8.125 3.297-8.281 7.719c-.1562 4.406 3.312 8.125 7.719 8.281l2.906 .1719C428.6 415.9 430.3 416 432 416c114.7 0 208-93.31 208-208S546.7 0 432 0z"],
    "bags-shopping": [576, 512, [128717], "f847", "M128 96C128 42.98 170.1 0 224 0C277 0 320 42.98 320 96V160H384C419.3 160 448 188.7 448 224H432C432 197.5 410.5 176 384 176H64C37.49 176 16 197.5 16 224V416C16 442.5 37.49 464 64 464H160V480H64C28.65 480 0 451.3 0 416V224C0 188.7 28.65 160 64 160H128V96zM144 160H304V96C304 51.82 268.2 16 224 16C179.8 16 144 51.82 144 96V160zM320 368C320 403.3 348.7 432 384 432C419.3 432 448 403.3 448 368V328C448 323.6 451.6 320 456 320C460.4 320 464 323.6 464 328V368C464 412.2 428.2 448 384 448C339.8 448 304 412.2 304 368V328C304 323.6 307.6 320 312 320C316.4 320 320 323.6 320 328V368zM192 320C192 284.7 220.7 256 256 256H512C547.3 256 576 284.7 576 320V448C576 483.3 547.3 512 512 512H256C220.7 512 192 483.3 192 448V320zM256 272C229.5 272 208 293.5 208 320V448C208 474.5 229.5 496 256 496H512C538.5 496 560 474.5 560 448V320C560 293.5 538.5 272 512 272H256z"],
    "baguette": [640, 512, [129366], "e3d8", "M622 49.6c-13.4-20.16-33.4-35.27-56.29-42.54C550.8 2.303 534.7 0 518.2 0c-36.6 0-74.87 11.38-105.9 32.65L80.88 259.7c-44.86 30.74-76.46 83.44-80.53 134.3c-1.979 24.08 4.307 48.37 17.61 68.4c13.4 20.16 33.41 35.27 56.29 42.54C89.24 509.7 105.4 512 121.8 512c36.58 0 74.82-11.41 105.9-32.68l331.4-227.1c44.87-30.74 76.46-83.44 80.53-134.3C641.6 93.92 635.3 69.63 622 49.6zM550.1 239.1l-331.4 227.1C190.1 485.1 155.7 496 121.8 496c-15.17 0-29.55-2.131-42.75-6.332c-19.44-6.174-36.42-19.01-47.8-36.14c-11.35-17.1-16.67-37.79-14.99-58.28c3.695-46.21 32.59-94.24 73.62-122.3L115.8 255.2l70.51 70.51C187.9 327.2 189.9 328 191.1 328s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31L129.3 245.1l100.5-68.86l68.57 68.57C299.9 247.2 301.9 248 303.1 248s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31L243.2 167.9l100.5-68.86l66.63 66.63C411.9 167.2 413.9 168 415.1 168s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31l-64.51-64.51l64.2-43.98C449 26.88 484.3 16 518.2 16c15.15 0 29.52 2.121 42.69 6.303c19.44 6.174 36.42 19.01 47.8 36.14c11.35 17.1 16.67 37.79 14.99 58.28C619.1 162.9 591.1 210.1 550.1 239.1z"],
    "bahai": [512, 512, ["haykal"], "f666", "M496.3 202.5l-110-15.38l41.88-104.4c5.22-13.1-5.032-25.54-16.94-25.54c-3.21 0-6.506 .8691-9.69 2.912L307.5 120l-34.13-107.1C270.6 4.25 263.4 0 255.1 0c-7.376 0-14.63 4.25-17.38 12.88L204.5 120L110.5 60.12c-3.17-2.008-6.454-2.887-9.649-2.887C88.9 57.24 78.65 69.64 83.88 82.75l41.85 104.4L15.71 202.5C-1.792 205-5.917 228.7 9.71 237.2l98.14 52.63l-74.51 83.5c-10.88 12.25-1.782 31 13.35 31c1.25 0 2.657-.25 4.032-.5l108.6-23.63l-4.126 112.5C154.7 504.4 164.1 512 173.6 512c5.126 0 10.38-2.25 14.25-7.25l68.13-88.88l68.23 88.88C327.1 509.8 333.2 512 338.4 512c9.501 0 18.88-7.625 18.38-19.25l-4.032-112.5l108.5 23.63c1.389 .2988 2.799 .4707 4.108 .4707c15.07 0 24.2-18.78 13.27-30.97l-74.51-83.5l98.14-52.72C517.9 228.8 513.8 205 496.3 202.5zM494.7 223l-98.14 52.75c-4.315 2.32-7.331 6.49-8.181 11.31c-.8517 4.826 .5548 9.775 3.817 13.43l74.54 83.53c.3594 .4023 1.108 1.238 .4337 2.748c-.1113 .2461-.7716 1.441-2.416 1.441c-.0488 0 .0508 .0039 0 0l-108.6-23.63c-1.129-.2441-2.27-.3652-3.405-.3652c-3.713 0-7.355 1.295-10.26 3.721c-3.794 3.168-5.909 7.91-5.733 12.85l4.006 112.6c.043 1.006-.2266 1.434-.5255 1.744C339.8 495.7 339 496 338.4 496l-1.436-.9961l-68.26-88.88c-3.028-3.943-7.718-6.254-12.69-6.254c-4.975 .002-9.673 2.318-12.7 6.266l-68.08 88.81C174.4 496 173.8 496 173.6 496c-.6466 0-1.397-.3301-1.866-.8184c-.2989-.3105-.5685-.7383-.5216-1.846l4.126-112.5c.1817-4.939-1.93-9.686-5.724-12.86c-2.907-2.432-6.548-3.729-10.27-3.729c-1.133 0-2.274 .1191-3.401 .3652l-109.2 23.76c-1.1 0-1.703-1.154-1.864-1.508c-.7032-1.566 .0781-2.447 .4278-2.84l74.51-83.5c3.264-3.658 4.671-8.611 3.817-13.44C122.8 282.3 119.7 278.1 115.4 275.8L17.36 223.2C16.91 222.9 15.71 222.3 16.06 220.3c.3184-1.762 1.397-1.916 1.867-1.982l110-15.38c4.874-.6816 9.164-3.566 11.63-7.824C142 190.9 142.4 185.7 140.6 181.2L98.71 76.83C98.33 75.86 98.37 75.17 98.85 74.46c.3672-.543 .9279-.9707 1.936-.9707c.3165 0 .6778 .041 1.09 .1348l94.01 59.88C198.5 135.2 201.5 136 204.5 136c1.836 0 3.68-.3164 5.45-.957c4.669-1.691 8.288-5.455 9.796-10.19l34.13-107.1C254.2 16.64 254.7 16 256 16s1.782 .6367 2.131 1.73l34.13 107.1c1.506 4.732 5.126 8.496 9.795 10.19C303.8 135.7 305.7 136 307.5 136c3.008 0 5.997-.8496 8.597-2.506l95.14-60.32c.5118 0 1.348 .4297 1.885 1.221c.502 .7422 .5489 1.447 .17 2.396L371.4 181.2c-1.832 4.566-1.461 9.723 1.006 13.98c2.467 4.258 6.757 7.143 11.63 7.824l109.1 15.37c.5215 .0762 1.608 .2305 1.92 1.994C496.3 222.2 495.2 222.8 494.7 223z"],
    "baht-sign": [320, 512, [], "e0ac", "M144 8V64H172C227.2 64 272 108.8 272 164C272 200.5 252.5 232.4 223.3 249.9C269.3 258.9 304 299.4 304 348C304 403.2 259.2 448 204 448H144V504C144 508.4 140.4 512 136 512C131.6 512 128 508.4 128 504V448H53.57C32.82 448 16 431.2 16 410.4V97.39C16 78.95 30.95 64 49.39 64H128V8C128 3.582 131.6 0 136 0C140.4 0 144 3.582 144 8V8zM128 80H49.39C39.79 80 32 87.79 32 97.39V248H128V80zM172 248C218.4 248 256 210.4 256 164C256 117.6 218.4 80 172 80H144V248H172zM128 264H32V410.4C32 422.3 41.66 432 53.57 432H128V264zM204 432C250.4 432 288 394.4 288 348C288 301.6 250.4 264 204 264H144V432H204z"],
    "ball-pile": [576, 512, [], "f77e", "M480 320c-10.42 0-20.28 2.108-29.68 5.174C468.5 307.7 480 283.2 480 256c0-53.02-42.98-96-96-96c-10.42 0-20.28 2.108-29.68 5.174C372.5 147.7 384 123.2 384 96c0-53.02-42.98-96-96-96S192 42.98 192 96c0 27.23 11.47 51.71 29.68 69.17C212.3 162.1 202.4 160 192 160C138.1 160 96 202.1 96 256c0 27.23 11.47 51.71 29.68 69.17C116.3 322.1 106.4 320 96 320c-53.02 0-96 42.98-96 96s42.98 96 96 96s96-42.98 96-96c0-27.23-11.47-51.71-29.68-69.17C171.7 349.9 181.6 352 192 352s20.28-2.108 29.68-5.174C203.5 364.3 192 388.8 192 416c0 53.02 42.98 96 96 96s96-42.98 96-96c0-27.23-11.47-51.71-29.68-69.17C363.7 349.9 373.6 352 384 352s20.28-2.108 29.68-5.174C395.5 364.3 384 388.8 384 416c0 53.02 42.98 96 96 96s96-42.98 96-96S533 320 480 320zM176 416c0 44.11-35.89 80-80 80c-44.11 0-80-35.89-80-80s35.89-80 80-80C140.1 336 176 371.9 176 416zM208 96c0-44.11 35.89-80 80-80c44.11 0 80 35.89 80 80S332.1 176 288 176C243.9 176 208 140.1 208 96zM112 256c0-44.11 35.89-80 80-80c44.11 0 80 35.89 80 80S236.1 336 192 336C147.9 336 112 300.1 112 256zM368 416c0 44.11-35.89 80-80 80c-44.11 0-80-35.89-80-80s35.89-80 80-80C332.1 336 368 371.9 368 416zM288 320c-10.42 0-20.28 2.108-29.68 5.174C276.5 307.7 288 283.2 288 256S276.5 204.3 258.3 186.8C267.7 189.9 277.6 192 288 192s20.28-2.108 29.68-5.174C299.5 204.3 288 228.8 288 256s11.47 51.71 29.68 69.17C308.3 322.1 298.4 320 288 320zM304 256c0-44.11 35.89-80 80-80c44.11 0 80 35.89 80 80s-35.89 80-80 80C339.9 336 304 300.1 304 256zM480 496c-44.11 0-80-35.89-80-80s35.89-80 80-80c44.11 0 80 35.89 80 80S524.1 496 480 496z"],
    "balloon": [384, 512, [], "e2e3", "M384 189.7C384 85.09 297.9 0 192 0S0 85.09 0 189.7c0 86.91 105.8 197.1 159.8 235.5l-37.5 62.56c-3.031 5-3.125 11.03-.25 16.12C124.9 508.9 130.3 512 136 512h112c5.75 0 11.09-3.125 13.94-8.125c2.875-5.094 2.781-11.12-.2187-16.12l-37.53-62.56C278.2 387.7 384 276.6 384 189.7zM248 496H136l38.37-64h35.2L248 496zM208.1 416H175C127.4 386.2 16 273.3 16 189.7C16 93.94 94.97 16 192 16s176 77.94 176 173.7C368 273.3 256.6 386.2 208.1 416zM176 72c-57.34 0-104 46.66-104 104c0 4.406 3.594 8 8 8S88 180.4 88 176c0-48.53 39.47-88 88-88c4.406 0 8-3.594 8-8S180.4 72 176 72z"],
    "balloons": [640, 512, [], "e2e4", "M152 64C103.5 64 64 103.5 64 152C64 156.4 67.59 160 72 160S80 156.4 80 152c0-39.69 32.31-72 72-72C156.4 80 160 76.41 160 72S156.4 64 152 64zM320 166.3C320 74.59 248.2 0 160 0S0 74.59 0 166.3c0 73.25 77.47 170.8 124.1 205.5L97.97 425.5c-2.656 4.719-2.625 10.56 .125 15.22C100.8 445.3 105.4 448 110.6 448h98.75c5.188 0 9.875-2.719 12.53-7.281c2.75-4.656 2.781-10.5 .3438-14.78l-26.34-54.16C242.5 337.1 320 239.5 320 166.3zM209.4 432l-97.25 .9375l26.65-54.76c.123 .0059 .1934 .1328 .3184 .1328h41.81c.168 0 .2676-.1699 .4336-.1797L209.4 432zM181.3 362.5c-.1348-.0078-.2148-.1465-.3516-.1465H139.1c-.1367 0-.2168 .1387-.3516 .1465C94.76 333.3 16 234.8 16 166.3C16 83.41 80.59 16 160 16s144 67.41 144 150.3C304 234.8 225.2 333.3 181.3 362.5zM400 216c0-39.69 32.31-72 72-72C476.4 144 480 140.4 480 136S476.4 128 472 128C423.5 128 384 167.5 384 216C384 220.4 387.6 224 392 224S400 220.4 400 216zM515.9 435.8C562.5 401.1 640 303.5 640 230.3C640 138.6 568.2 64 480 64c-36.78 0-72.69 13.31-101.2 37.47c-3.344 2.844-3.781 7.906-.9062 11.28c2.844 3.375 7.969 3.781 11.28 .9062C414.8 91.97 447 80 480 80c79.41 0 144 67.41 144 150.3c0 68.55-78.76 167-122.7 196.2c-.1348-.0078-.2148-.1465-.3516-.1465h-41.81c-.1211 0-.1895 .123-.3086 .1289c-29.71-19.71-84.91-80.08-110.2-141.5c-1.719-4.062-6.469-6.031-10.47-4.344c-4.062 1.688-6.031 6.375-4.344 10.47c25.28 61.28 77.41 120.2 110.3 144.7l-26.12 53.72c-2.656 4.719-2.625 10.56 .125 15.22C420.8 509.3 425.4 512 430.6 512h98.75c5.188 0 9.875-2.719 12.53-7.281c2.75-4.656 2.781-10.5 .3438-14.78L515.9 435.8zM432.1 496.9l26.65-54.76c.123 .0059 .1934 .1328 .3184 .1328h41.81c.168 0 .2676-.1699 .4336-.1797L529.4 496L432.1 496.9z"],
    "ballot": [448, 512, [], "f732", "M384 0H64C28.66 0 0 28.66 0 64v384c0 35.34 28.66 64 64 64h320c35.34 0 64-28.66 64-64V64C448 28.66 419.3 0 384 0zM432 448c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V64c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V448zM376 120h-176C195.6 120 192 123.6 192 128s3.594 8 8 8h176C380.4 136 384 132.4 384 128S380.4 120 376 120zM376 248h-176C195.6 248 192 251.6 192 256s3.594 8 8 8h176C380.4 264 384 260.4 384 256S380.4 248 376 248zM376 376h-176C195.6 376 192 379.6 192 384s3.594 8 8 8h176c4.406 0 8-3.578 8-8S380.4 376 376 376zM104 88h-16c-17.67 0-32 14.33-32 32v16c0 17.67 14.33 32 32 32h16c17.67 0 32-14.33 32-32v-16C136 102.3 121.7 88 104 88zM120 136c0 8.822-7.176 16-16 16h-16c-8.824 0-16-7.178-16-16v-16c0-8.822 7.176-16 16-16h16c8.824 0 16 7.178 16 16V136zM104 216h-16c-17.67 0-32 14.33-32 32v16c0 17.67 14.33 32 32 32h16c17.67 0 32-14.33 32-32v-16C136 230.3 121.7 216 104 216zM120 264c0 8.822-7.176 16-16 16h-16c-8.824 0-16-7.178-16-16v-16c0-8.822 7.176-16 16-16h16c8.824 0 16 7.178 16 16V264zM104 344h-16c-17.67 0-32 14.33-32 32v16c0 17.67 14.33 32 32 32h16c17.67 0 32-14.33 32-32v-16C136 358.3 121.7 344 104 344zM120 392c0 8.822-7.176 16-16 16h-16c-8.824 0-16-7.178-16-16v-16c0-8.822 7.176-16 16-16h16c8.824 0 16 7.178 16 16V392z"],
    "ballot-check": [448, 512, [], "f733", "M384 0H64C28.66 0 0 28.66 0 64v384c0 35.34 28.66 64 64 64h320c35.34 0 64-28.66 64-64V64C448 28.66 419.3 0 384 0zM432 448c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V64c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V448zM376 120h-176C195.6 120 192 123.6 192 128s3.594 8 8 8h176C380.4 136 384 132.4 384 128S380.4 120 376 120zM376 248h-176C195.6 248 192 251.6 192 256s3.594 8 8 8h176C380.4 264 384 260.4 384 256S380.4 248 376 248zM376 376h-176C195.6 376 192 379.6 192 384s3.594 8 8 8h176c4.406 0 8-3.578 8-8S380.4 376 376 376zM88 168h16c17.67 0 32-14.33 32-32v-16c0-17.67-14.33-32-32-32h-16c-17.67 0-32 14.33-32 32v16C56 153.7 70.33 168 88 168zM72 120c0-8.822 7.176-16 16-16h16c8.824 0 16 7.178 16 16v16c0 8.822-7.176 16-16 16h-16c-8.824 0-16-7.178-16-16V120zM104 344h-16c-17.67 0-32 14.33-32 32v16c0 17.67 14.33 32 32 32h16c17.67 0 32-14.33 32-32v-16C136 358.3 121.7 344 104 344zM120 392c0 8.822-7.176 16-16 16h-16c-8.824 0-16-7.178-16-16v-16c0-8.822 7.176-16 16-16h16c8.824 0 16 7.178 16 16V392zM154.3 210.3L96 268.7L69.66 242.3c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31l32 32C91.91 287.2 93.94 288 96 288s4.094-.7813 5.656-2.344l64-64c3.125-3.125 3.125-8.188 0-11.31S157.5 207.2 154.3 210.3z"],
    "ban": [512, 512, [128683, "cancel"], "f05e", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM80.73 92.04C40.58 134.9 16 192.6 16 256C16 388.5 123.5 496 256 496C319.4 496 377.1 471.4 419.1 431.3L80.73 92.04zM496 256C496 123.5 388.5 16 256 16C192.6 16 134.9 40.58 92.04 80.73L431.3 419.1C471.4 377.1 496 319.4 496 255.1L496 256z"],
    "ban-bug": [512, 512, ["debug"], "f7f9", "M296.8 353.3L308.1 364.7C294.1 376.7 275.9 384 256 384C227.9 384 203.2 369.5 188.9 347.7L148.4 374.7C144.8 377.1 139.8 376.1 137.3 372.4C134.9 368.8 135.9 363.8 139.6 361.3L181.6 333.3C177.1 324.3 176 314.4 176 304V297.2L129.1 303.9C124.8 304.5 120.7 301.5 120.1 297.1C119.5 292.8 122.5 288.7 126.9 288.1L176 281.1V238L125.8 223.7C121.6 222.5 119.1 218.1 120.3 213.8C121.5 209.6 125.1 207.1 130.2 208.3L160.4 216.9L192 248.6V304C192 339.3 220.7 368 256 368C271.5 368 285.7 362.5 296.8 353.3V353.3zM323.1 164.3L363.6 137.3C367.2 134.9 372.2 135.9 374.7 139.6C377.1 143.2 376.1 148.2 372.4 150.7L330.4 178.7C334 187.7 336 197.6 336 208V221.4L381.8 208.3C386.1 207.1 390.5 209.6 391.7 213.8C392.9 218.1 390.5 222.5 386.2 223.7L336 238V279.4L320 263.4V208C320 172.7 291.3 144 256 144C240.5 144 226.3 149.5 215.2 158.7L203.9 147.3C217.9 135.3 236.1 128 256 128C284.1 128 308.8 142.5 323.1 164.4V164.3zM391.9 297.1C391.3 301.5 387.2 304.5 382.9 303.9L356.8 300.2L337.9 281.3L385.1 288.1C389.5 288.7 392.5 292.8 391.9 297.1L391.9 297.1zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 496C319.4 496 377.1 471.4 419.1 431.3L80.73 92.05C40.58 134.9 16 192.6 16 256C16 388.5 123.5 496 256 496L256 496zM92.04 80.73L431.3 419.1C471.4 377.1 496 319.4 496 255.1C496 123.5 388.5 15.1 255.1 15.1C192.6 15.1 134.9 40.58 92.04 80.73L92.04 80.73z"],
    "ban-parking": [512, 512, ["parking-circle-slash"], "f616", "M176 249.9L192 265.9V288H214.1L230.1 304H192V376C192 380.4 188.4 384 184 384C179.6 384 176 380.4 176 376V249.9zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM80.73 92.04C40.58 134.9 16 192.6 16 256C16 388.5 123.5 496 256 496C319.4 496 377.1 471.4 419.1 431.3L80.73 92.04zM496 256C496 123.5 388.5 16 256 16C192.6 16 134.9 40.58 92.04 80.73L176 164.7V144C176 135.2 183.2 128 192 128H288C336.6 128 376 167.4 376 216C376 256.3 348.9 290.2 312 300.7L431.3 419.1C471.4 377.1 496 319.4 496 256zM298.5 287.2C333.3 282.1 360 252.2 360 216C360 176.2 327.8 144 288 144H192V180.7L298.5 287.2z"],
    "ban-smoking": [512, 512, [128685, "smoking-ban"], "f54d", "M437 74.98c-99.97-99.97-262.1-99.97-362 0s-99.97 262.1 0 362s262.1 99.97 362 0S536.1 174.1 437 74.98zM86.29 425.7c-91.67-91.67-93.29-239.5-5.371-333.5L212.7 224H120C106.8 224 96 234.8 96 248v48C96 309.2 106.8 320 120 320h188.7l111.1 111.1C325.8 519 177.1 517.4 86.29 425.7zM228.7 240l64 64H120C115.6 304 112 300.4 112 296v-48c0-4.406 3.594-8 8-8H228.7zM431.1 419.8L331.3 320H344C348.4 320 352 316.4 352 312S348.4 304 344 304h-28.69l-64-64H344C348.4 240 352 236.4 352 232S348.4 224 344 224H235.3L92.24 80.92C186.2-7 334-5.371 425.7 86.29S519 325.8 431.1 419.8zM336 136h-32c-22.06 0-39.96-17.94-39.96-40c0-4.406-3.629-8-8.035-8S248 91.59 248 96c0 30.88 25.12 56 56 56h32c22.06 0 39.92 17.94 39.92 40c0 4.406 3.677 8 8.083 8S392 196.4 392 192C392 161.1 366.9 136 336 136zM408 224c-4.406 0-8 3.594-8 8v80c0 4.406 3.594 8 8 8S416 316.4 416 312v-80C416 227.6 412.4 224 408 224zM376 224c-4.406 0-8 3.594-8 8v80c0 4.406 3.594 8 8 8S384 316.4 384 312v-80C384 227.6 380.4 224 376 224z"],
    "banana": [576, 512, [], "e2e5", "M294.9 258.1c11.82 0 29.87-60.99 29.87-112.4c0-57.88-17.02-88.49-17.02-99.75c0-18.02 17.67-30.06 33.57-30.06c24.98 0 113.7 83.57 113.7 207.1c0 18.09-1.82 29.93-1.82 31.57c0 4.331 3.522 7.938 7.99 7.938c4.031 0 7.469-2.999 7.938-7.055c1.266-10.95 1.891-21.84 1.891-32.64c0-137.3-98.76-222.9-129.5-222.9c-15.78 0-49.7 11.74-49.7 46.03c0 16.36 16.96 42.31 16.96 99.66c0 63.3-21.8 98.74-21.8 104.5C286.9 253.6 289.7 258.1 294.9 258.1zM576 405.7c0-1.287-.3124-2.592-.969-3.8l-26.56-48.27c-18.76-34.04-53.99-53.83-91.04-53.83c-11.52 0-23.22 1.915-34.65 5.911l-100.9 35.23l-52-47.6c-19.51-17.89-44.94-27.23-70.6-27.23c-15.84 0-31.76 3.561-46.43 10.87L100.4 303.2C97.61 304.6 95.1 307.4 95.1 310.3c0 4.591 3.788 7.96 8.006 7.96c1.213 0 2.44-.2772 3.587-.8612l52.44-26.15C172.4 285.1 185.7 282.1 198.1 282.1c19.39 0 38.63 6.36 54.35 18.47c-49.98 61.31-128.6 97.93-212.6 97.93C18.28 398.5 0 416 0 437.6v32.54c0 21.54 18.37 39.07 40.97 39.07c0 0 66.96 .8468 90.85 .8468c105.2 0 259.3-16.42 322.6-193.9c.9981-.0333 1.995-.0499 2.99-.0499c31.36 0 61.12 16.46 76.97 45.25l26.56 48.27c.7695 1.384 3.427 4.196 7.054 4.196C571.9 413.8 576 410.6 576 405.7zM153.5 495c-22.38 0-37.8-1.718-41.66-1.718L40.97 493.3c-13.78 0-24.97-10.38-24.97-23.15v-32.54c0-12.77 11.09-23.15 24.72-23.15c88.59 0 171.7-38.71 224.7-103.5l49.15 44.99c1.493 1.356 3.406 2.093 5.397 2.093c.8834 0 1.782-.1453 2.666-.4463l105.4-36.81c2.631-.9129 5.301-1.34 7.955-1.997C374.9 476.6 226.8 495 153.5 495z"],
    "bandage": [640, 512, [129657, "band-aid"], "f462", "M256 208C256 199.2 263.2 192 272 192C280.8 192 288 199.2 288 208C288 216.8 280.8 224 272 224C263.2 224 256 216.8 256 208zM384 208C384 216.8 376.8 224 368 224C359.2 224 352 216.8 352 208C352 199.2 359.2 192 368 192C376.8 192 384 199.2 384 208zM256 304C256 295.2 263.2 288 272 288C280.8 288 288 295.2 288 304C288 312.8 280.8 320 272 320C263.2 320 256 312.8 256 304zM384 304C384 312.8 376.8 320 368 320C359.2 320 352 312.8 352 304C352 295.2 359.2 288 368 288C376.8 288 384 295.2 384 304zM560 96C604.2 96 640 131.8 640 176V336C640 380.2 604.2 416 560 416H80C35.82 416 0 380.2 0 336V176C0 131.8 35.82 96 80 96H560zM480 400H560C595.3 400 624 371.3 624 336V176C624 140.7 595.3 112 560 112H480V400zM464 112H176V400H464V112zM160 400V112H80C44.65 112 16 140.7 16 176V336C16 371.3 44.65 400 80 400H160z"],
    "bangladeshi-taka-sign": [384, 512, [], "e2e6", "M32 199.1C32 195.6 35.58 191.1 40 191.1H184C188.4 191.1 192 195.6 192 199.1C192 204.4 188.4 207.1 184 207.1H40C35.58 207.1 32 204.4 32 199.1zM32.06 39.01C32.61 34.62 36.61 31.51 40.99 32.06L48.93 33.05C84.96 37.56 112 68.19 112 104.5V408C112 438.9 137.1 464 168 464H184C285.6 464 368 381.6 368 279.1V263.1C368 233.1 342.9 207.1 312 207.1H264C259.6 207.1 256 204.4 256 199.1C256 195.6 259.6 191.1 264 191.1H312C351.8 191.1 384 224.2 384 263.1V279.1C384 390.5 294.5 480 184 480H168C128.2 480 96 447.8 96 408V104.5C96 76.26 74.97 52.43 46.95 48.93L39.01 47.94C34.62 47.39 31.51 43.39 32.06 39.01V39.01z"],
    "banjo": [512, 512, [129685], "f8a3", "M501.3 37.47l-26.71-26.7C467.6 3.832 458.4 0 448.5 0c-.0156 0 .0156 0 0 0c-9.83 0-19.09 3.844-26.23 11L378.1 58.52c-1.016 1.094-1.688 2.438-1.984 3.891l-15.54 77.66l-78.04 78.04C256.2 194.2 222.1 178.7 184 176.8V168c0-4.422-3.578-8-8-8s-8 3.578-8 8v8.807C129.9 178.7 95.56 193.8 69.06 217.8L62.86 211.5c-3.125-3.125-8.188-3.125-11.31 0c-3.125 3.125-3.125 8.188 0 11.31l6.203 6.203C33.77 255.6 18.72 289.9 16.81 328H8C3.578 328 0 331.6 0 336s3.578 8 8 8H16.81c1.914 38.07 16.97 72.44 40.94 98.94l-6.203 6.203c-3.125 3.125-3.125 8.188 0 11.31c1.563 1.562 3.609 2.344 5.656 2.344s4.094-.7813 5.656-2.344l6.203-6.203c26.5 23.98 60.86 39.03 98.94 40.94V504c0 4.422 3.578 8 8 8s8-3.578 8-8v-8.807c38.07-1.914 72.44-16.97 98.94-40.94l6.203 6.203c1.562 1.562 3.609 2.344 5.656 2.344s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31l-6.203-6.203c23.98-26.5 39.03-60.86 40.94-98.94h8.807c4.422 0 8-3.578 8-8s-3.578-8-8-8H335.2c-1.914-38.06-17.43-72.19-41.3-98.58l78.09-78.09l77.6-15.52c1.455-.2969 2.799-.9687 3.893-1.984l47.79-44.42C515.6 75.09 515.6 51.78 501.3 37.47zM320 336c0 79.53-64.47 144-144 144S32 415.5 32 336S96.47 192 176 192S320 256.5 320 336zM490.2 77.89l-45.92 42.67l-66.03 13.2l13.21-66.02l42.43-45.64C437.8 18.17 442.1 16 448.5 16c0 0-.0156 0 0 0c5.549 0 10.78 2.156 14.7 6.078l26.71 26.7C498 56.86 498 70.02 490.2 77.89zM117.7 330.3c-3.125-3.125-8.188-3.125-11.31 0c-3.125 3.125-3.125 8.188 0 11.31l64 64C171.9 407.2 173.1 408 176 408s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31L117.7 330.3z"],
    "barcode": [512, 512, [], "f02a", "M0 40C0 35.58 3.582 32 8 32C12.42 32 16 35.58 16 40V472C16 476.4 12.42 480 8 480C3.582 480 0 476.4 0 472V40zM256 40C256 35.58 259.6 32 264 32C268.4 32 272 35.58 272 40V472C272 476.4 268.4 480 264 480C259.6 480 256 476.4 256 472V40zM400 40V472C400 476.4 396.4 480 392 480C387.6 480 384 476.4 384 472V40C384 35.58 387.6 32 392 32C396.4 32 400 35.58 400 40zM304 40C304 35.58 307.6 32 312 32C316.4 32 320 35.58 320 40V472C320 476.4 316.4 480 312 480C307.6 480 304 476.4 304 472V40zM64 40V472C64 476.4 60.42 480 56 480C51.58 480 48 476.4 48 472V40C48 35.58 51.58 32 56 32C60.42 32 64 35.58 64 40zM448 40C448 35.58 451.6 32 456 32C460.4 32 464 35.58 464 40V472C464 476.4 460.4 480 456 480C451.6 480 448 476.4 448 472V40zM512 40V472C512 476.4 508.4 480 504 480C499.6 480 496 476.4 496 472V40C496 35.58 499.6 32 504 32C508.4 32 512 35.58 512 40zM112 40C112 35.58 115.6 32 120 32C124.4 32 128 35.58 128 40V472C128 476.4 124.4 480 120 480C115.6 480 112 476.4 112 472V40zM200 40V472C200 476.4 196.4 480 192 480C187.6 480 184 476.4 184 472V40C184 35.58 187.6 32 192 32C196.4 32 200 35.58 200 40z"],
    "barcode-read": [576, 512, [], "f464", "M40 16C26.75 16 16 26.75 16 40V152C16 156.4 12.42 160 8 160C3.582 160 0 156.4 0 152V40C0 17.91 17.91 0 40 0H152C156.4 0 160 3.582 160 8C160 12.42 156.4 16 152 16H40zM144 136V376C144 380.4 140.4 384 136 384C131.6 384 128 380.4 128 376V136C128 131.6 131.6 128 136 128C140.4 128 144 131.6 144 136zM192 136V376C192 380.4 188.4 384 184 384C179.6 384 176 380.4 176 376V136C176 131.6 179.6 128 184 128C188.4 128 192 131.6 192 136zM240 136C240 131.6 243.6 128 248 128C252.4 128 256 131.6 256 136V376C256 380.4 252.4 384 248 384C243.6 384 240 380.4 240 376V136zM336 136V376C336 380.4 332.4 384 328 384C323.6 384 320 380.4 320 376V136C320 131.6 323.6 128 328 128C332.4 128 336 131.6 336 136zM368 136C368 131.6 371.6 128 376 128C380.4 128 384 131.6 384 136V376C384 380.4 380.4 384 376 384C371.6 384 368 380.4 368 376V136zM448 136V376C448 380.4 444.4 384 440 384C435.6 384 432 380.4 432 376V136C432 131.6 435.6 128 440 128C444.4 128 448 131.6 448 136zM560 40C560 26.75 549.3 16 536 16H424C419.6 16 416 12.42 416 8C416 3.582 419.6 0 424 0H536C558.1 0 576 17.91 576 40V152C576 156.4 572.4 160 568 160C563.6 160 560 156.4 560 152V40zM152 496C156.4 496 160 499.6 160 504C160 508.4 156.4 512 152 512H40C17.91 512 0 494.1 0 472V360C0 355.6 3.582 352 8 352C12.42 352 16 355.6 16 360V472C16 485.3 26.75 496 40 496H152zM560 360C560 355.6 563.6 352 568 352C572.4 352 576 355.6 576 360V472C576 494.1 558.1 512 536 512H424C419.6 512 416 508.4 416 504C416 499.6 419.6 496 424 496H536C549.3 496 560 485.3 560 472V360z"],
    "barcode-scan": [640, 512, [], "f465", "M64 40C64 35.58 67.58 32 72 32C76.42 32 80 35.58 80 40V192H64V40zM64 472V320H80V472C80 476.4 76.42 480 72 480C67.58 480 64 476.4 64 472zM120 480C115.6 480 112 476.4 112 472V320H128V472C128 476.4 124.4 480 120 480zM120 32C124.4 32 128 35.58 128 40V192H112V40C112 35.58 115.6 32 120 32zM176 472V320H192V472C192 476.4 188.4 480 184 480C179.6 480 176 476.4 176 472zM184 32C188.4 32 192 35.58 192 40V192H176V40C176 35.58 179.6 32 184 32zM248 472V320H264V472C264 476.4 260.4 480 256 480C251.6 480 248 476.4 248 472zM256 32C260.4 32 264 35.58 264 40V192H248V40C248 35.58 251.6 32 256 32zM320 472V320H336V472C336 476.4 332.4 480 328 480C323.6 480 320 476.4 320 472zM328 32C332.4 32 336 35.58 336 40V192H320V40C320 35.58 323.6 32 328 32zM368 472V320H384V472C384 476.4 380.4 480 376 480C371.6 480 368 476.4 368 472zM376 32C380.4 32 384 35.58 384 40V192H368V40C368 35.58 371.6 32 376 32zM448 472V320H464V472C464 476.4 460.4 480 456 480C451.6 480 448 476.4 448 472zM456 32C460.4 32 464 35.58 464 40V192H448V40C448 35.58 451.6 32 456 32zM512 472V320H528V472C528 476.4 524.4 480 520 480C515.6 480 512 476.4 512 472zM520 32C524.4 32 528 35.58 528 40V192H512V40C512 35.58 515.6 32 520 32zM560 472V320H576V472C576 476.4 572.4 480 568 480C563.6 480 560 476.4 560 472zM568 32C572.4 32 576 35.58 576 40V192H560V40C560 35.58 563.6 32 568 32zM8 248H632C636.4 248 640 251.6 640 256C640 260.4 636.4 264 632 264H8C3.582 264 0 260.4 0 256C0 251.6 3.582 248 8 248z"],
    "bars": [448, 512, ["navicon"], "f0c9", "M0 88C0 83.58 3.582 80 8 80H440C444.4 80 448 83.58 448 88C448 92.42 444.4 96 440 96H8C3.582 96 0 92.42 0 88zM0 248C0 243.6 3.582 240 8 240H440C444.4 240 448 243.6 448 248C448 252.4 444.4 256 440 256H8C3.582 256 0 252.4 0 248zM440 416H8C3.582 416 0 412.4 0 408C0 403.6 3.582 400 8 400H440C444.4 400 448 403.6 448 408C448 412.4 444.4 416 440 416z"],
    "bars-filter": [448, 512, [], "e0ad", "M0 88C0 83.58 3.582 80 8 80H440C444.4 80 448 83.58 448 88C448 92.42 444.4 96 440 96H8C3.582 96 0 92.42 0 88zM64 248C64 243.6 67.58 240 72 240H376C380.4 240 384 243.6 384 248C384 252.4 380.4 256 376 256H72C67.58 256 64 252.4 64 248zM280 416H168C163.6 416 160 412.4 160 408C160 403.6 163.6 400 168 400H280C284.4 400 288 403.6 288 408C288 412.4 284.4 416 280 416z"],
    "bars-progress": [512, 512, ["tasks-alt"], "f828", "M464 64C490.5 64 512 85.49 512 112V176C512 202.5 490.5 224 464 224H48C21.49 224 0 202.5 0 176V112C0 85.49 21.49 64 48 64H464zM464 80H320V208H464C481.7 208 496 193.7 496 176V112C496 94.33 481.7 80 464 80zM16 112V176C16 193.7 30.33 208 48 208H304V80H48C30.33 80 16 94.33 16 112zM464 288C490.5 288 512 309.5 512 336V400C512 426.5 490.5 448 464 448H48C21.49 448 0 426.5 0 400V336C0 309.5 21.49 288 48 288H464zM464 304H192V432H464C481.7 432 496 417.7 496 400V336C496 318.3 481.7 304 464 304zM16 336V400C16 417.7 30.33 432 48 432H176V304H48C30.33 304 16 318.3 16 336z"],
    "bars-sort": [448, 512, [], "e0ae", "M0 88C0 83.58 3.582 80 8 80H440C444.4 80 448 83.58 448 88C448 92.42 444.4 96 440 96H8C3.582 96 0 92.42 0 88zM0 248C0 243.6 3.582 240 8 240H312C316.4 240 320 243.6 320 248C320 252.4 316.4 256 312 256H8C3.582 256 0 252.4 0 248zM184 416H8C3.582 416 0 412.4 0 408C0 403.6 3.582 400 8 400H184C188.4 400 192 403.6 192 408C192 412.4 188.4 416 184 416z"],
    "bars-staggered": [512, 512, ["reorder", "stream"], "f550", "M0 88C0 83.58 3.582 80 8 80H440C444.4 80 448 83.58 448 88C448 92.42 444.4 96 440 96H8C3.582 96 0 92.42 0 88zM64 248C64 243.6 67.58 240 72 240H504C508.4 240 512 243.6 512 248C512 252.4 508.4 256 504 256H72C67.58 256 64 252.4 64 248zM440 416H8C3.582 416 0 412.4 0 408C0 403.6 3.582 400 8 400H440C444.4 400 448 403.6 448 408C448 412.4 444.4 416 440 416z"],
    "baseball": [512, 512, [129358, 9918, "baseball-ball"], "f433", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM446.4 280.8c16.17-1.574 32.19-.2148 47.94 2.539c-12.63 110.6-100.6 198.5-211.2 210.1C281.3 484.4 280 474.4 280 464.2c0-5.031 .2187-10.03 .625-15.03c.375-4.406-2.906-8.25-7.312-8.625c-4.281-.7813-8.25 2.906-8.625 7.312C264.2 453.3 264 458.7 264 464.2c0 10.59 1.314 20.96 3.076 31.25C263.4 495.6 259.7 496 256 496c-132.3 0-240-107.7-240-240c0-3.738 .3906-7.379 .5605-11.08c10.39 1.781 20.88 3.109 31.6 3.109c6.031 0 12.03-.25 18.03-.8125C70.56 246.8 73.81 242.9 73.41 238.5C73 234.1 68.88 230.7 64.69 231.3c-15.85 1.438-31.55 .0391-47-2.664c12.63-110.6 100.6-198.5 211.2-210.1c1.793 9.93 3.135 19.96 3.135 30.2c0 5.344-.25 10.69-.6875 15.97C230.1 68.22 234.3 72.09 238.6 72.47C238.9 72.5 239.1 72.5 239.3 72.5c4.125 0 7.625-3.156 7.969-7.312c.5-5.781 .75-11.56 .75-17.34c0-10.6-1.316-20.99-3.078-31.28C248.6 16.39 252.3 16 256 16c132.3 0 240 107.7 240 240c0 3.852-.3984 7.602-.5781 11.41c-16.66-2.805-33.57-4.211-50.61-2.5c-4.406 .4375-7.625 4.344-7.188 8.75C438.1 278 441.5 281.2 446.4 280.8zM214.1 125.5C201.4 154.8 180.2 180.1 153.5 198.7C144.9 204.8 135.8 210.1 126.3 214.6c-4 1.875-5.719 6.656-3.812 10.62c1.344 2.906 4.219 4.594 7.219 4.594c1.156 0 2.312-.25 3.406-.7813c10.34-4.875 20.31-10.66 29.66-17.19c28.94-20.25 52.03-47.78 66.75-79.66c1.875-4 .125-8.75-3.906-10.59C221.7 119.8 216.8 121.5 214.1 125.5zM378 283.4c-9.938 4.719-19.59 10.38-28.75 16.78c-29.19 20.47-52.41 48.31-67.16 80.56c-1.844 4-.0625 8.75 3.969 10.59c1.062 .5 2.188 .7187 3.312 .7187c3.031 0 5.938-1.719 7.281-4.688c13.56-29.62 34.91-55.25 61.78-74.06c8.438-5.906 17.31-11.12 26.44-15.47c4-1.906 5.688-6.688 3.781-10.66S381.1 281.6 378 283.4z"],
    "baseball-bat-ball": [640, 512, [], "f432", "M627.3 60.18l-23.63-32.5c-13.44-18.49-33.78-27.68-54.12-27.68c-13.89 0-27.79 4.281-39.51 12.8L307.8 159.7C262.2 192.8 220.4 230.9 183.4 273.4c-24.22 27.88-81.2 88.13-125.5 123.8c-10.36-14.26-30.37-17.48-44.7-7.078c-14.3 10.39-17.47 30.41-7.077 44.7l46.52 64C58.89 507.4 68.64 512 78.55 512c6.516 0 13.11-1.984 18.78-6.109c14.3-10.39 17.47-30.41 7.079-44.7c53.79-35.39 130.1-65.92 158.1-77.89c51.87-22 101.3-49.87 146.9-82.1l202.3-146.7C642.3 131.8 648.9 90.05 627.3 60.18zM87.92 492.1c-6.994 5.082-17.03 3.764-22.35-3.545l-46.52-64c-5.187-7.137-3.598-17.17 3.533-22.35c7.047-5.115 17.07-3.748 22.36 3.535l46.52 64C96.67 477.8 95.08 487.7 87.92 492.1zM95.62 447.8l-.623 .4102l-27.68-38.08l.6094-.4902c27.58-22.18 60.25-53.96 87.21-81.96l46.84 64.45C168.3 407.1 128.2 426.4 95.62 447.8zM603.1 140.6l-202.3 146.8c-44.54 32.33-92.89 59.66-143.8 81.23c-20.38 8.582-27.26 11.43-40.14 16.98L166.3 315.9C177.9 303.6 188.1 292.5 195.5 283.9c36.03-41.38 76.97-78.83 121.7-111.3l202.3-146.9c22.05-16.04 54.05-12.34 71.27 11.34l23.61 32.47C630.7 92.23 625.7 124.1 603.1 140.6zM496.1 352c-44.12 0-79.72 35.75-79.72 80s35.59 80 79.72 80s79.91-35.75 79.91-80S540.2 352 496.1 352zM496.1 496c-35.15 0-63.75-28.71-63.75-64s28.6-64 63.75-64c35.22 0 63.87 28.71 63.87 64S531.3 496 496.1 496z"],
    "basket-shopping": [576, 512, ["shopping-basket"], "f291", "M208 408C208 412.4 204.4 416 200 416C195.6 416 192 412.4 192 408V296C192 291.6 195.6 288 200 288C204.4 288 208 291.6 208 296V408zM288 288C292.4 288 296 291.6 296 296V408C296 412.4 292.4 416 288 416C283.6 416 280 412.4 280 408V296C280 291.6 283.6 288 288 288zM384 408C384 412.4 380.4 416 376 416C371.6 416 368 412.4 368 408V296C368 291.6 371.6 288 376 288C380.4 288 384 291.6 384 296V408zM351 4.193L452.8 192H568C572.4 192 576 195.6 576 200C576 204.4 572.4 208 568 208H540L476.1 463.5C468.1 492 443.4 512 414 512H161.1C132.6 512 107 492 99.88 463.5L36 208H8C3.582 208 0 204.4 0 200C0 195.6 3.582 192 8 192H123.2L224.1 4.193C227.1 .3081 231.9-1.135 235.8 .9692C239.7 3.074 241.1 7.929 239 11.81L141.4 192H434.6L336.1 11.81C334.9 7.929 336.3 3.074 340.2 .9692C344.1-1.135 348.9 .3084 351 4.193H351zM115.4 459.6C120.7 481 139.9 496 161.1 496H414C436.1 496 455.3 481 460.6 459.6L523.5 208H52.49L115.4 459.6z"],
    "basket-shopping-simple": [576, 512, ["shopping-basket-alt"], "e0af", "M128 287.1C128 270.3 142.3 255.1 160 255.1C177.7 255.1 192 270.3 192 287.1C192 305.7 177.7 319.1 160 319.1C142.3 319.1 128 305.7 128 287.1zM160 271.1C151.2 271.1 144 279.2 144 287.1C144 296.8 151.2 303.1 160 303.1C168.8 303.1 176 296.8 176 287.1C176 279.2 168.8 271.1 160 271.1zM448 287.1C448 305.7 433.7 319.1 416 319.1C398.3 319.1 384 305.7 384 287.1C384 270.3 398.3 255.1 416 255.1C433.7 255.1 448 270.3 448 287.1zM416 303.1C424.8 303.1 432 296.8 432 287.1C432 279.2 424.8 271.1 416 271.1C407.2 271.1 400 279.2 400 287.1C400 296.8 407.2 303.1 416 303.1zM336.1 11.81C334.9 7.929 336.3 3.074 340.2 .9692C344.1-1.135 348.9 .3084 351 4.193L452.8 192H568C572.4 192 576 195.6 576 200C576 204.4 572.4 208 568 208H540L476.1 463.5C468.1 492 443.4 512 414 512H161.1C132.6 512 107 492 99.88 463.5L36 208H8C3.582 208 0 204.4 0 200C0 195.6 3.582 192 8 192H123.2L224.1 4.193C227.1 .3081 231.9-1.135 235.8 .9692C239.7 3.074 241.1 7.929 239 11.81L141.4 192H434.6L336.1 11.81zM523.5 208H52.49L115.4 459.6C120.7 481 139.9 496 161.1 496H414C436.1 496 455.3 481 460.6 459.6L523.5 208z"],
    "basketball": [512, 512, [127936, "basketball-ball"], "f434", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM495.1 274.3C486.6 273.2 478.1 272 469.5 272c-51.59 0-98.47 20.04-133.7 52.53L267.3 256l163.7-163.7C471.2 135.2 496 192.7 496 256C496 262.2 495.5 268.2 495.1 274.3zM288 469.5c0-47.17 18.24-90.06 47.84-122.4l83.86 83.86c-35.04 32.8-79.82 55.13-129.5 62.27C289.1 485.4 288 477.5 288 469.5zM347.2 335.8C379.5 306.2 422.4 288 469.5 288c7.965 0 15.86 1.123 23.75 2.156c-7.135 49.73-29.47 94.5-62.27 129.5L347.2 335.8zM419.7 80.99L256 244.7L187.5 176.2C219.1 140.9 240 94.05 240 42.47c0-8.559-1.217-17.05-2.312-25.54C243.8 16.47 249.8 16 256 16C319.3 16 376.8 40.81 419.7 80.99zM164.8 176.2C132.5 205.8 89.64 224 42.47 224C34.5 224 26.61 222.9 18.72 221.8c7.135-49.73 29.47-94.5 62.27-129.5L164.8 176.2zM92.3 80.99c35.04-32.8 79.82-55.13 129.5-62.27C222.9 26.61 224 34.5 224 42.47c0 47.17-18.24 90.06-47.84 122.4L92.3 80.99zM16.93 237.7C25.41 238.8 33.91 240 42.47 240c51.59 0 98.47-20.04 133.7-52.53L244.7 256l-163.7 163.7C40.81 376.8 16 319.3 16 256C16 249.8 16.47 243.8 16.93 237.7zM92.3 431L256 267.3l68.53 68.53C292 371.1 272 417.9 272 469.5c0 8.559 1.217 17.05 2.312 25.54C268.2 495.5 262.2 496 256 496C192.7 496 135.2 471.2 92.3 431z"],
    "basketball-hoop": [640, 512, [], "f435", "M480 224V168c0-13.23-10.78-24-24-24h-272C170.8 144 160 154.8 160 168V224h16V168C176 163.6 179.6 160 184 160h272c4.406 0 8 3.594 8 8V224H480zM632.5 177.7C574 72.24 456.2 0 320 0S65.96 72.24 7.455 177.7C2.328 186.1 0 197.5 0 208.1v118c0 25.43 15.05 48.44 38.35 58.63l109.4 47.86L145.7 414.3l-100.9-44.15C27.29 362.5 16 345.2 16 326.1V208.1c0-8.373 1.883-16.19 5.447-22.62C79.43 80.94 193.8 16 320 16s240.6 64.94 298.6 169.5C622.1 191.9 624 199.7 624 208.1v118c0 19.07-11.29 36.33-28.76 43.97l-100.9 44.15l-2.074 18.37l109.4-47.86C624.9 374.6 640 351.6 640 326.1V208.1C640 197.5 637.7 186.1 632.5 177.7zM520 264C520 259.6 516.4 256 512 256H128C123.6 256 120 259.6 120 264S123.6 272 128 272h25.77l26.29 232.9c.3125 2.938 2.25 5.453 5 6.547c2.656 1.047 5.875 .5781 8.125-1.344l60.24-51.16l61.45 51.21C316.4 511.4 318.2 512 320 512s3.625-.625 5.125-1.859l61.45-51.21l60.24 51.16C448.3 511.3 450.1 512 452 512c1 0 1.999-.1875 2.938-.5625c2.75-1.094 4.688-3.609 5-6.547L486.2 272H512C516.4 272 520 268.4 520 264zM448.8 272l-52.85 44.88L342.1 272H448.8zM383.6 327.4L320 381.4l-63.58-53.1L320 274.4L383.6 327.4zM297.9 272L244 316.9L191.2 272H297.9zM180.9 369.5L170.2 275.2l61.36 52.11L180.9 369.5zM194.3 488.2l-9.783-86.72l56.48 47.07L194.3 488.2zM253.3 438L188.5 384l55.45-46.21l63.71 54.1L253.3 438zM320 493.6l-54.2-45.17L320 402.4l54.2 46.03L320 493.6zM332.3 391.9l63.71-54.1L451.5 384l-64.82 54.03L332.3 391.9zM445.8 488.2l-46.7-39.65l56.48-47.07L445.8 488.2zM459.1 369.5l-50.71-42.26l61.36-52.11L459.1 369.5z"],
    "bat": [576, 512, [], "f6b5", "M452.6 117C468.8 109.3 488.1 113.4 499.7 127C548.9 184.4 576 257.6 576 333.2V377.9C576 388 565.3 394.6 556.2 390.1L493.3 358.6C485.8 354.9 476.7 357.5 472.4 364.7L442.5 414.4C437.2 423.4 424.9 424.9 417.5 417.5L380.9 380.9C374.1 374.1 362.8 374.8 356.9 382.4L300.7 455.5C294.3 463.8 281.7 463.8 275.3 455.5L219.1 382.4C213.2 374.8 201.9 374.1 195.1 380.9L158.5 417.5C151.1 424.9 138.8 423.4 133.5 414.4L103.6 364.7C99.32 357.5 90.23 354.9 82.75 358.6L19.79 390.1C10.7 394.6 0 388 0 377.9V333.2C0 257.6 27.05 184.4 76.27 127C87.91 113.4 107.2 109.3 123.4 117L196.5 151.9L213.8 59.52C215.1 52.84 220.9 48 227.7 48C230.5 48 233.2 48.83 235.6 50.37L280 80H296L340.4 50.37C342.8 48.83 345.5 48 348.3 48C355.1 48 360.9 52.84 362.2 59.52L379.5 151.9L452.6 117zM275.2 96L229 65.26L208.4 175.3L116.5 131.5C106.9 126.9 95.36 129.3 88.42 137.4C41.69 191.9 15.1 261.4 15.1 333.2V374.1L75.59 344.3C90.55 336.8 108.7 342.1 117.3 356.5L147.2 406.2L183.8 369.6C197.5 355.9 220 357.4 231.8 372.7L287.1 445.8L344.2 372.7C355.1 357.4 378.5 355.9 392.2 369.6L428.8 406.2L458.7 356.5C467.3 342.1 485.4 336.8 500.4 344.3L560 374.1V333.2C560 261.4 534.3 191.9 487.6 137.4C480.6 129.3 469.1 126.9 459.5 131.5L367.6 175.3L346.1 65.26L300.8 96H275.2z"],
    "bath": [512, 512, [128705, "bathtub"], "f2cd", "M504 272H48V53.25C48 32.7 64.72 16 85.25 16c9.812 0 19.44 3.969 26.34 10.91l32.4 32.4C133.8 72.01 128 87.48 128 104c0 19.23 7.5 37.31 21.09 50.91l18.34 18.34L162.3 178.3c-3.125 3.125-3.125 8.188 0 11.31C163.9 191.2 165.9 192 168 192s4.094-.7813 5.656-2.344l112-112c3.125-3.125 3.125-8.188 0-11.31s-8.188-3.125-11.31 0l-5.094 5.094L250.9 53.09C224.8 26.97 183.6 25.49 155.3 48.01L122.9 15.59C113 5.688 99.28 0 85.25 0C55.88 0 32 23.89 32 53.25V272H8C3.594 272 0 275.6 0 280S3.594 288 8 288h496C508.4 288 512 284.5 512 280S508.4 272 504 272zM160.4 64.41c21.81-21.84 57.38-21.84 79.19 0l18.34 18.34L178.8 161.9L160.4 143.6C149.8 133 144 118.1 144 104S149.8 74.98 160.4 64.41zM472 320c-4.406 0-8 3.578-8 8v48c0 48.53-39.47 88-88 88h-240c-48.53 0-88-39.47-88-88v-48C48 323.6 44.41 320 40 320S32 323.6 32 328v48c0 36.78 19.32 68.98 48.22 87.48C80.2 463.7 80 463.8 80 464v40C80 508.4 83.59 512 88 512S96 508.4 96 504v-32.05C108.3 477.1 121.8 480 136 480h240c14.17 0 27.68-2.891 40-8.049V504c0 4.422 3.594 8 8 8s8-3.578 8-8V464c0-.2051-.2012-.3223-.2168-.5234C460.7 444.1 480 412.8 480 376v-48C480 323.6 476.4 320 472 320z"],
    "battery-bolt": [576, 512, [], "f376", "M205 248H327C330.3 248 333.3 250.1 334.5 253.2C335.7 256.3 334.8 259.8 332.3 261.1L215.3 365.1C212 368.9 206.1 368.6 204 365.3C201.1 362 201.4 356.1 204.7 354L305.1 264H184C180.7 264 177.7 261.9 176.5 258.8C175.3 255.7 176.2 252.2 178.7 250L295.7 146C298.1 143.1 304 143.4 306.1 146.7C309.9 149.1 309.6 155 306.3 157.1L205 248zM448 416H80C35.82 416 0 380.2 0 336V176C0 131.8 35.82 96 80 96H448C492.2 96 528 131.8 528 176V192H544C561.7 192 576 206.3 576 224V288C576 305.7 561.7 320 544 320H528V336C528 380.2 492.2 416 448 416zM80 112C44.65 112 16 140.7 16 176V336C16 371.3 44.65 400 80 400H448C483.3 400 512 371.3 512 336V176C512 140.7 483.3 112 448 112H80zM544 304C552.8 304 560 296.8 560 288V224C560 215.2 552.8 208 544 208H528V304H544z"],
    "battery-empty": [576, 512, ["battery-0"], "f244", "M528 320V336C528 380.2 492.2 416 448 416H80C35.82 416 0 380.2 0 336V176C0 131.8 35.82 96 80 96H448C492.2 96 528 131.8 528 176V192H544C561.7 192 576 206.3 576 224V288C576 305.7 561.7 320 544 320H528zM16 336C16 371.3 44.65 400 80 400H448C483.3 400 512 371.3 512 336V176C512 140.7 483.3 112 448 112H80C44.65 112 16 140.7 16 176V336zM528 208V304H544C552.8 304 560 296.8 560 288V224C560 215.2 552.8 208 544 208H528z"],
    "battery-exclamation": [576, 512, [], "e0b0", "M272 144C276.4 144 280 147.6 280 152V296C280 300.4 276.4 304 272 304C267.6 304 264 300.4 264 296V152C264 147.6 267.6 144 272 144zM288 352C288 360.8 280.8 368 272 368C263.2 368 256 360.8 256 352C256 343.2 263.2 336 272 336C280.8 336 288 343.2 288 352zM448 416H80C35.82 416 0 380.2 0 336V176C0 131.8 35.82 96 80 96H448C492.2 96 528 131.8 528 176V192H544C561.7 192 576 206.3 576 224V288C576 305.7 561.7 320 544 320H528V336C528 380.2 492.2 416 448 416zM80 112C44.65 112 16 140.7 16 176V336C16 371.3 44.65 400 80 400H448C483.3 400 512 371.3 512 336V176C512 140.7 483.3 112 448 112H80zM544 304C552.8 304 560 296.8 560 288V224C560 215.2 552.8 208 544 208H528V304H544z"],
    "battery-full": [576, 512, [128267, "battery", "battery-5"], "f240", "M64 208C64 181.5 85.49 160 112 160H416C442.5 160 464 181.5 464 208V304C464 330.5 442.5 352 416 352H112C85.49 352 64 330.5 64 304V208zM80 208V304C80 321.7 94.33 336 112 336H416C433.7 336 448 321.7 448 304V208C448 190.3 433.7 176 416 176H112C94.33 176 80 190.3 80 208zM448 416H80C35.82 416 0 380.2 0 336V176C0 131.8 35.82 96 80 96H448C492.2 96 528 131.8 528 176V192H544C561.7 192 576 206.3 576 224V288C576 305.7 561.7 320 544 320H528V336C528 380.2 492.2 416 448 416zM80 112C44.65 112 16 140.7 16 176V336C16 371.3 44.65 400 80 400H448C483.3 400 512 371.3 512 336V176C512 140.7 483.3 112 448 112H80zM544 304C552.8 304 560 296.8 560 288V224C560 215.2 552.8 208 544 208H528V304H544z"],
    "battery-half": [576, 512, ["battery-3"], "f242", "M64 208C64 181.5 85.49 160 112 160H240C266.5 160 288 181.5 288 208V304C288 330.5 266.5 352 240 352H112C85.49 352 64 330.5 64 304V208zM80 208V304C80 321.7 94.33 336 112 336H240C257.7 336 272 321.7 272 304V208C272 190.3 257.7 176 240 176H112C94.33 176 80 190.3 80 208zM448 416H80C35.82 416 0 380.2 0 336V176C0 131.8 35.82 96 80 96H448C492.2 96 528 131.8 528 176V192H544C561.7 192 576 206.3 576 224V288C576 305.7 561.7 320 544 320H528V336C528 380.2 492.2 416 448 416zM80 112C44.65 112 16 140.7 16 176V336C16 371.3 44.65 400 80 400H448C483.3 400 512 371.3 512 336V176C512 140.7 483.3 112 448 112H80zM544 304C552.8 304 560 296.8 560 288V224C560 215.2 552.8 208 544 208H528V304H544z"],
    "battery-low": [576, 512, ["battery-1"], "e0b1", "M64 208C64 181.5 85.49 160 112 160C138.5 160 160 181.5 160 208V304C160 330.5 138.5 352 112 352C85.49 352 64 330.5 64 304V208zM112 176C94.33 176 80 190.3 80 208V304C80 321.7 94.33 336 112 336C129.7 336 144 321.7 144 304V208C144 190.3 129.7 176 112 176zM448 416H80C35.82 416 0 380.2 0 336V176C0 131.8 35.82 96 80 96H448C492.2 96 528 131.8 528 176V192H544C561.7 192 576 206.3 576 224V288C576 305.7 561.7 320 544 320H528V336C528 380.2 492.2 416 448 416zM80 112C44.65 112 16 140.7 16 176V336C16 371.3 44.65 400 80 400H448C483.3 400 512 371.3 512 336V176C512 140.7 483.3 112 448 112H80zM544 304C552.8 304 560 296.8 560 288V224C560 215.2 552.8 208 544 208H528V304H544z"],
    "battery-quarter": [576, 512, ["battery-2"], "f243", "M64 208C64 181.5 85.49 160 112 160H144C170.5 160 192 181.5 192 208V304C192 330.5 170.5 352 144 352H112C85.49 352 64 330.5 64 304V208zM80 208V304C80 321.7 94.33 336 112 336H144C161.7 336 176 321.7 176 304V208C176 190.3 161.7 176 144 176H112C94.33 176 80 190.3 80 208zM448 416H80C35.82 416 0 380.2 0 336V176C0 131.8 35.82 96 80 96H448C492.2 96 528 131.8 528 176V192H544C561.7 192 576 206.3 576 224V288C576 305.7 561.7 320 544 320H528V336C528 380.2 492.2 416 448 416zM80 112C44.65 112 16 140.7 16 176V336C16 371.3 44.65 400 80 400H448C483.3 400 512 371.3 512 336V176C512 140.7 483.3 112 448 112H80zM544 304C552.8 304 560 296.8 560 288V224C560 215.2 552.8 208 544 208H528V304H544z"],
    "battery-slash": [640, 512, [], "f377", "M636.1 497.7C640.4 500.5 641 505.5 638.3 508.1C635.5 512.4 630.5 513 627 510.3L3.022 14.26C-.4365 11.51-1.012 6.481 1.738 3.022C4.487-.4365 9.52-1.012 12.98 1.738L636.1 497.7zM386.2 400L406.5 416H112C67.82 416 32 380.2 32 336V176C32 159.4 37.06 143.1 45.72 131.2L58.32 141.1C51.79 151.2 48 163.1 48 176V336C48 371.3 76.65 400 112 400L386.2 400zM560 176V192H576C593.7 192 608 206.3 608 224V288C608 305.7 593.7 320 576 320H560V336C560 341.6 559.4 347.1 558.3 352.4L543.8 340.1C543.9 339.3 544 337.7 544 336V176C544 140.7 515.3 112 480 112H253.8L233.5 96H480C524.2 96 560 131.8 560 176H560zM560 208V304H576C584.8 304 592 296.8 592 288V224C592 215.2 584.8 208 576 208H560z"],
    "battery-three-quarters": [576, 512, ["battery-4"], "f241", "M64 208C64 181.5 85.49 160 112 160H336C362.5 160 384 181.5 384 208V304C384 330.5 362.5 352 336 352H112C85.49 352 64 330.5 64 304V208zM80 208V304C80 321.7 94.33 336 112 336H336C353.7 336 368 321.7 368 304V208C368 190.3 353.7 176 336 176H112C94.33 176 80 190.3 80 208zM448 416H80C35.82 416 0 380.2 0 336V176C0 131.8 35.82 96 80 96H448C492.2 96 528 131.8 528 176V192H544C561.7 192 576 206.3 576 224V288C576 305.7 561.7 320 544 320H528V336C528 380.2 492.2 416 448 416zM80 112C44.65 112 16 140.7 16 176V336C16 371.3 44.65 400 80 400H448C483.3 400 512 371.3 512 336V176C512 140.7 483.3 112 448 112H80zM544 304C552.8 304 560 296.8 560 288V224C560 215.2 552.8 208 544 208H528V304H544z"],
    "bed": [640, 512, [128716], "f236", "M16 320H272V168C272 145.9 289.9 128 312 128H536C593.4 128 640 174.6 640 232V472C640 476.4 636.4 480 632 480C627.6 480 624 476.4 624 472V416H16V472C16 476.4 12.42 480 8 480C3.582 480 0 476.4 0 472V40C0 35.58 3.582 32 8 32C12.42 32 16 35.58 16 40V320zM624 336H16V400H624V336zM536 144H312C298.7 144 288 154.7 288 168V320H624V232C624 183.4 584.6 144 536 144zM224 208C224 252.2 188.2 288 144 288C99.82 288 64 252.2 64 208C64 163.8 99.82 128 144 128C188.2 128 224 163.8 224 208zM144 144C108.7 144 80 172.7 80 208C80 243.3 108.7 272 144 272C179.3 272 208 243.3 208 208C208 172.7 179.3 144 144 144z"],
    "bed-bunk": [576, 512, [], "f8f8", "M48 336C48 300.7 76.65 272 112 272C147.3 272 176 300.7 176 336C176 371.3 147.3 400 112 400C76.65 400 48 371.3 48 336zM112 384C138.5 384 160 362.5 160 336C160 309.5 138.5 288 112 288C85.49 288 64 309.5 64 336C64 362.5 85.49 384 112 384zM16 192H208V56C208 42.75 218.7 32 232 32H472C529.4 32 576 78.56 576 136V504C576 508.4 572.4 512 568 512C563.6 512 560 508.4 560 504V447.7H16V504C16 508.4 12.42 512 8 512C3.582 512 0 508.4 0 504V8C0 3.582 3.582 0 8 0C12.42 0 16 3.582 16 8V192zM232 272H560V208H16V431.7H208V296C208 282.7 218.7 272 232 272zM472 48H232C227.6 48 224 51.58 224 56V192H560V136C560 87.4 520.6 48 472 48zM224 296V431.7H560V288H232C227.6 288 224 291.6 224 296zM48 96C48 60.65 76.65 32 112 32C147.3 32 176 60.65 176 96C176 131.3 147.3 160 112 160C76.65 160 48 131.3 48 96zM112 144C138.5 144 160 122.5 160 96C160 69.49 138.5 48 112 48C85.49 48 64 69.49 64 96C64 122.5 85.49 144 112 144z"],
    "bed-empty": [640, 512, [128719], "f8f9", "M8 32C12.42 32 16 35.58 16 40V192H536C593.4 192 640 238.6 640 296V472C640 476.4 636.4 480 632 480C627.6 480 624 476.4 624 472V416H16V472C16 476.4 12.42 480 8 480C3.582 480 0 476.4 0 472V40C0 35.58 3.582 32 8 32zM16 400H624V336H16V400zM16 320H624V296C624 247.4 584.6 208 536 208H16V320z"],
    "bed-front": [512, 512, ["bed-alt"], "f8f7", "M32 88C32 57.07 57.07 32 88 32H424C454.9 32 480 57.07 480 88V236.1C499.3 249 512 271 512 296V472C512 476.4 508.4 480 504 480C499.6 480 496 476.4 496 472V416H16V472C16 476.4 12.42 480 8 480C3.582 480 0 476.4 0 472V296C0 271 12.7 249 32 236.1V88zM48 144.8C58.16 134.4 72.33 128 88 128H208C228.4 128 246.2 138.9 256 155.1C265.8 138.9 283.6 128 304 128H424C439.7 128 453.8 134.4 464 144.8V88C464 65.91 446.1 48 424 48H88C65.91 48 48 65.91 48 88V144.8zM48 184V228.1C55.51 225.4 63.58 224 72 224H248V184C248 161.9 230.1 144 208 144H88C65.91 144 48 161.9 48 184zM264 184V224H440C448.4 224 456.5 225.4 464 228.1V184C464 161.9 446.1 144 424 144H304C281.9 144 264 161.9 264 184zM72 240C41.07 240 16 265.1 16 296V400H496V296C496 265.1 470.9 240 440 240H72z"],
    "bed-pulse": [640, 512, ["procedures"], "f487", "M359.3 176H312C298.7 176 288 186.7 288 200V352H624V264C624 215.4 584.6 176 536 176H439.9L446.3 160H536C593.4 160 640 206.6 640 264V504C640 508.4 636.4 512 632 512C627.6 512 624 508.4 624 504V448H16V504C16 508.4 12.42 512 8 512C3.582 512 0 508.4 0 504V72C0 67.58 3.582 64 8 64C12.42 64 16 67.58 16 72V352H272V200C272 177.9 289.9 160 312 160H351.3L359.3 176zM16 432H624V368H16V432zM64 240C64 195.8 99.82 160 144 160C188.2 160 224 195.8 224 240C224 284.2 188.2 320 144 320C99.82 320 64 284.2 64 240zM144 304C179.3 304 208 275.3 208 240C208 204.7 179.3 176 144 176C108.7 176 80 204.7 80 240C80 275.3 108.7 304 144 304zM463.7 .0069C466.8-.1239 469.7 1.605 471.2 4.422L500.9 64H632C636.4 64 640 67.58 640 72C640 76.42 636.4 80 632 80H496C492.1 80 490.2 78.29 488.8 75.58L464.8 27.51L407.4 170.1C406.3 173.9 403.5 175.9 400.3 175.1C397.2 176.1 394.3 174.4 392.8 171.6L347.1 80H200C195.6 80 192 76.42 192 72C192 67.58 195.6 64 200 64H352C355 64 357.8 65.71 359.2 68.42L399.2 148.5L456.6 5.029C457.7 2.104 460.5 .1381 463.7 .0069V.0069z"],
    "bee": [576, 512, [], "e0b2", "M448 95.1c-27.89 0-55.53 9.735-80.95 23.13C367.3 116.7 368 114.5 368 111.1c0-21.94-8.857-41.8-23.16-56.25l37.17-42.48c2.922-3.344 2.578-8.407-.75-11.31c-3.328-2.875-8.344-2.531-11.28 .75l-37.47 42.83C319.8 36.99 304.5 31.1 288 31.1S256.2 36.99 243.5 45.53L206 2.702C203.1-.5795 198.1-.9232 194.7 1.952C191.4 4.858 191.1 9.921 193.1 13.26l37.17 42.48C216.9 70.2 208 90.06 208 111.1c0 2.467 .6816 4.723 .9004 7.133C183.5 105.7 155.9 95.1 128 95.1C57.34 95.1 0 146.1 0 207.1c0 55.42 46.18 101 106.6 109.9c4.965 .7305 9.353-3.385 9.011-8.393c-.002-.0527 .0039 .0547 0 0C115.4 305.8 112.6 302.7 108.9 302.1C56.29 294.3 16 255.3 16 207.9c0-52.91 50.22-95.96 111.1-95.96c29.58 0 59.19 12.36 85.85 28.33c4.496 11.74 11.34 22.13 20.45 30.45c-51.17 21.08-87.08 71.24-87.05 130C147.2 406.4 288 512 288 512s140.8-105.6 140.8-211.2c.0215-58.78-35.94-108.1-87.11-130c9.115-8.326 16.01-18.7 20.51-30.43C388.9 124.3 418.4 111.1 448 111.1c61.72 0 112 43.05 112 96.04c0 47.29-40.27 86.27-92.91 94.07c-3.684 .5469-6.474 3.652-6.724 7.369c-.0039 .0547 .002-.0547 0 0c-.3418 5.008 4.046 9.125 9.011 8.395C529.8 308.1 576 263.5 576 208C576 146.2 518.7 95.99 448 95.1zM288 491.5c-13.06-10.79-37.52-32.26-61.34-59.52h122.7C325.5 459.3 301.1 480.7 288 491.5zM362.7 415.1H213.3c-15.49-19.59-29.52-41.41-38.82-64h227C392.2 374.6 378.2 396.4 362.7 415.1zM412.8 300.8c0 11.73-2.154 23.52-5.623 35.2H168.8c-3.471-11.69-5.623-23.48-5.623-35.21c-.0039-9.86 1.471-19.43 3.678-28.79h242.2C411.3 281.4 412.8 290.9 412.8 300.8zM376.3 212.5c12.54 12.54 21.82 27.38 28 43.45H171.7C177.9 239.9 187.2 225.1 199.7 212.5c23.56-23.57 54.9-36.56 88.23-36.56S352.7 188.1 376.3 212.5zM322.7 164.8c-11.15-2.842-22.66-4.813-34.7-4.813S264.4 161.1 253.3 164.8C235.9 153.4 224 134.3 224 111.1c0-17.1 6.838-32.58 17.8-44.07l8.18 9.35C251.6 79.05 253.8 79.99 256 79.99c1.875 0 3.75-.6563 5.266-1.969C264.6 75.11 264.9 70.05 262 66.7L254.3 57.84C264.1 51.69 275.6 47.98 288 47.98s23.92 3.707 33.74 9.852l-7.76 8.867c-2.922 3.344-2.578 8.407 .75 11.31C316.3 79.33 318.1 79.99 320 79.99c2.219 0 4.438-.9375 6.016-2.719l8.182-9.35C345.2 79.41 352 94.88 352 111.1C352 134.3 340.1 153.4 322.7 164.8z"],
    "beer-mug": [512, 512, ["beer-foam"], "e0b3", "M115.2 133.3C119.8 130.2 125 128.8 130.2 128.8c8.338-.002 16.79 3.602 23.28 9.684C167.8 151.8 186.9 160 207.1 160s40.23-8.188 54.49-21.54c6.494-6.08 14.94-9.684 23.28-9.684c5.225 0 10.4 1.412 15.03 4.52C310.9 140 322.9 144 335.1 144c39.88 0 71.24-36.47 62.54-77.88c-4.861-23.15-23.39-42.46-46.36-48.12C346.7 16.64 341.3 16 335.1 16c-11.1 0-23.17 3.338-32.71 9.117c-5.84 3.537-12.22 5.328-18.49 5.328c-8.049 0-15.93-2.943-22.33-8.926C248.2 8.178 229.1 0 207.1 0S167.8 8.178 153.5 21.52C147.1 27.5 139.2 30.45 131.2 30.45c-6.277 0-12.65-1.791-18.49-5.328C103.2 19.34 91.1 16 80 16c-5.258-.002-10.67 .6406-16.18 1.998c-22.96 5.658-41.5 24.97-46.36 48.12C8.761 107.5 40.12 144 79.1 144C93.06 144 105.1 140 115.2 133.3zM33.12 69.4c3.625-17.26 17.5-31.68 34.53-35.87C71.78 32.52 75.93 31.1 80 32c8.629 0 17.07 2.352 24.42 6.803C112.7 43.8 121.9 46.45 131.2 46.45c12.32 0 24.13-4.703 33.26-13.24C176.3 22.11 191.8 16 207.1 16S239.7 22.11 251.5 33.2c9.125 8.541 20.94 13.24 33.26 13.24c9.264 0 18.53-2.643 26.78-7.643C318.9 34.35 327.4 32 335.1 32c4.068 0 8.225 .5156 12.35 1.533c17.03 4.195 30.9 18.61 34.53 35.87c3.121 14.86-.2832 29.35-9.588 40.82C364.1 121.5 350.5 128 335.1 128c-9.4 0-18.49-2.764-26.28-7.994c-7.053-4.732-15.33-7.232-23.95-7.232c-12.24 0-24.71 5.104-34.22 14.01C239.7 137.9 224.2 144 207.1 144s-31.7-6.117-43.55-17.22C154.9 117.9 142.5 112.8 130.2 112.8c-8.613 0-16.89 2.5-23.95 7.232C98.49 125.2 89.4 128 79.1 128C65.47 128 51.88 121.5 42.71 110.2C33.4 98.76 29.1 84.26 33.12 69.4zM135.1 232v208c0 4.422 3.579 8 8.001 8s7.999-3.578 7.999-8v-208c0-4.422-3.585-8-8.007-8S135.1 227.6 135.1 232zM439.1 160h-64c-4.418 0-8 3.582-8 8V448c0 26.51-21.49 48-48 48H95.1c-26.51 0-48-21.49-48-48V168c0-4.418-3.582-8-8-8s-8 3.582-8 8L31.1 448c0 35.35 28.65 64 64 64h223.1c35.35 0 64-28.65 64-64l-.0006-11.05l56.21-28.1c24.39-12.19 39.79-37.12 39.79-64.39V200C479.1 177.9 462.1 160 439.1 160zM463.1 344.5c0 21.34-11.86 40.53-30.95 50.08l-49.05 24.52V176h56c13.23 0 24 10.77 24 24V344.5zM199.1 232v208c0 4.422 3.579 8 8.001 8s7.999-3.578 7.999-8v-208c0-4.422-3.584-8-8.006-8S199.1 227.6 199.1 232zM263.1 232v208c0 4.422 3.579 8 8.001 8s7.999-3.578 7.999-8v-208c0-4.422-3.582-8-8.004-8S263.1 227.6 263.1 232z"],
    "beer-mug-empty": [512, 512, ["beer"], "f0fc", "M144 128C139.6 128 136 131.6 136 136v240C136 380.4 139.6 384 144 384s8-3.578 8-8v-240C152 131.6 148.4 128 144 128zM208 128C203.6 128 200 131.6 200 136v240C200 380.4 203.6 384 208 384s8-3.578 8-8v-240C216 131.6 212.4 128 208 128zM272 128c-4.422 0-8 3.578-8 8v240c0 4.422 3.578 8 8 8s8-3.578 8-8v-240C280 131.6 276.4 128 272 128zM440 96H384V64c0-17.67-14.33-32-32-32H64C46.33 32 32 46.33 32 64v352c0 35.35 28.65 64 64 64h224c35.35 0 64-28.65 64-64v-43.05l56.2-28.1C464.8 332.6 480 307.9 480 280.5V136C480 113.9 462.1 96 440 96zM368 416c0 26.47-21.53 48-48 48H96c-26.47 0-48-21.53-48-48V64c0-8.822 7.178-16 16-16h288c8.822 0 16 7.178 16 16V416zM464 280.5c0 21.34-11.86 40.53-30.95 50.08L384 355.1V112h56c13.23 0 24 10.77 24 24V280.5z"],
    "bell": [448, 512, [61602, 128276], "f0f3", "M216 8C216 3.582 219.6 0 224 0C228.4 0 232 3.582 232 8V32L231.1 32.2C316.6 36.36 384 106.3 384 192V228.6C384 270.4 398.2 310.1 424.3 343.6L441.1 364.5C445.6 370.1 448 377.1 448 384.3C448 401.8 433.8 416 416.3 416H31.69C14.19 416 0 401.8 0 384.3C0 377.1 2.449 370.1 6.944 364.5L23.68 343.6C49.78 310.1 64 270.4 64 228.6V192C64 106.3 131.4 36.36 216 32.2L216 32V8zM224 48C144.5 48 80 112.5 80 192V228.6C80 274.1 64.54 318.1 36.17 353.6L19.44 374.5C17.21 377.3 16 380.7 16 384.3C16 392.1 23.02 400 31.69 400H416.3C424.1 400 432 392.1 432 384.3C432 380.7 430.8 377.3 428.6 374.5L411.8 353.6C383.5 318.1 368 274.1 368 228.6V192C368 112.5 303.5 48 224 48zM190.1 481.9C199.1 490.9 211.3 496 224 496C236.7 496 248.9 490.9 257.9 481.9C266.9 472.9 272 460.7 272 448C272 443.6 275.6 440 280 440C284.4 440 288 443.6 288 448C288 464.1 281.3 481.3 269.3 493.3C257.3 505.3 240.1 512 224 512C207 512 190.7 505.3 178.7 493.3C166.7 481.3 160 464.1 160 448C160 443.6 163.6 440 168 440C172.4 440 176 443.6 176 448C176 460.7 181.1 472.9 190.1 481.9z"],
    "bell-concierge": [512, 512, [128718, "concierge-bell"], "f562", "M503.1 432h-496c-4.422 0-8 3.578-8 8S3.578 448 7.1 448h496c4.422 0 8-3.578 8-8S508.4 432 503.1 432zM31.1 392c4.422 0 8-3.578 8-8c0-119.1 96.89-216 216-216s216 96.89 216 216c0 4.422 3.578 8 8 8s8-3.578 8-8c0-125.2-99.8-227.3-224-231.6V80h48c4.422 0 8-3.578 8-8S316.4 64 311.1 64h-112c-4.422 0-8 3.578-8 8s3.578 8 8 8h48v72.4c-124.2 4.266-224 106.4-224 231.6C23.1 388.4 27.58 392 31.1 392z"],
    "bell-exclamation": [448, 512, [], "f848", "M240 320C240 328.8 232.8 336 224 336C215.2 336 208 328.8 208 320C208 311.2 215.2 304 224 304C232.8 304 240 311.2 240 320zM232 264C232 268.4 228.4 272 224 272C219.6 272 216 268.4 216 264V136C216 131.6 219.6 128 224 128C228.4 128 232 131.6 232 136V264zM216 8C216 3.582 219.6 0 224 0C228.4 0 232 3.582 232 8V32L231.1 32.2C316.6 36.36 384 106.3 384 192V228.6C384 270.4 398.2 310.1 424.3 343.6L441.1 364.5C445.6 370.1 448 377.1 448 384.3C448 401.8 433.8 416 416.3 416H31.69C14.19 416 0 401.8 0 384.3C0 377.1 2.449 370.1 6.944 364.5L23.68 343.6C49.78 310.1 64 270.4 64 228.6V192C64 106.3 131.4 36.36 216 32.2L216 32V8zM224 48C144.5 48 80 112.5 80 192V228.6C80 274.1 64.54 318.1 36.17 353.6L19.44 374.5C17.21 377.3 16 380.7 16 384.3C16 392.1 23.02 400 31.69 400H416.3C424.1 400 432 392.1 432 384.3C432 380.7 430.8 377.3 428.6 374.5L411.8 353.6C383.5 318.1 368 274.1 368 228.6V192C368 112.5 303.5 48 224 48zM190.1 481.9C199.1 490.9 211.3 496 224 496C236.7 496 248.9 490.9 257.9 481.9C266.9 472.9 272 460.7 272 448C272 443.6 275.6 440 280 440C284.4 440 288 443.6 288 448C288 464.1 281.3 481.3 269.3 493.3C257.3 505.3 240.1 512 224 512C207 512 190.7 505.3 178.7 493.3C166.7 481.3 160 464.1 160 448C160 443.6 163.6 440 168 440C172.4 440 176 443.6 176 448C176 460.7 181.1 472.9 190.1 481.9z"],
    "bell-on": [640, 512, [128365], "f8fa", "M312 8C312 3.582 315.6 0 320 0C324.4 0 328 3.582 328 8V32L327.1 32.2C412.6 36.36 480 106.3 480 192V228.6C480 270.4 494.2 310.1 520.3 343.6L537.1 364.5C541.6 370.1 544 377.1 544 384.3C544 401.8 529.8 416 512.3 416H127.7C110.2 416 96 401.8 96 384.3C96 377.1 98.45 370.1 102.9 364.5L119.7 343.6C145.8 310.1 160 270.4 160 228.6V192C160 106.3 227.4 36.36 312 32.2L312 32L312 8zM320 48C240.5 48 176 112.5 176 192V228.6C176 274.1 160.5 318.1 132.2 353.6L115.4 374.5C113.2 377.3 112 380.7 112 384.3C112 392.1 119 400 127.7 400H512.3C520.1 400 528 392.1 528 384.3C528 380.7 526.8 377.3 524.6 374.5L507.8 353.6C479.5 318.1 464 274.1 464 228.6V192C464 112.5 399.5 48 319.1 48H320zM286.1 481.9C295.1 490.9 307.3 496 320 496C332.7 496 344.9 490.9 353.9 481.9C362.9 472.9 368 460.7 368 448C368 443.6 371.6 440 376 440C380.4 440 384 443.6 384 448C384 464.1 377.3 481.3 365.3 493.3C353.3 505.3 336.1 512 320 512C303 512 286.7 505.3 274.7 493.3C262.7 481.3 256 464.1 256 448C256 443.6 259.6 440 264 440C268.4 440 272 443.6 272 448C272 460.7 277.1 472.9 286.1 481.9zM0 184C0 179.6 3.582 176 8 176H104C108.4 176 112 179.6 112 184C112 188.4 108.4 192 104 192H8C3.582 192 0 188.4 0 184zM632 176C636.4 176 640 179.6 640 184C640 188.4 636.4 192 632 192H536C531.6 192 528 188.4 528 184C528 179.6 531.6 176 536 176H632zM607.2 36.42C609.1 40.37 607.5 45.18 603.6 47.16L523.6 87.16C519.6 89.13 514.8 87.53 512.8 83.58C510.9 79.63 512.5 74.82 516.4 72.84L596.4 32.84C600.4 30.87 605.2 32.47 607.2 36.42V36.42zM36.42 47.16C32.47 45.18 30.87 40.37 32.84 36.42C34.82 32.47 39.63 30.87 43.58 32.84L123.6 72.84C127.5 74.82 129.1 79.63 127.2 83.58C125.2 87.53 120.4 89.13 116.4 87.16L36.42 47.16z"],
    "bell-plus": [448, 512, [], "f849", "M224 160C228.4 160 232 163.6 232 168V232H296C300.4 232 304 235.6 304 240C304 244.4 300.4 248 296 248H232V312C232 316.4 228.4 320 224 320C219.6 320 216 316.4 216 312V248H152C147.6 248 144 244.4 144 240C144 235.6 147.6 232 152 232H216V168C216 163.6 219.6 160 224 160zM216 8C216 3.582 219.6 0 224 0C228.4 0 232 3.582 232 8V32L231.1 32.2C316.6 36.36 384 106.3 384 192V228.6C384 270.4 398.2 310.1 424.3 343.6L441.1 364.5C445.6 370.1 448 377.1 448 384.3C448 401.8 433.8 416 416.3 416H31.69C14.19 416 0 401.8 0 384.3C0 377.1 2.449 370.1 6.944 364.5L23.68 343.6C49.78 310.1 64 270.4 64 228.6V192C64 106.3 131.4 36.36 216 32.2L216 32V8zM224 48C144.5 48 80 112.5 80 192V228.6C80 274.1 64.54 318.1 36.17 353.6L19.44 374.5C17.21 377.3 16 380.7 16 384.3C16 392.1 23.02 400 31.69 400H416.3C424.1 400 432 392.1 432 384.3C432 380.7 430.8 377.3 428.6 374.5L411.8 353.6C383.5 318.1 368 274.1 368 228.6V192C368 112.5 303.5 48 224 48zM190.1 481.9C199.1 490.9 211.3 496 224 496C236.7 496 248.9 490.9 257.9 481.9C266.9 472.9 272 460.7 272 448C272 443.6 275.6 440 280 440C284.4 440 288 443.6 288 448C288 464.1 281.3 481.3 269.3 493.3C257.3 505.3 240.1 512 224 512C207 512 190.7 505.3 178.7 493.3C166.7 481.3 160 464.1 160 448C160 443.6 163.6 440 168 440C172.4 440 176 443.6 176 448C176 460.7 181.1 472.9 190.1 481.9z"],
    "bell-school": [512, 512, [], "f5d5", "M128 208C128 163.8 163.8 128 208 128C252.2 128 288 163.8 288 208C288 252.2 252.2 288 208 288C163.8 288 128 252.2 128 208zM208 272C243.3 272 272 243.3 272 208C272 172.7 243.3 144 208 144C172.7 144 144 172.7 144 208C144 243.3 172.7 272 208 272zM112 512C85.49 512 64 490.5 64 464V358.1C24.55 320.2 0 266.1 0 208C0 93.12 93.12 0 208 0C322.9 0 416 93.12 416 208C416 266.1 391.4 320.2 352 358.1V464C352 476.3 347.4 487.5 339.8 496H432C445.3 496 456 485.3 456 472V447.3C433.3 443.5 416 423.8 416 400C416 373.5 437.5 352 464 352C490.5 352 512 373.5 512 400C512 423.8 494.7 443.5 472 447.3V472C472 494.1 454.1 512 432 512H112zM208 400C314 400 400 314 400 208C400 101.1 314 16 208 16C101.1 16 16 101.1 16 208C16 314 101.1 400 208 400zM80 371.1V464C80 481.7 94.33 496 112 496H304C321.7 496 336 481.7 336 464V371.1C300.7 399.6 256.3 416 208 416C159.7 416 115.3 399.6 80 371.1zM464 368C446.3 368 432 382.3 432 400C432 417.7 446.3 432 464 432C481.7 432 496 417.7 496 400C496 382.3 481.7 368 464 368z"],
    "bell-school-slash": [640, 512, [], "f5d6", "M480 208C480 233.4 475.4 257.8 467.1 280.4L453.8 269.9C460.4 250.5 464 229.7 464 208C464 101.1 378 16 271.1 16C234.4 16 199.3 26.83 169.6 45.54L156.4 35.08C189.4 12.92 229.2 0 271.1 0C386.9 0 479.1 93.12 479.1 208H480zM274.1 128C310.2 128.1 340.4 153.9 349.3 187.4L274.1 128zM219.8 268.7L225.2 272.9C223.3 271.5 221.6 270.1 219.8 268.7zM271.1 400C303.5 400 333.3 392.4 359.5 378.9L373.2 389.8C343.3 406.5 308.7 416 271.1 416C223.7 416 179.3 399.6 143.1 371.1V464C143.1 481.7 158.3 496 175.1 496H368C385.7 496 400 481.7 400 464V410.9L416 423.5V464C416 476.3 411.4 487.5 403.8 496H496C499.3 496 502.5 495.3 505.4 494.1L518.9 504.8C512.4 509.3 504.5 512 496 512H175.1C149.5 512 127.1 490.5 127.1 464V358.1C88.55 320.2 63.1 266.1 63.1 208C63.1 188.5 66.68 169.6 71.7 151.7L85.41 162.5C81.87 177.1 79.1 192.3 79.1 208C79.1 314 165.1 400 271.1 400V400zM636.1 497.7C640.4 500.5 641 505.5 638.3 508.1C635.5 512.4 630.5 513 627 510.3L3.022 14.26C-.4365 11.51-1.012 6.482 1.738 3.023C4.487-.4358 9.52-1.011 12.98 1.739L636.1 497.7z"],
    "bell-slash": [640, 512, [61943, 128277], "f1f6", "M386.2 400L406.5 416H127.7C110.2 416 95.1 401.8 95.1 384.3C95.1 377.1 98.45 370.1 102.9 364.5L119.7 343.6C145.8 310.1 159.1 270.4 159.1 228.7V221.4L175.9 233.1C174.8 277.5 159.4 319.5 132.2 353.6L115.4 374.5C113.2 377.3 111.1 380.7 111.1 384.3C111.1 392.1 119 400 127.7 400L386.2 400zM311.1 32V8C311.1 3.582 315.6 0 319.1 0C324.4 0 328 3.582 328 8V32L327.1 32.2C412.6 36.36 480 106.3 480 192V228.6C480 254.4 485.4 279.7 495.7 302.1L471.9 284.2C466.7 266.2 464 247.6 464 228.7V192C464 112.5 399.5 48 319.1 48C282 48 247.5 62.7 221.8 86.71L209.1 76.69C236 50.74 272.1 34.16 312 32.2L311.1 32zM286.1 481.9C295.1 490.9 307.3 496 319.1 496C332.7 496 344.9 490.9 353.9 481.9C362.9 472.9 368 460.7 368 448C368 443.6 371.6 440 376 440C380.4 440 384 443.6 384 448C384 464.1 377.3 481.3 365.3 493.3C353.3 505.3 336.1 512 319.1 512C303 512 286.7 505.3 274.7 493.3C262.7 481.3 255.1 464.1 255.1 448C255.1 443.6 259.6 440 263.1 440C268.4 440 271.1 443.6 271.1 448C271.1 460.7 277.1 472.9 286.1 481.9zM636.1 497.7C640.4 500.5 641 505.5 638.3 508.1C635.5 512.4 630.5 513 627 510.3L3.022 14.26C-.4365 11.51-1.012 6.482 1.738 3.023C4.487-.4358 9.52-1.011 12.98 1.739L636.1 497.7z"],
    "bells": [640, 512, [], "f77f", "M282.6 40.08C287.4 41.82 292.1 43.82 296.5 46.04C291.4 49.42 286.5 53.05 281.8 56.91C280.3 56.28 278.7 55.68 277.1 55.1C216.8 33.14 149.1 64.21 127.9 124.5L113.2 164.5C97.8 206.5 69.26 242.5 31.81 267L23.63 272.4C18.57 275.7 15.81 281.6 16.5 287.6C17.19 293.6 21.22 298.7 26.9 300.8L255.9 384.1C255.1 388 254.2 391.9 253.1 395.8L251.9 399.7L21.4 315.8C10.03 311.7 1.976 301.5 .5931 289.5C-.7903 277.5 4.729 265.7 14.86 259L23.04 253.7C57.61 230.1 83.95 197.8 98.16 159L112.8 119C137.1 50.44 213.1 15.09 282.6 40.08V40.08zM279.6 285.8L260.8 234.6C234.7 163.3 271.4 84.41 342.8 58.43C414.1 32.46 493.2 69.21 519.3 140.5L538 191.7C552 229.9 577.8 262.7 611.6 285.3L625.4 294.5C635.4 301.2 640.8 312.1 639.4 324.9C637.9 336.9 629.9 346.1 618.6 351.1L321.1 459.4C309.8 463.5 297.1 460.9 288.3 452.7C279.5 444.5 276 432 279.3 420.5L283.9 404.6C295.1 365.6 293.6 323.1 279.6 285.8H279.6zM294.6 280.3C309.8 321.7 311.4 366.8 299.3 409.1L294.7 424.9C293.1 430.7 294.8 436.9 299.2 441C303.6 445.1 309.1 446.4 315.6 444.4L613.1 336.1C618.7 334 622.7 328.1 623.5 322.1C624.2 317 621.5 311.1 616.5 307.8L602.7 298.6C566.1 274.1 538.2 238.5 523 197.2L504.3 145.1C481.2 82.98 411.3 50.5 348.3 73.46C285.2 96.41 252.8 166.1 275.9 229.1L294.6 280.3zM440 443.7C443.4 440.8 448.4 441.1 451.3 444.4C462.1 456.9 480 461.8 496.2 455.4C512.4 449.1 522.1 433.3 521.5 416.8C521.4 412.4 524.8 408.7 529.2 408.5C533.7 408.4 537.4 411.8 537.5 416.2C538.3 439.3 524.8 461.4 502.1 470.3C479.4 479.3 454.4 472.3 439.2 454.9C436.3 451.6 436.7 446.5 440 443.6V443.7zM185.9 411.9C188.8 408.6 193.9 408.2 197.2 411.1C200.5 414 200.9 419.1 198 422.4C182.9 439.8 157.9 446.7 135.2 437.8C112.5 428.9 98.91 406.8 99.73 383.7C99.88 379.3 103.6 375.8 108 376C112.4 376.2 115.9 379.9 115.7 384.3C115.1 400.8 124.9 416.5 141.1 422.9C157.2 429.3 175.1 424.4 185.9 411.9V411.9z"],
    "bench-tree": [640, 512, [], "e2e7", "M352 352H304v-32H320c17.67 0 32-14.33 32-32V224c0-17.67-14.33-32-32-32H64C46.33 192 32 206.3 32 224v64c0 17.67 14.33 32 32 32h16v32H32c-17.67 0-32 14.33-32 32v16c0 17.67 14.33 32 32 32v72C32 508.4 35.59 512 40 512s8-3.594 8-8V432h288v72c0 4.406 3.594 8 8 8S352 508.4 352 504V432c17.67 0 32-14.33 32-32V384C384 366.3 369.7 352 352 352zM64 304C55.18 304 48 296.8 48 288V224c0-8.822 7.178-16 16-16h256c8.822 0 16 7.178 16 16v64c0 8.822-7.178 16-16 16H304V256c0-4.406-3.594-8-8-8S288 251.6 288 256v48H96V256c0-4.406-3.594-8-8-8S80 251.6 80 256v48H64zM288 320v32H96v-32H288zM368 400c0 8.822-7.178 16-16 16H32c-8.822 0-16-7.178-16-16V384c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V400zM606.5 111.1C607.3 106.2 608 101.2 608 96c0-53.02-42.98-96-96-96s-96 42.98-96 96c0 5.174 .7363 10.15 1.523 15.11C397.3 125.6 384 149.2 384 176C384 220.2 419.8 256 464 256h40v248c0 4.406 3.594 8 8 8s8-3.594 8-8V256h40C604.2 256 640 220.2 640 176C640 149.2 626.7 125.6 606.5 111.1zM560 240h-40V96c0-4.406-3.594-8-8-8S504 91.59 504 96v144H464c-35.29 0-64-28.71-64-64c0-20.43 10.04-39.83 26.85-51.9c4.918-3.529 7.424-9.531 6.473-15.51C432.6 104 432 99.94 432 96c0-44.11 35.89-80 80-80s80 35.89 80 80c0 3.936-.5996 8.031-1.324 12.59c-.9512 5.979 1.555 11.98 6.473 15.51C613.1 136.2 624 155.6 624 176C624 211.3 595.3 240 560 240z"],
    "bezier-curve": [640, 512, [], "f55b", "M551.8 320H568C590.1 320 608 337.9 608 360V408C608 430.1 590.1 448 568 448H520C497.9 448 480 430.1 480 408V360C480 337.9 497.9 320 520 320H535.8C532.2 231.3 468.3 158 384 140.2V152C384 174.1 366.1 192 344 192H296C273.9 192 256 174.1 256 152V140.2C171.7 158 107.8 231.3 104.2 320H120C142.1 320 160 337.9 160 360V408C160 430.1 142.1 448 120 448H72C49.91 448 32 430.1 32 408V360C32 337.9 49.91 320 72 320H88.15C91.29 236.1 143.1 166.4 215.9 136H112C111.8 136 111.6 135.1 111.4 135.1C107.6 163.1 84.22 184 56 184C25.07 184 0 158.9 0 128C0 97.07 25.07 72 56 72C84.22 72 107.6 92.87 111.4 120C111.6 120 111.8 120 112 120H256V104C256 81.91 273.9 64 296 64H344C366.1 64 384 81.91 384 104V120H528C528.2 120 528.4 120 528.6 120C532.4 92.87 555.8 72 584 72C614.9 72 640 97.07 640 128C640 158.9 614.9 184 584 184C555.8 184 532.4 163.1 528.6 135.1C528.4 135.1 528.2 136 528 136H424.1C496.9 166.4 548.7 236.1 551.8 320zM344 80H296C282.7 80 272 90.75 272 104V152C272 165.3 282.7 176 296 176H344C357.3 176 368 165.3 368 152V104C368 90.75 357.3 80 344 80zM56 88C33.91 88 16 105.9 16 128C16 150.1 33.91 168 56 168C78.09 168 96 150.1 96 128C96 105.9 78.09 88 56 88zM584 88C561.9 88 544 105.9 544 128C544 150.1 561.9 168 584 168C606.1 168 624 150.1 624 128C624 105.9 606.1 88 584 88zM72 336C58.75 336 48 346.7 48 360V408C48 421.3 58.75 432 72 432H120C133.3 432 144 421.3 144 408V360C144 346.7 133.3 336 120 336H72zM496 408C496 421.3 506.7 432 520 432H568C581.3 432 592 421.3 592 408V360C592 346.7 581.3 336 568 336H520C506.7 336 496 346.7 496 360V408z"],
    "bicycle": [640, 512, [128690], "f206", "M347.1 32C353.1 32 358.6 35.36 361.4 40.7L460.8 234.6C476.5 227.8 493.8 224 512 224C582.7 224 640 281.3 640 352C640 422.7 582.7 480 512 480C441.3 480 384 422.7 384 352C384 305.2 409.1 264.3 446.6 241.1L416.8 183.8L327.1 355.7C325.7 358.3 322.1 360 320 360H255.8C251.6 426.1 196 480 128 480C57.31 480 0 422.7 0 352C0 281.3 57.31 224 128 224C140.9 224 153.4 225.9 165.2 229.5L192.1 168.5L155.6 112H104C99.58 112 96 108.4 96 104C96 99.58 99.58 96 104 96H160C162.7 96 165.2 97.38 166.7 99.66L205.6 160H402.8C403.4 160 404 160 404.6 160.1L347.1 48H295.1C291.6 48 287.1 44.42 287.1 40C287.1 35.58 291.6 32 295.1 32L347.1 32zM400 352C400 413.9 450.1 464 512 464C573.9 464 624 413.9 624 352C624 290.1 573.9 240 512 240C496.4 240 481.6 243.2 468.1 248.9L519.1 348.3C521.1 352.3 519.6 357.1 515.7 359.1C511.7 361.1 506.9 359.6 504.9 355.7L453.9 256.2C421.6 275.9 400 311.4 400 352V352zM158.7 244.3C148.9 241.5 138.7 240 127.1 240C66.14 240 15.1 290.1 15.1 352C15.1 413.9 66.14 464 127.1 464C187.2 464 235.6 418.1 239.7 360H124.9C116.8 360 111.4 351.7 114.7 344.3L158.7 244.3zM305.3 344L202.5 184.6L132.3 344H305.3zM215.1 176L319.3 336.1L402.8 176H215.1z"],
    "binary": [384, 512, [], "e33b", "M312 208H376C380.4 208 384 211.6 384 216C384 220.4 380.4 224 376 224H232C227.6 224 224 220.4 224 216C224 211.6 227.6 208 232 208H296V19.54L242.8 39.49C238.7 41.04 234.1 38.95 232.5 34.81C230.1 30.67 233.1 26.06 237.2 24.51L301.2 .5094C303.6-.4118 306.4-.0698 308.6 1.425C310.7 2.919 312 5.376 312 8V208zM88 496H152C156.4 496 160 499.6 160 504C160 508.4 156.4 512 152 512H8C3.582 512 0 508.4 0 504C0 499.6 3.582 496 8 496H72V307.5L18.81 327.5C14.67 329 10.06 326.9 8.509 322.8C6.958 318.7 9.054 314.1 13.19 312.5L77.19 288.5C79.65 287.6 82.4 287.9 84.56 289.4C86.71 290.9 88 293.4 88 296V496zM16 64C16 28.65 44.65 0 80 0H112C147.3 0 176 28.65 176 64V160C176 195.3 147.3 224 112 224H80C44.65 224 16 195.3 16 160V64zM80 16C53.49 16 32 37.49 32 64V160C32 186.5 53.49 208 80 208H112C138.5 208 160 186.5 160 160V64C160 37.49 138.5 16 112 16H80zM304 288C339.3 288 368 316.7 368 352V448C368 483.3 339.3 512 304 512H272C236.7 512 208 483.3 208 448V352C208 316.7 236.7 288 272 288H304zM224 448C224 474.5 245.5 496 272 496H304C330.5 496 352 474.5 352 448V352C352 325.5 330.5 304 304 304H272C245.5 304 224 325.5 224 352V448z"],
    "binary-circle-check": [640, 512, [], "e33c", "M312 208H376C380.4 208 384 211.6 384 216C384 220.4 380.4 224 376 224H232C227.6 224 224 220.4 224 216C224 211.6 227.6 208 232 208H296V19.54L242.8 39.49C238.7 41.04 234.1 38.95 232.5 34.81C230.1 30.67 233.1 26.06 237.2 24.51L301.2 .5094C303.6-.4118 306.4-.0698 308.6 1.425C310.7 2.919 312 5.376 312 8V208zM88 496H152C156.4 496 160 499.6 160 504C160 508.4 156.4 512 152 512H8C3.582 512 0 508.4 0 504C0 499.6 3.582 496 8 496H72V307.5L18.81 327.5C14.67 329 10.06 326.9 8.509 322.8C6.958 318.7 9.054 314.1 13.19 312.5L77.19 288.5C79.65 287.6 82.4 287.9 84.56 289.4C86.71 290.9 88 293.4 88 296V496zM16 64C16 28.65 44.65 0 80 0H112C147.3 0 176 28.65 176 64V160C176 195.3 147.3 224 112 224H80C44.65 224 16 195.3 16 160V64zM80 16C53.49 16 32 37.49 32 64V160C32 186.5 53.49 208 80 208H112C138.5 208 160 186.5 160 160V64C160 37.49 138.5 16 112 16H80zM304 288C312.5 288 320.6 289.7 328.1 292.7C325.9 297.5 323.9 302.5 322.2 307.6C316.6 305.3 310.4 304 304 304H272C245.5 304 224 325.5 224 352V448C224 474.5 245.5 496 272 496H304C321.3 496 336.5 486.8 344.9 473.1C348.1 477.7 351.6 482.1 355.2 486.4C343.5 501.1 324.9 512 304 512H272C236.7 512 208 483.3 208 448V352C208 316.7 236.7 288 272 288H304zM565.7 322.3C568.8 325.5 568.8 330.5 565.7 333.7L485.7 413.7C482.5 416.8 477.5 416.8 474.3 413.7L426.3 365.7C423.2 362.5 423.2 357.5 426.3 354.3C429.5 351.2 434.5 351.2 437.7 354.3L480 396.7L554.3 322.3C557.5 319.2 562.5 319.2 565.7 322.3H565.7zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 496C566.7 496 624 438.7 624 368C624 297.3 566.7 240 496 240C425.3 240 368 297.3 368 368C368 438.7 425.3 496 496 496z"],
    "binary-lock": [640, 512, [], "e33d", "M308.6 1.425C310.7 2.919 312 5.376 312 8V208H376C380.4 208 384 211.6 384 216C384 220.4 380.4 224 376 224H232C227.6 224 224 220.4 224 216C224 211.6 227.6 208 232 208H296V19.54L242.8 39.49C238.7 41.04 234.1 38.95 232.5 34.81C230.1 30.67 233.1 26.06 237.2 24.51L301.2 .5094C303.6-.4118 306.4-.0698 308.6 1.425V1.425zM84.56 289.4C86.71 290.9 88 293.4 88 296V496H152C156.4 496 160 499.6 160 504C160 508.4 156.4 512 152 512H8C3.582 512 0 508.4 0 504C0 499.6 3.582 496 8 496H72V307.5L18.81 327.5C14.67 329 10.06 326.9 8.509 322.8C6.958 318.7 9.054 314.1 13.19 312.5L77.19 288.5C79.65 287.6 82.4 287.9 84.56 289.4zM112 0C147.3 0 176 28.65 176 64V160C176 195.3 147.3 224 112 224H80C44.65 224 16 195.3 16 160V64C16 28.65 44.65 0 80 0H112zM32 160C32 186.5 53.49 208 80 208H112C138.5 208 160 186.5 160 160V64C160 37.49 138.5 16 112 16H80C53.49 16 32 37.49 32 64V160zM208 352C208 316.7 236.7 288 272 288H304C339.3 288 368 316.7 368 352V448C368 483.3 339.3 512 304 512H272C236.7 512 208 483.3 208 448V352zM272 304C245.5 304 224 325.5 224 352V448C224 474.5 245.5 496 272 496H304C330.5 496 352 474.5 352 448V352C352 325.5 330.5 304 304 304H272zM528 192C563.3 192 592 220.7 592 256V320H608C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320H464V256C464 220.7 492.7 192 528 192zM528 208C501.5 208 480 229.5 480 256V320H576V256C576 229.5 554.5 208 528 208zM432 352V480C432 488.8 439.2 496 448 496H608C616.8 496 624 488.8 624 480V352C624 343.2 616.8 336 608 336H448C439.2 336 432 343.2 432 352z"],
    "binary-slash": [640, 512, [], "e33e", "M636.1 497.7C640.4 500.5 641 505.5 638.3 508.1C635.5 512.4 630.5 513 627 510.3L3.022 14.26C-.4365 11.51-1.012 6.481 1.738 3.022C4.487-.4365 9.52-1.012 12.98 1.738L636.1 497.7zM395.7 224L375.4 208H424V19.54L370.8 39.49C366.7 41.04 362.1 38.95 360.5 34.81C358.1 30.67 361.1 26.06 365.2 24.51L429.2 .5101C431.6-.4112 434.4-.0691 436.6 1.425C438.7 2.92 440 5.377 440 8.001V208H504C508.4 208 512 211.6 512 216C512 220.4 508.4 224 504 224H395.7zM303.1 64V151.6L287.1 139V64C287.1 37.49 266.5 16 239.1 16H207.1C189.4 16 173.2 26.61 165.3 42.11L152.5 32.05C163.6 12.9 184.3 .0006 207.1 .0006H239.1C275.3 .0006 303.1 28.65 303.1 64V64zM336 448V360.4L352 372.1V448C352 474.5 373.5 496 400 496H432C450.6 496 466.8 485.4 474.7 469.9L487.5 479.9C476.4 499.1 455.7 512 432 512H400C364.7 512 336 483.3 336 448zM215.1 496H279.1C284.4 496 287.1 499.6 287.1 504C287.1 508.4 284.4 512 279.1 512H135.1C131.6 512 127.1 508.4 127.1 504C127.1 499.6 131.6 496 135.1 496H199.1V307.5L146.8 327.5C142.7 329 138.1 326.9 136.5 322.8C134.1 318.7 137.1 314.1 141.2 312.5L205.2 288.5C207.6 287.6 210.4 287.9 212.6 289.4C214.7 290.9 215.1 293.4 215.1 296V496z"],
    "binoculars": [512, 512, [], "f1e5", "M432.1 128.1C431.6 110.5 417.7 96 400.1 96L400 64c0-17.67-14.33-32-32-32H320c-17.67 0-32 14.33-32 32v32H224V64c0-17.67-14.33-32-32-32H144c-17.67 0-32 14.33-32 32v32C94.38 96 80.35 110.5 79.88 128.1C77.34 221.9 19.5 242.3 16 372V448c0 17.6 14.4 32 32 32H192c17.6 0 32-14.4 32-32V288h64v160c0 17.6 14.4 32 32 32h144c17.6 0 32-14.4 32-32v-76C492.5 242.3 434.7 221.9 432.1 128.1zM208 448c0 8.822-7.176 16-16 16H48C39.18 464 32 456.8 32 448l-.0039-75.57C33.8 305.6 50.41 269.9 66.49 235.4C80.95 204.3 94.61 174.9 95.87 128.5C96.12 119.3 103.2 112 112 112h96V448zM208 96H128V64c0-8.838 7.164-16 16-16H192c8.836 0 16 7.162 16 16V96zM288 272H224v-160h64V272zM304 64c0-8.838 7.164-16 16-16h48C376.8 48 384 55.16 384 64v32h-80V64zM480 448c0 8.822-7.176 16-16 16H320c-8.824 0-16-7.178-16-16V112h96.13c8.723 0 15.76 7.421 16.01 16.69c1.254 46.41 14.91 75.61 29.38 106.7C461.6 269.9 478.2 305.6 480 372V448z"],
    "biohazard": [576, 512, [9763], "f780", "M575.5 283.5c-13.13-39.11-39.5-71.98-74.13-92.35c-17.5-10.37-36.25-16.62-55.25-19.87c6-17.75 10-36.49 10-56.24c0-40.99-14.5-80.73-41-112.2C413.5 .9473 411.4 0 409.1 0c-1.363 0-2.747 .3516-4.027 1.061c-3.25 1.875-4.75 5.998-3.625 9.748c4.5 13.75 6.625 26.24 6.625 38.49c0 67.73-53.76 122.8-120 122.8s-120-55.11-120-122.8c0-12.12 2.25-24.74 6.625-38.49c1.125-3.75-.375-7.873-3.625-9.748C169.8 .3516 168.4 0 167.1 0C164.8 0 162.6 .9473 161.1 2.811C134.7 34.3 120.1 74.04 120.1 115c0 19.75 3.875 38.49 10 56.24C111.2 174.5 92.32 180.8 74.82 191.1c-34.63 20.49-61.01 53.24-74.38 92.35c-1.25 3.75 .25 7.748 3.5 9.748c1.322 .7832 2.761 1.164 4.171 1.164c2.188 0 4.309-.916 5.829-2.664c9.377-10.87 19-19.12 29.25-25.12c18.84-11.14 39.44-16.44 59.79-16.44c41.48 0 81.88 22.02 104.1 61.43c33.13 58.61 13.38 133.1-43.88 167.8c-10.25 6.123-22 10.37-35.88 13.37c-3.627 .875-6.377 4.25-6.377 8.123c.125 4 2.75 7.248 6.502 7.998C138 510.1 148.7 512 159.2 512c29.25 0 58.04-7.772 83.47-22.82c18-10.5 32.88-24.49 45.25-39.99c12.38 15.5 27.38 29.49 45.38 39.99C358.7 504.2 387.5 512 416.7 512c10.58 0 21.2-1.018 31.73-3.076c3.875-.75 6.375-3.998 6.5-7.998c0-3.873-2.625-7.248-6.375-8.123c-13.88-2.873-25.63-7.248-35.75-13.37c-57.38-33.87-77.01-109.2-44-167.8c22.23-39.4 62.63-61.43 104.1-61.43c20.36 0 40.99 5.296 59.87 16.44c10.12 6.123 19.75 14.25 29.13 25.12c1.52 1.748 3.689 2.664 5.884 2.664c1.416 0 2.844-.3809 4.118-1.164C575.4 291.2 576.9 287.2 575.5 283.5zM540.1 252.8c-20.69-12.21-44.21-18.66-68.01-18.66c-48.63 0-93.87 26.66-118.1 69.58c-37.3 66.24-14.95 151.2 49.67 189.4c1.541 .9316 3.111 1.828 4.709 2.689c-23.95-1.205-47.24-8.199-67.88-20.45c-14.98-8.738-28.75-20.9-40.94-36.15l-12.5-15.65l-12.5 15.65c-12.25 15.34-25.98 27.51-40.9 36.21c-20.62 12.2-43.93 19.19-67.84 20.4c1.576-.8379 3.119-1.707 4.627-2.607C236.1 454.9 258.4 369.9 221 303.7C196.8 260.8 151.6 234.2 102.1 234.2c-23.79 0-47.28 6.457-67.87 18.63c-1.121 .6562-2.236 1.336-3.342 2.035c12.98-20.49 30.47-37.67 51.21-49.94c14.66-8.689 31.42-14.7 49.81-17.87l18.56-3.191L145.2 166C139.1 148.3 136.1 131.6 136.1 115c0-24.04 5.572-47.72 16.06-69.24c-.0371 1.174-.0547 2.344-.0547 3.508c0 76.56 61.01 138.8 136 138.8c74.1 0 136-62.29 136-138.8c0-1.201-.0176-2.406-.0527-3.613c10.48 21.48 16.06 45.21 16.06 69.34c0 16.17-2.994 32.89-9.156 51.11l-5.998 17.74l18.46 3.156c18.33 3.133 35.08 9.143 49.84 17.89c20.78 12.22 38.25 29.4 51.19 50.07C543.3 254.3 542.2 253.5 540.1 252.8zM287.1 224.1c-26.5 0-48 21.49-48 47.99c0 26.49 21.5 47.99 48 47.99c26.5 0 48.01-21.49 48.01-47.99C335.1 245.6 314.5 224.1 287.1 224.1zM287.1 304.1c-17.65 0-32-14.35-32-31.99c0-17.64 14.36-31.99 32-31.99c17.65 0 32.01 14.35 32.01 31.99C319.1 289.8 305.6 304.1 287.1 304.1zM226.5 90.23c40.28-13.62 82.86-13.56 123.1 .0625c.8438 .2813 1.719 .4219 2.562 .4219c3.328 0 6.438-2.094 7.578-5.438c1.422-4.172-.8281-8.719-5.016-10.14C311.2 60.38 265 60.38 221.4 75.08C217.2 76.48 214.1 81.03 216.4 85.22C217.8 89.39 222.3 91.69 226.5 90.23zM477.9 298.8c-6.391 45.61-29.06 87.44-63.88 117.8c-3.328 2.906-3.672 7.969-.7656 11.3c1.578 1.812 3.797 2.734 6.031 2.734c1.875 0 3.75-.6562 5.266-1.969c37.69-32.89 62.27-78.22 69.19-127.6c.6094-4.375-2.438-8.422-6.812-9.031C482.6 291.4 478.5 294.4 477.9 298.8zM156.7 430.6c2.234 0 4.453-.9219 6.031-2.734c2.906-3.328 2.562-8.391-.7656-11.3c-34.8-30.36-57.47-72.19-63.86-117.8c-.625-4.391-4.828-7.328-9.031-6.812C84.69 292.6 81.64 296.6 82.25 301c6.922 49.41 31.48 94.72 69.17 127.6C152.9 429.1 154.8 430.6 156.7 430.6z"],
    "bird": [512, 512, [], "e469", "M320 111.1C320 103.2 327.2 95.1 336 95.1C344.8 95.1 352 103.2 352 111.1C352 120.8 344.8 127.1 336 127.1C327.2 127.1 320 120.8 320 111.1zM284.8 388.4L350.9 499.9C353.1 503.7 351.9 508.6 348.1 510.9C344.3 513.1 339.4 511.9 337.1 508.1L269 393.1C251.6 397.6 233.4 400 214.7 400C209.2 400 203.7 399.8 198.3 399.4L254.1 500.1C257.1 503.9 255.8 508.8 251.9 510.1C248.1 513.1 243.2 511.8 241 507.9L178.6 396.1C77.69 379.8 0 292.2 0 186.7C0 171.9 11.94 160 26.67 160H192C209.7 160 224 145.7 224 128V104C224 46.56 270.6 0 328 0C374.5 0 413.8 30.5 427.2 72.57L508.1 121.1C510.5 122.6 512 125.2 512 127.1C512 130.8 510.5 133.4 508.1 134.9L432 180.5V183.1C432 278.8 370.1 359.3 284.8 388.4V388.4zM240 103.1V127.1C240 154.5 218.5 175.1 192 175.1H26.67C20.78 175.1 16 180.8 16 186.7C16 295.5 105.5 384 214.7 384C325.2 384 416 294.3 416 183.1V103.1C416 96.77 415.1 89.74 413.5 83.02L413 82.74L413.3 82.28C403.6 44.18 369.1 15.1 328 15.1C279.4 15.1 240 55.4 240 103.1zM432 161.9L488.5 127.1L431.5 93.83C431.8 97.18 432 100.6 432 103.1L432 161.9z"],
    "bitcoin-sign": [320, 512, [], "e0b4", "M80 8C80 3.582 83.58 0 88 0C92.42 0 96 3.582 96 8V64H160V8C160 3.582 163.6 0 168 0C172.4 0 176 3.582 176 8V64.08C229.4 66.18 272 110.1 272 164C272 200.5 252.5 232.4 223.3 249.9C269.3 258.9 304 299.4 304 348C304 403.2 259.2 448 204 448H176V504C176 508.4 172.4 512 168 512C163.6 512 160 508.4 160 504V448H96V504C96 508.4 92.42 512 88 512C83.58 512 80 508.4 80 504V448H53.57C32.82 448 16 431.2 16 410.4V97.39C16 78.95 30.95 64 49.39 64H80V8zM32 97.39V248H172C218.4 248 256 210.4 256 164C256 117.6 218.4 80 172 80H49.39C39.79 80 32 87.79 32 97.39V97.39zM32 264V410.4C32 422.3 41.66 432 53.57 432H204C250.4 432 288 394.4 288 348C288 301.6 250.4 264 204 264H32z"],
    "blanket": [448, 512, [], "f498", "M400 384H88c-4.422 0-8 3.578-8 8s3.578 8 8 8h312c26.47 0 48-21.53 48-48V104C448 64.3 415.7 32 376 32h-304C32.3 32 0 64.3 0 104v288C0 440.5 39.47 480 88 480h352c4.422 0 8-3.578 8-8s-3.578-8-8-8h-352c-39.7 0-72-32.3-72-72S48.3 320 88 320h312c17.64 0 32 14.36 32 32S417.6 384 400 384zM400 304H88c-29.79 0-56.07 14.96-72 37.67V104c0-30.88 25.12-56 56-56h304c30.88 0 56 25.12 56 56v212.5C423.5 308.8 412.3 304 400 304z"],
    "blanket-fire": [640, 512, [], "e3da", "M104 352C99.52 352 96 355.6 96 360s3.52 8 8 8h144C252.5 368 256 364.4 256 360S252.5 352 248 352H104zM272 264C272 259.6 268.5 256 264 256H96C62.72 256 33.28 273.1 16 298.9V72c0-30.91 24.96-56 56-56h304c31.04 0 56 25.09 56 56v16C432 92.42 435.5 96 440 96S448 92.42 448 88v-16C448 32.22 415.7 0 376 0h-304C32.32 0 0 32.22 0 72V352c0 53.02 42.88 96 96 96h168c4.48 0 8-3.584 8-8S268.5 432 264 432H96c-44.16 0-80-35.81-80-80S51.84 272 96 272h168C268.5 272 272 268.4 272 264zM614.4 252.2c-16-31.78-38.4-64.99-64.96-89.98c-2.883-2.943-7.68-2.943-10.88-.0313C526.7 173.3 515.8 187.5 506.2 200L504 202.9c-20.48-26.37-42.56-50.56-66.56-72.77c-3.203-2.848-7.68-2.848-10.88-.0332c-36.16 33.28-66.56 71.01-88 107.1C317.1 273 304 308.2 304 336c0 95.74 74.24 176 168 176c92.8 0 168-80.22 168-176C640 314.1 630.1 283.7 614.4 252.2zM472 496c-84.16 0-152-72.26-152-160c0-23.58 11.52-55.68 32.32-90.59C371.8 212.5 399.4 177.1 432 146.1c23.68 22.5 45.44 47.01 65.6 73.82C499.2 222.8 501.4 223.1 504 224c2.238 .0313 4.801-1.088 6.398-3.039c2.883-3.904 6.082-7.969 9.281-12.06C527.4 198.7 535.4 188.3 544 179.2c22.4 22.75 41.92 51.87 56 80.13C615.4 290.2 624 318.7 624 336C624 423.7 555.2 496 472 496zM549.4 319.8c-1.922-4.096-4.16-8.832-7.363-13.63c-1.598-2.016-3.84-3.232-6.398-3.328c-2.559-.0645-4.801 1.023-6.398 2.945l-29.76 36.19l-2.879-4.064l-20.48-27.26c-15.04-20.06-30.72-40.86-32.64-43.52C441.9 265.2 439.7 264 437.1 264c-2.562 0-4.801 1.152-6.402 3.104c-15.04 19.36-26.56 35.04-34.56 49.18C388.5 330.6 384 343.7 384 358.1c0 27.68 9.922 50.3 26.24 66.02C426.6 439.8 448.1 448 473.3 448c19.84 0 37.44-5.793 53.76-17.18v-.1289c33.6-24.64 42.24-73.15 22.72-110.8L549.4 319.8zM517.8 417.7C504 427.3 489.6 432 473.3 432c-20.8 0-39.04-6.977-52.16-19.42C408.3 400.2 400 381.9 400 358.1c0-10.85 3.199-21.31 10.24-34.05c6.082-11.01 15.04-23.39 26.88-38.85c6.398 8.416 16.32 21.82 26.24 35.04l20.48 27.26l6.719 8.865l1.602 2.496l.6406 .6387v.2246c1.598 1.984 3.84 3.137 6.398 3.199c2.562 .0645 4.801-1.023 6.402-2.912l28.8-35.13l.9609 2.016v.2246C551.7 358.8 544.3 398.3 517.8 417.7z"],
    "blender": [512, 512, [], "f517", "M416 384H160c-35.35 0-64 28.65-64 64l-.0001 32c0 17.67 14.33 32 32 32h320c17.67 0 32-14.33 32-32l.0003-32C480 412.7 451.3 384 416 384zM464 480c0 8.822-7.178 16-16 16H128c-8.822 0-16-7.178-16-16v-32c0-26.47 21.53-48 48-48h256c26.47 0 48 21.53 48 48V480zM152 352.7c.4219 4.406 4.313 7.594 8.703 7.234c4.406-.4062 7.641-4.312 7.234-8.703L136.8 16h356.9l-16.37 64h-149.3c-4.422 0-8 3.578-8 8S323.6 96 328 96h145.2l-20.47 80h-124.8c-4.422 0-8 3.578-8 8S323.6 192 328 192h120.7l-20.47 80h-100.2c-4.422 0-8 3.578-8 8S323.6 288 328 288h96.12l-15.87 62.02c-1.094 4.281 1.484 8.641 5.766 9.734C414.7 359.9 415.3 360 416 360c3.578 0 6.828-2.406 7.75-6.016l88-344c.6094-2.391 .0781-4.938-1.438-6.891S506.5 0 504 0H40C17.94 0 0 17.94 0 40v176C0 238.1 17.94 256 40 256h103L152 352.7zM40 240c-13.23 0-24-10.77-24-24v-176c0-13.23 10.77-24 24-24h80.71l20.84 224H40zM288 416c-17.67 0-32 14.33-32 32s14.33 32 32 32c17.67 0 32-14.33 32-32S305.7 416 288 416zM288 464c-8.822 0-16-7.178-16-16s7.178-16 16-16s16 7.178 16 16S296.8 464 288 464z"],
    "blender-phone": [576, 512, [], "f6b6", "M479.1 384H224c-35.34 0-63.1 28.65-63.1 63.1l-.0052 32c0 17.67 14.33 31.1 31.1 31.1L511.1 512c17.67 0 32-14.33 32-31.1l.0019-31.1C543.1 412.7 515.3 384 479.1 384zM528 480c0 8.822-7.178 16-15.1 16H192c-8.822 0-15.1-7.178-15.1-16v-32c0-26.47 21.53-48 47.1-48h255.1c26.47 0 47.1 21.53 47.1 48V480zM224.7 359.1c4.406-.4062 7.64-4.312 7.234-8.703L200.8 16h356.9l-16.37 64h-149.3c-4.422 0-7.1 3.578-7.1 8S387.6 96 392 96h145.2L516.8 176h-124.8c-4.422 0-7.1 3.578-7.1 8S387.6 192 392 192h120.7l-20.47 80h-100.2c-4.422 0-7.1 3.578-7.1 8S387.6 288 392 288h96.11l-15.86 62.02c-1.094 4.281 1.484 8.641 5.765 9.734c4.603 1.178 8.726-1.819 9.734-5.766l87.1-344C577 4.942 573.2 0 567.1 0L191.1 .006c-6.085 0-8.239 5.639-7.958 8.728l31.1 344C216.4 357.1 220.5 360.3 224.7 359.1zM167.4 326L142.8 265.4C138.8 255.6 128.7 249.7 118.1 250.6L81.23 254.2c-13.41-40.33-13.41-84.02 0-124.3l36.83 3.578c10.48 1.203 20.77-5 24.73-14.75l24.61-60.5c4.547-10.7 .5469-23-9.515-29.23L120.3 5.875C103.5-4.391 81.53-.8594 68.12 14.2c-91.58 102.5-90.73 256.5 1.984 358.1C77.18 380 87.1 384.1 98.89 384.1c7.437 0 14.91-1.891 21.27-5.797l37.76-23.14C167.8 349 171.8 336.8 167.4 326zM149.5 341.5l-37.73 23.12c-9.031 5.547-23.27 4.062-29.89-3.125C-5.252 265.1-6.049 121.2 80.07 24.84c8.611-9.687 22.08-11.26 31.84-5.328L149.5 42.61c3.297 2.047 4.641 5.984 3.156 9.484L127.1 112.7C126.7 115.9 123 117.1 119.6 117.6L70.39 112.8c-6.521 17.66-30.47 76.05 0 158.6l49.26-4.797c3.687-.1875 7.015 1.656 8.328 4.891l24.66 60.61C154 335.5 152.7 339.5 149.5 341.5zM352 416c-17.67 0-31.1 14.33-31.1 31.1s14.33 31.1 31.1 31.1c17.67 0 31.1-14.33 31.1-31.1S369.7 416 352 416zM352 464c-8.822 0-15.1-7.178-15.1-16s7.178-16 15.1-16c8.822 0 15.1 7.178 15.1 16S360.8 464 352 464z"],
    "blinds": [512, 512, [], "f8fb", "M479.1 0H32C14.33 0 .0014 14.33 .0014 32v32c0 17.67 14.33 32 31.1 32h103.1v160.8C113.3 260.6 96 280.2 96 304c0 26.51 21.49 48 47.1 48s47.1-21.49 47.1-48c0-23.77-17.32-43.37-39.1-47.19V96h327.1c17.67 0 31.1-14.33 31.1-32V32C511.1 14.33 497.7 0 479.1 0zM176 304c0 17.64-14.36 32-31.1 32s-31.1-14.36-31.1-32s14.36-32 31.1-32S176 286.4 176 304zM495.1 64c0 8.822-7.178 16-16 16H32C23.18 80 16 72.82 16 64L16 32c0-8.822 7.178-16 15.1-16h447.1c8.822 0 15.1 7.178 15.1 16L495.1 64zM184 216c0 4.422 3.579 8 8.001 8h311.1c2.5 0 4.844-1.156 6.359-3.141s2.016-4.562 1.359-6.969l-23.1-88c-1.156-4.25-5.469-6.766-9.828-5.609C473.6 121.4 471.1 125.8 472.3 130.1L493.5 208h-301.5C187.6 208 184 211.6 184 216zM34.11 120.3c-4.25-1.109-8.672 1.391-9.828 5.609l-23.1 88C-.3736 216.3 .1264 218.9 1.642 220.9S5.501 224 8.001 224h87.1c4.422 0 7.1-3.578 7.1-8S100.4 208 96 208H18.47l21.25-77.89C40.88 125.8 38.38 121.4 34.11 120.3zM487.4 252.8c-1.75-4.062-6.516-5.938-10.52-4.203c-4.062 1.75-5.937 6.453-4.203 10.52L491.9 304h-267.9c-4.422 0-7.1 3.578-7.1 8S219.6 320 224 320h279.1c2.688 0 5.203-1.344 6.672-3.594c1.484-2.25 1.734-5.078 .6875-7.562L487.4 252.8zM1.33 316.4C2.798 318.7 5.314 320 8.001 320h55.1c4.422 0 7.1-3.578 7.1-8S68.42 304 64 304H20.13l19.23-44.84c1.734-4.062-.1406-8.766-4.203-10.52C31.09 246.9 26.41 248.8 24.64 252.8l-23.1 56C-.4048 311.3-.1549 314.2 1.33 316.4zM487.4 348.8c-1.75-4.078-6.516-5.922-10.52-4.203c-4.062 1.75-5.937 6.453-4.203 10.52L491.9 400H20.13l19.23-44.84c1.734-4.062-.1406-8.766-4.203-10.52c-4.062-1.734-8.75 .125-10.52 4.203l-23.1 56c-1.047 2.484-.7969 5.312 .6875 7.562C2.798 414.7 5.314 416 8.001 416H503.1c2.688 0 5.203-1.344 6.672-3.594c1.484-2.25 1.734-5.078 .6875-7.562L487.4 348.8zM487.4 444.8c-1.75-4.078-6.516-5.891-10.52-4.203c-4.062 1.75-5.937 6.453-4.203 10.52L491.9 496H20.13l19.23-44.84c1.734-4.062-.1406-8.766-4.203-10.52c-4.062-1.719-8.75 .125-10.52 4.203l-23.1 56c-1.047 2.484-.7969 5.312 .6875 7.562C2.798 510.7 5.314 512 8.001 512H503.1c2.688 0 5.203-1.344 6.672-3.594c1.484-2.25 1.734-5.078 .6875-7.562L487.4 444.8z"],
    "blinds-open": [512, 512, [], "f8fc", "M480 0H32C14.33 0 0 14.33 0 32v32c0 17.67 14.33 32 32 32h104v160.8C113.3 260.6 96 280.2 96 304c0 26.51 21.49 48.12 48 48.12S192 330.5 192 304c0-23.77-17.32-43.37-40-47.19V96H480c17.67 0 32-14.33 32-32V32C512 14.33 497.7 0 480 0zM176 304c0 17.64-14.36 32-32 32s-32-14.36-32-32s14.36-32 32-32S176 286.4 176 304zM496 64c0 8.822-7.178 16-16 16H32C23.18 80 16 72.82 16 64V32c0-8.822 7.178-16 16-16h448c8.822 0 16 7.178 16 16V64zM504 176H192c-4.422 0-8 3.578-8 8S187.6 192 192 192h312C508.4 192 512 188.4 512 184S508.4 176 504 176zM8 192H96c4.422 0 8-3.578 8-8S100.4 176 96 176H8C3.578 176 0 179.6 0 184S3.578 192 8 192zM504 336H224c-4.422 0-8 3.578-8 8S219.6 352 224 352h280c4.422 0 8-3.578 8-8S508.4 336 504 336zM8 352H64c4.422 0 8-3.578 8-8S68.42 336 64 336H8C3.578 336 0 339.6 0 344S3.578 352 8 352zM504 496H8C3.578 496 0 499.6 0 504S3.578 512 8 512h496c4.422 0 8-3.578 8-8S508.4 496 504 496z"],
    "blinds-raised": [512, 512, [], "f8fd", "M480 0H32C14.33 0 0 14.33 0 32v32c0 17.67 14.33 32 32 32h104v320.8C113.3 420.6 96 440.2 96 464C96 490.5 117.5 512 144 512S192 490.5 192 464c0-23.77-17.32-43.37-40-47.19V96H480c17.67 0 32-14.33 32-32V32C512 14.33 497.7 0 480 0zM176 464c0 17.64-14.36 32-32 32s-32-14.36-32-32s14.36-32 32-32S176 446.4 176 464zM496 63.99C496 72.81 488.8 80 480 80H32c-8.822 0-16.01-7.186-16.01-16.01L16 32c0-8.822 7.178-16 16-16h448c8.822 0 16 7.178 16 16L496 63.99zM487.4 220.8c-1.766-4.062-6.484-5.906-10.52-4.203c-4.062 1.75-5.938 6.453-4.203 10.52L491.9 272H192c-4.422 0-8 3.578-8 8s3.579 7.93 8.001 7.93L504 288c2.688 0 5.203-1.344 6.672-3.594c1.484-2.25 1.734-5.078 .6875-7.562L487.4 220.8zM104 280C104 275.6 100.4 272 96 272H20.13l19.23-44.84C41.09 223.1 39.22 218.4 35.16 216.6C31.11 214.9 26.39 216.8 24.64 220.8l-24 56C-.4063 279.3-.1563 282.2 1.328 284.4C2.797 286.7 5.313 288 8 288H96C100.4 288 104 284.4 104 280zM487.4 124.8c-1.766-4.078-6.484-5.922-10.52-4.203c-4.062 1.75-5.938 6.453-4.203 10.52L491.9 176H192c-4.422 0-8 3.578-8 8s3.579 7.953 8.001 7.953L504 192c2.688 0 5.203-1.344 6.672-3.594c1.484-2.25 1.734-5.078 .6875-7.562L487.4 124.8zM35.16 120.6C31.11 118.9 26.39 120.8 24.64 124.8l-24 56C-.4063 183.3-.1563 186.2 1.328 188.4C2.797 190.7 5.313 192 8 192H96c4.422 0 8-3.578 8-8S100.4 176 96 176H20.13l19.23-44.84C41.09 127.1 39.22 122.4 35.16 120.6z"],
    "block": [448, 512, [], "e46a", "M96 112C96 120.8 88.84 128 80 128C71.16 128 64 120.8 64 112C64 103.2 71.16 96 80 96C88.84 96 96 103.2 96 112zM352 112C352 103.2 359.2 96 368 96C376.8 96 384 103.2 384 112C384 120.8 376.8 128 368 128C359.2 128 352 120.8 352 112zM96 400C96 408.8 88.84 416 80 416C71.16 416 64 408.8 64 400C64 391.2 71.16 384 80 384C88.84 384 96 391.2 96 400zM352 400C352 391.2 359.2 384 368 384C376.8 384 384 391.2 384 400C384 408.8 376.8 416 368 416C359.2 416 352 408.8 352 400zM384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM384 48H64C37.49 48 16 69.49 16 96V416C16 442.5 37.49 464 64 464H384C410.5 464 432 442.5 432 416V96C432 69.49 410.5 48 384 48z"],
    "block-brick": [448, 512, ["wall-brick"], "e3db", "M0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM128 128H320V48H128V128zM112 128V48H64C37.49 48 16 69.49 16 96V128H112zM16 144V248H216V144H16zM112 368V264H16V368H112zM16 384V416C16 442.5 37.49 464 64 464H216V384H16zM128 368H320V264H128V368zM432 368V264H336V368H432zM432 384H232V464H384C410.5 464 432 442.5 432 416V384zM232 144V248H432V144H232zM432 128V96C432 69.49 410.5 48 384 48H336V128H432z"],
    "block-brick-fire": [640, 512, ["firewall"], "e3dc", "M160 368H288.8C289.3 373.4 290 378.7 290.1 384H264V464H324.8C328.8 469.6 333 474.9 337.6 480H96C60.65 480 32 451.3 32 416V96C32 60.65 60.65 32 96 32H416C451.3 32 480 60.65 480 96V144.6C478.3 143 476.7 141.5 474.1 139.1C471.6 136.1 467.9 134.5 464 132.6V96C464 69.49 442.5 48 416 48H368V144H264V248H321.1C318.8 253.2 315.9 258.6 313 264H160L160 368zM160 128H352V48H160V128zM144 128V48H96C69.49 48 48 69.49 48 96V128H144zM48 144V248H248V144H48zM144 368V264H48V368H144zM48 384V416C48 442.5 69.49 464 96 464H248V384H48zM441.7 256C444.1 256 446.4 257.1 447.9 259C450.1 261.8 467.3 283.6 483.8 304.7L510.3 338.5L543.7 299.6C545.3 297.8 547.6 296.7 550 296.8C552.5 296.9 554.7 298.1 556.2 300C559.9 305 562.4 309.1 564.6 314.3L564.6 314.4C586.1 353.9 576.8 404.8 540 430.5L539.9 430.6C522 442.5 502.9 448.5 481.4 448.5C454.8 448.5 430.5 439.1 412.7 423.7C394.8 407.3 384 383.6 384 354.5C384 339.4 388.8 325.6 397.5 310.6C406.1 295.8 418.9 279.3 435.4 258.1C436.1 257.1 439.3 255.1 441.7 255.1V256zM503.8 356.1L471.2 314.6C459.1 300.2 448.5 285.6 441.6 276.8C428.2 293.5 418.2 306.8 411.3 318.6C403.5 332.1 400 343.1 400 354.5C400 379.4 409.1 398.7 423.5 411.9C437.9 425.1 458.2 432.5 481.4 432.5C499.6 432.5 515.7 427.5 530.9 417.4C560.3 396.8 568.6 355.1 550.5 321.9L550.3 321.6C549.8 320.5 549.2 319.4 548.7 318.4L516.1 356.4C514.6 358.2 512.3 359.2 509.9 359.2C507.5 359.1 505.2 357.1 503.8 356.1L503.8 356.1zM498.4 209.1C502 213.2 505.6 217.3 509 221.5C512.3 217.4 515.8 213.1 519.4 208.9C524.4 202.1 529.9 197.1 535.5 191.1C541.1 186.9 549.9 186.9 555.5 192C580.2 214.7 601.1 244.7 615.8 273.2C630.4 301.2 640 329.9 640 350.1C640 437.9 568.7 512 480 512C390.3 512 320 437.8 320 350.1C320 323.7 332.7 291.5 352.4 259.5C372.4 227.2 400.5 193.4 433.8 163.7C439.4 158.7 447.1 158.8 453.5 163.8C469.3 177.1 484.3 193.1 498.4 209.1V209.1zM509.2 237.5C504.4 237.5 499.8 235.4 496.7 231.7C480.2 211.8 462.5 193.4 443.6 176.4C411.8 204.9 384.1 237.2 366 267.9C346.9 298.1 336 328.1 336 350.1C336 429.4 399.5 496 480 496C559.6 496 624 429.4 624 350.1C624 333.8 615.8 307.9 601.6 280.5C587.7 253.6 568.1 225.6 545.5 204.6C537.1 212.3 529.1 221.9 521.6 231.4C518.6 235.2 514 237.4 509.2 237.5H509.2zM510.1 351.2L503.8 356.1z"],
    "block-question": [448, 512, [], "e3dd", "M192 144C169.9 144 152 161.9 152 184V192C152 196.4 148.4 200 144 200C139.6 200 136 196.4 136 192V184C136 153.1 161.1 128 192 128H247.8C283.3 128 312 156.7 312 192.2C312 214.7 300.2 235.6 280.8 247.2L235.9 274.2C233.5 275.6 232 278.2 232 281.1V303.1C232 308.4 228.4 311.1 224 311.1C219.6 311.1 216 308.4 216 303.1V281.1C216 272.6 220.4 264.8 227.7 260.5L272.6 233.5C287.1 224.8 296 209.1 296 192.2C296 165.6 274.4 144 247.8 144H192zM208 368C208 359.2 215.2 352 224 352C232.8 352 240 359.2 240 368C240 376.8 232.8 384 224 384C215.2 384 208 376.8 208 368zM96 112C96 120.8 88.84 128 80 128C71.16 128 64 120.8 64 112C64 103.2 71.16 96 80 96C88.84 96 96 103.2 96 112zM352 112C352 103.2 359.2 96 368 96C376.8 96 384 103.2 384 112C384 120.8 376.8 128 368 128C359.2 128 352 120.8 352 112zM96 400C96 408.8 88.84 416 80 416C71.16 416 64 408.8 64 400C64 391.2 71.16 384 80 384C88.84 384 96 391.2 96 400zM352 400C352 391.2 359.2 384 368 384C376.8 384 384 391.2 384 400C384 408.8 376.8 416 368 416C359.2 416 352 408.8 352 400zM384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM384 48H64C37.49 48 16 69.49 16 96V416C16 442.5 37.49 464 64 464H384C410.5 464 432 442.5 432 416V96C432 69.49 410.5 48 384 48z"],
    "block-quote": [448, 512, [], "e0b5", "M440 88C444.4 88 448 91.58 448 96C448 100.4 444.4 104 440 104H8C3.582 104 0 100.4 0 96C0 91.58 3.582 88 8 88H440zM440 248C444.4 248 448 251.6 448 256C448 260.4 444.4 264 440 264H136C131.6 264 128 260.4 128 256C128 251.6 131.6 248 136 248H440zM128 416C128 411.6 131.6 408 136 408H440C444.4 408 448 411.6 448 416C448 420.4 444.4 424 440 424H136C131.6 424 128 420.4 128 416zM0 232C0 227.6 3.582 224 8 224C12.42 224 16 227.6 16 232V440C16 444.4 12.42 448 8 448C3.582 448 0 444.4 0 440V232z"],
    "blog": [512, 512, [], "f781", "M200 32C195.6 32 192 35.58 192 40S195.6 48 200 48c145.6 0 264 118.4 264 264c0 4.422 3.578 8 8 8S480 316.4 480 312C480 157.6 354.4 32 200 32zM200 128C195.6 128 192 131.6 192 136S195.6 144 200 144c92.64 0 168 75.36 168 168c0 4.422 3.578 8 8 8S384 316.4 384 312C384 210.5 301.5 128 200 128zM160 224C155.6 224 152 227.6 152 232S155.6 240 160 240c61.75 0 112 50.25 112 112S221.8 464 160 464S48 413.8 48 352V104C48 99.58 44.42 96 40 96S32 99.58 32 104V352c0 70.58 57.42 128 128 128s128-57.42 128-128S230.6 224 160 224z"],
    "blueberries": [512, 512, [], "e2e8", "M400 96h-32V64c0-4.422-3.594-8-8-8S352 59.58 352 64v32h-32c-4.406 0-8 3.578-8 8S315.6 112 320 112h32v32c0 4.422 3.594 8 8 8S368 148.4 368 144v-32h32c4.406 0 8-3.578 8-8S404.4 96 400 96zM192 272H160v-32c0-4.422-3.594-8-8-8S144 235.6 144 240v32h-32c-4.406 0-8 3.578-8 8S107.6 288 112 288h32v32c0 4.422 3.594 8 8 8S160 324.4 160 320V288h32c4.406 0 8-3.578 8-8S196.4 272 192 272zM176 160C78.8 160 0 238.8 0 336C0 433.2 78.8 512 176 512s176-78.8 176-176C352 238.8 273.2 160 176 160zM176 496c-88.22 0-160-71.78-160-160s71.78-160 160-160s160 71.78 160 160S264.2 496 176 496zM336 0c-64.63 0-123.1 35.33-154.8 92.19C179.1 96.06 180.5 100.9 184.4 103c3.938 2.141 8.75 .6406 10.84-3.219C223.3 48.11 277.3 16 336 16c88.22 0 160 71.78 160 160c0 58.75-32.13 112.7-83.81 140.7c-3.875 2.109-5.312 6.969-3.219 10.84C410.4 330.3 413.2 331.8 416 331.8c1.281 0 2.594-.3125 3.812-.9687C476.7 299.9 512 240.6 512 176C512 78.95 433 0 336 0z"],
    "bluetooth": [320, 512, [], "f293", "M172.7 256l144.4-117.8C318.9 136.7 320 134.4 320 132s-1.094-4.688-2.938-6.188l-152-124c-2.406-1.938-5.688-2.406-8.5-1.031C153.8 2.102 152 4.914 152 8.008v231.2L13.06 125.8C9.592 123 4.592 123.5 1.811 126.9C-1.002 130.4-.4707 135.4 2.936 138.2l144.4 117.8l-144.4 117.8c-3.406 2.781-3.938 7.812-1.125 11.25c2.781 3.406 7.781 3.938 11.25 1.125L152 272.8V504c0 3.094 1.781 5.906 4.562 7.219C157.7 511.8 158.8 512 160 512c1.812 0 3.593-.625 5.062-1.812l152-124C318.9 384.7 320 382.4 320 380s-1.094-4.688-2.938-6.188L172.7 256zM168 24.85l131.3 107.2L168 239.2V24.85zM168 487.2V272.8L299.3 380L168 487.2z"],
    "bold": [384, 512, [], "f032", "M274.8 243.3C310.9 224.7 336 187.4 336 144c0-61.75-50.25-111.1-112-111.1L8 32C3.594 32 0 35.58 0 40S3.594 48 8 48H48v416H8C3.594 464 0 467.6 0 472S3.594 480 8 480h240c66.16 0 120-53.83 120-120C368 303.1 328 255.5 274.8 243.3zM224 48c52.94 0 96 43.06 96 96s-43.06 96-96 96H64v-192H224zM248 464H64V256h184C305.3 256 352 302.7 352 360S305.3 464 248 464z"],
    "bolt": [384, 512, [9889, "zap"], "f0e7", "M277.9 6.309C282.4 2.246 288.3 0 294.4 0C312.3 0 324.3 18.25 317.3 34.66L236.1 224H359.4C373 224 384 234.1 384 248.6C384 255.6 380.1 262.3 375.7 266.9L106.1 505.7C101.5 509.8 95.68 512 89.6 512C71.74 512 59.7 493.7 66.73 477.3L147.9 287.1H23.35C10.45 287.1 0 277.5 0 264.7C0 257.1 2.839 251.7 7.805 247.2L277.9 6.309zM294.4 16C292.3 16 290.2 16.8 288.5 18.25L18.46 259.2C16.89 260.6 16 262.6 16 264.7C16 268.7 19.29 272 23.35 272H160C162.7 272 165.2 273.4 166.7 275.6C168.2 277.8 168.4 280.7 167.4 283.2L81.44 483.6C78.93 489.5 83.22 496 89.6 496C91.77 496 93.86 495.2 95.49 493.8L365.1 254.1C366.1 253.3 368 250.1 368 248.6C368 243.8 364.2 240 359.4 240H224C221.3 240 218.8 238.6 217.3 236.4C215.8 234.2 215.6 231.3 216.6 228.8L302.6 28.35C305.1 22.51 300.8 16 294.4 16V16z"],
    "bolt-auto": [576, 512, [], "e0b6", "M317.3 34.66L236.1 224H359.4C373 224 384 234.1 384 248.6C384 255.6 380.1 262.3 375.7 266.9L106.1 505.7C101.5 509.8 95.68 512 89.6 512C71.74 512 59.7 493.7 66.73 477.3L147.9 288H23.35C10.45 288 0 277.5 0 264.7C0 257.1 2.839 251.7 7.805 247.2L277.9 6.309C282.4 2.246 288.3 0 294.4 0C312.3 0 324.3 18.25 317.3 34.66L317.3 34.66zM18.46 259.2C16.89 260.6 16 262.6 16 264.7C16 268.7 19.29 272 23.35 272H160C162.7 272 165.2 273.4 166.7 275.6C168.2 277.8 168.4 280.7 167.4 283.2L81.44 483.6C78.93 489.5 83.22 496 89.6 496C91.77 496 93.86 495.2 95.49 493.8L365.1 254.1C366.1 253.3 368 250.1 368 248.6C368 243.8 364.2 240 359.4 240H224C221.3 240 218.8 238.6 217.3 236.4C215.8 234.2 215.6 231.3 216.6 228.8L302.6 28.35C305.1 22.51 300.8 16 294.4 16C292.3 16 290.2 16.8 288.5 18.25L18.46 259.2zM464 288C467 288 469.8 289.7 471.2 292.4L575.2 500.4C577.1 504.4 575.5 509.2 571.6 511.2C567.6 513.1 562.8 511.5 560.8 507.6L539.1 464H388.9L367.2 507.6C365.2 511.5 360.4 513.1 356.4 511.2C352.5 509.2 350.9 504.4 352.8 500.4L456.8 292.4C458.2 289.7 460.1 288 464 288H464zM396.9 448H531.1L464 313.9L396.9 448z"],
    "bolt-lightning": [384, 512, [], "e0b7", "M381.2 172.8C377.1 164.9 368.9 160 360 160h-156.6l50.84-127.1c2.969-7.375 2.062-15.78-2.406-22.38S239.1 0 232 0h-176C43.97 0 33.81 8.906 32.22 20.84l-32 240C-.7179 267.7 1.376 274.6 5.938 279.8C10.5 285 17.09 288 24 288h146.3l-41.78 194.1c-2.406 11.22 3.469 22.56 14 27.09C145.6 511.4 148.8 512 152 512c7.719 0 15.22-3.75 19.81-10.44l208-304C384.8 190.2 385.4 180.7 381.2 172.8zM366.6 188.5L158.6 492.5C157.1 494.7 154.6 496 152 496c-1.104 0-2.168-.2168-3.145-.6348c-3.512-1.512-5.48-5.312-4.68-9.045l41.78-194.1C188.1 281.4 180.5 272 170.3 272H24c-2.305 0-4.508-1.004-6.018-2.719C16.46 267.5 15.76 265.3 16.08 262.1l32-239.1C48.61 18.98 52.01 16 56.03 16h175.1c2.664 0 5.141 1.311 6.631 3.508c1.49 2.201 1.793 4.977 .7949 7.455L188.6 154.1C184.4 164.6 192.1 176 203.4 176h156.6c2.967 0 5.676 1.641 7.068 4.281C368.5 182.9 368.3 186.1 366.6 188.5z"],
    "bolt-slash": [640, 512, [], "e0b8", "M356.1 376.3L368.9 386.3L234.1 505.7C229.5 509.8 223.7 512 217.6 512C199.7 512 187.7 493.7 194.7 477.3L267.9 306.6L280.9 316.9L209.4 483.6C206.9 489.5 211.2 496 217.6 496C219.8 496 221.9 495.2 223.5 493.8L356.1 376.3zM224.1 272L244.3 288H151.3C138.5 288 128 277.5 128 264.7C128 257.1 130.8 251.7 135.8 247.2L162.5 223.4L175.3 233.5L146.5 259.2C144.9 260.6 144 262.6 144 264.7C144 268.7 147.3 272 151.3 272H224.1zM284.4 136.1L271.6 126.1L405.9 6.309C410.4 2.246 416.3 0 422.4 0C440.3 0 452.3 18.25 445.3 34.66L372.1 205.4L359.1 195.1L430.6 28.35C433.1 22.51 428.8 16 422.4 16C420.3 16 418.2 16.8 416.5 18.25L284.4 136.1zM512 248.6C512 255.6 508.1 262.3 503.7 266.9L478.4 289.3L465.7 279.3L493.1 254.1C494.1 253.3 496 250.1 496 248.6C496 243.8 492.2 240 487.4 240H415.9L395.7 224H487.4C501 224 512 234.1 512 248.6V248.6zM636.1 497.7C640.4 500.5 641 505.5 638.3 508.1C635.5 512.4 630.5 513 627 510.3L3.022 14.26C-.4365 11.51-1.012 6.482 1.738 3.023C4.487-.4358 9.52-1.011 12.98 1.739L636.1 497.7z"],
    "bomb": [512, 512, [128163], "f1e2", "M456 56H496C500.4 56 504 59.58 504 64C504 68.42 500.4 72 496 72H456V112C456 116.4 452.4 120 448 120C443.6 120 440 116.4 440 112V72H400C395.6 72 392 68.42 392 64C392 59.58 395.6 56 400 56H440V16C440 11.58 443.6 8 448 8C452.4 8 456 11.58 456 16V56zM199.1 184C138.1 184 87.1 234.1 87.1 296V304C87.1 308.4 84.42 312 79.1 312C75.58 312 71.1 308.4 71.1 304V296C71.1 225.3 129.3 168 199.1 168H207.1C212.4 168 215.1 171.6 215.1 176C215.1 180.4 212.4 184 207.1 184H199.1zM406.6 230.6L403.8 233.5C411.7 255.5 416 279.3 416 304C416 418.9 322.9 512 208 512C93.12 512 0 418.9 0 304C0 189.1 93.12 96 208 96C232.7 96 256.5 100.3 278.5 108.3L281.4 105.4C293.9 92.88 314.1 92.88 326.6 105.4L360.1 139.7L394.3 106.3C397.5 103.2 402.5 103.2 405.7 106.3C408.8 109.5 408.8 114.5 405.7 117.7L372.3 151L406.6 185.4C419.1 197.9 419.1 218.1 406.6 230.6L406.6 230.6zM289.8 119.6C285.4 123.9 278.9 125.4 273.1 123.3C252.8 115.1 230.9 112 207.1 112C101.1 112 15.1 197.1 15.1 304C15.1 410 101.1 496 207.1 496C314 496 400 410 400 304C400 281.1 396 259.2 388.7 238.9C386.6 233.1 388.1 226.6 392.4 222.2L395.3 219.3C401.6 213.1 401.6 202.9 395.3 196.7L315.3 116.7C309.1 110.4 298.9 110.4 292.7 116.7L289.8 119.6z"],
    "bone": [576, 512, [129460], "f5d7", "M534.9 244.5C560.1 232 576 206.3 576 178V173.6c0-35.55-23.49-68.35-58.24-75.88C512.3 96.56 506.9 96 501.6 96c-32 0-60.5 20.5-70.63 50.88L430.8 147.4C425.2 164.4 409.5 176 391.6 176H184.4c-17.99 0-33.75-11.94-39.38-29.03C134.9 116.6 106.4 96 74.38 96C69.07 96 63.67 96.56 58.24 97.74C23.49 105.3 0 138.1 0 173.6v4.387C0 206.3 15.88 232 41.13 244.5c9.375 4.75 9.375 18.25 0 23C15.88 280 0 305.8 0 334v4.387c0 35.55 23.49 68.35 58.24 75.88C63.67 415.4 69.07 416 74.38 416c32 0 60.5-20.5 70.63-50.88l.1875-.5664C150.8 347.6 166.5 336 184.4 336h207.2c17.98 0 33.68 11.73 39.31 28.81c.0352 .1055 .0684 .209 .1035 .3125C441.1 395.5 469.6 416 501.6 416c5.305 0 10.71-.5625 16.13-1.738C552.5 406.7 576 373.9 576 338.4v-4.387C576 305.8 560.1 280 534.9 267.5C525.5 262.8 525.5 249.3 534.9 244.5zM527.8 281.8C547.7 291.7 560 311.7 560 334v4.387c0 29.18-19.19 54.51-45.63 60.24C510.2 399.5 505.9 400 501.6 400c-25.2 0-47.48-16.05-55.53-40.19C438.3 335.1 416.4 320 391.6 320H184.4c-24.76 0-46.63 15.89-54.59 40.06C121.9 383.1 99.58 400 74.38 400c-4.24 0-8.529-.4629-12.75-1.377C35.19 392.9 16 367.6 16 338.4v-4.387c0-22.33 12.35-42.32 32.36-52.23C58.1 276.8 64.16 266.1 64.16 256S58.1 235.2 48.22 230.2C28.35 220.3 16 200.3 16 178V173.6c0-29.18 19.19-54.51 45.63-60.24C65.85 112.5 70.13 112 74.38 112c25.2 0 47.48 16.05 55.52 40.17C137.7 175.1 159.7 192 184.4 192h207.2c24.76 0 46.63-15.89 54.59-40.07C454.1 128 476.4 112 501.6 112c4.24 0 8.529 .4629 12.75 1.375C540.8 119.1 560 144.4 560 173.6v4.387c0 22.33-12.35 42.32-32.36 52.23C517.9 235.2 511.8 245 511.8 256S517.9 276.8 527.8 281.8z"],
    "bone-break": [640, 512, [], "f5d8", "M242.3 157.7C243.9 159.2 245.9 160 247.1 160S252.1 159.2 253.7 157.7c3.125-3.125 3.125-8.188 0-11.31l-80-80c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31L242.3 157.7zM391.1 160c2.062 0 4.094-.7813 5.656-2.344l80-80c3.125-3.125 3.125-8.188 0-11.31s-8.188-3.125-11.31 0l-80 80c-3.125 3.125-3.125 8.188 0 11.31C387.9 159.2 389.9 160 391.1 160zM319.1 0C315.6 0 311.1 3.578 311.1 8v112c0 4.422 3.592 7.997 7.998 7.997S327.1 124.4 327.1 120v-112C327.1 3.578 324.4 0 319.1 0zM284.9 371.1l-70.73 21.28c-24.16 5.426-42.03 25.83-44.46 50.78c-2.561 25.32-20.79 45.86-45.38 51.38c-4.137 .9297-8.424 1.418-12.74 1.451c-27.05 .209-51.32-20.3-57.71-48.78L52.89 442.9c-4.895-21.79 2.773-44 20.01-57.96c8.541-7.047 12.28-18.01 9.883-28.7c-2.4-10.69-10.47-19-21.06-21.68c-21.69-5.281-38.12-22.08-43.02-43.87L17.74 286.5c-6.395-28.47 6.777-57.39 31.32-68.77c3.92-1.814 8.002-3.207 12.14-4.135C85.79 208 111 218.8 124 240.4c13.07 21.84 37.89 32.55 62.05 27.13l88.22-19.81c4.449-1 7.166-5.512 5.965-9.91C279.2 233.6 274.1 231.1 270.8 232.1L182.9 251.8C165.4 255.7 147.3 248 138.1 232.6L137.7 232.1c-16.54-27.42-48.83-41.17-80.05-34.16c-5.293 1.188-10.56 2.973-15.71 5.391c-31.88 14.96-47.78 51.35-40.06 85.71l1.168 5.201c6.191 27.56 27.32 49.21 54.7 55.87c10.19 2.58 13.15 15.75 5.041 22.44c-21.9 17.73-31.74 46.33-25.55 73.9l1.172 5.217c7.73 34.43 37.78 60.53 73.06 60.33c5.617-.0313 11.07-.666 16.3-1.84c31.22-7.012 54.54-33.26 57.76-65.11l.0313-.3281c1.713-18 14.81-32.86 32.45-36.82l70.32-21.18c4.502-1.012 7.217-5.609 5.93-10.04C293.1 372.6 288.1 370.2 284.9 371.1zM598 203.3c-5.148-2.418-10.41-4.203-15.71-5.391c-31.22-7.012-63.52 6.742-80.05 34.16L501.9 232.6c-9.248 15.39-27.32 23.13-44.85 19.2l-87.91-19.74c-4.174-.9355-8.346 1.576-9.471 5.703C358.5 242.2 361.2 246.7 365.7 247.7l88.22 19.81c24.15 5.424 48.98-5.291 62.05-27.13c13-21.56 38.26-32.34 62.85-26.81c4.139 .9277 8.221 2.32 12.14 4.135c24.54 11.38 37.71 40.3 31.32 68.77L621.3 290.7c-4.895 21.79-21.32 38.59-43.02 43.87c-10.59 2.684-18.66 10.99-21.06 21.68c-2.4 10.69 1.342 21.65 9.883 28.7c17.24 13.96 24.91 36.16 20.01 57.96l-.9609 4.279c-6.395 28.47-30.67 48.98-57.71 48.78c-4.318-.0332-8.605-.5215-12.74-1.451c-24.59-5.521-42.81-26.06-45.38-51.38c-2.432-24.95-20.3-45.36-44.46-50.78l-70.73-21.28c-4.123-.9258-8.254 1.514-9.436 5.572c-1.287 4.432 1.428 9.029 5.93 10.04l70.32 21.18c17.64 3.961 30.73 18.82 32.45 36.82l.0313 .3281c3.223 31.86 26.54 58.1 57.76 65.11c5.23 1.174 10.68 1.809 16.3 1.84c35.29 .1934 65.33-25.9 73.06-60.33l1.172-5.217c6.189-27.56-3.656-56.17-25.55-73.9c-8.105-6.688-5.148-19.86 5.041-22.44c27.38-6.662 48.51-28.31 54.7-55.87l1.168-5.201C645.8 254.7 629.9 218.3 598 203.3z"],
    "bong": [512, 512, [], "f55c", "M477.7 226.3l-64-64c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31L428.7 200l-59.44 59.44C347.6 234.3 319.9 214.5 288 203.2V16h24C316.4 16 320 12.42 320 8S316.4 0 312 0h-176C131.6 0 128 3.578 128 8S131.6 16 136 16H160v187.2C85.48 229.5 32 300.4 32 384c0 43.81 14.8 84.07 39.52 116.4C77.34 507.1 86.7 512 96.28 512h255.4c9.582 0 19-4.043 24.83-11.65c24.72-32.28 39.53-72.54 39.53-116.4c0-41.98-13.54-80.73-36.42-112.3L440 211.3l26.34 26.34C467.9 239.2 469.9 240 472 240s4.094-.7813 5.656-2.344C480.8 234.5 480.8 229.5 477.7 226.3zM165.3 218.2C171.7 215.1 176 209.9 176 203.2V16h96v187.2c0 6.777 4.271 12.82 10.66 15.08C331.7 235.6 369 273.5 387.3 320H60.66C79 273.5 116.3 235.6 165.3 218.2zM363.8 490.6C361.2 493.1 356.7 496 351.7 496H96.31c-4.994 0-9.514-2.01-12.09-5.377C60.53 459.7 48 422.8 48 384c0-16.67 2.697-32.83 7.17-48.34C55.48 335.7 55.68 336 56 336h336c.3223 0 .5176-.3066 .8301-.3438C397.3 351.2 400 367.3 400 384C400 422.8 387.5 459.7 363.8 490.6z"],
    "book": [448, 512, [128212], "f02d", "M448 384V32c0-17.67-14.33-32-32-32H64C28.65 0 0 28.65 0 64v391.1c0 30.93 25.07 56 55.1 56l383.1 .0078C444.4 511.1 448 508.4 448 503.1c0-4.422-3.584-8.008-8.006-8.008H416V416C433.7 416 448 401.7 448 384zM16 64c0-26.47 21.53-48 48-48h48v383.1l-56 .0039c-15.68 0-29.82 6.516-40 16.93V64zM400 495.1H56c-23.38 0-42.12-20.14-39.81-43.98c2.02-20.78 20.7-36.02 41.58-36.02L400 416V495.1zM128 399.1V16h288c8.836 0 16 7.164 16 16v352c0 8.824-7.178 16-16 16L128 399.1zM376 127.1h-192c-4.406 0-8 3.578-8 8s3.594 8 8 8h192c4.406 0 8-3.578 8-8S380.4 127.1 376 127.1zM376 207.1h-192c-4.406 0-8 3.578-8 8s3.594 8 8 8h192c4.406 0 8-3.578 8-8S380.4 207.1 376 207.1z"],
    "book-arrow-right": [640, 512, [], "e0b9", "M440 272c-4.418 0-8 3.582-8 8v104c0 8.836-7.164 15.1-16 15.1L56 399.1c-15.68 0-29.82 6.516-40 16.93V64c0-26.51 21.49-48 48-48h352c8.836 0 16 7.162 16 16v104c0 4.418 3.582 8 8 8S448 140.4 448 136V32c0-17.67-14.33-32-32-32H64C28.66 0 0 28.65 0 64v391.1c0 30.93 25.07 56 56 56L439.1 512C444.4 512 448 508.4 448 504c0-4.422-3.586-8.008-8.008-8.008H416v-79.99c17.67 0 32-14.33 32-32V280C448 275.6 444.4 272 440 272zM400 495.1H56c-23.38 0-42.13-20.14-39.8-43.99c2.016-20.78 20.7-36.02 41.57-36.02L400 416V495.1zM637.7 202.9l-108-108C528.1 93.37 526.1 92.59 524 92.59s-4.094 .7813-5.656 2.344c-3.125 3.125-3.125 8.188 0 11.31l94.34 94.34H264c-4.406 0-8 3.578-8 8s3.594 8 8 8h348.7l-93.17 93.17c-3.125 3.125-3.125 8.188 0 11.31s8.188 3.125 11.31 0l106.8-106.8C640.8 211.1 640.8 206.1 637.7 202.9z"],
    "book-arrow-up": [448, 512, [], "e0ba", "M353.1 248.5c3.125-3.125 3.125-8.188 0-11.31l-106.8-106.8c-3.125-3.125-8.188-3.125-11.31 0l-108 108C125.4 239.9 124.6 241.9 124.6 244s.7813 4.094 2.344 5.656c3.125 3.125 8.188 3.125 11.31 0l94.34-94.34V504c0 4.406 3.578 8 8 8s8-3.594 8-8V155.3l93.17 93.17C344.9 251.6 349.9 251.6 353.1 248.5zM448 384V32c0-17.67-14.33-32-32-32H64C28.66 0 0 28.65 0 64v391.1c0 30.93 25.07 56 56 56l128 .002c4.418 0 8-3.582 8-8s-3.582-8.002-8-8.002h-128c-23.38 0-42.13-20.14-39.8-43.99c2.023-20.78 20.7-36.01 41.59-36.01L184 415.1c4.418 0 8-3.582 8-8s-3.582-7.998-8-7.998l-128-.0039c-15.68 0-29.82 6.516-40 16.93V64c0-26.51 21.49-48 48-48h352c8.836 0 16 7.162 16 16v352c0 8.836-7.164 15.1-16 15.1l-120-.001c-4.418 0-8 3.58-8 7.998S291.6 416 296 416l104 .0059v79.99h-104c-4.418 0-8 3.58-8 7.998s3.582 8.006 8 8.006L439.1 512C444.4 512 448 508.4 448 504c0-4.422-3.586-8.008-8.008-8.008H416v-79.99C433.7 416 448 401.7 448 384z"],
    "book-atlas": [448, 512, ["atlas"], "f558", "M240 72c-75 0-136 61.01-136 135.1c0 74.98 61 135.1 136 135.1s136-61.01 136-135.1C376 133 315 72 240 72zM240 87.1c21.83 0 45.78 45.71 47.64 111.1H192.4C194.2 133.7 218.2 87.1 240 87.1zM204.9 93.84C188.4 116.5 177.6 154.1 176.4 199.1H120.8C124.2 149.7 158.4 108.2 204.9 93.84zM120.8 215.1h55.56c1.199 45 12.05 83.5 28.57 106.2C158.4 307.8 124.2 266.3 120.8 215.1zM240 327.1c-21.83 0-45.78-45.72-47.64-112h95.29C285.8 282.3 261.8 327.1 240 327.1zM275.1 322.2c16.52-22.66 27.37-61.16 28.57-106.2h55.56C355.8 266.3 321.6 307.8 275.1 322.2zM303.6 199.1c-1.199-45-12.05-83.5-28.57-106.2c46.5 14.34 80.74 55.85 84.13 106.2H303.6zM448 384V32c0-17.67-14.33-32-32-32H64C28.65 0 0 28.65 0 64v391.1c0 30.93 25.07 56 55.1 56l383.1 .0078C444.4 511.1 448 508.4 448 503.1c0-4.422-3.584-8.008-8.006-8.008H416V416C433.7 416 448 401.7 448 384zM400 495.1H56c-23.38 0-42.12-20.14-39.81-43.98c2.02-20.78 20.7-36.02 41.58-36.02L400 416V495.1zM56 399.1c-15.68 0-29.82 6.516-40 16.93V64c0-26.47 21.53-48 48-48h352c8.836 0 16 7.164 16 16v352c0 8.824-7.178 16-16 16L56 399.1z"],
    "book-bible": [448, 512, ["bible"], "f647", "M320 128l-40 .0078v-40c0-13.23-10.78-24.01-24-24.01l-32-.0009c-13.22 0-24 10.78-24 24.01v40L160 128c-13.22 0-24 10.77-24 24v32c0 13.23 10.78 23.1 24 23.1l40 .0039v104c0 13.23 10.78 23.1 24 23.1h32c13.22 0 24-10.76 24-23.1v-104L320 208c13.22 0 24-10.76 24-23.1v-32C344 138.8 333.2 128 320 128zM328 184c0 4.484-3.5 7.995-8 7.995l-56 .0054v120c0 4.484-3.5 7.994-8 7.994l-32-.0002c-4.5 0-8-3.51-8-7.994v-120L160 192c-4.5 0-8-3.51-8-7.995v-32c0-4.484 3.5-8.004 8-8.004l56 .0039V88.01c0-4.484 3.5-8.006 8-8.006h32c4.5 0 8 3.521 8 8.006v55.1L320 144c4.5 0 8 3.52 8 8.004V184zM448 384V32c0-17.67-14.33-32-32-32H64C28.65 0 0 28.65 0 64v391.1c0 30.93 25.07 56 55.1 56l383.1 .0078C444.4 511.1 448 508.4 448 503.1c0-4.422-3.584-8.008-8.006-8.008H416V416C433.7 416 448 401.7 448 384zM400 495.1H56c-23.38 0-42.12-20.14-39.81-43.98c2.02-20.78 20.7-36.02 41.58-36.02L400 416V495.1zM56 399.1c-15.68 0-29.82 6.516-40 16.93V64c0-26.47 21.53-48 48-48h352c8.836 0 16 7.164 16 16v352c0 8.824-7.178 16-16 16L56 399.1z"],
    "book-blank": [448, 512, [128215, 128216, 128217, 128213, "book-alt"], "f5d9", "M448 384V32c0-17.67-14.33-32-32-32H64C28.65 0 0 28.65 0 64v391.1c0 30.93 25.07 56 55.1 56l383.1 .0078C444.4 511.1 448 508.4 448 503.1c0-4.422-3.584-8.008-8.006-8.008H416V416C433.7 416 448 401.7 448 384zM16 64c0-26.47 21.53-48 48-48h48v383.1l-56 .0039c-15.68 0-29.82 6.516-40 16.93V64zM400 495.1H56c-23.38 0-42.12-20.14-39.81-43.98c2.02-20.78 20.7-36.02 41.58-36.02L400 416V495.1zM128 399.1V16h288c8.836 0 16 7.164 16 16v352c0 8.824-7.178 16-16 16L128 399.1z"],
    "book-bookmark": [448, 512, [], "e0bb", "M448 384V32c0-17.67-14.33-32-32-32H64C28.66 0 0 28.65 0 64v391.1c0 30.93 25.07 56 56 56L439.1 512C444.4 512 448 508.4 448 504c0-4.422-3.586-8.008-8.008-8.008H416v-79.99C433.7 416 448 401.7 448 384zM176 16h160v215.1l-74.94-61.31C259.6 168.6 257.8 168 256 168s-3.594 .6094-5.062 1.812L176 231.1V16zM400 495.1H56c-23.38 0-42.13-20.14-39.8-43.99c2.016-20.78 20.7-36.02 41.57-36.02L400 416V495.1zM56 399.1c-15.68 0-29.82 6.516-40 16.93V64c0-26.47 21.53-48 48-48h96v232c0 3.094 1.781 5.906 4.562 7.234c2.812 1.344 6.094 .9062 8.5-1.047L256 186.3l82.94 67.84C340.4 255.4 342.2 256 344 256c1.156 0 2.344-.25 3.438-.7656C350.2 253.9 352 251.1 352 248V16h64c8.836 0 16 7.164 16 16v352c0 8.824-7.18 15.1-16 15.1L56 399.1z"],
    "book-circle-arrow-right": [640, 512, [], "e0bc", "M360 495.1h-304c-23.38 0-42.13-20.14-39.8-43.99c2.023-20.78 20.7-36.01 41.59-36.01L312 416C316.4 416 320 412.4 320 408s-3.582-7.998-8-8l-256-.0059c-15.68 0-29.82 6.516-40 16.93V64c0-26.51 21.49-48 48-48h352c8.836 0 16 7.162 16 16v152C432 188.4 435.6 192 440 192S448 188.4 448 184V32c0-17.67-14.33-32-32-32H64C28.66 0 0 28.65 0 64v391.1c0 30.93 25.07 56 56 56L360 512c4.418 0 8-3.582 8-8S364.4 495.1 360 495.1zM509.7 298.3c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31L548.7 360h-124.7c-4.406 0-8.003 3.578-8.003 8s3.597 8 8.003 8h124.7l-50.34 50.34c-3.125 3.125-3.125 8.188 0 11.31C499.9 439.2 501.9 440 504 440s4.094-.7813 5.656-2.344l64-64c3.125-3.125 3.125-8.188 0-11.31L509.7 298.3zM496 224C416.5 224 352 288.5 352 368s64.46 144 144 144s144-64.46 144-144S575.5 224 496 224zM496 496c-70.58 0-128-57.42-128-128s57.42-128 128-128s128 57.42 128 128S566.6 496 496 496z"],
    "book-circle-arrow-up": [640, 512, [], "e0bd", "M360 495.1h-304c-23.38 0-42.13-20.14-39.8-43.99c2.023-20.78 20.7-36.01 41.59-36.01L312 416C316.4 416 320 412.4 320 408s-3.582-7.998-8-8l-256-.0059c-15.68 0-29.82 6.516-40 16.93V64c0-26.51 21.49-48 48-48h352c8.836 0 16 7.162 16 16v152C432 188.4 435.6 192 440 192S448 188.4 448 184V32c0-17.67-14.33-32-32-32H64C28.66 0 0 28.65 0 64v391.1c0 30.93 25.07 56 56 56L360 512c4.418 0 8-3.582 8-8S364.4 495.1 360 495.1zM496 224C416.5 224 352 288.5 352 367.1C352 447.5 416.5 512 496 512s144-64.46 144-144C640 288.5 575.5 224 496 224zM496 496c-70.58 0-128-57.42-128-128C368 297.4 425.4 240 496 240s128 57.42 128 127.1C624 438.6 566.6 496 496 496zM501.7 290.3c-3.125-3.125-8.188-3.125-11.31 0l-64 64c-3.125 3.125-3.125 8.188 0 11.31s8.188 3.125 11.31 0L488 315.3v124.7c0 4.406 3.578 8.003 8 8.003s8-3.596 8-8.003V315.3l50.34 50.34c3.125 3.125 8.188 3.125 11.31 0C567.2 364.1 568 362.1 568 360s-.7813-4.094-2.344-5.656L501.7 290.3z"],
    "book-copy": [576, 512, [], "e0be", "M375.1 495.1H352V455.1C352 451.6 348.4 448 344 448s-8 3.58-8 7.998v39.99H56c-23.38 0-42.13-20.14-39.8-43.99c2.023-20.78 20.71-36.01 41.59-36.01L152 415.1c4.418 0 8-3.582 8-8s-3.582-7.998-8-7.998l-96-.0039c-15.68 0-29.82 6.516-40 16.93V160c0-26.51 21.49-48 48-48h88c4.418 0 8-3.582 8-8s-3.582-8-8-8H64c-35.34 0-64 28.65-64 64v295.1c0 30.93 25.07 56 56 56L375.1 512C380.4 512 384 508.4 384 504C384 499.6 380.4 495.1 375.1 495.1zM576 288V32c0-17.67-14.33-32-32-32H256C220.7 0 192 28.65 192 64v295.1c0 30.93 25.07 56 56 56l319.1 .0078C572.4 415.1 576 412.4 576 407.1c0-4.422-3.586-8.008-8.008-8.008H544V320C561.7 320 576 305.7 576 288zM528 399.1H248c-23.38 0-42.13-20.14-39.8-43.99c2.016-20.78 20.7-36.02 41.57-36.02L528 320V399.1zM248 303.1c-15.68 0-29.82 6.516-40 16.93V64c0-26.47 21.53-48 48-48h288c8.836 0 16 7.164 16 16v256c0 8.824-7.18 16-16 16L248 303.1z"],
    "book-font": [448, 512, [], "e0bf", "M231.2 100.4c-2.719-5.406-11.59-5.406-14.31 0l-104 208C110.9 312.4 112.5 317.2 116.4 319.2c4.016 2.031 8.75 .3594 10.73-3.578L156.9 256h134.1l29.79 59.58C322.3 318.4 325.1 320 328 320c1.203 0 2.422-.2656 3.578-.8438c3.953-1.984 5.547-6.781 3.578-10.73L231.2 100.4zM164.9 240L224 121.9L283.1 240H164.9zM448 384V32c0-17.67-14.33-32-32-32H64C28.65 0 0 28.65 0 64v391.1c0 30.93 25.07 56 55.1 56l383.1 .0078C444.4 511.1 448 508.4 448 503.1c0-4.422-3.584-8.008-8.006-8.008H416V416C433.7 416 448 401.7 448 384zM400 495.1H56c-23.38 0-42.12-20.14-39.81-43.98c2.02-20.78 20.7-36.02 41.58-36.02L400 416V495.1zM56 399.1c-15.68 0-29.82 6.516-40 16.93V64c0-26.47 21.53-48 48-48h352c8.836 0 16 7.164 16 16v352c0 8.824-7.178 16-16 16L56 399.1z"],
    "book-heart": [448, 512, [], "f499", "M301.4 95.1c-18.74 0-37.67 7.672-51.51 21.96l-9.844 10.16l-9.844-10.16C216.3 103.7 197.4 95.1 178.6 95.1c-15.07 0-30.03 4.965-42.13 15.43c-31.07 26.89-32.62 74.82-4.609 103.8l96.58 99.85c3.16 3.27 7.324 4.906 11.49 4.906s8.332-1.637 11.49-4.906l96.57-99.85c28.06-28.98 26.51-76.91-4.562-103.8C331.4 100.1 316.4 95.1 301.4 95.1zM336.5 204.1l-96.56 99.85L143.4 204.1C124.6 184.6 120.2 146.8 146.1 123.5C174.1 100.1 206.1 116.1 218.7 129.1l21.34 22.03l21.34-22.03c11.45-11.82 44.59-29.01 71.67-5.566C359.7 146.7 355.7 184.3 336.5 204.1zM448 384V32c0-17.67-14.33-32-32-32H64C28.65 0 0 28.65 0 64v391.1c0 30.93 25.07 56 55.1 56l383.1 .0078C444.4 511.1 448 508.4 448 503.1c0-4.422-3.584-8.008-8.006-8.008H416V416C433.7 416 448 401.7 448 384zM400 495.1H56c-23.38 0-42.12-20.14-39.81-43.98c2.02-20.78 20.7-36.02 41.58-36.02L400 416V495.1zM56 399.1c-15.68 0-29.82 6.516-40 16.93V64c0-26.47 21.53-48 48-48h352c8.836 0 16 7.164 16 16v352c0 8.824-7.178 16-16 16L56 399.1z"],
    "book-journal-whills": [448, 512, ["journal-whills"], "f66a", "M314 103.6c-1.885-1.352-4.119-2.117-6.471-2.117c-3.705 .0586-7.234 1.887-9.354 5c-2.059 3.117-2.529 7.059-1.117 10.53c2.766 7 4.178 14.41 4.178 21.94c0 18.52-8.424 35.43-22.94 47.07c10.17 9.957 16.52 23.8 16.52 39.16c0 27.55-20.39 50.15-46.86 54.05V247.2l15.88 7.938C265 255.7 266.2 256 267.4 256c2.938 0 5.75-1.625 7.156-4.438c1.969-3.938 .375-8.75-3.594-10.72l-13.12-6.562L271 227.7c3.969-1.969 5.562-6.781 3.594-10.72s-6.844-5.469-10.72-3.594L248 221.3V104C248 99.59 244.4 96 240 96s-8 3.594-8 8v117.3L216.1 213.4C212.3 211.5 207.4 213 205.4 217C203.4 220.9 205 225.8 209 227.7l13.12 6.562L209 240.8C205 242.8 203.4 247.6 205.4 251.6C206.8 254.4 209.6 256 212.6 256C213.8 256 215 255.7 216.1 255.2L232 247.2v31.98c-26.47-3.898-46.86-26.5-46.86-54.05c0-15.36 6.348-29.21 16.52-39.16C187.1 174.3 178.7 157.4 178.7 138.9c0-7.531 1.412-14.94 4.178-21.94C184.3 113.5 183.8 109.6 181.8 106.4c-2.119-3.113-5.648-4.941-9.354-5c-2.352 0-4.586 .7656-6.471 2.117C130.3 128.8 110.1 169.9 112.1 213.4C115.2 279.7 171.1 334.8 240 334.9c68.88-.0078 124.8-55.18 127.9-121.4C369.9 169.9 349.7 128.8 314 103.6zM330.3 213.7C331.9 215.2 333.9 216 336 216s4.094-.7813 5.656-2.344l9.67-9.672c.0957 2.93 .6895 5.766 .5547 8.723c-2.701 58.52-52.89 106.1-111.9 106.1C181 318.8 130.8 271.2 128.1 212.7c-.1348-2.961 .459-5.797 .5547-8.727l9.67 9.672C139.9 215.2 141.9 216 144 216s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31L130.1 183.7c4.857-22.07 15.97-42.34 32.86-57.89C163.1 130.1 162.7 134.5 162.7 138.9c0 17.76 6.23 34.69 17.46 48.27C172.1 198.4 169.1 211.5 169.1 225.1C169.1 264.2 200.9 296 240 296s70.86-31.79 70.86-70.86c0-13.66-3.85-26.71-11.04-37.96c11.23-13.58 17.46-30.51 17.46-48.27c0-4.426-.3828-8.809-1.146-13.14c16.88 15.54 28.01 35.81 32.87 57.9l-18.66 18.66C327.2 205.5 327.2 210.5 330.3 213.7zM448 384V32c0-17.67-14.33-32-32-32H64C28.65 0 0 28.65 0 64v391.1c0 30.93 25.07 56 55.1 56l383.1 .0078C444.4 511.1 448 508.4 448 503.1c0-4.422-3.584-8.008-8.006-8.008H416V416C433.7 416 448 401.7 448 384zM400 495.1H56c-23.38 0-42.12-20.14-39.81-43.98c2.02-20.78 20.7-36.02 41.58-36.02L400 416V495.1zM56 399.1c-15.68 0-29.82 6.516-40 16.93V64c0-26.47 21.53-48 48-48h352c8.836 0 16 7.164 16 16v352c0 8.824-7.178 16-16 16L56 399.1z"],
    "book-medical": [448, 512, [], "f7e6", "M320 159.1h-48V111.1c0-8.828-7.172-16-16-16L208 95.1c-8.828 0-16 7.172-16 16v47.1H144c-8.828 0-16 7.172-16 16v48c0 8.828 7.172 16 16 16H192v48c0 8.828 7.172 16 16 16H256c8.828 0 16-7.172 16-16v-48H320c8.828 0 16-7.172 16-16V175.1C336 167.2 328.8 159.1 320 159.1zM320 223.1l-64-.0039v64L208 287.1V223.1l-64-.0039V175.1l64-.0039V111.1L256 111.1v63.1h64V223.1zM448 384V32c0-17.67-14.33-32-32-32H64C28.65 0 0 28.65 0 64v391.1c0 30.93 25.07 56 55.1 56l383.1 .0078C444.4 511.1 448 508.4 448 503.1c0-4.422-3.584-8.008-8.006-8.008H416V416C433.7 416 448 401.7 448 384zM400 495.1H56c-23.38 0-42.12-20.14-39.81-43.98c2.02-20.78 20.7-36.02 41.58-36.02L400 416V495.1zM56 399.1c-15.68 0-29.82 6.516-40 16.93V64c0-26.47 21.53-48 48-48h352c8.836 0 16 7.164 16 16v352c0 8.824-7.178 16-16 16L56 399.1z"],
    "book-open": [576, 512, [128366, 128214], "f518", "M550.2 57.66c-47.89-17.67-92.44-25.88-131.6-25.66C349.2 33.11 301.7 56.44 288 64.03C274.3 56.44 226.8 33.11 157.5 32c-38.55-.2188-83.72 7.985-131.6 25.66C10.39 63.35 0 78.44 0 95.23v326.2c0 10.22 4.734 19.58 12.97 25.66c8.25 6.063 18.53 7.766 28.28 4.782c138.6-42.96 241.2 26.05 242.2 26.75c.1328 .0918 .3086 .0566 .4453 .1387c.1543 .0938 .2227 .2774 .3828 .3614C285.5 479.7 286.7 480 287.1 480s2.557-.3125 3.729-.9219c.1602-.084 .2285-.2676 .3828-.3614c.1367-.082 .3125-.0469 .4453-.1387c1.031-.6875 103.6-69.72 242.2-26.75c9.688 2.985 20.02 1.281 28.28-4.782C571.3 440.1 576 431.6 576 421.4V95.23C576 78.44 565.6 63.35 550.2 57.66zM280 457.8c-22.88-12.63-75.27-36.36-145.9-36.36c-29.61 0-62.42 4.172-97.61 15.08C26.69 439.6 16 432.3 16 421.4V95.23c0-10.11 6.172-19.17 15.38-22.56c46.03-16.97 88.41-25.08 125.8-24.66C221.6 49.04 267.1 70.9 280 77.9V457.8zM560 421.4c0 11.06-10.82 18.24-20.5 15.16c-119.1-36.92-211 3.344-243.5 21.28V77.9c12.94-7 58.41-28.86 122.8-29.89c37.91-.4688 79.8 7.688 125.8 24.66C553.8 76.05 560 85.12 560 95.23V421.4z"],
    "book-open-cover": [640, 512, ["book-open-alt"], "e0c0", "M632 32c-4.422 0-8 3.578-8 8v370.4c0 10.95-7.469 20.27-18.17 22.64l-280.8 62.39c-3.281 .75-6.734 .75-10.05 0l-280.8-62.39C23.47 430.7 16 421.4 16 410.4V40C16 35.58 12.42 32 8 32S0 35.58 0 40v370.4c0 18.52 12.62 34.25 30.7 38.27l280.8 62.39C314.3 511.7 317.1 512 320 512s5.719-.3125 8.5-.9375l280.8-62.39C627.4 444.7 640 428.9 640 410.4V40C640 35.58 636.4 32 632 32zM89.06 396.7L320 448l230.9-51.32C565.6 393.4 576 380.4 576 365.4V39.47c0-22.07-17.99-39.46-39.31-39.46c-2.008 0-4.047 .1396-6.102 .458L320 33.13L109.4 .4707C107.4 .1523 105.3 .0127 103.3 .0127C81.99 .0107 64 17.4 64 39.47v325.1C64 380.4 74.42 393.4 89.06 396.7zM328 48.02l205-31.73c1.23-.1895 2.451-.2832 3.654-.2832C549.5 15.1 560 26.49 560 39.39v326c0 7.557-5.152 13.98-12.53 15.62L328 429.8V48.02zM80 39.39c0-6.293 2.457-12.19 6.916-16.6C91.34 18.41 97.16 15.1 103.3 15.1c1.203 0 2.426 .0938 3.656 .2832L312 48.02V429.8l-219.5-48.77C85.15 379.4 80 372.1 80 365.4V39.39z"],
    "book-open-reader": [512, 512, ["book-reader"], "f5da", "M256 192c53 0 96-43 96-96s-43-96-96-96S160 43 160 96S203 192 256 192zM256 16c44.11 0 80 35.89 80 80S300.1 176 256 176C211.9 176 176 140.1 176 96S211.9 16 256 16zM482.2 192c-.5781 0-1.337 .0156-1.923 .0449c-53.52 2.879-161.6 16.95-224.1 56.84c-62.52-39.89-170.8-53.96-224.3-56.84C31.18 192 30.42 192 29.84 192C13.33 192 0 203.1 0 219.2v208.7c0 14.44 12.35 26.44 28.23 27.22c48.46 2.426 148.4 19.34 213.6 53.38C246.3 510.8 251.2 512 256 512c4.84 0 9.678-1.17 14.17-3.512c65.24-34.04 165.1-50.95 213.6-53.38C499.6 454.3 512 442.3 512 427.9V219.2C512 203.1 498.7 192 482.2 192zM248 493.7c-68.21-35.16-170.3-52.17-218.1-54.6C21.72 438.8 16 433.8 16 427.9V219.4c0-3.566 1.943-6.078 3.572-7.557c2.691-2.443 6.365-3.797 11.22-3.797c66.2 3.561 162.8 19.93 216.7 54.36L248 262.7V493.7zM496 427.9c0 5.945-5.717 10.88-13.04 11.24c-48.66 2.438-150.8 19.44-218.1 54.6V262.8l.7031-.4492c53.96-34.43 150.3-50.8 216.4-54.35L481.1 208C489.7 208 496 213.1 496 219.4V427.9z"],
    "book-quran": [448, 512, ["quran"], "f687", "M282.2 269.7C275.6 271.3 269.6 272 264 272c-44.13 0-80-35.89-80-80s35.88-80 80-80c5.625 0 11.59 .7656 18.06 2.266c7.625 2.047 15.47-2 18.5-9.109c3.125-7.094 .7187-15.38-5.75-19.72C273.7 71.41 249.3 64 224 64C153.4 64 96 121.4 96 192s57.41 128 128 128c25.25 0 49.72-7.406 70.84-21.45c6.438-4.328 8.844-12.61 5.75-19.66C297.5 271.7 289.6 267.8 282.2 269.7zM224 304C162.3 304 112 253.8 112 192S162.3 80 224 80c22.09 0 43.5 6.484 61.91 18.73C278 96.89 270.9 96 264 96c-52.94 0-96 43.06-96 96s43.06 96 96 96c6.875 0 14.03-.8906 21.91-2.734C267.5 297.5 246.1 304 224 304zM333.1 162.5l-24.5-3.531l-10.75-21.56c-3.375-8.625-18.34-8-21.16-.625l-11.03 22.19l-24.5 3.531c-4.5 .6562-8.125 3.75-9.5 8.078c-1.344 4.297-.1562 8.875 3.031 11.86l17.62 17.27l-4.125 24.31c-.625 3.422 .3125 6.906 2.562 9.578c2.25 2.719 5.562 4.266 9.031 4.266l3.688-.4219L288 224.1l22.19 11.67l3.344 1.188h1.812c3.469 0 6.781-1.547 9.031-4.266c2.25-2.672 3.188-6.156 2.562-9.516l-4.125-24.38l17.5-17.16c3.312-3.094 4.5-7.672 3.156-11.97C342.1 166.2 338.5 163.1 333.1 162.5zM305.6 194.1l4.125 24.22L288 206.9l-21.75 11.42l4.125-24.22l-17.41-17.05l24.12-3.5L288 151.7l10.91 21.91l24.12 3.5L305.6 194.1zM384 0H32C14.33 0 0 14.33 0 32v352c0 17.67 14.33 32 32 32v79.98H8.006C3.584 495.1 0 499.6 0 503.1c0 4.418 3.584 8.004 8.006 8l383.1-.0078c30.93 0 55.1-25.07 55.1-56V64C448 28.65 419.3 0 384 0zM392 495.1H48V416l342.2-.0156c20.88 0 39.56 15.23 41.58 36.02C434.1 475.8 415.4 495.1 392 495.1zM432 416.9c-10.18-10.42-24.32-16.93-40-16.93L32 400c-8.822 0-16-7.176-16-16V32c0-8.836 7.164-16 16-16h352c26.47 0 48 21.53 48 48V416.9z"],
    "book-section": [448, 512, ["book-law"], "e0c1", "M286.4 257.3c17.51-7.25 29.19-19.29 32.46-35.33c8.969-44.43-36.73-55.59-77.02-65.45L232.4 154.2C191.6 143.9 171.8 134.3 176.8 109.8c4.594-22.73 36.86-34.07 80.52-28.3c9.148 1.234 20.08 3.766 34.42 7.982c4.246 1.25 8.684-1.172 9.934-5.404c1.215-4.25-1.188-8.686-5.438-9.936c-15.12-4.451-26.83-7.154-36.79-8.482C206.2 58.5 167.6 74.64 161.1 106.7C155.4 134.7 172.9 149.6 193.6 158.7C176 165.9 164.3 178 161.1 194.1c-8.871 43.88 38.88 55.86 67.39 63.03l9.559 2.359c44.22 10.81 70.68 19.35 65.15 46.74c-4.621 22.74-37.13 34.1-80.54 28.29c-14.27-1.828-30.55-6.842-44.91-11.26L170.3 320.9C165.1 319.7 161.6 322.1 160.4 326.3c-1.281 4.234 1.125 8.686 5.34 9.967l7.34 2.25c14.96 4.607 31.92 9.824 47.5 11.82C228.9 351.5 236.9 352 244.5 352c40.63 0 68.9-15.67 74.36-42.64C324.5 281.6 308.8 266.9 286.4 257.3zM241.8 243.9l-9.492-2.344C191.6 231.3 171.8 221.7 176.8 197.2C180.8 177.3 201.7 171.3 220.8 167.7c2.609 .6816 17.21 4.342 17.21 4.342c44.22 10.81 70.68 19.36 65.15 46.74c-4.098 20.05-25.29 25.97-44.07 29.52C253.4 246.8 247.6 245.3 241.8 243.9zM448 384V32c0-17.67-14.33-32-32-32H64C28.66 0 0 28.65 0 64v391.1c0 30.93 25.07 56 56 56L439.1 512C444.4 512 448 508.4 448 504c0-4.422-3.586-8.008-8.008-8.008H416v-79.99C433.7 416 448 401.7 448 384zM400 495.1H56c-23.38 0-42.13-20.14-39.8-43.99c2.016-20.78 20.7-36.02 41.57-36.02L400 416V495.1zM56 399.1c-15.68 0-29.82 6.516-40 16.93V64c0-26.47 21.53-48 48-48h352c8.836 0 16 7.164 16 16v352c0 8.824-7.18 15.1-16 15.1L56 399.1z"],
    "book-skull": [448, 512, ["book-dead"], "f6b7", "M272 152c8.836 0 16-7.164 16-16s-7.164-16-16-16S256 127.2 256 136S263.2 152 272 152zM184 191.3V216C184 220.4 187.6 224 192 224h96c4.406 0 8-3.578 8-8V191.3c20.41-13.75 32-33.69 32-55.28C328 96.3 288.5 64 240 64S152 96.3 152 136C152 157.6 163.6 177.5 184 191.3zM239.1 80C279.7 80 312 105.1 312 136c0 17.19-10.25 33.25-28.12 44.06C281.5 181.5 280 184.1 280 186.9V208h-80V186.9c0-2.797-1.469-5.391-3.875-6.844C178.3 169.3 168 153.2 168 136C168 105.1 200.3 80 239.1 80zM351 228.2c-2.094-3.906-6.969-5.297-10.81-3.25L240 278.9L139.8 224.1C135.9 222.9 131.1 224.3 128.1 228.2c-2.094 3.891-.6562 8.75 3.25 10.84L223.1 288l-90.91 48.95c-3.906 2.094-5.344 6.953-3.25 10.84C130.4 350.5 133.2 352 136 352c1.281 0 2.594-.3125 3.781-.9531L240 297.1l100.2 53.96C341.4 351.7 342.7 352 344 352c2.844 0 5.594-1.531 7.031-4.203c2.094-3.891 .6562-8.75-3.25-10.84L256.9 288l90.91-48.95C351.7 236.1 353.1 232.1 351 228.2zM208 152c8.836 0 16-7.164 16-16s-7.164-16-16-16S192 127.2 192 136S199.2 152 208 152zM448 384V32c0-17.67-14.33-32-32-32H64C28.65 0 0 28.65 0 64v391.1c0 30.93 25.07 56 55.1 56l383.1 .0078C444.4 511.1 448 508.4 448 503.1c0-4.422-3.584-8.008-8.006-8.008H416V416C433.7 416 448 401.7 448 384zM400 495.1H56c-23.38 0-42.12-20.14-39.81-43.98c2.02-20.78 20.7-36.02 41.58-36.02L400 416V495.1zM56 399.1c-15.68 0-29.82 6.516-40 16.93V64c0-26.47 21.53-48 48-48h352c8.836 0 16 7.164 16 16v352c0 8.824-7.178 16-16 16L56 399.1z"],
    "book-sparkles": [448, 512, ["book-spells"], "f6b8", "M200 119.1h-32v-32C168 83.57 164.4 80 160 80S152 83.57 152 87.1v32h-32c-4.406 0-8 3.578-8 8s3.594 8 8 8h32v31.1c0 4.422 3.594 8 8 8s8-3.578 8-8V135.1h32c4.406 0 8-3.578 8-8S204.4 119.1 200 119.1zM344 247.1h-48v-48c0-4.422-3.594-8-8-8s-8 3.578-8 8v48h-48c-4.406 0-8 3.582-8 8.004s3.594 7.996 8 7.996h48v48c0 4.422 3.592 8.004 7.998 8.004S296 316.4 296 311.1v-48h48c4.406 0 8-3.574 8-7.996S348.4 247.1 344 247.1zM448 384V32c0-17.67-14.33-32-32-32H64C28.65 0 0 28.65 0 64v391.1c0 30.93 25.07 56 55.1 56l383.1 .0078C444.4 511.1 448 508.4 448 503.1c0-4.422-3.584-8.008-8.006-8.008H416V416C433.7 416 448 401.7 448 384zM400 495.1H56c-23.38 0-42.12-20.14-39.81-43.98c2.02-20.78 20.7-36.02 41.58-36.02L400 416V495.1zM56 399.1c-15.68 0-29.82 6.516-40 16.93V64c0-26.47 21.53-48 48-48h352c8.836 0 16 7.164 16 16v352c0 8.824-7.178 16-16 16L56 399.1z"],
    "book-tanakh": [448, 512, ["tanakh"], "f827", "M341.1 144.4C339.1 139.2 333.6 136 327.5 136h-59.71l-29.72-48.22c-6-9.75-22.19-9.734-28.19-.0156L180.2 136H120.5c-6.031 0-11.59 3.203-14.47 8.359C103.2 149.4 103.3 155.3 106.3 160.2l29.46 47.79L106.3 255.8C103.3 260.7 103.2 266.6 105.1 271.6C108.9 276.8 114.4 280 120.5 280h59.71l29.72 48.22C212.9 333.1 218.2 336 224 336s11.09-2.906 14.09-7.766L267.8 280h59.71c6.031 0 11.59-3.203 14.47-8.359c2.814-5.031 2.689-10.95-.3418-15.86l-29.46-47.79l29.46-47.79C344.7 155.3 344.8 149.4 341.1 144.4zM224.5 96.17L249.1 136H199.7L224.5 96.17zM119.1 152.2C119.1 152.2 120.1 152 120.5 152l49.88-.0469L145.1 192.9L119.1 152.2zM119.1 264.2l25.35-40.75l25.09 40.7L119.1 264.2zM223.5 319.8L198.9 280h49.37L223.5 319.8zM258.2 264.1L189.1 264.1L154.7 208.4l35.1-56.44l69.09-.0625l34.44 55.75L258.2 264.1zM328 263.8c0 .0156-.0938 .1719-.5 .1719l-49.88 .0469l25.23-40.93L328 263.8zM302.7 192.6l-25.09-40.7l50.44-.0469L302.7 192.6zM384 0H32C14.33 0 0 14.33 0 32v352c0 17.67 14.33 32 32 32v79.98H8.006C3.584 495.1 0 499.6 0 503.1c0 4.418 3.584 8.004 8.006 8l383.1-.0078c30.93 0 55.1-25.07 55.1-56V64C448 28.65 419.3 0 384 0zM392 495.1H48V416l342.2-.0156c20.88 0 39.56 15.23 41.58 36.02C434.1 475.8 415.4 495.1 392 495.1zM432 416.9c-10.18-10.42-24.32-16.93-40-16.93L32 400c-8.822 0-16-7.176-16-16V32c0-8.836 7.164-16 16-16h352c26.47 0 48 21.53 48 48V416.9z"],
    "book-user": [448, 512, [], "f7e7", "M448 384V32c0-17.67-14.33-32-32-32H64C28.65 0 0 28.65 0 64v391.1c0 30.93 25.07 56 55.1 56l383.1 .0078C444.4 511.1 448 508.4 448 503.1c0-4.422-3.584-8.008-8.006-8.008H416V416C433.7 416 448 401.7 448 384zM400 495.1H56c-23.38 0-42.12-20.14-39.81-43.98c2.02-20.78 20.7-36.02 41.58-36.02L400 416V495.1zM56 399.1c-15.68 0-29.82 6.516-40 16.93V64c0-26.47 21.53-48 48-48h352c8.836 0 16 7.164 16 16v352c0 8.824-7.178 16-16 16L56 399.1zM240 208c35.35 0 64-28.66 64-64s-28.65-64-64-64c-35.34 0-64 28.66-64 64S204.7 208 240 208zM240 96C266.5 96 288 117.5 288 144S266.5 192 240 192S192 170.5 192 144S213.5 96 240 96zM272 240h-64C163.9 240 128 275.9 128 320v8c0 4.422 3.578 8 8 8s8-3.578 8-8V320c0-35.3 28.7-64 64-64h64c35.3 0 64 28.7 64 64v8c0 4.422 3.578 8 8 8S352 332.4 352 328V320C352 275.9 316.1 240 272 240z"],
    "bookmark": [384, 512, [61591, 128278], "f02e", "M320 16c26.47 0 48 21.53 48 48v431.1L192 393.3l-176 102.7V64c0-26.47 21.53-48 48-48H320zM320 0H64C28.65 0 0 28.65 0 64v431.1c0 12.35 13.4 20.03 24.06 13.81L192 411.8l167.9 97.96C370.6 516 384 508.3 384 495.1V64C384 28.65 355.3 0 320 0z"],
    "bookmark-slash": [640, 512, [], "e0c2", "M192 16h256c26.47 0 48 21.53 48 48v239.9L512 316.6V64c0-35.35-28.65-64-64-64H192C172.2 0 154.7 9.184 142.1 23.31l12.49 9.924C164.3 22.79 177.3 16 192 16zM144 495.1V208.1L128 195.4v300.6c0 12.35 13.39 20.03 24.06 13.81L320 411.8l167.9 97.96c8.164 4.76 17.19 .9355 21.21-6.506L320 393.3L144 495.1zM636.1 497.7L12.99 1.73C11.53 .5664 9.771 0 8.025 0C5.674 0 3.336 1.029 1.738 3.012c-2.75 3.469-2.172 8.5 1.281 11.25l623.1 496C628.5 511.4 630.2 512 631.1 512c2.344 0 4.688-1.031 6.266-3.016C641 505.5 640.4 500.5 636.1 497.7z"],
    "books": [512, 512, [128218], "f5db", "M510.6 445.3L397.8 29.55C392.9 11.74 376.6 0 358.8 0c-3.457 0-6.975 .4414-10.47 1.367l-62.39 16.5c-6.514 1.723-11.85 5.246-16.49 9.461C264.1 11.54 249.6 0 232 0h-64c-13.44 0-24.75 7.062-32 17.23C128.7 7.062 117.4 0 104 0h-64C17.91 0 0 17.91 0 40v432C0 494.1 17.91 512 40 512h64c13.44 0 24.75-7.062 32-17.23C143.3 504.9 154.6 512 168 512h64c22.09 0 40-17.91 40-40V120.5l98.23 361.9C375.1 500.3 391.4 512 409.2 512c3.457 0 6.973-.4414 10.47-1.367l62.39-16.5C503.6 488.4 516.4 466.6 510.6 445.3zM366.9 409l-75.22-277.1l109.4-28.95l75.22 277.1L366.9 409zM168 16h64C245.2 16 256 26.77 256 40V96H144V40C144 26.77 154.8 16 168 16zM256 400H144v-288H256V400zM16 112H128v288H16V112zM16 40c0-13.23 10.77-24 24-24h64C117.2 16 128 26.77 128 40l.0011 56L16 96V40zM104 496h-64c-13.23 0-24-10.77-24-24V416l112 0L128 472C128 485.2 117.2 496 104 496zM256 472c0 13.23-10.77 24-24 24h-64c-13.23 0-24-10.77-24-24V416H256V472zM275.2 44.64c3.236-5.605 8.514-9.617 14.86-11.3l62.39-16.5C354.5 16.28 356.7 16 358.8 16c11.02 0 20.69 7.297 23.53 17.74l14.6 53.8l-109.4 28.95l-14.65-53.99C271.2 56.43 272 50.09 275.2 44.64zM492.8 467.4c-3.236 5.605-8.514 9.617-14.86 11.3l-62.39 16.5C413.5 495.7 411.3 496 409.2 496c-11.02 0-20.7-7.297-23.53-17.74l-14.6-53.8l109.4-28.95l14.65 53.99C496.8 455.6 495.1 461.9 492.8 467.4z"],
    "books-medical": [576, 512, [], "f7e8", "M63.1 336c0 13.23 10.77 24 24 24h32c13.23 0 24-10.77 24-24V296h40c13.23 0 24-10.77 24-24v-32c0-13.23-10.77-24-24-24H144V176c0-13.23-10.77-24-24-24h-32c-13.23 0-24 10.77-24 24L64 216H24C10.77 216 0 226.8 0 240v32C0 285.2 10.77 296 24 296H64L63.1 336zM24 280C19.59 280 16 276.4 16 272v-32c0-4.406 3.594-8 8-8H80V176c0-4.406 3.594-8 8-8h32c4.406 0 7.998 3.598 7.998 8.005L128 232h56c4.406 0 7.996 3.596 7.996 8.002v32C191.1 276.4 188.4 280 184 280H128L127.1 336c0 4.406-3.591 8-7.998 8h-32c-4.406 0-8-3.594-8-8V280H24zM574.6 445.3L461.8 29.55C456.9 11.74 440.6 0 422.8 0c-3.457 0-6.975 .4414-10.47 1.367l-62.39 16.5c-6.514 1.723-11.85 5.246-16.49 9.461C328.1 11.54 313.6 0 296 0h-64c-13.44 0-24.75 7.062-32 17.23C192.7 7.062 181.4 0 168 0h-64C81.91 0 64 17.91 64 40v80C64 124.4 67.58 128 72 128S80 124.4 80 120V112H192v72C192 188.4 195.6 192 200 192S208 188.4 208 184V112H320v288H208v-72C208 323.6 204.4 320 200 320S192 323.6 192 328v72H80v-8C80 387.6 76.42 384 72 384S64 387.6 64 392v80C64 494.1 81.91 512 104 512h64c13.44 0 24.75-7.062 32-17.23C207.3 504.9 218.6 512 232 512h64c22.09 0 40-17.91 40-40V120.5l98.23 361.9C439.1 500.3 455.4 512 473.2 512c3.457 0 6.973-.4414 10.47-1.367l62.39-16.5C567.6 488.4 580.4 466.6 574.6 445.3zM192 96H80V40c0-13.23 10.77-24 24-24h64C181.2 16 192 26.77 192 40L192 96zM192 472c0 13.23-10.77 24-24 24h-64c-13.23 0-24-10.77-24-24V416h112L192 472zM320 472c0 13.23-10.77 24-24 24h-64c-13.23 0-24-10.77-24-24V416H320V472zM320 96H208V40c0-13.23 10.77-24 24-24h64C309.2 16 320 26.77 320 40V96zM336.8 62.49c-1.643-6.059-.8145-12.4 2.336-17.86c3.236-5.605 8.514-9.617 14.86-11.3l62.39-16.5C418.5 16.28 420.7 16 422.8 16c11.02 0 20.69 7.297 23.53 17.74l14.6 53.8l-109.4 28.95L336.8 62.49zM430.9 409l-75.22-277.1l109.4-28.95l75.22 277.1L430.9 409zM556.8 467.4c-3.236 5.605-8.514 9.617-14.86 11.3l-62.39 16.5C477.5 495.7 475.3 496 473.2 496c-11.02 0-20.7-7.297-23.53-17.74l-14.6-53.8l109.4-28.95l14.65 53.99C560.8 455.6 559.1 461.9 556.8 467.4z"],
    "boombox": [640, 512, [128254], "f8a5", "M576 160V72C576 32.3 543.7 0 504 0H136C96.3 0 64 32.3 64 72V160C28.65 160 0 188.7 0 224v224c0 35.35 28.65 64 64 64h512c35.35 0 64-28.65 64-64V224C640 188.7 611.3 160 576 160zM80 72c0-30.88 25.12-56 56-56h368c30.88 0 56 25.12 56 56V160h-480V72zM624 448c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V224c0-26.47 21.53-48 48-48h512c26.47 0 48 21.53 48 48V448zM176 224C114.1 224 64 274.1 64 336S114.1 448 176 448S288 397.9 288 336S237.9 224 176 224zM176 432c-52.94 0-96-43.06-96-96s43.06-96 96-96s96 43.06 96 96S228.9 432 176 432zM464 224C402.1 224 352 274.1 352 336s50.14 112 112 112s112-50.14 112-112S525.9 224 464 224zM464 432c-52.94 0-96-43.06-96-96s43.06-96 96-96s96 43.06 96 96S516.9 432 464 432zM248 120h-48C195.6 120 192 123.6 192 128s3.578 8 8 8h48C252.4 136 256 132.4 256 128S252.4 120 248 120zM344 120h-48C291.6 120 288 123.6 288 128s3.578 8 8 8h48C348.4 136 352 132.4 352 128S348.4 120 344 120zM440 120h-48C387.6 120 384 123.6 384 128s3.578 8 8 8h48C444.4 136 448 132.4 448 128S444.4 120 440 120z"],
    "boot": [512, 512, [129406], "f782", "M439.2 285.8L320 256V112c17.67 0 32-14.33 32-32V32c0-17.67-14.33-32-32-32H32C14.33 0 0 14.33 0 32v434.7c0 8.486 3.32 16.49 9.322 22.49L32 512h64l32-32l32 32h64l32-32l32 32h64l32-32l32 32h64l22.63-22.67C508.6 483.3 512 475.2 512 466.7v-87.79C512 334.9 482 296.4 439.2 285.8zM16 32c0-8.822 7.178-16 16-16h288c8.822 0 16 7.178 16 16v48C336 88.82 328.8 96 320 96H16V32zM304 112v32H224c-4.422 0-8 3.578-8 8S219.6 160 224 160h80v40H224c-4.422 0-8 3.578-8 8S219.6 216 224 216h80V256H224C219.6 256 216 259.6 216 264S219.6 272 224 272h94.04l117.3 29.27C471.1 310.2 496 342.1 496 378.9V416h-480V112H304zM491.3 478.1L473.4 496h-50.75l-27.31-27.31C392.2 465.6 388.1 464 384 464s-8.189 1.562-11.31 4.686L345.4 496h-50.75l-27.31-27.31C264.2 465.6 260.1 464 256 464s-8.189 1.562-11.31 4.686L217.4 496H166.6l-27.31-27.31C136.2 465.6 132.1 464 128 464s-8.189 1.562-11.31 4.686L89.37 496H38.63l-17.94-17.94C17.66 475 16 471 16 466.7V432h480v34.75C496 471 494.3 475 491.3 478.1z"],
    "boot-heeled": [512, 512, [], "e33f", "M488 496h-7.996v-48.45c0-24.24-13.7-46.4-35.38-57.24l-121.2-60.62c-21.68-10.84-35.38-33-35.38-57.24V32c0-17.67-14.33-32-32-32h-192C44.76 0 29.87 16.87 32.25 35.97l24.44 161.5c4.816 38.53 .9434 77.66-11.34 114.5c-8.838 26.52-13.35 54.29-13.35 82.24l-.002 37.79c0 .0039 0-.0039 0 0L32 488C32 501.2 42.78 512 56 512h80C149.2 512 160 501.2 160 488v-39.5l110.8 55.78C280.8 509.3 292 512 303.2 512H488c4.406 0 8-3.594 8-8S492.4 496 488 496zM144 488c0 4.406-3.594 8-8 8h-80c-4.406 0-8-3.594-8-8l.0039-48h89.53c2.281 0 4.5 .3125 6.469 .8438V488zM303.2 496c-8.688 0-17.41-2.062-25.16-6l-124.1-62.88C148.1 425.1 142.9 424 137.5 424H48v-29.8c0-26.28 4.215-52.24 12.53-77.18c12.95-38.86 17.12-80.89 11.98-121.1L48.13 33.98C47.55 29.37 48.93 24.9 52.01 21.41C55.09 17.92 59.35 16 64 16H128v232C128 252.4 131.6 256 136 256S144 252.4 144 248V16h112c8.822 0 16 7.178 16 16v240.4c0 30.5 16.95 57.92 44.22 71.55l121.2 60.62c16.37 8.184 26.53 24.63 26.53 42.93V496H303.2z"],
    "booth-curtain": [512, 512, [], "f734", "M472 0H40C17.94 0 0 17.94 0 40v464C0 508.4 3.594 512 8 512s8-3.578 8-8V40c0-13.23 10.78-24 24-24H96v384C96 426.5 117.5 448 144 448c16.72 0 31.41-8.564 40-21.53C192.6 439.4 207.3 448 224 448s31.41-8.564 40-21.53C272.6 439.4 287.3 448 304 448s31.41-8.564 40-21.53C352.6 439.4 367.3 448 384 448s31.41-8.564 40-21.53C432.6 439.4 447.3 448 464 448c12.35 0 23.49-4.795 32-12.46V504c0 4.422 3.594 8 8 8S512 508.4 512 504V40C512 17.94 494.1 0 472 0zM176 400c0 17.64-14.36 32-32 32s-32-14.36-32-32v-384h64V400zM256 400c0 17.64-14.36 32-32 32s-32-14.36-32-32v-384h64V400zM336 400c0 17.64-14.36 32-32 32s-32-14.36-32-32v-384h64V400zM416 400c0 17.64-14.36 32-32 32s-32-14.36-32-32v-384h64V400zM496 400c0 17.64-14.36 32-32 32s-32-14.36-32-32v-384h40c13.22 0 24 10.77 24 24V400z"],
    "border-all": [448, 512, [], "f84c", "M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM384 48H224V240H432V96C432 69.49 410.5 48 384 48zM432 256H224V464H384C410.5 464 432 442.5 432 416V256zM208 240V48H64C37.49 48 16 69.49 16 96V240H208zM16 256V416C16 442.5 37.49 464 64 464H208V256H16z"],
    "border-bottom": [448, 512, [], "f84d", "M8 464H440C444.4 464 448 467.6 448 472C448 476.4 444.4 480 440 480H8C3.582 480 0 476.4 0 472C0 467.6 3.582 464 8 464zM32 336C40.84 336 48 343.2 48 352C48 360.8 40.84 368 32 368C23.16 368 16 360.8 16 352C16 343.2 23.16 336 32 336zM432 352C432 360.8 424.8 368 416 368C407.2 368 400 360.8 400 352C400 343.2 407.2 336 416 336C424.8 336 432 343.2 432 352zM224 336C232.8 336 240 343.2 240 352C240 360.8 232.8 368 224 368C215.2 368 208 360.8 208 352C208 343.2 215.2 336 224 336zM48 160C48 168.8 40.84 176 32 176C23.16 176 16 168.8 16 160C16 151.2 23.16 144 32 144C40.84 144 48 151.2 48 160zM416 144C424.8 144 432 151.2 432 160C432 168.8 424.8 176 416 176C407.2 176 400 168.8 400 160C400 151.2 407.2 144 416 144zM240 160C240 168.8 232.8 176 224 176C215.2 176 208 168.8 208 160C208 151.2 215.2 144 224 144C232.8 144 240 151.2 240 160zM32 240C40.84 240 48 247.2 48 256C48 264.8 40.84 272 32 272C23.16 272 16 264.8 16 256C16 247.2 23.16 240 32 240zM432 256C432 264.8 424.8 272 416 272C407.2 272 400 264.8 400 256C400 247.2 407.2 240 416 240C424.8 240 432 247.2 432 256zM224 240C232.8 240 240 247.2 240 256C240 264.8 232.8 272 224 272C215.2 272 208 264.8 208 256C208 247.2 215.2 240 224 240zM48 64C48 72.84 40.84 80 32 80C23.16 80 16 72.84 16 64C16 55.16 23.16 48 32 48C40.84 48 48 55.16 48 64zM416 48C424.8 48 432 55.16 432 64C432 72.84 424.8 80 416 80C407.2 80 400 72.84 400 64C400 55.16 407.2 48 416 48zM240 64C240 72.84 232.8 80 224 80C215.2 80 208 72.84 208 64C208 55.16 215.2 48 224 48C232.8 48 240 55.16 240 64zM128 240C136.8 240 144 247.2 144 256C144 264.8 136.8 272 128 272C119.2 272 112 264.8 112 256C112 247.2 119.2 240 128 240zM144 64C144 72.84 136.8 80 128 80C119.2 80 112 72.84 112 64C112 55.16 119.2 48 128 48C136.8 48 144 55.16 144 64zM320 48C328.8 48 336 55.16 336 64C336 72.84 328.8 80 320 80C311.2 80 304 72.84 304 64C304 55.16 311.2 48 320 48zM336 256C336 264.8 328.8 272 320 272C311.2 272 304 264.8 304 256C304 247.2 311.2 240 320 240C328.8 240 336 247.2 336 256z"],
    "border-bottom-right": [448, 512, ["border-style-alt"], "f854", "M448 424C448 454.9 422.9 480 392 480H24C19.58 480 16 476.4 16 472C16 467.6 19.58 464 24 464H392C414.1 464 432 446.1 432 424V56C432 51.58 435.6 48 440 48C444.4 48 448 51.58 448 56V424zM304 64C304 55.16 311.2 48 320 48C328.8 48 336 55.16 336 64C336 72.84 328.8 80 320 80C311.2 80 304 72.84 304 64zM112 64C112 55.16 119.2 48 128 48C136.8 48 144 55.16 144 64C144 72.84 136.8 80 128 80C119.2 80 112 72.84 112 64zM224 48C232.8 48 240 55.16 240 64C240 72.84 232.8 80 224 80C215.2 80 208 72.84 208 64C208 55.16 215.2 48 224 48zM16 64C16 55.16 23.16 48 32 48C40.84 48 48 55.16 48 64C48 72.84 40.84 80 32 80C23.16 80 16 72.84 16 64zM32 240C40.84 240 48 247.2 48 256C48 264.8 40.84 272 32 272C23.16 272 16 264.8 16 256C16 247.2 23.16 240 32 240zM16 160C16 151.2 23.16 144 32 144C40.84 144 48 151.2 48 160C48 168.8 40.84 176 32 176C23.16 176 16 168.8 16 160zM32 336C40.84 336 48 343.2 48 352C48 360.8 40.84 368 32 368C23.16 368 16 360.8 16 352C16 343.2 23.16 336 32 336z"],
    "border-center-h": [448, 512, [], "f89c", "M440 248C444.4 248 448 251.6 448 256C448 260.4 444.4 264 440 264H8C3.582 264 0 260.4 0 256C0 251.6 3.582 248 8 248H440zM32 80C23.16 80 16 72.84 16 64C16 55.16 23.16 48 32 48C40.84 48 48 55.16 48 64C48 72.84 40.84 80 32 80zM32 464C23.16 464 16 456.8 16 448C16 439.2 23.16 432 32 432C40.84 432 48 439.2 48 448C48 456.8 40.84 464 32 464zM128 80C119.2 80 112 72.84 112 64C112 55.16 119.2 48 128 48C136.8 48 144 55.16 144 64C144 72.84 136.8 80 128 80zM128 464C119.2 464 112 456.8 112 448C112 439.2 119.2 432 128 432C136.8 432 144 439.2 144 448C144 456.8 136.8 464 128 464zM336 448C336 456.8 328.8 464 320 464C311.2 464 304 456.8 304 448C304 439.2 311.2 432 320 432C328.8 432 336 439.2 336 448zM320 80C311.2 80 304 72.84 304 64C304 55.16 311.2 48 320 48C328.8 48 336 55.16 336 64C336 72.84 328.8 80 320 80zM240 448C240 456.8 232.8 464 224 464C215.2 464 208 456.8 208 448C208 439.2 215.2 432 224 432C232.8 432 240 439.2 240 448zM224 80C215.2 80 208 72.84 208 64C208 55.16 215.2 48 224 48C232.8 48 240 55.16 240 64C240 72.84 232.8 80 224 80zM432 448C432 456.8 424.8 464 416 464C407.2 464 400 456.8 400 448C400 439.2 407.2 432 416 432C424.8 432 432 439.2 432 448zM432 64C432 72.84 424.8 80 416 80C407.2 80 400 72.84 400 64C400 55.16 407.2 48 416 48C424.8 48 432 55.16 432 64zM240 352C240 360.8 232.8 368 224 368C215.2 368 208 360.8 208 352C208 343.2 215.2 336 224 336C232.8 336 240 343.2 240 352zM416 368C407.2 368 400 360.8 400 352C400 343.2 407.2 336 416 336C424.8 336 432 343.2 432 352C432 360.8 424.8 368 416 368zM48 352C48 360.8 40.84 368 32 368C23.16 368 16 360.8 16 352C16 343.2 23.16 336 32 336C40.84 336 48 343.2 48 352zM416 176C407.2 176 400 168.8 400 160C400 151.2 407.2 144 416 144C424.8 144 432 151.2 432 160C432 168.8 424.8 176 416 176zM48 160C48 168.8 40.84 176 32 176C23.16 176 16 168.8 16 160C16 151.2 23.16 144 32 144C40.84 144 48 151.2 48 160zM224 176C215.2 176 208 168.8 208 160C208 151.2 215.2 144 224 144C232.8 144 240 151.2 240 160C240 168.8 232.8 176 224 176z"],
    "border-center-v": [448, 512, [], "f89d", "M216 40C216 35.58 219.6 32 224 32C228.4 32 232 35.58 232 40V472C232 476.4 228.4 480 224 480C219.6 480 216 476.4 216 472V40zM48 448C48 456.8 40.84 464 32 464C23.16 464 16 456.8 16 448C16 439.2 23.16 432 32 432C40.84 432 48 439.2 48 448zM432 448C432 456.8 424.8 464 416 464C407.2 464 400 456.8 400 448C400 439.2 407.2 432 416 432C424.8 432 432 439.2 432 448zM48 352C48 360.8 40.84 368 32 368C23.16 368 16 360.8 16 352C16 343.2 23.16 336 32 336C40.84 336 48 343.2 48 352zM432 352C432 360.8 424.8 368 416 368C407.2 368 400 360.8 400 352C400 343.2 407.2 336 416 336C424.8 336 432 343.2 432 352zM416 144C424.8 144 432 151.2 432 160C432 168.8 424.8 176 416 176C407.2 176 400 168.8 400 160C400 151.2 407.2 144 416 144zM48 160C48 168.8 40.84 176 32 176C23.16 176 16 168.8 16 160C16 151.2 23.16 144 32 144C40.84 144 48 151.2 48 160zM416 240C424.8 240 432 247.2 432 256C432 264.8 424.8 272 416 272C407.2 272 400 264.8 400 256C400 247.2 407.2 240 416 240zM48 256C48 264.8 40.84 272 32 272C23.16 272 16 264.8 16 256C16 247.2 23.16 240 32 240C40.84 240 48 247.2 48 256zM416 48C424.8 48 432 55.16 432 64C432 72.84 424.8 80 416 80C407.2 80 400 72.84 400 64C400 55.16 407.2 48 416 48zM32 48C40.84 48 48 55.16 48 64C48 72.84 40.84 80 32 80C23.16 80 16 72.84 16 64C16 55.16 23.16 48 32 48zM320 240C328.8 240 336 247.2 336 256C336 264.8 328.8 272 320 272C311.2 272 304 264.8 304 256C304 247.2 311.2 240 320 240zM336 64C336 72.84 328.8 80 320 80C311.2 80 304 72.84 304 64C304 55.16 311.2 48 320 48C328.8 48 336 55.16 336 64zM320 432C328.8 432 336 439.2 336 448C336 456.8 328.8 464 320 464C311.2 464 304 456.8 304 448C304 439.2 311.2 432 320 432zM144 64C144 72.84 136.8 80 128 80C119.2 80 112 72.84 112 64C112 55.16 119.2 48 128 48C136.8 48 144 55.16 144 64zM128 432C136.8 432 144 439.2 144 448C144 456.8 136.8 464 128 464C119.2 464 112 456.8 112 448C112 439.2 119.2 432 128 432zM144 256C144 264.8 136.8 272 128 272C119.2 272 112 264.8 112 256C112 247.2 119.2 240 128 240C136.8 240 144 247.2 144 256z"],
    "border-inner": [448, 512, [], "f84e", "M216 264H8C3.582 264 0 260.4 0 256C0 251.6 3.582 248 8 248H216V40C216 35.58 219.6 32 224 32C228.4 32 232 35.58 232 40V248H440C444.4 248 448 251.6 448 256C448 260.4 444.4 264 440 264H232V472C232 476.4 228.4 480 224 480C219.6 480 216 476.4 216 472V264zM16 448C16 439.2 23.16 432 32 432C40.84 432 48 439.2 48 448C48 456.8 40.84 464 32 464C23.16 464 16 456.8 16 448zM400 448C400 439.2 407.2 432 416 432C424.8 432 432 439.2 432 448C432 456.8 424.8 464 416 464C407.2 464 400 456.8 400 448zM16 352C16 343.2 23.16 336 32 336C40.84 336 48 343.2 48 352C48 360.8 40.84 368 32 368C23.16 368 16 360.8 16 352zM400 352C400 343.2 407.2 336 416 336C424.8 336 432 343.2 432 352C432 360.8 424.8 368 416 368C407.2 368 400 360.8 400 352zM432 160C432 168.8 424.8 176 416 176C407.2 176 400 168.8 400 160C400 151.2 407.2 144 416 144C424.8 144 432 151.2 432 160zM16 160C16 151.2 23.16 144 32 144C40.84 144 48 151.2 48 160C48 168.8 40.84 176 32 176C23.16 176 16 168.8 16 160zM432 64C432 72.84 424.8 80 416 80C407.2 80 400 72.84 400 64C400 55.16 407.2 48 416 48C424.8 48 432 55.16 432 64zM48 64C48 72.84 40.84 80 32 80C23.16 80 16 72.84 16 64C16 55.16 23.16 48 32 48C40.84 48 48 55.16 48 64zM336 64C336 72.84 328.8 80 320 80C311.2 80 304 72.84 304 64C304 55.16 311.2 48 320 48C328.8 48 336 55.16 336 64zM304 448C304 439.2 311.2 432 320 432C328.8 432 336 439.2 336 448C336 456.8 328.8 464 320 464C311.2 464 304 456.8 304 448zM144 64C144 72.84 136.8 80 128 80C119.2 80 112 72.84 112 64C112 55.16 119.2 48 128 48C136.8 48 144 55.16 144 64zM112 448C112 439.2 119.2 432 128 432C136.8 432 144 439.2 144 448C144 456.8 136.8 464 128 464C119.2 464 112 456.8 112 448z"],
    "border-left": [448, 512, [], "f84f", "M8 480C3.582 480 0 476.4 0 472V40C0 35.58 3.582 32 8 32C12.42 32 16 35.58 16 40V472C16 476.4 12.42 480 8 480zM128 464C119.2 464 112 456.8 112 448C112 439.2 119.2 432 128 432C136.8 432 144 439.2 144 448C144 456.8 136.8 464 128 464zM144 64C144 72.84 136.8 80 128 80C119.2 80 112 72.84 112 64C112 55.16 119.2 48 128 48C136.8 48 144 55.16 144 64zM128 272C119.2 272 112 264.8 112 256C112 247.2 119.2 240 128 240C136.8 240 144 247.2 144 256C144 264.8 136.8 272 128 272zM336 448C336 456.8 328.8 464 320 464C311.2 464 304 456.8 304 448C304 439.2 311.2 432 320 432C328.8 432 336 439.2 336 448zM320 80C311.2 80 304 72.84 304 64C304 55.16 311.2 48 320 48C328.8 48 336 55.16 336 64C336 72.84 328.8 80 320 80zM336 256C336 264.8 328.8 272 320 272C311.2 272 304 264.8 304 256C304 247.2 311.2 240 320 240C328.8 240 336 247.2 336 256zM224 464C215.2 464 208 456.8 208 448C208 439.2 215.2 432 224 432C232.8 432 240 439.2 240 448C240 456.8 232.8 464 224 464zM240 64C240 72.84 232.8 80 224 80C215.2 80 208 72.84 208 64C208 55.16 215.2 48 224 48C232.8 48 240 55.16 240 64zM224 272C215.2 272 208 264.8 208 256C208 247.2 215.2 240 224 240C232.8 240 240 247.2 240 256C240 264.8 232.8 272 224 272zM432 448C432 456.8 424.8 464 416 464C407.2 464 400 456.8 400 448C400 439.2 407.2 432 416 432C424.8 432 432 439.2 432 448zM416 80C407.2 80 400 72.84 400 64C400 55.16 407.2 48 416 48C424.8 48 432 55.16 432 64C432 72.84 424.8 80 416 80zM432 256C432 264.8 424.8 272 416 272C407.2 272 400 264.8 400 256C400 247.2 407.2 240 416 240C424.8 240 432 247.2 432 256zM224 368C215.2 368 208 360.8 208 352C208 343.2 215.2 336 224 336C232.8 336 240 343.2 240 352C240 360.8 232.8 368 224 368zM432 352C432 360.8 424.8 368 416 368C407.2 368 400 360.8 400 352C400 343.2 407.2 336 416 336C424.8 336 432 343.2 432 352zM416 176C407.2 176 400 168.8 400 160C400 151.2 407.2 144 416 144C424.8 144 432 151.2 432 160C432 168.8 424.8 176 416 176zM240 160C240 168.8 232.8 176 224 176C215.2 176 208 168.8 208 160C208 151.2 215.2 144 224 144C232.8 144 240 151.2 240 160z"],
    "border-none": [448, 512, [], "f850", "M48 448C48 456.8 40.84 464 32 464C23.16 464 16 456.8 16 448C16 439.2 23.16 432 32 432C40.84 432 48 439.2 48 448zM128 80C119.2 80 112 72.84 112 64C112 55.16 119.2 48 128 48C136.8 48 144 55.16 144 64C144 72.84 136.8 80 128 80zM128 464C119.2 464 112 456.8 112 448C112 439.2 119.2 432 128 432C136.8 432 144 439.2 144 448C144 456.8 136.8 464 128 464zM144 256C144 264.8 136.8 272 128 272C119.2 272 112 264.8 112 256C112 247.2 119.2 240 128 240C136.8 240 144 247.2 144 256zM320 464C311.2 464 304 456.8 304 448C304 439.2 311.2 432 320 432C328.8 432 336 439.2 336 448C336 456.8 328.8 464 320 464zM336 64C336 72.84 328.8 80 320 80C311.2 80 304 72.84 304 64C304 55.16 311.2 48 320 48C328.8 48 336 55.16 336 64zM320 272C311.2 272 304 264.8 304 256C304 247.2 311.2 240 320 240C328.8 240 336 247.2 336 256C336 264.8 328.8 272 320 272zM240 448C240 456.8 232.8 464 224 464C215.2 464 208 456.8 208 448C208 439.2 215.2 432 224 432C232.8 432 240 439.2 240 448zM224 80C215.2 80 208 72.84 208 64C208 55.16 215.2 48 224 48C232.8 48 240 55.16 240 64C240 72.84 232.8 80 224 80zM240 256C240 264.8 232.8 272 224 272C215.2 272 208 264.8 208 256C208 247.2 215.2 240 224 240C232.8 240 240 247.2 240 256zM416 464C407.2 464 400 456.8 400 448C400 439.2 407.2 432 416 432C424.8 432 432 439.2 432 448C432 456.8 424.8 464 416 464zM416 80C407.2 80 400 72.84 400 64C400 55.16 407.2 48 416 48C424.8 48 432 55.16 432 64C432 72.84 424.8 80 416 80zM48 64C48 72.84 40.84 80 32 80C23.16 80 16 72.84 16 64C16 55.16 23.16 48 32 48C40.84 48 48 55.16 48 64zM416 272C407.2 272 400 264.8 400 256C400 247.2 407.2 240 416 240C424.8 240 432 247.2 432 256C432 264.8 424.8 272 416 272zM48 256C48 264.8 40.84 272 32 272C23.16 272 16 264.8 16 256C16 247.2 23.16 240 32 240C40.84 240 48 247.2 48 256zM224 368C215.2 368 208 360.8 208 352C208 343.2 215.2 336 224 336C232.8 336 240 343.2 240 352C240 360.8 232.8 368 224 368zM432 352C432 360.8 424.8 368 416 368C407.2 368 400 360.8 400 352C400 343.2 407.2 336 416 336C424.8 336 432 343.2 432 352zM32 368C23.16 368 16 360.8 16 352C16 343.2 23.16 336 32 336C40.84 336 48 343.2 48 352C48 360.8 40.84 368 32 368zM432 160C432 168.8 424.8 176 416 176C407.2 176 400 168.8 400 160C400 151.2 407.2 144 416 144C424.8 144 432 151.2 432 160zM32 176C23.16 176 16 168.8 16 160C16 151.2 23.16 144 32 144C40.84 144 48 151.2 48 160C48 168.8 40.84 176 32 176zM240 160C240 168.8 232.8 176 224 176C215.2 176 208 168.8 208 160C208 151.2 215.2 144 224 144C232.8 144 240 151.2 240 160z"],
    "border-outer": [448, 512, [], "f851", "M240 160C240 168.8 232.8 176 224 176C215.2 176 208 168.8 208 160C208 151.2 215.2 144 224 144C232.8 144 240 151.2 240 160zM112 256C112 247.2 119.2 240 128 240C136.8 240 144 247.2 144 256C144 264.8 136.8 272 128 272C119.2 272 112 264.8 112 256zM240 256C240 264.8 232.8 272 224 272C215.2 272 208 264.8 208 256C208 247.2 215.2 240 224 240C232.8 240 240 247.2 240 256zM304 256C304 247.2 311.2 240 320 240C328.8 240 336 247.2 336 256C336 264.8 328.8 272 320 272C311.2 272 304 264.8 304 256zM240 352C240 360.8 232.8 368 224 368C215.2 368 208 360.8 208 352C208 343.2 215.2 336 224 336C232.8 336 240 343.2 240 352zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM16 96V416C16 442.5 37.49 464 64 464H384C410.5 464 432 442.5 432 416V96C432 69.49 410.5 48 384 48H64C37.49 48 16 69.49 16 96z"],
    "border-right": [448, 512, [], "f852", "M440 32C444.4 32 448 35.58 448 40V472C448 476.4 444.4 480 440 480C435.6 480 432 476.4 432 472V40C432 35.58 435.6 32 440 32zM320 48C328.8 48 336 55.16 336 64C336 72.84 328.8 80 320 80C311.2 80 304 72.84 304 64C304 55.16 311.2 48 320 48zM304 448C304 439.2 311.2 432 320 432C328.8 432 336 439.2 336 448C336 456.8 328.8 464 320 464C311.2 464 304 456.8 304 448zM320 240C328.8 240 336 247.2 336 256C336 264.8 328.8 272 320 272C311.2 272 304 264.8 304 256C304 247.2 311.2 240 320 240zM112 64C112 55.16 119.2 48 128 48C136.8 48 144 55.16 144 64C144 72.84 136.8 80 128 80C119.2 80 112 72.84 112 64zM128 432C136.8 432 144 439.2 144 448C144 456.8 136.8 464 128 464C119.2 464 112 456.8 112 448C112 439.2 119.2 432 128 432zM112 256C112 247.2 119.2 240 128 240C136.8 240 144 247.2 144 256C144 264.8 136.8 272 128 272C119.2 272 112 264.8 112 256zM224 48C232.8 48 240 55.16 240 64C240 72.84 232.8 80 224 80C215.2 80 208 72.84 208 64C208 55.16 215.2 48 224 48zM208 448C208 439.2 215.2 432 224 432C232.8 432 240 439.2 240 448C240 456.8 232.8 464 224 464C215.2 464 208 456.8 208 448zM224 240C232.8 240 240 247.2 240 256C240 264.8 232.8 272 224 272C215.2 272 208 264.8 208 256C208 247.2 215.2 240 224 240zM16 64C16 55.16 23.16 48 32 48C40.84 48 48 55.16 48 64C48 72.84 40.84 80 32 80C23.16 80 16 72.84 16 64zM32 432C40.84 432 48 439.2 48 448C48 456.8 40.84 464 32 464C23.16 464 16 456.8 16 448C16 439.2 23.16 432 32 432zM16 256C16 247.2 23.16 240 32 240C40.84 240 48 247.2 48 256C48 264.8 40.84 272 32 272C23.16 272 16 264.8 16 256zM224 144C232.8 144 240 151.2 240 160C240 168.8 232.8 176 224 176C215.2 176 208 168.8 208 160C208 151.2 215.2 144 224 144zM16 160C16 151.2 23.16 144 32 144C40.84 144 48 151.2 48 160C48 168.8 40.84 176 32 176C23.16 176 16 168.8 16 160zM32 336C40.84 336 48 343.2 48 352C48 360.8 40.84 368 32 368C23.16 368 16 360.8 16 352C16 343.2 23.16 336 32 336zM208 352C208 343.2 215.2 336 224 336C232.8 336 240 343.2 240 352C240 360.8 232.8 368 224 368C215.2 368 208 360.8 208 352z"],
    "border-top": [448, 512, [], "f855", "M0 40C0 35.58 3.582 32 8 32H440C444.4 32 448 35.58 448 40C448 44.42 444.4 48 440 48H8C3.582 48 0 44.42 0 40zM16 160C16 151.2 23.16 144 32 144C40.84 144 48 151.2 48 160C48 168.8 40.84 176 32 176C23.16 176 16 168.8 16 160zM416 176C407.2 176 400 168.8 400 160C400 151.2 407.2 144 416 144C424.8 144 432 151.2 432 160C432 168.8 424.8 176 416 176zM208 160C208 151.2 215.2 144 224 144C232.8 144 240 151.2 240 160C240 168.8 232.8 176 224 176C215.2 176 208 168.8 208 160zM32 368C23.16 368 16 360.8 16 352C16 343.2 23.16 336 32 336C40.84 336 48 343.2 48 352C48 360.8 40.84 368 32 368zM400 352C400 343.2 407.2 336 416 336C424.8 336 432 343.2 432 352C432 360.8 424.8 368 416 368C407.2 368 400 360.8 400 352zM224 368C215.2 368 208 360.8 208 352C208 343.2 215.2 336 224 336C232.8 336 240 343.2 240 352C240 360.8 232.8 368 224 368zM16 256C16 247.2 23.16 240 32 240C40.84 240 48 247.2 48 256C48 264.8 40.84 272 32 272C23.16 272 16 264.8 16 256zM416 272C407.2 272 400 264.8 400 256C400 247.2 407.2 240 416 240C424.8 240 432 247.2 432 256C432 264.8 424.8 272 416 272zM208 256C208 247.2 215.2 240 224 240C232.8 240 240 247.2 240 256C240 264.8 232.8 272 224 272C215.2 272 208 264.8 208 256zM32 464C23.16 464 16 456.8 16 448C16 439.2 23.16 432 32 432C40.84 432 48 439.2 48 448C48 456.8 40.84 464 32 464zM400 448C400 439.2 407.2 432 416 432C424.8 432 432 439.2 432 448C432 456.8 424.8 464 416 464C407.2 464 400 456.8 400 448zM224 464C215.2 464 208 456.8 208 448C208 439.2 215.2 432 224 432C232.8 432 240 439.2 240 448C240 456.8 232.8 464 224 464zM112 256C112 247.2 119.2 240 128 240C136.8 240 144 247.2 144 256C144 264.8 136.8 272 128 272C119.2 272 112 264.8 112 256zM128 464C119.2 464 112 456.8 112 448C112 439.2 119.2 432 128 432C136.8 432 144 439.2 144 448C144 456.8 136.8 464 128 464zM304 448C304 439.2 311.2 432 320 432C328.8 432 336 439.2 336 448C336 456.8 328.8 464 320 464C311.2 464 304 456.8 304 448zM320 272C311.2 272 304 264.8 304 256C304 247.2 311.2 240 320 240C328.8 240 336 247.2 336 256C336 264.8 328.8 272 320 272z"],
    "border-top-left": [448, 512, ["border-style"], "f853", "M0 88C0 57.07 25.07 32 56 32H424C428.4 32 432 35.58 432 40C432 44.42 428.4 48 424 48H56C33.91 48 16 65.91 16 88V456C16 460.4 12.42 464 8 464C3.582 464 0 460.4 0 456V88zM144 448C144 456.8 136.8 464 128 464C119.2 464 112 456.8 112 448C112 439.2 119.2 432 128 432C136.8 432 144 439.2 144 448zM336 448C336 456.8 328.8 464 320 464C311.2 464 304 456.8 304 448C304 439.2 311.2 432 320 432C328.8 432 336 439.2 336 448zM224 464C215.2 464 208 456.8 208 448C208 439.2 215.2 432 224 432C232.8 432 240 439.2 240 448C240 456.8 232.8 464 224 464zM432 448C432 456.8 424.8 464 416 464C407.2 464 400 456.8 400 448C400 439.2 407.2 432 416 432C424.8 432 432 439.2 432 448zM416 272C407.2 272 400 264.8 400 256C400 247.2 407.2 240 416 240C424.8 240 432 247.2 432 256C432 264.8 424.8 272 416 272zM432 352C432 360.8 424.8 368 416 368C407.2 368 400 360.8 400 352C400 343.2 407.2 336 416 336C424.8 336 432 343.2 432 352zM416 176C407.2 176 400 168.8 400 160C400 151.2 407.2 144 416 144C424.8 144 432 151.2 432 160C432 168.8 424.8 176 416 176z"],
    "bore-hole": [512, 512, [], "e4c3", "M264 272.5C295.6 276.4 320 303.4 320 336C320 371.3 291.3 400 256 400C220.7 400 192 371.3 192 336C192 303.4 216.4 276.4 248 272.5V8C248 3.582 251.6 0 256 0C260.4 0 264 3.582 264 8V272.5zM256 384C282.5 384 304 362.5 304 336C304 309.5 282.5 288 256 288C229.5 288 208 309.5 208 336C208 362.5 229.5 384 256 384zM160 128V336C160 389 202.1 432 256 432C309 432 352 389 352 336V128H448C483.3 128 512 156.7 512 192V448C512 483.3 483.3 512 448 512H64C28.65 512 0 483.3 0 448V192C0 156.7 28.65 128 64 128H160zM448 144H368V336C368 397.9 317.9 448 256 448C194.1 448 144 397.9 144 336V144H64C37.49 144 16 165.5 16 192V448C16 474.5 37.49 496 64 496H448C474.5 496 496 474.5 496 448V192C496 165.5 474.5 144 448 144z"],
    "bottle-droplet": [320, 512, [], "e4c4", "M96 336.1C96 306.1 130.7 263.8 148.1 243.6C152.3 239.1 155 237.1 156.1 235.1C158.9 233.1 159.1 232 159.1 232C159.1 232 161.1 233.1 163 235.1C164.1 237.1 167.7 239.1 171 243.6C189.3 263.8 224 306.1 224 336.1C224 379 195.3 400 159.1 400C124.7 400 95.1 371.8 95.1 336.1H96zM199.7 310.1C194.3 299.5 186.9 288.5 179.3 278.4C172.4 269.4 165.5 261.4 160 255.3C154.5 261.4 147.6 269.4 140.7 278.4C133.1 288.5 125.7 299.5 120.3 310.1C114.7 321 112 330.2 112 336.1C112 362.7 133.3 384 160 384C174.6 384 186.5 379.7 194.5 372.4C202.3 365.3 208 354.1 208 336.1C208 330.2 205.3 321 199.7 310.1V310.1zM88 8.004C88 3.586 91.58 .0042 95.1 .0038L224 0C228.4 0 232 3.581 232 7.1C232 12.42 228.4 15.1 224 16L216 16V140.9C258.6 161.6 288 205.4 288 256V448C288 483.3 259.3 512 224 512H96C60.65 512 32 483.3 32 448V256C32 205.4 61.37 161.6 104 140.9V16L96 16C91.58 16 88 12.42 88 8.004V8.004zM200 16L120 16V150.9L111 155.3C73.67 173.4 48 211.7 48 256V448C48 474.5 69.49 496 96 496H224C250.5 496 272 474.5 272 448V256C272 211.7 246.3 173.4 208.1 155.3L200 150.9V16z"],
    "bottle-water": [320, 512, [], "e4c5", "M96 216C96 211.6 99.58 208 104 208H216C220.4 208 224 211.6 224 216C224 220.4 220.4 224 216 224H104C99.58 224 96 220.4 96 216zM216 368C220.4 368 224 371.6 224 376C224 380.4 220.4 384 216 384H104C99.58 384 96 380.4 96 376C96 371.6 99.58 368 104 368H216zM200 .0003C217.7 .0003 232 14.33 232 32V94.9C233.3 95.42 234.5 95.98 235.8 96.57L248.9 102.7C272.8 113.9 288 137.8 288 164.2C288 182.3 280.9 198.7 269.4 210.9C280.9 222.4 288 238.4 288 256C288 275.1 279.6 292.3 266.3 304C279.6 315.7 288 332.9 288 352C288 371.1 279.6 388.3 266.3 400C279.6 411.7 288 428.9 288 448C288 483.3 259.3 512 224 512H96C60.65 512 32 483.3 32 448C32 428.9 40.39 411.7 53.67 400C40.39 388.3 32 371.1 32 352C32 332.9 40.39 315.7 53.67 304C40.39 292.3 32 275.1 32 256C32 238.4 39.13 222.4 50.63 210.9C39.09 198.7 32 182.3 32 164.2C32 137.8 47.22 113.9 71.05 102.7L84.21 96.57C85.46 95.98 86.72 95.42 88 94.9V32C88 14.33 102.3 0 120 0L200 .0003zM197.3 104H122.7C111.7 104 100.9 106.4 90.99 111.1L77.84 117.2C59.63 125.8 48 144 48 164.2C48 180.6 55.65 195.3 67.61 204.8C69.55 206.3 70.67 208.7 70.63 211.2C70.59 213.6 69.39 215.1 67.4 217.4C55.61 226.2 48 240.2 48 256C48 273.5 57.31 288.7 71.27 297.1C73.67 298.6 75.14 301.2 75.14 304C75.14 306.8 73.67 309.4 71.27 310.9C57.31 319.3 48 334.6 48 352C48 369.5 57.31 384.7 71.27 393.1C73.67 394.6 75.14 397.2 75.14 400C75.14 402.8 73.67 405.4 71.27 406.9C57.31 415.3 48 430.6 48 448C48 474.5 69.49 496 96 496H224C250.5 496 272 474.5 272 448C272 430.6 262.7 415.3 248.7 406.9C246.3 405.4 244.9 402.8 244.9 400C244.9 397.2 246.3 394.6 248.7 393.1C262.7 384.7 272 369.5 272 352C272 334.6 262.7 319.3 248.7 310.9C246.3 309.4 244.9 306.8 244.9 304C244.9 301.2 246.3 298.6 248.7 297.1C262.7 288.7 272 273.5 272 256C272 240.2 264.4 226.2 252.6 217.4C250.6 215.1 249.4 213.6 249.4 211.2C249.3 208.7 250.4 206.3 252.4 204.8C264.4 195.3 272 180.6 272 164.2C272 144 260.4 125.8 242.2 117.2L229 111.1C219.1 106.4 208.3 104 197.3 104V104zM216 88V32C216 23.16 208.8 16 200 16H120C111.2 16 104 23.16 104 32V88H216z"],
    "bow-arrow": [512, 512, [127993], "f6b9", "M404.4 187.8c-2.297-3.765-7.25-4.906-11.02-2.64c-3.766 2.312-4.937 7.234-2.641 11.02c54.86 89.46 41.26 203.9-33.06 278.2c-.0117 .0117 .0117-.0117 0 0l-120.1-120c-3.125-3.125-8.187-3.125-11.31 0c-3.125 3.125-3.125 8.187 0 11.31l143.1 143.1C371.9 511.2 373.1 512 375.1 512c2.047 0 4.094-.7812 5.656-2.344c3.125-3.125 3.125-8.187 0-11.31l-12.65-12.68c.0117-.0117-.0117 .0117 0 0C448.6 406.1 463.1 283.6 404.4 187.8zM146.3 285.7C147.9 287.2 149.1 288 151.1 288s4.094-.7812 5.656-2.344c3.125-3.125 3.125-8.187 0-11.31L37.63 154.3c.0117-.0117-.0117 .0117 0 0c74.31-74.29 188.7-87.93 278.2-33.05c3.734 2.281 8.656 1.109 11.02-2.64c2.297-3.781 1.125-8.703-2.641-11.02c-95.83-58.7-218.3-44.16-297.9 35.41c-.0117 .0117 .0117-.0117 0 0l-12.68-12.65c-3.125-3.125-8.187-3.125-11.31 0c-3.125 3.125-3.125 8.187 0 11.31L146.3 285.7zM509.7 2.37c-1.891-1.891-4.641-2.781-7.219-2.187l-143.1 28.8c-6.162 1.225-8.689 8.939-4.094 13.5l51.94 51.94l-240.1 240.1l-83.87-15.25c-.4687-.0781-.9687-.125-1.437-.125c-2.094 0-4.156 .8281-5.656 2.344l-71.1 71.1c-1.1 1.984-2.781 4.875-2.094 7.609c.6875 2.734 2.75 4.906 5.437 5.703l75.87 22.76l22.78 75.87c.8125 2.703 2.969 4.765 5.687 5.453c2.75 .7031 5.625-.1093 7.625-2.094l71.1-71.1c1.844-1.859 2.687-4.5 2.219-7.093L176.6 346.7l240.1-240.1l51.95 51.94c4.289 4.289 12.19 2.5 13.5-4.094l28.8-143.1C512.4 6.979 511.5 4.26 509.7 2.37zM23.12 396.2l59.56-59.56l68.86 12.51l-65.83 65.83L23.12 396.2zM115.8 488.9l-18.78-62.59l65.83-65.83l12.51 68.86L115.8 488.9zM470.3 135.8L376.2 41.73l117.6-23.5L470.3 135.8z"],
    "bowl-chopsticks": [512, 512, [], "e2e9", "M9.641 119.8C5.317 120.7 1.076 117.1 .1699 113.6C-.7366 109.3 2.034 105.1 6.358 104.2L502.4 .1718C506.7-.7347 510.9 2.036 511.8 6.36C512.7 10.68 509.1 14.92 505.6 15.83L9.641 119.8zM511.1 127.5C512.3 131.9 508.9 135.7 504.5 135.1L8.515 167.1C4.106 168.3 .3005 164.9 .016 160.5C-.2685 156.1 3.075 152.3 7.484 152L503.5 120C507.9 119.7 511.7 123.1 511.1 127.5zM1.993 257.9C.9114 239.5 15.53 224 33.94 224H478.1C496.5 224 511.1 239.5 510 257.9L508.4 285.2C503.5 368.4 453.6 438.9 383.1 473.3C378.8 495.4 359.3 512 336 512H175.1C152.7 512 133.2 495.4 128.9 473.3C58.44 438.9 8.495 368.4 3.597 285.2L1.993 257.9zM135.9 458.9C140.4 461.1 143.6 465.3 144.6 470.2C147.5 484.9 160.5 496 175.1 496H336C351.5 496 364.5 484.9 367.4 470.2C368.4 465.3 371.6 461.1 376.1 458.9C441.5 426.9 487.9 361.5 492.4 284.2L494 256.9C494.6 247.8 487.3 240 478.1 240H33.94C24.73 240 17.42 247.8 17.96 256.9L19.57 284.2C24.12 361.5 70.47 426.9 135.9 458.9V458.9z"],
    "bowl-chopsticks-noodles": [512, 512, [], "e2ea", "M511.1 127.5c-.2813-4.391-4.031-7.861-8.467-7.471L192 140.1v16.04l312.5-20.17C508.9 135.7 512.3 131.9 511.1 127.5zM511.8 6.377c-.9375-4.297-4.969-7.158-9.498-6.188L192 65.27v16.35l313.6-65.78C509.1 14.94 512.7 10.71 511.8 6.377zM479.1 223.1L176 224V32c0-4.422-3.594-8-8-8S160 27.58 160 32v39.98L128 78.7v16.35l32-6.711v53.83L128 144.2v16.04l32-2.064V224H112V64c0-4.422-3.594-8-8-8S96 59.58 96 64v21.41L6.359 104.2C2.047 105.1-.7344 109.3 .1719 113.7C.9844 117.4 4.297 120 8.014 120c.5313 0 1.094-.0469 1.656-.1719L96 101.8v44.54L7.514 152c-4.436 .2813-7.779 4.096-7.467 8.502C.2969 164.7 3.828 168 8.014 168c.1562 0 .3438 0 .5-.0156L96 162.3V224L32 223.1c-17.62 0-31.1 14.56-31.1 32.19c0 94.75 51.51 176.9 128 221.3l-.0035 2.501C128 497.7 142.3 512 160 512h191.1c17.67 0 31.1-14.33 31.1-32l-.0035-2.501c76.5-44.38 128-126.6 128-221.3C511.1 238.6 497.6 223.1 479.1 223.1zM375.1 463.7c-4.934 2.861-7.971 8.135-7.971 13.84V480c0 8.822-7.178 16-16 16H160c-8.822 0-16-7.178-16-16v-2.5c0-5.705-3.037-10.98-7.971-13.84C62 420.7 16.01 341.1 16.01 256c0-8.822 7.178-16 16-16h447.1c8.822 0 16 7.178 16 16C495.1 341.1 449.1 420.7 375.1 463.7z"],
    "bowl-food": [512, 512, [], "e4c6", "M190.4 94.63L182.1 90.06C172.6 83.66 160.5 80 147.5 80C114.1 80 85.88 104.5 79.4 137.6L78.1 144.2L71.34 144C70.9 144 70.45 144 70 144C40.41 144 16 168.8 16 200C16 207.5 17.41 214.6 19.95 221.1C21.57 225.2 19.54 229.8 15.43 231.4C11.31 233.1 6.672 231 5.059 226.9C1.792 218.6 0 209.5 0 200C0 162.1 28.56 130.7 65.18 128.2C75.24 91.29 108.1 64 147.5 64C160.6 64 172.1 67.03 184.1 72.43C199.2 48.19 225.7 32 256 32C286.3 32 312.8 48.19 327.9 72.43C339 67.03 351.4 64 364.5 64C403.9 64 436.8 91.29 446.8 128.2C483.4 130.7 512 162.1 512 200C512 209.5 510.2 218.6 506.9 226.9C505.3 231 500.7 233.1 496.6 231.4C492.5 229.8 490.4 225.2 492 221.1C494.6 214.6 496 207.5 496 200C496 168.8 471.6 144 442 144C441.6 144 441.1 144 440.7 144L433.9 144.2L432.6 137.6C426.1 104.5 397.9 80 364.5 80C351.5 80 339.4 83.66 329 90.06L321.6 94.63L317.7 86.83C306.1 63.65 282.7 48 256 48C229.3 48 205.9 63.65 194.3 86.83L190.4 94.63zM484.6 256C499.7 256 512 268.3 512 283.4C512 349.9 472.6 407.1 415.1 433.1C415.4 459.1 394.1 480 368 480H144C117.9 480 96.59 459.1 96.01 433.1C39.35 407.1 0 349.9 0 283.4C0 268.3 12.28 256 27.43 256H484.6zM144 464H368C385.4 464 399.6 450.1 399.1 432.7C400.1 426.6 403.7 421.1 409.3 418.5C460.5 395.1 496 343.4 496 283.4C496 277.1 490.9 272 484.6 272H27.43C21.12 272 16 277.1 16 283.4C16 343.4 51.5 395.1 102.7 418.5C108.3 421.1 111.9 426.6 112 432.7C112.4 450.1 126.6 464 144 464H144z"],
    "bowl-hot": [512, 512, ["soup"], "f823", "M136 0C140.4 0 144 3.582 144 8V25.35C144 51.48 157.7 75.7 180.1 89.14C207.3 105.5 224 134.9 224 166.6V183.1C224 188.4 220.4 191.1 216 191.1C211.6 191.1 208 188.4 208 183.1V166.6C208 140.5 194.3 116.3 171.9 102.9C144.7 86.52 128 57.1 128 25.35V8C128 3.582 131.6 0 136 0V0zM1.993 257.9C.9117 239.5 15.53 224 33.94 224H478.1C496.5 224 511.1 239.5 510 257.9L508.4 285.2C503.5 368.4 453.6 438.9 383.1 473.3C378.8 495.4 359.3 512 336 512H175.1C152.7 512 133.2 495.4 128.9 473.3C58.44 438.9 8.495 368.4 3.597 285.2L1.993 257.9zM135.9 458.9C140.4 461.1 143.6 465.3 144.6 470.2C147.5 484.9 160.5 496 176 496H336C351.5 496 364.5 484.9 367.4 470.2C368.4 465.3 371.6 461.1 376.1 458.9C441.5 426.9 487.9 361.5 492.4 284.2L494 256.9C494.6 247.7 487.3 240 478.1 240H33.94C24.73 240 17.42 247.7 17.97 256.9L19.57 284.2C24.12 361.5 70.47 426.9 135.9 458.9V458.9zM272 25.35C272 51.48 285.7 75.7 308.1 89.14C335.3 105.5 352 134.9 352 166.6V183.1C352 188.4 348.4 191.1 344 191.1C339.6 191.1 336 188.4 336 183.1V166.6C336 140.5 322.3 116.3 299.9 102.9C272.7 86.52 256 57.1 256 25.35V8C256 3.582 259.6 0 264 0C268.4 0 272 3.582 272 8V25.35z"],
    "bowl-rice": [512, 512, [], "e2eb", "M180 80C180 73.37 185.4 68 192 68H224C230.6 68 236 73.37 236 80C236 86.63 230.6 92 224 92H192C185.4 92 180 86.63 180 80zM224 132C230.6 132 236 137.4 236 144C236 150.6 230.6 156 224 156H192C185.4 156 180 150.6 180 144C180 137.4 185.4 132 192 132H224zM80 196C86.63 196 92 201.4 92 208C92 214.6 86.63 220 80 220H48C41.37 220 36 214.6 36 208C36 201.4 41.37 196 48 196H80zM484.6 256C499.7 256 512 268.3 512 283.4C512 349.8 472.6 407.1 415.1 433.1C415.4 459.1 394.1 480 368 480H144C117.9 480 96.59 459.1 96.01 433.1C39.35 407.1 0 349.9 0 283.4C0 268.3 12.28 256 27.43 256H484.6zM144 464H368C385.4 464 399.6 450.1 399.1 432.7C400.1 426.6 403.7 421.1 409.3 418.5C460.5 395.1 496 343.4 496 283.4C496 277.1 490.9 272 484.6 272H27.43C21.12 272 16 277.1 16 283.4C16 343.4 51.5 395.1 102.7 418.5C108.3 421.1 111.9 426.6 112 432.7C112.4 450.1 126.6 464 144 464H144zM228 208C228 201.4 233.4 196 240 196H272C278.6 196 284 201.4 284 208C284 214.6 278.6 220 272 220H240C233.4 220 228 214.6 228 208zM132 208C132 201.4 137.4 196 144 196H176C182.6 196 188 201.4 188 208C188 214.6 182.6 220 176 220H144C137.4 220 132 214.6 132 208zM128 132C134.6 132 140 137.4 140 144C140 150.6 134.6 156 128 156H96C89.37 156 84 150.6 84 144C84 137.4 89.37 132 96 132H128zM324 208C324 201.4 329.4 196 336 196H368C374.6 196 380 201.4 380 208C380 214.6 374.6 220 368 220H336C329.4 220 324 214.6 324 208zM320 132C326.6 132 332 137.4 332 144C332 150.6 326.6 156 320 156H288C281.4 156 276 150.6 276 144C276 137.4 281.4 132 288 132H320zM420 208C420 201.4 425.4 196 432 196H464C470.6 196 476 201.4 476 208C476 214.6 470.6 220 464 220H432C425.4 220 420 214.6 420 208zM416 132C422.6 132 428 137.4 428 144C428 150.6 422.6 156 416 156H384C377.4 156 372 150.6 372 144C372 137.4 377.4 132 384 132H416zM320 68C326.6 68 332 73.37 332 80C332 86.63 326.6 92 320 92H288C281.4 92 276 86.63 276 80C276 73.37 281.4 68 288 68H320z"],
    "bowl-scoop": [448, 512, [127847, "bowl-shaved-ice"], "e3de", "M34.34 229.7C32.84 228.2 31.1 226.1 31.1 224C31.1 173.1 52.23 124.2 88.23 88.24C124.2 52.23 173.1 32 223.1 32C274.9 32 323.8 52.23 359.8 88.24C395.8 124.2 415.1 173.1 415.1 224C415.1 226.1 415.2 228.2 413.7 229.7C412.2 231.2 410.1 232 407.1 232C405.9 232 403.8 231.2 402.3 229.7C400.8 228.2 399.1 226.1 399.1 224C399.1 177.3 381.5 132.6 348.4 99.55C315.4 66.54 270.7 48 223.1 48C177.3 48 132.6 66.54 99.55 99.55C66.54 132.6 47.1 177.3 47.1 224C47.1 226.1 47.15 228.2 45.65 229.7C44.15 231.2 42.12 232 39.1 232C37.88 232 35.84 231.2 34.34 229.7zM395.1 375.6C365.6 401.7 327.6 416.1 288.3 416L348.4 485.3C350.5 487.6 351.8 490.4 352.3 493.5C352.8 496.6 352.4 499.7 351.1 502.5C349.8 505.4 347.8 507.8 345.2 509.4C342.6 511.1 339.5 512 336.4 512H111.5C108.4 512 105.4 511.1 102.8 509.4C100.2 507.8 98.15 505.4 96.88 502.5C95.62 499.7 95.2 496.6 95.69 493.5C96.17 490.4 97.54 487.6 99.61 485.3L159.7 416C120.4 416.1 82.36 401.7 52.91 375.6C23.45 349.5 4.622 313.5-.0021 274.4C-.3113 272.1-.1292 269.8 .5316 267.6C1.193 265.4 2.318 263.3 3.831 261.6C5.345 259.9 7.213 258.5 9.311 257.5C11.41 256.5 13.69 256 15.1 256H431.1C434.3 256 436.6 256.5 438.7 257.5C440.8 258.5 442.6 259.9 444.2 261.6C445.7 263.3 446.8 265.4 447.5 267.6C448.1 269.8 448.3 272.1 447.1 274.4C443.4 313.5 424.5 349.5 395.1 375.6zM267.1 416H180.9L111.7 496H336.5L267.1 416zM384.4 363.7C410.9 340.2 427.8 307.8 431.1 272.6V272H15.1C20.01 307.3 36.88 339.8 63.38 363.4C89.89 387.1 124.2 400.1 159.7 400H288.3C323.7 400.1 357.9 387.2 384.4 363.7z"],
    "bowl-scoops": [448, 512, [127813], "e3df", "M4.763 223.3C3.753 222.9 2.844 222.2 2.096 221.4C1.347 220.6 .775 219.7 .4147 218.6C.0544 217.6-.0861 216.5 .0022 215.4C1.939 187.8 12.73 161.6 30.77 140.7C48.81 119.7 73.12 105.2 100.1 99.2C106.4 71.04 122.1 45.88 144.6 27.84C167.2 9.811 195.2-.0156 224-.0156C252.9-.0156 280.8 9.811 303.4 27.84C325.9 45.88 341.6 71.04 347.9 99.2C374.9 105.2 399.2 119.7 417.2 140.7C435.3 161.6 446.1 187.8 448 215.4C448.1 216.4 447.9 217.5 447.6 218.5C447.2 219.5 446.7 220.4 445.1 221.2C445.3 221.9 444.5 222.6 443.5 223C442.6 223.5 441.5 223.8 440.5 223.8C439.4 223.9 438.4 223.8 437.4 223.4C436.4 223.1 435.5 222.5 434.7 221.8C433.9 221.1 433.3 220.3 432.8 219.3C432.3 218.4 432.1 217.4 432 216.3C430 187.1 417.4 161.5 396.6 142.1C375.8 122.7 348.5 111.1 320.1 111.1C291.7 111.1 264.4 122.7 243.6 142.1C222.8 161.5 210.2 187.1 208.2 216.3C208.1 218.4 207.2 220.3 205.7 221.7C204.2 223.2 202.3 223.1 200.2 223.1C199.1 223.1 198 223.8 196.1 223.3C195.1 222.9 195.1 222.2 194.3 221.4C193.6 220.6 193 219.6 192.7 218.6C192.3 217.5 192.2 216.4 192.3 215.3C193.8 193.1 201.1 171.6 213.5 153.1C199.4 135.7 180.4 122.1 158.9 116.6C137.4 110.2 114.5 110.5 93.19 117.3C71.86 124.1 53.08 137.2 39.31 154.9C25.54 172.6 17.42 193.1 16 216.3C15.89 218.4 14.1 220.3 13.5 221.7C12.01 223.2 10.03 223.1 7.97 223.1C6.866 223.1 5.774 223.8 4.763 223.3zM156.8 38.64C137.5 53.28 123.4 73.82 116.7 97.15C120.5 96.8 124.2 95.1 128 95.1C146.3 96.07 164.3 100.1 180.8 107.7C197.4 115.4 212.1 126.5 224 140.4C235.9 126.5 250.6 115.4 267.2 107.7C283.7 100.1 301.8 96.09 320 95.1C323.1 95.1 327.6 96.8 331.4 97.15C324.7 73.8 310.7 53.25 291.3 38.6C271.9 23.96 248.3 16.03 224 15.1C199.7 16.06 176.2 24 156.8 38.64zM437.8 257.5C439.9 258.5 441.7 259.9 443.2 261.6C444.7 263.4 445.9 265.4 446.5 267.6C447.2 269.8 447.4 272.2 447 274.4C442.5 313.4 423.8 349.4 394.5 375.5C365.2 401.6 327.3 416 288 416L347.9 485.3C349.1 487.6 351.3 490.4 351.8 493.5C352.3 496.5 351.9 499.7 350.6 502.5C349.4 505.3 347.3 507.7 344.7 509.4C342.1 511.1 339.1 512 336 512H112C108.9 512 105.9 511.1 103.3 509.4C100.7 507.7 98.62 505.3 97.36 502.5C96.1 499.7 95.69 496.5 96.17 493.5C96.66 490.4 98.02 487.6 100.1 485.3L160 416C120.7 416 82.8 401.6 53.46 375.5C24.11 349.4 5.391 313.4 .8665 274.4C.5574 272.1 .7395 269.8 1.4 267.6C2.061 265.4 3.186 263.3 4.7 261.6C6.214 259.9 8.082 258.5 10.18 257.5C12.28 256.5 14.56 256 16.87 255.1H431.1C433.4 256 435.7 256.5 437.8 257.5L437.8 257.5zM266.9 416H181.1L112 496H336L266.9 416zM383.9 363.6C410.4 340.1 427.2 307.7 431.3 272.6V271.1H16.77C20.71 307.2 37.5 339.8 63.92 363.4C90.35 386.1 124.6 400 160 400H288C323.4 400.1 357.5 387.1 383.9 363.6z"],
    "bowl-soft-serve": [512, 512, [], "e46b", "M282 0C347.2 0 400 52.83 400 118C400 130.3 397 141.8 391.7 152H404C445.1 152 480 186 480 228C480 269.1 445.1 304 404 304H108C66.03 304 32 269.1 32 228C32 186 66.03 152 108 152H116.7C113.7 144.6 112 136.5 112 128C112 92.65 140.7 64 176 64H249.3C261.8 64 272 53.84 272 41.3C272 36.81 270.7 32.43 268.2 28.7L257.3 12.44C255.7 9.983 255.6 6.827 256.9 4.225C258.3 1.624 261 0 264 0L282 0zM288 41.3C288 62.67 270.7 80 249.3 80H176C149.5 80 128 101.5 128 128C128 136.8 130.3 144.9 134.4 152H168C172.4 152 176 155.6 176 160C176 164.4 172.4 168 168 168H108C74.86 168 48 194.9 48 228C48 261.1 74.86 288 108 288H404C437.1 288 464 261.1 464 228C464 194.9 437.1 168 404 168H296C291.6 168 288 164.4 288 160C288 155.6 291.6 152 296 152H372.1C379.9 142.4 384 130.7 384 118C384 61.67 338.3 16 282 16H278.9L281.5 19.83C285.7 26.19 288 33.66 288 41.3V41.3zM64 352C64 396.2 99.82 432 144 432H200C202.8 432 205.3 433.4 206.8 435.8C208.3 438.2 208.4 441.1 207.2 443.6L180.9 496H331.1L304.8 443.6C303.6 441.1 303.7 438.2 305.2 435.8C306.7 433.4 309.2 432 312 432H368C412.2 432 448 396.2 448 352V336C448 331.6 451.6 328 456 328C460.4 328 464 331.6 464 336V352C464 405 421 448 368 448H324.9L351.2 500.4C352.4 502.9 352.3 505.8 350.8 508.2C349.3 510.6 346.8 512 344 512H167.1C165.2 512 162.7 510.6 161.2 508.2C159.7 505.8 159.6 502.9 160.8 500.4L187.1 448H144C90.98 448 48 405 48 352V336C48 331.6 51.58 328 56 328C60.42 328 64 331.6 64 336V352z"],
    "bowl-spoon": [512, 512, [129379], "e3e0", "M112 0C160.8 0 202.3 26.71 217.6 64H480C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128H217.6C202.3 165.3 160.8 192 112 192C50.14 192 0 149 0 96C0 42.98 50.14 0 112 0V0zM480 112C488.8 112 496 104.8 496 96C496 87.16 488.8 80 480 80H206.9L202.8 70.1C190.3 39.66 155.3 16 112 16C56.58 16 16 54.04 16 96C16 137.1 56.58 176 112 176C155.3 176 190.3 152.3 202.8 121.9L206.9 112H480zM478.1 224C496.5 224 511.1 239.5 510 257.9L508.4 285.2C503.5 368.4 453.6 438.9 383.1 473.3C378.8 495.4 359.3 512 336 512H175.1C152.7 512 133.2 495.4 128.9 473.3C58.44 438.9 8.495 368.4 3.597 285.2L1.993 257.9C.9114 239.5 15.53 223.1 33.94 223.1L478.1 224zM176 496H336C351.5 496 364.5 484.9 367.4 470.2C368.4 465.3 371.6 461.1 376.1 458.9C441.5 426.9 487.9 361.5 492.4 284.2L494 256.9C494.6 247.7 487.3 240 478.1 240H33.94C24.73 240 17.42 247.7 17.97 256.9L19.57 284.2C24.12 361.5 70.47 426.9 135.9 458.9C140.4 461.1 143.6 465.3 144.6 470.2C147.5 484.9 160.5 496 176 496V496z"],
    "bowling-ball": [512, 512, [], "f436", "M143.9 136c-22.09 0-40 17.91-40 40s17.91 40 40 40s40-17.91 40-40S166 136 143.9 136zM143.1 200c-13.23 0-24-10.77-24-24s10.77-24 24-24c13.23 0 24 10.77 24 24S157.2 200 143.1 200zM239.9 168c-22.09 0-40 17.91-40 40s17.91 40 40 40s40-17.91 40-40S262 168 239.9 168zM239.1 232c-13.23 0-24-10.77-24-24s10.77-24 24-24c13.23 0 24 10.77 24 24S253.2 232 239.1 232zM239.9 72c-22.09 0-40 17.91-40 40s17.91 40 40 40s40-17.91 40-40S262 72 239.9 72zM239.1 136c-13.23 0-24-10.77-24-24s10.77-24 24-24c13.23 0 24 10.77 24 24S253.2 136 239.1 136zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "bowling-ball-pin": [576, 512, [], "e0c3", "M208 96C93.13 96 0 189.1 0 304S93.13 512 208 512S416 418.9 416 304S322.9 96 208 96zM208 496c-105.9 0-192-86.13-192-192s86.13-192 192-192s192 86.13 192 192S313.9 496 208 496zM520 176C520 144 544 120 544 72.05c0-47.1-32.08-71.99-64.08-72.05C447.1-.0001 416 24.12 416 72.05c0 47.99 24 71.99 24 103.1c0 14.51-3.117 29.02-7.568 43.53c3.105 8.246 5.744 16.7 7.938 25.35c7.525-19.9 13.57-40.16 14.85-60.88h49.56c2.016 32.48 15.23 63.95 28.56 94.4C547.1 309.8 560 339.4 560 368c0 48.6-19.81 86.99-35.72 117.8l-.7969 1.547C520.7 492.7 515.3 496 509.3 496h-58.51c-5.996 0-11.42-3.281-14.8-9.789c-8.348-16.09-17.7-34.3-24.81-54.88c-3.463 5.512-7.153 10.85-11.04 16.04c7.037 17.9 15.21 33.8 22.28 47.43C427.9 505.4 438.8 512 450.8 512h58.51c11.1 0 22.9-6.609 28.4-17.27C553.7 463.6 576 421.4 576 368C576 304 520 240 520 176zM504.6 168h-49.24c-1.4-13.99-5.965-26.66-10.61-38.88C438.5 112.6 432 95.54 432 72.05C432 33.33 456 16 479.9 16C503.8 16.05 528 33.39 528 72.05c0 23.48-6.492 40.57-12.77 57.1C510.6 141.4 506 154 504.6 168zM122.7 184C103.5 184 88 199.5 88 218.7s15.55 34.69 34.67 34.69c19.11 0 34.66-15.56 34.66-34.69S141.8 184 122.7 184zM122.7 237.3C112.4 237.3 104 228.1 104 218.7C104 208.4 112.4 200 122.7 200c10.28 0 18.66 8.375 18.66 18.66C141.3 228.1 132.1 237.3 122.7 237.3zM197.3 226.7c-19.11 0-34.66 15.56-34.66 34.69S178.2 296 197.3 296C216.5 296 232 280.5 232 261.3S216.5 226.7 197.3 226.7zM197.3 280c-10.28 0-18.66-8.375-18.66-18.66c0-10.31 8.375-18.69 18.66-18.69C207.6 242.7 216 251 216 261.3C216 271.6 207.6 280 197.3 280zM197.3 138.7c-19.11 0-34.66 15.56-34.66 34.69S178.2 208 197.3 208C216.5 208 232 192.5 232 173.3S216.5 138.7 197.3 138.7zM197.3 192C187 192 178.7 183.6 178.7 173.3c0-10.31 8.375-18.69 18.66-18.69C207.6 154.7 216 163 216 173.3C216 183.6 207.6 192 197.3 192z"],
    "bowling-pins": [512, 512, [], "f437", "M424 176c0-31.1 24-55.99 24-103.1s-32.06-71.99-64.05-72.05C351.1 0 320 24.12 320 72.05c0 47.99 24 71.99 24 103.1c0 63.99-56 127.1-56 191.1c0 53.4 22.29 95.66 38.42 126.8C331.9 505.4 342.8 512 354.8 512h58.51c11.1 0 22.9-6.611 28.4-17.27C457.7 463.6 480 421.4 480 368C480 304 424 240 424 176zM336 72.05c0-38.72 24.05-56.06 47.88-56.06C407.8 16.04 432 33.39 432 72.05c0 23.49-6.492 40.58-12.77 57.1c-4.645 12.23-9.209 24.89-10.61 38.88h-49.24c-1.4-13.99-5.965-26.66-10.61-38.88C342.5 112.6 336 95.54 336 72.05zM428.3 485.9l-.7969 1.545c-2.736 5.306-8.172 8.604-14.18 8.604h-58.51c-5.996 0-11.42-3.283-14.8-9.79C323.1 455.3 304 416.8 304 368c0-28.65 12.95-58.24 26.66-89.58c13.33-30.46 26.55-61.92 28.56-94.4h49.56c2.016 32.48 15.23 63.94 28.56 94.4C451.1 309.8 464 339.4 464 368C464 416.6 444.2 455 428.3 485.9zM192 72.05c0-47.99-32.06-71.99-64.05-72.05C95.98 0 64 24.12 64 72.05c0 47.99 24 71.99 24 103.1C88 240 32 304 32 368c0 53.4 22.29 95.66 38.42 126.8C75.93 505.4 86.82 512 98.79 512h58.51c11.1 0 22.9-6.611 28.4-17.27C201.7 463.6 224 421.4 224 368c0-63.99-56-127.1-56-191.1C168 144 192 120 192 72.05zM80 72.05c0-38.72 24.05-56.06 47.88-56.06C151.8 16.04 176 33.39 176 72.05c0 23.49-6.492 40.58-12.77 57.1c-4.645 12.23-9.209 24.89-10.61 38.88H103.4c-1.4-13.99-5.965-26.66-10.61-38.88C86.49 112.6 80 95.54 80 72.05zM181.3 278.4C195.1 309.8 208 339.4 208 368c0 48.6-19.81 86.99-35.72 117.8l-.7969 1.545c-2.736 5.306-8.172 8.604-14.18 8.604H98.79c-5.996 0-11.42-3.283-14.8-9.79C67.96 455.3 48 416.8 48 368c0-28.65 12.95-58.24 26.66-89.58C87.99 247.1 101.2 216.5 103.2 184H152.8C154.8 216.5 168 247.1 181.3 278.4z"],
    "box": [448, 512, [128230], "f466", "M342.4 32C367.7 32 390.6 46.9 400.9 70.01L442.5 163.6C446.1 171.8 448 180.6 448 189.6V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V189.6C0 180.6 1.879 171.8 5.516 163.6L47.11 70.01C57.38 46.89 80.3 32 105.6 32H342.4zM342.4 48H232V176H430C429.4 173.1 428.7 172 427.9 170.1L386.3 76.51C378.6 59.17 361.4 48 342.4 48V48zM432 192H16V416C16 442.5 37.49 464 64 464H384C410.5 464 432 442.5 432 416V192zM17.96 176H216V48H105.6C86.62 48 69.43 59.17 61.73 76.51L20.14 170.1C19.28 172 18.55 173.1 17.96 176V176z"],
    "box-archive": [512, 512, ["archive"], "f187", "M480 32H32C14.31 32 0 46.31 0 64v64c0 8.812 7.188 16 16 16H32v288C32 458.5 53.49 480 80 480h352c26.51 0 48-21.49 48-48v-288h16C504.8 144 512 136.8 512 128V64C512 46.31 497.7 32 480 32zM464 432c0 17.64-14.36 32-32 32h-352c-17.64 0-32-14.36-32-32v-288h416V432zM496 128h-480V64c0-8.82 7.178-16 16-16h448c8.822 0 16 7.18 16 16V128zM168 256h176C348.4 256 352 252.4 352 248S348.4 240 344 240h-176C163.6 240 160 243.6 160 247.1S163.6 256 168 256z"],
    "box-ballot": [576, 512, [128499], "f735", "M128 256h320c8.836 0 16-7.164 16-16V32c0-17.67-14.33-32-32-32h-288c-17.67 0-32 14.33-32 32v208C112 248.8 119.2 256 128 256zM128 32c0-8.822 7.178-16 16-16h288C440.8 16 448 23.18 448 32v208H128V32zM528 160h-24c-4.418 0-8 3.582-8 8s3.582 8 8 8h24c17.67 0 32 14.33 32 32V320h-544V208c0-17.67 14.33-32 32-32h24c4.418 0 8-3.582 8-8S76.42 160 72 160H48C21.49 160 0 181.5 0 208V480c0 17.67 14.33 32 32 32h512c17.67 0 32-14.33 32-32V208C576 181.5 554.5 160 528 160zM560 480c0 8.822-7.178 16-16 16H32c-8.822 0-16-7.178-16-16v-144h544V480z"],
    "box-check": [448, 512, [], "f467", "M197.7 389.7C194.5 392.8 189.5 392.8 186.3 389.7L130.3 333.7C127.2 330.5 127.2 325.5 130.3 322.3C133.5 319.2 138.5 319.2 141.7 322.3L192 372.7L306.3 258.3C309.5 255.2 314.5 255.2 317.7 258.3C320.8 261.5 320.8 266.5 317.7 269.7L197.7 389.7zM442.5 163.6C446.1 171.8 448 180.6 448 189.6V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V189.6C0 180.6 1.879 171.8 5.516 163.6L47.11 70.01C57.38 46.89 80.3 32 105.6 32H342.4C367.7 32 390.6 46.9 400.9 70.01L442.5 163.6zM232 176H430C429.4 173.1 428.7 172 427.9 170.1L386.3 76.51C378.6 59.17 361.4 48 342.4 48H232V176zM16 416C16 442.5 37.49 464 64 464H384C410.5 464 432 442.5 432 416V192H16V416zM216 48H105.6C86.62 48 69.43 59.17 61.73 76.51L20.14 170.1C19.28 172 18.55 173.1 17.96 176H216V48z"],
    "box-circle-check": [576, 512, [], "e0c4", "M15.1 416C15.1 442.5 37.49 464 63.1 464H284.5C288.1 469.6 292 474.9 296.2 480H64C28.65 480 0 451.3 0 416V189.6C0 180.6 1.879 171.8 5.516 163.6L47.11 70.01C57.38 46.89 80.3 32 105.6 32H342.4C367.7 32 390.6 46.9 400.9 70.01L442.5 163.6C446.1 171.8 448 180.6 448 189.6V192H16L15.1 416zM231.1 176H430C429.4 173.1 428.7 172 427.9 170.1L386.3 76.51C378.6 59.17 361.4 48 342.4 48H231.1V176zM215.1 48H105.6C86.62 48 69.43 59.17 61.73 76.51L20.14 170.1C19.28 172 18.55 173.1 17.96 176H215.1V48zM501.7 322.3C504.8 325.5 504.8 330.5 501.7 333.7L421.7 413.7C418.5 416.8 413.5 416.8 410.3 413.7L362.3 365.7C359.2 362.5 359.2 357.5 362.3 354.3C365.5 351.2 370.5 351.2 373.7 354.3L416 396.7L490.3 322.3C493.5 319.2 498.5 319.2 501.7 322.3H501.7zM287.1 368C287.1 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 287.1 447.5 287.1 368zM432 496C502.7 496 560 438.7 560 368C560 297.3 502.7 240 432 240C361.3 240 304 297.3 304 368C304 438.7 361.3 496 432 496z"],
    "box-dollar": [448, 512, ["box-usd"], "f4a0", "M232 248.6C233.8 248.8 235.6 249 237.5 249.3C242.3 250.1 256.9 252.9 262.1 254.3C266.3 255.4 268.9 259.8 267.7 264.1C266.6 268.3 262.2 270.9 257.9 269.7C253.5 268.6 239.5 265.8 235 265.1C220.9 262.9 208.5 264.6 199.6 268.6C190.7 272.7 185.7 278.8 184.5 285.6C183.6 291 184.2 294.9 185.6 297.8C187 300.8 189.5 303.6 193.3 306.1C201.3 311.5 212.9 315 226.3 319.1L226.5 319.1C239.2 322.1 253.7 327.4 264.2 334.1C269.6 338.9 274.3 343.9 277.1 350.5C279.1 357.1 280.7 364.7 279.3 373.1C276.8 387.5 267.4 397.4 254.7 402.9C247.1 405.8 240.3 407.4 232 407.9V424C232 428.4 228.4 432 223.1 432C219.6 432 215.1 428.4 215.1 424V407.4C214.2 407.2 212.4 406.1 210.5 406.7L210.5 406.7C201.9 405.3 187.8 400.5 178.4 397.3C176.6 396.6 174.9 396.1 173.5 395.6C169.3 394.2 167 389.7 168.4 385.5C169.8 381.3 174.3 379 178.5 380.4C180.3 380.1 182.2 381.7 184.3 382.4C193.8 385.6 205.9 389.7 213 390.9C227.3 393.1 239.6 391.9 248.4 388.2C256.1 384.5 262.1 378.5 263.5 370.4C264.5 364.5 263.9 360.2 262.4 356.9C261 353.6 258.5 350.6 254.8 347.9C246.9 342.2 235.3 338.5 221.9 334.5L220.2 333.1C208 330.3 194.4 326.2 184.4 319.4C178.9 315.7 174.1 310.1 171.2 304.7C168.1 298.3 167.3 291 168.7 282.9C171 269.5 180.6 259.7 192.1 254.1C199.8 250.1 207.6 249.1 216 248.4V232C216 227.6 219.6 224 224 224C228.4 224 232 227.6 232 232L232 248.6zM442.5 163.6C446.1 171.8 448 180.6 448 189.6V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V189.6C0 180.6 1.879 171.8 5.516 163.6L47.11 70.01C57.38 46.89 80.3 32 105.6 32H342.4C367.7 32 390.6 46.9 400.9 70.01L442.5 163.6zM232 176H430C429.4 173.1 428.7 172 427.9 170.1L386.3 76.51C378.6 59.17 361.4 48 342.4 48H232V176zM16 416C16 442.5 37.49 464 64 464H384C410.5 464 432 442.5 432 416V192H16V416zM216 48H105.6C86.62 48 69.43 59.17 61.73 76.51L20.14 170.1C19.28 172 18.55 173.1 17.96 176H216V48z"],
    "box-heart": [448, 512, [], "f49d", "M224 256.1L232.6 247.5C256.3 223.8 294.6 223.8 318.2 247.5C341.9 271.1 341.9 309.4 318.2 333.1L240.1 410.3C231.6 419.7 216.4 419.7 207 410.3L129.8 333.1C106.1 309.4 106.1 271.1 129.8 247.5C153.4 223.8 191.7 223.8 215.4 247.5L224 256.1zM141.1 321.8L218.3 399C221.5 402.2 226.5 402.2 229.7 399L306.9 321.8C324.3 304.4 324.3 276.2 306.9 258.8C289.5 241.4 261.3 241.4 243.9 258.8L224 278.7L204.1 258.8C186.7 241.4 158.5 241.4 141.1 258.8C123.7 276.2 123.7 304.4 141.1 321.8V321.8zM442.5 163.6C446.1 171.8 448 180.6 448 189.6V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V189.6C0 180.6 1.879 171.8 5.516 163.6L47.11 70.01C57.38 46.89 80.3 32 105.6 32H342.4C367.7 32 390.6 46.9 400.9 70.01L442.5 163.6zM232 176H430C429.4 173.1 428.7 172 427.9 170.1L386.3 76.51C378.6 59.17 361.4 48 342.4 48H232V176zM16 416C16 442.5 37.49 464 64 464H384C410.5 464 432 442.5 432 416V192H16V416zM216 48H105.6C86.62 48 69.43 59.17 61.73 76.51L20.14 170.1C19.28 172 18.55 173.1 17.96 176H216V48z"],
    "box-open": [640, 512, [], "f49e", "M320 69.25L567.8 33.86C578.7 32.29 589.3 38.43 593.4 48.7L626.6 131.7C633.8 149.6 623.6 169.7 604.1 174.6L437.3 218.1C420.8 222.3 403.5 215.7 394 201.7L320 91.66L245.1 201.7C236.5 215.8 219.2 222.3 202.7 218.1L35.04 174.6C16.38 169.7 6.201 149.6 13.36 131.7L46.57 48.7C50.68 38.43 61.29 32.29 72.25 33.86L320 69.25zM28.22 137.7C24.64 146.6 29.73 156.7 39.06 159.1L206.7 202.6C216.6 205.1 226.1 201.2 232.7 192.7L306.2 83.45L69.98 49.7C66.33 49.18 62.79 51.22 61.42 54.65L28.22 137.7zM333.8 83.45L407.3 192.7C413 201.2 423.4 205.1 433.3 202.6L600.9 159.1C610.3 156.7 615.4 146.6 611.8 137.7L578.6 54.65C577.2 51.22 573.7 49.18 570 49.7L333.8 83.45zM560 216.1L576 211.6V378.5C576 400.5 561 419.7 539.6 425.1L331.6 477.1C323.1 479 316 479 308.4 477.1L100.4 425.1C78.99 419.7 63.1 400.5 63.1 378.5V211.6L79.1 216.1V378.5C79.1 393.2 89.99 406 104.2 409.6L311.1 461.5V199.1C311.1 195.6 315.6 191.1 319.1 191.1C324.4 191.1 328 195.6 328 199.1V461.5L535.8 409.6C550 406 560 393.2 560 378.5L560 216.1z"],
    "box-open-full": [640, 512, ["box-full"], "f49c", "M438.9 132.1C436.6 135.9 431.7 137.1 427.9 134.9C424.1 132.6 422.9 127.7 425.1 123.9L497.1 3.884C499.4 .0953 504.3-1.133 508.1 1.14C511.9 3.413 513.1 8.327 510.9 12.12L438.9 132.1zM255.1 16C194.1 16 143.1 66.14 143.1 128C143.1 132.4 140.4 136 135.1 136C131.6 136 127.1 132.4 127.1 128C127.1 57.31 185.3 .0003 255.1 .0003C326.7 .0003 384 57.31 384 128C384 132.4 380.4 136 376 136C371.6 136 368 132.4 368 128C368 66.14 317.9 16 255.1 16zM320 189.3L567.8 153.9C578.7 152.3 589.3 158.4 593.4 168.7L626.6 251.7C633.8 269.6 623.6 289.7 604.1 294.6L437.3 338.1C420.8 342.3 403.5 335.8 394 321.7L320 211.7L245.1 321.7C236.5 335.8 219.2 342.3 202.7 338.1L35.04 294.6C16.38 289.7 6.201 269.6 13.36 251.7L46.57 168.7C50.68 158.4 61.29 152.3 72.25 153.9L320 189.3zM28.22 257.7C24.64 266.6 29.73 276.7 39.06 279.1L206.7 322.6C216.6 325.1 226.1 321.2 232.7 312.7L306.2 203.4L69.98 169.7C66.33 169.2 62.79 171.2 61.42 174.6L28.22 257.7zM333.8 203.4L407.3 312.7C413 321.2 423.4 325.1 433.3 322.6L600.9 279.1C610.3 276.7 615.4 266.6 611.8 257.7L578.6 174.6C577.2 171.2 573.7 169.2 570 169.7L333.8 203.4zM560 336.1L576 331.6V410.5C576 432.5 561 451.7 539.6 457.1L331.6 509.1C323.1 511 316 511 308.4 509.1L100.4 457.1C78.99 451.7 63.1 432.5 63.1 410.5V331.6L79.1 336.1V410.5C79.1 425.2 89.99 438 104.2 441.6L311.1 493.5V296C311.1 291.6 315.6 288 319.1 288C324.4 288 328 291.6 328 296V493.5L535.8 441.6C550 438 560 425.2 560 410.5L560 336.1z"],
    "box-taped": [448, 512, ["box-alt"], "f49a", "M342.4 32C367.7 32 390.6 46.9 400.9 70.01L442.5 163.6C446.1 171.8 448 180.6 448 189.6V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V189.6C0 180.6 1.879 171.8 5.516 163.6L47.11 70.01C57.38 46.89 80.3 32 105.6 32H342.4zM204.1 48L178 176H269.1L243 48H204.1zM160 192H16V416C16 442.5 37.49 464 64 464H384C410.5 464 432 442.5 432 416V192H288V272C288 289.7 273.7 304 256 304H192C174.3 304 160 289.7 160 272V192zM176 192V272C176 280.8 183.2 288 192 288H256C264.8 288 272 280.8 272 272V192H176zM430 176C429.4 173.1 428.7 172 427.9 170.1L386.3 76.51C378.6 59.17 361.4 48 342.4 48H259.4L286.3 176H430zM161.7 176L188.6 48H105.6C86.62 48 69.43 59.17 61.73 76.51L20.14 170.1C19.28 172 18.55 173.1 17.96 176H161.7z"],
    "box-tissue": [512, 512, [], "e05b", "M464 224H448c-4.418 0-8 3.582-8 8S443.6 240 448 240h16c17.67 0 32 14.33 32 32V384h-480V272c0-17.67 14.33-32 32-32H64c4.418 0 8-3.582 8-8S68.42 224 64 224H48C21.49 224 0 245.5 0 272V480c0 17.67 14.33 32 32 32h448c17.67 0 32-14.33 32-32V272C512 245.5 490.5 224 464 224zM496 480c0 8.822-7.178 16-16 16H32c-8.822 0-16-7.178-16-16v-80h480V480zM128 304h256c3.438 0 6.5-2.203 7.594-5.469l64-192C456.4 104.1 456 101.4 454.5 99.33C453 97.23 450.6 96 448 96h-109.4c-26.81 0-50.53-17.09-59-42.53C268.9 21.48 239.1 0 205.4 0H64C61.56 0 59.28 1.094 57.75 3c-1.5 1.891-2.094 4.359-1.562 6.734l64 288C121 301.4 124.3 304 128 304zM205.4 16c26.81 0 50.53 17.09 59 42.53C275.1 90.52 304.9 112 338.6 112h98.31L378.2 288H134.4L73.97 16H205.4z"],
    "boxes-packing": [640, 512, [], "e4c7", "M592 16H304C286.3 16 272 30.33 272 48V128H256V48C256 21.49 277.5 0 304 0H592C618.5 0 640 21.49 640 48V464C640 490.5 618.5 512 592 512H381.3C383 506.1 384 501.6 384 496H592C609.7 496 624 481.7 624 464V48C624 30.33 609.7 16 592 16zM549.7 322.3C552.8 325.5 552.8 330.5 549.7 333.7C546.5 336.8 541.5 336.8 538.3 333.7L488 283.3V440C488 444.4 484.4 448 480 448C475.6 448 472 444.4 472 440V283.3L421.7 333.7C418.5 336.8 413.5 336.8 410.3 333.7C407.2 330.5 407.2 325.5 410.3 322.3L474.3 258.3C477.5 255.2 482.5 255.2 485.7 258.3L549.7 322.3zM32 288C14.33 288 0 273.7 0 256V192C0 174.3 14.33 160 32 160H352C369.7 160 384 174.3 384 192V256C384 273.7 369.7 288 352 288V480C352 497.7 337.7 512 320 512H64C46.33 512 32 497.7 32 480V288zM16 192V256C16 264.8 23.16 272 32 272H352C360.8 272 368 264.8 368 256V192C368 183.2 360.8 176 352 176H32C23.16 176 16 183.2 16 192zM336 288H272V312C272 325.3 261.3 336 248 336H136C122.7 336 112 325.3 112 312V288H48V480C48 488.8 55.16 496 64 496H320C328.8 496 336 488.8 336 480V288zM128 312C128 316.4 131.6 320 136 320H248C252.4 320 256 316.4 256 312V288H128V312z"],
    "boxes-stacked": [576, 512, [62625, "boxes", "boxes-alt"], "f468", "M416 56V168C416 198.9 390.9 224 360 224H216C185.1 224 160 198.9 160 168V56C160 25.07 185.1 0 216 0H360C390.9 0 416 25.07 416 56zM360 16H336V88C336 101.3 325.3 112 312 112H264C250.7 112 240 101.3 240 88V16H216C193.9 16 176 33.91 176 56V168C176 190.1 193.9 208 216 208H360C382.1 208 400 190.1 400 168V56C400 33.91 382.1 16 360 16zM256 88C256 92.42 259.6 96 264 96H312C316.4 96 320 92.42 320 88V16H256V88zM200 288C230.9 288 256 313.1 256 344V456C256 486.9 230.9 512 200 512H56C25.07 512 0 486.9 0 456V344C0 313.1 25.07 288 56 288H200zM176 376C176 389.3 165.3 400 152 400H104C90.75 400 80 389.3 80 376V304H56C33.91 304 16 321.9 16 344V456C16 478.1 33.91 496 56 496H200C222.1 496 240 478.1 240 456V344C240 321.9 222.1 304 200 304H176V376zM160 304H96V376C96 380.4 99.58 384 104 384H152C156.4 384 160 380.4 160 376V304zM520 288C550.9 288 576 313.1 576 344V456C576 486.9 550.9 512 520 512H376C345.1 512 320 486.9 320 456V344C320 313.1 345.1 288 376 288H520zM496 376C496 389.3 485.3 400 472 400H424C410.7 400 400 389.3 400 376V304H376C353.9 304 336 321.9 336 344V456C336 478.1 353.9 496 376 496H520C542.1 496 560 478.1 560 456V344C560 321.9 542.1 304 520 304H496V376zM480 304H416V376C416 380.4 419.6 384 424 384H472C476.4 384 480 380.4 480 376V304z"],
    "boxing-glove": [512, 512, [129354, "glove-boxing"], "f438", "M286.5 355.3c-2.594-3.594-7.625-4.406-11.16-1.859l-51.35 36.67l-51.35-36.67c-3.594-2.547-8.562-1.734-11.16 1.859c-2.562 3.594-1.75 8.594 1.844 11.17L210.2 400l-46.88 33.48c-3.594 2.578-4.406 7.578-1.844 11.17C163.1 446.8 165.5 448 168 448c1.625 0 3.25-.4844 4.656-1.484l51.35-36.67l51.35 36.67C276.8 447.5 278.4 448 280 448c2.5 0 4.938-1.172 6.5-3.344c2.562-3.594 1.75-8.594-1.844-11.17L237.8 400l46.88-33.48C288.3 363.9 289.1 358.9 286.5 355.3zM432 152.4L431.1 104c0-57.34-46.66-104-104-104H136C78.75 0 32.09 45.75 32 101.1V296c0 27.92 11.62 54.91 32 74.56V456c0 30.88 25.12 56 56 56h223.1c30.88 0 56-25.12 56-56v-68.69l56.16-56.17C465.8 321.5 496.8 291 495.1 224C495.1 187 467.1 156.5 432 152.4zM444.8 319.8l-60.84 60.84V456c0 22.06-17.94 40-40 40H120c-22.06 0-40-17.94-40-40v-92.47C58.22 344.1 48 321.7 48 296V102C48.09 54.58 87.56 16 136 16h191.1c48.5 0 88 39.48 88.03 88v48h-32c-24.81 0-46.46 12.83-59.41 32H188.9c-33.81 0-64.25-20.08-77.6-51.16c-1.719-4.078-6.469-5.906-10.5-4.203C96.78 130.4 94.91 135.1 96.66 139.2C112.5 176.1 148.7 200 188.9 200h127.5C313.7 207.5 312 215.5 312 224c0 39.7 32.31 72 72 72c4.406 0 8-3.578 8-8s-3.594-8-8-8c-30.88 0-56-25.12-56-56s25.12-56 56-56h40C454.9 168 479.1 193.1 479.1 224C480.7 284.6 454.2 310.5 444.8 319.8z"],
    "bracket-curly": [256, 512, ["bracket-curly-left"], "7b", "M80 152.5V104c0-30.88 25.12-56 56-56h48C188.4 48 192 44.42 192 40S188.4 32 184 32h-48C96.3 32 64 64.3 64 104v48.45c0 41.08-22.83 78.02-59.58 96.39C1.719 250.2 0 252.1 0 256s1.719 5.797 4.422 7.156C41.17 281.5 64 318.5 64 359.5V408C64 447.7 96.3 480 136 480h48c4.422 0 8-3.578 8-8s-3.578-8-8-8h-48c-30.88 0-56-25.12-56-56v-48.45C80 317.2 58.89 278.7 24.06 256C58.89 233.3 80 194.8 80 152.5z"],
    "bracket-curly-right": [256, 512, [], "7d", "M231.9 256C197.1 278.7 176 317.2 176 359.5V408c0 30.88-25.12 56-56 56h-48C67.58 464 64 467.6 64 472S67.58 480 72 480h48c39.7 0 72-32.3 72-72v-48.45c0-41.08 22.83-78.02 59.58-96.39C254.3 261.8 256 259 256 256s-1.719-5.797-4.422-7.156C214.8 230.5 192 193.5 192 152.5V104C192 64.3 159.7 32 120 32h-48C67.58 32 64 35.58 64 40S67.58 48 72 48h48c30.88 0 56 25.12 56 56v48.45C176 194.8 197.1 233.3 231.9 256z"],
    "bracket-round": [192, 512, ["parenthesis"], "28", "M140.7 457.5c3.563 2.594 4.375 7.594 1.781 11.16c-1.563 2.156-4 3.313-6.469 3.313c-1.625 0-3.282-.5-4.688-1.5c-4.063-2.938-99.32-73.38-99.32-214.5s95.26-211.6 99.32-214.5c3.532-2.531 8.563-1.781 11.16 1.813c2.594 3.563 1.781 8.563-1.781 11.16c-.9063 .6875-92.7 68.88-92.7 201.5S139.8 456.8 140.7 457.5z"],
    "bracket-round-right": [192, 512, [], "29", "M143.1 255.1c0-132.7-91.79-200.8-92.7-201.5C47.74 51.87 46.93 46.87 49.52 43.3C52.11 39.71 57.15 38.96 60.68 41.49c4.063 2.938 99.32 73.38 99.32 214.5s-95.26 211.6-99.32 214.5c-1.406 1-3.063 1.5-4.688 1.5c-2.469 0-4.907-1.156-6.469-3.313c-2.594-3.563-1.781-8.563 1.781-11.16C52.21 456.8 143.1 388.7 143.1 255.1z"],
    "bracket-square": [192, 512, ["bracket", "bracket-left"], "5b", "M40 48h80C124.4 48 128 44.42 128 40S124.4 32 120 32h-80C17.94 32 0 49.94 0 72v368C0 462.1 17.94 480 40 480h80c4.406 0 8-3.578 8-8s-3.594-8-8-8h-80c-13.22 0-24-10.77-24-24V72C16 58.77 26.78 48 40 48z"],
    "bracket-square-right": [192, 512, [], "5d", "M176 72v368c0 13.23-10.78 24-24 24h-80C67.59 464 64 467.6 64 472S67.59 480 72 480h80c22.06 0 40-17.94 40-40V72C192 49.94 174.1 32 152 32h-80C67.59 32 64 35.58 64 40S67.59 48 72 48h80C165.2 48 176 58.77 176 72z"],
    "brackets-curly": [576, 512, [], "f7ea", "M112 152.5V104c0-30.88 25.12-56 56-56h48C220.4 48 224 44.42 224 40S220.4 32 216 32h-48C128.3 32 96 64.3 96 104v48.45c0 41.08-22.83 78.02-59.58 96.39C33.72 250.2 32 252.1 32 256s1.719 5.797 4.422 7.156C73.17 281.5 96 318.5 96 359.5V408C96 447.7 128.3 480 168 480h48C220.4 480 224 476.4 224 472S220.4 464 216 464h-48c-30.88 0-56-25.12-56-56v-48.45C112 317.2 90.89 278.7 56.06 256C90.89 233.3 112 194.8 112 152.5zM539.6 248.8C502.8 230.5 480 193.5 480 152.5V104C480 64.3 447.7 32 408 32h-48C355.6 32 352 35.58 352 40s3.578 8 8 8h48c30.88 0 56 25.12 56 56v48.45C464 194.8 485.1 233.3 519.9 256C485.1 278.7 464 317.2 464 359.5V408c0 30.88-25.12 56-56 56h-48c-4.422 0-8 3.578-8 8S355.6 480 360 480h48c39.7 0 72-32.3 72-72v-48.45c0-41.08 22.83-78.02 59.58-96.39C542.3 261.8 544 259 544 256S542.3 250.2 539.6 248.8z"],
    "brackets-round": [512, 512, ["parentheses"], "e0c5", "M140.7 54.46c3.562-2.594 4.375-7.594 1.781-11.16C139.9 39.71 134.8 38.96 131.3 41.49C127.3 44.43 32 114.9 32 255.1s95.25 211.6 99.31 214.5c1.406 1 3.062 1.5 4.688 1.5c2.469 0 4.906-1.156 6.469-3.313c2.594-3.563 1.781-8.563-1.781-11.16C139.8 456.8 48 388.7 48 255.1S139.8 55.15 140.7 54.46zM380.7 41.49c-3.562-2.531-8.562-1.75-11.16 1.813c-2.594 3.563-1.781 8.563 1.781 11.16C372.2 55.15 464 123.3 464 255.1s-91.78 200.8-92.69 201.5c-3.562 2.594-4.375 7.594-1.781 11.16c1.562 2.156 4 3.313 6.469 3.313c1.625 0 3.281-.5 4.688-1.5C384.8 467.6 480 397.1 480 255.1S384.8 44.43 380.7 41.49z"],
    "brackets-square": [448, 512, ["brackets"], "f7e9", "M56 48h80c4.406 0 8-3.578 8-8S140.4 32 136 32h-80C33.94 32 16 49.94 16 72v368C16 462.1 33.94 480 56 480h80c4.406 0 8-3.578 8-8S140.4 464 136 464h-80C42.78 464 32 453.2 32 440V72C32 58.77 42.78 48 56 48zM392 32h-80c-4.406 0-8 3.578-8 8s3.594 8 8 8h80C405.2 48 416 58.77 416 72v368c0 13.23-10.78 24-24 24h-80c-4.406 0-8 3.578-8 8S307.6 480 312 480h80c22.06 0 40-17.94 40-40V72C432 49.94 414.1 32 392 32z"],
    "braille": [640, 512, [], "f2a1", "M48 96C48 87.16 55.16 80 64 80C72.84 80 80 87.16 80 96C80 104.8 72.84 112 64 112C55.16 112 48 104.8 48 96zM0 96C0 60.65 28.65 32 64 32C99.35 32 128 60.65 128 96C128 131.3 99.35 160 64 160C28.65 160 0 131.3 0 96zM64 144C90.51 144 112 122.5 112 96C112 69.49 90.51 48 64 48C37.49 48 16 69.49 16 96C16 122.5 37.49 144 64 144zM160 256C160 220.7 188.7 192 224 192C259.3 192 288 220.7 288 256C288 291.3 259.3 320 224 320C188.7 320 160 291.3 160 256zM224 304C250.5 304 272 282.5 272 256C272 229.5 250.5 208 224 208C197.5 208 176 229.5 176 256C176 282.5 197.5 304 224 304zM128 416C128 451.3 99.35 480 64 480C28.65 480 0 451.3 0 416C0 380.7 28.65 352 64 352C99.35 352 128 380.7 128 416zM64 368C37.49 368 16 389.5 16 416C16 442.5 37.49 464 64 464C90.51 464 112 442.5 112 416C112 389.5 90.51 368 64 368zM288 416C288 451.3 259.3 480 224 480C188.7 480 160 451.3 160 416C160 380.7 188.7 352 224 352C259.3 352 288 380.7 288 416zM224 368C197.5 368 176 389.5 176 416C176 442.5 197.5 464 224 464C250.5 464 272 442.5 272 416C272 389.5 250.5 368 224 368zM80 256C80 264.8 72.84 272 64 272C55.16 272 48 264.8 48 256C48 247.2 55.16 240 64 240C72.84 240 80 247.2 80 256zM128 256C128 291.3 99.35 320 64 320C28.65 320 0 291.3 0 256C0 220.7 28.65 192 64 192C99.35 192 128 220.7 128 256zM64 208C37.49 208 16 229.5 16 256C16 282.5 37.49 304 64 304C90.51 304 112 282.5 112 256C112 229.5 90.51 208 64 208zM240 96C240 104.8 232.8 112 224 112C215.2 112 208 104.8 208 96C208 87.16 215.2 80 224 80C232.8 80 240 87.16 240 96zM288 96C288 131.3 259.3 160 224 160C188.7 160 160 131.3 160 96C160 60.65 188.7 32 224 32C259.3 32 288 60.65 288 96zM224 48C197.5 48 176 69.49 176 96C176 122.5 197.5 144 224 144C250.5 144 272 122.5 272 96C272 69.49 250.5 48 224 48zM400 96C400 87.16 407.2 80 416 80C424.8 80 432 87.16 432 96C432 104.8 424.8 112 416 112C407.2 112 400 104.8 400 96zM352 96C352 60.65 380.7 32 416 32C451.3 32 480 60.65 480 96C480 131.3 451.3 160 416 160C380.7 160 352 131.3 352 96zM416 144C442.5 144 464 122.5 464 96C464 69.49 442.5 48 416 48C389.5 48 368 69.49 368 96C368 122.5 389.5 144 416 144zM640 96C640 131.3 611.3 160 576 160C540.7 160 512 131.3 512 96C512 60.65 540.7 32 576 32C611.3 32 640 60.65 640 96zM576 48C549.5 48 528 69.49 528 96C528 122.5 549.5 144 576 144C602.5 144 624 122.5 624 96C624 69.49 602.5 48 576 48zM512 256C512 220.7 540.7 192 576 192C611.3 192 640 220.7 640 256C640 291.3 611.3 320 576 320C540.7 320 512 291.3 512 256zM576 304C602.5 304 624 282.5 624 256C624 229.5 602.5 208 576 208C549.5 208 528 229.5 528 256C528 282.5 549.5 304 576 304zM640 416C640 451.3 611.3 480 576 480C540.7 480 512 451.3 512 416C512 380.7 540.7 352 576 352C611.3 352 640 380.7 640 416zM576 368C549.5 368 528 389.5 528 416C528 442.5 549.5 464 576 464C602.5 464 624 442.5 624 416C624 389.5 602.5 368 576 368zM352 256C352 220.7 380.7 192 416 192C451.3 192 480 220.7 480 256C480 291.3 451.3 320 416 320C380.7 320 352 291.3 352 256zM416 304C442.5 304 464 282.5 464 256C464 229.5 442.5 208 416 208C389.5 208 368 229.5 368 256C368 282.5 389.5 304 416 304zM480 416C480 451.3 451.3 480 416 480C380.7 480 352 451.3 352 416C352 380.7 380.7 352 416 352C451.3 352 480 380.7 480 416zM416 368C389.5 368 368 389.5 368 416C368 442.5 389.5 464 416 464C442.5 464 464 442.5 464 416C464 389.5 442.5 368 416 368z"],
    "brain": [512, 512, [129504], "f5dc", "M256 32.99C266.9 13.32 287.9 0 312 0C341.9 0 367 20.53 374.1 48.28C406.6 51.33 432 78.7 432 112C432 118.7 430.1 125.1 429.1 131.1C458.6 140.2 480 167.6 480 200C480 212.4 476.9 224.1 471.3 234.3C495.6 248 512 274.1 512 304C512 337.3 491.6 365.9 462.6 377.9C463.5 382.5 464 387.2 464 392C464 431.8 431.8 464 392 464C388.3 464 384.8 463.7 381.2 463.2C372.1 491.4 346.9 512 316 512C290 512 267.5 497.4 256 476C244.5 497.4 221.1 512 196 512C165.1 512 139 491.4 130.8 463.2C127.2 463.7 123.7 464 120 464C80.24 464 48 431.8 48 392C48 387.2 48.47 382.5 49.38 377.9C20.39 365.9 0 337.3 0 304C0 274.1 16.41 248 40.69 234.3C35.15 224.1 32 212.4 32 200C32 167.6 53.44 140.2 82.91 131.1C81.02 125.1 80 118.7 80 112C80 78.7 105.4 51.33 137.9 48.28C144.1 20.53 170.1 0 200 0C224.1 0 245.1 13.32 256 32.99V32.99zM248 64C248 37.49 226.5 16 200 16C175.8 16 155.8 33.88 152.5 57.14L151.5 64.04L144 64C117.5 64 96 85.49 96 112C96 119.7 97.78 126.9 100.1 133.3L105.8 142.1L95.05 144.7C68.38 148.1 47.1 172.1 47.1 200C47.1 212.3 51.95 223.6 58.66 232.9L64.59 241L55.28 244.9C32.19 254.6 15.1 277.4 15.1 304C15.1 332.8 35.04 357.2 61.25 365.2L68.95 367.6L66.54 375.3C64.89 380.5 63.1 386.2 63.1 392C63.1 422.9 89.07 448 119.1 448C125.1 448 130 447.3 134.7 446.1L143.3 443.7L144.7 452.5C148.7 477.2 170.2 496 195.1 496C223.6 496 246.1 474.6 247.9 447.5L247.1 445.7L248 64zM264 445.7L264.1 447.5C265.9 474.6 288.4 496 316 496C341.8 496 363.3 477.2 367.3 452.5L368.7 443.7L377.3 446.1C381.1 447.3 386.9 448 392 448C422.9 448 448 422.9 448 392C448 386.2 447.1 380.5 445.5 375.3L443 367.6L450.7 365.2C476.1 357.2 496 332.8 496 304C496 277.4 479.8 254.6 456.7 244.9L447.4 241L453.3 232.9C460 223.6 464 212.3 464 200C464 172.1 443.6 148.1 416.1 144.7L406.2 142.1L411 133.3C414.2 126.9 416 119.7 416 112C416 85.49 394.5 64 368 64L360.5 64.04L359.5 57.14C356.2 33.88 336.2 16 311.1 16C285.5 16 263.1 37.49 263.1 64L264 445.7z"],
    "brain-arrow-curved-right": [640, 512, ["mind-share"], "f677", "M296 320V64c0-26.51 21.38-48 47.91-48c26.12 0 48.33 21.06 47.94 48.81C394.5 64.37 397.2 64 399.9 64c26.52 0 48.03 21.49 48.03 48c0 12.58-4.949 23.93-12.87 32.49c2.213-.1953 4.346-.2891 6.406-.2891c45.68 0 54.49 45.77 54.49 55.8L496 208c0 4.418 3.582 8 8 8S512 212.4 512 208V200c0-19.43-13.27-58.88-50.89-69.25C462.1 124.7 463.1 118.4 463.1 112c0-33.27-25.53-60.69-58.03-63.72c-2.734-10.96-8.326-21-16.41-29.2C377.6 6.953 360.9 0 343.9 0C319.9 0 298.1 13.26 288 32.84C277 13.26 256.1 0 232.1 0c-17.03 0-33.66 6.953-45.61 19.08C178.4 27.27 172.8 37.31 170.1 48.28C137.6 51.31 112 78.73 112 112c0 6.395 .9668 12.69 2.832 18.7C95.47 135.1 83.62 148.6 76.69 159.6C66.69 175.5 64.02 192.5 64.02 200c0 12.05 3.111 23.84 8.859 34.3C48.26 248.2 32 274.7 32 304c0 33.13 19.97 61.77 49.51 73.79c-1.791 8.488-1.973 17.14-.5078 25.89c4.402 26.3 23.5 48.58 48.88 56.77C140.9 464 152 464.9 162.9 463.1c3.014 10.46 8.539 20.07 16.3 28.1C191.9 504.4 209.7 512 228.1 512c16.74 0 32.05-6.027 43.91-16.1c2.848-2.422 3.777-6.594 2.018-9.891c-2.395-4.504-8.365-5.98-12.22-2.641C252.7 491.2 241 496 228.1 496c-28.69 0-52.88-23.45-51.86-53.69c-12.77 6.148-27.93 8.113-44.31 1.852c-14.65-5.602-26.46-17.47-32.07-32.11c-6.418-16.75-4.188-32.14 2.303-45.05C71.52 362.2 48 335.1 48 304c0-30.76 21.73-56.41 50.67-62.55C87.3 231.2 80.02 216.5 80.02 200c0-10.54 9.068-55.8 54.49-55.8c2.057 0 4.191 .0938 6.4 .2891C132.1 135.9 128 124.6 128 112c0-26.51 21.5-48 48.02-48c2.77 0 5.445 .3672 8.086 .8125C183.8 37.05 205.1 16 232.1 16C258.6 16 280 37.49 280 64v256c0 4.418 3.582 8 8 8S296 324.4 296 320zM603.3 340.7l-96-96C504.3 241.6 500.2 240 495.1 240c-2.061 0-4.139 .3984-6.119 1.219C483.9 243.7 480 249.5 480 256l-.0599 47.94c-25 .0273-72.7 .1888-94.76 .5365c-39.32 .6133-74.58 28.39-89.83 70.76c-13.25 36.8-11.84 89.42 31.86 126.7c2.967 2.531 6.668 3.832 10.39 3.832c2.742 0 5.496-.7031 7.984-2.137c5.867-3.379 8.971-10.09 7.75-16.75c-4.684-25.56 .4609-49.62 14.12-66.01c11.4-13.68 28.2-20.88 48.57-20.88h64L480 448c0 6.473 3.898 12.3 9.877 14.78C491.9 463.6 493.9 464 495.1 464c4.164 0 8.116-1.576 11.18-4.639l96.14-96.05C609.6 357.1 609.6 346.9 603.3 340.7zM496 448v-64H416c-59.96 0-88.26 51.97-78.4 105.8c-67.08-57.26-24.5-168.2 47.83-169.3C416 320 496 320 496 320V256l96 96L496 448z"],
    "brain-circuit": [512, 512, [], "e0c6", "M137.9 48.28C144.1 20.53 170.1 0 200 0C224.1 0 245.1 13.32 256 32.99C266.9 13.32 287.9 0 312 0C341.9 0 367 20.53 374.1 48.28C406.6 51.33 432 78.7 432 112C432 118.7 430.1 125.1 429.1 131.1C458.6 140.2 480 167.6 480 200C480 212.4 476.9 224.1 471.3 234.3C495.6 248 512 274.1 512 304C512 337.3 491.6 365.9 462.6 377.9C463.5 382.5 464 387.2 464 392C464 431.8 431.8 464 392 464C388.3 464 384.8 463.7 381.2 463.2C372.1 491.4 346.9 512 316 512C290 512 267.4 497.4 256 476C244.5 497.4 221.1 512 196 512C165.1 512 139 491.4 130.8 463.2C127.2 463.7 123.7 464 120 464C80.24 464 48 431.8 48 392C48 387.2 48.47 382.5 49.38 377.9C20.39 365.9 0 337.3 0 304C0 274.1 16.41 248 40.69 234.3C35.15 224.1 32 212.4 32 200C32 167.6 53.44 140.2 82.91 131.1C81.02 125.1 80 118.7 80 112C80 78.7 105.4 51.33 137.9 48.28V48.28zM152.5 57.14L151.5 64.04L144 64C117.5 64 96 85.49 96 112C96 119.7 97.78 126.9 100.1 133.3L105.8 142.1L95.05 144.7C68.38 148.1 47.1 172.1 47.1 200C47.1 212.3 51.95 223.6 58.66 232.9L64.59 241L55.28 244.9C32.19 254.6 15.1 277.4 15.1 304C15.1 332.8 35.04 357.2 61.25 365.2L68.95 367.6L66.54 375.3C64.89 380.5 63.1 386.2 63.1 392C63.1 422.9 89.07 448 119.1 448C125.1 448 130 447.3 134.7 446.1L143.3 443.7L144.7 452.5C148.7 477.2 170.2 496 195.1 496C223.6 496 246.1 474.6 247.9 447.5L247.1 445.7V288H191.1C178.7 288 167.1 298.7 167.1 312V321C181.8 324.6 191.1 337.1 191.1 352C191.1 369.7 177.7 384 159.1 384C142.3 384 127.1 369.7 127.1 352C127.1 337.1 138.2 324.6 151.1 321V312C151.1 289.9 169.9 272 191.1 272H247.1V152H206.1C203.4 165.8 190.9 176 175.1 176C158.3 176 143.1 161.7 143.1 144C143.1 126.3 158.3 112 175.1 112C190.9 112 203.4 122.2 206.1 136H247.1V64C247.1 37.49 226.5 16 199.1 16C175.8 16 155.8 33.88 152.5 57.14H152.5zM264 152V360H337C340.6 346.2 353.1 336 368 336C385.7 336 400 350.3 400 368C400 385.7 385.7 400 368 400C353.1 400 340.6 389.8 337 376H264V445.7L264.1 447.5C265.9 474.6 288.4 496 316 496C341.8 496 363.3 477.2 367.3 452.5L368.7 443.7L377.3 446.1C381.1 447.3 386.9 448 392 448C422.9 448 448 422.9 448 392C448 386.2 447.1 380.5 445.5 375.3L443 367.6L450.7 365.2C476.1 357.2 496 332.8 496 304C496 277.4 479.8 254.6 456.7 244.9L447.4 241L453.3 232.9C460 223.6 464 212.3 464 200C464 172.1 443.6 148.1 416.1 144.7L406.2 142.1L411 133.3C414.2 126.9 416 119.7 416 112C416 85.49 394.5 64 368 64L360.5 64.04L359.5 57.14C356.2 33.88 336.2 16 312 16C285.5 16 264 37.49 264 64V136H320C342.1 136 360 153.9 360 176V193C373.8 196.6 384 209.1 384 224C384 241.7 369.7 256 352 256C334.3 256 320 241.7 320 224C320 209.1 330.2 196.6 344 193V176C344 162.7 333.3 152 320 152H264zM176 160C184.8 160 192 152.8 192 144C192 135.2 184.8 128 176 128C167.2 128 160 135.2 160 144C160 152.8 167.2 160 176 160zM160 368C168.8 368 176 360.8 176 352C176 343.2 168.8 336 160 336C151.2 336 144 343.2 144 352C144 360.8 151.2 368 160 368zM368 224C368 215.2 360.8 208 352 208C343.2 208 336 215.2 336 224C336 232.8 343.2 240 352 240C360.8 240 368 232.8 368 224zM368 384C376.8 384 384 376.8 384 368C384 359.2 376.8 352 368 352C359.2 352 352 359.2 352 368C352 376.8 359.2 384 368 384z"],
    "brake-warning": [640, 512, [], "e0c7", "M328 296C328 300.4 324.4 304 320 304C315.6 304 312 300.4 312 296V136C312 131.6 315.6 128 320 128C324.4 128 328 131.6 328 136V296zM304 352C304 343.2 311.2 336 320 336C328.8 336 336 343.2 336 352C336 360.8 328.8 368 320 368C311.2 368 304 360.8 304 352zM96 256C96 132.3 196.3 32 320 32C443.7 32 544 132.3 544 256C544 379.7 443.7 480 320 480C196.3 480 96 379.7 96 256zM320 464C434.9 464 528 370.9 528 256C528 141.1 434.9 48 320 48C205.1 48 112 141.1 112 256C112 370.9 205.1 464 320 464zM16 256C16 314.8 33.15 369.6 62.73 415.7C65.12 419.4 64.04 424.4 60.32 426.8C56.6 429.1 51.66 428.1 49.27 424.3C18.08 375.8 0 317.1 0 256C0 194 18.08 136.2 49.27 87.66C51.66 83.94 56.6 82.86 60.32 85.25C64.04 87.63 65.12 92.58 62.73 96.3C33.15 142.4 16 197.2 16 256zM640 256C640 317.1 621.9 375.8 590.7 424.3C588.3 428.1 583.4 429.1 579.7 426.8C575.1 424.4 574.9 419.4 577.3 415.7C606.8 369.6 624 314.8 624 256C624 197.2 606.8 142.4 577.3 96.3C574.9 92.58 575.1 87.63 579.7 85.25C583.4 82.86 588.3 83.94 590.7 87.66C621.9 136.2 640 194 640 256z"],
    "brazilian-real-sign": [512, 512, [], "e46c", "M400 0C404.4 0 408 3.582 408 8V64.08C426.5 64.68 444.7 68.65 461.8 75.81L475.1 81.38C479.2 83.09 481.1 87.78 479.4 91.85C477.7 95.93 472.1 97.85 468.9 96.14L455.6 90.57C438.1 83.59 421.1 80 403 80H383.1C339.4 80 304 115.4 304 159.1C304 193.4 326.1 223.8 358.8 234.3L446.1 262.5C485.4 275.1 512 311.7 512 352.9C512 405.4 469.4 448 416.9 448H408V504C408 508.4 404.4 512 400 512C395.6 512 392 508.4 392 504V447.1C368.6 447.4 345.7 440.7 325.5 428.7L299.9 413.3C296.1 411.1 294.9 406.2 297.1 402.4C299.4 398.6 304.3 397.3 308.1 399.6L333.7 414.1C352.4 426.1 373.7 432 395.4 432H416.9C460.6 432 496 396.6 496 352.9C496 318.6 473.9 288.2 441.2 277.7L353.9 249.5C314.6 236.9 288 200.3 288 159.1C288 106.6 330.6 64 383.1 64H392V8C392 3.582 395.6 .0003 400 .0003V0zM0 72C0 49.91 17.91 32 40 32H120C195.1 32 256 92.89 256 168C256 236.7 205.1 293.5 138.9 302.7L199.5 469.3C201 473.4 198.9 478 194.7 479.5C190.6 481 185.1 478.9 184.5 474.7L122.4 303.1C121.6 303.1 120.8 303.1 120 303.1H16V472C16 476.4 12.42 480 8 480C3.582 480 .0003 476.4 .0003 472L0 72zM16 288H120C186.3 288 240 234.3 240 168C240 101.7 186.3 48 120 48H40C26.75 48 16 58.75 16 72V288z"],
    "bread-loaf": [640, 512, [127838], "f7eb", "M400 32h-160C107.5 32 0 103.6 0 192c0 35.38 26.88 64 60 64H64v192c0 17.62 14.38 32 32 32h448c17.62 0 32-14.38 32-32V256h4C613.1 256 640 227.4 640 192C640 103.6 532.5 32 400 32zM96 464c-8.822 0-16-7.178-16-16V240H60C35.74 240 16 218.5 16 192c0-79.4 100.5-144 224-144s224 64.6 224 144c0 26.47-19.74 48-44 48H400V448c0 8.822-7.178 16-16 16H96zM580 240H560V448c0 8.822-7.178 16-16 16h-132.9C413.9 459.2 416 453.9 416 448V256h4C453.1 256 480 227.4 480 192c0-63.47-55.59-118.1-135.9-144H400c123.5 0 224 64.6 224 144C624 218.5 604.3 240 580 240z"],
    "bread-slice": [512, 512, [], "f7ec", "M256 32C96 32 0 112 0 176.1C0 203 21.56 224 56.89 224H64v224c0 17.67 14.33 32 32 32h320c17.67 0 32-14.33 32-32V224h7.111C490.4 224 512 203 512 176.1C512 112 416 32 256 32zM455.1 208H432V448c0 8.822-7.178 16-16 16H96c-8.822 0-16-7.178-16-16V208H56.89C32.43 208 16 195.5 16 176.1C16 124.3 101.5 48 256 48c154.5 0 240 76.25 240 128.1C496 195.5 479.6 208 455.1 208z"],
    "bread-slice-butter": [512, 512, [], "e3e1", "M512 176.1C511.6 183.9 509.8 190.6 506.7 196.8C503.5 203 499.2 208.5 493.8 212.9C488.5 217.3 482.3 220.6 475.6 222.5C468.1 224.4 461.1 224.9 455.1 224H448V448C448 456.5 444.6 464.6 438.6 470.6C432.6 476.6 424.5 480 416 480H96C87.51 480 79.37 476.6 73.37 470.6C67.37 464.6 64 456.5 64 448V224H56.9C50.03 224.9 43.04 224.4 36.38 222.5C29.71 220.6 23.51 217.3 18.17 212.9C12.83 208.5 8.457 203 5.33 196.8C2.203 190.6 .3885 183.9 0 176.1C0 112 96 32 256 32C416 32 512 112 512 176.1H512zM496 176.1C496 124.3 410.5 48 256 48C101.5 48 16 124.3 16 176.1C16 195.5 32.42 208 56.9 208H80V448C80 452.2 81.69 456.3 84.69 459.3C87.69 462.3 91.76 464 96 464H416C420.2 464 424.3 462.3 427.3 459.3C430.3 456.3 432 452.2 432 448V208H455.1C479.6 208 496 195.5 496 176.1zM329.6 259.7C337.1 267.2 341.3 277.4 341.3 288C341.3 298.6 337.1 308.8 329.6 316.3L284.3 361.6C276.8 369.1 266.6 373.3 256 373.3C245.4 373.3 235.2 369.1 227.7 361.6L182.4 316.3C174.9 308.8 170.7 298.6 170.7 288C170.7 277.4 174.9 267.2 182.4 259.7L227.7 214.4C235.2 206.9 245.4 202.7 256 202.7C266.6 202.7 276.8 206.9 284.3 214.4L329.6 259.7zM318.2 304.1C320.4 302.7 322.2 300.1 323.4 297.2C324.6 294.3 325.2 291.2 325.2 288C325.2 284.8 324.6 281.7 323.4 278.8C322.2 275.9 320.4 273.3 318.2 271L272.1 225.8C270.7 223.6 268.1 221.8 265.2 220.6C262.3 219.4 259.2 218.7 256 218.7C252.8 218.7 249.7 219.4 246.8 220.6C243.9 221.8 241.3 223.6 239 225.8L193.8 271C191.6 273.3 189.8 275.9 188.6 278.8C187.4 281.7 186.8 284.8 186.8 288C186.8 291.2 187.4 294.3 188.6 297.2C189.8 300.1 191.6 302.7 193.8 304.1L239 350.2C241.3 352.4 243.9 354.2 246.8 355.4C249.7 356.6 252.9 357.2 256 357.2C259.2 357.2 262.3 356.6 265.2 355.4C268.1 354.2 270.7 352.4 272.1 350.2L318.2 304.9V304.1z"],
    "bridge": [576, 512, [], "e4c8", "M568 32C572.4 32 576 35.58 576 40C576 44.42 572.4 48 568 48H488V144H568C572.4 144 576 147.6 576 152C576 156.4 572.4 160 568 160H8C3.582 160 0 156.4 0 152C0 147.6 3.582 144 8 144H88V48H8C3.582 48 0 44.42 0 40C0 35.58 3.582 32 8 32H568zM472 48H360V144H472V48zM232 48V144H344V48H232zM216 48H104V144H216V48zM32 256C80.6 256 120 295.4 120 344V440C120 453.3 130.7 464 144 464H176C189.3 464 200 453.3 200 440V344C200 295.4 239.4 256 288 256C336.6 256 376 295.4 376 344V440C376 453.3 386.7 464 400 464H432C445.3 464 456 453.3 456 440V344C456 295.4 495.4 256 544 256H568C572.4 256 576 259.6 576 264C576 268.4 572.4 272 568 272H544C504.2 272 472 304.2 472 344V440C472 462.1 454.1 480 432 480H400C377.9 480 360 462.1 360 440V344C360 304.2 327.8 272 288 272C248.2 272 216 304.2 216 344V440C216 462.1 198.1 480 176 480H144C121.9 480 104 462.1 104 440V344C104 304.2 71.76 272 32 272H8C3.582 272 0 268.4 0 264C0 259.6 3.582 256 8 256H32z"],
    "bridge-circle-check": [640, 512, [], "e4c9", "M600 32C604.4 32 608 35.58 608 40C608 44.42 604.4 48 600 48H520V144H600C604.4 144 608 147.6 608 152C608 156.4 604.4 160 600 160H40C35.58 160 32 156.4 32 152C32 147.6 35.58 144 40 144H120V48H40C35.58 48 32 44.42 32 40C32 35.58 35.58 32 40 32H600zM504 48H392V144H504V48zM264 48V144H376V48H264zM248 48H136V144H248V48zM64 256C112.6 256 152 295.4 152 344V440C152 453.3 162.7 464 176 464H208C221.3 464 232 453.3 232 440V344C232 295.4 271.4 256 320 256C332.3 256 344 258.5 354.7 263.1C351.4 267.5 348.4 271.1 345.5 276.7C337.6 273.6 328.1 272 320 272C280.2 272 248 304.2 248 344V440C248 462.1 230.1 480 208 480H176C153.9 480 136 462.1 136 440V344C136 304.2 103.8 272 64 272H40C35.58 272 32 268.4 32 264C32 259.6 35.58 256 40 256L64 256zM565.7 322.3C568.8 325.5 568.8 330.5 565.7 333.7L485.7 413.7C482.5 416.8 477.5 416.8 474.3 413.7L426.3 365.7C423.2 362.5 423.2 357.5 426.3 354.3C429.5 351.2 434.5 351.2 437.7 354.3L480 396.7L554.3 322.3C557.5 319.2 562.5 319.2 565.7 322.3H565.7zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 496C566.7 496 624 438.7 624 368C624 297.3 566.7 240 496 240C425.3 240 368 297.3 368 368C368 438.7 425.3 496 496 496z"],
    "bridge-circle-exclamation": [640, 512, [], "e4ca", "M600 32C604.4 32 608 35.58 608 40C608 44.42 604.4 48 600 48H520V144H600C604.4 144 608 147.6 608 152C608 156.4 604.4 160 600 160H40C35.58 160 32 156.4 32 152C32 147.6 35.58 144 40 144H120V48H40C35.58 48 32 44.42 32 40C32 35.58 35.58 32 40 32H600zM504 48H392V144H504V48zM264 48V144H376V48H264zM248 48H136V144H248V48zM64 256C112.6 256 152 295.4 152 344V440C152 453.3 162.7 464 176 464H208C221.3 464 232 453.3 232 440V344C232 295.4 271.4 256 320 256C332.3 256 344 258.5 354.7 263.1C351.4 267.5 348.4 271.1 345.5 276.7C337.6 273.6 328.1 272 320 272C280.2 272 248 304.2 248 344V440C248 462.1 230.1 480 208 480H176C153.9 480 136 462.1 136 440V344C136 304.2 103.8 272 64 272H40C35.58 272 32 268.4 32 264C32 259.6 35.58 256 40 256L64 256zM480 432C480 423.2 487.2 416 496 416C504.8 416 512 423.2 512 432C512 440.8 504.8 448 496 448C487.2 448 480 440.8 480 432zM495.1 280C500.4 280 503.1 283.6 503.1 288V384C503.1 388.4 500.4 392 495.1 392C491.6 392 487.1 388.4 487.1 384V288C487.1 283.6 491.6 280 495.1 280zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 240C425.3 240 368 297.3 368 368C368 438.7 425.3 496 496 496C566.7 496 624 438.7 624 368C624 297.3 566.7 240 496 240z"],
    "bridge-circle-xmark": [640, 512, [], "e4cb", "M600 32C604.4 32 608 35.58 608 40C608 44.42 604.4 48 600 48H520V144H600C604.4 144 608 147.6 608 152C608 156.4 604.4 160 600 160H40C35.58 160 32 156.4 32 152C32 147.6 35.58 144 40 144H120V48H40C35.58 48 32 44.42 32 40C32 35.58 35.58 32 40 32H600zM504 48H392V144H504V48zM264 48V144H376V48H264zM248 48H136V144H248V48zM64 256C112.6 256 152 295.4 152 344V440C152 453.3 162.7 464 176 464H208C221.3 464 232 453.3 232 440V344C232 295.4 271.4 256 320 256C332.3 256 344 258.5 354.7 263.1C351.4 267.5 348.4 271.1 345.5 276.7C337.6 273.6 328.1 272 320 272C280.2 272 248 304.2 248 344V440C248 462.1 230.1 480 208 480H176C153.9 480 136 462.1 136 440V344C136 304.2 103.8 272 64 272H40C35.58 272 32 268.4 32 264C32 259.6 35.58 256 40 256L64 256zM507.3 368L557.7 418.3C560.8 421.5 560.8 426.5 557.7 429.7C554.5 432.8 549.5 432.8 546.3 429.7L496 379.3L445.7 429.7C442.5 432.8 437.5 432.8 434.3 429.7C431.2 426.5 431.2 421.5 434.3 418.3L484.7 368L434.3 317.7C431.2 314.5 431.2 309.5 434.3 306.3C437.5 303.2 442.5 303.2 445.7 306.3L496 356.7L546.3 306.3C549.5 303.2 554.5 303.2 557.7 306.3C560.8 309.5 560.8 314.5 557.7 317.7L507.3 368zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 240C425.3 240 368 297.3 368 368C368 438.7 425.3 496 496 496C566.7 496 624 438.7 624 368C624 297.3 566.7 240 496 240z"],
    "bridge-lock": [640, 512, [], "e4cc", "M600 32C604.4 32 608 35.58 608 40C608 44.42 604.4 48 600 48H520V144H600C604.4 144 608 147.6 608 152C608 156.4 604.4 160 600 160H40C35.58 160 32 156.4 32 152C32 147.6 35.58 144 40 144H120V48H40C35.58 48 32 44.42 32 40C32 35.58 35.58 32 40 32H600zM504 48H392V144H504V48zM264 48V144H376V48H264zM248 48H136V144H248V48zM320 272C280.2 272 248 304.2 248 344V440C248 462.1 230.1 480 208 480H176C153.9 480 136 462.1 136 440V344C136 304.2 103.8 272 64 272H40C35.58 272 32 268.4 32 264C32 259.6 35.58 256 40 256H64C112.6 256 152 295.4 152 344V440C152 453.3 162.7 464 176 464H208C221.3 464 232 453.3 232 440V344C232 295.4 271.4 256 320 256C356.1 256 387.1 277.8 400.7 308.9C396.2 313.8 392.4 319.5 389.6 325.7C381.5 294.8 353.4 272 320 272zM528 192C563.3 192 592 220.7 592 256V320H608C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320H464V256C464 220.7 492.7 192 528 192zM528 208C501.5 208 480 229.5 480 256V320H576V256C576 229.5 554.5 208 528 208zM432 352V480C432 488.8 439.2 496 448 496H608C616.8 496 624 488.8 624 480V352C624 343.2 616.8 336 608 336H448C439.2 336 432 343.2 432 352z"],
    "bridge-suspension": [640, 512, [], "e4cd", "M128 0C131.2 0 133.1 1.871 135.2 4.578L141.9 17.94C175.6 85.39 244.6 128 320 128C395.4 128 464.4 85.39 498.1 17.94L504.8 4.577C506.1 1.871 508.8 0 512 0C515.6 0 518.6 2.373 519.6 5.64C527.2 28.34 542.6 53.35 561.1 75.05C581.4 96.83 604.5 114.7 626.1 123.6C631.1 125.2 633.1 129.9 631.4 134C629.8 138.1 625.2 140.1 621 138.5C595.5 128.4 570.6 108.7 550 85.71C538.6 72.86 528.3 58.79 520 44.47V256H632C636.4 256 640 259.6 640 264C640 268.4 636.4 272 632 272H8C3.582 272 0 268.4 0 264C0 259.6 3.582 256 8 256H120V44.47C111.7 58.79 101.4 72.86 89.97 85.71C69.43 108.7 44.45 128.4 18.95 138.5C14.84 140.1 10.19 138.1 8.564 134C6.935 129.9 8.942 125.2 13.05 123.6C35.55 114.7 58.57 96.83 78.03 75.05C97.43 53.35 112.8 28.34 120.4 5.641C121.4 2.374 124.4 .0003 128 .0003L128 0zM136 256H216V120C216 119.1 216.1 118.2 216.4 117.4C183.7 99.47 155.8 73.08 136 40.32V256zM232 256H312V144L312 143.9C283.9 142.8 256.8 136.3 232 125.2V256zM328 256H408V125.2C383.2 136.3 356.1 142.8 328 143.9L328 144V256zM424 256H504V40.32C484.2 73.08 456.3 99.47 423.6 117.4C423.8 118.2 424 119.1 424 120V256zM32 336C80.6 336 120 375.4 120 424V472C120 485.3 130.7 496 144 496H176C189.3 496 200 485.3 200 472V456C200 389.7 253.7 336 320 336C386.3 336 440 389.7 440 456V472C440 485.3 450.7 496 464 496H496C509.3 496 520 485.3 520 472V424C520 375.4 559.4 336 608 336H632C636.4 336 640 339.6 640 344C640 348.4 636.4 352 632 352H608C568.2 352 536 384.2 536 424V472C536 494.1 518.1 512 496 512H464C441.9 512 424 494.1 424 472V456C424 398.6 377.4 352 320 352C262.6 352 216 398.6 216 456V472C216 494.1 198.1 512 176 512H144C121.9 512 104 494.1 104 472V424C104 384.2 71.76 352 32 352H8C3.582 352 0 348.4 0 344C0 339.6 3.582 336 8 336H32z"],
    "bridge-water": [576, 512, [], "e4ce", "M544 80H32C23.16 80 16 87.16 16 96V163.6C16 170.4 21.57 176 28.44 176C74.59 176 112 213.4 112 259.6V354.5C106.8 353.1 101.4 352.4 96 352.5V259.6C96 222.2 65.75 192 28.44 192C12.74 192 .0003 179.3 .0003 163.6V96C.0003 78.33 14.33 64 32 64H544C561.7 64 576 78.33 576 96V163.6C576 179.3 563.3 192 547.6 192C510.2 192 480 222.2 480 259.6V352.5C474.6 352.5 469.3 353.1 464 354.5V259.6C464 213.4 501.4 176 547.6 176C554.4 176 560 170.4 560 163.6V96C560 87.16 552.8 80 544 80V80zM192 384.5V272C192 218.1 234.1 176 288 176C341 176 384 218.1 384 272V384.5C378.8 384.5 373.4 383.9 368 382.8V272C368 227.8 332.2 192 288 192C243.8 192 208 227.8 208 272V382.9C202.7 383.9 197.4 384.5 192 384.5V384.5zM294.6 403.4C302.6 414.6 312.1 424.9 322.2 434.1C339.5 449.8 361.5 464 384 464C406.5 464 428.6 449.8 445.8 434.1C455.1 424.9 465.5 414.6 473.5 403.4C474.1 401.3 477.4 400 480 400C482.6 400 485.1 401.3 486.6 403.4C493.9 413.7 502.5 423 511.6 431.7C527.3 446.5 547.7 460.9 569 463.6C573.4 464.1 576.5 468.1 575.9 472.5C575.4 476.9 571.4 479.1 567 479.4C540.5 476.1 516.1 458.7 500.6 443.3C491.8 434.1 484.7 426.9 480 421.1C474.8 427.5 466.8 436.7 456.6 445.9C438.7 462.2 412.7 480 384 480C355.3 480 329.4 462.2 311.4 445.9C301.3 436.7 293.2 427.5 288 421.1L288 421.1L287.1 421.1C282.8 427.5 274.7 436.7 264.6 445.9C246.6 462.2 220.7 480 191.1 480C163.3 480 137.4 462.2 119.4 445.9C109.2 436.7 101.2 427.5 95.98 421.1C91.29 426.9 84.23 434.1 75.4 443.3C59.03 458.7 35.48 476.1 9.001 479.4C4.617 479.1 .616 476.9 .0637 472.5C-.4887 468.1 2.617 464.1 7.001 463.6C28.3 460.9 48.74 446.5 64.42 431.7C73.56 423 82.16 413.7 89.43 403.4C90.93 401.3 93.37 400 95.98 400C98.59 400 101 401.3 102.5 403.4C110.5 414.6 120 424.9 130.2 434.1C147.4 449.8 169.5 464 191.1 464C214.5 464 236.6 449.8 253.8 434.1C263.9 424.9 273.4 414.6 281.4 403.4C284.4 399.1 291.6 399.1 294.6 403.4H294.6z"],
    "briefcase": [512, 512, [128188], "f0b1", "M464 96H384V40C384 17.94 366.1 0 344 0h-176C145.9 0 128 17.94 128 40V96H48C21.49 96 0 117.5 0 144v288C0 458.5 21.49 480 48 480h416c26.51 0 48-21.49 48-48v-288C512 117.5 490.5 96 464 96zM144 40c0-13.22 10.78-24 24-24h176c13.22 0 24 10.78 24 24V96h-224V40zM496 432c0 17.64-14.36 32-32 32h-416c-17.64 0-32-14.36-32-32v-160h160v56C176 341.2 186.8 352 200 352h112c13.22 0 24-10.78 24-24V272h160V432zM320 272v56c0 4.406-3.594 8-8 8h-112C195.6 336 192 332.4 192 328V272H320zM16 256V144c0-17.64 14.36-32 32-32h416c17.64 0 32 14.36 32 32V256H16z"],
    "briefcase-arrow-right": [512, 512, [], "e2f2", "M464 96H384V40C384 17.94 366.1 0 344 0h-176C145.9 0 128 17.94 128 40V96H48C21.49 96 0 117.5 0 144v288C0 458.5 21.49 480 48 480h416c26.51 0 48-21.49 48-48v-288C512 117.5 490.5 96 464 96zM144 40c0-13.22 10.78-24 24-24h176c13.22 0 24 10.78 24 24V96h-224V40zM496 432c0 17.64-14.36 32-32 32h-416c-17.64 0-32-14.36-32-32v-288c0-17.64 14.36-32 32-32h416c17.64 0 32 14.36 32 32V432zM279.3 194.3c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31L342.3 280H150.4c-4.407 0-8 3.578-8 8s3.593 8 8 8h191.9l-74.34 74.34c-3.125 3.125-3.125 8.188 0 11.31C269.5 383.2 271.5 384 273.6 384s4.094-.7813 5.656-2.344l88-88c3.125-3.125 3.125-8.188 0-11.31L279.3 194.3z"],
    "briefcase-blank": [512, 512, [], "e0c8", "M464 96H384V40C384 17.94 366.1 0 344 0h-176C145.9 0 128 17.94 128 40V96H48C21.49 96 0 117.5 0 144v288C0 458.5 21.49 480 48 480h416c26.51 0 48-21.49 48-48v-288C512 117.5 490.5 96 464 96zM144 40c0-13.22 10.78-24 24-24h176c13.22 0 24 10.78 24 24V96h-224V40zM496 432c0 17.64-14.36 32-32 32h-416c-17.64 0-32-14.36-32-32v-288c0-17.64 14.36-32 32-32h416c17.64 0 32 14.36 32 32V432z"],
    "briefcase-medical": [512, 512, [], "f469", "M464 96H384V40C384 17.94 366.1 0 344 0h-176C145.9 0 128 17.94 128 40V96H48C21.49 96 0 117.5 0 144v288C0 458.5 21.49 480 48 480h416c26.51 0 48-21.49 48-48v-288C512 117.5 490.5 96 464 96zM144 40c0-13.22 10.78-24 24-24h176c13.22 0 24 10.78 24 24V96h-224V40zM496 432c0 17.64-14.36 32-32 32h-416c-17.64 0-32-14.36-32-32v-288c0-17.64 14.36-32 32-32h416c17.64 0 32 14.36 32 32V432zM344 247.1h-48v-48c0-8.836-7.164-16-16-16h-48c-8.836 0-16 7.164-16 16v48h-48c-8.836 0-16 7.164-16 16v48c0 8.836 7.164 16 16 16h48v48c0 8.836 7.164 16 16 16h48c8.836 0 16-7.164 16-16v-48h48c8.836 0 16-7.164 16-16v-48C360 255.1 352.8 247.1 344 247.1zM344 311.1h-64v64h-48v-64h-64v-48h64v-64h48v64h64V311.1z"],
    "brightness": [512, 512, [], "e0c9", "M248 8C248 3.582 251.6 0 256 0C260.4 0 264 3.582 264 8V104C264 108.4 260.4 112 256 112C251.6 112 248 108.4 248 104V8zM160 256C160 202.1 202.1 160 256 160C309 160 352 202.1 352 256C352 309 309 352 256 352C202.1 352 160 309 160 256zM256 336C300.2 336 336 300.2 336 256C336 211.8 300.2 176 256 176C211.8 176 176 211.8 176 256C176 300.2 211.8 336 256 336zM256 512C251.6 512 248 508.4 248 504V408C248 403.6 251.6 400 256 400C260.4 400 264 403.6 264 408V504C264 508.4 260.4 512 256 512zM0 256C0 251.6 3.582 248 8 248H104C108.4 248 112 251.6 112 256C112 260.4 108.4 264 104 264H8C3.582 264 0 260.4 0 256zM504 248C508.4 248 512 251.6 512 256C512 260.4 508.4 264 504 264H408C403.6 264 400 260.4 400 256C400 251.6 403.6 248 408 248H504zM74.98 437C71.86 433.9 71.86 428.8 74.98 425.7L142.9 357.8C145.1 354.7 151.1 354.7 154.2 357.8C157.3 360.9 157.3 366 154.2 369.1L86.29 437C83.17 440.1 78.1 440.1 74.98 437V437zM425.7 74.98C428.8 71.86 433.9 71.86 437 74.98C440.1 78.1 440.1 83.17 437 86.29L369.1 154.2C366 157.3 360.9 157.3 357.8 154.2C354.7 151.1 354.7 145.1 357.8 142.9L425.7 74.98zM74.98 74.98C78.1 71.86 83.17 71.86 86.29 74.98L154.2 142.9C157.3 145.1 157.3 151.1 154.2 154.2C151.1 157.3 145.1 157.3 142.9 154.2L74.98 86.29C71.86 83.17 71.86 78.1 74.98 74.98V74.98zM437 425.7C440.1 428.8 440.1 433.9 437 437C433.9 440.1 428.8 440.1 425.7 437L357.8 369.1C354.7 366 354.7 360.9 357.8 357.8C360.9 354.7 366 354.7 369.1 357.8L437 425.7z"],
    "brightness-low": [448, 512, [], "e0ca", "M240 80C240 88.84 232.8 96 224 96C215.2 96 208 88.84 208 80C208 71.16 215.2 64 224 64C232.8 64 240 71.16 240 80zM128 256C128 202.1 170.1 160 224 160C277 160 320 202.1 320 256C320 309 277 352 224 352C170.1 352 128 309 128 256zM224 336C268.2 336 304 300.2 304 256C304 211.8 268.2 176 224 176C179.8 176 144 211.8 144 256C144 300.2 179.8 336 224 336zM208 432C208 423.2 215.2 416 224 416C232.8 416 240 423.2 240 432C240 440.8 232.8 448 224 448C215.2 448 208 440.8 208 432zM400 272C391.2 272 384 264.8 384 256C384 247.2 391.2 240 400 240C408.8 240 416 247.2 416 256C416 264.8 408.8 272 400 272zM48 240C56.84 240 64 247.2 64 256C64 264.8 56.84 272 48 272C39.16 272 32 264.8 32 256C32 247.2 39.16 240 48 240zM112 128C112 136.8 104.8 144 96 144C87.16 144 80 136.8 80 128C80 119.2 87.16 112 96 112C104.8 112 112 119.2 112 128zM352 400C343.2 400 336 392.8 336 384C336 375.2 343.2 368 352 368C360.8 368 368 375.2 368 384C368 392.8 360.8 400 352 400zM368 128C368 136.8 360.8 144 352 144C343.2 144 336 136.8 336 128C336 119.2 343.2 112 352 112C360.8 112 368 119.2 368 128zM96 368C104.8 368 112 375.2 112 384C112 392.8 104.8 400 96 400C87.16 400 80 392.8 80 384C80 375.2 87.16 368 96 368z"],
    "bring-forward": [512, 512, [], "f856", "M224 496H448C474.5 496 496 474.5 496 448V224C496 197.5 474.5 176 448 176H392C387.6 176 384 172.4 384 168C384 163.6 387.6 160 392 160H448C483.3 160 512 188.7 512 224V448C512 483.3 483.3 512 448 512H224C188.7 512 160 483.3 160 448V392C160 387.6 163.6 384 168 384C172.4 384 176 387.6 176 392V448C176 474.5 197.5 496 224 496zM288 256C288 273.7 273.7 288 256 288H96C78.33 288 64 273.7 64 256V96C64 78.33 78.33 64 96 64H256C273.7 64 288 78.33 288 96V256zM272 96C272 87.16 264.8 80 256 80H96C87.16 80 80 87.16 80 96V256C80 264.8 87.16 272 96 272H256C264.8 272 272 264.8 272 256V96zM64 352C28.65 352 0 323.3 0 288V64C0 28.65 28.65 0 64 0H288C323.3 0 352 28.65 352 64V288C352 323.3 323.3 352 288 352H64zM288 336C314.5 336 336 314.5 336 288V64C336 37.49 314.5 16 288 16H64C37.49 16 16 37.49 16 64V288C16 314.5 37.49 336 64 336H288z"],
    "bring-front": [640, 512, [], "f857", "M16 64V192C16 218.5 37.49 240 64 240H120C124.4 240 128 243.6 128 248C128 252.4 124.4 256 120 256H64C28.65 256 0 227.3 0 192V64C0 28.65 28.65 0 64 0H192C224.6 0 251.6 24.44 255.5 56.02C256.1 60.4 252.4 64 248 64C243.6 64 240.1 60.39 239.3 56.03C235.5 33.32 215.8 16 192 16H64C37.49 16 16 37.49 16 64zM448 512C415.4 512 388.4 487.6 384.5 455.1C383.9 451.6 387.6 448 392 448C396.4 448 399.9 451.6 400.7 455.1C404.5 478.7 424.2 496 448 496H576C602.5 496 624 474.5 624 448V320C624 293.5 602.5 272 576 272H520C515.6 272 512 268.4 512 264C512 259.6 515.6 256 520 256H576C611.3 256 640 284.7 640 320V448C640 483.3 611.3 512 576 512H448zM224 192C224 174.3 238.3 160 256 160H384C401.7 160 416 174.3 416 192V320C416 337.7 401.7 352 384 352H256C238.3 352 224 337.7 224 320V192zM240 192V320C240 328.8 247.2 336 256 336H384C392.8 336 400 328.8 400 320V192C400 183.2 392.8 176 384 176H256C247.2 176 240 183.2 240 192zM416 96C451.3 96 480 124.7 480 160V352C480 387.3 451.3 416 416 416H224C188.7 416 160 387.3 160 352V160C160 124.7 188.7 96 224 96H416zM416 112H224C197.5 112 176 133.5 176 160V352C176 378.5 197.5 400 224 400H416C442.5 400 464 378.5 464 352V160C464 133.5 442.5 112 416 112z"],
    "broccoli": [512, 512, [129382], "e3e2", "M443.9 158.3c4.031-8.844 6.125-18.39 6.125-28.12c0-38.09-31.41-69.09-69.1-69.09c-9.906 0-19.66 2.094-28.66 6.141C337.5 27.17 299.7 0 256 0S174.5 27.17 160.7 67.23C151.7 63.19 141.9 61.09 132 61.09c-38.59 0-70 31-70 69.09c0 9.734 2.094 19.28 6.125 28.12C27.53 171.1 0 209.3 0 252.4C0 307.3 45.31 352 101 352h7.186C179.3 438 177.6 512 192 512c4.837 0 7.992-4.013 7.992-7.988c0-2.662-15.27-77.85-71.49-152h67.88C244 414.7 242.6 448 256 448c13.29 0 12.23-33.61 59.62-96h67.87c-56.12 73.99-71.48 149.4-71.48 152C312 507.1 315.2 512 320 512c14.25 0 11.51-71.27 83.76-160H411C466.7 352 512 307.3 512 252.4C512 209.3 484.5 171.1 443.9 158.3zM256 421.2C240.1 388.4 225.7 365.8 216.1 352h79.76C286.3 365.8 271.9 388.4 256 421.2zM411 336h-310C54.13 336 16 298.5 16 252.4c0-39.02 27.06-72.44 65.78-81.28c3.54-.7987 6.225-3.963 6.225-7.78c0-5.504-10.01-13.08-10.01-33.11c0-29.28 24.22-53.09 54-53.09c20.53 0 27.9 9.867 33.6 9.867c3.596 0 6.908-2.491 7.773-6.18C182.3 42.64 216.3 16 256 16s73.66 26.64 82.63 64.78c.868 3.7 4.192 6.18 7.773 6.18c5.685 0 13.07-9.867 33.6-9.867c29.78 0 53.1 23.81 53.1 53.09c0 19.98-10.01 27.6-10.01 33.11c0 3.818 2.686 6.982 6.225 7.78C468.9 179.9 496 213.3 496 252.4C496 298.5 457.9 336 411 336z"],
    "broom": [640, 512, [129529], "f51a", "M329.9 340c-7.595 30.23-27.08 90.34-67.52 122.7c-48.55 38.68-205.8 33.91-244.1 31.99c1.622-9.029 4.524-24.4 8.642-42.9l90.79-107.7c4.118-4.905 4.43-11.68 .7488-16.9C113.1 322 107.5 319.9 101.6 322.2l-42.68 15.57c14.38-37.79 29.36-63.05 44.65-75.2c40.49-32.26 103.4-37.83 134.5-38.46c6.628-.1347 10.19-7.799 6.07-12.1c-1.54-1.945-3.847-3.081-6.326-3.04C204.7 208.6 138.2 214.5 93.6 250C73.82 265.7 55.13 298.9 38 348.5c-.9984 2.921-.2496 6.155 1.966 8.31c2.153 2.156 5.335 2.874 8.33 1.812l51.11-18.65l-86.83 103C11.76 443.1 11.17 445.1 10.89 446.4c-7.02 31.29-10.76 54.31-10.8 54.53c-.3432 2.234 .2496 4.499 1.654 6.264s3.463 2.843 5.71 2.999C10.39 510.4 36.29 512 71.36 512c65.14 0 161.9-5.655 200.1-36.8c44.55-35.61 65.17-99.12 73.15-131.3c.5987-2.408 .0137-4.913-1.529-6.856C339.8 331.8 331.5 333.6 329.9 340zM638.3 3.101c-2.714-3.515-7.738-4.124-11.2-1.406L380.3 193.9l-44.32-55.92c0-.0313 0 .0156 0 0c-3.994-4.936-9.906-7.357-16.49-6.733C313.2 132 307.8 135.9 305 141.8L281.3 193C280 195.7 280.4 198.1 282.3 201.3L363.8 304.1C365.3 306 367.6 307.1 370 307.1c.5616 0 1.123-.0625 1.654-.1718l55.13-11.75c6.24-1.281 11.26-5.608 13.45-11.59c2.184-6.014 1.154-12.61-2.839-17.67L390.3 206.4l246.7-192.1C640.4 11.61 641 6.585 638.3 3.101zM424.9 275.8c.6864 .8904 .5304 1.781 .3432 2.249c-.1872 .5311-.624 1.203-1.685 1.422l-50.36 10.73L297.9 195.3l21.59-46.71c.5304-1.062 1.435-1.328 1.934-1.39c.624-.1406 1.466 .0469 2.122 .8591L424.9 275.8z"],
    "broom-ball": [640, 512, ["quidditch", "quidditch-broom-ball"], "f458", "M264.3 212.9C262.9 211.2 260.9 210.1 258.6 209.9C254.4 209.6 154 203.6 93.94 251.4c-19.94 15.76-38.72 48.78-55.84 98.09c-.1 2.922-.25 6.156 1.937 8.327c2.187 2.156 5.406 2.875 8.375 1.812l51.12-18.62l-86.9 102.3c-.8437 .9843-1.437 2.156-1.719 3.422c-7.031 31.22-10.75 53.98-10.81 54.2c-.3437 2.234 .25 4.515 1.656 6.281c1.406 1.765 3.469 2.859 5.719 2.1C10.41 510.4 36.19 512 71.16 512c65.34 0 162.6-5.609 201.8-36.54c60.22-47.62 76.97-146.2 77.65-150.4c.3438-2.234-.25-4.515-1.656-6.296L264.3 212.9zM262.1 462.9c-48.53 38.37-206.2 33.68-245.6 31.81c1.625-8.984 4.562-24.17 8.656-42.56l91.03-107.1c4.094-4.859 4.406-11.61 .75-16.81c-3.625-5.187-9.1-7.312-16.09-5.062l-42.72 15.56c14.34-37.48 29.41-62.6 44.81-74.78c0-.0156 0 0 0 0C153.2 224.7 236.2 225.2 254.1 225.8l80.03 100.1C330.7 343.5 312.5 423.8 262.1 462.9zM495.1 351.1c-44.18 0-79.1 35.73-79.1 79.91s35.82 80.09 79.1 80.09c44.18 0 79.1-35.91 79.1-80.09S540.2 351.1 495.1 351.1zM495.1 495.9c-35.29 0-63.1-28.71-63.1-63.99s28.71-63.99 63.1-63.99s63.1 28.71 63.1 63.99S531.3 495.9 495.1 495.9zM638.4 11.18c-2.625-3.531-7.656-4.203-11.22-1.609L380.1 194.9l-46.31-58c-4.094-5.046-10.44-7.484-16.81-6.828c-6.469 .7656-11.1 4.734-14.81 10.64L277.4 193.6c-1.875 3.1-.1562 8.765 3.875 10.64c4.062 1.953 8.75 .1562 10.62-3.859l24.72-52.87c.5937-1.203 1.656-1.5 2.219-1.578c.7187-.0469 1.687 0 2.469 .953l105.2 131.7c.7813 .9843 .6562 1.953 .4375 2.578c-.1875 .5156-.7187 1.437-2.031 1.703l-57.28 11.98c-4.344 .9062-7.125 5.14-6.219 9.468c.8125 3.765 4.125 6.359 7.844 6.359c.5312 0 1.094-.0469 1.625-.1719l57.25-11.97c6.406-1.312 11.59-5.75 13.84-11.89c2.219-6.14 1.125-12.87-2.969-18.01l-48.9-61.24l246.7-185C640.3 19.73 641.1 14.71 638.4 11.18z"],
    "browser": [512, 512, [128468], "f37e", "M0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM128 144H496V96C496 69.49 474.5 48 448 48H128V144zM112 48H64C37.49 48 16 69.49 16 96V144H112V48zM16 160V416C16 442.5 37.49 464 64 464H448C474.5 464 496 442.5 496 416V160H16z"],
    "browsers": [576, 512, [], "e0cb", "M512 0C547.3 0 576 28.65 576 64V352C576 387.3 547.3 416 512 416H160C124.7 416 96 387.3 96 352V64C96 28.65 124.7 0 160 0H512zM512 16H200V96H560V64C560 37.49 538.5 16 512 16zM112 64V96H184V16H160C133.5 16 112 37.49 112 64zM160 400H512C538.5 400 560 378.5 560 352V112H112V352C112 378.5 133.5 400 160 400zM16 392C16 449.4 62.56 496 120 496H472C476.4 496 480 499.6 480 504C480 508.4 476.4 512 472 512H120C53.73 512 0 458.3 0 392V104C0 99.58 3.582 96 8 96C12.42 96 16 99.58 16 104V392z"],
    "brush": [384, 512, [], "f55d", "M208 448C208 456.8 200.8 464 192 464C183.2 464 176 456.8 176 448C176 439.2 183.2 432 192 432C200.8 432 208 439.2 208 448zM0 288V64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V288C384 332.2 348.2 368 304 368H256V448C256 483.3 227.3 512 192 512C156.7 512 128 483.3 128 448V368H80C35.82 368 0 332.2 0 288zM304 352C339.3 352 368 323.3 368 288V272H16V288C16 323.3 44.65 352 80 352H144V448C144 474.5 165.5 496 192 496C218.5 496 240 474.5 240 448V352H304zM368 64C368 37.49 346.5 16 320 16H272V104C272 108.4 268.4 112 264 112C259.6 112 256 108.4 256 104V16H192V88C192 92.42 188.4 96 184 96C179.6 96 176 92.42 176 88V16H96V120C96 124.4 92.42 128 88 128C83.58 128 80 124.4 80 120V16H64C37.49 16 16 37.49 16 64V256H368V64z"],
    "bucket": [448, 512, [], "e4cf", "M80 160C80 164.4 76.42 168 72 168C67.58 168 64 164.4 64 160V136C64 60.89 124.9 0 200 0H248C323.1 0 384 60.89 384 136V152C384 156.4 380.4 160 376 160C371.6 160 368 156.4 368 152V136C368 69.73 314.3 16 248 16H200C133.7 16 80 69.73 80 136V160zM.0003 200C.0003 195.6 3.582 192 8 192H440C444.4 192 448 195.6 448 200C448 204.4 444.4 208 440 208H422L389.3 469.1C386.3 493.1 365.8 512 341.6 512H106.4C82.17 512 61.75 493.1 58.74 469.1L26 208H8C3.582 208 0 204.4 0 200H.0003zM74.62 467.1C76.62 483.1 90.24 496 106.4 496H341.6C357.8 496 371.4 483.1 373.4 467.1L405.9 208H42.12L74.62 467.1z"],
    "bug": [512, 512, [], "f188", "M160 96C160 42.98 202.1 0 256 0C309 0 352 42.98 352 96V99.56C352 115.3 339.3 128 323.6 128H188.4C172.7 128 160 115.3 160 99.56V96zM256 16C211.8 16 176 51.82 176 96V99.56C176 106.4 181.6 112 188.4 112H323.6C330.4 112 336 106.4 336 99.56V96C336 51.82 300.2 16 256 16zM34.34 98.34C37.47 95.22 42.53 95.22 45.66 98.34L132.3 185C150.5 169.4 174.2 160 200 160H312C337.8 160 361.5 169.4 379.7 185L466.3 98.34C469.5 95.22 474.5 95.22 477.7 98.34C480.8 101.5 480.8 106.5 477.7 109.7L390.1 196.3C406.6 214.5 416 238.2 416 263.1V279.1H504C508.4 279.1 512 283.6 512 287.1C512 292.4 508.4 295.1 504 295.1H416V319.1C416 353.2 405.9 383.9 388.7 409.5C389 409.7 389.3 410 389.7 410.3L477.7 498.3C480.8 501.5 480.8 506.5 477.7 509.7C474.5 512.8 469.5 512.8 466.3 509.7L379 422.3C349.7 457.6 305.4 480 255.1 480C206.6 480 162.3 457.6 132.1 422.3L45.66 509.7C42.53 512.8 37.47 512.8 34.34 509.7C31.22 506.5 31.22 501.5 34.34 498.3L122.3 410.3C122.7 410 122.1 409.7 123.3 409.5C106.1 383.9 96 353.2 96 319.1V295.1H8C3.582 295.1 0 292.4 0 287.1C0 283.6 3.582 279.1 8 279.1H96V263.1C96 238.2 105.4 214.5 121 196.3L34.34 109.7C31.22 106.5 31.22 101.5 34.34 98.34H34.34zM264 232V463.8C339.8 459.6 400 396.8 400 320V264C400 215.4 360.6 176 312 176H200C151.4 176 112 215.4 112 264V320C112 396.8 172.2 459.6 248 463.8V232C248 227.6 251.6 224 256 224C260.4 224 264 227.6 264 232V232z"],
    "bug-slash": [640, 512, [], "e490", "M636.1 497.7C640.4 500.5 641 505.5 638.3 508.1C635.5 512.4 630.5 513 627 510.3L3.022 14.26C-.4365 11.51-1.012 6.481 1.738 3.022C4.487-.4365 9.52-1.012 12.98 1.738L636.1 497.7zM418.2 425.3L430.9 435.3C402.2 462.1 363.1 480 320 480C270.6 480 226.3 457.6 196.1 422.3L109.7 509.7C106.5 512.8 101.5 512.8 98.34 509.7C95.22 506.5 95.22 501.5 98.34 498.3L186.3 410.3C186.7 410 186.1 409.7 187.3 409.5C170.1 383.9 160 353.2 160 320V296H72C67.58 296 64 292.4 64 288C64 283.6 67.58 280 72 280H160V264C160 250.9 162.4 238.4 166.8 226.8L180.1 237.3C177.4 245.7 176 254.7 176 264V320C176 396.8 236.2 459.6 312 463.8V341.4L328 354.1V463.8C362.8 461.9 394.3 447.6 418.2 425.3zM387.6 128H274.1L253.8 112H387.6C394.4 112 400 106.4 400 99.56V96C400 51.82 364.2 16 320 16C275.8 16 240 51.82 240 96V99.56C240 100.1 240 100.7 240.1 101.2L224.3 88.69C228 39.09 269.4 .0006 320 .0006C373 .0006 416 42.98 416 96V99.56C416 115.3 403.3 128 387.6 128H387.6zM443.7 185L530.3 98.34C533.5 95.22 538.5 95.22 541.7 98.34C544.8 101.5 544.8 106.5 541.7 109.7L454.1 196.3C470.6 214.5 480 238.2 480 264V280H568C572.4 280 576 283.6 576 288C576 292.4 572.4 296 568 296H486.9L464 277.1V264C464 215.4 424.6 176 376 176H334.9L314.6 160H376C401.8 160 425.5 169.4 443.7 185L443.7 185z"],
    "bugs": [576, 512, [], "e4d0", "M189.1 143.1H219.1L240.8 100.4C242.8 96.47 247.6 94.86 251.6 96.84C255.5 98.82 257.1 103.6 255.2 107.6L231.2 155.6C229.8 158.3 227 159.1 224 159.1L192 159.1V219.4L243.1 249.1C246.1 250.3 247.6 252.4 247.9 254.9L255.9 310.9C256.5 315.2 253.5 319.3 249.1 319.9C244.8 320.5 240.7 317.5 240.1 313.1L232.6 261L190.7 237C184.7 266.1 158.9 287.1 128 287.1C97.12 287.1 71.35 266.1 65.33 237L23.37 261L15.92 313.1C15.3 317.5 11.24 320.5 6.871 319.9C2.497 319.3-.5424 315.2 .0826 310.9L8.083 254.9C8.432 252.4 9.89 250.3 12.03 249.1L64 219.4V159.1H32C28.97 159.1 26.2 158.3 24.85 155.6L.8464 107.6C-1.13 103.6 .4723 98.82 4.424 96.84C8.376 94.86 13.18 96.47 15.16 100.4L36.95 143.1H66.02C70.99 124.7 84.76 108.9 102.8 101.2L64.64 11.12C62.91 7.049 64.81 2.353 68.88 .6287C72.95-1.095 77.64 .8044 79.37 4.872L118.3 96.73C121.5 96.25 124.7 95.1 128 95.1C131.3 95.1 134.5 96.25 137.7 96.73L176.6 4.872C178.4 .8044 183.1-1.096 187.1 .6287C191.2 2.353 193.1 7.049 191.4 11.12L153.2 101.2C171.2 108.9 185 124.7 189.1 143.1H189.1zM80 224.1C80.07 250.6 101.5 271.1 128 271.1C154.5 271.1 175.9 250.6 176 224.1L176 159.1C176 133.5 154.5 111.1 128 111.1C101.5 111.1 80 133.5 80 159.1L80 224.1zM343.1 347L294.8 346.8L262.3 388.2C259.6 391.7 254.5 392.3 251.1 389.6C247.6 386.8 246.1 381.8 249.7 378.3L284.6 333.8C286.2 331.9 288.5 330.8 290.1 330.8L350.8 331L380.5 279.6L352.8 263.6C350.2 262.1 348.6 259.2 348.8 256.2L352 202.7C352.3 198.2 356.1 194.9 360.5 195.1C364.9 195.4 368.3 199.2 367.1 203.6L365.1 252.2L390.2 266.8C404.2 252.5 424 245.8 443.5 248.1L455.5 151C456 146.6 460 143.5 464.4 144.1C468.8 144.6 471.9 148.6 471.4 152.1L459.2 251.1C462.1 253.2 465.1 254.6 467.9 256.2C470.8 257.9 473.5 259.7 475.1 261.7L555.6 201.6C559.1 198.9 564.2 199.7 566.8 203.2C569.5 206.7 568.8 211.7 565.2 214.4L487.2 273.3C498.9 288.1 502.1 309.6 497.6 328.8L522.8 343.3L563.4 316.5C567.1 314 572.1 315 574.5 318.7C576.1 322.4 575.9 327.4 572.3 329.8L527.5 359.4C524.9 361 521.7 361.1 519.1 359.6L491.4 343.6L461.7 395L491.8 446.7C493.1 448.9 493.3 451.5 492.3 453.8L471.3 506.2C469.6 510.3 464.1 512.3 460.9 510.7C456.8 509 454.8 504.4 456.4 500.3L476 451.4L451.7 409.7C431.9 431.9 398.7 437.9 371.9 422.5C345.2 407 333.8 375.2 343.1 347H343.1zM477.5 335.6C490.7 312.7 482.9 283.3 459.9 270.1C436.1 256.8 407.6 264.7 394.4 287.6L362.3 343.1C349.1 366.1 356.1 395.4 379.9 408.6C402.8 421.9 432.1 414.1 445.4 391.2L477.5 335.6z"],
    "building": [384, 512, [61687, 127970], "f1ad", "M136 232C149.3 232 160 242.7 160 256V288C160 301.3 149.3 312 136 312H104C90.75 312 80 301.3 80 288V256C80 242.7 90.75 232 104 232H136zM96 288C96 292.4 99.58 296 104 296H136C140.4 296 144 292.4 144 288V256C144 251.6 140.4 248 136 248H104C99.58 248 96 251.6 96 256V288zM224 256C224 242.7 234.7 232 248 232H280C293.3 232 304 242.7 304 256V288C304 301.3 293.3 312 280 312H248C234.7 312 224 301.3 224 288V256zM248 248C243.6 248 240 251.6 240 256V288C240 292.4 243.6 296 248 296H280C284.4 296 288 292.4 288 288V256C288 251.6 284.4 248 280 248H248zM136 104C149.3 104 160 114.7 160 128V160C160 173.3 149.3 184 136 184H104C90.75 184 80 173.3 80 160V128C80 114.7 90.75 104 104 104H136zM96 160C96 164.4 99.58 168 104 168H136C140.4 168 144 164.4 144 160V128C144 123.6 140.4 120 136 120H104C99.58 120 96 123.6 96 128V160zM224 128C224 114.7 234.7 104 248 104H280C293.3 104 304 114.7 304 128V160C304 173.3 293.3 184 280 184H248C234.7 184 224 173.3 224 160V128zM248 120C243.6 120 240 123.6 240 128V160C240 164.4 243.6 168 248 168H280C284.4 168 288 164.4 288 160V128C288 123.6 284.4 120 280 120H248zM48 512C21.49 512 0 490.5 0 464V48C0 21.49 21.49 0 48 0H336C362.5 0 384 21.49 384 48V464C384 490.5 362.5 512 336 512H48zM16 48V464C16 481.7 30.33 496 48 496H144V416C144 389.5 165.5 368 192 368C218.5 368 240 389.5 240 416V496H336C353.7 496 368 481.7 368 464V48C368 30.33 353.7 16 336 16H48C30.33 16 16 30.33 16 48zM160 496H224V416C224 398.3 209.7 384 192 384C174.3 384 160 398.3 160 416V496z"],
    "building-circle-arrow-right": [640, 512, [], "e4d1", "M16 48V464C16 481.7 30.33 496 48 496H144V416C144 389.5 165.5 368 192 368C218.5 368 240 389.5 240 416V496H336C346.8 496 356.4 490.6 362.2 482.4C365.7 486.5 369.4 490.4 373.3 494.2C364.5 505.1 351.1 512 336 512H48C21.49 512 0 490.5 0 464V48C0 21.49 21.49 0 48 0H336C362.5 0 384 21.49 384 48V232.2C378.4 236.9 373 241.9 368 247.2V48C368 30.33 353.7 16 336 16H48C30.33 16 16 30.33 16 48V48zM224 496V416C224 398.3 209.7 384 192 384C174.3 384 160 398.3 160 416V496H224zM136 232C149.3 232 160 242.7 160 256V288C160 301.3 149.3 312 136 312H104C90.75 312 80 301.3 80 288V256C80 242.7 90.75 232 104 232H136zM96 288C96 292.4 99.58 296 104 296H136C140.4 296 144 292.4 144 288V256C144 251.6 140.4 248 136 248H104C99.58 248 96 251.6 96 256V288zM224 256C224 242.7 234.7 232 248 232H280C293.3 232 304 242.7 304 256V288C304 301.3 293.3 312 280 312H248C234.7 312 224 301.3 224 288V256zM248 248C243.6 248 240 251.6 240 256V288C240 292.4 243.6 296 248 296H280C284.4 296 288 292.4 288 288V256C288 251.6 284.4 248 280 248H248zM136 104C149.3 104 160 114.7 160 128V160C160 173.3 149.3 184 136 184H104C90.75 184 80 173.3 80 160V128C80 114.7 90.75 104 104 104H136zM96 160C96 164.4 99.58 168 104 168H136C140.4 168 144 164.4 144 160V128C144 123.6 140.4 120 136 120H104C99.58 120 96 123.6 96 128V160zM224 128C224 114.7 234.7 104 248 104H280C293.3 104 304 114.7 304 128V160C304 173.3 293.3 184 280 184H248C234.7 184 224 173.3 224 160V128zM248 120C243.6 120 240 123.6 240 128V160C240 164.4 243.6 168 248 168H280C284.4 168 288 164.4 288 160V128C288 123.6 284.4 120 280 120H248zM498.3 298.3C501.5 295.2 506.5 295.2 509.7 298.3L573.7 362.3C576.8 365.5 576.8 370.5 573.7 373.7L509.7 437.7C506.5 440.8 501.5 440.8 498.3 437.7C495.2 434.5 495.2 429.5 498.3 426.3L548.7 376H424C419.6 376 416 372.4 416 368C416 363.6 419.6 360 424 360H548.7L498.3 309.7C495.2 306.5 495.2 301.5 498.3 298.3V298.3zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 496C566.7 496 624 438.7 624 368C624 297.3 566.7 240 496 240C425.3 240 368 297.3 368 368C368 438.7 425.3 496 496 496z"],
    "building-circle-check": [640, 512, [], "e4d2", "M16 48V464C16 481.7 30.33 496 48 496H144V416C144 389.5 165.5 368 192 368C218.5 368 240 389.5 240 416V496H336C346.8 496 356.4 490.6 362.2 482.4C365.7 486.5 369.4 490.4 373.3 494.2C364.5 505.1 351.1 512 336 512H48C21.49 512 0 490.5 0 464V48C0 21.49 21.49 0 48 0H336C362.5 0 384 21.49 384 48V232.2C378.4 236.9 373 241.9 368 247.2V48C368 30.33 353.7 16 336 16H48C30.33 16 16 30.33 16 48V48zM224 496V416C224 398.3 209.7 384 192 384C174.3 384 160 398.3 160 416V496H224zM136 232C149.3 232 160 242.7 160 256V288C160 301.3 149.3 312 136 312H104C90.75 312 80 301.3 80 288V256C80 242.7 90.75 232 104 232H136zM96 288C96 292.4 99.58 296 104 296H136C140.4 296 144 292.4 144 288V256C144 251.6 140.4 248 136 248H104C99.58 248 96 251.6 96 256V288zM224 256C224 242.7 234.7 232 248 232H280C293.3 232 304 242.7 304 256V288C304 301.3 293.3 312 280 312H248C234.7 312 224 301.3 224 288V256zM248 248C243.6 248 240 251.6 240 256V288C240 292.4 243.6 296 248 296H280C284.4 296 288 292.4 288 288V256C288 251.6 284.4 248 280 248H248zM136 104C149.3 104 160 114.7 160 128V160C160 173.3 149.3 184 136 184H104C90.75 184 80 173.3 80 160V128C80 114.7 90.75 104 104 104H136zM96 160C96 164.4 99.58 168 104 168H136C140.4 168 144 164.4 144 160V128C144 123.6 140.4 120 136 120H104C99.58 120 96 123.6 96 128V160zM224 128C224 114.7 234.7 104 248 104H280C293.3 104 304 114.7 304 128V160C304 173.3 293.3 184 280 184H248C234.7 184 224 173.3 224 160V128zM248 120C243.6 120 240 123.6 240 128V160C240 164.4 243.6 168 248 168H280C284.4 168 288 164.4 288 160V128C288 123.6 284.4 120 280 120H248zM565.7 322.3C568.8 325.5 568.8 330.5 565.7 333.7L485.7 413.7C482.5 416.8 477.5 416.8 474.3 413.7L426.3 365.7C423.2 362.5 423.2 357.5 426.3 354.3C429.5 351.2 434.5 351.2 437.7 354.3L480 396.7L554.3 322.3C557.5 319.2 562.5 319.2 565.7 322.3H565.7zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 496C566.7 496 624 438.7 624 368C624 297.3 566.7 240 496 240C425.3 240 368 297.3 368 368C368 438.7 425.3 496 496 496z"],
    "building-circle-exclamation": [640, 512, [], "e4d3", "M16 48V464C16 481.7 30.33 496 48 496H144V416C144 389.5 165.5 368 192 368C218.5 368 240 389.5 240 416V496H336C346.8 496 356.4 490.6 362.2 482.4C365.7 486.5 369.4 490.4 373.3 494.2C364.5 505.1 351.1 512 336 512H48C21.49 512 0 490.5 0 464V48C0 21.49 21.49 0 48 0H336C362.5 0 384 21.49 384 48V232.2C378.4 236.9 373 241.9 368 247.2V48C368 30.33 353.7 16 336 16H48C30.33 16 16 30.33 16 48V48zM224 496V416C224 398.3 209.7 384 192 384C174.3 384 160 398.3 160 416V496H224zM136 232C149.3 232 160 242.7 160 256V288C160 301.3 149.3 312 136 312H104C90.75 312 80 301.3 80 288V256C80 242.7 90.75 232 104 232H136zM96 288C96 292.4 99.58 296 104 296H136C140.4 296 144 292.4 144 288V256C144 251.6 140.4 248 136 248H104C99.58 248 96 251.6 96 256V288zM224 256C224 242.7 234.7 232 248 232H280C293.3 232 304 242.7 304 256V288C304 301.3 293.3 312 280 312H248C234.7 312 224 301.3 224 288V256zM248 248C243.6 248 240 251.6 240 256V288C240 292.4 243.6 296 248 296H280C284.4 296 288 292.4 288 288V256C288 251.6 284.4 248 280 248H248zM136 104C149.3 104 160 114.7 160 128V160C160 173.3 149.3 184 136 184H104C90.75 184 80 173.3 80 160V128C80 114.7 90.75 104 104 104H136zM96 160C96 164.4 99.58 168 104 168H136C140.4 168 144 164.4 144 160V128C144 123.6 140.4 120 136 120H104C99.58 120 96 123.6 96 128V160zM224 128C224 114.7 234.7 104 248 104H280C293.3 104 304 114.7 304 128V160C304 173.3 293.3 184 280 184H248C234.7 184 224 173.3 224 160V128zM248 120C243.6 120 240 123.6 240 128V160C240 164.4 243.6 168 248 168H280C284.4 168 288 164.4 288 160V128C288 123.6 284.4 120 280 120H248zM480 432C480 423.2 487.2 416 496 416C504.8 416 512 423.2 512 432C512 440.8 504.8 448 496 448C487.2 448 480 440.8 480 432zM495.1 280C500.4 280 503.1 283.6 503.1 288V384C503.1 388.4 500.4 392 495.1 392C491.6 392 487.1 388.4 487.1 384V288C487.1 283.6 491.6 280 495.1 280zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 240C425.3 240 368 297.3 368 368C368 438.7 425.3 496 496 496C566.7 496 624 438.7 624 368C624 297.3 566.7 240 496 240z"],
    "building-circle-xmark": [640, 512, [], "e4d4", "M16 48V464C16 481.7 30.33 496 48 496H144V416C144 389.5 165.5 368 192 368C218.5 368 240 389.5 240 416V496H336C346.8 496 356.4 490.6 362.2 482.4C365.7 486.5 369.4 490.4 373.3 494.2C364.5 505.1 351.1 512 336 512H48C21.49 512 0 490.5 0 464V48C0 21.49 21.49 0 48 0H336C362.5 0 384 21.49 384 48V232.2C378.4 236.9 373 241.9 368 247.2V48C368 30.33 353.7 16 336 16H48C30.33 16 16 30.33 16 48V48zM224 496V416C224 398.3 209.7 384 192 384C174.3 384 160 398.3 160 416V496H224zM136 232C149.3 232 160 242.7 160 256V288C160 301.3 149.3 312 136 312H104C90.75 312 80 301.3 80 288V256C80 242.7 90.75 232 104 232H136zM96 288C96 292.4 99.58 296 104 296H136C140.4 296 144 292.4 144 288V256C144 251.6 140.4 248 136 248H104C99.58 248 96 251.6 96 256V288zM224 256C224 242.7 234.7 232 248 232H280C293.3 232 304 242.7 304 256V288C304 301.3 293.3 312 280 312H248C234.7 312 224 301.3 224 288V256zM248 248C243.6 248 240 251.6 240 256V288C240 292.4 243.6 296 248 296H280C284.4 296 288 292.4 288 288V256C288 251.6 284.4 248 280 248H248zM136 104C149.3 104 160 114.7 160 128V160C160 173.3 149.3 184 136 184H104C90.75 184 80 173.3 80 160V128C80 114.7 90.75 104 104 104H136zM96 160C96 164.4 99.58 168 104 168H136C140.4 168 144 164.4 144 160V128C144 123.6 140.4 120 136 120H104C99.58 120 96 123.6 96 128V160zM224 128C224 114.7 234.7 104 248 104H280C293.3 104 304 114.7 304 128V160C304 173.3 293.3 184 280 184H248C234.7 184 224 173.3 224 160V128zM248 120C243.6 120 240 123.6 240 128V160C240 164.4 243.6 168 248 168H280C284.4 168 288 164.4 288 160V128C288 123.6 284.4 120 280 120H248zM557.7 418.3C560.8 421.5 560.8 426.5 557.7 429.7C554.5 432.8 549.5 432.8 546.3 429.7L496 379.3L445.7 429.7C442.5 432.8 437.5 432.8 434.3 429.7C431.2 426.5 431.2 421.5 434.3 418.3L484.7 368L434.3 317.7C431.2 314.5 431.2 309.5 434.3 306.3C437.5 303.2 442.5 303.2 445.7 306.3L496 356.7L546.3 306.3C549.5 303.2 554.5 303.2 557.7 306.3C560.8 309.5 560.8 314.5 557.7 317.7L507.3 368L557.7 418.3zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 240C425.3 240 368 297.3 368 368C368 438.7 425.3 496 496 496C566.7 496 624 438.7 624 368C624 297.3 566.7 240 496 240z"],
    "building-columns": [512, 512, ["bank", "institution", "museum", "university"], "f19c", "M252.7 .709C254.8-.2363 257.2-.2363 259.3 .709L497.9 108.5C506.5 112.3 512 120.9 512 130.3V136C512 149.3 501.3 160 488 160H24C10.75 160 0 149.3 0 136V130.3C0 120.9 5.525 112.3 14.12 108.5L252.7 .709zM488 144C492.4 144 496 140.4 496 136V130.3C496 127.2 494.2 124.3 491.3 123L256 16.78L20.71 123C17.84 124.3 16 127.2 16 130.3V136C16 140.4 19.58 144 24 144H223.1C218.1 137.3 216 129 216 119.1C216 97.91 233.9 79.1 256 79.1C278.1 79.1 296 97.91 296 119.1C296 129 293 137.3 288 144H488zM256 144C269.3 144 280 133.3 280 119.1C280 106.7 269.3 95.1 256 95.1C242.7 95.1 232 106.7 232 119.1C232 133.3 242.7 144 256 144zM72 192C76.42 192 80 195.6 80 200V368H184V200C184 195.6 187.6 192 192 192C196.4 192 200 195.6 200 200V368H312V200C312 195.6 315.6 192 320 192C324.4 192 328 195.6 328 200V368H432V200C432 195.6 435.6 192 440 192C444.4 192 448 195.6 448 200V376C448 380.4 444.4 384 440 384H72C67.58 384 64 380.4 64 376V200C64 195.6 67.58 192 72 192zM32 440C32 435.6 35.58 432 40 432H472C476.4 432 480 435.6 480 440C480 444.4 476.4 448 472 448H40C35.58 448 32 444.4 32 440zM.0003 504C.0003 499.6 3.582 496 8 496H504C508.4 496 512 499.6 512 504C512 508.4 508.4 512 504 512H8C3.582 512 .0003 508.4 .0003 504z"],
    "building-flag": [640, 512, [], "e4d5", "M136 232C149.3 232 160 242.7 160 256V288C160 301.3 149.3 312 136 312H104C90.75 312 80 301.3 80 288V256C80 242.7 90.75 232 104 232H136zM96 288C96 292.4 99.58 296 104 296H136C140.4 296 144 292.4 144 288V256C144 251.6 140.4 248 136 248H104C99.58 248 96 251.6 96 256V288zM224 256C224 242.7 234.7 232 248 232H280C293.3 232 304 242.7 304 256V288C304 301.3 293.3 312 280 312H248C234.7 312 224 301.3 224 288V256zM248 248C243.6 248 240 251.6 240 256V288C240 292.4 243.6 296 248 296H280C284.4 296 288 292.4 288 288V256C288 251.6 284.4 248 280 248H248zM136 104C149.3 104 160 114.7 160 128V160C160 173.3 149.3 184 136 184H104C90.75 184 80 173.3 80 160V128C80 114.7 90.75 104 104 104H136zM96 160C96 164.4 99.58 168 104 168H136C140.4 168 144 164.4 144 160V128C144 123.6 140.4 120 136 120H104C99.58 120 96 123.6 96 128V160zM224 128C224 114.7 234.7 104 248 104H280C293.3 104 304 114.7 304 128V160C304 173.3 293.3 184 280 184H248C234.7 184 224 173.3 224 160V128zM248 120C243.6 120 240 123.6 240 128V160C240 164.4 243.6 168 248 168H280C284.4 168 288 164.4 288 160V128C288 123.6 284.4 120 280 120H248zM48 512C21.49 512 0 490.5 0 464V48C0 21.49 21.49 0 48 0H336C362.5 0 384 21.49 384 48V464C384 490.5 362.5 512 336 512H48zM16 48V464C16 481.7 30.33 496 48 496H144V416C144 389.5 165.5 368 192 368C218.5 368 240 389.5 240 416V496H336C353.7 496 368 481.7 368 464V48C368 30.33 353.7 16 336 16H48C30.33 16 16 30.33 16 48zM224 496V416C224 398.3 209.7 384 192 384C174.3 384 160 398.3 160 416V496H224zM424 0C428.4 0 432 3.582 432 8V32H616C629.3 32 640 42.75 640 56V184C640 197.3 629.3 208 616 208H432V504C432 508.4 428.4 512 424 512C419.6 512 416 508.4 416 504V8C416 3.582 419.6 0 424 0zM432 192H616C620.4 192 624 188.4 624 184V56C624 51.58 620.4 48 616 48H432V192z"],
    "building-lock": [576, 512, [], "e4d6", "M15.1 48V464C15.1 481.7 30.33 496 47.1 496H143.1V416C143.1 389.5 165.5 368 191.1 368C218.5 368 239.1 389.5 239.1 416V496H322C323.5 501.7 325.7 507 328.6 512H48C21.49 512 0 490.5 0 464V48C0 21.49 21.49 0 48 0H336C362.5 0 384 21.49 384 48V193.6C377.9 199.8 372.5 206.8 368 214.3V48C368 30.33 353.7 16 336 16H48C30.33 16 16 30.33 16 48H15.1zM223.1 496V416C223.1 398.3 209.7 384 191.1 384C174.3 384 159.1 398.3 159.1 416V496H223.1zM135.1 232C149.3 232 159.1 242.7 159.1 256V288C159.1 301.3 149.3 312 135.1 312H103.1C90.74 312 79.1 301.3 79.1 288V256C79.1 242.7 90.74 232 103.1 232H135.1zM95.1 288C95.1 292.4 99.58 296 103.1 296H135.1C140.4 296 143.1 292.4 143.1 288V256C143.1 251.6 140.4 248 135.1 248H103.1C99.58 248 95.1 251.6 95.1 256V288zM223.1 256C223.1 242.7 234.7 232 247.1 232H279.1C293.3 232 304 242.7 304 256V288C304 301.3 293.3 312 279.1 312H247.1C234.7 312 223.1 301.3 223.1 288V256zM247.1 248C243.6 248 239.1 251.6 239.1 256V288C239.1 292.4 243.6 296 247.1 296H279.1C284.4 296 287.1 292.4 287.1 288V256C287.1 251.6 284.4 248 279.1 248H247.1zM135.1 104C149.3 104 159.1 114.7 159.1 128V160C159.1 173.3 149.3 184 135.1 184H103.1C90.74 184 79.1 173.3 79.1 160V128C79.1 114.7 90.74 104 103.1 104H135.1zM95.1 160C95.1 164.4 99.58 168 103.1 168H135.1C140.4 168 143.1 164.4 143.1 160V128C143.1 123.6 140.4 120 135.1 120H103.1C99.58 120 95.1 123.6 95.1 128V160zM223.1 128C223.1 114.7 234.7 104 247.1 104H279.1C293.3 104 304 114.7 304 128V160C304 173.3 293.3 184 279.1 184H247.1C234.7 184 223.1 173.3 223.1 160V128zM247.1 120C243.6 120 239.1 123.6 239.1 128V160C239.1 164.4 243.6 168 247.1 168H279.1C284.4 168 287.1 164.4 287.1 160V128C287.1 123.6 284.4 120 279.1 120H247.1zM464 192C499.3 192 528 220.7 528 256V320H544C561.7 320 576 334.3 576 352V480C576 497.7 561.7 512 544 512H384C366.3 512 352 497.7 352 480V352C352 334.3 366.3 320 384 320H400V256C400 220.7 428.7 192 464 192zM464 208C437.5 208 416 229.5 416 256V320H512V256C512 229.5 490.5 208 464 208zM368 352V480C368 488.8 375.2 496 384 496H544C552.8 496 560 488.8 560 480V352C560 343.2 552.8 336 544 336H384C375.2 336 368 343.2 368 352z"],
    "building-ngo": [384, 512, [], "e4d7", "M136 232C149.3 232 160 242.7 160 256V288C160 301.3 149.3 312 136 312H104C90.75 312 80 301.3 80 288V256C80 242.7 90.75 232 104 232H136zM96 288C96 292.4 99.58 296 104 296H136C140.4 296 144 292.4 144 288V256C144 251.6 140.4 248 136 248H104C99.58 248 96 251.6 96 256V288zM224 256C224 242.7 234.7 232 248 232H280C293.3 232 304 242.7 304 256V288C304 301.3 293.3 312 280 312H248C234.7 312 224 301.3 224 288V256zM248 248C243.6 248 240 251.6 240 256V288C240 292.4 243.6 296 248 296H280C284.4 296 288 292.4 288 288V256C288 251.6 284.4 248 280 248H248zM216 56C220.4 56 224 59.58 224 64C224 68.42 220.4 72 216 72H176V152H208V128C208 123.6 211.6 120 216 120C220.4 120 224 123.6 224 128V152C224 160.8 216.8 168 208 168H176C167.2 168 160 160.8 160 152V72C160 63.16 167.2 56 176 56H216zM256 96C256 73.91 273.9 56 296 56C318.1 56 336 73.91 336 96V128C336 150.1 318.1 168 296 168C273.9 168 256 150.1 256 128V96zM296 72C282.7 72 272 82.75 272 96V128C272 141.3 282.7 152 296 152C309.3 152 320 141.3 320 128V96C320 82.75 309.3 72 296 72zM112 133.6V64C112 59.58 115.6 56 120 56C124.4 56 128 59.58 128 64V160C128 163.5 125.7 166.6 122.3 167.7C118.9 168.7 115.3 167.4 113.3 164.4L64 90.42V160C64 164.4 60.42 168 56 168C51.58 168 48 164.4 48 160V64C48 60.47 50.31 57.36 53.68 56.34C57.06 55.32 60.7 56.63 62.66 59.56L112 133.6zM48 512C21.49 512 0 490.5 0 464V48C0 21.49 21.49 0 48 0H336C362.5 0 384 21.49 384 48V464C384 490.5 362.5 512 336 512H48zM16 48V464C16 481.7 30.33 496 48 496H144V416C144 389.5 165.5 368 192 368C218.5 368 240 389.5 240 416V496H336C353.7 496 368 481.7 368 464V48C368 30.33 353.7 16 336 16H48C30.33 16 16 30.33 16 48zM224 496V416C224 398.3 209.7 384 192 384C174.3 384 160 398.3 160 416V496H224z"],
    "building-shield": [576, 512, [], "e4d8", "M15.1 48V464C15.1 481.7 30.33 496 47.1 496H143.1V416C143.1 389.5 165.5 368 191.1 368C218.5 368 239.1 389.5 239.1 416V496H336C337.3 496 338.7 495.9 339.1 495.8C344.7 500 349.7 504.1 354.9 508.1C349.1 510.6 342.7 512 336 512H48C21.49 512 0 490.5 0 464V48C0 21.49 21.49 0 48 0H336C362.5 0 384 21.49 384 48V207L368 213.4V48C368 30.33 353.7 16 336 16H48C30.33 16 16 30.33 16 48L15.1 48zM223.1 496V416C223.1 398.3 209.7 384 191.1 384C174.3 384 159.1 398.3 159.1 416V496H223.1zM279.1 232C287.6 232 294.4 235.6 298.8 241.1L291.2 244.2C288.2 245.4 285.3 246.8 282.7 248.5C281.8 248.2 280.9 248 279.1 248H247.1C243.6 248 239.1 251.6 239.1 256V288C239.1 292.4 243.6 296 247.1 296H256L255.1 296.2C255.1 301.2 256.1 306.5 256.5 312H247.1C234.7 312 223.1 301.3 223.1 288V256C223.1 242.7 234.7 232 247.1 232H279.1zM135.1 232C149.3 232 159.1 242.7 159.1 256V288C159.1 301.3 149.3 312 135.1 312H103.1C90.74 312 79.1 301.3 79.1 288V256C79.1 242.7 90.74 232 103.1 232H135.1zM95.1 288C95.1 292.4 99.58 296 103.1 296H135.1C140.4 296 143.1 292.4 143.1 288V256C143.1 251.6 140.4 248 135.1 248H103.1C99.58 248 95.1 251.6 95.1 256V288zM135.1 104C149.3 104 159.1 114.7 159.1 128V160C159.1 173.3 149.3 184 135.1 184H103.1C90.74 184 79.1 173.3 79.1 160V128C79.1 114.7 90.74 104 103.1 104H135.1zM95.1 160C95.1 164.4 99.58 168 103.1 168H135.1C140.4 168 143.1 164.4 143.1 160V128C143.1 123.6 140.4 120 135.1 120H103.1C99.58 120 95.1 123.6 95.1 128V160zM223.1 128C223.1 114.7 234.7 104 247.1 104H279.1C293.3 104 304 114.7 304 128V160C304 173.3 293.3 184 279.1 184H247.1C234.7 184 223.1 173.3 223.1 160V128zM247.1 120C243.6 120 239.1 123.6 239.1 128V160C239.1 164.4 243.6 168 247.1 168H279.1C284.4 168 287.1 164.4 287.1 160V128C287.1 123.6 284.4 120 279.1 120H247.1zM560.9 273.7C570 277.4 576 286.2 576 296C576 359.3 550.1 464.8 441.2 510.2C435.3 512.6 428.7 512.6 422.8 510.2C313.9 464.8 287.1 359.3 287.1 296C287.1 286.2 293.1 277.4 303.1 273.7L423.1 225.7C428.8 223.4 435.2 223.4 440.9 225.7L560.9 273.7zM304 296C304 355.3 327.9 450.4 424 493.3V242.6L309 288.6C305.1 289.8 304 292.7 304 296V296zM554.1 288.6L440 242.6V493.3C536.1 450.4 560 355.3 560 296C560 292.7 558 289.8 554.1 288.6z"],
    "building-un": [384, 512, [], "e4d9", "M136 232C149.3 232 160 242.7 160 256V288C160 301.3 149.3 312 136 312H104C90.75 312 80 301.3 80 288V256C80 242.7 90.75 232 104 232H136zM96 288C96 292.4 99.58 296 104 296H136C140.4 296 144 292.4 144 288V256C144 251.6 140.4 248 136 248H104C99.58 248 96 251.6 96 256V288zM224 256C224 242.7 234.7 232 248 232H280C293.3 232 304 242.7 304 256V288C304 301.3 293.3 312 280 312H248C234.7 312 224 301.3 224 288V256zM248 248C243.6 248 240 251.6 240 256V288C240 292.4 243.6 296 248 296H280C284.4 296 288 292.4 288 288V256C288 251.6 284.4 248 280 248H248zM280 133.6V64C280 59.58 283.6 56 288 56C292.4 56 296 59.58 296 64V160C296 163.5 293.7 166.6 290.3 167.7C286.9 168.7 283.3 167.4 281.3 164.4L232 90.42V160C232 164.4 228.4 168 224 168C219.6 168 216 164.4 216 160V64C216 60.47 218.3 57.36 221.7 56.34C225.1 55.32 228.7 56.63 230.7 59.56L280 133.6zM104 128C104 141.3 114.7 152 128 152C141.3 152 152 141.3 152 128V64C152 59.58 155.6 56 160 56C164.4 56 168 59.58 168 64V128C168 150.1 150.1 168 128 168C105.9 168 88 150.1 88 128V64C88 59.58 91.58 56 96 56C100.4 56 104 59.58 104 64V128zM48 512C21.49 512 0 490.5 0 464V48C0 21.49 21.49 0 48 0H336C362.5 0 384 21.49 384 48V464C384 490.5 362.5 512 336 512H48zM16 48V464C16 481.7 30.33 496 48 496H144V416C144 389.5 165.5 368 192 368C218.5 368 240 389.5 240 416V496H336C353.7 496 368 481.7 368 464V48C368 30.33 353.7 16 336 16H48C30.33 16 16 30.33 16 48zM224 496V416C224 398.3 209.7 384 192 384C174.3 384 160 398.3 160 416V496H224z"],
    "building-user": [640, 512, [], "e4da", "M16 48V464C16 481.7 30.33 496 48 496H144V416C144 389.5 165.5 368 192 368C218.5 368 240 389.5 240 416V496H322.8C324.4 501.7 326.9 507.1 329.9 512H48C21.49 512 0 490.5 0 464V48C0 21.49 21.49 0 48 0H336C362.5 0 384 21.49 384 48V367.8C378.4 370.9 373 374.5 368 378.4V48C368 30.33 353.7 16 336 16H48C30.33 16 16 30.33 16 48V48zM224 496V416C224 398.3 209.7 384 192 384C174.3 384 160 398.3 160 416V496H224zM136 232C149.3 232 160 242.7 160 256V288C160 301.3 149.3 312 136 312H104C90.75 312 80 301.3 80 288V256C80 242.7 90.75 232 104 232H136zM96 288C96 292.4 99.58 296 104 296H136C140.4 296 144 292.4 144 288V256C144 251.6 140.4 248 136 248H104C99.58 248 96 251.6 96 256V288zM224 256C224 242.7 234.7 232 248 232H280C293.3 232 304 242.7 304 256V288C304 301.3 293.3 312 280 312H248C234.7 312 224 301.3 224 288V256zM248 248C243.6 248 240 251.6 240 256V288C240 292.4 243.6 296 248 296H280C284.4 296 288 292.4 288 288V256C288 251.6 284.4 248 280 248H248zM136 104C149.3 104 160 114.7 160 128V160C160 173.3 149.3 184 136 184H104C90.75 184 80 173.3 80 160V128C80 114.7 90.75 104 104 104H136zM96 160C96 164.4 99.58 168 104 168H136C140.4 168 144 164.4 144 160V128C144 123.6 140.4 120 136 120H104C99.58 120 96 123.6 96 128V160zM224 128C224 114.7 234.7 104 248 104H280C293.3 104 304 114.7 304 128V160C304 173.3 293.3 184 280 184H248C234.7 184 224 173.3 224 160V128zM248 120C243.6 120 240 123.6 240 128V160C240 164.4 243.6 168 248 168H280C284.4 168 288 164.4 288 160V128C288 123.6 284.4 120 280 120H248zM416 272C416 227.8 451.8 192 496 192C540.2 192 576 227.8 576 272C576 316.2 540.2 352 496 352C451.8 352 416 316.2 416 272zM496 208C460.7 208 432 236.7 432 272C432 307.3 460.7 336 496 336C531.3 336 560 307.3 560 272C560 236.7 531.3 208 496 208zM546.9 384C598.3 384 640 425.7 640 477.1C640 496.4 624.4 512 605.1 512H386.9C367.6 512 352 496.4 352 477.1C352 425.7 393.7 384 445.1 384H546.9zM386.9 496H605.1C615.5 496 624 487.5 624 477.1C624 434.5 589.5 400 546.9 400H445.1C402.5 400 368 434.5 368 477.1C368 487.5 376.5 496 386.9 496V496z"],
    "building-wheat": [640, 512, [], "e4db", "M80 256C80 242.7 90.75 232 104 232H136C149.3 232 160 242.7 160 256V288C160 301.3 149.3 312 136 312H104C90.75 312 80 301.3 80 288V256zM104 248C99.58 248 96 251.6 96 256V288C96 292.4 99.58 296 104 296H136C140.4 296 144 292.4 144 288V256C144 251.6 140.4 248 136 248H104zM280 232C293.3 232 304 242.7 304 256V288C304 301.3 293.3 312 280 312H248C234.7 312 224 301.3 224 288V256C224 242.7 234.7 232 248 232H280zM240 288C240 292.4 243.6 296 248 296H280C284.4 296 288 292.4 288 288V256C288 251.6 284.4 248 280 248H248C243.6 248 240 251.6 240 256V288zM80 128C80 114.7 90.75 104 104 104H136C149.3 104 160 114.7 160 128V160C160 173.3 149.3 184 136 184H104C90.75 184 80 173.3 80 160V128zM104 120C99.58 120 96 123.6 96 128V160C96 164.4 99.58 168 104 168H136C140.4 168 144 164.4 144 160V128C144 123.6 140.4 120 136 120H104zM280 104C293.3 104 304 114.7 304 128V160C304 173.3 293.3 184 280 184H248C234.7 184 224 173.3 224 160V128C224 114.7 234.7 104 248 104H280zM240 160C240 164.4 243.6 168 248 168H280C284.4 168 288 164.4 288 160V128C288 123.6 284.4 120 280 120H248C243.6 120 240 123.6 240 128V160zM0 464V48C0 21.49 21.49 0 48 0H336C362.5 0 384 21.49 384 48V464C384 490.5 362.5 512 336 512H48C21.49 512 0 490.5 0 464zM336 16H48C30.33 16 16 30.33 16 48V464C16 481.7 30.33 496 48 496H144V416C144 389.5 165.5 368 192 368C218.5 368 240 389.5 240 416V496H336C353.7 496 368 481.7 368 464V48C368 30.33 353.7 16 336 16zM192 384C174.3 384 160 398.3 160 416V496H224V416C224 398.3 209.7 384 192 384zM416 240V224C416 215.2 423.2 208 432 208H456C487.7 208 515 226.4 528 253.1C540.1 226.4 568.3 208 600 208H624C632.8 208 640 215.2 640 224V240C640 266.2 627.4 289.4 608 304H624C632.8 304 640 311.2 640 320V336C640 362.2 627.4 385.4 608 400H624C632.8 400 640 407.2 640 416V432C640 476.2 604.2 512 560 512H536C533.1 512 530.4 511.2 528 509.9C525.6 511.2 522.9 512 520 512H496C451.8 512 416 476.2 416 432V416C416 407.2 423.2 400 432 400H447.1C428.6 385.4 416 362.2 416 336V320C416 311.2 423.2 304 432 304H447.1C428.6 289.4 416 266.2 416 240zM624 240V224H600C564.7 224 536 252.7 536 288V304H560C595.3 304 624 275.3 624 240zM520 320H504C514.1 327.6 522.4 337.6 528 349.1C533.6 337.6 541.9 327.6 551.1 320H536C533.1 320 530.4 319.2 528 317.9C525.6 319.2 522.9 320 520 320zM520 288C520 252.7 491.3 224 456 224H432V240C432 275.3 460.7 304 496 304H520V288zM624 336V320H600C564.7 320 536 348.7 536 384V400H560C595.3 400 624 371.3 624 336zM520 416H504C514.1 423.6 522.4 433.6 528 445.1C533.6 433.6 541.9 423.6 551.1 416H536C533.1 416 530.4 415.2 528 413.9C525.6 415.2 522.9 416 520 416zM520 384C520 348.7 491.3 320 456 320H432V336C432 371.3 460.7 400 496 400H520V384zM600 416C564.7 416 536 444.7 536 480V496H560C595.3 496 624 467.3 624 432V416H600zM520 496V480C520 444.7 491.3 416 456 416H432V432C432 467.3 460.7 496 496 496H520zM528 32C532.4 32 536 35.58 536 40V184C536 188.4 532.4 192 528 192C523.6 192 520 188.4 520 184V40C520 35.58 523.6 32 528 32zM608 152C608 156.4 604.4 160 600 160C595.6 160 592 156.4 592 152V72C592 67.58 595.6 64 600 64C604.4 64 608 67.58 608 72V152zM456 64C460.4 64 464 67.58 464 72V152C464 156.4 460.4 160 456 160C451.6 160 448 156.4 448 152V72C448 67.58 451.6 64 456 64z"],
    "buildings": [512, 512, [], "e0cc", "M368 344C368 330.7 378.7 320 392 320H424C437.3 320 448 330.7 448 344V376C448 389.3 437.3 400 424 400H392C378.7 400 368 389.3 368 376V344zM424 384C428.4 384 432 380.4 432 376V344C432 339.6 428.4 336 424 336H392C387.6 336 384 339.6 384 344V376C384 380.4 387.6 384 392 384H424zM392 272C378.7 272 368 261.3 368 248V216C368 202.7 378.7 192 392 192H424C437.3 192 448 202.7 448 216V248C448 261.3 437.3 272 424 272H392zM384 248C384 252.4 387.6 256 392 256H424C428.4 256 432 252.4 432 248V216C432 211.6 428.4 208 424 208H392C387.6 208 384 211.6 384 216V248zM256 344C256 330.7 266.7 320 280 320H312C325.3 320 336 330.7 336 344V376C336 389.3 325.3 400 312 400H280C266.7 400 256 389.3 256 376V344zM312 384C316.4 384 320 380.4 320 376V344C320 339.6 316.4 336 312 336H280C275.6 336 272 339.6 272 344V376C272 380.4 275.6 384 280 384H312zM312 72C325.3 72 336 82.75 336 96V128C336 141.3 325.3 152 312 152H280C266.7 152 256 141.3 256 128V96C256 82.75 266.7 72 280 72H312zM272 128C272 132.4 275.6 136 280 136H312C316.4 136 320 132.4 320 128V96C320 91.58 316.4 88 312 88H280C275.6 88 272 91.58 272 96V128zM256 216C256 202.7 266.7 192 280 192H312C325.3 192 336 202.7 336 216V248C336 261.3 325.3 272 312 272H280C266.7 272 256 261.3 256 248V216zM312 256C316.4 256 320 252.4 320 248V216C320 211.6 316.4 208 312 208H280C275.6 208 272 211.6 272 216V248C272 252.4 275.6 256 280 256H312zM424 72C437.3 72 448 82.75 448 96V128C448 141.3 437.3 152 424 152H392C378.7 152 368 141.3 368 128V96C368 82.75 378.7 72 392 72H424zM384 128C384 132.4 387.6 136 392 136H424C428.4 136 432 132.4 432 128V96C432 91.58 428.4 88 424 88H392C387.6 88 384 91.58 384 96V128zM192 64C192 28.65 220.7 0 256 0H448C483.3 0 512 28.65 512 64V448C512 483.3 483.3 512 448 512H256C220.7 512 192 483.3 192 448V64zM208 64V448C208 474.5 229.5 496 256 496H448C474.5 496 496 474.5 496 448V64C496 37.49 474.5 16 448 16H256C229.5 16 208 37.49 208 64zM160 128C164.4 128 168 131.6 168 136C168 140.4 164.4 144 160 144H56C33.91 144 16 161.9 16 184V456C16 478.1 33.91 496 56 496H176C180.4 496 184 499.6 184 504C184 508.4 180.4 512 176 512H56C25.07 512 0 486.9 0 456V184C0 153.1 25.07 128 56 128H160zM64 344C64 330.7 74.75 320 88 320H120C133.3 320 144 330.7 144 344V376C144 389.3 133.3 400 120 400H88C74.75 400 64 389.3 64 376V344zM88 336C83.58 336 80 339.6 80 344V376C80 380.4 83.58 384 88 384H120C124.4 384 128 380.4 128 376V344C128 339.6 124.4 336 120 336H88zM120 192C133.3 192 144 202.7 144 216V248C144 261.3 133.3 272 120 272H88C74.75 272 64 261.3 64 248V216C64 202.7 74.75 192 88 192H120zM80 248C80 252.4 83.58 256 88 256H120C124.4 256 128 252.4 128 248V216C128 211.6 124.4 208 120 208H88C83.58 208 80 211.6 80 216V248z"],
    "bullhorn": [512, 512, [128363, 128226], "f0a1", "M464 166.7C492.3 179 512 207.2 512 239.1C512 272.8 492.3 300.1 464 313.3V448C464 476.1 430.3 490.6 409.9 471.2L365.9 429.2C326.4 391.6 276.1 366.6 224 356.7V340.5C281.1 350.5 334.4 377.2 376.9 417.7L420.1 459.6C431.2 469.3 448 462.1 448 448V31.1C448 17.93 431.2 10.71 420.1 20.41L376.9 62.34C334.4 102.8 281.1 129.5 224 139.5V123.3C276.1 113.4 326.4 88.42 365.9 50.76L409.9 8.828C430.3-10.58 464 3.866 464 32V166.7zM464 295.4C483.1 284.4 496 263.7 496 239.1C496 216.3 483.1 195.6 464 184.6V295.4zM192 472C192 494.1 174.1 512 152 512H104C81.91 512 64 494.1 64 472V352C28.65 352 0 323.3 0 287.1V191.1C0 156.7 28.65 127.1 64 127.1H172.8C179.2 127.1 185.6 127.8 192 127.3V472zM176 352C174.9 352 173.9 352 172.8 352H80V472C80 485.3 90.75 496 104 496H152C165.3 496 176 485.3 176 472V352zM172.8 336C173.9 336 174.9 336 176 336V143.1C174.9 143.1 173.9 143.1 172.8 143.1H64C37.49 143.1 16 165.5 16 191.1V287.1C16 314.5 37.49 336 64 336H172.8z"],
    "bullseye": [512, 512, [], "f140", "M328 256C328 295.8 295.8 328 256 328C216.2 328 184 295.8 184 256C184 216.2 216.2 184 256 184C295.8 184 328 216.2 328 256zM256 200C225.1 200 200 225.1 200 256C200 286.9 225.1 312 256 312C286.9 312 312 286.9 312 256C312 225.1 286.9 200 256 200zM88 256C88 163.2 163.2 88 256 88C348.8 88 424 163.2 424 256C424 348.8 348.8 424 256 424C163.2 424 88 348.8 88 256zM256 408C339.9 408 408 339.9 408 256C408 172.1 339.9 104 256 104C172.1 104 104 172.1 104 256C104 339.9 172.1 408 256 408zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496z"],
    "bullseye-arrow": [512, 512, [127919], "f648", "M319.1 24.37C298.1 18.91 277.8 16 256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 234.2 493.1 213 487.6 192.9L500.5 180C507.1 204 512 229.5 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C282.5 0 307.1 4.012 331.1 11.46L319.1 24.37zM421.1 229.7C423.3 238.3 424 247.1 424 256C424 348.8 348.8 424 256 424C163.2 424 88 348.8 88 256C88 163.2 163.2 88 256 88C264.9 88 273.7 88.7 282.3 90.04C282.2 94.29 282.5 98.56 283.3 102.8L283.9 106.6C274.8 104.9 265.5 104 256 104C172.1 104 104 172.1 104 256C104 339.9 172.1 408 256 408C339.9 408 408 339.9 408 256C408 246.5 407.1 237.2 405.4 228.1L409.2 228.7C413.4 229.5 417.7 229.8 421.1 229.7zM256 184C260.8 184 265.5 184.5 270.1 185.4L255.4 200C224.8 200.3 200 225.3 200 255.1C200 286.9 225.1 311.1 256 311.1C286.7 311.1 311.7 287.2 311.1 256.6L326.6 241.9C327.5 246.5 328 251.2 328 256C328 295.8 295.8 328 256 328C216.2 328 184 295.8 184 256C184 216.2 216.2 184 256 184H256zM261.7 261.7C258.5 264.8 253.5 264.8 250.3 261.7C247.2 258.5 247.2 253.5 250.3 250.3L327.4 173.3L314.8 97.56C312.7 84.82 316.9 71.83 325.1 62.7L376.6 12.09C385.3 3.404 400.1 7.343 403.3 19.19L422.5 89.48L492.8 108.7C504.7 111.9 508.6 126.7 499.9 135.4L449.3 186C440.2 195.1 427.2 199.3 414.4 197.2L338.7 184.6L261.7 261.7zM387.9 23.4L337.3 74.01C331.8 79.49 329.3 87.28 330.6 94.93L341.3 159.4L407.1 93.63L387.9 23.4zM417.1 181.4C424.7 182.7 432.5 180.2 437.1 174.7L488.6 124.1L418.4 104.9L352.6 170.7L417.1 181.4z"],
    "bullseye-pointer": [512, 512, [], "f649", "M256 16C123.5 16 16 123.5 16 256C16 265 16.5 273.1 17.47 282.7C11.72 284.1 6.678 288.5 2.631 292.8C.8973 280.8 0 268.5 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C243.5 512 231.2 511.1 219.2 509.4C223.5 505.3 227 500.3 229.3 494.5C238 495.5 246.1 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16zM254.2 407.1C254.8 407.1 255.4 408 256 408C339.9 408 408 339.9 408 256C408 172.1 339.9 104 256 104C172.1 104 104 172.1 104 256C104 256.6 104 257.2 104 257.8L88.12 262.4C88.04 260.3 88 258.1 88 256C88 163.2 163.2 88 256 88C348.8 88 424 163.2 424 256C424 348.8 348.8 424 256 424C253.9 424 251.7 423.1 249.6 423.9L254.2 407.1zM283.7 304.7C300.6 295 312 276.9 312 256C312 225.1 286.9 200 256 200C235.1 200 216.1 211.4 207.3 228.3L187.4 233.1C196.7 204.1 223.9 184 256 184C295.8 184 328 216.2 328 256C328 288.1 307 315.3 278 324.6L283.7 304.7zM199.7 482.2C198.7 485.6 195.7 487.9 192.1 488C188.6 488.1 185.5 485.8 184.4 482.4L149.6 373.7L13.66 509.7C10.53 512.8 5.467 512.8 2.343 509.7C-.7811 506.5-.7811 501.5 2.343 498.3L138.3 362.4L29.56 327.6C26.2 326.5 23.95 323.4 24 319.9C24.06 316.3 26.41 313.3 29.8 312.3L253.8 248.3C256.6 247.5 259.6 248.3 261.7 250.3C263.7 252.4 264.5 255.4 263.7 258.2L199.7 482.2zM155.6 351.2C158.1 351.1 160 353.9 160.8 356.4L191.6 452.4L244.4 267.6L59.6 320.4L155.6 351.2z"],
    "burger": [512, 512, ["hamburger"], "f805", "M490.8 341.5C487.4 348.2 482.5 353.1 476.5 358.4C478.7 361.1 479.9 364.5 479.1 368V384C479.1 400.1 473.3 417.3 461.3 429.3C449.3 441.3 432.1 448 415.1 448H95.1C79.02 448 62.75 441.3 50.74 429.3C38.74 417.3 31.1 400.1 31.1 384V368C32.06 364.5 33.3 361.1 35.52 358.4C28.94 353.6 23.71 347.2 20.32 339.7C16.94 332.3 15.51 324.2 16.19 316C16.86 307.9 19.61 300.1 24.17 293.3C28.73 286.6 34.95 281.1 42.24 277.4C37.94 272.5 34.87 266.7 33.26 260.3C31.65 253.1 31.56 247.4 32.99 240.1C44.73 190.7 73.16 145.8 113.6 113.6C154.1 81.5 204.3 64.01 255.1 64.01C307.7 64.01 357.9 81.5 398.3 113.6C438.8 145.8 467.3 190.7 479 240.1C480.4 247.4 480.3 253.1 478.7 260.3C477.1 266.7 474.1 272.5 469.8 277.4C477.6 281.4 484.2 287.5 488.9 295C493.5 302.5 495.1 311.2 495.1 320C495.1 327.5 494.2 334.9 490.8 341.5V341.5zM48.53 255.7C49.33 259.4 50.94 262.1 53.25 265.1C54.57 267.8 56.28 269.3 58.26 270.3C60.24 271.4 62.43 271.9 64.67 272H447.3C449.6 271.9 451.8 271.4 453.7 270.3C455.7 269.3 457.4 267.8 458.7 265.1C461.1 262.1 462.7 259.4 463.5 255.7C464.3 251.1 464.2 248.1 463.4 244.4C452.4 197.6 425.1 155.9 388.3 126.1C350.7 96.22 304 79.97 255.1 79.97C207.1 79.97 161.3 96.22 123.7 126.1C86.03 155.9 59.58 197.6 48.64 244.4C47.77 248.1 47.73 251.1 48.53 255.7zM463.1 368H47.1V384C47.1 396.7 53.06 408.9 62.06 417.9C71.06 426.9 83.27 432 95.1 432H415.1C428.7 432 440.9 426.9 449.9 417.9C458.9 408.9 463.1 396.7 463.1 384V368zM470.6 342.6C476.6 336.6 479.1 328.5 479.1 320C479.1 311.5 476.6 303.4 470.6 297.4C464.6 291.4 456.5 288 447.1 288H63.1C55.51 288 47.37 291.4 41.37 297.4C35.37 303.4 31.1 311.5 31.1 320C31.1 328.5 35.37 336.6 41.37 342.6C47.37 348.6 55.51 352 63.1 352H447.1C456.5 352 464.6 348.6 470.6 342.6zM356.7 187.3C353.7 184.3 351.1 180.2 351.1 176C351.1 172.8 352.9 169.7 354.7 167.1C356.5 164.5 358.1 162.4 361.9 161.2C364.8 160 368 159.7 371.1 160.3C374.2 160.9 377.1 162.4 379.3 164.7C381.5 166.9 383.1 169.8 383.7 172.9C384.3 175.1 383.1 179.2 382.8 182.1C381.6 185 379.5 187.5 376.9 189.3C374.3 191.1 371.2 192 367.1 192C363.8 192 359.7 190.3 356.7 187.3V187.3zM244.7 155.3C241.7 152.3 239.1 148.2 239.1 144C239.1 140.8 240.9 137.7 242.7 135.1C244.5 132.5 246.1 130.4 249.9 129.2C252.8 128 256 127.7 259.1 128.3C262.2 128.9 265.1 130.4 267.3 132.7C269.5 134.9 271.1 137.8 271.7 140.9C272.3 143.1 271.1 147.2 270.8 150.1C269.6 153 267.5 155.5 264.9 157.3C262.3 159.1 259.2 160 255.1 160C251.8 160 247.7 158.3 244.7 155.3V155.3zM132.7 187.3C129.7 184.3 127.1 180.2 127.1 176C127.1 172.8 128.9 169.7 130.7 167.1C132.5 164.5 134.1 162.4 137.9 161.2C140.8 160 144 159.7 147.1 160.3C150.2 160.9 153.1 162.4 155.3 164.7C157.5 166.9 159.1 169.8 159.7 172.9C160.3 175.1 159.1 179.2 158.8 182.1C157.6 185 155.5 187.5 152.9 189.3C150.3 191.1 147.2 192 143.1 192C139.8 192 135.7 190.3 132.7 187.3L132.7 187.3z"],
    "burger-cheese": [512, 512, [127828, "cheeseburger"], "f7f1", "M490.8 341.5C487.4 348.2 482.5 353.1 476.5 358.4C478.7 361.1 479.9 364.5 479.1 368V384C479.1 400.1 473.3 417.3 461.3 429.3C449.3 441.3 432.1 448 415.1 448H95.1C79.02 448 62.75 441.3 50.74 429.3C38.74 417.3 31.1 400.1 31.1 384V368C32.06 364.5 33.3 361.1 35.52 358.4C28.94 353.6 23.71 347.2 20.32 339.7C16.94 332.3 15.51 324.2 16.19 316C16.86 307.9 19.61 300.1 24.17 293.3C28.73 286.6 34.95 281.1 42.24 277.4C37.94 272.5 34.87 266.7 33.26 260.3C31.65 253.1 31.56 247.4 32.99 240.1C44.73 190.7 73.16 145.8 113.6 113.6C154.1 81.5 204.3 64.01 255.1 64.01C307.7 64.01 357.9 81.5 398.3 113.6C438.8 145.8 467.3 190.7 479 240.1C480.4 247.4 480.3 253.1 478.7 260.3C477.1 266.7 474.1 272.5 469.8 277.4C477.6 281.4 484.2 287.5 488.9 295C493.5 302.5 495.1 311.2 495.1 320C495.1 327.5 494.2 334.9 490.8 341.5V341.5zM48.53 255.7C49.33 259.4 50.94 262.1 53.25 265.1C54.57 267.8 56.28 269.3 58.26 270.3C60.24 271.4 62.43 271.9 64.67 272H447.3C449.6 271.9 451.8 271.4 453.7 270.3C455.7 269.3 457.4 267.8 458.7 265.1C461.1 262.1 462.7 259.4 463.5 255.7C464.3 251.1 464.2 248.1 463.4 244.4C452.4 197.6 425.1 155.9 388.3 126.1C350.7 96.22 304 79.97 255.1 79.97C207.1 79.97 161.3 96.22 123.7 126.1C86.03 155.9 59.58 197.6 48.64 244.4C47.77 248.1 47.73 251.1 48.53 255.7zM257.9 288L319.1 319.1L382.1 288H257.9zM463.1 368H47.1V384C47.1 396.7 53.06 408.9 62.06 417.9C71.06 426.9 83.27 432 95.1 432H415.1C428.7 432 440.9 426.9 449.9 417.9C458.9 408.9 463.1 396.7 463.1 384V368zM470.6 342.6C476.6 336.6 479.1 328.5 479.1 320C479.1 311.5 476.6 303.4 470.6 297.4C464.6 291.4 456.5 288 447.1 288H417.9L323.5 335.2C322.4 335.7 321.2 336 319.1 336C318.8 336 317.5 335.7 316.4 335.2L222.1 288H63.1C55.51 288 47.37 291.4 41.37 297.4C35.37 303.4 31.1 311.5 31.1 320C31.1 328.5 35.37 336.6 41.37 342.6C47.37 348.6 55.51 352 63.1 352H447.1C456.5 352 464.6 348.6 470.6 342.6zM356.7 187.3C353.7 184.3 351.1 180.2 351.1 176C351.1 172.8 352.9 169.7 354.7 167.1C356.5 164.5 358.1 162.4 361.9 161.2C364.8 160 368 159.7 371.1 160.3C374.2 160.9 377.1 162.4 379.3 164.7C381.5 166.9 383.1 169.8 383.7 172.9C384.3 175.1 383.1 179.2 382.8 182.1C381.6 185 379.5 187.5 376.9 189.3C374.3 191.1 371.2 192 367.1 192C363.8 192 359.7 190.3 356.7 187.3V187.3zM244.7 155.3C241.7 152.3 239.1 148.2 239.1 144C239.1 140.8 240.9 137.7 242.7 135.1C244.5 132.5 246.1 130.4 249.9 129.2C252.8 128 256 127.7 259.1 128.3C262.2 128.9 265.1 130.4 267.3 132.7C269.5 134.9 271.1 137.8 271.7 140.9C272.3 143.1 271.1 147.2 270.8 150.1C269.6 153 267.5 155.5 264.9 157.3C262.3 159.1 259.2 160 255.1 160C251.8 160 247.7 158.3 244.7 155.3V155.3zM132.7 187.3C129.7 184.3 127.1 180.2 127.1 176C127.1 172.8 128.9 169.7 130.7 167.1C132.5 164.5 134.1 162.4 137.9 161.2C140.8 160 144 159.7 147.1 160.3C150.2 160.9 153.1 162.4 155.3 164.7C157.5 166.9 159.1 169.8 159.7 172.9C160.3 175.1 159.1 179.2 158.8 182.1C157.6 185 155.5 187.5 152.9 189.3C150.3 191.1 147.2 192 143.1 192C139.8 192 135.7 190.3 132.7 187.3L132.7 187.3z"],
    "burger-fries": [640, 512, [], "e0cd", "M263 62.97C262.6 63.96 261.9 64.85 261.1 65.57C260.3 66.3 259.3 66.85 258.3 67.2C257.3 67.55 256.2 67.68 255.1 67.59C254 67.51 252.1 67.2 251.1 66.69C251 66.18 250.2 65.48 249.5 64.63C248.8 63.78 248.3 62.8 248 61.75C247.7 60.71 247.7 59.61 247.8 58.53C247.1 57.45 248.3 56.42 248.9 55.49C250.3 52.61 252.2 50.05 254.6 47.95C256.1 45.85 259.8 44.27 262.8 43.29L297 33.09C300.9 31.91 305.1 31.75 309.1 32.63C313.1 33.51 316.8 35.39 319.8 38.1C322.9 40.82 325.2 44.27 326.6 48.13C327.9 51.99 328.3 56.13 327.6 60.16L305.4 181.3C305.2 182.4 304.8 183.4 304.1 184.3C303.5 185.2 302.7 185.1 301.8 186.6C300.5 187.4 298.1 187.9 297.4 187.9C295.9 187.9 294.3 187.5 293 186.6C291.7 185.8 290.7 184.6 290 183.1C289.4 181.7 289.2 180.1 289.5 178.6L311.9 57.31C312.1 55.97 311.1 54.6 311.5 53.32C311 52.05 310.3 50.91 309.2 50.02C308.2 49.13 306.1 48.51 305.7 48.22C304.3 47.94 302.1 47.99 301.7 48.38L267.4 58.65C266.8 58.81 264.1 59.36 263 62.97L263 62.97zM56.38 50.14C55.56 45.73 55.98 41.18 57.6 36.99C59.23 32.81 61.99 29.16 65.57 26.46L94.05 4.862C97.32 2.409 101.2 .83 105.2 .2748C109.3-.2801 113.4 .2069 117.2 1.69C121 3.173 124.4 5.604 126.1 8.751C129.6 11.9 131.3 15.66 132.1 19.68L136 39.65C136.2 40.68 136.2 41.74 135.1 42.77C135.8 43.8 135.3 44.78 134.7 45.65C134.1 46.51 133.4 47.26 132.5 47.83C131.6 48.4 130.6 48.8 129.6 48.99C127.5 49.35 125.4 48.88 123.6 47.68C121.9 46.49 120.7 44.66 120.3 42.59L116.5 22.59C116.3 21.23 115.7 19.95 114.9 18.87C113.1 17.8 112.8 16.97 111.6 16.47C110.3 15.96 108.9 15.8 107.5 15.99C106.1 16.18 104.8 16.73 103.7 17.57L75.3 39.23C74.07 40.11 73.12 41.32 72.56 42.72C71.99 44.12 71.83 45.65 72.1 47.13L109.1 236.3C109.3 237.4 109.3 238.4 109 239.5C108.8 240.5 108.4 241.5 107.8 242.3C107.2 243.2 106.5 243.1 105.6 244.5C104.7 245.1 103.7 245.5 102.7 245.7C102.1 245.7 101.6 245.7 101.1 245.7C99.25 245.7 97.46 245 96.03 243.9C94.61 242.7 93.62 241.1 93.25 239.3L56.38 50.14zM239.2 505.1C238.1 506.4 238.5 507.6 237.8 508.6C237.1 509.7 236.1 510.5 234.1 511.1C233.8 511.7 232.6 512 231.3 511.1H85.73C78.44 512 71.37 509.6 65.67 505C59.97 500.5 55.1 494.1 54.4 487L.3854 243.5C-.1372 241.1-.1273 238.7 .4142 236.4C.9559 234 2.015 231.9 3.515 229.1C5.014 228.1 6.914 226.6 9.076 225.6C11.24 224.5 13.6 223.1 16 223.1H49.99C53.39 223.8 56.75 224.8 59.52 226.8C62.29 228.8 64.31 231.7 65.25 234.1C73.89 273.1 127.4 303.1 192 303.1C202.4 303.1 212.8 303.1 223.1 301.4C224.3 301.2 225.4 301.3 226.5 301.6C227.6 301.1 228.6 302.6 229.5 303.3C230.3 304.1 231 305 231.5 306.1C231.9 307.1 232.1 308.3 232.1 309.4C232.1 311.3 231.4 313 230.3 314.4C229.1 315.8 227.5 316.7 225.7 317.1C214.6 318.1 203.3 319.9 192 319.1C120.8 319.1 61.47 286.5 50.05 239.1H16L70.08 483.5C70.87 487 72.85 490.2 75.7 492.5C78.54 494.8 82.08 496 85.73 495.1H231.2C232.9 496 234.5 496.6 235.8 497.5C237.1 498.5 238.2 499.8 238.7 501.3C239.2 502.5 239.3 503.8 239.2 505.1zM.5451 115.2C-.4818 109.8-.0937 104.2 1.672 98.98C3.438 93.76 6.522 89.08 10.63 85.41C14.44 82.01 19.04 79.61 24.01 78.41C28.97 77.21 34.16 77.25 39.1 78.53C40.17 78.72 41.18 79.14 42.08 79.74C42.98 80.34 43.75 81.12 44.34 82.03C44.94 82.93 45.34 83.95 45.52 85.02C45.71 86.09 45.67 87.18 45.42 88.23C45.18 89.29 44.71 90.28 44.07 91.15C43.43 92.02 42.61 92.75 41.68 93.3C40.74 93.84 39.71 94.2 38.63 94.33C37.56 94.46 36.47 94.38 35.43 94.08C32.99 93.43 30.43 93.39 27.98 93.95C25.52 94.5 23.23 95.65 21.31 97.28C19.29 99.1 17.76 101.4 16.87 103.1C15.99 106.6 15.78 109.3 16.26 111.1L32 190.5C32.22 191.5 32.23 192.6 32.03 193.6C31.82 194.7 31.41 195.7 30.81 196.6C30.21 197.5 29.43 198.2 28.53 198.8C27.63 199.4 26.63 199.8 25.57 199.1C25.04 200 24.5 200 23.97 199.1C22.13 199.1 20.35 199.3 18.92 198.2C17.5 196.1 16.52 195.4 16.16 193.6L.5451 115.2zM154.4 274.4C152.9 272.9 152 270.9 152 268.8V23.1C152 19.89 153.1 15.85 155.1 12.26C157.1 8.679 159.1 5.668 163.5 3.518C166.9 1.381 170.9 .1736 174.1 .0111C179-.1515 183.1 .7368 186.7 2.59L218.7 18.59C222.7 20.57 226 23.62 228.3 27.41C230.7 31.19 231.9 35.55 231.9 39.1V268.8C231.9 270.9 231 272.1 229.5 274.5C228 275.1 225.1 276.8 223.9 276.8C221.8 276.8 219.7 275.1 218.2 274.5C216.7 272.1 215.9 270.9 215.9 268.8V39.93C215.9 38.47 215.5 37.03 214.7 35.79C213.9 34.54 212.8 33.54 211.5 32.89L179.5 16.89C178.3 16.27 176.1 15.97 175.6 16.01C174.3 16.06 172.1 16.45 171.8 17.15C170.7 17.86 169.7 18.87 169 20.07C168.3 21.27 167.1 22.62 168 23.1V268.8C167.1 270.9 167.1 272.9 165.6 274.4C164.2 275.9 162.1 276.8 160 276.8C157.9 276.8 155.9 275.9 154.4 274.4zM343.7 95.4C341.1 94.17 340.8 92.32 340.4 90.24C340.1 88.14 340.6 86 341.8 84.28C343.1 82.56 344.9 81.4 347 81.05C351.7 80.17 356.5 80.36 361 81.62C365.6 82.87 369.8 85.15 373.3 88.29C377.4 91.88 380.5 96.47 382.3 101.6C384.1 106.7 384.5 112.3 383.5 117.6L377.1 149.1C376.7 150.5 376 151.8 375 152.9C374 153.9 372.7 154.7 371.3 155.1C370 155.5 368.6 155.5 367.3 155.2C365.1 154.9 364.8 154.3 363.8 153.4C362.7 152.5 362 151.3 361.6 149.1C361.2 148.7 361.1 147.3 361.4 145.1L367.8 114.6C368.2 112.1 368.1 109.6 367.3 107.2C366.6 104.8 365.2 102.6 363.4 100.9C361.6 99.13 359.4 97.85 357 97.15C354.6 96.45 352.1 96.35 349.6 96.86C347.5 97.16 345.4 96.64 343.7 95.4zM359.4 287.1C357.9 286.5 356.6 285.6 355.5 284.5C354.4 283.4 353.5 282.1 352.9 280.6C352.3 279.1 351.1 277.6 352 275.1C352 273.6 352.7 271.3 354 269.3C355.3 267.4 357.2 265.8 359.4 264.9C361.6 264 364 263.8 366.3 264.2C368.7 264.7 370.8 265.8 372.5 267.5C374.2 269.2 375.3 271.3 375.8 273.7C376.2 275.1 375.1 278.4 375.1 280.6C374.2 282.8 372.6 284.7 370.7 285.1C368.7 287.3 366.4 287.1 364 287.1C362.4 288 360.9 287.7 359.4 287.1zM633.6 360.1C637.8 367.4 639.1 375.6 639.1 383.1C639.1 392.4 637.8 400.6 633.6 407.9C629.4 415.2 623.3 421.2 616 425.3V467.1C615.1 479.7 611.3 490.8 603.1 499.1C594.8 507.3 583.7 511.1 572 511.1H324C312.3 511.1 301.2 507.3 292.9 499.1C284.7 490.8 280 479.7 280 467.1V425.3C272.7 421.2 266.7 415.2 262.4 407.9C258.2 400.6 256 392.4 256 383.1C256 375.6 258.2 367.4 262.4 360.1C266.7 352.8 272.7 346.8 280 342.7V303.1C280.2 292.6 282.8 281.3 287.5 270.9C292.1 260.5 298.8 251.2 307.2 243.4C346.1 209.6 396.1 191.3 447.6 191.1C447.9 191.1 448.1 191.1 448.4 191.1C499.9 191.3 549.9 209.6 588.8 243.4C597.2 251.2 603.9 260.5 608.6 270.9C613.2 281.3 615.8 292.6 616 303.1V342.7C623.3 346.8 629.4 352.8 633.6 360.1zM295.9 336.8C298.5 336.3 301.2 336 303.9 335.1H591.9C594.6 336 597.2 336.3 599.9 336.8V303.1C599.7 294.7 597.6 285.5 593.7 277.1C589.9 268.6 584.4 260.1 577.5 254.7C541.6 223.9 495.7 207.2 448.4 207.1C448.1 208 447.9 208 447.7 207.1C400.3 207.2 354.3 223.8 318.4 254.7C311.5 260.1 305.1 268.6 302.1 277.1C298.3 285.5 296.2 294.7 296 303.1L295.9 336.8zM600 431.2C597.4 431.7 594.7 431.1 592 431.1H304C301.3 431.1 298.6 431.7 296 431.2V467.1C296 475.4 298.1 482.5 304.2 487.8C309.5 493 316.6 495.1 324 495.1H572C579.4 495.1 586.5 493 591.8 487.8C597 482.5 599.1 475.4 600 467.1V431.2zM614.6 406.6C620.6 400.6 624 392.5 624 383.1C624 375.5 620.6 367.4 614.6 361.4C608.6 355.4 600.5 351.1 592 351.1H304C295.5 351.1 287.4 355.4 281.4 361.4C275.4 367.4 272 375.5 272 383.1C272 392.5 275.4 400.6 281.4 406.6C287.4 412.6 295.5 415.1 304 415.1H592C600.5 415.1 608.6 412.6 614.6 406.6zM443.4 267.1C441.9 266.5 440.6 265.6 439.5 264.5C438.4 263.4 437.5 262.1 436.9 260.6C436.3 259.1 435.1 257.6 436 255.1C436 253.6 436.7 251.3 438 249.3C439.3 247.4 441.2 245.8 443.4 244.9C445.6 244 448 243.8 450.3 244.2C452.7 244.7 454.8 245.8 456.5 247.5C458.2 249.2 459.3 251.3 459.8 253.7C460.2 255.1 459.1 258.4 459.1 260.6C458.2 262.8 456.6 264.7 454.7 265.1C452.7 267.3 450.4 267.1 448 267.1C446.4 268 444.9 267.7 443.4 267.1V267.1zM527.4 287.1C525.9 286.5 524.6 285.6 523.5 284.5C522.4 283.4 521.5 282.1 520.9 280.6C520.3 279.1 519.1 277.6 520 275.1C520 273.6 520.7 271.3 522 269.3C523.3 267.4 525.2 265.8 527.4 264.9C529.6 264 532 263.8 534.3 264.2C536.7 264.7 538.8 265.8 540.5 267.5C542.2 269.2 543.3 271.3 543.8 273.7C544.2 275.1 543.1 278.4 543.1 280.6C542.2 282.8 540.6 284.7 538.7 285.1C536.7 287.3 534.4 287.1 532 287.1C530.4 288 528.9 287.7 527.4 287.1H527.4z"],
    "burger-glass": [640, 512, [], "e0ce", "M633.6 360.1C637.8 367.4 639.1 375.6 639.1 384C639.1 392.4 637.8 400.6 633.6 407.9C629.3 415.2 623.3 421.2 616 425.3V468C615.1 479.7 611.3 490.8 603.1 499.1C594.8 507.3 583.7 511.1 572 512H324C312.3 511.1 301.2 507.3 292.9 499.1C284.7 490.8 280 479.7 279.1 468V425.3C272.7 421.2 266.7 415.2 262.4 407.9C258.2 400.6 256 392.4 256 384C256 375.6 258.2 367.4 262.4 360.1C266.7 352.8 272.7 346.8 279.1 342.7V303.1C280.2 292.6 282.8 281.3 287.4 270.9C292.1 260.5 298.8 251.2 307.2 243.4C346.1 209.6 396.1 191.3 447.6 191.1C447.9 191.1 448.1 191.1 448.4 191.1C499.9 191.3 549.9 209.6 588.8 243.4C597.2 251.2 603.9 260.5 608.5 270.9C613.2 281.3 615.8 292.6 616 303.1V342.7C623.3 346.8 629.3 352.8 633.6 360.1zM295.9 336.8C298.5 336.3 301.2 336 303.9 336H591.9C594.6 336 597.2 336.3 599.9 336.8V303.1C599.7 294.7 597.6 285.5 593.7 277.1C589.9 268.6 584.3 260.1 577.5 254.7C541.6 223.9 495.7 207.2 448.4 207.1C448.1 208 447.9 208 447.7 207.1C400.3 207.2 354.3 223.8 318.4 254.7C311.5 260.1 305.1 268.6 302.1 277.1C298.3 285.5 296.2 294.7 295.1 303.1L295.9 336.8zM600 431.2C597.4 431.7 594.7 431.1 592 432H303.1C301.3 431.1 298.6 431.7 295.1 431.2V468C296 475.4 298.1 482.5 304.2 487.8C309.5 493 316.6 495.1 324 496H572C579.4 495.1 586.5 493 591.8 487.8C597 482.5 599.1 475.4 600 468V431.2zM614.6 406.6C620.6 400.6 624 392.5 624 384C624 375.5 620.6 367.4 614.6 361.4C608.6 355.4 600.5 352 592 352H303.1C295.5 352 287.4 355.4 281.4 361.4C275.4 367.4 271.1 375.5 271.1 384C271.1 392.5 275.4 400.6 281.4 406.6C287.4 412.6 295.5 416 303.1 416H592C600.5 416 608.6 412.6 614.6 406.6zM527.4 287.1C525.9 286.5 524.6 285.6 523.5 284.5C522.4 283.4 521.5 282.1 520.9 280.6C520.3 279.1 519.1 277.6 520 276C520 273.6 520.7 271.3 522 269.3C523.3 267.4 525.2 265.8 527.4 264.9C529.6 264 532 263.8 534.3 264.2C536.7 264.7 538.8 265.8 540.5 267.5C542.2 269.2 543.3 271.3 543.8 273.7C544.2 275.1 543.1 278.4 543.1 280.6C542.2 282.8 540.6 284.7 538.7 285.1C536.7 287.3 534.4 288 532 288C530.4 288 528.9 287.7 527.4 287.1H527.4zM359.4 287.1C357.9 286.5 356.6 285.6 355.5 284.5C354.4 283.4 353.5 282.1 352.9 280.6C352.3 279.1 351.1 277.6 352 276C352 273.6 352.7 271.3 354 269.3C355.3 267.4 357.2 265.8 359.4 264.9C361.6 264 364 263.8 366.3 264.2C368.7 264.7 370.8 265.8 372.5 267.5C374.2 269.2 375.3 271.3 375.8 273.7C376.2 275.1 375.1 278.4 375.1 280.6C374.2 282.8 372.6 284.7 370.7 285.1C368.7 287.3 366.4 288 364 288C362.4 288 360.9 287.7 359.4 287.1zM443.4 267.1C441.9 266.5 440.6 265.6 439.5 264.5C438.4 263.4 437.5 262.1 436.9 260.6C436.3 259.1 435.1 257.6 436 256C436 253.6 436.7 251.3 438 249.3C439.3 247.4 441.2 245.8 443.4 244.9C445.6 244 448 243.8 450.3 244.2C452.7 244.7 454.8 245.8 456.5 247.5C458.2 249.2 459.3 251.3 459.8 253.7C460.2 255.1 459.1 258.4 459.1 260.6C458.2 262.8 456.6 264.7 454.7 265.1C452.7 267.3 450.4 267.1 448 267.1C446.4 268 444.9 267.7 443.4 267.1V267.1zM253.7 498.3C255.2 499.8 255.1 501.9 255.1 504C255.1 506.1 255.2 508.2 253.7 509.7C252.2 511.2 250.1 512 247.1 512H63.1C55.84 512 47.99 508.9 42.05 503.3C36.1 497.8 32.5 490.1 31.1 481.1L-.0009 33.98C-.2722 29.62 .3546 25.24 1.841 21.13C3.327 17.01 5.641 13.25 8.64 10.06C11.64 6.878 15.26 4.342 19.28 2.611C23.29 .8801 27.62-.0086 31.1 .0001H319.1C324.4-.0083 328.7 .8804 332.7 2.611C336.7 4.342 340.4 6.878 343.4 10.06C346.4 13.25 348.7 17.01 350.2 21.13C351.6 25.24 352.3 29.62 352 33.98L341.8 177.2C341.5 181.2 339.7 184.1 336.7 187.7C333.7 190.5 329.8 192 325.8 192H27.39L47.1 480.9C48.27 484.9 50.06 488.8 53.03 491.6C55.1 494.4 59.92 495.1 63.1 496H247.1C250.1 496 252.2 496.8 253.7 498.3H253.7zM26.24 175.1H325.8L336 32.86C336.1 30.69 335.8 28.52 335 26.48C334.3 24.43 333.1 22.57 331.6 20.99C330.1 19.41 328.3 18.15 326.3 17.29C324.3 16.44 322.2 15.1 319.1 15.1H31.1C29.8 15.99 27.63 16.44 25.61 17.31C23.6 18.18 21.78 19.46 20.28 21.06C18.78 22.67 17.63 24.56 16.89 26.63C16.15 28.7 15.85 30.9 15.1 33.09L26.24 175.1z"],
    "burger-lettuce": [512, 512, [], "e3e3", "M495.6 317.4C495.9 318.4 496.1 319.5 495.1 320.5C495.9 321.6 495.6 322.6 495.2 323.5C494.7 324.5 494.1 325.3 493.3 326C479.3 339.4 460.9 347.2 441.6 347.9C422.3 347.2 403.9 339.4 389.9 326C384.7 320.4 378.3 315.9 371.2 312.8C364.1 309.7 356.5 308.1 348.8 308.1C341.1 308.1 333.4 309.7 326.4 312.8C319.3 315.9 312.9 320.4 307.7 326C300.1 332.9 292.9 338.4 284.1 342.2C275.2 345.1 265.6 347.9 255.1 347.9C246.4 347.9 236.8 345.1 227.9 342.2C219.1 338.4 211 332.9 204.3 326C199.1 320.4 192.7 315.8 185.6 312.8C178.6 309.7 170.9 308.1 163.2 308.1C155.5 308.1 147.8 309.7 140.8 312.8C133.7 315.8 127.3 320.4 122.1 326C115.4 332.9 107.3 338.4 98.46 342.2C89.58 345.1 80.04 347.9 70.4 347.9C60.76 347.9 51.21 345.1 42.34 342.2C33.46 338.4 25.43 332.9 18.72 326C17.12 324.6 16.15 322.6 16.01 320.5C15.87 318.4 16.58 316.3 17.98 314.7C19.38 313.1 21.36 312.2 23.48 312C25.59 311.9 27.68 312.6 29.28 313.1C34.53 319.6 40.9 324.1 47.97 327.2C55.05 330.3 62.68 331.9 70.4 331.9C78.11 331.9 85.75 330.3 92.82 327.2C99.9 324.1 106.3 319.6 111.5 313.1C118.2 307.1 126.3 301.6 135.1 297.8C144 294 153.6 292.1 163.2 292.1C172.8 292.1 182.4 294 191.3 297.8C200.1 301.6 208.2 307.1 214.9 313.1C220.1 319.6 226.5 324.1 233.6 327.2C240.6 330.3 248.3 331.9 255.1 331.9C263.7 331.9 271.3 330.3 278.4 327.2C285.5 324.1 291.9 319.6 297.1 313.1C303.8 307.1 311.9 301.6 320.7 297.8C329.6 294 339.2 292.1 348.8 292.1C358.4 292.1 367.1 294 376.9 297.8C385.7 301.6 393.8 307.1 400.5 313.1C405.7 319.6 412.1 324.1 419.2 327.2C426.2 330.3 433.9 331.9 441.6 331.9C449.3 331.9 456.9 330.3 464 327.2C471.1 324.1 477.5 319.6 482.7 313.1C483.5 313.3 484.4 312.8 485.4 312.4C486.4 312.1 487.5 311.9 488.5 312C489.6 312.1 490.6 312.4 491.5 312.8C492.5 313.3 493.3 313.9 494 314.7C494.7 315.5 495.2 316.4 495.6 317.4V317.4zM49.45 282.1C44.8 280.2 40.83 276.4 37.81 271.9C34.78 267.4 32.78 262.3 31.95 256.1C31.12 251.6 31.47 246.2 32.99 240.1C44.73 190.7 73.16 145.8 113.6 113.6C154.1 81.5 204.3 64.01 255.1 64.01C307.7 64.01 357.9 81.5 398.3 113.6C438.8 145.8 467.3 190.7 479 240.1C480.5 246.2 480.9 251.6 480 256.1C479.2 262.3 477.2 267.4 474.2 271.9C471.2 276.4 467.2 280.2 462.5 282.1C457.9 285.7 452.7 287.5 447.3 288H64.67C59.29 287.5 54.09 285.7 49.45 282.1zM48.53 255.7C49.33 259.4 50.94 262.1 53.24 265.1C54.57 267.8 56.28 269.3 58.26 270.3C60.24 271.4 62.43 271.9 64.67 272H447.4C449.6 271.9 451.8 271.4 453.8 270.3C455.7 269.3 457.5 267.8 458.8 265.1C461.1 262.1 462.7 259.4 463.5 255.7C464.3 251.1 464.3 248.1 463.4 244.4C452.4 197.6 426 155.9 388.4 126.1C350.7 96.22 304.1 79.97 256 79.97C207.1 79.97 161.3 96.22 123.7 126.1C86.06 155.9 59.61 197.6 48.67 244.4C47.8 248.1 47.73 251.1 48.53 255.7H48.53zM356.7 187.3C353.7 184.3 351.1 180.2 351.1 176C351.1 172.8 352.9 169.7 354.7 167.1C356.5 164.5 358.1 162.4 361.9 161.2C364.8 160 368 159.7 371.1 160.3C374.2 160.9 377.1 162.4 379.3 164.7C381.5 166.9 383.1 169.8 383.7 172.9C384.3 175.1 383.1 179.2 382.8 182.1C381.6 185 379.5 187.5 376.9 189.3C374.3 191.1 371.2 192 367.1 192C363.8 192 359.7 190.3 356.7 187.3V187.3zM244.7 155.3C241.7 152.3 239.1 148.2 239.1 144C239.1 140.8 240.9 137.7 242.7 135.1C244.5 132.5 246.9 130.4 249.9 129.2C252.8 128 256 127.7 259.1 128.3C262.2 128.9 265.1 130.4 267.3 132.7C269.5 134.9 271.1 137.8 271.7 140.9C272.3 143.1 271.1 147.2 270.8 150.1C269.6 153 267.5 155.5 264.9 157.3C262.3 159.1 259.2 160 255.1 160C251.8 160 247.7 158.3 244.7 155.3V155.3zM132.7 187.3C129.7 184.3 127.1 180.2 127.1 176C127.1 172.8 128.9 169.7 130.7 167.1C132.5 164.5 134.9 162.4 137.9 161.2C140.8 160 144 159.7 147.1 160.3C150.2 160.9 153.1 162.4 155.3 164.7C157.5 166.9 159.1 169.8 159.7 172.9C160.3 175.1 159.1 179.2 158.8 182.1C157.6 185 155.5 187.5 152.9 189.3C150.3 191.1 147.2 192 143.1 192C139.8 192 135.7 190.3 132.7 187.3L132.7 187.3zM475.3 356.7C478.3 359.7 479.1 363.8 479.1 368V384C479.1 400.1 473.3 417.3 461.3 429.3C449.2 441.3 432.1 448 415.1 448H95.1C79.02 448 62.74 441.3 50.74 429.3C38.74 417.3 31.1 400.1 31.1 384V368C31.1 363.8 33.68 359.7 36.68 356.7C39.68 353.7 43.75 352 47.1 352H463.1C468.2 352 472.3 353.7 475.3 356.7zM463.1 368H47.1V384C47.1 396.7 53.05 408.9 62.06 417.9C71.06 426.9 83.27 432 95.1 432H415.1C428.7 432 440.9 426.9 449.9 417.9C458.9 408.9 463.1 396.7 463.1 384V368z"],
    "burger-soda": [640, 512, [], "f858", "M253.7 498.3C255.2 499.8 256 501.9 256 504C256 506.1 255.2 508.2 253.7 509.7C252.2 511.2 250.1 512 248 512H108.8C98.93 512.1 89.38 508.4 82.01 501.9C74.65 495.3 69.97 486.2 68.9 476.4L32.06 144.9C32.03 144.5 32.32 144.3 32.32 144H8C5.878 144 3.844 143.2 2.343 141.7C.8429 140.2 0 138.1 0 136C0 133.9 .8429 131.8 2.343 130.3C3.843 128.8 5.878 128 8 128H169.8L194.2 30.3C196.3 21.64 201.3 13.95 208.4 8.457C215.4 2.965 224.1-.0131 232.1 0H280C282.1 0 284.2 .8429 285.7 2.343C287.2 3.843 288 5.878 288 8C288 10.12 287.2 12.16 285.7 13.66C284.2 15.16 282.1 16 280 16H232.1C227.6 15.1 222.4 17.78 218.2 21.08C213.1 24.37 210.1 28.98 209.7 34.18L186.2 128H344C346.1 128 348.2 128.8 349.7 130.3C351.2 131.8 352 133.9 352 136C352 138.1 351.2 140.2 349.7 141.7C348.2 143.2 346.1 144 344 144H48L84.9 474.7C85.55 480.5 88.35 485.1 92.76 489.9C97.18 493.8 102.9 496 108.8 496H248C250.1 496 252.2 496.8 253.7 498.3zM443.4 267.1C441.9 266.5 440.6 265.6 439.5 264.5C438.4 263.4 437.5 262.1 436.9 260.6C436.3 259.1 435.1 257.6 436 256C436 253.6 436.7 251.3 438 249.3C439.3 247.4 441.2 245.8 443.4 244.9C445.6 244 448 243.8 450.3 244.2C452.7 244.7 454.8 245.8 456.5 247.5C458.2 249.2 459.3 251.3 459.8 253.7C460.2 255.1 459.1 258.4 459.1 260.6C458.2 262.8 456.6 264.7 454.7 265.1C452.7 267.3 450.4 267.1 448 267.1C446.4 268 444.9 267.7 443.4 267.1V267.1zM359.4 287.1C357.9 286.5 356.6 285.6 355.5 284.5C354.4 283.4 353.5 282.1 352.9 280.6C352.3 279.1 351.1 277.6 352 276C352 273.6 352.7 271.3 354 269.3C355.3 267.4 357.2 265.8 359.4 264.9C361.6 264 364 263.8 366.3 264.2C368.7 264.7 370.8 265.8 372.5 267.5C374.2 269.2 375.3 271.3 375.8 273.7C376.2 275.1 375.1 278.4 375.1 280.6C374.2 282.8 372.6 284.7 370.7 285.1C368.7 287.3 366.4 288 364 288C362.4 288 360.9 287.7 359.4 287.1zM527.4 287.1C525.9 286.5 524.6 285.6 523.5 284.5C522.4 283.4 521.5 282.1 520.9 280.6C520.3 279.1 519.1 277.6 520 276C520 273.6 520.7 271.3 522 269.3C523.3 267.4 525.2 265.8 527.4 264.9C529.6 264 532 263.8 534.3 264.2C536.7 264.7 538.8 265.8 540.5 267.5C542.2 269.2 543.3 271.3 543.8 273.7C544.2 275.1 543.1 278.4 543.1 280.6C542.2 282.8 540.6 284.7 538.7 285.1C536.7 287.3 534.4 288 532 288C530.4 288 528.9 287.7 527.4 287.1H527.4zM633.6 360.1C637.8 367.4 639.1 375.6 639.1 384C639.1 392.4 637.8 400.6 633.6 407.9C629.3 415.2 623.3 421.2 616 425.3V468C615.1 479.7 611.3 490.8 603.1 499.1C594.8 507.3 583.7 511.1 572 512H324C312.3 511.1 301.2 507.3 292.9 499.1C284.7 490.8 280 479.7 280 468V425.3C272.7 421.2 266.7 415.2 262.4 407.9C258.2 400.6 256 392.4 256 384C256 375.6 258.2 367.4 262.4 360.1C266.7 352.8 272.7 346.8 280 342.7V304C280.2 292.6 282.8 281.3 287.5 270.9C292.1 260.5 298.8 251.2 307.2 243.4C346.1 209.6 396.1 191.3 447.6 192C447.9 191.1 448.1 191.1 448.4 192C499.9 191.3 549.9 209.6 588.8 243.4C597.2 251.2 603.9 260.5 608.6 270.9C613.2 281.3 615.8 292.6 616 304V342.7C623.3 346.8 629.3 352.8 633.6 360.1zM295.9 336.8C298.5 336.3 301.2 336 303.9 336H591.9C594.6 336 597.2 336.3 599.9 336.8V304C599.7 294.7 597.6 285.5 593.7 277.1C589.9 268.6 584.3 260.1 577.5 254.7C541.6 223.9 495.7 207.2 448.4 208C448.1 208 447.9 208 447.7 208C400.3 207.2 354.3 223.8 318.4 254.7C311.5 260.1 305.1 268.6 302.1 277.1C298.3 285.5 296.2 294.7 296 304L295.9 336.8zM600 431.2C597.4 431.7 594.7 431.1 592 432H304C301.3 431.1 298.6 431.7 296 431.2V468C296 475.4 298.1 482.5 304.2 487.8C309.5 493 316.6 495.1 324 496H572C579.4 495.1 586.5 493 591.8 487.8C597 482.5 599.1 475.4 600 468V431.2zM614.6 406.6C620.6 400.6 624 392.5 624 384C624 375.5 620.6 367.4 614.6 361.4C608.6 355.4 600.5 352 592 352H304C295.5 352 287.4 355.4 281.4 361.4C275.4 367.4 272 375.5 272 384C272 392.5 275.4 400.6 281.4 406.6C287.4 412.6 295.5 416 304 416H592C600.5 416 608.6 412.6 614.6 406.6z"],
    "burrito": [512, 512, [127791], "f7ed", "M505.2 153.9c4.5-9.625 6.75-20.25 6.75-30.88c0-32.5-21.25-61.13-52.25-70.76c-6.25-20.38-21.05-37-40.55-45.75c-9.645-4.328-19.93-6.468-30.24-6.468c-10.54 0-21.09 2.233-30.88 6.718C347.5 2.165 336.6 0 325.8 0c-31.02-.002-60.52 18.06-73.7 48.3L33.94 266.6c-45.25 45.25-45.25 118.8 0 164l47.5 47.5C104.1 500.7 133.8 512 163.4 512c29.69 0 59.29-11.31 81.92-33.94l218.3-218.1C504.5 242.2 523.1 194.7 505.2 153.9zM45.26 277.9l213.6-213.8c27.9 32.26 45.11 74.01 45.11 119.9c0 101.5-82.54 184-184 184c-38.2 0-73.34-12.21-102.8-32.23C19.96 314.6 29.02 294.1 45.26 277.9zM234.1 466.7c-18.86 18.86-43.97 29.25-70.69 29.25c-26.72 0-51.82-10.39-70.69-29.25l-47.5-47.5c-18.02-18.02-27.32-41.28-28.68-64.92c30.25 18.47 65.39 29.69 103.4 29.69c95.79 0 175.8-67.39 195.3-157.3c9.377-1.514 18.88-2.69 28.68-2.69c37.7 0 72.68 11.56 101.9 31.09L234.1 466.7zM491.5 209.7c-6.133 15.66-17.92 27.98-33.17 34.95c-32.47-22.8-71.67-36.66-114.4-36.66c-8.809 0-17.39 .8907-25.89 2.027c1.113-8.539 1.885-17.18 1.885-26.03c0-51.14-19.45-97.56-51.04-132.9c11.01-21.28 32.63-35.1 56.84-35.1c8.905 0 17.59 1.832 25.83 5.446c2.049 .8985 4.238 1.348 6.426 1.348c2.275 0 4.549-.4844 6.664-1.453c7.651-3.504 15.79-5.281 24.19-5.281c8.227 0 16.21 1.709 23.73 5.082c15.3 6.865 26.87 19.93 31.75 35.85c1.551 5.057 5.502 9.02 10.55 10.59c24.52 7.614 40.1 29.91 40.1 55.47c0 8.428-1.813 16.76-5.244 24.1c-1.951 4.172-2.008 8.985-.1583 13.2C497.5 176.1 497.8 193.7 491.5 209.7zM316.1 61.24c-3.844 2.188-5.188 7.063-3 10.91c2.156 3.844 7.063 5.172 10.91 3c9.407-5.391 21.31-3.735 28.99 3.922c8.625 8.641 9.469 22.38 1.922 31.97c-2.719 3.469-2.125 8.5 1.359 11.23c1.453 1.141 3.203 1.703 4.938 1.703c2.359 0 4.719-1.047 6.297-3.063c12.53-15.95 11.16-38.8-3.203-53.16C351.5 55.03 331.7 52.36 316.1 61.24zM404.1 101.2c-3.844 2.188-5.188 7.063-3 10.91c2.156 3.844 7.032 5.172 10.91 3c9.391-5.391 21.33-3.703 28.99 3.922c8.625 8.641 9.469 22.38 1.922 31.97c-2.719 3.469-2.125 8.5 1.359 11.23c1.453 1.141 3.203 1.703 4.938 1.703c2.359 0 4.719-1.047 6.297-3.063c12.53-15.95 11.16-38.8-3.203-53.16C439.5 95.03 419.7 92.36 404.1 101.2z"],
    "burst": [512, 512, [], "e4dc", "M256 8C262.9 8 269.1 12.47 271.2 19.07L308.3 133.5L386.5 104.1C392.4 102.8 398.9 104.3 403.3 108.7C407.7 113.1 409.2 119.6 407 125.5L378.5 203.7L492.9 240.8C499.5 242.9 504 249.1 504 256C504 262.9 499.5 269.1 492.9 271.2L380.8 307.5L438.2 416.6C441.4 422.8 440.3 430.4 435.3 435.3C430.4 440.3 422.8 441.4 416.6 438.2L307.5 380.8L271.2 492.9C269.1 499.5 262.9 504 256 504C249.1 504 242.9 499.5 240.8 492.9L204.5 380.8L95.45 438.2C89.25 441.4 81.64 440.3 76.69 435.3C71.73 430.4 70.58 422.8 73.84 416.6L131.2 307.5L19.07 271.2C12.47 269.1 8 262.9 8 256C8 249.1 12.47 242.9 19.07 240.8L128.9 205.2L10.81 33.05C6.447 26.69 7.238 18.14 12.69 12.69C18.14 7.238 26.69 6.447 33.05 10.8L205.2 128.9L240.8 19.07C242.9 12.47 249.1 8 256 8H256zM256 24L220.4 133.8C217.1 143.1 204.1 148.1 196.2 142.1L24 24L142.1 196.2C148.1 204.1 143.1 217.1 133.8 220.4L24 256L136.1 292.3C145.6 295.4 149.1 306.2 145.3 314.1L88 424L197 366.7C205.8 362 216.6 366.5 219.7 375.9L256 488L292.3 375.9C295.4 366.5 306.2 362 314.1 366.7L424 424L366.7 314.1C362 306.2 366.5 295.4 375.9 292.3L488 256L373.6 218.9C364.1 216.1 360.4 206.8 363.5 198.2L392 120L313.8 148.5C305.2 151.6 295.9 147 293.1 138.4L256 24z"],
    "bus": [576, 512, [128653], "f207", "M352 48C356.4 48 360 51.58 360 56C360 60.42 356.4 64 352 64H224C219.6 64 216 60.42 216 56C216 51.58 219.6 48 224 48H352zM200 352C200 374.1 182.1 392 160 392C137.9 392 120 374.1 120 352C120 329.9 137.9 312 160 312C182.1 312 200 329.9 200 352zM160 376C173.3 376 184 365.3 184 352C184 338.7 173.3 328 160 328C146.7 328 136 338.7 136 352C136 365.3 146.7 376 160 376zM376 352C376 329.9 393.9 312 416 312C438.1 312 456 329.9 456 352C456 374.1 438.1 392 416 392C393.9 392 376 374.1 376 352zM416 328C402.7 328 392 338.7 392 352C392 365.3 402.7 376 416 376C429.3 376 440 365.3 440 352C440 338.7 429.3 328 416 328zM70.47 69.67C93.19 41.38 160.6 0 288 0C424.6 0 484.4 41.27 505.8 69.78C510.5 75.93 512 83.24 512 89.88V392C512 414.3 498.9 433.6 480 442.6V504C480 508.4 476.4 512 472 512C467.6 512 464 508.4 464 504V447.4C461.4 447.8 458.7 448 456 448H120C117.3 448 114.6 447.8 112 447.4V504C112 508.4 108.4 512 104 512C99.58 512 96 508.4 96 504V442.6C77.08 433.6 64 414.3 64 392V89.88C64 83.27 65.53 75.81 70.47 69.67zM288 16C163.5 16 101.6 56.46 82.94 79.69C81.02 82.08 80 85.54 80 89.88V96H496V89.88C496 85.57 494.1 81.98 493 79.38C475.7 56.35 421.7 16 287.1 16H288zM280 256V112H80V256H280zM296 256H496V112H296V256zM120 432H456C478.1 432 496 414.1 496 392V272H80V392C80 414.1 97.91 432 120 432zM0 136C0 122.7 10.75 112 24 112H32C36.42 112 40 115.6 40 120C40 124.4 36.42 128 32 128H24C19.58 128 16 131.6 16 136V248C16 252.4 19.58 256 24 256H32C36.42 256 40 259.6 40 264C40 268.4 36.42 272 32 272H24C10.75 272 0 261.3 0 248V136zM552 112C565.3 112 576 122.7 576 136V248C576 261.3 565.3 272 552 272H544C539.6 272 536 268.4 536 264C536 259.6 539.6 256 544 256H552C556.4 256 560 252.4 560 248V136C560 131.6 556.4 128 552 128H544C539.6 128 536 124.4 536 120C536 115.6 539.6 112 544 112H552z"],
    "bus-school": [512, 512, [], "f5dd", "M320 48C324.4 48 328 51.58 328 56C328 60.42 324.4 64 320 64H192C187.6 64 184 60.42 184 56C184 51.58 187.6 48 192 48H320zM168 344C168 366.1 150.1 384 128 384C105.9 384 88 366.1 88 344C88 321.9 105.9 304 128 304C150.1 304 168 321.9 168 344zM128 368C141.3 368 152 357.3 152 344C152 330.7 141.3 320 128 320C114.7 320 104 330.7 104 344C104 357.3 114.7 368 128 368zM424 344C424 366.1 406.1 384 384 384C361.9 384 344 366.1 344 344C344 321.9 361.9 304 384 304C406.1 304 424 321.9 424 344zM384 368C397.3 368 408 357.3 408 344C408 330.7 397.3 320 384 320C370.7 320 360 330.7 360 344C360 357.3 370.7 368 384 368zM448 78.98V260.1C467.5 276.3 480 300.7 480 328V400C480 426.5 458.5 448 432 448V504C432 508.4 428.4 512 424 512C419.6 512 416 508.4 416 504V448H96V504C96 508.4 92.42 512 88 512C83.58 512 80 508.4 80 504V448C53.49 448 32 426.5 32 400V328C32 300.7 44.46 276.3 64 260.1V78.98C64 72.4 65.52 64.83 70.66 58.7C91.12 34.32 148.8 0 256 0C370.9 0 422.4 34.2 441.7 58.81C446.5 64.97 448 72.37 448 78.98V78.98zM80 78.98V96H432V78.98C432 74.65 430.1 71.13 429.1 68.66C413.9 49.3 367.1 16 256 16C151.7 16 99.35 49.4 82.92 68.98C81.03 71.24 80 74.62 80 78.98zM80 112V249.6C92 243.5 105.6 240 120 240H248V112H80zM432 112H264V240H392C406.4 240 420 243.5 432 249.6V112zM120 256C80.24 256 48 288.2 48 328V400C48 417.7 62.33 432 80 432H432C449.7 432 464 417.7 464 400V328C464 288.2 431.8 256 392 256H120zM0 120C0 106.7 10.75 96 24 96H32C36.42 96 40 99.58 40 104C40 108.4 36.42 112 32 112H24C19.58 112 16 115.6 16 120V232C16 236.4 19.58 240 24 240H32C36.42 240 40 243.6 40 248C40 252.4 36.42 256 32 256H24C10.75 256 0 245.3 0 232V120zM488 96C501.3 96 512 106.7 512 120V232C512 245.3 501.3 256 488 256H480C475.6 256 472 252.4 472 248C472 243.6 475.6 240 480 240H488C492.4 240 496 236.4 496 232V120C496 115.6 492.4 112 488 112H480C475.6 112 472 108.4 472 104C472 99.58 475.6 96 480 96H488z"],
    "bus-simple": [448, 512, ["bus-alt"], "f55e", "M56 352C56 329.9 73.91 312 96 312C118.1 312 136 329.9 136 352C136 374.1 118.1 392 96 392C73.91 392 56 374.1 56 352zM96 328C82.75 328 72 338.7 72 352C72 365.3 82.75 376 96 376C109.3 376 120 365.3 120 352C120 338.7 109.3 328 96 328zM392 352C392 374.1 374.1 392 352 392C329.9 392 312 374.1 312 352C312 329.9 329.9 312 352 312C374.1 312 392 329.9 392 352zM352 376C365.3 376 376 365.3 376 352C376 338.7 365.3 328 352 328C338.7 328 328 338.7 328 352C328 365.3 338.7 376 352 376zM441.8 69.78C446.5 75.93 448 83.24 448 89.88V392C448 414.3 434.9 433.6 416 442.6V504C416 508.4 412.4 512 408 512C403.6 512 400 508.4 400 504V447.4C397.4 447.8 394.7 448 392 448H56C53.28 448 50.61 447.8 48 447.4V504C48 508.4 44.42 512 40 512C35.58 512 32 508.4 32 504V442.6C13.08 433.6 0 414.3 0 392V89.88C0 83.27 1.531 75.81 6.466 69.67C29.19 41.38 96.61 0 224 0C360.6 0 420.4 41.27 441.8 69.78zM16 89.88V96H432V89.88C432 85.57 430.1 81.98 429 79.38C411.7 56.35 357.7 15.1 224 15.1C99.54 15.1 37.6 56.46 18.94 79.69C17.02 82.08 16 85.54 16 89.88V89.88zM16 112V256H432V112H16zM432 272H16V392C16 414.1 33.91 432 56 432H392C414.1 432 432 414.1 432 392V272z"],
    "business-time": [640, 512, ["briefcase-clock"], "f64a", "M16 144c0-17.64 14.36-32 32-32h416c17.64 0 32 14.36 32 32V160H512V144C512 117.5 490.5 96 464 96H384V40C384 17.94 366.1 0 344 0h-176C145.9 0 128 17.94 128 40V96H48C21.49 96 0 117.5 0 144v288C0 458.5 21.49 480 48 480H320v-16H48c-17.64 0-32-14.36-32-32v-160h160v56C176 341.2 186.8 352 200 352H288v-16H200C195.6 336 192 332.4 192 328V272h128V256H16V144zM144 40c0-13.22 10.78-24 24-24h176c13.22 0 24 10.78 24 24V96h-224V40zM552 368H496V296C496 291.6 492.4 288 488 288S480 291.6 480 296v80c0 4.406 3.578 8 8 8h64c4.422 0 8-3.594 8-8S556.4 368 552 368zM496 224C416.5 224 352 288.5 352 368s64.47 144 144 144s144-64.47 144-144S575.5 224 496 224zM496 496c-70.58 0-128-57.42-128-128s57.42-128 128-128c70.58 0 128 57.42 128 128S566.6 496 496 496z"],
    "butter": [640, 512, [129480], "e3e4", "M80 112c0-17.64 14.36-32 32-32H448V288h16V80h64c17.64 0 32 14.36 32 32V288H576V112C576 85.49 554.5 64 528 64h-64H448H112C85.49 64 64 85.49 64 112V288h16V112zM632 320H8C3.594 320 0 323.6 0 328s3.594 8 8 8H32v72C32 430.1 49.94 448 72 448h496c22.06 0 40-17.94 40-40V336h24c4.406 0 8-3.578 8-8S636.4 320 632 320zM592 408c0 13.23-10.78 24-24 24H72c-13.22 0-24-10.77-24-24V336h544V408z"],
    "c": [384, 512, [99], "43", "M223.5 480c-125.2 0-223.4-101.8-223.4-223.1C.096 133.7 98.4 32 223.5 32C325.6 32 384 98.54 384 103.3c0 4.273-3.443 8-8.002 8C366.6 111.3 322.8 48 223.5 48c-116 0-207.5 94.31-207.5 208c0 113.7 91.55 207.1 207.5 207.1c99.37 0 143.2-63.25 152.5-63.25c4.562 0 8.002 3.727 8.002 8C384 413.4 325.7 480 223.5 480z"],
    "cabin": [576, 512, [], "e46d", "M248 143.1C248 121.9 265.9 103.1 288 103.1C310.1 103.1 328 121.9 328 143.1C328 166.1 310.1 183.1 288 183.1C265.9 183.1 248 166.1 248 143.1zM288 119.1C274.7 119.1 264 130.7 264 143.1C264 157.3 274.7 167.1 288 167.1C301.3 167.1 312 157.3 312 143.1C312 130.7 301.3 119.1 288 119.1V119.1zM512 271.1V287.1C512 297.6 507.8 306.1 501.2 311.1C507.8 317.9 512 326.4 512 336V352C512 361.6 507.8 370.1 501.2 376C507.8 381.9 512 390.4 512 400V416C512 425.6 507.8 434.1 501.2 440C507.8 445.9 512 454.4 512 464V480C512 497.7 497.7 512 480 512H384C366.3 512 352 497.7 352 480V464C352 454.4 356.2 445.9 362.8 440C356.2 434.1 352 425.6 352 416V400C352 390.4 356.2 381.9 362.8 376C356.2 370.1 352 361.6 352 352V336C352 326.4 356.2 317.9 362.8 311.1C356.2 306.1 352 297.6 352 287.1V271.1C352 266.2 353.6 260.7 356.3 255.1H219.7C222.4 260.7 224 266.2 224 271.1V287.1C224 297.6 219.8 306.1 213.2 311.1C219.8 317.9 224 326.4 224 336V352C224 361.6 219.8 370.1 213.2 376C219.8 381.9 224 390.4 224 400V416C224 425.6 219.8 434.1 213.2 440C219.8 445.9 224 454.4 224 464V480C224 497.7 209.7 512 192 512H96C78.33 512 64 497.7 64 480V464C64 454.4 68.19 445.9 74.83 440C68.19 434.1 64 425.6 64 416V400C64 390.4 68.19 381.9 74.83 376C68.19 370.1 64 361.6 64 352V336C64 326.4 68.19 317.9 74.83 311.1C68.19 306.1 64 297.6 64 287.1V271.1C64 266.2 65.56 260.7 68.28 255.1H37.58C21.24 255.1 8 242.8 8 226.4C8 217.4 12.12 208.9 19.18 203.3L263.1 9.538C277.7-2.03 298.3-2.03 312.9 9.538L400 78.72V56C400 42.75 410.7 31.1 424 31.1H488C501.3 31.1 512 42.75 512 56V167.7L556.8 203.3C563.9 208.9 568 217.4 568 226.4C568 242.8 554.8 256 538.4 256H507.7C510.4 260.7 512 266.2 512 272V271.1zM302.9 22.07C294.2 15.13 281.8 15.13 273.1 22.07L29.14 215.8C25.89 218.4 24 222.3 24 226.4C24 233.9 30.08 239.1 37.58 239.1H538.4C545.9 239.1 552 233.9 552 226.4C552 222.3 550.1 218.4 546.9 215.8L496.8 175.1H496V175.4L302.9 22.07zM480 432C488.8 432 496 424.8 496 416V400C496 391.2 488.8 384 480 384H384C375.2 384 368 391.2 368 400V416C368 424.8 375.2 432 384 432H480zM384 448C375.2 448 368 455.2 368 464V480C368 488.8 375.2 496 384 496H480C488.8 496 496 488.8 496 480V464C496 455.2 488.8 448 480 448H384zM496 352V336C496 327.2 488.8 319.1 480 319.1H384C375.2 319.1 368 327.2 368 336V352C368 360.8 375.2 368 384 368H480C488.8 368 496 360.8 496 352zM480 255.1H384C375.2 255.1 368 263.2 368 271.1V287.1C368 296.8 375.2 303.1 384 303.1H480C488.8 303.1 496 296.8 496 287.1V271.1C496 263.2 488.8 255.1 480 255.1zM192 432C200.8 432 208 424.8 208 416V400C208 391.2 200.8 384 192 384H96C87.16 384 80 391.2 80 400V416C80 424.8 87.16 432 96 432H192zM96 448C87.16 448 80 455.2 80 464V480C80 488.8 87.16 496 96 496H192C200.8 496 208 488.8 208 480V464C208 455.2 200.8 448 192 448H96zM208 352V336C208 327.2 200.8 319.1 192 319.1H96C87.16 319.1 80 327.2 80 336V352C80 360.8 87.16 368 96 368H192C200.8 368 208 360.8 208 352zM192 255.1H96C87.16 255.1 80 263.2 80 271.1V287.1C80 296.8 87.16 303.1 96 303.1H192C200.8 303.1 208 296.8 208 287.1V271.1C208 263.2 200.8 255.1 192 255.1zM496 154.1V55.1C496 51.58 492.4 47.1 488 47.1H424C419.6 47.1 416 51.58 416 55.1V91.43L496 154.1z"],
    "cabinet-filing": [448, 512, [128452], "f64b", "M136 400c4.422 0 8-3.578 8-8v-16c0-4.406 3.594-8 8-8h144c4.406 0 8 3.594 8 8v16c0 4.422 3.578 8 8 8S320 396.4 320 392v-16c0-13.23-10.77-24-24-24h-144C138.8 352 128 362.8 128 376v16C128 396.4 131.6 400 136 400zM296 96h-144C138.8 96 128 106.8 128 120v16C128 140.4 131.6 144 136 144S144 140.4 144 136v-16c0-4.406 3.594-8 8-8h144c4.406 0 8 3.594 8 8v16c0 4.422 3.578 8 8 8S320 140.4 320 136v-16C320 106.8 309.2 96 296 96zM384 0H64C28.66 0 0 28.66 0 64v384c0 35.34 28.66 64 64 64h320c35.34 0 64-28.66 64-64V64C448 28.66 419.3 0 384 0zM432 448c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V264h416V448zM432 248h-416V64c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V248z"],
    "cable-car": [512, 512, [128673, 57551, "tram"], "f7da", "M320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32zM288 16C279.2 16 272 23.16 272 32C272 40.84 279.2 48 288 48C296.8 48 304 40.84 304 32C304 23.16 296.8 16 288 16zM160 64C160 46.33 174.3 32 192 32C209.7 32 224 46.33 224 64C224 81.67 209.7 96 192 96C174.3 96 160 81.67 160 64zM192 80C200.8 80 208 72.84 208 64C208 55.16 200.8 48 192 48C183.2 48 176 55.16 176 64C176 72.84 183.2 80 192 80zM80 304C80 286.3 94.33 272 112 272H400C417.7 272 432 286.3 432 304V368C432 385.7 417.7 400 400 400H112C94.33 400 80 385.7 80 368V304zM96 368C96 376.8 103.2 384 112 384H192V288H112C103.2 288 96 295.2 96 304V368zM304 384V288H208V384H304zM320 384H400C408.8 384 416 376.8 416 368V304C416 295.2 408.8 288 400 288H320V384zM480 288V448C480 483.3 451.3 512 416 512H96C60.65 512 32 483.3 32 448V288C32 252.7 60.65 224 96 224H247.1V130L9.762 183.8C5.452 184.8 1.17 182.1 .1962 177.8C-.777 173.5 1.928 169.2 6.238 168.2L502.2 56.2C506.5 55.22 510.8 57.93 511.8 62.24C512.8 66.55 510.1 70.83 505.8 71.8L264 126.4V223.1H416C451.3 223.1 480 252.7 480 287.1L480 288zM416 240H96C69.49 240 48 261.5 48 288V448C48 474.5 69.49 496 96 496H416C442.5 496 464 474.5 464 448V288C464 261.5 442.5 240 416 240z"],
    "cactus": [512, 512, [127797], "f8a7", "M464 224c-26.5 0-48 21.5-48 47.1v32c0 8.875-7.125 15.1-16 15.1H352V144h24c4.422 0 8-3.578 8-7.1s-3.578-7.1-8-7.1H352V101.4c0-51.1-38.88-98.5-90.88-101.2C259.5 .0418 257.7 0 256.1 0c-24.5-.002-48.15 9.408-66.06 26.38C170.9 44.51 160 69.63 160 96v127.1L112 224c-8.875 0-16-7.125-16-15.1V176c0-26.5-21.5-47.1-48-47.1S0 149.5 0 176v31.1c0 61.87 50.13 111.1 112 111.1H160v63.1H136c-4.422 0-8 3.578-8 7.1s3.578 7.1 8 7.1H160v79.1C160 497.6 174.4 512 192 512h128c17.62 0 32-14.37 32-31.1v-63.1l48-.0004c61.88 0 112-50.12 112-111.1V272C512 245.5 490.5 224 464 224zM160 304L112 304c-52.94 0-96-43.07-96-95.1V176c0-17.64 14.36-31.1 32-31.1s32 14.36 32 31.1v31.1c0 17.64 14.36 31.1 32 31.1H160V304zM336 480c0 8.822-7.178 15.1-16 15.1H192c-8.822 0-16-7.178-16-15.1V96c0-21.81 9.113-42.95 25.01-58.01c14.97-14.18 34.54-21.1 55.12-21.99c1.387 0 2.777 .0352 4.16 .1074C302 18.32 336 56.57 336 101.4V480zM496 304c0 52.93-43.06 95.1-96 95.1H352V336l48 0c17.64 0 32-14.36 32-31.1V272c0-17.64 14.36-31.1 32-31.1s32 14.36 32 31.1V304zM224 144c-8.875 0-16 7.125-16 15.1S215.1 176 224 176s16-7.125 16-15.1C240 151.1 232.9 144 224 144zM288 368c-8.875 0-16 7.125-16 15.1c0 8.875 7.125 15.1 16 15.1s16-7.125 16-15.1C304 375.1 296.9 368 288 368z"],
    "cake-candles": [448, 512, [127874, "birthday-cake", "cake"], "f1fd", "M383.1 223.1L360 223.9V167.9c0-4.423-3.578-7.946-8-7.946s-8 3.523-8 7.946v56.02h-112V167.9c0-4.423-3.578-7.946-8-7.946S216 163.5 216 167.9v56.02h-112V167.9c0-4.423-3.578-7.946-8-7.946S88 163.5 88 167.9v56.02L64 223.1c-35.35 0-64 28.64-64 63.1v192C0 497.7 14.33 512 32 512h384c17.67 0 32-14.32 32-32V287.1C448 252.6 419.3 223.1 383.1 223.1zM432 479.1c0 8.825-7.178 16.01-16 16.01H32c-8.822 0-16-7.18-16-16.01v-90.45c5.236 1.381 10.56 2.417 16 2.417c26.89 0 52.84-19.55 64-29.17c11.16 9.612 37.11 29.17 64 29.17s52.84-19.55 64-29.17c11.16 9.612 37.11 29.17 64 29.17s52.84-19.55 64-29.17c11.16 9.612 37.11 29.17 64 29.17c5.438 0 10.76-1.035 16-2.417V479.1zM432 372.8c-5.262 1.766-10.61 3.11-16 3.11c-28.25 0-58.05-29.37-58.34-29.67c-3.125-3.126-8.188-3.126-11.31 0C346 346.6 316.3 375.1 288 375.1s-58.05-29.37-58.34-29.67c-3.125-3.126-8.188-3.126-11.31 0C218 346.6 188.3 375.1 160 375.1s-58.05-29.37-58.34-29.67c-3.125-3.126-8.188-3.126-11.31 0C90.05 346.6 60.25 375.1 32 375.1c-5.389 0-10.74-1.344-16-3.11V287.9c0-26.48 21.53-48.02 48-48.02h24v40.01c0 4.423 3.578 8.038 8 8.038s8-3.615 8-8.038V239.9h112v40.01c0 4.423 3.578 8.038 8 8.038s8-3.615 8-8.038V239.9h112v40.01c0 4.423 3.578 8.038 8 8.038s8-3.615 8-8.038V239.9H384c26.47 0 48 21.54 48 48.02V372.8zM224 127.9c26.47 0 48-21.54 48-48.02c0-24.21-37.48-71.7-41.75-77.03c-3.062-3.782-9.438-3.782-12.5 0C213.5 8.166 176 55.65 176 79.86C176 106.3 197.5 127.9 224 127.9zM224 20.92c14.33 19.15 32 46.76 32 58.94c0 17.65-14.36 32.11-32 32.11S192 97.51 192 79.86C192 67.69 209.7 40.07 224 20.92zM352 127.9c26.47 0 48-21.54 48-48.02c0-24.21-37.48-71.7-41.75-77.03c-3.062-3.782-9.438-3.782-12.5 0C341.5 8.166 304 55.65 304 79.86C304 106.3 325.5 127.9 352 127.9zM352 20.92c14.33 19.15 32 46.76 32 58.94c0 17.65-14.36 32.11-32 32.11s-32-14.46-32-32.11C320 67.69 337.7 40.07 352 20.92zM96 127.9c26.47 0 48-21.54 48-48.02c0-24.21-37.48-71.7-41.75-77.03c-3.062-3.782-9.438-3.782-12.5 0C85.48 8.166 48 55.65 48 79.86C48 106.3 69.53 127.9 96 127.9zM96 20.92c14.33 19.15 32 46.76 32 58.94c0 17.65-14.36 32.11-32 32.11S64 97.51 64 79.86C64 67.69 81.67 40.07 96 20.92z"],
    "cake-slice": [512, 512, [127856, "shortcake"], "e3e5", "M450.6 101.7C490 143.4 512 198.6 512 256V448C512 456.5 508.6 464.6 502.6 470.6C496.6 476.6 488.5 480 480 480H32C23.51 480 15.37 476.6 9.372 470.6C3.371 464.6 0 456.5 0 448V271.6C.0064 266.8 1.122 261.1 3.262 257.6C5.403 253.2 8.511 249.4 12.35 246.4L278.8 39.01C284.5 34.45 291.5 31.97 298.8 32H299.9C357.2 35.11 411.1 60.07 450.6 101.7zM496 400H16V448C16 452.2 17.69 456.3 20.69 459.3C23.69 462.3 27.76 464 32 464H480C484.2 464 488.3 462.3 491.3 459.3C494.3 456.3 496 452.2 496 448V400zM496 352H16V384H496V352zM496 272H16V336H496V272zM496 256C496 202.7 475.6 151.4 438.9 112.7C402.2 74 352.1 50.84 298.9 48C295.2 47.98 291.7 49.21 288.8 51.49L26.02 256H496z"],
    "calculator": [384, 512, [128425], "f1ec", "M80 256h32C120.8 256 128 248.8 128 240v-32C128 199.2 120.8 192 112 192h-32C71.16 192 64 199.2 64 208v32C64 248.8 71.16 256 80 256zM80 208h32v32h-32V208zM64 336C64 344.8 71.16 352 80 352h32C120.8 352 128 344.8 128 336v-32C128 295.2 120.8 288 112 288h-32C71.16 288 64 295.2 64 304V336zM80 304h32v32h-32V304zM208 384h-128C71.16 384 64 391.2 64 400v32C64 440.8 71.16 448 80 448h128c8.836 0 16-7.164 16-16v-32C224 391.2 216.8 384 208 384zM208 432h-128v-32h128V432zM304 288h-32C263.2 288 256 295.2 256 304v32c0 8.836 7.164 16 16 16h32c8.836 0 16-7.164 16-16v-32C320 295.2 312.8 288 304 288zM304 336h-32v-32h32V336zM288 64H96C78.33 64 64 78.33 64 96v32c0 17.67 14.33 32 32 32h192c17.67 0 32-14.33 32-32V96C320 78.33 305.7 64 288 64zM304 128c0 8.822-7.178 16-16 16H96C87.18 144 80 136.8 80 128V96c0-8.822 7.178-16 16-16h192c8.822 0 16 7.178 16 16V128zM304 192h-32C263.2 192 256 199.2 256 208v32C256 248.8 263.2 256 272 256h32C312.8 256 320 248.8 320 240v-32C320 199.2 312.8 192 304 192zM304 240h-32v-32h32V240zM320 0H64C28.66 0 0 28.66 0 64v384c0 35.34 28.66 64 64 64h256c35.34 0 64-28.66 64-64V64C384 28.66 355.3 0 320 0zM368 448c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V64c0-26.47 21.53-48 48-48h256c26.47 0 48 21.53 48 48V448zM208 192h-32C167.2 192 160 199.2 160 208v32C160 248.8 167.2 256 176 256h32C216.8 256 224 248.8 224 240v-32C224 199.2 216.8 192 208 192zM208 240h-32v-32h32V240zM208 288h-32C167.2 288 160 295.2 160 304v32C160 344.8 167.2 352 176 352h32c8.836 0 16-7.164 16-16v-32C224 295.2 216.8 288 208 288zM208 336h-32v-32h32V336zM304 384h-32c-8.836 0-16 7.164-16 16v32c0 8.836 7.164 16 16 16h32c8.836 0 16-7.164 16-16v-32C320 391.2 312.8 384 304 384zM304 432h-32v-32h32V432z"],
    "calculator-simple": [512, 512, ["calculator-alt"], "f64c", "M40 120h144C188.4 120 192 116.4 192 112S188.4 104 184 104h-144C35.59 104 32 107.6 32 112S35.59 120 40 120zM328 120h64v64c0 4.406 3.594 8.042 8 8.042S408 188.4 408 184v-64h64c4.406 0 8-3.552 8-7.958S476.4 104 472 104h-64v-64c0-4.406-3.594-7.958-8-7.958S392 35.59 392 40v64h-64C323.6 104 320 107.6 320 112S323.6 120 328 120zM168.6 343.4c-3.115-3.115-8.197-3.115-11.31 0L112 388.7l-45.25-45.25c-3.117-3.115-8.199-3.115-11.31 0s-3.115 8.197 0 11.31L100.7 400l-45.25 45.25c-3.115 3.117-3.115 8.199 0 11.31s8.197 3.115 11.31 0L112 411.3l45.25 45.25c3.117 3.115 8.199 3.115 11.31 0s3.115-8.197 0-11.31L123.3 400l45.25-45.25C171.7 351.6 171.7 346.5 168.6 343.4zM472 360h-144c-4.406 0-8 3.594-8 8s3.594 8 8 8h144c4.406 0 8-3.594 8-8S476.4 360 472 360zM472 424h-144c-4.406 0-8 3.594-8 8s3.594 8 8 8h144c4.406 0 8-3.594 8-8S476.4 424 472 424zM504 248h-240v-240C264 3.578 260.4 0 256 0S248 3.578 248 8v240h-240C3.594 248 0 251.6 0 256s3.594 8 8 8h240v240C248 508.4 251.6 512 256 512s8-3.578 8-8v-240h240C508.4 264 512 260.4 512 256S508.4 248 504 248z"],
    "calendar": [448, 512, [128198, 128197], "f133", "M120 0C124.4 0 128 3.582 128 8V64H320V8C320 3.582 323.6 0 328 0C332.4 0 336 3.582 336 8V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H112V8C112 3.582 115.6 0 120 0zM432 192H16V448C16 474.5 37.49 496 64 496H384C410.5 496 432 474.5 432 448V192zM112 120V80H64C37.49 80 16 101.5 16 128V176H432V128C432 101.5 410.5 80 384 80H336V120C336 124.4 332.4 128 328 128C323.6 128 320 124.4 320 120V80H128V120C128 124.4 124.4 128 120 128C115.6 128 112 124.4 112 120z"],
    "calendar-arrow-down": [448, 512, ["calendar-download"], "e0d0", "M232 404.7L306.3 330.3C309.5 327.2 314.5 327.2 317.7 330.3C320.8 333.5 320.8 338.5 317.7 341.7L229.7 429.7C226.5 432.8 221.5 432.8 218.3 429.7L130.3 341.7C127.2 338.5 127.2 333.5 130.3 330.3C133.5 327.2 138.5 327.2 141.7 330.3L215.1 404.7V248C215.1 243.6 219.6 240 223.1 240C228.4 240 232 243.6 232 248L232 404.7zM128 64H320V8C320 3.582 323.6 0 328 0C332.4 0 336 3.582 336 8V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H112V8C112 3.582 115.6 0 120 0C124.4 0 128 3.582 128 8V64zM16 448C16 474.5 37.49 496 64 496H384C410.5 496 432 474.5 432 448V192H16V448zM64 80C37.49 80 16 101.5 16 128V176H432V128C432 101.5 410.5 80 384 80H336V120C336 124.4 332.4 128 328 128C323.6 128 320 124.4 320 120V80H128V120C128 124.4 124.4 128 120 128C115.6 128 112 124.4 112 120V80H64z"],
    "calendar-arrow-up": [448, 512, ["calendar-upload"], "e0d1", "M216 267.3L141.7 341.7C138.5 344.8 133.5 344.8 130.3 341.7C127.2 338.5 127.2 333.5 130.3 330.3L218.3 242.3C221.5 239.2 226.5 239.2 229.7 242.3L317.7 330.3C320.8 333.5 320.8 338.5 317.7 341.7C314.5 344.8 309.5 344.8 306.3 341.7L232 267.3V424C232 428.4 228.4 432 224 432C219.6 432 216 428.4 216 424L216 267.3zM128 64H320V8C320 3.582 323.6 0 328 0C332.4 0 336 3.582 336 8V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H112V8C112 3.582 115.6 0 120 0C124.4 0 128 3.582 128 8V64zM16 448C16 474.5 37.49 496 64 496H384C410.5 496 432 474.5 432 448V192H16V448zM64 80C37.49 80 16 101.5 16 128V176H432V128C432 101.5 410.5 80 384 80H336V120C336 124.4 332.4 128 328 128C323.6 128 320 124.4 320 120V80H128V120C128 124.4 124.4 128 120 128C115.6 128 112 124.4 112 120V80H64z"],
    "calendar-check": [448, 512, [], "f274", "M213.7 405.7C210.5 408.8 205.5 408.8 202.3 405.7L130.3 333.7C127.2 330.5 127.2 325.5 130.3 322.3C133.5 319.2 138.5 319.2 141.7 322.3L208 388.7L322.3 274.3C325.5 271.2 330.5 271.2 333.7 274.3C336.8 277.5 336.8 282.5 333.7 285.7L213.7 405.7zM128 64H320V8C320 3.582 323.6 0 328 0C332.4 0 336 3.582 336 8V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H112V8C112 3.582 115.6 0 120 0C124.4 0 128 3.582 128 8V64zM16 448C16 474.5 37.49 496 64 496H384C410.5 496 432 474.5 432 448V192H16V448zM64 80C37.49 80 16 101.5 16 128V176H432V128C432 101.5 410.5 80 384 80H336V120C336 124.4 332.4 128 328 128C323.6 128 320 124.4 320 120V80H128V120C128 124.4 124.4 128 120 128C115.6 128 112 124.4 112 120V80H64z"],
    "calendar-circle-exclamation": [576, 512, [], "e46e", "M120 0C124.4 0 128 3.582 128 8V64H320V8C320 3.582 323.6 0 328 0C332.4 0 336 3.582 336 8V64H384C419.3 64 448 92.65 448 128V192H16V448C16 474.5 37.49 496 64 496H311.2C317.3 501.8 323.9 507.1 330.8 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H112V8C112 3.582 115.6 0 120 0zM112 120V80H64C37.49 80 16 101.5 16 128V176H432V128C432 101.5 410.5 80 384 80H336V120C336 124.4 332.4 128 328 128C323.6 128 320 124.4 320 120V80H128V120C128 124.4 124.4 128 120 128C115.6 128 112 124.4 112 120zM448 432C448 440.8 440.8 448 432 448C423.2 448 416 440.8 416 432C416 423.2 423.2 416 432 416C440.8 416 448 423.2 448 432zM439.1 384C439.1 388.4 436.4 392 431.1 392C427.6 392 423.1 388.4 423.1 384V288C423.1 283.6 427.6 280 431.1 280C436.4 280 439.1 283.6 439.1 288V384zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 496C502.7 496 560 438.7 560 368C560 297.3 502.7 240 432 240C361.3 240 304 297.3 304 368C304 438.7 361.3 496 432 496z"],
    "calendar-circle-minus": [576, 512, [], "e46f", "M120 0C124.4 0 128 3.582 128 8V64H320V8C320 3.582 323.6 0 328 0C332.4 0 336 3.582 336 8V64H384C419.3 64 448 92.65 448 128V192H16V448C16 474.5 37.49 496 64 496H311.2C317.3 501.8 323.9 507.1 330.8 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H112V8C112 3.582 115.6 0 120 0zM112 120V80H64C37.49 80 16 101.5 16 128V176H432V128C432 101.5 410.5 80 384 80H336V120C336 124.4 332.4 128 328 128C323.6 128 320 124.4 320 120V80H128V120C128 124.4 124.4 128 120 128C115.6 128 112 124.4 112 120zM360 375.1C355.6 375.1 352 372.4 352 367.1C352 363.6 355.6 359.1 360 359.1H504C508.4 359.1 512 363.6 512 367.1C512 372.4 508.4 375.1 504 375.1H360zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 240C361.3 240 304 297.3 304 368C304 438.7 361.3 496 432 496C502.7 496 560 438.7 560 368C560 297.3 502.7 240 432 240z"],
    "calendar-circle-plus": [576, 512, [], "e470", "M120 0C124.4 0 128 3.582 128 8V64H320V8C320 3.582 323.6 0 328 0C332.4 0 336 3.582 336 8V64H384C419.3 64 448 92.65 448 128V192H16V448C16 474.5 37.49 496 64 496H311.2C317.3 501.8 323.9 507.1 330.8 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H112V8C112 3.582 115.6 0 120 0zM112 120V80H64C37.49 80 16 101.5 16 128V176H432V128C432 101.5 410.5 80 384 80H336V120C336 124.4 332.4 128 328 128C323.6 128 320 124.4 320 120V80H128V120C128 124.4 124.4 128 120 128C115.6 128 112 124.4 112 120zM432 287.1C436.4 287.1 440 291.6 440 295.1V359.1H504C508.4 359.1 512 363.6 512 367.1C512 372.4 508.4 375.1 504 375.1H440V439.1C440 444.4 436.4 447.1 432 447.1C427.6 447.1 424 444.4 424 439.1V375.1H360C355.6 375.1 352 372.4 352 367.1C352 363.6 355.6 359.1 360 359.1H424V295.1C424 291.6 427.6 287.1 432 287.1zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 496C502.7 496 560 438.7 560 368C560 297.3 502.7 240 432 240C361.3 240 304 297.3 304 368C304 438.7 361.3 496 432 496z"],
    "calendar-circle-user": [576, 512, [], "e471", "M120 0C124.4 0 128 3.582 128 8V64H320V8C320 3.582 323.6 0 328 0C332.4 0 336 3.582 336 8V64H384C419.3 64 448 92.65 448 128V192H16V448C16 474.5 37.49 496 64 496H311.2C317.3 501.8 323.9 507.1 330.8 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H112V8C112 3.582 115.6 0 120 0zM112 120V80H64C37.49 80 16 101.5 16 128V176H432V128C432 101.5 410.5 80 384 80H336V120C336 124.4 332.4 128 328 128C323.6 128 320 124.4 320 120V80H128V120C128 124.4 124.4 128 120 128C115.6 128 112 124.4 112 120zM480 336C480 362.5 458.5 384 432 384C405.5 384 384 362.5 384 336C384 309.5 405.5 288 432 288C458.5 288 480 309.5 480 336zM432 304C414.3 304 400 318.3 400 336C400 353.7 414.3 368 432 368C449.7 368 464 353.7 464 336C464 318.3 449.7 304 432 304zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 496C461.3 496 488.3 486.2 509.9 469.6L506.5 462.1C497 443.1 477.7 432 456.4 432H407.6C386.3 432 366.1 443.1 357.5 462.1L354.1 469.6C375.7 486.2 402.7 496 432 496zM520.8 455.8L522.3 458.7C545.6 435.5 560 403.5 560 368C560 297.3 502.7 240 432 240C361.3 240 304 297.3 304 368C304 403.5 318.4 435.5 341.7 458.7L343.2 455.8C355.4 431.4 380.3 416 407.6 416H456.4C483.7 416 508.6 431.4 520.8 455.8z"],
    "calendar-clock": [576, 512, ["calendar-time"], "e0d2", "M120 0C124.4 0 128 3.582 128 8V64H320V8C320 3.582 323.6 0 328 0C332.4 0 336 3.582 336 8V64H384C419.3 64 448 92.65 448 128V192.7C442.7 192.2 437.4 192 432 192H16V448C16 474.5 37.49 496 64 496H311.2C317.3 501.8 323.9 507.1 330.8 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H112V8C112 3.582 115.6 0 120 0zM112 120V80H64C37.49 80 16 101.5 16 128V176H432V128C432 101.5 410.5 80 384 80H336V120C336 124.4 332.4 128 328 128C323.6 128 320 124.4 320 120V80H128V120C128 124.4 124.4 128 120 128C115.6 128 112 124.4 112 120zM431.1 288C436.4 288 439.1 291.6 439.1 296V360H488C492.4 360 496 363.6 496 368C496 372.4 492.4 376 488 376H431.1C427.6 376 423.1 372.4 423.1 368V296C423.1 291.6 427.6 288 431.1 288V288zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 496C502.7 496 560 438.7 560 368C560 297.3 502.7 240 432 240C361.3 240 304 297.3 304 368C304 438.7 361.3 496 432 496z"],
    "calendar-day": [448, 512, [], "f783", "M64 288C64 270.3 78.33 256 96 256H160C177.7 256 192 270.3 192 288V352C192 369.7 177.7 384 160 384H96C78.33 384 64 369.7 64 352V288zM80 352C80 360.8 87.16 368 96 368H160C168.8 368 176 360.8 176 352V288C176 279.2 168.8 272 160 272H96C87.16 272 80 279.2 80 288V352zM128 64H320V8C320 3.582 323.6 0 328 0C332.4 0 336 3.582 336 8V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H112V8C112 3.582 115.6 0 120 0C124.4 0 128 3.582 128 8V64zM16 448C16 474.5 37.49 496 64 496H384C410.5 496 432 474.5 432 448V192H16V448zM64 80C37.49 80 16 101.5 16 128V176H432V128C432 101.5 410.5 80 384 80H336V120C336 124.4 332.4 128 328 128C323.6 128 320 124.4 320 120V80H128V120C128 124.4 124.4 128 120 128C115.6 128 112 124.4 112 120V80H64z"],
    "calendar-days": [448, 512, ["calendar-alt"], "f073", "M128 64H320V8C320 3.582 323.6 0 328 0C332.4 0 336 3.582 336 8V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H112V8C112 3.582 115.6 0 120 0C124.4 0 128 3.582 128 8V64zM432 288V192H304V288H432zM288 192H160V288H288V192zM144 192H16V288H144V192zM16 304V400H144V304H16zM16 416V448C16 474.5 37.49 496 64 496H144V416H16zM160 496H288V416H160V496zM304 496H384C410.5 496 432 474.5 432 448V416H304V496zM432 400V304H304V400H432zM64 80C37.49 80 16 101.5 16 128V176H432V128C432 101.5 410.5 80 384 80H336V120C336 124.4 332.4 128 328 128C323.6 128 320 124.4 320 120V80H128V120C128 124.4 124.4 128 120 128C115.6 128 112 124.4 112 120V80H64zM288 304H160V400H288V304z"],
    "calendar-exclamation": [448, 512, [], "f334", "M240 416C240 424.8 232.8 432 224 432C215.2 432 208 424.8 208 416C208 407.2 215.2 400 224 400C232.8 400 240 407.2 240 416zM232 360C232 364.4 228.4 368 224 368C219.6 368 216 364.4 216 360V248C216 243.6 219.6 240 224 240C228.4 240 232 243.6 232 248V360zM120 0C124.4 0 128 3.582 128 8V64H320V8C320 3.582 323.6 0 328 0C332.4 0 336 3.582 336 8V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H112V8C112 3.582 115.6 0 120 0zM432 192H16V448C16 474.5 37.49 496 64 496H384C410.5 496 432 474.5 432 448V192zM112 120V80H64C37.49 80 16 101.5 16 128V176H432V128C432 101.5 410.5 80 384 80H336V120C336 124.4 332.4 128 328 128C323.6 128 320 124.4 320 120V80H128V120C128 124.4 124.4 128 120 128C115.6 128 112 124.4 112 120z"],
    "calendar-heart": [448, 512, [], "e0d3", "M224 283.4L237.3 269.7C259.2 247.1 295.4 247.1 317.3 269.7C338.4 291.3 338.4 325.8 317.3 347.5L241.2 425.8C231.8 435.5 216.2 435.5 206.8 425.8L130.7 347.5C109.6 325.8 109.6 291.3 130.7 269.7C152.6 247.1 188.8 247.1 210.7 269.7L224 283.4zM142.1 336.3L218.3 414.6C221.4 417.9 226.6 417.9 229.7 414.6L305.9 336.3C320.9 320.9 320.9 296.3 305.9 280.8C290.2 264.8 264.4 264.8 248.8 280.8L224 306.3L199.2 280.8C183.6 264.8 157.8 264.8 142.1 280.8C127.1 296.3 127.1 320.9 142.1 336.3zM128 64H320V8C320 3.582 323.6 0 328 0C332.4 0 336 3.582 336 8V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H112V8C112 3.582 115.6 0 120 0C124.4 0 128 3.582 128 8V64zM16 448C16 474.5 37.49 496 64 496H384C410.5 496 432 474.5 432 448V192H16V448zM64 80C37.49 80 16 101.5 16 128V176H432V128C432 101.5 410.5 80 384 80H336V120C336 124.4 332.4 128 328 128C323.6 128 320 124.4 320 120V80H128V120C128 124.4 124.4 128 120 128C115.6 128 112 124.4 112 120V80H64z"],
    "calendar-image": [448, 512, [], "e0d4", "M236.6 277.1C245.1 264.4 266 264.2 275.7 277.5L371.1 409.9C383.5 425.7 372.2 448 352.6 448H95.09C75.57 448 64.22 425.9 75.56 410.1L126.5 338.7C135.1 326.7 152.5 325.2 163 335.7L182.9 355.6L236.6 277.1zM262.8 286.9C259.5 282.5 252.9 282.6 249.7 287.1L190.6 372.6C189.2 374.5 187.1 375.8 184.7 375.1C182.4 376.2 180 375.3 178.3 373.7L151.7 347C148.2 343.5 142.4 343.1 139.5 348L88.58 419.4C84.8 424.6 88.58 432 95.09 432H352.6C359.1 432 362.9 424.6 359 419.3L262.8 286.9zM144 272C144 289.7 129.7 304 112 304C94.33 304 80 289.7 80 272C80 254.3 94.33 240 112 240C129.7 240 144 254.3 144 272zM112 288C120.8 288 128 280.8 128 272C128 263.2 120.8 256 112 256C103.2 256 96 263.2 96 272C96 280.8 103.2 288 112 288zM120 0C124.4 0 128 3.582 128 8V64H320V8C320 3.582 323.6 0 328 0C332.4 0 336 3.582 336 8V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H112V8C112 3.582 115.6 0 120 0zM432 192H16V448C16 474.5 37.49 496 64 496H384C410.5 496 432 474.5 432 448V192zM112 120V80H64C37.49 80 16 101.5 16 128V176H432V128C432 101.5 410.5 80 384 80H336V120C336 124.4 332.4 128 328 128C323.6 128 320 124.4 320 120V80H128V120C128 124.4 124.4 128 120 128C115.6 128 112 124.4 112 120z"],
    "calendar-lines": [448, 512, ["calendar-note"], "e0d5", "M96 392C96 387.6 99.58 384 104 384H248C252.4 384 256 387.6 256 392C256 396.4 252.4 400 248 400H104C99.58 400 96 396.4 96 392zM344 288C348.4 288 352 291.6 352 296C352 300.4 348.4 304 344 304H104C99.58 304 96 300.4 96 296C96 291.6 99.58 288 104 288H344zM120 0C124.4 0 128 3.582 128 8V64H320V8C320 3.582 323.6 0 328 0C332.4 0 336 3.582 336 8V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H112V8C112 3.582 115.6 0 120 0zM432 192H16V448C16 474.5 37.49 496 64 496H384C410.5 496 432 474.5 432 448V192zM112 120V80H64C37.49 80 16 101.5 16 128V176H432V128C432 101.5 410.5 80 384 80H336V120C336 124.4 332.4 128 328 128C323.6 128 320 124.4 320 120V80H128V120C128 124.4 124.4 128 120 128C115.6 128 112 124.4 112 120z"],
    "calendar-lines-pen": [576, 512, [], "e472", "M128 64H320V8C320 3.582 323.6 0 328 0C332.4 0 336 3.582 336 8V64H384C419.3 64 448 92.65 448 128V192H16V448C16 474.5 37.49 496 64 496H256C256 501.5 256.1 506.9 258.8 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H112V8C112 3.582 115.6 0 120 0C124.4 0 128 3.582 128 8V64zM64 80C37.49 80 16 101.5 16 128V176H432V128C432 101.5 410.5 80 384 80H336V120C336 124.4 332.4 128 328 128C323.6 128 320 124.4 320 120V80H128V120C128 124.4 124.4 128 120 128C115.6 128 112 124.4 112 120V80H64zM248 384C252.4 384 256 387.6 256 392C256 396.4 252.4 400 248 400H104C99.58 400 96 396.4 96 392C96 387.6 99.58 384 104 384H248zM96 296C96 291.6 99.58 288 104 288H344C348.4 288 352 291.6 352 296C352 300.4 348.4 304 344 304H104C99.58 304 96 300.4 96 296zM292.7 507.2C288.7 503.2 287.1 497.4 288.5 491.1L303.5 431.8C304.9 426.2 307.8 421.1 311.9 416.1L493.2 235.7C508.8 220.1 534.1 220.1 549.8 235.7L564.1 250.1C579.8 265.7 579.8 291 564.1 306.7L382.9 487.9C378.8 492 373.6 494.9 368 496.3L307.9 511.4C302.4 512.7 296.7 511.1 292.7 507.2L292.7 507.2zM304 495.8L364.1 480.8C366.9 480.1 369.5 478.7 371.6 476.6L514.4 333.7L466.1 285.4L323.2 428.3C321.2 430.3 319.7 432.9 319 435.7L304 495.8zM552.8 261.4L538.4 247C529.1 237.7 513.9 237.7 504.5 247L477.4 274.1L525.7 322.4L552.8 295.4C562.2 285.1 562.2 270.8 552.8 261.4L552.8 261.4zM364.6 482.8L368 496.3z"],
    "calendar-minus": [448, 512, [], "f272", "M136 352C131.6 352 128 348.4 128 344C128 339.6 131.6 336 136 336H312C316.4 336 320 339.6 320 344C320 348.4 316.4 352 312 352H136zM128 64H320V8C320 3.582 323.6 0 328 0C332.4 0 336 3.582 336 8V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H112V8C112 3.582 115.6 0 120 0C124.4 0 128 3.582 128 8V64zM16 448C16 474.5 37.49 496 64 496H384C410.5 496 432 474.5 432 448V192H16V448zM64 80C37.49 80 16 101.5 16 128V176H432V128C432 101.5 410.5 80 384 80H336V120C336 124.4 332.4 128 328 128C323.6 128 320 124.4 320 120V80H128V120C128 124.4 124.4 128 120 128C115.6 128 112 124.4 112 120V80H64z"],
    "calendar-pen": [448, 512, ["calendar-edit"], "f333", "M256 240.1C271.6 225.3 296.1 225.3 312.6 240.1L319 247.4C334.6 263 334.6 288.4 319 303.1L195.1 427C192.8 430.2 188.8 432.4 184.4 433.4L134.2 444.9C122.7 447.6 112.4 437.3 115.1 425.8L126.6 375.6C127.6 371.2 129.8 367.2 132.1 364L256 240.1zM301.3 252.3C291.9 242.9 276.7 242.9 267.3 252.3L249.5 270.2L289.8 310.5L307.7 292.7C317.1 283.3 317.1 268.1 307.7 258.7L301.3 252.3zM142.2 379.2L130.7 429.4L180.8 417.8C182.3 417.5 183.6 416.8 184.7 415.7L278.5 321.8L238.2 281.5L144.3 375.3C143.2 376.4 142.5 377.7 142.2 379.2L142.2 379.2zM128 64H320V8C320 3.582 323.6 0 328 0C332.4 0 336 3.582 336 8V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H112V8C112 3.582 115.6 0 120 0C124.4 0 128 3.582 128 8V64zM16 448C16 474.5 37.49 496 64 496H384C410.5 496 432 474.5 432 448V192H16V448zM64 80C37.49 80 16 101.5 16 128V176H432V128C432 101.5 410.5 80 384 80H336V120C336 124.4 332.4 128 328 128C323.6 128 320 124.4 320 120V80H128V120C128 124.4 124.4 128 120 128C115.6 128 112 124.4 112 120V80H64z"],
    "calendar-plus": [448, 512, [], "f271", "M320 344C320 348.4 316.4 352 312 352H232V432C232 436.4 228.4 440 224 440C219.6 440 216 436.4 216 432V352H136C131.6 352 128 348.4 128 344C128 339.6 131.6 336 136 336H216V256C216 251.6 219.6 248 224 248C228.4 248 232 251.6 232 256V336H312C316.4 336 320 339.6 320 344zM120 0C124.4 0 128 3.582 128 8V64H320V8C320 3.582 323.6 0 328 0C332.4 0 336 3.582 336 8V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H112V8C112 3.582 115.6 0 120 0zM432 192H16V448C16 474.5 37.49 496 64 496H384C410.5 496 432 474.5 432 448V192zM112 120V80H64C37.49 80 16 101.5 16 128V176H432V128C432 101.5 410.5 80 384 80H336V120C336 124.4 332.4 128 328 128C323.6 128 320 124.4 320 120V80H128V120C128 124.4 124.4 128 120 128C115.6 128 112 124.4 112 120z"],
    "calendar-range": [448, 512, [], "e0d6", "M376 280C376 284.4 372.4 288 368 288H176C171.6 288 168 284.4 168 280C168 275.6 171.6 272 176 272H368C372.4 272 376 275.6 376 280zM80 416C75.58 416 72 412.4 72 408C72 403.6 75.58 400 80 400H272C276.4 400 280 403.6 280 408C280 412.4 276.4 416 272 416H80zM136 288C136 310.1 118.1 328 96 328C73.91 328 56 310.1 56 288C56 265.9 73.91 248 96 248C118.1 248 136 265.9 136 288zM72 288C72 301.3 82.75 312 96 312C109.3 312 120 301.3 120 288C120 274.7 109.3 264 96 264C82.75 264 72 274.7 72 288zM312 416C312 393.9 329.9 376 352 376C374.1 376 392 393.9 392 416C392 438.1 374.1 456 352 456C329.9 456 312 438.1 312 416zM376 416C376 402.7 365.3 392 352 392C338.7 392 328 402.7 328 416C328 429.3 338.7 440 352 440C365.3 440 376 429.3 376 416zM120 0C124.4 0 128 3.582 128 8V64H320V8C320 3.582 323.6 0 328 0C332.4 0 336 3.582 336 8V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H112V8C112 3.582 115.6 0 120 0zM432 192H16V448C16 474.5 37.49 496 64 496H384C410.5 496 432 474.5 432 448V192zM112 120V80H64C37.49 80 16 101.5 16 128V176H432V128C432 101.5 410.5 80 384 80H336V120C336 124.4 332.4 128 328 128C323.6 128 320 124.4 320 120V80H128V120C128 124.4 124.4 128 120 128C115.6 128 112 124.4 112 120z"],
    "calendar-star": [448, 512, [], "f736", "M262.2 299.4L315.6 307.1C328.8 309 333.1 325.2 324.5 334.4L285.9 372.1L294.1 425.3C297.2 438.4 283.5 448.3 271.8 442.1L224 417L176.2 442.1C164.5 448.3 150.8 438.4 153 425.3L162.1 372.1L123.5 334.4C114 325.2 119.2 309 132.4 307.1L185.8 299.4L209.7 250.1C215.5 239.1 232.5 239.1 238.3 250.1L262.2 299.4zM196.4 314L134.7 322.1L179.3 366.5L168.8 427.1L224 398.1L279.2 427.1L268.7 366.5L313.3 322.1L251.6 314L223.1 258.1L196.4 314zM128 64H320V8C320 3.582 323.6 0 328 0C332.4 0 336 3.582 336 8V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H112V8C112 3.582 115.6 0 120 0C124.4 0 128 3.582 128 8V64zM16 448C16 474.5 37.49 496 64 496H384C410.5 496 432 474.5 432 448V192H16V448zM64 80C37.49 80 16 101.5 16 128V176H432V128C432 101.5 410.5 80 384 80H336V120C336 124.4 332.4 128 328 128C323.6 128 320 124.4 320 120V80H128V120C128 124.4 124.4 128 120 128C115.6 128 112 124.4 112 120V80H64z"],
    "calendar-week": [448, 512, [], "f784", "M64 288C64 270.3 78.33 256 96 256H352C369.7 256 384 270.3 384 288V352C384 369.7 369.7 384 352 384H96C78.33 384 64 369.7 64 352V288zM80 288V352C80 360.8 87.16 368 96 368H352C360.8 368 368 360.8 368 352V288C368 279.2 360.8 272 352 272H96C87.16 272 80 279.2 80 288zM128 64H320V8C320 3.582 323.6 0 328 0C332.4 0 336 3.582 336 8V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H112V8C112 3.582 115.6 0 120 0C124.4 0 128 3.582 128 8V64zM16 448C16 474.5 37.49 496 64 496H384C410.5 496 432 474.5 432 448V192H16V448zM64 80C37.49 80 16 101.5 16 128V176H432V128C432 101.5 410.5 80 384 80H336V120C336 124.4 332.4 128 328 128C323.6 128 320 124.4 320 120V80H128V120C128 124.4 124.4 128 120 128C115.6 128 112 124.4 112 120V80H64z"],
    "calendar-xmark": [448, 512, ["calendar-times"], "f273", "M301.7 413.7C298.5 416.8 293.5 416.8 290.3 413.7L224 347.3L157.7 413.7C154.5 416.8 149.5 416.8 146.3 413.7C143.2 410.5 143.2 405.5 146.3 402.3L212.7 336L146.3 269.7C143.2 266.5 143.2 261.5 146.3 258.3C149.5 255.2 154.5 255.2 157.7 258.3L224 324.7L290.3 258.3C293.5 255.2 298.5 255.2 301.7 258.3C304.8 261.5 304.8 266.5 301.7 269.7L235.3 336L301.7 402.3C304.8 405.5 304.8 410.5 301.7 413.7V413.7zM120 0C124.4 0 128 3.582 128 8V64H320V8C320 3.582 323.6 0 328 0C332.4 0 336 3.582 336 8V64H384C419.3 64 448 92.65 448 128V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V128C0 92.65 28.65 64 64 64H112V8C112 3.582 115.6 0 120 0zM432 192H16V448C16 474.5 37.49 496 64 496H384C410.5 496 432 474.5 432 448V192zM112 120V80H64C37.49 80 16 101.5 16 128V176H432V128C432 101.5 410.5 80 384 80H336V120C336 124.4 332.4 128 328 128C323.6 128 320 124.4 320 120V80H128V120C128 124.4 124.4 128 120 128C115.6 128 112 124.4 112 120z"],
    "calendars": [512, 512, [], "e0d7", "M216 0C220.4 0 224 3.582 224 8V64H384V8C384 3.582 387.6 0 392 0C396.4 0 400 3.582 400 8V64H448C483.3 64 512 92.65 512 128V352C512 387.3 483.3 416 448 416H160C124.7 416 96 387.3 96 352V128C96 92.65 124.7 64 160 64H208V8C208 3.582 211.6 0 216 0zM208 120V80H160C133.5 80 112 101.5 112 128V176H496V128C496 101.5 474.5 80 448 80H400V120C400 124.4 396.4 128 392 128C387.6 128 384 124.4 384 120V80H224V120C224 124.4 220.4 128 216 128C211.6 128 208 124.4 208 120zM112 192V352C112 378.5 133.5 400 160 400H448C474.5 400 496 378.5 496 352V192H112zM0 223.1C0 194.2 20.4 169.1 48 162V178.7C29.36 185.3 16 203.1 16 223.1V448C16 474.5 37.49 496 64 496H352C372.9 496 390.7 482.6 397.3 464H413.1C406.9 491.6 381.8 512 352 512H64C28.65 512 0 483.3 0 448V223.1z"],
    "camcorder": [576, 512, [128249, "video-handheld"], "f8a8", "M320 159.1L64 159.1L64 104c0-30.88 25.12-56 55.1-56h192c4.422 0 8-3.578 8-8s-3.578-8-8-8H120C80.3 32 48 64.3 48 104L48 162.3C20.44 169.4 .0002 194.2 .0002 223.1l-.0001 191.1c0 35.35 28.65 63.1 64 63.1l256-.0016c35.35 0 64-28.65 64-63.1V223.1C384 188.7 355.3 159.1 320 159.1zM368 416c0 26.47-21.53 48-47.1 48h-256c-26.47 0-48-21.53-48-48V224c0-26.47 21.53-48 48-48h256c26.47 0 47.1 21.53 47.1 48V416zM555.7 164.5c-12.75-6.734-28.16-5.859-39.97 2.25l-96.13 63.81c-3.656 2.453-4.656 7.422-2.219 11.09c2.438 3.703 7.406 4.641 11.09 2.25L524.7 180c7.125-4.859 15.88-5.391 23.56-1.359c7.375 3.891 11.78 11.09 11.78 19.28v244.1c0 8.203-4.406 15.42-11.78 19.3c-7.625 4.047-16.5 3.5-23.69-1.453l-96.13-63.73c-3.625-2.406-8.625-1.453-11.06 2.25c-2.438 3.688-1.438 8.641 2.25 11.09l96 63.66c6.594 4.531 14.25 6.844 21.97 6.844c6.188 0 12.41-1.5 18.09-4.5c12.75-6.688 20.34-19.2 20.34-33.45V197.9C576 183.7 568.4 171.2 555.7 164.5zM312 240H72c-4.422 0-8 3.578-8 8S67.58 256 72 256h240c4.422 0 8-3.578 8-8S316.4 240 312 240z"],
    "camera": [512, 512, [62258, "camera-alt"], "f030", "M144 288C144 226.1 194.1 176 256 176C317.9 176 368 226.1 368 288C368 349.9 317.9 400 256 400C194.1 400 144 349.9 144 288zM256 192C202.1 192 160 234.1 160 288C160 341 202.1 384 256 384C309 384 352 341 352 288C352 234.1 309 192 256 192zM362.9 64.82L373.3 96H448C483.3 96 512 124.7 512 160V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V160C0 124.7 28.65 96 64 96H138.7L149.1 64.82C155.6 45.22 173.9 32 194.6 32H317.4C338.1 32 356.4 45.22 362.9 64.82H362.9zM64 112C37.49 112 16 133.5 16 160V416C16 442.5 37.49 464 64 464H448C474.5 464 496 442.5 496 416V160C496 133.5 474.5 112 448 112H361.8L347.8 69.88C343.4 56.81 331.2 48 317.4 48H194.6C180.8 48 168.6 56.81 164.2 69.88L150.2 112H64z"],
    "camera-cctv": [576, 512, ["cctv"], "f8ac", "M533.9 195.6C532.6 181 523.4 168.6 509.8 163.2L145.1 2.744c-17.94-7.172-38.59 .1563-48.06 16.84l-91.93 160.8C-.5625 190.3-1.562 202.2 2.406 213c3.937 10.8 12.37 19.27 22.87 23.08l175.4 72.59l-46.09 115.3H15.1v-64c0-4.422-3.593-8-7.999-8S0 355.6 0 359.1v144C0 508.4 3.593 512 7.999 512s7.999-3.578 7.999-8v-64h143.1c3.281 0 6.218-1.984 7.437-5.031l48.05-120.1l84.07 34.79c4.406 1.609 8.937 2.391 13.47 2.391c7.124 0 14.19-1.984 20.4-5.891l182.4-114.1C528.3 224.2 535.2 210.3 533.9 195.6zM324.9 332.6c-5.968 3.75-13.19 4.453-19.56 2.156L31.09 221.2C24.72 218.9 19.75 213.9 17.4 207.5C15.09 201.2 15.66 194.2 18.1 188.4l91.96-160.9c4.125-7.313 11.94-11.55 19.9-11.55c2.719 0 5.468 .5 8.093 1.547L503.5 177.9c8.093 3.219 13.69 10.45 14.47 19.16c.7812 8.766-3.219 16.78-10.69 21.44L324.9 332.6zM574.4 282.5c-2.156-5.75-6.562-10.38-12.44-13.05l-32.25-14.13c-4.125-1.781-8.749 .0625-10.53 4.125c-1.781 4.047 .0625 8.766 4.093 10.53l32.15 14.08c1.375 .625 3.156 1.828 4.062 4.234c.6875 1.719 .6562 3.781-.0937 5.547l-37.15 84.42c-.7812 1.781-2.25 3.156-4.093 3.875c-1.875 .7187-3.875 .6562-5.656-.125l-108.9-47.84c-4.062-1.75-8.749 .0313-10.53 4.109c-1.781 4.047 .0625 8.766 4.093 10.55l108.9 47.83c2.1 1.344 6.187 2 9.406 2c2.875 0 5.75-.5313 8.499-1.594c5.812-2.266 10.41-6.656 12.91-12.36l37.22-84.52C576.5 294.4 576.6 288.1 574.4 282.5z"],
    "camera-movie": [576, 512, [127910, 127909], "f8a9", "M555.7 260.5c-12.75-6.734-28.16-5.859-39.97 2.25l-64.11 42.56c-2.232 1.48-3.574 3.982-3.574 6.662c0 6.379 7.105 10.22 12.42 6.695l64.24-42.65c7.125-4.859 15.88-5.391 23.56-1.359c7.375 3.891 11.78 11.09 11.78 19.28v180.1c0 8.203-4.406 15.42-11.78 19.3c-7.625 4.047-16.5 3.5-23.69-1.453l-64.12-42.51c-5.314-3.525-12.41 .2871-12.41 6.664c0 2.68 1.344 5.182 3.578 6.664l64.02 42.45c6.594 4.531 14.25 6.844 21.97 6.844c6.188 0 12.41-1.5 18.09-4.5c12.75-6.688 20.34-19.2 20.34-33.45V293.1C576 279.7 568.4 267.2 555.7 260.5zM352 288h-328c-13.25 0-24 10.74-24 24v16c0 13.25 10.75 24 24 24h39.1v95.99c0 35.35 28.65 63.1 64 63.1L352 512c35.35 0 64-28.65 64-64v-96C416 316.7 387.3 288 352 288zM400 448c0 26.47-21.53 48-47.1 48H128c-26.47 0-47.1-21.53-47.1-48v-112H24c-4.412 0-8-3.59-8-8v-16c0-4.412 3.588-8 8-8h328c26.47 0 48 21.53 48 48L400 448zM128 64c-35.35 0-64 28.65-64 64s28.65 64 64 64s64-28.65 64-64S163.3 64 128 64zM128 176C101.5 176 80 154.5 80 128s21.53-48 47.1-48s48 21.53 48 48S154.5 176 128 176zM352 64c-35.35 0-64 28.65-64 64s28.65 64 64 64s64-28.65 64-64S387.3 64 352 64zM352 176c-26.47 0-48-21.53-48-48s21.53-48 48-48s48 21.53 48 48S378.5 176 352 176zM352 0c-46.77 0-89.8 26.22-111.1 66.77C217.8 26.22 174.8 0 128 0c-70.58 0-128 57.42-128 128s57.4 127.1 127.1 127.1L352 256c70.58 0 128-57.42 128-128S422.6 0 352 0zM352 240H128c-61.75 0-112-50.25-112-112s50.25-112 112-112c46.14 0 88.14 29.22 104.5 72.7c2.344 6.25 12.62 6.25 14.97 0C263.9 45.22 305.9 16 352 16c61.75 0 112 50.25 112 112S413.8 240 352 240z"],
    "camera-polaroid": [576, 512, [], "f8aa", "M568.1 327.3L512 256l.0001-176c0-26.51-21.49-48-48-48h-352c-26.51 0-48 21.49-48 48L64 256L7.01 327.3c-4.535 5.67-7.004 12.56-7.006 19.82L.0002 448c0 17.6 14.4 32 32 32h512c17.6 0 32-14.4 32-32l.0004-100.7C576 340 573.5 332.1 568.1 327.3zM76.5 265.1l3.502-4.383V80c0-17.64 14.36-32 31.1-32h352c17.64 0 32 14.36 32 32v181.6L555.5 336H20.54L76.5 265.1zM560 448c0 8.822-7.178 16-16 16h-512c-8.822 0-16-7.178-16-16l.0039-96h543.1V448zM428 96h-24c-11.03 0-20 8.969-20 20v24c0 11.03 8.969 20 20 20h24c11.03 0 20-8.969 20-20v-24C448 104.1 439 96 428 96zM432 140c0 2.172-1.828 4-4 4h-24c-2.172 0-4-1.828-4-4v-24c0-2.172 1.828-4 4-4h24c2.172 0 4 1.828 4 4V140zM288 112c-44.11 0-80 35.89-80 80s35.89 80 80 80s80-35.89 80-80S332.1 112 288 112zM288 256c-35.3 0-64-28.7-64-64s28.7-64 64-64s64 28.7 64 64S323.3 256 288 256zM104 416h368c4.422 0 8-3.578 8-8s-3.578-8-8-8h-368c-4.422 0-8 3.578-8 8S99.58 416 104 416z"],
    "camera-retro": [512, 512, [128247], "f083", "M0 416V144C0 108.7 28.65 80 64 80H192L238.9 44.8C250 36.49 263.5 32 277.3 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416zM64 96C37.49 96 16 117.5 16 144V232H145.1C164.5 189.6 206.8 160 256 160C305.2 160 347.5 189.6 366 232H496V96C496 69.49 474.5 48 448 48H277.3C266.9 48 256.8 51.37 248.5 57.6L201.6 92.8C198.8 94.88 195.5 96 192 96H64zM16 248V416C16 442.5 37.49 464 64 464H448C474.5 464 496 442.5 496 416V248H371.7C374.5 258.2 376 268.9 376 280C376 346.3 322.3 400 256 400C189.7 400 136 346.3 136 280C136 268.9 137.5 258.2 140.3 248H16zM256 176C198.6 176 152 222.6 152 280C152 337.4 198.6 384 256 384C313.4 384 360 337.4 360 280C360 222.6 313.4 176 256 176zM64 40C64 35.58 67.58 32 72 32H152C156.4 32 160 35.58 160 40C160 44.42 156.4 48 152 48H72C67.58 48 64 44.42 64 40z"],
    "camera-rotate": [512, 512, [], "e0d8", "M464 96h-88l-12.38-32.88C356.6 44.38 338.8 32 318.8 32h-125.5c-20 0-38 12.38-45 31.12L136 96H48C21.5 96 0 117.5 0 144v288C0 458.5 21.5 480 48 480h416c26.5 0 48-21.5 48-48v-288C512 117.5 490.5 96 464 96zM496 432c0 17.64-14.36 32-32 32h-416c-17.64 0-32-14.36-32-32v-288c0-17.64 14.36-32 32-32h99.11l16.12-43.28C167.9 56.33 179.9 48 193.3 48h125.5c13.25 0 25.26 8.326 29.9 20.76L364.9 112H464c17.64 0 32 14.36 32 32V432zM352 184c-4.422 0-8 3.578-8 8v38.28C324.1 201.1 291.4 184 256 184c-44.28 0-84.67 27.78-100.5 69.14C153.9 257.3 156 261.9 160.1 263.5c4.125 1.562 8.75-.4844 10.33-4.609C183.9 223.7 218.3 200 256 200c33.65 0 64.54 18.92 80.39 48H288c-4.422 0-8 3.578-8 8S283.6 264 288 264h64c4.422 0 8-3.578 8-8V192C360 187.6 356.4 184 352 184zM351.9 312.5c-4.062-1.531-8.734 .4844-10.33 4.609C328.1 352.3 293.7 376 256 376c-33.65 0-64.54-18.92-80.39-48H224c4.422 0 8-3.578 8-8S228.4 312 224 312H160c-4.422 0-8 3.578-8 8v64c0 4.422 3.578 8 8 8S168 388.4 168 384v-38.28C187.9 374 220.6 392 256 392c44.28 0 84.67-27.78 100.5-69.14C358.1 318.7 356 314.1 351.9 312.5z"],
    "camera-security": [448, 512, ["camera-home"], "f8fe", "M384 0h-320c-35.35 0-64 28.65-64 64v288c0 35.35 28.65 64 64 64H116.8l-47.2 56.63c-6.031 7.234-7.297 17.02-3.297 25.55C70.28 506.7 78.59 512 88.02 512h271.1c9.422 0 17.73-5.297 21.72-13.83c4-8.531 2.734-18.31-3.297-25.55L331.2 416h52.79c35.35 0 64-28.65 64-64V64C448 28.65 419.3 0 384 0zM366.1 482.9c3.016 3.625 1.594 7.438 1.094 8.516S364.7 496 359.1 496H88.03c-4.719 0-6.75-3.531-7.25-4.609s-1.922-4.891 1.094-8.516L137.6 416h172.8L366.1 482.9zM432 352c0 26.47-21.53 48-48 48h-320c-26.47 0-47.1-21.53-47.1-48V64c0-26.47 21.53-48 47.1-48h320c26.47 0 48 21.53 48 48V352zM224 80c-70.69 0-127.1 57.31-127.1 128c0 70.69 57.31 128 127.1 128c70.69 0 128-57.31 128-128C352 137.3 294.7 80 224 80zM224 320c-61.76 0-112-50.24-112-112s50.24-112 112-112c61.76 0 112 50.24 112 112S285.8 320 224 320z"],
    "camera-slash": [640, 512, [], "e0d9", "M636.1 497.7C640.4 500.5 641 505.5 638.3 508.1C635.5 512.4 630.5 513 627 510.3L3.022 14.26C-.4365 11.51-1.012 6.481 1.738 3.022C4.487-.4365 9.52-1.012 12.98 1.738L636.1 497.7zM467.3 464L487.5 480H128C92.65 480 64 451.3 64 416V160C64 155.4 64.48 151 65.38 146.7L80.03 158.3C80.01 158.9 80 159.4 80 160V416C80 442.5 101.5 464 128 464H467.3zM258.6 32H381.4C402.1 32 420.4 45.22 426.9 64.82L437.3 96H512C547.3 96 576 124.7 576 160V366.4L560 353.7V160C560 133.5 538.5 112 512 112H425.8L411.8 69.88C407.4 56.81 395.2 48 381.4 48H258.6C244.8 48 232.6 56.81 228.2 69.88L222.4 87.25L209.1 76.71L213.1 64.82C219.6 45.22 237.9 32 258.6 32V32zM208 288C208 278.1 209.1 270.2 211.1 261.8L225.2 272.9C224.4 277.8 224 282.9 224 288C224 341 266.1 384 320 384C333 384 345.4 381.4 356.7 376.7L370.8 387.8C355.6 395.6 338.3 400 320 400C258.1 400 208 349.9 208 288V288zM424 246.4L336.4 177.2C376.3 183 409.4 209.1 424 246.4V246.4z"],
    "camera-viewfinder": [512, 512, ["screenshot"], "e0da", "M152 0C156.4 0 160 3.582 160 8C160 12.42 156.4 16 152 16H40C26.75 16 16 26.75 16 40V152C16 156.4 12.42 160 8 160C3.582 160 0 156.4 0 152V40C0 17.91 17.91 0 40 0H152zM512 152C512 156.4 508.4 160 504 160C499.6 160 496 156.4 496 152V40C496 26.75 485.3 16 472 16H360C355.6 16 352 12.42 352 8C352 3.582 355.6 0 360 0H472C494.1 0 512 17.91 512 40V152zM320 256C320 291.3 291.3 320 256 320C220.7 320 192 291.3 192 256C192 220.7 220.7 192 256 192C291.3 192 320 220.7 320 256zM256 208C229.5 208 208 229.5 208 256C208 282.5 229.5 304 256 304C282.5 304 304 282.5 304 256C304 229.5 282.5 208 256 208zM325.8 111.6L332 128H368C394.5 128 416 149.5 416 176V336C416 362.5 394.5 384 368 384H144C117.5 384 96 362.5 96 336V176C96 149.5 117.5 128 144 128H180L186.2 111.6C189.7 102.2 198.6 96 208.6 96H303.4C313.4 96 322.3 102.2 325.8 111.6zM144 144C126.3 144 112 158.3 112 176V336C112 353.7 126.3 368 144 368H368C385.7 368 400 353.7 400 336V176C400 158.3 385.7 144 368 144H320.9L310.9 117.2C309.7 114.1 306.7 112 303.4 112H208.6C205.3 112 202.3 114.1 201.1 117.2L191.1 144H144zM0 360C0 355.6 3.582 352 8 352C12.42 352 16 355.6 16 360V472C16 485.3 26.75 496 40 496H152C156.4 496 160 499.6 160 504C160 508.4 156.4 512 152 512H40C17.91 512 0 494.1 0 472V360zM360 512C355.6 512 352 508.4 352 504C352 499.6 355.6 496 360 496H472C485.3 496 496 485.3 496 472V360C496 355.6 499.6 352 504 352C508.4 352 512 355.6 512 360V472C512 494.1 494.1 512 472 512H360z"],
    "camera-web": [448, 512, ["webcam"], "f832", "M160 232c4.406 0 8-3.594 8-8c0-30.88 25.12-56 56-56c4.406 0 8-3.594 8-8S228.4 152 224 152C184.3 152 152 184.3 152 224C152 228.4 155.6 232 160 232zM366.1 442.8c-2.812-3.312-7.875-3.75-11.28-.8438c-3.344 2.875-3.719 7.906-.8438 11.28L390.6 496H57.41l36.66-42.78c2.875-3.375 2.5-8.406-.8438-11.28c-3.375-2.906-8.406-2.469-11.28 .8438l-48 56c-2.031 2.375-2.5 5.719-1.219 8.562C34.03 510.2 36.88 512 40 512h368c3.125 0 5.969-1.812 7.281-4.656c1.281-2.844 .8125-6.188-1.219-8.562L366.1 442.8zM224 368c79.4 0 144-64.6 144-144S303.4 80 224 80S80 144.6 80 224S144.6 368 224 368zM224 96c70.69 0 127.9 57.31 127.9 128s-57.31 128-128 128s-128-57.31-128-128S153.3 96 224 96zM224 448c123.5 0 224-100.5 224-223.1s-100.5-224-224-224s-224 100.5-224 224S100.5 448 224 448zM224 16c114.7 0 208 93.31 208 208s-93.31 208-208 208S16 338.7 16 224S109.3 16 224 16z"],
    "camera-web-slash": [640, 512, ["webcam-slash"], "f833", "M320 16c114.7 0 208 93.31 208 208c0 31.94-7.447 62.09-20.37 89.16l12.82 10.19c14.93-29.99 23.54-63.65 23.54-99.36c0-123.5-100.5-223.1-223.1-223.1c-53.92 0-103.4 19.17-142.1 51.03l12.93 10.28C226.3 33.03 271.2 16 320 16zM101.7 174.5C98.09 190.4 95.1 206.1 95.1 223.1c0 123.5 100.5 224 224 224c34.93 0 67.9-8.273 97.4-22.6l-13.89-11.04C377.9 425.6 349.7 432 320 432c-114.7 0-208-93.31-208-208c0-13.13 1.365-25.94 3.705-38.41L101.7 174.5zM455.3 271.6C460.6 256.6 464 240.8 464 224c0-79.4-64.6-144-144-144c-28.39 0-54.71 8.531-77.04 22.77l13.5 10.73c18.79-10.83 40.29-17.51 63.54-17.51c70.69 0 127.9 57.3 127.9 127.1c0 12.94-2.407 25.18-5.976 36.95L455.3 271.6zM636.1 497.7L12.99 1.73C11.53 .5664 9.771 0 8.025 0C5.674 0 3.336 1.027 1.738 3.012c-2.75 3.469-2.172 8.5 1.281 11.25l623.1 496C628.5 511.4 630.2 512 631.1 512c2.344 0 4.688-1.031 6.266-3.016C641 505.5 640.4 500.5 636.1 497.7zM342.3 365.7l-17.86-14.19C322.1 351.6 321.5 352 320 352c-62.41 0-114.2-44.71-125.6-103.8l-17.39-13.82C182.5 308.8 244.1 368 320 368C327.7 368 335 366.9 342.3 365.7zM504 496H153.4l36.66-42.78c2.875-3.375 2.5-8.406-.8438-11.28c-3.375-2.906-8.406-2.469-11.28 .8438l-48 56c-2.031 2.375-2.5 5.719-1.219 8.562C130 510.2 132.9 512 136 512h368c4.418 0 8-3.582 8-8S508.4 496 504 496z"],
    "campfire": [512, 512, [], "f6ba", "M256 320c79.4 0 143.1-64.95 143.1-144.8c0-34.02-32.11-100.1-78.19-142.7c-3.062-2.75-7.703-2.75-10.73 0c-9.953 8.984-19.47 18.64-28.39 28.81C266.9 41.1 247.1 20.79 227.4 2.086c-3.031-2.781-7.719-2.781-10.75 0C156 57.15 112 129.1 112 175.2C112 255.1 176.6 320 256 320zM299.3 290.5c-40.82 29.66-111.8 9.847-111.8-56.76c0-19.39 10.55-36.95 35.48-68.73c12.56 16.53 40.61 53.89 52.75 70.09c1.469 1.953 3.734 3.125 6.187 3.203c1.594-.3125 4.75-.1 6.344-2.844l27.58-32.78c.3438 .6719 .6719 1.328 1 1.984C332.1 235.1 324.5 271.1 299.3 290.5zM222 18.9c20.41 19.11 38.95 39.7 53.91 59.91c1.453 1.969 3.75 3.172 6.203 3.234c2.453-.1094 4.812-.1 6.375-2.906c8.687-10.48 18.05-20.48 27.89-29.78c38.48 37.67 67.62 97.19 67.62 125.9c0 43.74-21.88 82.33-55.1 105.6c14.31-24.15 15.97-55.94 2.199-83.29c-2.047-4.172-4.437-8.484-6.984-12.94c-1.297-2.266-3.625-3.75-6.219-3.984c-2.609-.2031-5.156 .8125-6.844 2.812l-28.62 34.02c-14.47-19.3-49.84-66.41-53.28-70.55c-1.516-1.828-3.781-2.891-6.156-2.891C220.6 144.5 218.3 145.1 216.7 147c-27.37 34.28-45.31 58.84-45.31 86.7c0 18.71 5.289 35.31 14.31 48.94C151 259.6 128 220.1 128 175.2C128 136 168 69.77 222 18.9zM276.7 400l230.4-96.62c4.078-1.703 5.1-6.391 4.281-10.47c-1.703-4.078-6.359-5.969-10.47-4.281L256 391.3L11.1 288.6C6.989 286.9 2.333 288.8 .6296 292.9c-1.719 4.078 .2031 8.765 4.281 10.47l230.4 96.62l-230.4 96.62c-4.078 1.703-5.1 6.391-4.281 10.47C1.911 510.2 4.88 512 8.005 512c1.031 0 2.078-.2031 3.094-.625L256 408.7l244.9 102.7C501.9 511.8 502.1 512 503.1 512c3.125 0 6.094-1.844 7.375-4.906c1.719-4.078-.2031-8.765-4.281-10.47L276.7 400z"],
    "campground": [576, 512, [9978], "f6bb", "M190.1 2.836L530.8 405.8C539.3 415.9 544 428.7 544 441.9V472C544 494.1 526.1 512 504 512H288C283.6 512 280 508.4 280 504C280 499.6 283.6 496 288 496H504C517.3 496 528 485.3 528 472V441.9C528 432.5 524.7 423.3 518.5 416.1L177.9 13.17C175 9.791 175.5 4.743 178.8 1.891C182.2-.9616 187.3-.5389 190.1 2.835V2.836zM397.2 1.891C400.5 4.744 400.1 9.791 398.1 13.17L57.45 416.1C51.35 423.3 48 432.5 48 441.9V472C48 485.3 58.75 496 72 496H288C292.4 496 296 499.6 296 504C296 508.4 292.4 512 288 512H72C49.91 512 32 494.1 32 472V441.9C32 428.7 36.69 415.9 45.23 405.8L385.9 2.836C388.7-.5382 393.8-.961 397.2 1.892V1.891zM294.3 315.1L438.3 499.1L425.7 508.9L287.1 332.1L150.3 508.9L137.7 499.1L281.7 315.1C283.2 313.1 285.5 312 288 312C290.5 312 292.8 313.1 294.3 315.1H294.3z"],
    "can-food": [384, 512, [129387], "e3e6", "M368 72c0-.4336-.2734-.8262-.291-1.258c-.2441-3.123-.9746-6.189-2.133-9.203c-9.289-28.15-55.16-49.93-119.2-57.94c-2.062-.2773-4.162-.5137-6.258-.7617c-5.652-.6152-11.24-1.24-17.14-1.637C212.9 .457 202.6 0 192 0S171.1 .457 161 1.201C155.1 1.598 149.5 2.223 143.9 2.838C141.8 3.086 139.7 3.322 137.6 3.6C73.58 11.61 27.71 33.38 18.42 61.54c-1.158 3.014-1.889 6.08-2.133 9.203C16.27 71.17 16 71.57 16 72c0 .1348 .0898 .2578 .0918 .3926C16.09 72.64 16 72.89 16 73.14v365.7C16 479.3 94.8 512 192 512s176-32.75 176-73.14V73.14c0-.2539-.0859-.498-.0918-.75C367.9 72.26 368 72.13 368 72zM263 310.4C258.3 275.2 228.4 248 192 248S125.7 275.2 120.1 310.4C82.35 303.1 50.51 290.6 32 275.1v-172.6C59.14 127.4 118.8 144 192 144s132.9-16.57 160-41.41v172.6C333.5 290.6 301.6 303.1 263 310.4zM248 320c0 30.88-25.12 56-56 56S136 350.9 136 320S161.1 264 192 264S248 289.1 248 320zM155.5 17.62c.4395-.0371 .8184-.1172 1.26-.1523C167.9 16.52 179.7 16 192 16s24.08 .5215 35.2 1.471c.4414 .0352 .8203 .1152 1.26 .1523c76.67 6.816 122.6 34.24 123.4 54.95C350.9 98.91 285.6 128 192 128S33.1 98.91 32.17 72.57C32.97 51.86 78.88 24.44 155.5 17.62zM192 496c-99.13 0-160-33.28-160-57.14V294.8c21.46 14.2 51.91 25.28 88.67 31.86C124.1 363.2 154.6 392 192 392s67.93-28.82 71.33-65.38C300.1 320 330.5 308.1 352 294.8v144.1C352 462.7 291.1 496 192 496z"],
    "candle-holder": [448, 512, [128367], "f6bc", "M160 191.1c42.41 0 72-33.16 72-80.64c0-29.08-25.5-70.92-66.53-109.2C162.3-.7227 157.6-.707 154.6 2.137C114.1 39.75 88 82.62 88 111.4C88 158.8 117.6 191.1 160 191.1zM160 19.06c33.72 32.98 56 69.47 56 92.3c0 38.06-23.03 64.64-56 64.64s-56-26.58-56-64.64C104 88.45 126.3 51.95 160 19.06zM384 383.1c-35.35 0-64 28.65-64 64c0 19.22 8.654 36.27 22.07 48H256V263.1c0-22.06-17.94-40-40-40h-112c-22.06 0-40 17.94-40 40v232H8c-4.406 0-8 3.578-8 8S3.594 512 8 512H384c35.35 0 64-28.65 64-64S419.3 383.1 384 383.1zM240 495.1h-160V263.1c0-13.23 10.78-24 24-24H128v48c0 4.422 3.594 8 8 8S144 292.4 144 287.1V239.1h72c13.22 0 24 10.77 24 24V495.1zM384 495.1c-26.47 0-48-21.53-48-48s21.53-48 48-48s48 21.53 48 48S410.5 495.1 384 495.1z"],
    "candy": [640, 512, [127852], "e3e7", "M638.9 251.1C639.6 253.2 640 254.6 640 255.1C640 257.4 639.6 258.8 638.9 260C638.2 261.2 637.2 262.2 635.1 262.9L586.6 291.2L615.2 348.4C615.8 349.7 616.1 351 615.1 352.4C615.9 353.7 615.5 355.1 614.8 356.2C614.1 357.4 613.1 358.3 611.9 358.1C610.7 359.6 609.4 359.1 608 359.1C606.8 359.1 605.7 359.7 604.6 359.3L503.7 311.8C491.7 351.2 467.4 385.7 434.3 410.2C401.3 434.7 361.2 447.1 320 447.1C278.8 447.1 238.7 434.7 205.7 410.2C172.6 385.7 148.3 351.2 136.3 311.8L35.4 359.3C34.33 359.7 33.17 359.1 32 359.1C30.64 359.1 29.3 359.6 28.11 358.1C26.92 358.3 25.92 357.4 25.21 356.2C24.49 355.1 24.08 353.7 24.01 352.4C23.95 351 24.23 349.7 24.84 348.4L53.44 291.2L4.035 262.9C2.812 262.2 1.795 261.2 1.087 260C.3803 258.8 .0078 257.4 .0078 255.1C.0078 254.6 .3803 253.2 1.087 251.1C1.795 250.8 2.812 249.8 4.035 249.1L53.44 220.8L24.84 163.5C24.09 162.1 23.83 160.4 24.09 158.7C24.34 157.1 25.11 155.6 26.27 154.4C27.43 153.2 28.93 152.4 30.57 152.1C32.2 151.8 33.89 152 35.4 152.7L136.3 200.2C148.3 160.8 172.6 126.3 205.7 101.8C238.7 77.26 278.8 64.02 320 64.02C361.2 64.02 401.3 77.26 434.3 101.8C467.4 126.3 491.7 160.8 503.7 200.2L604.6 152.7C606.1 152 607.8 151.8 609.4 152.1C611.1 152.4 612.6 153.2 613.7 154.4C614.9 155.6 615.7 157.1 615.9 158.7C616.2 160.4 615.9 162.1 615.2 163.5L586.6 220.8L635.1 249.1C637.2 249.8 638.2 250.8 638.9 251.1zM132.2 295.1C126.6 269.6 126.6 242.4 132.2 215.1L49.48 177.1L71.17 220.4C72.08 222.3 72.25 224.4 71.65 226.3C71.06 228.3 69.74 229.9 67.97 230.9L24.13 255.1L67.97 281.1C69.74 282.1 71.06 283.7 71.65 285.7C72.25 287.6 72.08 289.7 71.17 291.5L49.48 334.9L132.2 295.1zM185.3 369.1C211.9 400.8 248.8 422 289.6 429.2L163.2 176.4C150.6 201 143.1 228.3 144 255.1C144 297.4 158.7 337.4 185.3 369.1zM320 431.1C344.6 431.1 368.1 426.8 391.4 416.7L234.3 102.4C209.5 116.3 188.4 135.1 172.8 159.8L308.6 431.4C312.4 431.7 316.2 431.1 320 431.1zM405.7 409.6C430.5 395.7 451.6 376 467.2 352.2L331.4 80.57C327.6 80.32 323.8 79.1 320 79.1C295.4 80 271 85.22 248.6 95.29L405.7 409.6V409.6zM496.1 256.5C496.2 229 489.8 201.8 477.5 177.2C465.2 152.6 447.3 131.3 425.2 114.9C403.2 98.46 377.5 87.48 350.4 82.81L476.8 335.6C489.3 311.1 495.9 284 496.1 256.5L496.1 256.5zM615.9 255.1L572 230.9C570.3 229.9 568.9 228.3 568.4 226.3C567.8 224.4 567.9 222.3 568.8 220.4L590.5 177.1L507.8 215.1C513.4 242.4 513.4 269.6 507.8 295.1L590.6 335.1L568.9 291.7C567.1 289.9 567.8 287.8 568.4 285.8C569 283.9 570.3 282.2 572.1 281.2L615.9 255.1z"],
    "candy-bar": [640, 512, [127851, "chocolate-bar"], "e3e8", "M621.3 82.75C633.3 94.75 640 111 640 128V384C640 400.1 633.3 417.3 621.3 429.3C609.3 441.3 592.1 448 576 448H32C23.51 448 15.37 444.6 9.372 438.6C3.371 432.6 0 424.5 0 416V222.4C18.07 218.7 34.31 208.9 45.97 194.6C57.64 180.3 64 162.4 64 144V128H80C98.44 128 116.3 121.6 130.6 109.1C144.9 98.31 154.7 82.07 158.4 64H576C592.1 64 609.3 70.74 621.3 82.75zM125.5 132.3C111.5 139.9 95.89 143.9 80 144C79.93 160.9 75.35 177.5 66.75 192H160V100.5C151.3 113.8 139.4 124.8 125.5 132.3zM16 320H160V208H55.17C44.54 219.1 31.07 229.1 16 234.5V320zM160 432V336H16V416C16 420.2 17.69 424.3 20.69 427.3C23.69 430.3 27.76 432 32 432H160zM304 336H176V432H304V336zM304 208H176V320H304V208zM304 80H176V192H304V80zM624 128C624 115.3 618.9 103.1 609.9 94.06C600.9 85.06 588.7 80 576 80H320V432H576C588.7 432 600.9 426.9 609.9 417.9C618.9 408.9 624 396.7 624 384V128z"],
    "candy-cane": [512, 512, [], "f786", "M497.5 91.1C469.6 33.12 411.8 0 352.4 0c-27.88 0-56.14 7.25-81.77 22.62L243.1 38.1C227.9 48.12 223 67.75 232.1 82.87l32.76 54.87c6.115 10.27 16.69 15.6 27.38 15.6c5.695 0 11.47-1.453 16.51-4.539l27.51-16.37c5.746-3.432 11.37-4.988 16.71-4.988c28.16 0 47.02 41.5 16.13 59.88L15.6 397.6c-15.25 9.125-20.13 28.62-11 43.87l32.76 54.87C43.35 506.4 53.97 512 64.85 512c5.625 0 11.27-1.507 16.39-4.507l347.4-206.5C500.2 258.1 533.2 167.5 497.5 91.1zM328 118.6l-27.67 16.48c-2.402 1.469-5.201 2.246-8.092 2.246c-5.666 0-10.78-2.91-13.69-7.799L245.8 74.61C243.6 70.96 242.1 66.69 243.1 62.58C245 58.44 247.6 54.94 251.3 52.75l27.55-16.4c19.78-11.87 42.18-18.43 65.17-19.78V112.7C338.6 113.8 333.2 115.6 328 118.6zM360 112.7V16.54c53.22 2.76 99.93 33.56 123 82.31C487.5 108.3 490.4 118.1 492.5 128H387.6C380.3 119.8 370.7 114.4 360 112.7zM216.6 296.6l97.21 54l-101.6 60.38l-97.15-53.97L216.6 296.6zM73.14 493.7C70.52 495.2 67.73 496 64.85 496c-5.592 0-10.87-3.012-13.76-7.824l-32.76-54.89c-4.607-7.701-2.199-17.33 5.451-21.91l75.42-44.89l97.14 53.96L73.14 493.7zM329.7 341.1L232.5 287.1l98.42-58.57l96.45 53.58c-2.402 1.627-4.465 3.588-6.981 5.094L329.7 341.1zM441.6 271.8l-94.79-52.66l30.42-18.1c19.34-11.51 27.76-31.7 21.99-52.7C398.8 146.7 397.9 145.5 397.3 144h97.48C499.1 190.9 479.7 239.3 441.6 271.8z"],
    "candy-corn": [640, 512, [], "f6bd", "M479.1 0c-165.8 1.625-164.5 39.5-157.9 72.5c30.38 151.5 94.01 343.5 157.8 343.5c63.75-.125 127.6-191.9 158-343.5C644.5 39.5 645.8 1.625 479.1 0zM479.9 399.1c-23.7 0-54.47-47.82-83.33-122.4c58.04-7.437 108.8-7.439 166.9-.0078C534.5 352.1 503.7 399.1 479.9 399.1zM569.2 262.1c-61.97-8.147-116.4-8.158-178.4 .0078c-13.14-35.92-25.73-77.09-36.94-121.7c100.3-20.05 189.6-12.53 252.3-.0059C594.1 185 582.3 226.2 569.2 262.1zM622.2 69.36c-3.781 18.87-7.912 37.26-12.22 55.28c-102.6-20.46-195.5-12.85-259.9 .0078c-4.314-18.02-8.449-36.42-12.23-55.29c-2.561-12.75-2.924-20.38 2.188-26.68c9.432-11.63 41.38-25.69 140-26.67c98.62 .9825 130.6 15.05 140 26.67C625.1 48.97 624.8 56.6 622.2 69.36zM80.97 213.8c-111.5 118.7-84.06 143.8-56.4 161.7c126.1 82.49 304.9 169.2 348.3 123.1c43.23-45.29-47.93-222.3-133.7-347.9C220.5 124.3 194.7 97.42 80.97 213.8zM361.6 488.6c-16.11 16.81-70.57 5.793-142.5-24.97c34.17-46.2 68.68-82.25 113.4-118.4C365.2 416.1 377.8 471.7 361.6 488.6zM325.5 330.6C277.6 368.1 240.7 407.6 204.3 457.1c-34.13-15.35-71.59-34.69-110.5-57.41c33.8-53.06 89.22-121.6 171.4-178.9C288.9 259.4 309.2 296.6 325.5 330.6zM80.13 391.6c-15.58-9.315-31.3-19.01-47.12-29.29c-10.69-6.94-16.28-11.92-17.23-19.87c-1.752-14.67 10.09-46.99 76.41-117.6C159.9 155.6 191.5 142.6 206 143.9C213.9 144.6 219 150.1 226.3 160.6C236.9 176.3 247 191.8 256.7 207.3C172.6 265.1 114.9 337.1 80.13 391.6z"],
    "cannabis": [576, 512, [], "f55f", "M531.6 349c-.2813-.1408-25.38-13.56-63.66-22.86c57.22-72.06 74.78-150.3 75.53-153.7c1.656-7.65-.7187-15.89-6.375-21.78c-5.719-5.413-13.16-7.775-21.47-6.179c-.75 .1564-74.59 15.68-146.2 68.86c-3.656-107.9-55.44-193.3-61.63-203.1C299.1-3.352 277-3.492 268.1 10.34C262 20.02 210.3 105.4 206.6 213.3C136.8 161.6 63.75 145.2 60.47 144.5C52.41 142.8 44.72 145.2 38.81 150.8C33.19 156.4 31 164.5 32.72 172.5c.75 3.457 18.16 81.64 75.38 153.7c-38.28 9.292-63.34 22.71-63.53 22.81C36.81 353 32 360.1 32 369.8c0 8.776 4.812 16.74 12.38 20.68c.5938 .3442 61.91 33.06 137.2 31.71c-7.562 16.27-10.91 27.14-10.91 27.14c-2.75 8.385-.5625 17.49 5.625 23.68c4.438 4.568 10.47 7.024 16.66 7.024c2.281 0 4.625-.3442 6.875-1.017c.2187-.0626 23.72-7.306 54.53-25.01c3.844-2.206 5.156-7.087 2.969-10.93S250.3 437.9 246.4 440.1c-28.44 16.32-50.78 23.43-51.09 23.53c-2.719 .8135-5.719 .1252-7.656-1.862c-2-2.018-2.656-4.818-1.75-7.665c.0618-.1564 4.75-15.19 15.69-36.5c1.281-2.503 1.156-5.522-.3438-7.916c-1.5-2.378-4.25-3.582-6.969-3.754c-5.25 .1252-10.88 .2346-16.75 .2346c-69.56 0-124.9-29.43-125.6-29.82C49.47 375 48 372.6 48 369.8c0-2.738 1.562-5.319 4.062-6.617c.2813-.1564 29.66-15.64 72.09-24.12c2.781-.5475 5.062-2.55 6-5.241c.9375-2.691 .375-5.663-1.5-7.822C67.34 254.3 48.94 172.5 48.19 169C47.66 166.5 48.38 163.8 49.1 162.3C51.56 160.8 53.5 159.9 57.09 160.2C60.38 160.9 138.9 178.5 209.3 235.7c2.344 1.94 5.688 2.378 8.469 1.017c2.781-1.33 4.562-4.13 4.562-7.227V225.3c0-108.1 53.22-196.8 59.28-206.4c2.812-4.318 9.875-4.318 12.69 0c6.062 9.652 59.28 97.44 59.28 206.4v4.224c0 3.097 1.781 5.898 4.562 7.227c2.812 1.361 6.125 .923 8.469-1.017c71.13-57.83 151.2-75.39 153.8-75.75c2.062 0 3.969 .7822 5.281 2.034c1.781 1.846 2.562 4.537 2.031 7.008c-.75 3.442-19.16 85.29-80.47 156.9c-1.875 2.159-2.438 5.131-1.5 7.822c.9375 2.691 3.219 4.693 6 5.241c42.44 8.479 71.81 23.97 72.22 24.17C526.4 364.4 528 367 528 369.8c0 2.816-1.469 5.272-4.125 6.664c-.5313 .2972-55.88 29.72-125.4 29.72c-5.875 0-11.5-.1095-16.75-.2346c-2.562 .1721-5.469 1.361-6.969 3.754s-1.625 5.397-.3438 7.9c10.81 21.15 15.62 36.37 15.75 36.7c.8438 2.628 .1562 5.522-1.875 7.54c-1.844 1.924-4.719 2.722-7.688 1.768c-.2187-.0626-22.56-7.18-51-23.5c-3.812-2.174-8.719-.8761-10.91 2.957c-2.188 3.848-.875 8.729 2.969 10.93c30.81 17.71 54.31 24.95 54.41 24.97c8.5 2.597 17.59 .3285 23.53-5.804c6.219-6.085 8.5-15.44 5.812-23.62c-.0313-.1252-3.376-10.92-10.97-27.36c1.312 .0157 2.688 .0157 4.031 .0157c73.72 0 132.6-31.4 133-31.63C539.2 386.5 544 378.5 544 369.8C544 360.1 539.2 353 531.6 349zM288 191.6c-4.406 0-8 3.582-8 8.01v304.4C280 508.4 283.6 512 288 512s8-3.582 8-8.01V199.6C296 195.2 292.4 191.6 288 191.6z"],
    "capsules": [576, 512, [], "f46b", "M111.1 48C59.06 48 16 91.06 16 144v224c0 52.94 43.06 96 95.1 96s95.1-43.06 95.1-96v-224C207.1 91.06 164.9 48 111.1 48zM191.1 368c0 44.11-35.88 80-79.1 80s-79.1-35.89-79.1-80L31.1 264h159.1L191.1 368zM191.1 248H31.1L31.1 144c0-44.11 35.88-80 79.1-80s79.1 35.89 79.1 80L191.1 248zM541.2 308l-136.3-187c-32.09-44.05-94.62-54.16-139.2-22.52C243.9 113.9 229.5 136.7 225.3 162.8C221 188.7 227.2 214.7 242.8 235.1l136.3 187c19.47 26.7 50.12 40.94 81.18 40.94c20.16 0 40.5-5.984 58.06-18.42c21.75-15.41 36.09-38.23 40.34-64.31C562.9 355.3 556.7 329.3 541.2 308zM255.7 226.5C242.7 208.7 237.5 187 241.1 165.4C244.6 143.5 256.6 124.4 274.9 111.5c14.78-10.47 31.87-15.5 48.84-15.5c26.12 0 51.87 11.94 68.22 34.39l63.38 86.95l-136.1 96.32L255.7 226.5zM542.9 378.6c-3.562 21.81-15.59 40.92-33.81 53.83c-37.53 26.61-90.12 18.14-117.1-18.89l-63.38-86.95l136.1-96.32l63.53 87.15C541.3 335.3 546.4 356.1 542.9 378.6z"],
    "car": [512, 512, [128664, "automobile"], "f1b9", "M128 288C128 305.7 113.7 320 96 320C78.33 320 64 305.7 64 288C64 270.3 78.33 256 96 256C113.7 256 128 270.3 128 288zM96 272C87.16 272 80 279.2 80 288C80 296.8 87.16 304 96 304C104.8 304 112 296.8 112 288C112 279.2 104.8 272 96 272zM384 288C384 270.3 398.3 256 416 256C433.7 256 448 270.3 448 288C448 305.7 433.7 320 416 320C398.3 320 384 305.7 384 288zM416 304C424.8 304 432 296.8 432 288C432 279.2 424.8 272 416 272C407.2 272 400 279.2 400 288C400 296.8 407.2 304 416 304zM58.02 199.8L91.05 84.22C99.88 53.31 128.1 32 160.3 32H351.7C383.9 32 412.1 53.31 420.1 84.22L453.1 199.8C488.1 214.5 512 248.5 512 288V472C512 476.4 508.4 480 504 480C499.6 480 496 476.4 496 472V400H16V472C16 476.4 12.42 480 8 480C3.582 480 0 476.4 0 472V288C0 248.5 23.89 214.5 58.02 199.8H58.02zM76.31 194C82.67 192.7 89.25 192 96 192H416C422.7 192 429.3 192.7 435.7 194L405.6 88.62C398.7 64.57 376.7 48 351.7 48H160.3C135.3 48 113.3 64.57 106.4 88.62L76.31 194zM416 208H96C51.82 208 16 243.8 16 288V384H496V288C496 243.8 460.2 208 416 208z"],
    "car-battery": [512, 512, ["battery-car"], "f5df", "M368 216C372.4 216 376 219.6 376 224V264H416C420.4 264 424 267.6 424 272C424 276.4 420.4 280 416 280H376V320C376 324.4 372.4 328 368 328C363.6 328 360 324.4 360 320V280H320C315.6 280 312 276.4 312 272C312 267.6 315.6 264 320 264H360V224C360 219.6 363.6 216 368 216zM192 264C196.4 264 200 267.6 200 272C200 276.4 196.4 280 192 280H96C91.58 280 88 276.4 88 272C88 267.6 91.58 264 96 264H192zM320 128V88C320 74.75 330.7 64 344 64H424C437.3 64 448 74.75 448 88V128C483.3 128 512 156.7 512 192V384C512 419.3 483.3 448 448 448H64C28.65 448 0 419.3 0 384V192C0 156.7 28.65 128 64 128V88C64 74.75 74.75 64 88 64H168C181.3 64 192 74.75 192 88V128H320zM168 80H88C83.58 80 80 83.58 80 88V128H176V88C176 83.58 172.4 80 168 80zM336 128H432V88C432 83.58 428.4 80 424 80H344C339.6 80 336 83.58 336 88V128zM64 144C37.49 144 16 165.5 16 192V384C16 410.5 37.49 432 64 432H448C474.5 432 496 410.5 496 384V192C496 165.5 474.5 144 448 144H64z"],
    "car-bolt": [512, 512, [], "e341", "M128 288C128 305.7 113.7 320 96 320C78.33 320 64 305.7 64 288C64 270.3 78.33 256 96 256C113.7 256 128 270.3 128 288zM96 272C87.16 272 80 279.2 80 288C80 296.8 87.16 304 96 304C104.8 304 112 296.8 112 288C112 279.2 104.8 272 96 272zM384 288C384 270.3 398.3 256 416 256C433.7 256 448 270.3 448 288C448 305.7 433.7 320 416 320C398.3 320 384 305.7 384 288zM416 304C424.8 304 432 296.8 432 288C432 279.2 424.8 272 416 272C407.2 272 400 279.2 400 288C400 296.8 407.2 304 416 304zM283.5 175.9H329.1C345.1 175.9 351.2 196.8 337.7 205.4L212.1 285.3C198 294.3 181.4 278.4 189.6 263.9L221.6 207.9H176C160 207.9 153.9 187 167.4 178.4L292.1 98.55C307 89.59 323.7 105.5 315.4 119.1L283.5 175.9zM235.4 191.9C238.3 191.9 240.9 193.5 242.3 195.9C243.8 198.4 243.8 201.4 242.3 203.9L203.5 271.8L329.1 191.9H269.7C266.8 191.9 264.2 190.4 262.8 187.1C261.3 185.5 261.3 182.4 262.7 179.1L301.5 112.1L176 191.9H235.4zM58.02 199.8L91.05 84.22C99.88 53.31 128.1 32 160.3 32H351.7C383.9 32 412.1 53.31 420.1 84.22L453.1 199.8C488.1 214.5 512 248.5 512 288V472C512 476.4 508.4 480 504 480C499.6 480 496 476.4 496 472V400H16V472C16 476.4 12.42 480 8 480C3.582 480 0 476.4 0 472V288C0 248.5 23.89 214.5 58.02 199.8H58.02zM76.31 194C82.67 192.7 89.25 192 96 192H128V208H96C51.82 208 16 243.8 16 288V384H496V288C496 243.8 460.2 208 416 208H384V192H416C422.7 192 429.3 192.7 435.7 194L405.6 88.62C398.7 64.57 376.7 48 351.7 48H160.3C135.3 48 113.3 64.57 106.4 88.62L76.31 194z"],
    "car-building": [640, 512, [], "f859", "M272 16H48C30.33 16 16 30.33 16 48V432C16 449.7 30.33 464 48 464H224V480H48C21.49 480 0 458.5 0 432V48C0 21.49 21.49 0 48 0H272C298.5 0 320 21.49 320 48V165.2C314.1 170 308.7 175.5 304 181.6V48C304 30.33 289.7 16 272 16zM232 288C239.2 288 245.7 291.2 250.1 296.2C246.3 300.7 242.9 305.5 239.9 310.5C239.2 306.8 235.9 304 232 304H200C195.6 304 192 307.6 192 312V344C192 348.4 195.6 352 200 352H225.1C224.4 357.2 224 362.6 224 368H200C186.7 368 176 357.3 176 344V312C176 298.7 186.7 288 200 288H232zM64 200C64 186.7 74.75 176 88 176H120C133.3 176 144 186.7 144 200V232C144 245.3 133.3 256 120 256H88C74.75 256 64 245.3 64 232V200zM88 192C83.58 192 80 195.6 80 200V232C80 236.4 83.58 240 88 240H120C124.4 240 128 236.4 128 232V200C128 195.6 124.4 192 120 192H88zM232 176C245.3 176 256 186.7 256 200V232C256 245.3 245.3 256 232 256H200C186.7 256 176 245.3 176 232V200C176 186.7 186.7 176 200 176H232zM192 232C192 236.4 195.6 240 200 240H232C236.4 240 240 236.4 240 232V200C240 195.6 236.4 192 232 192H200C195.6 192 192 195.6 192 200V232zM64 88C64 74.75 74.75 64 88 64H120C133.3 64 144 74.75 144 88V120C144 133.3 133.3 144 120 144H88C74.75 144 64 133.3 64 120V88zM88 80C83.58 80 80 83.58 80 88V120C80 124.4 83.58 128 88 128H120C124.4 128 128 124.4 128 120V88C128 83.58 124.4 80 120 80H88zM232 64C245.3 64 256 74.75 256 88V120C256 133.3 245.3 144 232 144H200C186.7 144 176 133.3 176 120V88C176 74.75 186.7 64 200 64H232zM192 120C192 124.4 195.6 128 200 128H232C236.4 128 240 124.4 240 120V88C240 83.58 236.4 80 232 80H200C195.6 80 192 83.58 192 88V120zM64 312C64 298.7 74.75 288 88 288H120C133.3 288 144 298.7 144 312V344C144 357.3 133.3 368 120 368H88C74.75 368 64 357.3 64 344V312zM88 304C83.58 304 80 307.6 80 312V344C80 348.4 83.58 352 88 352H120C124.4 352 128 348.4 128 344V312C128 307.6 124.4 304 120 304H88zM368 368C368 385.7 353.7 400 336 400C318.3 400 304 385.7 304 368C304 350.3 318.3 336 336 336C353.7 336 368 350.3 368 368zM336 384C344.8 384 352 376.8 352 368C352 359.2 344.8 352 336 352C327.2 352 320 359.2 320 368C320 376.8 327.2 384 336 384zM528 368C528 350.3 542.3 336 560 336C577.7 336 592 350.3 592 368C592 385.7 577.7 400 560 400C542.3 400 528 385.7 528 368zM560 352C551.2 352 544 359.2 544 368C544 376.8 551.2 384 560 384C568.8 384 576 376.8 576 368C576 359.2 568.8 352 560 352zM326.4 216.6C333.2 192.6 355.2 176 380.2 176H515.8C540.8 176 562.8 192.6 569.6 216.6L591.7 293.8L590.7 294.1C619.6 306.1 640 334.7 640 368V504C640 508.4 636.4 512 632 512C627.6 512 624 508.4 624 504V448H272V504C272 508.4 268.4 512 264 512C259.6 512 256 508.4 256 504V368C256 334.7 276.4 306.1 305.3 294.1L304.3 293.8L326.4 216.6zM380.2 192C362.3 192 346.7 203.8 341.7 221L322.3 289.2C326.7 288.4 331.3 288 336 288H560C564.7 288 569.3 288.4 573.7 289.2L554.3 221C549.3 203.8 533.7 192 515.8 192H380.2zM624 368C624 332.7 595.3 304 560 304H336C300.7 304 272 332.7 272 368V432H624V368z"],
    "car-bump": [640, 512, [], "f5e0", "M101.1 318.7C97.72 302.8 107.1 286.5 123 282.3C138.9 277.1 155.2 287.4 159.5 303.3C163.7 319.2 154.3 335.5 138.4 339.8C122.6 344 106.2 334.6 101.1 318.7V318.7zM134.3 324.3C141.6 322.3 145.1 314.8 144 307.4C142.1 300.1 134.5 295.7 127.2 297.7C119.8 299.7 115.5 307.2 117.4 314.6C119.4 321.9 126.9 326.3 134.3 324.3V324.3zM446.1 226.3C451.3 242.1 441.8 258.5 425.9 262.7C410.1 266.1 393.7 257.5 389.5 241.7C385.2 225.8 394.7 209.5 410.5 205.2C426.4 200.1 442.7 210.4 446.1 226.3V226.3zM414.7 220.7C407.3 222.6 402.1 230.2 404.9 237.5C406.9 244.9 414.5 249.2 421.8 247.3C429.2 245.3 433.5 237.7 431.5 230.4C429.6 223.1 422 218.7 414.7 220.7zM129.1 64.11L295.5 19.76C326.5 11.44 359.3 24.71 375.8 52.28L433.4 148.2C467.6 155.5 496.6 181.2 506.2 217.3L548.8 376.2C549.9 380.1 547.5 384.2 543.5 385.3C539.6 386.4 535.5 383.1 534.4 380L517.1 315.3L85.81 430.9L103.1 495.6C104.2 499.6 101.9 503.6 97.89 504.7C93.92 505.8 89.84 503.4 88.77 499.4L46.21 340.6C36.54 304.5 48.77 267.7 74.76 244.3L76.6 132.5C77.13 100.3 98.91 72.43 129.1 64.11V64.11zM134.1 79.56C109.9 86.03 93.01 107.7 92.6 132.7L90.95 232.6C98.06 228.5 105.8 225.2 114.1 223L388.7 149.4C396.9 147.2 405.3 146.2 413.5 146.2L362.1 60.51C349.3 39.07 323.8 28.74 299.6 35.22L134.1 79.56zM61.66 336.5L82.75 415.2L511.9 300.2L490.8 221.5C479.3 178.8 435.5 153.5 392.8 164.9L118.2 238.5C75.56 249.9 50.23 293.8 61.66 336.4V336.5zM414.9 511.9C410.5 511.3 407.5 507.2 408.1 502.9C415.1 453.8 457.3 416 508.4 416C559.4 416 601.7 453.8 608.7 502.9C609.3 507.2 606.3 511.3 601.9 511.9C597.5 512.5 593.5 509.5 592.9 505.1C586.9 463.8 551.4 432 508.4 432C465.4 432 429.8 463.8 423.9 505.1C423.3 509.5 419.2 512.5 414.9 511.9V511.9z"],
    "car-burst": [640, 512, ["car-crash"], "f5e1", "M221.9 88.7L287.9 72.38L276.3 91.73L219.3 105.8C215.6 106.7 211.7 104.9 210.1 101.4L175.1 27.16L141.9 101.4C140.3 104.9 136.4 106.7 132.7 105.8L53.37 86.21L90.14 159.2C91.8 162.5 90.1 166.5 88.2 168.9L29.7 218.9L103.2 235.7C106.9 236.5 109.5 239.8 109.4 243.6L107.9 325.3L149.3 291.1L144.1 310.5C143.5 312.8 143 315 142.7 317.3L104.7 348.7C102.3 350.7 98.98 351.1 96.16 349.8C93.35 348.4 91.58 345.6 91.64 342.4L93.3 249.8L10.63 230.1C7.685 230.3 5.368 228 4.645 225.1C3.921 222.1 4.914 219.1 7.212 217.1L73.03 160.8L31.25 77.87C29.85 75.08 30.19 71.72 32.14 69.28C34.09 66.83 37.28 65.75 40.32 66.5L130.1 88.7L168.7 4.659C170 1.82 172.9 0 175.1 0C179.1 0 181.1 1.82 183.3 4.659L221.9 88.7zM543.1 354.2C528.6 350.3 520 335.4 523.9 320.9C527.8 306.4 542.7 297.8 557.2 301.7C571.7 305.6 580.3 320.5 576.4 334.1C572.5 349.5 557.6 358.1 543.1 354.2zM560.1 330.8C562.6 324.9 559 318.7 553.1 317.1C547.1 315.5 540.1 319.1 539.4 325.1C537.8 331 541.3 337.2 547.3 338.8C553.2 340.4 559.4 336.8 560.1 330.8zM294.6 231.3C309.1 235.2 317.7 250.1 313.8 264.6C309.9 279.1 295 287.7 280.5 283.8C266 279.1 257.4 265 261.3 250.5C265.2 236 280.1 227.4 294.6 231.3V231.3zM276.7 254.7C275.1 260.7 278.7 266.8 284.6 268.4C290.6 269.1 296.8 266.4 298.3 260.5C299.9 254.5 296.4 248.4 290.4 246.8C284.5 245.2 278.3 248.7 276.7 254.7zM600.4 169L601.8 259.1C627.5 272.8 641.3 302.8 633.5 332.1L588.5 500.1C587.5 503.7 583.8 505.8 580.2 504.9C576.5 503.9 574.4 500.2 575.4 496.5L591.2 437.5L197.3 331.9L181.4 390.1C180.5 394.6 176.7 396.8 173.1 395.8C169.5 394.8 167.3 391.1 168.3 387.5L213.3 219.5C221.2 190.2 248.1 171.1 277.2 172.1L323.5 94.86C340.1 67.29 372.9 54.02 403.9 62.34L547 100.7C578.1 109 599.8 136.9 600.4 169H600.4zM399.8 77.8C375.6 71.32 350.1 81.65 337.2 103.1L294.2 174.9L585.7 253L584.4 169.3C583.9 144.3 567 122.6 542.9 116.1L399.8 77.8zM584.1 269.2L287.5 189.7C261.9 182.8 235.6 198 228.8 223.6L203.7 317.1L592.1 421.4L618 327.1C624.9 302.3 609.7 276 584.1 269.2V269.2z"],
    "car-bus": [640, 512, [], "f85a", "M16 247.1V361.5C16 383.5 33.91 401.5 56 401.5H224V417.5H56C53.28 417.5 50.61 417.3 48 416.9V472C48 476.4 44.42 480 40 480C35.58 480 32 476.4 32 472V412.1C13.08 403.1 0 383.8 0 361.5V105.1C0 84.54 4.403 60.96 22.72 46.11C50.66 23.44 104 0 192 0C279.1 0 333.3 23.44 361.3 46.11C379.6 60.96 384 84.54 384 105.1V144H380.2C376.1 144 372 144.3 368 144.8V120H200V232H282.7L278.1 248L16 247.1zM16 103.1H367.1C367.8 85.29 363.5 68.51 351.2 58.53C326.7 38.69 277.2 15.1 191.1 15.1C106.8 15.1 57.26 38.69 32.79 58.53C20.49 68.51 16.17 85.29 16 103.1H16zM16 119.1V231.1H184V119.1H16zM128 319.1C128 337.7 113.7 352 96 352C78.33 352 64 337.7 64 319.1C64 302.3 78.33 287.1 96 287.1C113.7 287.1 128 302.3 128 319.1zM96 336C104.8 336 112 328.8 112 319.1C112 311.2 104.8 303.1 96 303.1C87.16 303.1 80 311.2 80 319.1C80 328.8 87.16 336 96 336zM368 368C368 385.7 353.7 400 336 400C318.3 400 304 385.7 304 368C304 350.3 318.3 336 336 336C353.7 336 368 350.3 368 368zM336 384C344.8 384 352 376.8 352 368C352 359.2 344.8 352 336 352C327.2 352 320 359.2 320 368C320 376.8 327.2 384 336 384zM528 368C528 350.3 542.3 336 560 336C577.7 336 592 350.3 592 368C592 385.7 577.7 400 560 400C542.3 400 528 385.7 528 368zM560 352C551.2 352 544 359.2 544 368C544 376.8 551.2 384 560 384C568.8 384 576 376.8 576 368C576 359.2 568.8 352 560 352zM326.4 216.6C333.2 192.6 355.2 175.1 380.2 175.1H515.8C540.8 175.1 562.8 192.6 569.6 216.6L591.7 293.8L590.7 294.1C619.6 306.1 640 334.7 640 368V504C640 508.4 636.4 512 632 512C627.6 512 624 508.4 624 504V448H272V504C272 508.4 268.4 512 264 512C259.6 512 256 508.4 256 504V368C256 334.7 276.4 306.1 305.3 294.1L304.3 293.8L326.4 216.6zM380.2 191.1C362.3 191.1 346.7 203.8 341.7 221L322.3 289.2C326.7 288.4 331.3 288 336 288H560C564.7 288 569.3 288.4 573.7 289.2L554.3 221C549.3 203.8 533.7 191.1 515.8 191.1H380.2zM624 368C624 332.7 595.3 303.1 560 303.1H336C300.7 303.1 272 332.7 272 368V432H624V368z"],
    "car-circle-bolt": [640, 512, [], "e342", "M58.02 199.8L91.05 84.22C99.88 53.31 128.1 32 160.3 32H351.7C383.9 32 412.1 53.31 420.1 84.22L453.2 197.2C442.4 199.9 432 203.6 422.1 208.2C420.1 208.1 418 208 416 208H96C51.82 208 16 243.8 16 288V384H320.7C321.2 389.4 321.9 394.7 322.9 400H16V472C16 476.4 12.42 480 8 480C3.582 480 0 476.4 0 472V288C0 248.5 23.89 214.5 58.02 199.8V199.8zM76.31 194C82.67 192.7 89.25 192 96 192H416C422.7 192 429.3 192.7 435.7 194L405.6 88.62C398.7 64.57 376.7 48 351.7 48H160.3C135.3 48 113.3 64.57 106.4 88.62L76.31 194zM128 288C128 305.7 113.7 320 96 320C78.33 320 64 305.7 64 288C64 270.3 78.33 256 96 256C113.7 256 128 270.3 128 288zM96 272C87.16 272 80 279.2 80 288C80 296.8 87.16 304 96 304C104.8 304 112 296.8 112 288C112 279.2 104.8 272 96 272zM532.5 281.4C535.4 283.4 536.7 287.1 535.6 290.5L517.8 344H576C579.3 344 582.3 346.1 583.5 349.2C584.7 352.4 583.7 355.9 581.2 358.1L469.2 454.1C466.5 456.4 462.5 456.6 459.5 454.6C456.6 452.6 455.3 448.9 456.4 445.5L474.2 392H416C412.7 392 409.7 389.9 408.5 386.8C407.3 383.6 408.3 380.1 410.8 377.9L522.8 281.9C525.5 279.6 529.5 279.4 532.5 281.4H532.5zM437.6 376H485.3C487.9 376 490.3 377.2 491.8 379.3C493.3 381.4 493.7 384.1 492.9 386.5L480.7 423.1L554.4 360H506.7C504.1 360 501.7 358.8 500.2 356.7C498.7 354.6 498.3 351.9 499.1 349.5L511.3 312.9L437.6 376zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 496C566.7 496 624 438.7 624 368C624 297.3 566.7 240 496 240C425.3 240 368 297.3 368 368C368 438.7 425.3 496 496 496z"],
    "car-garage": [640, 512, [], "f5e2", "M635.9 177C639.8 179.2 641.1 184.1 638.1 187.9C636.8 191.8 631.9 193.1 628.1 190.1L320 17.19L11.93 190.1C8.084 193.1 3.204 191.8 1.034 187.9C-1.137 184.1 .2227 179.2 4.071 177L316.1 1.032C318.5-.3441 321.5-.3441 323.9 1.032L635.9 177zM240 368C240 385.7 225.7 400 208 400C190.3 400 176 385.7 176 368C176 350.3 190.3 336 208 336C225.7 336 240 350.3 240 368zM208 384C216.8 384 224 376.8 224 368C224 359.2 216.8 352 208 352C199.2 352 192 359.2 192 368C192 376.8 199.2 384 208 384zM400 368C400 350.3 414.3 336 432 336C449.7 336 464 350.3 464 368C464 385.7 449.7 400 432 400C414.3 400 400 385.7 400 368zM432 352C423.2 352 416 359.2 416 368C416 376.8 423.2 384 432 384C440.8 384 448 376.8 448 368C448 359.2 440.8 352 432 352zM198.4 216.6C205.2 192.6 227.2 176 252.2 176H387.8C412.8 176 434.8 192.6 441.6 216.6L463.9 294.6C492.2 306.1 512 335.2 512 368V504C512 508.4 508.4 512 504 512C499.6 512 496 508.4 496 504V448H144V504C144 508.4 140.4 512 136 512C131.6 512 128 508.4 128 504V368C128 335.2 147.8 306.1 176.1 294.6L198.4 216.6zM252.2 192C234.3 192 218.7 203.8 213.7 221L194.3 289.2C198.7 288.4 203.3 288 208 288H432C436.7 288 441.3 288.4 445.7 289.2L426.3 221C421.4 203.8 405.7 192 387.8 192H252.2zM496 368C496 332.7 467.3 304 432 304H208C172.7 304 144 332.7 144 368V432H496V368z"],
    "car-mirrors": [576, 512, [], "e343", "M160 288C160 305.7 145.7 320 128 320C110.3 320 96 305.7 96 288C96 270.3 110.3 256 128 256C145.7 256 160 270.3 160 288zM128 272C119.2 272 112 279.2 112 288C112 296.8 119.2 304 128 304C136.8 304 144 296.8 144 288C144 279.2 136.8 272 128 272zM416 288C416 270.3 430.3 256 448 256C465.7 256 480 270.3 480 288C480 305.7 465.7 320 448 320C430.3 320 416 305.7 416 288zM448 304C456.8 304 464 296.8 464 288C464 279.2 456.8 272 448 272C439.2 272 432 279.2 432 288C432 296.8 439.2 304 448 304zM192.3 32H383.7C415.9 32 444.1 53.31 452.1 84.22L479.4 176.8C486.7 166.6 498.6 160 512 160H552C565.3 160 576 170.7 576 184V200C576 213.3 565.3 224 552 224H519.6C534.8 240.1 544 263.4 544 288V472C544 476.4 540.4 480 536 480C531.6 480 528 476.4 528 472V400H48V472C48 476.4 44.42 480 40 480C35.58 480 32 476.4 32 472V288C32 263.4 41.24 240.1 56.44 224H24C10.75 224 0 213.3 0 200V184C0 170.7 10.75 160 24 160H64C77.44 160 89.34 166.6 96.59 176.8L123 84.22C131.9 53.31 160.1 32 192.3 32H192.3zM108.3 194C114.7 192.7 121.3 192 128 192H448C454.7 192 461.3 192.7 467.7 194L437.6 88.62C430.7 64.57 408.7 48 383.7 48H192.3C167.3 48 145.3 64.57 138.4 88.62L108.3 194zM64 176H24C19.58 176 16 179.6 16 184V200C16 204.4 19.58 208 24 208H74.92C79.06 205.2 83.43 202.8 88 200.7V200C88 186.7 77.25 176 64 176zM488 200.7C492.6 202.8 496.9 205.2 501.1 208H552C556.4 208 560 204.4 560 200V184C560 179.6 556.4 176 552 176H512C498.7 176 488 186.7 488 200V200.7zM496 223.1C482.6 213.1 466 208 448 208H128C109.1 208 93.37 213.1 80 223.1C60.57 238.6 48 261.8 48 288V384H528V288C528 261.8 515.4 238.6 496 223.1z"],
    "car-on": [448, 512, [], "e4dd", "M232 120C232 124.4 228.4 128 224 128C219.6 128 216 124.4 216 120V8C216 3.582 219.6 0 224 0C228.4 0 232 3.582 232 8V120zM144 368C144 385.7 129.7 400 112 400C94.33 400 80 385.7 80 368C80 350.3 94.33 336 112 336C129.7 336 144 350.3 144 368zM112 384C120.8 384 128 376.8 128 368C128 359.2 120.8 352 112 352C103.2 352 96 359.2 96 368C96 376.8 103.2 384 112 384zM304 368C304 350.3 318.3 336 336 336C353.7 336 368 350.3 368 368C368 385.7 353.7 400 336 400C318.3 400 304 385.7 304 368zM336 352C327.2 352 320 359.2 320 368C320 376.8 327.2 384 336 384C344.8 384 352 376.8 352 368C352 359.2 344.8 352 336 352zM102.4 216.6C109.2 192.6 131.2 176 156.2 176H291.8C316.8 176 338.8 192.6 345.6 216.6L367.9 294.6C396.2 306.1 416 335.2 416 368V504C416 508.4 412.4 512 408 512C403.6 512 400 508.4 400 504V448H48V504C48 508.4 44.42 512 40 512C35.58 512 32 508.4 32 504V368C32 335.2 51.78 306.1 80.07 294.6L102.4 216.6zM156.2 192C138.3 192 122.7 203.8 117.7 221L98.27 289.2C102.7 288.4 107.3 288 112 288H336C340.7 288 345.3 288.4 349.7 289.2L330.3 221C325.3 203.8 309.7 191.1 291.8 191.1L156.2 192zM400 368C400 332.7 371.3 304 336 304H112C76.65 304 48 332.7 48 368V432H400V368zM2.343 34.34C5.467 31.22 10.53 31.22 13.66 34.34L93.66 114.3C96.78 117.5 96.78 122.5 93.66 125.7C90.53 128.8 85.47 128.8 82.34 125.7L2.343 45.66C-.7811 42.53-.7811 37.47 2.343 34.34V34.34zM434.3 34.34C437.5 31.22 442.5 31.22 445.7 34.34C448.8 37.47 448.8 42.53 445.7 45.66L365.7 125.7C362.5 128.8 357.5 128.8 354.3 125.7C351.2 122.5 351.2 117.5 354.3 114.3L434.3 34.34z"],
    "car-rear": [512, 512, ["car-alt"], "f5de", "M192 312C192 298.7 202.7 288 216 288H296C309.3 288 320 298.7 320 312V328C320 341.3 309.3 352 296 352H216C202.7 352 192 341.3 192 328V312zM208 312V328C208 332.4 211.6 336 216 336H296C300.4 336 304 332.4 304 328V312C304 307.6 300.4 304 296 304H216C211.6 304 208 307.6 208 312zM167.6 32H344.4C376.2 32 404.2 52.86 413.3 83.31L446.3 193.3C483.7 200 512 232.7 512 272V352C512 372.9 498.6 390.7 480 397.3V472C480 476.4 476.4 480 472 480C467.6 480 464 476.4 464 472V400H48V472C48 476.4 44.42 480 40 480C35.58 480 32 476.4 32 472V397.3C13.36 390.7 0 372.9 0 352V272C0 232.7 28.32 200 65.66 193.3L98.65 83.31C107.8 52.86 135.8 32 167.6 32V32zM167.6 48C142.9 48 121.1 64.22 113.1 87.91L82.75 192H429.2L398 87.91C390.9 64.22 369.1 48 344.4 48H167.6zM18.02 256H72C85.25 256 96 266.7 96 280V312C96 325.3 85.25 336 72 336H16V352C16 369.7 30.33 384 48 384H464C481.7 384 496 369.7 496 352V336H440C426.7 336 416 325.3 416 312V280C416 266.7 426.7 256 440 256H493.1C486.9 228.4 461.8 208 432 208H80C50.18 208 25.12 228.4 18.02 256V256zM496 320V272H440C435.6 272 432 275.6 432 280V312C432 316.4 435.6 320 440 320H496zM80 312V280C80 275.6 76.42 272 72 272H16V320H72C76.42 320 80 316.4 80 312z"],
    "car-side": [640, 512, [128663], "f5e4", "M480 480C432.4 480 392.9 445.4 385.3 400H254.7C247.1 445.4 207.6 480 160 480C112.4 480 72.94 445.4 65.33 400H32C14.33 400 0 385.7 0 368V256C0 222.5 25.72 195 58.49 192.2L104.5 77.26C115.4 49.92 141.9 32 171.3 32H353.2C375.1 32 395.8 41.94 409.5 59.02L515.9 192.1C584.8 194.1 640 250.6 640 320V368C640 385.7 625.7 400 608 400H574.7C567.1 445.4 527.6 480 480 480L480 480zM171.3 48C148.4 48 127.8 61.94 119.3 83.2L75.82 192H240V48H171.3zM64 208C37.49 208 16 229.5 16 256V368C16 376.8 23.16 384 32 384H64C64 330.1 106.1 288 160 288C213 288 256 330.1 256 384H384C384 330.1 426.1 288 480 288C533 288 576 330.1 576 384H608C616.8 384 624 376.8 624 368V320C624 258.1 573.9 208 512 208H64zM396.1 69.02C386.3 55.73 370.3 48 353.2 48H256V192H495.4L396.1 69.02zM160 464C204.2 464 240 428.2 240 384C240 339.8 204.2 304 160 304C115.8 304 80 339.8 80 384C80 428.2 115.8 464 160 464zM480 304C435.8 304 400 339.8 400 384C400 428.2 435.8 464 480 464C524.2 464 560 428.2 560 384C560 339.8 524.2 304 480 304z"],
    "car-side-bolt": [640, 512, [], "e344", "M323.5 167.9H369.1C385.1 167.9 391.2 188.8 377.7 197.4L252.1 277.3C238 286.3 221.4 270.4 229.6 255.9L261.6 199.9H216C200 199.9 193.9 179 207.4 170.4L332.1 90.55C347 81.59 363.7 97.49 355.4 111.1L323.5 167.9zM275.4 183.9C278.3 183.9 280.9 185.5 282.3 187.9C283.8 190.4 283.8 193.4 282.3 195.9L243.5 263.8L369.1 183.9H309.7C306.8 183.9 304.2 182.4 302.8 179.1C301.3 177.5 301.3 174.4 302.7 171.1L341.5 104.1L216 183.9H275.4zM58.49 192.2L104.5 77.26C115.4 49.92 141.9 32 171.3 32H353.2C375.1 32 395.8 41.94 409.5 59.02L515.9 192.1C584.8 194.1 640 250.6 640 320V368C640 385.7 625.7 400 608 400H574.7C567.1 445.4 527.6 480 480 480C432.4 480 392.9 445.4 385.3 400H254.7C247.1 445.4 207.6 480 160 480C112.4 480 72.94 445.4 65.33 400H32C14.33 400 0 385.7 0 368V256C0 222.5 25.72 195 58.49 192.2L58.49 192.2zM75.82 192H128V208H64C37.49 208 16 229.5 16 256V368C16 376.8 23.16 384 32 384H64C64 330.1 106.1 288 160 288C213 288 256 330.1 256 384H384C384 330.1 426.1 288 480 288C533 288 576 330.1 576 384H608C616.8 384 624 376.8 624 368V320C624 258.1 573.9 208 512 208H448V192H495.4L396.1 69.02C386.3 55.73 370.3 48 353.2 48H171.3C148.4 48 127.8 61.94 119.3 83.2L75.82 192zM160 464C204.2 464 240 428.2 240 384C240 339.8 204.2 304 160 304C115.8 304 80 339.8 80 384C80 428.2 115.8 464 160 464zM480 304C435.8 304 400 339.8 400 384C400 428.2 435.8 464 480 464C524.2 464 560 428.2 560 384C560 339.8 524.2 304 480 304z"],
    "car-tilt": [640, 512, [], "f5e5", "M101.1 318.7C97.72 302.8 107.1 286.5 123 282.3C138.9 277.1 155.2 287.4 159.5 303.3C163.7 319.2 154.3 335.5 138.4 339.8C122.6 344 106.2 334.6 101.1 318.7H101.1zM134.3 324.3C141.6 322.3 145.1 314.8 144 307.4C142.1 300.1 134.5 295.7 127.2 297.7C119.8 299.7 115.5 307.2 117.4 314.6C119.4 321.9 126.9 326.3 134.3 324.3V324.3zM446.1 226.3C451.3 242.1 441.8 258.5 425.9 262.7C410.1 266.1 393.7 257.5 389.5 241.7C385.2 225.8 394.7 209.5 410.5 205.2C426.4 200.1 442.7 210.4 446.1 226.3V226.3zM414.7 220.7C407.3 222.6 402.1 230.2 404.9 237.5C406.9 244.9 414.5 249.2 421.8 247.3C429.2 245.3 433.5 237.7 431.5 230.4C429.6 223.1 422 218.7 414.7 220.7zM129.1 64.11L295.5 19.76C326.5 11.44 359.3 24.71 375.8 52.28L433.4 148.2C467.6 155.5 496.6 181.2 506.2 217.3L548.8 376.2C549.9 380.1 547.5 384.2 543.5 385.3C539.6 386.4 535.5 383.1 534.4 380L517.1 315.3L85.81 430.9L103.1 495.6C103.2 495.7 103.2 495.9 103.2 496H632C636.4 496 640 499.6 640 504C640 508.4 636.4 512 632 512H8C3.582 512 0 508.4 0 504C0 499.6 3.582 496 8 496H87.85L46.21 340.6C36.54 304.5 48.77 267.7 74.76 244.3L76.6 132.5C77.13 100.3 98.91 72.43 129.1 64.11V64.11zM134.1 79.56C109.9 86.03 93.01 107.7 92.6 132.7L90.95 232.6C98.06 228.5 105.8 225.2 114.1 223L388.7 149.4C396.9 147.2 405.3 146.2 413.5 146.2L362.1 60.51C349.3 39.07 323.8 28.74 299.6 35.22L134.1 79.56zM61.66 336.5L82.75 415.2L511.9 300.2L490.8 221.5C479.3 178.8 435.5 153.5 392.8 164.9L118.2 238.5C75.56 249.9 50.23 293.8 61.66 336.4V336.5z"],
    "car-tunnel": [512, 512, [], "e4de", "M256 16C123.5 16 16 123.5 16 256V504C16 508.4 12.42 512 8 512C3.582 512 0 508.4 0 504V256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256V504C512 508.4 508.4 512 504 512C499.6 512 496 508.4 496 504V256C496 123.5 388.5 16 256 16zM144 392C144 374.3 158.3 360 176 360C193.7 360 208 374.3 208 392C208 409.7 193.7 424 176 424C158.3 424 144 409.7 144 392zM176 376C167.2 376 160 383.2 160 392C160 400.8 167.2 408 176 408C184.8 408 192 400.8 192 392C192 383.2 184.8 376 176 376zM368 392C368 409.7 353.7 424 336 424C318.3 424 304 409.7 304 392C304 374.3 318.3 360 336 360C353.7 360 368 374.3 368 392zM336 408C344.8 408 352 400.8 352 392C352 383.2 344.8 376 336 376C327.2 376 320 383.2 320 392C320 400.8 327.2 408 336 408zM129.1 322.3L145.4 254.6C149.8 236.7 165.8 223.1 184.3 223.1H327.7C346.2 223.1 362.2 236.7 366.6 254.6L382.9 322.3C402.1 328.6 416 346.7 416 368V504C416 508.4 412.4 512 408 512C403.6 512 400 508.4 400 504V464H112V504C112 508.4 108.4 512 104 512C99.58 512 96 508.4 96 504V368C96 346.7 109.9 328.6 129.1 322.3H129.1zM146.2 320H365.8L351 258.4C348.4 247.6 338.8 240 327.7 240H184.3C173.2 240 163.6 247.6 160.1 258.4L146.2 320zM400 368C400 350.3 385.7 336 368 336H144C126.3 336 112 350.3 112 368V448H400V368z"],
    "car-wash": [448, 512, [], "f5e6", "M64 0C64 0 68.55 4.551 74.85 11.78C89.01 28.04 112 57.85 112 80C112 112 90.51 128 64 128C37.49 128 16 106.5 16 80C16 57.85 38.99 28.04 53.15 11.78C59.45 4.551 64 0 64 0V0zM87.1 104.2C92.02 99.7 96 92.22 96 80C96 75.63 94.24 69.25 90.19 61.16C86.27 53.32 80.87 45.17 75.2 37.6C71.33 32.44 67.44 27.7 64 23.7C60.56 27.7 56.67 32.44 52.8 37.6C47.13 45.17 41.73 53.32 37.81 61.16C33.76 69.25 32 75.63 32 80C32 97.67 46.33 112 64 112C74.13 112 81.96 108.1 87.1 104.2V104.2zM176 80C176 57.85 198.1 28.04 213.1 11.78C219.4 4.551 224 0 224 0C224 0 228.6 4.551 234.9 11.78C249 28.04 272 57.85 272 80C272 112 250.5 128 224 128C197.5 128 176 106.5 176 80zM250.2 61.16C246.3 53.32 240.9 45.17 235.2 37.6C231.3 32.44 227.4 27.7 224 23.7C220.6 27.7 216.7 32.44 212.8 37.6C207.1 45.17 201.7 53.32 197.8 61.16C193.8 69.25 192 75.63 192 80C192 97.67 206.3 112 224 112C234.1 112 241.1 108.1 247.1 104.2C252 99.7 256 92.22 256 80C256 75.63 254.2 69.25 250.2 61.16V61.16zM144 368C144 385.7 129.7 400 112 400C94.33 400 80 385.7 80 368C80 350.3 94.33 336 112 336C129.7 336 144 350.3 144 368zM112 384C120.8 384 128 376.8 128 368C128 359.2 120.8 352 112 352C103.2 352 96 359.2 96 368C96 376.8 103.2 384 112 384zM304 368C304 350.3 318.3 336 336 336C353.7 336 368 350.3 368 368C368 385.7 353.7 400 336 400C318.3 400 304 385.7 304 368zM336 352C327.2 352 320 359.2 320 368C320 376.8 327.2 384 336 384C344.8 384 352 376.8 352 368C352 359.2 344.8 352 336 352zM102.4 216.6C109.2 192.6 131.2 176 156.2 176H291.8C316.8 176 338.8 192.6 345.6 216.6L367.9 294.6C396.2 306.1 416 335.2 416 368V504C416 508.4 412.4 512 408 512C403.6 512 400 508.4 400 504V448H48V504C48 508.4 44.42 512 40 512C35.58 512 32 508.4 32 504V368C32 335.2 51.78 306.1 80.07 294.6L102.4 216.6zM156.2 192C138.3 192 122.7 203.8 117.7 221L98.27 289.2C102.7 288.4 107.3 288 112 288H336C340.7 288 345.3 288.4 349.7 289.2L330.3 221C325.3 203.8 309.7 192 291.8 192H156.2zM400 368C400 332.7 371.3 304 336 304H112C76.65 304 48 332.7 48 368V432H400V368zM336 80C336 57.85 358.1 28.04 373.1 11.78C379.4 4.551 384 0 384 0C384 0 388.6 4.551 394.9 11.78C409 28.04 432 57.85 432 80C432 112 410.5 128 384 128C357.5 128 336 106.5 336 80zM410.2 61.16C406.3 53.32 400.9 45.17 395.2 37.6C391.3 32.44 387.4 27.7 384 23.7C380.6 27.7 376.7 32.44 372.8 37.6C367.1 45.17 361.7 53.32 357.8 61.16C353.8 69.25 352 75.63 352 80C352 97.67 366.3 112 384 112C394.1 112 401.1 108.1 407.1 104.2C412 99.7 416 92.22 416 80C416 75.63 414.2 69.25 410.2 61.16V61.16z"],
    "car-wrench": [576, 512, ["car-mechanic"], "f5e3", "M179.8 111.1C173.5 111.1 167.8 115.8 164.5 121.3C150.5 144.5 125.1 159.1 96 159.1C64.18 159.1 36.69 141.4 23.81 114.5C19.44 105.4 27.06 95.1 37.17 95.1H75.16C78.31 95.1 81.4 95.06 84.03 93.31C93.53 86.98 93.53 73.02 84.03 66.69C81.4 64.93 78.31 64 75.16 64H37.17C27.06 64 19.44 54.61 23.81 45.49C36.69 18.58 64.18 0 96 0C125.1 0 150.5 15.51 164.5 38.71C167.8 44.15 173.5 48 179.8 48H396.2C402.5 48 408.2 44.15 411.5 38.71C425.5 15.51 450.9 0 480 0C511.8 0 539.3 18.58 552.2 45.49C556.6 54.61 548.9 64 538.8 64H500.8C497.7 64 494.6 64.94 491.1 66.69C482.5 73.02 482.5 86.98 491.1 93.31C494.6 95.06 497.7 95.1 500.8 95.1H538.8C548.9 95.1 556.6 105.4 552.2 114.5C539.3 141.4 511.8 159.1 480 159.1C450.9 159.1 425.5 144.5 411.5 121.3C408.2 115.8 402.5 111.1 396.2 111.1H179.8zM179.8 95.1H396.2C409.3 95.1 419.6 103.8 425.2 113C436.4 131.6 456.8 143.1 480 143.1C503.7 143.1 524.4 131.2 535.4 111.1H500.8C494.5 111.1 488.3 110.1 483.1 106.6C464.1 93.96 464.1 66.04 483.1 53.37C488.3 49.87 494.5 47.1 500.8 47.1H535.4C524.4 28.84 503.7 15.1 480 15.1C456.8 15.1 436.4 28.38 425.2 46.98C419.6 56.19 409.3 63.1 396.2 63.1H179.8C166.7 63.1 156.4 56.19 150.8 46.98C139.6 28.38 119.2 15.1 96 15.1C72.33 15.1 51.64 28.84 40.56 47.1H75.16C81.47 47.1 87.65 49.87 92.91 53.37C111.9 66.04 111.9 93.96 92.91 106.6C87.65 110.1 81.47 111.1 75.16 111.1H40.56C51.64 131.2 72.33 143.1 96 143.1C119.2 143.1 139.6 131.6 150.8 113C156.4 103.8 166.7 95.1 179.8 95.1H179.8zM208 368C208 385.7 193.7 400 176 400C158.3 400 144 385.7 144 368C144 350.3 158.3 336 176 336C193.7 336 208 350.3 208 368zM176 384C184.8 384 192 376.8 192 368C192 359.2 184.8 352 176 352C167.2 352 160 359.2 160 368C160 376.8 167.2 384 176 384zM368 368C368 350.3 382.3 336 400 336C417.7 336 432 350.3 432 368C432 385.7 417.7 400 400 400C382.3 400 368 385.7 368 368zM400 352C391.2 352 384 359.2 384 368C384 376.8 391.2 384 400 384C408.8 384 416 376.8 416 368C416 359.2 408.8 352 400 352zM166.4 216.6C173.2 192.6 195.2 175.1 220.2 175.1H355.8C380.8 175.1 402.8 192.6 409.6 216.6L431.9 294.6C460.2 306.1 480 335.2 480 368V504C480 508.4 476.4 512 472 512C467.6 512 464 508.4 464 504V448H112V504C112 508.4 108.4 512 104 512C99.58 512 96 508.4 96 504V368C96 335.2 115.8 306.1 144.1 294.6L166.4 216.6zM220.2 191.1C202.3 191.1 186.7 203.8 181.7 221L162.3 289.2C166.7 288.4 171.3 288 176 288H400C404.7 288 409.3 288.4 413.7 289.2L394.3 221C389.4 203.8 373.7 191.1 355.8 191.1H220.2zM464 368C464 332.7 435.3 303.1 400 303.1H176C140.7 303.1 112 332.7 112 368V432H464V368z"],
    "caravan": [640, 512, [], "f8ff", "M64 160C64 142.3 78.33 128 96 128H224C241.7 128 256 142.3 256 160V224C256 241.7 241.7 256 224 256H96C78.33 256 64 241.7 64 224V160zM80 160V224C80 232.8 87.16 240 96 240H224C232.8 240 240 232.8 240 224V160C240 151.2 232.8 144 224 144H96C87.16 144 80 151.2 80 160zM448 320C448 337.7 433.7 352 416 352H352C334.3 352 320 337.7 320 320V160C320 142.3 334.3 128 352 128H416C433.7 128 448 142.3 448 160V320zM416 144H352C343.2 144 336 151.2 336 160V320C336 328.8 343.2 336 352 336H416C424.8 336 432 328.8 432 320V240H392C387.6 240 384 236.4 384 232C384 227.6 387.6 224 392 224H432V160C432 151.2 424.8 144 416 144zM0 336V112C0 67.82 35.82 32 80 32H416C504.4 32 576 103.6 576 192V400H632C636.4 400 640 403.6 640 408C640 412.4 636.4 416 632 416H288C288 469 245 512 192 512C138.1 512 96 469 96 416H80C35.82 416 0 380.2 0 336zM416 48H80C44.65 48 16 76.65 16 112V336C16 371.3 44.65 400 80 400H97.33C104.9 354.6 144.4 320 192 320C239.6 320 279.1 354.6 286.7 400L288 400H560V192C560 112.5 495.5 48 416 48zM192 496C236.2 496 272 460.2 272 416C272 371.8 236.2 336 192 336C147.8 336 112 371.8 112 416C112 460.2 147.8 496 192 496z"],
    "caravan-simple": [640, 512, ["caravan-alt"], "e000", "M224 128C241.7 128 256 142.3 256 160V224C256 241.7 241.7 256 224 256H96C78.33 256 64 241.7 64 224V160C64 142.3 78.33 128 96 128H224zM224 144H96C87.16 144 80 151.2 80 160V224C80 232.8 87.16 240 96 240H224C232.8 240 240 232.8 240 224V160C240 151.2 232.8 144 224 144zM320 160C320 142.3 334.3 128 352 128H416C433.7 128 448 142.3 448 160V224C448 241.7 433.7 256 416 256H352C334.3 256 320 241.7 320 224V160zM336 160V224C336 232.8 343.2 240 352 240H416C424.8 240 432 232.8 432 224V160C432 151.2 424.8 144 416 144H352C343.2 144 336 151.2 336 160zM96 416H80C35.82 416 0 380.2 0 336V112C0 67.82 35.82 32 80 32H416C504.4 32 576 103.6 576 192V400H632C636.4 400 640 403.6 640 408C640 412.4 636.4 416 632 416H288C288 469 245 512 192 512C138.1 512 96 469 96 416zM16 112V336C16 371.3 44.65 400 80 400H97.33C104.9 354.6 144.4 320 192 320C239.6 320 279.1 354.6 286.7 400H560V192C560 112.5 495.5 48 416 48H80C44.65 48 16 76.65 16 112zM192 336C147.8 336 112 371.8 112 416C112 460.2 147.8 496 192 496C236.2 496 272 460.2 272 416C272 371.8 236.2 336 192 336z"],
    "card-club": [384, 512, [], "e3e9", "M200 368H224C228.4 368 232 371.6 232 376C232 380.4 228.4 384 224 384H160C155.6 384 152 380.4 152 376C152 371.6 155.6 368 160 368H184V326.5C173.8 332.6 161.8 336 149.1 336C110.9 336 80 305.1 80 266.9C80 237.7 98.18 212.7 123.9 202.6C123.7 200.8 123.6 198.9 123.6 197.1C123.6 158.9 154.6 128 192.7 128C230.9 128 261.8 158.9 261.8 197.1C261.8 198.9 261.7 200.8 261.6 202.6C287.3 212.7 305.5 237.7 305.5 266.9C305.5 305.1 274.5 336 236.4 336C223 336 210.6 332.2 199.1 325.7L200 368zM140.5 206.6L141.8 213.8L134.8 215.8C112.4 222 96 242.6 96 266.9C96 296.2 119.8 320 149.1 320C163.9 320 177.4 313.9 187 304.1L192.7 298.2L198.4 304.1C208.1 313.9 221.5 320 236.4 320C265.7 320 289.5 296.2 289.5 266.9C289.5 242.6 273.1 222 250.7 215.8L243.7 213.8L244.1 206.6C245.5 203.5 245.8 200.4 245.8 197.1C245.8 167.8 222 144 192.7 144C163.4 144 139.6 167.8 139.6 197.1C139.6 200.4 139.9 203.5 140.5 206.6H140.5zM320 0C355.3 0 384 28.65 384 64V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H320zM320 16H64C37.49 16 16 37.49 16 64V448C16 474.5 37.49 496 64 496H320C346.5 496 368 474.5 368 448V64C368 37.49 346.5 16 320 16z"],
    "card-diamond": [384, 512, [], "e3ea", "M299.3 244.7C305.6 250.9 305.6 261.1 299.3 267.3L203.3 363.3C197.1 369.6 186.9 369.6 180.7 363.3L84.69 267.3C78.44 261.1 78.44 250.9 84.69 244.7L180.7 148.7C186.9 142.4 197.1 142.4 203.3 148.7L299.3 244.7zM96 256L192 352L288 256L192 160L96 256zM0 64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64zM16 64V448C16 474.5 37.49 496 64 496H320C346.5 496 368 474.5 368 448V64C368 37.49 346.5 16 320 16H64C37.49 16 16 37.49 16 64z"],
    "card-heart": [384, 512, [], "e3eb", "M90.61 261.5C64.4 234.9 65.8 190.9 95.3 166.1C119.9 145.1 157.4 148.5 180.1 170.3C181.6 170.8 182.2 171.4 182.8 172.1L192.2 181.7L201.1 172.1C201.8 171.4 202.5 170.7 203.2 170C226.8 148.4 263.7 145.2 289.1 166.1C318.2 190.9 319.6 234.9 293.3 261.5L202.1 353.2C196.9 359.2 187.1 359.2 181.4 353.2L90.61 261.5zM278.8 178.4C259.7 162.7 230.8 165.2 212.6 183.2L192.5 204.9L171.5 183.3C153.1 165 123.7 162.9 105.7 178.3L105.6 178.3C83.33 197 82.28 230.2 102 250.3L192.2 341.4L281.9 250.3C301.7 230.3 300.6 197.1 278.8 178.4H278.8zM0 64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64zM16 64V448C16 474.5 37.49 496 64 496H320C346.5 496 368 474.5 368 448V64C368 37.49 346.5 16 320 16H64C37.49 16 16 37.49 16 64z"],
    "card-spade": [384, 512, [], "e3ec", "M181 132.6C187.1 126.5 196.9 126.5 202.6 132.6L293.4 226.2C319.6 253.4 318.2 298.3 288.7 323.6C264 345.1 226.5 341.6 202.9 319.3C202.3 318.7 201.7 318.1 201.2 317.5L199.1 316.3V365.1H223.1C228.4 365.1 231.1 369.6 231.1 373.1C231.1 378.4 228.4 381.1 223.1 381.1H159.1C155.6 381.1 151.1 378.4 151.1 373.1C151.1 369.6 155.6 365.1 159.1 365.1H183.1V316.3L182.9 317.5C182.2 318.2 181.6 318.8 180.9 319.5C157.4 341.6 120.4 345 94.88 323.6C65.85 298.3 64.45 253.4 90.66 226.2L181 132.6zM102.2 237.3C82.27 257.1 83.35 292.2 105.3 311.5C124.3 327.3 153 324.9 171.3 306.5L191.5 284.2L212.7 306.4C231 325.1 260.2 327.2 278.2 311.6L278.3 311.5C300.7 292.3 301.8 257.1 281.9 237.3L191.8 144.4L102.2 237.3zM0 64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64zM16 64V448C16 474.5 37.49 496 64 496H320C346.5 496 368 474.5 368 448V64C368 37.49 346.5 16 320 16H64C37.49 16 16 37.49 16 64z"],
    "cards": [640, 512, [], "e3ed", "M253.3 358.3C251.1 354.5 252.4 349.6 256.2 347.4L274.2 336.1L256.3 308.2C255.9 309.5 255.6 310.8 255.1 312.1C246.3 337.1 220.5 355.6 192.7 350.7C159.9 344.3 139.3 311 147.2 279.2L174.5 169.3C176.5 162.1 183.9 157.8 190.8 159.9L299.9 190.1C331.5 200 349.1 234.5 338.8 266.4C329.7 292.6 301.1 306.3 274.3 300.9C272.9 300.6 271.5 300.3 270.2 299.9L269.9 299.8L288.1 328.1L304.4 319.5C308.3 317.3 313.2 318.6 315.4 322.5C317.6 326.3 316.3 331.2 312.4 333.4L264.2 361.2C260.4 363.4 255.5 362.1 253.3 358.3L253.3 358.3zM162.7 283C156.1 306.1 171.1 330.3 195.7 334.1C215.7 338.4 235.3 324.9 240.8 304.1L246.8 276.3L274.5 284.5C295.6 290.3 317.3 279.6 323.6 261.2L323.7 261.1C331.8 238 318.4 212.9 295.5 206.4L189.3 176.2L162.7 283zM220.4 7.637C247.2-7.827 281.5 1.35 296.9 28.13L463.6 316.9C479.1 343.6 469.9 377.9 443.1 393.4L250.8 504.4C224 519.8 189.8 510.7 174.3 483.9L7.629 195.2C-7.835 168.4 1.342 134.1 28.13 118.7L220.4 7.637zM228.4 21.49L36.13 132.5C16.99 143.6 10.44 168 21.49 187.2L188.2 475.9C199.2 495 223.7 501.6 242.8 490.5L435.1 379.5C454.2 368.5 460.8 343.1 449.8 324.9L283.1 36.13C272 17 247.6 10.45 228.4 21.49V21.49zM339.3 490.2C345.3 493.9 352.4 496 360 496H584C606.1 496 624 478.1 624 456V120C624 97.91 606.1 80 584 80H363.8L354.7 64.25C356.5 64.08 358.2 64 360 64H584C614.9 64 640 89.07 640 120V456C640 486.9 614.9 512 584 512H360C346.4 512 333.8 507.1 324.1 499L339.3 490.2zM562.5 136.6L562.6 136.7C579.6 151.5 580.4 177.8 565 193.7L522.9 237.4L522.8 237.5C516.1 243.3 507.2 243.7 501.3 237.4L458.9 193.7C443.6 177.8 444.4 151.5 461.6 136.7C476.5 123.7 498.4 126 511.1 138.5C525.6 125.1 547.2 123.8 562.5 136.6V136.6zM501.1 151.1C493.6 142.6 480.3 141.7 472.1 148.7L472.1 148.8C461.9 157.5 461.4 173.2 470.4 182.6L512.1 225.6L553.5 182.6C562.6 173.2 562.1 157.6 552.1 148.8C543.5 141.6 530.4 142.7 522.1 151L512.2 161.9L501.1 151.1z"],
    "cards-blank": [640, 512, [], "e4df", "M7.629 195.2C-7.835 168.4 1.342 134.1 28.13 118.7L220.4 7.637C247.2-7.827 281.5 1.35 296.9 28.13L463.6 316.9C479.1 343.6 469.9 377.9 443.1 393.4L250.8 504.4C224 519.8 189.8 510.7 174.3 483.9L7.629 195.2zM21.49 187.2L188.2 475.9C199.2 495 223.7 501.6 242.8 490.5L435.1 379.5C454.2 368.5 460.8 343.1 449.8 324.9L283.1 36.13C272 17 247.6 10.45 228.4 21.49L36.13 132.5C16.99 143.6 10.44 168 21.49 187.2V187.2zM360 512C346.4 512 333.8 507.1 324.1 499L339.3 490.2C345.3 493.9 352.4 496 360 496H584C606.1 496 624 478.1 624 456V119.1C624 97.91 606.1 79.1 584 79.1H363.8L354.7 64.25C356.5 64.08 358.2 63.1 360 63.1H584C614.9 63.1 640 89.07 640 119.1V456C640 486.9 614.9 512 584 512L360 512z"],
    "caret-down": [320, 512, [], "f0d7", "M296 192h-272C10.69 192 0 202.8 0 215.1c0 6.014 2.26 11.94 6.551 16.48l136 144C147.1 381.3 153.4 384 160 384s12.91-2.721 17.45-7.521l136-144C317.7 227.9 320 222 320 215.1C320 202.8 309.3 192 296 192zM301.8 221.5l-135.1 143.1C164.3 367.1 162.2 368 160 368s-4.312-.9141-5.816-2.506l-135.1-144C16.78 220 16 218 16 215.1C16 211.6 19.59 208 24 208h272c4.412 0 8 3.586 8 7.994C304 218 303.2 220 301.8 221.5z"],
    "caret-left": [256, 512, [], "f0d9", "M168 96c-6.012 0-11.94 2.26-16.48 6.551l-144 136C2.721 243.1 0 249.4 0 255.1s2.721 12.91 7.52 17.45l144 136C156.1 413.7 161.1 416 168 416C181.2 416 192 405.3 192 392v-272C192 106.7 181.2 96 168 96zM176 392c0 4.41-3.588 8-7.996 8c-2.053 0-4.008-.7773-5.498-2.184l-143.1-136C16.91 260.3 16 258.2 16 256s.9141-4.312 2.506-5.816l143.1-135.1C163.1 112.8 165.1 112 168 112C172.4 112 176 115.6 176 120V392z"],
    "caret-right": [256, 512, [], "f0da", "M248.5 238.6l-144-136C99.94 98.26 94.01 96 87.1 96C74.84 96 64 106.7 64 120v272C64 405.3 74.82 416 87.1 416c6.012 0 11.94-2.26 16.48-6.553l144-136C253.3 268.9 256 262.6 256 255.1S253.3 243.1 248.5 238.6zM237.5 261.8l-144 136C92 399.2 90.05 400 87.1 400C83.59 400 80 396.4 80 392v-272c0-4.412 3.588-8 7.996-8c2.055 0 4.008 .7754 5.498 2.184l143.1 135.1C239.1 251.7 240 253.8 240 256S239.1 260.3 237.5 261.8z"],
    "caret-up": [320, 512, [], "f0d8", "M313.4 279.5l-136-144C172.9 130.7 166.6 128 160 128s-12.91 2.721-17.45 7.52l-136 144C2.26 284.1 0 289.1 0 296C0 309.2 10.67 320 24 320h272C309.3 320 320 309.2 320 296C320 289.1 317.7 284.1 313.4 279.5zM296 304h-272C19.59 304 16 300.4 16 296c0-2.055 .7754-4.006 2.184-5.498l136-144C155.7 144.9 157.8 144 160 144s4.312 .9141 5.816 2.506l136 144C303.2 291.1 304 293.9 304 296C304 300.4 300.4 304 296 304z"],
    "carrot": [512, 512, [129365], "f787", "M243.2 144.2c-18.08 0-36.43 4.012-53.81 12.51c-25.88 12.63-45.5 33.14-57.13 57.15l-130.1 265.9c-2.875 6.002-2.998 13.25 0 19.63c3.945 7.98 12.01 12.62 20.31 12.62c3.273 0 6.581-.7196 9.693-2.241l266-129.9c24-11.63 44.51-31.25 57.13-57.13c23.89-48.88 12.3-105.5-24.08-141.1C307.8 157.3 275.9 144.2 243.2 144.2zM340.1 315.7c-10.57 21.67-28.23 39.34-49.77 49.78L176.7 421.4l-43.04-43.04c-3.125-3.125-8.188-3.125-11.31 0c-3.125 3.125-3.125 8.188 0 11.31l39.15 39.15l-136.3 66.57c-.8359 .4121-1.734 .6191-2.668 .6191c-1.908 0-4.617-.9727-5.834-3.428c-.8926-1.896-.9102-4.102-.1055-5.785l129.7-265.2l40.07 40.07c1.562 1.562 3.609 2.344 5.656 2.344S196.1 263.2 197.7 261.7c3.125-3.125 3.125-8.188 0-11.31l-43-43c10.49-15.35 24.83-28.02 41.76-36.28c14.77-7.221 30.51-10.88 46.79-10.88c28.45 0 56.44 11.64 76.75 31.9C352.6 224.9 361.1 274.5 340.1 315.7zM510.2 155.2c-30.05-36.29-73.47-50.61-114.3-39.03c11.58-40.91-2.725-84.24-39.04-114.3c-2.945-2.443-7.252-2.459-10.23 .0156c-26.02 21.55-41.12 50.33-42.51 81.01c-1.379 30.36 10.73 59.87 34.07 83.1l7.848 7.848c22.04 22.16 49.73 34.19 78.45 34.19c1.551 0 3.117-.0469 4.668-.1094c30.69-1.395 59.46-16.49 81.02-42.51C512.6 162.4 512.6 158.1 510.2 155.2zM428.4 191.9c-26.07 1.301-51.04-9.256-71.04-29.38l-7.879-7.879c-20.11-20-30.55-45.22-29.37-71.02c1.096-24.06 12.27-46.88 31.61-64.89c31.5 29.31 40.67 70.91 23.18 107.7c-1.457 3.07-.8301 6.719 1.566 9.115c2.412 2.396 6.078 3.039 9.117 1.566c36.83-17.43 78.41-8.301 107.7 23.18C475.3 179.6 452.5 190.8 428.4 191.9z"],
    "cars": [640, 512, [], "f85b", "M49.32 118.1L48.31 117.8L70.36 40.62C77.23 16.57 99.2 0 124.2 0H259.8C284.8 0 306.8 16.57 313.6 40.62L335.7 117.8L334.7 118.1C348.3 123.7 359.9 133 368.5 144.7C362.5 145.4 356.6 146.7 350.1 148.5C339.3 135.9 322.6 128 304 128H80C44.65 128 16 156.7 16 192V256H275.8L271.2 272H16V328C16 332.4 12.42 336 8 336C3.582 336 0 332.4 0 328V192C0 158.7 20.36 130.1 49.32 118.1L49.32 118.1zM66.27 113.2C70.73 112.4 75.32 112 79.1 112H303.1C308.7 112 313.3 112.4 317.7 113.2L298.3 45.01C293.3 27.84 277.7 15.1 259.8 15.1H124.2C106.3 15.1 90.65 27.84 85.74 45.01L66.27 113.2zM47.1 192C47.1 174.3 62.33 160 79.1 160C97.67 160 111.1 174.3 111.1 192C111.1 209.7 97.67 224 79.1 224C62.33 224 47.1 209.7 47.1 192zM79.1 176C71.16 176 63.1 183.2 63.1 192C63.1 200.8 71.16 208 79.1 208C88.84 208 95.1 200.8 95.1 192C95.1 183.2 88.84 176 79.1 176zM303.1 368C303.1 350.3 318.3 336 336 336C353.7 336 368 350.3 368 368C368 385.7 353.7 400 336 400C318.3 400 303.1 385.7 303.1 368zM336 352C327.2 352 319.1 359.2 319.1 368C319.1 376.8 327.2 384 336 384C344.8 384 352 376.8 352 368C352 359.2 344.8 352 336 352zM592 368C592 385.7 577.7 400 560 400C542.3 400 528 385.7 528 368C528 350.3 542.3 336 560 336C577.7 336 592 350.3 592 368zM560 384C568.8 384 576 376.8 576 368C576 359.2 568.8 352 560 352C551.2 352 544 359.2 544 368C544 376.8 551.2 384 560 384zM305.3 294.1L304.3 293.8L326.4 216.6C333.2 192.6 355.2 176 380.2 176H515.8C540.8 176 562.8 192.6 569.6 216.6L591.7 293.8L590.7 294.1C619.6 306.1 640 334.7 640 368V504C640 508.4 636.4 512 632 512C627.6 512 624 508.4 624 504V448H271.1V504C271.1 508.4 268.4 512 263.1 512C259.6 512 255.1 508.4 255.1 504V368C255.1 334.7 276.4 306.1 305.3 294.1H305.3zM322.3 289.2C326.7 288.4 331.3 288 336 288H560C564.7 288 569.3 288.4 573.7 289.2L554.3 221C549.3 203.8 533.7 191.1 515.8 191.1H380.2C362.3 191.1 346.7 203.8 341.7 221L322.3 289.2zM624 432V368C624 332.7 595.3 304 560 304H336C300.7 304 271.1 332.7 271.1 368V432H624z"],
    "cart-arrow-down": [576, 512, [], "f218", "M78.53 32H288V48H82.7L141.1 272H487.8C494.9 272 501.2 267.2 503.2 260.3L557.2 68.33C560 58.13 552.4 48 541.8 48H384V32H541.8C562.1 32 578.3 52.25 572.6 72.66L518.6 264.7C514.7 278.5 502.1 288 487.8 288H145.3L166.2 368H496C500.4 368 504 371.6 504 376C504 380.4 500.4 384 496 384H159.1C156.4 384 153.2 381.5 152.3 378L57.82 16H8C3.582 16 0 12.42 0 8C0 3.582 3.582 0 8 0H64C67.64 0 70.82 2.458 71.74 5.98L78.53 32zM128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464zM176 496C193.7 496 208 481.7 208 464C208 446.3 193.7 432 176 432C158.3 432 144 446.3 144 464C144 481.7 158.3 496 176 496zM512 464C512 490.5 490.5 512 464 512C437.5 512 416 490.5 416 464C416 437.5 437.5 416 464 416C490.5 416 512 437.5 512 464zM464 432C446.3 432 432 446.3 432 464C432 481.7 446.3 496 464 496C481.7 496 496 481.7 496 464C496 446.3 481.7 432 464 432zM344 180.7L410.3 114.3C413.5 111.2 418.5 111.2 421.7 114.3C424.8 117.5 424.8 122.5 421.7 125.7L341.7 205.7C338.5 208.8 333.5 208.8 330.3 205.7L250.3 125.7C247.2 122.5 247.2 117.5 250.3 114.3C253.5 111.2 258.5 111.2 261.7 114.3L328 180.7V8C328 3.582 331.6 0 336 0C340.4 0 344 3.582 344 8L344 180.7z"],
    "cart-arrow-up": [576, 512, [], "e3ee", "M541.8 48H411.9L395.9 32H541.8C562.1 32 578.3 52.25 572.6 72.66L518.6 264.7C514.7 278.5 502.1 288 487.8 288H145.3L166.2 368H496C500.4 368 504 371.6 504 376C504 380.4 500.4 384 496 384H159.1C156.4 384 153.2 381.5 152.3 378L57.82 16H8C3.582 16 0 12.42 0 8C0 3.582 3.582 0 8 0H64C67.64 0 70.82 2.458 71.74 5.98L78.53 32H276.1L260.1 48H82.7L141.1 272H487.8C494.9 272 501.2 267.2 503.2 260.3L557.2 68.33C560 58.13 552.4 48 541.8 48H541.8zM128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464zM176 496C193.7 496 208 481.7 208 464C208 446.3 193.7 432 176 432C158.3 432 144 446.3 144 464C144 481.7 158.3 496 176 496zM512 464C512 490.5 490.5 512 464 512C437.5 512 416 490.5 416 464C416 437.5 437.5 416 464 416C490.5 416 512 437.5 512 464zM464 432C446.3 432 432 446.3 432 464C432 481.7 446.3 496 464 496C481.7 496 496 481.7 496 464C496 446.3 481.7 432 464 432zM328 59.31L261.7 125.7C258.5 128.8 253.5 128.8 250.3 125.7C247.2 122.5 247.2 117.5 250.3 114.3L330.3 34.34C333.5 31.22 338.5 31.22 341.7 34.34L421.7 114.3C424.8 117.5 424.8 122.5 421.7 125.7C418.5 128.8 413.5 128.8 410.3 125.7L344 59.31V232C344 236.4 340.4 240 336 240C331.6 240 328 236.4 328 232L328 59.31z"],
    "cart-circle-arrow-down": [640, 512, [], "e3ef", "M64 0C67.64 0 70.82 2.458 71.74 5.98L78.53 32H541.8C562.1 32 578.3 52.25 572.6 72.66L537.6 196.9C532.4 195.7 527.2 194.7 521.8 193.9L557.2 68.33C560 58.13 552.4 48 541.8 48H82.7L141.1 272H348.5C345.1 277.2 342 282.5 339.2 288H145.3L166.2 368H319.1C319.1 373.4 320.2 378.7 320.7 384H159.1C156.4 384 153.2 381.5 152.3 378L57.82 16H8C3.582 16 0 12.42 0 8C0 3.582 3.582 .0003 8 .0003L64 0zM128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464zM176 496C193.7 496 208 481.7 208 464C208 446.3 193.7 432 176 432C158.3 432 144 446.3 144 464C144 481.7 158.3 496 176 496zM565.7 370.3C568.8 373.5 568.8 378.5 565.7 381.7L501.7 445.7C498.5 448.8 493.5 448.8 490.3 445.7L426.3 381.7C423.2 378.5 423.2 373.5 426.3 370.3C429.5 367.2 434.5 367.2 437.7 370.3L488 420.7V295.1C488 291.6 491.6 287.1 496 287.1C500.4 287.1 504 291.6 504 295.1V420.7L554.3 370.3C557.5 367.2 562.5 367.2 565.7 370.3H565.7zM496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224zM368 368C368 438.7 425.3 496 496 496C566.7 496 624 438.7 624 368C624 297.3 566.7 240 496 240C425.3 240 368 297.3 368 368z"],
    "cart-circle-arrow-up": [640, 512, [], "e3f0", "M64 0C67.64 0 70.82 2.458 71.74 5.98L78.53 32H541.8C562.1 32 578.3 52.25 572.6 72.66L537.6 196.9C532.4 195.7 527.2 194.7 521.8 193.9L557.2 68.33C560 58.13 552.4 48 541.8 48H82.7L141.1 272H348.5C345.1 277.2 342 282.5 339.2 288H145.3L166.2 368H319.1C319.1 373.4 320.2 378.7 320.7 384H159.1C156.4 384 153.2 381.5 152.3 378L57.82 16H8C3.582 16 0 12.42 0 8C0 3.582 3.582 .0003 8 .0003L64 0zM128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464zM176 496C193.7 496 208 481.7 208 464C208 446.3 193.7 432 176 432C158.3 432 144 446.3 144 464C144 481.7 158.3 496 176 496zM426.3 365.7C423.2 362.5 423.2 357.5 426.3 354.3L490.3 290.3C493.5 287.2 498.5 287.2 501.7 290.3L565.7 354.3C568.8 357.5 568.8 362.5 565.7 365.7C562.5 368.8 557.5 368.8 554.3 365.7L504 315.3V440C504 444.4 500.4 448 496 448C491.6 448 488 444.4 488 440V315.3L437.7 365.7C434.5 368.8 429.5 368.8 426.3 365.7H426.3zM496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512zM624 368C624 297.3 566.7 240 496 240C425.3 240 368 297.3 368 368C368 438.7 425.3 496 496 496C566.7 496 624 438.7 624 368z"],
    "cart-circle-check": [640, 512, [], "e3f1", "M64 0C67.64 0 70.82 2.458 71.74 5.98L78.53 32H541.8C562.1 32 578.3 52.25 572.6 72.66L537.6 196.9C532.4 195.7 527.2 194.7 521.8 193.9L557.2 68.33C560 58.13 552.4 48 541.8 48H82.7L141.1 272H348.5C345.1 277.2 342 282.5 339.2 288H145.3L166.2 368H319.1C319.1 373.4 320.2 378.7 320.7 384H159.1C156.4 384 153.2 381.5 152.3 378L57.82 16H8C3.582 16 0 12.42 0 8C0 3.582 3.582 .0003 8 .0003L64 0zM128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464zM176 496C193.7 496 208 481.7 208 464C208 446.3 193.7 432 176 432C158.3 432 144 446.3 144 464C144 481.7 158.3 496 176 496zM565.7 322.3C568.8 325.5 568.8 330.5 565.7 333.7L485.7 413.7C482.5 416.8 477.5 416.8 474.3 413.7L426.3 365.7C423.2 362.5 423.2 357.5 426.3 354.3C429.5 351.2 434.5 351.2 437.7 354.3L480 396.7L554.3 322.3C557.5 319.2 562.5 319.2 565.7 322.3H565.7zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 496C566.7 496 624 438.7 624 368C624 297.3 566.7 240 496 240C425.3 240 368 297.3 368 368C368 438.7 425.3 496 496 496z"],
    "cart-circle-exclamation": [640, 512, [], "e3f2", "M64 0C67.64 0 70.82 2.458 71.74 5.98L78.53 32H541.8C562.1 32 578.3 52.25 572.6 72.66L537.6 196.9C532.4 195.7 527.2 194.7 521.8 193.9L557.2 68.33C560 58.13 552.4 48 541.8 48H82.7L141.1 272H348.5C345.1 277.2 342 282.5 339.2 288H145.3L166.2 368H319.1C319.1 373.4 320.2 378.7 320.7 384H159.1C156.4 384 153.2 381.5 152.3 378L57.82 16H8C3.582 16 0 12.42 0 8C0 3.582 3.582 .0003 8 .0003L64 0zM128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464zM176 496C193.7 496 208 481.7 208 464C208 446.3 193.7 432 176 432C158.3 432 144 446.3 144 464C144 481.7 158.3 496 176 496zM480 432C480 423.2 487.2 416 496 416C504.8 416 512 423.2 512 432C512 440.8 504.8 448 496 448C487.2 448 480 440.8 480 432zM495.1 280C500.4 280 503.1 283.6 503.1 288V384C503.1 388.4 500.4 392 495.1 392C491.6 392 487.1 388.4 487.1 384V288C487.1 283.6 491.6 280 495.1 280zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 240C425.3 240 368 297.3 368 368C368 438.7 425.3 496 496 496C566.7 496 624 438.7 624 368C624 297.3 566.7 240 496 240z"],
    "cart-circle-plus": [640, 512, [], "e3f3", "M64 0C67.64 0 70.82 2.458 71.74 5.98L78.53 32H541.8C562.1 32 578.3 52.25 572.6 72.66L537.6 196.9C532.4 195.7 527.2 194.7 521.8 193.9L557.2 68.33C560 58.13 552.4 48 541.8 48H82.7L141.1 272H348.5C345.1 277.2 342 282.5 339.2 288H145.3L166.2 368H319.1C319.1 373.4 320.2 378.7 320.7 384H159.1C156.4 384 153.2 381.5 152.3 378L57.82 16H8C3.582 16 0 12.42 0 8C0 3.582 3.582 .0003 8 .0003L64 0zM128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464zM176 496C193.7 496 208 481.7 208 464C208 446.3 193.7 432 176 432C158.3 432 144 446.3 144 464C144 481.7 158.3 496 176 496zM504 359.1H568C572.4 359.1 576 363.6 576 367.1C576 372.4 572.4 375.1 568 375.1H504V439.1C504 444.4 500.4 447.1 496 447.1C491.6 447.1 488 444.4 488 439.1V375.1H424C419.6 375.1 416 372.4 416 367.1C416 363.6 419.6 359.1 424 359.1H488V295.1C488 291.6 491.6 287.1 496 287.1C500.4 287.1 504 291.6 504 295.1V359.1zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 240C425.3 240 368 297.3 368 368C368 438.7 425.3 496 496 496C566.7 496 624 438.7 624 368C624 297.3 566.7 240 496 240z"],
    "cart-circle-xmark": [640, 512, [], "e3f4", "M64 0C67.64 0 70.82 2.458 71.74 5.98L78.53 32H541.8C562.1 32 578.3 52.25 572.6 72.66L537.6 196.9C532.4 195.7 527.2 194.7 521.8 193.9L557.2 68.33C560 58.13 552.4 48 541.8 48H82.7L141.1 272H348.5C345.1 277.2 342 282.5 339.2 288H145.3L166.2 368H319.1C319.1 373.4 320.2 378.7 320.7 384H159.1C156.4 384 153.2 381.5 152.3 378L57.82 16H8C3.582 16 0 12.42 0 8C0 3.582 3.582 .0003 8 .0003L64 0zM128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464zM176 496C193.7 496 208 481.7 208 464C208 446.3 193.7 432 176 432C158.3 432 144 446.3 144 464C144 481.7 158.3 496 176 496zM507.3 368L557.7 418.3C560.8 421.5 560.8 426.5 557.7 429.7C554.5 432.8 549.5 432.8 546.3 429.7L496 379.3L445.7 429.7C442.5 432.8 437.5 432.8 434.3 429.7C431.2 426.5 431.2 421.5 434.3 418.3L484.7 368L434.3 317.7C431.2 314.5 431.2 309.5 434.3 306.3C437.5 303.2 442.5 303.2 445.7 306.3L496 356.7L546.3 306.3C549.5 303.2 554.5 303.2 557.7 306.3C560.8 309.5 560.8 314.5 557.7 317.7L507.3 368zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 240C425.3 240 368 297.3 368 368C368 438.7 425.3 496 496 496C566.7 496 624 438.7 624 368C624 297.3 566.7 240 496 240z"],
    "cart-flatbed": [640, 512, ["dolly-flatbed"], "f474", "M632 416H128V72C128 29.59 101.7 0 64 0H8C3.594 0 0 3.594 0 8S3.594 16 8 16H64c33.16 0 48 28.12 48 56v352c0 4.406 3.594 8 8 8h52.46C164.8 440.5 160 451.7 160 464C160 490.5 181.5 512 208 512S256 490.5 256 464C256 451.7 251.2 440.5 243.5 432h216.9c-7.664 8.506-12.43 19.65-12.43 32C448 490.5 469.5 512 496 512c26.51 0 48.01-21.49 48.01-47.1c0-12.35-4.828-23.49-12.49-32H632c4.406 0 8-3.595 8-8.002S636.4 416 632 416zM208 496c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S225.6 496 208 496zM496 496c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S513.6 496 496 496zM224 352h352c17.67 0 32-14.33 32-32V96C608 78.33 593.7 64 576 64H224C206.3 64 192 78.33 192 96V320C192 337.7 206.3 352 224 352zM352 80h96v98.22l-44.03-25.16c-2.438-1.438-5.5-1.438-7.938 0L352 178.2V80zM208 96c0-8.822 7.178-16 16-16l112 .0016v111.1c0 2.844 1.531 5.499 4 6.905c2.438 1.438 5.531 1.469 7.969 .0313L400 169.2l52.03 29.72C453.3 199.7 454.6 200 456 200s2.781-.375 4-1.094C462.5 197.5 464 194.8 464 192V80L576 80c8.822 0 16 7.178 16 16v224c0 8.822-7.178 16-16 16H224c-8.822 0-16-7.178-16-16V96z"],
    "cart-flatbed-boxes": [640, 512, ["dolly-flatbed-alt"], "f475", "M632 416H128V72C128 29.59 101.7 0 64 0H8C3.594 0 0 3.594 0 8S3.594 16 8 16H64c33.16 0 48 28.12 48 56v352c0 4.406 3.594 8 8 8h52.46C164.8 440.5 160 451.7 160 464C160 490.5 181.5 512 208 512S256 490.5 256 464c0-12.35-4.797-23.49-12.46-32h216.9c-7.664 8.506-12.43 19.65-12.43 32c0 26.51 21.49 48 47.99 48c26.51 0 48.01-21.49 48.01-48c0-12.35-4.828-23.49-12.49-32H632c4.406 0 8-3.596 8-8.002S636.4 416 632 416zM208 496c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S225.6 496 208 496zM496 496c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S513.6 496 496 496zM224 352h128c17.67 0 32-14.33 32-32V96c0-17.67-14.33-32-32-32H224C206.3 64 192 78.33 192 96v224C192 337.7 206.3 352 224 352zM208 96c0-8.822 7.178-16 16-16h128c8.822 0 16 7.178 16 16v224c0 8.822-7.178 16-16 16H224c-8.822 0-16-7.178-16-16V96zM448 352h128c17.67 0 32-14.33 32-32V256c0-17.67-14.33-32-32-32h-128c-17.67 0-32 14.33-32 32v64C416 337.7 430.3 352 448 352zM432 256c0-8.822 7.178-16 16-16h128c8.824 0 16 7.178 16 16v64c0 8.822-7.176 16-16 16h-128c-8.822 0-16-7.178-16-16V256zM448 192h64c17.67 0 32-14.33 32-32V96c0-17.67-14.33-32-32-32h-64c-17.67 0-32 14.33-32 32v64C416 177.7 430.3 192 448 192zM432 96c0-8.822 7.178-16 16-16h64c8.822 0 16 7.178 16 16v64c0 8.822-7.178 16-16 16h-64c-8.822 0-16-7.178-16-16V96z"],
    "cart-flatbed-empty": [640, 512, ["dolly-flatbed-empty"], "f476", "M632 416H128V72C128 29.59 101.7 0 64 0H8C3.594 0 0 3.594 0 8S3.594 16 8 16H64c33.16 0 48 28.12 48 56v352c0 4.406 3.594 8 8 8h52.46C164.8 440.5 160 451.7 160 464C160 490.5 181.5 512 208 512S256 490.5 256 464c0-12.35-4.797-23.49-12.46-32h216.9c-7.664 8.506-12.43 19.65-12.43 32c0 26.51 21.49 48 47.99 48c26.51 0 48.01-21.49 48.01-48c0-12.35-4.828-23.49-12.49-32H632c4.406 0 8-3.596 8-8.002S636.4 416 632 416zM240 464c0 17.64-14.36 32-32 32s-32-14.36-32-32s14.36-32 32-32S240 446.4 240 464zM528 464c0 17.64-14.36 32-32 32s-32-14.36-32-32s14.36-32 32-32S528 446.4 528 464z"],
    "cart-flatbed-suitcase": [640, 512, ["luggage-cart"], "f59d", "M632 416H128V72C128 29.59 101.7 0 64 0H8C3.594 0 0 3.594 0 8S3.594 16 8 16H64c33.16 0 48 28.12 48 56v352c0 4.406 3.594 8 8 8h52.46C164.8 440.5 160 451.6 160 464C160 490.5 181.5 512 208 512S256 490.5 256 464c0-12.35-4.797-23.49-12.46-32h216.9c-7.664 8.508-12.41 19.65-12.41 32c0 26.51 21.48 48 47.99 48s48.01-21.49 48.01-48c0-12.35-4.852-23.49-12.51-32H632c4.406 0 8-3.596 8-8.002S636.4 416 632 416zM208 496c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S225.6 496 208 496zM496 496c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S513.6 496 496 496zM240 352h288c26.51 0 48-21.49 48-48v-128C576 149.5 554.5 128 528 128H480V72C480 49.94 462.1 32 440 32h-112C305.9 32 288 49.94 288 72V128H240C213.5 128 192 149.5 192 176v128C192 330.5 213.5 352 240 352zM496 144h32c17.64 0 32 14.36 32 32v128c0 17.64-14.36 32-32 32h-32V144zM304 72c0-13.22 10.78-24 24-24h112c13.22 0 24 10.78 24 24V128h-160V72zM288 144h192v192H288V144zM208 176c0-17.64 14.36-32 32-32h32v192h-32c-17.64 0-32-14.36-32-32V176z"],
    "cart-minus": [576, 512, [], "e0db", "M384 152C388.4 152 392 155.6 392 160C392 164.4 388.4 168 384 168H256C251.6 168 248 164.4 248 160C248 155.6 251.6 152 256 152H384zM.0003 8C.0003 3.582 3.582 0 8 0H64C67.64 0 70.82 2.458 71.74 5.98L78.53 32H541.8C562.1 32 578.3 52.25 572.6 72.66L518.6 264.7C514.7 278.5 502.1 288 487.8 288H145.3L166.2 368H496C500.4 368 504 371.6 504 376C504 380.4 500.4 384 496 384H159.1C156.4 384 153.2 381.5 152.3 378L57.82 16H8C3.582 16 0 12.42 0 8H.0003zM487.8 272C494.9 272 501.2 267.2 503.2 260.3L557.2 68.33C560 58.13 552.4 48 541.8 48H82.7L141.1 272H487.8zM224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464zM176 432C158.3 432 144 446.3 144 464C144 481.7 158.3 496 176 496C193.7 496 208 481.7 208 464C208 446.3 193.7 432 176 432zM416 464C416 437.5 437.5 416 464 416C490.5 416 512 437.5 512 464C512 490.5 490.5 512 464 512C437.5 512 416 490.5 416 464zM464 496C481.7 496 496 481.7 496 464C496 446.3 481.7 432 464 432C446.3 432 432 446.3 432 464C432 481.7 446.3 496 464 496z"],
    "cart-plus": [576, 512, [], "f217", "M248 160C248 155.6 251.6 152 256 152H312V96C312 91.58 315.6 88 320 88C324.4 88 328 91.58 328 96V152H384C388.4 152 392 155.6 392 160C392 164.4 388.4 168 384 168H328V224C328 228.4 324.4 232 320 232C315.6 232 312 228.4 312 224V168H256C251.6 168 248 164.4 248 160zM64 0C67.64 0 70.82 2.458 71.74 5.98L78.53 32H541.8C562.1 32 578.3 52.25 572.6 72.66L518.6 264.7C514.7 278.5 502.1 288 487.8 288H145.3L166.2 368H496C500.4 368 504 371.6 504 376C504 380.4 500.4 384 496 384H159.1C156.4 384 153.2 381.5 152.3 378L57.82 16H8C3.582 16 0 12.42 0 8C0 3.582 3.582 0 8 0H64zM82.7 48L141.1 272H487.8C494.9 272 501.2 267.2 503.2 260.3L557.2 68.33C560 58.13 552.4 48 541.8 48H82.7zM128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464zM176 496C193.7 496 208 481.7 208 464C208 446.3 193.7 432 176 432C158.3 432 144 446.3 144 464C144 481.7 158.3 496 176 496zM512 464C512 490.5 490.5 512 464 512C437.5 512 416 490.5 416 464C416 437.5 437.5 416 464 416C490.5 416 512 437.5 512 464zM464 432C446.3 432 432 446.3 432 464C432 481.7 446.3 496 464 496C481.7 496 496 481.7 496 464C496 446.3 481.7 432 464 432z"],
    "cart-shopping": [576, 512, [128722, "shopping-cart"], "f07a", "M64 0C67.64 0 70.82 2.458 71.74 5.98L78.53 32H541.8C562.1 32 578.3 52.25 572.6 72.66L518.6 264.7C514.7 278.5 502.1 288 487.8 288H145.3L166.2 368H496C500.4 368 504 371.6 504 376C504 380.4 500.4 384 496 384H159.1C156.4 384 153.2 381.5 152.3 378L57.82 16H8C3.582 16 0 12.42 0 8C0 3.582 3.582 0 8 0H64zM82.7 48L141.1 272H487.8C494.9 272 501.2 267.2 503.2 260.3L557.2 68.33C560 58.13 552.4 48 541.8 48H82.7zM128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464zM176 496C193.7 496 208 481.7 208 464C208 446.3 193.7 432 176 432C158.3 432 144 446.3 144 464C144 481.7 158.3 496 176 496zM512 464C512 490.5 490.5 512 464 512C437.5 512 416 490.5 416 464C416 437.5 437.5 416 464 416C490.5 416 512 437.5 512 464zM464 432C446.3 432 432 446.3 432 464C432 481.7 446.3 496 464 496C481.7 496 496 481.7 496 464C496 446.3 481.7 432 464 432z"],
    "cart-shopping-fast": [640, 512, [], "e0dc", "M64 8C64 3.582 67.58 0 72 0H128C131.6 0 134.8 2.458 135.7 5.98L142.5 32H605.8C626.1 32 642.3 52.25 636.6 72.66L582.6 264.7C578.7 278.5 566.1 288 551.8 288H209.3L230.2 368H560C564.4 368 568 371.6 568 376C568 380.4 564.4 384 560 384H223.1C220.4 384 217.2 381.5 216.3 378L121.8 16H71.1C67.58 16 63.1 12.42 63.1 8H64zM551.8 272C558.9 272 565.2 267.2 567.2 260.3L621.2 68.33C624 58.13 616.4 48 605.8 48H146.7L205.1 272H551.8zM288 464C288 490.5 266.5 512 240 512C213.5 512 192 490.5 192 464C192 437.5 213.5 416 240 416C266.5 416 288 437.5 288 464zM240 432C222.3 432 208 446.3 208 464C208 481.7 222.3 496 240 496C257.7 496 272 481.7 272 464C272 446.3 257.7 432 240 432zM480 464C480 437.5 501.5 416 528 416C554.5 416 576 437.5 576 464C576 490.5 554.5 512 528 512C501.5 512 480 490.5 480 464zM528 496C545.7 496 560 481.7 560 464C560 446.3 545.7 432 528 432C510.3 432 496 446.3 496 464C496 481.7 510.3 496 528 496zM120 128C124.4 128 128 131.6 128 136C128 140.4 124.4 144 120 144H8C3.582 144 0 140.4 0 136C0 131.6 3.582 128 8 128H120zM136 192C140.4 192 144 195.6 144 200C144 204.4 140.4 208 136 208H8C3.582 208 0 204.4 0 200C0 195.6 3.582 192 8 192H136zM152 256C156.4 256 160 259.6 160 264C160 268.4 156.4 272 152 272H8C3.582 272 0 268.4 0 264C0 259.6 3.582 256 8 256H152z"],
    "cart-xmark": [576, 512, [], "e0dd", "M269.1 109.1C272.2 105.1 277.3 105.1 280.4 109.1L320 148.7L359.6 109.1C362.7 105.1 367.8 105.1 370.9 109.1C374 112.2 374 117.3 370.9 120.4L331.3 160L370.9 199.6C374 202.7 374 207.8 370.9 210.9C367.8 214 362.7 214 359.6 210.9L320 171.3L280.4 210.9C277.3 214 272.2 214 269.1 210.9C265.1 207.8 265.1 202.7 269.1 199.6L308.7 160L269.1 120.4C265.1 117.3 265.1 112.2 269.1 109.1V109.1zM64 0C67.64 0 70.82 2.458 71.74 5.98L78.53 32H541.8C562.1 32 578.3 52.25 572.6 72.66L518.6 264.7C514.7 278.5 502.1 288 487.8 288H145.3L166.2 368H496C500.4 368 504 371.6 504 376C504 380.4 500.4 384 496 384H159.1C156.4 384 153.2 381.5 152.3 378L57.82 16H8C3.582 16 0 12.42 0 8C0 3.582 3.582 0 8 0H64zM82.7 48L141.1 272H487.8C494.9 272 501.2 267.2 503.2 260.3L557.2 68.33C560 58.13 552.4 48 541.8 48H82.7zM128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464zM176 496C193.7 496 208 481.7 208 464C208 446.3 193.7 432 176 432C158.3 432 144 446.3 144 464C144 481.7 158.3 496 176 496zM512 464C512 490.5 490.5 512 464 512C437.5 512 416 490.5 416 464C416 437.5 437.5 416 464 416C490.5 416 512 437.5 512 464zM464 432C446.3 432 432 446.3 432 464C432 481.7 446.3 496 464 496C481.7 496 496 481.7 496 464C496 446.3 481.7 432 464 432z"],
    "cash-register": [512, 512, [], "f788", "M256 56C260.4 56 264 59.58 264 64C264 68.42 260.4 72 256 72H96C91.58 72 88 68.42 88 64C88 59.58 91.58 56 96 56H256zM96 240C96 231.2 103.2 224 112 224C120.8 224 128 231.2 128 240C128 248.8 120.8 256 112 256C103.2 256 96 248.8 96 240zM224 240C224 248.8 216.8 256 208 256C199.2 256 192 248.8 192 240C192 231.2 199.2 224 208 224C216.8 224 224 231.2 224 240zM144 320C144 311.2 151.2 304 160 304C168.8 304 176 311.2 176 320C176 328.8 168.8 336 160 336C151.2 336 144 328.8 144 320zM320 240C320 248.8 312.8 256 304 256C295.2 256 288 248.8 288 240C288 231.2 295.2 224 304 224C312.8 224 320 231.2 320 240zM240 320C240 311.2 247.2 304 256 304C264.8 304 272 311.2 272 320C272 328.8 264.8 336 256 336C247.2 336 240 328.8 240 320zM416 240C416 248.8 408.8 256 400 256C391.2 256 384 248.8 384 240C384 231.2 391.2 224 400 224C408.8 224 416 231.2 416 240zM336 320C336 311.2 343.2 304 352 304C360.8 304 368 311.2 368 320C368 328.8 360.8 336 352 336C343.2 336 336 328.8 336 320zM272 128H184V160H424.5C456.3 160 483.3 183.4 487.8 214.9L511.4 379.5C511.8 382.5 512 385.5 512 388.5V448C512 483.3 483.3 512 448 512H64C28.65 512 0 483.3 0 448V388.5C0 385.5 .215 382.5 .6432 379.5L24.15 214.9C28.65 183.4 55.66 160 87.51 160H168V128H80C53.49 128 32 106.5 32 80V48C32 21.49 53.49 0 80 0H272C298.5 0 320 21.49 320 48V80C320 106.5 298.5 128 272 128V128zM48 48V80C48 97.67 62.33 112 80 112H272C289.7 112 304 97.67 304 80V48C304 30.33 289.7 16 272 16H80C62.33 16 48 30.33 48 48zM87.51 176C63.62 176 43.37 193.6 39.99 217.2L16.48 381.8C16.38 382.5 16.29 383.3 16.22 384H495.8C495.7 383.3 495.6 382.5 495.5 381.8L472 217.2C468.6 193.6 448.4 176 424.5 176H87.51zM16 400V448C16 474.5 37.49 496 64 496H448C474.5 496 496 474.5 496 448V400H16z"],
    "cassette-betamax": [576, 512, ["betamax"], "f8a4", "M512 32H64C28.66 32 0 60.65 0 96v320c0 35.35 28.66 64 64 64h448c35.34 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM560 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V144h544V416zM560 128h-544V96c0-26.47 21.53-48 48-48h448c26.47 0 48 21.53 48 48V128zM160 400c53.02 0 96-42.98 96-96s-42.98-96-96-96s-96 42.98-96 96S106.1 400 160 400zM160 224c44.11 0 80 35.89 80 80S204.1 384 160 384s-80-35.89-80-80S115.9 224 160 224zM160 336c17.67 0 32-14.33 32-32c0-17.67-14.33-32-32-32s-32 14.33-32 32C128 321.7 142.3 336 160 336zM160 288c8.822 0 16 7.178 16 16S168.8 320 160 320S144 312.8 144 304S151.2 288 160 288zM336 400h160c8.836 0 16-7.164 16-16V224c0-8.838-7.164-16-16-16h-160C327.2 208 320 215.2 320 224v160C320 392.8 327.2 400 336 400zM336 224h160v160h-160V224z"],
    "cassette-tape": [576, 512, [128429], "f8ab", "M512 32H64C28.66 32 0 60.65 0 96v320c0 35.35 28.66 64 64 64h448c35.34 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM124.6 464l20.87-78.23C148.2 375.3 157.7 368 168.6 368h238.9c10.84 0 20.36 7.312 23.14 17.77L451.4 464H124.6zM560 416c0 26.47-21.53 48-48 48h-43.98l-21.97-82.36C441.4 364.2 425.5 352 407.4 352H168.6c-18.08 0-33.95 12.19-38.61 29.64L107.1 464H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h448c26.47 0 48 21.53 48 48V416zM416 160H160C124.7 160 96 188.7 96 224c0 35.35 28.65 64 64 64h256c35.35 0 64-28.65 64-64C480 188.7 451.3 160 416 160zM160 272C133.5 272 112 250.5 112 224S133.5 176 160 176S208 197.5 208 224S186.5 272 160 272zM201.9 272C215.3 260.3 224 243.2 224 224S215.3 187.7 201.9 176h172.1C360.7 187.7 352 204.8 352 224s8.654 36.27 22.07 48H201.9zM416 272c-26.47 0-48-21.53-48-48s21.53-48 48-48s48 21.53 48 48S442.5 272 416 272z"],
    "cassette-vhs": [576, 512, [128252, "vhs"], "f8ec", "M111.1 400h353.8c4.535 0 8.857-1.926 11.89-5.297C499.5 369.5 512 337.2 512 304s-12.51-65.46-35.23-90.7C473.7 209.9 469.4 208 464.9 208H111.1c-4.535 0-8.857 1.926-11.89 5.297C76.51 238.5 64 270.8 64 304s12.51 65.46 35.23 90.7C102.3 398.1 106.6 400 111.1 400zM368 224l96.87 .0002C483.1 245.3 496 273.1 496 304s-12 58.75-31.13 80L368 384V224zM224 224h128v159.1H224V224zM111.1 224L208 224v160l-96.87 .0002C92 362.8 80 334.9 80 304S92 245.3 111.1 224zM400 248c-4.406 0-8 3.594-8 8s3.594 8 8 8c22.06 0 40 17.94 40 40s-17.94 40-40 40c-4.406 0-8 3.594-8 8s3.594 8 8 8c30.88 0 56-25.12 56-56S430.9 248 400 248zM528 32h-480C21.49 32 0 53.49 0 80v352c0 26.51 21.49 48 48 48h480c26.51 0 48-21.49 48-48V80C576 53.49 554.5 32 528 32zM560 432c0 17.64-14.36 32-32 32h-480c-17.64 0-32-14.36-32-32V160h544V432zM560 144h-544v-64c0-17.64 14.36-32 32-32h480c17.64 0 32 14.36 32 32V144zM176 360c4.406 0 8-3.594 8-8s-3.594-8-8-8c-22.06 0-40-17.94-40-40S153.9 264 176 264c4.406 0 8-3.594 8-8S180.4 248 176 248c-30.88 0-56 25.12-56 56S145.1 360 176 360z"],
    "castle": [640, 512, [], "e0de", "M128 24C128 10.75 138.7 0 152 0H184C197.3 0 208 10.75 208 24V72H232V24C232 10.75 242.7 0 256 0H280C293.3 0 304 10.75 304 24V72H336V24C336 10.75 346.7 0 360 0H384C397.3 0 408 10.75 408 24V72H432V24C432 10.75 442.7 0 456 0H488C501.3 0 512 10.75 512 24V224H560V184C560 170.7 570.7 160 584 160H616C629.3 160 640 170.7 640 184V440C640 479.8 607.8 512 568 512H72C32.24 512 0 479.8 0 440V184C0 170.7 10.75 160 24 160H56C69.25 160 80 170.7 80 184V224H128V24zM72 240C67.58 240 64 236.4 64 232V184C64 179.6 60.42 176 56 176H24C19.58 176 16 179.6 16 184V440C16 470.9 41.07 496 72 496H240V392C240 347.8 275.8 312 320 312C364.2 312 400 347.8 400 392V496H568C598.9 496 624 470.9 624 440V184C624 179.6 620.4 176 616 176H584C579.6 176 576 179.6 576 184V232C576 236.4 572.4 240 568 240H72zM496 24C496 19.58 492.4 16 488 16H456C451.6 16 448 19.58 448 24V80C448 84.42 444.4 88 440 88H400C395.6 88 392 84.42 392 80V24C392 19.58 388.4 16 384 16H360C355.6 16 352 19.58 352 24V80C352 84.42 348.4 88 344 88H296C291.6 88 288 84.42 288 80V24C288 19.58 284.4 16 280 16H256C251.6 16 248 19.58 248 24V80C248 84.42 244.4 88 240 88H200C195.6 88 192 84.42 192 80V24C192 19.58 188.4 16 184 16H152C147.6 16 144 19.58 144 24V224H496V24zM320 328C284.7 328 256 356.7 256 392V496H384V392C384 356.7 355.3 328 320 328z"],
    "cat": [576, 512, [128008], "f6be", "M416 128c-8.875 0-16 7.125-16 16s7.125 16 16 16s16-7.125 16-16S424.9 128 416 128zM571.2 .6978c-2.891-1.295-6.297-.7187-8.625 1.453l-67.03 61.87h-63.09l-67.03-61.87c-2.328-2.172-5.734-2.779-8.625-1.453C353.9 1.979 352 4.854 352 8.026v151.1c0 5.475 .8535 10.73 1.617 15.1H296c-82.5 0-153.5 50.22-184 121.7V200c0-57.34-46.66-104-104-104c-4.422 0-8 3.578-8 8s3.578 8 8 8c48.53 0 88 39.47 88 88v224c0 48.53 39.47 87.1 88 87.1h176c4.422 0 8-3.578 8-7.1v-32c0-22.06-17.94-40-40-40h-20.91L408 366.7v113.3c0 17.64 14.36 31.1 32 31.1h32c17.64 0 32-14.36 32-31.1V264.3C545.1 248.1 576 207.6 576 160V8.026C576 4.854 574.1 1.979 571.2 .6978zM488 480c0 8.828-7.172 16-16 16h-32c-8.828 0-16-7.172-16-16v-128c0-6.357-7.033-10.13-12.34-6.719L288 425.3v-9.295c0-52.94-43.06-96-96-96c-4.422 0-8 3.578-8 8s3.578 8 8 8c44.11 0 80 35.89 80 80v24c0 4.418 3.582 8 8 8h48c13.23 0 24 10.77 24 24v23.1l-168 .0004c-39.7 0-72-32.3-72-72v-47.1c0-101.5 82.55-184 184-184l61.24-.0003C371.1 238.1 413.4 272 464 272c8.254 0 16.25-1.029 24-2.732V480zM560 160c0 52.93-43.06 95.99-96 95.99s-96-43.06-96-95.1V26.29l55.91 51.61c1.469 1.373 3.406 2.123 5.422 2.123h69.34c2.016 0 3.953-.75 5.422-2.123L560 26.29V160zM496 144c0 8.875 7.125 16 16 16s16-7.125 16-16s-7.125-16-16-16S496 135.1 496 144z"],
    "cat-space": [640, 512, [], "e001", "M440 144c-8.875 0-16.01 7.125-16.01 15.1s7.12 16 15.1 16S456 168.9 456 160S448.9 144 440 144zM503.1 160c0 8.875 7.12 16 15.1 16S536 168.9 536 160s-7.125-16-16-16S503.1 151.1 503.1 160zM480 .0003c-88.37 0-160 71.63-160 159.1c0 5.48 1.074 10.66 1.613 16H296c-82.5 0-153.5 50.22-184 121.7V200c0-57.34-46.66-104-104-104c-4.422 0-8 3.578-8 8s3.578 8 8 8c48.53 0 88 39.47 88 88v224c0 48.53 39.47 87.1 88 87.1h176c4.422 0 8-3.578 8-7.1v-32c0-22.06-17.94-40-40-40H307.1L408 366.7v113.3c0 17.64 14.36 31.1 32 31.1h32c17.64 0 32-14.36 32-31.1V317.6C580.9 305.9 640 240.1 640 160C640 71.64 568.4 .0003 480 .0003zM480 16c30.54 0 58.77 9.699 82.09 25.97l-55.1 54.03h-52.19l-55.1-54.03C421.2 25.7 449.5 16 480 16zM560 66.22l-.0146 109.8c0 44.11-35.88 79.1-79.99 79.1s-80-35.89-80-79.1V66.22l45.11 43.53c1.5 1.453 3.484 2.25 5.562 2.25h58.66c2.078 0 4.062-.7969 5.562-2.25L560 66.22zM488 480c0 8.828-7.172 16-16 16h-32c-8.828 0-16-7.172-16-16v-128c0-6.357-7.033-10.13-12.34-6.719L288 425.3v-9.295c0-52.94-43.06-96-96-96c-4.422 0-8 3.578-8 8s3.578 8 8 8c44.11 0 80 35.89 80 80v24c0 4.418 3.582 8 8 8h48c13.23 0 24 10.77 24 24l0 24.01L184 496c-39.7 0-72-32.3-72-72v-48c0-101.5 82.55-184 184-184h27.22C338.1 265 402.6 320 480 320c2.74 0 5.293-.6696 8-.8063V480zM480 304c-79.4 0-144-64.6-144-144c0-42.39 18.75-80.17 48-106.5v122.5c0 52.94 43.06 96 96 96s96-43.06 96-96V53.46c29.25 26.38 48 64.15 48 106.5C624 239.4 559.4 304 480 304zM168 72h48v48c0 4.422 3.571 7.1 7.993 7.1S232 124.4 232 120v-48h48c4.422 0 7.993-3.579 7.993-8S284.4 56 280 56h-48v-48c0-4.422-3.585-8-8.007-8S216 3.579 216 8.001v48h-48c-4.422 0-8.007 3.578-8.007 7.1S163.6 72 168 72z"],
    "cauldron": [448, 512, [], "f6bf", "M192 32C192 49.67 177.7 64 160 64C142.3 64 128 49.67 128 32C128 14.33 142.3 0 160 0C177.7 0 192 14.33 192 32zM160 16C151.2 16 144 23.16 144 32C144 40.84 151.2 48 160 48C168.8 48 176 40.84 176 32C176 23.16 168.8 16 160 16zM320 80C320 106.5 298.5 128 272 128C245.5 128 224 106.5 224 80C224 53.49 245.5 32 272 32C298.5 32 320 53.49 320 80zM272 48C254.3 48 240 62.33 240 80C240 97.67 254.3 112 272 112C289.7 112 304 97.67 304 80C304 62.33 289.7 48 272 48zM66.8 176H8C3.582 176 0 172.4 0 168C0 163.6 3.582 160 8 160H440C444.4 160 448 163.6 448 168C448 172.4 444.4 176 440 176H381.2C407.1 209.8 448 275.6 448 334.4C448 371.8 436.1 403.8 416 429.9V504C416 508.4 412.4 512 408 512C403.6 512 400 508.4 400 504V447.9C357.3 489.6 291.3 512 224 512C156.7 512 90.73 489.6 48 447.9V504C48 508.4 44.42 512 40 512C35.58 512 32 508.4 32 504V429.9C11.93 403.8 0 371.8 0 334.4C0 275.6 40.88 209.8 66.8 176V176zM46.06 237.2C29.2 268.2 16 303.2 16 334.4C16 359.1 21.74 381.1 32 400.5V400L34.47 404.9C45.29 423.6 60.42 439.6 78.69 452.8C117.3 480.7 169.9 496 224 496C278.1 496 330.7 480.7 369.3 452.8C407.5 425.2 432 385.3 432 334.4C432 303.2 418.8 268.2 401.9 237.2C387.5 210.7 371.2 188.5 360.7 176H87.28C76.78 188.5 60.47 210.7 46.06 237.2V237.2z"],
    "cedi-sign": [320, 512, [], "e0df", "M192 0C196.4 0 200 3.582 200 8V64.01C243.7 64.43 284.1 78.61 316.7 102.3C320.3 104.9 321.1 109.9 318.5 113.5C315.9 117.1 310.9 117.9 307.3 115.3C277.4 93.5 240.3 80.43 200 80.01V431.1C240.3 431.6 277.4 418.5 307.3 396.7C310.9 394.1 315.9 394.9 318.5 398.5C321.1 402.1 320.3 407.1 316.7 409.7C284.1 433.4 243.7 447.6 200 447.1V504C200 508.4 196.4 512 192 512C187.6 512 184 508.4 184 504V447.5C81.39 440.6 0 357.7 0 256C0 154.3 81.39 71.43 184 64.47V8C184 3.582 187.6 0 192 0V0zM184 431.5V80.51C89.82 87.42 16 163.6 16 256C16 348.4 89.82 424.6 184 431.5z"],
    "cent-sign": [320, 512, [], "e3f5", "M192 0C196.4 0 200 3.582 200 8V64.01C243.7 64.43 284.1 78.61 316.7 102.3C320.3 104.9 321.1 109.9 318.5 113.5C315.9 117.1 310.9 117.9 307.3 115.3C276.9 93.14 239 80 197.1 80C97.24 80 16 159 16 256C16 352.1 97.24 432 197.1 432C239 432 276.9 418.9 307.3 396.7C310.9 394.1 315.9 394.9 318.5 398.5C321.1 402.1 320.3 407.1 316.7 409.7C284.1 433.4 243.7 447.6 200 447.1V504C200 508.4 196.4 512 192 512C187.6 512 184 508.4 184 504V447.5C81.39 440.6 0 357.7 0 256C0 154.3 81.39 71.43 184 64.47V8C184 3.582 187.6 0 192 0V0z"],
    "certificate": [512, 512, [], "f0a3", "M256 53.46L300.1 7.261C307 1.034 315.1-1.431 324.4 .8185C332.8 3.068 339.3 9.679 341.4 18.1L357.3 80.6L419.3 63.07C427.7 60.71 436.7 63.05 442.8 69.19C448.1 75.34 451.3 84.33 448.9 92.69L431.4 154.7L493.9 170.6C502.3 172.7 508.9 179.2 511.2 187.6C513.4 196 510.1 204.1 504.7 211L458.5 256L504.7 300.1C510.1 307 513.4 315.1 511.2 324.4C508.9 332.8 502.3 339.3 493.9 341.4L431.4 357.3L448.9 419.3C451.3 427.7 448.1 436.7 442.8 442.8C436.7 448.1 427.7 451.3 419.3 448.9L357.3 431.4L341.4 493.9C339.3 502.3 332.8 508.9 324.4 511.2C315.1 513.4 307 510.1 300.1 504.7L256 458.5L211 504.7C204.1 510.1 196 513.4 187.6 511.2C179.2 508.9 172.7 502.3 170.6 493.9L154.7 431.4L92.69 448.9C84.33 451.3 75.34 448.1 69.19 442.8C63.05 436.7 60.71 427.7 63.07 419.3L80.6 357.3L18.1 341.4C9.679 339.3 3.068 332.8 .8186 324.4C-1.431 315.1 1.034 307 7.261 300.1L53.46 256L7.261 211C1.034 204.1-1.431 196 .8186 187.6C3.068 179.2 9.679 172.7 18.1 170.6L80.6 154.7L63.07 92.69C60.71 84.33 63.05 75.34 69.19 69.19C75.34 63.05 84.33 60.71 92.69 63.07L154.7 80.6L170.6 18.1C172.7 9.679 179.2 3.068 187.6 .8185C196-1.431 204.1 1.034 211 7.261L256 53.46zM162.7 94.45C158.1 96.61 154.5 97.17 150.4 95.99L88.34 78.47C85.55 77.68 82.56 78.46 80.51 80.51C78.46 82.56 77.68 85.55 78.47 88.34L95.99 150.4C97.17 154.5 96.61 158.1 94.45 162.7C92.29 166.5 88.71 169.2 84.53 170.2L22.04 186.1C19.23 186.8 17.02 188.1 16.27 191.8C15.52 194.6 16.35 197.5 18.42 199.6L64.62 244.5C67.72 247.5 69.46 251.7 69.46 256C69.46 260.3 67.72 264.5 64.62 267.5L18.42 312.4C16.35 314.5 15.52 317.4 16.27 320.2C17.02 323 19.23 325.2 22.04 325.9L84.53 341.8C88.71 342.8 92.29 345.5 94.45 349.3C96.61 353 97.17 357.5 95.99 361.6L78.47 423.7C77.68 426.5 78.46 429.4 80.51 431.5C82.56 433.5 85.55 434.3 88.34 433.5L150.4 416C154.5 414.8 158.1 415.4 162.7 417.5C166.5 419.7 169.2 423.3 170.2 427.5L186.1 489.1C186.8 492.8 188.1 494.1 191.8 495.7C194.6 496.5 197.5 495.7 199.6 493.6L244.5 447.4C247.5 444.3 251.7 442.5 256 442.5C260.3 442.5 264.5 444.3 267.5 447.4L312.4 493.6C314.5 495.7 317.4 496.5 320.2 495.7C323 494.1 325.2 492.8 325.9 489.1L341.8 427.5C342.8 423.3 345.5 419.7 349.3 417.5C353 415.4 357.5 414.8 361.6 416L423.7 433.5C426.5 434.3 429.4 433.5 431.5 431.5C433.5 429.4 434.3 426.5 433.5 423.7L416 361.6C414.8 357.5 415.4 353 417.5 349.3C419.7 345.5 423.3 342.8 427.5 341.8L489.1 325.9C492.8 325.2 494.1 323 495.7 320.2C496.5 317.4 495.7 314.5 493.6 312.4L447.4 267.5C444.3 264.5 442.5 260.3 442.5 256C442.5 251.7 444.3 247.5 447.4 244.5L493.6 199.6C495.7 197.5 496.5 194.6 495.7 191.8C494.1 188.1 492.8 186.8 489.1 186.1L427.5 170.2C423.3 169.2 419.7 166.5 417.5 162.7C415.4 158.1 414.8 154.5 416 150.4L433.5 88.34C434.3 85.55 433.5 82.56 431.5 80.51C429.4 78.46 426.5 77.68 423.7 78.47L361.6 95.99C357.5 97.17 353 96.61 349.3 94.45C345.5 92.29 342.8 88.71 341.8 84.53L325.9 22.03C325.2 19.23 323 17.02 320.2 16.27C317.4 15.52 314.5 16.34 312.4 18.42L267.5 64.62C264.5 67.72 260.3 69.46 256 69.46C251.7 69.46 247.5 67.72 244.5 64.62L199.6 18.42C197.5 16.34 194.6 15.52 191.8 16.27C188.1 17.02 186.8 19.23 186.1 22.03L170.2 84.53C169.2 88.71 166.5 92.29 162.7 94.45L162.7 94.45z"],
    "chair": [448, 512, [129681], "f6c0", "M445.1 338.6l-14.77-32C425.1 295.3 413.7 288 401.2 288h-17.23l-.0032-152c0-74.98-61-136-136-136h-48c-75 0-136 61.02-136 136L63.1 288H46.76C34.28 288 22.94 295.3 17.7 306.6l-14.77 32c-4.562 9.906-3.766 21.47 2.109 30.66S21.09 384 31.1 384h15.1v120c0 4.422 3.57 8 7.977 8s8.023-3.578 8.023-8L63.1 384h320l-.0012 120c0 4.422 3.575 8 7.981 8s8.019-3.578 8.019-8V384h16c10.91 0 21.08-5.562 26.95-14.75S449.6 348.5 445.1 338.6zM367.1 136V288h-71.1l-.0027-261.8C338.3 44.74 367.1 86.91 367.1 136zM247.1 16c11.15 0 21.75 2.023 32 4.885V288h-48V16H247.1zM215.1 16V288h-48V20.88C178.3 18.02 188.8 16 199.1 16H215.1zM79.1 136c0-49.09 29.7-91.26 72-109.8L151.1 288H79.1V136zM429.5 360.6C426.5 365.2 421.5 368 415.1 368h-384c-5.486 0-10.52-2.756-13.47-7.369c-2.957-4.625-3.352-10.36-1.062-15.33l14.77-32C34.84 307.6 40.54 304 46.76 304h354.5c6.223 0 11.93 3.648 14.54 9.297l14.76 31.99C432.8 350.3 432.4 356 429.5 360.6z"],
    "chair-office": [448, 512, [], "f6c1", "M398.3 306.6C393.1 295.3 381.7 288 369.2 288H78.76C66.28 288 54.94 295.3 49.7 306.6l-14.77 32c-4.562 9.906-3.766 21.47 2.109 30.66S53.09 384 63.1 384H216v64.46C166.1 450.8 128 474.2 128 504C128 508.4 131.6 512 136 512s8-3.578 8-8c0-20.32 32.26-37.48 72-39.58V504c0 4.422 3.593 8 7.999 8S232 508.4 232 504v-39.58C271.7 466.5 304 483.7 304 504c0 4.422 3.594 8 8 8S320 508.4 320 504c0-29.8-38.11-53.2-88-55.54V384h152c10.91 0 21.08-5.562 26.95-14.75s6.672-20.75 2.109-30.66L398.3 306.6zM397.5 360.6C394.5 365.2 389.5 368 384 368H63.1c-5.486 0-10.52-2.756-13.47-7.369c-2.957-4.625-3.352-10.36-1.062-15.33l14.77-32C66.84 307.6 72.54 304 78.76 304h290.5c6.223 0 11.93 3.648 14.54 9.297l14.76 31.99C400.8 350.3 400.4 356 397.5 360.6zM104 264C108.4 264 112 260.4 112 256V72c0-30.88 25.12-56 56-56h112c30.88 0 56 25.12 56 56V256c0 4.422 3.594 8 8 8S351.1 260.4 351.1 256L352 72C352 32.3 319.7 0 280 0h-112C128.3 0 96 32.3 96 72L96.01 256C96.01 260.4 99.59 264 104 264zM40 256C44.41 256 48 252.4 48 248v-112C48 131.6 44.41 128 40 128S32 131.6 32 136v112C32 252.4 35.59 256 40 256zM408 128c-4.406 0-8 3.578-8 8v112C400 252.4 403.6 256 408 256S416 252.4 416 248v-112C416 131.6 412.4 128 408 128z"],
    "chalkboard": [576, 512, ["blackboard"], "f51b", "M568 464H544V56C544 42.78 533.2 32 520 32H56C42.78 32 32 42.78 32 56V464H8C3.594 464 0 467.6 0 472S3.594 480 8 480h560c4.406 0 8-3.594 8-8S572.4 464 568 464zM272 464v-64h160v64H272zM432 384h-160C263.2 384 256 391.2 256 400v64H48V56c0-4.406 3.594-8 8-8h464c4.406 0 8 3.594 8 8V464H448v-64C448 391.2 440.8 384 432 384z"],
    "chalkboard-user": [640, 512, ["chalkboard-teacher"], "f51c", "M616 0H184C170.8 0 160 10.77 160 24v64C160 92.42 163.6 96 168 96S176 92.42 176 88v-64c0-4.406 3.594-8 8-8h432c4.406 0 8 3.594 8 8v368c0 4.406-3.594 8-8 8H544v-64c0-8.838-7.164-16-16-16h-128c-8.836 0-16 7.162-16 16v64h-24c-4.406 0-8 3.578-8 8S355.6 416 360 416h256c13.22 0 24-10.77 24-24V24C640 10.77 629.2 0 616 0zM528 400h-128v-64h128V400zM192 352H128c-70.69 0-128 57.31-128 128c0 17.67 14.33 32 32 32h256c17.67 0 32-14.33 32-32C320 409.3 262.7 352 192 352zM288 496H32c-8.822 0-16-7.178-16-16c0-61.76 50.24-112 112-112h64c61.76 0 112 50.24 112 112C304 488.8 296.8 496 288 496zM160 320c53.02 0 96-42.98 96-96S213 128 160 128S64 170.1 64 224S106.1 320 160 320zM160 144c44.11 0 80 35.89 80 80c0 44.11-35.89 80-80 80S80 268.1 80 224C80 179.9 115.9 144 160 144z"],
    "champagne-glass": [256, 512, ["glass-champagne"], "f79e", "M224 496h-88V352c0-.3086-.293-.4922-.3262-.7891C202.6 347.1 256 290.9 256 221.8c0-35.09-13.27-130.1-33.02-215.6C222.1 2.562 218.9 0 215.2 0H40.81C37.09 0 33.86 2.562 33.02 6.188C13.27 91.69 0 186.7 0 221.8c0 69.11 53.38 125.3 120.3 129.4C120.3 351.5 120 351.7 120 352v144H32c-4.422 0-8 3.594-8 8S27.58 512 32 512h192c4.422 0 8-3.594 8-8S228.4 496 224 496zM47.19 16h161.6C217.8 55.59 224.8 94.27 229.9 128H26.07C31.22 94.27 38.22 55.59 47.19 16zM16 221.8c0-14.22 2.633-42.42 7.674-77.95C23.8 143.9 23.87 144 24 144h208c.127 0 .2012-.1289 .3262-.1328C237.4 179.4 240 207.6 240 221.8C240 284.8 189.8 336 128 336S16 284.8 16 221.8z"],
    "champagne-glasses": [640, 512, [129346, "glass-cheers"], "f79f", "M339 55.51L173.7 .4163C170.2-.7595 166.3 .6468 164.4 3.819C118.7 78.61 76.06 164.5 64.97 197.8c-21.84 65.5 11.01 135.6 73.16 160.7c-.125 .2734-.4629 .3516-.5586 .6445L93.93 463.6l-83.41-27.8c-4.189-1.395-8.717 .875-10.11 5.055c-1.391 4.172 .8652 8.711 5.057 10.11l181.1 60.66c4.191 1.398 8.719-.875 10.11-5.055c1.395-4.172-.8613-8.711-5.053-10.11l-83.41-27.8l43.64-104.5c.0977-.2891-.1211-.5625-.0605-.8515c64.76 17.24 133.1-19.12 154.9-84.63c11.09-33.26 28.54-127.5 36.83-214.8C344.8 60.13 342.5 56.68 339 55.51zM292.4 273.6c-19.89 59.68-83.7 92.35-142.2 72.84C91.68 326.9 60.24 262.5 80.13 202.8c4.492-13.48 15.9-39.37 31.9-71.45c.1172 .0391 .1465 .1875 .2676 .2266l197.1 65.71c.1191 .0391 .2305-.0547 .3516-.0234C303.3 232.5 296.9 260.1 292.4 273.6zM312.5 181.5L119.3 117.1c15.54-30.34 34.4-64.79 55.4-99.48l153.2 51.07C323.9 109 318.3 147.9 312.5 181.5zM629.5 435.8l-83.41 27.8l-43.65-104.5c-.0957-.293-.4336-.3711-.5586-.6445c62.15-25.06 94.1-95.16 73.16-160.7c-11.09-33.26-53.69-119.2-99.43-193.1c-1.938-3.168-5.811-4.555-9.334-3.383l-91.79 30.59c-4.787 1.594-6.809 7.258-4.211 11.59c.0293 .0469-.0273-.0469 0 0c1.902 3.199 5.77 4.742 9.301 3.566l85.71-28.57c21 34.69 39.86 69.14 55.4 99.48l-152.1 50.99c-2.785 .9297-4.835 3.461-5.315 6.355c-.0098 .0625 .0098-.0586 0 0c-.9727 5.875 4.64 10.72 10.29 8.84l155-51.67c.1211-.0391 .1504-.1875 .2676-.2266c16 32.07 27.41 57.97 31.9 71.45c19.89 59.68-11.55 124.1-70.08 143.6c-53.5 17.83-111.3-7.969-136.1-58.11c-2.654-5.379-10.02-6.027-13.34-1.035c-1.518 2.273-1.768 5.227-.5586 7.68c27.02 54.84 88.5 84.02 147.5 68.31c.0605 .289-.1582 .5625-.0605 .8515l43.64 104.5l-83.41 27.8c-4.191 1.398-6.447 5.937-5.053 10.11c1.391 4.18 5.918 6.453 10.11 5.055l181.1-60.66c4.191-1.398 6.447-5.937 5.057-10.11C638.2 436.6 633.7 434.4 629.5 435.8z"],
    "charging-station": [576, 512, [], "f5e7", "M196.8 105.6C200.3 108.3 201.1 113.3 198.4 116.8L136 200H232C235 200 237.8 201.7 239.2 204.4C240.5 207.1 240.2 210.4 238.4 212.8L166.4 308.8C163.7 312.3 158.7 313.1 155.2 310.4C151.7 307.7 150.9 302.7 153.6 299.2L216 216H120C116.1 216 114.2 214.3 112.8 211.6C111.5 208.9 111.8 205.6 113.6 203.2L185.6 107.2C188.3 103.7 193.3 102.9 196.8 105.6V105.6zM32 496V64C32 28.65 60.65 0 96 0H256C291.3 0 320 28.65 320 64V272H328C367.8 272 400 304.2 400 344V388C400 412.3 419.7 432 444 432C468.3 432 488 412.3 488 388V255.6C447.6 251.6 416 217.5 416 176V152C416 138.7 426.7 128 440 128H448V72C448 67.58 451.6 64 456 64C460.4 64 464 67.58 464 72V128H528V72C528 67.58 531.6 64 536 64C540.4 64 544 67.58 544 72V128H552C565.3 128 576 138.7 576 152V176C576 217.5 544.4 251.6 504 255.6V388C504 421.1 477.1 448 444 448C410.9 448 384 421.1 384 388V344C384 313.1 358.9 288 328 288H320V496H344C348.4 496 352 499.6 352 504C352 508.4 348.4 512 344 512H8C3.582 512 0 508.4 0 504C0 499.6 3.582 496 8 496H32zM48 64V416H304V64C304 37.49 282.5 16 256 16H96C69.49 16 48 37.49 48 64zM48 432V496H304V432H48zM440 144C435.6 144 432 147.6 432 152V176C432 211.3 460.7 240 496 240C531.3 240 560 211.3 560 176V152C560 147.6 556.4 144 552 144H440z"],
    "chart-area": [512, 512, ["area-chart"], "f1fe", "M16 408C16 438.9 41.07 464 72 464H504C508.4 464 512 467.6 512 472C512 476.4 508.4 480 504 480H72C32.24 480 0 447.8 0 408V40C0 35.58 3.582 32 8 32C12.42 32 16 35.58 16 40V408zM359.6 152.4C372.7 139.3 394.4 140.1 406.5 154.2L468.4 226.5C475.9 235.2 480 246.3 480 257.8V352C480 369.7 465.7 384 448 384H128C110.3 384 96 369.7 96 352V243.9C96 231.2 101.1 218.9 110.1 209.9L201.4 118.6C213.9 106.1 234.1 106.1 246.6 118.6L320 192L359.6 152.4zM235.3 129.9C229.1 123.7 218.9 123.7 212.7 129.9L121.4 221.3C115.4 227.3 112 235.4 112 243.9V352C112 360.8 119.2 368 128 368H448C456.8 368 464 360.8 464 352V257.8C464 250.1 461.3 242.7 456.3 236.9L394.3 164.6C388.3 157.6 377.5 157.2 370.9 163.7L331.3 203.3C328.3 206.3 324.2 208 320 208C315.8 208 311.7 206.3 308.7 203.3L235.3 129.9z"],
    "chart-bar": [512, 512, ["bar-chart"], "f080", "M16 408C16 438.9 41.07 464 72 464H504C508.4 464 512 467.6 512 472C512 476.4 508.4 480 504 480H72C32.24 480 0 447.8 0 408V40C0 35.58 3.582 32 8 32C12.42 32 16 35.58 16 40V408zM320 112C337.7 112 352 126.3 352 144C352 161.7 337.7 176 320 176H128C110.3 176 96 161.7 96 144C96 126.3 110.3 112 128 112H320zM128 160H320C328.8 160 336 152.8 336 144C336 135.2 328.8 128 320 128H128C119.2 128 112 135.2 112 144C112 152.8 119.2 160 128 160zM256 208C273.7 208 288 222.3 288 240C288 257.7 273.7 272 256 272H128C110.3 272 96 257.7 96 240C96 222.3 110.3 208 128 208H256zM128 256H256C264.8 256 272 248.8 272 240C272 231.2 264.8 224 256 224H128C119.2 224 112 231.2 112 240C112 248.8 119.2 256 128 256zM384 304C401.7 304 416 318.3 416 336C416 353.7 401.7 368 384 368H128C110.3 368 96 353.7 96 336C96 318.3 110.3 304 128 304H384zM128 352H384C392.8 352 400 344.8 400 336C400 327.2 392.8 320 384 320H128C119.2 320 112 327.2 112 336C112 344.8 119.2 352 128 352z"],
    "chart-bullet": [512, 512, [], "e0e1", "M280 32C284.4 32 288 35.58 288 40V64H464C490.5 64 512 85.49 512 112V176C512 202.5 490.5 224 464 224H288V248C288 252.4 284.4 256 280 256C275.6 256 272 252.4 272 248V224H48C21.49 224 0 202.5 0 176V112C0 85.49 21.49 64 48 64H272V40C272 35.58 275.6 32 280 32zM160 208H272V80H160V208zM288 80V208H464C481.7 208 496 193.7 496 176V112C496 94.33 481.7 80 464 80H288zM144 80H48C30.33 80 16 94.33 16 112V176C16 193.7 30.33 208 48 208H144V80zM376 256C380.4 256 384 259.6 384 264V288H464C490.5 288 512 309.5 512 336V400C512 426.5 490.5 448 464 448H384V472C384 476.4 380.4 480 376 480C371.6 480 368 476.4 368 472V448H48C21.49 448 0 426.5 0 400V336C0 309.5 21.49 288 48 288H368V264C368 259.6 371.6 256 376 256zM224 432H368V304H224V432zM384 304V432H464C481.7 432 496 417.7 496 400V336C496 318.3 481.7 304 464 304H384zM208 304H48C30.33 304 16 318.3 16 336V400C16 417.7 30.33 432 48 432H208V304z"],
    "chart-candlestick": [512, 512, [], "e0e2", "M8 32C12.42 32 16 35.58 16 40V408C16 438.9 41.07 464 72 464H504C508.4 464 512 467.6 512 472C512 476.4 508.4 480 504 480H72C32.24 480 0 447.8 0 408V40C0 35.58 3.582 32 8 32zM296 312V256H288C270.3 256 256 241.7 256 224V128C256 110.3 270.3 96 288 96H296V40C296 35.58 299.6 32 304 32C308.4 32 312 35.58 312 40V96H320C337.7 96 352 110.3 352 128V224C352 241.7 337.7 256 320 256H312V312C312 316.4 308.4 320 304 320C299.6 320 296 316.4 296 312zM288 112C279.2 112 272 119.2 272 128V224C272 232.8 279.2 240 288 240H320C328.8 240 336 232.8 336 224V128C336 119.2 328.8 112 320 112H288zM416 320C398.3 320 384 305.7 384 288V224C384 206.3 398.3 192 416 192H424V136C424 131.6 427.6 128 432 128C436.4 128 440 131.6 440 136V192H448C465.7 192 480 206.3 480 224V288C480 305.7 465.7 320 448 320H440V376C440 380.4 436.4 384 432 384C427.6 384 424 380.4 424 376V320H416zM400 288C400 296.8 407.2 304 416 304H448C456.8 304 464 296.8 464 288V224C464 215.2 456.8 208 448 208H416C407.2 208 400 215.2 400 224V288zM184 376C184 380.4 180.4 384 176 384C171.6 384 168 380.4 168 376V320H160C142.3 320 128 305.7 128 288V160C128 142.3 142.3 128 160 128H168V72C168 67.58 171.6 64 176 64C180.4 64 184 67.58 184 72V128H192C209.7 128 224 142.3 224 160V288C224 305.7 209.7 320 192 320H184V376zM208 160C208 151.2 200.8 144 192 144H160C151.2 144 144 151.2 144 160V288C144 296.8 151.2 304 160 304H192C200.8 304 208 296.8 208 288V160z"],
    "chart-column": [512, 512, [], "e0e3", "M16 408C16 438.9 41.07 464 72 464H504C508.4 464 512 467.6 512 472C512 476.4 508.4 480 504 480H72C32.24 480 0 447.8 0 408V40C0 35.58 3.582 32 8 32C12.42 32 16 35.58 16 40V408zM464 352C464 369.7 449.7 384 432 384C414.3 384 400 369.7 400 352V128C400 110.3 414.3 96 432 96C449.7 96 464 110.3 464 128V352zM416 128V352C416 360.8 423.2 368 432 368C440.8 368 448 360.8 448 352V128C448 119.2 440.8 112 432 112C423.2 112 416 119.2 416 128zM272 352C272 369.7 257.7 384 240 384C222.3 384 208 369.7 208 352V192C208 174.3 222.3 160 240 160C257.7 160 272 174.3 272 192V352zM224 192V352C224 360.8 231.2 368 240 368C248.8 368 256 360.8 256 352V192C256 183.2 248.8 176 240 176C231.2 176 224 183.2 224 192zM176 352C176 369.7 161.7 384 144 384C126.3 384 112 369.7 112 352V288C112 270.3 126.3 256 144 256C161.7 256 176 270.3 176 288V352zM128 288V352C128 360.8 135.2 368 144 368C152.8 368 160 360.8 160 352V288C160 279.2 152.8 272 144 272C135.2 272 128 279.2 128 288zM336 224C353.7 224 368 238.3 368 256V352C368 369.7 353.7 384 336 384C318.3 384 304 369.7 304 352V256C304 238.3 318.3 224 336 224zM320 256V352C320 360.8 327.2 368 336 368C344.8 368 352 360.8 352 352V256C352 247.2 344.8 240 336 240C327.2 240 320 247.2 320 256z"],
    "chart-gantt": [512, 512, [], "e0e4", "M16 408C16 438.9 41.07 464 72 464H504C508.4 464 512 467.6 512 472C512 476.4 508.4 480 504 480H72C32.24 480 0 447.8 0 408V40C0 35.58 3.582 32 8 32C12.42 32 16 35.58 16 40V408zM256 112C273.7 112 288 126.3 288 144C288 161.7 273.7 176 256 176H160C142.3 176 128 161.7 128 144C128 126.3 142.3 112 160 112H256zM160 160H256C264.8 160 272 152.8 272 144C272 135.2 264.8 128 256 128H160C151.2 128 144 135.2 144 144C144 152.8 151.2 160 160 160zM352 208C369.7 208 384 222.3 384 240C384 257.7 369.7 272 352 272H224C206.3 272 192 257.7 192 240C192 222.3 206.3 208 224 208H352zM224 256H352C360.8 256 368 248.8 368 240C368 231.2 360.8 224 352 224H224C215.2 224 208 231.2 208 240C208 248.8 215.2 256 224 256zM448 304C465.7 304 480 318.3 480 336C480 353.7 465.7 368 448 368H352C334.3 368 320 353.7 320 336C320 318.3 334.3 304 352 304H448zM352 352H448C456.8 352 464 344.8 464 336C464 327.2 456.8 320 448 320H352C343.2 320 336 327.2 336 336C336 344.8 343.2 352 352 352z"],
    "chart-line": [512, 512, ["line-chart"], "f201", "M16 408C16 438.9 41.07 464 72 464H504C508.4 464 512 467.6 512 472C512 476.4 508.4 480 504 480H72C32.24 480 0 447.8 0 408V40C0 35.58 3.582 32 8 32C12.42 32 16 35.58 16 40V408zM325.7 293.7C322.5 296.8 317.5 296.8 314.3 293.7L224 203.3L101.7 325.7C98.53 328.8 93.47 328.8 90.34 325.7C87.22 322.5 87.22 317.5 90.34 314.3L218.3 186.3C221.5 183.2 226.5 183.2 229.7 186.3L320 276.7L466.3 130.3C469.5 127.2 474.5 127.2 477.7 130.3C480.8 133.5 480.8 138.5 477.7 141.7L325.7 293.7z"],
    "chart-line-down": [512, 512, [128201], "f64d", "M16 408C16 438.9 41.07 464 72 464H504C508.4 464 512 467.6 512 472C512 476.4 508.4 480 504 480H72C32.24 480 0 447.8 0 408V40C0 35.58 3.582 32 8 32C12.42 32 16 35.58 16 40V408zM352 352C347.6 352 344 348.4 344 344C344 339.6 347.6 336 352 336H452.7L288 171.3L197.7 261.7C194.5 264.8 189.5 264.8 186.3 261.7L90.34 165.7C87.22 162.5 87.22 157.5 90.34 154.3C93.47 151.2 98.53 151.2 101.7 154.3L192 244.7L282.3 154.3C285.5 151.2 290.5 151.2 293.7 154.3L464 324.7V223.1C464 219.6 467.6 215.1 472 215.1C476.4 215.1 480 219.6 480 223.1V344C480 348.4 476.4 352 472 352L352 352z"],
    "chart-line-up": [512, 512, [], "e0e5", "M16 408C16 438.9 41.07 464 72 464H504C508.4 464 512 467.6 512 472C512 476.4 508.4 480 504 480H72C32.24 480 0 447.8 0 408V40C0 35.58 3.582 32 8 32C12.42 32 16 35.58 16 40V408zM472 128C476.4 128 480 131.6 480 136V256C480 260.4 476.4 264 472 264C467.6 264 464 260.4 464 256V155.3L293.7 325.7C290.5 328.8 285.5 328.8 282.3 325.7L192 235.3L101.7 325.7C98.53 328.8 93.47 328.8 90.34 325.7C87.22 322.5 87.22 317.5 90.34 314.3L186.3 218.3C189.5 215.2 194.5 215.2 197.7 218.3L288 308.7L452.7 143.1H352C347.6 143.1 344 140.4 344 135.1C344 131.6 347.6 127.1 352 127.1L472 128z"],
    "chart-mixed": [512, 512, ["analytics"], "f643", "M510 34.75C512.9 38.08 512.6 43.14 509.2 46.04L325.2 206C322.1 208.8 317.3 208.6 314.3 205.7L191.4 82.67L12.93 222.3C9.451 225 4.423 224.4 1.7 220.9C-1.023 217.5-.4099 212.4 3.069 209.7L187.1 65.7C190.3 63.21 194.8 63.48 197.7 66.34L320.4 189.1L498.7 33.96C502.1 31.06 507.1 31.42 510 34.75L510 34.75zM95.1 352V448C95.1 465.7 81.67 480 63.1 480C46.33 480 31.1 465.7 31.1 448V352C31.1 334.3 46.33 319.1 63.1 319.1C81.67 319.1 95.1 334.3 95.1 352zM79.1 448V352C79.1 343.2 72.84 336 63.1 336C55.16 336 47.1 343.2 47.1 352V448C47.1 456.8 55.16 464 63.1 464C72.84 464 79.1 456.8 79.1 448zM159.1 255.1C159.1 238.3 174.3 223.1 191.1 223.1C209.7 223.1 223.1 238.3 223.1 255.1V448C223.1 465.7 209.7 480 191.1 480C174.3 480 159.1 465.7 159.1 448V255.1zM175.1 255.1V448C175.1 456.8 183.2 464 191.1 464C200.8 464 207.1 456.8 207.1 448V255.1C207.1 247.2 200.8 239.1 191.1 239.1C183.2 239.1 175.1 247.2 175.1 255.1zM352 319.1V448C352 465.7 337.7 480 320 480C302.3 480 288 465.7 288 448V319.1C288 302.3 302.3 287.1 320 287.1C337.7 287.1 352 302.3 352 319.1zM336 448V319.1C336 311.2 328.8 303.1 320 303.1C311.2 303.1 304 311.2 304 319.1V448C304 456.8 311.2 464 320 464C328.8 464 336 456.8 336 448zM416 255.1C416 238.3 430.3 223.1 448 223.1C465.7 223.1 480 238.3 480 255.1V448C480 465.7 465.7 480 448 480C430.3 480 416 465.7 416 448V255.1zM432 255.1V448C432 456.8 439.2 464 448 464C456.8 464 464 456.8 464 448V255.1C464 247.2 456.8 239.1 448 239.1C439.2 239.1 432 247.2 432 255.1z"],
    "chart-network": [640, 512, [], "f78a", "M160 64C160 28.65 188.7 0 224 0C259.3 0 288 28.65 288 64C288 86.31 276.6 105.1 259.3 117.4L296.7 199.1C308.9 194.5 322.2 192 336 192C370.5 192 401.4 207.6 421.1 232.2L521.1 160.9C515.3 151.3 512 140 512 128C512 92.65 540.7 64 576 64C611.3 64 640 92.65 640 128C640 163.3 611.3 192 576 192C558.4 192 542.5 184.9 530.1 173.5L431.3 245.2C441.9 262.3 448 282.4 448 303.1C448 322.2 443.7 339.4 435.9 354.6L525.7 408.5C537.4 393.6 555.6 384 576 384C611.3 384 640 412.7 640 448C640 483.3 611.3 512 576 512C540.7 512 512 483.3 512 448C512 438.8 513.9 430.1 517.4 422.2L427.7 368.3C407.4 397.2 373.9 416 336 416C276.8 416 228.4 370.1 224.3 311.1H127.5C123.6 343.6 96.64 368 64 368C28.65 368 0 339.3 0 303.1C0 268.7 28.65 239.1 64 239.1C96.64 239.1 123.6 264.4 127.5 295.1H224.3C227 257 249.7 223.6 282.2 205.8L244.9 124.5C238.4 126.8 231.3 127.1 224 127.1C188.7 127.1 160 99.35 160 63.1V64zM224 112C250.5 112 272 90.51 272 64C272 37.49 250.5 16 224 16C197.5 16 176 37.49 176 64C176 90.51 197.5 112 224 112zM16 304C16 330.5 37.49 352 64 352C90.51 352 112 330.5 112 304C112 277.5 90.51 256 64 256C37.49 256 16 277.5 16 304zM576 496C602.5 496 624 474.5 624 448C624 421.5 602.5 400 576 400C561.4 400 548.3 406.5 539.5 416.8L540.1 417.1L531.9 430.9L531.3 430.5C529.2 435.9 528 441.8 528 448C528 474.5 549.5 496 576 496H576zM576 176C602.5 176 624 154.5 624 128C624 101.5 602.5 80 576 80C549.5 80 528 101.5 528 128C528 154.5 549.5 176 576 176zM336 400C389 400 432 357 432 304C432 250.1 389 208 336 208C282.1 208 240 250.1 240 304C240 357 282.1 400 336 400z"],
    "chart-pie": [576, 512, ["pie-chart"], "f200", "M320 240C311.2 240 304 232.8 304 224V15.47C304 7.074 310.5 .0432 318.9 .0026L320 0C443.7 0 544 100.3 544 224L543.1 225.1C543.1 233.5 536.9 240 528.5 240H320zM528 224C528 109.1 434.9 16 320 16V224H528zM256 49.61V288L412.5 444.5C419.2 451.2 418.7 462.2 411 467.7C371.8 495.6 323.8 512 272 512C139.5 512 32 404.6 32 272C32 150.7 122.1 50.34 238.1 34.25C248.2 32.99 256 40.36 256 49.61V49.61zM244.7 299.3C241.7 296.3 240 292.2 240 288V50.27C131.5 65.78 48 159.2 48 272C48 395.7 148.3 496 272 496C319.9 496 364.3 480.1 400.7 455.3L244.7 299.3zM499.9 447.3C493.9 452.1 484.5 452.5 478.7 446.7L347.3 315.3C337.2 305.2 344.4 288 358.6 288H558.4C567.6 288 575 295.8 573.8 305C566.1 360.9 539.1 410.6 499.9 447.3V447.3zM489.6 435C525.7 401 550.4 355.3 557.7 304H358.6L489.6 435z"],
    "chart-pie-simple": [512, 512, ["chart-pie-alt"], "f64e", "M259 7.64C262.1 3.051 267.1 0 273.1 0C405 0 512 106.1 512 238.9C512 248.6 503.9 256 494.3 256H272C263.2 256 256 248.8 256 240V17.68C256 13.98 257.1 10.51 259 7.64V7.64zM495.7 239.5C495.9 239.4 495.9 239.3 495.1 239.2C495.1 239.2 496 239.1 496 238.9C496 115.8 396.2 15.1 273.1 15.1C272.9 15.1 272.8 16.05 272.8 16.05C272.7 16.07 272.6 16.13 272.5 16.27C272.2 16.54 272 17.02 272 17.68V239.1H494.3C494.1 239.1 495.5 239.8 495.7 239.5L495.7 239.5zM224 288H445.3C463.8 288 478.6 303.7 474.8 321.8C451.9 430.5 355.5 512 240 512C107.5 512 0 404.5 0 272C0 156.5 81.53 60.12 190.2 37.18C208.3 33.36 224 48.2 224 66.7V288zM208 66.7C208 56.69 200 51.45 193.5 52.84C92.09 74.25 16 164.3 16 272C16 395.7 116.3 496 240 496C347.7 496 437.8 419.9 459.2 318.5C460.6 311.1 455.3 304 445.3 304H224C215.2 304 208 296.8 208 288L208 66.7z"],
    "chart-pyramid": [512, 512, [], "e0e6", "M221.4 59.72C236.9 33.26 275.1 33.26 290.6 59.72L500.6 419.8C516.2 446.5 496.9 480 466.1 480H45.93C15.06 480-4.179 446.5 11.38 419.8L221.4 59.72zM276.7 67.78C267.5 51.91 244.5 51.91 235.3 67.78L162.8 191.1H349.2L276.7 67.78zM423.9 319.1L358.5 207.1H153.5L88.14 319.1H423.9zM78.81 336L25.2 427.9C15.86 443.9 27.4 464 45.93 464H466.1C484.6 464 496.1 443.9 486.8 427.9L433.2 336H78.81z"],
    "chart-radar": [512, 512, [], "e0e7", "M256 112C282.5 112 304 133.5 304 160C304 177.3 294.8 192.5 281 200.1L309.8 273.1C313.1 272.4 316.5 272 320 272C346.5 272 368 293.5 368 320C368 346.5 346.5 368 320 368C293.5 368 272 346.5 272 320C272 319.5 272 319 272 318.6L204.9 305.1C197.1 323.2 180.5 336 160 336C133.5 336 112 314.5 112 288C112 261.5 133.5 240 160 240C167.9 240 175.4 241.9 182 245.3L221.2 193.1C213 184.5 208 172.8 208 160C208 133.5 229.5 112 256 112V112zM243.8 189.6C247.6 191.1 251.7 192 256 192C257.4 192 258.7 191.9 260.1 191.7C265.6 191 270.7 188.9 274.9 185.8C282.9 179.1 288 170.6 288 160C288 142.3 273.7 128 256 128C238.3 128 224 142.3 224 160C224 167.6 226.6 174.5 231 179.1C234.4 184.2 238.8 187.5 243.8 189.6H243.8zM208 288C208 288.5 207.1 288.1 207.1 289.4L275.1 302.9C278.1 292.9 286 284.5 294.1 279L266.2 206.9C262.9 207.6 259.5 208 256 208C248.1 208 240.6 206.1 233.1 202.7L194.8 254.9C202.1 263.5 208 275.2 208 288zM320 288C302.3 288 288 302.3 288 320C288 337.7 302.3 352 320 352C337.7 352 352 337.7 352 320C352 302.3 337.7 288 320 288zM160 320C177.7 320 192 305.7 192 288C192 270.3 177.7 256 160 256C142.3 256 128 270.3 128 288C128 305.7 142.3 320 160 320zM361.5 32C375.8 32 389 39.66 396.2 52.09L501.8 236.1C508.9 248.4 508.9 263.6 501.8 275.9L396.2 459.9C389 472.3 375.8 480 361.5 480H150.5C136.2 480 122.1 472.3 115.8 459.9L10.21 275.9C3.129 263.6 3.128 248.4 10.21 236.1L115.8 52.09C122.1 39.66 136.2 32 150.5 32H361.5zM24.08 244.1C19.84 251.5 19.84 260.5 24.08 267.9L129.7 451.9C133.1 459.4 141.9 464 150.5 464H361.5C370.1 464 378 459.4 382.3 451.9L487.9 267.9C492.2 260.5 492.2 251.5 487.9 244.1L382.3 60.05C378 52.6 370.1 48 361.5 48H150.5C141.9 48 133.1 52.6 129.7 60.05L24.08 244.1z"],
    "chart-scatter": [512, 512, [], "f7ee", "M16 408C16 438.9 41.07 464 72 464H504C508.4 464 512 467.6 512 472C512 476.4 508.4 480 504 480H72C32.24 480 0 447.8 0 408V40C0 35.58 3.582 32 8 32C12.42 32 16 35.58 16 40V408zM232 160C232 182.1 214.1 200 192 200C169.9 200 152 182.1 152 160C152 137.9 169.9 120 192 120C214.1 120 232 137.9 232 160zM192 184C205.3 184 216 173.3 216 160C216 146.7 205.3 136 192 136C178.7 136 168 146.7 168 160C168 173.3 178.7 184 192 184zM248 256C248 233.9 265.9 216 288 216C310.1 216 328 233.9 328 256C328 278.1 310.1 296 288 296C265.9 296 248 278.1 248 256zM288 232C274.7 232 264 242.7 264 256C264 269.3 274.7 280 288 280C301.3 280 312 269.3 312 256C312 242.7 301.3 232 288 232zM424 320C424 342.1 406.1 360 384 360C361.9 360 344 342.1 344 320C344 297.9 361.9 280 384 280C406.1 280 424 297.9 424 320zM384 344C397.3 344 408 333.3 408 320C408 306.7 397.3 296 384 296C370.7 296 360 306.7 360 320C360 333.3 370.7 344 384 344zM376 128C376 105.9 393.9 88 416 88C438.1 88 456 105.9 456 128C456 150.1 438.1 168 416 168C393.9 168 376 150.1 376 128zM416 104C402.7 104 392 114.7 392 128C392 141.3 402.7 152 416 152C429.3 152 440 141.3 440 128C440 114.7 429.3 104 416 104zM200 320C200 342.1 182.1 360 160 360C137.9 360 120 342.1 120 320C120 297.9 137.9 280 160 280C182.1 280 200 297.9 200 320zM160 344C173.3 344 184 333.3 184 320C184 306.7 173.3 296 160 296C146.7 296 136 306.7 136 320C136 333.3 146.7 344 160 344z"],
    "chart-scatter-3d": [512, 512, [], "e0e8", "M64 64C64 81.67 49.67 96 32 96C14.33 96 0 81.67 0 64C0 46.33 14.33 32 32 32C49.67 32 64 46.33 64 64zM32 80C40.84 80 48 72.84 48 64C48 55.16 40.84 48 32 48C23.16 48 16 55.16 16 64C16 72.84 23.16 80 32 80zM264 284.3L477.2 465.9C480.6 468.8 480.1 473.8 478.1 477.2C475.2 480.6 470.2 480.1 466.8 478.1L256 298.5L45.19 478.1C41.82 480.1 36.78 480.6 33.91 477.2C31.05 473.8 31.45 468.8 34.81 465.9L248 284.3V40C248 35.58 251.6 32 256 32C260.4 32 264 35.58 264 40V284.3zM416 64C416 81.67 401.7 96 384 96C366.3 96 352 81.67 352 64C352 46.33 366.3 32 384 32C401.7 32 416 46.33 416 64zM384 80C392.8 80 400 72.84 400 64C400 55.16 392.8 48 384 48C375.2 48 368 55.16 368 64C368 72.84 375.2 80 384 80zM352 256C352 238.3 366.3 224 384 224C401.7 224 416 238.3 416 256C416 273.7 401.7 288 384 288C366.3 288 352 273.7 352 256zM384 240C375.2 240 368 247.2 368 256C368 264.8 375.2 272 384 272C392.8 272 400 264.8 400 256C400 247.2 392.8 240 384 240zM512 160C512 177.7 497.7 192 480 192C462.3 192 448 177.7 448 160C448 142.3 462.3 128 480 128C497.7 128 512 142.3 512 160zM480 176C488.8 176 496 168.8 496 160C496 151.2 488.8 144 480 144C471.2 144 464 151.2 464 160C464 168.8 471.2 176 480 176zM96 160C96 142.3 110.3 128 128 128C145.7 128 160 142.3 160 160C160 177.7 145.7 192 128 192C110.3 192 96 177.7 96 160zM128 144C119.2 144 112 151.2 112 160C112 168.8 119.2 176 128 176C136.8 176 144 168.8 144 160C144 151.2 136.8 144 128 144zM0 256C0 238.3 14.33 224 32 224C49.67 224 64 238.3 64 256C64 273.7 49.67 288 32 288C14.33 288 0 273.7 0 256zM32 240C23.16 240 16 247.2 16 256C16 264.8 23.16 272 32 272C40.84 272 48 264.8 48 256C48 247.2 40.84 240 32 240zM288 448C288 465.7 273.7 480 256 480C238.3 480 224 465.7 224 448C224 430.3 238.3 416 256 416C273.7 416 288 430.3 288 448zM256 464C264.8 464 272 456.8 272 448C272 439.2 264.8 432 256 432C247.2 432 240 439.2 240 448C240 456.8 247.2 464 256 464z"],
    "chart-scatter-bubble": [512, 512, [], "e0e9", "M8 32C12.42 32 16 35.58 16 40V408C16 438.9 41.07 464 72 464H504C508.4 464 512 467.6 512 472C512 476.4 508.4 480 504 480H72C32.24 480 0 447.8 0 408V40C0 35.58 3.582 32 8 32zM128 304C128 277.5 149.5 256 176 256C202.5 256 224 277.5 224 304C224 330.5 202.5 352 176 352C149.5 352 128 330.5 128 304zM176 336C193.7 336 208 321.7 208 304C208 286.3 193.7 272 176 272C158.3 272 144 286.3 144 304C144 321.7 158.3 336 176 336zM416 288C416 323.3 387.3 352 352 352C316.7 352 288 323.3 288 288C288 252.7 316.7 224 352 224C387.3 224 416 252.7 416 288zM352 240C325.5 240 304 261.5 304 288C304 314.5 325.5 336 352 336C378.5 336 400 314.5 400 288C400 261.5 378.5 240 352 240zM192 176C192 149.5 213.5 128 240 128C266.5 128 288 149.5 288 176C288 202.5 266.5 224 240 224C213.5 224 192 202.5 192 176zM240 208C257.7 208 272 193.7 272 176C272 158.3 257.7 144 240 144C222.3 144 208 158.3 208 176C208 193.7 222.3 208 240 208zM448 128C448 163.3 419.3 192 384 192C348.7 192 320 163.3 320 128C320 92.65 348.7 64 384 64C419.3 64 448 92.65 448 128zM384 80C357.5 80 336 101.5 336 128C336 154.5 357.5 176 384 176C410.5 176 432 154.5 432 128C432 101.5 410.5 80 384 80z"],
    "chart-simple": [448, 512, [], "e473", "M240 32C266.5 32 288 53.49 288 80V432C288 458.5 266.5 480 240 480H208C181.5 480 160 458.5 160 432V80C160 53.49 181.5 32 208 32H240zM240 48H208C190.3 48 176 62.33 176 80V432C176 449.7 190.3 464 208 464H240C257.7 464 272 449.7 272 432V80C272 62.33 257.7 48 240 48zM80 224C106.5 224 128 245.5 128 272V432C128 458.5 106.5 480 80 480H48C21.49 480 0 458.5 0 432V272C0 245.5 21.49 224 48 224H80zM80 240H48C30.33 240 16 254.3 16 272V432C16 449.7 30.33 464 48 464H80C97.67 464 112 449.7 112 432V272C112 254.3 97.67 240 80 240zM320 144C320 117.5 341.5 96 368 96H400C426.5 96 448 117.5 448 144V432C448 458.5 426.5 480 400 480H368C341.5 480 320 458.5 320 432V144zM336 144V432C336 449.7 350.3 464 368 464H400C417.7 464 432 449.7 432 432V144C432 126.3 417.7 112 400 112H368C350.3 112 336 126.3 336 144z"],
    "chart-simple-horizontal": [448, 512, [], "e474", "M448 272C448 298.5 426.5 320 400 320H48C21.49 320 0 298.5 0 272V240C0 213.5 21.49 192 48 192H400C426.5 192 448 213.5 448 240V272zM400 208H48C30.33 208 16 222.3 16 240V272C16 289.7 30.33 304 48 304H400C417.7 304 432 289.7 432 272V240C432 222.3 417.7 208 400 208zM256 432C256 458.5 234.5 480 208 480H48C21.49 480 0 458.5 0 432V400C0 373.5 21.49 352 48 352H208C234.5 352 256 373.5 256 400V432zM208 368H48C30.33 368 16 382.3 16 400V432C16 449.7 30.33 464 48 464H208C225.7 464 240 449.7 240 432V400C240 382.3 225.7 368 208 368zM48 160C21.49 160 0 138.5 0 112V80C0 53.49 21.49 32 48 32H336C362.5 32 384 53.49 384 80V112C384 138.5 362.5 160 336 160H48zM368 112V80C368 62.33 353.7 48 336 48H48C30.33 48 16 62.33 16 80V112C16 129.7 30.33 144 48 144H336C353.7 144 368 129.7 368 112z"],
    "chart-tree-map": [512, 512, [], "e0ea", "M176 32C202.5 32 224 53.49 224 80V192C224 218.5 202.5 240 176 240H48C21.49 240 0 218.5 0 192V80C0 53.49 21.49 32 48 32H176zM176 48H48C30.33 48 16 62.33 16 80V192C16 209.7 30.33 224 48 224H176C193.7 224 208 209.7 208 192V80C208 62.33 193.7 48 176 48zM176 272C202.5 272 224 293.5 224 320V432C224 458.5 202.5 480 176 480H48C21.49 480 0 458.5 0 432V320C0 293.5 21.49 272 48 272H176zM176 288H48C30.33 288 16 302.3 16 320V432C16 449.7 30.33 464 48 464H176C193.7 464 208 449.7 208 432V320C208 302.3 193.7 288 176 288zM256 80C256 53.49 277.5 32 304 32H464C490.5 32 512 53.49 512 80V112C512 138.5 490.5 160 464 160H304C277.5 160 256 138.5 256 112V80zM272 80V112C272 129.7 286.3 144 304 144H464C481.7 144 496 129.7 496 112V80C496 62.33 481.7 48 464 48H304C286.3 48 272 62.33 272 80zM464 192C490.5 192 512 213.5 512 240V272C512 298.5 490.5 320 464 320H304C277.5 320 256 298.5 256 272V240C256 213.5 277.5 192 304 192H464zM464 208H304C286.3 208 272 222.3 272 240V272C272 289.7 286.3 304 304 304H464C481.7 304 496 289.7 496 272V240C496 222.3 481.7 208 464 208zM256 400C256 373.5 277.5 352 304 352H464C490.5 352 512 373.5 512 400V432C512 458.5 490.5 480 464 480H304C277.5 480 256 458.5 256 432V400zM272 400V432C272 449.7 286.3 464 304 464H464C481.7 464 496 449.7 496 432V400C496 382.3 481.7 368 464 368H304C286.3 368 272 382.3 272 400z"],
    "chart-user": [640, 512, ["user-chart"], "f6a3", "M160 320c53.02 0 96-42.98 96-96c0-53.02-42.98-96-96-96C106.1 128 64 170.1 64 224C64 277 106.1 320 160 320zM160 144c44.11 0 80 35.89 80 80c0 44.11-35.89 80-80 80S80 268.1 80 224C80 179.9 115.9 144 160 144zM584 0H216C185.1 0 160 25.12 160 56v32C160 92.41 163.6 96 168 96S176 92.41 176 88v-32c0-22.06 17.94-40 40-40h368c22.06 0 40 17.94 40 40v304c0 22.06-17.94 40-40 40h-240c-4.406 0-8 3.594-8 8S339.6 416 344 416h240c30.88 0 56-25.12 56-56v-304C640 25.12 614.9 0 584 0zM192 352H128c-70.69 0-128 57.3-128 128c0 17.67 14.33 32 32 32h256c17.67 0 32-14.33 32-32C320 409.3 262.7 352 192 352zM288 496H32c-8.822 0-16-7.178-16-16c0-61.76 50.24-112 112-112h64c61.76 0 112 50.24 112 112C304 488.8 296.8 496 288 496zM309.7 170.3c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31l80 80C379.9 263.2 381.9 264 384 264s4.094-.7813 5.656-2.344L512 139.3V216C512 220.4 515.6 224 520 224s8-3.594 8-8v-96c0-4.406-3.594-8-8-8h-96C419.6 112 416 115.6 416 120S419.6 128 424 128h76.69L384 244.7L309.7 170.3z"],
    "chart-waterfall": [512, 512, [], "e0eb", "M16 408C16 438.9 41.07 464 72 464H504C508.4 464 512 467.6 512 472C512 476.4 508.4 480 504 480H72C32.24 480 0 447.8 0 408V40C0 35.58 3.582 32 8 32C12.42 32 16 35.58 16 40V408zM336 64C353.7 64 368 78.33 368 96V160C368 177.7 353.7 192 336 192C318.3 192 304 177.7 304 160V96C304 78.33 318.3 64 336 64zM320 96V160C320 168.8 327.2 176 336 176C344.8 176 352 168.8 352 160V96C352 87.16 344.8 80 336 80C327.2 80 320 87.16 320 96zM272 224C272 241.7 257.7 256 240 256C222.3 256 208 241.7 208 224V160C208 142.3 222.3 128 240 128C257.7 128 272 142.3 272 160V224zM224 160V224C224 232.8 231.2 240 240 240C248.8 240 256 232.8 256 224V160C256 151.2 248.8 144 240 144C231.2 144 224 151.2 224 160zM176 320C176 337.7 161.7 352 144 352C126.3 352 112 337.7 112 320V256C112 238.3 126.3 224 144 224C161.7 224 176 238.3 176 256V320zM128 256V320C128 328.8 135.2 336 144 336C152.8 336 160 328.8 160 320V256C160 247.2 152.8 240 144 240C135.2 240 128 247.2 128 256zM464 320C464 337.7 449.7 352 432 352C414.3 352 400 337.7 400 320V96C400 78.33 414.3 64 432 64C449.7 64 464 78.33 464 96V320zM416 96V320C416 328.8 423.2 336 432 336C440.8 336 448 328.8 448 320V96C448 87.16 440.8 80 432 80C423.2 80 416 87.16 416 96z"],
    "check": [448, 512, [10004, 10003], "f00c", "M437.7 106.3C440.8 109.5 440.8 114.5 437.7 117.7L165.7 389.7C162.5 392.8 157.5 392.8 154.3 389.7L10.34 245.7C7.219 242.5 7.219 237.5 10.34 234.3C13.47 231.2 18.53 231.2 21.66 234.3L159.1 372.7L426.3 106.3C429.5 103.2 434.5 103.2 437.7 106.3H437.7z"],
    "check-double": [448, 512, [], "f560", "M165.7 229.7C162.5 232.8 157.5 232.8 154.3 229.7L74.34 149.7C71.22 146.5 71.22 141.5 74.34 138.3C77.47 135.2 82.53 135.2 85.66 138.3L159.1 212.7L314.3 58.34C317.5 55.22 322.5 55.22 325.7 58.34C328.8 61.47 328.8 66.53 325.7 69.66L165.7 229.7zM165.7 453.7C162.5 456.8 157.5 456.8 154.3 453.7L10.34 309.7C7.219 306.5 7.219 301.5 10.34 298.3C13.47 295.2 18.53 295.2 21.66 298.3L159.1 436.7L426.3 170.3C429.5 167.2 434.5 167.2 437.7 170.3C440.8 173.5 440.8 178.5 437.7 181.7L165.7 453.7z"],
    "check-to-slot": [576, 512, ["vote-yea"], "f772", "M56 416c0 4.406 3.594 8 8 8h448c4.406 0 8-3.594 8-8s-3.594-8-8-8H64C59.59 408 56 411.6 56 416zM268.4 288c.25 0 .5313 0 .7813-.0313C271.5 287.8 273.5 286.6 274.8 284.8l107.6-144c2.656-3.531 1.906-8.531-1.625-11.19c-3.531-2.594-8.531-1.875-11.19 1.625L267.3 268.2L205.3 212.3C202.1 209.4 197 209.7 194.1 212.9C191.1 216.2 191.4 221.3 194.7 224.2l68.44 61.72C264.6 287.3 266.5 288 268.4 288zM536 352h-16C515.6 352 512 355.6 512 360s3.594 8 8 8h16c13.22 0 24 10.78 24 24v48c0 13.22-10.78 24-24 24H40c-13.22 0-24-10.78-24-24v-48c0-13.22 10.78-24 24-24h16C60.41 368 64 364.4 64 360S60.41 352 56 352h-16C17.94 352 0 369.9 0 392v48C0 462.1 17.94 480 40 480h496c22.06 0 40-17.94 40-40v-48C576 369.9 558.1 352 536 352zM104 368c4.406 0 8-3.594 8-8v-288c0-13.22 10.78-24 24-24h304c13.22 0 24 10.78 24 24v288c0 4.406 3.594 8 8 8S480 364.4 480 360v-288C480 49.94 462.1 32 440 32h-304C113.9 32 96 49.94 96 72v288C96 364.4 99.59 368 104 368z"],
    "cheese": [512, 512, [], "f7ef", "M316.8 32.67C313.7 32.22 310.6 32 307.6 32c-14.17 0-27.98 4.684-39.32 13.51l-255.9 200.8C4.567 252.4 0 261.7 0 271.5V432C0 458.5 21.49 480 48 480h416c26.51 0 48-21.49 48-48V255.1C512 82.26 377.3 41.43 316.8 32.67zM278.1 58.14C286.6 51.51 296.8 48 307.6 48c2.314 0 4.643 .166 6.967 .502C369.1 56.4 496 92.44 496 256H25.93L278.1 58.14zM464 464h-416c-17.64 0-32-14.36-32-32v-160h480v160C496 449.6 481.6 464 464 464z"],
    "cheese-swiss": [512, 512, [129472], "f7f0", "M176 312c-30.88 0-56 25.12-56 56s25.12 56 56 56s56-25.12 56-56S206.9 312 176 312zM176 408c-22.06 0-40-17.94-40-40s17.94-40 40-40s40 17.94 40 40S198.1 408 176 408zM316.8 32.67C313.7 32.22 310.6 32 307.5 32c-14.17 0-27.97 4.684-39.32 13.51L226.3 78.45C220.7 82.77 219.2 90.08 221.5 96.71C224 104.2 224.8 112.6 223.1 121.4c-3.723 19.11-19.53 34.66-38.72 37.93C181.5 159.8 178.7 160 176 160C166.4 160 157.5 157.1 149.1 152.3c-2.758-1.799-5.893-2.721-9.002-2.721c-3.344 0-6.658 1.064-9.443 3.252L12.3 246.3C4.566 252.4 0 261.7 0 271.5V432C0 458.5 21.49 480 48 480h416c26.51 0 48-21.49 48-48V255.1C512 82.26 377.3 41.43 316.8 32.67zM496 432c0 17.64-14.36 32-32 32h-416c-17.64 0-32-14.36-32-32v-160h296c0 30.88 25.12 56 56 56s56-25.12 56-56h72V432zM328 272c0-22.06 17.94-40 40-40s40 17.94 40 40s-17.94 40-40 40S328 294.1 328 272zM421.4 256C414.5 232.1 393.3 216 368 216S321.5 232.1 314.6 256H25.93l115.3-90.34C151.6 172.4 163.6 176 176 176c3.619 0 7.312-.3047 11.06-.9434c25.9-4.412 46.69-24.76 51.73-50.64c2.148-11.04 1.387-22.41-2.66-33.38l41.92-32.89c8.529-6.635 18.73-10.14 29.5-10.14c2.314 0 4.645 .168 6.969 .5039C369.1 56.4 496 92.44 496 256H421.4z"],
    "cherries": [640, 512, [], "e0ec", "M535.9 224.2c-21.83 0-48.63 4.836-81.2 17.76c-33.48-147.3-159.4-241.1-166.8-241.1c-15.72 0-28.1 168.1-101.5 242.4C153.4 229.1 126.2 224.2 104.2 224.2C86.96 224.2 0 229.2 0 331.9c0 26.4 25.2 180.1 191.1 180.1c167.5 0 192-153.1 192-180.1c0-109.6-99.52-107.7-104.1-107.7c-18.92 0-41.56 3.623-68.45 12.98C231.9 209.7 269.9 145.2 293.5 22.36c29.67 24.06 115.8 102.8 144.1 218.3c-17.12-6.562-19.29-7.372-21.52-7.372c-3.445 0-6.648 2.186-7.725 5.635c-.2352 .7773-.3472 1.562-.3472 2.334c0 8.863 6.452 6.107 36.81 19.26l3.187 1.375l3.187-1.375c31.58-13.69 60.01-20.56 84.43-20.56c86.87 0 88.39 81.12 88.39 92c0 23.52-22.41 164.1-176 164.1c-38.55 0-60.5-10.08-64.04-10.08c-4.335 0-7.966 3.582-7.966 8.006c0 3.351 2.129 6.481 5.478 7.593c20.72 6.953 43.07 10.48 66.47 10.48C615.4 511.1 640 358.9 640 331.9C640 315.3 634.3 224.2 535.9 224.2zM279.6 239.9c86.87 0 88.39 81.12 88.39 92c0 23.52-22.41 164.1-176 164.1c-153.3 0-176-139.1-176-164.1c0-94.5 83.96-92 88.38-92c24.44 0 52.84 6.859 84.43 20.55l3.187 1.375l3.187-1.375C226.8 246.8 255.2 239.9 279.6 239.9z"],
    "chess": [512, 512, [], "f439", "M242.7 452.4L224 443.1V432c0-13.23-10.78-24-24-24h-144C42.78 408 32 418.8 32 432v11.06l-18.56 9.344C5.281 456.3 0 464.7 0 473.9V488C0 501.2 10.78 512 24 512h208C245.2 512 256 501.2 256 488v-14.12C256 464.8 250.8 456.3 242.7 452.4zM240 488c0 4.484-3.5 8-8 8h-208c-4.5 0-8-3.516-8-8v-14.12c0-3.016 1.688-5.781 4.469-7.109L48 452.9V432c0-4.484 3.5-8 8-8h144c4.5 0 8 3.516 8 8v20.94l27.53 13.83C238.2 468 240 470.9 240 473.9V488zM498.7 452.4L480 443.1V432c0-13.23-10.78-24-24-24h-112c-13.22 0-24 10.77-24 24v11.06l-18.56 9.344C293.3 456.3 288 464.7 288 473.9V488c0 13.23 10.78 24 24 24h176c13.22 0 24-10.77 24-24v-14.12C512 464.8 506.8 456.3 498.7 452.4zM496 488c0 4.484-3.5 8-8 8h-176c-4.5 0-8-3.516-8-8v-14.12c0-3.016 1.688-5.781 4.469-7.109L336 452.9V432c0-4.484 3.5-8 8-8h112c4.5 0 8 3.516 8 8v20.94l27.53 13.83C494.2 468 496 470.9 496 473.9V488zM75.7 224H64C59.59 224 56 227.6 56 232S59.59 240 64 240h11.75c0 0-11.74 135.8-11.74 136c0 1.407 1.1 8.014 8.142 8.014c3.911 0 7.504-3.229 7.825-7.33L91.79 240h72.41l11.82 136.7C176.4 380.9 179.9 384 184 384c5.749 0 7.998-5.08 7.998-7.996c0-.2287-.0097-.4593-.0294-.6913L180.3 240H192c4.406 0 8-3.578 8-8S196.4 224 192 224H180.3l38.17-96.7c.9966-2.596 1.486-5.322 1.486-8.05C219.1 107.1 210.3 96 196.8 96H136V48h32c4.406 0 8-3.578 8-8S172.4 32 168 32h-32V8C136 3.578 132.4 0 128 0S120 3.578 120 8V32h-32C83.59 32 80 35.58 80 40S83.59 48 88 48h32V96H59.16C46.39 96 36.01 106.3 36.01 119c0 2.8 .5126 5.622 1.556 8.327L75.7 224zM51.97 119C51.97 117.3 53.36 112 59.16 112h137.7c5.52 0 7.14 5.056 7.14 7.28c0 .7691-.1285 1.519-.3896 2.204L163.1 224H92.89L52.47 121.5C52.11 120.6 51.97 119.8 51.97 119zM336 299.3V376c0 4.422 3.594 8 8 8S352 380.4 352 376v-80c0-2.125-.8438-4.156-2.344-5.656L320 260.7V208h24v24c0 4.422 3.594 8 8 8h32c4.406 0 8-3.578 8-8V208h16v24c0 4.422 3.594 8 8 8h32c4.406 0 8-3.578 8-8V208H480v52.69l-29.66 29.66C448.8 291.8 448 293.9 448 296v80c0 4.422 3.594 8 8 8s8-3.578 8-8V299.3l29.66-29.66C495.2 268.2 496 266.1 496 264v-64C496 195.6 492.4 192 488 192H448c-4.406 0-8 3.578-8 8V224h-16V200C424 195.6 420.4 192 416 192h-32c-4.406 0-8 3.578-8 8V224h-16V200C360 195.6 356.4 192 352 192h-40c-4.406 0-8 3.578-8 8v64c0 2.125 .8438 4.156 2.344 5.656L336 299.3zM376 312v32c0 4.422 3.594 8 8 8h32c4.406 0 8-3.578 8-8v-32C424 298.8 413.2 288 400 288S376 298.8 376 312zM408 312v24h-16V312c0-4.406 3.594-8 8-8S408 307.6 408 312z"],
    "chess-bishop": [320, 512, [9821], "f43a", "M264 448h-208C25.13 448 0 473.1 0 504C0 508.4 3.594 512 8 512s8-3.578 8-8c0-22.06 17.94-40 40-40h208c22.06 0 40 17.94 40 40c0 4.422 3.594 8 8 8S320 508.4 320 504C320 473.1 294.9 448 264 448zM56 386.2V408C56 412.4 59.59 416 64 416s8-3.578 8-8v-27.5c0-15.07-56-5.087-56-84.63c0-115.4 112.6-221.8 112.6-225.4c0-3.222-2.089-6.786-6.116-7.771C111.6 60.09 104 50.75 104 40C104 26.77 114.8 16 128 16h64c13.22 0 24 10.77 24 24c0 10.75-7.594 20.09-18.5 22.72c-4.04 .9884-6.116 4.554-6.116 7.771c0 8.85 32.63 22.61 74.32 100.5l-103.3 103.4c-1.568 1.568-2.354 3.618-2.354 5.666C160 282.9 162.3 288 168 288c2.062 0 4.156-.8021 5.719-2.365l99.51-99.55C291.4 223.6 304 263.1 304 295.9c0 79.52-56 69.41-56 84.63V408c0 4.422 3.594 8 8 8s8-3.578 8-8v-21.78C302.2 372.1 320 343.2 320 295.9c0-72.75-54.16-173.5-106-223C225 65.69 232 53.52 232 40C232 17.94 214.1 0 192 0H128C105.9 0 88 17.94 88 40c0 13.52 7 25.69 18.03 32.84C54.16 122.4 0 223.1 0 295.9C0 343.2 17.84 372.1 56 386.2z"],
    "chess-bishop-piece": [256, 512, ["chess-bishop-alt"], "f43b", "M48 240h28.96l-12.93 135.2c-.0232 .2517-.0346 .5018-.0346 .7498C63.1 378.9 66.25 384 72 384c4.094 0 7.562-3.094 7.969-7.234l13-136c.0014-.0143 0 .0139 0 0c0-.2645-.2336-.4754-.2373-.7444h70.54c-.0037 .269-.2373 .48-.2373 .7444c0 .0139-.0014-.0143 0 0l13 136C176.4 380.9 179.9 384 184 384c5.746 0 8.003-5.09 8.003-8.016c0-.2479-.0114-.498-.0346-.7498L179 240H208c4.406 0 8-3.578 8-8S212.4 224 208 224h-15.08c9.045-11.74 14.55-27.81 14.55-47.3c0-37.91-23.21-98.4-51.09-128.7H160c4.406 0 8-3.578 8-8S164.4 32 160 32H96C91.59 32 88 35.58 88 40S91.59 48 96 48h3.617C71.74 78.3 48.53 138.8 48.53 176.7c0 19.49 5.502 35.56 14.55 47.3H48C43.59 224 40 227.6 40 232S43.59 240 48 240zM128 48c20.92 0 48.44 65.52 49.22 67.46l-46.88 46.88C128.8 163.9 128 165.1 128 168c0 2.906 2.281 8 8 8c2.062 0 4.094-.7813 5.656-2.344l41.56-41.56c4.998 15.7 8.25 31.27 8.25 44.61c0 23.05-8.125 40.56-21.81 47.3H86.34C72.66 217.3 64.53 199.8 64.53 176.7C64.53 130.9 105.6 48 128 48zM242.7 452.4L224 443.1V432c0-13.23-10.78-24-24-24h-144C42.78 408 32 418.8 32 432v11.06l-18.56 9.344C5.281 456.3 0 464.7 0 473.9V488C0 501.2 10.78 512 24 512h208c13.22 0 24-10.77 24-24v-14.12C256 464.8 250.8 456.3 242.7 452.4zM240 488c0 4.484-3.5 8-8 8h-208c-4.5 0-8-3.516-8-8v-14.12c0-3.016 1.688-5.781 4.469-7.109L48 452.9V432c0-4.484 3.5-8 8-8h144c4.5 0 8 3.516 8 8v20.94l27.53 13.83C238.2 468 240 470.9 240 473.9V488z"],
    "chess-board": [448, 512, [], "f43c", "M400 32h-352C21.49 32 0 53.49 0 80v352C0 458.5 21.49 480 48 480h352c26.51 0 48-21.49 48-48v-352C448 53.49 426.5 32 400 32zM432 432c0 17.64-14.36 32-32 32h-352c-17.64 0-32-14.36-32-32v-352c0-17.64 14.36-32 32-32h352c17.64 0 32 14.36 32 32V432zM376 88h-304c-8.812 0-16 7.172-16 16v304c0 8.828 7.188 16 16 16h304c8.812 0 16-7.172 16-16v-304C392 95.17 384.8 88 376 88zM120 408h-48v-48h48V408zM120 344h-48v-48h48V344zM120 280h-48v-48h48V280zM120 216h-48v-48h48V216zM120 152h-48v-48h48V152zM184 408h-48v-48h48V408zM184 344h-48v-48h48V344zM184 280h-48v-48h48V280zM184 216h-48v-48h48V216zM184 152h-48v-48h48V152zM248 408h-48v-48h48V408zM248 344h-48v-48h48V344zM248 280h-48v-48h48V280zM248 216h-48v-48h48V216zM248 152h-48v-48h48V152zM312 408h-48v-48h48V408zM312 344h-48v-48h48V344zM312 280h-48v-48h48V280zM312 216h-48v-48h48V216zM312 152h-48v-48h48V152zM376 407.1C376 408 376 407.1 376 407.1L328 408v-48h48V407.1zM376 344h-48v-48h48V344zM376 280h-48v-48h48V280zM376 216h-48v-48h48V216zM376 152h-48v-48h48V152z"],
    "chess-clock": [640, 512, [], "f43d", "M176 192C114.1 192 64 242.1 64 304S114.1 416 176 416S288 365.9 288 304S237.9 192 176 192zM176 400c-52.93 0-96-43.07-96-96c0-52.94 43.07-96 96-96s96 43.06 96 96C272 356.9 228.9 400 176 400zM464 192C402.1 192 352 242.1 352 304s50.14 112 112 112S576 365.9 576 304S525.9 192 464 192zM464 400c-52.93 0-96-43.07-96-96c0-52.94 43.07-96 96-96s96 43.06 96 96C560 356.9 516.9 400 464 400zM576 128H184V48h64C252.4 48 256 44.42 256 40S252.4 32 248 32h-144C99.59 32 96 35.58 96 40S99.59 48 104 48h64V128H64C28.65 128 0 156.7 0 192v224c0 35.35 28.65 64 64 64h512c35.35 0 64-28.65 64-64V192C640 156.7 611.3 128 576 128zM624 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V192c0-26.47 21.53-48 48-48h512c26.47 0 48 21.53 48 48V416zM392 96h144C540.4 96 544 92.42 544 88S540.4 80 536 80h-144C387.6 80 384 83.58 384 88S387.6 96 392 96zM176 232c-4.406 0-8 3.578-8 8v64c0 4.422 3.594 8 8 8S184 308.4 184 304v-64C184 235.6 180.4 232 176 232zM509.3 250.8c-2.047 0-4.094 .7813-5.656 2.344l-45.25 45.25C456.8 299.9 456 301.1 456 304c0 2.906 2.281 8 8 8c2.062 0 4.094-.7813 5.656-2.344l45.25-45.25c1.562-1.562 2.344-3.609 2.344-5.656C517.3 254.5 513.8 250.8 509.3 250.8z"],
    "chess-clock-flip": [640, 512, ["chess-clock-alt"], "f43e", "M351.9 304c0 61.86 50.14 111.1 112 111.1s112-50.08 112-111.9S525.8 192 463.9 192S351.9 242.2 351.9 304zM368 304c0-52.94 43.07-96 96-96s96 43.06 96 96c0 52.93-43.07 96-96 96S368 356.9 368 304zM176 192C114.1 192 63.94 242.1 63.94 304s50.14 112 112 112s112-50.12 112-111.1S237.9 192 176 192zM176 400c-52.93 0-96-43.07-96-96c0-52.94 43.07-96 96-96s96 43.06 96 96C272 356.9 228.9 400 176 400zM0 192l0 224c0 35.35 28.65 64 64 64h512c35.35 0 64-28.65 64-64V192c0-35.35-28.65-64-64-64h-104V48h64C540.4 48 544 44.42 544 40S540.4 32 536 32h-144C387.6 32 384 35.58 384 40s3.594 8 8 8h64V128H64C28.65 128 0 156.7 0 192zM16 192c0-26.47 21.53-48 48-48h512c26.47 0 48 21.53 48 48v224c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V192zM256 88C256 83.58 252.4 80 248 80h-144C99.59 80 96 83.58 96 88S99.59 96 104 96h144C252.4 96 256 92.42 256 88zM456 240v64c0 4.422 3.594 8 8 8s8-3.578 8-8v-64c0-4.422-3.594-8-8-8S456 235.6 456 240zM221.3 250.8c-2.047 0-4.094 .7813-5.656 2.344L170.3 298.3C168.8 299.9 168 301.1 168 304c0 2.906 2.281 8 8 8c2.062 0 4.094-.7813 5.656-2.344l45.25-45.25c1.562-1.562 2.344-3.609 2.344-5.656C229.3 254.5 225.8 250.8 221.3 250.8z"],
    "chess-king": [448, 512, [9818], "f43f", "M448 200C448 174.3 426.5 160 408.1 160h-176.1V72h56.01c4.407 0 8.001-3.578 8.001-8s-3.594-8-8.001-8h-56.01v-48c0-4.422-3.591-8-7.998-8C219.6 0 215.1 3.578 215.1 8v48H159.1C155.6 56 151.1 59.58 151.1 64s3.594 8 8.001 8h56.01V160H39.89C21.72 160 0 174.3 0 199.1c0 4.105 .619 8.254 1.884 12.31l73.04 198.5c1.175 3.243 4.266 5.22 7.534 5.22c4.5 0 7.966-3.672 7.966-7.98c0-.9202-.1599-1.856-.4971-2.772l-72.92-198.1c-.7195-2.313-1.072-4.704-1.072-7.088C15.94 184.8 28.61 176 39.89 176h368.2c11.03 0 23.99 8.668 23.99 24.11c0 2.26-.3254 4.498-.9857 6.624l-73.04 198.5c-.3372 .9151-.4971 1.851-.4971 2.772c0 4.364 3.533 7.994 7.998 7.994c3.251 0 6.314-1.1 7.501-5.234l73.17-198.9C447.4 208 448 204 448 200zM360 448H87.96c-30.88 0-56.01 25.12-56.01 56c0 4.422 3.594 8 8.001 8c4.407 0 8.001-3.578 8.001-8c0-22.06 17.94-40 40.01-40h272c22.07 0 40.01 17.94 40.01 40c0 4.422 3.594 8 8.001 8c4.407 0 8.001-3.578 8.001-8C416 473.1 390.9 448 360 448z"],
    "chess-king-piece": [256, 512, ["chess-king-alt"], "f440", "M75.7 224H64C59.59 224 56 227.6 56 232S59.59 240 64 240h11.75c0 0-11.74 135.8-11.74 136c0 1.407 1.1 8.014 8.142 8.014c3.911 0 7.504-3.229 7.825-7.33L91.79 240h72.41l11.82 136.7C176.4 380.9 179.9 384 184 384c5.749 0 7.998-5.08 7.998-7.996c0-.2287-.0097-.4593-.0294-.6913L180.3 240H192c4.406 0 8-3.578 8-8S196.4 224 192 224h-11.7l38.17-96.7c.9966-2.596 1.486-5.322 1.486-8.05C219.1 107.1 210.3 96 196.8 96H136V48h32c4.406 0 8-3.578 8-8S172.4 32 168 32h-32V8c0-4.422-3.587-8-7.994-8S120 3.578 120 8V32h-32C83.59 32 80 35.58 80 40S83.59 48 88 48h32V96H59.16C46.39 96 36.01 106.3 36.01 119c0 2.8 .5125 5.622 1.556 8.327L75.7 224zM51.97 119C51.97 117.3 53.36 112 59.16 112h137.7c5.52 0 7.14 5.056 7.14 7.28c0 .7691-.1285 1.519-.3896 2.204L163.1 224H92.89L52.47 121.5C52.11 120.6 51.97 119.8 51.97 119zM242.7 452.4L224 443.1V432c0-13.23-10.78-24-24-24h-144C42.78 408 32 418.8 32 432v11.06l-18.56 9.344C5.281 456.3 0 464.7 0 473.9V488C0 501.2 10.78 512 24 512h208c13.22 0 24-10.77 24-24v-14.12C256 464.8 250.8 456.3 242.7 452.4zM240 488c0 4.484-3.5 8-8 8h-208c-4.5 0-8-3.516-8-8v-14.12c0-3.016 1.688-5.781 4.469-7.109L48 452.9V432c0-4.484 3.5-8 8-8h144c4.5 0 8 3.516 8 8v20.94l27.53 13.83C238.2 468 240 470.9 240 473.9V488z"],
    "chess-knight": [384, 512, [9822], "f441", "M23.89 274.5l40.61 18c5.189 2.307 10.78 3.471 16.35 3.471c5.034 0 10.05-.9489 14.75-2.862l12.73-5.109c11.47-4.578 20.02-13.94 23.44-25.62l9.344-30.97c1.188-4.641 4.172-8.344 8.469-10.45l10.53-5.281v50.67c0 14.95-8.719 28.97-22.2 35.72l-57.14 28.62C50.31 346 32.13 374.9 32.13 408c0 4.422 3.578 8 8 8s8-3.578 8-8c0-26.91 14.89-50.44 39.83-62.97l57.13-28.62c18.86-9.438 31.05-29.06 31.05-50.03V202.7c0-2.932-2.283-8.004-8.013-8.004c-1.227 0-2.453 .2847-3.581 .863L142.5 206.7c-8.391 4.109-14.53 11.7-16.77 20.5L116.5 257.8C114.4 264.8 109.3 270.4 102.4 273.2L89.63 278.3c-2.795 1.134-5.79 1.702-8.804 1.702c-3.338 0-6.7-.6969-9.837-2.093l-40.61-18C21.72 256 16.13 247.4 16.13 237.1V114c0-4.25 1.703-8.391 4.656-11.34l9-9C31.32 92.12 32.13 90.06 32.13 87.98c0-1.217-.2772-2.442-.8481-3.578L17.11 56.2C16.47 54.84 16.13 53.39 16.13 52c0-2.203 1.797-4 4-4h140C258.8 48 336 128.8 336 232v176c0 4.422 3.578 8 8 8S352 412.4 352 408v-176C352 119.8 267.6 32 160 32H20.13c-11.03 0-20 8.969-20 20c0 3.75 .875 7.562 2.594 11.22L14.39 86.42L9.469 91.34C3.438 97.38 .125 105.4 .125 114v123.1C.125 253.8 9.438 268.1 23.89 274.5zM64 144C64 152.8 71.2 160 80 160S96 152.8 96 144C96 135.2 88.8 128 80 128S64 135.2 64 144zM328 448h-272C25.13 448 0 473.1 0 504C0 508.4 3.578 512 8 512s8-3.578 8-8c0-22.06 17.94-40 40-40h272c22.06 0 40 17.94 40 40c0 4.422 3.578 8 8 8S384 508.4 384 504C384 473.1 358.9 448 328 448z"],
    "chess-knight-piece": [320, 512, ["chess-knight-alt"], "f442", "M306.6 452.4L288 443.1V432c0-13.23-10.77-24-24-24h-208C42.77 408 32 418.8 32 432v11.06l-18.58 9.344C5.266 456.3 0 464.7 0 473.9V488C0 501.2 10.77 512 24 512h272c13.23 0 24-10.77 24-24v-14.12C320 464.8 314.8 456.3 306.6 452.4zM304 488c0 4.484-3.516 8-8 8h-272c-4.484 0-8-3.516-8-8v-14.12c0-3.016 1.703-5.781 4.469-7.109L48 452.9V432c0-4.484 3.516-8 8-8h208c4.484 0 8 3.516 8 8v20.94l27.67 13.91C302.3 468.1 304 470.9 304 473.9V488zM50.25 234.8l28.88 12.88C83.09 249.5 87.37 250.3 91.65 250.3c3.851 0 7.698-.7171 11.3-2.153l9.172-3.641c8.734-3.531 15.31-10.73 18.05-19.77L136.8 202.6c.6875-2.672 2.438-4.906 3.594-5.625l3.781-1.234v34.25c0 15.09-7.457 15.92-67.13 49.87c-42.11 21.44-40.27 53.73-40.27 55.61C36.73 362.2 58.29 384 64 384c4.57 0 8-3.737 8-8c0-7.853-19.28-16.93-19.28-40.34c0-1.505-1.648-24.62 31.86-41.7c59.95-33.96 75.55-38.03 75.55-63.95V184.8c0-4.502-3.679-8.005-7.986-8.005c-.8298 0-1.666 .1302-2.482 .3953L134.2 182.3c-6.422 3.297-11.14 9.266-12.89 16.08L114.8 220.2C113.5 224.5 110.4 228 106.2 229.7L97.03 233.3C95.34 234 93.51 234.4 91.67 234.4c-2.048 0-4.113-.4263-6.03-1.29l-28.92-12.89C51.42 217.8 48 212.5 48 206.6V124.8C48 122.3 48.94 120 50.66 118.3l6.375-6.375c1.538-1.538 2.348-3.586 2.348-5.661c0-1.214-.2772-2.437-.8481-3.573L48.41 82.42L48.5 80h92.38C213.2 80 272 138.8 272 211.1V344c0 17.11-16.01 24.15-16.01 31.1C255.1 380.5 259.6 384 264 384c2.203 0 4.406-.9062 5.984-2.688C277.2 373.2 288 361 288 344V211.1C288 130 221.1 64 140.9 64H48.5C39.41 64 32 71.41 32 80.5c0 3.297 .6875 6.266 2.094 9.078l7.547 15.09L39.34 106.1C34.61 111.7 32 118 32 124.8v81.88C32 218.9 39.17 229.9 50.25 234.8zM80 144C80 152.8 87.16 160 96 160c8.838 0 16-7.164 16-16C112 135.2 104.8 128 96 128C87.16 128 80 135.2 80 144z"],
    "chess-pawn": [320, 512, [9823], "f443", "M264 448h-208C25.13 448 0 473.1 0 504C0 508.4 3.578 512 8 512s8-3.578 8-8c0-22.06 17.94-40 40-40h208c22.06 0 40 17.94 40 40c0 4.422 3.578 8 8 8S320 508.4 320 504C320 473.1 294.9 448 264 448zM56 232C56 236.4 59.58 240 64 240h37.98l-37.78 166.2c-.1367 .5969-.2023 1.194-.2023 1.782C64 412 67.21 416 72 416c3.656 0 6.953-2.516 7.797-6.234L118.4 240h83.24l38.58 169.8C241 413.5 244.3 416 248 416c4.759 0 7.999-3.937 7.999-7.984c0-.588-.0656-1.185-.2023-1.782L218 240H256c4.422 0 8-3.578 8-8S260.4 224 256 224h-41.12C244.3 205.6 264 173.2 264 136C264 78.56 217.4 32 159.1 32S56 78.56 56 136c0 37.22 19.73 69.62 49.12 88H64C59.58 224 56 227.6 56 232zM72 136C72 87.48 111.5 48 160 48s88 39.48 88 88S208.5 223.1 160 223.1S72 184.5 72 136z"],
    "chess-pawn-piece": [256, 512, ["chess-pawn-alt"], "f444", "M242.6 452.4L224 443.1V432c0-13.23-10.77-24-24-24h-144C42.77 408 32 418.8 32 432v11.06l-18.58 9.344C5.266 456.3 0 464.7 0 473.9V488C0 501.2 10.77 512 24 512h208c13.23 0 24-10.77 24-24v-14.11C256 464.8 250.8 456.3 242.6 452.4zM240 488c0 4.484-3.516 8-8 8h-208c-4.484 0-8-3.516-8-8v-14.12c0-3.016 1.703-5.781 4.469-7.109L48 452.9V432c0-4.484 3.516-8 8-8h144c4.484 0 8 3.516 8 8v20.94l27.67 13.91C238.3 468.1 240 470.9 240 473.9V488zM80.48 240.1H64c-4.422 0-8 3.496-8 7.918S59.58 256 64 256h14.94l-14.88 119c-.042 .3368-.0624 .6713-.0624 1.002C64 377.4 65.13 384 72.02 384c3.969 0 7.422-2.953 7.922-7L95.06 256h65.88l15.12 121C176.6 381 180 384 183.1 384c6.887 0 8.016-6.604 8.016-7.998c0-.3308-.0204-.6653-.0624-1.002L177.1 256H192c4.422 0 8-3.578 8-8S196.4 240.1 192 240.1h-16.48c19.58-14.58 32.48-37.82 32.48-64.11C208 131.8 172.2 96 127.1 96C83.79 96 47.1 131.8 47.1 175.1C47.1 202.3 60.9 225.5 80.48 240.1zM128 112c35.29 0 64 28.71 64 64c0 35.29-28.71 64-64 64c-35.29 0-64-28.71-64-64C64 140.7 92.71 112 128 112z"],
    "chess-queen": [512, 512, [9819], "f445", "M392.1 448H120.1c-30.87 0-55.1 25.12-55.1 56c0 4.422 3.578 8 7.1 8s7.1-3.578 7.1-8c0-22.06 17.94-40 39.1-40h271.1c22.06 0 39.1 17.94 39.1 40c0 4.422 3.578 8 7.1 8c4.422 0 7.1-3.578 7.1-8C448.1 473.1 422.9 448 392.1 448zM256 112c30.87 0 56-25.12 56-56S286.9 0 256 0S199.1 25.12 199.1 56S225.1 112 256 112zM256 16c22.06 0 39.1 17.94 39.1 40S278.1 96 256 96S216 78.06 216 56S233.1 16 256 16zM512 203.4c0-7.707-3.837-15.27-10.95-19.98l-27.06-15.05c-3.895-2.594-8.274-3.847-12.65-3.847c-21.84 0-20.65 25.53-50.28 25.53c-33.05 0-38.5-33.72-38.5-41.08C372.6 137.4 363.1 128 351.6 128h-37.55c-9.797 0-18.33 6.688-20.31 15.89c-3.828 18.03-19.34 30.61-37.7 30.61S222.2 161.9 218.3 143.9C216.4 134.7 207.8 128 198 128H160.5C148.9 128 139.5 137.4 139.5 148.1c0 21.98-16.53 41.04-38.37 41.04c-12.13 0-23.43-5.618-30.76-15.37C65.48 167.9 57.99 164.3 50.7 164.3c-4.229 0-8.394 1.201-11.96 3.685L10.56 183.8C3.763 188.2 0 195.6 0 203.2c0 3.579 .828 7.207 2.559 10.6l99.31 197.8c1.395 2.801 4.234 4.402 7.171 4.402c4.683 0 7.985-3.837 7.985-8.014c0-1.204-.2712-2.426-.8437-3.576L16.84 206.6C16.29 205.5 16.04 204.3 16.04 203.2c0-2.335 1.051-4.565 2.789-5.707l28.36-15.89c1.177-.8166 2.427-1.171 3.659-1.171c9.39 0 15.51 25.55 50.69 25.55c29.65 0 53.99-25.67 53.99-57.02C155.5 146.2 157.8 144 160.5 144h37.53c2.266 0 4.266 1.391 4.656 3.234C208.1 172.7 230.1 190.5 256 190.5s47.92-17.8 53.36-43.27C309.8 145.4 311.8 144 314.1 144h37.55c2.734 0 4.953 2.219 4.953 4.953c0 10.19 8.203 57.03 54.29 57.03c34.49 0 40.89-25.41 50.36-25.41c1.418 0 2.927 .4191 4.458 1.41l27.06 15.05c2.144 1.426 3.317 3.736 3.317 6.15c0 1.158-.27 2.34-.8323 3.459l-99.3 197.8c-.5724 1.149-.8437 2.372-.8437 3.576C395.1 412.2 398.4 416 403.1 416c2.922 0 5.75-1.609 7.156-4.406l99.3-197.8C511.2 210.5 512 206.9 512 203.4z"],
    "chess-queen-piece": [256, 512, ["chess-queen-alt"], "f446", "M242.6 452.4L224 443.1V432c0-13.23-10.77-24-24-24h-144C42.77 408 32 418.8 32 432v11.06l-18.58 9.344C5.266 456.3 0 464.7 0 473.9V488C0 501.2 10.77 512 24 512h208c13.23 0 24-10.77 24-24v-14.12C256 464.8 250.8 456.3 242.6 452.4zM240 488c0 4.484-3.516 8-8 8h-208c-4.484 0-8-3.516-8-8v-14.12c0-3.016 1.703-5.781 4.469-7.109L48 452.9V432c0-4.484 3.516-8 8-8h144c4.484 0 8 3.516 8 8v20.94l27.67 13.91C238.3 468.1 240 470.9 240 473.9V488zM73.27 192H64C59.58 192 56 195.6 56 200S59.58 208 64 208h12.38c0 0-12.39 167.8-12.39 167.1C63.1 378.9 66.24 384 72.02 384c4.141 0 7.656-3.203 7.969-7.406L92.44 208h71.13l12.45 168.6C176.3 380.8 179.8 384 183.1 384c5.765 0 8.021-5.079 8.021-8.016c0-.1913-.0068-.3839-.0205-.5776L179.6 208H192c4.422 0 8-3.578 8-8S196.4 192 192 192h-9.266l50.39-79.75c.4723-.9446 .6967-1.964 .6967-2.975c0-2.201-1.063-4.365-2.947-5.65L220.8 97c-1.104-.752-2.318-1.096-3.523-1.096c-7.225 0-7.411 11.1-21.87 11.1c-12.28 0-20.23-10.59-20.23-21.38C175.1 82.5 172.6 80 169.5 80h-16.25c-2.625 0-4.875 1.625-5.5 4.125C145.8 93.5 137.5 100.3 128 100.3S110.3 93.5 108.3 84.13C107.6 81.63 105.4 80 102.8 80H86.5c-3.125 0-5.625 2.5-5.625 5.625c0 7.834-5.757 21.3-20.33 21.3c-6.234 0-12.21-2.949-16.04-8.053C43.23 96.88 41.09 95.86 38.9 95.86c-1.252 0-2.518 .3359-3.654 1.018L25.13 103.6C23.24 104.9 22.18 107.1 22.18 109.3c0 1.011 .2245 2.03 .6968 2.975L73.27 192zM60.54 122.9l2.01-.0527L63.1 122.8C78.56 121.8 91.29 110.7 95.44 96C101.5 108.1 114.1 116.3 128 116.3c14.01 0 26.61-8.27 32.5-20.25c1.372 4.943 9.768 27.01 34.86 27.01c4.775 0 9.465-.9707 13.8-2.779L163.8 192H92.18L46.71 120.1C51.05 121.1 55.75 122.9 60.54 122.9zM128 64c17.64 0 32-14.36 32-32s-14.31-32-31.95-32S96 14.36 96 32S110.4 64 128 64zM128 16c8.828 0 16 7.172 16 16S136.8 48 128 48S112 40.83 112 32S119.2 16 128 16z"],
    "chess-rook": [384, 512, [9820], "f447", "M328 448h-272C25.13 448 0 473.1 0 504C0 508.4 3.578 512 8 512s8-3.578 8-8c0-22.06 17.94-40 40-40h272c22.06 0 40 17.94 40 40c0 4.422 3.578 8 8 8S384 508.4 384 504C384 473.1 358.9 448 328 448zM216 328c8.836 0 16-7.164 16-16V256c0-22.06-17.94-40-40-40S152 233.9 152 256v56c0 8.836 7.164 16 16 16H216zM168 256c0-13.23 10.77-24 24-24S216 242.8 216 256v56h-48V256zM368 32h-64C295.2 32 288 39.17 288 48v32C288 88.83 280.8 96 272 96S256 88.83 256 80v-32C256 39.17 248.8 32 240 32h-96C135.2 32 128 39.17 128 48v32C128 88.83 120.8 96 112 96S96 88.83 96 80v-32C96 39.17 88.83 32 80 32h-64C7.172 32 0 39.17 0 48v155.2c0 15.78 9.328 30.14 23.75 36.56l47.69 21.19l-15.39 146.2c-.0307 .2888-.0457 .5756-.0457 .8595c0 1.391 1.104 7.986 8.058 7.986c4.122 0 7.442-3.062 7.894-7.158l16.61-157.8L30.25 225.1C21.59 221.3 16 212.7 16 203.2V48h64v32c0 17.64 14.36 32 32 32s32-14.36 32-32v-32h96v32c0 17.64 14.36 32 32 32s32-14.36 32-32v-32h64v155.2c0 9.469-5.594 18.09-14.25 21.94l-58.31 25.91l16.61 157.8C312.5 412.1 315.1 416 319.1 416c6.904 0 8.014-6.605 8.014-7.984c0-.2839-.015-.5707-.0457-.8595l-15.39-146.2l47.69-21.19C374.7 233.3 384 218.1 384 203.2V48C384 39.17 376.8 32 368 32z"],
    "chess-rook-piece": [320, 512, ["chess-rook-alt"], "f448", "M306.6 452.4L288 443.1V432c0-13.23-10.77-24-24-24h-208C42.77 408 32 418.8 32 432v11.06l-18.58 9.344C5.266 456.3 0 464.7 0 473.9V488C0 501.2 10.77 512 24 512h272c13.23 0 24-10.77 24-24v-14.12C320 464.8 314.8 456.3 306.6 452.4zM304 488c0 4.484-3.516 8-8 8h-272c-4.484 0-8-3.516-8-8v-14.12c0-3.016 1.703-5.781 4.469-7.109L48 452.9V432c0-4.484 3.516-8 8-8h208c4.484 0 8 3.516 8 8v20.94l27.67 13.91C302.3 468.1 304 470.9 304 473.9V488zM71.86 210.7c0 0-7.854 165.2-7.854 165.3c0 1.447 1.081 7.992 8.316 7.992c4.06 0 7.471-3.444 7.663-7.643c0 0 8.012-168.3 8.012-168.4c0-1.851-.6644-3.64-1.855-5.078L53.56 163.8C49.97 159.5 48 154 48 148.4V80h32v20C80 115.5 92.54 128 107.1 128S136 115.5 136 100V80h48v20C184 115.5 196.5 128 211.1 128S240 115.5 240 100V80h32v68.42c0 5.614-1.968 11.05-5.562 15.36l-32.58 39.09C232.7 204.3 232 206.1 232 207.1c0 .1405 .0038 .2814 .0115 .4225l8 168C240.2 380.7 243.8 384 248 384c4.408 0 7.994-3.576 7.994-7.974c0-.1331-.0033-.2669-.01-.4014l-7.844-164.9l30.6-36.73C284.7 166.8 288 157.8 288 148.4V72C288 67.58 284.4 64 280 64h-48C227.6 64 224 67.58 224 72v28C224 106.6 218.6 112 212 112S200 106.6 200 100V72C200 67.58 196.4 64 192 64H128C123.6 64 120 67.58 120 72v28C120 106.6 114.6 112 108 112S96 106.6 96 100V72C96 67.58 92.42 64 88 64h-48C35.58 64 32 67.58 32 72v76.42C32 157.8 35.28 166.8 41.26 174L71.86 210.7zM160 192C142.4 192 128 206.4 128 224v56C128 284.4 131.6 288 136 288h48C188.4 288 192 284.4 192 280V224C192 206.4 177.6 192 160 192zM176 272h-32V224c0-8.828 7.172-16 16-16s16 7.172 16 16V272z"],
    "chestnut": [448, 512, [127792], "e3f6", "M302.9 99.43c-25.37-20.56-49.36-39.98-66.48-61.41C233.2 34.01 228.6 32 224 32S214.8 34.01 211.5 38.02C194.4 59.45 170.4 78.87 145.1 99.43C80.44 151.7 0 216.8 0 352C0 422.7 57.31 480 128 480h192c70.69 0 128-57.3 128-127.1C448 216.8 367.6 151.7 302.9 99.43zM155.4 111.6c25.93-21.01 50.41-40.86 68.59-63.56c18.14 22.67 42.64 42.54 68.9 63.82C358.1 164.7 432 224.5 432 352c0 5.471-.8516 10.71-1.617 15.98H17.62C16.85 362.7 16 357.5 16 352C16 224.5 89.9 164.7 155.4 111.6zM320 464H128c-50.57 0-92.92-33.9-106.8-80h405.6C412.9 430.1 370.6 464 320 464z"],
    "chevron-down": [448, 512, [], "f078", "M2.652 162.1c1.531-1.376 3.438-2.048 5.344-2.048c2.188 0 4.375 .891 5.938 2.642L224 396.2l210.1-233.5c2.906-3.283 8-3.58 11.28-.594c3.281 2.97 3.563 8.019 .5938 11.32l-216 240.1c-3 3.345-8.875 3.345-11.88 0L2.058 173.4C-.9104 170.1-.6292 165 2.652 162.1z"],
    "chevron-left": [320, 512, [9001], "f053", "M253.9 34.65c1.376 1.531 2.048 3.438 2.048 5.344c0 2.188-.891 4.375-2.642 5.938L19.83 256l233.5 210.1c3.283 2.906 3.58 8 .594 11.28c-2.97 3.281-8.019 3.563-11.32 .5938L2.509 261.9c-3.345-3-3.345-8.875 0-11.88l240.1-216C245.9 31.09 250.1 31.37 253.9 34.65z"],
    "chevron-right": [320, 512, [9002], "f054", "M66.07 477.3c-1.376-1.531-2.048-3.438-2.048-5.344c0-2.188 .891-4.375 2.642-5.938L300.2 256L66.66 45.93c-3.283-2.906-3.58-8-.594-11.28c2.97-3.281 8.019-3.563 11.32-.5938l240.1 216c3.345 3 3.345 8.875 0 11.88L77.38 477.9C74.08 480.9 69.04 480.6 66.07 477.3z"],
    "chevron-up": [448, 512, [], "f077", "M445.3 349.9c-1.531 1.376-3.438 2.048-5.344 2.048c-2.188 0-4.375-.891-5.938-2.642L224 115.8l-210.1 233.5c-2.906 3.283-8 3.58-11.28 .594c-3.281-2.97-3.563-8.019-.5938-11.32l216-240.1c3-3.345 8.875-3.345 11.88 0l216 240.1C448.9 341.9 448.6 346.1 445.3 349.9z"],
    "chevrons-down": [448, 512, ["chevron-double-down"], "f322", "M434.1 226.8l-210.1 233.4L13.93 226.8C12.37 225 10.18 224.1 7.996 224.1c-1.906 0-3.813 .6719-5.344 2.047C-.6291 229.1-.9103 234.2 2.058 237.5l216 239.1c3 3.344 8.875 3.344 11.88 0l216-239.1C448.9 234.2 448.6 229.1 445.3 226.2C442.1 223.2 436.1 223.5 434.1 226.8zM218.1 285.4c3 3.344 8.875 3.344 11.88 0l216-239.1C448.9 42.08 448.6 37.03 445.3 34.06c-3.281-2.984-8.375-2.687-11.28 .5938L224 268.1L13.93 34.66C12.37 32.91 10.18 32.02 7.996 32.02c-1.906 0-3.813 .6719-5.344 2.047C-.6291 37.03-.9103 42.08 2.058 45.38L218.1 285.4z"],
    "chevrons-left": [448, 512, ["chevron-double-left"], "f323", "M253.2 466.1L19.82 256l233.4-210.1c1.75-1.563 2.641-3.75 2.641-5.938c0-1.906-.6719-3.813-2.047-5.344c-2.969-3.281-8.016-3.563-11.31-.5938L2.508 250.1c-3.344 3-3.344 8.875 0 11.88l240 216c3.297 2.969 8.344 2.688 11.31-.5938C256.8 474.1 256.5 468.1 253.2 466.1zM194.6 250.1c-3.344 3-3.344 8.875 0 11.88l240 216c3.297 2.969 8.344 2.688 11.31-.5938c2.984-3.281 2.688-8.375-.5938-11.28L211.9 256l233.4-210.1c1.75-1.563 2.641-3.75 2.641-5.938c0-1.906-.6719-3.813-2.047-5.344c-2.969-3.281-8.016-3.563-11.31-.5938L194.6 250.1z"],
    "chevrons-right": [448, 512, ["chevron-double-right"], "f324", "M194.8 45.93L428.2 256l-233.4 210.1c-1.75 1.563-2.641 3.75-2.641 5.938c0 1.906 .6719 3.813 2.047 5.344c2.969 3.281 8.016 3.563 11.31 .5938l240-216c3.344-3 3.344-8.875 0-11.88l-240-216C202.2 31.09 197.1 31.37 194.2 34.65C191.2 37.93 191.5 43.03 194.8 45.93zM253.4 261.9c3.344-3 3.344-8.875 0-11.88l-239.1-216c-3.297-2.969-8.344-2.688-11.31 .5938c-2.984 3.281-2.688 8.375 .5938 11.28L236.1 256l-233.4 210.1c-1.75 1.563-2.641 3.75-2.641 5.938c0 1.906 .6719 3.813 2.047 5.344c2.969 3.281 8.016 3.563 11.31 .5938L253.4 261.9z"],
    "chevrons-up": [448, 512, ["chevron-double-up"], "f325", "M13.93 285.2L224 51.82l210.1 233.4c1.562 1.75 3.75 2.641 5.938 2.641c1.906 0 3.813-.6719 5.344-2.047c3.281-2.969 3.563-8.016 .5938-11.31l-216-239.1c-3-3.344-8.875-3.344-11.88 0L2.058 274.5c-2.969 3.297-2.688 8.344 .5938 11.31C5.933 288.8 11.03 288.5 13.93 285.2zM229.9 226.6c-3-3.344-8.875-3.344-11.88 0l-216 239.1c-2.969 3.297-2.688 8.344 .5938 11.31c3.281 2.984 8.375 2.688 11.28-.5938L224 243.9l210.1 233.4c1.562 1.75 3.75 2.641 5.938 2.641c1.906 0 3.813-.6719 5.344-2.047c3.281-2.969 3.563-8.016 .5938-11.31L229.9 226.6z"],
    "child": [320, 512, [], "f1ae", "M95.1 64C95.1 28.65 124.7 0 160 0C195.3 0 224 28.65 224 64C224 99.35 195.3 128 160 128C124.7 128 95.1 99.35 95.1 64zM160 112C186.5 112 208 90.51 208 64C208 37.49 186.5 16 160 16C133.5 16 111.1 37.49 111.1 64C111.1 90.51 133.5 112 160 112zM158.5 176C126 176 96.16 193.9 80.86 222.5L31.06 315.8C28.98 319.7 24.13 321.1 20.23 319.1C16.34 316.1 14.86 312.1 16.95 308.2L66.75 214.1C84.83 181.1 120.1 160 158.5 160H161.5C199.9 160 235.2 181.1 253.3 214.1L303.1 308.2C305.1 312.1 303.7 316.1 299.8 319.1C295.9 321.1 291 319.7 288.9 315.8L239.1 222.5C223.8 193.9 194 176 161.5 176H158.5zM96 480C96 488.8 103.2 496 111.1 496C120.8 496 127.1 488.8 127.1 480V400C127.1 382.3 142.3 368 159.1 368C177.7 368 192 382.3 192 400V480C192 488.8 199.2 496 208 496C216.8 496 223.1 488.8 223.1 480V288C223.1 283.6 227.6 280 231.1 280C236.4 280 239.1 283.6 239.1 288V480C239.1 497.7 225.7 512 208 512C190.3 512 176 497.7 176 480V400C176 391.2 168.8 384 159.1 384C151.2 384 143.1 391.2 143.1 400V480C143.1 497.7 129.7 512 111.1 512C94.33 512 80 497.7 80 480V288C80 283.6 83.58 280 88 280C92.42 280 96 283.6 96 288V480z"],
    "child-dress": [320, 512, [], "e59c", "M96 64C96 28.65 124.7 0 160 0C195.3 0 224 28.65 224 64C224 99.35 195.3 128 160 128C124.7 128 96 99.35 96 64zM160 112C186.5 112 208 90.51 208 64C208 37.49 186.5 16 160 16C133.5 16 112 37.49 112 64C112 90.51 133.5 112 160 112zM107.4 248.8C111.4 250.6 113.1 255.4 111.2 259.4L52.61 384H267.4L208.8 259.4C206.9 255.4 208.6 250.6 212.6 248.8C216.6 246.9 221.4 248.6 223.2 252.6L287.2 388.6C288.4 391.1 288.2 393.1 286.8 396.3C285.3 398.6 282.7 400 280 400H239.1V480C239.1 497.7 225.7 512 208 512C190.3 512 176 497.7 176 480V400H143.1V480C143.1 497.7 129.7 512 111.1 512C94.33 512 80 497.7 80 480V400H40C37.26 400 34.71 398.6 33.25 396.3C31.78 393.1 31.6 391.1 32.76 388.6L96.76 252.6C98.64 248.6 103.4 246.9 107.4 248.8H107.4zM96 400V480C96 488.8 103.2 496 111.1 496C120.8 496 127.1 488.8 127.1 480V400H96zM208 496C216.8 496 223.1 488.8 223.1 480V400H192V480C192 488.8 199.2 496 208 496V496zM30.89 316.1C28.65 319.9 23.74 321.1 19.94 318.9C16.13 316.6 14.87 311.7 17.11 307.9L76.5 207.2C93.76 177.1 125.2 160 159.2 160H160.8C194.8 160 226.2 177.1 243.5 207.2L302.9 307.9C305.1 311.7 303.9 316.6 300.1 318.9C296.3 321.1 291.4 319.9 289.1 316.1L229.7 215.4C215.3 190.1 189.1 176 160.8 176H159.2C130.9 176 104.7 190.1 90.28 215.4L30.89 316.1z"],
    "child-reaching": [384, 512, [], "e59d", "M128 64C128 28.65 156.7 0 192 0C227.3 0 256 28.65 256 64C256 99.35 227.3 128 192 128C156.7 128 128 99.35 128 64zM192 112C218.5 112 240 90.51 240 64C240 37.49 218.5 16 192 16C165.5 16 144 37.49 144 64C144 90.51 165.5 112 192 112zM317 111.8L337.5 83.33C340.1 79.75 345.1 78.92 348.7 81.5C352.3 84.08 353.1 89.08 350.5 92.67L330 121.2C298.1 165.6 246.7 192 192 192C137.3 192 85.89 165.6 53.97 121.2L33.5 92.67C30.93 89.08 31.75 84.08 35.34 81.5C38.92 78.92 43.92 79.75 46.5 83.33L66.97 111.8C95.88 152.1 142.4 176 192 176C241.6 176 288.1 152.1 317 111.8zM128 480C128 488.8 135.2 496 143.1 496C152.8 496 159.1 488.8 159.1 480V400C159.1 382.3 174.3 368 191.1 368C209.7 368 224 382.3 224 400V480C224 488.8 231.2 496 239.1 496C248.8 496 255.1 488.8 255.1 480V232C255.1 227.6 259.6 224 263.1 224C268.4 224 271.1 227.6 271.1 232V480C271.1 497.7 257.7 512 239.1 512C222.3 512 208 497.7 208 480V400C208 391.2 200.8 384 191.1 384C183.2 384 175.1 391.2 175.1 400V480C175.1 497.7 161.7 512 143.1 512C126.3 512 112 497.7 112 480V232C112 227.6 115.6 224 120 224C124.4 224 128 227.6 128 232V480z"],
    "child-rifle": [512, 512, [], "e4e0", "M207.1 64C207.1 99.35 179.3 128 143.1 128C108.7 128 79.1 99.35 79.1 64C79.1 28.65 108.7 0 143.1 0C179.3 0 207.1 28.65 207.1 64zM143.1 16C117.5 16 95.1 37.49 95.1 64C95.1 90.51 117.5 112 143.1 112C170.5 112 191.1 90.51 191.1 64C191.1 37.49 170.5 16 143.1 16zM15.06 315.8C12.98 319.7 8.129 321.1 4.232 319.1C.3354 316.1-1.136 312.1 .9453 308.2L50.75 214.1C68.83 181.1 104.1 160 142.5 160H145.5C183.9 160 219.2 181.1 237.3 214.1L287.1 308.2C289.1 312.1 287.7 316.1 283.8 319.1C279.9 321.1 275 319.7 272.9 315.8L223.1 222.5C207.8 193.9 178 175.1 145.5 175.1H142.5C110 175.1 80.16 193.9 64.86 222.5L15.06 315.8zM72 280C76.42 280 80 283.6 80 288V476C80 487 88.95 496 99.1 496C111 496 119.1 487 119.1 476V392C119.1 378.7 130.7 368 143.1 368C157.3 368 168 378.7 168 392V476C168 487 176.1 496 187.1 496C199 496 207.1 487 207.1 476V288C207.1 283.6 211.6 280 215.1 280C220.4 280 223.1 283.6 223.1 288V476C223.1 495.9 207.9 512 187.1 512C168.1 512 152 495.9 152 476V392C152 387.6 148.4 384 143.1 384C139.6 384 135.1 387.6 135.1 392V476C135.1 495.9 119.9 512 99.1 512C80.12 512 64 495.9 64 476V288C64 283.6 67.58 280 72 280V280zM438 400L471.9 490.4C475.8 500.8 468.1 512 456.9 512H384C375.2 512 368 504.8 368 496V400H352C334.3 400 320 385.7 320 368V224C320 206.3 334.3 192 352 192H368V160C368 148.2 374.4 137.8 384 132.3V16H376C371.6 16 368 12.42 368 8C368 3.582 371.6 0 376 0H416C424.8 0 432 7.164 432 16V132.3C441.6 137.8 448 148.2 448 160V269.3L464 264V208C464 199.2 471.2 192 480 192H496C504.8 192 512 199.2 512 208V292.5C512 299.4 507.6 305.5 501.1 307.6L448 325.3V352H496C504.8 352 512 359.2 512 368V384C512 392.8 504.8 400 496 400L438 400zM416 141.5V16H400V141.5L392 146.1C387.2 148.9 384 154.1 384 160V384H496V368H432V160C432 154.1 428.8 148.9 423.1 146.1L416 141.5zM456.9 496L420.9 400H384V496H456.9zM448 308.5L496 292.5V208H480V275.5L448 286.2V308.5zM336 224V368C336 376.8 343.2 384 352 384H368V208H352C343.2 208 336 215.2 336 224z"],
    "children": [640, 512, [], "e4e1", "M224 64C224 99.35 195.3 128 160 128C124.7 128 96 99.35 96 64C96 28.65 124.7 0 160 0C195.3 0 224 28.65 224 64zM160 16C133.5 16 112 37.49 112 64C112 90.51 133.5 112 160 112C186.5 112 208 90.51 208 64C208 37.49 186.5 16 160 16zM52.61 384H267.4L208.8 259.4C206.9 255.4 208.6 250.6 212.6 248.8C216.6 246.9 221.4 248.6 223.2 252.6L287.2 388.6C288.4 391.1 288.2 393.1 286.8 396.3C285.3 398.6 282.7 400 280 400H239.1V480C239.1 497.7 225.7 512 207.1 512C190.3 512 176 497.7 176 480V400H143.1V480C143.1 497.7 129.7 512 111.1 512C94.33 512 80 497.7 80 480V400H40C37.26 400 34.71 398.6 33.25 396.3C31.78 393.1 31.6 391.1 32.76 388.6L96.76 252.6C98.64 248.6 103.4 246.9 107.4 248.8C111.4 250.6 113.1 255.4 111.2 259.4L52.61 384zM111.1 496C120.8 496 127.1 488.8 127.1 480V400H96V480C96 488.8 103.2 496 111.1 496zM192 400V480C192 488.8 199.2 496 207.1 496C216.8 496 223.1 488.8 223.1 480V400H192zM159.2 176C130.9 176 104.7 190.1 90.28 215.4L30.89 316.1C28.65 319.9 23.74 321.1 19.94 318.9C16.13 316.6 14.87 311.7 17.11 307.9L76.5 207.2C93.76 177.1 125.2 160 159.2 160H160.8C194.8 160 226.2 177.1 243.5 207.2L302.9 307.9C305.1 311.7 303.9 316.6 300.1 318.9C296.3 321.1 291.4 319.9 289.1 316.1L229.7 215.4C215.3 190.1 189.1 176 160.8 176H159.2zM544 64C544 99.35 515.3 128 480 128C444.7 128 416 99.35 416 64C416 28.65 444.7 0 480 0C515.3 0 544 28.65 544 64zM480 16C453.5 16 432 37.49 432 64C432 90.51 453.5 112 480 112C506.5 112 528 90.51 528 64C528 37.49 506.5 16 480 16zM351.1 315.8C348.1 319.7 344.1 321.1 340.2 319.1C336.3 316.1 334.9 312.1 336.9 308.2L386.7 214.1C404.8 181.1 440.1 160 478.5 160H481.5C519.9 160 555.2 181.1 573.3 214.1L623.1 308.2C625.1 312.1 623.7 316.1 619.8 319.1C615.9 321.1 611 319.7 608.9 315.8L559.1 222.5C543.8 193.9 514 175.1 481.5 175.1H478.5C446 175.1 416.2 193.9 400.9 222.5L351.1 315.8zM408 280C412.4 280 416 283.6 416 288V480C416 488.8 423.2 496 432 496C440.8 496 447.1 488.8 447.1 480V400C447.1 382.3 462.3 368 480 368C497.7 368 512 382.3 512 400V480C512 488.8 519.2 496 528 496C536.8 496 543.1 488.8 543.1 480V288C543.1 283.6 547.6 280 551.1 280C556.4 280 559.1 283.6 559.1 288V480C559.1 497.7 545.7 512 528 512C510.3 512 496 497.7 496 480V400C496 391.2 488.8 384 480 384C471.2 384 463.1 391.2 463.1 400V480C463.1 497.7 449.7 512 432 512C414.3 512 400 497.7 400 480V288C400 283.6 403.6 280 408 280z"],
    "chimney": [448, 512, [], "f78b", "M416 32H32C14.33 32 0 46.33 0 64v64c0 17.67 14.33 32 32 32v312C32 476.4 35.58 480 40 480s8-3.578 8-8V384h256v88c0 4.422 3.578 8 8 8S320 476.4 320 472V384h80v88c0 4.422 3.578 8 8 8S416 476.4 416 472V160c17.67 0 32-14.33 32-32V64C448 46.33 433.7 32 416 32zM128 256H48V160H128V256zM48 368v-96h160v96H48zM224 368v-96h176v96H224zM400 256h-256V160h256V256zM432 128c0 8.822-7.178 16-16 16H32C23.18 144 16 136.8 16 128V64c0-8.822 7.178-16 16-16h384c8.822 0 16 7.178 16 16V128z"],
    "chopsticks": [640, 512, [], "e3f7", "M638.3 93.55C639.9 98.92 640.4 104.6 639.7 110.1C639.1 115.7 637.3 121.1 634.5 125.9C631.7 130.8 627.1 135.1 623.5 138.4L152.4 508.8C149.8 510.8 146.6 511.1 143.3 512C140.2 512 137.2 511.1 134.7 509.4C132.1 507.6 130.2 505.2 129 502.3C127.9 499.5 127.7 496.3 128.4 493.4C129.1 490.4 130.6 487.6 132.9 485.6L570.6 74.98C574.7 71.17 579.5 68.25 584.8 66.38C590.1 64.5 595.7 63.73 601.3 64.09C606.9 64.46 612.4 65.96 617.4 68.5C622.4 71.04 626.8 74.57 630.4 78.88C633.1 83.19 636.7 88.18 638.3 93.55L638.3 93.55zM620.4 118.2C622.1 115.3 623.2 111.1 623.6 108.6C624 105.2 623.8 101.7 622.8 98.41C621.8 95.11 620.2 92.05 618 89.4C615.9 86.75 613.2 84.57 610.1 82.99C607.1 81.41 603.7 80.47 600.3 80.22C596.9 79.97 593.4 80.42 590.2 81.53C586.9 82.65 583.1 84.42 581.4 86.72L143.1 497.2L613.6 125.9C616.4 123.8 618.7 121.2 620.4 118.2H620.4zM411.3 22.13C413.9 27.09 415.4 32.54 415.9 38.13C416.3 43.72 415.6 49.34 413.8 54.65C412 59.96 409.2 64.85 405.4 69.03L26.59 506.9C23.96 509.8 20.34 511.5 16.48 511.8C12.61 512.1 8.791 510.9 5.784 508.4C2.777 505.1 .8102 502.5 .2828 498.6C-.2445 494.8 .7065 490.9 2.943 487.7L341.2 16.93C344.6 12.41 348.8 8.603 353.6 5.752C358.4 2.9 363.8 1.059 369.3 .341C374.9-.3774 380.5 .0421 385.9 1.574C391.3 3.105 396.3 5.717 400.7 9.25C405.1 12.78 408.6 17.17 411.3 22.13L411.3 22.13zM398.6 49.66C399.7 46.37 400.2 42.87 399.9 39.39C399.5 34.22 397.6 29.3 394.3 25.29C390.1 21.28 386.6 18.37 381.6 16.96C376.6 15.54 371.3 15.69 366.4 17.38C361.5 19.06 357.2 22.21 354.1 26.4L15.1 497.1L393.3 58.56C395.7 55.99 397.5 52.96 398.6 49.66z"],
    "church": [640, 512, [9962], "f51d", "M328 48H376C380.4 48 384 51.58 384 56C384 60.42 380.4 64 376 64H328V123.6L453.9 203.1C470.2 213.4 480 231.2 480 250.5V495.1H584C606.1 495.1 624 478.1 624 455.1V385.7C624 372.3 617.3 359.8 606.2 352.4L507.6 286.7C503.9 284.2 502.9 279.2 505.3 275.6C507.8 271.9 512.8 270.9 516.4 273.3L615.1 339.1C630.6 349.5 640 366.1 640 385.7V455.1C640 486.9 614.9 511.1 584 511.1H472.3C472.2 512 472.1 512 472 512H176.3C176.2 512 176.1 512 176 512H56C25.07 512 0 486.9 0 456V385.7C0 366.1 9.358 349.5 24.94 339.1L123.6 273.3C127.2 270.9 132.2 271.9 134.7 275.6C137.1 279.2 136.1 284.2 132.4 286.7L33.81 352.4C22.68 359.8 16 372.3 16 385.7V456C16 478.1 33.91 496 56 496H160V250.5C160 231.2 169.9 213.4 186.1 203.1L312 123.6V64H264C259.6 64 256 60.42 256 56C256 51.58 259.6 48 264 48H312V8C312 3.582 315.6 0 320 0C324.4 0 328 3.582 328 8L328 48zM464 495.1V250.5C464 236.7 456.1 223.1 445.4 216.6L320 137.5L194.6 216.6C183 223.1 176 236.7 176 250.5V496H256V384C256 348.7 284.7 320 320 320C355.3 320 384 348.7 384 384V496H463.7C463.8 495.1 463.9 495.1 464 495.1zM320 336C293.5 336 272 357.5 272 384V496H368V384C368 357.5 346.5 336 320 336z"],
    "circle": [512, 512, [128308, 128309, 128992, 128993, 128994, 128995, 128996, 9898, 9899, 11044, 61708, 61915, 9679], "f111", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "circle-0": [512, 512, [], "e0ed", "M256 128C202.1 128 160 170.1 160 224v64c0 53.02 42.98 96 96 96s96-42.98 96-96V224C352 170.1 309 128 256 128zM336 288c0 44.11-35.89 80-80 80S176 332.1 176 288V224c0-44.11 35.89-80 80-80s80 35.89 80 80V288zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-1": [512, 512, [], "e0ee", "M320 368h-56V136c0-2.844-1.516-5.5-3.984-6.906c-2.438-1.406-5.484-1.469-7.984-.0313l-56 32C192.2 163.3 190.9 168.1 193 171.1c2.219 3.844 7.094 5.125 10.92 2.969L248 149.8V368H192c-4.422 0-8 3.594-8 8S187.6 384 192 384h128c4.422 0 8-3.594 8-8S324.4 368 320 368zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-2": [512, 512, [], "e0ef", "M344 368H189.5l113.1-97.94c33.89-29.28 37.83-78.88 8.969-112.9C297.3 140.3 277.2 130 255 128.3C232.7 126.8 211.1 133.5 194.3 148L175.5 164.2C172.2 167.1 171.8 172.1 174.7 175.5c2.906 3.375 7.938 3.781 11.28 .8438l18.8-16.19c13.59-11.66 31-17.31 49-15.91c17.92 1.406 34.13 9.656 45.61 23.25c23.12 27.28 19.95 67.03-7.219 90.47l-129.4 112c-2.531 2.188-3.422 5.719-2.266 8.844C161.7 381.9 164.7 384 168 384h176c4.422 0 8-3.594 8-8S348.4 368 344 368zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-3": [512, 512, [], "e0f0", "M280 240H221.3l111.1-97.97c2.516-2.219 3.391-5.719 2.219-8.844S331.3 128 328 128h-160C163.6 128 160 131.6 160 136S163.6 144 168 144h138.7L194.7 241.1c-2.516 2.219-3.391 5.719-2.219 8.844S196.7 256 200 256h80c30.88 0 56 25.12 56 56s-25.12 56-56 56H212.5c-16.78 0-31.59-10.69-36.89-26.59c-1.406-4.156-5.906-6.469-10.12-5.062c-4.188 1.406-6.453 5.938-5.062 10.12C167.9 368.9 188.8 384 212.5 384H280C319.7 384 352 351.7 352 312S319.7 240 280 240zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-4": [512, 512, [], "e0f1", "M344 304H320V200C320 195.6 316.4 192 312 192S304 195.6 304 200V304H171.9l67.48-164.1c1.672-4.094-.2813-8.75-4.375-10.44C230.9 126.9 226.3 128.9 224.6 132.1l-72 176c-1 2.469-.7187 5.281 .7656 7.5S157.3 320 160 320h144v56c0 4.406 3.578 8 8 8S320 380.4 320 376V320h24C348.4 320 352 316.4 352 312S348.4 304 344 304zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-5": [512, 512, [], "e0f2", "M280 240H185.8l19.03-96H328c4.422 0 8-3.594 8-8S332.4 128 328 128H198.2C194.4 128 191.1 130.7 190.4 134.4l-22.22 112C167.7 248.8 168.3 251.2 169.8 253.1C171.3 254.9 173.6 256 176 256h104c30.88 0 56 25.12 56 56s-25.12 56-56 56H213.4c-17.19 0-32.38-10.94-37.81-27.25c-1.391-4.188-5.922-6.438-10.12-5.062c-4.188 1.406-6.453 5.938-5.062 10.12C168 368.7 189.3 384 213.4 384H280C319.7 384 352 351.7 352 312S319.7 240 280 240zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-6": [512, 512, [], "e0f3", "M256 192C251.5 192 247.1 192.7 242.7 193.3l58.56-51.31c3.312-2.938 3.656-7.969 .75-11.31C300.4 128.9 298.2 128 296 128c-1.875 0-3.75 .6562-5.281 1.969c0 0-99.16 87.3-99.37 87.54C172.2 235.1 160 260 160 288c0 52.94 43.06 96 96 96s96-43.06 96-96S308.9 192 256 192zM256 368c-44.13 0-80-35.88-80-80S211.9 208 256 208s80 35.88 80 80S300.1 368 256 368zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-7": [512, 512, [], "e0f4", "M344 128h-176C163.6 128 160 131.6 160 136S163.6 144 168 144h161.9l-136.8 227.9c-2.25 3.812-1.031 8.719 2.75 11C197.2 383.6 198.6 384 200 384c2.719 0 5.375-1.375 6.875-3.875l144-240c1.469-2.469 1.5-5.562 .0938-8.062C349.5 129.6 346.9 128 344 128zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-8": [512, 512, [], "e0f5", "M307.1 245.4C324.5 233.9 336 214.3 336 192c0-35.28-28.72-64-64-64h-32c-35.28 0-64 28.72-64 64c0 22.31 11.52 41.94 28.88 53.4C178.6 256.1 160 281.9 160 312C160 351.7 192.3 384 232 384h48C319.7 384 352 351.7 352 312C352 281.9 333.4 256.1 307.1 245.4zM192 192c0-26.47 21.53-48 48-48h32C298.5 144 320 165.5 320 192s-21.53 48-48 48h-32C213.5 240 192 218.5 192 192zM280 368h-48c-30.88 0-56-25.12-56-56S201.1 256 232 256h48c30.88 0 56 25.12 56 56S310.9 368 280 368zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-9": [512, 512, [], "e0f6", "M256 128C203.1 128 160 171.1 160 224s43.06 96 96 96c4.547 0 8.896-.7266 13.28-1.342l-58.56 51.31c-3.312 2.938-3.656 7.969-.75 11.31C211.6 383.1 213.8 384 216 384c1.875 0 3.75-.6562 5.281-1.969c0 0 99.16-87.3 99.37-87.54C339.8 276.9 352 251.1 352 224C352 171.1 308.9 128 256 128zM256 304C211.9 304 176 268.1 176 224S211.9 144 256 144s80 35.88 80 80S300.1 304 256 304zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-a": [512, 512, [], "e0f7", "M263.2 116.4c-2.719-5.406-11.59-5.406-14.31 0l-120 240c-1.969 3.953-.375 8.75 3.578 10.73c4 2 8.75 .375 10.73-3.578L168.9 312h174.1l25.79 51.58C370.3 366.4 373.1 368 376 368c1.203 0 2.422-.2656 3.578-.8438c3.953-1.984 5.547-6.781 3.578-10.73L263.2 116.4zM176.9 296L256 137.9L335.1 296H176.9zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-ampersand": [512, 512, [], "e0f8", "M322.9 325.9l42.51-60.1c2.562-3.609 1.688-8.609-1.906-11.16c-3.625-2.562-8.594-1.719-11.16 1.906l-40.62 57.43L243.3 241.1l36.91-29.75c11.47-8.938 18.06-22.25 18.06-36.52C298.3 149 276.6 128 249.1 128H227.7C201.1 128 179.4 149 179.4 174.8c0 14.03 5.375 27.44 15.12 37.7l25.28 26.94L167.3 281.8c-14.09 10.94-22.16 27.25-22.16 44.77C145.2 358.2 171.8 384 204.4 384h38.88c24.09 0 46.63-11.48 60.22-30.72l9.902-14l39.57 42.19c3.094 3.25 8.125 3.391 11.31 .3594c3.219-3.016 3.375-8.078 .375-11.3L322.9 325.9zM206.2 201.6C199.3 194.3 195.4 184.8 195.4 174.8C195.4 157.8 209.9 144 227.7 144h22.28c17.81 0 32.28 13.84 32.28 30.84c0 9.297-4.344 18.02-12 23.97l-37.97 30.61L206.2 201.6zM290.5 344C279.9 359 262.2 368 243.3 368H204.4c-23.88 0-43.28-18.58-43.28-41.42c0-12.53 5.812-24.25 16.09-32.22l53.56-43.17l71.45 76.18L290.5 344zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-arrow-down": [512, 512, ["arrow-circle-down"], "f0ab", "M370.3 250.3L264 356.7V136C264 131.6 260.4 128 256 128S248 131.6 248 136v220.7L141.7 250.3c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31l120 120c3.125 3.125 8.188 3.125 11.31 0l120-120C383.2 260.1 384 258.1 384 256s-.7813-4.094-2.344-5.656C378.5 247.2 373.5 247.2 370.3 250.3zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-arrow-down-left": [512, 512, [], "e0f9", "M338.3 162.3L175.1 324.7V184c0-4.422-3.58-8-7.998-8C163.6 176 160 179.6 160 184v160C160 348.4 163.6 352 168 352h160c4.42 0 8-3.578 8-8s-3.58-8-8-8H187.3l162.3-162.3c3.117-3.117 3.127-8.188 0-11.32C346.5 159.2 341.5 159.2 338.3 162.3zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-arrow-down-right": [512, 512, [], "e0fa", "M344 176c-4.418 0-7.998 3.578-7.998 8v140.7L173.7 162.3c-3.115-3.113-8.188-3.129-11.31 0c-3.127 3.129-3.117 8.199 0 11.32L324.7 336H184c-4.42 0-8 3.578-8 8S179.6 352 184 352h160c4.42 0 8-3.578 8-8v-160C352 179.6 348.4 176 344 176zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-arrow-left": [512, 512, ["arrow-circle-left"], "f0a8", "M376 248H155.3l106.3-106.3c3.125-3.125 3.125-8.188 0-11.31s-8.188-3.125-11.31 0l-120 120c-3.125 3.125-3.125 8.188 0 11.31l120 120C251.9 383.2 253.9 384 256 384s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31L155.3 264H376C380.4 264 384 260.4 384 256S380.4 248 376 248zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-arrow-right": [512, 512, ["arrow-circle-right"], "f0a9", "M261.7 130.3C260.1 128.8 258.1 128 256 128S251.9 128.8 250.3 130.3c-3.125 3.125-3.125 8.188 0 11.31L356.7 248H136C131.6 248 128 251.6 128 256s3.594 8 8 8h220.7l-106.3 106.3c-3.125 3.125-3.125 8.188 0 11.31s8.188 3.125 11.31 0l120-120c3.125-3.125 3.125-8.188 0-11.31L261.7 130.3zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-arrow-up": [512, 512, ["arrow-circle-up"], "f0aa", "M261.7 130.3c-3.125-3.125-8.188-3.125-11.31 0l-120 120C128.8 251.9 128 253.9 128 256s.7813 4.094 2.344 5.656c3.125 3.125 8.188 3.125 11.31 0L248 155.3V376C248 380.4 251.6 384 256 384s8-3.594 8-8V155.3l106.3 106.3c3.125 3.125 8.188 3.125 11.31 0s3.125-8.188 0-11.31L261.7 130.3zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-arrow-up-left": [512, 512, [], "e0fb", "M187.3 176H328c4.42 0 8-3.582 8-8C336 163.6 332.4 160 328 160h-160C163.6 160 160 163.6 160 168v160c0 4.422 3.576 8 8 8c4.418 0 7.998-3.578 7.998-8V187.3l162.3 162.3c3.115 3.117 8.188 3.129 11.31 0c3.127-3.125 3.117-8.195 0-11.31L187.3 176zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-arrow-up-right": [512, 512, [], "e0fc", "M344 160h-160C179.6 160 176 163.6 176 168c0 4.418 3.58 8 8 8h140.7l-162.3 162.3c-3.117 3.117-3.127 8.188 0 11.31c3.125 3.129 8.197 3.117 11.31 0l162.3-162.3V328c0 4.422 3.58 8 7.998 8c4.424 0 8-3.578 8-8v-160C352 163.6 348.4 160 344 160zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-b": [512, 512, [], "e0fd", "M308.5 250.3C325.1 237.9 336 218.3 336 196C336 158.5 305.5 128 268 128H168C163.6 128 160 131.6 160 136v240C160 380.4 163.6 384 168 384h124c37.5 0 68-30.5 68-68C360 284.2 338 257.7 308.5 250.3zM176 144h92C296.7 144 320 167.3 320 196S296.7 248 268 248H176V144zM292 368H176V264h116c28.67 0 52 23.33 52 52S320.7 368 292 368zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-bolt": [512, 512, [], "e0fe", "M325.8 112.3L290.9 224H364.9C375.5 224 384 232.5 384 243.1C384 248.5 381.7 253.6 377.8 257.2L206.7 412.7C204.4 414.8 201.4 416 198.2 416C189.7 416 183.7 407.8 186.2 399.7L221.1 288H146.5C136.3 288 128 279.7 128 269.5C128 264.3 130.2 259.4 134 255.9L305.3 99.29C307.6 97.18 310.6 96 313.8 96C322.3 96 328.3 104.2 325.8 112.3V112.3zM144 269.5C144 270.9 145.1 272 146.5 272H232C234.5 272 236.9 273.2 238.4 275.3C239.1 277.3 240.4 279.1 239.6 282.4L205.3 392.4L366.1 245.4C367.6 244.8 368 243.1 368 243.1C368 241.4 366.6 240 364.9 240H280C277.5 240 275.1 238.8 273.6 236.7C272 234.7 271.6 232 272.4 229.6L306.7 119.7L144.8 267.7C144.3 268.1 144 268.8 144 269.5V269.5zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "circle-book-open": [512, 512, ["book-circle"], "e0ff", "M387.1 156.8c-5.762-2.125-35.04-13.07-65.8-12.83C286.6 144.6 262.9 156.2 256 160C249.1 156.2 225.4 144.6 190.7 144c-29.83-.4766-60.25 10.78-65.8 12.83C117.2 159.7 112 167.2 112 175.6v163.1c0 10.45 10.1 18.44 20.62 15.22c16.43-5.09 31.84-7.037 45.81-7.037c44.95 0 74.9 20.15 75.29 20.41c1.418 .959 3.172 .9375 4.547 0c.3926-.2676 30.34-20.41 75.29-20.41c13.97 0 29.38 1.947 45.81 7.037C389.1 357.2 400 349.1 400 338.7V175.6C400 167.2 394.8 159.7 387.1 156.8zM248 346.2c-14.43-6.754-38.46-15.33-69.56-15.33c-16.94 0-33.95 2.609-50.44 7.818V175.6c0-1.688 1.006-3.236 2.461-3.771C151.5 164.1 172 160 190.5 160C221.2 160.5 242.1 170.6 248 173.9V346.2zM384 338.7c-16.49-5.209-33.49-7.818-50.44-7.818c-31.11 0-55.14 8.576-69.56 15.33V173.9C269.9 170.6 290.8 160.5 321.5 160c18.44 0 39.02 4.094 60.01 11.84C382.1 172.4 384 173.9 384 175.6V338.7zM256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-bookmark": [512, 512, ["bookmark-circle"], "e100", "M312 128h-112C177.9 128 160 145.9 160 168v208c0 3.094 1.781 5.906 4.562 7.234c2.812 1.344 6.094 .9062 8.5-1.047L256 314.3l82.94 67.84C340.4 383.4 342.2 384 344 384c1.156 0 2.344-.25 3.438-.7656C350.2 381.9 352 379.1 352 376v-208C352 145.9 334.1 128 312 128zM336 359.1l-74.94-61.31C259.6 296.6 257.8 296 256 296S252.4 296.6 250.9 297.8L176 359.1V168c0-13.23 10.78-24 24-24h112c13.22 0 24 10.77 24 24V359.1zM256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-c": [512, 512, [], "e101", "M338.4 176.8c3.109 3.094 8.203 3.062 11.31-.0938c3.094-3.141 3.062-8.203-.0938-11.31c-50.59-49.84-132.9-49.84-183.5 0C141.5 189.6 128 221.8 128 256s13.48 66.38 38.03 90.56c25.3 24.92 58.53 37.38 91.77 37.38s66.47-12.45 91.77-37.38c3.156-3.109 3.188-8.172 .0938-11.31c-3.109-3.156-8.203-3.188-11.31-.0938c-44.44 43.75-116.7 43.75-161.1 0C155.8 314 144 285.9 144 256s11.83-58 33.3-79.16C221.7 133.1 293.1 133.1 338.4 176.8zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-calendar": [512, 512, ["calendar-circle"], "e102", "M200 96C204.4 96 208 99.58 208 104V128H304V104C304 99.58 307.6 96 312 96C316.4 96 320 99.58 320 104V128H336C362.5 128 384 149.5 384 176V336C384 362.5 362.5 384 336 384H176C149.5 384 128 362.5 128 336V176C128 149.5 149.5 128 176 128H192V104C192 99.58 195.6 96 200 96zM192 168V144H176C158.3 144 144 158.3 144 176V208H368V176C368 158.3 353.7 144 336 144H320V168C320 172.4 316.4 176 312 176C307.6 176 304 172.4 304 168V144H208V168C208 172.4 204.4 176 200 176C195.6 176 192 172.4 192 168zM144 224V336C144 353.7 158.3 368 176 368H336C353.7 368 368 353.7 368 336V224H144zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "circle-camera": [512, 512, ["camera-circle"], "e103", "M256 208C229.5 208 208 229.5 208 256S229.5 304 256 304s48-21.5 48-48S282.5 208 256 208zM256 288C238.4 288 224 273.6 224 256s14.36-32 32-32s32 14.36 32 32S273.6 288 256 288zM352 160h-36l-6.188-16.44C306.3 134.2 297.4 128 287.4 128H224.6c-10 0-19 6.188-22.5 15.56L196 160H160C142.3 160 128 174.3 128 192v128c0 17.67 14.33 32 32 32h192c17.67 0 32-14.33 32-32V192C384 174.3 369.7 160 352 160zM368 320c0 8.822-7.178 16-16 16H160c-8.822 0-16-7.178-16-16V192c0-8.822 7.178-16 16-16h47.11l10-26.84C218.3 146.1 221.3 144 224.6 144h62.75c3.355 0 6.277 2.025 7.463 5.199L304.9 176H352c8.822 0 16 7.178 16 16V320zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-caret-down": [512, 512, ["caret-circle-down"], "f32d", "M345.6 192H166.4c-11.28 0-21.57 6.633-26.22 16.89C135.5 219.2 137.3 231.3 144.8 239.8l89.56 102.4C239.8 348.4 247.7 352 256 352s16.2-3.59 21.67-9.844l89.59-102.4c7.426-8.426 9.229-20.55 4.557-30.87C367.2 198.6 356.9 192 345.6 192zM355.2 229.2l-89.6 102.4C263.2 334.4 259.7 336 256 336s-7.199-1.602-9.625-4.375L156.8 229.2C153.4 225.4 152.7 220.1 154.8 215.5C156.8 210.9 161.4 208 166.4 208h179.2c5.025 0 9.576 2.922 11.65 7.5C359.3 220.1 358.6 225.4 355.2 229.2zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-caret-left": [512, 512, ["caret-circle-left"], "f32e", "M303.1 140.2c-3.771-1.711-7.779-2.578-11.91-2.578c-7.002 0-13.75 2.547-18.1 7.164L169.8 234.3C163.6 239.8 160 247.7 160 256s3.59 16.21 9.848 21.67l102.4 89.59c5.209 4.586 11.96 7.133 18.96 7.133c4.135 0 8.145-.8672 11.91-2.578C313.4 367.2 320 356.9 320 345.6V166.4C320 155.1 313.4 144.8 303.1 140.2zM304 345.6c0 5.023-2.926 9.57-7.5 11.65c-1.697 .7695-3.508 1.148-5.303 1.148c-3.043 0-6.049-1.086-8.422-3.172L180.4 265.6C177.6 263.2 176 259.7 176 256c0-3.703 1.6-7.203 4.375-9.625l102.4-89.6c2.373-2.086 5.381-3.172 8.422-3.172c1.797 0 3.604 .375 5.303 1.148C301.1 156.8 304 161.4 304 166.4V345.6zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-caret-right": [512, 512, ["caret-circle-right"], "f330", "M239.8 144.7C234.6 140.1 227.8 137.6 220.8 137.6c-4.135 0-8.145 .8672-11.91 2.578C198.6 144.8 192 155.1 192 166.4v179.2c0 11.27 6.629 21.56 16.89 26.22c3.77 1.711 7.777 2.578 11.91 2.578c7.004 0 13.75-2.547 18.1-7.164l102.4-89.57C348.4 272.2 352 264.3 352 256s-3.59-16.21-9.848-21.67L239.8 144.7zM331.6 265.6L229.2 355.2c-2.373 2.086-5.381 3.172-8.422 3.172c-1.797 0-3.604-.3789-5.303-1.148C210.9 355.2 208 350.6 208 345.6V166.4c0-5.023 2.926-9.574 7.5-11.65c1.699-.7734 3.508-1.148 5.303-1.148c3.043 0 6.049 1.082 8.422 3.172l102.4 89.6C334.4 248.8 336 252.3 336 256C336 259.7 334.4 263.2 331.6 265.6zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-caret-up": [512, 512, ["caret-circle-up"], "f331", "M277.7 169.8C272.2 163.6 264.3 160 256 160S239.8 163.6 234.3 169.8L144.7 272.2C137.3 280.7 135.5 292.8 140.2 303.1C144.8 313.4 155.1 320 166.4 320h179.2c11.28 0 21.57-6.633 26.22-16.89c4.672-10.31 2.871-22.44-4.594-30.91L277.7 169.8zM357.3 296.5C355.2 301.1 350.6 304 345.6 304H166.4c-5.025 0-9.576-2.926-11.65-7.5C152.7 291.9 153.4 286.5 156.8 282.8l89.6-102.4C248.8 177.6 252.3 176 256 176s7.199 1.602 9.625 4.375l89.6 102.4C358.6 286.5 359.3 291.9 357.3 296.5zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-check": [512, 512, [61533, "check-circle"], "f058", "M229.7 325.7C226.5 328.8 221.5 328.8 218.3 325.7L154.3 261.7C151.2 258.5 151.2 253.5 154.3 250.3C157.5 247.2 162.5 247.2 165.7 250.3L224 308.7L346.3 186.3C349.5 183.2 354.5 183.2 357.7 186.3C360.8 189.5 360.8 194.5 357.7 197.7L229.7 325.7zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "circle-chevron-down": [512, 512, ["chevron-circle-down"], "f13a", "M362.1 210.5l-106.2 113.7L149.8 210.5C148.3 208.9 146.1 208 143.1 208c-1.969 0-3.906 .7187-5.469 2.156C135.3 213.2 135.1 218.2 138.1 221.5l112 120c3 3.25 8.688 3.25 11.69 0l112-120c3.031-3.219 2.844-8.281-.375-11.3C370.2 207.2 365.2 207.3 362.1 210.5zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-chevron-left": [512, 512, ["chevron-circle-left"], "f137", "M304 143.1c0-1.969-.7187-3.906-2.156-5.469c-3.016-3.219-8.078-3.406-11.3-.375l-120 112c-3.25 3-3.25 8.688 0 11.69l120 112c3.219 3.031 8.281 2.844 11.3-.375c3-3.25 2.859-8.281-.3906-11.31L187.7 255.1l113.7-106.2C303.1 148.3 304 146.1 304 143.1zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-chevron-right": [512, 512, ["chevron-circle-right"], "f138", "M221.5 138.2C218.2 135.1 213.2 135.3 210.2 138.5c-3 3.25-2.859 8.281 .3906 11.31l113.7 106.2l-113.7 106.2C208.9 363.7 208 365.9 208 368c0 1.969 .7187 3.906 2.156 5.469c3.016 3.219 8.078 3.406 11.3 .375l120-112c3.25-3 3.25-8.688 0-11.69L221.5 138.2zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-chevron-up": [512, 512, ["chevron-circle-up"], "f139", "M261.9 170.5c-3-3.25-8.688-3.25-11.69 0l-112 120C135.1 293.8 135.3 298.8 138.5 301.8c3.25 3 8.281 2.859 11.31-.3906l106.2-113.7l106.2 113.7C363.7 303.1 365.9 304 368 304c1.969 0 3.906-.7187 5.469-2.156c3.219-3.016 3.406-8.078 .375-11.3L261.9 170.5zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-d": [512, 512, [], "e104", "M256 128H168C163.6 128 160 131.6 160 136v240C160 380.4 163.6 384 168 384H256c70.58 0 128-57.42 128-128S326.6 128 256 128zM256 368H176v-224H256c61.75 0 112 50.25 112 112S317.8 368 256 368zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-dashed": [512, 512, [], "e105", "M9.916 232C5.19 232 1.476 227.9 2.075 223.2C7.973 177.1 26.18 134.7 53.3 99.62C56.19 95.88 61.69 95.63 65.03 98.97C67.95 101.9 68.17 106.5 65.65 109.8C40.5 142.5 23.59 181.9 18.01 224.8C17.48 228.9 14.04 232 9.916 232H9.916zM109.8 65.65C106.5 68.17 101.9 67.95 98.97 65.03C95.63 61.69 95.88 56.19 99.62 53.3C134.7 26.18 177.1 7.973 223.2 2.075C227.9 1.476 232 5.19 232 9.916C232 14.04 228.9 17.48 224.8 18.01C181.9 23.59 142.5 40.5 109.8 65.65L109.8 65.65zM280 502.1C280 497.1 283.1 494.5 287.2 493.1C330.1 488.4 369.5 471.5 402.2 446.3C405.5 443.8 410.1 444.1 413 446.1C416.4 450.3 416.1 455.8 412.4 458.7C377.3 485.8 334.9 504 288.8 509.9C284.1 510.5 280 506.8 280 502.1V502.1zM493.1 287.2C494.5 283.1 497.1 280 502.1 280C506.8 280 510.5 284.1 509.9 288.8C504 334.9 485.8 377.3 458.7 412.4C455.8 416.1 450.3 416.4 446.1 413C444.1 410.1 443.8 405.5 446.3 402.2C471.5 369.5 488.4 330.1 493.1 287.2L493.1 287.2zM109.8 446.3C142.5 471.5 181.9 488.4 224.8 493.1C228.9 494.5 232 497.1 232 502.1C232 506.8 227.9 510.5 223.2 509.9C177.1 504 134.7 485.8 99.62 458.7C95.88 455.8 95.63 450.3 98.98 446.1C101.9 444.1 106.5 443.8 109.8 446.3V446.3zM2.076 288.8C1.477 284.1 5.19 280 9.916 280C14.04 280 17.48 283.1 18.01 287.2C23.59 330.1 40.5 369.5 65.66 402.2C68.17 405.5 67.95 410.1 65.03 413C61.69 416.4 56.19 416.1 53.3 412.4C26.18 377.3 7.974 334.9 2.076 288.8V288.8zM402.2 65.66C369.5 40.5 330.1 23.59 287.2 18.01C283.1 17.48 280 14.04 280 9.916C280 5.19 284.1 1.477 288.8 2.076C334.9 7.974 377.3 26.18 412.4 53.3C416.1 56.19 416.4 61.69 413 65.03C410.1 67.95 405.5 68.17 402.2 65.66V65.66zM446.3 109.8C443.8 106.5 444.1 101.9 446.1 98.98C450.3 95.63 455.8 95.88 458.7 99.62C485.8 134.7 504 177.1 509.9 223.2C510.5 227.9 506.8 232 502.1 232C497.1 232 494.5 228.9 493.1 224.8C488.4 181.9 471.5 142.5 446.3 109.8V109.8z"],
    "circle-divide": [512, 512, [], "e106", "M288 160C288 177.7 273.7 192 256 192C238.3 192 224 177.7 224 160C224 142.3 238.3 128 256 128C273.7 128 288 142.3 288 160zM256 144C247.2 144 240 151.2 240 160C240 168.8 247.2 176 256 176C264.8 176 272 168.8 272 160C272 151.2 264.8 144 256 144zM360 248C364.4 248 368 251.6 368 256C368 260.4 364.4 264 360 264H152C147.6 264 144 260.4 144 256C144 251.6 147.6 248 152 248H360zM224 352C224 334.3 238.3 320 256 320C273.7 320 288 334.3 288 352C288 369.7 273.7 384 256 384C238.3 384 224 369.7 224 352zM256 368C264.8 368 272 360.8 272 352C272 343.2 264.8 336 256 336C247.2 336 240 343.2 240 352C240 360.8 247.2 368 256 368zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "circle-dollar": [512, 512, ["dollar-circle", "usd-circle"], "f2e8", "M255.5 96C259.9 96 263.5 99.58 263.5 104V139.2C270.1 139.3 276.8 139.8 283.5 140.8C293.1 142.2 302.6 144.9 311.9 147.6C314.7 148.4 317.5 149.2 320.2 149.9C324.5 151.1 327 155.5 325.8 159.8C324.6 164 320.2 166.5 315.1 165.4C313.2 164.6 310.4 163.8 307.7 162.1C298.9 160.5 290.1 157.9 281.2 156.6C258.2 153.2 236.8 156.1 220.8 163C204.6 169.1 194.1 180.5 192.8 192.1C190.1 206.9 196.2 218.5 208.7 226.4C221.8 234.8 240.8 240.2 261.5 246.1L266.1 247.4C284.9 252.7 304.5 258.2 320.7 269.3C338.7 281.7 346.9 301 342.9 322.6C339.2 342.7 325.4 356.5 306.7 364C294.2 369 279.5 371.4 263.5 371.3L263.5 408C263.5 412.4 259.9 416 255.5 416C251.1 416 247.5 412.4 247.5 408L247.5 370.4C244.9 370.1 242.2 369.8 239.5 369.4L239.4 369.4C231.2 368.1 216.5 363.9 204.3 360.2C196.7 357.9 189.1 355.5 181.5 353C177.3 351.6 175 347.1 176.4 342.9C177.8 338.7 182.3 336.4 186.5 337.8C193.1 340.3 201.5 342.6 208.1 344.9C221.4 348.7 234.1 352.5 241.8 353.6C265.1 356.1 285.6 355.2 300.7 349.2C315.5 343.2 324.7 333.2 327.2 319.7C329.1 304.2 324.5 291.4 311.6 282.5C297.1 272.6 279.5 267.7 262.6 263C260.3 262.4 258 261.8 255.8 261.1C236.2 255.6 215.2 249.6 200 239.9C182.2 228.5 173.2 210.3 177.1 189.2C180.5 170.5 195.4 156.5 214.4 148.3C224.2 144.1 235.5 141.2 247.5 139.9V103.1C247.5 99.58 251.1 95.1 255.5 95.1L255.5 96zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "circle-dollar-to-slot": [512, 512, ["donate"], "f4b9", "M256.9 93.33C261.3 93.33 264.9 96.92 264.9 101.3V120.6C267.1 120.8 269.4 121.1 271.7 121.5C277.1 122.3 293.3 125.4 298.9 126.9C303.2 128.1 305.8 132.5 304.6 136.7C303.5 140.1 299.1 143.5 294.8 142.4C289.9 141.1 274.3 138.1 269.3 137.3C253.5 134.8 239.5 136.6 229.4 141.2C219.3 145.8 213.5 152.8 212.1 160.7C211 166.9 211.8 171.4 213.4 174.9C215.1 178.4 218 181.5 222.3 184.4C231.3 190.5 244.2 194.4 259 198.9L259.4 199C273.6 203.3 289.5 208.1 300.1 216.5C306.9 220.8 312 226.2 315.1 233.4C318.2 240.5 319 248.7 317.4 257.1C314.7 273.6 304.5 284.4 290.7 290.4C283 293.6 274.3 295.4 264.9 295.9V314.7C264.9 319.1 261.3 322.7 256.9 322.7C252.5 322.7 248.9 319.1 248.9 314.7V295.4C246.6 295.2 244.3 294.9 242.1 294.5L242 294.5C232.5 292.1 217 287.7 206.6 284.1C204.5 283.4 202.6 282.8 201 282.3C196.8 280.9 194.6 276.3 195.1 272.1C197.4 267.9 201.9 265.7 206.1 267.1C207.1 267.7 210.1 268.4 212.4 269.2C222.1 272.8 236.6 277.4 244.5 278.7C260.5 281.2 274.4 279.9 284.4 275.7C294.1 271.5 300 264.7 301.7 255.3C302.8 248.5 302.1 243.6 300.4 239.7C298.7 235.9 295.8 232.5 291.6 229.4C282.7 222.1 269.7 218.8 254.8 214.3L252.1 213.8C239.4 209.7 224.3 205.1 213.3 197.7C207.4 193.7 202.2 188.5 198.1 181.7C195.7 174.8 194.8 166.9 196.4 158C198.9 143.5 209.2 132.8 222.8 126.7C230.5 123.2 239.3 121.1 248.9 120.4V101.3C248.9 96.91 252.5 93.33 256.9 93.33L256.9 93.33zM464 208C464 322.9 370.9 416 256 416C141.1 416 48 322.9 48 208C48 93.12 141.1 0 256 0C370.9 0 464 93.12 464 208zM256 16C149.1 16 64 101.1 64 208C64 314 149.1 400 256 400C362 400 448 314 448 208C448 101.1 362 16 256 16zM48 368H77.11C82.1 373.6 87.35 378.9 92.83 384H48C30.33 384 16 398.3 16 416V464C16 481.7 30.33 496 48 496H464C481.7 496 496 481.7 496 464V416C496 398.3 481.7 384 464 384H419.2C424.7 378.9 429.9 373.6 434.9 368H464C490.5 368 512 389.5 512 416V464C512 490.5 490.5 512 464 512H48C21.49 512 0 490.5 0 464V416C0 389.5 21.49 368 48 368zM448 440C452.4 440 456 443.6 456 448C456 452.4 452.4 456 448 456H64C59.58 456 56 452.4 56 448C56 443.6 59.58 440 64 440H448z"],
    "circle-dot": [512, 512, [128280, "dot-circle"], "f192", "M352 256C352 309 309 352 256 352C202.1 352 160 309 160 256C160 202.1 202.1 160 256 160C309 160 352 202.1 352 256zM256 176C211.8 176 176 211.8 176 256C176 300.2 211.8 336 256 336C300.2 336 336 300.2 336 256C336 211.8 300.2 176 256 176zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "circle-down": [512, 512, [61466, "arrow-alt-circle-down"], "f358", "M348.7 256H304V152C304 138.7 293.3 128 280 128h-48C218.7 128 208 138.7 208 152V256H163.3C141.9 256 131.2 281.9 146.3 296.1l92.68 92.69C243.7 394.3 249.9 396.7 256 396.7s12.28-2.344 16.97-7.027l92.68-92.69C380.8 281.9 370.1 256 348.7 256zM354.3 285.7l-92.68 92.68C259.6 380.4 257.2 380.7 256 380.7s-3.617-.3047-5.656-2.344L157.7 285.7C154.2 282.2 155.3 278.4 155.9 276.9C156.5 275.5 158.5 272 163.3 272H224L223.1 152c0-4.414 3.589-8 8.001-8h48c4.412 0 7.999 3.586 7.999 8L288 272h60.68c4.824 0 6.777 3.453 7.393 4.938C356.7 278.4 357.8 282.2 354.3 285.7zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-down-left": [512, 512, [], "e107", "M324 154c-9.371-9.371-24.69-9.248-34.06 .123L216.6 227.6L184.1 195.1C169.9 180.8 144 191.5 144 212.9V344c.002 6.629 2.686 12.62 7.029 16.97S161.4 368 168 368h131.1c21.38 0 32.09-25.85 16.97-40.97l-31.6-31.6l73.42-73.42c9.373-9.371 9.494-24.69 .123-34.06L324 154zM346.7 210.6l-84.85 84.86l42.91 42.91c3.41 3.41 2.35 7.234 1.734 8.719C305.8 348.5 303.9 352 299.1 352H168c-2.883 0-4.781-1.469-5.656-2.344C161.5 348.8 160 346.9 160 344V212.9c0-4.824 3.451-6.777 4.936-7.395c1.486-.6133 5.309-1.672 8.719 1.738l42.91 42.91l84.85-84.85c3.119-3.121 8.193-3.121 11.31 0l33.94 33.94C349.8 202.4 349.8 207.5 346.7 210.6zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-down-right": [512, 512, [], "e108", "M327 195.1l-31.6 31.6L222 154.1C212.6 144.8 197.3 144.6 187.1 154L154 187.1C144.6 197.3 144.8 212.6 154.1 222l73.42 73.42l-31.6 31.6C180.8 342.1 191.5 368 212.9 368H344c6.627 0 12.63-2.688 16.97-7.031S367.1 350.6 368 344V212.9C368 191.5 342.1 180.8 327 195.1zM351.1 344c0 2.883-1.465 4.781-2.342 5.656C348.8 350.5 346.9 352 344 352H212.9c-4.826 0-6.775-3.453-7.393-4.938c-.6152-1.484-1.676-5.309 1.734-8.719l42.91-42.91L165.3 210.6c-3.121-3.117-3.121-8.191 0-11.31l33.94-33.94c3.119-3.121 8.193-3.121 11.31 0l84.85 84.85l42.91-42.91c3.41-3.41 7.232-2.352 8.719-1.738c1.484 .6172 4.936 2.57 4.936 7.395V344zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-e": [512, 512, [], "e109", "M344 144C348.4 144 352 140.4 352 136S348.4 128 344 128h-176C163.6 128 160 131.6 160 136v240C160 380.4 163.6 384 168 384h176c4.422 0 8-3.578 8-8s-3.578-8-8-8H176V264h120c4.422 0 8-3.578 8-8s-3.578-8-8-8H176V144H344zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-ellipsis": [512, 512, [], "e10a", "M256 240C264.8 240 272 247.2 272 256C272 264.8 264.8 272 256 272C247.2 272 240 264.8 240 256C240 247.2 247.2 240 256 240zM352 272C343.2 272 336 264.8 336 256C336 247.2 343.2 240 352 240C360.8 240 368 247.2 368 256C368 264.8 360.8 272 352 272zM160 240C168.8 240 176 247.2 176 256C176 264.8 168.8 272 160 272C151.2 272 144 264.8 144 256C144 247.2 151.2 240 160 240zM256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM496 256C496 123.5 388.5 16 256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256z"],
    "circle-ellipsis-vertical": [512, 512, [], "e10b", "M240 256C240 247.2 247.2 240 256 240C264.8 240 272 247.2 272 256C272 264.8 264.8 272 256 272C247.2 272 240 264.8 240 256zM272 160C272 168.8 264.8 176 256 176C247.2 176 240 168.8 240 160C240 151.2 247.2 144 256 144C264.8 144 272 151.2 272 160zM240 352C240 343.2 247.2 336 256 336C264.8 336 272 343.2 272 352C272 360.8 264.8 368 256 368C247.2 368 240 360.8 240 352zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "circle-envelope": [512, 512, ["envelope-circle"], "e10c", "M352 160H160C142.3 160 128 174.3 128 192v128c0 17.67 14.33 32 32 32h192c17.67 0 32-14.33 32-32V192C384 174.3 369.7 160 352 160zM368 320c0 8.822-7.178 16-16 16H160c-8.822 0-16-7.178-16-16V236.7l94.13 47.06C243.7 286.6 249.8 288 256 288s12.28-1.406 17.88-4.203L368 236.7V320zM368 218.9l-101.3 50.63c-6.75 3.375-14.75 3.375-21.5 0L144 218.9V192c0-8.822 7.178-16 16-16h192c8.822 0 16 7.178 16 16V218.9zM256 0C114.6 0 0 114.6 0 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-exclamation": [512, 512, ["exclamation-circle"], "f06a", "M256 304c4.406 0 8-3.578 8-8v-176c0-4.422-3.594-8-8-8S248 115.6 248 120v176C248 300.4 251.6 304 256 304zM256 352c-8.836 0-16 7.164-16 16S247.2 384 256 384s16-7.164 16-16S264.8 352 256 352zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-exclamation-check": [640, 512, [], "e10d", "M256 496C343.2 496 419.6 449.5 461.6 379.9C463.9 376.1 468.8 374.9 472.6 377.2C476.4 379.4 477.6 384.4 475.3 388.1C430.5 462.3 349 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C362.3 0 453.4 64.74 492.1 156.9C493.8 160.1 491.9 165.7 487.8 167.4C483.8 169.1 479.1 167.2 477.4 163.1C441 76.67 355.6 16 255.1 16C123.5 16 15.1 123.5 15.1 256C15.1 388.5 123.5 496 255.1 496L256 496zM264 296C264 300.4 260.4 304 256 304C251.6 304 248 300.4 248 296V136C248 131.6 251.6 128 256 128C260.4 128 264 131.6 264 136V296zM240 352C240 343.2 247.2 336 256 336C264.8 336 272 343.2 272 352C272 360.8 264.8 368 256 368C247.2 368 240 360.8 240 352zM613.7 186.3C616.8 189.5 616.8 194.5 613.7 197.7L485.7 325.7C482.5 328.8 477.5 328.8 474.3 325.7L410.3 261.7C407.2 258.5 407.2 253.5 410.3 250.3C413.5 247.2 418.5 247.2 421.7 250.3L480 308.7L602.3 186.3C605.5 183.2 610.5 183.2 613.7 186.3H613.7z"],
    "circle-f": [512, 512, [], "e10e", "M344 128h-176C163.6 128 160 131.6 160 136v240C160 380.4 163.6 384 168 384s8-3.578 8-8V272h136C316.4 272 320 268.4 320 264S316.4 256 312 256H176V144h168C348.4 144 352 140.4 352 136S348.4 128 344 128zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-g": [512, 512, [], "e10f", "M376 255.5H288c-4.406 0-8 3.578-8 8s3.594 8 8 8h79.69c-.8125 9.75-3.062 18.75-6.781 26.84C355.2 310.9 346.6 323.1 336 333.9c-41.13 41.67-108 44.89-152.4 7.078C159.4 320.3 145.3 291.6 144.1 260C142.8 228.8 154.8 198.3 176.8 176.3c42.06-42 109.6-43.92 153.8-4.297c3.312 2.984 8.375 2.703 11.31-.6094c2.938-3.297 2.656-8.359-.625-11.3c-50.59-45.3-127.8-43.13-175.8 4.891C140.3 190.2 126.7 225 128.1 260.6c1.469 36.09 17.5 68.95 45.16 92.52c23.75 20.22 53.13 30.2 82.5 30.2c33.34 0 66.69-12.88 91.63-38.25c11.88-12.05 21.59-25.92 28.09-40.11C381.1 292.7 384 278.7 384 263.5C384 259.1 380.4 255.5 376 255.5zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-h": [512, 512, [9405, "hospital-symbol"], "f47e", "M344 128c-4.406 0-8 3.578-8 8v112h-160v-112C176 131.6 172.4 128 168 128S160 131.6 160 136v240C160 380.4 163.6 384 168 384s8-3.578 8-8v-112h160v112c0 4.422 3.594 8 8 8S352 380.4 352 376v-240C352 131.6 348.4 128 344 128zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-half": [512, 512, [], "e110", "M224.1 1.971C241.6-.2109 256 14.33 256 31.1V480C256 497.7 241.6 512.2 224.1 510C97.75 494.3 0 386.6 0 255.1C0 125.4 97.75 17.69 224.1 1.971V1.971zM226 17.85C107.6 32.58 16 133.6 16 255.1C16 378.4 107.6 479.4 226 494.1C232.7 494.1 240 489.4 240 480V31.1C240 22.55 232.7 17.02 226 17.85V17.85z"],
    "circle-half-stroke": [512, 512, [9680, "adjust"], "f042", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM264 495.9C392.8 491.6 496 385.9 496 256C496 126.1 392.8 20.35 264 16.13V495.9zM248 495.9V16.13C119.2 20.35 16 126.1 16 256C16 385.9 119.2 491.6 248 495.9z"],
    "circle-heart": [512, 512, ["heart-circle"], "f4c7", "M238.3 173L256 191L273.7 173C303.1 143.2 350.8 143.2 380.1 173C409.5 202.8 409.5 251.2 380.1 280.1L278.5 384.2C272.3 390.5 264.1 393.6 255.1 393.6C247.9 393.6 239.7 390.5 233.5 384.2L131.9 280.1C102.5 251.2 102.5 202.8 131.9 173C161.2 143.2 208.9 143.2 238.3 173H238.3zM226.9 184.2C203.8 160.8 166.4 160.8 143.3 184.2C120 207.8 120 246.2 143.3 269.8L244.9 372.1C248 376.1 252 377.6 256 377.6C259.1 377.6 263.1 376.1 267.1 372.1L368.7 269.8C391.1 246.2 391.1 207.8 368.7 184.2C345.6 160.8 308.2 160.8 285.1 184.2L256 213.8L226.9 184.2zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "circle-i": [512, 512, [], "e111", "M344 144C348.4 144 352 140.4 352 136S348.4 128 344 128h-176C163.6 128 160 131.6 160 136S163.6 144 168 144h80v224h-80C163.6 368 160 371.6 160 376S163.6 384 168 384h176c4.406 0 8-3.578 8-8s-3.594-8-8-8h-80v-224H344zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-info": [512, 512, ["info-circle"], "f05a", "M288 352h-24.02l.0098-135.1c0-.0176 0 .0176 0 0C263.1 211.6 260.4 208 256 208H224c-4.406 0-8 3.594-8 8S219.6 224 224 224h23.98v128H224c-4.406 0-8 3.594-8 8S219.6 368 224 368h64c4.406 0 8-3.594 8-8S292.4 352 288 352zM255.9 176c8.822 0 16-7.178 16-16s-7.178-16-16-16s-16 7.178-16 16S247.1 176 255.9 176zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-j": [512, 512, [], "e112", "M344 128c-4.406 0-8 3.578-8 8v160c0 39.7-35.88 72-80 72s-80-32.3-80-72C176 291.6 172.4 288 168 288S160 291.6 160 296C160 344.5 203.1 384 256 384s96-39.47 96-88v-160C352 131.6 348.4 128 344 128zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-k": [512, 512, [], "e113", "M349.9 130.5c-3-3.203-8.062-3.438-11.31-.4062L176 281.3V136C176 131.6 172.4 128 168 128S160 131.6 160 136v240C160 380.4 163.6 384 168 384s8-3.578 8-8V303.1l59.73-55.54l101.9 133.3C339.2 382.9 341.6 384 344 384c1.703 0 3.406-.5313 4.859-1.641c3.516-2.688 4.172-7.703 1.5-11.22L247.5 236.6l101.9-94.79C352.7 138.8 352.9 133.8 349.9 130.5zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-l": [512, 512, [], "e114", "M344 368H176V136C176 131.6 172.4 128 168 128S160 131.6 160 136v240C160 380.4 163.6 384 168 384h176c4.422 0 8-3.578 8-8S348.4 368 344 368zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-left": [512, 512, [61840, "arrow-alt-circle-left"], "f359", "M360 208H256V163.3c0-21.38-25.85-32.09-40.97-16.97L122.3 239C117.7 243.7 115.3 249.9 115.3 256s2.344 12.28 7.029 16.97l92.68 92.69C230.1 380.8 256 370.1 256 348.7V304h104C373.3 304 384 293.3 384 280v-48C384 218.7 373.3 208 360 208zM368 280C368 284.4 364.4 288 360 288H240v60.68c0 4.824-3.453 6.777-4.938 7.395c-1.486 .6094-5.307 1.672-8.719-1.738L133.7 261.7C131.6 259.6 131.3 257.2 131.3 256s.3047-3.617 2.344-5.656l92.68-92.68c3.412-3.41 7.232-2.348 8.719-1.738C236.5 156.5 240 158.5 240 163.3V224h120c4.412 0 8 3.586 8 8V280zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-location-arrow": [512, 512, ["location-circle"], "f602", "M127.7 283C116 283 105.8 274.7 103.5 263.2C101.1 251.8 107.2 240.1 117.1 235.5L338.5 141C348 137.1 358.7 139.1 365.8 146.3C372.9 153.4 375 164.1 371 173.5L276.5 394C272.6 403.1 263.6 409 253.7 409C252.1 409 250.5 408.9 248.8 408.5C237.3 406.2 229 395.1 229 384.2V283H127.7zM119.2 259.1C119.1 264 123.6 267 127.7 267H244.1V384.2C244.1 388.3 247.9 391.1 251.9 392.9C252.5 392.9 253.1 393 253.7 393C257.2 393 260.4 390.9 261.8 387.7L356.3 167.2C357.8 163.8 356.1 160.1 354.5 157.6L354.4 157.5C352.1 155.2 348.4 154.3 344.7 155.8L124.3 250.2C120.5 251.8 118.3 256 119.2 259.1L119.2 259.1zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "circle-m": [512, 512, [], "e115", "M378.4 128.4c-3.312-1.078-7 .2187-8.969 3.109L256 296.4L142.6 131.5c-1.984-2.891-5.625-4.188-8.969-3.109C130.3 129.4 128 132.5 128 136v240C128 380.4 131.6 384 136 384s8-3.578 8-8V161.8l105.4 153.3c3 4.344 10.19 4.344 13.19 0L368 161.8V376c0 4.422 3.578 8 8 8S384 380.4 384 376v-240C384 132.5 381.7 129.4 378.4 128.4zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-microphone": [512, 512, ["microphone-circle"], "e116", "M256 320c35.3 0 64-28.7 64-64V160c0-35.3-28.7-64-64-64S192 124.7 192 160v96C192 291.3 220.7 320 256 320zM208 160c0-26.47 21.53-48 48-48s48 21.53 48 48v96c0 26.47-21.53 48-48 48S208 282.5 208 256V160zM360 216C355.6 216 352 219.6 352 224v32c0 52.94-43.06 96-96 96S160 308.9 160 256V224c0-4.422-3.578-8-8-8S143.1 219.6 143.1 224L144 256c0 59.01 46.04 107 104 111.2V416c0 4.422 3.578 8 8 8s8-3.578 8-8v-48.81C321.1 363 368 315 368 256V224C368 219.6 364.4 216 360 216zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-microphone-lines": [512, 512, ["microphone-circle-alt"], "e117", "M256 320c35.3 0 64-28.7 64-64V160c0-35.3-28.7-64-64-64S192 124.7 192 160v96C192 291.3 220.7 320 256 320zM208 160c0-26.47 21.53-48 48-48s48 21.53 48 48L256 159.1c-4.422 0-8 3.578-8 8S251.6 176 256 176h48V224L256 223.1c-4.422 0-8 3.578-8 8S251.6 240 256 240h48V256c0 26.47-21.53 48-48 48S208 282.5 208 256V160zM360 216C355.6 216 352 219.6 352 224v32c0 52.94-43.06 96-96 96S160 308.9 160 256V224c0-4.422-3.578-8-8-8S144 219.6 144 224v32c0 59.01 46.04 107 104 111.2V416c0 4.422 3.578 8 8 8s8-3.578 8-8v-48.81C321.1 363 368 315 368 256V224C368 219.6 364.4 216 360 216zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-minus": [512, 512, ["minus-circle"], "f056", "M352 248C356.4 248 360 251.6 360 256C360 260.4 356.4 264 352 264H160C155.6 264 152 260.4 152 256C152 251.6 155.6 248 160 248H352zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "circle-n": [512, 512, [], "e118", "M360 128C355.6 128 352 131.6 352 136v218.5L158 130.8C155.9 128.3 152.3 127.4 149.2 128.5C146.1 129.7 144 132.7 144 136v240C144 380.4 147.6 384 152 384S160 380.4 160 376V157.5l193.1 223.8C355.5 383 357.7 384 360 384c.9375 0 1.891-.1719 2.797-.5C365.9 382.3 368 379.3 368 376v-240C368 131.6 364.4 128 360 128zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-nodes": [512, 512, [], "e4e2", "M480 79.1C480 124.2 444.2 159.1 400 159.1C397.9 159.1 395.7 159.9 393.6 159.8L358.1 355.1C353.1 353.6 347.8 352.7 342.4 352.2L377.9 156.9C356.7 150.8 339.1 136.2 329 116.1L156.9 185.9C158.9 192.9 160 200.3 160 208C160 225.3 154.5 241.3 145.2 254.4L281.4 373.6C277.5 377.2 273.9 381.2 270.8 385.6L134.6 266.4C120.3 279.8 101.1 288 80 288C35.82 288 0 252.2 0 208C0 163.8 35.82 128 80 128C110.8 128 137.6 145.4 150.9 171L323.1 102.1C321.1 95.11 320 87.68 320 80C320 35.82 355.8 0 400 0C444.2 0 480 35.82 480 80L480 79.1zM400 15.1C364.7 15.1 336 44.65 336 79.1C336 115.3 364.7 143.1 400 143.1C435.3 143.1 464 115.3 464 79.1C464 44.65 435.3 15.1 400 15.1zM80 271.1C115.3 271.1 144 243.3 144 207.1C144 172.7 115.3 143.1 80 143.1C44.65 143.1 16 172.7 16 207.1C16 243.3 44.65 271.1 80 271.1zM416 432C416 476.2 380.2 512 336 512C291.8 512 256 476.2 256 432C256 387.8 291.8 352 336 352C380.2 352 416 387.8 416 432zM336 368C300.7 368 272 396.7 272 432C272 467.3 300.7 496 336 496C371.3 496 400 467.3 400 432C400 396.7 371.3 368 336 368z"],
    "circle-notch": [512, 512, [], "f1ce", "M199.7 14.28C200.9 18.55 198.3 22.93 194.1 24.07C91.53 51.38 16 144.9 16 256C16 388.6 123.5 496 256 496C388.5 496 496 388.6 496 256C496 144.9 420.5 51.38 317.9 24.07C313.7 22.93 311.1 18.55 312.3 14.28C313.4 10.01 317.8 7.47 322.1 8.607C431.4 37.74 512 137.4 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 137.4 80.58 37.74 189.9 8.607C194.2 7.47 198.6 10.01 199.7 14.28H199.7z"],
    "circle-o": [512, 512, [], "e119", "M256 128C185.4 128 128 185.4 128 256s57.42 128 128 128s128-57.42 128-128S326.6 128 256 128zM256 368c-61.75 0-112-50.25-112-112S194.3 144 256 144s112 50.25 112 112S317.8 368 256 368zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-p": [512, 512, [], "e11a", "M280 128h-112C163.6 128 160 131.6 160 136v240C160 380.4 163.6 384 168 384s8-3.578 8-8V304h104c48.53 0 88-39.47 88-88S328.5 128 280 128zM280 288H176V144h104C319.7 144 352 176.3 352 216S319.7 288 280 288zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-parking": [512, 512, ["parking-circle"], "f615", "M288 128C336.6 128 376 167.4 376 216C376 264.6 336.6 304 288 304H192V376C192 380.4 188.4 384 184 384C179.6 384 176 380.4 176 376V144C176 135.2 183.2 128 192 128H288zM360 216C360 176.2 327.8 144 288 144H192V288H288C327.8 288 360 255.8 360 216zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "circle-pause": [512, 512, [62092, "pause-circle"], "f28b", "M320 152c-4.422 0-8 3.578-8 8v192c0 4.422 3.578 8 8 8s8-3.578 8-8V160C328 155.6 324.4 152 320 152zM192 152C187.6 152 184 155.6 184 160v192c0 4.422 3.578 8 8 8S200 356.4 200 352V160C200 155.6 196.4 152 192 152zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-phone": [512, 512, ["phone-circle"], "e11b", "M377.7 296.3l-54.22-23.23c-9.594-4.141-21.05-1.406-27.61 6.766l-17.92 21.89C249.4 286.3 225.7 262.6 210.4 234.1l21.89-17.94c8.094-6.625 10.89-17.94 6.797-27.58L215.8 134.3C211.2 123.8 199.8 118.1 188.7 120.6L138.3 132.2C127.5 134.7 120 144.2 120 155.3C120 285.8 226.2 392 356.8 392c11.08 0 20.55-7.531 23.03-18.31l11.62-50.39C393.1 312.2 388.2 300.8 377.7 296.3zM364.2 370.1C363.4 373.6 360.3 376 356.8 376C235 376 136 276.1 136 155.3c0-3.578 2.422-6.625 5.906-7.422l50.39-11.62C192.9 136.1 193.4 136 194 136c3 0 5.812 1.781 7.047 4.625l23.27 54.25c1.312 3.109 .4062 6.766-2.219 8.906L190.3 229.8l2.781 5.703c17.7 36.06 47.33 65.67 83.42 83.41l5.703 2.797l26.08-31.88c2.094-2.609 5.75-3.531 8.859-2.141l54.22 23.23c3.406 1.469 5.266 5.141 4.438 8.734L364.2 370.1zM256 0c-141.4 0-256 114.6-256 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-phone-flip": [512, 512, ["phone-circle-alt"], "e11c", "M373.7 132.2L323.3 120.6c-11.09-2.484-22.47 3.172-27.09 13.7l-23.27 54.31c-4.094 9.609-1.297 20.94 6.781 27.53l21.91 17.95c-15.39 28.5-39.08 52.19-67.61 67.58L216.2 279.8C209.5 271.6 198.1 268.8 188.5 273L134.3 296.3c-10.5 4.531-16.28 15.91-13.7 27.03l11.62 50.39C134.7 384.5 144.2 392 155.3 392C285.8 392 392 285.8 392 155.3C392 144.2 384.5 134.7 373.7 132.2zM155.3 376c-3.578 0-6.641-2.422-7.438-5.906l-11.62-50.39C135.4 316.1 137.2 312.5 140.6 310.1l54.25-23.27c3.156-1.359 6.75-.4219 8.891 2.203l26.03 31.83l5.703-2.797c36.08-17.72 65.72-47.34 83.44-83.41l2.797-5.703l-31.84-26.08c-2.609-2.125-3.5-5.781-2.188-8.859l23.23-54.22c1.516-3.453 5.203-5.344 8.797-4.484l50.39 11.62C373.6 148.6 376 151.7 376 155.3C376 276.1 276.1 376 155.3 376zM256 0c-141.4 0-256 114.6-256 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-phone-hangup": [512, 512, ["phone-circle-down"], "e11d", "M423.4 231.1c-92.31-92.31-242.5-92.31-334.8 0c-7.844 7.844-9.213 19.87-3.324 29.22l27.39 43.83c6.088 9.602 18.13 13.64 28.85 9.469l54.86-21.95c9.689-3.9 15.72-13.89 14.67-24.26L208.2 239.2c31.04-9.27 64.54-9.27 95.59 .0215l-2.807 28.09c-1.127 10.52 4.949 20.55 14.72 24.37l54.79 21.91c10.63 4.221 22.76 .2656 28.8-9.424l27.41-43.85C432.6 250.9 431.2 238.9 423.4 231.1zM413.2 251.8l-27.41 43.85c-1.957 3.125-5.855 4.396-9.293 3.037l-54.81-21.91c-3.193-1.271-5.072-4.475-4.729-7.846l4.098-40.91l-6.01-2.055C276.1 213 235.1 212.1 197 225.1l-6.01 2.057L195.1 268.1c.3418 3.348-1.613 6.562-4.717 7.811L135.6 298.7C132.1 300.1 128.2 298.8 126.2 295.7L98.82 251.8C96.93 248.8 97.38 244.9 99.91 242.4c86.07-86.07 226.1-86.07 312.2 0C414.6 244.9 415.1 248.8 413.2 251.8zM256 0c-141.4 0-256 114.6-256 256c0 141.4 114.6 256 256 256s256-114.6 256-256C512 114.6 397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-play": [512, 512, [61469, "play-circle"], "f144", "M356.5 235.5C363.6 239.9 368 247.6 368 256C368 264.4 363.6 272.1 356.5 276.5L212.5 364.5C205.1 369 195.8 369.2 188.3 364.9C180.7 360.7 176 352.7 176 344V167.1C176 159.3 180.7 151.3 188.3 147.1C195.8 142.8 205.1 142.1 212.5 147.5L356.5 235.5zM192 168V344C192 346.9 193.6 349.6 196.1 350.1C198.6 352.4 201.7 352.3 204.2 350.8L348.2 262.8C350.6 261.4 352 258.8 352 256C352 253.2 350.6 250.6 348.2 249.2L204.2 161.2C201.7 159.7 198.6 159.6 196.1 161C193.6 162.4 192 165.1 192 168V168zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496z"],
    "circle-plus": [512, 512, ["plus-circle"], "f055", "M248 352V264H160C155.6 264 152 260.4 152 256C152 251.6 155.6 248 160 248H248V160C248 155.6 251.6 152 256 152C260.4 152 264 155.6 264 160V248H352C356.4 248 360 251.6 360 256C360 260.4 356.4 264 352 264H264V352C264 356.4 260.4 360 256 360C251.6 360 248 356.4 248 352zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "circle-q": [512, 512, [], "e11e", "M256 128C185.4 128 128 185.4 128 256s57.41 128 128 128c32.41 0 61.7-12.49 84.27-32.41l30.07 30.07C371.9 383.2 373.9 384 376 384s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31l-30.07-30.07C371.5 317.7 384 288.4 384 256C384 185.4 326.6 128 256 128zM340.3 328.1l-38.62-38.62c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31l38.62 38.62C309.3 357.3 283.1 368 256 368c-61.75 0-112-50.25-112-112S194.3 144 256 144s112 50.25 112 112C368 283.1 357.3 309.3 340.3 328.1zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-quarter": [512, 512, [], "e11f", "M224.1 1.971C241.6-.2109 255.1 14.33 255.1 31.1V223.1C255.1 241.7 241.7 255.1 223.1 255.1H31.1C14.33 255.1-.2112 241.6 1.972 224.1C16.39 108.2 108.2 16.39 224.1 1.971V1.971zM31.1 239.1H223.1C232.8 239.1 239.1 232.8 239.1 223.1V31.1C239.1 22.55 232.7 17.02 226 17.85C117.5 31.36 31.36 117.5 17.85 226C17.02 232.7 22.55 239.1 31.1 239.1V239.1z"],
    "circle-quarters": [512, 512, [], "e3f8", "M256 0c-141.4 0-256 114.6-256 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 16c63.4 0 121.1 24.58 163.1 64.73L256 244.7L92.05 80.73C134.9 40.58 192.6 16 256 16zM16 256c0-63.4 24.58-121.1 64.73-163.1L244.7 256l-163.1 163.1C40.58 377.1 16 319.4 16 256zM256 496c-63.4 0-121.1-24.58-163.1-64.73l163.1-163.1l163.1 163.1C377.1 471.4 319.4 496 256 496zM431.3 419.1L267.3 256l163.1-163.1C471.4 134.9 496 192.6 496 256S471.4 377.1 431.3 419.1z"],
    "circle-question": [512, 512, [62108, "question-circle"], "f059", "M288.6 128H223.4C188.4 128 160 156.4 160 191.4V202c0 4.422 3.594 8 8 8s8-3.578 8-8V191.4C176 165.3 197.3 144 223.4 144h65.19C314.7 144 336 165.3 336 191.4c0 17.2-9.344 33.08-24.06 41.27L245.8 265.7C236.3 270.1 230.4 281 230.4 291.9V312c0 4.422 3.593 8 8 8c4.406 0 8-3.578 8-8V291.9c0-5.078 2.75-9.766 6.875-12.06l66.09-33.05C339.5 235.7 352 214.4 352 191.4C352 156.4 323.6 128 288.6 128zM240 352C231.2 352 224 359.2 224 368S231.2 384 240 384s16-7.164 16-16S248.8 352 240 352zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-r": [512, 512, [], "e120", "M368 208C368 163.9 332.1 128 288 128H168C163.6 128 160 131.6 160 136v240C160 380.4 163.6 384 168 384s8-3.578 8-8V288h100.2l77.6 93.13C355.4 383 357.7 384 360 384c1.812 0 3.625-.6094 5.125-1.859c3.406-2.828 3.844-7.875 1.031-11.27l-69.77-83.72C336.5 282.9 368 249.2 368 208zM288 272H176v-128H288c35.28 0 64 28.7 64 64S323.3 272 288 272zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-radiation": [512, 512, [9762, "radiation-alt"], "f7ba", "M208 256c0-4.422-3.578-8-8-8H121c-2.281 0-4.359-.9375-5.875-2.656C113.5 243.5 112.8 240.1 113.1 238.4C117.6 201.5 136.3 168.1 165.8 144.4c1.906-1.547 4.422-2.219 6.797-1.812c2.281 .3906 4.219 1.672 5.437 3.609l41.64 66.7c2.344 3.766 7.344 4.891 11.02 2.547c3.75-2.328 4.891-7.266 2.547-11.02L191.6 137.7C187.9 131.9 181.1 127.9 175.2 126.8C168.3 125.6 161.2 127.5 155.7 131.9C123 158.3 102.3 195.4 97.2 236.5C96.33 243.5 98.52 250.7 103.2 255.9C107.7 261.1 114.2 264 121 264H200C204.4 264 208 260.4 208 256zM224 256c0 17.64 14.36 32 32 32s32-14.36 32-32s-14.36-32-32-32S224 238.4 224 256zM256 240c8.828 0 16 7.172 16 16S264.8 272 256 272S240 264.8 240 256S247.2 240 256 240zM256 16C123.5 16 16 123.5 16 256s107.5 240 240 240s240-107.5 240-240S388.5 16 256 16zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480zM356.4 132c-5.484-4.422-12.58-6.297-19.5-5.172c-6.766 1.141-12.72 5.109-16.36 10.91l-41.72 66.67c-2.344 3.75-1.203 8.688 2.531 11.03c3.781 2.359 8.703 1.234 11.03-2.531l41.72-66.67c1.219-1.953 3.156-3.234 5.438-3.625c2.328-.3438 4.859 .2656 6.797 1.828c29.36 23.72 48.03 57.09 52.58 93.97c.3125 2.547-.4531 5.062-2.094 6.922C395.3 247.1 393.2 248 390.1 248H312c-4.422 0-8 3.578-8 8s3.578 8 8 8h78.95c6.828 0 13.33-2.938 17.86-8.062c4.672-5.281 6.859-12.39 5.984-19.48C409.8 195.4 389 158.3 356.4 132zM292.4 299.1c-2.328-3.688-7.25-4.812-11.03-2.531c-3.734 2.344-4.875 7.281-2.531 11.03l41.78 66.75c1.188 1.938 1.5 4.188 .8594 6.344c-.6875 2.375-2.438 4.375-4.781 5.5c-38.67 18.31-82.86 18.31-121.3 .0313c-2.344-1.125-4.094-3.125-4.781-5.5c-.6406-2.156-.3281-4.406 .875-6.312l41.73-66.81c2.344-3.75 1.203-8.688-2.547-11.03C226.1 294.3 221.1 295.4 219.6 299.1l-41.73 66.81c-3.656 5.844-4.609 12.69-2.672 19.31c1.969 6.75 6.812 12.38 13.28 15.44C209.9 410.8 232.6 416 256 416c23.34 0 46.08-5.156 67.56-15.38c6.453-3.062 11.3-8.688 13.27-15.44c1.938-6.594 1-13.47-2.656-19.31L292.4 299.1z"],
    "circle-right": [512, 512, [61838, "arrow-alt-circle-right"], "f35a", "M296.1 146.3C281.9 131.2 256 141.9 256 163.3V208H152C138.7 208 128 218.7 128 232v48C128 293.3 138.7 304 152 304H256v44.69c0 21.38 25.85 32.09 40.97 16.97l92.68-92.69C394.3 268.3 396.7 262.1 396.7 256s-2.344-12.28-7.029-16.97L296.1 146.3zM378.3 261.7l-92.68 92.68c-3.412 3.41-7.232 2.348-8.719 1.738C275.5 355.5 272 353.5 272 348.7V288H152C147.6 288 144 284.4 144 280v-48C144 227.6 147.6 224 152 224h120V163.3c0-4.824 3.453-6.777 4.938-7.395c1.486-.6094 5.307-1.672 8.719 1.738l92.68 92.68C380.4 252.4 380.7 254.8 380.7 256S380.4 259.6 378.3 261.7zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-s": [512, 512, [], "e121", "M258 248.3C202.8 233.9 169.8 222.3 177 184.1c2.156-11.48 8.875-21.16 19.41-27.98c16.31-10.58 50.5-19.58 120.6-2.719c4.281 .9844 8.625-1.609 9.656-5.906S325 138.9 320.7 137.8c-60.66-14.59-105.3-12.95-133 4.844C173.4 151.1 164.3 165.2 161.3 181.1c-10.5 55.64 44.34 70 92.72 82.67c55.25 14.47 88.25 26 81.03 64.23c-2.594 13.73-9.594 23.66-21.44 30.36c-33.53 18.91-95.72 7-142.8-10.42c-4.031-1.531-8.75 .5781-10.28 4.719s.5625 8.75 4.719 10.28c16.78 6.219 61.28 21.06 103.1 21.06c19.25 0 37.94-3.141 53.09-11.7c15.97-9.047 25.81-22.94 29.31-41.33C361.3 275.4 306.4 261 258 248.3zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-small": [320, 512, [], "e122", "M0 256C0 167.6 71.63 96 160 96C248.4 96 320 167.6 320 256C320 344.4 248.4 416 160 416C71.63 416 0 344.4 0 256zM160 400C239.5 400 304 335.5 304 256C304 176.5 239.5 112 160 112C80.47 112 16 176.5 16 256C16 335.5 80.47 400 160 400z"],
    "circle-sort": [512, 512, ["sort-circle"], "e030", "M335.8 288H176.2C166.2 288 157.7 293.7 153.9 302.9c-3.812 9.156-1.844 19.22 5.156 26.22l80.09 80C243.8 413.5 249.8 416 256 416c6.219 0 12.44-2.531 17.12-7.031l79.84-79.88c7-7 8.969-17.06 5.156-26.22C354.3 293.7 345.8 288 335.8 288zM341.7 317.8l-79.72 79.75c-3.219 3.125-8.531 3.062-11.62 .125L170.3 317.8C166.8 314.3 168.2 310.2 168.7 309C169.1 307.8 171.1 304 176.2 304h159.7c5.031 0 7.031 3.812 7.5 5C343.8 310.2 345.2 314.3 341.7 317.8zM273 102.9c-9.156-8.781-24.47-8.969-34 .125L159 182.9c-7 7-8.969 17.06-5.156 26.22C157.7 218.3 166.2 224 176.2 224h159.7c9.938 0 18.47-5.688 22.28-14.88c3.812-9.156 1.844-19.22-5.156-26.22L273 102.9zM343.3 203C342.9 204.2 340.9 208 335.8 208H176.2c-5.031 0-7.031-3.812-7.5-5c-.5-1.188-1.812-5.281 1.688-8.781l79.84-79.75C251.8 112.9 253.9 112 256 112c2.125 0 4.312 .9062 5.812 2.344l79.84 79.88C345.2 197.7 343.8 201.8 343.3 203zM256 0c-141.4 0-256 114.6-256 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-sort-down": [512, 512, ["sort-circle-down"], "e031", "M335.8 288H176.2C166.2 288 157.7 293.7 153.9 302.9c-3.812 9.156-1.844 19.22 5.156 26.22l80.09 80C243.8 413.5 249.8 416 256 416c6.219 0 12.44-2.531 17.12-7.031l79.84-79.88c7-7 8.969-17.06 5.156-26.22C354.3 293.7 345.8 288 335.8 288zM341.7 317.8l-79.72 79.75c-3.219 3.125-8.531 3.062-11.62 .125L170.3 317.8C166.8 314.3 168.2 310.2 168.7 309C169.1 307.8 171.1 304 176.2 304h159.7c5.031 0 7.031 3.812 7.5 5C343.8 310.2 345.2 314.3 341.7 317.8zM273 102.9C263.9 94.13 248.5 93.97 239 103L154.4 186.3C151.3 189.4 151.2 194.5 154.3 197.6c3.094 3.125 8.156 3.188 11.31 .0625l84.56-83.22c3.344-3.219 8.625-3 11.66-.0938l84.53 83.31C347.9 199.2 349.1 200 352 200c2.062 0 4.125-.7813 5.688-2.375c3.125-3.156 3.062-8.219-.0625-11.31L273 102.9zM256 0c-141.4 0-256 114.6-256 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-sort-up": [512, 512, ["sort-circle-up"], "e032", "M346.4 314.3l-84.56 83.22c-3.344 3.219-8.625 3-11.66 .0938L165.6 314.3C164.1 312.8 162 312 160 312c-2.062 0-4.125 .7813-5.688 2.375c-3.125 3.156-3.062 8.219 .0625 11.31L239 409.1c9.125 8.781 24.47 8.938 33.97-.0938l84.66-83.31c3.125-3.094 3.188-8.156 .0625-11.31C354.6 311.3 349.5 311.2 346.4 314.3zM176.2 224h159.7c9.938 0 18.47-5.688 22.28-14.88c3.812-9.156 1.844-19.22-5.156-26.22l-80.09-80C268.2 98.47 262.3 95.1 256 95.1c-6.219 0-12.44 2.531-17.12 7.031L159 182.9c-7 7-8.969 17.06-5.156 26.22C157.7 218.3 166.2 224 176.2 224zM170.3 194.2l79.72-79.75c3.219-3.125 8.531-3.062 11.62-.125l79.97 79.88c3.5 3.5 2.188 7.594 1.688 8.781C342.9 204.2 340.9 208 335.8 208H176.2c-5.031 0-7.031-3.812-7.5-5C168.2 201.8 166.8 197.7 170.3 194.2zM256 0c-141.4 0-256 114.6-256 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-star": [512, 512, ["star-circle"], "e123", "M387.6 198.1C393.7 199 398.7 203.2 400.6 209C402.4 214.8 400.9 221.2 396.5 225.4L337.9 282.6L351.7 363.3C352.7 369.3 350.3 375.4 345.3 378.1C340.4 382.6 333.9 383 328.5 380.2L256 342.1L183.5 380.2C178.1 383 171.6 382.6 166.7 378.1C161.7 375.4 159.3 369.3 160.3 363.3L174.1 282.6L115.5 225.4C111.1 221.2 109.6 214.8 111.4 209C113.3 203.2 118.3 199 124.4 198.1L205.4 186.4L241.7 112.9C244.3 107.5 249.9 103.1 256 103.1C262.1 103.1 267.7 107.5 270.3 112.9L306.6 186.4L387.6 198.1zM126.7 213.1L185.3 271.1C189.1 274.8 190.8 280.1 189.9 285.3L176.1 366L248.6 327.9C253.2 325.5 258.8 325.5 263.4 327.9L335.9 366L322.1 285.3C321.2 280.1 322.9 274.8 326.7 271.1L385.3 213.1L304.3 202.2C299.1 201.4 294.6 198.2 292.2 193.4L256 120L219.8 193.4C217.4 198.2 212.9 201.4 207.7 202.2L126.7 213.1zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "circle-stop": [512, 512, [62094, "stop-circle"], "f28d", "M328 160h-144C170.8 160 160 170.8 160 184v144C160 341.2 170.8 352 184 352h144c13.2 0 24-10.8 24-24v-144C352 170.8 341.2 160 328 160zM336 328c0 4.336-3.664 8-8 8h-144c-4.336 0-8-3.664-8-8v-144c0-4.336 3.664-8 8-8h144c4.336 0 8 3.664 8 8V328zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-t": [512, 512, [], "e124", "M376 144h-240C131.6 144 128 147.6 128 152S131.6 160 136 160h112v232c0 4.422 3.594 8 8 8s8-3.578 8-8V160h112C380.4 160 384 156.4 384 152S380.4 144 376 144zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-three-quarters": [512, 512, [], "e125", "M224.1 1.971C241.6-.2109 256 14.33 256 31.1V255.1H480C497.7 255.1 512.2 270.4 510 287.9C494.3 414.2 386.6 512 256 512C114.6 512 0 397.4 0 255.1C0 125.4 97.75 17.69 224.1 1.971V1.971zM240 271.1V31.1C240 22.55 232.7 17.02 226 17.85C107.6 32.58 16 133.6 16 255.1C16 388.5 123.5 496 256 496C378.4 496 479.4 404.4 494.2 285.1C494.1 279.3 489.4 271.1 480 271.1H240z"],
    "circle-trash": [512, 512, ["trash-circle"], "e126", "M196 160L217.6 131.2C219.1 129.2 221.5 128 224 128H288C290.5 128 292.9 129.2 294.4 131.2L316 160H352C356.4 160 360 163.6 360 168C360 172.4 356.4 176 352 176H342.9L330.1 354.3C328.9 371 314.1 384 298.2 384H213.8C197 384 183.1 371 181.9 354.3L169.1 176H160C155.6 176 152 172.4 152 168C152 163.6 155.6 160 160 160H196zM216 160H296L284 144H228L216 160zM326.8 176H185.2L197.8 353.1C198.4 361.5 205.4 368 213.8 368H298.2C306.6 368 313.6 361.5 314.2 353.1L326.8 176zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "circle-u": [512, 512, [], "e127", "M360 144C355.6 144 352 147.6 352 152v141.8C352 343.5 308.9 384 256 384s-96-40.45-96-90.19V152C160 147.6 156.4 144 152 144S144 147.6 144 152v141.8C144 352.4 194.3 400 256 400s112-47.64 112-106.2V152C368 147.6 364.4 144 360 144zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-up": [512, 512, [61467, "arrow-alt-circle-up"], "f35b", "M272.1 122.3C268.3 117.7 262.1 115.3 256 115.3S243.7 117.7 239 122.3L146.3 215C131.2 230.1 141.9 256 163.3 256H208v104C208 373.3 218.7 384 232 384h48c13.25 0 24-10.74 24-24V256h44.69c21.38 0 32.09-25.85 16.97-40.97L272.1 122.3zM356.1 235.1C355.5 236.5 353.5 240 348.7 240H288l.0006 120c0 4.414-3.589 8-8.001 8h-48c-4.412 0-7.999-3.586-7.999-8L224 240H163.3c-4.824 0-6.777-3.453-7.393-4.938c-.6133-1.484-1.676-5.305 1.736-8.719l92.68-92.68C252.4 131.6 254.8 131.3 256 131.3s3.617 .3047 5.656 2.344l92.68 92.68C357.8 229.8 356.7 233.6 356.1 235.1zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-up-left": [512, 512, [], "e128", "M284.4 216.6l31.6-31.6C331.2 169.9 320.5 144 299.1 144H168c-6.627 0-12.63 2.688-16.97 7.031S144 161.4 144 168v131.1c0 21.38 25.85 32.09 40.97 16.97l31.6-31.6l73.42 73.41c9.373 9.371 24.69 9.497 34.06 .126l33.94-33.94c9.371-9.375 9.25-24.69-.123-34.06L284.4 216.6zM346.7 312.7l-33.94 33.94c-3.119 3.121-8.193 3.121-11.31 0L216.6 261.8L173.7 304.7C170.2 308.1 166.4 307.1 164.9 306.5C163.5 305.9 160 303.9 160 299.1V168c0-2.883 1.465-4.781 2.342-5.656C163.2 161.5 165.1 160 168 160h131.1c4.826 0 6.775 3.453 7.393 4.938c.6152 1.484 1.676 5.309-1.734 8.719l-42.91 42.91l84.85 84.86C349.8 304.5 349.8 309.6 346.7 312.7zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-up-right": [512, 512, [], "e129", "M344 144H212.9c-21.38 0-32.09 25.85-16.97 40.97l31.6 31.6L154.1 289.1c-9.373 9.371-9.494 24.69-.123 34.06l33.94 33.94c9.371 9.371 24.69 9.245 34.06-.126l73.42-73.41l31.6 31.6C342.1 331.2 368 320.5 368 299.1V168c-.002-6.629-2.686-12.62-7.029-16.97S350.6 144 344 144zM351.1 299.1c0 4.824-3.451 6.777-4.936 7.395c-1.486 .6133-5.309 1.672-8.719-1.738l-42.91-42.91l-84.85 84.85c-3.119 3.121-8.193 3.121-11.31 0L165.3 312.7c-3.121-3.121-3.121-8.195 0-11.31l84.85-84.86L207.3 173.7C203.9 170.2 204.9 166.4 205.5 164.9C206.2 163.5 208.1 160 212.9 160H344c2.883 0 4.781 1.469 5.656 2.344C350.5 163.2 351.1 165.1 351.1 168V299.1zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-user": [512, 512, [62142, "user-circle"], "f2bd", "M256 128C211.8 128 176 163.8 176 208S211.8 288 256 288c44.18 0 80-35.82 80-80S300.2 128 256 128zM256 272c-35.29 0-64-28.71-64-64s28.71-64 64-64s64 28.71 64 64S291.3 272 256 272zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-54.04 0-103.8-18.17-143.1-48.43C112.3 386 162.4 336 224 336h64c61.61 0 111.7 50.02 111.1 111.6C359.8 477.8 310 496 256 496zM414.7 435.5C408.4 370.8 354.4 320 288 320H224c-66.42 0-120.4 50.78-126.7 115.5C47.55 391.5 16 327.4 16 256c0-132.3 107.7-240 240-240s240 107.7 240 240C496 327.4 464.4 391.5 414.7 435.5z"],
    "circle-v": [512, 512, [], "e12a", "M368.8 148.4L256 374.1L143.2 148.4C141.2 144.5 136.4 142.9 132.4 144.8C128.5 146.8 126.9 151.6 128.8 155.6l120 240C250.2 398.3 252.1 400 256 400s5.797-1.719 7.156-4.422l120-240c1.969-3.953 .375-8.75-3.578-10.73C375.6 142.9 370.8 144.5 368.8 148.4zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-video": [512, 512, ["video-circle"], "e12b", "M288 160H160C142.3 160 128 174.3 128 192v128c0 17.67 14.33 32 32 32h128c17.67 0 32-14.33 32-32V192C320 174.3 305.7 160 288 160zM304 320c0 8.822-7.178 16-16 16H160c-8.822 0-16-7.178-16-16V192c0-8.822 7.178-16 16-16h128c8.822 0 16 7.178 16 16V320zM392.9 182.6l-52.44 26.22c-3.969 1.969-5.562 6.781-3.594 10.72c2 4 6.938 5.531 10.72 3.594L400 196.9v118.1l-52.44-26.22c-3.812-1.906-8.719-.375-10.72 3.594c-1.969 3.938-.375 8.75 3.594 10.72l52.44 26.22C395.1 330.5 397.6 331.1 400 331.1c2.938 0 5.812-.7813 8.406-2.375C413.2 325.8 416 320.7 416 315.1V196.9c0-5.594-2.844-10.69-7.594-13.62S397.8 180.1 392.9 182.6zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-w": [512, 512, [], "e12c", "M394.3 144.3c-4.141-1.266-8.688 1.125-9.953 5.359l-63.89 212.1l-56.72-212.7c-1.875-7-13.59-7-15.47 0l-56.72 212.7l-63.89-212.1C126.4 145.5 121.9 143 117.7 144.3C113.5 145.6 111.1 150.1 112.3 154.3l72 240C185.4 397.7 188.7 400.6 192.1 400c3.578-.0625 6.688-2.484 7.609-5.938L256 183l56.27 211c.9219 3.453 4.094 5.875 7.672 5.938c3.531 0 6.703-2.312 7.719-5.703l72-240C400.9 150.1 398.5 145.6 394.3 144.3zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-waveform-lines": [512, 512, ["waveform-circle"], "e12d", "M208 208c-4.418 0-8 3.58-8 8v80c0 4.418 3.582 8 8 8s8-3.582 8-8v-80C216 211.6 212.4 208 208 208zM144 160C139.6 160 136 163.6 136 168v176C136 348.4 139.6 352 144 352s8-3.582 8-8v-176C152 163.6 148.4 160 144 160zM272 128c-4.418 0-8 3.58-8 8v240c0 4.418 3.582 8 8 8s8-3.582 8-8v-240C280 131.6 276.4 128 272 128zM336 176c-4.418 0-8 3.58-8 8v144c0 4.418 3.582 8 8 8s8-3.582 8-8v-144C344 179.6 340.4 176 336 176zM400 216c-4.418 0-8 3.58-8 8v64c0 4.418 3.582 8 8 8S408 292.4 408 288V224C408 219.6 404.4 216 400 216zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-x": [512, 512, [], "e12e", "M365.2 129.1c-3.328-2.906-8.391-2.547-11.28 .8125L256 243.8L158 130.8c-2.891-3.359-7.953-3.719-11.28-.8125c-3.344 2.891-3.703 7.953-.8125 11.28L245.4 256l-99.46 114.8c-2.891 3.328-2.531 8.391 .8125 11.28C148.3 383.4 150.1 384 152 384c2.234 0 4.469-.9375 6.047-2.766L256 268.2l97.95 113C355.5 383.1 357.8 384 360 384c1.859 0 3.719-.6406 5.234-1.953c3.344-2.891 3.703-7.953 .8125-11.28L266.6 256l99.46-114.8C368.9 137.9 368.6 132.8 365.2 129.1zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-xmark": [512, 512, [61532, "times-circle", "xmark-circle"], "f057", "M178.3 178.3C181.5 175.2 186.5 175.2 189.7 178.3L256 244.7L322.3 178.3C325.5 175.2 330.5 175.2 333.7 178.3C336.8 181.5 336.8 186.5 333.7 189.7L267.3 256L333.7 322.3C336.8 325.5 336.8 330.5 333.7 333.7C330.5 336.8 325.5 336.8 322.3 333.7L256 267.3L189.7 333.7C186.5 336.8 181.5 336.8 178.3 333.7C175.2 330.5 175.2 325.5 178.3 322.3L244.7 256L178.3 189.7C175.2 186.5 175.2 181.5 178.3 178.3V178.3zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "circle-y": [512, 512, [], "e12f", "M369.9 146.8L256 279.7L142.1 146.8C139.2 143.5 134.2 143.1 130.8 145.9C127.4 148.8 127 153.9 129.9 157.2L248 294.1V392c0 4.422 3.578 8 8 8s8-3.578 8-8V294.1l118.1-137.8c2.875-3.344 2.484-8.406-.875-11.28C377.9 143 372.8 143.5 369.9 146.8zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "circle-z": [512, 512, [], "e130", "M360 368H169.5l196.5-226.8c2.062-2.359 2.562-5.703 1.25-8.562C365.1 129.8 363.1 128 360 128h-208C147.6 128 144 131.6 144 136S147.6 144 152 144h190.5l-196.5 226.8c-2.062 2.359-2.562 5.703-1.25 8.562C146 382.2 148.9 384 152 384h208c4.406 0 8-3.578 8-8S364.4 368 360 368zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "citrus": [512, 512, [], "e2f4", "M453.1 154.9c-2.544 2.544-3.028 6.439-1.288 9.588C470 197.3 480 233.1 480 272c0 131.1-114.7 237.6-249.7 222.6c-102.8-11.49-185.5-94.24-196.9-196.1C18.4 162.7 124.1 47.1 256 47.1c14.47 0 28.68 1.984 42.7 4.812C292.1 65.85 288 80.38 288 96v16C288 120.8 295.2 128 304 128H384c53.02 0 96-42.98 96-96V16C480 7.163 472.8 0 464 0H384c-31.23 0-58.72 15.16-76.25 38.26C290.8 34.48 273.5 31.1 256 31.1c-137.5 0-248.3 116.1-239.5 255.4c7.511 119.4 104.7 216.6 224.1 224.1C379.9 520.3 496 409.5 496 271.1c0-40.84-10.67-80.2-30.22-115.5C463.2 151.9 456.9 151.1 453.1 154.9zM304 95.1c0-44.11 35.89-80 80-80h80v16c0 44.11-35.89 80-80 80h-80V95.1z"],
    "citrus-slice": [512, 512, [], "e2f5", "M424.6 2.344c-3.125-3.125-8.188-3.125-11.31 0L2.344 413.4C.8438 414.9 0 416.9 0 419c0 2.125 .8438 4.156 2.344 5.656C60.53 482.9 137 512 213.4 512c76.47 0 152.9-29.1 211.1-87.32C480.9 368.3 512 293.3 512 213.5S480.9 58.75 424.6 2.344zM373.4 64.85C404.3 98.11 423.7 139.4 429.7 184h-169.1c-.9082-1.213-1.646-2.512-2.666-3.664L373.4 64.85zM431.9 213.5c0 55.73-20.83 108.1-58.48 148.6l-112.5-112.5C271.7 235.1 274.4 216.6 269 200h162.2C431.6 204.5 431.9 208.1 431.9 213.5zM216.8 271.1c11.58 0 23.07-3.814 32.8-11.05l112.5 112.5c-40.56 37.77-92.94 58.69-148.7 58.69c-4.527 0-8.99-.3574-13.47-.6309V268.9C205.5 270.7 211.1 271.1 216.8 271.1zM246.4 191.9c12.87 15.38 12.58 38.17-1.85 52.63C230 258.1 207.3 259.3 191.9 246.4L246.4 191.9zM180.4 257.9C181.5 258.9 182.8 259.3 184 260.1v169.8c-44.54-6.033-85.85-25.43-119.1-56.42L180.4 257.9zM413.3 413.4C304.9 521.7 129.9 523.5 19.41 418.9l34.13-34.15c43.56 40.76 99.94 63.33 159.9 63.33c62.66 0 121.6-24.4 165.8-68.71c44.25-44.25 68.59-103.2 68.59-165.9c0-60.04-22.51-116.4-63.22-159.1l34.13-34.14C523.4 129.1 521.5 305.1 413.3 413.4z"],
    "city": [640, 512, [127961], "f64f", "M80 72H160V8C160 3.582 163.6 0 168 0C172.4 0 176 3.582 176 8V72H216C220.4 72 224 75.58 224 80C224 84.42 220.4 88 216 88H56C33.91 88 16 105.9 16 128V456C16 478.1 33.91 496 56 496H232C236.4 496 240 499.6 240 504C240 508.4 236.4 512 232 512H56C25.07 512 0 486.9 0 456V128C0 97.07 25.07 72 56 72H64V8C64 3.582 67.58 0 72 0C76.42 0 80 3.582 80 8V72zM328 352C328 338.7 338.7 328 352 328H384C397.3 328 408 338.7 408 352V384C408 397.3 397.3 408 384 408H352C338.7 408 328 397.3 328 384V352zM384 392C388.4 392 392 388.4 392 384V352C392 347.6 388.4 344 384 344H352C347.6 344 344 347.6 344 352V384C344 388.4 347.6 392 352 392H384zM384 72C397.3 72 408 82.75 408 96V128C408 141.3 397.3 152 384 152H352C338.7 152 328 141.3 328 128V96C328 82.75 338.7 72 352 72H384zM344 128C344 132.4 347.6 136 352 136H384C388.4 136 392 132.4 392 128V96C392 91.58 388.4 88 384 88H352C347.6 88 344 91.58 344 96V128zM328 224C328 210.7 338.7 200 352 200H384C397.3 200 408 210.7 408 224V256C408 269.3 397.3 280 384 280H352C338.7 280 328 269.3 328 256V224zM384 264C388.4 264 392 260.4 392 256V224C392 219.6 388.4 216 384 216H352C347.6 216 344 219.6 344 224V256C344 260.4 347.6 264 352 264H384zM512 440C498.7 440 488 429.3 488 416V384C488 370.7 498.7 360 512 360H544C557.3 360 568 370.7 568 384V416C568 429.3 557.3 440 544 440H512zM504 416C504 420.4 507.6 424 512 424H544C548.4 424 552 420.4 552 416V384C552 379.6 548.4 376 544 376H512C507.6 376 504 379.6 504 384V416zM488 256C488 242.7 498.7 232 512 232H544C557.3 232 568 242.7 568 256V288C568 301.3 557.3 312 544 312H512C498.7 312 488 301.3 488 288V256zM544 296C548.4 296 552 292.4 552 288V256C552 251.6 548.4 248 544 248H512C507.6 248 504 251.6 504 256V288C504 292.4 507.6 296 512 296H544zM480 64V160H576C611.3 160 640 188.7 640 224V448C640 483.3 611.3 512 576 512H320C284.7 512 256 483.3 256 448V64C256 28.65 284.7 0 320 0H416C451.3 0 480 28.65 480 64zM464 176V64C464 37.49 442.5 16 416 16H320C293.5 16 272 37.49 272 64V448C272 474.5 293.5 496 320 496H576C602.5 496 624 474.5 624 448V224C624 197.5 602.5 176 576 176H464zM96 344C82.75 344 72 333.3 72 320V288C72 274.7 82.75 264 96 264H128C141.3 264 152 274.7 152 288V320C152 333.3 141.3 344 128 344H96zM88 320C88 324.4 91.58 328 96 328H128C132.4 328 136 324.4 136 320V288C136 283.6 132.4 280 128 280H96C91.58 280 88 283.6 88 288V320zM72 160C72 146.7 82.75 136 96 136H128C141.3 136 152 146.7 152 160V192C152 205.3 141.3 216 128 216H96C82.75 216 72 205.3 72 192V160zM128 200C132.4 200 136 196.4 136 192V160C136 155.6 132.4 152 128 152H96C91.58 152 88 155.6 88 160V192C88 196.4 91.58 200 96 200H128z"],
    "clapperboard": [512, 512, [], "e131", "M448 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V96C512 60.65 483.3 32 448 32zM448 48c3.883 0 7.607 .5879 11.22 1.463L332.7 176H203.3l128-128H448zM308.7 48l-128 128H51.31l128-128H308.7zM16 96c0-26.47 21.53-48 48-48h92.69l-128 128H16V96zM496 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V192h480V416zM496 176h-140.7l119.7-119.7C487.7 64.99 496 79.53 496 96V176z"],
    "clapperboard-play": [512, 512, [], "e132", "M205.6 412.5C209.6 414.8 214.1 416 218.7 416c5.143 0 10.09-1.462 14.38-4.276l106.6-68.94C347.4 337.8 352 329.3 352 319.1s-4.614-17.81-12.35-22.8L233 228.3C228.8 225.5 223.8 224 218.7 224C214.1 224 209.5 225.2 205.6 227.5C197.2 232.3 192 241.3 192 251v137.9C192 398.7 197.2 407.7 205.6 412.5zM208 251c0-4.01 2.104-7.705 5.5-9.656C215.1 240.5 216.9 240 218.7 240c1.967 0 3.926 .5547 5.629 1.674l106.7 68.97C334.1 312.7 336 316.2 336 319.1s-1.896 7.338-5.021 9.354l-106.7 68.97C222.6 399.4 220.6 400 218.7 400c-1.77 0-3.562-.4629-5.166-1.379C210.1 396.7 208 392.1 208 388.1V251zM448 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V96C512 60.65 483.3 32 448 32zM448 48c3.883 0 7.607 .5879 11.22 1.463L348.7 160H219.3l112-112H448zM308.7 48l-112 112H67.31l112-112H308.7zM16 96c0-26.47 21.53-48 48-48h92.69l-112 112H16V96zM496 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V176h480V416zM496 160h-124.7l103.7-103.7C487.7 64.99 496 79.53 496 96V160z"],
    "clarinet": [640, 512, [], "f8ad", "M631.6 129.9c-2.377-1.268-4.984-1.898-7.578-1.898c-3.102 0-6.188 .9004-8.859 2.695L571.2 160L480 159.1V112h24C508.4 112 512 108.4 512 104S508.4 96 504 96h-272C227.6 96 224 99.58 224 104S227.6 112 232 112H272V160L101.3 159.1c-3.5 0-6.875 .4995-10.12 1.625L11 188.4C4.375 190.5 0 196.6 0 203.5v73c0 6.875 4.375 13 11 15.12l80.13 26.75c3.25 1.125 6.625 1.623 10.12 1.623L571.2 320l43.97 29.31C617.8 351.1 620.9 352 624 352c2.594 0 5.188-.625 7.562-1.891C636.8 347.3 640 341.9 640 336v-192C640 138.1 636.8 132.7 631.6 129.9zM384 112h80V160L384 159.1V112zM288 112h80V160L288 159.1V112zM624 335.1L576 304H101.3c-1.844 0-3.443-.2441-5.059-.8027L16 276.5l.0664-72.95l80.29-26.81C97.81 176.2 99.41 176 101.3 176H576l48-32V335.1zM272 224C263.2 224 256 231.2 256 240C256 248.8 263.2 256 272 256S288 248.8 288 240C288 231.2 280.8 224 272 224zM368 224C359.2 224 352 231.2 352 240C352 248.8 359.2 256 368 256S384 248.8 384 240C384 231.2 376.8 224 368 224zM464 224C455.2 224 448 231.2 448 240C448 248.8 455.2 256 464 256S480 248.8 480 240C480 231.2 472.8 224 464 224z"],
    "claw-marks": [576, 512, [], "f6c2", "M34.34 2.343C37.47-.781 42.53-.781 45.66 2.343L165.3 121.9C177.3 133.9 184 150.2 184 167.2V200H216.8C233.8 200 250.1 206.7 262.1 218.7L357.3 313.9C369.3 325.9 376 342.2 376 359.2V392H408.8C425.8 392 442.1 398.7 454.1 410.7L541.7 498.3C544.8 501.5 544.8 506.5 541.7 509.7C538.5 512.8 533.5 512.8 530.3 509.7L442.7 422.1C433.7 413.1 421.5 408 408.8 408H368C363.6 408 360 404.4 360 400V359.2C360 346.5 354.9 334.3 345.9 325.3L250.7 230.1C241.7 221.1 229.5 216 216.8 216H176C171.6 216 168 212.4 168 208V167.2C168 154.5 162.9 142.3 153.9 133.3L34.34 13.66C31.22 10.53 31.22 5.467 34.34 2.343V2.343zM34.34 226.3C37.47 223.2 42.53 223.2 45.66 226.3L135.6 316.3C146.1 326.8 151.1 341 151.1 355.9V392H188.1C202.1 392 217.2 397.9 227.7 408.4L317.7 498.3C320.8 501.5 320.8 506.5 317.7 509.7C314.5 512.8 309.5 512.8 306.3 509.7L216.4 419.7C208.9 412.2 198.7 408 188.1 408H144C139.6 408 136 404.4 136 400V355.9C136 345.3 131.8 335.1 124.3 327.6L34.34 237.7C31.22 234.5 31.22 229.5 34.34 226.3V226.3zM295.6 28.28C306.1 38.79 312 53.03 312 67.88V104H348.1C362.1 104 377.2 109.9 387.7 120.4L423.6 156.3C434.1 166.8 440 181 440 195.9V232H476.1C490.1 232 505.2 237.9 515.7 248.4L541.7 274.3C544.8 277.5 544.8 282.5 541.7 285.7C538.5 288.8 533.5 288.8 530.3 285.7L504.4 259.7C496.9 252.2 486.7 247.1 476.1 247.1H432C427.6 247.1 424 244.4 424 239.1V195.9C424 185.3 419.8 175.1 412.3 167.6L376.4 131.7C368.9 124.2 358.7 119.1 348.1 119.1H304C299.6 119.1 296 116.4 296 111.1V67.88C296 57.27 291.8 47.1 284.3 39.6L258.3 13.66C255.2 10.53 255.2 5.467 258.3 2.343C261.5-.781 266.5-.781 269.7 2.343L295.6 28.28z"],
    "clipboard": [384, 512, [128203], "f328", "M192 96c8.836 0 16-7.164 16-16C208 71.16 200.8 64 192 64S176 71.16 176 80C176 88.84 183.2 96 192 96zM96 160h192c17.67 0 32-14.33 32-32V113.6C320 86.21 297.8 64 270.4 64C262.1 27.48 230.7 0 192 0S121 27.48 113.6 64C86.21 64 64 86.21 64 113.6V128C64 145.7 78.33 160 96 160zM80 113.6C80 95.05 95.05 80 113.6 80h13.08l1.846-9.094c4.986-24.56 22.27-46.17 46.48-52.65c36.93-9.88 72.56 13.83 79.69 48.93L257.3 80h13.08C288.1 80 304 95.05 304 113.6V128c0 8.837-7.163 16-16 16H96C87.16 144 80 136.8 80 128V113.6zM355.2 100c-4.094-1.719-8.75 .0625-10.53 4.156c-1.75 4.031 .0938 8.75 4.156 10.53C360.5 119.8 368 131.3 368 144v320c0 17.66-14.34 32-32 32h-288c-17.66 0-32-14.34-32-32v-320c0-12.69 7.531-24.19 19.22-29.31c4.031-1.75 5.875-6.469 4.094-10.53C37.56 100.1 32.94 98.22 28.78 100.1C11.31 107.7 0 124.1 0 144v320C0 490.5 21.53 512 48 512h288c26.47 0 48-21.53 48-48v-320C384 124.9 372.7 107.6 355.2 100z"],
    "clipboard-check": [384, 512, [], "f46c", "M355.2 100c-4.094-1.719-8.75 .0625-10.53 4.156c-1.75 4.031 .0938 8.75 4.156 10.53C360.5 119.8 368 131.3 368 144v320c0 17.66-14.34 32-32 32h-288c-17.66 0-32-14.34-32-32v-320c0-12.69 7.531-24.19 19.22-29.31c4.031-1.75 5.875-6.469 4.094-10.53C37.56 100.1 32.94 98.22 28.78 100.1C11.31 107.7 0 124.1 0 144v320C0 490.5 21.53 512 48 512h288c26.47 0 48-21.53 48-48v-320C384 124.9 372.7 107.6 355.2 100zM192 96c8.836 0 16-7.164 16-16C208 71.16 200.8 64 192 64S176 71.16 176 80C176 88.84 183.2 96 192 96zM96 160h192c17.67 0 32-14.33 32-32V113.6C320 86.21 297.8 64 270.4 64C262.1 27.48 230.7 0 192 0S121 27.48 113.6 64C86.21 64 64 86.21 64 113.6V128C64 145.7 78.33 160 96 160zM80 113.6C80 95.05 95.05 80 113.6 80h13.08l1.846-9.094c4.986-24.56 22.27-46.17 46.48-52.65c36.93-9.88 72.56 13.83 79.69 48.93L257.3 80h13.08C288.1 80 304 95.05 304 113.6V128c0 8.837-7.163 16-16 16H96C87.16 144 80 136.8 80 128V113.6zM282.3 250.3L160 372.7L101.7 314.3c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31l64 64C155.9 391.2 157.9 392 160 392s4.094-.7813 5.656-2.344l128-128c3.125-3.125 3.125-8.188 0-11.31S285.5 247.2 282.3 250.3z"],
    "clipboard-list": [384, 512, [], "f46d", "M192 96c8.836 0 16-7.164 16-16C208 71.16 200.8 64 192 64S176 71.16 176 80C176 88.84 183.2 96 192 96zM96 160h192c17.67 0 32-14.33 32-32V113.6C320 86.21 297.8 64 270.4 64C262.1 27.48 230.7 0 192 0S121 27.48 113.6 64C86.21 64 64 86.21 64 113.6V128C64 145.7 78.33 160 96 160zM80 113.6C80 95.05 95.05 80 113.6 80h13.08l1.846-9.094c4.986-24.56 22.27-46.17 46.48-52.65c36.93-9.88 72.56 13.83 79.69 48.93L257.3 80h13.08C288.1 80 304 95.05 304 113.6V128c0 8.837-7.163 16-16 16H96C87.16 144 80 136.8 80 128V113.6zM355.2 100c-4.094-1.719-8.75 .0625-10.53 4.156c-1.75 4.031 .0938 8.75 4.156 10.53C360.5 119.8 368 131.3 368 144v320c0 17.66-14.34 32-32 32h-288c-17.66 0-32-14.34-32-32v-320c0-12.69 7.531-24.19 19.22-29.31c4.031-1.75 5.875-6.469 4.094-10.53C37.56 100.1 32.94 98.22 28.78 100.1C11.31 107.7 0 124.1 0 144v320C0 490.5 21.53 512 48 512h288c26.47 0 48-21.53 48-48v-320C384 124.9 372.7 107.6 355.2 100zM96 208C87.16 208 80 215.2 80 224c0 8.836 7.164 16 16 16S112 232.8 112 224C112 215.2 104.8 208 96 208zM96 304c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16s16-7.164 16-16C112 311.2 104.8 304 96 304zM96 400c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16s16-7.164 16-16C112 407.2 104.8 400 96 400zM312 408h-144C163.6 408 160 411.6 160 416s3.594 8 8 8h144c4.406 0 8-3.578 8-8S316.4 408 312 408zM312 216h-144C163.6 216 160 219.6 160 224s3.594 8 8 8h144C316.4 232 320 228.4 320 224S316.4 216 312 216zM312 312h-144C163.6 312 160 315.6 160 320s3.594 8 8 8h144c4.406 0 8-3.578 8-8S316.4 312 312 312z"],
    "clipboard-list-check": [384, 512, [], "f737", "M96 160h192c17.67 0 32-14.33 32-32V113.6C320 86.21 297.8 64 270.4 64C262.1 27.48 230.7 0 192 0S121 27.48 113.6 64C86.21 64 64 86.21 64 113.6V128C64 145.7 78.33 160 96 160zM80 113.6C80 95.05 95.05 80 113.6 80h13.08l1.845-9.091c4.986-24.56 22.27-46.17 46.48-52.65c36.93-9.881 72.56 13.83 79.69 48.93L257.3 80h13.08C288.1 80 304 95.05 304 113.6V128c0 8.837-7.163 16-16 16H96C87.16 144 80 136.8 80 128V113.6zM192 96c8.836 0 16-7.164 16-16C208 71.16 200.8 64 192 64S176 71.16 176 80C176 88.84 183.2 96 192 96zM312 248h-112C195.6 248 192 251.6 192 256s3.594 8 8 8h112C316.4 264 320 260.4 320 256S316.4 248 312 248zM80 384c0 8.836 7.164 16 16 16s16-7.164 16-16c0-8.838-7.164-16-16-16S80 375.2 80 384zM355.2 100c-4.094-1.719-8.75 .0625-10.53 4.156c-1.75 4.031 .0938 8.75 4.156 10.53C360.5 119.8 368 131.3 368 144v320c0 17.66-14.34 32-32 32h-288c-17.66 0-32-14.34-32-32v-320c0-12.69 7.531-24.19 19.22-29.31c4.031-1.75 5.875-6.469 4.094-10.53C37.56 100.1 32.94 98.22 28.78 100.1C11.31 107.7 0 124.1 0 144v320C0 490.5 21.53 512 48 512h288c26.47 0 48-21.53 48-48v-320C384 124.9 372.7 107.6 355.2 100zM312 376h-144C163.6 376 160 379.6 160 384s3.594 8 8 8h144c4.406 0 8-3.578 8-8S316.4 376 312 376zM90.34 293.7C91.91 295.2 93.94 296 96 296s4.094-.7813 5.656-2.344l64-64c3.125-3.125 3.125-8.188 0-11.31s-8.188-3.125-11.31 0L96 276.7L69.66 250.3c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31L90.34 293.7z"],
    "clipboard-medical": [384, 512, [], "e133", "M192 96c8.836 0 16-7.164 16-16C208 71.16 200.8 64 192 64S176 71.16 176 80C176 88.84 183.2 96 192 96zM355.2 100c-4.094-1.719-8.75 .0625-10.53 4.156c-1.75 4.031 .0938 8.75 4.156 10.53C360.5 119.8 368 131.3 368 144v320c0 17.66-14.34 32-32 32h-288c-17.66 0-32-14.34-32-32v-320c0-12.69 7.531-24.19 19.22-29.31c4.031-1.75 5.875-6.469 4.094-10.53C37.56 100.1 32.94 98.22 28.78 100.1C11.31 107.7 0 124.1 0 144v320C0 490.5 21.53 512 48 512h288c26.47 0 48-21.53 48-48v-320C384 124.9 372.7 107.6 355.2 100zM96 160h192c17.67 0 32-14.33 32-32V113.6C320 86.21 297.8 64 270.4 64C262.1 27.48 230.7 0 192 0S121 27.48 113.6 64C86.21 64 64 86.21 64 113.6V128C64 145.7 78.33 160 96 160zM80 113.6C80 95.05 95.05 80 113.6 80h13.08l1.846-9.094c4.986-24.56 22.27-46.17 46.48-52.65c36.93-9.881 72.56 13.83 79.69 48.93L257.3 80h13.08C288.1 80 304 95.05 304 113.6V128c0 8.836-7.162 16-16 16H96C87.16 144 80 136.8 80 128V113.6zM165.8 448h52.36c8.836 0 16-7.164 16-16v-53.82H288c8.836 0 16-7.164 16-16V309.8c0-8.838-7.164-16-16-16h-53.82V240c0-8.838-7.164-16-16-16H165.8c-8.836 0-16 7.162-16 16v53.82H96c-8.836 0-16 7.162-16 16v52.36c0 8.836 7.164 16 16 16h53.82V432C149.8 440.8 156.1 448 165.8 448zM96 362.2V309.8h69.82V240h52.36v69.82H288v52.36h-69.82V432H165.8v-69.82H96z"],
    "clipboard-prescription": [384, 512, [], "f5e8", "M192 96c8.836 0 16-7.164 16-16C208 71.16 200.8 64 192 64S176 71.16 176 80C176 88.84 183.2 96 192 96zM96 160h192c17.67 0 32-14.33 32-32V113.6C320 86.21 297.8 64 270.4 64C262.1 27.48 230.7 0 192 0S121 27.48 113.6 64C86.21 64 64 86.21 64 113.6V128C64 145.7 78.33 160 96 160zM80 113.6C80 95.05 95.05 80 113.6 80h13.08l1.846-9.094c4.986-24.56 22.27-46.17 46.48-52.65c36.93-9.88 72.56 13.83 79.69 48.93L257.3 80h13.08C288.1 80 304 95.05 304 113.6V128c0 8.837-7.163 16-16 16H96C87.16 144 80 136.8 80 128V113.6zM355.2 100c-4.094-1.719-8.75 .0625-10.53 4.156c-1.75 4.031 .0938 8.75 4.156 10.53C360.5 119.8 368 131.3 368 144v320c0 17.66-14.34 32-32 32h-288c-17.66 0-32-14.34-32-32v-320c0-12.69 7.531-24.19 19.22-29.31c4.031-1.75 5.875-6.469 4.094-10.53C37.56 100.1 32.94 98.22 28.78 100.1C11.31 107.7 0 124.1 0 144v320C0 490.5 21.53 512 48 512h288c26.47 0 48-21.53 48-48v-320C384 124.9 372.7 107.6 355.2 100zM293.7 314.3c-3.125-3.125-8.188-3.125-11.31 0L240 356.7L186.2 302.9C207.8 298.2 224 278.1 224 256c0-26.47-21.53-48-48-48H104C99.59 208 96 211.6 96 216v160C96 380.4 99.59 384 104 384s8-3.578 8-8V304h52.69l64 64l-42.34 42.34c-3.125 3.125-3.125 8.188 0 11.31C187.9 423.2 189.9 424 192 424s4.094-.7813 5.656-2.344L240 379.3l42.34 42.34C283.9 423.2 285.9 424 288 424s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31L251.3 368l42.34-42.34C296.8 322.5 296.8 317.5 293.7 314.3zM112 288V224h64c17.66 0 32 14.36 32 32s-14.34 32-32 32H112z"],
    "clipboard-question": [384, 512, [], "e4e3", "M208 80C208 88.84 200.8 96 191.1 96C183.2 96 175.1 88.84 175.1 80C175.1 71.16 183.2 64 191.1 64C200.8 64 208 71.16 208 80zM111.1 64H113.6C121 27.48 153.3 0 191.1 0C230.7 0 262.1 27.48 270.4 64H272C298.5 64 320 85.49 320 112V128C320 145.7 305.7 160 288 160H95.1C78.33 160 63.1 145.7 63.1 128V112C63.1 85.49 85.49 64 111.1 64zM191.1 16C161.1 16 135.2 37.98 129.3 67.18L126.7 80H112C94.33 80 80 94.33 80 112V128C80 136.8 87.16 144 96 144H288C296.8 144 304 136.8 304 128V112C304 94.33 289.7 80 272 80H257.3L254.7 67.18C248.8 37.98 222.9 16 192 16H191.1zM38.11 113.9C24.56 120.7 15.1 134.5 15.1 149.7V456C15.1 478.1 33.91 496 55.1 496H328C350.1 496 368 478.1 368 456V149.7C368 134.5 359.4 120.7 345.9 113.9L340.4 111.2C336.5 109.2 334.9 104.4 336.8 100.4C338.8 96.47 343.6 94.87 347.6 96.84L353 99.58C372 109.1 384 128.5 384 149.7V456C384 486.9 358.9 512 328 512H56C25.07 512 0 486.9 0 456V149.7C0 128.5 11.98 109.1 30.96 99.58L36.42 96.84C40.37 94.87 45.18 96.47 47.16 100.4C49.13 104.4 47.53 109.2 43.58 111.2L38.11 113.9zM103.1 264C103.1 233.1 129.1 208 159.1 208H216.2C251.4 208 279.1 236.6 279.1 271.8C279.1 293.2 269.2 313.2 251.3 325L199.1 358.9V384C199.1 388.4 196.4 392 191.1 392C187.6 392 183.1 388.4 183.1 384V354.5C183.1 351.9 185.3 349.3 187.6 347.9L242.5 311.7C255.9 302.8 263.1 287.8 263.1 271.8C263.1 245.4 242.6 224 216.2 224H159.1C137.9 224 119.1 241.9 119.1 264V270.5C119.1 274.1 116.4 278.5 111.1 278.5C107.6 278.5 103.1 274.1 103.1 270.5V264zM207.1 432C207.1 440.8 200.8 448 191.1 448C183.2 448 175.1 440.8 175.1 432C175.1 423.2 183.2 416 191.1 416C200.8 416 207.1 423.2 207.1 432z"],
    "clipboard-user": [384, 512, [], "f7f3", "M96 160h192c17.67 0 32-14.33 32-32V113.6C320 86.21 297.8 64 270.4 64C262.1 27.48 230.7 0 192 0S121 27.48 113.6 64C86.21 64 64 86.21 64 113.6V128C64 145.7 78.33 160 96 160zM80 113.6C80 95.05 95.05 80 113.6 80h13.08l1.846-9.094c4.986-24.56 22.27-46.17 46.48-52.65c36.93-9.88 72.56 13.83 79.69 48.93L257.3 80h13.08C288.1 80 304 95.05 304 113.6V128c0 8.837-7.163 16-16 16H96C87.16 144 80 136.8 80 128V113.6zM355.2 100c-4.094-1.719-8.75 .0625-10.53 4.156c-1.75 4.031 .0938 8.75 4.156 10.53C360.5 119.8 368 131.3 368 144v320c0 17.66-14.34 32-32 32h-288c-17.66 0-32-14.34-32-32v-320c0-12.69 7.531-24.19 19.22-29.31c4.031-1.75 5.875-6.469 4.094-10.53C37.56 100.1 32.94 98.22 28.78 100.1C11.31 107.7 0 124.1 0 144v320C0 490.5 21.53 512 48 512h288c26.47 0 48-21.53 48-48v-320C384 124.9 372.7 107.6 355.2 100zM192 96c8.836 0 16-7.164 16-16C208 71.16 200.8 64 192 64S176 71.16 176 80C176 88.84 183.2 96 192 96zM192 320c35.35 0 64-28.65 64-64c0-35.35-28.65-64-64-64S128 220.7 128 256C128 291.3 156.7 320 192 320zM192 208c26.47 0 48 21.53 48 48S218.5 304 192 304S144 282.5 144 256S165.5 208 192 208zM80 416c0 17.67 14.33 32 32 32h160c17.67 0 32-14.33 32-32c0-35.35-28.65-64-64-64h-96C108.7 352 80 380.7 80 416zM144 368h96c26.47 0 48 21.53 48 48c0 8.822-7.176 16-16 16h-160C103.2 432 96 424.8 96 416C96 389.5 117.5 368 144 368z"],
    "clock": [512, 512, [128339, "clock-four"], "f017", "M248 104C248 99.58 251.6 96 256 96C260.4 96 264 99.58 264 104V251.7L356.4 313.3C360.1 315.8 361.1 320.8 358.7 324.4C356.2 328.1 351.2 329.1 347.6 326.7L251.6 262.7C249.3 261.2 247.1 258.7 247.1 256L248 104zM256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16C123.5 16 16 123.5 16 256z"],
    "clock-desk": [448, 512, [], "e134", "M224 96C228.4 96 232 99.58 232 104V220.7L285.7 274.3C288.8 277.5 288.8 282.5 285.7 285.7C282.5 288.8 277.5 288.8 274.3 285.7L218.3 229.7C216.8 228.2 216 226.1 216 224V104C216 99.58 219.6 96 224 96H224zM224 0C347.7 0 448 100.3 448 224V456C448 486.9 422.9 512 392 512H56C25.07 512 0 486.9 0 456V224C0 100.3 100.3 0 224 0zM224 16C109.1 16 16 109.1 16 224C16 338.9 109.1 432 224 432C338.9 432 432 338.9 432 224C432 109.1 338.9 16 224 16zM432 307.3C398.9 389.8 318.3 448 224 448C129.7 448 49.05 389.8 16 307.3V456C16 478.1 33.91 496 56 496H392C414.1 496 432 478.1 432 456V307.3z"],
    "clock-eight": [512, 512, [], "e345", "M264 256C264 258.7 262.7 261.2 260.4 262.7L164.4 326.7C160.8 329.1 155.8 328.1 153.3 324.4C150.9 320.8 151.9 315.8 155.6 313.3L248 251.7V104C248 99.58 251.6 96 256 96C260.4 96 264 99.58 264 104V256zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "clock-eight-thirty": [512, 512, [], "e346", "M248 270.9L164.4 326.7C160.8 329.1 155.8 328.1 153.3 324.4C150.9 320.8 151.9 315.8 155.6 313.3L251.6 249.3C254 247.7 257.2 247.6 259.8 248.9C262.4 250.3 264 253 264 255.1V408C264 412.4 260.4 416 256 416C251.6 416 248 412.4 248 408V270.9zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496z"],
    "clock-eleven": [512, 512, [], "e347", "M248 104C248 99.58 251.6 96 256 96C260.4 96 264 99.58 264 104V256C264 259.5 261.7 262.6 258.3 263.7C254.9 264.7 251.3 263.4 249.3 260.4L185.3 164.4C182.9 160.8 183.9 155.8 187.6 153.3C191.2 150.9 196.2 151.9 198.7 155.6L248 229.6L248 104zM256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16C123.5 16 16 123.5 16 256z"],
    "clock-eleven-thirty": [512, 512, [], "e348", "M248 258.4L185.3 164.4C182.9 160.8 183.9 155.8 187.6 153.3C191.2 150.9 196.2 151.9 198.7 155.6L262.7 251.6C263.5 252.9 264 254.4 264 256V408C264 412.4 260.4 416 256 416C251.6 416 248 412.4 248 408L248 258.4zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496z"],
    "clock-five": [512, 512, [], "e349", "M264 253.6L326.7 347.6C329.1 351.2 328.1 356.2 324.4 358.7C320.8 361.1 315.8 360.1 313.3 356.4L249.3 260.4C248.5 259.1 247.1 257.6 247.1 256V104C247.1 99.58 251.6 96 255.1 96C260.4 96 264 99.58 264 104L264 253.6zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "clock-five-thirty": [512, 512, [], "e34a", "M264 408C264 412.4 260.4 416 256 416C251.6 416 248 412.4 248 408V256C248 252.5 250.3 249.4 253.7 248.3C257.1 247.3 260.7 248.6 262.7 251.6L326.7 347.6C329.1 351.2 328.1 356.2 324.4 358.7C320.8 361.1 315.8 360.1 313.3 356.4L264 282.4L264 408zM256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM496 256C496 123.5 388.5 16 256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256z"],
    "clock-four-thirty": [512, 512, [], "e34b", "M264 408C264 412.4 260.4 416 256 416C251.6 416 248 412.4 248 408V256C248 253 249.6 250.3 252.2 248.9C254.8 247.6 257.1 247.7 260.4 249.3L356.4 313.3C360.1 315.8 361.1 320.8 358.7 324.4C356.2 328.1 351.2 329.1 347.6 326.7L264 270.9V408zM256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM496 256C496 123.5 388.5 16 256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256z"],
    "clock-nine": [512, 512, [], "e34c", "M264 256C264 260.4 260.4 264 256 264H136C131.6 264 128 260.4 128 256C128 251.6 131.6 248 136 248H248V104C248 99.58 251.6 96 256 96C260.4 96 264 99.58 264 104V256zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "clock-nine-thirty": [512, 512, [], "e34d", "M264 408C264 412.4 260.4 416 256 416C251.6 416 248 412.4 248 408V264H136C131.6 264 128 260.4 128 256C128 251.6 131.6 248 136 248H256C260.4 248 264 251.6 264 256V408zM256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM496 256C496 123.5 388.5 16 256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256z"],
    "clock-one": [512, 512, [], "e34e", "M264 229.6L313.3 155.6C315.8 151.9 320.8 150.9 324.4 153.3C328.1 155.8 329.1 160.8 326.7 164.4L262.7 260.4C260.7 263.4 257.1 264.7 253.7 263.7C250.3 262.6 248 259.5 248 256V104C248 99.58 251.6 96 256 96C260.4 96 264 99.58 264 104L264 229.6zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "clock-one-thirty": [512, 512, [], "e34f", "M264 408C264 412.4 260.4 416 256 416C251.6 416 248 412.4 248 408V256C248 254.4 248.5 252.9 249.3 251.6L313.3 155.6C315.8 151.9 320.8 150.9 324.4 153.3C328.1 155.8 329.1 160.8 326.7 164.4L264 258.4L264 408zM256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM496 256C496 123.5 388.5 16 256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256z"],
    "clock-rotate-left": [512, 512, ["history"], "f1da", "M256 .0003C397.4 .0003 512 114.6 512 256C512 397.4 397.4 512 256 512C177.6 512 107.3 476.7 60.4 421.2C57.55 417.8 57.97 412.7 61.35 409.9C64.72 407 69.77 407.5 72.62 410.8C116.7 462.9 182.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16C151.5 16 62.6 82.78 29.65 176H136C140.4 176 144 179.6 144 184C144 188.4 140.4 192 136 192H8C3.582 192 0 188.4 0 184V56C0 51.58 3.582 48 8 48C12.42 48 16 51.58 16 56V166.7C52.23 69.37 146 0 256 0V.0003zM256 128C260.4 128 264 131.6 264 136V252.7L349.7 338.3C352.8 341.5 352.8 346.5 349.7 349.7C346.5 352.8 341.5 352.8 338.3 349.7L250.3 261.7C248.8 260.2 248 258.1 248 256V136C248 131.6 251.6 128 256 128H256z"],
    "clock-seven": [512, 512, [], "e350", "M248 104C248 99.58 251.6 96 256 96C260.4 96 264 99.58 264 104V256C264 257.6 263.5 259.1 262.7 260.4L198.7 356.4C196.2 360.1 191.2 361.1 187.6 358.7C183.9 356.2 182.9 351.2 185.3 347.6L247.1 253.6L248 104zM256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16C123.5 16 16 123.5 16 256z"],
    "clock-seven-thirty": [512, 512, [], "e351", "M248 282.4L198.7 356.4C196.2 360.1 191.2 361.1 187.6 358.7C183.9 356.2 182.9 351.2 185.3 347.6L249.3 251.6C251.3 248.6 254.9 247.3 258.3 248.3C261.7 249.4 264 252.5 264 255.1V408C264 412.4 260.4 416 255.1 416C251.6 416 247.1 412.4 247.1 408L248 282.4zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496z"],
    "clock-six": [512, 512, [], "e352", "M264 376C264 380.4 260.4 384 256 384C251.6 384 248 380.4 248 376V104C248 99.58 251.6 96 256 96C260.4 96 264 99.58 264 104V376zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "clock-six-thirty": [512, 512, [], "e353", "M264 408C264 412.4 260.4 416 256 416C251.6 416 248 412.4 248 408V256C248 251.6 251.6 248 256 248C260.4 248 264 251.6 264 256V408zM256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM496 256C496 123.5 388.5 16 256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256z"],
    "clock-ten": [512, 512, [], "e354", "M248 104C248 99.58 251.6 96 256 96C260.4 96 264 99.58 264 104V256C264 258.1 262.4 261.7 259.8 263.1C257.2 264.4 254 264.3 251.6 262.7L155.6 198.7C151.9 196.2 150.9 191.2 153.3 187.6C155.8 183.9 160.8 182.9 164.4 185.3L248 241.1V104zM256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16C123.5 16 16 123.5 16 256z"],
    "clock-ten-thirty": [512, 512, [], "e355", "M264 408C264 412.4 260.4 416 256 416C251.6 416 248 412.4 248 408V260.3L155.6 198.7C151.9 196.2 150.9 191.2 153.3 187.6C155.8 183.9 160.8 182.9 164.4 185.3L260.4 249.3C262.7 250.8 264 253.3 264 256V408zM256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM496 256C496 123.5 388.5 16 256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256z"],
    "clock-three": [512, 512, [], "e356", "M248 104C248 99.58 251.6 96 256 96C260.4 96 264 99.58 264 104V248H376C380.4 248 384 251.6 384 256C384 260.4 380.4 264 376 264H256C251.6 264 248 260.4 248 256V104zM256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16C123.5 16 16 123.5 16 256z"],
    "clock-three-thirty": [512, 512, [], "e357", "M248 256C248 251.6 251.6 248 256 248H376C380.4 248 384 251.6 384 256C384 260.4 380.4 264 376 264H264V408C264 412.4 260.4 416 256 416C251.6 416 248 412.4 248 408V256zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496z"],
    "clock-twelve": [512, 512, [], "e358", "M264 256C264 260.4 260.4 264 256 264C251.6 264 248 260.4 248 256V104C248 99.58 251.6 96 256 96C260.4 96 264 99.58 264 104V256zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "clock-twelve-thirty": [512, 512, [], "e359", "M264 408C264 412.4 260.4 416 256 416C251.6 416 248 412.4 248 408V144C248 139.6 251.6 136 256 136C260.4 136 264 139.6 264 144V408zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "clock-two": [512, 512, [], "e35a", "M264 241.1L347.6 185.3C351.2 182.9 356.2 183.9 358.7 187.6C361.1 191.2 360.1 196.2 356.4 198.7L260.4 262.7C257.1 264.3 254.8 264.4 252.2 263.1C249.6 261.7 248 258.1 248 256V104C248 99.58 251.6 96 256 96C260.4 96 264 99.58 264 104V241.1zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "clock-two-thirty": [512, 512, [], "e35b", "M248 256C248 253.3 249.3 250.8 251.6 249.3L347.6 185.3C351.2 182.9 356.2 183.9 358.7 187.6C361.1 191.2 360.1 196.2 356.4 198.7L264 260.3V408C264 412.4 260.4 416 256 416C251.6 416 248 412.4 248 408L248 256zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496z"],
    "clone": [512, 512, [], "f24d", "M64 496H288C314.5 496 336 474.5 336 448V392C336 387.6 339.6 384 344 384C348.4 384 352 387.6 352 392V448C352 483.3 323.3 512 288 512H64C28.65 512 0 483.3 0 448V224C0 188.7 28.65 160 64 160H120C124.4 160 128 163.6 128 168C128 172.4 124.4 176 120 176H64C37.49 176 16 197.5 16 224V448C16 474.5 37.49 496 64 496zM160 64C160 28.65 188.7 0 224 0H448C483.3 0 512 28.65 512 64V288C512 323.3 483.3 352 448 352H224C188.7 352 160 323.3 160 288V64zM176 288C176 314.5 197.5 336 224 336H448C474.5 336 496 314.5 496 288V64C496 37.49 474.5 16 448 16H224C197.5 16 176 37.49 176 64V288z"],
    "closed-captioning": [576, 512, [], "f20a", "M512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM560 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h448c26.47 0 48 21.53 48 48V416zM192 176c21.36 0 41.45 8.328 56.56 23.44c3.125 3.125 8.188 3.125 11.31 0s3.125-8.188 0-11.31C241.8 169.1 217.6 160 192 160S142.3 169.1 124.1 188.1C105.1 206.3 96 230.4 96 256s9.984 49.75 28.12 67.88C142.3 342 166.4 352 192 352s49.75-9.984 67.88-28.12c3.125-3.125 3.125-8.188 0-11.31s-8.188-3.125-11.31 0C233.5 327.7 213.4 336 192 336s-41.45-8.328-56.56-23.44S112 277.4 112 256s8.328-41.45 23.44-56.56S170.6 176 192 176zM400 176c21.36 0 41.45 8.328 56.56 23.44c3.125 3.125 8.188 3.125 11.31 0s3.125-8.188 0-11.31C449.8 169.1 425.6 160 400 160s-49.75 9.984-67.88 28.12C313.1 206.3 304 230.4 304 256s9.984 49.75 28.12 67.88C350.3 342 374.4 352 400 352s49.75-9.984 67.88-28.12c3.125-3.125 3.125-8.188 0-11.31s-8.188-3.125-11.31 0C441.5 327.7 421.4 336 400 336s-41.45-8.328-56.56-23.44S320 277.4 320 256s8.328-41.45 23.44-56.56S378.6 176 400 176z"],
    "closed-captioning-slash": [640, 512, [], "e135", "M544 48c26.47 0 48 21.53 48 48v284.2l16 12.72V95.1c0-35.35-28.65-64-64-64L153.9 32l20.13 16H544zM96 464c-26.47 0-48-21.53-48-48V131.8L32 119.1v296.9c0 35.35 28.65 64 64 64L486.1 480l-20.13-16H96zM364.1 188.1c-2.053 2.051-3.611 4.432-5.453 6.629l12.47 9.91c1.461-1.727 2.68-3.609 4.297-5.227C390.5 184.3 410.6 176 432 176s41.45 8.328 56.56 23.44c3.125 3.125 8.188 3.125 11.31 0s3.125-8.188 0-11.31C481.8 169.1 457.6 160 432 160S382.3 169.1 364.1 188.1zM142.1 206.5C133.1 221.4 128 238.2 128 256c0 25.64 9.984 49.75 28.12 67.88C174.3 342 198.4 352 224 352c25.17 0 48.79-9.727 66.79-27.23L278 314.6C263.2 328.3 244.3 336 224 336c-21.36 0-41.45-8.328-56.56-23.44S144 277.4 144 256c0-14.09 3.939-27.46 10.74-39.38L142.1 206.5zM636.1 497.7L12.99 1.73C11.53 .5664 9.771 0 8.025 0C5.674 0 3.336 1.029 1.738 3.012c-2.75 3.469-2.172 8.5 1.281 11.25l623.1 496C628.5 511.4 630.2 512 631.1 512c2.344 0 4.688-1.031 6.266-3.016C641 505.5 640.4 500.5 636.1 497.7z"],
    "clothes-hanger": [640, 512, [], "e136", "M609.3 392.7l-280.4-172.6l42.81-27.38C399.5 174.1 416 144.8 416 111.8V96c0-52.94-43.06-96-96-96S224 43.06 224 96c0 4.406 3.594 8 8 8S240 100.4 240 96c0-44.13 35.88-80 80-80s80 35.88 80 80v15.84c0 27.41-13.78 52.59-36.88 67.38L29.72 392.6C11.12 404.5 0 424.8 0 447.5C0 483.1 28.91 512 64.47 512h511.1C611.1 512 640 483.1 640 447.5C640 424.1 628.5 404.5 609.3 392.7zM575.5 496H64.47C37.75 496 16 474.3 16 446.9c0-16.62 8.344-31.88 22.34-40.81l275.9-176.6C314.7 230 315.2 230.4 315.8 230.8l285.1 175.5C615.4 415.2 624 430.6 624 447.5C624 474.3 602.3 496 575.5 496z"],
    "cloud": [640, 512, [9729], "f0c2", "M394.7 112.2C398.2 109.8 401.9 107.7 405.7 105.8C418.5 99.52 432.8 96 448 96C501 96 544 138.1 544 192C544 198.6 543.3 204.1 542.1 211.2C541 216.5 539.5 221.6 537.6 226.6C542.9 227.6 548.1 229 553.1 230.7C603.6 247.9 640 295.7 640 352C640 422.7 582.7 480 512 480H144C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32C309.6 32 356.1 58.31 386 98.71C389.1 103 392 107.5 394.7 112.2V112.2zM523.6 234.2C521.3 230.1 520.1 225.2 522.7 220.8C526.1 211.9 528 202.2 528 192C528 147.8 492.2 112 448 112C431.5 112 416.3 116.1 403.6 125.5C399.9 127.9 395.4 128.7 391.1 127.7C386.7 126.7 383 123.1 380.8 120.2C355.9 76.99 309.3 48 256 48C176.5 48 112 112.5 112 192C112 194.5 112.1 196.9 112.2 199.3C112.5 206.4 108.2 212.9 101.5 215.2C51.68 232.7 16 280.2 16 336C16 406.7 73.31 464 144 464H512C573.9 464 624 413.9 624 352C624 297.8 585.5 252.6 534.4 242.2C529.8 241.3 525.8 238.4 523.6 234.2V234.2z"],
    "cloud-arrow-down": [640, 512, [62337, "cloud-download", "cloud-download-alt"], "f0ed", "M226.3 325.7C223.2 322.5 223.2 317.5 226.3 314.3C229.5 311.2 234.5 311.2 237.7 314.3L311.1 388.7V192C311.1 187.6 315.6 184 319.1 184C324.4 184 328 187.6 328 192V388.7L402.3 314.3C405.5 311.2 410.5 311.2 413.7 314.3C416.8 317.5 416.8 322.5 413.7 325.7L325.7 413.7C322.5 416.8 317.5 416.8 314.3 413.7L226.3 325.7zM256 32C309.6 32 356.1 58.31 386 98.71C389.1 103 392 107.5 394.7 112.2C398.2 109.8 401.9 107.7 405.7 105.8C418.5 99.52 432.8 96 448 96C501 96 544 138.1 544 192C544 198.6 543.3 204.1 542.1 211.2C541 216.5 539.5 221.6 537.6 226.6C542.9 227.6 548.1 229 553.1 230.7C603.6 247.9 640 295.7 640 352C640 422.7 582.7 480 512 480H144C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32V32zM528 192C528 147.8 492.2 112 448 112C431.5 112 416.3 116.1 403.6 125.5C399.9 127.9 395.4 128.7 391.1 127.7C386.7 126.7 383 123.1 380.8 120.2C355.9 76.99 309.3 48 256 48C176.5 48 112 112.5 112 192C112 194.5 112.1 196.9 112.2 199.3C112.5 206.4 108.2 212.9 101.5 215.2C51.68 232.7 16 280.2 16 336C16 406.7 73.31 464 144 464H512C573.9 464 624 413.9 624 352C624 297.8 585.5 252.6 534.4 242.2C529.8 241.3 525.8 238.4 523.6 234.2C521.3 230.1 520.1 225.2 522.7 220.8C526.1 211.9 528 202.2 528 192V192z"],
    "cloud-arrow-up": [640, 512, [62338, "cloud-upload", "cloud-upload-alt"], "f0ee", "M314.3 186.3C317.5 183.2 322.5 183.2 325.7 186.3L413.7 274.3C416.8 277.5 416.8 282.5 413.7 285.7C410.5 288.8 405.5 288.8 402.3 285.7L328 211.3V408C328 412.4 324.4 416 320 416C315.6 416 312 412.4 312 408V211.3L237.7 285.7C234.5 288.8 229.5 288.8 226.3 285.7C223.2 282.5 223.2 277.5 226.3 274.3L314.3 186.3zM256 32C309.6 32 356.1 58.31 386 98.71C389.1 103 392 107.5 394.7 112.2C398.2 109.8 401.9 107.7 405.7 105.8C418.5 99.52 432.8 96 448 96C501 96 544 138.1 544 192C544 198.6 543.3 204.1 542.1 211.2C541 216.5 539.5 221.6 537.6 226.6C542.9 227.6 548.1 229 553.1 230.7C603.6 247.9 640 295.7 640 352C640 422.7 582.7 480 512 480H144C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32V32zM528 192C528 147.8 492.2 112 448 112C431.5 112 416.3 116.1 403.6 125.5C399.9 127.9 395.4 128.7 391.1 127.7C386.7 126.7 383 123.1 380.8 120.2C355.9 76.99 309.3 48 256 48C176.5 48 112 112.5 112 192C112 194.5 112.1 196.9 112.2 199.3C112.5 206.4 108.2 212.9 101.5 215.2C51.68 232.7 16 280.2 16 336C16 406.7 73.31 464 144 464H512C573.9 464 624 413.9 624 352C624 297.8 585.5 252.6 534.4 242.2C529.8 241.3 525.8 238.4 523.6 234.2C521.3 230.1 520.1 225.2 522.7 220.8C526.1 211.9 528 202.2 528 192V192z"],
    "cloud-bolt": [512, 512, [127785, "thunderstorm"], "f76c", "M418.6 125.4C418.9 122.8 419 120 419 117.2c0-47.42-38.36-86-85.5-86c-21.31 0-41.73 8.188-57.48 22.77C254.7 20.42 218.2 0 178.5 0C114.3 0 61.1 52.58 61.1 117.2c0 5.141 .3597 10.25 1.078 15.48C25.08 148.1 0 184.9 0 226.4C0 282.4 45.31 328 101 328h27.5c4.422 0 8-3.578 8-8s-3.578-8-8-8H101C54.13 312 16 273.6 16 226.4c0-36.89 23.53-69.41 58.56-80.88l6.703-2.203L79.92 136.4C78.63 129.8 77.1 123.5 77.1 117.2C77.1 61.41 123.1 16 178.5 16c37.36 0 71.39 21.03 88.8 54.89l5.5 10.72l7.734-9.234c13.61-16.23 32.42-25.17 52.97-25.17c38.33 0 69.5 31.41 69.5 70c0 5.125-.4531 9.75-1.406 14.17L401.1 140.8h9.891c46.88 0 85 38.41 85 85.61S457.9 312 411 312H352c-4.422 0-8 3.578-8 8s3.578 8 8 8h59C466.7 328 512 282.4 512 226.4C512 173.4 471.5 129.8 418.6 125.4zM324 360H206.9l118.3-122.4c3.062-3.188 3-8.25-.1875-11.31c-3.188-3.031-8.25-2.969-11.31 .1875l-131.5 136c-2.219 2.312-2.875 5.719-1.625 8.688S184.8 376 188 376h117.1l-118.3 122.4c-3.062 3.188-3 8.25 .1875 11.31C188.5 511.3 190.5 512 192.5 512c2.094 0 4.188-.8125 5.75-2.438l131.5-136c2.219-2.312 2.875-5.719 1.625-8.688S327.2 360 324 360z"],
    "cloud-bolt-moon": [576, 512, ["thunderstorm-moon"], "f76d", "M351.9 218.8C342.6 179.8 308.7 152 269.6 152c-10.34 0-20.53 2.031-30.38 6.047C220 133.8 192.2 120 161.9 120c-53.34 0-97.09 43.36-99.95 99.33C25.69 229.8 0 264.4 0 304c0 48.53 38.11 88 84.95 88c4.422 0 8-3.578 8-8s-3.578-8-8-8C46.94 376 16 343.7 16 304c0-34.27 23.3-63.94 55.41-70.55l6.156-2.938V224c0-48.53 37.83-88 84.33-88c32.6 0 54.27 16.57 72.17 42.25C255.2 167.7 263.1 168 269.6 168c11.95 0 57.1 4.785 68.61 64.34l5.422 1.016C376.4 239.5 400.1 269.2 399.1 304c0 39.7-30.94 72-68.95 72h-28.84c-4.422 0-8 3.578-8 8s3.578 8 8 8h28.84c46.84 0 84.96-39.49 84.96-87.99C416.1 263.4 389.5 228.5 351.9 218.8zM574.1 218.6c-3.047-5.375-8.891-8.156-15.27-7.047c-29.33 5.609-59.4-2.094-82.34-21.09c-22.7-18.78-35.72-46.38-35.72-75.69c0-35.38 19.27-68.23 50.28-85.75c5.344-3.031 8.125-8.891 7.094-14.94c-1.031-6.016-5.594-10.61-11.56-11.69C478.3 .7969 469.3 0 460.1 0c-77.58 0-141 60.58-144.4 137.9c-.1875 4.422 3.234 8.156 7.641 8.359c4.703 0 8.141-3.266 8.359-7.641C334.7 69.86 391.1 16 460.1 16c6.672 0 13.12 .4687 19.25 1.375c-33.75 20.83-54.53 57.73-54.53 97.39c0 34.09 15.14 66.17 41.52 88.02c26.11 21.62 60.09 30.55 91.98 24.12c-1.855 2.174-41.09 52.12-111.8 43.72c-4.406-.5625-8.312 2.766-8.75 7.156c-.4531 4.391 2.766 8.312 7.156 8.75C452.2 287.4 455.6 288 460.1 288c43.91 0 84.92-19.41 112.3-53.06C576.5 230.3 577.1 223.9 574.1 218.6zM252 376H150.9l102.9-106.4c3.062-3.188 3-8.25-.1875-11.31C250.4 255.2 245.3 255.3 242.3 258.4l-116 120c-2.219 2.312-2.875 5.719-1.625 8.688S128.8 392 132 392h101.1l-102.9 106.4c-3.062 3.188-3 8.25 .1875 11.31C132 511.3 133.1 512 136 512c2.094 0 4.188-.8125 5.75-2.438l116-120c2.219-2.312 2.875-5.719 1.625-8.688S255.2 376 252 376z"],
    "cloud-bolt-sun": [640, 512, ["thunderstorm-sun"], "f76e", "M157.5 300.1l-52.89 17.7C102 319.5 100.4 318.2 99.75 317.5C99.03 316.8 97.94 315.3 98.7 312.1l26.38-79.16L50.56 196.5C48.25 195.3 48 193.2 48 192.4c0-.8457 .25-2.943 2.531-4.102l74.55-37.36l-26.38-79.11C97.89 69.28 99.19 67.62 99.78 67.02c.5469-.5957 2.109-1.926 4.562-1.049l79.03 26.42l37.27-74.64c1.172-2.316 3.266-2.568 4.109-2.568S227.7 15.44 228.8 17.72l37.3 74.67l78.98-26.42c2.438-.8145 4.156 .4531 4.75 1.08c.5781 .5781 1.844 2.176 1.047 4.586l-7.016 21.16c-1.391 4.195 .875 8.734 5.078 10.13c4.141 1.439 8.734-.9082 10.11-5.086L366.1 76.66c2.453-7.434 .5625-15.45-4.922-20.94c-5.5-5.539-13.61-7.434-21.09-4.961L274.2 72.8L243.1 10.53C236-3.498 213.5-3.529 206.3 10.56L175.3 72.8L109.4 50.76C101.1 48.27 93.94 50.18 88.47 55.69C82.95 61.22 81.05 69.29 83.52 76.82l22 65.97L43.34 173.9C36.34 177.5 32 184.5 32 192.4C32 200.2 36.34 207.2 43.38 210.8l62.14 31.11l-22 66.01c-2.438 7.387-.5781 15.4 4.859 20.91c3.938 3.975 9.188 6.119 14.66 6.119c2.156 0 4.344-.3457 6.5-1.018l53-17.73C166.7 314.8 168.1 310.2 167.6 306.1C166.2 301.9 161.7 299.6 157.5 300.1zM171.2 192.3c0-29.61 23.66-53.7 52.75-53.7c9.688 0 19.28 2.863 27.75 8.264c3.703 2.361 8.672 1.299 11.05-2.459c2.375-3.725 1.281-8.686-2.453-11.06c-11.05-7.043-23.61-10.77-36.34-10.77c-37.91 0-68.75 31.27-68.75 69.72c0 19.58 8.031 37.81 22.61 51.33c1.547 1.426 3.484 2.129 5.438 2.129c2.156 0 4.297-.8613 5.875-2.566c3-3.256 2.797-8.326-.4375-11.33C177.4 221.4 171.2 207.3 171.2 192.3zM543.9 218.3c-9.344-39.08-43.16-66.92-82.3-66.92c-10.34 0-20.53 2.035-30.38 6.057c-19.22-24.3-47.06-38.11-77.34-38.11c-53.34 0-97.09 43.43-99.95 99.49C217.7 229.3 192 264 192 303.7c0 48.61 38.11 88.14 84.95 88.14c4.422 0 8-3.584 8-8.012c0-4.43-3.578-8.014-8-8.014C238.9 375.8 208 343.4 208 303.7c0-34.32 23.3-64.04 55.41-70.66l6.156-2.943V223.5c0-48.61 37.83-88.14 84.33-88.14c27.14 0 52 13.35 68.22 36.64l3.953 5.68l6.188-3.098c9.484-4.758 19.36-7.168 29.36-7.168c33.13 0 61.56 24.8 67.64 59L530.2 231.9l5.422 1.016C568.4 239.1 592.1 268.8 592 303.7c0 39.77-30.94 72.12-68.95 72.12h-28.84c-4.422 0-8 3.584-8 8.014c0 4.428 3.578 8.012 8 8.012h28.84C569.9 391.8 608 352.5 608 303.9C608.1 263.3 581.5 228 543.9 218.3zM444 376h-101.1l102.9-106.4c3.078-3.188 2.984-8.25-.1875-11.31c-3.172-3.031-8.219-2.969-11.31 .1875l-116 120c-2.234 2.312-2.875 5.719-1.609 8.688C317.9 390.1 320.8 392 324 392h101.1l-102.9 106.4c-3.078 3.188-2.984 8.25 .1875 11.31C324 511.3 325.1 512 328 512c2.094 0 4.188-.8125 5.75-2.438l116-120c2.234-2.312 2.875-5.719 1.609-8.688C450.1 377.9 447.2 376 444 376z"],
    "cloud-check": [640, 512, [], "e35c", "M293.7 357.7C290.5 360.8 285.5 360.8 282.3 357.7L218.3 293.7C215.2 290.5 215.2 285.5 218.3 282.3C221.5 279.2 226.5 279.2 229.7 282.3L288 340.7L410.3 218.3C413.5 215.2 418.5 215.2 421.7 218.3C424.8 221.5 424.8 226.5 421.7 229.7L293.7 357.7zM256 32C309.6 32 356.1 58.31 386 98.71C389.1 103 392 107.5 394.7 112.2C398.2 109.8 401.9 107.7 405.7 105.8C418.5 99.52 432.8 96 448 96C501 96 544 138.1 544 192C544 198.6 543.3 204.1 542.1 211.2C541 216.5 539.5 221.6 537.6 226.6C542.9 227.6 548.1 229 553.1 230.7C603.6 247.9 640 295.7 640 352C640 422.7 582.7 480 512 480H144C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32V32zM528 192C528 147.8 492.2 112 448 112C431.5 112 416.3 116.1 403.6 125.5C399.9 127.9 395.4 128.7 391.1 127.7C386.7 126.7 383 123.1 380.8 120.2C355.9 76.99 309.3 48 256 48C176.5 48 112 112.5 112 192C112 194.5 112.1 196.9 112.2 199.3C112.5 206.4 108.2 212.9 101.5 215.2C51.68 232.7 16 280.2 16 336C16 406.7 73.31 464 144 464H512C573.9 464 624 413.9 624 352C624 297.8 585.5 252.6 534.4 242.2C529.8 241.3 525.8 238.4 523.6 234.2C521.3 230.1 520.1 225.2 522.7 220.8C526.1 211.9 528 202.2 528 192V192z"],
    "cloud-drizzle": [512, 512, [], "f738", "M56 360c-4.422 0-8 3.578-8 8v56c0 4.422 3.578 8 8 8S64 428.4 64 424V368C64 363.6 60.42 360 56 360zM248 360c-4.422 0-8 3.578-8 8v56c0 4.422 3.578 8 8 8S256 428.4 256 424V368C256 363.6 252.4 360 248 360zM152 440c-4.422 0-8 3.578-8 8v56C144 508.4 147.6 512 152 512S160 508.4 160 504V448C160 443.6 156.4 440 152 440zM440 360c-4.422 0-8 3.578-8 8v56c0 4.422 3.578 8 8 8S448 428.4 448 424V368C448 363.6 444.4 360 440 360zM344 440c-4.422 0-8 3.578-8 8v56c0 4.422 3.578 8 8 8S352 508.4 352 504V448C352 443.6 348.4 440 344 440zM416 128c-.625 0-1.125 .25-1.625 .25C415.5 123 416 117.6 416 112C416 67.75 380.3 32 336 32c-24.62 0-46.25 11.25-61 28.75C256.4 24.75 219.3 0 176 0C114.1 0 64 50.13 64 112c0 7.25 .75 14.25 2.125 21.25C27.75 145.8 0 181.5 0 224c0 53 43 96 96 96h320c53 0 96-43 96-96S469 128 416 128zM416 304H96C51.89 304 16 268.1 16 224c0-34.45 22.13-64.81 55.08-75.54l13.48-4.391L81.82 130.2C80.6 123.9 80 117.1 80 112c0-52.94 43.06-96 96-96c35.67 0 68.16 19.96 84.79 52.1l11.01 21.28l15.44-18.32C299.8 56.19 317.1 48 336 48c35.29 0 64 28.71 64 64c0 4.691-.416 8.91-1.27 12.9l-4.148 19.35h19.79c1.104 0 2.068-.1035 2.902-.2402C460.8 144.7 496 180.3 496 224C496 268.1 460.1 304 416 304z"],
    "cloud-exclamation": [640, 512, [], "e491", "M320 160C324.4 160 328 163.6 328 168V328C328 332.4 324.4 336 320 336C315.6 336 312 332.4 312 328V168C312 163.6 315.6 160 320 160zM336 384C336 392.8 328.8 400 320 400C311.2 400 304 392.8 304 384C304 375.2 311.2 368 320 368C328.8 368 336 375.2 336 384zM256 32C309.6 32 356.1 58.31 386 98.71C389.1 103 392 107.5 394.7 112.2C398.2 109.8 401.9 107.7 405.7 105.8C418.5 99.52 432.8 96 448 96C501 96 544 138.1 544 192C544 198.6 543.3 204.1 542.1 211.2C541 216.5 539.5 221.6 537.6 226.6C542.9 227.6 548.1 229 553.1 230.7C603.6 247.9 640 295.7 640 352C640 422.7 582.7 480 512 480H144C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32V32zM528 192C528 147.8 492.2 112 448 112C431.5 112 416.3 116.1 403.6 125.5C399.9 127.9 395.4 128.7 391.1 127.7C386.7 126.7 383 123.1 380.8 120.2C355.9 76.99 309.3 48 256 48C176.5 48 112 112.5 112 192C112 194.5 112.1 196.9 112.2 199.3C112.5 206.4 108.2 212.9 101.5 215.2C51.68 232.7 16 280.2 16 336C16 406.7 73.31 464 144 464H512C573.9 464 624 413.9 624 352C624 297.8 585.5 252.6 534.4 242.2C529.8 241.3 525.8 238.4 523.6 234.2C521.3 230.1 520.1 225.2 522.7 220.8C526.1 211.9 528 202.2 528 192V192z"],
    "cloud-fog": [640, 512, [127787, "fog"], "f74e", "M160 320h320c53 0 96-43 96-96s-43-96-96-96c-.625 0-1.125 .25-1.625 .25C479.5 122.1 480 117.6 480 112C480 67.75 444.3 32 400 32c-24.62 0-46.25 11.25-61 28.75C320.4 24.75 283.3 0 240 0C178.1 0 128 50.13 128 112c0 7.25 .75 14.25 2.125 21.25C91.75 145.7 64 181.5 64 224C64 277 107 320 160 320zM135.1 148.5l13.48-4.391L145.8 130.2C144.6 123.9 144 117.1 144 112c0-52.93 43.06-96 96-96c35.67 0 68.16 19.96 84.79 52.1l11.01 21.28l15.44-18.32C363.8 56.19 381.1 48 400 48c35.29 0 64 28.71 64 64c0 4.691-.416 8.91-1.27 12.9l-4.148 19.35h19.79c1.104 0 2.068-.1016 2.902-.2383C524.8 144.7 560 180.3 560 224c0 44.11-35.89 80-80 80H160C115.9 304 80 268.1 80 224C80 189.6 102.1 159.2 135.1 148.5zM576 408c0-4.406-3.578-8-8-8H8C3.578 400 0 403.6 0 408S3.578 416 8 416h560C572.4 416 576 412.4 576 408zM632 496H296C291.6 496 288 499.6 288 504S291.6 512 295.1 512H632c4.422 0 8-3.594 8-8S636.4 496 632 496zM216 496h-144C67.58 496 64 499.6 64 504S67.58 512 72 512h144C220.4 512 224 508.4 224 504S220.4 496 216 496z"],
    "cloud-hail": [512, 512, [], "f739", "M384 352c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S401.8 352 384 352zM384 400c-8.973 0-16-7.029-16-16c0-8.973 7.027-16 16-16s16 7.027 16 16C400 392.1 392.1 400 384 400zM192 448c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S209.8 448 192 448zM192 496c-8.973 0-16-7.029-16-16c0-8.973 7.027-16 16-16s16 7.027 16 16C208 488.1 200.1 496 192 496zM320 448c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S337.8 448 320 448zM320 496c-8.973 0-16-7.029-16-16c0-8.973 7.027-16 16-16s16 7.027 16 16C336 488.1 328.1 496 320 496zM256 352c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S273.8 352 256 352zM256 400c-8.973 0-16-7.029-16-16c0-8.973 7.027-16 16-16s16 7.027 16 16C272 392.1 264.1 400 256 400zM64 448c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S81.75 448 64 448zM64 496c-8.973 0-16-7.029-16-16c0-8.973 7.027-16 16-16s16 7.027 16 16C80 488.1 72.97 496 64 496zM128 352c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S145.8 352 128 352zM128 400c-8.973 0-16-7.029-16-16c0-8.973 7.027-16 16-16s16 7.027 16 16C144 392.1 136.1 400 128 400zM416 128c-.625 0-1.125 .25-1.625 .25C415.5 122.1 416 117.6 416 112C416 67.75 380.3 32 336 32c-24.62 0-46.25 11.25-61 28.75C256.4 24.75 219.3 0 176 0C114.1 0 64 50.13 64 112c0 7.25 .75 14.25 2.125 21.25C27.75 145.7 0 181.5 0 224c0 53 43 96 96 96h320c53 0 96-43 96-96S469 128 416 128zM416 304H96C51.89 304 16 268.1 16 224c0-34.45 22.13-64.81 55.08-75.54l13.48-4.391L81.82 130.2C80.6 123.9 80 117.1 80 112c0-52.94 43.06-96 96-96c35.67 0 68.16 19.96 84.79 52.1l11.01 21.28l15.44-18.32C299.8 56.19 317.1 48 336 48c35.29 0 64 28.71 64 64c0 4.691-.416 8.91-1.27 12.9l-4.148 19.35h19.79c1.104 0 2.068-.1035 2.902-.2402C460.8 144.7 496 180.3 496 224C496 268.1 460.1 304 416 304z"],
    "cloud-hail-mixed": [512, 512, [], "f73a", "M177.2 371.8l-80 128c-2.344 3.734-1.203 8.672 2.547 11.02C101.1 511.6 102.5 512 104 512c2.656 0 5.266-1.328 6.781-3.766l80-128c2.344-3.734 1.203-8.672-2.547-11.02C184.5 366.9 179.6 368 177.2 371.8zM32 448c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S49.75 448 32 448zM32 496c-8.973 0-16-7.029-16-16c0-8.973 7.027-16 16-16s16 7.027 16 16C48 488.1 40.97 496 32 496zM81.22 371.8l-25 40c-2.344 3.734-1.203 8.672 2.547 11.02C60.08 423.6 61.55 424 63 424c2.656 0 5.266-1.328 6.781-3.766l25-40c2.344-3.734 1.203-8.672-2.547-11.02C88.55 366.9 83.58 368 81.22 371.8zM369.2 371.8l-80 128c-2.344 3.734-1.203 8.672 2.547 11.02C293.1 511.6 294.5 512 296 512c2.656 0 5.266-1.328 6.781-3.766l80-128c2.344-3.734 1.203-8.672-2.547-11.02C376.6 366.9 371.6 368 369.2 371.8zM465.2 371.8l-24 38.41c-2.344 3.734-1.203 8.672 2.547 11.02C445.1 422 446.5 422.4 448 422.4c2.656 0 5.266-1.328 6.781-3.766l24-38.41c2.344-3.734 1.203-8.672-2.547-11.02C472.5 366.9 467.6 368 465.2 371.8zM224 448c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S241.8 448 224 448zM224 496c-8.973 0-16-7.029-16-16c0-8.973 7.027-16 16-16s16 7.027 16 16C240 488.1 232.1 496 224 496zM416 448c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S433.8 448 416 448zM416 496c-8.973 0-16-7.029-16-16c0-8.973 7.027-16 16-16s16 7.027 16 16C432 488.1 424.1 496 416 496zM273.2 371.8l-24 38.41c-2.344 3.734-1.203 8.672 2.547 11.02C253.1 422 254.5 422.4 256 422.4c2.656 0 5.266-1.328 6.781-3.766l24-38.41c2.344-3.734 1.203-8.672-2.547-11.02C280.5 366.9 275.6 368 273.2 371.8zM416 128c-.625 0-1.125 .25-1.625 .25C415.5 123 416 117.6 416 112C416 67.75 380.3 32 336 32c-24.62 0-46.25 11.25-61 28.75C256.4 24.75 219.3 0 176 0C114.1 0 64 50.13 64 112c0 7.25 .75 14.25 2.125 21.25C27.75 145.8 0 181.5 0 224c0 53 43 96 96 96h320c53 0 96-43 96-96S469 128 416 128zM416 304H96C51.89 304 16 268.1 16 224c0-34.45 22.13-64.81 55.08-75.54l13.48-4.391L81.82 130.2C80.6 123.9 80 117.1 80 112c0-52.94 43.06-96 96-96c35.67 0 68.16 19.96 84.79 52.1l11.01 21.28l15.44-18.32C299.8 56.19 317.1 48 336 48c35.29 0 64 28.71 64 64c0 4.691-.416 8.91-1.27 12.9l-4.148 19.35h19.79c1.104 0 2.068-.1035 2.902-.2402C460.8 144.7 496 180.3 496 224C496 268.1 460.1 304 416 304z"],
    "cloud-meatball": [576, 512, [], "f73b", "M80 352C53.5 352 32 373.5 32 400S53.5 448 80 448S128 426.5 128 400S106.5 352 80 352zM80 432c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S97.64 432 80 432zM496 352c-26.5 0-48 21.5-48 48s21.5 48 48 48s48-21.5 48-48S522.5 352 496 352zM496 432c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S513.6 432 496 432zM377 363.1c4.625-14.5 1.625-30.87-9.75-42.37c-8.078-8.078-18.56-11.9-29.11-11.9c-4.471 0-8.951 .6855-13.27 2.025c-7-13.5-20.62-23-36.88-23s-29.88 9.5-36.88 23C246.8 309.5 242.3 308.8 237.8 308.8c-10.54 0-21.01 3.883-29.08 11.96c-11.5 11.5-14.38 27.87-9.875 42.37c-13.5 7-23 20.62-23 36.88s9.5 29.88 23 36.88c-4.625 14.5-1.625 30.87 9.875 42.37c8.25 8.125 18.1 12.25 29.75 12.25c4.25 0 8.5-1.125 12.62-2.5C258.1 502.5 271.8 512 288 512s29.88-9.5 36.88-23c4.125 1.25 8.375 2.5 12.62 2.5c10.75 0 21.5-4.125 29.75-12.25c11.5-11.5 14.38-27.87 9.75-42.37C390.5 429.9 400 416.3 400 400S390.5 370.1 377 363.1zM369.6 422.7c-6.92 3.588-10.25 11.64-7.879 19.07c3.086 9.676 .9102 19.47-5.732 26.11c-13.32 13.12-25.16 5.148-31.15 5.148c-5.848 0-11.4 3.221-14.2 8.637C306 490.6 297.5 496 288 496s-18.01-5.371-22.67-14.37c-2.814-5.428-8.367-8.639-14.21-8.639c-5.521 0-17.88 7.92-31.06-5.061c-6.689-6.688-8.967-16.73-5.945-26.2c2.367-7.426-.959-15.48-7.879-19.07C197.2 418 191.9 409.5 191.9 400c0-9.533 5.371-18.01 14.37-22.67c6.877-3.566 10.21-11.55 7.916-18.95c-3.027-9.754-.8184-19.59 5.908-26.32c12.3-12.3 26.64-5.186 31.06-5.186c5.842 0 11.39-3.217 14.21-8.637C269.1 309.2 278.5 303.9 288 303.9s18.01 5.369 22.67 14.37c2.809 5.418 8.357 8.637 14.2 8.637c4.248 0 18.94-6.939 31 5.125c6.65 6.723 8.904 16.79 5.881 26.26c-2.367 7.426 .959 15.48 7.879 19.07C378.6 381.1 384 390.5 384 400C384 409.5 378.6 418 369.6 422.7zM543.1 225.8C544.1 172 501.6 128 448 128c-.625 0-1.125 .25-1.625 .25C447.5 123 448 117.6 448 112c.002-34.1-21.76-66.3-55.3-76.3c-34.62-10.32-66.18 1.891-85.7 25.05C286.1 20.26 241.7-5.1 191.6 1.182c-51.55 7.381-91.5 51.15-95.27 103.1C95.55 114.3 96.27 123.8 98.13 133.3C58.88 146 30.74 183.1 32.04 226.9C33.6 279.3 78.68 320 131.1 320H152C156.4 320 160 316.4 160 312S156.4 304 152 304H130.4c-38.86 0-73.85-26.7-81.01-64.89c-7.572-40.4 15.97-78.37 53.67-90.65l13.48-4.391L113.8 130.2C112.6 123.9 112 117.1 112 112c0-40.36 24.65-76.62 62.67-90.15c47.6-16.94 96.39 4.27 118.1 46.25l11.01 21.28l15.44-18.32c14.73-17.47 36.07-25.72 58.83-22.3c33.42 5.027 56.25 34.76 53.75 68.46c-.1992 2.684-.5586 5.225-1.084 7.676L426.6 144.3h19.79c1.104 0 2.068-.1035 2.902-.2402c45.48 .7187 81.87 39.58 78.51 85.93C524.7 272.2 487.6 304 445.2 304H424C419.6 304 416 307.6 416 312S419.6 320 424 320h20.8C497.6 320 542.1 278.7 543.1 225.8z"],
    "cloud-minus": [640, 512, [], "e35d", "M416 280C420.4 280 424 283.6 424 288C424 292.4 420.4 296 416 296H224C219.6 296 216 292.4 216 288C216 283.6 219.6 280 224 280H416zM256 32C309.6 32 356.1 58.31 386 98.71C389.1 103 392 107.5 394.7 112.2C398.2 109.8 401.9 107.7 405.7 105.8C418.5 99.52 432.8 96 448 96C501 96 544 138.1 544 192C544 198.6 543.3 204.1 542.1 211.2C541 216.5 539.5 221.6 537.6 226.6C542.9 227.6 548.1 229 553.1 230.7C603.6 247.9 640 295.7 640 352C640 422.7 582.7 480 512 480H144C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32V32zM528 192C528 147.8 492.2 112 448 112C431.5 112 416.3 116.1 403.6 125.5C399.9 127.9 395.4 128.7 391.1 127.7C386.7 126.7 383 123.1 380.8 120.2C355.9 76.99 309.3 48 256 48C176.5 48 112 112.5 112 192C112 194.5 112.1 196.9 112.2 199.3C112.5 206.4 108.2 212.9 101.5 215.2C51.68 232.7 16 280.2 16 336C16 406.7 73.31 464 144 464H512C573.9 464 624 413.9 624 352C624 297.8 585.5 252.6 534.4 242.2C529.8 241.3 525.8 238.4 523.6 234.2C521.3 230.1 520.1 225.2 522.7 220.8C526.1 211.9 528 202.2 528 192V192z"],
    "cloud-moon": [576, 512, [], "f6c3", "M573.6 294.4c-3.641-6.078-10.5-9.125-17.42-7.75c-40.06 7.641-81.05-2.844-112.4-28.81c-31.44-26-49.47-64.3-49.47-105.1c0-48.94 26.47-94.42 68.1-118.7c6.172-3.453 9.406-10.19 8.266-17.16c-1.172-7.016-6.406-12.38-13.39-13.66c-122.4-22.08-227.4 71.47-227.4 189.1c0 1.922 .1719 3.797 .3438 5.672l.25 2.984C231.6 205.4 234.1 208.1 239.7 208.6C244.1 208.4 247.5 204.6 247.3 200.2L247 196.5C246.9 195.1 246.7 193.8 246.7 192.4c0-97.25 79.06-176.4 176.2-176.4c10.61 0 21.17 .9844 32.39 4.125c-47.58 27.14-77.12 77.95-77.12 132.6c0 45.56 20.14 88.36 55.26 117.4c35.08 28.98 80.8 40.69 126.3 33.2c-27.67 34.11-67.09 56.45-110.1 62.91c-4.359 .6562-7.391 4.719-6.75 9.094c.5938 3.969 4.016 6.828 7.906 6.828c.3906 0 .7813-.0313 1.188-.0781c47.86-7.047 90.86-31.44 121.1-68.67C576.7 307.1 577.2 300.5 573.6 294.4zM342.7 352.7c5.75-9.625 9.25-20.75 9.25-32.75c0-35.25-28.75-64-63.1-64c-17.25 0-32.75 6.875-44.25 17.87C227.4 244.2 196.2 223.1 159.1 223.1c-52.1 0-96 43.06-96 96.06c0 2 .5029 3.687 .6279 5.687c-37.5 13-64.62 48.37-64.62 90.25C-.0048 469 42.99 512 95.99 512h239.1c44.25 0 79.1-35.75 79.1-80C415.1 390.1 383.7 356.2 342.7 352.7zM335.1 495.1h-239.1c-44.11 0-79.1-35.89-79.1-80c0-33.77 21.65-63.96 53.86-75.13l11.49-3.982l-.7578-12.13c-.084-1.357-.2598-2.645-.5937-4.754c0-44.11 35.89-80 79.1-80c28.83 0 55.56 15.95 69.75 41.62l10.05 18.18L254.8 285.4c9.058-8.666 20.85-13.44 33.19-13.44c26.47 0 47.1 21.53 47.1 48c0 8.527-2.35 16.79-6.986 24.54l-13.12 21.97l25.5 2.176c33.41 2.852 58.61 30.07 58.61 63.31C399.1 467.3 371.3 495.1 335.1 495.1z"],
    "cloud-moon-rain": [576, 512, [], "f73c", "M350.5 225.5c-6.875-37.25-39.26-65.5-78.51-65.5c-12.25 0-23.88 3-34.25 7.1c-17.5-24.12-45.63-39.1-77.76-39.1c-53 0-96.01 43-96.01 95.1c0 .4999 .25 1.125 .25 1.625C27.63 232.9 0 265.3 0 304c0 44.24 35.75 79.1 80.01 79.1h256c44.25 0 80.01-35.75 80.01-79.1C416 264.8 387.8 232.3 350.5 225.5zM336 368H80c-35.29 0-64-28.71-64-63.99c0-30.43 21.6-56.78 51.36-62.67l12.89-2.552V225.7c0-1.129-.1113-2.127-.2402-2.918C80.7 179.2 116.3 144 160 144c25.79 0 49.41 12.17 64.8 33.39l7.852 10.82l12.05-5.806c8.83-4.253 18.02-6.411 27.3-6.411c30.76 0 57.16 22.04 62.77 52.4l2.006 10.87l10.88 1.97c30.34 5.497 52.36 31.89 52.36 62.75C400 339.3 371.3 368 336 368zM65.13 419.9L17.13 499.9c-2.25 3.781-1.031 8.702 2.75 10.97C21.19 511.6 22.59 512 24 512c2.719 0 5.375-1.39 6.875-3.89l48-79.99c2.25-3.781 1.031-8.702-2.75-10.97C72.22 414.9 67.38 416.1 65.13 419.9zM161.1 419.9l-48 79.99c-2.25 3.781-1.031 8.702 2.75 10.97C117.2 511.6 118.6 512 120 512c2.719 0 5.375-1.39 6.875-3.89l48-79.99c2.25-3.781 1.031-8.702-2.75-10.97C168.3 414.9 163.4 416.1 161.1 419.9zM257.1 419.9l-48 79.99c-2.25 3.781-1.031 8.702 2.75 10.97C213.2 511.6 214.6 512 216 512c2.719 0 5.375-1.39 6.875-3.89l48-79.99c2.25-3.781 1.031-8.702-2.75-10.97C264.3 414.9 259.4 416.1 257.1 419.9zM353.1 419.9L305.1 499.9c-2.25 3.781-1.031 8.702 2.75 10.97C309.2 511.6 310.6 512 312 512c2.719 0 5.375-1.39 6.875-3.89l48-79.99c2.25-3.781 1.031-8.702-2.75-10.97C360.3 414.9 355.4 416.1 353.1 419.9zM574.1 218.4c-3.094-5.327-8.875-7.968-15.09-6.921c-28.38 5.515-57.53-1.937-79.91-20.37c-22.78-18.83-35.88-46.67-35.88-76.4c0-35.42 18.91-68.27 49.41-85.79c5.25-3.062 8-8.936 6.938-14.95c-1.062-5.984-5.418-10.56-11.29-11.64C480 .8009 470.9 0 461.8 0c-70.47 0-130.6 53.74-140.1 125c-.5625 4.374 2.5 8.39 6.875 8.983c4.688 .4999 8.407-2.515 9-6.89c8.407-63.35 61.88-111.1 124.3-111.1c6.531 0 12.88 .4687 18.84 1.375c-33.19 20.81-53.63 57.73-53.63 97.38c0 34.53 15.19 66.87 41.69 88.72c24.84 20.51 56.85 29.36 88.5 24.56c-24.03 27.98-58.5 43.93-94.6 43.98c-4.313-.5624-9.094 3.14-9.094 7.937c0 4.406 3.738 7.947 8.144 7.947c43.22 0 83.7-19.37 110.7-53.04C576.5 230.2 577.1 223.7 574.1 218.4zM484.5 15.13C484.5 15.13 484.6 15.13 484.5 15.13L484.5 15.13z"],
    "cloud-music": [640, 512, [], "f8ae", "M277.2 243.6C274.1 244.8 272 247.8 272 251.1V360C272 382.1 250.5 400 224 400C197.5 400 176 382.1 176 360C176 337.9 197.5 320 224 320C236.3 320 247.5 323.9 256 330.2V251.1C256 241.1 262.2 232.1 271.6 228.6L367.6 192.6C383.3 186.7 400 198.3 400 215.1V328C400 350.1 378.5 368 352 368C325.5 368 304 350.1 304 328C304 305.9 325.5 288 352 288C364.3 288 375.5 291.9 384 298.2V215.1C384 209.5 378.4 205.6 373.2 207.6L277.2 243.6zM192 360C192 370.6 203.5 384 224 384C244.5 384 256 370.6 256 360C256 349.4 244.5 336 224 336C203.5 336 192 349.4 192 360zM384 328C384 317.4 372.5 304 352 304C331.5 304 320 317.4 320 328C320 338.6 331.5 352 352 352C372.5 352 384 338.6 384 328zM256 32C309.6 32 356.1 58.31 386 98.71C389.1 103 392 107.5 394.7 112.2C398.2 109.8 401.9 107.7 405.7 105.8C418.5 99.52 432.8 96 448 96C501 96 544 138.1 544 192C544 198.6 543.3 204.1 542.1 211.2C541 216.5 539.5 221.6 537.6 226.6C542.9 227.6 548.1 229 553.1 230.7C603.6 247.9 640 295.7 640 352C640 422.7 582.7 480 512 480H144C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32V32zM528 192C528 147.8 492.2 112 448 112C431.5 112 416.3 116.1 403.6 125.5C399.9 127.9 395.4 128.7 391.1 127.7C386.7 126.7 383 123.1 380.8 120.2C355.9 76.99 309.3 48 256 48C176.5 48 112 112.5 112 192C112 194.5 112.1 196.9 112.2 199.3C112.5 206.4 108.2 212.9 101.5 215.2C51.68 232.7 16 280.2 16 336C16 406.7 73.31 464 144 464H512C573.9 464 624 413.9 624 352C624 297.8 585.5 252.6 534.4 242.2C529.8 241.3 525.8 238.4 523.6 234.2C521.3 230.1 520.1 225.2 522.7 220.8C526.1 211.9 528 202.2 528 192V192z"],
    "cloud-plus": [640, 512, [], "e35e", "M312 384V296H224C219.6 296 216 292.4 216 288C216 283.6 219.6 280 224 280H312V192C312 187.6 315.6 184 320 184C324.4 184 328 187.6 328 192V280H416C420.4 280 424 283.6 424 288C424 292.4 420.4 296 416 296H328V384C328 388.4 324.4 392 320 392C315.6 392 312 388.4 312 384zM256 32C309.6 32 356.1 58.31 386 98.71C389.1 103 392 107.5 394.7 112.2C398.2 109.8 401.9 107.7 405.7 105.8C418.5 99.52 432.8 96 448 96C501 96 544 138.1 544 192C544 198.6 543.3 204.1 542.1 211.2C541 216.5 539.5 221.6 537.6 226.6C542.9 227.6 548.1 229 553.1 230.7C603.6 247.9 640 295.7 640 352C640 422.7 582.7 480 512 480H144C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32V32zM528 192C528 147.8 492.2 112 448 112C431.5 112 416.3 116.1 403.6 125.5C399.9 127.9 395.4 128.7 391.1 127.7C386.7 126.7 383 123.1 380.8 120.2C355.9 76.99 309.3 48 256 48C176.5 48 112 112.5 112 192C112 194.5 112.1 196.9 112.2 199.3C112.5 206.4 108.2 212.9 101.5 215.2C51.68 232.7 16 280.2 16 336C16 406.7 73.31 464 144 464H512C573.9 464 624 413.9 624 352C624 297.8 585.5 252.6 534.4 242.2C529.8 241.3 525.8 238.4 523.6 234.2C521.3 230.1 520.1 225.2 522.7 220.8C526.1 211.9 528 202.2 528 192V192z"],
    "cloud-question": [640, 512, [], "e492", "M231.1 216C231.1 185.1 257.1 160 287.1 160H344.2C379.4 160 407.1 188.6 407.1 223.8C407.1 245.2 397.2 265.2 379.3 277L327.1 310.9V336C327.1 340.4 324.4 344 319.1 344C315.6 344 311.1 340.4 311.1 336V306.5C311.1 303.9 313.3 301.3 315.6 299.9L370.5 263.7C383.9 254.8 391.1 239.8 391.1 223.8C391.1 197.4 370.6 176 344.2 176H287.1C265.9 176 247.1 193.9 247.1 216V222.5C247.1 226.1 244.4 230.5 239.1 230.5C235.6 230.5 231.1 226.1 231.1 222.5V216zM335.1 384C335.1 392.8 328.8 400 319.1 400C311.2 400 303.1 392.8 303.1 384C303.1 375.2 311.2 368 319.1 368C328.8 368 335.1 375.2 335.1 384zM256 32C309.6 32 356.1 58.31 386 98.71C389.1 103 392 107.5 394.7 112.2C398.2 109.8 401.9 107.7 405.7 105.8C418.5 99.52 432.8 96 448 96C501 96 544 138.1 544 192C544 198.6 543.3 204.1 542.1 211.2C541 216.5 539.5 221.6 537.6 226.6C542.9 227.6 548.1 229 553.1 230.7C603.6 247.9 640 295.7 640 352C640 422.7 582.7 480 512 480H144C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32V32zM528 192C528 147.8 492.2 112 448 112C431.5 112 416.3 116.1 403.6 125.5C399.9 127.9 395.4 128.7 391.1 127.7C386.7 126.7 383 123.1 380.8 120.2C355.9 76.99 309.3 48 256 48C176.5 48 112 112.5 112 192C112 194.5 112.1 196.9 112.2 199.3C112.5 206.4 108.2 212.9 101.5 215.2C51.68 232.7 16 280.2 16 336C16 406.7 73.31 464 144 464H512C573.9 464 624 413.9 624 352C624 297.8 585.5 252.6 534.4 242.2C529.8 241.3 525.8 238.4 523.6 234.2C521.3 230.1 520.1 225.2 522.7 220.8C526.1 211.9 528 202.2 528 192V192z"],
    "cloud-rain": [512, 512, [127783, 9926], "f73d", "M95.99 368c-3.369 0-6.758 2.043-7.995 6.247c-12.75 44.38-40 56.38-40 87.63C48 489.6 69.5 512 96 512s48-22.38 48-50.13c0-31.38-27.25-43.13-40-87.63C102.9 370.1 99.44 368 95.99 368zM128 461.9C128 480.7 113.6 496 96 496s-32-15.31-32-34.13c0-10.99 4.715-18.47 13.75-31.82c5.738-8.477 12.43-18.37 18.24-31.23c5.83 12.93 12.54 22.81 18.28 31.28C123.3 443.4 128 450.8 128 461.9zM415.1 368c-3.369 0-6.758 2.043-7.995 6.247c-12.75 44.38-40 56.38-40 87.63C368 489.6 389.5 512 416 512s48-22.38 48-50.13c0-31.38-27.25-43.13-40-87.63C422.9 370.1 419.4 368 415.1 368zM448 461.9C448 480.7 433.6 496 416 496s-32-15.31-32-34.13c0-10.99 4.715-18.47 13.75-31.82c5.738-8.477 12.43-18.37 18.24-31.23c5.83 12.93 12.54 22.81 18.28 31.28C443.3 443.4 448 450.8 448 461.9zM255.1 368c-3.369 0-6.758 2.043-7.995 6.247c-12.75 44.38-40 56.38-40 87.63C208 489.6 229.5 512 256 512s48-22.38 48-50.13c0-31.38-27.25-43.13-40-87.63C262.9 370.1 259.4 368 255.1 368zM288 461.9C288 480.7 273.6 496 256 496s-32-15.31-32-34.13c0-10.99 4.715-18.47 13.75-31.82c5.738-8.477 12.43-18.37 18.24-31.23c5.83 12.93 12.54 22.81 18.28 31.28C283.3 443.4 288 450.8 288 461.9zM416 128c-.625 0-1.125 .25-1.625 .25C415.5 123 416 117.6 416 112C416 67.75 380.3 32 336 32c-24.62 0-46.25 11.25-61 28.75C256.4 24.75 219.3 0 176 0C114.1 0 64 50.13 64 112c0 7.25 .75 14.25 2.125 21.25C27.75 145.8 0 181.5 0 224c0 53 43 96 96 96h320c53 0 96-43 96-96S469 128 416 128zM416 304H96C51.89 304 16 268.1 16 224c0-34.45 22.13-64.81 55.08-75.54l13.48-4.391L81.82 130.2C80.6 123.9 80 117.1 80 112c0-52.94 43.06-96 96-96c35.67 0 68.16 19.96 84.79 52.1l11.01 21.28l15.44-18.32C299.8 56.19 317.1 48 336 48c35.29 0 64 28.71 64 64c0 4.691-.416 8.91-1.27 12.9l-4.148 19.35h19.79c1.104 0 2.068-.1035 2.902-.2402C460.8 144.7 496 180.3 496 224C496 268.1 460.1 304 416 304z"],
    "cloud-rainbow": [576, 512, [], "f73e", "M399.2 325.6C399.4 323.8 400 321.9 400 320c0-35.25-28.75-64-64-64c-12.62 0-24.25 3.75-34.13 10C284.3 227.1 245.4 200 200 200c-61.88 0-112 50.13-112 112c0 3 .75 5.75 .875 8.75C39.25 324.4 0 365.4 0 416c0 53 43 96 96 96h272c53 0 96-43 96-96C464 374 436.7 338.6 399.2 325.6zM368 496H96c-44.11 0-80-35.89-80-80c0-41.43 32.52-76.26 74.04-79.29l15.46-1.129l-.6445-15.49C104.8 318.2 104.5 316.3 104.3 314.5C104.2 313.7 104 312.9 104 312c0-52.94 43.06-96 96-96c37.44 0 71.71 22.22 87.3 56.61l7.592 16.75l15.54-9.832C318.2 274.6 327 272 336 272c26.47 0 48.06 21.43 47.94 48.11c-.2676 1.447-.5576 3.006-.6553 4.453l-.8125 12.18l11.54 4C426.3 351.9 448 382.2 448 416C448 460.1 412.1 496 368 496zM248.4 167.7c2.281 0 4.594-.9844 6.156-2.891C332.9 70.25 447.1 16 568 16C572.4 16 576 12.42 576 8S572.4 0 568 0c-125.7 0-244.4 56.36-325.8 154.6C239.4 158 239.9 163.1 243.3 165.9C244.8 167.1 246.6 167.7 248.4 167.7zM568 96c-91.06 0-178.9 38.92-241.1 106.8c-2.969 3.266-2.75 8.328 .5 11.31c1.531 1.406 3.469 2.094 5.406 2.094c2.156 0 4.312-.875 5.906-2.594C397.8 149 481.4 112 568 112C572.4 112 576 108.4 576 104S572.4 96 568 96zM568 192c-53.94 0-106.7 19.23-148.4 54.14c-3.406 2.828-3.844 7.875-1 11.27c1.562 1.891 3.844 2.875 6.125 2.875c1.812 0 3.625-.6094 5.125-1.859C468.8 225.9 517.8 208 568 208C572.4 208 576 204.4 576 200S572.4 192 568 192z"],
    "cloud-showers": [512, 512, [], "f73f", "M40 368C35.59 368 32 371.6 32 376v96C32 476.4 35.59 480 40 480s8-3.578 8-8v-96C48 371.6 44.41 368 40 368zM136 400C131.6 400 128 403.6 128 408v96C128 508.4 131.6 512 136 512s8-3.578 8-8v-96C144 403.6 140.4 400 136 400zM232 368C227.6 368 224 371.6 224 376v96C224 476.4 227.6 480 232 480s8-3.578 8-8v-96C240 371.6 236.4 368 232 368zM328 400c-4.406 0-8 3.578-8 8v96c0 4.422 3.594 8 8 8s8-3.578 8-8v-96C336 403.6 332.4 400 328 400zM424 368c-4.406 0-8 3.578-8 8v96c0 4.422 3.594 8 8 8s8-3.578 8-8v-96C432 371.6 428.4 368 424 368zM416 128c-.625 0-1.125 .25-1.625 .25C415.5 123 416 117.6 416 112C416 67.75 380.3 32 336 32c-24.62 0-46.25 11.25-61 28.75C256.4 24.75 219.3 0 176 0C114.1 0 64 50.13 64 112c0 7.25 .75 14.25 2.125 21.25C27.75 145.8 0 181.5 0 224c0 53 43 96 96 96h320c53 0 96-43 96-96S469 128 416 128zM416 304H96C51.89 304 16 268.1 16 224c0-34.45 22.13-64.81 55.08-75.54l13.48-4.391L81.82 130.2C80.6 123.9 80 117.1 80 112c0-52.94 43.06-96 96-96c35.67 0 68.16 19.96 84.79 52.1l11.01 21.28l15.44-18.32C299.8 56.19 317.1 48 336 48c35.29 0 64 28.71 64 64c0 4.691-.416 8.91-1.27 12.9l-4.148 19.35h19.79c1.104 0 2.068-.1035 2.902-.2402C460.8 144.7 496 180.3 496 224C496 268.1 460.1 304 416 304z"],
    "cloud-showers-heavy": [512, 512, [], "f740", "M416 128c-.625 0-1.125 .25-1.625 .25C415.5 123 416 117.6 416 112c0-44.25-35.75-80-79.1-80c-24.62 0-46.25 11.25-60.1 28.75C256.4 24.75 219.3 0 176 0C114.1 0 64 50.13 64 112c0 7.25 .7511 14.25 2.126 21.25C27.75 145.8 .0054 181.5 .0054 224c0 53 42.1 96 95.1 96h319.1C469 320 512 277 512 224S469 128 416 128zM416 304H96C51.89 304 16 268.1 16 224c0-34.45 22.13-64.81 55.08-75.54l13.48-4.391L81.82 130.2C80.6 123.9 80 117.1 80 112c0-52.94 43.06-96 96-96c35.67 0 68.16 19.96 84.79 52.1l11.01 21.28l15.44-18.32C299.8 56.19 317.1 48 336 48c35.29 0 64 28.71 64 64c0 4.691-.416 8.91-1.27 12.9l-4.148 19.35h19.79c1.104 0 2.068-.1035 2.902-.2402C460.8 144.7 496 180.3 496 224C496 268.1 460.1 304 416 304zM432.8 356.4l-72 144c-1.969 3.938-.375 8.75 3.578 10.72C365.6 511.7 366.8 512 367.1 512c2.922 0 5.758-1.625 7.164-4.438l72-144c1.969-3.938 .375-8.75-3.578-10.72C439.6 350.9 434.8 352.5 432.8 356.4zM312.8 356.4l-72 144c-1.969 3.938-.375 8.75 3.578 10.72C245.6 511.7 246.8 512 248 512c2.922 0 5.75-1.625 7.156-4.438l72-144c1.969-3.938 .375-8.75-3.578-10.72C319.6 350.9 314.8 352.5 312.8 356.4zM192.8 356.4l-72 144c-1.969 3.938-.375 8.75 3.578 10.72C125.6 511.7 126.8 512 128 512c2.922 0 5.75-1.625 7.156-4.438l72-144c1.969-3.938 .375-8.75-3.578-10.72C199.6 350.9 194.8 352.5 192.8 356.4zM72.84 356.4l-72 144c-1.969 3.938-.375 8.75 3.578 10.72C5.578 511.7 6.797 512 8 512c2.922 0 5.75-1.625 7.156-4.438l72-144c1.969-3.938 .375-8.75-3.578-10.72C79.64 350.9 74.84 352.5 72.84 356.4z"],
    "cloud-showers-water": [576, 512, [], "e4e4", "M224 0C256.7 0 285.6 16.38 302.1 41.39C306.1 45.89 308.8 50.68 311.2 55.7C315 51.81 319.3 48.3 323.9 45.26C336.5 36.88 351.7 32 368 32C406.7 32 438.1 59.48 446.4 96H448C483.3 96 512 124.7 512 160C512 195.3 483.3 224 448 224H128C92.65 224 64 195.3 64 160C64 124.7 92.65 96 128 96C128 42.98 170.1 0 224 0zM224 16C179.8 16 144 51.82 144 96V112H128C101.5 112 80 133.5 80 160C80 186.5 101.5 208 128 208H448C474.5 208 496 186.5 496 160C496 133.5 474.5 112 448 112H433.3L430.7 99.18C424.8 69.98 398.9 48 368 48C350.2 48 334.1 55.24 322.5 66.96L306.3 83.33L296.6 62.43C283.9 34.98 256.2 16 224 16L224 16zM62.51 380.6C59.94 384.2 54.95 385.1 51.35 382.5C47.76 379.9 46.92 374.9 49.49 371.4L129.5 259.4C132.1 255.8 137.1 254.9 140.7 257.5C144.2 260.1 145.1 265.1 142.5 268.6L62.51 380.6zM476.6 257.5C480.2 260.1 481.1 265.1 478.5 268.6L398.5 380.6C395.9 384.2 390.9 385.1 387.4 382.5C383.8 379.9 382.9 374.9 385.5 371.4L465.5 259.4C468.1 255.8 473.1 254.9 476.6 257.5zM174.5 380.6C171.9 384.2 166.9 385.1 163.4 382.5C159.8 379.9 158.9 374.9 161.5 371.4L241.5 259.4C244.1 255.8 249.1 254.9 252.7 257.5C256.2 260.1 257.1 265.1 254.5 268.6L174.5 380.6zM364.6 257.5C368.2 260.1 369.1 265.1 366.5 268.6L286.5 380.6C283.9 384.2 278.9 385.1 275.4 382.5C271.8 379.9 270.9 374.9 273.5 371.4L353.5 259.4C356.1 255.8 361.1 254.9 364.6 257.5zM294.6 435.4C302.6 446.6 312.1 456.9 322.2 466.1C339.5 481.8 361.5 496 384 496C406.5 496 428.6 481.8 445.8 466.1C455.1 456.9 465.5 446.6 473.5 435.4C474.1 433.3 477.4 432 480 432C482.6 432 485.1 433.3 486.6 435.4C493.9 445.7 502.5 455 511.6 463.7C527.3 478.5 547.7 492.9 569 495.6C573.4 496.1 576.5 500.1 575.9 504.5C575.4 508.9 571.4 511.1 567 511.4C540.5 508.1 516.1 490.7 500.6 475.3C491.8 466.1 484.7 458.9 480 453.1C474.8 459.5 466.8 468.7 456.6 477.9C438.7 494.2 412.7 512 384 512C355.3 512 329.4 494.2 311.4 477.9C301.3 468.7 293.2 459.5 288 453.1L288 453.1L287.1 453.1C282.8 459.5 274.7 468.7 264.6 477.9C246.6 494.2 220.7 512 191.1 512C163.3 512 137.4 494.2 119.4 477.9C109.2 468.7 101.2 459.5 95.98 453.1C91.29 458.9 84.23 466.1 75.4 475.3C59.03 490.7 35.48 508.1 9.001 511.4C4.617 511.1 .616 508.9 .0637 504.5C-.4887 500.1 2.617 496.1 7.001 495.6C28.3 492.9 48.74 478.5 64.42 463.7C73.56 455 82.16 445.7 89.43 435.4C90.93 433.3 93.37 432 95.98 432C98.59 432 101 433.3 102.5 435.4C110.5 446.6 120 456.9 130.2 466.1C147.4 481.8 169.5 496 191.1 496C214.5 496 236.6 481.8 253.8 466.1C263.9 456.9 273.4 446.6 281.4 435.4C284.4 431.1 291.6 431.1 294.6 435.4H294.6z"],
    "cloud-slash": [640, 512, [], "e137", "M636.1 497.7C640.4 500.5 641 505.5 638.3 508.1C635.5 512.4 630.5 513 627 510.3L3.023 14.26C-.4358 11.51-1.011 6.481 1.739 3.022C4.488-.4365 9.52-1.012 12.98 1.738L636.1 497.7zM640 352C640 371.7 635.5 390.4 627.6 407.1L614.6 396.9C620.7 383.1 624 367.1 624 352C624 297.8 585.5 252.6 534.4 242.2C529.8 241.3 525.8 238.4 523.6 234.2C521.3 230.1 520.1 225.2 522.7 220.8C526.1 211.9 528 202.2 528 192C528 147.8 492.2 112 448 112C431.5 112 416.3 116.1 403.6 125.5C399.9 127.9 395.4 128.7 391.1 127.7C386.7 126.7 383 123.1 380.8 120.2C355.9 76.99 309.3 48 256 48C232.9 48 211.1 53.42 191.8 63.06L178.1 52.22C201.1 39.34 227.7 32 256 32C309.6 32 356.1 58.31 386 98.71C389.1 103 392 107.5 394.7 112.2C398.2 109.8 401.9 107.7 405.7 105.8C418.5 99.52 432.8 96 448 96C501 96 544 138.1 544 192C544 198.6 543.3 204.1 542.1 211.2C541 216.5 539.5 221.6 537.6 226.6C542.9 227.6 548.1 229 553.1 230.7C603.6 247.9 640 295.7 640 352zM97.25 171.9L112.2 183.7C112.1 186.5 112 189.2 112 192C112 194.5 112.1 196.9 112.2 199.3C112.5 206.4 108.2 212.9 101.5 215.2C51.68 232.7 16 280.2 16 336C16 406.7 73.31 464 144 464H467.3L487.5 480H144C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1C96.07 197.4 96 194.7 96 192C96 185.2 96.43 178.5 97.25 171.9H97.25z"],
    "cloud-sleet": [576, 512, [], "f741", "M96.84 372.4l-64 128c-1.969 3.953-.375 8.75 3.594 10.73C37.56 511.7 38.78 512 40 512c2.938 0 5.75-1.625 7.156-4.422l64-128c1.969-3.953 .375-8.75-3.594-10.73C103.7 366.9 98.84 368.5 96.84 372.4zM262.9 384c-2.281-3.844-7.188-5.156-10.94-2.922l-36.5 21.07V360c0-4.422-3.594-8-8-8s-8 3.578-8 8v42.15l-36.5-21.07C159.2 378.8 154.3 380.2 152.1 384c-2.188 3.828-.875 8.719 2.938 10.92L191.5 416l-36.51 21.08C151.2 439.3 149.9 444.2 152.1 448c1.5 2.562 4.188 4 6.938 4c1.375 0 2.75-.3438 4-1.078l36.5-21.07V472c0 4.422 3.594 8 8 8s8-3.578 8-8v-42.15l36.5 21.07C253.3 451.7 254.6 452 256 452c2.75 0 5.438-1.438 6.938-4c2.188-3.828 .875-8.719-2.938-10.92L223.5 416l36.51-21.08C263.8 392.7 265.1 387.8 262.9 384zM352.8 372.4l-64 128c-1.969 3.953-.375 8.75 3.594 10.73C293.6 511.7 294.8 512 296 512c2.938 0 5.75-1.625 7.156-4.422l64-128c1.969-3.953 .375-8.75-3.594-10.73C359.7 366.9 354.8 368.5 352.8 372.4zM518.9 384c-2.281-3.844-7.188-5.156-10.94-2.922l-36.5 21.07V360c0-4.422-3.594-8-8-8s-8 3.578-8 8v42.15l-36.5-21.07C415.2 378.8 410.3 380.2 408.1 384c-2.188 3.828-.875 8.719 2.938 10.92L447.5 416l-36.51 21.08C407.2 439.3 405.9 444.2 408.1 448c1.5 2.562 4.188 4 6.938 4c1.375 0 2.75-.3438 4-1.078l36.5-21.07V472c0 4.422 3.594 8 8 8s8-3.578 8-8v-42.15l36.5 21.07c1.25 .7344 2.625 1.078 4 1.078c2.75 0 5.438-1.438 6.938-4c2.188-3.828 .875-8.719-2.938-10.92L479.5 416l36.51-21.08C519.8 392.7 521.1 387.8 518.9 384zM544 224c0-53-42.1-96-95.1-96c-.625 0-1.125 .25-1.625 .25C447.5 123 448 117.6 448 112c0-44.25-35.75-80-79.1-80c-24.62 0-46.25 11.25-60.1 28.75C288.4 24.75 251.3 0 208 0C146.1 0 96 50.13 96 112c0 7.25 .7511 14.25 2.126 21.25C59.75 145.8 32.01 181.5 32.01 224c0 53 42.1 96 95.1 96h319.1C501 320 544 277 544 224zM48 224c0-34.45 22.14-64.81 55.08-75.54l13.48-4.391L113.8 130.2C112.6 123.9 112 117.1 112 112c0-52.94 43.07-96 96-96c35.67 0 68.16 19.96 84.79 52.1l11.01 21.28l15.44-18.32C331.8 56.19 349.1 48 368 48c35.29 0 64 28.71 64 64c0 4.691-.4141 8.91-1.27 12.9l-4.148 19.35h19.79c1.102 0 2.066-.1035 2.902-.2402C492.8 144.7 528 180.3 528 224c0 44.11-35.89 80-80 80H128C83.89 304 48 268.1 48 224z"],
    "cloud-snow": [512, 512, [127784], "f742", "M311.4 416c-2.281-3.844-7.188-5.156-10.94-2.922L264 434.2V392c0-4.422-3.594-8-8-8s-8 3.578-8 8v42.15l-36.5-21.07C207.7 410.8 202.8 412.2 200.6 416c-2.188 3.828-.875 8.719 2.938 10.92L240 448L203.5 469.1C199.7 471.3 198.4 476.2 200.6 480c1.5 2.562 4.188 4 6.938 4c1.375 0 2.75-.3438 4-1.078L248 461.8V504C248 508.4 251.6 512 256 512s8-3.578 8-8v-42.15l36.5 21.07c1.25 .7344 2.625 1.078 4 1.078c2.75 0 5.438-1.438 6.938-4c2.188-3.828 .875-8.719-2.938-10.92L271.1 448l36.51-21.08C312.3 424.7 313.6 419.8 311.4 416zM502.9 384c-2.281-3.844-7.188-5.156-10.94-2.922l-36.5 21.07V360c0-4.422-3.594-8-8-8s-8 3.578-8 8v42.15l-36.5-21.07C399.2 378.8 394.3 380.2 392.1 384c-2.188 3.828-.875 8.719 2.938 10.92L431.5 416l-36.51 21.08C391.2 439.3 389.9 444.2 392.1 448c1.5 2.562 4.188 4 6.938 4c1.375 0 2.75-.3438 4-1.078l36.5-21.07V472c0 4.422 3.594 8 8 8s8-3.578 8-8v-42.15l36.5 21.07c1.25 .7344 2.625 1.078 4 1.078c2.75 0 5.438-1.438 6.938-4c2.188-3.828 .875-8.719-2.938-10.92L463.5 416l36.51-21.08C503.8 392.7 505.1 387.8 502.9 384zM119.9 384c-2.281-3.844-7.188-5.156-10.94-2.922l-36.5 21.07V360c0-4.422-3.594-8-8-8s-8 3.578-8 8v42.15l-36.5-21.07C16.21 378.8 11.31 380.2 9.059 384c-2.188 3.828-.875 8.719 2.938 10.92L48.5 416l-36.51 21.08C8.184 439.3 6.871 444.2 9.059 448c1.5 2.562 4.188 4 6.938 4c1.375 0 2.75-.3438 4-1.078l36.5-21.07V472c0 4.422 3.594 8 8 8s8-3.578 8-8v-42.15l36.5 21.07C110.2 451.7 111.6 452 112.1 452c2.75 0 5.438-1.438 6.938-4c2.188-3.828 .875-8.719-2.938-10.92L80.49 416l36.51-21.08C120.8 392.7 122.1 387.8 119.9 384zM96 320h320c53 0 96-43 96-96s-43-96-96-96c-.625 0-1.125 .25-1.625 .25C415.5 123 416 117.6 416 112C416 67.75 380.3 32 336 32c-24.62 0-46.25 11.25-61 28.75C256.4 24.75 219.3 0 176 0C114.1 0 64 50.13 64 112c0 7.25 .75 14.25 2.125 21.25C27.75 145.8 0 181.5 0 224C0 277 43 320 96 320zM71.08 148.5l13.48-4.391L81.82 130.2C80.6 123.9 80 117.1 80 112c0-52.94 43.07-96 96-96c35.67 0 68.16 19.96 84.79 52.1l11.01 21.28l15.44-18.32C299.8 56.19 317.1 48 336 48c35.29 0 64 28.71 64 64c0 4.691-.4141 8.91-1.27 12.9l-4.148 19.35c0 0 21.86-.1035 22.7-.2402C460.8 144.7 496 180.3 496 224c0 44.11-35.89 80-80 80H96C51.89 304 16 268.1 16 224C16 189.6 38.14 159.2 71.08 148.5z"],
    "cloud-sun": [640, 512, [9925], "f6c4", "M184.7 303.7c3 0 5.907-1.703 7.25-4.609c1.875-4.016 .125-8.766-3.875-10.64c-26.75-12.48-44.03-39.41-44.03-68.58C144 178 178.1 144 220 144c24.5 0 47.69 12.17 61.97 32.56c2.563 3.609 7.563 4.484 11.16 1.953c3.625-2.531 4.5-7.531 1.969-11.14C277.8 142.7 249.7 128 220 128C169.3 128 128 169.2 128 219.9c0 35.36 20.91 67.97 53.28 83.08C182.4 303.5 183.5 303.7 184.7 303.7zM136.3 355l-52.6 17.44c-3.75 1.188-6.313-.9687-6.969-1.656c-.8438-.8594-2.688-3.203-1.531-6.641l30.53-91.31l-86.1-43C16.34 228.2 16 225.1 16 223.9s.3438-4.266 3.656-5.922l86.1-43.13L75.22 83.73C74.1 80.19 76 77.77 76.88 76.88c.875-.8594 3.344-2.797 6.782-1.641L175 105.8l42.97-86.11C219.7 16.36 222.7 16 224 16c1.281 0 4.344 .3594 6 3.625l43 86.14l91.29-30.52c3.563-1.172 5.969 .7656 6.844 1.625c.875 .8906 2.781 3.312 1.656 6.781l-22.59 67.42c-1.406 4.188 .8751 8.734 5.063 10.12c4.25 1.547 8.719-.8281 10.13-5.031l22.59-67.5c2.656-8.172 .5313-17.03-5.563-23.11c-6.032-6.078-14.94-8.203-23.13-5.516l-78.16 26.12L244.3 12.44C240.4 4.766 232.6 0 224 0c-.0625 0 0 0 0 0C215.4 0 207.6 4.766 203.7 12.47L166.9 86.17L88.66 60.03C80.54 57.39 71.6 59.52 65.6 65.56C59.5 71.64 57.38 80.5 60.03 88.75L86.19 166.8L12.47 203.7C4.781 207.6 0 215.3 0 223.9s4.781 16.34 12.5 20.23L86.19 280.9l-26.16 78.14C57.32 367.2 59.38 376 65.38 382.1c4.375 4.391 10.16 6.75 16.16 6.75c2.375 0 4.813-.375 7.188-1.156l52.66-17.45c4.188-1.391 6.438-5.922 5.063-10.11C145 355.9 140.6 353.7 136.3 355zM575.2 325.6c3.72-59.52-50.1-69.62-63.25-69.62c-12.63 0-24.25 3.749-34.13 9.999c-17.63-38.88-56.5-65.1-101.9-65.1c-22.59 0-115.6 17.38-111.1 120.6c-49.63 3.75-88.88 44.74-88.88 95.37C175.1 469 218.1 512 271.1 512h272c53 0 96-42.99 96-95.99C639.1 373.9 612.7 338.6 575.2 325.6zM543.1 496H271.1c-44.12 0-80-35.89-80-80c0-41.4 32.54-76.28 74.09-79.42l15.45-1.166c0 0-1.531-22.55-1.531-23.41c0-52.94 43.07-96 96-96c37.45 0 71.71 22.22 87.31 56.61l7.594 16.75C498.1 272.1 500.8 272 511.1 272c26.47 0 48 21.53 47.9 48.05c-.2773 1.473-1.379 16.71-1.379 16.71l11.48 3.982C602.3 351.9 623.1 382.2 623.1 416C623.1 460.1 588.1 496 543.1 496z"],
    "cloud-sun-rain": [640, 512, [127782], "f743", "M542.5 225.5c-6.875-37.25-39.25-65.5-78.51-65.5c-12.25 0-23.88 3-34.25 8c-17.5-24.12-45.63-40-77.76-40c-53 0-96.01 43-96.01 96c0 .5 .25 1.125 .25 1.625C219.6 232.1 191.1 265.2 191.1 303.1c0 44.25 35.75 80 80.01 80h256C572.2 383.1 608 348.2 608 303.1C608 264.7 579.7 232.2 542.5 225.5zM527.1 367.1H271.1c-35.29 0-64.01-28.71-64.01-64c0-30.33 21.62-56.69 51.41-62.69L272.2 238.7V225.6c0-1.129-.1133-2.129-.2383-2.918c.6914-43.52 36.31-78.71 79.1-78.71c25.79 0 49.41 12.17 64.81 33.4l7.852 10.82l12.04-5.805c8.832-4.254 18.02-6.412 27.3-6.412c30.77 0 57.17 22.04 62.77 52.4l2.008 10.87l10.88 1.971C569.1 246.7 592 273.1 592 303.1C592 339.3 563.3 367.1 527.1 367.1zM160 301.8c-.8373 0-1.69 .1306-2.532 .405l-52.69 17.61c-.5495 .1628-1.061 .2307-1.531 .2307c-1.695 0-2.855-.882-3.344-1.371C99.36 318.1 98.59 317.1 98.59 315.6c0-.4645 .0742-.9718 .2521-1.521l26.44-79.2L50.59 197.5C48.25 196.3 48 194.2 48 193.3c0-.8438 .25-2.953 2.531-4.109l74.75-37.38L98.84 72.67c-.1854-.5742-.2618-1.104-.2618-1.588c0-1.635 .8732-2.735 1.356-3.193C100.5 67.34 101.5 66.57 102.9 66.57c.4778 0 1.009 .079 1.595 .2694l79.22 26.44l37.31-74.69C222.3 16.25 224.4 16 225.2 16s2.969 .25 4.125 2.547l37.38 74.73l79.19-26.44c.6205-.189 1.176-.2665 1.671-.2665c2.889 0 4.452 2.691 4.452 4.452c0 .421-.0638 .8758-.2167 1.361l-7.375 20.92C344.1 94.19 343.1 95.09 343.1 95.97c0 4.535 3.735 8.035 8.051 8.035c3.29 0 6.315-2.101 7.468-5.379l7.438-21.08c.7051-2.151 1.049-4.353 1.049-6.527c0-12.67-10.63-20.44-20.5-20.44c-2.208 0-4.44 .3525-6.613 1.076L274.8 73.72L243.7 11.36C240.1 4.359 233 0 225.2 0c0 0 .0313 0 0 0c-7.812 0-14.89 4.344-18.45 11.39L175.6 73.72L109.6 51.66C107.4 50.93 105.2 50.57 102.1 50.57c-12.67 0-20.38 10.78-20.38 20.53c0 2.196 .348 4.42 1.062 6.599l22.06 66.06L43.34 174.9C36.38 178.5 32 185.5 32 193.3s4.344 14.88 11.41 18.45l62.31 31.16L83.66 309C82.95 311.2 82.61 313.4 82.61 315.5c0 9.838 7.855 20.52 20.61 20.52c2.156 0 4.344-.3438 6.5-1.016l52.81-17.64c3.348-1.124 5.478-4.247 5.478-7.594C168 305.5 164.5 301.8 160 301.8zM167.1 191.1c0-30.88 25.12-56 56-56c20.38 0 28.22 9.889 33.73 9.889c4.507 0 8.024-3.666 8.024-8.002c0-9.677-24.96-17.89-41.75-17.89c-39.69 0-72 32.3-72 72c0 32.46 22.53 55.13 29.12 55.13c4.48 0 7.996-3.641 7.996-8.015C189.1 230.6 167.1 223.1 167.1 191.1zM264 415.1c-2.722 0-5.376 1.387-6.882 3.893l-48 80c-.7636 1.283-1.128 2.698-1.128 4.095c0 2.721 1.38 5.377 3.878 6.873C213.2 511.6 214.6 512 216 512c2.719 0 5.375-1.391 6.875-3.891l48-80c.7636-1.283 1.128-2.698 1.128-4.095C272 417.4 265.9 415.1 264 415.1zM360 415.1c-2.729 0-5.402 1.387-6.887 3.893l-48 80c-.7636 1.283-1.128 2.698-1.128 4.095c0 2.721 1.38 5.377 3.878 6.873C309.2 511.6 310.6 512 312 512c2.719 0 5.375-1.391 6.875-3.891l48-80c.7636-1.283 1.128-2.698 1.128-4.095c0-2.721-1.38-5.377-3.878-6.873C362.8 416.4 361.4 415.1 360 415.1zM456 415.1c-2.729 0-5.416 1.387-6.901 3.893l-48 80c-.7636 1.283-1.128 2.698-1.128 4.095c0 2.721 1.38 5.377 3.878 6.873C405.2 511.6 406.6 512 408 512c2.719 0 5.375-1.391 6.875-3.891l48-80c.7636-1.283 1.128-2.698 1.128-4.095c0-2.721-1.38-5.377-3.878-6.873C458.8 416.4 457.4 415.1 456 415.1zM552 415.1c-2.73 0-5.414 1.387-6.899 3.893l-48 80c-.7636 1.283-1.128 2.698-1.128 4.095c0 2.721 1.38 5.377 3.878 6.873C501.2 511.6 502.6 512 504 512c2.719 0 5.375-1.391 6.875-3.891l48-80c.7636-1.283 1.128-2.698 1.128-4.095c0-2.721-1.38-5.377-3.878-6.873C554.8 416.4 553.4 415.1 552 415.1z"],
    "cloud-word": [640, 512, [], "e138", "M504 384H296C291.6 384 288 380.4 288 376C288 371.6 291.6 368 296 368H504C508.4 368 512 371.6 512 376C512 380.4 508.4 384 504 384zM248 368C252.4 368 256 371.6 256 376C256 380.4 252.4 384 248 384H136C131.6 384 128 380.4 128 376C128 371.6 131.6 368 136 368H248zM128 312C128 307.6 131.6 304 136 304H344C348.4 304 352 307.6 352 312C352 316.4 348.4 320 344 320H136C131.6 320 128 316.4 128 312zM504 304C508.4 304 512 307.6 512 312C512 316.4 508.4 320 504 320H392C387.6 320 384 316.4 384 312C384 307.6 387.6 304 392 304H504zM394.7 112.2C398.2 109.8 401.9 107.7 405.7 105.8C418.5 99.52 432.8 96 448 96C501 96 544 138.1 544 192C544 198.6 543.3 204.1 542.1 211.2C541 216.5 539.5 221.6 537.6 226.6C542.9 227.6 548.1 229 553.1 230.7C603.6 247.9 640 295.7 640 352C640 422.7 582.7 480 512 480H144C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32C309.6 32 356.1 58.31 386 98.71C389.1 103 392 107.5 394.7 112.2V112.2zM523.6 234.2C521.3 230.1 520.1 225.2 522.7 220.8C526.1 211.9 528 202.2 528 192C528 147.8 492.2 112 448 112C431.5 112 416.3 116.1 403.6 125.5C399.9 127.9 395.4 128.7 391.1 127.7C386.7 126.7 383 123.1 380.8 120.2C355.9 76.99 309.3 48 256 48C176.5 48 112 112.5 112 192C112 194.5 112.1 196.9 112.2 199.3C112.5 206.4 108.2 212.9 101.5 215.2C51.68 232.7 16 280.2 16 336C16 406.7 73.31 464 144 464H512C573.9 464 624 413.9 624 352C624 297.8 585.5 252.6 534.4 242.2C529.8 241.3 525.8 238.4 523.6 234.2V234.2z"],
    "cloud-xmark": [640, 512, [], "e35f", "M242.3 210.3C245.5 207.2 250.5 207.2 253.7 210.3L320 276.7L386.3 210.3C389.5 207.2 394.5 207.2 397.7 210.3C400.8 213.5 400.8 218.5 397.7 221.7L331.3 288L397.7 354.3C400.8 357.5 400.8 362.5 397.7 365.7C394.5 368.8 389.5 368.8 386.3 365.7L320 299.3L253.7 365.7C250.5 368.8 245.5 368.8 242.3 365.7C239.2 362.5 239.2 357.5 242.3 354.3L308.7 288L242.3 221.7C239.2 218.5 239.2 213.5 242.3 210.3V210.3zM256 32C309.6 32 356.1 58.31 386 98.71C389.1 103 392 107.5 394.7 112.2C398.2 109.8 401.9 107.7 405.7 105.8C418.5 99.52 432.8 96 448 96C501 96 544 138.1 544 192C544 198.6 543.3 204.1 542.1 211.2C541 216.5 539.5 221.6 537.6 226.6C542.9 227.6 548.1 229 553.1 230.7C603.6 247.9 640 295.7 640 352C640 422.7 582.7 480 512 480H144C64.47 480 0 415.5 0 336C0 273.2 40.17 219.8 96.2 200.1C96.07 197.4 96 194.7 96 192C96 103.6 167.6 32 256 32V32zM528 192C528 147.8 492.2 112 448 112C431.5 112 416.3 116.1 403.6 125.5C399.9 127.9 395.4 128.7 391.1 127.7C386.7 126.7 383 123.1 380.8 120.2C355.9 76.99 309.3 48 256 48C176.5 48 112 112.5 112 192C112 194.5 112.1 196.9 112.2 199.3C112.5 206.4 108.2 212.9 101.5 215.2C51.68 232.7 16 280.2 16 336C16 406.7 73.31 464 144 464H512C573.9 464 624 413.9 624 352C624 297.8 585.5 252.6 534.4 242.2C529.8 241.3 525.8 238.4 523.6 234.2C521.3 230.1 520.1 225.2 522.7 220.8C526.1 211.9 528 202.2 528 192V192z"],
    "clouds": [640, 512, [], "f744", "M154.6 280c0-4.422-3.578-8-8-8H100.6C53.94 272 16 234.9 16 189.3s37.94-82.66 83.66-82.73l9.422 .3125l.9844-6.875C116.9 52.13 159.3 16 208.6 16c41.3 0 78.8 25.55 93.3 63.55l3 7.891l7.719-3.422c11.33-5.031 23.05-7.578 34.83-7.578C394.1 76.44 432 113.5 432 159.1c0 5.422-.7813 11.09-2.484 17.84c-1.062 4.281 1.531 8.625 5.828 9.703c4.234 .9844 8.609-1.547 9.703-5.828C447.1 172.8 448 165.9 448 159.1c0-54.41-45.13-98.67-100.6-98.67c-11.42 0-22.73 2-33.78 5.938C294.9 26.36 253.7 0 208.6 0C153.8 0 106.4 38.56 95.45 90.8C42.36 93.42 0 136.6 0 189.3C0 243.7 45.13 288 100.6 288h45.98C150.1 288 154.6 284.4 154.6 280zM544 320c-.625 0-1.125 .25-1.625 .25C543.5 314.1 544 309.6 544 304C544 259.8 508.3 224 464 224c-24.62 0-46.25 11.25-61 28.75C384.4 216.9 347.3 192 304 192C242.1 192 192 242.1 192 304c0 7.25 .75 14.25 2.125 21.25C155.7 337.7 128 373.5 128 416c0 53 43 96 96 96h320c53 0 96-43 96-96S597 320 544 320zM544 496H224c-44.11 0-80-35.89-80-80c0-34.45 22.14-64.8 55.08-75.54l13.47-4.389L209.8 322.2C208.6 315.9 208 309.1 208 304c0-52.94 43.07-96 96-96c35.62 0 68.11 19.97 84.8 52.12l11.02 21.23l15.41-18.29C427.8 248.2 445.1 240 464 240c35.29 0 64 28.71 64 64c0 4.691-.4141 8.91-1.27 12.9l-4.146 19.35h19.79c1.104 0 2.068-.1016 2.904-.2402C588.8 336.7 624 372.3 624 416C624 460.1 588.1 496 544 496z"],
    "clouds-moon": [640, 512, [], "f745", "M637.8 242.1c-3.328-5.516-9.5-8.25-15.83-7.016c-32.95 6.172-66.58-2.422-92.27-23.7c-25.38-21.05-39.92-51.92-39.92-84.72c0-39.61 21.56-76.39 56.19-95.95c5.641-3.109 8.609-9.219 7.563-15.59s-5.859-11.25-12.14-12.38C532.1 .9219 522.4 0 512.3 0c-85.05 0-155.2 66.38-159.5 151.1c-.2344 4.406 3.156 8.172 7.578 8.391c4.641 .6562 8.156-3.172 8.391-7.578C372.6 75.7 435.6 16 512.2 16c9.063 0 18.3 .75 26.05 .7344c-39.72 22.42-64.39 64.55-64.39 109.9c0 37.58 16.66 72.95 45.72 97.03c29.33 24.34 67.73 34.25 104.6 25.52c-20.94 25.61-51.02 43.28-84.7 49.75c-4.328 .8438-7.172 5.031-6.344 9.375c.7344 3.828 4.094 6.484 7.844 6.484c.5 0 1.016-.0469 1.531-.1406c37.34-7.188 70.75-26.84 94.05-55.34C640.6 254.3 641.1 247.6 637.8 242.1zM41 310.2c2.531 0 5.047-1.219 6.594-3.469C50.09 303.1 49.17 298.1 45.53 295.6C27.05 282.9 16 262.1 16 240.1c0-37.25 30.36-67.56 67.69-67.56h23.22l1.297-6.422C114.5 134.8 142.4 112 174.5 112c32.08 0 59.97 22.77 66.31 54.13L242.1 172.5h23.22c17.11 0 33.47 6.5 46.09 18.31c3.234 3 8.297 2.859 11.31-.375s2.844-8.297-.375-11.31C306.8 164.6 286.5 156.5 265.3 156.5H254.9C244.8 121.1 211.9 96 174.5 96C137 96 104.2 121.1 94.08 156.5H83.69C37.55 156.5 0 193.1 0 240C0 267.3 13.64 293.1 36.47 308.8C37.86 309.7 39.44 310.2 41 310.2zM478.9 325.6c-5.25-56.88-52.7-101.6-110.1-101.6c-43.25 0-80.3 24.87-98.93 60.74C254.3 267.3 232.6 256 208 256c-38.75 0-71 27.5-78.38 64H128c-53 0-96 43-96 96s43 96 96 96h320c53 0 96-43 96-96C544 373.9 516.8 338.5 478.9 325.6zM448 496H128c-44.11 0-80-35.89-80-80s35.89-80 80-80h14.71l2.594-12.83C151.3 293.5 177.7 272 208 272c18.91 0 36.23 8.189 48.77 23.06l15.41 18.29l11.02-21.23C299.9 259.1 332.4 240 368 240c49.54 0 90.36 37.44 94.94 87.1l.9551 10.34l9.828 3.34c32.46 11.04 54.22 41.31 54.22 75.27C527.1 460.2 492.1 496 448 496z"],
    "clouds-sun": [640, 512, [], "f746", "M127.7 309.1C126.3 304.8 121.8 302.6 117.6 303.1L72.78 319.8c-2.531 .75-4.25-.5156-4.875-1.141C67.19 317.1 66.09 316.4 66.84 314.1l26.44-79.2L18.59 197.5C16.25 196.3 16 194.2 16 193.3c0-.8438 .25-2.953 2.531-4.109l74.75-37.38L66.84 72.67C66.03 70.16 67.31 68.48 67.94 67.89c.7187-.7344 2.188-1.828 4.594-1.047l79.22 26.44l37.31-74.69C190.3 16.25 192.4 16 193.2 16s2.969 .25 4.125 2.547l37.38 74.73l79.19-26.44c2.719-.8281 4.188 .4844 4.781 1.078C319.3 68.5 320.5 70.11 319.8 72.39L302.3 117.3C300.8 121.5 303 126 307.2 127.5c4.219 1.547 8.719-.7187 10.19-4.891l17.57-45.07c2.438-7.438 .5625-15.47-4.938-20.95C324.5 51.06 316.3 49.17 308.9 51.66L242.8 73.72L211.7 11.36C208.1 4.359 201 0 193.2 0c0 0 .0313 0 0 0c-7.812 0-14.89 4.344-18.45 11.39L143.6 73.72L77.56 51.66c-7.469-2.5-15.47-.5938-20.94 4.906c-5.531 5.531-7.438 13.61-4.969 21.14l22.06 66.06L11.34 174.9C4.375 178.5 0 185.5 0 193.3s4.344 14.88 11.41 18.45l62.31 31.16L51.66 309c-2.438 7.391-.5625 15.41 4.875 20.91c3.938 3.984 9.219 6.125 14.69 6.125c2.156 0 4.344-.3438 6.5-1.016l44.9-15.87C126.8 317.8 129.1 313.2 127.7 309.1zM512 319.1h-1.625c-7.375-36.5-39.62-64-78.37-64c-24.62 0-46.25 11.25-60.1 28.75c-18.62-35.88-55.75-60.75-98.1-60.75c-58.25 0-105.6 44.75-110.9 101.6c-37.88 12.88-65.12 48.25-65.12 90.38c0 53 42.1 96 95.1 96h319.1c53 0 95.1-43 95.1-96S565 319.1 512 319.1zM512 496H192c-44.11 0-80-35.89-80-80c0-33.96 21.81-64.19 54.28-75.23l9.828-3.34l.9551-10.34C181.6 277.4 222.5 240 272 240c35.62 0 68.11 19.97 84.8 52.12l11.02 21.23l15.41-18.29C395.8 280.2 413.1 272 432 272c30.34 0 56.7 21.52 62.69 51.17L497.3 336H512c44.11 0 80 35.89 80 80S556.1 496 512 496zM556.3 156.5h-10.39C535.8 121.1 502.1 96 465.5 96c-37.44 0-70.27 25.09-80.44 60.55h-10.39c-21.17 0-41.42 8.031-57.03 22.62c-3.219 3.016-3.391 8.078-.375 11.31s8.078 3.375 11.31 .375c12.62-11.81 28.98-18.31 46.09-18.31h23.22l1.297-6.422C405.5 134.8 433.4 112 465.5 112c32.09 0 59.97 22.77 66.3 54.13l1.297 6.422h23.22C593.6 172.5 624 202.9 624 240.1c0 22.03-11.05 42.78-29.53 55.48c-3.641 2.5-4.562 7.484-2.062 11.12c1.547 2.25 4.062 3.469 6.594 3.469c1.562 0 3.141-.4531 4.531-1.406c22.83-15.7 36.5-41.55 36.5-68.84C640 193.9 602.5 156.5 556.3 156.5zM192 136c26.09 0 48.45 17.8 54.39 43.28C247.4 183.6 251.7 186.3 256 185.3c4.312-1 6.984-5.312 5.984-9.609C254.3 142.9 225.6 120 192 120C152.3 120 120 152.3 120 192c0 19.27 7.531 37.39 21.22 51.02c1.562 1.547 3.594 2.328 5.641 2.328s4.109-.7813 5.672-2.359c3.109-3.125 3.109-8.188-.0313-11.31C141.9 221.1 136 206.1 136 192C136 161.1 161.1 136 192 136z"],
    "clover": [448, 512, [], "e139", "M116.3 86.1C116.3 56.62 140.9 32 171.3 32C185.9 32 199.9 37.79 210.2 48.11L224 61.92L237.8 48.11C248.1 37.79 262.1 32 276.7 32C307.1 32 331.7 56.62 331.7 86.1V91.38C331.7 102.5 329.1 113.5 324.1 123.5L291.3 189.7L356.1 156.3C366.3 151 377.6 148.3 388.1 148.3H393C423.4 148.3 448 172.9 448 203.3C448 217.9 442.2 231.9 431.9 242.2L418.1 256L431.9 269.8C442.2 280.1 448 294.1 448 308.7C448 339.1 423.4 363.7 393 363.7H388.9C377.5 363.7 366.4 361 356.2 355.9L290.3 322.3L323.9 388.2C329 398.4 331.7 409.5 331.7 420.9V425C331.7 455.4 307.1 480 276.7 480C262.1 480 248.1 474.2 237.8 463.9L224 450.1L210.2 463.9C199.9 474.2 185.9 480 171.3 480C140.9 480 116.3 455.4 116.3 425V420.9C116.3 409.5 118.1 398.4 124.1 388.2L157.7 322.3L91.75 355.9C81.65 361 70.47 363.7 59.13 363.7H54.1C24.62 363.7 0 339.1 0 308.7C0 294.1 5.794 280.1 16.11 269.8L29.92 256L16.11 242.2C5.794 231.9 0 217.9 0 203.3C0 172.9 24.62 148.3 54.1 148.3H59.13C70.47 148.3 81.65 150.1 91.75 156.1L157.7 189.7L124.1 123.8C118.1 113.6 116.3 102.5 116.3 91.13L116.3 86.1zM171.3 48C149.8 48 132.3 65.46 132.3 86.1V91.13C132.3 99.95 134.4 108.6 138.4 116.5L183.1 204.4C184.7 207.5 184.1 211.2 181.7 213.7C179.2 216.1 175.5 216.7 172.4 215.1L84.5 170.4C76.64 166.4 67.95 164.3 59.13 164.3H54.1C33.46 164.3 16 181.8 16 203.3C16 213.6 20.11 223.6 27.42 230.9L46.89 250.3C50.01 253.5 50.01 258.5 46.89 261.7L27.42 281.1C20.11 288.4 16 298.4 16 308.7C16 330.2 33.46 347.7 54.1 347.7H59.13C67.95 347.7 76.64 345.6 84.5 341.6L172.4 296.9C175.5 295.3 179.2 295.9 181.7 298.3C184.1 300.8 184.7 304.5 183.1 307.6L138.4 395.5C134.4 403.4 132.3 412.1 132.3 420.9V425C132.3 446.5 149.8 464 171.3 464C181.6 464 191.6 459.9 198.9 452.6L218.3 433.1C219.8 431.6 221.9 430.8 224 430.8C226.1 430.8 228.2 431.6 229.7 433.1L249.1 452.6C256.4 459.9 266.4 464 276.7 464C298.2 464 315.7 446.5 315.7 425V420.9C315.7 412.1 313.6 403.4 309.6 395.5L264.9 307.6C263.3 304.5 263.9 300.8 266.3 298.3C268.8 295.9 272.5 295.3 275.6 296.9L363.5 341.6C371.4 345.6 380.1 347.7 388.9 347.7H393C414.5 347.7 432 330.2 432 308.7C432 298.4 427.9 288.4 420.6 281.1L401.1 261.7C399.6 260.2 398.8 258.1 398.8 256C398.8 253.9 399.6 251.8 401.1 250.3L420.6 230.9C427.9 223.6 432 213.6 432 203.3C432 181.8 414.5 164.3 393 164.3H388.1C380.1 164.3 371.4 166.4 363.5 170.5L276.9 215.1C273.8 216.7 270.1 216.1 267.6 213.7C265.2 211.3 264.5 207.5 266.1 204.4L309.8 116.4C313.7 108.6 315.7 100.1 315.7 91.38V86.1C315.7 65.46 298.2 48 276.7 48C266.4 48 256.4 52.11 249.1 59.42L229.7 78.89C228.2 80.39 226.1 81.23 224 81.23C221.9 81.23 219.8 80.39 218.3 78.89L198.9 59.42C191.6 52.11 181.6 48 171.3 48z"],
    "club": [512, 512, [9827], "f327", "M512 304C512 379.1 451.1 440 376 440C330.5 440 290.3 417.7 265.6 383.4C265.1 382.7 264.5 381.9 264 381.2V496H344C348.4 496 352 499.6 352 504C352 508.4 348.4 512 344 512H168C163.6 512 160 508.4 160 504C160 499.6 163.6 496 168 496H248V381.2C247.5 381.9 246.9 382.7 246.4 383.4C221.7 417.7 181.5 440 136 440C60.89 440 0 379.1 0 304C0 238.5 46.33 183.8 108 170.9C113.2 169.8 118.5 169 123.9 168.5C122.6 163.4 121.7 158.1 121 152.7C120.3 147.2 120 141.7 120 136C120 60.89 180.9 0 256 0C331.1 0 392 60.89 392 136C392 141.7 391.7 147.2 390.1 152.7C390.3 158.1 389.4 163.4 388.1 168.5C393.5 169 398.8 169.8 403.1 170.9C465.7 183.8 512 238.5 512 304V304zM376 136C376 69.73 322.3 16 256 16C189.7 16 136 69.73 136 136C136 145.9 137.2 155.5 139.5 164.7C140.6 169.3 139.6 174 136.9 177.8C134.2 181.6 129.1 184.1 125.3 184.5C64.06 189.9 16 241.3 16 304C16 370.3 69.73 424 136 424C181.8 424 221.7 398.3 241.9 360.5C244.7 355.3 250.1 352.1 256 352.1C261.9 352.1 267.3 355.3 270.1 360.5C290.3 398.3 330.2 424 376 424C442.3 424 496 370.3 496 304C496 241.3 447.9 189.9 386.7 184.5C382 184.1 377.8 181.6 375.1 177.8C372.4 174 371.4 169.3 372.5 164.7C374.8 155.5 376 145.9 376 136L376 136z"],
    "coconut": [512, 512, [], "e2f6", "M161.4 357.9c37.88-14.75 79.19-43.23 116.3-80.23c79.34-79.25 112.9-170 76.44-206.6c-18.28-18.38-50.38-19.83-90.41-4.281C225.8 81.53 184.5 110 147.4 147c-79.37 79.25-112.9 170-76.44 206.6C80.91 363.6 94.88 368.6 112 368.6C126.4 368.6 143.1 365 161.4 357.9zM82.31 342.3C53.16 313.1 88.16 228.8 158.8 158.3c35.53-35.45 74.88-62.67 110.8-76.63c33.28-12.95 59.94-12.7 73.28 .6406c29.16 29.27-5.844 113.5-76.44 184c-35.53 35.45-74.88 62.67-110.8 76.63C122.3 355.9 95.63 355.7 82.31 342.3zM465.6 273.2L425.1 233.1c-3.093-3.125-8.156-3.188-11.31-.0625c-3.125 3.094-3.156 8.172-.0625 11.31l39.62 40.13c1.562 1.578 3.625 2.375 5.688 2.375c2.031 0 4.062-.7656 5.625-2.312C468.7 281.4 468.7 276.3 465.6 273.2zM438 67.58l-39.75-40.03C373.7 2.824 340.7 0 323.3 0c-63.36 0-145.1 38.74-214.4 107.7C64.06 152.3 31.82 202.2 14.54 249c-6.551 17.75-18.46 55.18-13.27 92.64c3.52 25.43 13.84 43.13 25.81 55.18l39.76 40.03C116.5 486.9 181.8 512 247.2 512c64.85 0 129.8-24.66 179.4-74.04l10.39-10.34C536.6 328.5 537.1 167.3 438 67.58zM38.45 385.6c-55.21-55.59-2.047-183.2 81.74-266.5C183.3 56.29 261.1 16 323.3 16c20.1 0 37.5 4.439 51.21 12.96c4.566 2.84 8.725 6.133 12.43 9.867c50.14 50.49 12.71 172.5-81.75 266.5c-63.89 63.57-141.7 103.1-203.1 103.1C75.28 408.4 53.28 400.5 38.45 385.6zM425.7 416.3l-10.39 10.34C370.3 471.4 310.6 496 247.2 496c-63.94 0-123.1-24.1-169.1-70.38l-4.5-4.531c8.994 1.979 18.34 3.328 28.38 3.328c63.36 0 145.1-38.82 214.4-107.8c80.2-79.8 119.8-176.2 105.9-242.1l4.305 4.334C519.3 172.2 518.9 323.5 425.7 416.3zM357.9 346.5c-3.094-3.109-8.156-3.141-11.31 0c-3.125 3.125-3.125 8.188 0 11.31l45.22 45.27c3.158 3.158 8.217 3.096 11.31 0c3.125-3.125 3.125-8.188 0-11.31L357.9 346.5zM244.8 414.4c-3.094-3.141-8.156-3.172-11.31-.0625c-3.125 3.094-3.188 8.156-.0625 11.31l39.63 40.14c1.562 1.578 3.625 2.375 5.688 2.375c2.031 0 4.062-.7656 5.625-2.312c3.125-3.094 3.188-8.156 .0625-11.31L244.8 414.4z"],
    "code": [640, 512, [], "f121", "M415.5 10.68L239.5 506.7C238.1 510.8 233.5 513 229.3 511.5C225.2 510.1 222.1 505.5 224.5 501.3L400.5 5.327C401.9 1.163 406.5-1.015 410.7 .4629C414.8 1.94 417 6.514 415.5 10.68V10.68zM493.5 122.2L629.5 250.2C631.1 251.7 632 253.8 632 256C632 258.2 631.1 260.3 629.5 261.8L493.5 389.8C490.3 392.9 485.2 392.7 482.2 389.5C479.1 386.3 479.3 381.2 482.5 378.2L612.3 256L482.5 133.8C479.3 130.8 479.1 125.7 482.2 122.5C485.2 119.3 490.3 119.1 493.5 122.2V122.2zM157.5 133.8L27.67 256L157.5 378.2C160.7 381.2 160.9 386.3 157.8 389.5C154.8 392.7 149.7 392.9 146.5 389.8L10.52 261.8C8.911 260.3 8 258.2 8 256C8 253.8 8.911 251.7 10.52 250.2L146.5 122.2C149.7 119.1 154.8 119.3 157.8 122.5C160.9 125.7 160.7 130.8 157.5 133.8V133.8z"],
    "code-branch": [448, 512, [], "f126", "M144 64C144 96.64 119.6 123.6 88 127.5V296.5C106.4 267.4 138.9 248 176 248H272C320.6 248 360 208.6 360 160V127.5C328.4 123.6 304 96.64 304 64C304 28.65 332.7 .0003 368 .0003C403.3 .0003 432 28.65 432 64C432 96.64 407.6 123.6 376 127.5V160C376 217.4 329.4 264 272 264H176C127.4 264 88 303.4 88 352V384.5C119.6 388.4 144 415.4 144 448C144 483.3 115.3 512 80 512C44.65 512 16 483.3 16 448C16 415.4 40.43 388.4 72 384.5V127.5C40.43 123.6 16 96.64 16 64C16 28.65 44.65 0 80 0C115.3 0 144 28.65 144 64V64zM80 112C106.5 112 128 90.51 128 64C128 37.49 106.5 16 80 16C53.49 16 32 37.49 32 64C32 90.51 53.49 112 80 112zM368 16C341.5 16 320 37.49 320 64C320 90.51 341.5 112 368 112C394.5 112 416 90.51 416 64C416 37.49 394.5 16 368 16zM80 496C106.5 496 128 474.5 128 448C128 421.5 106.5 400 80 400C53.49 400 32 421.5 32 448C32 474.5 53.49 496 80 496z"],
    "code-commit": [640, 512, [], "f386", "M447.8 264C443.6 330.1 388 384 320 384C251.1 384 196.4 330.1 192.2 264H8C3.582 264 0 260.4 0 256C0 251.6 3.582 248 8 248H192.2C196.4 181 251.1 128 320 128C388 128 443.6 181 447.8 248H632C636.4 248 640 251.6 640 256C640 260.4 636.4 264 632 264H447.8zM320 368C381.9 368 432 317.9 432 256C432 194.1 381.9 144 320 144C258.1 144 208 194.1 208 256C208 317.9 258.1 368 320 368z"],
    "code-compare": [512, 512, [], "e13a", "M205.4 10.08L293.4 90.08C295 91.6 296 93.75 296 96C296 98.25 295 100.4 293.4 101.9L205.4 181.9C202.1 184.9 197.1 184.7 194.1 181.4C191.1 178.1 191.3 173.1 194.6 170.1L267.3 104H176C127.4 104 88 143.4 88 192V384.5C119.6 388.4 144 415.4 144 448C144 483.3 115.3 512 80 512C44.65 512 16 483.3 16 448C16 415.4 40.43 388.4 72 384.5V192C72 134.6 118.6 88 176 88H267.3L194.6 21.92C191.3 18.95 191.1 13.89 194.1 10.62C197.1 7.35 202.1 7.109 205.4 10.08V10.08zM127.1 448C127.1 421.5 106.5 400 79.1 400C53.49 400 31.1 421.5 31.1 448C31.1 474.5 53.49 496 79.1 496C106.5 496 127.1 474.5 127.1 448zM306.6 501.9L218.6 421.9C216.1 420.4 215.1 418.3 215.1 416C215.1 413.7 216.1 411.6 218.6 410.1L306.6 330.1C309.9 327.1 314.9 327.4 317.9 330.6C320.9 333.9 320.6 338.9 317.4 341.9L244.7 408H336C384.6 408 424 368.6 424 320V127.5C392.4 123.6 368 96.64 368 64C368 28.65 396.7 0 432 0C467.3 0 496 28.65 496 64C496 96.64 471.6 123.6 440 127.5V320C440 377.4 393.4 424 336 424H244.7L317.4 490.1C320.6 493.1 320.9 498.1 317.9 501.4C314.9 504.6 309.9 504.9 306.6 501.9V501.9zM384 64C384 90.51 405.5 112 432 112C458.5 112 480 90.51 480 64C480 37.49 458.5 16 432 16C405.5 16 384 37.49 384 64z"],
    "code-fork": [448, 512, [], "e13b", "M128 64C128 96.64 103.6 123.6 72 127.5V192C72 222.9 97.07 248 128 248H320C350.9 248 376 222.9 376 192V127.5C344.4 123.6 320 96.64 320 64C320 28.65 348.7 0 384 0C419.3 0 448 28.65 448 64C448 96.64 423.6 123.6 392 127.5V192C392 231.8 359.8 264 320 264H232V384H224H216V264H128C88.24 264 56 231.8 56 192V127.5C24.43 123.6 0 96.64 0 64C0 28.65 28.65 0 64 0C99.35 0 128 28.65 128 64zM64 112C90.51 112 112 90.51 112 64C112 37.49 90.51 16 64 16C37.49 16 16 37.49 16 64C16 90.51 37.49 112 64 112zM384 112C410.5 112 432 90.51 432 64C432 37.49 410.5 16 384 16C357.5 16 336 37.49 336 64C336 90.51 357.5 112 384 112zM288 448C288 483.3 259.3 512 224 512C188.7 512 160 483.3 160 448C160 412.7 188.7 384 224 384C259.3 384 288 412.7 288 448zM224 400C197.5 400 176 421.5 176 448C176 474.5 197.5 496 224 496C250.5 496 272 474.5 272 448C272 421.5 250.5 400 224 400z"],
    "code-merge": [448, 512, [], "f387", "M88 144C88 210.3 141.7 264 208 264H320.5C324.4 232.4 351.4 208 384 208C419.3 208 448 236.7 448 272C448 307.3 419.3 336 384 336C351.4 336 324.4 311.6 320.5 280H208C156 280 110.9 250.9 88 208.1V384.5C119.6 388.4 144 415.4 144 448C144 483.3 115.3 512 80 512C44.65 512 16 483.3 16 448C16 415.4 40.43 388.4 72 384.5V127.5C40.43 123.6 16 96.64 16 64C16 28.65 44.65 0 80 0C115.3 0 144 28.65 144 64C144 96.64 119.6 123.6 88 127.5V144zM80 112C106.5 112 128 90.51 128 64C128 37.49 106.5 16 80 16C53.49 16 32 37.49 32 64C32 90.51 53.49 112 80 112zM80 496C106.5 496 128 474.5 128 448C128 421.5 106.5 400 80 400C53.49 400 32 421.5 32 448C32 474.5 53.49 496 80 496zM384 224C357.5 224 336 245.5 336 272C336 298.5 357.5 320 384 320C410.5 320 432 298.5 432 272C432 245.5 410.5 224 384 224z"],
    "code-pull-request": [512, 512, [], "e13c", "M88 384.5C119.6 388.4 144 415.4 144 448C144 483.3 115.3 512 80 512C44.65 512 16 483.3 16 448C16 415.4 40.43 388.4 72 384.5V127.5C40.43 123.6 16 96.64 16 64C16 28.65 44.65 0 80 0C115.3 0 144 28.65 144 64C144 96.64 119.6 123.6 88 127.5V384.5zM80 16C53.49 16 32 37.49 32 64C32 90.51 53.49 112 80 112C106.5 112 128 90.51 128 64C128 37.49 106.5 16 80 16zM80 400C53.49 400 32 421.5 32 448C32 474.5 53.49 496 80 496C106.5 496 128 474.5 128 448C128 421.5 106.5 400 80 400zM368 448C368 415.4 392.4 388.4 424 384.5V192C424 143.4 384.6 104 336 104H244.7L317.4 170.1C320.6 173.1 320.9 178.1 317.9 181.4C314.9 184.7 309.9 184.9 306.6 181.9L218.6 101.9C216.1 100.4 216 98.25 216 96C216 93.75 216.1 91.6 218.6 90.08L306.6 10.08C309.9 7.109 314.9 7.35 317.9 10.62C320.9 13.89 320.6 18.95 317.4 21.92L244.7 88H336C393.4 88 440 134.6 440 192V384.5C471.6 388.4 496 415.4 496 448C496 483.3 467.3 512 432 512C396.7 512 368 483.3 368 448zM432 496C458.5 496 480 474.5 480 448C480 421.5 458.5 400 432 400C405.5 400 384 421.5 384 448C384 474.5 405.5 496 432 496z"],
    "code-pull-request-closed": [448, 512, [], "e3f9", "M88 384.5C119.6 388.4 144 415.4 144 448C144 483.3 115.3 512 80 512C44.65 512 16 483.3 16 448C16 415.4 40.43 388.4 72 384.5V127.5C40.43 123.6 16 96.64 16 64C16 28.65 44.65 0 80 0C115.3 0 144 28.65 144 64C144 96.64 119.6 123.6 88 127.5V384.5zM80 112C106.5 112 128 90.51 128 64C128 37.49 106.5 16 80 16C53.49 16 32 37.49 32 64C32 90.51 53.49 112 80 112zM80 400C53.49 400 32 421.5 32 448C32 474.5 53.49 496 80 496C106.5 496 128 474.5 128 448C128 421.5 106.5 400 80 400zM298.3 10.34C301.5 7.219 306.5 7.219 309.7 10.34L368 68.69L426.3 10.34C429.5 7.219 434.5 7.219 437.7 10.34C440.8 13.47 440.8 18.53 437.7 21.66L379.3 80L437.7 138.3C440.8 141.5 440.8 146.5 437.7 149.7C434.5 152.8 429.5 152.8 426.3 149.7L368 91.31L309.7 149.7C306.5 152.8 301.5 152.8 298.3 149.7C295.2 146.5 295.2 141.5 298.3 138.3L356.7 80L298.3 21.66C295.2 18.53 295.2 13.47 298.3 10.34V10.34zM304 448C304 415.4 328.4 388.4 360 384.5V200C360 195.6 363.6 192 368 192C372.4 192 376 195.6 376 200V384.5C407.6 388.4 432 415.4 432 448C432 483.3 403.3 512 368 512C332.7 512 304 483.3 304 448zM368 496C394.5 496 416 474.5 416 448C416 421.5 394.5 400 368 400C341.5 400 320 421.5 320 448C320 474.5 341.5 496 368 496z"],
    "code-pull-request-draft": [448, 512, [], "e3fa", "M88 384.5C119.6 388.4 144 415.4 144 448C144 483.3 115.3 512 80 512C44.65 512 16 483.3 16 448C16 415.4 40.43 388.4 72 384.5V127.5C40.43 123.6 16 96.64 16 64C16 28.65 44.65 0 80 0C115.3 0 144 28.65 144 64C144 96.64 119.6 123.6 88 127.5V384.5zM80 16C53.49 16 32 37.49 32 64C32 90.51 53.49 112 80 112C106.5 112 128 90.51 128 64C128 37.49 106.5 16 80 16zM80 400C53.49 400 32 421.5 32 448C32 474.5 53.49 496 80 496C106.5 496 128 474.5 128 448C128 421.5 106.5 400 80 400zM304 448C304 412.7 332.7 384 368 384C403.3 384 432 412.7 432 448C432 483.3 403.3 512 368 512C332.7 512 304 483.3 304 448zM368 496C394.5 496 416 474.5 416 448C416 421.5 394.5 400 368 400C341.5 400 320 421.5 320 448C320 474.5 341.5 496 368 496zM328 80C328 57.91 345.9 40 368 40C390.1 40 408 57.91 408 80C408 102.1 390.1 120 368 120C345.9 120 328 102.1 328 80zM368 104C381.3 104 392 93.26 392 80C392 66.75 381.3 56 368 56C354.7 56 344 66.75 344 80C344 93.26 354.7 104 368 104zM408 240C408 262.1 390.1 280 368 280C345.9 280 328 262.1 328 240C328 217.9 345.9 200 368 200C390.1 200 408 217.9 408 240zM368 216C354.7 216 344 226.7 344 240C344 253.3 354.7 264 368 264C381.3 264 392 253.3 392 240C392 226.7 381.3 216 368 216z"],
    "code-simple": [576, 512, [], "e13d", "M19.56 256L205.5 434.2C208.7 437.3 208.8 442.3 205.8 445.5C202.7 448.7 197.7 448.8 194.5 445.8L2.465 261.8C.8902 260.3 0 258.2 0 256C0 253.8 .8902 251.7 2.465 250.2L194.5 66.22C197.7 63.17 202.7 63.27 205.8 66.46C208.8 69.65 208.7 74.72 205.5 77.78L19.56 256zM370.5 77.78C367.3 74.72 367.2 69.66 370.2 66.47C373.3 63.28 378.3 63.17 381.5 66.22L573.5 250.2C575.1 251.7 576 253.8 576 256C576 258.2 575.1 260.3 573.5 261.8L381.5 445.8C378.3 448.8 373.3 448.7 370.2 445.5C367.2 442.3 367.3 437.3 370.5 434.2L556.4 256L370.5 77.78z"],
    "coffee-bean": [448, 512, [], "e13e", "M435.8 130.5c-9.9-23.33-65.71-77.27-82.65-84.81C332.1 36.3 309.9 32 287.2 32C219.8 32 148.4 69.66 93.44 124.7c-72.35 72.44-116.1 174.8-81.27 256.8c9.9 23.33 65.7 77.27 82.65 84.81C115.9 475.7 138.1 480 160.9 480c67.34 0 138.7-37.67 193.6-92.7C426.9 314.9 470.6 212.5 435.8 130.5zM104.8 136C159.8 80.9 227.1 48 287.1 48c21.22 0 41.26 4.133 59.57 12.28c5.963 2.656 19.45 14.05 33.38 27.51c-24.43 94.32-80.72 152.6-163.4 168.1c-85.19 16.03-142.4 67.9-166.1 149.6c-10.76-11.76-19.74-23.09-22.79-30.28C-2.273 306.5 28.31 212.6 104.8 136zM343.2 375.1C288.2 431.1 220 464 160.9 464c-21.22 0-41.26-4.133-59.57-12.29c-6.77-3.014-23.2-17.12-39.01-32.95c21.29-80.76 75.45-131.7 157.3-147.1c86.52-16.31 145.9-75.58 173.3-170.1c13.1 13.75 24.7 27.68 28.24 36.04C450.3 205.5 419.7 299.4 343.2 375.1z"],
    "coffee-beans": [512, 512, [], "e13f", "M170.2 196.4C162 193.3 144.4 192 127.3 192c-16.83 0-33.06 1.297-39.01 3.449c-58.92 21.33-88.37 88.34-88.32 156.2c.0449 66.77 28.7 134.1 85.8 155.9C93.97 510.7 111.6 512 128.7 512c16.83 0 33.06-1.297 39.01-3.451c58.92-21.33 88.37-88.34 88.32-156.2C255.1 285.6 227.3 218.2 170.2 196.4zM125.9 495.9c-17.8-.1699-30.3-1.785-34.37-3.336C35.83 471.4 16.04 403.4 16 351.6C15.96 299.5 36.31 231.3 93.75 210.5C96.11 209.7 104.8 208.6 117.2 208.2c-29.02 55.02-28.17 108.2 3.465 154.5C149.7 405.2 151.3 451.2 125.9 495.9zM162.2 493.5c-1.994 .6797-8.686 1.549-18.13 2.062c23.96-47.75 20.71-96.52-10.28-141.9C97.04 299.7 113.6 245.5 135.3 208.2C150.2 208.6 160.8 210 164.5 211.4C220.2 232.6 239.1 300.6 240 352.4C240 404.5 219.7 472.7 162.2 493.5zM455.6 56.93C421.8 23.23 377.1 0 334.4 0c-14.98 0-29.73 2.852-43.69 9.106c-15.31 6.859-51.31 44.04-56.53 55.17C208.5 119 234.1 184.8 280.4 231c33.74 33.7 78.42 56.93 121.2 56.93c14.98 0 29.73-2.852 43.69-9.106c15.31-6.859 51.31-44.04 56.53-55.17C527.5 168.1 501.9 103.2 455.6 56.93zM438.8 264.3c-11.42 5.113-23.91 7.707-37.15 7.707c-36.04 0-77.11-19.53-109.9-52.25c-35.43-35.38-67.98-95.55-43.12-148.6c1.545-3.104 7.02-9.674 13.86-16.97c17.87 56.98 54.72 92.49 107.7 102.5c48.59 9.143 80.92 39.18 94.07 86.67C454.5 252.9 444.2 261.8 438.8 264.3zM487.4 216.9c-1.266 2.543-5.299 7.5-10.42 13.19c-16.36-48.58-51.82-79.46-103.8-89.23c-61.52-11.55-87.14-59.46-97.9-99.55c8.625-8.221 17.17-15.44 21.97-17.59c11.42-5.113 23.91-7.707 37.15-7.707c36.04 0 77.11 19.53 109.9 52.25C479.7 103.6 512.2 163.8 487.4 216.9z"],
    "coffee-pot": [512, 512, [], "e002", "M431.5 177.6L480 32H72C32.31 32 0 64.3 0 104v112C0 220.4 3.594 224 8 224S16 220.4 16 216v-112c0-30.88 25.12-56 56-56h29.34l43.41 130.1C95.38 217.9 64 277.8 64 344.6c0 51.5 18.62 84.74 49.62 117.7C124.5 473.6 139.5 480 155.1 480l265.8 0c15.62 0 30.57-6.192 41.32-17.57C493.2 429.6 512 396.1 512 344.6C512 278.4 481.4 217.9 431.5 177.6zM118.2 48h339.6l-42.63 128H160.9L118.2 48zM153.2 192h270.4c35.23 29.26 58.87 68.62 68.02 112H84.45C93.71 260.7 117.6 221.3 153.2 192zM450.6 451.4C443 459.4 432.2 464 420.9 464H155.1c-11.23 0-22.17-4.645-29.84-12.58C98.1 422.5 80 393.2 80 344.6C80 336.3 80.65 328.1 81.69 320h412.7C495.4 328.1 496 336.3 496 344.6C496 393.3 477.9 422.5 450.6 451.4z"],
    "coffin": [448, 512, [9904], "f6c6", "M406.5 115.2l-107.8-105.9C292.6 3.375 284.3 0 275.6 0H172.4C163.7 0 155.4 3.375 149.2 9.375L41.46 115.2c-8.002 7.875-11.25 19.38-8.502 30.38l87.14 342.1C123.7 502 136.7 512 151.7 512h144.7c14.88 0 27.88-9.1 31.51-24.25l87.14-342.1C417.8 134.6 414.5 123.1 406.5 115.2zM312.4 483.8C310.6 490.1 303.1 496 296.4 496H151.7c-7.668 0-14.3-5.016-16.13-12.2l-87.13-342.1C47.11 136.2 48.68 130.6 52.68 126.7l107.8-105.9C163.5 17.75 167.9 16 172.4 16h103.3c4.465 0 8.814 1.752 11.92 4.789l107.8 105.9c4.008 3.943 5.578 9.586 4.219 15.02L312.4 483.8z"],
    "coffin-cross": [384, 512, [], "e051", "M374.5 115.3l-107.8-105.9C260.6 3.375 252.3 0 243.6 0h-103.3C131.7 0 123.4 3.375 117.2 9.375l-107.8 105.9c-8.002 7.875-11.25 19.38-8.502 30.38l87.14 342.1C91.73 502 104.7 512 119.7 512h144.7c14.88 0 27.88-9.1 31.51-24.25l87.14-342.1C385.8 134.6 382.5 123.1 374.5 115.3zM280.4 483.8C278.6 490.1 271.1 496 264.4 496H119.7c-7.668 0-14.3-5.016-16.13-12.2l-87.13-342.1C15.11 136.2 16.68 130.6 20.68 126.7l107.8-105.9C131.5 17.75 135.9 16 140.4 16h103.3c4.465 0 8.814 1.752 11.92 4.789l107.8 105.9c4.008 3.943 5.578 9.586 4.219 15.02L280.4 483.8zM280 184h-80v-80c0-4.422-3.593-8-7.999-8S184 99.58 184 104v80h-80C99.59 184 96 187.6 96 192s3.594 8 8 8h80v144c0 4.422 3.593 8 7.999 8S200 348.4 200 344v-144h80C284.4 200 288 196.4 288 192S284.4 184 280 184z"],
    "coin": [512, 512, [129689], "f85c", "M389.4 270.7C354.9 286.5 307.7 296 256 296C204.3 296 157.1 286.5 122.6 270.7C88.72 255.2 64 232.2 64 204C64 175.8 88.72 152.8 122.6 137.3C157.1 121.5 204.3 112 256 112C307.7 112 354.9 121.5 389.4 137.3C423.3 152.8 448 175.8 448 204C448 232.2 423.3 255.2 389.4 270.7zM129.2 151.9C96.47 166.8 80 185.9 80 204C80 222.1 96.47 241.2 129.2 256.1C161.2 270.7 206.1 280 256 280C305.9 280 350.7 270.7 382.8 256.1C415.5 241.2 432 222.1 432 204C432 185.9 415.5 166.8 382.8 151.9C350.7 137.3 305.9 128 256 128C206.1 128 161.2 137.3 129.2 151.9V151.9zM0 208C0 128.5 114.6 64 256 64C397.4 64 512 128.5 512 208V320C512 390.7 397.4 448 256 448C114.6 448 0 390.7 0 320V208zM429.2 295.9C473.2 271.1 496 239.4 496 208C496 176.6 473.2 144.9 429.2 120.1C385.7 95.64 324.5 80 256 80C187.5 80 126.3 95.64 82.82 120.1C38.81 144.9 16 176.6 16 208C16 239.4 38.81 271.1 82.82 295.9C126.3 320.4 187.5 336 256 336C324.5 336 385.7 320.4 429.2 295.9V295.9zM168 423.1C192.8 428.7 219.8 431.5 248 431.9V351.9C219.1 351.4 193.1 348.4 168 343.3V423.1zM152 339.6C128.6 333.8 107.1 325.1 88 316.7V399C106.6 407.7 128.2 415.1 152 420.6V339.6zM16 320C16 343.1 34.25 369.5 72 390.8V308.1C47.67 293.1 28.44 277 16 258.2V320zM344 343.3C318.9 348.4 292 351.4 264 351.9V431.9C292.2 431.5 319.2 428.7 344 423.1V343.3zM360 339.6V420.6C383.8 415.1 405.4 407.7 424 399V316.7C404.9 325.1 383.4 333.8 360 339.6V339.6zM496 258.2C483.6 277 464.3 293.1 440 308.1V390.8C477.8 369.5 496 343.1 496 320V258.2z"],
    "coin-blank": [512, 512, [], "e3fb", "M512 208V320C512 390.7 397.4 448 256 448C114.6 448 0 390.7 0 320V208C0 128.5 114.6 64 256 64C397.4 64 512 128.5 512 208zM82.82 295.9C126.3 320.4 187.5 336 256 336C324.5 336 385.7 320.4 429.2 295.9C473.2 271.1 496 239.4 496 208C496 176.6 473.2 144.9 429.2 120.1C385.7 95.64 324.5 80 256 80C187.5 80 126.3 95.64 82.82 120.1C38.81 144.9 16 176.6 16 208C16 239.4 38.81 271.1 82.82 295.9zM248 351.9C219.1 351.4 193.1 348.4 168 343.3V423.1C192.8 428.7 219.8 431.5 248 431.9V351.9zM88 399C106.6 407.7 128.2 415.1 152 420.6V339.6C128.6 333.8 107.1 325.1 88 316.7V399zM72 308.1C47.67 293.1 28.44 277 16 258.2V320C16 343.1 34.25 369.5 72 390.8V308.1zM264 431.9C292.2 431.5 319.2 428.7 344 423.1V343.3C318.9 348.4 292 351.4 264 351.9V431.9zM424 399V316.7C404.9 325.1 383.4 333.8 360 339.6V420.6C383.8 415.1 405.4 407.7 424 399zM440 390.8C477.8 369.5 496 343.1 496 320V258.2C483.6 277 464.3 293.1 440 308.1V390.8z"],
    "coin-front": [512, 512, [], "e3fc", "M264 344C264 348.4 260.4 352 256 352C251.6 352 248 348.4 248 344V168C248 163.6 251.6 160 256 160C260.4 160 264 163.6 264 168V344zM64 256C64 149.1 149.1 64 256 64C362 64 448 149.1 448 256C448 362 362 448 256 448C149.1 448 64 362 64 256zM256 432C353.2 432 432 353.2 432 256C432 158.8 353.2 80 256 80C158.8 80 80 158.8 80 256C80 353.2 158.8 432 256 432zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496z"],
    "coin-vertical": [384, 512, [], "e3fd", "M206.7 122.6C222.5 157.1 232 204.3 232 256C232 307.7 222.5 354.9 206.7 389.4C191.2 423.3 168.2 448 140 448C111.8 448 88.78 423.3 73.33 389.4C57.55 354.9 48 307.7 48 256C48 204.3 57.55 157.1 73.33 122.6C88.78 88.72 111.8 64 140 64C168.2 64 191.2 88.72 206.7 122.6V122.6zM87.88 382.8C102.8 415.5 121.9 432 140 432C158.1 432 177.2 415.5 192.1 382.8C206.7 350.7 216 305.9 216 256C216 206.1 206.7 161.2 192.1 129.2C177.2 96.47 158.1 80 140 80C121.9 80 102.8 96.47 87.88 129.2C73.26 161.2 64 206.1 64 256C64 305.9 73.26 350.7 87.88 382.8zM144 512C64.47 512 0 397.4 0 256C0 114.6 64.47 0 144 0H256C326.7 0 384 114.6 384 256C384 397.4 326.7 512 256 512H144zM231.9 82.82C207.1 38.81 175.4 16 144 16C112.6 16 80.88 38.81 56.12 82.82C31.64 126.3 16 187.5 16 256C16 324.5 31.64 385.7 56.12 429.2C80.88 473.2 112.6 496 144 496C175.4 496 207.1 473.2 231.9 429.2C256.4 385.7 272 324.5 272 256C272 187.5 256.4 126.3 231.9 82.82V82.82zM359.1 344C364.7 319.2 367.5 292.2 367.9 264H287.9C287.4 292 284.4 318.9 279.3 344H359.1zM275.6 360C269.8 383.4 261.1 404.9 252.7 424H335C343.7 405.4 351.1 383.8 356.6 360H275.6zM256 496C279.1 496 305.5 477.8 326.8 440H244.1C229.1 464.3 213 483.6 194.2 496H256zM279.3 168C284.4 193.1 287.4 219.1 287.9 248H367.9C367.5 219.8 364.7 192.8 359.1 168H279.3zM275.6 152H356.6C351.1 128.2 343.7 106.6 335 88H252.7C261.1 107.1 269.8 128.6 275.6 152V152zM194.2 16C213 28.44 229.1 47.67 244.1 72H326.8C305.5 34.25 279.1 16 256 16H194.2z"],
    "coins": [512, 512, [], "f51e", "M155.9 102.2C159.7 105.7 164.4 109.1 169.9 112.4C161.5 112.8 153.2 113.3 145.1 113.1L145 113.9C134.7 104.4 127.1 92.92 127.1 80C127.1 67.08 134.7 55.64 145 46.1C155.3 36.58 169.8 28.37 186.1 21.64C221.4 8.163 268.5 .0015 320 .0015C371.5 .0015 418.6 8.163 453 21.64C470.2 28.37 484.7 36.58 494.1 46.1C505.3 55.64 512 67.08 512 80V289.9C512 302.6 505.2 313.9 494.9 323.1C484.6 332.4 470.1 340.4 452.1 346.9C441.9 351.2 429.4 354.9 416 357.9V341.5C427.4 338.8 437.9 335.6 447.3 331.1C463.4 325.9 475.9 318.7 484.2 311.2C492.5 303.8 496 296.5 496 289.9V216.2C495.6 216.6 495.3 216.9 494.9 217.2C484.6 226.5 470.1 234.5 452.1 241C441.9 245.3 429.4 248.1 416 252V235.6C427.4 232.9 437.9 229.7 447.3 226.1C463.4 219.1 475.9 212.8 484.2 205.3C492.5 197.8 496 190.6 496 184V112.9C495.7 113.3 495.3 113.6 494.1 113.9C484.7 123.4 470.2 131.6 453 138.4C432.9 146.2 408.5 152.3 381.4 155.1C374.3 150.9 366.3 146.4 357.9 142.4C392.6 139.5 423.4 132.8 447.2 123.5C463.3 117.2 475.8 109.9 484.1 102.2C492.4 94.46 496 86.97 496 80C496 73.04 492.4 65.54 484.1 57.85C475.8 50.15 463.3 42.84 447.2 36.54C415 23.96 370.1 16 320 16C269.9 16 224.1 23.96 192.8 36.54C176.7 42.84 164.2 50.15 155.9 57.85C147.6 65.54 144 73.04 144 80C144 86.97 147.6 94.46 155.9 102.2L155.9 102.2zM0 223.1C0 211.1 6.722 199.6 17.03 190.1C27.32 180.6 41.78 172.4 58.98 165.6C93.42 152.2 140.5 143.1 192 143.1C243.5 143.1 290.6 152.2 325 165.6C342.2 172.4 356.7 180.6 366.1 190.1C377.3 199.6 384 211.1 384 223.1V433.9C384 446.6 377.2 457.9 366.9 467.1C356.6 476.4 342.1 484.4 324.1 490.9C290.5 504.1 243.5 512 192 512C140.5 512 93.46 504.1 59.04 490.9C41.86 484.4 27.41 476.4 17.11 467.1C6.807 457.9 .0006 446.6 .0006 433.9L0 223.1zM27.89 246.2C36.22 253.9 48.71 261.2 64.81 267.5C96.96 280 141.9 287.1 192 287.1C242.1 287.1 287 280 319.2 267.5C335.3 261.2 347.8 253.9 356.1 246.2C364.4 238.5 368 230.1 368 223.1C368 217 364.4 209.5 356.1 201.8C347.8 194.1 335.3 186.8 319.2 180.5C287 167.1 242.1 159.1 192 159.1C141.9 159.1 96.96 167.1 64.81 180.5C48.71 186.8 36.22 194.1 27.89 201.8C19.58 209.5 16 217 16 223.1C16 230.1 19.58 238.5 27.89 246.2V246.2zM366.1 257.9C356.7 267.4 342.2 275.6 325 282.4C290.6 295.8 243.5 303.1 192 303.1C140.5 303.1 93.42 295.8 58.98 282.4C41.78 275.6 27.32 267.4 17.03 257.9C16.68 257.6 16.34 257.3 16 256.9V328C16 334.6 19.49 341.8 27.81 349.3C36.13 356.8 48.62 363.9 64.74 370.1C96.92 382.3 141.9 390.1 192 390.1C242.1 390.1 287.1 382.3 319.3 370.1C335.4 363.9 347.9 356.8 356.2 349.3C364.5 341.8 368 334.6 368 328V256.9C367.7 257.3 367.3 257.6 366.1 257.9H366.1zM17.11 361.2C16.73 360.9 16.36 360.6 16 360.2V433.9C16 440.5 19.49 447.7 27.81 455.2C36.13 462.7 48.62 469.9 64.74 475.1C96.92 488.2 141.9 496 192 496C242.1 496 287.1 488.2 319.3 475.1C335.4 469.9 347.9 462.7 356.2 455.2C364.5 447.7 368 440.5 368 433.9V360.2C367.6 360.6 367.3 360.9 366.9 361.2C356.6 370.5 342.1 378.5 324.1 385C290.5 398.2 243.5 406.1 192 406.1C140.5 406.1 93.46 398.2 59.04 385C41.86 378.5 27.41 370.5 17.11 361.2H17.11z"],
    "colon": [128, 512, [], "3a", "M64 320c-35.35 0-64 28.65-64 64c0 35.35 28.65 64 64 64s64-28.65 64-64C128 348.7 99.35 320 64 320zM64 432c-26.47 0-48-21.53-48-48s21.53-48 48-48s48 21.53 48 48S90.47 432 64 432zM64 192c35.35 0 64-28.65 64-64c0-35.35-28.65-64-64-64s-64 28.65-64 64C.0008 163.3 28.66 192 64 192zM64 80c26.47 0 48 21.53 48 48s-21.53 48-48 48s-48-21.53-48-48S37.54 80 64 80z"],
    "colon-sign": [320, 512, [], "e140", "M203.5 64.07C224.9 64.64 245.5 68.5 264.6 75.15L280.2 6.238C281.2 1.928 285.5-.7769 289.8 .1962C294.1 1.169 296.8 5.452 295.8 9.762L279.7 81.07C292.9 86.86 305.3 94.01 316.7 102.3C320.3 104.9 321.1 109.9 318.5 113.5C315.9 117.1 310.9 117.9 307.3 115.3C297.6 108.2 287.2 102.1 276.1 96.99L200.5 431.1C240.6 431.5 277.5 418.4 307.3 396.7C310.9 394.1 315.9 394.9 318.5 398.5C321.1 402.1 320.3 407.1 316.7 409.7C283.6 433.8 242.5 448 197.1 448C197.6 448 197.2 448 196.8 447.1L183.8 505.8C182.8 510.1 178.5 512.8 174.2 511.8C169.9 510.8 167.2 506.5 168.2 502.2L180.6 447.3C159.4 445.5 139.1 440.4 120.3 432.7L103.8 505.8C102.8 510.1 98.55 512.8 94.24 511.8C89.93 510.8 87.22 506.5 88.2 502.2L105.5 425.8C42.8 393.6 0 329.8 0 256C0 153.3 83.03 69.77 187.1 64.29L200.2 6.238C201.2 1.928 205.5-.7769 209.8 .1962C214.1 1.169 216.8 5.452 215.8 9.762L203.5 64.07zM183.4 80.55C89.52 87.74 16 163.8 16 255.1C16 321.9 53.48 379.5 109.1 409.6L183.4 80.55zM184.2 431.5L261.1 90.86C242 84.05 221.4 80.23 199.9 80.01L123.9 416.8C142.5 424.9 162.8 429.1 184.2 431.5z"],
    "columns-3": [640, 512, [], "e361", "M0 96C0 60.65 28.65 32 64 32H576C611.3 32 640 60.65 640 96V416C640 451.3 611.3 480 576 480H64C28.65 480 0 451.3 0 416V96zM448 464H576C602.5 464 624 442.5 624 416V96C624 69.49 602.5 48 576 48H448V464zM432 48H208V464H432V48zM192 464V48H64C37.49 48 16 69.49 16 96V416C16 442.5 37.49 464 64 464H192z"],
    "comet": [512, 512, [], "e003", "M505 6.906c-6.173-6.172-15.18-8.407-23.58-5.891c-20.64 6.141-92.66 27.86-174.3 56.66l-3.047-10.03c-2.047-6.719-6.986-12.13-13.44-14.81c-6.423-2.781-13.77-2.453-20.07 .8438C227.7 56 121.4 114.3 60.19 173.8c-.9377 .7656-1.86 1.531-2.626 2.297c-76.75 76.74-76.75 201.6 0 278.3C94.65 491.5 144 512 196.6 512c52.64 0 102.1-20.5 139.2-57.72c.7658-.7656 1.532-1.688 2.985-3.469c58.09-59.77 116.9-166.5 139.4-209.5c3.298-6.25 3.641-13.58 .9533-20.02c-2.626-6.578-8.08-11.52-14.86-13.52l-10.08-3.047c27.24-77.33 48.67-147.3 56.81-174.4C513.5 21.83 511.2 12.84 505 6.906zM495.7 25.77c-8.377 27.89-30.9 101.4-59.34 181.5l-2.813 7.891l26.13 7.907c2.125 .625 3.86 2.188 4.688 4.25c.8752 2.109 .7814 4.485-.3126 6.516c-22.24 42.49-80.09 147.6-136.1 206.1l-2.579 3.031c-34.15 34.2-79.58 53.03-127.9 53.03c-48.28 0-93.63-18.78-127.7-52.91c-70.51-70.5-70.51-185.2 1.422-256.9l1.891-1.609c60.53-58.92 172.8-119.5 205.9-136.7c1.11-.5938 2.313-.8907 3.516-.8907c.9689 0 1.954 .2031 2.876 .6094c2.141 .875 3.735 2.609 4.407 4.828l7.861 25.97l7.908-2.813C389.1 45.5 464.8 22.64 486 16.36c2.782-.8438 5.673-.1563 7.783 1.953C495.7 20.17 496.5 23.12 495.7 25.77zM300.7 268.8L239.4 259.8L211.9 204.1c-3.688-7.578-11.52-12.47-19.97-12.47c-8.517 0-16.39 4.891-20.07 12.44L144.4 259.8L83.11 268.8C74.64 269.9 67.5 275.9 64.89 284.1c-2.516 8.078-.3595 16.81 5.689 22.89l44.48 43.38l-10.55 61.17c-1.438 8.547 2.047 16.98 9.096 22.02c3.891 2.766 8.392 4.172 12.89 4.172c3.563 0 7.126-.875 10.38-2.656l55.03-28.89l54.84 28.86c7.517 4.016 16.53 3.406 23.61-1.641c6.814-4.953 10.27-13.55 8.83-21.88l-10.44-61.16l44.57-43.47c5.986-6 8.111-15.03 5.47-22.84C316.2 275.9 309.3 270.1 300.7 268.8zM302 295.6l-50.45 49.19l11.86 69.47c.4063 2.344-.5939 4.844-2.407 6.172c-2.016 1.438-4.657 1.609-6.767 .5l-62.34-32.8l-62.58 32.86c-2.985 1.641-5.486 .2657-6.439-.4531c-.9846-.7032-3.204-2.719-2.594-6.297l11.96-69.44L81.83 295.6C80.04 293.8 79.43 291.3 80.16 288.9c.7033-2.219 2.719-3.906 5.142-4.219l69.72-10.25l31.18-63.35C187.2 208.9 189.5 207.6 191.9 207.6c2.329 0 4.579 1.391 5.611 3.516l31.29 63.3l69.58 10.25c2.469 .3594 4.438 1.984 5.204 4.36C304.3 291.2 303.7 293.8 302 295.6z"],
    "comma": [192, 512, [], "2c", "M97.36 304c19.43 0 37.91 12.13 43.96 28.85c4.533 12.49 3.285 26.22-3.412 37.66l-67.69 115.4C66.56 492.1 59.78 496 52.51 496c-2.395 0-4.76-.4172-7.029-1.241c-9.307-3.375-14.85-12.86-13.18-22.57l22.57-131.7C57.11 327.4 65.02 316.1 76.58 309.4C82.66 305.9 89.84 304 97.36 304zM97.35 287.1C97.35 287.1 97.36 287.1 97.35 287.1c-9.959 .002-19.91 2.39-28.8 7.544c-15.66 9.051-26.41 24.44-29.45 42.25l-22.57 131.7c-2.986 17.32 6.9 34.29 23.49 40.31C44.12 511.3 48.34 511.1 52.51 511.1c12.67 0 24.82-6.604 31.51-18.03l67.69-115.4c9.119-15.58 10.81-34.25 4.652-51.21C147.6 303.1 122.4 287.1 97.35 287.1z"],
    "command": [448, 512, [], "e142", "M368 320h-64V192h64C412.2 192 448 156.2 448 112S412.2 32 368 32S288 67.82 288 112v64H160v-64C160 67.82 124.2 32 80 32S0 67.82 0 112S35.82 192 80 192h64v128h-64C35.82 320 0 355.8 0 400S35.82 480 80 480S160 444.2 160 400v-64h128v64c0 44.18 35.82 80 80 80s80-35.82 80-80S412.2 320 368 320zM304 112c0-35.29 28.71-64 64-64s64 28.71 64 64s-28.71 64-64 64h-64V112zM80 176c-35.29 0-64-28.71-64-64s28.71-64 64-64s64 28.71 64 64v64H80zM144 400c0 35.29-28.71 64-64 64s-64-28.71-64-64s28.71-64 64-64h64V400zM160 320V192h128v128H160zM368 464c-35.29 0-64-28.71-64-64v-64h64c35.29 0 64 28.71 64 64S403.3 464 368 464z"],
    "comment": [512, 512, [61669, 128489], "f075", "M256 32C114.6 32 .0272 125.1 .0272 240c0 49.59 21.38 95.03 56.97 130.7c-12.5 50.39-54.27 95.27-54.77 95.77c-2.188 2.297-2.781 5.734-1.5 8.734C2.042 478.2 4.813 480 8 480c66.31 0 116-31.78 140.6-51.39C181.3 440.9 217.6 448 256 448c141.4 0 255.1-93.09 255.1-208S397.4 32 256 32zM256 432c-35.12 0-69.36-6.184-101.8-18.38L145.7 410.4l-7.105 5.666c-20.2 16.11-60.14 42.04-112.7 47.06c14.44-18.29 37.42-51.68 46.57-88.59l2.172-8.758l-6.371-6.391C34.1 325.1 16 283.8 16 240c0-105.9 107.7-192 240-192s240 86.13 240 192S388.3 432 256 432z"],
    "comment-arrow-down": [512, 512, [], "e143", "M256 32C114.6 32 .0273 125.1 .0273 240c0 49.59 21.38 95.03 56.97 130.7c-12.5 50.39-54.27 95.27-54.77 95.77c-2.188 2.297-2.781 5.734-1.5 8.734C2.041 478.2 4.813 480 8 480c66.31 0 116-31.78 140.6-51.39C181.3 440.9 217.6 448 256 448C397.4 448 512 354.9 512 240S397.4 32 256 32zM256 432c-35.12 0-69.36-6.184-101.8-18.38L145.7 410.4l-7.105 5.666c-20.2 16.11-60.14 42.04-112.7 47.06c14.44-18.29 37.42-51.68 46.57-88.59l2.172-8.758l-6.371-6.391C34.1 325.1 16 283.8 16 240c0-105.9 107.7-192 240-192s240 86.13 240 192S388.3 432 256 432zM346.9 232.6c-.875-.3438-1.609-.6562-2.5-.6562c-5.123 0-15.6 10.37-80.44 76.5V152c0-4.406-3.578-8-8-8S248 147.6 248 152v156.7L173.7 234.3c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31l88 88C251.8 335.2 253.9 336 256 336s4.219-.875 5.719-2.406c30.45-31.06 80.17-81.41 86.47-86.78c1.422-.875 2.594-2.188 3.25-3.875C353.1 238.8 351 234.2 346.9 232.6z"],
    "comment-arrow-up": [512, 512, [], "e144", "M256 32C114.6 32 .0273 125.1 .0273 240c0 49.59 21.38 95.03 56.97 130.7c-12.5 50.39-54.27 95.27-54.77 95.77c-2.188 2.297-2.781 5.734-1.5 8.734C2.041 478.2 4.813 480 8 480c66.31 0 116-31.78 140.6-51.39C181.3 440.9 217.6 448 256 448C397.4 448 512 354.9 512 240S397.4 32 256 32zM256 432c-35.12 0-69.36-6.184-101.8-18.38L145.7 410.4l-7.105 5.666c-20.2 16.11-60.14 42.04-112.7 47.06c14.44-18.29 37.42-51.68 46.57-88.59l2.172-8.758l-6.371-6.391C34.1 325.1 16 283.8 16 240c0-105.9 107.7-192 240-192s240 86.13 240 192S388.3 432 256 432zM261.7 146.3C260.2 144.8 258.1 144 256 144S251.8 144.9 250.3 146.4C219.8 177.5 170.1 227.8 163.8 233.2C162.4 234.1 161.2 235.4 160.6 237.1c-1.625 4.094 .3906 8.75 4.5 10.38c.875 .3438 1.609 .6562 2.5 .6562c5.123 0 15.6-10.37 80.44-76.5V328c0 4.406 3.578 8 8 8s8-3.594 8-8V171.3l74.34 74.34c3.125 3.125 8.188 3.125 11.31 0s3.125-8.188 0-11.31L261.7 146.3z"],
    "comment-arrow-up-right": [512, 512, [], "e145", "M256 32C114.6 32 .0273 125.1 .0273 240c0 49.59 21.38 95.03 56.97 130.7C44.5 421.1 2.729 466 2.229 466.5c-2.188 2.297-2.781 5.734-1.5 8.734C2.041 478.2 4.813 480 8 480c66.31 0 116-31.78 140.6-51.39C181.3 440.9 217.6 448 256 448c141.4 0 255.1-93.09 255.1-208S397.4 32 256 32zM256 432c-35.12 0-69.36-6.184-101.8-18.38L145.7 410.4l-7.105 5.666c-20.2 16.11-60.14 42.04-112.7 47.06c14.44-18.29 37.42-51.68 46.57-88.59l2.172-8.758l-6.371-6.391C34.1 325.1 16 283.8 16 240c0-105.9 107.7-192 240-192s240 86.13 240 192S388.3 432 256 432zM333.7 146.3C332.2 144.9 330.2 144 328 144H185.8c-4.406 0-8 3.578-8 8S181.4 160 185.8 160h122.9L162.3 306.3c-3.125 3.125-3.125 8.188 0 11.31C163.9 319.2 165.9 320 168 320s4.094-.7813 5.656-2.344L320 171.3v122.9c0 4.422 3.594 8 8 8s8-3.578 8-8V152C336 149.1 335.2 147.9 333.7 146.3C333.7 146.3 333.7 146.3 333.7 146.3z"],
    "comment-captions": [512, 512, [], "e146", "M151.1 303.1h-48c-4.406 0-8 3.594-8 8s3.594 8 8 8h48c4.406 0 8-3.594 8-8S156.4 303.1 151.1 303.1zM223.1 247.1c0-4.406-3.608-7.999-8.014-7.999L71.1 239.1c-4.406 0-8 3.594-8 8s3.594 8 8 8h143.1C220.4 255.1 223.1 252.4 223.1 247.1zM311.1 303.1h-112c-4.406 0-7.1 3.594-7.1 8s3.594 8 7.1 8h112c4.406 0 8-3.594 8-8S316.4 303.1 311.1 303.1zM407.1 303.1h-48c-4.406 0-8 3.594-8 8s3.594 8 8 8h48c4.406 0 8-3.594 8-8S412.4 303.1 407.1 303.1zM439.1 239.1h-176c-4.406 0-8 3.594-8 8s3.594 8 8 8h176c4.406 0 8-3.594 8-8S444.4 239.1 439.1 239.1zM256 31.1c-141.4 0-255.1 93.09-255.1 208c0 49.59 21.38 95.03 56.97 130.7c-12.5 50.39-54.27 95.27-54.77 95.77c-2.188 2.297-2.781 5.734-1.5 8.734c1.312 3 4.083 4.766 7.271 4.766c66.31 0 116-31.78 140.6-51.39c32.72 12.31 68.99 19.39 107.4 19.39c141.4 0 255.1-93.09 255.1-207.1S397.4 31.1 256 31.1zM255.1 431.1c-35.12 0-69.36-6.184-101.8-18.38l-8.508-3.201l-7.105 5.666c-20.2 16.11-60.14 42.04-112.7 47.06c14.44-18.29 37.42-51.68 46.57-88.59l2.172-8.758l-6.371-6.391C34.1 325.1 15.1 283.8 15.1 239.1c0-105.9 107.7-192 240-192s240 86.13 240 192S388.3 431.1 255.1 431.1z"],
    "comment-check": [512, 512, [], "f4ac", "M256 31.1c-141.4 0-255.1 93.09-255.1 208c0 49.59 21.38 95.03 56.97 130.7c-12.5 50.39-54.27 95.27-54.77 95.77c-2.188 2.297-2.781 5.734-1.5 8.734c1.312 3 4.083 4.766 7.271 4.766c66.31 0 116-31.78 140.6-51.39c32.72 12.31 68.99 19.39 107.4 19.39c141.4 0 255.1-93.09 255.1-207.1S397.4 31.1 256 31.1zM255.1 431.1c-35.12 0-69.36-6.184-101.8-18.38l-8.508-3.201l-7.105 5.666c-20.2 16.11-60.14 42.04-112.7 47.06c14.44-18.29 37.42-51.68 46.57-88.59l2.172-8.758l-6.371-6.391C34.1 325.1 15.1 283.8 15.1 239.1c0-105.9 107.7-192 240-192s240 86.13 240 192S388.3 431.1 255.1 431.1zM346.3 170.3L231.1 284.7L173.7 226.3c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31L226.3 301.7c1.562 1.562 3.594 2.344 5.656 2.344s4.094-.7813 5.656-2.344l120-119.1c3.125-3.125 3.125-8.188 0-11.31S349.5 167.2 346.3 170.3z"],
    "comment-code": [512, 512, [], "e147", "M256 32C114.6 32 .0273 125.1 .0273 240c0 49.59 21.38 95.03 56.97 130.7C44.5 421.1 2.729 466 2.229 466.5c-2.188 2.297-2.781 5.734-1.5 8.734C2.041 478.2 4.813 480 8 480c66.31 0 116-31.78 140.6-51.39C181.3 440.9 217.6 448 256 448c141.4 0 255.1-93.09 255.1-208S397.4 32 256 32zM256 432c-35.12 0-69.36-6.184-101.8-18.38L145.7 410.4l-7.105 5.666c-20.2 16.11-60.14 42.04-112.7 47.06c14.44-18.29 37.42-51.68 46.57-88.59l2.172-8.758l-6.371-6.391C34.1 325.1 16 283.8 16 240c0-105.9 107.7-192 240-192s240 86.13 240 192S388.3 432 256 432zM310.5 154.3c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31L373.6 240l-74.34 74.34c-3.125 3.125-3.125 8.188 0 11.31C300.8 327.2 302.8 328 304.9 328s4.094-.7813 5.656-2.344l80-80c3.125-3.125 3.125-8.188 0-11.31L310.5 154.3zM212.8 154.3c-3.125-3.125-8.188-3.125-11.31 0l-80 80c-3.125 3.125-3.125 8.188 0 11.31l80 80C203 327.2 205.1 328 207.1 328s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31L138.4 240l74.34-74.34C215.9 162.5 215.9 157.5 212.8 154.3z"],
    "comment-dollar": [512, 512, [], "f651", "M256 31.1c-141.4 0-255.1 93.09-255.1 208c0 49.59 21.37 94.1 56.97 130.7c-12.5 50.39-54.31 95.3-54.81 95.8C0 468.8-.5938 472.2 .6875 475.2C1.998 478.2 4.813 479.1 8 479.1c66.31 0 116-31.8 140.6-51.41c32.72 12.31 69.02 19.41 107.4 19.41c141.4 0 255.1-93.09 255.1-207.1S397.4 31.1 256 31.1zM256 431.1c-35.12 0-69.36-6.184-101.8-18.38L145.7 410.4l-7.105 5.666c-20.2 16.11-60.14 42.04-112.7 47.06c14.44-18.29 37.42-51.68 46.57-88.59l2.172-8.758l-6.371-6.391C34.1 325.1 16 283.8 16 239.1c0-105.9 107.7-192 240-192s240 86.13 240 192S388.3 431.1 256 431.1zM258 232.2l-7.297-2C219.2 221.4 204.8 213.5 208.6 192.8c4-21.89 33.28-27.55 60.5-23.55c7.078 1.062 15.47 3.234 26.41 6.828c4.156 1.359 8.703-.8906 10.09-5.094c1.391-4.188-.8906-8.719-5.094-10.09c-11.81-3.891-21.05-6.266-29.05-7.453c-2.561-.3828-4.934-.4551-7.406-.6895V136c0-4.422-3.616-8-8.037-8S248 131.6 248 136v16.27c-30.09 1.211-51.03 14.77-55.2 37.67c-7.047 38.72 30.89 49.36 53.56 55.7l7.406 2.031c36.78 10.02 53.66 17.17 49.59 39.52c-3.984 21.91-33.25 27.59-60.55 23.53c-10.92-1.562-23.5-5.875-34.59-9.688L202.5 299.1C198.4 297.7 193.8 299.9 192.4 304.1C191 308.3 193.3 312.8 197.5 314.3l5.625 1.922c11.77 4.031 25.09 8.609 37.47 10.38c2.619 .3906 4.973 .3457 7.5 .582V344c0 4.422 3.541 8 7.963 8s8.037-3.578 8.037-8v-16.46c29.97-1.281 50.95-14.62 55.11-37.49C326.3 250.8 288.4 240.5 258 232.2z"],
    "comment-dots": [512, 512, [62075, 128172, "commenting"], "f4ad", "M256 31.1c-141.4 0-255.1 93.09-255.1 208c0 49.59 21.38 95.03 56.97 130.7c-12.5 50.39-54.27 95.27-54.77 95.77c-2.188 2.297-2.781 5.734-1.5 8.734c1.312 3 4.083 4.766 7.271 4.766c66.31 0 116-31.78 140.6-51.39c32.72 12.31 68.99 19.39 107.4 19.39c141.4 0 255.1-93.09 255.1-207.1S397.4 31.1 256 31.1zM255.1 431.1c-35.12 0-69.36-6.184-101.8-18.38l-8.508-3.201l-7.105 5.666c-20.2 16.11-60.14 42.04-112.7 47.06c14.44-18.29 37.42-51.68 46.57-88.59l2.172-8.758l-6.371-6.391C34.1 325.1 15.1 283.8 15.1 239.1c0-105.9 107.7-192 240-192s240 86.13 240 192S388.3 431.1 255.1 431.1zM256 207.1c-17.67 0-31.1 14.33-31.1 32s14.33 31.1 31.1 31.1s31.1-14.33 31.1-31.1S273.7 207.1 256 207.1zM255.1 255.1c-8.824 0-16-7.178-16-16s7.176-16 16-16s16 7.178 16 16S264.8 255.1 255.1 255.1zM383.1 207.1c-17.67 0-32 14.33-32 32s14.33 31.1 32 31.1s32-14.33 32-31.1S401.7 207.1 383.1 207.1zM383.1 255.1c-8.824 0-16-7.178-16-16s7.176-16 16-16s16.01 7.178 16.01 16S392.8 255.1 383.1 255.1zM127.1 207.1c-17.67 0-32 14.33-32 32s14.33 31.1 32 31.1s32-14.33 32-31.1S145.7 207.1 127.1 207.1zM127.1 255.1c-8.824 0-15.97-7.177-15.97-15.1s7.149-16 15.97-16s16 7.178 16 16S136.8 255.1 127.1 255.1z"],
    "comment-exclamation": [512, 512, [], "f4af", "M256 31.1c-141.4 0-255.1 93.09-255.1 208c0 49.59 21.38 94.1 56.97 130.7c-12.5 50.39-54.31 95.3-54.81 95.8c-2.187 2.297-2.781 5.703-1.5 8.703c1.312 3 4.125 4.797 7.312 4.797c66.31 0 116-31.8 140.6-51.41c32.72 12.31 69.01 19.41 107.4 19.41c141.4 0 255.1-93.09 255.1-207.1S397.4 31.1 256 31.1zM255.1 431.1c-35.12 0-69.36-6.184-101.8-18.38l-8.508-3.201l-7.105 5.666c-20.2 16.11-60.14 42.04-112.7 47.06c14.44-18.29 37.42-51.68 46.57-88.59l2.172-8.758l-6.371-6.391C34.1 325.1 15.1 283.8 15.1 239.1c0-105.9 107.7-192 240-192s240 86.13 240 192S388.3 431.1 255.1 431.1zM255.1 287.1c4.406 0 7.968-3.594 7.968-8.001V135.1c0-4.406-3.594-8-8-8s-8 3.594-8 8v143.1C247.9 284.4 251.6 287.1 255.1 287.1zM255.1 319.1c-8.822 0-16 7.18-16 16s7.178 16 16 16s16-7.18 16-16S264.8 319.1 255.1 319.1z"],
    "comment-image": [512, 512, [], "e148", "M256 32C114.6 32 .0273 125.1 .0273 240c0 49.59 21.38 95.03 56.97 130.7c-12.5 50.39-54.27 95.27-54.77 95.77c-2.188 2.297-2.781 5.734-1.5 8.734C2.041 478.2 4.813 480 8 480c66.31 0 116-31.78 140.6-51.39C181.3 440.9 217.6 448 256 448C397.4 448 512 354.9 512 240S397.4 32 256 32zM256 432c-35.12 0-69.36-6.184-101.8-18.38L145.7 410.4l-7.105 5.666c-20.2 16.11-60.14 42.04-112.7 47.06c14.44-18.29 37.42-51.68 46.57-88.59l2.172-8.758l-6.371-6.391C34.1 325.1 16 283.8 16 240c0-105.9 107.7-192 240-192s240 86.13 240 192S388.3 432 256 432zM160 200c22.06 0 40-17.94 40-40S182.1 120 160 120S120 137.9 120 160S137.9 200 160 200zM160 136c13.22 0 24 10.77 24 24S173.2 184 160 184S136 173.2 136 160S146.8 136 160 136zM312.6 153.7c-9.094-12.16-29.47-12.16-38.56 .0313L202.2 250.7L186.1 232.2c-9.125-10.44-27-10.41-36.13-.0313l-55.97 64c-6.219 7.031-7.719 17.16-3.812 25.75C94.06 330.5 102.6 336 112 336h288c9.125 0 17.31-5.062 21.41-13.19c4.125-8.156 3.312-17.78-2.125-25.09L312.6 153.7zM407.2 315.6c-1.344 2.719-4.125 4.438-7.156 4.438h-288c-3.125 0-5.969-1.844-7.281-4.688C103.4 312.5 103.9 309.1 105.1 306.8l56-64.03C163.5 241 165.7 240 168 240s4.5 1 5.999 2.75l29.28 33.41l83.59-112.9c3.094-4.062 9.844-4.094 12.88-.0313l106.7 144C408.3 309.7 408.5 312.9 407.2 315.6z"],
    "comment-lines": [512, 512, [], "f4b0", "M256 31.1c-141.4 0-255.1 93.09-255.1 208c0 49.59 21.38 95.03 56.97 130.7c-12.5 50.39-54.27 95.27-54.77 95.77c-2.188 2.297-2.781 5.734-1.5 8.734c1.312 3 4.083 4.766 7.271 4.766c66.31 0 116-31.78 140.6-51.39c32.72 12.31 68.99 19.39 107.4 19.39c141.4 0 255.1-93.09 255.1-207.1S397.4 31.1 256 31.1zM255.1 431.1c-35.12 0-69.36-6.184-101.8-18.38l-8.508-3.201l-7.105 5.666c-20.2 16.11-60.14 42.04-112.7 47.06c14.44-18.29 37.42-51.68 46.57-88.59l2.172-8.758l-6.371-6.391C34.1 325.1 15.1 283.8 15.1 239.1c0-105.9 107.7-192 240-192s240 86.13 240 192S388.3 431.1 255.1 431.1zM375.1 183.1H135.1c-4.422 0-7.1 3.579-7.1 8.001s3.578 7.999 7.1 7.999h239.1c4.422 0 8-3.578 8-7.999S380.4 183.1 375.1 183.1zM279.1 279.1H135.1c-4.422 0-7.1 3.579-7.1 8.001s3.578 7.999 7.1 7.999h143.1c4.422 0 8-3.578 8-7.999S284.4 279.1 279.1 279.1z"],
    "comment-medical": [512, 512, [], "f7f5", "M256 31.1c-141.4 0-255.1 93.09-255.1 208c0 49.59 21.38 94.1 56.97 130.7c-12.5 50.39-54.31 95.3-54.81 95.8C0 468.8-.5938 472.2 .6875 475.2c1.312 3 4.125 4.797 7.312 4.797c66.31 0 116-31.8 140.6-51.41c32.72 12.31 69.01 19.41 107.4 19.41C397.4 447.1 512 354.9 512 239.1S397.4 31.1 256 31.1zM256 431.1c-35.12 0-69.36-6.184-101.8-18.38L145.7 410.4l-7.105 5.666c-20.2 16.11-60.14 42.04-112.7 47.06c14.44-18.29 37.42-51.68 46.57-88.59l2.172-8.758l-6.371-6.391C34.1 325.1 16 283.8 16 239.1c0-105.9 107.7-192 240-192s240 86.13 240 192S388.3 431.1 256 431.1zM344 191.1h-48v-48c0-8.836-7.164-16-16-16h-48c-8.836 0-16 7.164-16 16v48h-48c-8.836 0-16 7.164-16 16v48c0 8.836 7.164 15.1 16 15.1h48v48c0 8.836 7.164 16 16 16h48c8.836 0 16-7.164 16-16v-48h48c8.836 0 16-7.164 16-15.1v-48C360 199.2 352.8 191.1 344 191.1zM344 255.1h-64v63.1h-48V255.1h-64v-48h64v-64h48v64h64V255.1z"],
    "comment-middle": [512, 512, [], "e149", "M256 0C114.6 0 0 93.09 0 208c0 95.99 80.08 176.5 188.8 200.5l48.89 93.39C241.2 508.6 248.6 512 256 512s14.76-3.361 18.28-10.08l48.89-93.39C431.9 384.5 512 303.1 512 208C512 93.09 397.4 0 256 0zM312.4 394.5l-52.34 99.99C259.7 495.2 258.1 496 256 496s-3.713-.7637-4.1-1.504l-52.34-99.99C22.6 355.4 16 226.3 16 208c0-105.9 107.7-192 240-192s240 86.13 240 192C496 226.3 489.4 355.4 312.4 394.5z"],
    "comment-middle-top": [512, 512, [], "e14a", "M323.2 103.5l-48.89-93.39C270.8 3.361 263.4 0 256 0S241.2 3.361 237.7 10.08l-48.89 93.39C80.08 127.5 0 208 0 304c0 114.9 114.6 208 256 208s256-93.09 256-208C512 208 431.9 127.5 323.2 103.5zM256 496c-132.3 0-240-86.13-240-192c0-18.27 6.604-147.4 183.6-186.5l52.34-99.99C252.3 16.76 253.9 16 256 16s3.713 .7637 4.1 1.504l52.34 99.99C489.4 156.6 496 285.7 496 304C496 409.9 388.3 496 256 496z"],
    "comment-minus": [512, 512, [], "f4b1", "M256 32C114.6 32 .0281 125.1 .0281 240c0 49.59 21.38 95.03 56.97 130.7C44.5 421.1 2.729 466 2.229 466.5c-2.188 2.297-2.781 5.734-1.5 8.734C2.041 478.2 4.813 480 8 480c66.31 0 116-31.78 140.6-51.39C181.3 440.9 217.6 448 256 448c141.4 0 255.1-93.09 255.1-208S397.4 32 256 32zM256 432c-35.12 0-69.36-6.184-101.8-18.38L145.7 410.4l-7.105 5.666c-20.2 16.11-60.14 42.04-112.7 47.06c14.44-18.29 37.42-51.68 46.57-88.59l2.172-8.758l-6.371-6.391C34.1 325.1 16 283.8 16 240c0-105.9 107.7-192 240-192s240 86.13 240 192S388.3 432 256 432zM344 232h-176C163.6 232 160 235.6 160 240c0 4.422 3.578 8 8 8h176C348.4 248 352 244.4 352 240S348.4 232 344 232z"],
    "comment-music": [512, 512, [], "f8b0", "M256 31.1c-141.4 0-255.1 93.09-255.1 208c0 49.59 21.37 94.1 56.96 130.7c-12.5 50.39-54.31 95.3-54.81 95.8c-2.187 2.297-2.781 5.703-1.5 8.703c1.312 3 4.125 4.797 7.312 4.797c66.31 0 116-31.8 140.6-51.41c32.72 12.31 69.01 19.41 107.4 19.41c141.4 0 255.1-93.09 255.1-207.1S397.4 31.1 256 31.1zM255.1 431.1c-35.12 0-69.36-6.184-101.8-18.38l-8.508-3.201l-7.105 5.666c-20.2 16.11-60.14 42.04-112.7 47.06c14.44-18.29 37.42-51.68 46.57-88.59l2.172-8.758l-6.371-6.391C34.1 325.1 15.1 283.8 15.1 239.1c0-105.9 107.7-192 240-192s240 86.13 240 192S388.3 431.1 255.1 431.1zM340.8 128.6l-128 56C209.9 185.9 207.1 188.8 207.1 191.1v104.3C199.5 291.2 188.3 287.1 175.1 287.1c-26.51 0-48 14.33-48 32s21.49 32 48 32s47.1-14.33 47.1-32L223.1 197.2l112-49v116.1c-8.506-5.109-19.65-8.321-31.1-8.321c-26.51 0-48 14.33-48 32s21.49 32 48 32s48-14.33 48-32l-.0004-151.1c0-2.688-1.359-5.219-3.625-6.688C346.2 127.8 343.2 127.6 340.8 128.6zM175.1 335.1c-19.53 0-32-9.477-32-16s12.47-16 32-16c19.54 0 31.1 9.477 31.1 16S195.5 335.1 175.1 335.1zM303.1 303.1c-19.53 0-32-9.477-32-16s12.47-16 32-16c19.54 0 32 9.477 32 16S323.5 303.1 303.1 303.1z"],
    "comment-pen": [512, 512, ["comment-edit"], "f4ae", "M256 31.1c-141.4 0-255.1 93.09-255.1 208c0 49.59 21.38 94.1 56.97 130.7c-12.5 50.39-54.31 95.3-54.81 95.8c-2.187 2.297-2.781 5.703-1.5 8.703c1.312 3 4.125 4.797 7.312 4.797c66.31 0 116-31.8 140.6-51.41c32.72 12.31 69.01 19.41 107.4 19.41c141.4 0 255.1-93.09 255.1-207.1S397.4 31.1 256 31.1zM255.1 431.1c-35.12 0-69.36-6.184-101.8-18.38l-8.508-3.201l-7.105 5.666c-20.2 16.11-60.14 42.04-112.7 47.06c14.44-18.29 37.42-51.68 46.57-88.59l2.172-8.758l-6.371-6.391C34.1 325.1 15.1 283.8 15.1 239.1c0-105.9 107.7-192 240-192s240 86.13 240 192S388.3 431.1 255.1 431.1zM345.6 139.7c-6.25-6.248-14.44-9.373-22.63-9.373c-8.188 0-16.38 3.123-22.62 9.371L159.9 280.1L157.9 283.7l-11.52 57.63c-.9453 4.734 2.805 8.367 6.898 8.367c.4453 0 .8945-.043 1.344-.1328l57.62-11.52l3.582-1.916l140.5-140.5c12.5-12.5 12.5-32.76 .0039-45.25L345.6 139.7zM206.5 322.9l-41.71 8.342L173.1 289.5l102.8-102.8l33.38 33.38L206.5 322.9zM345 184.4l-24.41 24.41l-33.38-33.38l24.41-24.41c3.023-3.021 7.039-4.684 11.31-4.684s8.297 1.664 11.32 4.686l10.75 10.75C348.1 164.7 349.7 168.8 349.7 173S348.1 181.3 345 184.4z"],
    "comment-plus": [512, 512, [], "f4b2", "M256 32C114.6 32 .0281 125.1 .0281 240c0 49.59 21.38 95.03 56.97 130.7C44.5 421.1 2.729 466 2.229 466.5c-2.188 2.297-2.781 5.734-1.5 8.734C2.042 478.2 4.813 480 8 480c66.31 0 116-31.78 140.6-51.39C181.3 440.9 217.6 448 256 448c141.4 0 255.1-93.09 255.1-208S397.4 32 256 32zM256 432c-35.12 0-69.36-6.184-101.8-18.38L145.7 410.4l-7.105 5.666c-20.2 16.11-60.14 42.04-112.7 47.06c14.44-18.29 37.42-51.68 46.57-88.59l2.172-8.758l-6.371-6.391C34.1 325.1 16 283.8 16 240c0-105.9 107.7-192 240-192s240 86.13 240 192S388.3 432 256 432zM344 232h-80v-80c0-4.42-3.578-8-8-8S248 147.6 248 152v80h-80C163.6 232 160 235.6 160 240c0 4.422 3.578 8 8 8h80v80c0 4.422 3.578 8 8 8s8-3.58 8-8v-80h80C348.4 248 352 244.4 352 240S348.4 232 344 232z"],
    "comment-question": [512, 512, [], "e14b", "M283.7 127.6H223.1C192.7 127.6 168 152.3 168 182.6c0 4.422 3.594 8 8 8s8-3.578 8-8c0-21.53 17.53-39.05 39.06-39.05h60.59c24.44 0 44.34 19.89 44.34 44.34c0 16.89-9.406 32.09-24.62 39.73l-51.06 26.5C249.7 255.5 248 258.3 248 261.2V288c0 4.422 3.594 8 8 8S264 292.4 264 288V266.1l46.66-24.2C331.2 231.6 344 210.9 344 187.9C344 154.6 316.9 127.6 283.7 127.6zM256 328c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16s16-7.164 16-16C272 335.2 264.8 328 256 328zM256 31.1c-141.4 0-255.1 93.09-255.1 208c0 49.59 21.38 95.03 56.97 130.7c-12.5 50.39-54.27 95.27-54.77 95.77c-2.188 2.297-2.781 5.734-1.5 8.734c1.312 3 4.083 4.766 7.271 4.766c66.31 0 116-31.78 140.6-51.39c32.72 12.31 68.99 19.39 107.4 19.39c141.4 0 255.1-93.09 255.1-208S397.4 31.1 256 31.1zM256 431.1c-35.12 0-69.36-6.184-101.8-18.38L145.7 410.4l-7.105 5.666c-20.2 16.11-60.14 42.04-112.7 47.06c14.44-18.29 37.42-51.68 46.57-88.59l2.172-8.758l-6.371-6.391C34.1 325.1 16 283.8 16 239.1c0-105.9 107.7-192 240-192s240 86.13 240 192S388.3 431.1 256 431.1z"],
    "comment-quote": [512, 512, [], "e14c", "M183.1 143.1c-30.88 0-56 25.12-56 56s25.12 56 56 56c15.68 0 29.82-6.517 39.1-16.93v24.93c0 30.88-25.12 56-55.1 56h-8c-4.422 0-8 3.594-8 8s3.578 8.001 8 8.001l8 .0003c39.7 0 71.1-32.31 71.1-72l0-63.1C239.1 169.1 214.9 143.1 183.1 143.1zM183.1 239.1c-22.06 0-40-17.94-40-40s17.94-40 40-40s39.1 17.94 39.1 40S206.1 239.1 183.1 239.1zM327.1 143.1c-30.88 0-56 25.12-56 56s25.12 56 56 56c15.68 0 29.82-6.517 39.1-16.93v24.93c0 30.88-25.12 56-56 56h-8c-4.422 0-8 3.594-8 8s3.578 8.001 8 8.001l8 .0003c39.7 0 72-32.31 72-72l0-63.1C383.1 169.1 358.9 143.1 327.1 143.1zM327.1 239.1c-22.06 0-40-17.94-40-40s17.94-40 40-40s40 17.94 40 40S350.1 239.1 327.1 239.1zM256 31.1c-141.4 0-255.1 93.09-255.1 208c0 49.59 21.38 95.03 56.97 130.7c-12.5 50.39-54.27 95.27-54.77 95.77c-2.188 2.297-2.781 5.734-1.5 8.734c1.312 3 4.083 4.766 7.271 4.766c66.31 0 116-31.78 140.6-51.39c32.72 12.31 68.99 19.39 107.4 19.39c141.4 0 255.1-93.09 255.1-207.1S397.4 31.1 256 31.1zM256 431.1c-35.12 0-69.36-6.184-101.8-18.38l-8.508-3.199l-7.105 5.668c-20.2 16.1-60.14 42.03-112.7 47.05c14.44-18.29 37.42-51.68 46.57-88.59l2.172-8.758l-6.371-6.391C34.1 325.1 16 283.8 16 239.1c0-105.9 107.7-192 240-192s240 86.13 240 192S388.3 431.1 256 431.1z"],
    "comment-slash": [640, 512, [], "f4b3", "M319.1 47.1c132.3 0 240 86.13 240 192c0 33.15-10.56 64.35-29.12 91.59l12.47 9.916C564.1 311.5 576 276.9 576 240c0-114.9-114.6-207.1-255.1-207.1c-47.4 0-91.65 10.64-129.7 28.88L204.2 71.93C238.6 56.72 278 47.1 319.1 47.1zM319.1 431.1c-35.12 0-69.36-6.184-101.8-18.38l-8.508-3.201l-7.105 5.666c-20.2 16.11-60.14 42.04-112.7 47.06c14.44-18.29 37.42-51.68 46.57-88.59l2.172-8.758l-6.371-6.391C98.1 325.1 79.1 283.8 79.1 239.1c0-24.58 6.02-48.02 16.59-69.64l-12.95-10.29c-12.62 24.61-19.62 51.6-19.62 79.93c0 49.59 21.38 94.1 56.97 130.7c-12.5 50.39-54.31 95.3-54.81 95.8c-2.187 2.297-2.781 5.703-1.5 8.703c1.312 3 4.125 4.797 7.312 4.797c66.31 0 116-31.8 140.6-51.41c32.72 12.31 69.02 19.41 107.4 19.41c36.85 0 71.78-6.445 103.4-17.83l-14.94-11.87C381.1 427 351.3 431.1 319.1 431.1zM636.1 497.7L12.99 1.729C11.52 .5652 9.77-.0012 8.024-.0012c-2.352 0-4.689 1.029-6.287 3.012c-2.75 3.469-2.172 8.5 1.281 11.25l623.1 496c1.484 1.172 3.234 1.734 4.984 1.734c2.344 0 4.687-1.031 6.266-3.016C641 505.5 640.4 500.5 636.1 497.7z"],
    "comment-smile": [512, 512, [], "f4b4", "M256 31.1c-141.4 0-255.1 93.09-255.1 208c0 49.59 21.38 95.03 56.97 130.7c-12.5 50.39-54.27 95.27-54.77 95.77c-2.188 2.297-2.781 5.734-1.5 8.734c1.312 3 4.083 4.766 7.271 4.766c66.31 0 116-31.78 140.6-51.39c32.72 12.31 68.99 19.39 107.4 19.39c141.4 0 255.1-93.09 255.1-207.1S397.4 31.1 256 31.1zM255.1 431.1c-35.12 0-69.36-6.184-101.8-18.38l-8.508-3.201l-7.105 5.666c-20.2 16.11-60.14 42.04-112.7 47.06c14.44-18.29 37.42-51.68 46.57-88.59l2.172-8.758l-6.371-6.391C34.1 325.1 15.1 283.8 15.1 239.1c0-105.9 107.7-192 240-192s240 86.13 240 192S388.3 431.1 255.1 431.1zM191.1 207.1c8.822 0 16.01-7.181 16.01-16s-7.178-16-15.1-16c-8.822 0-16 7.18-16 16S183.2 207.1 191.1 207.1zM319.1 207.1c8.822 0 16.03-7.181 16.03-16s-7.178-16-16-16s-16 7.18-16 16S311.1 207.1 319.1 207.1zM345.1 284c-18.34 32.05-52.47 51.97-89.06 51.97S185.3 316.1 166.9 284c-2.203-3.859-7.109-5.156-10.91-2.969C152.2 283.2 150.9 288.1 153.1 291.1c21.17 37.03 60.61 60.03 102.9 60.03s81.78-23 102.1-60.03c2.203-3.828 .875-8.719-2.969-10.91S347.2 280.2 345.1 284z"],
    "comment-sms": [512, 512, ["sms"], "f7cd", "M256 32C114.6 32 .0137 125.1 .0137 240c0 49.59 21.39 95 56.99 130.7c-12.5 50.39-54.31 95.3-54.81 95.8C0 468.8-.5938 472.2 .6875 475.2C1.1 478.2 4.813 480 8 480c66.31 0 116-31.8 140.6-51.41C181.3 440.9 217.6 448 256 448C397.4 448 512 354.9 512 240S397.4 32 256 32zM256 432c-35.12 0-69.36-6.184-101.8-18.38L145.7 410.4l-7.105 5.666c-20.2 16.11-60.14 42.04-112.7 47.06c14.44-18.29 37.42-51.68 46.57-88.59l2.172-8.758l-6.371-6.391C34.1 325.1 16 283.8 16 240c0-105.9 107.7-192 240-192s240 86.13 240 192S388.3 432 256 432zM138.2 232.3L133.1 231.1C115.6 225.7 110.7 221.4 112.3 212.2c1.875-10.94 16.62-13.56 30.66-11.47c3.781 .5938 8.375 1.844 14.44 3.938c4.219 1.5 8.75-.75 10.19-4.938S166.8 190.1 162.6 189.5c-7.031-2.406-12.5-3.875-17.22-4.625C119.4 180.9 99.75 190.7 96.53 209.5c-4.469 26 19.88 33.13 32.97 36.97l4.312 1.219c21.34 6.125 27.72 9.688 25.91 20.12c-1.906 10.97-16.78 13.59-30.66 11.5c-6-.9062-13.12-3.5-19.44-5.75L106.7 272.5c-4.312-1.5-8.781 .6875-10.22 4.844c-1.5 4.156 .6875 8.75 4.844 10.22l2.906 1.031c6.969 2.531 14.88 5.375 22.38 6.531C130.5 295.7 134.3 296 137.8 296c20.28 0 34.88-9.531 37.63-25.47C180 244.3 155.8 237.3 138.2 232.3zM378.2 232.3l-4.188-1.219c-18.44-5.375-23.31-9.625-21.72-18.88c1.906-10.94 16.69-13.56 30.66-11.47c3.781 .5938 8.375 1.844 14.44 3.938c4.188 1.5 8.75-.75 10.19-4.938s-.7813-8.75-4.938-10.19c-7.031-2.406-12.5-3.875-17.22-4.625c-26-3.969-45.66 5.812-48.88 24.56c-4.469 26 19.88 33.13 32.97 36.97l4.312 1.219c21.34 6.125 27.72 9.688 25.91 20.12c-1.906 10.97-16.78 13.59-30.66 11.5c-6-.9062-13.12-3.5-19.44-5.75l-2.938-1.062c-4.281-1.5-8.75 .6875-10.22 4.844c-1.5 4.156 .6875 8.75 4.844 10.22l2.918 1.133c6.969 2.531 14.86 5.273 22.36 6.43C370.5 295.7 374.3 296 377.8 296c20.28 0 34.88-9.531 37.63-25.47C420 244.3 395.8 237.3 378.2 232.3zM306.5 184.4c-3.281-1.094-6.875 .0625-8.938 2.781L256 242.7L214.4 187.2C212.3 184.5 208.8 183.3 205.5 184.4C202.2 185.5 200 188.6 200 192v96c0 4.406 3.594 8 8 8S216 292.4 216 288V216l33.59 44.81c3.062 4 9.75 4 12.81 0L296 216V288c0 4.406 3.594 8 8 8S312 292.4 312 288V192C312 188.6 309.8 185.5 306.5 184.4z"],
    "comment-text": [512, 512, [], "e14d", "M344 175.1h-176c-4.406 0-8 3.595-8 8.001s3.594 7.999 8 7.999h79.1v135.1c0 4.406 3.594 8.001 8 8.001s7.1-3.595 7.1-8.001V191.1H344c4.406 0 8-3.593 8-7.999S348.4 175.1 344 175.1zM256 31.1c-141.4 0-255.1 93.09-255.1 208c0 49.59 21.38 95.03 56.97 130.7c-12.5 50.39-54.27 95.27-54.77 95.77c-2.188 2.297-2.781 5.734-1.5 8.734c1.312 3 4.083 4.766 7.271 4.766c66.31 0 116-31.78 140.6-51.39c32.72 12.31 68.1 19.39 107.4 19.39c141.4 0 255.1-93.09 255.1-207.1S397.4 31.1 256 31.1zM255.1 431.1c-35.12 0-69.36-6.184-101.8-18.38l-8.508-3.199l-7.105 5.668c-20.2 16.1-60.14 42.03-112.7 47.05c14.44-18.29 37.42-51.68 46.57-88.59l2.172-8.758l-6.371-6.391C34.1 325.1 15.1 283.8 15.1 239.1c0-105.9 107.7-192 240-192s240 86.13 240 192S388.3 431.1 255.1 431.1z"],
    "comment-xmark": [512, 512, ["comment-times"], "f4b5", "M256 31.1c-141.4 0-255.1 93.09-255.1 208c0 49.59 21.38 95.03 56.97 130.7c-12.5 50.39-54.27 95.27-54.77 95.77c-2.188 2.297-2.781 5.734-1.5 8.734C2.04 478.2 4.813 479.1 8 479.1c66.31 0 116-31.78 140.6-51.39c32.72 12.31 68.99 19.39 107.4 19.39c141.4 0 255.1-93.09 255.1-208S397.4 31.1 256 31.1zM256 431.1c-35.12 0-69.36-6.184-101.8-18.38L145.7 410.4l-7.105 5.666c-20.2 16.11-60.14 42.04-112.7 47.06c14.44-18.29 37.42-51.68 46.57-88.59l2.172-8.758l-6.371-6.391C34.1 325.1 16 283.8 16 239.1c0-105.9 107.7-192 240-192s240 86.13 240 192S388.3 431.1 256 431.1zM333.7 162.3c-3.125-3.125-8.188-3.125-11.31 0L256 228.7L189.7 162.3c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31L244.7 239.1L178.3 306.3c-3.125 3.125-3.125 8.188 0 11.31c3.127 3.127 8.186 3.127 11.31 0L256 251.3l66.34 66.34c3.127 3.127 8.186 3.127 11.31 0c3.125-3.125 3.125-8.188 0-11.31L267.3 239.1l66.34-66.34C336.8 170.5 336.8 165.5 333.7 162.3z"],
    "comments": [640, 512, [61670, 128490], "f086", "M416 176C416 78.8 322.9 0 208 0S0 78.8 0 176c0 39.57 15.62 75.96 41.67 105.4c-16.39 32.76-39.23 57.32-39.59 57.68c-2.1 2.205-2.67 5.475-1.441 8.354C1.9 350.3 4.602 352 7.66 352c38.35 0 70.76-11.12 95.74-24.04C134.2 343.1 169.8 352 208 352C322.9 352 416 273.2 416 176zM208 336c-34.14 0-67.86-7.742-97.51-22.39L103.2 310L96.05 313.7c-22.64 11.71-46.03 18.84-69.75 21.29c8.633-11.07 20.12-27.4 29.69-46.52l4.838-9.674L53.65 270.7C29.02 242.1 16 210.2 16 176c0-88.22 86.13-160 192-160s192 71.78 192 160S313.9 336 208 336zM599.6 443.7C624.8 413.9 640 376.6 640 336c0-89.54-72.1-163.3-167.4-174.4c-4.912-.5762-9.135 3.488-8.83 8.424c.2363 3.832 3.18 6.947 6.994 7.398C557.1 187.6 624 254.8 624 336c0 35.44-12.66 69.12-36.62 97.39l-6.918 8.168l4.91 9.512c9.25 17.92 20.15 33.37 28.38 43.96c-22.29-2.318-44.37-8.807-65.85-19.38l-7.174-3.529l-7.131 3.621C507.5 488.1 477.9 496 448 496c-73.58 0-136.6-41.33-162.8-99.74c-1.537-3.42-5.25-5.295-8.908-4.471l-.3594 .082c-4.859 1.096-7.426 6.369-5.389 10.91C299.2 466.8 367.8 512 448 512c33.69 0 65.32-8.008 92.85-21.98C565.2 502 596.1 512 632.3 512c3.059 0 5.76-1.725 7.02-4.605c1.229-2.879 .6582-6.148-1.441-8.354C637.6 498.7 615.9 475.3 599.6 443.7z"],
    "comments-dollar": [640, 512, [], "f653", "M210.2 168.3l-6.277-1.812C177.4 158.7 165.4 151.8 168.5 133.6c3.545-20.41 29.41-23.83 50.47-20.48C224.1 114.1 232.1 116 241.3 119.2c4.217 1.469 8.729-.7656 10.18-4.938c1.436-4.188-.7656-8.734-4.936-10.19C236.4 100.6 228.4 98.41 221.5 97.31C219.6 97.02 217.9 96.99 216 96.8V80c0-4.422-3.601-8-8.019-8c-4.42 0-7.972 3.578-7.972 8v16.37c-25.56 1.568-43.75 14.08-47.3 34.5C146.6 166.3 179.6 176 199.4 181.8l6.402 1.859C236.7 192.5 250.9 198.8 247.5 218.4C243.9 238.8 218 242.2 196.1 238.9C187.7 237.5 176.1 233.6 167.5 230.2L162.7 228.5C158.6 227 153.1 229.2 152.5 233.3C151 237.5 153.2 242.1 157.3 243.5l4.717 1.688c10.17 3.672 21.69 7.828 32.47 9.453c1.916 .2988 3.648 .248 5.512 .4414V272c0 4.422 3.552 8 7.972 8c4.418 0 8.019-3.578 8.019-8V255.3C241.4 253.7 259.7 241.5 263.2 221.1C269.4 185.2 236.6 175.8 210.2 168.3zM599.6 443.7C624.8 413.9 640 376.6 640 336c0-89.54-72.1-163.3-167.4-174.4c-4.912-.5762-9.135 3.488-8.83 8.424c.2363 3.832 3.18 6.947 6.994 7.398C557.1 187.6 624 254.8 624 336c0 35.44-12.66 69.12-36.62 97.39l-6.918 8.168l4.91 9.512c9.25 17.92 20.15 33.37 28.38 43.96c-22.29-2.318-44.37-8.807-65.85-19.38l-7.174-3.529l-7.131 3.621C507.5 488.1 477.9 496 448 496c-73.58 0-136.6-41.33-162.8-99.74c-1.537-3.42-5.25-5.295-8.908-4.471l-.3594 .082c-4.859 1.096-7.426 6.369-5.389 10.91C299.2 466.8 367.8 512 448 512c33.69 0 65.32-8.008 92.85-21.98C565.2 502 596.1 512 632.3 512c3.059 0 5.76-1.725 7.02-4.605c1.229-2.879 .6582-6.148-1.441-8.354C637.6 498.7 615.9 475.3 599.6 443.7zM416 176C416 78.8 322.9 0 208 0S0 78.8 0 176c0 39.57 15.62 75.96 41.67 105.4c-16.39 32.76-39.23 57.32-39.59 57.68c-2.1 2.205-2.67 5.475-1.441 8.354C1.9 350.3 4.602 352 7.66 352c38.35 0 70.76-11.12 95.74-24.04C134.2 343.1 169.8 352 208 352C322.9 352 416 273.2 416 176zM208 336c-34.14 0-67.86-7.742-97.51-22.39L103.2 310L96.05 313.7c-22.64 11.71-46.03 18.84-69.75 21.29c8.633-11.07 20.12-27.4 29.69-46.52l4.838-9.674L53.65 270.7C29.02 242.1 16 210.2 16 176c0-88.22 86.13-160 192-160s192 71.78 192 160S313.9 336 208 336z"],
    "comments-question": [640, 512, [], "e14e", "M208 244.6C201.7 244.6 196.6 249.7 196.6 256c0 6.299 5.107 11.41 11.41 11.41S219.4 262.3 219.4 256C219.4 249.7 214.3 244.6 208 244.6zM228.7 80H183.3C159.4 80 140 99.38 140 123.2c0 4.422 3.578 8 8 8s8-3.578 8-8C156 108.2 168.3 96 183.3 96h45.44C245.1 96 260 109.1 260 127.2c0 11.88-6.625 22.55-17.38 27.91L204.3 174.9C201.7 176.3 200 179 200 182V208c0 4.422 3.578 8 8 8S216 212.4 216 208V186.9l33.86-17.53C265.1 161.3 276 145.1 276 127.2C276 101.2 254.8 80 228.7 80zM416 176C416 78.8 322.9 0 208 0S0 78.8 0 176c0 39.57 15.62 75.96 41.67 105.4c-16.39 32.76-39.23 57.32-39.59 57.68c-2.1 2.205-2.67 5.475-1.441 8.354C1.9 350.3 4.602 352 7.66 352c38.35 0 70.76-11.12 95.74-24.04C134.2 343.1 169.8 352 208 352C322.9 352 416 273.2 416 176zM208 336c-34.14 0-67.86-7.742-97.51-22.39L103.2 310L96.05 313.7c-22.64 11.71-46.03 18.84-69.75 21.29c8.633-11.07 20.12-27.4 29.69-46.52l4.838-9.674L53.65 270.7C29.02 242.1 16 210.2 16 176c0-88.22 86.13-160 192-160s192 71.78 192 160S313.9 336 208 336zM599.6 443.7C624.8 413.9 640 376.6 640 336c0-89.54-72.1-163.3-167.4-174.4c-4.912-.5762-9.135 3.488-8.83 8.424c.2363 3.832 3.18 6.947 6.994 7.398C557.1 187.6 624 254.8 624 336c0 35.44-12.66 69.12-36.62 97.39l-6.918 8.168l4.91 9.512c9.25 17.92 20.15 33.37 28.38 43.96c-22.29-2.318-44.37-8.807-65.85-19.38l-7.174-3.529l-7.131 3.621C507.5 488.1 477.9 496 448 496c-73.58 0-136.6-41.33-162.8-99.74c-1.537-3.42-5.25-5.295-8.908-4.471l-.3594 .082c-4.859 1.096-7.426 6.369-5.389 10.91C299.2 466.8 367.8 512 448 512c33.69 0 65.32-8.008 92.85-21.98C565.2 502 596.1 512 632.3 512c3.059 0 5.76-1.725 7.02-4.605c1.229-2.879 .6582-6.148-1.441-8.354C637.6 498.7 615.9 475.3 599.6 443.7z"],
    "comments-question-check": [640, 512, [], "e14f", "M228.7 80H183.3C159.4 80 140 99.38 140 123.2c0 4.422 3.578 8 8 8s8-3.578 8-8C156 108.2 168.3 96 183.3 96h45.44C245.1 96 260 109.1 260 127.2c0 11.88-6.625 22.55-17.38 27.91L204.3 174.9C201.7 176.3 200 179 200 182V208c0 4.422 3.578 8 8 8S216 212.4 216 208V186.9l33.86-17.53C265.1 161.3 276 145.1 276 127.2C276 101.2 254.8 80 228.7 80zM208 244.6C201.7 244.6 196.6 249.7 196.6 256c0 6.299 5.107 11.41 11.41 11.41S219.4 262.3 219.4 256C219.4 249.7 214.3 244.6 208 244.6zM416 176C416 78.8 322.9 0 208 0S0 78.8 0 176c0 39.57 15.62 75.96 41.67 105.4c-16.39 32.76-39.23 57.32-39.59 57.68c-2.1 2.205-2.67 5.475-1.441 8.354C1.9 350.3 4.602 352 7.66 352c38.35 0 70.76-11.12 95.74-24.04C134.2 343.1 169.8 352 208 352C322.9 352 416 273.2 416 176zM208 336c-34.14 0-67.86-7.742-97.51-22.39L103.2 310L96.05 313.7c-22.64 11.71-46.03 18.84-69.75 21.29c8.633-11.07 20.12-27.4 29.69-46.52l4.838-9.674L53.65 270.7C29.02 242.1 16 210.2 16 176c0-88.22 86.13-160 192-160s192 71.78 192 160S313.9 336 208 336zM599.6 443.7C624.8 413.9 640 376.6 640 336c0-89.54-72.1-163.3-167.4-174.4c-4.912-.5762-9.135 3.488-8.83 8.424c.2363 3.832 3.18 6.947 6.994 7.398C557.1 187.6 624 254.8 624 336c0 35.44-12.66 69.12-36.62 97.39l-6.918 8.168l4.91 9.512c9.25 17.92 20.15 33.37 28.38 43.96c-22.29-2.318-44.37-8.807-65.85-19.38l-7.174-3.529l-7.131 3.621C507.5 488.1 477.9 496 448 496c-73.58 0-136.6-41.33-162.8-99.74c-1.537-3.42-5.25-5.295-8.908-4.471l-.3594 .082c-4.859 1.096-7.426 6.369-5.389 10.91C299.2 466.8 367.8 512 448 512c33.69 0 65.32-8.008 92.85-21.98C565.2 502 596.1 512 632.3 512c3.059 0 5.76-1.725 7.02-4.605c1.229-2.879 .6582-6.148-1.441-8.354C637.6 498.7 615.9 475.3 599.6 443.7zM392.7 346.7c-3.125 3.125-3.125 8.188 0 11.31l43.64 43.64c1.5 1.5 3.531 2.344 5.656 2.344c1.657-.1875 4.266-.9062 5.782-2.469l91.64-96c3.062-3.203 2.938-8.266-.25-11.31c-3.203-3.031-8.25-2.922-11.31 .25l-85.98 90.08l-37.86-37.84C400.9 343.6 395.8 343.6 392.7 346.7z"],
    "compact-disc": [512, 512, [128192, 128440, 128191], "f51f", "M264 79.1c0-4.422-3.594-8-8-8c-101.5 0-184 82.55-184 184c0 4.422 3.594 8 8 8s8-3.578 8-8c0-92.64 75.38-168 168-168C260.4 87.1 264 84.42 264 79.1zM256 239.1c-8.836 0-16 7.164-16 16s7.164 16 16 16s16-7.164 16-16S264.8 239.1 256 239.1zM256 159.1c-53.02 0-96 42.98-96 96s42.98 95.1 96 95.1s96-42.98 96-95.1S309 159.1 256 159.1zM256 335.1c-44.11 0-80-35.89-80-80s35.89-80 80-80s80 35.89 80 80S300.1 335.1 256 335.1zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "compass": [512, 512, [129517], "f14e", "M288 256C288 273.7 273.7 288 256 288C238.3 288 224 273.7 224 256C224 238.3 238.3 224 256 224C273.7 224 288 238.3 288 256zM256 240C247.2 240 240 247.2 240 256C240 264.8 247.2 272 256 272C264.8 272 272 264.8 272 256C272 247.2 264.8 240 256 240zM351.1 130.5C369.9 124.3 387.7 142.1 381.5 160.9L332.6 307.4C328.7 319.3 319.3 328.7 307.4 332.6L160.9 381.5C142.1 387.7 124.3 369.9 130.5 351.1L179.4 204.6C183.3 192.7 192.7 183.3 204.6 179.4L351.1 130.5zM366.3 155.8C368.4 149.6 362.4 143.6 356.2 145.7L209.7 194.5C202.5 196.9 196.9 202.5 194.5 209.7L145.7 356.2C143.6 362.4 149.6 368.4 155.8 366.3L302.3 317.5C309.5 315.1 315.1 309.5 317.5 302.3L366.3 155.8zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496z"],
    "compass-drafting": [512, 512, ["drafting-compass"], "f568", "M297.3 148.5C285.3 155.8 271.1 160 256 160C240.9 160 226.7 155.8 214.7 148.5L125.8 308.5C163.1 331 206.9 344 253.8 344C345.5 344 425.7 294.1 468.6 219.1C470.8 216.2 475.7 214.9 479.5 217.1C483.3 219.3 484.6 224.2 482.4 228C436.8 306.9 351.5 360 253.8 360C204.1 360 157.7 346.3 118 322.5L14.99 507.9C12.85 511.7 7.977 513.1 4.114 510.1C.2518 508.8-1.14 503.1 1.006 500.1L104.5 313.8C72.06 291.5 44.85 262.2 25.08 228C22.86 224.2 24.17 219.3 27.99 217.1C31.82 214.9 36.71 216.2 38.92 219.1C57.25 251.7 82.39 278.9 112.3 299.7L201.7 138.8C185.9 124.2 176 103.2 176 80C176 35.82 211.8 0 256 0C300.2 0 336 35.82 336 80C336 103.2 326.1 124.2 310.3 138.8L373.2 252.1C375.4 255.1 373.1 260.8 370.1 262.1C366.2 265.1 361.4 263.7 359.2 259.9L297.3 148.5zM256 16C220.7 16 192 44.65 192 80C192 115.3 220.7 144 256 144C291.3 144 320 115.3 320 80C320 44.65 291.3 16 256 16zM421.5 371.9C419.3 368 420.7 363.2 424.6 361C428.4 358.9 433.3 360.3 435.4 364.1L510.1 500.1C513.1 503.1 511.7 508.8 507.9 510.1C504 513.1 499.2 511.7 497 507.9L421.5 371.9z"],
    "compass-slash": [640, 512, [], "f5e9", "M636.1 497.7C640.4 500.5 641 505.5 638.3 508.1C635.5 512.4 630.5 513 627 510.3L3.022 14.26C-.4365 11.51-1.012 6.481 1.738 3.022C4.487-.4365 9.52-1.012 12.98 1.738L636.1 497.7zM455.1 454.4L468.2 464.8C426.4 494.5 375.2 512 319.1 512C178.6 512 63.1 397.4 63.1 256C63.1 222.1 70.57 189.8 82.51 160.2L95.64 170.6C85.53 197.1 79.1 225.9 79.1 256C79.1 388.6 187.5 496 319.1 496C370.1 496 416.6 480.6 455.1 454.4zM576 256C576 289.9 569.4 322.2 557.5 351.8L544.4 341.4C554.5 314.9 560 286.1 560 256C560 123.5 452.5 16 320 16C269.9 16 223.4 31.35 184.9 57.61L171.8 47.25C213.6 17.5 264.8 .0006 320 .0006C461.4 .0006 576 114.6 576 256H576zM194.5 351.1L221.6 270L234.9 280.6L209.7 356.2C207.6 362.4 213.6 368.4 219.8 366.3L306.8 337.3L321.8 349.2L224.9 381.5C206.1 387.7 188.3 369.9 194.5 351.1V351.1zM415.1 130.5C433.9 124.3 451.7 142.1 445.5 160.9L418.4 241.1L405.1 231.4L430.3 155.8C432.4 149.6 426.4 143.6 420.2 145.7L333.2 174.7L318.2 162.8L415.1 130.5z"],
    "compress": [448, 512, [], "f066", "M151.1 31.1c-4.406 0-8 3.578-8 8v136h-136c-4.406 0-8 3.578-8 8s3.594 8 8 8h144c4.406 0 8-3.578 8-8v-144C159.1 35.58 156.4 31.1 151.1 31.1zM295.1 191.1h144c4.406 0 8-3.578 8-8s-3.594-8-8-8h-136v-136c0-4.422-3.594-8-8-8s-8 3.578-8 8v144C287.1 188.4 291.6 191.1 295.1 191.1zM439.1 319.1h-144c-4.406 0-8 3.578-8 8v144c0 4.422 3.594 8 8 8s8-3.578 8-8v-136h136c4.406 0 8-3.578 8-8S444.4 319.1 439.1 319.1zM151.1 319.1h-144c-4.406 0-8 3.578-8 8s3.594 8 8 8h136v136c0 4.422 3.594 8 8 8s8-3.578 8-8v-144C159.1 323.6 156.4 319.1 151.1 319.1z"],
    "compress-wide": [512, 512, [], "f326", "M151.1 64c-4.406 0-8 3.578-8 8V208h-136C3.594 208-.0001 211.6-.0001 216S3.594 224 7.1 224h144c4.406 0 8-3.578 8-8v-144C159.1 67.58 156.4 64 151.1 64zM359.1 224h144c4.406 0 8-3.578 8-8s-3.594-8-8-8h-136V72c0-4.422-3.594-8-8-8s-8 3.578-8 8v144C351.1 220.4 355.6 224 359.1 224zM503.1 288h-144c-4.406 0-8 3.578-8 8v144c0 4.422 3.594 8 8 8s8-3.578 8-8V304h136c4.406 0 8-3.578 8-8S508.4 288 503.1 288zM151.1 288h-144C3.594 288-.0001 291.6-.0001 296S3.594 304 7.1 304h136v136c0 4.422 3.594 8 8 8s8-3.578 8-8v-144C159.1 291.6 156.4 288 151.1 288z"],
    "computer": [640, 512, [], "e4e5", "M48 104C48 90.75 58.75 80 72 80H376C389.3 80 400 90.75 400 104V312C400 325.3 389.3 336 376 336H72C58.75 336 48 325.3 48 312V104zM64 104V312C64 316.4 67.58 320 72 320H376C380.4 320 384 316.4 384 312V104C384 99.58 380.4 96 376 96H72C67.58 96 64 99.58 64 104zM172.9 384H64C28.65 384 0 355.3 0 320V96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V320C448 355.3 419.3 384 384 384H275.1L301.8 464H376C380.4 464 384 467.6 384 472C384 476.4 380.4 480 376 480H72C67.58 480 64 476.4 64 472C64 467.6 67.58 464 72 464H146.2L172.9 384zM16 96V320C16 346.5 37.49 368 64 368H384C410.5 368 432 346.5 432 320V96C432 69.49 410.5 48 384 48H64C37.49 48 16 69.49 16 96zM189.8 384L163.1 464H284.9L258.2 384H189.8zM520 136C520 131.6 523.6 128 528 128H592C596.4 128 600 131.6 600 136C600 140.4 596.4 144 592 144H528C523.6 144 520 140.4 520 136zM592 192C596.4 192 600 195.6 600 200C600 204.4 596.4 208 592 208H528C523.6 208 520 204.4 520 200C520 195.6 523.6 192 528 192H592zM576 336C576 344.8 568.8 352 560 352C551.2 352 544 344.8 544 336C544 327.2 551.2 320 560 320C568.8 320 576 327.2 576 336zM592 32C618.5 32 640 53.49 640 80V432C640 458.5 618.5 480 592 480H528C501.5 480 480 458.5 480 432V80C480 53.49 501.5 32 528 32H592zM592 48H528C510.3 48 496 62.33 496 80V432C496 449.7 510.3 464 528 464H592C609.7 464 624 449.7 624 432V80C624 62.33 609.7 48 592 48z"],
    "computer-classic": [448, 512, [], "f8b1", "M399.1 0h-352c-26.51 0-48 21.49-48 48l0 352c0 17.67 14.33 32 31.1 32v64c0 8.836 7.164 16 16 16h352c8.838 0 16-7.164 16-16v-64C433.7 432 448 417.7 448 400l-.0001-352C447.1 21.49 426.5 0 399.1 0zM399.1 496h-352v-64h352V496zM431.1 400c0 8.822-7.178 16-16 16h-384c-8.822 0-16-7.178-16-16v-352c0-17.64 14.36-32 32-32h352c17.64 0 32 14.36 32 32V400zM319.1 64h-192c-35.35 0-64 28.65-64 64l0 80c0 35.35 28.65 64 64 64h192c35.35 0 64-28.65 64-64L383.1 128C383.1 92.65 355.3 64 319.1 64zM367.1 208c0 26.47-21.53 48-48 48h-192c-26.47 0-48-21.53-48-48L79.1 128c0-26.47 21.53-48 48-48h192c26.47 0 48 21.53 48 48L367.1 208zM375.1 336h-144c-4.422 0-7.1 3.578-7.1 8s3.578 8 8 8h144c4.422 0 8-3.578 8-8S380.4 336 375.1 336zM79.1 336c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16s16-7.164 16-16C95.1 343.2 88.84 336 79.1 336z"],
    "computer-mouse": [384, 512, [128433, "mouse"], "f8cc", "M224 0H160C71.63 0 0 71.63 0 160v192c0 88.38 71.63 160 160 160h64c88.38 0 160-71.63 160-160V160C384 71.63 312.4 0 224 0zM16 160c0-79.4 64.6-144 144-144h24V192H16V160zM368 352c0 79.4-64.6 144-144 144H160c-79.4 0-144-64.6-144-144V208h352V352zM368 192h-168V16H224c79.4 0 144 64.6 144 144V192z"],
    "computer-mouse-scrollwheel": [384, 512, ["mouse-alt"], "f8cd", "M224 0H160c-88.38 0-160 71.63-160 160v192c0 88.38 71.63 160 160 160h64c88.38 0 160-71.63 160-160V160C384 71.62 312.4 0 224 0zM368 352c0 79.4-64.6 144-144 144H160c-79.4 0-144-64.6-144-144V160c0-79.4 64.6-144 144-144h64c79.4 0 144 64.6 144 144V352zM192 95.1c-17.62 0-32 14.38-32 32v31.1C160 177.6 174.4 192 192 192s32-14.38 32-32V127.1C224 110.4 209.6 95.1 192 95.1zM208 160c0 8.822-7.178 16-16 16S176 168.8 176 160V128c0-8.822 7.178-16 16-16s16 7.178 16 16V160z"],
    "computer-speaker": [640, 512, [], "f8b2", "M592 32h-224c-26.5 0-48 21.5-48 48v352c0 26.5 21.5 48 48 48H592c26.5 0 48-21.5 48-48v-352C640 53.5 618.5 32 592 32zM623.1 432c0 17.64-14.36 32-32 32h-224c-17.64 0-32-14.36-32-32v-352c0-17.64 14.36-32 32-32h224c17.64 0 32 14.36 32 32V432zM279.1 32H47.1c-26.51 0-48 21.49-48 48l0 288c0 26.51 21.49 48 48 48h232c4.418 0 8-3.582 8-8s-3.582-8-8-8h-232c-17.67 0-32-14.33-32-32v-288c0-17.67 14.33-32 32-32h232c4.418 0 8-3.582 8-8S284.4 32 279.1 32zM279.1 112c4.418 0 8-3.582 8-8S284.4 96 279.1 96H63.1L63.1 352h216c4.418 0 8-3.582 8-8s-3.582-8-8-8h-200v-224H279.1zM279.1 464h-176c-4.422 0-8 3.578-8 8s3.578 8 8 8h176c4.422 0 8-3.578 8-8S284.4 464 279.1 464zM480 224c-53.02 0-96 42.98-96 96s42.98 96 96 96s96-42.98 96-96S533 224 480 224zM479.1 400c-44.11 0-80-35.89-80-80s35.89-80 80-80c44.11 0 79.1 35.89 79.1 80S524.1 400 479.1 400zM480 160c17.67 0 31.1-14.33 31.1-32S497.7 96 480 96c-17.67 0-32 14.33-32 32S462.3 160 480 160zM479.1 112c8.822 0 15.1 7.178 15.1 16s-7.178 16-16 16s-16-7.178-16-16S471.2 112 479.1 112zM479.1 288c-17.67 0-32 14.33-32 32s14.33 32 32 32c17.67 0 32-14.33 32-32S497.7 288 479.1 288zM479.1 336c-8.822 0-16-7.178-16-16s7.178-16 16-16s16 7.178 16 16S488.8 336 479.1 336z"],
    "container-storage": [640, 512, [], "f4b7", "M415.1 416c4.422 0 8-3.578 8-8v-304c0-4.422-3.578-8-8-8s-8 3.578-8 8v304C407.1 412.4 411.6 416 415.1 416zM511.1 416c4.422 0 8-3.578 8-8v-304c0-4.422-3.578-8-8-8s-8 3.578-8 8v304C503.1 412.4 507.6 416 511.1 416zM319.1 416c4.422 0 8-3.578 8-8v-304c0-4.422-3.578-8-8-8s-8 3.578-8 8v304C311.1 412.4 315.6 416 319.1 416zM127.1 416c4.422 0 8-3.578 8-8v-304c0-4.422-3.578-8-8-8s-8 3.578-8 8v304C119.1 412.4 123.6 416 127.1 416zM223.1 416c4.422 0 8-3.578 8-8v-304c0-4.422-3.578-8-8-8s-8 3.578-8 8v304C215.1 412.4 219.6 416 223.1 416zM631.1 464h-8v-416h8c4.422 0 8-3.578 8-8s-3.578-8-8-8h-624c-4.422 0-8 3.578-8 8s3.578 8 8 8h8v416h-8c-4.422 0-8 3.578-8 8s3.578 8 8 8h624c4.422 0 8-3.578 8-8S636.4 464 631.1 464zM608 464h-576v-416h576V464z"],
    "conveyor-belt": [640, 512, [], "f46e", "M159.1 288h320c17.6 0 32-14.4 32-32l0-224c0-17.6-14.4-32-32-32h-320C142.4 0 127.1 14.4 127.1 32L127.1 256C127.1 273.6 142.4 288 159.1 288zM255.1 16h128V160l-64-32l-64 32V16zM143.1 32c0-8.822 7.178-16 16-16h80V160c0 5.545 2.871 10.7 7.588 13.61C250.2 175.2 253.1 176 255.1 176c2.445 0 4.896-.5605 7.156-1.689L319.1 145.9l56.84 28.42C379.1 175.4 381.6 176 383.1 176c2.926 0 5.842-.8008 8.412-2.389C397.1 170.7 399.1 165.5 399.1 160V16h80c8.822 0 16 7.178 16 16v224c0 8.822-7.178 16-16 16h-320c-8.822 0-16-7.178-16-16V32zM111.1 368c-26.62 0-48 21.38-48 48s21.38 48 48 48s48-21.38 48-48S138.6 368 111.1 368zM111.1 448c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S129.6 448 111.1 448zM319.1 368c-26.62 0-48 21.38-48 48s21.38 48 48 48s48-21.38 48-48S346.6 368 319.1 368zM319.1 448c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S337.6 448 319.1 448zM527.1 368c-26.62 0-47.1 21.38-47.1 48s21.38 48 47.1 48c26.62 0 48-21.38 48-48S554.6 368 527.1 368zM527.1 448c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S545.6 448 527.1 448zM544 320h-448c-53.02 0-96 42.98-96 96s42.98 96 96 96h448c53.02 0 96-42.98 96-96S597 320 544 320zM543.1 496h-448c-44.11 0-80-35.89-80-80s35.89-80 80-80h448c44.11 0 80 35.89 80 80S588.1 496 543.1 496z"],
    "conveyor-belt-boxes": [640, 512, ["conveyor-belt-alt"], "f46f", "M96 288h208c17.6 0 32-14.4 32-32V32c0-17.6-14.4-32-32-32H96C78.4 0 64 14.4 64 32v224C64 273.6 78.4 288 96 288zM80 32c0-8.824 7.178-16 16-16h208C312.8 16 320 23.18 320 32v224c0 8.824-7.178 16-16 16H96C87.18 272 80 264.8 80 256V32zM400 288H544c17.6 0 32-14.4 32-32V96c0-17.6-14.4-32-32-32h-144c-17.6 0-32 14.4-32 32v160C368 273.6 382.4 288 400 288zM384 96c0-8.824 7.178-16 16-16H544c8.822 0 16 7.176 16 16v160c0 8.824-7.178 16-16 16h-144C391.2 272 384 264.8 384 256V96zM528 368c-26.62 0-48 21.38-48 48s21.38 48 48 48S576 442.6 576 416S554.6 368 528 368zM528 448c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S545.6 448 528 448zM320 368c-26.62 0-48 21.38-48 48s21.38 48 48 48s48-21.38 48-48S346.6 368 320 368zM320 448c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S337.6 448 320 448zM544 320H96c-53.02 0-96 42.98-96 96s42.98 96 96 96h448c53.02 0 96-42.98 96-96S597 320 544 320zM544 496H96c-44.11 0-80-35.89-80-80s35.89-80 80-80h448c44.11 0 80 35.89 80 80S588.1 496 544 496zM112 368C85.38 368 64 389.4 64 416s21.38 48 48 48S160 442.6 160 416S138.6 368 112 368zM112 448c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S129.6 448 112 448z"],
    "conveyor-belt-empty": [640, 512, [], "e150", "M528 368c-26.62 0-48 21.38-48 48s21.38 48 48 48S576 442.6 576 416S554.6 368 528 368zM528 448c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S545.6 448 528 448zM320 368c-26.62 0-48 21.38-48 48s21.38 48 48 48s48-21.38 48-48S346.6 368 320 368zM320 448c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S337.6 448 320 448zM544 320H96c-53.02 0-96 42.98-96 96s42.98 96 96 96h448c53.02 0 96-42.98 96-96S597 320 544 320zM544 496H96c-44.11 0-80-35.89-80-80s35.89-80 80-80h448c44.11 0 80 35.89 80 80S588.1 496 544 496zM112 368C85.38 368 64 389.4 64 416s21.38 48 48 48S160 442.6 160 416S138.6 368 112 368zM112 448c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S129.6 448 112 448z"],
    "cookie": [512, 512, [127850], "f563", "M494.5 254.8l-11.37-71.48c-4.102-25.9-16.29-49.8-34.8-68.32l-51.33-51.33c-18.52-18.52-42.31-30.7-68.2-34.8L256.9 17.53C250.5 16.5 244 16 237.6 16c-19.44 0-38.71 4.591-56.13 13.48L116.7 62.53c-23.44 11.84-42.3 30.82-54.26 54.14L29.51 181.2c-11.84 23.44-16.08 50.04-11.98 75.94l11.37 71.48c4.102 25.9 16.29 49.77 34.8 68.41l51.33 51.33c18.52 18.4 42.31 30.61 68.2 34.72l71.84 11.37C261.5 495.5 267.1 496 274.4 496c19.44 0 38.71-4.591 56.13-13.48l64.8-33.05c23.32-11.84 42.3-30.82 54.26-54.14l32.81-64.57C494.4 307.3 498.6 280.8 494.5 254.8zM468.1 323.5l-32.79 64.52c-10.51 20.5-26.85 36.81-47.29 47.18l-64.8 33.05c-15.05 7.676-31.95 11.73-48.86 11.73c-5.621 0-11.28-.4473-16.84-1.33l-71.83-11.37c-22.57-3.574-43.12-14.03-59.39-30.2l-51.29-51.29c-16.27-16.37-26.76-36.1-30.35-59.67L33.33 254.7C29.74 231.1 33.34 209.1 43.73 188.5l32.91-64.54c10.54-20.57 26.88-36.87 47.29-47.18l64.8-33.05c15.05-7.676 31.95-11.73 48.86-11.73c5.621 0 11.28 .4473 16.84 1.33l71.83 11.37c22.6 3.58 43.14 14.06 59.39 30.32l51.33 51.33c16.24 16.24 26.72 36.81 30.32 59.52l11.36 71.46C482.3 280.1 478.6 302.1 468.1 323.5zM176 303.1c-17.62 0-31.1 14.37-31.1 31.1c0 17.62 14.38 31.1 31.1 31.1s31.1-14.37 31.1-31.1C208 318.4 193.6 303.1 176 303.1zM176 351.1c-8.822 0-15.1-7.178-15.1-15.1c0-8.822 7.178-15.1 15.1-15.1s15.1 7.178 15.1 15.1C192 344.8 184.8 351.1 176 351.1zM208 144c-17.62 0-31.1 14.37-31.1 31.1s14.38 31.1 31.1 31.1s31.1-14.38 31.1-31.1S225.6 144 208 144zM208 192c-8.822 0-15.1-7.178-15.1-15.1c0-8.822 7.178-15.1 15.1-15.1s15.1 7.178 15.1 15.1C224 184.8 216.8 192 208 192zM368 271.1c-17.62 0-31.1 14.37-31.1 31.1c0 17.62 14.38 31.1 31.1 31.1s31.1-14.37 31.1-31.1C400 286.4 385.6 271.1 368 271.1zM368 319.1c-8.822 0-15.1-7.178-15.1-15.1c0-8.822 7.178-15.1 15.1-15.1s15.1 7.178 15.1 15.1C384 312.8 376.8 319.1 368 319.1z"],
    "cookie-bite": [512, 512, [], "f564", "M487.8 255.6c-59.98-4.093-107.9-52.11-111.6-112.1c-.2591-4.202-3.51-7.453-7.713-7.712c-60.01-3.7-108-51.6-112-111.6c-.2692-4.042-3.323-7.276-7.356-7.653C245.3 16.18 241.4 16 237.5 16c-19.43 0-38.63 4.525-56 13.48L116.7 62.41c-23.32 11.95-42.31 30.94-54.26 54.26L29.6 181.2c-11.96 23.44-16.17 49.92-12.07 75.94l11.37 71.48c4.102 25.9 16.29 49.8 34.81 68.32l51.36 51.39c18.46 18.46 42.39 30.66 68.18 34.75l71.84 11.37C261.5 495.5 268 496 274.5 496c19.46 0 38.65-4.591 56.17-13.48l64.81-33.05c23.32-11.84 42.31-30.82 54.14-54.14l32.93-64.57c10.69-21.06 15.14-44.76 12.9-68.15C495.1 258.7 491.7 255.9 487.8 255.6zM468.3 323.5l-32.94 64.6c-10.23 20.15-26.96 36.88-47.14 47.13l-64.78 33.03c-15.14 7.685-32.07 11.75-48.96 11.75c-5.629 0-11.31-.4472-16.89-1.33L185.7 467.3c-22.6-3.58-43.14-14.06-59.39-30.32l-51.33-51.33c-16.24-16.24-26.72-36.82-30.32-59.52L33.33 254.7C29.74 231.9 33.38 209 43.86 188.5l32.79-64.52C87.14 103.5 103.5 87.14 123.9 76.67l64.89-32.97c14.86-7.656 31.69-11.7 48.66-11.7c1.232 0 2.471 .0195 3.709 .0625c7.371 62.36 57.39 112.1 119.7 119.1c7.02 62.24 56.73 112.3 119.1 119.8C480.5 289.1 476.5 307.3 468.3 323.5zM176 303.1c-17.62 0-32 14.37-32 31.1s14.38 31.1 32 31.1s32-14.37 32-31.1S193.6 303.1 176 303.1zM176 351.1c-8.822 0-16-7.178-16-15.1c0-8.822 7.178-15.1 16-15.1s15.1 7.177 15.1 15.1C192 344.8 184.8 351.1 176 351.1zM208 144c-17.62 0-32 14.37-32 31.1s14.38 31.1 32 31.1s32-14.37 32-31.1S225.6 144 208 144zM208 192c-8.822 0-16-7.178-16-15.1c0-8.822 7.178-15.1 16-15.1s16 7.177 16 15.1C224 184.8 216.8 192 208 192zM368 271.1c-17.62 0-32 14.37-32 31.1c0 17.62 14.38 31.1 32 31.1s32-14.37 32-31.1C400 286.4 385.6 271.1 368 271.1zM368 319.1c-8.822 0-16-7.178-16-15.1c0-8.822 7.178-15.1 16-15.1s16 7.177 16 15.1C384 312.8 376.8 319.1 368 319.1z"],
    "copy": [512, 512, [], "f0c5", "M502.6 102.6l-93.26-93.25C403.4 3.371 395.2 0 386.7 0H271.1c-26.51 0-48 21.49-48 48v288c0 26.51 21.49 48 48 48H464c26.51 0 48-21.49 48-48l-.0001-210.7C511.1 116.8 508.6 108.6 502.6 102.6zM399.1 22.63L489.4 112h-65.38c-13.22 0-24-10.77-24-24V22.63zM495.1 336c0 17.64-14.36 32-32 32h-192c-17.64 0-32-14.36-32-32v-288c0-17.64 14.36-32 32-32h112v72c0 22.06 17.94 40 40 40h72V336zM279.1 448c-4.418 0-8 3.582-8 8v8c0 17.67-14.33 32-32 32h-192c-17.67 0-32-14.33-32-32v-288c0-17.67 14.33-32 32-32h104c4.418 0 8-3.582 8-8S156.4 128 151.1 128H47.1c-26.51 0-48 21.49-48 48v288c0 26.51 21.49 48 48 48h192c26.51 0 48-21.49 48-48l0-8C287.1 451.6 284.4 448 279.1 448z"],
    "copyright": [512, 512, [169], "f1f9", "M316 165.9c3.75 2.156 8.656 .875 10.94-2.938C329.1 159.2 327.8 154.3 324 152c-46.91-27.09-106.5-19.28-144.8 19.12C156.5 193.8 144 223.9 144 256s12.5 62.19 35.16 84.84C202.3 363.1 233 376 264.1 376c20.53 0 41.22-5.25 59.88-16.03c3.812-2.219 5.125-7.125 2.938-10.94c-2.281-3.875-7.188-5.094-10.94-2.938c-40.72 23.5-92.34 16.69-125.5-16.56C170.8 309.9 160 283.8 160 256s10.81-53.91 30.47-73.53C223.7 149.2 275.3 142.4 316 165.9zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "corn": [512, 512, [127805], "f6c7", "M511.9 51.77l-.0313-2.502c1.656-25.33-17.04-46.88-42.42-49.07c-15.54-1.406-30.82 4.877-40.57 16.72c-11.19-7.064-24.91-9.127-37.48-5.312c-12.41 3.484-22.57 11.71-28.54 22.71c-11.32-4.471-24.16-4.346-35.82 .5938c-11.44 5.172-20.22 14.47-24.69 25.79c-11.85-2.939-24.41-1.236-34.98 4.984c-10.44 5.986-18.16 16.02-21.47 27.41C234 91.15 221.6 93.92 211.6 101.2C207.9 103.9 204.6 106.1 201.8 110.7c-2.656 3.516-2 8.549 1.531 11.22c3.502 2.672 8.502 2 11.22-1.5c1.906-2.518 4.031-4.596 6.438-6.361C228.1 108.3 239.9 106.9 249.4 110.5c2.377 .8594 5.002 .6094 7.158-.75c2.125-1.361 3.502-3.658 3.658-6.174c.6875-9.861 6.5-19.05 15.22-24.07c8.721-5.158 19.47-5.627 28.88-1.221c2.189 1.016 4.814 1 7.064-.1406c2.188-1.141 3.75-3.25 4.189-5.688c1.812-10.08 8.562-18.68 17.88-22.88c9.754-4.047 20.57-3.141 29.1 2.471c2.094 1.375 4.719 1.703 7.094 .8281c2.377-.8594 4.221-2.783 4.939-5.205c3.062-10.06 10.97-17.8 21.32-20.71c10.38-3.094 21.32-.375 29.32 7.314c1.877 1.734 4.346 2.641 6.846 2.125c2.469-.3906 4.627-1.938 5.814-4.172c5.781-11 17.85-17.11 30.13-16.1c16.72 1.438 29.01 15.54 27.91 32.62v2.705c-.4375 11.39-6.939 21.64-16.94 26.74c-2.219 1.125-3.781 3.221-4.25 5.674c-.4375 2.438 .25 4.953 1.938 6.814c7.408 8.203 9.971 19.25 6.908 29.47c-3.064 9.986-11.1 18.02-20.94 20.99c-2.406 .7187-4.312 2.516-5.188 4.875c-.875 2.346-.5938 4.971 .75 7.08c5.689 8.939 6.502 19.55 2.25 29.1c-4.281 9.408-12.75 15.86-23.29 17.71c-2.502 .4219-4.627 2.016-5.752 4.266c-1.156 2.25-1.156 4.924-.0313 7.174c4.502 9.064 4.031 19.79-1.406 28.87c-4.846 8.611-14.13 14.38-24.19 15.06c-2.531 .1719-4.844 1.533-6.188 3.658c-1.377 2.141-1.658 4.781-.7813 7.158c3.656 9.611 2.312 19.93-3.471 28.08c-1 1.314-2.125 2.408-3.219 3.471c0 .0156-.7813 .7656-.7813 .7813c-3.127 3.125-2.752 7.799 .3438 10.92c1.5 1.484 3.469 2.188 5.5 2.188c2.252 0 4.533-.875 6.189-2.516c1.594-1.578 3.25-3.234 4.877-5.377c7.062-9.971 9.846-22.19 7.969-34.04c11.63-3.281 21.76-11 27.6-21.36c6.439-10.77 8.221-23.35 5.221-35.07c11.6-4.375 20.82-12.94 26.01-24.41c5.125-11.49 5.344-24.37 .875-35.88c10.91-5.846 19.19-15.85 22.97-28.07c3.814-12.72 1.971-26.16-4.812-37.4C504.7 78.94 511.4 66.04 511.9 51.77zM201.6 310L208.1 288.5c15.78-69.06-2.377-142.1-48.66-195.3C155.5 88.84 149.6 87.06 143.9 88.51c-5.906 1.5-10.38 6.096-11.69 12.13L114 191.8L29.18 276.7c-38.91 38.94-38.91 102.3 0 141.2l64.95 64.95C113.6 502.3 139.2 512 164.7 512c25.56 0 51.13-9.721 70.6-29.19l84.86-84.87l91.14-18.21c5.938-1.25 10.56-5.688 12.13-11.59c1.5-5.736-.3125-11.69-4.721-15.55C357.6 299.4 274.4 285.5 201.6 310zM40.5 406.5c-32.69-32.69-32.69-85.88 0-118.6l86.57-86.59C128.2 200.3 128.9 198.8 129.3 197.3l18.06-93.54c42.91 49.38 59.79 117.1 45.26 180.7L182.8 317.3c-24.41 10.77-47.19 26.08-67.04 45.93l-59.26 59.27L40.5 406.5zM314.7 382.7c-1.562 .3125-2.969 1.062-4.094 2.188l-86.57 86.59c-32.69 32.69-85.89 32.69-118.6 0l-37.63-37.64l59.26-59.27c76.38-76.37 199.8-80.68 281-10.52L314.7 382.7z"],
    "corner": [448, 512, [], "e3fe", "M440 384c-4.406 0-8-3.594-8-8V208H8C3.594 208 0 204.4 0 200S3.594 192 8 192h432C444.4 192 448 195.6 448 200v176C448 380.4 444.4 384 440 384z"],
    "couch": [640, 512, [], "f4b8", "M576 224c-35.35 0-64 28.65-64 64h-384c0-35.35-28.65-64-64-64s-64 28.65-64 64v160c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32l0-16h384l0 16c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32V288C640 252.7 611.3 224 576 224zM111.1 448c0 8.822-7.178 16-15.1 16H31.1c-8.822 0-16-7.178-16-16V288c0-26.47 21.53-48 48-48S111.1 261.5 111.1 288V448zM511.1 416h-384l0-112h384L511.1 416zM623.1 448c0 8.822-7.178 16-16 16H544c-8.822 0-16-7.178-16-16V288c0-26.47 21.53-48 48-48s48 21.53 48 48V448zM71.1 192c4.418 0 8-3.582 8-8V160c0-61.86 50.14-112 112-112h256c61.86 0 112 50.14 112 112v24c0 4.418 3.582 8 8 8s8-3.582 8-8L576 160c0-70.69-57.31-128-128-128H191.1c-70.69 0-128 57.31-128 128L63.1 184C63.1 188.4 67.58 192 71.1 192z"],
    "cow": [640, 512, [128004], "f6c8", "M632.5 264.1l-8.5-11.78V177.9c0-8.391-4.281-16.03-11.41-20.42c-7.125-4.359-15.88-4.766-23.25-1c-8.531 4.219-16.28 10.17-23.09 17.77l-59.03-67.17C487.7 80.09 456.2 64 423 64H120C80.31 64 48 96.3 48 136v96.81C20.93 236.7 0 259.9 0 288v24C0 316.4 3.594 320 8 320c30.88 0 56-25.12 56-56v-128c0-28.92 22.12-52.51 50.28-55.42C98.22 93.75 87.74 113.5 87.72 135.8C87.66 237.2 88 424 88 424c0 13.23 10.78 24 23.1 24h56c13.22 0 24-10.77 24-24V336c0-2.695 .5078-5.25 .7969-7.869c11.85 8.822 25.08 15.12 39.2 19.03V376c0 4.422 3.592 8 7.998 8s8.002-3.578 8.002-8v-25.58C253.3 351.1 258.6 352 264 352s10.7-.875 16-1.58V376c0 4.422 3.591 8 7.997 8c4.406 0 8.003-3.578 8.003-8v-28.84c14.12-3.9 27.35-10.2 39.2-19.03c.2891 2.619 .7969 5.174 .7969 7.869v88c0 13.23 10.78 24 24 24h55.1c13.22 0 24.01-10.77 24.01-24V268.9l32 16v36.56c0 14.25 4.156 28.03 11.66 39.23l33.69 62.7C527.6 438.8 544.8 448 563.4 448c26.25 0 49-18.69 54.09-44.42l21.75-108.6C641.4 284.3 638.1 273 632.5 264.1zM48 264c0 19.31-13.75 35.48-32 39.2V288c0-19.31 13.75-35.48 32-39.2V264zM160.9 91.39C163.1 86.14 169.7 80 181 80h166c11.34 0 17.88 6.141 20.06 11.39c2.031 4.984 .8125 10.06-3.438 14.31l-22.88 22.73C320.2 148.8 292.9 160 263.9 160C235.1 160 207.8 148.8 187.3 128.5l-22.91-22.75C160.1 101.5 158.9 96.38 160.9 91.39zM264 336c-25.05 0-48.39-9.191-67.18-25.27C207.1 283.5 233.2 264 264 264s56.9 19.5 67.18 46.73C312.4 326.8 289.1 336 264 336zM601.8 400.5C598.2 418.7 582 432 563.4 432c-13.22 0-25.44-6.516-32.31-16.78l-33.69-62.7c-6.125-9.219-9.375-19.94-9.375-31.02V280c0-3.031-1.719-5.797-4.438-7.156l-48-24C434.4 248.3 433.2 248 432 248c-1.469 0-2.906 .4062-4.219 1.188C425.4 250.7 424 253.2 424 256v168c0 4.406-3.594 8-8 8h-56c-4.406 0-8-3.594-8-8V336c0-6.861-.8799-13.54-2.372-19.96c.0566-.0566-.0566 .0566 0 0l-.2393-.4004C340.2 276.9 305.5 248 264 248S187.9 276.9 178.6 315.6L178.4 316c.0566 .0566-.0566-.0566 0 0C176.9 322.5 176 329.1 176 336l.0026 88c0 4.406-3.594 8-8 8H112c-4.406 0-8-3.594-8-8.016L103.7 135.8c.0273-26.1 19.43-49.55 45.05-54.65c-.8633 1.406-1.975 2.65-2.611 4.193C141.6 96.34 144.2 108.2 153.1 117L176 139.8C199.6 163.2 230.8 176 264.1 176c33.06 0 64.28-12.84 87.91-36.2l22.84-22.75c8.906-8.828 11.53-20.7 6.969-31.75C381 83.35 379.7 81.73 378.6 80h44.46c28.09 0 54.72 13.62 71.75 37.03l65.75 74.88c1.594 1.844 4.125 2.969 6.375 2.703c2.438-.1094 4.688-1.328 6.094-3.297c6.688-9.219 14.56-16.12 23.53-20.55c3.563-1.766 6.563-.375 7.719 .3125c1.125 .7031 3.781 2.766 3.781 6.797v77c0 1.672 .5313 3.312 1.5 4.672l10 13.88c3.844 5.344 5.313 12.03 4.031 18.38L601.8 400.5zM568 320c-8.875 0-16 7.125-16 16s7.125 16 16 16s16-7.125 16-16S576.9 320 568 320z"],
    "cowbell": [448, 512, [], "f8b3", "M167.1 0H280C302.1 0 320 17.91 320 40V96H336C357.4 96 376.3 110.2 382.2 130.8L446.2 354.8C450.3 369.3 447.4 384.9 438.3 396.9C429.3 408.9 415.1 416 400 416H47.1C32.94 416 18.75 408.9 9.679 396.9C.6086 384.9-2.291 369.3 1.847 354.8L65.85 130.8C71.73 110.2 90.57 96 112 96H128V40C128 17.91 145.9 0 168 0L167.1 0zM167.1 16C154.7 16 143.1 26.75 143.1 40V96H304V40C304 26.75 293.3 16 280 16H167.1zM111.1 112C97.71 112 85.16 121.5 81.23 135.2L17.23 359.2C14.47 368.9 16.41 379.3 22.45 387.3C28.5 395.3 37.96 400 47.1 400H400C410 400 419.5 395.3 425.5 387.3C431.6 379.3 433.5 368.9 430.8 359.2L366.8 135.2C362.8 121.5 350.3 112 336 112H111.1zM190.1 481.9C199.1 490.9 211.3 496 223.1 496C236.7 496 248.9 490.9 257.9 481.9C266.9 472.9 272 460.7 272 448C272 443.6 275.6 440 280 440C284.4 440 288 443.6 288 448C288 464.1 281.3 481.3 269.3 493.3C257.3 505.3 240.1 512 223.1 512C207 512 190.7 505.3 178.7 493.3C166.7 481.3 159.1 464.1 159.1 448C159.1 443.6 163.6 440 167.1 440C172.4 440 175.1 443.6 175.1 448C175.1 460.7 181.1 472.9 190.1 481.9z"],
    "cowbell-circle-plus": [576, 512, ["cowbell-more"], "f8b4", "M167.1 .0003H279.1C302.1 .0003 320 17.91 320 40V96H336C357.4 96 376.3 110.2 382.2 130.8L400.4 194.8C395.1 195.8 389.9 196.1 384.8 198.4L366.8 135.2C362.8 121.5 350.3 112 336 112H111.1C97.71 112 85.16 121.5 81.23 135.2L17.23 359.2C14.47 368.9 16.41 379.3 22.45 387.3C28.5 395.3 37.96 400 47.1 400H258.9C259.9 405.4 261.1 410.8 262.6 416H47.1C32.94 416 18.75 408.9 9.679 396.9C.6086 384.9-2.291 369.3 1.847 354.8L65.85 130.8C71.73 110.2 90.57 96 112 96H128V40C128 17.91 145.9 0 168 0L167.1 .0003zM167.1 16C154.7 16 143.1 26.75 143.1 40V96H304V40C304 26.75 293.3 16 279.1 16H167.1zM271.1 448C271.1 446.5 272.4 445.1 273.1 443.9C276.8 451.4 280.9 458.7 285.5 465.6C282.6 475.1 277 485.5 269.3 493.3C257.3 505.3 240.1 512 223.1 512C207 512 190.7 505.3 178.7 493.3C166.7 481.3 159.1 464.1 159.1 448C159.1 443.6 163.6 440 167.1 440C172.4 440 175.1 443.6 175.1 448C175.1 460.7 181.1 472.9 190.1 481.9C199.1 490.9 211.3 496 223.1 496C236.7 496 248.9 490.9 257.9 481.9C266.9 472.9 271.1 460.7 271.1 448V448zM440 359.1H504C508.4 359.1 512 363.6 512 367.1C512 372.4 508.4 375.1 504 375.1H440V439.1C440 444.4 436.4 447.1 432 447.1C427.6 447.1 424 444.4 424 439.1V375.1H360C355.6 375.1 352 372.4 352 367.1C352 363.6 355.6 359.1 360 359.1H424V295.1C424 291.6 427.6 287.1 432 287.1C436.4 287.1 440 291.6 440 295.1V359.1zM576 368C576 447.5 511.5 512 432 512C352.5 512 287.1 447.5 287.1 368C287.1 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 240C361.3 240 304 297.3 304 368C304 438.7 361.3 496 432 496C502.7 496 560 438.7 560 368C560 297.3 502.7 240 432 240z"],
    "crab": [512, 512, [129408], "e3ff", "M512 157.2V88C512 39.47 472.5 0 423.9 0h-96.13c-3.567 0-6.697 2.344-7.698 5.766c-1.001 3.406 .4068 7.078 3.411 8.984l88.12 56c3.692 2.391 8.668 1.281 11.05-2.453c2.378-3.734 1.283-8.672-2.472-11.05L355.3 16h68.62c39.74 0 72.1 32.3 72.1 72V112h-100.4c-11.36 0-22.25-4.859-29.85-13.34c-2.973-3.344-8.042-3.562-11.33-.6094c-3.286 2.953-3.567 8-.6259 11.3C364.5 121.2 379.7 128 395.6 128h100.4v29.17c0 8.719-4.725 16.75-12.33 20.97l-87.31 48.44C372.1 205.3 342.2 192 308.1 192h-3.726V152c0-4.418-3.587-8-8.011-8c-4.424 0-8.011 3.582-8.011 8V192H224.1l.2259-40c0-4.418-3.587-8-8.011-8c-4.424 0-8.011 3.582-8.011 8V192H204.4C170.2 192 139.5 205.4 116.1 226.8L28.38 178.1C20.75 173.9 16.02 165.9 16.02 157.2V128h100.4C132.3 128 147.6 121.2 158.2 109.3c2.941-3.297 2.66-8.344-.6258-11.3c-3.286-2.906-8.324-2.656-11.33 .6406C138.7 107.1 127.8 112 116.4 112H16.02V88c0-39.7 32.36-72 72.1-72h68.62L91.84 57.25C88.09 59.63 86.99 64.56 89.37 68.3c2.378 3.719 7.385 4.797 11.05 2.453l88.12-56c3.004-1.906 4.412-5.578 3.411-8.984C190.9 2.344 187.8 0 184.2 0h-96.13C39.52 0 0 39.47 0 88v69.17c0 14.52 7.886 27.91 20.62 34.97l84.13 46.68C94.49 250.9 86.46 264.7 81.1 280H55.64c-3.724 0-7.448-.875-10.76-2.531L19.59 264.8C15.74 262.9 10.86 264.5 8.856 268.4C6.884 272.4 8.48 277.2 12.45 279.2L37.74 291.8C43.25 294.5 49.44 296 55.64 296h20.49c-1.848 8.764-2.964 17.82-2.964 27.14c0 5.67 1.74 11.01 4.208 16l-8.686 2.891c-5.883 1.984-11.3 5.328-15.61 9.656l-26.69 26.66c-3.129 3.125-3.129 8.188 0 11.31C27.94 391.2 29.98 392 32.04 392c2.065 0 4.099-.7813 5.664-2.344l26.69-26.67c2.597-2.594 5.852-4.594 9.388-5.781l13.8-4.592l43.41 43.35l-30.26 10.07c-5.883 1.984-11.3 5.328-15.61 9.656l-26.69 26.66c-3.129 3.125-3.129 8.188 0 11.31C59.99 455.2 62.02 456 64.09 456c2.065 0 4.099-.7813 5.664-2.344l26.69-26.67c2.597-2.594 5.852-4.594 9.388-5.781l37.83-12.59L171 435.9L149 447.9c-12.86 7.016-20.87 20.47-20.87 35.11V504c0 4.422 3.599 8 8.011 8s8.011-3.578 8.011-8v-21c0-8.781 4.819-16.86 12.55-21.08l29.82-16.25C190.3 446.1 194 448 198.1 448H314.4c3.886 0 7.588-1.049 11.22-2.229l29.66 16.15c7.729 4.203 12.52 12.28 12.52 21.08V504c0 4.422 3.599 8 8.011 8s8.011-3.578 8.011-8v-21c0-14.66-7.979-28.11-20.84-35.11l-21.54-11.73l27.41-27.38l37.32 12.42c3.536 1.172 6.79 3.172 9.388 5.797l26.69 26.66C443.8 455.2 445.8 456 447.9 456c2.065 0 4.099-.7813 5.664-2.344c3.129-3.125 3.129-8.188 0-11.31l-26.69-26.64c-4.35-4.359-9.763-7.719-15.65-9.688l-29.71-9.889l43.4-43.34l13.28 4.42c3.536 1.172 6.79 3.172 9.388 5.797l26.69 26.66C475.9 391.2 477.9 392 479.1 392s4.099-.7813 5.664-2.344c3.129-3.125 3.129-8.188 0-11.31l-26.69-26.64c-4.35-4.359-9.763-7.719-15.65-9.688l-8.089-2.691c2.531-5.041 4.254-10.44 4.254-16.19c0-9.312-1.039-18.37-2.887-27.14h19.83c6.227 0 12.27-1.422 17.93-4.219l25.25-12.62c3.943-1.984 5.539-6.781 3.567-10.73c-1.971-3.938-6.79-5.5-10.76-3.578l-25.22 12.61C463.8 279.1 460.1 280 456.4 280h-24.81c-5.392-15.37-13.5-29.28-23.86-41.44l83.68-46.42C504.1 185.1 512 171.7 512 157.2zM423.4 323.1c0 5.494-2.144 10.66-6.034 14.55l-88.41 88.29C325.1 429.9 319.9 432 314.4 432H198.3c-5.502 0-10.67-2.141-14.56-6.027l-88.41-88.29c-3.89-3.887-6.033-9.053-6.033-14.55C89.26 259.7 140.1 208 204.6 208h103.6C371.7 208 423.4 259.7 423.4 323.1z"],
    "crate-apple": [512, 512, ["apple-crate"], "f6b1", "M167.8 63.78c2 .125 4.094 .2188 6.281 .2188c12.09 0 26.67-2.5 37.2-12.28c.1562-.125 .2813-.2656 .4219-.4063c12.2-13.13 12.81-33 12.08-43.69C223.5 3.637 220.4 .4646 216.4 .1833C205.8-.473 185.1 .0739 172.6 12.47C157.2 27.1 160.1 53.92 160.4 56.83C160.9 60.61 164 63.51 167.8 63.78zM183.8 23.97c6.453-6 16.3-7.703 24.22-7.953c-.3281 10.38-3.047 18.95-7.766 24.17C194.9 44.1 186.5 47.67 176 47.97C176.2 40.48 177.8 29.1 183.8 23.97zM360.3 63.78c1.984 .125 4.094 .2188 6.281 .2188c12.09 0 26.67-2.5 37.22-12.28c.1406-.125 .2813-.2656 .4219-.4219c12.2-13.13 12.8-33 12.06-43.67c-.2813-3.985-3.453-7.157-7.438-7.438c-10.7-.6719-30.44-.0938-43.73 12.28c-15.42 15.53-12.58 41.45-12.2 44.36C353.4 60.61 356.5 63.51 360.3 63.78zM376.3 23.97c6.484-6.047 16.64-7.657 24.22-7.938c-.3281 10.38-3.047 18.94-7.75 24.17c-5.328 4.797-13.77 7.469-24.22 7.766C368.7 40.48 370.3 29.1 376.3 23.97zM80 447.1c8.875 0 16-7.126 16-16c0-8.875-7.125-16-16-16S64 423.1 64 431.1C64 440.9 71.13 447.1 80 447.1zM480 223.8H32c-17.67 0-32 14.33-32 32v224.2C0 497.7 14.33 512 32 512h448c17.67 0 32-14.33 32-32V255.8C512 238.2 497.7 223.8 480 223.8zM496 479.1c0 8.823-7.178 16-16 16H32c-8.822 0-16-7.178-16-16V375.1h480V479.1zM496 359.1h-480V255.1C16 247.2 23.18 239.1 32 239.1h448c8.822 0 16 7.178 16 16V359.1zM432 287.1c-8.875 0-16 7.122-16 15.1s7.125 16 16 16S448 312.9 448 303.1S440.9 287.1 432 287.1zM80 287.1c-8.875 0-16 7.125-16 16s7.125 15.1 16 15.1S96 312.9 96 303.1S88.88 287.1 80 287.1zM432 447.1c8.875 0 16-7.125 16-16c0-8.875-7.125-16-16-16S416 423.1 416 431.1C416 440.9 423.1 447.1 432 447.1zM302.7 89.91c15.7 2.688 32.97 8.547 45.06 15.31l3.906 2.172l3.891-2.172c20.53-11.44 52-19.33 67.2-16.74c36.98 6.641 49.23 51.19 48.48 87.33c-.0938 4.422 3.422 8.078 7.828 8.172c4.344 0 8.078-3.469 8.172-7.828c.875-42.45-14.75-95-61.77-103.4c-19.91-3.25-52.61 5.703-73.81 16.45c-13.3-6.766-30.25-12.3-46.28-15.05c-4.25-.7188-8.484 2.188-9.234 6.547C295.4 85.01 298.3 89.16 302.7 89.91zM32.7 183.1C37.13 183.9 40.64 180.2 40.55 175.8C39.81 139.7 52.03 95.12 88.81 88.5C103.9 85.89 135.6 93.75 156.1 105.2L160 107.4l3.891-2.172C184.4 93.78 216 85.89 231.1 88.48c36.91 6.641 49.13 51.19 48.38 87.33c-.0938 4.422 3.422 8.078 7.828 8.172c4.344 0 8.078-3.469 8.172-7.828c.875-42.45-14.72-95-61.64-103.4C213.9 69.47 181.2 78.42 160 89.17C138.8 78.42 106.2 69.51 86.08 72.73c-46.8 8.438-62.39 60.97-61.53 103.4C24.64 180.6 27.7 183.7 32.7 183.1z"],
    "crate-empty": [512, 512, [], "e151", "M80 447.1c8.875 0 16-7.126 16-16c0-8.875-7.125-16-16-16S64 423.1 64 431.1C64 440.9 71.13 447.1 80 447.1zM480 223.8H32c-17.67 0-32 14.33-32 32v224.2C0 497.7 14.33 512 32 512h448c17.67 0 32-14.33 32-32V255.8C512 238.2 497.7 223.8 480 223.8zM496 479.1c0 8.823-7.178 16-16 16H32c-8.822 0-16-7.178-16-16V375.1h480V479.1zM496 359.1h-480V255.1C16 247.2 23.18 239.1 32 239.1h448c8.822 0 16 7.178 16 16V359.1zM432 287.1c-8.875 0-16 7.122-16 15.1s7.125 16 16 16S448 312.9 448 303.1S440.9 287.1 432 287.1zM80 287.1c-8.875 0-16 7.125-16 16s7.125 15.1 16 15.1S96 312.9 96 303.1S88.88 287.1 80 287.1zM432 447.1c8.875 0 16-7.125 16-16c0-8.875-7.125-16-16-16S416 423.1 416 431.1C416 440.9 423.1 447.1 432 447.1z"],
    "credit-card": [576, 512, [62083, 128179, "credit-card-alt"], "f09d", "M96 360C96 355.6 99.58 352 104 352H184C188.4 352 192 355.6 192 360C192 364.4 188.4 368 184 368H104C99.58 368 96 364.4 96 360zM224 360C224 355.6 227.6 352 232 352H376C380.4 352 384 355.6 384 360C384 364.4 380.4 368 376 368H232C227.6 368 224 364.4 224 360zM0 96C0 60.65 28.65 32 64 32H512C547.3 32 576 60.65 576 96V416C576 451.3 547.3 480 512 480H64C28.65 480 0 451.3 0 416V96zM16 96V128H560V96C560 69.49 538.5 48 512 48H64C37.49 48 16 69.49 16 96zM16 144V240H560V144H16zM16 416C16 442.5 37.49 464 64 464H512C538.5 464 560 442.5 560 416V256H16V416z"],
    "credit-card-blank": [576, 512, [], "f389", "M96 360C96 355.6 99.58 352 104 352H184C188.4 352 192 355.6 192 360C192 364.4 188.4 368 184 368H104C99.58 368 96 364.4 96 360zM224 360C224 355.6 227.6 352 232 352H376C380.4 352 384 355.6 384 360C384 364.4 380.4 368 376 368H232C227.6 368 224 364.4 224 360zM0 96C0 60.65 28.65 32 64 32H512C547.3 32 576 60.65 576 96V416C576 451.3 547.3 480 512 480H64C28.65 480 0 451.3 0 416V96zM16 96V416C16 442.5 37.49 464 64 464H512C538.5 464 560 442.5 560 416V96C560 69.49 538.5 48 512 48H64C37.49 48 16 69.49 16 96z"],
    "credit-card-front": [576, 512, [], "f38a", "M96 296C96 291.6 99.58 288 104 288H472C476.4 288 480 291.6 480 296C480 300.4 476.4 304 472 304H104C99.58 304 96 300.4 96 296zM96 360C96 355.6 99.58 352 104 352H184C188.4 352 192 355.6 192 360C192 364.4 188.4 368 184 368H104C99.58 368 96 364.4 96 360zM376 352C380.4 352 384 355.6 384 360C384 364.4 380.4 368 376 368H232C227.6 368 224 364.4 224 360C224 355.6 227.6 352 232 352H376zM384 136C384 113.9 401.9 96 424 96H472C494.1 96 512 113.9 512 136V168C512 190.1 494.1 208 472 208H424C401.9 208 384 190.1 384 168V136zM400 136V168C400 181.3 410.7 192 424 192H472C485.3 192 496 181.3 496 168V136C496 122.7 485.3 112 472 112H424C410.7 112 400 122.7 400 136zM512 32C547.3 32 576 60.65 576 96V416C576 451.3 547.3 480 512 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H512zM512 48H64C37.49 48 16 69.49 16 96V416C16 442.5 37.49 464 64 464H512C538.5 464 560 442.5 560 416V96C560 69.49 538.5 48 512 48z"],
    "cricket-bat-ball": [512, 512, [127951, "cricket"], "f449", "M431.1 352c-44.25 0-80 35.75-80 79.1S387.7 512 431.1 512c44.25 0 80-35.75 80-79.1S476.2 352 431.1 352zM431.1 496c-35.29 0-64-28.71-64-64s28.71-64 64-64c35.29 0 64 28.71 64 64S467.3 496 431.1 496zM419 238c0-9.285-3.625-18.02-10.19-24.59l-27.62-27.64l123.9-123.1C509.7 57.25 512 51.23 512 45.21s-2.289-12.04-6.867-16.62l-21.94-21.93c-4.406-4.439-10.49-6.659-16.59-6.659s-12.2 2.22-16.63 6.659l-123.9 123.1l-27.59-27.62c-6.777-6.78-15.68-10.16-24.58-10.16c-8.912 0-17.82 3.392-24.61 10.16L11.62 340.7c-7.483 7.514-11.62 17.18-11.62 26.92C.0004 474.1 111.5 512 144.2 512c9.781 0 19.47-4.143 26.97-11.65l237.6-237.7C415.4 256.1 419 247.3 419 238zM312 336.8l-152.1 152.2c-4.474 4.476-10.47 6.937-15.9 6.937c-93.03 0-127.1-99.52-127.1-128.3c0-5.479 2.541-11.22 6.927-15.63L208 166.9V296c0 4.422 3.594 8 8 8h128.8L312 336.8zM397.5 251.3l-37.5 37.52V288L224 287.1L224 150.9l36.56-36.58c3.656-3.658 8.471-5.486 13.28-5.486s9.625 1.828 13.28 5.486l38.91 38.94l135.3-135.3c1.411-1.427 3.364-2.142 5.315-2.142c1.94 0 3.879 .7075 5.281 2.126l21.94 21.93C495.3 41.37 496 43.29 496 45.21s-.7266 3.846-2.18 5.308l-135.3 135.3l38.94 38.96c3.562 3.549 5.5 8.27 5.5 13.27S401.1 247.8 397.5 251.3z"],
    "croissant": [512, 512, [129360], "f7f6", "M507.4 187.2c-14.56-33.74-34.56-65.08-59.26-93.32c3.21-18.17-5.67-30.91-14.03-37.13c-53.64-40.89-115.1-52.42-185.3-35.01C240.5 8.504 226.2 0 209.9 0C206.1 0 202.3 .4687 198.6 1.393C101.3 25.67 25.67 101.2 1.383 198.6C-3.594 218.5 5.236 238.7 21.88 249.1c-17.33 69.21-5.783 131.5 35 184.1c6.366 8.549 19.06 17.36 37.23 14.13c28.2 24.67 59.52 44.66 93.28 59.23C194.5 510.5 201.9 512 209.1 512c10.88 0 21.3-3.438 29.58-10.16c14.06-11.2 20.2-29.73 16.06-48.38l-24.03-107.3c3.732-4 6.816-8.686 8.76-14.87c0 0 3.043-9.246 4.75-14.3c12.06-.1211 23.85-5.027 32.4-13.58l26.82-26.82c8.824-8.824 13.42-20.56 13.47-32.56c5.084-1.719 14.37-4.773 14.37-4.773c6.19-1.943 10.88-5.027 14.87-8.76l107.3 24.03c3.844 .8594 7.688 1.266 11.47 1.266c14.52 0 28.02-6.172 36.86-17.28C512.1 224.7 515.1 205 507.4 187.2zM84.96 433.1c-6.031-.7813-11.88-4.078-15.31-8.672c-37.22-48.86-48.02-105.7-32.84-168.1l191.4 58.89c-1.848 5.49-3.217 9.639-3.859 12.2c-1.547 4.969-3.891 8.344-6.984 10.75l-116.3 91.17C95.2 433.3 89.14 433.6 84.96 433.1zM228.7 489.4c-9.203 7.422-22.55 8.672-34.91 3.359c-29.84-12.89-57.61-30.34-82.98-51.53c.0938-.0723 .2109-.0957 .3027-.1699l105.9-83.03l22.16 98.96C241.9 469.6 237.9 481.1 228.7 489.4zM292.1 265.3l-26.82 26.82c-4.396 4.394-15.74 12.15-30.38 7.594L37.44 238.9C22.01 234.2 12.99 218.2 16.91 202.5c22.79-91.37 94.23-162.8 185.6-185.6c16.83-4.204 32.05 6.275 36.43 20.53l60.76 197.5C303 245.6 300.1 257.3 292.1 265.3zM326.5 223.1c-2.561 .6426-6.652 2.201-12.15 4.053L255.4 36.6c63.27-15.23 120.1-4.402 169.1 32.91c4.531 3.375 7.828 9.203 8.609 15.23c.5156 4.094 .1406 10.22-4.672 16.23L337.3 217.2C334.9 220.3 331.5 222.4 326.5 223.1zM489.3 228.5c-7.328 9.266-19.7 13.23-32.36 10.41l-98.97-22.16l82.99-105.8c.0918-.1152 .1055-.2656 .1973-.3809c21.21 25.39 38.68 53.17 51.55 82.99C498.1 205.9 496.8 219.3 489.3 228.5z"],
    "crop": [512, 512, [], "f125", "M416 400H504C508.4 400 512 403.6 512 408C512 412.4 508.4 416 504 416H416V504C416 508.4 412.4 512 408 512C403.6 512 400 508.4 400 504V123.3L123.3 400H352C356.4 400 360 403.6 360 408C360 412.4 356.4 416 352 416H120C106.7 416 96 405.3 96 392V112H8C3.582 112 0 108.4 0 104C0 99.58 3.582 96 8 96H96V8C96 3.582 99.58 .0001 104 .0001C108.4 .0001 112 3.582 112 8V388.7L388.7 112H160C155.6 112 152 108.4 152 104C152 99.58 155.6 96 160 96H404.7L498.3 2.343C501.5-.781 506.5-.781 509.7 2.343C512.8 5.467 512.8 10.53 509.7 13.66L416 107.3V400z"],
    "crop-simple": [512, 512, ["crop-alt"], "f565", "M112 376C112 389.3 122.7 400 136 400H352C356.4 400 360 403.6 360 408C360 412.4 356.4 416 352 416H136C113.9 416 96 398.1 96 376V112H8C3.582 112 0 108.4 0 104C0 99.58 3.582 96 8 96H96V8C96 3.582 99.58 0 104 0C108.4 0 112 3.582 112 8V376zM400 136C400 122.7 389.3 112 376 112H160C155.6 112 152 108.4 152 104C152 99.58 155.6 96 160 96H376C398.1 96 416 113.9 416 136V400H504C508.4 400 512 403.6 512 408C512 412.4 508.4 416 504 416H416V504C416 508.4 412.4 512 408 512C403.6 512 400 508.4 400 504V136z"],
    "cross": [384, 512, [128327, 10013], "f654", "M351.1 128h-96V32c0-17.62-14.37-32-31.1-32H160C142.4 0 127.1 14.38 127.1 32v96h-96C14.37 128-.0008 142.4-.0008 160v64c0 17.62 14.38 32 32 32h96v224c0 17.62 14.38 32 32 32h64c17.62 0 31.1-14.38 31.1-32V256h96c17.62 0 31.1-14.38 31.1-32V160C383.1 142.4 369.6 128 351.1 128zM367.1 224c0 8.822-7.178 16-16 16h-112V480c0 8.822-7.178 16-16 16h-64c-8.822 0-16-7.178-16-16V240h-112c-8.822 0-16-7.178-16-16V160c0-8.822 7.178-16 16-16h112V32c0-8.822 7.178-16 16-16h64c8.822 0 16 7.178 16 16v112h112c8.822 0 16 7.178 16 16V224z"],
    "crosshairs": [512, 512, [], "f05b", "M296 256C296 278.1 278.1 296 256 296C233.9 296 216 278.1 216 256C216 233.9 233.9 216 256 216C278.1 216 296 233.9 296 256zM256 232C242.7 232 232 242.7 232 256C232 269.3 242.7 280 256 280C269.3 280 280 269.3 280 256C280 242.7 269.3 232 256 232zM264 48.15C372.5 52.25 459.7 139.5 463.8 248H504C508.4 248 512 251.6 512 256C512 260.4 508.4 264 504 264H463.8C459.7 372.5 372.5 459.7 264 463.8V504C264 508.4 260.4 512 256 512C251.6 512 248 508.4 248 504V463.8C139.5 459.7 52.25 372.5 48.15 264H8C3.582 264 0 260.4 0 256C0 251.6 3.582 248 8 248H48.15C52.25 139.5 139.5 52.25 248 48.15V8C248 3.582 251.6 0 256 0C260.4 0 264 3.582 264 8V48.15zM120 264H64.16C68.25 363.7 148.3 443.8 248 447.8V392C248 387.6 251.6 384 256 384C260.4 384 264 387.6 264 392V447.8C363.7 443.8 443.8 363.7 447.8 264H392C387.6 264 384 260.4 384 256C384 251.6 387.6 248 392 248H447.8C443.8 148.3 363.7 68.25 264 64.16V120C264 124.4 260.4 128 256 128C251.6 128 248 124.4 248 120V64.16C148.3 68.25 68.25 148.3 64.16 248H120C124.4 248 128 251.6 128 256C128 260.4 124.4 264 120 264z"],
    "crosshairs-simple": [512, 512, [], "e59f", "M256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM264 16.13V120C264 124.4 260.4 128 256 128C251.6 128 248 124.4 248 120V16.13C121.8 20.26 20.26 121.8 16.13 248H120C124.4 248 128 251.6 128 256C128 260.4 124.4 264 120 264H16.13C20.26 390.2 121.8 491.7 248 495.9V392C248 387.6 251.6 384 256 384C260.4 384 264 387.6 264 392V495.9C390.2 491.7 491.7 390.2 495.9 264H392C387.6 264 384 260.4 384 256C384 251.6 387.6 248 392 248H495.9C491.7 121.8 390.2 20.26 264 16.13z"],
    "crow": [640, 512, [], "f520", "M424 96C424 87.16 431.2 80 440 80C448.8 80 456 87.16 456 96C456 104.8 448.8 112 440 112C431.2 112 424 104.8 424 96zM352 88C352 39.4 391.4 0 440 0C474.2 0 503.8 19.51 518.4 48H568C607.8 48 640 80.24 640 120L528 148V192C528 277.3 472.4 349.6 395.4 374.6L447.4 500.1C449.1 505 447.1 509.7 443 511.4C438.1 513.1 434.3 511.1 432.6 507L379.9 378.1C365.8 382.3 351.1 384 336 384H303.2L351.4 500.1C353.1 505 351.1 509.7 347 511.4C342.1 513.1 338.3 511.1 336.6 507L285.9 384H136.1L10.11 415.7C6.996 416.6 3.542 415.5 1.531 412.7C-1.068 409.1-.278 404.1 3.295 401.5L352 147.9L352 88zM528 131.5L622.7 107.8C617.1 82.76 594.8 64 568 64H524.7C526.8 71.63 528 79.68 528 88V131.5zM512 192V88C512 48.24 479.8 16 440 16C400.2 16 368 48.24 368 88V176C368 264.3 307.9 341.3 222.2 362.7L200.1 368H336C433.2 368 512 289.2 512 192H512zM218.4 347.2C296.9 327.5 352 256.1 352 176V167.7L46 390.3L218.4 347.2z"],
    "crown": [576, 512, [128081], "f521", "M536 96c-22.09 0-40 17.91-40 40c0 8.998 3.521 16.89 8.537 23.57l-89.63 71.7c-5.955 4.764-12.99 7.019-19.94 7.019c-11.61 0-22.98-6.296-28.68-17.7l-57.6-115.2C320 98.34 327.1 86.34 327.1 72C327.1 49.91 310.1 32 288 32S247.1 49.91 247.1 72c0 14.34 7.963 26.34 19.3 33.4L209.7 220.6C204 231.1 192.6 238.3 181 238.3c-6.947 0-13.98-2.255-19.94-7.019l-89.63-71.7C76.48 152.9 79.1 144.1 79.1 136c0-22.09-17.91-40-40-40s-40 17.91-40 40s17.91 40 40 40c.248 0 .457-.1164 .7051-.1203l50.52 277.8C93.99 468.9 107.2 480 122.7 480h330.6c15.46 0 28.72-11.06 31.48-26.27l50.52-277.9C535.5 175.9 535.8 176 536 176C558.1 176 576 158.1 576 136S558.1 96 536 96zM263.1 72c0-13.23 10.77-24 24-24s24 10.77 24 24S301.2 96 287.1 96S263.1 85.23 263.1 72zM39.1 160C26.77 160 15.1 149.2 15.1 136S26.77 112 39.1 112s24 10.77 24 24S53.23 160 39.1 160zM469 450.9C467.7 458.5 461 464 453.3 464H122.7c-7.738 0-14.36-5.525-15.74-13.14L56.33 172.3c1.109-.5 1.932-1.418 2.984-2.012l91.78 73.43C159.7 250.7 170.1 254.3 181 254.3c18.33 0 34.8-10.17 42.99-26.54l58.44-116.9C284.3 111.2 286 112 287.1 112s3.658-.8457 5.551-1.121l58.44 116.9c8.186 16.37 24.66 26.54 42.99 26.54c10.97 0 21.32-3.641 29.93-10.53l91.78-73.43c1.053 .5938 1.875 1.512 2.984 2.012L469 450.9zM535.1 160c-13.23 0-24-10.77-24-24s10.77-24 24-24s24 10.77 24 24S549.2 160 535.1 160z"],
    "crutch": [512, 512, [], "f7f7", "M502.6 168.1l-159.6-159.5C336.7 3.151 328.5 0 320.2 0c-8.193 0-16.39 3.103-22.67 9.316c-12.68 12.54-12.73 33.1-.1256 45.71l10.12 10.12l-119.2 119.2C175.6 197.1 166.3 213.1 161.6 230.5l-40.74 149.4l-118.5 118.5c-3.125 3.125-3.125 8.188 0 11.31C3.906 511.2 5.953 512 7.1 512s4.094-.7813 5.656-2.344l118.5-118.5l149.4-40.74c17.42-4.75 33.39-14.02 46.17-26.8l119.2-119.2l10.12 10.12C463.3 220.9 471.5 224 479.7 224c8.268 0 16.53-3.164 22.83-9.49C515.1 201.9 515.1 181.5 502.6 168.1zM277.3 334.1l-137.9 37.61l37.61-137.9c4.016-14.75 11.86-28.27 22.67-39.08l8.312-8.312L324.7 304l-8.312 8.312C305.6 323.1 292 330.1 277.3 334.1zM335.1 292.7L219.3 176l99.54-99.54l116.7 116.7L335.1 292.7zM491.2 203.2c-6.326 6.358-16.59 6.37-22.93 .0313l-159.6-159.5c-6.33-6.326-6.322-16.7 .0605-23.02c6.282-6.214 16.51-6.327 22.9 .0625l159.6 159.5C497.6 186.6 497.6 196.9 491.2 203.2z"],
    "crutches": [640, 512, [], "f7f8", "M398 386.7l-17.78 4.85l118.1 118.1C499.9 511.2 501.1 512 503.1 512c4.57 0 8-3.737 8-8c0-2.047-.7813-4.094-2.344-5.656L398 386.7zM224.4 347.9l4.211-15.44c-12.28-4.367-23.73-10.88-32.98-20.12L76.45 193.1l116.7-116.7l93.42 93.42c2.354-2.766 4.609-5.613 7.186-8.189l3.625-3.625L204.5 65.15l10.12-10.12c6.28-6.28 9.418-14.54 9.418-22.79C223.1 6.953 200.9 0 191.8 0C183.5 0 175.3 3.149 168.1 9.442L9.429 168.1c-6.285 6.284-9.429 14.52-9.429 22.76c0 8.208 3.122 16.42 9.366 22.7c6.293 6.326 14.62 9.553 22.89 9.553c8.238 0 16.48-3.143 22.76-9.428l10.12-10.12l119.2 119.2C195.5 334.8 209.4 342.7 224.4 347.9zM43.71 203.3C40.65 206.3 36.58 208 32.26 208c-8.908 0-16.24-7.239-16.24-16.25c0-4.147 1.577-8.294 4.73-11.45l159.6-159.5C183.4 17.69 187.5 16 191.8 16C200.6 16 208 23.11 208 32.23c0 4.35-1.679 8.426-4.731 11.48L43.71 203.3zM639.1 191.7c0-8.239-3.143-16.48-9.428-22.76l-159.6-159.5C464.7 3.151 456.5 0 448.2 0c-9.228 0-32.21 7.174-32.21 32.23c0 8.255 3.137 16.51 9.418 22.79l10.12 10.12l-119.2 119.2C303.6 197.1 294.3 213.1 289.6 230.5l-40.74 149.4l-118.5 118.5C128.8 499.9 127.1 501.1 127.1 504c0 4.57 3.737 8 8 8c2.047 0 4.094-.7813 5.656-2.344l118.5-118.5l149.4-40.74c17.42-4.75 33.39-14.02 46.17-26.8l119.2-119.2l10.12 10.12c6.287 6.285 14.53 9.428 22.76 9.428c8.268 0 16.53-3.164 22.83-9.49C636.8 208.2 639.1 199.1 639.1 191.7zM444.4 312.3c-10.81 10.81-24.33 18.66-39.08 22.67l-137.9 37.61l37.61-137.9c4.016-14.75 11.86-28.27 22.67-39.08l8.312-8.312L452.7 304L444.4 312.3zM463.1 292.7L347.3 176l99.54-99.54l116.7 116.7L463.1 292.7zM623.1 191.7c0 8.673-6.979 16.28-16.23 16.28c-4.142 0-8.285-1.582-11.45-4.745l-159.6-159.5c-3.157-3.155-4.737-7.317-4.737-11.48c0-12.67 11.52-16.23 16.23-16.23c4.133 0 8.278 1.569 11.47 4.758l159.6 159.5C622.4 183.4 623.1 187.6 623.1 191.7z"],
    "cruzeiro-sign": [384, 512, [], "e152", "M176 263.1C176 259.6 179.6 255.1 184 255.1C188.4 255.1 192 259.6 192 263.1V464H176V263.1zM248 271.1C217.1 271.1 192 297.1 192 328H176C176 288.2 208.2 255.1 248 255.1C270.7 255.1 292 266.7 305.6 284.8L310.4 291.2C313.1 294.7 312.3 299.7 308.8 302.4C305.3 305.1 300.3 304.3 297.6 300.8L292.8 294.4C282.2 280.3 265.6 271.1 248 271.1zM228.8 47.1C111.1 47.1 16 141.3 16 255.1C16 370.7 111.1 464 228.8 464C283.4 464 333.1 443.9 370.7 410.1C374.1 408.1 379.1 408.4 382 411.7C384.9 415.1 384.6 420.1 381.3 423C340.8 458.5 287.3 480 228.8 480C102.6 480 0 379.9 0 256C0 132.1 102.6 32 228.8 32C287.3 32 340.8 53.54 381.3 88.98C384.6 91.89 384.9 96.95 382 100.3C379.1 103.6 374.1 103.9 370.7 101C333.1 68.06 283.4 48 228.8 48V47.1z"],
    "crystal-ball": [448, 512, [], "e362", "M69.52 374.8c3.256-2.91 3.508-8.014 .5332-11.33c-34.82-38.34-54.02-88.02-54.02-139.9c0-114.9 93.5-208.3 208.4-208.3s207.5 93.46 207.5 208.3c0 51.87-19.19 101.6-54.02 139.9c-2.975 3.287-2.723 8.357 .5332 11.33c1.535 1.377 3.477 2.066 5.387 2.066c2.191 0 4.352-.877 5.949-2.631C427.3 332.9 448 279.3 448 223.5C448 99.76 347.3 0 223.5 0C99.79 0 0 99.82 0 223.5c0 55.84 20.67 109.4 58.21 150.8C61.22 377.6 66.26 376.9 69.52 374.8zM288.6 295.6c4.43 0 8.016-3.6 8.016-8.014V231.5h56.11c4.432 0 8.018-3.6 8.018-8.014c0-4.412-3.586-8.012-8.018-8.012h-56.11V159.4c0-4.412-3.586-8.014-8.016-8.014c-4.432 0-8.016 3.602-8.016 8.014v56.09h-56.12c-4.43 0-8.016 3.6-8.016 8.012c0 4.414 3.586 8.014 8.016 8.014h56.12v56.09C280.6 292 284.2 295.6 288.6 295.6zM160.3 167.4c4.432 0 8.016-3.6 8.016-8.014V135.4H192.4c4.432 0 8.018-3.6 8.018-8.014S196.8 119.4 192.4 119.4H168.3V95.31c0-4.414-3.584-8.014-8.016-8.014S152.3 90.9 152.3 95.31v24.04H128.3c-4.432 0-8.016 3.6-8.016 8.014s3.584 8.014 8.016 8.014h24.05v24.04C152.3 163.8 155.9 167.4 160.3 167.4zM377.7 403.9c-1.471-2.41-4.039-3.852-6.857-3.852H78.06c-2.787 0-5.387 1.441-6.826 3.852l-43.65 71.52c-4.604 7.512-4.76 16.59-.4395 24.29C31.47 507.4 39.3 512 48.13 512h351.8c8.799 0 16.63-4.602 20.95-12.27c4.32-7.699 4.164-16.78-.4395-24.29L377.7 403.9zM406.9 491.9c.2207 1.283-1.91 4.1-7.014 4.1H48.13c-4.229 0-6.295-2.848-6.982-4.1c-.6895-1.221-2.068-4.477 .125-8.107l41.3-67.64h283.8l41.27 67.64C409.8 487.4 408.4 490.7 406.9 491.9z"],
    "cube": [512, 512, [], "f1b2", "M242.6 4.258C251.3 1.187 260.7 1.187 269.4 4.258L485.4 80.9C501.3 86.57 512 101.7 512 118.6V393.4C512 410.3 501.3 425.4 485.4 431.1L269.4 507.7C260.7 510.8 251.3 510.8 242.6 507.7L26.62 431.1C10.66 425.4 0 410.3 0 393.4V118.6C0 101.7 10.66 86.57 26.62 80.9L242.6 4.258zM264 19.34C258.8 17.49 253.2 17.49 247.1 19.34L31.97 95.98C27.06 97.72 22.99 100.1 20.19 105.1L256 199.4L491.8 105.1C489 100.1 484.9 97.72 480 95.98L264 19.34zM31.97 416L248 492.7C248 492.7 247.1 492.7 248 492.7V213.4L16 120.6V393.4C16 403.6 22.4 412.6 31.97 416zM264 492.7C263.1 492.7 264 492.7 264 492.7L480 416C489.6 412.6 496 403.6 496 393.4V120.6L264 213.4V492.7z"],
    "cubes": [576, 512, [], "f1b3", "M144 65.83C144 55.69 150.4 46.64 159.9 43.23L274.6 2.327C283.3-.7755 292.7-.7755 301.4 2.327L416.1 43.23C425.6 46.64 432 55.69 432 65.83V218.5L559.7 261.5C569.4 264.8 576 273.1 576 284.3V434.5C576 447.7 567.9 459.5 555.7 464.3L443.4 508.2C436.1 511.1 428 511.2 420.7 508.5L288 459.4L155.3 508.5C147.1 511.2 139.9 511.1 132.6 508.2L20.34 464.3C8.071 459.5 0 447.7 0 434.5V284.3C0 273.1 6.574 264.8 16.34 261.5L144 218.5V65.83zM168.8 57.05L288 102.7L407.2 57.05L296.1 17.4C290.8 15.53 285.2 15.53 279.9 17.4L168.8 57.05zM160 218.9L280 268.8V116.8L160 70.8V218.9zM296 291.8V445.3L424 492.6V341.6L296 291.8zM24.79 275.6L144.2 327.5L265.8 280.2L151.7 232.8L24.79 275.6zM26.17 449.4L136 492.4V341.4L16 289.2V434.5C16 441.1 20.04 447 26.17 449.4zM280 445.3V291.8L152 341.6V492.6L280 445.3zM296 116.8V268.8L416 218.9V70.8L296 116.8zM431.8 327.5L551.2 275.6L424.3 232.8L310.2 280.2L431.8 327.5zM560 434.5V289.2L440 341.4V492.4L549.8 449.4C555.1 447 560 441.1 560 434.5z"],
    "cubes-stacked": [448, 512, [], "e4e6", "M288 32C305.7 32 320 46.33 320 64V128C320 145.7 305.7 160 288 160H224C206.3 160 192 145.7 192 128V64C192 46.33 206.3 32 224 32H288zM288 48H224C215.2 48 208 55.16 208 64V128C208 136.8 215.2 144 224 144H288C296.8 144 304 136.8 304 128V64C304 55.16 296.8 48 288 48zM70.96 250.7C62.12 235.4 67.37 215.8 82.67 206.1L138.1 174.1C153.4 166.1 172.1 171.4 181.8 186.7L213.8 242.1C222.6 257.4 217.4 276.1 202.1 285.8L146.7 317.8C131.4 326.6 111.8 321.4 102.1 306.1L70.96 250.7zM84.81 242.7L116.8 298.1C121.2 305.8 131 308.4 138.7 303.1L194.1 271.1C201.7 267.5 204.4 257.7 199.1 250.1L167.1 194.7C163.5 187 153.7 184.4 146.1 188.8L90.67 220.8C83.02 225.2 80.4 235 84.81 242.7V242.7zM256 224C256 206.3 270.3 192 288 192H352C369.7 192 384 206.3 384 224V288C384 305.7 369.7 320 352 320H288C270.3 320 256 305.7 256 288V224zM288 208C279.2 208 272 215.2 272 224V288C272 296.8 279.2 304 288 304H352C360.8 304 368 296.8 368 288V224C368 215.2 360.8 208 352 208H288zM320 384C320 366.3 334.3 352 352 352H416C433.7 352 448 366.3 448 384V448C448 465.7 433.7 480 416 480H352C334.3 480 320 465.7 320 448V384zM336 448C336 456.8 343.2 464 352 464H416C424.8 464 432 456.8 432 448V384C432 375.2 424.8 368 416 368H352C343.2 368 336 375.2 336 384V448zM256 352C273.7 352 288 366.3 288 384V448C288 465.7 273.7 480 256 480H192C174.3 480 160 465.7 160 448V384C160 366.3 174.3 352 192 352H256zM192 368C183.2 368 176 375.2 176 384V448C176 456.8 183.2 464 192 464H256C264.8 464 272 456.8 272 448V384C272 375.2 264.8 368 256 368H192zM0 384C0 366.3 14.33 352 32 352H96C113.7 352 128 366.3 128 384V448C128 465.7 113.7 480 96 480H32C14.33 480 0 465.7 0 448V384zM16 384V448C16 456.8 23.16 464 32 464H96C104.8 464 112 456.8 112 448V384C112 375.2 104.8 368 96 368H32C23.16 368 16 375.2 16 384z"],
    "cucumber": [512, 512, [129362], "e401", "M352.1 239.1c-8.828 0-16.01 7.174-16.01 16c0 8.824 7.178 16 16.01 16s16.01-7.176 16.01-16C368.1 247.2 360.1 239.1 352.1 239.1zM160.1 303.1c-8.828 0-16.01 7.176-16.01 16c0 8.826 7.18 16 16.01 16s16.01-7.174 16.01-16C176.1 311.2 168.9 303.1 160.1 303.1zM352.1 111.1c-8.828 0-16.01 7.174-16.01 16c0 8.824 7.178 16 16.01 16s16.01-7.176 16.01-16C368.1 119.2 360.1 111.1 352.1 111.1zM474.7 37.48C449.7 12.49 416.9 0 384.2 0c-32.78 0-65.56 12.49-90.54 37.48L169.2 161.8C166.3 160.9 163.3 159.1 160.1 159.1c-17.68 0-32.01 14.33-32.01 32c0 3.242 .9473 6.191 1.846 9.141L37.52 293.5c-50.02 50-50.02 131 0 181C62.49 499.5 95.29 512 128.1 512c31.01 0 61.83-11.59 86.24-33.98c3.131 1.023 6.32 1.977 9.797 1.977c17.68 0 32.01-14.33 32.01-32c0-3.242-.9473-6.191-1.844-9.141l184.8-184.7c2.949 .8965 5.9 1.846 9.145 1.846c17.68 0 32.01-14.33 32.01-32c0-3.475-.9531-6.664-1.977-9.797C524.3 163.1 523.4 86.13 474.7 37.48zM466.4 203.4c-3.902 4.258-5.209 10.29-3.414 15.78c.5996 1.838 1.186 3.723 1.186 4.83c0 8.822-7.182 16-16.01 16c-.7031 0-2.561-.5664-4.488-1.154c-1.533-.4648-3.1-.6914-4.654-.6914c-4.184 0-8.275 1.641-11.32 4.686l-184.8 184.7c-4.182 4.18-5.59 10.74-3.867 16.39c.457 1.494 1.023 3.355 1.023 4.062c0 8.822-7.18 16-16.01 16c-1.105 0-2.99-.5859-4.824-1.186c-1.631-.5332-3.307-.791-4.971-.791c-3.949 0-7.826 1.461-10.82 4.209C182.5 485.4 155.8 496 128.1 496c-29.94 0-58.07-11.65-79.22-32.8c-43.69-43.67-43.69-114.7 0-158.4l92.38-92.35c4.182-4.18 5.59-10.74 3.865-16.39C144.6 194.6 144.1 192.7 144.1 191.1c0-8.822 7.182-16 16.01-16c.707 0 2.568 .5664 4.49 1.152C166.1 177.6 167.7 177.8 169.2 177.8c4.182 0 8.273-1.643 11.32-4.688l124.4-124.4C326.1 27.64 354.2 16 384.2 16c29.94 0 58.07 11.64 79.22 32.79C505.7 91.14 507.1 159 466.4 203.4z"],
    "cup-straw": [384, 512, [129380], "e363", "M376 128h-173.8l23.45-93.83C228.4 23.47 237.1 16 249 16H280C284.4 16 288 12.42 288 8S284.4 0 280 0h-31c-18.41 0-34.34 12.45-38.81 30.3L185.8 128H8C3.594 128 0 131.6 0 136S3.594 144 8 144h24.67l28.82 331.5C63.3 496.3 80.42 512 101.3 512h181.3c20.92 0 38.05-15.7 39.86-36.55L351.3 144H376C380.4 144 384 140.4 384 136S380.4 128 376 128zM306.6 474.1C305.5 486.6 295.2 496 282.7 496H101.3c-12.55 0-22.83-9.422-23.92-21.92L48.72 144h286.6L306.6 474.1z"],
    "cup-straw-swoosh": [384, 512, [], "e364", "M376 128h-173.8l23.45-93.83C228.4 23.47 237.1 16 249 16H280C284.4 16 288 12.42 288 8S284.4 0 280 0h-31c-18.41 0-34.34 12.45-38.81 30.3L185.8 128H8C3.594 128 0 131.6 0 136S3.594 144 8 144h24.67l28.82 331.5C63.3 496.3 80.42 512 101.3 512h181.3c20.92 0 38.05-15.7 39.86-36.55L351.3 144H376C380.4 144 384 140.4 384 136S380.4 128 376 128zM306.6 474.1C305.5 486.6 295.2 496 282.7 496H101.3c-12.55 0-22.83-9.422-23.92-21.92L70.63 396h6.742c48.38 0 95.59-25.95 129.5-71.2C238.2 283 279.7 260 323.6 260h1.564L306.6 474.1zM326.6 244h-2.957c-48.38 0-95.59 25.95-129.5 71.2C162.8 356.1 121.3 380 77.38 380H69.24L48.72 144h286.6L326.6 244z"],
    "cup-togo": [448, 512, ["coffee-togo"], "f6c5", "M432 64H416l-23.12-46.25C387.4 6.875 376.4 0 364.3 0h-280.5C71.63 0 60.63 6.875 55.13 17.75L32 64H16C7.125 64 0 71.13 0 80v32C0 120.9 7.125 128 16 128h416C440.9 128 448 120.9 448 112v-32C448 71.13 440.9 64 432 64zM432 112h-416v-32h25.89l27.51-55.03C72.2 19.44 77.7 16 83.75 16h280.5c6.051 0 11.55 3.438 14.31 8.906L406.1 80H432V112zM392.7 160c-4.438-.2813-8.281 2.906-8.625 7.297L377.1 240H70.02l-6.055-72.67c-.375-4.391-4.281-7.531-8.625-7.297C50.94 160.4 47.66 164.3 48.03 168.7l25.66 307.9C75.31 496.5 92.14 512 112 512h223.9c19.91 0 36.73-15.55 38.36-35.38l25.66-307.1C400.3 164.3 397.1 160.4 392.7 160zM358.4 475.3C357.4 486.9 347.5 496 335.9 496H112.1c-11.62 0-21.5-9.094-22.47-20.72L84.69 416h278.6L358.4 475.3zM364.6 400H83.35L71.36 256h305.3L364.6 400z"],
    "cupcake": [448, 512, [129473], "e402", "M445.9 224.4C443.1 236.4 437.7 247.6 430 257.2C422.3 266.8 412.6 274.6 401.5 279.9C390.4 285.2 378.2 287.1 365.9 288H82.11C69.79 287.1 57.64 285.2 46.54 279.8C35.45 274.5 25.7 266.7 18.01 257.1C10.32 247.5 4.898 236.2 2.134 224.2C-.6287 212.2-.6594 199.8 2.045 187.7C5.503 173.4 12.64 160.3 22.74 149.6C32.84 138.9 45.56 130.1 59.64 126.7L95.2 117.7C97.98 100.7 106.8 85.18 119.9 74.04C133.1 62.89 149.8 56.82 167.1 56.9H200.4C203.9 56.9 207.2 55.88 210.1 53.98C212.9 52.07 215.1 49.36 216.4 46.2C217.7 43.03 218.1 39.55 217.4 36.19C216.7 32.83 215.1 29.75 212.7 27.33C210.4 25.09 208.9 22.24 208.3 19.13C207.7 16.02 207.1 12.8 209.2 9.874C210.4 6.947 212.5 4.446 215.1 2.688C217.7 .9305 220.8-.0049 223.1 .0009C256.4-.1185 287.7 11.93 311.6 33.77C335.6 55.61 350.5 85.64 353.3 117.9L389.5 127.1C403.4 131.4 415.9 139.3 425.8 149.1C435.7 160.7 442.7 173.7 446.1 187.9C448.8 199.9 448.7 212.4 445.9 224.4H445.9zM394.6 265.5C403.5 261.2 411.4 254.9 417.6 247.1C423.8 239.4 428.2 230.3 430.4 220.6C432.6 210.1 432.6 200.9 430.4 191.2C427.6 179.8 421.9 169.3 413.9 160.7C405.8 152.2 395.7 145.8 384.4 142.3L347.7 133.1C344.8 132.1 342.3 130.2 340.4 127.7C338.6 125.3 337.5 122.3 337.3 119.2C334.7 90.1 321.6 64.76 300.7 45.66C279.7 26.56 252.4 15.98 223.1 16C228.6 20.66 231.8 26.6 233.1 33.06C234.4 39.52 233.7 46.22 231.2 52.31C228.7 58.39 224.4 63.6 218.9 67.26C213.5 70.93 207 72.89 200.4 72.9H167.1C153.6 72.9 140.6 77.7 130.3 86.43C120 95.17 113.2 107.3 111 120.6C110.7 123.3 109.6 125.9 107.9 128C106.2 130.2 103.1 131.8 101.4 132.7L63.58 142.3C52.34 145.8 42.2 152.2 34.13 160.7C26.07 169.3 20.36 179.8 17.57 191.2C15.38 200.9 15.39 210.1 17.62 220.6C19.84 230.3 24.22 239.4 30.42 247.1C36.61 254.9 44.48 261.2 53.43 265.5C62.38 269.8 72.18 272 82.11 272H365.9C375.8 272 385.6 269.8 394.6 265.5H394.6zM380.3 314.7C381.2 315.2 382 315.1 382.6 316.8C383.3 317.7 383.7 318.7 383.9 319.7C384.2 320.8 384.2 321.9 383.1 322.9L357.9 480C356.4 488.1 351.8 497.1 344.8 502.9C337.9 508.8 329.1 512 319.1 512H128.2C119.1 512 110.3 508.8 103.3 502.9C96.39 497.1 91.75 488.1 90.24 480L63.1 322.9C63.82 321.9 63.85 320.8 64.09 319.7C64.33 318.7 64.78 317.7 65.4 316.9C66.02 315.1 66.81 315.3 67.71 314.7C68.62 314.1 69.63 313.8 70.69 313.6C72.8 313.3 74.97 313.8 76.71 315C78.46 316.3 79.64 318.2 79.1 320.3L106 477.3C106.9 482.5 109.6 487.3 113.7 490.7C117.7 494.1 122.9 496 128.2 496H151.4L127.1 321.1C127.7 318.9 128.3 316.8 129.6 315.1C130.9 313.4 132.8 312.3 134.9 312C137.1 311.7 139.2 312.3 140.9 313.6C142.6 314.9 143.7 316.8 143.1 318.9L167.5 496H215.1V320C215.1 317.9 216.8 315.8 218.3 314.3C219.8 312.8 221.9 312 223.1 312C226.1 312 228.2 312.8 229.7 314.3C231.2 315.8 231.1 317.9 231.1 320V496H280.4L303.1 318.9C304.1 317.9 304.5 316.9 305 315.1C305.5 315 306.2 314.2 307.1 313.6C307.9 312.1 308.9 312.5 309.9 312.2C310.9 311.9 312 311.9 313.1 312C314.1 312.1 315.1 312.5 316 313C316.1 313.5 317.8 314.2 318.4 315.1C319 315.9 319.5 316.9 319.8 317.9C320.1 318.9 320.1 320 319.1 321.1L296.8 496H319.1C325.3 495.1 330.4 494.1 334.4 490.6C338.4 487.2 341.1 482.4 341.9 477.2L368.1 320.2C368.5 318.1 369.6 316.2 371.4 315C373.1 313.8 375.2 313.3 377.3 313.6C378.4 313.8 379.4 314.1 380.3 314.7H380.3z"],
    "curling-stone": [576, 512, [129356, "curling"], "f44a", "M480 224l-.0001-8c0-30.88-25.12-56-56-56H191.1l0-56c0-30.88 25.12-56 56-56h160c4.406 0 8-3.578 8-8s-3.594-8-8-8h-160c-39.69 0-72 32.3-72 72L175.1 160h-24c-30.88 0-56 25.12-56 56L95.1 224c-53.02 0-96 42.98-96 96v64c0 53.02 42.98 96 96 96h384c53.02 0 96-42.98 96-96v-64C576 266.1 533 224 480 224zM111.1 216c0-22.06 17.94-40 40-40h272c22.06 0 40 17.94 40 40V224h-352V216zM559.1 384c0 44.11-35.89 80-80 80h-384c-44.11 0-80-35.89-80-80v-24h544V384zM15.1 344V320c0-44.11 35.89-80 80-80h384c44.11 0 80 35.89 80 80v24H15.1z"],
    "custard": [576, 512, [127854], "e403", "M573.7 386.3C575.2 387.8 576 389.9 576 392C575.1 406.8 570.1 421.1 559.6 431.6C549.1 442.1 534.8 447.1 520 448H56C41.15 447.1 26.92 442.1 16.42 431.6C5.923 421.1 .017 406.8 0 392C0 389.9 .8429 387.8 2.343 386.3C3.843 384.8 5.878 384 8 384C10.12 384 12.16 384.8 13.66 386.3C15.16 387.8 16 389.9 16 392C16.02 402.6 20.24 412.8 27.73 420.3C35.23 427.8 45.4 431.1 56 432H520C530.6 431.1 540.8 427.8 548.3 420.3C555.8 412.8 559.1 402.6 560 392C560 389.9 560.8 387.8 562.3 386.3C563.8 384.8 565.9 384 568 384C570.1 384 572.2 384.8 573.7 386.3zM65.36 364.4C64.19 362.6 63.78 360.5 64.19 358.4L119.8 107.9C122.5 95.44 129.3 84.3 139.2 76.31C149.1 68.33 161.5 63.98 174.2 64H401.8C414.6 63.95 426.9 68.28 436.9 76.27C446.8 84.26 453.7 95.42 456.4 107.9L511.8 358.1C512.1 359.2 512.1 360.3 511.1 361.3C511.8 362.4 511.4 363.4 510.9 364.3C510.3 365.2 509.6 365.1 508.7 366.6C507.8 367.2 506.8 367.7 505.8 367.9C504.7 368.1 503.7 368.2 502.6 367.1C501.5 367.8 500.5 367.4 499.7 366.8C498.8 366.2 497.1 365.4 497.4 364.5C496.8 363.6 496.4 362.6 496.2 361.6L464.1 216.4L463.2 215.9C446.6 205.5 427.3 199.9 407.7 199.9C388 199.9 368.8 205.5 352.2 215.9C332.9 227.9 310.7 234.2 288.1 234.2C265.4 234.2 243.2 227.9 223.1 215.9C207.3 205.5 188.1 199.9 168.4 199.9C148.8 199.9 129.5 205.5 112.8 215.9L111.1 216.4L79.1 361.7C79.77 362.8 79.34 363.7 78.74 364.6C78.13 365.5 77.36 366.2 76.47 366.8C75.57 367.3 74.58 367.7 73.54 367.9C72.5 368.1 71.43 368 70.4 367.8C68.33 367.4 66.52 366.1 65.36 364.4L65.36 364.4zM116.6 195.8C134.9 187 155.1 183 175.3 184.2C195.6 185.3 215.3 191.5 232.5 202.2C249.2 212.4 268.4 217.8 288 217.8C307.6 217.8 326.8 212.4 343.6 202.2C360.8 191.5 380.4 185.3 400.7 184.2C420.9 183 441.1 187 459.4 195.8L440.7 111.3C438.8 102.4 433.9 94.47 426.8 88.76C419.7 83.06 410.9 79.96 401.8 80H174.2C165.1 79.96 156.3 83.06 149.2 88.76C142.1 94.47 137.2 102.4 135.3 111.3L116.6 195.8z"],
    "d": [384, 512, [100], "44", "M160 480L8 480C3.578 480 0 476.4 0 472V40C0 35.59 3.578 32 8 32L160 32.01c123.5 0 224 100.5 224 223.1S283.5 480 160 480zM16 464H160c114.7 0 208-93.31 208-208S274.7 48 160 48H16V464z"],
    "dagger": [384, 512, [], "f6cb", "M343.1 128h-144V8C199.1 3.578 196.4 0 192 0S183.1 3.578 183.1 8V128h-144c-22.06 0-40 17.94-40 40L0 192c0 4.422 3.594 8 7.1 8s8-3.578 8-8V168c0-13.23 10.78-24 24-24h88v280c0 1.641 .5 3.25 1.438 4.594l56 80C186.9 510.7 189.4 512 191.1 512s5.062-1.281 6.562-3.406l56-80c.9375-1.344 1.438-2.953 1.438-4.594V144h88c13.22 0 24 10.77 24 24V192c0 4.422 3.594 8 8 8S383.1 196.4 383.1 192l0-24C383.1 145.9 366.1 128 343.1 128zM239.1 421.5l-48 68.56l-48-68.56V144h96V421.5z"],
    "dash": [512, 512, ["minus-large"], "e404", "M512 256c0 4.416-3.584 8-8 8H8C3.584 264 0 260.4 0 256c0-4.418 3.584-8 8-8h496C508.4 248 512 251.6 512 256z"],
    "database": [448, 512, [], "f1c0", "M224 512C100.3 512 0 476.2 0 432V80C0 35.82 100.3 0 224 0C347.7 0 448 35.82 448 80V432C448 476.2 347.7 512 224 512zM432 432V341.7C413.4 353.8 387.7 363.7 357.8 371.1C319.6 380.5 273.5 385.9 224 385.9C174.5 385.9 128.4 380.5 90.25 371.1C60.28 363.7 34.63 353.8 16 341.7V432C16 436.5 18.51 442.1 27.93 450.9C37.26 458.8 51.72 466.6 70.99 473.5C109.4 487.2 163.5 496 224 496C284.5 496 338.6 487.2 377 473.5C396.3 466.6 410.7 458.8 420.1 450.9C429.5 442.1 432 436.5 432 432zM357.8 227.1C319.6 236.5 273.5 241.9 224 241.9C174.5 241.9 128.4 236.5 90.25 227.1C60.28 219.7 34.63 209.8 16 197.7V322.1C32.12 335.2 59.09 346.9 94.07 355.5C130.8 364.6 175.6 369.9 224 369.9C272.4 369.9 317.2 364.6 353.9 355.5C388.9 346.9 415.9 335.2 432 322.1V197.7C413.4 209.8 387.7 219.7 357.8 227.1V227.1zM432 178.1V80C432 75.49 429.5 69.03 420.1 61.09C410.7 53.2 396.3 45.38 377 38.5C338.6 24.79 284.5 16 224 16C163.5 16 109.4 24.79 70.99 38.5C51.72 45.38 37.26 53.2 27.93 61.09C18.51 69.03 16 75.49 16 80V178.1C32.12 191.2 59.09 202.9 94.07 211.5C130.8 220.6 175.6 225.9 224 225.9C272.4 225.9 317.2 220.6 353.9 211.5C388.9 202.9 415.9 191.2 432 178.1z"],
    "deer": [576, 512, [129420], "f78e", "M448 144C448 152.8 440.8 160 432 160C423.2 160 416 152.8 416 144C416 135.2 423.2 128 432 128C440.8 128 448 135.2 448 144zM272 32C272 49.67 286.3 64 304 64H336C353.7 64 368 49.67 368 32V8C368 3.582 371.6 0 376 0C380.4 0 384 3.582 384 8V32C384 44.29 379.4 55.51 371.8 64H456C473.7 64 488 49.67 488 32V8C488 3.582 491.6 0 496 0C500.4 0 504 3.582 504 8V32C504 58.51 482.5 80 456 80H455.4C462.2 84.27 468.7 89.35 474.5 95.17L531.7 152.4C539.6 160.3 544 170.9 544 182.1C544 205.2 525.2 224 502.1 224H438.1L417.4 299.9C416.5 303.3 416 306.9 416 310.4V480C416 497.7 401.7 512 384 512H344C326.3 512 312 497.7 312 480V360H295.7C268.5 360 241.1 352.3 219.1 337.9L219.5 340.3C222.7 359.4 214.3 378.7 198.1 389.5C185.8 397.7 180.4 413 184.7 427.2L198.1 470.6C204.4 491.2 189 512 167.5 512H129.7C115.7 512 103.3 502.8 99.14 489.4L76.88 417.1C73.45 405.9 73.59 393.9 77.28 382.9L85.95 356.9C87.31 352.8 88 348.5 88 344.2V339.9C88 329.3 83.79 319.1 76.29 311.6L72.4 307.7C61.9 297.2 56 282.1 56 268.1V256C56 245.7 57.95 235.9 61.5 226.8C55.68 236.4 52.04 247.6 51.3 259.5L47.98 312.5C47.71 316.9 43.91 320.3 39.5 319.1C35.09 319.7 31.74 315.9 32.02 311.5L35.33 258.5C38.23 212.1 76.69 176 123.2 176H339.2L350.5 144H310.8C298.2 144 288 133.8 288 121.2C288 112.5 292.9 104.6 300.6 100.7L342.1 80H304C277.5 80 256 58.51 256 32V8C256 3.582 259.6 0 264 0C268.4 0 272 3.582 272 8L272 32zM367.4 144L352.4 186.7C351.3 189.9 348.3 192 344.9 192H136C100.7 192 72 220.7 72 256V268.1C72 278.7 76.22 288.9 83.72 296.4L87.6 300.3C98.1 310.8 104 325 104 339.9V344.2C104 350.2 103 356.2 101.1 361.9L92.46 387.9C89.82 395.8 89.72 404.4 92.17 412.3L114.4 484.7C116.5 491.4 122.7 496 129.7 496H167.5C178.3 496 185.1 485.6 182.8 475.3L169.4 431.9C163 410.1 171.1 388.3 189.3 376.2C200.2 368.9 205.9 355.9 203.7 342.9L200.1 321.3C199.6 318 201.1 314.8 203.1 313.1C206.8 311.4 210.4 311.7 213 313.8L215.7 315.1C238.4 334.1 266.6 344 295.7 344H320C324.4 344 328 347.6 328 352V480C328 488.8 335.2 496 344 496H384C392.8 496 400 488.8 400 480V310.4C400 305.5 400.7 300.5 401.1 295.7L424.3 213.9C425.2 210.4 428.4 207.1 432 207.1H502.1C516.4 207.1 528 196.4 528 182.1C528 175.2 525.3 168.6 520.4 163.7L463.2 106.5C446.2 89.53 423.2 79.1 399.2 79.1C385.2 79.1 371.4 83.27 358.8 89.55L307.8 115.1C305.5 116.2 304 118.6 304 121.2C304 124.9 307.1 127.1 310.8 127.1H368C372.4 127.1 376 131.6 376 135.1C376 140.4 372.4 143.1 368 143.1L367.4 144z"],
    "deer-rudolph": [576, 512, [], "f78f", "M416 144C416 152.8 408.8 160 400 160C391.2 160 384 152.8 384 144C384 135.2 391.2 128 400 128C408.8 128 416 135.2 416 144zM240 32C240 49.67 254.3 64 272 64H304C321.7 64 336 49.67 336 32V8C336 3.582 339.6 0 344 0C348.4 0 352 3.582 352 8V32C352 44.29 347.4 55.51 339.8 64H424C441.7 64 456 49.67 456 32V8C456 3.582 459.6 0 464 0C468.4 0 472 3.582 472 8V32C472 58.51 450.5 80 424 80H423.4C430.2 84.27 436.7 89.35 442.5 95.17L483.3 136C489.5 121.9 503.6 112 520 112C542.1 112 560 129.9 560 152C560 174.1 542.1 192 520 192C516.9 192 513.9 191.7 511 190.1C506.1 209.9 490.2 224 470.1 224H406.1L385.4 299.9C384.5 303.3 384 306.9 384 310.4V480C384 497.7 369.7 512 352 512H312C294.3 512 280 497.7 280 480V360H263.7C236.5 360 209.1 352.3 187.1 337.9L187.5 340.3C190.7 359.4 182.3 378.7 166.1 389.5C153.8 397.7 148.4 413 152.7 427.2L166.1 470.6C172.4 491.2 157 512 135.5 512H97.73C83.68 512 71.27 502.8 67.14 489.4L44.88 417.1C41.45 405.9 41.59 393.9 45.28 382.9L53.95 356.9C55.31 352.8 56 348.5 56 344.2V336.1C56 328.2 52.53 319.8 46.34 313.7C32.04 299.4 24 279.9 24 259.7V255.2C24 245.6 25.7 236.4 28.82 227.9C23.4 237.3 20.01 248 19.3 259.5L15.98 312.5C15.71 316.9 11.91 320.3 7.501 319.1C3.092 319.7-.2597 315.9 .016 311.5L3.328 258.5C6.226 212.1 44.69 176 91.16 176H307.2L318.5 144H278.8C266.2 144 256 133.8 256 121.2C256 112.5 260.9 104.6 268.6 100.7L310.1 80H272C245.5 80 224 58.51 224 32V8.001C224 3.582 227.6 .0006 232 .0006C236.4 .0006 240 3.582 240 8.001L240 32zM495.9 183.1C487.1 177.3 481.1 167.1 480.1 155.5L431.2 106.5C414.2 89.53 391.2 80 367.2 80C353.2 80 339.4 83.27 326.8 89.55L275.8 115.1C273.5 116.2 272 118.6 272 121.2C272 124.9 275.1 128 278.8 128H336C340.4 128 344 131.6 344 136C344 140.4 340.4 144 336 144H335.4L320.4 186.7C319.3 189.9 316.3 192 312.9 192H103.2C68.31 192 40 220.3 40 255.2V259.7C40 275.7 46.35 291 57.66 302.3C66.84 311.5 72 323.1 72 336.1V344.2C72 350.2 71.03 356.2 69.13 361.9L60.46 387.9C57.82 395.8 57.72 404.4 60.17 412.3L82.43 484.7C84.5 491.4 90.7 496 97.73 496H135.5C146.3 496 153.1 485.6 150.8 475.3L137.4 431.9C131 410.1 139.1 388.3 157.3 376.2C168.2 368.9 173.9 355.9 171.7 342.9L168.1 321.3C167.6 318 169.1 314.8 171.1 313.1C174.8 311.4 178.4 311.7 180.1 313.8L183.7 315.1C206.4 334.1 234.6 344 263.7 344H288C292.4 344 296 347.6 296 352V480C296 488.8 303.2 496 312 496H352C360.8 496 368 488.8 368 480V310.4C368 305.5 368.7 300.5 369.1 295.7L392.3 213.9C393.2 210.4 396.4 207.1 400 207.1H470.1C483.8 207.1 494.1 197.4 495.9 183.1L495.9 183.1zM544 152C544 138.7 533.3 128 520 128C507.8 128 497.7 137.1 496.2 148.9C496.1 149.9 496 150.9 496 152C496 162.2 502.3 170.9 511.3 174.4C513.1 175.4 516.9 176 520 176C533.3 176 544 165.3 544 152z"],
    "delete-left": [576, 512, [9003, "backspace"], "f55a", "M429.7 189.7L363.3 256L429.7 322.3C432.8 325.5 432.8 330.5 429.7 333.7C426.5 336.8 421.5 336.8 418.3 333.7L352 267.3L285.7 333.7C282.5 336.8 277.5 336.8 274.3 333.7C271.2 330.5 271.2 325.5 274.3 322.3L340.7 256L274.3 189.7C271.2 186.5 271.2 181.5 274.3 178.3C277.5 175.2 282.5 175.2 285.7 178.3L352 244.7L418.3 178.3C421.5 175.2 426.5 175.2 429.7 178.3C432.8 181.5 432.8 186.5 429.7 189.7zM9.372 233.4L160 82.75C172 70.74 188.3 64 205.3 64H512C547.3 64 576 92.65 576 128V384C576 419.3 547.3 448 512 448H205.3C188.3 448 172 441.3 160 429.3L9.372 278.6C3.371 272.6 0 264.5 0 255.1C0 247.5 3.372 239.4 9.372 233.4V233.4zM560 128C560 101.5 538.5 80 512 80H205.3C192.5 80 180.3 85.06 171.3 94.06L20.69 244.7C17.69 247.7 15.1 251.8 15.1 256C15.1 260.2 17.69 264.3 20.69 267.3L171.3 417.9C180.3 426.9 192.5 432 205.3 432H512C538.5 432 560 410.5 560 384V128z"],
    "delete-right": [576, 512, [], "e154", "M146.3 178.3C149.5 175.2 154.5 175.2 157.7 178.3L224 244.7L290.3 178.3C293.5 175.2 298.5 175.2 301.7 178.3C304.8 181.5 304.8 186.5 301.7 189.7L235.3 256L301.7 322.3C304.8 325.5 304.8 330.5 301.7 333.7C298.5 336.8 293.5 336.8 290.3 333.7L224 267.3L157.7 333.7C154.5 336.8 149.5 336.8 146.3 333.7C143.2 330.5 143.2 325.5 146.3 322.3L212.7 256L146.3 189.7C143.2 186.5 143.2 181.5 146.3 178.3V178.3zM576 255.1C576 264.5 572.6 272.6 566.6 278.6L416 429.3C403.1 441.3 387.7 448 370.7 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H370.7C387.7 64 403.1 70.74 416 82.75L566.6 233.4C572.6 239.4 576 247.5 576 256V255.1zM16 384C16 410.5 37.49 432 64 432H370.7C383.5 432 395.7 426.9 404.7 417.9L555.3 267.3C558.3 264.3 560 260.2 560 255.1C560 251.8 558.3 247.7 555.3 244.7L404.7 94.06C395.7 85.06 383.5 79.1 370.7 79.1H64C37.49 79.1 16 101.5 16 127.1V384z"],
    "democrat": [640, 512, [], "f747", "M638.9 276l-36.37-63.63c-18.44-32.33-53.02-52.41-90.27-52.41H259.5l-71.34-75.88C205.2 62.47 206.8 31.75 191.3 8.308c-2.875-4.391-7.529-7.219-12.78-7.766c-5.5-.5625-10.47 1.281-14.22 5.031L129.4 40.48L93.51 4.621C90.17 1.23 85.7-.2853 80.7 .0428c-4.748 .5-8.936 3.078-11.5 7.031C55.05 28.58 57.95 57.42 76.14 75.64C77.61 77.09 79.17 78.33 80.86 79.48L7.834 173.9c-8.936 11.92-10.34 27.61-3.625 40.89l14.06 27.88c6.656 13.14 19.9 21.3 34.59 21.3h30.03c10.41 0 20.22-4.062 27.31-11.17l29.25-26.55l52.62 101.7v145.1c0 21.5 17.5 39 38.1 39H257.1c21.5 0 38.1-17.5 38.1-39V415.1h144.1v57c0 21.5 17.47 39 38.97 39l24.02-.0001c21.5 0 38.1-17.5 38.1-38.97l.7813-240.8c.0625-19.27-7.375-37.41-20.1-51.07c-1.688-1.695-3.633-2.992-5.447-4.496c29.53 1.738 56.61 17.81 71.35 43.67l36.37 63.63c1.469 2.578 4.154 4.031 6.936 4.031c1.344 0 2.719-.3438 3.969-1.062C639.8 284.7 641.1 279.8 638.9 276zM527 472.1c0 12.69-10.31 23-22.1 23h-23.1c-12.69 0-22.1-10.31-22.1-23V399.1H280.1v73c0 12.69-10.31 23-22.1 23H231.1c-12.69 0-22.1-10.31-22.1-23V335.1h319.4L527 472.1zM527.8 232.2l-.2852 87.83H204.1L144.1 200.4L99.17 241.2c-4.344 4.363-10.12 6.754-16.28 6.754H52.86c-8.623 0-16.4-4.797-20.31-12.5L18.49 207.6c-3.936-7.828-3.125-17.06 2.094-24l78.46-101.5l4.125-8.234L95.01 69.36C91.98 67.69 89.39 66.23 87.45 64.31C74.61 51.45 72.58 31.08 82.2 15.92L129.4 63.11l46.21-46.22l2.312 .2031C190.7 36.44 188.1 62.28 171.7 78.58L166.2 84.06l86.39 91.91h219.2c15 0 29.09 5.844 39.68 16.47C522.1 203.1 527.9 217.2 527.8 232.2zM304 247.1l-24.03-.0001v-24c0-4.406-3.562-7.1-7.969-7.1S263.1 219.6 263.1 223.1v24h-24c-4.406 0-8 3.594-8 8s3.627 8 8.033 8l23.97-.0001v24c0 4.406 3.594 8 8 8s8-3.594 8-8v-24h24c4.406 0 8-3.594 8-8S308.4 247.1 304 247.1zM399.1 247.1h-24v-24c0-4.406-3.594-8-8-8s-8 3.594-8 8v24h-24c-4.406 0-8 3.594-8 8s3.619 8 8.025 8l23.97-.0001v24c0 4.406 3.616 8 8.022 8s7.978-3.594 7.978-8v-24l24.02 .0001c4.406 0 7.979-3.594 7.979-8S404.4 247.1 399.1 247.1zM495.1 247.1h-24v-24c0-4.406-3.579-7.1-7.985-7.1s-8.015 3.594-8.015 7.1v24l-23.98 .0001c-4.406 0-8.018 3.594-8.018 7.1s3.594 8 8 8h24v24c0 4.406 3.594 8 8 8s8-3.594 8-8v-24l24.01 .0001c4.406 0 7.987-3.594 7.987-8S500.4 247.1 495.1 247.1z"],
    "desktop": [576, 512, [61704, 128421, "desktop-alt"], "f390", "M64 288h448V64H64V288zM80 80h416v192h-416V80zM528 0h-480C21.5 0 0 21.5 0 48v320C0 394.5 21.5 416 48 416h180.9l-26.67 80H136C131.6 496 128 499.6 128 504S131.6 512 136 512h304c4.406 0 8-3.578 8-8s-3.594-8-8-8h-66.21l-26.67-80H528c26.5 0 48-21.5 48-48v-320C576 21.5 554.5 0 528 0zM356.9 496H219.1l26.67-80h84.46L356.9 496zM560 368c0 17.64-14.36 32-32 32h-480c-17.64 0-32-14.36-32-32v-320c0-17.64 14.36-32 32-32h480c17.64 0 32 14.36 32 32V368z"],
    "desktop-arrow-down": [576, 512, [], "e155", "M186.3 130.3c-3.125 3.125-3.125 8.188 0 11.31l95.1 95.1C283.8 239.1 285.8 240 288 240s4.213-.8984 5.66-2.348l95.1-95.1c3.125-3.125 3.125-8.188 0-11.31s-8.188-3.125-11.31 0L296 212.7V8C296 3.578 292.4 0 288 0S280 3.578 280 8v204.7L197.7 130.3C194.5 127.2 189.5 127.2 186.3 130.3zM528 0h-168C355.6 0 352 3.582 352 8s3.582 8 8 8h168c17.67 0 32 14.33 32 32v320c0 17.67-14.33 32-32 32h-480c-17.67 0-32-14.33-32-32v-320c0-17.67 14.33-32 32-32h168C220.4 16 224 12.42 224 8S220.4 0 216 0H48C21.49 0 0 21.49 0 48v320C0 394.5 21.49 416 48 416h180.9l-26.67 80H136C131.6 496 128 499.6 128 504S131.6 512 136 512h304c4.406 0 8-3.578 8-8s-3.594-8-8-8h-66.21l-26.67-80H528c26.51 0 48-21.49 48-48v-320C576 21.49 554.5 0 528 0zM356.9 496H219.1l26.67-80h84.46L356.9 496zM216 80C220.4 80 224 76.42 224 72S220.4 64 216 64H64v224h448V64h-152C355.6 64 352 67.58 352 72s3.582 8 8 8h136v192h-416v-192H216z"],
    "dharmachakra": [512, 512, [9784], "f655", "M504 248h-40.4c-1.959-51.38-22.47-97.89-55.14-133.2l28.56-28.56c3.125-3.125 3.125-8.188 0-11.31s-8.188-3.125-11.31 0l-28.56 28.56C361.9 70.87 315.4 50.36 264 48.4V8C264 3.594 260.4 0 256 0S248 3.594 248 8v40.4C196.6 50.36 150.1 70.87 114.9 103.5L86.3 74.97c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31l28.56 28.56C70.88 150.1 50.36 196.6 48.4 248H8C3.578 248 0 251.6 0 256s3.578 8 8 8h40.4c1.959 51.38 22.47 97.89 55.14 133.2l-28.56 28.56c-3.125 3.125-3.125 8.188 0 11.31c1.562 1.562 3.609 2.344 5.656 2.344s4.094-.7813 5.656-2.344l28.56-28.56C150.1 441.1 196.6 461.6 248 463.6V504C248 508.4 251.6 512 256 512s8-3.594 8-8v-40.4c51.37-1.959 97.88-22.46 133.1-55.13l28.56 28.56c1.562 1.562 3.609 2.344 5.656 2.344s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31l-28.56-28.56c32.67-35.26 53.18-81.78 55.14-133.2H504C508.4 264 512 260.4 512 256S508.4 248 504 248zM264 64.4c46.89 1.945 89.4 20.71 121.8 50.5l-79.4 79.41C294.6 184.7 280 178.4 264 176.8V64.4zM248 64.4v112.4C231.1 178.4 217.4 184.7 205.6 194.3L126.2 114.9C158.6 85.11 201.1 66.35 248 64.4zM114.9 126.2l79.4 79.41C184.7 217.4 178.4 231.1 176.8 248H64.4C66.35 201.1 85.12 158.6 114.9 126.2zM64.4 264h112.4c1.615 16.03 7.846 30.55 17.51 42.37l-79.4 79.41C85.12 353.4 66.35 310.9 64.4 264zM248 447.6c-46.89-1.945-89.4-20.71-121.8-50.5l79.4-79.41C217.4 327.3 231.1 333.6 248 335.2V447.6zM256 320c-35.29 0-64-28.71-64-64s28.71-64 64-64c35.29 0 64 28.71 64 64S291.3 320 256 320zM264 447.6v-112.4c16.03-1.615 30.55-7.844 42.37-17.51l79.4 79.41C353.4 426.9 310.9 445.7 264 447.6zM397.1 385.8l-79.4-79.41C327.3 294.6 333.6 280 335.2 264h112.4C445.7 310.9 426.9 353.4 397.1 385.8zM335.2 248c-1.615-16.03-7.846-30.55-17.51-42.37l79.4-79.41C426.9 158.6 445.7 201.1 447.6 248H335.2z"],
    "diagram-cells": [512, 512, [], "e475", "M64 224C28.65 224 0 195.3 0 160V96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V160C512 195.3 483.3 224 448 224H64zM496 160V96C496 69.49 474.5 48 448 48H64C37.49 48 16 69.49 16 96V160C16 186.5 37.49 208 64 208H448C474.5 208 496 186.5 496 160zM512 416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V352C0 316.7 28.65 288 64 288H448C483.3 288 512 316.7 512 352V416zM448 464C474.5 464 496 442.5 496 416V352C496 325.5 474.5 304 448 304H64C37.49 304 16 325.5 16 352V416C16 442.5 37.49 464 64 464H448z"],
    "diagram-lean-canvas": [640, 512, [], "e156", "M0 96C0 60.65 28.65 32 64 32H576C611.3 32 640 60.65 640 96V416C640 451.3 611.3 480 576 480H64C28.65 480 0 451.3 0 416V96zM512 336H624V96C624 69.49 602.5 48 576 48H512V336zM496 48H384V192H496V48zM368 48H272V336H368V48zM256 48H144V192H256V48zM128 48H64C37.49 48 16 69.49 16 96V336H128V48zM16 352V416C16 442.5 37.49 464 64 464H312V352H16zM328 464H576C602.5 464 624 442.5 624 416V352H328V464zM256 208H144V336H256V208zM384 208V336H496V208H384z"],
    "diagram-nested": [448, 512, [], "e157", "M144 32C170.5 32 192 53.49 192 80V176C192 202.5 170.5 224 144 224H104V320C104 350.9 129.1 376 160 376H256V336C256 309.5 277.5 288 304 288H400C426.5 288 448 309.5 448 336V432C448 458.5 426.5 480 400 480H304C277.5 480 256 458.5 256 432V392H160C120.2 392 88 359.8 88 320V224H48C21.49 224 0 202.5 0 176V80C0 53.49 21.49 32 48 32H144zM144 48H48C30.33 48 16 62.33 16 80V176C16 193.7 30.33 208 48 208H144C161.7 208 176 193.7 176 176V80C176 62.33 161.7 48 144 48zM400 304H304C286.3 304 272 318.3 272 336V432C272 449.7 286.3 464 304 464H400C417.7 464 432 449.7 432 432V336C432 318.3 417.7 304 400 304z"],
    "diagram-next": [512, 512, [], "e476", "M264 223.1V348.7L314.3 298.3C317.5 295.2 322.5 295.2 325.7 298.3C328.8 301.5 328.8 306.5 325.7 309.7L261.7 373.7C258.5 376.8 253.5 376.8 250.3 373.7L186.3 309.7C183.2 306.5 183.2 301.5 186.3 298.3C189.5 295.2 194.5 295.2 197.7 298.3L248 348.7V224H64C28.65 224 0 195.3 0 160V96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V160C512 195.3 483.3 224 448 224L264 223.1zM496 159.1V95.1C496 69.49 474.5 47.1 448 47.1H64C37.49 47.1 16 69.49 16 95.1V159.1C16 186.5 37.49 207.1 64 207.1H448C474.5 207.1 496 186.5 496 159.1zM512 416C512 451.3 483.3 480 448 480H64C28.65 480 .0003 451.3 .0003 416V352C.0003 316.7 28.65 287.1 64 287.1H112C116.4 287.1 120 291.6 120 295.1C120 300.4 116.4 303.1 112 303.1H64C37.49 303.1 16 325.5 16 352V416C16 442.5 37.49 464 64 464H448C474.5 464 496 442.5 496 416V352C496 325.5 474.5 303.1 448 303.1H400C395.6 303.1 392 300.4 392 295.1C392 291.6 395.6 287.1 400 287.1H448C483.3 287.1 512 316.7 512 352V416z"],
    "diagram-predecessor": [512, 512, [], "e477", "M72 384C72 379.6 75.58 376 80 376H432C436.4 376 440 379.6 440 384C440 388.4 436.4 392 432 392H80C75.58 392 72 388.4 72 384zM64 480C28.65 480 0 451.3 0 416V352C0 316.7 28.65 288 64 288H448C483.3 288 512 316.7 512 352V416C512 451.3 483.3 480 448 480H64zM496 416V352C496 325.5 474.5 304 448 304H64C37.49 304 16 325.5 16 352V416C16 442.5 37.49 464 64 464H448C474.5 464 496 442.5 496 416zM208 120C212.4 120 216 123.6 216 128C216 132.4 212.4 136 208 136H80C75.58 136 72 132.4 72 128C72 123.6 75.58 120 80 120H208zM288 160C288 195.3 259.3 224 224 224H64C28.65 224 0 195.3 0 160V96C0 60.65 28.65 32 64 32H368C398.9 32 424 57.07 424 88V204.7L474.3 154.3C477.5 151.2 482.5 151.2 485.7 154.3C488.8 157.5 488.8 162.5 485.7 165.7L421.7 229.7C418.5 232.8 413.5 232.8 410.3 229.7L346.3 165.7C343.2 162.5 343.2 157.5 346.3 154.3C349.5 151.2 354.5 151.2 357.7 154.3L408 204.7V88C408 65.91 390.1 48 368 48H266.3C279.6 59.73 288 76.88 288 96L288 160zM272 160V96C272 69.49 250.5 48 224 48H64C37.49 48 16 69.49 16 96V160C16 186.5 37.49 208 64 208H224C250.5 208 272 186.5 272 160z"],
    "diagram-previous": [512, 512, [], "e478", "M448 288C483.3 288 512 316.7 512 352V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V352C0 316.7 28.65 288 64 288H248V163.3L197.7 213.7C194.5 216.8 189.5 216.8 186.3 213.7C183.2 210.5 183.2 205.5 186.3 202.3L250.3 138.3C253.5 135.2 258.5 135.2 261.7 138.3L325.7 202.3C328.8 205.5 328.8 210.5 325.7 213.7C322.5 216.8 317.5 216.8 314.3 213.7L264 163.3V288L448 288zM448 304H64C37.49 304 16 325.5 16 352V416C16 442.5 37.49 464 64 464H448C474.5 464 496 442.5 496 416V352C496 325.5 474.5 304 448 304zM512 160C512 195.3 483.3 224 448 224H400C395.6 224 392 220.4 392 216C392 211.6 395.6 208 400 208H448C474.5 208 496 186.5 496 160V96C496 69.49 474.5 48 448 48H64C37.49 48 16 69.49 16 96V160C16 186.5 37.49 208 64 208H112C116.4 208 120 211.6 120 216C120 220.4 116.4 224 112 224H64C28.65 224 0 195.3 0 160V96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V160z"],
    "diagram-project": [576, 512, ["project-diagram"], "f542", "M136 32C166.9 32 192 57.07 192 88V120H384V88C384 57.07 409.1 32 440 32H520C550.9 32 576 57.07 576 88V168C576 198.9 550.9 224 520 224H440C409.1 224 384 198.9 384 168V136H192V168C192 181.2 187.5 193.3 179.9 202.8L247.9 298.1C256.1 291.7 268.1 288 280 288H360C390.9 288 416 313.1 416 344V424C416 454.9 390.9 480 360 480H280C249.1 480 224 454.9 224 424V344C224 330.8 228.5 318.7 236.1 309.2L168.1 213.9C159 220.3 147.9 224 136 224H56C25.07 224 0 198.9 0 168V88C0 57.07 25.07 32 56 32H136zM136 48H56C33.91 48 16 65.91 16 88V168C16 190.1 33.91 208 56 208H136C158.1 208 176 190.1 176 168V88C176 65.91 158.1 48 136 48zM360 304H280C257.9 304 240 321.9 240 344V424C240 446.1 257.9 464 280 464H360C382.1 464 400 446.1 400 424V344C400 321.9 382.1 304 360 304zM400 88V168C400 190.1 417.9 208 440 208H520C542.1 208 560 190.1 560 168V88C560 65.91 542.1 48 520 48H440C417.9 48 400 65.91 400 88z"],
    "diagram-sankey": [576, 512, [], "e158", "M354.1 48C346.2 48 338.1 52.8 333.9 60.51L256.1 203.2C249.1 216 235.6 223.1 221 223.1H8C3.582 223.1 0 220.4 0 215.1C0 211.6 3.582 207.1 8 207.1H221C229.8 207.1 237.9 203.2 242.1 195.5L319.9 52.85C326.9 39.1 340.4 32 354.1 32H568C572.4 32 576 35.58 576 40C576 44.42 572.4 48 568 48H354.1zM174.6 304L269.3 452.9C273.7 459.8 281.4 464 289.6 464H568C572.4 464 576 467.6 576 472C576 476.4 572.4 480 568 480H289.6C275.9 480 263.2 473 255.8 461.5L155.6 304H8C3.582 304 0 300.4 0 296C0 291.6 3.582 288 8 288H568C572.4 288 576 291.6 576 296C576 300.4 572.4 304 568 304H174.6z"],
    "diagram-subtask": [512, 512, [], "e479", "M448 32C483.3 32 512 60.65 512 96V160C512 195.3 483.3 224 448 224H136V320C136 350.9 161.1 376 192 376H224V352C224 316.7 252.7 288 288 288H448C483.3 288 512 316.7 512 352V416C512 451.3 483.3 480 448 480H288C252.7 480 224 451.3 224 416V392H192C152.2 392 120 359.8 120 320V224H64C28.65 224 0 195.3 0 160V96C0 60.65 28.65 32 64 32H448zM448 48H64C37.49 48 16 69.49 16 96V160C16 186.5 37.49 208 64 208H448C474.5 208 496 186.5 496 160V96C496 69.49 474.5 48 448 48zM448 304H288C261.5 304 240 325.5 240 352V416C240 442.5 261.5 464 288 464H448C474.5 464 496 442.5 496 416V352C496 325.5 474.5 304 448 304z"],
    "diagram-successor": [512, 512, [], "e47a", "M432 376C436.4 376 440 379.6 440 384C440 388.4 436.4 392 432 392H80C75.58 392 72 388.4 72 384C72 379.6 75.58 376 80 376H432zM512 416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V352C0 316.7 28.65 288 64 288H448C483.3 288 512 316.7 512 352V416zM448 304H64C37.49 304 16 325.5 16 352V416C16 442.5 37.49 464 64 464H448C474.5 464 496 442.5 496 416V352C496 325.5 474.5 304 448 304zM266.3 48C279.6 59.73 288 76.88 288 96V160C288 195.3 259.3 224 224 224H64C28.65 224 0 195.3 0 160V96C0 60.65 28.65 32 64 32H368C398.9 32 424 57.07 424 88V204.7L474.3 154.3C477.5 151.2 482.5 151.2 485.7 154.3C488.8 157.5 488.8 162.5 485.7 165.7L421.7 229.7C418.5 232.8 413.5 232.8 410.3 229.7L346.3 165.7C343.2 162.5 343.2 157.5 346.3 154.3C349.5 151.2 354.5 151.2 357.7 154.3L408 204.7V88C408 65.91 390.1 48 368 48H266.3zM224 48H64C37.49 48 16 69.49 16 96V160C16 186.5 37.49 208 64 208H224C250.5 208 272 186.5 272 160V96C272 69.49 250.5 48 224 48z"],
    "diagram-venn": [640, 512, [], "e15a", "M0 256C0 132.3 100.3 32 224 32C258.4 32 290.9 39.73 320 53.56C349.1 39.73 381.6 32 416 32C539.7 32 640 132.3 640 256C640 379.7 539.7 480 416 480C381.6 480 349.1 472.3 320 458.4C290.9 472.3 258.4 480 224 480C100.3 480 0 379.7 0 256zM224 464C251.6 464 277.9 458.6 302 448.9C236.2 409.9 192 338.1 192 256C192 173.9 236.2 102.1 302 63.13C277.9 53.37 251.6 48 224 48C109.1 48 16 141.1 16 256C16 370.9 109.1 464 224 464zM416.1 176H223.9C214.6 198.3 209.1 222.6 208.2 248H431.8C430.9 222.6 425.4 198.3 416.1 176H416.1zM416 336.1C425.3 313.8 430.9 289.5 431.8 264H208.2C209.1 289.5 214.7 313.8 224 336.1V336H416V336.1zM231.4 352C251.2 389.8 282.2 420.8 320 440.6C357.8 420.8 388.8 389.8 408.6 352H231.4zM408.6 160C388.8 122.2 357.8 91.15 320 71.43C282.2 91.15 251.2 122.2 231.4 160H408.6zM416 48C388.4 48 362.1 53.37 337.1 63.13C403.8 102.1 448 173.9 448 256C448 338.1 403.8 409.9 337.1 448.9C362.1 458.6 388.4 464 416 464C530.9 464 624 370.9 624 256C624 141.1 530.9 48 416 48V48z"],
    "dial": [576, 512, ["dial-med-high"], "e15b", "M320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32zM288 16C279.2 16 272 23.16 272 32C272 40.84 279.2 48 288 48C296.8 48 304 40.84 304 32C304 23.16 296.8 16 288 16zM401.1 401.1C338.7 463.6 237.3 463.6 174.9 401.1C112.4 338.7 112.4 237.3 174.9 174.9C237.3 112.4 338.7 112.4 401.1 174.9C463.6 237.3 463.6 338.7 401.1 401.1zM186.2 389.8C242.4 446.1 333.6 446.1 389.8 389.8C444.2 335.5 445.1 248.5 395.3 191.1L293.7 293.7C290.5 296.8 285.5 296.8 282.3 293.7C279.2 290.5 279.2 285.5 282.3 282.3L384 180.7C327.5 130 240.5 131.8 186.2 186.2C129.9 242.4 129.9 333.6 186.2 389.8zM512 288C512 270.3 526.3 256 544 256C561.7 256 576 270.3 576 288C576 305.7 561.7 320 544 320C526.3 320 512 305.7 512 288zM544 304C552.8 304 560 296.8 560 288C560 279.2 552.8 272 544 272C535.2 272 528 279.2 528 288C528 296.8 535.2 304 544 304zM64 288C64 305.7 49.67 320 32 320C14.33 320 0 305.7 0 288C0 270.3 14.33 256 32 256C49.67 256 64 270.3 64 288zM32 272C23.16 272 16 279.2 16 288C16 296.8 23.16 304 32 304C40.84 304 48 296.8 48 288C48 279.2 40.84 272 32 272zM64 96C64 78.33 78.33 64 96 64C113.7 64 128 78.33 128 96C128 113.7 113.7 128 96 128C78.33 128 64 113.7 64 96zM96 112C104.8 112 112 104.8 112 96C112 87.16 104.8 80 96 80C87.16 80 80 87.16 80 96C80 104.8 87.16 112 96 112zM512 96C512 113.7 497.7 128 480 128C462.3 128 448 113.7 448 96C448 78.33 462.3 64 480 64C497.7 64 512 78.33 512 96zM480 80C471.2 80 464 87.16 464 96C464 104.8 471.2 112 480 112C488.8 112 496 104.8 496 96C496 87.16 488.8 80 480 80zM64 480C64 462.3 78.33 448 96 448C113.7 448 128 462.3 128 480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480zM96 496C104.8 496 112 488.8 112 480C112 471.2 104.8 464 96 464C87.16 464 80 471.2 80 480C80 488.8 87.16 496 96 496zM512 480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480C448 462.3 462.3 448 480 448C497.7 448 512 462.3 512 480zM480 464C471.2 464 464 471.2 464 480C464 488.8 471.2 496 480 496C488.8 496 496 488.8 496 480C496 471.2 488.8 464 480 464z"],
    "dial-high": [576, 512, [], "e15c", "M320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32zM288 16C279.2 16 272 23.16 272 32C272 40.84 279.2 48 288 48C296.8 48 304 40.84 304 32C304 23.16 296.8 16 288 16zM288 448C199.6 448 128 376.4 128 288C128 199.6 199.6 128 288 128C376.4 128 448 199.6 448 288C448 376.4 376.4 448 288 448zM280 288C280 283.6 283.6 280 288 280H431.8C427.6 204.2 364.8 144 288 144C208.5 144 144 208.5 144 288C144 367.5 208.5 432 288 432C364.8 432 427.6 371.8 431.8 296H288C283.6 296 280 292.4 280 288zM512 288C512 270.3 526.3 256 544 256C561.7 256 576 270.3 576 288C576 305.7 561.7 320 544 320C526.3 320 512 305.7 512 288zM544 304C552.8 304 560 296.8 560 288C560 279.2 552.8 272 544 272C535.2 272 528 279.2 528 288C528 296.8 535.2 304 544 304zM64 288C64 305.7 49.67 320 32 320C14.33 320 0 305.7 0 288C0 270.3 14.33 256 32 256C49.67 256 64 270.3 64 288zM32 272C23.16 272 16 279.2 16 288C16 296.8 23.16 304 32 304C40.84 304 48 296.8 48 288C48 279.2 40.84 272 32 272zM64 96C64 78.33 78.33 64 96 64C113.7 64 128 78.33 128 96C128 113.7 113.7 128 96 128C78.33 128 64 113.7 64 96zM96 112C104.8 112 112 104.8 112 96C112 87.16 104.8 80 96 80C87.16 80 80 87.16 80 96C80 104.8 87.16 112 96 112zM512 96C512 113.7 497.7 128 480 128C462.3 128 448 113.7 448 96C448 78.33 462.3 64 480 64C497.7 64 512 78.33 512 96zM480 80C471.2 80 464 87.16 464 96C464 104.8 471.2 112 480 112C488.8 112 496 104.8 496 96C496 87.16 488.8 80 480 80zM64 480C64 462.3 78.33 448 96 448C113.7 448 128 462.3 128 480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480zM96 496C104.8 496 112 488.8 112 480C112 471.2 104.8 464 96 464C87.16 464 80 471.2 80 480C80 488.8 87.16 496 96 496zM512 480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480C448 462.3 462.3 448 480 448C497.7 448 512 462.3 512 480zM480 464C471.2 464 464 471.2 464 480C464 488.8 471.2 496 480 496C488.8 496 496 488.8 496 480C496 471.2 488.8 464 480 464z"],
    "dial-low": [576, 512, [], "e15d", "M320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32zM288 16C279.2 16 272 23.16 272 32C272 40.84 279.2 48 288 48C296.8 48 304 40.84 304 32C304 23.16 296.8 16 288 16zM288 128C376.4 128 448 199.6 448 288C448 376.4 376.4 448 288 448C199.6 448 128 376.4 128 288C128 199.6 199.6 128 288 128zM432 288C432 208.5 367.5 144 288 144C211.2 144 148.4 204.2 144.2 280H288C292.4 280 296 283.6 296 288C296 292.4 292.4 296 288 296H144.2C148.4 371.8 211.2 432 288 432C367.5 432 432 367.5 432 288zM512 288C512 270.3 526.3 256 544 256C561.7 256 576 270.3 576 288C576 305.7 561.7 320 544 320C526.3 320 512 305.7 512 288zM544 304C552.8 304 560 296.8 560 288C560 279.2 552.8 272 544 272C535.2 272 528 279.2 528 288C528 296.8 535.2 304 544 304zM64 288C64 305.7 49.67 320 32 320C14.33 320 0 305.7 0 288C0 270.3 14.33 256 32 256C49.67 256 64 270.3 64 288zM32 272C23.16 272 16 279.2 16 288C16 296.8 23.16 304 32 304C40.84 304 48 296.8 48 288C48 279.2 40.84 272 32 272zM64 96C64 78.33 78.33 64 96 64C113.7 64 128 78.33 128 96C128 113.7 113.7 128 96 128C78.33 128 64 113.7 64 96zM96 112C104.8 112 112 104.8 112 96C112 87.16 104.8 80 96 80C87.16 80 80 87.16 80 96C80 104.8 87.16 112 96 112zM512 96C512 113.7 497.7 128 480 128C462.3 128 448 113.7 448 96C448 78.33 462.3 64 480 64C497.7 64 512 78.33 512 96zM480 80C471.2 80 464 87.16 464 96C464 104.8 471.2 112 480 112C488.8 112 496 104.8 496 96C496 87.16 488.8 80 480 80zM64 480C64 462.3 78.33 448 96 448C113.7 448 128 462.3 128 480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480zM96 496C104.8 496 112 488.8 112 480C112 471.2 104.8 464 96 464C87.16 464 80 471.2 80 480C80 488.8 87.16 496 96 496zM512 480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480C448 462.3 462.3 448 480 448C497.7 448 512 462.3 512 480zM480 464C471.2 464 464 471.2 464 480C464 488.8 471.2 496 480 496C488.8 496 496 488.8 496 480C496 471.2 488.8 464 480 464z"],
    "dial-max": [576, 512, [], "e15e", "M320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32zM288 16C279.2 16 272 23.16 272 32C272 40.84 279.2 48 288 48C296.8 48 304 40.84 304 32C304 23.16 296.8 16 288 16zM174.9 401.1C112.4 338.7 112.4 237.3 174.9 174.9C237.3 112.4 338.7 112.4 401.1 174.9C463.6 237.3 463.6 338.7 401.1 401.1C338.7 463.6 237.3 463.6 174.9 401.1V401.1zM282.3 282.3C285.5 279.2 290.5 279.2 293.7 282.3L395.3 384C445.1 327.5 444.2 240.5 389.8 186.2C333.6 129.9 242.4 129.9 186.2 186.2C129.9 242.4 129.9 333.6 186.2 389.8C240.5 444.2 327.5 445.1 384 395.3L282.3 293.7C279.2 290.5 279.2 285.5 282.3 282.3V282.3zM512 288C512 270.3 526.3 256 544 256C561.7 256 576 270.3 576 288C576 305.7 561.7 320 544 320C526.3 320 512 305.7 512 288zM544 304C552.8 304 560 296.8 560 288C560 279.2 552.8 272 544 272C535.2 272 528 279.2 528 288C528 296.8 535.2 304 544 304zM64 288C64 305.7 49.67 320 32 320C14.33 320 0 305.7 0 288C0 270.3 14.33 256 32 256C49.67 256 64 270.3 64 288zM32 272C23.16 272 16 279.2 16 288C16 296.8 23.16 304 32 304C40.84 304 48 296.8 48 288C48 279.2 40.84 272 32 272zM64 96C64 78.33 78.33 64 96 64C113.7 64 128 78.33 128 96C128 113.7 113.7 128 96 128C78.33 128 64 113.7 64 96zM96 112C104.8 112 112 104.8 112 96C112 87.16 104.8 80 96 80C87.16 80 80 87.16 80 96C80 104.8 87.16 112 96 112zM512 96C512 113.7 497.7 128 480 128C462.3 128 448 113.7 448 96C448 78.33 462.3 64 480 64C497.7 64 512 78.33 512 96zM480 80C471.2 80 464 87.16 464 96C464 104.8 471.2 112 480 112C488.8 112 496 104.8 496 96C496 87.16 488.8 80 480 80zM64 480C64 462.3 78.33 448 96 448C113.7 448 128 462.3 128 480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480zM96 496C104.8 496 112 488.8 112 480C112 471.2 104.8 464 96 464C87.16 464 80 471.2 80 480C80 488.8 87.16 496 96 496zM512 480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480C448 462.3 462.3 448 480 448C497.7 448 512 462.3 512 480zM480 464C471.2 464 464 471.2 464 480C464 488.8 471.2 496 480 496C488.8 496 496 488.8 496 480C496 471.2 488.8 464 480 464z"],
    "dial-med": [576, 512, [], "e15f", "M320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32zM288 16C279.2 16 272 23.16 272 32C272 40.84 279.2 48 288 48C296.8 48 304 40.84 304 32C304 23.16 296.8 16 288 16zM448 288C448 376.4 376.4 448 288 448C199.6 448 128 376.4 128 288C128 199.6 199.6 128 288 128C376.4 128 448 199.6 448 288zM288 296C283.6 296 280 292.4 280 288V144.2C204.2 148.4 144 211.2 144 288C144 367.5 208.5 432 288 432C367.5 432 432 367.5 432 288C432 211.2 371.8 148.4 296 144.2V288C296 292.4 292.4 296 288 296zM512 288C512 270.3 526.3 256 544 256C561.7 256 576 270.3 576 288C576 305.7 561.7 320 544 320C526.3 320 512 305.7 512 288zM544 304C552.8 304 560 296.8 560 288C560 279.2 552.8 272 544 272C535.2 272 528 279.2 528 288C528 296.8 535.2 304 544 304zM64 288C64 305.7 49.67 320 32 320C14.33 320 0 305.7 0 288C0 270.3 14.33 256 32 256C49.67 256 64 270.3 64 288zM32 272C23.16 272 16 279.2 16 288C16 296.8 23.16 304 32 304C40.84 304 48 296.8 48 288C48 279.2 40.84 272 32 272zM64 96C64 78.33 78.33 64 96 64C113.7 64 128 78.33 128 96C128 113.7 113.7 128 96 128C78.33 128 64 113.7 64 96zM96 112C104.8 112 112 104.8 112 96C112 87.16 104.8 80 96 80C87.16 80 80 87.16 80 96C80 104.8 87.16 112 96 112zM512 96C512 113.7 497.7 128 480 128C462.3 128 448 113.7 448 96C448 78.33 462.3 64 480 64C497.7 64 512 78.33 512 96zM480 80C471.2 80 464 87.16 464 96C464 104.8 471.2 112 480 112C488.8 112 496 104.8 496 96C496 87.16 488.8 80 480 80zM64 480C64 462.3 78.33 448 96 448C113.7 448 128 462.3 128 480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480zM96 496C104.8 496 112 488.8 112 480C112 471.2 104.8 464 96 464C87.16 464 80 471.2 80 480C80 488.8 87.16 496 96 496zM512 480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480C448 462.3 462.3 448 480 448C497.7 448 512 462.3 512 480zM480 464C471.2 464 464 471.2 464 480C464 488.8 471.2 496 480 496C488.8 496 496 488.8 496 480C496 471.2 488.8 464 480 464z"],
    "dial-med-low": [576, 512, [], "e160", "M320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32zM288 16C279.2 16 272 23.16 272 32C272 40.84 279.2 48 288 48C296.8 48 304 40.84 304 32C304 23.16 296.8 16 288 16zM401.1 174.9C463.6 237.3 463.6 338.7 401.1 401.1C338.7 463.6 237.3 463.6 174.9 401.1C112.4 338.7 112.4 237.3 174.9 174.9C237.3 112.4 338.7 112.4 401.1 174.9zM186.2 186.2L185.8 186.6L186.6 185.8L186.2 186.2zM389.8 389.8C446.1 333.6 446.1 242.4 389.8 186.2C335.5 131.8 248.5 130 191.1 180.7L293.7 282.3C296.8 285.5 296.8 290.5 293.7 293.7C290.5 296.8 285.5 296.8 282.3 293.7L180.7 191.1C130 248.5 131.8 335.5 186.2 389.8C242.4 446.1 333.6 446.1 389.8 389.8V389.8zM512 288C512 270.3 526.3 256 544 256C561.7 256 576 270.3 576 288C576 305.7 561.7 320 544 320C526.3 320 512 305.7 512 288zM544 304C552.8 304 560 296.8 560 288C560 279.2 552.8 272 544 272C535.2 272 528 279.2 528 288C528 296.8 535.2 304 544 304zM64 288C64 305.7 49.67 320 32 320C14.33 320 0 305.7 0 288C0 270.3 14.33 256 32 256C49.67 256 64 270.3 64 288zM32 272C23.16 272 16 279.2 16 288C16 296.8 23.16 304 32 304C40.84 304 48 296.8 48 288C48 279.2 40.84 272 32 272zM64 96C64 78.33 78.33 64 96 64C113.7 64 128 78.33 128 96C128 113.7 113.7 128 96 128C78.33 128 64 113.7 64 96zM96 112C104.8 112 112 104.8 112 96C112 87.16 104.8 80 96 80C87.16 80 80 87.16 80 96C80 104.8 87.16 112 96 112zM512 96C512 113.7 497.7 128 480 128C462.3 128 448 113.7 448 96C448 78.33 462.3 64 480 64C497.7 64 512 78.33 512 96zM480 80C471.2 80 464 87.16 464 96C464 104.8 471.2 112 480 112C488.8 112 496 104.8 496 96C496 87.16 488.8 80 480 80zM64 480C64 462.3 78.33 448 96 448C113.7 448 128 462.3 128 480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480zM96 496C104.8 496 112 488.8 112 480C112 471.2 104.8 464 96 464C87.16 464 80 471.2 80 480C80 488.8 87.16 496 96 496zM512 480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480C448 462.3 462.3 448 480 448C497.7 448 512 462.3 512 480zM480 464C471.2 464 464 471.2 464 480C464 488.8 471.2 496 480 496C488.8 496 496 488.8 496 480C496 471.2 488.8 464 480 464z"],
    "dial-min": [576, 512, [], "e161", "M320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32zM288 16C279.2 16 272 23.16 272 32C272 40.84 279.2 48 288 48C296.8 48 304 40.84 304 32C304 23.16 296.8 16 288 16zM174.9 174.9C237.3 112.4 338.7 112.4 401.1 174.9C463.6 237.3 463.6 338.7 401.1 401.1C338.7 463.6 237.3 463.6 174.9 401.1C112.4 338.7 112.4 237.3 174.9 174.9V174.9zM293.7 282.3C296.8 285.5 296.8 290.5 293.7 293.7L191.1 395.3C248.5 445.1 335.5 444.2 389.8 389.8C446.1 333.6 446.1 242.4 389.8 186.2C333.6 129.9 242.4 129.9 186.2 186.2C131.8 240.5 130 327.5 180.7 384L282.3 282.3C285.5 279.2 290.5 279.2 293.7 282.3V282.3zM512 288C512 270.3 526.3 256 544 256C561.7 256 576 270.3 576 288C576 305.7 561.7 320 544 320C526.3 320 512 305.7 512 288zM544 304C552.8 304 560 296.8 560 288C560 279.2 552.8 272 544 272C535.2 272 528 279.2 528 288C528 296.8 535.2 304 544 304zM64 288C64 305.7 49.67 320 32 320C14.33 320 0 305.7 0 288C0 270.3 14.33 256 32 256C49.67 256 64 270.3 64 288zM32 272C23.16 272 16 279.2 16 288C16 296.8 23.16 304 32 304C40.84 304 48 296.8 48 288C48 279.2 40.84 272 32 272zM64 96C64 78.33 78.33 64 96 64C113.7 64 128 78.33 128 96C128 113.7 113.7 128 96 128C78.33 128 64 113.7 64 96zM96 112C104.8 112 112 104.8 112 96C112 87.16 104.8 80 96 80C87.16 80 80 87.16 80 96C80 104.8 87.16 112 96 112zM512 96C512 113.7 497.7 128 480 128C462.3 128 448 113.7 448 96C448 78.33 462.3 64 480 64C497.7 64 512 78.33 512 96zM480 80C471.2 80 464 87.16 464 96C464 104.8 471.2 112 480 112C488.8 112 496 104.8 496 96C496 87.16 488.8 80 480 80zM64 480C64 462.3 78.33 448 96 448C113.7 448 128 462.3 128 480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480zM96 496C104.8 496 112 488.8 112 480C112 471.2 104.8 464 96 464C87.16 464 80 471.2 80 480C80 488.8 87.16 496 96 496zM512 480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480C448 462.3 462.3 448 480 448C497.7 448 512 462.3 512 480zM480 464C471.2 464 464 471.2 464 480C464 488.8 471.2 496 480 496C488.8 496 496 488.8 496 480C496 471.2 488.8 464 480 464z"],
    "dial-off": [576, 512, [], "e162", "M320 32C320 49.67 305.7 64 288 64C270.3 64 256 49.67 256 32C256 14.33 270.3 0 288 0C305.7 0 320 14.33 320 32zM288 16C279.2 16 272 23.16 272 32C272 40.84 279.2 48 288 48C296.8 48 304 40.84 304 32C304 23.16 296.8 16 288 16zM128 288C128 199.6 199.6 128 288 128C376.4 128 448 199.6 448 288C448 376.4 376.4 448 288 448C199.6 448 128 376.4 128 288zM288 280C292.4 280 296 283.6 296 288V431.8C371.8 427.6 432 364.8 432 288C432 208.5 367.5 144 288 144C208.5 144 144 208.5 144 288C144 364.8 204.2 427.6 280 431.8V288C280 283.6 283.6 280 288 280zM512 288C512 270.3 526.3 256 544 256C561.7 256 576 270.3 576 288C576 305.7 561.7 320 544 320C526.3 320 512 305.7 512 288zM544 304C552.8 304 560 296.8 560 288C560 279.2 552.8 272 544 272C535.2 272 528 279.2 528 288C528 296.8 535.2 304 544 304zM64 288C64 305.7 49.67 320 32 320C14.33 320 0 305.7 0 288C0 270.3 14.33 256 32 256C49.67 256 64 270.3 64 288zM32 272C23.16 272 16 279.2 16 288C16 296.8 23.16 304 32 304C40.84 304 48 296.8 48 288C48 279.2 40.84 272 32 272zM64 96C64 78.33 78.33 64 96 64C113.7 64 128 78.33 128 96C128 113.7 113.7 128 96 128C78.33 128 64 113.7 64 96zM96 112C104.8 112 112 104.8 112 96C112 87.16 104.8 80 96 80C87.16 80 80 87.16 80 96C80 104.8 87.16 112 96 112zM512 96C512 113.7 497.7 128 480 128C462.3 128 448 113.7 448 96C448 78.33 462.3 64 480 64C497.7 64 512 78.33 512 96zM480 80C471.2 80 464 87.16 464 96C464 104.8 471.2 112 480 112C488.8 112 496 104.8 496 96C496 87.16 488.8 80 480 80zM64 480C64 462.3 78.33 448 96 448C113.7 448 128 462.3 128 480C128 497.7 113.7 512 96 512C78.33 512 64 497.7 64 480zM96 496C104.8 496 112 488.8 112 480C112 471.2 104.8 464 96 464C87.16 464 80 471.2 80 480C80 488.8 87.16 496 96 496zM512 480C512 497.7 497.7 512 480 512C462.3 512 448 497.7 448 480C448 462.3 462.3 448 480 448C497.7 448 512 462.3 512 480zM480 464C471.2 464 464 471.2 464 480C464 488.8 471.2 496 480 496C488.8 496 496 488.8 496 480C496 471.2 488.8 464 480 464z"],
    "diamond": [512, 512, [9830], "f219", "M500.3 227.7C515.9 243.3 515.9 268.7 500.3 284.3L284.3 500.3C268.7 515.9 243.3 515.9 227.7 500.3L11.72 284.3C-3.905 268.7-3.905 243.3 11.72 227.7L227.7 11.72C243.3-3.905 268.7-3.905 284.3 11.72L500.3 227.7zM23.03 239C13.66 248.4 13.66 263.6 23.03 272.1L239 488.1C248.4 498.3 263.6 498.3 272.1 488.1L488.1 272.1C498.3 263.6 498.3 248.4 488.1 239L272.1 23.03C263.6 13.66 248.4 13.66 239 23.03L23.03 239z"],
    "diamond-exclamation": [512, 512, [], "e405", "M256 335.1c-8.832 0-16 7.168-16 16s7.168 16 16 16s16-7.168 16-16S264.8 335.1 256 335.1zM256 303.1c4.416 0 8-3.584 8-8v-160c0-4.416-3.584-8-8-8s-8 3.584-8 8v160C248 300.4 251.6 303.1 256 303.1zM497.7 222.6l-208.2-209.1c-19.01-18.02-50.05-18.02-68.06 0L14.27 222.6c-19.04 17.98-19.04 49.03 0 67.01l208.2 208.1c18.02 19.04 49.05 19.04 67.07 0l208.2-208.1C516.8 271.6 516.8 240.6 497.7 222.6zM486.7 278l-.2891 .3203l-208.2 208.1l-.2891 .3203c-11.71 12.32-32.13 12.32-43.84 0v-.0313l-.2871-.2891l-208.2-208.1L25.28 278c-12.38-11.68-12.38-32.1 0-43.78l.1602-.1914l.1914-.1934l207.1-209l.0332-.0313c11.55-11.52 32.54-12 45.57 .1914l208 208.9l.1602 .1914l.1602 .1602C499.1 245.9 499.1 266.3 486.7 278z"],
    "diamond-turn-right": [512, 512, ["directions"], "f5eb", "M497.1 222.1l-208.1-208.1c-9.354-9.354-21.63-14.03-33.89-14.03c-12.26 0-24.5 4.677-33.85 14.03L14.03 222.1C4.676 231.5 .0002 243.7 .0004 255.1c.0002 12.26 4.676 24.52 14.03 33.87l208.1 208.1C231.5 507.3 243.7 511.1 256 511.1c12.26 0 24.52-4.677 33.87-14.03l208.1-208.1c9.352-9.353 14.03-21.61 14.03-33.87C511.1 243.7 507.3 231.5 497.1 222.1zM486.7 278.6l-208.1 208.1C272.5 492.7 264.5 496 256 496c-8.52 0-16.53-3.32-22.56-9.346L25.34 278.6c-12.44-12.44-12.44-32.68 0-45.12L233.4 25.34C239.5 19.32 247.5 16 256 16c8.521 0 16.53 3.318 22.56 9.344l208.1 208.1C499.1 245.9 499.1 266.1 486.7 278.6zM397.4 234.2l-88.04-80.08c-3.234-3-8.312-2.719-11.3 .5313c-2.969 3.25-2.734 8.312 .5469 11.28L371.3 232H224c-22.06 0-40 17.94-40 40v72c0 4.406 3.578 8 7.1 8S200 348.4 200 344V272c0-13.22 10.77-24 24-24h147.3l-72.69 66.09c-3.281 2.969-3.516 8.031-.5469 11.28C299.7 327.1 301.8 328 304 328c1.922 0 3.844-.6875 5.375-2.094l88.04-80.08c.0469-.043-.0469 .043 0 0C398.1 244.4 400 242.3 400 240S398.1 235.6 397.4 234.2C397.4 234.1 397.5 234.2 397.4 234.2z"],
    "dice": [640, 512, [127922], "f522", "M599.1 192h-111.1c-4.422 0-7.1 3.594-7.1 7.1s3.578 7.1 7.1 7.1h111.1c13.23 0 23.1 10.78 23.1 23.1v239.1c0 13.22-10.77 23.1-23.1 23.1h-239.1c-13.23 0-23.1-10.78-23.1-23.1v-47.1c0-4.406-3.578-7.1-7.1-7.1C323.6 416 320 419.6 320 424v47.1C320 494.1 337.9 512 359.1 512h239.1c22.06 0 39.1-17.94 39.1-39.1V232C639.1 209.9 622.1 192 599.1 192zM479.1 384c17.64 0 31.1-14.36 31.1-31.1s-14.36-31.1-31.1-31.1c-17.64 0-31.1 14.36-31.1 31.1S462.4 384 479.1 384zM479.1 336c8.834 0 15.1 7.166 15.1 15.1s-7.166 15.1-15.1 15.1c-8.834 0-15.1-7.166-15.1-15.1S471.2 336 479.1 336zM447.1 224c0-12.56-4.782-25.13-14.35-34.76l-174.9-174.9C249.1 4.786 236.5 0 223.1 0C211.4 0 198.9 4.786 189.2 14.35L14.35 189.2C4.784 198.9-.0011 211.4-.0011 223.1c0 12.56 4.786 25.18 14.35 34.8l174.9 174.9c9.625 9.562 22.19 14.35 34.75 14.35c12.56 0 25.13-4.783 34.75-14.35l174.9-174.9C443.2 249.1 447.1 236.6 447.1 224zM431.1 224c0 8.491-3.207 16.98-9.615 23.43l-174.9 174.9c-6.293 6.254-14.63 9.697-23.48 9.697c-8.846 0-17.18-3.443-23.44-9.66L25.7 247.5C19.26 241 16.05 232.5 16.05 223.1c0-8.491 3.207-16.98 9.615-23.43l174.9-174.9C206.8 19.45 215.2 16 224 16c8.846 0 17.18 3.443 23.44 9.66l174.9 174.9C428.7 207 431.1 215.5 431.1 224zM112 192c-17.64 0-31.1 14.36-31.1 31.1s14.36 31.1 31.1 31.1S144 241.6 144 224S129.6 192 112 192zM112 240c-8.834 0-15.1-7.166-15.1-15.1s7.166-15.1 15.1-15.1S128 215.2 128 224S120.8 240 112 240zM224 304c-17.64 0-31.1 14.36-31.1 31.1s14.36 31.1 31.1 31.1s31.1-14.36 31.1-31.1S241.6 304 224 304zM224 352c-8.834 0-15.1-7.166-15.1-15.1s7.166-15.1 15.1-15.1c8.834 0 15.1 7.166 15.1 15.1S232.8 352 224 352zM224 192c-17.64 0-31.1 14.36-31.1 31.1s14.36 31.1 31.1 31.1S256 241.6 256 224S241.6 192 224 192zM224 240c-8.834 0-15.1-7.166-15.1-15.1s7.166-15.1 15.1-15.1c8.834 0 15.1 7.166 15.1 15.1S232.8 240 224 240zM224 80c-17.64 0-31.1 14.36-31.1 31.1s14.36 31.1 31.1 31.1s31.1-14.36 31.1-31.1S241.6 80 224 80zM224 128c-8.834 0-15.1-7.166-15.1-15.1s7.166-15.1 15.1-15.1c8.834 0 15.1 7.166 15.1 15.1S232.8 128 224 128zM335.1 192c-17.64 0-31.1 14.36-31.1 31.1s14.36 31.1 31.1 31.1c17.64 0 31.1-14.36 31.1-31.1S353.6 192 335.1 192zM335.1 240C327.2 240 320 232.8 320 224s7.166-15.1 15.1-15.1s15.1 7.166 15.1 15.1S344.8 240 335.1 240z"],
    "dice-d10": [512, 512, [], "f6cd", "M512 282.6c0-7.567-2.67-15.22-8.118-21.32l-224.1-250.6C273.4 3.562 264.7 0 256 0S238.6 3.562 232.2 10.62L8.151 261.3C2.704 267.4 0 274.1 0 282.5C0 291.4 3.64 300.2 10.8 306.5l224.1 197.5c3.863 3.402 8.396 5.335 13.11 6.558V512h16v-1.432c4.711-1.223 9.278-3.156 13.14-6.558l224.1-197.5C508.4 300.2 512 291.4 512 282.6zM20.05 271.9l220.8-247L154.1 249.1L41.81 272.7l1.381-1.383L41.81 272.7L16.79 277.1C17.45 275.8 18.48 273.7 20.05 271.9zM20.49 293.6l.6016-.126L20.69 293.8C20.61 293.8 20.57 293.6 20.49 293.6zM247.1 493.6c-.8516-.5059-1.789-.8652-2.543-1.529c0 0-224.5-197.1-224.8-198.2l.4023-.4053l137.5-28.97l89.38 52.13V493.6zM256 302.7L169.9 252.5L256 30.17l86.07 222.4L256 302.7zM490.6 294.5l-224.1 197.5c-.7539 .666-1.691 1.025-2.551 1.531V316.6l89.38-52.12l137.1 29.06C491.1 293.8 490.9 294.2 490.6 294.5zM357.9 249.1l-86.77-224.1L491.9 271.9c1.57 1.76 2.602 3.824 3.266 6.014L357.9 249.1z"],
    "dice-d12": [512, 512, [], "f6ce", "M505.3 178.5l-47.73-95.39c-5.25-10.53-18.09-23.38-28.62-28.62l-95.39-47.73C326.1 3.031 313.2 0 304.9 0H207.1C197.1 0 187.4 2.313 178.5 6.75L83.11 54.48C72.58 59.73 59.73 72.58 54.48 83.11l-47.73 95.39C3.031 185.9 0 198.8 0 207.1v97.77c0 9.969 2.313 19.75 6.75 28.62l47.73 95.4c5.25 10.53 18.09 23.38 28.62 28.62l95.4 47.73C185.9 508.1 198.8 512 207.1 512h97.75c9.969 0 19.75-2.312 28.62-6.75l95.4-47.73c10.53-5.25 23.38-18.09 28.62-28.62l47.73-95.38C508.1 326.1 512 313.2 512 304.9V207.1C512 197.2 509.7 187.4 505.3 178.5zM490.9 185.7c2.488 4.973 3.773 10.44 4.422 15.97l-112.8 124.1L264 251.6V149.6l176.8-63.14c.875 1.277 1.859 2.592 2.441 3.756L490.9 185.7zM90.25 68.78l95.41-47.72C192.3 17.75 199.7 16 207.1 16h97.78c5.816 0 16.23 2.459 21.44 5.061l95.43 47.73c2.207 1.1 4.676 2.906 7.168 4.955L256 135.5L83.07 73.74C85.56 71.69 88.04 69.88 90.25 68.78zM68.79 90.23c.5781-1.156 1.555-2.465 2.43-3.736L248 149.6v101.9l-118.6 74.13L16.52 201.5C17.38 195.1 19.17 189.4 21.06 185.7L68.79 90.23zM68.78 421.8l-47.71-95.41C17.75 319.7 16 312.3 16 304.9V224.7l105 115.5l50.76 143.8l-81.54-40.78C82.88 439.5 72.45 429.1 68.78 421.8zM207.1 496c-3.969 0-10.01-1.174-15.14-2.723L137.7 339.4L256 265.4l118.3 73.96l-54.3 153.8C315.1 494.9 310.1 496 304.9 496H207.1zM490.9 326.3l-47.73 95.43c-3.664 7.355-14.09 17.78-21.46 21.45l-81.52 40.77l50.76-143.8L496 224.7v80.2C496 310.7 493.5 321.1 490.9 326.3z"],
    "dice-d20": [512, 512, [], "f6cf", "M463.9 116.1l-192-111.9C267.8 1.875 260.7 0 255.1 0S244.2 1.875 240.1 4.25l-192 111.9C38.16 121.9 32 132.8 32 144.5v223c0 11.69 6.156 22.54 16.12 28.36l192 111.9C244.2 510.1 251.3 512 256 512s11.81-1.875 15.88-4.25l192-111.9C473.8 390.1 480 379.2 480 367.5V144.5C480 132.8 473.8 121.9 463.9 116.1zM256 384.8L142.3 200h227.4L256 384.8zM48.16 143.8l69.75 50.72L48 340.7V144.5C48 144.2 48.16 144.1 48.16 143.8zM278.9 26.91l176.9 103l-69.86 50.82L278.9 26.91zM368.7 184h-225.4L256 22L368.7 184zM126.2 180.8L56.24 129.9l176.9-103L126.2 180.8zM51.7 370.1l77.12-161.5l111.8 181.7L51.7 370.1zM383.1 208.7l77.17 161.4l-188.9 20.24L383.1 208.7zM394.1 194.6l69.75-50.72C463.8 144.1 464 144.2 464 144.5v196.3L394.1 194.6zM65.86 387.7L248 407.2v86.56L65.86 387.7zM264 493.8v-86.56l182.1-19.52L264 493.8z"],
    "dice-d4": [512, 512, [], "f6d0", "M512 309.1c0-7.045-2.342-14.15-7.127-20.07l-224-277.1C274.5 3.969 265.2 0 256 0S237.5 3.969 231.1 11.88l-224 277.1C2.342 294.9 0 302 0 309.1c0 9.61 4.358 19.12 12.62 25.43l224 170.1C242.3 509.9 249.2 512 256 512c6.843 0 13.66-2.135 19.37-6.51l224-170.1C507.6 328.2 512 318.7 512 309.1zM247.1 493.3C247.5 493 246.8 493.1 246.3 492.7l-224-170.9c-6.029-4.605-6.29-11.27-6.29-12.62c0-.1288 0 .0288 0 0c0-3.628 1.232-7.236 3.548-10.11l224-277.1c1.215-1.5 2.801-2.527 4.402-3.484V493.3zM496 309.2c0 1.346-.2576 8.015-6.278 12.62l-224.1 170.1c-.4766 .3652-1.156 .2539-1.664 .5586V18.44c1.609 .957 3.195 1.99 4.414 3.492l224 277.2C494.8 301.1 496 305.6 496 309.2C496 309.2 496 309.1 496 309.2z"],
    "dice-d6": [448, 512, [], "f6d1", "M431.9 116.1l-192-111.9C235.8 1.875 228.7 0 224 0S212.2 1.875 208.1 4.25l-192 111.9C6.156 121.9 0 132.8 0 144.5v223c0 11.69 6.156 22.54 16.12 28.36l192 111.9C210.2 508.1 213.1 509.1 216 510.8V512h16v-1.236c2.938-.7852 5.797-1.799 7.875-3.014l192-111.9C441.8 390.1 448 379.2 448 367.5V144.5C448 132.8 441.8 121.9 431.9 116.1zM216 493.8l-191.8-111.7C19.14 379.1 16 373.6 16 367.6V146.4l200 114.3V493.8zM224 246.8L22.5 131.7c.625-.5098 .9687-1.301 1.676-1.713l192-111.8C217.8 17.17 222.1 16 224 16s6.168 1.172 7.824 2.139l191.1 111.8c.707 .4141 1.051 1.207 1.684 1.719L224 246.8zM432 367.6c0 5.994-3.137 11.55-8.176 14.49L232 493.8V260.6l200-114.3V367.6z"],
    "dice-d8": [512, 512, [], "f6d2", "M512 256c0-8.638-3.259-17.27-9.868-23.88l-222.2-222.3C273.3 3.292 264.6 0 256 0C247.4 0 238.7 3.292 232.1 9.887L9.868 232.1C3.259 238.8 0 247.4 0 256C0 264.6 3.259 273.2 9.868 279.9l222.2 222.3C238.7 508.7 247.3 512 256 512s17.29-3.292 23.89-9.887l222.2-222.3C508.7 273.3 512 264.7 512 256zM248 493.9c-1.641-.838-3.258-1.742-4.601-3.085l-220.2-220.3l224.8 87.06V493.9zM248 340.4L17.02 250.1C17.83 248.2 19.07 245.6 21.23 243.5l222.2-222.2C244.7 19.9 246.4 18.1 248 18.16V340.4zM268.6 490.8c-1.336 1.336-2.953 2.235-4.586 3.073v-136.3l224.8-87.05L268.6 490.8zM264 340.4V18.17c1.641 .84 3.269 1.743 4.586 3.057l222.2 222.2C492.9 245.6 494.2 248.2 494.1 250.1L264 340.4z"],
    "dice-five": [448, 512, [9860], "f523", "M384 32H64C28.63 32 0 60.63 0 96v320c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V96C448 60.63 419.4 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416zM128 320c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S145.6 320 128 320zM128 368c-8.822 0-16-7.178-16-16s7.178-16 16-16s16 7.178 16 16S136.8 368 128 368zM128 128C110.4 128 96 142.4 96 160s14.38 32 32 32s32-14.38 32-32S145.6 128 128 128zM128 176C119.2 176 112 168.8 112 160S119.2 144 128 144S144 151.2 144 160S136.8 176 128 176zM224 224C206.4 224 192 238.4 192 256s14.38 32 32 32s32-14.38 32-32S241.6 224 224 224zM224 272C215.2 272 208 264.8 208 256S215.2 240 224 240s16 7.178 16 16S232.8 272 224 272zM320 320c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S337.6 320 320 320zM320 368c-8.822 0-16-7.178-16-16s7.178-16 16-16s16 7.178 16 16S328.8 368 320 368zM320 128c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S337.6 128 320 128zM320 176c-8.822 0-16-7.178-16-16s7.178-16 16-16s16 7.178 16 16S328.8 176 320 176z"],
    "dice-four": [448, 512, [9859], "f524", "M384 32H64C28.63 32 0 60.63 0 96v320c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V96C448 60.63 419.4 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416zM128 320c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S145.6 320 128 320zM128 368c-8.822 0-16-7.178-16-16s7.178-16 16-16s16 7.178 16 16S136.8 368 128 368zM128 128C110.4 128 96 142.4 96 160s14.38 32 32 32s32-14.38 32-32S145.6 128 128 128zM128 176C119.2 176 112 168.8 112 160S119.2 144 128 144S144 151.2 144 160S136.8 176 128 176zM320 320c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S337.6 320 320 320zM320 368c-8.822 0-16-7.178-16-16s7.178-16 16-16s16 7.178 16 16S328.8 368 320 368zM320 128c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S337.6 128 320 128zM320 176c-8.822 0-16-7.178-16-16s7.178-16 16-16s16 7.178 16 16S328.8 176 320 176z"],
    "dice-one": [448, 512, [9856], "f525", "M384 32H64C28.63 32 0 60.63 0 96v320c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V96C448 60.63 419.4 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416zM224 224C206.4 224 192 238.4 192 256s14.38 32 32 32s32-14.38 32-32S241.6 224 224 224zM224 272C215.2 272 208 264.8 208 256S215.2 240 224 240s16 7.178 16 16S232.8 272 224 272z"],
    "dice-six": [448, 512, [9861], "f526", "M384 32H64C28.63 32 0 60.63 0 96v320c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V96C448 60.63 419.4 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416zM128 320c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S145.6 320 128 320zM128 368c-8.824 0-16-7.178-16-16s7.176-16 16-16s16 7.178 16 16S136.8 368 128 368zM128 224C110.4 224 96 238.4 96 256s14.38 32 32 32s32-14.38 32-32S145.6 224 128 224zM128 272C119.2 272 112 264.8 112 256S119.2 240 128 240S144 247.2 144 256S136.8 272 128 272zM128 128C110.4 128 96 142.4 96 160s14.38 32 32 32s32-14.38 32-32S145.6 128 128 128zM128 176C119.2 176 112 168.8 112 160S119.2 144 128 144S144 151.2 144 160S136.8 176 128 176zM320 320c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S337.6 320 320 320zM320 368c-8.824 0-16-7.178-16-16s7.176-16 16-16s16 7.178 16 16S328.8 368 320 368zM320 224c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S337.6 224 320 224zM320 272c-8.824 0-16-7.178-16-16s7.176-16 16-16s16 7.178 16 16S328.8 272 320 272zM320 128c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S337.6 128 320 128zM320 176c-8.824 0-16-7.178-16-16s7.176-16 16-16s16 7.178 16 16S328.8 176 320 176z"],
    "dice-three": [448, 512, [9858], "f527", "M384 32H64C28.63 32 0 60.63 0 96v320c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V96C448 60.63 419.4 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416zM128 128C110.4 128 96 142.4 96 160s14.38 32 32 32s32-14.38 32-32S145.6 128 128 128zM128 176C119.2 176 112 168.8 112 160S119.2 144 128 144S144 151.2 144 160S136.8 176 128 176zM224 224C206.4 224 192 238.4 192 256s14.38 32 32 32s32-14.38 32-32S241.6 224 224 224zM224 272C215.2 272 208 264.8 208 256S215.2 240 224 240s16 7.178 16 16S232.8 272 224 272zM320 320c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S337.6 320 320 320zM320 368c-8.824 0-16-7.178-16-16s7.176-16 16-16s16 7.178 16 16S328.8 368 320 368z"],
    "dice-two": [448, 512, [9857], "f528", "M384 32H64C28.63 32 0 60.63 0 96v320c0 35.38 28.62 64 64 64h320c35.38 0 64-28.62 64-64V96C448 60.63 419.4 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416zM128 128C110.4 128 96 142.4 96 160s14.38 32 32 32s32-14.38 32-32S145.6 128 128 128zM128 176C119.2 176 112 168.8 112 160S119.2 144 128 144S144 151.2 144 160S136.8 176 128 176zM320 320c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S337.6 320 320 320zM320 368c-8.824 0-16-7.178-16-16s7.176-16 16-16s16 7.178 16 16S328.8 368 320 368z"],
    "diploma": [640, 512, ["scroll-ribbon"], "f5ea", "M552 144h-91.13C472.5 132.3 480 115.2 480 96c0-35.28-24.83-64-55.36-64C398.6 32 379.1 37.47 320 136.4C260.9 37.47 241.4 32 215.4 32C184.8 32 160 60.72 160 96c0 19.2 7.508 36.26 19.13 48H88C39.47 144 0 199.6 0 268c0 68.31 39.41 123.9 89.08 123.9L248 367.9V472c0 2.781 1.438 5.344 3.797 6.812c2.328 1.406 5.281 1.594 7.781 .3438L320 448.9l60.42 30.22C381.5 479.7 382.8 480 384 480c1.469 0 2.922-.4062 4.203-1.188C390.6 477.3 392 474.8 392 472v-104.1l160 24.1c48.53 0 88-55.63 88-124S600.5 144 552 144zM424.6 48C446.3 48 464 69.53 464 96s-17.66 48-39.36 48h-90.61C391.5 48 406.9 48 424.6 48zM176 96c0-26.47 17.66-48 39.36-48c17.75 0 33.19 0 90.61 96h-90.61C193.7 144 176 122.5 176 96zM88 376c-39.7 0-72-48.44-72-108S48.3 160 88 160h160v191.8L88 376zM376 459.1l-52.42-26.22c-2.25-1.125-4.906-1.125-7.156 0L264 459.1V160h112V459.1zM553.2 376.1L392 351.7V160h160c39.7 0 72 48.44 72 108S591.7 376 553.2 376.1z"],
    "disc-drive": [512, 512, [], "f8b5", "M256 96C167.6 96 96 167.6 96 256s71.63 160 160 160s160-71.63 160-160S344.4 96 256 96zM256 400c-79.4 0-144-64.6-144-144S176.6 112 256 112s144 64.6 144 144S335.4 400 256 400zM256 224C238.3 224 224 238.3 224 256s14.33 32 32 32c17.67 0 32-14.33 32-32S273.7 224 256 224zM256 272C247.2 272 240 264.8 240 256S247.2 240 256 240s16 7.178 16 16S264.8 272 256 272zM504 464H480V104C480 64.31 447.7 32 408 32h-304C64.3 32 32 64.31 32 104V464H8C3.578 464 0 467.6 0 472S3.578 480 8 480h496c4.422 0 8-3.594 8-8S508.4 464 504 464zM464 464h-416V104c0-30.88 25.12-56 56-56h304c30.88 0 56 25.12 56 56V464z"],
    "disease": [512, 512, [], "f7fa", "M472.2 195.9l-66.1-22.1c-19.25-6.623-33.5-20.87-38.13-38.24l-16-60.49C343.1 47.4 316.9 32 289.2 32c-17.5 0-35.2 6.178-48.14 19.55L194.1 99.3C182.1 111.8 165.2 118.8 146.6 118.8c-1.936 0-3.879-.0756-5.83-.2279c0 0-75.87-5.854-77.82-5.854c-48.65 0-79.85 46.69-53.05 83.09l38.63 52.49c11 14.1 12.75 33.74 4.625 50.12l-28.5 56.99c-18.43 36.84 14.33 75.59 57.62 75.59c5.168 0 10.48-.5525 15.88-1.724l69.1-15.25c5.17-1.156 10.42-1.718 15.62-1.718c15.05 0 29.77 4.703 41.38 13.34l54.38 40.87C291.9 475.8 306.4 480 320.7 480c31.14 0 60.86-20.01 63.25-50.77l4.625-61.86c1.375-17.75 12.88-33.87 30.62-42.99l61.1-31.62C526.1 269.8 520.9 212.5 472.2 195.9zM473.1 278.5l-62.05 31.64c-22.78 11.71-37.45 32.64-39.27 56.03l-4.621 61.81C366.3 450.5 342.6 464 320.7 464c-11.72 0-22.66-3.564-31.63-10.31l-54.44-40.91c-14.31-10.64-32.4-16.5-50.93-16.5c-6.438 0-12.87 .709-19.02 2.086l-69.99 15.24c-4.152 .9023-8.354 1.359-12.48 1.359c-17.4 0-33.86-8.445-41.94-21.52c-4.242-6.865-7.926-17.8-1.369-30.91l28.52-57.03c10.83-21.82 8.568-46.76-6.07-66.71L22.75 186.3C12.33 172.2 16.26 159.2 19.53 152.7C26.92 138.1 43.94 128.7 62.91 128.7c1.553 0 3.127 .0605 4.701 .1816c0 0 76.6 5.9 78.95 5.9c23.17 0 45.01-8.883 59.93-24.36l46.12-47.73C261.8 53.21 274.8 48 289.2 48c18.47 0 40.87 9.477 46.39 30.27l16.01 60.51c5.984 22.48 24.07 40.89 48.39 49.26l67.02 23c16.1 5.809 27.79 18.15 28.86 33.01C496.9 258.1 488.7 270.9 473.1 278.5zM159.1 184.1c-22.06 0-40 17.94-40 40c0 22.06 17.94 40 40 40s40-17.94 40-40C199.1 202 182 184.1 159.1 184.1zM159.1 248c-13.23 0-24-10.78-24-24s10.77-24 24-24s24 10.78 24 24S173.2 248 159.1 248zM287.1 280.1c-22.06 0-40 17.94-40 40c0 22.06 17.94 40 40 40s40-17.94 40-40C327.1 298 310 280.1 287.1 280.1zM287.1 344c-13.23 0-24-10.78-24-24s10.77-24 24-24s24 10.78 24 24S301.2 344 287.1 344zM303.1 224c8.875 0 15.1-7.124 15.1-15.1s-7.125-15.1-15.1-15.1s-15.1 7.124-15.1 15.1S295.1 224 303.1 224z"],
    "display": [576, 512, [], "e163", "M64 352h448V64H64V352zM80 80h416v256h-416V80zM528 0h-480C21.5 0 0 21.5 0 48v320C0 394.5 21.5 416 48 416h180.9l-26.67 80H136C131.6 496 128 499.6 128 504S131.6 512 136 512h304c4.406 0 8-3.578 8-8s-3.594-8-8-8h-66.21l-26.67-80H528c26.5 0 48-21.5 48-48v-320C576 21.5 554.5 0 528 0zM356.9 496H219.1l26.67-80h84.46L356.9 496zM560 368c0 17.64-14.36 32-32 32h-480c-17.64 0-32-14.36-32-32v-320c0-17.64 14.36-32 32-32h480c17.64 0 32 14.36 32 32V368z"],
    "display-arrow-down": [576, 512, [], "e164", "M528 0h-168C355.6 0 352 3.582 352 8s3.582 8 8 8h168c17.67 0 32 14.33 32 32v320c0 17.67-14.33 32-32 32h-480c-17.67 0-32-14.33-32-32v-320c0-17.67 14.33-32 32-32h168C220.4 16 224 12.42 224 8S220.4 0 216 0H48C21.49 0 0 21.49 0 48v320C0 394.5 21.49 416 48 416h180.9l-26.67 80H136C131.6 496 128 499.6 128 504S131.6 512 136 512h304c4.406 0 8-3.578 8-8s-3.594-8-8-8h-66.21l-26.67-80H528c26.51 0 48-21.49 48-48v-320C576 21.49 554.5 0 528 0zM356.9 496H219.1l26.67-80h84.46L356.9 496zM216 80C220.4 80 224 76.42 224 72S220.4 64 216 64H64v288h448V64h-152C355.6 64 352 67.58 352 72s3.582 8 8 8h136v256h-416v-256H216zM186.3 162.3c-3.125 3.125-3.125 8.188 0 11.31l95.1 95.1C283.8 271.1 285.8 272 288 272s4.213-.8984 5.66-2.348l95.1-95.1c3.125-3.125 3.125-8.188 0-11.31s-8.188-3.125-11.31 0L296 244.7V8C296 3.578 292.4 0 288 0S280 3.578 280 8v236.7L197.7 162.3C194.5 159.2 189.5 159.2 186.3 162.3z"],
    "display-code": [576, 512, ["desktop-code"], "e165", "M349.7 138.3c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31L396.7 208l-58.34 58.34c-3.125 3.125-3.125 8.188 0 11.31C339.9 279.2 341.1 280 344 280s4.094-.7813 5.656-2.344l64-64c3.125-3.125 3.125-8.188 0-11.31L349.7 138.3zM237.7 138.3c-3.125-3.125-8.188-3.125-11.31 0l-64 64c-3.125 3.125-3.125 8.188 0 11.31l64 64C227.9 279.2 229.1 280 232 280s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31L179.3 208l58.34-58.34C240.8 146.5 240.8 141.5 237.7 138.3zM64 352h448V64H64V352zM80 80h416v256h-416V80zM528 0h-480C21.5 0 0 21.5 0 48v320C0 394.5 21.5 416 48 416h180.9l-26.67 80H136C131.6 496 128 499.6 128 504S131.6 512 136 512h304c4.406 0 8-3.578 8-8s-3.594-8-8-8h-66.21l-26.67-80H528c26.5 0 48-21.5 48-48v-320C576 21.5 554.5 0 528 0zM356.9 496H219.1l26.67-80h84.46L356.9 496zM560 368c0 17.64-14.36 32-32 32h-480c-17.64 0-32-14.36-32-32v-320c0-17.64 14.36-32 32-32h480c17.64 0 32 14.36 32 32V368z"],
    "display-medical": [576, 512, ["desktop-medical"], "e166", "M64 352h448V64H64V352zM80 80h416v256h-416V80zM528 0h-480C21.5 0 0 21.5 0 48v320C0 394.5 21.5 416 48 416h180.9l-26.67 80H136C131.6 496 128 499.6 128 504S131.6 512 136 512h304c4.406 0 8-3.578 8-8s-3.594-8-8-8h-66.21l-26.67-80H528c26.5 0 48-21.5 48-48v-320C576 21.5 554.5 0 528 0zM356.9 496H219.1l26.67-80h84.46L356.9 496zM560 368c0 17.64-14.36 32-32 32h-480c-17.64 0-32-14.36-32-32v-320c0-17.64 14.36-32 32-32h480c17.64 0 32 14.36 32 32V368zM368 168h-40V128c0-13.23-10.77-24-24-24h-32C258.8 104 248 114.8 248 128v40H208C194.8 168 184 178.8 184 192v32c0 13.23 10.77 24 24 24h40V288c0 13.23 10.77 24 24 24h32c13.23 0 24-10.77 24-24V248h40c13.23 0 24-10.77 24-24V192C392 178.8 381.2 168 368 168zM376 224c0 4.406-3.594 8-8 8h-56V288c0 4.406-3.594 8-8 8h-32C267.6 296 264 292.4 264 288V232H208C203.6 232 200 228.4 200 224V192c0-4.406 3.594-8 8-8h56V128c0-4.406 3.594-8 8-8h32c4.406 0 8 3.594 8 8v56h56c4.406 0 8 3.594 8 8V224z"],
    "display-slash": [640, 512, ["desktop-slash"], "e2fa", "M544 342.1l-.001-278.1L194.2 64l20.13 16H528v249.4L544 342.1zM560 16c17.64 0 32 14.36 32 32v320c0 3.734-.9512 7.197-2.133 10.53l13.12 10.43c3.109-6.357 5.011-13.41 5.011-20.96v-320c0-26.5-21.5-48-48-48L113.6 0l20.13 16H560zM472 496h-66.21l-26.67-80h26.45l-20.13-16H80c-17.64 0-32-14.36-32-32V131.8L32 119.1L31.1 368c0 26.5 21.5 48 47.1 48h180.9l-26.67 80H168C163.6 496 160 499.6 160 504S163.6 512 168 512h304c4.406 0 8-3.578 8-8S476.4 496 472 496zM251.1 496l26.67-80h84.46l26.67 80H251.1zM96 169.9L95.1 352h229.1l-20.13-16H112V182.6L96 169.9zM636.1 497.7L12.99 1.73C11.53 .5664 9.771 0 8.025 0C5.674 0 3.336 1.027 1.738 3.012c-2.75 3.469-2.172 8.5 1.281 11.25l623.1 496C628.5 511.4 630.2 512 631.1 512c2.344 0 4.688-1.031 6.266-3.016C641 505.5 640.4 500.5 636.1 497.7z"],
    "distribute-spacing-horizontal": [448, 512, [], "e365", "M8 512C3.582 512 0 508.4 0 504V8C0 3.582 3.582 0 8 0C12.42 0 16 3.582 16 8V504C16 508.4 12.42 512 8 512zM96 144C96 117.5 117.5 96 144 96H304C330.5 96 352 117.5 352 144V368C352 394.5 330.5 416 304 416H144C117.5 416 96 394.5 96 368V144zM112 144V368C112 385.7 126.3 400 144 400H304C321.7 400 336 385.7 336 368V144C336 126.3 321.7 112 304 112H144C126.3 112 112 126.3 112 144zM432 8C432 3.582 435.6 0 440 0C444.4 0 448 3.582 448 8V504C448 508.4 444.4 512 440 512C435.6 512 432 508.4 432 504V8z"],
    "distribute-spacing-vertical": [512, 512, [], "e366", "M512 472C512 476.4 508.4 480 504 480H8C3.582 480 0 476.4 0 472C0 467.6 3.582 464 8 464H504C508.4 464 512 467.6 512 472zM144 384C117.5 384 96 362.5 96 336V176C96 149.5 117.5 128 144 128H368C394.5 128 416 149.5 416 176V336C416 362.5 394.5 384 368 384H144zM144 368H368C385.7 368 400 353.7 400 336V176C400 158.3 385.7 144 368 144H144C126.3 144 112 158.3 112 176V336C112 353.7 126.3 368 144 368zM8 48C3.582 48 0 44.42 0 40C0 35.58 3.582 32 8 32H504C508.4 32 512 35.58 512 40C512 44.42 508.4 48 504 48H8z"],
    "ditto": [320, 512, [], "22", "M305.1 54.93C292.9 39.64 274.5 32 255.1 32s-36.93 7.643-49.1 22.93c-12.2 15.29-17.27 35.3-13.85 54.93l25.21 145.2C221.6 274.1 237.4 288 255.1 288s34.44-13.89 37.74-32.99l25.24-145.2C322.4 90.22 317.3 70.21 305.1 54.93zM303.2 107.1l-25.24 145.2C275.1 263.7 266.8 272 255.1 272s-20-8.289-21.97-19.73L208.8 107.1c-2.627-15.1 1.232-30.48 10.6-42.22C227.1 54.16 241.3 48 255.1 48s28.04 6.156 36.59 16.91C301.9 76.63 305.8 92.01 303.2 107.1zM63.99 32C45.53 32 27.06 39.64 14.89 54.93C2.692 70.21-2.372 90.22 1.044 109.9l25.21 145.2C29.55 274.1 45.44 288 63.99 288S98.43 274.1 101.7 255l25.24-145.2c3.389-19.6-1.678-39.61-13.88-54.9C100.9 39.64 82.46 32 63.99 32zM111.2 107.1L85.97 252.3C83.1 263.7 74.76 272 63.1 272s-20-8.289-21.97-19.73L16.81 107.1c-2.627-15.1 1.232-30.48 10.6-42.22C35.96 54.16 49.29 48 63.1 48s28.04 6.156 36.59 16.91C109.9 76.63 113.8 92.01 111.2 107.1z"],
    "divide": [448, 512, [10135, 247], "f529", "M224 192c35.38 0 64-28.62 64-64s-28.62-64-64-64S160 92.63 160 128S188.6 192 224 192zM224 80c26.47 0 48 21.53 48 48S250.5 176 224 176S176 154.5 176 128S197.5 80 224 80zM440 248H8C3.578 248 0 251.6 0 256s3.578 8 8 8h432C444.4 264 448 260.4 448 256S444.4 248 440 248zM224 320c-35.38 0-64 28.62-64 64s28.62 64 64 64s64-28.62 64-64S259.4 320 224 320zM224 432c-26.47 0-48-21.53-48-48s21.53-48 48-48s48 21.53 48 48S250.5 432 224 432z"],
    "dna": [448, 512, [129516], "f471", "M292.9 289.5c-3.516-2.719-8.531-2.031-11.22 1.5c-2.688 3.5-2 8.531 1.5 11.19C304.2 318.2 321.3 335.1 335.5 352H112.1c26.24-31.3 62.79-62.67 114.6-88.88c.1582-.0801 .3525-.2061 .5107-.2861c.041-.0234-.041 .0273 0 0C413.7 168.7 416 9.592 416 8C416 3.594 412.4 0 408 0s-8 3.594-8.016 8c0 .4785-.3203 16.12-6.41 40H54.41C48.32 24.12 48 8.479 48 8C47.98 3.594 44.41 0 40 0S32 3.594 32 8C32 9.555 34.55 161.2 207.7 256C34.55 350.8 32 502.4 32 504C32 508.4 35.58 512 39.98 512s8-3.594 8.016-8c0-.4785 .3203-16.12 6.41-40h339.3C399.7 487.9 400 503.6 400 504c.0156 4.406 3.594 8 8 8S416 508.4 416 504C416 499.1 414.6 382.4 292.9 289.5zM388.9 64c-7.477 23.07-20.26 51.08-41.37 80H100.5C79.35 115.1 66.56 87.07 59.09 64H388.9zM112.1 160h222C309.4 190.5 273.8 221.1 224 246.9C174.2 221.1 138.6 190.5 112.1 160zM59.09 448c7.477-23.07 20.26-51.08 41.37-80h247.5c21.06 28.88 33.64 56.92 41.08 80H59.09z"],
    "do-not-enter": [512, 512, [], "f5ec", "M80 240C80 222.3 94.33 208 112 208H400C417.7 208 432 222.3 432 240V272C432 289.7 417.7 304 400 304H112C94.33 304 80 289.7 80 272V240zM96 272C96 280.8 103.2 288 112 288H400C408.8 288 416 280.8 416 272V240C416 231.2 408.8 224 400 224H112C103.2 224 96 231.2 96 240V272zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "dog": [576, 512, [128021], "f6d3", "M432 92C432 85.37 437.4 80 444 80C450.6 80 456 85.37 456 92C456 98.63 450.6 104 444 104C437.4 104 432 98.63 432 92zM320 369.4C314.8 371.6 309.4 373.6 304 375.3C286.3 380.1 267.5 384 248 384C228.5 384 209.7 380.1 192 375.3C186.6 373.6 181.2 371.6 176 369.4V464C176 490.5 154.5 512 128 512H112C85.49 512 64 490.5 64 464V233.8C35.23 222.9 12.64 198.5 4.837 167.3L.9568 151.8C-3.33 134.6 7.095 117.2 24.24 112.1C41.39 108.7 58.76 119.1 63.05 136.2L66.93 151.8C70.49 166 83.29 176 97.97 176H314.7L340.7 19.85C342.6 8.395 352.5 0 364.1 0C371.6 0 378.6 3.52 383.1 9.502L400 32H444.1C456.8 32 469.1 37.06 478.1 46.06L496 64H544C561.7 64 576 78.33 576 96V120C576 159.8 543.8 192 504 192H441.3L432 247.1V464C432 490.5 410.5 512 384 512H368C341.5 512 320 490.5 320 464L320 369.4zM317.8 192H97.97C75.95 192 56.75 177 51.4 155.6L47.52 140.1C45.38 131.5 36.69 126.3 28.12 128.5C19.55 130.6 14.34 139.3 16.48 147.9L20.36 163.4C26.86 189.4 45.67 209.8 69.67 218.8L80 222.7V464C80 481.7 94.33 496 112 496H128C145.7 496 160 481.7 160 464V345.2L182.3 354.7C202.4 363.2 224.6 368 248 368C271.4 368 293.6 363.2 313.7 354.7L336 345.2V464C336 481.7 350.3 496 368 496H384C401.7 496 416 481.7 416 464V249.3L317.8 192zM427.8 176H504C534.9 176 560 150.9 560 120V96C560 87.16 552.8 80 544 80H489.4L466.7 57.37C460.7 51.37 452.6 48 444.1 48H392L370.3 19.1C368.9 17.15 366.6 16 364.1 16C360.3 16 357.1 18.74 356.5 22.48L330.1 180.6L418.4 232.2L427.8 176zM382.9 9.697L370.3 19.1z"],
    "dog-leashed": [576, 512, [129454], "f6d4", "M432 92C432 85.37 437.4 80 444 80C450.6 80 456 85.37 456 92C456 98.63 450.6 104 444 104C437.4 104 432 98.63 432 92zM65.63 3.165C68.3-.3547 73.32-1.043 76.84 1.627L306.7 176H314.7L340.7 19.85C342.6 8.395 352.5 .0002 364.1 .0002C371.6 .0002 378.6 3.521 383.1 9.502L400 32H444.1C456.8 32 469.1 37.06 478.1 46.06L496 64H544C561.7 64 576 78.33 576 96V120C576 159.8 543.8 192 504 192H441.3L432 248V464C432 490.5 410.5 512 384 512H368C341.5 512 320 490.5 320 464V369.4C314.8 371.6 309.4 373.6 304 375.3C286.3 380.1 267.5 384 248 384C228.5 384 209.7 380.1 192 375.3C186.6 373.6 181.2 371.6 176 369.4V464C176 490.5 154.5 512 128 512H112C85.49 512 64 490.5 64 464V233.8C35.23 222.9 12.64 198.5 4.837 167.3L.9568 151.8C-3.33 134.6 7.095 117.2 24.24 112.1C41.39 108.7 58.76 119.1 63.05 136.2L66.93 151.8C70.49 166 83.29 176 97.97 176H280.2L67.17 14.37C63.65 11.7 62.96 6.685 65.63 3.165V3.165zM317.8 192H288V363.2C296.9 361 305.5 358.2 313.7 354.7L336 345.2V464C336 481.7 350.3 496 368 496H384C401.7 496 416 481.7 416 464V249.3L317.8 192zM272 192H97.97C75.95 192 56.75 177 51.4 155.6L47.52 140.1C45.38 131.5 36.69 126.3 28.12 128.5C19.55 130.6 14.34 139.3 16.48 147.9L20.36 163.4C26.86 189.4 45.67 209.8 69.67 218.8L80 222.7V464C80 481.7 94.33 496 112 496H128C145.7 496 160 481.7 160 464V345.2L182.3 354.7C202.4 363.2 224.6 368 248 368C256.2 368 264.2 367.4 272 366.3V192zM427.8 176H504C534.9 176 560 150.9 560 120V96C560 87.16 552.8 80 544 80H489.4L466.7 57.37C460.7 51.37 452.6 48 444.1 48H392L370.3 19.1C368.9 17.15 366.6 16 364.1 16C360.3 16 357.1 18.74 356.5 22.48L330.1 180.6L418.4 232.2L427.8 176zM370.3 19.1L382.9 9.697z"],
    "dollar-sign": [320, 512, [128178, 61781, "dollar", "usd"], "24", "M168 64.2C203.8 66.44 238.8 73.6 263.9 79.6C268.2 80.63 270.8 84.95 269.8 89.25C268.8 93.54 264.4 96.19 260.1 95.16C224.9 86.73 171.7 76.48 125.1 80.32C101.9 82.24 81.05 87.62 65.06 97.92C49.33 108 37.92 123.1 33.59 145.6C30.34 162.6 32.28 175.7 37.51 186.3C42.79 197 51.81 205.9 64.01 213.6C88.79 229.1 124.5 238.4 161.1 248L162.9 248.3C199.3 257.6 237.4 267.4 264.5 284.5C278.3 293.1 289.9 304 296.8 318.2C303.9 332.4 305.9 349.2 302.1 368.9C295.9 401.1 272.9 423.2 241 435.5C220.1 443.5 195.2 447.5 168 447.5V504C168 508.4 164.4 512 160 512C155.6 512 152 508.4 152 504V447C142.9 446.5 133.6 445.6 124.2 444.3L124.2 444.3C96.82 440.3 55.69 431 20.88 416.2C16.81 414.5 14.91 409.8 16.64 405.8C18.36 401.7 23.06 399.8 27.12 401.5C60.3 415.6 99.1 424.6 126.5 428.5C168.9 434.4 206.9 431.5 235.3 420.6C263.5 409.7 281.5 391.2 286.4 365.9C289.7 348.1 287.7 335.8 282.5 325.2C277.2 314.5 268.2 305.7 255.1 298C231.2 282.5 195.5 273.2 158 263.5L157.1 263.3C120.7 253.9 82.62 244.1 55.51 227.1C41.66 218.4 30.14 207.6 23.16 193.4C16.13 179.2 14.08 162.4 17.88 142.6C23.05 115.7 37.08 96.9 56.4 84.46C75.44 72.21 99.2 66.41 123.8 64.38C133.1 63.61 142.5 63.38 152 63.55V8C152 3.582 155.6 0 160 0C164.4 0 168 3.582 168 8L168 64.2z"],
    "dolly": [576, 512, ["dolly-box"], "f472", "M565.6 336.4l-254.5 79.54c-11.1-19.01-31.48-31.92-55.08-31.92c-3.365 0-6.603 .4861-9.827 .9861L138.1 39.31C130.8 15.78 109.3 0 84.66 0H8C3.594 0 0 3.594 0 8S3.594 16 8 16h76.66c17.59 0 32.94 11.28 38.19 28.06l107.9 345.1C207.1 399 192 421.6 192 448c0 35.35 28.65 64 64 64s64-28.65 64-64c0-6.037-1.104-11.76-2.666-17.3l253-79.08c4.219-1.312 6.594-5.781 5.25-10C574.3 337.4 569.9 335.1 565.6 336.4zM256 496c-26.47 0-48-21.53-48-48s21.53-48 48-48s48 21.53 48 48S282.5 496 256 496zM286.7 302.7c6.545 19.64 24.84 32.83 45.53 32.83c5.154 0 10.26-.832 15.18-2.471l131.3-43.76c12.16-4.055 22.02-12.6 27.75-24.07c5.734-11.47 6.658-24.48 2.605-36.64l-43.76-131.3c-6.545-19.64-24.84-32.83-45.53-32.83c-5.154 0-10.26 .832-15.18 2.471L273.3 110.7c-12.16 4.055-22.02 12.6-27.75 24.07C239.8 146.2 238.9 159.3 242.9 171.4L286.7 302.7zM278.4 125.9l131.3-43.76C413 81 416.4 80.47 419.8 80.47c13.4 0 25.88 8.48 30.35 21.89l43.76 131.3c5.588 16.77-3.473 34.89-20.24 40.48l-131.3 43.76C339 319 335.6 319.5 332.2 319.5c-13.4 0-25.88-8.48-30.35-21.89L258.1 166.4C252.5 149.6 261.6 131.5 278.4 125.9z"],
    "dolly-empty": [576, 512, [], "f473", "M565.6 336.4l-254.5 79.54c-11.1-19.01-31.49-31.92-55.08-31.92c-3.365 0-6.597 .4861-9.822 .9861L138.1 39.31C130.8 15.78 109.3 0 84.66 0H8C3.594 0 0 3.594 0 8S3.594 16 8 16h76.66c17.59 0 32.94 11.28 38.19 28.06l107.9 345.1C207.1 399 192 421.6 192 448c0 35.35 28.65 64 64 64s64-28.65 64-64c0-6.037-1.104-11.76-2.666-17.3l253-79.08c4.219-1.312 6.594-5.781 5.25-10C574.3 337.4 569.9 335.1 565.6 336.4zM256 496c-26.47 0-48-21.53-48-48s21.53-48 48-48s48 21.53 48 48S282.5 496 256 496z"],
    "dolphin": [512, 512, [], "e168", "M144 128c-8.875 0-16 7.125-16 16s7.125 16 16 16C152.9 160 160 152.9 160 144S152.9 128 144 128zM438.4 129.5l-13.9-11.92c9.016-24.25 26.23-54.14 52.31-89.89c5.311-7.328 3.281-15.04-.4336-19.82c-3.879-5.023-9.588-7.891-16.36-7.891c-1.291 0-2.619 .1009-3.98 .3158c-51.75 8.117-93.62 24.63-123.9 40.08c-35.5-25.72-77.93-40.4-122.1-40.4L176 0C96.47 0 32 64.47 32 144c0 18.38 3.771 35.8 10.05 51.97L14.25 214.5C5.348 220.4 0 230.4 0 241.1V256c0 17.67 14.33 32 32 32L192.9 288l102.8 61.7C298.4 351.3 301.2 352 303.1 352C312.3 352 320 345.3 320 335.1V288h8C358.9 288 384 313.1 384 344s-25.07 56-56 56h-62.22l-13.07-21.31C248.3 372 240.8 368 232.7 368H171.1c-9.561 0-15.27 10.65-9.965 18.61l35.55 53.38l-35.53 53.36C156.7 501.3 162.4 512 172 512H232.7c8.064-.0039 15.58-4.029 19.99-10.69L265.8 480H320c105.9 0 192.4-86.08 192-191.1C512 202.3 460.3 148.3 438.4 129.5zM444.9 412.1C411.5 445.6 367.2 464 320 464h-63.18l-17.45 28.48C237.9 494.7 235.4 496 232.7 496H179.5l37.3-56.01L179.5 384l53.19 .0008c2.688 0 5.211 1.316 6.371 3.05L256.8 416H328c39.7 0 72-32.3 72-72S367.7 272 328 272H320V256c0-4.418-3.582-8-8-8S304 251.6 304 256v79.98L201.2 274.3l-4.744-2.277H32c-8.822 0-16-7.176-16-16V241.1c0-5.363 2.664-10.34 7.127-13.31l38.49-25.66C58.2 193.4 48 172.1 48 144c0-70.58 57.42-128 128-128h34.04c6.51 0 55.91-3.758 120.6 43.11l8.725-4.449c37.31-19.02 77.39-31.98 120.6-38.65c2.111 0 3.023 .8008 3.861 2.281c-26.43 36.24-44.72 67.78-54.38 93.75l-3.889 10.46l22.38 19.18C448.4 159.2 496 208.6 496 288.1C496.2 334.8 478 378.8 444.9 412.1z"],
    "dong-sign": [384, 512, [], "e169", "M320 40V80H344C348.4 80 352 83.58 352 88C352 92.42 348.4 96 344 96H320V408C320 412.4 316.4 416 312 416C307.6 416 304 412.4 304 408V350C282.2 389.4 240.2 416 192 416C121.3 416 64 358.7 64 288C64 217.3 121.3 160 192 160C240.2 160 282.2 186.6 304 225.1V96H200C195.6 96 192 92.42 192 88C192 83.58 195.6 80 200 80H304V40C304 35.58 307.6 32 312 32C316.4 32 320 35.58 320 40V40zM304 288C304 226.1 253.9 176 192 176C130.1 176 80 226.1 80 288C80 349.9 130.1 400 192 400C253.9 400 304 349.9 304 288zM376 464C380.4 464 384 467.6 384 472C384 476.4 380.4 480 376 480H8C3.582 480 0 476.4 0 472C0 467.6 3.582 464 8 464H376z"],
    "donut": [512, 512, [127849, "doughnut"], "e406", "M421.7 170.3C423.2 171.8 423.1 173.9 423.1 176C423.1 178.1 423.2 180.2 421.7 181.7C420.2 183.2 418.1 184 416 184C413.9 184 411.8 183.2 410.3 181.7L378.3 149.7C376.8 148.2 375.1 146.1 375.1 144C375.1 141.9 376.8 139.8 378.3 138.3C379.8 136.8 381.9 135.1 384 135.1C386.1 135.1 388.2 136.8 389.7 138.3L421.7 170.3zM181.7 282.3C183.2 283.8 183.1 285.9 183.1 288C183.1 290.1 183.2 292.2 181.7 293.7C180.2 295.2 178.1 296 176 296C173.9 296 171.8 295.2 170.3 293.7L138.3 261.7C136.8 260.2 135.1 258.1 135.1 256C135.1 253.9 136.8 251.8 138.3 250.3C139.8 248.8 141.9 247.1 144 247.1C146.1 247.1 148.2 248.8 149.7 250.3L181.7 282.3zM413.7 258.3C415.2 259.8 415.1 261.9 415.1 264C415.1 266.1 415.2 268.2 413.7 269.7C412.2 271.2 410.1 272 408 272C405.9 272 403.8 271.2 402.3 269.7L370.3 237.7C368.8 236.2 367.1 234.1 367.1 232C367.1 229.9 368.8 227.8 370.3 226.3C371.8 224.8 373.9 223.1 376 223.1C378.1 223.1 380.2 224.8 381.7 226.3L413.7 258.3zM320.1 263.1C322.3 263.1 324.3 264.8 325.8 266.3C327.3 267.8 328.1 269.9 328.1 272C328.1 274.1 327.3 276.2 325.8 277.7L293.8 309.7C292.3 311.2 290.3 312 288.1 312C286 312 283.1 311.2 282.5 309.7C280.1 308.2 280.1 306.1 280.1 304C280.1 301.9 280.1 299.8 282.5 298.3L314.5 266.3C315.1 264.8 318 263.1 320.1 263.1zM252.9 119.4C251.1 118.1 251.1 118.4 250.3 117.7C248.8 116.2 248 114.1 248 112C248 109.9 248.8 107.8 250.3 106.3L274.3 82.34C275.1 81.59 275.1 81 276.9 80.6C277.9 80.2 278.9 79.99 280 79.99C281.1 79.99 282.1 80.2 283.1 80.6C284 81 284.9 81.59 285.7 82.34C286.4 83.08 286.1 83.96 287.4 84.93C287.8 85.91 288 86.95 288 88C288 89.05 287.8 90.09 287.4 91.07C286.1 92.04 286.4 92.92 285.7 93.66L261.7 117.7C260.9 118.4 260 118.1 259.1 119.4C258.1 119.8 257.1 120 256 120C254.9 120 253.9 119.8 252.9 119.4zM101.7 202.3C103.2 203.8 104 205.9 104 208C104 210.1 103.2 212.2 101.7 213.7C100.2 215.2 98.12 216 96 216H64C61.88 216 59.84 215.2 58.34 213.7C56.84 212.2 56 210.1 56 208C56 205.9 56.84 203.8 58.34 202.3C59.84 200.8 61.88 200 64 200H96C98.12 200 100.2 200.8 101.7 202.3zM167.1 128C167.1 130.1 167.2 132.2 165.7 133.7L133.7 165.7C132.2 167.2 130.1 168 128 168C125.9 168 123.8 167.2 122.3 165.7C120.8 164.2 120 162.1 120 160C120 157.9 120.8 155.8 122.3 154.3L154.3 122.3C155.8 120.8 157.9 120 160 120C162.1 120 164.2 120.8 165.7 122.3C167.2 123.8 167.1 125.9 167.1 128zM336 192C336 219.4 301.6 240 256 240C210.4 240 176 219.4 176 192C176 164.6 210.4 144 256 144C301.6 144 336 164.6 336 192zM320 192C320 173.8 292.5 160 256 160C219.5 160 192 173.8 192 192C192 210.2 219.5 224 256 224C292.5 224 320 210.2 320 192zM512 208V304C512 392.4 397.4 464 256 464C114.6 464 0 392.4 0 304V208C0 119.6 114.6 48 256 48C397.4 48 512 119.6 512 208zM495.9 270.9C489.8 276.4 482.1 280.8 475.5 284.1C462.2 289.2 450.1 298.6 443.5 310.8C433.7 323.5 420.9 333.5 406.3 339.9C391.6 346.3 375.6 348.1 359.6 347.6C341.8 347.5 324.2 350.9 307.8 357.8C274.5 371.4 237.3 371.4 204.1 357.8C187.7 350.9 170 347.5 152.2 347.6C136.3 348.1 120.2 346.3 105.6 339.9C90.93 333.5 78.13 323.5 68.35 310.8C60.9 298.6 49.66 289.2 36.35 284.1C28.92 280.8 22.05 276.4 16 270.9V304C16 383.4 123.7 448 256 448C388.3 448 496 383.4 496 304L495.9 270.9zM496 208C496 128.6 388.3 64 256 64C123.7 64 16 128.6 16 208C16 208 16 235.2 16 240.5C15.68 250.9 25.95 262 42.82 269.5C59.43 275.1 73.4 287.8 82.5 303.2C91.03 313.1 101.8 320.9 113.1 325.9C126.1 330.8 139.2 332.8 152.3 331.6C172.3 331.4 192.2 335.4 210.6 343.2C239.7 354.9 272.3 354.9 301.4 343.2C319.8 335.4 339.7 331.4 359.7 331.6C372.8 332.8 385.9 330.8 398 325.9C410.2 320.9 420.1 313.1 429.5 303.2C438.6 287.8 452.6 275.1 469.2 269.5C486 262 496.3 250.9 496 240.5C496 235.2 496 208 496 208z"],
    "door-closed": [576, 512, [128682], "f52a", "M568 496H480V56C480 25.12 454.9 0 424 0h-272C121.1 0 96 25.12 96 56V496H8C3.594 496 0 499.6 0 504S3.594 512 8 512h560c4.406 0 8-3.594 8-8S572.4 496 568 496zM464 496h-352V56c0-22.06 17.94-40 40-40h272c22.06 0 40 17.94 40 40V496zM384 216c-22.06 0-40 17.94-40 40S361.9 296 384 296S424 278.1 424 256S406.1 216 384 216zM384 280c-13.22 0-24-10.78-24-24S370.8 232 384 232S408 242.8 408 256S397.2 280 384 280z"],
    "door-open": [576, 512, [], "f52b", "M232 216c-17.66 0-32 17.94-32 39.1s14.34 40 32 40s31.1-17.94 31.1-40S249.7 216 232 216zM232 280c-8.687 0-15.1-11-15.1-24c0-12.1 7.312-23.1 15.1-23.1c8.687 0 15.1 10.1 15.1 23.1C248 269 240.7 280 232 280zM568 496h-55.1v-392c0-22.06-17.94-40-39.97-40h-112c-4.406 0-7.1 3.594-7.1 8s3.594 8 7.1 8h112c13.22 0 23.97 10.78 23.97 24v400c0 4.406 3.594 8 7.1 8h63.1C572.4 512 576 508.4 576 504S572.4 496 568 496zM304.8 7.801c-9.219-7.125-20.94-9.438-32.09-6.656L92.72 47.8C75.82 52.24 64 67.8 64 85.68V496l-56.5 .0313c-4.312 .25-7.625 3.906-7.5 8.219c.125 4.312 3.687 7.75 7.1 7.75h303.1c4.406 0 7.1-3.594 7.1-8V39.02C320 26.64 314.5 15.27 304.8 7.801zM304 496H80V85.68c0-10.59 6.906-19.81 16.75-22.37l179.1-46.66c6.406-1.75 13.03-.2187 18.31 3.812c5.687 4.406 8.937 11.16 8.937 18.56V496z"],
    "dove": [512, 512, [128330], "f4ba", "M165.4 95c4.094 1.531 8.719-.8125 10.16-4.969c9.156-26.87 22.77-51.12 40.44-72.12C217.9 15.66 220.2 15.81 221.4 16.22C222.3 16.44 225.2 17.53 225.7 21.13c6.125 40.41 22.7 79.06 47.94 111.7C275.2 134.9 277.6 136 280 136c1.719 0 3.438-.5313 4.891-1.656c3.5-2.719 4.141-7.719 1.438-11.22c-23.58-30.56-39.06-66.66-44.78-104.4C240.2 9.971 234.1 3.096 225.6 .7836C217.4-1.466 209.1 1.221 203.7 7.659C184.8 30.13 170.3 56.1 160.4 84.85C159 89.03 161.2 93.6 165.4 95zM495.1 63.95l-95.98 .0165c-44.18 0-79.1 35.89-79.1 80.08l.0014 59.44c-104.4-6.25-193-70.46-233-161.7c-2.832-6.439-8.894-9.785-14.91-9.785c-5.666 0-11.27 2.921-14.06 8.861c-15.69 33.14-24.92 69.94-25.92 108.7C30.6 207.9 52.13 264.1 88.37 310.6c22.86 28.8 45.62 48.19 67.63 64.59L12.12 411.2c-10.75 2.75-15.5 15.09-9.5 24.47c17.38 26.88 60.42 72.54 153.2 76.29C156.1 511.1 156.4 512 156.7 512c7.676 0 15.32-2.86 21.2-7.899l65.23-56.12l76.84 .0561c88.37 0 160-71.51 160-159.9l.0013-160.2l30.29-40.87C515.6 76.46 507.9 63.95 495.1 63.95zM464 124.2v163.9c0 79.34-64.6 143.9-144 143.9H237.2l-69.73 59.98c-2.992 2.564-6.906 4.037-11.06 4.037c-85.55-3.459-124.7-44.69-140.4-69.25l176.6-44.2l-27.06-20.16c-14.54-10.84-26.39-20.81-37.35-31.46C77.24 281.1 48 218.4 48 156.6c0-37.97 8.261-74.62 24.03-108.6c0 0-.0391 0 0 0c43.46 99.16 138.3 164.1 247 171.5L336 220.4V144.1c0-35.36 28.71-64.13 64-64.13h95.98L464 124.2zM384 144.1c0 8.752 7.259 16.01 16.01 16.01s15.99-7.296 15.99-16.05c0-8.875-7.238-16.01-15.99-16.01S384 135.2 384 144.1z"],
    "down": [384, 512, ["arrow-alt-down"], "f354", "M128 64v192H32C19.06 256 7.391 263.8 2.438 275.8C.7969 279.7 0 283.9 0 287.1C0 296.3 3.25 304.5 9.375 310.6l160 160C175.6 476.9 183.8 480 192 480s16.38-3.125 22.62-9.375l160-160C380.7 304.5 384 296.3 384 287.1c0-4.123-.7969-8.281-2.438-12.25C376.6 263.8 364.9 256 352 256h-96V64c0-17.67-14.33-32-32-32H160C142.3 32 128 46.33 128 64zM224 48c8.822 0 16 7.178 16 16v208H352c6.492 0 12.29 3.877 14.78 9.867C367.6 283.8 368 285.9 368 287.1c0 4.273-1.666 8.291-4.689 11.31l-160 160C200.3 462.3 196.3 464 192 464c-4.271 0-8.289-1.666-11.31-4.689l-160-160C17.66 296.3 16 292.3 16 287.1c0-2.107 .4102-4.17 1.219-6.121C19.71 275.9 25.51 272 32 272H144V64c0-8.822 7.178-16 16-16H224z"],
    "down-from-dotted-line": [448, 512, [], "e407", "M206.6 456.5L73.23 316.1C58.71 300.9 69.55 275.6 90.63 275.6H160V147.6C160 129.9 174.3 115.6 192 115.6H256C273.7 115.6 288 129.9 288 147.6V275.6H357.4C378.5 275.6 389.3 300.9 374.8 316.1L241.4 456.5C231.9 466.5 216.1 466.5 206.6 456.5V456.5zM357.4 291.6H272V147.6C272 138.8 264.8 131.6 256 131.6H192C183.2 131.6 176 138.8 176 147.6V291.6H90.63C83.61 291.6 79.99 300 84.83 305.1L218.2 445.5C221.4 448.8 226.6 448.8 229.8 445.5L363.2 305.1C368 300 364.4 291.6 357.4 291.6zM48 51.61C48 60.45 40.84 67.61 32 67.61C23.16 67.61 16 60.45 16 51.61C16 42.77 23.16 35.61 32 35.61C40.84 35.61 48 42.77 48 51.61zM400 51.62C400 42.78 407.2 35.62 416 35.62C424.8 35.62 432 42.78 432 51.62C432 60.45 424.8 67.62 416 67.62C407.2 67.62 400 60.45 400 51.62V51.62zM336 51.62C336 60.45 328.8 67.62 320 67.62C311.2 67.62 304 60.45 304 51.62C304 42.78 311.2 35.62 320 35.62C328.8 35.62 336 42.78 336 51.62V51.62zM208 51.62C208 42.78 215.2 35.62 224 35.62C232.8 35.62 240 42.78 240 51.62C240 60.45 232.8 67.62 224 67.62C215.2 67.62 208 60.45 208 51.62V51.62zM144 51.62C144 60.45 136.8 67.62 128 67.62C119.2 67.62 112 60.45 112 51.62C112 42.78 119.2 35.62 128 35.62C136.8 35.62 144 42.78 144 51.62V51.62z"],
    "down-from-line": [384, 512, ["arrow-alt-from-top"], "f349", "M376 32H8C3.582 32 0 35.58 0 40S3.582 48 8 48h368C380.4 48 384 44.42 384 40S380.4 32 376 32zM328 288.2H256V160.1c0-17.69-14.33-32.04-32-32.04H160c-17.67 0-32 14.35-32 32.04v128.1H56c-9.578 0-18.25 5.709-22.05 14.51c-3.781 8.803-1.984 19.03 4.594 26l136 144.1C179.1 477.6 185.5 480 192 480s12.92-2.4 17.45-7.201l136-144.1c6.578-6.973 8.375-17.2 4.594-26C346.3 293.9 337.6 288.2 328 288.2zM333.8 317.7l-135.1 144.1C196.5 463.2 194.4 464 192 464s-4.527-.8164-5.816-2.184l-135.1-144.1c-2.201-2.332-2.801-5.75-1.541-8.686C49.92 306.1 52.8 304.2 56 304.2H144V160.1c0-8.836 7.178-16.02 16-16.02h64c8.822 0 16 7.188 16 16.02v144.1h88c3.197 0 6.084 1.902 7.346 4.826C336.6 311.1 336 315.4 333.8 317.7z"],
    "down-left": [384, 512, [], "e16a", "M364.8 128.5l-45.25-45.25c-12.5-12.5-32.76-12.5-45.25 0L138.5 218.1L70.62 151.1c-9.148-9.148-22.92-11.89-34.87-6.939C31.79 145.8 28.29 148.2 25.37 151.1C19.48 156.1 16 165.1 16 173.7l-.0001 226.3c0 8.839 3.581 16.84 9.371 22.63C31.16 428.4 39.16 432 47.1 432h226.3c8.661 .0014 16.74-3.484 22.63-9.372c2.915-2.915 5.293-6.421 6.935-10.38c4.95-11.95 2.21-25.72-6.938-34.87l-67.88-67.88l135.8-135.8C377.3 161.2 377.3 140.1 364.8 128.5zM353.5 139.8c6.238 6.238 6.238 16.39 0 22.63l-147.1 147.1l79.2 79.2c4.592 4.592 5.952 11.44 3.469 17.43c-.8079 1.951-1.976 3.7-3.466 5.19c-3.022 3.022-7.039 4.686-11.32 4.686H47.1c-4.276 0-8.295-1.663-11.32-4.683c-3.019-3.019-4.682-7.038-4.682-11.31V173.7c0-4.276 1.663-8.295 4.685-11.32C38.18 160.9 39.93 159.8 41.88 158.9C47.88 156.5 54.72 157.8 59.31 162.4l79.2 79.2l147.1-147.1c6.238-6.238 16.39-6.238 22.63 0L353.5 139.8z"],
    "down-left-and-up-right-to-center": [512, 512, ["compress-alt"], "f422", "M291.1 240h113.3c22.59 0 36.25-28.08 18.85-45.47l-47.69-47.65l109.2-109.2c3.125-3.125 3.125-8.188 0-11.31s-8.188-3.125-11.31 0L365.1 135.6L317.5 88C299.6 70.13 272 84.73 272 106.8v113.2C272 231.1 280.9 240 291.1 240zM287.1 106.8c0-9.008 11.21-14.52 18.2-7.531l106.6 106.5c7.195 7.18 1.252 18.18-7.537 18.18h-113.3c-2.203 0-3.998-1.789-3.998-3.992V106.8zM220 272h-113.3c-22.59 0-36.25 28.08-18.85 45.47l47.69 47.65l-109.2 109.2c-3.125 3.125-3.125 8.188 0 11.31C27.91 487.2 29.94 488 32 488s4.094-.7813 5.656-2.344l109.2-109.2L194.5 424C212.4 441.9 240 427.3 240 405.2V291.1C240 280.9 231.1 272 220 272zM224 405.2c0 9-11.21 14.52-18.2 7.527L99.19 306.2C91.1 298.1 97.94 287.1 106.7 287.1h113.3c2.203 0 3.998 1.789 3.998 3.992V405.2z"],
    "down-long": [320, 512, ["long-arrow-alt-down"], "f309", "M295.1 320.2l-72 .1514l.001-288.3c0-17.69-14.33-32.02-31.1-32.02H128c-17.67 0-31.1 14.34-31.1 32.02l.001 288.3l-72-.1514c-9.578 0-18.25 5.709-22.05 14.51c-3.781 8.803-1.984 19.03 4.594 26l135.1 144.1c4.531 4.801 10.99 7.201 17.45 7.201s12.92-2.4 17.45-7.201l135.1-144.1c6.578-6.973 8.375-17.2 4.594-26C314.2 325.9 305.6 320.2 295.1 320.2zM301.8 349.7l-135.1 144.1c-1.291 1.367-3.467 2.184-5.818 2.184s-4.527-.8164-5.816-2.184L18.19 349.7c-2.201-2.332-2.801-5.75-1.541-8.686c1.271-2.945 4.158-4.848 7.355-4.848h87.1V32.02c0-8.836 7.178-16.02 15.1-16.02h63.1c8.822 0 15.1 7.188 15.1 16.02v304.2h87.1c3.197 0 6.084 1.902 7.346 4.826C304.6 343.1 304 347.4 301.8 349.7z"],
    "down-right": [384, 512, [], "e16b", "M18.36 173.7l135.8 135.8l-67.88 67.88c-9.148 9.148-11.89 22.91-6.939 34.87c1.642 3.962 4.02 7.467 6.936 10.38C92.13 428.5 100.2 432 108.9 432h226.3c8.839 0 16.84-3.58 22.63-9.369c5.789-5.789 9.369-13.79 9.369-22.63V173.7c0-8.659-3.484-16.74-9.372-22.63c-2.915-2.915-6.419-5.292-10.38-6.936c-11.95-4.95-25.72-2.21-34.87 6.938l-67.88 67.88L108.9 83.22c-12.5-12.5-32.76-12.5-45.25 0L18.36 128.5C5.865 140.1 5.864 161.2 18.36 173.7zM74.93 94.53c6.238-6.238 16.39-6.238 22.63 0l147.1 147.1l79.2-79.2c4.591-4.591 11.44-5.952 17.43-3.472c1.958 .8121 3.708 1.979 5.198 3.469c3.022 3.022 4.685 7.041 4.685 11.32v226.3c0 4.276-1.663 8.295-4.682 11.31c-3.02 3.02-7.039 4.683-11.32 4.683H108.9c-4.276 0-8.293-1.664-11.32-4.686c-1.49-1.49-2.659-3.239-3.466-5.19c-2.483-5.999-1.123-12.84 3.469-17.43l79.2-79.2L29.67 162.4c-6.238-6.238-6.238-16.39 0-22.63L74.93 94.53z"],
    "down-to-bracket": [448, 512, [], "e4e7", "M408 512H40C17.94 512 0 494.1 0 472V392C0 387.6 3.578 384 8 384C12.42 384 16 387.6 16 392V472C16 485.2 26.77 496 40 496H408C421.2 496 432 485.2 432 472V392C432 387.6 435.6 384 440 384C444.4 384 448 387.6 448 392V472C448 494.1 430.1 512 408 512zM224 384C215.8 384 207.6 380.9 201.4 374.6L73.38 246.6C64.22 237.5 61.47 223.7 66.44 211.8C71.38 199.8 83.06 192 96 192H160V32.02C160 14.34 174.3 0 192 0H256C273.7 0 288 14.34 288 32.02V192H352C364.9 192 376.6 199.8 381.6 211.8C386.5 223.7 383.8 237.5 374.6 246.6L246.6 374.6C240.4 380.9 232.2 384 224 384V384zM224 368C228.3 368 232.3 366.3 235.3 363.3L363.3 235.3C367.9 230.7 369.3 223.9 366.8 217.9C364.3 211.9 358.5 207.1 352 207.1H272V31.1C272 23.18 264.8 15.1 256 15.1H191.1C183.2 15.1 175.1 23.18 175.1 31.1V207.1H95.1C89.5 207.1 83.7 211.9 81.23 217.9C78.73 223.9 80.09 230.7 84.69 235.3L212.7 363.3C215.7 366.3 219.7 368 223.1 368L224 368z"],
    "down-to-dotted-line": [448, 512, [], "e408", "M206.6 376.5L73.23 236.1C58.71 220.9 69.55 195.6 90.63 195.6H159.1V67.61C159.1 49.94 174.3 35.61 191.1 35.61H256C273.7 35.61 288 49.94 288 67.61V195.6H357.4C378.5 195.6 389.3 220.9 374.8 236.1L241.4 376.5C231.9 386.5 216.1 386.5 206.6 376.5zM357.4 211.6H272V67.61C272 58.77 264.8 51.61 256 51.61H191.1C183.2 51.61 175.1 58.77 175.1 67.61V211.6H90.63C83.6 211.6 79.99 220 84.83 225.1L218.2 365.5C221.4 368.8 226.6 368.8 229.8 365.5L363.2 225.1C368 220 364.4 211.6 357.4 211.6V211.6zM400 448C400 439.2 407.2 432 416 432C424.8 432 432 439.2 432 448C432 456.8 424.8 464 416 464C407.2 464 400 456.8 400 448zM48 447.1C48 456.8 40.84 463.1 32 463.1C23.16 463.1 16 456.8 16 447.1C16 439.2 23.16 431.1 32 431.1C40.84 431.1 48 439.2 48 447.1zM112 447.1C112 439.2 119.2 431.1 128 431.1C136.8 431.1 144 439.2 144 447.1C144 456.8 136.8 463.1 128 463.1C119.2 463.1 112 456.8 112 447.1zM240 447.1C240 456.8 232.8 463.1 224 463.1C215.2 463.1 208 456.8 208 447.1C208 439.2 215.2 431.1 224 431.1C232.8 431.1 240 439.2 240 447.1zM304 447.1C304 439.2 311.2 431.1 320 431.1C328.8 431.1 336 439.2 336 447.1C336 456.8 328.8 463.1 320 463.1C311.2 463.1 304 456.8 304 447.1z"],
    "down-to-line": [384, 512, ["arrow-alt-to-bottom"], "f34a", "M376 463.1H8c-4.418 0-8 3.582-8 8s3.582 8 8 8h368c4.418 0 8-3.582 8-8S380.4 463.1 376 463.1zM328 192.1L256 192.1V64.03c0-17.69-14.33-32.02-32-32.02H160c-17.67 0-32 14.34-32 32.02v128.1L56 192.1c-9.578 0-18.25 5.708-22.05 14.51c-3.781 8.803-1.984 19.03 4.594 26l136 144.1C179.1 381.5 185.5 383.1 192 383.1s12.92-2.423 17.45-7.224l136-144.1c6.578-6.973 8.375-17.2 4.594-26C346.3 197.8 337.6 192.1 328 192.1zM333.8 221.7l-135.1 144.1C196.5 367.1 194.4 367.1 192 367.1s-4.527-.8164-5.816-2.184l-135.1-144.1c-2.201-2.332-2.801-5.75-1.541-8.686C49.92 210 52.8 208.1 56 208.1H144V64.06c0-8.836 7.178-16.02 16-16.02h64c8.822 0 16 7.188 16 16.02v144.1h88c3.197 0 6.084 1.902 7.346 4.826C336.6 215.9 336 219.3 333.8 221.7z"],
    "download": [512, 512, [], "f019", "M480 352h-88C387.6 352 384 355.6 384 360s3.582 8 8 8H480c8.822 0 16 7.178 16 16v96c0 8.822-7.178 16-16 16H32c-8.822 0-16-7.178-16-16v-96c0-8.822 7.178-16 16-16h88C124.4 368 128 364.4 128 360S124.4 352 120 352H32c-17.67 0-32 14.33-32 32v96c0 17.67 14.33 32 32 32h448c17.67 0 32-14.33 32-32v-96C512 366.3 497.7 352 480 352zM464 432c0-17.6-14.4-32-32-32s-32 14.4-32 32c0 17.6 14.4 32 32 32S464 449.6 464 432zM416 432c0-8.822 7.178-16 16-16s16 7.178 16 16S440.8 448 432 448S416 440.8 416 432zM250.3 413.7c3.125 3.125 8.188 3.125 11.31 0l152-152C415.2 260.1 416 258.1 416 256s-.7813-4.094-2.344-5.656c-3.125-3.125-8.188-3.125-11.31 0L264 388.7V8C264 3.594 260.4 0 256 0S248 3.594 248 8v380.7L109.7 250.3c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31L250.3 413.7z"],
    "dragon": [640, 512, [128009], "f6d5", "M26.92 260.2l131.1-23.47L98.18 280.9C91.42 287.5 89.4 296.9 92.93 305.7C96.48 314.4 104.9 320 114.4 320h213.6c4.422 0 7.1-3.594 7.1-8S332.4 304 328 304h-213.6c-6.679 0-9.064-7.766-5.953-10.97l86.67-63.75c2.1-2.188 4.078-6.188 2.609-9.594C196.3 216.3 192.8 214.3 189 214.1L24.42 244.4C17.59 245.4 12.64 237.3 19.09 231.1l111.2-107.7c17.92-14.88 44.12-16.44 63.45-3.781l113.7 79.19c3.656 2.5 8.625 1.688 11.14-2c2.531-3.625 1.641-8.594-1.984-11.12L202.6 107.3C177.2 90.66 143.2 92.66 119.6 112.4L8.468 220C.3588 226.7-2.188 237.1 1.968 246.6C6.171 256.2 16.15 261.7 26.92 260.2zM485.5 71.59l47.1 16C534.3 87.88 535.2 88 536 88c3.344 0 6.468-2.125 7.593-5.469c1.391-4.188-.8749-8.719-5.062-10.12l-47.1-16c-4.156-1.375-8.703 .875-10.12 5.062C479 65.66 481.3 70.19 485.5 71.59zM575.2 289.9l-100.7-50.25c-16.25-8.125-26.5-24.75-26.5-43V160h63.99l28.12 22.62C546.1 188.6 554.2 192 562.7 192h30.1c11.1 0 23.12-6.875 28.5-17.75l14.37-28.62c5.375-10.88 4.249-23.75-2.999-33.5l-74.49-99.37C552.1 4.75 543.5 0 533.5 0H296C288.9 0 285.4 8.625 290.4 13.62L351.1 64L292.4 88.75c-5.875 3-5.875 11.37 0 14.37L351.1 128l-.0011 108.6c0 72 35.1 139.4 95.99 179.4c-195.6 6.75-344.5 41-434.1 60.88c-8.125 1.75-13.87 9-13.87 17.38C.0463 504 8.046 512 17.79 512h499.1c63.24 0 119.6-47.5 122.1-110.8C642.3 354 617.1 310.9 575.2 289.9zM516.9 496H17.81c-2.047 0-2.394-3.076-.4101-3.504l8.503-1.889c87.74-19.5 234.6-52.13 422.6-58.62l49.7-1.715l-41.37-27.59c-55.64-37.1-88.86-99.18-88.86-166.1V117.3L316.7 95.97l66.11-27.45L318.6 16h214.9c4.984 0 9.812 2.42 12.82 6.348l74.45 99.32c3.642 4.898 4.215 11.36 1.539 16.77l-14.42 28.72C605.2 172.5 599.7 176 593.7 176h-30.99c-4.269 0-8.285-1.664-11.31-4.688L517.6 144h-74.29L421.7 122.3c-3.125-3.125-8.187-3.125-11.31 0s-3.125 8.188 0 11.31l21.64 21.64v41.33c0 24.45 13.54 46.41 35.35 57.32l100.7 50.23c36.59 18.35 57.98 55.23 55.81 96.22C621 453.1 573 496 516.9 496z"],
    "draw-circle": [512, 512, [], "f5ed", "M466.7 208.1C491.9 209.5 512 230.4 512 256C512 281.6 491.9 302.5 466.7 303.9C448.4 384.7 384.7 448.4 303.9 466.7C302.5 491.9 281.6 512 256 512C230.4 512 209.5 491.9 208.1 466.7C127.3 448.4 63.64 384.7 45.34 303.9C20.07 302.5 0 281.6 0 256C0 230.4 20.07 209.5 45.34 208.1C63.65 127.3 127.3 63.65 208.1 45.34C209.5 20.07 230.4 0 256 0C281.6 0 302.5 20.07 303.9 45.34C384.7 63.64 448.4 127.3 466.7 208.1H466.7zM256 80C273.7 80 288 65.67 288 48C288 30.33 273.7 16 256 16C238.3 16 224 30.33 224 48C224 65.67 238.3 80 256 80zM302.1 61.35C296.3 81.36 277.9 96 256 96C234.1 96 215.7 81.36 209.9 61.35C136.5 78.67 78.67 136.5 61.35 209.9C81.36 215.7 96 234.1 96 256C96 277.9 81.36 296.3 61.34 302.1C78.67 375.5 136.5 433.3 209.9 450.7C215.7 430.6 234.1 416 256 416C277.9 416 296.3 430.6 302.1 450.7C375.5 433.3 433.3 375.5 450.7 302.1C430.6 296.3 416 277.9 416 256C416 234.1 430.6 215.7 450.7 209.9C433.3 136.5 375.5 78.67 302.1 61.35L302.1 61.35zM256 496C273.7 496 288 481.7 288 464C288 446.3 273.7 432 256 432C238.3 432 224 446.3 224 464C224 481.7 238.3 496 256 496zM48 224C30.33 224 16 238.3 16 256C16 273.7 30.33 288 48 288C65.67 288 80 273.7 80 256C80 238.3 65.67 224 48 224zM464 288C481.7 288 496 273.7 496 256C496 238.3 481.7 224 464 224C446.3 224 432 238.3 432 256C432 273.7 446.3 288 464 288z"],
    "draw-polygon": [448, 512, [], "f5ee", "M381.3 387.8C387.1 385.3 393.4 384 400 384C426.5 384 448 405.5 448 432C448 458.5 426.5 480 400 480C376.2 480 356.5 462.7 352.7 440H95.34C91.53 462.7 71.78 480 48 480C21.49 480 0 458.5 0 432C0 408.2 17.3 388.5 40 384.7V127.3C17.3 123.5 0 103.8 0 80C0 53.49 21.49 32 48 32C71.78 32 91.53 49.3 95.34 72H352.7C356.5 49.3 376.2 32 400 32C426.5 32 448 53.49 448 80C448 106.5 426.5 128 400 128C393.4 128 387.1 126.7 381.3 124.2L320.2 220.4C329.9 229.1 336 241.9 336 256C336 270.1 329.9 282.9 320.2 291.6L381.3 387.8zM48 48C30.33 48 16 62.33 16 80C16 97.67 30.33 112 48 112C65.67 112 80 97.67 80 80C80 62.33 65.67 48 48 48zM56 384.7C76.1 388 91.96 403.9 95.34 424H352.7C354.5 413.1 359.1 403.5 367.8 396.4L306.7 300.2C300.9 302.7 294.6 304 288 304C261.5 304 240 282.5 240 256C240 229.5 261.5 208 288 208C294.6 208 300.9 209.3 306.7 211.8L367.8 115.6C359.1 108.5 354.5 98.89 352.7 88H95.34C91.96 108.1 76.1 123.1 56 127.3V384.7zM400 48C382.3 48 368 62.33 368 80C368 97.67 382.3 112 400 112C417.7 112 432 97.67 432 80C432 62.33 417.7 48 400 48zM48 464C65.67 464 80 449.7 80 432C80 414.3 65.67 400 48 400C30.33 400 16 414.3 16 432C16 449.7 30.33 464 48 464zM400 400C382.3 400 368 414.3 368 432C368 449.7 382.3 464 400 464C417.7 464 432 449.7 432 432C432 414.3 417.7 400 400 400zM288 288C305.7 288 320 273.7 320 256C320 238.3 305.7 224 288 224C270.3 224 256 238.3 256 256C256 273.7 270.3 288 288 288z"],
    "draw-square": [448, 512, [], "f5ef", "M95.34 440C91.53 462.7 71.78 480 48 480C21.49 480 0 458.5 0 432C0 408.2 17.3 388.5 40 384.7V127.3C17.3 123.5 0 103.8 0 80C0 53.49 21.49 32 48 32C71.78 32 91.53 49.3 95.34 72H352.7C356.5 49.3 376.2 32 400 32C426.5 32 448 53.49 448 80C448 103.8 430.7 123.5 408 127.3V384.7C430.7 388.5 448 408.2 448 432C448 458.5 426.5 480 400 480C376.2 480 356.5 462.7 352.7 440H95.34zM48 112C65.67 112 80 97.67 80 80C80 62.33 65.67 48 48 48C30.33 48 16 62.33 16 80C16 97.67 30.33 112 48 112zM56 384.7C76.1 388 91.96 403.9 95.34 424H352.7C356 403.9 371.9 388 392 384.7V127.3C371.9 123.1 356 108.1 352.7 88H95.34C91.96 108.1 76.1 123.1 56 127.3V384.7zM48 400C30.33 400 16 414.3 16 432C16 449.7 30.33 464 48 464C65.67 464 80 449.7 80 432C80 414.3 65.67 400 48 400zM400 400C382.3 400 368 414.3 368 432C368 449.7 382.3 464 400 464C417.7 464 432 449.7 432 432C432 414.3 417.7 400 400 400zM400 48C382.3 48 368 62.33 368 80C368 97.67 382.3 112 400 112C417.7 112 432 97.67 432 80C432 62.33 417.7 48 400 48z"],
    "dreidel": [448, 512, [], "f792", "M445.7 45.66C447.2 44.09 448 42.05 448 40C448 35.74 444.6 32 440 32c-2.047 0-4.094 .7813-5.656 2.344L314.3 154.4c-.0095 .0095 .0001 0 0 0c0-.0003-.0003 0 0 0c0 0 .0089-.0093 0 0l-78.89-78.77c-7.758-7.75-17.95-11.62-28.13-11.62S186.9 67.91 179.2 75.66L11.67 243.2C4.25 250.6 0 260.8 0 271.3v168.1C0 462.2 17.84 480 39.77 480h168.1c10.64 0 20.58-4.156 28.08-11.66l167.5-167.5C411.9 293.3 416 283.3 416 272.7s-4.141-20.62-11.66-28.12L325.6 165.7c.0093-.0089 0 0 0 0c0 .0003 .0003 0 0 0c0-.0001-.0095 .0095 0 0L445.7 45.66zM225.5 457C221 461.5 215 464 208.7 464H39.77C26.66 464 16 453.3 16 440.2V271.3c0-6.281 2.531-12.41 6.969-16.81l94.11-94.11l202.5 202.5L225.5 457zM400 272.7c0 6.344-2.469 12.31-6.969 16.81l-62.11 62.11L128.4 149.1l62.11-62.11c4.641-4.625 10.72-6.938 16.8-6.938c6.094 0 12.17 2.312 16.81 6.938l168.9 168.9C397.5 260.4 400 266.3 400 272.7z"],
    "drone": [512, 512, [], "f85f", "M112 16C58.98 16 16 58.98 16 112C16 159.1 51.22 199.8 97.22 206.9C102 207.6 106.1 208 112 208C116.4 208 120 211.6 120 216C120 220.4 116.4 224 112 224C106.1 224 100.4 223.6 94.78 222.7C41.1 214.4 0 168 0 112C0 50.14 50.14 0 112 0C168 0 214.4 41.1 222.7 94.78C223.6 100.4 224 106.1 224 112C224 116.4 220.4 120 216 120C211.6 120 208 116.4 208 112C208 106.1 207.6 102 206.9 97.22C199.8 51.22 159.1 16 112 16V16zM72 112C72 89.91 89.91 72 112 72C134.1 72 152 89.91 152 112C152 120.2 149.6 127.7 145.4 134.1L171.3 160H340.7L366.6 134.1C362.4 127.7 360 120.2 360 112C360 89.91 377.9 72 400 72C422.1 72 440 89.91 440 112C440 134.1 422.1 152 400 152C391.8 152 384.3 149.6 377.9 145.4L352 171.3V340.7L377.9 366.6C384.3 362.4 391.8 360 400 360C422.1 360 440 377.9 440 400C440 422.1 422.1 440 400 440C377.9 440 360 422.1 360 400C360 391.8 362.4 384.3 366.6 377.9L340.7 352H171.3L145.4 377.9C149.6 384.3 152 391.8 152 400C152 422.1 134.1 440 112 440C89.91 440 72 422.1 72 400C72 377.9 89.91 360 112 360C120.2 360 127.7 362.4 134.1 366.6L160 340.7V171.3L134.1 145.4C127.7 149.6 120.2 152 112 152C89.91 152 72 134.1 72 112zM112 88C98.75 88 88 98.75 88 112C88 125.3 98.75 136 112 136C125.3 136 136 125.3 136 112C136 98.75 125.3 88 112 88zM112 376C98.75 376 88 386.7 88 400C88 413.3 98.75 424 112 424C125.3 424 136 413.3 136 400C136 386.7 125.3 376 112 376zM400 424C413.3 424 424 413.3 424 400C424 386.7 413.3 376 400 376C386.7 376 376 386.7 376 400C376 413.3 386.7 424 400 424zM400 88C386.7 88 376 98.75 376 112C376 125.3 386.7 136 400 136C413.3 136 424 125.3 424 112C424 98.75 413.3 88 400 88zM336 336V176H176V336H336zM496 112C496 58.98 453 16 400 16C352 16 312.2 51.22 305.1 97.22C304.4 102 304 106.1 304 112C304 116.4 300.4 120 296 120C291.6 120 288 116.4 288 112C288 106.1 288.4 100.4 289.3 94.78C297.6 41.1 343.1 0 400 0C461.9 0 512 50.14 512 112C512 168 470.9 214.4 417.2 222.7C411.6 223.6 405.9 224 400 224C395.6 224 392 220.4 392 216C392 211.6 395.6 208 400 208C405 208 409.1 207.6 414.8 206.9C460.8 199.8 496 159.1 496 112V112zM206.9 414.8C207.6 409.1 208 405 208 400C208 395.6 211.6 392 216 392C220.4 392 224 395.6 224 400C224 405.9 223.6 411.6 222.7 417.2C214.4 470.9 168 512 112 512C50.14 512 0 461.9 0 400C0 343.1 41.1 297.6 94.78 289.3C100.4 288.4 106.1 288 112 288C116.4 288 120 291.6 120 296C120 300.4 116.4 304 112 304C106.1 304 102 304.4 97.22 305.1C51.22 312.2 16 352 16 400C16 453 58.98 496 112 496C159.1 496 199.8 460.8 206.9 414.8zM414.8 305.1C409.1 304.4 405 304 400 304C395.6 304 392 300.4 392 296C392 291.6 395.6 288 400 288C405.9 288 411.6 288.4 417.2 289.3C470.9 297.6 512 343.1 512 400C512 461.9 461.9 512 400 512C343.1 512 297.6 470.9 289.3 417.2C288.4 411.6 288 405.9 288 400C288 395.6 291.6 392 296 392C300.4 392 304 395.6 304 400C304 405 304.4 409.1 305.1 414.8C312.2 460.8 352 496 400 496C453 496 496 453 496 400C496 352 460.8 312.2 414.8 305.1z"],
    "drone-front": [640, 512, ["drone-alt"], "f860", "M151.1 128H271.1C276.4 128 279.1 131.6 279.1 136C279.1 140.4 276.4 144 271.1 144H151.1V243.8L231.1 208.8C257.3 197.7 284.6 192 312.2 192H327.8C355.4 192 382.7 197.7 408 208.8L488 243.8V144H368C363.6 144 360 140.4 360 136C360 131.6 363.6 128 368 128H488V104C488 99.58 491.6 96 496 96C500.4 96 504 99.58 504 104V128H624C628.4 128 632 131.6 632 136C632 140.4 628.4 144 624 144H504V296C504 300.4 500.4 304 496 304L442.4 304L455.9 320.2C471.5 338.9 480 362.4 480 386.8V408C480 412.4 476.4 416 472 416C467.6 416 464 412.4 464 408V386.8C464 366.2 456.8 346.2 443.6 330.4L429 312.9L372.4 350.7C371.1 351.5 369.6 352 368 352H271.1C270.4 352 268.9 351.5 267.6 350.7L210.1 312.9L196.4 330.4C183.2 346.2 176 366.2 176 386.8V408C176 412.4 172.4 416 168 416C163.6 416 160 412.4 160 408V386.8C160 362.4 168.5 338.9 184.1 320.2L197.6 304H144C139.6 304 136 300.4 136 296V144H16C11.58 144 8 140.4 8 136C8 131.6 11.58 128 16 128H136V104C136 99.58 139.6 96 144 96C148.4 96 152 99.58 152 104L151.1 128zM151.1 261.2V288H199.1C201.6 288 203.1 288.5 204.4 289.3L274.4 336H365.6L435.6 289.3C436.9 288.5 438.4 288 440 288H488V261.2L401.6 223.4C378.3 213.3 353.2 207.1 327.8 207.1H312.2C286.8 207.1 261.7 213.3 238.4 223.4L151.1 261.2z"],
    "droplet": [384, 512, [128167, "tint"], "f043", "M192 408C196.4 408 200 411.6 200 416C200 420.4 196.4 424 192 424C134.6 424 88 377.4 88 319.1C88 315.6 91.58 311.1 96 311.1C100.4 311.1 104 315.6 104 319.1C104 368.6 143.4 408 192 408zM368 319.1C368 417.2 289.2 496 192 496C94.8 496 16 417.2 16 319.1C16 245.9 118.3 89.43 166.9 19.3C179.2 1.585 204.8 1.585 217.1 19.3C265.7 89.43 368 245.9 368 319.1zM336.4 257.5C326.4 232.2 312.4 204.1 296.8 175.9C265.5 119.4 228.1 63.3 203.9 28.42C197.1 19.88 186 19.88 180.1 28.42C155.9 63.3 118.5 119.4 87.24 175.9C71.59 204.1 57.63 232.2 47.63 257.5C37.48 283.2 31.1 304.6 31.1 319.1C31.1 408.4 103.6 480 191.1 480C280.4 480 352 408.4 352 319.1C352 304.6 346.5 283.2 336.4 257.5H336.4z"],
    "droplet-degree": [448, 512, ["dewpoint"], "f748", "M191.1 32C180.7 32 169.5 38.32 165.4 51.36C122.9 189.3 32 226.9 32 324.1C32 410.2 103.6 480 192 480s160-69.78 160-155.9c0-97.78-90.73-134.1-133.4-272.8C214.9 38.6 203.5 32 191.1 32zM336 324.1C336 401.3 271.4 464 192 464s-144-62.74-144-139.9c0-45.9 22.97-77.59 52.06-117.7c27.99-38.61 59.72-82.37 80.67-150.4C182.1 48.79 189.4 48 191.1 48c1.5 0 9.088 .373 11.28 8.07c21.07 68.41 52.81 112.1 80.83 150.6C313.1 246.5 336 277.1 336 324.1zM352 32c-35.25 0-64 28.75-64 64s28.75 64 64 64s64-28.75 64-64S387.3 32 352 32zM352 144c-26.47 0-48-21.53-48-48s21.53-48 48-48s48 21.53 48 48S378.5 144 352 144z"],
    "droplet-percent": [320, 512, ["humidity"], "f750", "M186.6 51.36c-3.633-12.77-15.09-19.36-26.57-19.36c-11.25 0-22.53 6.322-26.55 19.36C90.94 189.3 0 226.9 0 324.1c0 86.08 71.56 155.9 160 155.9s160-69.78 160-155.9C320 226.4 229.3 190 186.6 51.36zM160 463.1c-79.4 0-144-62.74-144-139.9c0-45.91 22.98-77.59 52.06-117.7c27.99-38.61 59.72-82.38 80.66-150.4c2.25-7.285 8.625-8.074 11.27-8.074c1.5 0 9.086 .375 11.28 8.07c21.06 68.41 52.81 112.1 80.82 150.6C281.1 246.5 304 278 304 324.1C304 401.3 239.4 463.1 160 463.1zM136 263.1c0-17.66-14.34-32-32-32s-32 14.34-32 32s14.34 32 32 32S136 281.7 136 263.1zM88 263.1c0-8.812 7.188-16 16-16s16 7.188 16 16s-7.188 16-16 16S88 272.8 88 263.1zM216 343.1c-17.66 0-32 14.34-32 32s14.34 32 32 32s32-14.34 32-32S233.7 343.1 216 343.1zM216 391.1c-8.812 0-16-7.188-16-16s7.188-16 16-16s16 7.188 16 16S224.8 391.1 216 391.1zM229.7 250.3c-3.125-3.125-8.188-3.125-11.31 0l-128 128c-3.125 3.125-3.125 8.188 0 11.31C91.91 391.2 93.94 391.1 96 391.1s4.094-.7813 5.656-2.344l128-128C232.8 258.5 232.8 253.5 229.7 250.3z"],
    "droplet-slash": [640, 512, ["tint-slash"], "f5c7", "M636.1 497.7C640.4 500.5 641 505.5 638.3 508.1C635.5 512.4 630.5 513 627 510.3L3.022 14.26C-.4365 11.51-1.012 6.481 1.738 3.022C4.487-.4365 9.52-1.012 12.98 1.738L636.1 497.7zM430.9 435.3L443.6 445.3C411.8 476.7 368.2 496 319.1 496C222.8 496 143.1 417.2 143.1 319.1C143.1 296.4 154.4 264.4 170.2 229.4L183.1 239.7C180.4 245.7 177.9 251.7 175.6 257.5C165.5 283.2 159.1 304.6 159.1 319.1C159.1 408.4 231.6 480 319.1 480C363.1 480 402.2 462.1 430.9 435.3zM345.1 19.3C389.1 84.13 480.9 222.8 494.3 301.9L474.2 286C471.7 277.3 468.4 267.7 464.4 257.5C454.4 232.2 440.4 204.1 424.8 175.9C393.5 119.4 356.1 63.3 331.9 28.42C325.1 19.88 314 19.88 308.1 28.42C293.3 49.77 273.5 79.09 253.3 111.6L240.6 101.6C260.8 69.41 280.3 40.43 294.9 19.3C307.2 1.585 332.8 1.585 345.1 19.3H345.1zM319.1 408C324.4 408 328 411.6 328 416C328 420.4 324.4 424 319.1 424C262.6 424 215.1 377.4 215.1 319.1C215.1 315.6 219.6 311.1 223.1 311.1C228.4 311.1 231.1 315.6 231.1 319.1C231.1 368.6 271.4 408 319.1 408z"],
    "drum": [512, 512, [129345], "f569", "M404.5 113.9l103.8-67.18c3.719-2.406 4.781-7.344 2.375-11.06c-2.375-3.719-7.344-4.781-11.06-2.375l-116.6 75.45c-37.47-8.057-80.76-12.74-127-12.74C114.6 96 0 138.1 0 192v191.1C0 437 114.6 480 255.1 480s255.1-42.98 255.1-95.1V192C511.1 159.8 469.5 131.3 404.5 113.9zM495.1 384c0 19.37-27.14 39.88-71.1 55.31v-111.3c0-4.406-3.594-7.998-7.1-7.998s-7.1 3.592-7.1 7.998v116.4c-38.88 11.29-88.43 18.79-143.1 19.47V352c0-4.406-3.594-7.1-7.1-7.1c-4.406 0-7.1 3.594-7.1 7.1v111.8c-55.57-.6738-105.1-8.18-143.1-19.47v-116.4c0-4.406-3.595-7.998-8.001-7.998s-7.999 3.592-7.999 7.998v111.3c-44.85-15.42-71.1-35.93-71.1-55.31v-158.8c36.03 36.66 129.7 62.79 239.1 62.79s203.1-26.13 239.1-62.79V384zM256 272.1c-137.4 0-240-42.36-240-80.13s102.6-79.1 239.1-79.1c39.27 0 75.55 3.535 107.6 9.348L227.7 209.3c-3.719 2.406-4.781 7.344-2.375 11.06C226.8 222.7 229.4 224 231.1 224c1.5 0 2.1-.4062 4.344-1.281l149.6-96.78c67.2 15.54 110.1 41.7 110.1 66.07C495.1 229.8 393.4 272.1 256 272.1z"],
    "drum-steelpan": [576, 512, [], "f56a", "M288 32C128.9 32 0 82.14 0 144v224c0 61.86 128.9 112 288 112s288-50.14 288-112v-224C576 82.14 447.1 32 288 32zM560 144c0 34.36-64.03 71.64-164.6 87.77C378.1 206.2 368 176.2 368 144s10.14-62.19 27.41-87.77C495.1 72.36 560 109.6 560 144zM223.9 142.9C238.5 163.3 261.1 176 288 176s49.51-12.66 64.06-33.14C352.1 143.2 352 143.6 352 144c0 32.81 9.492 63.57 25.92 90.28C350.2 237.9 320.1 240 288 240S225.8 237.9 198.1 234.3C214.5 207.6 224 176.8 224 144C224 143.6 223.9 143.2 223.9 142.9zM373.3 53.07l-26.97 67.4C336.8 144.5 313.9 160 288 160S239.2 144.5 229.6 120.5L202.7 53.07C199.7 53.43 254.3 48 288 48S376.3 53.43 373.3 53.07zM180.6 56.23C197.9 81.81 208 111.8 208 144S197.9 206.2 180.6 231.8C80.03 215.6 16 178.4 16 144S80.03 72.36 180.6 56.23zM560 368c0 45.41-111.7 96-272 96s-272-50.59-272-96V260.5C54.1 304.4 161.9 336 288 336s233-31.57 272-75.45V368zM560 224c0 45.41-111.7 96-272 96S16 269.4 16 224V180.5C54.1 224.4 161.9 256 288 256s233-31.57 272-75.45V224z"],
    "drumstick": [512, 512, [127831], "f6d6", "M511.1 169.2c0-43.31-16.53-86.58-49.6-119.6c-32.99-33.06-76.32-49.59-119.6-49.59c-43.29 0-86.53 16.51-119.6 49.57C187.7 84.95 160.1 127.1 160.1 191.1L160.1 277.9L119.5 318.3c-6.023 6.102-13.93 8.918-22.11 8.918c-13.69 0-18.34-7.244-37.06-7.244c-19.8 0-38.89 9.778-50.32 27.19c-6.721 10.11-9.99 21.63-9.99 33.09c0 22.44 16.85 59.58 59.13 59.58c4.924 0 9.876-.5732 14.72-1.683c-1.109 4.84-1.682 9.792-1.682 14.71c0 15.01 5.319 29.84 16.81 41.42c11.66 11.66 27.12 17.69 42.7 17.69c32.88 0 60.36-26.58 60.36-60.3c0-19.02-7.243-23.02-7.243-37.02c0-8.157 2.815-16.04 8.917-22.14l40.48-40.58l85.88-.0124c63.99 0 106.9-27.62 142.4-63.12C495.5 255.8 511.1 212.5 511.1 169.2zM495.9 169.2c0 39.19-14.91 78.4-44.72 108.3c-40.41 40.41-80.86 58.43-131.2 58.43l-112.1 .0511C203.6 335.1 200 339.6 200 343.1C200 348.4 203.6 352 208 352h3.549L182.4 381.3c-8.952 8.955-13.62 20.86-13.62 33.47c0 17.67 7.218 21.24 7.218 36.86C175.1 476.4 155.9 496 131.7 496c-23.2 0-43.5-17.88-43.5-43.07c0-7.879 1.695-10.95 1.695-14.74c0-6.099-4.731-15.1-16-15.1c-3.871 0-6.63 1.68-14.7 1.68c-31.1 0-43.11-27.04-43.11-43.57c0-11.35 8.592-44.29 44.29-44.29c15.73 0 19.15 7.24 37.04 7.24c12.88 0 24.77-4.857 33.39-13.59L160 300.5v3.492C160 308.4 163.6 312 168 312c4.417 0 8.001-3.579 8.004-7.996l.0802-112c0-50.37 18.01-90.78 58.43-131.1C263.5 31.95 301.9 16 342.8 16c40.9 0 79.34 15.94 108.3 44.91C480.1 90.75 495.9 129.1 495.9 169.2z"],
    "drumstick-bite": [512, 512, [], "f6d7", "M462.9 49.59c-33.08-33.06-76.51-49.59-119.9-49.59c-43.35 0-86.59 16.53-119.7 49.59C187.9 84.96 160.1 127.1 160.1 191.1L160.1 277.9L119.5 318.3c-6.105 6.102-13.98 8.914-22.14 8.914c-13.75 0-18.21-7.219-36.96-7.219c-.002 0 .002 0 0 0c-33.29 0-60.39 26.96-60.39 60.34c0 22.45 16.82 59.5 59.13 59.5c4.928 0 9.874-.5715 14.72-1.681c-1.12 4.85-1.695 9.806-1.695 14.75c0 14.94 5.261 29.8 16.82 41.26C100.6 505.9 116.1 512 131.7 512c33.02 0 60.37-26.67 60.37-60.33c0-19.32-7.244-22.92-7.244-37.03c0-8.163 2.815-16.07 8.921-22.17l40.59-40.49l87.18-.0038c16.53 0 33.03-2.181 48.99-6.452c3.75-1.003 6.007-4.318 6.007-7.782c0-7.823-24.01-26.7-24.01-72.01c0-30.08 22.57-105.4 105.5-105.4c27.3 0 41.64 9.074 46.04 9.074c4.248 0 8.004-3.421 8.004-7.996C512 157.1 511.8 98.33 462.9 49.59zM458.1 144.3c-75.6 0-121.5 61.9-121.5 121.5c0 22.96 6.268 46.15 18.83 66.81c-11.24 2.223-22.88 3.344-35.03 3.344l-112.5 .0438c-2.976 .0012-7.879 2.191-7.879 8.119c0 4.347 3.522 7.874 7.872 7.879L211.7 352l-29.24 29.14C173.5 390.1 168.8 402 168.8 414.6c0 17.56 7.25 21.18 7.25 36.91c0 24.8-19.96 44.48-44.35 44.48c-11.89 0-23.02-4.635-31.46-13.17c-7.934-7.866-12.12-18.34-12.12-29.76c0-7.931 1.726-11.05 1.726-14.87c0-9.926-8.293-16-16.01-16c-3.857 0-6.653 1.68-14.71 1.68c-31.09 0-43.07-26.89-43.07-43.55c0-35.73 33.16-44.29 44.35-44.29c.002 0-.002 0 0 0c15.66 0 19.14 7.219 36.95 7.219c12.79 0 24.67-4.832 33.44-13.59l29.25-29.14v3.601C160.1 308.5 163.6 312 167.9 312c4.35 0 8.128-3.525 8.131-7.875l.0912-112.2c0-50.22 18.03-90.64 58.46-131C263.6 31.95 302.2 16 343.2 16c40.96 0 79.47 15.95 108.5 44.93c24.34 24.23 39.32 55.17 43.39 88.86C483 146.2 470.6 144.3 458.1 144.3z"],
    "dryer": [448, 512, [], "f861", "M384 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V64C448 28.65 419.3 0 384 0zM432 448c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V64c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V448zM112 96c0-8.838-7.164-16-16-16S80 87.16 80 96c0 8.836 7.164 16 16 16S112 104.8 112 96zM160 112c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16S144 87.16 144 96C144 104.8 151.2 112 160 112zM224 168c-75.11 0-136 60.89-136 136s60.89 136 136 136s136-60.89 136-136S299.1 168 224 168zM224 424c-63.43 0-114.1-49.62-119.2-112H184C188.4 312 192 308.4 192 304S188.4 296 184 296H104.8C109 233.6 160.6 184 224 184c66.17 0 120 53.83 120 120S290.2 424 224 424z"],
    "dryer-heat": [448, 512, ["dryer-alt"], "f862", "M160 112c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16S144 87.16 144 96C144 104.8 151.2 112 160 112zM112 96c0-8.838-7.164-16-16-16S80 87.16 80 96c0 8.836 7.164 16 16 16S112 104.8 112 96zM384 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V64C448 28.65 419.3 0 384 0zM432 448c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V64c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V448zM224 168c-75.11 0-136 60.89-136 136s60.89 136 136 136s136-60.89 136-136S299.1 168 224 168zM224 424c-66.17 0-120-53.83-120-120S157.8 184 224 184s120 53.83 120 120S290.2 424 224 424zM265.1 310.2C273.5 303.2 284 294.4 284 277.4c0-17.09-10.47-25.81-18.88-32.84c-6.287-5.232-10.53-9.02-12.26-14.46C251.8 226.6 248.9 224 245.3 224H244.9c-5.152 0-8.975 4.951-7.57 9.908c3.076 10.85 10.95 17.41 17.55 22.94C263.3 263.8 268 268.2 268 277.4c0 9.125-4.75 13.53-13.12 20.5C246.5 304.9 236 313.6 236 330.7s10.47 25.81 18.88 32.81c6.281 5.227 10.52 8.994 12.25 14.4C268.2 381.4 271.1 384 274.7 384h.3652c5.154 0 8.98-4.955 7.57-9.912c-3.078-10.82-10.95-17.38-17.55-22.87C256.8 344.3 252 339.8 252 330.7C252 321.6 256.8 317.2 265.1 310.2zM193.1 310.2C201.5 303.2 212 294.4 212 277.4c0-17.09-10.47-25.81-18.88-32.84C186.8 239.3 182.6 235.5 180.9 230.1C179.8 226.6 176.9 224 173.3 224H172.9C167.7 224 163.9 228.1 165.3 233.9c3.076 10.85 10.95 17.41 17.55 22.94C191.3 263.8 196 268.2 196 277.4c0 9.125-4.75 13.53-13.12 20.5C174.5 304.9 164 313.6 164 330.7s10.47 25.81 18.88 32.81c6.281 5.227 10.52 8.994 12.25 14.4C196.2 381.4 199.1 384 202.7 384h.3652c5.154 0 8.98-4.955 7.57-9.912c-3.078-10.82-10.95-17.38-17.55-22.87C184.8 344.3 180 339.8 180 330.7C180 321.6 184.8 317.2 193.1 310.2z"],
    "duck": [512, 512, [129414], "f6d8", "M352 144C352 152.8 344.8 160 336 160C327.2 160 320 152.8 320 144C320 135.2 327.2 128 336 128C344.8 128 352 135.2 352 144zM232.6 403.3C194.7 412.7 156.6 402.4 130.1 378.8C126.8 375.9 126.5 370.8 129.4 367.5C132.4 364.2 137.4 363.9 140.7 366.9C163.3 386.1 196 395.9 228.7 387.8C268.6 377.8 296.5 345.3 301.4 308.6C301.1 304.2 306 301.1 310.4 301.7C314.8 302.3 317.8 306.3 317.3 310.7C311.5 354 278.8 391.8 232.6 403.3L232.6 403.3zM400 232V259C424.6 282.4 440 315.4 440 352C440 422.7 382.7 480 312 480H196C87.75 480 0 390.1 0 282.7C0 268.1 11.89 256 26.55 256C30.15 256 33.7 256.7 37.01 258.1L88 280L269.6 229.1C267.6 223.1 264.3 219.2 260.3 215.1C259.6 214.4 258.9 213.7 258.1 213C237.2 193.1 224 166.5 224 136C224 78.56 270.6 32 328 32C382.5 32 427.3 73.97 431.6 127.4C444.7 130.1 458.1 130.7 471.3 129L491.8 126.5C502.5 125.1 512 133.5 512 144.3C512 192.7 472.7 232 424.3 232H400zM384 224.7C384 211.3 389.7 199.7 396.7 190.1C408.8 175.9 416 156.8 416 136C416 87.4 376.6 48 328 48C279.4 48 240 87.4 240 136C240 161.8 251.1 185.1 268.9 201.2C275.3 207 281 214.5 284.5 223.2C286.2 227.4 285.1 232.2 283.1 236.2C281.1 240.3 278.3 243.3 273.9 244.5L92.31 295.4C88.8 296.4 85.05 296.1 81.7 294.7L30.71 272.9C29.39 272.3 27.98 272 26.55 272C20.86 272 15.1 276.8 15.1 282.7C15.1 382.3 96.72 464 195.1 464H312C373.9 464 424 413.9 424 352C424 319.1 410.6 291.1 388.1 270.7C385.8 267.6 384 263.4 384 259L384 224.7zM401.2 216H424.3C463.9 216 496 183.9 496 144.3C496 143.1 494.1 142.2 493.8 142.3L473.3 144.9C459.4 146.6 445.4 146.2 431.7 143.7C430.1 165.3 421.1 185.1 409.2 200.1C405.6 205.5 402.8 210.6 401.2 216H401.2z"],
    "dumbbell": [640, 512, [], "f44b", "M632 248H608V128c0-17.67-14.33-32-32-32h-32c-5.957 0-11.22 2.068-16 4.904V96c0-17.67-14.33-32-32-32h-32c-17.67 0-32 14.33-32 32v152h-224V96c0-17.67-14.33-32-32-32h-32c-17.67 0-32 14.33-32 32v4.904C107.2 98.07 101.1 96 96 96H64C46.33 96 32 110.3 32 128v120H8C3.594 248 0 251.6 0 256s3.594 8 8 8H32V384c0 17.67 14.33 32 32 32h32c5.957 0 11.22-2.068 16-4.904V416c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32V264h224V416c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32v-4.904C532.8 413.9 538 416 544 416h32c17.67 0 32-14.33 32-32V264h24C636.4 264 640 260.4 640 256S636.4 248 632 248zM96 400H64c-8.824 0-16-7.178-16-16V128c0-8.822 7.176-16 16-16h32c8.824 0 16 7.178 16 16v256C112 392.8 104.8 400 96 400zM192 416c0 8.822-7.176 16-16 16h-32C135.2 432 128 424.8 128 416V96c0-8.822 7.176-16 16-16h32C184.8 80 192 87.18 192 96V416zM512 416c0 8.822-7.176 16-16 16h-32c-8.824 0-16-7.178-16-16V96c0-8.822 7.176-16 16-16h32C504.8 80 512 87.18 512 96V416zM592 384c0 8.822-7.176 16-16 16h-32c-8.824 0-16-7.178-16-16V128c0-8.822 7.176-16 16-16h32c8.824 0 16 7.178 16 16V384z"],
    "dumpster": [576, 512, [], "f793", "M24 160h527.1c7.594 0 14.56-3.469 19.12-9.531c4.594-6.062 6.031-13.75 3.938-21.06l-22.84-80.03C549.3 39.16 539.8 32 529.1 32H46.88C36.22 32 26.72 39.16 23.78 49.41l-22.84 80c-2.094 7.312-.6562 15 3.937 21.06C9.441 156.5 16.41 160 24 160zM529.1 48c3.562 0 6.75 2.375 7.719 5.781l22.84 80c.6875 2.438 .2187 5.031-1.312 7.031C556.8 142.8 554.5 144 551.1 144h-99.76l-23.1-96H529.1zM295.1 48h115.8l23.1 96h-139.8V48zM280 48v96H140.2l23.1-96H280zM39.16 53.81C40.13 50.38 43.32 48 46.88 48h100.9l-23.1 96H24c-2.531 0-4.844-1.156-6.375-3.188c-1.531-2-1.1-4.594-1.312-7.031L39.16 53.81zM567.1 248h-30.55l6.492-46.91c.5938-4.375-2.469-8.406-6.844-9.031c-4.656-.2187-8.406 2.5-9.031 6.844L498 416H77.97L47.94 198.9C47.35 194.6 43.57 191.8 38.91 192.1C34.53 192.7 31.47 196.7 32.07 201.1L38.56 248H8.003C3.597 248 .0036 251.6 .0036 256s3.594 8 7.1 8h31.1c.2813 0 .4531-.2715 .7266-.3008l22.34 161.4C63.63 429.1 67 432 71 432h24.1v40c0 4.406 3.594 8 7.1 8c4.406 0 7.1-3.594 7.1-8V432h351.1v40c0 4.406 3.594 8 7.1 8s7.1-3.594 7.1-8V432h24.1c3.1 0 7.375-2.938 7.937-6.906l22.34-161.4C535.5 263.7 535.7 264 535.1 264h31.1c4.406 0 7.1-3.594 7.1-8S572.4 248 567.1 248z"],
    "dumpster-fire": [640, 512, [], "f794", "M25.07 159.1l314.7-.0005c2.438 0 4.809-1.2 6.308-3.123c.042-.0537-.042 .0542 0 0c4.055-5.204 .4165-12.87-6.181-12.87h-43.85V47.1h115.8l7.048 28.18c1.05 4.201 5.341 6.711 9.555 5.712c.0518-.0122-.0518 .0122 0 0c4.305-1.008 7.048-5.303 5.976-9.592l-6.078-24.3h100.9c3.559 0 6.687 2.359 7.665 5.78l15.98 55.92c.8003 2.8 3.172 4.761 6.026 5.343c.1602 .0322 .3193 .0659 .4791 .0996c5.64 1.203 10.6-3.77 9.015-9.315l-16.13-56.43C549.3 39.1 539.9 32 529.2 32H46.87c-10.71 0-20.12 7.097-23.06 17.39L.9448 129.4c-2.388 8.341-.2017 17.13 6.027 23.49C11.66 157.7 18.36 159.1 25.07 159.1zM280 47.1v95.99H140.3l24-95.99H280zM16.32 133.8l22.86-79.99c.9844-3.406 4.141-5.78 7.688-5.78h100.9L123.8 143.1H24.02c-2.531 0-4.86-1.156-6.391-3.187C16.1 138.8 15.63 136.2 16.32 133.8zM297.7 420.1c-1.395-2.521-4.047-4.198-6.929-4.198H77.98L47.93 198.9C47.32 194.5 43.1 191.7 38.91 192C34.54 192.7 31.48 196.7 32.09 201.1l6.492 46.9H8.008c-4.422 0-8 3.593-8 7.999c0 4.406 3.578 7.999 8 7.999h32c.2891 0 .461-.2773 .7422-.3066l22.34 161.4c.5479 3.958 3.932 6.905 7.929 6.905h24.99v39.99c0 4.406 3.578 7.999 8 7.999s8-3.593 8-7.999v-39.99h178.8C296.9 431.9 300.6 425.4 297.7 420.1C297.6 420.1 297.7 420.2 297.7 420.1zM551 268.2c-1.312-2.218-3.625-3.687-6.219-3.906c-2.5-.3125-5.125 .8436-6.797 2.812l-31.3 37.18c-15.69-20.84-54.21-71.9-58.05-76.36c-1.516-1.781-3.734-2.781-6.063-2.781c-2.297-.25-4.719 1.125-6.25 2.1c-30.27 37.81-48.66 62.9-48.66 92.67c0 4.406 3.578 7.999 8 7.999c4.422 0 8-3.593 8-7.999c0-21.09 11.55-40.12 38.86-74.77c11.97 15.62 38.67 50.96 57.42 75.9c1.469 1.937 3.735 3.125 6.172 3.187c2.297-.2187 4.766-.9999 6.344-2.843l30.3-35.99l1.562 2.937c16.61 32.9 8.407 72.83-19.03 92.86c-13.31 9.624-28.94 14.72-45.19 14.72c-4.422 0-8 3.593-8 7.999s3.578 7.999 8 7.999c19.64 0 38.5-6.124 54.6-17.75c33.74-24.65 44-73.24 23.86-113.1C556.3 277.5 553.8 272.1 551 268.2zM553 163.7c-3.063-2.687-7.625-2.687-10.69 0c-11.56 10.37-22.47 21.31-32.53 32.59c-18.16-22.1-39.61-45.74-62.49-66.21c-3.031-2.687-7.641-2.718-10.67 .0313c-67.6 60.71-116.7 140.9-116.7 190.7C319.1 408.6 391.8 480 479.1 480s160-71.4 160-159.1C640.1 283.5 604.5 209.8 553 163.7zM479.1 464c-79.41 0-144-64.21-144-143.2c0-43.65 45.22-117.5 106-173.1c22.66 20.84 43.67 43.84 61.05 66.87c1.469 1.937 3.735 3.125 6.172 3.187c2.578 .1562 4.766-.9686 6.328-2.843c9.797-11.59 20.56-22.84 32.08-33.53c43.53 41.81 76.47 108.3 76.36 140.3C623.1 399.8 559.4 464 479.1 464z"],
    "dungeon": [512, 512, [], "f6d9", "M317.6 132.8C310.2 135.8 301.8 136.2 294.2 133.8C282.2 130 269.3 128 256 128C242.7 128 229.8 130 217.8 133.8C210.2 136.2 201.8 135.8 194.4 132.8C192.4 140.6 187.6 147.5 181.2 152.1C170 160.2 160.2 170 152.1 181.2C147.5 187.6 140.6 192.4 132.8 194.4C135.8 201.8 136.2 210.2 133.8 217.8C130 229.8 128 242.7 128 256C128 265.6 123.8 274.1 117.2 280C123.8 285.9 128 294.4 128 304V368C128 377.6 123.8 386.1 117.2 392C123.8 397.9 128 406.4 128 416V480C128 497.7 113.7 512 96 512H32C14.33 512 0 497.7 0 480V416C0 406.4 4.19 397.9 10.83 392C4.19 386.1 0 377.6 0 368V304C0 294.4 4.19 285.9 10.83 280C4.19 274.1 0 265.6 0 256C0 224.1 5.825 193.6 16.48 165.4C20.26 155.5 28.25 149 37.33 146.6C33.82 137.9 34.17 127.7 39.9 118.7C60.07 87.01 87.01 60.07 118.7 39.9C127.7 34.17 137.9 33.82 146.6 37.33C149 28.25 155.5 20.26 165.4 16.48C193.6 5.825 224.1 0 256 0C287.9 0 318.4 5.825 346.6 16.48C356.5 20.26 362.1 28.25 365.4 37.33C374.1 33.82 384.3 34.17 393.3 39.9C424.1 60.07 451.9 87.01 472.1 118.7C477.8 127.7 478.2 137.9 474.7 146.6C483.8 149 491.7 155.5 495.5 165.4C506.2 193.6 512 224.1 512 256C512 265.6 507.8 274.1 501.2 280C507.8 285.9 512 294.4 512 304V368C512 377.6 507.8 386.1 501.2 392C507.8 397.9 512 406.4 512 416V480C512 497.7 497.7 512 480 512H416C398.3 512 384 497.7 384 480V416C384 406.4 388.2 397.9 394.8 392C388.2 386.1 384 377.6 384 368V304C384 294.4 388.2 285.9 394.8 280C388.2 274.1 384 265.6 384 256C384 242.7 381.1 229.8 378.2 217.8C375.8 210.2 376.2 201.8 379.2 194.4C371.4 192.4 364.5 187.6 359.9 181.2C351.8 170 341.1 160.2 330.8 152.1C324.4 147.5 319.6 140.6 317.6 132.8H317.6zM452.2 148.9C460.3 144.9 463.5 134.9 458.6 127.3C439.7 97.58 414.4 72.31 384.7 53.4C377.1 48.54 367.1 51.71 363 59.8L334.2 117.4C330.4 125 333.3 134.2 340.2 139.1C352.7 148.2 363.8 159.3 372.9 171.8C377.8 178.7 386.1 181.6 394.6 177.8L452.2 148.9zM400 256C400 264.8 407.2 272 416 272H480C488.8 272 496 264.8 496 256C496 226.1 490.5 197.5 480.6 171.1C477.4 162.6 467.5 159.2 459.4 163.3L401.7 192.1C394.2 195.9 390.1 204.9 393.5 213C397.7 226.6 400 241 400 256V256zM400 416V480C400 488.8 407.2 496 416 496H480C488.8 496 496 488.8 496 480V416C496 407.2 488.8 400 480 400H416C407.2 400 400 407.2 400 416zM256 16C226.1 16 197.5 21.46 171.1 31.45C162.6 34.65 159.2 44.53 163.3 52.61L192.1 110.2C195.9 117.8 204.9 121.1 213 118.5C226.6 114.3 241 112 256 112C270.1 112 285.4 114.3 298.1 118.5C307.1 121.1 316.1 117.8 319.9 110.2L348.7 52.61C352.8 44.53 349.4 34.65 340.9 31.45C314.5 21.46 285.9 16 256 16V16zM53.4 127.3C48.54 134.9 51.71 144.9 59.8 148.1L117.4 177.8C125 181.6 134.2 178.7 139.1 171.8C148.2 159.3 159.3 148.2 171.8 139.1C178.7 134.2 181.6 125 177.8 117.4L148.1 59.8C144.9 51.71 134.9 48.54 127.3 53.4C97.58 72.31 72.31 97.58 53.4 127.3L53.4 127.3zM52.61 163.3C44.53 159.2 34.65 162.6 31.45 171.1C21.46 197.5 16 226.1 16 256C16 264.8 23.16 272 32 272H96C104.8 272 112 264.8 112 256C112 241 114.3 226.6 118.5 213C121.1 204.9 117.8 195.9 110.2 192.1L52.61 163.3zM16 304V368C16 376.8 23.16 384 32 384H96C104.8 384 112 376.8 112 368V304C112 295.2 104.8 288 96 288H32C23.16 288 16 295.2 16 304zM400 368C400 376.8 407.2 384 416 384H480C488.8 384 496 376.8 496 368V304C496 295.2 488.8 288 480 288H416C407.2 288 400 295.2 400 304V368zM16 480C16 488.8 23.16 496 32 496H96C104.8 496 112 488.8 112 480V416C112 407.2 104.8 400 96 400H32C23.16 400 16 407.2 16 416V480zM264 472C264 476.4 260.4 480 256 480C251.6 480 248 476.4 248 472V184C248 179.6 251.6 176 256 176C260.4 176 264 179.6 264 184V472zM192 472C192 476.4 188.4 480 184 480C179.6 480 176 476.4 176 472V216C176 211.6 179.6 208 184 208C188.4 208 192 211.6 192 216V472zM336 472C336 476.4 332.4 480 328 480C323.6 480 320 476.4 320 472V216C320 211.6 323.6 208 328 208C332.4 208 336 211.6 336 216V472z"],
    "e": [320, 512, [101], "45", "M320 472c0 4.406-3.578 8-8 8h-304C3.578 480 0 476.4 0 472V40C0 35.59 3.578 32 8 32h304C316.4 32 320 35.59 320 40S316.4 48 312 48H16v200h232c4.422 0 8 3.6 8 8.006C256 260.4 252.4 264 248 264H16v200h296C316.4 464 320 467.6 320 472z"],
    "ear": [384, 512, [128066], "f5f0", "M192 0C85.1 0 0 86 0 192v176C0 447.5 64.5 512 144 512s144-64.5 144-144v-9.875C345.4 324.9 384 263 384 192C384 86 297.1 0 192 0zM279.1 344.3L272 348.9V368c0 70.58-57.42 128-128 128c-70.58 0-128-57.42-128-128V192c0-97.05 78.95-176 176-176s176 78.95 176 176C368 254.5 334.3 312.8 279.1 344.3zM280.1 99.11c-25.7-24.41-59.3-36.81-94.96-34.94C118.3 67.7 64 128.1 64 198.8V256h22.06C100.4 256 112 267.6 112 281.9c0 6.906-2.703 13.44-7.594 18.34l-38.06 38.06c-3.125 3.125-3.125 8.188 0 11.31C67.91 351.2 69.95 352 72 352s4.094-.7813 5.656-2.344l38.06-38.06C123.6 303.7 128 293.1 128 281.9C128 258.8 109.2 240 86.06 240H80V198.8c0-62.34 47.53-115.6 105.1-118.6c30.78-1.906 60.59 9.219 83.11 30.56C291.6 132.1 304 160.1 304 192c0 4.406 3.578 8 8 8S320 196.4 320 192C320 156.5 305.8 123.5 280.1 99.11z"],
    "ear-deaf": [512, 512, ["deaf", "deafness", "hard-of-hearing"], "f2a4", "M359.1 255.1c4.422 0 8-3.578 8-8v-16c0-66.17-53.83-120-120-120s-120 53.83-120 120v16c0 4.422 3.578 8 8 8s8-3.578 8-8v-16c0-57.34 46.66-104 104-104s104 46.66 104 104v16C351.1 252.4 355.6 255.1 359.1 255.1zM247.1 47.1c-101.5 0-184 82.55-184 184v16c0 4.422 3.578 8 8 8s8-3.578 8-8v-16c0-92.64 75.36-168 168-168s168 75.36 168 168c0 57.42-22.19 111.5-62.47 152.4l-1.953 1.969l-.2969 2.766c-6.656 60.94-57.94 106.9-119.3 106.9c-4.422 0-8 3.578-8 8s3.578 8 8 8c68.58 0 126.1-50.69 134.9-118.4c42.03-43.63 65.14-100.9 65.14-161.6C431.1 130.5 349.5 47.1 247.1 47.1zM183.1 320c-2.047 0-4.094 .7813-5.656 2.344l-176 176C.7812 499.9-.0001 501.1-.0001 504c0 2.906 2.281 8 8 8c2.062 0 4.094-.7813 5.656-2.344l176-176C191.2 332.1 191.1 330 191.1 328C191.1 323.7 188.6 320 183.1 320zM511.1 8c0-4.263-3.433-8-8-8c-2.047 0-4.094 .7813-5.656 2.344l-80 80C416.8 83.91 415.1 85.95 415.1 88c0 2.906 2.281 8 8 8c2.062 0 4.094-.7813 5.656-2.344l80-80C511.2 12.09 511.1 10.05 511.1 8z"],
    "ear-listen": [512, 512, ["assistive-listening-systems"], "f2a2", "M160.1 320c-17.62 0-32.02 14.37-32.02 31.1s14.4 31.1 32.02 31.1s32.02-14.38 32.02-31.1S177.7 320 160.1 320zM160 368c-8.822 0-16-7.178-16-15.1c0-8.822 7.178-15.1 16-15.1s16 7.178 16 15.1C176 360.8 168.8 368 160 368zM32.02 448C14.4 448 0 462.4 0 480S14.4 512 32.02 512s32.02-14.38 32.02-31.1S49.65 448 32.02 448zM32 496c-8.822 0-16-7.178-16-15.1c0-8.822 7.178-15.1 16-15.1s16 7.178 16 15.1C48 488.8 40.82 496 32 496zM379.9 1.028c-3.844-2.187-8.719-.7656-10.86 3.141c-2.141 3.859-.7344 8.734 3.141 10.86c71.04 39.23 118.5 113.4 123.9 193.5c.2813 4.234 3.797 7.469 7.969 7.469c.1875 0 .375 0 .5469-.0156c4.406-.2969 7.75-4.109 7.453-8.514C506.3 121.9 455.6 42.85 379.9 1.028zM69.66 378.3c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.187 0 11.31l64 63.1C123.9 455.2 125.1 455.1 128 455.1s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.187 0-11.31L69.66 378.3zM360 255.1c4.422 0 8-3.578 8-7.1V231.1c0-66.17-53.83-119.1-120-119.1S128 165.8 128 231.1v15.1C128 252.4 131.6 255.1 136 255.1S144 252.4 144 247.1V231.1c0-57.34 46.66-103.1 104-103.1S352 174.7 352 231.1v15.1C352 252.4 355.6 255.1 360 255.1zM248 48c-101.5 0-184 82.55-184 183.1v15.1C64 252.4 67.58 255.1 72 255.1S80 252.4 80 247.1V231.1c0-92.64 75.36-167.1 168-167.1S416 139.4 416 231.1c0 57.42-22.19 111.5-62.47 152.4l-1.953 1.969l-.2969 2.766C344.6 450.1 293.3 495.1 232 495.1c-4.422 0-8 3.578-8 7.1c0 4.422 3.578 7.1 8 7.1c68.58 0 126.1-50.69 134.9-118.4C408.9 350 432 292.7 432 231.1C432 130.5 349.5 48 248 48z"],
    "ear-muffs": [640, 512, [], "f795", "M639 335.1C639 335 639.1 335.2 639 335.1c-2.609-11.5-9.348-21.28-18.72-27.72c1.031-11.84-2.369-23.44-9.68-32.5c-7.297-9.312-17.89-15.25-29.6-16.72c-4.578-11.16-13.14-19.89-24.22-24.45c-11.39-4.656-24-3.1-35.39 1.594c-8.107-7.25-18.28-11.3-28.77-11.3c-24.61 0-44.64 20.56-44.64 45.81c0 8.719 2.548 17.11 7.423 24.58c-4.875 7.531-7.423 15.95-7.423 24.7s2.431 17.22 6.931 24.44c-4.562 7.219-7.015 15.5-7.015 24.41s2.46 17.31 7.007 24.53c-4.547 7.219-6.923 15.59-6.923 24.56c0 8.687 2.548 17.09 7.438 24.59c-4.828 7.469-7.438 15.1-7.438 24.56c0 25.25 20.04 45.81 44.64 45.81c10.4 0 20.24-3.703 28.24-10.55c11.94 5.625 26.61 5.264 35.1 1.014c10.98-4.281 19.79-13.15 24.35-24.28c11.38-1.25 22.01-7.047 29.84-16.48c7.279-9.219 10.71-20.77 9.914-32.48c9.172-6.344 15.85-16.23 18.6-27.83c2.609-11.37 .7363-23.13-5.045-33.06C639.5 358.6 641.4 346.7 639 335.1zM617.6 373.1c5.438 7.062 7.406 16.09 5.438 24.69c-2.125 8.969-7.672 16.28-15.2 20.12c-3.172 1.594-4.891 5.125-4.234 8.625c1.703 8.1-.5156 18.25-5.969 25.19c-5.795 6.1-14.53 10.87-22.87 10.69c-3.436 0-7.076 2.344-8.014 5.969c-2.328 8.844-8.531 16.03-17.19 19.44c-6.219 2.1-17.26 2.531-25.64-2.937c-3.312-2.125-7.719-1.656-10.36 1.375c-5.609 6.25-13.03 9.719-20.94 9.719c-15.8 0-28.64-13.37-28.64-29.81c0-6.812 2.656-13.72 7.484-19.37c2.531-2.1 2.547-7.375 .0156-10.34c-3.422-4.062-7.5-10.69-7.5-19.44c0-7.344 2.391-14.06 6.922-19.37c2.531-3 2.547-7.375 .0156-10.34c-4.547-5.375-6.943-12.05-6.943-19.33s2.396-13.92 6.943-19.3c2.531-2.969 2.516-7.344-.0156-10.34c-4.531-5.312-6.922-11.97-6.922-19.25c0-8.844 4.078-15.5 7.5-19.56c2.531-2.969 2.516-7.344-.0156-10.34c-3.422-3.1-7.484-10.62-7.484-19.37c0-16.44 12.84-29.81 28.64-29.81c8.014 0 15.56 3.719 21.25 10.5c2.639 3.156 7.201 3.75 10.58 1.5c4.906-3.344 14.81-8.219 26.25-3.5c8.201 3.375 14.29 10.44 16.75 19.41c.9531 3.469 4.109 5.875 7.717 5.875c9.047 0 17.36 3.969 22.86 10.1c5.547 6.875 7.641 16.03 5.734 25.09C603 313.4 604.8 317 608 318.7c7.842 3.937 13.29 11.03 15.36 19.94c1.781 8.781-.3281 17.97-5.641 24.62C615.4 366.1 615.4 370.2 617.6 373.1zM147.3 223.1c-10.4 0-20.24 3.703-28.24 10.55c-11.94-5.625-26.61-5.266-35.1-1.017C73.03 237.8 64.22 246.7 59.66 257.8C48.29 259.1 37.65 264.9 29.82 274.3C22.54 283.5 19.11 295.1 19.91 306.8c-9.172 6.344-15.88 16.11-18.63 27.7c-2.609 11.38-.7044 23.25 5.077 33.19c-5.812 9.719-7.818 21.64-5.412 33.23c0 .0625-.0156-.0625 0 0c2.609 11.5 9.374 21.28 18.75 27.72c-1.031 11.84 2.369 23.44 9.68 32.5c7.297 9.312 17.89 15.25 29.6 16.72c4.578 11.16 13.14 19.89 24.22 24.45c11.39 4.656 24 3.1 35.39-1.594C126.7 507.1 136.9 512 147.3 512c24.61 0 44.64-20.56 44.64-45.81c0-8.719-2.548-17.11-7.423-24.58c4.875-7.531 7.423-15.95 7.423-24.7s-2.431-17.22-6.931-24.44c4.562-7.219 6.92-15.5 6.92-24.41s-2.366-17.31-6.913-24.53c4.547-7.219 6.923-15.59 6.923-24.56c0-8.687-2.548-17.09-7.438-24.59c4.828-7.469 7.438-15.1 7.438-24.56C191.1 244.6 171.1 223.1 147.3 223.1zM168.5 299.5c3.422 4.062 7.5 10.69 7.5 19.44c0 7.344-2.391 14.06-6.922 19.37c-2.531 3-2.547 7.375-.0156 10.35c4.547 5.375 6.943 12.01 6.943 19.3s-2.396 13.95-6.943 19.33c-2.531 2.969-2.516 7.344 .0156 10.34C173.6 402.1 176 409.6 176 416.9c0 8.844-4.078 15.5-7.5 19.56c-2.531 2.969-2.516 7.344 .0156 10.34c3.422 3.1 7.484 10.62 7.484 19.37c0 16.44-12.84 29.81-28.64 29.81c-8.014 0-15.56-3.719-21.25-10.5c-2.639-3.156-7.201-3.75-10.58-1.5c-4.906 3.344-14.81 8.219-26.25 3.5c-8.201-3.375-14.29-10.44-16.75-19.41c-.9531-3.469-4.109-5.875-7.717-5.875c-9.047 0-17.36-3.969-22.86-10.1c-5.547-6.875-7.641-16.03-5.734-25.09C36.98 422.6 35.25 418.1 32 417.3c-7.842-3.937-13.29-11.03-15.36-19.94c-1.781-8.781 .3281-17.97 5.641-24.62c2.312-2.875 2.359-6.937 .1094-9.875c-5.438-7.062-7.406-16.09-5.438-24.69c2.125-8.969 7.672-16.28 15.2-20.12c3.172-1.594 4.891-5.125 4.234-8.625C34.69 300.4 36.91 291.2 42.36 284.2C48.16 277.2 56.89 273.4 65.23 273.6c3.436 0 7.076-2.344 8.014-5.969C75.57 258.7 81.78 251.6 90.43 248.2c6.219-2.1 17.26-2.531 25.64 2.937c3.312 2.125 7.719 1.656 10.36-1.375c5.609-6.25 13.03-9.719 20.94-9.719c15.8 0 28.64 13.37 28.64 29.81c0 6.812-2.656 13.72-7.484 19.37C165.1 292.2 165.1 296.6 168.5 299.5zM526.9 193.2c.6094 3.969 4.016 6.781 7.891 6.781c.4062 0 .8281-.0313 1.234-.0938c4.375-.6875 7.359-4.75 6.688-9.125C525.6 80.25 431.1 0 320 0C208.1 0 114.4 80.22 97.31 190.8C96.64 195.2 99.63 199.2 104 199.9c4.297 .625 8.469-2.312 9.125-6.687C128.1 90.53 215.1 15.1 320 15.1C422.3 15.1 511.3 92.19 526.9 193.2z"],
    "earth-africa": [512, 512, [127757, "globe-africa"], "f57c", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM492.6 215.5L427.4 202.4C423.3 201.6 419.1 203.7 417.2 207.4C409.7 222.5 392.1 229.8 376.1 224.5L361.1 219.8C357.2 218.2 351.9 219.4 348.3 222.1C347.8 223.5 347.8 224.5 348.3 225L381.8 258.5C388.3 265 392 273.9 392 283.1C392 299.1 381.1 312.1 365.7 316.8L360.3 318.2C360.1 318.2 360 318.4 360 318.6V330.7C360 346.2 354.9 361.4 345.6 373.9L320 408C312.4 418.1 300.6 424 288 424C265.9 424 248 406.1 248 384V336C248 331.6 244.4 328 240 328H208C177.1 328 152 302.9 152 272V244C152 228.9 159.1 214.7 171.2 205.6L210.6 176.1C217.6 170.8 226 168 234.8 168C239.1 168 243.4 168.7 247.5 170.1L279.5 180.7C285.3 182.7 291.5 182.9 297.4 181.4L332.7 172.6C339.4 170.9 344 164.1 344 158.1C344 152.5 340.8 147.4 335.8 144.8L306.6 130.2C305.1 129.9 305.3 130 304.8 130.5L300.9 134.5C294.7 140.6 286.5 144 277.8 144C272.7 144 267.8 142.8 263.2 140.6L247.1 132.9C244.6 131.3 240.5 132.2 238.2 135.1L224.6 152.1C216.1 162.7 200.3 163.6 190.7 153.1C186.4 149.7 183.1 143.9 183.1 137.9V96.5C183.1 92.32 182.9 88.22 180.8 84.59L154.5 38.47C72.68 76.71 15.1 159.7 15.1 256C15.1 388.5 123.5 496 255.1 496C388.5 496 496 388.5 496 256C496 242.2 494.8 228.7 492.6 215.5H492.6zM256 16C225.4 16 196.2 21.72 169.3 32.14L194.7 76.65C198.2 82.7 200 89.54 200 96.5V137.9C200 139.7 200.7 141.4 201.1 142.7C204.8 145.5 209.5 145.3 212.1 142.1L225.7 125.1C232.7 116.3 245 113.6 255.1 118.6L270.4 126.2C272.7 127.4 275.2 128 277.8 128C282.2 128 286.4 126.3 289.6 123.1L293.5 119.2C298.8 113.9 306.1 112.5 313.7 115.9L342.9 130.5C353.4 135.8 360 146.4 360 158.1C360 172.3 350.4 184.7 336.6 188.1L301.2 196.9C292.4 199.2 283.1 198.8 274.4 195.9L242.4 185.2C239.1 184.4 237.4 184 234.8 184C229.5 184 224.4 185.7 220.2 188.9L180.8 218.4C172.7 224.4 168 233.9 168 244V272C168 294.1 185.9 312 208 312H240C253.3 312 264 322.7 264 336V384C264 397.3 274.7 408 288 408C295.6 408 302.7 404.4 307.2 398.4L332.8 364.3C340.1 354.6 344 342.8 344 330.7V318.6C344 311 349.1 304.5 356.5 302.6L361.8 301.3C370.1 299.2 376 291.7 376 283.1C376 278.1 374 273.3 370.5 269.8L337 236.4C330.2 229.5 330.2 218.5 337 211.7C344.9 203.8 356.5 201.1 367 204.6L381.1 209.3C389.6 212.1 398.9 208.3 402.9 200.3C408 190 419.3 184.5 430.5 186.8L489.1 198.5C463.3 93.7 368.7 16 256 16L256 16z"],
    "earth-americas": [512, 512, [127758, "earth", "earth-america", "globe-americas"], "f57d", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 496C373.2 496 470.7 412 491.8 300.1L430.4 284.2C417.5 280.7 407.2 270.1 402.1 258.3L385.5 205.9C379 186.4 388.3 165.3 406.9 156.8L461.5 131.1C419.5 62.47 343.2 16 256 16C252.3 16 248.7 16.08 245.1 16.24L261.7 49.42C268.9 63.81 266.7 81.12 256.2 93.34L235.3 117.8C230.2 123.7 230.1 132.5 235.1 138.5L253 159.9C260.7 169.1 261.4 182.3 254.7 192.3C247.1 202.5 235.2 206.8 223.6 202.1L199.4 194.9C195.1 193.5 190.3 193.8 186.2 195.8C177.7 200.1 174.2 210.5 178.5 219L179.2 220.4C180.1 224.1 183.9 227 187.6 228.8L233.4 251.8C238.1 254.6 245.1 256 251.3 256H300.1C314.1 256 329.2 261.9 339.7 272.4L343.6 276.3C354.1 286.8 360 301 360 315.9V324.1C360 344.2 349.2 362.8 331.8 372.8L322.7 377.9C310.2 385.1 301.3 397.2 298.1 411.3L293.2 433.4C289.2 451.3 273.4 464 255.1 464C233.5 464 216 446.5 216 424.9V385.9C216 377.1 211.5 370.7 204.4 367.2C191.9 360.9 184 348.1 184 334.1V322.8C184 305.6 172.8 290.4 156.4 285.3L87.6 263.8C68.92 257.9 53.42 244.7 44.67 227.2L25.51 188.9C19.32 210.2 16 232.7 16 256C16 388.6 123.5 496 256 496L256 496zM32.78 167.7L58.98 220.1C65.79 233.7 77.84 243.9 92.37 248.5L161.2 269.1C184.3 277.2 200 298.6 200 322.8V334.1C200 342 204.5 349.3 211.6 352.8C224.1 359.1 232 371.9 232 385.9V424.9C232 437.7 242.3 448 255.1 448C265.9 448 275.3 440.5 277.6 429.9L282.5 407.9C286.6 389.4 298.3 373.4 314.8 364L323.8 358.9C336.3 351.8 344 338.5 344 324.1V315.9C344 305.3 339.8 295.1 332.3 287.6L328.4 283.7C320.9 276.2 310.7 271.1 300.1 271.1H251.3C242.6 271.1 234.1 269.1 226.3 266.1L180.4 243.2C173.7 239.8 168.2 234.3 164.8 227.6L164.2 226.2C155.9 209.8 162.6 189.8 179.1 181.5C186.9 177.6 196.1 176.9 204.5 179.7L228.7 187.8C233.4 189.4 238.7 187.6 241.4 183.4C244.2 179.3 243.9 173.9 240.7 170.2L222.8 148.7C212.8 136.7 212.1 119.2 223.1 107.4L244.1 82.93C250.4 75.59 251.7 65.21 247.3 56.57L227.9 17.63C138.8 28.03 64.66 87.17 32.78 167.7H32.78zM434.6 268.8L494.3 285.1C495.4 275.5 496 265.8 496 256C496 216.3 486.4 178.9 469.4 145.1L413.5 171.4C402.4 176.4 396.8 189.1 400.7 200.8L418.2 253.2C420.7 260.8 426.9 266.7 434.6 268.8V268.8z"],
    "earth-asia": [512, 512, [127759, "globe-asia"], "f57e", "M193.9 352.2C198.2 353.3 200.8 357.7 199.8 361.9C198.7 366.2 194.3 368.8 190.1 367.8L158.1 359.8C153.8 358.7 151.2 354.3 152.2 350.1C153.3 345.8 157.7 343.2 161.9 344.2L193.9 352.2zM250.1 339.8C245.8 338.7 243.2 334.3 244.2 330.1L252.2 298.1C253.3 293.8 257.7 291.2 261.9 292.2C266.2 293.3 268.8 297.7 267.8 301.9L259.8 333.9C258.7 338.2 254.3 340.8 250.1 339.8zM327.2 163.6C325.2 167.5 320.4 169.1 316.4 167.2C312.5 165.2 310.9 160.4 312.8 156.4L328.8 124.4C330.8 120.5 335.6 118.9 339.6 120.8C343.5 122.8 345.1 127.6 343.2 131.6L327.2 163.6zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM334.9 29.26L315.4 100.5C312.4 111.7 303.5 120.4 292.3 123.2L277 126.1C265.9 129.8 261.2 142.1 268.1 152.1L284.2 173.6C292.4 184.5 292.8 199.3 285.2 210.6L274.5 226.6C265.6 239.1 250.6 247.1 234.6 247.1H232.3C221.5 247.1 213.9 258.3 216.9 268.6L222.9 288.5C228.8 308.2 214.1 327.1 193.5 327.1C179.8 327.1 167.2 320.2 161 307.9L151.7 289.4C146.9 279.6 133.8 277.5 126.1 285.2L110.5 300.8C103.1 308.2 92.53 311.5 82.2 309.6L19.71 298.3C39.67 410.7 137.9 496 256 496C310.9 496 361.6 477.5 402 446.5L378.7 426.4C372.1 420.7 362.9 419 354.7 422.1L353.8 422.4C330 431.2 303.6 420.2 293.2 397.1L287.7 384.7C277.5 361.1 286.4 335.3 308.1 323.2L344.3 302.1C345.4 302.3 346.4 301.4 347.1 300.3L353.2 290.8C360.7 279.1 373.6 271.1 387.5 271.1C401.4 271.1 414.3 279.1 421.8 290.8L423.8 293.9C425.7 296.7 429.2 298.1 432.4 297.2L447.1 293.1C455.6 290.7 464.6 291.9 472.1 296.4L490.5 307.4C494.1 290.8 496 273.6 496 255.1C496 151.1 428.7 61.88 334.9 29.26L334.9 29.26zM451.4 308.5L436.7 312.6C426.7 315.4 415.1 311.3 410.3 302.5L408.4 299.4C403.8 292.3 395.1 287.1 387.5 287.1C379.1 287.1 371.2 292.3 366.7 299.4L360.6 308.9C358.5 312.3 355.5 315 352.1 316.9L315.9 337.1C301.4 345.2 295.5 363 302.3 378.2L307.8 390.5C314.7 405.9 332.4 413.3 348.2 407.4L349.1 407.1C362.8 402 378.1 404.8 389.1 414.3L414.5 436.2C448.2 406.6 473.4 367.7 486.4 323.6L463.9 310.2C460.2 307.9 455.7 307.3 451.4 308.5H451.4zM319.6 24.51C299.3 18.96 278 16 256 16C123.5 16 16 123.5 16 256C16 264.6 16.46 273.2 17.35 281.6L85.06 293.9C90.22 294.8 95.52 293.2 99.23 289.4L114.8 273.9C130.2 258.4 156.3 262.7 166 282.2L175.3 300.8C178.8 307.6 185.8 311.1 193.5 311.1C203.4 311.1 210.4 302.5 207.6 293.1L201.6 273.2C195.4 252.7 210.8 231.1 232.3 231.1H234.6C245.3 231.1 255.3 226.7 261.2 217.7L271.9 201.7C275.7 196 275.5 188.6 271.4 183.2L255.3 161.7C241.6 143.4 250.9 117 273.1 111.5L288.4 107.6C294 106.2 298.5 101.9 299.1 96.33L319.6 24.51z"],
    "earth-europe": [512, 512, ["globe-europe"], "f7a2", "M149.7 149.7C146.5 152.8 141.5 152.8 138.3 149.7C135.2 146.5 135.2 141.5 138.3 138.3L170.3 106.3C173.5 103.2 178.5 103.2 181.7 106.3C184.8 109.5 184.8 114.5 181.7 117.7L149.7 149.7zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 316.5 491 372 456 415.8V416H455.9C408.9 474.5 336.8 512 256 512C114.6 512 0 397.4 0 256zM256 496C258.7 496 261.3 495.1 264 495.9V477.3C264 456.7 247.3 440 226.7 440C212.6 440 199.1 434.4 189.1 424.4L173.1 408.4C159.6 394.9 152 376.6 152 357.5V354.3C152 330.2 164 307.7 184.1 294.3L211.4 276.1C223.3 268.2 237.2 264 251.4 264H272.3C289.5 264 306.1 270.1 319.2 281.3L345.7 304.1C351.7 309.2 359.3 312 367.1 312C380 312 392.5 317.1 401.6 326.3L415 339.7C417.8 342.5 421.5 344 425.4 344C442.3 344 456 357.7 456 374.6V388.7C468.4 370.1 478.2 349.7 485 328H446.6C430 328 414.1 321.4 402.3 309.7L384 291.3C378.9 286.2 376 279.2 376 272C376 264.8 378.9 257.8 384 252.7L391.5 245.2C391.8 244.9 392 244.4 392 244C392 243.6 391.8 243.1 391.5 242.8L384.1 236.3C382.2 233.5 378.5 232 374.6 232H363.3C352.6 232 344 223.4 344 212.7C344 207.6 346 202.7 349.7 199L354.3 194.3C360.1 187.7 369.9 184 379.3 184H400C404.4 184 408 180.4 408 176C408 171.6 404.4 168 400 168H372.5C367.9 168 363.6 170.6 361.6 174.8C359.4 179.2 356.1 182.9 351.1 185.6L318.9 207.7C316.3 209.4 315.4 212.9 316.8 215.7L318.1 220C325.4 232.9 316 248 301.7 248C295.6 248 289.9 245.1 286.2 240.3L269.9 218.5C268.7 216.9 266.8 216 264.8 216C262.5 216 260.3 217.4 259.2 219.5L255.2 227.6C248.9 240.1 235.9 248 221.9 248C201.2 248 184 231.2 184 210.3V206.1C184 194.9 188.4 184.3 196.3 176.4L214.2 158.5C215.4 157.3 216 155.8 216 154.2C216 144.7 222.1 136.2 231.1 133.2L257.6 124.4C264.2 122.2 270.2 118.4 275.2 113.5L295 93.66C295.7 93.04 296 92.19 296 91.31C296 89.48 294.5 88 292.7 88H291.7C290.9 88 290 88.25 289.3 88.72L247.5 116.6C244.2 118.8 240.3 120 236.3 120C225.1 120 216 110.9 216 99.72V91.16C216 81.51 220.8 72.51 228.8 67.16L299.6 19.96C285.5 17.36 270.9 16 256 16C123.5 16 16 123.5 16 256C16 388.6 123.5 496 256 496L256 496zM280 477.3V494.8C344.1 488.4 400.8 456.9 440 410.1V374.6C440 366.6 433.4 360 425.4 360C417.2 360 409.5 356.8 403.7 351L390.3 337.6C384.1 331.5 375.8 328 367.1 328C355.4 328 344.2 323.8 335.3 316.2L308.8 293.5C298.6 284.8 285.7 280 272.3 280H251.4C240.3 280 229.5 283.3 220.3 289.4L192.9 307.7C177.4 318 168 335.5 168 354.3V357.5C168 372.3 173.9 386.6 184.4 397.1L200.4 413.1C207.4 420.1 216.9 424 226.7 424C256.2 424 280 447.8 280 477.3H280zM446.6 312H489.4C493.7 294 496 275.3 496 256C496 145.1 421.1 53.27 321 24.92L237.7 80.47C234.1 82.85 232 86.86 232 91.16V99.72C232 102.1 233.9 103.1 236.3 103.1C237.1 103.1 237.1 103.7 238.7 103.3L280.5 75.41C283.8 73.18 287.7 71.1 291.7 71.1H292.7C303.4 71.1 312 80.65 312 91.31C312 96.44 309.1 101.3 306.3 104.1L286.5 124.8C279.8 131.5 271.7 136.5 262.7 139.5L236.2 148.4C233.7 149.2 231.1 151.5 231.1 154.2C231.1 160 229.7 165.6 225.5 169.8L207.6 187.7C202.7 192.6 199.1 199.2 199.1 206.1V210.3C199.1 222.2 209.9 231.1 221.9 231.1C229.9 231.1 237.3 227.5 240.8 220.4L244.9 212.3C248.7 204.8 256.4 199.1 264.8 199.1C271.9 199.1 278.5 203.3 282.7 208.9L299 230.7C299.6 231.5 300.6 231.1 301.7 231.1C304.1 231.1 305.8 229.4 304.6 227.2L302.5 222.9C297.5 212.8 300.7 200.6 310.1 194.3L343.1 172.3C344.9 171.1 346.3 169.5 347.2 167.6C352 158 361.8 152 372.5 152H400C413.3 152 424 162.7 424 176C424 189.3 413.3 200 400 200H379.3C374.2 200 369.3 202 365.7 205.7L360.1 210.3C360.3 210.1 360 211.8 360 212.7C360 214.5 361.5 216 363.3 216H374.6C382.7 216 390.5 219.2 396.3 224.1L402.8 231.5C406.1 234.8 408 239.3 408 243.1C408 248.7 406.1 253.2 402.8 256.5L395.3 263.1C393.2 266.1 392 268.1 392 271.1C392 275 393.2 277.9 395.3 279.1L413.7 298.3C422.4 307.1 434.3 311.1 446.6 311.1L446.6 312z"],
    "earth-oceania": [512, 512, ["globe-oceania"], "e47b", "M270.7 216.2C273.3 216.9 275.3 218.7 276.2 221.1L289 253.8C291.6 260.3 295.1 266.4 299.4 271.9L317.3 294.9C324.2 303.7 328 314.6 328 325.8C328 337 324.2 347.9 317.3 356.7L305.3 372.2C295.5 384.7 280.5 392 264.6 392C254.7 392 244.9 389.1 236.6 383.8L208.7 365.8L159.5 348.8L136.6 356.1C114.4 363.1 90.39 353.2 79.57 332.6L76.29 326.4C63.6 302.3 73.54 272.4 98.16 260.7L133.5 243.9C134.6 243.4 135.6 242.5 136.4 241.5L141.7 234.5C150.4 222.8 164.1 216 178.7 216C193.2 216 206.9 222.8 215.7 234.5L219.7 239.8C220.8 241.4 222.5 242.4 224.5 242.8L224.8 242.9C229.6 243.9 234.6 242.6 238.4 239.4L263.6 217.9C265.6 216.2 268.2 215.6 270.7 216.2L270.7 216.2zM178.7 232C169.2 232 160.2 236.5 154.5 244.1L149.2 251.1C146.9 254.2 143.8 256.7 140.3 258.4L105 275.2C88.62 282.1 81.1 302.9 90.45 318.9L93.73 325.2C100.9 338.9 116.1 345.5 131.7 340.8L157.2 332.7C158.8 332.2 160.6 332.2 162.2 332.8L214.9 350.1C215.5 351.2 216.1 351.5 216.6 351.8L245.3 370.3C251 374 257.7 376 264.6 376C275.6 376 285.9 370.1 292.7 362.3L304.7 346.9C309.4 340.9 312 333.5 312 325.8C312 318.2 309.4 310.8 304.7 304.7L286.8 281.8C281.5 275.1 277.3 267.6 274.1 259.6L265.4 237.4L248.8 251.6C241.3 257.1 231.2 260.6 221.6 258.6L221.3 258.5C215.5 257.3 210.4 254.1 206.9 249.4L202.9 244.1C197.2 236.5 188.2 232 178.7 232L178.7 232zM296 164.7C306.1 174.8 298.9 192 284.7 192H254.8C249.2 192 243.7 190.8 238.5 188.6L195.7 169.5C181.5 163.2 183.8 142.3 199.1 139.2L237.6 131.5C250.8 128.9 264.3 132.1 273.8 142.5L296 164.7zM202.2 154.9L245 173.9C248.1 175.3 251.4 175.1 254.8 175.1H284.7L262.5 153.8C256.8 148.1 248.6 145.6 240.8 147.2L202.2 154.9zM256 432C256 427.6 259.6 424 264 424H280C284.4 424 288 427.6 288 432C288 436.4 284.4 440 280 440H264C259.6 440 256 436.4 256 432zM431.6 333.5C432.1 337.7 430.7 342.2 426.5 343.6C422.3 344.1 417.8 342.7 416.4 338.5L408.4 314.5C407 310.3 409.3 305.8 413.5 304.4C417.7 303 422.2 305.3 423.6 309.5L431.6 333.5zM362.3 413.7C359.2 410.5 359.2 405.5 362.3 402.3L394.3 370.3C397.5 367.2 402.5 367.2 405.7 370.3C408.8 373.5 408.8 378.5 405.7 381.7L373.7 413.7C370.5 416.8 365.5 416.8 362.3 413.7zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496z"],
    "eclipse": [640, 512, [], "f749", "M464 80.02c-97.25 0-175.1 78.76-175.1 175.1s78.75 175.1 175.1 175.1C561.3 431.1 640 353.3 640 256S561.3 80.02 464 80.02zM464 415.1c-88.22 0-160-71.76-160-159.1s71.78-159.1 160-159.1C552.2 96.02 624 167.8 624 256S552.2 415.1 464 415.1zM304.9 412.3l-41.17 78.81C262.2 494.2 259.3 496 255.9 496s-6.344-1.812-7.875-4.906l-45.77-91.66c-1.781-3.594-6-5.344-9.688-4.031l-97.23 32.44c-3.266 1.125-6.578 .25-9.016-2.125c-2.438-2.438-3.25-5.844-2.172-9.062L116.6 319.3c1.25-3.781-.4531-7.906-4.016-9.688L20.89 263.8C17.83 262.3 16 259.4 16 256s1.828-6.312 4.938-7.844l91.66-45.91C116.2 200.5 117.9 196.3 116.6 192.6L84.16 95.34C83.08 92.13 83.88 88.75 86.31 86.31c2.406-2.469 5.828-3.25 9.031-2.156l97.36 32.44c3.766 1.25 7.891-.4687 9.688-4.031l45.78-91.66c3.031-6.188 12.58-6.312 15.77 .125l40.97 78.66c2.062 3.969 6.875 5.469 10.8 3.406c3.906-2.031 5.438-6.875 3.391-10.78l-40.89-78.53C273.1 5.281 265.5 0 256 0s-17.96 5.281-22.16 13.78L191.2 99.22L100.4 68.97C91.38 66.03 81.7 68.35 74.99 75.01C68.3 81.73 65.98 91.44 68.97 100.4l30.27 90.66L13.83 233.8C5.297 238 0 246.6 0 256C0 265.5 5.297 273.1 13.78 278.2l85.45 42.69l-30.27 90.78c-2.969 8.969-.7031 18.65 6 25.34c6.734 6.719 16.56 9.13 25.44 6.067l90.64-30.25l42.66 85.44C237.9 506.7 246.5 512 255.9 512c.0156 0 0 0 0 0c9.469 0 17.94-5.281 22.08-13.62l41.09-78.66c2.047-3.938 .5313-8.75-3.391-10.81C311.8 406.9 306.1 408.4 304.9 412.3zM256 168c4.422 0 8-3.594 8-8s-3.578-8-8-8c-57.34 0-104 46.66-104 104S198.7 360 256 360c4.422 0 8-3.594 8-8s-3.578-8-8-8c-48.53 0-88-39.47-88-88S207.5 168 256 168z"],
    "egg": [384, 512, [129370], "f7fb", "M192 16c-106 0-192 200.6-192 300S85.1 496 192 496c105.1 0 192-80.63 192-180S297.1 16 192 16zM192 480c-97.05 0-176-73.57-176-164c0-48.94 21.8-121.1 54.24-179.5C107.1 70.09 151.5 32 192 32s84.88 38.09 121.8 104.5C346.2 194.9 368 267.1 368 316C368 406.4 289 480 192 480zM147.7 119.1c-.2813 0-.5625 .0156-.8438 .0469C144.7 120.3 142.8 121.3 141.4 122.1C107.8 164.7 72 242.3 72 304c0 4.406 3.594 8 8 8S88 308.4 88 304c0-55.97 33.5-130.9 65.91-170.1c2.781-3.422 2.219-8.469-1.219-11.25C151.3 120.6 149.5 119.1 147.7 119.1z"],
    "egg-fried": [512, 512, [], "f7fc", "M478.4 150.5c-39.5-40.75-100.8-46.38-144.5-82.25C290.4 32.41 255.5 0 200.5 0C192.5 0 184.2 .6801 175.3 2.114c-86.76 14-111.8 80-125 157.1c-11.12 64.38-54.38 127-50 192.9c4.375 65.88 52.88 128.5 115 150.8C132.9 509.2 149.1 512 164.2 512c64.65 0 108.9-51.2 155.8-95.49c43.63-41.5 93.39-37.75 140.9-74C517.2 299.8 532.6 201.1 478.4 150.5zM451.1 329.8c-20.03 15.29-40.55 22.79-62.28 30.75c-26.58 9.723-54.06 19.78-79.9 44.36c-5.514 5.215-10.99 10.52-16.47 15.83c-39.94 38.71-77.67 75.28-128.3 75.28c-13.76 0-28.39-2.746-43.49-8.166c-56.6-20.27-100.5-77.79-104.4-136.8C13.89 315.1 27.3 279.6 41.5 241.9c9.76-25.87 19.85-52.61 24.58-79.98c13.37-77.79 37.49-132.1 111.8-144.1C185.7 16.64 193.3 16 200.5 16c45.37 0 75.64 25.13 113.1 56.96l9.242 7.654c21.87 17.94 47.08 28.63 71.46 38.98c27.05 11.48 52.61 22.33 72.19 42.51c20.11 19.09 30.22 47.01 28.47 78.62C493.8 276.3 476.7 310.4 451.1 329.8zM223.1 128.1c-61.76 0-112 50.38-112 112.1c0 61.88 50.26 112.1 112 112.1s112-50.25 112-112.1C335.1 178.5 285.7 128.1 223.1 128.1zM223.1 336.4c-52.94 0-95.98-43.25-95.98-96.26c0-53.01 43.06-96.07 96-96.07s96 43.06 96 96.07C319.1 293.1 276.9 336.4 223.1 336.4zM223.1 176.2c-35.3 0-64.01 28.72-64.01 64.01c0 4.406 3.578 8 8 8s8.002-3.594 8.002-8c0-26.47 21.53-48 48-48c4.422 0 8-3.596 8-8.002S228.4 176.2 223.1 176.2z"],
    "eggplant": [512, 512, [], "e16c", "M512 8C512 3.43 508.3 0 504 0c-2.047 0-4.094 .7813-5.656 2.344l-28.87 28.87C457.6 21.84 442.9 16 426.7 16h-106.7c-8.836 0-16 7.162-16 16c0 6.834 1.215 13.35 3.064 19.59c-15.01 9.996-122.7 101.8-206.3 134.5C31.94 214.6 .0005 275.1 .0005 337.4c0 141.1 129.2 174.7 172.6 174.7c30.18 0 60.75-8.003 88.52-24.79c15.89-11.12 61.11-51.44 124.7-148.1c28.85-44.18 53.76-88.74 76.52-133.6C468 206.1 473.9 208 480 208c8.838 0 16-7.164 16-16V85.33c0-16.23-5.838-30.98-15.21-42.8l28.87-28.87C511.2 12.09 512 10.05 512 8zM372.4 330.3c-70.45 107.1-115.6 140.4-119.6 143.2C228.5 488.2 200.7 496 172.6 496c-111.5 0-156.6-97.02-156.6-158.6c0-4.178-3.336-97.43 90.61-136.4c85.24-33.37 194.3-125.5 206.7-134.4c9.676 16.72 26.11 29.06 45.55 33.21c5.68 26.63 26.7 47.65 53.33 53.33c4.299 20.16 17.46 36.1 35.12 46.51C423.6 246.3 399.1 289.5 372.4 330.3zM480 192c-29.46 0-53.33-23.88-53.33-53.33c-29.46 0-53.33-23.88-53.33-53.33c-29.45 0-53.33-23.88-53.33-53.33h106.7C456.1 32 480 55.88 480 85.33V192z"],
    "eject": [448, 512, [9167], "f052", "M439.1 431.1H8.039c-4.422 0-7.998 3.598-7.998 8.012C.041 444.4 3.617 448 8.039 448h431.9c4.422 0 7.998-3.6 7.998-8.012C447.1 435.6 444.4 431.1 439.1 431.1zM34.14 352.8h379.7c13.76 0 25.73-7.385 31.23-19.25c5.123-11.05 3.42-23.29-4.547-32.71L250.7 75.55c-12.97-15.4-40.37-15.4-53.34 0L7.461 300.8c-7.967 9.42-9.67 21.66-4.547 32.71C8.414 345.4 20.38 352.8 34.14 352.8zM19.68 311.1l189.9-225.3C213 81.81 218.3 79.46 224 79.46s10.1 2.348 14.45 6.416l189.9 225.3c3.891 4.633 4.719 10.33 2.266 15.62c-2.25 4.818-7.811 9.982-16.73 9.982H34.14c-8.922 0-14.48-5.164-16.73-9.982C14.96 321.5 15.79 315.8 19.68 311.1z"],
    "elephant": [640, 512, [128024], "f6da", "M296.5 207.4L304.6 208C309 208.4 312.3 212.2 311.1 216.6C311.6 221 307.8 224.3 303.4 223.1L295.3 223.4C236.1 218.9 191.1 170.3 191.1 111.8C191.1 88.61 199.1 67.04 211.2 49.16C119.4 59.49 47.1 137.4 47.1 232V264C47.1 292.7 39.63 321.8 31.48 343.3C27.38 354.2 23.28 363.3 20.2 369.7C18.66 372.9 17.37 375.4 16.46 377.1C16.01 378 15.64 378.7 15.39 379.1L15.1 379.7L15.02 379.8L14.98 379.9C14.98 379.9 14.98 379.9 7.996 376L14.98 379.9C12.83 383.8 7.955 385.1 4.097 382.1C.2397 380.8-1.13 375.9 1.022 372.1L1.078 371.1L1.319 371.5C1.536 371.1 1.862 370.5 2.281 369.7C3.119 368.1 4.33 365.7 5.789 362.7C8.709 356.7 12.61 348 16.51 337.7C24.36 316.9 31.1 289.9 31.1 264V232C31.1 123.7 118 35.58 225.4 32.11C245.6 12.25 273.3 0 303.8 0C334.2 0 361.9 12.15 382.2 32H392C475.9 32 544 100.1 544 184V328C544 332.4 540.4 336 536 336C531.6 336 528 332.4 528 328V184C528 110.1 469.1 50.02 395.7 48.05C406.7 63.89 413.8 82.75 415.3 103.3L415.1 111.4C416.3 115.8 413 119.6 408.6 119.1C404.2 120.3 400.4 117 400 112.6L399.4 104.5C395.6 54.56 353.9 16 303.8 16C250.9 16 207.1 58.91 207.1 111.8C207.1 161.9 246.6 203.6 296.5 207.4L296.5 207.4zM415.1 314.9C436.1 346.8 471.6 368 512 368C543.7 368 572.4 354.1 592.1 333.1C596 330.8 601.1 330.8 604.3 333.9C607.4 336.1 607.5 342 604.4 345.2C588.1 361.8 567.3 374.1 544 380V398.6C544 408.2 551.8 416 561.4 416C568 416 574.1 412.3 577 406.4L579.4 401.7C587.3 385.9 606.5 379.5 622.3 387.4C638.1 395.3 644.5 414.5 636.6 430.3L634.3 434.1C620.5 462.6 592.3 480 561.4 480C516.5 480 480 443.5 480 398.6V380C454.9 373.6 432.8 359.9 415.1 341.3V472C415.1 494.1 398.1 512 375.1 512H327.1C305.9 512 287.1 494.1 287.1 472V406C273.3 412.4 257.1 416 239.1 416C222.9 416 206.7 412.4 191.1 406V472C191.1 494.1 174.1 512 151.1 512H103.1C81.91 512 63.1 494.1 63.1 472V336C63.1 331.6 67.58 328 71.1 328C76.42 328 79.1 331.6 79.1 336V472C79.1 485.3 90.74 496 103.1 496H151.1C165.3 496 175.1 485.3 175.1 472V397.5C174.4 396.5 172.9 395.5 171.4 394.5C167.8 391.1 166.9 386.1 169.4 383.4C171.1 379.7 176.1 378.8 180.6 381.4C197.4 393.1 217.9 400 239.1 400C262.1 400 282.6 393.1 299.4 381.4C303 378.8 308 379.7 310.6 383.4C313.1 386.1 312.2 391.1 308.6 394.5C307.1 395.5 305.5 396.6 303.1 397.5V472C303.1 485.3 314.7 496 327.1 496H375.1C389.3 496 399.1 485.3 399.1 472V304C399.1 299.6 403.6 296 407.1 296C412.4 296 415.1 299.6 415.1 304L415.1 314.9zM528 383C522.8 383.7 517.4 384 512 384C506.6 384 501.2 383.7 496 383V398.6C496 434.7 525.3 464 561.4 464C586.2 464 608.9 449.1 619.1 427.8L622.3 423.2C626.3 415.3 623.1 405.6 615.2 401.7C607.3 397.7 597.6 400.9 593.7 408.8L591.4 413.5C585.7 424.8 574.1 432 561.4 432C542.1 432 528 417 528 398.6V383zM479.1 208C479.1 216.8 472.8 224 463.1 224C455.2 224 447.1 216.8 447.1 208C447.1 199.2 455.2 192 463.1 192C472.8 192 479.1 199.2 479.1 208z"],
    "elevator": [512, 512, [], "e16d", "M448 128H64c-35.35 0-64 28.65-64 63.1v255.1C0 483.3 28.65 512 64 512h384c35.35 0 64-28.65 64-63.1V192C512 156.7 483.3 128 448 128zM496 448c0 26.47-21.53 47.1-48 47.1H64c-26.47 0-48-21.53-48-47.1V192c0-26.47 21.53-47.1 48-47.1h384c26.47 0 48 21.53 48 47.1V448zM160 320c30.95-.1172 56-25.13 56-55.1S190.9 208.1 160 208C129.1 208.1 104 233.1 104 264S129.1 319.9 160 320zM160 224c22.06 .1152 40 18.05 40 40c0 21.97-17.97 39.92-39.94 39.1C137.1 303.9 120 285.1 120 264C120 242.1 137.9 224.1 160 224zM352 320c30.95-.1172 56-25.13 56-55.1S382.9 208.1 352 208c-30.95 .1152-56 25.13-56 55.1S321.1 319.9 352 320zM352 224c22.06 .1152 40 18.05 40 40c0 21.97-17.97 39.92-39.94 39.1C329.1 303.9 312 285.1 312 264C312 242.1 329.9 224.1 352 224zM77.94 93.37L144 19.96l66.06 73.4C211.6 95.12 213.8 96.01 216 96.01c1.906 0 3.812-.6719 5.344-2.047c3.281-2.969 3.562-8.015 .5938-11.31l-72-79.1c-3-3.344-8.875-3.344-11.88 0l-72 79.1c-2.969 3.297-2.688 8.344 .5938 11.31C69.97 96.93 75 96.68 77.94 93.37zM362.1 93.37c1.5 1.672 3.656 2.636 5.938 2.636s4.438-.9641 5.938-2.636l72-79.1c2.969-3.297 2.688-8.344-.5938-11.31c-3.281-2.937-8.344-2.672-11.28 .5937L368 76.06l-66.06-73.4c-2.938-3.281-8-3.562-11.28-.5937s-3.562 8.015-.5938 11.31L362.1 93.37zM368 352H336c-35.35 0-64 28.65-64 64v39.1c0 4.418 3.582 7.1 8 7.1S288 460.4 288 456v-39.1c0-26.51 21.49-47.1 47.1-47.1H368c26.51 0 48 21.49 48 48v39.1c0 4.418 3.582 7.1 8 7.1s8-3.582 8-7.1v-39.1C432 380.7 403.3 352 368 352zM176 352H144c-35.35 0-64 28.65-64 64v39.1c0 4.418 3.582 7.1 7.1 7.1S96 460.4 96 456v-39.1c0-26.51 21.49-47.1 47.1-47.1H176c26.51 0 48 21.49 48 48v39.1c0 4.418 3.582 7.1 8 7.1s8-3.582 8-7.1v-39.1C240 380.7 211.3 352 176 352z"],
    "ellipsis": [448, 512, ["ellipsis-h"], "f141", "M336 256C336 247.2 343.2 240 352 240C360.8 240 368 247.2 368 256C368 264.8 360.8 272 352 272C343.2 272 336 264.8 336 256zM208 256C208 247.2 215.2 240 224 240C232.8 240 240 247.2 240 256C240 264.8 232.8 272 224 272C215.2 272 208 264.8 208 256zM112 256C112 264.8 104.8 272 96 272C87.16 272 80 264.8 80 256C80 247.2 87.16 240 96 240C104.8 240 112 247.2 112 256z"],
    "ellipsis-stroke": [512, 512, ["ellipsis-h-alt"], "f39b", "M464 256C464 282.5 442.5 304 416 304C389.5 304 368 282.5 368 256C368 229.5 389.5 208 416 208C442.5 208 464 229.5 464 256zM416 224C398.3 224 384 238.3 384 256C384 273.7 398.3 288 416 288C433.7 288 448 273.7 448 256C448 238.3 433.7 224 416 224zM304 256C304 282.5 282.5 304 256 304C229.5 304 208 282.5 208 256C208 229.5 229.5 208 256 208C282.5 208 304 229.5 304 256zM256 224C238.3 224 224 238.3 224 256C224 273.7 238.3 288 256 288C273.7 288 288 273.7 288 256C288 238.3 273.7 224 256 224zM48 256C48 229.5 69.49 208 96 208C122.5 208 144 229.5 144 256C144 282.5 122.5 304 96 304C69.49 304 48 282.5 48 256zM96 288C113.7 288 128 273.7 128 256C128 238.3 113.7 224 96 224C78.33 224 64 238.3 64 256C64 273.7 78.33 288 96 288z"],
    "ellipsis-stroke-vertical": [192, 512, ["ellipsis-v-alt"], "f39c", "M96 464C69.49 464 48 442.5 48 416C48 389.5 69.49 368 96 368C122.5 368 144 389.5 144 416C144 442.5 122.5 464 96 464zM128 416C128 398.3 113.7 384 96 384C78.33 384 64 398.3 64 416C64 433.7 78.33 448 96 448C113.7 448 128 433.7 128 416zM96 304C69.49 304 48 282.5 48 256C48 229.5 69.49 208 96 208C122.5 208 144 229.5 144 256C144 282.5 122.5 304 96 304zM128 256C128 238.3 113.7 224 96 224C78.33 224 64 238.3 64 256C64 273.7 78.33 288 96 288C113.7 288 128 273.7 128 256zM96 48C122.5 48 144 69.49 144 96C144 122.5 122.5 144 96 144C69.49 144 48 122.5 48 96C48 69.49 69.49 48 96 48zM64 96C64 113.7 78.33 128 96 128C113.7 128 128 113.7 128 96C128 78.33 113.7 64 96 64C78.33 64 64 78.33 64 96z"],
    "ellipsis-vertical": [128, 512, ["ellipsis-v"], "f142", "M64 368C72.84 368 80 375.2 80 384C80 392.8 72.84 400 64 400C55.16 400 48 392.8 48 384C48 375.2 55.16 368 64 368zM64 240C72.84 240 80 247.2 80 256C80 264.8 72.84 272 64 272C55.16 272 48 264.8 48 256C48 247.2 55.16 240 64 240zM64 144C55.16 144 48 136.8 48 128C48 119.2 55.16 112 64 112C72.84 112 80 119.2 80 128C80 136.8 72.84 144 64 144z"],
    "empty-set": [512, 512, [8709, 216], "f656", "M485.7 26.34c-3.125-3.125-8.188-3.125-11.31 0l-77.19 77.19C360.1 69.17 310.6 48 256 48C141.1 48 48 141.1 48 256c0 54.56 21.17 104.1 55.54 141.2l-77.19 77.19c-3.125 3.125-3.125 8.188 0 11.31C27.91 487.2 29.94 488 32 488s4.094-.7813 5.656-2.344l77.19-77.19C151.9 442.8 201.4 464 256 464c114.9 0 208-93.13 208-208c0-54.56-21.17-104.1-55.54-141.2l77.19-77.19C488.8 34.53 488.8 29.47 485.7 26.34zM64 256c0-105.9 86.13-192 192-192c50.06 0 95.56 19.42 129.8 50.91L114.9 385.8C83.42 351.6 64 306.1 64 256zM448 256c0 105.9-86.13 192-192 192c-50.06 0-95.56-19.42-129.8-50.91l270.9-270.9C428.6 160.4 448 205.9 448 256z"],
    "engine": [640, 512, [], "e16e", "M320 256C320 273.7 305.7 288 288 288C270.3 288 256 273.7 256 256C256 238.3 270.3 224 288 224C305.7 224 320 238.3 320 256zM288 272C296.8 272 304 264.8 304 256C304 247.2 296.8 240 288 240C279.2 240 272 247.2 272 256C272 264.8 279.2 272 288 272zM352 256C352 238.3 366.3 224 384 224C401.7 224 416 238.3 416 256C416 273.7 401.7 288 384 288C366.3 288 352 273.7 352 256zM384 240C375.2 240 368 247.2 368 256C368 264.8 375.2 272 384 272C392.8 272 400 264.8 400 256C400 247.2 392.8 240 384 240zM224 256C224 273.7 209.7 288 192 288C174.3 288 160 273.7 160 256C160 238.3 174.3 224 192 224C209.7 224 224 238.3 224 256zM192 272C200.8 272 208 264.8 208 256C208 247.2 200.8 240 192 240C183.2 240 176 247.2 176 256C176 264.8 183.2 272 192 272zM416 72C416 76.42 412.4 80 408 80H312V128H396.6C409.3 128 421.6 131.7 432.1 138.7L483.5 173C501.3 184.9 512 204.9 512 226.3V384C512 419.3 483.3 448 448 448H279.2C264.2 448 249.7 442.8 238.2 433.2L179.2 384H112C85.49 384 64 362.5 64 336V264H16V344C16 348.4 12.42 352 8 352C3.582 352 0 348.4 0 344V168C0 163.6 3.582 160 8 160C12.42 160 16 163.6 16 168V248H64V176C64 149.5 85.49 128 112 128H296V80H200C195.6 80 192 76.42 192 72C192 67.58 195.6 64 200 64H408C412.4 64 416 67.58 416 72zM80 336C80 353.7 94.33 368 112 368H184.1L248.4 420.9C257.1 428.1 267.9 432 279.2 432H448C474.5 432 496 410.5 496 384V226.3C496 210.2 487.1 195.2 474.6 186.3L423.2 152.1C415.4 146.8 406.1 144 396.6 144H112C94.33 144 80 158.3 80 176V336zM544 224C544 206.3 558.3 192 576 192H608C625.7 192 640 206.3 640 224V416C640 433.7 625.7 448 608 448H576C558.3 448 544 433.7 544 416V224zM560 224V416C560 424.8 567.2 432 576 432H608C616.8 432 624 424.8 624 416V224C624 215.2 616.8 208 608 208H576C567.2 208 560 215.2 560 224z"],
    "engine-warning": [640, 512, ["engine-exclamation"], "f5f2", "M288 352C288 343.2 295.2 336 304 336C312.8 336 320 343.2 320 352C320 360.8 312.8 368 304 368C295.2 368 288 360.8 288 352zM304 176C308.4 176 312 179.6 312 184V304C312 308.4 308.4 312 304 312C299.6 312 296 308.4 296 304V184C296 179.6 299.6 176 304 176zM312 80V128H396.6C409.3 128 421.6 131.7 432.1 138.7L483.5 173C501.3 184.9 512 204.9 512 226.3V384C512 419.3 483.3 448 448 448H279.2C264.2 448 249.7 442.8 238.2 433.2L179.2 384H112C85.49 384 64 362.5 64 336V264H16V344C16 348.4 12.42 352 8 352C3.582 352 0 348.4 0 344V168C0 163.6 3.582 160 8 160C12.42 160 16 163.6 16 168V248H64V176C64 149.5 85.49 128 112 128H296V80H200C195.6 80 192 76.42 192 72C192 67.58 195.6 64 200 64H408C412.4 64 416 67.58 416 72C416 76.42 412.4 80 408 80H312zM80 336C80 353.7 94.33 368 112 368H184.1L248.4 420.9C257.1 428.1 267.9 432 279.2 432H448C474.5 432 496 410.5 496 384V226.3C496 210.2 487.1 195.2 474.6 186.3L423.2 152.1C415.4 146.8 406.1 144 396.6 144H112C94.33 144 80 158.3 80 176V336zM544 224C544 206.3 558.3 192 576 192H608C625.7 192 640 206.3 640 224V416C640 433.7 625.7 448 608 448H576C558.3 448 544 433.7 544 416V224zM560 224V416C560 424.8 567.2 432 576 432H608C616.8 432 624 424.8 624 416V224C624 215.2 616.8 208 608 208H576C567.2 208 560 215.2 560 224z"],
    "envelope": [512, 512, [128386, 61443, 9993], "f0e0", "M0 128C0 92.65 28.65 64 64 64H448C483.3 64 512 92.65 512 128V384C512 419.3 483.3 448 448 448H64C28.65 448 0 419.3 0 384V128zM16 128V156.2L220.8 321.4C241.4 337.9 270.6 337.9 291.2 321.4L496 156.2V128C496 101.5 474.5 80 448 80H63.1C37.49 80 15.1 101.5 15.1 128H16zM16 176.7V384C16 410.5 37.49 432 64 432H448C474.5 432 496 410.5 496 384V176.7L301.2 333.8C274.8 355.1 237.2 355.1 210.8 333.8L16 176.7z"],
    "envelope-circle-check": [640, 512, [], "e4e8", "M16 127.1V156.2L220.8 321.4C241.4 337.9 270.6 337.9 291.2 321.4L325 294.1C323.1 301.8 321.7 309.8 320.9 317.9L301.2 333.8C274.8 355.1 237.2 355.1 210.8 333.8L15.1 176.7V384C15.1 410.5 37.49 432 63.1 432H348.5C352.1 437.6 356 442.9 360.2 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H448C483.3 64 512 92.65 512 128V160.7C506.7 160.2 501.4 160 496 160V128C496 101.5 474.5 80 448 80H64C37.49 80 16 101.5 16 128L16 127.1zM565.7 290.3C568.8 293.5 568.8 298.5 565.7 301.7L485.7 381.7C482.5 384.8 477.5 384.8 474.3 381.7L426.3 333.7C423.2 330.5 423.2 325.5 426.3 322.3C429.5 319.2 434.5 319.2 437.7 322.3L480 364.7L554.3 290.3C557.5 287.2 562.5 287.2 565.7 290.3H565.7zM352 336C352 256.5 416.5 191.1 496 191.1C575.5 191.1 640 256.5 640 336C640 415.5 575.5 480 496 480C416.5 480 352 415.5 352 336zM496 464C566.7 464 624 406.7 624 336C624 265.3 566.7 207.1 496 207.1C425.3 207.1 368 265.3 368 336C368 406.7 425.3 464 496 464z"],
    "envelope-dot": [576, 512, ["envelope-badge"], "e16f", "M527.1 160c-3.834 0-7.555 1.305-10.55 3.701l-205.1 164c-13.31 10.66-33.69 10.66-47 0L48 154.6V128c0-26.51 21.49-48 48-48h312C412.4 80 416 76.42 416 72S412.4 64 408 64H96C60.65 64 32 92.65 32 128v256c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V176.9C544 167.6 536.4 160 527.1 160zM528 384c0 26.47-21.53 48-48 48H96c-26.47 0-48-21.53-48-48V175.1l206.5 165.2C264 347.8 275.9 352 288 352s24-4.184 33.5-11.76L528 175.1V384zM512 0c-35.35 0-64 28.65-64 64s28.65 64 64 64s64-28.65 64-64S547.3 0 512 0zM512 112c-26.47 0-48-21.53-48-48s21.53-48 48-48s48 21.53 48 48S538.5 112 512 112z"],
    "envelope-open": [512, 512, [62135], "f2b6", "M490.9 178.3l-198.9-165.1C281.8 4.666 269 0 256 0S230.2 4.666 219.1 13.13L21.05 178.3C7.676 189.4 0 205.1 0 223.9v224.1C0 483.3 28.71 512 64 512h384c35.29 0 64-28.71 64-64.01V223.9C512 205.1 504.3 189.4 490.9 178.3zM31.27 190.6l198.9-165.1C237.8 19.16 246.9 16.01 256 16.01s18.22 3.15 25.81 9.451l198.9 165.1c9.113 7.562 18.69 19.22 0 34.75l-198.9 165.2C274.2 396.8 265.1 399.1 256 399.1s-18.22-3.16-25.81-9.463L31.27 225.3C12.49 209.7 22.38 197.1 31.27 190.6zM496 447.1c0 26.52-21.49 48.02-48 48.02H64c-26.51 0-48-21.5-48-48.02V231.8c1.688 1.938 3.047 4.139 5.055 5.805l198.9 165.2C230.2 411.3 242.1 416 256 416c13.02 0 25.82-4.707 36.02-13.18l198.9-165.2C492.1 235.1 494.3 233.8 496 231.8V447.1z"],
    "envelope-open-dollar": [512, 512, [], "f657", "M490.9 178.3L448 142.6V104C448 81.94 430.1 64 408 64h-54.7l-61.27-50.86C281.8 4.666 269 .002 256 .002S230.2 4.666 219.1 13.13L158.7 64H104C81.94 64 64 81.94 64 104v38.61L21.05 178.3C7.676 189.4 0 205.1 0 223.9v224.1C0 483.3 28.71 512 64 512h384c35.29 0 64-28.71 64-64.01V223.9C512 205.1 504.3 189.4 490.9 178.3zM448 163.4l32.73 27.17c9.113 7.562 18.69 19.22 0 34.75L448 252.5V163.4zM230.2 25.46C237.8 19.16 246.9 16.01 256 16.01s18.22 3.15 25.81 9.451L328.2 64H183.8L230.2 25.46zM80 104c0-13.22 10.78-24 24-24h304c13.22 0 24 10.78 24 24v161.8l-150.2 124.7C274.2 396.8 265.1 399.1 256 399.1s-18.22-3.16-25.81-9.463L80 265.8V104zM31.27 190.6L64 163.4v89.1L31.27 225.3C12.49 209.7 22.38 197.1 31.27 190.6zM496 447.1c0 26.52-21.49 48.02-48 48.02H64c-26.51 0-48-21.5-48-48.02V231.8c1.688 1.938 3.047 4.139 5.055 5.805l198.9 165.2C230.2 411.3 242.1 416.1 256 416.1c13.02 0 25.82-4.72 36.02-13.2l198.9-165.2C492.1 235.1 494.3 233.8 496 231.8V447.1zM248 303.1V320c0 4.406 3.578 8 8 8s8-3.594 8-8V303.4c25.41-1.631 43.7-13.87 47.23-34.23c6.188-35.91-26.7-45.31-53.14-52.88L251.9 214.4C225.4 206.7 213.4 199.8 216.5 181.6c3.516-20.41 29.33-23.78 50.48-20.5c6.031 .9375 13.34 2.938 22.39 6.094c4.094 1.375 8.734-.75 10.17-4.938c1.469-4.156-.7344-8.719-4.922-10.19c-9.953-3.469-18.17-5.688-25.16-6.781c-1.867-.2891-3.602-.3164-5.422-.5059V128c0-4.406-3.578-8-8-8s-8 3.594-8 8v16.38C222.5 145.1 204.3 158.5 200.7 178.9C194.6 214.3 227.6 224 247.4 229.8l6.375 1.812c30.94 8.875 45.14 15.19 41.77 34.75c-3.547 20.44-29.45 23.75-50.56 20.5C235.8 285.5 225.2 281.7 215.8 278.3L210.7 276.5c-4.109-1.438-8.719 .7187-10.2 4.875C198.1 285.5 201.2 290.1 205.3 291.5L210.4 293.3c10.08 3.625 21.48 7.75 32.14 9.344C244.4 302.1 246.2 302.9 248 303.1z"],
    "envelope-open-text": [512, 512, [], "f658", "M490.9 178.3L448 142.6V104C448 81.94 430.1 64 408 64h-54.7l-61.27-50.86C281.8 4.666 269 .0018 256 .0018S230.2 4.666 219.1 13.13L158.7 64H104C81.94 64 64 81.94 64 104v38.61L21.05 178.3C7.676 189.4 0 205.1 0 223.9v224.1C0 483.3 28.71 512 64 512h384c35.29 0 64-28.71 64-64.01V223.9C512 205.1 504.3 189.4 490.9 178.3zM448 163.4l32.73 27.17c9.113 7.562 18.69 19.22 0 34.75L448 252.5V163.4zM230.2 25.46C237.8 19.16 246.9 16.01 256 16.01s18.22 3.15 25.81 9.451L328.2 64H183.8L230.2 25.46zM80 104c0-13.22 10.78-24 24-24h304c13.22 0 24 10.78 24 24v161.8l-150.2 124.7C274.2 396.8 265.1 399.1 256 399.1s-18.22-3.16-25.81-9.463L80 265.8V104zM31.27 190.6L64 163.4v89.1L31.27 225.3C12.49 209.7 22.38 197.1 31.27 190.6zM496 447.1c0 26.52-21.49 48.02-48 48.02H64c-26.51 0-48-21.5-48-48.02V231.8c1.688 1.938 3.047 4.139 5.055 5.805l198.9 165.2C230.2 411.3 242.1 416.1 256 416.1c13.02 0 25.82-4.72 36.02-13.2l198.9-165.2C492.1 235.1 494.3 233.8 496 231.8V447.1zM168 176h176C348.4 176 352 172.4 352 168S348.4 160 344 160h-176C163.6 160 160 163.6 160 168S163.6 176 168 176zM352 248c0-4.406-3.578-8-8-8h-176C163.6 240 160 243.6 160 248S163.6 256 168 256h176C348.4 256 352 252.4 352 248z"],
    "envelopes": [640, 512, [], "e170", "M560 32h-384C149.5 32 128 53.5 128 80v256C128 362.5 149.5 384 176 384h384c26.5 0 48-21.5 48-48v-256C608 53.5 586.5 32 560 32zM592 336c0 17.64-14.36 32-32 32h-384c-17.64 0-32-14.36-32-32V133.3l200.3 146.9C351.4 285.4 359.7 288 368 288s16.59-2.594 23.66-7.781L592 133.3V336zM592 113.5l-209.8 153.9c-8.5 6.219-19.94 6.219-28.44 0L144 113.5V80c0-17.64 14.36-32 32-32h384c17.64 0 32 14.36 32 32V113.5zM504 416c-4.422 0-8 3.594-8 8c0 22.06-17.94 40-40 40h-352c-30.88 0-56-25.12-56-56v-256c0-22.06 17.94-40 40-40C92.42 112 96 108.4 96 104S92.42 96 88 96C57.13 96 32 121.1 32 152v256C32 447.7 64.3 480 104 480h352c30.88 0 56-25.12 56-56C512 419.6 508.4 416 504 416z"],
    "envelopes-bulk": [640, 512, ["mail-bulk"], "f674", "M296 256h-240C25.12 256 0 281.1 0 312v144C0 486.9 25.12 512 56 512h240c30.88 0 56-25.12 56-56v-144C352 281.1 326.9 256 296 256zM336 456c0 22.06-17.94 40-40 40h-240c-22.06 0-40-17.94-40-40v-112.1l135 95.2C158.4 444.1 167.2 447.1 176 447.1s17.62-2.938 24.98-8.828L336 343V456zM336 322.5l-145 103.2c-8.812 7.062-21.16 7.062-29.97 0L16 322.5V312c0-22.06 17.94-40 40-40h240c22.06 0 40 17.94 40 40V322.5zM72 224C76.42 224 80 220.4 80 216v-160c0-22.06 17.94-40 40-40h304c22.06 0 40 17.94 40 40v48c0 4.422 3.578 8 8 8S480 108.4 480 104v-48C480 25.12 454.9 0 424 0h-304C89.13 0 64 25.12 64 56v160C64 220.4 67.58 224 72 224zM584 144h-304C249.1 144 224 169.1 224 200C224 204.4 227.6 208 232 208S240 204.4 240 200C240 177.9 257.9 160 280 160h304c22.06 0 40 17.94 40 40v160c0 22.06-17.94 40-40 40h-192c-4.422 0-8 3.578-8 8S387.6 416 392 416h192c30.88 0 56-25.12 56-56v-160C640 169.1 614.9 144 584 144zM576 280c4.422 0 8-3.578 8-8v-64c0-4.422-3.578-8-8-8h-64c-4.422 0-8 3.578-8 8v64c0 4.422 3.578 8 8 8H576zM520 216h48v48h-48V216z"],
    "equals": [448, 512, [62764], "3d", "M8 168h432C444.4 168 448 164.4 448 160s-3.578-8-8-8H8C3.578 152 0 155.6 0 160S3.578 168 8 168zM440 344H8C3.578 344 0 347.6 0 352s3.578 8 8 8h432c4.422 0 8-3.594 8-8S444.4 344 440 344z"],
    "eraser": [512, 512, [], "f12d", "M147.7 191L31.03 307.7C15.41 323.3 15.41 348.7 31.03 364.3L119 452.3C126.5 459.8 136.7 464 147.3 464L504 464C508.4 464 512 467.6 512 472C512 476.4 508.4 480 504 480L147.3 480C132.5 480 118.2 474.1 107.7 463.6L19.72 375.6C-2.154 353.7-2.154 318.3 19.72 296.4L264.4 51.72C286.3 29.85 321.7 29.85 343.6 51.72L492.3 200.4C514.2 222.3 514.2 257.7 492.3 279.6L339.9 432H317.3L352.1 396.3L147.7 191zM159 179.7L364.3 384.1L480.1 268.3C496.6 252.7 496.6 227.3 480.1 211.7L332.3 63.03C316.7 47.41 291.3 47.41 275.7 63.03L159 179.7z"],
    "escalator": [640, 512, [], "e171", "M173.3 299.6C175 298 176 295.8 176 293.5V226.4c0-33.43 24.64-62.96 57.93-66.07c23.19-2.17 43.92 8.24 56.71 25.06c2.836 3.73 8.154 4.395 11.68 1.307c3.217-2.814 3.674-7.686 1.082-11.08c-15.9-20.86-41.67-33.76-70.48-31.26C191.2 147.9 160 184.5 160 226.4v67.17C160 300.4 168.1 304.1 173.3 299.6zM560 128H448c-19.38 0-38.09 7.031-52.69 19.8L161.9 352H80C35.81 352 0 387.8 0 432S35.81 512 80 512H192c19.38 0 38.09-7.031 52.69-19.8L478.1 288H560C604.2 288 640 252.2 640 208S604.2 128 560 128zM560 272h-87.95l-237.9 208.2C222.5 490.4 207.5 496 192 496H80c-35.29 0-64-28.71-64-64s28.71-64 64-64h87.95l237.9-208.2C417.5 149.6 432.5 144 448 144h112c35.29 0 64 28.71 64 64S595.3 272 560 272zM240 112c30.95-.1172 56-25.14 56-56C296 25.13 270.9 .1152 240 0C209.1 .1152 184 25.13 184 56C184 86.86 209.1 111.9 240 112zM240 16c22.06 .1152 40 18.05 40 40c0 21.97-18.02 39.92-39.98 40C217.9 95.92 200 77.97 200 56C200 34.05 217.9 16.12 240 16z"],
    "ethernet": [512, 512, [], "f796", "M480 192h-32V160c0-17.67-14.33-32-32-32h-32V96c0-17.67-14.33-32-32-32H160C142.3 64 128 78.33 128 96v32H96C78.33 128 64 142.3 64 160v32H32C14.33 192 0 206.3 0 224v192c0 17.67 14.33 32 32 32h448c17.67 0 32-14.33 32-32V224C512 206.3 497.7 192 480 192zM496 416c0 8.822-7.178 16-16 16h-72v-104c0-4.406-3.578-8-8-8s-8 3.594-8 8v104h-80v-104c0-4.406-3.578-8-8-8s-8 3.594-8 8v104h-80v-104C216 323.6 212.4 320 208 320s-8 3.594-8 8v104h-80v-104C120 323.6 116.4 320 112 320s-8 3.594-8 8v104H32c-8.822 0-16-7.178-16-16V224c0-8.822 7.178-16 16-16h48V160c0-8.822 7.178-16 16-16h48V96c0-8.822 7.178-16 16-16h192c8.822 0 16 7.178 16 16v48H416c8.822 0 16 7.178 16 16v48H480c8.822 0 16 7.178 16 16V416z"],
    "euro-sign": [384, 512, [8364, "eur", "euro"], "f153", "M40 208C35.58 208 32 204.4 32 200C32 195.6 35.58 192 40 192H71.33C95.1 99.85 180.1 32 280 32H344.1C349.4 32 352.1 35.58 352.1 40C352.1 44.42 349.4 48 344.1 48H280C188.1 48 112.2 108.8 87.95 192H312C316.4 192 320 195.6 320 200C320 204.4 316.4 208 312 208H84C81.38 220.9 80 234.3 80 248V264C80 277.7 81.38 291.1 84 304H312C316.4 304 320 307.6 320 312C320 316.4 316.4 320 312 320H87.95C112.2 403.2 188.1 464 280 464H344.1C349.4 464 352.1 467.6 352.1 472C352.1 476.4 349.4 480 344.1 480H280C180.1 480 95.1 412.1 71.33 320H40C35.58 320 32 316.4 32 312C32 307.6 35.58 304 40 304H67.7C65.27 291 64 277.7 64 264V248C64 234.3 65.27 220.1 67.7 208H40z"],
    "exclamation": [128, 512, [10069, 10071, 61738], "21", "M64 384c4.406 0 8-3.578 8-8V40c0-4.422-3.594-7.994-8-7.994S56 35.58 56 40v336C56 380.4 59.59 384 64 384zM64 432c-8.836 0-16 7.164-16 16s7.164 16 16 16s16-7.164 16-16S72.84 432 64 432z"],
    "expand": [448, 512, [], "f065", "M152 32h-144C3.594 32 0 35.59 0 40v144C0 188.4 3.594 192 8 192S16 188.4 16 184V48h136C156.4 48 160 44.41 160 40S156.4 32 152 32zM440 32h-144C291.6 32 288 35.59 288 40s3.594 8 8 8h136v136C432 188.4 435.6 192 440 192S448 188.4 448 184v-144C448 35.59 444.4 32 440 32zM440 320c-4.406 0-8 3.594-8 8v136h-136c-4.406 0-8 3.594-8 8S291.6 480 296 480h144c4.406 0 8-3.594 8-8v-144C448 323.6 444.4 320 440 320zM152 464H16v-136C16 323.6 12.41 320 8 320S0 323.6 0 328v144C0 476.4 3.594 480 8 480h144C156.4 480 160 476.4 160 472S156.4 464 152 464z"],
    "expand-wide": [512, 512, [], "f320", "M120 64h-112C3.594 64 0 67.59 0 72v112C0 188.4 3.594 192 8 192S16 188.4 16 184V80h104C124.4 80 128 76.41 128 72S124.4 64 120 64zM504 64h-112C387.6 64 384 67.59 384 72s3.594 8 8 8h104v104C496 188.4 499.6 192 504 192S512 188.4 512 184v-112C512 67.59 508.4 64 504 64zM504 320c-4.406 0-8 3.594-8 8v104h-104c-4.406 0-8 3.594-8 8S387.6 448 392 448h112c4.406 0 8-3.594 8-8v-112C512 323.6 508.4 320 504 320zM120 432H16v-104C16 323.6 12.41 320 8 320S0 323.6 0 328v112C0 444.4 3.594 448 8 448h112C124.4 448 128 444.4 128 440S124.4 432 120 432z"],
    "explosion": [576, 512, [], "e4e9", "M450.9 358.2L542.8 344.1C546.1 343.6 549.4 345.2 551 348.2C552.7 351.2 552.2 354.9 549.9 357.4L452.1 464H431.4L522.9 363.3L441.2 375.9C438.5 376.3 435.8 375.4 434 373.3C432.2 371.3 431.6 368.5 432.3 365.9L514 59.44L342.8 340.2C341.1 342.9 337.1 344.4 334.8 343.9C331.6 343.4 328.1 341 328.2 337.9L288 170.3L247.8 337.9C247.1 340.7 244.1 342.9 242.2 343.7C239.4 344.5 236.4 343.7 234.3 341.7L120.2 227.5L159.7 365.8C160.4 368.4 159.8 371.2 158.1 373.2C156.3 375.3 153.6 376.3 150.9 375.9L52.65 362.8L144.6 464H123L26.08 357.4C23.82 354.9 23.35 351.3 24.91 348.3C26.47 345.3 29.73 343.6 33.06 344.1L140.1 358.5L96.31 202.2C95.31 198.7 96.8 194.1 99.94 193.1C103.1 191.3 107.1 191.8 109.7 194.3L235.6 320.2L280.2 134.1C281.1 130.5 284.3 128 288 128C291.7 128 294.9 130.5 295.8 134.1L339.3 315.3L529.2 3.836C531.2 .4412 535.5-.9181 539.1 .6454C542.8 2.209 544.8 6.22 543.7 10.06L450.9 358.2zM296 88C296 92.42 292.4 96 288 96C283.6 96 280 92.42 280 88V8.002C280 3.583 283.6 .0015 288 .0015C292.4 .0015 296 3.583 296 8.002V88zM192.3 496C196.4 446.7 237.7 408 288 408C338.3 408 379.6 446.7 383.7 496H568C572.4 496 576 499.6 576 504C576 508.4 572.4 512 568 512H376.1L376 512L375.9 512H200.1L200 512L199.9 512H8C3.582 512 0 508.4 0 504C0 499.6 3.582 496 8 496H192.3zM208.4 496H367.6C363.6 455.6 329.5 424 288 424C246.5 424 212.4 455.6 208.4 496z"],
    "eye": [576, 512, [128065], "f06e", "M400 256C400 317.9 349.9 368 288 368C226.1 368 176 317.9 176 256C176 194.1 226.1 144 288 144C349.9 144 400 194.1 400 256zM288 160C234.1 160 192 202.1 192 256C192 309 234.1 352 288 352C341 352 384 309 384 256C384 202.1 341 160 288 160zM480.6 112.6C527.4 156 558.7 207.1 573.5 243.7C576.8 251.6 576.8 260.4 573.5 268.3C558.7 304 527.4 355.1 480.6 399.4C433.5 443.2 368.8 480 288 480C207.2 480 142.5 443.2 95.42 399.4C48.62 355.1 17.34 304 2.461 268.3C-.8205 260.4-.8205 251.6 2.461 243.7C17.34 207.1 48.62 156 95.42 112.6C142.5 68.84 207.2 32 288 32C368.8 32 433.5 68.84 480.6 112.6V112.6zM17.23 249.8C15.59 253.8 15.59 258.2 17.23 262.2C31.34 296 61.38 345.1 106.3 387.7C151.4 429.6 212.4 464 288 464C363.6 464 424.6 429.6 469.7 387.7C514.6 345.1 544.7 296 558.8 262.2C560.4 258.2 560.4 253.8 558.8 249.8C544.7 215.1 514.6 166 469.7 124.3C424.6 82.41 363.6 48 288 48C212.4 48 151.4 82.41 106.3 124.3C61.38 166 31.34 215.1 17.23 249.8V249.8z"],
    "eye-dropper": [512, 512, ["eye-dropper-empty", "eyedropper"], "f1fb", "M186.3 133.7C183.2 130.5 183.2 125.5 186.3 122.3C189.5 119.2 194.5 119.2 197.7 122.3L223.1 147.8L341.6 29.23C380.6-9.744 443.8-9.744 482.8 29.23C521.7 68.21 521.7 131.4 482.8 170.4L364.2 288.9L389.7 314.3C392.8 317.5 392.8 322.5 389.7 325.7C386.5 328.8 381.5 328.8 378.3 325.6L186.3 133.7zM471.5 40.55C438.7 7.818 385.7 7.818 352.9 40.55L234.4 159.1L352.9 277.6L471.5 159.1C504.2 126.3 504.2 73.27 471.5 40.55V40.55zM64.4 338.9C53.9 349.4 48 363.7 48 378.5V434.4L17.75 479.8C16.61 481.5 16 483.5 16 485.6C16 491.3 20.67 496 26.42 496C28.48 496 30.49 495.4 32.2 494.2L77.58 464H133.5C148.3 464 162.6 458.1 173.1 447.6L306.3 314.3C309.5 311.2 314.5 311.2 317.7 314.3C320.8 317.5 320.8 322.5 317.7 325.7L184.4 458.9C170.9 472.4 152.6 480 133.5 480H82.42L41.08 507.6C36.74 510.5 31.64 512 26.42 512C11.83 512 0 500.2 0 485.6C0 480.4 1.544 475.3 4.438 470.9L32 429.6V378.5C32 359.4 39.59 341.1 53.09 327.6L186.3 194.3C189.5 191.2 194.5 191.2 197.7 194.3C200.8 197.5 200.8 202.5 197.7 205.7L64.4 338.9zM482.5 29.51L471.5 40.55z"],
    "eye-dropper-full": [512, 512, [], "e172", "M186.3 133.7C183.2 130.5 183.2 125.5 186.3 122.3C189.5 119.2 194.5 119.2 197.7 122.3L223.1 147.8L341.6 29.23C380.6-9.744 443.8-9.744 482.8 29.23C521.7 68.21 521.7 131.4 482.8 170.4L364.2 288.9L389.7 314.3C392.8 317.5 392.8 322.5 389.7 325.7C386.5 328.8 381.5 328.8 378.3 325.6L186.3 133.7zM471.5 40.55C438.7 7.818 385.7 7.818 352.9 40.55L234.4 159.1L352.9 277.6L471.5 159.1C504.2 126.3 504.2 73.27 471.5 40.55V40.55zM317.7 314.3C320.8 317.5 320.8 322.5 317.7 325.7L184.4 458.9C170.9 472.4 152.6 480 133.5 480H82.42L41.08 507.6C36.74 510.5 31.64 512 26.42 512C11.83 512 0 500.2 0 485.6C0 480.4 1.544 475.3 4.438 470.9L32 429.6V378.5C32 359.4 39.59 341.1 53.09 327.6L186.3 194.3C189.5 191.2 194.5 191.2 197.7 194.3L317.7 314.3zM47.1 378.5V434.4L17.75 479.8C16.61 481.5 15.1 483.5 15.1 485.6C15.1 491.3 20.67 496 26.42 496C28.48 496 30.49 495.4 32.2 494.2L77.58 464H133.5C148.3 464 162.6 458.1 173.1 447.6L300.7 320L191.1 211.3L64.4 338.9C53.9 349.4 47.1 363.7 47.1 378.5V378.5zM482.5 29.51L471.5 40.55z"],
    "eye-dropper-half": [512, 512, [], "e173", "M186.3 133.7C183.2 130.5 183.2 125.5 186.3 122.3C189.5 119.2 194.5 119.2 197.7 122.3L223.1 147.8L341.6 29.23C380.6-9.744 443.8-9.744 482.8 29.23C521.7 68.21 521.7 131.4 482.8 170.4L364.2 288.9L389.7 314.3C392.8 317.5 392.8 322.5 389.7 325.7C386.5 328.8 381.5 328.8 378.3 325.6L186.3 133.7zM471.5 40.55C438.7 7.818 385.7 7.818 352.9 40.55L234.4 159.1L352.9 277.6L471.5 159.1C504.2 126.3 504.2 73.27 471.5 40.55V40.55zM91.31 312H312C315.2 312 318.2 313.9 319.4 316.9C320.6 319.9 319.9 323.4 317.7 325.7L184.4 458.9C170.9 472.4 152.6 480 133.5 480H82.42L41.08 507.6C36.74 510.5 31.64 512 26.42 512C11.83 512 0 500.2 0 485.6C0 480.4 1.544 475.3 4.438 470.9L32 429.6V378.5C32 359.4 39.59 341.1 53.09 327.6L186.3 194.3C189.5 191.2 194.5 191.2 197.7 194.3C200.8 197.5 200.8 202.5 197.7 205.7L91.31 312zM47.1 378.5V434.4L17.75 479.8C16.61 481.5 15.1 483.5 15.1 485.6C15.1 491.3 20.67 496 26.42 496C28.48 496 30.49 495.4 32.2 494.2L77.58 464H133.5C148.3 464 162.6 458.1 173.1 447.6L292.7 328H75.31L64.4 338.9C53.9 349.4 48 363.7 48 378.5H47.1zM482.5 29.51L471.5 40.55z"],
    "eye-evil": [640, 512, [], "f6db", "M424 186.1c0-2.896-2.318-8.001-7.973-8.001C408.6 178.1 382.9 216 320 216c-62.54 0-88.63-37.94-96.04-37.94c-5.643 0-7.961 5.11-7.961 8.001c0 4.89 2.946 6.661 15.53 16.24C221.5 218.7 216 236.1 216 256c0 57.34 46.66 104 104 104S424 313.3 424 256c0-19.01-5.529-37.34-15.53-53.7C420.8 192.1 424 191.1 424 186.1zM301.7 230.7C307.7 231.5 313.8 232 320 232c6.152 0 12.22-.5059 18.23-1.258c3.24 6.896 5.736 15.16 5.736 25.29c0 31.97-23.98 47.98-23.98 47.98S295.1 288 295.1 256C295.1 245.9 298.5 237.6 301.7 230.7zM320 344c-48.53 0-88-39.47-88-88c0-15.75 4.284-31.06 12.44-44.72c.001 .0007-.0006 0 0 0c.0024 0-.0024 0 0 0c.4875 0 15.22 10.17 41.31 16.41c-3.76 9.168-5.781 18.47-5.781 28.34c0 36.97 27.48 63.98 40.02 63.98c12.52 0 39.98-27.04 39.98-63.98c0-9.871-2.021-19.17-5.775-28.33c26.12-6.228 40.88-16.42 41.37-16.42c.0024 0-.0023 0 0 0c.0006 0-.001 .0007 0 0C403.7 224.9 408 240.3 408 256C408 304.5 368.5 344 320 344zM621.3 231.9L515 203.2c-3.266-4.344-6.781-8.812-10.58-13.41c11.59-18.34 50.72-80.31 50.75-80.34c2.507-4.028 3.748-8.494 3.748-12.94c0-15.78-13.98-25.12-25.89-25.12c-3.078 0-6.214 .5311-9.29 1.624l-113.6 40.88c-7.922-3.719-16.14-7-24.55-9.75l-41.88-89.09C339.4 5.781 330.3 0 319.1 0S300.6 5.781 296.3 15.03l-41.89 89.13C246 106.9 237.8 110.2 229.9 113.9L116.3 73.03C113.2 71.96 110.1 71.43 106.1 71.43c-11.78 0-25.9 9.29-25.9 25.08c0 4.459 1.248 8.949 3.774 13.01l50.73 80.31C131.1 194.2 128.4 198.7 125 203.2L18.66 231.9C7.5 234.9-.0001 244.5-.0001 256c0 11.47 7.5 21.12 18.63 24.06l106.4 28.72c3.234 4.312 6.75 8.75 10.48 13.31c-55.95 88.42-54.42 84.42-54.42 93.38c0 15.78 13.98 25.12 25.89 25.12c3.078 0 6.214-.5311 9.29-1.624l113.6-40.88c7.922 3.719 16.14 7 24.55 9.75l41.88 89.09C300.6 506.2 309.7 512 319.1 512s19.39-5.781 23.69-15.03l41.89-89.13c8.406-2.75 16.62-6.031 24.55-9.75l113.6 40.88c3.094 1.096 6.241 1.63 9.326 1.63c11.83 0 25.84-9.415 25.84-25.11c0-9.314 .5201-6.569-54.41-93.39c3.734-4.562 7.25-9 10.48-13.31l106.4-28.69c11.16-2.969 18.66-12.62 18.66-24.09S632.5 234.9 621.3 231.9zM617.2 264.6l-111.8 30.16c-8.376 11.38-11.4 14.69-20.75 26.25c.4665 .6997 58.24 90.21 58.24 94.41c0 5.974-5.996 9.12-10.03 9.12c-1.186 0-2.452-.1995-3.778-.6582l-119.9-43.16c-16.81 8.317-25.7 10.96-35.11 13.94l-44.89 95.5c-1.688 3.625-5.441 5.445-9.199 5.445s-7.52-1.82-9.223-5.477l-44.88-95.47c-9.172-2.901-18.17-5.558-35.11-13.94l-119.9 43.16c-1.326 .4587-2.593 .6582-3.782 .6582c-4.193 0-10.05-3.311-10.05-9.137c0-4.45 57.86-93.63 58.36-94.36C145.3 308.9 141.8 304.6 134.5 294.8L22.75 264.6C16.48 262.1 16 257.6 16 256s.4844-6.969 6.781-8.625l111.8-30.16c8.836-12 13.66-17.61 20.89-26.06C90.74 91.14 97.05 97.76 97.05 96.56c0-5.924 5.894-9.138 9.977-9.138c1.2 0 2.483 .2048 3.83 .6758l119.9 43.16c16.81-8.317 25.7-10.96 35.11-13.94l44.89-95.5c1.688-3.625 5.441-5.445 9.199-5.445s7.52 1.82 9.223 5.477l44.88 95.47c9.172 2.901 18.17 5.558 35.11 13.94l119.9-43.16c1.335-.471 2.612-.6758 3.81-.6758c4.158 0 10.02 3.331 10.02 9.146c0 1.213 5.592-4.455-58.41 94.62c7.279 8.444 11.66 13.46 20.91 26.03l111.8 30.16C623.5 249 624 254.4 624 256S623.5 262.1 617.2 264.6z"],
    "eye-low-vision": [640, 512, ["low-vision"], "f2a8", "M1.738 3.022C4.487-.4365 9.52-1.012 12.98 1.738L636.1 497.7C640.4 500.5 641 505.5 638.3 508.1C635.5 512.4 630.5 513 627 510.3L3.022 14.26C-.4365 11.51-1.012 6.481 1.738 3.022V3.022zM605.5 268.3C595.9 291.3 579.5 321.1 556.5 351L543.1 341.1C566 312.4 581.7 283.1 590.8 262.2C592.4 258.2 592.4 253.8 590.8 249.8C576.7 215.1 546.6 166 501.7 124.3C456.6 82.41 395.6 47.1 319.1 47.1C277.9 47.1 240.3 58.69 207.4 75.4L193.7 64.55C229.9 44.92 272.2 31.1 319.1 31.1C400.8 31.1 465.5 68.84 512.6 112.6C559.4 156 590.7 207.1 605.5 243.7C608.8 251.6 608.8 260.4 605.5 268.3V268.3zM319.1 143.1C380.7 143.1 430.2 192.3 431.9 252.6L414.5 238.8C406.4 194 367.2 159.1 319.1 159.1C318.2 159.1 316.5 160 314.8 160.1L297.3 146.3C304.6 144.8 312.2 143.1 319.1 143.1L319.1 143.1zM420.1 425.8C424.4 428.5 425 433.5 422.2 436.1C419.5 440.4 414.5 441 411 438.2L91 182.2C87.55 179.5 86.99 174.5 89.75 171C92.51 167.6 97.55 166.1 100.1 169.8L420.1 425.8zM73.75 243C76.51 239.6 81.55 238.1 84.1 241.8L334.1 441.8C338.4 444.5 339 449.5 336.2 452.1C333.5 456.4 328.5 457 325 454.2L75 254.2C71.55 251.5 70.99 246.5 73.75 243V243zM224.1 441.8C228.4 444.5 229 449.5 226.2 452.1C223.5 456.4 218.5 457 215 454.2L91 355C87.55 352.3 86.99 347.3 89.75 343.8C92.51 340.4 97.55 339.8 100.1 342.6L224.1 441.8z"],
    "eye-slash": [640, 512, [], "f070", "M636.1 497.7C640.4 500.5 641 505.5 638.3 508.1C635.5 512.4 630.5 513 627 510.3L3.022 14.26C-.4365 11.51-1.012 6.481 1.738 3.022C4.487-.4365 9.52-1.012 12.98 1.738L636.1 497.7zM605.5 268.3C595.9 291.3 579.5 321.1 556.5 351L543.1 341.1C566 312.4 581.7 283.1 590.8 262.2C592.4 258.2 592.4 253.8 590.8 249.8C576.7 215.1 546.6 166 501.7 124.3C456.6 82.41 395.6 47.1 319.1 47.1C277.9 47.1 240.3 58.69 207.4 75.4L193.7 64.55C229.9 44.92 272.2 31.1 320 31.1C400.8 31.1 465.5 68.84 512.6 112.6C559.4 156 590.7 207.1 605.5 243.7C608.8 251.6 608.8 260.4 605.5 268.3H605.5zM83.46 160.1L96.02 170.9C74 199.6 58.31 228 49.23 249.8C47.59 253.8 47.59 258.2 49.23 262.2C63.34 296 93.38 345.1 138.3 387.7C183.4 429.6 244.4 464 320 464C362.1 464 399.7 453.3 432.6 436.6L446.3 447.5C410.1 467.1 367.8 480 319.1 480C239.2 480 174.5 443.2 127.4 399.4C80.62 355.1 49.34 304 34.46 268.3C31.18 260.4 31.18 251.6 34.46 243.7C44.06 220.7 60.46 190.9 83.46 160.1H83.46zM208 259.4L225.5 273.1C233.6 317.1 272.8 352 320 352C321.8 352 323.5 351.1 325.2 351.9L342.7 365.7C335.4 367.2 327.8 368 320 368C259.3 368 209.8 319.7 208 259.4H208zM319.1 143.1C380.7 143.1 430.2 192.3 431.9 252.6L414.5 238.8C406.4 194 367.2 159.1 319.1 159.1C318.2 159.1 316.5 160 314.8 160.1L297.3 146.3C304.6 144.8 312.2 143.1 319.1 143.1L319.1 143.1z"],
    "eyes": [640, 512, [], "e367", "M160 32C80.59 32 16 132.5 16 256s64.59 224 144 224s144-100.5 144-224c0-35.53-5.438-70.84-15.72-102.2C263.6 78.69 214.5 32 160 32zM160 464c-51.12 0-95.19-49.04-115.7-119.6C56.5 353.9 71.41 360 88 360C127.7 360 160 327.7 160 288S127.7 216 88 216c-22.55 0-42.38 10.69-55.59 26.98C36.57 134.4 92.11 48 160 48c47.31 0 90.66 42.47 113.1 110.8C282.8 188.5 288 222.2 288 256C288 370.7 230.6 464 160 464zM32 288c0-30.88 25.12-56 56-56S144 257.1 144 288s-25.12 56-56 56S32 318.9 32 288zM608.3 153.8C583.6 78.69 534.5 32 480 32c-79.41 0-144 100.5-144 224s64.59 224 144 224s144-100.5 144-224C624 220.5 618.6 185.2 608.3 153.8zM480 464c-51.12 0-95.19-49.04-115.7-119.6C376.5 353.9 391.4 360 408 360C447.7 360 480 327.7 480 288s-32.31-72-72-72c-22.55 0-42.38 10.69-55.59 26.98C356.6 134.4 412.1 48 480 48c47.31 0 90.66 42.47 113.1 110.8C602.8 188.5 608 222.2 608 256C608 370.7 550.6 464 480 464zM352 288c0-30.88 25.12-56 56-56S464 257.1 464 288s-25.12 56-56 56S352 318.9 352 288z"],
    "f": [320, 512, [102], "46", "M320 40c0 4.406-3.578 8-8 8H16v208.6h232c4.422 0 8 3.594 8 8s-3.578 8-8 8H16V472C16 476.4 12.42 480 8 480S0 476.4 0 472V40C0 35.59 3.578 32 8 32h304C316.4 32 320 35.59 320 40z"],
    "face-angry": [512, 512, [128544, "angry"], "f556", "M333.4 397.9C330.1 400.9 325 400.6 322.1 397.4C309.3 383.1 287.3 368 256 368C224.7 368 202.7 383.1 189.9 397.4C186.1 400.6 181.9 400.9 178.6 397.9C175.4 394.1 175.1 389.9 178.1 386.6C193.1 369.1 219.1 352 256 352C292.9 352 318.9 369.1 333.9 386.6C336.9 389.9 336.6 394.1 333.4 397.9V397.9zM160.4 240C160.4 231.2 167.5 224 176.4 224C185.2 224 192.4 231.2 192.4 240C192.4 248.8 185.2 256 176.4 256C167.5 256 160.4 248.8 160.4 240zM352.4 240C352.4 248.8 345.2 256 336.4 256C327.5 256 320.4 248.8 320.4 240C320.4 231.2 327.5 224 336.4 224C345.2 224 352.4 231.2 352.4 240zM226.5 200.4C230.7 201.8 232.1 206.3 231.6 210.5C230.2 214.7 225.7 216.1 221.5 215.6L125.5 183.6C121.3 182.2 119 177.7 120.4 173.5C121.8 169.3 126.3 167 130.5 168.4L226.5 200.4zM290.5 215.6C286.3 216.1 281.8 214.7 280.4 210.5C279 206.3 281.3 201.8 285.5 200.4L381.5 168.4C385.7 167 390.2 169.3 391.6 173.5C392.1 177.7 390.7 182.2 386.5 183.6L290.5 215.6zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496z"],
    "face-angry-horns": [640, 512, [], "e368", "M397.4 413.9C394.1 416.9 389 416.6 386.1 413.4C373.3 399.1 351.3 384 319.1 384C288.7 384 266.7 399.1 253.9 413.4C250.1 416.6 245.9 416.9 242.6 413.9C239.4 410.1 239.1 405.9 242.1 402.6C257.1 385.1 283.1 368 319.1 368C356.9 368 382.9 385.1 397.9 402.6C400.9 405.9 400.6 410.1 397.4 413.9L397.4 413.9zM224.4 272C224.4 263.2 231.5 256 240.4 256C249.2 256 256.4 263.2 256.4 272C256.4 280.8 249.2 288 240.4 288C231.5 288 224.4 280.8 224.4 272V272zM416.4 272C416.4 280.8 409.2 288 400.4 288C391.5 288 384.4 280.8 384.4 272C384.4 263.2 391.5 256 400.4 256C409.2 256 416.4 263.2 416.4 272zM290.5 232.4C294.7 233.8 296.1 238.3 295.6 242.5C294.2 246.7 289.7 248.1 285.5 247.6L189.5 215.6C185.3 214.2 183 209.7 184.4 205.5C185.8 201.3 190.3 199 194.5 200.4L290.5 232.4zM354.5 247.6C350.3 248.1 345.8 246.7 344.4 242.5C343 238.3 345.3 233.8 349.5 232.4L445.5 200.4C449.7 199 454.2 201.3 455.6 205.5C456.1 209.7 454.7 214.2 450.5 215.6L354.5 247.6zM64 256C64 228.1 68.47 201.2 76.72 176.1C23.64 111.7 6.016 38.87 .1552 9.569C-.4793 6.396 .8599 3.153 3.549 1.353C6.237-.4474 9.745-.4512 12.44 1.344C32.75 14.88 62.92 26.47 92.96 35.45C120.2 43.6 146.8 49.44 164.5 52.61C207.6 19.61 261.5 0 319.1 0C378.5 0 432.4 19.61 475.5 52.61C493.2 49.44 519.8 43.61 547 35.45C577.1 26.47 607.3 14.88 627.6 1.344C630.3-.4512 633.8-.4474 636.5 1.353C639.1 3.153 640.5 6.396 639.8 9.569C633.1 38.87 616.4 111.7 563.3 176.1C571.5 201.2 576 228.1 576 256C576 397.4 461.4 512 319.1 512C178.6 512 63.1 397.4 63.1 256H64zM320 496C452.5 496 560 388.5 560 256C560 123.5 452.5 16 320 16C187.5 16 80 123.5 80 256C80 388.5 187.5 496 320 496zM620.2 24.2C599.9 34.81 575.3 43.71 551.6 50.78C529.8 57.3 508.4 62.38 491.4 65.85C519.6 91.28 542.1 122.9 556.8 158.6C594.7 109.6 612.2 56.62 620.2 24.2V24.2zM19.82 24.2C27.84 56.62 45.29 109.6 83.2 158.6C97.89 122.9 120.4 91.28 148.6 65.85C131.6 62.38 110.2 57.3 88.37 50.78C64.74 43.71 40.11 34.81 19.82 24.2V24.2z"],
    "face-anguished": [512, 512, [], "e369", "M260.2 320C306.5 320 344 357.5 344 403.8C344 410.5 338.5 416 331.8 416H180.2C173.5 416 168 410.5 168 403.8C168 357.5 205.5 320 251.8 320H260.2zM251.8 336C215.6 336 186.1 364.3 184.1 400H327.9C325.9 364.3 296.4 336 260.2 336H251.8zM192.4 224C192.4 232.8 185.2 240 176.4 240C167.5 240 160.4 232.8 160.4 224C160.4 215.2 167.5 208 176.4 208C185.2 208 192.4 215.2 192.4 224zM320.4 224C320.4 215.2 327.5 208 336.4 208C345.2 208 352.4 215.2 352.4 224C352.4 232.8 345.2 240 336.4 240C327.5 240 320.4 232.8 320.4 224zM199.1 103.5C200.3 107.9 196.9 111.7 192.5 111.1C159.1 113.1 130.9 128.5 109.8 150.7C106.8 153.9 101.7 154 98.5 150.1C95.29 147.1 95.15 142.9 98.19 139.7C121.9 114.6 154.8 98.28 191.5 96.02C195.9 95.74 199.7 99.1 199.1 103.5V103.5zM319.5 111.1C315.1 111.7 311.7 107.9 312 103.5C312.3 99.1 316.1 95.74 320.5 96.02C357.2 98.28 390.1 114.6 413.8 139.7C416.8 142.9 416.7 147.1 413.5 150.1C410.3 154 405.2 153.9 402.2 150.7C381.1 128.5 352 113.1 319.5 111.1V111.1zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "face-anxious-sweat": [576, 512, [], "e36a", "M288 16C165.1 16 65.17 107.1 49.98 225C49.42 229.4 45.41 232.5 41.02 231.9C36.64 231.4 33.55 227.4 34.11 222.1C50.32 97.19 157.8 0 288 0C429.4 0 544 114.6 544 256C544 397.4 429.4 512 288 512C217.6 512 153.9 483.6 107.6 437.7C104.5 434.6 104.5 429.5 107.6 426.4C110.7 423.2 115.8 423.2 118.9 426.3C162.3 469.4 222 496 288 496C420.5 496 528 388.5 528 255.1C528 123.5 420.5 15.1 288 15.1V16zM197.7 162.3C200.8 165.5 200.8 170.5 197.7 173.7L190.3 181C167.9 203.4 139 218.3 107.8 223.5L105.3 223.9C100.1 224.6 96.84 221.7 96.11 217.3C95.38 212.1 98.33 208.8 102.7 208.1L105.2 207.7C133.1 203 158.9 189.8 178.1 169.7L186.3 162.3C189.5 159.2 194.5 159.2 197.7 162.3V162.3zM378.3 173.7C375.2 170.5 375.2 165.5 378.3 162.3C381.5 159.2 386.5 159.2 389.7 162.3L397 169.7C417.1 189.8 442.9 203 470.8 207.7L473.3 208.1C477.7 208.8 480.6 212.1 479.9 217.3C479.2 221.7 475 224.6 470.7 223.9L468.2 223.5C436.1 218.3 408.1 203.4 385.7 181L378.3 173.7zM55.47 260.1C59.73 254.6 68.27 254.6 72.53 260.1C90.09 281.8 128 332.3 128 357.3C128 389.8 99.28 416 64 416C28.72 416 0 389.8 0 357.3C0 332.3 38.07 281.8 55.47 260.1zM34.73 316C29.1 324.9 24.23 333.5 20.83 341.1C17.24 349.1 16 354.5 16 357.3C16 379.6 36.21 400 64 400C91.79 400 112 379.6 112 357.3C112 354.4 110.8 349.1 107.2 341.1C103.8 333.5 98.94 324.9 93.33 316C83.71 300.8 72.44 285.7 64.02 275.1C55.61 285.8 44.36 300.8 34.73 316H34.73zM367.6 288C358.8 288 351.6 280.8 351.6 272C351.6 263.2 358.8 256 367.6 256C376.5 256 383.6 263.2 383.6 272C383.6 280.8 376.5 288 367.6 288zM207.6 256C216.5 256 223.6 263.2 223.6 272C223.6 280.8 216.5 288 207.6 288C198.8 288 191.6 280.8 191.6 272C191.6 263.2 198.8 256 207.6 256zM292.2 320C338.5 320 376 357.5 376 403.8C376 410.5 370.5 416 363.8 416H212.2C205.5 416 200 410.5 200 403.8C200 357.5 237.5 320 283.8 320H292.2zM292.2 336H283.8C247.6 336 218.1 364.3 216.1 400H359.9C357.9 364.3 328.4 336 292.2 336H292.2z"],
    "face-astonished": [512, 512, [], "e36b", "M192 352C192 316.7 220.7 288 256 288C291.3 288 320 316.7 320 352V384C320 419.3 291.3 448 256 448C220.7 448 192 419.3 192 384V352zM256 304C229.5 304 208 325.5 208 352V384C208 410.5 229.5 432 256 432C282.5 432 304 410.5 304 384V352C304 325.5 282.5 304 256 304zM192.4 224C192.4 232.8 185.2 240 176.4 240C167.5 240 160.4 232.8 160.4 224C160.4 215.2 167.5 208 176.4 208C185.2 208 192.4 215.2 192.4 224zM320.4 224C320.4 215.2 327.5 208 336.4 208C345.2 208 352.4 215.2 352.4 224C352.4 232.8 345.2 240 336.4 240C327.5 240 320.4 232.8 320.4 224zM199.1 119.5C200.3 123.9 196.9 127.7 192.5 127.1C159.1 129.1 130.9 144.5 109.8 166.7C106.8 169.9 101.7 170 98.5 166.1C95.29 163.1 95.15 158.9 98.19 155.7C121.9 130.6 154.8 114.3 191.5 112C195.9 111.7 199.7 115.1 199.1 119.5V119.5zM319.5 127.1C315.1 127.7 311.7 123.9 312 119.5C312.3 115.1 316.1 111.7 320.5 112C357.2 114.3 390.1 130.6 413.8 155.7C416.8 158.9 416.7 163.1 413.5 166.1C410.3 170 405.2 169.9 402.2 166.7C381.1 144.5 352 129.1 319.5 127.1V127.1zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "face-awesome": [512, 512, ["gave-dandy"], "e409", "M208 192V208C208 225.7 193.7 240 176 240H96C78.33 240 64 225.7 64 208V192C64 152.2 96.24 120 136 120C175.8 120 208 152.2 208 192zM192 208V192C192 185.6 190.9 179.4 188.9 173.7C183.8 184.5 172.8 192 160 192C142.3 192 128 177.7 128 160C128 150.5 132.2 141.9 138.8 136.1C137.8 136 136.9 136 136 136C105.1 136 80 161.1 80 192V208C80 216.8 87.16 224 96 224H176C184.8 224 192 216.8 192 208zM160 176C168.8 176 176 168.8 176 160C176 151.2 168.8 144 160 144C151.2 144 144 151.2 144 160C144 168.8 151.2 176 160 176zM256 192C256 147.8 291.8 112 336 112C380.2 112 416 147.8 416 192V209.9C416 226.5 402.5 240 385.9 240H286.1C269.5 240 255.1 226.5 255.1 209.9L256 192zM360 136C351.2 136 344 143.2 344 152C344 160.8 351.2 168 360 168C368.8 168 376 160.8 376 152C376 143.2 368.8 136 360 136zM338.8 128.1C337.8 128 336.9 128 336 128C300.7 128 272 156.7 272 192V209.9C272 217.7 278.3 224 286.1 224H385.9C393.7 224 400 217.7 400 209.9V192C400 180.1 396.8 168.1 391.1 159.5C387.8 173.5 375.1 184 360 184C342.3 184 328 169.7 328 152C328 142.5 332.2 133.9 338.8 128.1H338.8zM265.4 448H248C157.4 448 81.66 378.3 73.46 288C72.68 279.5 79.43 272 88.06 272H394.6C410.4 272 422.8 285.6 421.3 301.3C417 348.9 392.3 390.1 356.3 416.6C331.2 436.3 299.5 448 265.4 448V448zM260.7 432C292.7 432 322.5 421.6 346.7 403.8C354.3 397.9 361.2 391 367.3 383.5C354.1 373.8 337.7 368 320 368C281.3 368 249.1 395.4 241.6 431.9C243.7 431.1 245.9 432 248 432H260.7zM225.6 430.4C233.9 385.8 272.1 352 320 352C342 352 362.3 359.4 378.5 371.8C393.3 351.3 402.1 326.7 405.4 299.9C405.1 293.5 400.1 288 394.6 288H89.53C96.89 361.8 153.1 420.2 225.6 430.4zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496z"],
    "face-beam-hand-over-mouth": [512, 512, [129325], "e47c", "M116.7 451.4C120.2 453.1 121.1 458.1 118.5 462.6C115.9 466.2 110.9 467 107.3 464.4C42.38 418 0 341.1 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 362.3 447.3 453.4 355.1 492.1C351 493.8 346.3 491.9 344.6 487.8C342.9 483.8 344.8 479.1 348.9 477.4C435.3 441 496 355.6 496 255.1C496 123.5 388.5 15.1 256 15.1C123.5 15.1 16 123.5 16 255.1C16 336.6 55.7 407.9 116.7 451.4L116.7 451.4zM126.3 215.9C121.1 215 119.1 210.9 119.1 206.5C122.8 191.5 128.7 174.5 137.5 160.1C146.2 147.7 158.1 136 175.8 136C192.7 136 205.4 147.7 214.1 160.1C222.1 174.5 228.9 191.5 231.7 206.5C232.5 210.9 229.6 215 225.3 215.9C220.9 216.7 216.8 213.8 215.1 209.5C213.4 196 208.1 181.1 200.7 169.7C193.1 158.1 184.6 152 175.8 152C167.1 152 158.5 158.1 150.9 169.7C143.5 181.1 138.2 196 135.7 209.5C134.9 213.8 130.7 216.7 126.3 215.9V215.9zM310.9 169.7C303.5 181.1 298.2 196 295.7 209.5C294.9 213.8 290.7 216.7 286.3 215.9C281.1 215 279.1 210.9 279.1 206.5C282.8 191.5 288.7 174.5 297.5 160.1C306.2 147.7 318.1 136 335.8 136C352.6 136 365.4 147.7 374.1 160.1C382.1 174.5 388.9 191.5 391.7 206.5C392.5 210.9 389.6 215 385.3 215.9C380.9 216.7 376.8 213.8 375.1 209.5C373.4 196 368.1 181.1 360.7 169.7C353.1 158.1 344.6 152 335.8 152C327 152 318.5 158.1 310.9 169.7V169.7zM310.6 249.4C314.1 252.9 316.7 257 318.2 261.4C330.6 253.1 347.6 254.4 358.6 265.4C369.6 276.4 370.9 293.4 362.6 305.8C366.1 307.3 371.1 309.9 374.6 313.4C387.1 325.9 387.1 346.1 374.6 358.6L363.2 370C367.4 371.6 371.3 374 374.6 377.4C387.1 389.9 387.1 410.1 374.6 422.6L317.8 479.4C296.1 500.3 268.7 512 239.2 512C177.8 512 128 462.2 128 400.8V314.4C128 294.5 144.1 278.4 164 278.4C183.9 278.4 200 294.5 200 314.4V314.7L265.4 249.4C277.9 236.9 298.1 236.9 310.6 249.4L310.6 249.4zM257.4 344C254.8 346.6 250.6 346.6 248 344C245.4 341.4 245.4 337.2 248 334.6L299.3 283.3C301.7 280.1 303.1 278.1 303.7 275C304.7 269.1 303.2 264.6 299.3 260.7C293.1 254.4 282.9 254.4 276.7 260.7L197.7 339.7C192.6 344.8 184 341.2 184 334.1V314.4C184 303.4 175 294.4 164 294.4C152.1 294.4 144 303.4 144 314.4V400.8C144 453.4 186.6 496 239.2 496C264.4 496 288.7 485.1 306.5 468.1L363.3 411.3C369.6 405.1 369.6 394.9 363.3 388.7C359.4 384.8 354 383.3 348.1 384.3C345.9 384.9 343 386.3 340.7 388.7L321.4 408C318.8 410.6 314.6 410.6 312 408C309.4 405.4 309.4 401.2 312 398.6L363.3 347.3C369.6 341.1 369.6 330.9 363.3 324.7C359.4 320.8 354 319.3 348.1 320.3C345.9 320.9 343 322.3 340.7 324.7L289.4 376C286.8 378.6 282.6 378.6 280 376C277.4 373.4 277.4 369.2 280 366.6L347.3 299.3C353.6 293.1 353.6 282.9 347.3 276.7C341.1 270.4 330.9 270.4 324.7 276.7L257.4 344z"],
    "face-clouds": [640, 512, [], "e47d", "M187.6 21.81C196.3 18.07 205.9 16 216 16C255.8 16 288 48.24 288 88C288 127.8 255.8 160 216 160H64C28.65 160 0 131.3 0 96C0 60.65 28.65 32 64 32H76.13C89.03 12.72 111 0 136 0C156.3 0 174.6 8.374 187.6 21.81zM136 16C113.7 16 94.38 29.08 85.39 48H64C37.49 48 16 69.49 16 96C16 122.5 37.49 144 64 144H216C246.9 144 272 118.9 272 88C272 57.07 246.9 32 216 32C206.3 32 197.3 34.45 189.3 38.75C187.3 39.84 185.4 41.05 183.5 42.37C182.3 40.43 180.1 38.57 179.6 36.8C169.3 24.11 153.6 16 136 16H136zM320 0C461.4 0 576 114.6 576 256C576 263.3 575.7 270.5 575.1 277.7C570.2 274.6 565.1 271.9 559.6 269.8C559.9 265.3 560 260.6 560 256C560 123.5 452.5 16 319.1 16C313.4 16 306.9 16.26 300.5 16.78C296.8 11.49 292.8 6.526 288.3 1.941C298.7 .6598 309.3 0 319.1 0L320 0zM80 256C80 358.6 144.4 446.2 235 480.5C238.7 488.2 243.2 495.3 248.5 501.9C141.9 470.9 64 372.6 64 256C64 233.9 66.8 212.5 72.06 192H88.63C83 212.4 79.1 233.8 79.1 256H80zM256.4 208C256.4 216.8 249.2 224 240.4 224C231.5 224 224.4 216.8 224.4 208C224.4 199.2 231.5 192 240.4 192C249.2 192 256.4 199.2 256.4 208zM384.4 208C384.4 199.2 391.5 192 400.4 192C409.2 192 416.4 199.2 416.4 208C416.4 216.8 409.2 224 400.4 224C391.5 224 384.4 216.8 384.4 208zM488 304.5C497.4 299.1 508.4 296 520 296C553.9 296 581.6 322.3 583.9 355.6C616.4 365.8 640 396.1 640 432C640 476.2 604.2 512 560 512H336C291.8 512 256 476.2 256 432C256 392.9 284 360.4 321.1 353.4C328.1 307.3 367.9 272 416 272C444.7 272 470.5 284.6 488 304.5V304.5zM567.9 362.5C567.1 361.6 568 360.8 568 360C568 333.5 546.5 312 520 312C511.9 312 504.3 313.1 497.7 317.5C492.9 320 488.5 323.4 484.9 327.3C482.1 322.6 478.9 318.2 475.3 314.2C460.6 298.1 439.5 287.1 416 287.1C371.8 287.1 336 323.8 336 368C300.7 368 272 396.7 272 432C272 467.3 300.7 496 336 496H560C595.3 496 624 467.3 624 432C624 401.9 603.2 376.6 575.1 369.8C572.6 369.2 569.9 368.7 567.3 368.4C567.6 366.5 567.8 364.5 567.9 362.5L567.9 362.5z"],
    "face-confounded": [512, 512, [], "e36c", "M256 390.4L299.6 361.3C302.2 359.6 305.8 359.6 308.4 361.3L352.6 390.8L380.4 376.8C384.4 374.9 389.2 376.5 391.2 380.4C393.1 384.4 391.5 389.2 387.6 391.2L355.6 407.2C353 408.4 349.1 408.2 347.6 406.7L304 377.6L260.4 406.7C257.8 408.4 254.2 408.4 251.6 406.7L208 377.6L164.4 406.7C162 408.2 158.1 408.4 156.4 407.2L124.4 391.2C120.5 389.2 118.9 384.4 120.8 380.4C122.8 376.5 127.6 374.9 131.6 376.8L159.4 390.8L203.6 361.3C206.2 359.6 209.8 359.6 212.4 361.3L256 390.4zM128.8 212.4C130.8 208.5 135.6 206.9 139.6 208.8L219.6 248.8C222.3 250.2 224 252.1 224 256C224 259 222.3 261.8 219.6 263.2L139.6 303.2C135.6 305.1 130.8 303.5 128.8 299.6C126.9 295.6 128.5 290.8 132.4 288.8L198.1 256L132.4 223.2C128.5 221.2 126.9 216.4 128.8 212.4V212.4zM372.4 208.8C376.4 206.9 381.2 208.5 383.2 212.4C385.1 216.4 383.5 221.2 379.6 223.2L313.9 255.1L379.6 288.8C383.5 290.8 385.1 295.6 383.2 299.6C381.2 303.5 376.4 305.1 372.4 303.2L292.4 263.2C289.7 261.8 288 259 288 255.1C288 252.1 289.7 250.2 292.4 248.8L372.4 208.8zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "face-confused": [512, 512, [], "e36d", "M157.4 397.9C154.1 400.9 149.1 400.6 146.1 397.4C143.1 394.1 143.3 389.1 146.6 386.1L152.2 380.1C206.7 331.4 277.7 304 351.3 304H360C364.4 304 368 307.6 368 312C368 316.4 364.4 320 360 320H351.3C281.7 320 214.5 345.1 162.1 392.8L157.4 397.9zM192.4 208C192.4 216.8 185.2 224 176.4 224C167.5 224 160.4 216.8 160.4 208C160.4 199.2 167.5 192 176.4 192C185.2 192 192.4 199.2 192.4 208zM320.4 208C320.4 199.2 327.5 192 336.4 192C345.2 192 352.4 199.2 352.4 208C352.4 216.8 345.2 224 336.4 224C327.5 224 320.4 216.8 320.4 208zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "face-cowboy-hat": [512, 512, [], "e36e", "M374.1 110.9C409.9 100.3 441.1 85.24 466.9 66.75C469.4 64.98 472.3 64 475.3 64C484.3 64 490.1 72.25 488.2 80.75C461.2 163.2 367.5 224 256 224C144.5 224 50.77 163.2 23.8 80.75C21.02 72.25 27.72 64 36.66 64C39.7 64 42.64 64.99 45.1 66.75C70.9 85.24 102.1 100.3 137 110.9C153 62.1 181.8 0 216 0C224.9 0 233.4 4.171 241.4 11.2C249.6 18.39 262.4 18.39 270.6 11.2C278.6 4.171 287.1 0 296 0C330.2 0 358.1 62.1 374.1 110.9H374.1zM336.7 59.59C329.4 45.72 321.8 34.21 314.1 26.38C306.3 18.4 300.3 16 296 16C292.4 16 287.5 17.68 281.2 23.22C266.1 35.72 245 35.72 230.8 23.22C224.5 17.68 219.6 16 216 16C211.7 16 205.7 18.4 197.9 26.38C190.2 34.21 182.6 45.72 175.3 59.59C166.2 77.08 158.5 97.03 152.5 115.2C184.6 123.5 219.5 128 256 128C292.5 128 327.4 123.5 359.5 115.2C353.5 97.03 345.8 77.08 336.7 59.59H336.7zM42.02 84.1C69.83 154.3 153.6 208 256 208C358.4 208 442.2 154.3 469.1 84.1C414.7 121.4 338.9 144 256 144C173.1 144 97.26 121.4 42.02 84.1V84.1zM89.08 209.1C73.12 237.1 64 269.5 64 303.1C64 410 149.1 496 256 496C362 496 448 410 448 303.1C448 269.5 438.9 237.1 422.9 209.1C427.5 206.2 431.9 203.2 436.2 200C453.9 230.6 464 266.1 464 303.1C464 418.9 370.9 512 256 512C141.1 512 48 418.9 48 303.1C48 266.1 58.12 230.6 75.81 200C80.12 203.2 84.54 206.2 89.08 209.1L89.08 209.1zM256.2 450C203.5 450 157.4 421.4 132.5 378.9C122.7 362.3 140.4 346.1 159 350.7C189.1 358.2 221.9 362.3 256.2 362.3C290.6 362.3 323.4 358.2 353.4 350.7C372.1 346.1 389.8 362.3 380 378.9C355.1 421.4 308.1 450 256.2 450zM155.2 366.2C151.2 365.2 147.9 366.6 146.4 368.1C145.8 368.8 145.7 369.2 145.7 369.2C145.7 369.2 145.7 369.3 145.7 369.5C145.8 369.7 145.9 370.1 146.3 370.8C168.5 408.7 209.4 434 256.2 434C303 434 344 408.7 366.2 370.8C366.6 370.1 366.7 369.7 366.8 369.5C366.8 369.3 366.8 369.2 366.8 369.2C366.8 369.2 366.7 368.8 366.1 368.1C364.6 366.6 361.3 365.2 357.3 366.2C326 374 291.9 378.3 256.2 378.3C220.6 378.3 186.5 374 155.2 366.2L155.2 366.2zM192 272C192 280.8 184.8 288 176 288C167.2 288 160 280.8 160 272C160 263.2 167.2 256 176 256C184.8 256 192 263.2 192 272zM320 272C320 263.2 327.2 256 336 256C344.8 256 352 263.2 352 272C352 280.8 344.8 288 336 288C327.2 288 320 280.8 320 272z"],
    "face-diagonal-mouth": [512, 512, [129764], "e47e", "M146.2 375.7C141.9 376.9 137.5 374.4 136.3 370.2C135.1 365.9 137.6 361.5 141.8 360.3L365.8 296.3C370.1 295.1 374.5 297.6 375.7 301.8C376.9 306.1 374.4 310.5 370.2 311.7L146.2 375.7zM192.4 208C192.4 216.8 185.2 224 176.4 224C167.5 224 160.4 216.8 160.4 208C160.4 199.2 167.5 192 176.4 192C185.2 192 192.4 199.2 192.4 208zM320.4 208C320.4 199.2 327.5 192 336.4 192C345.2 192 352.4 199.2 352.4 208C352.4 216.8 345.2 224 336.4 224C327.5 224 320.4 216.8 320.4 208zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "face-disappointed": [512, 512, [], "e36f", "M256 384C224.7 384 202.7 399.1 189.9 413.4C186.1 416.6 181.9 416.9 178.6 413.9C175.4 410.1 175.1 405.9 178.1 402.6C193.1 385.1 219.1 368 256 368C292.9 368 318.9 385.1 333.9 402.6C336.9 405.9 336.6 410.1 333.4 413.9C330.1 416.9 325 416.6 322.1 413.4C309.3 399.1 287.3 384 256 384V384zM205.7 242.3C208.8 245.5 208.8 250.5 205.7 253.7L198.3 261C175.9 283.4 147 298.3 115.8 303.5L113.3 303.9C108.1 304.6 104.8 301.7 104.1 297.3C103.4 292.1 106.3 288.8 110.7 288.1L113.2 287.7C141.1 283 166.9 269.8 186.1 249.7L194.3 242.3C197.5 239.2 202.5 239.2 205.7 242.3V242.3zM306.3 253.7C303.2 250.5 303.2 245.5 306.3 242.3C309.5 239.2 314.5 239.2 317.7 242.3L325 249.7C345.1 269.8 370.9 283 398.8 287.7L401.3 288.1C405.7 288.8 408.6 292.1 407.9 297.3C407.2 301.7 403 304.6 398.7 303.9L396.2 303.5C364.1 298.3 336.1 283.4 313.7 261L306.3 253.7zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "face-disguise": [576, 512, [], "e370", "M224 208C224 216.8 216.8 224 208 224C199.2 224 192 216.8 192 208C192 199.2 199.2 192 208 192C216.8 192 224 199.2 224 208zM352 208C352 199.2 359.2 192 368 192C376.8 192 384 199.2 384 208C384 216.8 376.8 224 368 224C359.2 224 352 216.8 352 208zM536 192L535.1 192.2C541.2 212.6 544 233.1 544 256C544 397.4 429.4 512 288 512C146.6 512 32 397.4 32 256C32 233.1 34.78 212.6 40 192.2L40 192C40 190.5 40.43 189 41.18 187.8C71.03 79.53 170.2 0 288 0C405.8 0 504.1 79.53 534.8 187.8C535.6 189 536 190.5 536 192zM521.4 200H463.6C463.9 202.6 464 205.3 464 208C464 256.6 424.6 296 376 296C369 296 362.3 295.2 355.8 293.7L357.1 298L373.3 305.7C384.7 311.4 392 323.2 392 336C392 348.8 384.7 360.6 373.3 366.3L364.4 370.7L390.2 403C393 406.5 392.4 411.5 388.1 414.2C385.5 417 380.5 416.4 377.8 412.1L349.8 378L330.2 387.9L343.4 421C345.1 425.1 343.1 429.8 338.1 431.4C334.9 433.1 330.2 431.1 328.6 426.1L315.7 394.9C309.4 397.5 302.7 399.2 296 400V432C296 436.4 292.4 440 288 440C283.6 440 280 436.4 280 432V400C273.3 399.2 266.6 397.5 260.3 394.9L247.4 426.1C245.8 431.1 241.1 433.1 237 431.4C232.9 429.8 230.9 425.1 232.6 421L245.8 387.9L226.2 378L198.2 412.1C195.5 416.4 190.5 417 187 414.2C183.6 411.5 182.1 406.5 185.8 403L211.6 370.7L202.7 366.3C191.3 360.6 184 348.8 184 336C184 323.2 191.3 311.4 202.7 305.7L218 298L220.2 293.7C213.7 295.2 206.1 296 200 296C151.4 296 112 256.6 112 208C112 205.3 112.1 202.6 112.4 200H54.57C50.27 217.1 48 236.7 48 256C48 388.5 155.5 496 288 496C420.5 496 528 388.5 528 256C528 236.7 525.7 217.1 521.4 200H521.4zM271.9 204.1C269.9 166.1 238.4 136 200 136C160.2 136 128 168.2 128 208C128 247.8 160.2 280 200 280C210.5 280 220.4 277.8 229.3 273.8C229.7 273.6 230 273.5 230.4 273.4L257.7 218.7C260.9 212.4 265.9 207.3 271.9 204.1zM240.1 129.7C266.3 143.1 284.9 169.3 287.6 200L288 200L288.4 200C291.1 169.3 309.7 143.1 335.9 129.7L328.8 115.6C326.9 111.6 328.5 106.8 332.4 104.8C336.4 102.9 341.2 104.5 343.2 108.4L350.8 123.7C358.8 121.3 367.2 119.1 376 119.1V95.1C376 91.58 379.6 87.1 384 87.1C388.4 87.1 392 91.58 392 95.1V121.5C401.2 123.1 409.8 126.2 417.8 130.5L424.8 116.4C426.8 112.5 431.6 110.9 435.6 112.8C439.5 114.8 441.1 119.6 439.2 123.6L431.2 139.5C445.2 150.8 455.7 166.2 460.7 183.1H517C486.4 86.63 395.5 15.1 288 15.1C180.5 15.1 89.57 86.63 58.99 183.1H115.3C120.3 166.2 130.8 150.8 144.8 139.5L136.8 123.6C134.9 119.6 136.5 114.8 140.4 112.8C144.4 110.9 149.2 112.5 151.2 116.4L158.2 130.5C166.2 126.2 174.8 123.1 183.1 121.5V95.1C183.1 91.58 187.6 87.1 191.1 87.1C196.4 87.1 199.1 91.58 199.1 95.1V119.1C208.8 119.1 217.2 121.3 225.2 123.7L232.8 108.4C234.8 104.5 239.6 102.9 243.6 104.8C247.5 106.8 249.1 111.6 247.2 115.6L240.1 129.7zM376 136C337.6 136 306.1 166.1 304.1 204.1C310.1 207.3 315.1 212.4 318.3 218.7L345.6 273.4C345.1 273.5 346.3 273.6 346.7 273.8C355.6 277.8 365.5 280 376 280C415.8 280 448 247.8 448 208C448 168.2 415.8 136 376 136V136zM288 216C281.2 216 275 219.8 272 225.9L229.1 309.1L209.9 320C203.8 323 200 329.2 200 336C200 342.8 203.8 348.1 209.9 352L262.1 378.5C278.7 386.4 297.3 386.4 313 378.5L366.1 352C372.2 348.1 376 342.8 376 336C376 329.2 372.2 323 366.1 320L346 309.1L304 225.9C300.1 219.8 294.8 216 288 216H288z"],
    "face-dizzy": [512, 512, ["dizzy"], "f567", "M328 352C328 391.8 295.8 424 256 424C216.2 424 184 391.8 184 352C184 312.2 216.2 280 256 280C295.8 280 328 312.2 328 352zM256 408C286.9 408 312 382.9 312 352C312 321.1 286.9 296 256 296C225.1 296 200 321.1 200 352C200 382.9 225.1 408 256 408zM106.3 138.3C109.5 135.2 114.5 135.2 117.7 138.3L159.1 180.7L202.3 138.3C205.5 135.2 210.5 135.2 213.7 138.3C216.8 141.5 216.8 146.5 213.7 149.7L171.3 191.1L213.7 234.3C216.8 237.5 216.8 242.5 213.7 245.7C210.5 248.8 205.5 248.8 202.3 245.7L159.1 203.3L117.7 245.7C114.5 248.8 109.5 248.8 106.3 245.7C103.2 242.5 103.2 237.5 106.3 234.3L148.7 191.1L106.3 149.7C103.2 146.5 103.2 141.5 106.3 138.3V138.3zM298.3 138.3C301.5 135.2 306.5 135.2 309.7 138.3L352 180.7L394.3 138.3C397.5 135.2 402.5 135.2 405.7 138.3C408.8 141.5 408.8 146.5 405.7 149.7L363.3 191.1L405.7 234.3C408.8 237.5 408.8 242.5 405.7 245.7C402.5 248.8 397.5 248.8 394.3 245.7L352 203.3L309.7 245.7C306.5 248.8 301.5 248.8 298.3 245.7C295.2 242.5 295.2 237.5 298.3 234.3L340.7 191.1L298.3 149.7C295.2 146.5 295.2 141.5 298.3 138.3zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "face-dotted": [512, 512, [129765], "e47f", "M312.1 6.367C317.3 7.347 319.1 11.63 319 15.94C318 20.25 313.7 22.95 309.4 21.97C292.3 18.06 274.4 16 256 16C237.6 16 219.7 18.06 202.6 21.97C198.3 22.95 193.1 20.25 192.1 15.94C192 11.63 194.7 7.347 199 6.367C217.3 2.199 236.4 0 256 0C275.6 0 294.6 2.199 312.1 6.367V6.367zM52.75 128.3C50.4 132 45.46 133.2 41.72 130.8C37.98 128.5 36.86 123.5 39.21 119.8C59.69 87.27 87.27 59.69 119.8 39.21C123.5 36.86 128.5 37.98 130.8 41.72C133.2 45.46 132 50.4 128.3 52.75C97.82 71.95 71.95 97.82 52.75 128.3V128.3zM472.8 119.8C475.1 123.5 474 128.5 470.3 130.8C466.5 133.2 461.6 132 459.2 128.3C440.1 97.82 414.2 71.95 383.7 52.75C379.1 50.4 378.8 45.46 381.2 41.72C383.5 37.98 388.5 36.86 392.2 39.21C424.7 59.69 452.3 87.27 472.8 119.8V119.8zM16 256C16 274.4 18.06 292.3 21.97 309.4C22.95 313.7 20.25 318 15.94 319C11.63 319.1 7.347 317.3 6.367 312.1C2.199 294.7 0 275.6 0 256C0 236.4 2.199 217.3 6.367 199C7.347 194.7 11.63 192 15.94 192.1C20.25 193.1 22.95 198.3 21.97 202.6C18.06 219.7 16 237.6 16 256V256zM512 256C512 275.6 509.8 294.7 505.6 312.1C504.7 317.3 500.4 319.1 496.1 319C491.8 318 489.1 313.7 490 309.4C493.9 292.3 496 274.4 496 256C496 237.6 493.9 219.7 490 202.6C489.1 198.3 491.8 193.1 496.1 192.1C500.4 192 504.7 194.7 505.6 199C509.8 217.3 512 236.4 512 256V256zM128.3 459.2C132 461.6 133.2 466.5 130.8 470.3C128.5 474 123.5 475.1 119.8 472.8C87.27 452.3 59.69 424.7 39.21 392.2C36.86 388.5 37.98 383.5 41.72 381.2C45.46 378.8 50.4 379.1 52.75 383.7C71.95 414.2 97.82 440.1 128.3 459.2zM392.2 472.8C388.5 475.1 383.5 474 381.2 470.3C378.8 466.5 379.1 461.6 383.7 459.2C414.2 440.1 440.1 414.2 459.2 383.7C461.6 379.1 466.5 378.8 470.3 381.2C474 383.5 475.1 388.5 472.8 392.2C452.3 424.7 424.7 452.3 392.2 472.8zM256 496C274.4 496 292.3 493.9 309.4 490C313.7 489.1 318 491.8 319 496.1C319.1 500.4 317.3 504.7 312.1 505.6C294.6 509.8 275.6 512 256 512C236.4 512 217.3 509.8 199 505.6C194.7 504.7 192 500.4 192.1 496.1C193.1 491.8 198.3 489.1 202.6 490C219.7 493.9 237.6 496 256 496V496zM160.4 208C160.4 199.2 167.5 192 176.4 192C185.2 192 192.4 199.2 192.4 208C192.4 216.8 185.2 224 176.4 224C167.5 224 160.4 216.8 160.4 208zM352.4 208C352.4 216.8 345.2 224 336.4 224C327.5 224 320.4 216.8 320.4 208C320.4 199.2 327.5 192 336.4 192C345.2 192 352.4 199.2 352.4 208zM328 344C332.4 344 336 347.6 336 352C336 356.4 332.4 360 328 360H184C179.6 360 176 356.4 176 352C176 347.6 179.6 344 184 344H328z"],
    "face-downcast-sweat": [512, 512, [], "e371", "M128 101.3C128 133.8 99.28 160 64 160C28.72 160 0 133.8 0 101.3C0 76.27 38.07 25.81 55.47 4.101C59.73-1.367 68.27-1.367 72.53 4.102C90.09 25.81 128 76.27 128 101.3zM93.33 60C83.71 44.79 72.44 29.74 64.02 19.07C55.61 29.77 44.36 44.82 34.73 60.01C29.1 68.89 24.24 77.5 20.83 85.12C17.25 93.13 16 98.46 16 101.3C16 123.6 36.21 144 64 144C91.79 144 112 123.6 112 101.3C112 98.44 110.8 93.1 107.2 85.11C103.8 77.49 98.94 68.88 93.33 60zM144 43.68C140.1 45.74 135.3 44.25 133.2 40.34C131.1 36.44 132.6 31.6 136.5 29.53C172.2 10.67 212.9 .0005 256 .0005C397.4 .0005 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 .0003 397.4 .0003 256C.0003 232.4 3.204 209.5 9.204 187.7C10.38 183.5 14.79 180.1 19.04 182.2C23.3 183.3 25.8 187.7 24.63 191.1C19.01 212.4 16 233.8 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16C215.5 16 177.4 26.01 144 43.68L144 43.68zM178.1 402.6C193.1 385.1 219.1 368 256 368C292.9 368 318.9 385.1 333.9 402.6C336.9 405.9 336.6 410.1 333.4 413.9C330.1 416.9 325 416.6 322.1 413.4C309.3 399.1 287.3 384 255.1 384C224.7 384 202.7 399.1 189.9 413.4C186.1 416.6 181.9 416.9 178.6 413.9C175.4 410.1 175.1 405.9 178.1 402.6L178.1 402.6zM400 272C404.4 272 408 275.6 408 280C408 284.4 404.4 288 400 288H304C299.6 288 296 284.4 296 280C296 275.6 299.6 272 304 272H400zM208 288H112C107.6 288 104 284.4 104 280C104 275.6 107.6 272 112 272H208C212.4 272 216 275.6 216 280C216 284.4 212.4 288 208 288z"],
    "face-drooling": [512, 512, [], "e372", "M256 496C260.4 496 264 499.6 264 504C264 508.4 260.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 321.6 487.3 381.4 446.8 426.7C443.9 429.1 438.8 430.2 435.5 427.3C432.2 424.3 431.9 419.3 434.9 416C472.9 373.5 496 317.5 496 256C496 123.5 388.5 16 256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496V496zM320 379.2V472C320 476.4 316.4 480 312 480C307.6 480 304 476.4 304 472V384.1C289.4 389.4 273.4 392 256 392C192.2 392 147.5 357.1 121.8 324.1C118.1 321.5 119.6 316.5 123 313.8C126.5 310.1 131.5 311.6 134.2 315C158 344.7 198.6 376 255.1 376C313.4 376 353.1 344.7 377.8 315C380.5 311.6 385.5 310.1 388.1 313.8C392.4 316.5 393 321.5 390.2 324.1C388.3 327.5 386.2 329.9 384 332.4V504C384 508.4 380.4 512 376 512C371.6 512 368 508.4 368 504V348.5C354.7 360.3 338.7 371.2 320 379.2H320zM208 168C164.7 168 141.6 201.7 135.5 218.7C134 222.9 129.5 225 125.3 223.5C121.1 222 118.1 217.5 120.5 213.3C127.7 192.9 155.3 151.1 208 151.1C212.4 151.1 216 155.6 216 159.1C216 164.4 212.4 167.1 208 167.1L208 168zM376.5 218.7C370.4 201.7 347.3 168 304 168C299.6 168 296 164.4 296 160C296 155.6 299.6 152 304 152C356.7 152 384.3 192.9 391.5 213.3C393 217.5 390.9 222 386.7 223.5C382.5 225 377.1 222.9 376.5 218.7L376.5 218.7z"],
    "face-exhaling": [576, 512, [], "e480", "M320 16C187.5 16 80 123.5 80 256C80 388.5 187.5 496 320 496C363.7 496 404.6 484.4 439.8 464C443.6 461.8 448.5 463.1 450.7 466.9C452.9 470.8 451.6 475.7 447.8 477.9C410.2 499.6 366.5 512 320 512C178.6 512 64 397.4 64 256C64 114.6 178.6 0 320 0C455.7 0 566.7 105.5 575.4 238.9C575.7 243.3 572.4 247.2 567.1 247.4C563.6 247.7 559.8 244.4 559.5 239.1C551.2 114.9 447.2 16 320 16H320zM272 384C272 357.5 293.5 336 320 336C346.5 336 368 357.5 368 384C368 410.5 346.5 432 320 432C293.5 432 272 410.5 272 384zM320 416C337.7 416 352 401.7 352 384C352 366.3 337.7 352 320 352C302.3 352 288 366.3 288 384C288 401.7 302.3 416 320 416zM374.6 244.1C385.5 263.4 401 271.1 415.6 271.1C430.2 271.1 445.8 263.4 456.7 244.1C458.8 240.2 463.7 238.9 467.6 241C471.4 243.2 472.8 248.1 470.6 251.9C457.5 275.3 437 287.1 415.6 287.1C394.2 287.1 373.8 275.3 360.7 251.9C358.5 248.1 359.9 243.2 363.7 241C367.6 238.9 372.4 240.2 374.6 244.1H374.6zM264.7 244.1C266.8 240.2 271.7 238.9 275.6 241C279.4 243.2 280.8 248.1 278.6 251.9C265.5 275.3 245.1 287.1 223.6 287.1C202.2 287.1 181.8 275.3 168.7 251.9C166.5 248.1 167.9 243.2 171.7 241C175.6 238.9 180.4 240.2 182.6 244.1C193.5 263.4 209.1 271.1 223.6 271.1C238.2 271.1 253.8 263.4 264.7 244.1H264.7zM602.6 337.3C620 345.5 632 363.4 632 383.1C632 404.6 620 422.5 602.6 430.7C601.1 453.7 582.1 472 558.8 472C545.4 472 533.4 465.9 525.3 456.4C522.3 457.1 519.1 457.5 515.8 457.5C491.5 457.5 471.9 437.5 471.9 413.1C471.9 412.6 471.9 412.2 471.9 411.8L405.7 391.7C402.3 390.6 400 387.5 400 384C400 380.5 402.3 377.4 405.7 376.3L472.3 356.1C475.2 334.6 493.5 317.8 515.8 317.8C517.5 317.8 519.1 317.9 520.8 318.1C528.4 304.9 542.5 295.1 558.8 295.1C582.1 295.1 601 314.3 602.6 337.3V337.3zM523.2 334.8C520.9 334.2 518.4 333.8 515.8 333.8C500.5 333.8 487.9 346.4 487.9 362.2C487.9 365.7 485.6 368.8 482.2 369.8L435.6 384L482.9 398.4C486.8 399.6 489.2 403.5 488.4 407.6C488.1 409.3 487.9 411.2 487.9 413.1C487.9 428.8 500.5 441.5 515.8 441.5C519.3 441.5 522.6 440.8 525.6 439.7C529.2 438.3 533.2 439.7 535.2 442.9C540.2 450.8 548.9 456 558.8 456C574.1 456 586.7 443.4 586.7 427.6C586.7 427 586.7 426.4 586.7 425.8C586.5 422.2 588.7 418.9 592.1 417.8C605.9 413 616 399.7 616 383.1C616 368.3 605.9 354.9 592.1 350.2C588.7 349 586.5 345.7 586.7 342.2C586.7 341.6 586.7 340.1 586.7 340.4C586.7 324.6 574.1 312 558.8 312C547 312 536.9 319.4 532.8 329.1C531.3 333.8 527.1 335.9 523.2 334.8V334.8z"],
    "face-explode": [512, 512, ["exploding-head"], "e2fe", "M261.7 31.17C260.2 32.71 258.2 33.57 256 33.57C253.9 33.57 251.8 32.71 250.3 31.17C241.1 21.8 228.3 16 214.2 16C186.3 16 163.6 38.63 163.6 66.55V70.96C163.6 74.11 161.8 76.98 158.9 78.26C156 79.55 152.7 79.02 150.3 76.92C142.8 70.24 132.1 66.18 122.2 66.18C98.89 66.18 79.1 85.07 79.1 108.4C79.1 132.3 98.02 152 120.7 152H231.1C236.4 152 239.1 155.6 239.1 160C239.1 164.4 236.4 168 231.1 168H200C205 174.7 207.1 182.1 207.1 192V200.7C207.1 205.1 204.4 208.7 199.1 208.7C195.6 208.7 191.1 205.1 191.1 200.7V192C191.1 178.7 181.3 168 167.1 168H120.7C88 168 63.1 139.9 63.1 108.4C63.1 76.23 90.05 50.18 122.2 50.18C131.6 50.18 140.5 52.43 148.4 56.41C153.3 24.47 180.9 0 214.2 0C230 0 244.6 5.541 255.1 14.78C267.4 5.541 281.1 0 297.8 0C331.1 0 358.7 24.47 363.6 56.41C371.5 52.43 380.4 50.18 389.8 50.18C421.1 50.18 448 76.23 448 108.4C448 140.2 422.2 168 389.8 168H344C330.7 168 320 178.7 320 192V200.7C320 205.1 316.4 208.7 312 208.7C307.6 208.7 304 205.1 304 200.7V192C304 169.9 321.9 152 344 152H389.8C412.8 152 432 131.1 432 108.4C432 85.07 413.1 66.18 389.8 66.18C379 66.18 369.2 70.24 361.7 76.92C359.3 79.02 355.1 79.55 353.1 78.26C350.2 76.98 348.4 74.11 348.4 70.96V66.55C348.4 38.63 325.7 16 297.8 16C283.7 16 270.9 21.8 261.7 31.17H261.7zM160.4 336C160.4 327.2 167.5 320 176.4 320C185.2 320 192.4 327.2 192.4 336C192.4 344.8 185.2 352 176.4 352C167.5 352 160.4 344.8 160.4 336zM320.4 336C320.4 327.2 327.5 320 336.4 320C345.2 320 352.4 327.2 352.4 336C352.4 344.8 345.2 352 336.4 352C327.5 352 320.4 344.8 320.4 336zM261.3 368C298.2 368 328 397.8 328 434.7C328 442 322 448 314.7 448H197.3C189.1 448 183.1 442 183.1 434.7C183.1 397.8 213.8 368 250.7 368H261.3zM311.9 432C310.5 405.3 288.4 384 261.3 384H250.7C223.6 384 201.5 405.3 200.1 432H311.9zM.1834 246.2L16.85 251.1C24.31 254.6 32.47 254.3 39.75 251.2L72.89 237.2C80.85 233.9 89.82 233.9 97.77 237.2L126.7 249.4C136.4 253.5 147.5 252.6 156.4 246.9L176.7 233.9C186.2 227.7 198.2 227.1 208.3 232.1L242.8 249.4C251.2 253.6 260.1 253.9 269.6 250.3L300.5 237.2C308.4 233.9 317.4 233.9 325.3 237.2L357.3 250.8C365.3 254.1 374.3 254.1 382.2 250.8L414.2 237.2C422.2 233.9 431.2 233.9 439.1 237.2L472.2 251.2C479.5 254.3 487.7 254.6 495.2 251.1L511.8 246.2C511.9 249.5 512 252.7 512 256C512 258.4 511.1 260.8 511.9 263.1C508.1 401.2 395 512 256 512C116.1 512 3.868 401.2 .0973 263.1C.0326 260.8 0 258.4 0 256C0 252.7 .0614 249.5 .1834 246.2V246.2zM79.11 251.1L45.97 265.1C36.56 269.9 26.18 270.8 16.32 268.5C22.81 395.2 127.6 496 256 496C384.4 496 489.2 395.2 495.7 268.5C485.8 270.8 475.4 269.9 466 265.1L432.9 251.1C428.9 250.3 424.4 250.3 420.4 251.1L388.4 265.5C376.5 270.5 363 270.5 351.1 265.5L319.1 251.1C315.1 250.3 310.6 250.3 306.7 251.1L275.8 265C262.9 270.5 248.2 269.1 235.7 263.7L201.1 246.5C196.1 243.9 190.1 244.3 185.3 247.3L165.1 260.3C151.7 268.9 135.1 270.3 120.5 264.2L91.55 251.1C87.58 250.3 83.09 250.3 79.11 251.1H79.11z"],
    "face-expressionless": [512, 512, [], "e373", "M352 336C356.4 336 360 339.6 360 344C360 348.4 356.4 352 352 352H160C155.6 352 152 348.4 152 344C152 339.6 155.6 336 160 336H352zM128 200C128 195.6 131.6 192 136 192H216C220.4 192 224 195.6 224 200C224 204.4 220.4 208 216 208H136C131.6 208 128 204.4 128 200zM376 192C380.4 192 384 195.6 384 200C384 204.4 380.4 208 376 208H296C291.6 208 288 204.4 288 200C288 195.6 291.6 192 296 192H376zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "face-eyes-xmarks": [512, 512, [], "e374", "M260.2 304C306.5 304 344 341.5 344 387.8C344 394.5 338.5 400 331.8 400H180.2C173.5 400 168 394.5 168 387.8C168 341.5 205.5 304 251.8 304H260.2zM251.8 320C215.6 320 186.1 348.3 184.1 384H327.9C325.9 348.3 296.4 320 260.2 320H251.8zM106.3 138.3C109.5 135.2 114.5 135.2 117.7 138.3L159.1 180.7L202.3 138.3C205.5 135.2 210.5 135.2 213.7 138.3C216.8 141.5 216.8 146.5 213.7 149.7L171.3 191.1L213.7 234.3C216.8 237.5 216.8 242.5 213.7 245.7C210.5 248.8 205.5 248.8 202.3 245.7L159.1 203.3L117.7 245.7C114.5 248.8 109.5 248.8 106.3 245.7C103.2 242.5 103.2 237.5 106.3 234.3L148.7 191.1L106.3 149.7C103.2 146.5 103.2 141.5 106.3 138.3V138.3zM298.3 138.3C301.5 135.2 306.5 135.2 309.7 138.3L352 180.7L394.3 138.3C397.5 135.2 402.5 135.2 405.7 138.3C408.8 141.5 408.8 146.5 405.7 149.7L363.3 191.1L405.7 234.3C408.8 237.5 408.8 242.5 405.7 245.7C402.5 248.8 397.5 248.8 394.3 245.7L352 203.3L309.7 245.7C306.5 248.8 301.5 248.8 298.3 245.7C295.2 242.5 295.2 237.5 298.3 234.3L340.7 191.1L298.3 149.7C295.2 146.5 295.2 141.5 298.3 138.3zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "face-fearful": [512, 512, [], "e375", "M260.2 320C306.5 320 344 357.5 344 403.8C344 410.5 338.5 416 331.8 416H180.2C173.5 416 168 410.5 168 403.8C168 357.5 205.5 320 251.8 320H260.2zM251.8 336C215.6 336 186.1 364.3 184.1 400H327.9C325.9 364.3 296.4 336 260.2 336H251.8zM199.1 87.51C200.3 91.92 196.9 95.71 192.5 95.98C159.1 97.99 130.9 112.5 109.8 134.7C106.8 137.9 101.7 138 98.5 134.1C95.29 131.1 95.15 126.9 98.19 123.7C121.9 98.62 154.8 82.28 191.5 80.02C195.9 79.74 199.7 83.1 199.1 87.51V87.51zM319.5 95.98C315.1 95.71 311.7 91.92 312 87.51C312.3 83.1 316.1 79.74 320.5 80.02C357.2 82.28 390.1 98.62 413.8 123.7C416.8 126.9 416.7 131.1 413.5 134.1C410.3 138 405.2 137.9 402.2 134.7C381.1 112.5 352 97.99 319.5 95.98V95.98zM176.4 224C176.4 232.8 169.2 240 160.4 240C151.5 240 144.4 232.8 144.4 224C144.4 215.2 151.5 208 160.4 208C169.2 208 176.4 215.2 176.4 224zM88 224C88 184.2 120.2 152 160 152C199.8 152 232 184.2 232 224C232 263.8 199.8 296 160 296C120.2 296 88 263.8 88 224zM160 168C129.1 168 104 193.1 104 224C104 254.9 129.1 280 160 280C190.9 280 216 254.9 216 224C216 193.1 190.9 168 160 168zM336.4 224C336.4 215.2 343.5 208 352.4 208C361.2 208 368.4 215.2 368.4 224C368.4 232.8 361.2 240 352.4 240C343.5 240 336.4 232.8 336.4 224zM424 224C424 263.8 391.8 296 352 296C312.2 296 280 263.8 280 224C280 184.2 312.2 152 352 152C391.8 152 424 184.2 424 224zM352 280C382.9 280 408 254.9 408 224C408 193.1 382.9 168 352 168C321.1 168 296 193.1 296 224C296 254.9 321.1 280 352 280zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "face-flushed": [512, 512, [128563, "flushed"], "f579", "M320 368C324.4 368 328 371.6 328 376C328 380.4 324.4 384 320 384H192C187.6 384 184 380.4 184 376C184 371.6 187.6 368 192 368H320zM80 224C80 179.8 115.8 144 160 144C204.2 144 240 179.8 240 224C240 268.2 204.2 304 160 304C115.8 304 80 268.2 80 224zM160 288C195.3 288 224 259.3 224 224C224 188.7 195.3 160 160 160C124.7 160 96 188.7 96 224C96 259.3 124.7 288 160 288zM432 224C432 268.2 396.2 304 352 304C307.8 304 272 268.2 272 224C272 179.8 307.8 144 352 144C396.2 144 432 179.8 432 224zM352 160C316.7 160 288 188.7 288 224C288 259.3 316.7 288 352 288C387.3 288 416 259.3 416 224C416 188.7 387.3 160 352 160zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16zM176.4 224C176.4 232.8 169.2 240 160.4 240C151.5 240 144.4 232.8 144.4 224C144.4 215.2 151.5 208 160.4 208C169.2 208 176.4 215.2 176.4 224zM368.4 224C368.4 232.8 361.2 240 352.4 240C343.5 240 336.4 232.8 336.4 224C336.4 215.2 343.5 208 352.4 208C361.2 208 368.4 215.2 368.4 224z"],
    "face-frown": [512, 512, [9785, "frown"], "f119", "M141.6 383.6C137.4 382.3 135 377.8 136.4 373.6C151.8 323.9 199.7 288 256 288C312.3 288 360.2 323.9 375.6 373.6C376.1 377.8 374.6 382.3 370.4 383.6C366.2 384.1 361.7 382.6 360.4 378.4C347.1 335.5 305.5 304 256 304C206.5 304 164.9 335.5 151.6 378.4C150.3 382.6 145.8 384.1 141.6 383.6H141.6zM192.4 208C192.4 216.8 185.2 224 176.4 224C167.5 224 160.4 216.8 160.4 208C160.4 199.2 167.5 192 176.4 192C185.2 192 192.4 199.2 192.4 208zM320.4 208C320.4 199.2 327.5 192 336.4 192C345.2 192 352.4 199.2 352.4 208C352.4 216.8 345.2 224 336.4 224C327.5 224 320.4 216.8 320.4 208zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "face-frown-open": [512, 512, [128550, "frown-open"], "f57a", "M160.4 208C160.4 199.2 167.5 192 176.4 192C185.2 192 192.4 199.2 192.4 208C192.4 216.8 185.2 224 176.4 224C167.5 224 160.4 216.8 160.4 208zM352.4 208C352.4 216.8 345.2 224 336.4 224C327.5 224 320.4 216.8 320.4 208C320.4 199.2 327.5 192 336.4 192C345.2 192 352.4 199.2 352.4 208zM259.9 377.2C232.1 377.2 205.8 382.8 182.4 392.7C173.7 396.3 164.1 394.1 157.5 390.1C150.5 384.9 146.8 375.6 151.1 365.7C169 324.6 211.1 295.8 259.9 295.8C308.8 295.8 350.8 324.6 368.8 365.8C373 375.6 369.4 384.9 362.4 390.1C355.7 395 346.2 396.4 337.5 392.7C314.1 382.8 287.7 377.2 259.9 377.2V377.2zM259.9 311.8C217.4 311.8 181.1 336.8 165.8 372.1C165.1 373.6 165.2 374.5 165.4 375.1C165.6 375.7 166 376.5 167 377.2C169 378.7 172.6 379.4 176.1 377.9C201.5 367.2 229.9 361.2 259.9 361.2C289.9 361.2 318.3 367.2 343.7 377.1C347.3 379.5 350.8 378.7 352.8 377.2C353.8 376.5 354.3 375.8 354.5 375.1C354.6 374.6 354.7 373.6 354.1 372.2C338.7 336.8 302.4 311.8 259.9 311.8zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "face-frown-slight": [512, 512, [], "e376", "M256 336C206.6 336 171.4 366.8 150.6 396.6C148 400.2 143 401.1 139.4 398.6C135.8 396 134.9 391 137.4 387.4C159.9 355.4 199.3 320 256 320C312.7 320 352.1 355.4 374.6 387.4C377.1 391 376.2 396 372.6 398.6C368.1 401.1 363.1 400.2 361.4 396.6C340.6 366.8 305.4 336 256 336L256 336zM192.4 208C192.4 216.8 185.2 224 176.4 224C167.5 224 160.4 216.8 160.4 208C160.4 199.2 167.5 192 176.4 192C185.2 192 192.4 199.2 192.4 208zM320.4 208C320.4 199.2 327.5 192 336.4 192C345.2 192 352.4 199.2 352.4 208C352.4 216.8 345.2 224 336.4 224C327.5 224 320.4 216.8 320.4 208zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "face-glasses": [512, 512, [], "e377", "M139.4 337.4C143 334.9 148 335.8 150.6 339.4C171.4 369.2 206.6 400 255.1 400C305.4 400 340.6 369.2 361.4 339.4C363.1 335.8 368.1 334.9 372.6 337.4C376.2 339.1 377.1 344.1 374.6 348.6C352.1 380.6 312.7 416 255.1 416C199.3 416 159.9 380.6 137.4 348.6C134.9 344.1 135.8 339.1 139.4 337.4H139.4zM192.4 224C192.4 232.8 185.2 240 176.4 240C167.5 240 160.4 232.8 160.4 224C160.4 215.2 167.5 208 176.4 208C185.2 208 192.4 215.2 192.4 224zM320.4 224C320.4 215.2 327.5 208 336.4 208C345.2 208 352.4 215.2 352.4 224C352.4 232.8 345.2 240 336.4 240C327.5 240 320.4 232.8 320.4 224zM493.4 160H504C508.4 160 512 163.6 512 168C512 172.4 508.4 176 504 176H499.3C507.5 201.2 512 228.1 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 228.1 4.475 201.2 12.75 176H8C3.582 176 0 172.4 0 168C0 163.6 3.582 160 8 160H18.61C56.59 66.18 148.6 0 256 0C363.4 0 455.4 66.18 493.4 160zM256 496C388.5 496 496 388.5 496 256C496 227.9 491.2 201 482.3 176H461.3C463 181 464 186.4 464 192V256C464 282.5 442.5 304 416 304H320C293.5 304 272 282.5 272 256V192C272 186.4 272.1 181 274.7 176H237.3C239 181 239.1 186.4 239.1 192V256C239.1 282.5 218.5 304 191.1 304H95.1C69.49 304 47.1 282.5 47.1 256V192C47.1 186.4 48.96 181 50.73 176H29.66C20.81 201 15.1 227.9 15.1 256C15.1 388.5 123.5 496 255.1 496H256zM284.2 160C293 150.2 305.8 144 320 144H416C430.2 144 442.1 150.2 451.8 160H476C438.1 75.24 354.4 16 256 16C157.6 16 73 75.24 35.97 160H60.22C69.01 150.2 81.78 144 96 144H192C206.2 144 218.1 150.2 227.8 160H284.2zM64 256C64 273.7 78.33 288 96 288H192C209.7 288 224 273.7 224 256V192C224 174.3 209.7 160 192 160H96C78.33 160 64 174.3 64 192V256zM320 160C302.3 160 288 174.3 288 192V256C288 273.7 302.3 288 320 288H416C433.7 288 448 273.7 448 256V192C448 174.3 433.7 160 416 160H320z"],
    "face-grimace": [512, 512, [128556, "grimace"], "f57f", "M344 288C374.9 288 400 313.1 400 344C400 374.9 374.9 400 344 400H168C137.1 400 112 374.9 112 344C112 313.1 137.1 288 168 288H344zM168 304C145.9 304 128 321.9 128 344C128 366.1 145.9 384 168 384H176V304H168zM192 384H248V304H192V384zM320 304H264V384H320V304zM336 384H344C366.1 384 384 366.1 384 344C384 321.9 366.1 304 344 304H336V384zM192.4 208C192.4 216.8 185.2 224 176.4 224C167.5 224 160.4 216.8 160.4 208C160.4 199.2 167.5 192 176.4 192C185.2 192 192.4 199.2 192.4 208zM320.4 208C320.4 199.2 327.5 192 336.4 192C345.2 192 352.4 199.2 352.4 208C352.4 216.8 345.2 224 336.4 224C327.5 224 320.4 216.8 320.4 208zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "face-grin": [512, 512, [128512, "grin"], "f580", "M256.3 432C193.7 432 139.3 396.8 111.6 345.1C102.6 328.1 120.3 311.1 138.9 316.9C174.9 326.5 214.6 331.8 256.3 331.8C297.1 331.8 337.7 326.5 373.6 316.9C392.2 311.1 409.1 328.1 400.9 345.1C373.2 396.8 318.8 432 256.3 432V432zM134.8 332.4C130.9 331.3 127.7 332.7 126.1 334.2C125.4 334.9 125.3 335.4 125.2 335.6C125.2 335.7 125.1 336.3 125.8 337.5C150.8 384.3 199.9 416 256.3 416C312.7 416 361.8 384.3 386.8 337.5C387.5 336.3 387.4 335.7 387.3 335.6C387.3 335.4 387.1 334.9 386.4 334.2C384.9 332.7 381.6 331.3 377.7 332.4C340.4 342.3 299.3 347.8 256.3 347.8C213.2 347.8 172.2 342.3 134.8 332.4V332.4zM192.4 208C192.4 216.8 185.2 224 176.4 224C167.5 224 160.4 216.8 160.4 208C160.4 199.2 167.5 192 176.4 192C185.2 192 192.4 199.2 192.4 208zM320.4 208C320.4 199.2 327.5 192 336.4 192C345.2 192 352.4 199.2 352.4 208C352.4 216.8 345.2 224 336.4 224C327.5 224 320.4 216.8 320.4 208zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "face-grin-beam": [512, 512, [128516, "grin-beam"], "f582", "M256.3 432C193.7 432 139.3 396.8 111.6 345.1C102.6 328.1 120.3 311.1 138.9 316.9C174.9 326.5 214.6 331.8 256.3 331.8C297.1 331.8 337.7 326.5 373.6 316.9C392.2 311.1 409.1 328.1 400.9 345.1C373.2 396.8 318.8 432 256.3 432V432zM134.8 332.4C130.9 331.3 127.7 332.7 126.1 334.2C125.4 334.9 125.3 335.4 125.2 335.6C125.2 335.7 125.1 336.3 125.8 337.5C150.8 384.3 199.9 416 256.3 416C312.7 416 361.8 384.3 386.8 337.5C387.5 336.3 387.4 335.7 387.3 335.6C387.3 335.4 387.1 334.9 386.4 334.2C384.9 332.7 381.6 331.3 377.7 332.4C340.4 342.3 299.3 347.8 256.3 347.8C213.2 347.8 172.2 342.3 134.8 332.4V332.4zM150.9 179.7C143.5 191.1 138.2 206 135.7 219.5C134.9 223.8 130.7 226.7 126.3 225.9C121.1 225.1 119.1 220.9 119.1 216.5C122.8 201.5 128.7 184.5 137.5 170.1C146.2 157.7 158.1 146 175.8 146C192.6 146 205.4 157.7 214.1 170.1C222.1 184.5 228.9 201.5 231.7 216.5C232.5 220.9 229.6 225.1 225.3 225.9C220.9 226.7 216.8 223.8 215.1 219.5C213.4 206 208.1 191.1 200.7 179.7C193.1 168.1 184.6 162 175.8 162C167 162 158.5 168.1 150.9 179.7V179.7zM286.3 225.9C281.1 225.1 279.1 220.9 279.1 216.5C282.8 201.5 288.7 184.5 297.5 170.1C306.2 157.7 318.1 146 335.8 146C352.6 146 365.4 157.7 374.1 170.1C382.1 184.5 388.9 201.5 391.7 216.5C392.5 220.9 389.6 225.1 385.3 225.9C380.9 226.7 376.8 223.8 375.1 219.5C373.4 206 368.1 191.1 360.7 179.7C353.1 168.1 344.6 162 335.8 162C327 162 318.5 168.1 310.9 179.7C303.5 191.1 298.2 206 295.7 219.5C294.9 223.8 290.7 226.7 286.3 225.9V225.9zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "face-grin-beam-sweat": [512, 512, [128517, "grin-beam-sweat"], "f583", "M439.5 4.102C443.7-1.367 452.3-1.367 456.5 4.101C473.9 25.81 512 76.27 512 101.3C512 133.8 483.3 160 448 160C412.7 160 384 133.8 384 101.3C384 76.27 421.9 25.81 439.5 4.102V4.102zM404.8 85.11C401.2 93.1 400 98.44 400 101.3C400 123.6 420.2 144 448 144C475.8 144 496 123.6 496 101.3C496 98.46 494.8 93.13 491.2 85.12C487.8 77.5 482.9 68.89 477.3 60.01C467.6 44.82 456.4 29.78 447.1 19.07C439.6 29.74 428.3 44.79 418.7 60C413.1 68.88 408.2 77.49 404.8 85.11V85.11zM256 16C123.5 16 16 123.5 16 256C16 388.6 123.5 496 256 496C388.5 496 496 388.6 496 256C496 233.8 492.1 212.4 487.4 191.1C486.2 187.7 488.7 183.3 492.1 182.2C497.2 180.1 501.6 183.5 502.8 187.7C508.8 209.5 512 232.4 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 .001 256 .001C299.1 .001 339.8 10.67 375.5 29.53C379.4 31.6 380.9 36.44 378.8 40.34C376.7 44.25 371.9 45.74 367.1 43.68C334.6 26.01 296.5 16 256 16L256 16zM373.6 316.9C392.2 311.1 409.1 328.1 400.9 345.1C373.2 396.8 318.8 432 256.3 432C193.7 432 139.3 396.8 111.6 345.1C102.6 328.1 120.3 311.1 138.9 316.9C174.9 326.5 214.6 331.8 256.3 331.8C297.1 331.8 337.7 326.5 373.6 316.9V316.9zM377.7 332.4C340.4 342.3 299.3 347.8 256.3 347.8C213.2 347.8 172.2 342.3 134.8 332.4C130.9 331.3 127.7 332.7 126.1 334.2C125.4 334.9 125.3 335.4 125.2 335.6C125.2 335.7 125.1 336.3 125.8 337.5C150.8 384.3 199.9 416 256.3 416C312.7 416 361.8 384.3 386.8 337.5C387.5 336.3 387.4 335.7 387.3 335.6C387.3 335.4 387.1 334.9 386.4 334.2C384.9 332.7 381.6 331.3 377.7 332.4V332.4zM126.3 231.9C121.1 231 119.1 226.9 119.1 222.5C122.8 207.5 128.7 190.5 137.5 176.1C146.2 163.7 158.1 152 175.8 152C192.6 152 205.4 163.7 214.1 176.1C222.1 190.5 228.9 207.5 231.7 222.5C232.5 226.9 229.6 231 225.3 231.9C220.9 232.7 216.8 229.8 215.1 225.5C213.4 212 208.1 197.1 200.7 185.7C193.1 174.1 184.6 168 175.8 168C167 168 158.5 174.1 150.9 185.7C143.5 197.1 138.2 212 135.7 225.5C134.9 229.8 130.7 232.7 126.3 231.9V231.9zM310.9 185.7C303.5 197.1 298.2 212 295.7 225.5C294.9 229.8 290.7 232.7 286.3 231.9C281.1 231 279.1 226.9 279.1 222.5C282.8 207.5 288.7 190.5 297.5 176.1C306.2 163.7 318.1 152 335.8 152C352.6 152 365.4 163.7 374.1 176.1C382.1 190.5 388.9 207.5 391.7 222.5C392.5 226.9 389.6 231 385.3 231.9C380.9 232.7 376.8 229.8 375.1 225.5C373.4 212 368.1 197.1 360.7 185.7C353.1 174.1 344.6 168 335.8 168C327 168 318.5 174.1 310.9 185.7V185.7z"],
    "face-grin-hearts": [512, 512, [128525, "grin-hearts"], "f584", "M256.3 432C193.7 432 139.3 396.8 111.6 345.1C102.6 328.1 120.3 311.1 138.9 316.9C174.9 326.5 214.6 331.8 256.3 331.8C297.1 331.8 337.7 326.5 373.6 316.9C392.2 311.1 409.1 328.1 400.9 345.1C373.2 396.8 318.8 432 256.3 432V432zM134.8 332.4C130.9 331.3 127.7 332.7 126.1 334.2C125.4 334.9 125.3 335.4 125.2 335.6C125.2 335.7 125.1 336.3 125.8 337.5C150.8 384.3 199.9 416 256.3 416C312.7 416 361.8 384.3 386.8 337.5C387.5 336.3 387.4 335.7 387.3 335.6C387.3 335.4 387.1 334.9 386.4 334.2C384.9 332.7 381.6 331.3 377.7 332.4C340.4 342.3 299.3 347.8 256.3 347.8C213.2 347.8 172.2 342.3 134.8 332.4V332.4zM150.7 150.7C156.6 128.6 179.3 115.5 201.3 121.4C223.4 127.3 236.5 150 230.6 172.1L213.2 237.1C209.7 249.9 196.6 257.5 183.8 254.1L118.7 236.6C96.6 230.7 83.51 208 89.42 185.1C95.33 163.9 118 150.8 140.1 156.7L148.5 158.1L150.7 150.7zM197.2 136.9C183.7 133.2 169.8 141.3 166.1 154.8L159.8 178.6L135.9 172.2C122.4 168.6 108.5 176.6 104.9 190.1C101.2 203.6 109.3 217.5 122.8 221.2L187.9 238.6C192.2 239.8 196.6 237.2 197.7 232.1L215.1 167.9C218.8 154.4 210.7 140.5 197.2 136.9V136.9zM363.5 158.1L371.9 156.7C393.1 150.8 416.7 163.9 422.6 185.1C428.5 208 415.4 230.7 393.3 236.6L328.2 254.1C315.4 257.5 302.3 249.9 298.8 237.1L281.4 172.1C275.5 150 288.6 127.3 310.7 121.4C332.7 115.5 355.4 128.6 361.3 150.7L363.5 158.1zM296.9 167.9L314.3 232.1C315.4 237.2 319.8 239.8 324.1 238.6L389.2 221.2C402.7 217.5 410.8 203.6 407.1 190.1C403.5 176.6 389.6 168.6 376.1 172.2L352.2 178.6L345.9 154.8C342.2 141.3 328.3 133.2 314.8 136.9C301.3 140.5 293.2 154.4 296.9 167.9V167.9zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "face-grin-squint": [512, 512, [128518, "grin-squint"], "f585", "M256.3 432C193.7 432 139.3 396.8 111.6 345.1C102.6 328.1 120.3 311.1 138.9 316.9C174.9 326.5 214.6 331.8 256.3 331.8C297.1 331.8 337.7 326.5 373.6 316.9C392.2 311.1 409.1 328.1 400.9 345.1C373.2 396.8 318.8 432 256.3 432V432zM134.8 332.4C130.9 331.3 127.7 332.7 126.1 334.2C125.4 334.9 125.3 335.4 125.2 335.6C125.2 335.7 125.1 336.3 125.8 337.5C150.8 384.3 199.9 416 256.3 416C312.7 416 361.8 384.3 386.8 337.5C387.5 336.3 387.4 335.7 387.3 335.6C387.3 335.4 387.1 334.9 386.4 334.2C384.9 332.7 381.6 331.3 377.7 332.4C340.4 342.3 299.3 347.8 256.3 347.8C213.2 347.8 172.2 342.3 134.8 332.4V332.4zM128.8 164.4C130.8 160.5 135.6 158.9 139.6 160.8L219.6 200.8C222.3 202.2 224 204.1 224 208C224 211 222.3 213.8 219.6 215.2L139.6 255.2C135.6 257.1 130.8 255.5 128.8 251.6C126.9 247.6 128.5 242.8 132.4 240.8L198.1 208L132.4 175.2C128.5 173.2 126.9 168.4 128.8 164.4V164.4zM372.4 160.8C376.4 158.9 381.2 160.5 383.2 164.4C385.1 168.4 383.5 173.2 379.6 175.2L313.9 207.1L379.6 240.8C383.5 242.8 385.1 247.6 383.2 251.6C381.2 255.5 376.4 257.1 372.4 255.2L292.4 215.2C289.7 213.8 288 211 288 207.1C288 204.1 289.7 202.2 292.4 200.8L372.4 160.8zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "face-grin-squint-tears": [512, 512, [129315, "grin-squint-tears"], "f586", "M495.8 97.34C478.9 114.2 420.7 124.3 394.9 127.9C388.5 128.9 383.1 123.5 384.1 117.1C387.8 91.36 397.8 33.1 414.7 16.2C436.6-5.767 472.6-5.309 494.9 17.06C517.3 39.42 517.8 75.38 495.8 97.35V97.34zM401.2 110.8C413.5 108.9 429.5 106 444.7 102.1C454.3 99.68 463.2 96.94 470.5 93.95C478.1 90.81 482.5 87.98 484.5 86.03C499.1 70.55 499.1 44.73 483.6 28.37C467.3 12.01 441.4 12.03 425.1 27.52C424 29.46 421.2 33.88 418.1 41.53C415.1 48.84 412.4 57.73 409.9 67.28C406 82.5 403.2 98.53 401.2 110.8H401.2zM35.97 351.1C37.74 356 35.89 360.8 31.84 362.5C27.79 364.3 23.07 362.5 21.3 358.4C7.599 327 0 292.4 0 256C0 114.6 114.6 0 256 0C291.8 0 325.1 7.365 356.9 20.67C360.1 22.41 362.9 27.12 361.1 31.18C359.4 35.24 354.7 37.12 350.6 35.37C321.6 22.91 289.6 16 256 16C123.5 16 16 123.5 16 256C16 290.1 23.13 322.6 35.97 351.1zM512 256C512 397.4 397.4 512 256 512C219 512 183.9 504.2 152.1 490.1C148.1 488.3 146.3 483.5 148.1 479.5C149.9 475.5 154.6 473.6 158.6 475.4C188.4 488.6 221.3 496 256 496C388.5 496 496 388.5 496 256C496 221.9 488.9 189.4 476 160C474.3 155.1 476.1 151.2 480.2 149.5C484.2 147.7 488.9 149.5 490.7 153.6C504.4 184.1 512 219.6 512 256L512 256zM380.7 380.3C336.4 424.5 273.1 438.1 216.9 421.1C198.5 415.5 199.7 391.5 216.3 381.8C248.5 363.2 280.3 338.9 309.8 309.4C339.3 279.9 363.6 248.1 382.2 215.9C391.9 199.3 415.9 198.1 421.5 216.5C438.5 272.7 424.9 336 380.7 380.3zM224.3 395.7C220.8 397.7 219.5 400.9 219.5 403.1C219.4 404.1 219.7 404.6 219.8 404.8C219.9 404.9 220.2 405.3 221.5 405.7C272.3 421.1 329.5 408.8 369.3 368.9C409.2 329.1 421.5 271.9 406.1 221.2C405.7 219.8 405.3 219.5 405.2 219.4C405 219.3 404.5 219.1 403.5 219.1C401.3 219.1 398.1 220.4 396.1 223.9C376.7 257.4 351.5 290.3 321.1 320.7C290.7 351.1 257.8 376.3 224.3 395.7L224.3 395.7zM101.3 281.2C99.94 276.1 102.2 272.4 106.4 271L191.2 242.8C194.1 241.8 197.3 242.5 199.4 244.7C201.6 246.8 202.3 249.1 201.4 252.9L173.1 337.7C171.7 341.9 167.2 344.2 162.1 342.8C158.8 341.4 156.5 336.9 157.9 332.7L181.1 262.1L111.5 286.2C107.3 287.6 102.7 285.3 101.3 281.2L101.3 281.2zM271 106.4C272.4 102.2 276.1 99.94 281.2 101.3C285.4 102.7 287.6 107.3 286.2 111.5L262.1 181.1L332.7 157.9C336.9 156.5 341.4 158.8 342.8 162.1C344.2 167.2 341.9 171.7 337.7 173.1L252.9 201.4C249.1 202.3 246.8 201.6 244.7 199.4C242.5 197.3 241.8 194.1 242.8 191.2L271 106.4zM97.34 495.8C75.38 517.8 39.42 517.3 17.06 494.9C-5.309 472.6-5.767 436.6 16.2 414.7C33.1 397.8 91.25 387.7 117.1 384.1C123.5 383.1 128.9 388.5 127.9 394.9C124.2 420.6 114.2 478.9 97.34 495.8L97.34 495.8zM41.54 418.1C33.89 421.2 29.47 424 27.52 425.1C12.03 441.4 12.01 467.3 28.37 483.6C44.73 499.1 70.55 499.1 86.03 484.5C87.97 482.5 90.79 478.1 93.92 470.5C96.91 463.2 99.64 454.3 102.1 444.7C105.1 429.5 108.8 413.5 110.8 401.2C98.51 403.1 82.47 405.1 67.25 409.9C57.71 412.3 48.83 415.1 41.54 418.1z"],
    "face-grin-stars": [512, 512, [129321, "grin-stars"], "f587", "M256.3 432C193.7 432 139.3 396.8 111.6 345.1C102.6 328.1 120.3 311.1 138.9 316.9C174.9 326.5 214.6 331.8 256.3 331.8C297.1 331.8 337.7 326.5 373.6 316.9C392.2 311.1 409.1 328.1 400.9 345.1C373.2 396.8 318.8 432 256.3 432V432zM134.8 332.4C130.9 331.3 127.7 332.7 126.1 334.2C125.4 334.9 125.3 335.4 125.2 335.6C125.2 335.7 125.1 336.3 125.8 337.5C150.8 384.3 199.9 416 256.3 416C312.7 416 361.8 384.3 386.8 337.5C387.5 336.3 387.4 335.7 387.3 335.6C387.3 335.4 387.1 334.9 386.4 334.2C384.9 332.7 381.6 331.3 377.7 332.4C340.4 342.3 299.3 347.8 256.3 347.8C213.2 347.8 172.2 342.3 134.8 332.4V332.4zM159.1 112C163.1 112 165.9 113.8 167.2 116.6L188.4 160.9L237.1 167.3C240.2 167.8 242.7 169.9 243.7 172.8C244.6 175.7 243.8 178.1 241.6 181.1L205.9 214.9L214.9 263.3C215.4 266.3 214.2 269.4 211.7 271.2C209.2 273 205.9 273.2 203.2 271.8L159.1 248.3L116.8 271.8C114.1 273.2 110.8 273 108.3 271.2C105.8 269.4 104.5 266.3 105.1 263.3L114.1 214.9L78.41 181.1C76.17 178.1 75.35 175.7 76.31 172.8C77.26 169.9 79.81 167.8 82.87 167.3L131.6 160.9L152.8 116.6C154.1 113.8 156.9 112 159.1 112H159.1zM159.1 138.6L144.2 171.7C143 174.2 140.7 175.9 138 176.2L101.6 181L128.2 206.3C130.2 208.2 131.1 210.9 130.6 213.6L123.9 249.7L156.2 232.2C158.6 230.9 161.4 230.9 163.8 232.2L196.1 249.7L189.4 213.6C188.9 210.9 189.8 208.2 191.8 206.3L218.4 181L181.1 176.2C179.3 175.9 176.1 174.2 175.8 171.7L159.1 138.6zM380.4 160.9L429.1 167.3C432.2 167.8 434.7 169.9 435.7 172.8C436.6 175.7 435.8 178.1 433.6 181.1L397.9 214.9L406.9 263.3C407.4 266.3 406.2 269.4 403.7 271.2C401.2 273 397.9 273.2 395.2 271.8L352 248.3L308.8 271.8C306.1 273.2 302.8 273 300.3 271.2C297.8 269.4 296.5 266.3 297.1 263.3L306.1 214.9L270.4 181.1C268.2 178.1 267.4 175.7 268.3 172.8C269.3 169.9 271.8 167.8 274.9 167.3L323.6 160.9L344.8 116.6C346.1 113.8 348.9 111.1 352 111.1C355.1 111.1 357.9 113.8 359.2 116.6L380.4 160.9zM330 176.2L293.6 181L320.2 206.3C322.2 208.2 323.1 210.9 322.6 213.6L315.9 249.7L348.2 232.2C350.6 230.9 353.4 230.9 355.8 232.2L388.1 249.7L381.4 213.6C380.9 210.9 381.8 208.2 383.8 206.3L410.4 181L373.1 176.2C371.3 175.9 368.1 174.2 367.8 171.7L352 138.6L336.2 171.7C335 174.2 332.7 175.9 330 176.2H330zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "face-grin-tears": [640, 512, [128514, "grin-tears"], "f588", "M78.28 199.7C74.01 198.6 71.47 194.2 72.61 189.9C101.7 80.58 201.4 0 320 0C438.6 0 538.3 80.58 567.4 189.9C568.5 194.2 565.1 198.6 561.7 199.7C557.5 200.9 553.1 198.3 551.9 194.1C524.6 91.53 431.1 15.1 320 15.1C208.9 15.1 115.4 91.53 88.07 194.1C86.93 198.3 82.55 200.9 78.28 199.7V199.7zM320 496C407.2 496 483.6 449.5 525.6 379.9C527.9 376.1 532.8 374.9 536.6 377.2C540.4 379.4 541.6 384.4 539.3 388.1C494.5 462.3 413 512 320 512C226.9 512 145.5 462.3 100.7 388.1C98.41 384.4 99.62 379.4 103.4 377.2C107.2 374.9 112.1 376.1 114.4 379.9C156.4 449.5 232.8 496 320 496zM320.3 432C257.7 432 203.3 396.8 175.6 345.1C166.6 328.1 184.3 311.1 202.9 316.9C238.9 326.5 278.6 331.8 320.3 331.8C361.1 331.8 401.7 326.5 437.6 316.9C456.2 311.1 473.1 328.1 464.9 345.1C437.2 396.8 382.8 432 320.3 432H320.3zM198.8 332.4C194.9 331.3 191.7 332.7 190.1 334.2C189.4 334.9 189.3 335.4 189.2 335.6C189.2 335.7 189.1 336.3 189.8 337.5C214.8 384.3 263.9 416 320.3 416C376.7 416 425.8 384.3 450.8 337.5C451.5 336.3 451.4 335.7 451.3 335.6C451.3 335.4 451.1 334.9 450.4 334.2C448.9 332.7 445.6 331.3 441.7 332.4C404.4 342.3 363.3 347.8 320.3 347.8C277.2 347.8 236.2 342.3 198.8 332.4V332.4zM214.9 185.7C207.5 197.1 202.2 212 199.7 225.5C198.9 229.8 194.7 232.7 190.3 231.9C185.1 231 183.1 226.9 183.1 222.5C186.8 207.5 192.7 190.5 201.5 176.1C210.2 163.7 222.1 152 239.8 152C256.7 152 269.4 163.7 278.1 176.1C286.1 190.5 292.9 207.5 295.7 222.5C296.5 226.9 293.6 231 289.3 231.9C284.9 232.7 280.8 229.8 279.1 225.5C277.4 212 272.1 197.1 264.7 185.7C257.1 174.1 248.6 167.1 239.8 167.1C231.1 167.1 222.5 174.1 214.9 185.7V185.7zM350.3 231.9C345.1 231 343.1 226.9 343.1 222.5C346.8 207.5 352.7 190.5 361.5 176.1C370.2 163.7 382.1 152 399.8 152C416.6 152 429.4 163.7 438.1 176.1C446.1 190.5 452.9 207.5 455.7 222.5C456.5 226.9 453.6 231 449.3 231.9C444.9 232.7 440.8 229.8 439.1 225.5C437.4 212 432.1 197.1 424.7 185.7C417.1 174.1 408.6 167.1 399.8 167.1C391 167.1 382.5 174.1 374.9 185.7C367.5 197.1 362.2 212 359.7 225.5C358.9 229.8 354.7 232.7 350.3 231.9V231.9zM523.4 224.1C549.5 226.8 608.2 235.2 624.8 251.8C646.4 273.4 644.8 309.9 621.3 333.3C597.9 356.8 561.4 358.4 539.8 336.8C523.2 320.2 514.9 261.4 512.1 235.4C511.3 228.9 516.9 223.3 523.4 224.1V224.1zM528.8 240.8C530.3 253.3 532.8 270.2 536.4 286.1C538.5 295.7 541 304.6 543.8 311.9C546.7 319.6 549.4 323.8 551.1 325.5C565.5 339.9 591.9 340.1 610 322C628.1 303.9 627.9 277.5 613.5 263.1C611.8 261.4 607.6 258.7 599.9 255.8C592.6 252.1 583.8 250.5 574.2 248.3C558.2 244.8 541.4 242.3 528.8 240.8H528.8zM18.69 333.3C-4.752 309.9-6.394 273.4 15.19 251.8C31.8 235.2 90.5 226.8 116.6 224.1C123.1 223.3 128.7 228.9 127.9 235.4C125.1 261.4 116.8 320.2 100.2 336.8C78.64 358.4 42.13 356.8 18.69 333.3V333.3zM103.6 286.1C107.2 270.2 109.7 253.3 111.2 240.8C98.64 242.3 81.78 244.8 65.85 248.3C56.25 250.5 47.35 252.1 40.1 255.8C32.45 258.7 28.23 261.4 26.5 263.1C12.08 277.5 11.86 303.9 30 322C48.14 340.1 74.48 339.9 88.91 325.5C90.63 323.8 93.28 319.6 96.21 311.9C98.98 304.6 101.5 295.7 103.6 286.1H103.6z"],
    "face-grin-tongue": [512, 512, [128539, "grin-tongue"], "f589", "M256 15.1C123.5 15.1 16 123.5 16 255.1C16 355.6 76.67 441 163.1 477.4C167.2 479.1 169.1 483.8 167.4 487.8C165.7 491.9 160.1 493.8 156.9 492.1C64.74 453.4 0 362.3 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 362.3 447.3 453.4 355.1 492.1C351 493.8 346.3 491.9 344.6 487.8C342.9 483.8 344.8 479.1 348.9 477.4C435.3 441 496 355.6 496 255.1C496 123.5 388.5 15.1 256 15.1zM192.4 207.1C192.4 216.8 185.2 223.1 176.4 223.1C167.5 223.1 160.4 216.8 160.4 207.1C160.4 199.2 167.5 191.1 176.4 191.1C185.2 191.1 192.4 199.2 192.4 207.1zM184 409.9C184 386.8 202.8 368 225.9 368C237.1 368 247.7 372.4 255.6 380.3L256 380.7L256.4 380.3C264.3 372.4 274.9 368 286.1 368C309.2 368 328 386.8 328 409.9V440C328 479.8 295.8 512 256 512C216.2 512 184 479.8 184 440V409.9zM248 395.3L244.3 391.6C239.4 386.7 232.8 384 225.9 384C211.6 384 200 395.6 200 409.9V440C200 470.9 225.1 496 256 496C286.9 496 312 470.9 312 440V409.9C312 395.6 300.4 384 286.1 384C279.2 384 272.6 386.7 267.7 391.6L264 395.3V424C264 428.4 260.4 432 256 432C251.6 432 248 428.4 248 424V395.3zM320.4 207.1C320.4 199.2 327.5 191.1 336.4 191.1C345.2 191.1 352.4 199.2 352.4 207.1C352.4 216.8 345.2 223.1 336.4 223.1C327.5 223.1 320.4 216.8 320.4 207.1zM256 333.6C293.9 333.6 329.1 329.1 362.6 321C373.7 318.3 384.8 321.3 392.1 327.9C395.8 331.3 398.6 335.8 399.6 341C400.6 346.3 399.7 351.9 396.7 357.1C386.7 374.6 373.1 389.1 356.9 402.4C353.4 405.1 348.3 404.4 345.7 400.9C342.1 397.4 343.6 392.4 347.1 389.7C361.7 378.5 373.9 364.7 382.8 349.1C384 346.1 384.1 345.3 383.9 344C383.6 342.6 382.8 341.1 381.3 339.7C378.2 336.9 372.5 335 366.4 336.5C332.5 344.1 295.2 349.6 256 349.6C216.8 349.6 179.5 344.1 145.6 336.5C139.5 335 133.8 336.9 130.7 339.7C129.2 341.1 128.4 342.6 128.1 344C127.9 345.3 127.1 346.1 129.2 349.1C138.1 364.7 150.3 378.5 164.9 389.7C168.4 392.4 169 397.4 166.3 400.9C163.7 404.4 158.6 405.1 155.1 402.4C138.9 389.1 125.3 374.6 115.3 357.1C112.3 351.9 111.4 346.3 112.4 341C113.4 335.8 116.2 331.3 119.9 327.9C127.2 321.3 138.3 318.3 149.4 321C182 329.1 218.1 333.6 256 333.6L256 333.6z"],
    "face-grin-tongue-squint": [512, 512, [128541, "grin-tongue-squint"], "f58a", "M256 15.1C123.5 15.1 16 123.5 16 255.1C16 355.6 76.67 441 163.1 477.4C167.2 479.1 169.1 483.8 167.4 487.8C165.7 491.9 160.1 493.8 156.9 492.1C64.74 453.4 0 362.3 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 362.3 447.3 453.4 355.1 492.1C351 493.8 346.3 491.9 344.6 487.8C342.9 483.8 344.8 479.1 348.9 477.4C435.3 441 496 355.6 496 255.1C496 123.5 388.5 15.1 256 15.1zM128.8 164.4C130.8 160.5 135.6 158.9 139.6 160.8L219.6 200.8C222.3 202.2 224 204.1 224 208C224 211 222.3 213.8 219.6 215.2L139.6 255.2C135.6 257.1 130.8 255.5 128.8 251.6C126.9 247.6 128.5 242.8 132.4 240.8L198.1 208L132.4 175.2C128.5 173.2 126.9 168.4 128.8 164.4V164.4zM184 409.9C184 386.8 202.8 368 225.9 368C237.1 368 247.7 372.4 255.6 380.3L256 380.7L256.4 380.3C264.3 372.4 274.9 368 286.1 368C309.2 368 328 386.8 328 409.9V440C328 479.8 295.8 512 256 512C216.2 512 184 479.8 184 440V409.9zM248 395.3L244.3 391.6C239.4 386.7 232.8 384 225.9 384C211.6 384 200 395.6 200 409.9V440C200 470.9 225.1 496 256 496C286.9 496 312 470.9 312 440V409.9C312 395.6 300.4 384 286.1 384C279.2 384 272.6 386.7 267.7 391.6L264 395.3V424C264 428.4 260.4 432 256 432C251.6 432 248 428.4 248 424V395.3zM372.4 160.8C376.4 158.9 381.2 160.5 383.2 164.4C385.1 168.4 383.5 173.2 379.6 175.2L313.9 207.1L379.6 240.8C383.5 242.8 385.1 247.6 383.2 251.6C381.2 255.5 376.4 257.1 372.4 255.2L292.4 215.2C289.7 213.8 288 211 288 207.1C288 204.1 289.7 202.2 292.4 200.8L372.4 160.8zM256 333.6C293.9 333.6 329.1 329.1 362.6 321C373.7 318.3 384.8 321.3 392.1 327.9C395.8 331.3 398.6 335.8 399.6 341C400.6 346.3 399.7 351.9 396.7 357.1C386.7 374.6 373.1 389.1 356.9 402.4C353.4 405.1 348.3 404.4 345.7 400.9C342.1 397.4 343.6 392.4 347.1 389.7C361.7 378.5 373.9 364.7 382.8 349.1C384 346.1 384.1 345.3 383.9 344C383.6 342.6 382.8 341.1 381.3 339.7C378.2 336.9 372.5 335 366.4 336.5C332.5 344.1 295.2 349.6 256 349.6C216.8 349.6 179.5 344.1 145.6 336.5C139.5 335 133.8 336.9 130.7 339.7C129.2 341.1 128.4 342.6 128.1 344C127.9 345.3 127.1 346.1 129.2 349.1C138.1 364.7 150.3 378.5 164.9 389.7C168.4 392.4 169 397.4 166.3 400.9C163.7 404.4 158.6 405.1 155.1 402.4C138.9 389.1 125.3 374.6 115.3 357.1C112.3 351.9 111.4 346.3 112.4 341C113.4 335.8 116.2 331.3 119.9 327.9C127.2 321.3 138.3 318.3 149.4 321C182 329.1 218.1 333.6 256 333.6L256 333.6z"],
    "face-grin-tongue-wink": [512, 512, [128540, "grin-tongue-wink"], "f58b", "M163.1 477.4C167.2 479.1 169.1 483.8 167.4 487.8C165.7 491.9 160.1 493.8 156.9 492.1C64.74 453.4 0 362.3 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 362.3 447.3 453.4 355.1 492.1C351 493.8 346.3 491.9 344.6 487.8C342.9 483.8 344.8 479.1 348.9 477.4C435.3 441 496 355.6 496 255.1C496 123.5 388.5 15.1 256 15.1C123.5 15.1 16 123.5 16 255.1C16 355.6 76.67 441 163.1 477.4zM255.6 380.3L256 380.7L256.4 380.3C264.3 372.4 274.9 368 286.1 368C309.2 368 328 386.8 328 409.9V440C328 479.8 295.8 512 256 512C216.2 512 184 479.8 184 440V409.9C184 386.8 202.8 368 225.9 368C237.1 368 247.7 372.4 255.6 380.3V380.3zM225.9 384C211.6 384 200 395.6 200 409.9V440C200 470.9 225.1 496 256 496C286.9 496 312 470.9 312 440V409.9C312 395.6 300.4 384 286.1 384C279.2 384 272.6 386.7 267.7 391.6L264 395.3V424C264 428.4 260.4 432 256 432C251.6 432 248 428.4 248 424V395.3L244.3 391.6C239.4 386.7 232.8 384 225.9 384zM119.9 327.9C127.2 321.3 138.3 318.3 149.4 321C182 329.1 218.1 333.6 256 333.6C293.9 333.6 329.1 329.1 362.6 321C373.7 318.3 384.8 321.3 392.1 327.9C395.8 331.3 398.6 335.8 399.6 341C400.6 346.3 399.7 351.9 396.7 357.1C386.7 374.6 373.1 389.1 356.9 402.4C353.4 405.1 348.3 404.4 345.7 400.9C342.1 397.4 343.6 392.4 347.1 389.7C361.7 378.5 373.9 364.7 382.8 349.1C384 346.1 384.1 345.3 383.9 344C383.6 342.6 382.8 341.1 381.3 339.7C378.2 336.9 372.5 335 366.4 336.5C332.5 344.1 295.2 349.6 256 349.6C216.8 349.6 179.5 344.1 145.6 336.5C139.5 335 133.8 336.9 130.7 339.7C129.2 341.1 128.4 342.6 128.1 344C127.9 345.3 127.1 346.1 129.2 349.1C138.1 364.7 150.3 378.5 164.9 389.7C168.4 392.4 169 397.4 166.3 400.9C163.7 404.4 158.6 405.1 155.1 402.4C138.9 389.1 125.3 374.6 115.3 357.1C112.3 351.9 111.4 346.3 112.4 341C113.4 335.8 116.2 331.3 119.9 327.9L119.9 327.9zM368 207.1C368 225.7 353.7 239.1 336 239.1C318.3 239.1 304 225.7 304 207.1C304 190.3 318.3 175.1 336 175.1C353.7 175.1 368 190.3 368 207.1zM336 191.1C327.2 191.1 320 199.2 320 207.1C320 216.8 327.2 223.1 336 223.1C344.8 223.1 352 216.8 352 207.1C352 199.2 344.8 191.1 336 191.1zM416 207.1C416 252.2 380.2 287.1 336 287.1C291.8 287.1 256 252.2 256 207.1C256 163.8 291.8 127.1 336 127.1C380.2 127.1 416 163.8 416 207.1zM336 143.1C300.7 143.1 272 172.7 272 207.1C272 243.3 300.7 271.1 336 271.1C371.3 271.1 400 243.3 400 207.1C400 172.7 371.3 143.1 336 143.1zM159.6 199.1C145 199.1 129.5 208.6 118.6 227.9C116.4 231.8 111.6 233.1 107.7 230.1C103.9 228.8 102.5 223.9 104.7 220.1C117.8 196.7 138.2 184 159.6 184C181 184 201.5 196.7 214.6 220.1C216.8 223.9 215.4 228.8 211.5 230.1C207.7 233.1 202.8 231.8 200.7 227.9C189.8 208.6 174.2 199.1 159.6 199.1H159.6z"],
    "face-grin-wide": [512, 512, [128515, "grin-alt"], "f581", "M256.3 432C193.7 432 139.3 396.8 111.6 345.1C102.6 328.1 120.3 311.1 138.9 316.9C174.9 326.5 214.6 331.8 256.3 331.8C297.1 331.8 337.7 326.5 373.6 316.9C392.2 311.1 409.1 328.1 400.9 345.1C373.2 396.8 318.8 432 256.3 432V432zM134.8 332.4C130.9 331.3 127.7 332.7 126.1 334.2C125.4 334.9 125.3 335.4 125.2 335.6C125.2 335.7 125.1 336.3 125.8 337.5C150.8 384.3 199.9 416 256.3 416C312.7 416 361.8 384.3 386.8 337.5C387.5 336.3 387.4 335.7 387.3 335.6C387.3 335.4 387.1 334.9 386.4 334.2C384.9 332.7 381.6 331.3 377.7 332.4C340.4 342.3 299.3 347.8 256.3 347.8C213.2 347.8 172.2 342.3 134.8 332.4V332.4zM146.2 143.2C152.4 130.7 162.5 120 176 120C189.5 120 199.6 130.7 205.8 143.2C212.2 156.1 216 173.4 216 192C216 210.6 212.2 227.9 205.8 240.8C199.6 253.3 189.5 264 176 264C162.5 264 152.4 253.3 146.2 240.8C139.8 227.9 136 210.6 136 192C136 173.4 139.8 156.1 146.2 143.2V143.2zM160.5 150.3C155.4 160.6 152 175.3 152 192C152 208.7 155.4 223.4 160.5 233.7C165.9 244.4 171.8 248 176 248C180.2 248 186.1 244.4 191.5 233.7C196.6 223.4 200 208.7 200 192C200 175.3 196.6 160.6 191.5 150.3C186.1 139.6 180.2 136 176 136C171.8 136 165.9 139.6 160.5 150.3zM365.8 143.2C372.2 156.1 376 173.4 376 192C376 210.6 372.2 227.9 365.8 240.8C359.6 253.3 349.5 264 336 264C322.5 264 312.4 253.3 306.2 240.8C299.8 227.9 296 210.6 296 192C296 173.4 299.8 156.1 306.2 143.2C312.4 130.7 322.5 120 336 120C349.5 120 359.6 130.7 365.8 143.2zM320.5 233.7C325.9 244.4 331.8 248 336 248C340.2 248 346.1 244.4 351.5 233.7C356.6 223.4 360 208.7 360 192C360 175.3 356.6 160.6 351.5 150.3C346.1 139.6 340.2 136 336 136C331.8 136 325.9 139.6 320.5 150.3C315.4 160.6 312 175.3 312 192C312 208.7 315.4 223.4 320.5 233.7zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "face-grin-wink": [512, 512, ["grin-wink"], "f58c", "M256.3 432C193.7 432 139.3 396.8 111.6 345.1C102.6 328.1 120.3 311.1 138.9 316.9C174.9 326.5 214.6 331.8 256.3 331.8C297.1 331.8 337.7 326.5 373.6 316.9C392.2 311.1 409.1 328.1 400.9 345.1C373.2 396.8 318.8 432 256.3 432V432zM134.8 332.4C130.9 331.3 127.7 332.7 126.1 334.2C125.4 334.9 125.3 335.4 125.2 335.6C125.2 335.7 125.1 336.3 125.8 337.5C150.8 384.3 199.9 416 256.3 416C312.7 416 361.8 384.3 386.8 337.5C387.5 336.3 387.4 335.7 387.3 335.6C387.3 335.4 387.1 334.9 386.4 334.2C384.9 332.7 381.6 331.3 377.7 332.4C340.4 342.3 299.3 347.8 256.3 347.8C213.2 347.8 172.2 342.3 134.8 332.4V332.4zM192.4 208C192.4 216.8 185.2 224 176.4 224C167.5 224 160.4 216.8 160.4 208C160.4 199.2 167.5 192 176.4 192C185.2 192 192.4 199.2 192.4 208zM283.7 230.1C279.9 228.8 278.5 223.9 280.7 220.1C293.8 196.7 314.2 184 335.6 184C357 184 377.5 196.7 390.6 220.1C392.8 223.9 391.4 228.8 387.6 230.1C383.7 233.1 378.8 231.8 376.7 227.9C365.8 208.6 350.2 199.1 335.6 199.1C321 199.1 305.5 208.6 294.6 227.9C292.4 231.8 287.6 233.1 283.7 230.1H283.7zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "face-hand-over-mouth": [512, 512, [129762], "e378", "M116.7 451.4C120.2 453.1 121.1 458.1 118.5 462.6C115.9 466.2 110.9 467 107.3 464.4C42.38 418 0 341.1 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 362.3 447.3 453.4 355.1 492.1C351 493.8 346.3 491.9 344.6 487.8C342.9 483.8 344.8 479.1 348.9 477.4C435.3 441 496 355.6 496 255.1C496 123.5 388.5 15.1 256 15.1C123.5 15.1 16 123.5 16 255.1C16 336.6 55.7 407.9 116.7 451.4L116.7 451.4zM160.4 208C160.4 199.2 167.5 192 176.4 192C185.2 192 192.4 199.2 192.4 208C192.4 216.8 185.2 224 176.4 224C167.5 224 160.4 216.8 160.4 208zM352.4 208C352.4 216.8 345.2 224 336.4 224C327.5 224 320.4 216.8 320.4 208C320.4 199.2 327.5 192 336.4 192C345.2 192 352.4 199.2 352.4 208zM310.6 249.4C314.1 252.9 316.7 257 318.2 261.4C330.6 253.1 347.6 254.4 358.6 265.4C369.6 276.4 370.9 293.4 362.6 305.8C366.1 307.3 371.1 309.9 374.6 313.4C387.1 325.9 387.1 346.1 374.6 358.6L363.2 370C367.4 371.6 371.3 374 374.6 377.4C387.1 389.9 387.1 410.1 374.6 422.6L317.8 479.4C296.1 500.3 268.7 512 239.2 512C177.8 512 128 462.2 128 400.8V314.4C128 294.5 144.1 278.4 164 278.4C183.9 278.4 200 294.5 200 314.4V314.7L265.4 249.4C277.9 236.9 298.1 236.9 310.6 249.4L310.6 249.4zM257.4 344C254.8 346.6 250.6 346.6 248 344C245.4 341.4 245.4 337.2 248 334.6L299.3 283.3C301.7 280.1 303.1 278.1 303.7 275C304.7 269.1 303.2 264.6 299.3 260.7C293.1 254.4 282.9 254.4 276.7 260.7L197.7 339.7C192.6 344.8 184 341.2 184 334.1V314.4C184 303.4 175 294.4 164 294.4C152.1 294.4 144 303.4 144 314.4V400.8C144 453.4 186.6 496 239.2 496C264.4 496 288.7 485.1 306.5 468.1L363.3 411.3C369.6 405.1 369.6 394.9 363.3 388.7C359.4 384.8 354 383.3 348.1 384.3C345.9 384.9 343 386.3 340.7 388.7L321.4 408C318.8 410.6 314.6 410.6 312 408C309.4 405.4 309.4 401.2 312 398.6L363.3 347.3C369.6 341.1 369.6 330.9 363.3 324.7C359.4 320.8 354 319.3 348.1 320.3C345.9 320.9 343 322.3 340.7 324.7L289.4 376C286.8 378.6 282.6 378.6 280 376C277.4 373.4 277.4 369.2 280 366.6L347.3 299.3C353.6 293.1 353.6 282.9 347.3 276.7C341.1 270.4 330.9 270.4 324.7 276.7L257.4 344z"],
    "face-hand-peeking": [640, 512, [129763], "e481", "M320 16C262.3 16 209.5 36.32 168.1 70.19C164.7 72.99 159.6 72.49 156.8 69.07C154 65.65 154.5 60.61 157.9 57.81C202.1 21.68 258.5 0 320 0C399.9 0 471.3 36.61 518.2 93.95C520.1 97.37 520.5 102.4 517.1 105.2C513.6 108 508.6 107.5 505.8 104.1C461.8 50.3 394.9 16 320 16L320 16zM92.56 355.3C96.55 353.4 101.3 355.1 103.2 359.1C141.8 440.1 224.4 496 320 496C394.9 496 461.8 461.7 505.8 407.9C508.6 404.5 513.6 403.1 517.1 406.8C520.5 409.6 520.1 414.6 518.2 418.1C471.3 475.4 399.9 512 320 512C217.1 512 129.9 452.3 88.78 366C86.88 362 88.57 357.2 92.56 355.3V355.3zM40.57 155.1L101.7 93.98C115.7 79.92 138.5 79.92 152.6 93.98C166.6 108 166.6 130.8 152.6 144.9L137.5 160H232C249.7 160 264 174.3 264 192C264 195.9 263.3 199.7 261.1 203.2C272.6 208.4 280 219.3 280 232C280 244.7 272.6 255.6 261.1 260.8C263.3 264.3 264 268.1 264 272C264 289.7 249.7 304 232 304H214.7C215.6 306.8 215.1 309.8 215.1 312.9C215.1 330.6 201.7 344.9 183.1 344.9H119.2C89.71 344.9 61.42 333.2 40.57 312.3C-2.542 269.2-2.854 199.5 39.63 156L39.73 155.9L40.57 155.1zM197.3 304C194.4 299.7 189.5 296.9 183.1 296.9H170C167.6 296.9 165.6 294.9 165.6 292.5C165.6 289.1 167.6 288 170 288H232C240.8 288 248 280.8 248 272C248 269.1 247.2 266.4 245.9 264C243.1 259.2 237.9 256 232 256H169.6C167.4 256 165.6 254.2 165.6 252C165.6 249.8 167.4 248 169.6 248H248C249.5 248 251 247.8 252.4 247.4C259.1 245.5 264 239.3 264 232C264 224.7 259.1 218.5 252.4 216.6C251 216.2 249.5 216 248 216H169.6C167.4 216 165.6 214.2 165.6 212C165.6 209.8 167.4 208 169.6 208H232C237.9 208 243.1 204.8 245.9 200C247.2 197.6 248 194.9 248 192C248 183.2 240.8 176 232 176H118.2C111 176 107.5 167.4 112.5 162.3L141.3 133.6C149.1 125.8 149.1 113.1 141.3 105.3C133.5 97.48 120.8 97.48 112.1 105.3L51.88 166.4L51.08 167.2C14.71 204.4 14.98 264.1 51.88 301C69.74 318.9 93.95 328.9 119.2 328.9H184C192.8 328.9 200 321.7 200 312.9C200 309.6 199 306.5 197.3 304L197.3 304zM599.5 195.1L600.4 196C642.9 239.5 642.5 309.2 599.4 352.3C578.6 373.2 550.3 384.9 520.8 384.9H456C438.3 384.9 424 370.6 424 352.9C424 349.8 424.4 346.8 425.3 344H408C390.3 344 376 329.7 376 312C376 308.1 376.7 304.3 378 300.8C367.4 295.6 360 284.7 360 272C360 254.3 374.3 240 392 240H458.5L405.4 202C391 191.8 387.7 171.8 397.1 157.4C408.2 143 428.2 139.7 442.6 149.1L494.9 187.3C490.5 174.7 493.3 160.1 503.4 149.1C517.5 135.9 540.3 135.9 554.3 149.1L599.5 195.1zM387.6 287.4C388.1 287.8 390.5 288 392 288H476C478.2 288 480 289.8 480 292C480 294.2 478.2 296 476 296H408C402.1 296 396.9 299.2 394.1 303.1C392.8 306.4 392 309.1 392 312C392 320.8 399.2 328 408 328H475.5C478 328 480 329.1 480 332.5C480 334.9 478 336.9 475.5 336.9H456C450.5 336.9 445.6 339.7 442.7 344C440.1 346.5 440 349.6 440 352.9C440 361.7 447.2 368.9 456 368.9H520.8C546.1 368.9 570.3 358.9 588.1 341C625 304.1 625.3 244.4 588.9 207.2L588.1 206.4L543 161.3C535.2 153.5 522.5 153.5 514.7 161.3C506.9 169.1 506.9 181.8 514.7 189.6L529.5 204.4C536.1 210.1 532.2 222.3 522.9 223.4C520.1 223.7 517.3 223 515.1 221.4L433.3 162.1C426.1 157.8 416.1 159.5 410.1 166.7C405.8 173.9 407.5 183.9 414.7 189L474.4 231.6C477.9 234.2 480 238.2 480 242.6C480 249.1 473.1 256 466.6 256H392C383.2 256 376 263.2 376 272C376 279.3 380.9 285.5 387.6 287.4H387.6zM369.5 364.9C382.4 373 392 385.2 392 400C392 414.8 382.4 426.1 369.5 435.1C356.5 443.2 338.9 448 320 448C301.1 448 283.5 443.2 270.5 435.1C257.6 426.1 248 414.8 248 400C248 385.2 257.6 373 270.5 364.9C283.5 356.8 301.1 352 320 352C338.9 352 356.5 356.8 369.5 364.9V364.9zM278.1 421.5C289.1 427.8 303.6 432 320 432C336.4 432 350.9 427.8 361 421.5C371.2 415.1 376 407.3 376 400C376 392.7 371.2 384.9 361 378.5C350.9 372.2 336.4 368 320 368C303.6 368 289.1 372.2 278.1 378.5C268.8 384.9 264 392.7 264 400C264 407.3 268.8 415.1 278.1 421.5zM358.9 164.6C361.1 168.4 359.8 173.3 356 175.5C339.2 185.2 328 203.3 328 224C328 231.4 329.4 238.5 332 244.1C333.7 249 331.7 253.7 327.6 255.4C323.5 257 318.9 255 317.2 250.9C313.8 242.6 312 233.5 312 224C312 197.3 326.5 174.1 347.1 161.6C351.8 159.4 356.7 160.7 358.9 164.6L358.9 164.6zM368 224C368 215.2 375.2 208 384 208C392.8 208 400 215.2 400 224C400 232.8 392.8 240 384 240C375.2 240 368 232.8 368 224z"],
    "face-hand-yawn": [512, 512, [], "e379", "M256 16C123.5 16 16 123.5 16 256C16 336.6 55.7 407.9 116.7 451.4C120.2 453.1 121.1 458.1 118.5 462.6C115.9 466.2 110.9 467 107.3 464.4C42.38 418 0 341.1 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 362.3 447.3 453.4 355.1 492.1C351 493.8 346.3 491.9 344.6 487.8C342.9 483.8 344.8 479.1 348.9 477.4C435.3 441 496 355.6 496 255.1C496 123.5 388.5 15.1 256 15.1L256 16zM358.6 265.4C369.6 276.4 370.9 293.4 362.6 305.8C366.1 307.3 371.1 309.9 374.6 313.4C387.1 325.9 387.1 346.1 374.6 358.6L363.2 370C367.4 371.6 371.3 374 374.6 377.4C387.1 389.9 387.1 410.1 374.6 422.6L317.8 479.4C296.1 500.3 268.7 512 239.2 512C177.8 512 128 462.2 128 400.8V314.4C128 294.5 144.1 278.4 164 278.4C183.9 278.4 200 294.5 200 314.4V314.7L265.4 249.4C277.9 236.9 298.1 236.9 310.6 249.4C314.1 252.9 316.7 257 318.2 261.4C330.6 253.1 347.6 254.4 358.6 265.4L358.6 265.4zM257.4 344C254.8 346.6 250.6 346.6 248 344C245.4 341.4 245.4 337.2 248 334.6L299.3 283.3C301.7 280.1 303.1 278.1 303.7 275C304.7 269.1 303.2 264.6 299.3 260.7C293.1 254.4 282.9 254.4 276.7 260.7L197.7 339.7C192.6 344.8 184 341.2 184 334.1V314.4C184 303.4 175 294.4 164 294.4C152.1 294.4 144 303.4 144 314.4V400.8C144 453.4 186.6 496 239.2 496C264.4 496 288.7 485.1 306.5 468.1L363.3 411.3C369.6 405.1 369.6 394.9 363.3 388.7C359.4 384.8 354 383.3 348.1 384.3C345.9 384.9 343 386.3 340.7 388.7L321.4 408C318.8 410.6 314.6 410.6 312 408C309.4 405.4 309.4 401.2 312 398.6L363.3 347.3C369.6 341.1 369.6 330.9 363.3 324.7C359.4 320.8 354 319.3 348.1 320.3C345.9 320.9 343 322.3 340.7 324.7L289.4 376C286.8 378.6 282.6 378.6 280 376C277.4 373.4 277.4 369.2 280 366.6L347.3 299.3C353.6 293.1 353.6 282.9 347.3 276.7C341.1 270.4 330.9 270.4 324.7 276.7L257.4 344zM164.4 266.2C160.3 264.4 158.4 259.7 160.1 255.7C175.9 218.3 212.8 192 255.1 192C286.8 192 314.5 205.4 333.5 226.7C336.5 229.1 336.2 235 332.9 237.1C329.6 240.9 324.5 240.6 321.6 237.3C305.5 219.3 282.1 207.1 255.1 207.1C219.5 207.1 188.2 230.2 174.9 261.9C173.1 265.1 168.4 267.9 164.4 266.2V266.2zM206.2 107C209 110.5 208.4 115.5 204.1 118.2L124.1 182.2C121.5 185 116.5 184.4 113.8 180.1C110.1 177.5 111.6 172.5 115 169.8L195 105.8C198.5 102.1 203.5 103.6 206.2 107V107zM307 118.2C303.6 115.5 302.1 110.5 305.8 107C308.5 103.6 313.5 102.1 316.1 105.8L396.1 169.8C400.4 172.5 401 177.5 398.2 180.1C395.5 184.4 390.5 185 387 182.2L307 118.2z"],
    "face-head-bandage": [576, 512, [], "e37a", "M288 16C228.1 16 174.1 37.29 133.2 72.62C129.8 75.47 124.7 75.05 121.9 71.67C119 68.3 119.5 63.25 122.8 60.4C167.4 22.72 225.1 0 288 0C304.9 0 321.5 1.647 337.5 4.791C341.9 5.642 344.7 9.846 343.8 14.18C343 18.52 338.8 21.34 334.5 20.49C319.4 17.55 303.9 16 288 16H288zM536 248C540.4 248 544 251.6 544 256C544 397.4 429.4 512 288 512C194.9 512 113.5 462.3 68.69 388.1C66.41 384.4 67.62 379.4 71.41 377.2C75.19 374.9 80.11 376.1 82.39 379.9C124.4 449.5 200.8 496 288 496C420.5 496 528 388.5 528 256C528 251.6 531.6 248 536 248V248zM224.4 240C224.4 248.8 217.2 256 208.4 256C199.5 256 192.4 248.8 192.4 240C192.4 231.2 199.5 224 208.4 224C217.2 224 224.4 231.2 224.4 240zM389.9 391.1C386.9 394.3 381.9 394.6 378.6 391.6C360.6 375.2 333.1 360 296 360C282.1 360 269.6 362.1 258.4 365.6C254.2 366.1 249.7 364.6 248.4 360.4C247 356.2 249.4 351.7 253.6 350.4C266.3 346.4 280.4 344 296 344C337.8 344 369 361.2 389.4 379.8C392.7 382.7 392.9 387.8 389.9 391.1L389.9 391.1zM352.4 240C352.4 231.2 359.5 224 368.4 224C377.2 224 384.4 231.2 384.4 240C384.4 248.8 377.2 256 368.4 256C359.5 256 352.4 248.8 352.4 240zM19.96 236.6C27.01 228.2 34.28 220.1 41.75 212.2C36.8 213.1 31.69 211.6 27.99 208.1C23.82 204.1 22.08 198.3 23.4 192.7C30.18 164.3 41.43 137.5 56.36 113.4C58.58 109.8 62.13 107.2 66.24 106.2C114.4 94.59 164.1 86.69 214.8 82.79C277.3 51.21 345.8 29.82 418.2 20.82C421.7 20.37 425.3 21.14 428.4 22.1C455.1 39.65 480.4 61.05 500.4 86.06C504.2 90.83 504.1 97.36 502.4 102.9C502.2 103.4 501.9 103.8 501.6 104.3C504.4 104.9 507.1 105.5 509.8 106.2C513.9 107.2 517.4 109.8 519.6 113.4C534.6 137.5 545.8 164.3 552.6 192.7C553.9 198.3 552.2 204.1 548 208.1C543.8 211.1 537.9 213.4 532.4 211.8C455 188.5 372.1 176 287.1 176C272.4 176 256.9 176.4 241.6 177.3C167.9 217.9 104.9 275.6 58.03 345C54.61 350.1 48.62 352.7 42.57 351.9C36.52 351.1 31.48 346.9 29.57 341.1C20.76 314.3 16 285.7 16 256C16 252.8 16.06 249.6 16.17 246.3C16.29 242.8 17.63 239.3 19.96 236.6V236.6zM287.1 96C264.9 96 241.9 96.85 219.2 98.51C205.8 99.49 192.4 100.8 179.2 102.3C142.1 106.6 105.6 113.2 69.98 121.8C59.15 139.3 50.39 158.2 44.01 178.3C42.12 184.2 40.43 190.3 38.97 196.4C44.89 194.6 50.85 192.9 56.82 191.3C59.41 190.6 61.1 189.9 64.59 189.2C75.34 186.3 86.17 183.6 97.08 181.2C142.5 170.9 189.2 164.3 237 161.5C249.8 160.7 262.6 160.3 275.6 160.1C279.7 160 283.8 159.1 288 159.1C368.1 159.1 445.6 170.9 519.2 191.3C525.2 192.9 531.1 194.6 537 196.4C535.6 190.3 533.9 184.2 531.1 178.3C525.6 158.2 516.8 139.3 506 121.8C492.5 118.5 478.9 115.5 465.2 112.9C445.6 109.1 425.9 105.1 405.1 103.4C367.3 98.53 327.1 95.1 288 95.1L287.1 96zM32.16 246.9C32.05 249.9 32 252.1 32 256C32 276.7 34.46 296.8 39.1 316.1C40.73 322.9 42.62 329.5 44.77 336.1C48.56 330.4 52.46 324.9 56.46 319.4C96.88 264.1 147.5 216.7 205.5 179.1C160.1 184.3 115.7 192.3 72.7 203.6C58.5 217.3 44.97 231.8 32.16 246.9H32.16zM466.3 96.81L467.5 96.74C474.3 96.39 481.1 96.17 487.9 96.07C483.6 90.67 479 85.45 474.3 80.42C458.4 63.51 440.1 48.77 420.1 36.7C363.2 43.79 308.7 58.75 257.7 80.48C267.8 80.16 277.9 80 287.1 80C348.9 80 408.5 85.77 466.3 96.81L466.3 96.81z"],
    "face-holding-back-tears": [512, 512, [129401], "e482", "M316.2 208C317.6 206.5 319 205 320.6 203.7C320.2 205.1 320 206.5 320 208C320 213.2 322.5 217.9 326.4 220.8C329.1 222.8 332.4 224 336 224C344.8 224 352 216.8 352 208C352 201.2 347.8 195.4 341.8 193.1C345.1 192.4 348.5 192 352 192C356.4 192 360.6 192.6 364.6 193.7C385 199.2 400 217.9 400 240C400 266.5 378.5 288 352 288C325.5 288 304 266.5 304 240C304 233.8 305.2 227.8 307.4 222.3C309.5 217 312.5 212.2 316.2 208H316.2zM352 272C369.7 272 384 257.7 384 240C384 228 377.4 217.6 367.7 212.1C365.7 227.9 352.3 240 336 240C330.3 240 324.9 238.5 320.3 235.9C320.1 237.2 320 238.6 320 240C320 257.7 334.3 272 352 272zM320.5 106.8C318.1 102.7 321.1 98.06 325.2 96.51C329.3 94.96 333.9 97.05 335.5 101.2L336.7 104.3C349.9 139.7 380.3 166.1 417.2 174.3L425.7 176.2C430 177.1 432.8 181.4 431.8 185.7C430.9 190 426.6 192.8 422.3 191.8L414.5 190.1C425.5 203.8 432 221.1 432 240C432 284.2 396.2 320 352 320C307.8 320 272 284.2 272 240C272 195.8 307.8 160 352 160C353.3 160 354.6 160 355.9 160.1C340.8 146.6 328.1 129.4 321.7 109.9L320.5 106.8zM352 304C387.3 304 416 275.3 416 240C416 204.7 387.3 176 352 176C316.7 176 288 204.7 288 240C288 275.3 316.7 304 352 304zM112 240C112 233.8 113.2 227.8 115.4 222.3C117.5 217 120.5 212.2 124.2 208C125.6 206.5 127 205 128.6 203.7C128.2 205.1 128 206.5 128 208C128 213.2 130.5 217.9 134.4 220.8C137.1 222.8 140.4 224 144 224C152.8 224 160 216.8 160 208L160 207.9C159.1 201.1 155.7 195.4 149.8 193.1C153.1 192.4 156.5 192 160 192C164.4 192 168.6 192.6 172.6 193.7C193 199.2 208 217.9 208 240C208 266.5 186.5 288 160 288C133.5 288 112 266.5 112 240H112zM175.7 212.1C173.7 227.9 160.3 240 144 240C138.3 240 132.9 238.5 128.3 235.9C128.1 237.2 128 238.6 128 240C128 257.7 142.3 272 160 272C177.7 272 192 257.7 192 240C192 228 185.4 217.6 175.7 212.1V212.1zM186.8 96.51C190.9 98.06 193 102.7 191.5 106.8L190.3 109.9C183 129.4 171.2 146.6 156.1 160.1C157.4 160 158.7 159.1 160 159.1C204.2 159.1 240 195.8 240 239.1C240 284.2 204.2 319.1 160 319.1C115.8 319.1 80 284.2 80 239.1C80 221.1 86.54 203.8 97.47 190.1L89.74 191.8C85.42 192.8 81.15 190 80.19 185.7C79.23 181.4 81.95 177.1 86.26 176.2L94.77 174.3C131.7 166.1 162.1 139.7 175.3 104.3L176.5 101.2C178.1 97.05 182.7 94.96 186.8 96.51L186.8 96.51zM160 176C124.7 176 96 204.7 96 240C96 275.3 124.7 304 160 304C195.3 304 224 275.3 224 240C224 204.7 195.3 176 160 176zM333.4 369.4C335.1 365.8 340.1 364.9 344.6 367.4C348.2 369.1 349.1 374.1 346.6 378.6C329.5 402.9 299.4 430 255.1 430C212.6 430 182.5 402.9 165.4 378.6C162.9 374.1 163.8 369.1 167.4 367.4C171 364.9 176 365.8 178.6 369.4C194 391.5 219.9 414 255.1 414C292.1 414 317.1 391.5 333.4 369.4L333.4 369.4zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16zM96 320V288H112V320C112 324.4 108.4 328 104 328C99.58 328 96 324.4 96 320zM400 320V288H416V320C416 324.4 412.4 328 408 328C403.6 328 400 324.4 400 320zM216 304V272H232V304C232 308.4 228.4 312 224 312C219.6 312 216 308.4 216 304z"],
    "face-hushed": [512, 512, [], "e37b", "M160.4 256C160.4 247.2 167.5 240 176.4 240C185.2 240 192.4 247.2 192.4 256C192.4 264.8 185.2 272 176.4 272C167.5 272 160.4 264.8 160.4 256zM352.4 256C352.4 264.8 345.2 272 336.4 272C327.5 272 320.4 264.8 320.4 256C320.4 247.2 327.5 240 336.4 240C345.2 240 352.4 247.2 352.4 256zM109.8 182.7C106.8 185.9 101.7 186 98.5 182.1C95.29 179.1 95.15 174.9 98.19 171.7C121.9 146.6 154.8 130.3 191.5 128C195.9 127.7 199.7 131.1 199.1 135.5C200.3 139.9 196.9 143.7 192.5 143.1C159.1 145.1 130.9 160.5 109.8 182.7V182.7zM320.5 128C357.2 130.3 390.1 146.6 413.8 171.7C416.8 174.9 416.7 179.1 413.5 182.1C410.3 186 405.2 185.9 402.2 182.7C381.1 160.5 352 145.1 319.5 143.1C315.1 143.7 311.7 139.9 312 135.5C312.3 131.1 316.1 127.7 320.5 128zM320 384C320 419.3 291.3 448 256 448C220.7 448 192 419.3 192 384C192 348.7 220.7 320 256 320C291.3 320 320 348.7 320 384zM256 336C229.5 336 208 357.5 208 384C208 410.5 229.5 432 256 432C282.5 432 304 410.5 304 384C304 357.5 282.5 336 256 336zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "face-icicles": [512, 512, [], "e37c", "M255.1 16C123.5 16 15.1 123.5 15.1 256V401L24.65 380.8C26.39 376.8 31.09 374.9 35.15 376.6C39.21 378.4 41.09 383.1 39.35 387.2L15.35 443.2C13.86 446.6 10.11 448.6 6.391 447.8C2.671 447.1 0 443.8 0 440V256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256V504C512 507.8 509.3 511.1 505.6 511.8C501.9 512.6 498.1 510.6 496.6 507.2L472.6 451.2C470.9 447.1 472.8 442.4 476.8 440.6C480.9 438.9 485.6 440.8 487.4 444.8L496 465V256C496 123.5 388.5 16 256 16H255.1zM288 400H167.1C137.1 400 111.1 374.9 111.1 344C111.1 313.1 137.1 288 167.1 288H344C374.9 288 400 313.1 400 344C400 359.3 393.9 373.1 384 383.2V504C384 508.4 380.4 512 376 512C371.6 512 368 508.4 368 504V394.6C360.7 398.1 352.6 400 344 400H304V440C304 444.4 300.4 448 296 448C291.6 448 288 444.4 288 440V400zM167.1 304C145.9 304 127.1 321.9 127.1 344C127.1 366.1 145.9 384 167.1 384H175.1V304H167.1zM191.1 384H247.1V304H191.1V384zM320 384V304H264V384H320zM344 304H336V384H344C353 384 361.3 381 368 376C377.7 368.7 384 357.1 384 344C384 321.9 366.1 304 344 304zM192.4 208C192.4 216.8 185.2 224 176.4 224C167.5 224 160.4 216.8 160.4 208C160.4 199.2 167.5 192 176.4 192C185.2 192 192.4 199.2 192.4 208zM320.4 208C320.4 199.2 327.5 192 336.4 192C345.2 192 352.4 199.2 352.4 208C352.4 216.8 345.2 224 336.4 224C327.5 224 320.4 216.8 320.4 208zM343.6 488.2C344.1 492.4 342.8 496.1 338.6 498.4C312.7 507.2 284.9 511.1 255.1 511.1C177.6 511.1 107.3 476.7 60.4 421.2C57.55 417.8 57.97 412.7 61.35 409.9C64.72 407 69.77 407.5 72.62 410.8C116.7 462.9 182.5 495.1 255.1 495.1C283.1 495.1 309.1 491.5 333.4 483.2C337.6 481.8 342.1 484.1 343.6 488.2zM461.6 379.9C463.9 376.1 468.8 374.9 472.6 377.2C476.4 379.4 477.6 384.4 475.3 388.1C460.1 413.3 440.7 435.7 418 454.2C414.6 456.1 409.6 456.5 406.8 453.1C403.1 449.6 404.5 444.6 407.9 441.8C429.2 424.4 447.4 403.5 461.6 379.9V379.9zM106.1 192.3C110.4 193.4 112.9 197.8 111.7 202.1L87.72 290.1C86.82 293.4 83.95 295.7 80.55 295.1C77.16 296.2 73.99 294.3 72.65 291.2L48.65 235.2C46.91 231.1 48.79 226.4 52.85 224.6C56.91 222.9 61.61 224.8 63.35 228.8L78.32 263.8L96.28 197.9C97.44 193.6 101.8 191.1 106.1 192.3H106.1zM352.3 74.1C351.1 69.84 353.6 65.44 357.9 64.28C362.2 63.12 366.6 65.63 367.7 69.9L385.7 135.8L400.6 100.8C402.4 96.79 407.1 94.91 411.2 96.65C415.2 98.39 417.1 103.1 415.4 107.2L391.4 163.2C390 166.3 386.8 168.2 383.4 167.1C380.1 167.7 377.2 165.4 376.3 162.1L352.3 74.1z"],
    "face-kiss": [512, 512, [128535, "kiss"], "f596", "M274.1 281.9C283.3 285.3 292.2 289.7 299.2 295.6C306.1 301.5 312 309.6 312 320C312 330.2 305.6 337.5 298.6 342.4C292.7 346.5 285.4 349.6 278.3 352C285.4 354.4 292.7 357.5 298.6 361.6C305.6 366.5 312 373.8 312 384C312 395 306.4 403.5 299.3 409.8C292.2 415.9 283.2 420.3 274.8 423.5C263.1 427.6 252.5 430.4 241.1 431.9L241 431.9C236.6 432.5 232.6 429.4 232.1 424.1C231.5 420.6 234.6 416.6 239 416.1C249.3 414.7 259.5 412.1 269.2 408.5C276.8 405.7 283.8 402.1 288.7 397.7C293.6 393.5 296 388.1 296 384C296 381.4 294.4 378.3 289.4 374.8C284.4 371.3 277.4 368.4 269.7 366.1C262.1 363.8 254.5 362.3 248.7 361.3C246.5 360.9 244.7 360.7 243.2 360.6C240.9 360.4 239.1 360.2 237.3 359.5C234.2 358.4 231.1 355.3 231.1 352C231.1 348.7 234.2 345.6 237.3 344.5C239.1 343.8 240.9 343.6 243.2 343.4C244.7 343.3 246.5 343.1 248.7 342.7C254.5 341.7 262.1 340.2 269.7 337.9C277.4 335.6 284.4 332.7 289.4 329.2C294.4 325.7 296 322.6 296 320C296 316.2 293.9 312.1 288.8 307.8C283.8 303.5 276.7 299.8 269 296.7C261.5 293.7 253.8 291.5 248 289.1C243.7 288.9 241.1 288.3 238.6 287.9C234.3 287.1 231.3 282.9 232.1 278.6C232.9 274.2 237.1 271.3 241.4 272.1C252.9 274.2 264.2 277.6 274.1 281.9L274.1 281.9zM192.4 208C192.4 216.8 185.2 224 176.4 224C167.5 224 160.4 216.8 160.4 208C160.4 199.2 167.5 192 176.4 192C185.2 192 192.4 199.2 192.4 208zM320.4 208C320.4 199.2 327.5 192 336.4 192C345.2 192 352.4 199.2 352.4 208C352.4 216.8 345.2 224 336.4 224C327.5 224 320.4 216.8 320.4 208zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "face-kiss-beam": [512, 512, [128537, "kiss-beam"], "f597", "M274.1 281.9C283.3 285.3 292.2 289.7 299.2 295.6C306.1 301.5 312 309.6 312 320C312 330.2 305.6 337.5 298.6 342.4C292.7 346.5 285.4 349.6 278.3 352C285.4 354.4 292.7 357.5 298.6 361.6C305.6 366.5 312 373.8 312 384C312 395 306.4 403.5 299.3 409.8C292.2 415.9 283.2 420.3 274.8 423.5C263.1 427.6 252.5 430.4 241.1 431.9L241 431.9C236.6 432.5 232.6 429.4 232.1 424.1C231.5 420.6 234.6 416.6 239 416.1C249.3 414.7 259.5 412.1 269.2 408.5C276.8 405.7 283.8 402.1 288.7 397.7C293.6 393.5 296 388.1 296 384C296 381.4 294.4 378.3 289.4 374.8C284.4 371.3 277.4 368.4 269.7 366.1C262.1 363.8 254.5 362.3 248.7 361.3C246.5 360.9 244.7 360.7 243.2 360.6C240.9 360.4 239.1 360.2 237.3 359.5C234.2 358.4 231.1 355.3 231.1 352C231.1 348.7 234.2 345.6 237.3 344.5C239.1 343.8 240.9 343.6 243.2 343.4C244.7 343.3 246.5 343.1 248.7 342.7C254.5 341.7 262.1 340.2 269.7 337.9C277.4 335.6 284.4 332.7 289.4 329.2C294.4 325.7 296 322.6 296 320C296 316.2 293.9 312.1 288.8 307.8C283.8 303.5 276.7 299.8 269 296.7C261.5 293.7 253.8 291.5 248 289.1C243.7 288.9 241.1 288.3 238.6 287.9C234.3 287.1 231.3 282.9 232.1 278.6C232.9 274.2 237.1 271.3 241.4 272.1C252.9 274.2 264.2 277.6 274.1 281.9L274.1 281.9zM150.9 185.7C143.5 197.1 138.2 212 135.7 225.5C134.9 229.8 130.7 232.7 126.3 231.9C121.1 231 119.1 226.9 119.1 222.5C122.8 207.5 128.7 190.5 137.5 176.1C146.2 163.7 158.1 152 175.8 152C192.7 152 205.4 163.7 214.1 176.1C222.1 190.5 228.9 207.5 231.7 222.5C232.5 226.9 229.6 231 225.3 231.9C220.9 232.7 216.8 229.8 215.1 225.5C213.4 212 208.1 197.1 200.7 185.7C193.1 174.1 184.6 168 175.8 168C167.1 168 158.5 174.1 150.9 185.7V185.7zM286.3 231.9C281.1 231 279.1 226.9 279.1 222.5C282.8 207.5 288.7 190.5 297.5 176.1C306.2 163.7 318.1 152 335.8 152C352.6 152 365.4 163.7 374.1 176.1C382.1 190.5 388.9 207.5 391.7 222.5C392.5 226.9 389.6 231 385.3 231.9C380.9 232.7 376.8 229.8 375.1 225.5C373.4 212 368.1 197.1 360.7 185.7C353.1 174.1 344.6 168 335.8 168C327 168 318.5 174.1 310.9 185.7C303.5 197.1 298.2 212 295.7 225.5C294.9 229.8 290.7 232.7 286.3 231.9V231.9zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "face-kiss-closed-eyes": [512, 512, [], "e37d", "M274.1 281.9C283.3 285.3 292.2 289.7 299.2 295.6C306.1 301.5 312 309.6 312 320C312 330.2 305.6 337.5 298.6 342.4C292.7 346.5 285.4 349.6 278.3 352C285.4 354.4 292.7 357.5 298.6 361.6C305.6 366.5 312 373.8 312 384C312 395 306.4 403.5 299.3 409.8C292.2 415.9 283.2 420.3 274.8 423.5C263.1 427.6 252.5 430.4 241.1 431.9L241 431.9C236.6 432.5 232.6 429.4 232.1 424.1C231.5 420.6 234.6 416.6 239 416.1C249.3 414.7 259.5 412.1 269.2 408.5C276.8 405.7 283.8 402.1 288.7 397.7C293.6 393.5 296 388.1 296 384C296 381.4 294.4 378.3 289.4 374.8C284.4 371.3 277.4 368.4 269.7 366.1C262.1 363.8 254.5 362.3 248.7 361.3C246.5 360.9 244.7 360.7 243.2 360.6C240.9 360.4 239.1 360.2 237.3 359.5C234.2 358.4 231.1 355.3 231.1 352C231.1 348.7 234.2 345.6 237.3 344.5C239.1 343.8 240.9 343.6 243.2 343.4C244.7 343.3 246.5 343.1 248.7 342.7C254.5 341.7 262.1 340.2 269.7 337.9C277.4 335.6 284.4 332.7 289.4 329.2C294.4 325.7 296 322.6 296 320C296 316.2 293.9 312.1 288.8 307.8C283.8 303.5 276.7 299.8 269 296.7C261.5 293.7 253.8 291.5 248 289.1C243.7 288.9 241.1 288.3 238.6 287.9C234.3 287.1 231.3 282.9 232.1 278.6C232.9 274.2 237.1 271.3 241.4 272.1C252.9 274.2 264.2 277.6 274.1 281.9L274.1 281.9zM175.6 200C161 200 145.5 208.6 134.6 227.9C132.4 231.8 127.6 233.1 123.7 230.1C119.9 228.8 118.5 223.9 120.7 220.1C133.8 196.7 154.2 184 175.6 184C197 184 217.5 196.7 230.6 220.1C232.8 223.9 231.4 228.8 227.5 230.1C223.7 233.1 218.8 231.8 216.7 227.9C205.8 208.6 190.2 200 175.6 200H175.6zM283.7 230.1C279.9 228.8 278.5 223.9 280.7 220.1C293.8 196.7 314.2 184 335.6 184C357 184 377.5 196.7 390.6 220.1C392.8 223.9 391.4 228.8 387.5 230.1C383.7 233.1 378.8 231.8 376.7 227.9C365.8 208.6 350.2 199.1 335.6 199.1C321 199.1 305.5 208.6 294.6 227.9C292.4 231.8 287.6 233.1 283.7 230.1H283.7zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "face-kiss-wink-heart": [512, 512, [128536, "kiss-wink-heart"], "f598", "M353.7 492.7C323.6 505.1 290.6 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 290.9 505 324.2 492.3 354.6C487.7 351.9 482.8 349.8 477.6 348.2C489.5 319.8 496 288.7 496 256C496 123.5 388.5 16 256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C287.4 496 317.4 489.1 344.8 479C347 484.2 350 488.8 353.7 492.7zM216.1 278.6C216.9 274.2 221.1 271.3 225.4 272.1C236.9 274.2 248.2 277.6 258.1 281.9C267.3 285.3 276.2 289.7 283.2 295.6C290.1 301.5 296 309.6 296 319.1C296 330.2 289.6 337.5 282.6 342.4C276.7 346.5 269.4 349.6 262.3 352C269.4 354.4 276.7 357.5 282.6 361.6C289.6 366.5 296 373.8 296 384C296 395 290.4 403.5 283.3 409.8C276.2 415.9 267.2 420.3 258.8 423.5C247.1 427.6 236.5 430.4 225.1 431.9L225 431.9C220.6 432.5 216.6 429.4 216.1 424.1C215.5 420.6 218.6 416.6 223 416.1C233.3 414.7 243.5 412.1 253.2 408.5C260.8 405.7 267.8 402.1 272.7 397.7C277.6 393.5 280 388.1 280 384C280 381.4 278.4 378.3 273.4 374.8C268.4 371.3 261.4 368.4 253.7 366.1C246.1 363.8 238.5 362.3 232.7 361.3C230.5 360.9 228.7 360.7 227.2 360.6C224.9 360.4 223.1 360.2 221.3 359.5C218.2 358.4 215.1 355.3 215.1 352C215.1 348.7 218.2 345.6 221.3 344.5C223.1 343.8 224.9 343.6 227.2 343.4C228.7 343.3 230.5 343.1 232.7 342.7C238.5 341.7 246.1 340.2 253.7 337.9C261.4 335.6 268.4 332.7 273.4 329.2C278.4 325.7 280 322.6 280 320C280 316.2 277.9 312.1 272.8 307.8C267.8 303.5 260.7 299.8 253 296.7C245.5 293.7 237.8 291.5 232 289.1C227.7 288.9 225.1 288.3 222.6 287.9C218.3 287.1 215.3 282.9 216.1 278.6L216.1 278.6zM160.4 208C160.4 199.2 167.5 192 176.4 192C185.2 192 192.4 199.2 192.4 208C192.4 216.8 185.2 224 176.4 224C167.5 224 160.4 216.8 160.4 208zM335.6 200C321 200 305.5 208.6 294.6 227.9C292.4 231.8 287.6 233.1 283.7 230.1C279.9 228.8 278.5 223.9 280.7 220.1C293.8 196.7 314.2 184 335.6 184C357 184 377.5 196.7 390.6 220.1C392.8 223.9 391.4 228.8 387.5 230.1C383.7 233.1 378.8 231.8 376.7 227.9C365.8 208.6 350.2 200 335.6 200H335.6zM436.3 374L446.6 371.2C471.2 364.3 496.1 379.6 502.5 404.6C508.8 429.5 494.8 455.5 470.3 462.3L395.5 483.3C382.5 486.9 369.1 479.2 365.7 466.1L345.5 387.4C339.2 362.5 353.2 336.5 377.7 329.6C402.3 322.7 427.1 338.1 433.5 363.1L436.3 374zM361 383.4L381.2 462.2C382.4 466.5 386.8 469.1 391.1 467.9L466 446.9C481.6 442.6 491.3 425.6 486.1 408.6C482.6 391.7 466.3 382.3 450.9 386.6L424.9 393.9L418 367.1C413.7 350.2 397.4 340.7 381.1 345C366.4 349.4 356.7 366.4 361 383.4V383.4z"],
    "face-laugh": [512, 512, ["laugh"], "f599", "M385.5 288C399.7 288 410.1 300.3 407.3 314C389.2 381.1 328.3 432 256 432C183.7 432 122.8 381.1 104.7 314C101.1 300.3 112.3 288 126.5 288H385.5zM391.8 309.9C392.2 308.5 391.9 307.4 390.1 306.3C389.9 305.1 387.1 304 385.5 304H126.5C124 304 122.1 305.1 121 306.3C120.1 307.4 119.8 308.5 120.2 309.9C136.5 371.2 191.3 416 256 416C320.7 416 375.5 371.2 391.8 309.9H391.8zM192.4 192C192.4 200.8 185.2 208 176.4 208C167.5 208 160.4 200.8 160.4 192C160.4 183.2 167.5 176 176.4 176C185.2 176 192.4 183.2 192.4 192zM320.4 192C320.4 183.2 327.5 176 336.4 176C345.2 176 352.4 183.2 352.4 192C352.4 200.8 345.2 208 336.4 208C327.5 208 320.4 200.8 320.4 192zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "face-laugh-beam": [512, 512, [128513, "laugh-beam"], "f59a", "M385.5 288C399.7 288 410.1 300.3 407.3 314C389.2 381.1 328.3 432 256 432C183.7 432 122.8 381.1 104.7 314C101.1 300.3 112.3 288 126.5 288H385.5zM391.8 309.9C392.2 308.5 391.9 307.4 390.1 306.3C389.9 305.1 387.1 304 385.5 304H126.5C124 304 122.1 305.1 121 306.3C120.1 307.4 119.8 308.5 120.2 309.9C136.5 371.2 191.3 416 256 416C320.7 416 375.5 371.2 391.8 309.9H391.8zM150.9 179.7C143.5 191.1 138.2 206 135.7 219.5C134.9 223.8 130.7 226.7 126.3 225.9C121.1 225.1 119.1 220.9 119.1 216.5C122.8 201.5 128.7 184.5 137.5 170.1C146.2 157.7 158.1 146 175.8 146C192.6 146 205.4 157.7 214.1 170.1C222.1 184.5 228.9 201.5 231.7 216.5C232.5 220.9 229.6 225.1 225.3 225.9C220.9 226.7 216.8 223.8 215.1 219.5C213.4 206 208.1 191.1 200.7 179.7C193.1 168.1 184.6 162 175.8 162C167 162 158.5 168.1 150.9 179.7V179.7zM286.3 225.9C281.1 225.1 279.1 220.9 279.1 216.5C282.8 201.5 288.7 184.5 297.5 170.1C306.2 157.7 318.1 146 335.8 146C352.6 146 365.4 157.7 374.1 170.1C382.1 184.5 388.9 201.5 391.7 216.5C392.5 220.9 389.6 225.1 385.3 225.9C380.9 226.7 376.8 223.8 375.1 219.5C373.4 206 368.1 191.1 360.7 179.7C353.1 168.1 344.6 162 335.8 162C327 162 318.5 168.1 310.9 179.7C303.5 191.1 298.2 206 295.7 219.5C294.9 223.8 290.7 226.7 286.3 225.9V225.9zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "face-laugh-squint": [512, 512, ["laugh-squint"], "f59b", "M104.7 314C101.1 300.3 112.3 288 126.5 288H385.5C399.7 288 410.1 300.3 407.3 314C389.2 381.1 328.3 432 256 432C183.7 432 122.8 381.1 104.7 314H104.7zM120.2 309.9C136.5 371.2 191.3 416 256 416C320.7 416 375.5 371.2 391.8 309.9C392.2 308.5 391.9 307.4 390.1 306.3C389.9 305.1 387.1 304 385.5 304H126.5C124 304 122.1 305.1 121 306.3C120.1 307.4 119.8 308.5 120.2 309.9H120.2zM372.4 144.8C376.4 142.9 381.2 144.5 383.2 148.4C385.1 152.4 383.5 157.2 379.6 159.2L313.9 191.1L379.6 224.8C383.5 226.8 385.1 231.6 383.2 235.6C381.2 239.5 376.4 241.1 372.4 239.2L292.4 199.2C289.7 197.8 288 195 288 191.1C288 188.1 289.7 186.2 292.4 184.8L372.4 144.8zM219.6 184.8C222.3 186.2 224 188.1 224 192C224 195 222.3 197.8 219.6 199.2L139.6 239.2C135.6 241.1 130.8 239.5 128.8 235.6C126.9 231.6 128.5 226.8 132.4 224.8L198.1 192L132.4 159.2C128.5 157.2 126.9 152.4 128.8 148.4C130.8 144.5 135.6 142.9 139.6 144.8L219.6 184.8zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496z"],
    "face-laugh-wink": [512, 512, ["laugh-wink"], "f59c", "M335.8 168C335.9 168 335.1 168 336 168C358.8 168 379.9 181.1 391.2 204.4C393.1 208.4 391.5 213.2 387.6 215.2C386.4 215.7 385.2 216 384 216L383.8 215.1C380.1 216.1 378.2 214.6 376.7 211.9C365.8 192.7 350.3 184.1 335.8 184C330.1 184 326.2 184.9 321.7 186.6C313.6 189.8 305.8 195.7 299.2 204.8C297.7 206.9 296.4 209.2 295.2 211.6C293.7 214.4 290.8 216.1 287.8 215.1C286.4 216 285 215.7 283.7 214.1C279.9 212.8 278.5 207.9 280.7 204.1C282.2 201.2 283.1 198.6 285.8 196C292.8 185.8 302.1 177.9 312.6 173.1C319.9 169.7 327.7 168 335.6 168C335.7 168 335.8 168 335.8 168V168zM160 192C160 183.1 167.2 176 176 176L176.2 176L176.4 176C185.2 176 192.4 183.2 192.4 192C192.4 200.8 185.2 208 176.4 208L176.2 207.1L176 208C167.2 208 160 200.9 160 192zM391.9 288C401.5 288 409.1 296.4 407.9 306L407.8 306.3C408.2 308.7 408 311.3 407.3 314C406.6 316.8 405.7 319.7 404.8 322.4C389.3 385.3 332.1 432 264 432H247.1C179.9 432 122.7 385.3 107.2 322.4C106.3 319.6 105.4 316.8 104.7 314C103.1 311.4 103.8 308.8 104.2 306.3L104.1 306C102.9 296.5 110.5 288 120.1 288L391.9 288zM126.5 304C124 304 122.1 305.1 121 306.3C120.8 306.5 120.6 306.8 120.5 307C121.1 311 121.9 314.9 122.8 318.8C141.9 375.5 194.5 416 256 416C317.4 416 369.1 375.6 389.1 319C390.1 315.1 390.9 311.1 391.5 307C391.4 306.8 391.2 306.5 390.1 306.3C389.9 305.1 387.1 304 385.5 304H126.5zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 202.1 16.12 153.7 43.72 112.9C62.12 85.63 85.63 62.12 112.9 43.72C153.7 16.12 202.1 0 256 0C397.4 0 512 114.6 512 256zM496 256C496 123.7 388.3 16 256 16C123.7 16 16 123.7 16 256C16 388.3 123.7 496 256 496C388.3 496 496 388.3 496 256z"],
    "face-lying": [512, 512, [], "e37e", "M256 15.1C123.5 15.1 16 123.5 16 255.1C16 388.5 123.5 496 256 496C341.5 496 416.5 451.3 459.1 383.1C461.4 380.3 466.4 379.1 470.1 381.5C473.8 383.9 474.9 388.8 472.6 392.5C427.3 464.3 347.2 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C373.8 0 472.9 79.5 502.8 187.7C503.1 191.1 501.5 196.4 497.2 197.6C492.1 198.8 488.5 196.3 487.4 191.1C459.4 90.51 366.4 15.1 256 15.1V15.1zM192.4 175.1C192.4 184.8 185.2 191.1 176.4 191.1C167.5 191.1 160.4 184.8 160.4 175.1C160.4 167.2 167.5 159.1 176.4 159.1C185.2 159.1 192.4 167.2 192.4 175.1zM352.4 175.1C352.4 184.8 345.2 191.1 336.4 191.1C327.5 191.1 320.4 184.8 320.4 175.1C320.4 167.2 327.5 159.1 336.4 159.1C345.2 159.1 352.4 167.2 352.4 175.1zM155.2 398.4C151.7 395.7 150.1 390.7 153.6 387.2C173.3 360.1 204.7 344 240 344C255.4 344 269.1 347.2 283.2 352.1C287.3 354.8 289.1 359.5 287.4 363.5C285.6 367.6 280.9 369.4 276.8 367.7C265.6 362.7 253.1 360 240 360C209.9 360 183.2 374.4 166.4 396.8C163.7 400.3 158.7 401 155.2 398.4V398.4zM448 231.1C478.9 231.1 504 257.1 504 287.1C504 318.9 478.9 344 448 344H352C347.6 344 344 340.4 344 336C344 331.6 347.6 328 352 328H448C470.1 328 488 310.1 488 287.1C488 265.9 470.1 247.1 448 247.1H288C283.6 247.1 280 244.4 280 239.1C280 235.6 283.6 231.1 288 231.1H448z"],
    "face-mask": [576, 512, [], "e37f", "M240 168C190.9 168 158.8 188.5 149.7 197.7C146.5 200.8 141.5 200.8 138.3 197.7C135.2 194.5 135.2 189.5 138.3 186.3C150.5 174.1 186.7 152 240 152C244.4 152 248 155.6 248 160C248 164.4 244.4 168 240 168L240 168zM426.3 197.7C417.2 188.5 385.1 168 336 168C331.6 168 328 164.4 328 160C328 155.6 331.6 152 336 152C389.3 152 425.5 174.1 437.7 186.3C440.8 189.5 440.8 194.5 437.7 197.7C434.5 200.8 429.5 200.8 426.3 197.7L426.3 197.7zM183.1 319.1C183.1 315.6 187.6 311.1 191.1 311.1H384C388.4 311.1 392 315.6 392 319.1C392 324.4 388.4 328 384 328H191.1C187.6 328 183.1 324.4 183.1 319.1zM183.1 384C183.1 379.6 187.6 376 191.1 376H384C388.4 376 392 379.6 392 384C392 388.4 388.4 392 384 392H191.1C187.6 392 183.1 388.4 183.1 384zM551.1 220.2C553.1 224.1 551.7 228.1 547.8 231.1L543 233.6C543.7 240.1 544 248.4 544 256C544 397.4 429.4 512 288 512C146.6 512 32 397.4 32 256C32 248.4 32.33 240.1 32.97 233.6L28.23 231.1C24.34 228.1 22.86 224.1 24.94 220.2C26.89 216.6 31.26 215.1 35.02 216.6C53.97 93.92 160 0 288 0C415.1 0 522 93.92 540.1 216.6C544.7 215.1 549.1 216.6 551.1 220.2zM431.4 400C427.6 427.1 404.2 448 376 448H199.1C171.8 448 148.4 427.1 144.6 400H95.98C139.8 458.3 209.5 496 288 496C366.5 496 436.2 458.3 480 400H431.4zM491.1 384C514.5 346.1 528 303.1 528 256C528 251.2 527.9 246.5 527.6 241.8L429.2 294.3C430.1 299.9 432 305.8 432 311.1V384H491.1zM288 16C166.1 16 65.44 106.9 50.04 224.6L154 280C164.1 265.5 180.1 255.1 199.1 255.1H376C395 255.1 411.9 265.5 421.1 280L525.1 224.6C510.6 106.9 409.9 16 288 16H288zM48.41 241.8C48.14 246.5 48 251.2 48 256C48 303.1 61.54 346.1 84.95 384H143.1V311.1C143.1 305.8 145 299.9 146.8 294.3L48.41 241.8zM376 271.1H199.1C177.9 271.1 159.1 289.9 159.1 311.1V392C159.1 414.1 177.9 432 199.1 432H376C398.1 432 416 414.1 416 392V311.1C416 289.9 398.1 271.1 376 271.1z"],
    "face-meh": [512, 512, [128528, "meh"], "f11a", "M160.4 208C160.4 199.2 167.5 192 176.4 192C185.2 192 192.4 199.2 192.4 208C192.4 216.8 185.2 224 176.4 224C167.5 224 160.4 216.8 160.4 208zM352.4 208C352.4 216.8 345.2 224 336.4 224C327.5 224 320.4 216.8 320.4 208C320.4 199.2 327.5 192 336.4 192C345.2 192 352.4 199.2 352.4 208zM344 344C348.4 344 352 347.6 352 352C352 356.4 348.4 360 344 360H168C163.6 360 160 356.4 160 352C160 347.6 163.6 344 168 344H344zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496z"],
    "face-meh-blank": [512, 512, [128566, "meh-blank"], "f5a4", "M192.4 208C192.4 216.8 185.2 224 176.4 224C167.5 224 160.4 216.8 160.4 208C160.4 199.2 167.5 192 176.4 192C185.2 192 192.4 199.2 192.4 208zM320.4 208C320.4 199.2 327.5 192 336.4 192C345.2 192 352.4 199.2 352.4 208C352.4 216.8 345.2 224 336.4 224C327.5 224 320.4 216.8 320.4 208zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "face-melting": [640, 512, [129760], "e483", "M240.1 184.9C242.3 176.3 251.1 171.3 259.6 173.6C268.2 175.9 273.2 184.6 270.1 193.2C268.7 201.7 259.9 206.8 251.4 204.5C242.8 202.2 237.8 193.4 240.1 184.9V184.9zM425.5 234.6C423.2 243.1 414.5 248.2 405.9 245.9C397.4 243.6 392.3 234.8 394.6 226.3C396.9 217.8 405.7 212.7 414.2 214.1C422.7 217.3 427.8 226 425.5 234.6zM288.9 355.9C333.7 367.9 371.2 353.8 395.3 337.6C398.9 335.1 403.9 336 406.4 339.7C408.9 343.4 407.9 348.3 404.2 350.8C377.5 368.9 335.2 384.9 284.8 371.4C234.4 357.9 205.8 322.9 191.6 293.9C189.7 289.9 191.4 285.1 195.3 283.2C199.3 281.2 204.1 282.9 206 286.9C218.7 312.1 244.2 343.9 288.9 355.9V355.9zM608 352C625.7 352 640 366.3 640 384C640 401.7 625.7 416 608 416H544C535.2 416 528 423.2 528 432C528 440.8 535.2 448 544 448C561.7 448 576 462.3 576 480C576 497.7 561.7 512 544 512H325.8C322.1 512.1 318.3 512.1 314.5 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H44.92C81.76 448 103.4 397.3 87.84 363.9C63.37 311.3 56.54 250.2 72.72 189.7C109.3 53.18 249.7-27.87 386.3 8.723C522.8 45.32 603.9 185.7 567.3 322.3C563.4 336.8 573.7 352 588.7 352L608 352zM325.5 496L325.8 496H544C552.8 496 560 488.8 560 480C560 471.2 552.8 464 544 464C526.3 464 512 449.7 512 432C512 414.3 526.3 400 544 400H608C616.8 400 624 392.8 624 384C624 375.2 616.8 368 608 368H588.7C561.8 368 545.6 341.4 551.8 318.1C586.1 190.1 510.1 58.48 382.1 24.18C254.1-10.13 122.5 65.85 88.18 193.9C72.1 250.5 79.4 307.8 102.3 357.1C112.5 378.1 110.2 405.1 100.5 425.4C90.73 445.7 71.52 464 44.92 464H32C23.16 464 16 471.2 16 480C16 488.8 23.16 496 32 496H314.8C318.4 496.1 321.9 496.1 325.5 496V496z"],
    "face-monocle": [512, 512, [], "e380", "M160.4 175.1C160.4 184.8 153.2 191.1 144.4 191.1C135.5 191.1 128.4 184.8 128.4 175.1C128.4 167.2 135.5 159.1 144.4 159.1C153.2 159.1 160.4 167.2 160.4 175.1zM160 360C160 355.6 163.6 352 168 352C184.8 352 211.4 355.3 237.3 365.3C263.1 375.3 289.1 392.4 303.2 420.4C305.1 424.4 303.5 429.2 299.6 431.2C295.6 433.1 290.8 431.5 288.8 427.6C277.3 404.4 255.3 389.5 231.5 380.3C207.8 371.1 183.2 368 168 368C163.6 368 160 364.4 160 360L160 360zM276.1 118.2C273.5 121 268.5 120.4 265.8 116.1C262.1 113.5 263.6 108.5 267 105.8L290.2 87.16C302.5 77.35 317.8 71.1 333.5 71.1C347.1 71.1 360.5 76.04 371.9 83.62L380.4 89.34C384.1 91.79 385.1 96.76 382.7 100.4C380.2 104.1 375.2 105.1 371.6 102.7L362.1 96.94C354.2 91.11 343.1 88 333.5 88C321.4 88 309.7 92.11 300.2 99.66L276.1 118.2zM288.4 207.1C288.4 199.2 295.5 191.1 304.4 191.1C313.2 191.1 320.4 199.2 320.4 207.1C320.4 216.8 313.2 223.1 304.4 223.1C295.5 223.1 288.4 216.8 288.4 207.1zM496.9 490.1L508.2 497.2C511.1 499.6 513.1 504.5 510.8 508.2C508.4 511.1 503.5 513.1 499.8 510.8L488.4 503.7C463.5 488.1 445.5 464.2 437.2 436.8C390.9 483.3 326.8 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 319.8 488.7 378.1 450.1 422.9C455.8 450.4 472.5 474.9 496.9 490.1L496.9 490.1zM448 400C478.1 359.9 496 310 496 255.1C496 123.5 388.5 15.1 256 15.1C123.5 15.1 16 123.5 16 255.1C16 388.5 123.5 496 256 496C326.1 496 389.2 465.9 433.1 417.1C432.4 412.7 432 407.3 432 401.9V272.1C416.3 309.6 379.2 336 336 336C278.6 336 232 289.4 232 231.1C232 174.6 278.6 127.1 336 127.1C390.7 127.1 435.6 170.3 439.7 224L440 223.1C444.4 223.1 448 227.6 448 231.1V400zM336 319.1C384.6 319.1 424 280.6 424 231.1C424 183.4 384.6 143.1 336 143.1C287.4 143.1 248 183.4 248 231.1C248 280.6 287.4 319.1 336 319.1z"],
    "face-nauseated": [512, 512, [], "e381", "M174.3 117C151.9 139.4 123 154.3 91.8 159.5L89.32 159.9C84.96 160.6 80.84 157.7 80.11 153.3C79.38 148.1 82.33 144.8 86.68 144.1L89.17 143.7C117.1 139 142.9 125.8 162.1 105.7L170.3 98.34C173.5 95.22 178.5 95.22 181.7 98.34C184.8 101.5 184.8 106.5 181.7 109.7L174.3 117zM330.3 109.7C327.2 106.5 327.2 101.5 330.3 98.34C333.5 95.22 338.5 95.22 341.7 98.34L349 105.7C369.1 125.8 394.9 139 422.8 143.7L425.3 144.1C429.7 144.8 432.6 148.1 431.9 153.3C431.2 157.7 427 160.6 422.7 159.9L420.2 159.5C388.1 154.3 360.1 139.4 337.7 117L330.3 109.7zM335.6 192C344.5 192 351.6 199.2 351.6 208C351.6 216.8 344.5 224 335.6 224C326.8 224 319.6 216.8 319.6 208C319.6 199.2 326.8 192 335.6 192zM175.6 224C166.8 224 159.6 216.8 159.6 208C159.6 199.2 166.8 192 175.6 192C184.5 192 191.6 199.2 191.6 208C191.6 216.8 184.5 224 175.6 224zM153.1 284.6C155.3 280.7 160.2 279.4 164 281.6C183.3 292.8 196.1 312.7 199.6 336H312.4C315 312.7 328.7 292.8 347.1 281.6C351.8 279.4 356.7 280.7 358.9 284.6C361.1 288.4 359.8 293.3 356 295.5C339.2 305.2 328 323.3 328 344C328 364.7 339.2 382.8 356 392.5C359.8 394.7 361.1 399.6 358.9 403.4C356.7 407.3 351.8 408.6 347.1 406.4C328.7 395.2 315 375.3 312.4 352H199.6C196.1 375.3 183.3 395.2 164 406.4C160.2 408.6 155.3 407.3 153.1 403.4C150.9 399.6 152.2 394.7 155.1 392.5C172.8 382.8 184 364.7 184 344C184 323.3 172.8 305.2 155.1 295.5C152.2 293.3 150.9 288.4 153.1 284.6V284.6zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "face-nose-steam": [576, 512, [], "e382", "M56.07 317.9C57.2 322.2 54.66 326.6 50.4 327.7C46.13 328.9 41.74 326.3 40.61 322.1C34.99 300.1 31.1 278.8 31.1 256C31.1 114.6 146.6 0 287.1 0C429.4 0 544 114.6 544 256C544 278.8 541 300.1 535.4 322.1C534.3 326.3 529.9 328.9 525.6 327.7C521.3 326.6 518.8 322.2 519.9 317.9C525.2 298.2 528 277.4 528 256C528 123.5 420.5 16 287.1 16C155.5 16 47.1 123.5 47.1 256C47.1 277.4 50.81 298.2 56.07 317.9V317.9zM287.1 496C315.1 496 341.1 491.5 365.4 483.2C369.6 481.8 374.1 484.1 375.6 488.2C376.1 492.4 374.8 496.1 370.6 498.4C344.7 507.2 316.9 512 287.1 512C259.1 512 231.3 507.2 205.4 498.4C201.2 496.1 199 492.4 200.4 488.2C201.9 484.1 206.4 481.8 210.6 483.2C234.9 491.5 260.9 496 287.1 496V496zM341.7 189.7C338.5 192.8 333.5 192.8 330.3 189.7C327.2 186.5 327.2 181.5 330.3 178.3C341.7 167 373.6 141.7 413.5 128.4C417.7 127 422.2 129.3 423.6 133.5C424.1 137.7 422.7 142.2 418.5 143.6C381.6 155.9 351.7 179.7 341.7 189.7L341.7 189.7zM127.1 248C127.1 243.6 131.6 240 135.1 240H247.1C252.4 240 255.1 243.6 255.1 248C255.1 252.4 252.4 256 247.1 256H135.1C131.6 256 127.1 252.4 127.1 248zM320 248C320 243.6 323.6 240 328 240H440C444.4 240 448 243.6 448 248C448 252.4 444.4 256 440 256H328C323.6 256 320 252.4 320 248zM227.9 306.3C230.5 308.9 230.1 312.1 229.1 316.1L184.9 389.8C188.2 391.6 191.3 393.9 194.1 396.7C209.7 412.3 209.7 437.6 194.1 453.3C190.6 456.8 186.5 459.5 182.2 461.5C185.1 474.4 181.5 488.5 171.5 498.5C155.9 514.1 130.5 514.1 114.9 498.5C114.4 498 113.9 497.5 113.4 496.1C92.12 508.8 64.72 505.7 46.62 487.6C28.52 469.5 25.41 442.1 37.26 420.8C36.74 420.3 36.22 419.8 35.72 419.3C20.09 403.7 20.09 378.4 35.72 362.7C45.78 352.7 59.85 349.1 72.76 352C74.7 347.7 77.44 343.7 80.97 340.1C96.59 324.5 121.9 324.5 137.5 340.1C140.3 342.9 142.6 346 144.4 349.3L218.1 305.1C221.3 303.3 225.3 303.7 227.9 306.3L227.9 306.3zM198.9 335.3L144.5 367.9C142.3 369.3 139.6 369.4 137.3 368.5C134.9 367.5 133.2 365.4 132.6 362.9C131.6 358.7 129.5 354.7 126.2 351.4C116.9 342.1 101.7 342.1 92.28 351.4C88.78 354.9 86.6 359.2 85.71 363.7C85.23 366.2 83.65 368.2 81.44 369.3C79.23 370.4 76.63 370.5 74.4 369.4C65.46 365.1 54.42 366.7 47.03 374.1C37.66 383.4 37.66 398.6 47.03 408C48.58 409.6 50.28 410.8 52.08 411.9C54.09 413 55.5 414.1 55.95 417.2C56.4 419.5 55.86 421.9 54.45 423.7C42.42 439.4 43.58 461.9 57.94 476.3C72.29 490.6 94.86 491.8 110.5 479.8C112.4 478.4 114.7 477.8 116.1 478.3C119.2 478.7 121.2 480.1 122.4 482.1C123.4 483.9 124.7 485.6 126.2 487.2C135.6 496.6 150.8 496.6 160.2 487.2C167.6 479.8 169.1 468.8 164.8 459.8C163.8 457.6 163.8 454.1 164.9 452.8C165.1 450.6 168.1 448.1 170.5 448.5C175 447.6 179.3 445.4 182.8 441.9C192.2 432.6 192.2 417.4 182.8 408C179.5 404.7 175.5 402.6 171.3 401.6C168.8 401 166.8 399.3 165.8 396.9C164.8 394.6 164.1 391.9 166.3 389.7L198.9 335.3zM346.3 307.2C348.9 304.6 352.1 304.1 356.1 306L429.8 350.2C431.6 346.9 433.9 343.8 436.7 341C452.3 325.4 477.6 325.4 493.3 341C496.8 344.5 499.5 348.6 501.5 352.9C514.4 349.1 528.4 353.6 538.5 363.6C554.1 379.3 554.1 404.6 538.5 420.2C538 420.7 537.5 421.2 536.1 421.7C548.8 442.1 545.7 470.4 527.6 488.5C509.5 506.6 482.1 509.7 460.8 497.8C460.3 498.4 459.8 498.9 459.3 499.4C443.7 515 418.4 515 402.7 499.4C392.7 489.3 389.1 475.3 391.1 462.3C387.7 460.4 383.6 457.7 380.1 454.1C364.5 438.5 364.5 413.2 380.1 397.6C382.9 394.8 386 392.5 389.3 390.7L345.1 316.1C343.3 313.9 343.7 309.8 346.3 307.2H346.3zM375.3 336.2L407.9 390.6C409.3 392.8 409.5 395.5 408.5 397.8C407.5 400.2 405.4 401.9 402.9 402.5C398.7 403.5 394.7 405.6 391.4 408.9C382.1 418.3 382.1 433.5 391.4 442.8C394.9 446.3 399.2 448.5 403.7 449.4C406.2 449.9 408.2 451.5 409.3 453.7C410.4 455.9 410.5 458.5 409.4 460.7C405.1 469.7 406.7 480.7 414.1 488.1C423.4 497.5 438.6 497.5 447.1 488.1C449.6 486.5 450.8 484.8 451.9 483C453 481 454.1 479.6 457.2 479.2C459.5 478.7 461.9 479.2 463.7 480.6C479.4 492.7 501.9 491.5 516.3 477.2C530.6 462.8 531.8 440.2 519.8 424.6C518.4 422.7 517.8 420.4 518.3 418.1C518.7 415.9 520.1 413.9 522.1 412.8C523.9 411.7 525.6 410.4 527.2 408.9C536.6 399.5 536.6 384.3 527.2 374.9C519.8 367.6 508.8 365.1 499.8 370.3C497.6 371.3 494.1 371.3 492.8 370.2C490.6 369.1 488.1 367 488.5 364.6C487.6 360.1 485.4 355.8 481.9 352.3C472.6 342.9 457.4 342.9 447.1 352.3C444.7 355.6 442.6 359.6 441.6 363.8C441 366.3 439.3 368.3 436.9 369.3C434.6 370.3 431.9 370.1 429.7 368.8L375.3 336.2zM162.5 128.4C202.4 141.7 234.3 167 245.7 178.3C248.8 181.5 248.8 186.5 245.7 189.7C242.5 192.8 237.5 192.8 234.3 189.7C224.3 179.7 194.4 155.9 157.5 143.6C153.3 142.2 151 137.7 152.4 133.5C153.8 129.3 158.3 127 162.5 128.4L162.5 128.4z"],
    "face-party": [640, 512, [], "e383", "M177.1 43.57C217.9 16.06 267.1 0 320 0C426.3 0 517.4 64.74 556.1 156.9C557.8 160.1 555.9 165.7 551.8 167.4C547.8 169.1 543.1 167.2 541.4 163.1C505 76.67 419.6 16 320 16C275.6 16 234 28.06 198.3 49.08C192.1 52.75 186 56.7 180.2 60.91C137.4 91.61 105.2 136 89.85 187.7C87.25 196.5 85.14 205.5 83.55 214.6C81.22 228.1 79.1 241.9 79.1 256C79.1 388.5 187.5 496 320 496C394.9 496 461.8 461.7 505.8 407.9C508.6 404.5 513.6 403.1 517.1 406.8C520.5 409.6 520.1 414.6 518.2 418.1C471.3 475.4 399.9 512 320 512C178.6 512 64 397.4 64 256C64 232.7 67.12 210.1 72.95 188.6L.5912 11.02C-.5506 8.217-.0133 5.01 1.979 2.733C3.972 .4557 7.079-.5024 10.01 .257L177.1 43.57zM160.4 55.79L130.8 48.1C104.8 72.02 83.25 100.9 67.71 133.4L80.62 165.1C97.07 121.8 124.9 84.16 160.4 55.79V55.79zM46.72 81.84L59.73 113.8C73.82 87.66 91.68 63.94 112.6 43.37L79.57 34.82C67.38 49.5 56.38 65.22 46.72 81.84H46.72zM62.54 30.4L21.42 19.74L39.19 63.36C46.37 51.92 54.17 40.92 62.54 30.4V30.4zM187.7 222.1C183.9 220.8 182.5 215.9 184.7 212.1C197.8 188.7 218.2 176 239.6 176C261 176 281.5 188.7 294.6 212.1C296.8 215.9 295.4 220.8 291.6 222.1C287.7 225.1 282.8 223.8 280.7 219.9C269.8 200.6 254.2 192 239.6 192C225 192 209.5 200.6 198.6 219.9C196.4 223.8 191.6 225.1 187.7 222.1H187.7zM347.7 222.1C343.9 220.8 342.5 215.9 344.7 212.1C357.8 188.7 378.2 176 399.6 176C421 176 441.5 188.7 454.6 212.1C456.8 215.9 455.4 220.8 451.5 222.1C447.7 225.1 442.8 223.8 440.7 219.9C429.8 200.6 414.2 192 399.6 192C385 192 369.5 200.6 358.6 219.9C356.4 223.8 351.6 225.1 347.7 222.1H347.7zM336.1 270.6C336.9 266.2 341.1 263.3 345.4 264.1C356.9 266.2 368.2 269.6 378.1 273.9C387.3 277.3 396.2 281.7 403.2 287.6C410.1 293.5 416 301.6 416 311.1C416 322.2 409.6 329.5 402.6 334.4C401.8 334.9 400.9 335.5 400.1 336H584C606.1 336 624 318.1 624 296V264C624 241.9 606.1 224 584 224H560C542.3 224 528 238.3 528 256C528 273.7 542.3 288 560 288H576C580.4 288 584 291.6 584 296C584 300.4 580.4 304 576 304H560C533.5 304 512 282.5 512 256C512 229.5 533.5 208 560 208H584C614.9 208 640 233.1 640 264V296C640 326.9 614.9 352 584 352H400.1C400.9 352.5 401.8 353.1 402.6 353.6C409.6 358.5 416 365.8 416 376C416 387 410.4 395.5 403.3 401.8C396.2 407.9 387.2 412.3 378.8 415.5C367.1 419.6 356.5 422.4 345.1 423.9L345 423.9C340.6 424.5 336.6 421.4 336.1 416.1C335.5 412.6 338.6 408.6 343 408.1C353.3 406.7 363.5 404.1 373.2 400.5C380.8 397.7 387.8 394.1 392.7 389.7C397.6 385.5 400 380.1 400 376C400 373.4 398.4 370.3 393.4 366.8C388.4 363.3 381.4 360.4 373.7 358.1C366.1 355.8 358.5 354.3 352.7 353.3C350.5 352.9 348.7 352.7 347.2 352.6C344.9 352.4 343.1 352.2 341.3 351.5C338.2 350.4 335.1 347.3 336 344C335.1 340.7 338.2 337.6 341.3 336.5C343.1 335.8 344.9 335.6 347.2 335.4C348.7 335.3 350.5 335.1 352.7 334.7C358.5 333.7 366.1 332.2 373.7 329.9C381.4 327.6 388.4 324.7 393.4 321.2C398.4 317.7 400 314.6 400 312C400 308.2 397.9 304.1 392.8 299.8C387.8 295.5 380.7 291.8 373 288.7C365.5 285.7 357.8 283.5 352 281.1C347.7 280.9 345.1 280.3 342.6 279.9C338.3 279.1 335.3 274.9 336.1 270.6H336.1z"],
    "face-pensive": [512, 512, [], "e384", "M304 392C308.4 392 312 395.6 312 400C312 404.4 308.4 408 304 408H208C203.6 408 200 404.4 200 400C200 395.6 203.6 392 208 392H304zM392.7 276.1C394.8 272.2 399.7 270.9 403.5 273C407.4 275.2 408.8 280.1 406.6 283.9C393.5 307.3 373 319.1 351.6 319.1C330.2 319.1 309.8 307.3 296.7 283.9C294.5 280.1 295.9 275.2 299.7 273C303.6 270.9 308.4 272.2 310.6 276.1C321.5 295.4 337 304 351.6 304C366.2 304 381.8 295.4 392.7 276.1H392.7zM118.6 276.1C129.5 295.4 145 304 159.6 304C174.2 304 189.8 295.4 200.7 276.1C202.8 272.2 207.7 270.9 211.6 273C215.4 275.2 216.8 280.1 214.6 283.9C201.5 307.3 181 319.1 159.6 319.1C138.2 319.1 117.8 307.3 104.7 283.9C102.5 280.1 103.9 275.2 107.7 273C111.6 270.9 116.4 272.2 118.6 276.1H118.6zM80.51 218.8C78.96 214.7 81.05 210.1 85.19 208.5L105.9 200.7C132.1 190.9 154.1 172.2 167.1 147.9L177.1 132C179.2 128.2 184.1 126.9 187.1 129.1C191.8 131.2 193.1 136.1 190.9 139.1L181.9 155.8C166.1 183.4 141.3 204.6 111.5 215.7L90.81 223.5C86.67 225 82.06 222.9 80.51 218.8L80.51 218.8zM426.8 208.5C430.9 210.1 433 214.7 431.5 218.8C429.9 222.9 425.3 225 421.2 223.5L400.5 215.7C370.7 204.6 345.9 183.4 330.1 155.8L321.1 139.1C318.9 136.1 320.2 131.2 324 129.1C327.9 126.9 332.8 128.2 334.9 132L344 147.9C357.9 172.2 379.9 190.9 406.1 200.7L426.8 208.5zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "face-persevering": [512, 512, [], "e385", "M256 384C224.7 384 202.7 399.1 189.9 413.4C186.1 416.6 181.9 416.9 178.6 413.9C175.4 410.1 175.1 405.9 178.1 402.6C193.1 385.1 219.1 368 256 368C292.9 368 318.9 385.1 333.9 402.6C336.9 405.9 336.6 410.1 333.4 413.9C330.1 416.9 325 416.6 322.1 413.4C309.3 399.1 287.3 384 256 384V384zM205.7 98.34C208.8 101.5 208.8 106.5 205.7 109.7L198.3 117C175.9 139.4 147 154.3 115.8 159.5L113.3 159.9C108.1 160.6 104.8 157.7 104.1 153.3C103.4 148.1 106.3 144.8 110.7 144.1L113.2 143.7C141.1 139 166.9 125.8 186.1 105.7L194.3 98.34C197.5 95.22 202.5 95.22 205.7 98.34V98.34zM306.3 109.7C303.2 106.5 303.2 101.5 306.3 98.34C309.5 95.22 314.5 95.22 317.7 98.34L325 105.7C345.1 125.8 370.9 139 398.8 143.7L401.3 144.1C405.7 144.8 408.6 148.1 407.9 153.3C407.2 157.7 403 160.6 398.7 159.9L396.2 159.5C364.1 154.3 336.1 139.4 313.7 117L306.3 109.7zM128.8 228.4C130.8 224.5 135.6 222.9 139.6 224.8L219.6 264.8C222.3 266.2 224 268.1 224 272C224 275 222.3 277.8 219.6 279.2L139.6 319.2C135.6 321.1 130.8 319.5 128.8 315.6C126.9 311.6 128.5 306.8 132.4 304.8L198.1 272L132.4 239.2C128.5 237.2 126.9 232.4 128.8 228.4V228.4zM372.4 224.8C376.4 222.9 381.2 224.5 383.2 228.4C385.1 232.4 383.5 237.2 379.6 239.2L313.9 271.1L379.6 304.8C383.5 306.8 385.1 311.6 383.2 315.6C381.2 319.5 376.4 321.1 372.4 319.2L292.4 279.2C289.7 277.8 288 275 288 271.1C288 268.1 289.7 266.2 292.4 264.8L372.4 224.8zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "face-pleading": [512, 512, [], "e386", "M256 403C237.5 403 224.5 411.9 216.9 420.4C213.1 423.6 208.9 423.9 205.6 420.9C202.4 417.1 202.1 412.9 205.1 409.6C214.9 398.7 231.9 387 256 387C280.1 387 297.1 398.7 306.9 409.6C309.9 412.9 309.6 417.1 306.4 420.9C303.1 423.9 298 423.6 295.1 420.4C287.5 411.9 274.5 403 256 403zM304 240C304 233.8 305.2 227.8 307.4 222.3C309.5 217 312.5 212.2 316.2 208C317.6 206.5 319 205 320.6 203.7C320.2 205.1 320 206.5 320 208C320 213.2 322.5 217.9 326.4 220.8C329.1 222.8 332.4 224 336 224C344.8 224 352 216.8 352 208C352 201.2 347.8 195.4 341.8 193.1C345.1 192.4 348.5 192 352 192C356.4 192 360.6 192.6 364.6 193.7C385 199.2 400 217.9 400 240C400 266.5 378.5 288 352 288C325.5 288 304 266.5 304 240H304zM367.7 212.1C365.7 227.9 352.3 240 336 240C330.3 240 324.9 238.5 320.3 235.9C320.1 237.2 320 238.6 320 240C320 257.7 334.3 272 352 272C369.7 272 384 257.7 384 240C384 228 377.4 217.6 367.7 212.1zM335.5 101.2L336.7 104.3C349.9 139.7 380.3 166.1 417.2 174.3L425.7 176.2C430 177.1 432.8 181.4 431.8 185.7C430.9 190 426.6 192.8 422.3 191.8L414.5 190.1C425.5 203.8 432 221.1 432 240C432 284.2 396.2 320 352 320C307.8 320 272 284.2 272 240C272 195.8 307.8 160 352 160C353.3 160 354.6 160 355.9 160.1C340.8 146.6 328.1 129.4 321.7 109.9L320.5 106.8C318.1 102.7 321.1 98.06 325.2 96.51C329.3 94.96 333.9 97.05 335.5 101.2V101.2zM352 176C316.7 176 288 204.7 288 240C288 275.3 316.7 304 352 304C387.3 304 416 275.3 416 240C416 204.7 387.3 176 352 176zM124.2 208C125.6 206.5 127 205 128.6 203.7C128.2 205.1 128 206.5 128 208C128 213.2 130.5 217.9 134.4 220.8C137.1 222.8 140.4 224 144 224C152.8 224 160 216.8 160 208L160 207.9C159.1 201.1 155.7 195.4 149.8 193.1C153.1 192.4 156.5 192 160 192C164.4 192 168.6 192.6 172.6 193.7C193 199.2 208 217.9 208 240C208 266.5 186.5 288 160 288C133.5 288 112 266.5 112 240C112 233.8 113.2 227.8 115.4 222.3C117.5 217 120.5 212.2 124.2 208H124.2zM160 272C177.7 272 192 257.7 192 240C192 228 185.4 217.6 175.7 212.1C173.7 227.9 160.3 240 144 240C138.3 240 132.9 238.5 128.3 235.9C128.1 237.2 128 238.6 128 240C128 257.7 142.3 272 160 272V272zM190.3 109.9C183 129.4 171.2 146.6 156.1 160.1C157.4 160 158.7 159.1 160 159.1C204.2 159.1 240 195.8 240 239.1C240 284.2 204.2 319.1 160 319.1C115.8 319.1 80 284.2 80 239.1C80 221.1 86.54 203.8 97.47 190.1L89.74 191.8C85.42 192.8 81.15 190 80.19 185.7C79.23 181.4 81.95 177.1 86.26 176.2L94.77 174.3C131.7 166.1 162.1 139.7 175.3 104.3L176.5 101.2C178.1 97.05 182.7 94.96 186.8 96.51C190.9 98.06 193 102.7 191.5 106.8L190.3 109.9zM160 304C195.3 304 224 275.3 224 240C224 204.7 195.3 176 160 176C124.7 176 96 204.7 96 240C96 275.3 124.7 304 160 304zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "face-pouting": [512, 512, [], "e387", "M336.4 402.1C329.9 408 320.4 409.5 311.7 406.3C294.6 399.9 275.8 396.3 255.1 396.3C236.2 396.3 217.4 399.9 200.3 406.2C191.6 409.5 182.1 407.1 175.7 402.9C172.4 400.4 169.7 396.8 168.6 392.3C167.5 387.7 168.2 382.9 170.6 378.4C186.6 348.4 218.9 327.1 256 327.1C293.2 327.1 325.5 348.4 341.5 378.5C343.9 382.9 344.6 387.7 343.5 392.3C342.4 396.8 339.7 400.4 336.4 402.1L336.4 402.1zM327.9 388.5C328 388.2 328.1 387.4 327.4 385.1C314.1 361.1 287.2 343.1 256 343.1C224.8 343.1 197.9 361.1 184.7 385.9C183.9 387.3 184 388.1 184.1 388.5C184.2 388.9 184.6 389.6 185.5 390.3C187.4 391.8 190.1 392.7 194.7 391.3C213.6 384.2 234.3 380.3 255.1 380.3C277.7 380.3 298.5 384.2 317.3 391.3C321.1 392.7 324.7 391.8 326.6 390.3C327.5 389.6 327.8 388.1 327.9 388.5V388.5zM160.4 240C160.4 231.2 167.5 224 176.4 224C185.2 224 192.4 231.2 192.4 240C192.4 248.8 185.2 256 176.4 256C167.5 256 160.4 248.8 160.4 240zM352.4 240C352.4 248.8 345.2 256 336.4 256C327.5 256 320.4 248.8 320.4 240C320.4 231.2 327.5 224 336.4 224C345.2 224 352.4 231.2 352.4 240zM226.5 200.4C230.7 201.8 232.1 206.3 231.6 210.5C230.2 214.7 225.7 216.1 221.5 215.6L125.5 183.6C121.3 182.2 119 177.7 120.4 173.5C121.8 169.3 126.3 167 130.5 168.4L226.5 200.4zM290.5 215.6C286.3 216.1 281.8 214.7 280.4 210.5C279 206.3 281.3 201.8 285.5 200.4L381.5 168.4C385.7 167 390.2 169.3 391.6 173.5C392.1 177.7 390.7 182.2 386.5 183.6L290.5 215.6zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496z"],
    "face-raised-eyebrow": [512, 512, [], "e388", "M192.4 240C192.4 248.8 185.2 256 176.4 256C167.5 256 160.4 248.8 160.4 240C160.4 231.2 167.5 224 176.4 224C185.2 224 192.4 231.2 192.4 240zM320.4 240C320.4 231.2 327.5 224 336.4 224C345.2 224 352.4 231.2 352.4 240C352.4 248.8 345.2 256 336.4 256C327.5 256 320.4 248.8 320.4 240zM372.4 141C361.2 124.2 337.4 121.9 323.2 136.2L293.7 165.7C290.5 168.8 285.5 168.8 282.3 165.7C279.2 162.5 279.2 157.5 282.3 154.3L311.8 124.8C333.3 103.4 368.9 106.1 385.7 132.2L390.7 139.6C393.1 143.2 392.1 148.2 388.4 150.7C384.8 153.1 379.8 152.1 377.3 148.4L372.4 141zM120 160C120 155.6 123.6 152 128 152H192C196.4 152 200 155.6 200 160C200 164.4 196.4 168 192 168H128C123.6 168 120 164.4 120 160zM344 344C348.4 344 352 347.6 352 352C352 356.4 348.4 360 344 360H168C163.6 360 160 356.4 160 352C160 347.6 163.6 344 168 344H344zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496z"],
    "face-relieved": [512, 512, [], "e389", "M256 400C291.4 400 316.1 384.6 330.3 370.3C333.5 367.2 338.5 367.2 341.7 370.3C344.8 373.5 344.8 378.5 341.7 381.7C324.1 398.3 296.4 416 255.1 416C215.6 416 187 398.3 170.3 381.7C167.2 378.5 167.2 373.5 170.3 370.3C173.5 367.2 178.5 367.2 181.7 370.3C195.9 384.6 220.6 400 255.1 400H256zM392.7 244.1C394.8 240.2 399.7 238.9 403.5 241C407.4 243.2 408.8 248.1 406.6 251.9C393.5 275.3 373 287.1 351.6 287.1C330.2 287.1 309.8 275.3 296.7 251.9C294.5 248.1 295.9 243.2 299.7 241C303.6 238.9 308.4 240.2 310.6 244.1C321.5 263.4 337 272 351.6 272C366.2 272 381.8 263.4 392.7 244.1H392.7zM118.6 244.1C129.5 263.4 145 272 159.6 272C174.2 272 189.8 263.4 200.7 244.1C202.8 240.2 207.7 238.9 211.6 241C215.4 243.2 216.8 248.1 214.6 251.9C201.5 275.3 181 287.1 159.6 287.1C138.2 287.1 117.8 275.3 104.7 251.9C102.5 248.1 103.9 243.2 107.7 241C111.6 238.9 116.4 240.2 118.6 244.1H118.6zM199.6 93.47C200.1 97.66 198.7 102.2 194.5 103.6L188.2 105.7C162.9 114.1 141.1 130.8 126.3 152.1L118.7 164.4C116.2 168.1 111.2 169.1 107.6 166.7C103.9 164.2 102.9 159.2 105.3 155.6L112.1 144.1C129.8 118.9 154.4 100.1 183.1 90.52L189.5 88.41C193.7 87.01 198.2 89.28 199.6 93.47H199.6zM317.5 103.6C313.3 102.2 311 97.66 312.4 93.47C313.8 89.28 318.3 87.01 322.5 88.41L328.9 90.52C357.6 100.1 382.2 118.9 399 144.1L406.7 155.6C409.1 159.2 408.1 164.2 404.4 166.7C400.8 169.1 395.8 168.1 393.3 164.4L385.7 152.1C370.9 130.8 349.1 114.1 323.8 105.7L317.5 103.6zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "face-rolling-eyes": [512, 512, [128580, "meh-rolling-eyes"], "f5a5", "M320 376C324.4 376 328 379.6 328 384C328 388.4 324.4 392 320 392H192C187.6 392 184 388.4 184 384C184 379.6 187.6 376 192 376H320zM160 304C115.8 304 80 268.2 80 224C80 179.8 115.8 144 160 144C204.2 144 240 179.8 240 224C240 268.2 204.2 304 160 304zM160 288C195.3 288 224 259.3 224 224C224 203.1 213.1 184.5 198.4 172.8C199.4 176.4 200 180.1 200 184C200 206.1 182.1 224 160 224C137.9 224 120 206.1 120 184C120 180.1 120.6 176.4 121.6 172.8C106 184.5 96 203.1 96 224C96 259.3 124.7 288 160 288zM160 208C173.3 208 184 197.3 184 184C184 170.7 173.3 160 160 160C146.7 160 136 170.7 136 184C136 197.3 146.7 208 160 208zM352 144C396.2 144 432 179.8 432 224C432 268.2 396.2 304 352 304C307.8 304 272 268.2 272 224C272 179.8 307.8 144 352 144zM390.4 172.8C391.4 176.4 392 180.1 392 184C392 206.1 374.1 224 352 224C329.9 224 312 206.1 312 184C312 180.1 312.6 176.4 313.6 172.8C298.1 184.5 288 203.1 288 224C288 259.3 316.7 288 352 288C387.3 288 416 259.3 416 224C416 203.1 405.9 184.5 390.4 172.8zM352 160C338.7 160 328 170.7 328 184C328 197.3 338.7 208 352 208C365.3 208 376 197.3 376 184C376 170.7 365.3 160 352 160zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "face-sad-cry": [512, 512, [128557, "sad-cry"], "f5b3", "M320 352V384C320 419.3 291.3 448 256 448C220.7 448 192 419.3 192 384V352C192 316.7 220.7 288 256 288C291.3 288 320 316.7 320 352zM304 384V352C304 325.5 282.5 304 256 304C229.5 304 208 325.5 208 352V384C208 410.5 229.5 432 256 432C282.5 432 304 410.5 304 384zM107.7 230.1C103.9 228.8 102.5 223.9 104.7 220.1C117.8 196.7 138.2 184 159.6 184C181 184 201.5 196.7 214.6 220.1C216.8 223.9 215.4 228.8 211.6 230.1C207.7 233.1 202.8 231.8 200.7 227.9C189.8 208.6 174.2 199.1 159.6 199.1C145 199.1 129.5 208.6 118.6 227.9C116.4 231.8 111.6 233.1 107.7 230.1H107.7zM351.6 200C337 200 321.5 208.6 310.6 227.9C308.4 231.8 303.6 233.1 299.7 230.1C295.9 228.8 294.5 223.9 296.7 220.1C309.8 196.7 330.2 184 351.6 184C373 184 393.5 196.7 406.6 220.1C408.8 223.9 407.4 228.8 403.6 230.1C399.7 233.1 394.8 231.8 392.7 227.9C381.8 208.6 366.2 200 351.6 200H351.6zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM384 459.1C451.3 416.5 496 341.5 496 256C496 123.5 388.5 16 256 16C123.5 16 16 123.5 16 256C16 341.5 60.7 416.5 128 459.1V264C128 259.6 131.6 256 136 256C140.4 256 144 259.6 144 264V468.3C177.4 485.1 215.5 496 256 496C296.5 496 334.6 485.1 368 468.3V264C368 259.6 371.6 256 376 256C380.4 256 384 259.6 384 264V459.1z"],
    "face-sad-sweat": [576, 512, [], "e38a", "M288 16C165.1 16 65.17 107.1 49.98 225C49.42 229.4 45.41 232.5 41.02 231.9C36.64 231.4 33.55 227.4 34.11 222.1C50.32 97.19 157.8 0 288 0C429.4 0 544 114.6 544 256C544 397.4 429.4 512 288 512C217.6 512 153.9 483.6 107.6 437.7C104.5 434.6 104.5 429.5 107.6 426.4C110.7 423.2 115.8 423.2 118.9 426.3C162.3 469.4 222 496 288 496C420.5 496 528 388.5 528 255.1C528 123.5 420.5 15.1 288 15.1V16zM365.4 413.9C362.1 416.9 357 416.6 354.1 413.4C341.3 399.1 319.3 384 288 384C256.7 384 234.7 399.1 221.9 413.4C218.1 416.6 213.9 416.9 210.6 413.9C207.4 410.1 207.1 405.9 210.1 402.6C225.1 385.1 251.1 368 288 368C324.9 368 350.9 385.1 365.9 402.6C368.9 405.9 368.6 410.1 365.4 413.9V413.9zM190.3 181C167.9 203.4 139 218.3 107.8 223.5L105.3 223.9C100.1 224.6 96.84 221.7 96.11 217.3C95.38 212.1 98.33 208.8 102.7 208.1L105.2 207.7C133.1 203 158.9 189.8 178.1 169.7L186.3 162.3C189.5 159.2 194.5 159.2 197.7 162.3C200.8 165.5 200.8 170.5 197.7 173.7L190.3 181zM389.7 162.3L397 169.7C417.1 189.8 442.9 203 470.8 207.7L473.3 208.1C477.7 208.8 480.6 212.1 479.9 217.3C479.2 221.7 475 224.6 470.7 223.9L468.2 223.5C436.1 218.3 408.1 203.4 385.7 181L378.3 173.7C375.2 170.5 375.2 165.5 378.3 162.3C381.5 159.2 386.5 159.2 389.7 162.3V162.3zM128 357.3C128 389.8 99.28 416 64 416C28.72 416 0 389.8 0 357.3C0 332.3 38.07 281.8 55.47 260.1C59.73 254.6 68.27 254.6 72.53 260.1C90.09 281.8 128 332.3 128 357.3zM93.33 316C83.71 300.8 72.44 285.7 64.02 275.1C55.61 285.8 44.36 300.8 34.73 316C29.1 324.9 24.24 333.5 20.83 341.1C17.25 349.1 16 354.5 16 357.3C16 379.6 36.21 400 64 400C91.79 400 112 379.6 112 357.3C112 354.4 110.8 349.1 107.2 341.1C103.8 333.5 98.94 324.9 93.33 316H93.33zM367.6 256C376.5 256 383.6 263.2 383.6 272C383.6 280.8 376.5 288 367.6 288C358.8 288 351.6 280.8 351.6 272C351.6 263.2 358.8 256 367.6 256zM207.6 288C198.8 288 191.6 280.8 191.6 272C191.6 263.2 198.8 256 207.6 256C216.5 256 223.6 263.2 223.6 272C223.6 280.8 216.5 288 207.6 288z"],
    "face-sad-tear": [512, 512, [128546, "sad-tear"], "f5b4", "M169.6 291.3C172.8 286.9 179.2 286.9 182.4 291.3C183.6 292.8 184.9 294.5 186.3 296.4C200.5 314.8 223.1 345.4 223.1 369C223.1 395 202.5 416 175.1 416C149.5 416 127.1 395 127.1 369C127.1 345.6 151.1 315.5 165.2 297C166.8 294.1 168.3 293 169.6 291.3V291.3zM157.5 335.4C148.9 349.2 144 360.9 144 369C144 385.8 158 400 176 400C193.1 400 208 385.8 208 369C208 360.9 203.2 349.1 194.6 335.4C188.6 325.9 181.9 316.9 176 309.3C170.1 316.9 163.4 325.9 157.5 335.4H157.5zM335.6 224C326.8 224 319.6 216.8 319.6 208C319.6 199.2 326.8 192 335.6 192C344.5 192 351.6 199.2 351.6 208C351.6 216.8 344.5 224 335.6 224zM175.6 192C184.5 192 191.6 199.2 191.6 208C191.6 216.8 184.5 224 175.6 224C166.8 224 159.6 216.8 159.6 208C159.6 199.2 166.8 192 175.6 192zM374.4 387.2C377.1 390.8 376.3 395.8 372.8 398.4C369.2 401.1 364.2 400.3 361.6 396.8C332.9 358.4 295.8 336 256 336C251.6 336 248 332.4 248 328C248 323.6 251.6 320 256 320C302.3 320 343.7 346 374.4 387.2zM256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM496 256C496 123.5 388.5 16 256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256z"],
    "face-saluting": [640, 512, [129761], "e484", "M270.2 73.3L213.8 110.9C222.2 113.7 229.8 119.2 234.1 127.3C246.9 145.9 241.5 170.6 222.9 182.6L126 244.8C108.5 256 86.91 259.1 66.94 253.1C9.015 235.8-2.477 158.8 47.86 125.2L225.9 6.709C244.3-5.534 269.1-.5518 281.4 17.84C293.6 36.23 288.6 61.06 270.2 73.3L270.2 73.3zM56.73 138.6C17.67 164.6 26.58 224.3 71.54 237.8C87.03 242.4 103.8 240.1 117.4 231.3L214.3 169.1C225.4 161.1 228.7 147.1 221.5 135.1C214.4 124.8 199.5 121.6 188.4 128.7L149.9 153.4C146.2 155.8 141.3 154.7 138.9 151C136.5 147.4 137.5 142.4 141.2 140L261.4 59.98C272.4 52.64 275.4 37.74 268 26.7C260.7 15.67 245.8 12.68 234.8 20.03L56.73 138.6zM352 16C341.5 16 331.2 16.67 321 17.98C316.6 18.54 312.6 15.45 312.1 11.07C311.5 6.686 314.6 2.676 318.1 2.112C329.8 .7182 340.8 .0005 352 .0005C493.4 .0005 608 114.6 608 256C608 397.4 493.4 512 352 512C235.1 512 136.4 433.6 105.8 326.5C104.6 322.2 107.1 317.8 111.3 316.6C115.6 315.4 119.1 317.8 121.2 322.1C149.9 422.5 242.4 496 352 496C484.5 496 592 388.5 592 256C592 123.5 484.6 16 352 16L352 16zM234 343.7C236.1 340.4 242 340.1 245.3 343C265.7 361.2 301.2 381 352 381C402.8 381 438.3 361.2 458.7 343C461.1 340.1 467 340.4 469.1 343.7C472.9 346.1 472.6 352 469.3 354.1C446.4 375.4 407.2 397 352 397C296.8 397 257.6 375.4 234.7 354.1C231.4 352 231.1 346.1 234 343.7H234zM256.4 208C256.4 199.2 263.5 192 272.4 192C281.2 192 288.4 199.2 288.4 208C288.4 216.8 281.2 224 272.4 224C263.5 224 256.4 216.8 256.4 208zM448.4 208C448.4 216.8 441.2 224 432.4 224C423.5 224 416.4 216.8 416.4 208C416.4 199.2 423.5 192 432.4 192C441.2 192 448.4 199.2 448.4 208z"],
    "face-scream": [640, 512, [], "e38b", "M71.1 264C67.58 264 63.1 260.4 63.1 256C63.1 114.6 178.6 0 319.1 0C461.4 0 575.1 114.6 575.1 256C575.1 260.4 572.4 264 567.1 264C563.6 264 559.1 260.4 559.1 256C559.1 123.5 452.5 16 319.1 16C187.4 16 79.1 123.5 79.1 256C79.1 260.4 76.42 264 71.1 264V264zM319.1 496C341.4 496 362.2 493.2 381.9 487.9C386.2 486.8 390.6 489.3 391.7 493.6C392.9 497.9 390.3 502.3 386.1 503.4C364.1 509 342.8 512 319.1 512C297.2 512 275 509 253.9 503.4C249.7 502.3 247.1 497.9 248.3 493.6C249.4 489.3 253.8 486.8 258.1 487.9C277.8 493.2 298.6 496 319.1 496H319.1zM295.7 187.1C297.4 206 292.2 227.4 280.2 247.1C268.2 266.8 251.3 281.7 233.3 289.6C215.5 297.5 195.9 298.7 179.4 289.8C162.9 280.7 154.1 263.8 152.3 244.9C150.6 225.1 155.8 204.6 167.8 184.9C179.8 165.2 196.7 150.3 214.7 142.4C232.5 134.5 252.1 133.3 268.6 142.2C285.1 151.3 293.9 168.2 295.7 187.1H295.7zM168.3 243.4C169.6 258.4 176.4 269.8 187.1 275.7C197.1 281.6 212.2 281.4 226.9 274.9C241.6 268.5 256.1 255.1 266.5 238.8C277 221.6 281.1 203.6 279.7 188.6C278.4 173.6 271.6 162.2 260.9 156.3C250 150.4 235.8 150.6 221.1 157.1C206.4 163.5 191.9 176 181.5 193.2C170.1 210.4 166.9 228.4 168.3 243.4V243.4zM472.2 184.9C484.2 204.6 489.4 225.1 487.7 244.9C485.9 263.8 477.1 280.7 460.6 289.8C444.1 298.7 424.5 297.5 406.7 289.6C388.7 281.7 371.8 266.8 359.8 247.1C347.8 227.4 342.6 206 344.3 187.1C346.1 168.2 354.9 151.3 371.4 142.2C387.9 133.3 407.5 134.5 425.3 142.4C443.3 150.3 460.2 165.2 472.2 184.9zM379.1 156.3C368.4 162.2 361.6 173.6 360.3 188.6C358.9 203.6 362.1 221.6 373.5 238.8C383.9 255.1 398.4 268.5 413.1 274.9C427.8 281.4 442 281.6 452.9 275.7C463.6 269.8 470.4 258.4 471.7 243.4C473.1 228.4 469 210.4 458.5 193.2C448.1 176 433.6 163.5 418.9 157.1C404.2 150.6 389.1 150.4 379.1 156.3V156.3zM255.1 368C255.1 332.7 284.7 304 320 304C355.3 304 384 332.7 384 368V400C384 435.3 355.3 464 320 464C284.7 464 255.1 435.3 255.1 400V368zM320 320C293.5 320 271.1 341.5 271.1 368V400C271.1 426.5 293.5 448 320 448C346.5 448 368 426.5 368 400V368C368 341.5 346.5 320 320 320zM45.79 373.8C71.5 412.7 90.22 462.1 90.22 512H74.22C74.22 465.9 56.84 419.6 32.45 382.7C16.85 359.2 23.46 327.6 47.21 312.3C58.34 305.1 71.3 302.7 83.47 304.6C92.55 306.1 101.3 309.9 108.5 315.9C135.5 338.4 158.3 370.1 174.3 405.8C190.4 440.7 199.9 478.6 199.9 512L183.9 511.1C183.9 481.4 175.1 445.8 159.8 412.5C144.5 379.2 122.1 348.8 98.28 328.2C93.31 324.1 87.3 321.4 80.97 320.4C72.5 319.1 63.56 320.8 55.9 325.7C39.59 336.3 35.14 357.8 45.79 373.8L45.79 373.8zM541.6 328.2C516.9 348.8 495.4 379.2 480.1 412.5C464.8 445.8 455.9 481.4 456 511.1L440 512C439.9 478.6 449.5 440.7 465.6 405.8C481.6 370.1 504.4 338.4 531.4 315.9C538.6 309.9 547.3 306.1 556.4 304.6C568.6 302.7 581.5 305.1 592.7 312.3C616.4 327.6 623 359.2 607.4 382.7C583 419.6 565.6 465.9 565.6 512H549.6C549.6 462.1 568.4 412.7 594.1 373.8C604.7 357.8 600.3 336.3 583.1 325.7C576.3 320.8 567.4 319.1 558.9 320.4C552.6 321.4 546.6 324.1 541.6 328.2L541.6 328.2z"],
    "face-shush": [512, 512, [], "e38c", "M255.1 16C123.5 16 15.1 123.5 15.1 256C15.1 343.2 62.52 419.6 132.1 461.6C135.9 463.9 137.1 468.8 134.8 472.6C132.6 476.4 127.6 477.6 123.9 475.3C49.65 430.5 0 349 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 334.4 476.7 404.7 421.2 451.6C417.8 454.5 412.7 454 409.9 450.7C407 447.3 407.5 442.2 410.8 439.4C462.9 395.3 496 329.5 496 256C496 123.5 388.5 16 255.1 16V16zM192.4 144C192.4 152.8 185.2 160 176.4 160C167.5 160 160.4 152.8 160.4 144C160.4 135.2 167.5 128 176.4 128C185.2 128 192.4 135.2 192.4 144zM352.4 144C352.4 152.8 345.2 160 336.4 160C327.5 160 320.4 152.8 320.4 144C320.4 135.2 327.5 128 336.4 128C345.2 128 352.4 135.2 352.4 144zM223.1 246.1V240C223.1 222.3 238.3 208 255.1 208C273.7 208 288 222.3 288 240V246.1C314.5 241.3 334 229.3 346.7 218C349.1 215.1 355 215.4 357.1 218.7C360.9 221.1 360.6 227 357.3 229.1C342.3 243.4 319.2 257.4 288 263.3V324.7C311.5 334.1 328 357.1 328 384V392C328 409.7 313.7 424 296 424C278.3 424 264 409.7 264 392V384H231.1V399.7L296.3 446.5C298.4 445.5 300.3 444.1 301.8 442.2L327.4 411.5C338.7 397.9 358.9 396.1 372.5 407.4C386.1 418.7 387.9 438.9 376.6 452.5L350.1 483.2C335.8 501.5 313.3 512 289.5 512H231.1C196.7 512 167.1 483.3 167.1 448V384C167.1 351.4 192.4 324.4 223.1 320.5V263.3C192.8 257.4 169.7 243.4 154.7 229.1C151.4 227 151.1 221.1 154 218.7C156.1 215.4 162 215.1 165.3 218C177.1 229.3 197.5 241.3 223.1 246.1L223.1 246.1zM239.1 240V320H272V240C272 231.2 264.8 224 255.1 224C247.2 224 239.1 231.2 239.1 240zM264 368C272.8 368 280 375.2 280 384V392C280 400.8 287.2 408 296 408C304.8 408 312 400.8 312 392V384C312 357.5 290.5 336 264 336H231.1C205.5 336 183.1 357.5 183.1 384V448C183.1 474.5 205.5 496 231.1 496H289.5C308.5 496 326.5 487.6 338.7 472.1L364.3 442.2C369.9 435.5 369 425.4 362.2 419.7C355.5 414.1 345.4 414.1 339.7 421.8L314.1 452.5C308.8 458.9 301.2 462.9 292.1 463.8L215.1 407.9V384C215.1 375.2 223.2 368 231.1 368L264 368z"],
    "face-sleeping": [512, 512, [], "e38d", "M256 496C388.5 496 496 388.5 496 256C496 220.6 488.3 186.9 474.6 156.7C472.7 152.7 474.5 147.9 478.5 146.1C482.5 144.3 487.3 146 489.1 150.1C503.8 182.4 512 218.2 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C293.8 0 329.6 8.183 361.9 22.88C365.1 24.71 367.7 29.45 365.9 33.48C364.1 37.5 359.3 39.27 355.3 37.44C325.1 23.67 291.4 16 256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496zM304 384C304 410.5 282.5 432 256 432C229.5 432 208 410.5 208 384C208 357.5 229.5 336 256 336C282.5 336 304 357.5 304 384zM256 352C238.3 352 224 366.3 224 384C224 401.7 238.3 416 256 416C273.7 416 288 401.7 288 384C288 366.3 273.7 352 256 352zM424 16C419.6 16 416 12.42 416 8C416 3.582 419.6 0 424 0H504C507.2 0 510.2 1.949 511.4 4.939C512.6 7.928 511.9 11.37 509.7 13.66L443.3 80H504C508.4 80 512 83.58 512 88C512 92.42 508.4 96 504 96H424C420.8 96 417.8 94.05 416.6 91.06C415.4 88.07 416.1 84.63 418.3 82.34L484.7 16H424zM296 96H376C379.2 96 382.2 97.95 383.4 100.9C384.6 103.9 383.9 107.4 381.7 109.7L315.3 176H376C380.4 176 384 179.6 384 184C384 188.4 380.4 192 376 192H296C292.8 192 289.8 190.1 288.6 187.1C287.4 184.1 288.1 180.6 290.3 178.3L356.7 112H296C291.6 112 288 108.4 288 104C288 99.58 291.6 96 296 96V96zM392.7 244.1C394.8 240.2 399.7 238.9 403.5 241C407.4 243.2 408.8 248.1 406.6 251.9C393.5 275.3 373 287.1 351.6 287.1C330.2 287.1 309.8 275.3 296.7 251.9C294.5 248.1 295.9 243.2 299.7 241C303.6 238.9 308.4 240.2 310.6 244.1C321.5 263.4 337 272 351.6 272C366.2 272 381.8 263.4 392.7 244.1H392.7zM118.6 244.1C129.5 263.4 145 272 159.6 272C174.2 272 189.8 263.4 200.7 244.1C202.8 240.2 207.7 238.9 211.6 241C215.4 243.2 216.8 248.1 214.6 251.9C201.5 275.3 181 287.1 159.6 287.1C138.2 287.1 117.8 275.3 104.7 251.9C102.5 248.1 103.9 243.2 107.7 241C111.6 238.9 116.4 240.2 118.6 244.1H118.6z"],
    "face-sleepy": [512, 512, [], "e38e", "M256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C292.9 496 327.9 487.7 359.1 472.8C363.1 470.9 367.9 472.6 369.8 476.6C371.7 480.5 369.1 485.3 366 487.2C332.7 503.1 295.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 284.9 507.2 312.7 498.4 338.6C496.1 342.8 492.4 344.1 488.2 343.6C484.1 342.1 481.8 337.6 483.2 333.4C491.5 309.1 496 283.1 496 256C496 123.5 388.5 16 256 16zM336.4 418.1C329.9 424 320.4 425.5 311.7 422.3C294.6 415.9 275.8 412.3 255.1 412.3C236.2 412.3 217.4 415.9 200.3 422.2C191.6 425.5 182.1 423.1 175.7 418.9C172.4 416.4 169.7 412.8 168.6 408.3C167.5 403.7 168.2 398.9 170.6 394.4C186.6 364.4 218.9 343.1 256 343.1C293.2 343.1 325.5 364.4 341.5 394.5C343.9 398.9 344.6 403.7 343.5 408.3C342.4 412.8 339.7 416.4 336.4 418.1L336.4 418.1zM327.9 404.5C328 404.2 328.1 403.4 327.4 401.1C314.1 377.1 287.2 359.1 256 359.1C224.8 359.1 197.9 377.1 184.7 401.9C183.9 403.3 184 404.1 184.1 404.5C184.2 404.9 184.6 405.6 185.5 406.3C187.4 407.8 190.1 408.7 194.7 407.3C213.6 400.2 234.3 396.3 255.1 396.3C277.7 396.3 298.5 400.2 317.3 407.3C321.1 408.7 324.7 407.8 326.6 406.3C327.5 405.6 327.8 404.1 327.9 404.5V404.5zM310.6 252.1C321.5 271.4 337 280 351.6 280C366.2 280 381.8 271.4 392.7 252.1C394.8 248.2 399.7 246.9 403.6 249C407.4 251.2 408.8 256.1 406.6 259.9C393.5 283.3 373 295.1 351.6 295.1C330.2 295.1 309.8 283.3 296.7 259.9C294.5 256.1 295.9 251.2 299.7 249C303.6 246.9 308.4 248.2 310.6 252.1H310.6zM200.7 252.1C202.8 248.2 207.7 246.9 211.6 249C215.4 251.2 216.8 256.1 214.6 259.9C201.5 283.3 181 295.1 159.6 295.1C138.2 295.1 117.8 283.3 104.7 259.9C102.5 256.1 103.9 251.2 107.7 249C111.6 246.9 116.4 248.2 118.6 252.1C129.5 271.4 145 280 159.6 280C174.2 280 189.8 271.4 200.7 252.1H200.7zM446.3 355.3C481.2 377.9 512 411.1 512 456C512 486.9 486.9 512 456 512C425.1 512 400 486.9 400 456C400 439.9 399.1 415.5 392.4 392.1C384.9 368.9 370.3 347.1 341 335.4C337.5 334 335.4 330.3 336.1 326.5C336.9 322.7 340.2 320 344 320C369.9 320 411.4 332.7 446.3 355.3zM416 455.7V456C416 478.1 433.9 496 456 496C478.1 496 496 478.1 496 456C496 420 470.8 390.1 437.7 368.7C419.2 356.8 399.1 347.1 381 342.5C394.2 355.6 402.5 371.3 407.6 387.1C416 413.1 416 439.8 416 455.7V455.7z"],
    "face-smile": [512, 512, [128578, "smile"], "f118", "M256 384C305.4 384 340.6 353.2 361.4 323.4C363.1 319.8 368.1 318.9 372.6 321.4C376.2 323.1 377.1 328.1 374.6 332.6C352.1 364.6 312.7 400 255.1 400C199.3 400 159.9 364.6 137.4 332.6C134.9 328.1 135.8 323.1 139.4 321.4C143 318.9 148 319.8 150.6 323.4C171.4 353.2 206.6 384 255.1 384H256zM192.4 208C192.4 216.8 185.2 224 176.4 224C167.5 224 160.4 216.8 160.4 208C160.4 199.2 167.5 192 176.4 192C185.2 192 192.4 199.2 192.4 208zM320.4 208C320.4 199.2 327.5 192 336.4 192C345.2 192 352.4 199.2 352.4 208C352.4 216.8 345.2 224 336.4 224C327.5 224 320.4 216.8 320.4 208zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "face-smile-beam": [512, 512, [128522, "smile-beam"], "f5b8", "M256 384C305.4 384 340.6 353.2 361.4 323.4C363.1 319.8 368.1 318.9 372.6 321.4C376.2 323.1 377.1 328.1 374.6 332.6C352.1 364.6 312.7 400 255.1 400C199.3 400 159.9 364.6 137.4 332.6C134.9 328.1 135.8 323.1 139.4 321.4C143 318.9 148 319.8 150.6 323.4C171.4 353.2 206.6 384 255.1 384H256zM150.9 185.7C143.5 197.1 138.2 212 135.7 225.5C134.9 229.8 130.7 232.7 126.3 231.9C121.1 231 119.1 226.9 119.1 222.5C122.8 207.5 128.7 190.5 137.5 176.1C146.2 163.7 158.1 152 175.8 152C192.7 152 205.4 163.7 214.1 176.1C222.1 190.5 228.9 207.5 231.7 222.5C232.5 226.9 229.6 231 225.3 231.9C220.9 232.7 216.8 229.8 215.1 225.5C213.4 212 208.1 197.1 200.7 185.7C193.1 174.1 184.6 168 175.8 168C167.1 168 158.5 174.1 150.9 185.7V185.7zM286.3 231.9C281.1 231 279.1 226.9 279.1 222.5C282.8 207.5 288.7 190.5 297.5 176.1C306.2 163.7 318.1 152 335.8 152C352.6 152 365.4 163.7 374.1 176.1C382.1 190.5 388.9 207.5 391.7 222.5C392.5 226.9 389.6 231 385.3 231.9C380.9 232.7 376.8 229.8 375.1 225.5C373.4 212 368.1 197.1 360.7 185.7C353.1 174.1 344.6 168 335.8 168C327 168 318.5 174.1 310.9 185.7C303.5 197.1 298.2 212 295.7 225.5C294.9 229.8 290.7 232.7 286.3 231.9V231.9zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "face-smile-halo": [512, 512, [], "e38f", "M512 80C512 124.2 397.4 160 256 160C114.6 160 0 124.2 0 80C0 35.82 114.6 0 256 0C397.4 0 512 35.82 512 80zM482.4 61.73C471.4 53.63 454.5 45.67 432.2 38.7C387.8 24.83 325.5 16 255.1 16C186.5 16 124.1 24.83 79.75 38.7C57.46 45.67 40.58 53.63 29.62 61.73C18.36 70.06 15.1 76.41 15.1 80C15.1 83.59 18.36 89.94 29.62 98.27C40.58 106.4 57.46 114.3 79.75 121.3C124.1 135.2 186.5 144 255.1 144C325.5 144 387.8 135.2 432.2 121.3C454.5 114.3 471.4 106.4 482.4 98.27C493.6 89.94 496 83.59 496 80C496 76.41 493.6 70.06 482.4 61.73V61.73zM60.66 162.3C42.41 194.7 32 232.1 32 271.1C32 395.7 132.3 496 256 496C379.7 496 480 395.7 480 271.1C480 232.1 469.6 194.7 451.3 162.3C456.6 160.4 461.6 158.5 466.4 156.5C485.3 190.7 496 230.1 496 271.1C496 404.5 388.5 512 256 512C123.5 512 16 404.5 16 271.1C16 230.1 26.73 190.7 45.58 156.5C50.42 158.5 55.45 160.4 60.66 162.3H60.66zM150.9 241.7C143.5 253.1 138.2 268 135.7 281.5C134.9 285.8 130.7 288.7 126.3 287.9C121.1 287 119.1 282.9 119.1 278.5C122.8 263.5 128.7 246.5 137.5 232.1C146.2 219.7 158.1 208 175.8 208C192.6 208 205.4 219.7 214.1 232.1C222.1 246.5 228.9 263.5 231.7 278.5C232.5 282.9 229.6 287 225.3 287.9C220.9 288.7 216.8 285.8 215.1 281.5C213.4 268 208.1 253.1 200.7 241.7C193.1 230.1 184.6 224 175.8 224C167 224 158.5 230.1 150.9 241.7V241.7zM139.4 337.4C143 334.9 148 335.8 150.6 339.4C171.4 369.2 206.6 400 255.1 400C305.4 400 340.6 369.2 361.4 339.4C363.1 335.8 368.1 334.9 372.6 337.4C376.2 339.1 377.1 344.1 374.6 348.6C352.1 380.6 312.7 416 255.1 416C199.3 416 159.9 380.6 137.4 348.6C134.9 344.1 135.8 339.1 139.4 337.4H139.4zM286.3 287.9C281.1 287 279.1 282.9 279.1 278.5C282.8 263.5 288.7 246.5 297.5 232.1C306.2 219.7 318.1 208 335.8 208C352.6 208 365.4 219.7 374.1 232.1C382.1 246.5 388.9 263.5 391.7 278.5C392.5 282.9 389.6 287 385.3 287.9C380.9 288.7 376.8 285.8 375.1 281.5C373.4 268 368.1 253.1 360.7 241.7C353.1 230.1 344.6 224 335.8 224C327 224 318.5 230.1 310.9 241.7C303.5 253.1 298.2 268 295.7 281.5C294.9 285.8 290.7 288.7 286.3 287.9V287.9z"],
    "face-smile-hearts": [640, 512, [], "e390", "M552 21.92L560 13.86C578.3-4.544 608-4.544 626.3 13.86C644.6 32.24 644.6 62.01 626.3 80.39L570.9 136.2C560.5 146.6 543.6 146.6 533.2 136.2L477.7 80.33C459.4 61.95 459.4 32.18 477.7 13.8C495.1-4.601 525.7-4.601 543.1 13.8L552 21.92zM489 69.05L544.5 124.9C548.7 129 555.4 129 559.5 124.9L614.1 69.11C627 56.97 627 37.28 614.1 25.14C602.9 13.03 583.4 13.03 571.4 25.14L552 44.62L532.6 25.08C520.6 12.97 501.1 12.97 489 25.08C476.1 37.22 476.1 56.91 489 69.05L489 69.05zM432.1 43.72C398.6 26.02 360.5 16 320 16C187.5 16 80 123.5 80 256C80 276.4 82.56 296.3 87.36 315.2C81.58 311.7 75.45 309.1 69.12 307.2C65.76 290.7 64 273.5 64 256C64 114.6 178.6 .0004 320 .0004C361.2 .0004 400.1 9.726 434.6 27C433.1 32.49 432.3 38.09 432.1 43.72H432.1zM546.2 175.7C551.8 176.3 557.4 176 562.9 174.1C571.4 200.4 576 227.7 576 256C576 286.5 570.7 315.8 560.8 342.1C557.8 344.3 554.9 345.9 552 347.6C549.3 345.1 546.5 344.5 543.7 343.2C554.2 316.1 560 286.8 560 256C560 227.8 555.2 200.8 546.2 175.7V175.7zM455 470.9L456.6 472.5C417.1 497.5 370.2 512 320 512C261.6 512 207.7 492.4 164.6 459.5L175.1 448C216.1 478.1 265.1 496 320 496C366.3 496 409.5 482.9 446.1 460.2C448.7 463.1 451.7 467.5 455 470.9V470.9zM203.4 321.4C207 318.9 212 319.8 214.6 323.4C235.4 353.2 270.6 384 320 384C369.4 384 404.6 353.2 425.4 323.4C427.1 319.8 432.1 318.9 436.6 321.4C440.2 323.1 441.1 328.1 438.6 332.6C416.1 364.6 376.7 400 319.1 400C263.3 400 223.9 364.6 201.4 332.6C198.9 328.1 199.8 323.1 203.4 321.4H203.4zM187.7 230.1C183.9 228.8 182.5 223.9 184.7 220.1C197.8 196.7 218.2 184 239.6 184C261 184 281.5 196.7 294.6 220.1C296.8 223.9 295.4 228.8 291.6 230.1C287.7 233.1 282.8 231.8 280.7 227.9C269.8 208.6 254.2 200 239.6 200C225 200 209.5 208.6 198.6 227.9C196.4 231.8 191.6 233.1 187.7 230.1H187.7zM399.6 200C385 200 369.5 208.6 358.6 227.9C356.4 231.8 351.6 233.1 347.7 230.1C343.9 228.8 342.5 223.9 344.7 220.1C357.8 196.7 378.2 184 399.6 184C421 184 441.5 196.7 454.6 220.1C456.8 223.9 455.4 228.8 451.5 230.1C447.7 233.1 442.8 231.8 440.7 227.9C429.8 208.6 414.2 200 399.6 200H399.6zM477.7 381.8C495.1 363.4 525.7 363.4 543.1 381.8L552 389.9L560 381.9C578.3 363.5 608 363.5 626.3 381.9C644.6 400.2 644.6 430 626.3 448.4L570.9 504.2C560.5 514.6 543.6 514.6 533.2 504.2L477.7 448.3C459.4 429.1 459.4 400.2 477.7 381.8H477.7zM532.6 393.1C520.6 380.1 501.1 380.1 489 393.1C476.1 405.2 476.1 424.9 489 437L544.5 492.9C548.7 497 555.4 497 559.5 492.9L614.1 437.1C627 424.1 627 405.3 614.1 393.1C602.9 381 583.4 381 571.4 393.1L552 412.6L532.6 393.1zM88.03 357.9L96.04 349.9C114.3 331.5 144 331.5 162.3 349.9C180.6 368.2 180.6 398 162.3 416.4L106.9 472.2C96.47 482.6 79.59 482.6 69.18 472.2L13.7 416.3C-4.566 397.1-4.566 368.2 13.7 349.8C31.99 331.4 61.67 331.4 79.96 349.8L88.03 357.9zM25.05 405L80.53 460.9C84.68 465 91.38 465 95.53 460.9L150.1 405.1C163 392.1 163 373.3 150.1 361.1C138.9 349 119.4 349 107.4 361.1L88.03 380.6L68.61 361.1C56.58 348.1 37.08 348.1 25.05 361.1C12.99 373.2 12.99 392.9 25.05 405.1L25.05 405z"],
    "face-smile-horns": [640, 512, [], "e391", "M203.4 353.4C207 350.9 212 351.8 214.6 355.4C235.4 385.2 270.6 416 319.1 416C369.4 416 404.6 385.2 425.4 355.4C427.1 351.8 432.1 350.9 436.6 353.4C440.2 355.1 441.1 360.1 438.6 364.6C416.1 396.6 376.7 432 319.1 432C263.3 432 223.9 396.6 201.4 364.6C198.9 360.1 199.8 355.1 203.4 353.4H203.4zM224.4 272C224.4 263.2 231.5 256 240.4 256C249.2 256 256.4 263.2 256.4 272C256.4 280.8 249.2 288 240.4 288C231.5 288 224.4 280.8 224.4 272V272zM416.4 272C416.4 280.8 409.2 288 400.4 288C391.5 288 384.4 280.8 384.4 272C384.4 263.2 391.5 256 400.4 256C409.2 256 416.4 263.2 416.4 272zM290.5 232.4C294.7 233.8 296.1 238.3 295.6 242.5C294.2 246.7 289.7 248.1 285.5 247.6L189.5 215.6C185.3 214.2 183 209.7 184.4 205.5C185.8 201.3 190.3 199 194.5 200.4L290.5 232.4zM354.5 247.6C350.3 248.1 345.8 246.7 344.4 242.5C343 238.3 345.3 233.8 349.5 232.4L445.5 200.4C449.7 199 454.2 201.3 455.6 205.5C456.1 209.7 454.7 214.2 450.5 215.6L354.5 247.6zM64 256C64 228.1 68.47 201.2 76.72 176.1C23.64 111.7 6.016 38.87 .1552 9.569C-.4793 6.396 .8599 3.153 3.549 1.353C6.237-.4474 9.745-.4512 12.44 1.344C32.75 14.88 62.92 26.47 92.96 35.45C120.2 43.6 146.8 49.44 164.5 52.61C207.6 19.61 261.5 0 319.1 0C378.5 0 432.4 19.61 475.5 52.61C493.2 49.44 519.8 43.61 547 35.45C577.1 26.47 607.3 14.88 627.6 1.344C630.3-.4512 633.8-.4474 636.5 1.353C639.1 3.153 640.5 6.396 639.8 9.569C633.1 38.87 616.4 111.7 563.3 176.1C571.5 201.2 576 228.1 576 256C576 397.4 461.4 512 319.1 512C178.6 512 63.1 397.4 63.1 256H64zM320 496C452.5 496 560 388.5 560 256C560 123.5 452.5 16 320 16C187.5 16 80 123.5 80 256C80 388.5 187.5 496 320 496zM620.2 24.2C599.9 34.81 575.3 43.71 551.6 50.78C529.8 57.3 508.4 62.38 491.4 65.85C519.6 91.28 542.1 122.9 556.8 158.6C594.7 109.6 612.2 56.62 620.2 24.2V24.2zM19.82 24.2C27.84 56.62 45.29 109.6 83.2 158.6C97.89 122.9 120.4 91.28 148.6 65.85C131.6 62.38 110.2 57.3 88.37 50.78C64.74 43.71 40.11 34.81 19.82 24.2V24.2z"],
    "face-smile-plus": [640, 512, ["smile-plus"], "f5b9", "M552 88H632C636.4 88 640 91.58 640 96C640 100.4 636.4 104 632 104H552V184C552 188.4 548.4 192 544 192C539.6 192 536 188.4 536 184V104H456C451.6 104 448 100.4 448 96C448 91.58 451.6 88 456 88H536V8C536 3.582 539.6 0 544 0C548.4 0 552 3.582 552 8V88zM128.4 240C128.4 231.2 135.5 224 144.4 224C153.2 224 160.4 231.2 160.4 240C160.4 248.8 153.2 256 144.4 256C135.5 256 128.4 248.8 128.4 240zM320.4 240C320.4 248.8 313.2 256 304.4 256C295.5 256 288.4 248.8 288.4 240C288.4 231.2 295.5 224 304.4 224C313.2 224 320.4 231.2 320.4 240zM153.3 388C170.9 403.7 194.4 416 224 416C253.6 416 277.1 403.7 294.7 388C312.3 372.3 323.7 353.3 328.6 341C330.2 336.9 334.9 334.9 338.1 336.6C343.1 338.2 345.1 342.9 343.4 346.1C337.7 361.3 324.1 382.4 305.3 399.1C285.6 417.6 258.4 432 224 432C189.6 432 162.4 417.6 142.7 399.1C123 382.4 110.3 361.3 104.6 346.1C102.9 342.9 104.9 338.2 109 336.6C113.1 334.9 117.8 336.9 119.4 341C124.3 353.3 135.7 372.3 153.3 388H153.3zM448 288C448 411.7 347.7 512 224 512C100.3 512 0 411.7 0 288C0 164.3 100.3 64 224 64C347.7 64 448 164.3 448 288zM224 80C109.1 80 16 173.1 16 288C16 402.9 109.1 496 224 496C338.9 496 432 402.9 432 288C432 173.1 338.9 80 224 80z"],
    "face-smile-relaxed": [512, 512, [], "e392", "M256 384C305.4 384 340.6 353.2 361.4 323.4C363.1 319.8 368.1 318.9 372.6 321.4C376.2 323.1 377.1 328.1 374.6 332.6C352.1 364.6 312.7 400 255.1 400C199.3 400 159.9 364.6 137.4 332.6C134.9 328.1 135.8 323.1 139.4 321.4C143 318.9 148 319.8 150.6 323.4C171.4 353.2 206.6 384 255.1 384H256zM175.6 200C161 200 145.5 208.6 134.6 227.9C132.4 231.8 127.6 233.1 123.7 230.1C119.9 228.8 118.5 223.9 120.7 220.1C133.8 196.7 154.2 184 175.6 184C197 184 217.5 196.7 230.6 220.1C232.8 223.9 231.4 228.8 227.5 230.1C223.7 233.1 218.8 231.8 216.7 227.9C205.8 208.6 190.2 200 175.6 200H175.6zM283.7 230.1C279.9 228.8 278.5 223.9 280.7 220.1C293.8 196.7 314.2 184 335.6 184C357 184 377.5 196.7 390.6 220.1C392.8 223.9 391.4 228.8 387.5 230.1C383.7 233.1 378.8 231.8 376.7 227.9C365.8 208.6 350.2 199.1 335.6 199.1C321 199.1 305.5 208.6 294.6 227.9C292.4 231.8 287.6 233.1 283.7 230.1H283.7zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "face-smile-tear": [512, 512, [], "e393", "M329.6 291.3C332.8 286.9 339.2 286.9 342.4 291.3C343.7 293 345.2 294.1 346.8 297C360.9 315.5 384 345.6 384 369C384 395 362.5 416 336 416C309.5 416 288 395 288 369C288 345.4 311.5 314.8 325.7 296.4C327.1 294.5 328.4 292.8 329.6 291.3zM304 369C304 385.8 318 400 336 400C353.1 400 368 385.8 368 369C368 360.9 363.1 349.2 354.5 335.4C348.6 325.9 341.9 316.9 335.1 309.3C330.1 316.9 323.4 325.9 317.4 335.4C308.8 349.1 304 360.9 304 369H304zM192.4 208C192.4 216.8 185.2 224 176.4 224C167.5 224 160.4 216.8 160.4 208C160.4 199.2 167.5 192 176.4 192C185.2 192 192.4 199.2 192.4 208zM320.4 208C320.4 199.2 327.5 192 336.4 192C345.2 192 352.4 199.2 352.4 208C352.4 216.8 345.2 224 336.4 224C327.5 224 320.4 216.8 320.4 208zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16zM139.4 321.4C143 318.9 148 319.8 150.6 323.4C171.4 353.2 206.6 384 255.1 384C260.4 384 264 387.6 264 392C264 396.4 260.4 400 255.1 400C199.3 400 159.9 364.6 137.4 332.6C134.9 328.1 135.8 323.1 139.4 321.4H139.4z"],
    "face-smile-tongue": [512, 512, [], "e394", "M256 496C301.3 496 343.7 483.4 379.9 461.6C383.6 459.3 388.6 460.5 390.8 464.3C393.1 468.1 391.9 473 388.1 475.3C349.6 498.6 304.3 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 267.2 511.3 278.2 509.9 289C509.3 293.4 505.3 296.5 500.9 295.9C496.6 295.4 493.5 291.4 494 286.1C495.3 276.8 496 266.5 496 256C496 123.5 388.5 16 256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496H256zM150.9 185.7C143.5 197.1 138.2 212 135.7 225.5C134.9 229.8 130.7 232.7 126.3 231.9C121.1 231 119.1 226.9 119.1 222.5C122.8 207.5 128.7 190.5 137.5 176.1C146.2 163.7 158.1 152 175.8 152C192.7 152 205.4 163.7 214.1 176.1C222.1 190.5 228.9 207.5 231.7 222.5C232.5 226.9 229.6 231 225.3 231.9C220.9 232.7 216.8 229.8 215.1 225.5C213.4 212 208.1 197.1 200.7 185.7C193.1 174.1 184.6 168 175.8 168C167.1 168 158.5 174.1 150.9 185.7V185.7zM310.9 185.7C303.5 197.1 298.2 212 295.7 225.5C294.9 229.8 290.7 232.7 286.3 231.9C281.1 231 279.1 226.9 279.1 222.5C282.8 207.5 288.7 190.5 297.5 176.1C306.2 163.7 318.1 152 335.8 152C352.6 152 365.4 163.7 374.1 176.1C382.1 190.5 388.9 207.5 391.7 222.5C392.5 226.9 389.6 231 385.3 231.9C380.9 232.7 376.8 229.8 375.1 225.5C373.4 212 368.1 197.1 360.7 185.7C353.1 174.1 344.6 168 335.8 168C327 168 318.5 174.1 310.9 185.7V185.7zM256 408C328.1 408 389.4 356.7 408.3 285.9C409.4 281.7 413.8 279.1 418.1 280.3C418.8 280.5 419.6 280.8 420.2 281.2L470.5 310.8C504.7 330.1 515.8 375.2 496.1 409.4C476.3 443.7 432.1 454.1 398.3 434.4L341.9 400.2C316.6 415.3 287.3 424 256 424C175.9 424 108.8 367.1 88.27 290.1C87.13 285.8 89.67 281.4 93.94 280.3C98.2 279.1 102.6 281.7 103.7 285.9C122.6 356.7 183.9 408 256 408V408zM482.2 401.4C497.6 374.7 488.8 340.2 462.4 324.6L420.8 300.1C408.8 336.8 386 368.3 356.5 390.3L406.6 420.7C432.8 436.6 466.9 427.9 482.2 401.4V401.4z"],
    "face-smile-upside-down": [512, 512, [], "e395", "M150.6 188.6C148 192.2 143 193.1 139.4 190.6C135.8 188 134.9 183 137.4 179.4C159.9 147.4 199.3 112 256 112C312.7 112 352.1 147.4 374.6 179.4C377.1 183 376.2 188 372.6 190.6C368.1 193.1 363.1 192.2 361.4 188.6C340.6 158.8 305.4 128 256 128C206.6 128 171.4 158.8 150.6 188.6H150.6zM176.4 320C167.5 320 160.4 312.8 160.4 304C160.4 295.2 167.5 288 176.4 288C185.2 288 192.4 295.2 192.4 304C192.4 312.8 185.2 320 176.4 320zM336.4 288C345.2 288 352.4 295.2 352.4 304C352.4 312.8 345.2 320 336.4 320C327.5 320 320.4 312.8 320.4 304C320.4 295.2 327.5 288 336.4 288zM256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM496 256C496 123.5 388.5 16 256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256z"],
    "face-smile-wink": [512, 512, [128521, "smile-wink"], "f4da", "M256 384C305.4 384 340.6 353.2 361.4 323.4C363.1 319.8 368.1 318.9 372.6 321.4C376.2 323.1 377.1 328.1 374.6 332.6C352.1 364.6 312.7 400 255.1 400C199.3 400 159.9 364.6 137.4 332.6C134.9 328.1 135.8 323.1 139.4 321.4C143 318.9 148 319.8 150.6 323.4C171.4 353.2 206.6 384 255.1 384H256zM192.4 208C192.4 216.8 185.2 224 176.4 224C167.5 224 160.4 216.8 160.4 208C160.4 199.2 167.5 192 176.4 192C185.2 192 192.4 199.2 192.4 208zM283.7 230.1C279.9 228.8 278.5 223.9 280.7 220.1C293.8 196.7 314.2 184 335.6 184C357 184 377.5 196.7 390.6 220.1C392.8 223.9 391.4 228.8 387.6 230.1C383.7 233.1 378.8 231.8 376.7 227.9C365.8 208.6 350.2 199.1 335.6 199.1C321 199.1 305.5 208.6 294.6 227.9C292.4 231.8 287.6 233.1 283.7 230.1H283.7zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "face-smiling-hands": [640, 512, [], "e396", "M319.1 16C203.4 16 106.1 99.23 84.49 209.5C83.64 213.9 79.44 216.7 75.1 215.9C70.77 215 67.94 210.8 68.79 206.5C91.87 88.78 195.6 0 320 0C444.4 0 548.1 88.78 571.2 206.5C572.1 210.8 569.2 215 564.9 215.9C560.6 216.7 556.4 213.9 555.5 209.5C533.9 99.23 436.6 16 320 16H319.1zM249.5 493.1C250.7 489.7 255 487.1 259.3 488.3C278.7 493.3 299 496 319.1 496C340.1 496 361.3 493.3 380.7 488.3C384.1 487.1 389.3 489.7 390.5 493.1C391.6 498.3 389 502.6 384.7 503.7C364.1 509.1 342.4 512 319.1 512C297.6 512 275.9 509.1 255.3 503.7C250.1 502.6 248.4 498.3 249.5 493.1H249.5zM320 384C344.1 384 366.3 376.1 384 364.5V314.4C384 294.5 400.1 278.4 420 278.4C439.9 278.4 456 294.5 456 314.4V314.7L521.4 249.4C533.9 236.9 554.1 236.9 566.6 249.4C570.1 252.9 572.7 257 574.2 261.4C586.6 253.1 603.6 254.4 614.6 265.4C625.6 276.4 626.9 293.4 618.6 305.8C622.1 307.3 627.1 309.9 630.6 313.4C643.1 325.9 643.1 346.1 630.6 358.6L619.2 370C623.4 371.6 627.3 374 630.6 377.4C643.1 389.9 643.1 410.1 630.6 422.6L573.8 479.4C552.1 500.3 524.7 512 495.2 512C433.8 512 384 462.2 384 400.8V383.2C365.9 393.4 344.6 400 320 400C295.4 400 274.1 393.4 256 383.2V400.8C256 462.2 206.2 512 144.8 512C115.3 512 87.03 500.3 66.18 479.4L9.372 422.6C-3.124 410.1-3.124 389.9 9.372 377.4C12.72 374 16.61 371.6 20.77 370L9.372 358.6C-3.124 346.1-3.124 325.9 9.372 313.4C12.88 309.9 17.01 307.3 21.4 305.8C13.06 293.4 14.38 276.4 25.37 265.4C36.36 254.4 53.36 253.1 65.8 261.4C67.34 257 69.86 252.9 73.37 249.4C85.87 236.9 106.1 236.9 118.6 249.4L183.1 314.7V314.4C183.1 294.5 200.1 278.4 219.1 278.4C239.9 278.4 255.1 294.5 255.1 314.4V364.5C273.7 376.1 295 384 319.1 384H320zM59.31 276.7C53.07 270.4 42.93 270.4 36.69 276.7C30.44 282.9 30.44 293.1 36.69 299.3L103.1 366.6C106.6 369.2 106.6 373.4 103.1 376C101.4 378.6 97.22 378.6 94.63 376L43.31 324.7C40.96 322.3 38.07 320.9 35.03 320.3C29.1 319.3 24.59 320.8 20.69 324.7C14.44 330.9 14.44 341.1 20.69 347.3L71.1 398.6C74.59 401.2 74.59 405.4 71.1 408C69.41 410.6 65.22 410.6 62.63 408L43.31 388.7C40.96 386.3 38.07 384.9 35.03 384.3C29.1 383.3 24.59 384.8 20.69 388.7C14.44 394.9 14.44 405.1 20.69 411.3L77.49 468.1C95.34 485.1 119.6 496 144.8 496C197.4 496 239.1 453.4 239.1 400.8V314.4C239.1 303.4 231 294.4 219.1 294.4C208.1 294.4 199.1 303.4 199.1 314.4V334.1C199.1 341.2 191.4 344.8 186.3 339.7L107.3 260.7C101.1 254.4 90.93 254.4 84.69 260.7C80.79 264.6 79.32 269.1 80.29 275C80.87 278.1 82.34 280.1 84.69 283.3L135.1 334.6C138.6 337.2 138.6 341.4 135.1 344C133.4 346.6 129.2 346.6 126.6 344L59.31 276.7zM513.4 344C510.8 346.6 506.6 346.6 504 344C501.4 341.4 501.4 337.2 504 334.6L555.3 283.3C557.7 280.1 559.1 278.1 559.7 275C560.7 269.1 559.2 264.6 555.3 260.7C549.1 254.4 538.9 254.4 532.7 260.7L453.7 339.7C448.6 344.8 440 341.2 440 334.1V314.4C440 303.4 431 294.4 420 294.4C408.1 294.4 400 303.4 400 314.4V400.8C400 453.4 442.6 496 495.2 496C520.4 496 544.7 485.1 562.5 468.1L619.3 411.3C625.6 405.1 625.6 394.9 619.3 388.7C615.4 384.8 610 383.3 604.1 384.3C601.9 384.9 599 386.3 596.7 388.7L577.4 408C574.8 410.6 570.6 410.6 568 408C565.4 405.4 565.4 401.2 568 398.6L619.3 347.3C625.6 341.1 625.6 330.9 619.3 324.7C615.4 320.8 610 319.3 604.1 320.3C601.9 320.9 599 322.3 596.7 324.7L545.4 376C542.8 378.6 538.6 378.6 536 376C533.4 373.4 533.4 369.2 536 366.6L603.3 299.3C609.6 293.1 609.6 282.9 603.3 276.7C597.1 270.4 586.9 270.4 580.7 276.7L513.4 344zM190.3 231.9C185.1 231 183.1 226.9 183.1 222.5C186.8 207.5 192.7 190.5 201.5 176.1C210.2 163.7 222.1 152 239.8 152C256.6 152 269.4 163.7 278.1 176.1C286.1 190.5 292.9 207.5 295.7 222.5C296.5 226.9 293.6 231 289.3 231.9C284.9 232.7 280.8 229.8 279.1 225.5C277.4 212 272.1 197.1 264.7 185.7C257.1 174.1 248.6 168 239.8 168C231 168 222.5 174.1 214.9 185.7C207.5 197.1 202.2 212 199.7 225.5C198.9 229.8 194.7 232.7 190.3 231.9V231.9zM374.9 185.7C367.5 197.1 362.2 212 359.7 225.5C358.9 229.8 354.7 232.7 350.3 231.9C345.1 231 343.1 226.9 343.1 222.5C346.8 207.5 352.7 190.5 361.5 176.1C370.2 163.7 382.1 152 399.8 152C416.6 152 429.4 163.7 438.1 176.1C446.1 190.5 452.9 207.5 455.7 222.5C456.5 226.9 453.6 231 449.3 231.9C444.9 232.7 440.8 229.8 439.1 225.5C437.4 212 432.1 197.1 424.7 185.7C417.1 174.1 408.6 168 399.8 168C391 168 382.5 174.1 374.9 185.7V185.7z"],
    "face-smirking": [512, 512, [], "e397", "M383.7 346.5C378.5 377.4 351.8 400 320.6 400H200C195.6 400 192 396.4 192 392C192 387.6 195.6 384 200 384H320.6C344 384 364.1 367 367.9 343.9L368.1 342.7C368.8 338.3 372.1 335.4 377.3 336.1C381.7 336.8 384.6 340.1 383.9 345.3L383.7 346.5zM176 192C193.7 192 208 206.3 208 224C208 241.7 193.7 256 176 256C158.3 256 144 241.7 144 224C144 218.2 145.6 212.7 148.3 208H104C99.58 208 96 204.4 96 200C96 195.6 99.58 192 104 192H176zM176 208C167.2 208 160 215.2 160 224C160 232.8 167.2 240 176 240C184.8 240 192 232.8 192 224C192 215.2 184.8 208 176 208zM288 200C288 195.6 291.6 192 296 192H368C385.7 192 400 206.3 400 224C400 241.7 385.7 256 368 256C350.3 256 336 241.7 336 224C336 218.2 337.6 212.7 340.3 208H296C291.6 208 288 204.4 288 200zM368 240C376.8 240 384 232.8 384 224C384 215.2 376.8 208 368 208C359.2 208 352 215.2 352 224C352 232.8 359.2 240 368 240zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "face-spiral-eyes": [512, 512, [], "e485", "M332.1 371.6C344.1 363.7 359.4 362.7 372.2 369.1L387.6 376.8C391.5 378.8 393.1 383.6 391.2 387.6C389.2 391.5 384.4 393.1 380.4 391.2L365 383.5C357.3 379.6 348.2 380.2 340.1 384.1L326.2 394.8C312.8 403.8 295.2 403.8 281.8 394.8L269.3 386.5C261.3 381.1 250.7 381.1 242.7 386.5L230.2 394.8C216.8 403.8 199.2 403.8 185.8 394.8L171 384.1C163.8 380.2 154.7 379.6 146.1 383.5L131.6 391.2C127.6 393.1 122.8 391.5 120.8 387.6C118.9 383.6 120.5 378.8 124.4 376.8L139.8 369.1C152.7 362.7 167.9 363.7 179.9 371.6L194.7 381.5C202.7 386.9 213.3 386.9 221.3 381.5L233.8 373.2C247.2 364.2 264.8 364.2 278.2 373.2L290.7 381.5C298.7 386.9 309.3 386.9 317.3 381.5L332.1 371.6zM169.9 111.7C170.1 116.1 166.7 119.8 162.2 119.1C113.1 121.1 75.92 166.9 80.36 208.7L80.39 208.9L80.4 209.1C82.5 251.7 123.4 283.9 161 279.6L161.5 279.6C199.9 277.4 227.6 241.8 223.6 210.6L223.6 210.3L223.6 210.1C221.3 177.1 190 155.1 163 158.9L162.6 159C134.7 161.3 116.5 187.4 120.1 208.2L120.1 208.4L120.1 208.7C122.5 230.4 144.1 243.9 160.4 240.7L160.6 240.7L160.8 240.6C178.1 238.2 186.8 221.8 184 211.6L183.1 211.4L183.9 211.1C182.8 205.6 179.5 201.6 175.5 199.3C171.3 196.8 167.1 196.6 164.7 197.5L164.5 197.6L164.2 197.7C161.2 198.6 159.6 200.5 158.8 202.2C159.6 201.8 160.4 201.6 161.2 201.6C165.6 201.2 169.5 204.4 169.9 208.8C170.6 216.8 163.5 220.4 159.3 220.9C154.2 221.5 148.8 219.2 145.4 214.1C141.5 208.7 141.8 201.6 144 196.1C146.5 190.2 151.6 184.8 159.4 182.4C167.2 179.6 176.3 181.2 183.5 185.4C191 189.8 197.4 197.4 199.6 207.7C204.8 228 188.9 252.7 163.2 256.5C137.8 261.3 107.8 241.4 104.3 210.7C99.21 180.1 124.7 146.3 161 143.1C197 138.1 236.4 167.5 239.5 208.7C244.6 249.6 209.6 292.8 162.6 295.6C115.1 300.6 67.12 261.8 64.43 210.2C59.1 158.8 103.8 106.3 161.6 104C166 103.8 169.7 107.3 169.9 111.7L169.9 111.7zM431.6 207.3L431.6 207.1L431.6 206.9C429.5 164.3 388.6 132.1 350.1 136.4L350.5 136.4C312.1 138.6 284.4 174.2 288.4 205.4L288.4 205.7L288.4 205.9C290.7 238 321.1 260.9 348.1 257.1L349.4 257C377.3 254.7 395.5 228.6 391.9 207.8L391.9 207.6L391.9 207.3C389.5 185.6 367.9 172.1 351.6 175.3L351.4 175.3L351.2 175.4C333.9 177.8 325.2 194.2 327.1 204.4L328 204.6L328.1 204.9C329.2 210.4 332.5 214.4 336.5 216.7C340.7 219.2 344.9 219.4 347.3 218.5L347.5 218.4L347.8 218.3C350.8 217.4 352.4 215.5 353.1 213.8C352.4 214.2 351.6 214.4 350.8 214.4C346.4 214.8 342.5 211.6 342.1 207.2C341.4 199.2 348.5 195.6 352.7 195.1C357.8 194.5 363.2 196.8 366.6 201.9C370.5 207.3 370.2 214.4 367.1 219.9C365.5 225.8 360.4 231.2 352.6 233.6C344.8 236.4 335.7 234.8 328.5 230.6C320.1 226.2 314.6 218.6 312.5 208.3C307.2 187.1 323.1 163.3 348.8 159.5C374.2 154.7 404.2 174.6 407.7 205.3C412.8 235.9 387.3 269.7 350.1 272.9C314.1 277.9 275.6 248.5 272.5 207.3C267.4 166.4 302.4 123.2 349.4 120.4C396 115.4 444.9 154.2 447.6 205.8C452.9 257.2 408.2 309.7 350.4 311.1C345.1 312.2 342.3 308.7 342.1 304.3C341.9 299.9 345.3 296.2 349.8 296C398.9 294 436.1 249.1 431.6 207.3V207.3zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "face-sunglasses": [512, 512, [], "e398", "M139.4 337.4C143 334.9 148 335.8 150.6 339.4C171.4 369.2 206.6 400 255.1 400C305.4 400 340.6 369.2 361.4 339.4C363.1 335.8 368.1 334.9 372.6 337.4C376.2 339.1 377.1 344.1 374.6 348.6C352.1 380.6 312.7 416 255.1 416C199.3 416 159.9 380.6 137.4 348.6C134.9 344.1 135.8 339.1 139.4 337.4H139.4zM246.8 176C247.6 181.5 247.6 187.3 246.6 193.2L238.6 241.2C234.1 268.2 210.7 288 183.3 288H104.7C77.29 288 53.92 268.2 49.42 241.2L41.42 193.2C35.74 159.1 62.06 128 96.66 128H191.3C213.1 128 233 141.3 241.1 160H270C278.1 141.3 298 128 320.7 128H415.3C449.9 128 476.3 159.1 470.6 193.2L462.6 241.2C458.1 268.2 434.7 288 407.3 288H328.7C301.3 288 277.9 268.2 273.4 241.2L265.4 193.2C264.4 187.3 264.4 181.5 265.2 176H246.8zM289.2 238.6C291.8 254.3 303.4 266.6 318.1 270.6L380.7 208H336C332.8 208 329.8 206.1 328.6 203.1C327.4 200.1 328.1 196.6 330.3 194.3L380.7 144H320.7C295.9 144 277.1 166.2 281.2 190.6L289.2 238.6zM339.3 272H407.3C426.9 272 443.6 257.9 446.8 238.6L454.8 190.6C458.9 166.2 440.1 144 415.3 144H403.3L355.3 192H400C403.2 192 406.2 193.9 407.4 196.9C408.6 199.9 407.9 203.4 405.7 205.7L339.3 272zM96.66 144C71.94 144 53.14 166.2 57.21 190.6L65.21 238.6C67.82 254.3 79.36 266.6 94.1 270.6L156.7 208H111.1C108.8 208 105.8 206.1 104.6 203.1C103.4 200.1 104.1 196.6 106.3 194.3L156.7 144L96.66 144zM181.7 205.7L115.3 272H183.3C202.9 272 219.6 257.9 222.8 238.6L230.8 190.6C234.9 166.2 216.1 144 191.3 144H179.3L131.3 192H176C179.2 192 182.2 193.9 183.4 196.9C184.6 199.9 183.9 203.4 181.7 205.7H181.7zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496z"],
    "face-surprise": [512, 512, [128558, "surprise"], "f5c2", "M160.4 208C160.4 199.2 167.5 192 176.4 192C185.2 192 192.4 199.2 192.4 208C192.4 216.8 185.2 224 176.4 224C167.5 224 160.4 216.8 160.4 208zM352.4 208C352.4 216.8 345.2 224 336.4 224C327.5 224 320.4 216.8 320.4 208C320.4 199.2 327.5 192 336.4 192C345.2 192 352.4 199.2 352.4 208zM328 352C328 391.8 295.8 424 256 424C216.2 424 184 391.8 184 352C184 312.2 216.2 280 256 280C295.8 280 328 312.2 328 352zM256 408C286.9 408 312 382.9 312 352C312 321.1 286.9 296 256 296C225.1 296 200 321.1 200 352C200 382.9 225.1 408 256 408zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "face-swear": [640, 512, [], "e399", "M557.9 224C542.2 106.6 441.7 16 320 16C198.3 16 97.76 106.6 82.11 224H65.98C81.73 97.72 189.5 0 320 0C450.5 0 558.3 97.72 574 224H557.9zM256.4 176C256.4 184.8 249.2 192 240.4 192C231.5 192 224.4 184.8 224.4 176C224.4 167.2 231.5 160 240.4 160C249.2 160 256.4 167.2 256.4 176zM384.4 176C384.4 167.2 391.5 160 400.4 160C409.2 160 416.4 167.2 416.4 176C416.4 184.8 409.2 192 400.4 192C391.5 192 384.4 184.8 384.4 176zM184.4 109.5C185.8 105.3 190.3 103 194.5 104.4L290.5 136.4C294.7 137.8 296.1 142.3 295.6 146.5C294.2 150.7 289.7 152.1 285.5 151.6L189.5 119.6C185.3 118.2 183 113.7 184.4 109.5V109.5zM455.6 109.5C456.1 113.7 454.7 118.2 450.5 119.6L354.5 151.6C350.3 152.1 345.8 150.7 344.4 146.5C343 142.3 345.3 137.8 349.5 136.4L445.5 104.4C449.7 103 454.2 105.3 455.6 109.5H455.6zM384 432V456C384 460.4 380.4 464 376 464C371.6 464 368 460.4 368 456V432H304V456C304 460.4 300.4 464 296 464C291.6 464 288 460.4 288 456V432H264C259.6 432 256 428.4 256 424C256 419.6 259.6 416 264 416H288V352H264C259.6 352 256 348.4 256 344C256 339.6 259.6 336 264 336H288V312C288 307.6 291.6 304 296 304C300.4 304 304 307.6 304 312V336H368V312C368 307.6 371.6 304 376 304C380.4 304 384 307.6 384 312V336H408C412.4 336 416 339.6 416 344C416 348.4 412.4 352 408 352H384V416H408C412.4 416 416 419.6 416 424C416 428.4 412.4 432 408 432H384zM304 352V416H368V352H304zM564.4 305.3C568.1 307.8 569.1 312.8 566.7 316.4L470.7 460.4C468.2 464.1 463.2 465.1 459.6 462.7C455.9 460.2 454.9 455.2 457.3 451.6L553.3 307.6C555.8 303.9 560.8 302.9 564.4 305.3zM448 328C448 314.7 458.7 304 472 304C485.3 304 496 314.7 496 328C496 341.3 485.3 352 472 352C458.7 352 448 341.3 448 328zM472 320C467.6 320 464 323.6 464 328C464 332.4 467.6 336 472 336C476.4 336 480 332.4 480 328C480 323.6 476.4 320 472 320zM576 440C576 453.3 565.3 464 552 464C538.7 464 528 453.3 528 440C528 426.7 538.7 416 552 416C565.3 416 576 426.7 576 440zM552 448C556.4 448 560 444.4 560 440C560 435.6 556.4 432 552 432C547.6 432 544 435.6 544 440C544 444.4 547.6 448 552 448zM208 304C212.4 304 216 307.6 216 312V392C216 396.4 212.4 400 208 400C203.6 400 200 396.4 200 392V312C200 307.6 203.6 304 208 304zM184 440C184 426.7 194.7 416 208 416C221.3 416 232 426.7 232 440C232 453.3 221.3 464 208 464C194.7 464 184 453.3 184 440zM208 448C212.4 448 216 444.4 216 440C216 435.6 212.4 432 208 432C203.6 432 200 435.6 200 440C200 444.4 203.6 448 208 448zM120 320.5C128.1 321.3 137.5 322.1 143.9 324.6C148.2 325.7 150.8 330 149.8 334.3C148.7 338.6 144.4 341.2 140.1 340.1C129.6 337.5 114.6 335 101.9 336.4C95.64 337 90.56 338.6 86.96 340.1C83.62 343.2 81.27 346.3 80.38 351.2C79.67 355 80.2 357.6 81.13 359.4C82.12 361.4 83.94 363.3 87 365.2C93.47 369.3 103 372 114.3 375.2L114.4 375.3C124.9 378.2 137.1 381.7 146 387.8C150.7 390.9 154.8 395.1 157.4 400.6C160 406.2 160.6 412.5 159.4 419.5C157.4 430.3 151.7 437.1 143.6 442.5C136.2 446.7 127.5 447.1 119.1 448V456C119.1 460.4 115.5 464 111.1 464C106.7 464 103.1 460.4 103.1 456V446.7C90.26 444.7 77.88 440.9 69.62 438.4C65.4 437 63.05 432.6 64.36 428.3C65.68 424.1 70.16 421.8 74.38 423.1C86.02 426.7 103.2 431.8 118.1 431.1C125.5 432.1 131.5 430.1 135.7 428.6C139.5 426.4 142.4 422.1 143.6 416.6C144.4 412.3 143.9 409.4 142.9 407.3C141.9 405.1 140 403 137 400.1C130.7 396.7 121.2 393.8 109.1 390.6L108.5 390.2C98.42 387.4 86.91 384.1 78.42 378.7C73.8 375.8 69.54 371.9 66.85 366.6C64.12 361.2 63.4 355 64.64 348.3C66.36 338.1 71.3 332.2 78.09 327.7C84.64 323.3 92.55 321.3 100.3 320.5C101.5 320.3 102.7 320.2 103.1 320.2V311.1C103.1 307.6 107.6 303.1 111.1 303.1C116.4 303.1 119.1 307.6 119.1 311.1L120 320.5zM0 320C0 284.7 28.65 256 64 256H576C611.3 256 640 284.7 640 320V448C640 483.3 611.3 512 576 512H64C28.65 512 0 483.3 0 448V320zM16 448C16 474.5 37.49 496 64 496H576C602.5 496 624 474.5 624 448V320C624 293.5 602.5 272 576 272H64C37.49 272 16 293.5 16 320V448z"],
    "face-thermometer": [576, 512, [], "e39a", "M288 16C155.5 16 48 123.5 48 256C48 388.5 155.5 496 288 496C404.6 496 501.9 412.8 523.5 302.5C524.4 298.1 528.6 295.3 532.9 296.1C537.2 296.1 540.1 301.2 539.2 305.5C516.1 423.2 412.4 512 288 512C146.6 512 32 397.4 32 256C32 114.6 146.6 0 288 0C381 0 462.5 49.65 507.3 123.9C509.6 127.6 508.4 132.6 504.6 134.8C500.8 137.1 495.9 135.9 493.6 132.1C451.6 62.52 375.2 15.1 288 15.1V16zM404.6 398.6C400.1 401.1 395.1 400.2 393.4 396.6C372.6 366.8 337.4 336 288 336C238.6 336 203.4 366.8 182.6 396.6C180 400.2 175 401.1 171.4 398.6C167.8 396 166.9 391 169.4 387.4C191.9 355.4 231.3 320 288 320C304.7 320 319.9 323.1 333.6 328.2L482.5 185.2C498.1 169.4 525 169.7 541.1 185.8C557.8 202.4 557.4 229.5 540.4 245.7L400.5 379.3C402.7 382 404.7 384.7 406.6 387.4C409.1 391 408.2 396 404.6 398.6H404.6zM390.1 367.1L405.3 352.6L394.3 341.7C391.2 338.5 391.2 333.5 394.3 330.3C397.5 327.2 402.5 327.2 405.7 330.3L416.9 341.6L438 321.4L426.3 309.7C423.2 306.5 423.2 301.5 426.3 298.3C429.5 295.2 434.5 295.2 437.7 298.3L449.6 310.3L470.8 290.1L458.3 277.7C455.2 274.5 455.2 269.5 458.3 266.3C461.5 263.2 466.5 263.2 469.7 266.3L482.4 279.1L503.5 258.8L490.3 245.7C487.2 242.5 487.2 237.5 490.3 234.3C493.5 231.2 498.5 231.2 501.7 234.3L515.1 247.8L529.4 234.2C539.9 224.1 540.1 207.4 529.8 197.1C519.9 187.2 503.8 187 493.6 196.8L349.3 335.3C365.4 343.8 378.1 355.1 390.1 367.1L390.1 367.1zM224.4 208C224.4 216.8 217.2 224 208.4 224C199.5 224 192.4 216.8 192.4 208C192.4 199.2 199.5 192 208.4 192C217.2 192 224.4 199.2 224.4 208zM352.4 208C352.4 199.2 359.5 192 368.4 192C377.2 192 384.4 199.2 384.4 208C384.4 216.8 377.2 224 368.4 224C359.5 224 352.4 216.8 352.4 208z"],
    "face-thinking": [512, 512, [], "e39b", "M256 16C123.5 16 16 123.5 16 256C16 292.9 24.34 327.9 39.22 359.1C41.12 363.1 39.43 367.9 35.44 369.8C31.45 371.7 26.68 369.1 24.78 366C8.89 332.7 0 295.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C251.6 512 248 508.4 248 504C248 499.6 251.6 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16zM131.1 134.9C128.1 137.1 123.2 135.8 121.1 131.1C118.9 128.1 120.2 123.2 124 121.1L131.1 117C163.4 98.57 203.8 102.4 232 126.6L245.2 137.9C248.6 140.8 248.9 145.9 246.1 149.2C243.2 152.6 238.1 152.9 234.8 150.1L221.6 138.8C198.5 118.1 165.4 115.8 139 130.9L131.1 134.9zM160.4 192C160.4 183.2 167.5 176 176.4 176C185.2 176 192.4 183.2 192.4 192C192.4 200.8 185.2 208 176.4 208C167.5 208 160.4 200.8 160.4 192V192zM275.4 284.6C305.8 292.2 327.3 319.3 327.1 350.6C328.6 367.4 318.4 383.5 301.7 389.6L258.9 405.2L235.3 469.9C226.1 495.2 202.1 512 175.2 512H128C92.65 512 64 483.3 64 448V328C64 305.9 81.91 287.1 104 287.1C126.1 287.1 144 305.9 144 328V361.8L274.3 314.4C281.1 311.1 288 311.4 294.6 312.5C288.2 306.7 280.4 302.3 271.5 300.1L190.1 279.8C185.8 278.7 183.2 274.3 184.2 270.1C185.3 265.8 189.7 263.2 193.9 264.2L275.4 284.6zM310.6 343.8C306 331.3 292.3 324.9 279.8 329.4L138.7 380.7C136.3 381.6 133.5 381.3 131.4 379.8C129.3 378.3 128 375.8 128 373.2V328C128 314.7 117.3 303.1 104 303.1C90.75 303.1 80 314.7 80 328V448C80 474.5 101.5 496 128 496H175.2C195.4 496 213.4 483.4 220.3 464.4L245.1 396.2C245.9 393.1 247.7 392.2 249.9 391.4L296.2 374.6C305.9 371 311.1 361.8 312 352C312 351.7 311.1 351.5 311.1 351.2C311.9 348.8 311.4 346.2 310.6 343.8V343.8zM352.4 208C352.4 216.8 345.2 224 336.4 224C327.5 224 320.4 216.8 320.4 208C320.4 199.2 327.5 192 336.4 192C345.2 192 352.4 199.2 352.4 208z"],
    "face-tired": [512, 512, [128555, "tired"], "f5c8", "M347.3 328.7C358.4 339.8 367.4 352.1 373.7 364.1C379.8 375.8 384 388.4 384 400C384 405.2 381.4 410.2 377.1 413.2C372.8 416.1 367.3 416.8 362.4 414.1L341.8 407.3C314.9 397.2 286.4 392 257.6 392H254.4C225.6 392 197.1 397.2 170.2 407.3L149.6 414.1C144.7 416.8 139.2 416.1 134.9 413.2C130.6 410.2 127.1 405.2 127.1 400C127.1 388.4 132.2 375.8 138.3 364.1C144.6 352.1 153.6 339.8 164.7 328.7C186.7 306.7 218.6 288 255.1 288C293.4 288 325.3 306.7 347.3 328.7H347.3zM152.5 371.5C147 382 144 392 144 400L164.5 392.3C193.3 381.5 223.7 376 254.4 376H257.6C288.3 376 318.7 381.5 347.5 392.3L368 400C368 392 365 382 359.5 371.5C354 361 346 350 336 340C315.1 319.1 287.1 304 256 304C224 304 196 319.1 176 340C166 350 158 361 152.5 371.5L152.5 371.5zM128.8 164.4C130.8 160.5 135.6 158.9 139.6 160.8L219.6 200.8C222.3 202.2 224 204.1 224 208C224 211 222.3 213.8 219.6 215.2L139.6 255.2C135.6 257.1 130.8 255.5 128.8 251.6C126.9 247.6 128.5 242.8 132.4 240.8L198.1 208L132.4 175.2C128.5 173.2 126.9 168.4 128.8 164.4V164.4zM372.4 160.8C376.4 158.9 381.2 160.5 383.2 164.4C385.1 168.4 383.5 173.2 379.6 175.2L313.9 207.1L379.6 240.8C383.5 242.8 385.1 247.6 383.2 251.6C381.2 255.5 376.4 257.1 372.4 255.2L292.4 215.2C289.7 213.8 288 211 288 207.1C288 204.1 289.7 202.2 292.4 200.8L372.4 160.8zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "face-tissue": [512, 512, [], "e39c", "M256 16C123.5 16 16 123.5 16 256C16 266.5 16.67 276.8 17.98 286.1C18.54 291.4 15.45 295.4 11.07 295.9C6.686 296.5 2.676 293.4 2.112 289C.7184 278.2 .0006 267.2 .0006 256C.0006 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C244.8 512 233.8 511.3 222.1 509.9C218.6 509.3 215.5 505.3 216.1 500.9C216.6 496.6 220.6 493.5 225 494C235.2 495.3 245.5 496 256 496C388.6 496 496 388.5 496 256C496 123.5 388.6 16 256 16V16zM299.6 345.3C302.2 343.6 305.8 343.6 308.4 345.3L352.6 374.8L380.4 360.8C384.4 358.9 389.2 360.5 391.2 364.4C393.1 368.4 391.5 373.2 387.6 375.2L355.6 391.2C353 392.4 349.1 392.2 347.6 390.7L304 361.6L260.4 390.7C256.8 393.1 251.8 392.1 249.3 388.4C246.9 384.8 247.9 379.8 251.6 377.3L299.6 345.3zM219.6 200.8C222.3 202.2 224 204.1 224 208C224 211 222.3 213.8 219.6 215.2L139.6 255.2C135.6 257.1 130.8 255.5 128.8 251.6C126.9 247.6 128.5 242.8 132.4 240.8L198.1 208L132.4 175.2C128.5 173.2 126.9 168.4 128.8 164.4C130.8 160.5 135.6 158.9 139.6 160.8L219.6 200.8zM379.6 175.2L313.9 208L379.6 240.8C383.5 242.8 385.1 247.6 383.2 251.6C381.2 255.5 376.4 257.1 372.4 255.2L292.4 215.2C289.7 213.8 288 211 288 207.1C288 204.1 289.7 202.2 292.4 200.8L372.4 160.8C376.4 158.9 381.2 160.5 383.2 164.4C385.1 168.4 383.5 173.2 379.6 175.2V175.2zM191.9 505.2C191.4 508.3 189.2 510.8 186.2 511.7C183.2 512.6 179.1 511.6 177.9 509.2L139.6 464.5C135.6 459.9 129.4 457.9 123.6 459.4L41.94 479.8C39.21 480.4 36.33 479.6 34.34 477.7C32.36 475.7 31.56 472.8 32.24 470.1L52.64 388.5C54.11 382.6 52.13 376.4 47.53 372.4L2.794 334.1C.4208 332-.5504 328.8 .3075 325.8C1.165 322.8 3.695 320.6 6.784 320.1L214.8 288.1C217.3 287.7 219.9 288.5 221.7 290.3C223.5 292.1 224.3 294.7 223.9 297.2L191.9 505.2zM68.16 392.3L50.1 461L119.7 443.8C131.4 440.9 143.8 444.9 151.7 454.1L178.7 485.6L206.4 305.6L26.43 333.3L57.94 360.3C67.15 368.2 71.1 380.6 68.16 392.3L68.16 392.3z"],
    "face-tongue-money": [512, 512, [], "e39d", "M256 16C123.5 16 16 123.5 16 256C16 341.5 60.68 416.5 128 459.1C131.7 461.4 132.9 466.4 130.5 470.1C128.1 473.8 123.2 474.9 119.5 472.6C47.69 427.3 0 347.2 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 347.2 464.3 427.3 392.5 472.6C388.8 474.9 383.9 473.8 381.5 470.1C379.1 466.4 380.3 461.4 383.1 459.1C451.3 416.5 496 341.5 496 256C496 123.5 388.5 16 255.1 16H256zM236.6 390.2C237 391.3 237.1 392.4 239.8 393.6C243.8 396.3 250.1 398.1 258.1 400.3L258.8 400.5C265.9 402.4 274.6 404.8 281.1 409.1C284.6 411.4 287.9 414.6 289.9 418.1C292 423.5 292.5 428.4 291.5 433.8C290 442.1 285.6 448.1 279.3 451.8C274.6 454.5 269.2 455.6 264 455.9V461.3C264 465.8 260.4 469.3 256 469.3C251.6 469.3 248 465.8 248 461.3V454.8C239.3 453.3 231 450.7 225.6 449C221.4 447.7 219 443.2 220.4 438.1C221.7 434.8 226.2 432.4 230.4 433.8C238.6 436.4 250.3 439.8 260.3 439.1C265.3 440.1 268.1 439.3 271.4 437.9C273.4 436.7 275.1 434.9 275.8 430.9C276.3 428.2 275.9 426.7 275.4 425.8C274.1 424.7 274 423.6 272.2 422.4C268.2 419.7 261.9 417.9 253.9 415.7L253.2 415.5C246.1 413.6 237.4 411.2 230.9 406.9C227.4 404.6 224.1 401.4 222.1 397C219.1 392.5 219.5 387.6 220.5 382.2C221.8 374.1 225.5 369.5 230.8 365.9C235.8 362.4 241.8 360.9 247.4 360.3L248 360.3V352C248 347.6 251.6 344 256 344C260.4 344 264 347.6 264 352V360.7C269.6 361.4 274.9 362.5 278.1 363.5C283.3 364.6 285.8 368.1 284.8 373.2C283.7 377.5 279.3 380.1 275 379C267.6 377.1 257.4 375.4 249.1 376.2C244.1 376.7 241.9 377.7 239.9 379.1C238.1 380.3 236.8 382 236.2 385.1C235.7 387.8 236.1 389.3 236.6 390.2V390.2zM384 304C396.1 304 408.6 314.7 407.1 328.8C402.5 370 381.6 406.2 350.9 430.8C343.8 476.8 304 512 256 512C208 512 168.2 476.8 161.1 430.8C130.4 406.2 109.5 370 104.9 328.8C103.4 314.7 115 304 128 304H384zM160 408.3V320H128C123.3 320 120.4 323.6 120.8 327.1C124.3 358.7 138.6 387 160 408.3zM176 320V416C176 460.2 211.8 496 256 496C300.2 496 336 460.2 336 416V320H176zM352 320V408.3C373.4 387 387.7 358.7 391.2 327.1C391.6 323.6 388.7 320 384 320H352zM176 93.33C180.4 93.33 184 96.92 184 101.3V112.6C184.1 112.8 185.1 112.9 186.1 113C190.9 113.6 202.6 115.8 206.8 116.9C211.1 118 213.7 122.4 212.5 126.7C211.4 130.9 207.1 133.5 202.8 132.4C199.3 131.5 188.2 129.4 184.6 128.9C173.5 127.2 163.9 128.5 157 131.5C150.2 134.5 146.8 138.9 145.1 143.4C145.3 147.3 145.8 149.8 146.7 151.7C147.7 153.6 149.4 155.6 152.3 157.5C158.4 161.5 167.5 164.2 178.4 167.4L178.5 167.4C188.6 170.4 200.4 173.8 208.1 179.9C213.5 183.1 217.5 187.2 219.9 192.7C222.4 198.3 223 204.5 221.8 211.4C219.7 223.4 211.6 231.5 201.1 235.9C195.1 238 190.2 239.3 184 239.8V250.7C184 255.1 180.4 258.7 176 258.7C171.6 258.7 168 255.1 168 250.7V239.4C167 239.2 166 239.1 165 238.1L164.1 238.1C157.9 237.8 146.5 234.1 139 231.6C137.6 231.1 136.2 230.6 135.1 230.3C130.9 228.9 128.6 224.4 129.1 220.2C131.3 215.1 135.9 213.7 140.1 215.1C141.5 215.5 143.1 216 144.7 216.6C152.3 219.1 161.9 222.3 167.4 223.1C178.7 224.9 188.3 223.9 194.1 221.1C201.5 218.4 205 214.2 206 208.6C206.8 204.3 206.3 201.4 205.3 199.3C204.3 197 202.6 194.1 199.7 192.1C193.7 188.7 184.7 185.9 173.9 182.7L172.5 182.3C162.8 179.5 151.7 176.2 143.5 170.8C138.1 167.9 134.9 163.1 132.3 158.7C129.7 153.3 129 147.2 130.2 140.6C132.2 129.3 140.4 121.3 150.6 116.8C155.8 114.5 161.7 113.1 168 112.5V101.3C168 96.92 171.6 93.33 176 93.33V93.33zM344 112.6C344.1 112.8 345.1 112.9 346.1 113C350.9 113.6 362.6 115.8 366.8 116.9C371.1 118 373.7 122.4 372.5 126.7C371.4 130.9 367.1 133.5 362.8 132.4C359.3 131.5 348.2 129.4 344.6 128.9C333.5 127.2 323.9 128.5 317 131.5C310.2 134.5 306.8 138.9 305.1 143.4C305.3 147.3 305.8 149.8 306.7 151.7C307.7 153.6 309.4 155.6 312.3 157.5C318.4 161.5 327.5 164.2 338.4 167.4L338.5 167.4C348.6 170.4 360.4 173.8 368.1 179.9C373.5 183.1 377.5 187.2 379.9 192.7C382.4 198.3 383 204.5 381.8 211.4C379.7 223.4 371.6 231.5 361.1 235.9C355.1 238 350.2 239.3 344 239.8V250.7C344 255.1 340.4 258.7 336 258.7C331.6 258.7 328 255.1 328 250.7V239.4C327 239.2 326 239.1 325 238.1L324.1 238.1C317.9 237.8 306.5 234.1 299 231.6C297.6 231.1 296.2 230.6 295.1 230.3C290.9 228.9 288.6 224.4 289.1 220.2C291.4 215.1 295.9 213.7 300.1 215.1C301.5 215.5 303.1 216 304.7 216.6C312.3 219.1 321.9 222.3 327.4 223.1C338.7 224.9 348.3 223.9 354.1 221.1C361.5 218.4 365 214.2 366 208.6C366.8 204.3 366.3 201.4 365.3 199.3C364.3 197.1 362.6 194.1 359.7 192.1C353.7 188.7 344.7 185.9 333.9 182.7L332.5 182.3C322.8 179.5 311.7 176.2 303.5 170.8C298.1 167.9 294.9 163.1 292.3 158.7C289.7 153.3 289 147.2 290.2 140.6C292.2 129.3 300.4 121.3 310.6 116.8C315.8 114.5 321.7 113.1 328 112.5V101.3C328 96.92 331.6 93.33 336 93.33C340.4 93.33 344 96.92 344 101.3L344 112.6z"],
    "face-tongue-sweat": [576, 512, [], "e39e", "M41.02 231.9C36.64 231.4 33.55 227.4 34.11 222.1C50.32 97.19 157.8 0 288 0C429.4 0 544 114.6 544 256C544 362.3 479.3 453.4 387.1 492.1C383 493.8 378.3 491.9 376.6 487.8C374.9 483.8 376.8 479.1 380.9 477.4C467.3 441 528 355.6 528 256C528 123.5 420.5 16 288 16C165.1 16 65.17 107.1 49.98 225C49.42 229.4 45.41 232.5 41.02 231.9H41.02zM195.1 477.4C199.2 479.1 201.1 483.8 199.4 487.8C197.7 491.9 192.1 493.8 188.9 492.1C158.3 479.3 130.8 460.7 107.6 437.7C104.5 434.6 104.5 429.5 107.6 426.4C110.7 423.2 115.8 423.2 118.9 426.3C140.6 447.9 166.5 465.3 195.1 477.4H195.1zM190.3 181C167.9 203.4 139 218.3 107.8 223.5L105.3 223.9C100.1 224.6 96.84 221.7 96.11 217.3C95.38 212.1 98.33 208.8 102.7 208.1L105.2 207.7C133.1 203 158.9 189.8 178.1 169.7L186.3 162.3C189.5 159.2 194.5 159.2 197.7 162.3C200.8 165.5 200.8 170.5 197.7 173.7L190.3 181zM389.7 162.3L397 169.7C417.1 189.8 442.9 203 470.8 207.7L473.3 208.1C477.7 208.8 480.6 212.1 479.9 217.3C479.2 221.7 475 224.6 470.7 223.9L468.2 223.5C436.1 218.3 408.1 203.4 385.7 181L378.3 173.7C375.2 170.5 375.2 165.5 378.3 162.3C381.5 159.2 386.5 159.2 389.7 162.3V162.3zM128 357.3C128 389.8 99.28 416 64 416C28.72 416 0 389.8 0 357.3C0 332.3 38.07 281.8 55.47 260.1C59.73 254.6 68.27 254.6 72.53 260.1C90.09 281.8 128 332.3 128 357.3zM93.33 316C83.71 300.8 72.44 285.7 64.02 275.1C55.61 285.8 44.36 300.8 34.73 316C29.1 324.9 24.24 333.5 20.83 341.1C17.25 349.1 16 354.5 16 357.3C16 379.6 36.21 400 64 400C91.79 400 112 379.6 112 357.3C112 354.4 110.8 349.1 107.2 341.1C103.8 333.5 98.94 324.9 93.33 316H93.33zM367.6 256C376.5 256 383.6 263.2 383.6 272C383.6 280.8 376.5 288 367.6 288C358.8 288 351.6 280.8 351.6 272C351.6 263.2 358.8 256 367.6 256zM207.6 288C198.8 288 191.6 280.8 191.6 272C191.6 263.2 198.8 256 207.6 256C216.5 256 223.6 263.2 223.6 272C223.6 280.8 216.5 288 207.6 288zM216 417.9C216 394.8 234.8 376 257.9 376C269.1 376 279.7 380.4 287.6 388.3L288 388.7L288.4 388.3C296.3 380.4 306.9 376 318.1 376C341.2 376 360 394.8 360 417.9V440C360 479.8 327.8 512 288 512C248.2 512 216 479.8 216 440V417.9zM280 403.3L276.3 399.6C271.4 394.7 264.8 392 257.9 392C243.6 392 232 403.6 232 417.9V440C232 470.9 257.1 496 288 496C318.9 496 344 470.9 344 440V417.9C344 403.6 332.4 392 318.1 392C311.2 392 304.6 394.7 299.7 399.6L296 403.3V432C296 436.4 292.4 440 288 440C283.6 440 280 436.4 280 432V403.3zM195.7 409.6C199.3 412.2 200 417.2 197.4 420.8C194.8 424.3 189.8 425.1 186.2 422.4C175.7 414.6 168 404.3 168 392C168 382.7 172.4 374.4 179.1 367.7C185.7 360.1 194.9 355.3 205.7 350.7C227.1 341.5 256.3 336 288 336C319.7 336 348.9 341.5 370.3 350.7C381.1 355.3 390.3 360.1 396.9 367.7C403.6 374.4 408 382.7 408 392C408 404.3 400.3 414.6 389.8 422.4C386.2 425.1 381.2 424.3 378.6 420.8C375.1 417.2 376.7 412.2 380.3 409.6C388.8 403.2 392 397.1 392 392C392 388.1 390.2 383.7 385.5 378.9C380.8 374.2 373.6 369.5 364 365.4C344.1 357.2 318.1 352 288 352C257.9 352 231 357.2 211.1 365.4C202.4 369.5 195.2 374.2 190.5 378.9C185.8 383.7 184 388.1 184 392C184 397.1 187.2 403.2 195.7 409.6H195.7z"],
    "face-unamused": [512, 512, [], "e39f", "M256 368C224.7 368 202.7 383.1 189.9 397.4C186.1 400.6 181.9 400.9 178.6 397.9C175.4 394.1 175.1 389.9 178.1 386.6C193.1 369.1 219.1 352 256 352C292.9 352 318.9 369.1 333.9 386.6C336.9 389.9 336.6 394.1 333.4 397.9C330.1 400.9 325 400.6 322.1 397.4C309.3 383.1 287.3 368 256 368V368zM176 192C193.7 192 208 206.3 208 224C208 241.7 193.7 256 176 256C158.3 256 144 241.7 144 224C144 218.2 145.6 212.7 148.3 208H104C99.58 208 96 204.4 96 200C96 195.6 99.58 192 104 192H176zM176 208C167.2 208 160 215.2 160 224C160 232.8 167.2 240 176 240C184.8 240 192 232.8 192 224C192 215.2 184.8 208 176 208zM288 200C288 195.6 291.6 192 296 192H368C385.7 192 400 206.3 400 224C400 241.7 385.7 256 368 256C350.3 256 336 241.7 336 224C336 218.2 337.6 212.7 340.3 208H296C291.6 208 288 204.4 288 200zM368 240C376.8 240 384 232.8 384 224C384 215.2 376.8 208 368 208C359.2 208 352 215.2 352 224C352 232.8 359.2 240 368 240zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "face-viewfinder": [512, 512, [], "e2ff", "M152 496h-112c-13.23 0-24-10.78-24-24v-112C16 355.6 12.42 352 8 352S0 355.6 0 360v112C0 494.1 17.94 512 40 512h112C156.4 512 160 508.4 160 504S156.4 496 152 496zM8 160C12.42 160 16 156.4 16 152v-112c0-13.22 10.77-24 24-24h112C156.4 16 160 12.41 160 8S156.4 0 152 0h-112C17.94 0 0 17.94 0 40v112C0 156.4 3.578 160 8 160zM472 0h-112C355.6 0 352 3.594 352 8s3.578 8 8 8h112c13.23 0 24 10.78 24 24v112C496 156.4 499.6 160 504 160S512 156.4 512 152v-112C512 17.94 494.1 0 472 0zM504 352c-4.422 0-8 3.594-8 8v112c0 13.22-10.77 24-24 24h-112c-4.422 0-8 3.594-8 8S355.6 512 360 512h112c22.06 0 40-17.94 40-40v-112C512 355.6 508.4 352 504 352zM416 256c0-88.37-71.63-160-160-160S96 167.6 96 256s71.63 160 160 160S416 344.4 416 256zM256 400c-79.4 0-144-64.6-144-144S176.6 112 256 112s144 64.6 144 144S335.4 400 256 400zM321.6 306.7C304.9 325.3 281 336 256 336s-48.91-10.69-65.59-29.34c-3-3.312-8.062-3.578-11.31-.6094c-3.281 2.938-3.562 8-.625 11.3C198.2 339.4 226.5 352 256 352s57.78-12.64 77.53-34.66c2.938-3.297 2.656-8.359-.625-11.3S324.6 303.4 321.6 306.7zM208 240C216.8 240 224 232.8 224 224c0-8.838-7.162-16-16-16C199.2 208 192 215.2 192 224C192 232.8 199.2 240 208 240zM304 240C312.8 240 320 232.8 320 224c0-8.838-7.162-16-16-16C295.2 208 288 215.2 288 224C288 232.8 295.2 240 304 240z"],
    "face-vomit": [576, 512, [], "e3a0", "M288 16C155.5 16 48 123.5 48 256C48 317.5 71.1 373.5 109.1 415.1C112.1 419.3 111.8 424.3 108.5 427.3C105.2 430.2 100.1 429.1 97.19 426.7C56.66 381.4 32 321.6 32 256C32 114.6 146.6 0 288 0C429.4 0 544 114.6 544 256C544 321.6 519.3 381.4 478.8 426.7C475.9 429.1 470.8 430.2 467.5 427.3C464.2 424.3 463.9 419.3 466.9 415.1C504.9 373.5 528 317.5 528 256C528 123.5 420.5 16 288 16V16zM160.8 164.4C162.8 160.5 167.6 158.9 171.6 160.8L251.6 200.8C254.3 202.2 256 204.1 256 208C256 211 254.3 213.8 251.6 215.2L171.6 255.2C167.6 257.1 162.8 255.5 160.8 251.6C158.9 247.6 160.5 242.8 164.4 240.8L230.1 208L164.4 175.2C160.5 173.2 158.9 168.4 160.8 164.4V164.4zM404.4 160.8C408.4 158.9 413.2 160.5 415.2 164.4C417.1 168.4 415.5 173.2 411.6 175.2L345.9 208L411.6 240.8C415.5 242.8 417.1 247.6 415.2 251.6C413.2 255.5 408.4 257.1 404.4 255.2L324.4 215.2C321.7 213.8 320 211 320 207.1C320 204.1 321.7 202.2 324.4 200.8L404.4 160.8zM64 496C64 504.8 56.84 512 48 512C39.16 512 32 504.8 32 496C32 487.2 39.16 480 48 480C56.84 480 64 487.2 64 496zM512 464C512 455.2 519.2 448 528 448C536.8 448 544 455.2 544 464C544 472.8 536.8 480 528 480C519.2 480 512 472.8 512 464zM320 416C311.2 416 304 408.8 304 400C304 391.2 311.2 384 320 384C328.8 384 336 391.2 336 400C336 408.8 328.8 416 320 416zM240 432C240 423.2 247.2 416 256 416C264.8 416 272 423.2 272 432C272 440.8 264.8 448 256 448C247.2 448 240 440.8 240 432zM384 384V391C384 429.2 411.6 461.8 449.3 468.1L462.5 470.3C472.6 471.1 480 480.7 480 491C480 502.6 470.6 512 459 512H116.1C105.4 512 95.1 502.6 95.1 491C95.1 480.7 103.4 471.1 113.5 470.3L126.7 468.1C164.4 461.8 191.1 429.2 191.1 391V384C191.1 379.6 195.6 376 199.1 376C204.4 376 207.1 379.6 207.1 384V391C207.1 437 174.7 476.3 129.3 483.9L116.2 486.1C113.8 486.5 111.1 488.6 111.1 491C111.1 493.8 114.2 496 116.1 496H459C461.8 496 464 493.8 464 491C464 488.6 462.2 486.5 459.8 486.1L446.7 483.9C401.3 476.3 368 437 368 391V384C368 379.6 371.6 376 376 376C380.4 376 384 379.6 384 384V384zM157.8 375.7C153.6 374.5 151.1 370.1 152.3 365.8C157.1 348.8 173.5 331.4 196.6 318.5C219.1 305.3 251.3 296 288 296C324.7 296 356 305.3 379.4 318.5C402.5 331.4 418.9 348.8 423.7 365.8C424.9 370.1 422.4 374.5 418.2 375.7C413.9 376.9 409.5 374.4 408.3 370.2C405.1 358.1 392.9 344.4 371.6 332.4C350.7 320.6 322 312 287.1 312C253.1 312 225.3 320.6 204.4 332.4C183.1 344.4 170.9 358.1 167.7 370.2C166.5 374.4 162.1 376.9 157.8 375.7H157.8z"],
    "face-weary": [512, 512, [], "e3a1", "M347.3 328.7C358.4 339.8 367.4 352.1 373.7 364.1C379.8 375.8 384 388.4 384 400C384 405.2 381.4 410.2 377.1 413.2C372.8 416.1 367.3 416.8 362.4 414.1L341.8 407.3C314.9 397.2 286.4 392 257.6 392H254.4C225.6 392 197.1 397.2 170.2 407.3L149.6 414.1C144.7 416.8 139.2 416.1 134.9 413.2C130.6 410.2 127.1 405.2 127.1 400C127.1 388.4 132.2 375.8 138.3 364.1C144.6 352.1 153.6 339.8 164.7 328.7C186.7 306.7 218.6 288 255.1 288C293.4 288 325.3 306.7 347.3 328.7H347.3zM152.5 371.5C147 382 144 392 144 400L164.5 392.3C193.3 381.5 223.7 376 254.4 376H257.6C288.3 376 318.7 381.5 347.5 392.3L368 400C368 392 365 382 359.5 371.5C354 361 346 350 336 340C315.1 319.1 287.1 304 256 304C224 304 196 319.1 176 340C166 350 158 361 152.5 371.5L152.5 371.5zM205.7 170.3C208.8 173.5 208.8 178.5 205.7 181.7L198.3 189C175.9 211.4 147 226.3 115.8 231.5L113.3 231.9C108.1 232.6 104.8 229.7 104.1 225.3C103.4 220.1 106.3 216.8 110.7 216.1L113.2 215.7C141.1 211 166.9 197.8 186.1 177.7L194.3 170.3C197.5 167.2 202.5 167.2 205.7 170.3V170.3zM306.3 181.7C303.2 178.5 303.2 173.5 306.3 170.3C309.5 167.2 314.5 167.2 317.7 170.3L325 177.7C345.1 197.8 370.9 211 398.8 215.7L401.3 216.1C405.7 216.8 408.6 220.1 407.9 225.3C407.2 229.7 403 232.6 398.7 231.9L396.2 231.5C364.1 226.3 336.1 211.4 313.7 189L306.3 181.7zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "face-woozy": [512, 512, [], "e3a2", "M114.5 183.6C110.3 184.1 105.8 182.7 104.4 178.5C103 174.3 105.3 169.8 109.5 168.4C124.2 163.5 160.9 144.2 185.3 107.6C187.8 103.9 192.8 102.9 196.4 105.3C200.1 107.8 201.1 112.8 198.7 116.4C171.9 156.6 131.8 177.8 114.5 183.6L114.5 183.6zM145.9 247.8C141.7 248.8 137.3 246.2 136.2 241.9C135.2 237.7 137.8 233.3 142.1 232.2L206.1 216.2C210.3 215.2 214.7 217.8 215.8 222.1C216.8 226.3 214.2 230.7 209.9 231.8L145.9 247.8zM366.4 380.9C354.2 393.1 337.6 400 320.4 400C308.2 400 296.2 396.6 285.9 390.1L271.6 381.2C251.3 368.5 226 366.2 203.7 375.1C175.8 386.3 144.1 383 119.1 366.3L107.6 358.7C103.9 356.2 102.9 351.2 105.3 347.6C107.8 343.9 112.8 342.9 116.4 345.3L127.9 353C148.6 366.8 174.7 369.5 197.7 360.3C224.8 349.5 255.4 352.2 280.1 367.6L294.4 376.5C302.2 381.4 311.2 384 320.4 384C333.4 384 345.9 378.8 355.1 369.6L394.3 330.3C397.5 327.2 402.5 327.2 405.7 330.3C408.8 333.5 408.8 338.5 405.7 341.7L366.4 380.9zM306.2 159.2C312.4 146.7 322.5 136 336 136C349.5 136 359.6 146.7 365.8 159.2C372.2 172.1 376 189.4 376 208C376 226.6 372.2 243.9 365.8 256.8C359.6 269.3 349.5 280 336 280C322.5 280 312.4 269.3 306.2 256.8C299.8 243.9 296 226.6 296 208C296 189.4 299.8 172.1 306.2 159.2V159.2zM320.5 166.3C315.4 176.6 312 191.3 312 208C312 224.7 315.4 239.4 320.5 249.7C325.9 260.4 331.8 264 336 264C340.2 264 346.1 260.4 351.5 249.7C356.6 239.4 360 224.7 360 208C360 191.3 356.6 176.6 351.5 166.3C346.1 155.6 340.2 152 336 152C331.8 152 325.9 155.6 320.5 166.3zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "face-worried": [512, 512, [], "e3a3", "M255.1 412.3C236.2 412.3 217.4 415.9 200.3 422.2C191.6 425.5 182.1 423.1 175.7 418.9C172.4 416.4 169.7 412.8 168.6 408.3C167.5 403.7 168.2 398.9 170.6 394.4C186.6 364.4 218.9 343.1 256 343.1C293.2 343.1 325.5 364.4 341.5 394.5C343.9 398.9 344.6 403.7 343.5 408.3C342.4 412.8 339.7 416.4 336.4 418.1C329.9 424 320.4 425.5 311.7 422.3C294.6 415.9 275.8 412.3 255.1 412.3L255.1 412.3zM256 359.1C224.8 359.1 197.9 377.1 184.7 401.9C183.9 403.3 184 404.1 184.1 404.5C184.2 404.9 184.6 405.6 185.5 406.3C187.4 407.8 190.1 408.7 194.7 407.3C213.6 400.2 234.3 396.3 255.1 396.3C277.7 396.3 298.5 400.2 317.3 407.3C321.1 408.7 324.7 407.8 326.6 406.3C327.5 405.6 327.8 404.1 327.9 404.5C328 404.2 328.1 403.4 327.4 401.1C314.1 377.1 287.2 359.1 256 359.1V359.1zM192.4 272C192.4 280.8 185.2 288 176.4 288C167.5 288 160.4 280.8 160.4 272C160.4 263.2 167.5 256 176.4 256C185.2 256 192.4 263.2 192.4 272zM320.4 272C320.4 263.2 327.5 256 336.4 256C345.2 256 352.4 263.2 352.4 272C352.4 280.8 345.2 288 336.4 288C327.5 288 320.4 280.8 320.4 272zM199.1 135.5C200.3 139.9 196.9 143.7 192.5 143.1C159.1 145.1 130.9 160.5 109.8 182.7C106.8 185.9 101.7 186 98.5 182.1C95.29 179.1 95.15 174.9 98.19 171.7C121.9 146.6 154.8 130.3 191.5 128C195.9 127.7 199.7 131.1 199.1 135.5V135.5zM319.5 143.1C315.1 143.7 311.7 139.9 312 135.5C312.3 131.1 316.1 127.7 320.5 128C357.2 130.3 390.1 146.6 413.8 171.7C416.8 174.9 416.7 179.1 413.5 182.1C410.3 186 405.2 185.9 402.2 182.7C381.1 160.5 352 145.1 319.5 143.1V143.1zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "face-zany": [576, 512, [], "e3a4", "M288 15.1C155.5 15.1 48 123.5 48 255.1C48 355.6 108.7 441 195.1 477.4C199.2 479.1 201.1 483.8 199.4 487.8C197.7 491.9 192.1 493.8 188.9 492.1C96.74 453.4 32 362.3 32 256C32 114.6 146.6 0 288 0C429.4 0 544 114.6 544 256C544 362.3 479.3 453.4 387.1 492.1C383 493.8 378.3 491.9 376.6 487.8C374.9 483.8 376.8 479.1 380.9 477.4C467.3 441 528 355.6 528 255.1C528 123.5 420.5 15.1 288 15.1zM216 409.9C216 386.8 234.8 368 257.9 368C269.1 368 279.7 372.4 287.6 380.3L288 380.7L288.4 380.3C296.3 372.4 306.9 368 318.1 368C341.2 368 360 386.8 360 409.9V440C360 479.8 327.8 512 288 512C248.2 512 216 479.8 216 440V409.9zM280 395.3L276.3 391.6C271.4 386.7 264.8 384 257.9 384C243.6 384 232 395.6 232 409.9V440C232 470.9 257.1 496 288 496C318.9 496 344 470.9 344 440V409.9C344 395.6 332.4 384 318.1 384C311.2 384 304.6 386.7 299.7 391.6L296 395.3V424C296 428.4 292.4 432 288 432C283.6 432 280 428.4 280 424V395.3zM416 151.1C416 191.8 383.8 223.1 344 223.1C304.2 223.1 272 191.8 272 151.1C272 112.2 304.2 79.1 344 79.1C383.8 79.1 416 112.2 416 151.1zM352.9 96.71C362.1 104 368 115.3 368 127.1C368 150.1 350.1 167.1 328 167.1C309.7 167.1 294.3 155.7 289.5 138.1C288.5 143.2 288 147.5 288 151.1C288 182.9 313.1 207.1 344 207.1C374.9 207.1 400 182.9 400 151.1C400 124.1 379.6 100.1 352.9 96.71V96.71zM328 103.1C314.7 103.1 304 114.7 304 127.1C304 141.3 314.7 151.1 328 151.1C341.3 151.1 352 141.3 352 127.1C352 114.7 341.3 103.1 328 103.1zM176 223.1C176 232.8 168.8 239.1 160 239.1C151.2 239.1 144 232.8 144 223.1C144 215.2 151.2 207.1 160 207.1C168.8 207.1 176 215.2 176 223.1zM96 223.1C96 188.7 124.7 159.1 160 159.1C195.3 159.1 224 188.7 224 223.1C224 259.3 195.3 287.1 160 287.1C124.7 287.1 96 259.3 96 223.1zM160 271.1C186.5 271.1 208 250.5 208 223.1C208 197.5 186.5 175.1 160 175.1C133.5 175.1 112 197.5 112 223.1C112 250.5 133.5 271.1 160 271.1zM440 303.1C440 347.8 420.4 387.1 389.5 413.5C386.2 416.4 381.1 415.1 378.3 412.6C375.4 409.2 375.8 404.2 379.1 401.3C406.6 377.8 424 342.1 424 304C424 290.2 421.8 276.9 417.8 264.5C415.5 257.6 406.8 253.1 398.6 258.3L200.9 363.8C192.7 368.1 190.9 377.4 195.4 383.1C196.1 384.1 196.9 385 197.7 385.9C200.5 389.3 200 394.4 196.6 397.2C193.3 400 188.2 399.6 185.4 396.2C184.5 395.1 183.7 394.1 182.8 393C170.9 377.9 178.2 357.7 193.4 349.6L391.1 244.2C406.3 236.1 427.1 241.3 433 259.6C437.6 273.6 440 288.5 440 304L440 303.1z"],
    "face-zipper": [512, 512, [], "e3a5", "M256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C292.9 496 327.9 487.7 359.1 472.8C363.1 470.9 367.9 472.6 369.8 476.6C371.7 480.5 369.1 485.3 366 487.2C332.7 503.1 295.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 278.8 509 300.1 503.4 322.1C502.3 326.3 497.9 328.9 493.6 327.7C489.3 326.6 486.8 322.2 487.9 317.9C493.2 298.2 496 277.4 496 256C496 123.5 388.5 16 256 16V16zM192.4 208C192.4 216.8 185.2 224 176.4 224C167.5 224 160.4 216.8 160.4 208C160.4 199.2 167.5 192 176.4 192C185.2 192 192.4 199.2 192.4 208zM320.4 208C320.4 199.2 327.5 192 336.4 192C345.2 192 352.4 199.2 352.4 208C352.4 216.8 345.2 224 336.4 224C327.5 224 320.4 216.8 320.4 208zM200 320C204.4 320 208 323.6 208 328V376C208 380.4 204.4 384 200 384C195.6 384 192 380.4 192 376V328C192 323.6 195.6 320 200 320zM272 376C272 380.4 268.4 384 264 384C259.6 384 256 380.4 256 376V328C256 323.6 259.6 320 264 320C268.4 320 272 323.6 272 328V376zM328 320C332.4 320 336 323.6 336 328V376C336 380.4 332.4 384 328 384C323.6 384 320 380.4 320 376V328C320 323.6 323.6 320 328 320zM144 376C144 380.4 140.4 384 136 384C131.6 384 128 380.4 128 376V328C128 323.6 131.6 320 136 320C140.4 320 144 323.6 144 328V376zM445.7 429.7C442.5 432.8 437.5 432.8 434.3 429.7C431.2 426.5 431.2 421.5 434.3 418.3L450.3 402.3C453.5 399.2 458.5 399.2 461.7 402.3C464.8 405.5 464.8 410.5 461.7 413.7L445.7 429.7zM384.8 330.3C391.9 323.1 402.8 321.2 412 325.6L473.8 354.8C514.6 374.1 524 428.1 492.1 460.1C460.1 492 406.1 482.6 386.8 441.8L357.6 380C353.2 370.8 355.1 359.9 362.3 352.8L384.8 330.3zM405.2 340C402.1 338.6 398.5 339.2 396.1 341.6L373.6 364.1C371.2 366.5 370.6 370.1 372 373.2L401.2 434.9C415.8 465.8 456.6 472.9 480.7 448.7C504.9 424.6 497.8 383.8 466.9 369.2L405.2 340z"],
    "falafel": [576, 512, [129478], "e40a", "M184.4 248.3C188.2 251.6 192.1 255 196.8 257.4c4.75 2.375 9.781 3.391 14.69 4.359c5.125 1.016 9.969 1.984 12.81 4.328C227.2 268.5 229.1 273.1 231.2 278c1.969 4.656 4 9.469 7.25 13.7C241.7 295.9 245.8 299 249.7 302c4.25 3.234 8.25 6.297 9.906 9.828c1.844 4.016 6.562 5.75 10.62 3.875c4-1.859 5.75-6.625 3.875-10.62C270.8 297.1 264.8 293.3 259.4 289.3C256.2 286.8 253.1 284.4 251.2 281.1c-2-2.594-3.562-6.266-5.219-10.16C243.3 265.6 240.4 258.6 234.4 253.7c-5.969-4.891-13.34-6.359-19.84-7.656C210.6 245.3 206.8 244.5 203.9 243.1C201.1 241.7 198.2 239.1 195.1 236.3C190.1 231.9 184.4 226.8 176.9 225c-7.5-1.781-14.72 .1719-21.09 1.859C151.8 227.9 148.7 228.8 144.8 228.9C141.8 228.9 138.1 227.9 134.2 226.8C127.8 224.1 120.6 222.9 112.7 224.7C105.1 226.4 99.28 231.4 94.19 235.9c-3.094 2.656-6 5.188-8.75 6.516C82.53 243.8 78.69 244.5 74.59 245.3c-6.5 1.234-13.88 2.625-19.81 7.406C48.75 257.6 45.72 264.6 43.03 270.8C41.38 274.6 39.81 278.3 37.84 280.8c-2 2.531-5.156 4.875-8.469 7.359C24 292.1 17.94 296.6 14.59 303.6C11.28 310.5 11.5 318.1 11.72 324.8c.125 4.25 .2187 8.266-.5313 11.52c-.6875 3.109-2.531 6.578-4.438 10.27C3.594 352.6 .0625 359.3 0 367.2c-.0313 7.562 3.375 14.25 6.375 20.16c1.969 3.828 3.812 7.438 4.531 10.78c.7187 3.359 .5625 7.438 .375 11.73c-.2813 6.672-.5938 14.22 2.594 21.08c3.312 7.125 9.375 11.73 14.72 15.81c3.25 2.484 6.344 4.828 8.25 7.312c2 2.594 3.562 6.266 5.219 10.16c2.625 6.188 5.562 13.19 11.5 18.06c5.969 4.891 13.34 6.359 19.84 7.656c4.031 .8125 7.844 1.562 10.69 2.984c2.812 1.406 5.719 4.016 8.812 6.766c5 4.453 10.69 9.516 18.19 11.33c7.438 1.766 14.72-.1719 21.09-1.859c4-1.062 7.75-2.062 10.94-2.062h.0938c3.031 .0156 6.688 1.047 10.56 2.125C158.5 510.5 163.7 512 169.2 512c1.969 0 4-.1875 6.062-.6562c7.656-1.75 13.44-6.766 18.53-11.22c3.094-2.656 6-5.188 8.75-6.516c2.906-1.422 6.75-2.141 10.84-2.906c6.5-1.234 13.88-2.625 19.81-7.406c6.031-4.875 9.062-11.91 11.75-18.11c1.656-3.828 3.219-7.453 5.188-9.938c2-2.531 5.125-4.875 8.469-7.344c5.344-3.984 11.44-8.516 14.78-15.5c1.906-3.984 .2187-8.766-3.781-10.67c-3.906-1.875-8.719-.2187-10.66 3.766c-1.625 3.422-5.656 6.406-9.906 9.562c-4 2.984-8.156 6.078-11.47 10.28c-3.25 4.125-5.312 8.891-7.312 13.48c-2.125 4.953-4.156 9.625-7.125 12.02c-2.812 2.266-7.625 3.172-12.72 4.141c-4.938 .9219-10.03 1.875-14.88 4.219c-4.656 2.266-8.5 5.609-12.25 8.859c-4.031 3.516-7.844 6.828-11.56 7.688C168 496.6 163.2 495.3 158.1 493.8c-4.719-1.328-9.625-2.703-14.81-2.734H143.1c-5.281 0-10.25 1.312-15.03 2.594c-5.031 1.359-9.812 2.609-13.25 1.766c-3.594-.8594-7.344-4.188-11.28-7.719c-3.75-3.328-7.625-6.766-12.34-9.125c-4.75-2.375-9.781-3.391-14.69-4.359c-5.125-1.016-9.969-1.984-12.81-4.328c-2.875-2.359-4.844-7.016-6.938-11.94c-1.969-4.656-4-9.469-7.25-13.7C46.31 440.1 42.22 437 38.28 434c-4.25-3.234-8.25-6.297-9.906-9.828c-1.531-3.328-1.344-8.344-1.125-13.66c.2187-5.125 .4375-10.44-.7187-15.8s-3.562-10.08-5.875-14.64C18.25 375.4 16 370.9 16 367.3c.0313-3.938 2.406-8.453 4.906-13.22c2.312-4.422 4.719-9 5.875-14.12C28 334.7 27.84 329.4 27.72 324.3C27.56 318.1 27.41 313.9 29.03 310.5s5.656-6.391 9.906-9.562c4-2.984 8.156-6.078 11.47-10.28c3.25-4.125 5.312-8.891 7.312-13.48c2.125-4.953 4.156-9.625 7.125-12.02C67.66 262.9 72.47 261.1 77.56 261C82.5 260.1 87.59 259.1 92.44 256.8c4.656-2.266 8.5-5.609 12.25-8.859C108.7 244.4 112.5 241.1 116.3 240.3C120 239.5 124.8 240.8 129.9 242.2C134.6 243.5 139.5 244.9 144.7 244.9h.1562c5.281 0 10.25-1.312 15.03-2.594c5.031-1.359 9.812-2.609 13.25-1.766C176.8 241.4 180.5 244.8 184.4 248.3zM304.7 20.92h.1562c5.281 0 10.25-1.312 15.03-2.594c5.031-1.359 9.812-2.609 13.25-1.766c3.594 .8594 7.344 4.188 11.28 7.719c3.75 3.328 7.625 6.766 12.34 9.125c4.75 2.375 9.781 3.391 14.69 4.359c5.125 1.016 9.969 1.984 12.81 4.328c2.875 2.359 4.844 7.016 6.938 11.94c1.969 4.656 4 9.469 7.25 13.7C401.7 71.89 405.8 75 409.7 78c4.25 3.234 8.25 6.297 9.906 9.828c1.531 3.328 1.344 8.344 1.125 13.66c-.2187 5.125-.4375 10.44 .7187 15.8s3.562 10.08 5.875 14.64C429.8 136.6 432 141.1 432 144.8c-.0313 3.938-2.406 8.453-4.906 13.22c-2.312 4.422-4.719 9-5.875 14.11C420 177.3 420.2 182.5 420.3 187.5L420.4 192c0 4.422 3.594 8 8 8s8-3.578 8-8l-.0938-4.953c-.125-4.188-.2187-8.156 .5313-11.38c.6875-3.109 2.531-6.578 4.438-10.27C444.4 159.4 447.9 152.7 448 144.8c.0313-7.562-3.375-14.25-6.375-20.16c-1.969-3.828-3.812-7.438-4.531-10.78c-.7187-3.359-.5625-7.438-.375-11.73c.2813-6.672 .5938-14.22-2.594-21.08c-3.312-7.125-9.375-11.73-14.72-15.81c-3.25-2.484-6.344-4.828-8.25-7.312c-2-2.594-3.562-6.266-5.219-10.16c-2.625-6.188-5.562-13.19-11.5-18.06c-5.969-4.891-13.34-6.359-19.84-7.656c-4.031-.8125-7.844-1.562-10.69-2.984c-2.812-1.406-5.719-4.016-8.812-6.766c-5-4.453-10.69-9.516-18.19-11.33s-14.72 .1562-21.09 1.859c-4 1.062-7.75 2.062-10.94 2.062h-.0938c-3.031-.0156-6.688-1.047-10.56-2.141c-6.438-1.812-13.66-3.906-21.5-2.125C265.1 2.406 259.3 7.422 254.2 11.86c-3.094 2.672-6 5.203-8.75 6.531C242.5 19.81 238.7 20.53 234.6 21.3c-6.5 1.234-13.88 2.625-19.81 7.406C208.8 33.58 205.7 40.61 203 46.81C201.4 50.64 199.8 54.27 197.8 56.75c-2 2.531-5.156 4.875-8.469 7.359C184 68.09 177.9 72.61 174.6 79.59C171.3 86.52 171.5 94.11 171.7 100.8c.125 4.25 .2187 8.266-.5313 11.52C170.5 115.4 168.7 118.9 166.8 122.6C163.6 128.6 160.1 135.3 160 143.2C159.1 150.7 163.4 157.4 166.4 163.3c1.969 3.828 3.812 7.438 4.531 10.8C171.6 177.5 171.5 181.6 171.3 185.1C171.2 187.1 171.1 190 171.1 192c0 4.422 3.594 8 8 8s8-3.578 8-8c0-1.766 .0625-3.578 .1562-5.391c.2187-5.172 .4375-10.5-.75-15.89C185.4 165.4 182.1 160.6 180.7 156.1C178.3 151.4 176 146.9 176 143.3c.0313-3.938 2.406-8.453 4.906-13.22c2.312-4.422 4.719-9 5.875-14.12C188 110.7 187.8 105.4 187.7 100.3C187.6 94.98 187.4 89.91 189 86.5s5.656-6.391 9.906-9.562c4-2.984 8.156-6.078 11.47-10.28c3.25-4.125 5.312-8.891 7.312-13.48c2.125-4.953 4.156-9.625 7.125-12.02C227.7 38.89 232.5 37.98 237.6 37.02C242.5 36.09 247.6 35.14 252.4 32.8c4.656-2.266 8.5-5.609 12.25-8.859C268.7 20.42 272.5 17.11 276.3 16.25c3.781-.7344 8.531 .5156 13.66 1.938C294.6 19.52 299.5 20.89 304.7 20.92zM144 352C135.2 352 128 359.2 128 368C128 376.8 135.2 384 144 384S160 376.8 160 368C160 359.2 152.8 352 144 352zM80 352C71.17 352 64 359.2 64 368C64 376.8 71.16 384 80 384S96 376.8 96 368C96 359.2 88.84 352 80 352zM112 448C120.8 448 128 440.8 128 432S120.8 416 112 416S96 423.2 96 432S103.2 448 112 448zM256 144C256 135.2 248.8 128 240 128S224 135.2 224 144C224 152.8 231.2 160 240 160S256 152.8 256 144zM400 416C391.2 416 384 423.2 384 432s7.164 16 16 16s16-7.164 16-16S408.8 416 400 416zM368 352C359.2 352 352 359.2 352 368C352 376.8 359.2 384 368 384s16-7.164 16-15.1C384 359.2 376.8 352 368 352zM564.9 338.9c-5.969-21.92-20-44.75-39.53-64.28c-19.5-19.52-42.34-33.56-64.28-39.55c-7.18-1.969-4.678-.3027-29.28-6.391c-14.16-3.484-24-5.719-31.06-4.062c-7.656 1.75-13.44 6.766-18.53 11.22c-3.094 2.656-6 5.188-8.75 6.516c-2.906 1.422-6.75 2.141-10.84 2.906c-6.5 1.234-13.88 2.625-19.81 7.406c-6.031 4.875-9.062 11.91-11.75 18.11c-1.656 3.828-3.219 7.453-5.188 9.938c-2 2.531-5.156 4.875-8.469 7.359C312 292.1 305.9 296.6 302.6 303.6c-3.312 6.922-3.094 14.52-2.875 21.22c.125 4.25 .2187 8.266-.5313 11.52c-.6875 3.109-2.531 6.578-4.438 10.27C291.6 352.6 288.1 359.3 288 367.2c-.0313 7.562 3.375 14.25 6.375 20.16c1.969 3.828 3.812 7.438 4.531 10.78c.7187 3.359 .5625 7.438 .375 11.73c-.2813 6.672-.5938 14.22 2.594 21.08c3.312 7.125 9.375 11.73 14.72 15.81c3.25 2.484 6.344 4.828 8.25 7.312c2 2.594 3.562 6.266 5.219 10.16c2.625 6.188 5.562 13.19 11.5 18.06c5.969 4.891 13.34 6.359 19.84 7.656c4.031 .8125 7.844 1.562 10.69 2.984c2.812 1.406 5.719 4.016 8.812 6.766c5 4.453 10.69 9.516 18.19 11.33c7.5 1.766 14.72-.1719 21.09-1.859c4-1.062 7.75-2.062 10.94-2.062c3.344-.9844 6.75 1.031 10.66 2.125C446.5 510.5 451.7 512 457.2 512c1.969 0 4-.1875 6.062-.6562c7.656-1.75 13.44-6.766 18.53-11.22c3.094-2.656 6-5.188 8.75-6.516c2.906-1.422 6.75-2.141 10.84-2.906c6.5-1.234 13.88-2.625 19.81-7.406c6.031-4.875 9.062-11.91 11.75-18.11c1.656-3.828 3.219-7.453 5.188-9.938c2-2.531 5.125-4.875 8.469-7.344c5.344-3.984 11.44-8.516 14.78-15.5C564.1 426.9 572.1 365.5 564.9 338.9zM546.1 425.5c-1.625 3.422-5.656 6.406-9.906 9.562c-4 2.984-8.156 6.078-11.47 10.28c-3.25 4.125-5.312 8.891-7.312 13.48c-2.125 4.953-4.156 9.625-7.125 12.02c-2.812 2.266-7.625 3.172-12.72 4.141c-4.938 .9219-10.03 1.875-14.88 4.219c-4.656 2.266-8.5 5.609-12.25 8.859c-4.031 3.516-7.844 6.828-11.56 7.688c-3.75 .8125-8.531-.5-13.66-1.938c-4.719-1.328-9.625-2.703-14.81-2.734h-.1562c-5.281 0-10.25 1.312-15.03 2.594c-5.031 1.359-9.812 2.609-13.25 1.766c-3.594-.8594-7.344-4.188-11.28-7.719c-3.75-3.328-7.625-6.766-12.34-9.125c-4.75-2.375-9.781-3.391-14.69-4.359c-5.125-1.016-9.969-1.984-12.81-4.328c-2.875-2.359-4.844-7.016-6.938-11.94c-1.969-4.656-4-9.469-7.25-13.7C334.3 440.1 330.2 437 326.3 434c-4.25-3.234-8.25-6.297-9.906-9.828c-1.531-3.328-1.344-8.344-1.125-13.66c.2187-5.125 .4375-10.44-.7187-15.8s-3.562-10.08-5.875-14.64C306.3 375.4 304 370.9 304 367.3c.0313-3.938 2.406-8.453 4.906-13.22c2.312-4.422 4.719-9 5.875-14.12c1.219-5.234 1.062-10.48 .9375-15.56c-.1562-5.359-.3125-10.44 1.312-13.84s5.656-6.391 9.906-9.562c4-2.984 8.156-6.078 11.47-10.28c3.25-4.125 5.312-8.891 7.312-13.48c2.125-4.953 4.156-9.625 7.125-12.02c2.812-2.266 7.625-3.172 12.72-4.141c4.938-.9219 10.03-1.875 14.88-4.219c4.656-2.266 8.5-5.609 12.25-8.859c4.031-3.516 7.844-6.828 11.56-7.688c1.381-.3027 3.85-.0625 6.611 .3457c-2.012 1.4-4.211 2.543-5.955 4.295c-12.72 12.72-16.22 32.66-9.781 56.17c5.969 21.92 20 44.75 39.53 64.28c19.5 19.52 42.34 33.56 64.28 39.55c7.688 2.094 15.03 3.141 21.84 3.141c11.7 0 21.43-3.773 29.46-9.822C549.3 411.8 548.2 422.7 546.1 425.5zM543.8 383.8c-8.469 8.484-22.88 10.47-40.63 5.656c-19.31-5.266-39.63-17.84-57.19-35.42c-17.59-17.59-30.16-37.89-35.41-57.19c-4.844-17.72-2.844-32.16 5.656-40.64c5.469-5.453 13.38-8.234 23.06-8.234c5.344 0 11.25 .8594 17.56 2.578c19.31 5.266 39.63 17.84 57.19 35.42c17.59 17.59 30.16 37.89 35.41 57.19C554.3 360.9 552.3 375.3 543.8 383.8z"],
    "family": [512, 512, [], "e300", "M384 128c35.38 0 64-28.62 64-64s-28.62-64-64-64s-64 28.62-64 64S348.6 128 384 128zM384 16c26.47 0 48 21.53 48 48S410.5 112 384 112S336 90.47 336 64S357.5 16 384 16zM256 240c30.95 0 56-25.05 56-56S286.1 128 256 128S200 153 200 184S225 240 256 240zM256 144c22.06 0 40 17.94 40 40S278.1 224 256 224S216 206.1 216 184S233.9 144 256 144zM336 384v-64c0-26.51-21.49-48-48-48H224c-26.51 0-48 21.49-48 48v64c0 17.67 14.33 32 32 32v64c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32v-64C321.7 416 336 401.7 336 384zM288 480c0 8.822-7.178 16-16 16h-32C231.2 496 224 488.8 224 480v-64h64V480zM320 384c0 8.822-7.178 16-16 16h-96C199.2 400 192 392.8 192 384v-64c0-17.64 14.36-32 32-32h64c17.64 0 32 14.36 32 32V384zM128 128c35.38 0 64-28.62 64-64S163.4 0 128 0S64 28.62 64 64S92.63 128 128 128zM128 16c26.47 0 48 21.53 48 48S154.5 112 128 112S80 90.47 80 64S101.5 16 128 16zM511.4 363.6L459.8 183.2C455.9 169.5 443.4 160 429.1 160h-90.13c-3.141 0-6.143 .6289-9.043 1.49c2.105 5.084 3.617 10.45 4.641 15.99C336 177 337.3 176 338.9 176h90.13c7.105 0 13.43 4.771 15.38 11.6L495.1 368H360V480c0 8.828-7.188 16-16 16c-2.34 0-4.525-.5625-6.531-1.469l-11.23 11.23C331.4 509.4 337.3 512 344 512c17.66 0 32-14.36 32-32v-96h16v96c0 17.64 14.34 32 32 32s32-14.36 32-32v-96h39.99C506.6 384 514.3 373.8 511.4 363.6zM440 480c0 8.828-7.188 16-16 16s-16-7.172-16-16v-96h32V480zM168 496c-8.812 0-16-7.172-16-16v-144H64c-8.822 0-16-7.178-16-16V224c0-26.47 21.53-48 48-48h64c6.107 0 11.9 1.258 17.28 3.346c.8574-5.342 2.209-10.49 4.072-15.42C174.6 161.5 167.5 160 160 160H96C60.65 160 32 188.7 32 224v96c0 14.83 10.3 26.76 24 30.38V480c0 17.64 14.34 32 32 32s32-14.36 32-32v-128h16v128c0 17.64 14.34 32 32 32c6.746 0 12.64-2.609 17.77-6.234l-11.23-11.23C172.5 495.4 170.3 496 168 496zM104 480c0 8.828-7.188 16-16 16s-16-7.172-16-16v-128h32V480z"],
    "family-dress": [512, 512, [], "e301", "M384 128c35.38 0 64-28.62 64-64s-28.62-64-64-64s-64 28.62-64 64S348.6 128 384 128zM384 16c26.47 0 48 21.53 48 48S410.5 112 384 112S336 90.47 336 64S357.5 16 384 16zM256 240c30.95 0 56-25.05 56-56S286.1 128 256 128S200 153 200 184S225 240 256 240zM256 144c22.06 0 40 17.94 40 40S278.1 224 256 224S216 206.1 216 184S233.9 144 256 144zM168 496c-8.812 0-16-7.172-16-16v-112H16.01l51.54-180.4C69.5 180.8 75.83 176 82.94 176h90.13c1.625 0 2.902 1.016 4.402 1.482C178.5 171.9 180 166.6 182.1 161.5C179.2 160.6 176.2 160 173.1 160H82.94C68.65 160 56.09 169.5 52.17 183.2l-51.54 180.4C-2.297 373.8 5.379 384 16.01 384H56v96c0 17.64 14.34 32 32 32s32-14.36 32-32v-96h16v96c0 17.64 14.34 32 32 32c6.746 0 12.64-2.609 17.77-6.234l-11.23-11.23C172.5 495.4 170.3 496 168 496zM104 480c0 8.828-7.188 16-16 16s-16-7.172-16-16v-96h32V480zM128 128c35.38 0 64-28.62 64-64S163.4 0 128 0S64 28.62 64 64S92.63 128 128 128zM128 16c26.47 0 48 21.53 48 48S154.5 112 128 112S80 90.47 80 64S101.5 16 128 16zM511.4 363.6L459.8 183.2C455.9 169.5 443.4 160 429.1 160h-90.13c-3.141 0-6.143 .6289-9.043 1.49c2.105 5.084 3.617 10.45 4.641 15.99C336 177 337.3 176 338.9 176h90.13c7.105 0 13.43 4.771 15.38 11.6L495.1 368H360V480c0 8.828-7.188 16-16 16c-2.34 0-4.525-.5625-6.531-1.469l-11.23 11.23C331.4 509.4 337.3 512 344 512c17.66 0 32-14.36 32-32v-96h16v96c0 17.64 14.34 32 32 32s32-14.36 32-32v-96h39.99C506.6 384 514.3 373.8 511.4 363.6zM440 480c0 8.828-7.188 16-16 16s-16-7.172-16-16v-96h32V480zM336 384v-64c0-26.51-21.49-48-48-48H224c-26.51 0-48 21.49-48 48v64c0 17.67 14.33 32 32 32v64c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32v-64C321.7 416 336 401.7 336 384zM288 480c0 8.822-7.178 16-16 16h-32C231.2 496 224 488.8 224 480v-64h64V480zM320 384c0 8.822-7.178 16-16 16h-96C199.2 400 192 392.8 192 384v-64c0-17.64 14.36-32 32-32h64c17.64 0 32 14.36 32 32V384z"],
    "family-pants": [448, 512, [], "e302", "M352 128c35.38 0 64-28.62 64-64s-28.62-64-64-64s-64 28.62-64 64S316.6 128 352 128zM352 16c26.47 0 48 21.53 48 48S378.5 112 352 112S304 90.47 304 64S325.5 16 352 16zM224 240c30.95 0 56-25.05 56-56S254.1 128 224 128S168 153 168 184S193 240 224 240zM224 144c22.06 0 40 17.94 40 40S246.1 224 224 224S184 206.1 184 184S201.9 144 224 144zM96 128c35.38 0 64-28.62 64-64S131.4 0 96 0S32 28.62 32 64S60.63 128 96 128zM96 16c26.47 0 48 21.53 48 48S122.5 112 96 112S48 90.47 48 64S69.53 16 96 16zM384 160h-64c-7.527 0-14.64 1.537-21.35 3.924c1.863 4.936 3.215 10.08 4.072 15.42C308.1 177.3 313.9 176 320 176h64c26.47 0 48 21.53 48 48v96c0 8.822-7.178 16-16 16h-88V480c0 8.828-7.188 16-16 16c-2.338 0-4.525-.5625-6.531-1.469l-11.23 11.23C299.4 509.4 305.3 512 312 512c17.66 0 32-14.36 32-32v-128h16v128c0 17.64 14.34 32 32 32s32-14.36 32-32v-129.6C437.7 346.8 448 334.8 448 320V224C448 188.7 419.3 160 384 160zM408 480c0 8.828-7.188 16-16 16s-16-7.172-16-16v-128h32V480zM304 384v-64c0-26.51-21.49-48-48-48H192c-26.51 0-48 21.49-48 48v64c0 17.67 14.33 32 32 32v64c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32v-64C289.7 416 304 401.7 304 384zM256 480c0 8.822-7.178 16-16 16h-32C199.2 496 192 488.8 192 480v-64h64V480zM288 384c0 8.822-7.178 16-16 16h-96C167.2 400 160 392.8 160 384v-64c0-17.64 14.36-32 32-32h64c17.64 0 32 14.36 32 32V384zM136 496c-8.812 0-16-7.172-16-16v-144H32c-8.822 0-16-7.178-16-16V224c0-26.47 21.53-48 48-48h64c6.107 0 11.9 1.258 17.28 3.346c.8574-5.342 2.209-10.49 4.072-15.42C142.6 161.5 135.5 160 128 160H64C28.65 160 0 188.7 0 224v96c0 14.83 10.3 26.76 24 30.38V480c0 17.64 14.34 32 32 32s32-14.36 32-32v-128h16v128c0 17.64 14.34 32 32 32c6.746 0 12.64-2.609 17.77-6.234l-11.23-11.23C140.5 495.4 138.3 496 136 496zM72 480c0 8.828-7.188 16-16 16s-16-7.172-16-16v-128h32V480z"],
    "fan": [512, 512, [], "f863", "M349.6 123.1c-23.22 0-45.2 3.031-65.53 9.031l10.75-107c.7656-7.063-1.719-14.03-6.813-19.06c-5.297-5.219-12.53-7.656-20.06-6.781C185.9 10.46 123.1 80.21 123.1 162.4c0 23.16 3.031 45.13 9.031 65.5L26.04 217.1C18.76 216.5 11.98 218.9 6.965 223.1C1.747 229.3-.7222 236.6 .1841 244c10.28 82.06 80.02 143.1 162.2 143.1c23.16 0 45.14-3.031 65.53-9.031l-10.75 106.1c-.7656 7.063 1.719 14 6.828 19.06C228.6 509.5 234.7 512 241 512c1 0 2-.0625 3-.1875c82.06-10.28 143.1-80.03 143.1-162.2c0-23.19-3.031-45.16-9.031-65.53l106.1 10.78c7.109 .5 14.06-1.75 19.09-6.844c5.219-5.281 7.688-12.56 6.781-20.03C501.5 185.9 431.8 123.1 349.6 123.1zM493.6 276.8c-.9219 .9375-2.906 2.438-6.047 2.125l-131.9-13.28l4.359 12c7.953 21.84 11.98 46.06 11.98 71.97c0 74.13-55.86 137.1-129.9 146.3c-2.297 .2813-5.016-.5313-6.828-2.344c-.9532-.9375-2.5-2.938-2.172-5.969l13.27-131.1l-11.97 4.344c-21.89 7.969-46.11 12-71.99 12c-74.13 0-137-55.88-146.3-129.9c-.3125-2.563 .5313-5.031 2.297-6.844c.9375-.9375 2.781-2.406 6.031-2.125l131.1 13.22l-4.359-11.97C144 212.5 139.1 188.3 139.1 162.4c0-74.13 55.86-137.1 129.9-146.3c2.484-.2813 5.047 .5313 6.844 2.313c.9532 .9375 2.484 2.938 2.156 6l-13.27 131.1l11.97-4.344c21.81-7.969 46.03-12 71.99-12c74.13 0 137 55.88 146.3 129.9C496.3 272.5 495.4 274.1 493.6 276.8zM256 215.1c-22.06 0-40 17.94-40 40S233.9 295.1 256 295.1s40-17.94 40-40S278.1 215.1 256 215.1zM256 280c-13.23 0-24-10.78-24-24s10.77-24 24-24s24 10.78 24 24S269.2 280 256 280z"],
    "fan-table": [448, 512, [], "e004", "M224 212C217.3 212 212 217.3 212 224S217.3 236 224 236S236 230.7 236 224S230.7 212 224 212zM381 270.1c5.891-5.031 9.266-12.34 9.266-20.06c.1406-38.81-22.55-74.47-57.8-90.84c-31.91-14.78-69.17-11.53-97.81 7.781L202.3 80.75C199.8 73.81 193.4 67.63 186.1 64.97C179 62.41 171.6 63.16 164.6 67.09c-22.91 13.16-39.89 35.31-46.56 60.72C107.3 168.1 122.6 220.2 170.7 243.1l-58.84 71.5c-6.406 7.875-6.609 15.75-5.641 20.94c1.406 7.625 6.453 14.91 12.86 18.56c15.7 9.062 32.86 13.38 49.81 13.34c34.58 0 68.25-17.91 86.77-49.88c9.875-17.22 14.28-37 12.77-56.72l91.25 15.22C367.4 277.4 375.1 275.2 381 270.1zM249 241.4l2.172 11.28c3.766 19.56 .4219 39.75-9.406 56.88c-23.19 40.03-74.67 53.81-114.7 30.66c-2-1.156-4.484-4.188-5.109-7.594c-.5156-2.781 .2344-5.375 2.281-7.875l72.95-88.63L186.4 232.3C133.4 213.5 125.8 160.8 133.5 131.9C139.1 110.6 153.3 92 172.5 81C174.3 79.97 176 79.47 177.7 79.47c1.016 0 2 .1875 2.984 .5313c3.266 1.188 5.875 4.156 6.703 6.344l40.13 106.1l8.672-7.375c24.78-21.09 59.94-25.88 89.61-12.22c29.59 13.75 48.64 43.72 48.53 76.31c0 3.062-1.328 5.938-3.656 7.938c-2.25 1.938-5.359 2.781-8.312 2.281L249 241.4zM448 224c0-123.5-100.5-224-224-224S0 100.5 0 224c0 120.8 96.21 219.3 216 223.6V496h-144C67.58 496 64 499.6 64 504S67.58 512 72 512h304c4.422 0 8-3.594 8-8s-3.578-8-8-8h-144v-48.4C351.8 443.3 448 344.8 448 224zM224 432c-114.9 0-208-93.13-208-208S109.1 16 224 16s208 93.13 208 208S338.9 432 224 432z"],
    "farm": [576, 512, ["barn-silo"], "f864", "M0 104C0 46.56 46.56 0 104 0C161.4 0 208 46.56 208 104V112C208 116.4 204.4 120 200 120C195.6 120 192 116.4 192 112V104C192 55.4 152.6 16 104 16C55.4 16 16 55.4 16 104V176H144C148.4 176 152 179.6 152 184C152 188.4 148.4 192 144 192H16V456C16 478.1 33.91 496 56 496H128C132.4 496 136 499.6 136 504C136 508.4 132.4 512 128 512H56C25.07 512 0 486.9 0 456V104zM400 192C417.7 192 432 206.3 432 224V288C432 305.7 417.7 320 400 320H336C318.3 320 304 305.7 304 288V224C304 206.3 318.3 192 336 192H400zM400 208H336C327.2 208 320 215.2 320 224V288C320 296.8 327.2 304 336 304H400C408.8 304 416 296.8 416 288V224C416 215.2 408.8 208 400 208V208zM508.7 118.1C514.7 120.4 519.4 125 521.1 130.9L573.1 249.7C575.3 252.8 576 256 576 259.3V472C576 494.1 558.1 512 536 512H199.1C177.9 512 159.1 494.1 159.1 472V259.3C159.1 256 160.7 252.8 162 249.7L214 130.9C216.6 125 221.3 120.4 227.3 118.1L359.3 66.8C364.9 64.62 371.1 64.62 376.7 66.8L508.7 118.1zM233.1 133C231.1 133.8 229.5 135.3 228.7 137.3L176.7 256.1C176.2 257.2 176 258.2 176 259.3V472C176 485.3 186.7 496 200 496H288V424C288 401.9 305.9 384 328 384H408C430.1 384 448 401.9 448 424V496H536C549.3 496 560 485.3 560 472V259.3C560 258.2 559.8 257.2 559.3 256.1L507.3 137.3C506.5 135.3 504.9 133.8 502.9 133L370.9 81.71C369 80.99 366.1 80.99 365.1 81.71L233.1 133zM304 496H432V424C432 410.7 421.3 400 408 400H328C314.7 400 304 410.7 304 424V496z"],
    "faucet": [512, 512, [], "e005", "M352 256h-38.54c-21.33-18.24-50.05-29.63-81.74-31.32C231.7 224.4 232 224.3 232 224V177.8l134.4 14.16c.5547 .0586 1.105 .0859 1.648 .0859C376.8 191.1 384 184.6 384 175.2V112.9c0-9.416-7.217-16.85-15.99-16.85c-.543 0-1.082 .0469-1.637 .1055L232 111.1V72C232 67.59 228.4 64 224 64S216 67.59 216 72v39.14L81.63 96.14C81.07 96.08 80.53 96.04 79.99 96.04C71.21 96.04 64 103.5 64 112.9v62.27c0 9.416 7.205 16.84 15.98 16.84c.543 0 1.094-.0273 1.648-.0859L216 177.8V224c0 .2637 .2559 .4199 .2813 .6758C184.6 226.4 155.9 237.8 134.5 256H32C14.33 256 0 270.3 0 288v64c0 17.67 14.33 32 32 32h76.78C129.4 421.7 173 448 224 448s94.63-26.27 115.2-64H352c17.58 0 32.14 14.33 32 31.91C383.9 433.7 398.3 448 416 448h64c17.11 0 31.85-13.51 31.99-30.62C512.7 328.4 440.8 256 352 256zM368 112L368.1 176L232 161.7V127.2L368 112zM80 175.2L79.93 112L216 127.2v34.38L80 175.2zM480 432h-64c-4.275 0-8.305-1.688-11.34-4.752c-3.037-3.062-4.689-7.105-4.654-11.38c.1016-12.64-4.775-24.57-13.74-33.6C377.1 373.1 364.1 368 352 368h-22.29l-4.549 8.338C306.7 410.2 267 432 224 432s-82.71-21.85-101.2-55.66L118.3 368H32c-8.822 0-16-7.178-16-16V288c0-8.822 7.178-16 16-16h108.5l4.49-3.842C166.2 250 194.3 240 224 240s57.77 10 78.99 28.16L307.5 272H352c38.7 0 75.02 15.13 102.3 42.61c27.24 27.47 42.06 63.92 41.73 102.6C495.9 425.2 488.6 432 480 432z"],
    "faucet-drip": [512, 512, [128688], "e006", "M441.4 419.5c-4.688 6.781-28.06 41.53-28.06 57.88C413.3 496.4 428.9 512 448 512s34.66-15.56 34.66-34.66c0-16.34-23.38-51.09-28.06-57.88C451.6 415.1 444.4 415.1 441.4 419.5zM448 496c-10.28 0-18.66-8.375-18.66-18.66c0-6.75 9.5-24.28 18.66-38.78c9.156 14.5 18.66 32.03 18.66 38.78C466.7 487.6 458.3 496 448 496zM352 192h-38.54c-21.33-18.24-50.05-29.63-81.74-31.32C231.7 160.4 232 160.3 232 160V113.8l134.4 14.16c.5547 .0586 1.105 .0859 1.648 .0859C376.8 127.1 384 120.6 384 111.2V48.89c0-9.416-7.221-16.86-15.99-16.86c-.543 0-1.078 .0596-1.633 .1182L232 47.14V8C232 3.594 228.4 0 224 0S216 3.594 216 8v39.14L81.63 32.14c-.5547-.0586-1.09-.1182-1.633-.1182C71.22 32.03 64 39.47 64 48.89v62.27c0 9.416 7.205 16.84 15.98 16.84c.543 0 1.094-.0273 1.648-.0859L216 113.8V160c0 .2637 .2559 .4199 .2813 .6758C184.6 162.4 155.9 173.8 134.5 192H32C14.33 192 0 206.3 0 224v64c0 17.67 14.33 32 32 32h76.78C129.4 357.7 173 384 224 384s94.63-26.27 115.2-64H352c17.58 0 32.14 14.33 32 31.91C383.9 369.7 398.3 384 416 384h64c17.11 0 31.85-13.51 31.99-30.62C512.7 264.4 440.8 192 352 192zM232 63.25l136-15.17L368.1 112L232 97.67V63.25zM216 97.63L80 111.2L79.85 48.06L216 63.25V97.63zM480 368h-64c-4.275 0-8.305-1.688-11.34-4.752c-3.037-3.062-4.689-7.105-4.654-11.38c.1016-12.64-4.775-24.57-13.74-33.6C377.1 309.1 364.1 304 352 304h-22.29L325.2 312.3C306.7 346.2 267 368 224 368s-82.71-21.85-101.2-55.66L118.3 304H32C23.18 304 16 296.8 16 288V224c0-8.822 7.178-16 16-16h108.5l4.49-3.842C166.2 186 194.3 176 224 176s57.77 10 78.99 28.16L307.5 208H352c38.7 0 75.02 15.13 102.3 42.61c27.24 27.47 42.06 63.92 41.73 102.6C495.9 361.2 488.6 368 480 368z"],
    "fax": [512, 512, [128439, 128224], "f1ac", "M432 368H416c-13.25 0-24 10.75-24 24v16c0 13.25 10.75 24 24 24h16c13.26 0 24-10.75 24-24v-16C456 378.7 445.3 368 432 368zM440 408c0 4.41-3.588 8-8 8H416c-4.41 0-8-3.59-8-8v-16c0-4.41 3.59-8 8-8h16c4.412 0 8 3.59 8 8V408zM240 368H224c-13.25 0-24 10.75-24 24v16c0 13.25 10.75 24 24 24h16c13.26 0 24-10.75 24-24v-16C264 378.7 253.3 368 240 368zM248 408C248 412.4 244.4 416 240 416H224c-4.41 0-8-3.59-8-8v-16C216 387.6 219.6 384 224 384h16c4.412 0 8 3.59 8 8V408zM240 272H224c-13.25 0-24 10.75-24 24v16c0 13.25 10.75 24 24 24h16c13.26 0 24-10.75 24-24v-16C264 282.7 253.3 272 240 272zM248 312C248 316.4 244.4 320 240 320H224c-4.41 0-8-3.59-8-8v-16C216 291.6 219.6 288 224 288h16c4.412 0 8 3.59 8 8V312zM336 272H320c-13.25 0-24 10.75-24 24v16c0 13.25 10.75 24 24 24h16c13.26 0 24-10.75 24-24v-16C360 282.7 349.3 272 336 272zM344 312c0 4.41-3.588 8-8 8H320c-4.41 0-8-3.59-8-8v-16C312 291.6 315.6 288 320 288h16c4.412 0 8 3.59 8 8V312zM432 272H416c-13.25 0-24 10.75-24 24v16c0 13.25 10.75 24 24 24h16c13.26 0 24-10.75 24-24v-16C456 282.7 445.3 272 432 272zM440 312c0 4.41-3.588 8-8 8H416c-4.41 0-8-3.59-8-8v-16C408 291.6 411.6 288 416 288h16c4.412 0 8 3.59 8 8V312zM336 368H320c-13.25 0-24 10.75-24 24v16c0 13.25 10.75 24 24 24h16c13.26 0 24-10.75 24-24v-16C360 378.7 349.3 368 336 368zM344 408c0 4.41-3.588 8-8 8H320c-4.41 0-8-3.59-8-8v-16c0-4.41 3.59-8 8-8h16c4.412 0 8 3.59 8 8V408zM464 192H192C179.7 192 168.5 196.8 160 204.5V112C160 85.6 138.4 64 112 64h-64C21.6 64 0 85.6 0 112v352C0 490.4 21.6 512 48 512h64c16.65 0 31.36-8.611 39.97-21.58C160.6 503.4 175.3 512 192 512h272c26.51 0 48-21.49 48-48v-224C512 213.5 490.5 192 464 192zM144 464c0 17.64-14.36 32-32 32h-64c-17.64 0-32-14.36-32-32v-352c0-17.64 14.36-32 32-32h64c17.64 0 32 14.36 32 32V464zM496 464c0 17.64-14.36 32-32 32H192c-17.64 0-32-14.36-32-32v-224c0-17.64 14.36-32 32-32h272c17.64 0 32 14.36 32 32V464zM176 152C176 156.4 179.6 160 184 160S192 156.4 192 152v-112C192 26.8 202.8 16 216 16h178.7c6.367 0 12.47 2.529 16.97 7.031l45.25 45.25C461.5 72.78 464 78.89 464 85.26V152C464 156.4 467.6 160 472 160S480 156.4 480 152V85.25c0-10.61-4.213-20.78-11.71-28.28l-45.26-45.26C415.6 4.266 405.3 0 394.8 0H216C193.9 0 176 17.94 176 40V152z"],
    "feather": [512, 512, [129718], "f52d", "M467.1 44.85C438.3 16.11 401.7 0 361.7 0c-46.67 0-97.7 21.82-146.5 70.62L129.5 156.2c-60.49 60.37-70.37 150.7-63.62 211.1c.2891 2.674 .8223 5.08 1.174 7.631c2.076 15.06 8.48 28.96 18.04 40.62l-82.75 82.75c-3.125 3.125-3.125 8.188 0 11.31C3.906 511.2 5.938 512 8 512s4.094-.7813 5.656-2.344l82.73-82.73c11.69 9.658 25.64 16.14 40.78 18.22c2.457 .3379 4.969 .6484 7.537 .9297c10.42 1.164 21.68 1.881 33.58 1.881c57.04 0 127.5-15.39 177.5-65.45l85.62-85.74C531.9 206.2 529.5 107.4 467.1 44.85zM82.9 372.8c-.3301-2.398-2.072-17.52-2.072-17.52c-4.355-59.42 9.131-136.1 59.98-187.7l85.74-85.62C269.7 38.8 316.5 16 361.9 16c35.25 0 67.77 13.85 94.01 40.02C501.8 102 507.8 163.6 476.2 224h-176.9l50.34-50.34c3.125-3.125 3.125-8.188 0-11.31s-8.188-3.125-11.31 0l-241.5 241.5C89.74 394.7 84.49 384.4 82.9 372.8zM344.4 371.2c-52.75 52.86-126.7 60.75-166.2 60.75c-8.785 0-17.49-.3828-25.96-1.143c0 0-10.66-1.201-12.97-1.518c-11.65-1.605-22.02-6.912-31.2-14.14L187.3 336h192.3L344.4 371.2zM430.1 285.5L395.6 320H203.3l80-80h182.9C456.4 255.4 444.8 270.7 430.1 285.5z"],
    "feather-pointed": [512, 512, ["feather-alt"], "f56b", "M478.9 .0846C361.4 8.514-10.13 62.73 77.13 412.3c.6953 2.787 1.834 5.501 3.268 7.953l-78.05 78.04c-3.125 3.125-3.125 8.187 0 11.31c3.127 3.127 8.186 3.127 11.31 0l78.05-78.04c2.451 1.434 5.163 2.571 7.951 3.266c36.15 9.021 69.07 13.12 99.19 13.12c261.1 0 305.5-309.5 313.1-414.9C512.9 19.44 502.5-1.593 478.9 .0846zM198.8 432c-29.49 0-61.45-4.25-94.95-12.58l83.42-83.42h208.3C351.7 391.6 289 432 198.8 432zM283.3 240h166.7c-11.27 27.87-25.39 55.04-42.7 79.1H203.3L283.3 240zM456.1 224C456 224 456.1 224 456.1 224L299.3 224l42.35-42.34c3.125-3.125 3.125-8.187 0-11.31c-3.125-3.125-8.188-3.125-11.31 0l-237.8 237.8c-24.09-96.92-13.29-177.8 32.16-240.5c87-119.1 277.4-145.9 355.3-151.5c10.21-.366 16.56 7.521 15.95 15.95C493.2 71.39 483.9 148.2 456.1 224z"],
    "fence": [512, 512, [], "e303", "M72 32C74.52 32 76.89 33.19 78.4 35.2L123.2 94.93C126.3 99.09 128 104.1 128 109.3V160H200V109.3C200 104.1 201.7 99.09 204.8 94.93L249.6 35.2C251.1 33.19 253.5 32 256 32C258.5 32 260.9 33.19 262.4 35.2L307.2 94.93C310.3 99.09 312 104.1 312 109.3V160H384V109.3C384 104.1 385.7 99.09 388.8 94.93L433.6 35.2C435.1 33.19 437.5 32 440 32C442.5 32 444.9 33.19 446.4 35.2L491.2 94.93C494.3 99.09 496 104.1 496 109.3V456C496 469.3 485.3 480 472 480H408C394.7 480 384 469.3 384 456V368H312V456C312 469.3 301.3 480 288 480H224C210.7 480 200 469.3 200 456V368H128V456C128 469.3 117.3 480 104 480H40C26.75 480 16 469.3 16 456V109.3C16 104.1 17.68 99.09 20.8 94.93L65.6 35.2C67.11 33.19 69.48 32 72 32V32zM312 352H384V176H312V352zM128 176V352H200V176H128zM72 53.33L33.6 104.5C32.56 105.9 32 107.6 32 109.3V456C32 460.4 35.58 464 40 464H104C108.4 464 112 460.4 112 456V109.3C112 107.6 111.4 105.9 110.4 104.5L72 53.33zM440 53.33L401.6 104.5C400.6 105.9 400 107.6 400 109.3V456C400 460.4 403.6 464 408 464H472C476.4 464 480 460.4 480 456V109.3C480 107.6 479.4 105.9 478.4 104.5L440 53.33zM216 109.3V456C216 460.4 219.6 464 224 464H288C292.4 464 296 460.4 296 456V109.3C296 107.6 295.4 105.9 294.4 104.5L256 53.33L217.6 104.5C216.6 105.9 216 107.6 216 109.3z"],
    "ferris-wheel": [512, 512, [], "e174", "M61.9 301.1C67.02 322.6 75.34 341.9 86.3 359.4C93.73 354.7 102.5 352 112 352C138.5 352 160 373.5 160 400C160 426.5 138.5 448 112 448C85.49 448 64 426.5 64 400C64 388.8 67.83 378.5 74.26 370.3C61.33 350.2 51.63 327.9 45.91 303.1C20.37 302.9 0 281.8 0 256C0 230.6 19.78 209.8 44.79 208.1C50.09 183.4 59.62 160.2 72.59 139.4C67.18 131.6 64 122.2 64 112C64 85.49 85.49 64 112 64C121.9 64 131.1 66.99 138.7 72.13C159.7 58.56 183.2 48.51 208.3 42.85C210.8 18.76 231.2 0 256 0C280.8 0 301.2 18.76 303.7 42.85C328.8 48.51 352.3 58.56 373.3 72.13C380.9 66.1 390.1 64 400 64C426.5 64 448 85.49 448 112C448 122.2 444.8 131.6 439.4 139.4C452.4 160.2 461.9 183.4 467.2 208.1C492.2 209.8 512 230.6 512 256C512 281.8 491.6 302.9 466.1 303.1C460.4 327.9 450.7 350.2 437.7 370.3C444.2 378.5 448 388.8 448 400C448 426.5 426.5 448 400 448C373.5 448 352 426.5 352 400C352 373.5 373.5 352 400 352C409.5 352 418.3 354.7 425.7 359.4C436.7 341.9 444.1 322.6 450.1 301.1C432.9 296.7 419.7 282.1 416.7 264H303.3C301 277.7 292.1 289.4 281.7 296.6L358.1 478.7C364.7 494.5 353.1 512 335.9 512H176.1C158.9 512 147.3 494.5 153.9 478.7L230.3 296.6C219 289.4 210.1 277.7 208.7 264H95.34C92.3 282.1 79.15 296.7 61.9 301.1H61.9zM256 16C238.3 16 224 30.33 224 48C224 65.67 238.3 80 256 80C273.7 80 288 65.67 288 48C288 30.33 273.7 16 256 16zM302.7 59.04C298.3 77.68 283.1 92.14 264 95.34V208.7C271.3 209.9 278 212.8 283.8 216.9L360.9 139.8C355.3 131.1 352 122.4 352 112C352 101.3 355.5 91.49 361.4 83.52C343.5 72.43 323.8 64.07 302.7 59.04V59.04zM209.3 59.04C188.2 64.07 168.5 72.43 150.6 83.52C156.5 91.49 160 101.3 160 112C160 122.4 156.7 131.1 151.1 139.8L228.2 216.9C233.1 212.8 240.7 209.9 248 208.7V95.34C228.9 92.14 213.7 77.69 209.3 59.04V59.04zM112 160C101.6 160 92.03 156.7 84.18 151.1C73.48 169 65.5 188.8 60.81 209.7C78.6 214.6 92.24 229.5 95.34 248H208.7C209.9 240.7 212.8 233.1 216.9 228.2L139.8 151.1C131.1 156.7 122.4 160 112 160H112zM176.1 496H335.9C341.7 496 345.5 490.2 343.3 484.9L266.9 302.8C263.4 303.6 259.8 304 256 304C252.2 304 248.6 303.6 245.1 302.8L168.7 484.9C166.5 490.2 170.3 496 176.1 496V496zM451.2 209.7C446.5 188.8 438.5 169 427.8 151.1C419.1 156.7 410.4 160 400 160C389.6 160 380 156.7 372.2 151.1L295.1 228.2C299.2 233.1 302.1 240.7 303.3 248H416.7C419.8 229.5 433.4 214.6 451.2 209.7H451.2zM112 80C94.33 80 80 94.33 80 112C80 129.7 94.33 144 112 144C129.7 144 144 129.7 144 112C144 94.33 129.7 80 112 80zM400 144C417.7 144 432 129.7 432 112C432 94.33 417.7 80 400 80C382.3 80 368 94.33 368 112C368 129.7 382.3 144 400 144zM48 224C30.33 224 16 238.3 16 256C16 273.7 30.33 288 48 288C65.67 288 80 273.7 80 256C80 238.3 65.67 224 48 224zM464 288C481.7 288 496 273.7 496 256C496 238.3 481.7 224 464 224C446.3 224 432 238.3 432 256C432 273.7 446.3 288 464 288zM400 368C382.3 368 368 382.3 368 400C368 417.7 382.3 432 400 432C417.7 432 432 417.7 432 400C432 382.3 417.7 368 400 368zM112 432C129.7 432 144 417.7 144 400C144 382.3 129.7 368 112 368C94.33 368 80 382.3 80 400C80 417.7 94.33 432 112 432zM256 288C273.7 288 288 273.7 288 256C288 238.3 273.7 224 256 224C238.3 224 224 238.3 224 256C224 273.7 238.3 288 256 288z"],
    "ferry": [576, 512, [], "e4ea", "M112 184C112 179.6 115.6 176 120 176H456C460.4 176 464 179.6 464 184V256C464 260.4 460.4 264 456 264C451.6 264 448 260.4 448 256V192H128V256C128 260.4 124.4 264 120 264C115.6 264 112 260.4 112 256V184zM224 0H352C369.7 0 384 14.33 384 32V48H452C469.1 48 480.7 65.42 474.2 81.23L454.7 128H472C494.1 128 512 145.9 512 168V295.9C512 302.6 510.4 309.1 507.2 314.9L455 411.8C452.1 415.7 448.1 417.1 444.2 415C440.3 412.9 438.9 408.1 440.1 404.2L493.1 307.3C493.7 306.2 494.2 305.1 494.6 303.1H81.4C81.8 305.1 82.29 306.2 82.87 307.3L135 404.2C137.1 408.1 135.7 412.9 131.8 415C127.9 417.1 123.1 415.7 120.1 411.8L68.78 314.9C65.64 309.1 64 302.6 64 295.9V168C64 145.9 81.91 128 104 128H121.3L101.8 81.23C95.26 65.42 106.9 48 124 48H192V32C192 14.33 206.3 0 224 0L224 0zM352 16H224C215.2 16 208 23.16 208 32V48H368V32C368 23.16 360.8 16 352 16zM496 288V168C496 154.7 485.3 144 472 144H104C90.75 144 80 154.7 80 168V288H496zM124 64C118.3 64 114.4 69.81 116.6 75.08L138.7 128H437.3L459.4 75.08C461.6 69.81 457.7 64 452 64H124zM294.6 435.4C302.6 446.6 312.1 456.9 322.2 466.1C339.5 481.8 361.5 496 384 496C406.5 496 428.6 481.8 445.8 466.1C455.1 456.9 465.5 446.6 473.5 435.4C474.1 433.3 477.4 432 480 432C482.6 432 485.1 433.3 486.6 435.4C493.9 445.7 502.5 455 511.6 463.7C527.3 478.5 547.7 492.9 569 495.6C573.4 496.1 576.5 500.1 575.9 504.5C575.4 508.9 571.4 511.1 567 511.4C540.5 508.1 516.1 490.7 500.6 475.3C491.8 466.1 484.7 458.9 480 453.1C474.8 459.5 466.8 468.7 456.6 477.9C438.7 494.2 412.7 512 384 512C355.3 512 329.4 494.2 311.4 477.9C301.3 468.7 293.2 459.5 288 453.1L288 453.1L287.1 453.1C282.8 459.5 274.7 468.7 264.6 477.9C246.6 494.2 220.7 512 191.1 512C163.3 512 137.4 494.2 119.4 477.9C109.2 468.7 101.2 459.5 95.98 453.1C91.29 458.9 84.23 466.1 75.4 475.3C59.03 490.7 35.48 508.1 9.001 511.4C4.617 511.1 .616 508.9 .0637 504.5C-.4887 500.1 2.617 496.1 7.001 495.6C28.3 492.9 48.74 478.5 64.42 463.7C73.56 455 82.16 445.7 89.43 435.4C90.93 433.3 93.37 432 95.98 432C98.59 432 101 433.3 102.5 435.4C110.5 446.6 120 456.9 130.2 466.1C147.4 481.8 169.5 496 191.1 496C214.5 496 236.6 481.8 253.8 466.1C263.9 456.9 273.4 446.6 281.4 435.4C284.4 431.1 291.6 431.1 294.6 435.4H294.6z"],
    "field-hockey-stick-ball": [512, 512, [127953, "field-hockey"], "f44c", "M432.1 351.9c-44.2 0-80.05 35.84-80.05 80.01c0 44.17 35.86 80.01 80.05 80.01s79.95-35.84 79.95-80.01C511.1 387.8 476.2 351.9 432.1 351.9zM432.1 496C396.7 496 368 467.3 368 432s28.73-64 64.05-64c35.26 0 63.95 28.71 63.95 64S467.3 496 432.1 496zM497.7 23.08l-26.62-17.72C465.7 1.734 459.5 0 453.5 0c-10.22 0-20.26 4.908-26.44 14.01L166.6 397.4c-13.71 19.56-37.26 22.58-51.37 14.53c-15.5-8.734-20.13-24.29-19.29-35.92c.8224-11.2 4.156-15.17 16.51-32.89c15.17-21.76 9.875-51.65-11.84-66.86c-31.51-22.11-59.71 1.717-66.73 11.83L24.09 302.1c-13.81 19.8-22.03 43.01-23.73 67c-3.754 52.24 22.19 100.7 67.79 126.5C87.8 506.7 109.6 512 131.3 512c67.54 0 104.6-46.41 114.3-60.29l260.8-383.9C516.5 53.04 512.5 32.95 497.7 23.08zM232.5 442.6C224 454.7 190.8 496 131.2 496c-19.52 0-38.61-4.961-55.21-14.34c-40.13-22.69-63.01-65.37-59.7-111.4c1.496-21.12 8.719-41.5 20.89-58.96l9.809-14.08c10.01-14.41 29.85-18.1 44.41-7.885c14.45 10.12 17.99 30.14 7.891 44.63c-18.83 27.01-18.56 30.25-19.34 40.86c-1.195 16.53 5.375 38.61 27.32 50.97c28.96 16.53 59.94-1.415 72.54-19.4l184.3-271.4l53.2 35.43L232.5 442.6zM493.2 58.78l-66.86 98.43L373.2 121.8l67.09-98.78c2.063-3.036 11.28-11.45 21.99-4.324l26.61 17.72C496.3 41.34 498.2 51.39 493.2 58.78z"],
    "file": [384, 512, [128459, 61462, 128196], "f15b", "M0 64C0 28.65 28.65 0 64 0H204.1C216.8 0 229.1 5.057 238.1 14.06L369.9 145.9C378.9 154.9 384 167.2 384 179.9V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64zM368 448V179.9C368 178.6 367.9 177.3 367.8 176H248C225.9 176 208 158.1 208 136V16.24C206.7 16.08 205.4 16 204.1 16H64C37.49 16 16 37.49 16 64V448C16 474.5 37.49 496 64 496H320C346.5 496 368 474.5 368 448zM361.1 160C360.3 159 359.5 158.1 358.6 157.3L226.7 25.37C225.9 24.5 224.1 23.68 224 22.93V136C224 149.3 234.7 160 248 160H361.1z"],
    "file-arrow-down": [384, 512, ["file-download"], "f56d", "M374.6 150.6l-141.3-141.3C227.4 3.371 219.2 0 210.7 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.35 0 64-28.66 64-64V173.3C384 164.8 380.6 156.6 374.6 150.6zM224 22.63L361.4 160H248C234.8 160 224 149.2 224 136V22.63zM368 448c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V64c0-26.47 21.53-48 48-48h144v120c0 22.06 17.94 40 40 40h120V448zM199.4 232c0-4.406-3.578-8-8-8s-8 3.594-8 8v188.7l-93.17-93.17c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31l106.8 106.8c3.125 3.125 8.188 3.125 11.31 0l108-108c1.562-1.562 2.344-3.594 2.344-5.656s-.7813-4.094-2.344-5.656c-3.125-3.125-8.188-3.125-11.31 0l-94.34 94.34V232z"],
    "file-arrow-up": [384, 512, ["file-upload"], "f574", "M374.6 150.6l-141.3-141.3C227.4 3.371 219.2 0 210.7 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.35 0 64-28.66 64-64V173.3C384 164.8 380.6 156.6 374.6 150.6zM224 22.63L361.4 160H248C234.8 160 224 149.2 224 136V22.63zM368 448c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V64c0-26.47 21.53-48 48-48h144v120c0 22.06 17.94 40 40 40h120V448zM186.9 226.3l-108 108C77.37 335.9 76.59 337.9 76.59 340s.7813 4.094 2.344 5.656c3.125 3.125 8.188 3.125 11.31 0l94.34-94.34V440c0 4.406 3.578 8 8 8s8-3.594 8-8V251.3l93.17 93.17c3.125 3.125 8.188 3.125 11.31 0s3.125-8.188 0-11.31l-106.8-106.8C195.1 223.2 190.1 223.2 186.9 226.3z"],
    "file-audio": [384, 512, [], "f1c7", "M374.6 150.6l-141.3-141.3c-6-6.004-14.14-9.375-22.62-9.375L64-.0001c-35.35 0-64 28.65-64 64l.0065 384c0 35.34 28.65 64 64 64H320c35.35 0 64-28.66 64-64V173.3C384 164.8 380.6 156.6 374.6 150.6zM224 22.63l137.4 137.4H248c-13.22 0-24-10.77-24-24V22.63zM368 447.1c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48v-384c0-26.47 21.53-48 48-48h144v119.1c0 22.06 17.94 40 40 40h120V447.1zM179.7 249.5C172 246.3 163.7 248.1 157.8 254L124.6 288.1H100c-11.03 0-20 8.938-20 19.97v56c0 11.03 8.969 20.03 20 20.03h24.62l33.27 34.22c3.859 3.781 8.953 5.781 14.12 5.781c2.609 0 5.25-.5 7.75-1.562C187.3 419.3 192 412.2 192 404v-136C192 259.9 187.2 252.6 179.7 249.5zM176 404c0 2.312-1.516 3.359-2.406 3.734c-.7656 .3438-2.75 .8438-4.359-.75l-37.86-38.94H100c-2.203 0-4-1.781-4-4v-56c0-2.219 1.797-4 4-4h31.38l37.78-38.84C170.9 263.5 172.8 263.1 173.5 264.3C174.3 264.6 176 265.5 176 268V404zM258.4 405.7c1.578 1.906 3.859 2.875 6.156 2.875c1.812 0 3.609-.5938 5.109-1.844c22.45-18.62 34.81-43.78 34.81-70.78s-12.36-52.16-34.81-70.78c-3.391-2.812-8.406-2.344-11.27 1.031c-2.828 3.406-2.359 8.469 1.047 11.28c18.72 15.53 29.03 36.31 29.03 58.47s-10.31 42.94-29.03 58.47C256 397.3 255.6 402.3 258.4 405.7zM227.4 302.1c-3.438 2.781-3.953 7.812-1.156 11.25c5.453 6.688 8.344 14.53 8.344 22.62s-2.891 15.94-8.344 22.62c-2.797 3.438-2.281 8.469 1.156 11.25c1.484 1.219 3.266 1.812 5.047 1.812c2.312 0 4.625-1 6.203-2.938c7.812-9.594 11.94-20.91 11.94-32.75s-4.125-23.16-11.94-32.75C235.9 299.8 230.8 299.3 227.4 302.1z"],
    "file-binary": [384, 512, [], "e175", "M374.6 150.6l-141.3-141.3C227.4 3.371 219.2 0 210.7 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.35 28.65 64 64 64H320c35.35 0 64-28.65 64-64V173.3C384 164.8 380.6 156.6 374.6 150.6zM224 22.63L361.4 160H248C234.8 160 224 149.2 224 136V22.63zM368 448c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V64c0-26.47 21.53-48 48-48h144v120c0 22.06 17.94 40 40 40h120V448zM232 264c0 4.422 3.594 8 8 8h24v128H240c-4.406 0-8 3.578-8 8S235.6 416 240 416h64c4.406 0 8-3.578 8-8s-3.594-8-8-8h-24V264C280 259.6 276.4 256 272 256h-32C235.6 256 232 259.6 232 264zM144 256h-32C89.94 256 72 273.9 72 296v80C72 398.1 89.94 416 112 416h32c22.06 0 40-17.94 40-40v-80C184 273.9 166.1 256 144 256zM168 376c0 13.23-10.78 24-24 24h-32c-13.22 0-24-10.77-24-24v-80c0-13.23 10.78-24 24-24h32c13.22 0 24 10.77 24 24V376z"],
    "file-certificate": [512, 512, ["file-award"], "f5f3", "M230.9 360.3c3.219-12.25 3.219-12.25 12.02-21.16l2.61-2.656c9.001-9 12.53-22.31 9.235-34.78L254.2 299.5c-1.453-5.438-2.391-8.719-2.75-11.47c.3594-2.75 1.297-6.031 2.75-11.47l.6094-2.281c3.297-12.47-.2344-25.78-9.188-34.72L243.2 237.1C234.2 227.9 234.2 227.9 230.1 215.7L229.1 211.9C226.8 199.6 217.2 189.9 205 186.5l-3.672-1C189.3 182.2 189.3 182.2 180.4 173.2L177.9 170.6C168.1 161.5 155.8 157.9 143.6 161.2L140.1 162.2c-12.13 3.312-12.11 3.312-24.14 0L112.4 161.2C100.2 157.9 87.05 161.5 78.16 170.6l-2.547 2.562C66.63 182.2 66.63 182.2 54.64 185.5l-3.625 1C38.78 189.9 29.22 199.6 26.06 211.9L25.08 215.7C21.86 227.9 21.86 227.9 13.06 236.8L10.45 239.5c-9.001 9-12.53 22.31-9.235 34.78L1.824 276.5c1.594 5.938 2.547 9.312 2.828 10.72C4.371 290.2 3.418 293.5 1.824 299.5L1.215 301.7c-3.297 12.47 .2344 25.78 9.188 34.72l2.391 2.438c9.032 9.156 9.032 9.156 12.25 21.34l1 3.812c3.172 12.31 12.74 22.06 24.96 25.41l3.672 1c4.485 1.234 7.104 2.07 9.329 3.016v110.5c0 2.844 1.516 5.5 3.985 6.906c1.234 .7187 2.625 1.094 4.016 1.094c1.375 0 2.735-.3438 3.969-1.062l52.04-29.72l52 29.72c2.469 1.469 5.485 1.375 7.985-.0313c2.469-1.406 3.985-4.062 3.985-6.906l.0313-110.5c2.233-.9687 4.852-1.809 9.36-3.055l3.625-1c12.24-3.344 21.8-13.09 24.96-25.34L230.9 360.3zM175.1 490.2L131.1 465.1c-2.469-1.438-5.469-1.438-7.938 0l-44.03 25.16v-83.38c8.842 7.887 21.01 11.07 32.39 7.941l3.547-.9687c12.13-3.312 12.11-3.312 24.14 0l3.532 .9687c2.985 .8125 6.032 1.219 9.063 1.219c8.587 0 16.8-3.5 23.33-9.344L175.1 490.2zM215.5 356.3l-1 3.75c-1.75 6.781-6.985 12.12-13.72 13.97l-3.61 1c-15.38 4.25-16.69 5-28.11 16.56l-2.547 2.594c-4.891 4.938-11.97 6.969-18.69 5.156l-3.469-.9375c-7.751-2.156-12-3.219-16.27-3.219c-4.266 0-8.532 1.062-16.31 3.188l-3.5 .9687c-6.672 1.812-13.81-.1875-18.7-5.188l-2.5-2.531c-11.34-11.59-12.66-12.34-28.14-16.59l-3.657-1c-6.704-1.844-11.94-7.188-13.7-14.03l-1.016-3.812c-4.094-15.56-4.86-16.88-16.33-28.5L21.76 325.2C16.78 320.2 14.84 312.8 16.68 305.9l.5938-2.25C19.22 296.4 20.25 292.3 20.59 287.2C20.25 283.7 19.22 279.6 17.28 272.4L16.68 270.1C14.84 263.2 16.78 255.7 21.81 250.7l2.641-2.656c11.25-11.41 12-12.72 16.09-28.38l1-3.75c1.75-6.781 6.985-12.12 13.72-13.97l3.61-1c15.38-4.25 16.69-5 28.11-16.56l2.547-2.594c4.891-4.938 11.94-6.938 18.69-5.156l3.469 .9375c15.5 4.312 17.02 4.281 32.58 .0313l3.5-.9687C154.5 174.9 161.6 176.9 166.5 181.8l2.5 2.531c11.34 11.59 12.66 12.34 28.14 16.59l3.657 1c6.704 1.844 11.94 7.188 13.7 14.03L215.5 219.8c4.094 15.56 4.86 16.88 16.33 28.5L234.2 250.8c4.985 4.969 6.922 12.41 5.079 19.34L238.7 272.4C236.8 279.6 235.8 283.7 235.4 287.2L235.4 287.1l.0625 .75C235.8 292.3 236.8 296.4 238.7 303.6l.5938 2.25c1.844 6.938-.0938 14.38-5.125 19.41l-2.641 2.656C220.3 339.3 219.6 340.7 215.5 356.3zM502.6 150.6l-141.3-141.2C355.4 3.371 347.2-.0003 338.7-.0003L191.1-.0001c-35.35 0-64 28.65-64 64L127.1 119.1c0 4.418 3.582 8 8.001 8s8.001-3.582 8.001-8V63.1c0-26.51 21.49-48 48-48h144v119.1c0 22.09 17.91 40 40 40h120v272c0 26.51-21.49 48-48 48H232c-4.418 0-8.001 3.582-8.001 8s3.582 8 8.001 8l215.1 .0002c35.35 0 64-28.66 64-64V173.3C512 164.8 508.6 156.6 502.6 150.6zM375.1 159.1c-13.22 0-24-10.77-24-24V22.63l137.4 137.4H375.1z"],
    "file-chart-column": [384, 512, ["file-chart-line"], "f659", "M374.6 150.6l-141.3-141.3C227.4 3.371 219.2 0 210.7 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.35 0 64-28.66 64-64V173.3C384 164.8 380.6 156.6 374.6 150.6zM224 22.63L361.4 160H248C234.8 160 224 149.2 224 136V22.63zM368 448c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V64c0-26.47 21.53-48 48-48h144v120c0 22.06 17.94 40 40 40h120V448zM112 352h-32C71.16 352 64 359.2 64 368v64C64 440.8 71.16 448 80 448h32C120.8 448 128 440.8 128 432v-64C128 359.2 120.8 352 112 352zM112 432h-32v-64h32V432zM208 224h-32C167.2 224 160 231.2 160 240v192C160 440.8 167.2 448 176 448h32c8.838 0 16-7.164 16-16v-192C224 231.2 216.8 224 208 224zM208 432h-32v-192h32V432zM272 448h32c8.838 0 16-7.164 16-16v-128C320 295.2 312.8 288 304 288h-32C263.2 288 256 295.2 256 304v128C256 440.8 263.2 448 272 448zM272 304h32v128h-32V304z"],
    "file-chart-pie": [384, 512, [], "f65a", "M374.6 150.6l-141.3-141.3C227.4 3.371 219.2 0 210.7 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.35 0 64-28.66 64-64V173.3C384 164.8 380.6 156.6 374.6 150.6zM224 22.63L361.4 160H248C234.8 160 224 149.2 224 136V22.63zM368 448c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V64c0-26.47 21.53-48 48-48h144v120c0 22.06 17.94 40 40 40h120V448zM274.3 354.2c-4.312-1.344-8.688 1.156-9.953 5.375C252.9 398.1 218.3 424 178.3 424C128.5 424 88 383.5 88 333.8c0-40 25.91-74.59 64.45-86.09c4.234-1.25 6.641-5.719 5.391-9.938C156.6 233.5 152.2 230.9 147.9 232.3C102.5 245.8 72 286.6 72 333.8C72 392.3 119.7 440 178.3 440c47.17 0 87.94-30.5 101.4-75.91C280.9 359.8 278.5 355.4 274.3 354.2zM199.1 208.7C195 209.2 192 212.6 192 216.7V312C192 316.4 195.6 320 200 320h95.36c4 0 7.625-4.844 8.172-8.812C303.8 309.3 304 307.5 304 305.6C304 251.8 260.2 208 206.4 208C204.4 208 202.5 208.3 199.1 208.7zM208 224c43.73 .8438 79.14 36.28 79.98 80H208V224z"],
    "file-check": [384, 512, [], "f316", "M117.7 314.3c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31l64 64C171.8 391.2 173.9 392 175.1 392h.4375c2.281-.125 4.391-1.219 5.812-3l96-120c2.75-3.438 2.203-8.5-1.25-11.25C273.6 255 268.5 255.6 265.7 259l-90.41 113L117.7 314.3zM374.6 150.6l-141.3-141.3C227.4 3.371 219.2 0 210.7 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.35 0 64-28.66 64-64V173.3C384 164.8 380.6 156.6 374.6 150.6zM224 22.63L361.4 160H248C234.8 160 224 149.2 224 136V22.63zM368 448c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V64c0-26.47 21.53-48 48-48h144v120c0 22.06 17.94 40 40 40h120V448z"],
    "file-circle-check": [576, 512, [], "e5a0", "M64 496H311.2C317 501.5 323.2 506.6 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H204.1C216.8 0 229.1 5.057 238.1 14.06L369.9 145.9C378.9 154.9 384 167.2 384 179.9V198.6C378.6 200.2 373.2 201.1 368 203.1V179.9C368 178.6 367.9 177.3 367.8 176H248C225.9 176 208 158.1 208 136V16.24C206.7 16.08 205.4 16 204.1 16H64C37.49 16 16 37.49 16 64V448C16 474.5 37.49 496 64 496V496zM361.1 160C360.3 159 359.5 158.1 358.6 157.3L226.7 25.37C225.9 24.5 224.1 23.68 224 22.93V136C224 149.3 234.7 160 248 160H361.1zM501.7 322.3C504.8 325.5 504.8 330.5 501.7 333.7L421.7 413.7C418.5 416.8 413.5 416.8 410.3 413.7L362.3 365.7C359.2 362.5 359.2 357.5 362.3 354.3C365.5 351.2 370.5 351.2 373.7 354.3L416 396.7L490.3 322.3C493.5 319.2 498.5 319.2 501.7 322.3H501.7zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 496C502.7 496 560 438.7 560 368C560 297.3 502.7 240 432 240C361.3 240 304 297.3 304 368C304 438.7 361.3 496 432 496z"],
    "file-circle-exclamation": [576, 512, [], "e4eb", "M64 496H311.2C317 501.5 323.2 506.6 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H204.1C216.8 0 229.1 5.057 238.1 14.06L369.9 145.9C378.9 154.9 384 167.2 384 179.9V198.6C378.6 200.2 373.2 201.1 368 203.1V179.9C368 178.6 367.9 177.3 367.8 176H248C225.9 176 208 158.1 208 136V16.24C206.7 16.08 205.4 16 204.1 16H64C37.49 16 16 37.49 16 64V448C16 474.5 37.49 496 64 496V496zM361.1 160C360.3 159 359.5 158.1 358.6 157.3L226.7 25.37C225.9 24.5 224.1 23.68 224 22.93V136C224 149.3 234.7 160 248 160H361.1zM416 432C416 423.2 423.2 416 432 416C440.8 416 448 423.2 448 432C448 440.8 440.8 448 432 448C423.2 448 416 440.8 416 432zM431.1 280C436.4 280 439.1 283.6 439.1 288V384C439.1 388.4 436.4 392 431.1 392C427.6 392 423.1 388.4 423.1 384V288C423.1 283.6 427.6 280 431.1 280zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 240C361.3 240 304 297.3 304 368C304 438.7 361.3 496 432 496C502.7 496 560 438.7 560 368C560 297.3 502.7 240 432 240z"],
    "file-circle-info": [576, 512, [58604], "e493", "M64 496H311.2C317 501.5 323.2 506.6 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H204.1C216.8 0 229.1 5.057 238.1 14.06L369.9 145.9C378.9 154.9 384 167.2 384 179.9V198.6C378.6 200.2 373.2 201.1 368 203.1V179.9C368 178.6 367.9 177.3 367.8 176H248C225.9 176 208 158.1 208 136V16.24C206.7 16.08 205.4 16 204.1 16H64C37.49 16 16 37.49 16 64V448C16 474.5 37.49 496 64 496V496zM361.1 160C360.3 159 359.5 158.1 358.6 157.3L226.7 25.37C225.9 24.5 224.1 23.68 224 22.93V136C224 149.3 234.7 160 248 160H361.1zM432 288C440.8 288 448 295.2 448 304C448 312.8 440.8 320 432 320C423.2 320 416 312.8 416 304C416 295.2 423.2 288 432 288zM416 432H423.1V360H416C411.6 360 408 356.4 408 352C408 347.6 411.6 344 416 344H431.1C436.4 344 439.1 347.6 439.1 352V432H448C452.4 432 456 435.6 456 440C456 444.4 452.4 448 448 448H416C411.6 448 408 444.4 408 440C408 435.6 411.6 432 416 432zM432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512zM560 368C560 297.3 502.7 240 432 240C361.3 240 304 297.3 304 368C304 438.7 361.3 496 432 496C502.7 496 560 438.7 560 368z"],
    "file-circle-minus": [576, 512, [], "e4ed", "M64 496H311.2C317 501.5 323.2 506.6 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H204.1C216.8 0 229.1 5.057 238.1 14.06L369.9 145.9C378.9 154.9 384 167.2 384 179.9V198.6C378.6 200.2 373.2 201.1 368 203.1V179.9C368 178.6 367.9 177.3 367.8 176H248C225.9 176 208 158.1 208 136V16.24C206.7 16.08 205.4 16 204.1 16H64C37.49 16 16 37.49 16 64V448C16 474.5 37.49 496 64 496V496zM361.1 160C360.3 159 359.5 158.1 358.6 157.3L226.7 25.37C225.9 24.5 224.1 23.68 224 22.93V136C224 149.3 234.7 160 248 160H361.1zM512 367.1C512 372.4 508.4 375.1 504 375.1H360C355.6 375.1 352 372.4 352 367.1C352 363.6 355.6 359.1 360 359.1H504C508.4 359.1 512 363.6 512 367.1zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 496C502.7 496 560 438.7 560 368C560 297.3 502.7 240 432 240C361.3 240 304 297.3 304 368C304 438.7 361.3 496 432 496z"],
    "file-circle-plus": [576, 512, [58606], "e494", "M64 496H311.2C317 501.5 323.2 506.6 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H204.1C216.8 0 229.1 5.057 238.1 14.06L369.9 145.9C378.9 154.9 384 167.2 384 179.9V198.6C378.6 200.2 373.2 201.1 368 203.1V179.9C368 178.6 367.9 177.3 367.8 176H248C225.9 176 208 158.1 208 136V16.24C206.7 16.08 205.4 16 204.1 16H64C37.49 16 16 37.49 16 64V448C16 474.5 37.49 496 64 496V496zM361.1 160C360.3 159 359.5 158.1 358.6 157.3L226.7 25.37C225.9 24.5 224.1 23.68 224 22.93V136C224 149.3 234.7 160 248 160H361.1zM440 359.1H504C508.4 359.1 512 363.6 512 367.1C512 372.4 508.4 375.1 504 375.1H440V439.1C440 444.4 436.4 447.1 432 447.1C427.6 447.1 424 444.4 424 439.1V375.1H360C355.6 375.1 352 372.4 352 367.1C352 363.6 355.6 359.1 360 359.1H424V295.1C424 291.6 427.6 287.1 432 287.1C436.4 287.1 440 291.6 440 295.1V359.1zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 240C361.3 240 304 297.3 304 368C304 438.7 361.3 496 432 496C502.7 496 560 438.7 560 368C560 297.3 502.7 240 432 240z"],
    "file-circle-question": [576, 512, [], "e4ef", "M64 496H311.2C317 501.5 323.2 506.6 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H204.1C216.8 0 229.1 5.057 238.1 14.06L369.9 145.9C378.9 154.9 384 167.2 384 179.9V198.6C378.6 200.2 373.2 201.1 368 203.1V179.9C368 178.6 367.9 177.3 367.8 176H248C225.9 176 208 158.1 208 136V16.24C206.7 16.08 205.4 16 204.1 16H64C37.49 16 16 37.49 16 64V448C16 474.5 37.49 496 64 496V496zM361.1 160C360.3 159 359.5 158.1 358.6 157.3L226.7 25.37C225.9 24.5 224.1 23.68 224 22.93V136C224 149.3 234.7 160 248 160H361.1zM416 432C416 423.2 423.2 416 432 416C440.8 416 448 423.2 448 432C448 440.8 440.8 448 432 448C423.2 448 416 440.8 416 432zM368 317.9C368 296.1 384.1 280 405.9 280H449.1C475 280 496 300.1 496 326.9C496 345.3 485.2 362 468.4 369.6L440 382.4V392C440 396.4 436.4 400 432 400C427.6 400 424 396.4 424 392V377.2C424 374.1 425.8 371.2 428.7 369.1L461.8 355C472.9 350 480 339 480 326.9C480 309.8 466.2 295.1 449.1 295.1H405.9C393.8 295.1 384 305.8 384 317.9V319.1C384 324.4 380.4 328 376 328C371.6 328 368 324.4 368 319.1L368 317.9zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 240C361.3 240 304 297.3 304 368C304 438.7 361.3 496 432 496C502.7 496 560 438.7 560 368C560 297.3 502.7 240 432 240z"],
    "file-circle-xmark": [576, 512, [], "e5a1", "M64 496H311.2C317 501.5 323.2 506.6 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H204.1C216.8 0 229.1 5.057 238.1 14.06L369.9 145.9C378.9 154.9 384 167.2 384 179.9V198.6C378.6 200.2 373.2 201.1 368 203.1V179.9C368 178.6 367.9 177.3 367.8 176H248C225.9 176 208 158.1 208 136V16.24C206.7 16.08 205.4 16 204.1 16H64C37.49 16 16 37.49 16 64V448C16 474.5 37.49 496 64 496V496zM361.1 160C360.3 159 359.5 158.1 358.6 157.3L226.7 25.37C225.9 24.5 224.1 23.68 224 22.93V136C224 149.3 234.7 160 248 160H361.1zM443.3 368L493.7 418.3C496.8 421.5 496.8 426.5 493.7 429.7C490.5 432.8 485.5 432.8 482.3 429.7L432 379.3L381.7 429.7C378.5 432.8 373.5 432.8 370.3 429.7C367.2 426.5 367.2 421.5 370.3 418.3L420.7 368L370.3 317.7C367.2 314.5 367.2 309.5 370.3 306.3C373.5 303.2 378.5 303.2 381.7 306.3L432 356.7L482.3 306.3C485.5 303.2 490.5 303.2 493.7 306.3C496.8 309.5 496.8 314.5 493.7 317.7L443.3 368zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 240C361.3 240 304 297.3 304 368C304 438.7 361.3 496 432 496C502.7 496 560 438.7 560 368C560 297.3 502.7 240 432 240z"],
    "file-code": [384, 512, [], "f1c9", "M158 258.7C155.1 255.4 150.1 255.1 146.7 257.1l-64 56C80.99 315.5 79.99 317.7 79.99 319.1s1 4.5 2.719 6.031l64 56c1.531 1.312 3.406 1.969 5.281 1.969c2.219 0 4.438-.9375 6.031-2.719c2.906-3.344 2.562-8.406-.75-11.31L100.1 319.1l57.13-49.97C160.6 267.1 160.9 262 158 258.7zM225.1 381.3C227.6 383.1 229.8 384 232 384c1.875 0 3.75-.6562 5.281-1.969l64-56C303 324.5 304 322.3 304 320s-1-4.5-2.719-6.031l-64-56c-3.312-2.875-8.375-2.531-11.31 .75c-2.906 3.344-2.562 8.406 .75 11.31L283.9 320l-57.13 49.97C223.4 372.9 223.1 377.9 225.1 381.3zM374.6 150.6l-141.3-141.3C227.4 3.371 219.2 0 210.7 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.35 0 64-28.66 64-64V173.3C384 164.8 380.6 156.6 374.6 150.6zM224 22.63L361.4 160H248C234.8 160 224 149.2 224 136V22.63zM368 448c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V64c0-26.47 21.53-48 48-48h144v120c0 22.06 17.94 40 40 40h120V448z"],
    "file-contract": [384, 512, [], "f56c", "M72 80h80C156.4 80 160 76.41 160 72S156.4 64 152 64h-80C67.59 64 64 67.59 64 72S67.59 80 72 80zM374.6 150.6l-141.3-141.3C227.4 3.371 219.2 0 210.7 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.35 0 64-28.66 64-64V173.3C384 164.8 380.6 156.6 374.6 150.6zM224 22.63L361.4 160H248C234.8 160 224 149.2 224 136V22.63zM368 448c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V64c0-26.47 21.53-48 48-48h144v120c0 22.06 17.94 40 40 40h120V448zM72 144h80C156.4 144 160 140.4 160 136S156.4 128 152 128h-80C67.59 128 64 131.6 64 136S67.59 144 72 144zM209.6 329.6c-14.31 0-27.53 10.84-35.36 29l-12.27 28.06L142.5 308.5c-2.609-10.41-9.406-14.25-14.89-14.38C121.5 293.4 115.5 297.5 112.6 307.4l-22.02 74.84C90.27 383.2 89.94 383.8 90.2 384H64c-4.422 0-8 3.594-8 8S59.58 400 64 400h27.06c6.734 0 12.41-5.062 14.83-13.25l21.47-72.97l19.39 77.97c2.047 8.281 7.453 13.78 14.09 14.31c.3125 .0313 .6562 .0625 .9844 .0625c4.703 0 10.53-2.719 13.84-10.41l13.27-30.78c9.453-21.88 27.14-24.94 38.34-5.969l11.66 19.81C246.9 392.3 258.3 400 270.4 400H320c4.422 0 8-3.594 8-8S324.4 384 320 384h-49.61c-6.234 0-12.67-4.875-17.67-13.34l-11.66-19.81C233.1 337.4 221.7 329.6 209.6 329.6z"],
    "file-csv": [384, 512, [], "f6dd", "M96 264C113.7 264 128 278.3 128 296V304C128 308.4 124.4 312 120 312C115.6 312 112 308.4 112 304V296C112 287.2 104.8 280 96 280H80C71.16 280 64 287.2 64 296V376C64 384.8 71.16 392 80 392H96C104.8 392 112 384.8 112 376V368C112 363.6 115.6 360 120 360C124.4 360 128 363.6 128 368V376C128 393.7 113.7 408 96 408H80C62.33 408 48 393.7 48 376V296C48 278.3 62.33 264 80 264H96zM160 302.4C160 281.2 177.2 264 198.4 264H216C220.4 264 224 267.6 224 272C224 276.4 220.4 280 216 280H198.4C186 280 176 290 176 302.4C176 310.4 180.3 317.8 187.3 321.8L212.7 336.3C224.6 343.1 232 355.9 232 369.6C232 390.8 214.8 408 193.6 408H168C163.6 408 160 404.4 160 400C160 395.6 163.6 392 168 392H193.6C205.1 392 216 381.1 216 369.6C216 361.6 211.7 354.2 204.7 350.2L179.3 335.7C167.4 328.9 160 316.1 160 302.4zM272 303.6C272 332.6 280.3 361.1 296 385.5C311.7 361.1 320 332.6 320 303.6V272C320 267.6 323.6 264 328 264C332.4 264 336 267.6 336 272V303.6C336 336.7 326.2 369.1 307.8 396.7L302.7 404.4C301.2 406.7 298.7 408 296 408C293.3 408 290.8 406.7 289.3 404.4L284.2 396.7C265.8 369.1 256 336.7 256 303.6V272C256 267.6 259.6 264 264 264C268.4 264 272 267.6 272 272V303.6zM204.1 0C216.8 0 229.1 5.057 238.1 14.06L369.9 145.9C378.9 154.9 384 167.2 384 179.9V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0L204.1 0zM64 496H320C346.5 496 368 474.5 368 448V179.9C368 178.6 367.9 177.3 367.8 176H248C225.9 176 208 158.1 208 136V16.24C206.7 16.08 205.4 16 204.1 16H64C37.49 16 16 37.49 16 64V448C16 474.5 37.49 496 64 496V496zM226.7 25.37C225.9 24.5 224.1 23.68 224 22.93V136C224 149.3 234.7 160 248 160H361.1C360.3 159 359.5 158.1 358.6 157.3L226.7 25.37z"],
    "file-dashed-line": [576, 512, ["page-break"], "f877", "M464 448V352H480V448C480 483.3 451.3 512 416 512H160C124.7 512 96 483.3 96 448V352H112V448C112 474.5 133.5 496 160 496H416C442.5 496 464 474.5 464 448zM463.8 176H344C321.9 176 304 158.1 304 136V16.24C302.7 16.08 301.4 16 300.1 16H160C133.5 16 112 37.49 112 64V240H96V64C96 28.65 124.7 0 160 0H300.1C312.8 0 325.1 5.057 334.1 14.06L465.9 145.9C474.9 154.9 480 167.2 480 179.9V240H464V179.9C464 178.6 463.9 177.3 463.8 176V176zM457.1 160C456.3 159 455.5 158.1 454.6 157.3L322.7 25.37C321.9 24.5 320.1 23.68 320 22.93V136C320 149.3 330.7 160 344 160H457.1zM152 288C156.4 288 160 291.6 160 296C160 300.4 156.4 304 152 304H8C3.582 304 0 300.4 0 296C0 291.6 3.582 288 8 288H152zM344 288C348.4 288 352 291.6 352 296C352 300.4 348.4 304 344 304H232C227.6 304 224 300.4 224 296C224 291.6 227.6 288 232 288H344zM568 288C572.4 288 576 291.6 576 296C576 300.4 572.4 304 568 304H424C419.6 304 416 300.4 416 296C416 291.6 419.6 288 424 288H568z"],
    "file-excel": [384, 512, [], "f1c3", "M374.6 150.6l-141.3-141.3C227.4 3.371 219.2 0 210.7 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.35 0 64-28.66 64-64V173.3C384 164.8 380.6 156.6 374.6 150.6zM224 22.63L361.4 160H248C234.8 160 224 149.2 224 136V22.63zM368 448c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V64c0-26.47 21.53-48 48-48h144v120c0 22.06 17.94 40 40 40h120V448zM134.7 243.6C132.2 239.8 127.2 238.9 123.6 241.3C119.9 243.8 118.9 248.8 121.3 252.4L182.4 344l-61.04 91.56c-2.438 3.688-1.469 8.656 2.219 11.09C124.9 447.6 126.5 448 128 448c2.562 0 5.125-1.25 6.656-3.562L192 358.4l57.34 86.02C250.9 446.8 253.4 448 256 448c1.531 0 3.062-.4375 4.438-1.344c3.688-2.438 4.656-7.406 2.219-11.09L201.6 344l61.04-91.56c2.438-3.688 1.469-8.656-2.219-11.09c-3.656-2.438-8.656-1.5-11.09 2.219L192 329.6L134.7 243.6z"],
    "file-exclamation": [384, 512, [], "f31a", "M374.6 150.6l-141.3-141.3C227.4 3.371 219.2 0 210.7 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.35 0 64-28.66 64-64V173.3C384 164.8 380.6 156.6 374.6 150.6zM224 22.63L361.4 160H248C234.8 160 224 149.2 224 136V22.63zM368 448c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V64c0-26.47 21.53-48 48-48h144v120c0 22.06 17.94 40 40 40h120V448zM192 400c-8.822 0-16 7.18-16 16s7.178 16 16 16s16-7.18 16-16S200.8 400 192 400zM191.1 368c4.406 0 7.958-3.594 7.958-8v-144c0-4.406-3.594-8-8-8s-8 3.594-8 8v144C183.9 364.4 187.6 368 191.1 368z"],
    "file-export": [576, 512, ["arrow-right-from-file"], "f56e", "M573.7 298.9l-108-108C464.1 189.4 462.1 188.6 460 188.6s-4.094 .7813-5.656 2.344c-3.125 3.125-3.125 8.188 0 11.31l94.34 94.34H200c-4.406 0-8 3.578-8 8s3.594 8 8 8h348.7l-93.17 93.17c-3.125 3.125-3.125 8.188 0 11.31s8.188 3.125 11.31 0l106.8-106.8C576.8 307.1 576.8 302.1 573.7 298.9zM376 352c-4.418 0-8 3.582-8 8V448c0 26.51-21.49 48-48 48H64c-26.51 0-48-21.49-48-48V64c0-26.51 21.49-48 48-48h144v120c0 22.09 17.91 40 40 40h120v72C368 252.4 371.6 256 376 256S384 252.4 384 248V173.3c0-8.488-3.373-16.63-9.375-22.63L233.4 9.375C227.4 3.371 219.2 0 210.7 0H63.1C28.65 0 0 28.65 0 64l.0065 384c0 35.34 28.66 64 64 64H320c35.35 0 64-28.66 64-64v-88C384 355.6 380.4 352 376 352zM224 22.63L361.4 160H248C234.8 160 224 149.2 224 136V22.63z"],
    "file-heart": [384, 512, [], "e176", "M374.6 150.6l-141.3-141.3C227.4 3.371 219.2 0 210.7 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.35 0 64-28.66 64-64V173.3C384 164.8 380.6 156.6 374.6 150.6zM224 22.63L361.4 160H248C234.8 160 224 149.2 224 136V22.63zM368 448c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V64c0-26.47 21.53-48 48-48h144v120c0 22.06 17.94 40 40 40h120V448zM194.6 261.3L191.9 264.1L189.2 261.3C164.3 235.6 124.5 232.8 98.42 254.1c-14.58 12.5-23.12 30-24.05 49.31c-.9219 19.12 6.078 37.91 19.22 51.53l83.02 85.59c4.125 4.219 9.594 6.531 15.39 6.531s11.27-2.312 15.42-6.562l82.98-85.56c13.16-13.62 20.16-32.41 19.22-51.53c-.9531-19.34-9.531-36.84-24.17-49.31C259.5 232.9 219.6 235.6 194.6 261.3zM275.1 267.2c11.25 9.562 17.86 23.03 18.58 37.91c.7344 14.72-4.641 29.16-14.73 39.63l-82.95 85.53c-2.156 2.188-5.781 2.156-7.875 .0313l-82.97-85.56C95.01 334.3 89.64 319.8 90.34 305.1c.7187-14.88 7.281-28.34 18.47-37.91c8.797-7.5 19.73-11.16 30.84-11.16c13.64 0 27.55 5.562 38.02 16.38l14.2 14.72l14.19-14.69C225.2 252.7 255.5 250.5 275.1 267.2z"],
    "file-image": [384, 512, [128443], "f1c5", "M374.6 150.6l-141.3-141.3C227.4 3.371 219.2 0 210.7 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.35 0 64-28.66 64-64V173.3C384 164.8 380.6 156.6 374.6 150.6zM224 22.63L361.4 160H248C234.8 160 224 149.2 224 136V22.63zM60.99 495.7C35.95 494.1 16 473.4 16 448v-29.31l79.38-79.38l61 61L60.99 495.7zM368 448c0 26.47-21.53 48-48 48H83.31L272 307.3l96 96V448zM368 380.7l-84.69-84.69c-6.248-6.248-16.38-6.248-22.63 0L167.7 389L106.7 328c-6.248-6.248-16.38-6.248-22.63 0L16 396.1V64c0-26.51 21.49-48 48-48h144v120c0 22.09 17.91 40 40 40h120V380.7zM96 184C73.94 184 56 201.9 56 224S73.94 264 96 264S136 246.1 136 224S118.1 184 96 184zM96 248C82.78 248 72 237.2 72 224S82.78 200 96 200S120 210.8 120 224S109.2 248 96 248z"],
    "file-import": [512, 512, ["arrow-right-to-file"], "f56f", "M263.5 402.3c-3.125 3.125-3.125 8.188 0 11.31s8.188 3.125 11.31 0l106.8-106.8c3.125-3.125 3.125-8.188 0-11.31l-108-108C272.1 185.1 270.1 185.2 268 185.2s-4.094 .7813-5.656 2.344c-3.125 3.125-3.125 8.188 0 11.31l94.34 94.34H8c-4.406 0-8 3.578-8 8s3.594 8 8 8h348.7L263.5 402.3zM502.6 150.6l-141.3-141.2C355.4 3.371 347.2 0 338.7 0H192C156.7 0 128 28.65 128 64v184C128 252.4 131.6 256 136 256S144 252.4 144 248V64c0-26.51 21.49-48 48-48h144v120c0 22.09 17.91 40 40 40h120V448c0 26.51-21.49 48-48 48H192c-26.51 0-48-21.49-48-48v-88C144 355.6 140.4 352 136 352S128 355.6 128 360L128 448c0 35.34 28.66 64 64 64H448c35.35 0 64-28.66 64-64V173.3C512 164.8 508.6 156.6 502.6 150.6zM376 160C362.8 160 352 149.2 352 136V22.63L489.4 160H376z"],
    "file-invoice": [384, 512, [], "f570", "M72 80h80C156.4 80 160 76.41 160 72S156.4 64 152 64h-80C67.59 64 64 67.59 64 72S67.59 80 72 80zM72 144h80C156.4 144 160 140.4 160 136S156.4 128 152 128h-80C67.59 128 64 131.6 64 136S67.59 144 72 144zM374.6 150.6l-141.3-141.3C227.4 3.371 219.2 0 210.7 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.35 0 64-28.66 64-64V173.3C384 164.8 380.6 156.6 374.6 150.6zM224 22.63L361.4 160H248C234.8 160 224 149.2 224 136V22.63zM368 448c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V64c0-26.47 21.53-48 48-48h144v120c0 22.06 17.94 40 40 40h120V448zM312 432h-80c-4.406 0-8 3.594-8 8S227.6 448 232 448h80c4.406 0 8-3.594 8-8S316.4 432 312 432zM64 240v96C64 344.8 71.16 352 80 352h224c8.836 0 16-7.164 16-16v-96C320 231.2 312.8 224 304 224h-224C71.16 224 64 231.2 64 240zM304 336h-224v-96h224V336z"],
    "file-invoice-dollar": [384, 512, [], "f571", "M176 136C176 131.6 172.4 128 168 128h-96C67.59 128 64 131.6 64 136S67.59 144 72 144h96C172.4 144 176 140.4 176 136zM72 80h96c4.406 0 8-3.594 8-8S172.4 64 168 64h-96C67.59 64 64 67.59 64 72S67.59 80 72 80zM374.6 150.6l-141.3-141.3C227.4 3.371 219.2 0 210.7 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.35 0 64-28.66 64-64V173.3C384 164.8 380.6 156.6 374.6 150.6zM224 22.63L361.4 160H248C234.8 160 224 149.2 224 136V22.63zM368 448c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V64c0-26.47 21.53-48 48-48h144v120c0 22.06 17.94 40 40 40h120V448zM194 328.3l-7.297-2.031c-30.89-8.625-45.88-16.78-42.13-37.41c3.969-21.94 33.28-27.53 60.53-23.53c6.984 1.031 15.36 3.188 26.38 6.812c4.172 1.406 8.703-.9062 10.09-5.094s-.8906-8.719-5.094-10.09c-11.92-3.938-21.16-6.281-29.03-7.438c-2.566-.3828-4.943-.4531-7.422-.6836V232c0-4.406-3.602-8-8.023-8S184 227.6 184 232v16.3C153.1 249.5 133 263 128.8 285.9c-7.047 38.75 30.89 49.38 53.56 55.72l7.406 2.031c36.78 10 53.66 17.16 49.59 39.5c-3.953 21.94-33.23 27.56-60.56 23.53c-11.06-1.594-23.8-5.969-35.03-9.844l-5.234-1.781c-4.203-1.5-8.719 .8125-10.16 5c-1.422 4.188 .8281 8.719 5 10.12L138.6 412c11.92 4.094 25.42 8.75 37.94 10.53c2.629 .3906 4.982 .3477 7.516 .5859V440c0 4.406 3.555 8 7.977 8s8.023-3.594 8.023-8v-16.45c29.97-1.262 50.94-14.6 55.11-37.48C262.3 346.8 224.4 336.5 194 328.3z"],
    "file-lines": [384, 512, [128462, 61686, 128441, "file-alt", "file-text"], "f15c", "M374.6 150.6l-141.3-141.3c-6-6.002-14.14-9.373-22.62-9.373L64-.0001c-35.35 0-64 28.65-64 64l.0065 384c0 35.35 28.65 64 64 64H320c35.35 0 64-28.65 64-64V173.3C384 164.8 380.6 156.6 374.6 150.6zM224 22.63l137.4 137.4H248c-13.22 0-24-10.77-24-24V22.63zM368 447.1c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48v-384c0-26.47 21.53-48 48-48h144v119.1c0 22.06 17.94 40 40 40h120V447.1zM96 263.1c0 4.406 3.594 8 8 8h176c4.406 0 8-3.594 8-8s-3.594-8-8-8h-176C99.59 255.1 96 259.6 96 263.1zM280 319.1h-176c-4.406 0-8 3.594-8 8s3.594 8 8 8h176c4.406 0 8-3.594 8-8S284.4 319.1 280 319.1zM280 383.1h-176c-4.406 0-8 3.594-8 8s3.594 8 8 8h176c4.406 0 8-3.594 8-8S284.4 383.1 280 383.1z"],
    "file-lock": [576, 512, [], "e3a6", "M528 320H512V272c0-35.28-28.72-64-64-64s-64 28.72-64 64V320h-16c-26.51 0-48 21.49-48 48v96c0 26.51 21.49 48 48 48h160c26.51 0 48-21.49 48-48v-96C576 341.5 554.5 320 528 320zM400 272C400 245.5 421.5 224 448 224s48 21.53 48 48V320h-96V272zM560 464c0 17.64-14.36 32-32 32H368c-17.64 0-32-14.36-32-32v-96c0-17.64 14.36-32 32-32h160c17.64 0 32 14.36 32 32V464zM280 496H64c-26.51 0-48-21.49-48-48V64c0-26.51 21.49-48 48-48h144v120c0 22.09 17.91 40 40 40h120v24c0 4.418 3.582 8 8 8s8-3.582 8-8V173.2c0-8.482-3.369-16.62-9.367-22.61L233.4 9.375C227.4 3.371 219.2 0 210.7 0H64C28.65 0 .0007 28.65 .0007 64l.0059 384c0 35.35 28.65 64 64 64H280C284.4 512 288 508.4 288 504S284.4 496 280 496zM224 22.63L361.4 160H248c-13.22 0-24-10.77-24-24V22.63z"],
    "file-magnifying-glass": [384, 512, ["file-search"], "f865", "M374.6 150.6l-141.3-141.3C227.4 3.371 219.2 0 210.7 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.35 0 64-28.66 64-64V173.3C384 164.8 380.6 156.6 374.6 150.6zM224 22.63L361.4 160H248C234.8 160 224 149.2 224 136V22.63zM368 448c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V64c0-26.47 21.53-48 48-48h144v120c0 22.06 17.94 40 40 40h120V448zM176 208c-53.02 0-96 42.98-96 96s42.98 96 96 96c23.62 0 44.96-8.859 61.68-23l68.66 68.66C307.9 447.2 309.9 448 312 448s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31l-68.66-68.66C263.1 348.1 272 327.6 272 304C272 250.1 229 208 176 208zM176 384C131.9 384 96 348.1 96 304S131.9 224 176 224S256 259.9 256 304S220.1 384 176 384z"],
    "file-medical": [384, 512, [], "f477", "M374.6 150.6l-141.3-141.3C227.4 3.371 219.2 0 210.7 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.35 0 64-28.66 64-64V173.3C384 164.8 380.6 156.6 374.6 150.6zM224 22.63L361.4 160H248C234.8 160 224 149.2 224 136V22.63zM368 448c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V64c0-26.47 21.53-48 48-48h144v120c0 22.06 17.94 40 40 40h120V448zM232 232c0-8.828-7.172-16-16-16h-48c-8.828 0-16 7.172-16 16v48h-48c-8.828 0-16 7.172-16 16v48c0 8.828 7.172 16 16 16h48v48c0 8.828 7.172 16 16 16h48c8.828 0 16-7.172 16-16v-48h48c8.828 0 16-7.172 16-16v-48c0-8.828-7.172-16-16-16h-48V232zM280 296v48h-64v64h-48v-64h-64v-48h64v-64h48v64H280z"],
    "file-minus": [384, 512, [], "f318", "M374.6 150.6l-141.3-141.3C227.4 3.371 219.2 0 210.8 0H64C28.66 0 0 28.65 0 64l.0065 384c0 35.34 28.66 64 64 64H320c35.35 0 64-28.66 64-64V173.3C384 164.8 380.6 156.6 374.6 150.6zM224 22.63L361.4 160H248C234.8 160 224 149.2 224 136V22.63zM368 448c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V64c0-26.47 21.53-48 48-48h144v120c0 22.06 17.94 40 40 40h120V448zM104 312C99.58 312 96 315.6 96 320c0 4.422 3.578 8 8 8h176c4.422 0 8-3.58 8-8s-3.578-8-8-8H104z"],
    "file-music": [384, 512, [], "f8b6", "M374.6 150.6l-141.3-141.3C227.4 3.371 219.2 0 210.7 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.35 0 64-28.66 64-64V173.3C384 164.8 380.6 156.6 374.6 150.6zM224 22.63L361.4 160H248C234.8 160 224 149.2 224 136V22.63zM368 448c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V64c0-26.47 21.53-48 48-48h144v120c0 22.06 17.94 40 40 40h120V448zM144 288v104.3C135.5 387.2 124.3 384 112 384C85.49 384 64 398.3 64 416s21.49 32 48 32S160 433.7 160 416V293.2l112-49v116.1C263.5 355.2 252.3 352 240 352c-26.51 0-48 14.33-48 32s21.49 32 48 32s48-14.33 48-32V232c0-2.688-1.359-5.219-3.625-6.688c-2.219-1.5-5.125-1.688-7.578-.6562l-128 56C145.9 281.9 144 284.8 144 288zM112 432c-19.53 0-32-9.477-32-16s12.47-16 32-16c19.54 0 32 9.477 32 16S131.5 432 112 432zM240 400c-19.53 0-32-9.477-32-16s12.47-16 32-16c19.54 0 32 9.477 32 16S259.5 400 240 400z"],
    "file-pdf": [384, 512, [], "f1c1", "M88 264C114.5 264 136 285.5 136 312C136 338.5 114.5 360 88 360H72V400C72 404.4 68.42 408 64 408C59.58 408 56 404.4 56 400V272C56 267.6 59.58 264 64 264H88zM120 312C120 294.3 105.7 280 88 280H72V344H88C105.7 344 120 329.7 120 312zM168 272C168 267.6 171.6 264 176 264H200C222.1 264 240 281.9 240 304V368C240 390.1 222.1 408 200 408H176C171.6 408 168 404.4 168 400V272zM184 280V392H200C213.3 392 224 381.3 224 368V304C224 290.7 213.3 280 200 280H184zM336 264C340.4 264 344 267.6 344 272C344 276.4 340.4 280 336 280H296V328H336C340.4 328 344 331.6 344 336C344 340.4 340.4 344 336 344H296V400C296 404.4 292.4 408 288 408C283.6 408 280 404.4 280 400V272C280 267.6 283.6 264 288 264H336zM204.1 0C216.8 0 229.1 5.057 238.1 14.06L369.9 145.9C378.9 154.9 384 167.2 384 179.9V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0L204.1 0zM64 496H320C346.5 496 368 474.5 368 448V179.9C368 178.6 367.9 177.3 367.8 176H248C225.9 176 208 158.1 208 136V16.24C206.7 16.08 205.4 16 204.1 16H64C37.49 16 16 37.49 16 64V448C16 474.5 37.49 496 64 496V496zM226.7 25.37C225.9 24.5 224.1 23.68 224 22.93V136C224 149.3 234.7 160 248 160H361.1C360.3 159 359.5 158.1 358.6 157.3L226.7 25.37z"],
    "file-pen": [576, 512, [128221, "file-edit"], "f31c", "M64 496H256C256 501.5 256.1 506.9 258.8 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H204.1C216.8 0 229.1 5.057 238.1 14.06L369.9 145.9C378.9 154.9 384 167.2 384 179.9V299.6L368 315.6V179.9C368 178.6 367.9 177.3 367.8 176H248C225.9 176 208 158.1 208 136V16.24C206.7 16.08 205.4 16 204.1 16H64C37.49 16 16 37.49 16 64V448C16 474.5 37.49 496 64 496V496zM361.1 160C360.3 159 359.5 158.1 358.6 157.3L226.7 25.37C225.9 24.5 224.1 23.68 224 22.93V136C224 149.3 234.7 160 248 160H361.1zM292.7 507.2C288.7 503.2 287.1 497.4 288.5 491.1L303.5 431.8C304.9 426.2 307.8 421.1 311.9 416.1L493.2 235.7C508.8 220.1 534.1 220.1 549.8 235.7L564.1 250.1C579.8 265.7 579.8 291 564.1 306.7L382.9 487.9C378.8 492 373.6 494.9 368 496.3L307.9 511.4C302.4 512.7 296.7 511.1 292.7 507.2L292.7 507.2zM304 495.8L364.1 480.8C366.9 480.1 369.5 478.7 371.6 476.6L514.4 333.7L466.1 285.4L323.2 428.3C321.2 430.3 319.7 432.9 319 435.7L304 495.8zM552.8 261.4L538.4 247C529.1 237.7 513.9 237.7 504.5 247L477.4 274.1L525.7 322.4L552.8 295.4C562.2 285.1 562.2 270.8 552.8 261.4L552.8 261.4zM364.6 482.8L368 496.3z"],
    "file-plus": [384, 512, [], "f319", "M374.6 150.6l-141.3-141.3C227.4 3.371 219.2 0 210.8 0H64C28.66 0 0 28.65 0 64l.0065 384c0 35.34 28.66 64 64 64H320c35.35 0 64-28.66 64-64V173.3C384 164.8 380.6 156.6 374.6 150.6zM224 22.63L361.4 160H248C234.8 160 224 149.2 224 136V22.63zM368 448c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V64c0-26.47 21.53-48 48-48h144v120c0 22.06 17.94 40 40 40h120V448zM200 232C200 227.6 196.4 224 192 224C187.6 224 184 227.6 184 232v80h-80C99.58 312 96 315.6 96 320c0 4.422 3.578 8 8 8h80v80C184 412.4 187.6 416 192 416s8-3.58 8-8v-80h80c4.422 0 8-3.58 8-8s-3.578-8-8-8h-80V232z"],
    "file-plus-minus": [384, 512, [], "e177", "M374.6 150.6l-141.3-141.3C227.4 3.371 219.2 0 210.7 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.35 28.65 64 64 64H320c35.35 0 64-28.65 64-64V173.3C384 164.8 380.6 156.6 374.6 150.6zM224 22.63L361.4 160H248C234.8 160 224 149.2 224 136V22.63zM368 448c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V64c0-26.47 21.53-48 48-48h144v120c0 22.06 17.94 40 40 40h120V448zM200 224c0-4.422-3.594-8-8-8S184 219.6 184 224v56H128C123.6 280 120 283.6 120 288S123.6 296 128 296h56V352c0 4.422 3.594 8 8 8s8-3.578 8-8V296H256c4.406 0 8-3.578 8-8S260.4 280 256 280h-56V224zM256 416H128c-4.406 0-8 3.578-8 8S123.6 432 128 432h128c4.406 0 8-3.578 8-8S260.4 416 256 416z"],
    "file-powerpoint": [384, 512, [], "f1c4", "M374.6 150.6l-141.3-141.3C227.4 3.371 219.2 0 210.7 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.35 0 64-28.66 64-64V173.3C384 164.8 380.6 156.6 374.6 150.6zM224 22.63L361.4 160H248C234.8 160 224 149.2 224 136V22.63zM368 448c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V64c0-26.47 21.53-48 48-48h144v120c0 22.06 17.94 40 40 40h120V448zM120 224C115.6 224 112 227.6 112 232v208C112 444.4 115.6 448 120 448S128 444.4 128 440V368h72c39.7 0 72-32.31 72-72S239.7 224 200 224H120zM256 296c0 30.88-25.12 56-56 56H128V240h72C230.9 240 256 265.1 256 296z"],
    "file-prescription": [384, 512, [], "f572", "M374.6 150.6l-141.3-141.3C227.4 3.371 219.2 0 210.7 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.35 0 64-28.66 64-64V173.3C384 164.8 380.6 156.6 374.6 150.6zM224 22.63L361.4 160H248C234.8 160 224 149.2 224 136V22.63zM368 448c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V64c0-26.47 21.53-48 48-48h144v120c0 22.06 17.94 40 40 40h120V448zM190.5 315.2C210.2 306.5 224 286.9 224 264c0-30.88-25.12-56-56-56h-64C99.58 208 96 211.6 96 216v160C96 380.4 99.55 384 103.1 384S112 380.4 112 376V320h56c1.457 0 2.826-.3203 4.256-.4297L228.7 376l-50.34 50.34c-3.125 3.125-3.125 8.188 0 11.31c3.127 3.127 8.186 3.127 11.31 0L240 387.3l50.34 50.34c3.127 3.127 8.186 3.127 11.31 0c3.125-3.125 3.125-8.188 0-11.31L251.3 376l34.34-34.34c3.125-3.125 3.125-8.188 0-11.31s-8.188-3.125-11.31 0L240 364.7L190.5 315.2zM168 304L112 304l.002-79.98L168 224c22.06 0 40 17.94 40 40S190.1 304 168 304z"],
    "file-shield": [576, 512, [], "e4f0", "M336.9 492.9C341.1 496.9 345.6 500.7 350.2 504.4C341.2 509.3 330.9 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H204.1C216.8 0 229.1 5.057 238.1 14.06L369.9 145.9C378.9 154.9 384 167.2 384 179.9V207L368 213.4V179.9C368 178.6 367.9 177.3 367.8 176H248C225.9 176 208 158.1 208 136V16.24C206.7 16.08 205.4 16 204.1 16H64C37.49 16 16 37.49 16 64V448C16 474.5 37.49 496 64 496H320C325.9 496 331.6 494.9 336.9 492.9H336.9zM361.1 160C360.3 159 359.5 158.1 358.6 157.3L226.7 25.37C225.9 24.5 224.1 23.68 223.1 22.93V136C223.1 149.3 234.7 160 247.1 160H361.1zM560.9 273.7C570 277.4 576 286.2 576 296C576 359.3 550.1 464.8 441.2 510.2C435.3 512.6 428.7 512.6 422.8 510.2C313.9 464.8 287.1 359.3 287.1 296C287.1 286.2 293.1 277.4 303.1 273.7L423.1 225.7C428.8 223.4 435.2 223.4 440.9 225.7L560.9 273.7zM304 296C304 355.3 327.9 450.4 424 493.3V242.6L309 288.6C305.1 289.8 304 292.7 304 296V296zM554.1 288.6L440 242.6V493.3C536.1 450.4 560 355.3 560 296C560 292.7 558 289.8 554.1 288.6z"],
    "file-signature": [576, 512, [], "f573", "M567.2 142.4l-37.56-37.56c-5.859-5.859-13.54-8.789-21.23-8.789s-15.37 2.93-21.23 8.789L275.4 316.6c-1.396 1.395-2.348 3.172-2.738 5.109L256.1 400H243.3l-24-24c-6.031-6.062-16.59-6.062-22.62 0l-17.89 17.91l-28.02-67.25c-5-12-24.56-12-29.56 0L90.67 400H72C67.58 400 64 403.6 64 408S67.58 416 72 416H96c3.234 0 6.141-1.938 7.391-4.938L136 332.8l32.61 78.28c2.191 5.25 8.975 6.625 13.05 2.594L208 387.3l26.34 26.34C235.8 415.2 237.9 416 240 416c0 0 27.27-.0664 27.95-.2031l82.32-16.46c1.938-.3906 3.715-1.34 5.111-2.734l211.8-211.8C578.9 173.1 578.9 154.1 567.2 142.4zM345.4 384l-71.74 14.45l14.36-71.82l157.7-157.7l57.38 57.38L345.4 384zM555.9 173.5l-41.55 41.54l-57.38-57.38l41.54-41.54c5.471-5.469 14.35-5.477 19.83 0l37.56 37.56C561.4 159.1 561.4 168 555.9 173.5zM376 432c-4.418 0-8 3.582-8 8V448c0 26.51-21.49 48-48 48H64c-26.51 0-48-21.49-48-48V64c0-26.51 21.49-48 48-48h144v120c0 22.09 17.91 40 40 40h133.3C382.8 176 384 174.8 384 173.3c0-8.488-3.373-16.63-9.375-22.63L233.4 9.367C227.4 3.367 219.2 0 210.7 0H63.93C28.58 0 0 28.65 0 64l.0065 384c0 35.34 28.58 64 63.93 64H320c35.35 0 64-28.66 64-64v-8C384 435.6 380.4 432 376 432zM224 22.63L361.4 160H248C234.8 160 224 149.2 224 136V22.63z"],
    "file-slash": [640, 512, [], "e3a7", "M192 16h144v120c0 22.06 17.94 40 40 40h120v127.9L512 316.7V173.3c0-8.488-3.367-16.62-9.367-22.63l-141.3-141.3C355.4 3.371 347.2 0 338.8 0h-146.7C172.2 0 154.7 9.189 142.1 23.32l12.49 9.926C164.3 22.79 177.3 16 192 16zM352 22.63L489.4 160H376C362.8 160 352 149.2 352 136V22.63zM448 496H192c-26.47 0-48-21.53-48-48V208.1L128 195.4l.0059 252.6c0 35.34 28.66 64 63.1 64H448c19.8 0 37.28-9.181 49.01-23.3l-12.49-9.926C475.7 489.2 462.7 496 448 496zM639.1 504c0-2.357-1.035-4.69-3.019-6.27L12.99 1.771c-1.463-1.164-3.217-1.73-4.963-1.73c-4.246 0-8.025 3.378-8.025 7.99c0 2.357 1.035 4.69 3.019 6.27l623.1 495.1C628.5 511.4 630.2 512 631.1 512C636.2 512 639.1 508.6 639.1 504z"],
    "file-spreadsheet": [384, 512, [], "f65b", "M374.6 150.6l-141.3-141.3C227.4 3.371 219.2 0 210.7 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.35 0 64-28.66 64-64V173.3C384 164.8 380.6 156.6 374.6 150.6zM224 22.63L361.4 160H248C234.8 160 224 149.2 224 136V22.63zM368 448c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V64c0-26.47 21.53-48 48-48h144v120c0 22.06 17.94 40 40 40h120V448zM64 256v160c0 17.67 14.33 32 32 32h192c17.67 0 32-14.33 32-32V256c0-17.67-14.33-32-32-32H96C78.33 224 64 238.3 64 256zM120 432H96c-8.822 0-16-7.176-16-16v-32h40V432zM120 368H80V320h40V368zM184 432h-48V384h48V432zM184 368h-48V320h48V368zM248 432h-48V384h48V432zM248 368h-48V320h48V368zM304 416c0 8.824-7.178 16-16 16h-24V384h40V416zM304 368h-40V320h40V368zM304 256v48h-224V256c0-8.824 7.178-16 16-16h192C296.8 240 304 247.2 304 256z"],
    "file-user": [384, 512, [], "f65c", "M374.6 150.6l-141.3-141.3C227.4 3.371 219.2 0 210.7 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.35 0 64-28.66 64-64V173.3C384 164.8 380.6 156.6 374.6 150.6zM224 22.63L361.4 160H248C234.8 160 224 149.2 224 136V22.63zM368 448c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V64c0-26.47 21.53-48 48-48h144v120c0 22.06 17.94 40 40 40h120V448zM160 352c-44.18 0-80 35.82-80 80C80 440.8 87.16 448 96 448h192c8.836 0 16-7.164 16-16c0-44.18-35.82-80-80-80H160zM288 432H96c0-35.29 28.71-64 64-64h64C259.3 368 288 396.7 288 432zM192 192C156.7 192 128 220.7 128 256s28.66 64 64 64c35.35 0 64-28.66 64-64S227.3 192 192 192zM192 304C165.5 304 144 282.5 144 256S165.5 208 192 208s48 21.53 48 48S218.5 304 192 304z"],
    "file-video": [384, 512, [], "f1c8", "M374.6 150.6l-141.3-141.3C227.4 3.371 219.2 0 210.7 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.35 0 64-28.66 64-64V173.3C384 164.8 380.6 156.6 374.6 150.6zM224 22.63L361.4 160H248C234.8 160 224 149.2 224 136V22.63zM368 448c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V64c0-26.47 21.53-48 48-48h144v120c0 22.06 17.94 40 40 40h120V448zM240 288c0-17.67-14.33-32-32-32h-96c-17.67 0-32 14.33-32 32v96c0 17.67 14.33 32 32 32h96c17.67 0 32-14.33 32-32v-8.359l38.69 22.14C281.3 399.3 284.2 400 287.1 400c2.937 0 5.875-.7813 8.531-2.312C300.8 394.6 304 389.2 304 383.1V288.9c0-6.125-3.156-11.59-8.438-14.66c-5.312-3.062-11.62-3.094-16.88-.0313L240 296.4V288zM224 384c0 8.824-7.178 16-16 16h-96C103.2 400 96 392.8 96 384V288c0-8.824 7.178-16 16-16h96C216.8 272 224 279.2 224 288V384zM288 288.9l-1.375 94.94L240 357.2V314.9L288 288.9z"],
    "file-waveform": [448, 512, ["file-medical-alt"], "f478", "M184.5 386.7C185.6 389.8 188.6 391.9 191.9 392c3.281 0 6.281-1.999 7.5-5.031l56.94-142.4l24.31 54.69C281.1 302.1 284.8 304 288 304h64c4.406 0 8-3.594 8-8S356.4 288 352 288h-58.81l-29.88-67.25C261.1 217.8 258.5 215.2 255.8 216c-3.219 .0625-6.062 2.031-7.281 5.031l-56.22 140.5L167.5 293.3C166.4 290.1 163.4 288 160 288H8C3.594 288 0 291.6 0 296S3.594 304 8 304h146.4L184.5 386.7zM438.6 150.6l-141.3-141.3C291.4 3.367 283.2 0 274.7 0H128C92.66 0 64 28.65 64 64v168C64 236.4 67.58 240 72 240S80 236.4 80 232V64c0-26.51 21.49-48 48-48h144v120c0 22.09 17.91 40 40 40h120V448c0 26.51-21.49 48-48 48H128c-26.51 0-48-21.49-48-48v-88C80 355.6 76.42 352 72 352S64 355.6 64 360L64.01 448c0 35.34 28.66 64 64 64H384c35.34 0 64-28.66 64-64V173.3C448 164.8 444.6 156.6 438.6 150.6zM312 160C298.8 160 288 149.2 288 136V22.63L425.4 160H312z"],
    "file-word": [384, 512, [], "f1c2", "M199.7 245.8c-2-6.812-13.38-6.812-15.38 0L136 411.4L87.69 245.8C86.44 241.5 81.94 239 77.75 240.3c-4.219 1.25-6.656 5.688-5.438 9.938l56 192c2 6.812 13.38 6.812 15.38 0L192 276.6l48.31 165.7C241.3 445.7 244.4 448 248 448s6.688-2.344 7.688-5.75l56-192c1.219-4.249-1.219-8.688-5.438-9.938c-4.188-1.281-8.688 1.219-9.938 5.438L248 411.4L199.7 245.8zM374.6 150.6l-141.3-141.3C227.4 3.371 219.2 0 210.7 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.35 0 64-28.66 64-64V173.3C384 164.8 380.6 156.6 374.6 150.6zM224 22.63L361.4 160H248C234.8 160 224 149.2 224 136V22.63zM368 448c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V64c0-26.47 21.53-48 48-48h144v120c0 22.06 17.94 40 40 40h120V448z"],
    "file-xmark": [384, 512, ["file-times"], "f317", "M374.6 150.6l-141.3-141.3C227.4 3.371 219.2 0 210.7 0H64C28.65 0 0 28.65 0 64l.0065 384c0 35.34 28.65 64 64 64H320c35.35 0 64-28.66 64-64V173.3C384 164.8 380.6 156.6 374.6 150.6zM224 22.63L361.4 160H248C234.8 160 224 149.2 224 136V22.63zM368 448c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V64c0-26.47 21.53-48 48-48h144v120c0 22.06 17.94 40 40 40h120V448zM125.7 242.3c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31L180.7 320l-66.34 66.34c-3.125 3.125-3.125 8.188 0 11.31c3.125 3.127 8.188 3.127 11.31 0L192 331.3l66.34 66.34c3.125 3.127 8.188 3.127 11.31 0c3.125-3.125 3.125-8.188 0-11.31L203.3 320l66.34-66.34c3.125-3.125 3.125-8.188 0-11.31s-8.188-3.125-11.31 0L192 308.7L125.7 242.3z"],
    "file-zipper": [384, 512, ["file-archive"], "f1c6", "M104 143.1h48c4.422 0 8-3.594 8-8S156.4 127.1 152 127.1h-48c-4.422 0-8 3.594-8 7.1S99.58 143.1 104 143.1zM104 79.1h48c4.422 0 8-3.594 8-8S156.4 63.1 152 63.1h-48c-4.422 0-8 3.594-8 8S99.58 79.1 104 79.1zM104 111.1h48c4.422 0 8-3.594 8-8s-3.578-8-8-8h-48c-4.422 0-8 3.594-8 8S99.58 111.1 104 111.1zM104 47.1h48c4.422 0 8-3.594 8-8S156.4 31.1 152 31.1h-48c-4.422 0-8 3.594-8 7.1S99.58 47.1 104 47.1zM374.6 150.6l-141.3-141.3c-6-6.004-14.14-9.375-22.62-9.375L64-.0001c-35.35 0-64 28.65-64 64l.0065 384c0 35.34 28.65 64 64 64H320c35.35 0 64-28.66 64-64V173.3C384 164.8 380.6 156.6 374.6 150.6zM224 22.63l137.4 137.4H248c-13.22 0-24-10.77-24-24V22.63zM368 447.1c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48v-384c0-26.47 21.53-48 48-48h144v119.1c0 22.06 17.94 40 40 40h120V447.1zM104 175.1h48c4.422 0 8-3.594 8-8s-3.578-8-8-8h-48c-4.422 0-8 3.594-8 8S99.58 175.1 104 175.1zM104 207.1h48c4.422 0 8-3.594 8-8s-3.578-8-8-8h-48c-4.422 0-8 3.594-8 8S99.58 207.1 104 207.1zM163.2 235.9C161.3 228.9 154.9 223.1 147.7 223.1H108.3c-7.273 0-13.63 4.906-15.48 11.94l-27.43 104.6c-7.93 39 22.26 75.45 62.83 75.45c40.26 0 70.45-36.3 62.68-75.15L163.2 235.9zM165.6 382.5c-9.141 11.15-22.74 17.55-37.31 17.55c-14.7 0-28.39-6.43-37.55-17.64c-8.881-10.87-12.38-24.95-9.801-37.75l27.43-104.6h39.34l27.57 103.1C177.1 357.6 174.5 371.6 165.6 382.5zM144 343.1h-32c-4.422 0-8 3.594-8 8s3.578 8 8 8h32c4.422 0 8-3.594 8-8S148.4 343.1 144 343.1z"],
    "files": [448, 512, [], "e178", "M438.6 102.6l-93.08-93.26C339.6 3.371 331.5 0 322.1 0H192.5C157.2 0 128.6 28.65 128.6 64v288c0 35.35 28.6 64 63.88 64h191.6C419.3 416 448 387.3 448 352V125.3C448 116.8 444.6 108.6 438.6 102.6zM336.2 22.62L425.4 112h-81.22c-4.398 0-7.985-3.594-7.985-8V22.62zM432 352c0 26.47-21.49 48-47.91 48H192.5c-26.42 0-47.91-21.53-47.91-48V64c0-26.47 21.49-48 47.91-48h127.8v88c0 13.22 10.76 24 23.95 24h87.83V352zM310.8 448c-3.944 0-7.279 2.898-7.837 6.805C299.6 478.1 279.6 496 255.5 496H63.88c-26.46 0-47.91-21.49-47.91-48V160c0-26.51 21.45-48 47.91-48h23.95c4.412 0 7.985-3.582 7.985-8S92.25 96 87.83 96H63.88C28.6 96 0 124.7 0 160v288c0 35.34 28.69 64 63.97 64h191.5c32.2 0 58.83-23.87 63.24-54.91C319.4 452.3 315.6 448 310.8 448z"],
    "files-medical": [448, 512, [], "f7fd", "M328.2 168c0-8.836-7.151-16-15.97-16h-47.91c-8.819 0-15.97 7.164-15.97 16v48H200.5c-8.819 0-15.97 7.164-15.97 16v48c0 8.836 7.151 16 15.97 16h47.91v48c0 8.836 7.151 16 15.97 16h47.91c8.819 0 15.97-7.164 15.97-16v-48h47.91c8.819 0 15.97-7.164 15.97-16v-48c0-8.836-7.151-16-15.97-16h-47.91V168zM376.1 232v48h-63.88v64h-47.91v-64H200.5v-48h63.88v-64h47.91v64H376.1zM438.6 102.6l-93.08-93.26C339.6 3.371 331.5 0 322.1 0H192.5C157.2 0 128.6 28.65 128.6 64v288c0 35.35 28.6 64 63.88 64h191.6C419.3 416 448 387.3 448 352V125.3C448 116.8 444.6 108.6 438.6 102.6zM336.2 22.62L425.4 112h-81.22c-4.398 0-7.985-3.594-7.985-8V22.62zM432 352c0 26.47-21.49 48-47.91 48H192.5c-26.42 0-47.91-21.53-47.91-48V64c0-26.47 21.49-48 47.91-48h127.8v88c0 13.22 10.76 24 23.95 24h87.83V352zM310.8 448c-3.944 0-7.279 2.898-7.837 6.805C299.6 478.1 279.6 496 255.5 496H63.88c-26.46 0-47.91-21.49-47.91-48V160c0-26.51 21.45-48 47.91-48h23.95c4.412 0 7.985-3.582 7.985-8S92.25 96 87.83 96H63.88C28.6 96 0 124.7 0 160v288c0 35.34 28.69 64 63.97 64h191.5c32.2 0 58.83-23.87 63.24-54.91C319.4 452.3 315.6 448 310.8 448z"],
    "fill": [512, 512, [], "f575", "M151 107.7L232.4 26.34C254.3 4.473 289.7 4.473 311.6 26.34L485.7 200.4C507.5 222.3 507.5 257.7 485.7 279.6L283.9 481.4C246.4 518.9 185.6 518.9 148.1 481.4L30.63 363.9C-6.863 326.4-6.863 265.6 30.63 228.1L139.7 119L34.34 13.66C31.22 10.53 31.22 5.467 34.34 2.343C37.47-.781 42.53-.781 45.66 2.343L151 107.7zM41.94 239.4C28.36 253 20.68 270.3 18.91 287.1H454.6L474.3 268.3C489.1 252.7 489.1 227.3 474.3 211.7L300.3 37.66C284.7 22.04 259.3 22.04 243.7 37.66L162.3 119L253.7 210.3C256.8 213.5 256.8 218.5 253.7 221.7C250.5 224.8 245.5 224.8 242.3 221.7L151 130.3L41.94 239.4zM159.4 470.1C190.7 501.3 241.3 501.3 272.6 470.1L438.6 303.1H18.91C20.68 321.7 28.36 338.1 41.94 352.6L159.4 470.1z"],
    "fill-drip": [576, 512, [], "f576", "M34.34 2.343C37.47-.781 42.53-.781 45.66 2.343L151 107.7L232.4 26.34C254.3 4.473 289.7 4.473 311.6 26.34L485.7 200.4C507.5 222.3 507.5 257.7 485.7 279.6L283.9 481.4C246.4 518.9 185.6 518.9 148.1 481.4L30.63 363.9C-6.863 326.4-6.863 265.6 30.63 228.1L139.7 119L34.34 13.66C31.22 10.53 31.22 5.467 34.34 2.343V2.343zM242.3 221.7L151 130.3L41.94 239.4C28.36 253 20.68 270.3 18.91 288H454.6L474.3 268.3C489.1 252.7 489.1 227.3 474.3 211.7L300.3 37.66C284.7 22.04 259.3 22.04 243.7 37.66L162.3 119L253.7 210.3C256.8 213.5 256.8 218.5 253.7 221.7C250.5 224.8 245.5 224.8 242.3 221.7H242.3zM18.91 304C20.68 321.7 28.36 338.1 41.94 352.6L159.4 470.1C190.7 501.3 241.3 501.3 272.6 470.1L438.6 304H18.91zM576 448C576 483.3 547.3 512 512 512C476.7 512 448 483.3 448 448C448 422.8 480.6 368.4 499.2 339.3C505.3 329.9 518.7 329.9 524.8 339.3C543.4 368.4 576 422.8 576 448H576zM555.6 429.1C552.6 421.7 548.2 412.3 543.2 402.4C533.3 383.2 521.1 363.3 512 349C502.9 363.3 490.7 383.2 480.9 402.4C475.8 412.3 471.4 421.7 468.4 429.1C465.2 438.6 464 444.6 464 448C464 474.5 485.5 496 512 496C538.5 496 560 474.5 560 448C560 444.6 558.8 438.6 555.6 429.1z"],
    "film": [512, 512, [127902], "f008", "M463.1 32h-416C21.49 32-.0001 53.49-.0001 80v352c0 26.51 21.49 48 47.1 48h416c26.51 0 48-21.49 48-48v-352C511.1 53.49 490.5 32 463.1 32zM112 464h-64c-17.64 0-32-14.36-32-32v-24h95.1L112 464zM112 392h-96v-80h96V392zM112 296h-96v-80h96V296zM112 200h-96v-80h96V200zM111.1 104H16V80c0-17.64 14.36-32 32-32h64L111.1 104zM384 464H128V264h256V464zM384 248H128V48h256V248zM496 432c0 17.64-14.36 32-32 32h-64l-.0001-56H496V432zM496 392h-96v-80h96V392zM496 296h-96v-80h96V296zM496 200h-96v-80h96V200zM496 104h-96L400 48h64c17.64 0 32 14.36 32 32V104z"],
    "film-canister": [576, 512, ["film-cannister"], "f8b7", "M344 496H320V64h24C348.4 64 352 60.41 352 56S348.4 48 344 48h-80V40C264 17.94 246.1 0 224 0H128C105.9 0 88 17.94 88 40V48h-80C3.594 48 0 51.59 0 56S3.594 64 8 64H32v432H8C3.594 496 0 499.6 0 504S3.594 512 8 512h336c4.406 0 8-3.594 8-8S348.4 496 344 496zM104 40C104 26.78 114.8 16 128 16h96c13.22 0 24 10.78 24 24V48h-144V40zM304 496h-256V64h256V496zM537.8 128H360C355.6 128 352 131.6 352 136s3.594 8 8 8h177.8C550 144 560 153.1 560 166.2v120.9c0 12.25-9.969 22.22-22.22 22.22c-21.06 0-38.22 17.16-38.22 38.22v30.22c0 12.25-9.969 22.22-22.22 22.22H360c-4.406 0-8 3.594-8 8S355.6 416 360 416h117.3c21.06 0 38.22-17.16 38.22-38.22v-30.22c0-12.25 9.969-22.22 22.22-22.22C558.8 325.3 576 308.2 576 287.1V166.2C576 145.2 558.8 128 537.8 128zM368 344c0 13.22 10.78 24 24 24h16c13.22 0 24-10.78 24-24v-16c0-13.22-10.78-24-24-24h-16c-13.22 0-24 10.78-24 24V344zM384 328c0-4.5 3.5-8 8-8h16c4.5 0 8 3.5 8 8v16c0 4.5-3.5 8-8 8h-16C387.5 352 384 348.5 384 344V328zM392 240h16c13.22 0 24-10.78 24-24v-16c0-13.22-10.78-24-24-24h-16c-13.22 0-24 10.78-24 24v16C368 229.2 378.8 240 392 240zM384 200C384 195.5 387.5 192 392 192h16C412.5 192 416 195.5 416 200v16C416 220.5 412.5 224 408 224h-16C387.5 224 384 220.5 384 216V200zM504 240c13.22 0 24-10.78 24-24v-16c0-13.22-10.78-24-24-24h-16c-13.22 0-24 10.78-24 24v16c0 13.22 10.78 24 24 24H504zM480 216v-16C480 195.5 483.5 192 488 192h16C508.5 192 512 195.5 512 200v16C512 220.5 508.5 224 504 224h-16C483.5 224 480 220.5 480 216z"],
    "film-simple": [512, 512, ["film-alt"], "f3a0", "M464 32h-416C21.49 32 0 53.49 0 80v352C0 458.5 21.49 480 48 480h416c26.51 0 48-21.49 48-48v-352C512 53.49 490.5 32 464 32zM112 464h-64c-17.64 0-32-14.36-32-32v-24h96V464zM112 392h-96v-80h96V392zM112 296h-96v-80h96V296zM112 200h-96v-80h96V200zM112 104h-96V80c0-17.64 14.36-32 32-32h64V104zM384 464H128v-416h256V464zM496 432c0 17.64-14.36 32-32 32h-64v-56h96V432zM496 392h-96v-80h96V392zM496 296h-96v-80h96V296zM496 200h-96v-80h96V200zM496 104h-96V48h64c17.64 0 32 14.36 32 32V104z"],
    "film-slash": [640, 512, [], "e179", "M464 464v-1.557L448 449.7V464H192V264h22.35L194.2 248H192V246.2L176 233.5V296h-96v-80h73.96L133.8 200H80V157.2L64 144.5V432C64 458.5 85.49 480 112 480h374.1l-20.13-16H464zM176 464h-64c-17.64 0-32-14.36-32-32v-24h96V464zM176 392h-96v-80h96V392zM176 48v1.551L192 62.27V48h256v200h-22.34l20.13 16H448v1.76l16 12.72V216h96v80h-73.96l20.13 16H560v42.79l16 12.72V80C576 53.49 554.5 32 528 32H153.9l20.13 16H176zM464 48h64c17.64 0 32 14.36 32 32v24h-96V48zM464 120h96v80h-96V120zM636.1 497.7L12.99 1.73C11.53 .5664 9.771 0 8.025 0C5.674 0 3.336 1.027 1.738 3.012c-2.75 3.469-2.172 8.5 1.281 11.25l623.1 496C628.5 511.4 630.2 512 631.1 512c2.344 0 4.688-1.031 6.266-3.016C641 505.5 640.4 500.5 636.1 497.7z"],
    "films": [576, 512, [], "e17a", "M472 416c-4.422 0-8 3.594-8 8c0 22.06-17.94 40-40 40h-352c-30.88 0-56-25.12-56-56v-256c0-22.06 17.94-40 40-40C60.42 112 64 108.4 64 104S60.42 96 56 96C25.13 96 0 121.1 0 152v256C0 447.7 32.3 480 72 480h352c30.88 0 56-25.12 56-56C480 419.6 476.4 416 472 416zM528 32h-384C117.5 32 96 53.5 96 80v256C96 362.5 117.5 384 144 384h384c26.5 0 48-21.5 48-48v-256C576 53.5 554.5 32 528 32zM208 368h-64c-17.64 0-32-14.36-32-32V296h96V368zM208 280h-96v-64h96V280zM208 200h-96v-64h96V200zM208 120h-96V80c0-17.64 14.36-32 32-32h64V120zM448 368H224V216h224V368zM448 200H224V48h224V200zM560 336c0 17.64-14.36 32-32 32h-64V296h96V336zM560 280h-96v-64h96V280zM560 200h-96v-64h96V200zM560 120h-96V48h64c17.64 0 32 14.36 32 32V120z"],
    "filter": [512, 512, [], "f0b0", "M0 69.61C0 48.84 16.84 32 37.61 32H474.4C495.2 32 512 48.84 512 69.61C512 78.15 509.1 86.44 503.8 93.11L320 322.8V453.9C320 468.3 308.3 480 293.9 480C288.4 480 282.1 478.3 278.5 475L208.5 424.1C198.1 416.5 192 404.5 192 391.7V322.8L8.242 93.11C2.907 86.44 0 78.15 0 69.61V69.61zM37.61 48C25.68 48 16 57.68 16 69.61C16 74.52 17.67 79.28 20.74 83.11L206.2 315C207.4 316.4 208 318.2 208 319.1V391.7C208 399.4 211.7 406.6 217.9 411.1L287.9 462.1C289.7 463.3 291.8 464 293.9 464C299.5 464 304 459.5 304 453.9V319.1C304 318.2 304.6 316.4 305.8 315L491.3 83.11C494.3 79.28 496 74.52 496 69.61C496 57.68 486.3 48 474.4 48H37.61z"],
    "filter-circle-dollar": [576, 512, ["funnel-dollar"], "f662", "M474.4 32C495.2 32 512 48.84 512 69.61C512 78.15 509.1 86.44 503.8 93.11L422.2 194.1C419.5 198.4 414.5 199 411 196.2C407.6 193.5 406.1 188.5 409.8 185L491.3 83.11C494.3 79.28 496 74.52 496 69.61C496 57.68 486.3 48 474.4 48H37.61C25.68 48 16 57.68 16 69.61C16 74.52 17.67 79.28 20.74 83.11L206.2 315C207.4 316.4 208 318.2 208 319.1V391.7C208 399.4 211.7 406.6 217.9 411.1L260.7 442.3C264.3 444.9 265.1 449.9 262.5 453.4C259.9 457 254.9 457.8 251.3 455.2L208.5 424.1C198.1 416.5 192 404.5 192 391.7V322.8L8.242 93.11C2.907 86.44 0 78.15 0 69.61C0 48.84 16.84 32 37.61 32H474.4zM403.8 317.9C395.8 321.9 391.6 327.5 392.1 335.5C392.4 340.7 395.7 344.9 403.6 348.1C411.5 353 421.1 355.8 433.6 358.1L434.6 359.2C446.1 362.3 458.9 365.8 468.8 371.4C478.1 377.1 487.6 385.9 487.1 399.8C488.5 416.2 479.1 426.8 467.6 432.7C459.1 437.1 449.2 439.2 440 439.8V457.5C440 461.9 436.4 465.5 432 465.5C427.6 465.5 424 461.9 424 457.5V439.4C411.4 438 399.3 434.3 388.1 430.9C385.9 430.3 383.8 429.6 381.7 429C377.5 427.7 375.1 423.3 376.3 419.1C377.6 414.8 382 412.4 386.3 413.7C388.5 414.3 390.8 415 392.1 415.7C406.6 419.8 419.1 423.6 432.2 423.1C441.6 424.2 452.3 422.6 460.3 418.5C467.8 414.6 472.3 408.9 471.1 400.2C471.8 394.1 468.4 389.5 460.9 385.3C453.1 380.9 442.4 377.9 430.5 374.7L428.7 374.2C417.7 371.3 405.8 368.1 396.3 363.2C386.2 358.1 377 349.1 376.1 336.5C375 320 385.1 309.4 396.6 303.6C405.1 299.2 415.1 297 424 296.3V279.1C424 275.6 427.6 271.1 432 271.1C436.4 271.1 440 275.6 440 279.1V296.4C450.2 297.2 460.4 299.2 469.8 301.4C474.1 302.4 476.8 306.7 475.8 311C474.8 315.3 470.5 318 466.2 316.1C454.7 314.3 443 312.2 431.9 312C423.1 311.9 412.1 313.6 403.8 317.9V317.9zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 496C502.7 496 560 438.7 560 368C560 297.3 502.7 240 432 240C361.3 240 304 297.3 304 368C304 438.7 361.3 496 432 496z"],
    "filter-circle-xmark": [576, 512, [], "e17b", "M474.4 32C495.2 32 512 48.84 512 69.61C512 78.15 509.1 86.44 503.8 93.11L422.2 194.1C419.5 198.4 414.5 199 411 196.2C407.6 193.5 406.1 188.5 409.8 185L491.3 83.11C494.3 79.28 496 74.52 496 69.61C496 57.68 486.3 48 474.4 48H37.61C25.68 48 16 57.68 16 69.61C16 74.52 17.67 79.28 20.74 83.11L206.2 315C207.4 316.4 208 318.2 208 319.1V391.7C208 399.4 211.7 406.6 217.9 411.1L260.7 442.3C264.3 444.9 265.1 449.9 262.5 453.4C259.9 457 254.9 457.8 251.3 455.2L208.5 424.1C198.1 416.5 192 404.5 192 391.7V322.8L8.242 93.11C2.907 86.44 0 78.15 0 69.61C0 48.84 16.84 32 37.61 32H474.4zM443.3 368L493.7 418.3C496.8 421.5 496.8 426.5 493.7 429.7C490.5 432.8 485.5 432.8 482.3 429.7L432 379.3L381.7 429.7C378.5 432.8 373.5 432.8 370.3 429.7C367.2 426.5 367.2 421.5 370.3 418.3L420.7 368L370.3 317.7C367.2 314.5 367.2 309.5 370.3 306.3C373.5 303.2 378.5 303.2 381.7 306.3L432 356.7L482.3 306.3C485.5 303.2 490.5 303.2 493.7 306.3C496.8 309.5 496.8 314.5 493.7 317.7L443.3 368zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 240C361.3 240 304 297.3 304 368C304 438.7 361.3 496 432 496C502.7 496 560 438.7 560 368C560 297.3 502.7 240 432 240z"],
    "filter-list": [512, 512, [], "e17c", "M326.6 64C340.6 64 352 75.39 352 89.45C352 95.61 349.8 101.6 345.7 106.2L239.1 227V419.6C239.1 435.3 227.3 448 211.6 448C205.5 448 199.5 445.1 194.5 442.3L121.5 387.2C115.5 382.6 112 375.6 112 368V227L6.296 106.2C2.237 101.6 0 95.61 0 89.45C0 75.39 11.39 64 25.45 64H326.6zM18.34 95.66L126 218.7C127.3 220.2 127.1 222.1 127.1 224V368C127.1 370.5 129.2 372.9 131.2 374.4L204.2 429.5C206.3 431.1 208.9 432 211.6 432C218.5 432 223.1 426.5 223.1 419.6V224C223.1 222.1 224.7 220.2 225.1 218.7L333.7 95.66C335.2 93.94 336 91.73 336 89.45C336 84.23 331.8 80 326.6 80H25.45C20.23 80 16 84.23 16 89.45C16 91.73 16.83 93.94 18.34 95.66H18.34zM504 408C508.4 408 512 411.6 512 416C512 420.4 508.4 424 504 424H328C323.6 424 320 420.4 320 416C320 411.6 323.6 408 328 408H504zM320 256C320 251.6 323.6 248 328 248H504C508.4 248 512 251.6 512 256C512 260.4 508.4 264 504 264H328C323.6 264 320 260.4 320 256zM504 88C508.4 88 512 91.58 512 96C512 100.4 508.4 104 504 104H392C387.6 104 384 100.4 384 96C384 91.58 387.6 88 392 88H504z"],
    "filter-slash": [640, 512, [], "e17d", "M636.1 497.7C640.4 500.5 641 505.5 638.3 508.1C635.5 512.4 630.5 513 627 510.3L3.022 14.26C-.4365 11.51-1.012 6.481 1.738 3.022C4.487-.4365 9.52-1.012 12.98 1.738L636.1 497.7zM567.8 93.11L436.1 256.6L424.4 246.7L555.3 83.11C558.3 79.28 560 74.52 560 69.61C560 57.68 550.3 48 538.4 48H172.7L152.5 32H538.4C559.2 32 576 48.84 576 69.61C576 78.15 573.1 86.44 567.8 93.11H567.8zM368 385.6L384 398.3V453.9C384 468.3 372.3 480 357.9 480C352.4 480 346.1 478.3 342.5 475L272.5 424.1C262.1 416.5 255.1 404.5 255.1 391.7V297.2L271.1 309.8V391.7C271.1 399.4 275.7 406.6 281.9 411.1L351.9 462.1C353.7 463.3 355.8 464 357.9 464C363.5 464 368 459.5 368 453.9V385.6z"],
    "filters": [640, 512, [], "e17e", "M608.7 32C625.1 32 640 46.01 640 63.29C640 70.84 637.3 78.13 632.3 83.82L480 258.1V421.9C480 436.3 468.3 448 453.9 448C448.4 448 442.1 446.3 438.5 443L361.9 387.3C355.7 382.7 352 375.5 352 367.9V258.1L199.7 83.82C194.7 78.13 191.1 70.84 191.1 63.29C191.1 46.01 206 32 223.3 32L608.7 32zM211.8 73.32L366 250.8C367.3 252.2 368 254.1 368 256V367.9C368 370.4 369.2 372.8 371.3 374.3L447.9 430.1C449.7 431.3 451.8 432 453.9 432C459.5 432 464 427.5 464 421.9V256C464 254.1 464.7 252.2 465.1 250.8L620.2 73.32C622.7 70.54 624 66.98 624 63.29C624 54.85 617.2 48 608.7 48H223.3C214.8 48 207.1 54.85 207.1 63.29C207.1 66.98 209.3 70.54 211.8 73.32V73.32zM19.75 137.3L174 314.8C175.3 316.2 175.1 318.1 175.1 320V399.9C175.1 402.4 177.2 404.8 179.3 406.3L255.9 462.1C257.7 463.3 259.8 464 261.9 464C267.5 464 271.1 459.5 271.1 453.9V320C271.1 318.1 272.7 316.2 273.1 314.8L301.8 282.8C304.7 279.4 309.7 279.1 313.1 281.1C316.4 284.9 316.8 289.9 313.9 293.2L288 322.1V453.9C288 468.3 276.3 480 261.9 480C256.4 480 250.1 478.3 246.5 475L169.9 419.3C163.7 414.7 160 407.5 160 399.9V322.1L7.678 147.8C2.727 142.1 0 134.8 0 127.3C0 110 14.01 96 31.29 96H160C164.4 96 168 99.58 168 104C168 108.4 164.4 112 160 112H31.29C22.85 112 16 118.8 16 127.3C16 130.1 17.33 134.5 19.75 137.3L19.75 137.3z"],
    "fingerprint": [512, 512, [], "f577", "M123.1 158.1C99.93 186.7 87.43 222.8 87.1 259.6c.6426 38.81-2.469 77.58-9.252 115.2c-1.748 9.566 12.86 14.3 15.83 2.41c6.94-38.89 10.14-78.68 9.418-117.8c-.4258-33.88 10.5-65.41 31.59-91.28C142.4 159.7 129.8 149.1 123.1 158.1zM248.1 270c1.147 73.41-8.127 144.1-28.35 215.8c-2.703 11.2 12.75 13.88 15.45 4.313c20.58-72.98 30.03-144.9 28.9-219.9C264.1 259.2 248.1 259.5 248.1 270zM254.1 180.3c-24.62 0-47.06 9.035-63.2 25.44C176.2 221.6 167.8 242.7 168.1 265.1c.7695 49.11-3.84 98.22-13.7 145.1c-2.182 10.32 13.44 13.78 15.67 3.203c10.04-48.52 14.77-98.83 14.03-149.5C183.9 247 190.9 229.5 203.6 216.7C216.5 203.5 234.5 196.2 254.2 196.2c40.47 .6406 73.38 32.63 73.86 71.31c.8867 48.59-2.76 97.85-10.84 146.3c-1.559 9.531 13.23 14.05 15.83 2.359c8.143-49.39 11.86-99.56 11.01-148.1C343.4 220 303.4 180.1 254.1 180.3zM252.5 16.01C183.9 15.58 124.9 41.1 81.83 84.3C38.52 127.6 15.2 185.2 16.13 246.4L16.01 268.2C15.71 279.2 31.69 279.8 32.01 269L32.13 245.8C31.32 189.1 52.93 135.7 93.03 95.55c64.18-63.97 140.1-63.64 159.2-63.53c74.53 1.078 144.7 38.25 187.6 99.27c6.022 8.606 19.13-.5365 13.02-9.232C407 56.83 332.1 17.18 252.5 16.01zM253.7 98.12c-22.48-.2734-36.84 3.359-41.72 4.547C201.6 105.1 205.1 120.6 215.8 118.2c3.988-.9063 17.86-4.133 37.77-4.039c83.93 1.258 153.3 68.7 154.7 150.4c.5098 38.65-1.416 77.55-5.723 115.7c-1.176 10.28 14.59 12.39 15.81 1.859c4.539-39.01 6.522-78.59 5.908-117.8C422.7 174 346.3 99.5 253.7 98.12zM490.5 207.1c-2.412-10.91-17.83-6.522-15.62 3.427c5.09 23.03 5.246 39.65 5.113 65.07c-.0977 10.73 15.9 10.79 15.1 .1406C496.1 253.1 496.2 232.9 490.5 207.1z"],
    "fire": [448, 512, [128293], "f06d", "M325.4 51.81c-3.062-2.875-7.844-2.875-10.91 0c-16.98 15.81-33.2 32.91-48.3 50.84c-25.83-34.5-57.03-69.09-90.75-100.5c-3.062-2.875-7.844-2.875-10.91 0C69.2 91 0 208.2 0 280.8C0 408.3 100.5 512 224 512s224-103.7 224-231.2C448 226.7 395.6 117.2 325.4 51.81zM224 496c-114.7 0-208-96.53-208-215.2c0-66.13 65.83-177.7 153.1-261.8c33.58 31.88 64.36 66.78 89.34 101.3c1.453 2.031 3.781 3.25 6.266 3.312c2.422-.4062 4.859-1.031 6.438-2.969c14.88-18.31 30.95-35.78 47.88-52C384.4 131.8 432 231.3 432 280.8C432 399.5 338.7 496 224 496zM332.3 228.9c-1.266-2.281-3.562-3.812-6.141-4.094C323.4 224.5 321 225.6 319.3 227.5l-51.91 58.22c-26.89-34.31-74.98-95.66-92.67-117.8C173.2 166.1 170.9 165 168.5 164.1c-2.391 0-4.703 1.062-6.234 2.906c-45.81 55.47-66.27 86.33-66.27 122.9c0 4.406 3.602 8.047 8.023 8.047s8-3.594 8-8c0-30.06 17.44-57.5 56.33-105.1C189.3 212 230.6 264.7 254.7 295.5c3.031 3.938 7.641 6.281 12.73 6.406c4.797 0 9.703-2.094 12.81-5.625l43.45-49.59c24.11 46.97 11.84 103.6-28.78 132c-3.609 2.531-4.5 7.531-1.953 11.16c1.547 2.219 4.031 3.406 6.547 3.406c1.594 0 3.176-.4687 4.582-1.438c47.42-33.22 61.79-99.26 33.36-153.5C335.9 235.3 334.1 232.2 332.3 228.9z"],
    "fire-burner": [640, 512, [], "e4f1", "M281.7 95.1C284.1 96.01 286.4 97.11 287.9 99C290.1 101.8 307.3 123.6 323.8 144.7L350.3 178.5L383.7 139.6C385.3 137.8 387.6 136.7 390 136.8C392.5 136.9 394.7 138.1 396.2 140C399.9 145 402.4 149.1 404.6 154.3L404.6 154.4C426.1 193.9 416.8 244.8 380 270.5L379.9 270.6C362 282.5 342.9 288.5 321.4 288.5C294.8 288.5 270.5 279.1 252.7 263.7C234.8 247.3 224 223.6 224 194.5C224 179.4 228.8 165.6 237.5 150.6C246.1 135.8 258.9 119.3 275.4 98.96C276.1 97.08 279.3 95.99 281.7 95.1V95.1zM343.8 196.1L311.2 154.6C299.1 140.2 288.5 125.6 281.6 116.8C268.2 133.5 258.2 146.8 251.3 158.6C243.5 172.1 240 183.1 240 194.5C240 219.4 249.1 238.7 263.5 251.9C277.9 265.1 298.2 272.5 321.4 272.5C339.6 272.5 355.7 267.5 370.9 257.4C400.3 236.8 408.6 195.1 390.5 161.9L390.3 161.6C389.8 160.5 389.2 159.4 388.7 158.4L356.1 196.4C354.6 198.2 352.3 199.2 349.9 199.2C347.5 199.1 345.2 197.1 343.8 196.1H343.8zM338.4 49.12C342 53.18 345.6 57.3 349 61.49C352.3 57.39 355.8 53.12 359.4 48.9C364.4 42.96 369.9 37.12 375.5 31.99C381.1 26.87 389.9 26.89 395.5 32.03C420.2 54.71 441.1 84.69 455.8 113.2C470.4 141.2 480 169.9 480 190.1C480 277.9 408.7 352 320 352C230.3 352 160 277.8 160 190.1C160 163.7 172.7 131.5 192.4 99.52C212.4 67.16 240.5 33.43 273.8 3.734C279.4-1.26 287.1-1.242 293.5 3.773C309.3 17.96 324.3 33.05 338.4 49.12V49.12zM349.2 77.49C344.4 77.54 339.8 75.42 336.7 71.72C320.2 51.85 302.5 33.45 283.6 16.38C251.8 44.94 224.1 77.22 206 107.9C186.9 138.1 176 168.1 176 190.1C176 269.4 239.5 336 320 336C399.6 336 464 269.4 464 190.1C464 173.8 455.8 147.9 441.6 120.5C427.7 93.6 408.1 65.6 385.5 44.56C377.1 52.27 369.1 61.91 361.6 71.45C358.6 75.22 354 77.44 349.2 77.49H349.2zM304 448C304 439.2 311.2 432 320 432C328.8 432 336 439.2 336 448C336 456.8 328.8 464 320 464C311.2 464 304 456.8 304 448zM464 448C464 456.8 456.8 464 448 464C439.2 464 432 456.8 432 448C432 439.2 439.2 432 448 432C456.8 432 464 439.2 464 448zM176 448C176 439.2 183.2 432 192 432C200.8 432 208 439.2 208 448C208 456.8 200.8 464 192 464C183.2 464 176 456.8 176 448zM32 263.1C32 259.6 35.58 255.1 40 255.1H88C92.42 255.1 96 259.6 96 263.1C96 268.4 92.42 271.1 88 271.1H48V384H592V271.1H552C547.6 271.1 544 268.4 544 263.1C544 259.6 547.6 255.1 552 255.1H600C604.4 255.1 608 259.6 608 263.1V384C625.7 384 640 398.3 640 416V480C640 497.7 625.7 512 608 512H32C14.33 512 0 497.7 0 480V416C0 398.3 14.33 384 32 384V263.1zM16 416V480C16 488.8 23.16 496 32 496H608C616.8 496 624 488.8 624 480V416C624 407.2 616.8 400 608 400H32C23.16 400 16 407.2 16 416zM350.1 191.2L343.8 196.1z"],
    "fire-extinguisher": [512, 512, [129519], "f134", "M503.4 5.56c-4.363-3.625-9.818-5.554-15.44-5.554c-1.404 0-2.819 .1246-4.231 .3668l-175.1 32c-11.41 2.094-19.7 12.03-19.7 23.63L288 72H224L224 32c0-17.67-14.33-32-31.1-32H160C142.3 0 128 14.33 128 32L128 72H112C50.25 72 0 122.3 0 184C0 188.4 3.578 192 8 192S16 188.4 16 184c0-52.94 43.06-96 96-96H128l.0003 51.19C90.27 157.2 64 195.4 64 240L64 480c0 17.67 14.33 32 31.1 32H256c17.67 0 31.1-14.33 31.1-32l0-240c0-44.6-26.27-82.79-63.1-100.8L224 88h64l-.0001 15.1c0 11.59 8.297 21.53 19.7 23.62l175.1 31.1c1.438 .25 2.875 .375 4.297 .375c5.578 0 11.03-1.938 15.37-5.562c5.469-4.562 8.625-11.31 8.625-18.44V23.1C511.1 16.87 508.8 10.12 503.4 5.56zM272 480c0 8.824-7.178 16-16 16H96c-8.822 0-16-7.176-16-16v-48h192V480zM272 240V416h-192V240c0-52.93 43.07-96 96-96C228.9 144 272 187.1 272 240zM176 128c-11.2 0-21.8 2.141-32 5.203V32c0-8.824 7.178-16 16-16h32c8.822 0 16 7.176 16 16v101.2C197.8 130.1 187.2 128 176 128zM496 135.1c0 2.387-1.047 4.629-2.877 6.152c-1.316 1.102-2.969 1.742-5.822 1.742c-.2363 0-.4824-.0039-.7344-.0117l-175.1-31.1C306.8 111.2 304 107.9 304 103.1v-48c0-3.871 2.773-7.188 6.566-7.883l175.9-31.98C486.9 16.04 487.4 16 487.9 16c1.951 0 3.754 .6406 5.191 1.836C494.1 19.36 496 21.6 496 23.99V135.1z"],
    "fire-flame": [384, 512, ["flame"], "f6df", "M253.5 212.1c-24.44-21.56-45.56-40.16-45.56-69.06c0-7.906-5.438-12.5-10.53-14.16c-6.938-2.281-14.41-.0625-19 5.1C133.1 198.8 160.2 223.8 184.1 245.8c15.41 14.22 29.94 27.66 29.94 51.91c0 25.5-19.97 46.25-44.5 46.25C145.8 344 128 324.1 128 297.8V260c0-4.156-1.594-8.062-4.469-10.1C117.7 242.9 107.6 242.7 101.2 249.3C91.97 258.5 64 286.4 64 331.8c0 4.406 3.594 7.1 8 7.1s8-3.594 8-7.1c0-38.75 24.44-63.19 32-71.81V297.8c0 35.5 24.72 62.25 57.5 62.25c33.38 0 60.5-27.94 60.5-62.25c0-31.25-18.62-48.47-35.09-63.65C171.3 212.3 154.3 196.5 191.1 143c0 36.12 25.91 58.97 51.22 81.28C274.5 252 304 278.2 304 331.8c0 4.406 3.594 7.1 8 7.1S320 336.2 320 331.8C320 271 284.8 239.8 253.5 212.1zM208.2 6.449c-9.062-8.562-23.31-8.594-32.38 0C67.38 109.8 0 221 0 296.7C0 423.5 78.97 512 192 512s192-88.53 192-215.3C384 220.1 316.6 109.8 208.2 6.449zM192 496c-103.6 0-176-81.94-176-199.3c0-70.4 67.06-179.8 170.9-278.7C188.3 16.67 190.1 16.01 192 16.01c1.844 0 3.719 .6562 5.125 2.001C300.9 116.9 368 226.3 368 296.7C368 414.1 295.6 496 192 496z"],
    "fire-flame-curved": [384, 512, ["fire-alt"], "f7e4", "M191.9 16C194.7 16 200 17.64 200 23.86c0 52.14 35.71 85.13 73.51 120.1C319.1 186.8 368 231.2 368 320c0 97.05-78.95 176-176 176S16 417 16 320c0-66.09 38.39-111.6 50.15-123.9C67.78 194.4 69.68 193.5 71.83 193.5C74.99 193.5 80 195.7 80 201.5v85.5c0 44.09 35.42 80.4 80.02 80.94C204.1 367.1 240 332.1 240 288c0-37.63-25.05-61.98-49.29-85.52c-42.1-40.9-78.46-76.23-5.668-182.6C186.8 17.3 189.1 16 191.9 16zM191.1 0c-7.428 0-15 3.391-20.11 10.85C48.01 191.9 224 200 224 288c0 35.34-28.66 63.99-63.98 63.99c-.2852 0-.5742-.0019-.8594-.0058C123.1 351.5 96 322.2 96 287V201.5c0-14.52-11.85-24.04-24.17-24.04c-6.098 0-12.31 2.328-17.26 7.536C27.82 213.2 0 261.3 0 319.1C0 425.9 86.13 512 192 512s192-86.13 192-192c0-170.3-168-192.1-168-296.1C215.1 9.079 204.2 0 191.1 0z"],
    "fire-flame-simple": [384, 512, ["burn"], "f46a", "M197.4 2.086c-3.062-2.781-7.719-2.781-10.78 0C73.25 105.4 0 222 0 299.1C0 424.5 78.95 512 192 512s192-87.55 192-212.9C384 222.1 310.8 105.5 197.4 2.086zM104 391.6c0-37.14 35.13-96.16 88-148.5c52.88 52.36 88 111.4 88 148.5c0 61.44-36.19 104.4-88 104.4S104 453.1 104 391.6zM264.1 481.1C284.1 459.8 296 428.8 296 391.6c0-43.11-38.66-108-98.47-165.4c-3.094-2.969-7.969-2.969-11.06 0C126.7 283.5 88 348.5 88 391.6c0 37.12 11.95 68.11 31.93 89.46C56.36 452.7 16 385.7 16 299.1c0-70.49 70.48-182.5 176-280.2c105.5 97.85 176 209.8 176 280.2C368 385.7 327.6 452.7 264.1 481.1z"],
    "fire-hydrant": [384, 512, [], "e17f", "M360 352V288c0-22.06-17.94-40-40-40v-48C320 195.6 316.4 192 312 192S304 195.6 304 200v296h-224V200C80 195.6 76.42 192 72 192S64 195.6 64 200v48C41.94 248 24 265.9 24 288v64c0 22.06 17.94 40 40 40v104H40C35.58 496 32 499.6 32 504S35.58 512 40 512h304c4.422 0 8-3.594 8-8s-3.578-8-8-8H320v-104C342.1 392 360 374.1 360 352zM320 264c13.23 0 24 10.77 24 24v64c0 13.22-10.77 24-24 24V264zM64 376c-13.23 0-24-10.78-24-24V288c0-13.23 10.77-24 24-24V376zM112 320c0 44.13 35.89 80 80 80s80-35.88 80-80c0-44.11-35.89-80-80-80S112 275.9 112 320zM256 320c0 35.28-28.7 64-64 64s-64-28.72-64-64c0-35.3 28.7-64 64-64S256 284.7 256 320zM40 168h304C348.4 168 352 164.4 352 160s-3.578-8-8-8H320c0-67.84-53.21-122.1-120-127.2V8C200 3.578 196.4 0 192 0S184 3.578 184 8v16.81C117.2 29.03 64 84.16 64 152H40C35.58 152 32 155.6 32 160S35.58 168 40 168zM192 40c61.75 0 112 50.25 112 112h-224C80 90.25 130.3 40 192 40z"],
    "fire-smoke": [640, 512, [], "f74b", "M166.6 255.9C162.2 241.2 159.9 226.2 159.9 211.4c0-48.56 50.39-130.4 118-192.6c25.41 23.22 48.8 48.78 67.97 74.25c2.416 3.188 8.34 5.289 12.5 .3438c11.08-13.09 23.2-25.72 36.11-37.66c49.22 46.53 85.38 119.2 85.38 155.4c0 14.75-2.188 29.72-6.484 44.56C470.5 265.8 485.9 270.4 488.8 260.1c4.719-16.25 7.109-32.75 7.109-49c0-41.03-39.44-121.9-96.03-172.3c-3.031-2.688-7.609-2.688-10.64 0c-12.97 11.59-25.23 23.91-36.55 36.66c-19.98-25.44-43.81-50.72-69.41-73.53c-3.031-2.688-7.625-2.688-10.66 0c-74.58 66.5-128.7 154.6-128.7 209.4c0 16.38 2.438 32.84 7.25 48.97C154.3 270.5 169.6 266.1 166.6 255.9zM417.9 241.1c9.859-25.28 7.812-53.63-5.656-77.81c-2.562-4.563-5.531-9.438-8.609-14.34C401 144.8 394.8 143.6 391 147.7l-37.89 40.53c-16.83-20.16-64.17-76.85-68.55-81.66c-3.131-3.422-8.621-3.594-11.91 .0625C238.4 145.2 216 172.8 216 204.1c0 14.03 2.734 27.19 8.109 39.16c4.275 9.555 18.99 3.211 14.59-6.563C234.3 226.8 232 215.9 232 204.1c0-22.25 14.42-43.28 46.55-79.94c13.97 16.5 48.53 57.88 68.08 81.31c4.439 5.289 10.93 1.449 11.98 .3438l36.91-39.5c14.5 24.32 15.68 47.83 7.453 68.94C399.1 245.2 414.1 250.7 417.9 241.1zM522.8 285.1c-33.22 0-63.98 13.28-86.16 36.84C413.5 281.9 369 255.1 320 255.1s-93.52 25.87-116.6 66.84c-22.17-23.56-52.94-36.84-86.16-36.84C52.58 285.1 0 336.7 0 398.1S52.58 512 117.2 512h405.6C587.4 512 640 461.3 640 398.1S587.4 285.1 522.8 285.1zM522.8 495.1H117.2C61.41 495.1 16 452.5 16 398.1s45.41-97 101.2-97c32.44 0 62.14 14.62 81.5 40.09c3.295 4.352 11.03 4.422 13.69-1.625C230.8 298.9 273 271.1 320 271.1s89.23 26.88 107.6 68.47c2.729 6.203 10.49 5.809 13.69 1.625c19.36-25.47 49.06-40.09 81.5-40.09c55.8 0 101.2 43.5 101.2 97S578.6 495.1 522.8 495.1z"],
    "fireplace": [640, 512, [], "f79a", "M584.4 0H55.56C42.56 0 32 9.562 32 21.34v53.31C32 86.44 42.56 96 55.56 96H64v408C64 508.4 67.58 512 72 512s8-3.594 8-8V96h480v408c0 4.406 3.578 8 8 8S576 508.4 576 504V96h8.438C597.4 96 608 86.44 608 74.66V21.34C608 9.562 597.4 0 584.4 0zM592 74.66C592 77.19 588.8 80 584.4 80H55.56C51.23 80 48 77.19 48 74.66V21.34C48 18.81 51.23 16 55.56 16h528.9C588.8 16 592 18.81 592 21.34V74.66zM320 176c-97.05 0-176 78.97-176 176v152C144 508.4 147.6 512 152 512S160 508.4 160 504V352c0-88.22 71.78-160 160-160s160 71.78 160 160v152c0 4.406 3.578 8 8 8s8-3.594 8-8V352C496 254.1 417 176 320 176zM359.5 356.2l-20.48 24.41c-12.02-16.06-36.84-49.19-39.38-52.31c-1.516-1.844-3.812-2.938-6.219-2.938c-.0156 0 0 0 0 0c-2.422 0-4.719 1.125-6.234 3C265.9 354.9 252 374 252 395.9c0 4.406 3.578 8 8 8s8-3.594 8-8c0-13.78 7.859-27.12 25.3-49.53c9.156 12.12 26.5 35.28 38.92 51.88c1.469 1.969 3.734 3.156 6.188 3.219c1.5 .0625 4.766-.9687 6.344-2.844l19.34-23.06c10.64 22.31 4.969 48.97-13.42 62.41c-3.562 2.624-4.344 7.624-1.734 11.19c1.562 2.156 4 3.281 6.453 3.281c1.641 0 3.297-.5 4.719-1.531c24.92-18.22 32.56-54.13 17.86-83.41c-1.625-3.344-3.453-6.688-5.422-10.12c-1.312-2.281-3.625-3.75-6.234-4C363.7 353.2 361.2 354.2 359.5 356.2zM362.7 282.1c-7.688 6.906-14.89 14.09-21.48 21.44c-12.3-15.53-26.94-31.09-42.81-45.44c-3.031-2.75-7.688-2.75-10.72 0c-48.52 43.84-83.73 101.8-83.73 137.9C203.1 459.9 256 512 320 512s116-52.06 116-116.1c0-27.09-25.72-80.5-62.64-113.8C370.4 279.3 365.8 279.4 362.7 282.1zM320 496c-55.17 0-100-44.88-100-100.1c0-30.16 31.06-81.25 73.11-121.1c15.66 14.72 29.88 30.53 41.38 46.03c1.453 2 3.75 3.188 6.203 3.25c2.234-.3438 4.812-1 6.375-2.906c6.297-7.594 13.33-15.06 20.95-22.28c31.97 31.66 52.08 77.56 52.08 96.97C420 451.1 375.2 496 320 496z"],
    "fish": [576, 512, [128031], "f578", "M384 256C384 238.3 398.3 224 416 224C433.7 224 448 238.3 448 256C448 273.7 433.7 288 416 288C398.3 288 384 273.7 384 256zM416 240C407.2 240 400 247.2 400 256C400 264.8 407.2 272 416 272C424.8 272 432 264.8 432 256C432 247.2 424.8 240 416 240zM180.5 370.5C164.3 356.7 150 341.9 137.8 327.3L48.12 379.6C35.61 386.9 19.76 384.9 9.474 374.7C-.8133 364.5-2.97 348.7 4.216 336.1L50 256L4.216 175.9C-2.97 163.3-.8133 147.5 9.474 137.3C19.76 127.1 35.61 125.1 48.12 132.4L137.8 184.7C150 170.1 164.3 155.3 180.5 141.5C219.7 108.5 272.6 80 336 80C399.4 80 452.3 108.5 491.5 141.5C530.5 174.5 558.3 213.1 572.4 241.3C577.2 250.5 577.2 261.5 572.4 270.7C558.3 298 530.5 337.5 491.5 370.5C452.3 403.5 399.4 432 336 432C272.6 432 219.7 403.5 180.5 370.5L180.5 370.5zM190.8 358.2C228.2 389.8 277.5 416 336 416C394.5 416 443.8 389.8 481.1 358.2C518.5 326.7 544.1 289 558.2 263.3C560.6 258.7 560.6 253.3 558.2 248.7C544.1 222.1 518.5 185.3 481.1 153.8C443.8 122.2 394.5 96 336 96C277.5 96 228.2 122.2 190.8 153.8C175.4 166.8 161.8 180.1 150.1 194.9L141.5 205.3L40.06 146.2C33.81 142.5 25.88 143.5 20.74 148.6C15.59 153.7 14.51 161.7 18.11 167.9L68.43 255.1L18.11 344.1C14.51 350.3 15.59 358.3 20.74 363.4C25.88 368.5 33.81 369.5 40.06 365.8L141.5 306.7L150.1 317.1C161.8 331 175.4 345.2 190.8 358.2L190.8 358.2z"],
    "fish-bones": [576, 512, [], "e304", "M575.1 256c0-.6069 .032-1.23 .032-1.807c0-.8677-.2191-1.288-.2191-1.422c0-.0579 0 .0579 0 0c0-.0287 .0129 .0283 0 0c-55.19-119.5-144.3-156.4-149.4-156.4c-.3149 0-.6222 .1398-.942 .1398C424.8 96.53 424.6 96 424 96c-.6504 0-1.062 .5449-1.668 .6914c-2.79 .6363-3.824 1.938-4.695 3.322c-.4165 .6377-1.27 .8397-1.27 1.65c0 .3129 .1422 .6167 .1422 .9361C416.5 103.2 416 103.4 416 104v144h-56V160c0-4.406-3.594-8-8-8S344 155.6 344 160v88h-80V160c0-4.406-3.594-8-8-8S248 155.6 248 160v88h-80V160c0-4.406-3.594-8-8-8S152 155.6 152 160v88H39.42L16.18 131.8C16.06 131.2 16 130.6 16 130.1c0-4.786 4.229-7.914 8.146-7.914c1.291 0 2.746 .3371 4.248 1.319l64.09 41.84C93.84 166.3 95.36 166.7 96.87 166.7c4.461 0 8.002-3.706 8.002-8.022c0-2.611-1.283-5.173-3.625-6.701L37.15 110.1C33.06 107.5 28.5 106.1 23.97 106.1c-12.24 0-23.97 10.08-23.97 23.91c0 1.614 .1614 3.253 .4917 4.899L24.71 256l-24.22 121.1C.1619 378.7 .0005 380.3 .0005 381.1c0 13.63 11.47 23.88 24.02 23.88c4.531 0 9.062-1.312 13.12-3.969l64.09-41.84c2.342-1.528 3.625-4.09 3.625-6.701c0-4.342-3.567-8.022-8.015-8.022c-1.505 0-3.022 .4336-4.36 1.348L28.4 388.5c-1.502 .9821-2.957 1.319-4.248 1.319c-3.969 0-8.146-3.194-8.146-7.914c0-.5389 .0542-1.111 .1754-1.717L39.42 264H152V352c0 4.406 3.594 8 8 8S168 356.4 168 352V264h80V352c0 4.406 3.594 8 8 8S264 356.4 264 352V264h80V352c0 4.406 3.594 8 8 8s8-3.594 8-8V264H416v144c0 4.405 3.589 8 8.025 8c53.06 0 151.8-136.7 151.8-156.8c0-.0579 0 .0579 0 0c0-.1335 .2162-.4963 .2162-1.364C576 257.2 575.1 256.6 575.1 256C575.1 255.1 575.1 256 575.1 256zM432 395.7v-279.3c24.2 12.06 84.84 49.82 127.4 139.6C516.1 345.5 456.3 383.5 432 395.7z"],
    "fish-cooked": [576, 512, [], "f7fe", "M326.1 56c-102.4 0-179.7 83.41-207.6 118.4L40.27 106.8C32.7 99.69 22.45 98.22 13.5 103.1C3.641 108.4-1.609 119.8 .5008 131.9L27.8 256L.4383 380.4c-2.047 11.69 3.203 23.16 13.09 28.47c8.922 4.906 19.13 3.438 26.38-3.406l78.5-67.91C146.3 372.6 223.7 456 326.1 456c140.7 0 249.9-159.5 249.9-200S466.7 56 326.1 56zM326.1 440c-102.3 0-179-90.94-200.1-118.8L120.8 314.4l-91.6 79.19c-3.078 2.938-6.078 2.312-8.063 1.25c-3.172-1.719-5.922-5.969-5-11.31L44.17 256L16.19 128.8C15.2 123.1 17.94 118.9 21.1 117.2c1.969-1.094 4.985-1.75 8.453 1.531l91.35 78.94l5.156-6.844C169.4 133.4 244.7 72 326.1 72c128.8 0 233.9 147.9 233.9 184S454.9 440 326.1 440zM421.7 170.3c-3.125-3.125-8.188-3.125-11.31 0l-160 160c-3.125 3.125-3.125 8.188 0 11.31C251.9 343.2 253.9 344 255.1 344c2.047 0 4.094-.7813 5.656-2.344l160-160C424.8 178.5 424.8 173.5 421.7 170.3zM309.6 154.3c-3.125-3.125-8.188-3.125-11.31 0l-64 64c-3.125 3.125-3.125 8.188 0 11.31C235.9 231.2 237.9 232 239.1 232s4.094-.7813 5.656-2.344l64-64C312.8 162.5 312.8 157.5 309.6 154.3zM426.3 282.3l-64 64c-3.125 3.125-3.125 8.188 0 11.31C363.9 359.2 365.9 360 367.1 360s4.094-.7813 5.656-2.344l64-64c3.125-3.125 3.125-8.188 0-11.31S429.5 279.2 426.3 282.3z"],
    "fish-fins": [576, 512, [], "e4f2", "M384 256C384 238.3 398.3 224 416 224C433.7 224 448 238.3 448 256C448 273.7 433.7 288 416 288C398.3 288 384 273.7 384 256zM416 240C407.2 240 400 247.2 400 256C400 264.8 407.2 272 416 272C424.8 272 432 264.8 432 256C432 247.2 424.8 240 416 240zM262.1 474.7C254.9 481.2 243.6 481.8 234.9 476.1C226.3 470.5 222.2 459.9 224.8 449.9L239.1 395.2C217.8 385.9 198.7 374.2 181.1 361.6C166.6 350.1 152.1 337.7 141.2 325.3L48.12 379.6C35.61 386.9 19.76 384.9 9.475 374.7C-.8124 364.5-2.969 348.7 4.217 336.1L50 256L4.217 175.9C-2.969 163.3-.8124 147.5 9.475 137.3C19.76 127.1 35.61 125.1 48.12 132.4L141.2 186.7C152.1 174.3 166.6 161.9 181.1 150.4C198.1 138.3 216.4 127 236.6 117.9L224.5 60.99C222.4 51.07 226.8 40.9 235.4 35.57C244 30.25 255.1 30.92 262.1 37.26L336.4 96C398.5 96.11 450.8 120.9 490 150.4C529.2 179.8 557.3 215.1 571.7 239.9C577.4 249.9 577.4 262.1 571.7 272.1C557.3 296.9 529.2 332.2 490 361.6C450.8 391.1 398.5 415.9 336.4 416L262.1 474.7zM191.6 163.2C177 174.1 164 185.9 152.8 197.7L144.1 206.9L40.06 146.2C33.81 142.5 25.88 143.5 20.74 148.6C15.59 153.7 14.51 161.7 18.11 167.9L68.43 256L18.11 344.1C14.51 350.3 15.59 358.3 20.74 363.4C25.88 368.5 33.81 369.5 40.06 365.8L144.1 305.1L152.8 314.3C164 326.1 177 337.9 191.6 348.8C207.5 360.7 225.6 371.8 245.5 380.6L258 386.1L240.3 453.1C239.4 457.3 240.8 460.8 243.6 462.7C246.5 464.6 250.3 464.4 252.1 462.2L330.8 400L336.4 400C394.1 399.9 443.1 376.8 480.4 348.8C517.8 320.8 544.4 287.1 557.8 264C560.7 259.1 560.7 252.9 557.8 247.1C544.4 224.9 517.8 191.2 480.4 163.2C443.1 135.2 394.1 112.1 336.4 111.1L330.8 111.1L252.1 49.75C250.4 47.64 246.7 47.42 243.8 49.19C240.9 50.97 239.5 54.36 240.2 57.66L254.9 127.2L243.2 132.5C224.1 141.1 206.9 151.7 191.6 163.2L191.6 163.2z"],
    "fishing-rod": [512, 512, [], "e3a8", "M384 288c-8.836 0-16 7.158-16 15.1c0 8.836 7.164 15.1 16 15.1s16-7.164 16-15.1C400 295.2 392.8 288 384 288zM421.5 460.6C446.8 435.6 480 393.5 480 344.4c0-81.05-88.07-136.4-96-136.4c-6.707 0-96 54.84-96 136.4c0 49.04 33.22 91.19 58.52 116.2l-16.25 27.2C328.8 490.3 327.1 493.2 327.1 495.1C327.1 504.5 334.9 512 344 512h80c9.26 0 16-7.572 16-16c0-2.842-.7563-5.682-2.266-8.207L421.5 460.6zM344 496l22.84-38.23C343.3 436.6 304 393.8 304 344.4c0-70.42 80-120.4 80-120.4s80 49.99 80 120.4c0 49.43-39.35 92.19-62.84 113.4L424 496H344zM320.1 16.02c18.89 0 55.89 14.66 55.89 56.02v87.97c0 4.406 3.594 7.1 8 7.1s8-3.594 8-7.1V72.04C392 19.11 345.4 0 320.2 0c-5.867 0-11.8 .7231-17.64 2.194L239.5 17.98C150.3 40.22 88 120 88 211.1v76.03L80 288c-26.51 0-48 21.49-48 47.1v127.1C32 490.5 53.49 512 80 512h32C138.5 512 160 490.5 160 464V336c0-26.51-21.49-47.1-48-47.1L104 288V211.1c0-84.59 57.31-157.1 139.4-178.5l63.03-15.78C310.1 16.57 315.6 16.02 320.1 16.02zM112 304c17.64 0 32 14.36 32 31.1v127.1c0 17.64-14.36 31.1-32 31.1h-32c-17.64 0-32-14.36-32-31.1v-127.1c0-17.64 14.36-31.1 32-31.1H112z"],
    "flag": [512, 512, [61725, 127988], "f024", "M498.5 6.232C491.7 2.1 484.2 0 476.3 0c-6.637 0-13.26 1.459-19.34 4.233c-41.76 19.06-76.03 27.94-107.8 27.94c-28.96 0-51.76-7.325-75.9-15.09C247.5 8.836 220.1 .3094 185.2 .3055C157.1 .3055 119.7 3.289 32 38.84L16 45.32V8C16 3.582 12.42 0 8 0S0 3.582 0 8v496C0 508.4 3.594 512 8 512s8-3.594 8-8v-105.8l20.68-9.277c19.62-9.121 79.13-36.78 144.2-36.78c36.84 0 67.15 7.717 99.25 15.89c30.72 7.816 62.49 15.9 99.31 15.9c35.46 0 72.08-7.549 111.1-23.09c12.37-4.805 20.37-16.5 20.38-29.78L512 32.35C512 21.28 506.8 11.28 498.5 6.232zM495.8 331.1c-.0059 6.637-4.004 12.48-10.19 14.89c-38 14.81-72.72 22-106.2 22c-34.81 0-65.59-7.832-95.36-15.41C250.9 344.1 219.7 336.2 180.8 336.2c-68.58 0-130.5 28.79-150.8 38.24L16 380.7V62.58L38.01 53.66c85.06-34.46 120.6-37.35 147.2-37.35c33.25 .0039 57.45 7.773 83.09 16c24.26 7.801 49.34 15.86 80.79 15.86c34.18 0 70.55-9.336 114.5-29.38C467.5 16.99 472.1 16 476.4 16c4.994 0 9.529 1.281 13.87 3.914C493.7 22.04 496 26.92 496 32.34L495.8 331.1z"],
    "flag-checkered": [576, 512, [127937], "f11e", "M530.5 6.23C523.7 2.098 516.2 0 508.3 0c-6.637 0-13.29 1.459-19.37 4.232c-41.76 19.06-76.03 27.94-107.8 27.94c-28.96 0-51.76-7.326-75.9-15.09C279.5 8.836 252.1 .3105 217.2 .3066C189.1 .3066 151.7 3.289 64 38.84L48 45.32V8C48 3.582 44.42 0 40 0S32 3.582 32 8v496C32 508.4 35.59 512 40 512s8-3.594 8-8v-105.8l20.68-9.277c19.62-9.121 79.13-36.78 144.2-36.78c36.84 0 67.16 7.717 99.25 15.88c30.72 7.816 62.49 15.9 99.31 15.9c35.46 0 72.08-7.551 111.1-23.09c12.37-4.805 20.37-16.5 20.38-29.78L544 32.35C544 21.28 538.8 11.27 530.5 6.23zM527.8 262.1c-38.59 13.86-74.24 20.8-108.6 20.8c-1.09 0-2.09-.1445-3.172-.1562v-68c1.086 .0117 2.078 .1562 3.172 .1562c34.64 0 70.39-6.773 108.7-19.97L527.8 262.1zM288 177.2C264.1 172 239.9 168 212 168c-12.28 0-24.25 1.102-36 2.609V102.8C187.8 101.2 199.7 100 212 100c27.63 0 51.83 4.164 76 9.586V177.2zM304 113.3c3.289 .793 6.537 1.535 9.859 2.344C340.8 122.3 368.8 128.7 400 130.8v67.98c-29.51-2.094-56.43-8.348-82.67-14.76C312.8 182.1 308.4 181.1 304 180.9V113.3zM160 172.9c-47.97 8.598-88.74 26.55-112 36.95V143.3l5.016-2.207C74.88 131.3 114.2 113.9 160 105.2V172.9zM48 227.3l5.016-2.207C74.88 215.3 114.2 197.9 160 189.2v67.66c-47.97 8.598-88.74 26.55-112 36.95V227.3zM176 186.8C187.8 185.2 199.7 184 212 184c27.63 0 51.83 4.164 76 9.586v67.66C264.1 256 239.9 252 212 252c-12.28 0-24.25 1.102-36 2.609V186.8zM304 197.3c3.289 .793 6.537 1.535 9.859 2.344C340.8 206.3 368.8 212.7 400 214.8v67.98c-29.51-2.094-56.43-8.348-82.67-14.76C312.8 266.1 308.4 265.1 304 264.9V197.3zM527.9 178.1c-38.62 13.87-74.29 20.82-108.7 20.82c-1.09 0-2.09-.1445-3.172-.1562v-68c1.086 .0117 2.078 .1562 3.172 .1562c34.66 0 70.43-6.781 108.8-19.99L527.9 178.1zM495.6 18.8C499.5 16.99 504.1 16 508.4 16c4.994 0 9.529 1.281 13.87 3.914C525.7 22.04 528 26.92 528 32.34l-.0527 62.6c-38.65 13.89-74.34 20.84-108.8 20.84c-1.09 0-2.09-.1445-3.172-.1562v-70.95C440.3 40.45 466.1 32.23 495.6 18.8zM381.1 48.18c6.184 0 12.55-.6641 18.91-1.281v67.92c-29.51-2.094-56.43-8.348-82.67-14.76C312.8 98.97 308.4 97.95 304 96.9V33.48C327.1 40.89 351.2 48.18 381.1 48.18zM288 28.48v64.77C264.1 88.01 239.9 84 212 84c-12.28 0-24.25 1.102-36 2.609V20.07c17.16-3.09 30.1-3.754 41.21-3.754C245.1 16.32 266.6 21.85 288 28.48zM70.01 53.66C109.4 37.71 137.8 28.71 160 23.45v65.41c-47.97 8.598-88.74 26.55-112 36.95V62.58L70.01 53.66zM61.99 374.4L48 380.7V311.3l5.016-2.207C74.88 299.3 114.2 281.9 160 273.2v68.31C114.2 350.3 76.9 367.5 61.99 374.4zM176 339V270.8C187.8 269.2 199.7 268 212 268c27.63 0 51.83 4.164 76 9.586v68.12c-23.48-5.402-47.36-9.543-75.16-9.543C200.2 336.2 187.1 337.4 176 339zM304 349.6V281.3c3.289 .793 6.537 1.535 9.859 2.344C340.8 290.3 368.8 296.7 400 298.8v68.51c-30.14-1.469-57.53-8.078-83.96-14.8C311.1 351.5 308 350.6 304 349.6zM517.6 345.9C481.3 360.1 448 367.1 416 367.7V299.6c1.086 .0117 2.078 .1562 3.172 .1562c34.62 0 70.35-6.766 108.6-19.95l-.043 51.22C527.7 337.7 523.7 343.5 517.6 345.9z"],
    "flag-pennant": [512, 512, [128681, "pennant"], "f456", "M496.5 201.8L16 25.02V8C16 3.582 12.42 0 8 0S0 3.582 0 8v496C0 508.4 3.594 512 8 512s8-3.594 8-8v-80.75l480.5-177C506.1 242.7 512 234.2 512 223.1C512 213.1 505.9 205.3 496.5 201.8zM490.1 231.2L16 406.2V42.07l474.1 174.7C495.5 218.5 496 222.4 496 223.1C496 225.6 495.5 229.5 490.1 231.2z"],
    "flag-swallowtail": [512, 512, ["flag-alt"], "f74c", "M400.6 208l103.9-123.4c7.986-9.484 9.765-22.87 4.538-34.11C503.8 39.26 492.4 32 480 32H16V8C16 3.582 12.42 0 8 0S0 3.582 0 8v496C0 508.4 3.594 512 8 512s8-3.594 8-8V384H480c12.4 0 23.78-7.262 29.01-18.5c5.229-11.24 3.449-24.63-4.539-34.11L400.6 208zM494.5 358.7C491.9 364.4 486.2 368 480 368H16v-320H480c6.197 0 11.89 3.633 14.51 9.254c2.613 5.617 1.723 12.31-2.27 17.05L379.6 208l112.6 133.7C496.2 346.4 497.1 353.1 494.5 358.7z"],
    "flag-usa": [576, 512, [], "f74d", "M530.5 6.23C523.7 2.098 516.2 0 508.3 0c-6.637 0-13.29 1.459-19.37 4.232c-41.76 19.06-76.03 27.94-107.8 27.94c-28.96 0-51.76-7.326-75.9-15.09C279.5 8.836 252.1 .3105 217.2 .3066C189.1 .3066 151.7 3.289 64 38.84L48 45.32V8C48 3.582 44.42 0 40 0S32 3.582 32 8v496C32 508.4 35.59 512 40 512s8-3.594 8-8v-105.8l20.68-9.277c19.62-9.121 79.13-36.78 144.2-36.78c36.84 0 67.16 7.717 99.25 15.88c30.72 7.816 62.49 15.9 99.31 15.9c35.46 0 72.08-7.551 111.1-23.09c12.37-4.805 20.37-16.5 20.38-29.78L544 32.35C544 21.28 538.8 11.27 530.5 6.23zM48 62.58L70.01 53.66c85.06-34.46 120.6-37.35 147.2-37.35c8.094 0 15.62 .4922 22.79 1.312V169.3C231 168.5 221.7 168 212 168c-69.51 0-132.7 27.8-164 41.8V62.58zM527.8 331.1c-.0059 6.637-4.004 12.48-10.19 14.89c-38 14.81-72.72 22-106.2 22c-34.81 0-65.59-7.832-95.36-15.41C282.9 344.1 251.7 336.2 212.8 336.2c-68.58 0-130.5 28.79-150.8 38.24L48 380.7V311.3l5.016-2.207C82.83 295.8 144.9 268 212 268c37.44 0 68.58 7.594 101.9 15.69c32.45 7.906 66.02 16.09 105.3 16.09c34.62 0 70.35-6.766 108.6-19.95L527.8 331.1zM527.8 262.1c-38.59 13.86-74.24 20.8-108.6 20.8c-37.38 0-69.98-7.938-101.8-15.72C283.4 259.8 251.3 252 212 252c-69.51 0-132.7 27.8-164 41.8V227.3l5.016-2.207C82.83 211.8 144.9 184 212 184c37.44 0 68.58 7.594 101.9 15.69c32.45 7.906 66.02 16.09 105.3 16.09c34.64 0 70.39-6.773 108.7-19.97L527.8 262.1zM527.9 178.1c-38.62 13.87-74.29 20.82-108.7 20.82c-37.38 0-69.98-7.938-101.8-15.72C296.9 179.1 277 174.5 256 171.5V103.9c19.61 2.93 38.49 7.07 57.86 11.78c32.45 7.906 66.02 16.09 105.3 16.09c34.66 0 70.43-6.781 108.8-19.99L527.9 178.1zM527.9 94.94c-38.65 13.89-74.34 20.84-108.8 20.84c-37.38 0-69.98-7.938-101.8-15.72C296.1 95.11 277 90.73 256 87.73V20.27c15.52 3.039 29.76 7.379 44.3 12.04c24.26 7.801 49.34 15.86 80.79 15.86c34.18 0 70.55-9.336 114.5-29.38C499.5 16.99 504.1 16 508.4 16c4.994 0 9.529 1.281 13.87 3.914C525.7 22.04 528 26.92 528 32.34L527.9 94.94zM108 72C101.4 72 96 77.38 96 84S101.4 96 108 96S120 90.63 120 84S114.6 72 108 72zM108 128C101.4 128 96 133.4 96 140S101.4 152 108 152S120 146.6 120 140S114.6 128 108 128zM180 56c-6.627 0-12 5.375-12 12S173.4 80 180 80S192 74.63 192 68S186.6 56 180 56zM180 112C173.4 112 168 117.4 168 124S173.4 136 180 136S192 130.6 192 124S186.6 112 180 112z"],
    "flashlight": [640, 512, [128294], "f8b8", "M607.1 96h-32c-83.67 0-157.7 25.2-204.5 64H63.1c-35.2 0-64 28.8-64 64v64c0 35.2 28.8 64 64 64h307.5c46.71 38.8 120.8 64 204.5 64h32c17.62 0 32-14.38 32-32V128C639.1 110.4 625.6 96 607.1 96zM543.1 398.6c-64.11-5.352-123.2-26.45-162.2-58.86L377.3 336H63.1c-26.47 0-48-21.53-48-48V224c0-26.47 21.53-48 48-48h313.3l4.445-3.691c39.04-32.42 98.12-53.51 162.2-58.86V398.6zM623.1 384c0 8.824-7.176 16-16 16h-32c-5.375 0-10.67-.3672-16-.5859V112.6C565.3 112.4 570.6 112 575.1 112h32c8.824 0 16 7.176 16 16V384zM287.1 224h-32c-17.62 0-32 14.38-32 32s14.38 32 32 32h32c17.62 0 32-14.38 32-32S305.6 224 287.1 224zM287.1 272H255.1c-8.824 0-16-7.176-16-16s7.176-16 16-16h32c8.824 0 16 7.176 16 16S296.8 272 287.1 272z"],
    "flask": [448, 512, [], "f0c3", "M436.3 395.1l-148.3-231.9V16h23.99c4.405 0 7.998-3.594 7.998-8S316.4 0 311.1 0H136C131.6 0 128 3.594 128 8S131.6 16 136 16h23.99v147.2l-148.4 232c-14.84 23.94-15.5 52.97-1.781 77.63C23.49 497.3 48.39 512 76.41 512h295.2c28.02 0 52.92-14.69 66.58-39.28C451.9 448 451.2 419 436.3 395.1zM176 167.8V16h95.98v151.8L369.3 320H78.7L176 167.8zM424.2 464.1C413.4 484.4 393.7 496 371.6 496H76.41c-22.15 0-41.8-11.59-52.58-31c-10.87-19.5-10.34-42.47 1.343-61.31L68.47 336h311.1l43.24 67.59C434.5 422.5 435 445.4 424.2 464.1z"],
    "flask-round-poison": [448, 512, ["flask-poison"], "f6e0", "M183.1 280C166.3 280 152 294.3 152 312s14.34 32 31.97 32c17.66 0 32-14.34 32-32S201.6 280 183.1 280zM183.1 328C175.2 328 168 320.8 168 312s7.156-16 15.97-16s16 7.188 16 16S192.8 328 183.1 328zM263.1 280c-17.66 0-32 14.34-32 32s14.34 32 32 32s32-14.34 32-32S281.6 280 263.1 280zM263.1 328c-8.812 0-16-7.188-16-16s7.188-16 16-16s16 7.188 16 16S272.8 328 263.1 328zM223.1 216C157.8 216 104 259.1 104 312c0 30.19 17.84 58.56 48 76.75V400c0 13.22 10.78 24 24 24h95.97c13.22 0 24-10.78 24-24v-11.25c30.16-18.19 48-46.56 48-76.75C343.1 259.1 290.1 216 223.1 216zM284.1 377.1l-4.125 2.281V400c0 4.5-3.5 8-8 8H176c-4.5 0-8-3.5-8-8v-20.59l-4.125-2.281C136.4 361.1 120 337.6 120 312c0-44.13 46.63-80 103.1-80s104 35.88 104 80C327.1 337.6 311.6 361.1 284.1 377.1zM288 154.1V16h24C316.4 16 320 12.41 320 8S316.4 0 312 0h-176C131.6 0 128 3.594 128 8S131.6 16 136 16H160v138.1C76.46 181.1 16 259.5 16 352c0 59.91 25.35 113.9 65.88 151.8C87.68 509.3 95.54 512 103.5 512h241c7.945 0 15.8-2.738 21.6-8.168C406.7 465.9 432 411.9 432 352C432 259.5 371.5 181.1 288 154.1zM355.2 492.2C352.6 494.6 348.7 496 344.5 496H103.5c-4.164 0-8.055-1.402-10.66-3.848C53.6 455.4 32 405.7 32 352c0-83.54 53.42-156.9 132.9-182.6L176 165.8V16h96v149.8l11.08 3.582C362.6 195.1 416 268.5 416 352C416 405.7 394.4 455.4 355.2 492.2z"],
    "flask-round-potion": [448, 512, ["flask-potion"], "f6e1", "M288 154.1V16h24C316.4 16 320 12.41 320 8S316.4 0 312 0h-176C131.6 0 128 3.594 128 8S131.6 16 136 16H160v138.1C76.46 181.1 16 259.5 16 352c0 59.91 25.35 113.9 65.88 151.8C87.68 509.3 95.54 512 103.5 512h241c7.945 0 15.8-2.738 21.6-8.168C406.7 465.9 432 411.9 432 352C432 259.5 371.5 181.1 288 154.1zM164.9 169.4L176 165.8V16h96v149.8l11.08 3.582c79.36 25.66 132.7 98.84 132.9 182.2l-2.902 .0117C380.4 351.9 336.1 352 280.7 324.3C203.5 285.7 118.3 286.4 34.1 325.6C44.05 253.3 93.95 192.3 164.9 169.4zM355.2 492.2C352.6 494.6 348.7 496 344.5 496H103.5c-4.164 0-8.055-1.402-10.66-3.848C53.6 455.4 32 405.7 32 352c0-2.828 .543-5.531 .6641-8.336c83.54-41.51 164.6-43.18 240.9-5.008c53.84 26.94 99.16 28.94 131.1 28.94c2.938 0 10.53-.0391 10.53-.0391C411.4 415.2 390.6 459 355.2 492.2z"],
    "flask-vial": [640, 512, [], "e4f3", "M224 56V309.9L208 335.9V176H48V352C48 396.2 83.82 432 128 432C140 432 151.4 429.4 161.6 424.6C160.5 430.5 160 436.5 160 442.5C149.1 446.1 139.2 448 128 448C74.98 448 32 405 32 352V56C32 51.58 35.58 48 40 48C44.42 48 48 51.58 48 56V160H208V56C208 51.58 211.6 48 216 48C220.4 48 224 51.58 224 56zM0 8C0 3.582 3.582 0 8 0H248C252.4 0 256 3.582 256 8C256 12.42 252.4 16 248 16H8C3.582 16 0 12.42 0 8zM536 0C540.4 0 544 3.582 544 8C544 12.42 540.4 16 536 16H296C291.6 16 288 12.42 288 8C288 3.582 291.6 0 296 0H536zM352 224C352 225.6 351.5 227.2 350.6 228.6L287.3 320H544.7L481.4 228.6C480.5 227.2 480 225.6 480 224V56C480 51.58 483.6 48 488 48C492.4 48 496 51.58 496 56V221.5L573.6 333.6L576 336H575.3L628.8 413.4C636.1 423.9 640 436.4 640 449.1C640 483.9 611.9 512 577.1 512H254.9C220.1 512 191.1 483.9 191.1 449.1C191.1 436.4 195.9 423.9 203.2 413.4L256.7 336H255.1L258.4 333.6L336 221.5V56C336 51.58 339.6 48 344 48C348.4 48 352 51.58 352 56L352 224zM208 449.1C208 475 228.1 496 254.9 496H577.1C603 496 624 475 624 449.1C624 439.6 621.1 430.3 615.7 422.5L555.8 336H276.2L216.3 422.5C210.9 430.3 208 439.6 208 449.1H208z"],
    "flatbread": [512, 512, [129747], "e40b", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496zM229.7 122.3c-3.125-3.125-8.188-3.125-11.31 0l-96 96c-3.125 3.125-3.125 8.188 0 11.31C123.9 231.2 125.9 232 128 232s4.094-.7813 5.656-2.344l96-96C232.8 130.5 232.8 125.5 229.7 122.3zM357.7 154.3c-3.125-3.125-8.188-3.125-11.31 0l-192 192c-3.125 3.125-3.125 8.188 0 11.31C155.9 359.2 157.9 360 160 360s4.094-.7813 5.656-2.344l192-192C360.8 162.5 360.8 157.5 357.7 154.3zM378.3 282.3l-96 96c-3.125 3.125-3.125 8.188 0 11.31C283.9 391.2 285.9 392 288 392s4.094-.7813 5.656-2.344l96-96c3.125-3.125 3.125-8.188 0-11.31S381.5 279.2 378.3 282.3z"],
    "flatbread-stuffed": [512, 512, [129369], "e40c", "M24.22 233.8C26.13 217.4 39.47 205.8 52.41 194.5c8.25-7.172 17.59-15.28 21.53-23.72C77.75 162.7 78.13 150.9 78.5 139.4c1.219-36.63 1.969-58.75 62-60.86c11-.4531 22.41-.9219 30.28-4.609c8.312-4.031 16.09-12.97 23.62-21.62c11.19-12.88 22.78-26.19 39.38-28.09c16.12-1.891 31.31 7.953 47.19 18.09c10.09 6.469 20.53 13.17 29.94 14.8c9.219 1.594 20.91-1.484 32.56-4.594c16.44-4.297 33.44-8.75 49.13-1.578c3.938 1.797 8.75 .0625 10.59-3.953s.0625-8.766-3.969-10.61c-20.66-9.438-42.34-3.859-60.25 .7813c-8.688 2.328-19.53 5.203-25.28 4.203c-6.25-1.094-15.31-6.906-25.09-13.16c-16.41-10.5-35.16-22.2-56.63-19.89c-22.78 2.625-37.66 19.75-49.63 33.5C176.2 48.92 169.2 56.95 163.9 59.52C159.1 61.78 148.8 62.2 138.8 62.61C70.28 65.03 63.94 95.75 62.5 139C62.19 148.3 61.84 158.9 59.44 164c-2.5 5.375-10.84 12.61-17.56 18.45c-13.78 12-30.94 26.92-33.53 49.52c-2.531 21.94 10 41.36 20.06 56.95c5.562 8.641 11.84 18.44 12.88 24.86c.9687 5.5-1.625 15.62-4.094 25.39c-4.656 17.45-10.41 39.19-.875 60.14C37.66 402.3 40.56 404 43.59 404c1.125 0 2.25-.2344 3.312-.7187c4.031-1.828 5.812-6.578 3.969-10.59c-7.156-15.75-2.438-33.64 2-50.38C55.69 331.3 58.63 319.9 57.06 311.1C55.5 301.5 48.59 290.7 41.88 280.3C32.72 266.1 22.38 250 24.22 233.8zM456.7 76.63C450.4 68.27 440.7 64 431 64c-8.293 0-16.62 3.129-22.99 9.496l-42.6 42.6C345.4 98.18 320.1 88 293.1 88c-29.12 0-56.53 11.34-77.13 31.95c-41.05 41.05-42.04 106.7-3.82 149.5L73.49 408.1c-13.8 13.8-12.38 36.85 3.141 48.68C124.1 493.6 182.9 512 240.8 512c69.42 0 138.8-26.48 191.8-79.44C529.7 335.4 537.8 182.9 456.7 76.63zM227.3 131.3C244.8 113.7 268.2 104 293.1 104c22.8 0 44.1 8.512 61.07 23.42L223.4 258.1C191.5 221.6 192.4 166.1 227.3 131.3zM421.2 421.2C373 469.5 308.9 496 240.8 496c-55.6 0-110.4-18.46-154.4-51.99c-3.736-2.85-5.973-7.049-6.293-11.83c-.3223-4.791 1.416-9.461 4.77-12.81L419.4 84.81C422.5 81.71 426.6 80 431 80c5.172 0 9.896 2.307 12.96 6.334C520.1 187.3 511.2 331.3 421.2 421.2zM240 415.1C231.2 415.1 224 423.2 224 432C224 440.8 231.2 448 240 448s16-7.164 16-16C256 423.2 248.8 415.1 240 415.1zM304 415.1C295.2 415.1 288 423.2 288 432c0 8.836 7.164 16 16 16s16-7.164 16-16C320 423.2 312.8 415.1 304 415.1zM272 351.1C263.2 351.1 256 359.2 256 368c0 8.836 7.164 16 16 16s16-7.164 16-16C288 359.2 280.8 351.1 272 351.1zM139.2 205.1C143.3 204.2 145.1 199.5 143.3 195.5c-1.781-4.031-6.375-5.891-10.56-4.125C100.7 205.3 80 237 80 272c0 19.25 6.094 37.52 17.62 52.81C99.19 326.9 101.6 328 104 328c1.688 0 3.375-.5313 4.812-1.609c3.531-2.656 4.25-7.672 1.562-11.2C100.1 302.7 96 287.8 96 272C96 243.4 112.1 217.5 139.2 205.1z"],
    "floppy-disk": [448, 512, [128426, 128190, "save"], "f0c7", "M429.3 141.3l-90.51-90.51C326.7 38.74 310.5 32 293.5 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V186.5C448 169.5 441.3 153.3 429.3 141.3zM80 48h213.5C297.1 48 300.6 48.48 304 49.25V152c0 13.23-10.78 24-24 24h-176C90.78 176 80 165.2 80 152V48zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48v104C64 174.1 81.94 192 104 192h176C302.1 192 320 174.1 320 152V55.98c2.643 1.758 5.137 3.783 7.432 6.078l90.51 90.51C427 161.6 432 173.7 432 186.5V416zM224 240c-48.53 0-88 39.47-88 88S175.5 416 224 416s88-39.47 88-88S272.5 240 224 240zM224 400c-39.69 0-72-32.3-72-72S184.3 256 224 256s72 32.3 72 72S263.7 400 224 400z"],
    "floppy-disk-circle-arrow-right": [576, 512, ["save-circle-arrow-right"], "e180", "M432 224c-79.54 0-144 64.46-144 144s64.46 144 144 144c79.54 0 143.1-64.46 143.1-144S511.5 224 432 224zM432 496c-70.58 0-128-57.42-128-128s57.42-128 128-128c70.58 0 127.1 57.42 127.1 128S502.6 496 432 496zM445.7 298.3c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31L484.7 360H360c-4.406 0-8.003 3.578-8.003 8s3.596 8 8.003 8h124.7l-50.34 50.34c-3.125 3.125-3.125 8.188 0 11.31C435.9 439.2 437.9 440 439.1 440s4.093-.7813 5.656-2.344l64-64c3.125-3.125 3.125-8.188 0-11.31L445.7 298.3zM224 256c15.72 0 30.66 4.984 43.19 14.39c3.531 2.688 8.531 1.938 11.22-1.578C281.1 265.3 280.3 260.3 276.8 257.6C261.5 246.1 243.2 240 224 240c-48.53 0-88 39.47-88 88S175.5 416 224 416c12.22 0 24.06-2.469 35.19-7.328c4.062-1.766 5.906-6.484 4.156-10.53c-1.781-4.031-6.5-5.875-10.53-4.125C243.7 397.1 233.1 400 224 400c-39.69 0-72-32.3-72-72S184.3 256 224 256zM280 464H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48v104C64 174.1 81.94 192 104 192h176C302.1 192 320 174.1 320 152V56.57c3.201 2.062 6.242 4.408 9 7.162l87.28 87.28c7.312 7.312 12.31 16.55 14.53 26.69C431.6 181.4 434.9 184 438.6 184c.5625 0 1.125-.0625 1.688-.1875c4.312-.9375 7.062-5.188 6.125-9.516c-2.844-13.14-9.375-25.09-18.84-34.59l-87.28-87.28C327.1 39.25 309.6 32 291 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h216C284.4 480 288 476.4 288 472S284.4 464 280 464zM80 48h211c4.459 0 8.777 .7207 13 1.771V152c0 13.23-10.78 24-24 24h-176C90.78 176 80 165.2 80 152V48z"],
    "floppy-disk-circle-xmark": [576, 512, ["floppy-disk-times", "save-circle-xmark", "save-times"], "e181", "M488.5 311.5c-3.125-3.125-8.152-3.17-11.28-.0453L432 356.7l-45.25-45.26c-3.125-3.125-8.152-3.083-11.28 .0422s-3.161 8.145-.0359 11.27L420.7 368l-45.25 45.26c-3.125 3.125-3.086 8.145 .0391 11.27c3.127 3.127 8.146 3.169 11.27 .0422L432 379.3l45.25 45.26c3.127 3.127 8.146 3.082 11.27-.0453c3.125-3.125 3.164-8.142 .0391-11.27L443.3 368l45.25-45.26C491.7 319.6 491.7 314.6 488.5 311.5zM432 224C352.5 224 288 288.5 288 368s64.47 144 144 144s144-64.47 144-144S511.5 224 432 224zM432 496c-70.58 0-128-57.42-128-128s57.42-128 128-128s128 57.42 128 128S502.6 496 432 496zM280 464H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48v104C64 174.1 81.94 192 104 192h176C302.1 192 320 174.1 320 152V56.57c3.201 2.062 6.242 4.408 9 7.162l87.28 87.28c7.312 7.312 12.31 16.55 14.53 26.69C431.6 181.4 434.9 184 438.6 184c.5625 0 1.125-.0625 1.688-.1875c4.312-.9375 7.062-5.188 6.125-9.516c-2.844-13.14-9.375-25.09-18.84-34.59l-87.28-87.28C327.1 39.25 309.6 32 291 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h216C284.4 480 288 476.4 288 472S284.4 464 280 464zM80 48h211c4.459 0 8.777 .7207 13 1.771V152c0 13.23-10.78 24-24 24h-176C90.78 176 80 165.2 80 152V48zM224 256c15.72 0 30.66 4.984 43.19 14.39c3.531 2.688 8.531 1.938 11.22-1.578C281.1 265.3 280.3 260.3 276.8 257.6C261.5 246.1 243.2 240 224 240c-48.53 0-88 39.47-88 88S175.5 416 224 416c12.22 0 24.06-2.469 35.19-7.328c4.062-1.766 5.906-6.484 4.156-10.53c-1.781-4.031-6.5-5.875-10.53-4.125C243.7 397.1 233.1 400 224 400c-39.69 0-72-32.3-72-72S184.3 256 224 256z"],
    "floppy-disk-pen": [576, 512, [], "e182", "M224 240c-48.53 0-88 39.47-88 88S175.5 416 224 416s88-39.47 88-88S272.5 240 224 240zM224 400c-39.69 0-72-32.3-72-72S184.3 256 224 256s72 32.3 72 72S263.7 400 224 400zM253.3 464H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48v104C64 174.1 81.94 192 104 192h176C302.1 192 320 174.1 320 152V56.09c2.619 1.74 5.074 3.738 7.312 5.977l90.63 90.63C427 161.8 432 173.8 432 186.6v44.8c0 4.422 3.594 8 8 8s8-3.578 8-8V186.6c0-17.09-6.656-33.16-18.75-45.25l-90.63-90.63C326.7 38.83 310.3 32 293.4 32H64C28.72 32 0 60.7 0 96v320c0 35.3 28.72 64 64 64h189.3c4.406 0 8-3.578 8-8S257.7 464 253.3 464zM80 48h213.4C296.1 48 300.5 48.52 304 49.32V152c0 13.23-10.78 24-24 24h-176C90.78 176 80 165.2 80 152V48zM565.5 255.7l-21.1-21.11c-7.029-7.029-16.24-10.54-25.46-10.54s-18.43 3.51-25.45 10.54l-186.1 186.1c-2.514 2.512-4.227 5.715-4.924 9.203l-14.28 71.41C287 506.9 291.5 512 296.1 512c.5898 0 1.189-.0645 1.797-.1855l71.42-14.29c3.482-.6992 6.682-2.406 9.195-4.922l186.1-186C579.5 292.5 579.5 269.7 565.5 255.7zM367.1 481.8l-61.1 12.34l12.74-62.26l130.1-130.1l49.31 49.31L367.1 481.8zM554.1 295.3l-43.85 43.73l-49.33-49.33l43.79-43.79c3.777-3.777 8.797-5.857 14.14-5.857s10.36 2.08 14.14 5.857l21.1 21.11C557.9 270.7 560 275.8 560 281.1S557.9 291.5 554.1 295.3z"],
    "floppy-disks": [512, 512, [], "e183", "M493.3 109.3l-90.51-90.51C390.7 6.742 374.5 0 357.5 0H160C124.7 0 96 28.65 96 64v288c0 35.35 28.65 64 64 64h288c35.35 0 64-28.65 64-64V154.5C512 137.5 505.3 121.3 493.3 109.3zM176 16h181.5C361.1 16 364.6 16.48 368 17.25V104C368 117.2 357.2 128 344 128h-144C186.8 128 176 117.2 176 104V16zM496 352c0 26.47-21.53 48-48 48H160c-26.47 0-48-21.53-48-48V64c0-26.47 21.53-48 48-48v88C160 126.1 177.9 144 200 144h144C366.1 144 384 126.1 384 104V23.98c2.643 1.758 5.137 3.783 7.432 6.078l90.51 90.51C491 129.6 496 141.7 496 154.5V352zM304 192C259.8 192 224 227.8 224 272c0 44.18 35.82 80 80 80S384 316.2 384 272C384 227.8 348.2 192 304 192zM304 336c-35.29 0-64-28.71-64-64s28.71-64 64-64s64 28.71 64 64S339.3 336 304 336zM408 448c-4.422 0-8 3.594-8 8c0 22.06-17.94 40-40 40h-288c-30.88 0-56-25.12-56-56v-288c0-22.06 17.94-40 40-40C60.42 112 64 108.4 64 104S60.42 96 56 96C25.13 96 0 121.1 0 152v288C0 479.7 32.3 512 72 512h288c30.88 0 56-25.12 56-56C416 451.6 412.4 448 408 448z"],
    "florin-sign": [384, 512, [], "e184", "M376 32C380.4 32 384 35.58 384 40C384 44.42 380.4 48 376 48H323C300.3 48 279.8 61.79 271.2 82.87L207.2 240H344C348.4 240 352 243.6 352 248C352 252.4 348.4 256 344 256H200.6L127.6 435.2C116.6 462.3 90.24 480 60.97 480H8C3.582 480 0 476.4 0 472C0 467.6 3.582 464 8 464H60.97C83.74 464 104.2 450.2 112.8 429.1L183.4 256H39.1C35.58 256 31.1 252.4 31.1 248C31.1 243.6 35.58 240 39.1 240H189.9L256.4 76.83C267.4 49.72 293.8 32 323 32H376z"],
    "flower": [512, 512, [127804, 10047], "f7ff", "M480 160c0-70.75-57.25-128-128-128c-38.5 0-72.5 17.25-96 44.12C232.5 49.25 198.5 32 160 32C89.25 32 32 89.25 32 160c0 38.5 17.25 72.5 44.13 96C49.25 279.5 32 313.5 32 352c0 70.75 57.25 128 128 128c38.5 0 72.5-17.25 96-44.13C279.5 462.8 313.5 480 352 480c70.75 0 128-57.25 128-128c0-38.5-17.25-72.5-44.13-96C462.8 232.5 480 198.5 480 160zM464 352c0 61.76-50.24 112-112 112c-32.34 0-62.16-13.73-83.96-38.66L256 411.6l-12.04 13.78C222.2 450.3 192.3 464 160 464c-61.76 0-112-50.24-112-112c0-32.34 13.73-62.16 38.66-83.96L100.4 256L86.66 243.1C61.73 222.2 48 192.3 48 160c0-61.76 50.24-112 112-112c32.34 0 62.16 13.73 83.96 38.66L256 100.4l12.04-13.78C289.8 61.73 319.7 48 352 48c61.76 0 112 50.24 112 112c0 32.34-13.73 62.16-38.66 83.96L411.6 256l13.78 12.04C450.3 289.8 464 319.7 464 352zM256 176C211.9 176 176 211.9 176 256s35.88 80 80 80s80-35.88 80-80S300.1 176 256 176zM256 320c-35.29 0-64-28.71-64-64s28.71-64 64-64c35.29 0 64 28.71 64 64S291.3 320 256 320z"],
    "flower-daffodil": [512, 512, [9880], "f800", "M304 143.1c0-26.51-21.5-48-48.01-48S207.1 117.5 207.1 143.1S229.5 191.1 256 191.1S304 170.5 304 143.1zM223.1 144c0-17.64 14.36-32 32-32s32 14.36 32 32S273.6 176 256 176S223.1 161.6 223.1 144zM504 320h-62c-79.63 0-148.1 45.77-177.1 111V264.1C278.4 278.6 297.9 288 320 288c44.18 0 80-35.82 80-80c0-26.29-12.87-49.42-32.45-64C387.1 129.4 400 106.3 400 80C400 35.82 364.2 0 320 0c-26.29 0-49.42 12.87-64 32.46C241.4 12.87 218.3 0 192 0C147.8 0 112 35.82 112 80c0 26.29 12.87 49.41 32.45 63.1C124.9 158.6 112 181.7 112 208C112 252.2 147.8 288 192 288c22.07 0 41.57-9.383 56-23.88v166.9C218.1 365.8 149.6 320 69.1 320H8C3.578 320 0 323.6 0 328C0 429.5 87.03 512 193.1 512h124C424.1 512 512 429.5 512 328C512 323.6 508.4 320 504 320zM193.1 496c-95.31 0-173.4-71.06-177.8-160h53.8c95.31 0 173.4 71.06 177.8 160H193.1zM243.2 246C230.9 262.5 212.2 272 192 272c-35.29 0-64-28.71-64-64c0-20.21 9.475-38.86 25.99-51.17L171.2 144L153.1 131.2C137.5 118.9 128 100.2 128 80c0-35.29 28.71-64 64-64c20.22 0 38.87 9.473 51.17 25.99L256 59.23l12.83-17.23C281.1 25.47 299.8 16 320 16c35.29 0 64 28.71 64 64c0 20.21-9.475 38.86-25.99 51.17L340.8 144l17.23 12.83C374.5 169.1 384 187.8 384 208c0 35.29-28.71 64-64 64c-20.22 0-38.87-9.473-51.17-25.99L256 228.8L243.2 246zM255.6 256C255.7 255.8 255.9 255.7 256 255.6C256.1 255.7 256.3 255.8 256.4 256H255.6zM317.1 496h-53.8c4.438-88.94 82.48-160 177.8-160h53.8C491.4 424.9 413.3 496 317.1 496z"],
    "flower-tulip": [512, 512, [127799], "f801", "M504 319.9h-62c-79.63 0-148.1 45.79-177.1 111V255.9h6.406C341.9 255.9 400 198.5 400 127.9V39.87c0-2.938-1.625-5.658-4.219-7.064c-2.594-1.344-5.75-1.282-8.219 .4064l-65.89 43.95L262.3 2.86c-3.031-3.814-9.469-3.814-12.5 0L190.3 77.16l-65.89-43.95C121.1 31.52 118.8 31.46 116.2 32.81C113.6 34.21 112 36.93 112 39.87v88.02c0 70.61 58.14 128 129.6 128H248v175.1c-29.86-65.25-98.37-111-178-111H8c-4.422 0-8 3.595-8 8.002C0 429.4 87.03 512 193.1 512h124C424.1 512 512 429.4 512 327.9C512 323.5 508.4 319.9 504 319.9zM241.6 239.9C178.1 239.9 128 189.7 128 127.9V54.81l59.56 39.73c3.406 2.282 8.078 1.563 10.69-1.657L256 20.68l57.75 72.21c2.609 3.22 7.234 3.939 10.69 1.657L384 54.81v73.08c0 61.77-50.95 112-113.6 112H241.6zM193.1 495.1c-95.31 0-173.4-71.08-177.8-160h53.8c95.31 0 173.4 71.08 177.8 160H193.1zM317.1 495.1h-53.8c4.438-88.96 82.48-160 177.8-160h53.8C491.4 424.9 413.3 495.1 317.1 495.1z"],
    "flute": [640, 512, [], "f8b9", "M608 160H32C14.38 160 0 174.4 0 192v128c0 17.62 14.38 32 32 32h576c17.62 0 32-14.38 32-32V192C640 174.4 625.6 160 608 160zM112 336H32c-8.822 0-16-7.176-16-16V192c0-8.824 7.178-16 16-16h80V336zM624 320c0 8.824-7.178 16-16 16H128v-160h480c8.822 0 16 7.176 16 16V320zM320 224C302.4 224 288 238.3 288 256s14.36 32 32 32s32-14.34 32-32S337.6 224 320 224zM320 272C311.2 272 304 264.8 304 256S311.2 240 320 240s16 7.188 16 16S328.8 272 320 272zM416 224c-17.64 0-32 14.34-32 32s14.36 32 32 32s32-14.34 32-32S433.6 224 416 224zM416 272c-8.828 0-16-7.188-16-16s7.172-16 16-16s16 7.188 16 16S424.8 272 416 272zM512 224c-17.64 0-32 14.34-32 32s14.36 32 32 32s32-14.34 32-32S529.6 224 512 224zM512 272c-8.828 0-16-7.188-16-16s7.172-16 16-16s16 7.188 16 16S520.8 272 512 272z"],
    "flux-capacitor": [448, 512, [], "f8ba", "M238.7 134.9C234.9 132.7 233.6 127.8 235.8 123.1C250.1 97.71 279.4 80 312 80C360.6 80 400 119.4 400 168C400 216.6 360.6 256 312 256C307.6 256 304 252.4 304 248C304 243.6 307.6 240 312 240C351.8 240 384 207.8 384 168C384 128.2 351.8 96 312 96C285.4 96 262.1 110.5 249.6 132C247.4 135.8 242.5 137.1 238.7 134.9H238.7zM172.5 282.3C175.6 285.4 175.7 290.4 172.6 293.6C159.8 306.6 151.1 324.4 151.1 344C151.1 383.8 184.2 416 223.1 416C263.8 416 296 383.8 296 344C296 324.4 288.2 306.6 275.4 293.6C272.3 290.4 272.4 285.4 275.5 282.3C278.7 279.2 283.8 279.2 286.8 282.4C302.4 298.3 312 320 312 344C312 392.6 272.6 432 223.1 432C175.4 432 135.1 392.6 135.1 344C135.1 320 145.6 298.3 161.2 282.4C164.2 279.2 169.3 279.2 172.5 282.3V282.3zM224 244.7L314.3 154.3C317.5 151.2 322.5 151.2 325.7 154.3C328.8 157.5 328.8 162.5 325.7 165.7L232 259.3V352C232 356.4 228.4 360 223.1 360C219.6 360 215.1 356.4 215.1 352V259.3L122.3 165.7C119.2 162.5 119.2 157.5 122.3 154.3C125.5 151.2 130.5 151.2 133.7 154.3L224 244.7zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM16 96V416C16 442.5 37.49 464 64 464H384C410.5 464 432 442.5 432 416V96C432 69.49 410.5 48 384 48H64C37.49 48 16 69.49 16 96zM64 168C64 207.8 96.24 240 136 240C140.4 240 144 243.6 144 248C144 252.4 140.4 256 136 256C87.4 256 48 216.6 48 168C48 119.4 87.4 80 136 80C168.6 80 197 97.71 212.2 123.1C214.4 127.8 213.1 132.7 209.3 134.9C205.5 137.1 200.6 135.8 198.4 132C185.9 110.5 162.6 96 136 96C96.24 96 64 128.2 64 168H64z"],
    "flying-disc": [448, 512, [], "e3a9", "M423.4 56.75C407.2 40.56 383.9 32 355.1 32C288.1 32 199.9 79.38 123.6 155.7c-111.8 111.7-155.3 243.3-98.99 299.6C40.8 471.4 64.11 480 92.02 480c67.01 0 156.1-47.39 232.4-123.7C436.2 244.6 479.7 113 423.4 56.75zM135.5 166.4c62.48-62.48 131.4-100.5 175.1-100.5c13.62 0 24.8 3.688 32.59 11.47c32.78 32.78-7.08 125.8-89.02 207.7c-62.48 62.48-131.4 100.5-175.1 100.5c-13.62 0-24.8-3.688-32.59-11.47C13.74 341.4 53.6 248.4 135.5 166.4zM313.1 345C237.1 420.1 152.3 464 92.02 464c-23.1 0-42.48-6.449-56.1-20.07c-19.79-19.78-24.22-51.76-15.96-89.57c1.688 11.97 6.514 22.51 15.09 31.09c10.58 10.57 25.77 16.16 43.94 16.16c49.41 0 122.7-41.29 186.6-105.2c77.47-77.41 135-184.4 89.1-230.3c-7.459-7.453-17.31-12.28-28.78-14.57C336.4 49.43 346.6 48 355.1 48c23.1 0 42.48 6.449 56.1 20.07C461.3 117.2 416.1 241.2 313.1 345z"],
    "folder": [512, 512, [128447, 61716, 128193, "folder-blank"], "f07b", "M464 96h-192L217.4 41.37C211.4 35.37 203.2 32 194.7 32H48C21.49 32 0 53.49 0 80v352C0 458.5 21.49 480 48 480h416c26.51 0 48-21.49 48-48v-288C512 117.5 490.5 96 464 96zM496 432c0 17.67-14.33 32-32 32h-416c-17.67 0-32-14.33-32-32v-352c0-17.67 14.33-32 32-32h140.1c8.487 0 16.63 3.371 22.63 9.372L265.4 112H464c17.67 0 32 14.33 32 32V432z"],
    "folder-arrow-down": [512, 512, ["folder-download"], "e053", "M464 96h-192L217.4 41.38C211.4 35.37 203.2 32 194.7 32H48C21.49 32 0 53.49 0 80v352C0 458.5 21.49 480 48 480h416c26.51 0 48-21.49 48-48v-288C512 117.5 490.5 96 464 96zM496 432c0 17.67-14.33 32-32 32h-416c-17.67 0-32-14.33-32-32v-352c0-17.67 14.33-32 32-32h140.1c8.486 0 16.62 3.371 22.63 9.371L265.4 112H464c17.67 0 32 14.33 32 32V432zM250.3 389.7C251.8 391.1 253.8 392 256 392s4.213-.8984 5.66-2.348l95.1-95.1c3.125-3.125 3.125-8.188 0-11.31s-8.188-3.125-11.31 0L264 364.7V192c0-4.422-3.578-8-8-8S248 187.6 248 192v172.7L165.7 282.3C164.1 280.8 162 280 160 280S155.9 280.8 154.3 282.3c-3.125 3.125-3.125 8.188 0 11.31L250.3 389.7z"],
    "folder-arrow-up": [512, 512, ["folder-upload"], "e054", "M464 96h-192L217.4 41.38C211.4 35.37 203.2 32 194.7 32H48C21.49 32 0 53.49 0 80v352C0 458.5 21.49 480 48 480h416c26.51 0 48-21.49 48-48v-288C512 117.5 490.5 96 464 96zM496 432c0 17.67-14.33 32-32 32h-416c-17.67 0-32-14.33-32-32v-352c0-17.67 14.33-32 32-32h140.1c8.486 0 16.62 3.371 22.63 9.371L265.4 112H464c17.67 0 32 14.33 32 32V432zM261.7 186.3C260.2 184.9 258.2 184 256 184S251.8 184.9 250.3 186.3L154.3 282.3c-3.125 3.125-3.125 8.188 0 11.31s8.188 3.125 11.31 0L248 211.3V384c0 4.422 3.578 8 8 8s8-3.578 8-8V211.3l82.34 82.34C347.9 295.2 349.1 296 352 296s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31L261.7 186.3z"],
    "folder-bookmark": [512, 512, [], "e186", "M464 96h-192L217.4 41.38C211.4 35.37 203.2 32 194.7 32H48C21.49 32 0 53.49 0 80v352C0 458.5 21.49 480 48 480h416c26.51 0 48-21.49 48-48v-288C512 117.5 490.5 96 464 96zM424 112v215.4l-67-53.61c-2.938-2.344-7.062-2.344-10 0L280 327.4V112H424zM496 432c0 17.67-14.33 32-32 32h-416c-17.67 0-32-14.33-32-32v-352c0-17.67 14.33-32 32-32h140.1c8.486 0 16.62 3.371 22.63 9.371L264 110.6V344c0 3.078 1.75 5.875 4.531 7.203c2.719 1.312 6.062 .9687 8.469-.9531L352 290.3l75 60C428.4 351.4 430.2 352 432 352c1.188 0 2.375-.2656 3.469-.7969C438.3 349.9 440 347.1 440 344V112h24c17.67 0 32 14.33 32 32V432z"],
    "folder-closed": [512, 512, [], "e185", "M464 96h-192L217.4 41.37C211.4 35.37 203.2 32 194.7 32H48C21.49 32 0 53.49 0 80v352C0 458.5 21.49 480 48 480h416c26.51 0 48-21.49 48-48v-288C512 117.5 490.5 96 464 96zM496 432c0 17.67-14.33 32-32 32h-416c-17.67 0-32-14.33-32-32v-352c0-17.67 14.33-32 32-32h140.1c8.487 0 16.63 3.371 22.63 9.372L265.4 112H464c17.67 0 32 14.33 32 32V432zM440 176H72C67.59 176 64 179.6 64 184S67.59 192 72 192h368C444.4 192 448 188.4 448 184S444.4 176 440 176z"],
    "folder-gear": [512, 512, ["folder-cog"], "e187", "M464 96h-192L217.4 41.38C211.4 35.37 203.2 32 194.7 32H48C21.49 32 0 53.49 0 80v352C0 458.5 21.49 480 48 480h416c26.51 0 48-21.49 48-48v-288C512 117.5 490.5 96 464 96zM496 432c0 17.67-14.33 32-32 32h-416c-17.67 0-32-14.33-32-32v-352c0-17.67 14.33-32 32-32h140.1c8.486 0 16.62 3.371 22.63 9.371L265.4 112H464c17.67 0 32 14.33 32 32V432zM256 240C229.5 240 208 261.5 208 288s21.53 48 48 48s48-21.53 48-48S282.5 240 256 240zM256 320c-17.64 0-32-14.34-32-32s14.36-32 32-32s32 14.34 32 32S273.6 320 256 320zM384.8 245.5C381.7 235.9 378.1 227.5 373.8 220c-4.406-7.625-9.828-14.91-16.61-22.31c-5.016-5.344-13.28-6.594-19.72-2.906l-18.7 10.81C311.7 200.2 304.1 195.8 296 192.4V170.9c0-7.469-5.219-14.03-12.44-15.66c-19.59-4.344-35.47-4.344-55.16 0C221.2 156.8 216 163.4 216 170.9v21.53C207.9 195.8 200.3 200.2 193.3 205.6L174.5 194.8C168 191 159.8 192.3 154.8 197.7C148 205.2 142.6 212.5 138.2 220c-4.359 7.531-7.953 15.88-11 25.5c-2.203 7 .8594 14.81 7.328 18.59l18.42 10.62C152.3 279.4 152 283.8 152 288s.3281 8.562 .9844 13.31L134.5 311.9c-6.438 3.75-9.5 11.56-7.297 18.56c3.047 9.625 6.641 17.97 11 25.5C142.6 363.5 148 370.8 154.8 378.3c4.953 5.344 13.25 6.594 19.73 2.906l18.7-10.81C200.3 375.8 207.9 380.2 216 383.6v21.53c0 7.469 5.219 14.03 12.44 15.66C238.3 422.9 247.3 424 256 424c8.75 0 17.77-1.062 27.59-3.219C290.8 419.2 296 412.6 296 405.1v-21.53c8.094-3.406 15.72-7.812 22.75-13.19l18.72 10.81c6.422 3.688 14.69 2.469 19.73-2.938c6.75-7.375 12.17-14.66 16.58-22.28c4.359-7.531 7.953-15.88 10.98-25.5c2.203-7-.8594-14.81-7.312-18.59l-18.44-10.62C359.7 296.6 360 292.2 360 288s-.3281-8.562-.9844-13.28l18.48-10.66C383.9 260.3 386.1 252.5 384.8 245.5zM341.3 266.4l1.016 5.562C343.5 278 344 283.1 344 288s-.5156 9.969-1.641 16.03l-1.016 5.562l28.17 16.09c-2.688 8.5-5.828 15.78-9.578 22.31c-3.812 6.594-8.578 12.97-14.48 19.34L317.1 351l-4.297 3.656c-8.219 7-17.47 12.34-27.5 15.94L280 372.5l.125 32.66C262.8 408.1 249.1 409 232 405.1V372.5l-5.312-1.906c-10.05-3.594-19.28-8.938-27.48-15.94L194.9 351L166.6 367.5c-6-6.562-10.75-12.94-14.53-19.47c-3.766-6.5-6.906-13.81-9.516-22.22l28.09-16.22L169.6 304C168.5 297.1 168 292.9 168 288s.5156-9.969 1.641-16.03l1.016-5.531L142.5 250.3C145.2 241.8 148.3 234.5 152.1 228C155.9 221.5 160.6 215.1 166.6 208.7L194.9 225l4.297-3.656c8.203-7 17.44-12.34 27.48-15.94L232 203.5L231.9 170.8C249.2 167 262.9 167 280 170.9V203.5l5.312 1.906c10.03 3.594 19.28 8.938 27.5 15.94L317.1 225l28.28-16.47c5.969 6.5 10.73 12.88 14.55 19.47c3.75 6.531 6.891 13.81 9.516 22.22L341.3 266.4z"],
    "folder-grid": [512, 512, [], "e188", "M464 96h-192L217.4 41.38C211.4 35.37 203.2 32 194.7 32H48C21.49 32 0 53.49 0 80v352C0 458.5 21.49 480 48 480h416c26.51 0 48-21.49 48-48v-288C512 117.5 490.5 96 464 96zM496 432c0 17.67-14.33 32-32 32h-416c-17.67 0-32-14.33-32-32v-352c0-17.67 14.33-32 32-32h140.1c8.486 0 16.62 3.371 22.63 9.371L265.4 112H464c17.67 0 32 14.33 32 32V432zM144 240h-32c-17.64 0-32 14.36-32 32v32c0 17.64 14.36 32 32 32h32c17.64 0 32-14.36 32-32v-32C176 254.4 161.6 240 144 240zM160 304C160 312.8 152.8 320 144 320h-32C103.2 320 96 312.8 96 304v-32C96 263.2 103.2 256 112 256h32C152.8 256 160 263.2 160 272V304zM272 240h-32c-17.64 0-32 14.36-32 32v32c0 17.64 14.36 32 32 32h32c17.64 0 32-14.36 32-32v-32C304 254.4 289.6 240 272 240zM288 304c0 8.836-7.164 16-16 16h-32C231.2 320 224 312.8 224 304v-32C224 263.2 231.2 256 240 256h32C280.8 256 288 263.2 288 272V304zM400 240h-32c-17.64 0-32 14.36-32 32v32c0 17.64 14.36 32 32 32h32c17.64 0 32-14.36 32-32v-32C432 254.4 417.6 240 400 240zM416 304c0 8.836-7.164 16-16 16h-32C359.2 320 352 312.8 352 304v-32C352 263.2 359.2 256 368 256h32C408.8 256 416 263.2 416 272V304z"],
    "folder-heart": [512, 512, [], "e189", "M464 96h-192L217.4 41.38C211.4 35.37 203.2 32 194.7 32H48C21.49 32 0 53.49 0 80v352C0 458.5 21.49 480 48 480h416c26.51 0 48-21.49 48-48v-288C512 117.5 490.5 96 464 96zM496 432c0 17.67-14.33 32-32 32h-416c-17.67 0-32-14.33-32-32v-352c0-17.67 14.33-32 32-32h140.1c8.484 0 16.62 3.371 22.62 9.371L265.4 112H464c17.67 0 32 14.33 32 32V432zM258.6 213.3L255.9 216.1L253.2 213.3C228.3 187.6 188.5 184.9 162.4 207C147.8 219.5 139.3 237 138.3 256.3C137.4 275.5 144.4 294.2 157.6 307.9l83.03 85.59C244.7 397.7 250.2 399.1 255.1 400c5.812 0 11.28-2.312 15.47-6.562l82.97-85.56c13.16-13.64 20.16-32.44 19.22-51.58c-.9687-19.31-9.531-36.81-24.16-49.25C323.6 184.8 283.6 187.6 258.6 213.3zM342.9 296.8l-82.94 85.52C258.9 383.4 257.5 384 256 384s-2.844-.6094-3.906-1.688l-83-85.55C159 286.3 153.6 271.8 154.3 257.1c.7187-14.86 7.281-28.31 18.47-37.88c8.781-7.5 19.72-11.17 30.84-11.17c13.66 0 27.53 5.562 38.03 16.38l14.19 14.75l14.16-14.72c19.22-19.64 49.5-21.97 69.03-5.234c11.25 9.562 17.84 23.02 18.59 37.88C358.4 271.8 353 286.3 342.9 296.8z"],
    "folder-image": [512, 512, [], "e18a", "M464 96h-192L217.4 41.38C211.4 35.37 203.2 32 194.7 32H48C21.49 32 0 53.49 0 80v352C0 458.5 21.49 480 48 480h416c26.51 0 48-21.49 48-48v-288C512 117.5 490.5 96 464 96zM496 432c0 17.67-14.33 32-32 32h-416c-17.67 0-32-14.33-32-32v-352c0-17.67 14.33-32 32-32h140.1c8.484 0 16.62 3.371 22.62 9.371L265.4 112H464c17.67 0 32 14.33 32 32V432zM313.3 218.7c-8.938-13.38-31-13.38-39.94 0L217 303.3l-15.59-21.39c-9.062-12.34-29.75-12.34-38.81 0l-70 96.02c-5.344 7.359-6.094 16.94-1.969 24.98C94.72 410.1 102.9 416 112 416h288c8.844 0 16.94-4.844 21.12-12.66c4.219-7.812 3.781-17.27-1.156-24.66L313.3 218.7zM407.1 395.8C405.7 398.3 402.9 400 400 400h-288c-3.031 0-5.75-1.672-7.125-4.391c-1.375-2.688-1.125-5.875 .6562-8.312l70-96C177.1 289.2 179.4 288 181.1 288c2.594 0 4.938 1.203 6.469 3.297l29.09 39.92l69.13-103.7c3-4.469 10.31-4.469 13.31 0l106.7 160C408.3 390 408.5 393.2 407.1 395.8zM128 248c22.06 0 40-17.94 40-40S150.1 168 128 168S88 185.9 88 208S105.9 248 128 248zM128 184c13.22 0 24 10.77 24 24S141.2 232 128 232S104 221.2 104 208S114.8 184 128 184z"],
    "folder-magnifying-glass": [512, 512, ["folder-search"], "e18b", "M464 96h-192L217.4 41.38C211.4 35.37 203.2 32 194.7 32H48C21.49 32 0 53.49 0 80v352C0 458.5 21.49 480 48 480h416c26.51 0 48-21.49 48-48v-288C512 117.5 490.5 96 464 96zM496 432c0 17.67-14.33 32-32 32h-416c-17.67 0-32-14.33-32-32v-352c0-17.67 14.33-32 32-32h140.1c8.486 0 16.62 3.371 22.63 9.371L265.4 112H464c17.67 0 32 14.33 32 32V432zM312.1 333.7C327.1 316.1 336 295.6 336 272c0-53.02-42.98-96-96-96s-96 42.98-96 96s42.98 96 96 96c23.62 0 44.96-8.859 61.68-23l68.66 68.66C371.9 415.2 373.9 416 376 416s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31L312.1 333.7zM240 352C195.9 352 160 316.1 160 272S195.9 192 240 192S320 227.9 320 272S284.1 352 240 352z"],
    "folder-medical": [512, 512, [], "e18c", "M464 96h-192L217.4 41.38C211.4 35.37 203.2 32 194.7 32H48C21.49 32 0 53.49 0 80v352C0 458.5 21.49 480 48 480h416c26.51 0 48-21.49 48-48v-288C512 117.5 490.5 96 464 96zM496 432c0 17.67-14.33 32-32 32h-416c-17.67 0-32-14.33-32-32v-352c0-17.67 14.33-32 32-32h140.1c8.484 0 16.62 3.371 22.62 9.371L265.4 112H464c17.67 0 32 14.33 32 32V432zM338.3 248H296V205.7C296 193.8 286.3 184 274.3 184H237.7C225.8 184 216 193.8 216 205.7V248H173.7C161.8 248 152 257.8 152 269.7v36.56C152 318.3 161.8 328 173.7 328H216v42.28C216 382.3 225.8 392 237.7 392h36.56C286.3 392 296 382.3 296 370.3V328h42.28C350.3 328 360 318.3 360 306.3V269.7C360 257.8 350.3 248 338.3 248zM344 306.3C344 309.4 341.4 312 338.3 312H280v58.28C280 373.4 277.4 376 274.3 376H237.7C234.6 376 232 373.4 232 370.3V312H173.7C170.6 312 168 309.4 168 306.3V269.7C168 266.6 170.6 264 173.7 264H232V205.7C232 202.6 234.6 200 237.7 200h36.56C277.4 200 280 202.6 280 205.7V264h58.28C341.4 264 344 266.6 344 269.7V306.3z"],
    "folder-minus": [512, 512, [], "f65d", "M464 96h-192L217.4 41.38C211.4 35.37 203.2 32 194.7 32H48C21.49 32 0 53.49 0 80v352C0 458.5 21.49 480 48 480h416c26.51 0 48-21.49 48-48v-288C512 117.5 490.5 96 464 96zM496 432c0 17.67-14.33 32-32 32h-416c-17.67 0-32-14.33-32-32v-352c0-17.67 14.33-32 32-32h140.1c8.484 0 16.62 3.371 22.62 9.371L265.4 112H464c17.67 0 32 14.33 32 32V432zM344 280h-176C163.6 280 160 283.6 160 288c0 4.422 3.578 8 8 8h176C348.4 296 352 292.4 352 288S348.4 280 344 280z"],
    "folder-music": [512, 512, [], "e18d", "M464 96h-192L217.4 41.38C211.4 35.37 203.2 32 194.7 32H48C21.49 32 0 53.49 0 80v352C0 458.5 21.49 480 48 480h416c26.51 0 48-21.49 48-48v-288C512 117.5 490.5 96 464 96zM496 432c0 17.67-14.33 32-32 32h-416c-17.67 0-32-14.33-32-32v-352c0-17.67 14.33-32 32-32h140.1c8.486 0 16.62 3.371 22.63 9.371L265.4 112H464c17.67 0 32 14.33 32 32V432zM340.8 192.7l-128 56C209.9 249.9 208 252.8 208 256v104.3C199.5 355.2 188.3 352 176 352C149.5 352 128 366.3 128 384s21.49 32 48 32S224 401.7 224 384V261.2l112-49v116.1C327.5 323.2 316.3 320 304 320c-26.51 0-48 14.33-48 32s21.49 32 48 32s48-14.33 48-32V200c0-2.688-1.359-5.219-3.625-6.688C346.2 191.8 343.3 191.6 340.8 192.7zM176 400c-19.53 0-32-9.477-32-16s12.47-16 32-16c19.54 0 32 9.477 32 16S195.5 400 176 400zM304 368c-19.53 0-32-9.477-32-16s12.47-16 32-16c19.54 0 32 9.477 32 16S323.5 368 304 368z"],
    "folder-open": [576, 512, [128449, 61717, 128194], "f07c", "M543.1 224H480V144C480 117.5 458.5 96 432 96h-160L217.4 41.38C211.4 35.37 203.2 32 194.7 32H48C21.49 32 0 53.49 0 80V448c0 17.67 14.33 32 32 32h396.2c24.24 0 46.4-13.7 57.24-35.38l87.16-174.3C583.2 249 567.7 224 543.1 224zM16 80c0-17.67 14.33-32 32-32h140.1c8.486 0 16.62 3.371 22.63 9.375L265.4 112H432c17.67 0 32 14.33 32 32V224H157.7C139.5 224 122.9 234.3 114.7 250.5L16 448V80zM558.3 263.2l-87.16 174.3C462.1 453.7 446.4 464 428.2 464H38.83c-5.945 0-9.814-6.258-7.154-11.58l97.37-194.7C134.5 246.8 145.5 240 157.7 240h386.3c8.051 0 12.2 5.305 13.61 7.586C558.1 249.9 561.9 255.1 558.3 263.2z"],
    "folder-plus": [512, 512, [], "f65e", "M464 96h-192L217.4 41.38C211.4 35.37 203.2 32 194.7 32H48C21.49 32 0 53.49 0 80v352C0 458.5 21.49 480 48 480h416c26.51 0 48-21.49 48-48v-288C512 117.5 490.5 96 464 96zM496 432c0 17.67-14.33 32-32 32h-416c-17.67 0-32-14.33-32-32v-352c0-17.67 14.33-32 32-32h140.1c8.484 0 16.62 3.371 22.62 9.371L265.4 112H464c17.67 0 32 14.33 32 32V432zM344 280h-80v-80C264 195.6 260.4 192 256 192S248 195.6 248 200v80h-80C163.6 280 160 283.6 160 288c0 4.422 3.578 8 8 8h80v80C248 380.4 251.6 384 256 384s8-3.58 8-8v-80h80C348.4 296 352 292.4 352 288S348.4 280 344 280z"],
    "folder-tree": [576, 512, [], "f802", "M544 32h-112l-27.31-27.31C401.7 1.688 397.6 0 393.4 0H320c-17.67 0-32 14.33-32 32v160c0 17.67 14.33 32 32 32h224c17.67 0 32-14.33 32-32V64C576 46.33 561.7 32 544 32zM560 192c0 8.824-7.178 16-16 16h-224c-8.822 0-16-7.176-16-16V32c0-8.824 7.178-16 16-16h73.37l32 32H544c8.822 0 16 7.176 16 16V192zM544 320h-112l-27.31-27.31C401.7 289.7 397.6 288 393.4 288H320c-17.67 0-32 14.33-32 32v160c0 17.67 14.33 32 32 32h224c17.67 0 32-14.33 32-32v-128C576 334.3 561.7 320 544 320zM560 480c0 8.824-7.178 16-16 16h-224c-8.822 0-16-7.176-16-16v-160c0-8.824 7.178-16 16-16h73.37l32 32H544c8.822 0 16 7.176 16 16V480zM248 136C252.4 136 256 132.4 256 128S252.4 120 248 120H16v-112C16 3.594 12.41 0 8 0S0 3.594 0 8V384c0 22.06 17.94 40 40 40h208C252.4 424 256 420.4 256 416s-3.594-8-8-8h-208c-13.22 0-24-10.78-24-24V136H248z"],
    "folder-user": [512, 512, [], "e18e", "M464 96h-192L217.4 41.38C211.4 35.37 203.2 32 194.7 32H48C21.49 32 0 53.49 0 80v352C0 458.5 21.49 480 48 480h416c26.51 0 48-21.49 48-48v-288C512 117.5 490.5 96 464 96zM496 432c0 17.67-14.33 32-32 32h-416c-17.67 0-32-14.33-32-32v-352c0-17.67 14.33-32 32-32h140.1c8.486 0 16.62 3.371 22.63 9.371L265.4 112H464c17.67 0 32 14.33 32 32V432zM256 288c35.35 0 64-28.66 64-64s-28.65-64-64-64C220.7 160 192 188.7 192 224S220.7 288 256 288zM256 176c26.47 0 48 21.53 48 48S282.5 272 256 272S208 250.5 208 224S229.5 176 256 176zM288 320H224c-44.18 0-80 35.82-80 80C144 408.8 151.2 416 160 416h192c8.836 0 16-7.164 16-16C368 355.8 332.2 320 288 320zM160 400c0-35.29 28.71-64 64-64h64c35.29 0 64 28.71 64 64H160z"],
    "folder-xmark": [512, 512, ["folder-times"], "f65f", "M464 96h-192L217.4 41.38C211.4 35.37 203.2 32 194.7 32H48C21.49 32 0 53.49 0 80v352C0 458.5 21.49 480 48 480h416c26.51 0 48-21.49 48-48v-288C512 117.5 490.5 96 464 96zM496 432c0 17.67-14.33 32-32 32h-416c-17.67 0-32-14.33-32-32v-352c0-17.67 14.33-32 32-32h140.1c8.484 0 16.62 3.371 22.62 9.371L265.4 112H464c17.67 0 32 14.33 32 32V432zM333.7 210.3c-3.125-3.125-8.188-3.125-11.31 0L256 276.7L189.7 210.3c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31L244.7 287.1l-66.34 66.34c-3.125 3.125-3.125 8.188 0 11.31c3.125 3.127 8.188 3.127 11.31 0L256 299.3l66.34 66.34c3.125 3.127 8.188 3.127 11.31 0c3.125-3.125 3.125-8.188 0-11.31L267.3 287.1l66.34-66.34C336.8 218.5 336.8 213.5 333.7 210.3z"],
    "folders": [640, 512, [], "f660", "M560 96h-159.1l-54.63-54.63C339.4 35.37 331.2 32 322.7 32H176c-26.51 0-48 21.49-48 48v256c0 26.51 21.49 48 48 48h384c26.51 0 48-21.49 48-48v-192C608 117.5 586.5 96 560 96zM592 336c0 17.67-14.33 32-32 32H176c-17.67 0-32-14.33-32-32v-256c0-17.67 14.33-32 32-32h140.1c8.486 0 16.62 3.371 22.63 9.371L393.4 112h166.6c17.67 0 32 14.33 32 32V336zM504 416c-4.418 0-8 3.582-8 8v8c0 17.67-14.33 32-32 32h-384c-17.67 0-32-14.33-32-32v-256c0-17.67 14.33-32 32-32h8c4.418 0 8-3.582 8-8S92.42 128 88 128h-8C53.49 128 32 149.5 32 176l.0002 256c0 26.51 21.49 48 48 48h383.1c26.51 0 47.1-21.49 47.1-48l.0002-8C512 419.6 508.4 416 504 416z"],
    "fondue-pot": [512, 512, [129749], "e40d", "M504 224h-168.7l41.79-65.68C380.3 159.4 383.6 160 386.9 160c10.56 0 20.94-5.234 27.03-14.81l61.09-96c9.5-14.92 5.094-34.7-9.812-44.19C450.3-4.469 430.5-.0781 421 14.81l-61.09 96c-7.975 12.53-5.678 28.13 3.934 38.54L316.3 224H243.9l17.47-64.04c.1484 .002 .2988 .0605 .4473 .0605c14.06 0 26.97-9.359 30.84-23.59l26.19-96c4.656-17.05-5.406-34.64-22.47-39.3c-16.84-4.594-34.63 5.375-39.28 22.45l-26.19 96C227 133.9 233.8 148.1 246.1 155.2L227.3 224H32C14.33 224 0 238.3 0 256v64c0 52.28 25.45 98.26 64.22 127.5C64.21 447.7 64 447.8 64 448v56C64 508.4 67.59 512 72 512s8-3.578 8-8v-46.19C103.6 471.6 130.7 480 160 480h128c29.29 0 56.38-8.449 80-22.19V504c0 4.422 3.594 8 8 8S384 508.4 384 504V448c0-.2109-.209-.332-.2246-.5391C422.6 418.3 448 372.3 448 320V240h56C508.4 240 512 236.4 512 232S508.4 224 504 224zM373.4 119.4l61.09-96c4.812-7.469 14.72-9.562 22.09-4.906c7.438 4.75 9.656 14.64 4.906 22.09l-61.09 96C397.3 141.4 392.2 144 386.9 144c-2.969 0-5.938-.8125-8.594-2.5C370.9 136.8 368.7 126.9 373.4 119.4zM246.4 123.8l26.19-96c2.344-8.516 11.16-13.58 19.66-11.23c8.531 2.328 13.53 11.12 11.22 19.64l-26.19 96C275.3 139.3 268.8 144 261.8 144c-1.375 0-2.812-.1719-4.219-.5625C249.1 141.1 244.1 132.3 246.4 123.8zM152 240V288c0 4.406-3.594 8-8 8S136 292.4 136 288V280C136 266.8 125.2 256 112 256S88 266.8 88 280V320c0 4.406-3.594 8-8 8S72 324.4 72 320V240H152zM432 320c0 79.4-64.6 144-144 144H160c-79.4 0-144-64.6-144-144V256c0-8.822 7.178-16 16-16h24V320c0 13.23 10.78 24 24 24S104 333.2 104 320V280c0-4.406 3.594-8 8-8s8 3.594 8 8V288c0 13.23 10.78 24 24 24S168 301.2 168 288V240h264V320z"],
    "font": [448, 512, [], "f031", "M440 463.1h-50.43L231.5 36.72c-2.312-6.289-12.69-6.289-15 0L58.43 463.1H8c-4.406 0-8 3.582-8 8.008C0 476.4 3.594 480 8 480h128c4.406 0 8-3.582 8-8.01c0-4.426-3.594-8.008-8-8.008H75.49l50.66-136.9C126.8 327.2 127.3 327.8 128 327.8h192c.7227 0 1.186-.5898 1.852-.7695l50.66 136.9H312c-4.406 0-8 3.582-8 8.008C304 476.4 307.6 480 312 480h128c4.406 0 8-3.582 8-8.01C448 467.6 444.4 463.1 440 463.1zM131.8 311.8L224 62.56l92.21 249.3H131.8z"],
    "font-awesome": [448, 512, [62694, 62501, "font-awesome-flag", "font-awesome-logo-full"], "f2b4", "M448 48V384c-63.09 22.54-82.34 32-119.5 32c-62.82 0-86.6-32-149.3-32c-46.49 0-70.61 17.3-105.3 26.39C68.9 411.7 64 408 64 402.9c0-3.633 2.57-6.705 6.102-7.547C106.9 386.6 131 368 179.2 368c62.73 0 86.51 32 149.3 32c33.72 0 53.04-7.918 103.5-26.22v-304C381.6 88.08 362.3 96 328.5 96c-62.82 0-86.6-32-149.3-32C116.3 64 94.83 96 32 96C26.3 96 21.05 95.64 16 95.11V472C16 476.4 12.42 480 8 480S0 476.4 0 472V40C0 35.58 3.582 32 8 32S16 35.58 16 40v39.11C21.05 79.64 26.3 80 32 80c62.83 0 84.33-32 147.2-32c62.73 0 86.51 32 149.3 32C365.7 80 384.9 70.54 448 48z"],
    "font-case": [640, 512, [], "f866", "M632 159.6c-4.412 0-7.983 3.598-7.983 8.009v50.56c-20.09-34.83-57.21-58.57-100.1-58.57c-64.02 0-116.1 52.25-116.1 116.5v87.41C407.8 427.8 459.9 480 523.9 480c42.92 0 80.04-23.75 100.1-58.57v50.56C624 476.4 627.6 480 632 480C636.4 480 640 476.4 640 471.1V167.7C640 163.2 636.4 159.6 632 159.6zM624 363.5c0 55.41-44.92 100.5-100.1 100.5c-55.21 0-100.1-45.05-100.1-100.5V276.1c0-55.41 44.92-100.5 100.1-100.5c55.21 0 100.1 45.05 100.1 100.5V363.5zM168.2 36.6L.5485 469.1c-1.606 4.13 .4366 8.76 4.537 10.39C6.037 479.8 7.019 480 7.986 480c3.196 0 6.205-1.94 7.437-5.099l41.48-107h237.4l41.48 107c1.606 4.13 6.252 6.038 10.34 4.568c4.101-1.627 6.143-6.257 4.537-10.39L183.1 36.6C180.7 30.47 170.6 30.47 168.2 36.6zM63.11 351.9l112.5-290.3l112.5 290.3H63.11z"],
    "football": [512, 512, [127944, "football-ball"], "f44e", "M173.7 258.3c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31l80 80C243.9 351.2 245.9 352 248 352s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31L173.7 258.3zM258.3 162.3c-3.125 3.125-3.125 8.188 0 11.31l80 80C339.9 255.2 341.9 256 344 256s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31l-80-80C266.5 159.2 261.5 159.2 258.3 162.3zM221.7 210.3c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31l80 80C291.9 303.2 293.9 304 296 304s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31L221.7 210.3zM481.9 66.63c-4.688-17.54-18.34-31.23-36.04-35.95C435.5 27.91 392.9 16 337 16c-68.2 0-156.2 17.69-229.6 91.2c-118.7 119-93.78 275.5-77.26 338.2c4.688 17.54 18.39 31.38 36.09 36.09C76.57 484.2 119.1 496 174.9 496c68.2 0 156.2-17.68 229.6-91.2C523.3 285.8 498.4 129.3 481.9 66.63zM174.9 480c-34.86 0-69.81-4.646-104.6-14.01c-12.04-3.211-21.53-12.7-24.74-24.71c-7.771-29.48-17.62-81.41-11.74-140.1l176.1 176.1C199.1 479.3 187.2 480 174.9 480zM393.3 393.5c-44.64 44.71-99.2 72.01-162.5 82L36.55 281.2C45.22 227.2 68.19 169.2 118.7 118.5c44.64-44.71 99.2-72.01 162.5-82l194.3 194.3C466.8 284.8 443.8 342.8 393.3 393.5zM478.1 210.8L301.2 33.86C312.9 32.72 324.8 32 337 32c34.65 0 69.54 4.674 104.6 14.15c12.03 3.207 21.5 12.64 24.69 24.57C474.2 100.2 484 152.1 478.1 210.8z"],
    "football-helmet": [512, 512, [], "f44f", "M472 320h-127.3L330.6 245.3l146.5-19.05c8.523-1.188 14.67-9.027 13.83-17.39C459.4 61.7 332.5 16 256 16c-132.5 0-240 107.5-240 240c0 56.09 19.41 107.5 51.68 148.4c5.941 7.52 15.3 11.58 24.89 11.58h27.39l85.75 45.04c9.297 4.672 19.32 6.946 29.28 6.946c16.96 0 33.74-6.631 46.34-19.23C317.6 412.5 292.3 366.8 286.4 352l-6.406-16h51.42l11.62 62.09C353.7 454.8 403.3 496 460.9 496h11.06c22.06 0 40-17.94 40-40v-96C512 337.9 494.1 320 472 320zM270 437.4c-9.359 9.355-21.8 14.51-35.02 14.51c-7.637 0-15.28-1.812-21.86-5.113l-89.24-46.83h-31.33c-5.004 0-9.613-2.059-12.34-5.504C48.68 354.5 32 306.6 32 256c0-123.5 100.5-224 224-224c66.83 0 187.8 37.62 218.9 178.3l-188.1 24.48c-14.81 1.883-27.66 10.36-35.25 23.27C243.1 270.1 242.8 286.3 248.4 300.1c0 0 24.53 61.11 25.43 63.17C284.9 388.7 292.1 415.3 270 437.4zM273.6 320l-10.34-25.79c-7.75-19.38 4.996-40.89 25.62-43.51l25.89-3.367L328.4 320H273.6zM496 456c0 13.22-10.78 24-24 24h-11.06c-48.3 0-89.73-33.43-100.8-80h135.9V456zM496 384h-139.3l-9-48h124.3c13.22 0 24 10.78 24 24V384zM176 304c-17.64 0-32 14.36-32 32s14.36 32 32 32s32-14.36 32-32S193.6 304 176 304zM176 352c-8.836 0-16-7.164-16-16s7.164-16 16-16s16 7.164 16 16S184.8 352 176 352z"],
    "fork": [512, 512, ["utensil-fork"], "f2e3", "M349 188.9C349 186.8 349.9 184.8 351.4 183.3L464.5 70.11C466 68.65 468 67.85 470.1 67.87C472.2 67.89 474.2 68.74 475.7 70.22C477.2 71.71 478 73.72 478.1 75.81C478.1 77.91 477.3 79.93 475.8 81.44L362.7 194.6C361.2 196.1 359.1 196.9 357 196.9C354.9 196.9 352.9 196.1 351.4 194.6C349.9 193.1 349 191 349 188.9zM315.7 158C315.3 157.1 315.1 156 315.1 154.1C315.1 153.9 315.3 152.9 315.7 151.9C316.1 150.9 316.7 150.1 317.4 149.3L430.6 36.19C432.1 34.73 434.1 33.92 436.2 33.94C438.3 33.95 440.3 34.79 441.8 36.27C443.3 37.75 444.1 39.76 444.1 41.85C444.1 43.95 443.3 45.97 441.9 47.48L328.7 160.6C327.2 162.1 325.2 162.1 323.1 162.1C320.1 162.1 318.9 162.1 317.4 160.6C316.7 159.9 316.1 159 315.7 158H315.7zM508.4 102.9C510.2 104.1 511.4 105.9 511.8 107.1C512.2 110.1 511.8 112.2 510.7 113.9L426.5 240.9C420 251.4 411.2 260.4 400.8 267C390.4 273.7 378.6 277.9 366.3 279.3C344.9 281.5 323.5 275.2 306.8 261.8L68.29 500.3C60.79 507.8 50.61 512 40 512C29.39 512 19.22 507.8 11.71 500.3C4.211 492.8-.0039 482.6-.0039 471.1C-.0039 461.4 4.211 451.2 11.71 443.7L250.2 205.2C242.1 196.2 237.7 185.8 234.8 174.7C231.9 163.5 231.4 151.9 233.4 140.6C235.4 129.2 239.8 118.4 246.3 108.9C252.8 99.41 261.3 91.42 271.2 85.47L397.1 1.341C398.9 .7572 399.8 .3511 400.9 .146C401.9-.0591 402.1-.0591 403.1 .146C405 .3511 405.1 .7575 406.9 1.342C407.7 1.926 408.5 2.676 409.1 3.55C410.2 5.317 410.7 7.476 410.2 9.557C409.8 11.64 408.6 13.47 406.8 14.65L279.9 98.85C271.3 103.1 263.1 111.1 258.5 119.5C253.1 127.1 249.7 137.6 248.6 147.5C247.6 157.1 248.7 166.8 251.8 175.9C254.9 185 259.1 193.4 266.6 200.3L311.7 245.4C318.7 252.1 327 257.1 336.2 260.2C345.3 263.3 355 264.4 364.6 263.3C374.6 262.2 384.1 258.9 392.5 253.5C400.9 248 407.1 240.8 413.1 232.2L497.3 105.2C498.5 103.5 500.4 102.3 502.4 101.9C504.5 101.4 506.7 101.9 508.4 103V102.9zM294.8 251.1L260.9 217.2L23.04 455C18.8 459.6 16.49 465.6 16.6 471.8C16.71 478 19.23 483.1 23.63 488.4C28.03 492.8 33.96 495.3 40.18 495.4C46.39 495.5 52.41 493.2 56.96 488.1L294.8 251.1z"],
    "fork-knife": [576, 512, ["utensils-alt"], "f2e6", "M500.3 443.7C507.8 451.2 512 461.4 512 472C512 482.6 507.8 492.8 500.3 500.3C492.8 507.8 482.6 512 472 512C461.4 512 451.2 507.8 443.7 500.3L310.6 367.2L321.1 355.9L455 488.1C457.2 491.3 459.9 493.2 462.8 494.5C465.8 495.8 468.1 496.5 472.2 496.6C475.4 496.7 478.6 496.1 481.6 494.9C484.6 493.6 487.3 491.8 489.6 489.6C491.8 487.3 493.6 484.6 494.9 481.6C496.1 478.6 496.6 475.4 496.6 472.2C496.5 468.1 495.8 465.8 494.5 462.8C493.2 459.9 491.3 457.2 488.1 455L355.9 321.1L367.2 310.6L500.3 443.7zM152.8 321.4L54.11 222.8C28.01 196.7 10.32 163.3 3.341 127.1C-3.641 90.84 .4008 53.33 14.94 19.39C17 14.59 20.21 10.36 24.28 7.084C28.36 3.806 33.17 1.575 38.3 .5865C43.44-.4016 48.73-.1171 53.73 1.416C58.73 2.948 63.28 5.682 66.98 9.379L265.9 208.3L254.6 219.6L55.68 20.71C54.22 19.2 52.46 18.01 50.53 17.21C48.59 16.4 46.51 15.99 44.42 16C41.29 15.99 38.22 16.89 35.6 18.59C32.98 20.3 30.92 22.74 29.66 25.6C16.24 56.58 12.47 90.89 18.85 124C25.22 157.2 41.45 187.7 65.41 211.5L164.1 310.1L152.8 321.4zM575.8 107.1C576.2 110.1 575.8 112.2 574.7 113.1L490.5 240.9C484 251.4 475.2 260.4 464.8 267C454.4 273.7 442.6 277.9 430.3 279.3C408.9 281.5 387.5 275.2 370.8 261.8L132.3 500.3C124.8 507.8 114.6 512 103.1 512C93.39 512 83.21 507.8 75.71 500.3C68.21 492.8 63.99 482.6 63.99 472C63.99 461.4 68.21 451.2 75.71 443.7L314.2 205.2C306.1 196.2 301.7 185.8 298.8 174.7C295.9 163.6 295.4 151.9 297.4 140.6C299.4 129.2 303.8 118.4 310.3 108.9C316.8 99.42 325.3 91.42 335.2 85.47L461.1 1.346C462.9 .7581 463.8 .3485 464.9 .1408C465.9-.0666 466.1-.0679 467.1 .1376C469 .343 469.1 .7507 470.9 1.337C471.7 1.924 472.5 2.677 473.1 3.554C474.2 5.322 474.7 7.481 474.2 9.561C473.8 11.64 472.6 13.47 470.8 14.66L343.9 98.85C335.3 103.1 327.1 111.1 322.5 119.5C317.1 127.1 313.7 137.6 312.6 147.6C311.6 157.1 312.7 166.8 315.8 175.9C318.9 185 323.1 193.4 330.6 200.3L375.7 245.4C382.7 252.1 391 257.1 400.2 260.2C409.3 263.3 419 264.4 428.6 263.3C438.6 262.3 448.1 258.9 456.5 253.5C464.9 248.1 471.1 240.8 477.1 232.2L561.3 105.2C562.5 103.4 564.4 102.2 566.4 101.8C568.5 101.3 570.7 101.8 572.4 102.9C574.2 104.1 575.4 105.9 575.8 107.1zM358.8 251.1L324.9 217.2L87.04 455C82.8 459.6 80.49 465.6 80.6 471.8C80.71 478 83.23 483.1 87.63 488.4C92.02 492.8 97.96 495.3 104.2 495.4C110.4 495.5 116.4 493.2 120.1 488.1L358.8 251.1zM379.7 158C379.3 157.1 379.1 156 379.1 154.1C379.1 153.9 379.3 152.9 379.7 151.9C380.1 150.9 380.7 150.1 381.4 149.3L494.6 36.19C496.1 34.73 498.1 33.93 500.2 33.94C502.3 33.96 504.3 34.79 505.8 36.28C507.3 37.76 508.1 39.76 508.1 41.86C508.1 43.96 507.3 45.98 505.9 47.49L392.7 160.6C391.2 162.1 389.2 162.1 387.1 162.1C384.1 162.1 382.9 162.1 381.4 160.6C380.7 159.9 380.1 159 379.7 158zM413 188.9C413 186.8 413.9 184.8 415.4 183.3L528.5 70.11C530 68.66 532 67.86 534.1 67.88C536.2 67.9 538.2 68.74 539.7 70.23C541.2 71.71 542 73.72 542.1 75.82C542.1 77.92 541.3 79.94 539.8 81.44L426.7 194.6C425.2 196.1 423.1 196.9 421 196.9C418.9 196.9 416.9 196.1 415.4 194.6C413.9 193.1 413 191 413 188.9z"],
    "forklift": [640, 512, [], "f47a", "M144 128C144 132.4 140.4 136 136 136C131.6 136 128 132.4 128 128V40C128 17.91 145.9 0 168 0H268.5C283.5 0 297.2 8.325 304.1 21.59L407.1 220.3C409.1 224.2 407.6 229.1 403.7 231.1C399.8 233.1 394.9 231.6 392.9 227.7L289.9 28.95C285.7 20.99 277.5 16 268.5 16H168C154.7 16 144 26.75 144 40V128zM0 416V224C0 188.7 28.65 160 64 160H124.4C137.1 160 149.4 164.3 159.3 172.3L264 256H376C398.1 256 416 273.9 416 296V344.4C435.6 362 448 387.6 448 416C448 469 405 512 352 512C298.1 512 256 469 256 416H192C192 469 149 512 96 512C42.98 512 0 469 0 416zM96 496C140.2 496 176 460.2 176 416C176 371.8 140.2 336 96 336C51.82 336 16 371.8 16 416C16 460.2 51.82 496 96 496zM96 320C143.6 320 183.1 354.6 190.7 400H257.3C264.9 354.6 304.4 320 352 320C369.5 320 385.9 324.7 400 332.8L400 296C400 282.7 389.3 272 376 272H264C260.4 272 256.8 270.8 254 268.5L149.3 184.8C142.3 179.1 133.4 176 124.4 176H64C37.49 176 16 197.5 16 224V362.9C33.2 337 62.61 320 96 320V320zM352 496C396.2 496 432 460.2 432 416C432 371.8 396.2 336 352 336C307.8 336 272 371.8 272 416C272 460.2 307.8 496 352 496zM496 432H632C636.4 432 640 435.6 640 440C640 444.4 636.4 448 632 448H488C483.6 448 480 444.4 480 440V8C480 3.582 483.6 0 488 0C492.4 0 496 3.582 496 8V432z"],
    "fort": [640, 512, [], "e486", "M160 24C160 10.75 170.7 0 184 0H200C213.3 0 224 10.75 224 24V144C224 164.9 210.6 182.7 192 189.3V208H448V189.3C429.4 182.7 416 164.9 416 144V24C416 10.75 426.7 0 440 0H456C469.3 0 480 10.75 480 24V56H496V24C496 10.75 506.7 0 520 0H536C549.3 0 560 10.75 560 24V56H576V24C576 10.75 586.7 0 600 0H616C629.3 0 640 10.75 640 24V144C640 164.9 626.6 182.7 608 189.3V456C608 486.9 582.9 512 552 512H88C57.07 512 32 486.9 32 456V189.3C13.36 182.7 0 164.9 0 144V24C0 10.75 10.75 0 24 0H40C53.25 0 64 10.75 64 24V56H80V24C80 10.75 90.75 0 104 0H120C133.3 0 144 10.75 144 24V56H160V24zM176 72H128V24C128 19.58 124.4 16 120 16H104C99.58 16 96 19.58 96 24V72H48V24C48 19.58 44.42 16 40 16H24C19.58 16 16 19.58 16 24V144C16 161.7 30.33 176 48 176H176C193.7 176 208 161.7 208 144V24C208 19.58 204.4 16 200 16H184C179.6 16 176 19.58 176 24V72zM448 224H192V496H240V392C240 347.8 275.8 312 320 312C364.2 312 400 347.8 400 392V496H448V224zM48 192V456C48 478.1 65.91 496 88 496H176V192H48zM384 496V392C384 356.7 355.3 328 320 328C284.7 328 256 356.7 256 392V496H384zM592 456V192H464V496H552C574.1 496 592 478.1 592 456zM464 24C464 19.58 460.4 16 456 16H440C435.6 16 432 19.58 432 24V144C432 161.7 446.3 176 464 176H592C609.7 176 624 161.7 624 144V24C624 19.58 620.4 16 616 16H600C595.6 16 592 19.58 592 24V72H544V24C544 19.58 540.4 16 536 16H520C515.6 16 512 19.58 512 24V72H464V24z"],
    "forward": [512, 512, [9193], "f04e", "M32.22 80c3.707 0 7.094 1.25 10.05 3.699l152.6 127.1c5.211 4.344 13.12 .6367 13.12-6.145c0-2.375-1.055-4.629-2.879-6.145L52.51 71.41C46.36 66.3 39.22 64 32.22 64C15.71 64 0 76.81 0 96.03v319.9c0 19.21 15.61 32.02 32.11 32.02c7 0 14.25-2.297 20.4-7.398l152.6-127.1C206.9 311.1 207.1 309.7 207.1 307.3c0-6.781-7.911-10.49-13.12-6.148l-152.6 127.1C39.31 430.8 35.93 432 32.22 432c-7.977 0-16.22-5.992-16.22-16.03v-319.9C16 85.1 24.24 80 32.22 80zM500.6 231.4l-192-159.1C302.4 66.3 295.2 64 288.2 64c-16.51 0-32.22 12.81-32.22 32.03v319.9C256 435.2 271.7 448 288.2 448c7 0 14.14-2.305 20.29-7.406l192-159.1C515.8 267.7 515.8 244.3 500.6 231.4zM490.3 268.3l-192 159.1C295.3 430.8 291.9 432 288.2 432c-7.977 0-16.22-5.992-16.22-16.03v-319.9C272 85.1 280.3 80 288.2 80c3.707 0 7.094 1.25 10.05 3.699l191.1 159.9C493.1 246.7 495.1 251.1 495.1 256S493.1 265.3 490.3 268.3z"],
    "forward-fast": [512, 512, [9197, "fast-forward"], "f050", "M504 64.01c-4.422 0-8 3.594-8 7.1v367.1C496 444.4 499.6 448 504 448S512 444.4 512 440V72.01C512 67.6 508.4 64.01 504 64.01zM270.4 73.01c-11.31-9.594-26.69-11.72-40.19-5.437C216.5 73.91 207.1 87.35 207.1 102.7v306.6c0 15.34 8.516 28.78 22.22 35.12C235.3 446.8 240.8 448 246.1 448c8.703 0 17.25-3.062 24.25-8.1l180.1-153.3c8.562-7.406 13.48-18.22 13.48-29.66s-4.922-22.25-13.53-29.69L270.4 73.01zM440.1 273.5l-180 153.3c-6.594 5.594-15.2 6.812-23.11 3.125c-8.109-3.75-12.94-11.47-12.94-20.62v-306.6c0-9.156 4.828-16.87 12.94-20.62c3.031-1.406 6.172-2.094 9.266-2.094c4.953 0 9.781 1.781 13.84 5.219l180 153.3c5.062 4.344 7.953 10.75 7.953 17.53C447.1 262.8 445.1 269.2 440.1 273.5zM28.94 82.07c7.859-3.656 16.48-2.469 23.11 3.125l118.8 101.1c3.344 2.844 8.422 2.437 11.28-.9062c2.859-3.375 2.453-8.406-.9062-11.28L62.41 73.01C51.09 63.41 35.69 61.29 22.22 67.57C8.516 73.91 0 87.35 0 102.7v306.6c0 15.34 8.516 28.78 22.22 35.12C27.36 446.8 32.78 448 38.16 448c8.703 0 17.27-3.062 24.27-8.1l118.8-101.1c3.359-2.875 3.766-7.906 .9062-11.28c-2.859-3.344-7.938-3.75-11.28-.9062l-118.8 101.1c-6.594 5.594-15.23 6.812-23.12 3.125C20.83 426.2 16 418.5 16 409.3v-306.6C16 93.54 20.83 85.82 28.94 82.07z"],
    "forward-step": [320, 512, ["step-forward"], "f051", "M52.51 71.41C46.36 66.31 39.22 64 32.22 64C15.71 64 0 76.81 0 96.03v319.9C0 435.2 15.72 448 32.22 448c7.002 0 14.14-2.305 20.29-7.407l192-159.1c15.25-12.87 15.25-36.37 0-49.24L52.51 71.41zM234.3 268.3l-192 159.1C39.32 430.8 35.93 432 32.22 432c-7.973 0-16.22-5.98-16.22-16.01V96.01C16 85.98 24.25 80 32.22 80c3.709 0 7.098 1.25 10.05 3.699l191.1 159.9C237.9 246.7 239.1 251.1 239.1 256C239.1 260.9 237.9 265.3 234.3 268.3zM312 64c-4.406 0-8 3.594-8 8v368c0 4.406 3.594 8 8 8S320 444.4 320 440V72C320 67.59 316.4 64 312 64z"],
    "frame": [448, 512, [], "e495", "M440 112H384V400H440C444.4 400 448 403.6 448 408C448 412.4 444.4 416 440 416H384V472C384 476.4 380.4 480 376 480C371.6 480 368 476.4 368 472V416H80V472C80 476.4 76.42 480 72 480C67.58 480 64 476.4 64 472V416H8C3.582 416 0 412.4 0 408C0 403.6 3.582 400 8 400H64V112H8C3.582 112 0 108.4 0 104C0 99.58 3.582 96 8 96H64V40C64 35.58 67.58 32 72 32C76.42 32 80 35.58 80 40V96H368V40C368 35.58 371.6 32 376 32C380.4 32 384 35.58 384 40V96H440C444.4 96 448 99.58 448 104C448 108.4 444.4 112 440 112zM80 400H368V112H80V400z"],
    "franc-sign": [320, 512, [], "e18f", "M312 32C316.4 32 320 35.58 320 40C320 44.42 316.4 48 312 48H96C87.16 48 80 55.16 80 64V208H280C284.4 208 288 211.6 288 216C288 220.4 284.4 224 280 224H80V336H216C220.4 336 224 339.6 224 344C224 348.4 220.4 352 216 352H80V472C80 476.4 76.42 480 72 480C67.58 480 64 476.4 64 472V352H8C3.582 352 0 348.4 0 344C0 339.6 3.582 336 8 336H64V64C64 46.33 78.33 32 96 32H312z"],
    "french-fries": [384, 512, [127839], "f803", "M368 223.1l-34-.0027c-6.875 0-13.75 4.25-15.25 11c-8.5 39-61.99 69-126.8 69c-64.63 0-118.1-29.1-126.8-69C63.75 228.2 56.1 223.1 49.1 223.1l-34 .0027c-4.875 0-9.522 2.281-12.52 6.031c-3.002 3.75-4.103 8.716-3.103 13.47l54.13 243.5c3.25 14.62 16.25 25 31.25 25h212.5c15 0 28-10.38 31.25-25l54.13-243.5c1-4.75-.1015-9.716-3.103-13.47C377.5 226.3 372.9 223.1 368 223.1zM313.9 483.5c-1.631 7.344-8.061 12.47-15.63 12.47H85.74c-7.572 0-14-5.129-15.63-12.47L15.98 239.1l34.02 .125c11.48 46.39 70.79 79.87 141.1 79.87c71.43 0 130.8-33.57 142-79.1h33.99L313.9 483.5zM159.1 276.8c4.422 0 8-3.594 8-7.1V23.99c0-2.781 1.438-5.375 3.844-6.844C174.1 15.74 177.1 15.61 179.5 16.89l32.13 16.06c2.625 1.25 4.328 3.1 4.328 7.031v228.8c0 4.406 3.578 7.1 8 7.1s8-3.594 8-7.1V39.99c0-9.156-5.266-17.56-13.3-21.41L186.8 2.611C179.4-1.171 170.4-.8269 163.5 3.517C156.4 7.798 151.1 15.64 151.1 23.99v244.8C151.1 273.2 155.6 276.8 159.1 276.8zM93.25 239.3c.75 3.812 4.094 6.469 7.844 6.469c.5156 0 1.031-.0625 1.547-.1562C106.1 244.8 109.8 240.6 108.1 236.2L72.1 47.14C71.53 44.14 72.74 41.08 75.19 39.24L103.8 17.58c2.078-1.625 5.016-2.031 7.641-.1c2.609 .1 4.469 3.219 4.984 5.1l3.75 19.1C120.9 46.95 125.2 49.7 129.5 48.99c4.344-.8125 7.203-4.1 6.391-9.344L132.1 19.67C130.6 11.39 124.1 4.642 117.1 1.673C109.4-1.421 100.5-.1394 94.03 4.861L65.58 26.45c-7.266 5.406-10.89 14.69-9.203 23.69L93.25 239.3zM263.1 63.09c1.938-3.625 3.728-4.258 4.353-4.446l34.27-10.25c2.734-.8437 5.531-.2187 7.656 1.719c2.078 1.844 3.016 4.531 2.531 7.187l-30.33 164.4c-.6719 1.375-1.312 2.781-1.734 4.281c-1.219 4.25 1.594 7.875 5.844 9.062c.6094 .1875 1.234 .2813 1.859 .2813c3.688 0 7.359-2.937 8.391-6.562c.4375-.875 .8438-1.75 1.594-4.062l30.12-164.5c1.5-8.25-1.391-16.5-7.625-21.97c-6.188-5.687-14.78-7.594-22.92-5.125L262.9 43.3c-5.859 1.75-10.55 5.812-13.94 12.19c-2.078 3.875-.5938 8.719 3.297 10.81C256.1 68.33 260.1 67.02 263.1 63.09zM16.15 193.6c.75 3.812 4.094 6.437 7.828 6.437c.5313 0 1.047-.0625 1.578-.1562C29.88 199 32.7 194.8 31.84 190.4L16.26 112c-1-5.437 .9062-10.97 5.062-14.72c3.703-3.312 8.938-4.469 14.11-3.25c4.297 1.062 8.625-1.625 9.625-5.937C46.07 83.83 43.41 79.52 39.12 78.52c-10.44-2.531-20.78 .0313-28.5 6.906C2.289 92.99-1.492 103.1 .5394 115L16.15 193.6zM349.6 96.86c3.609-.5625 8.844-.5 13.06 3.344c4.141 3.656 6.031 9.062 5.078 14.34l-15.61 75.84c-.8906 4.34 1.891 8.559 6.219 9.465c.5469 .0938 1.078 .1562 1.625 .1562c3.703 0 7.047-2.594 7.812-6.375l15.66-76.02c1.1-11.06-1.812-22.03-10.09-29.31c-6.859-6.312-16.25-8.812-26.31-7.25c-4.359 .7187-7.328 4.844-6.609 9.187C341.2 94.61 345.4 97.42 349.6 96.86z"],
    "frog": [576, 512, [], "f52e", "M275.7 405.5c-2.625 3.562-1.875 8.562 1.688 11.19c1.422 1.062 3.094 1.562 4.75 1.562c2.438 0 4.859-1.125 6.438-3.25l23.28-31.5c12.7-18.94 16.14-42.53 9.422-64.75c-6.781-22.5-23.34-40.63-45.41-49.78C251.1 258.6 221.4 263 198.4 280.4L166.8 304.1c-3.531 2.656-4.25 7.656-1.609 11.19C167.8 318.8 172.8 319.5 176.4 316.9l31.62-23.66c18.55-14 42.19-17.62 61.77-9.469c17.64 7.312 30.86 21.78 36.25 39.66c5.328 17.59 2.625 36.25-7.187 50.91L275.7 405.5zM368 96c-8.832 0-16 7.168-16 16s7.168 16 16 16c8.834 0 16-7.168 16-16S376.8 96 368 96zM568 464h-60.13l-111.6-141.4l142.4-74.47c20.22-11.28 32.78-32.66 32.78-55.78c0-23.5-12.88-45.16-33.58-56.44c-32.53-17.88-76.51-33.5-91.43-38.62C439.4 59.82 406.4 32 368 32c-37.73 0-70.05 26.69-77.87 63.19H286.4c-163.8 15.62-286.9 151.5-286.4 316.1C.141 449.2 31.42 480 69.72 480h306.3c4.422 0 8-3.594 8-8s-3.578-8-8-8H69.72c-29.52 0-53.61-23.69-53.72-52.78C15.53 254.1 132.4 125.9 287.2 111.2h9.734c4.031 0 7.438-3 7.938-7C308.8 72.13 335.1 48 368 48c32.08 0 59.23 24.16 63.17 56.19c.375 3.062 2.5 5.656 5.438 6.625c5.75 1.906 57.34 19.25 93.58 39.16c15.58 8.5 25.25 24.75 25.25 42.41c0 17.31-9.422 33.34-24.39 41.72l-150.7 78.81C378.2 314 376.7 316 376.2 318.3c-.5 2.312 .0781 4.75 1.547 6.625l119.1 152C499.2 478.9 501.5 480 504 480h64c4.422 0 8-3.594 8-8S572.4 464 568 464z"],
    "function": [640, 512, [], "f661", "M509.7 242.3c-3.125-3.125-8.188-3.125-11.31 0l-66.34 66.34l-66.34-66.34c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31L420.7 320l-66.34 66.34c-3.125 3.125-3.125 8.188 0 11.31C355.9 399.2 357.1 400 360 400s4.094-.7813 5.656-2.344l66.34-66.34l66.34 66.34C499.9 399.2 501.1 400 504 400s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31L443.3 320l66.34-66.34C512.8 250.5 512.8 245.5 509.7 242.3zM216 32h-64C112.3 32 80 64.31 80 104L80 192h-71.1c-4.422 0-8 3.594-8 8s3.578 8 8 8h72v168c0 30.88-25.12 56-56 56h-16c-4.422 0-8 3.594-8 8s3.578 8 8 8h16c39.7 0 72-32.31 72-72V208h88c4.422 0 8-3.594 8-8S188.4 192 184 192H96V104c0-30.88 25.12-56 56-56h64c4.422 0 8-3.594 8-8S220.4 32 216 32zM592.6 163.6c-2.453-3.688-7.422-4.656-11.09-2.219c-3.672 2.469-4.656 7.438-2.188 11.09C608.5 216.2 624 267.2 624 320s-15.47 103.8-44.72 147.6c-2.469 3.656-1.484 8.625 2.188 11.09C582.8 479.6 584.4 480 585.9 480c2.578 0 5.109-1.25 6.641-3.562C623.6 430.1 640 376 640 320S623.6 209.9 592.6 163.6zM282.5 161.3C278.8 158.9 273.9 159.9 271.4 163.6C240.4 209.9 224 264 224 320s16.41 110.1 47.44 156.4C272.1 478.8 275.5 480 278.1 480c1.531 0 3.078-.4375 4.453-1.344c3.672-2.469 4.656-7.438 2.188-11.09C255.5 423.8 240 372.8 240 320s15.47-103.8 44.72-147.6C287.2 168.8 286.2 163.8 282.5 161.3z"],
    "futbol": [512, 512, [9917, "futbol-ball", "soccer-ball"], "f1e3", "M255.1 0C114.6 0 .0001 114.6 .0001 256S114.6 512 256 512s255.1-114.6 255.1-255.1S397.4 0 255.1 0zM100.4 208.1l49.47 18.23l35.67 109.1l-30.47 40.02l-105.5 1.602C30.33 345.4 18.59 307.1 16.61 267.9L100.4 208.1zM16.38 248.5c1.537-49.64 18.16-95.45 45.52-133.1l27.85 81.48L16.38 248.5zM165.8 224.1L256 158.7l90.27 65.41L312 329.8H200.3L165.8 224.1zM362.1 227.2l49.46-18.23l83.84 58.98c-1.984 40.02-13.73 77.42-33.03 109.1l-105.5-1.602l-30.2-40.02L362.1 227.2zM422.3 196.9l27.85-81.48c27.36 37.66 43.98 83.47 45.52 133.1L422.3 196.9zM438.3 100.4l-31.95 93.47L356.9 212.1L264 144.7V90.28l77.47-58.27C379.3 46.48 412.5 70.11 438.3 100.4zM323.2 25.75L256 76.13L188.8 25.75C210.2 19.51 232.7 16 256 16S301.8 19.51 323.2 25.75zM170.5 32.01l77.68 58.27L248 144.7L155.1 212.1L105.6 193.8L73.67 100.4C99.52 70.11 132.7 46.48 170.5 32.01zM59.79 393.8l93.46-1.422l28.26 91.67C131.8 467.7 89.31 435.7 59.79 393.8zM199.8 489.1l-31.83-103.3l30.48-40.04h115.4l30.2 40.02l-31.83 103.3C294.1 493.4 275.4 496 256 496S217.9 493.4 199.8 489.1zM330.5 484l28.26-91.67l93.46 1.422C422.7 435.7 380.2 467.7 330.5 484z"],
    "g": [448, 512, [103], "47", "M223.9 480c-119.2 0-223.9-95.52-223.9-224.1c0-129.5 105.7-223.9 223.1-223.9c102.1 0 160.7 66.35 160.7 71.13c0 4.563-3.728 8.004-8.002 8.004c-9.174 0-53.32-63.17-152.8-63.17c-110.7 0-207.1 88.61-207.1 207.1c0 120.3 98.14 207.1 207.1 207.1c120.2 0 208.1-103.1 208.1-190.6c0-.249-.0006-.498-.0016-.747l-200.1 0c-4.423 0-8.002-3.595-8.002-8.004c0-4.408 3.579-8.004 8.002-8.004h208.1C444.4 256.6 448 260.2 448 264.6C448 404.4 319.4 480 223.9 480z"],
    "galaxy": [512, 512, [], "e008", "M506.5 269.3C489.3 196.9 428.1 138.5 356.3 124.1c-12.88-2.652-26.19-4.008-39.46-4.008c-12.39 0-24.7 1.16-36.83 3.465c11.33-29.75 34.11-53.81 64.12-66.68c12.49-5.367 19.47-17.98 17.37-31.4c-2.086-13.33-12.5-23.14-25.9-24.43C329.1 .332 322.4 0 315.8 0c-15.46 0-31.11 1.836-46.5 5.457c-72.44 17.18-130.8 77.57-145.3 150.3c-5.172 25.11-5.318 51.06-.5332 76.29C93.77 220.7 69.71 197.9 56.84 167.9C52.13 156.1 41.88 150.2 30.06 150.2c-15.13 0-27.61 11.29-29.05 26.26C-1.233 198.2 .2611 220.6 5.466 242.7C22.65 315.1 83.04 373.5 155.7 387.9c12.88 2.652 26.19 4.008 39.46 4.008c12.39 0 24.7-1.16 36.82-3.465c-11.33 29.75-34.11 53.81-64.12 66.68c-12.49 5.371-19.47 17.99-17.37 31.4c2.088 13.32 12.5 23.14 25.9 24.42C182.9 511.7 189.6 512 196.2 512c15.47 0 31.11-1.836 46.5-5.457c72.44-17.19 130.8-77.57 145.3-150.3c5.172-25.11 5.318-51.06 .5332-76.29c29.76 11.32 53.81 34.11 66.69 64.13c4.703 10.94 14.96 17.73 26.78 17.73c15.13 0 27.62-11.29 29.05-26.26C513.2 313.8 511.7 291.4 506.5 269.3zM495.1 334.1c-.7246 7.578-6.898 11.79-13.12 11.79c-4.844 0-9.716-2.547-12.08-8.035c-18.4-42.89-57.66-73.13-103.8-80.16c10.55 30.7 12.77 63.64 6.211 95.51c-13.36 67.15-66.56 121.1-133.2 137.8C224.1 494.3 210.6 496 196.2 496c-6.068 0-12.15-.3047-18.22-.9297c-13.48-1.289-16.29-19.8-3.75-25.2c42.89-18.4 73.12-57.66 80.16-103.8c-19.12 6.57-39.11 9.91-59.17 9.91c-12.14 0-24.32-1.227-36.34-3.699c-67.15-13.36-121.1-66.57-137.8-133.2c-4.689-19.92-6.213-40.55-4.101-61.06C17.66 170.4 23.84 166.2 30.06 166.2c4.842 0 9.715 2.547 12.07 8.035c18.4 42.89 57.66 73.13 103.8 80.16C135.4 223.7 133.2 190.7 139.7 158.8c13.36-67.15 66.56-121.1 133.2-137.8C287 17.73 301.4 16 315.8 16c6.068 0 12.15 .3047 18.22 .9297c13.48 1.289 16.29 19.8 3.75 25.2c-42.89 18.4-73.12 57.66-80.16 103.8c19.13-6.57 39.11-9.91 59.17-9.91c12.14 0 24.32 1.227 36.34 3.699c67.15 13.36 121.1 66.57 137.8 133.2C495.6 292.9 497.2 313.5 495.1 334.1zM255.1 207.1C229.5 207.1 207.1 229.5 207.1 256s21.53 48 48 48S304 282.5 304 256S282.5 207.1 255.1 207.1zM255.1 288C238.3 288 223.1 273.7 223.1 256s14.33-32 31.1-32c17.67 0 31.1 14.33 31.1 32S273.7 288 255.1 288z"],
    "gallery-thumbnails": [576, 512, [], "e3aa", "M512 0C547.3 0 576 28.65 576 64V288C576 323.3 547.3 352 512 352H64C28.65 352 0 323.3 0 288V64C0 28.65 28.65 0 64 0H512zM512 16H64C37.49 16 16 37.49 16 64V288C16 314.5 37.49 336 64 336H512C538.5 336 560 314.5 560 288V64C560 37.49 538.5 16 512 16zM64 416C81.67 416 96 430.3 96 448V480C96 497.7 81.67 512 64 512H32C14.33 512 0 497.7 0 480V448C0 430.3 14.33 416 32 416H64zM64 432H32C23.16 432 16 439.2 16 448V480C16 488.8 23.16 496 32 496H64C72.84 496 80 488.8 80 480V448C80 439.2 72.84 432 64 432zM160 448C160 430.3 174.3 416 192 416H224C241.7 416 256 430.3 256 448V480C256 497.7 241.7 512 224 512H192C174.3 512 160 497.7 160 480V448zM176 448V480C176 488.8 183.2 496 192 496H224C232.8 496 240 488.8 240 480V448C240 439.2 232.8 432 224 432H192C183.2 432 176 439.2 176 448zM384 416C401.7 416 416 430.3 416 448V480C416 497.7 401.7 512 384 512H352C334.3 512 320 497.7 320 480V448C320 430.3 334.3 416 352 416H384zM384 432H352C343.2 432 336 439.2 336 448V480C336 488.8 343.2 496 352 496H384C392.8 496 400 488.8 400 480V448C400 439.2 392.8 432 384 432zM480 448C480 430.3 494.3 416 512 416H544C561.7 416 576 430.3 576 448V480C576 497.7 561.7 512 544 512H512C494.3 512 480 497.7 480 480V448zM496 448V480C496 488.8 503.2 496 512 496H544C552.8 496 560 488.8 560 480V448C560 439.2 552.8 432 544 432H512C503.2 432 496 439.2 496 448z"],
    "game-board": [448, 512, [], "f867", "M384 32h-320c-35.35 0-64 28.65-64 64v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-47.1 48h-320c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 47.1 21.53 47.1 48V416zM384 168c4.406 0 8-3.594 8-8s-3.594-8-8-8h-56V96c0-4.406-3.594-8-8-8s-8 3.594-8 8v56h-80V96c0-4.406-3.594-8-8-8s-8 3.594-8 8v56h-80V96c0-4.406-3.594-8-8-8s-8 3.594-8 8v56h-56c-4.406 0-8 3.594-8 8s3.594 8 8 8h56v80h-56c-4.406 0-8 3.594-8 8s3.594 8 8 8h56v80h-56c-4.406 0-8 3.594-8 8s3.594 8 8 8h56V416c0 4.406 3.594 8 8 8s8-3.594 8-8v-56h80V416c0 4.406 3.594 8 8 8s8-3.594 8-8v-56h80V416c0 4.406 3.594 8 8 8s8-3.594 8-8v-56h56c4.406 0 8-3.594 8-8s-3.594-8-8-8h-56v-80h56c4.406 0 8-3.594 8-8s-3.594-8-8-8h-56v-80H384zM216 344h-80v-80h80V344zM216 248h-80v-80h80V248zM312 344h-80v-80h80V344zM312 248h-80v-80h80V248z"],
    "game-board-simple": [448, 512, ["game-board-alt"], "f868", "M384 248h-152V96c0-4.422-3.578-8-8-8H64C59.58 88 56 91.58 56 96v160c0 4.422 3.578 8 8 8h152V416c0 4.422 3.578 8 8 8h160c4.422 0 8-3.578 8-8V256C392 251.6 388.4 248 384 248zM216 248h-144v-144h144V248zM376 408h-144v-144h144V408zM384 32h-320C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416z"],
    "game-console-handheld": [384, 512, [], "f8bb", "M304 272c-17.64 0-32 14.36-32 32s14.36 32 32 32s32-14.36 32-32S321.6 272 304 272zM304 320c-8.834 0-16-7.168-16-16s7.166-16 16-16s16 7.168 16 16S312.8 320 304 320zM336 0h-288c-26.4 0-48 21.6-48 48L.0001 416c0 52.8 43.2 96 96 96h192c53.02 0 96-42.98 96-96l.0001-368C384 21.6 362.4 0 336 0zM368 416c0 44.18-35.82 80-80 80h-192c-44.18 0-80-35.82-80-80V48c0-17.67 14.33-32 32-32h288c17.67 0 32 14.33 32 32V416zM240 336c-17.64 0-32 14.36-32 32s14.36 32 32 32s32-14.36 32-32S257.6 336 240 336zM240 384c-8.834 0-16-7.168-16-16s7.166-16 16-16s16 7.168 16 16S248.8 384 240 384zM128 240h127.1c26.4 0 48-21.6 48-48V80c0-8.837-7.163-16-16-16h-192c-8.837 0-16 7.163-16 16V192C80 218.5 101.5 240 128 240zM96 80l192 0V192c0 17.67-14.33 32-32 32h-128c-17.67 0-32-14.33-32-32L96 80zM152 328h-32v-32c0-4.406-3.594-8-8-8S104 291.6 104 296v32h-32c-4.406 0-8 3.594-8 8s3.594 8 8 8h32v32c0 4.406 3.594 8 7.1 8s8-3.594 8-8v-32h32c4.406 0 7.1-3.594 7.1-8S156.4 328 152 328z"],
    "gamepad": [640, 512, [], "f11b", "M495.1 168c-22.09 0-39.1 17.91-39.1 40c0 22.09 17.91 39.1 39.1 39.1c22.09 0 39.1-17.91 39.1-39.1C535.1 185.9 518.1 168 495.1 168zM495.1 232c-13.23 0-23.1-10.77-23.1-24s10.77-24 23.1-24s23.1 10.77 23.1 24S509.2 232 495.1 232zM223.1 248H167.1V192c0-4.406-3.592-8-7.998-8s-7.998 3.594-7.998 8v55.1H95.98c-4.406 0-8 3.594-8 8S91.58 264 95.98 264h55.99V320c0 4.406 3.592 8 7.998 8s7.998-3.594 7.998-8V264h55.99c4.406 0 8-3.59 8-7.996S228.4 248 223.1 248zM431.1 264c-22.09 0-39.1 17.91-39.1 40s17.91 39.1 39.1 39.1s39.1-17.91 39.1-39.1S454.1 264 431.1 264zM431.1 328c-13.23 0-23.1-10.77-23.1-24s10.77-24 23.1-24c13.23 0 23.1 10.77 23.1 24S445.2 328 431.1 328zM448 64H192C85.96 64 0 149.1 0 256s85.96 192 192 192h256c106 0 192-85.96 192-192S554 64 448 64zM448 432H192c-97.05 0-176-78.95-176-176S94.95 80 192 80h256c97.05 0 176 78.95 176 176S545 432 448 432z"],
    "gamepad-modern": [640, 512, [63676, 127918, "gamepad-alt"], "e5a2", "M640 384.2c0-5.257-.4576-10.6-1.406-15.98l-33.38-211.6C591.4 77.96 522 32 319.1 32C119 32 48.71 77.46 34.78 156.6l-33.38 211.6c-.9487 5.383-1.406 10.72-1.406 15.98c0 51.89 44.58 95.81 101.5 95.81c49.69 0 93.78-30.06 109.5-74.64l7.5-21.36h203l7.5 21.36c15.72 44.58 59.81 74.64 109.5 74.64C595.4 479.1 640 436.1 640 384.2zM624 384.3c0 42.6-37.11 79.69-85.51 79.69c-42.98 0-80.92-25.7-94.4-63.94l-11.26-32.06H207.2l-11.25 32.04c-13.49 38.26-51.43 63.96-94.41 63.96c-48.42 0-85.49-37.07-85.49-79.74c0-4.477 .3958-9.006 1.197-13.56L50.54 159.4c10.14-57.61 54.26-111.4 269.5-111.4c50.51 0 131.6 9.446 180.8 21.06l1.15 .2656c45.53 11.2 79.81 46.44 87.44 89.78l33.42 211.9C623.6 375.5 624 379.9 624 384.3zM256 216h-56v-56c0-4.406-3.594-8-8-8s-8 3.594-8 8v56h-56c-4.406 0-8 3.594-8 8s3.594 8 8 8h56v56c0 4.406 3.594 8 8 8s8-3.594 8-8V232h56c4.406 0 8-3.594 8-8S260.4 216 256 216zM496 135.1c-22.09 0-40 17.91-40 40s17.91 40 40 40s40-17.91 40-40S518.1 135.1 496 135.1zM496 200c-13.23 0-24-10.77-24-24c0-13.23 10.77-24 24-24s24 10.77 24 24C520 189.2 509.2 200 496 200zM432 231.1c-22.09 0-40 17.91-40 40s17.91 40 40 40s40-17.91 40-40S454.1 231.1 432 231.1zM432 296c-13.23 0-24-10.77-24-24s10.77-24 24-24s24 10.77 24 24S445.2 296 432 296z"],
    "garage": [640, 512, [], "e009", "M329.1 20.38C323.3 17.99 316.7 17.99 310.9 20.38L40.82 131.2C25.8 137.3 16 151.1 16 168.2V503.1C16 508.4 12.42 511.1 8 511.1C3.582 511.1 0 508.4 0 503.1V168.2C0 145.5 13.73 125 34.74 116.4L304.8 5.579C314.5 1.588 325.5 1.588 335.2 5.579L605.3 116.4C626.3 125 640 145.5 640 168.2V503.1C640 508.4 636.4 511.1 632 511.1C627.6 511.1 624 508.4 624 503.1V168.2C624 151.1 614.2 137.3 599.2 131.2L329.1 20.38zM111.1 336V503.1C111.1 508.4 108.4 511.1 103.1 511.1C99.58 511.1 95.1 508.4 95.1 503.1V215.1C95.1 202.7 106.7 191.1 119.1 191.1H520C533.3 191.1 544 202.7 544 215.1V503.1C544 508.4 540.4 511.1 536 511.1C531.6 511.1 528 508.4 528 503.1V336H111.1zM119.1 207.1C115.6 207.1 111.1 211.6 111.1 215.1V320H528V215.1C528 211.6 524.4 207.1 520 207.1H119.1zM376 416C380.4 416 384 419.6 384 424C384 428.4 380.4 432 376 432H263.1C259.6 432 255.1 428.4 255.1 424C255.1 419.6 259.6 416 263.1 416H376z"],
    "garage-car": [640, 512, [], "e00a", "M329.1 20.38C323.3 17.99 316.7 17.99 310.9 20.38L40.82 131.2C25.8 137.3 16 151.1 16 168.2V503.1C16 508.4 12.42 511.1 8 511.1C3.582 511.1 0 508.4 0 503.1V168.2C0 145.5 13.73 125 34.74 116.4L304.8 5.579C314.5 1.588 325.5 1.588 335.2 5.579L605.3 116.4C626.3 125 640 145.5 640 168.2V503.1C640 508.4 636.4 511.1 632 511.1C627.6 511.1 624 508.4 624 503.1V168.2C624 151.1 614.2 137.3 599.2 131.2L329.1 20.38zM119.1 207.1C115.6 207.1 111.1 211.6 111.1 215.1V503.1C111.1 508.4 108.4 511.1 103.1 511.1C99.58 511.1 95.1 508.4 95.1 503.1V215.1C95.1 202.7 106.7 191.1 119.1 191.1H520C533.3 191.1 544 202.7 544 215.1V503.1C544 508.4 540.4 511.1 536 511.1C531.6 511.1 528 508.4 528 503.1V215.1C528 211.6 524.4 207.1 520 207.1H119.1zM207.1 400C207.1 391.2 215.2 384 223.1 384C232.8 384 239.1 391.2 239.1 400C239.1 408.8 232.8 416 223.1 416C215.2 416 207.1 408.8 207.1 400zM432 400C432 408.8 424.8 416 416 416C407.2 416 400 408.8 400 400C400 391.2 407.2 384 416 384C424.8 384 432 391.2 432 400zM193.5 338.2L216.3 267.7C221.7 251.2 237 240 254.4 240H385.6C402.1 240 418.3 251.2 423.7 267.7L446.5 338.2C465.9 344.4 480 362.6 480 384V504C480 508.4 476.4 512 472 512C467.6 512 464 508.4 464 504V464H175.1V504C175.1 508.4 172.4 512 167.1 512C163.6 512 159.1 508.4 159.1 504V384C159.1 362.6 174.1 344.4 193.5 338.2H193.5zM211 336H428.1L408.5 272.6C405.2 262.7 396 256 385.6 256H254.4C243.1 256 234.8 262.7 231.5 272.6L211 336zM207.1 352C190.3 352 175.1 366.3 175.1 384V448H464V384C464 366.3 449.7 352 432 352H207.1z"],
    "garage-open": [640, 512, [], "e00b", "M40.82 131.2C25.8 137.3 16 151.1 16 168.2V503.1C16 508.4 12.42 511.1 8 511.1C3.582 511.1 0 508.4 0 503.1V168.2C0 145.5 13.73 125 34.74 116.4L304.8 5.579C314.5 1.588 325.5 1.588 335.2 5.579L605.3 116.4C626.3 125 640 145.5 640 168.2V503.1C640 508.4 636.4 511.1 632 511.1C627.6 511.1 624 508.4 624 503.1V168.2C624 151.1 614.2 137.3 599.2 131.2L329.1 20.38C323.3 17.99 316.7 17.99 310.9 20.38L40.82 131.2zM112 288V503.1C112 508.4 108.4 511.1 104 511.1C99.58 511.1 96 508.4 96 503.1V215.1C96 202.7 106.7 191.1 120 191.1H520C533.3 191.1 544 202.7 544 215.1V503.1C544 508.4 540.4 511.1 536 511.1C531.6 511.1 528 508.4 528 503.1V288H112zM112 272H528V215.1C528 211.6 524.4 207.1 520 207.1H120C115.6 207.1 112 211.6 112 215.1V272zM208 400C208 391.2 215.2 384 224 384C232.8 384 240 391.2 240 400C240 408.8 232.8 416 224 416C215.2 416 208 408.8 208 400zM432 400C432 408.8 424.8 416 416 416C407.2 416 400 408.8 400 400C400 391.2 407.2 384 416 384C424.8 384 432 391.2 432 400zM216.2 320L211 336H428.1L423.8 320H440.6L446.5 338.2C465.9 344.4 480 362.6 480 384V504C480 508.4 476.4 512 472 512C467.6 512 464 508.4 464 504V464H175.1V504C175.1 508.4 172.4 512 167.1 512C163.6 512 159.1 508.4 159.1 504V384C159.1 362.6 174.1 344.4 193.5 338.2L199.4 320H216.2zM208 352C190.3 352 176 366.3 176 384V448H464V384C464 366.3 449.7 352 432 352H208z"],
    "garlic": [512, 512, [129476], "e40e", "M463.2 206.5l-85.23-71.59C361.5 121 352 100.7 352 79.18V48C352 21.53 330.5 0 304 0h-96C181.5 0 160 21.53 160 48v31.18c0 21.55-9.465 41.86-25.97 55.72L48.8 206.5C17.79 232.5 0 270.7 0 311.2c0 69.67 52.57 126.6 120 134.1V504C120 508.4 123.6 512 128 512s8-3.578 8-8v-56.04L184 448v56C184 508.4 187.6 512 192 512s8-3.578 8-8V448h48v56C248 508.4 251.6 512 256 512s8-3.578 8-8V448h48v56c0 4.422 3.594 8 8 8s8-3.578 8-8V448l48-.0391V504c0 4.422 3.594 8 8 8s8-3.578 8-8v-57.78C459.4 437.8 512 380.9 512 311.2C512 270.7 494.2 232.5 463.2 206.5zM136.1 431.9C69.87 431.5 16 377.4 16 311.2c0-35.77 15.71-69.47 43.09-92.48l85.23-71.59c6.152-5.168 11.19-11.26 15.65-17.71c-.0547 23.61-7.312 46.26-21.04 65.5L104.1 243.8C88.31 265.8 80 291.8 80 318.8c0 49.02 27.76 91.23 68.09 113.1L136.1 431.9zM222.8 432H209.2C146.8 432 96 381.2 96 318.8c0-23.7 7.281-46.45 21.06-65.77l34.88-48.83C167.7 182.2 176 156.2 176 129.2V48c0-17.64 14.36-32 32-32H256v113.2c0 27.05 8.312 53.02 24.06 75.08l34.88 48.8C328.7 272.4 336 295.1 336 318.8C336 381.2 285.3 432 222.8 432zM375.1 431.9L283.8 432C324.2 410.1 352 367.9 352 318.8c0-27.05-8.312-53.02-24.06-75.08l-34.88-48.8C279.3 175.6 272 152.9 272 129.2V16h32c17.64 0 32 14.36 32 32v31.18c0 26.29 11.54 51.06 31.68 67.97l85.23 71.59C480.3 241.8 496 275.5 496 311.2C496 377.4 442.1 431.5 375.1 431.9z"],
    "gas-pump": [512, 512, [9981], "f52f", "M96 96C96 78.33 110.3 64 128 64H224C241.7 64 256 78.33 256 96V192C256 209.7 241.7 224 224 224H128C110.3 224 96 209.7 96 192V96zM112 96V192C112 200.8 119.2 208 128 208H224C232.8 208 240 200.8 240 192V96C240 87.16 232.8 80 224 80H128C119.2 80 112 87.16 112 96zM344 512H8C3.582 512 0 508.4 0 504C0 499.6 3.582 496 8 496H32V64C32 28.65 60.65 0 96 0H256C291.3 0 320 28.65 320 64V272H328C367.8 272 400 304.2 400 344V384C400 410.5 421.5 432 448 432C474.5 432 496 410.5 496 384V224H488C457.1 224 432 198.9 432 168V72.85L402.6 45.9C399.3 42.91 399.1 37.85 402.1 34.59C405.1 31.34 410.2 31.12 413.4 34.1L493.8 107.8C505.4 118.4 512 133.4 512 149.1V384C512 419.3 483.3 448 448 448C412.7 448 384 419.3 384 384V344C384 313.1 358.9 288 328 288H320V496H344C348.4 496 352 499.6 352 504C352 508.4 348.4 512 344 512zM256 16H96C69.49 16 48 37.49 48 64V416H304V64C304 37.49 282.5 16 256 16zM304 496V432H48V496H304zM483 119.6L448 87.52V168C448 190.1 465.9 208 488 208H496V149.1C496 137.9 491.3 127.2 483 119.6V119.6z"],
    "gas-pump-slash": [640, 512, [], "f5f4", "M368 375.4L384 388.1V496H408C412.4 496 416 499.6 416 504C416 508.4 412.4 512 408 512H71.1C67.58 512 63.1 508.4 63.1 504C63.1 499.6 67.58 496 71.1 496H95.1V160.7L111.1 173.3V416H368V375.4zM368 432H111.1V496H368V432zM131.3 25.5L118.4 15.33C129.6 5.772 144.1 0 159.1 0H319.1C355.3 0 384 28.65 384 64V224.1L368 212.4V64C368 37.49 346.5 16 319.1 16H159.1C149.2 16 139.3 19.53 131.3 25.5V25.5zM576 149.1V376.6L560 363.9V224H552C521.1 224 496 198.9 496 168V72.85L466.6 45.9C463.3 42.91 463.1 37.85 466.1 34.59C469.1 31.34 474.1 31.12 477.4 34.1L557.8 107.8C569.4 118.4 576 133.4 576 149.1V149.1zM560 208V149.1C560 137.9 555.3 127.2 547 119.6L512 87.52V168C512 190.1 529.9 208 552 208H560zM636.1 497.7C640.4 500.5 641 505.5 638.3 508.1C635.5 512.4 630.5 513 627 510.3L3.022 14.26C-.4365 11.51-1.012 6.482 1.738 3.023C4.487-.4355 9.52-1.011 12.98 1.739L636.1 497.7z"],
    "gauge": [512, 512, ["dashboard", "gauge-med", "tachometer-alt-average"], "f624", "M192 352C192 319.4 216.4 292.4 247.1 288.5V79.1C247.1 75.58 251.6 71.1 255.1 71.1C260.4 71.1 264 75.58 264 79.1V288.5C295.6 292.4 320 319.4 320 352C320 387.3 291.3 416 256 416C220.7 416 192 387.3 192 352zM256 400C282.5 400 304 378.5 304 352C304 325.5 282.5 304 256 304C229.5 304 208 325.5 208 352C208 378.5 229.5 400 256 400zM128 128C128 119.2 135.2 112 144 112C152.8 112 160 119.2 160 128C160 136.8 152.8 144 144 144C135.2 144 128 136.8 128 128zM112 240C112 248.8 104.8 256 96 256C87.16 256 80 248.8 80 240C80 231.2 87.16 224 96 224C104.8 224 112 231.2 112 240zM400 240C400 231.2 407.2 224 416 224C424.8 224 432 231.2 432 240C432 248.8 424.8 256 416 256C407.2 256 400 248.8 400 240zM384 128C384 136.8 376.8 144 368 144C359.2 144 352 136.8 352 128C352 119.2 359.2 112 368 112C376.8 112 384 119.2 384 128zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496z"],
    "gauge-circle-bolt": [640, 512, [], "e496", "M256 496C291.6 496 325.4 488.3 355.8 474.4C359.1 478.8 362.6 482.1 366.4 487C332.1 503 295.5 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C375.4 0 475.6 81.67 503.1 192.2C501.3 192.1 498.7 192 496 192C493.1 192 490.3 192.1 487.4 192.2C459.5 90.62 366.5 16 256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496zM192 352C192 319.4 216.4 292.4 247.1 288.5V79.1C247.1 75.58 251.6 71.1 255.1 71.1C260.4 71.1 263.1 75.58 263.1 79.1V288.5C295.6 292.4 320 319.4 320 352C320 387.3 291.3 416 256 416C220.7 416 192 387.3 192 352zM256 400C282.5 400 304 378.5 304 352C304 325.5 282.5 304 256 304C229.5 304 208 325.5 208 352C208 378.5 229.5 400 256 400zM128 128C128 119.2 135.2 112 144 112C152.8 112 160 119.2 160 128C160 136.8 152.8 144 144 144C135.2 144 128 136.8 128 128zM112 240C112 248.8 104.8 256 96 256C87.16 256 80 248.8 80 240C80 231.2 87.16 224 96 224C104.8 224 112 231.2 112 240zM384 128C384 136.8 376.8 144 368 144C359.2 144 352 136.8 352 128C352 119.2 359.2 112 368 112C376.8 112 384 119.2 384 128zM532.5 281.4C535.4 283.4 536.7 287.1 535.6 290.5L517.8 344H576C579.3 344 582.3 346.1 583.5 349.2C584.7 352.4 583.7 355.9 581.2 358.1L469.2 454.1C466.5 456.4 462.5 456.6 459.5 454.6C456.6 452.6 455.3 448.9 456.4 445.5L474.2 392H416C412.7 392 409.7 389.9 408.5 386.8C407.3 383.6 408.3 380.1 410.8 377.9L522.8 281.9C525.5 279.6 529.5 279.4 532.5 281.4H532.5zM437.6 376H485.3C487.9 376 490.3 377.2 491.8 379.3C493.3 381.4 493.7 384.1 492.9 386.5L480.7 423.1L554.4 360H506.7C504.1 360 501.7 358.8 500.2 356.7C498.7 354.6 498.3 351.9 499.1 349.5L511.3 312.9L437.6 376zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 496C566.7 496 624 438.7 624 368C624 297.3 566.7 240 496 240C425.3 240 368 297.3 368 368C368 438.7 425.3 496 496 496z"],
    "gauge-circle-minus": [640, 512, [], "e497", "M256 496C291.6 496 325.4 488.3 355.8 474.4C359.1 478.8 362.6 482.1 366.4 487C332.1 503 295.5 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C375.4 0 475.6 81.67 503.1 192.2C501.3 192.1 498.7 192 496 192C493.1 192 490.3 192.1 487.4 192.2C459.5 90.62 366.5 16 256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496zM192 352C192 319.4 216.4 292.4 247.1 288.5V79.1C247.1 75.58 251.6 71.1 255.1 71.1C260.4 71.1 263.1 75.58 263.1 79.1V288.5C295.6 292.4 320 319.4 320 352C320 387.3 291.3 416 256 416C220.7 416 192 387.3 192 352zM256 400C282.5 400 304 378.5 304 352C304 325.5 282.5 304 256 304C229.5 304 208 325.5 208 352C208 378.5 229.5 400 256 400zM128 128C128 119.2 135.2 112 144 112C152.8 112 160 119.2 160 128C160 136.8 152.8 144 144 144C135.2 144 128 136.8 128 128zM112 240C112 248.8 104.8 256 96 256C87.16 256 80 248.8 80 240C80 231.2 87.16 224 96 224C104.8 224 112 231.2 112 240zM384 128C384 136.8 376.8 144 368 144C359.2 144 352 136.8 352 128C352 119.2 359.2 112 368 112C376.8 112 384 119.2 384 128zM576 367.1C576 372.4 572.4 375.1 568 375.1H424C419.6 375.1 416 372.4 416 367.1C416 363.6 419.6 359.1 424 359.1H568C572.4 359.1 576 363.6 576 367.1zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 496C566.7 496 624 438.7 624 368C624 297.3 566.7 240 496 240C425.3 240 368 297.3 368 368C368 438.7 425.3 496 496 496z"],
    "gauge-circle-plus": [640, 512, [], "e498", "M256 496C291.6 496 325.4 488.3 355.8 474.4C359.1 478.8 362.6 482.1 366.4 487C332.1 503 295.5 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C375.4 0 475.6 81.67 503.1 192.2C501.3 192.1 498.7 192 496 192C493.1 192 490.3 192.1 487.4 192.2C459.5 90.62 366.5 16 256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496zM192 352C192 319.4 216.4 292.4 247.1 288.5V79.1C247.1 75.58 251.6 71.1 255.1 71.1C260.4 71.1 263.1 75.58 263.1 79.1V288.5C295.6 292.4 320 319.4 320 352C320 387.3 291.3 416 256 416C220.7 416 192 387.3 192 352zM256 400C282.5 400 304 378.5 304 352C304 325.5 282.5 304 256 304C229.5 304 208 325.5 208 352C208 378.5 229.5 400 256 400zM128 128C128 119.2 135.2 112 144 112C152.8 112 160 119.2 160 128C160 136.8 152.8 144 144 144C135.2 144 128 136.8 128 128zM112 240C112 248.8 104.8 256 96 256C87.16 256 80 248.8 80 240C80 231.2 87.16 224 96 224C104.8 224 112 231.2 112 240zM384 128C384 136.8 376.8 144 368 144C359.2 144 352 136.8 352 128C352 119.2 359.2 112 368 112C376.8 112 384 119.2 384 128zM504 359.1H568C572.4 359.1 576 363.6 576 367.1C576 372.4 572.4 375.1 568 375.1H504V439.1C504 444.4 500.4 447.1 496 447.1C491.6 447.1 488 444.4 488 439.1V375.1H424C419.6 375.1 416 372.4 416 367.1C416 363.6 419.6 359.1 424 359.1H488V295.1C488 291.6 491.6 287.1 496 287.1C500.4 287.1 504 291.6 504 295.1V359.1zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 240C425.3 240 368 297.3 368 368C368 438.7 425.3 496 496 496C566.7 496 624 438.7 624 368C624 297.3 566.7 240 496 240z"],
    "gauge-high": [512, 512, [62461, "tachometer-alt", "tachometer-alt-fast"], "f625", "M272 80C272 88.84 264.8 96 256 96C247.2 96 240 88.84 240 80C240 71.16 247.2 64 256 64C264.8 64 272 71.16 272 80zM320 352C320 387.3 291.3 416 256 416C220.7 416 192 387.3 192 352C192 316.7 220.7 288 256 288C263.4 288 270.6 289.3 277.2 291.6L360.8 124.4C362.8 120.5 367.6 118.9 371.6 120.8C375.5 122.8 377.1 127.6 375.2 131.6L291.6 298.8C308.7 310.3 320 329.8 320 352L320 352zM256 304C229.5 304 208 325.5 208 352C208 378.5 229.5 400 256 400C282.5 400 304 378.5 304 352C304 325.5 282.5 304 256 304zM160 128C160 136.8 152.8 144 144 144C135.2 144 128 136.8 128 128C128 119.2 135.2 112 144 112C152.8 112 160 119.2 160 128zM80 240C80 231.2 87.16 224 96 224C104.8 224 112 231.2 112 240C112 248.8 104.8 256 96 256C87.16 256 80 248.8 80 240zM432 240C432 248.8 424.8 256 416 256C407.2 256 400 248.8 400 240C400 231.2 407.2 224 416 224C424.8 224 432 231.2 432 240zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496z"],
    "gauge-low": [512, 512, ["tachometer-alt-slow"], "f627", "M256 64C264.8 64 272 71.16 272 80C272 88.84 264.8 96 256 96C247.2 96 240 88.84 240 80C240 71.16 247.2 64 256 64zM220.4 298.8L136.8 131.6C134.9 127.6 136.5 122.8 140.4 120.8C144.4 118.9 149.2 120.5 151.2 124.4L234.8 291.6C241.4 289.3 248.6 287.1 256 287.1C291.3 287.1 320 316.7 320 352C320 387.3 291.3 416 256 416C220.7 416 192 387.3 192 352C192 329.8 203.3 310.3 220.4 298.8L220.4 298.8zM208 352C208 378.5 229.5 400 256 400C282.5 400 304 378.5 304 352C304 325.5 282.5 304 256 304C229.5 304 208 325.5 208 352zM368 112C376.8 112 384 119.2 384 128C384 136.8 376.8 144 368 144C359.2 144 352 136.8 352 128C352 119.2 359.2 112 368 112zM416 256C407.2 256 400 248.8 400 240C400 231.2 407.2 224 416 224C424.8 224 432 231.2 432 240C432 248.8 424.8 256 416 256zM96 224C104.8 224 112 231.2 112 240C112 248.8 104.8 256 96 256C87.16 256 80 248.8 80 240C80 231.2 87.16 224 96 224zM256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM496 256C496 123.5 388.5 16 256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256z"],
    "gauge-max": [512, 512, ["tachometer-alt-fastest"], "f626", "M256 64C264.8 64 272 71.16 272 80C272 88.84 264.8 96 256 96C247.2 96 240 88.84 240 80C240 71.16 247.2 64 256 64zM256 288C274.8 288 291.7 296.1 303.4 309L411.4 233.4C415 230.9 420 231.8 422.6 235.4C425.1 239 424.2 244 420.6 246.6L312.6 322.1C317.3 331 320 341.2 320 352C320 387.3 291.3 416 256 416C220.7 416 192 387.3 192 352C192 316.7 220.7 287.1 256 287.1V288zM208 352C208 378.5 229.5 400 256 400C282.5 400 304 378.5 304 352C304 325.5 282.5 304 256 304C229.5 304 208 325.5 208 352zM368 112C376.8 112 384 119.2 384 128C384 136.8 376.8 144 368 144C359.2 144 352 136.8 352 128C352 119.2 359.2 112 368 112zM96 256C87.16 256 80 248.8 80 240C80 231.2 87.16 224 96 224C104.8 224 112 231.2 112 240C112 248.8 104.8 256 96 256zM144 112C152.8 112 160 119.2 160 128C160 136.8 152.8 144 144 144C135.2 144 128 136.8 128 128C128 119.2 135.2 112 144 112zM256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM496 256C496 123.5 388.5 16 256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256z"],
    "gauge-min": [512, 512, ["tachometer-alt-slowest"], "f628", "M272 80C272 88.84 264.8 96 256 96C247.2 96 240 88.84 240 80C240 71.16 247.2 64 256 64C264.8 64 272 71.16 272 80zM320 352C320 387.3 291.3 416 256 416C220.7 416 192 387.3 192 352C192 341.2 194.7 331 199.4 322.1L91.41 246.6C87.79 244 86.91 239 89.45 235.4C91.98 231.8 96.97 230.9 100.6 233.4L208.6 309C220.3 296.1 237.2 288 256 288C291.3 288 320 316.7 320 352V352zM256 304C229.5 304 208 325.5 208 352C208 378.5 229.5 400 256 400C282.5 400 304 378.5 304 352C304 325.5 282.5 304 256 304zM160 128C160 136.8 152.8 144 144 144C135.2 144 128 136.8 128 128C128 119.2 135.2 112 144 112C152.8 112 160 119.2 160 128zM400 240C400 231.2 407.2 224 416 224C424.8 224 432 231.2 432 240C432 248.8 424.8 256 416 256C407.2 256 400 248.8 400 240zM384 128C384 136.8 376.8 144 368 144C359.2 144 352 136.8 352 128C352 119.2 359.2 112 368 112C376.8 112 384 119.2 384 128zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496z"],
    "gauge-simple": [512, 512, ["gauge-simple-med", "tachometer-average"], "f629", "M192 352C192 319.4 216.4 292.4 247.1 288.5V79.1C247.1 75.58 251.6 71.1 255.1 71.1C260.4 71.1 264 75.58 264 79.1V288.5C295.6 292.4 320 319.4 320 352C320 387.3 291.3 416 256 416C220.7 416 192 387.3 192 352zM256 400C282.5 400 304 378.5 304 352C304 325.5 282.5 304 256 304C229.5 304 208 325.5 208 352C208 378.5 229.5 400 256 400zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496z"],
    "gauge-simple-high": [512, 512, [61668, "tachometer", "tachometer-fast"], "f62a", "M192 352C192 316.7 220.7 288 256 288C263.4 288 270.6 289.3 277.2 291.6L360.8 124.4C362.8 120.5 367.6 118.9 371.6 120.8C375.5 122.8 377.1 127.6 375.2 131.6L291.6 298.8C308.7 310.3 320 329.8 320 352C320 387.3 291.3 416 256 416C220.7 416 192 387.3 192 352L192 352zM256 400C282.5 400 304 378.5 304 352C304 325.5 282.5 304 256 304C229.5 304 208 325.5 208 352C208 378.5 229.5 400 256 400zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496z"],
    "gauge-simple-low": [512, 512, ["tachometer-slow"], "f62c", "M256 416C220.7 416 192 387.3 192 352C192 329.8 203.3 310.3 220.4 298.8L136.8 131.6C134.9 127.6 136.5 122.8 140.4 120.8C144.4 118.9 149.2 120.5 151.2 124.4L234.8 291.6C241.4 289.3 248.6 287.1 256 287.1C291.3 287.1 320 316.7 320 352C320 387.3 291.3 416 256 416L256 416zM304 352C304 325.5 282.5 304 256 304C229.5 304 208 325.5 208 352C208 378.5 229.5 400 256 400C282.5 400 304 378.5 304 352zM256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM496 256C496 123.5 388.5 16 256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256z"],
    "gauge-simple-max": [512, 512, ["tachometer-fastest"], "f62b", "M256 416C220.7 416 192 387.3 192 352C192 316.7 220.7 288 256 288C274.8 288 291.7 296.1 303.4 309L411.4 233.4C415 230.9 420 231.8 422.6 235.4C425.1 239 424.2 244 420.6 246.6L312.6 322.1C317.3 331 320 341.2 320 352C320 387.3 291.3 416 256 416V416zM304 352C304 325.5 282.5 304 256 304C229.5 304 208 325.5 208 352C208 378.5 229.5 400 256 400C282.5 400 304 378.5 304 352zM256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512zM496 256C496 123.5 388.5 16 256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256z"],
    "gauge-simple-min": [512, 512, ["tachometer-slowest"], "f62d", "M192 352C192 341.2 194.7 331 199.4 322.1L91.41 246.6C87.79 244 86.91 239 89.45 235.4C91.98 231.8 96.97 230.9 100.6 233.4L208.6 309C220.3 296.1 237.2 288 256 288C291.3 288 320 316.7 320 352C320 387.3 291.3 416 256 416C220.7 416 192 387.3 192 352V352zM256 400C282.5 400 304 378.5 304 352C304 325.5 282.5 304 256 304C229.5 304 208 325.5 208 352C208 378.5 229.5 400 256 400zM0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496z"],
    "gavel": [512, 512, ["legal"], "f0e3", "M512 232.5c0-4.599-3.758-7.999-7.994-7.999c-2.051 0-4.101 .7822-5.66 2.341l-11.91 11.91l-213.2-213.2l11.91-11.91c1.56-1.56 2.342-3.609 2.342-5.659c0-4.599-3.758-7.999-7.994-7.999c-2.051 0-4.101 .7822-5.66 2.341L138.1 138.1C136.5 139.7 135.7 141.7 135.7 143.8c0 4.244 3.411 7.996 7.996 7.996c2.05 0 4.099-.7822 5.658-2.342l10.74-10.73l100.9 100.9L186.3 314.3l11.31 11.31l74.71-74.71l100.9 100.9l-10.74 10.74c-1.56 1.56-2.342 3.609-2.342 5.658c0 4.601 3.766 7.997 7.996 7.997c2.05 0 4.099-.7822 5.658-2.342l135.8-135.8C511.2 236.6 512 234.5 512 232.5zM171.4 127.4l90.51-90.51l20.93 20.93L192.4 148.3L171.4 127.4zM203.7 159.6l90.51-90.51l148.7 148.7l-90.51 90.51L203.7 159.6zM384.6 340.6l-20.93-20.93l90.51-90.51l20.93 20.93L384.6 340.6zM169.4 297.4C163.1 291.1 154.9 288 146.7 288c-8.186 0-16.37 3.126-22.62 9.372l-114.7 114.7c-6.25 6.248-9.375 14.43-9.375 22.62s3.125 16.37 9.375 22.62l45.25 45.25C60.87 508.9 69.06 512 77.25 512s16.37-3.125 22.62-9.375l114.7-114.7c6.25-6.25 9.376-14.44 9.376-22.62c0-8.185-3.125-16.37-9.374-22.62L169.4 297.4zM207.1 365.3c0 4.096-1.559 8.191-4.676 11.31l-114.7 114.7C85.53 494.3 81.52 496 77.25 496c-4.271 0-8.287-1.664-11.31-4.688l-45.25-45.25c-3.023-3.02-4.688-7.035-4.688-11.3s1.664-8.285 4.689-11.31l114.7-114.7C138.5 305.7 142.5 304 146.7 304c4.271 0 8.287 1.664 11.31 4.684l45.25 45.25C206.4 357.1 207.1 361.2 207.1 365.3z"],
    "gear": [512, 512, [9881, "cog"], "f013", "M176 255.1C176 211.8 211.8 175.1 256 175.1C300.2 175.1 336 211.8 336 255.1C336 300.2 300.2 336 256 336C211.8 336 176 300.2 176 255.1zM256 191.1C220.7 191.1 192 220.7 192 255.1C192 291.3 220.7 319.1 256 319.1C291.3 319.1 320 291.3 320 255.1C320 220.7 291.3 191.1 256 191.1zM425.2 87.32C439.5 82.75 455.1 88.78 462.6 101.8L492.8 154.2C500.3 167.2 497.8 183.7 486.7 193.8L446.3 230.6C447.4 238.9 448 247.4 448 255.1C448 264.6 447.4 273.1 446.3 281.4L486.7 318.2C497.8 328.3 500.3 344.8 492.8 357.8L462.6 410.2C455.1 423.2 439.5 429.2 425.2 424.7L373.2 408.1C359.8 418.4 344.1 427 329.2 433.6L317.5 486.8C314.3 501.5 301.3 512 286.2 512H225.8C210.7 512 197.7 501.5 194.5 486.8L182.8 433.6C167 427 152.2 418.4 138.8 408.1L86.84 424.7C72.51 429.2 56.94 423.2 49.42 410.2L19.18 357.8C11.66 344.8 14.22 328.3 25.34 318.2L65.67 281.4C64.57 273.1 64 264.6 64 255.1C64 247.4 64.57 238.9 65.67 230.6L25.34 193.8C14.22 183.7 11.66 167.2 19.18 154.2L49.42 101.8C56.94 88.78 72.51 82.75 86.84 87.32L138.8 103.9C152.2 93.56 167 84.96 182.8 78.43L194.5 25.16C197.7 10.47 210.7 0 225.8 0H286.2C301.3 0 314.3 10.47 317.5 25.16L329.2 78.43C344.1 84.96 359.8 93.56 373.2 103.9L425.2 87.32zM148.6 116.5L141.1 121.7L81.99 102.6C74.82 100.3 67.04 103.3 63.28 109.8L33.03 162.2C29.27 168.7 30.55 176.1 36.11 182L82.62 224.4L81.53 232.7C80.52 240.3 80 248.1 80 256C80 263.9 80.52 271.7 81.53 279.3L82.62 287.6L36.11 329.1C30.56 335 29.27 343.3 33.03 349.8L63.28 402.2C67.04 408.7 74.82 411.7 81.99 409.4L141.1 390.3L148.6 395.5C160.9 404.9 174.4 412.8 188.9 418.8L196.7 421.1L210.1 483.4C211.7 490.8 218.2 496 225.8 496H286.2C293.8 496 300.3 490.8 301.9 483.4L315.3 421.1L323.1 418.8C337.6 412.8 351.1 404.9 363.4 395.5L370 390.3L430 409.4C437.2 411.7 444.1 408.7 448.7 402.2L478.1 349.8C482.7 343.3 481.4 335 475.9 329.1L429.4 287.6L430.5 279.3C431.5 271.7 432 263.9 432 256C432 248.1 431.5 240.3 430.5 232.7L429.4 224.4L475.9 182C481.4 176.1 482.7 168.7 478.1 162.2L448.7 109.8C444.1 103.3 437.2 100.3 430 102.6L370 121.7L363.4 116.5C351.1 107.1 337.6 99.21 323.1 93.22L315.3 90.03L301.9 28.58C300.3 21.23 293.8 15.1 286.2 15.1H225.8C218.2 15.1 211.7 21.23 210.1 28.58L196.7 90.03L188.9 93.22C174.4 99.21 160.9 107.1 148.6 116.5L148.6 116.5z"],
    "gears": [640, 512, ["cogs"], "f085", "M104 175.1C104 145.1 129.1 119.1 160 119.1C190.9 119.1 216 145.1 216 175.1C216 206.9 190.9 231.1 160 231.1C129.1 231.1 104 206.9 104 175.1zM160 135.1C137.9 135.1 120 153.9 120 175.1C120 198.1 137.9 215.1 160 215.1C182.1 215.1 200 198.1 200 175.1C200 153.9 182.1 135.1 160 135.1zM180.4 9.23C189.8 10.37 197 17.8 198.1 27.08L205 56.14C218.3 61.13 230.5 68.25 241.2 77.09L269.5 67.79C278.5 64.83 288.5 67.34 294.2 74.89C297.7 79.56 300.1 84.42 304 89.44L307.1 94.83C309.9 99.84 312.4 105 314.7 110.3C318.4 119 315.5 128.1 308.5 135.3L286.3 155.1C287.4 161.9 288 168.9 288 175.1C288 183.1 287.4 190.1 286.3 196.9L308.5 216.7C315.5 223 318.4 232.1 314.7 241.7C312.4 246.1 309.9 252.2 307.1 257.2L304 262.6C300.1 267.6 297.7 272.4 294.2 277.1C288.5 284.7 278.5 287.2 269.5 284.2L241.2 274.9C230.5 283.8 218.3 290.9 205 295.9L198.1 324.9C197 334.2 189.8 341.6 180.4 342.8C173.7 343.6 166.9 344 160 344C153.1 344 146.3 343.6 139.6 342.8C130.2 341.6 122.1 334.2 121 324.9L114.1 295.9C101.7 290.9 89.5 283.8 78.75 274.9L50.53 284.2C41.54 287.2 31.52 284.7 25.82 277.1C22.28 272.4 18.98 267.5 15.94 262.5L12.92 257.2C10.13 252.2 7.592 247 5.324 241.7C1.62 232.1 4.458 223 11.52 216.7L33.7 196.9C32.58 190.1 31.1 183.1 31.1 175.1C31.1 168.9 32.58 161.9 33.7 155.1L11.52 135.3C4.458 128.1 1.62 119 5.324 110.3C7.592 104.1 10.13 99.79 12.91 94.76L15.95 89.51C18.98 84.46 22.28 79.58 25.82 74.89C31.52 67.34 41.54 64.83 50.53 67.79L78.75 77.09C89.5 68.25 101.7 61.13 114.1 56.15L121 27.08C122.1 17.8 130.2 10.37 139.6 9.231C146.3 8.418 153.1 8 160 8C166.9 8 173.7 8.418 180.4 9.23V9.23zM160 23.1C153.7 23.1 147.6 24.38 141.5 25.11C139.7 25.33 137.4 26.9 136.7 30.34L128.8 68.03L120.6 71.12C109 75.48 98.33 81.71 88.92 89.44L82.11 95.04L45.52 82.99C42.2 81.89 39.66 83.12 38.59 84.53C35.42 88.74 32.46 93.11 29.73 97.64L26.84 102.6C24.35 107.1 22.08 111.8 20.05 116.6C19.36 118.2 19.56 120.1 22.18 123.3L50.91 149L49.49 157.7C48.51 163.6 48 169.7 48 176C48 182.3 48.51 188.4 49.49 194.3L50.91 202.1L22.18 228.7C19.56 231 19.36 233.8 20.05 235.4C22.08 240.2 24.35 244.9 26.85 249.4L29.73 254.4C32.46 258.9 35.42 263.3 38.59 267.5C39.66 268.9 42.2 270.1 45.52 269L82.11 256.1L88.92 262.6C98.33 270.3 109 276.5 120.6 280.9L128.8 283.1L136.7 321.7C137.4 325.1 139.7 326.7 141.5 326.9C147.6 327.6 153.7 328 160 328C166.3 328 172.4 327.6 178.5 326.9C180.3 326.7 182.6 325.1 183.3 321.7L191.2 283.1L199.4 280.9C210.1 276.5 221.7 270.3 231.1 262.6L237.9 256.1L274.5 269C277.8 270.1 280.3 268.9 281.4 267.5C284.6 263.3 287.5 258.9 290.2 254.4L293.2 249.3C295.7 244.8 297.9 240.2 299.1 235.4C300.6 233.8 300.4 231 297.8 228.7L269.1 202.1L270.5 194.3C271.5 188.4 272 182.3 272 176C272 169.7 271.5 163.6 270.5 157.7L269.1 149L297.8 123.3C300.4 120.1 300.6 118.2 299.1 116.6C297.9 111.8 295.7 107.2 293.2 102.7L290.2 97.58C287.5 93.07 284.6 88.72 281.4 84.53C280.3 83.12 277.8 81.89 274.5 82.99L237.9 95.04L231.1 89.45C221.7 81.71 210.1 75.48 199.4 71.12L191.2 68.03L183.3 30.34C182.6 26.9 180.3 25.33 178.5 25.11C172.4 24.38 166.3 24 160 24V23.1zM464 408C433.1 408 408 382.9 408 352C408 321.1 433.1 296 464 296C494.9 296 520 321.1 520 352C520 382.9 494.9 408 464 408zM424 352C424 374.1 441.9 392 464 392C486.1 392 504 374.1 504 352C504 329.9 486.1 312 464 312C441.9 312 424 329.9 424 352zM545.2 499.1C540.2 501.9 534.1 504.4 529.7 506.7C520.1 510.4 511 507.5 504.7 500.5L484.9 478.3C478.1 479.4 471.1 480 464 480C456.9 480 449.9 479.4 443.1 478.3L423.3 500.5C416.1 507.5 407 510.4 398.3 506.7C393 504.4 387.8 501.9 382.8 499.1L377.4 496C372.4 492.1 367.6 489.7 362.9 486.2C355.3 480.5 352.8 470.5 355.8 461.5L365.1 433.2C356.2 422.5 349.1 410.3 344.1 397L315.1 390.1C305.8 389 298.4 381.8 297.2 372.4C296.4 365.7 296 358.9 296 352C296 345.1 296.4 338.3 297.2 331.6C298.4 322.2 305.8 314.1 315.1 313L344.1 306.1C349.1 293.7 356.2 281.5 365.1 270.8L355.8 242.5C352.8 233.5 355.3 223.5 362.9 217.8C367.6 214.3 372.5 210.1 377.5 207.9L382.8 204.9C387.8 202.1 392.1 199.6 398.3 197.3C407 193.6 416.1 196.5 423.3 203.5L443.1 225.7C449.9 224.6 456.9 224 464 224C471.1 224 478.1 224.6 484.9 225.7L504.7 203.5C511 196.5 520.1 193.6 529.7 197.3C535 199.6 540.2 202.1 545.2 204.9L550.5 207.9C555.5 210.1 560.4 214.3 565.1 217.8C572.7 223.5 575.2 233.5 572.2 242.5L562.9 270.8C571.8 281.5 578.9 293.7 583.9 306.1L612.9 313C622.2 314.1 629.6 322.2 630.8 331.6C631.6 338.3 632 345.1 632 352C632 358.9 631.6 365.7 630.8 372.4C629.6 381.8 622.2 389 612.9 390.1L583.9 397C578.9 410.3 571.8 422.5 562.9 433.2L572.2 461.5C575.2 470.5 572.7 480.5 565.1 486.2C560.4 489.7 555.6 492.1 550.6 496L545.2 499.1zM390.7 485.2C395.2 487.7 399.8 489.9 404.6 491.1C406.2 492.6 408.1 492.4 411.3 489.8L437 461.1L445.7 462.5C451.6 463.5 457.8 464 464 464C470.2 464 476.4 463.5 482.3 462.5L490.1 461.1L516.7 489.8C519 492.4 521.8 492.6 523.4 491.1C528.2 489.9 532.8 487.7 537.3 485.2L542.4 482.2C546.9 479.5 551.3 476.6 555.5 473.4C556.9 472.3 558.1 469.8 557 466.5L544.1 429.9L550.6 423.1C558.3 413.7 564.5 402.1 568.9 391.4L571.1 383.2L609.7 375.3C613.1 374.6 614.7 372.3 614.9 370.5C615.6 364.5 616 358.3 616 352C616 345.7 615.6 339.6 614.9 333.5C614.7 331.7 613.1 329.4 609.7 328.7L571.1 320.8L568.9 312.6C564.5 301 558.3 290.3 550.6 280.9L544.1 274.1L557 237.5C558.1 234.2 556.9 231.7 555.5 230.6C551.3 227.4 546.9 224.5 542.4 221.7L537.4 218.8C532.9 216.4 528.2 214.1 523.4 212C521.8 211.4 518.1 211.6 516.7 214.2L490.1 242.9L482.3 241.5C476.4 240.5 470.2 240 464 240C457.7 240 451.6 240.5 445.7 241.5L437 242.9L411.3 214.2C408.1 211.6 406.2 211.4 404.6 212C399.8 214.1 395.1 216.4 390.6 218.8L385.6 221.7C381.1 224.5 376.7 227.4 372.5 230.6C371.1 231.7 369.9 234.2 370.1 237.5L383 274.1L377.4 280.9C369.7 290.3 363.5 301 359.1 312.6L356 320.8L318.3 328.7C314.9 329.4 313.3 331.7 313.1 333.5C312.4 339.6 311.1 345.7 311.1 352C311.1 358.3 312.4 364.5 313.1 370.5C313.3 372.3 314.9 374.6 318.3 375.3L356 383.2L359.1 391.4C363.5 402.1 369.7 413.7 377.4 423.1L383 429.9L370.1 466.5C369.9 469.8 371.1 472.3 372.5 473.4C376.7 476.6 381.1 479.5 385.6 482.2L390.7 485.2z"],
    "gem": [512, 512, [128142], "f3a5", "M510.4 195.2l-119.1-160C388.9 33.19 386.5 32 384 32H127.1C125.5 32 123.1 33.19 121.6 35.2l-119.1 160C-.7128 198.3-.494 202.5 2.1 205.4l247.1 272C251.6 479 253.8 480 256 480s4.406-.9531 5.906-2.609l247.1-272C512.5 202.5 512.7 198.3 510.4 195.2zM383.8 53.06L487.1 192h-215.3L383.8 53.06zM256 187.2L144.7 48h222.7L256 187.2zM128.2 53.06L239.4 192H24.01L128.2 53.06zM256 460.1L26.13 208h459.7L256 460.1z"],
    "genderless": [384, 512, [], "f22d", "M192 96c88.22 0 160 71.78 160 160s-71.78 160-160 160s-160-71.78-160-160S103.8 96 192 96zM192 80C94.8 80 16 158.8 16 256s78.8 176 176 176s176-78.8 176-176S289.2 80 192 80z"],
    "ghost": [384, 512, [128123], "f6e2", "M256 151.1c-22.05 0-40 17.95-40 40s17.95 40 40 40c22.06 0 40-17.95 40-40S278.1 151.1 256 151.1zM256 216c-13.22 0-24-10.78-24-24s10.78-24 24-24s24 10.78 24 24S269.2 216 256 216zM192 0C190 0 188.1 .0446 186.1 .1032c-105.1 3.125-186.1 94.75-186.1 199.9v264c0 9.629 7.913 15.99 16.11 15.99c3.934 0 7.95-1.451 11.19-4.736l24.95-18.5c2.836-2.141 6.176-3.157 9.501-3.157c4.441 0 8.855 1.833 11.1 5.407l43 48.31C119.9 510.5 123.9 512 128 512c4.094 0 8.229-1.538 11.35-4.663l40.62-45.81c3.188-3.625 7.594-5.41 12-5.41s8.812 1.785 11.1 5.41l40.63 45.81C247.8 510.5 251.9 512 255.1 512s8.146-1.538 11.27-4.663l43-48.31c3.146-3.574 7.559-5.41 12-5.41c3.324 0 6.664 1.019 9.5 3.16l24.95 18.5c3.244 3.285 7.261 4.736 11.19 4.736c8.193 0 16.11-6.358 16.11-15.99V192C384 85.94 298.1 0 192 0zM367.3 463.2l-25.88-19.15c-5.557-4.195-12.17-6.41-19.14-6.41c-9.186 0-17.94 3.957-23.95 10.79l-41.71 48.29l-40.58-45.71c-6.074-6.91-14.83-10.87-24.02-10.87c-9.186 0-17.94 3.961-23.96 10.82L128.7 496.7l-42.94-48.19c-6.074-6.902-14.83-10.86-24.01-10.86c-6.965 0-13.58 2.215-19.02 6.32l-25.86 19.23L16 464.1V200c0-98.62 76.53-181.1 170.6-183.9C188.4 16.03 190.2 16 192 16c97.04 0 175.1 78.95 175.1 176l.1367 272.1L367.3 463.2zM128 151.1c-22.05 0-40 17.95-40 40s17.95 40 40 40c22.06 0 40-17.95 40-40S150.1 151.1 128 151.1zM128 216C114.8 216 104 205.2 104 192s10.78-24 23.1-24c13.22 0 24 10.78 24 24S141.2 216 128 216z"],
    "gif": [576, 512, [], "e190", "M512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM560 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h448c26.47 0 48 21.53 48 48V416zM480 168h-104c-4.422 0-8 3.578-8 8v160c0 4.422 3.578 8 8 8S384 340.4 384 336v-64h80c4.422 0 8-3.578 8-8S468.4 256 464 256H384V184h96c4.422 0 8-3.578 8-8S484.4 168 480 168zM296 168C291.6 168 288 171.6 288 176v160c0 4.422 3.578 8 8 8s8-3.578 8-8v-160C304 171.6 300.4 168 296 168zM232 248H160C155.6 248 152 251.6 152 256S155.6 264 160 264h64v45.13C210.7 321.2 191.8 328 171.7 328c-21.31 0-41.22-7.688-54.63-21.09C103.5 293.3 96 275.2 96 256s7.484-37.31 21.09-50.91c13.6-13.61 31.94-20.42 50.27-20.41c18.33 .002 36.65 6.803 50.24 20.41c1.562 1.562 3.609 2.344 5.656 2.344s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31C212.3 177.2 190.4 168 167.4 168c-23.09 0-44.97 9.156-61.58 25.78C89.16 210.4 80 232.5 80 256s9.156 45.61 25.78 62.22C122.2 334.6 146.2 344 171.7 344s49.56-9.391 65.94-25.78C239.2 316.7 240 314.7 240 312.6V256C240 251.6 236.4 248 232 248z"],
    "gift": [512, 512, [127873], "f06b", "M256 120.9L309.6 35.21C323.3 13.31 347.3 0 373.1 0H376C415.8 0 448 32.24 448 72C448 94.62 437.6 114.8 421.3 128H464C490.5 128 512 149.5 512 176V208C512 228.9 498.6 246.7 480 253.3V448C480 483.3 451.3 512 416 512H96C60.65 512 32 483.3 32 448V253.3C13.36 246.7 0 228.9 0 208V176C0 149.5 21.49 128 48 128H90.74C74.43 114.8 64 94.62 64 72C64 32.24 96.24 0 136 0H138.9C164.7 0 188.8 13.31 202.4 35.21L256 120.9zM373.1 16C352.8 16 333.9 26.46 323.1 43.69L270.4 128H376C406.9 128 432 102.9 432 72C432 41.07 406.9 16 376 16H373.1zM241.6 128L188.9 43.69C178.1 26.46 159.2 16 138.9 16H136C105.1 16 80 41.07 80 72C80 102.9 105.1 128 136 128H241.6zM48 144C30.33 144 16 158.3 16 176V208C16 225.7 30.33 240 48 240H248V144H48zM264 240H464C481.7 240 496 225.7 496 208V176C496 158.3 481.7 144 464 144H264V240zM248 256H48V448C48 474.5 69.49 496 96 496H248V256zM416 496C442.5 496 464 474.5 464 448V256H264V496H416z"],
    "gift-card": [576, 512, [], "f663", "M288 120.9L341.6 35.21C355.3 13.31 379.3 0 405.1 0H408C447.8 0 480 32.24 480 72C480 94.62 469.6 114.8 453.3 128H512C547.3 128 576 156.7 576 192V448C576 483.3 547.3 512 512 512H64C28.65 512 0 483.3 0 448V192C0 156.7 28.65 128 64 128H122.7C106.4 114.8 96 94.62 96 72C96 32.24 128.2 0 168 0H170.9C196.7 0 220.8 13.31 234.4 35.21L288 120.9zM405.1 16C384.8 16 365.9 26.46 355.1 43.69L302.4 128H408C438.9 128 464 102.9 464 72C464 41.07 438.9 16 408 16H405.1zM273.6 128L220.9 43.69C210.1 26.46 191.2 16 170.9 16H168C137.1 16 112 41.07 112 72C112 102.9 137.1 128 168 128H273.6zM64 144C37.49 144 16 165.5 16 192V288H560V192C560 165.5 538.5 144 512 144H305.1L374.1 226.9C376.1 230.3 376.5 235.3 373.1 238.1C369.7 240.1 364.7 240.5 361.9 237.1L288 148.5L214.1 237.1C211.3 240.5 206.3 240.1 202.9 238.1C199.5 235.3 199 230.3 201.9 226.9L270.9 144H64zM16 304V400H560V304H16zM560 448V416H16V448C16 474.5 37.49 496 64 496H512C538.5 496 560 474.5 560 448z"],
    "gifts": [640, 512, [], "f79c", "M144.2 83.63L178.7 4.79C180.4 .7419 185.2-1.104 189.2 .667C193.3 2.438 195.1 7.155 193.3 11.2L161.6 83.79L243.8 33.18C247.6 30.87 252.5 32.04 254.8 35.8C257.1 39.57 255.1 44.49 252.2 46.81L172.3 95.1H248C252.4 95.1 256 99.58 256 103.1C256 108.4 252.4 111.1 248 111.1H72C41.07 111.1 16 137.1 16 167.1V439.1C16 470.9 41.07 495.1 72 495.1H184C188.4 495.1 192 499.6 192 503.1C192 508.4 188.4 511.1 184 511.1H72C32.24 511.1 0 479.8 0 439.1V167.1C0 128.2 32.24 95.1 72 95.1H115.7L35.81 46.81C32.04 44.49 30.87 39.57 33.19 35.8C35.5 32.04 40.43 30.87 44.19 33.18L127.1 84.19L96.62 11.07C94.92 6.995 96.84 2.311 100.9 .6117C105-1.088 109.7 .8411 111.4 4.919L144.2 83.63zM336.2 127.1C353.6 127.1 370.2 136.1 380.8 149.9L432 216.5L483.2 149.9C493.8 136.1 510.4 127.1 527.8 127.1C558.7 127.1 584 153 584 183.1C584 199.7 577.6 213.8 567.2 223.1H592C618.5 223.1 640 245.5 640 271.1V463.1C640 490.5 618.5 511.1 592 511.1H272C245.5 511.1 224 490.5 224 463.1V271.1C224 245.5 245.5 223.1 272 223.1H296.8C286.4 213.8 280 199.7 280 183.1C280 153 305.3 127.1 336.2 127.1zM368.1 159.7C360.5 149.8 348.7 143.1 336.2 143.1C314 143.1 296 161.9 296 183.1C296 206.1 313.9 223.1 336 223.1H417.6L368.1 159.7zM240 271.1V351.1H424V239.1H272C254.3 239.1 240 254.3 240 271.1zM240 463.1C240 481.7 254.3 495.1 272 495.1H424V367.1H240V463.1zM624 367.1H440V495.1H592C609.7 495.1 624 481.7 624 463.1V367.1zM440 351.1H624V271.1C624 254.3 609.7 239.1 592 239.1H440V351.1zM528 223.1C550.1 223.1 568 206.1 568 183.1C568 161.9 549.1 143.1 527.8 143.1C515.3 143.1 503.5 149.8 495.9 159.7L446.4 223.1H528z"],
    "gingerbread-man": [448, 512, [], "f79d", "M191.1 79.98c-8.752 0-16 7.25-16 16s7.25 16 16 16c8.75 0 16-7.25 16-16S200.7 79.98 191.1 79.98zM224 335.1C224 335.1 224 335.1 224 335.1c-8.75 0-15.1 7.25-15.1 16c0 8.75 7.25 15.1 15.1 15.1c.002 0-.002 0 0 0c8.75 0 16-7.249 16-15.1C240 343.2 232.8 335.1 224 335.1zM224 271.1C224 271.1 224 271.1 224 271.1c-8.75 0-15.1 7.252-15.1 16s7.25 15.1 15.1 15.1c.002 0-.002 0 0 0c8.75 0 16-7.249 16-15.1S232.8 271.1 224 271.1zM224 207.1C224 207.1 224 207.1 224 207.1c-8.75 0-15.1 7.251-15.1 16s7.25 15.1 15.1 15.1c.002 0-.002 0 0 0c8.75 0 16-7.249 16-15.1S232.8 207.1 224 207.1zM413.9 290.2c14.48-17.03 20.71-39.57 17.09-61.86C425.1 192.2 391.5 164.1 352.8 164.1h-40.88c11.72-17.32 18.04-37.73 18.04-59.01c0-28.32-11.04-54.95-31.07-74.96C278.9 11.04 252.3 .0352 224 0C195.7 .0352 169.1 11.04 149.1 31.03C129 51.04 117.1 77.66 117.1 105.1c0 21.27 6.312 41.69 18.04 59.01H95.15c-38.67 0-72.26 27.23-78.14 63.35c-3.621 22.29 2.609 44.84 17.09 61.86c14.48 17.02 35.58 26.79 57.88 26.79h24.89l.8262 1.773l-54.5 65.51c-14.02 16.72-20.73 39.01-18.35 61.08c2.211 20.54 11.99 38.48 27.54 50.51C85.23 506.2 101.9 512 118.1 512c22.64 0 43.95-9.949 58.45-27.3l35.88-43.02C216.9 437.3 221.5 436.6 224 436.6c2.465 .0078 7.057 .6719 10.68 5.043l35.88 43.02C285.1 502.1 306.4 512 329 512c17.12 0 33.75-5.789 46.59-16.12c15.55-12.04 25.33-29.97 27.54-50.51c2.377-22.08-4.33-44.36-18.35-61.08l-54.5-65.51l.8691-1.723l24.85-.0508C378.3 316.1 399.4 307.2 413.9 290.2zM314 318.1c0 3.984 1.406 7.852 3.984 10.9l54.5 65.51c21.92 26.13 20.28 67.85-6.68 88.71C355 491.9 341.9 496 329 496c-17.11 0-34.22-7.268-46.18-21.56l-35.86-43.01C241 424.2 232.5 420.7 224 420.6c-8.518 .0195-17.02 3.605-22.97 10.79L165.2 474.4C153.2 488.7 136.1 496 118.1 496c-12.89 0-26.02-4.104-36.8-12.78c-26.96-20.86-28.6-62.58-6.68-88.71l54.5-65.51c2.578-3.047 3.984-6.914 3.984-10.9c0-9.375-7.619-17.11-17.11-17.11h-24.89c-36.45 0-65.28-32.58-59.18-70.08c4.805-29.53 32.46-49.92 62.35-49.92h58.76c6.682 0 9.846-7.969 5.158-12.89c-15.47-16.05-25.08-37.97-25.08-62.12C133.1 56.33 174.2 16.07 224 16c49.8 .0742 90.01 40.33 90.01 89.98c0 24.14-9.609 46.06-25.08 62.12c-4.688 4.922-1.523 12.89 5.158 12.89h58.76c29.88 0 57.54 20.39 62.35 49.92c6.094 37.5-22.74 70.08-59.18 70.08h-24.89C321.6 300.1 314 308.7 314 318.1zM256 79.98c-8.75 0-16 7.25-16 16s7.25 16 16 16c8.752 0 16-7.25 16-16S264.8 79.98 256 79.98z"],
    "glass": [384, 512, [129371], "f804", "M351.1 0C370.7 0 385.4 15.96 383.8 34.6L349.1 460.6C346.8 489.6 322.5 512 293.3 512H90.73C61.56 512 37.28 489.6 34.91 460.6L.193 34.6C-1.326 15.96 13.39 0 32.09 0L351.1 0zM22.56 112H361.5L367.9 33.3C368.7 23.98 361.3 16 351.1 16H32.09C22.74 16 15.38 23.98 16.14 33.3L22.56 112zM23.86 128L50.86 459.3C52.55 480 69.9 496 90.73 496H293.3C314.1 496 331.5 480 333.2 459.3L360.2 128H23.86z"],
    "glass-citrus": [512, 512, [], "f869", "M368 0c-53.09 0-101.7 29.22-126.9 76.22C239.1 80.13 240.5 84.97 244.4 87.06C248.3 89.09 253.2 87.69 255.3 83.78C277.6 41.97 320.8 16 368 16c70.59 0 127.1 57.41 127.1 128c0 63.38-45.69 116.4-108.6 126c-4.375 .6562-7.344 4.75-6.688 9.125c.5938 3.938 4 6.781 7.906 6.781c.4062 0 .8125-.0313 1.219-.0938C460.6 275 512 215.3 512 144C512 64.59 447.4 0 368 0zM319.1 128H32.02c-8.998 0-17.62 3.875-23.75 10.5c-6 6.75-8.998 15.62-8.123 24.62l31.99 319.1C33.77 499.5 47.52 512 64.02 512h223.1c16.5 0 30.25-12.5 31.87-28.87l32-319.1c.875-9-2.124-17.87-8.124-24.62C337.6 131.9 328.1 128 319.1 128zM303.9 481.5C303.1 489.8 296.3 496 287.1 496H64.02c-8.275 0-15.13-6.215-15.95-14.46L25.52 256h300.1L303.9 481.5zM328.1 240h-304.2L16.08 161.6C15.14 151.1 22.78 144 32.02 144h287.1c13.47 0 16.41 12.77 15.95 17.54L328.1 240z"],
    "glass-empty": [384, 512, [], "e191", "M.193 34.6C-1.326 15.96 13.39 0 32.09 0H351.1C370.7 0 385.4 15.96 383.8 34.6L349.1 460.6C346.8 489.6 322.5 512 293.3 512H90.73C61.56 512 37.28 489.6 34.91 460.6L.193 34.6zM32.09 16C22.74 16 15.38 23.98 16.14 33.3L50.86 459.3C52.55 480 69.89 496 90.73 496H293.3C314.1 496 331.5 480 333.2 459.3L367.9 33.3C368.7 23.98 361.3 16 351.1 16H32.09z"],
    "glass-half": [384, 512, ["glass-half-empty", "glass-half-full"], "e192", "M351.1 0C370.7 0 385.4 15.96 383.8 34.6L349.1 460.6C346.8 489.6 322.5 512 293.3 512H90.73C61.56 512 37.28 489.6 34.91 460.6L.193 34.6C-1.326 15.96 13.39 0 32.09 0L351.1 0zM32.99 240H351.1L367.9 33.3C368.7 23.98 361.3 16 351.1 16H32.09C22.74 16 15.38 23.98 16.14 33.3L32.99 240zM34.29 256L50.86 459.3C52.55 480 69.9 496 90.73 496H293.3C314.1 496 331.5 480 333.2 459.3L349.7 256H34.29z"],
    "glass-water": [384, 512, [], "e4f4", "M351.1 0C370.7 0 385.4 15.96 383.8 34.6L349.1 460.6C346.8 489.6 322.5 512 293.3 512H90.73C61.56 512 37.28 489.6 34.91 460.6L.1939 34.6C-1.325 15.96 13.39 0 32.09 0L351.1 0zM25.45 147.5L63.24 164.7C87.86 175.9 116.6 172.1 138.4 157.1C170.4 133.8 213.6 133.8 245.6 157.1C267.4 172.1 296.2 175.9 320.8 164.7L358.6 147.5L367.9 33.3C368.7 23.98 361.3 16 351.1 16H32.09C22.74 16 15.38 23.98 16.14 33.3L25.45 147.5zM26.94 165.8L50.86 459.3C52.55 480 69.9 496 90.73 496H293.3C314.1 496 331.5 480 333.2 459.3L357.1 165.7L327.4 179.3C297.5 192.8 262.7 189.3 236.1 169.1C209.8 150.9 174.2 150.9 147.9 169.1C121.3 189.3 86.48 192.8 56.62 179.3L26.94 165.8z"],
    "glass-water-droplet": [384, 512, [], "e4f5", "M128 180C128 155.1 161.7 109.9 180.2 86.49C186.3 78.77 197.7 78.77 203.8 86.49C222.3 109.9 256 155.1 256 180C256 213.1 227.3 240 192 240C156.7 240 128 213.1 128 180zM192 224C219.5 224 240 203.3 240 180C240 177.2 238.9 172.2 235.7 164.8C232.7 157.8 228.3 149.8 223.2 141.4C213.2 125.2 201 108.8 192 97.36C182.1 108.8 170.8 125.2 160.8 141.4C155.7 149.8 151.3 157.8 148.3 164.8C145.1 172.2 144 177.2 144 180C144 203.3 164.5 224 192 224zM351.1 0C370.7 0 385.4 15.96 383.8 34.6L349.1 460.6C346.8 489.6 322.5 512 293.3 512H90.73C61.56 512 37.28 489.6 34.91 460.6L.1939 34.6C-1.325 15.96 13.39 0 32.09 0L351.1 0zM38.38 306.1L63.25 317.1C87.87 328.1 116.5 325.1 138.2 309.2C170.3 285.9 213.7 285.9 245.8 309.2C267.6 325.1 296.1 328.1 320.8 317.1L345.7 306.1L367.9 33.3C368.7 23.98 361.3 16 351.1 16H32.09C22.74 16 15.38 23.98 16.14 33.3L38.38 306.1zM39.86 324.2L50.86 459.2C52.55 480 69.9 496 90.73 496H293.3C314.1 496 331.5 480 333.2 459.2L344.2 324.2L327.2 331.8C297.4 345 262.8 341.4 236.4 322.2C209.9 302.9 174.1 302.9 147.6 322.2C121.2 341.4 86.59 345 56.75 331.8L39.86 324.2z"],
    "glasses": [576, 512, [], "f530", "M560.4 211.8l-45.19-131.8c-12.38-36.15-51.31-55.99-88.91-45.02l-20.53 6c-4.25 1.25-6.656 5.688-5.438 9.934c1.25 4.25 5.687 6.656 9.938 5.438l20.53-6c29.19-8.527 59.66 6.781 69.28 34.84l40.23 117.3c9.605 30.03 15.24 52.98 17.83 78.17c-4.531-3.703-9.555-6.859-15.37-8.785c-31.78-10.52-64.39-15.86-96.91-15.86c-38.02 0-75.49 7.438-111.4 22.11c-5.613 2.301-10.31 5.867-14.47 9.965L256 288C251.8 283.9 247.1 280.5 241.5 278.2c-35.87-14.68-73.34-22.11-111.4-22.11c-32.53 0-65.14 5.336-96.91 15.86c-5.812 1.926-10.84 5.082-15.37 8.785c2.586-25.18 8.223-48.14 17.83-78.17l40.23-117.3C85.56 57.17 116 41.86 145.2 50.39l20.53 6c4.25 1.219 8.688-1.188 9.938-5.438C176.9 46.7 174.5 42.27 170.3 41.02l-20.53-6C112.1 24.05 73.19 43.89 60.81 80.04L15.63 211.8C5.25 241.1 .0003 273.4 .0003 305.3l-.0002 63.96C.0002 430.3 50.26 480 111.9 480h43.12c58.11 0 107-45.02 111.4-102.5l3.859-51.59C270.9 318.1 269.1 310.8 266.3 304h43.31c-2.762 6.812-4.516 14.12-3.934 21.91l3.859 51.59C313.1 434.1 362.9 480 420.1 480h43.12c61.63 0 111.9-49.68 111.9-110.8l.0001-63.96C576 273.4 570.8 241.1 560.4 211.8zM250.5 376.3C246.7 425.5 204.8 464 155 464H111.8c-52.82 0-95.76-42.42-95.76-94.78c0 0 .0586-51.04 .0625-52.02c.1797-13.79 9.086-25.78 22.22-30.12c23.28-7.711 55.16-15.05 91.88-15.05c36.17 0 71.42 7.062 105.3 20.93c12.5 5.113 19.86 18.3 18.86 31.76L250.5 376.3zM464.2 464h-43.24c-49.82 0-91.72-38.51-95.46-87.7l-3.855-51.57c-1.008-13.46 6.355-26.65 18.86-31.76c33.88-13.86 69.13-20.93 105.3-20.93c36.72 0 68.6 7.34 91.88 15.05c13.13 4.344 22.04 16.33 22.22 30.12c.0039 .9805 .0625 52.02 .0625 52.02C560 421.6 517.1 464 464.2 464z"],
    "glasses-round": [576, 512, [128083, "glasses-alt"], "f5f5", "M533.4 140.8c-5.438-16.91-11.47-35.72-18.19-56.97c-6.094-19.31-19.03-34.94-36.41-43.97c-16.41-8.473-35.13-10.13-52.72-4.594l-20.53 6.5c-4.219 1.344-6.562 5.812-5.219 10.03c1.312 4.219 6 6.562 10.03 5.219l20.53-6.5c13.47-4.219 27.88-3.031 40.53 3.562c13.59 7.035 23.72 19.32 28.53 34.57c6.719 21.28 12.78 40.12 18.22 57.03c18.17 56.51 29.18 91.15 35.34 123.8c-24.32-36.95-66.03-61.39-113.6-61.39c-58.15 0-107.4 36.65-126.8 87.99H262.8C243.4 244.6 194.1 207.1 136 207.1c-47.53 0-89.24 24.45-113.6 61.39c6.164-32.61 17.17-67.25 35.34-123.8c5.438-16.91 11.5-35.75 18.22-57.03c4.812-15.25 14.94-27.53 28.53-34.57c12.66-6.594 27.06-7.781 40.53-3.562l20.53 6.5c4.031 1.344 8.719-.1 10.03-5.219c1.344-4.219-1-8.687-5.219-10.03l-20.53-6.5c-17.59-5.535-36.31-3.879-52.72 4.594c-17.38 9.031-30.31 24.66-36.41 43.97C54.03 105 48 123.8 42.56 140.8c-30.51 94.86-42.56 131.6-42.56 203.2c0 75.11 60.89 136 136 136s136-60.89 136-136c0-11.08-1.687-21.7-4.187-32.01h40.38c-2.5 10.31-4.188 20.93-4.188 32.01c0 75.11 60.89 136 135.1 136s136-60.89 136-136C576 272.4 563.9 235.6 533.4 140.8zM136 463.1c-66.17 0-120-53.84-120-120s53.83-120 120-120s120 53.84 120 120S202.2 463.1 136 463.1zM440 463.1c-66.17 0-120-53.84-120-120s53.83-120 120-120s119.1 53.84 119.1 120S506.2 463.1 440 463.1z"],
    "globe": [512, 512, [127760], "f0ac", "M256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0zM256 496C282 496 309.9 474.5 332.2 429.9C343.2 407.9 352.1 381.5 358.4 352H153.6C159.9 381.5 168.8 407.9 179.8 429.9C202.1 474.5 229.1 496 255.1 496H256zM150.6 336H361.4C365.7 311 368 284.1 368 256C368 227.9 365.7 200.1 361.4 176H150.6C146.3 200.1 144 227.9 144 256C144 284.1 146.3 311 150.6 336V336zM358.4 160C352.1 130.4 343.2 104.1 332.2 82.14C309.9 37.51 282 16 256 16C229.1 16 202.1 37.51 179.8 82.14C168.8 104.1 159.9 130.4 153.6 160H358.4zM377.6 176C381.8 201.2 384 228.1 384 256C384 283.9 381.8 310.8 377.6 336H482.3C491.2 310.1 496 284.1 496 256C496 227.9 491.2 201 482.3 176H377.6zM307.5 21.53C337.9 48.31 362.2 98.15 374.7 160H476C445.6 90.45 383.2 38.09 307.5 21.53V21.53zM204.5 21.53C128.8 38.09 66.36 90.45 35.97 160H137.3C149.8 98.15 174.1 48.31 204.5 21.53V21.53zM16 256C16 284.1 20.81 310.1 29.66 336H134.4C130.2 310.8 128 283.9 128 256C128 228.1 130.2 201.2 134.4 176H29.66C20.81 201 16 227.9 16 256zM476 352H374.7C362.2 413.8 337.9 463.7 307.5 490.5C383.2 473.9 445.6 421.5 476 352V352zM137.3 352H35.97C66.36 421.5 128.8 473.9 204.5 490.5C174.1 463.7 149.8 413.8 137.3 352z"],
    "globe-snow": [448, 512, [], "f7a3", "M376.9 404.1c-1.453-2.406-4.031-3.844-6.828-3.844H77.91c-2.797 0-5.375 1.438-6.828 3.844L27.53 475.5c-4.578 7.5-4.75 16.56-.4375 24.25C31.41 507.4 39.22 512 48.02 512h351.1c8.797 0 16.61-4.594 20.92-12.25c4.312-7.688 4.141-16.75-.4375-24.25L376.9 404.1zM406.1 491.9C406.3 493.2 404.2 496 399.1 496H48.02c-4.219 0-6.281-2.844-6.969-4.094c-.6875-1.219-2.062-4.469 .1406-8.094l41.2-67.53h283.2l41.2 67.53C409 487.4 407.6 490.7 406.1 491.9zM298.3 253.7C299.9 255.2 301.1 256 304 256s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31l-80-80c-3.125-3.125-8.188-3.125-11.31 0l-80 80c-3.125 3.125-3.125 8.188 0 11.31s8.188 3.125 11.31 0l66.34-66.34v41.38L138.3 306.3c-3.125 3.125-3.125 8.188 0 11.31s8.188 3.125 11.31 0l66.34-66.34V376c0 4.406 3.578 8 8 8s8-3.594 8-8V251.3l66.34 66.34C299.9 319.2 301.1 320 304 320s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31l-77.66-77.66V187.3L298.3 253.7zM256 80c0-8.836-7.162-15.1-16-15.1c-8.836 0-16 7.164-16 15.1s7.164 15.1 16 15.1C248.8 96 256 88.84 256 80zM320 176c0 8.836 7.164 15.1 16 15.1c8.838 0 16-7.164 16-15.1s-7.162-16-16-16C327.2 160 320 167.2 320 176zM64 240c0 8.836 7.164 15.1 16 15.1c8.838 0 16-7.164 16-15.1s-7.162-16-16-16C71.16 224 64 231.2 64 240zM69.38 375C72.64 372.1 72.89 367 69.92 363.7C35.16 325.4 16 275.8 16 224c0-114.7 93.31-208 208-208s207.1 93.31 207.1 208c0 51.78-19.16 101.4-53.92 139.7c-2.969 3.281-2.719 8.344 .5469 11.31c1.531 1.375 3.453 2.062 5.375 2.062c2.172 0 4.344-.875 5.922-2.625c37.45-41.28 58.08-94.72 58.08-150.5c0-123.5-100.5-223.1-224-223.1S.0001 100.5 .0001 224c0 55.75 20.63 109.2 58.08 150.5C61.08 377.8 66.11 377.1 69.38 375z"],
    "globe-stand": [448, 512, [], "f5f6", "M55.26 333.4C58.39 330.3 63.45 330.3 66.58 333.4C144.7 411.5 271.3 411.5 349.4 333.4C427.5 255.3 427.5 128.7 349.4 50.58C346.3 47.45 346.3 42.39 349.4 39.26L370.3 18.34C373.5 15.22 378.5 15.22 381.7 18.34C384.8 21.47 384.8 26.53 381.7 29.66L366.3 45.02C445 129.7 443.2 262.3 360.7 344.7C324.7 380.8 279 401.4 232 406.7V496H376C380.4 496 384 499.6 384 504C384 508.4 380.4 512 376 512H72C67.58 512 64 508.4 64 504C64 499.6 67.58 496 72 496H215.1V407.9C160.6 409.9 104.5 390.7 61.02 350.3L45.66 365.7C42.53 368.8 37.47 368.8 34.34 365.7C31.22 362.5 31.22 357.5 34.34 354.3L55.26 333.4zM368 191.1C368 280.4 296.4 352 208 352C119.6 352 48 280.4 48 191.1C48 103.6 119.6 31.1 208 31.1C296.4 31.1 368 103.6 368 191.1zM208 47.1C128.5 47.1 64 112.5 64 191.1C64 271.5 128.5 336 208 336C287.5 336 352 271.5 352 191.1C352 112.5 287.5 47.1 208 47.1z"],
    "goal-net": [640, 512, [], "e3ab", "M544 48H96c-39.69 0-72 32.31-72 72v352C24 476.4 27.59 480 32 480s8-3.594 8-8v-352C40 89.13 65.13 64 96 64h448c30.88 0 56 25.12 56 56v352c0 4.406 3.594 8 8 8s8-3.594 8-8v-352C616 80.31 583.7 48 544 48zM544 208c4.406 0 8-3.594 8-8S548.4 192 544 192h-72V112c0-4.406-3.594-8-8-8s-8 3.594-8 8V192h-80V112c0-4.406-3.594-8-8-8s-8 3.594-8 8V192h-80V112c0-4.406-3.594-8-8-8S264 107.6 264 112V192h-80V112c0-4.406-3.594-8-8-8S168 107.6 168 112V192H96C91.59 192 88 195.6 88 200S91.59 208 96 208h72V288H96C91.59 288 88 291.6 88 296S91.59 304 96 304h72V384H96c-4.406 0-8 3.594-8 8S91.59 400 96 400h72v64c0 4.406 3.594 8 8 8s8-3.594 8-8v-64h80v64c0 4.406 3.594 8 8 8s8-3.594 8-8v-64h80v64c0 4.406 3.594 8 8 8s8-3.594 8-8v-64h80v64c0 4.406 3.594 8 8 8s8-3.594 8-8v-64H544c4.406 0 8-3.594 8-8S548.4 384 544 384h-72V304H544c4.406 0 8-3.594 8-8S548.4 288 544 288h-72V208H544zM264 384h-80V304h80V384zM264 288h-80V208h80V288zM360 384h-80V304h80V384zM360 288h-80V208h80V288zM456 384h-80V304h80V384zM456 288h-80V208h80V288z"],
    "golf-ball-tee": [384, 512, ["golf-ball"], "f450", "M288 344h-192c-3.922 0-7.266 2.844-7.891 6.719c-.6406 3.875 1.641 7.625 5.359 8.875l35.28 11.75C161.8 382.3 184 413.2 184 448v56c0 4.406 3.578 8 7.1 8s8-3.594 8-8V448c0-34.84 22.2-65.66 55.25-76.66l35.28-11.75c3.719-1.25 6-5 5.359-8.875C295.3 346.8 291.9 344 288 344zM192 409.8C182.7 388.1 165.7 370.1 143.5 360h96.91C218.3 370.1 201.3 388.1 192 409.8zM171.1 1.215c-83.73 9.715-149.6 79.55-154.7 163.7c-3.594 59.11 21.67 113.7 66.81 149.1C88.35 318.1 96 314.2 96 307.6c0-2.43-1.148-4.703-3.057-6.203c-38.29-30.09-60.81-75.4-60.94-125c-.2187-84.02 66.85-155.4 150.7-160.2C275.1 11.03 352 84.71 352 176c0 49.74-22.54 95.23-60.95 125.4c-1.908 1.5-3.055 3.758-3.055 6.188c0 6.617 7.678 10.42 12.88 6.332C343.2 280.8 368 230.7 368 176C368 72.08 277.4-11.12 171.1 1.215zM216 272c-4.422 0-8 3.594-8 8s3.578 8 8 8c22.06 0 40-17.94 40-40c0-4.406-3.578-8-8-8s-8 3.594-8 8C240 261.2 229.2 272 216 272zM320 184c0-4.406-3.578-8-8-8s-8 3.594-8 8c0 13.22-10.77 24-24 24c-4.422 0-8 3.594-8 8s3.578 8 8 8C302.1 224 320 206.1 320 184zM232 160c-4.422 0-8 3.594-8 8c0 13.22-10.77 24-24 24c-4.422 0-8 3.594-8 8s3.578 8 8 8c22.06 0 40-17.94 40-40C240 163.6 236.4 160 232 160z"],
    "golf-club": [512, 512, [], "f451", "M480 0c-12.21 0-23.18 6.797-28.64 17.7l-192.4 379.1l-217.8-65.33c-3.105-.9297-6.215-1.371-9.254-1.371C14.88 330.1 0 344.8 0 363v116.1C0 497.7 14.33 512 31.1 512h222.3c12.11 0 23.18-6.836 28.61-17.66l225.7-448C510.9 41.74 512 36.85 512 32.04C512 14.38 497.7 0 480 0zM494.3 39.15l-225.7 448c-2.73 5.449-8.211 8.832-14.3 8.832H32c-8.822 0-16-7.18-16-16v-16h56c4.422 0 8-3.578 8-8s-3.578-8-8-8H16v-40h56c4.422 0 7.1-3.58 7.1-8.002S76.42 392 72 392H16v-28.99c0-9.129 7.515-15.99 15.97-15.99c1.551 0 3.088 .2073 4.627 .6682l230.6 69.19l198.5-392C468.5 19.24 474.2 16 480 16c9.086 0 15.97 7.436 15.97 16.01C496 34.41 495.5 36.85 494.3 39.15z"],
    "golf-flag-hole": [512, 512, [], "e3ac", "M256 304c-11.38 0-22.53 .2813-33.47 .8438c-4.406 .25-7.812 4-7.594 8.406s3.906 7.344 8.406 7.594C234 320.3 244.9 320 256 320c143.6 0 240 45.5 240 88S399.6 496 256 496s-240-45.5-240-88c0-17.53 16.06-35.44 45.25-50.47c3.938-2.031 5.469-6.875 3.469-10.78c-2.062-3.938-6.938-5.438-10.78-3.469C18.66 361.5 0 383.8 0 408C0 466.3 112.4 512 256 512s256-45.69 256-104S399.6 304 256 304zM224 448c47.72 0 96-13.75 96-40c0-43.25-130.1-50.78-176-22.77V258.7l230.4-115.2c12.78-6.391 12.78-24.63 0-31.02L153.1 1.853C150.6 .5811 147.9-.0004 145.3-.0004L145.9 16.16l221.3 110.7V129.2L144 240.8V17.36C144 16.1 145.3 16 145.3 16L145.3-.0004C136.2-.0004 128 7.311 128 17.36V408C128 434.3 176.3 448 224 448zM224 384c48.09 0 80 14.44 80 24S272.1 432 224 432s-80-14.44-80-24S175.9 384 224 384z"],
    "gopuram": [512, 512, [], "f664", "M104 0C108.4 0 112 3.582 112 8V32H192V8C192 3.582 195.6 0 200 0C204.4 0 208 3.582 208 8V32H304V8C304 3.582 307.6 0 312 0C316.4 0 320 3.582 320 8V32H400V8C400 3.582 403.6 0 408 0C412.4 0 416 3.582 416 8V112.8C434.3 116.5 448 132.6 448 152V224.8C466.3 228.5 480 244.6 480 264V352.8C498.3 356.5 512 372.6 512 392V472C512 494.1 494.1 512 472 512H40C17.91 512 0 494.1 0 472V392C0 372.6 13.74 356.5 32 352.8V264C32 244.6 45.74 228.5 64 224.8V152C64 132.6 77.74 116.5 96 112.8V8C96 3.582 99.58 0 104 0zM208 496H304V464C304 437.5 282.5 416 256 416C229.5 416 208 437.5 208 464V496zM320 496H400V368H112V496H192V464C192 428.7 220.7 400 256 400C291.3 400 320 428.7 320 464V496zM112 112H400V48H112V112zM104 128C90.75 128 80 138.7 80 152V224H160V128H104zM176 128V224H224V192C224 174.3 238.3 160 256 160C273.7 160 288 174.3 288 192V224H336V128H176zM256 176C247.2 176 240 183.2 240 192V224H272V192C272 183.2 264.8 176 256 176zM208 352V320C208 293.5 229.5 272 256 272C282.5 272 304 293.5 304 320V352H384V240H128V352H208zM432 224V152C432 138.7 421.3 128 408 128H352V224H432zM288 352V320C288 302.3 273.7 288 256 288C238.3 288 224 302.3 224 320V352H288zM400 240V352H464V264C464 250.7 453.3 240 440 240H400zM72 240C58.75 240 48 250.7 48 264V352H112V240H72zM40 368C26.75 368 16 378.7 16 392V472C16 485.3 26.75 496 40 496H96V368H40zM496 472V392C496 378.7 485.3 368 472 368H416V496H472C485.3 496 496 485.3 496 472z"],
    "graduation-cap": [640, 512, [127891, "mortar-board"], "f19d", "M623.1 136.9l-282.7-101.2C334.3 33.23 327.2 32 320 32S305.7 33.23 298.8 35.68L16.05 136.9C6.438 140.4 0 149.6 0 160s6.438 19.65 16.05 23.09L80.19 206.1c-9.322 14.59-16.5 30.71-20.44 48.2c-.2051 .8984 .332 1.652 .4297 2.523C44.4 258.7 32 271.7 32 288c0 12.44 7.295 22.91 17.66 28.21C49.13 317.1 48.26 317.7 48.09 318.8l-24 152c-.6875 4.375 2.297 8.469 6.656 9.156C31.17 479.1 31.59 480 32.01 480c3.859 0 7.273-2.812 7.898-6.75L64 321.3c.0762-.4922-.4023-.8555-.4141-1.336C63.73 319.9 63.85 320 64 320s.2676-.082 .4141-.0859C64.4 320.4 63.92 320.8 64 321.3l24.09 152C88.72 477.2 92.13 480 95.99 480c.4219 0 .8359-.0313 1.258-.0938c4.359-.6875 7.344-4.781 6.656-9.156l-24-152C79.74 317.7 78.87 317.1 78.33 316.2C88.7 310.9 96 300.4 96 288c0-13.76-8.773-25.25-20.96-29.77c.0566-.1914 .2559-.2852 .3008-.4805C79.16 240.9 86.38 225.4 95.74 211.6l203 72.7C305.7 286.8 312.8 288 320 288s14.35-1.227 21.21-3.684l282.7-101.2C633.6 179.6 640 170.4 640 160S633.6 140.4 623.1 136.9zM80 288c0 8.824-7.178 16-16 16S48 296.8 48 288S55.18 272 64 272S80 279.2 80 288zM618.6 168l-282.7 101.2C330.7 271.1 325.4 272 320 272S309.3 271.1 304.2 269.3L105.9 198.3C127.6 173.4 157.9 156.3 191.1 152.1l129-16.12c4.391-.5625 7.5-4.531 6.953-8.938C327.4 122.6 323.3 119.6 319 120.1L189.1 136.2C149.7 141.2 114.1 162.1 89.67 192.5L21.44 168C18.19 166.9 16 163.6 16 160s2.186-6.859 5.439-8.023l282.7-101.2C309.3 48.93 314.6 48 320 48s10.73 .9258 15.82 2.746l282.7 101.2C621.8 153.1 624 156.4 624 160S621.8 166.9 618.6 168zM496.3 264.1c-4.391 .5-7.531 4.5-7 8.875L504 397.3C504 429.5 430.1 464 320 464s-184-34.47-184.1-65.75l14.78-125.3c.5313-4.375-2.609-8.375-7-8.875c-4.281-.5313-8.375 2.625-8.875 7L120 397.3C120 443.7 207.8 480 320 480s200-36.31 199.9-83.63l-14.78-125.3C504.7 266.7 500.6 263.5 496.3 264.1z"],
    "gramophone": [384, 512, [], "f8bd", "M352 447.1l0-32c0-17.67-14.33-32-32-32H64c-17.67 0-32 14.33-32 32l0 32C14.33 447.1 0 462.3 0 480s14.33 32 32 32h320c17.67 0 32-14.33 32-32S369.7 447.1 352 447.1zM48 416c0-8.824 7.178-16 16-16h256c8.822 0 16 7.176 16 16v32h-288V416zM352 496H32c-8.822 0-16-7.176-16-16s7.178-16 16-16h320c8.822 0 16 7.176 16 16S360.8 496 352 496zM56.1 319.1c4.469 0 9.156-1.324 13.41-4.215c55.92-38.2 134.6-80.82 218.8-89.85l42.87 8.973C352.9 241.4 368 261.7 368 284.3c0 28.47-23.17 51.63-51.64 51.63l-148.3-.0938c-4.422 0-8 3.594-8 8s3.578 8 8 8l148.3 .0938C353.7 351.1 384 321.6 384 284.3c0-29.62-19.81-56.25-48.84-64.94l-46.51-9.777C226.5 169.1 178.5 71.22 150.9 13.6C146.5 4.419 138 .0625 129.5 .0625c-10.12 0-20.37 6.118-23.48 17.66L32.82 289.8C28.33 306.3 41.52 319.1 56.1 319.1zM121.5 21.84C122.1 16.28 128.3 16 129.3 16c2.266 0 5.342 .7773 7.117 4.473c25.98 54.16 69.64 145.2 128.9 192.3c-64.74 10.99-133.4 41.08-204.8 89.86C59.13 303.5 57.71 304 56.2 304c-2.498 0-5.135-1.34-6.721-3.418c-1.459-1.91-1.836-4.059-1.137-6.629L121.5 21.84z"],
    "grapes": [512, 512, [], "e306", "M64.05 383.9C28.74 383.9 0 412.6 0 447.1S28.74 512 64.05 512s64.05-28.72 64.05-64.05S99.35 383.9 64.05 383.9zM64.05 495.1c-26.49 0-48.03-21.55-48.03-48.03c0-26.49 21.55-48.03 48.03-48.03s48.03 21.55 48.03 48.03C112.1 474.4 90.53 495.1 64.05 495.1zM252.2 203.8c33.12 0 60.04-26.94 60.04-60.04S285.3 83.69 252.2 83.69S192.1 110.6 192.1 143.7S219.1 203.8 252.2 203.8zM252.2 99.7c24.27 0 44.03 19.75 44.03 44.03s-19.76 44.03-44.03 44.03c-24.27 0-44.03-19.75-44.03-44.03S227.9 99.7 252.2 99.7zM228.2 223.8c-33.12 0-60.04 26.94-60.04 60.04s26.93 60.04 60.04 60.04s60.04-26.94 60.04-60.04S261.3 223.8 228.2 223.8zM228.2 327.9c-24.27 0-44.03-19.75-44.03-44.03c0-24.28 19.76-44.03 44.03-44.03s44.03 19.75 44.03 44.03C272.2 308.1 252.4 327.9 228.2 327.9zM112 231.9c33.12 0 60.1-27.08 60.1-60.18S145.2 111.7 112.1 111.7S52.04 138.7 52.04 171.8S78.91 231.9 112 231.9zM112.1 127.7c24.27 0 44.03 19.75 44.03 44.03S136.3 215.8 112.1 215.8S68.05 196 68.05 171.8S87.81 127.7 112.1 127.7zM368.3 207.8c-33.12 0-60.04 26.94-60.04 60.04s26.93 60.04 60.04 60.04s60.04-26.94 60.04-60.04S401.4 207.8 368.3 207.8zM368.3 311.9c-24.27 0-44.03-19.75-44.03-44.03s19.76-44.03 44.03-44.03s44.03 19.75 44.03 44.03S392.5 311.9 368.3 311.9zM208.1 367.9c-33.12 0-60.04 26.94-60.04 60.04s26.93 60.04 60.04 60.04s60.04-26.94 60.04-60.04S241.3 367.9 208.1 367.9zM208.1 471.1c-24.27 0-44.03-19.75-44.03-44.03c0-24.28 19.76-44.03 44.03-44.03c24.27 0 44.03 19.75 44.03 44.03C252.2 452.2 232.4 471.1 208.1 471.1zM340.2 339.9c-33.12 0-60.18 26.99-60.18 60.1s27.06 59.99 60.18 59.99s60.04-26.94 60.04-60.04S373.4 339.9 340.2 339.9zM340.2 443.1c-24.27 0-44.03-19.75-44.03-44.03s19.76-44.03 44.03-44.03c24.27 0 44.03 19.75 44.03 44.03S364.5 443.1 340.2 443.1zM84.06 247.8c-33.12 0-60.04 26.94-60.04 60.04s26.93 60.04 60.04 60.04s60.04-26.94 60.04-60.04S117.2 247.8 84.06 247.8zM84.06 351.9c-24.27 0-44.03-19.75-44.03-44.03c0-24.28 19.76-44.03 44.03-44.03s44.03 19.75 44.03 44.03C128.1 332.1 108.3 351.9 84.06 351.9zM510.1 142.6c-27.46-33.23-66.99-46.58-104.5-36.28c10.19-37.48-3.033-77.01-36.28-104.5c-2.94-2.471-7.224-2.471-10.23 0c-24.02 19.95-37.93 46.53-39.18 74.85c-1.282 27.97 9.882 55.16 31.4 76.55l7.349 7.349c20.33 20.44 45.88 31.54 72.36 31.54c1.47 0 2.908-.0313 4.347-.0938c28.3-1.298 54.85-15.23 74.71-39.22C512.6 149.9 512.6 145.6 510.1 142.6zM434.7 176.1c-23.55 .7193-46.44-8.444-64.67-26.75L362.7 141.9c-18.29-18.18-27.8-41.09-26.74-64.5c.9695-21.7 10.98-42.34 28.33-58.73c28.4 26.72 36.53 64.44 20.58 97.77c-1.47 3.065-.8443 6.724 1.564 9.116c2.377 2.392 6.067 3.049 9.1 1.564c33.43-15.95 71.08-7.787 97.79 20.58C476.1 165.1 456.4 175.1 434.7 176.1z"],
    "grate": [448, 512, [], "e193", "M352 96H96C78.33 96 64 110.3 64 128v256c0 17.67 14.33 32 32 32h256c17.67 0 32-14.33 32-32V128C384 110.3 369.7 96 352 96zM136 400H96c-8.822 0-16-7.178-16-16V264h56V400zM136 248H80V128c0-8.822 7.178-16 16-16h40V248zM216 400h-64V264h64V400zM216 248h-64V112h64V248zM296 400h-64V264h64V400zM296 248h-64V112h64V248zM368 384c0 8.822-7.178 16-16 16h-40V264h56V384zM368 248h-56V112H352c8.822 0 16 7.178 16 16V248zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416z"],
    "grate-droplet": [576, 512, [], "e194", "M16 416V96c0-26.51 21.49-48 48-48h320c26.51 0 48 21.49 48 48v56C432 156.4 435.6 160 440 160S448 156.4 448 152V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h248c4.418 0 8-3.582 8-8s-3.582-8-8-8H64C37.49 464 16 442.5 16 416zM96 96C78.33 96 64 110.3 64 128v256c0 17.67 14.33 32 32 32h200c8.836 0 16-7.164 16-16V264h56c8.836 0 16-7.164 16-16V128c0-17.67-14.33-32-32-32H96zM136 400H96c-8.822 0-16-7.178-16-16V264h56V400zM136 248H80V128c0-8.822 7.178-16 16-16h40V248zM216 400h-64V264h64V400zM216 248h-64V112h64V248zM296 400h-64V264h64V400zM296 248h-64V112h64V248zM368 128v120h-56V112H352C360.8 112 368 119.2 368 128zM482.6 205.8C480.1 196.7 472 192 463.1 192c-7.875 0-15.77 4.514-18.59 13.83C415.7 304.3 352 331.2 352 400.7C352 462.2 402.1 512 464 512s112-49.84 112-111.3C576 330.8 512.5 304.9 482.6 205.8zM464 496c-52.93 0-96-42.76-96-95.33c0-31.39 15.72-53.51 35.62-81.52c18.82-26.48 42.23-59.44 57.11-108.7C460.9 209.7 461.5 208 463.1 208c1.184 0 2.697 .3691 3.281 2.451c14.96 49.56 38.39 82.44 57.22 108.9C545.1 348.2 560 369.1 560 400.7C560 453.2 516.9 496 464 496z"],
    "greater-than": [384, 512, [62769], "3e", "M355.6 248.8l-320-160C31.75 86.9 26.84 88.43 24.84 92.43c-1.969 3.938-.375 8.75 3.594 10.72l305.7 152.8l-305.7 152.8c-3.969 1.969-5.562 6.781-3.594 10.72C26.25 422.4 29.06 424 32 424c1.219 0 2.438-.2813 3.562-.8438l320-160c2.719-1.344 4.438-4.125 4.438-7.156S358.3 250.2 355.6 248.8z"],
    "greater-than-equal": [448, 512, [], "f532", "M440 439.1H8c-4.406 0-8 3.605-8 8.011C0 452.4 3.594 456 8 456h432c4.406 0 8-3.584 8-7.991C448 443.6 444.4 439.1 440 439.1zM56.56 322.1C57.81 326.1 60.81 327.1 64 327.1c1 0 1.999-.1875 2.969-.5626l320-128C389.1 198.2 392 195.2 392 191.1c0-3.282-2.001-6.22-5.031-7.438l-320-128C62.94 55.01 58.22 56.89 56.56 60.98C54.94 65.08 56.94 69.73 61.03 71.39l301.4 120.6L61.03 312.5C56.94 314.2 54.94 318.9 56.56 322.1z"],
    "grid": [448, 512, ["grid-3"], "e195", "M88 32C110.1 32 128 49.91 128 72V120C128 142.1 110.1 160 88 160H40C17.91 160 0 142.1 0 120V72C0 49.91 17.91 32 40 32H88zM88 48H40C26.75 48 16 58.75 16 72V120C16 133.3 26.75 144 40 144H88C101.3 144 112 133.3 112 120V72C112 58.75 101.3 48 88 48zM88 192C110.1 192 128 209.9 128 232V280C128 302.1 110.1 320 88 320H40C17.91 320 0 302.1 0 280V232C0 209.9 17.91 192 40 192H88zM88 208H40C26.75 208 16 218.7 16 232V280C16 293.3 26.75 304 40 304H88C101.3 304 112 293.3 112 280V232C112 218.7 101.3 208 88 208zM0 392C0 369.9 17.91 352 40 352H88C110.1 352 128 369.9 128 392V440C128 462.1 110.1 480 88 480H40C17.91 480 0 462.1 0 440V392zM16 392V440C16 453.3 26.75 464 40 464H88C101.3 464 112 453.3 112 440V392C112 378.7 101.3 368 88 368H40C26.75 368 16 378.7 16 392zM248 32C270.1 32 288 49.91 288 72V120C288 142.1 270.1 160 248 160H200C177.9 160 160 142.1 160 120V72C160 49.91 177.9 32 200 32H248zM248 48H200C186.7 48 176 58.75 176 72V120C176 133.3 186.7 144 200 144H248C261.3 144 272 133.3 272 120V72C272 58.75 261.3 48 248 48zM160 232C160 209.9 177.9 192 200 192H248C270.1 192 288 209.9 288 232V280C288 302.1 270.1 320 248 320H200C177.9 320 160 302.1 160 280V232zM176 232V280C176 293.3 186.7 304 200 304H248C261.3 304 272 293.3 272 280V232C272 218.7 261.3 208 248 208H200C186.7 208 176 218.7 176 232zM248 352C270.1 352 288 369.9 288 392V440C288 462.1 270.1 480 248 480H200C177.9 480 160 462.1 160 440V392C160 369.9 177.9 352 200 352H248zM248 368H200C186.7 368 176 378.7 176 392V440C176 453.3 186.7 464 200 464H248C261.3 464 272 453.3 272 440V392C272 378.7 261.3 368 248 368zM320 72C320 49.91 337.9 32 360 32H408C430.1 32 448 49.91 448 72V120C448 142.1 430.1 160 408 160H360C337.9 160 320 142.1 320 120V72zM336 72V120C336 133.3 346.7 144 360 144H408C421.3 144 432 133.3 432 120V72C432 58.75 421.3 48 408 48H360C346.7 48 336 58.75 336 72zM408 192C430.1 192 448 209.9 448 232V280C448 302.1 430.1 320 408 320H360C337.9 320 320 302.1 320 280V232C320 209.9 337.9 192 360 192H408zM408 208H360C346.7 208 336 218.7 336 232V280C336 293.3 346.7 304 360 304H408C421.3 304 432 293.3 432 280V232C432 218.7 421.3 208 408 208zM320 392C320 369.9 337.9 352 360 352H408C430.1 352 448 369.9 448 392V440C448 462.1 430.1 480 408 480H360C337.9 480 320 462.1 320 440V392zM336 392V440C336 453.3 346.7 464 360 464H408C421.3 464 432 453.3 432 440V392C432 378.7 421.3 368 408 368H360C346.7 368 336 378.7 336 392z"],
    "grid-2": [448, 512, [], "e196", "M0 80C0 53.49 21.49 32 48 32H144C170.5 32 192 53.49 192 80V176C192 202.5 170.5 224 144 224H48C21.49 224 0 202.5 0 176V80zM16 80V176C16 193.7 30.33 208 48 208H144C161.7 208 176 193.7 176 176V80C176 62.33 161.7 48 144 48H48C30.33 48 16 62.33 16 80zM0 336C0 309.5 21.49 288 48 288H144C170.5 288 192 309.5 192 336V432C192 458.5 170.5 480 144 480H48C21.49 480 0 458.5 0 432V336zM16 336V432C16 449.7 30.33 464 48 464H144C161.7 464 176 449.7 176 432V336C176 318.3 161.7 304 144 304H48C30.33 304 16 318.3 16 336zM400 32C426.5 32 448 53.49 448 80V176C448 202.5 426.5 224 400 224H304C277.5 224 256 202.5 256 176V80C256 53.49 277.5 32 304 32H400zM400 48H304C286.3 48 272 62.33 272 80V176C272 193.7 286.3 208 304 208H400C417.7 208 432 193.7 432 176V80C432 62.33 417.7 48 400 48zM256 336C256 309.5 277.5 288 304 288H400C426.5 288 448 309.5 448 336V432C448 458.5 426.5 480 400 480H304C277.5 480 256 458.5 256 432V336zM272 336V432C272 449.7 286.3 464 304 464H400C417.7 464 432 449.7 432 432V336C432 318.3 417.7 304 400 304H304C286.3 304 272 318.3 272 336z"],
    "grid-2-plus": [512, 512, [], "e197", "M176 32C202.5 32 224 53.49 224 80V176C224 202.5 202.5 224 176 224H80C53.49 224 32 202.5 32 176V80C32 53.49 53.49 32 80 32H176zM176 48H80C62.33 48 48 62.33 48 80V176C48 193.7 62.33 208 80 208H176C193.7 208 208 193.7 208 176V80C208 62.33 193.7 48 176 48zM176 288C202.5 288 224 309.5 224 336V432C224 458.5 202.5 480 176 480H80C53.49 480 32 458.5 32 432V336C32 309.5 53.49 288 80 288H176zM176 304H80C62.33 304 48 318.3 48 336V432C48 449.7 62.33 464 80 464H176C193.7 464 208 449.7 208 432V336C208 318.3 193.7 304 176 304zM288 80C288 53.49 309.5 32 336 32H432C458.5 32 480 53.49 480 80V176C480 202.5 458.5 224 432 224H336C309.5 224 288 202.5 288 176V80zM304 80V176C304 193.7 318.3 208 336 208H432C449.7 208 464 193.7 464 176V80C464 62.33 449.7 48 432 48H336C318.3 48 304 62.33 304 80zM384 272C388.4 272 392 275.6 392 280V376H488C492.4 376 496 379.6 496 384C496 388.4 492.4 392 488 392H392V488C392 492.4 388.4 496 384 496C379.6 496 376 492.4 376 488V392H280C275.6 392 272 388.4 272 384C272 379.6 275.6 376 280 376H376V280C376 275.6 379.6 272 384 272z"],
    "grid-4": [448, 512, [], "e198", "M73.6 32C82.44 32 89.6 39.16 89.6 48V105.6C89.6 114.4 82.44 121.6 73.6 121.6H16C7.164 121.6 0 114.4 0 105.6V48C0 39.16 7.164 32 16 32H73.6zM73.6 105.6V48H16V105.6H73.6zM73.6 151.5C82.44 151.5 89.6 158.6 89.6 167.5V225.1C89.6 233.9 82.44 241.1 73.6 241.1H16C7.164 241.1 0 233.9 0 225.1V167.5C0 158.6 7.164 151.5 16 151.5H73.6zM73.6 225.1V167.5H16V225.1H73.6zM0 286.9C0 278.1 7.164 270.9 16 270.9H73.6C82.44 270.9 89.6 278.1 89.6 286.9V344.5C89.6 353.4 82.44 360.5 73.6 360.5H16C7.164 360.5 0 353.4 0 344.5V286.9zM16 344.5H73.6V286.9H16V344.5zM73.6 390.4C82.44 390.4 89.6 397.6 89.6 406.4V464C89.6 472.8 82.44 480 73.6 480H16C7.164 480 0 472.8 0 464V406.4C0 397.6 7.164 390.4 16 390.4H73.6zM73.6 464V406.4H16V464H73.6zM193.1 32C201.9 32 209.1 39.16 209.1 48V105.6C209.1 114.4 201.9 121.6 193.1 121.6H135.5C126.6 121.6 119.5 114.4 119.5 105.6V48C119.5 39.16 126.6 32 135.5 32H193.1zM193.1 105.6V48H135.5V105.6H193.1zM193.1 151.5C201.9 151.5 209.1 158.6 209.1 167.5V225.1C209.1 233.9 201.9 241.1 193.1 241.1H135.5C126.6 241.1 119.5 233.9 119.5 225.1V167.5C119.5 158.6 126.6 151.5 135.5 151.5H193.1zM193.1 225.1V167.5H135.5V225.1H193.1zM119.5 286.9C119.5 278.1 126.6 270.9 135.5 270.9H193.1C201.9 270.9 209.1 278.1 209.1 286.9V344.5C209.1 353.4 201.9 360.5 193.1 360.5H135.5C126.6 360.5 119.5 353.4 119.5 344.5V286.9zM135.5 344.5H193.1V286.9H135.5V344.5zM193.1 390.4C201.9 390.4 209.1 397.6 209.1 406.4V464C209.1 472.8 201.9 480 193.1 480H135.5C126.6 480 119.5 472.8 119.5 464V406.4C119.5 397.6 126.6 390.4 135.5 390.4H193.1zM193.1 464V406.4H135.5V464H193.1zM238.9 48C238.9 39.16 246.1 32 254.9 32H312.5C321.4 32 328.5 39.16 328.5 48V105.6C328.5 114.4 321.4 121.6 312.5 121.6H254.9C246.1 121.6 238.9 114.4 238.9 105.6V48zM254.9 48V105.6H312.5V48H254.9zM238.9 167.5C238.9 158.6 246.1 151.5 254.9 151.5H312.5C321.4 151.5 328.5 158.6 328.5 167.5V225.1C328.5 233.9 321.4 241.1 312.5 241.1H254.9C246.1 241.1 238.9 233.9 238.9 225.1V167.5zM254.9 167.5V225.1H312.5V167.5H254.9zM312.5 270.9C321.4 270.9 328.5 278.1 328.5 286.9V344.5C328.5 353.4 321.4 360.5 312.5 360.5H254.9C246.1 360.5 238.9 353.4 238.9 344.5V286.9C238.9 278.1 246.1 270.9 254.9 270.9H312.5zM312.5 286.9H254.9V344.5H312.5V286.9zM238.9 406.4C238.9 397.6 246.1 390.4 254.9 390.4H312.5C321.4 390.4 328.5 397.6 328.5 406.4V464C328.5 472.8 321.4 480 312.5 480H254.9C246.1 480 238.9 472.8 238.9 464V406.4zM254.9 406.4V464H312.5V406.4H254.9zM432 32C440.8 32 448 39.16 448 48V105.6C448 114.4 440.8 121.6 432 121.6H374.4C365.6 121.6 358.4 114.4 358.4 105.6V48C358.4 39.16 365.6 32 374.4 32H432zM432 105.6V48H374.4V105.6H432zM432 151.5C440.8 151.5 448 158.6 448 167.5V225.1C448 233.9 440.8 241.1 432 241.1H374.4C365.6 241.1 358.4 233.9 358.4 225.1V167.5C358.4 158.6 365.6 151.5 374.4 151.5H432zM432 225.1V167.5H374.4V225.1H432zM358.4 286.9C358.4 278.1 365.6 270.9 374.4 270.9H432C440.8 270.9 448 278.1 448 286.9V344.5C448 353.4 440.8 360.5 432 360.5H374.4C365.6 360.5 358.4 353.4 358.4 344.5V286.9zM374.4 344.5H432V286.9H374.4V344.5zM432 390.4C440.8 390.4 448 397.6 448 406.4V464C448 472.8 440.8 480 432 480H374.4C365.6 480 358.4 472.8 358.4 464V406.4C358.4 397.6 365.6 390.4 374.4 390.4H432zM432 464V406.4H374.4V464H432z"],
    "grid-5": [448, 512, [], "e199", "M48 32C56.84 32 64 39.16 64 48V80C64 88.84 56.84 96 48 96H16C7.164 96 0 88.84 0 80V48C0 39.16 7.164 32 16 32H48zM48 44.8H16C14.23 44.8 12.8 46.23 12.8 48V80C12.8 81.77 14.23 83.2 16 83.2H48C49.77 83.2 51.2 81.77 51.2 80V48C51.2 46.23 49.77 44.8 48 44.8zM48 128C56.84 128 64 135.2 64 144V176C64 184.8 56.84 192 48 192H16C7.164 192 0 184.8 0 176V144C0 135.2 7.164 128 16 128H48zM48 140.8H16C14.23 140.8 12.8 142.2 12.8 144V176C12.8 177.8 14.23 179.2 16 179.2H48C49.77 179.2 51.2 177.8 51.2 176V144C51.2 142.2 49.77 140.8 48 140.8zM0 240C0 231.2 7.164 224 16 224H48C56.84 224 64 231.2 64 240V272C64 280.8 56.84 288 48 288H16C7.164 288 0 280.8 0 272V240zM12.8 240V272C12.8 273.8 14.23 275.2 16 275.2H48C49.77 275.2 51.2 273.8 51.2 272V240C51.2 238.2 49.77 236.8 48 236.8H16C14.23 236.8 12.8 238.2 12.8 240zM48 320C56.84 320 64 327.2 64 336V368C64 376.8 56.84 384 48 384H16C7.164 384 0 376.8 0 368V336C0 327.2 7.164 320 16 320H48zM48 332.8H16C14.23 332.8 12.8 334.2 12.8 336V368C12.8 369.8 14.23 371.2 16 371.2H48C49.77 371.2 51.2 369.8 51.2 368V336C51.2 334.2 49.77 332.8 48 332.8zM0 432C0 423.2 7.164 416 16 416H48C56.84 416 64 423.2 64 432V464C64 472.8 56.84 480 48 480H16C7.164 480 0 472.8 0 464V432zM12.8 432V464C12.8 465.8 14.23 467.2 16 467.2H48C49.77 467.2 51.2 465.8 51.2 464V432C51.2 430.2 49.77 428.8 48 428.8H16C14.23 428.8 12.8 430.2 12.8 432zM144 32C152.8 32 160 39.16 160 48V80C160 88.84 152.8 96 144 96H112C103.2 96 96 88.84 96 80V48C96 39.16 103.2 32 112 32H144zM144 44.8H112C110.2 44.8 108.8 46.23 108.8 48V80C108.8 81.77 110.2 83.2 112 83.2H144C145.8 83.2 147.2 81.77 147.2 80V48C147.2 46.23 145.8 44.8 144 44.8zM96 144C96 135.2 103.2 128 112 128H144C152.8 128 160 135.2 160 144V176C160 184.8 152.8 192 144 192H112C103.2 192 96 184.8 96 176V144zM108.8 144V176C108.8 177.8 110.2 179.2 112 179.2H144C145.8 179.2 147.2 177.8 147.2 176V144C147.2 142.2 145.8 140.8 144 140.8H112C110.2 140.8 108.8 142.2 108.8 144zM144 224C152.8 224 160 231.2 160 240V272C160 280.8 152.8 288 144 288H112C103.2 288 96 280.8 96 272V240C96 231.2 103.2 224 112 224H144zM144 236.8H112C110.2 236.8 108.8 238.2 108.8 240V272C108.8 273.8 110.2 275.2 112 275.2H144C145.8 275.2 147.2 273.8 147.2 272V240C147.2 238.2 145.8 236.8 144 236.8zM96 336C96 327.2 103.2 320 112 320H144C152.8 320 160 327.2 160 336V368C160 376.8 152.8 384 144 384H112C103.2 384 96 376.8 96 368V336zM108.8 336V368C108.8 369.8 110.2 371.2 112 371.2H144C145.8 371.2 147.2 369.8 147.2 368V336C147.2 334.2 145.8 332.8 144 332.8H112C110.2 332.8 108.8 334.2 108.8 336zM144 416C152.8 416 160 423.2 160 432V464C160 472.8 152.8 480 144 480H112C103.2 480 96 472.8 96 464V432C96 423.2 103.2 416 112 416H144zM144 428.8H112C110.2 428.8 108.8 430.2 108.8 432V464C108.8 465.8 110.2 467.2 112 467.2H144C145.8 467.2 147.2 465.8 147.2 464V432C147.2 430.2 145.8 428.8 144 428.8zM192 48C192 39.16 199.2 32 208 32H240C248.8 32 256 39.16 256 48V80C256 88.84 248.8 96 240 96H208C199.2 96 192 88.84 192 80V48zM204.8 48V80C204.8 81.77 206.2 83.2 208 83.2H240C241.8 83.2 243.2 81.77 243.2 80V48C243.2 46.23 241.8 44.8 240 44.8H208C206.2 44.8 204.8 46.23 204.8 48zM240 128C248.8 128 256 135.2 256 144V176C256 184.8 248.8 192 240 192H208C199.2 192 192 184.8 192 176V144C192 135.2 199.2 128 208 128H240zM240 140.8H208C206.2 140.8 204.8 142.2 204.8 144V176C204.8 177.8 206.2 179.2 208 179.2H240C241.8 179.2 243.2 177.8 243.2 176V144C243.2 142.2 241.8 140.8 240 140.8zM192 240C192 231.2 199.2 224 208 224H240C248.8 224 256 231.2 256 240V272C256 280.8 248.8 288 240 288H208C199.2 288 192 280.8 192 272V240zM204.8 240V272C204.8 273.8 206.2 275.2 208 275.2H240C241.8 275.2 243.2 273.8 243.2 272V240C243.2 238.2 241.8 236.8 240 236.8H208C206.2 236.8 204.8 238.2 204.8 240zM240 320C248.8 320 256 327.2 256 336V368C256 376.8 248.8 384 240 384H208C199.2 384 192 376.8 192 368V336C192 327.2 199.2 320 208 320H240zM240 332.8H208C206.2 332.8 204.8 334.2 204.8 336V368C204.8 369.8 206.2 371.2 208 371.2H240C241.8 371.2 243.2 369.8 243.2 368V336C243.2 334.2 241.8 332.8 240 332.8zM192 432C192 423.2 199.2 416 208 416H240C248.8 416 256 423.2 256 432V464C256 472.8 248.8 480 240 480H208C199.2 480 192 472.8 192 464V432zM204.8 432V464C204.8 465.8 206.2 467.2 208 467.2H240C241.8 467.2 243.2 465.8 243.2 464V432C243.2 430.2 241.8 428.8 240 428.8H208C206.2 428.8 204.8 430.2 204.8 432zM336 32C344.8 32 352 39.16 352 48V80C352 88.84 344.8 96 336 96H304C295.2 96 288 88.84 288 80V48C288 39.16 295.2 32 304 32H336zM336 44.8H304C302.2 44.8 300.8 46.23 300.8 48V80C300.8 81.77 302.2 83.2 304 83.2H336C337.8 83.2 339.2 81.77 339.2 80V48C339.2 46.23 337.8 44.8 336 44.8zM288 144C288 135.2 295.2 128 304 128H336C344.8 128 352 135.2 352 144V176C352 184.8 344.8 192 336 192H304C295.2 192 288 184.8 288 176V144zM300.8 144V176C300.8 177.8 302.2 179.2 304 179.2H336C337.8 179.2 339.2 177.8 339.2 176V144C339.2 142.2 337.8 140.8 336 140.8H304C302.2 140.8 300.8 142.2 300.8 144zM336 224C344.8 224 352 231.2 352 240V272C352 280.8 344.8 288 336 288H304C295.2 288 288 280.8 288 272V240C288 231.2 295.2 224 304 224H336zM336 236.8H304C302.2 236.8 300.8 238.2 300.8 240V272C300.8 273.8 302.2 275.2 304 275.2H336C337.8 275.2 339.2 273.8 339.2 272V240C339.2 238.2 337.8 236.8 336 236.8zM288 336C288 327.2 295.2 320 304 320H336C344.8 320 352 327.2 352 336V368C352 376.8 344.8 384 336 384H304C295.2 384 288 376.8 288 368V336zM300.8 336V368C300.8 369.8 302.2 371.2 304 371.2H336C337.8 371.2 339.2 369.8 339.2 368V336C339.2 334.2 337.8 332.8 336 332.8H304C302.2 332.8 300.8 334.2 300.8 336zM336 416C344.8 416 352 423.2 352 432V464C352 472.8 344.8 480 336 480H304C295.2 480 288 472.8 288 464V432C288 423.2 295.2 416 304 416H336zM336 428.8H304C302.2 428.8 300.8 430.2 300.8 432V464C300.8 465.8 302.2 467.2 304 467.2H336C337.8 467.2 339.2 465.8 339.2 464V432C339.2 430.2 337.8 428.8 336 428.8zM384 48C384 39.16 391.2 32 400 32H432C440.8 32 448 39.16 448 48V80C448 88.84 440.8 96 432 96H400C391.2 96 384 88.84 384 80V48zM396.8 48V80C396.8 81.77 398.2 83.2 400 83.2H432C433.8 83.2 435.2 81.77 435.2 80V48C435.2 46.23 433.8 44.8 432 44.8H400C398.2 44.8 396.8 46.23 396.8 48zM432 128C440.8 128 448 135.2 448 144V176C448 184.8 440.8 192 432 192H400C391.2 192 384 184.8 384 176V144C384 135.2 391.2 128 400 128H432zM432 140.8H400C398.2 140.8 396.8 142.2 396.8 144V176C396.8 177.8 398.2 179.2 400 179.2H432C433.8 179.2 435.2 177.8 435.2 176V144C435.2 142.2 433.8 140.8 432 140.8zM384 240C384 231.2 391.2 224 400 224H432C440.8 224 448 231.2 448 240V272C448 280.8 440.8 288 432 288H400C391.2 288 384 280.8 384 272V240zM396.8 240V272C396.8 273.8 398.2 275.2 400 275.2H432C433.8 275.2 435.2 273.8 435.2 272V240C435.2 238.2 433.8 236.8 432 236.8H400C398.2 236.8 396.8 238.2 396.8 240zM432 320C440.8 320 448 327.2 448 336V368C448 376.8 440.8 384 432 384H400C391.2 384 384 376.8 384 368V336C384 327.2 391.2 320 400 320H432zM432 332.8H400C398.2 332.8 396.8 334.2 396.8 336V368C396.8 369.8 398.2 371.2 400 371.2H432C433.8 371.2 435.2 369.8 435.2 368V336C435.2 334.2 433.8 332.8 432 332.8zM384 432C384 423.2 391.2 416 400 416H432C440.8 416 448 423.2 448 432V464C448 472.8 440.8 480 432 480H400C391.2 480 384 472.8 384 464V432zM396.8 432V464C396.8 465.8 398.2 467.2 400 467.2H432C433.8 467.2 435.2 465.8 435.2 464V432C435.2 430.2 433.8 428.8 432 428.8H400C398.2 428.8 396.8 430.2 396.8 432z"],
    "grid-dividers": [512, 512, [], "e3ad", "M0 8C0 3.582 3.582 0 8 0H504C508.4 0 512 3.582 512 8C512 12.42 508.4 16 504 16H8C3.582 16 0 12.42 0 8zM32 128C32 110.3 46.33 96 64 96H128C145.7 96 160 110.3 160 128V192C160 209.7 145.7 224 128 224H64C46.33 224 32 209.7 32 192V128zM48 128V192C48 200.8 55.16 208 64 208H128C136.8 208 144 200.8 144 192V128C144 119.2 136.8 112 128 112H64C55.16 112 48 119.2 48 128zM32 416C32 398.3 46.33 384 64 384H128C145.7 384 160 398.3 160 416V480C160 497.7 145.7 512 128 512H64C46.33 512 32 497.7 32 480V416zM48 416V480C48 488.8 55.16 496 64 496H128C136.8 496 144 488.8 144 480V416C144 407.2 136.8 400 128 400H64C55.16 400 48 407.2 48 416zM288 96C305.7 96 320 110.3 320 128V192C320 209.7 305.7 224 288 224H224C206.3 224 192 209.7 192 192V128C192 110.3 206.3 96 224 96H288zM288 112H224C215.2 112 208 119.2 208 128V192C208 200.8 215.2 208 224 208H288C296.8 208 304 200.8 304 192V128C304 119.2 296.8 112 288 112zM192 416C192 398.3 206.3 384 224 384H288C305.7 384 320 398.3 320 416V480C320 497.7 305.7 512 288 512H224C206.3 512 192 497.7 192 480V416zM208 416V480C208 488.8 215.2 496 224 496H288C296.8 496 304 488.8 304 480V416C304 407.2 296.8 400 288 400H224C215.2 400 208 407.2 208 416zM448 96C465.7 96 480 110.3 480 128V192C480 209.7 465.7 224 448 224H384C366.3 224 352 209.7 352 192V128C352 110.3 366.3 96 384 96H448zM448 112H384C375.2 112 368 119.2 368 128V192C368 200.8 375.2 208 384 208H448C456.8 208 464 200.8 464 192V128C464 119.2 456.8 112 448 112zM352 416C352 398.3 366.3 384 384 384H448C465.7 384 480 398.3 480 416V480C480 497.7 465.7 512 448 512H384C366.3 512 352 497.7 352 480V416zM368 416V480C368 488.8 375.2 496 384 496H448C456.8 496 464 488.8 464 480V416C464 407.2 456.8 400 448 400H384C375.2 400 368 407.2 368 416zM504 288C508.4 288 512 291.6 512 296C512 300.4 508.4 304 504 304H8C3.582 304 0 300.4 0 296C0 291.6 3.582 288 8 288H504z"],
    "grid-horizontal": [448, 512, [], "e307", "M0 168C0 145.9 17.91 128 40 128H88C110.1 128 128 145.9 128 168V216C128 238.1 110.1 256 88 256H40C17.91 256 0 238.1 0 216V168zM16 168V216C16 229.3 26.75 240 40 240H88C101.3 240 112 229.3 112 216V168C112 154.7 101.3 144 88 144H40C26.75 144 16 154.7 16 168zM0 328C0 305.9 17.91 288 40 288H88C110.1 288 128 305.9 128 328V376C128 398.1 110.1 416 88 416H40C17.91 416 0 398.1 0 376V328zM16 328V376C16 389.3 26.75 400 40 400H88C101.3 400 112 389.3 112 376V328C112 314.7 101.3 304 88 304H40C26.75 304 16 314.7 16 328zM248 128C270.1 128 288 145.9 288 168V216C288 238.1 270.1 256 248 256H200C177.9 256 160 238.1 160 216V168C160 145.9 177.9 128 200 128H248zM248 144H200C186.7 144 176 154.7 176 168V216C176 229.3 186.7 240 200 240H248C261.3 240 272 229.3 272 216V168C272 154.7 261.3 144 248 144zM160 328C160 305.9 177.9 288 200 288H248C270.1 288 288 305.9 288 328V376C288 398.1 270.1 416 248 416H200C177.9 416 160 398.1 160 376V328zM176 328V376C176 389.3 186.7 400 200 400H248C261.3 400 272 389.3 272 376V328C272 314.7 261.3 304 248 304H200C186.7 304 176 314.7 176 328zM408 128C430.1 128 448 145.9 448 168V216C448 238.1 430.1 256 408 256H360C337.9 256 320 238.1 320 216V168C320 145.9 337.9 128 360 128H408zM408 144H360C346.7 144 336 154.7 336 168V216C336 229.3 346.7 240 360 240H408C421.3 240 432 229.3 432 216V168C432 154.7 421.3 144 408 144zM320 328C320 305.9 337.9 288 360 288H408C430.1 288 448 305.9 448 328V376C448 398.1 430.1 416 408 416H360C337.9 416 320 398.1 320 376V328zM336 328V376C336 389.3 346.7 400 360 400H408C421.3 400 432 389.3 432 376V328C432 314.7 421.3 304 408 304H360C346.7 304 336 314.7 336 328z"],
    "grill": [448, 512, [], "e5a3", "M408 32C430.1 32 448 49.91 448 72V96C448 189.9 390.2 270.3 308.2 303.6L383.3 468.7C385.1 472.7 383.3 477.5 379.3 479.3C375.3 481.1 370.5 479.3 368.7 475.3L334.5 400H157.1C159.3 405.1 160 410.5 160 416C160 451.3 131.3 480 96 480C60.65 480 32 451.3 32 416C32 380.7 60.65 352 96 352C103.1 352 109.9 353.2 116.3 355.3L139.8 303.6C57.79 270.3 0 189.9 0 96V72C0 49.91 17.91 32 40 32H408zM408 48H40C26.75 48 16 58.75 16 72V96C16 210.9 109.1 304 224 304C338.9 304 432 210.9 432 96V72C432 58.75 421.3 48 408 48zM327.2 384L293.2 309.1C271.4 316.2 248.1 320 224 320C199.9 320 176.6 316.2 154.8 309.1L130.7 362.2C139.2 367.7 146.3 375.2 151.4 384H327.2zM96 464C122.5 464 144 442.5 144 416C144 389.5 122.5 368 96 368C69.49 368 48 389.5 48 416C48 442.5 69.49 464 96 464z"],
    "grill-fire": [576, 512, [], "e5a4", "M408 48H40C26.75 48 16 58.75 16 72V96C16 210.9 109.1 304 224 304C226.7 304 229.4 303.9 232 303.8C230.3 309.2 228.8 314.6 227.6 319.1C226.4 319.1 225.2 320 224 320C199.9 320 176.6 316.2 154.8 309.1L130.7 362.2C139.2 367.7 146.3 375.2 151.4 384H226.1C227.9 389.4 229.1 394.7 230.5 400H157.1C159.3 405.1 160 410.5 160 416C160 451.3 131.3 480 96 480C60.65 480 32 451.3 32 416C32 380.7 60.65 352 96 352C103.1 352 109.9 353.2 116.3 355.3L139.8 303.6C57.79 270.3 0 189.9 0 96V72C0 49.91 17.91 32 40 32H408C430.1 32 448 49.91 448 72V96C448 120.1 444.2 143.3 437.1 165.1C432.9 160.8 428.6 156.5 424.3 152.4C429.3 134.4 432 115.5 432 96V72C432 58.75 421.3 48 408 48H408zM96 464C122.5 464 144 442.5 144 416C144 389.5 122.5 368 96 368C69.49 368 48 389.5 48 416C48 442.5 69.49 464 96 464zM377.7 256C380.1 256 382.4 257.1 383.9 259C386.1 261.8 403.3 283.6 419.8 304.7L446.3 338.5L479.7 299.6C481.3 297.8 483.6 296.7 486 296.8C488.5 296.9 490.7 298.1 492.2 300C495.9 305 498.4 309.1 500.6 314.3L500.6 314.4C522.1 353.9 512.8 404.8 476 430.5L475.9 430.6C458 442.5 438.9 448.5 417.4 448.5C390.8 448.5 366.5 439.1 348.7 423.7C330.8 407.3 320 383.6 320 354.5C320 339.4 324.8 325.6 333.5 310.6C342.1 295.8 354.9 279.3 371.4 258.1C372.1 257.1 375.3 255.1 377.7 255.1V256zM439.8 356.1L407.2 314.6C395.1 300.2 384.5 285.6 377.6 276.8C364.2 293.5 354.2 306.8 347.3 318.6C339.5 332.1 336 343.1 336 354.5C336 379.4 345.1 398.7 359.5 411.9C373.9 425.1 394.2 432.5 417.4 432.5C435.6 432.5 451.7 427.5 466.9 417.4C496.3 396.8 504.6 355.1 486.5 321.9L486.3 321.6C485.8 320.5 485.2 319.4 484.7 318.4L452.1 356.4C450.6 358.2 448.3 359.2 445.9 359.2C443.5 359.1 441.2 357.1 439.8 356.1L439.8 356.1zM434.4 209.1C438 213.2 441.6 217.3 445 221.5C448.3 217.4 451.8 213.1 455.4 208.9C460.4 202.1 465.9 197.1 471.5 191.1C477.1 186.9 485.9 186.9 491.5 192C516.2 214.7 537.1 244.7 551.8 273.2C566.4 301.2 576 329.9 576 350.1C576 437.9 504.7 512 416 512C326.3 512 256 437.8 256 350.1C256 323.7 268.7 291.5 288.4 259.5C308.4 227.2 336.5 193.4 369.8 163.7C375.4 158.7 383.1 158.8 389.5 163.8C405.3 177.1 420.3 193.1 434.4 209.1V209.1zM445.2 237.5C440.4 237.5 435.8 235.4 432.7 231.7C416.2 211.8 398.5 193.4 379.6 176.4C347.8 204.9 320.1 237.2 302 267.9C282.9 298.1 272 328.1 272 350.1C272 429.4 335.5 496 416 496C495.6 496 560 429.4 560 350.1C560 333.8 551.8 307.9 537.6 280.5C523.7 253.6 504.1 225.6 481.5 204.6C473.1 212.3 465.1 221.9 457.6 231.4C454.6 235.2 450 237.4 445.2 237.5H445.2zM446.1 351.2L439.8 356.1z"],
    "grill-hot": [448, 512, [], "e5a5", "M104 0C108.4 0 112 3.582 112 8V17.35C112 28.59 117.9 39.01 127.5 44.79L168.7 69.49C183.2 78.16 192 93.79 192 110.6V119.1C192 124.4 188.4 127.1 184 127.1C179.6 127.1 176 124.4 176 119.1V110.6C176 99.41 170.1 88.99 160.5 83.21L119.3 58.51C104.8 49.84 96 34.21 96 17.35V8C96 3.582 99.58 0 104 0V0zM200 0C204.4 0 208 3.582 208 8V17.35C208 28.59 213.9 39.01 223.5 44.79L264.7 69.49C279.2 78.16 288 93.79 288 110.6V119.1C288 124.4 284.4 127.1 280 127.1C275.6 127.1 272 124.4 272 119.1V110.6C272 99.41 266.1 88.99 256.5 83.21L215.3 58.51C200.8 49.84 192 34.21 192 17.35V8C192 3.582 195.6 0 200 0V0zM0 192C0 174.3 14.33 160 32 160H416C433.7 160 448 174.3 448 192C448 273.9 396.7 343.8 324.5 371.4L383.3 500.7C385.1 504.7 383.3 509.5 379.3 511.3C375.3 513.1 370.5 511.3 368.7 507.3L345.4 456H159.5C155.6 487.6 128.6 512 96 512C60.65 512 32 483.3 32 448C32 412.7 60.65 384 96 384C103.1 384 109.9 385.2 116.3 387.3L123.5 371.4C51.28 343.8 0 273.9 0 192V192zM16 192C16 289.2 94.8 368 192 368H256C353.2 368 432 289.2 432 192C432 183.2 424.8 176 416 176H32C23.16 176 16 183.2 16 192zM256 384H192C173.5 384 155.6 381.4 138.7 376.5L130.7 394.2C146.2 404.2 157.1 420.8 159.5 440H338.1L309.3 376.5C292.4 381.4 274.5 384 256 384V384zM96 400C69.49 400 48 421.5 48 448C48 474.5 69.49 496 96 496C122.5 496 144 474.5 144 448C144 421.5 122.5 400 96 400z"],
    "grip": [448, 512, ["grip-horizontal"], "f58d", "M448 376C448 398.1 430.1 416 408 416H360C337.9 416 320 398.1 320 376V328C320 305.9 337.9 288 360 288H408C430.1 288 448 305.9 448 328V376zM432 376V328C432 314.7 421.3 304 408 304H360C346.7 304 336 314.7 336 328V376C336 389.3 346.7 400 360 400H408C421.3 400 432 389.3 432 376zM448 184C448 206.1 430.1 224 408 224H360C337.9 224 320 206.1 320 184V136C320 113.9 337.9 96 360 96H408C430.1 96 448 113.9 448 136V184zM432 184V136C432 122.7 421.3 112 408 112H360C346.7 112 336 122.7 336 136V184C336 197.3 346.7 208 360 208H408C421.3 208 432 197.3 432 184zM200 416C177.9 416 160 398.1 160 376V328C160 305.9 177.9 288 200 288H248C270.1 288 288 305.9 288 328V376C288 398.1 270.1 416 248 416H200zM200 400H248C261.3 400 272 389.3 272 376V328C272 314.7 261.3 304 248 304H200C186.7 304 176 314.7 176 328V376C176 389.3 186.7 400 200 400zM288 184C288 206.1 270.1 224 248 224H200C177.9 224 160 206.1 160 184V136C160 113.9 177.9 96 200 96H248C270.1 96 288 113.9 288 136V184zM272 184V136C272 122.7 261.3 112 248 112H200C186.7 112 176 122.7 176 136V184C176 197.3 186.7 208 200 208H248C261.3 208 272 197.3 272 184zM40 416C17.91 416 0 398.1 0 376V328C0 305.9 17.91 288 40 288H88C110.1 288 128 305.9 128 328V376C128 398.1 110.1 416 88 416H40zM40 400H88C101.3 400 112 389.3 112 376V328C112 314.7 101.3 304 88 304H40C26.75 304 16 314.7 16 328V376C16 389.3 26.75 400 40 400zM128 184C128 206.1 110.1 224 88 224H40C17.91 224 0 206.1 0 184V136C0 113.9 17.91 96 40 96H88C110.1 96 128 113.9 128 136V184zM112 184V136C112 122.7 101.3 112 88 112H40C26.75 112 16 122.7 16 136V184C16 197.3 26.75 208 40 208H88C101.3 208 112 197.3 112 184z"],
    "grip-dots": [448, 512, [], "e410", "M384 224C357.5 224 336 202.5 336 176C336 149.5 357.5 128 384 128C410.5 128 432 149.5 432 176C432 202.5 410.5 224 384 224zM416 176C416 158.3 401.7 144 384 144C366.3 144 352 158.3 352 176C352 193.7 366.3 208 384 208C401.7 208 416 193.7 416 176zM224 224C197.5 224 176 202.5 176 176C176 149.5 197.5 128 224 128C250.5 128 272 149.5 272 176C272 202.5 250.5 224 224 224zM256 176C256 158.3 241.7 144 224 144C206.3 144 192 158.3 192 176C192 193.7 206.3 208 224 208C241.7 208 256 193.7 256 176zM64 128C90.51 128 112 149.5 112 176C112 202.5 90.51 224 64 224C37.49 224 16 202.5 16 176C16 149.5 37.49 128 64 128zM32 176C32 193.7 46.33 208 64 208C81.67 208 96 193.7 96 176C96 158.3 81.67 144 64 144C46.33 144 32 158.3 32 176zM384 384C357.5 384 336 362.5 336 336C336 309.5 357.5 288 384 288C410.5 288 432 309.5 432 336C432 362.5 410.5 384 384 384zM416 336C416 318.3 401.7 304 384 304C366.3 304 352 318.3 352 336C352 353.7 366.3 368 384 368C401.7 368 416 353.7 416 336zM224 288C250.5 288 272 309.5 272 336C272 362.5 250.5 384 224 384C197.5 384 176 362.5 176 336C176 309.5 197.5 288 224 288zM192 336C192 353.7 206.3 368 224 368C241.7 368 256 353.7 256 336C256 318.3 241.7 304 224 304C206.3 304 192 318.3 192 336zM64 384C37.49 384 16 362.5 16 336C16 309.5 37.49 288 64 288C90.51 288 112 309.5 112 336C112 362.5 90.51 384 64 384zM96 336C96 318.3 81.67 304 64 304C46.33 304 32 318.3 32 336C32 353.7 46.33 368 64 368C81.67 368 96 353.7 96 336z"],
    "grip-dots-vertical": [256, 512, [], "e411", "M96 96C96 122.5 74.51 144 48 144C21.49 144 0 122.5 0 96C0 69.49 21.49 48 48 48C74.51 48 96 69.49 96 96zM48 64C30.33 64 16 78.33 16 96C16 113.7 30.33 128 48 128C65.67 128 80 113.7 80 96C80 78.33 65.67 64 48 64zM96 256C96 282.5 74.51 304 48 304C21.49 304 0 282.5 0 256C0 229.5 21.49 208 48 208C74.51 208 96 229.5 96 256zM48 224C30.33 224 16 238.3 16 256C16 273.7 30.33 288 48 288C65.67 288 80 273.7 80 256C80 238.3 65.67 224 48 224zM0 416C0 389.5 21.49 368 48 368C74.51 368 96 389.5 96 416C96 442.5 74.51 464 48 464C21.49 464 0 442.5 0 416zM48 448C65.67 448 80 433.7 80 416C80 398.3 65.67 384 48 384C30.33 384 16 398.3 16 416C16 433.7 30.33 448 48 448zM256 96C256 122.5 234.5 144 208 144C181.5 144 160 122.5 160 96C160 69.49 181.5 48 208 48C234.5 48 256 69.49 256 96zM208 64C190.3 64 176 78.33 176 96C176 113.7 190.3 128 208 128C225.7 128 240 113.7 240 96C240 78.33 225.7 64 208 64zM160 256C160 229.5 181.5 208 208 208C234.5 208 256 229.5 256 256C256 282.5 234.5 304 208 304C181.5 304 160 282.5 160 256zM208 288C225.7 288 240 273.7 240 256C240 238.3 225.7 224 208 224C190.3 224 176 238.3 176 256C176 273.7 190.3 288 208 288zM256 416C256 442.5 234.5 464 208 464C181.5 464 160 442.5 160 416C160 389.5 181.5 368 208 368C234.5 368 256 389.5 256 416zM208 384C190.3 384 176 398.3 176 416C176 433.7 190.3 448 208 448C225.7 448 240 433.7 240 416C240 398.3 225.7 384 208 384z"],
    "grip-lines": [448, 512, [], "f7a4", "M440 200H8C3.582 200 0 196.4 0 192C0 187.6 3.582 184 8 184H440C444.4 184 448 187.6 448 192C448 196.4 444.4 200 440 200zM440 328H8C3.582 328 0 324.4 0 320C0 315.6 3.582 312 8 312H440C444.4 312 448 315.6 448 320C448 324.4 444.4 328 440 328z"],
    "grip-lines-vertical": [192, 512, [], "f7a5", "M40 40V472C40 476.4 36.42 480 32 480C27.58 480 24 476.4 24 472V40C24 35.58 27.58 32 32 32C36.42 32 40 35.58 40 40zM168 40V472C168 476.4 164.4 480 160 480C155.6 480 152 476.4 152 472V40C152 35.58 155.6 32 160 32C164.4 32 168 35.58 168 40z"],
    "grip-vertical": [320, 512, [], "f58e", "M40 480C17.91 480 0 462.1 0 440V392C0 369.9 17.91 352 40 352H88C110.1 352 128 369.9 128 392V440C128 462.1 110.1 480 88 480H40zM40 464H88C101.3 464 112 453.3 112 440V392C112 378.7 101.3 368 88 368H40C26.75 368 16 378.7 16 392V440C16 453.3 26.75 464 40 464zM232 480C209.9 480 192 462.1 192 440V392C192 369.9 209.9 352 232 352H280C302.1 352 320 369.9 320 392V440C320 462.1 302.1 480 280 480H232zM232 464H280C293.3 464 304 453.3 304 440V392C304 378.7 293.3 368 280 368H232C218.7 368 208 378.7 208 392V440C208 453.3 218.7 464 232 464zM0 232C0 209.9 17.91 192 40 192H88C110.1 192 128 209.9 128 232V280C128 302.1 110.1 320 88 320H40C17.91 320 0 302.1 0 280V232zM16 232V280C16 293.3 26.75 304 40 304H88C101.3 304 112 293.3 112 280V232C112 218.7 101.3 208 88 208H40C26.75 208 16 218.7 16 232zM232 320C209.9 320 192 302.1 192 280V232C192 209.9 209.9 192 232 192H280C302.1 192 320 209.9 320 232V280C320 302.1 302.1 320 280 320H232zM232 304H280C293.3 304 304 293.3 304 280V232C304 218.7 293.3 208 280 208H232C218.7 208 208 218.7 208 232V280C208 293.3 218.7 304 232 304zM0 72C0 49.91 17.91 32 40 32H88C110.1 32 128 49.91 128 72V120C128 142.1 110.1 160 88 160H40C17.91 160 0 142.1 0 120V72zM16 72V120C16 133.3 26.75 144 40 144H88C101.3 144 112 133.3 112 120V72C112 58.75 101.3 48 88 48H40C26.75 48 16 58.75 16 72zM232 160C209.9 160 192 142.1 192 120V72C192 49.91 209.9 32 232 32H280C302.1 32 320 49.91 320 72V120C320 142.1 302.1 160 280 160H232zM232 144H280C293.3 144 304 133.3 304 120V72C304 58.75 293.3 48 280 48H232C218.7 48 208 58.75 208 72V120C208 133.3 218.7 144 232 144z"],
    "group-arrows-rotate": [512, 512, [], "e4f6", "M160 96C160 131.3 131.3 160 96 160C85.26 160 75.15 157.4 66.26 152.7C59.11 165.8 53.28 179.7 48.94 194.3C47.68 198.5 43.23 200.9 38.99 199.7C34.76 198.4 32.35 193.1 33.61 189.7C38.44 173.5 44.1 157.1 53.07 143.5C40.13 131.8 32 114.8 32 96C32 60.65 60.65 32 96 32C114.8 32 131.8 40.13 143.5 53.07C157.1 44.1 173.5 38.44 189.7 33.61C193.1 32.35 198.4 34.76 199.7 38.1C200.9 43.23 198.5 47.68 194.3 48.94C179.7 53.28 165.8 59.11 152.7 66.26C157.4 75.15 160 85.27 160 96H160zM96 143.1C122.5 143.1 144 122.5 144 95.1C144 69.49 122.5 47.1 96 47.1C69.49 47.1 48 69.49 48 95.1C48 122.5 69.49 143.1 96 143.1zM312.3 38.1C313.6 34.76 318 32.35 322.3 33.61C338.5 38.44 354 44.1 368.5 53.07C380.2 40.13 397.2 32 416 32C451.3 32 480 60.65 480 96C480 114.8 471.9 131.8 458.9 143.5C467 157.1 473.6 173.5 478.4 189.7C479.7 193.1 477.2 198.4 473 199.7C468.8 200.9 464.3 198.5 463.1 194.3C458.7 179.7 452.9 165.8 445.7 152.7C436.9 157.4 426.7 160 416 160C380.7 160 352 131.3 352 96C352 85.27 354.6 75.15 359.3 66.26C346.2 59.11 332.3 53.28 317.7 48.95C313.5 47.69 311.1 43.23 312.3 38.1L312.3 38.1zM416 47.1C389.5 47.1 368 69.49 368 95.1C368 122.5 389.5 143.1 416 143.1C442.5 143.1 464 122.5 464 95.1C464 69.49 442.5 47.1 416 47.1V47.1zM38.99 312.3C43.23 311.1 47.68 313.5 48.94 317.7C53.28 332.3 59.11 346.2 66.26 359.3C75.15 354.6 85.26 352 96 352C131.3 352 160 380.7 160 416C160 426.7 157.4 436.9 152.7 445.7C165.8 452.9 179.7 458.7 194.3 463.1C198.5 464.3 200.9 468.8 199.7 473C198.4 477.2 193.1 479.7 189.7 478.4C173.5 473.6 157.1 467 143.5 458.9C131.8 471.9 114.8 480 96 480C60.65 480 32 451.3 32 416C32 397.2 40.13 380.2 53.07 368.5C44.1 354 38.44 338.5 33.61 322.3C32.35 318 34.76 313.6 38.99 312.3V312.3zM96 464C122.5 464 144 442.5 144 416C144 389.5 122.5 368 96 368C69.49 368 48 389.5 48 416C48 442.5 69.49 464 96 464zM473 312.3C477.2 313.6 479.7 318 478.4 322.3C473.6 338.5 467 354 458.9 368.5C471.9 380.2 480 397.2 480 416C480 451.3 451.3 480 416 480C397.2 480 380.2 471.9 368.5 458.9C354 467 338.5 473.6 322.3 478.4C318 479.7 313.6 477.2 312.3 473C311.1 468.8 313.5 464.3 317.7 463.1C332.3 458.7 346.2 452.9 359.3 445.7C354.6 436.9 352 426.7 352 416C352 380.7 380.7 352 416 352C426.7 352 436.9 354.6 445.7 359.3C452.9 346.2 458.7 332.3 463.1 317.7C464.3 313.5 468.8 311.1 473 312.3V312.3zM416 368C389.5 368 368 389.5 368 416C368 442.5 389.5 464 416 464C442.5 464 464 442.5 464 416C464 389.5 442.5 368 416 368zM152.8 160.8C152.8 156.4 156.4 152.8 160.8 152.8H216.8C221.2 152.8 224.8 156.4 224.8 160.8V216.8C224.8 221.2 221.2 224.8 216.8 224.8C212.4 224.8 208.8 221.2 208.8 216.8V181.7C184.3 197.3 168 224.8 168 255.1C168 304.6 207.4 344 256 344C260.4 344 264 347.6 264 352C264 356.4 260.4 360 256 360C198.6 360 152 313.4 152 255.1C152 219.5 170.8 187.3 199.3 168.8H160.8C156.4 168.8 152.8 165.2 152.8 160.8V160.8zM359.2 352C359.2 356.4 355.6 360 351.2 360H295.2C290.8 360 287.2 356.4 287.2 352V295.1C287.2 291.6 290.8 287.1 295.2 287.1C299.6 287.1 303.2 291.6 303.2 295.1V331.1C327.7 315.4 344 288 344 256.8C344 208.2 304.6 168.8 256 168.8C251.6 168.8 248 165.2 248 160.8C248 156.4 251.6 152.8 256 152.8C313.4 152.8 360 199.4 360 256.8C360 293.3 341.2 325.5 312.7 344H351.2C355.6 344 359.2 347.6 359.2 352L359.2 352z"],
    "guarani-sign": [384, 512, [], "e19a", "M176 8C176 3.582 179.6 0 184 0C188.4 0 192 3.582 192 8V504C192 508.4 188.4 512 184 512C179.6 512 176 508.4 176 504V8zM192 80C94.8 80 16 158.8 16 256C16 353.2 94.8 432 192 432C286.5 432 363.6 357.5 367.8 264H192V248H376C380.4 248 384 251.6 384 256C384 362 298 448 192 448C85.96 448 0 362 0 256C0 149.1 85.96 64 192 64C244.3 64 291.8 84.94 326.4 118.9C329.6 121.1 329.6 127 326.5 130.2C323.4 133.4 318.4 133.4 315.2 130.3C283.4 99.18 239.1 80 191.1 80H192z"],
    "guitar": [512, 512, [], "f7a6", "M322.7 234.5c-2.678 2.678-3.029 6.819-1.026 10.03c5.619 9.017 9.527 17.82 11.57 26.69c6.836 29.45 .375 56.72-17.73 74.83c-7.556 7.555-16.82 13.19-26.96 16.33c-24.47 7.887-43.19 30.86-45.52 55.86c-1.99 21.09-10.23 39.39-23.88 52.94c-18.55 18.55-45.13 27.15-74.85 24.22c-30.89-3.047-61.21-18.05-85.39-42.23c-27.31-27.31-42.96-62.61-42.94-96.84c.0176-25.4 8.592-47.37 24.86-63.59c13.37-13.47 31.65-21.72 52.74-23.84c25.38-2.344 47.83-20.58 55.91-45.49c3.199-10.1 8.865-19.47 16.31-27.02c18.12-18.12 45.43-24.58 74.96-17.73c8.849 2.044 17.65 5.952 26.66 11.57c3.076 1.919 7.202 1.808 10.16-1.154C281.2 185.5 280.6 179.4 276.2 176.7C266.3 170.6 255.8 165.8 244.4 163.1C211 155.4 177.4 162.3 154.5 185.1C145.3 194.5 138.3 206 134.3 218.6C128.3 237.1 111.1 251.3 92.14 253C68.52 255.4 46.39 264.5 29.52 281.5c-45.62 45.51-37.38 127.5 18.12 183c55.37 55.38 137.4 63.5 182.9 18c16.1-16.88 26.25-38.84 28.5-62.72c1.75-18.75 15.84-36.16 34.47-42.16c12.5-3.871 24.03-10.88 33.4-20.25c22.87-22.88 29.75-56.38 21.1-89.76c-2.62-11.37-7.457-21.98-13.58-31.83C332.7 231.6 326.7 230.6 322.7 234.5zM160 304c-.002 13.25 5.356 25.25 14.05 33.94c8.685 8.688 20.7 14.07 33.96 14.06c26.5 0 47.1-21.5 47.1-48c0-13.25-5.395-25.25-14.08-33.94c-8.687-8.688-20.67-14.06-33.91-14.06C181.5 256 160 277.5 160 304zM230.6 281.4c6.047 6.051 9.379 14.09 9.381 22.63c0 8.547-3.33 16.58-9.377 22.63c-6.045 6.047-14.08 9.375-22.62 9.375c-8.541 0-16.58-3.328-22.62-9.375C179.3 320.6 175.1 312.6 175.1 304c.002-17.65 14.36-32.01 32-32C216.5 272 224.6 275.3 230.6 281.4zM500.3 23.02l-11.31-11.32c-15.6-15.6-40.97-15.6-56.57 0l-31.4 31.4c-6.607 6.606-10.72 15.36-11.58 24.66L385.1 115.6l-123.6 123.6c-3.115 3.117-3.115 8.196 0 11.31c3.115 3.117 8.197 3.117 11.31 0l123.6-123.6l47.82-4.328c9.302-.8633 18.05-4.977 24.66-11.58l31.4-31.4C515.9 63.98 515.9 38.61 500.3 23.02zM488.1 68.27l-31.4 31.4c-3.978 3.977-9.215 6.43-14.8 6.938l-41.12 3.734l3.734-41.12c.5078-5.594 2.961-10.83 6.937-14.81l31.4-31.4c9.347-9.352 24.59-9.352 33.94 0l11.31 11.31C498.3 43.67 498.3 58.92 488.1 68.27z"],
    "guitar-electric": [512, 512, [127928], "f8be", "M369.2 273.3c-5.223-5.223-12.98-7.212-20.22-4.829L325.2 276c-10.72 3.289-22.26 1.893-31.85-3.739c-3.084-1.811-6.996-1.282-9.527 1.246c-3.612 3.609-3.032 9.797 1.371 12.38c14.61 8.58 30.35 9.809 44.82 5.369l23.92-7.559c1.34-.4414 2.839-.0352 4.327 1.457c.0664 .0625-.0664-.0703 0 0c.9395 1.562 .7842 3.734-.5107 5.027l-21.41 21.41c-6.58 6.48-14.55 11.53-22.93 14.55c-23.47 8.219-43.05 26.02-53.72 48.87l-35.71 77.15c-8.857 22.12-27.33 37.56-50.69 42.37c-23.42 4.82-46.57-2.105-63.5-18.98l-71.65-71.65c-17.32-17.32-25.76-42.25-20.46-66.17c5.062-22.85 20.41-40.91 43.02-49.97l76.33-35.36c22.89-10.54 40.28-29.52 49.04-53.64C189 190.4 193.1 182.5 200.4 176.1l38.26-38.27c1.045-1.023 2.682-1.168 4.131-.125c.6895 .6914 1.129 1.93 .5313 3.207l-17.28 37.18C219.4 192.6 218.1 208.9 226.8 225.4c2.298 4.834 8.846 5.755 12.63 1.969C241.8 225.1 242.5 221.5 241.1 218.6C235.9 208.1 235.6 195.6 240.6 184.8l17.25-37.12c3.398-7.238 1.795-15.74-3.725-21.26C253.3 125.6 252.5 124.9 251.6 124.3c-7.5-5.121-17.62-4.249-24.12 2.126L189.1 164.8C180.1 172.9 174.7 182.8 170.1 193.5C163.9 213.1 149.4 229.1 130.4 237.9L53.99 273.3c-57.24 22.88-72.37 96.74-28.87 140.2l73.37 73.37c43.62 43.5 117.5 28.37 140.4-28.75l35.37-76.37c8.873-19 24.87-33.62 44.49-40.5c10.75-3.875 20.62-10.12 28.87-18.25l20.96-20.96c6.17-6.17 8.349-15.72 4.4-23.5C371.9 276.6 370.7 274.8 369.2 273.3zM203.3 365.4c3.115-3.113 3.115-8.195 0-11.31L158 308.8c-3.115-3.113-8.199-3.113-11.31 0s-3.115 8.199 0 11.32l45.26 45.25C195.1 368.5 200.2 368.5 203.3 365.4zM500.3 15.37c-15.95-15.95-40.26-19.93-60.48-9.836l-44.22 22.12c-13.61 6.809-22.1 20.51-22.1 35.8v67.39l-147.3 143.7c-3.115 3.117-3.115 8.199 0 11.31c3.115 3.117 8.197 3.117 11.31 0l212.4-208.8c15.53 10.28 36.68 8.578 50.34-5.078C515.9 56.34 515.9 30.97 500.3 15.37zM488.1 60.63c-9.348 9.344-24.59 9.344-33.94 0c-3.115-3.117-8.197-3.117-11.31 0l-54.23 54.22V63.45c0-9.195 5.084-17.41 13.26-21.48l44.21-22.12c14.03-7.004 30.91-4.266 42.01 6.828C498.3 36.03 498.3 51.27 488.1 60.63zM101.4 354.1c-3.117 3.117-3.117 8.199 0 11.31l45.25 45.26c3.115 3.117 8.199 3.117 11.31 0s3.115-8.199 0-11.31l-45.26-45.26C109.6 350.9 104.6 350.9 101.4 354.1z"],
    "guitars": [512, 512, [], "f8bf", "M415.1 320h-63.1c-4.406 0-7.1 3.594-7.1 8s3.594 8 7.1 8h63.1c4.406 0 7.1-3.594 7.1-8S420.4 320 415.1 320zM415.1 384h-63.1c-4.406 0-7.1 3.594-7.1 8s3.594 8 7.1 8l63.1-.0006c4.406 0 8.002-3.593 8.002-7.999S420.4 384 415.1 384zM194.7 198.3C187.5 193.8 179 190.5 169.5 188.1c-4.779-1.213-9.465 2.411-9.465 7.342v.795c0 3.49 2.412 6.45 5.787 7.339c7.68 2.022 14.64 4.641 20.49 8.322C192 215.4 197.2 219.6 202.2 224.5c13.56 13.62 20.72 30.12 20.72 47.72c0 9.906-2.406 19.75-6.969 28.53c-6.535 12.8-6.98 28.26-1.973 41.4c1.898 4.984 8.348 6.395 12.51 3.062c2.77-2.211 3.721-5.941 2.457-9.254C225.5 327.1 225.7 316.8 230.1 308.1c5.719-11 8.75-23.38 8.75-35.84c0-21.62-9.031-42.56-25.37-59C207.7 207.4 201.4 202.4 194.7 198.3zM216.4 474.5c-1.791-4.844-7.748-6.549-11.84-3.404c-20.65 15.86-47.73 24.88-76.53 24.88c-33.94 0-65.69-12.31-87.12-33.81c-16.09-16.12-24.94-36.44-24.87-57.22c-.0938-17.47 6.312-34.63 18.56-49.53c12.16-14.72 14.44-37.19 5.5-54.72C35.53 292 33.13 282.2 33.13 272.3c0-17.59 7.156-34.09 20.75-47.75C58.78 219.6 63.97 215.4 69.78 211.9c5.909-3.719 12.88-6.363 20.44-8.371c3.37-.895 5.778-3.851 5.778-7.338V195.4c0-4.936-4.691-8.567-9.472-7.34C77.1 190.4 68.62 193.7 61.35 198.3C54.6 202.4 48.28 207.4 42.53 213.2c-16.37 16.47-25.41 37.41-25.41 59.03c0 12.47 3.031 24.84 8.719 35.78c6.094 11.97 4.594 27.28-3.625 37.25c-14.66 17.84-22.34 38.53-22.22 59.72c-.0625 25 10.44 49.31 29.56 68.5c24.41 24.47 60.28 38.5 98.44 38.5c32.36 0 62.66-10.52 86.08-28.55C216.8 481.4 217.6 477.7 216.4 474.5C216.4 474.5 216.4 474.6 216.4 474.5zM505.4 397.1l-25.28-68.91c-5.387-14.85-4.786-30.77 1.629-44.96c4.812-10.64 7.87-21.99 7.87-33.67l.0002-26.47c0-11.75-7.969-21.91-19.37-24.66c-11.37-2.656-23.16 2.594-28.41 13L431.9 230.6c-2.626 5.051-6.933 8.774-11.71 11.05c-2.573 1.229-4.169 3.847-4.169 6.699v1.098c0 5.497 5.731 9.23 10.71 6.91c8.347-3.887 15.13-10.23 19.35-18.38l9.1-19.28c1.969-3.844 6.312-5.781 10.44-4.75c4.187 1 7.125 4.75 7.125 9.094l-.0001 27.88c0 8.631-2.377 16.98-6.042 24.8c-8.539 18.21-9.42 38.74-2.49 57.89l25.47 69.34c10.63 24.78 5.463 53.75-14.4 73.7c-12.82 12.87-30.75 19.33-48.92 19.33l-88.49-.0001c-22.53 0-43.34-11.22-55.69-30c-12.37-18.75-14.41-42.28-5.375-63.34l25.34-68.94c6.1-19.28 6.062-40.09-2.656-58.56c-3.844-7.969-5.781-16.53-5.781-25.5V202.4c0-4.094 2.844-7.531 6.906-8.188c4.25-.7813 7.1 1.562 9.344 5.312l12.19 33.47c3.106 8.639 9.176 15.82 17.62 20.76c5.008 2.926 11.34-.7941 11.34-6.594l-.0005-1.281c-.0009-2.535-1.229-4.978-3.402-6.283c-4.791-2.878-8.647-6.885-10.5-12.07l-12.22-33.5c-4.062-11.12-15.44-17.66-27.06-15.59c-11.72 1.906-20.22 12-20.22 23.97v47.22c0 11.38 2.469 22.28 7.344 32.38C292.8 296.6 293.5 313 288 328.3l-25.16 68.5c-12.61 29.25-7.459 63.19 14.18 87.65c16.04 18.13 39.75 27.6 63.95 27.6h85.66c24.18 0 47.88-9.366 64.01-27.38C512.6 460.1 517.8 425.1 505.4 397.1zM88 320c0 22.06 17.94 40 39.1 40s39.1-17.94 39.1-40s-17.94-40-39.1-40S88 297.9 88 320zM152 320c0 13.22-10.78 24-23.1 24s-23.1-10.78-23.1-24s10.78-24 23.1-24S152 306.8 152 320zM120 146.9v101.1c0 4.406 3.594 8 7.1 8s7.1-3.594 7.1-8V146.9l30.75-36.88C172.7 102.8 176 93.75 176 84.41V40c0-22.06-17.94-40-39.1-40H120c-22.06 0-39.1 17.94-39.1 40V84.41c0 9.344 3.281 18.44 9.25 25.62L120 146.9zM96 40c0-13.22 10.78-24 23.1-24h15.1c13.22 0 23.1 10.78 23.1 24V84.41c0 5.625-1.969 11.06-5.562 15.38L128 131.5L101.6 99.78C97.97 95.47 96 90.03 96 84.41V40zM375.1 171.3v108.7c0 4.406 3.594 8 7.1 8c4.406 0 7.1-3.594 7.1-8V79.19c18.25-3.719 31.1-19.88 31.1-39.19c0-22.06-17.94-40-39.1-40c-22.56 0-42.56 14.38-49.72 35.81l-15.62 46.91c-4.812 14.44-1.125 30.12 9.687 40.94L375.1 171.3zM333.8 87.78l15.62-46.91c4.969-14.88 18.84-24.88 34.53-24.88c13.22 0 23.1 10.78 23.1 24s-10.78 24-23.1 24c-4.406 0-7.1 3.594-7.1 8v76.69l-36.34-36.34C333.2 105.8 330.9 96.44 333.8 87.78z"],
    "gun": [576, 512, [], "e19b", "M544 64h-32V40C512 35.58 508.4 32 504 32S496 35.58 496 40V64H43.17C19.33 64 0 83.33 0 107.2v89.66C0 220.7 19.33 240 43.17 240c21.26 0 36.61 20.35 30.77 40.79l-40.69 158.4C27.41 459.7 42.76 480 64.02 480h119.8c14.29 0 26.84-9.469 30.77-23.21L246.6 336h74.34c17.21 0 32.49-11.02 37.94-27.34l8.711-26.12C369.3 277.4 365.5 272 359.1 272c-3.443 0-6.502 2.203-7.592 5.473l-8.711 26.12C340.4 313.4 331.3 320 320.9 320H250.8L272 240h162.7c8.486 0 16.62-3.373 22.63-9.373L480 208h64c17.67 0 32-14.33 32-32V96C576 78.33 561.7 64 544 64zM199.2 452.4C197.3 459.2 190.1 464 183.9 464H64.02c-5.066 0-9.723-2.32-12.77-6.363c-3.051-4.047-4.002-9.16-2.498-14.45l40.58-158c4.176-14.62 1.32-29.96-7.832-42.09C80.62 241.9 79.51 241.1 78.55 240h176.9L199.2 452.4zM560 176C560 184.8 552.8 192 544 192h-70.63l-27.31 27.31C443 222.3 439 224 434.7 224H43.17C28.19 224 16 211.8 16 196.8V107.2C16 92.19 28.19 80 43.17 80H544c8.822 0 16 7.176 16 16V176zM504 128H72C67.59 128 64 131.6 64 136S67.59 144 72 144h432C508.4 144 512 140.4 512 136S508.4 128 504 128z"],
    "gun-slash": [640, 512, [], "e19c", "M576 80c8.822 0 16 7.176 16 16v80C592 184.8 584.8 192 576 192h-70.63l-27.31 27.31C475 222.3 471 224 466.7 224h-71.28l20.13 16h51.15c8.486 0 16.62-3.373 22.63-9.373L512 208h64c17.67 0 32-14.33 32-32V96c0-17.67-14.33-32-32-32h-32V40C544 35.58 540.4 32 536 32S528 35.58 528 40V64H194.2l20.13 16H576zM544 136C544 131.6 540.4 128 536 128H274.7l20.13 16H536C540.4 144 544 140.4 544 136zM282.8 320l.3418-1.289L269.5 307.8l-38.25 144.6C229.3 459.2 222.1 464 215.9 464H96.02c-5.066 0-9.723-2.32-12.77-6.363c-3.051-4.047-4.002-9.16-2.498-14.45l40.58-158c4.176-14.62 1.32-29.96-7.832-42.09C112.6 241.9 111.5 241.1 110.5 240h73.61L164 224H75.17C60.19 224 48 211.8 48 196.8v-65.05L32 119.1v77.77C32 220.7 51.33 240 75.17 240c21.26 0 36.61 20.35 30.77 40.79l-40.69 158.4C59.41 459.7 74.76 480 96.02 480h119.8c14.29 0 26.84-9.469 30.77-23.21L278.6 336h26.33L284.8 320H282.8zM636.1 497.7L12.99 1.73C11.52 .5664 9.773 0 8.023 0C5.672 0 3.336 1.031 1.738 3.012c-2.75 3.469-2.172 8.5 1.281 11.25l623.1 496C628.5 511.4 630.2 512 631.1 512c2.344 0 4.688-1.031 6.266-3.016C641 505.5 640.4 500.5 636.1 497.7z"],
    "gun-squirt": [576, 512, [], "e19d", "M448 120H96C73.94 120 56 137.9 56 160S73.94 200 96 200h352c22.06 0 40-17.94 40-40S470.1 120 448 120zM448 184H96C82.78 184 72 173.2 72 160S82.78 136 96 136h352c13.22 0 24 10.78 24 24S461.2 184 448 184zM560 128H544c0-35.35-28.65-64-64-64H112V40C112 35.58 108.4 32 104 32S96 35.58 96 40V64C42.98 64 0 106.1 0 160c0 47.94 35.24 87.33 81.16 94.5l-47.91 184.7C27.41 459.6 42.76 480 64.02 480h103.8c14.29 0 26.84-9.469 30.77-23.21l32.89-120.1C231.7 335.8 231.8 336 232 336H288v24c0 4.406 3.594 8 8 8s8-3.594 8-8v-64C304 291.6 300.4 288 296 288S288 291.6 288 296V320H235.8l17.4-64H480c35.35 0 64-28.65 64-64h16C568.8 192 576 184.8 576 176v-32C576 135.2 568.8 128 560 128zM183.2 452.4C181.3 459.2 174.1 464 167.9 464H64.02c-5.066 0-9.723-2.32-12.77-6.367c-3.051-4.043-4.004-9.156-2.508-14.41L97.3 256h139.3L183.2 452.4zM528 192c0 26.47-21.53 48-48 48H96C51.89 240 16 204.1 16 160S51.89 80 96 80h384c26.47 0 48 21.53 48 48V192zM560 176H544v-32h16V176z"],
    "h": [384, 512, [104], "48", "M384 40v432c0 4.406-3.578 8-8 8s-8-3.594-8-8V239.4h-352V472C16 476.4 12.42 480 8 480S0 476.4 0 472V40C0 35.59 3.578 32 8 32S16 35.59 16 40v183.4h352V40C368 35.59 371.6 32 376 32S384 35.59 384 40z"],
    "h1": [576, 512, [], "f313", "M312.2 64c-4.425 0-8.006 3.594-8.006 8V240H16.01V72c0-4.406-3.581-8-8.006-8S0 67.59 0 72v368C0 444.4 3.581 448 8.006 448s8.006-3.594 8.006-8V256h288.2v184c0 4.406 3.581 8 8.006 8c4.425 0 8.006-3.594 8.006-8V72C320.3 67.59 316.7 64 312.2 64zM551.1 432h-55.57V72c0-3.031-1.72-5.812-4.425-7.156c-2.721-1.344-5.973-1.062-8.382 .75l-64.08 48c-3.534 2.656-4.253 7.656-1.611 11.22c2.674 3.531 7.694 4.219 11.21 1.594L480.4 88V432h-56.51c-4.425 0-8.006 3.594-8.006 8S419.5 448 423.9 448h128.1C556.4 448 560 444.4 560 440S556.4 432 551.1 432z"],
    "h2": [640, 512, [], "f314", "M632 432h-227.4l172.7-157.7c24.56-20.81 39.45-49.69 41.92-81.22c2.469-31.34-7.625-61.91-28.41-86.03c-44.31-51.44-122.7-57.53-174.7-13.47l-29.27 24.67c-3.375 2.844-3.828 8.016-.9844 11.39c2.859 3.406 7.938 3.844 11.28 .9375l29.31-24.81c45.31-38.34 113.6-33.13 152.2 11.72c17.97 20.88 26.7 47.28 24.58 74.34c-2.125 27.25-15.03 52.22-36.53 70.47l-188.1 171.8c-2.438 2.219-3.266 5.719-2.062 8.812C377.7 445.1 380.7 448 384 448h248c4.422 0 8-3.594 8-8S636.4 432 632 432zM312 64C307.6 64 304 67.59 304 72V240h-288V72C16 67.59 12.42 64 8 64S0 67.59 0 72v368C0 444.4 3.578 448 8 448s8-3.594 8-8V256h288v184C304 444.4 307.6 448 312 448S320 444.4 320 440V72C320 67.59 316.4 64 312 64z"],
    "h3": [640, 512, [], "f315", "M311.8 64.44c-4.419 0-7.995 3.59-7.995 7.991v167.8H15.99V72.43c0-4.401-3.576-7.991-7.995-7.991S0 68.03 0 72.43v367.6C0 444.4 3.576 448 7.995 448s7.995-3.59 7.995-7.991V256.2h287.8v183.8C303.8 444.4 307.4 448 311.8 448s7.995-3.59 7.995-7.991V72.43C319.8 68.03 316.2 64.44 311.8 64.44zM526.9 240.2h-83.93l162.3-162.6c2.295-2.279 2.967-5.743 1.733-8.709C605.7 65.94 602.8 64 599.6 64H391.7c-4.419 0-7.995 3.59-7.995 7.991c0 4.401 3.576 7.991 7.995 7.991h188.6l-162.3 162.6c-2.295 2.279-2.967 5.743-1.733 8.709c1.234 2.997 4.153 4.932 7.386 4.932h103.2c45.48 0 81.1 38.18 81.1 86.9c0 48.79-36.38 88.46-81.1 88.46h-72.26c-25.75 0-47.44-16.42-55.28-41.86c-1.28-4.214-5.715-6.43-9.993-5.306c-4.216 1.311-6.589 5.775-5.278 9.989c9.931 32.31 37.63 53.16 70.55 53.16h72.26c53.54 0 97.09-46.85 97.09-104.4C624 285.4 581.4 240.2 526.9 240.2z"],
    "h4": [640, 512, [], "f86a", "M311.8 64C307.4 64 303.8 67.59 303.8 72V240h-287.8V72c0-4.406-3.576-8-7.995-8S0 67.59 0 72v368C0 444.4 3.576 448 7.995 448s7.995-3.594 7.995-8V256h287.8v184c0 4.406 3.576 8 7.995 8c4.419 0 7.995-3.594 7.995-8V72C319.8 67.59 316.2 64 311.8 64zM632 64C627.6 64 624 67.59 624 72V272h-222.5l39.47-198.4c.8588-4.344-1.952-8.531-6.277-9.406c-4.247-.7187-8.541 1.938-9.4 6.281l-41.38 208c-.4684 2.344 .1405 4.781 1.655 6.625C387.1 286.9 389.4 288 391.7 288h232.3v152c0 4.406 3.576 8 7.995 8C636.4 448 640 444.4 640 440V72C640 67.59 636.4 64 632 64z"],
    "h5": [640, 512, [], "e412", "M16 240H304V72C304 67.58 307.6 64 312 64C316.4 64 320 67.58 320 72V440C320 444.4 316.4 448 312 448C307.6 448 304 444.4 304 440V256H16V440C16 444.4 12.42 448 8 448C3.582 448 0 444.4 0 440V72C0 67.58 3.582 64 8 64C12.42 64 16 67.58 16 72V240zM600 64C604.4 64 608 67.58 608 72C608 76.42 604.4 80 600 80H438.4L402 240H536C593.4 240 640 286.6 640 344C640 401.4 593.4 448 536 448H448.4C420.8 448 396.4 430.4 387.6 404.2L384.4 394.5C383 390.3 385.3 385.8 389.5 384.4C393.7 383 398.2 385.3 399.6 389.5L402.8 399.2C409.4 418.8 427.7 432 448.4 432H536C584.6 432 624 392.6 624 344C624 295.4 584.6 256 536 256H392C389.6 256 387.3 254.9 385.7 252.1C384.2 251.1 383.7 248.6 384.2 246.2L424.2 70.23C425 66.58 428.3 64 432 64H600z"],
    "h6": [640, 512, [], "e413", "M16 240H304V72C304 67.58 307.6 64 312 64C316.4 64 320 67.58 320 72V440C320 444.4 316.4 448 312 448C307.6 448 304 444.4 304 440V256H16V440C16 444.4 12.42 448 8 448C3.582 448 0 444.4 0 440V72C0 67.58 3.582 64 8 64C12.42 64 16 67.58 16 72V240zM508.9 65.7C512.4 68.42 513 73.45 510.3 76.93L434.5 173.7C453.2 164.9 474 160 496 160C575.5 160 640 224.5 640 304C640 383.5 575.5 448 496 448C416.5 448 352 383.5 352 304C352 271.1 363 239.2 383.3 213.3L497.7 67.07C500.4 63.59 505.5 62.98 508.9 65.7V65.7zM496 432C566.7 432 624 374.7 624 304C624 233.3 566.7 176 496 176C425.1 176 369.1 232.2 368 301.1C368 302.7 368 303.3 368 304C368 374.7 425.3 432 496 432V432z"],
    "hammer": [576, 512, [128296], "f6e3", "M568.1 196.3l-22.62-22.62c-4.535-4.533-10.56-7.029-16.97-7.029s-12.44 2.496-16.97 7.029l-5.654 5.656l-20.12-20.12c4.596-23.46-2.652-47.9-19.47-64.73l-45.25-45.25C390.2 17.47 347.1 0 303.1 0C258.2 0 216 17.47 184.3 49.21L176.5 57.05L272.5 105.1v13.81c0 14.18 4.352 28.2 12.14 39.95l-263.5 230.3c-28.12 28.12-28.16 73.72-.0371 101.8C35.12 505 53.56 512 71.1 512s36.84-7.031 50.91-21.09l230.2-263.5c11.71 7.955 25.6 12.32 40.15 12.32c4.758 0 9.512-.4648 14.18-1.387l20.12 20.12l-5.654 5.654c-9.357 9.357-9.357 24.58-.002 33.94l22.62 22.62c4.535 4.533 10.56 7.031 16.97 7.031s12.44-2.498 16.97-7.031l90.53-90.5C578.3 220.8 578.3 205.6 568.1 196.3zM111.6 479.6C101 490.2 86.95 496 71.1 496s-29.01-5.828-39.59-16.41c-21.83-21.83-21.83-57.35-.7832-78.45l263.2-230.1l46.14 46.13L111.6 479.6zM557.7 218.9l-90.54 90.5c-3.135 3.137-8.174 3.135-11.31 0l-22.62-22.62c-3.117-3.119-3.117-8.195 .002-11.31l16.97-16.97l-37.47-37.47c-8.195 1.617-12.6 2.736-19.46 2.736c-14.88 0-28.8-5.742-39.23-16.18l-49.16-49.14c-10.43-10.43-16.41-24.86-16.41-39.59V95.17L203.9 52.86C231.4 29.01 266.3 16 303.1 16c40.6 0 78.78 15.81 107.5 44.52l45.25 45.25c13.06 13.07 18.7 31.89 15.09 50.35l-1.639 8.363L506.8 201.9l16.96-16.97c3.156-3.158 8.209-3.111 11.32-.0039l22.62 22.62C560.8 210.7 560.8 215.8 557.7 218.9z"],
    "hammer-crash": [640, 512, [], "e414", "M635.2 216.6l-98.72-42.53l39.71-99.9c1.184-2.945 .4805-6.336-1.76-8.609c-2.271-2.238-5.664-2.943-8.607-1.76l-99.9 39.71l-42.53-98.72c-1.762-4.064-6.465-5.92-10.53-4.191c-4.064 1.76-5.92 6.463-4.191 10.53l45.63 105.9c1.727 3.967 6.303 5.855 10.3 4.256L554.4 85.56l-35.71 89.86c-1.6 4 .2871 8.576 4.256 10.3l88.8 38.27l-88.8 38.27c-3.969 1.727-5.855 6.303-4.256 10.3l35.71 89.86l-89.86-35.71c-4-1.6-8.576 .2871-10.3 4.256l-38.27 88.8l-38.27-88.8c-1.729-3.969-6.305-5.855-10.3-4.256L260.3 369.3c-4.127 1.633-6.111 6.271-4.48 10.37c1.633 4.129 6.273 6.113 10.37 4.48l99.9-39.71l42.53 98.72c1.279 2.945 4.16 4.832 7.359 4.832c3.201 0 6.08-1.887 7.361-4.832l42.53-98.72l99.9 39.71c2.943 1.184 6.336 .4805 8.607-1.76c2.24-2.271 2.943-5.664 1.76-8.607l-39.71-99.9l98.72-42.53c2.945-1.281 4.832-4.16 4.832-7.361C640 220.8 638.1 217.9 635.2 216.6zM362.7 274.8l50.46-89.09c11.42-20.16 4.705-45.98-15.2-57.7l-58.3-34.3L252.2 42.23C249.1 40.92 247.7 39.45 245.2 37.88l-1.664-1.057c-3.041-1.951-6.336-4-9.76-5.855C227 27.25 218.1 23.99 209.1 23.99H118.2c-15.49 0-29.63 8.736-36.83 22.56L55.56 96.15c-10.43 20-3.457 44.93 15.94 56.35l76.26 44.83l-134.7 235.6c-13.28 23.23-5.471 52.83 17.54 66.46c23.55 13.98 53.95 5.951 67.55-17.79l134.3-234.4l73.19 43.07C325.7 302.1 351.2 294.1 362.7 274.8zM84.3 473.7c-9.152 16-29.63 21.38-45.5 11.97c-15.49-9.186-20.77-29.12-11.81-44.77l134.6-235.5l57.18 33.63L84.3 473.7zM79.63 138.7C67.66 131.7 63.21 116.1 69.74 103.5l25.82-49.6C100 45.3 108.8 39.99 118.2 39.99h91.81c5.119 0 10.34 1.857 16.19 5.025c2.881 1.566 5.76 3.359 8.77 5.279l1.566 .9922c2.465 1.6 5.057 3.264 7.584 4.736l87.46 51.46l58.27 34.3c12.29 7.199 16.61 23.33 9.408 36L348.8 266.9c-7.135 12.58-22.78 16.77-34.94 9.6L79.63 138.7z"],
    "hammer-war": [384, 512, [], "f6e4", "M352.1 32.02c-4.297 0 5.189-1.538-128.1 23.98V32c0-17.67-14.33-32-32-32S160 14.33 160 32v24C26.85 30.51 36.2 32.02 31.89 32.02c-17.29 0-31.89 14.05-31.89 31.98v192c0 17.93 14.69 31.98 31.97 31.98c1.825 0-13.89 2.429 160-23.98c173.9 26.41 158.2 23.98 160.1 23.98c17.29 0 31.93-14.05 31.93-31.98V64C384 46.07 369.4 32.02 352.1 32.02zM176 32c0-8.82 7.176-16 16-16s16 7.18 16 16v24h-32V32zM368 256c0 8.853-7.803 17.53-18.85 15.68l-157.2-23.86L34.62 271.7C24.07 273.5 16 265.1 16 256V64c0-10.32 9.418-17.21 18.24-15.79L158.5 72h67.04l123.9-23.72C359.9 46.52 368 54.91 368 64V256zM216 304c-4.418 0-8 3.582-8 8l-.0002 184h-32l.0002-184c0-4.418-3.582-8-8-8s-8 3.582-8 8L160 496c0 8.836 7.164 16 16 16h32c8.836 0 16-7.164 16-16l.0002-184C224 307.6 220.4 304 216 304z"],
    "hamsa": [512, 512, [], "f665", "M508.7 296.1C508.7 296 508.7 296.1 508.7 296.1C502.3 281.5 487.9 272 472 272H416l-.0001-192c0-26.47-21.53-48-48-48c-26.47 0-48 21.53-48 48v126C320 207.1 319.1 208 318 208h-12c-1.078 0-1.1-.9062-1.1-1.1V48c0-26.47-21.53-48-47.1-48S207.1 21.53 207.1 48v158C207.1 207.1 207.1 208 205.1 208H193.1c-1.078 0-1.1-.9062-1.1-1.1V80c0-26.47-21.53-48-48-48s-48 21.53-48 48l.0003 192h-56c-15.92 0-30.33 9.438-36.72 24.09c-6.297 14.62-3.359 31.62 7.5 43.25l102.6 110C152.3 490.9 200.3 512 256 512s103.7-21.09 142.6-62.66l102.6-110C512.1 327.7 515 310.7 508.7 296.1zM489.5 328.4l-102.6 110C350.7 477.2 307.9 496 256 496s-94.69-18.84-130.9-57.59l-102.6-110c-6.516-6.969-8.281-17.19-4.516-25.97C21.78 293.7 30.43 288 39.99 288h64c4.422 0 8-3.594 8-8V80c0-17.66 14.36-32 32-32s32 14.34 32 32l.0003 126C175.1 215.9 184.1 224 193.1 224h12c9.922 0 18-8.062 18-17.1V48c0-17.66 14.36-32 32-32c17.64 0 32 14.34 32 32v158C288 215.9 296.1 224 306 224h12c9.922 0 18-8.062 18-17.1L336 80c0-17.66 14.36-32 32-32c17.64 0 32 14.34 32 32v200c0 4.406 3.578 8 8 8h64c9.547 0 18.19 5.656 22.03 14.41C497.8 311.2 496.1 321.4 489.5 328.4zM256 280c-56.61 0-100.8 64.78-102.6 67.53c-1.813 2.719-1.813 6.219 0 8.938C155.2 359.2 199.4 424 256 424s100.8-64.78 102.6-67.53c1.813-2.719 1.813-6.219 0-8.938C356.8 344.8 312.6 280 256 280zM256 408c-40.25 0-75.5-41.1-86.11-56c10.61-13.1 45.86-56 86.11-56s75.5 42 86.11 56C331.5 366 296.3 408 256 408zM255.1 336c-8.813 0-16 7.188-16 16s7.188 16 16 16s16-7.188 16-16S264.8 336 255.1 336z"],
    "hand": [512, 512, [129306, 9995, "hand-paper"], "f256", "M456.4 96c-22.06 0-40 17.94-40 40V240c0 4.406-3.594 8-8.141 8c-4.406 0-8-3.594-8-8V72c0-22.06-17.94-40-40-40s-40 17.94-40 40L320 240c0 4.406-3.425 8-7.831 8s-8-3.594-8-8V40c0-22.06-18.06-40-40.12-40S224.2 17.94 224.2 40L224.1 240c0 4.406-3.448 8-7.854 8S208.1 244.4 208.1 240l.1092-168c0-22.06-18.04-40-40.11-40S128.2 49.94 128.2 72v252.9L79.89 277.2C71.05 268.4 59.11 263.5 46.53 263.5c-10.48 0-45.82 8.397-45.82 45.91c0 12.73 5.001 25.69 14.75 35.44l107.9 108.1C161.3 491 211.8 512 265.6 512h62.73c92.64 0 168-75.36 168-168v-208C496.4 113.9 478.4 96 456.4 96zM480.4 344c0 83.81-68.19 152-152 152h-62.73c-49.5 0-96.03-19.3-131-54.34l-107.9-108.1c-6.67-6.679-10.11-15.51-10.11-24.1c0-18.88 15.92-29.95 30.2-29.95c8.109 0 15.94 3.234 21.73 9.062l62 61.14c1.513 1.503 3.542 2.291 5.607 2.291c4.521 0 8.018-3.648 8.018-7.994v-272c0-13.23 10.77-24 24-24s24 10.77 24 24L192.1 240c0 13.23 10.91 24 24.15 24S240.1 253.2 240.1 240l.1093-200c0-13.23 10.77-24 24-24s24 10.77 24 24L288 240c0 13.23 10.94 24 24.17 24s24-10.77 24-24V72c0-13.23 10.77-24 24-24s24 10.77 24 24L384.1 240c0 13.23 10.91 24 24.29 24c13.23 0 24-10.77 24-24V136c0-13.23 10.77-24 24-24s24 10.77 24 24V344z"],
    "hand-back-fist": [448, 512, ["hand-rock"], "f255", "M394.3 91.42c-6.344 0-12.66 1.188-18.66 3.469c-7.969-20.16-27.59-33.94-49.91-33.94c-11.56 0-22.59 3.703-31.66 10.34c-5.781-23.42-26.97-40.83-52.16-40.83c-8.906 0-17.59 2.25-25.34 6.484C209.5 15.44 189.2 0 165.7 0C136.1 0 112 24.09 112 53.72v121.9c0 4.422 3.594 8 8 8S128 180 128 175.6V53.72C128 32.92 144.9 16 165.7 16c19.62 0 36.06 15.44 37.44 35.14c.2576 4.207 3.815 7.457 7.996 7.457c7.131 0 11.17-12.13 30.75-12.13c20.81 0 37.72 16.92 37.72 37.72v5.266c0 2.467 1.887 7.985 7.995 7.985c2.634 0 5.135-1.275 6.661-3.564c7.031-10.59 18.78-16.92 31.44-16.92c18.12 0 33.69 12.94 37 30.75c.5461 2.833 3.13 6.524 7.885 6.524c5.092 0 9.658-6.806 23.68-6.806C415.1 107.4 432 124.3 432 145.1v114.6c0 68.57-72 104.6-72 113.9v129.9c0 4.422 3.594 8 8 8s8-3.578 8-8v-125.7C396.8 363.2 448 320.8 448 259.8V145.1C448 115.5 423.9 91.42 394.3 91.42zM85.88 333.6C62.16 316.3 48 288.5 48 259.2V192.6c0-11.66 5.219-22.52 13.78-29.39l30.69-20.58C94.76 141.1 95.1 138.6 95.1 135.1c0-4.512-3.682-8.005-8.019-8.005c-1.535 0-3.084 .444-4.449 1.372L52.31 150.3C39.41 160.7 32 176.1 32 192.6v66.55c0 34.39 16.62 67.05 44.66 87.52L128 381.5V504C128 508.4 131.6 512 135.1 512S144 508.4 144 504v-126.8c0-2.656-1.312-5.125-3.5-6.625L85.88 333.6z"],
    "hand-back-point-down": [448, 512, [], "e19e", "M448 131.1v102.8C448 263.7 423.7 288 393.8 288h-12.88c-9.094 19.38-27.97 32-48.66 32h-15.38c-7.25 0-13.94-1.188-20.06-3.5C286.7 328.8 271.6 336 255.4 336h-8.594C238.9 336 231.1 334.2 224 330.9V456C224 486.9 198.9 512 168 512S112 486.9 112 455.1V168C112 163.6 115.6 160 120 160S128 163.6 128 168v288c0 22.06 17.94 40 40 40s40-17.94 40-40V316c0-5.328 4.521-8.017 7.996-8.017C223.1 308 227.3 320 246.8 320h8.594c13.06 0 25.09-6.656 32.19-17.81c1.515-2.408 4.079-3.713 6.729-3.713c4.993 0 7.861 5.526 22.65 5.526h15.38c15.59 0 30.34-11.06 35.84-26.91c1.078-3.12 4.01-5.417 7.136-5.417c.3179 0 .6378 .0237 .9579 .0728c0 0 2.281 .25 2.312 .25h15.28C414.9 272 432 254.9 432 233.8V131.1C432 67.63 380.4 16 316.9 16H194.3c-19.09 0-38.09 4.812-54.91 13.94L76 64.38C58.72 73.72 48 91.78 48 111.4v77.44c0 16.34 7.312 31.59 20.09 41.81l13.84 11.06C83.91 243.3 84.93 245.6 84.93 247.1c0 4.635-3.791 8.018-8.008 8.018c-1.753 0-3.516-.5778-4.987-1.768L58.09 243.2C41.5 229.9 32 210.1 32 188.9V111.4c0-25.56 13.94-48.97 36.38-61.13l63.41-34.44C150.9 5.5 172.6 0 194.3 0h122.6C389.2 0 448 58.78 448 131.1z"],
    "hand-back-point-left": [512, 512, [], "e19f", "M380.9 480h-102.8C248.3 480 224 455.7 224 425.8v-12.88c-19.38-9.094-32-27.97-32-48.66v-15.38c0-7.25 1.188-13.94 3.5-20.06C183.2 318.7 176 303.6 176 287.4V278.8C176 270.9 177.8 263.1 181.1 256H56C25.13 256 0 230.9 0 200S25.13 144 56 144h288C348.4 144 352 147.6 352 152S348.4 160 344 160h-288C33.94 160 16 177.9 16 200S33.94 240 56 240h139.1c5.328 0 8.017 4.521 8.017 7.996C203.1 255.1 192 259.3 192 278.8v8.594c0 13.06 6.656 25.09 17.81 32.19c2.408 1.515 3.713 4.079 3.713 6.729c0 4.993-5.526 7.861-5.526 22.65v15.38c0 15.59 11.06 30.34 26.91 35.84c3.12 1.078 5.417 4.01 5.417 7.136c0 .3179-.0237 .6378-.0728 .9579c0 0-.25 2.281-.25 2.312v15.28C240 446.9 257.1 464 278.2 464h102.8C444.4 464 496 412.4 496 348.9V226.3c0-19.09-4.812-38.09-13.94-54.91L447.6 108C438.3 90.72 420.2 80 400.6 80h-77.44c-16.34 0-31.59 7.312-41.81 20.09l-11.06 13.84c-1.575 1.969-3.899 2.995-6.249 2.995c-4.635 0-8.018-3.791-8.018-8.008c0-1.753 .5778-3.516 1.768-4.987l11.06-13.84C282.1 73.5 301.9 64 323.1 64h77.44c25.56 0 48.97 13.94 61.13 36.38l34.44 63.41C506.5 182.9 512 204.6 512 226.3v122.6C512 421.2 453.2 480 380.9 480z"],
    "hand-back-point-ribbon": [448, 512, [], "e1a0", "M393.8 224h-12.88c-9.094-19.38-27.97-32-48.66-32h-15.38c-7.25 0-13.94 1.188-20.06 3.5C286.7 183.2 271.6 176 255.4 176h-8.594C238.9 176 231.1 177.8 224 181.1V56C224 25.12 198.9 0 168 0S112 25.12 112 56V64H39.99C36.93 64 34.12 65.77 32.78 68.53C31.46 71.31 31.84 74.59 33.74 77l28 35l-28 35C31.84 149.4 31.46 152.7 32.78 155.5C34.12 158.2 36.93 160 39.99 160H112v184C112 348.4 115.6 352 120 352S128 348.4 128 344V160h80v35.97c0 5.324 4.527 8.016 7.996 8.016C223.1 203.1 227.3 192 246.8 192h8.594c13.06 0 25.09 6.656 32.19 17.81c1.516 2.408 4.078 3.713 6.729 3.713C299.3 213.5 302.2 208 316.9 208h15.38c15.59 0 30.34 11.06 35.84 26.91c1.078 3.119 4.01 5.416 7.137 5.416c.3164 0 .6367-.0234 .957-.0723c0 0 2.281-.25 2.312-.25h15.28C414.9 240 432 257.1 432 278.2v102.8C432 444.4 380.4 496 316.9 496H194.3c-19.09 0-38.09-4.812-54.91-13.94L76 447.6C58.72 438.3 48 420.2 48 400.6v-77.44c0-16.34 7.312-31.59 20.09-41.81l13.84-11.06C83.91 268.7 84.93 266.3 84.93 264c0-4.594-3.752-8.018-8.008-8.018c-1.754 0-3.516 .5762-4.986 1.768L58.09 268.8C41.5 282.1 32 301.9 32 323.1v77.44c0 25.56 13.94 48.97 36.38 61.13l63.41 34.44C150.9 506.5 172.6 512 194.3 512h122.6C389.2 512 448 453.2 448 380.9V278.2C448 248.3 423.7 224 393.8 224zM208 144H56.65l21.59-27c2.344-2.922 2.344-7.078 0-10L56.65 80H208V144zM208 64H128V56C128 33.94 145.9 16 168 16S208 33.94 208 56V64z"],
    "hand-back-point-right": [512, 512, [], "e1a1", "M0 348.9V226.3c0-21.75 5.5-43.38 15.88-62.53l34.44-63.41C62.47 77.94 85.88 64 111.4 64h77.44c21.22 0 41.03 9.5 54.31 26.09l11.06 13.84c1.19 1.471 1.768 3.233 1.768 4.987c0 4.256-3.424 8.008-8.018 8.008c-2.35 0-4.674-1.026-6.249-2.995L230.7 100.1C220.5 87.31 205.2 80 188.9 80H111.4c-19.66 0-37.72 10.72-47.06 28L29.94 171.4C20.81 188.2 16 207.2 16 226.3v122.6C16 412.4 67.63 464 131.1 464h102.8C254.9 464 272 446.9 272 425.8v-15.28c0-.0313-.25-2.312-.25-2.312c-.049-.3202-.0728-.64-.0728-.9579c0-3.126 2.296-6.058 5.417-7.136C292.9 394.7 304 379.9 304 364.3v-15.38c0-14.78-5.526-17.63-5.526-22.65c0-2.65 1.305-5.213 3.713-6.729C313.3 312.5 320 300.4 320 287.4V278.8c0-19.47-11.99-23.64-11.99-30.78C308 244.5 310.7 240 316 240H456c22.06 0 40-17.94 40-40S478.1 160 456 160h-288C163.6 160 160 156.4 160 152S163.6 144 168 144h287.1C486.9 144 512 169.1 512 199.1S486.9 256 456 256h-125.1C334.2 263.1 336 270.9 336 278.8v8.594c0 16.22-7.188 31.28-19.5 41.5C318.8 335 320 341.7 320 348.9v15.38c0 20.69-12.62 39.56-32 48.66v12.88C288 455.7 263.7 480 233.8 480H131.1C58.78 480 0 421.2 0 348.9z"],
    "hand-back-point-up": [448, 512, [], "e1a2", "M316.9 512H194.3c-21.75 0-43.38-5.5-62.53-15.88l-63.41-34.44C45.94 449.5 32 426.1 32 400.6v-77.44c0-21.22 9.5-41.03 26.09-54.31l13.84-11.06c1.471-1.19 3.233-1.768 4.987-1.768c4.256 0 8.008 3.424 8.008 8.019c0 2.35-1.026 4.674-2.995 6.249L68.09 281.3C55.31 291.5 48 306.8 48 323.1v77.44c0 19.66 10.72 37.72 28 47.06l63.41 34.44C156.2 491.2 175.2 496 194.3 496h122.6C380.4 496 432 444.4 432 380.9V278.2C432 257.1 414.9 240 393.8 240h-15.28c-.0313 0-2.312 .25-2.312 .25c-.3202 .049-.64 .0728-.9579 .0728c-3.126 0-6.058-2.296-7.136-5.417C362.7 219.1 347.9 208 332.3 208h-15.38c-14.78 0-17.63 5.526-22.65 5.526c-2.65 0-5.213-1.305-6.729-3.713C280.5 198.7 268.4 192 255.4 192h-8.594c-19.47 0-23.64 11.99-30.78 11.99C212.5 203.1 208 201.3 208 195.1V56c0-22.06-17.94-40-40-40S128 33.94 128 56v288C128 348.4 124.4 352 120 352S112 348.4 112 344v-288C112 25.12 137.1 0 167.1 0S224 25.12 224 56v125.1C231.1 177.8 238.9 176 246.8 176h8.594c16.22 0 31.28 7.188 41.5 19.5C303 193.2 309.7 192 316.9 192h15.38c20.69 0 39.56 12.62 48.66 32h12.88C423.7 224 448 248.3 448 278.2v102.8C448 453.2 389.2 512 316.9 512z"],
    "hand-dots": [512, 512, ["allergies"], "f461", "M175.1 388c-6.617 0-12 5.385-12 11.1c0 6.615 5.383 12 12 12s12-5.385 12-12C187.1 393.4 182.6 388 175.1 388zM207.1 324c-6.617 0-12 5.385-12 11.1c0 6.615 5.383 12 12 12s12-5.385 12-12C219.1 329.4 214.6 324 207.1 324zM271.1 356c-6.617 0-12 5.385-12 11.1c0 6.615 5.383 12 12 12s12-5.385 12-12C283.1 361.4 278.6 356 271.1 356zM271.1 420c-6.617 0-12 5.385-12 12c0 6.613 5.383 11.1 12 11.1s12-5.385 12-11.1C283.1 425.4 278.6 420 271.1 420zM399.1 356c-6.617 0-12 5.385-12 11.1c0 6.615 5.383 12 12 12s12-5.385 12-12C411.1 361.4 406.6 356 399.1 356zM367.1 420c-6.617 0-12 5.385-12 11.1c0 6.615 5.383 12 12 12s12-5.385 12-12C379.1 425.4 374.6 420 367.1 420zM335.1 324c-6.617 0-12 5.385-12 12c0 6.613 5.383 11.1 12 11.1s12-5.385 12-11.1C347.1 329.4 342.6 324 335.1 324zM456.4 96c-22.06 0-40 17.94-40 40V240c0 4.406-3.594 8-8.141 8c-4.406 0-8-3.594-8-8V72c0-22.06-17.94-40-40-40s-40 17.94-40 40L320 240c0 4.406-3.425 8-7.831 8s-8-3.594-8-8V40c0-22.06-18.06-40-40.12-40S224.2 17.94 224.2 40L224.1 240c0 4.406-3.448 8-7.854 8S208.1 244.4 208.1 240l.1092-168c0-22.06-18.04-40-40.11-40S128.2 49.94 128.2 72v252.9L79.89 277.2C71.04 268.4 59.08 263.5 46.52 263.5c-10.5 0-45.82 8.397-45.82 45.91c0 12.73 5.001 25.69 14.75 35.44l107.9 108.1C161.3 491 211.8 512 265.6 512h62.73c92.64 0 168-75.36 168-168v-208C496.4 113.9 478.4 96 456.4 96zM480.4 344c0 83.81-68.19 152-152 152h-62.73c-49.5 0-96.03-19.3-131-54.34l-107.9-108.1c-6.67-6.679-10.11-15.51-10.11-24.1c0-18.88 15.92-29.95 30.2-29.95c8.109 0 15.94 3.234 21.73 9.062l62 61.14c1.523 1.503 3.535 2.291 5.597 2.291c4.522 0 8.028-3.633 8.028-7.994v-272c0-13.23 10.77-24 24-24s24 10.77 24 24L192.1 240c0 13.23 10.91 24 24.15 24S240.1 253.2 240.1 240l.1093-200c0-13.23 10.77-24 24-24s24 10.77 24 24L288 240c0 13.23 10.94 24 24.17 24s24-10.77 24-24V72c0-13.23 10.77-24 24-24s24 10.77 24 24L384.1 240c0 13.23 10.91 24 24.29 24c13.23 0 24-10.77 24-24V136c0-13.23 10.77-24 24-24s24 10.77 24 24V344z"],
    "hand-fingers-crossed": [512, 512, [], "e1a3", "M400 207.9c-12.91 0-24.6 5.182-33.24 13.5C361.1 199.1 342.9 183.9 320 183.9c-26.47 0-48 21.53-48 48v26.69c-9.618-6.669-21.19-10.53-33.36-10.53c-3.905 0-7.872 .3967-11.86 1.224L122.4 271.7l96.35-235.9C227.1 15.57 247.7 15.1 248.3 15.1c16.79 0 31.98 13.34 31.98 31.96c0 4.172-.8282 8.349-2.477 12.33L212.4 220.4C212 221.4 211.8 222.4 211.8 223.4c0 3.467 2.716 8.013 7.983 8.013c3.154 0 6.141-1.895 7.421-4.975l65.38-160.1c2.473-5.93 3.707-12.16 3.707-18.4C296.3 22.6 276.1 0 248.3 0c-.9404 0-31.75-.7484-44.4 29.68l-15.72 38.48L172.3 29.64C164.7 11.17 146.8 .0036 127.1 .0036c-25.1 0-47.99 19.85-47.99 48.01c0 6.222 1.227 12.44 3.68 18.37l53 127.1L103.5 275.6c-.0459 .113-.062 .2253-.062 .3373c0 .2631 .0783 .6293 .0783 .8963c0 .0692 .015-.07 0 0C80.46 284.8 64 306.3 64 331.1v64.36c0 18.06 8.188 34.78 22.44 45.84l48.03 37.36C162.1 500.2 196.6 512 231.6 512h66.5C380.8 512 448 444.8 448 362.1V255.1C448 229.5 426.5 207.9 400 207.9zM98.44 60.25C96.81 56.3 95.99 52.14 95.99 47.98c0-16.8 13.38-31.98 32.03-31.98c.624 0 21.21-.4387 29.54 19.75l22.03 53.51L145.3 173.3L98.44 60.25zM288 231.9c0-17.64 14.34-32 32-32s32 14.36 32 32v72c0 17.64-14.34 31.1-32 31.1c-15.22 0-23.32-9.872-25.74-12.81c1.761-5.703 2.719-11.62 2.719-17.6c0-14.45-5.555-24.64-8.981-30.09V231.9zM298.1 496h-66.5c-31.47 0-62.47-10.64-87.31-29.94l-48.03-37.36C85.94 420.7 80 408.6 80 395.5v-64.36c0-19.72 13.1-37.03 33.28-41.14l116.8-25.05c2.935-.6122 5.86-.9065 8.741-.9065c20.92 0 42.23 16.65 42.23 42.13c0 19.07-13.22 36.79-33.29 41.07L170.5 363.8c-3.743 .8136-6.308 4.122-6.308 7.801c0 3.983 3.005 8.005 8.052 8.005c.5339 0 1.079-.0487 1.631-.1496l77.28-16.55c14.8-3.189 27.48-11.87 35.93-24.41c8.855 8.465 20.4 13.49 32.92 13.49c12.91 0 24.6-5.258 33.23-13.58C358 359.8 377.1 375.9 400 375.9c12.27 0 23.36-4.764 31.86-12.37C431.1 436.7 371.4 496 298.1 496zM432 327.9c0 17.64-14.34 32-32 32s-31.1-14.21-31.1-31.85L368 255.9c0-17.64 14.34-32 32-32s32 14.36 32 32V327.9z"],
    "hand-fist": [448, 512, [9994, "fist-raised"], "f6de", "M368 64.16c-12.48 0-23.77 4.906-32.31 12.74C334.1 51.9 313.4 32 288 32c-12.49 0-23.78 4.91-32.33 12.76C253.1 19.82 233.4 0 208 0C182.8 0 162.3 19.6 160.4 44.33C151.8 36.74 140.5 32 128 32C101.5 32 80 52.75 80 78.27v91.28c0 5.193 .9766 10.21 2.682 14.99C54.33 187.3 32 210.9 32 240v78.92c0 19.91 10.84 38.23 28.25 47.84c0 0 66.38 36.56 67.75 37.27V504C128 508.4 131.6 512 136 512s8-3.578 8-8v-105c0-6.496-5.272-7.183-12.38-11.09L68 352.8C55.66 345.1 48 333 48 318.9V240c0-22.06 17.94-40 40-40H176c17.66 0 32 14.36 32 32s-14.34 32-32 32H128c-4.406 0-8 3.578-8 8S123.6 280 128 280h48c26.47 0 48-21.53 48-48c0-12.57-4.963-23.94-12.9-32.5c11.66-.7598 22.21-5.551 30.13-13.19C246 207.7 265.1 223.9 288 223.9c13.88 0 26.3-6.139 35.07-15.59C329.8 226.7 347.3 239.1 368 239.1c26.47 0 48-21.5 48-47.97V112.2C416 85.69 394.5 64.16 368 64.16zM160 169.5C160 174.7 158.3 179.6 155.7 184H100.3C97.69 179.6 96 174.7 96 169.5V78.27C96 61.58 110.3 48 128 48s32 13.58 32 30.27V169.5zM240 151.8c0 17.64-14.34 32-32 32s-32-14.36-32-32V48c0-17.64 14.34-32 32-32s32 14.36 32 32V151.8zM320 175.8c0 17.64-14.34 32-32 32s-32-14.36-32-32V80c0-17.64 14.34-32 32-32s32 14.36 32 32V175.8zM400 191.1c0 17.64-14.34 32-32 32s-32-14.36-32-32V112.2c0-17.64 14.34-32 32-32s32 14.36 32 32V191.1zM408 256c-4.406 0-8 3.578-8 8v43.16c-.1875 36.38-23.94 70.75-59.09 85.56C337.9 393.1 336 396.9 336 400.1V504c0 4.422 3.594 8 8 8S352 508.4 352 504v-98.73c38.28-18.31 63.78-57.06 64-98.06V264C416 259.6 412.4 256 408 256z"],
    "hand-heart": [512, 512, [], "f4bc", "M329.3 304c-12.57 0-25.25 4.949-34.68 14.22l-6.652 6.523L281.3 318.2C271.9 308.9 259.3 304 246.7 304c-30.31 0-45.08 25.67-45.08 44.75c0 11.55 4.478 23.1 13.43 31.91l65.3 64.22c2.109 2.074 4.847 3.098 7.614 3.098c2.77 0 5.569-1.023 7.679-3.098l65.3-64.22c8.976-8.821 13.46-20.38 13.46-31.93C374.4 330 359.6 304 329.3 304zM358.4 348.8c0 7.721-3.051 14.95-8.685 20.48l-61.73 60.71l-61.72-60.7c-5.613-5.526-8.656-12.75-8.656-20.47C217.6 324.7 240.2 320 246.7 320c8.693 0 17.24 3.504 23.46 9.641l17.85 17.51l17.87-17.52C312.1 323.5 320.6 320 329.3 320C351.2 320 358.4 339.4 358.4 348.8zM456.4 96c-22.06 0-40 17.94-40 40V240c0 4.406-3.594 8-8.141 8c-4.406 0-8-3.594-8-8V72c0-22.06-17.94-40-40-40s-40 17.94-40 40L320 240c0 4.406-3.425 8-7.831 8s-8-3.594-8-8V40c0-22.06-18.06-40-40.12-40S224.2 17.94 224.2 40L224.1 240c0 4.406-3.448 8-7.854 8S208.1 244.4 208.1 240l.1092-168c0-22.06-18.04-40-40.11-40S128.2 49.94 128.2 72v252.9L79.89 277.2C71.04 268.4 59.09 263.5 46.52 263.5c-10.5 0-45.82 8.397-45.82 45.91c0 12.73 5.001 25.69 14.75 35.44l107.9 108.1C161.3 491 211.8 512 265.6 512h62.73c92.64 0 168-75.36 168-168v-208C496.4 113.9 478.4 96 456.4 96zM480.4 344c0 83.81-68.19 152-152 152h-62.73c-49.5 0-96.03-19.3-131-54.34l-107.9-108.1c-6.67-6.679-10.11-15.51-10.11-24.1c0-18.88 15.92-29.95 30.2-29.95c8.109 0 15.94 3.234 21.73 9.062l62 61.14c1.523 1.503 3.542 2.291 5.604 2.291c4.543 0 8.021-3.664 8.021-7.994v-272c0-13.23 10.77-24 24-24s24 10.77 24 24L192.1 240c0 13.23 10.91 24 24.15 24S240.1 253.2 240.1 240l.1093-200c0-13.23 10.77-24 24-24s24 10.77 24 24L288 240c0 13.23 10.94 24 24.17 24s24-10.77 24-24V72c0-13.23 10.77-24 24-24s24 10.77 24 24L384.1 240c0 13.23 10.91 24 24.29 24c13.23 0 24-10.77 24-24V136c0-13.23 10.77-24 24-24s24 10.77 24 24V344z"],
    "hand-holding": [576, 512, [], "f4bd", "M575.4 359.3c-1.922 12.68-8.672 23.84-18.98 31.43l-135.1 99.48C402.3 504.3 378.7 512 354.1 512H7.1C3.578 512 0 508.4 0 504c0-4.405 3.578-7.998 7.1-7.998h346.1c20.33 0 40.56-6.655 56.95-18.71l135.1-99.48c6.89-5.061 11.37-12.5 12.66-20.96c1.281-8.436-.8124-16.87-5.875-23.74c-5.109-6.936-12.58-11.43-21.05-12.72c-8.375-1.156-16.83 .8436-23.69 5.936l-121.8 89.7H263.1c-13.23 0-23.1-10.75-23.1-23.96c0-13.22 10.77-23.99 23.1-23.99h78.23c12.64 0 23.59-8.561 25.48-19.93c1.156-7.155-.75-14.12-5.39-19.59c-4.578-5.374-11.27-8.467-18.34-8.467H183.1c-25.06 0-49.59 8.686-69.08 24.46l-48.69 39.52H7.1C3.578 384.1 0 380.5 0 376.1s3.578-7.998 7.1-7.998h52.53l44.3-35.96c22.33-18.06 50.44-28.02 79.15-28.02h159.1c11.77 0 22.91 5.155 30.53 14.12c7.625 8.936 10.89 20.81 8.984 32.52c-3.172 19.03-20.91 33.34-41.26 33.34H263.1c-4.344 0-7.1 3.655-7.1 7.998c0 4.312 3.656 7.967 7.1 7.967h117.1l117.5-86.57c10.27-7.623 22.81-10.87 35.58-8.873c12.7 1.906 23.91 8.654 31.55 19.03C574.2 333.9 577.4 346.6 575.4 359.3z"],
    "hand-holding-box": [576, 512, [], "f47b", "M160 256h255.1c35.35 0 63.1-28.65 63.1-64V64c0-35.35-28.65-64-63.1-64h-255.1C124.7 0 96.01 28.65 96.01 64v128C96.01 227.3 124.7 256 160 256zM232 16h111.1v99.06l-52.42-26.22c-2.25-1.125-4.906-1.125-7.156 0L232 115.1V16zM112 64c0-26.47 21.53-48 47.1-48h55.1V128c0 2.781 1.437 5.344 3.797 6.812c2.328 1.438 5.281 1.562 7.781 .3438l60.42-30.22l60.42 30.22C349.6 135.7 350.8 136 352 136c1.469 0 2.922-.4062 4.203-1.188C358.6 133.3 360 130.8 360 128V16h55.1c26.47 0 47.1 21.53 47.1 48v128c0 26.47-21.53 48-47.1 48H160C133.5 240 112 218.5 112 192V64zM566.6 323.6c-7.64-10.38-18.84-17.12-31.55-19.03c-12.77-2-25.31 1.25-35.58 8.875L381.1 400H263.1c-4.344 0-7.1-3.656-7.1-7.969c0-4.344 3.656-8 7.1-8h78.23c20.36 0 38.09-14.31 41.26-33.34c1.906-11.72-1.359-23.59-8.984-32.53c-7.625-8.969-18.76-14.12-30.53-14.12H183.1c-28.72 0-56.83 9.969-79.15 28.03l-44.3 35.97H7.1C3.578 368 0 371.6 0 376s3.578 8 7.1 8h58.22l48.69-39.53c19.48-15.78 44.01-24.47 69.08-24.47h159.1c7.078 0 13.77 3.094 18.34 8.469c4.64 5.469 6.547 12.44 5.39 19.59c-1.891 11.38-12.84 19.94-25.48 19.94H263.1c-13.23 0-23.1 10.78-23.1 24S250.7 416 263.1 416h123.2l121.8-89.72c6.859-5.094 15.31-7.094 23.69-5.938c8.468 1.281 15.94 5.781 21.05 12.72c5.062 6.875 7.156 15.31 5.875 23.75c-1.281 8.469-5.765 15.91-12.66 20.97l-135.1 99.5C395.5 489.3 375.3 496 354.1 496H7.1C3.578 496 0 499.6 0 504S3.578 512 7.1 512h346.1c23.72 0 47.33-7.75 66.45-21.84l135.1-99.5c10.31-7.594 17.06-18.75 18.98-31.44C577.4 346.6 574.2 333.9 566.6 323.6z"],
    "hand-holding-dollar": [576, 512, ["hand-holding-usd"], "f4c0", "M566.6 323.6c-7.641-10.38-18.84-17.12-31.55-19.03c-12.76-2-25.31 1.25-35.58 8.875L381.1 400H263.1c-4.344 0-8-3.656-8-7.969c0-4.344 3.656-8 8-8h78.23c20.36 0 38.09-14.31 41.26-33.34c1.906-11.72-1.359-23.59-8.984-32.53c-7.625-8.969-18.76-14.12-30.53-14.12H183.1c-28.72 0-56.83 9.969-79.15 28.03l-44.29 35.97H8c-4.422 0-8 3.594-8 8s3.578 8 8 8h58.22l48.69-39.53c19.48-15.78 44.01-24.47 69.08-24.47h159.1c7.078 0 13.77 3.094 18.34 8.469c4.639 5.469 6.545 12.44 5.389 19.59c-1.891 11.38-12.84 19.94-25.48 19.94H263.1c-13.23 0-23.1 10.78-23.1 24S250.7 416 263.1 416h123.2l121.8-89.72c6.859-5.094 15.31-7.094 23.69-5.938c8.469 1.281 15.94 5.781 21.05 12.72c5.062 6.875 7.156 15.31 5.875 23.75c-1.281 8.469-5.766 15.91-12.66 20.97l-135.1 99.5C395.5 489.3 375.3 496 354.1 496H8C3.578 496 0 499.6 0 504S3.578 512 8 512h346.1c23.72 0 47.33-7.75 66.45-21.84l135.1-99.5c10.31-7.594 17.06-18.75 18.98-31.44C577.4 346.6 574.2 333.9 566.6 323.6zM277.1 132l7.844 2.266c35.38 10.14 56.84 17.7 52.22 44.47c-4.531 26.2-37.19 30.64-63.81 26.47C262.8 203.5 249.7 198.8 238 194.6L232 192.4C227.8 190.1 223.3 193.1 221.8 197.3C220.3 201.5 222.5 206 226.7 207.5l5.938 2.125c12.28 4.438 26.25 9.469 39.16 11.41C274.6 221.5 277.2 221.5 280 221.7V248C280 252.4 283.6 256 288 256S296 252.4 296 248V222.4c31.28-1.402 53.56-16.33 57.78-40.87c7.344-42.28-31.97-53.53-63.56-62.56L282.5 116.7c-32.69-9.609-48.53-18.77-44.5-42.17c4.531-26.22 37.16-30.61 63.78-26.47c7.312 1.141 16.12 3.531 27.66 7.5c4.094 1.406 8.719-.7656 10.16-4.953c1.438-4.172-.7813-8.734-4.969-10.17c-12.44-4.297-22.09-6.891-30.38-8.188C301.4 31.81 298.7 31.72 296 31.47V8c0-4.422-3.587-8-7.993-8S280 3.578 280 8v23.04c-31.29 1.414-53.56 16.22-57.78 40.78C214.1 113.6 254.4 125.1 277.1 132z"],
    "hand-holding-droplet": [576, 512, ["hand-holding-water"], "f4c1", "M287.1 256c52.1 0 95.1-42.13 95.1-93.1c0-40-57.13-120.8-83.25-155.6C297.5 2.125 292.8 0 287.1 0S278.4 2.125 275.2 6.375C249.1 41.25 191.1 122 191.1 162C191.1 213.9 234.1 256 287.1 256zM287.1 16.01c49.36 65.91 80.02 121.8 80.02 145.1C367.1 205 332.1 240 287.1 240S207.1 205 207.1 162C207.1 137.8 238.7 81.89 287.1 16.01zM566.6 323.6c-7.64-10.38-18.84-17.12-31.55-19.03c-12.77-2-25.31 1.25-35.58 8.875L381.1 400H263.1c-4.344 0-7.1-3.656-7.1-7.969c0-4.344 3.656-8 7.1-8h78.23c20.36 0 38.09-14.31 41.26-33.34c1.906-11.72-1.359-23.59-8.984-32.53c-7.625-8.969-18.76-14.12-30.53-14.12H183.1c-28.72 0-56.83 9.969-79.15 28.03l-44.3 35.97H7.1C3.578 368 0 371.6 0 376s3.578 8 7.1 8h58.22l48.69-39.53c19.48-15.78 44.01-24.47 69.08-24.47h159.1c7.078 0 13.77 3.094 18.34 8.469c4.64 5.469 6.547 12.44 5.39 19.59c-1.891 11.38-12.84 19.94-25.48 19.94H263.1c-13.23 0-23.1 10.78-23.1 24S250.7 416 263.1 416h123.2l121.8-89.72c6.859-5.094 15.31-7.094 23.69-5.938c8.468 1.281 15.94 5.781 21.05 12.72c5.062 6.875 7.156 15.31 5.875 23.75c-1.281 8.469-5.765 15.91-12.66 20.97l-135.1 99.5C395.5 489.3 375.3 496 354.1 496H7.1C3.578 496 0 499.6 0 504S3.578 512 7.1 512h346.1c23.72 0 47.33-7.75 66.45-21.84l135.1-99.5c10.31-7.594 17.06-18.75 18.98-31.44C577.4 346.6 574.2 333.9 566.6 323.6z"],
    "hand-holding-hand": [512, 512, [], "e4f7", "M9.38 307.6C17.02 297.2 28.22 290.5 40.93 288.6C53.69 286.6 66.24 289.8 76.5 297.4L194 384H280C284.4 384 288 380.4 288 376.1C288 371.7 284.4 368.1 280 368.1H233.8C213.4 368.1 195.7 353.8 192.5 334.7C190.6 323 193.9 311.1 201.5 302.2C209.1 293.2 220.3 288.1 232 288.1H360C388.7 288.1 416.8 298 439.2 316.1L483.5 352.1H504C508.4 352.1 512 355.7 512 360.1C512 364.5 508.4 368.1 504 368.1H477.8L429.1 328.5C409.6 312.8 385.1 304.1 360 304.1H232C224.1 304.1 218.3 307.2 213.7 312.5C209.1 318 207.2 324.1 208.3 332.1C210.2 343.5 221.2 352.1 233.8 352.1H280C293.3 352.1 304 362.8 304 376.1C304 389.3 293.3 400 280 400H188.8L66.99 310.3C60.13 305.2 51.67 303.2 43.3 304.4C34.83 305.7 27.36 310.2 22.25 317.1C17.19 323.1 15.1 332.4 16.38 340.8C17.66 349.3 22.14 356.7 29.03 361.8L164.1 461.3C180.5 473.3 200.7 480 221 480H504C508.4 480 512 483.6 512 488C512 492.4 508.4 496 504 496H221C197.3 496 173.7 488.2 154.6 474.2L19.54 374.7C9.223 367.1 2.473 355.9 .5514 343.3C-1.371 330.6 1.77 317.9 9.379 307.6L9.38 307.6zM438.6 188.4C430.1 198.8 419.8 205.5 407.1 207.4C394.3 209.4 381.8 206.2 371.5 198.5L285.1 143.1H199.1C195.6 143.1 191.1 147.6 191.1 151.9C191.1 156.3 195.6 159.9 199.1 159.9H246.2C266.6 159.9 284.3 174.2 287.5 193.3C289.4 204.1 286.1 216.9 278.5 225.8C270.9 234.8 259.7 239.9 247.1 239.9H151.1C123.3 239.9 95.15 229.1 72.82 211.9L28.53 175.9H8C3.578 175.9 .0003 172.3 .0003 167.9C.0003 163.5 3.578 159.9 8 159.9H34.22L82.9 199.5C102.4 215.2 126.9 223.9 151.1 223.9H247.1C255 223.9 261.7 220.8 266.3 215.5C270.9 209.1 272.8 203 271.7 195.9C269.8 184.5 258.8 175.9 246.2 175.9H199.1C186.7 175.9 175.1 165.2 175.1 151.9C175.1 138.7 186.7 127.1 199.1 127.1H291.2L381 185.7C387.9 190.8 396.3 192.8 404.7 191.6C413.2 190.3 420.6 185.8 425.7 178.9C430.8 172 432.9 163.6 431.6 155.2C430.3 146.7 425.9 139.2 418.1 134.2L315.9 66.71C299.5 54.65 279.3 47.1 258.1 47.1H8C3.578 47.1 .0003 44.4 .0003 39.1C.0003 35.59 3.578 32 8 32H258.1C282.7 32 306.3 39.75 325.4 53.84L428.5 121.3C438.8 128.9 445.5 140.1 447.4 152.7C449.4 165.4 446.2 178.1 438.6 188.4V188.4z"],
    "hand-holding-heart": [576, 512, [], "f4be", "M275.2 250.5C278.7 254.2 283.4 256 287.1 256s9.234-1.812 12.73-5.5l108.1-114.2c31.5-33.12 29.73-88.11-5.65-118.7C390.4 5.669 373.7 0 356.9 0c-20.99 0-42.05 8.826-57.68 25.28L287.1 36.91L276.8 25.28C261.2 8.826 240.1 .0039 219.1 0C202.3 0 185.6 5.669 171.1 17.56C136.7 48.17 134.7 103.2 166.4 136.3L275.2 250.5zM182.5 29.59C192.7 20.7 205.4 15.1 219.1 15.1C236.2 16 253 23.39 265.3 36.34l22.69 23.7l22.73-23.74c12.25-12.9 29.07-20.29 46.16-20.29c13.73 0 26.4 4.699 36.65 13.62c13.57 11.75 21.54 28.33 22.43 46.71c.8867 18.25-5.601 36.07-17.78 48.88l-109 114.2l-2.328-.0117L177.9 125.2C165.7 112.4 159.2 94.67 160.1 76.46C160.9 58.04 168.9 41.4 182.5 29.59zM566.6 323.6c-7.64-10.38-18.84-17.12-31.55-19.03c-12.77-2-25.31 1.25-35.58 8.875L381.1 400H263.1c-4.344 0-7.1-3.656-7.1-7.969c0-4.344 3.656-8 7.1-8h78.23c20.36 0 38.09-14.31 41.26-33.34c1.906-11.72-1.359-23.59-8.984-32.53c-7.625-8.969-18.76-14.12-30.53-14.12H183.1c-28.72 0-56.83 9.969-79.15 28.03l-44.3 35.97H7.1C3.578 368 0 371.6 0 376s3.578 8 7.1 8h58.22l48.69-39.53c19.48-15.78 44.01-24.47 69.08-24.47h159.1c7.078 0 13.77 3.094 18.34 8.469c4.64 5.469 6.547 12.44 5.39 19.59c-1.891 11.38-12.84 19.94-25.48 19.94H263.1c-13.23 0-23.1 10.78-23.1 24S250.7 416 263.1 416h123.2l121.8-89.72c6.859-5.094 15.31-7.094 23.69-5.938c8.468 1.281 15.94 5.781 21.05 12.72c5.062 6.875 7.156 15.31 5.875 23.75c-1.281 8.469-5.765 15.91-12.66 20.97l-135.1 99.5C395.5 489.3 375.3 496 354.1 496H7.1C3.578 496 0 499.6 0 504S3.578 512 7.1 512h346.1c23.72 0 47.33-7.75 66.45-21.84l135.1-99.5c10.31-7.594 17.06-18.75 18.98-31.44C577.4 346.6 574.2 333.9 566.6 323.6z"],
    "hand-holding-magic": [576, 512, [], "f6e5", "M223.1 192h15.1c44.11 0 79.1-35.88 79.1-80c0-4.406-3.584-8-8.005-8s-7.1 3.594-7.1 8c0 35.28-28.7 64-63.1 64H223.1C179.9 176 143.1 140.1 143.1 96s35.89-80 79.1-80h127.1c44.11 0 79.1 35.88 79.1 80v3.812c0 69.5-46.9 130.5-114.1 148.5c-4.265 1.125-6.812 5.5-5.672 9.781C313.2 261.6 316.4 264 319.1 264c.6719 0 1.375-.0938 2.062-.2813c74.15-19.78 125.9-87.19 125.9-163.9L447.1 96c0-52.94-43.06-96-95.1-96H223.1c-52.94 0-95.1 43.06-95.1 96S171.1 192 223.1 192zM566.6 323.6c-7.64-10.38-18.84-17.12-31.55-19.03c-12.77-2-25.31 1.25-35.58 8.875L381.1 400H263.1c-4.344 0-7.1-3.656-7.1-7.969c0-4.344 3.656-8 7.1-8h78.23c20.36 0 38.09-14.31 41.26-33.34c1.906-11.72-1.359-23.59-8.984-32.53c-7.625-8.969-18.76-14.12-30.53-14.12H183.1c-28.72 0-56.83 9.969-79.15 28.03l-44.3 35.97H7.1C3.578 368 0 371.6 0 376s3.578 8 7.1 8h58.22l48.69-39.53c19.48-15.78 44.01-24.47 69.08-24.47h159.1c7.078 0 13.77 3.094 18.34 8.469c4.64 5.469 6.547 12.44 5.39 19.59c-1.891 11.38-12.84 19.94-25.48 19.94H263.1c-13.23 0-23.1 10.78-23.1 24S250.7 416 263.1 416h123.2l121.8-89.72c6.859-5.094 15.31-7.094 23.69-5.938c8.468 1.281 15.94 5.781 21.05 12.72c5.062 6.875 7.156 15.31 5.875 23.75c-1.281 8.469-5.765 15.91-12.66 20.97l-135.1 99.5C395.5 489.3 375.3 496 354.1 496H7.1C3.578 496 0 499.6 0 504S3.578 512 7.1 512h346.1c23.72 0 47.33-7.75 66.45-21.84l135.1-99.5c10.31-7.594 17.06-18.75 18.98-31.44C577.4 346.6 574.2 333.9 566.6 323.6z"],
    "hand-holding-medical": [576, 512, [], "e05c", "M566.6 323.6c-7.641-10.38-18.84-17.12-31.54-19.03c-12.77-2-25.31 1.25-35.58 8.875L381.1 400H263.1c-4.344 0-8-3.656-8-7.969c0-4.344 3.656-8 8-8h78.23c20.36 0 38.09-14.31 41.26-33.34c1.906-11.72-1.359-23.59-8.982-32.53c-7.625-8.969-18.77-14.12-30.53-14.12H183.1c-28.72 0-56.83 9.969-79.15 28.03l-44.29 35.97H8c-4.422 0-8 3.594-8 8s3.578 8 8 8h58.22l48.69-39.53c19.48-15.78 44.01-24.47 69.08-24.47h159.1c7.078 0 13.77 3.094 18.34 8.469c4.641 5.469 6.547 12.44 5.391 19.59c-1.891 11.38-12.84 19.94-25.48 19.94H263.1c-13.23 0-24 10.78-24 24S250.7 416 263.1 416h123.2l121.8-89.72c6.859-5.094 15.31-7.094 23.69-5.938c8.469 1.281 15.94 5.781 21.04 12.72c5.062 6.875 7.156 15.31 5.875 23.75c-1.281 8.469-5.766 15.91-12.66 20.97l-135.1 99.5C395.5 489.3 375.3 496 354.1 496H8C3.578 496 0 499.6 0 504S3.578 512 8 512h346.1c23.72 0 47.33-7.75 66.45-21.84l135.1-99.5c10.31-7.594 17.06-18.75 18.98-31.44C577.4 346.6 574.2 333.9 566.6 323.6zM176 176H224V224c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32V176h48c17.67 0 32-14.33 32-32v-32c0-17.67-14.33-32-32-32H320V32c0-17.67-14.33-32-32-32H256C238.3 0 224 14.33 224 32v48H176c-17.67 0-32 14.33-32 32v32C144 161.7 158.3 176 176 176zM160 112C160 103.2 167.2 96 176 96h64V32c0-8.822 7.178-16 16-16h32c8.822 0 16 7.178 16 16v64h64C376.8 96 384 103.2 384 112v32C384 152.8 376.8 160 368 160h-64v64c0 8.822-7.178 16-16 16H256C247.2 240 240 232.8 240 224V160h-64C167.2 160 160 152.8 160 144V112z"],
    "hand-holding-seedling": [576, 512, [], "f4bf", "M247.1 160h55.1v88c0 4.406 3.578 8 7.1 8s7.1-3.594 7.1-8v-96c0-83.81-68.19-152-151.1-152H103.1C99.57 0 95.1 3.594 95.1 8C95.1 91.81 164.2 160 247.1 160zM167.1 16c72.29 0 131.6 56.72 135.8 128H247.1c-72.29 0-131.6-56.72-135.8-128H167.1zM346.2 100.7C370.1 67.19 406.1 48 444.9 48h50.86c-3.812 71.28-58.28 128-124.7 128h-19.08c-4.422 0-7.1 3.594-7.1 8S347.6 192 351.1 192h19.08c77.7 0 140.9-68.19 140.9-152c0-4.406-3.578-8-7.1-8h-59.08c-44.08 0-84.81 21.62-111.7 59.34c-2.562 3.594-1.734 8.594 1.875 11.16C338.6 105.1 343.6 104.3 346.2 100.7zM566.6 323.6c-7.64-10.38-18.84-17.12-31.55-19.03c-12.77-2-25.31 1.25-35.58 8.875L381.1 400H263.1c-4.344 0-7.1-3.656-7.1-7.969c0-4.344 3.656-8 7.1-8h78.23c20.36 0 38.09-14.31 41.26-33.34c1.906-11.72-1.359-23.59-8.984-32.53c-7.625-8.969-18.76-14.12-30.53-14.12H183.1c-28.72 0-56.83 9.969-79.15 28.03l-44.3 35.97H7.1C3.578 368 0 371.6 0 376s3.578 8 7.1 8h58.22l48.69-39.53c19.48-15.78 44.01-24.47 69.08-24.47h159.1c7.078 0 13.77 3.094 18.34 8.469c4.64 5.469 6.547 12.44 5.39 19.59c-1.891 11.38-12.84 19.94-25.48 19.94H263.1c-13.23 0-23.1 10.78-23.1 24S250.7 416 263.1 416h123.2l121.8-89.72c6.859-5.094 15.31-7.094 23.69-5.938c8.468 1.281 15.94 5.781 21.05 12.72c5.062 6.875 7.156 15.31 5.875 23.75c-1.281 8.469-5.765 15.91-12.66 20.97l-135.1 99.5C395.5 489.3 375.3 496 354.1 496H7.1C3.578 496 0 499.6 0 504S3.578 512 7.1 512h346.1c23.72 0 47.33-7.75 66.45-21.84l135.1-99.5c10.31-7.594 17.06-18.75 18.98-31.44C577.4 346.6 574.2 333.9 566.6 323.6z"],
    "hand-holding-skull": [576, 512, [], "e1a4", "M566.6 323.6c-7.641-10.38-18.84-17.12-31.54-19.03c-12.77-2-25.31 1.25-35.58 8.875L381.1 400H263.1c-4.344 0-8-3.656-8-7.969c0-4.344 3.656-8 8-8h78.23c20.36 0 38.09-14.31 41.26-33.34c1.906-11.72-1.359-23.59-8.982-32.53c-7.625-8.969-18.77-14.12-30.53-14.12H183.1c-28.72 0-56.83 9.969-79.15 28.03l-44.29 35.97H8c-4.422 0-8 3.594-8 8s3.578 8 8 8h58.22l48.69-39.53c19.48-15.78 44.01-24.47 69.08-24.47h159.1c7.078 0 13.77 3.094 18.34 8.469c4.641 5.469 6.547 12.44 5.391 19.59c-1.891 11.38-12.84 19.94-25.48 19.94H263.1c-13.23 0-24 10.78-24 24S250.7 416 263.1 416h123.2l121.8-89.72c6.859-5.094 15.31-7.094 23.69-5.938c8.469 1.281 15.94 5.781 21.04 12.72c5.062 6.875 7.156 15.31 5.875 23.75c-1.281 8.469-5.766 15.91-12.66 20.97l-135.1 99.5C395.5 489.3 375.3 496 354.1 496H8C3.578 496 0 499.6 0 504S3.578 512 8 512h346.1c23.72 0 47.33-7.75 66.45-21.84l135.1-99.5c10.31-7.594 17.06-18.75 18.98-31.44C577.4 346.6 574.2 333.9 566.6 323.6zM213.1 237.3l-5.5 25.88C205.9 275.8 213.1 288 224.1 288h126c11.13 0 19.13-12.25 16.5-24.88l-5.501-25.88c41.76-22.38 70-62.75 70-109.3C432 57.25 367.5 0 288 0C208.5 0 143.1 57.25 143.1 127.1C143.1 174.5 172.2 214.9 213.1 237.3zM288 16c70.59 0 128 50.24 128 112c0 38.92-23.02 74.49-61.57 95.15c-6.275 3.363-9.574 10.47-8.094 17.43l5.486 25.8C352.5 269.4 351.1 271.7 351 272L225.6 272.1C224.9 271.7 223.5 269.4 224.1 266.5l5.5-25.88C231.1 233.6 227.8 226.5 221.5 223.1C182.1 202.5 159.1 166.9 159.1 128C159.1 66.24 217.4 16 288 16zM336 176c17.64 0 31.1-14.36 31.1-31.1c0-17.64-14.35-32-31.1-32s-32 14.36-32 32C304 161.6 318.4 176 336 176zM336 128c8.812 0 16 7.188 16 16C352 152.8 344.8 160 336 160S320 152.8 320 144C320 135.2 327.2 128 336 128zM240 176c17.64 0 32-14.36 32-31.1c0-17.64-14.36-32-32-32s-32 14.36-32 32C208 161.6 222.4 176 240 176zM240 128c8.812 0 16 7.188 16 16C256 152.8 248.8 160 240 160s-16-7.188-16-15.1C224 135.2 231.2 128 240 128z"],
    "hand-horns": [448, 512, [], "e1a9", "M368 63.7c-26.47 0-48 21.43-48 47.77v76.12c-8.512-7.639-19.66-12.42-32-12.42c-13.9 0-26.33 6.002-35.1 15.43C246.1 172.4 228.6 159.2 208 159.2c-12.34 0-23.49 4.787-32 12.43V47.77C176 21.43 154.5 0 128 0S80 21.43 80 47.77v175.2c0 4.4 3.594 7.963 8 7.963S96 227.3 96 222.9v-175.2c0-17.56 14.34-31.85 32-31.85s32 14.29 32 31.85v204.3L61.91 273C35.31 278.7 16 302.5 16 329.6v66.46c0 17.99 8.188 34.63 22.44 45.64l48.03 37.18c27.62 21.38 62.13 33.15 97.13 33.15h82.5C348.8 511.1 416 445.1 416 362.8V111.5C416 85.13 394.5 63.7 368 63.7zM256 222.9c0-17.56 14.34-31.85 32-31.85s32 14.29 32 31.85v71.66c0 17.56-14.34 31.85-32 31.85s-32-14.29-32-31.85V222.9zM176 207c0-17.56 14.34-31.85 32-31.85s32 14.29 32 31.85v67.09c-10.55-16.67-29.12-27.23-49.32-27.23c-3.922 0-7.905 .3981-11.9 1.227L176 248.7V207zM400 362.8c0 73.49-60.06 133.3-133.9 133.3h-82.5c-31.47 0-62.47-10.59-87.31-29.79l-48.03-37.18C37.94 421.1 32 409.1 32 396V329.6c0-19.62 13.1-36.86 33.28-40.95l116.8-24.93c2.927-.6095 5.847-.9025 8.725-.9025c20.81 0 42.25 16.49 42.25 41.93c0 18.99-13.23 36.62-33.29 40.88L122.5 362.1c-3.743 .8102-6.308 4.102-6.308 7.764c0 4.971 4.184 7.982 8.071 7.982c.5341 0 1.074-.0532 1.612-.1635l77.28-16.47c5.625-1.206 35.02-8.32 43.83-42.12C255.4 332.1 270.5 342.4 288 342.4c26.47 0 48-21.43 48-47.77V111.5c0-17.56 14.34-31.85 32-31.85s32 14.29 32 31.85V362.8z"],
    "hand-lizard": [512, 512, [], "f258", "M345.6 411.2l-74.67-56C268.2 353.1 264.8 352 261.3 352H95.1c-16.28 0-31.33-13.24-31.95-29.51C62.66 286 91.83 256 127.1 256h104.9c13.77 0 26-8.816 30.36-21.88l10.67-32C280.9 181.4 265.4 160 243.6 160H63.1C27.82 160-1.343 129.1 .0477 93.5C.6677 77.24 15.72 64 31.1 64h271.2c26.26 0 50.84 12.88 65.79 34.47l128.8 185.1C507 297.8 512 313.7 512 329.1V440c0 4.418-3.582 8-8 8c-4.418 0-8-3.582-8-8v-110c0-13.02-3.971-25.73-11.38-36.44l-128.8-185.1C343.9 90.31 324.2 80 303.2 80H31.1c-8.117 0-15.73 6.867-15.97 14.41C15.56 108.1 21.49 122.6 32.61 132.3c9.102 7.923 21.12 11.68 33.19 11.68L243.6 144c16.39 0 31.21 8.004 40.26 21.86c8.269 12.66 9.481 28.71 4.698 43.05l-10.09 30.26C271.9 258.8 253.6 272 232.9 271.1L129.7 271.1c-12.06 0-24.07 3.767-33.16 11.7C85.48 293.4 79.56 307 80.03 321.6C80.27 329.1 87.88 336 95.1 336h165.3c6.924 0 13.66 2.246 19.2 6.4l74.67 56c8.058 6.043 12.8 15.53 12.8 25.6l.0002 16c0 4.418-3.582 8-8 8c-4.418 0-8-3.582-8-8v-15.1C351.1 418.1 349.6 414.2 345.6 411.2z"],
    "hand-love": [512, 512, [], "e1a5", "M480 112C480 85.53 458.5 64 432 64S384 85.53 384 112v76.48C375.5 180.8 364.3 176 352 176c-13.9 0-26.33 6.031-35.1 15.5C310.1 173.2 292.6 160 272 160c-12.34 0-23.49 4.809-32 12.48V48C240 21.53 218.5 0 192 0S144 21.53 144 48V256c0 4.422 3.594 8 8 8S160 260.4 160 256V48c0-17.64 14.34-32 32-32s32 14.36 32 32v232c0 26.47 21.53 48 48 48c13.9 0 26.33-6.031 35.1-15.5C313.9 330.8 331.4 344 352 344c26.47 0 48-21.53 48-48V112c0-17.64 14.34-32 32-32s32 14.36 32 32l-.002 268.9c0 63.44-51.63 115.1-115.1 115.1H256c-42.5 0-85.53-20.72-109.8-53L55.22 329.6c-4.727-6.286-7.218-13.76-7.218-21.49c0-29.37 26.98-36.13 35.94-36.13c17.78 0 26.31 11.56 29.94 15.05c.25 .3477 .1562 .8203 .4687 1.133l64 64C179.9 353.7 181.9 354.5 184 354.5c5.719 0 8-5.094 8-8c0-2.047-.7813-4.094-2.344-5.656L125.6 276.8c-.0176-.0176 .0176 .0176 0 0c-.001-.001 0 .001 0 0c0-1.705-15.98-20.84-41.63-20.84c-29.14 0-51.99 23.73-51.99 52.11c0 11.19 3.608 22.04 10.57 31.3l91.03 113.4C160.6 488.8 208.6 512 256 512h92.94c72.28 0 131.1-58.78 131.1-131.1L480 112zM272 312c-17.66 0-32-14.36-32-32V208c0-17.64 14.34-32 32-32s32 14.36 32 32v72C304 297.6 289.7 312 272 312zM384 296c0 17.64-14.34 32-32 32s-32-14.36-32-32V224c0-17.64 14.34-32 32-32s32 14.36 32 32V296z"],
    "hand-middle-finger": [448, 512, [128405], "f806", "M424 296V384c0 70.58-57.42 128-128 128H174.5c-49.45 0-96.7-23.61-126.4-63.17l-13.52-18.03C27.77 421.7 24 410.4 24 399V346c0-16.17 7.25-31.27 19.89-41.39l31.38-23.06C76.69 280.5 78.34 279.1 79.98 279.1c2.594 0 8.023 2.029 8.023 7.992c0 2.459-1.131 4.889-3.268 6.463l-31.11 22.86C45.06 324.2 40 334.7 40 346v53.03c0 7.938 2.625 15.81 7.391 22.17l13.53 18.03C87.59 474.8 130 496 174.5 496H296c61.75 0 112-50.25 112-112V296c0-17.64-14.36-32-32-32c-15.12 0-17.89 8.002-24.01 8.002C345.7 272 344 266.1 344 264v-16c0-17.64-14.36-32-32-32s-32 14.36-32 32V256c0 4.422-3.578 8-8 8S264 260.4 264 256V48c0-17.64-14.36-32-32-32s-32 14.36-32 32V256c0 4.422-3.578 8-8 8S184 260.4 184 256V248c0-17.64-14.36-32-32-32s-32 14.36-32 32v88c0 4.422-3.578 8-8 8s-8-3.578-8-8V248c0-26.47 21.53-48 48-48c12.28 0 23.5 4.641 32 12.25V48c0-26.47 21.53-48 48-48s48 21.53 48 48v164.3C288.5 204.6 299.7 200 312 200c26.47 0 48 21.53 48 48v2.719C365.1 248.9 370.5 248 376 248C402.5 248 424 269.5 424 296z"],
    "hand-peace": [512, 512, [9996], "f25b", "M399.8 207.9c-18.43 0-29.97 10.34-33.27 13.5c-4.824-21.42-23.97-37.5-46.89-37.5c-34.21 0-48.13 31.41-48.13 50.16v24.56c-9.661-6.684-21.28-10.55-33.48-10.55c-3.907 0-7.874 .3963-11.86 1.223L128.2 270.2L51.15 93.99C49.22 89.56 48.27 84.84 48.27 80.19c0-18.73 14.62-32.24 31.8-32.24c12.38 0 24.15 7.23 29.39 19.25l65.44 149.8C176.9 221.6 181.1 223.8 185.3 223.8c5.514 0 11.01-3.816 11.48-10.59l11.71-167.5C209.6 28.75 223.1 16 240.8 16c17.33 0 31.77 14.35 31.77 31.97c0 .7419-.0256 1.489-.0777 2.24c0 0-8.196 117.3-8.196 117.5c0 4.385 3.561 8.007 8.02 8.007c4.211 0 7.707-3.258 8-7.457c0 0 8.295-119.2 8.295-120.3c0-24.98-19.45-46.12-44.79-47.89L240.8 0c-25.34 0-46.58 19.59-48.36 44.61L182 193.3L124.2 60.8C116.5 43.28 99.22 31.94 80.07 31.94c-26.18 0-48.07 21.04-48.07 47.41c0 7.334 1.679 14.69 4.65 21.48l75.52 172.8L109 274.3C82.18 280.1 62.99 303.8 62.99 331.2v64.26c0 18.06 8.209 34.78 22.5 45.85l48.09 37.31C161.5 500.3 195.7 512 231 512h66.67C380.6 512 448 444.7 448 362.1V258.1C448 231.4 426.4 207.9 399.8 207.9zM287.6 231.9c0-17.64 14.38-32 32.08-32c17.7 0 32.08 14.36 32.08 32v72c0 17.64-14.38 32-32.08 32c-15.25 0-23.38-9.865-25.8-12.81c1.766-5.704 2.726-11.62 2.726-17.6c0-11.81-3.624-21.55-9.006-30.07V231.9zM297.7 495.1H231c-31.55 0-62.63-10.64-87.54-29.94l-48.16-37.36c-10.34-8.016-16.29-20.13-16.29-33.22v-64.36c0-19.72 14.04-37.03 33.37-41.14l117.1-25.05C232.5 264.3 235.4 264 238.3 264c20.95 0 42.33 16.62 42.33 42.13c0 19.27-13.43 36.84-33.37 41.07l-77.48 16.55c-3.752 .8135-6.325 4.121-6.325 7.799c0 4.046 3.085 8.006 8.081 8.006c.5331 0 1.077-.0487 1.627-.1496l77.48-16.55c14.84-3.189 27.55-11.87 36.02-24.41c8.879 8.467 20.45 13.41 33 13.41c12.95 0 24.67-5.182 33.32-13.51c4.822 21.42 23.97 37.51 46.89 37.51c12.3 0 23.42-4.764 31.94-12.37C431 436.7 371.2 495.1 297.7 495.1zM431.1 327.9c0 17.64-14.38 32-32.08 32c-17.7 0-31.98-14.28-31.98-31.92l-.1064-72.09c0-17.64 14.38-32 32.08-32c17.7 0 32.08 14.36 32.08 32V327.9z"],
    "hand-point-down": [448, 512, [], "f0a7", "M220.4 202C222.7 196.4 224 190.4 224 184c0-26.47-21.53-48-48-48H128c-4.406 0-8 3.578-8 8S123.6 152 128 152h48c17.66 0 32 14.36 32 32s-14.34 32-32 32H88C65.94 216 48 198.1 48 176V97.08c0-14.08 7.656-27.05 20-33.84l63.63-35.09C145.1 20.2 162.3 16 178.8 16h127.9C357.9 16 399.8 57.64 400 108.8V136c0 4.422 3.594 8 8 8S416 140.4 416 136V108.8C415.7 48.78 366.7 0 306.7 0H178.8C159.6 0 140.6 4.891 123.9 14.14L60.25 49.23C42.84 58.84 32 77.17 32 97.08V176c0 28.14 20.93 51.27 48 55.19V464C80 490.5 101.5 512 128 512s48-21.53 48-48v-100.5C184.5 371.2 195.7 376 208 376c22.85 0 41.95-16.08 46.76-37.5C263.4 346.8 275.1 352 288 352c22.9 0 42.04-16.14 46.8-37.63c8.633 8.301 20.3 13.47 33.2 13.47c26.47 0 48-21.53 48-48V208c0-26.47-21.53-48-48-48c-22.89 0-42.03 16.14-46.8 37.62C312.6 189.4 300.9 184.2 288 184.2c-20.65 0-38.13 13.17-44.9 31.5C237.1 209.2 229.3 204.4 220.4 202zM336 279.8V208c0-17.64 14.34-31.98 32-31.98s32 14.36 32 32v71.8c0 17.64-14.34 32-32 32S336 297.5 336 279.8zM256 304V232.1c0-17.64 14.34-31.91 32-31.91s32 14.27 32 31.91V304c0 17.64-14.34 32-32 32S256 321.6 256 304zM96 232h66.95C161.1 237.2 160 242.6 160 248.2V464c0 17.64-14.34 32-32 32s-32-14.36-32-32V232zM240 248.2V328c0 17.64-14.34 32-32 32s-32-14.36-32-32V248.2c0-6.029 1.965-11.66 5.098-16.7c11.7-1.258 22.13-6.576 29.78-14.71C227.1 218.3 240 231.6 240 248.2z"],
    "hand-point-left": [512, 512, [], "f0a5", "M309.1 252.4C315.6 254.7 321.6 256 328 256c26.47 0 48-21.53 48-48V160c0-4.406-3.578-8-8-8S360 155.6 360 160v48c0 17.66-14.36 32-32 32s-32-14.34-32-32V120c0-22.06 17.94-40 40-40h78.92c14.08 0 27.05 7.656 33.84 20l35.09 63.63C491.8 178 496 194.3 496 210.8v127.9c0 51.19-41.64 93.06-92.84 93.31H376c-4.422 0-8 3.594-8 8S371.6 448 376 448h27.2C463.2 447.7 512 398.7 512 338.7V210.8c0-19.12-4.891-38.13-14.14-54.88l-35.09-63.63C453.2 74.84 434.8 64 414.9 64H336c-28.14 0-51.27 20.93-55.19 48H48C21.53 112 0 133.5 0 160s21.53 48 48 48h100.5C140.8 216.5 136 227.7 136 240c0 22.85 16.08 41.95 37.5 46.76C165.2 295.4 160 307.1 160 320c0 22.9 16.14 42.04 37.63 46.8C189.3 375.4 184.2 387.1 184.2 400c0 26.47 21.53 48 48 48h71.8c26.47 0 48-21.53 48-48c0-22.89-16.14-42.03-37.62-46.8C322.6 344.6 327.8 332.9 327.8 320c0-20.65-13.17-38.13-31.5-44.9C302.8 269.1 307.6 261.3 309.1 252.4zM232.2 368h71.82c17.64 0 31.98 14.34 31.98 32s-14.36 32-32 32H232.2c-17.64 0-32-14.34-32-32S214.5 368 232.2 368zM208 288h71.91c17.64 0 31.91 14.34 31.91 32s-14.27 32-31.91 32H208c-17.64 0-32-14.34-32-32S190.4 288 208 288zM280 128v66.95C274.8 193.1 269.4 192 263.8 192H48c-17.64 0-32-14.34-32-32s14.36-32 32-32H280zM263.8 272H184c-17.64 0-32-14.34-32-32s14.36-32 32-32h79.81c6.029 0 11.66 1.965 16.7 5.098c1.258 11.7 6.576 22.13 14.71 29.78C293.7 259.1 280.4 272 263.8 272z"],
    "hand-point-ribbon": [448, 512, [], "e1a6", "M288 327.8c12.9 0 24.57-5.172 33.2-13.48c4.768 21.48 23.9 37.62 46.8 37.62c26.47 0 48-21.53 48-48V232.2c0-26.47-21.53-48-48-48c-12.89 0-24.56 5.172-33.2 13.47C330 176.1 310.9 160 288 160c-12.91 0-24.6 5.182-33.24 13.5C249.1 152.1 230.9 136 208 136c-12.34 0-23.49 4.809-32 12.48V48C176 21.53 154.5 0 128 0S80 21.53 80 48V64H7.994C4.932 64 2.119 65.77 .7754 68.53C-.5371 71.31-.1621 74.59 1.744 77l28 35l-28 35C-.1621 149.4-.5371 152.7 .7754 155.5C2.119 158.2 4.932 160 7.994 160H80v120.8C52.93 284.7 31.1 307.9 31.1 336L32 414.9c0 19.91 10.84 38.23 28.25 47.84l63.63 35.09C140.6 507.1 159.6 512 178.8 512h127.9c59.97 0 109-48.78 109.3-108.8V376c0-4.422-3.594-8-8-8s-8 3.578-8 8v27.16C399.8 454.4 357.9 496 306.7 496H178.8c-16.44 0-32.75-4.203-47.13-12.14L68 448.8C55.66 441.1 48 429 48 414.9V336c0-22.06 17.94-40 40-40H176c17.66 0 32 14.36 32 32s-14.34 32-32 32H128c-4.406 0-8 3.578-8 8s3.59 8 7.996 8H176c26.47 0 48-21.53 48-48c0-6.381-1.309-12.45-3.578-18.02c8.832-2.385 16.64-7.141 22.68-13.67C249.9 314.6 267.4 327.8 288 327.8zM336 232.2c0-17.64 14.34-32 32-32s32 14.36 32 32v71.8c0 17.64-14.34 32-32 32s-31.1-14.34-31.1-31.98L336 232.2zM256 208c0-17.64 14.34-32 32-32s32 14.36 32 32l-.0039 71.91c0 17.64-14.34 31.91-31.1 31.91s-31.1-14.27-31.1-31.91L256 208zM96 48c0-17.64 14.34-32 32-32s32 14.36 32 32V64H96L96 48zM24.65 144l21.59-27c2.344-2.922 2.344-7.078 0-10L24.65 80h135.3v64H24.65zM96 280V160h64v103.8C160 269.4 161.1 274.8 162.1 280H96zM240 263.8c0 16.62-12.88 29.89-29.12 31.42C203.2 287.1 192.8 281.8 181.1 280.5C177.1 275.5 176 269.8 176 263.8L176 184c0-17.64 14.34-32 31.1-32s32 14.36 32 32V263.8z"],
    "hand-point-right": [512, 512, [], "f0a4", "M215.7 275.1C197.4 281.9 184.2 299.4 184.2 320c0 12.9 5.172 24.57 13.48 33.2C176.2 357.1 160 377.1 160 400c0 26.47 21.53 48 48 48h71.8c26.47 0 48-21.53 48-48c0-12.89-5.172-24.56-13.47-33.2C335.9 362 352 342.9 352 320c0-12.91-5.182-24.6-13.5-33.24C359.9 281.1 376 262.9 376 240c0-12.34-4.809-23.49-12.48-32H464C490.5 208 512 186.5 512 160s-21.53-48-48-48H231.2C227.3 84.93 204.1 64 176 64H97.08C77.17 64 58.84 74.84 49.23 92.25L14.14 155.9C4.891 172.6 0 191.6 0 210.8v127.9C0 398.7 48.78 447.7 108.8 448H136c4.422 0 8-3.594 8-8S140.4 432 136 432H108.8C57.64 431.8 16 389.9 16 338.7V210.8C16 194.3 20.2 178 28.14 163.6L63.23 100C70.03 87.66 83 80 97.08 80H176c22.06 0 40 17.94 40 40V208c0 17.66-14.36 32-32 32s-32-14.34-32-32V160c0-4.406-3.578-8-8-8S136 155.6 136 160v48c0 26.47 21.53 48 48 48c6.381 0 12.45-1.309 18.02-3.578C204.4 261.3 209.2 269.1 215.7 275.1zM311.8 400c0 17.66-14.36 32-32 32H208c-17.64 0-32-14.34-32-32s14.34-32 31.98-32h71.82C297.5 368 311.8 382.3 311.8 400zM336 320c0 17.66-14.36 32-32 32H232.1c-17.64 0-31.91-14.34-31.91-32s14.27-32 31.91-32H304C321.6 288 336 302.3 336 320zM464 128c17.64 0 32 14.34 32 32s-14.36 32-32 32H248.2C242.6 192 237.2 193.1 232 194.1V128H464zM216.8 242.9c8.139-7.652 13.46-18.08 14.71-29.78C236.5 209.1 242.2 208 248.2 208H328c17.64 0 32 14.34 32 32s-14.36 32-32 32H248.2C231.6 272 218.3 259.1 216.8 242.9z"],
    "hand-point-up": [448, 512, [9757], "f0a6", "M243.1 296.3C249.9 314.6 267.4 327.8 288 327.8c12.9 0 24.57-5.172 33.2-13.48c4.768 21.48 23.9 37.62 46.8 37.62c26.47 0 48-21.53 48-48V232.2c0-26.47-21.53-48-48-48c-12.89 0-24.56 5.172-33.2 13.47C330 176.1 310.9 160 288 160c-12.91 0-24.6 5.182-33.24 13.5C249.1 152.1 230.9 136 208 136c-12.34 0-23.49 4.809-32 12.48V48C176 21.53 154.5 0 128 0S80 21.53 80 48v232.8C52.93 284.7 32 307.9 32 336v78.92c0 19.91 10.84 38.23 28.25 47.84l63.63 35.09C140.6 507.1 159.6 512 178.8 512h127.9c59.97 0 109-48.78 109.3-108.8V376c0-4.422-3.594-8-8-8s-8 3.578-8 8v27.16C399.8 454.4 357.9 496 306.7 496H178.8c-16.44 0-32.75-4.203-47.13-12.14L68 448.8C55.66 441.1 48 429 48 414.9V336c0-22.06 17.94-40 40-40H176c17.66 0 32 14.36 32 32s-14.34 32-32 32H128c-4.406 0-8 3.578-8 8S123.6 376 128 376h48c26.47 0 48-21.53 48-48c0-6.381-1.309-12.45-3.578-18.02C229.3 307.6 237.1 302.8 243.1 296.3zM368 200.2c17.66 0 32 14.36 32 32v71.8c0 17.64-14.34 32-32 32s-32-14.34-32-31.98V232.2C336 214.5 350.3 200.2 368 200.2zM288 176c17.66 0 32 14.36 32 32v71.91c0 17.64-14.34 31.91-32 31.91s-32-14.27-32-31.91V208C256 190.4 270.3 176 288 176zM96 48c0-17.64 14.34-32 32-32s32 14.36 32 32v215.8C160 269.4 161.1 274.8 162.1 280H96V48zM210.9 295.2C203.2 287.1 192.8 281.8 181.1 280.5C177.1 275.5 176 269.8 176 263.8V184c0-17.64 14.34-32 32-32s32 14.36 32 32v79.81C240 280.4 227.1 293.7 210.9 295.2z"],
    "hand-pointer": [448, 512, [], "f25a", "M232 424v-112c0-4.418-3.582-8-8-8S216 307.6 216 312v112c0 4.418 3.582 8 8 8S232 428.4 232 424zM393.8 224h-12.88c-9.094-19.38-27.97-32-48.65-32h-15.38c-7.25 0-13.94 1.188-20.06 3.5C286.7 183.2 271.6 176 255.4 176h-8.594C238.9 176 231.1 177.8 224 181.1V56C224 25.12 198.9 0 168 0S112 25.12 112 56v288C112 348.4 115.6 352 120 352S128 348.4 128 344v-288C128 33.94 145.9 16 168 16S208 33.94 208 56v139.1c0 5.328 4.521 8.017 7.996 8.017C223.1 203.1 227.3 192 246.8 192h8.594c13.06 0 25.09 6.656 32.19 17.81c1.515 2.408 4.079 3.713 6.729 3.713c4.993 0 7.861-5.526 22.65-5.526h15.38c15.59 0 30.34 11.06 35.84 26.91c1.078 3.12 4.01 5.417 7.136 5.417c.3179 0 .6378-.0237 .9579-.0728c0 0 2.281-.25 2.312-.25h15.28c21.03 0 38.16 17.12 38.16 38.16v102.8c0 63.44-51.63 115.1-115.1 115.1H224c-42.5 0-85.53-20.72-109.8-53L23.22 329.6c-4.727-6.286-7.218-13.76-7.218-21.49c0-29.37 26.98-36.13 35.94-36.13c24.38 0 26.32 17.61 35.23 17.61c4.6 0 8.028-3.741 8.028-7.993c0-7.458-18.63-25.6-43.21-25.6c-29.14 0-51.99 23.73-51.99 52.11c0 11.19 3.608 22.04 10.57 31.3l91.03 113.4C128.6 488.8 176.6 512 224 512h92.94c72.28 0 131.1-58.78 131.1-131.1V278.2C447.1 248.3 423.7 224 393.8 224zM296 424v-112c0-4.418-3.583-8-8.001-8S280 307.6 280 312v112c0 4.418 3.58 8 7.998 8S296 428.4 296 424zM360 424v-112c0-4.418-3.582-8-8-8s-8 3.582-8 8v112c0 4.418 3.582 8 8 8S360 428.4 360 424z"],
    "hand-scissors": [512, 512, [], "f257", "M512 226.4v122.6C512 421.2 453.2 480 380.9 480h-110.9c-29.87 0-54.06-24.28-54.06-54.15v-12.87c-19.37-9.093-31.1-27.97-31.1-48.65V352c0-9.656 3.469-19.47 8.249-27.75c0 0-136.9 9.586-138.3 9.586C26.04 333.8 0 311.5 0 279.3C0 250.1 22.08 227.8 50.31 225.7l143.1-10.19l-126.8-46.53C57.02 165.1 32.02 150.4 32.02 118.3C32.02 92.12 51.99 64 86.17 64c6.329 0 12.68 1.125 18.8 3.392l258.9 96.65c3.19 1.218 5.185 4.258 5.185 7.522c0 4.471-3.646 7.979-8.014 7.979c-.928 0-1.872-.1613-2.795-.5013l-258.8-96.65C95.08 80.8 90.61 80.01 86.16 80.01c-21.74 0-38.14 17.88-38.14 38.21c0 22.6 17.46 32.99 24.97 35.76l161.8 59.37C237.9 214.5 240.1 217.5 240.1 220.7c0 1.323-.8719 7.697-7.465 8.137L51.47 241.6c-20.1 1.467-35.4 19.42-35.4 39.41c0 20.82 18.47 36.81 38.04 36.81c.9182 0 1.841-.0325 2.766-.098c0 0 152.5-10.74 152.7-10.74c4.332 0 7.954 3.498 7.954 7.989c0 2.195-.8899 4.349-2.574 5.907c-7.437 6.812-14.97 19.66-14.97 31.09v12.31c0 15.59 11.06 30.34 26.9 35.84c3.25 1.133 5.106 5.966 5.106 9.772c0 .1824-.0042 .3625-.0128 .5396v15.37c0 21.03 17.12 38.15 38.15 38.15h110.8c63.43 0 115.1-51.62 115.1-115.1V226.4c0-19.12-4.812-38.12-13.94-54.9l-34.44-63.43c-9.343-17.28-27.37-27.1-47.06-27.1h-53.43c-32.61 0-39.05 23.09-48.08 23.09c-4.69 0-7.985-3.88-7.985-8.027c0-7.758 23.68-31.06 56.07-31.06h53.43c25.56 0 48.97 13.94 61.12 36.37l34.44 63.43C506.5 182.9 512 204.5 512 226.4z"],
    "hand-sparkles": [640, 512, [], "e05d", "M72 216C72 220.4 75.59 224 80 224s8-3.594 8-8v-64h64c4.406 0 7.988-3.589 7.988-7.995S156.4 136 152 136h-64v-64C88 67.59 84.41 64 80 64S72 67.59 72 72v64h-64c-4.406 0-7.992 3.59-7.992 7.996S3.594 152 8 152h64V216zM304 416c4.406 0 8-3.594 8-8v-32h32c4.406 0 8-3.595 8-8.001S348.4 360 344 360h-32v-32C312 323.6 308.4 320 304 320s-8 3.594-8 8v32h-32C259.6 360 256 363.6 256 367.1S259.6 376 264 376h32v32C296 412.4 299.6 416 304 416zM631.1 424H568.1v-64c0-4.406-3.636-8-8.047-8c-4.408 0-7.963 3.594-7.963 8v64h-64.04c-4.41 0-7.996 3.589-7.996 7.995S483.6 440 488 440h64.04v64c0 4.406 3.555 8 7.963 8c4.41 0 8.047-3.594 8.047-8v-64h63.94c4.41 0 7.995-3.589 7.995-7.995S636.4 424 631.1 424zM479.6 469.9c-5.643 0-34.62 26.13-87.7 26.13h-62.78c-49.53 0-96.08-19.3-131.1-54.34l-107.9-108.1c-6.673-6.681-10.11-15.52-10.11-24.11c0-18.01 15.08-29.91 29.54-29.91c8.452 0 16.49 3.061 22.45 9.041l62.03 61.14c1.513 1.503 3.521 2.291 5.582 2.291c4.523 0 8.028-3.635 8.028-7.994v-272c0-13.23 10.78-24 24.03-24c13.23 0 24.02 10.77 24.02 24L255.9 240c0 13.23 10.56 24 23.81 24c13.23 0 24.15-10.77 24.15-24L303.7 40c0-13.23 10.78-24 24.02-24c13.25 0 24.03 10.77 24.03 24l.1667 200c0 13.23 10.6 24 23.83 24c13.25 0 24.02-10.77 24.02-24V72c0-13.23 10.77-24 24.02-24s24.02 10.77 24.02 24l.1354 168c0 13.23 10.65 24 24.02 24c13.23 0 24-10.77 24-24V136c0-13.23 10.78-24 24.03-24S544 122.8 544 136v176C544 316.4 547.6 320 552 320s8-3.578 8-8v-176C560 113.9 542 96 519.1 96c-22.08 0-40.03 17.94-40.03 40l.0313 104c0 4.406-3.625 8-8.172 8c-4.422 0-8.016-3.594-8.016-8V72c0-22.06-17.95-40-40.02-40s-40.02 17.94-40.02 40l.1709 168c0 4.406-3.765 8-8.187 8c-4.406 0-8-3.594-8-8V40c0-22.06-17.83-40-39.9-40C305.8 0 287.7 17.94 287.7 40L287.9 240c0 4.406-3.792 8-8.198 8c-4.422 0-8.016-3.594-8.016-8V72c0-22.06-17.95-40-40.02-40C209.6 32 191.6 49.94 191.6 72v252.9L143.3 277.2C134.4 268.4 122.4 263.5 109.9 263.5c-10.51 0-45.84 8.368-45.84 45.91c0 12.73 5.001 25.69 14.75 35.44l107.9 108.1C224.8 491 275.3 512 329.1 512h62.78c47.05 0 95.7-23.48 95.7-34.13C487.6 473.5 484.1 469.9 479.6 469.9z"],
    "hand-spock": [576, 512, [128406], "f259", "M544 132.6c0-15.38-8.51-29.8-22.33-36.04c-5.237-2.364-10.84-3.547-16.41-3.547c-24.87 0-35.3 20.15-37.65 28.72l-33.31 122.1c-.694 2.581-3.167 3.457-5.501 3.457c-2.693 0-5.744-.8895-5.744-4.928c0-.392 .041-.8086 .1353-1.248l34.61-161.4c.6316-2.942 .9356-5.893 .9356-8.805c0-21.36-16.01-39.84-38.74-39.84c-16.1 0-34.05 11.51-38.21 30.82l-36.59 170.8C343.3 241.5 335.3 248 326.1 248c-8.984 0-16.78-6.078-18.95-14.78l-50.5-201.9c-4.616-18.43-20.99-31.25-38.81-31.25c-27.04 0-38.5 24.09-38.5 39.01c0 3.15 .38 6.312 1.152 9.415l49 195.9c.0681 .262 .0968 .5084 .0968 .738c0 1.086-.523 2.531-3.056 2.531c-1.133 0-2.302-.418-2.697-1.659L178.5 106.2C172.9 89.02 157 77.53 140.3 77.53c-8.6 0-38.52 7.422-38.52 38.98c0 4.047 .6277 8.105 1.898 12.02l68.19 208.7L113.4 278.8C103.6 268.1 90.67 263.1 77.93 263.1c-28.88 0-45.94 24.32-45.94 46.18c0 12.38 4.919 24.35 13.71 33.12l118.8 118.7C196.7 494.2 239.6 512 285.3 512l51.23-.3125c62.69-1.797 117.9-45.13 134.3-105.4l71.7-262.7C543.5 139.9 544 136.2 544 132.6zM528 132.5c0 2.272-.299 4.586-.9239 6.878L455.4 402.1c-14.58 53.5-63.67 91.98-120.7 93.89H285.3c-41.38 0-80.25-16.09-109.5-45.33l-118.8-118.7c-5.787-5.787-9.021-13.64-9.021-21.79c0-7.951 6.169-30.26 29.97-30.26c8.594 0 17.42 3.438 24.11 10.12l58.48 58.45c3.103 3.094 7.068 4.688 11.09 4.688c5.97 0 15.84-4.667 15.84-15.67c0-1.656-.2626-3.345-.8066-5.018L118.9 123.6C118.2 121.3 117.8 118.9 117.8 116.5c0-16.71 14.6-22.98 22.57-22.98c9.947 0 19.45 7.041 22.89 17.57L208.6 250.9C211.1 258.7 218.4 264 226.6 264c14 0 18.96-12.38 18.96-18.9c0-1.542-.1891-3.096-.5735-4.634l-49-195.9c-.4601-1.836-.6864-3.707-.6864-5.571c0-16.65 14.73-22.98 22.6-22.98c10.56 0 20.37 7.828 23.18 19.12l50.5 201.9C295.6 252.9 309.8 264 326.1 264c16.64 0 31.27-11.81 34.75-28.08l36.59-170.8c2.476-11.56 12.74-18.17 22.51-18.17c13.6 0 22.78 10.91 22.78 23.75c0 1.831-.1921 3.691-.5915 5.547l-34.61 161.4c-.325 1.525-.485 3.06-.485 4.582c0 4.919 1.67 9.707 4.844 13.62C416 261.1 422.2 264 428.8 264c9.766 0 18.39-6.578 20.95-16l33.31-122c1.356-4.949 7.574-16.95 22.21-16.95C523.8 108.1 528 125.1 528 132.5z"],
    "hand-wave": [512, 512, [], "e1a7", "M88 433.1c-39.69 0-72-32.39-72-72.18c0-4.418-3.594-8.02-8-8.02S0 356.5 0 360.9c0 48.66 39.47 88.22 88 88.22c4.406 0 8-3.602 8-8.02S92.41 433.1 88 433.1zM296 16.04c39.69 0 72 32.38 72 72.18c0 4.434 3.594 8.021 8 8.021S384 92.66 384 88.22C384 39.57 344.5 0 296 0C291.6 0 288 3.586 288 8.02S291.6 16.04 296 16.04zM435.1 96c-24.36 0-42.73 18.88-42.73 43.9V195.4L234 44.59C225.6 36.5 214.4 32 202.5 32C177.1 32 157.9 51.22 157.6 75.26c-7.713-5.623-17.03-8.666-26.82-8.666c-24.56 0-44.94 19.38-44.94 43.9c0 9.188 2.859 17.93 8.174 25.27C69.65 136.2 49.94 155.6 49.94 179.7c0 11.84 4.75 22.94 13.37 31.26l11.75 11.33C51.19 223.2 31.1 242.3 31.1 266c0 11.84 4.749 23.04 13.37 31.35l142.9 137.8C218.3 464.1 258.2 480 300.7 480c42.27 0 81.94-15.8 111.7-44.48l16.84-15.59C462.1 388.3 480 346.5 480 301.1V139.9C480 115.7 459.8 96 435.1 96zM464 301.1c0 40.11-16.21 77.83-45.64 106.2l-17.07 15.81C373.7 450.6 337.2 464 300.7 464c-36.67 0-73.38-13.44-101.3-40.4L57.5 286.8C51.57 281.1 48.51 273.3 48.51 265.7c0-17.98 15.27-27.46 28.44-27.46c7.406 0 14.81 2.727 20.46 8.176l91.83 88.53c1.73 1.668 3.966 2.502 6.201 2.502s4.47-.834 6.199-2.502c1.821-1.757 2.743-4.103 2.743-6.44c0-2.338-.9111-4.676-2.734-6.433L75.44 200.4C69.51 194.7 66.44 186.9 66.44 179.2c0-17.99 15.28-27.47 28.44-27.47c7.406 0 14.81 2.727 20.46 8.176l125.2 120.7c1.731 1.668 3.966 2.502 6.2 2.502c6.261 0 8.932-5.461 8.932-8.933c0-2.337-.9111-4.675-2.732-6.431L111.3 131.2c-5.925-5.712-8.992-13.49-8.992-21.16c0-17.98 15.27-27.46 28.44-27.46c7.406 0 14.81 2.727 20.46 8.176l145.6 140.4c1.729 1.668 3.964 2.502 6.199 2.502s4.47-.834 6.199-2.502c1.821-1.756 2.751-4.11 2.751-6.448s-.9106-4.675-2.732-6.431l-126.2-121.7c-5.924-5.711-8.99-13.48-8.99-21.16C174.1 57.48 189.4 48 202.5 48c7.406 0 14.81 2.727 20.46 8.176l171.8 163.7c1.611 1.535 3.557 2.223 5.463 2.223c4.118 0 8.054-3.209 8.054-8.016V139.9C408.3 124.5 419.1 112 435.1 112C451 112 464 124.5 464 139.9V301.1z"],
    "handcuffs": [640, 512, [], "e4f8", "M304 16C304 7.164 311.2 0 320 0C328.8 0 336 7.164 336 16C336 24.84 328.8 32 320 32C311.2 32 304 24.84 304 16zM256 40C256 48.84 248.8 56 240 56C231.2 56 224 48.84 224 40C224 31.16 231.2 24 240 24C248.8 24 256 31.16 256 40zM168 80C168 71.16 175.2 64 184 64C192.8 64 200 71.16 200 80C200 88.84 192.8 96 184 96C175.2 96 168 88.84 168 80zM280 352C280 418.3 226.3 472 160 472C93.73 472 40 418.3 40 352C40 285.7 93.73 232 160 232C226.3 232 280 285.7 280 352zM160 248C102.6 248 56 294.6 56 352C56 409.4 102.6 456 160 456C217.4 456 264 409.4 264 352C264 294.6 217.4 248 160 248zM192 144C209.7 144 224 158.3 224 176V205.3C280.5 230 320 286.4 320 352C320 440.4 248.4 512 160 512C71.63 512 0 440.4 0 352C0 286.4 39.49 230 96 205.3V176C96 158.3 110.3 144 128 144H144C144 135.2 151.2 128 160 128C168.8 128 176 135.2 176 144H192zM128 160C119.2 160 112 167.2 112 176V199.3C127.2 194.6 143.3 192 160 192C176.7 192 192.8 194.6 208 199.3V176C208 167.2 200.8 160 192 160H128zM160 496C239.5 496 304 431.5 304 352C304 272.5 239.5 208 160 208C80.47 208 16 272.5 16 352C16 431.5 80.47 496 160 496zM480 496C559.5 496 624 431.5 624 352C624 272.5 559.5 208 480 208C418.3 208 365.7 246.7 345.2 301.2C343.1 293.6 340.6 286.2 337.6 278.9C354.4 246.3 382.2 220.1 416 205.3V176C416 158.3 430.3 144 448 144H464C464 135.2 471.2 128 480 128C488.8 128 496 135.2 496 144H512C529.7 144 544 158.3 544 176V205.3C600.5 230 640 286.4 640 352C640 440.4 568.4 512 480 512C417.1 512 364.2 476.7 337.6 425.1C340.6 417.8 343.1 410.4 345.2 402.8C365.7 457.3 418.3 496 480 496V496zM432 199.3C447.2 194.6 463.3 192 480 192C496.7 192 512.8 194.6 528 199.3V176C528 167.2 520.8 160 512 160H448C439.2 160 432 167.2 432 176V199.3zM360 352C360 285.7 413.7 232 480 232C546.3 232 600 285.7 600 352C600 418.3 546.3 472 480 472C413.7 472 360 418.3 360 352zM480 456C537.4 456 584 409.4 584 352C584 294.6 537.4 248 480 248C422.6 248 376 294.6 376 352C376 409.4 422.6 456 480 456zM440 80C440 71.16 447.2 64 456 64C464.8 64 472 71.16 472 80C472 88.84 464.8 96 456 96C447.2 96 440 88.84 440 80zM416 40C416 48.84 408.8 56 400 56C391.2 56 384 48.84 384 40C384 31.16 391.2 24 400 24C408.8 24 416 31.16 416 40z"],
    "hands": [512, 512, ["sign-language", "signing"], "f2a7", "M351.5 211L243.7 177.7C239.9 176.6 235.1 176 232 176c-17.63 0-33 11.3-38.27 28.18C189.8 216.9 192.6 230.1 199.9 240H72.9c-19.68 0-36.57 13.55-40.16 32.22c-2.168 11.28 .4746 22.76 7.262 31.79C20.71 304.4 4.275 317.8 .7402 336.2c-2.287 11.89 .7773 24.01 8.406 33.24C16.78 378.7 28.02 384 39.99 384c-3.588 4.682-6.092 10.18-7.254 16.22c-2.287 11.89 .7773 24.01 8.406 33.24C48.78 442.7 60.02 448 71.99 448c-3.588 4.682-6.092 10.18-7.254 16.22c-3.021 15.71 3.297 31.81 17.14 41.15C88.69 509.1 96.92 512 105.1 512H328c66.16 0 120-53.84 120-120l-.0059-48.03C447.1 283.7 409.4 230.3 351.5 211zM328 496H103.1c-14.81 0-26.49-13.42-23.54-28.76C82.64 455.8 93.29 448 104.9 448h95.1c4.418 0 8-3.582 8-8s-3.582-8-8-8h-128c-14.81 0-26.49-13.42-23.54-28.76C50.64 391.8 61.29 384 72.9 384h127.1c4.418 0 8-3.582 8-8s-3.582-8-8-8h-160c-14.81 0-26.49-13.42-23.54-28.76C18.64 327.8 29.29 320 40.9 320h159.1c4.418 0 8-3.582 8-8s-3.582-8-8-8h-128c-14.81 0-26.49-13.42-23.54-28.76C50.64 263.8 61.29 256 72.9 256h199.1L224.9 238.9C212.2 235 205.2 221.6 209.1 208.9c3.211-10.29 12.68-16.89 22.97-16.89c2.33-.002 4.703 .3379 7.057 1.047l107.7 33.25c51.16 17.06 85.19 64.28 85.19 117.7L432 392C432 449.3 385.3 496 328 496zM511.1 184.2c-.2891-21.87-18.59-39.65-41.01-39.65c-13.31 .0977-25.09 6.715-32.29 16.62l-38.25-121.1c-5.363-16.98-21.14-28.84-38.38-28.84c-1.469 0-2.953 .084-4.441 .2578c-11.41 1.328-21.56 7.307-28.13 16.5C323.9 11.46 308.3 0 291.4 0c-1.471 0-2.955 .084-4.441 .2578C269.9 2.244 255.6 14.64 251.1 32.62C250.7 39.06 251.3 45.76 253.2 52.06C249 50.52 244.6 49.79 240 49.79c-1.471 0-2.953 .084-4.441 .2578c-12.03 1.4-22.66 7.971-29.16 18.03C199.9 78.14 198.2 90.46 201.8 101.9C197.6 100.3 193.2 99.59 188.6 99.59c-1.471 0-2.953 .084-4.441 .2578C168.3 101.7 154.8 112.6 150.1 128.6C147.8 136.5 148.3 144.1 150.8 152.8l6.904 21.85c1.994 6.314 10.52 7.472 14.13 1.917c.0391-.0645-.041 .0625 0 0c1.32-2.02 1.811-4.569 1.084-6.87L165.7 146.8c-4.461-14.12 4.82-29.3 20.33-31.11c.8691-.1016 1.734-.1504 2.59-.1504c10.51-.002 19.89 7.428 23.12 17.66l1.936 6.129c1.158 3.668 4.865 6.006 8.666 5.42c.0547-.0078-.0527 .0078 0 0C227.2 144.1 230.4 139.3 228.9 134.6L217.1 97.05C212.6 82.94 221.9 67.75 237.4 65.94c.8691-.1016 1.732-.1504 2.59-.1504c10.51 0 19.89 7.43 23.12 17.66l21.99 69.96c.7891 2.508 2.758 4.467 5.27 5.242c6.156 1.9 11.92-3.893 9.982-10.04l-31.9-101.4c-4.461-14.12 4.82-29.3 20.33-31.11C289.7 16.05 290.5 16 291.4 16c10.51 0 19.89 7.43 23.12 17.66l44.61 141.2c1.045 3.305 4.098 5.561 7.564 5.59c5.434 .041 9.328-5.229 7.691-10.41l-35.24-111.6c-4.459-14.12 4.82-29.3 20.33-31.11c.8691-.1016 1.734-.1504 2.59-.1504c10.51-.002 19.89 7.428 23.12 17.66l59.98 189.8l2.082-50.04c-.0879-13.25 10.59-24.06 23.86-24.16c13.19 0 24.72 10.58 24.9 23.87v112.7c-.3301 20.58-5.77 39.96-15.06 57.05C480.3 355.3 480 356.6 480 357.8c0 8.189 10.94 10.98 14.88 3.807C505.5 342.3 511.6 320.4 512 297.1L511.1 184.2z"],
    "hands-asl-interpreting": [640, 512, ["american-sign-language-interpreting", "asl-interpreting", "hands-american-sign-language-interpreting"], "f2a3", "M301.2 240.4C292.6 216.3 276.1 196.4 254.4 183.7l55.53-15.88c20.48-5.859 32.39-27.3 26.53-47.8c-2.828-9.953-9.375-18.19-18.42-23.2C309.1 91.82 298.6 90.65 288.7 93.5L228.8 110.6L278.5 68.03c16.19-13.88 18.08-38.33 4.188-54.53C275.1 5.668 266.6 .9027 256.3 .1214c-10.36-.7969-20.3 2.469-28.11 9.188L159.7 67.97l6.047-13.11c8.922-19.36 .4219-42.38-18.92-51.3c-19.33-8.922-42.39-.4219-51.34 19L15 202.7C5.047 225 0 248.7 0 273c0 61.17 49.78 110.1 110.1 110.1l96.37-.0028c32.81-2.359 63.38-20.23 81.85-47.81c10.53-15.75 7.938-36.53-5.219-49.3C299.9 277.8 307.5 258.3 301.2 240.4zM199.7 229.1c-25.55 0-46.34 20.78-46.34 46.33s20.8 46.34 46.34 46.34c15.5 0 29.91-7.719 38.53-20.62C245.2 291.6 259.3 288.9 269.7 295.8c10.38 6.969 13.16 21.08 6.219 31.45c-15.75 23.52-41.81 38.73-69.17 40.72H110.1C58.61 367.1 16 325.4 16 273c0-22.11 4.578-43.56 13.59-63.77l80.48-180.1C113.9 20.9 122.1 16.01 130.7 16.01c3.172 0 6.391 .6719 9.469 2.078C151.5 23.32 156.5 36.81 151.3 48.15L114.5 127.8l124.1-106.4C243.2 17.53 248.9 15.57 255 16.07c6.047 .4531 11.56 3.25 15.5 7.844s5.859 10.45 5.391 16.5C275.5 46.45 272.7 51.93 268.1 55.87L162.8 146.1l130.3-37.22C298.9 107.2 305 107.9 310.3 110.8c5.312 2.953 9.141 7.781 10.81 13.61c3.438 12.02-3.547 24.59-15.56 28.03L204.5 181.3l24.34 8.219C255.8 198.6 276.7 219.1 286.1 245.8c4.172 11.78-2.031 24.77-13.81 28.92C260.5 278.9 247.5 272.7 243.4 260.9C236.8 242.4 219.3 229.1 199.7 229.1zM237.8 281.1C232.8 283.1 228.4 288 224.9 293.1C219.3 301.6 209.8 306.7 199.7 306.7c-16.73 0-30.34-13.61-30.34-30.34c0-16.72 13.61-30.33 30.34-30.33c12.83 0 24.33 8.125 28.61 20.23C230.3 272.1 233.7 277.1 237.8 281.1zM529 127.1l-96.37 .0076c-32.81 2.359-63.38 20.23-81.85 47.8c-10.53 15.75-7.938 36.53 5.219 49.3c-15.89 9.094-23.55 28.56-17.23 46.45c8.547 24.16 25.11 44.02 46.77 56.72l-55.53 15.88c-20.48 5.859-32.39 27.3-26.53 47.8c2.828 9.953 9.375 18.19 18.42 23.2c9.062 5.031 19.48 6.219 29.38 3.344l59.86-17.09l-49.66 42.56c-16.19 13.88-18.08 38.33-4.188 54.53c6.734 7.828 16.11 12.59 26.41 13.38c1.016 .0781 2.031 .125 3.031 .125c9.219 0 18.03-3.25 25.08-9.312l68.44-58.66l-6.047 13.11c-8.922 19.36-.4219 42.38 18.92 51.3c19.33 8.922 42.39 .4219 51.34-19L625 309.2C634.1 286.1 640 263.3 640 238.9C640 177.8 590.2 127.1 529 127.1zM610.4 302.7l-80.48 180.1c-5.219 11.34-18.7 16.28-30.09 11.09c-11.33-5.234-16.3-18.72-11.08-30.06l36.77-79.66l-124.1 106.4c-4.578 3.906-10.34 5.719-16.45 5.375c-6.047-.4531-11.56-3.25-15.5-7.844s-5.859-10.45-5.391-16.5c.4687-6.031 3.25-11.52 7.844-15.45l105.3-90.22l-130.3 37.22c-5.797 1.656-11.92 .9687-17.19-1.953c-5.312-2.953-9.141-7.781-10.81-13.61c-3.438-12.02 3.547-24.59 15.56-28.03l101.1-28.86l-24.34-8.219c-26.98-9.094-47.84-29.59-57.27-56.23c-4.172-11.78 2.031-24.77 13.81-28.92c11.78-4.172 24.77 2.031 28.92 13.81c6.547 18.47 24.11 30.89 43.7 30.89c25.55 0 46.34-20.78 46.34-46.33s-20.8-46.34-46.34-46.34c-15.5 0-29.91 7.719-38.53 20.62c-6.969 10.38-21.12 13.12-31.47 6.219c-10.38-6.969-13.16-21.08-6.219-31.45c15.75-23.52 41.81-38.73 69.17-40.72h95.75C581.4 143.1 624 186.6 624 238.9C624 261.1 619.4 282.5 610.4 302.7zM402.2 230.9c5.031-2.875 9.484-6.906 12.94-12.03c5.656-8.469 15.09-13.53 25.23-13.53c16.73 0 30.34 13.61 30.34 30.34c0 16.72-13.61 30.33-30.34 30.33c-12.83 0-24.33-8.125-28.61-20.23C409.7 239.9 406.3 234.9 402.2 230.9z"],
    "hands-bound": [640, 512, [], "e4f9", "M287.1 368H352V258.1C352 233.4 361 209.7 377.4 191.3L424.1 138.7C435.6 125.8 455.4 124.4 468.6 135.5C481.9 146.7 483.8 166.4 472.1 179.1L445.4 214.5C438.3 223.3 440.7 236.3 450.4 242C458.6 246.8 469 244.7 474.7 237.2L544 144.8V32C544 14.33 558.3 0 576 0C593.7 0 608 14.33 608 32V213.9C608 228 602.9 241.8 593.7 252.5L494.7 368H512C516.4 368 520 371.6 520 376C520 380.4 516.4 384 512 384H127.1C123.6 384 119.1 380.4 119.1 376C119.1 371.6 123.6 368 127.1 368H145.3L46.31 252.5C37.07 241.8 32 228 32 213.9V32C32 14.33 46.33 0 64 0C81.67 0 96 14.33 96 32V144.8L165.3 237.2C170.1 244.7 181.4 246.8 189.6 242C199.3 236.3 201.7 223.3 194.6 214.5L167 179.1C156.2 166.4 158.1 146.7 171.4 135.5C184.6 124.4 204.4 125.8 215.9 138.7L262.6 191.3C278.1 209.7 288 233.4 288 258.1L287.1 368zM271.1 258.1C271.1 237.4 264.4 217.4 250.6 201.9L203.1 149.4C198.2 142.9 188.3 142.2 181.7 147.8C175.1 153.4 174.1 163.2 179.5 169.1L207.1 204.5C220.2 220.9 215.8 245.1 197.7 255.8C182.5 264.8 163.1 260.9 152.5 246.8L79.1 150.1V31.1C79.1 23.16 72.84 15.1 63.1 15.1C55.16 15.1 47.1 23.16 47.1 31.1V213.9C47.1 224.2 51.71 234.2 58.45 242.1L161.6 362.4C163 364.1 164.9 365.5 166.9 366.5L170.1 368H271.1V258.1zM473.1 366.5C475.1 365.5 476.1 364.1 478.4 362.4L581.5 242.1C588.3 234.2 592 224.2 592 213.9V31.1C592 23.16 584.8 15.1 576 15.1C567.2 15.1 560 23.16 560 31.1V150.1L487.5 246.8C476.9 260.9 457.5 264.8 442.3 255.8C424.2 245.1 419.8 220.9 432.9 204.5L460.5 169.1C465.9 163.2 464.9 153.4 458.3 147.8C451.7 142.2 441.8 142.9 436 149.4L389.4 201.9C375.6 217.4 368 237.4 368 258.1V368H469.9L473.1 366.5zM175.1 464V488C175.1 492.4 179.6 496 183.1 496H263.1C268.4 496 271.1 492.4 271.1 488V464H287.1V488C287.1 501.3 277.3 512 263.1 512H183.1C170.7 512 159.1 501.3 159.1 488V464H175.1zM368 464V488C368 492.4 371.6 496 376 496H456C460.4 496 464 492.4 464 488V464H480V488C480 501.3 469.3 512 456 512H376C362.7 512 352 501.3 352 488V464H368zM512 416C516.4 416 520 419.6 520 424C520 428.4 516.4 432 512 432H127.1C123.6 432 119.1 428.4 119.1 424C119.1 419.6 123.6 416 127.1 416H512z"],
    "hands-bubbles": [576, 512, ["hands-wash"], "e05e", "M448 160c0 26.51 21.49 48 48 48S544 186.5 544 160s-21.49-48-48-48S448 133.5 448 160zM496 128c17.64 0 32 14.36 32 31.1s-14.36 32-32 32s-32-14.36-32-32S478.4 128 496 128zM112 416c-26.51 0-48 21.49-48 47.1s21.49 48 48 48S160 490.5 160 464S138.5 416 112 416zM112 496c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S129.6 496 112 496zM503.1 304c6.787-9.035 9.43-20.51 7.262-31.79C507.7 253.5 490.8 240 471.1 240h-126.1c7.275-9.857 10.04-23.08 6.119-35.8c-5.264-16.88-20.63-28.18-38.27-28.18c-3.941 0-7.871 .582-11.67 1.729L192.5 211c-57.84 19.29-96.47 72.67-96.47 132.9v32.53c0 4.688 4.124 8.252 8.79 7.824c.0586-.0059-.0605 .0039 0 0c4.043-.3613 7.21-3.783 7.21-7.842v-32.52c0-53.38 34.03-100.6 85.19-117.7l107.7-33.25c2.354-.709 4.727-1.049 7.057-1.047c10.3 0 19.76 6.596 22.97 16.89c3.906 12.69-3.188 26.12-15.84 30.03L272 256h199.1c11.61 0 22.25 7.844 24.44 19.24C498.5 290.6 486.8 304 472 304h-128c-4.418 0-8 3.582-8 8s3.582 8 8 8h159.1c11.61 0 22.25 7.844 24.44 19.24C530.5 354.6 518.8 368 504 368h-160c-4.418 0-8 3.582-8 8s3.582 8 8 8h127.1c11.61 0 22.25 7.844 24.44 19.24C498.5 418.6 486.8 432 472 432h-128c-4.418 0-8 3.582-8 8s3.582 8 8 8h95.1c11.61 0 22.25 7.844 24.44 19.24C466.5 482.6 454.8 496 440 496h-208c-12.91 0-25.21-2.283-36.78-6.199c-3.855-1.305-8.068 .8398-9.613 4.605c-.0215 .0488 .0215-.0488 0 0c-1.715 4.154 .2207 9.084 4.48 10.52C203.7 509.5 217.8 512 232 512h206.9c8.217 0 16.45-2.041 23.26-6.635c13.84-9.338 20.16-25.44 17.14-41.15C478.1 458.2 475.5 452.7 471.1 448c11.97 0 23.26-5.299 30.89-14.54c7.629-9.236 10.69-21.35 8.406-33.24C510.1 394.2 507.5 388.7 503.1 384c11.97 0 23.26-5.299 30.89-14.54c7.629-9.236 10.69-21.35 8.406-33.24C539.7 317.8 523.3 304.4 503.1 304zM63.06 354.2C53.77 337.1 48.33 317.7 48 297.1V184.4c.1758-13.29 11.62-23.87 24.81-23.87c13.27 .0977 24.04 10.91 23.95 24.16l2.082 50.04l59.98-189.8c3.232-10.23 12.61-17.66 23.12-17.66c.8555 0 1.721 .0488 2.59 .1504c15.51 1.807 24.79 16.99 20.33 31.11L169.6 170.1C167.1 175.2 171.9 180.5 177.3 180.5C180.8 180.4 183.8 178.2 184.9 174.9l44.61-141.2C232.7 23.43 242.1 16 252.6 16c.8574 0 1.721 .0488 2.59 .1504c15.51 1.807 24.79 16.99 20.33 31.11L243.6 148.6C241.7 154.8 247.5 160.6 253.6 158.7C256.1 157.9 258.1 155.9 258.9 153.4l21.99-69.96c3.232-10.23 12.61-17.66 23.12-17.66c.8574 0 1.721 .0488 2.59 .1504c15.51 1.807 24.79 16.99 20.33 31.11l-11.86 37.53C313.6 139.3 316.8 144.1 321.7 144.8c.0527 .0078-.0547-.0078 0 0c3.801 .5859 7.508-1.752 8.666-5.42l1.936-6.129c3.234-10.23 12.61-17.66 23.12-17.66c.8555 0 1.721 .0488 2.59 .1504c15.51 1.807 24.79 16.99 20.33 31.11l-7.217 22.85c-.7266 2.301-.2363 4.851 1.084 6.87c.041 .0625-.0391-.0645 0 0c3.607 5.555 12.14 4.397 14.13-1.917l6.904-21.85c2.477-7.838 3.016-16.3 .6953-24.19c-4.721-16.03-18.18-26.91-34.08-28.77c-1.488-.1738-2.971-.2578-4.441-.2578c-4.568 0-9.037 .834-13.24 2.375c3.607-11.42 1.967-23.82-4.545-33.88c-6.508-10.05-17.14-16.62-29.16-18.03c-1.488-.1738-2.971-.2578-4.441-.2578c-4.57 0-9.039 .834-13.24 2.377c1.869-6.303 2.57-13.11 1.26-19.55C288.4 14.64 274.1 2.244 257 .2578C255.6 .084 254.1 0 252.6 0C235.7 0 220.1 11.46 214.5 27.99c-6.568-9.195-16.72-15.17-28.13-16.5C184.9 11.32 183.4 11.23 181.9 11.23c-17.23-.002-33.01 11.86-38.38 28.84L105.3 161.2C98.1 151.3 86.33 144.6 73.02 144.5c-22.42 0-40.72 17.79-41.01 39.66L32 297.1c.3691 23.22 6.461 45.13 17.12 64.5C53.06 368.8 64 366 64 357.8C64 356.6 63.67 355.3 63.06 354.2zM432 96C458.5 96 480 74.51 480 48S458.5 0 432 0S384 21.49 384 48S405.5 96 432 96zM432 16c17.64 0 32 14.36 32 32s-14.36 32-32 32s-32-14.36-32-32S414.4 16 432 16z"],
    "hands-clapping": [512, 512, [], "e1a8", "M320 80c4.406 0 8-3.578 8-8V8C328 3.578 324.4 0 320 0s-8 3.578-8 8v64C312 76.42 315.6 80 320 80zM376 96c2.062 0 4.094-.7813 5.656-2.344l48-48C431.2 44.09 432 42.05 432 40c0-4.57-3.737-8-8-8c-2.047 0-4.094 .7813-5.656 2.344l-48 48C368.8 83.91 368 85.95 368 88C368 90.91 370.3 96 376 96zM258.3 93.66C259.9 95.22 261.9 96 264 96c5.719 0 8-5.094 8-8c0-2.047-.7813-4.094-2.344-5.656l-48-48C220.1 32.78 218 32 216 32c-4.263 0-8 3.433-8 8c0 2.047 .7813 4.094 2.344 5.656L258.3 93.66zM384 203.7c0-24.03-17.13-42.14-39.86-42.14C321.3 161.5 304 179.6 304 203.7v37.79L173.9 114.9C166.1 107.1 155.5 102.7 144.2 102.7c-16.55 0-40.11 12.2-42.03 39.08C95.48 137.4 87.64 135.1 79.44 135.1c-23.28 0-42.14 18.84-42.14 42.14c0 8.193 2.324 16.03 6.662 22.76C27.75 201.2 4.889 214.8 4.889 242c0 11.26 4.385 21.85 12.35 29.81l25.26 25.26c-20.22 2.049-37.81 19.14-37.81 41.92c0 11.25 4.385 21.84 12.35 29.8l100.6 100.6C145.1 496.9 181.6 512 220.5 512c38.69 0 74.97-14.97 102.2-42.16L337.9 455.3C367.7 425.4 384 386.1 384 344.2V203.7zM368 344.2c0 37.58-14.64 72.91-41.22 99.5l-15.42 14.81c-24.95 24.95-57.9 37.48-90.85 37.48c-33.12 0-66.28-12.59-91.53-37.85l-99.67-99.67c-5.421-5.421-8.332-12.74-8.332-19.99c0-19.69 18.01-25.6 25.85-25.6c6.688 0 13.38 2.553 18.48 7.658l54.31 54.31c1.605 1.604 3.709 2.407 5.812 2.407s4.207-.8022 5.812-2.407c1.604-1.605 2.416-3.719 2.416-5.822c0-2.104-.8027-4.208-2.408-5.813L29.53 261.5c-5.43-5.428-8.347-12.76-8.347-20.02c0-19.7 18-25.6 25.85-25.6c6.688 0 13.38 2.553 18.48 7.658L165.9 323.1c1.605 1.605 3.709 2.407 5.812 2.407c6.503 0 8.219-6.047 8.219-8.219c0-2.104-.8027-4.208-2.408-5.813L61.93 196.7c-5.424-5.424-8.338-12.75-8.338-20c0-19.73 18.02-25.6 25.85-25.6c6.689 0 13.38 2.553 18.48 7.658l118.9 118.9c1.605 1.605 3.709 2.408 5.812 2.408s4.207-.8027 5.812-2.408C230.1 276.1 230.9 273.9 230.9 271.8S230.1 267.6 228.5 266l-101.7-101.7c-5.425-5.424-8.339-12.75-8.339-20c0-19.69 18-25.6 25.85-25.6c6.689 0 13.38 2.555 18.48 7.66l143.7 139.8c1.62 1.576 3.591 2.282 5.523 2.282C316.1 268.4 320 265.2 320 260.4V203.3c0-13.73 10.77-25.77 24.32-25.77C358.2 177.5 368 188.9 368 203.7V344.2zM472.1 160c-22.89 0-40.14 18.12-40.14 42.14v44.33c0 4.418 3.582 8 8 8S448 250.9 448 246.5V201.8c0-13.73 10.77-25.77 24.32-25.77C486.2 176 496 187.4 496 202.1v140.6c0 37.58-14.64 72.91-41.22 99.49l-15.42 14.81C400.9 495.4 368 484.5 368 499.1c0 4.564 3.748 7.1 8.117 7.1c2.299 0 41.92-6.169 74.56-38.8l15.19-14.58C495.7 423.9 512 384.5 512 342.7V202.1C512 178 494.9 160 472.1 160z"],
    "hands-holding": [640, 512, [], "f4c2", "M48 64C74.51 64 96 85.49 96 112V258.1C96 273.1 100.8 286.7 109.5 297.7C110.4 288.8 113.9 280.2 120.1 272.9C137.1 253.1 167.3 251.1 185.7 270.4L278.5 363.2C294.8 379.5 303.1 401.7 303.1 424.8V504C303.1 508.4 300.4 512 295.1 512C291.6 512 287.1 508.4 287.1 504V424.8C287.1 405.9 280.5 387.8 267.2 374.5L174.4 281.7C162.6 269.9 143.1 270.6 132.2 283.4C122.5 294.8 123.1 311.8 133.7 322.4L197.7 386.3C200.8 389.5 200.8 394.5 197.7 397.7C194.5 400.8 189.5 400.8 186.3 397.7L102.9 314.2C88.23 299.5 79.1 279.7 79.1 258.1V112C79.1 94.33 65.67 80 47.1 80C30.33 80 15.1 94.33 15.1 112V344.2C15.1 367.6 25.27 389.1 41.77 406.5L133.7 498.3C136.8 501.5 136.8 506.5 133.7 509.7C130.5 512.8 125.5 512.8 122.3 509.7L30.46 417.8C10.96 398.3 0 371.8 0 344.2V112C0 85.49 21.49 64 48 64V64zM544 112C544 85.49 565.5 64 592 64C618.5 64 640 85.49 640 112V344.2C640 371.8 629 398.3 609.5 417.8L517.7 509.7C514.5 512.8 509.5 512.8 506.3 509.7C503.2 506.5 503.2 501.5 506.3 498.3L598.2 406.5C614.7 389.1 624 367.6 624 344.2V112C624 94.33 609.7 80 592 80C574.3 80 560 94.33 560 112V258.1C560 279.7 551.8 299.5 537.1 314.2L453.7 397.7C450.5 400.8 445.5 400.8 442.3 397.7C439.2 394.5 439.2 389.5 442.3 386.3L450.3 378.3C450.3 378.3 450.3 378.4 450.3 378.3L506.3 322.4C506.3 322.4 506.3 322.4 506.3 322.4C516.9 311.8 517.5 294.8 507.8 283.4C496.9 270.6 477.4 269.9 465.6 281.7L372.8 374.5C359.5 387.8 352 405.9 352 424.8V504C352 508.4 348.4 512 344 512C339.6 512 336 508.4 336 504V424.8C336 401.7 345.2 379.5 361.5 363.2L454.3 270.4C472.7 251.1 502.9 253.1 519.9 272.9C526.1 280.2 529.6 288.8 530.5 297.7C539.2 286.7 544 273.1 544 258.1V112z"],
    "hands-holding-child": [640, 512, [], "e4fa", "M360 40C360 62.09 342.1 80 320 80C297.9 80 280 62.09 280 40C280 17.91 297.9 0 320 0C342.1 0 360 17.91 360 40zM320 16C306.7 16 296 26.75 296 40C296 53.25 306.7 64 320 64C333.3 64 344 53.25 344 40C344 26.75 333.3 16 320 16zM384.5 180.1L364.7 164.3L375.8 253C377.5 266.2 368.1 278.2 354.1 279.8C341.8 281.5 329.8 272.1 328.2 258.1L323.8 223.1H316.2L311.8 258.1C310.2 272.1 298.2 281.5 285 279.8C271.9 278.2 262.5 266.2 264.2 253L275.3 164.3L255.5 180.1C245.4 189.6 230.2 188.3 221.7 178.2C213.1 168 214.4 152.9 224.5 144.3L266 109.2C276.1 100.7 288.9 96 302.2 96H337.8C351.1 96 363.9 100.7 373.1 109.2L415.5 144.3C425.6 152.9 426.9 168 418.3 178.2C409.8 188.3 394.6 189.6 384.5 180.1H384.5zM394.8 168.8C398.2 171.6 403.3 171.2 406.1 167.8C408.1 164.5 408.5 159.4 405.2 156.6L363.7 121.5C356.4 115.3 347.3 112 337.8 112H302.2C292.7 112 283.6 115.3 276.4 121.5L234.8 156.6C231.5 159.4 231 164.5 233.9 167.8C236.7 171.2 241.8 171.6 245.2 168.8L264.9 152C269.1 147.8 277.1 147.1 282.9 150.2C288.7 153.3 291.1 159.7 291.2 166.2L280.1 255C279.5 259.4 282.6 263.4 287 263.9C291.4 264.5 295.4 261.4 295.9 256.1L300.3 222C301.3 214 308.1 207.1 316.2 207.1H323.8C331.9 207.1 338.7 214 339.7 222L344.1 256.1C344.6 261.4 348.6 264.5 352.1 263.9C357.4 263.4 360.5 259.4 359.9 255L348.8 166.2C348 159.7 351.3 153.3 357.1 150.2C362.9 147.1 370 147.8 375 152L394.8 168.8zM95.1 258.1C95.1 273.1 100.8 286.7 109.5 297.7C110.4 288.8 113.9 280.2 120.1 272.9C137.1 253.1 167.3 251.1 185.7 270.4L278.5 363.2C294.8 379.5 303.1 401.7 303.1 424.8V504C303.1 508.4 300.4 512 295.1 512C291.6 512 287.1 508.4 287.1 504V424.8C287.1 405.9 280.5 387.8 267.2 374.5L174.4 281.7C162.6 269.9 143.1 270.6 132.2 283.4C122.5 294.8 123.1 311.8 133.7 322.4L197.7 386.3C200.8 389.5 200.8 394.5 197.7 397.7C194.5 400.8 189.5 400.8 186.3 397.7L102.9 314.2C88.23 299.5 79.1 279.7 79.1 258.1V111.1C79.1 94.33 65.67 79.1 47.1 79.1C30.33 79.1 15.1 94.33 15.1 111.1V344.2C15.1 367.6 25.27 389.1 41.77 406.5L133.7 498.3C136.8 501.5 136.8 506.5 133.7 509.7C130.5 512.8 125.5 512.8 122.3 509.7L30.46 417.8C10.96 398.3 0 371.8 0 344.2V111.1C0 85.49 21.49 63.1 48 63.1C74.51 63.1 96 85.49 96 111.1L95.1 258.1zM640 112V344.2C640 371.8 629 398.3 609.5 417.8L517.7 509.7C514.5 512.8 509.5 512.8 506.3 509.7C503.2 506.5 503.2 501.5 506.3 498.3L598.2 406.5C614.7 389.1 624 367.6 624 344.2V112C624 94.33 609.7 80 592 80C574.3 80 560 94.33 560 112V258.1C560 279.7 551.8 299.5 537.1 314.2L453.7 397.7C450.5 400.8 445.5 400.8 442.3 397.7C439.2 394.5 439.2 389.5 442.3 386.3L506.3 322.4C516.9 311.8 517.5 294.8 507.8 283.4C496.9 270.6 477.4 269.9 465.6 281.7L372.8 374.5C359.5 387.8 352 405.9 352 424.8V504C352 508.4 348.4 512 344 512C339.6 512 336 508.4 336 504V424.8C336 401.7 345.2 379.5 361.5 363.2L454.3 270.4C472.7 251.1 502.9 253.1 519.9 272.9C526.1 280.2 529.6 288.8 530.5 297.7C539.2 286.7 544 273.1 544 258.1V112C544 85.49 565.5 64 592 64C618.5 64 640 85.49 640 112L640 112z"],
    "hands-holding-circle": [640, 512, [], "e4fb", "M448 128C448 198.7 390.7 256 319.1 256C249.3 256 191.1 198.7 191.1 128C191.1 57.31 249.3 0 319.1 0C390.7 0 448 57.31 448 128zM319.1 16C258.1 16 207.1 66.14 207.1 128C207.1 189.9 258.1 240 319.1 240C381.9 240 432 189.9 432 128C432 66.14 381.9 16 319.1 16zM95.1 258.1C95.1 273.1 100.8 286.7 109.5 297.7C110.4 288.8 113.9 280.2 120.1 272.9C137.1 253.1 167.3 251.1 185.7 270.4L278.5 363.2C294.8 379.5 303.1 401.7 303.1 424.8V504C303.1 508.4 300.4 512 295.1 512C291.6 512 287.1 508.4 287.1 504V424.8C287.1 405.9 280.5 387.8 267.2 374.5L174.4 281.7C162.6 269.9 143.1 270.6 132.2 283.4C122.5 294.8 123.1 311.8 133.7 322.4L197.7 386.3C200.8 389.5 200.8 394.5 197.7 397.7C194.5 400.8 189.5 400.8 186.3 397.7L102.9 314.2C88.23 299.5 79.1 279.7 79.1 258.1V111.1C79.1 94.33 65.67 79.1 47.1 79.1C30.33 79.1 15.1 94.33 15.1 111.1V344.2C15.1 367.6 25.27 389.1 41.77 406.5L133.7 498.3C136.8 501.5 136.8 506.5 133.7 509.7C130.5 512.8 125.5 512.8 122.3 509.7L30.46 417.8C10.96 398.3 0 371.8 0 344.2V111.1C0 85.49 21.49 63.1 48 63.1C74.51 63.1 96 85.49 96 111.1L95.1 258.1zM640 112V344.2C640 371.8 629 398.3 609.5 417.8L517.7 509.7C514.5 512.8 509.5 512.8 506.3 509.7C503.2 506.5 503.2 501.5 506.3 498.3L598.2 406.5C614.7 389.1 624 367.6 624 344.2V112C624 94.33 609.7 80 592 80C574.3 80 560 94.33 560 112V258.1C560 279.7 551.8 299.5 537.1 314.2L453.7 397.7C450.5 400.8 445.5 400.8 442.3 397.7C439.2 394.5 439.2 389.5 442.3 386.3L506.3 322.4C516.9 311.8 517.5 294.8 507.8 283.4C496.9 270.6 477.4 269.9 465.6 281.7L372.8 374.5C359.5 387.8 352 405.9 352 424.8V504C352 508.4 348.4 512 344 512C339.6 512 336 508.4 336 504V424.8C336 401.7 345.2 379.5 361.5 363.2L454.3 270.4C472.7 251.1 502.9 253.1 519.9 272.9C526.1 280.2 529.6 288.8 530.5 297.7C539.2 286.7 544 273.1 544 258.1V112C544 85.49 565.5 64 592 64C618.5 64 640 85.49 640 112L640 112z"],
    "hands-holding-diamond": [640, 512, ["hand-receiving"], "f47c", "M438.6 105.4C451.1 117.9 451.1 138.1 438.6 150.6L342.6 246.6C330.1 259.1 309.9 259.1 297.4 246.6L201.4 150.6C188.9 138.1 188.9 117.9 201.4 105.4L297.4 9.372C309.9-3.124 330.1-3.124 342.6 9.372L438.6 105.4zM212.7 116.7C206.4 122.9 206.4 133.1 212.7 139.3L308.7 235.3C314.9 241.6 325.1 241.6 331.3 235.3L427.3 139.3C433.6 133.1 433.6 122.9 427.3 116.7L331.3 20.69C325.1 14.44 314.9 14.44 308.7 20.69L212.7 116.7zM95.1 258.1C95.1 273.1 100.8 286.7 109.5 297.7C110.4 288.8 113.9 280.2 120.1 272.9C137.1 253.1 167.3 251.1 185.7 270.4L278.5 363.2C294.8 379.5 303.1 401.7 303.1 424.8V504C303.1 508.4 300.4 512 295.1 512C291.6 512 287.1 508.4 287.1 504V424.8C287.1 405.9 280.5 387.8 267.2 374.5L174.4 281.7C162.6 269.9 143.1 270.6 132.2 283.4C122.5 294.8 123.1 311.8 133.7 322.4L197.7 386.3C200.8 389.5 200.8 394.5 197.7 397.7C194.5 400.8 189.5 400.8 186.3 397.7L102.9 314.2C88.23 299.5 79.1 279.7 79.1 258.1V111.1C79.1 94.33 65.67 79.1 47.1 79.1C30.33 79.1 15.1 94.33 15.1 111.1V344.2C15.1 367.6 25.27 389.1 41.77 406.5L133.7 498.3C136.8 501.5 136.8 506.5 133.7 509.7C130.5 512.8 125.5 512.8 122.3 509.7L30.46 417.8C10.96 398.3 0 371.8 0 344.2V111.1C0 85.49 21.49 63.1 48 63.1C74.51 63.1 96 85.49 96 111.1L95.1 258.1zM640 112V344.2C640 371.8 629 398.3 609.5 417.8L517.7 509.7C514.5 512.8 509.5 512.8 506.3 509.7C503.2 506.5 503.2 501.5 506.3 498.3L598.2 406.5C614.7 389.1 624 367.6 624 344.2V112C624 94.33 609.7 80 592 80C574.3 80 560 94.33 560 112V258.1C560 279.7 551.8 299.5 537.1 314.2L453.7 397.7C450.5 400.8 445.5 400.8 442.3 397.7C439.2 394.5 439.2 389.5 442.3 386.3L506.3 322.4C516.9 311.8 517.5 294.8 507.8 283.4C496.9 270.6 477.4 269.9 465.6 281.7L372.8 374.5C359.5 387.8 352 405.9 352 424.8V504C352 508.4 348.4 512 344 512C339.6 512 336 508.4 336 504V424.8C336 401.7 345.2 379.5 361.5 363.2L454.3 270.4C472.7 251.1 502.9 253.1 519.9 272.9C526.1 280.2 529.6 288.8 530.5 297.7C539.2 286.7 544 273.1 544 258.1V112C544 85.49 565.5 64 592 64C618.5 64 640 85.49 640 112L640 112z"],
    "hands-holding-dollar": [640, 512, ["hands-usd"], "f4c5", "M327.1 32.41C340.4 33.44 352.8 36.29 364.1 39.45C368.4 40.64 370.9 45.05 369.7 49.31C368.5 53.56 364.1 56.05 359.8 54.86C346.6 51.16 332.9 48.22 319.9 48.01C308.7 47.83 296.2 50.51 286.9 56.29C277.9 61.88 272 70.12 272.1 81.99C272.1 91.97 276.1 98.61 285.8 104.2C295.2 110.1 307.9 114.1 322 118.6L322.3 118.7C335.9 123 351 127.8 362.6 135.5C374.8 143.5 383.8 155 383.1 172.5C384.2 191.3 375.3 204.9 362.4 213.2C352.3 219.8 340 223.1 328 223.8V247.1C328 252.4 324.4 255.1 320 255.1C315.6 255.1 312 252.4 312 247.1V223.4C296.8 221.6 282.3 216.4 268.9 211.6C266.4 210.7 263.8 209.7 261.4 208.9C257.2 207.4 254.1 202.9 256.4 198.7C257.9 194.5 262.5 192.3 266.6 193.8C269.4 194.7 272 195.7 274.7 196.6C290.5 202.3 304.9 207.4 320.3 207.1C332.3 208.4 344.7 205.7 353.7 199.8C362.4 194.2 368.2 185.5 367.1 172.7C367.9 161.8 362.7 154.7 353.8 148.8C344.4 142.6 331.6 138.5 317.5 133.1L316 133.5C302.8 129.3 288.4 124.8 277.3 117.8C265.3 110.2 256.2 99.07 256.1 82.07C255.1 63.6 265.7 50.63 278.5 42.69C288.5 36.46 300.6 33.2 311.1 32.28V8C311.1 3.582 315.6 0 319.1 0C324.4 0 328 3.582 328 8L327.1 32.41zM95.1 258.1C95.1 273.1 100.8 286.7 109.5 297.7C110.4 288.8 113.9 280.2 120.1 272.9C137.1 253.1 167.3 251.1 185.7 270.4L278.5 363.2C294.8 379.5 303.1 401.7 303.1 424.8V504C303.1 508.4 300.4 512 295.1 512C291.6 512 287.1 508.4 287.1 504V424.8C287.1 405.9 280.5 387.8 267.2 374.5L174.4 281.7C162.6 269.9 143.1 270.6 132.2 283.4C122.5 294.8 123.1 311.8 133.7 322.4L197.7 386.3C200.8 389.5 200.8 394.5 197.7 397.7C194.5 400.8 189.5 400.8 186.3 397.7L102.9 314.2C88.23 299.5 79.1 279.7 79.1 258.1V111.1C79.1 94.33 65.67 79.1 47.1 79.1C30.33 79.1 15.1 94.33 15.1 111.1V344.2C15.1 367.6 25.27 389.1 41.77 406.5L133.7 498.3C136.8 501.5 136.8 506.5 133.7 509.7C130.5 512.8 125.5 512.8 122.3 509.7L30.46 417.8C10.96 398.3 0 371.8 0 344.2V111.1C0 85.49 21.49 63.1 48 63.1C74.51 63.1 96 85.49 96 111.1L95.1 258.1zM640 111.1V344.2C640 371.8 629 398.3 609.5 417.8L517.7 509.7C514.5 512.8 509.5 512.8 506.3 509.7C503.2 506.5 503.2 501.5 506.3 498.3L598.2 406.5C614.7 389.1 624 367.6 624 344.2V111.1C624 94.33 609.7 79.1 592 79.1C574.3 79.1 560 94.33 560 111.1V258.1C560 279.7 551.8 299.5 537.1 314.2L453.7 397.7C450.5 400.8 445.5 400.8 442.3 397.7C439.2 394.5 439.2 389.5 442.3 386.3L506.3 322.4C516.9 311.8 517.5 294.8 507.8 283.4C496.9 270.6 477.4 269.9 465.6 281.7L372.8 374.5C359.5 387.8 352 405.9 352 424.8V504C352 508.4 348.4 512 344 512C339.6 512 336 508.4 336 504V424.8C336 401.7 345.2 379.5 361.5 363.2L454.3 270.4C472.7 251.1 502.9 253.1 519.9 272.9C526.1 280.2 529.6 288.8 530.5 297.7C539.2 286.7 544 273.1 544 258.1V111.1C544 85.49 565.5 63.1 592 63.1C618.5 63.1 640 85.49 640 111.1L640 111.1z"],
    "hands-holding-heart": [640, 512, ["hands-heart"], "f4c3", "M307.6 22.58L320.1 35.1L332.6 22.58C347.1 8.121 366.7 .0003 387.1 .0003C429.7 .0003 464.2 34.51 464.2 77.08V81.61C464.2 104.2 454.9 125.7 438.4 141.1L341.1 231.5C329.7 243.1 310.5 243.1 298.2 231.5L201.8 141.1C185.3 125.7 176 104.2 176 81.61V77.08C176 34.51 210.5 0 253.1 0C273.5 0 293.1 8.12 307.6 22.58L307.6 22.58zM191.1 81.61C191.1 99.75 199.5 117.1 212.7 129.5L309.2 219.9C315.3 225.6 324.9 225.6 331 219.9L427.5 129.5C440.7 117.1 448.2 99.75 448.2 81.61V77.08C448.2 43.35 420.9 16 387.1 16C370.9 16 355.4 22.44 343.9 33.89L325.8 52.07C322.6 55.19 317.6 55.19 314.5 52.07L296.3 33.89C284.8 22.44 269.3 16 253.1 16C219.3 16 191.1 43.35 191.1 77.08V81.61zM95.1 258.1C95.1 273.1 100.8 286.7 109.5 297.7C110.4 288.8 113.9 280.2 120.1 272.9C137.1 253.1 167.3 251.1 185.7 270.4L278.5 363.2C294.8 379.5 303.1 401.7 303.1 424.8V504C303.1 508.4 300.4 512 295.1 512C291.6 512 287.1 508.4 287.1 504V424.8C287.1 405.9 280.5 387.8 267.2 374.5L174.4 281.7C162.6 269.9 143.1 270.6 132.2 283.4C122.5 294.8 123.1 311.8 133.7 322.4L197.7 386.3C200.8 389.5 200.8 394.5 197.7 397.7C194.5 400.8 189.5 400.8 186.3 397.7L102.9 314.2C88.23 299.5 79.1 279.7 79.1 258.1V112C79.1 94.33 65.67 80 47.1 80C30.33 80 15.1 94.33 15.1 112V344.2C15.1 367.6 25.27 389.1 41.77 406.5L133.7 498.3C136.8 501.5 136.8 506.5 133.7 509.7C130.5 512.8 125.5 512.8 122.3 509.7L30.46 417.8C10.96 398.3 0 371.8 0 344.2V111.1C0 85.49 21.49 63.1 48 63.1C74.51 63.1 96 85.49 96 111.1L95.1 258.1zM640 112V344.2C640 371.8 629 398.3 609.5 417.8L517.7 509.7C514.5 512.8 509.5 512.8 506.3 509.7C503.2 506.5 503.2 501.5 506.3 498.3L598.2 406.5C614.7 389.1 624 367.6 624 344.2V112C624 94.33 609.7 80 592 80C574.3 80 560 94.33 560 112V258.1C560 279.7 551.8 299.5 537.1 314.2L453.7 397.7C450.5 400.8 445.5 400.8 442.3 397.7C439.2 394.5 439.2 389.5 442.3 386.3L506.3 322.4C516.9 311.8 517.5 294.8 507.8 283.4C496.9 270.6 477.4 269.9 465.6 281.7L372.8 374.5C359.5 387.8 352 405.9 352 424.8V504C352 508.4 348.4 512 344 512C339.6 512 336 508.4 336 504V424.8C336 401.7 345.2 379.5 361.5 363.2L454.3 270.4C472.7 251.1 502.9 253.1 519.9 272.9C526.1 280.2 529.6 288.8 530.5 297.7C539.2 286.7 544 273.1 544 258.1V112C544 85.49 565.5 64 592 64C618.5 64 640 85.49 640 112L640 112z"],
    "hands-praying": [640, 512, ["praying-hands"], "f684", "M268.8 190.7C252.2 192.4 240 207.3 240 223.9v77.21c0 7.91-5.492 15.19-13.36 16.42C216.6 319.1 208 311.5 208 301.8V225.8c0-17.26 4.75-34.26 13.75-49.04L299.5 48.08C308.5 33.06 303.6 13.59 288.5 4.525C283.4 1.464 277.8 0 272.3 0c-10.11 0-19.96 4.945-26.2 13.63C245.1 13.88 245.5 13.88 245.4 14.13L128.1 188.7C117.5 204.5 112 222.7 112 241.6v79.7l-74.53 24.64C34.21 347 32 350.1 32 353.5c0 5.42 5.346 9.252 10.53 7.541L128 332.8V241.6c0-15.79 4.641-31.02 13.44-44.07l114.7-170.8l1.623-.6719l2.072-4.111C262.9 18.14 267.5 15.89 272.3 15.89c2.793 0 5.455 .748 7.912 2.219C287.8 22.63 290.3 32.43 285.8 39.9L208.1 168.6C197.6 185.8 192 205.6 192 225.8v74.56c0 16.59 12.18 31.43 28.8 33.04C239.9 335.3 256 320.4 256 301.8v-78.55c0-7.918 5.428-15.28 13.29-16.56C279.3 205.1 288 212.7 288 222.4v135.1c0 44.49-30.08 84.1-72.78 96.22l-177.2 41.65C34.46 497.2 32 500.3 32 503.9c0 5.199 4.945 8.996 10.01 7.688l177.2-41.65C269.1 455.8 304 409.9 304 358.4V222.4C304 203.8 287.8 188.9 268.8 190.7zM597.5 361C602.7 362.7 608 358.9 608 353.5c0-3.42-2.205-6.461-5.473-7.541L528 321.3V241.7c0-18.87-5.5-37.12-16.12-52.89l-117.3-174.6c-.125-.248-.6251-.2507-.75-.4987c-6.256-8.715-16.16-13.66-26.3-13.66c-5.463 0-10.1 1.437-16.07 4.435c-15.12 9.062-20 28.53-11 43.68l77.75 128.6C427.3 191.7 432 208.6 432 225.1v75.24c0 7.908-5.492 15.19-13.36 16.42C408.6 319.2 400 311.6 400 301.9v-77.95c0-16.58-12.15-31.49-28.77-33.12C352.2 188.1 336 203.9 336 222.5v135.1c0 51.52 34.88 97.45 84.75 111.6l177.2 41.65C603.1 513 608 509.3 608 504.1c0-3.617-2.461-6.783-5.986-7.693l-176.9-41.55C382.1 442.6 352 402.1 352 358.5V223.4c0-7.918 5.428-15.27 13.29-16.56C375.3 205.2 384 212.8 384 222.5v78.03c0 16.59 12.18 31.43 28.8 33.04C431.9 335.4 448 320.5 448 301.9V225.1c0-20.15-5.543-39.98-16.03-57.34L354.3 40.13c-4.525-7.613-2.064-17.49 5.4-21.96c2.449-1.447 5.105-2.182 7.893-2.182c4.955 0 9.701 2.361 12.83 6.348l2.266 4.123l1.305 .5195l114.6 170.7C507.4 210.7 512 225.9 512 241.7v91.03L597.5 361z"],
    "handshake": [640, 512, [], "f2b5", "M632 128l-116.7-.0313c-42.5-41.28-98.44-63.87-157.8-63.87L348.8 64c-9.891 0-19.41 3.688-26.97 10.47l-98.5 90.22L222.4 165.7C203.8 184 203 212.1 220.7 232.1c7.625 8.344 21.38 15.5 36.33 15.5c9.984 0 20.5-3.188 30.09-11.38L368.5 162c3.266-2.969 3.5-8.032 .5156-11.31c-2.969-3.219-8.016-3.5-11.3-.5C269.1 230.4 280.5 220.9 274.8 225.7C257.7 238.2 238.8 228.2 232.5 221.3C220.5 208.3 221.3 188.7 234.2 176.6l98.36-90.22C337.1 82.25 342.9 80 348.9 80h8.609c56.23 0 109.1 21.88 148.9 61.63l2.344 2.344H536v207.7h-9.625c-4.422 0-8 3.594-8 8s3.578 8 8 8h11.17C541.2 385.9 556.7 400 576 400h56c4.422 0 8-3.594 8-8v-256C640 131.6 636.4 128 632 128zM624 384l-48 .0144C562.8 384 552 373.2 552 360V144.2L624 144V384zM339.7 219.2c-3.422-2.75-8.453-2.281-11.25 1.188c-2.797 3.406-2.266 8.469 1.156 11.25l149.3 121.2c10.23 8.312 11.81 23.41 3.531 33.66l-9.578 11.81c-8.266 10.22-23.44 11.81-33.64 3.657l-11.61-9.719l-36.47 44.91c-4.953 6.031-11.97 9.812-19.75 10.62c-7.719 .7187-15.38-1.438-21.2-6.219l-24.3-19.53l-5.266 5.281c-9.438 11.59-22.8 18.81-37.66 20.34c-14.89 1.594-29.45-2.812-40.78-12l-92.78-83.91H104V143.1l27.47-.1562l2.344-2.344C173.5 101.8 226.4 80 282.5 80c4.422 0 8-3.594 8-8S286.1 64 282.5 64C223.2 64 167.4 86.63 124.7 127.1L8 128C4.177 128 0 131 0 136v256c0 4.406 3.578 8 8 8H64c19.3 0 34.69-14.01 38.43-32.22h40.75l88.53 80.06C244.7 458.4 260.5 464 277 464c2.5 0 5.016-.125 7.547-.375c16.56-1.719 31.69-8.938 43.13-20.34l12.14 10.53c9.312 7.625 21.08 11.03 33.16 9.906c12-1.25 22.83-7.062 30.48-16.44l26.28-32.34c17.22 13.12 41.89 10.28 55.48-6.531l9.578-11.81c13.81-17.09 11.17-42.28-5.875-56.16L339.7 219.2zM88 360c0 13.22-10.77 23.94-24 23.94L16 384V144l72 .2187V360z"],
    "handshake-angle": [640, 512, ["hands-helping"], "f4c4", "M216 248V121.6C216 107.8 223 95.18 234.8 87.87C268.2 67.03 306.7 56.03 346.1 56.03H406.5L499.1 1.124C503.7-1.157 508.6 .1551 510.9 3.967C513.1 7.779 511.9 12.69 508 14.94L410.8 72.03H346.1C309.7 72.03 274.1 82.18 243.3 101.4C236.3 105.7 232 113.5 232 121.6V248C232 265.7 246.4 280 264 280C281.7 280 296 265.7 296 248V160C296 155.6 299.6 152 304 152C308.5 152 312 155.6 312 160V248C312 274.5 290.5 296 264 296C237.6 296 216 274.5 216 248L216 248zM104 267.5V272L12.1 326.9C10.82 327.6 9.411 328 8.005 328C5.286 328 2.63 326.6 1.13 324.1C-1.136 320.3 .1142 315.4 3.911 313.1L88.1 262.9C89.68 210.4 118.2 161.4 163.4 134.3L187.9 119.6C191.7 117.3 196.6 118.5 198.9 122.3C201.2 126.1 199.9 130.1 196.2 133.2L171.7 147.1C129.9 173.1 104 218.9 104 267.5V267.5zM636.6 198.6L556.6 254.6C555.2 255.5 553.6 256 552 256C549.5 256 546.1 254.8 545.5 252.6C542.9 248.1 543.8 243.1 547.4 241.5L627.4 185.5C631 182.1 636 183.8 638.5 187.4C641.1 191.1 640.2 196.1 636.6 198.6H636.6zM520 216V264C520 281.7 505.7 296 488 296V336C488 364.3 466.9 387.8 439.6 391.5C435.9 427.7 405.2 456 368 456H233.4L131.8 511C130.6 511.7 129.3 512 128 512C125.2 512 122.4 510.5 120.1 507.8C118.9 503.9 120.3 499.1 124.2 496.1L231.4 440H368C398.9 440 424 414.9 424 384V376H432C454.1 376 472 358.1 472 336V280H488C496.9 280 504 272.8 504 264V216C504 207.2 496.9 200 488 200H336C331.6 200 328 196.4 328 192C328 187.6 331.6 184 336 184H488C505.7 184 520 198.4 520 216L520 216z"],
    "handshake-simple": [640, 512, [129309, "handshake-alt"], "f4c6", "M339.7 219.2c-3.422-2.75-8.453-2.281-11.25 1.188c-2.797 3.406-2.266 8.469 1.156 11.25l149.3 121.2c10.23 8.312 11.81 23.41 3.531 33.66l-9.578 11.81c-8.266 10.22-23.44 11.81-33.64 3.657l-11.61-9.719l-36.47 44.91c-4.953 6.031-11.97 9.812-19.75 10.62c-7.719 .7187-15.38-1.438-21.2-6.219l-17.88-15.5l-6.422-4.031l-5.266 5.281c-9.438 11.59-22.8 18.81-37.66 20.34c-14.89 1.594-29.45-2.812-40.78-12l-92.78-83.91H7.1c-4.422 0-8 3.594-8 8s3.578 8 8 8h135.2l88.53 80.06C244.7 458.4 260.5 464 276.1 464c2.5 0 5.016-.125 7.547-.375c16.56-1.719 31.69-8.938 43.13-20.34l12.14 10.53c9.312 7.625 21.08 11.03 33.16 9.906c12-1.25 22.83-7.062 30.48-16.44l26.28-32.34c17.22 13.12 41.89 10.28 55.48-6.531l9.578-11.81c13.81-17.09 11.17-42.28-5.875-56.16L339.7 219.2zM7.1 143.1l123.5-.1562l2.344-2.344C173.5 101.8 226.4 80 282.5 80c4.422 0 8-3.594 8-8S286.1 64 282.5 64C223.2 64 167.4 86.63 124.7 127.1H7.1c-4.422 0-8 3.594-8 8S3.578 143.1 7.1 143.1zM639.1 135.1c0-4.406-3.578-8-8-8h-116.7c-42.5-41.28-98.4-63.87-157.8-63.87L348.9 64c-9.891 0-19.47 3.688-27.03 10.47l-98.5 90.22L222.4 165.7c-18.61 18.31-19.42 47.25-1.688 66.38c7.625 8.344 21.38 15.5 36.33 15.5c9.984 0 20.5-3.188 30.09-11.38L368.5 162c3.266-2.969 3.5-8.032 .5156-11.31c-2.969-3.219-8.016-3.5-11.3-.5L278.7 222.3l-4 1.625v1.688c-17.02 12.5-35.91 2.531-42.25-4.406C220.5 208.3 221.3 188.7 234.2 176.6l98.36-90.22C337.1 82.25 342.9 80 348.9 80h8.609c56.23 0 109.1 21.88 148.9 61.63l2.344 2.344h123.3C636.4 143.1 639.1 140.4 639.1 135.1zM631.1 351.7H526.4c-4.422 0-8 3.594-8 8s3.578 8 8 8h105.6c4.422 0 8-3.594 8-8S636.4 351.7 631.1 351.7z"],
    "handshake-simple-slash": [640, 512, ["handshake-alt-slash"], "e05f", "M282.5 80c4.422 0 8-3.594 8-8S286.1 64 282.5 64c-25.24 0-49.77 4.325-72.1 12.21l15.04 11.96C243.2 82.88 262.6 80 282.5 80zM357.7 150.2l-25.65 23.43l12.66 10.06l23.77-21.68c3.266-2.969 3.5-8.032 .5156-11.31C366.1 147.5 361 147.2 357.7 150.2zM281.4 133.3l51.21-46.97C337.1 82.25 342.9 80 348.9 80h8.609c56.23 0 109.1 21.88 148.9 61.63l2.344 2.344H632c4.422 0 8-3.594 8-8s-3.578-8-8-8h-116.7c-42.5-41.28-98.4-63.96-157.8-63.96h-8.613c-9.891 0-19.47 3.683-27.03 10.46l-53.2 48.72L281.4 133.3zM391.1 437.2c-4.953 6.031-11.97 9.812-19.75 10.62c-7.719 .7187-15.38-1.438-21.2-6.219l-17.88-15.5l-6.422-4.031l-5.266 5.281c-9.438 11.59-22.8 18.81-37.66 20.34c-14.89 1.594-29.45-2.812-40.78-12l-92.78-83.91H8c-4.422 0-8 3.594-8 8s3.578 8 8 8h135.2l88.53 80.06C244.7 458.4 260.5 464 277 464c2.5 0 5.016-.125 7.547-.375c16.56-1.719 31.69-8.938 43.13-20.34l12.14 10.53c9.312 7.625 21.08 11.03 33.16 9.906c12-1.25 22.83-7.062 30.48-16.44l16.28-20.03l-12.52-9.949L391.1 437.2zM632 351.7h-75.94l20.13 16H632c4.422 0 8-3.594 8-8S636.4 351.7 632 351.7zM8 143.1h55.35l-20.13-16H8c-4.422 0-8 3.594-8 8S3.578 143.1 8 143.1zM12.99 1.73C11.53 .5664 9.775 0 8.025 0C5.674 0 3.338 1.031 1.74 3.012c-2.75 3.469-2.172 8.5 1.281 11.25l623.1 496C628.5 511.4 630.2 512 631.1 512c2.344 0 4.688-1.031 6.266-3.016c2.75-3.469 2.172-8.5-1.281-11.25L12.99 1.73z"],
    "handshake-slash": [640, 512, [], "e060", "M391.1 437.2c-4.953 6.031-11.97 9.812-19.75 10.62c-7.719 .7187-15.38-1.438-21.2-6.219l-24.3-19.53l-5.266 5.281c-9.438 11.59-22.8 18.81-37.66 20.34c-14.89 1.594-29.45-2.812-40.78-12l-92.78-83.91H104V176.3l-16-12.72V360c0 13.22-10.77 23.93-23.1 23.93L16 384V144l47.57 .1445L43.24 127.1L8 128C4.178 128 0 131 0 136v256c0 4.406 3.578 8 8 8H64c19.3 0 34.69-14.01 38.43-32.22h40.75l88.53 80.06C244.7 458.4 260.5 464 277 464c2.5 0 5.016-.125 7.547-.375c16.56-1.719 31.69-8.938 43.13-20.34l12.14 10.53c9.312 7.625 21.08 11.03 33.16 9.906c12-1.25 22.83-7.062 30.48-16.44l16.27-20.03l-12.52-9.951L391.1 437.2zM282.5 80c4.422 0 8-3.594 8-8S286.9 64 282.5 64c-25.24 0-49.74 4.328-72.97 12.22l15.04 11.96C243.2 82.88 262.6 80 282.5 80zM12.99 1.73C11.52 .5664 9.773 0 8.023 0C5.672 0 3.336 1.031 1.738 3.012c-2.75 3.469-2.172 8.5 1.281 11.25l623.1 496C628.5 511.4 630.2 512 631.1 512c2.344 0 4.688-1.031 6.266-3.016c2.75-3.469 2.172-8.5-1.281-11.25L12.99 1.73zM632 128l-116.7-.0313c-42.5-41.28-98.49-63.97-157.9-63.97h-8.613c-9.891 0-19.39 3.685-26.95 10.47l-53.2 48.72l12.74 10.12l51.21-46.97C337.1 82.25 342.9 80 348.9 80h8.609c56.23 0 109.1 21.88 148.9 61.63l2.344 2.344H536v191.7l16 12.72V144.2L624 144V384h-27.25l20.13 16H632c4.422 0 8-3.594 8-8v-256C640 131.6 636.4 128 632 128zM369 150.7c-2.969-3.219-8.016-3.5-11.3-.5l-25.65 23.43l12.66 10.06l23.77-21.68C371.8 159 372 153.1 369 150.7z"],
    "hanukiah": [640, 512, [128334], "f6e6", "M607.1 151.8c-4.422 0-8 3.596-8 8.004v128.1c0 30.89-25.12 56.03-56 56.03h-216V127.8c0-4.409-3.578-8.004-8-8.004s-8 3.596-8 8.004v216.1h-216c-30.88 0-56-25.14-56-56.03V159.8c0-4.409-3.578-8.004-8-8.004S23.1 155.5 23.1 159.9L23.1 287.9c0 39.71 32.3 72.04 72 72.04h216v88.05h-160c-30.87 0-55.1 25.14-55.1 56.03c0 4.409 3.578 8.004 8 8.004s8-3.596 8-8.004c0-22.07 17.94-40.02 39.1-40.02h336c22.06 0 40 17.95 40 40.02c0 4.409 3.578 8.004 8 8.004s8-3.596 8-8.004c0-30.89-25.12-56.03-56-56.03h-160v-88.05h216c39.7 0 72-32.33 72-72.04l.0001-127.1C615.1 155.5 612.4 151.8 607.1 151.8zM87.1 159.8v128.1c0 4.409 3.578 8.06 8 8.06s7.1-3.652 7.1-8.06l.0002-127.9c0-4.409-3.578-8.126-8-8.126S87.1 155.4 87.1 159.8zM151.1 159.8v128.1c0 4.409 3.578 8.06 8 8.06s7.1-3.652 7.1-8.06l.0002-127.9c0-4.409-3.578-8.126-8-8.126S151.1 155.4 151.1 159.8zM215.1 159.8v128.1c0 4.409 3.578 8.06 8 8.06s7.1-3.652 7.1-8.06l.0002-127.9c0-4.409-3.578-8.126-8-8.126S215.1 155.4 215.1 159.8zM423.1 287.9V159.8c0-4.409-3.578-8.004-8-8.004s-7.1 3.717-7.1 8.126l-.0002 127.9c0 4.409 3.578 8.06 8 8.06S423.1 292.3 423.1 287.9zM487.1 287.9V159.8c0-4.409-3.578-8.004-8-8.004s-7.1 3.717-7.1 8.126l-.0002 127.9c0 4.409 3.578 8.06 8 8.06S487.1 292.3 487.1 287.9zM551.1 287.9V159.8c0-4.409-3.578-8.004-8-8.004s-7.1 3.717-7.1 8.126l-.0002 127.9c0 4.409 3.578 8.06 8 8.06S551.1 292.3 551.1 287.9zM320 95.89c17.64 0 31.97-15.65 31.97-34.75c0-16.23-21-50.84-25.2-57.62c-2.938-4.69-10.66-4.69-13.59 0c-4.203 6.785-25.2 41.4-25.2 57.62C287.1 80.24 302.4 95.89 320 95.89zM319.1 23.5c8 14.29 16 30.98 16 37.64c0 10.29-7.172 18.8-15.1 18.8S303.1 71.43 303.1 61.14C303.1 54.48 311.1 37.79 319.1 23.5zM63.1 93.16c0-16.23-21-50.84-25.2-57.62c-2.938-4.69-10.66-4.69-13.59 0c-4.203 6.785-25.2 41.4-25.2 57.62c0 19.1 14.36 34.78 32 34.78S63.1 112.3 63.1 93.16zM15.1 93.16c0-6.66 8-23.36 16-37.64c8 14.29 16 30.98 16 37.64c0 10.29-7.172 18.74-15.1 18.74S15.1 103.4 15.1 93.16zM95.1 127.8c17.64 0 32-15.54 32-34.64c0-16.23-21-50.84-25.2-57.62c-2.938-4.69-10.66-4.69-13.59 0c-4.203 6.785-25.2 41.4-25.2 57.62C63.1 112.3 78.36 127.8 95.1 127.8zM95.1 55.51c8 14.29 16 30.98 16 37.64c0 10.29-7.172 18.74-15.1 18.74s-16-8.452-16-18.74C79.1 86.5 87.1 69.8 95.1 55.51zM159.1 127.8c17.64 0 32-15.54 32-34.64c0-16.23-21-50.84-25.2-57.62c-2.938-4.69-10.66-4.69-13.59 0c-4.203 6.785-25.2 41.4-25.2 57.62C127.1 112.3 142.4 127.8 159.1 127.8zM159.1 55.51c8 14.29 16 30.98 16 37.64c0 10.29-7.172 18.74-15.1 18.74S143.1 103.4 143.1 93.16C143.1 86.5 151.1 69.8 159.1 55.51zM223.1 127.8c17.64 0 32-15.54 32-34.64c0-16.23-21-50.84-25.2-57.62c-2.938-4.69-10.66-4.69-13.59 0c-4.203 6.785-25.2 41.4-25.2 57.62C191.1 112.3 206.4 127.8 223.1 127.8zM223.1 55.51c8 14.29 16 30.98 16 37.64c0 10.29-7.172 18.74-15.1 18.74S207.1 103.4 207.1 93.16C207.1 86.5 215.1 69.8 223.1 55.51zM409.2 35.53c-4.203 6.785-25.2 41.4-25.2 57.62c0 19.1 14.36 34.64 32 34.64s32-15.54 32-34.64c0-16.23-21-50.84-25.2-57.62C419.9 30.84 412.1 30.84 409.2 35.53zM415.1 111.9c-8.828 0-16-8.452-16-18.74c0-6.66 8-23.36 16-37.64c8 14.29 16 30.98 16 37.64C431.1 103.4 424.8 111.9 415.1 111.9zM473.2 35.53c-4.203 6.785-25.2 41.4-25.2 57.62c0 19.1 14.36 34.64 32 34.64s32-15.54 32-34.64c0-16.23-21-50.84-25.2-57.62C483.9 30.84 476.1 30.84 473.2 35.53zM479.1 111.9c-8.828 0-16-8.452-16-18.74c0-6.66 8-23.36 16-37.64c8 14.29 16 30.98 16 37.64C495.1 103.4 488.8 111.9 479.1 111.9zM537.2 35.53c-4.203 6.785-25.2 41.4-25.2 57.62c0 19.1 14.36 34.64 32 34.64s32-15.54 32-34.64c0-16.23-21-50.84-25.2-57.62C547.9 30.84 540.1 30.84 537.2 35.53zM543.1 111.9c-8.828 0-16-8.452-16-18.74c0-6.66 8-23.36 16-37.64c8 14.29 16 30.98 16 37.64C559.1 103.4 552.8 111.9 543.1 111.9zM614.8 35.53c-2.938-4.69-10.66-4.69-13.59 0c-4.203 6.785-25.2 41.4-25.2 57.62c0 19.1 14.36 34.78 32 34.78s31.1-15.67 31.1-34.78C639.1 76.93 618.1 42.32 614.8 35.53zM607.1 111.9c-8.828 0-16-8.452-16-18.74c0-6.66 8-23.36 16-37.64c8 14.29 16 30.98 16 37.64C623.1 103.4 616.8 111.9 607.1 111.9z"],
    "hard-drive": [512, 512, [128436, "hdd"], "f0a0", "M448 32h-384c-35.35 0-64 28.65-64 64v320c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V96C512 60.65 483.3 32 448 32zM496 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48v-64c0-26.47 21.53-48 47.1-48h384c26.47 0 48 21.53 48 48V416zM496 310.1C484.3 296.7 467.2 288 448 288h-384c-19.23 0-36.27 8.652-47.1 22.07V96c0-26.47 21.53-48 48-48h383.1c26.47 0 48 21.53 48 48V310.1zM320 352c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S337.7 352 320 352zM320 400c-8.824 0-16-7.176-16-16s7.176-16 16-16s16 7.176 16 16S328.8 400 320 400zM416 352c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S433.7 352 416 352zM416 400c-8.824 0-16-7.176-16-16s7.176-16 16-16s16 7.176 16 16S424.8 400 416 400z"],
    "hashtag": [448, 512, [62098], "23", "M440 152h-108.6l20.47-110.5c.7813-4.343-2.062-8.531-6.406-9.343c-4.562-.9062-8.531 2.062-9.344 6.406L315.1 152H163.4l20.47-110.5C184.7 37.16 181.8 32.98 177.5 32.16C172.9 31.26 168.9 34.23 168.1 38.57L147.1 152H40c-4.406 0-8 3.569-8 7.975c0 4.406 3.594 8.024 8 8.024h104.1L111.6 344H8c-4.406 0-8 3.584-8 7.989s3.594 8.009 8 8.009h100.6l-20.47 110.5c-.7813 4.343 2.062 8.531 6.406 9.343C95.03 479.1 95.53 480 96 480c3.781 0 7.156-2.687 7.875-6.531l21.01-113.5h151.7l-20.47 110.5c-.7813 4.343 2.062 8.531 6.406 9.343C263 479.1 263.5 480 264 480c3.781 0 7.156-2.687 7.875-6.531l21.01-113.5H408c4.406 0 8-3.603 8-8.009s-3.594-7.989-8-7.989h-112.1l32.59-175.1H440c4.406 0 8-3.618 8-8.024C448 155.6 444.4 152 440 152zM279.6 344H127.9L160.4 168h151.7L279.6 344z"],
    "hashtag-lock": [576, 512, [], "e415", "M177.5 32.14C181.8 32.95 184.7 37.12 183.9 41.47L163.4 152H315.1L336.1 38.55C336.9 34.21 341.1 31.34 345.5 32.14C349.8 32.95 352.7 37.12 351.9 41.47L331.4 152H440C444.4 152 448 155.6 448 160C448 160.4 447.1 160.8 447.9 161.2C439 162.4 430.4 164.8 422.4 168H328.4L271.9 473.5C271.1 477.8 266.9 480.7 262.5 479.9C258.2 479.1 255.3 474.9 256.1 470.6L276.6 360L124.9 360L103.9 473.5C103.1 477.8 98.89 480.7 94.54 479.9C90.2 479.1 87.33 474.9 88.13 470.6L108.6 360L8 360C3.582 360 .0003 356.4 0 352C0 347.6 3.581 344 7.1 344L111.6 344L144.2 168H39.1C35.58 168 31.1 164.4 31.1 160C31.1 155.6 35.58 152 39.1 152H147.1L168.1 38.55C168.9 34.21 173.1 31.34 177.5 32.14H177.5zM160.4 168L127.8 344L279.6 344L312.2 168H160.4zM464 192C499.3 192 528 220.7 528 256V320H544C561.7 320 576 334.3 576 352V480C576 497.7 561.7 512 544 512H384C366.3 512 352 497.7 352 480V352C352 334.3 366.3 320 384 320H400V256C400 220.7 428.7 192 464 192zM464 208C437.5 208 416 229.5 416 256V320H512V256C512 229.5 490.5 208 464 208zM368 352V480C368 488.8 375.2 496 384 496H544C552.8 496 560 488.8 560 480V352C560 343.2 552.8 336 544 336H384C375.2 336 368 343.2 368 352z"],
    "hat-chef": [512, 512, [], "f86b", "M72 352h368c3.344 0 6.344-2.062 7.5-5.219C450.1 339.8 512 173.4 512 132c0-55.69-45.31-101-101.1-101c-19.22 .125-38.25 5.844-54.31 16.25C331.4 17.12 295.1 0 256 0S180.7 17.12 155.4 47.22C125.6 27.81 88.13 25.44 55.94 41.5C21.28 58.56-.125 93.25 0 132c0 41.41 61.88 207.8 64.5 214.8C65.69 349.9 68.66 352 72 352zM63.03 55.84c29.09-14.53 63.19-11.22 89.03 8.625c1.719 1.312 3.875 1.781 5.969 1.594c2.125-.3125 4.031-1.438 5.312-3.156C185.7 33.09 219.4 16 256 16s70.34 17.09 92.66 46.91c1.281 1.719 3.188 2.844 5.312 3.156c2.094 .2187 4.25-.25 5.969-1.594C374.5 53.31 392.6 47.13 411 47C457.9 47 496 85.13 496 132c0 29.97-39.19 143.6-61.56 204h-72.93l30.37-174.6c.75-4.344-2.156-8.5-6.5-9.25c-4.625-1-8.531 2.188-9.25 6.5L345.3 336H264V160c0-4.406-3.594-8-8-8S248 155.6 248 160v176H166.7L135.9 158.6c-.75-4.344-4.688-7.562-9.25-6.5c-4.344 .75-7.25 4.906-6.5 9.25L150.5 336H77.56C55.19 275.6 16 161.1 16 131.1C15.88 99.38 33.91 70.22 63.03 55.84zM440 384c-4.406 0-8 3.594-8 8v81.34C432 485.8 421.8 496 409.3 496H102.7C90.16 496 80 485.8 80 473.3V392C80 387.6 76.41 384 72 384S64 387.6 64 392v81.34C64 494.7 81.34 512 102.7 512h306.7C430.7 512 448 494.7 448 473.3V392C448 387.6 444.4 384 440 384z"],
    "hat-cowboy": [640, 512, [], "f8c0", "M166.8 255.9C167.3 255.1 167.7 256 168.2 256c3.844 0 7.25-2.781 7.906-6.688C205 74.16 238.2 48 255.5 48c9.25 0 18.75 3.656 28.19 10.88c21.44 16.31 51.34 16.28 72.72-.0313C365.7 51.66 375.1 48 384.5 48c17.19 0 50.37 26.16 79.4 201.3c.7187 4.344 4.937 7.219 9.218 6.594c4.344-.75 7.312-4.844 6.594-9.219C455.4 100.2 425.2 32 384.5 32c-13.03 0-25.78 4.781-37.94 14.16c-15.66 11.94-37.53 11.94-53.25 0C281.1 36.75 268.3 32 255.5 32C215.3 32 184.1 102.2 160.3 246.7C159.5 251.1 162.5 255.2 166.8 255.9zM629.4 227.8c-8.969-5.781-20.81-4.875-28.81 2.062C596.6 233.3 500.8 312.6 320 312.6c-180.3 0-276.8-79.47-280.8-82.84C31.16 222.9 19.32 222.1 10.57 227.8C1.416 233.8-2.334 244.9 1.478 254.9C2.228 256.8 78.28 448 319.1 448c238.6 0 315.3-185.1 318.5-193.1C642.3 244.9 638.6 233.8 629.4 227.8zM320 432c-229.1 0-302.9-181-303.6-182.8C15.32 246.3 16.51 243 19.32 241.2C20.54 240.4 22.01 240 23.51 240c1.906 0 3.844 .6562 5.406 1.969C33.1 245.5 133.9 328.6 320 328.6c186.6 0 286.8-83 291.1-86.63c2.656-2.281 6.75-2.562 9.687-.7187c2.75 1.812 3.937 5.062 2.875 7.812C620.6 256.5 547.8 432 320 432z"],
    "hat-cowboy-side": [640, 512, [], "f8c1", "M638.5 375.2c-18.15-84.1-75.09-141.7-143.9-149.3l-25.95-133.8c-3.219-19.25-14.34-36.56-30.53-47.56c-16.16-10.94-36.34-14.94-55.41-10.81L191.6 74.22C161.1 80.68 138.3 105.9 134.9 137.1l-6.627 78.32c-61.05 18.99-109.7 76.11-126.7 154.9c-3.938 18.72-.3438 38.22 9.813 53.47C21.62 439.2 37.13 448 53.91 448H592c14.94 0 27.16-7.438 37.34-22.72C638.9 411 642.2 392.8 638.5 375.2zM150.8 138.7c2.656-24.16 20.38-43.78 44.09-48.81l191.1-40.63c14.88-3.125 30.53-.0625 43.09 8.438c12.59 8.531 21.25 22 23.78 37.16l37.47 193.2H323.9L273.9 244.8c-.0625-.0625 .0625 .0625 0 0C243.8 220.8 208.6 207.1 172.4 207.1c-9.432 0-18.65 1.07-27.68 2.781L150.8 138.7zM53.91 431.1c-11.34 0-22-6.219-29.22-17.06c-7.813-11.69-10.5-26.75-7.469-41.25C36.56 284.2 98.91 223.1 172.4 223.1c32.5 0 64.06 11.47 91.25 33.16l97.91 84.41c48.34 41.63 84.66 72.91 131.4 90.44H53.91zM616 416.4c-7.188 10.78-14.59 15.59-24.03 15.59c-100.9 0-143.2-36.44-220-102.6l-29.5-25.44h150.1l14.26 73.53c.7289 3.758 4.019 6.471 7.847 6.471c5.025 0 8.803-4.582 7.847-9.515l-25.62-132.1c59.65 9.148 108.9 61.09 125 136.1C625.7 391.9 623.2 405.7 616 416.4z"],
    "hat-santa": [640, 512, [], "f7a7", "M640 240c0-11.09-5.844-21.09-15.19-26.84c2.625-10.59-.2813-21.84-8.188-29.78c-7.938-7.938-19.16-10.97-29.78-8.188C581.1 165.8 571.1 160 560 160s-21.09 5.844-26.84 15.19c-10.69-2.781-21.84 .2813-29.78 8.188c-7.906 7.938-10.81 19.19-8.188 29.78C485.8 218.9 480 228.9 480 240s5.844 21.09 15.19 26.84c-2.625 10.62 .2656 21.78 8.234 29.78c7.844 7.656 18.86 11.3 29.8 8.268C538.1 314.1 548.9 320 560 320s21.05-5.886 26.8-15.14c11.03 3 21.67-.4581 29.83-8.239c7.906-7.938 10.81-19.19 8.188-29.78C634.2 261.1 640 251.1 640 240zM612.3 255.1c-2.312 .7187-4.156 2.406-5.062 4.656c-.9062 2.219-.75 4.75 .4062 6.844c3.438 6.312 2.49 13.77-2.229 18.52c-4.906 4.688-10.21 7.169-18.99 2.544c-2.094-1.156-4.656-1.25-6.812-.3438c-2.219 .9375-3.875 2.781-4.594 5.062C572.9 299.3 566.9 304 560 304s-12.94-4.688-15.06-11.66c-.7187-2.312-2.406-4.156-4.625-5.062c-.9687-.4062-2-.5938-3.031-.5938c-1.312 0-2.625 .3125-3.812 .9687c-8.406 4.531-14.1 2.129-18.72-2.371c-4.875-4.906-5.869-12.41-2.432-18.72c1.156-2.094 1.312-4.625 .4062-6.844c-.9062-2.25-2.75-3.938-5.062-4.656C500.7 252.9 496 246.9 496 240s4.688-12.94 11.66-15.06c2.312-.7187 4.156-2.406 5.062-4.656c.9062-2.219 .75-4.75-.4062-6.844c-3.438-6.312-2.5-13.84 2.375-18.75c4.938-4.844 12.47-5.781 18.75-2.375c2.125 1.188 4.656 1.375 6.844 .4062c2.25-.9062 3.938-2.75 4.656-5.062C547.1 180.7 553.1 176 560 176s12.94 4.688 15.06 11.66c.7187 2.312 2.406 4.156 4.656 5.062c2.25 .9687 4.75 .7813 6.844-.4062c6.344-3.469 13.84-2.469 18.75 2.375c4.875 4.906 5.812 12.44 2.375 18.75c-1.156 2.094-1.312 4.625-.4062 6.844c.9062 2.25 2.75 3.938 5.062 4.656C619.3 227.1 624 233.1 624 240S619.3 252.9 612.3 255.1zM448 384H63.1C28.65 384 0 412.7 0 447.1C0 465.7 14.33 480 32 480h448c17.67 0 32-14.33 32-32C512 412.7 483.3 384 448 384zM480 464H32c-8.822 0-16-7.176-16-16c0-26.47 21.53-48 48-48h384c26.47 0 48 21.53 48 48C496 456.8 488.8 464 480 464zM455.8 219.5c3.531 0 6.75-2.344 7.719-5.906c1.156-4.25-1.344-8.656-5.625-9.812l-70.99-19.29l-11.48-27.55c-1.688-4.094-6.406-6.062-10.44-4.312c-4.094 1.688-6.031 6.375-4.312 10.44l80 192C441.9 358.2 444.9 360 448 360c1.031 0 2.062-.1875 3.062-.625c4.094-1.688 6.031-6.375 4.312-10.44l-60.73-145.8l59.01 16.04C454.3 219.4 455.1 219.5 455.8 219.5zM61 359.4C61.97 359.8 63 360 64 360c3.156 0 6.156-1.875 7.406-5l84.34-207.4C180.1 87.09 239.7 48 305.3 48c47.66 0 92.72 20.88 123.4 56.94l45.88 60.63c2.656 3.562 7.688 4.219 11.19 1.562c3.531-2.656 4.219-7.688 1.562-11.19l-46.16-61C407.1 54.94 357.6 32 305.3 32C233.2 32 168.7 74.94 140.1 141.5L56.59 349C54.94 353.1 56.91 357.8 61 359.4z"],
    "hat-winter": [512, 512, [], "f7a8", "M191.2 106.9C188.5 117.5 191.4 128.7 199.4 136.7C207.3 144.3 218.3 147.9 229.2 144.1C234.1 154.2 244.9 160 256 160s21.05-5.828 26.8-15.08c11.06 2.969 21.68-.5531 29.87-8.334c7.906-7.938 10.77-19.15 8.15-29.74C330.2 101.1 336 91.09 336 80s-5.828-21.11-15.17-26.86c2.625-10.59-.3094-21.84-8.216-29.78c-7.938-7.938-19.07-10.91-29.75-8.159C277.1 5.859 267.1 0 256 0S234.9 5.844 229.1 15.19C218.4 12.41 207.3 15.48 199.4 23.38C191.5 31.32 188.6 42.56 191.2 53.16C181.8 58.91 176 68.91 176 80S181.8 101.1 191.2 106.9zM203.7 64.94c2.312-.7187 4.156-2.406 5.062-4.656c.9062-2.219 .75-4.75-.4062-6.844c-3.438-6.312-2.5-13.84 2.375-18.75c4.906-4.844 12.5-5.75 18.75-2.375c2.125 1.156 4.625 1.375 6.844 .4062c2.25-.9062 3.938-2.75 4.656-5.062C243.1 20.69 249.1 16 256 16s12.94 4.688 15.06 11.66c.7187 2.312 2.406 4.156 4.656 5.062c2.25 .9687 4.781 .75 6.844-.4062c6.375-3.438 13.84-2.469 18.75 2.375c4.875 4.906 5.812 12.44 2.375 18.75c-1.156 2.094-1.312 4.625-.4062 6.844c.9062 2.25 2.75 3.938 5.062 4.656C315.3 67.06 320 73.13 320 80s-4.688 12.94-11.66 15.06c-2.312 .7187-4.156 2.406-5.062 4.656c-.9062 2.219-.75 4.75 .4062 6.844c3.438 6.312 2.5 13.84-2.219 18.59c-4.906 4.656-10.25 7.062-19 2.469c-2.094-1.156-4.688-1.281-6.812-.3438c-2.219 .9375-3.875 2.781-4.594 5.062C268.9 139.3 262.9 144 256 144S243.1 139.3 240.9 132.3C240.2 130 238.5 128.2 236.3 127.3c-.9687-.4062-2-.5938-3.031-.5938c-1.312 0-2.625 .3125-3.812 .9687C221.1 132.2 215.3 129.8 210.7 125.3C205.8 120.4 204.9 112.9 208.3 106.6c1.156-2.094 1.312-4.625 .4062-6.844C207.8 97.47 205.1 95.78 203.7 95.06C196.7 92.94 192 86.88 192 80S196.7 67.06 203.7 64.94zM488 416H24C10.78 416 0 426.8 0 440v48C0 501.2 10.78 512 24 512h464c13.22 0 24-10.78 24-24v-48C512 426.8 501.2 416 488 416zM496 488c0 4.344-3.656 8-8 8H24c-4.344 0-8-3.656-8-8v-48c0-4.344 3.656-8 8-8h464c4.344 0 8 3.656 8 8V488zM40 384c4.406 0 8-3.594 8-8c0-17.84 2.289-35.23 5.598-52.27l6.84 3.422c2.25 1.125 4.875 1.125 7.125 0L128 296.9l60.44 30.22c2.25 1.125 4.875 1.125 7.125 0L256 296.9l60.44 30.22c2.25 1.125 4.875 1.125 7.125 0L384 296.9l60.44 30.22C445.6 327.7 446.8 328 448 328s2.438-.2813 3.562-.8438l6.84-3.422C461.7 340.8 464 358.2 464 376c0 4.406 3.594 8 8 8S480 380.4 480 376c0-104.6-56.53-200.8-140.7-239.3c-4.062-1.812-8.781-.0938-10.62 3.938s-.0625 8.781 3.938 10.62c59.78 27.37 104.5 86.27 122.5 156.2L448 311.1l-60.44-30.22c-2.25-1.125-4.875-1.125-7.125 0L320 311.1l-60.44-30.22c-2.25-1.125-4.875-1.125-7.125 0L192 311.1L131.6 280.8c-2.25-1.125-4.875-1.125-7.125 0L64 311.1L56.86 307.5C74.89 237.6 119.6 178.6 179.3 151.3c4-1.844 5.781-6.594 3.938-10.62C181.4 136.6 176.7 134.9 172.7 136.7C88.53 175.3 32 271.4 32 376C32 380.4 35.59 384 40 384z"],
    "hat-witch": [576, 512, [], "f6e7", "M127.3 379.3l15.84-35.6C143.5 343.7 143.7 344 144 344h96.03v31.1c0 4.406 3.594 7.1 8 7.1s8-3.594 8-7.1v-47.1c0-4.406 3.576-8.01 7.982-8.01h47.98C316.4 319.1 320 323.6 320 328v47.1c0 4.406 3.594 7.1 8 7.1s8-3.594 8-7.1v-31.1h102.1l15.06 35.16c1.281 3.031 4.25 4.844 7.344 4.844c1.062 0 2.125-.2187 3.156-.6562c4.062-1.719 5.938-6.437 4.188-10.5l-69.64-162.6C393.9 198.3 393.3 184.8 397.6 172.3l5.953-18.09c3.094-9.281 11.8-15.53 21.58-15.53h37.63c9.812 0 18.44 6.22 21.53 15.5l13.44 40.36c1.062 3.187 4.031 5.375 7.375 5.469c4.094-.0938 6.469-1.937 7.656-5.062l29.28-74.37c4.688-13.97 1.154-29.12-9.189-39.46l-66.73-69.8c-12.34-12.44-31.52-14.91-46.86-6L260.1 103.7c-24.44 14.09-43.41 35.11-54.59 60.55l-92.79 208.5c-1.781 4.031 .0313 8.75 4.062 10.56C120.8 385.1 125.5 383.3 127.3 379.3zM220.1 170.7C229.9 148.3 246.5 130 268.2 117.5l159.3-98.5c8.844-5.094 20.03-3.656 27.12 3.531l66.66 69.72c6.156 6.156 8.25 15.03 5.656 22.81l-21.06 53.5l-6.469-19.44c-5.25-15.81-20.03-26.44-36.72-26.44h-37.63c-16.69 0-31.44 10.62-36.75 26.47l-5.969 18.12c-5.469 16.25-4.75 33.78 2.031 49.34l47.71 111.4H336c0-13.22-10.78-23.1-24-23.1H264c-13.22 0-24 10.78-24 23.1H150.1L220.1 170.7zM553.4 416H22.56C10.1 416 0 426.1 0 438.6c0 6.543 2.781 12.79 7.688 17.12C30.41 475.7 88.99 512 166.4 512h243.2c76.61 0 135.1-36.26 158.7-56.28C573.2 451.4 576 445.3 576 438.7C576 426.3 565.9 416 553.4 416zM557.7 443.7c-22.09 19.42-78.15 52.29-148.2 52.29H166.4c-86.32 0-142-46.96-148.1-52.32C16.81 442.4 16 440.6 16 438.6c0-3.617 2.945-6.559 6.562-6.559h530.9c3.617 0 6.562 2.941 6.562 6.707C560 440.6 559.2 442.4 557.7 443.7z"],
    "hat-wizard": [512, 512, [], "f6e8", "M79.22 395.4l103.1-217.8c10.31-23.44 27.62-42.59 50.03-55.41l169.4-96.84l-49.63 148.1c-5.656 16.87-4.906 35.06 2.219 51.41l78.38 169.6c1.344 2.937 4.219 4.656 7.25 4.656c1.125 0 2.281-.25 3.344-.75c4.031-1.844 5.781-6.594 3.906-10.59l-78.28-169.5c-5.469-12.53-6.031-26.66-1.625-39.78l56.25-168.9c1.031-3.156 .0313-6.625-2.531-8.719c-2.594-2.094-6.156-2.437-9.031-.75L224.4 108.3C199 122.8 179.4 144.6 167.8 170.9l-103 217.6c-1.906 3.1-.1875 8.781 3.781 10.66C72.63 401.1 77.38 399.4 79.22 395.4zM488 432H24c-13.22 0-24 10.78-24 23.1C.0003 486.9 25.13 512 56 512h399.1c30.88 0 56-25.12 56-55.1C512 442.8 501.2 432 488 432zM456 496H56c-22.06 0-40-17.94-40-39.1c0-4.406 3.594-7.1 8-7.1h463.1c4.406 0 8 3.594 8 7.1C496 478.1 478.1 496 456 496zM312 176c0-4.406-3.594-7.1-8-7.1h-24V144c0-4.406-3.594-7.1-8-7.1s-8 3.594-8 7.1v23.1h-24c-4.406 0-8 3.594-8 7.1s3.594 7.1 8 7.1h24V208c0 4.406 3.594 7.1 8 7.1s8-3.594 8-7.1V184h24C308.4 184 312 180.4 312 176zM224 400c4.406 0 8-3.594 8-7.1V344h48c4.406 0 8-3.594 8-7.1s-3.594-7.1-8-7.1h-48V280c0-4.406-3.594-7.1-8-7.1s-8 3.594-8 7.1v47.1h-48c-4.406 0-8 3.592-8 7.998c0 4.406 3.594 8.002 8 8.002h48v47.1C216 396.4 219.6 400 224 400z"],
    "head-side": [512, 512, [], "f6e9", "M508.5 271.1c-7.641-17.12-16.17-41-25.22-66.25c-16.02-44.72-32.56-90.97-48.77-114C394.1 34.28 328 0 257.9 0H200.1C89.67 0 0 89.81 0 200.2c0 55.44 23.28 108.6 64 146.6V504c0 4.406 3.578 8 8 8s8-3.594 8-8v-164.3L77.35 337.3c-38.99-35.06-61.35-85-61.35-137.1C16 98.63 98.64 16 200.2 16h57.64c64.95 0 126.1 31.75 163.6 84.94c14.94 21.25 31.86 68.5 46.78 110.2c9.141 25.53 17.78 49.69 25.66 67.34c3.359 7.562 2.688 15.91-1.844 22.88c-4.516 6.938-11.86 10.94-20.13 10.94h-39.88v64c0 30.91-25.16 56.06-56.06 56.06h-72V504c0 4.406 3.578 8 8 8s8-3.594 8-8v-55.66h56c39.74 0 72.06-32.31 72.06-72.06v-48h23.88c13.58 0 26.13-6.812 33.55-18.22C512.9 298.6 514.1 284.4 508.5 271.1zM400 192c0-22.06-17.94-40-40-40c-22.06 0-39.1 17.94-39.1 40s17.94 40 39.1 40C382.1 232 400 214.1 400 192zM335.1 192c0-13.22 10.77-24 24-24c13.23 0 23.1 10.78 23.1 24s-10.76 24-23.1 24C346.8 216 335.1 205.2 335.1 192z"],
    "head-side-brain": [512, 512, [], "f808", "M160 176c0 1-.125 1.938-.125 2.938c0 0-.125-.125 0 0L160 176zM336 216c30.88 0 56-25.12 56-56c0-30.06-23.81-54.66-53.56-55.94c-6-13.09-16.95-23.34-30.77-28.56c-13.28-4.969-27.75-4.625-40.67 .7187C256.5 63.44 240.9 56 224 56s-32.45 7.438-43.02 20.22C174.3 73.44 167.2 72 160 72c-28.33 0-51.83 21.16-55.5 48.5C80.52 123.7 61 142.1 56.74 166.6C52.53 191.6 65.53 215.9 88.05 226.4C89.33 256.2 113.9 280 144 280c2.703 0 5.375-.2187 8-.625V312c0 4.406 3.577 8 7.999 8c4.422 0 8.002-3.594 8.002-8V269c0-2.656-1.313-5.125-3.484-6.594C162.3 260.9 159.6 260.6 157.1 261.6C152.9 263.2 148.5 264 144 264c-22.06 0-40-17.94-39.95-40.38c.0469-.3438 .2031-2.156 .2031-2.5c0-3.406-2.172-6.438-5.391-7.562C80.36 207.2 69.28 188.5 72.5 169.3C75.86 149.1 92.47 136 112 136c4.422 0 8-3.594 8-8c0-22.06 17.94-40 40-40c6.766 0 13.5 1.844 19.48 5.312c3.703 2.094 8.485 .9687 10.78-2.656C197.6 78.97 210.2 72 224 72s26.38 6.969 33.74 18.66c2.281 3.625 7.078 4.781 10.78 2.625c10.22-5.969 22.45-6.938 33.53-2.781c11.13 4.188 19.64 12.94 23.38 24.06C326.5 117.8 329.6 120 333 120h3c22.06 0 40 17.94 40 40s-17.94 40-40 40h-51c-2.641 0-5.11 1.312-6.61 3.5c-1.484 2.156-1.797 4.938-.8438 7.406C279.2 215.1 280 219.5 280 224c0 22.06-17.94 40-40 40c-4.516 0-8.922-.8125-13.09-2.438c-2.453-1-5.266-.6875-7.422 .8438C217.3 263.9 216 266.3 216 269V312c0 4.406 3.576 8 7.998 8c4.422 0 8.003-3.594 8.003-8V279.4C234.6 279.8 237.3 280 240 280c30.88 0 56-25.12 56-56c0-2.688-.2032-5.375-.6094-8H336zM508.5 271.1c-7.641-17.12-16.17-41-25.22-66.25c-16.02-44.72-32.56-90.97-48.77-114C394.1 34.28 328 0 257.9 0H200.1C89.67 0 0 89.81 0 200.2c0 55.44 23.28 108.6 64 146.6V504c0 4.406 3.578 8 8 8s8-3.594 8-8v-164.3L77.35 337.3c-38.99-35.06-61.35-85-61.35-137.1C16 98.63 98.64 16 200.2 16h57.64c64.95 0 126.1 31.75 163.6 84.94c14.94 21.25 31.86 68.5 46.78 110.2c9.141 25.53 17.78 49.69 25.66 67.34c3.359 7.562 2.688 15.91-1.844 22.88c-4.516 6.938-11.86 10.94-20.13 10.94h-39.88v64c0 30.91-25.16 56.06-56.06 56.06h-72V504c0 4.406 3.578 8 8 8s8-3.594 8-8v-55.66h56c39.74 0 72.06-32.31 72.06-72.06v-48h23.88c13.58 0 26.13-6.812 33.55-18.22C512.9 298.6 514.1 284.4 508.5 271.1z"],
    "head-side-cough": [640, 512, [], "e061", "M608 304C616.9 304 624 296.9 624 288s-7.125-16-15.1-16c-8.875 0-16 7.125-16 16S599.1 304 608 304zM608 368c-8.875 0-16 7.125-16 16s7.125 16 16 16C616.9 400 624 392.9 624 384S616.9 368 608 368zM608 464c-8.875 0-16 7.125-16 16s7.125 16 16 16C616.9 496 624 488.9 624 480S616.9 464 608 464zM544 416c-8.875 0-16 7.125-16 16s7.125 16 16 16C552.9 448 560 440.9 560 432S552.9 416 544 416zM544 320c-8.875 0-16 7.125-16 16s7.125 16 16 16C552.9 352 560 344.9 560 336S552.9 320 544 320zM480 368c-8.875 0-16 7.125-16 16s7.125 16 16 16C488.9 400 496 392.9 496 384S488.9 368 480 368zM368 192c0-22.06-17.94-40-40-40C305.9 152 288 169.9 288 192c0 22.05 17.94 40 39.1 40C350.1 232 368 214.1 368 192zM304 192c0-13.22 10.78-24 24-24S352 178.8 352 192s-10.78 24-24 24S304 205.2 304 192zM477.2 275c-21-47.13-48.49-151.8-73.11-186.8C365.6 33.63 302.5 0 234.1 0L196.4 0c-104 0-192.5 80.89-196.3 184.8c-2.166 59.61 22.99 113.3 63.87 150L64 504C64 508.4 67.58 512 71.99 512C76.4 512 80 508.4 80 504v-176.3l-5.309-4.768C37.39 289.5 16 241.7 16 192c0-97.05 78.95-176 176-176h42.1c62.31 0 120.1 30.46 156.9 81.46c13.81 19.63 30.07 67.56 44.42 109.9c9.477 27.94 18.44 54.35 26.69 73.1c2.309 5.248 2.381 11.42-.7285 16.24C458.4 301.3 453.5 304 447.1 304h-48v32h-78.3c-24.39 0-46.16 17.49-49.27 41.68C268.6 406.1 291.5 432 320 432h77.23c-6.604 18.62-24.4 32-45.26 32h-80l.0254 40.02C271.1 508.4 275.6 512 279.1 512c4.41 0 7.988-3.576 7.988-7.988V480h64.01c28.04 0 51.84-17.99 60.5-43.07C416 426.7 408.1 416 397.2 416h-75.83c-16.71 0-31.64-12.22-33.22-28.86C286.3 368.1 301.3 352 320 352h79.97c8.838 0 16-7.164 16-16l.0075-16h31.99C471.1 320 486.6 296.1 477.2 275z"],
    "head-side-cough-slash": [640, 512, [], "e062", "M560 336c0-8.875-7.125-16-15.1-16c-6.838 0-12.55 4.266-14.85 10.27l23.62 18.78C557 346.2 560 341.6 560 336zM608 368c-7.719 0-13.81 5.5-15.35 12.74l22.16 17.62C620.2 395.8 624 390.4 624 384C624 375.1 616.9 368 608 368zM608 304C616.9 304 624 296.9 624 288s-7.125-16-15.1-16c-8.875 0-16 7.125-16 16S599.1 304 608 304zM16 192c0-26.03 5.832-50.68 16.02-72.93l-12.61-10.03c-11.37 23.03-18.29 48.58-19.28 75.81c-2.166 59.61 22.99 113.3 63.87 150L64 504C64 508.4 67.58 512 71.99 512C76.4 512 80 508.4 80 504v-176.3l-5.309-4.768C37.39 289.5 16 241.7 16 192zM636.1 497.7L12.99 1.73C11.53 .5664 9.775 0 8.025 0C5.674 0 3.338 1.031 1.74 3.012c-2.75 3.469-2.172 8.5 1.281 11.25l623.1 496C628.5 511.4 630.2 512 631.1 512c2.344 0 4.688-1.031 6.266-3.016C641 505.5 640.4 500.5 636.1 497.7zM192 16h42.1c62.31 0 120.1 30.46 156.9 81.46c13.81 19.63 30.07 67.56 44.42 109.9c8.693 25.62 16.92 49.68 24.6 68.01l19.8 15.74c.5195-5.246-.2528-10.74-2.614-16.06c-21-47.12-48.49-151.7-73.11-186.7C365.6 33.62 302.5 0 234.1 0H196.4C172.8 0 150 4.361 128.8 12.04L142.8 23.14C158.4 18.57 174.9 16 192 16zM397.2 416h-75.83c-16.71 0-31.64-12.22-33.22-28.86C286.3 368.1 301.3 351.1 320 351.1L325.1 352l-17.08-13.57c-18.32 5.16-33.07 19.78-35.57 39.26C268.6 406.1 291.5 432 320 432h77.23c-6.604 18.62-24.4 32-45.26 32h-80l.0254 40.02C271.1 508.4 275.6 512 279.1 512c4.41 0 7.988-3.576 7.988-7.988l0-24.01l64.01 .001c28.04 0 51.84-17.99 60.5-43.06C416 426.7 408.1 416 397.2 416z"],
    "head-side-goggles": [512, 512, ["head-vr"], "f6ea", "M511.1 208v-128c0-17.64-14.35-32-31.1-32h-87.06C354.1 17.52 307.6 0 257.9 0H216.2c-72.19 0-135.4 38.54-170.6 96H24C10.77 96 0 106.8 0 120v48c0 10.47 6.85 19.16 16.23 22.43c-.1094 3.879-.2148 8.164-.2148 9.793c0 55.44 23.28 108.6 64 146.6V504c0 4.406 3.568 8 7.99 8s8.01-3.594 8.01-8v-164.3l-2.656-2.375c-38.98-35.06-61.34-85-61.34-137.1C32.01 197.4 32.31 194.7 32.43 192h189.4c17.61 28.57 50.14 48 86.64 48h170.3c5.277 14.34 10.39 27.77 15.16 38.47c3.359 7.562 2.688 15.91-1.844 22.88c-4.516 6.938-11.86 10.94-20.12 10.94h-39.88v64c0 30.91-25.16 56.06-56.06 56.06h-72V504c0 4.406 3.578 8 8 8s8-3.594 8-8v-55.66h56c39.73 0 72.06-32.31 72.06-72.06v-48h23.88c13.58 0 26.12-6.812 33.55-18.22c7.422-11.44 8.562-25.66 3.047-38.09c-4.422-9.914-9.195-22.39-14.15-35.8C504.7 230.8 511.1 220.4 511.1 208zM24 176C19.59 176 16 172.4 16 168v-48c0-4.406 3.594-8 8-8h189.7C209 125.3 207 139.5 208.5 153.8C209.2 161.6 211.4 168.9 214 176H24zM220.9 96H64.48c33.25-48.27 88.84-80 151.7-80h41.64c38.43 0 75.08 11.85 106.7 32H304c-27.05 0-52.99 11.52-71.18 31.59C228.2 84.65 224.3 90.16 220.9 96zM415.1 224h-107.5C266.7 224 228.6 193.9 224.4 152.2C219.6 104.4 257.1 64 303.1 64h111.9L415.1 224zM496 208C496 216.9 488.9 224 480 224h-48V64H480c8.875 0 16 7.125 16 16V208z"],
    "head-side-headphones": [512, 512, [], "f8c2", "M508.5 271.1c-7.641-17.12-16.17-41-25.22-66.25c-16.02-44.72-32.56-90.97-48.77-114C394.1 34.28 328 0 257.9 0H200.1C89.68 0 0 89.81 0 200.2c0 55.44 23.28 108.6 64 146.6V504c0 4.406 3.578 8 8 8s8-3.594 8-8v-164.3L77.35 337.3c-38.99-35.06-61.35-85-61.35-137.1c0-84.88 57.77-156.3 135.1-177.6v88.91C118.7 130.9 95.1 166.6 95.1 208c0 61.86 50.15 112 112 112S320 269.9 320 208c0-41.35-22.67-77.06-56.01-96.46V16.38c62.64 1.945 121.2 33.07 157.5 84.56c14.94 21.25 31.86 68.5 46.78 110.2c9.141 25.53 17.78 49.69 25.66 67.34c3.359 7.562 2.688 15.91-1.844 22.88c-4.516 6.938-11.86 10.94-20.13 10.94h-39.88v64c0 30.91-25.16 56.06-56.06 56.06h-72V504c0 4.406 3.578 8 8 8s8-3.594 8-8v-55.66h56c39.74 0 72.06-32.31 72.06-72.06v-48h23.88c13.58 0 26.13-6.812 33.55-18.22C512.9 298.6 514.1 284.4 508.5 271.1zM167.1 19C178.5 17.14 189.2 16 200.2 16h47.78v87.69C235.5 98.9 222.1 96 208 96s-27.55 2.902-40.01 7.688V19zM303.1 208c0 52.93-43.07 96-96 96c-52.94 0-96-43.07-96-96s43.07-96 96-96C260.9 112 303.1 155.1 303.1 208zM160 176c0 1-.125 1.938-.125 2.938c0 0-.125-.125 0 0L160 176zM160 208c0 26.51 21.49 48 47.1 48s47.1-21.49 47.1-48S234.5 160 208 160S160 181.5 160 208zM239.1 208c0 17.64-14.36 32-32 32s-32-14.36-32-32s14.36-32 32-32S239.1 190.4 239.1 208z"],
    "head-side-heart": [512, 512, [], "e1aa", "M508.5 271.1c-7.641-17.12-16.17-41-25.22-66.25c-16.02-44.72-32.56-90.97-48.77-114C394.1 34.28 328 0 257.9 0H200.1C89.67 0 0 89.81 0 200.2c0 55.44 23.28 108.6 64 146.6V504c0 4.406 3.578 8 8 8s8-3.594 8-8v-164.3L77.35 337.3c-38.99-35.06-61.35-85-61.35-137.1C16 98.63 98.64 16 200.2 16h57.64c64.95 0 126.1 31.75 163.6 84.94c14.94 21.25 31.86 68.5 46.78 110.2c9.141 25.53 17.78 49.69 25.66 67.34c3.359 7.562 2.688 15.91-1.844 22.88c-4.516 6.938-11.86 10.94-20.13 10.94h-39.88v64c0 30.91-25.16 56.06-56.06 56.06h-72V504c0 4.406 3.578 8 8 8s8-3.594 8-8v-55.66h56c39.74 0 72.06-32.31 72.06-72.06v-48h23.88c13.58 0 26.13-6.812 33.55-18.22C512.9 298.6 514.1 284.4 508.5 271.1zM355.4 152.3C354.4 133 345.8 115.5 331.2 103c-25.92-22.12-65.83-19.44-90.88 6.281L237.6 112.1L234.9 109.3C210.1 83.66 170.2 80.88 144.1 103c-14.58 12.5-23.13 30-24.05 49.31C119.2 171.5 126.2 190.3 139.3 203.9l83.02 85.59C226.5 293.7 231.9 296 237.7 296s11.27-2.312 15.42-6.562l82.99-85.56C349.3 190.3 356.3 171.5 355.4 152.3zM241.7 278.3C239.5 280.5 235.9 280.4 233.8 278.3L150.8 192.8C140.7 182.3 135.4 167.8 136.1 153.1C136.8 138.3 143.3 124.8 154.5 115.2c8.797-7.5 19.73-11.16 30.84-11.16c13.64 0 27.55 5.562 38.02 16.38L237.6 135.2l14.19-14.69c19.16-19.69 49.45-21.97 69-5.25c11.25 9.562 17.86 23.03 18.58 37.91c.7344 14.72-4.641 29.16-14.73 39.63L241.7 278.3z"],
    "head-side-mask": [512, 512, [], "e063", "M320 192c0 22.06 17.92 40 39.99 40C382.1 232 400 214.1 400 192s-17.94-40-39.1-40C337.9 152 320 169.9 320 192zM384 192c0 13.22-10.78 24-24.01 24c-13.24 0-24-10.78-24-24s10.77-24 24-24C373.2 168 384 178.8 384 192zM510.5 307.3C508.1 305.3 506.6 304 503.1 304H253.3L26.97 138.2C52.51 67.08 120.4 16 200.2 16h57.64c64.95 0 126.1 31.75 163.6 84.94c14.94 21.25 31.86 68.5 46.78 110.2c7.361 20.56 14.37 40.01 20.94 56.06c1.207 2.949 4.072 4.809 7.258 4.803c5.576-.0078 9.629-5.596 7.521-10.76c-6.42-15.74-13.37-35.18-20.66-55.51c-16.02-44.72-32.56-90.97-48.77-114C394.1 34.28 328 0 257.8 0H200C89.65 0 0 89.81 0 200.2c0 55.44 23.28 108.6 64 146.6V504c0 4.406 3.578 8 7.1 8c4.422 0 7.1-3.594 7.1-8v-164.3l-2.656-2.375c-38.99-35.06-61.35-85-61.35-137.1c0-15.84 2.223-31.13 5.1-45.81l217.1 159.7V504c0 4.406 3.594 8 7.1 8h145.9c31.03 0 58.47-19.78 68.31-49.22l49.41-148.3C512.4 312.1 511.1 309.4 510.5 307.3zM474.2 376h-154.2c-4.406 0-7.1 3.594-7.1 8s3.594 8 7.1 8h148.9l-15.1 48h-132.9c-4.406 0-7.1 3.594-7.1 8s3.594 8 7.1 8h127.6l-.5723 1.719C439.4 480.6 417.1 496 393.9 496H255.1l.0086-176h236.9L474.2 376z"],
    "head-side-medical": [512, 512, [], "f809", "M344 216v-48c0-13.22-10.77-24-24-24h-48V96c0-13.22-10.77-24-24-24H200c-13.23 0-24 10.78-24 24v48H128c-13.23 0-24 10.78-24 24v48c0 13.22 10.77 24 24 24h48V288c0 13.22 10.77 24 24 24h48c13.23 0 23.1-10.78 23.1-24V240h48C333.2 240 344 229.2 344 216zM256 224l.0034 64c0 4.406-3.594 8-8 8H200C195.6 296 192 292.4 192 288L192 224H128C123.6 224 120 220.4 120 216v-48c0-4.406 3.594-8 8-8h63.1l.0026-64c0-4.406 3.594-8 8-8h48c4.406 0 8 3.594 8 8l-.0034 64h64.01c4.406 0 8 3.594 8 8v48c0 4.406-3.594 8-8 8H256zM508.5 271.1c-7.641-17.12-16.17-41-25.22-66.25c-16.02-44.72-32.56-90.97-48.77-114C394.1 34.28 328 0 257.9 0H200.1C89.67 0 0 89.81 0 200.2c0 55.44 23.28 108.6 64 146.6V504c0 4.406 3.578 8 8 8s8-3.594 8-8v-164.3L77.35 337.3c-38.99-35.06-61.35-85-61.35-137.1C16 98.63 98.64 16 200.2 16h57.64c64.95 0 126.1 31.75 163.6 84.94c14.94 21.25 31.86 68.5 46.78 110.2c9.141 25.53 17.78 49.69 25.66 67.34c3.359 7.562 2.688 15.91-1.844 22.88c-4.516 6.938-11.86 10.94-20.13 10.94h-39.88v64c0 30.91-25.16 56.06-56.06 56.06h-72V504c0 4.406 3.578 8 8 8s8-3.594 8-8v-55.66h56c39.74 0 72.06-32.31 72.06-72.06v-48h23.88c13.58 0 26.13-6.812 33.55-18.22C512.9 298.6 514.1 284.4 508.5 271.1z"],
    "head-side-virus": [512, 512, [], "e064", "M508.5 271.1c-7.641-17.12-16.17-41-25.22-66.25c-16.02-44.72-32.56-90.97-48.77-114C394.1 34.28 328 0 257.8 0h-57.78C89.67 0 0 89.81 0 200.2c0 55.44 23.28 108.6 64 146.6V504c0 4.406 3.578 8 8 8s8-3.594 8-8v-164.3l-2.656-2.375c-38.99-35.06-61.35-85-61.35-137.1C16 98.63 98.64 16 200.2 16h57.64c64.96 0 126.1 31.75 163.6 84.94c14.94 21.25 31.86 68.5 46.78 110.2c9.141 25.53 17.78 49.69 25.66 67.34c3.359 7.562 2.688 15.91-1.844 22.88c-4.516 6.938-11.86 10.94-20.13 10.94h-39.88v64c0 30.91-25.16 56.06-56.06 56.06h-72V504c0 4.406 3.578 8 8 8s8-3.594 8-8v-55.66h56c39.74 0 72.06-32.31 72.06-72.06v-48h23.88c13.58 0 26.13-6.812 33.55-18.22C512.9 298.6 514.1 284.4 508.5 271.1zM208 175.1c-8.836 0-16 7.162-16 16c0 8.836 7.163 15.1 15.1 15.1s16-7.164 16-16C224 183.2 216.8 175.1 208 175.1zM272 239.1c-8.836 0-15.1 7.163-15.1 16c0 8.836 7.165 16 16 16s16-7.164 16-16C288 247.2 280.8 239.1 272 239.1zM313.6 331.5c9.062 9.062 24.88 9.062 33.94 0c9.344-9.344 9.344-24.59 0-33.94l-8.594-8.562c-8.344-8.344-8.156-19-5.188-26.16S344.1 248 355.9 248h12.12c13.22 0 24-10.78 24-24s-10.78-24-24-24h-12.12c-11.81 0-19.19-7.656-22.16-14.81s-3.156-17.81 5.188-26.16l8.594-8.562c9.344-9.344 9.344-24.59 0-33.94c-9.375-9.375-24.56-9.375-33.94 0l-8.594 8.562c-8.281 8.312-18.88 8.25-26.16 5.188c-7.156-2.969-14.81-10.34-14.81-22.16V96c0-13.22-10.78-24-24-24s-24 10.78-24 24v12.12c0 11.81-7.656 19.19-14.81 22.16c-7.25 3-17.87 3.094-26.16-5.188L166.5 116.5c-9.375-9.375-24.56-9.375-33.94 0c-9.344 9.344-9.344 24.59 0 33.94l8.562 8.562c8.344 8.344 8.156 19 5.188 26.16S135.9 200 124.1 200H112c-13.22 0-24 10.78-24 24s10.78 24 24 24h12.12c11.81 0 19.19 7.656 22.16 14.81s3.156 17.81-5.188 26.16L132.5 297.5c-9.344 9.344-9.344 24.59 0 33.94c9.062 9.062 24.88 9.062 33.94 0l8.562-8.562c8.312-8.312 18.94-8.219 26.16-5.188c7.156 2.969 14.81 10.34 14.81 22.16V352c0 13.22 10.78 24 24 24s24-10.78 24-24v-12.12c0-11.81 7.656-19.19 14.81-22.16c7.219-3.062 17.84-3.156 26.16 5.188L313.6 331.5zM272.7 302.9c-15.22 6.281-24.69 20.47-24.69 36.94V352c0 4.406-3.594 8-8 8s-8-3.594-8-8v-12.12c0-16.47-9.469-30.66-24.69-36.94C202.2 300.8 196.9 299.8 191.8 299.8c-10.31 0-20.28 4.062-28.03 11.81l-8.562 8.562c-3 3-8.312 3-11.31 0c-3.125-3.125-3.125-8.188 0-11.31l8.562-8.562c11.66-11.66 14.97-28.34 8.656-43.59C154.8 241.5 140.6 232 124.1 232H112c-4.406 0-8-3.594-8-8s3.594-8 8-8h12.12c16.47 0 30.66-9.469 36.94-24.69c6.312-15.25 3-31.94-8.656-43.59L143.9 139.2c-3.125-3.125-3.125-8.188 0-11.31s8.188-3.125 11.31 0l8.562 8.562c11.66 11.62 28.34 15 43.59 8.656c15.22-6.281 24.69-20.47 24.69-36.94V96c0-4.406 3.594-8 8-8s8 3.594 8 8v12.12c0 16.47 9.469 30.66 24.69 36.94c15.28 6.344 31.94 2.969 43.59-8.656l8.594-8.562c3.125-3.125 8.188-3.125 11.31 0s3.125 8.188 0 11.31l-8.594 8.562c-11.66 11.66-14.97 28.34-8.656 43.59C325.2 206.5 339.4 216 355.9 216h12.12c4.406 0 8 3.594 8 8s-3.594 8-8 8h-12.12c-16.47 0-30.66 9.469-36.94 24.69c-6.312 15.25-3 31.94 8.656 43.59l8.594 8.562c3.125 3.125 3.125 8.188 0 11.31c-3 3-8.312 3-11.31 0l-8.594-8.562C304.6 299.9 287.9 296.6 272.7 302.9z"],
    "heading": [448, 512, ["header"], "f1dc", "M448 472c0 4.422-3.594 8-8 8h-112C323.6 480 320 476.4 320 472s3.594-8 8-8h48V264h-304v200h48C124.4 464 128 467.6 128 472S124.4 480 120 480h-112C3.594 480 0 476.4 0 472s3.594-8 8-8h48v-416h-48C3.594 48 0 44.42 0 40S3.594 32 8 32h112C124.4 32 128 35.58 128 40S124.4 48 120 48h-48v200h304V48h-48C323.6 48 320 44.42 320 40S323.6 32 328 32h112C444.4 32 448 35.58 448 40S444.4 48 440 48h-48v416h48C444.4 464 448 467.6 448 472z"],
    "headphones": [512, 512, [127911], "f025", "M256 32C117.2 32 4.781 144.3 0 288l.0042 111.9C.0042 444.1 35.89 480 80 480C106.5 480 128 458.4 128 431.9V304.1C128 277.6 106.5 256 80 256c-26.26 0-49.4 12.91-64 32.55C20.47 153.8 125.9 48 256 48c130.1 0 235.5 105.5 240 240v.5469C481.4 268.9 458.3 256 432 256C405.5 256 384 277.6 384 304.1v127.9C384 458.4 405.5 480 432 480c44.11 0 79.1-35.88 79.1-80.06L512 287.9C507.2 144.5 394.8 32 256 32zM80 272c17.66 0 32 14.34 32 32.06v127.9C112 449.6 97.66 464 80 464c-35.34 0-64-28.7-64-64.13v-63.75C16 300.7 44.66 272 80 272zM496 399.9C496 435.3 467.3 464 432 464c-17.66 0-32-14.36-32-32.06V304.1C400 286.3 414.3 272 432 272c35.34 0 64 28.7 64 64.13V399.9z"],
    "headphones-simple": [512, 512, ["headphones-alt"], "f58f", "M383.1 256c-26.47 0-48.01 21.53-48.01 48.03v127.9c0 26.5 21.54 48.09 48.01 48.09c44.11 0 80-35.91 80-80.09l-.0068-63.81C463.1 291.9 428.1 256 383.1 256zM447.1 399.9c0 35.42-28.66 64.13-64 64.13c-17.66 0-32-14.36-32-32.06V304.1c0-17.72 14.34-32.06 32-32.06c35.34 0 64 28.7 64 64.13V399.9zM256 32C117.2 32 4.781 144.3 0 288v88C0 380.4 3.594 384 8 384s8-3.578 8-8V288.3C20.47 153.5 125.9 48 256 48c130.1 0 235.5 105.5 240 240v88c0 4.422 3.594 8 8 8S512 380.4 512 376V287.1C507.2 144.6 394.8 32 256 32zM127.1 256c-44.11 0-80.01 35.91-80.01 80.09l.0068 63.81c0 44.18 35.89 80.09 80 80.09c26.47 0 47.99-21.59 47.99-48.09V304.1C175.1 277.6 154.5 256 127.1 256zM159.1 431.9c0 17.7-14.34 32.06-32 32.06c-35.34 0-64-28.7-64-64.13v-63.75c0-35.42 28.66-64.13 64-64.13c17.66 0 32 14.34 32 32.06V431.9z"],
    "headset": [512, 512, [], "f590", "M256 0C123.7 0 16 107.7 16 240v72C16 316.4 19.58 320 23.1 320S32 316.4 32 312V240c0-123.5 100.5-224 224-224s224 100.5 224 224v160c0 30.88-25.12 56-56 56H320c-.3027 0-.4805 .2891-.7734 .3203C315.5 433.5 295.9 416 272 416h-32C213.5 416 192 437.5 192 464S213.5 512 239.1 512H272c23.88 0 43.53-17.48 47.23-40.32C319.5 471.7 319.7 472 320 472h104c39.7 0 72-32.31 72-72v-160C496 107.7 388.3 0 256 0zM272 496h-32c-17.64 0-32-14.36-32-32s14.36-32 32-32h32c17.64 0 32 14.36 32 32S289.6 496 272 496zM144 192L127.1 192c-35.35 0-64 28.65-64 63.1L64 320c0 35.35 28.65 64 64 64h16c17.67 0 32-14.33 32-32V224C176 206.3 161.7 192 144 192zM160 352c0 8.824-7.178 16-16 16H128c-26.47 0-48-21.53-48-48V256.1C80 229.6 101.5 208 128 208h16c8.822 0 15.99 7.176 15.99 16L160 352zM384 384c35.35 0 64-28.65 64-64l-.0026-63.1c0-35.35-28.66-63.1-64-63.1L368 192c-17.67 0-32 14.33-32 32v128c0 17.67 14.33 32 32 32H384zM352 352l-.0066-127.1C351.1 215.2 359.2 208 368 208H384c26.47 0 48 21.61 48 48.08V320c0 26.47-21.53 48-48 48h-16C359.2 368 352 360.8 352 352z"],
    "heart": [512, 512, [128153, 128154, 128155, 128156, 128420, 129293, 129294, 129505, 10084, 61578, 9829], "f004", "M256 112L270.2 94.2C300.1 55.8 350.1 37.01 398.6 45.1C464 56.01 512 112.6 512 179V190.9C512 232.4 494.8 272.1 464.4 300.4L283.7 469.1C276.2 476.1 266.3 480 256 480C245.7 480 235.8 476.1 228.3 469.1L47.59 300.4C17.23 272.1 0 232.4 0 190.9V179C0 112.6 47.98 56.01 113.4 45.1C161.9 37.01 211 55.79 241.8 94.2L256 112zM256 137.6L229.3 104.2C202.2 70.32 158.9 53.75 116.1 60.88C58.32 70.5 16 120.5 16 179V190.9C16 227.1 31.39 263.4 58.51 288.7L239.2 457.4C243.8 461.6 249.8 464 256 464C262.2 464 268.2 461.6 272.8 457.4L453.5 288.7C480.6 263.4 496 227.1 496 190.9V179C496 120.5 453.7 70.5 395.9 60.88C353.1 53.75 309.8 70.32 282.7 104.2L256 137.6z"],
    "heart-circle-bolt": [576, 512, [], "e4fc", "M287.1 86.64L256.7 120.2L224.1 86.79C180.1 41.06 106.8 34.17 60.2 74.75L60.11 74.83C4.288 122.7 1.603 207.9 51.22 259.4L244.1 459.1L245.2 459.4C250.6 465.2 261 465.9 268 459L276.4 450.3C279 455.2 281.8 460 284.9 464.6L279.4 470.3C266.4 483.2 245.5 483.2 233.5 470.3L39.71 270.5C-16.22 212.5-13.23 116.6 49.7 62.68C103.6 15.73 186.5 24.72 236.5 75.67L256.4 96.64L275.4 75.67C325.4 24.72 407.3 15.73 463.2 62.68C506.1 100.1 520.7 157.6 507 208.7C502.2 206.5 497.2 204.4 492.1 202.5C503.4 157.7 490.2 107.5 452.8 74.84C404.1 34.04 331.8 41.21 287.1 86.64zM468.5 281.4C471.4 283.4 472.7 287.1 471.6 290.5L453.8 344H512C515.3 344 518.3 346.1 519.5 349.2C520.7 352.4 519.7 355.9 517.2 358.1L405.2 454.1C402.5 456.4 398.5 456.6 395.5 454.6C392.6 452.6 391.3 448.9 392.4 445.5L410.2 392H352C348.7 392 345.7 389.9 344.5 386.8C343.3 383.6 344.3 380.1 346.8 377.9L458.8 281.9C461.5 279.6 465.5 279.4 468.5 281.4V281.4zM373.6 376H421.3C423.9 376 426.3 377.2 427.8 379.3C429.3 381.4 429.7 384.1 428.9 386.5L416.7 423.1L490.4 360H442.7C440.1 360 437.7 358.8 436.2 356.7C434.7 354.6 434.3 351.9 435.1 349.5L447.3 312.9L373.6 376zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 496C502.7 496 560 438.7 560 368C560 297.3 502.7 240 432 240C361.3 240 304 297.3 304 368C304 438.7 361.3 496 432 496z"],
    "heart-circle-check": [576, 512, [], "e4fd", "M287.1 86.64L256.7 120.2L224.1 86.79C180.1 41.06 106.8 34.17 60.2 74.75L60.11 74.83C4.288 122.7 1.603 207.9 51.22 259.4L244.1 459.1L245.2 459.4C250.6 465.2 261 465.9 268 459L276.4 450.3C279 455.2 281.8 460 284.9 464.6L279.4 470.3C266.4 483.2 245.5 483.2 233.5 470.3L39.71 270.5C-16.22 212.5-13.23 116.6 49.7 62.68C103.6 15.73 186.5 24.72 236.5 75.67L256.4 96.64L275.4 75.67C325.4 24.72 407.3 15.73 463.2 62.68C506.1 100.1 520.7 157.6 507 208.7C502.2 206.5 497.2 204.4 492.1 202.5C503.4 157.7 490.2 107.5 452.8 74.84C404.1 34.04 331.8 41.21 287.1 86.64zM501.7 322.3C504.8 325.5 504.8 330.5 501.7 333.7L421.7 413.7C418.5 416.8 413.5 416.8 410.3 413.7L362.3 365.7C359.2 362.5 359.2 357.5 362.3 354.3C365.5 351.2 370.5 351.2 373.7 354.3L416 396.7L490.3 322.3C493.5 319.2 498.5 319.2 501.7 322.3H501.7zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 496C502.7 496 560 438.7 560 368C560 297.3 502.7 240 432 240C361.3 240 304 297.3 304 368C304 438.7 361.3 496 432 496z"],
    "heart-circle-exclamation": [576, 512, [], "e4fe", "M287.1 86.64L256.7 120.2L224.1 86.79C180.1 41.06 106.8 34.17 60.2 74.75L60.11 74.83C4.288 122.7 1.603 207.9 51.22 259.4L244.1 459.1L245.2 459.4C250.6 465.2 261 465.9 268 459L276.4 450.3C279 455.2 281.8 460 284.9 464.6L279.4 470.3C266.4 483.2 245.5 483.2 233.5 470.3L39.71 270.5C-16.22 212.5-13.23 116.6 49.7 62.68C103.6 15.73 186.5 24.72 236.5 75.67L256.4 96.64L275.4 75.67C325.4 24.72 407.3 15.73 463.2 62.68C506.1 100.1 520.7 157.6 507 208.7C502.2 206.5 497.2 204.4 492.1 202.5C503.4 157.7 490.2 107.5 452.8 74.84C404.1 34.04 331.8 41.21 287.1 86.64zM416 432C416 423.2 423.2 416 432 416C440.8 416 448 423.2 448 432C448 440.8 440.8 448 432 448C423.2 448 416 440.8 416 432zM431.1 280C436.4 280 439.1 283.6 439.1 288V384C439.1 388.4 436.4 392 431.1 392C427.6 392 423.1 388.4 423.1 384V288C423.1 283.6 427.6 280 431.1 280zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 240C361.3 240 304 297.3 304 368C304 438.7 361.3 496 432 496C502.7 496 560 438.7 560 368C560 297.3 502.7 240 432 240z"],
    "heart-circle-minus": [576, 512, [], "e4ff", "M287.1 86.64L256.7 120.2L224.1 86.79C180.1 41.06 106.8 34.17 60.2 74.75L60.11 74.83C4.288 122.7 1.603 207.9 51.22 259.4L244.1 459.1L245.2 459.4C250.6 465.2 261 465.9 268 459L276.4 450.3C279 455.2 281.8 460 284.9 464.6L279.4 470.3C266.4 483.2 245.5 483.2 233.5 470.3L39.71 270.5C-16.22 212.5-13.23 116.6 49.7 62.68C103.6 15.73 186.5 24.72 236.5 75.67L256.4 96.64L275.4 75.67C325.4 24.72 407.3 15.73 463.2 62.68C506.1 100.1 520.7 157.6 507 208.7C502.2 206.5 497.2 204.4 492.1 202.5C503.4 157.7 490.2 107.5 452.8 74.84C404.1 34.04 331.8 41.21 287.1 86.64zM512 367.1C512 372.4 508.4 375.1 504 375.1H360C355.6 375.1 352 372.4 352 367.1C352 363.6 355.6 359.1 360 359.1H504C508.4 359.1 512 363.6 512 367.1zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 496C502.7 496 560 438.7 560 368C560 297.3 502.7 240 432 240C361.3 240 304 297.3 304 368C304 438.7 361.3 496 432 496z"],
    "heart-circle-plus": [576, 512, [], "e500", "M287.1 86.64L256.7 120.2L224.1 86.79C180.1 41.06 106.8 34.17 60.2 74.75L60.11 74.83C4.288 122.7 1.603 207.9 51.22 259.4L244.1 459.1L245.2 459.4C250.6 465.2 261 465.9 268 459L276.4 450.3C279 455.2 281.8 460 284.9 464.6L279.4 470.3C266.4 483.2 245.5 483.2 233.5 470.3L39.71 270.5C-16.22 212.5-13.23 116.6 49.7 62.68C103.6 15.73 186.5 24.72 236.5 75.67L256.4 96.64L275.4 75.67C325.4 24.72 407.3 15.73 463.2 62.68C506.1 100.1 520.7 157.6 507 208.7C502.2 206.5 497.2 204.4 492.1 202.5C503.4 157.7 490.2 107.5 452.8 74.84C404.1 34.04 331.8 41.21 287.1 86.64zM440 359.1H504C508.4 359.1 512 363.6 512 367.1C512 372.4 508.4 375.1 504 375.1H440V439.1C440 444.4 436.4 447.1 432 447.1C427.6 447.1 424 444.4 424 439.1V375.1H360C355.6 375.1 352 372.4 352 367.1C352 363.6 355.6 359.1 360 359.1H424V295.1C424 291.6 427.6 287.1 432 287.1C436.4 287.1 440 291.6 440 295.1V359.1zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 240C361.3 240 304 297.3 304 368C304 438.7 361.3 496 432 496C502.7 496 560 438.7 560 368C560 297.3 502.7 240 432 240z"],
    "heart-circle-xmark": [576, 512, [], "e501", "M287.1 86.64L256.7 120.2L224.1 86.79C180.1 41.06 106.8 34.17 60.2 74.75L60.11 74.83C4.288 122.7 1.603 207.9 51.22 259.4L244.1 459.1L245.2 459.4C250.6 465.2 261 465.9 268 459L276.4 450.3C279 455.2 281.8 460 284.9 464.6L279.4 470.3C266.4 483.2 245.5 483.2 233.5 470.3L39.71 270.5C-16.22 212.5-13.23 116.6 49.7 62.68C103.6 15.73 186.5 24.72 236.5 75.67L256.4 96.64L275.4 75.67C325.4 24.72 407.3 15.73 463.2 62.68C506.1 100.1 520.7 157.6 507 208.7C502.2 206.5 497.2 204.4 492.1 202.5C503.4 157.7 490.2 107.5 452.8 74.84C404.1 34.04 331.8 41.21 287.1 86.64zM443.3 368L493.7 418.3C496.8 421.5 496.8 426.5 493.7 429.7C490.5 432.8 485.5 432.8 482.3 429.7L432 379.3L381.7 429.7C378.5 432.8 373.5 432.8 370.3 429.7C367.2 426.5 367.2 421.5 370.3 418.3L420.7 368L370.3 317.7C367.2 314.5 367.2 309.5 370.3 306.3C373.5 303.2 378.5 303.2 381.7 306.3L432 356.7L482.3 306.3C485.5 303.2 490.5 303.2 493.7 306.3C496.8 309.5 496.8 314.5 493.7 317.7L443.3 368zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 240C361.3 240 304 297.3 304 368C304 438.7 361.3 496 432 496C502.7 496 560 438.7 560 368C560 297.3 502.7 240 432 240z"],
    "heart-crack": [512, 512, [128148, "heart-broken"], "f7a9", "M241.8 94.2L256 112L270.2 94.2C300.1 55.8 350.1 37.01 398.6 45.1C464 56.01 512 112.6 512 179V190.9C512 232.4 494.8 272.1 464.4 300.4L283.7 469.1C276.2 476.1 266.3 480 256 480C245.7 480 235.8 476.1 228.3 469.1L47.59 300.4C17.23 272.1 0 232.4 0 190.9V179C0 112.6 47.98 56.01 113.4 45.1C161.9 37.01 211 55.79 241.8 94.2V94.2zM229.3 104.2C202.2 70.32 158.9 53.75 116.1 60.88C58.32 70.5 16 120.5 16 179V190.9C16 227.1 31.39 263.4 58.51 288.7L239.2 457.4C243.8 461.6 249.8 464 256 464C262.2 464 268.2 461.6 272.8 457.4L453.5 288.7C480.6 263.4 496 227.1 496 190.9V179C496 120.5 453.7 70.5 395.9 60.88C353.1 53.75 309.8 70.32 282.7 104.2L266.3 124.7L302.3 171.1C303.7 172.9 304.3 175.2 303.9 177.4C303.5 179.7 302.1 181.6 300.2 182.8L204.1 241.1L278.1 330.9C280.1 334.3 280.5 339.3 277.1 342.1C273.7 344.1 268.7 344.5 265.9 341.1L185.9 245.1C184.4 243.3 183.7 240.1 184.1 238.7C184.5 236.4 185.8 234.4 187.8 233.2L284.2 173.9L256.1 137.5L255.1 137.6L229.3 104.2z"],
    "heart-half": [512, 512, [], "e1ab", "M236.7 476.9L47.59 300.4C17.23 272.1 0 232.4 0 190.9V185.1C0 115.2 50.52 55.58 119.4 44.1C164.1 36.51 211.4 51.37 244 84.02L256 96V468.5C256 474.9 250.9 480 244.5 480C241.6 480 238.8 478.9 236.7 476.9H236.7zM240 102.6L232.7 95.33C203.7 66.34 162.5 53.14 122.1 59.88C60.86 70.08 15.1 123 15.1 185.1V190.9C15.1 227.1 31.39 263.4 58.51 288.7L239.1 458.1L240 102.6z"],
    "heart-half-stroke": [512, 512, ["heart-half-alt"], "e1ac", "M241.8 94.2L256 112L270.2 94.2C300.1 55.8 350.1 37.01 398.6 45.1C464 56.01 512 112.6 512 179V190.9C512 232.4 494.8 272.1 464.4 300.4L283.7 469.1C276.2 476.1 266.3 480 256 480C245.7 480 235.8 476.1 228.3 469.1L47.59 300.4C17.23 272.1 0 232.4 0 190.9V179C0 112.6 47.98 56.01 113.4 45.1C161.9 37.01 211 55.79 241.8 94.2V94.2zM264 127.6V462.7C267.2 461.6 270.2 459.8 272.8 457.4L453.5 288.7C480.6 263.4 496 227.1 496 190.9V179C496 120.5 453.7 70.5 395.9 60.88C353.1 53.75 309.8 70.32 282.7 104.2L264 127.6zM248 127.6L229.3 104.2C202.2 70.32 158.9 53.75 116.1 60.88C58.32 70.5 16 120.5 16 179V190.9C16 227.1 31.39 263.4 58.51 288.7L239.2 457.4C241.8 459.8 244.8 461.6 248 462.7V127.6z"],
    "heart-pulse": [576, 512, ["heartbeat"], "f21e", "M496.3 256h-107.3l-29.81-59.59C357.8 193.7 355.3 192.4 351.9 192c-3.094 .0625-5.875 1.906-7.125 4.75l-56.03 125.9L231.4 165.3C230.3 162.1 227.3 160 223.9 160C220.5 160 217.4 162.3 216.3 165.5L186.1 256H79.69c-4.406 0-8 3.594-8 8s3.594 8 8 8h112.2c3.438 0 6.5-2.188 7.594-5.469l24.78-74.25l56.25 154.5C281.6 349.8 284.5 351.9 287.7 352c3.156 0 6.312-1.844 7.594-4.75l57.22-128.5l24.44 48.88C378.3 270.3 381.1 272 384.1 272h112.2c4.406 0 8-3.594 8-8S500.7 256 496.3 256zM495.2 62.86C470.1 41.92 441 32 410.8 32c-37.54 0-75.38 15.34-103.1 43.92L288 96.25L268.3 75.92C240.6 47.34 202.7 32 165.2 32C135 32 105 41.92 80.81 62.86C29.76 106.1 18.96 179.2 47.53 235.8C48.85 238.4 51.6 240 54.53 240c5.836 0 9.5-6.121 6.875-11.33C51.64 209.3 46.79 187.4 47.77 165.2c1.58-35.36 17.01-67.43 43.45-90.28C111.6 57.32 137.2 48 165.1 48c34.18 0 67.59 14.23 91.67 39.05l31.22 32.19l31.22-32.19C343.3 62.23 376.7 48 410.9 48c27.93 0 53.47 9.32 73.88 26.96c26.45 22.86 41.88 54.93 43.44 90.29c.9805 22.2-3.887 44.07-13.66 63.42C511.9 233.9 515.6 240 521.4 240c2.926 0 5.672-1.609 6.99-4.219C557.1 179.2 546.3 106.1 495.2 62.86zM453.6 304h-.6094c-2.111 0-4.133 .8555-5.602 2.371l-147.9 152.7C296.4 462.3 292.3 464 287.1 464c-4.342 0-8.426-1.75-11.51-4.93L128.6 306.4C127.1 304.9 125.1 304 122.1 304H122.3c-6.879 0-10.38 8.25-5.602 13.19l148.2 153C271.3 476.7 279.6 480 287.1 480c8.348 0 16.68-3.27 23.01-9.805l148.2-153C463.1 312.3 460.5 304 453.6 304z"],
    "heat": [448, 512, [], "e00c", "M64 169.8V104C64 99.59 60.41 96 56 96S48 99.59 48 104v65.81c0 51.81 17.66 102.8 49.72 143.4C127.6 351.2 144 398.6 144 446.8V472C144 476.4 147.6 480 152 480S160 476.4 160 472v-25.22c0-51.78-17.66-102.7-49.72-143.4C80.44 265.5 64 218.1 64 169.8zM220.3 259.9C196.5 224.4 184 183 184 140.3V40C184 35.59 180.4 32 176 32S168 35.59 168 40v100.3c0 45.94 13.47 90.41 38.94 128.6l20.81 31.25C251.5 335.6 264 376.1 264 419.8V472c0 4.406 3.594 8 8 8s8-3.594 8-8v-52.25c0-45.94-13.47-90.41-38.94-128.6L220.3 259.9zM366.3 303.4C336.4 265.5 320 218.1 320 169.8V104C320 99.59 316.4 96 312 96S304 99.59 304 104v65.81c0 51.81 17.66 102.8 49.72 143.4C383.6 351.2 400 398.6 400 446.8V472c0 4.406 3.594 8 8 8S416 476.4 416 472v-25.22C416 395 398.3 344.1 366.3 303.4z"],
    "helicopter": [640, 512, [128641], "f533", "M568 0C572.4 0 576 3.582 576 8C576 12.42 572.4 16 568 16H368V144H440C515.1 144 576 204.9 576 280V360C576 382.1 558.1 400 535.1 400H304C301.7 400 299.5 399 297.1 397.3L187.1 270.6L59.01 213.6C47.76 208.6 39.44 198.7 36.45 186.8L13.21 93.82C9.422 78.67 20.88 64 36.49 64H61.88C75.93 64 88.95 71.37 96.18 83.42L132.5 144H352V16H136C131.6 16 128 12.42 128 8C128 3.582 131.6 .0003 136 .0003L568 0zM36.49 80C31.29 80 27.47 84.89 28.73 89.94L51.98 182.9C53.77 190.1 58.76 196 65.51 199L195.2 256.7C196.3 257.2 197.3 257.9 198 258.7L307.6 384H352V160H128C125.2 160 122.6 158.5 121.1 156.1L82.46 91.65C78.12 84.42 70.31 80 61.88 80H36.49zM535.1 384C549.2 384 560 373.2 560 360V280C560 213.7 506.3 160 440 160H368V384H535.1zM617.3 486.1C603.7 502.5 583.4 512 562 512H232C227.6 512 224 508.4 224 504C224 499.6 227.6 496 232 496H562C578.6 496 594.4 488.6 605 475.8L625.9 450.9C628.7 447.5 633.7 447 637.1 449.9C640.5 452.7 640.1 457.7 638.1 461.1L617.3 486.1z"],
    "helicopter-symbol": [576, 512, [], "e502", "M320 18.12V1.985C435.8 16.42 527.6 108.2 542 223.1H525.9C511.6 117.1 426.1 32.37 320 18.12V18.12zM320 510V493.9C426.1 479.6 511.6 394.1 525.9 287.1H542C527.6 403.8 435.8 495.6 320 510V510zM33.98 287.1H50.11C64.36 394.1 149 479.6 256 493.9V510C140.2 495.6 48.42 403.8 33.98 287.1V287.1zM256 1.984V18.12C149.1 32.37 64.37 117 50.12 223.1H33.98C48.42 108.2 140.2 16.42 256 1.984H256zM200 247.1H376V143.1C376 139.6 379.6 135.1 384 135.1C388.4 135.1 392 139.6 392 143.1V367.1C392 372.4 388.4 375.1 384 375.1C379.6 375.1 376 372.4 376 367.1V263.1H200V367.1C200 372.4 196.4 375.1 192 375.1C187.6 375.1 184 372.4 184 367.1V143.1C184 139.6 187.6 135.1 192 135.1C196.4 135.1 200 139.6 200 143.1V247.1z"],
    "helmet-battle": [576, 512, [], "f6eb", "M56.88 .0781C52.56-.0781 49.06 2.328 48.16 6.234L.9329 213.5C-1.536 224.2 .9642 235.6 7.621 243.1c6.094 7.656 14.99 12.03 24.37 12.03c17.66 0 31.98-15.37 31.98-34.24V8.015C63.97 3.953 60.91 .5156 56.88 .0781zM47.97 221.8c0 10.06-7.188 18.25-16 18.25c-4.532 0-8.751-2.125-11.81-5.1C16.5 229.4 15.12 223.1 16.53 217.1l31.44-137.1V221.8zM575.1 213.5l-47.25-207.3c-.9064-3.906-4.25-6.281-8.72-6.156c-4.032 .4375-7.094 3.875-7.094 7.937v213.7c0 18.87 14.34 34.24 31.99 34.24c9.376 0 18.26-4.369 24.36-12.03C575 235.6 577.5 224.2 575.1 213.5zM555.8 234c-3.063 3.875-7.282 5.1-11.81 5.1c-8.813 0-16-8.187-16-18.25V79.11l31.47 138C560.9 223.1 559.5 229.4 555.8 234zM504.1 362.6c-9.47-34.56-23.78-86.75-23.78-150.3c0-120.4-182-207.8-189.8-211.5c-2.125-1.062-4.688-1.062-6.813 0C276.8 4.453 94.82 91.89 94.82 212.3c0 63.47-14.28 115.6-23.75 150.1c-2.375 8.687-4.469 16.37-6.032 23.03c-4.157 17.72 4.344 35.91 20.16 43.22l175.4 82.59c2.531 1.125 5.344 .1 7.688-.5c2.313-1.469 3.719-3.1 3.719-6.75l.0013-232c0-2.625-1.283-5.083-3.439-6.551L185.6 208h204.8l-82.95 57.44c-2.156 1.469-3.437 3.927-3.437 6.551l-.0005 232c0 2.75 1.406 5.281 3.719 6.75C309 511.6 310.5 512 311.1 512c1.156 0 2.313-.25 3.407-.75l175.5-82.59c15.88-7.406 24.31-25.62 20.06-43.25C509.4 378.8 507.3 371.2 504.1 362.6zM484.1 414.2l-164.1 77.25V276.2l100.6-69.62c2.875-1.969 4.125-5.594 3.063-8.937c-1.031-3.344-4.128-5.632-7.628-5.632H159.1c-3.5 0-6.607 2.288-7.638 5.632C151.3 200.1 152.5 204.6 155.4 206.6l100.6 69.62v215.2L91.94 414.2c-8.97-4.156-13.75-14.72-11.34-25.06c1.531-6.469 3.594-13.97 5.907-22.44C96.19 331.3 110.8 277.9 110.8 212.3c0-101.8 152.2-182.8 177.2-195.3c24.94 12.56 177.2 93.56 177.2 195.3c0 65.75 14.66 119.2 24.35 154.6c2.313 8.375 4.344 15.81 5.876 22.28C497.8 399.3 492.1 410 484.1 414.2z"],
    "helmet-safety": [576, 512, ["hard-hat", "hat-hard"], "f807", "M224 288c4.406 0 8-3.594 8-8v-224c0-4.406 3.594-8 7.1-8h95.1c4.406 0 7.1 3.594 7.1 8v224c0 4.406 3.594 8 8 8c4.406 0 7.1-3.594 7.1-8v-224c0-13.22-10.78-24-23.1-24H240c-13.22 0-23.1 10.78-23.1 24v224C216 284.4 219.6 288 224 288zM574.1 382.6C570.3 373.8 561.8 368 552.4 368H23.56c-9.406 0-17.91 5.719-21.66 14.56c-3.687 8.75-1.937 18.91 4.469 25.88C9.063 411.3 74.83 480 287.1 480s278.1-68.66 281.6-71.59C576 401.5 577.8 391.3 574.1 382.6zM557.9 397.6C555.4 400.3 494.2 464 288 464s-267.4-63.72-269.9-66.41c-2.156-2.375-2.719-5.844-1.469-8.812C17.88 385.9 20.59 384 23.56 384h528.9c2.969 0 5.688 1.875 6.906 4.75C560.6 391.8 560 395.2 557.9 397.6zM40 344c4.406 0 7.1-3.594 7.1-8V296c0-92.63 58.91-174.9 146.6-204.6c4.188-1.406 6.437-5.938 4.1-10.12c-1.406-4.188-5.937-6.531-10.12-5C95.28 108.2 32 196.5 32 296v40C32 340.4 35.59 344 40 344zM381.4 91.38c87.66 29.75 146.6 112 146.6 204.6v40c0 4.406 3.594 8 8 8s8-3.594 8-8V296c0-99.5-63.28-187.8-157.4-219.8c-4.156-1.5-8.719 .8125-10.12 5C374.1 85.44 377.2 89.97 381.4 91.38z"],
    "helmet-un": [512, 512, [], "e503", "M336 191V104C336 99.58 339.6 96 344 96C348.4 96 352 99.58 352 104V216C352 219.5 349.8 222.6 346.4 223.6C343.1 224.7 339.5 223.5 337.5 220.6L272 128.1V216C272 220.4 268.4 224 264 224C259.6 224 255.1 220.4 255.1 216V104C255.1 100.5 258.2 97.44 261.6 96.38C264.9 95.32 268.5 96.52 270.5 99.35L336 191zM144 176C144 193.7 158.3 208 176 208C193.7 208 208 193.7 208 176V104C208 99.58 211.6 96 216 96C220.4 96 224 99.58 224 104V176C224 202.5 202.5 224 176 224C149.5 224 128 202.5 128 176V104C128 99.58 131.6 96 136 96C140.4 96 144 99.58 144 104V176zM480 240V272H504C508.4 272 512 275.6 512 280C512 284.4 508.4 288 504 288H368V496H472C476.4 496 480 499.6 480 504C480 508.4 476.4 512 472 512H360C357.1 512 356 511.2 354.5 509.8L220.8 384H72C32.24 384 0 351.8 0 312V240C0 107.5 107.5 0 240 0C372.5 0 480 107.5 480 240zM16 312C16 342.9 41.07 368 72 368H218.2L248.4 277.5C249.5 274.2 252.6 272 256 272H464V240C464 116.3 363.7 16 240 16C116.3 16 16 116.3 16 240V312zM233.2 373.7L352 485.5V288H261.8L233.2 373.7z"],
    "hexagon": [512, 512, [11043], "f312", "M342 32C367.1 32 390.5 45.1 403.5 66.56L496 218.6C510 241.6 510 270.4 496 293.4L403.5 445.4C390.5 466.9 367.1 480 342 480H169.1C144.9 480 121.5 466.9 108.5 445.4L15.96 293.4C1.962 270.4 1.962 241.6 15.96 218.6L108.5 66.56C121.5 45.1 144.9 32 169.1 32H342zM29.63 226.9C18.74 244.8 18.74 267.2 29.63 285.1L122.1 437.1C132.3 453.8 150.4 464 169.1 464H342C361.6 464 379.7 453.8 389.8 437.1L482.4 285.1C493.3 267.2 493.3 244.8 482.4 226.9L389.8 74.88C379.7 58.19 361.6 48 342 48H169.1C150.4 48 132.3 58.19 122.1 74.88L29.63 226.9z"],
    "hexagon-check": [512, 512, [], "e416", "M229.7 325.7C226.5 328.8 221.5 328.8 218.3 325.7L154.3 261.7C151.2 258.5 151.2 253.5 154.3 250.3C157.5 247.2 162.5 247.2 165.7 250.3L224 308.7L346.3 186.3C349.5 183.2 354.5 183.2 357.7 186.3C360.8 189.5 360.8 194.5 357.7 197.7L229.7 325.7zM342 32C367.1 32 390.5 45.1 403.5 66.56L496 218.6C510 241.6 510 270.4 496 293.4L403.5 445.4C390.5 466.9 367.1 480 342 480H169.1C144.9 480 121.5 466.9 108.5 445.4L15.96 293.4C1.962 270.4 1.962 241.6 15.96 218.6L108.5 66.56C121.5 45.1 144.9 32 169.1 32H342zM29.63 226.9C18.74 244.8 18.74 267.2 29.63 285.1L122.1 437.1C132.3 453.8 150.4 464 169.1 464H342C361.6 464 379.7 453.8 389.8 437.1L482.4 285.1C493.3 267.2 493.3 244.8 482.4 226.9L389.8 74.88C379.7 58.19 361.6 48 342 48H169.1C150.4 48 132.3 58.19 122.1 74.88L29.63 226.9z"],
    "hexagon-divide": [512, 512, [], "e1ad", "M288 160C288 177.7 273.7 192 256 192C238.3 192 224 177.7 224 160C224 142.3 238.3 128 256 128C273.7 128 288 142.3 288 160zM256 144C247.2 144 240 151.2 240 160C240 168.8 247.2 176 256 176C264.8 176 272 168.8 272 160C272 151.2 264.8 144 256 144zM360 248C364.4 248 368 251.6 368 256C368 260.4 364.4 264 360 264H152C147.6 264 144 260.4 144 256C144 251.6 147.6 248 152 248H360zM224 352C224 334.3 238.3 320 256 320C273.7 320 288 334.3 288 352C288 369.7 273.7 384 256 384C238.3 384 224 369.7 224 352zM256 368C264.8 368 272 360.8 272 352C272 343.2 264.8 336 256 336C247.2 336 240 343.2 240 352C240 360.8 247.2 368 256 368zM342 32C367.1 32 390.5 45.1 403.5 66.56L496 218.6C510 241.6 510 270.4 496 293.4L403.5 445.4C390.5 466.9 367.1 480 342 480H169.1C144.9 480 121.5 466.9 108.5 445.4L15.96 293.4C1.962 270.4 1.962 241.6 15.96 218.6L108.5 66.56C121.5 45.1 144.9 32 169.1 32H342zM29.63 226.9C18.74 244.8 18.74 267.2 29.63 285.1L122.1 437.1C132.3 453.8 150.4 464 169.1 464H342C361.6 464 379.7 453.8 389.8 437.1L482.4 285.1C493.3 267.2 493.3 244.8 482.4 226.9L389.8 74.88C379.7 58.19 361.6 48 342 48H169.1C150.4 48 132.3 58.19 122.1 74.88L29.63 226.9z"],
    "hexagon-exclamation": [512, 512, [], "e417", "M256 128C260.4 128 264 131.6 264 136V296C264 300.4 260.4 304 256 304C251.6 304 248 300.4 248 296V136C248 131.6 251.6 128 256 128zM272 352C272 360.8 264.8 368 256 368C247.2 368 240 360.8 240 352C240 343.2 247.2 336 256 336C264.8 336 272 343.2 272 352zM342 32C367.1 32 390.5 45.1 403.5 66.56L496 218.6C510 241.6 510 270.4 496 293.4L403.5 445.4C390.5 466.9 367.1 480 342 480H169.1C144.9 480 121.5 466.9 108.5 445.4L15.96 293.4C1.962 270.4 1.962 241.6 15.96 218.6L108.5 66.56C121.5 45.1 144.9 32 169.1 32H342zM29.63 226.9C18.74 244.8 18.74 267.2 29.63 285.1L122.1 437.1C132.3 453.8 150.4 464 169.1 464H342C361.6 464 379.7 453.8 389.8 437.1L482.4 285.1C493.3 267.2 493.3 244.8 482.4 226.9L389.8 74.88C379.7 58.19 361.6 48 342 48H169.1C150.4 48 132.3 58.19 122.1 74.88L29.63 226.9z"],
    "hexagon-image": [512, 512, [], "e504", "M144 160C144 133.5 165.5 112 192 112C218.5 112 240 133.5 240 160C240 186.5 218.5 208 192 208C165.5 208 144 186.5 144 160zM192 128C174.3 128 160 142.3 160 160C160 177.7 174.3 192 192 192C209.7 192 224 177.7 224 160C224 142.3 209.7 128 192 128zM352.3 478.8H159.7C139.7 478.8 121.2 468.1 111.2 450.8L14.93 284C8.812 273.4 6.435 261.3 7.797 249.6C8.662 242.1 11.04 234.7 14.93 228L111.2 61.23C121.2 43.9 139.7 33.23 159.7 33.23H352.3C372.3 33.23 390.8 43.9 400.8 61.23L497.1 228C500.5 233.9 502.7 240.3 503.8 246.8C505.1 254.6 504.7 262.7 502.7 270.4C501.4 275.1 499.6 279.7 497.1 284L400.8 450.8C390.8 468.1 372.3 478.8 352.3 478.8V478.8zM386.9 69.23C379.8 56.85 366.6 49.23 352.3 49.23H159.7C145.4 49.23 132.2 56.85 125.1 69.23L28.78 236C26.96 239.2 25.61 242.5 24.71 245.9C23.85 249.2 23.42 252.6 23.42 256C23.42 262.9 25.21 269.8 28.78 276L72.38 351.5L137.7 286.2C150 273.9 169.1 273.7 182.5 285.9L243.7 344.9L344.7 237.2C357.3 223.7 378.7 223.7 391.3 237.2L462.1 312.6L483.2 276C484.1 274.5 484.9 272.9 485.6 271.2L488.2 250.8C487.6 245.7 485.9 240.6 483.2 236L386.9 69.23zM80.66 365.9L125.1 442.8C128.4 448.6 133.2 453.4 138.7 456.8L232.7 356.6L171.4 297.4C165.1 291.3 155.1 291.4 148.1 297.5L80.66 365.9zM386.9 442.8L453.7 327.1L379.7 248.1C373.4 241.4 362.6 241.4 356.3 248.1L155.3 462.5C156.8 462.7 158.2 462.8 159.7 462.8H352.3C366.6 462.8 379.8 455.2 386.9 442.8H386.9z"],
    "hexagon-minus": [512, 512, ["minus-hexagon"], "f307", "M352 248C356.4 248 360 251.6 360 256C360 260.4 356.4 264 352 264H160C155.6 264 152 260.4 152 256C152 251.6 155.6 248 160 248H352zM342 32C367.1 32 390.5 45.1 403.5 66.56L496 218.6C510 241.6 510 270.4 496 293.4L403.5 445.4C390.5 466.9 367.1 480 342 480H169.1C144.9 480 121.5 466.9 108.5 445.4L15.96 293.4C1.962 270.4 1.962 241.6 15.96 218.6L108.5 66.56C121.5 45.1 144.9 32 169.1 32H342zM29.63 226.9C18.74 244.8 18.74 267.2 29.63 285.1L122.1 437.1C132.3 453.8 150.4 464 169.1 464H342C361.6 464 379.7 453.8 389.8 437.1L482.4 285.1C493.3 267.2 493.3 244.8 482.4 226.9L389.8 74.88C379.7 58.19 361.6 48 342 48H169.1C150.4 48 132.3 58.19 122.1 74.88L29.63 226.9z"],
    "hexagon-plus": [512, 512, ["plus-hexagon"], "f300", "M248 352V264H160C155.6 264 152 260.4 152 256C152 251.6 155.6 248 160 248H248V160C248 155.6 251.6 152 256 152C260.4 152 264 155.6 264 160V248H352C356.4 248 360 251.6 360 256C360 260.4 356.4 264 352 264H264V352C264 356.4 260.4 360 256 360C251.6 360 248 356.4 248 352zM342 32C367.1 32 390.5 45.1 403.5 66.56L496 218.6C510 241.6 510 270.4 496 293.4L403.5 445.4C390.5 466.9 367.1 480 342 480H169.1C144.9 480 121.5 466.9 108.5 445.4L15.96 293.4C1.962 270.4 1.962 241.6 15.96 218.6L108.5 66.56C121.5 45.1 144.9 32 169.1 32H342zM29.63 226.9C18.74 244.8 18.74 267.2 29.63 285.1L122.1 437.1C132.3 453.8 150.4 464 169.1 464H342C361.6 464 379.7 453.8 389.8 437.1L482.4 285.1C493.3 267.2 493.3 244.8 482.4 226.9L389.8 74.88C379.7 58.19 361.6 48 342 48H169.1C150.4 48 132.3 58.19 122.1 74.88L29.63 226.9z"],
    "hexagon-vertical-nft": [512, 512, [], "e505", "M175.1 315.1V176C175.1 171.6 179.6 168 183.1 168C188.4 168 191.1 171.6 191.1 176V352C191.1 355.8 189.4 359 185.7 359.8C182 360.6 178.3 358.7 176.7 355.3L111.1 212.9V352C111.1 356.4 108.4 360 103.1 360C99.58 360 95.1 356.4 95.1 352V176C95.1 172.2 98.63 168.1 102.3 168.2C105.1 167.4 109.7 169.3 111.3 172.7L175.1 315.1zM223.1 176C223.1 171.6 227.6 168 231.1 168H296C300.4 168 304 171.6 304 176C304 180.4 300.4 184 296 184H239.1V256H296C300.4 256 304 259.6 304 264C304 268.4 300.4 272 296 272H239.1V352C239.1 356.4 236.4 360 231.1 360C227.6 360 223.1 356.4 223.1 352V176zM408 168C412.4 168 416 171.6 416 176C416 180.4 412.4 184 408 184H376V352C376 356.4 372.4 360 368 360C363.6 360 360 356.4 360 352V184H328C323.6 184 320 180.4 320 176C320 171.6 323.6 168 328 168H408zM33.22 360.3V167.7C33.22 147.7 43.9 129.2 61.22 119.2L227.1 22.93C238.6 16.82 250.7 14.44 262.4 15.8C269.9 16.67 277.3 19.04 283.1 22.93L450.8 119.2C468.1 129.2 478.8 147.7 478.8 167.7V360.3C478.8 380.3 468.1 398.8 450.8 408.8L283.1 505.1C278.1 508.5 271.7 510.7 265.2 511.8C257.4 513.1 249.3 512.7 241.6 510.7C236.9 509.5 232.3 507.6 227.1 505.1L61.22 408.8C43.9 398.8 33.22 380.3 33.22 360.3H33.22zM442.8 394.9C455.1 387.8 462.8 374.6 462.8 360.3V167.7C462.8 153.4 455.1 140.2 442.8 133.1L275.1 36.79C272.8 34.97 269.5 33.61 266.1 32.72C262.8 31.86 259.4 31.43 255.1 31.43C249.1 31.43 242.2 33.22 235.1 36.79L69.22 133.1C56.85 140.2 49.22 153.4 49.22 167.7V360.3C49.22 374.6 56.85 387.8 69.22 394.9L235.1 491.2C237.5 492.1 239.1 492.9 240.8 493.6L261.2 496.2C266.3 495.6 271.4 493.9 275.1 491.2L442.8 394.9z"],
    "hexagon-vertical-nft-slanted": [512, 512, [], "e506", "M175.8 136.6C180.3 136.6 183.8 140.2 183.8 144.6V368.6C183.8 372.5 181 375.8 177.1 376.5C173.3 377.1 169.5 374.8 168.3 371.1L119.8 225.9V336.6C119.8 340.1 116.3 344.6 111.8 344.6C107.4 344.6 103.8 340.1 103.8 336.6V176.6C103.8 172.7 106.7 169.3 110.6 168.7C114.4 168.1 118.2 170.3 119.4 174L167.8 319.3V144.6C167.8 140.2 171.4 136.6 175.8 136.6V136.6zM244 89.17L299.1 121.1C302.5 122.5 304 125.2 304 128.1C304 134.2 297.4 138.1 292 135L247.8 109.8V248.6H287.8C292.3 248.6 295.8 252.2 295.8 256.6C295.8 260.1 292.3 264.6 287.8 264.6H247.8V400.6C247.8 404.1 244.3 408.6 239.8 408.6C235.4 408.6 231.8 404.1 231.8 400.6V96.24C231.8 94.82 232.1 93.36 232.9 92.03C233.6 90.76 234.6 89.77 235.8 89.08C237 88.39 238.4 87.1 239.8 87.1C239.1 87.1 240.1 88 240.3 88.01C241.6 88.08 242.9 88.5 244 89.17L244 89.17zM375.8 352.6C375.8 356.1 372.3 360.6 367.8 360.6C363.4 360.6 359.8 356.1 359.8 352.6V173.7L324 153.3C321.5 151.9 320 149.2 320 146.3C320 140.2 326.6 136.3 331.1 139.4L411.1 185.1C415.8 187.2 417.1 192.1 414.9 195.1C412.8 199.8 407.9 201.1 404 198.9L375.8 182.9V352.6zM61.22 408.8C43.9 398.8 33.22 380.3 33.22 360.3V167.7C33.22 147.7 43.9 129.2 61.22 119.2L227.1 22.93C238.6 16.82 250.7 14.44 262.4 15.8C269.9 16.67 277.3 19.04 283.1 22.93L450.8 119.2C468.1 129.2 478.8 147.7 478.8 167.7V360.3C478.8 380.3 468.1 398.8 450.8 408.8L283.1 505.1C278.1 508.5 271.7 510.7 265.2 511.8C257.4 513.1 249.3 512.7 241.6 510.7C236.9 509.5 232.3 507.6 227.1 505.1L61.22 408.8zM261.2 496.2C266.3 495.6 271.4 493.9 275.1 491.2L442.8 394.9C455.1 387.8 462.8 374.6 462.8 360.3V167.7C462.8 153.4 455.1 140.2 442.8 133.1L275.1 36.79C272.8 34.97 269.5 33.61 266.1 32.72C262.8 31.86 259.4 31.43 255.1 31.43C249.1 31.43 242.2 33.22 235.1 36.79L69.22 133.1C56.85 140.2 49.22 153.4 49.22 167.7V360.3C49.22 374.6 56.85 387.8 69.22 394.9L235.1 491.2C237.5 492.1 239.1 492.9 240.8 493.6L261.2 496.2z"],
    "hexagon-xmark": [512, 512, ["times-hexagon", "xmark-hexagon"], "f2ee", "M178.3 178.3C181.5 175.2 186.5 175.2 189.7 178.3L256 244.7L322.3 178.3C325.5 175.2 330.5 175.2 333.7 178.3C336.8 181.5 336.8 186.5 333.7 189.7L267.3 256L333.7 322.3C336.8 325.5 336.8 330.5 333.7 333.7C330.5 336.8 325.5 336.8 322.3 333.7L256 267.3L189.7 333.7C186.5 336.8 181.5 336.8 178.3 333.7C175.2 330.5 175.2 325.5 178.3 322.3L244.7 256L178.3 189.7C175.2 186.5 175.2 181.5 178.3 178.3V178.3zM342 32C367.1 32 390.5 45.1 403.5 66.56L496 218.6C510 241.6 510 270.4 496 293.4L403.5 445.4C390.5 466.9 367.1 480 342 480H169.1C144.9 480 121.5 466.9 108.5 445.4L15.96 293.4C1.962 270.4 1.962 241.6 15.96 218.6L108.5 66.56C121.5 45.1 144.9 32 169.1 32H342zM29.63 226.9C18.74 244.8 18.74 267.2 29.63 285.1L122.1 437.1C132.3 453.8 150.4 464 169.1 464H342C361.6 464 379.7 453.8 389.8 437.1L482.4 285.1C493.3 267.2 493.3 244.8 482.4 226.9L389.8 74.88C379.7 58.19 361.6 48 342 48H169.1C150.4 48 132.3 58.19 122.1 74.88L29.63 226.9z"],
    "high-definition": [576, 512, ["rectangle-hd"], "e1ae", "M512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM560 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h448c26.47 0 48 21.53 48 48V416zM264 160C259.6 160 256 163.6 256 168v80H128v-80C128 163.6 124.4 160 120 160S112 163.6 112 168v176C112 348.4 115.6 352 120 352S128 348.4 128 344v-80h128v80C256 348.4 259.6 352 264 352s8-3.578 8-8v-176C272 163.6 268.4 160 264 160zM384 160h-56C323.6 160 320 163.6 320 168v176c0 4.422 3.594 8 8 8H384c52.94 0 96-43.06 96-96S436.9 160 384 160zM384 336h-48v-160H384c44.13 0 80 35.89 80 80S428.1 336 384 336z"],
    "highlighter": [576, 512, [], "f591", "M211.7 451.7C196 467.3 170.7 467.3 155.1 451.7L108.3 404.9C92.67 389.3 92.67 363.1 108.3 348.3L143.1 312.6V248.6C143.1 233.2 151.4 218.7 164 209.6L441.8 10.2C451 3.567 462.1 0 473.5 0C487.9 0 501.7 5.726 511.9 15.92L544.1 48.08C554.3 58.27 559.1 72.1 559.1 86.51C559.1 97.88 556.4 108.1 549.8 118.2L350.4 395.1C341.3 408.6 326.8 416 311.4 416H247.4L211.7 451.7zM159.1 319.2L119.6 359.6C110.2 369 110.2 384.2 119.6 393.6L166.4 440.4C175.8 449.8 190.1 449.8 200.4 440.4L240.8 400H311.4C321.7 400 331.4 395 337.4 386.7L359.9 355.2L204.8 200.1L173.3 222.6C164.1 228.6 159.1 238.3 159.1 248.6V319.2zM543.1 86.51C543.1 76.34 539.1 66.59 532.8 59.4L500.6 27.23C493.4 20.04 483.7 16 473.5 16C465.5 16 457.6 18.52 451.1 23.2L217.9 190.6L369.4 342.1L536.8 108.9C541.5 102.4 543.1 94.54 543.1 86.51H543.1zM75.41 417.3C78.53 414.2 83.6 414.2 86.72 417.3C89.85 420.4 89.85 425.5 86.72 428.6L34.63 480.7C32.95 482.4 32 484.6 32 487C32 491.1 36.02 496 40.97 496H98.75C105.1 496 111.2 493.5 115.7 488.1L131.4 473.3C134.5 470.2 139.6 470.2 142.7 473.3C145.8 476.4 145.8 481.5 142.7 484.6L127 500.3C119.5 507.8 109.4 512 98.75 512H40.97C27.18 512 16 500.8 16 487C16 480.4 18.63 474.1 23.31 469.4L75.41 417.3z"],
    "highlighter-line": [576, 512, [], "e1af", "M295.4 416H231.4L195.7 451.7C180 467.3 154.7 467.3 139.1 451.7L92.29 404.9C76.66 389.3 76.66 363.1 92.29 348.3L127.1 312.6V248.6C127.1 233.2 135.4 218.7 148 209.6L425.8 10.2C435 3.567 446.1 0 457.5 0C471.9 0 485.7 5.726 495.9 15.92L528.1 48.08C538.3 58.27 543.1 72.1 543.1 86.51C543.1 97.88 540.4 108.1 533.8 118.2L334.4 395.1C325.3 408.6 310.8 416 295.4 416L295.4 416zM103.6 359.6C94.23 369 94.23 384.2 103.6 393.6L150.4 440.4C159.8 449.8 174.1 449.8 184.4 440.4L224.8 400H295.4C305.7 400 315.4 395 321.4 386.7L343.9 355.2L188.8 200.1L157.3 222.6C148.1 228.6 143.1 238.3 143.1 248.6V319.2L103.6 359.6zM353.4 342.1L520.8 108.9C525.5 102.4 527.1 94.54 527.1 86.51C527.1 76.34 523.1 66.59 516.8 59.4L484.6 27.23C477.4 20.04 467.7 16 457.5 16C449.5 16 441.6 18.52 435.1 23.2L201.9 190.6L353.4 342.1zM70.72 428.6L18.63 480.7C16.95 482.4 16 484.6 16 487C16 491.1 20.02 496 24.97 496H82.75C89.11 496 95.22 493.5 99.72 488.1L115.4 473.3C118.5 470.2 123.6 470.2 126.7 473.3C129.8 476.4 129.8 481.5 126.7 484.6L111 500.3C103.5 507.8 93.35 512 82.75 512H24.97C11.18 512 0 500.8 0 487C0 480.4 2.631 474.1 7.314 469.4L59.41 417.3C62.53 414.2 67.6 414.2 70.72 417.3C73.85 420.4 73.85 425.5 70.72 428.6L70.72 428.6zM568 496C572.4 496 576 499.6 576 504C576 508.4 572.4 512 568 512H232C227.6 512 224 508.4 224 504C224 499.6 227.6 496 232 496H568z"],
    "hill-avalanche": [640, 512, [], "e507", "M223.7 39.1C193.9 39.1 169.5 63.35 167.9 92.81L474.3 399.9C495.2 420.8 528.7 421.9 550.9 402.4L555.1 398.7C578.1 378.5 578.4 342.8 555.7 322.3C538.7 306.1 513.7 304.8 494.4 316.9L491.3 318.8C487.6 321.1 482.7 319.1 480.3 316.2C477.1 312.5 479.1 307.6 482.9 305.2L485.9 303.3C511.3 287.4 544.2 290.3 566.4 310.4C596.2 337.3 595.8 384.3 565.6 410.8L561.4 414.5C532.9 439.5 489.9 438.1 463 411.2L154.1 101.7C152.4 99.92 151.6 97.59 151.8 95.33C152.2 55.89 184.2 24 223.7 24C240.8 24 256.6 30.02 268.9 40.04C283.2 29.94 300.7 24 319.5 24C368 24 407.3 63.41 407.3 112C407.3 117.7 406.8 123.4 405.7 128.8C435.1 143.1 455.3 173.2 455.3 208C455.3 227.8 448.7 246.1 437.7 260.8C435 264.3 430 265.1 426.5 262.4C422.1 259.8 422.2 254.7 424.9 251.2C433.9 239.2 439.3 224.2 439.3 208C439.3 177.5 420.3 151.4 393.5 140.9C389.7 139.4 387.6 135.3 388.7 131.3C390.4 125.2 391.3 118.7 391.3 112C391.3 72.22 359.2 40 319.5 40C302.1 40 286.1 46.22 273.6 56.57C270.5 59.2 265.8 59.01 262.9 56.11C252.8 46.14 238.1 40 223.7 40L223.7 39.1zM447.2 63.1C447.2 46.33 461.5 31.1 479.2 31.1C496.8 31.1 511.1 46.33 511.1 63.1C511.1 81.67 496.8 95.1 479.2 95.1C461.5 95.1 447.2 81.67 447.2 63.1zM479.2 79.1C487.9 79.1 495.1 72.86 495.1 63.1C495.1 55.14 487.9 47.1 479.2 47.1C470.4 47.1 463.2 55.14 463.2 63.1C463.2 72.86 470.4 79.1 479.2 79.1zM479.2 159.1C479.2 142.3 493.5 127.1 511.1 127.1C528.7 127.1 543 142.3 543 159.1C543 177.7 528.7 191.1 511.1 191.1C493.5 191.1 479.2 177.7 479.2 159.1V159.1zM511.1 175.1C519.9 175.1 527 168.9 527 159.1C527 151.1 519.9 143.1 511.1 143.1C502.3 143.1 495.2 151.1 495.2 159.1C495.2 168.9 502.3 175.1 511.1 175.1zM458.3 471C473.5 486.1 462.8 512 441.4 512H88C57.07 512 32 486.9 32 456V102.6C32 81.25 57.85 70.54 72.97 85.66L458.3 471zM48 456C48 478.1 65.91 496 88 496H441.4C448.5 496 452.1 487.4 447 482.3L61.66 96.97C56.62 91.93 48 95.5 48 102.6V456z"],
    "hill-rockslide": [576, 512, [], "e508", "M120 64C120 41.91 137.9 24 160 24C182.1 24 200 41.91 200 64C200 86.09 182.1 104 160 104C137.9 104 120 86.09 120 64zM160 40C146.7 40 136 50.75 136 64C136 77.25 146.7 88 160 88C173.3 88 184 77.25 184 64C184 50.75 173.3 40 160 40zM245.4 123.8C241.3 116.5 241.3 107.5 245.4 100.2L272.4 52.23C276.7 44.68 284.7 40 293.4 40H346.6C355.3 40 363.3 44.68 367.6 52.23L394.6 100.2C398.7 107.5 398.7 116.5 394.6 123.8L367.6 171.8C363.3 179.3 355.3 184 346.6 184H293.4C284.7 184 276.7 179.3 272.4 171.8L245.4 123.8zM259.4 108.1C258 110.5 258 113.5 259.4 115.9L286.4 163.9C287.8 166.4 290.5 167.1 293.4 167.1H346.6C349.5 167.1 352.2 166.4 353.6 163.9L380.6 115.9C381.1 113.5 381.1 110.5 380.6 108.1L353.6 60.08C352.2 57.56 349.5 55.1 346.6 55.1H293.4C290.5 55.1 287.8 57.56 286.4 60.08L259.4 108.1zM0 102.6C0 81.25 25.85 70.54 40.97 85.66L426.3 471C441.5 486.1 430.8 512 409.4 512H56C25.07 512 0 486.9 0 456V102.6zM29.66 96.97C24.62 91.93 16 95.5 16 102.6V456C16 478.1 33.91 496 56 496H409.4C416.5 496 420.1 487.4 415 482.3L29.66 96.97zM436.2 399.6C428.7 395.3 424 387.3 424 378.6V325.4C424 316.7 428.7 308.7 436.2 304.4L484.2 277.4C491.5 273.3 500.5 273.3 507.8 277.4L555.8 304.4C563.3 308.7 568 316.7 568 325.4V378.6C568 387.3 563.3 395.3 555.8 399.6L507.8 426.6C500.5 430.7 491.5 430.7 484.2 426.6L436.2 399.6zM547.9 385.6C550.4 384.2 552 381.5 552 378.6V325.4C552 322.5 550.4 319.8 547.9 318.4L499.9 291.4C497.5 290 494.5 290 492.1 291.4L444.1 318.4C441.6 319.8 440 322.5 440 325.4V378.6C440 381.5 441.6 384.2 444.1 385.6L492.1 412.6C494.5 413.1 497.5 413.1 499.9 412.6L547.9 385.6zM392 288C392 310.1 374.1 328 352 328C329.9 328 312 310.1 312 288C312 265.9 329.9 248 352 248C374.1 248 392 265.9 392 288zM352 312C365.3 312 376 301.3 376 288C376 274.7 365.3 264 352 264C338.7 264 328 274.7 328 288C328 301.3 338.7 312 352 312z"],
    "hippo": [640, 512, [129435], "f6ed", "M448 143.1C448 135.2 455.2 127.1 464 127.1C472.8 127.1 480 135.2 480 143.1C480 152.8 472.8 159.1 464 159.1C455.2 159.1 448 152.8 448 143.1zM544 143.1C544 152.8 536.8 159.1 528 159.1C519.2 159.1 512 152.8 512 143.1C512 135.2 519.2 127.1 528 127.1C536.8 127.1 544 135.2 544 143.1zM456 199.1C438.3 199.1 424 214.3 424 231.1C424 236.4 420.4 239.1 416 239.1C411.6 239.1 408 236.4 408 231.1C408 205.5 429.5 183.1 456 183.1C482.5 183.1 504 205.5 504 231.1C504 236.4 500.4 239.1 496 239.1C491.6 239.1 488 236.4 488 231.1C488 214.3 473.7 199.1 456 199.1zM639.8 233.9C639.9 235.9 640 237.9 640 239.1C640 266.2 627.4 289.4 608 304V336C608 349.3 597.3 360 584 360H560C546.7 360 536 349.3 536 336V319.1H488V336C488 349.3 477.3 360 464 360H440C426.7 360 416 349.3 416 336V318.4C379.5 310.1 352 278.7 352 239.1C352 219.6 359.7 200.9 372.3 186.8C378.1 179.3 384 170.1 384 160V143.1C384 128.9 388.2 114.8 395.4 102.8L371.2 93.75C346.1 84.66 321.3 79.1 295.4 79.1H215.1C123.2 79.1 47.1 155.2 47.1 247.1L47.1 291.1C47.1 321.1 37.49 351.9 18.19 376.1L14.24 380.1C11.48 384.4 6.448 385 2.998 382.2C-.4515 379.5-1.011 374.5 1.75 371L5.698 366.1C22.72 344.8 31.1 318.3 31.1 291.1L31.1 248C31.1 146.4 114.4 64 215.1 64H295.4C323.2 64 350.8 69 376.8 78.77L385.6 82.06C381.9 70.95 384.5 58.22 393.4 49.37C405.9 36.88 426.1 36.88 438.6 49.37L453.9 64.63C457.2 64.22 460.6 64 464 64H496C504.1 64 511.9 65.21 519.3 67.45L529.4 57.37C541.9 44.88 562.1 44.88 574.6 57.37C587.1 69.87 587.1 90.13 574.6 102.6L568.1 109.2C573.1 119.7 576 131.5 576 143.1C576 154.2 583.4 162.8 592.7 166.1C610.3 174.9 624.6 188.1 632.7 206.5C637.3 213.9 640 222.6 640 231.1C640 232.7 639.9 233.3 639.8 233.9H639.8zM400 143.1V160C400 175.5 392.3 188.4 384.2 197.4C374.1 208.8 368 223.6 368 239.1C368 270.9 389.1 296.8 419.2 302.7L425.5 303.1H560C569.1 303.1 577.8 302.1 585.6 298.7L592.4 295.7L598.4 291.2C613.1 279.5 624 260.9 624 239.1C624 230.8 622.1 222.1 618.6 214.2C612.8 205.6 603.1 199.1 592 199.1C574.3 199.1 560 214.3 560 231.1C560 236.4 556.4 239.1 552 239.1C547.6 239.1 544 236.4 544 231.1C544 205.8 564.1 184.5 591 184C589.5 183.1 587.8 182.3 586.2 181.6C573 175.7 560 162.4 560 143.1C560 133.1 557.7 124.6 553.7 116.2L548.7 105.9L563.3 91.31C569.6 85.06 569.6 74.93 563.3 68.69C557.1 62.44 546.9 62.44 540.7 68.69L523.8 85.54L514.6 82.75C508.8 80.97 502.5 79.1 496 79.1H464C461.2 79.1 458.5 80.17 455.9 80.51L448.1 81.49L427.3 60.69C421.1 54.44 410.9 54.44 404.7 60.69C398.4 66.93 398.4 77.06 404.7 83.31L418.5 97.11L411 108.1C404.1 118.3 400 130.6 400 143.1H400zM592 313.3C586.9 315.6 581.6 317.3 576 318.4C570.8 319.4 565.5 319.1 560 319.1H552V336C552 340.4 555.6 344 560 344H584C588.4 344 592 340.4 592 336V313.3zM464 344C468.4 344 472 340.4 472 336V319.1H432V336C432 340.4 435.6 344 440 344H464zM440 384H448V440C448 462.1 430.1 480 408 480H360C337.9 480 320 462.1 320 440V371.1L314.2 373C276.4 385.6 235.6 385.6 197.8 373L192 371.1V440C192 462.1 174.1 480 152 480H104C81.91 480 64 462.1 64 440V344C64 339.6 67.58 336 72 336C76.42 336 80 339.6 80 344V440C80 453.3 90.75 464 104 464H152C165.3 464 176 453.3 176 440V360C176 357.4 177.2 355 179.3 353.5C181.4 352 184.1 351.6 186.5 352.4L202.9 357.9C237.4 369.4 274.6 369.4 309.1 357.9L325.5 352.4C327.9 351.6 330.6 352 332.7 353.5C334.8 355 336 357.4 336 360V440C336 453.3 346.7 464 360 464H408C421.3 464 432 453.3 432 440V383.3C434.6 383.8 437.3 384 440 384H440z"],
    "hockey-mask": [448, 512, [], "f6ee", "M448 238.2c0-242.4-217.9-238.2-224-238.2c-6.133 0-223.1-4.252-223.1 238.2c0 49.81 9.681 108.8 32.62 177.8C64.5 512 224 512 224 512s159.5 .0027 191.4-96.01C438.3 346.9 448 287.1 448 238.2zM432.2 237.9c0 46.46-8.9 103.4-32.03 173.1C372.4 494.8 225.5 495.1 224 496c-1.479-.0039-148.4-1.199-176.2-85.05c-23.13-69.62-32.03-126.6-32.03-173.1C15.78 11.53 217.6 16 224 16C230.4 16 432.2 11.52 432.2 237.9zM288 95.98c8.875 0 15.1-7.135 15.1-16.01S296.9 63.97 288 63.97s-16 7.133-16 16.01S279.1 95.98 288 95.98zM159.1 95.98c8.875 0 16-7.127 16-16S168.9 63.97 159.1 63.97s-16 7.126-16 16S151.1 95.98 159.1 95.98zM160 167.1H96c-22.06 0-40 17.94-40 40C56 247.7 88.3 280 128 280s71.1-32.3 71.1-72.02C199.1 185.9 182.1 167.1 160 167.1zM128 264c-30.88 0-56-25.11-56-56.02c0-13.22 10.77-24.02 24-24.02h64c13.23 0 24 10.78 24 24C184 238.9 158.9 264 128 264zM175.1 431.1c-8.875 0-16 7.126-16 16S167.1 463.1 176 463.1s15.1-7.125 15.1-15.1S184.9 431.1 175.1 431.1zM175.1 367.1c-8.875 0-15.1 7.12-15.1 15.99S167.1 399.1 176 399.1s15.1-7.118 15.1-15.99S184.9 367.1 175.1 367.1zM175.1 303.1c-8.875 0-15.99 7.118-15.99 15.99S167.1 335.1 176 335.1s15.1-7.115 15.1-15.99S184.9 303.1 175.1 303.1zM224 111.1c-8.875 0-16 7.126-16 16s7.125 16 16 16s16-7.125 16-16S232.9 111.1 224 111.1zM272 431.1c-8.875 0-15.1 7.125-15.1 16s7.123 15.1 15.1 15.1s15.1-7.123 15.1-15.1S280.9 431.1 272 431.1zM272 367.1c-8.875 0-15.1 7.125-15.1 16S263.1 399.1 272 399.1s16-7.125 16-16S280.9 367.1 272 367.1zM272 303.1c-8.875 0-15.1 7.122-15.1 15.1S263.1 335.1 272 335.1s15.99-7.119 15.99-15.99S280.9 303.1 272 303.1zM352 167.1h-64c-22.06 0-39.1 17.95-39.1 40.02C248 247.7 280.3 280 320 280s72-32.31 72-72.03C392 185.9 374.1 167.1 352 167.1zM320 264c-30.88 0-56-25.12-56-56.03c0-13.22 10.77-24 24-24h64c13.23 0 24 10.8 24 24.02C376 238.9 350.9 264 320 264z"],
    "hockey-puck": [512, 512, [], "f453", "M256 80c-143.5 0-256 42.16-256 96v160c0 53.84 112.5 96 256 96s256-42.16 256-96v-160C512 122.2 399.5 80 256 80zM256 96c143.6 0 240 41.38 240 80S399.6 256 256 256S16 214.6 16 176S112.4 96 256 96zM496 336c0 38.63-96.44 80-240 80s-240-41.38-240-80V209.7C51.72 246.4 144.3 272 256 272s204.3-25.57 240-62.27V336z"],
    "hockey-stick-puck": [640, 512, [], "e3ae", "M608 416h-192c-17.67 0-32 14.33-32 32v32c0 17.67 14.33 32 32 32h192c17.67 0 32-14.33 32-32v-32C640 430.3 625.7 416 608 416zM624 480c0 8.822-7.178 16-16 16h-192c-8.822 0-16-7.178-16-16v-32c0-8.822 7.178-16 16-16h192c8.822 0 16 7.178 16 16V480zM491.2 4.33C485.8 1.504 479.7 0 473.5 0c-14.44 0-27.55 7.975-34.2 20.81L268 352L32 351.1C14.33 351.1 0 366.3 0 383.1v95.99c0 17.67 14.32 32 31.99 32L211.1 512c36.82 0 70.57-20.54 87.49-53.25l208.2-402.5C517.5 37.36 510.1 14.09 491.2 4.33zM80 496H32c-8.822 0-16-7.178-16-16v-95.99c0-8.822 7.178-16 16-16h48V496zM493.5 48.86l-208.2 402.5C271 478.9 242.1 496 211.1 496H96v-127.1l181.7 .0026l175.8-339.8C457.4 20.67 465.1 16 473.5 16c3.568 0 7.125 .8711 10.32 2.537C494.9 24.24 499.2 37.84 493.5 48.86z"],
    "hockey-sticks": [640, 512, [], "f454", "M607.1 351.1l-194.4 .0208c-2.991 0-5.732 1.668-7.106 4.325c-2.754 5.325 1.111 11.68 7.106 11.68L544 368V496h-115.1c-25.73 0-49.28-11.94-64.68-31.75c-3.563-4.581-10.77-3.684-13.44 1.471c-1.438 2.781-1.225 6.205 .7102 8.666C369.1 497.9 397.5 512 428 512l179.1-.0208c17.67 0 31.99-14.33 31.99-32v-95.99C640 366.3 625.7 351.1 607.1 351.1zM624 480c0 8.822-7.178 16-16 16h-48v-127.1H608c8.822 0 16 7.178 16 16V480zM256.7 269.3c1.192-2.305 1.192-5.045-.0002-7.35l-109.6-211.8C144.2 44.33 143.2 37.49 145.3 31.3C148.6 21.5 157.5 16 166.5 16c8.441 0 16.1 4.666 19.1 12.18l90.4 174.7c2.982 5.765 11.23 5.765 14.21 .0003c1.193-2.305 1.194-5.048 .0012-7.353L200.7 20.81C194 7.975 180.9 0 166.5 0C160.3 0 154.2 1.504 148.8 4.33C129.9 14.09 122.5 37.36 132.3 56.21l110.2 213.1C245.5 275.1 253.8 275.1 256.7 269.3zM491.2 4.33C485.8 1.504 479.7 0 473.5 0c-14.44 0-27.55 7.975-34.2 20.81L268 352l-236-.0208c-17.67 0-32 14.33-32 32v95.99c0 17.67 14.32 32 31.99 32L211.1 512c36.82 0 70.57-20.54 87.49-53.25l208.2-402.5C517.5 37.36 510.1 14.09 491.2 4.33zM80 496H32c-8.822 0-16-7.178-16-16v-95.99c0-8.822 7.178-16 16-16h48V496zM493.5 48.86l-208.2 402.5C271 478.9 242.1 496 211.1 496H96v-127.1l181.7 .0026l175.8-339.8C457.4 20.67 465.1 16 473.5 16c3.568 0 7.125 .8711 10.32 2.537C494.9 24.24 499.2 37.84 493.5 48.86z"],
    "holly-berry": [512, 512, [], "f7aa", "M255.1 95.99c26.5 0 48-21.5 48-47.1S282.5 0 255.1 0c-26.5 0-47.1 21.5-47.1 47.1S229.5 95.99 255.1 95.99zM255.1 16c17.64 0 31.1 14.36 31.1 32s-14.35 32-31.1 32s-32-14.36-32-32S238.4 16 255.1 16zM507.7 354.7c-4.373-6.062-11.47-9.688-19.04-9.688c-15.64-.25-31.78-1.156-47.56-3.906c-12.03-2.125-20.28-12.78-18.77-24.25c1.984-15.25 5.359-30.19 9.984-44.31c2.297-6.781 1.109-14.31-3.172-20.16c-4.391-6-11.56-9.125-19-9.406c-33.84 .6875-68.7-5.906-103.3-19.19c-4.109-1.656-8.734 .4687-10.33 4.594c-1.578 4.125 .4844 8.75 4.609 10.34c36.53 14.03 73.2 20.81 109.3 20.25c1.641 .2813 4.469 .9687 5.828 2.844c.7187 1 1.797 3.031 .8906 5.656c-4.953 15.16-8.547 31.06-10.67 47.31c-2.625 19.94 11.36 38.44 31.86 42.06c15.75 2.781 31.65 4.188 47.33 4.188c1.016 0 1.656 .6562 3.062-.0313c2.391 0 4.641 1.125 6.016 3.031c.7187 1 1.781 3 .9375 5.469c-12.34 35.63-16.55 75.28-12.14 114.7c.4375 3.719-1.047 7.156-4.047 9.438c-3.422 2.594-8 3.094-12.08 1.406c-38.34-15.88-77.71-23.41-117.7-23.19c-2.562 .3125-4.578-1.031-5.953-2.906c-.7187-.9687-1.781-3-.9219-5.531c5-14.75 8.641-30.69 10.81-47.38c2.609-19.91-11.42-38.31-31.95-41.94c-4.359-.7813-8.734-1.281-13.12-1.812l-3.578-.4062c-4.172-.3438-8.375 2.562-8.906 6.969s2.594 8.375 6.969 8.906l3.688 .4375c4.047 .4687 8.094 .9375 12.16 1.656c12.09 2.125 20.37 12.72 18.87 24.12c-2.031 15.62-5.42 30.53-10.09 44.31c-2.312 6.844-1.172 14.16 3.156 20.09c4.451 6.031 11.67 8.969 19.11 9.469c37.8-.2813 75.04 6.938 111.4 22C464.9 511.3 468.7 512 472.3 512c6 0 11.88-1.906 16.81-5.656c7.531-5.688 11.38-14.69 10.3-23.97c-4.141-37.06-.2187-74.28 11.37-107.7C513.1 367.9 512 360.6 507.7 354.7zM176 191.1c26.5 0 47.1-21.5 47.1-47.1S202.5 95.96 176 95.96S128 117.5 128 143.1S149.5 191.1 176 191.1zM176 112c17.64 0 32 14.36 32 32s-14.36 32-32 32c-17.64 0-31.1-14.36-31.1-32S158.4 112 176 112zM335.1 191.1c26.5 0 48-21.5 48-47.1s-21.5-47.1-48-47.1s-47.1 21.5-47.1 47.1S309.5 191.1 335.1 191.1zM335.1 112c17.64 0 32 14.36 32 32s-14.36 32-32 32c-17.64 0-31.1-14.36-31.1-32S318.4 112 335.1 112zM251.1 243.1c1.078-8.562-2.438-16.78-9.391-22C235.4 216.5 225.1 215.4 217.4 219.2C180.2 235.3 140.4 244.1 101.8 242.9C94.32 242.5 87.22 246.3 82.8 252.3C78.54 258.2 77.36 265.8 79.63 272.4C84.29 286.7 87.64 301.6 89.61 316.8c1.531 11.44-6.719 22.09-18.75 24.22C56.05 343.7 41.07 345 26.27 345c-1-.0313-1.938-.3438-3-.0313c-7.531 0-14.64 3.625-19.02 9.688c-4.266 5.906-5.391 13.22-3.078 20.06c11.73 33.84 15.56 70.06 11.36 107.6c-1.078 9.312 2.766 18.31 10.3 24C27.76 510.1 33.63 512 39.63 512c3.703 0 7.451-.7187 11.06-2.188c36.31-15.06 73.14-22.5 111.3-22c7.766-.875 14.7-3.438 19.16-9.469c4.328-5.938 5.469-13.25 3.156-20.09c-4.672-13.78-8.062-28.69-10.09-44.31c-1.5-11.41 6.781-22 18.88-24.12c15.16-2.688 30.15-4.031 44.69-4.031c.9219 0 1.875 .0938 2.797 0c7.609 0 14.77-3.625 19.16-9.719c4.266-5.906 5.375-13.19 3.062-19.97C250.9 321.3 247.2 282.5 251.1 243.1zM246.8 366.7c-1.391 1.938-3.703 3.094-6.141 3.094c-16.39-.1875-33.28 1.281-50.31 4.281C169.8 377.7 155.8 396.1 158.4 416c2.172 16.69 5.811 32.63 10.81 47.38c.8594 2.531-.2031 4.562-.9219 5.531c-1.391 1.875-3.781 2.5-6 2.906c-40.06-.4687-79.36 7.312-117.7 23.19c-4.188 1.688-8.719 1.188-12.11-1.406c-3-2.281-4.484-5.719-4.047-9.469c4.469-39.97 .375-78.53-12.12-114.6C15.46 367 16.52 365 17.22 364c1.391-1.938 3.641-3.062 6-3.062c16.59 .1562 33.65-1.219 50.42-4.156c20.5-3.625 34.48-22.12 31.84-42.06C103.4 298.6 99.8 282.6 94.82 267.4C93.94 264.8 95 262.8 95.72 261.8c1.359-1.875 3.156-2.656 5.844-2.844C141.9 260.1 184.5 250.9 223.8 233.8C226.9 232.4 230.4 232.8 232.1 234.8c1.109 .8125 3.609 3.156 3.109 7.188c-5.141 40.97-1.125 82.25 11.58 119.3C248.5 363.8 247.5 365.7 246.8 366.7z"],
    "honey-pot": [448, 512, [127855], "e418", "M435.7 153.6C445.1 175.8 449.4 199.9 448 224C445.6 313.9 408.6 399.5 344.8 462.8C333 473.8 317.6 479.9 301.6 480H146.4C130.4 479.9 114.1 473.8 103.2 462.8C39.37 399.5 2.396 313.9-.0011 224C-1.373 199.9 2.85 175.8 12.34 153.6C21.82 131.4 36.32 111.7 54.69 96H47.1C39.51 96 31.37 92.63 25.37 86.63C19.37 80.63 15.1 72.49 15.1 64C15.1 55.51 19.37 47.37 25.37 41.37C31.37 35.37 39.51 32 47.1 32H400C408.5 32 416.6 35.37 422.6 41.37C428.6 47.37 432 55.51 432 64C432 72.49 428.6 80.63 422.6 86.63C416.6 92.63 408.5 96 400 96H393.3C411.7 111.7 426.2 131.4 435.7 153.6zM127.1 144C127.1 148.2 129.7 152.3 132.7 155.3C135.7 158.3 139.8 160 143.1 160C148.2 160 152.3 158.3 155.3 155.3C158.3 152.3 159.1 148.2 159.1 144V48H127.1V144zM29.67 153.8C19.07 175.6 14.36 199.8 15.1 224H432C433.8 198.7 428.6 173.3 416.9 150.8C405.3 128.2 387.7 109.2 365.1 96H215.1C213.9 96 211.8 95.16 210.3 93.66C208.8 92.16 207.1 90.12 207.1 88C207.1 85.88 208.8 83.84 210.3 82.34C211.8 80.84 213.9 80 215.1 80H400C402.3 80 404.6 79.49 406.7 78.51C408.9 77.53 410.7 76.09 412.2 74.31C413.7 72.53 414.8 70.44 415.4 68.19C416.1 65.94 416.2 63.58 415.8 61.28C414.1 57.47 412.9 54.05 409.8 51.62C406.8 49.19 402.1 47.91 399.1 48H175.1V144C176 148.5 175.1 152.9 173.3 157C171.5 161.1 168.8 164.8 165.5 167.8C162.2 170.9 158.3 173.1 154 174.5C149.8 175.1 145.3 176.4 140.8 176C132.7 174.1 125.3 170.1 119.1 164.8C114.7 158.6 111.8 150.7 111.1 142.6V48H47.1C45.67 47.1 43.36 48.51 41.25 49.49C39.13 50.47 37.26 51.91 35.76 53.69C34.25 55.47 33.16 57.56 32.55 59.81C31.94 62.06 31.83 64.42 32.22 66.72C33.01 70.53 35.11 73.95 38.15 76.38C41.2 78.81 45 80.09 48.9 80H71.1C74.12 80 76.16 80.84 77.66 82.34C79.16 83.84 79.1 85.88 79.1 88V93.12C79.99 94.43 79.65 95.72 79.03 96.88C78.4 98.03 77.51 99.02 76.42 99.74C56.38 113.4 40.27 132 29.67 153.8zM53.38 368H394.6C415.2 328.2 427.6 284.7 431 240H16.96C20.4 284.7 32.79 328.2 53.38 368zM333.9 451.2C354.5 431.5 372 408.9 385.1 384H62.05C75.98 408.9 93.53 431.5 114.1 451.2C122.9 459.4 134.4 463.1 146.4 464H301.4C313.4 463.1 324.1 459.4 333.8 451.2H333.9z"],
    "hood-cloak": [576, 512, [], "f6ef", "M569.6 460.8c-57.62-77-57.62-140.9-57.62-140.9v-64c0-84-46.42-123-101.2-182.8l39.77-39.75c12.37-12.38 3.625-33.5-13.87-33.5H287.6c-95.62 0-223.6 109.5-223.6 256v64c0 0-.0252 63.85-57.65 140.9C1.865 466.7-.1195 473.5 .0055 479.1c.25 16.5 13.48 32 32.36 32h511.3c18.87 0 32.11-15.5 32.36-32C576.1 473.5 574.1 466.7 569.6 460.8zM168 495.1v-176c0-66.16 53.99-119.1 120.1-119.1s119.8 53.84 119.8 119.1v176H168zM543.6 495.1H424v-176c0-75-60.1-136-135.1-136s-135.1 61-135.1 136v176H32.38c-9.963 0-16.26-8.43-16.38-16.31c-.0449-2.254 .4551-5.66 3.187-9.23c60.12-80.34 60.81-147.6 60.81-150.5v-64c0-139.2 124-240 207.6-240h149.1c1.615 0 2.744 .75 3.359 2.23c.6133 1.484 .3438 2.812-.7988 3.957L388.7 72.77c0 0 22.49 24.4 28.35 30.66c45.81 48.9 78.91 84.23 78.91 152.6v64c0 2.824 .6914 70.12 60.92 150.6c2.623 3.426 3.123 6.832 3.078 9.152C559.9 487.6 553.6 495.1 543.6 495.1z"],
    "horizontal-rule": [640, 512, [8213], "f86c", "M640 255.1c0 4.406-3.594 8.025-8 8.025H8c-4.406 0-8-3.568-8-7.975s3.594-8.025 8-8.025h624C636.4 247.1 640 251.6 640 255.1z"],
    "horse": [576, 512, [128014], "f6f0", "M575.9 82.2c0-9.922-3.719-19.36-10.47-26.61l-7.062-7.5c8.969-7.797 15.03-17.89 17.31-29.17c.9375-4.625-.25-9.406-3.281-13.09c-3.031-3.703-7.5-5.828-12.25-5.828h-124.4c-68.94 0-127.6 57.83-131.8 128L159.1 128c-28.3 0-53.48 12.52-71.05 31.1L72 159.1c-39.69 0-72 32.3-72 72v80c0 4.422 3.594 8 8 8s8-3.578 8-8v-80c0-30.88 25.12-56 56-56l5.253 .1472c-8.246 14.17-13.25 30.28-13.25 47.85c0 29.42 13.52 55.43 34.37 73.04L87.25 318.8C67.56 357.2 64 364.2 64 380.9c0 4.906 .9062 12.38 2.094 16.98l23.97 95.95c2.562 10.17 12.81 18.16 23.28 18.16H176c7.438 0 14.34-3.359 18.91-9.234c4.562-5.859 6.156-13.36 4.219-21.05l-30.53-97.03l27.69-55.38L312 358.2v129.8c0 13.23 10.78 24 24 24l56-.0001c13.22 0 24-10.77 24-24v-160.9c19.51-17.57 31.1-42.82 31.1-71.14c0-.0352 0 .0352 0 0L448 151.9l5.688 2.031l16.88 33.61c6.797 13.51 20.69 21.52 35.07 21.52c4.801 0 9.648-.8906 14.31-2.766l31.53-12.61c13.75-5.484 24.5-21.41 24.5-36.23L575.9 82.2zM545.5 178.9l-31.57 12.62c-11.07 4.461-23.87-.6836-29.1-11.09l-16.88-33.61c-3.328-6.625-18.72-15.31-29.2-7.93C434.5 141.9 432 146.7 432 151.9c0 0-.0078 104.3 0 104.5c-.1172 22.5-9.59 43.37-26.71 58.79C401.9 318.2 400 322.6 400 327.1v160.9c0 4.41-3.59 8-8 8H336c-4.414 0-8-3.59-8-8v-129.8c0-7.344-4.996-13.74-12.12-15.52L200.2 313.8C193.8 312.2 185.7 314.7 181.1 322.2l-27.69 55.38c-1.852 3.711-2.195 8-.9492 11.96l30.28 96.14C185.2 491.8 180.7 495.1 176 495.1H113.3c-3.148 0-6.992-3.004-7.758-6.035l-24-96.07C80.74 390.6 80 384.5 80 380.9c0-12.5 1.816-16.4 21.5-54.82l11.12-21.77c3.379-6.625 1.75-14.7-3.926-19.5C90.46 269.4 80 247.2 80 223.1c0-44.11 35.89-80 80-80h160V128.8c3.773-62.2 55.66-112.8 115.8-112.8h124.2c-1.602 7.621-5.773 14.54-12.07 20.02c-7.695 6.688-6.594 17.27-1.152 23.05c7.094 7.531 13.18 12.34 13.18 23.16l.0625 75.27C559.1 165.8 553.2 175.8 545.5 178.9zM496 63.1c-8.836 0-16 7.165-16 16s7.164 15.1 16 15.1S512 88.84 512 79.1S504.8 63.1 496 63.1z"],
    "horse-head": [512, 512, [], "f7ab", "M509.2 323.8l-67.54-155.6c-13.19-36.53-42.81-65.06-79.38-77.47c15.81-13.97 32.94-39.03 22.66-78.41c-1.25-4.531-4.438-8.344-8.75-10.53c-4.219-2.125-9.094-2.344-13.41-.7813L166.9 74.27C49.94 116.4 0 212.1 0 394.3v78.72C0 494.5 17.5 512 39 512h228.9c13.66 0 26.06-6.938 33.18-18.53c7.127-11.59 7.721-25.75 1.531-38l-39.47-75.19c-2.062-3.906-6.877-5.469-10.81-3.375c-3.906 2.063-5.406 6.906-3.375 10.81l39.44 75.06c3.594 7.156 3.25 15.5-.9375 22.31s-11.53 10.91-19.56 10.91H39c-12.69 0-23-10.31-23-23v-78.72c0-174.3 46.75-265.5 156.5-304.1l197-72.81c10.53 40.22-13.97 61.6-29.5 70.75l-18.19 10.75l20.72 4c38.63 7.5 70.88 34.94 84.25 72.06l67.63 155.8c3.344 8.438 1.344 18.19-4.627 24.38l-44.31 38.97c-4.346 4.344-10.13 6.75-16.28 6.75h-48.69c-7.438 0-14.41-3.594-18.69-9.657l-44.58-58.79c-.0078-.0078 .0078 .0117 0 0c2.523-1.848 5.184-3.467 7.547-5.553c3.312-2.938 3.656-7.969 .7187-11.28c-2.938-3.344-8-3.656-11.28-.7185c-16.1 14.19-36.78 22-58.22 22c-45.44 0-83.97-35.44-87.69-80.66C167.1 250.9 164.3 247.5 159.7 248C155.3 248.4 152 252.2 152.4 256.6c4.406 53.47 49.94 95.35 103.6 95.35c16.9 0 33.25-4.442 48-12.15c.1777 .3438 .0195 .7578 .2539 1.086l44.53 58.72c7.252 10.22 19.11 16.34 31.73 16.34h48.69c10.41 0 20.21-4.062 27.21-11.09l44.41-39.06C511.6 354.7 514.1 338.3 509.2 323.8zM368 207.1c0-17.66-14.34-32-32-32c-17.66 0-32 14.34-32 32s14.35 32 32 32C353.7 239.1 368 225.6 368 207.1zM320 207.1c0-8.813 7.188-16 16-16s16 7.188 16 16c0 8.813-7.189 16-16 16S320 216.8 320 207.1z"],
    "horse-saddle": [576, 512, [], "f8c3", "M575.9 82.2c0-9.922-3.719-19.36-10.47-26.61l-7.062-7.5c8.969-7.797 15.03-17.89 17.31-29.17c.9375-4.625-.25-9.406-3.281-13.09c-3.031-3.703-7.5-5.828-12.25-5.828h-124.4c-68.94 0-127.6 57.83-131.8 128L160 128c-28.3 0-53.48 12.55-71.05 32.03L72 159.1c-39.69 0-72 32.3-72 72v80c0 4.422 3.594 8 8 8s8-3.578 8-8v-80c0-30.88 25.12-56 56-56l5.253 .1465C69.01 190.3 64 206.5 64 224c0 29.42 13.52 55.39 34.37 73L87.25 318.8C67.56 357.2 64 364.2 64 380.9c0 4.906 .9062 12.38 2.094 16.98l23.97 95.95c2.562 10.17 12.81 18.16 23.28 18.16H176c7.438 0 14.34-3.359 18.91-9.234c4.562-5.859 6.156-13.36 4.219-21.05l-30.53-97.03l27.69-55.38L312 358.2v129.8c0 13.23 10.78 24 24 24l56-.0001c13.22 0 24-10.77 24-24v-160.9c19.51-17.57 31.1-42.82 31.1-71.14c0-.0352 0 .0352 0 0L448 151.9l5.688 2.031l16.88 33.61c6.797 13.51 20.69 21.52 35.07 21.52c4.801 0 9.648-.8906 14.31-2.766l31.53-12.61c13.75-5.484 24.5-21.41 24.5-36.23L575.9 82.2zM232 321.7L200.2 313.8C193.8 312.2 185.7 314.7 181.1 322.2l-27.69 55.38c-1.852 3.711-2.195 8-.9492 11.96l30.28 96.14C185.2 491.8 180.7 495.1 176 495.1H113.3c-3.148 0-6.992-3.004-7.758-6.035l-24-96.07C80.74 390.6 80 384.5 80 380.9c0-12.5 1.816-16.4 21.5-54.82l11.12-21.77c3.379-6.625 1.75-14.7-3.926-19.5C90.46 269.4 80 247.2 80 223.1c0-44.11 35.89-80 80-80v32C160 217.4 191.7 251.1 232 255.2V321.7zM176 175.1v-32h128v32c0 35.28-28.72 64-64 64S176 211.3 176 175.1zM545.5 178.9l-31.57 12.62c-11.07 4.461-23.87-.6836-29.1-11.09l-16.88-33.61c-3.328-6.625-18.72-15.31-29.2-7.93C434.5 141.9 432 146.7 432 151.9c0 0-.0078 104.3 0 104.5c-.1172 22.5-9.59 43.37-26.71 58.79C401.9 318.2 400 322.6 400 327.1v160.9c0 4.41-3.59 8-8 8H336c-4.414 0-8-3.59-8-8v-129.8c0-7.344-4.996-13.74-12.12-15.52L248 325.7V255.2C288.3 251.1 320 217.4 320 175.1V128.8c3.773-62.2 55.66-112.8 115.8-112.8h124.2c-1.602 7.621-5.773 14.54-12.07 20.02c-7.695 6.688-6.594 17.27-1.152 23.05c7.094 7.531 13.18 12.34 13.18 23.16l.0625 75.27C559.1 165.8 553.2 175.8 545.5 178.9zM496 63.1c-8.836 0-16 7.165-16 16s7.164 16 16 16S512 88.84 512 79.1S504.8 63.1 496 63.1z"],
    "hose": [448, 512, [], "e419", "M432 280c0-22.08-17.92-40-40-40H164C126.4 240 96 209.6 96 172S126.4 104 164 104H256c4.416 0 8-3.584 8-8S260.4 88 256 88H164C117.6 88 80 125.6 80 172S117.6 256 164 256h228C405.2 256 416 266.8 416 280S405.2 304 392 304H164C91.1 304 32 244.9 32 172S91.1 40 164 40H256c4.416 0 8-3.584 8-8S260.4 24 256 24H164C82.27 24 16 90.27 16 172c0 57.63 32.93 107.6 80.99 132H56c-22.08 0-40 17.92-40 40c0 13.09 6.273 24.7 16 32c-9.727 7.297-16 18.91-16 32s6.273 24.7 16 32c-9.727 7.297-16 18.91-16 32C16 494.1 33.92 512 56 512h336c22.08 0 40-17.92 40-40c0-13.09-6.271-24.7-16-32c9.729-7.297 16-18.91 16-32s-6.271-24.7-16-32c9.729-7.297 16-18.91 16-32s-6.271-24.7-16-32C425.7 304.7 432 293.1 432 280zM392 496H56C42.75 496 32 485.2 32 472S42.75 448 56 448h336c13.25 0 24 10.75 24 24S405.2 496 392 496zM392 432H56C42.75 432 32 421.2 32 408S42.75 384 56 384h336c13.25 0 24 10.75 24 24S405.2 432 392 432zM392 368H56C42.75 368 32 357.2 32 344S42.75 320 56 320h336c13.25 0 24 10.75 24 24S405.2 368 392 368zM440 32c-4.096 0-7.488 3.104-7.936 7.072L304 24.83V16c0-4.416-3.584-8-8-8S288 11.58 288 16v96c0 4.416 3.584 8 8 8S304 116.4 304 112V103.2l128.1-14.24C432.5 92.9 435.9 96 440 96C444.4 96 448 92.42 448 88v-48C448 35.58 444.4 32 440 32zM432 72.83l-128 14.24V40.93l128 14.24V72.83z"],
    "hose-reel": [576, 512, [], "e41a", "M616 352H576V256c0-141.4-114.6-256-256-256C178.6 0 64 114.6 64 256s114.6 256 256 256c54.37 0 104.8-16.96 146.3-45.89c3.615-2.527 4.512-7.52 1.984-11.13c-2.529-3.617-7.521-4.512-11.14-1.984C418.3 480.1 371 496 320 496c-132.5 0-240-107.5-240-240S187.5 16 320 16c132.5 0 240 107.5 240 240v96h-40C515.6 352 512 355.6 512 360s3.584 8 8 8h8.832l14.24 128.1C539.1 496.5 536 499.9 536 504c0 4.416 3.584 8 8 8h48c4.416 0 8-3.584 8-8c0-4.096-3.104-7.488-7.072-7.936L607.2 368H616c4.416 0 8-3.584 8-8S620.4 352 616 352zM576.8 496h-17.66l-14.24-128h46.14L576.8 496zM240 256c0 44.19 35.81 80 80 80s80-35.81 80-80S364.2 176 320 176S240 211.8 240 256zM384 256c0 35.36-28.64 64-64 64S256 291.4 256 256s28.64-64 64-64S384 220.6 384 256zM152 256c0 92.77 75.23 168 168 168s168-75.23 168-168S412.8 88 320 88S152 163.2 152 256zM472 256c0 83.94-68.06 152-152 152S168 339.9 168 256S236.1 104 320 104S472 172.1 472 256z"],
    "hospital": [640, 512, [127973, 62589, "hospital-alt", "hospital-wide"], "f0f8", "M328 56C341.3 56 352 66.75 352 80V96H368C381.3 96 392 106.7 392 120V136C392 149.3 381.3 160 368 160H352V176C352 189.3 341.3 200 328 200H312C298.7 200 288 189.3 288 176V160H272C258.7 160 248 149.3 248 136V120C248 106.7 258.7 96 272 96H288V80C288 66.75 298.7 56 312 56H328zM304 112H272C267.6 112 264 115.6 264 120V136C264 140.4 267.6 144 272 144H304V176C304 180.4 307.6 184 312 184H328C332.4 184 336 180.4 336 176V144H368C372.4 144 376 140.4 376 136V120C376 115.6 372.4 112 368 112H336V80C336 75.58 332.4 72 328 72H312C307.6 72 304 75.58 304 80V112zM160 64C160 28.65 188.7 0 224 0H416C451.3 0 480 28.65 480 64V96H584C614.9 96 640 121.1 640 152V456C640 486.9 614.9 512 584 512H56C25.07 512 0 486.9 0 456V152C0 121.1 25.07 96 56 96H160V64zM416 16H224C197.5 16 176 37.49 176 64V496H256V416C256 380.7 284.7 352 320 352C355.3 352 384 380.7 384 416V496H464V64C464 37.49 442.5 16 416 16zM584 112H480V496H584C606.1 496 624 478.1 624 456V304H520C515.6 304 512 300.4 512 296C512 291.6 515.6 288 520 288H624V208H520C515.6 208 512 204.4 512 200C512 195.6 515.6 192 520 192H624V152C624 129.9 606.1 112 584 112zM160 112H56C33.91 112 16 129.9 16 152V192H120C124.4 192 128 195.6 128 200C128 204.4 124.4 208 120 208H16V288H120C124.4 288 128 291.6 128 296C128 300.4 124.4 304 120 304H16V456C16 478.1 33.91 496 56 496H160V112zM320 368C293.5 368 272 389.5 272 416V496H368V416C368 389.5 346.5 368 320 368z"],
    "hospital-user": [576, 512, [], "f80d", "M0 56C0 25.07 25.07 0 56 0H264C294.9 0 320 25.07 320 56V344C320 348.4 316.4 352 312 352C307.6 352 304 348.4 304 344V56C304 33.91 286.1 16 264 16H56C33.91 16 16 33.91 16 56V272H152C156.4 272 160 275.6 160 280C160 284.4 156.4 288 152 288H16V368H152C156.4 368 160 371.6 160 376C160 380.4 156.4 384 152 384H16V456C16 478.1 33.91 496 56 496H248C252.4 496 256 499.6 256 504C256 508.4 252.4 512 248 512H56C25.07 512 0 486.9 0 456V56zM168 56C181.3 56 192 66.75 192 80V96H208C221.3 96 232 106.7 232 120V136C232 149.3 221.3 160 208 160H192V176C192 189.3 181.3 200 168 200H152C138.7 200 128 189.3 128 176V160H112C98.75 160 88 149.3 88 136V120C88 106.7 98.75 96 112 96H128V80C128 66.75 138.7 56 152 56H168zM144 112H112C107.6 112 104 115.6 104 120V136C104 140.4 107.6 144 112 144H144V176C144 180.4 147.6 184 152 184H168C172.4 184 176 180.4 176 176V144H208C212.4 144 216 140.4 216 136V120C216 115.6 212.4 112 208 112H176V80C176 75.58 172.4 72 168 72H152C147.6 72 144 75.58 144 80V112zM352 272C352 227.8 387.8 192 432 192C476.2 192 512 227.8 512 272C512 316.2 476.2 352 432 352C387.8 352 352 316.2 352 272zM432 208C396.7 208 368 236.7 368 272C368 307.3 396.7 336 432 336C467.3 336 496 307.3 496 272C496 236.7 467.3 208 432 208zM482.9 384C534.3 384 576 425.7 576 477.1C576 496.4 560.4 512 541.1 512H322.9C303.6 512 288 496.4 288 477.1C288 425.7 329.7 384 381.1 384H482.9zM322.9 496H541.1C551.5 496 560 487.5 560 477.1C560 434.5 525.5 400 482.9 400H381.1C338.5 400 304 434.5 304 477.1C304 487.5 312.5 496 322.9 496V496z"],
    "hospitals": [576, 512, [], "f80e", "M488 0C518.9 0 544 25.07 544 56V456C544 486.9 518.9 512 488 512H352C347.6 512 344 508.4 344 504C344 499.6 347.6 496 352 496H488C510.1 496 528 478.1 528 456V400H360C355.6 400 352 396.4 352 392C352 387.6 355.6 384 360 384H528V304H360C355.6 304 352 300.4 352 296C352 291.6 355.6 288 360 288H528V56C528 33.91 510.1 16 488 16H312C289.9 16 272 33.91 272 56V64C272 68.42 268.4 72 264 72C259.6 72 256 68.42 256 64V56C256 25.07 281.1 0 312 0H488zM184 168C197.3 168 208 178.7 208 192V208H224C237.3 208 248 218.7 248 232V248C248 261.3 237.3 272 224 272H208V288C208 301.3 197.3 312 184 312H168C154.7 312 144 301.3 144 288V272H128C114.7 272 104 261.3 104 248V232C104 218.7 114.7 208 128 208H144V192C144 178.7 154.7 168 168 168H184zM160 224H128C123.6 224 120 227.6 120 232V248C120 252.4 123.6 256 128 256H160V288C160 292.4 163.6 296 168 296H184C188.4 296 192 292.4 192 288V256H224C228.4 256 232 252.4 232 248V232C232 227.6 228.4 224 224 224H192V192C192 187.6 188.4 184 184 184H168C163.6 184 160 187.6 160 192V224zM32 160C32 124.7 60.65 96 96 96H256C291.3 96 320 124.7 320 160V448C320 483.3 291.3 512 256 512H96C60.65 512 32 483.3 32 448V160zM48 160V352H304V160C304 133.5 282.5 112 256 112H96C69.49 112 48 133.5 48 160zM48 416H304V368H48V416zM48 448C48 474.5 69.49 496 96 496H256C282.5 496 304 474.5 304 448V432H48V448zM376 80C376 66.75 386.7 56 400 56H416C429.3 56 440 66.75 440 80V96H456C469.3 96 480 106.7 480 120V136C480 149.3 469.3 160 456 160H440V176C440 189.3 429.3 200 416 200H400C386.7 200 376 189.3 376 176V160H360C346.7 160 336 149.3 336 136V120C336 106.7 346.7 96 360 96H376V80zM400 72C395.6 72 392 75.58 392 80V112H360C355.6 112 352 115.6 352 120V136C352 140.4 355.6 144 360 144H392V176C392 180.4 395.6 184 400 184H416C420.4 184 424 180.4 424 176V144H456C460.4 144 464 140.4 464 136V120C464 115.6 460.4 112 456 112H424V80C424 75.58 420.4 72 416 72H400z"],
    "hot-tub-person": [512, 512, ["hot-tub"], "f593", "M276.7 98.72l14.75 8.438C318.9 122.9 336 152.3 336 184C336 188.4 339.6 192 344 192S352 188.4 352 184c0-37.41-20.17-72.16-52.66-90.72l-14.75-8.438C257.1 69.13 240 39.66 240 8C240 3.594 236.4 0 232 0S224 3.594 224 8C224 45.41 244.2 80.16 276.7 98.72zM372.7 98.72l14.75 8.438C414.9 122.9 432 152.3 432 184C432 188.4 435.6 192 440 192S448 188.4 448 184c0-37.41-20.17-72.16-52.66-90.72l-14.75-8.438C353.1 69.13 336 39.66 336 8C336 3.594 332.4 0 328 0S320 3.594 320 8C320 45.41 340.2 80.16 372.7 98.72zM480 256H32C14.33 256 0 270.3 0 288v160c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V288C512 270.3 497.7 256 480 256zM496 448c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V288c0-8.824 7.178-16 16-16h448c8.822 0 16 7.176 16 16V448zM112 312c-4.422 0-8 3.594-8 8v128c0 4.406 3.578 8 8 8S120 452.4 120 448v-128C120 315.6 116.4 312 112 312zM208 312c-4.422 0-8 3.594-8 8v128c0 4.406 3.578 8 8 8S216 452.4 216 448v-128C216 315.6 212.4 312 208 312zM304 312c-4.422 0-8 3.594-8 8v128c0 4.406 3.578 8 8 8s8-3.594 8-8v-128C312 315.6 308.4 312 304 312zM400 312c-4.422 0-8 3.594-8 8v128c0 4.406 3.578 8 8 8s8-3.594 8-8v-128C408 315.6 404.4 312 400 312zM64 128c35.35 0 64-28.65 64-64S99.35 0 64 0C28.65 0 0 28.65 0 64S28.65 128 64 128zM64 16c26.47 0 48 21.53 48 48S90.47 112 64 112S16 90.47 16 64S37.53 16 64 16zM8 232C12.42 232 16 228.4 16 224c0-26.47 21.53-48 48-48h55.69c9.156 0 18.06 2.594 25.77 7.5l74.25 47.25C221 231.6 222.5 232 224 232c2.641 0 5.219-1.312 6.75-3.719c2.375-3.719 1.266-8.656-2.453-11.03L154 170C143.8 163.5 131.9 160 119.7 160H64C28.7 160 0 188.7 0 224C0 228.4 3.578 232 8 232z"],
    "hotdog": [512, 512, [127789], "f80f", "M27.45 319.1c2.047 0 4.094-.7813 5.657-2.344c3.125-3.125 3.125-8.188 0-11.31C11.83 285 10.19 252 29.45 232.7l203.3-203.3c19.28-19.25 52.3-17.59 73.58 3.688c3.125 3.125 8.188 3.125 11.31 0c3.125-3.125 3.125-8.188 0-11.31C290.1-5.758 246.1-7.415 221.5 18.12L18.14 221.4C-7.36 246.1-5.72 290.1 21.8 317.7C23.36 319.2 25.41 319.1 27.45 319.1zM421.7 101.6C407.5 115.9 395.1 117.8 382.6 120.1c-13.99 2.406-29.85 5.125-47.66 22.94s-20.55 33.66-22.95 47.66c-2.281 13.31-4.266 24.84-18.49 39.06c-14.19 14.19-25.69 16.16-38.99 18.44C240.6 250.6 224.7 253.3 206.9 271.1C189.2 288.9 186.4 304.7 184 318.7c-2.281 13.31-4.235 24.81-18.44 39c-14.19 14.19-25.67 16.16-38.97 18.44c-13.97 2.375-29.81 5.094-47.6 22.88c-3.125 3.125-3.125 8.188 0 11.31c1.563 1.563 3.61 2.344 5.657 2.344s4.094-.7813 5.657-2.344c14.19-14.19 25.67-16.16 38.97-18.44c13.97-2.375 29.81-5.094 47.6-22.88c17.8-17.78 20.5-33.63 22.91-47.59c2.266-13.31 4.235-24.81 18.42-39C232.4 268.2 243.9 266.3 257.2 263.1c13.99-2.375 29.81-5.094 47.61-22.88c17.81-17.84 20.55-33.69 22.95-47.66c2.281-13.34 4.266-24.84 18.49-39.06c14.22-14.22 25.74-16.19 39.07-18.5c13.99-2.406 29.83-5.125 47.64-22.94c3.125-3.125 3.125-8.188 0-11.31C429.9 98.52 424.8 98.52 421.7 101.6zM488.6 23.44c-15.53-15.59-35.96-23.37-56.39-23.37c-20.43 0-40.9 7.812-56.43 23.41L24.46 374.8c-20.83 19.96-29.19 49.66-21.83 77.6c7.36 27.95 29.07 49.66 57.02 57.01C66.35 511.1 73.17 512 79.92 512c21.37 0 42.16-8.627 57.33-24.46l351.3-351.3C519.7 105.2 519.8 54.5 488.6 23.44zM125.7 476.5c-11.89 12.41-28.58 19.53-45.77 19.53c-5.455 0-10.91-.7071-16.2-2.102c-22.27-5.863-39.75-23.34-45.62-45.61c-5.873-22.3 .8047-46.04 17.67-62.21L387.1 34.74c11.1-12.05 28-18.68 45.05-18.68c17.05 0 33.06 6.633 45.1 18.73c12.05 12 18.68 28 18.68 45.05c0 17.05-6.635 33.06-18.7 45.08L125.7 476.5zM478.9 194.3c-3.125 3.125-3.125 8.188 0 11.31c21.28 21.31 22.92 54.31 3.656 73.59l-203.3 203.3c-19.24 19.28-52.25 17.63-73.58-3.688c-3.125-3.125-8.188-3.125-11.31 0c-3.125 3.125-3.125 8.188 0 11.31c14.47 14.47 33.24 21.78 51.49 21.78c16.52 0 32.61-5.969 44.72-18.09l203.3-203.3c25.5-25.53 23.86-68.69-3.656-96.22C487.1 191.2 482.1 191.2 478.9 194.3z"],
    "hotel": [512, 512, [127976], "f594", "M328 96C328 82.75 338.7 72 352 72H384C397.3 72 408 82.75 408 96V128C408 141.3 397.3 152 384 152H352C338.7 152 328 141.3 328 128V96zM352 88C347.6 88 344 91.58 344 96V128C344 132.4 347.6 136 352 136H384C388.4 136 392 132.4 392 128V96C392 91.58 388.4 88 384 88H352zM272 72C285.3 72 296 82.75 296 96V128C296 141.3 285.3 152 272 152H240C226.7 152 216 141.3 216 128V96C216 82.75 226.7 72 240 72H272zM232 128C232 132.4 235.6 136 240 136H272C276.4 136 280 132.4 280 128V96C280 91.58 276.4 88 272 88H240C235.6 88 232 91.58 232 96V128zM216 224C216 210.7 226.7 200 240 200H272C285.3 200 296 210.7 296 224V256C296 269.3 285.3 280 272 280H240C226.7 280 216 269.3 216 256V224zM240 216C235.6 216 232 219.6 232 224V256C232 260.4 235.6 264 240 264H272C276.4 264 280 260.4 280 256V224C280 219.6 276.4 216 272 216H240zM384 200C397.3 200 408 210.7 408 224V256C408 269.3 397.3 280 384 280H352C338.7 280 328 269.3 328 256V224C328 210.7 338.7 200 352 200H384zM344 256C344 260.4 347.6 264 352 264H384C388.4 264 392 260.4 392 256V224C392 219.6 388.4 216 384 216H352C347.6 216 344 219.6 344 224V256zM104 96C104 82.75 114.7 72 128 72H160C173.3 72 184 82.75 184 96V128C184 141.3 173.3 152 160 152H128C114.7 152 104 141.3 104 128V96zM128 88C123.6 88 120 91.58 120 96V128C120 132.4 123.6 136 128 136H160C164.4 136 168 132.4 168 128V96C168 91.58 164.4 88 160 88H128zM160 200C173.3 200 184 210.7 184 224V256C184 269.3 173.3 280 160 280H128C114.7 280 104 269.3 104 256V224C104 210.7 114.7 200 128 200H160zM120 256C120 260.4 123.6 264 128 264H160C164.4 264 168 260.4 168 256V224C168 219.6 164.4 216 160 216H128C123.6 216 120 219.6 120 224V256zM179.1 365.1C175.8 363 175.5 357.1 178.5 354.7C197.5 333.4 225.2 320 256 320C286.8 320 314.5 333.4 333.5 354.7C336.5 357.1 336.2 363 332.9 365.1C329.6 368.9 324.5 368.6 321.6 365.3C305.5 347.3 282.1 336 256 336C229.9 336 206.5 347.3 190.4 365.3C187.5 368.6 182.4 368.9 179.1 365.1V365.1zM504 0C508.4 0 512 3.582 512 8C512 12.42 508.4 16 504 16H480V496H504C508.4 496 512 499.6 512 504C512 508.4 508.4 512 504 512H8C3.582 512 0 508.4 0 504C0 499.6 3.582 496 8 496H32V16H8C3.582 16 0 12.42 0 8C0 3.582 3.582 0 8 0H504zM256 400C238.3 400 224 414.3 224 432V496H288V432C288 414.3 273.7 400 256 400zM304 432V496H464V16H48V496H208V432C208 405.5 229.5 384 256 384C282.5 384 304 405.5 304 432z"],
    "hourglass": [384, 512, [62032, 9203, "hourglass-empty"], "f254", "M376 0C380.4 0 384 3.582 384 8C384 12.42 380.4 16 376 16H352V76.67C352 106.5 342.2 135.6 324 159.3L250.1 256L324 352.7C342.2 376.4 352 405.5 352 435.3V496H376C380.4 496 384 499.6 384 504C384 508.4 380.4 512 376 512H8C3.582 512 0 508.4 0 504C0 499.6 3.582 496 8 496H32V435.3C32 405.5 41.83 376.4 59.97 352.7L133.9 256L59.97 159.3C41.83 135.6 32 106.5 32 76.67V16H8C3.582 16 0 12.42 0 8C0 3.582 3.582 0 8 0H376zM336 16H48V76.67C48 103 56.67 128.6 72.68 149.6L150.4 251.1C152.5 254 152.5 257.1 150.4 260.9L72.68 362.4C56.67 383.4 48 408.1 48 435.3V496H336V435.3C336 408.1 327.3 383.4 311.3 362.4L233.6 260.9C231.5 257.1 231.5 254 233.6 251.1L311.3 149.6C327.3 128.6 336 103 336 76.67V16z"],
    "hourglass-clock": [576, 512, [], "e41b", "M0 8C0 3.582 3.582 0 8 0H376C380.4 0 384 3.582 384 8C384 12.42 380.4 16 376 16H352V76.67C352 106.5 342.2 135.6 324 159.3L250.1 256L274.9 288.5C272.2 293.9 269.7 299.5 267.5 305.2L233.6 260.9C231.5 257.1 231.5 254 233.6 251.1L311.3 149.6C327.3 128.6 336 103 336 76.67V15.1H48V76.67C48 103 56.67 128.6 72.68 149.6L150.4 251.1C152.5 254 152.5 257.1 150.4 260.9L72.68 362.4C56.67 383.4 48 408.1 48 435.3V496H311.2C317.3 501.8 323.9 507.1 330.8 512H8C3.582 512 0 508.4 0 504C0 499.6 3.582 496 8 496H32V435.3C32 405.5 41.83 376.4 59.97 352.7L133.9 256L59.97 159.3C41.83 135.6 32 106.5 32 76.67V16H8C3.582 16 0 12.42 0 8V8zM104 448H275.2C278 453.5 281.1 458.8 284.5 464H96C91.58 464 88 460.4 88 456V436.1C88 421.6 92.88 406.7 101.9 394.4L177.5 291.3C180.2 287.7 185.2 286.9 188.7 289.5C192.3 292.2 193.1 297.2 190.5 300.7L114.8 403.8C107.8 413.4 104 425 104 436.1V448zM112.8 124.4C114.2 121.7 116.1 120 120 120H264C267 120 269.8 121.7 271.2 124.4C272.5 127.1 272.2 130.4 270.4 132.8L198.4 228.8C196.9 230.8 194.5 232 192 232C189.5 232 187.1 230.8 185.6 228.8L113.6 132.8C111.8 130.4 111.5 127.1 112.8 124.4V124.4zM136 136L192 210.7L248 136H136zM431.1 288C436.4 288 439.1 291.6 439.1 296V360H488C492.4 360 496 363.6 496 368C496 372.4 492.4 376 488 376H431.1C427.6 376 423.1 372.4 423.1 368V296C423.1 291.6 427.6 288 431.1 288V288zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 496C502.7 496 560 438.7 560 368C560 297.3 502.7 240 432 240C361.3 240 304 297.3 304 368C304 438.7 361.3 496 432 496z"],
    "hourglass-end": [384, 512, [8987, "hourglass-3"], "f253", "M281.6 394.1C290.9 406.6 296 421.8 296 437.3V456C296 460.4 292.4 464 288 464H96C91.58 464 88 460.4 88 456V437.3C88 421.8 93.05 406.6 102.4 394.1L185.6 283.2C187.1 281.2 189.5 280 192 280C194.5 280 196.9 281.2 198.4 283.2L281.6 394.1zM104 437.3V448H280V437.3C280 425.2 276.1 413.4 268.8 403.7L192 301.3L115.2 403.7C107.9 413.4 104 425.2 104 437.3zM0 8C0 3.582 3.582 0 8 0H376C380.4 0 384 3.582 384 8C384 12.42 380.4 16 376 16H352V76.67C352 106.5 342.2 135.6 324 159.3L250.1 256L324 352.7C342.2 376.4 352 405.5 352 435.3V496H376C380.4 496 384 499.6 384 504C384 508.4 380.4 512 376 512H8C3.582 512 0 508.4 0 504C0 499.6 3.582 496 8 496H32V435.3C32 405.5 41.83 376.4 59.97 352.7L133.9 256L59.97 159.3C41.83 135.6 32 106.5 32 76.67V16H8C3.582 16 0 12.42 0 8V8zM48 76.67C48 103 56.67 128.6 72.68 149.6L150.4 251.1C152.5 254 152.5 257.1 150.4 260.9L72.68 362.4C56.67 383.4 48 408.1 48 435.3V496H336V435.3C336 408.1 327.3 383.4 311.3 362.4L233.6 260.9C231.5 257.1 231.5 254 233.6 251.1L311.3 149.6C327.3 128.6 336 103 336 76.67V16H48V76.67z"],
    "hourglass-half": [384, 512, ["hourglass-2"], "f252", "M112.8 124.4C114.2 121.7 116.1 120 120 120H264C267 120 269.8 121.7 271.2 124.4C272.5 127.1 272.2 130.4 270.4 132.8L198.4 228.8C196.9 230.8 194.5 232 192 232C189.5 232 187.1 230.8 185.6 228.8L113.6 132.8C111.8 130.4 111.5 127.1 112.8 124.4V124.4zM136 136L192 210.7L248 136H136zM113.6 379.2C115.1 377.2 117.5 376 120 376H264C266.5 376 268.9 377.2 270.4 379.2L281.6 394.1C290.9 406.6 296 421.8 296 437.3V456C296 460.4 292.4 464 288 464H96C91.58 464 88 460.4 88 456V437.3C88 421.8 93.05 406.6 102.4 394.1L113.6 379.2zM124 392L115.2 403.7C107.9 413.4 104 425.2 104 437.3V448H280V437.3C280 425.2 276.1 413.4 268.8 403.7L260 392H124zM0 8C0 3.582 3.582 0 8 0H376C380.4 0 384 3.582 384 8C384 12.42 380.4 16 376 16H352V76.67C352 106.5 342.2 135.6 324 159.3L250.1 256L324 352.7C342.2 376.4 352 405.5 352 435.3V496H376C380.4 496 384 499.6 384 504C384 508.4 380.4 512 376 512H8C3.582 512 0 508.4 0 504C0 499.6 3.582 496 8 496H32V435.3C32 405.5 41.83 376.4 59.97 352.7L133.9 256L59.97 159.3C41.83 135.6 32 106.5 32 76.67V16H8C3.582 16 0 12.42 0 8V8zM48 76.67C48 103 56.67 128.6 72.68 149.6L150.4 251.1C152.5 254 152.5 257.1 150.4 260.9L72.68 362.4C56.67 383.4 48 408.1 48 435.3V496H336V435.3C336 408.1 327.3 383.4 311.3 362.4L233.6 260.9C231.5 257.1 231.5 254 233.6 251.1L311.3 149.6C327.3 128.6 336 103 336 76.67V16H48V76.67z"],
    "hourglass-start": [384, 512, ["hourglass-1"], "f251", "M198.4 228.8C196.9 230.8 194.5 232 192 232C189.5 232 187.1 230.8 185.6 228.8L102.4 117.9C93.05 105.4 88 90.25 88 74.67V56C88 51.58 91.58 48 96 48H288C292.4 48 296 51.58 296 56V74.67C296 90.25 290.9 105.4 281.6 117.9L198.4 228.8zM115.2 108.3L192 210.7L268.8 108.3C276.1 98.57 280 86.78 280 74.67V64H104V74.67C104 86.78 107.9 98.57 115.2 108.3zM0 8C0 3.582 3.582 0 8 0H376C380.4 0 384 3.582 384 8C384 12.42 380.4 16 376 16H352V76.67C352 106.5 342.2 135.6 324 159.3L250.1 256L324 352.7C342.2 376.4 352 405.5 352 435.3V496H376C380.4 496 384 499.6 384 504C384 508.4 380.4 512 376 512H8C3.582 512 0 508.4 0 504C0 499.6 3.582 496 8 496H32V435.3C32 405.5 41.83 376.4 59.97 352.7L133.9 256L59.97 159.3C41.83 135.6 32 106.5 32 76.67V16H8C3.582 16 0 12.42 0 8V8zM48 76.67C48 103 56.67 128.6 72.68 149.6L150.4 251.1C152.5 254 152.5 257.1 150.4 260.9L72.68 362.4C56.67 383.4 48 408.1 48 435.3V496H336V435.3C336 408.1 327.3 383.4 311.3 362.4L233.6 260.9C231.5 257.1 231.5 254 233.6 251.1L311.3 149.6C327.3 128.6 336 103 336 76.67V16H48V76.67z"],
    "house": [576, 512, [63498, 63500, 127968, "home", "home-alt", "home-lg-alt"], "f015", "M573.3 250C576.6 252.9 576.9 257.1 573.1 261.3C571.1 264.6 566 264.9 562.7 261.1L512 217.1V448C512 483.3 483.3 512 448 512H128C92.65 512 64 483.3 64 448V217.1L13.3 261.1C9.997 264.9 4.941 264.6 2.012 261.3C-.9182 257.1-.6116 252.9 2.696 250L282.7 2.011C285.7-.6704 290.3-.6704 293.3 2.011L573.3 250zM128 496H208V328C208 314.7 218.7 304 232 304H344C357.3 304 368 314.7 368 328V496H448C474.5 496 496 474.5 496 448V202.9L288 18.69L80 202.9V448C80 474.5 101.5 496 128 496V496zM224 496H352V328C352 323.6 348.4 320 344 320H232C227.6 320 224 323.6 224 328V496z"],
    "house-blank": [576, 512, ["home-blank"], "e487", "M282.7 2.011C285.7-.6704 290.3-.6704 293.3 2.011L573.3 250C576.6 252.9 576.9 257.1 573.1 261.3C571.1 264.6 566 264.9 562.7 261.1L512 217.1V448C512 483.3 483.3 512 448 512H128C92.65 512 64 483.3 64 448V217.1L13.3 261.1C9.997 264.9 4.941 264.6 2.012 261.3C-.9182 257.1-.6116 252.9 2.696 250L282.7 2.011zM80 202.9V448C80 474.5 101.5 496 128 496H448C474.5 496 496 474.5 496 448V202.9L288 18.69L80 202.9z"],
    "house-building": [640, 512, [], "e1b1", "M336 64V168.6L320 153.9V64C320 28.65 348.7 0 384 0H576C611.3 0 640 28.65 640 64V448C640 483.3 611.3 512 576 512H400C403.7 507.1 406.8 501.7 409.3 496H576C602.5 496 624 474.5 624 448V64C624 37.49 602.5 16 576 16H384C357.5 16 336 37.49 336 64H336zM416 277.1C416 275.4 415.9 273.7 415.8 272H440C444.4 272 448 268.4 448 264V232C448 227.6 444.4 224 440 224H408C404.4 224 401.4 226.4 400.4 229.6C397.3 225.5 393.9 221.7 390.1 218.1L389.1 217.2C393.5 211.6 400.3 208 408 208H440C453.3 208 464 218.7 464 232V264C464 277.3 453.3 288 440 288H416V277.1zM416 384H440C444.4 384 448 380.4 448 376V344C448 339.6 444.4 336 440 336H416V320H440C453.3 320 464 330.7 464 344V376C464 389.3 453.3 400 440 400H416V384zM552 208C565.3 208 576 218.7 576 232V264C576 277.3 565.3 288 552 288H520C506.7 288 496 277.3 496 264V232C496 218.7 506.7 208 520 208H552zM512 264C512 268.4 515.6 272 520 272H552C556.4 272 560 268.4 560 264V232C560 227.6 556.4 224 552 224H520C515.6 224 512 227.6 512 232V264zM496 344C496 330.7 506.7 320 520 320H552C565.3 320 576 330.7 576 344V376C576 389.3 565.3 400 552 400H520C506.7 400 496 389.3 496 376V344zM520 336C515.6 336 512 339.6 512 344V376C512 380.4 515.6 384 520 384H552C556.4 384 560 380.4 560 376V344C560 339.6 556.4 336 552 336H520zM440 96C453.3 96 464 106.7 464 120V152C464 165.3 453.3 176 440 176H408C394.7 176 384 165.3 384 152V120C384 106.7 394.7 96 408 96H440zM400 152C400 156.4 403.6 160 408 160H440C444.4 160 448 156.4 448 152V120C448 115.6 444.4 112 440 112H408C403.6 112 400 115.6 400 120V152zM496 120C496 106.7 506.7 96 520 96H552C565.3 96 576 106.7 576 120V152C576 165.3 565.3 176 552 176H520C506.7 176 496 165.3 496 152V120zM520 112C515.6 112 512 115.6 512 120V152C512 156.4 515.6 160 520 160H552C556.4 160 560 156.4 560 152V120C560 115.6 556.4 112 552 112H520zM224 263.1C237.3 263.1 248 274.7 248 287.1V352C248 365.3 237.3 376 224 376H160C146.7 376 136 365.3 136 352V287.1C136 274.7 146.7 263.1 160 263.1H224zM224 279.1H160C155.6 279.1 152 283.6 152 287.1V352C152 356.4 155.6 360 160 360H224C228.4 360 232 356.4 232 352V287.1C232 283.6 228.4 279.1 224 279.1zM0 456V280.6C0 264.9 6.588 249.1 18.16 239.4L154.2 114.7C175.6 95.06 208.4 95.06 229.8 114.7L365.8 239.4C377.4 249.1 384 264.9 384 280.6V456C384 486.9 358.9 512 328 512H56C25.07 512 0 486.9 0 456zM16 280.6V456C16 478.1 33.91 496 56 496H328C350.1 496 368 478.1 368 456V280.6C368 269.4 363.3 258.7 355 251.1L219 126.5C203.7 112.5 180.3 112.5 164.1 126.5L28.97 251.1C20.71 258.7 16 269.4 16 280.6H16z"],
    "house-chimney": [576, 512, [63499, "home-lg"], "e3af", "M282.7 2.011C285.7-.6704 290.3-.6704 293.3 2.011L384 82.34V56C384 42.75 394.7 32 408 32H488C501.3 32 512 42.75 512 56V195.7L573.3 250C576.6 252.9 576.9 257.1 573.1 261.3C571.1 264.6 566 264.9 562.7 261.1L512 217.1V448C512 483.3 483.3 512 448 512H128C92.65 512 64 483.3 64 448V217.1L13.3 261.1C9.997 264.9 4.941 264.6 2.012 261.3C-.9182 257.1-.6116 252.9 2.696 250L282.7 2.011zM496 181.5V56C496 51.58 492.4 48 488 48H408C403.6 48 400 51.58 400 56V96.51L496 181.5zM288 18.69L80 202.9V448C80 474.5 101.5 496 128 496H208V328C208 314.7 218.7 303.1 232 303.1H344C357.3 303.1 368 314.7 368 328V496H448C474.5 496 496 474.5 496 448V202.9L384.3 103.1H384V103.7L288 18.69zM352 328C352 323.6 348.4 320 344 320H232C227.6 320 224 323.6 224 328V496H352V328z"],
    "house-chimney-blank": [576, 512, [], "e3b0", "M384 82.34V56C384 42.75 394.7 32 408 32H488C501.3 32 512 42.75 512 56V195.7L573.3 250C576.6 252.9 576.9 257.1 573.1 261.3C571.1 264.6 566 264.9 562.7 261.1L512 217.1V448C512 483.3 483.3 512 448 512H128C92.65 512 64 483.3 64 448V217.1L13.3 261.1C9.997 264.9 4.941 264.6 2.012 261.3C-.9182 257.1-.6116 252.9 2.696 250L282.7 2.011C285.7-.6704 290.3-.6704 293.3 2.011L384 82.34zM288 18.69L80 202.9V448C80 474.5 101.5 496 128 496H448C474.5 496 496 474.5 496 448V202.9L384.3 103.1H384V103.7L288 18.69zM496 181.5V56C496 51.58 492.4 48 488 48H408C403.6 48 400 51.58 400 56V96.51L496 181.5z"],
    "house-chimney-crack": [576, 512, ["house-damage"], "f6f1", "M282.7 2.011C285.7-.6704 290.3-.6704 293.3 2.011L384 82.34V56C384 42.75 394.7 32 408 32H488C501.3 32 512 42.75 512 56V195.7L573.3 250C576.6 252.9 576.9 257.1 573.1 261.3C571.1 264.6 566 264.9 562.7 261.1L512 217.1V448C512 483.3 483.3 512 448 512H128C92.65 512 64 483.3 64 448V217.1L13.3 261.1C9.997 264.9 4.941 264.6 2.012 261.3C-.9182 257.1-.6116 252.9 2.696 250L282.7 2.011zM496 181.5V56C496 51.58 492.4 48 488 48H408C403.6 48 400 51.58 400 56V96.51L496 181.5zM288 18.69L80 202.9V448C80 474.5 101.5 496 128 496H281.1L225.3 412.4C224.1 410.6 223.7 408.3 224.2 406.2C224.7 404 226.1 402.2 228 401.1L330.2 342.7L226.8 254.1C223.4 251.2 223.1 246.1 225.9 242.8C228.8 239.4 233.9 239.1 237.2 241.9L349.2 337.9C351.2 339.6 352.2 342.2 351.1 344.8C351.7 347.3 350.2 349.7 347.1 350.9L243.4 410.7L300.3 496H448C474.5 496 496 474.5 496 448V202.9L384.3 104H384V103.7L288 18.69z"],
    "house-chimney-heart": [576, 512, [], "e1b2", "M194.7 245.7C216.6 223.1 252.8 223.1 274.7 245.7L288 259.4L301.3 245.7C323.2 223.1 359.4 223.1 381.3 245.7C402.4 267.3 402.4 301.8 381.3 323.5L305.2 401.8C295.8 411.5 280.2 411.5 270.8 401.8L194.7 323.5C173.6 301.8 173.6 267.3 194.7 245.7H194.7zM263.2 256.8C247.6 240.8 221.8 240.8 206.1 256.8C191.1 272.3 191.1 296.9 206.1 312.3L282.3 390.6C285.4 393.9 290.6 393.9 293.7 390.6L369.9 312.3C384.9 296.9 384.9 272.3 369.9 256.8C354.2 240.8 328.4 240.8 312.8 256.8L288 282.3L263.2 256.8zM282.7 2.011C285.7-.6704 290.3-.6704 293.3 2.011L384 82.34V56C384 42.75 394.7 32 408 32H488C501.3 32 512 42.75 512 56V195.7L573.3 250C576.6 252.9 576.9 257.1 573.1 261.3C571.1 264.6 566 264.9 562.7 261.1L512 217.1V448C512 483.3 483.3 512 448 512H128C92.65 512 64 483.3 64 448V217.1L13.3 261.1C9.997 264.9 4.941 264.6 2.012 261.3C-.9182 257.1-.6116 252.9 2.696 250L282.7 2.011zM496 181.5V56C496 51.58 492.4 48 488 48H408C403.6 48 400 51.58 400 56V96.51L496 181.5zM288 18.69L80 202.9V448C80 474.5 101.5 496 128 496H448C474.5 496 496 474.5 496 448V202.9L384.3 103.1H384V103.7L288 18.69z"],
    "house-chimney-medical": [576, 512, ["clinic-medical"], "f7f2", "M240 192C240 178.7 250.7 168 264 168H312C325.3 168 336 178.7 336 192V240H384C397.3 240 408 250.7 408 264V312C408 325.3 397.3 336 384 336H336V384C336 397.3 325.3 408 312 408H264C250.7 408 240 397.3 240 384V336H192C178.7 336 168 325.3 168 312V264C168 250.7 178.7 240 192 240H240V192zM264 184C259.6 184 256 187.6 256 192V256H192C187.6 256 184 259.6 184 264V312C184 316.4 187.6 320 192 320H256V384C256 388.4 259.6 392 264 392H312C316.4 392 320 388.4 320 384V320H384C388.4 320 392 316.4 392 312V264C392 259.6 388.4 256 384 256H320V192C320 187.6 316.4 184 312 184H264zM282.7 2.011C285.7-.6704 290.3-.6704 293.3 2.011L384 82.34V56C384 42.75 394.7 32 408 32H488C501.3 32 512 42.75 512 56V195.7L573.3 250C576.6 252.9 576.9 257.1 573.1 261.3C571.1 264.6 566 264.9 562.7 261.1L512 217.1V448C512 483.3 483.3 512 448 512H128C92.65 512 64 483.3 64 448V217.1L13.3 261.1C9.997 264.9 4.941 264.6 2.012 261.3C-.9182 257.1-.6116 252.9 2.696 250L282.7 2.011zM496 181.5V56C496 51.58 492.4 48 488 48H408C403.6 48 400 51.58 400 56V96.51L496 181.5zM288 18.69L80 202.9V448C80 474.5 101.5 496 128 496H448C474.5 496 496 474.5 496 448V202.9L384.3 103.1H384V103.7L288 18.69z"],
    "house-chimney-user": [576, 512, [], "e065", "M352 224C352 259.3 323.3 288 288 288C252.7 288 224 259.3 224 224C224 188.7 252.7 160 288 160C323.3 160 352 188.7 352 224zM288 176C261.5 176 240 197.5 240 224C240 250.5 261.5 272 288 272C314.5 272 336 250.5 336 224C336 197.5 314.5 176 288 176zM320 320C364.2 320 400 355.8 400 400C400 408.8 392.8 416 384 416H192C183.2 416 176 408.8 176 400C176 355.8 211.8 320 256 320H320zM256 336C220.7 336 192 364.7 192 400H384C384 364.7 355.3 336 320 336H256zM384 82.34V56C384 42.75 394.7 32 408 32H488C501.3 32 512 42.75 512 56V195.7L573.3 250C576.6 252.9 576.9 257.1 573.1 261.3C571.1 264.6 566 264.9 562.7 261.1L512 217.1V448C512 483.3 483.3 512 448 512H128C92.65 512 64 483.3 64 448V217.1L13.3 261.1C9.997 264.9 4.941 264.6 2.012 261.3C-.9182 257.1-.6116 252.9 2.696 250L282.7 2.011C285.7-.6704 290.3-.6704 293.3 2.011L384 82.34zM288 18.69L80 202.9V448C80 474.5 101.5 496 128 496H448C474.5 496 496 474.5 496 448V202.9L384.3 103.1H384V103.7L288 18.69zM496 181.5V56C496 51.58 492.4 48 488 48H408C403.6 48 400 51.58 400 56V96.51L496 181.5z"],
    "house-chimney-window": [576, 512, [], "e00d", "M336 184C349.3 184 360 194.7 360 208V304C360 317.3 349.3 328 336 328H240C226.7 328 216 317.3 216 304V208C216 194.7 226.7 184 240 184H336zM232 304C232 308.4 235.6 312 240 312H336C340.4 312 344 308.4 344 304V208C344 203.6 340.4 200 336 200H240C235.6 200 232 203.6 232 208V304zM282.7 2.011C285.7-.6704 290.3-.6704 293.3 2.011L384 82.34V56C384 42.75 394.7 32 408 32H488C501.3 32 512 42.75 512 56V195.7L573.3 250C576.6 252.9 576.9 257.1 573.1 261.3C571.1 264.6 566 264.9 562.7 261.1L512 217.1V448C512 483.3 483.3 512 448 512H128C92.65 512 64 483.3 64 448V217.1L13.3 261.1C9.997 264.9 4.941 264.6 2.012 261.3C-.9182 257.1-.6116 252.9 2.696 250L282.7 2.011zM384 104V103.7L288 18.69L80 202.9V448C80 474.5 101.5 496 128 496H448C474.5 496 496 474.5 496 448V202.9L384.3 103.1L384 104zM400 56V96.51L496 181.5V56C496 51.58 492.4 48 488 48H408C403.6 48 400 51.58 400 56V56z"],
    "house-circle-check": [640, 512, [], "e509", "M282.7 2.011C285.7-.6704 290.3-.6704 293.3 2.011L508.3 192.4C504.2 192.1 500.1 192 496 192C492 192 488 192.1 484.1 192.4L288 18.69L80 202.9V448C80 474.5 101.5 496 128 496H208V328C208 314.7 218.7 303.1 232 303.1H331.1C329.1 309.2 328.2 314.6 326.6 319.1H232C227.6 319.1 224 323.6 224 328V496H375.2C381.3 501.8 387.9 507.1 394.8 512H128C92.65 512 64 483.3 64 448V217.1L13.3 261.1C9.997 264.9 4.941 264.6 2.011 261.3C-.9182 257.1-.6116 252.9 2.696 250L282.7 2.011zM554.3 322.3C557.5 319.2 562.5 319.2 565.7 322.3C568.8 325.5 568.8 330.5 565.7 333.7L485.7 413.7C482.5 416.8 477.5 416.8 474.3 413.7L426.3 365.7C423.2 362.5 423.2 357.5 426.3 354.3C429.5 351.2 434.5 351.2 437.7 354.3L480 396.7L554.3 322.3zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 496C566.7 496 624 438.7 624 368C624 297.3 566.7 240 496 240C425.3 240 368 297.3 368 368C368 438.7 425.3 496 496 496z"],
    "house-circle-exclamation": [640, 512, [], "e50a", "M282.7 2.011C285.7-.6704 290.3-.6704 293.3 2.011L508.3 192.4C504.2 192.1 500.1 192 496 192C492 192 488 192.1 484.1 192.4L288 18.69L80 202.9V448C80 474.5 101.5 496 128 496H208V328C208 314.7 218.7 303.1 232 303.1H331.1C329.1 309.2 328.2 314.6 326.6 319.1H232C227.6 319.1 224 323.6 224 328V496H375.2C381.3 501.8 387.9 507.1 394.8 512H128C92.65 512 64 483.3 64 448V217.1L13.3 261.1C9.997 264.9 4.941 264.6 2.011 261.3C-.9182 257.1-.6116 252.9 2.696 250L282.7 2.011zM480 432C480 423.2 487.2 416 496 416C504.8 416 512 423.2 512 432C512 440.8 504.8 448 496 448C487.2 448 480 440.8 480 432zM495.1 280C500.4 280 503.1 283.6 503.1 288V384C503.1 388.4 500.4 392 495.1 392C491.6 392 487.1 388.4 487.1 384V288C487.1 283.6 491.6 280 495.1 280zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 240C425.3 240 368 297.3 368 368C368 438.7 425.3 496 496 496C566.7 496 624 438.7 624 368C624 297.3 566.7 240 496 240z"],
    "house-circle-xmark": [640, 512, [], "e50b", "M282.7 2.011C285.7-.6704 290.3-.6704 293.3 2.011L508.3 192.4C504.2 192.1 500.1 192 496 192C492 192 488 192.1 484.1 192.4L288 18.69L80 202.9V448C80 474.5 101.5 496 128 496H208V328C208 314.7 218.7 303.1 232 303.1H331.1C329.1 309.2 328.2 314.6 326.6 319.1H232C227.6 319.1 224 323.6 224 328V496H375.2C381.3 501.8 387.9 507.1 394.8 512H128C92.65 512 64 483.3 64 448V217.1L13.3 261.1C9.997 264.9 4.941 264.6 2.011 261.3C-.9182 257.1-.6116 252.9 2.696 250L282.7 2.011zM507.3 368L557.7 418.3C560.8 421.5 560.8 426.5 557.7 429.7C554.5 432.8 549.5 432.8 546.3 429.7L496 379.3L445.7 429.7C442.5 432.8 437.5 432.8 434.3 429.7C431.2 426.5 431.2 421.5 434.3 418.3L484.7 368L434.3 317.7C431.2 314.5 431.2 309.5 434.3 306.3C437.5 303.2 442.5 303.2 445.7 306.3L496 356.7L546.3 306.3C549.5 303.2 554.5 303.2 557.7 306.3C560.8 309.5 560.8 314.5 557.7 317.7L507.3 368zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 240C425.3 240 368 297.3 368 368C368 438.7 425.3 496 496 496C566.7 496 624 438.7 624 368C624 297.3 566.7 240 496 240z"],
    "house-crack": [576, 512, [], "e3b1", "M573.3 250C576.6 252.9 576.9 257.1 573.1 261.3C571.1 264.6 566 264.9 562.7 261.1L512 217.1V448C512 483.3 483.3 512 448 512H128C92.65 512 64 483.3 64 448V217.1L13.3 261.1C9.997 264.9 4.941 264.6 2.012 261.3C-.9182 257.1-.6116 252.9 2.696 250L282.7 2.011C285.7-.6704 290.3-.6704 293.3 2.011L573.3 250zM128 496H281.1L225.3 412.4C224.1 410.6 223.7 408.3 224.2 406.2C224.7 404 226.1 402.2 228 401.1L330.2 342.7L226.8 254.1C223.4 251.2 223.1 246.1 225.9 242.8C228.8 239.4 233.9 239.1 237.2 241.9L349.2 337.9C351.2 339.6 352.2 342.2 351.1 344.8C351.7 347.3 350.2 349.7 347.1 350.9L243.4 410.7L300.3 496H448C474.5 496 496 474.5 496 448V202.9L288 18.69L80 202.9V448C80 474.5 101.5 496 128 496H128z"],
    "house-day": [640, 512, [], "e00e", "M161.2 8.415C164.3 2.808 169.8 .0041 175.3 .0039C180.9 .0037 186.4 2.808 189.4 8.415L220.5 66.2L283.4 47.36C295.6 43.7 306.1 55.07 303.3 67.28L282.6 136.4C281.4 140.6 276.9 143 272.7 141.8C268.4 140.5 266 136.1 267.3 131.8L288 62.69L218.9 83.4C215.3 84.49 211.4 82.87 209.6 79.53L175.3 16L141.1 79.53C139.3 82.87 135.4 84.49 131.8 83.4L62.67 62.69L83.37 131.8C84.46 135.5 82.85 139.4 79.51 141.2L15.1 175.4L79.51 209.6C82.85 211.4 84.46 215.3 83.37 218.1L62.67 288.1L131.8 267.4C136 266.1 140.5 268.5 141.7 272.8C142.1 276.1 140.6 281.4 136.4 282.7L67.26 303.4C55.06 307.1 43.68 295.7 47.34 283.5L66.18 220.6L8.403 189.5C2.798 186.5-.0046 180.9-.0046 175.4C-.0046 169.9 2.798 164.3 8.403 161.3L66.18 130.2L47.34 67.28C43.68 55.07 55.06 43.7 67.26 47.36L130.1 66.2L161.2 8.415zM118.4 174.1C118.4 143.4 143.4 118.5 174.1 118.5C204.8 118.5 229.7 143.4 229.7 174.1C229.7 204.9 204.8 229.8 174.1 229.8C143.4 229.8 118.4 204.9 118.4 174.1zM174.1 213.8C195.1 213.8 213.7 196.1 213.7 174.1C213.7 152.2 195.1 134.5 174.1 134.5C152.2 134.5 134.4 152.2 134.4 174.1C134.4 196.1 152.2 213.8 174.1 213.8zM336 295.1C336 282.7 346.7 271.1 360 271.1H440C453.3 271.1 464 282.7 464 295.1V376C464 389.3 453.3 400 440 400H360C346.7 400 336 389.3 336 376V295.1zM360 287.1C355.6 287.1 352 291.6 352 295.1V376C352 380.4 355.6 384 360 384H440C444.4 384 448 380.4 448 376V295.1C448 291.6 444.4 287.1 440 287.1H360zM637.2 297.9C639.1 299.5 640 301.8 640 304C640 305.9 639.4 307.7 638.1 309.2C635.2 312.6 630.1 312.9 626.8 310.1L576 266.3V456C576 486.9 550.9 512 520 512H280C249.1 512 224 486.9 224 456V266.3L173.2 310.1C169.9 312.9 164.8 312.6 161.9 309.2C160.5 307.6 159.9 305.5 160 303.4C160.2 301.4 161.1 299.4 162.8 297.9L394.8 97.94C397.8 95.35 402.2 95.35 405.2 97.94L637.2 297.9zM560 252.5L400 114.6L240 252.5V456C240 478.1 257.9 496 280 496H520C542.1 496 560 478.1 560 456V252.5z"],
    "house-fire": [640, 512, [], "e50c", "M436.2 128.6C430.3 129.5 424.5 131.6 419.2 134.9L288 18.69L80 202.9V448C80 474.5 101.5 496 128 496H208V328C208 314.7 218.7 304 232 304H295.1C294.2 309.3 292.8 314.7 291.6 320H232C227.6 320 224 323.6 224 328V496H352V494.5C358.1 500.9 366.4 506.7 374.3 512H128C92.65 512 64 483.3 64 448V217.1L13.3 261.1C9.997 264.9 4.941 264.6 2.011 261.3C-.9182 257.1-.6116 252.9 2.696 250L282.7 2.011C285.7-.6704 290.3-.6704 293.3 2.011L436.2 128.6zM441.7 256C444.1 256 446.4 257.1 447.9 259C450.1 261.8 467.3 283.6 483.8 304.7L510.3 338.5L543.7 299.6C545.3 297.8 547.6 296.7 550 296.8C552.5 296.9 554.7 298.1 556.2 300C559.9 305 562.4 309.1 564.6 314.3L564.6 314.4C586.1 353.9 576.8 404.8 540 430.5L539.9 430.6C522 442.5 502.9 448.5 481.4 448.5C454.8 448.5 430.5 439.1 412.7 423.7C394.8 407.3 384 383.6 384 354.5C384 339.4 388.8 325.6 397.5 310.6C406.1 295.8 418.9 279.3 435.4 258.1C436.1 257.1 439.3 255.1 441.7 256V256zM503.8 356.1L471.2 314.6C459.1 300.2 448.5 285.6 441.6 276.8C428.2 293.5 418.2 306.8 411.3 318.6C403.5 332.1 400 343.1 400 354.5C400 379.4 409.1 398.7 423.5 411.9C437.9 425.1 458.2 432.5 481.4 432.5C499.6 432.5 515.7 427.5 530.9 417.4C560.3 396.8 568.6 355.1 550.5 321.9L550.3 321.6C549.8 320.5 549.2 319.4 548.7 318.4L516.1 356.4C514.6 358.2 512.3 359.2 509.9 359.2C507.5 359.1 505.2 357.1 503.8 356.1H503.8zM498.4 209.1C502 213.2 505.6 217.3 509 221.5C512.3 217.4 515.8 213.1 519.4 208.9C524.4 202.1 529.9 197.1 535.5 191.1C541.1 186.9 549.9 186.9 555.5 192C580.2 214.7 601.1 244.7 615.8 273.2C630.4 301.2 640 329.9 640 350.1C640 437.9 568.7 512 480 512C390.3 512 320 437.8 320 350.1C320 323.7 332.7 291.5 352.4 259.5C372.4 227.2 400.5 193.4 433.8 163.7C439.4 158.7 447.1 158.8 453.5 163.8C469.3 177.1 484.3 193.1 498.4 209.1V209.1zM509.2 237.5C504.4 237.5 499.8 235.4 496.7 231.7C480.2 211.8 462.5 193.4 443.6 176.4C411.8 204.9 384.1 237.2 366 267.9C346.9 298.1 336 328.1 336 350.1C336 429.4 399.5 496 480 496C559.6 496 624 429.4 624 350.1C624 333.8 615.8 307.9 601.6 280.5C587.7 253.6 568.1 225.6 545.5 204.6C537.1 212.3 529.1 221.9 521.6 231.4C518.6 235.2 514 237.4 509.2 237.5H509.2zM510.1 351.2L503.8 356.1z"],
    "house-flag": [640, 512, [], "e50d", "M456 0C460.4 0 464 3.582 464 8V32H624C632.8 32 640 39.16 640 48V176C640 184.8 632.8 192 624 192H464V512H448V8C448 3.582 451.6 0 456 0V0zM464 176H624V48H464V176zM416 157.1L272 50L80 194V448C80 474.5 101.5 496 128 496H192V344C192 330.7 202.7 320 216 320H328C341.3 320 352 330.7 352 344V496H416V512H128C92.66 512 64 483.3 64 448V206L20.8 238.4C17.27 241.1 12.25 240.3 9.602 236.8C6.952 233.3 7.668 228.3 11.2 225.6L267.2 33.6C270 31.47 273.1 31.47 276.8 33.6L416 137.1V157.1zM328 336H216C211.6 336 208 339.6 208 344V496H336V344C336 339.6 332.4 336 328 336z"],
    "house-flood-water": [576, 512, [], "e50e", "M508.6 153.5C512.2 156 513.1 160.1 510.5 164.6C507.1 168.2 503 169.1 499.4 166.5L464 141.6V258.5C458.5 259.9 453.1 262.1 448 265V130.4L288 17.78L127.1 130.4V265C122.9 262.1 117.5 259.9 111.1 258.5V141.6L76.6 166.5C72.99 169.1 67.1 168.2 65.46 164.6C62.91 160.1 63.78 156 67.39 153.5L283.4 1.458C286.2-.4858 289.8-.4858 292.6 1.458L508.6 153.5zM384 384C406.5 384 428.6 369.8 445.8 354.1C455.1 344.9 465.5 334.6 473.5 323.4C474.1 321.3 477.4 319.1 480 320C482.6 320 485.1 321.3 486.6 323.4C493.9 333.7 502.5 343 511.6 351.7C527.3 366.5 547.7 380.9 569 383.6C573.4 384.1 576.5 388.1 575.9 392.5C575.4 396.9 571.4 399.1 567 399.4C540.5 396.1 516.1 378.7 500.6 363.3C491.8 354.1 484.7 346.9 480 341.1C474.8 347.5 466.8 356.7 456.6 365.9C438.7 382.2 412.7 400 384 400C355.3 400 329.4 382.2 311.4 365.9C301.3 356.7 293.2 347.5 288 341.1L288 341.1L287.1 341.1C282.8 347.5 274.7 356.7 264.6 365.9C246.6 382.2 220.7 400 191.1 400C163.3 400 137.4 382.2 119.4 365.9C109.2 356.7 101.2 347.5 95.98 341.1C91.29 346.9 84.23 354.1 75.4 363.3C59.03 378.7 35.48 396.1 9.001 399.4C4.618 399.1 .6163 396.9 .064 392.5C-.4884 388.1 2.617 384.1 7.001 383.6C28.3 380.9 48.74 366.5 64.42 351.7C73.56 343 82.16 333.7 89.43 323.4C90.93 321.3 93.37 320 95.98 320C98.59 319.1 101 321.3 102.5 323.4C110.5 334.6 120 344.9 130.2 354.1C147.4 369.8 169.5 384 191.1 384C214.5 384 236.6 369.8 253.8 354.1C263.1 344.9 273.4 334.6 281.4 323.4C284.4 319.1 291.6 319.1 294.6 323.4C302.6 334.6 312.1 344.9 322.2 354.1C339.5 369.8 361.5 384 384 384H384zM294.6 435.4C302.6 446.6 312.1 456.9 322.2 466.1C339.5 481.8 361.5 496 384 496C406.5 496 428.6 481.8 445.8 466.1C455.1 456.9 465.5 446.6 473.5 435.4C474.1 433.3 477.4 432 480 432C482.6 432 485.1 433.3 486.6 435.4C493.9 445.7 502.5 455 511.6 463.7C527.3 478.5 547.7 492.9 569 495.6C573.4 496.1 576.5 500.1 575.9 504.5C575.4 508.9 571.4 511.1 567 511.4C540.5 508.1 516.1 490.7 500.6 475.3C491.8 466.1 484.7 458.9 480 453.1C474.8 459.5 466.8 468.7 456.6 477.9C438.7 494.2 412.7 512 384 512C355.3 512 329.4 494.2 311.4 477.9C301.3 468.7 293.2 459.5 288 453.1L288 453.1L287.1 453.1C282.8 459.5 274.7 468.7 264.6 477.9C246.6 494.2 220.7 512 191.1 512C163.3 512 137.4 494.2 119.4 477.9C109.2 468.7 101.2 459.5 95.98 453.1C91.29 458.9 84.23 466.1 75.4 475.3C59.03 490.7 35.48 508.1 9.001 511.4C4.617 511.1 .616 508.9 .0637 504.5C-.4887 500.1 2.617 496.1 7.001 495.6C28.3 492.9 48.74 478.5 64.42 463.7C73.56 455 82.16 445.7 89.43 435.4C90.93 433.3 93.37 432 95.98 432C98.59 432 101 433.3 102.5 435.4C110.5 446.6 120 456.9 130.2 466.1C147.4 481.8 169.5 496 191.1 496C214.5 496 236.6 481.8 253.8 466.1C263.9 456.9 273.4 446.6 281.4 435.4C284.4 431.1 291.6 431.1 294.6 435.4H294.6z"],
    "house-flood-water-circle-arrow-right": [640, 512, [], "e50f", "M305.2 73.24C303 68.28 300.6 63.44 298 58.74L379.4 1.458C382.2-.4858 385.8-.4858 388.6 1.458L604.6 153.5C608.2 156 609.1 160.1 606.5 164.6C604 168.2 599 169.1 595.4 166.5L560 141.6V276.6C557.6 274.1 555.4 273.3 553.2 271.5C550.3 269 547.2 266.9 544 265V130.4L384 17.78L305.2 73.24zM326.6 323.4C334.6 334.6 344.1 344.9 354.2 354.1C371.5 369.8 393.5 384 416 384C438.5 384 460.6 369.8 477.8 354.1C487.1 344.9 497.5 334.6 505.5 323.4C506.1 321.3 509.4 320 512 320C514.6 320 517.1 321.3 518.6 323.4C525.9 333.7 534.5 343 543.6 351.7C559.3 366.5 579.7 380.9 601 383.6C605.4 384.1 608.5 388.1 607.9 392.5C607.4 396.9 603.4 399.1 599 399.4C572.5 396.1 548.1 378.7 532.6 363.3C523.8 354.1 516.7 346.9 512 341.1C506.8 347.5 498.8 356.7 488.6 365.9C470.7 382.2 444.7 400 416 400C387.3 400 361.4 382.2 343.4 365.9C333.3 356.7 325.2 347.5 320 341.1L320 341.1L319.1 341.1C314.8 347.5 306.7 356.7 296.6 365.9C278.6 382.2 252.7 400 223.1 400C195.3 400 169.4 382.2 151.4 365.9C141.2 356.7 133.2 347.5 127.1 341.1C123.3 346.9 116.2 354.1 107.4 363.3C91.03 378.7 67.48 396.1 41 399.4C36.62 399.1 32.62 396.9 32.06 392.5C31.51 388.1 34.62 384.1 39 383.6C60.3 380.9 80.74 366.5 96.42 351.7C105.6 343 114.2 333.7 121.4 323.4C122.9 321.3 125.4 320 127.1 320C130.6 320 133 321.3 134.5 323.4C142.5 334.6 152 344.9 162.2 354.1C179.4 369.8 201.5 384 223.1 384C246.5 384 268.6 369.8 285.8 354.1C295.9 344.9 305.4 334.6 313.4 323.4C316.4 319.1 323.6 319.1 326.6 323.4H326.6zM416 496C438.5 496 460.6 481.8 477.8 466.1C487.1 456.9 497.5 446.6 505.5 435.4C506.1 433.3 509.4 432 512 432C514.6 432 517.1 433.3 518.6 435.4C525.9 445.7 534.5 455 543.6 463.7C559.3 478.5 579.7 492.9 601 495.6C605.4 496.1 608.5 500.1 607.9 504.5C607.4 508.9 603.4 511.1 599 511.4C572.5 508.1 548.1 490.7 532.6 475.3C523.8 466.1 516.7 458.9 512 453.1C506.8 459.5 498.8 468.7 488.6 477.9C470.7 494.2 444.7 512 416 512C387.3 512 361.4 494.2 343.4 477.9C333.3 468.7 325.2 459.5 320 453.1L320 453.1L319.1 453.1C314.8 459.5 306.7 468.7 296.6 477.9C278.6 494.2 252.7 512 223.1 512C195.3 512 169.4 494.2 151.4 477.9C141.2 468.7 133.2 459.5 127.1 453.1C123.3 458.9 116.2 466.1 107.4 475.3C91.03 490.7 67.48 508.1 41 511.4C36.62 511.1 32.62 508.9 32.06 504.5C31.51 500.1 34.62 496.1 39 495.6C60.3 492.9 80.74 478.5 96.42 463.7C105.6 455 114.2 445.7 121.4 435.4C122.9 433.3 125.4 432 127.1 432C130.6 432 133 433.3 134.5 435.4C142.5 446.6 152 456.9 162.2 466.1C179.4 481.8 201.5 496 223.1 496C246.5 496 268.6 481.8 285.8 466.1C295.9 456.9 305.4 446.6 313.4 435.4C316.4 431.1 323.6 431.1 326.6 435.4C334.6 446.6 344.1 456.9 354.2 466.1C371.5 481.8 393.5 496 416 496H416zM146.3 74.34C149.5 71.22 154.5 71.22 157.7 74.34L221.7 138.3C224.8 141.5 224.8 146.5 221.7 149.7L157.7 213.7C154.5 216.8 149.5 216.8 146.3 213.7C143.2 210.5 143.2 205.5 146.3 202.3L196.7 152H71.1C67.58 152 63.1 148.4 63.1 144C63.1 139.6 67.58 136 71.1 136H196.7L146.3 85.66C143.2 82.53 143.2 77.47 146.3 74.34V74.34zM0 144C0 64.47 64.47 .0002 144 .0002C223.5 .0002 288 64.47 288 144C288 223.5 223.5 288 144 288C64.47 288 0 223.5 0 144zM144 272C214.7 272 272 214.7 272 144C272 73.31 214.7 16 144 16C73.31 16 16 73.31 16 144C16 214.7 73.31 272 144 272z"],
    "house-heart": [576, 512, ["home-heart"], "f4c9", "M288 259.4L301.3 245.7C323.2 223.1 359.4 223.1 381.3 245.7C402.4 267.3 402.4 301.8 381.3 323.5L305.2 401.8C295.8 411.5 280.2 411.5 270.8 401.8L194.7 323.5C173.6 301.8 173.6 267.3 194.7 245.7C216.6 223.1 252.8 223.1 274.7 245.7L288 259.4zM206.1 312.3L282.3 390.6C285.4 393.9 290.6 393.9 293.7 390.6L369.9 312.3C384.9 296.9 384.9 272.3 369.9 256.8C354.2 240.8 328.4 240.8 312.8 256.8L288 282.3L263.2 256.8C247.6 240.8 221.8 240.8 206.1 256.8C191.1 272.3 191.1 296.9 206.1 312.3zM573.3 250C576.6 252.9 576.9 257.1 573.1 261.3C571.1 264.6 566 264.9 562.7 261.1L512 217.1V448C512 483.3 483.3 512 448 512H128C92.65 512 64 483.3 64 448V217.1L13.3 261.1C9.997 264.9 4.941 264.6 2.012 261.3C-.9182 257.1-.6116 252.9 2.696 250L282.7 2.011C285.7-.6704 290.3-.6704 293.3 2.011L573.3 250zM128 496H448C474.5 496 496 474.5 496 448V202.9L288 18.69L80 202.9V448C80 474.5 101.5 496 128 496V496z"],
    "house-laptop": [640, 512, ["laptop-house"], "e066", "M234.8 1.941C237.8-.6469 242.2-.6469 245.2 1.941L477.2 201.9C480.6 204.8 480.9 209.9 478.1 213.2C475.2 216.6 470.1 216.9 466.8 214.1L416 170.3V224H400V156.5L240 18.56L80 156.5V360C80 382.1 97.91 400 120 400H272V416H120C89.07 416 64 390.9 64 360V170.3L13.22 214.1C9.877 216.9 4.826 216.6 1.941 213.2C-.944 209.9-.5699 204.8 2.777 201.9L234.8 1.941zM304 200V226.7C298 228.8 292.6 232.1 288 236.2V200C288 195.6 284.4 192 280 192H200C195.6 192 192 195.6 192 200V280C192 284.4 195.6 288 200 288H272V304H200C186.7 304 176 293.3 176 280V200C176 186.7 186.7 176 200 176H280C293.3 176 304 186.7 304 200zM336 256H560C577.7 256 592 270.3 592 288V448H624C632.8 448 640 455.2 640 464C640 490.5 618.5 512 592 512H304C277.5 512 256 490.5 256 464C256 455.2 263.2 448 272 448H304V288C304 270.3 318.3 256 336 256zM560 272H336C327.2 272 320 279.2 320 288V448H576V288C576 279.2 568.8 272 560 272zM272 464C272 481.7 286.3 496 304 496H592C609.7 496 624 481.7 624 464H272z"],
    "house-lock": [640, 512, [], "e510", "M482.5 169.6C477.3 171.9 472.3 174.6 467.5 177.7L288 18.69L80 202.9V448C80 474.5 101.5 496 128 496H208V328C208 314.7 218.7 304 232 304H344C357.3 304 368 314.7 368 328V496H386C387.5 501.7 389.7 507 392.6 512H128C92.65 512 64 483.3 64 448V217.1L13.3 261.1C9.997 264.9 4.941 264.6 2.011 261.3C-.9182 257.1-.6116 252.9 2.696 250L282.7 2.011C285.7-.6704 290.3-.6704 293.3 2.011L482.5 169.6zM223.1 496H352V328C352 323.6 348.4 320 344 320H231.1C227.6 320 223.1 323.6 223.1 328V496zM528 192C563.3 192 592 220.7 592 256V320H608C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320H464V256C464 220.7 492.7 192 528 192zM528 208C501.5 208 480 229.5 480 256V320H576V256C576 229.5 554.5 208 528 208zM432 352V480C432 488.8 439.2 496 448 496H608C616.8 496 624 488.8 624 480V352C624 343.2 616.8 336 608 336H448C439.2 336 432 343.2 432 352z"],
    "house-medical": [576, 512, [], "e3b2", "M312 168C325.3 168 336 178.7 336 192V240H384C397.3 240 408 250.7 408 264V312C408 325.3 397.3 336 384 336H336V384C336 397.3 325.3 408 312 408H264C250.7 408 240 397.3 240 384V336H192C178.7 336 168 325.3 168 312V264C168 250.7 178.7 240 192 240H240V192C240 178.7 250.7 168 264 168H312zM256 256H192C187.6 256 184 259.6 184 264V312C184 316.4 187.6 320 192 320H256V384C256 388.4 259.6 392 264 392H312C316.4 392 320 388.4 320 384V320H384C388.4 320 392 316.4 392 312V264C392 259.6 388.4 256 384 256H320V192C320 187.6 316.4 184 312 184H264C259.6 184 256 187.6 256 192V256zM573.3 250C576.6 252.9 576.9 257.1 573.1 261.3C571.1 264.6 566 264.9 562.7 261.1L512 217.1V448C512 483.3 483.3 512 448 512H128C92.65 512 64 483.3 64 448V217.1L13.3 261.1C9.997 264.9 4.941 264.6 2.012 261.3C-.9182 257.1-.6116 252.9 2.696 250L282.7 2.011C285.7-.6704 290.3-.6704 293.3 2.011L573.3 250zM128 496H448C474.5 496 496 474.5 496 448V202.9L288 18.69L80 202.9V448C80 474.5 101.5 496 128 496V496z"],
    "house-medical-circle-check": [640, 512, [], "e511", "M282.7 2.011C285.7-.6704 290.3-.6704 293.3 2.011L508.3 192.4C504.2 192.1 500.1 192 496 192C492 192 488 192.1 484.1 192.4L288 18.69L80 202.9V448C80 474.5 101.5 496 128 496H375.2C381.3 501.8 387.9 507.1 394.8 512H128C92.65 512 64 483.3 64 448V217.1L13.3 261.1C9.997 264.9 4.941 264.6 2.011 261.3C-.9182 257.1-.6116 252.9 2.696 250L282.7 2.011zM360.2 256H320V192C320 187.6 316.4 184 312 184H264C259.6 184 256 187.6 256 192V256H192C187.6 256 184 259.6 184 264V312C184 316.4 187.6 320 192 320H256V384C256 388.4 259.6 392 264 392H321.6C322.2 396.3 322.1 400.6 323.9 404.9C320.4 406.9 316.3 408 312 408H264C250.7 408 240 397.3 240 384V336H192C178.7 336 168 325.3 168 312V264C168 250.7 178.7 240 192 240H240V192C240 178.7 250.7 168 264 168H312C325.3 168 336 178.7 336 192V240H375.2C369.9 245 364.9 250.4 360.2 256V256zM554.3 322.3C557.5 319.2 562.5 319.2 565.7 322.3C568.8 325.5 568.8 330.5 565.7 333.7L485.7 413.7C482.5 416.8 477.5 416.8 474.3 413.7L426.3 365.7C423.2 362.5 423.2 357.5 426.3 354.3C429.5 351.2 434.5 351.2 437.7 354.3L480 396.7L554.3 322.3zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 496C566.7 496 624 438.7 624 368C624 297.3 566.7 240 496 240C425.3 240 368 297.3 368 368C368 438.7 425.3 496 496 496z"],
    "house-medical-circle-exclamation": [640, 512, [], "e512", "M282.7 2.011C285.7-.6704 290.3-.6704 293.3 2.011L508.3 192.4C504.2 192.1 500.1 192 496 192C492 192 488 192.1 484.1 192.4L288 18.69L80 202.9V448C80 474.5 101.5 496 128 496H375.2C381.3 501.8 387.9 507.1 394.8 512H128C92.65 512 64 483.3 64 448V217.1L13.3 261.1C9.997 264.9 4.941 264.6 2.011 261.3C-.9182 257.1-.6116 252.9 2.696 250L282.7 2.011zM360.2 256H320V192C320 187.6 316.4 184 312 184H264C259.6 184 256 187.6 256 192V256H192C187.6 256 184 259.6 184 264V312C184 316.4 187.6 320 192 320H256V384C256 388.4 259.6 392 264 392H321.6C322.2 396.3 322.1 400.6 323.9 404.9C320.4 406.9 316.3 408 312 408H264C250.7 408 240 397.3 240 384V336H192C178.7 336 168 325.3 168 312V264C168 250.7 178.7 240 192 240H240V192C240 178.7 250.7 168 264 168H312C325.3 168 336 178.7 336 192V240H375.2C369.9 245 364.9 250.4 360.2 256V256zM480 432C480 423.2 487.2 416 496 416C504.8 416 512 423.2 512 432C512 440.8 504.8 448 496 448C487.2 448 480 440.8 480 432zM495.1 280C500.4 280 503.1 283.6 503.1 288V384C503.1 388.4 500.4 392 495.1 392C491.6 392 487.1 388.4 487.1 384V288C487.1 283.6 491.6 280 495.1 280zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 240C425.3 240 368 297.3 368 368C368 438.7 425.3 496 496 496C566.7 496 624 438.7 624 368C624 297.3 566.7 240 496 240z"],
    "house-medical-circle-xmark": [640, 512, [], "e513", "M282.7 2.011C285.7-.6704 290.3-.6704 293.3 2.011L508.3 192.4C504.2 192.1 500.1 192 496 192C492 192 488 192.1 484.1 192.4L288 18.69L80 202.9V448C80 474.5 101.5 496 128 496H375.2C381.3 501.8 387.9 507.1 394.8 512H128C92.65 512 64 483.3 64 448V217.1L13.3 261.1C9.997 264.9 4.941 264.6 2.011 261.3C-.9182 257.1-.6116 252.9 2.696 250L282.7 2.011zM360.2 256H320V192C320 187.6 316.4 184 312 184H264C259.6 184 256 187.6 256 192V256H192C187.6 256 184 259.6 184 264V312C184 316.4 187.6 320 192 320H256V384C256 388.4 259.6 392 264 392H321.6C322.2 396.3 322.1 400.6 323.9 404.9C320.4 406.9 316.3 408 312 408H264C250.7 408 240 397.3 240 384V336H192C178.7 336 168 325.3 168 312V264C168 250.7 178.7 240 192 240H240V192C240 178.7 250.7 168 264 168H312C325.3 168 336 178.7 336 192V240H375.2C369.9 245 364.9 250.4 360.2 256V256zM557.7 418.3C560.8 421.5 560.8 426.5 557.7 429.7C554.5 432.8 549.5 432.8 546.3 429.7L496 379.3L445.7 429.7C442.5 432.8 437.5 432.8 434.3 429.7C431.2 426.5 431.2 421.5 434.3 418.3L484.7 368L434.3 317.7C431.2 314.5 431.2 309.5 434.3 306.3C437.5 303.2 442.5 303.2 445.7 306.3L496 356.7L546.3 306.3C549.5 303.2 554.5 303.2 557.7 306.3C560.8 309.5 560.8 314.5 557.7 317.7L507.3 368L557.7 418.3zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 240C425.3 240 368 297.3 368 368C368 438.7 425.3 496 496 496C566.7 496 624 438.7 624 368C624 297.3 566.7 240 496 240z"],
    "house-medical-flag": [640, 512, [], "e514", "M464 32H624C632.8 32 640 39.16 640 48V176C640 184.8 632.8 192 624 192H464V512H448V8C448 3.582 451.6 0 456 0C460.4 0 464 3.582 464 8V32zM624 48H464V176H624V48zM276.8 33.6L416 137.1V157.1L272 50L80 194V448C80 474.5 101.5 496 128 496H416V512H128C92.65 512 64 483.3 64 448V206L20.8 238.4C17.27 241.1 12.25 240.3 9.6 236.8C6.95 233.3 7.666 228.3 11.2 225.6L267.2 33.6C270 31.47 273.1 31.47 276.8 33.6V33.6zM288 184C301.3 184 312 194.7 312 208V248H352C365.3 248 376 258.7 376 272V304C376 317.3 365.3 328 352 328H312V368C312 381.3 301.3 392 288 392H256C242.7 392 232 381.3 232 368V328H192C178.7 328 168 317.3 168 304V272C168 258.7 178.7 248 192 248H232V208C232 194.7 242.7 184 256 184H288zM248 264H192C187.6 264 184 267.6 184 272V304C184 308.4 187.6 312 192 312H248V368C248 372.4 251.6 376 256 376H288C292.4 376 296 372.4 296 368V312H352C356.4 312 360 308.4 360 304V272C360 267.6 356.4 264 352 264H296V208C296 203.6 292.4 200 288 200H256C251.6 200 248 203.6 248 208V264z"],
    "house-night": [640, 512, [], "e010", "M147.8 5.842C155.1 8.319 153.4 19.18 146.3 22.37C121.4 33.68 104 58.81 104 88C104 127.8 136.2 160 176 160C183.2 160 190.2 158.9 196.8 156.9C204.2 154.7 212.7 161.8 208.8 168.4C189.3 201.7 153.3 224 112 224C50.14 224 0 173.9 0 112C0 50.14 50.14 0 112 0C124.5 0 136.6 2.053 147.8 5.842V5.842zM88 88C88 58.7 102.3 32.76 124.3 16.78C120.3 16.27 116.2 16 112 16C58.98 16 16 58.98 16 112C16 165 58.98 208 112 208C140.6 208 166.3 195.5 183.9 175.7C181.3 175.9 178.6 176 176 176C127.4 176 88 136.6 88 88zM336 296C336 282.7 346.7 272 360 272H440C453.3 272 464 282.7 464 296V376C464 389.3 453.3 400 440 400H360C346.7 400 336 389.3 336 376V296zM360 288C355.6 288 352 291.6 352 296V376C352 380.4 355.6 384 360 384H440C444.4 384 448 380.4 448 376V296C448 291.6 444.4 288 440 288H360zM637.2 297.9C640.6 300.8 640.9 305.9 638.1 309.2C635.2 312.6 630.1 312.9 626.8 310.1L576 266.3V456C576 486.9 550.9 512 520 512H280C249.1 512 224 486.9 224 456V266.3L173.2 310.1C169.9 312.9 164.8 312.6 161.9 309.2C159.1 305.9 159.4 300.8 162.8 297.9L394.8 97.94C397.8 95.35 402.2 95.35 405.2 97.94L637.2 297.9zM560 252.5L400 114.6L239.1 252.5V456C239.1 478.1 257.9 496 279.1 496H520C542.1 496 560 478.1 560 456V252.5zM256 .0003C260.4 .0003 264 3.582 264 8V56H312C316.4 56 320 59.58 320 64C320 68.42 316.4 72 312 72H264V120C264 124.4 260.4 128 256 128C251.6 128 248 124.4 248 120V72H200C195.6 72 192 68.42 192 64C192 59.58 195.6 56 200 56H248V8C248 3.582 251.6 .0003 256 .0003zM96 320C100.4 320 104 323.6 104 328V376H152C156.4 376 160 379.6 160 384C160 388.4 156.4 392 152 392H104V440C104 444.4 100.4 448 96 448C91.58 448 88 444.4 88 440V392H40C35.58 392 32 388.4 32 384C32 379.6 35.58 376 40 376H88V328C88 323.6 91.58 320 96 320z"],
    "house-person-leave": [640, 512, ["house-leave", "house-person-depart"], "e00f", "M290.1 399.9H103.1c-13.2 0-23.1-10.8-23.1-23.1V162.2l159.1-143.4l102.6 92.02c2.498 2.238 6.107 2.48 9.031 .8398c.1191-.0703 .2402-.1367 .3613-.2031c4.619-2.57 5.441-8.848 1.506-12.38l-108.2-97c-3.062-2.688-7.625-2.688-10.69 0L2.656 209.1C-.625 212.9-.9062 218 2.031 221.3c2.969 3.25 8 3.469 11.31 .625L63.99 176.5l.0029 199.5c0 22.09 17.91 39.1 39.1 39.1l186.2-.0469c2.086 0 4.072-.8438 5.508-2.359c.2305-.2422 .4746-.5 .7285-.7656C301.1 407.9 297.6 399.9 290.1 399.9zM143.1 183.1c-13.22 0-23.1 10.77-23.1 23.99v63.99c0 13.21 10.78 23.1 23.1 23.1h63.99c13.22 0 23.1-10.78 23.1-23.1V207.9c0-13.22-10.78-23.99-23.1-23.99H143.1zM215.1 207.9v63.99c0 4.406-3.594 8-7.998 8H143.1c-4.406 0-8-3.594-8-8V207.9c0-4.406 3.594-8 8-8h63.99C212.4 199.9 215.1 203.5 215.1 207.9zM458.1 394.4c-4.123-1.562-8.746 .4062-10.37 4.496l-5.996 15.21c-2.844 7.031-6.811 13.16-11.78 18.22L374.1 489.7c-8.84 8.496-22.55 8.34-31.33-.5625c-8.617-8.746-8.836-23.12-.625-31.87l47.82-48.55c6.809-6.902 11.96-14.84 15.27-23.49l12.46-31.34c1.625-4.125-.375-8.781-4.467-10.41c-4.029-1.5-8.746 .375-10.4 4.469l-12.49 31.46c-2.562 6.688-6.496 12.75-11.75 18.06l-47.98 48.71c-14.4 15.37-14.05 39.18 .7813 54.21C338.9 508.1 348.8 512 358.7 512c9.5 0 19.02-3.625 26.58-10.88l56.91-57.52c6.496-6.59 11.59-14.46 15.24-23.53l6.029-15.28C465.1 400.7 463.1 396.1 458.1 394.4zM523.1 103.1c28.7 0 51.98-23.29 51.98-51.99C575.1 23.29 552.7 0 523.1 0c-28.7 0-51.98 23.29-51.98 51.99C472 80.69 495.3 103.1 523.1 103.1zM523.1 15.1c19.84 0 35.98 16.14 35.98 35.1c0 19.84-16.14 35.99-35.98 35.99c-19.84 0-35.98-16.15-35.98-35.99C488 32.14 504.1 15.1 523.1 15.1zM618.6 235.4C618.5 235.4 618.6 235.4 618.6 235.4l-19.63-10.01l-8.402-25.62c-15.43-47.62-58.25-79.7-106.5-79.83h-.6875c-31.74 0-50.98 7.969-79.99 20l-12.71 5.215c-22.8 9.434-41.39 26.87-52.29 49.15l-6.527 13.37c-9.371 19.18-1.625 42.8 17.34 52.62c9.117 4.625 19.9 5.375 29.73 2.156c9.746-3.375 17.65-10.38 22.24-19.72l6.561-13.4c2.436-5.09 6.59-8.996 11.81-11.09l11.34-4.656l-10.87 44.15c-5.717 23.02 .3438 47.27 16.21 64.83l58.04 64.02c6.121 6.75 10.46 14.9 12.53 23.71l17.68 71.74c2.529 10.31 8.932 18.96 17.96 24.37c6.092 3.625 12.84 5.5 19.68 5.469c3.217 0 6.434-.375 9.59-1.219c20.87-5.188 33.64-26.56 28.49-47.62l-21.55-87.08c-2.686-11.34-8.309-21.99-16.24-30.71L521.1 299.8l9.277-37.37c6.561 13.65 17.3 24.74 30.96 31.77l22.71 11.69c9.246 4.625 20.05 5.375 29.49 2.031c9.871-3.312 17.84-10.31 22.49-19.84C645.4 268.6 637.6 245.4 618.6 235.4zM621.6 281.1c-5.504 11.27-18.97 16.12-30.33 10.5l-22.65-11.65c-12.78-6.562-22.24-17.75-26.68-31.59l-5.34-16.15c-2.531-7.668-13.44-7.152-15.34 .5625l-16.71 67.3c-.6562 2.594 .0313 5.344 1.812 7.312l44.1 48.61c6.123 6.75 10.46 14.93 12.53 23.71l21.55 87.14c3.092 12.53-4.436 25.21-16.87 28.3c-12.55 3.203-24.73-4.684-27.74-16.93l-17.68-71.68c-2.686-11.37-8.309-21.1-16.24-30.71l-58.01-64.02c-12.31-13.59-16.99-32.37-12.56-50.24l14.65-59.49c1.209-4.891-2.475-9.902-7.777-9.902c-1.031 0-28.86 11.21-28.86 11.21c-8.871 3.562-16.05 10.31-20.21 18.94l-6.527 13.34c-5.734 11.66-19.26 15.96-30.3 10.4c-11.25-5.844-15.87-19.93-10.28-31.37l6.527-13.34C361.9 182.6 377.6 167.9 396.7 160c41.57-17.08 56.33-24.02 87.27-24.02c41.32 .125 78.03 27.74 91.37 68.8l9.432 28.78c.6562 2 2.062 3.656 3.969 4.621l22.49 11.5C622.6 255.6 627.2 269.5 621.6 281.1z"],
    "house-person-return": [640, 512, ["house-person-arrive", "house-return"], "e011", "M436 103.1c28.7 0 51.98-23.29 51.98-51.99c0-28.7-23.28-51.99-51.98-51.99c-28.7 0-51.98 23.29-51.98 51.99C384 80.69 407.3 103.1 436 103.1zM436 15.1c19.84 0 35.98 16.14 35.98 35.1c0 19.84-16.14 35.99-35.98 35.99c-19.84 0-35.98-16.15-35.98-35.99C400 32.14 416.2 15.1 436 15.1zM312 399.1h-208c-13.2 0-24-10.8-24-24V162.2l160-143.5l111 99.54c3.164 2.84 7.994 2.707 10.1-.3008c3.246-3.246 3.111-8.562-.3047-11.62L245.3 2.031c-3.062-2.688-7.625-2.688-10.69 0l-232 208c-3.281 2.969-3.562 8.031-.625 11.31c2.969 3.25 8 3.469 11.31 .625L64 176.6v199.4c0 22.09 17.91 40 40 40l208-.0001c4.418 0 8-3.582 8-8S316.4 399.1 312 399.1zM540 257.8l-10.87-44.15l11.34 4.656c5.217 2.094 9.371 6 11.81 11.09l6.561 13.4c4.592 9.344 12.49 16.34 22.24 19.72c9.836 3.219 20.62 2.469 29.73-2.156c18.96-9.812 26.71-33.43 17.34-52.62l-6.527-13.37c-10.9-22.28-29.49-39.71-52.29-49.15l-12.71-5.215c-29.02-12.03-48.26-20-79.99-20h-.6875c-48.23 .125-91.05 32.21-106.5 79.83l-8.402 25.62L341.4 235.4c-.0313 0 .0313 0 0 0C322.4 245.4 314.6 268.6 323.1 288.1c4.654 9.531 12.62 16.53 22.49 19.84c9.434 3.344 20.24 2.594 29.49-2.031l22.71-11.69c13.65-7.031 24.39-18.12 30.96-31.77l9.277 37.37l-41.23 45.46c-7.934 8.719-13.56 19.37-16.24 30.71l-21.55 87.08c-5.154 21.06 7.621 42.43 28.49 47.62c3.156 .8438 6.373 1.219 9.59 1.219c6.842 .0313 13.59-1.844 19.68-5.469c9.027-5.406 15.43-14.06 17.96-24.37l17.68-71.74c2.062-8.809 6.404-16.96 12.53-23.71l58.04-64.02C539.7 305 545.7 280.8 540 257.8zM453.9 375.9c-7.934 8.719-13.56 19.34-16.24 30.71l-17.68 71.68c-3.002 12.25-15.19 20.13-27.74 16.93c-12.43-3.09-19.96-15.77-16.87-28.3l21.55-87.14c2.062-8.781 6.404-16.96 12.53-23.71l44.1-48.61c1.781-1.969 2.469-4.719 1.812-7.312l-16.71-67.3c-1.895-7.715-12.81-8.23-15.34-.5625l-5.34 16.15c-4.436 13.84-13.9 25.03-26.68 31.59l-22.65 11.65c-11.36 5.617-24.83 .7695-30.33-10.5c-5.561-11.62-1-25.49 10.4-31.46l22.49-11.5c1.906-.9648 3.312-2.621 3.969-4.621l9.432-28.78c13.34-41.05 50.04-68.67 91.37-68.8c30.95 0 45.71 6.941 87.27 24.02c19.15 7.906 34.8 22.62 43.98 41.4l6.527 13.34c5.594 11.44 .9687 25.52-10.28 31.37c-11.04 5.559-24.57 1.258-30.3-10.4l-6.527-13.34c-4.154-8.625-11.34-15.38-20.21-18.94c0 0-27.83-11.21-28.86-11.21c-5.303 0-8.986 5.012-7.777 9.902l14.65 59.49c4.436 17.87-.25 36.65-12.56 50.24L453.9 375.9zM629.4 446.2L581.4 397.5c-5.25-5.309-9.184-11.37-11.75-18.06l-12.49-31.46c-1.654-4.094-6.371-5.969-10.4-4.469c-4.092 1.625-6.092 6.281-4.467 10.41l12.46 31.34c3.311 8.656 8.465 16.59 15.27 23.49l47.82 48.55c8.211 8.75 7.992 23.12-.625 31.87c-8.781 8.902-22.49 9.059-31.33 .5625l-56.75-57.36c-4.967-5.062-8.934-11.19-11.78-18.22l-5.996-15.21c-1.625-4.09-6.248-6.059-10.37-4.496c-4.123 1.625-6.121 6.246-4.498 10.37l6.029 15.28c3.654 9.062 8.746 16.94 15.24 23.53l56.91 57.52c7.561 7.25 17.08 10.88 26.58 10.88c9.867 0 19.74-3.906 27.33-11.59C643.5 485.4 643.8 461.6 629.4 446.2zM144 183.1c-13.22 0-24 10.78-24 24v64c0 13.22 10.78 24 24 24h64c13.22 0 24-10.78 24-24v-64c0-13.22-10.78-24-24-24H144zM216 207.1v64c0 4.406-3.594 8-8 8h-64c-4.406 0-8-3.594-8-8v-64c0-4.406 3.594-8 8-8h64C212.4 199.1 216 203.6 216 207.1z"],
    "house-signal": [576, 512, [], "e012", "M330.8 1.941C333.8-.6469 338.2-.6469 341.2 1.941L573.2 201.9C576.6 204.8 576.9 209.9 574.1 213.2C571.2 216.6 566.1 216.9 562.8 214.1L512 170.3V360C512 390.9 486.9 416 456 416H296.4C295.1 410.6 293.7 405.3 292 400H456C478.1 400 496 382.1 496 360V156.5L336 18.56L176 156.5V249.2C170.8 245.9 165.4 242.8 160 239.9V170.3L109.2 214.1C105.9 216.9 100.8 216.6 97.94 213.2C95.06 209.9 95.43 204.8 98.78 201.9L330.8 1.941zM376 176C389.3 176 400 186.7 400 200V280C400 293.3 389.3 304 376 304H296C282.7 304 271.1 293.3 271.1 280V200C271.1 186.7 282.7 176 296 176H376zM287.1 280C287.1 284.4 291.6 288 296 288H376C380.4 288 384 284.4 384 280V200C384 195.6 380.4 192 376 192H296C291.6 192 287.1 195.6 287.1 200V280zM256 504C256 508.4 252.4 512 248 512C243.6 512 240 508.4 240 504C240 375.9 136.1 272 8 272C3.582 272 0 268.4 0 264C0 259.6 3.582 256 8 256C144.1 256 256 367 256 504zM64 480C64 497.7 49.67 512 32 512C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448C49.67 448 64 462.3 64 480zM32 464C23.16 464 16 471.2 16 480C16 488.8 23.16 496 32 496C40.84 496 48 488.8 48 480C48 471.2 40.84 464 32 464zM0 360C0 355.6 3.582 352 8 352C91.95 352 160 420.1 160 504C160 508.4 156.4 512 152 512C147.6 512 144 508.4 144 504C144 428.9 83.11 368 8 368C3.582 368 0 364.4 0 360z"],
    "house-tree": [640, 512, [], "e1b3", "M302.2 137.6L290.5 126.8L392.3 14.3C404.1 .2612 427 .2612 439.7 14.3L570.9 159.3C574.2 162.9 576 167.6 576 172.4C576 183.2 567.2 191.1 556.5 191.1H504.9L602.4 311.4C606 315.9 608 321.4 608 327.1C608 340.9 596.9 352 583.1 352H522.2L634.1 474.5C637.9 478.6 640 483.1 640 489.6C640 501.1 629.1 512 617.6 512H400C403.7 507.1 406.8 501.7 409.3 496H617.6C621.1 496 624 493.1 624 489.6C624 487.1 623.4 486.5 622.3 485.3L498.1 349.4C495.1 347.1 495.4 343.7 496.7 340.8C497.1 337.9 500.8 336 504 336H583.1C588 336 592 332 592 327.1C592 325.1 591.3 323.1 590 321.5L481.8 189.1C479.8 186.7 479.4 183.4 480.8 180.6C482.1 177.8 484.9 175.1 488 175.1H556.5C558.4 175.1 560 174.4 560 172.4C560 171.6 559.7 170.7 559.1 170.1L427.9 25.04C421.5 18.02 410.5 18.02 404.1 25.04L302.2 137.6zM224 263.1C237.3 263.1 248 274.7 248 287.1V352C248 365.3 237.3 376 224 376H160C146.7 376 136 365.3 136 352V287.1C136 274.7 146.7 263.1 160 263.1H224zM224 279.1H160C155.6 279.1 152 283.6 152 287.1V352C152 356.4 155.6 360 160 360H224C228.4 360 232 356.4 232 352V287.1C232 283.6 228.4 279.1 224 279.1zM0 456V280.6C0 264.9 6.588 249.1 18.16 239.4L154.2 114.7C175.6 95.06 208.4 95.06 229.8 114.7L365.8 239.4C377.4 249.1 384 264.9 384 280.6V456C384 486.9 358.9 512 328 512H56C25.07 512 0 486.9 0 456zM16 280.6V456C16 478.1 33.91 496 56 496H328C350.1 496 368 478.1 368 456V280.6C368 269.4 363.3 258.7 355 251.1L219 126.5C203.7 112.5 180.3 112.5 164.1 126.5L28.97 251.1C20.71 258.7 16 269.4 16 280.6H16z"],
    "house-tsunami": [576, 512, [], "e515", "M190.9 384C191.2 384 191.6 384 192 384.1V384C214.5 383.1 236.6 369.8 253.8 354.1C263.1 344.9 273.4 334.6 281.4 323.4C284.4 319.1 291.6 319.1 294.6 323.4C302.6 334.6 312.1 344.9 322.2 354.1C339.5 369.8 361.5 384 384 384C406.5 384 428.6 369.8 445.8 354.1C455.1 344.9 465.5 334.6 473.5 323.4C474.1 321.3 477.4 319.1 480 320C482.6 320 485.1 321.3 486.6 323.4C493.9 333.7 502.5 343 511.6 351.7C527.3 366.5 547.7 380.9 569 383.6C573.4 384.1 576.5 388.1 575.9 392.5C575.4 396.9 571.4 399.1 567 399.4C540.5 396.1 516.1 378.7 500.6 363.3C491.8 354.1 484.7 346.9 480 341.1C474.8 347.5 466.8 356.7 456.6 365.9C438.7 382.2 412.7 400 384 400C355.3 400 329.4 382.2 311.4 365.9C301.3 356.7 293.2 347.5 288 341.1L288 341.1L287.1 341.1C282.8 347.5 274.7 356.7 264.6 365.9C246.6 382.2 220.7 399.1 192 400V399.9C191.6 399.1 191.2 400 190.9 400C74.05 400 0 309.8 0 200C0 89.15 94.55 0 210.3 0C234.5 0 257.7 3.875 279.3 11.02C283.5 12.4 285.8 16.93 284.4 21.12C283 25.32 278.5 27.6 274.3 26.21C254.3 19.6 232.7 16 210.3 16C102.6 16 16 98.77 16 200C16 302.3 84.21 384 190.9 384H190.9zM336 143.1V274.1C332.2 272.9 328.5 270.6 324.8 268.1C323.3 267 321.7 265.1 320 265V143.1C320 133.9 324.7 124.4 332.8 118.4L428.8 46.43C440.2 37.88 455.8 37.9 467.2 46.47L562.7 118.4C570.7 124.5 575.4 133.9 575.5 143.9L575.8 296.9C570.9 294.1 565.5 291.9 559.8 290.4L559.5 143.9C559.4 138.9 557.1 134.2 553.1 131.2L457.6 59.25C451.9 54.97 444.1 54.96 438.4 59.23L342.4 131.2C338.4 134.2 336 138.1 336 143.1V143.1zM294.6 435.4C302.6 446.6 312.1 456.9 322.2 466.1C339.5 481.8 361.5 496 384 496C406.5 496 428.6 481.8 445.8 466.1C455.1 456.9 465.5 446.6 473.5 435.4C474.1 433.3 477.4 432 480 432C482.6 432 485.1 433.3 486.6 435.4C493.9 445.7 502.5 455 511.6 463.7C527.3 478.5 547.7 492.9 569 495.6C573.4 496.1 576.5 500.1 575.9 504.5C575.4 508.9 571.4 511.1 567 511.4C540.5 508.1 516.1 490.7 500.6 475.3C491.8 466.1 484.7 458.9 480 453.1C474.8 459.5 466.8 468.7 456.6 477.9C438.7 494.2 412.7 512 384 512C355.3 512 329.4 494.2 311.4 477.9C301.3 468.7 293.2 459.5 288 453.1L288 453.1L287.1 453.1C282.8 459.5 274.7 468.7 264.6 477.9C246.6 494.2 220.7 512 191.1 512C163.3 512 137.4 494.2 119.4 477.9C109.2 468.7 101.2 459.5 95.99 453.1C91.3 458.9 84.24 466.1 75.4 475.3C59.04 490.7 35.48 508.1 9.003 511.4C4.619 511.1 .6179 508.9 .0656 504.5C-.4867 500.1 2.619 496.1 7.003 495.6C28.3 492.9 48.74 478.5 64.42 463.7C73.56 455 82.16 445.7 89.43 435.4C90.93 433.3 93.37 432 95.98 432C98.59 432 101 433.3 102.5 435.4C110.5 446.6 120 456.9 130.2 466.1C147.4 481.8 169.5 496 191.1 496C214.5 496 236.6 481.8 253.8 466.1C263.1 456.9 273.4 446.6 281.4 435.4C284.4 431.1 291.6 431.1 294.6 435.4H294.6zM190 112C128.9 112 80 158.1 80 216C80 273 128.9 320 190 320C194.4 320 198 323.6 198 328C198 332.4 194.4 336 190 336C120.8 336 64 282.7 64 216C64 149.3 120.8 96 190 96C209 96 227.1 100 243.3 107.2C247.3 109 249.1 113.7 247.3 117.8C245.5 121.8 240.8 123.6 236.8 121.8C222.6 115.5 206.7 112 190 112H190z"],
    "house-turret": [640, 512, [], "e1b4", "M392 287.1C392 274.7 402.7 263.1 416 263.1H480C493.3 263.1 504 274.7 504 287.1V352C504 365.3 493.3 376 480 376H416C402.7 376 392 365.3 392 352V287.1zM408 287.1V352C408 356.4 411.6 360 416 360H480C484.4 360 488 356.4 488 352V287.1C488 283.6 484.4 279.1 480 279.1H416C411.6 279.1 408 283.6 408 287.1zM274.2 239.4L410.2 114.7C431.6 95.06 464.4 95.06 485.8 114.7L621.8 239.4C633.4 249.1 640 264.9 640 280.6V456C640 486.9 614.9 512 584 512H312C281.1 512 256 486.9 256 456V280.6C256 264.9 262.6 249.1 274.2 239.4V239.4zM312 496H584C606.1 496 624 478.1 624 456V280.6C624 269.4 619.3 258.7 611 251.1L475 126.5C459.7 112.5 436.3 112.5 420.1 126.5L284.1 251.1C276.7 258.7 272 269.4 272 280.6V456C272 478.1 289.9 496 312 496H312zM16 203.8C16 209.7 18.16 215.4 22.06 219.8L77.98 282.7C79.28 284.1 80 286 80 287.1V496C80 500.4 76.42 504 72 504C67.58 504 64 500.4 64 496V291L10.1 230.4C3.595 223.1 0 213.6 0 203.8V40C0 17.91 17.91 0 40 0H312C334.1 0 352 17.91 352 40V124.6L336 139.3V40C336 26.75 325.3 16 312 16H256V88C256 92.42 252.4 96 248 96C243.6 96 240 92.42 240 88V16H112V88C112 92.42 108.4 96 104 96C99.58 96 96 92.42 96 88V16H40C26.75 16 16 26.75 16 40V203.8zM224 175.1V223.1C224 232.8 216.8 239.1 208 239.1H144C135.2 239.1 128 232.8 128 223.1V175.1C128 149.5 149.5 127.1 176 127.1C202.5 127.1 224 149.5 224 175.1zM208 223.1V175.1C208 158.3 193.7 143.1 176 143.1C158.3 143.1 144 158.3 144 175.1V223.1H208z"],
    "house-user": [576, 512, ["home-user"], "e1b0", "M224 224C224 188.7 252.7 160 288 160C323.3 160 352 188.7 352 224C352 259.3 323.3 288 288 288C252.7 288 224 259.3 224 224zM288 272C314.5 272 336 250.5 336 224C336 197.5 314.5 176 288 176C261.5 176 240 197.5 240 224C240 250.5 261.5 272 288 272zM176 400C176 355.8 211.8 320 256 320H320C364.2 320 400 355.8 400 400C400 408.8 392.8 416 384 416H192C183.2 416 176 408.8 176 400zM384 400C384 364.7 355.3 336 320 336H256C220.7 336 192 364.7 192 400H384zM282.7 2.011C285.7-.6704 290.3-.6704 293.3 2.011L573.3 250C576.6 252.9 576.9 257.1 573.1 261.3C571.1 264.6 566 264.9 562.7 261.1L512 217.1V448C512 483.3 483.3 512 448 512H128C92.65 512 64 483.3 64 448V217.1L13.3 261.1C9.997 264.9 4.941 264.6 2.012 261.3C-.9182 257.1-.6116 252.9 2.696 250L282.7 2.011zM80 202.9V448C80 474.5 101.5 496 128 496H448C474.5 496 496 474.5 496 448V202.9L288 18.69L80 202.9z"],
    "house-water": [576, 512, ["house-flood"], "f74f", "M568.6 495.7c-55.91-4.355-78.62-47.47-88.63-47.47c-8.188 0-37.63 47.57-95.44 47.77h-.3438c-57.11 0-88.55-47.77-96.22-47.77c-8.188 0-37.63 47.57-95.44 47.77H192.2c-57.1 0-88.55-47.77-96.22-47.77c-2.25 0-4.406 .9531-5.938 2.625c-50.62 55.81-90.06 36.57-90.06 52.82c0 .334-.043 8.023 8.287 8.023c3.02 0 45.24-.9043 87.74-43.88c28.9 28.94 62.12 44.04 96.3 44.04c34.13-.1094 67.23-15.21 95.7-44.03c28.91 28.92 61.87 44.14 96.05 44.14L384.6 512c34.13-.1094 66.97-15.34 95.44-44.16c43.12 43.14 85.46 43.87 88.51 43.87c4.613 0 7.453-3.74 7.453-8.051C575.1 499.5 572.8 496 568.6 495.7zM247.1 191.1c-13.23 0-24 10.78-24 24v80c0 13.22 10.77 24 24 24h80c13.23 0 24-10.78 24-24v-80c0-13.22-10.77-24-24-24H247.1zM335.1 215.1v80c0 4.406-3.594 8-8 8h-80c-4.406 0-8-3.594-8-8v-80c0-4.406 3.594-8 8-8h80C332.4 207.1 335.1 211.6 335.1 215.1zM7.973 263.1c1.896 0 3.803-.668 5.342-2.004l50.69-44.16V408c0 4.422 3.582 8 8 8s8-3.578 8-8V203.6L288 18.7l208 184.9V408c0 4.422 3.582 8 8 8S512 412.4 512 408V217.8l50.69 44.16C564.2 263.3 566.1 263.1 568 263.1c4.459 0 7.998-3.629 7.998-8.002c0-2.201-.9062-4.402-2.686-5.982l-279.1-247.1c-1.518-1.342-3.427-2.026-5.326-2.026c-.002 0 .002 0 0 0c-1.898 0-3.798 .6702-5.315 2.012l-279.1 248C.9082 251.6 .002 253.8 .002 255.1C.002 260.3 3.482 263.1 7.973 263.1z"],
    "house-window": [576, 512, [], "e3b3", "M336 184C349.3 184 360 194.7 360 208V304C360 317.3 349.3 328 336 328H240C226.7 328 216 317.3 216 304V208C216 194.7 226.7 184 240 184H336zM232 304C232 308.4 235.6 312 240 312H336C340.4 312 344 308.4 344 304V208C344 203.6 340.4 200 336 200H240C235.6 200 232 203.6 232 208V304zM573.3 250C576.6 252.9 576.9 257.1 573.1 261.3C571.1 264.6 566 264.9 562.7 261.1L512 217.1V448C512 483.3 483.3 512 448 512H128C92.65 512 64 483.3 64 448V217.1L13.3 261.1C9.997 264.9 4.941 264.6 2.012 261.3C-.9182 257.1-.6116 252.9 2.696 250L282.7 2.011C285.7-.6704 290.3-.6704 293.3 2.011L573.3 250zM128 496H448C474.5 496 496 474.5 496 448V202.9L288 18.69L80 202.9V448C80 474.5 101.5 496 128 496V496z"],
    "hryvnia-sign": [384, 512, [8372, "hryvnia"], "f6f2", "M0 200C0 195.6 3.582 192 8 192H376C380.4 192 384 195.6 384 200C384 204.4 380.4 208 376 208H8C3.582 208 0 204.4 0 200zM0 296C0 291.6 3.582 288 8 288H376C380.4 288 384 291.6 384 296C384 300.4 380.4 304 376 304H8C3.582 304 0 300.4 0 296zM168.3 48C138.4 48 109.1 56.86 84.22 73.47L76.44 78.66C72.76 81.11 67.79 80.11 65.34 76.44C62.89 72.76 63.89 67.79 67.56 65.34L75.34 60.16C102.9 41.8 135.2 32 168.3 32H235C290.8 32 336 77.21 336 132.1C336 172.1 313.4 207.7 278 224.4L112.8 302.1C83.01 316.1 63.1 346.1 63.1 379C63.1 425.9 102.1 464 148.1 464H215.7C245.6 464 274.9 455.1 299.8 438.5L307.6 433.3C311.2 430.9 316.2 431.9 318.7 435.6C321.1 439.2 320.1 444.2 316.4 446.7L308.7 451.8C281.1 470.2 248.8 480 215.7 480H148.1C93.21 480 47.1 434.8 47.1 379C47.1 339.9 70.59 304.3 105.1 287.6L271.2 209.9C300.1 195.9 320 165.9 320 132.1C320 86.05 281.9 48 235 48H168.3z"],
    "hundred-points": [512, 512, [128175, "100"], "e41c", "M179.5 86C182.5 55.37 208.2 32 238.1 32C274.3 32 301.9 62.4 298.5 97.51L284.5 241.1C281.5 272.6 255.8 296 225 296C189.7 296 162.1 265.6 165.5 230.5L179.5 86zM238.1 48C216.5 48 197.6 65.11 195.4 87.54L181.5 232C178.1 257.7 199.2 280 225 280C247.5 280 266.4 262.9 268.6 240.5L282.5 95.97C285 70.26 264.8 48 238.1 48H238.1zM124.8 33.51C127.1 35.19 128.3 37.96 127.9 40.8L95.95 312.8C95.43 317.2 91.45 320.4 87.06 319.1C82.68 319.5 79.54 315.6 80.05 311.2L110.4 52.95L51.15 79.3C47.09 81.11 42.38 79.3 40.65 75.27C38.91 71.24 40.79 66.51 44.85 64.7L116.9 32.7C119.5 31.53 122.5 31.84 124.8 33.51V33.51zM467.7 100.4L459.7 212.7C457.3 246.1 429.5 272 395.1 272C358.9 272 329.7 240.6 332.3 203.6L340.3 91.31C342.7 57.89 370.5 32 404 32C441.1 32 470.3 63.44 467.7 100.4V100.4zM348.3 204.7C346.3 232.4 368.2 256 395.1 256C421.1 256 441.9 236.6 443.7 211.6L451.7 99.27C453.7 71.56 431.8 48 404 48C378.9 48 358.1 67.4 356.3 92.45L348.3 204.7zM511.9 326.7C512.6 331.1 509.6 335.2 505.3 335.9L9.275 415.9C4.913 416.6 .807 413.6 .1034 409.3C-.6003 404.9 2.365 400.8 6.727 400.1L502.7 320.1C507.1 319.4 511.2 322.4 511.9 326.7V326.7zM193.2 463.9C188.8 464.6 184.7 461.5 184.1 457.2C183.4 452.8 186.5 448.7 190.8 448.1L462.8 408.1C467.2 407.4 471.3 410.5 471.9 414.8C472.6 419.2 469.5 423.3 465.2 423.9L193.2 463.9z"],
    "hurricane": [448, 512, [], "f751", "M224 223.1c-17.75 0-32 14.25-32 32s14.25 32 32 32s32-14.25 32-32S241.8 223.1 224 223.1zM224 271.1c-8.973 0-16-7.027-16-16s7.027-16 16-16s16 7.027 16 16S232.1 271.1 224 271.1zM224 159.1c-53.25 0-96 42.75-96 96s42.75 96 96 96s96-42.75 96-96S277.3 159.1 224 159.1zM224 336c-44.11 0-80-35.91-80-80.02S179.9 176 224 176s80 35.86 80 79.97S268.1 336 224 336zM219.6 93.28l20.19-62.22c2.562-7.688 1-16.06-4.156-22.34C230.4 2.406 222.5-.8439 214.6 .1874C110.5 12.66 32 102.6 32 209.5c0 111.8 87.16 203.5 196.4 209.2l-20.19 62.22c-2.562 7.688-1 16.06 4.156 22.34c4.531 5.562 11.34 8.719 18.38 8.719c.9375 0 1.719-.0626 2.656-.1876C337.5 499.3 416 409.4 416 302.5C416 190.7 328.8 99.03 219.6 93.28zM231.6 495.9c-3.812 .2187-5.969-1.781-6.781-2.781C224 492.2 222.3 489.5 223.5 485.9l26.88-82.91h-11C133.8 402.1 48 316.2 48 209.5c0-98.78 72.41-181.9 168.4-193.4c.3438-.0313 .6562-.0625 .9687-.0625c3.125 0 5.062 1.938 5.812 2.844C224 19.81 225.8 22.47 224.5 26.09L197.7 108.1h11c105.5 0 191.3 86.81 191.3 193.5C400 401.3 327.6 484.4 231.6 495.9z"],
    "hyphen": [320, 512, [], "2d", "M8 264h304c4.406 0 8-3.572 8-7.994C320 251.6 316.4 248 312 248h-304C3.594 248 0 251.6 0 256C0 260.4 3.594 264 8 264z"],
    "i": [320, 512, [105], "49", "M320 472c0 4.406-3.594 8-8 8h-304C3.594 480 0 476.4 0 472s3.594-8 8-8h144v-416h-144C3.594 48 0 44.41 0 40S3.594 32 8 32h304C316.4 32 320 35.59 320 40S316.4 48 312 48h-144v416h144C316.4 464 320 467.6 320 472z"],
    "i-cursor": [256, 512, [], "f246", "M256 503.1c0 4.406-3.578 8-8 8L224 511.1c-43.23 0-80.33-26.54-96-64.16c-15.67 37.62-52.77 64.16-96 64.16l-24-.0001c-4.422 0-8-3.594-8-8s3.578-8 8-8H32c48.53 0 88-39.47 88-88v-144H64c-4.422 0-8-3.594-8-8s3.578-8 8-8h56v-144c0-48.53-39.47-88-88-88H8c-4.422 0-8-3.594-8-8s3.578-8 8-8L32 0c43.23 0 80.33 26.54 96 64.16c15.67-37.62 52.77-64.16 96-64.16l24-.0001c4.422 0 8 3.594 8 8s-3.578 8-8 8H224c-48.53 0-88 39.47-88 88v144H192c4.422 0 8 3.594 8 8s-3.578 8-8 8h-56v144c0 48.53 39.47 88 88 88h24C252.4 495.1 256 499.6 256 503.1z"],
    "ice-cream": [448, 512, [127848], "f810", "M347.8 289C348.1 289.7 349.1 290.6 350.7 291.7C351.4 292.9 351.8 294.1 351.9 295.5C351.1 296.8 351.7 298.1 351.2 299.3L258 490.4C254.1 496.9 250.1 502.3 244.1 506.1C238.1 509.9 231.1 511.1 223.1 511.1C216.8 511.1 209.9 509.9 203.8 506.1C197.8 502.3 192.1 496.9 189.9 490.4L96.8 299.5C95.87 297.5 95.74 295.3 96.43 293.3C97.12 291.3 98.59 289.7 100.5 288.8C102.4 287.8 104.6 287.7 106.6 288.4C108.6 289.1 110.3 290.5 111.2 292.4L204.4 483.7C206.1 487.5 208.9 490.6 212.4 492.8C215.8 494.1 219.9 496.1 223.1 496.1C228.1 496.1 232.1 494.1 235.6 492.8C239 490.6 241.8 487.5 243.6 483.7L336.8 292.5C337.5 291.2 338.5 290 339.8 289.2C341 288.4 342.5 288 344 288C345.4 288 346.7 288.4 347.8 289zM369.7 150.7C383.1 152.4 395.4 159.2 403.9 169.7C412.5 180.2 416.7 193.5 415.7 206.1C414.7 220.5 408.6 233.1 398.6 242.2C388.6 251.3 375.5 256.2 361.1 256H85.98C72.46 256.3 59.35 251.3 49.35 242.2C39.35 233.1 33.22 220.5 32.22 207C31.22 193.5 35.43 180.2 43.97 169.7C52.52 159.2 64.76 152.4 78.18 150.7C77.95 148 77.95 145.4 77.95 142.8C78.75 104.6 94.48 68.29 121.8 41.57C149 14.85 185.7-.1094 223.9-.1094C262.1-.1094 298.8 14.85 326 41.57C353.3 68.29 369.1 104.6 369.9 142.8C369.9 145.4 369.6 148 369.6 150.7H369.7zM361.1 239.9C366.9 240.1 371.8 239.2 376.4 237.4C381 235.7 385.2 232.1 388.8 229.5C392.3 226.1 395.2 221.9 397.1 217.4C399 212.8 400 207.9 400 202.1C400 198 399 193.2 397.1 188.6C395.2 184 392.3 179.9 388.8 176.5C385.2 173 381 170.3 376.4 168.5C371.8 166.8 366.9 165.9 361.1 166H352L353.1 157.1C353.7 152.3 353.9 147.5 353.1 142.8C353.8 125.9 350.2 109.2 343.6 93.74C336.1 78.23 327.3 64.2 315.3 52.42C303.2 40.65 288.9 31.37 273.3 25.12C257.6 18.87 240.9 15.77 223.1 16C207.1 15.77 190.4 18.87 174.7 25.12C159.1 31.37 144.8 40.65 132.7 52.42C120.6 64.2 111 78.25 104.4 93.75C97.74 109.3 94.23 125.9 94.05 142.8C94.06 147.6 94.33 152.4 94.88 157.1L95.1 166.1H86.94C81.94 165.8 76.93 166.5 72.21 168.2C67.49 169.9 63.16 172.5 59.49 175.9C55.81 179.3 52.87 183.4 50.83 188C48.8 192.6 47.72 197.5 47.65 202.6C47.59 207.6 48.54 212.5 50.46 217.2C52.37 221.8 55.21 225.1 58.79 229.5C62.38 232.1 66.63 235.7 71.31 237.5C75.98 239.3 80.98 240.2 85.98 240H361.1L361.1 239.9z"],
    "ice-skate": [576, 512, [9976], "f7ac", "M72 383.1h400c22.06 0 40-17.94 40-40V301.9c0-45.91-31.41-85.78-76.5-97.03L320 177.7V7.1c0-4.406-3.578-8-8-8s-8 3.594-8 8v17.75L82.64 80.94C52.83 89.41 32 116.8 32 147.6v196.4C32 366.1 49.94 383.1 72 383.1zM48 147.6c0-23.62 16.05-44.72 38.77-51.19L304 42.25v69.75H264c-4.422 0-8 3.594-8 8s3.578 8 8 8l40 .0001v47.1H264c-4.422 0-8 3.594-8 8s3.578 8 8 8h47.04l120.7 28.38C469.6 229.8 496 263.3 496 301.9v42.13c0 13.22-10.77 24-24 24H72c-13.23 0-24-10.78-24-24V147.6zM568 415.1c-4.422 0-8 3.594-8 8v16c0 30.88-25.12 56-56 56h-80v-72c0-4.406-3.578-8-8-8s-8 3.594-8 8v72h-272v-72c0-4.406-3.578-8-8-8s-8 3.594-8 8v72h-112c-4.422 0-8 3.594-8 8s3.578 8 8 8h496c39.7 0 72-32.31 72-71.1v-16C576 419.6 572.4 415.1 568 415.1z"],
    "icicles": [512, 512, [], "f7ad", "M510.1 2.875C508.6 1.062 506.4 0 503.1 0H8.003C5.487 0 3.112 1.188 1.612 3.188C.0967 5.219-.3877 7.812 .3155 10.22l87.1 304C89.3 317.6 92.41 319.1 95.94 320c3.516 0 6.663-2.132 7.694-5.507l35.6-116.6l45.01 179.9c1.781 7.125 13.73 7.125 15.51 0l45-179.9l35.61 116.3c2.062 6.688 13.29 6.688 15.36 0l48.31-158.3l64.19 349.6C408.9 509.3 412.1 512 415.1 512c3.875 0 7.247-2.698 7.919-6.51l87.97-496.1C512.3 7.062 511.7 4.688 510.1 2.875zM415.9 458.9L353.9 120.8c-.6719-3.625-3.734-6.344-7.422-6.562h-.4535c-3.5 0-6.625 2.281-7.656 5.656l-50.34 164.8L251.7 165.7C250.6 162.2 247.2 159.8 243.8 160C240.2 160.1 237.1 162.6 236.2 166.1L192 343l-44.23-176.9C146.9 162.6 143.8 160.1 140.2 160C137 159.8 133.4 162.2 132.3 165.7L96.2 283.9L18.64 16h475.8L415.9 458.9z"],
    "icons": [512, 512, ["heart-music-camera-bolt"], "f86d", "M496 27.52C496 22.47 491.4 18.68 486.4 19.67L358.4 45.27C354.7 46.02 352 49.3 352 53.12V207.1C352 234.5 323.3 256 288 256C252.7 256 224 234.5 224 208C224 181.5 252.7 160 288 160C307.1 160 324.3 166.3 336 176.3V53.12C336 41.68 344.1 31.83 355.3 29.58L483.3 3.982C498.1 1.012 512 12.37 512 27.52V175.1C512 202.5 483.3 224 448 224C412.7 224 384 202.5 384 176C384 149.5 412.7 128 448 128C467.1 128 484.3 134.3 496 144.3V27.52zM288 176C273.5 176 260.9 180.4 252.3 186.9C243.8 193.3 240 200.9 240 208C240 215.1 243.8 222.7 252.3 229.1C260.9 235.6 273.5 240 288 240C302.5 240 315.1 235.6 323.7 229.1C332.2 222.7 336 215.1 336 207.1C336 200.9 332.2 193.3 323.7 186.9C315.1 180.4 302.5 176 288 176zM448 144C433.5 144 420.9 148.4 412.3 154.9C403.8 161.3 400 168.9 400 176C400 183.1 403.8 190.7 412.3 197.1C420.9 203.6 433.5 208 448 208C462.5 208 475.1 203.6 483.7 197.1C492.2 190.7 496 183.1 496 175.1C496 168.9 492.2 161.3 483.7 154.9C475.1 148.4 462.5 144 448 144zM485.4 272.8L451.4 368H493.3C503.6 368 512 376.4 512 386.7C512 392.5 509.3 397.1 504.8 401.5L366.1 509.4C363.9 511.1 361.2 512 358.4 512C349.8 512 343.7 503.4 346.6 495.2L380.6 400H338.2C328.1 400 320 391.9 320 381.8C320 376.3 322.6 370.1 326.1 367.5L465.8 258.7C468 256.9 470.8 255.1 473.6 255.1C482.2 255.1 488.3 264.6 485.4 272.8L485.4 272.8zM336 381.8C336 383 336.1 384 338.2 384H392C394.6 384 397 385.3 398.5 387.4C400 389.5 400.4 392.2 399.5 394.7L365.7 489.4L494.9 388.9C495.6 388.4 496 387.6 496 386.7C496 385.2 494.8 384 493.3 384H440C437.4 384 434.1 382.7 433.5 380.6C431.1 378.5 431.6 375.8 432.5 373.3L466.3 278.7L336.8 380.1C336.3 380.5 336 381.2 336 381.8L336 381.8zM200 408C200 438.9 174.9 464 144 464C113.1 464 88 438.9 88 408C88 377.1 113.1 352 144 352C174.9 352 200 377.1 200 408zM144 448C166.1 448 184 430.1 184 408C184 385.9 166.1 368 144 368C121.9 368 104 385.9 104 408C104 430.1 121.9 448 144 448zM208.8 289.7L216 304H240C266.5 304 288 325.5 288 352V464C288 490.5 266.5 512 240 512H48C21.49 512 0 490.5 0 464V352C0 325.5 21.49 304 48 304H71.1L79.16 289.7C84.58 278.8 95.66 271.1 107.8 271.1H180.2C192.3 271.1 203.4 278.8 208.8 289.7L208.8 289.7zM48 320C30.33 320 16 334.3 16 352V464C16 481.7 30.33 496 48 496H240C257.7 496 272 481.7 272 464V352C272 334.3 257.7 320 240 320H206.1L194.5 296.8C191.8 291.4 186.3 287.1 180.2 287.1H107.8C101.7 287.1 96.18 291.4 93.47 296.8L81.89 320H48zM59.72 6.047C82.49 2.252 105.7 9.686 122 26.01L128 31.1L133.1 26.01C150.3 9.686 173.5 2.252 196.3 6.047C230.7 11.79 256 41.61 256 76.54V79.45C256 100.2 247.4 120 232.2 134.2L141.8 218.5C138.1 222 133.1 224 128 224C122.9 224 117.9 222 114.2 218.5L23.79 134.2C8.617 120 0 100.2 0 79.45V76.54C0 41.61 25.26 11.79 59.72 6.047V6.047zM110.7 37.32C98.03 24.65 80.02 18.88 62.35 21.83C35.6 26.29 15.1 49.43 15.1 76.54V79.45C15.1 95.78 22.78 111.4 34.71 122.5L125.1 206.8C125.9 207.6 126.9 208 127.1 208C129.1 208 130.1 207.6 130.9 206.8L221.3 122.5C233.2 111.4 239.1 95.78 239.1 79.45V76.54C239.1 49.43 220.4 26.29 193.6 21.83C175.1 18.88 157.1 24.65 145.3 37.32L127.1 54.63L110.7 37.32z"],
    "id-badge": [384, 512, [], "f2c1", "M136 80h112C252.4 80 256 76.42 256 72S252.4 64 248 64h-112C131.6 64 128 67.58 128 72S131.6 80 136 80zM336 0h-288C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48v-416C384 21.49 362.5 0 336 0zM368 464c0 17.64-14.36 32-32 32h-288c-17.64 0-32-14.36-32-32v-416c0-17.64 14.36-32 32-32h288c17.64 0 32 14.36 32 32V464zM192 288c35.35 0 64-28.65 64-64s-28.65-64-64-64S128 188.7 128 224S156.7 288 192 288zM192 176c26.47 0 48 21.53 48 48S218.5 272 192 272S144 250.5 144 224S165.5 176 192 176zM224 320H160c-44.11 0-80 35.89-80 80v8C80 412.4 83.58 416 88 416S96 412.4 96 408V400c0-35.3 28.7-64 64-64h64c35.3 0 64 28.7 64 64v8c0 4.422 3.578 8 8 8s8-3.578 8-8V400C304 355.9 268.1 320 224 320z"],
    "id-card": [576, 512, [62147, "drivers-license"], "f2c2", "M344 224h144c4.418 0 8-3.582 8-8S492.4 208 488 208h-144c-4.418 0-8 3.582-8 8S339.6 224 344 224zM344 288h144c4.418 0 8-3.582 8-8S492.4 272 488 272h-144c-4.418 0-8 3.582-8 8S339.6 288 344 288zM344 352h144c4.418 0 8-3.582 8-8s-3.582-8-8-8h-144c-4.418 0-8 3.582-8 8S339.6 352 344 352zM176 320c35.35 0 64-28.66 64-64s-28.65-64-64-64s-64 28.66-64 64S140.7 320 176 320zM176 208C202.5 208 224 229.5 224 256S202.5 304 176 304S128 282.5 128 256S149.5 208 176 208zM528 32h-480C21.49 32 0 53.49 0 80v352C0 458.5 21.49 480 48 480h480c26.51 0 48-21.49 48-48v-352C576 53.49 554.5 32 528 32zM560 432c0 17.64-14.36 32-32 32h-480c-17.64 0-32-14.36-32-32v-288h544V432zM560 128h-544V80c0-17.64 14.36-32 32-32h480c17.64 0 32 14.36 32 32V128zM72.02 423.8c4.344 1.047 8.594-1.719 9.562-6.031C88.23 388.5 113.9 368 144 368h64c30.09 0 55.77 20.47 62.42 49.77C271.3 421.5 274.6 424 278.2 424c.5781 0 1.172-.0625 1.766-.2031c4.312-.9687 7.016-5.266 6.031-9.562C277.7 377.6 245.6 352 208 352h-64c-37.61 0-69.7 25.59-78.02 62.23C65 418.5 67.7 422.8 72.02 423.8z"],
    "id-card-clip": [576, 512, ["id-card-alt"], "f47f", "M528 64h-136C387.6 64 384 67.58 384 72s3.582 8 8 8h136c17.67 0 32 14.33 32 32v352c0 17.67-14.33 32-32 32h-480c-17.67 0-32-14.33-32-32v-352c0-17.67 14.33-32 32-32h136C188.4 80 192 76.42 192 72S188.4 64 184 64H48C21.49 64 0 85.49 0 112v352C0 490.5 21.49 512 48 512h480c26.51 0 48-21.49 48-48v-352C576 85.49 554.5 64 528 64zM256 128h64c17.67 0 32-14.33 32-32V32c0-17.67-14.33-32-32-32H256C238.3 0 224 14.33 224 32v64C224 113.7 238.3 128 256 128zM240 32c0-8.824 7.178-16 16-16h64c8.822 0 16 7.176 16 16v64c0 8.824-7.178 16-16 16H256C247.2 112 240 104.8 240 96V32zM288 320c35.35 0 64-28.65 64-64s-28.65-64-64-64S224 220.7 224 256S252.7 320 288 320zM288 208c26.47 0 48 21.53 48 48S314.5 304 288 304S240 282.5 240 256S261.5 208 288 208zM176 440C176 444.4 179.6 448 184 448S192 444.4 192 440V432c0-35.3 28.7-64 64-64h64c35.3 0 64 28.7 64 64v8c0 4.422 3.578 8 8 8s8-3.578 8-8V432c0-44.11-35.89-80-80-80H256c-44.11 0-80 35.89-80 80V440z"],
    "igloo": [576, 512, [], "f7ae", "M0 416V320C0 160.9 128.9 32 288 32C447.1 32 576 160.9 576 320V416C576 451.3 547.3 480 512 480H64C28.65 480 0 451.3 0 416zM560 320C560 273.7 548.4 230.1 528.1 192H464V336H560V320zM448 336V192H128V336H197.5C210.6 298.7 246.2 272 288 272C329.8 272 365.4 298.7 378.5 336H448zM384 368V464H512C538.5 464 560 442.5 560 416V352H382.7C383.5 357.2 384 362.5 384 368zM16 352V416C16 442.5 37.49 464 64 464H192V368C192 362.5 192.5 357.2 193.3 352H16zM112 192H48V191.9C27.58 230.1 16 273.7 16 320V336H112V192zM336 52.22V176H518.8C478.8 112.1 413 65.94 336 52.22zM57.2 176H320V49.86C309.5 48.63 298.8 48 288 48C190.7 48 105.3 99.13 57.2 176V176zM288 288C243.8 288 208 323.8 208 368V464H368V368C368 323.8 332.2 288 288 288z"],
    "image": [512, 512, [], "f03e", "M464 32h-416C21.49 32 0 53.49 0 80v352C0 458.5 21.49 480 48 480h416c26.51 0 48-21.49 48-48v-352C512 53.49 490.5 32 464 32zM48 464c-17.64 0-32-14.36-32-32v-51.31l106.3-106.3c3.125-3.125 8.188-3.125 11.31 0l79.03 79.03L102.1 464H48zM496 432c0 17.64-14.36 32-32 32H124.7l253.7-253.7c3.125-3.125 8.188-3.125 11.31 0L496 316.7V432zM496 294.1l-95.03-95.03c-9.375-9.344-24.56-9.344-33.94 0L224 342.1L144.1 263c-9.375-9.344-24.56-9.344-33.94 0L16 358.1V80c0-17.64 14.36-32 32-32h416c17.64 0 32 14.36 32 32V294.1zM128 104C97.07 104 72 129.1 72 160S97.07 216 128 216S184 190.9 184 160S158.9 104 128 104zM128 200C105.9 200 88 182.1 88 160c0-22.06 17.95-40 40-40S168 137.9 168 160C168 182.1 150.1 200 128 200z"],
    "image-landscape": [576, 512, ["landscape"], "e1b5", "M528 64h-480C21.49 64 0 85.49 0 112v288C0 426.5 21.49 448 48 448h480c26.51 0 48-21.49 48-48v-288C576 85.49 554.5 64 528 64zM68 432L185.6 275.2c3.031-4.094 9.75-4.094 12.78 0l39.6 52.8L159.1 432H68zM180 432l165.6-220.8c3.031-4.094 9.75-4.094 12.78 0L524 432H180zM560 400c0 12.75-7.627 23.59-18.45 28.73L371.2 201.6c-9.125-12.22-29.28-12.22-38.41 0L247.1 314.7L211.2 265.6c-9.125-12.22-29.28-12.22-38.41 0L47.1 432C30.36 432 16 417.6 16 400v-288c0-17.64 14.36-32 32-32h480c17.64 0 32 14.36 32 32V400zM128 144C101.5 144 80 165.5 80 192S101.5 240 128 240S176 218.5 176 192S154.5 144 128 144zM128 224C110.4 224 96 209.6 96 192s14.36-32 32-32s32 14.36 32 32S145.6 224 128 224z"],
    "image-polaroid": [448, 512, [], "f8c4", "M400 32h-352C21.49 32 0 53.49 0 80v352C0 458.5 21.49 480 48 480h352c26.51 0 48-21.49 48-48v-352C448 53.49 426.5 32 400 32zM432 432c0 17.64-14.36 32-32 32h-352c-17.64 0-32-14.36-32-32V352h416V432zM140.6 336h-105.9l90.28-94.66c1.688-1.75 4.375-1.75 6.062 0l49.91 52.34L140.6 336zM282.5 210.4c3-3.125 8.062-3.125 11.06 0L413.3 336H162.7L282.5 210.4zM432 332.4l-126.9-133c-9.125-9.5-25.06-9.5-34.19 0L191.1 282.1L142.6 230.3c-7.75-8.125-21.44-8.125-29.19 0L16 332.4V80c0-17.64 14.36-32 32-32h352c17.64 0 32 14.36 32 32V332.4zM112 104c-22.06 0-40 17.94-40 40S89.94 184 112 184S152 166.1 152 144S134.1 104 112 104zM112 168c-13.22 0-24-10.77-24-24S98.78 120 112 120S136 130.8 136 144S125.2 168 112 168z"],
    "image-polaroid-user": [448, 512, [], "e1b6", "M400 32h-352C21.49 32 0 53.49 0 80v352C0 458.5 21.49 480 48 480h352c26.51 0 48-21.49 48-48v-352C448 53.49 426.5 32 400 32zM432 432c0 17.64-14.36 32-32 32h-352c-17.64 0-32-14.36-32-32V352h416V432zM130.6 336C137.7 308.5 162.3 288 192 288h64c29.71 0 54.29 20.5 61.43 48H130.6zM432 336h-98.37C326.2 299.6 294.6 272 256 272H192c-38.62 0-70.17 27.59-77.63 64H16v-256c0-17.64 14.36-32 32-32h352c17.64 0 32 14.36 32 32V336zM224 112c-35.34 0-64 28.66-64 64s28.66 64 64 64c35.35 0 64-28.66 64-64S259.3 112 224 112zM224 224C197.5 224 176 202.5 176 176S197.5 128 224 128s48 21.53 48 48S250.5 224 224 224z"],
    "image-portrait": [384, 512, ["portrait"], "f3e0", "M336 0h-288c-26.51 0-48 21.49-48 48v416C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48v-416C384 21.49 362.5 0 336 0zM368 464c0 17.64-14.36 32-32 32h-288c-17.64 0-32-14.36-32-32v-416c0-17.64 14.36-32 32-32h288c17.64 0 32 14.36 32 32V464zM192 256c35.35 0 64-28.65 64-64s-28.65-64-64-64S128 156.7 128 192S156.7 256 192 256zM192 144c26.47 0 48 21.53 48 48S218.5 240 192 240S144 218.5 144 192S165.5 144 192 144zM224 288H160c-44.18 0-80 35.82-80 80C80 376.8 87.16 384 96 384h192c8.836 0 16-7.164 16-16C304 323.8 268.2 288 224 288zM96 368c0-35.29 28.71-64 64-64h64c35.29 0 64 28.71 64 64H96z"],
    "image-slash": [640, 512, [], "e1b7", "M528 48c17.64 0 32 14.36 32 32v214.1l-95.03-95.03c-9.375-9.344-24.56-9.344-33.94 0l-29.66 29.66l12.61 10.02l28.37-28.37c3.125-3.125 8.188-3.125 11.31 0L560 316.7v38.1l16 12.72V80C576 53.49 554.5 32 528 32H153.9l20.13 16H528zM188.7 464l122.8-122.8l-12.61-10.02L288 342.1L208.1 263c-9.375-9.344-24.56-9.344-33.94 0L80 358.1V157.2L64 144.5V432C64 458.5 85.49 480 112 480h374.1l-20.13-16H188.7zM112 464c-17.64 0-32-14.36-32-32v-51.31l106.3-106.3c3.125-3.125 8.188-3.125 11.31 0l79.03 79.03L166.1 464H112zM636.1 497.7L12.99 1.73C11.53 .5664 9.771 0 8.025 0C5.674 0 3.336 1.027 1.738 3.012c-2.75 3.469-2.172 8.5 1.281 11.25l623.1 496C628.5 511.4 630.2 512 631.1 512c2.344 0 4.688-1.031 6.266-3.016C641 505.5 640.4 500.5 636.1 497.7z"],
    "image-user": [512, 512, [], "e1b8", "M256 256c35.35 0 64-28.66 64-64s-28.65-64-64-64c-35.34 0-64 28.66-64 64S220.7 256 256 256zM256 144c26.47 0 48 21.53 48 48S282.5 240 256 240S208 218.5 208 192S229.5 144 256 144zM464 32h-416C21.49 32 0 53.49 0 80v352C0 458.5 21.49 480 48 480h416c26.51 0 48-21.49 48-48v-352C512 53.49 490.5 32 464 32zM496 432c0 17.64-14.36 32-32 32h-416c-17.64 0-32-14.36-32-32v-352c0-17.64 14.36-32 32-32h416c17.64 0 32 14.36 32 32V432zM288 288h-64c-44.18 0-80 35.82-80 80c0 8.836 7.164 16 16 16h192c8.836 0 16-7.164 16-16C368 323.8 332.2 288 288 288zM160 368c0-35.29 28.71-64 64-64h64c35.29 0 64 28.71 64 64H160z"],
    "images": [576, 512, [], "f302", "M224 88c-22.06 0-40 17.94-40 40s17.94 40 40 40s40-17.94 40-40S246.1 88 224 88zM224 152c-13.22 0-24-10.77-24-24s10.78-24 24-24s24 10.77 24 24S237.2 152 224 152zM472 416c-4.422 0-8 3.594-8 8c0 22.06-17.94 40-40 40h-352c-30.88 0-56-25.12-56-56v-256c0-22.06 17.94-40 40-40C60.42 112 64 108.4 64 104S60.42 96 56 96C25.13 96 0 121.1 0 152v256C0 447.7 32.3 480 72 480h352c30.88 0 56-25.12 56-56C480 419.6 476.4 416 472 416zM527.1 32H144c-26.5 0-48 21.5-48 48v256c0 26.5 21.5 48 48 48h383.1C554.5 384 576 362.5 576 336v-256C576 53.5 554.5 32 527.1 32zM144 368c-17.64 0-32-14.36-32-32V316.7l90.34-90.34c3.125-3.125 8.188-3.125 11.31 0l79.03 79.03L230.1 368H144zM560 336c0 17.64-14.36 32-32 32H252.7l205.7-205.7c3.125-3.125 8.188-3.125 11.31 0L560 252.7V336zM560 230.1l-79.03-79.03c-9.375-9.344-24.56-9.344-33.94 0L304 294.1L224.1 215c-9.375-9.344-24.56-9.344-33.94 0L112 294.1V80c0-17.64 14.36-32 32-32h384c17.64 0 32 14.36 32 32V230.1z"],
    "images-user": [576, 512, [], "e1b9", "M472 416c-4.422 0-8 3.594-8 8c0 22.06-17.94 40-40 40h-352c-30.88 0-56-25.12-56-56v-256c0-22.06 17.94-40 40-40C60.42 112 64 108.4 64 104S60.42 96 56 96C25.13 96 0 121.1 0 152v256C0 447.7 32.3 480 72 480h352c30.88 0 56-25.12 56-56C480 419.6 476.4 416 472 416zM528 32h-384C117.5 32 96 53.5 96 80v256C96 362.5 117.5 384 144 384h384c26.5 0 48-21.5 48-48v-256C576 53.5 554.5 32 528 32zM560 336c0 17.64-14.36 32-32 32h-384c-17.64 0-32-14.36-32-32v-256c0-17.64 14.36-32 32-32h384c17.64 0 32 14.36 32 32V336zM336 224c35.35 0 64-28.66 64-64s-28.65-64-64-64c-35.34 0-64 28.66-64 64S300.7 224 336 224zM336 112C362.5 112 384 133.5 384 160s-21.53 48-48 48S288 186.5 288 160S309.5 112 336 112zM368 256h-64C269.2 256 239.5 278.3 228.6 309.4C226.7 314.6 230.8 320 236.3 320c3.324 0 6.434-1.984 7.535-5.117C252.6 289.1 276.1 272 304 272h64c27.86 0 51.42 17.98 60.17 42.88C429.3 318 432.4 320 435.7 320c5.516 0 9.578-5.445 7.74-10.65C432.5 278.3 402.8 256 368 256z"],
    "inbox": [512, 512, [], "f01c", "M508.3 304.9l-61.25-248.7C443.5 42 430.7 31.1 416 31.1H96c-14.69 0-27.47 10-31.03 24.25L3.715 304.9C1.248 314.9 0 325.2 0 335.5v96.47c0 26.51 21.49 48 48 48h416c26.51 0 48-21.49 48-48v-96.47C512 325.2 510.8 314.9 508.3 304.9zM496 431.1c0 17.64-14.36 32-32 32h-416c-17.64 0-32-14.36-32-32v-96.47c0-9.016 1.094-18.03 3.25-26.79l61.24-248.6C82.28 52.99 88.65 47.1 96 47.1h320c7.346 0 13.72 4.988 15.5 12.08l61.25 248.7C494.9 317.5 496 326.5 496 335.5V431.1zM439 303.1H384c-3.031 0-5.812 1.719-7.156 4.438l-29.78 59.56H164.9L135.2 308.4C133.8 305.7 131 303.1 128 303.1H72.97c-4.406 0-8 3.594-8 8s3.594 8 8 8h50.09l29.78 59.56C154.2 382.3 156.1 383.1 160 383.1h192c3.031 0 5.812-1.719 7.156-4.438l29.78-59.56h50.09c4.406 0 8-3.594 8-8S443.4 303.1 439 303.1z"],
    "inbox-full": [512, 512, [], "e1ba", "M439 304H384c-3.031 0-5.812 1.719-7.156 4.438L347.1 368H164.9L135.2 308.4C133.8 305.7 131 304 128 304H72.97c-4.406 0-8 3.594-8 8s3.594 8 8 8h50.09l29.78 59.56C154.2 382.3 156.1 384 160 384h192c3.031 0 5.812-1.719 7.156-4.438L388.9 320h50.09c4.406 0 8-3.594 8-8S443.4 304 439 304zM508.3 304.9l-61.25-248.7C443.5 42 430.7 32 416 32H96C81.31 32 68.53 42 64.97 56.25l-61.25 248.7C1.248 314.9 0 325.2 0 335.5V432C0 458.5 21.49 480 48 480h416c26.51 0 48-21.49 48-48v-96.47C512 325.2 510.8 314.9 508.3 304.9zM496 432c0 17.64-14.36 32-32 32h-416c-17.64 0-32-14.36-32-32v-96.47c0-9.016 1.094-18.03 3.25-26.79l61.24-248.6C82.28 52.99 88.65 48 96 48h320c7.346 0 13.72 4.988 15.5 12.08l61.25 248.7C494.9 317.5 496 326.5 496 335.5V432zM112 256h288c4.406 0 8-3.594 8-8S404.4 240 400 240h-288c-4.406 0-8 3.594-8 8S107.6 256 112 256zM128 192h256c4.406 0 8-3.594 8-8S388.4 176 384 176H128c-4.406 0-8 3.594-8 8S123.6 192 128 192zM144 128h224c4.406 0 8-3.594 8-8S372.4 112 368 112h-224c-4.406 0-8 3.594-8 8S139.6 128 144 128z"],
    "inbox-in": [512, 512, [128229, "inbox-arrow-down"], "f310", "M250.3 285.7c3.125 3.125 8.188 3.125 11.31 0l122.8-122.8c1.562-1.562 2.344-3.594 2.344-5.656s-.7813-4.094-2.344-5.656c-3.125-3.125-8.188-3.125-11.31 0L264 260.7V7.1c0-4.406-3.578-7.1-8-7.1s-8 3.594-8 7.1v252.7L138.8 151.5c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31L250.3 285.7zM472 319.1H352c-3.031 0-5.812 1.719-7.156 4.438l-29.78 59.56H196.9l-29.78-59.56C165.8 321.7 163 319.1 160 319.1H40c-22.06 0-40 17.94-40 40v112c0 22.06 17.94 40 40 40h432c22.06 0 40-17.94 40-40v-112C512 337.9 494.1 319.1 472 319.1zM496 471.1c0 13.22-10.78 24-24 24H40c-13.22 0-24-10.78-24-24v-112c0-13.22 10.78-24 24-24h115.1l29.78 59.56C186.2 398.3 188.1 399.1 192 399.1h128c3.031 0 5.812-1.719 7.156-4.438l29.78-59.56H472c13.22 0 24 10.78 24 24V471.1z"],
    "inbox-out": [512, 512, [128228, "inbox-arrow-up"], "f311", "M138.8 136.5L248 27.31V280C248 284.4 251.6 288 256 288s8-3.594 8-8V27.31l109.2 109.2c3.125 3.125 8.188 3.125 11.31 0s3.125-8.188 0-11.31l-122.8-122.8c-3.125-3.125-8.188-3.125-11.31 0L127.5 125.2C125.1 126.7 125.2 128.8 125.2 130.8s.7813 4.094 2.344 5.656C130.6 139.6 135.7 139.6 138.8 136.5zM472 320H352c-3.031 0-5.812 1.719-7.156 4.438L315.1 384H196.9l-29.78-59.56C165.8 321.7 163 320 160 320H40C17.94 320 0 337.9 0 360v112C0 494.1 17.94 512 40 512h432c22.06 0 40-17.94 40-40v-112C512 337.9 494.1 320 472 320zM496 472c0 13.22-10.78 24-24 24H40c-13.22 0-24-10.78-24-24v-112c0-13.22 10.78-24 24-24h115.1l29.78 59.56C186.2 398.3 188.1 400 192 400h128c3.031 0 5.812-1.719 7.156-4.438L356.9 336H472c13.22 0 24 10.78 24 24V472z"],
    "inboxes": [512, 512, [], "e1bb", "M472 351.1H368c-3.031 0-5.812 1.719-7.156 4.438l-29.78 59.56H180.9l-29.78-59.56C149.8 353.7 147 351.1 144 351.1H40c-22.06 0-40 17.94-40 40v80c0 22.06 17.94 40 40 40h432c22.06 0 40-17.94 40-40v-80C512 369.9 494.1 351.1 472 351.1zM496 471.1c0 13.22-10.78 24-24 24H40c-13.22 0-24-10.78-24-24v-80c0-13.22 10.78-24 24-24h99.06l29.78 59.56C170.2 430.3 172.1 431.1 176 431.1h160c3.031 0 5.812-1.719 7.156-4.438l29.78-59.56H472c13.22 0 24 10.78 24 24V471.1zM440 159.1H368c-3.031 0-5.812 1.719-7.156 4.438l-29.78 59.56H180.9L151.2 164.4C149.8 161.7 147 159.1 144 159.1H72c-4.418 0-8 3.582-8 8s3.582 8 8 8h67.06l29.78 59.56C170.2 238.3 172.1 239.1 176 239.1h160c3.031 0 5.812-1.719 7.156-4.438l29.78-59.56H440c4.418 0 8-3.582 8-8S444.4 159.1 440 159.1zM507.7 180.9l-61.99-160.8C440.8 7.969 429.1 0 416 0H96c-13.09 0-24.84 7.969-29.72 20.12L4.287 180.9C1.453 188.2 0 196 0 203.9V271.1c0 26.51 21.49 48 48 48h416c26.51 0 48-21.49 48-48V203.9C512 196 510.5 188.2 507.7 180.9zM496 271.1c0 17.64-14.36 32-32 32h-416c-17.64 0-32-14.36-32-32V203.9c0-5.93 1.082-11.74 3.215-17.27l61.92-160.6C83.59 19.96 89.42 15.1 96 15.1h320c6.576 0 12.41 3.957 14.79 9.883l61.99 160.8C494.9 192.2 496 197.1 496 203.9V271.1z"],
    "indent": [448, 512, [], "f03c", "M-.0006 64C-.0006 59.58 3.581 56 7.999 56H440C444.4 56 448 59.58 448 64C448 68.42 444.4 72 440 72H7.999C3.581 72-.0006 68.42-.0006 64V64zM191.1 192C191.1 187.6 195.6 184 199.1 184H440C444.4 184 448 187.6 448 192C448 196.4 444.4 200 440 200H199.1C195.6 200 191.1 196.4 191.1 192zM440 312C444.4 312 448 315.6 448 320C448 324.4 444.4 328 440 328H199.1C195.6 328 191.1 324.4 191.1 320C191.1 315.6 195.6 312 199.1 312H440zM-.0006 448C-.0006 443.6 3.581 440 7.999 440H440C444.4 440 448 443.6 448 448C448 452.4 444.4 456 440 456H7.999C3.581 456-.0006 452.4-.0006 448V448zM121 243.6C128.8 250 128.8 261.1 121 268.4L26.17 346.4C15.73 355-.001 347.6-.001 334.1V177.9C-.001 164.4 15.73 156.1 26.17 165.6L121 243.6zM15.1 177.9V334.1L110.8 256L15.1 177.9z"],
    "indian-rupee-sign": [320, 512, ["indian-rupee", "inr"], "e1bc", "M.0003 40C.0003 35.58 3.582 32 8 32H112C114.2 32 116.3 32.05 118.5 32.14C118.1 32.05 119.5 32 120 32H312C316.4 32 320 35.58 320 40C320 44.42 316.4 48 312 48H178C222.1 70.79 252.9 115.7 255.8 168H312C316.4 168 320 171.6 320 176C320 180.4 316.4 184 312 184H255.8C251.6 259.8 188.8 320 112 320H34.42L252.4 465.3C256.1 467.8 257.1 472.8 254.7 476.4C252.2 480.1 247.2 481.1 243.6 478.7L3.563 318.7C.6298 316.7-.6778 313.1 .3437 309.7C1.365 306.3 4.475 304 8 304H112C180 304 235.6 250.1 239.8 184H8.001C3.582 184 .0006 180.4 .0006 176C.0006 171.6 3.582 168 8.001 168H239.8C235.6 101 180 48 112 48H8C3.582 48 .0003 44.42 .0003 40V40z"],
    "industry": [576, 512, [], "f275", "M32 72C32 49.91 49.91 32 72 32H152C174.1 32 192 49.91 192 72V200.7L319.9 126.1C341.2 113.7 368 129.1 368 153.8V196.9L496.4 125C517.7 113.1 544 128.5 544 152.9V424C544 454.9 518.9 480 488 480H88C57.07 480 32 454.9 32 424V72zM72 48C58.75 48 48 58.75 48 72V424C48 446.1 65.91 464 88 464H488C510.1 464 528 446.1 528 424V152.9C528 140.7 514.8 133 504.2 138.1L363.9 217.5C361.4 218.9 358.4 218.9 355.1 217.5C353.5 216 352 213.4 352 210.6V153.8C352 141.4 338.6 133.7 327.9 139.1L188 221.6C185.6 223 182.5 223 180 221.6C177.5 220.2 176 217.5 176 214.7V72C176 58.75 165.3 48 152 48L72 48z"],
    "industry-windows": [576, 512, [127981, "industry-alt"], "f3b3", "M176 304C189.3 304 200 314.7 200 328V360C200 373.3 189.3 384 176 384H144C130.7 384 120 373.3 120 360V328C120 314.7 130.7 304 144 304H176zM136 360C136 364.4 139.6 368 144 368H176C180.4 368 184 364.4 184 360V328C184 323.6 180.4 320 176 320H144C139.6 320 136 323.6 136 328V360zM248 328C248 314.7 258.7 304 272 304H304C317.3 304 328 314.7 328 328V360C328 373.3 317.3 384 304 384H272C258.7 384 248 373.3 248 360V328zM272 320C267.6 320 264 323.6 264 328V360C264 364.4 267.6 368 272 368H304C308.4 368 312 364.4 312 360V328C312 323.6 308.4 320 304 320H272zM432 304C445.3 304 456 314.7 456 328V360C456 373.3 445.3 384 432 384H400C386.7 384 376 373.3 376 360V328C376 314.7 386.7 304 400 304H432zM392 360C392 364.4 395.6 368 400 368H432C436.4 368 440 364.4 440 360V328C440 323.6 436.4 320 432 320H400C395.6 320 392 323.6 392 328V360zM136 32C158.1 32 176 49.91 176 72V198.4L321.3 123.1C342.6 112 368 127.5 368 151.5V196.9L496.4 125C517.7 113.1 544 128.5 544 152.9V424C544 454.9 518.9 480 488 480H88C57.07 480 32 454.9 32 424V72C32 49.91 49.91 32 72 32H136zM48 424C48 446.1 65.91 464 88 464H488C510.1 464 528 446.1 528 424V152.9C528 140.7 514.8 133 504.2 138.1L363.9 217.5C361.4 218.9 358.4 218.9 355.1 217.5C353.5 216 352 213.4 352 210.6V151.5C352 139.5 339.3 131.8 328.6 137.3L171.7 218.7C169.2 219.9 166.2 219.8 163.8 218.4C161.5 216.9 160 214.3 160 211.6V72C160 58.75 149.3 48 136 48H72C58.75 48 48 58.75 48 72V424z"],
    "infinity": [640, 512, [9854, 8734], "f534", "M482.2 119.1c-70.85 0-133.1 78.13-162.2 121.4C286.8 191.8 226.7 119.1 157.8 119.1c-73.78 0-133.8 61-133.8 136s60 136 133.8 136c70.85 0 133.1-78.13 162.2-121.4c33.24 49.57 93.32 121.4 162.2 121.4c73.78 0 133.8-61 133.8-136S556 119.1 482.2 119.1zM157.8 375.1c-64.94 0-117.8-53.84-117.8-120s52.84-120 117.8-120c66.19 0 127 80.69 152.7 120C284.9 295.3 224.2 375.1 157.8 375.1zM482.2 375.1c-66.19 0-127-80.69-152.7-120c25.59-39.34 86.28-120 152.7-120c64.94 0 117.8 53.84 117.8 120S547.2 375.1 482.2 375.1z"],
    "info": [192, 512, [], "f129", "M184 464h-80V200c0-4.406-3.594-7.99-8-7.99L40 192C35.59 192 32 195.6 32 200S35.59 208 40 208h48v256h-80C3.594 464 0 467.6 0 472S3.594 480 8 480h176c4.406 0 8-3.594 8-8S188.4 464 184 464zM80 128C106.5 128 128 106.5 128 80S106.5 32 80 32S32 53.49 32 80S53.49 128 80 128zM80 48c17.64 0 32 14.36 32 32s-14.36 32-32 32s-32-14.35-32-31.99S62.36 48 80 48z"],
    "inhaler": [576, 512, [], "f5f9", "M371.7 115.1c-3.21-3.211-7.252-4.695-11.24-4.695c-6.92 0-13.67 4.473-15.58 12.13l-25.13 100.6L239.9 224c-26.49 0-47.98 21.49-47.98 47.1v159.1C191.9 458.5 213.4 480 239.9 480h198.2c27.53 0 51.96-17.63 60.67-43.76l43.12-129.5c3.829-11.5 .8392-24.18-7.724-32.75L371.7 115.1zM526.8 301.7l-43.13 129.5c-6.538 19.63-24.82 32.82-45.5 32.82H239.8c-17.63 0-31.97-14.36-31.97-31.1V272c0-17.64 14.34-31.1 31.97-31.1h92.42l28.16-112.7c.0254-.0156-.0429 0 0 0l162.5 158C527.2 289.6 528.7 295.9 526.8 301.7zM572.2 66.45c-3.435-5.219-8.696-8.718-14.82-9.875l-126.6-24.19c-12.29-2.281-24.12 5.719-26.63 17.84L394.7 95.42c-.9055 4.312 1.873 8.562 6.182 9.468c4.403 .75 8.556-1.875 9.461-6.219l9.414-45.19c.765-3.625 4.278-5.937 8.009-5.375l126.6 24.19c1.827 .3437 3.404 1.375 4.434 2.969c1.03 1.562 1.374 3.437 .968 5.25l-29.69 133.7c-.9524 4.312 1.764 8.593 6.073 9.562c.5777 .125 1.171 .1875 1.733 .1875c3.669 0 6.979-2.531 7.806-6.25l29.69-133.7C576.8 77.92 575.7 71.67 572.2 66.45zM31.99 224C14.34 224 0 238.3 0 256s14.34 31.1 31.99 31.1c17.66 0 31.99-14.33 31.99-31.1S49.65 224 31.99 224zM31.97 272c-8.815 0-15.99-7.176-15.99-15.1c0-8.824 7.172-15.1 15.99-15.1s15.99 7.176 15.99 15.1C47.96 264.8 40.79 272 31.97 272zM127.1 272c-17.66 0-31.99 14.33-31.99 31.1s14.34 31.1 31.99 31.1c17.66 0 31.99-14.33 31.99-31.1S145.6 272 127.1 272zM127.9 320c-8.815 0-15.99-7.176-15.99-15.1c0-8.824 7.172-15.1 15.99-15.1s15.99 7.176 15.99 15.1C143.9 312.8 136.7 320 127.9 320zM31.99 320C14.34 320 0 334.3 0 352c0 17.67 14.34 31.1 31.99 31.1c17.66 0 31.99-14.33 31.99-31.1C63.99 334.3 49.65 320 31.99 320zM31.97 368c-8.815 0-15.99-7.176-15.99-15.1c0-8.824 7.172-15.1 15.99-15.1s15.99 7.176 15.99 15.1C47.96 360.8 40.79 368 31.97 368zM31.99 416C14.34 416 0 430.3 0 448c0 17.67 14.34 31.1 31.99 31.1c17.66 0 31.99-14.33 31.99-31.1C63.99 430.3 49.65 416 31.99 416zM31.97 464c-8.815 0-15.99-7.176-15.99-15.1c0-8.824 7.172-15.1 15.99-15.1s15.99 7.176 15.99 15.1C47.96 456.8 40.79 464 31.97 464zM127.1 368c-17.66 0-31.99 14.33-31.99 31.1c0 17.67 14.34 31.1 31.99 31.1c17.66 0 31.99-14.33 31.99-31.1C159.1 382.3 145.6 368 127.1 368zM127.9 416c-8.815 0-15.99-7.176-15.99-15.1s7.172-15.1 15.99-15.1s15.99 7.176 15.99 15.1S136.7 416 127.9 416z"],
    "input-numeric": [640, 512, [], "e1bd", "M104 176C104 171.6 107.6 168 112 168H144C148.4 168 152 171.6 152 176V328H176C180.4 328 184 331.6 184 336C184 340.4 180.4 344 176 344H112C107.6 344 104 340.4 104 336C104 331.6 107.6 328 112 328H136V184H112C107.6 184 104 180.4 104 176zM246.1 213.1C243.3 216.5 238.3 216.1 234.9 214.1C231.5 211.3 231 206.3 233.9 202.9L246.2 188C264.3 166.4 296.5 163.8 317.7 182.4C338.5 200.5 340.7 232.1 322.6 252.9L257.5 328H336C340.4 328 344 331.6 344 336C344 340.4 340.4 344 336 344H240C236.9 344 234 342.2 232.7 339.3C231.4 336.5 231.9 333.1 233.1 330.8L310.5 242.4C322.8 228.2 321.3 206.8 307.2 194.4C292.8 181.8 270.8 183.5 258.5 198.3L246.1 213.1zM576 64C611.3 64 640 92.65 640 128V384C640 419.3 611.3 448 576 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H576zM576 80H64C37.49 80 16 101.5 16 128V384C16 410.5 37.49 432 64 432H576C602.5 432 624 410.5 624 384V128C624 101.5 602.5 80 576 80z"],
    "input-pipe": [640, 512, [], "e1be", "M128 344C128 348.4 124.4 352 120 352C115.6 352 112 348.4 112 344V168C112 163.6 115.6 160 120 160C124.4 160 128 163.6 128 168V344zM0 128C0 92.65 28.65 64 64 64H576C611.3 64 640 92.65 640 128V384C640 419.3 611.3 448 576 448H64C28.65 448 0 419.3 0 384V128zM16 128V384C16 410.5 37.49 432 64 432H576C602.5 432 624 410.5 624 384V128C624 101.5 602.5 80 576 80H64C37.49 80 16 101.5 16 128z"],
    "input-text": [640, 512, [], "e1bf", "M160 160C163.2 160 166.2 161.1 167.4 164.1L239.4 340.1C241.1 345.1 239.1 349.7 235 351.4C230.9 353.1 226.3 351.1 224.6 347L210.3 312H109.7L95.4 347C93.73 351.1 89.06 353.1 84.97 351.4C80.88 349.7 78.92 345.1 80.6 340.1L152.6 164.1C153.8 161.1 156.8 160 160 160V160zM116.3 296H203.7L160 189.1L116.3 296zM272 168C272 163.6 275.6 160 280 160H332C360.7 160 384 183.3 384 212C384 227.7 377.1 241.7 366.1 251.2C385.9 258.6 400 277.7 400 300C400 328.7 376.7 352 348 352H280C275.6 352 272 348.4 272 344V168zM288 248H332C351.9 248 368 231.9 368 212C368 192.1 351.9 176 332 176H288V248zM288 264V336H348C367.9 336 384 319.9 384 300C384 280.1 367.9 264 348 264H288zM0 128C0 92.65 28.65 64 64 64H576C611.3 64 640 92.65 640 128V384C640 419.3 611.3 448 576 448H64C28.65 448 0 419.3 0 384V128zM16 128V384C16 410.5 37.49 432 64 432H576C602.5 432 624 410.5 624 384V128C624 101.5 602.5 80 576 80H64C37.49 80 16 101.5 16 128z"],
    "integral": [320, 512, [], "f667", "M288 68V72c0 4.406-3.578 8-8 8S272 76.41 272 72V68c0-28.69-23.33-52-52-52S168 39.31 168 68v376C168 481.5 137.5 512 100 512S32 481.5 32 444V440c0-4.406 3.578-8 8-8s8 3.594 8 8v4c0 28.69 23.33 52 52 52s52-23.31 52-52V68C152 30.5 182.5 0 220 0S288 30.5 288 68z"],
    "intersection": [384, 512, [8898], "f668", "M384 224V472c0 4.406-3.578 8-8 8s-8-3.594-8-8V224c0-97.03-78.95-176-176-176S16 126.1 16 224v248C16 476.4 12.42 480 8 480S0 476.4 0 472V224c0-105.9 86.13-192 192-192S384 118.1 384 224z"],
    "island-tropical": [448, 512, [127965, "island-tree-palm"], "f811", "M328.6 32c-26.15 0-51.48 7.375-72.3 20.88C235.1 20.5 195.1 0 151.8 0c-60.07 0-110.2 37.13-119.2 88.53c-.8273 6 .9054 12 4.73 16.44C41.22 109.4 46.94 112 53.04 112h68.37C91.7 152.9 87.9 205.3 113.7 242.1c3.668 4.875 9.147 7.875 14.94 8.281c.5151 .0313 1.03 .0625 1.53 .0625c5.385 0 10.61-2.188 14.55-6.156l71.19-71.27c1.731 67.04-8.976 132.8-18.75 177.3C197 350.9 197.5 351.4 197.5 352H136.3c-67.53 0-125.1 50.44-135.9 117.3c-1.592 10.78 1.577 21.69 8.679 29.94C16.08 507.3 26.19 512 36.87 512h310.4c10.66 0 20.79-4.656 27.77-12.75c7.102-8.25 10.27-19.16 8.663-29.97c-7.139-48.08-39.56-87.31-82.23-105.8C310 280.4 295.6 194 284.5 144h142.9c6.103 0 11.82-2.562 15.67-7.031c3.824-4.438 5.557-10.44 4.683-16.72C438.8 69.13 388.7 32 328.6 32zM367.9 471.6c.921 6.219-.8897 12.47-4.948 17.16C358.9 493.4 353.3 496 347.2 496H36.87c-6.103 0-11.68-2.562-15.69-7.219c-4.059-4.688-5.869-10.97-4.964-17.12C25.02 412.6 76.66 368 136.3 368h111.4C307.4 368 359.1 412.6 367.9 471.6zM285.8 358C273.6 354.4 260.1 352 247.8 352h-34.61c10.49-48.22 22.05-120.1 18.42-192.4c-.0312-.625-.5639-.9766-.722-1.543L244.9 144h23.28C278.1 191.7 293.6 276.4 285.8 358zM430.1 126.5C430.2 127.5 428.9 128 427.4 128h-43.33V104c0-4.406-3.575-8-7.992-8s-7.992 3.594-7.992 8L368 128h-129.8L188.1 177.4L173.1 162.3c-3.122-3.125-8.179-3.125-11.3 0s-3.122 8.188 0 11.31L177.7 188.7L133.4 232.1C132.4 233.9 131.3 234.4 129.8 234.4C128.6 234.3 127.3 233.6 126.6 232.7C102.4 198 109.7 146.2 144.2 109.5L156.8 96H112.4V72c0-4.406-3.575-8-7.992-8C99.95 64 96.37 67.59 96.37 72V96H53.04C51.56 96 50.29 95.47 49.48 94.53C48.65 93.56 48.28 92.16 48.42 91C55.93 48.25 100.4 16 151.8 16c40.8 0 78.1 20.47 95 52.16l4.433 8.281l7.461-5.688C277.1 56.06 302.8 48 328.6 48c51.43 0 95.89 32.25 103.4 74.72C432.2 124.2 431.8 125.6 430.1 126.5z"],
    "italic": [384, 512, [], "f033", "M384 40c0 4.422-3.594 8-8 8h-91.77l-168 416H216c4.406 0 8 3.578 8 8S220.4 480 216 480h-208C3.594 480 0 476.4 0 472s3.594-8 8-8h91.77l168-416H168C163.6 48 160 44.42 160 40S163.6 32 168 32h208C380.4 32 384 35.58 384 40z"],
    "j": [320, 512, [106], "4a", "M160 480c-88.22 0-160-71.79-160-160V264C0 259.6 3.594 256 8 256S16 259.6 16 264V320c0 79.41 64.59 144 144 144s144-64.59 144-144V40C304 35.59 307.6 32 312 32S320 35.59 320 40V320C320 408.2 248.2 480 160 480z"],
    "jack-o-lantern": [576, 512, [127875], "f30e", "M439.5 319.1c-16.4 0-57.64 40.93-151.5 40.93H280v20.94c0 3.656-2.875 6.531-6.531 6.531H258.9c-3.656 0-6.531-2.875-6.531-6.531v-23.34l-6.797-1.031C177.7 347.1 149.1 319.1 136.6 319.1c-11.51 0-22.55 9.348-22.55 22.25c0 7.716 8.488 27.67 19.68 43.48c8.391 11.72 19.39 22.03 33.64 31.53l12.2 8.125l.2344-14.66c.0625-3.562 2.875-6.344 6.422-6.344h14.55c3.656 0 6.531 2.875 6.531 6.562v25.53l5.75 1.688C235.4 444.7 260.6 447.1 288 447.1s52.59-3.311 74.94-9.842l5.75-1.688v-25.53c0-3.687 2.875-6.562 6.531-6.562h14.55c3.5 0 6.312 2.781 6.422 6.344l.4375 14.28l11.95-7.844c13.94-9.156 25.42-19.91 34.14-31.1c10.54-14.8 19.23-35.05 19.23-42.93C461.1 329.2 450.9 319.1 439.5 319.1zM445.6 344.3c-10.75 31.14-26.95 45.37-37.47 53.53c-4.062-5.781-10.75-9.5-18.34-9.5h-14.55c-12.42 0-22.53 10.12-22.53 22.56v13.44C333.2 429.4 310.6 431.1 288 431.1s-45.23-2.531-64.69-7.594v-13.44c0-12.44-10.11-22.56-22.53-22.56H186.2c-7.531 0-14.25 3.812-18.33 9.594c-29.86-23.11-37.87-54.93-37.87-55.77c0-3.48 3.381-6.235 6.531-6.235c5.476 0 36.5 25.08 99.83 36.19v9.687c0 12.44 10.11 22.53 22.53 22.53h14.55c12.42 0 22.53-10.09 22.53-22.53v-5.031c88.92-2.401 137-40.83 143.4-40.83c2.485 0 6.54 2.092 6.54 6.191C445.1 342.8 445.9 343.6 445.6 344.3zM248 104c3.094 0 6.047-1.812 7.344-4.844l33.58-78.1c1.158-2.863 4.097-5.078 7.422-5.078c1.17 0 2.388 .2742 3.593 .8908l39.61 19.75C342.3 37.1 344 40.72 344 43.72v52.28c0 4.406 3.578 7.1 8 7.1s8-3.594 8-7.1V43.72c0-9.094-5.094-17.31-13.31-21.41l-39.53-19.72c-1.999-1.026-5.747-2.589-10.78-2.589c-10.11 0-18.76 6.304-22.22 14.93l-33.5 77.91c-.4448 1.033-.6555 2.106-.6555 3.161C240 99.49 242.8 104 248 104zM432.2 130.2c-22.05 0-39.64 7.97-44.02 11.4C359.6 127.3 326.1 119.9 288 119.9S216.4 127.3 187.8 141.6C183.5 138.2 165.8 130.3 143.8 130.3C59.19 130.3 0 246.5 0 319.9c0 87.93 67.07 192.1 155.3 192.1c23.82 0 47.66-7.076 67.25-20.99c18.31 13.81 40.31 20.99 65.45 20.99c25.09 0 47.1-7.05 65.51-20.83C373.1 505.1 396.9 512 420.8 512C508.4 512 576 408.5 576 319.9C576 250.5 518.1 130.2 432.2 130.2zM420.8 495.8c-44.45 0-59.88-22.74-67.38-22.74c-8.076 0-20.6 22.91-65.4 22.91c-44.79 0-57.16-22.88-65.29-22.88c-7.471 0-23.26 22.69-67.39 22.69C77.86 495.7 16 400.9 16 319.8c0-84.61 65.56-172.8 126.7-172.8c9.229 0 18.54 1.6 27.58 4.778C156.3 160.8 136 177.5 136 183.1c0 4.994 4.138 7.993 8.021 7.993c9.592 0 40.14-55.98 143.1-55.98c103.9 0 134.3 55.99 144 55.99c4.436 0 7.996-3.591 7.996-8.001c0-6.276-19.72-22.79-34.25-32.29c9.038-3.178 18.34-4.778 27.57-4.778C494.9 146.9 560 235.8 560 319.8C560 399.7 499.1 495.8 420.8 495.8zM167.1 296h73.98c10.35 0 13.99-8.237 13.99-13.84c0-2.46-.5782-4.995-1.784-7.347L216.7 214.3C213.7 210.2 208.1 207.1 204.4 207.1c-3.038 0-8.896 1.491-11.61 6.878L155.5 275.2C154.4 277.3 153.9 279.6 153.9 281.1C153.9 289.2 158.1 296 167.1 296zM204.1 225.5l34.39 54.5H171.3L204.1 225.5zM331 296h73.98c10.29 0 13.99-8.226 13.99-13.85c0-2.45-.5749-4.981-1.775-7.336l-37.42-60.56c-3.004-4.005-7.545-6.297-12.24-6.297c-3.078 0-8.992 1.477-11.76 6.922L318.6 275.2c-1.112 2.044-1.664 4.423-1.664 6.81C316.9 289.3 322.1 296 331 296zM368 225.5l34.39 54.5h-68L368 225.5z"],
    "jar": [320, 512, [], "e516", "M48 66.02V32C48 14.33 62.33 0 80 0H240C257.7 0 272 14.33 272 32V66.02C299.6 73.12 320 98.18 320 128V448C320 483.3 291.3 512 256 512H64C28.65 512 0 483.3 0 448V128C0 98.18 20.4 73.12 48 66.02V66.02zM64 32V64H256V32C256 23.16 248.8 16 240 16H80C71.16 16 64 23.16 64 32zM256 80H64C37.49 80 16 101.5 16 128V192H304V128C304 101.5 282.5 80 256 80zM304 368V208H16V368H304zM16 384V448C16 474.5 37.49 496 64 496H256C282.5 496 304 474.5 304 448V384H16z"],
    "jar-wheat": [320, 512, [], "e517", "M152 224H128C83.82 224 48 188.2 48 144C48 135.2 55.16 128 64 128H88C119.7 128 147 146.4 160 173.1C172.1 146.4 200.3 128 232 128H256C264.8 128 272 135.2 272 144C272 188.2 236.2 224 192 224H168C165.1 224 162.4 223.2 160 221.9C157.6 223.2 154.9 224 152 224zM256 144H232C196.7 144 168 172.7 168 208H192C227.3 208 256 179.3 256 144zM152 208C152 172.7 123.3 144 88 144H64C64 179.3 92.65 208 128 208H152zM168 328C165.1 328 162.4 327.2 160 325.9C157.6 327.2 154.9 328 152 328H128C83.82 328 48 292.2 48 248C48 239.2 55.16 232 64 232H88C119.7 232 147 250.4 160 277.1C172.1 250.4 200.3 232 232 232H256C264.8 232 272 239.2 272 248C272 292.2 236.2 328 192 328H168zM168 312H192C227.3 312 256 283.3 256 248H232C196.7 248 168 276.7 168 312zM64 248C64 283.3 92.65 312 128 312H152C152 276.7 123.3 248 88 248H64zM168 432V456C168 460.4 164.4 464 160 464C155.6 464 152 460.4 152 456V432H128C83.82 432 48 396.2 48 352C48 343.2 55.16 336 64 336H88C119.7 336 147 354.4 160 381.1C172.1 354.4 200.3 336 232 336H256C264.8 336 272 343.2 272 352C272 396.2 236.2 432 192 432H168zM256 352H232C196.7 352 168 380.7 168 416H192C227.3 416 256 387.3 256 352zM64 352C64 387.3 92.65 416 128 416H152C152 380.7 123.3 352 88 352H64zM48 32C48 14.33 62.33 0 80 0H240C257.7 0 272 14.33 272 32V66.02C299.6 73.12 320 98.18 320 128V448C320 483.3 291.3 512 256 512H64C28.65 512 0 483.3 0 448V128C0 98.18 20.4 73.12 48 66.02V32zM240 16H80C71.16 16 64 23.16 64 32V64H256V32C256 23.16 248.8 16 240 16zM16 128V448C16 474.5 37.49 496 64 496H256C282.5 496 304 474.5 304 448V128C304 101.5 282.5 80 256 80H64C37.49 80 16 101.5 16 128z"],
    "jedi": [576, 512, [], "f669", "M445.3 20.45C441.3 17.57 436.6 16 431.6 16c-7.875 .125-15.37 4-19.87 10.62c-4.375 6.625-5.46 14.96-2.46 22.33c5.875 14.88 8.958 30.67 8.958 46.67c0 41.13-19.08 78.88-52.58 103.6c-5.75 4.375-9.458 11.08-9.833 18.33s2.667 14.29 8.042 19.17C387.6 257.9 401.1 288.1 401.1 320c0 26.66-19.77 104.9-105.1 109.8v-74.46l42.34 42.34C339.9 399.2 341.9 400 344 400s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31L307.3 344H368c4.406 0 8-3.594 8-8s-3.594-8-8-8h-60.69l42.34-42.34c3.125-3.125 3.125-8.188 0-11.31s-8.188-3.125-11.31 0L296 316.7l-.0154-308.9C295.1 3.422 292.4 0 287.1 0S280 3.422 280 7.828L280 316.7L237.7 274.3c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31L268.7 328H208c-4.406 0-8 3.594-8 8s3.594 8 8 8h60.69l-42.34 42.34c-3.125 3.125-3.125 8.188 0 11.31C227.9 399.2 229.9 400 232 400s4.094-.7813 5.656-2.344L280 355.3v74.46C194.7 424.9 174.9 346.7 174.9 320c0-31.88 13.44-62.13 37.19-83.25c5.375-4.875 8.375-11.88 8-19.12s-4-13.96-9.75-18.33c-33.5-24.75-52.62-62.54-52.62-103.7c0-16 3-31.75 8.875-46.63c3-7.375 2-15.71-2.375-22.33C159.7 20.04 152.2 16.17 144.3 16.04c-4.998 0-9.735 1.58-13.74 4.455C54.74 74.12 11.98 161.4 16.23 254C22.73 394.7 141.6 511.1 287.1 512c146.4-.0117 265.2-117.3 271.7-257.1C563.1 161.4 521.2 74.07 445.3 20.45zM288 496c-134.8-.0117-249.5-108.9-255.7-242.7c-.2676-5.848 .168-11.59 .2949-17.39l57.78 57.78C91.91 295.2 93.94 296 96 296s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31L33.75 214.4c2.182-20.56 6.73-40.57 13.67-59.7l74.92 74.92C123.9 231.2 125.9 232 128 232s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31L54.06 138.7c18.34-41.43 47.4-78.02 85.94-105.3C140.9 32.81 142.5 32 144.2 32c2.809 .043 5.385 1.395 6.777 3.441c1.537 2.328 1.877 5.145 .8457 7.68C145.1 59.91 141.8 77.58 141.8 95.63c0 46.28 21.54 88.74 58.93 116.4c2.037 1.547 3.33 3.965 3.459 6.469c.123 2.387-.8867 4.738-2.656 6.344C174.4 248.9 158.9 283.6 158.9 320c0 41.13 31.55 126.1 129.1 126.2C385.5 446.1 417.1 361.1 417.1 320c0-36.41-15.53-71.11-42.5-95.1c-1.885-1.707-2.895-4.059-2.771-6.445c.1289-2.504 1.422-4.922 3.279-6.336c37.57-27.75 59.11-70.21 59.11-116.5c0-18.05-3.363-35.71-10.05-52.65c-.9707-2.387-.6309-5.203 .7891-7.355C426.4 33.43 428.1 32.09 431.7 32c1.871 .0352 3.361 .8281 4.391 1.566c38.47 27.19 67.51 63.75 85.84 105.2l-79.61 79.61c-3.125 3.125-3.125 8.188 0 11.31C443.9 231.2 445.9 232 448 232s4.094-.7813 5.656-2.344l74.93-74.92c6.941 19.12 11.49 39.14 13.67 59.7l-67.91 67.91c-3.125 3.125-3.125 8.188 0 11.31C475.9 295.2 477.9 296 480 296s4.094-.7813 5.656-2.344l57.78-57.78c.127 5.797 .5625 11.54 .2949 17.39C537.5 387.1 422.8 495.1 288 496z"],
    "jet-fighter": [640, 512, ["fighter-jet"], "f0fb", "M8 264C3.582 264 0 260.4 0 256C0 251.6 3.582 248 8 248H32V184C32 161.9 49.91 144 72 144H92.41C101.8 144 110.8 147.3 118 153.3L154.9 184H192V16C187.6 16 184 12.42 184 8C184 3.582 187.6 0 192 0H304C308.4 0 312 3.582 312 8C312 12.42 308.4 16 304 16H263.9L388 184H485C493.2 184 501.3 185.4 509 188.1L619.6 227.1C631.8 231.5 640 243 640 256C640 268.1 631.8 280.5 619.6 284.9L509 323.9C501.3 326.6 493.2 328 485 328H388L263.9 496H304C308.4 496 312 499.6 312 504C312 508.4 308.4 512 304 512H192C187.6 512 184 508.4 184 504C184 499.6 187.6 496 192 496V328H154.9L118 358.7C110.8 364.7 101.8 368 92.41 368H72C49.91 368 32 350.1 32 328V264H8zM208 184H368.1L243.1 16H207.1L208 184zM149.1 200L107.8 165.6C103.5 161.1 98.03 160 92.41 160H72C58.75 160 48 170.7 48 184V248H152C156.4 248 160 251.6 160 256C160 260.4 156.4 264 152 264H48V328C48 341.3 58.75 352 72 352H92.41C98.03 352 103.5 350 107.8 346.4L149.1 312H485C491.4 312 497.7 310.9 503.7 308.8L614.2 269.8C620.1 267.7 624 262.2 624 256C624 249.8 620.1 244.3 614.2 242.2L503.7 203.2C497.7 201.1 491.4 200 485 200H149.1zM208 496H243.1L368.1 328H207.1L208 496z"],
    "jet-fighter-up": [576, 512, [], "e518", "M353.1 127.6C357.7 137.2 360 147.7 360 158.3V215.1C361.4 215.1 362.8 216.4 364.1 217.1L528 313.1V264C528 259.6 531.6 256 536 256C540.4 256 544 259.6 544 264V408C544 412.4 540.4 416 536 416C531.6 416 528 412.4 528 408V384H360V389.1L410.5 450.5C414.1 454.8 416 460.2 416 465.7V488C416 501.3 405.3 512 392 512H184C170.7 512 160 501.3 160 488V465.7C160 460.2 161.9 454.8 165.5 450.5L216 389.1V384H48V408C48 412.4 44.42 416 40 416C35.58 416 32 412.4 32 408V264C32 259.6 35.58 256 40 256C44.42 256 48 259.6 48 264V313.1L211.9 217.1C213.2 216.4 214.6 215.1 216 215.1V158.3C216 147.7 218.3 137.2 222.9 127.6L280.8 4.594C282.1 1.79 284.9 0 288 0C291.1 0 293.9 1.79 295.2 4.594L353.1 127.6zM392 496C396.4 496 400 492.4 400 488V465.7C400 463.9 399.4 462.1 398.2 460.7L345.8 397.1C344.6 395.7 344 393.9 344 392V158.3C344 150.1 342.2 141.9 338.7 134.5L287.1 26.79L237.3 134.5C233.8 141.9 231.1 150.1 231.1 158.3V392C231.1 393.9 231.4 395.7 230.2 397.1L177.8 460.7C176.6 462.1 175.1 463.9 175.1 465.7V488C175.1 492.4 179.6 496 183.1 496H279.1V416C279.1 411.6 283.6 408 287.1 408C292.4 408 296 411.6 296 416V496L392 496zM528 332.6L360 233.3V368H528V332.6zM216 368V233.3L48 332.6V368L216 368z"],
    "joint": [640, 512, [], "f595", "M616 352H263.4c-89.56 0-177.4 22.82-255.3 66.05c-10.72 5.945-10.72 21.96 0 27.9C85.1 489.2 173.8 512 263.4 512H616c13.25 0 24-10.75 24-24v-112C640 362.7 629.3 352 616 352zM263.4 496c-86.4 0-172-22.14-247.6-63.96c74.18-41.14 158.1-63.11 242.9-63.89L360.9 496H263.4zM381.4 496l-102.4-128h139.5l102.4 128H381.4zM624 488c0 4.41-3.588 8-8 8h-74.55l-102.4-128H616c4.412 0 8 3.59 8 8V488zM459.6 150.7C502.4 179.3 528 227.3 528 280.9C528 285.4 531.6 288 536 288S544 283.4 544 279c0-57.13-28.25-110.1-75.59-141.7C425.6 108.7 400 60.72 400 9V7.078C400 2.641 396.4 0 392 0S384 4.562 384 9C384 66.13 412.3 119.1 459.6 150.7zM555.6 150.7C598.4 179.3 624 227.3 624 280.9C624 285.4 627.6 288 632 288S640 283.4 640 279c0-57.13-28.25-110.1-75.59-141.7C521.6 108.7 496 60.72 496 9V7.078C496 2.641 492.4 0 488 0S480 4.562 480 9C480 66.13 508.3 119.1 555.6 150.7z"],
    "joystick": [448, 512, [128377], "f8c5", "M416 352h-184V223.2c58.05-4.176 104-52.09 104-111.2c0-61.86-50.15-111.1-112-111.1S111.1 50.14 111.1 111.1c0 59.12 45.95 107 104 111.2V352h-80v-16c0-13.22-10.78-24-24-24h-32c-13.22 0-24 10.78-24 24V352H32c-17.62 0-32 14.38-32 32v96c0 17.62 14.38 32 32 32h384c17.62 0 32-14.38 32-32v-96C448 366.4 433.6 352 416 352zM128 112c0-52.93 43.06-96 96-96s96 43.07 96 96s-43.06 96-96 96S128 164.9 128 112zM72 336c0-4.406 3.594-8 8-8h32c4.406 0 8 3.594 8 8V352h-48V336zM432 480c0 8.824-7.178 16-16 16H32c-8.822 0-16-7.176-16-16v-96c0-8.824 7.178-16 16-16h384c8.822 0 16 7.176 16 16V480zM240 80c0-17.66-14.34-32-32-32s-32 14.34-32 32s14.34 32 32 32S240 97.66 240 80zM208 96C199.2 96 192 88.81 192 80S199.2 64 208 64S224 71.19 224 80S216.8 96 208 96z"],
    "jug": [448, 512, [], "f8c6", "M319.1 287.1h-192c-17.62 0-32 14.38-32 32v64c0 17.62 14.38 32 32 32h192c17.62 0 32-14.38 32-32v-64C351.1 302.4 337.6 287.1 319.1 287.1zM336 383.1c0 8.824-7.178 16-16 16H128c-8.822 0-16-7.176-16-16v-64c0-8.824 7.178-16 16-16h192c8.822 0 16 7.176 16 16V383.1zM448 159.1c0-35.35-28.65-64-64-64c-25.85 0-47.37 15.74-57.44 37.82l-12.07-15.07c-6.742-8.52-10.49-19.13-10.49-29.93L304 62.42c3.334-1.172 6.455-2.875 8.1-5.422c4.5-4.5 7-10.62 7-17v-16c0-6.375-2.5-12.5-7-17s-10.62-7-17-7h-144c-6.375 0-12.5 2.5-17 7s-7 10.62-7 17v16c0 6.375 2.5 12.5 7 17C137.5 59.55 140.7 61.25 144 62.42L143.1 88.76c0 10.8-3.746 21.47-10.55 30.07L56.51 214.9c-15.82 19.88-24.51 44.78-24.51 70.05L32 463.1c0 26.47 21.53 48 48 48h288c26.47 0 48-21.53 48-48l-.0002-179.1c0-22.29-7.099-44.03-19.53-62.51C425.8 216.5 448 191 448 159.1zM144 23.1c0-2.145 .8438-4.215 2.314-5.688C147.8 16.84 149.9 15.1 152 15.1h144c2.143 0 4.217 .8438 5.688 2.312C303.2 19.79 304 21.86 304 23.1v15.1c0 2.145-.8438 4.215-2.314 5.688C300.2 47.16 298.1 47.1 296 47.1h-144c-2.143 0-4.217-.8438-5.686-2.312C144.8 44.21 144 42.14 144 39.1V23.1zM400 284.9v179.1c0 17.62-14.38 32-32 32h-288c-17.62 0-32-14.38-32-32V284.9c0-21.75 7.375-42.87 21-60l76.1-96.13C155 117.4 160 103.2 160 88.75V63.1h128v24.75c0 14.5 5 28.62 13.1 40L379 224.9C392.6 242 400 263.1 400 284.9zM385.8 207.8L338.4 148.5C343.6 127.8 361.6 111.1 384 111.1c26.47 0 48 21.53 48 48C432 185.8 411.4 206.8 385.8 207.8z"],
    "jug-detergent": [384, 512, [], "e519", "M96 80V24C96 10.75 106.7 0 120 0H200C213.3 0 224 10.75 224 24V80H248C252.4 80 256 83.58 256 88C256 92.42 252.4 96 248 96H72C67.58 96 64 92.42 64 88C64 83.58 67.58 80 72 80H96zM112 24V80H208V24C208 19.58 204.4 16 200 16H120C115.6 16 112 19.58 112 24zM320 248V328C320 350.1 302.1 368 280 368C257.9 368 240 350.1 240 328V248C240 225.9 257.9 208 280 208C302.1 208 320 225.9 320 248zM256 328C256 341.3 266.7 352 280 352C293.3 352 304 341.3 304 328V248C304 234.7 293.3 224 280 224C266.7 224 256 234.7 256 248V328zM256 128C326.7 128 384 185.3 384 256V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V256C0 185.3 57.31 128 128 128H256zM256 144H128C66.14 144 16 194.1 16 256V448C16 474.5 37.49 496 64 496H320C346.5 496 368 474.5 368 448V256C368 194.1 317.9 144 256 144z"],
    "k": [320, 512, [107], "4b", "M318.4 467.2c2.656 3.531 1.906 8.562-1.625 11.19C315.3 479.5 313.7 480 311.1 480c-2.438 0-4.844-1.125-6.406-3.219L124 233.2l-108 104.7V472c0 4.406-3.594 8-7.1 8C3.594 480 0 476.4 0 472V40C0 35.59 3.594 32 7.1 32c4.406 0 7.1 3.594 7.1 8v275.6l290.4-281.4c3.219-3.062 8.281-2.969 11.31 .1875c3.062 3.156 3 8.219-.1875 11.31L135.6 222L318.4 467.2z"],
    "kaaba": [576, 512, [128331], "f66b", "M186.3 311.8C190.5 313.2 192.9 317.6 191.5 321.9C190.2 326.1 185.7 328.4 181.5 327.1L101.7 302.2C97.51 300.9 95.16 296.4 96.48 292.1C97.79 287.9 102.3 285.6 106.5 286.9L186.3 311.8zM394.5 327.1C390.3 328.4 385.8 326.1 384.5 321.9C383.1 317.6 385.5 313.2 389.7 311.8L469.5 286.9C473.7 285.6 478.2 287.9 479.5 292.1C480.8 296.4 478.5 300.9 474.3 302.2L394.5 327.1zM280.8 341.4C285.5 342.8 290.5 342.8 295.2 341.4L341.7 326.8C345.9 325.5 350.4 327.9 351.7 332.1C353 336.3 350.7 340.8 346.5 342.1L299.9 356.7C292.2 359.1 283.8 359.1 276.1 356.7L229.6 342.1C225.3 340.8 222.1 336.3 224.3 332.1C225.6 327.9 230.1 325.5 234.3 326.8L280.8 341.4zM22.46 81.46L278.5 1.457C284.7-.4856 291.3-.4856 297.5 1.457L553.5 81.46C555.2 81.98 556.8 82.63 558.3 83.39C569 88.75 576 99.75 576 112V400C576 413.1 566.9 426.4 553.5 430.5L297.5 510.5C291.3 512.5 284.7 512.5 278.5 510.5L22.46 430.5C9.096 426.4 0 413.1 0 400V112C0 98.01 9.096 85.63 22.46 81.46H22.46zM292.8 16.73C289.7 15.76 286.3 15.76 283.2 16.73L27.23 96.73C20.55 98.82 16 105 16 112V115.8L283.2 199.3C286.3 200.2 289.7 200.2 292.8 199.3L560 115.8V112C560 105.9 556.5 100.4 551.2 97.7C550.4 97.31 549.6 96.99 548.8 96.73L292.8 16.73zM560 202.6V132.5L297.5 214.5C291.3 216.5 284.7 216.5 278.5 214.5L16 132.5V202.6L280.8 285.4C285.5 286.8 290.5 286.8 295.2 285.4L560 202.6zM560 219.4L299.9 300.7C292.2 303.1 283.8 303.1 276.1 300.7L16 219.4V258.6L58.27 271.8C62.49 273.1 64.84 277.6 63.52 281.9C62.21 286.1 57.72 288.4 53.5 287.1L16 275.4V400C16 406.1 20.55 413.2 27.23 415.3L283.2 495.3C286.3 496.2 289.7 496.2 292.8 495.3L548.8 415.3C555.5 413.2 560 406.1 560 400V275.4L522.5 287.1C518.3 288.4 513.8 286.1 512.5 281.9C511.2 277.6 513.5 273.1 517.7 271.8L560 258.6V219.4z"],
    "kazoo": [640, 512, [], "f8c7", "M592 143.1h-83.23c-18.15-9.875-38.64-16-60.77-16s-42.61 6.125-60.77 16H241.7c-11.91 0-23.76 1.66-35.21 4.938L23.25 201.4C9.5 205.2 0 217.9 0 232.1v47.75c0 14.25 9.5 26.88 23.25 30.75l183.3 52.44c11.45 3.277 23.3 4.938 35.21 4.938h145.5c18.15 9.875 38.64 16 60.77 16s42.61-6.125 60.77-16H592c26.4 0 48-21.6 48-47.1v-128C640 165.6 618.4 143.1 592 143.1zM241.8 351.1c-10.43 0-20.86-1.453-30.87-4.32L27.59 295.2C20.77 293.3 16 286.1 16 279.9V232.1c0-7.113 4.766-13.43 11.65-15.37L210.9 164.3c10.02-2.867 20.45-4.32 30.87-4.32l122.3-.0001C337.3 183.5 320 217.6 320 255.1s17.3 72.54 44.14 95.1L241.8 351.1zM448 367.1c-61.76 0-112-50.24-112-112s50.24-112 112-112s112 50.24 112 112S509.8 367.1 448 367.1zM624 319.1c0 17.64-14.36 32-32 32h-60.14C558.7 328.5 576 294.4 576 255.1s-17.3-72.54-44.14-96H592c17.64 0 32 14.36 32 32V319.1zM493.7 210.3c-3.125-3.125-8.188-3.125-11.31 0L448 244.7l-34.34-34.34c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31l34.34 34.34l-34.34 34.34c-3.125 3.125-3.125 8.188 0 11.31C403.9 303.2 405.9 303.1 408 303.1s4.094-.7813 5.656-2.344L448 267.3l34.34 34.34C483.9 303.2 485.9 303.1 488 303.1s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31l-34.34-34.34l34.34-34.34C496.8 218.5 496.8 213.5 493.7 210.3z"],
    "kerning": [640, 512, [], "f86f", "M639.2 404.4l-152-304c-2.719-5.438-11.59-5.438-14.31 0l-152 304c-1.969 3.938-.375 8.751 3.578 10.72c3.984 1.969 8.766 .375 10.73-3.594l37.78-75.57h214.1l37.78 75.57c1.406 2.813 4.234 4.438 7.156 4.438c1.203 0 2.422-.2813 3.578-.8438C639.5 413.2 641.1 408.4 639.2 404.4zM380.9 319.1l99.06-198.1l99.06 198.1H380.9zM315.6 96.81C311.6 94.93 306.8 96.43 304.8 100.4l-144.8 289.7L15.16 100.4C13.17 96.43 8.39 94.9 4.421 96.81C.4683 98.78-1.125 103.6 .8433 107.5l152 304c1.359 2.719 4.126 4.445 7.157 4.445s5.796-1.726 7.155-4.445l152-304C321.1 103.6 319.5 98.78 315.6 96.81zM447.6 .8021C443.6-1.073 438.8 .427 436.8 4.396l-248 496c-1.969 3.938-.375 8.751 3.578 10.72c1.156 .5625 2.375 .8438 3.578 .8438c2.922 0 5.75-1.625 7.156-4.438l248-496C453.1 7.584 451.5 2.771 447.6 .8021z"],
    "key": [512, 512, [128273], "f084", "M328 144C328 121.9 345.9 104 368 104C390.1 104 408 121.9 408 144C408 166.1 390.1 184 368 184C345.9 184 328 166.1 328 144zM368 120C354.7 120 344 130.7 344 144C344 157.3 354.7 168 368 168C381.3 168 392 157.3 392 144C392 130.7 381.3 120 368 120zM336 352C317.3 352 299.2 349.1 282.3 343.7L248.1 376.1C244.5 381.5 238.4 384 232 384H192V424C192 437.3 181.3 448 168 448H128V488C128 501.3 117.3 512 104 512H24C10.75 512 0 501.3 0 488V408C0 401.6 2.529 395.5 7.029 391L168.3 229.7C162.9 212.8 160 194.7 160 176C160 78.8 238.8 0 336 0C433.2 0 512 78.8 512 176C512 273.2 433.2 352 336 352zM336 336C424.4 336 496 264.4 496 176C496 87.63 424.4 16 336 16C247.6 16 176 87.63 176 176C176 193.1 178.7 209.5 183.6 224.8C185.4 230.5 183.9 236.8 179.7 241L18.34 402.3C16.84 403.8 16 405.9 16 408V488C16 492.4 19.58 496 24 496H104C108.4 496 112 492.4 112 488V448C112 439.2 119.2 432 128 432H168C172.4 432 176 428.4 176 424V384C176 375.2 183.2 368 192 368H232C234.1 368 236.2 367.2 237.7 365.7L270.1 332.3C275.2 328.1 281.5 326.6 287.2 328.4C302.5 333.3 318.9 336 336 336L336 336z"],
    "key-skeleton": [448, 512, [128477], "f6f3", "M207.1 251.3L83.31 376L141.7 434.3C144.8 437.5 144.8 442.5 141.7 445.7C138.5 448.8 133.5 448.8 130.3 445.7L72 387.3L19.31 440L77.66 498.3C80.78 501.5 80.78 506.5 77.66 509.7C74.53 512.8 69.47 512.8 66.34 509.7L2.343 445.7C-.7811 442.5-.7811 437.5 2.343 434.3L196.7 240C173.9 214.5 159.1 180.9 159.1 144C159.1 64.47 224.5 0 304 0C383.5 0 448 64.47 448 144C448 223.5 383.5 288 304 288C267.1 288 233.5 274.1 207.1 251.3H207.1zM304 272C374.7 272 432 214.7 432 144C432 73.31 374.7 16 304 16C233.3 16 176 73.31 176 144C176 214.7 233.3 272 304 272z"],
    "key-skeleton-left-right": [640, 512, [], "e3b4", "M639.1 111.1C639.1 173.9 589.9 223.1 527.1 223.1C466.1 223.1 415.1 173.9 415.1 111.1H272V183.1C272 188.4 268.4 191.1 264 191.1C259.6 191.1 256 188.4 256 183.1V111.1H176L175.1 184C175.1 188.4 172.4 192 167.1 192C163.6 192 159.1 188.4 159.1 183.1L160 103.1C160 99.58 163.6 95.1 168 95.1H417.1C424.9 41.72 471.6 0 527.1 0C589.9 0 639.1 50.14 639.1 112L639.1 111.1zM527.1 15.1C474.1 15.1 431.1 58.98 431.1 111.1C431.1 165 474.1 207.1 527.1 207.1C581 207.1 623.1 165 623.1 111.1C623.1 58.98 581 15.1 527.1 15.1zM0 400C0 338.1 50.14 287.1 112 287.1C173.9 287.1 224 338.1 224 400H367.1V328C367.1 323.6 371.6 319.1 375.1 319.1C380.4 319.1 383.1 323.6 383.1 328V400H463.1L464 328C464 323.6 467.6 319.1 472 319.1C476.4 319.1 480 323.6 480 328L479.1 408C479.1 412.4 476.4 416 471.1 416H222.9C215.1 470.3 168.4 512 112 512C50.14 512 0 461.9 0 400L0 400zM112 496C165 496 208 453 208 400C208 346.1 165 303.1 112 303.1C58.98 303.1 16 346.1 16 400C16 453 58.98 496 112 496z"],
    "keyboard": [576, 512, [9000], "f11c", "M392 128h-16C362.7 128 352 138.7 352 152v16C352 181.3 362.7 192 376 192h16C405.3 192 416 181.3 416 168v-16C416 138.7 405.3 128 392 128zM400 168c0 4.41-3.588 8-8 8h-16c-4.41 0-8-3.59-8-8v-16c0-4.41 3.59-8 8-8h16c4.412 0 8 3.59 8 8V168zM488 128h-16C458.7 128 448 138.7 448 152v16C448 181.3 458.7 192 472 192h16C501.3 192 512 181.3 512 168v-16C512 138.7 501.3 128 488 128zM496 168c0 4.41-3.588 8-8 8h-16c-4.41 0-8-3.59-8-8v-16c0-4.41 3.59-8 8-8h16c4.412 0 8 3.59 8 8V168zM184 192h16C213.3 192 224 181.3 224 168v-16C224 138.7 213.3 128 200 128h-16C170.7 128 160 138.7 160 152v16C160 181.3 170.7 192 184 192zM176 152c0-4.41 3.59-8 8-8h16c4.412 0 8 3.59 8 8v16c0 4.41-3.588 8-8 8h-16C179.6 176 176 172.4 176 168V152zM280 288h16C309.3 288 320 277.3 320 264v-16C320 234.7 309.3 224 296 224h-16C266.7 224 256 234.7 256 248v16C256 277.3 266.7 288 280 288zM272 248c0-4.41 3.59-8 8-8h16c4.412 0 8 3.59 8 8v16c0 4.41-3.588 8-8 8h-16C275.6 272 272 268.4 272 264V248zM392 224h-16C362.7 224 352 234.7 352 248v16C352 277.3 362.7 288 376 288h16C405.3 288 416 277.3 416 264v-16C416 234.7 405.3 224 392 224zM400 264c0 4.41-3.588 8-8 8h-16c-4.41 0-8-3.59-8-8v-16c0-4.41 3.59-8 8-8h16c4.412 0 8 3.59 8 8V264zM280 192h16C309.3 192 320 181.3 320 168v-16C320 138.7 309.3 128 296 128h-16C266.7 128 256 138.7 256 152v16C256 181.3 266.7 192 280 192zM272 152c0-4.41 3.59-8 8-8h16c4.412 0 8 3.59 8 8v16c0 4.41-3.588 8-8 8h-16C275.6 176 272 172.4 272 168V152zM512 64H64C28.65 64 0 92.65 0 128v256c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V128C576 92.65 547.3 64 512 64zM560 384c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V128c0-26.47 21.53-48 48-48h448c26.47 0 48 21.53 48 48V384zM392 320h-208C170.7 320 160 330.7 160 344v16C160 373.3 170.7 384 184 384h208c13.26 0 24-10.75 24-24v-16C416 330.7 405.3 320 392 320zM400 360c0 4.41-3.588 8-8 8h-208c-4.41 0-8-3.59-8-8v-16c0-4.41 3.59-8 8-8h208c4.412 0 8 3.59 8 8V360zM104 224h-16C74.75 224 64 234.7 64 248v16C64 277.3 74.75 288 88 288h16C117.3 288 128 277.3 128 264v-16C128 234.7 117.3 224 104 224zM112 264c0 4.41-3.588 8-8 8h-16C83.59 272 80 268.4 80 264v-16c0-4.41 3.59-8 8-8h16c4.412 0 8 3.59 8 8V264zM488 224h-16C458.7 224 448 234.7 448 248v16C448 277.3 458.7 288 472 288h16C501.3 288 512 277.3 512 264v-16C512 234.7 501.3 224 488 224zM496 264c0 4.41-3.588 8-8 8h-16c-4.41 0-8-3.59-8-8v-16c0-4.41 3.59-8 8-8h16c4.412 0 8 3.59 8 8V264zM184 288h16C213.3 288 224 277.3 224 264v-16C224 234.7 213.3 224 200 224h-16C170.7 224 160 234.7 160 248v16C160 277.3 170.7 288 184 288zM176 248c0-4.41 3.59-8 8-8h16c4.412 0 8 3.59 8 8v16c0 4.41-3.588 8-8 8h-16C179.6 272 176 268.4 176 264V248zM488 320h-16C458.7 320 448 330.7 448 344v16c0 13.25 10.75 24 24 24h16c13.26 0 24-10.75 24-24v-16C512 330.7 501.3 320 488 320zM496 360c0 4.41-3.588 8-8 8h-16c-4.41 0-8-3.59-8-8v-16c0-4.41 3.59-8 8-8h16c4.412 0 8 3.59 8 8V360zM104 320h-16C74.75 320 64 330.7 64 344v16C64 373.3 74.75 384 88 384h16C117.3 384 128 373.3 128 360v-16C128 330.7 117.3 320 104 320zM112 360c0 4.41-3.588 8-8 8h-16c-4.41 0-8-3.59-8-8v-16c0-4.41 3.59-8 8-8h16c4.412 0 8 3.59 8 8V360zM104 128h-16C74.75 128 64 138.7 64 152v16C64 181.3 74.75 192 88 192h16C117.3 192 128 181.3 128 168v-16C128 138.7 117.3 128 104 128zM112 168c0 4.41-3.588 8-8 8h-16C83.59 176 80 172.4 80 168v-16c0-4.41 3.59-8 8-8h16c4.412 0 8 3.59 8 8V168z"],
    "keyboard-brightness": [640, 512, [], "e1c0", "M205.7 282.3C208.8 285.5 208.8 290.5 205.7 293.7C202.5 296.8 197.5 296.8 194.3 293.7L90.34 189.7C87.22 186.5 87.22 181.5 90.34 178.3C93.47 175.2 98.53 175.2 101.7 178.3L205.7 282.3zM312 96C312 91.58 315.6 88 320 88C324.4 88 328 91.58 328 96V240C328 244.4 324.4 248 320 248C315.6 248 312 244.4 312 240V96zM538.3 178.3C541.5 175.2 546.5 175.2 549.7 178.3C552.8 181.5 552.8 186.5 549.7 189.7L445.7 293.7C442.5 296.8 437.5 296.8 434.3 293.7C431.2 290.5 431.2 285.5 434.3 282.3L538.3 178.3zM0 408C0 403.6 3.582 400 8 400H120C124.4 400 128 403.6 128 408C128 412.4 124.4 416 120 416H8C3.582 416 0 412.4 0 408zM440 400C444.4 400 448 403.6 448 408C448 412.4 444.4 416 440 416H200C195.6 416 192 412.4 192 408C192 403.6 195.6 400 200 400H440zM632 400C636.4 400 640 403.6 640 408C640 412.4 636.4 416 632 416H520C515.6 416 512 412.4 512 408C512 403.6 515.6 400 520 400H632z"],
    "keyboard-brightness-low": [512, 512, [], "e1c1", "M240 160C240 151.2 247.2 144 256 144C264.8 144 272 151.2 272 160C272 168.8 264.8 176 256 176C247.2 176 240 168.8 240 160zM376 400C380.4 400 384 403.6 384 408C384 412.4 380.4 416 376 416H136C131.6 416 128 412.4 128 408C128 403.6 131.6 400 136 400H376zM96 240C96 248.8 88.84 256 80 256C71.16 256 64 248.8 64 240C64 231.2 71.16 224 80 224C88.84 224 96 231.2 96 240zM416 240C416 231.2 423.2 224 432 224C440.8 224 448 231.2 448 240C448 248.8 440.8 256 432 256C423.2 256 416 248.8 416 240zM512 400C512 408.8 504.8 416 496 416C487.2 416 480 408.8 480 400C480 391.2 487.2 384 496 384C504.8 384 512 391.2 512 400zM0 400C0 391.2 7.164 384 16 384C24.84 384 32 391.2 32 400C32 408.8 24.84 416 16 416C7.164 416 0 408.8 0 400z"],
    "keyboard-down": [576, 512, [], "e1c2", "M280 128h16C309.3 128 320 117.3 320 104v-16C320 74.75 309.3 64 296 64h-16C266.7 64 256 74.75 256 88v16C256 117.3 266.7 128 280 128zM272 88c0-4.41 3.59-8 8-8h16c4.412 0 8 3.59 8 8v16c0 4.41-3.588 8-8 8h-16C275.6 112 272 108.4 272 104V88zM512 .0001H64c-35.35 0-64 28.65-64 64v160c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64v-160C576 28.65 547.3 .0001 512 .0001zM560 224c0 26.47-21.53 48-48 48H64C37.53 272 16 250.5 16 224V64c0-26.47 21.53-48 48-48h448c26.47 0 48 21.53 48 48V224zM488 160h-16C458.7 160 448 170.7 448 184v16C448 213.3 458.7 224 472 224h16C501.3 224 512 213.3 512 200v-16C512 170.7 501.3 160 488 160zM496 200c0 4.41-3.588 8-8 8h-16c-4.41 0-8-3.59-8-8v-16c0-4.41 3.59-8 8-8h16c4.412 0 8 3.59 8 8V200zM392 160h-208C170.7 160 160 170.7 160 184v16C160 213.3 170.7 224 184 224h208C405.3 224 416 213.3 416 200v-16C416 170.7 405.3 160 392 160zM400 200c0 4.41-3.588 8-8 8h-208C179.6 208 176 204.4 176 200v-16c0-4.41 3.59-8 8-8h208c4.412 0 8 3.59 8 8V200zM104 160h-16C74.75 160 64 170.7 64 184v16C64 213.3 74.75 224 88 224h16C117.3 224 128 213.3 128 200v-16C128 170.7 117.3 160 104 160zM112 200c0 4.41-3.588 8-8 8h-16C83.59 208 80 204.4 80 200v-16c0-4.41 3.59-8 8-8h16c4.412 0 8 3.59 8 8V200zM392 64h-16C362.7 64 352 74.75 352 88v16C352 117.3 362.7 128 376 128h16C405.3 128 416 117.3 416 104v-16C416 74.75 405.3 64 392 64zM400 104c0 4.41-3.588 8-8 8h-16c-4.41 0-8-3.59-8-8v-16c0-4.41 3.59-8 8-8h16c4.412 0 8 3.59 8 8V104zM184 128h16C213.3 128 224 117.3 224 104v-16C224 74.75 213.3 64 200 64h-16C170.7 64 160 74.75 160 88v16C160 117.3 170.7 128 184 128zM176 88c0-4.41 3.59-8 8-8h16c4.412 0 8 3.59 8 8v16c0 4.41-3.588 8-8 8h-16C179.6 112 176 108.4 176 104V88zM104 64h-16C74.75 64 64 74.75 64 88v16C64 117.3 74.75 128 88 128h16C117.3 128 128 117.3 128 104v-16C128 74.75 117.3 64 104 64zM112 104c0 4.41-3.588 8-8 8h-16C83.59 112 80 108.4 80 104v-16c0-4.41 3.59-8 8-8h16c4.412 0 8 3.59 8 8V104zM488 64h-16C458.7 64 448 74.75 448 88v16C448 117.3 458.7 128 472 128h16C501.3 128 512 117.3 512 104v-16C512 74.75 501.3 64 488 64zM496 104c0 4.41-3.588 8-8 8h-16c-4.41 0-8-3.59-8-8v-16c0-4.41 3.59-8 8-8h16c4.412 0 8 3.59 8 8V104zM392 351.9h-208c-9.549 0-18.19 5.66-22 14.42c-3.814 8.756-2.079 18.97 4.405 25.96l104 112.1C275.2 509.4 281.6 512 288 512s12.84-2.559 17.59-7.676l104-112.1c6.484-6.988 8.219-17.2 4.409-25.96C410.2 357.6 401.5 351.9 392 351.9zM397.9 381.4l-104 112.1C291.8 495.7 289.3 496 288 496s-3.797-.334-5.865-2.562l-104-112.1c-2.166-2.334-2.74-5.736-1.463-8.67C177.9 369.8 180.8 367.9 184 367.9h208c3.184 0 6.062 1.887 7.332 4.801C400.6 375.6 400 379 397.9 381.4z"],
    "keyboard-left": [640, 512, [], "e1c3", "M344 288h16C373.3 288 384 277.3 384 264v-16C384 234.7 373.3 224 360 224h-16C330.7 224 320 234.7 320 248v16C320 277.3 330.7 288 344 288zM336 248c0-4.41 3.59-8 8-8h16c4.412 0 8 3.59 8 8v16c0 4.41-3.588 8-8 8h-16c-4.41 0-8-3.59-8-8V248zM264 320h-16C234.7 320 224 330.7 224 344v16C224 373.3 234.7 384 248 384h16C277.3 384 288 373.3 288 360v-16C288 330.7 277.3 320 264 320zM272 360c0 4.41-3.588 8-8 8h-16c-4.41 0-8-3.59-8-8v-16c0-4.41 3.59-8 8-8h16c4.412 0 8 3.59 8 8V360zM344 192h16C373.3 192 384 181.3 384 168v-16C384 138.7 373.3 128 360 128h-16C330.7 128 320 138.7 320 152v16C320 181.3 330.7 192 344 192zM336 152c0-4.41 3.59-8 8-8h16c4.412 0 8 3.59 8 8v16c0 4.41-3.588 8-8 8h-16c-4.41 0-8-3.59-8-8V152zM456 224h-16C426.7 224 416 234.7 416 248v16C416 277.3 426.7 288 440 288h16C469.3 288 480 277.3 480 264v-16C480 234.7 469.3 224 456 224zM464 264c0 4.41-3.588 8-8 8h-16c-4.41 0-8-3.59-8-8v-16c0-4.41 3.59-8 8-8h16c4.412 0 8 3.59 8 8V264zM552 320h-16C522.7 320 512 330.7 512 344v16c0 13.25 10.75 24 24 24h16c13.26 0 24-10.75 24-24v-16C576 330.7 565.3 320 552 320zM560 360c0 4.41-3.588 8-8 8h-16c-4.41 0-8-3.59-8-8v-16c0-4.41 3.59-8 8-8h16c4.412 0 8 3.59 8 8V360zM552 224h-16C522.7 224 512 234.7 512 248v16C512 277.3 522.7 288 536 288h16C565.3 288 576 277.3 576 264v-16C576 234.7 565.3 224 552 224zM560 264c0 4.41-3.588 8-8 8h-16c-4.41 0-8-3.59-8-8v-16c0-4.41 3.59-8 8-8h16c4.412 0 8 3.59 8 8V264zM552 128h-16C522.7 128 512 138.7 512 152v16C512 181.3 522.7 192 536 192h16C565.3 192 576 181.3 576 168v-16C576 138.7 565.3 128 552 128zM560 168c0 4.41-3.588 8-8 8h-16c-4.41 0-8-3.59-8-8v-16c0-4.41 3.59-8 8-8h16c4.412 0 8 3.59 8 8V168zM575.1 64h-352c-35.35 0-64 28.65-64 64v256c0 35.35 28.65 64 64 64h352c35.35 0 64-28.65 64-64V128C639.1 92.65 611.3 64 575.1 64zM624 384c0 26.47-21.53 48-48 48H224c-26.47 0-48-21.53-48-48V128c0-26.47 21.53-48 48-48h352c26.47 0 48 21.53 48 48V384zM264 128h-16C234.7 128 224 138.7 224 152v16C224 181.3 234.7 192 248 192h16C277.3 192 288 181.3 288 168v-16C288 138.7 277.3 128 264 128zM272 168c0 4.41-3.588 8-8 8h-16C243.6 176 240 172.4 240 168v-16c0-4.41 3.59-8 8-8h16c4.412 0 8 3.59 8 8V168zM264 224h-16C234.7 224 224 234.7 224 248v16C224 277.3 234.7 288 248 288h16C277.3 288 288 277.3 288 264v-16C288 234.7 277.3 224 264 224zM272 264c0 4.41-3.588 8-8 8h-16C243.6 272 240 268.4 240 264v-16c0-4.41 3.59-8 8-8h16c4.412 0 8 3.59 8 8V264zM456 320h-112C330.7 320 320 330.7 320 344v16c0 13.25 10.75 24 24 24h112c13.26 0 24-10.75 24-24v-16C480 330.7 469.3 320 456 320zM464 360c0 4.41-3.588 8-8 8h-112c-4.41 0-8-3.59-8-8v-16c0-4.41 3.59-8 8-8h112c4.412 0 8 3.59 8 8V360zM456 128h-16C426.7 128 416 138.7 416 152v16C416 181.3 426.7 192 440 192h16C469.3 192 480 181.3 480 168v-16C480 138.7 469.3 128 456 128zM464 168c0 4.41-3.588 8-8 8h-16c-4.41 0-8-3.59-8-8v-16c0-4.41 3.59-8 8-8h16c4.412 0 8 3.59 8 8V168zM116.5 155.2c-2.469-1.076-5.081-1.6-7.673-1.6c-4.758 0-9.448 1.764-13.06 5.123L6.138 241.9C2.056 245.7 .0106 250.9 .0002 255.1c-.0105 5.151 2.035 10.27 6.137 14.08L95.74 353.3c3.617 3.359 8.309 5.125 13.07 5.125c2.59 0 5.202-.5234 7.669-1.598c7-3.051 11.53-9.965 11.53-17.6V172.8C127.1 165.2 123.5 158.3 116.5 155.2zM112 339.2c0 1.275-.7539 2.428-3.195 3.201c-.4727 0-1.383-.1113-2.18-.8496L17.03 258.4C16.18 257.6 15.1 256.6 15.1 256s.1797-1.564 1.025-2.35l89.6-83.2c.793-.7363 1.701-.8457 2.174-.8457l1.283 .2676C111.2 170.4 112 171.5 112 172.8V339.2z"],
    "keynote": [512, 512, [], "f66c", "M509.5 269.2l-56.08-112.2c-4-8.031-12.06-13-21.02-13H136v-48c0-30.88 25.12-56 56-56c.582 0 .9434-.5 1.49-.6172C196.9 53.38 208.9 63.1 224 63.1h96c17.67 0 32-14.33 32-31.1s-14.33-32-32-32H224c-15.05 0-27.1 10.62-30.51 24.62C192.9 24.5 192.6 23.1 192 23.1c-39.7 0-72 32.31-72 72v48H79.58c-8.953 0-17.02 4.969-21.02 13L2.484 269.2C.8594 272.4 0 276 0 279.7v48.34c0 12.97 10.55 23.5 23.5 23.5h224.7C248.2 351.7 248 351.8 248 351.1v144h-112c-4.422 0-8 3.594-8 8s3.578 8 8 8h240c4.422 0 8-3.594 8-8s-3.578-8-8-8h-112v-144c0-.1953-.1934-.3086-.207-.5h224.7c12.95 0 23.5-10.53 23.5-23.5V279.7C512 276 511.1 272.4 509.5 269.2zM224 15.1h96c8.822 0 16 7.176 16 16S328.8 47.1 320 47.1H224c-8.822 0-16-7.176-16-16S215.2 15.1 224 15.1zM72.88 164.1c1.281-2.531 3.844-4.125 6.703-4.125h352.8c2.859 0 5.422 1.594 6.703 4.125l53.94 107.9H18.94L72.88 164.1zM496 327.1c0 4.125-3.359 7.5-7.5 7.5H23.5c-4.141 0-7.5-3.375-7.5-7.5v-40h480V327.1z"],
    "khanda": [576, 512, [9772], "f66d", "M211.1 248c4.08 3.211 9.014 1.469 11.23-1.344c2.717-3.469 2.107-8.5-1.359-11.22c-18.39-14.44-28.93-36.09-28.93-59.47s10.54-45.03 28.93-59.47c3.467-2.719 4.076-7.75 1.359-11.22C219.6 101.8 214.6 101.2 211.1 103.1C188.8 121.4 175.9 147.7 175.9 175.1S188.8 230.6 211.1 248zM355 235.5c-3.467 2.719-4.076 7.75-1.359 11.22c2.219 2.812 7.152 4.555 11.23 1.344c22.28-17.47 34.87-43.72 34.87-72.03s-12.59-54.56-34.87-72.03c-3.484-2.719-8.482-2.125-11.23 1.344c-2.717 3.469-2.107 8.5 1.359 11.22c18.39 14.44 28.93 36.09 28.93 59.47S373.4 221 355 235.5zM447.7 65.1C441.9 62.82 433.9 63.25 428.4 69.02c-4.986 5.305-5.831 13.33-1.958 19.5c16.49 26.25 25.23 56.58 25.23 87.46c-.25 53.28-26.92 102.7-71.53 132.6l-84.19 57.84v-18.66c.7734-.4375 49.79-40.29 49.79-40.29c4.514-3.711 8.707-13.31 4.229-21.47c-5.807-10.59-15.65-31.77-32.6-68.99c-8.818-24.7-8.393-51.28 .6774-76.57c2.469-5.453 16.48-35.33 32.44-69.92c2.945-6.383 1.379-13.95-3.863-18.63L298.8 4.07c-3.037-2.715-7.109-4.063-10.92-4.063c-.0586 0 .0586 0 0 0s.0586 0 0 0c-3.812 0-7.713 1.348-10.75 4.063L229.3 51.86C224.1 56.55 222.5 64.11 225.5 70.5C241.4 105.1 255.4 134.1 257.9 140.4c9.07 25.29 9.265 51.88 .4465 76.58C241.4 254.2 231.8 275.4 225.1 285.1c-4.479 8.164-.2852 17.76 4.229 21.47c0 0 49.01 39.85 49.79 40.29v18.66L195.8 308.5c-44.61-29.83-71.32-79.29-71.57-132.6c0-30.89 8.742-61.21 25.23-87.45c3.873-6.164 3.157-14.14-1.83-19.44c-5.432-5.773-13.59-6.27-19.4-3.09c-75.41 41.17-111.6 124.5-90.18 207.5c6.736 26.12 20.61 51.54 41.24 75.59l52.46 61.3c3.123 3.641 7.681 5.627 12.23 5.627c2.559 0 5.102-.6252 7.481-1.895l87.92-46.82c2.277-1.215 4.078-3.027 5.504-5.078l28.68 19.12l-69.54 46.37c-3.588-2.141-7.545-3.703-12.02-3.703c-13.23 0-23.99 10.78-23.99 24s10.76 24 23.99 24s23.99-10.78 23.99-24c0-2.828-.7129-5.453-1.615-7.977l65.6-43.74v53.34c-13.69 3.625-24.11 15.55-24.11 30.38c0 17.67 14.33 31.1 31.1 31.1s31.1-14.33 31.1-31.1c0-14.84-10.19-26.76-23.89-30.38v-53.34l65.6 43.74c-.9023 2.523-1.615 5.148-1.615 7.977c0 13.22 10.76 24 23.99 24s23.99-10.78 23.99-24s-10.76-24-23.99-24c-4.473 0-8.43 1.562-12.02 3.703l-69.54-46.37l28.68-19.12c1.426 2.051 3.227 3.863 5.504 5.078l87.89 46.82c2.379 1.27 4.912 1.896 7.471 1.896c4.551 0 9.119-1.988 12.24-5.628l52.51-61.27c20.63-24.05 34.51-49.5 41.25-75.61C559.4 190.5 523.1 107.2 447.7 65.1zM144 400L91.48 338.7c-19.03-22.18-31.78-45.46-37.9-69.2C34.01 193.8 67.13 117.6 135.1 80.04C117.9 108.8 108.3 142 108.3 175.1c.2754 58.63 29.56 113.1 78.34 145.7l44.91 31.65L144 400zM192 455.1c-4.406 0-8.104-3.609-8.104-8.016s3.698-7.984 8.104-7.984c4.404 0 7.998 3.594 7.998 8S196.4 455.1 192 455.1zM303.1 479.1c0 8.824-7.176 16-15.1 16s-15.1-7.176-15.1-16s7.176-16 15.1-16S303.1 471.2 303.1 479.1zM288.2 334.1l-48.15-40.39C246.1 282.5 255.6 261.6 273.4 222.4C283.3 194.6 283.3 163.9 272.9 134.7C272.5 133.8 257.4 101.6 239.1 63.79l47.83-47.79l48.18 47.79c-17.44 37.8-32.46 69.98-32.88 70.9c-10.46 29.23-10.45 59.91-.5313 87.69c17.82 39.27 27.3 60.16 33.4 71.29L288.2 334.1zM383.1 439.1c4.406 0 8.079 3.577 8.079 7.983s-3.673 8.017-8.079 8.017c-4.404 0-7.998-3.594-7.998-8S379.6 439.1 383.1 439.1zM522.4 269.5c-6.121 23.74-18.87 47.02-37.9 69.2l-52.56 61.3l-87.54-46.68l44.91-31.65c48.78-32.62 78.06-87.05 78.34-145.7c0-33.98-9.578-67.18-27.66-95.96C508.9 117.6 541.1 193.8 522.4 269.5z"],
    "kidneys": [640, 512, [], "f5fb", "M527.9 24.24C509.6 8.008 486.8 0 464.1 0c-26.48 0-52.85 10.86-71.82 32.24c-35.25 39.5-31.63 100.3 8 135.5c13.11 11.69 20.92 23.53 25.62 34.74L384.1 230.3c-20.08 13.38-32.06 35.78-32.06 59.91V504c0 4.406 3.573 8 7.995 8c4.422 0 8.005-3.594 8.005-8V290.3c0-18.75 9.328-36.19 24.94-46.59l37.69-25.12c4.158 23.5-4.176 41.32-4.629 42.83c-17.5 60.63 27.63 122.6 92.25 122.6c41.75 0 80.13-27.38 92.25-69.5c5.625-19.25 14.63-48 13.38-90.5C621.8 149.1 588.1 77.86 527.9 24.24zM595.8 307.7l-.7051 2.406c-9.817 34.11-41.43 57.93-76.88 57.93c-25.37 0-48.64-11.59-63.83-31.79c-15.32-20.37-20.08-46.03-13.23-69.74c15.49-38.58 4.166-79.95-30.3-110.7c-16.02-14.25-25.51-33.88-26.75-55.28c-1.227-21.29 5.895-41.75 20.08-57.65C419.4 25.79 441.2 16 464.1 16c19.65 0 38.53 7.172 53.17 20.19c56.41 50.2 88.6 117.1 90.65 188.3C609 262.7 601.4 288.7 595.8 307.7zM255.9 230.3L214.2 202.5C218.9 191.2 226.7 179.4 239.9 167.6c39.63-35.38 43-96 7.75-135.5c-18.1-21.28-45.32-32.11-71.74-32.11c-22.77 0-45.6 8.039-63.89 24.36c-59.88 53.5-93.63 125.6-95.88 199.6c-1.25 42 7.5 70.88 12.88 90c12 42.38 50.5 70 92.38 70c64.25 0 109.6-61.5 92.5-122.1C213.2 259.6 205.3 241.8 209.4 218.6L247.1 243.7C262.7 254.1 272 271.5 272 290.3V504c0 4.406 3.578 8 7.1 8c4.422 0 8.001-3.594 8.001-8V290.3C288 266.1 276 243.7 255.9 230.3zM198.5 266.2c6.859 24.29 2.008 49.83-13.31 70.08c-15.24 20.14-38.49 31.7-63.79 31.7c-35.59 0-67.25-24-76.97-58.33L43.68 307.1C38.32 288.1 30.99 262.2 32.11 224.5c2.164-71.11 34.32-137.9 90.54-188.2c14.66-13.09 33.57-20.3 53.24-20.3c22.82 0 44.62 9.758 59.8 26.76c29.34 32.88 26.44 83.53-6.471 112.9C194.7 186.5 183.5 226.8 198.5 266.2z"],
    "kip-sign": [384, 512, [], "e1c4", "M88 32C92.42 32 96 35.58 96 40V238.8L338.8 33.89C342.2 31.04 347.3 31.46 350.1 34.84C352.1 38.22 352.5 43.27 349.2 46.11L109.9 248H376C380.4 248 384 251.6 384 256C384 260.4 380.4 264 376 264H109.9L349.2 465.9C352.5 468.7 352.1 473.8 350.1 477.2C347.3 480.5 342.2 480.1 338.8 478.1L96 273.2V473C96 477.4 92.42 481 88 481C83.58 481 80 477.4 80 473V264H8C3.582 264 0 260.4 0 256C0 251.6 3.582 248 8 248H80V40C80 35.58 83.58 32 88 32V32z"],
    "kit-medical": [576, 512, ["first-aid"], "f479", "M200 296h48v48c0 8.828 7.172 16 16 16h48c8.828 0 16-7.172 16-16v-48h48c8.828 0 16-7.172 16-16v-48c0-8.828-7.172-16-16-16h-48v-48c0-8.828-7.172-16-16-16h-48c-8.828 0-16 7.172-16 16v48h-48c-8.828 0-16 7.172-16 16v48C184 288.8 191.2 296 200 296zM200 232h64v-64h48v64h64v48h-64v64h-48v-64h-64V232zM512 32H64C28.65 32 0 60.65 0 96v320c0 35.34 28.65 64 64 64h448c35.35 0 64-28.66 64-64V96C576 60.65 547.3 32 512 32zM96 464H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h32V464zM464 464h-352v-416h352V464zM560 416c0 26.47-21.53 48-48 48h-32v-416h32c26.47 0 48 21.53 48 48V416z"],
    "kitchen-set": [576, 512, [], "e51a", "M240 144C240 197 197 240 144 240C90.98 240 48 197 48 144C48 90.98 90.98 48 144 48C197 48 240 90.98 240 144zM144 64C99.82 64 64 99.82 64 144C64 188.2 99.82 224 144 224C188.2 224 224 188.2 224 144C224 99.82 188.2 64 144 64zM287.8 152C283.6 227.8 220.8 288 144 288C64.47 288 0 223.5 0 144C0 64.47 64.47 0 144 0C220.8 0 283.6 60.19 287.8 136H353C356.6 122.2 369.1 112 384 112H512C529.7 112 544 126.3 544 144C544 161.7 529.7 176 512 176H384C369.1 176 356.6 165.8 353 152H287.8zM144 272C214.7 272 272 214.7 272 144C272 73.31 214.7 16 144 16C73.31 16 16 73.31 16 144C16 214.7 73.31 272 144 272zM512 160C520.8 160 528 152.8 528 144C528 135.2 520.8 128 512 128H384C375.2 128 368 135.2 368 144C368 152.8 375.2 160 384 160H512zM336 320V296C336 282.7 346.7 272 360 272H440C453.3 272 464 282.7 464 296V320H536C540.4 320 544 323.6 544 328C544 332.4 540.4 336 536 336H528V464C528 490.5 506.5 512 480 512H320C293.5 512 272 490.5 272 464V336H264C259.6 336 256 332.4 256 328C256 323.6 259.6 320 264 320H336zM352 320H448V296C448 291.6 444.4 288 440 288H360C355.6 288 352 291.6 352 296V320zM512 336H288V464C288 481.7 302.3 496 320 496H480C497.7 496 512 481.7 512 464V336zM0 504C0 499.6 3.582 496 8 496H216C220.4 496 224 499.6 224 504C224 508.4 220.4 512 216 512H8C3.582 512 0 508.4 0 504zM176 416H160V432C160 449.7 145.7 464 128 464H64C46.33 464 32 449.7 32 432V336C32 327.2 39.16 320 48 320H176C202.5 320 224 341.5 224 368C224 394.5 202.5 416 176 416zM160 400H176C193.7 400 208 385.7 208 368C208 350.3 193.7 336 176 336H160V400zM48 432C48 440.8 55.16 448 64 448H128C136.8 448 144 440.8 144 432V336H48V432z"],
    "kite": [640, 512, [129665], "f6f4", "M600-.0007h-256.6c-14.98 0-27.81 10.19-31.19 24.78L224.7 403.1l-84.43 84.43c-4.891 4.906-11.41 7.594-18.34 7.594C107.6 495.1 96 484.4 96 470.1V317.7l57.3 32.33c2.344 1.312 4.891 1.969 7.453 1.969c2.609 0 5.203-.6875 7.578-2.062C173.1 347.2 176 342.1 176 336.5V271.5c0-5.625-2.875-10.69-7.672-13.47C163.6 255.3 158 255.3 153.3 257.1L96 290.3V231.1c0-48.53-39.47-88-88-88c-4.422 0-8 3.603-8 8.009S3.578 159.1 8 159.1c39.7 0 72 32.31 72 72v58.3L22.7 257.1C17.98 255.3 12.39 255.4 7.672 258.1C2.875 260.8 0 265.8 0 271.4v65.16c0 5.625 2.875 10.6 7.672 13.38c2.375 1.375 4.984 2.062 7.594 2.062c2.547 0 5.094-.6562 7.422-1.969L80 317.7v152.4c0 23.12 18.81 41.94 41.94 41.94c11.22 0 21.77-4.375 29.66-12.28l84.46-84.46l379.2-87.48C629.8 324.4 640 311.6 640 296.6V39.1C640 17.94 622.1-.0007 600-.0007zM160 271.5v63.91L104.1 303.9L160 271.5zM16 336.5V272.6l55.88 31.53L16 336.5zM600 15.1c3.688 0 7.082 .9844 10.21 2.48L480 148.7l-132.7-132.7H600zM327.8 28.41c.5449-2.359 1.711-4.363 3.117-6.164l137.8 137.8l-222.6 222.6L327.8 28.41zM611.6 312.2L257.4 393.9L480 171.3l137.8 137.8C615.1 310.5 613.1 311.7 611.6 312.2zM624 292.7L491.3 159.1l130.2-130.2C623 32.92 624 36.31 624 39.1V292.7z"],
    "kiwi-bird": [576, 512, [], "f535", "M432 224C432 215.2 439.2 208 448 208C456.8 208 464 215.2 464 224C464 232.8 456.8 240 448 240C439.2 240 432 232.8 432 224zM192 32C232.7 32 270.4 44.64 301.4 66.21C335.3 89.72 372.4 112 413.6 112H464C525.9 112 576 162.1 576 224C576 226.7 575.9 229.4 575.7 232H576V472C576 475.6 573.5 478.8 570 479.7C566.5 480.7 562.8 479.1 561 475.9L482.5 334.5C476.4 335.5 470.3 336 464 336H413.6C372.4 336 335.3 358.3 301.4 381.8C283 394.6 262.3 404.2 240 409.1V472C240 476.4 236.4 480 232 480C227.6 480 224 476.4 224 472V413.3C213.6 415.1 202.9 416 192 416C169.6 416 148 412.2 128 405.1V472C128 476.4 124.4 480 120 480C115.6 480 112 476.4 112 472V398.6C45.9 368.3 0 301.5 0 224C0 117.1 85.96 32 192 32H192zM192 400C229.3 400 263.8 388.4 292.3 368.6C326.1 345.2 366.9 320 413.6 320H464C517 320 560 277 560 224C560 170.1 517 128 464 128H413.6C366.9 128 326.1 102.8 292.3 79.35C263.8 59.59 229.3 48 192 48C94.8 48 16 126.8 16 224C16 292.4 55.01 351.7 112 380.8V328C112 323.6 115.6 320 120 320C124.4 320 128 323.6 128 328V388C147.8 395.7 169.4 400 192 400zM560 281.7C546.2 304.6 524.5 322.2 498.6 330.6L560 441.1V281.7z"],
    "kiwi-fruit": [448, 512, [], "e30c", "M152.3 219.9L135.8 236.4c-3.125 3.125-3.125 8.188 0 11.31c1.562 1.562 3.594 2.344 5.656 2.344c2.031 0 4.094-.7813 5.656-2.344l16.53-16.52c3.125-3.125 3.125-8.188 0-11.31C160.5 216.8 155.4 216.7 152.3 219.9zM147.1 104.3c-3.125-3.141-8.188-3.109-11.31 0c-3.125 3.125-3.125 8.188 0 11.31L152.3 132.1c1.562 1.562 3.625 2.344 5.656 2.344C160 134.5 162 133.7 163.6 132.1c3.125-3.125 3.125-8.188 0-11.31L147.1 104.3zM120.8 168H96c-4.406 0-8 3.578-8 8S91.59 184 96 184h24.78c4.406 0 8-3.578 8-8S125.2 168 120.8 168zM224 117.9c4.406 0 8-3.578 8-8V93.42c0-4.422-3.594-8-8-8s-8 3.578-8 8v16.52C216 114.4 219.6 117.9 224 117.9zM352 168h-24.78c-4.406 0-8 3.578-8 8s3.594 8 8 8H352c4.406 0 8-3.578 8-8S356.4 168 352 168zM300.9 104.3l-16.53 16.52c-3.125 3.125-3.125 8.188 0 11.31C285.1 133.7 288 134.5 290.1 134.5c2.031 0 4.094-.7813 5.656-2.344l16.53-16.52c3.125-3.125 3.125-8.188 0-11.31C309.2 101.2 304.1 101.1 300.9 104.3zM224 234.1c-4.406 0-8 3.578-8 8v16.52c0 4.422 3.594 8 8 8s8-3.578 8-8V242.1C232 237.6 228.4 234.1 224 234.1zM295.7 219.9c-3.156-3.156-8.219-3.094-11.31 0c-3.125 3.125-3.125 8.188 0 11.31l16.53 16.52c1.562 1.562 3.625 2.344 5.656 2.344c2.062 0 4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31L295.7 219.9zM224 32C100.3 32 0 96.47 0 176V256c0 123.7 100.3 224 224 224s224-100.3 224-224V176C448 96.47 347.7 32 224 32zM432 256c0 114.7-93.31 208-208 208S16 370.7 16 256V229.2C48.95 282.4 129.6 320 224 320s175-37.62 208-90.77V256zM224 304c-114.7 0-208-57.42-208-128s93.31-128 208-128s208 57.42 208 128S338.7 304 224 304zM224 149c-30.93 0-56 12.09-56 27S193.1 203 224 203S280 190.9 280 176S254.9 149 224 149zM224 187c-22.63 0-36.47-7.26-39.6-11C187.5 172.3 201.4 165 224 165S260.5 172.3 263.6 176C260.5 179.7 246.6 187 224 187z"],
    "knife": [512, 512, ["utensil-knife"], "f2e4", "M508.7 127.1C501.7 163.3 483.1 196.7 457.9 222.8L353.6 327.1C347.7 333 340.6 337.7 332.8 340.1C325.1 344.2 316.7 345.8 308.3 345.8C299.9 345.8 291.6 344.2 283.8 340.1C276.1 337.7 269 333 263.1 327.1L252.3 316.3L68.29 500.3C60.79 507.8 50.61 512 40 512C29.39 512 19.22 507.8 11.71 500.3C4.211 492.8-.0039 482.6-.0039 472C-.0039 461.4 4.211 451.2 11.71 443.7L445 9.377C448.7 5.68 453.3 2.947 458.3 1.414C463.3-.119 468.6-.4035 473.7 .5847C478.8 1.573 483.6 3.804 487.7 7.083C491.8 10.36 494.1 14.59 497.1 19.39C511.6 53.33 515.6 90.84 508.7 127.1L508.7 127.1zM241.3 304.6L207.2 270.5L23.04 455C20.81 457.2 19.04 459.9 17.83 462.8C16.63 465.7 16.01 468.8 16.01 471.1C16.01 475.1 16.63 478.3 17.83 481.2C19.04 484.1 20.81 486.7 23.04 488.1C25.27 491.2 27.91 492.1 30.82 494.2C33.73 495.4 36.85 496 40 496C43.15 496 46.27 495.4 49.18 494.2C52.09 492.1 54.74 491.2 56.96 488.1L241.3 304.6zM493.2 124C499.5 90.89 495.8 56.58 482.3 25.6C481.1 22.73 479 20.3 476.4 18.59C473.8 16.88 470.7 15.98 467.6 16C465.5 15.99 463.4 16.4 461.5 17.2C459.5 18.01 457.8 19.2 456.3 20.7L218.5 259.2L274.5 315.8C283.5 324.8 295.7 329.8 308.5 329.8C321.2 329.8 333.4 324.8 342.4 315.8L446.6 211.5C470.6 187.7 486.8 157.2 493.2 124z"],
    "knife-kitchen": [576, 512, [128298], "f6f5", "M387.8 332.7c-3.062 3.187-2.969 8.248 .2187 11.31c1.469 1.406 2.281 3.249 2.281 5.186c0 1.937-.8125 3.749-2.281 5.155l-59.31 57.02c-80.86 77.73-198.6 104.3-307.2 69.73c-2.828-.9373-4.797-2.999-5.391-5.655c-.3281-1.406-.4844-4.155 2.125-6.623L273.6 223.5C276.8 220.4 276.9 215.4 273.8 212.2C270.8 208.1 265.7 208.9 262.5 211.9l-255.3 245.3c-5.969 5.686-8.469 13.81-6.672 21.71c1.844 8.154 7.828 14.62 16.06 17.34C49.73 506.8 83.6 512 117.1 512c82.25 0 162.3-31.02 222.7-89.1l59.3-57.02c4.641-4.436 7.187-10.37 7.203-16.68c.0156-6.342-2.547-12.31-7.187-16.78C395.1 329.5 390.9 329.5 387.8 332.7zM479 62.92c-4.516 4.499-6.1 10.47-6.1 16.84s2.484 12.34 7.016 16.84c4.656 4.655 10.77 6.967 16.87 6.967c6.109 0 12.22-2.312 16.87-6.936c4.5-4.405 6.1-10.34 7.031-16.71c.0469-6.436-2.453-12.47-6.1-16.1C503.5 53.64 488.3 53.64 479 62.92zM501.5 85.26C501.5 85.26 501.5 85.23 501.5 85.26c-3.094 3.031-8.156 3.093-11.22 .0312c-1.484-1.5-2.312-3.437-2.312-5.53s.8281-4.03 2.312-5.53c1.531-1.531 3.562-2.312 5.578-2.312c2.031 0 4.062 .7811 5.609 2.312c1.5 1.5 2.312 3.499 2.297 5.624C503.8 81.92 502.1 83.85 501.5 85.26zM414.1 126.8c-4.5 4.499-6.984 10.47-6.969 16.81c0 6.342 2.484 12.31 6.969 16.75c4.641 4.624 10.72 6.936 16.81 6.936s12.17-2.312 16.81-6.936c4.484-4.468 6.969-10.4 6.969-16.75c.0156-6.342-2.469-12.31-6.984-16.84C439.3 117.6 424.3 117.6 414.1 126.8zM437.3 149.1C437.3 149.1 437.3 149.1 437.3 149.1c-3.031 2.999-7.992 3.046-11.02-.0156c-1.469-1.437-2.266-3.374-2.266-5.405c0-2.062 .7968-4.03 2.266-5.467c1.516-1.531 3.516-2.281 5.516-2.281s3.1 .7498 5.5 2.249c1.484 1.468 2.281 3.437 2.281 5.499C439.6 145.7 438.8 147.6 437.3 149.1zM564 44.05l-34.14-32.8c-15.64-14.1-41.11-14.1-56.78 0L286.2 190.8C284.7 192.3 283.8 194.4 283.8 196.5S284.7 200.8 286.2 202.3l108.9 104.7c1.547 1.5 3.547 2.249 5.547 2.249c1.766 0 3.547-.5936 5.016-1.75l33.94-27.34c7.703-7.373 11.94-17.18 11.94-27.68V212.7l112.5-113.1C571.8 92.17 576 82.29 576 71.76C575.1 61.27 571.8 51.42 564 44.05zM552.8 88.17l-114.1 115.6c-1.484 1.5-2.328 3.53-2.328 5.655v43.11c0 6.092-2.484 11.81-6.484 15.65l-27.94 22.46l-97.81-94.07l180.9-173.7c9.562-9.185 25.08-9.185 34.61 0L552.1 55.61c.0156 0 0 0 0 0c4.516 4.311 7.008 10.06 7.023 16.18C560 77.92 557.5 83.67 552.8 88.17z"],
    "l": [320, 512, [108], "4c", "M312 480h-272C35.59 480 32 476.4 32 472V40C32 35.59 35.59 32 40 32S48 35.59 48 40V464h264c4.406 0 8 3.594 8 8S316.4 480 312 480z"],
    "lacrosse-stick": [640, 512, [], "e3b5", "M566.4 72.19C530.2 25.56 480.5 0 435.1 0c-23.85 0-46.53 7.045-65.5 21.79c-10.78 8.41-19.68 18.86-26.4 31.08C319.9 95.07 296.5 124.5 269.4 145.6L263.2 150.4C236.9 170.8 220.2 200.2 216.1 233.2C215.1 233.9 215.8 235.2 215.6 236.8c-4.609 33.47 5.162 65.48 24.47 90l-205.2 171c-3.391 2.844-3.844 7.875-1.016 11.28C35.44 511 37.72 512 39.1 512c1.812 0 3.625-.5938 5.125-1.844l205.1-171.7c18.32 17.76 42.15 30.12 69.55 33.13c1.582 .1738 2.75 .3066 3.432 .3926c5.164 .6445 10.36 .9473 15.57 .9473c26.7 0 53.6-8.506 76.28-26.14l6.237-4.873c27.08-21.04 61.41-36.49 107.1-48.63c13.5-3.5 25.82-9.549 36.68-17.95C621.9 232.5 621.7 143.3 566.4 72.19zM557.1 262.7c-9.164 7.088-19.56 12.18-30.93 15.12c-48.76 12.72-84.91 29.08-113.8 51.51l-6.207 4.85c-19.18 14.92-42.15 22.8-66.45 22.8c-4.549 0-9.09-.2832-13.59-.8477l-3.67-.4199C294.5 352.6 269.6 338.7 252.3 316.6C235 294.4 227.6 266.9 231.4 239l.5137-3.834c3.592-28.72 18.16-54.33 41-72.09l6.295-4.873c28.86-22.47 53.63-53.49 77.95-97.64c5.646-10.28 13.12-19.08 22.19-26.16C394.9 22.37 414.2 16 435.1 16c42.19 0 86.56 24.68 118.7 66.01C603.6 146 604.1 225.4 557.1 262.7zM435.1 56c-12.09 0-22.58 3.375-31.16 10.03c-4.797 3.75-8.625 8.281-11.66 13.78c-27.08 49.16-55.17 84.09-88.44 109.1l-6.391 4.969C283.1 205.9 273.9 222 271.7 240.1L271.1 244.5c-2.359 17.06 2.172 33.94 12.75 47.5s25.84 22.09 42.95 23.97l4.297 .5c2.844 .3438 5.719 .5313 8.609 .5313c10.69 0 26.64-2.5 41.92-14.38l6.078-4.781c33.41-25.94 74.19-44.59 128.3-58.69c6.266-1.625 11.69-4.281 16.58-8.094c29.66-23.09 24.98-78.91-10.42-124.5C497.9 75.38 464.6 56 435.1 56zM522.8 218.4C519.6 220.9 516.2 222.6 512 223.6c-56.33 14.69-98.94 34.25-134.2 61.56l-6.094 4.781c-11.67 9.094-23.88 11-32.06 11c-2.234 0-4.453-.125-6.719-.4062l-4.406-.5c-12.81-1.438-24.22-7.781-32.11-17.91C288.5 272 285.2 259.4 286.9 246.6l.6094-4.5c1.734-13.88 8.734-26.22 19.72-34.75l6.391-4.969c35.05-27.25 64.48-63.75 92.63-114.8c2-3.625 4.453-6.531 7.5-8.938C419.4 74.22 426.6 72 435.1 72c24.66 0 53.21 17 74.49 44.38C538.5 153.7 544.7 201.3 522.8 218.4z"],
    "lacrosse-stick-ball": [640, 512, [], "e3b6", "M566.8 275.4c55.05-42.81 54.85-132-.4336-203.2C530.2 25.56 480.5 0 435.1 0c-23.85 0-46.53 7.045-65.5 21.79c-10.78 8.41-19.68 18.86-26.4 31.08C319.9 95.07 296.5 124.5 269.4 145.6L263.2 150.4C236.9 170.8 220.2 200.2 216.1 233.2C215.1 233.9 215.8 235.2 215.6 236.8c-4.609 33.47 5.162 65.48 24.47 90l-205.2 171c-3.391 2.844-3.844 7.875-1.016 11.28C35.44 511 37.72 512 39.1 512c1.812 0 3.625-.5938 5.125-1.844l205.1-171.7c18.32 17.76 42.15 30.12 69.55 33.13c1.582 .1738 2.75 .3066 3.432 .3926c5.164 .6445 10.36 .9473 15.57 .9473c26.7 0 53.6-8.506 76.28-26.14l6.237-4.873c27.08-21.04 61.41-36.49 107.1-48.63C543.7 289.8 555.1 283.8 566.8 275.4zM412.3 329.3l-6.207 4.85c-19.18 14.92-42.15 22.8-66.45 22.8c-4.549 0-9.09-.2832-13.59-.8477l-3.67-.4199C294.5 352.6 269.6 338.7 252.3 316.6C235 294.4 227.6 266.9 231.4 239l.5137-3.834c3.592-28.72 18.16-54.33 41-72.09l6.295-4.873c28.86-22.47 53.63-53.49 77.95-97.64c5.646-10.28 13.12-19.08 22.19-26.16C394.9 22.37 414.2 16 435.1 16c42.19 0 86.56 24.68 118.7 66.01c49.78 64.04 51.21 143.4 3.277 180.7c-9.164 7.088-19.56 12.18-30.93 15.12C477.4 290.5 441.2 306.9 412.3 329.3zM435.1 56c-12.09 0-22.58 3.375-31.16 10.03c-4.797 3.75-8.625 8.281-11.66 13.78c-27.08 49.16-55.17 84.09-88.44 109.1l-6.391 4.969C283.1 205.9 273.9 222 271.7 240.1L271.1 244.5c-2.359 17.06 2.172 33.94 12.75 47.5s25.84 22.09 42.95 23.97l4.297 .5c2.844 .3438 5.719 .5313 8.609 .5313c10.69 0 26.64-2.5 41.92-14.38l6.078-4.781c33.41-25.94 74.19-44.59 128.3-58.69c6.266-1.625 11.69-4.281 16.58-8.094c29.66-23.09 24.98-78.91-10.42-124.5C497.9 75.38 464.6 56 435.1 56zM522.8 218.4C519.6 220.9 516.2 222.6 512 223.6c-56.33 14.69-98.94 34.25-134.2 61.56l-6.094 4.781c-11.67 9.094-23.88 11-32.06 11c-2.234 0-4.453-.125-6.719-.4062l-4.406-.5c-12.81-1.438-24.22-7.781-32.11-17.91C288.5 272 285.2 259.4 286.9 246.6l.6094-4.5c1.734-13.88 8.734-26.22 19.72-34.75l6.391-4.969c35.05-27.25 64.48-63.75 92.63-114.8c2-3.625 4.453-6.531 7.5-8.938C419.4 74.22 426.6 72 435.1 72c24.66 0 53.21 17 74.49 44.38C538.5 153.7 544.7 201.3 522.8 218.4zM528 352c-44.18 0-79.1 35.82-79.1 80c0 44.18 35.82 80 79.1 80S608 476.2 608 432C608 387.8 572.2 352 528 352zM528 496c-35.29 0-64-28.71-64-64s28.71-64 64-64c35.29 0 64 28.71 64 64S563.3 496 528 496z"],
    "lambda": [448, 512, [], "f66e", "M448 472c0 4.406-3.594 8-8 8h-80c-3.125 0-5.937-1.812-7.25-4.625L196.4 137.7l-149.1 337.5C45.1 478.2 43.06 480 40 480c-1.094 0-2.188-.2187-3.219-.6875c-4.062-1.781-5.875-6.5-4.094-10.53L187.5 118.4L154.9 48H8C3.594 48 0 44.41 0 40S3.594 32 8 32L160 32.01c3.125 0 5.938 1.803 7.25 4.615L365.1 464H440C444.4 464 448 467.6 448 472z"],
    "lamp": [448, 512, [], "f4ca", "M445.5 211.4L367.1 19.38C363.2 7.625 352.4 0 340.4 0H120.6C109.2 0 98.72 6.75 93.6 17.75l-90.38 192C-6.781 231 7.719 256 30.22 256h387.6C439.5 256 454.1 232.5 445.5 211.4zM429.1 233.7C427.5 236 423.9 240 417.9 240H30.22c-6.354 0-9.951-4.176-11.53-6.664C15.49 228.3 15.12 222 17.7 216.6l90.41-192.1C110.5 19.26 115.3 16 120.6 16h219.8c5.469 0 10.49 3.68 12.79 9.363l77.53 192.1C432.9 222.8 432.3 228.9 429.1 233.7zM279.9 290.4c-3.094 3.125-3.094 8.188 .0625 11.31c35.06 34.72 56 90.81 56 125c0 23.47-9.125 45.44-26.34 63.5C305.1 493.9 300.6 496 294.5 496H153.4c-6.125 0-11.5-2.062-15.06-5.781c-17-17.72-26.38-40.28-26.38-63.53c0-34.19 20.94-90.28 55.97-125C171.1 298.6 171.1 293.5 168 290.4C164.9 287.2 159.8 287.3 156.7 290.3c-34.63 34.31-60.72 92.94-60.72 136.4c0 27.41 10.94 53.88 30.81 74.59C133.4 508.2 142.9 512 153.4 512h141.1c10.5 0 19.97-3.781 26.66-10.72c20.16-21.16 30.81-46.94 30.81-74.59c0-43.47-26.12-102.1-60.75-136.4C288.1 287.3 283 287.2 279.9 290.4z"],
    "lamp-desk": [512, 512, [], "e014", "M512 89.03c0-17.26-13.92-31.89-31.88-31.89h-126.7l-36.12-36.12C303.2 7.406 284.1 0 265.7 0C224.9 0 192.1 32.86 192.1 73.7c0 18.57 6.895 37.14 20.72 51.39l17.38 17.38L122.3 250.3C120.8 251.9 119.1 253.9 119.1 255.1c0 .6666 .0843 1.339 .2577 2.003L181.7 496H8C3.594 496 0 499.6 0 504S3.594 512 8 512h368c4.406 0 8-3.594 8-8s-3.594-8-8-8H198.2L136.9 258.4l104.7-104.7l7.602 7.605v126.7C249.1 305.7 263.5 320 281.1 320c8.356 0 16.28-3.281 22.31-9.242l199.3-199.3C508.8 105.4 512 97.26 512 89.03zM496 89.13c0 3.878-1.429 7.832-4.623 11.06l-199.2 199.2C288.1 302.6 285 304 281.1 304c-8.166 0-15.99-6.34-15.99-15.89V154.8L224.3 113.9C213.4 102.7 208 88.2 208 73.69C208 42.7 232.1 16 265.7 16c14.51 0 29.03 5.441 40.26 16.33l40.81 40.8h133.4C489.7 73.14 496 80.96 496 89.13zM460.2 191.4c-4.434 0-8.031 3.561-8.031 7.987c0 7.106 11.79 11.13 11.79 31.57c0 10.4-3.991 20.78-11.88 28.62c-7.801 7.849-18.14 11.81-28.49 11.81c-20.5 0-24.47-11.81-31.57-11.81c-4.378 0-8.034 3.523-8.034 7.995c0 8.518 20.67 19.78 39.63 19.78c14.47 0 28.91-5.531 39.78-16.47c10.99-10.91 16.55-25.39 16.55-39.9C479.1 212.1 468.7 191.4 460.2 191.4z"],
    "lamp-floor": [384, 512, [], "e015", "M381.4 179.4l-68.63-160C307.8 7.625 296.3 0 283.4 0H100.6c-12.88 0-24.38 7.625-29.38 19.38l-68.63 160C-1.644 189.3-.6436 200.6 5.231 209.6C11.23 218.6 21.23 224 31.98 224H184v272h-112C67.59 496 64 499.6 64 504S67.59 512 72 512h240c4.406 0 8-3.594 8-8s-3.594-8-8-8h-112V224h152c10.75 0 20.75-5.375 26.75-14.38C384.6 200.6 385.6 189.3 381.4 179.4zM365.5 200.7C362.4 205.3 357.4 208 352 208H31.98c-5.389 0-10.41-2.711-13.36-7.121C15.66 196.3 15.17 190.7 17.31 185.7l68.65-160C88.45 19.79 94.21 16 100.6 16h182.8c6.41 0 12.16 3.785 14.67 9.684l68.64 160C368.8 190.7 368.3 196.3 365.5 200.7z"],
    "lamp-street": [512, 512, [], "e1c5", "M328 216.4V104c0-57.34-46.67-104-104-104h-120C46.65 0 0 46.66 0 104v400C0 508.4 3.594 512 7.1 512s7.1-3.578 7.1-8V104c0-48.53 39.47-88 87.99-88h120c48.53 0 87.99 39.47 87.99 88v112.4C209.9 220.6 128 304.8 128 408c0 4.422 3.594 8 7.1 8h367.1C508.4 416 512 412.4 512 408C512 304.8 430.2 220.6 328 216.4zM144.2 400c4.187-93.34 81.43-168 175.8-168s171.6 74.66 175.8 168H144.2zM398.8 440.4c-4.406-1.438-8.718 1.016-10.03 5.234C379.3 475.8 351.6 496 320 496s-59.25-20.25-68.71-50.39c-1.281-4.188-5.625-6.625-10.03-5.234c-4.218 1.312-6.562 5.812-5.218 10.02C247.6 487.3 281.4 512 320 512s72.38-24.75 83.94-61.61C405.3 446.2 402.1 441.7 398.8 440.4z"],
    "land-mine-on": [576, 512, [], "e51b", "M288 0C292.4 0 296 3.582 296 8V184C296 188.4 292.4 192 288 192C283.6 192 280 188.4 280 184V8C280 3.582 283.6 0 288 0zM416 368H448.8C467.8 368 484.1 379.2 492.7 396.5L524 467C533.4 488.2 517.9 512 494.8 512H81.24C58.08 512 42.59 488.2 51.1 467L83.33 396.5C91.03 379.2 108.2 368 127.2 368H159.1V320C159.1 302.3 174.3 288 191.1 288H384C401.7 288 416 302.3 416 320V368zM127.2 384C114.5 384 103.1 391.4 97.95 403L66.62 473.5C61.92 484.1 69.66 496 81.24 496H494.8C506.3 496 514.1 484.1 509.4 473.5L478 403C472.9 391.4 461.5 384 448.8 384H127.2zM175.1 368H400V320C400 311.2 392.8 304 384 304H191.1C183.2 304 175.1 311.2 175.1 320V368zM148.9 233.6C152.4 236.3 153 241.3 150.4 244.9C147.7 248.4 142.7 249 139.1 246.4L3.141 142.4C-.3689 139.7-1.038 134.7 1.645 131.1C4.329 127.6 9.35 126.1 12.86 129.6L148.9 233.6zM572.9 142.4L436.9 246.4C433.4 249 428.3 248.4 425.6 244.9C422.1 241.3 423.6 236.3 427.1 233.6L563.1 129.6C566.6 126.1 571.7 127.6 574.4 131.1C577 134.7 576.4 139.7 572.9 142.4z"],
    "landmark": [512, 512, [127963], "f66f", "M497.9 108.5C506.5 112.3 512 120.9 512 130.3V136C512 149.3 501.3 160 488 160H24C10.75 160 0 149.3 0 136V130.3C0 120.9 5.525 112.3 14.12 108.5L252.7 .709C254.8-.2363 257.2-.2363 259.3 .709L497.9 108.5zM16 130.3V136C16 140.4 19.58 144 24 144H488C492.4 144 496 140.4 496 136V130.3C496 127.2 494.2 124.3 491.3 123L256 16.78L20.71 123C17.84 124.3 16 127.2 16 130.3V130.3zM80 368H184V200C184 195.6 187.6 192 192 192C196.4 192 200 195.6 200 200V368H312V200C312 195.6 315.6 192 320 192C324.4 192 328 195.6 328 200V368H432V200C432 195.6 435.6 192 440 192C444.4 192 448 195.6 448 200V376C448 380.4 444.4 384 440 384H72C67.58 384 64 380.4 64 376V200C64 195.6 67.58 192 72 192C76.42 192 80 195.6 80 200V368zM472 432C476.4 432 480 435.6 480 440C480 444.4 476.4 448 472 448H40C35.58 448 32 444.4 32 440C32 435.6 35.58 432 40 432H472zM504 496C508.4 496 512 499.6 512 504C512 508.4 508.4 512 504 512H8C3.582 512 0 508.4 0 504C0 499.6 3.582 496 8 496H504z"],
    "landmark-dome": [512, 512, ["landmark-alt"], "f752", "M256 0C260.4 0 264 3.582 264 8V16.16C360.1 20.14 439.4 96.07 447.3 192H464C468.4 192 472 195.6 472 200C472 204.4 468.4 208 464 208H48C43.58 208 40 204.4 40 200C40 195.6 43.58 192 48 192H64.66C72.57 96.07 151 20.14 248 16.16V8C248 3.582 251.6 0 256 0V0zM80.72 192H431.3C423.2 102.3 347.8 32 256 32C164.2 32 88.8 102.3 80.72 192zM80 368H184V248C184 243.6 187.6 240 192 240C196.4 240 200 243.6 200 248V368H312V248C312 243.6 315.6 240 320 240C324.4 240 328 243.6 328 248V368H432V248C432 243.6 435.6 240 440 240C444.4 240 448 243.6 448 248V376C448 380.4 444.4 384 440 384H72C67.58 384 64 380.4 64 376V248C64 243.6 67.58 240 72 240C76.42 240 80 243.6 80 248V368zM472 432C476.4 432 480 435.6 480 440C480 444.4 476.4 448 472 448H40C35.58 448 32 444.4 32 440C32 435.6 35.58 432 40 432H472zM504 496C508.4 496 512 499.6 512 504C512 508.4 508.4 512 504 512H8C3.582 512 0 508.4 0 504C0 499.6 3.582 496 8 496H504z"],
    "landmark-flag": [512, 512, [], "e51c", "M256 144H472C476.4 144 480 147.6 480 152C480 156.4 476.4 160 472 160H40C35.58 160 32 156.4 32 152C32 147.6 35.58 144 40 144H240V16C240 7.164 247.2 0 256 0H352C360.8 0 368 7.164 368 16V80C368 88.84 360.8 96 352 96H256V144zM352 16H256V80H352V16zM80 368H184V200C184 195.6 187.6 192 192 192C196.4 192 200 195.6 200 200V368H312V200C312 195.6 315.6 192 320 192C324.4 192 328 195.6 328 200V368H432V200C432 195.6 435.6 192 440 192C444.4 192 448 195.6 448 200V376C448 380.4 444.4 384 440 384H72C67.58 384 64 380.4 64 376V200C64 195.6 67.58 192 72 192C76.42 192 80 195.6 80 200V368zM472 432C476.4 432 480 435.6 480 440C480 444.4 476.4 448 472 448H40C35.58 448 32 444.4 32 440C32 435.6 35.58 432 40 432H472zM504 496C508.4 496 512 499.6 512 504C512 508.4 508.4 512 504 512H8C3.582 512 0 508.4 0 504C0 499.6 3.582 496 8 496H504z"],
    "language": [640, 512, [], "f1ab", "M239.4 340.1C241.1 345.1 239.1 349.7 235 351.4C230.9 353.1 226.3 351.1 224.6 347L206.1 303.1H113L95.4 347C93.73 351.1 89.06 353.1 84.97 351.4C80.88 349.7 78.92 345.1 80.6 340.1L152.6 164.1C153.8 161.1 156.8 160 160 160C163.2 160 166.2 161.1 167.4 164.1L239.4 340.1zM119.6 288H200.4L160 189.1L119.6 288zM488 192H560C564.4 192 568 195.6 568 200C568 204.4 564.4 208 560 208H549.8L541.5 232.8C531.7 262.2 514.8 288.3 492.6 309.1C497.3 312.4 502.2 315.5 507.2 318.3L539.1 337.1C543.8 339.2 545.1 344.1 542.9 347.1C540.8 351.8 535.9 353.1 532 350.9L499.3 332.2C492.6 328.4 486.2 324.3 480 319.8C472.2 325.9 463.9 331.4 455 336.2L427.8 351C423.1 353.1 419.1 351.7 416.1 347.8C414.9 343.1 416.3 339.1 420.2 336.1L447.4 322.1C454.3 318.4 460.8 314.2 467.1 309.5C463.1 306.1 459.2 302.5 455.4 298.7L426.3 269.7C423.2 266.5 423.2 261.5 426.3 258.3C429.5 255.2 434.5 255.2 437.7 258.3L466.7 287.4C470.9 291.5 475.2 295.5 479.7 299.2C500.9 279.1 517.1 255.4 526.3 227.8L532.9 208H400C395.6 208 392 204.4 392 200C392 195.6 395.6 192 400 192H472V168C472 163.6 475.6 160 480 160C484.4 160 488 163.6 488 168L488 192zM640 384C640 419.3 611.3 448 576 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H576C611.3 64 640 92.65 640 128V384zM312 80H64C37.49 80 16 101.5 16 128V384C16 410.5 37.49 432 64 432H312V80zM328 80V432H576C602.5 432 624 410.5 624 384V128C624 101.5 602.5 80 576 80H328z"],
    "laptop": [640, 512, [128187], "f109", "M72 351.1c4.418 0 8-3.582 8-8v-264c0-17.67 14.33-32 32-32h416c17.67 0 32 14.33 32 32v264c0 4.418 3.582 8 8 8s8-3.582 8-8V79.1c0-26.4-21.6-48-48-48h-416c-26.4 0-48 21.6-48 48v263.1C64 348.4 67.58 351.1 72 351.1zM624 383.1h-608c-8.812 0-16 7.203-16 16v16c0 35.2 28.81 64 64 64h512c35.19 0 64-28.8 64-64v-16C640 391.2 632.8 383.1 624 383.1zM624 415.1c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48v-16h608V415.1z"],
    "laptop-arrow-down": [640, 512, [], "e1c6", "M218.3 194.3c-3.125 3.125-3.125 8.188 0 11.31l95.1 95.1C315.8 303.1 317.8 304 320 304s4.213-.8984 5.66-2.348l95.1-95.1c3.125-3.125 3.125-8.188 0-11.31s-8.188-3.125-11.31 0L328 276.7V40c0-4.422-3.575-8-7.997-8S312 35.58 312 40v236.7L229.7 194.3C226.5 191.2 221.5 191.2 218.3 194.3zM392 48h136c17.67 0 32 14.33 32 32v264c0 4.418 3.582 8 8 8S576 348.4 576 344V80C576 53.6 554.4 32 528 32h-136C387.6 32 384 35.58 384 40S387.6 48 392 48zM72 352c4.418 0 8-3.582 8-8V80c0-17.67 14.33-32 32-32h136C252.4 48 256 44.42 256 40S252.4 32 248 32H112C85.6 32 64 53.6 64 80v264C64 348.4 67.58 352 72 352zM624 384h-608C7.188 384 0 391.2 0 400V416c0 35.2 28.81 64 64 64h512c35.19 0 64-28.8 64-64v-16C640 391.2 632.8 384 624 384zM624 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48v-16h608V416z"],
    "laptop-code": [640, 512, [], "f5fc", "M624 384h-608C7.188 384 0 391.2 0 400V416c0 35.2 28.81 64 64 64h512c35.19 0 64-28.8 64-64v-16C640 391.2 632.8 384 624 384zM624 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48v-16h608V416zM72 352c4.418 0 8-3.582 8-8V80c0-17.67 14.33-32 32-32h416c17.67 0 32 14.33 32 32v264c0 4.418 3.582 8 8 8S576 348.4 576 344V80C576 53.6 554.4 32 528 32h-416C85.6 32 64 53.6 64 80v264C64 348.4 67.58 352 72 352zM269.7 146.3c-3.125-3.125-8.188-3.125-11.31 0l-64 64c-3.125 3.125-3.125 8.188 0 11.31l64 64C259.9 287.2 261.1 288 264 288s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31L211.3 216l58.34-58.34C272.8 154.5 272.8 149.5 269.7 146.3zM370.3 285.7C371.9 287.2 373.1 288 376 288s4.094-.7813 5.656-2.344l64-64c3.125-3.125 3.125-8.188 0-11.31l-64-64c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31L428.7 216l-58.34 58.34C367.2 277.5 367.2 282.5 370.3 285.7z"],
    "laptop-file": [640, 512, [], "e51d", "M256 416H48C21.49 416 0 394.5 0 368V48C0 21.49 21.49 0 48 0H188.1C189 0 189.1 .0266 190.9 .079C191.2 .0269 191.6 0 192 0C192.9 0 193.8 .1565 194.6 .4445C204.1 1.859 214.6 6.608 222.1 14.06L305.9 97.94C313.4 105.4 318.1 115 319.6 125.4C319.8 126.2 320 127.1 320 127.1C320 128.4 319.1 128.8 319.9 129.1C319.1 130 320 130.1 320 131.9V207.1H304V135.1H224C201.9 135.1 184 118.1 184 95.1V15.1H48C30.33 15.1 16 30.33 16 47.1V368C16 385.7 30.33 400 48 400H256V416zM210.7 25.37C207.7 22.28 203.1 19.88 200 18.29V95.1C200 109.3 210.7 119.1 224 119.1H301.7C300.1 116 297.7 112.3 294.6 109.3L210.7 25.37zM625.6 440C633.6 440 640 446.4 640 454.4C640 486.2 614.2 512 582.4 512H313.6C281.8 512 256 486.2 256 454.4C256 446.4 262.4 440 270.4 440H304V296C304 273.9 321.9 256 344 256H552C574.1 256 592 273.9 592 296V440H625.6zM344 272C330.7 272 320 282.7 320 296V440H576V296C576 282.7 565.3 272 552 272H344zM582.4 496C604.8 496 623.1 478.2 623.1 456H272C272.9 478.2 291.2 496 313.6 496H582.4z"],
    "laptop-medical": [640, 512, [], "f812", "M72 352c4.418 0 8-3.582 8-8V80c0-17.67 14.33-32 32-32h416c17.67 0 32 14.33 32 32v264c0 4.418 3.582 8 8 8S576 348.4 576 344V80C576 53.6 554.4 32 528 32h-416C85.6 32 64 53.6 64 80v264C64 348.4 67.58 352 72 352zM624 384h-608C7.188 384 0 391.2 0 400V416c0 35.2 28.81 64 64 64h512c35.19 0 64-28.8 64-64v-16C640 391.2 632.8 384 624 384zM624 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48v-16h608V416zM304 312h32c13.23 0 24-10.77 24-24V248h40c13.23 0 24-10.77 24-24V192c0-13.23-10.77-24-24-24h-40V128c0-13.23-10.77-24-24-24h-32C290.8 104 280 114.8 280 128v40H240C226.8 168 216 178.8 216 192v32c0 13.23 10.77 24 24 24h40V288C280 301.2 290.8 312 304 312zM240 232C235.6 232 232 228.4 232 224V192c0-4.406 3.594-8 8-8h56V128c0-4.406 3.594-8 8-8h32c4.406 0 8 3.594 8 8v56h56c4.406 0 8 3.594 8 8v32c0 4.406-3.594 8-8 8h-56V288c0 4.406-3.594 8-8 8h-32C299.6 296 296 292.4 296 288V232H240z"],
    "laptop-mobile": [640, 512, ["phone-laptop"], "f87a", "M344 304C348.4 304 352 300.4 352 296S348.4 288 344 288H80V48c0-17.67 14.33-32 32-32h352c17.67 0 32 14.33 32 32v40C496 92.42 499.6 96 504 96S512 92.42 512 88V48c0-26.5-21.5-47.88-47.88-48H111.9C85.5 .125 64 21.5 64 48V288H16C7.164 288 0 295.2 0 304V320c.125 35.25 28.63 63.88 63.88 64H344c4.418 0 8-3.582 8-8s-3.582-8-8-8H63.93C37.6 367.9 16.09 346.3 16 320V304H344zM604 127.1h-184C400.1 127.1 384 144.1 384 164v312C384 495.9 400.1 512 420 512h184C623.9 512 640 495.9 640 476v-312C640 144.1 623.9 127.1 604 127.1zM624 476c0 11.03-8.971 20-20 20h-184c-11.03 0-20-8.973-20-20v-312c0-11.03 8.973-20 20-20h184c11.03 0 20 8.973 20 20V476z"],
    "laptop-slash": [640, 512, [], "e1c7", "M64 464c-26.47 0-48-21.53-48-48v-16h369.4L365.3 384L16 383.1c-8.812 0-16 7.203-16 16v16c0 35.2 28.81 64 64 64L486.1 480l-20.13-16H64zM528 48c17.67 0 32 14.33 32 32v264c0 4.418 3.582 8 8 8S576 348.4 576 344L575.1 80c0-26.4-21.6-48-48-48H153.9l20.13 16H528zM80 344V157.2L64 144.5V344C64 348.4 67.58 352 72 352S80 348.4 80 344zM636.1 497.7L12.99 1.73C11.53 .5664 9.771 0 8.025 0C5.674 0 3.336 1.027 1.738 3.012c-2.75 3.469-2.172 8.5 1.281 11.25l623.1 496C628.5 511.4 630.2 512 631.1 512c2.344 0 4.688-1.031 6.266-3.016C641 505.5 640.4 500.5 636.1 497.7z"],
    "lari-sign": [384, 512, [], "e1c8", "M136 32C140.4 32 144 35.58 144 40V102.4C159.9 98.23 176.6 96 193.9 96C204.1 96 214.2 96.79 224 98.31V40C224 35.58 227.6 32 232 32C236.4 32 240 35.58 240 40V101.5C312.4 118.1 368.9 176.8 383.8 249.6C384.7 253.9 381.9 258.1 377.6 259C373.3 259.9 369 257.1 368.2 252.8C354.8 187.4 304.7 135.1 240 117.1V280C240 284.4 236.4 288 232 288C227.6 288 224 284.4 224 280V114.5C214.2 112.9 204.1 112 193.9 112C176.5 112 159.8 114.4 144 119V280C144 284.4 140.4 288 136 288C131.6 288 128 284.4 128 280V124.5C62.35 150.4 16 213.9 16 288C16 385.1 95.55 464 193.9 464H376C380.4 464 384 467.6 384 472C384 476.4 380.4 480 376 480H8C3.582 480 0 476.4 0 472C0 467.6 3.582 464 8 464H116.3C47.85 434.4 0 366.8 0 288C0 204.8 53.39 134.1 128 107.4V40C128 35.58 131.6 32 136 32L136 32z"],
    "lasso": [576, 512, [], "f8c8", "M576 176C576 273.2 447.1 352 288 352C257.6 352 228.4 349.1 200.9 343.8C220.4 361.9 232 387.6 232 415C232 468.6 188.6 512 135 512H40C35.58 512 32 508.4 32 504C32 499.6 35.58 496 40 496H135C179.7 496 216 459.7 216 415C216 384.3 198.7 356.3 171.2 342.6L140.5 327.2C56.36 296.5 0 240.3 0 176C0 78.8 128.9 0 288 0C447.1 0 576 78.8 576 176L576 176zM288 336C438.2 336 560 264.4 560 176C560 87.63 438.2 16 288 16C137.8 16 16 87.63 16 176C16 264.4 137.8 336 288 336z"],
    "lasso-sparkles": [576, 512, [], "e1c9", "M279.1 .0636C284.4-.0103 288 3.578 288 7.997C288 12.41 284.4 15.99 279.1 16.06C133.5 18.56 16 89.21 16 175.1C16 229.9 61.3 277.6 130.7 306.6C136.6 309 142.8 311.4 149 313.6C189.7 327.8 237.2 335.1 288 335.1C438.2 335.1 560 264.4 560 175.1C560 108.9 489.8 51.45 390.2 27.68C386.6 26.82 384 23.59 384 19.87C384 14.8 388.7 11.02 393.6 12.21C500.4 37.95 576 101.6 576 175.1C576 273.2 447.1 351.1 288 351.1C257.6 351.1 228.4 349.1 200.9 343.8C220.4 361.9 232 387.6 232 414.1C232 468.6 188.6 511.1 135 511.1H40C35.58 511.1 32 508.4 32 503.1C32 499.6 35.58 495.1 40 495.1H135C179.7 495.1 216 459.7 216 414.1C216 384.3 198.7 356.3 171.2 342.6L140.5 327.2C56.36 296.5 0 240.3 0 175.1C0 80.43 124.6 2.659 279.1 .063V.0636zM336 7.996C340.4 7.996 344 11.58 344 15.1V71.1H400C404.4 71.1 408 75.58 408 79.1C408 84.41 404.4 87.1 400 87.1H344V143.1C344 148.4 340.4 151.1 336 151.1C331.6 151.1 328 148.4 328 143.1V87.1H272C267.6 87.1 264 84.41 264 79.1C264 75.58 267.6 71.1 272 71.1H328V15.1C328 11.58 331.6 7.996 336 7.996V7.996zM504 423.1H560C564.4 423.1 568 427.6 568 431.1C568 436.4 564.4 439.1 560 439.1H504V495.1C504 500.4 500.4 503.1 496 503.1C491.6 503.1 488 500.4 488 495.1V439.1H432C427.6 439.1 424 436.4 424 431.1C424 427.6 427.6 423.1 432 423.1H488V367.1C488 363.6 491.6 359.1 496 359.1C500.4 359.1 504 363.6 504 367.1V423.1z"],
    "layer-group": [512, 512, [], "f5fd", "M237.4 11.97C243.3 9.354 249.6 8 256 8C262.4 8 268.7 9.354 274.6 11.97L491.1 109.4C499.3 112.7 504 119.1 504 128C504 136 499.3 143.3 491.1 146.6L274.6 244C268.7 246.6 262.4 248 256 248C249.6 248 243.3 246.6 237.4 244L20.03 146.6C12.71 143.3 8 136 8 128C8 119.1 12.71 112.7 20.03 109.4L237.4 11.97zM256 24C251.9 24 247.8 24.88 243.1 26.57L26.57 124C25.01 124.7 24 126.3 24 128C24 129.7 25.01 131.3 26.57 131.1L243.1 229.4C247.8 231.1 251.9 232 256 232C260.1 232 264.2 231.1 268 229.4L485.4 131.1C486.1 131.3 488 129.7 488 128C488 126.3 486.1 124.7 485.4 124L268 26.57C264.2 24.88 260.1 24 256 24V24zM71.3 223.2C73.11 227.2 71.3 231.1 67.27 233.8L26.57 252C25.01 252.7 24 254.3 24 256C24 257.7 25.01 259.3 26.57 259.1L243.1 357.4C247.8 359.1 251.9 360 256 360C260.1 360 264.2 359.1 268 357.4L485.4 259.1C486.1 259.3 488 257.7 488 256C488 254.3 486.1 252.7 485.4 252L444.7 233.8C440.7 231.1 438.9 227.2 440.7 223.2C442.5 219.2 447.2 217.4 451.3 219.2L491.1 237.4C499.3 240.7 504 247.1 504 256C504 264 499.3 271.3 491.1 274.6L274.6 372C268.7 374.6 262.4 376 256 376C249.6 376 243.3 374.6 237.4 372L20.03 274.6C12.71 271.3 8 264 8 256C8 247.1 12.71 240.7 20.03 237.4L60.73 219.2C64.76 217.4 69.49 219.2 71.3 223.2V223.2zM26.57 380C25.01 380.7 24 382.3 24 384C24 385.7 25.01 387.3 26.57 387.1L243.1 485.4C247.8 487.1 251.9 488 256 488C260.1 488 264.2 487.1 268 485.4L485.4 387.1C486.1 387.3 488 385.7 488 384C488 382.3 486.1 380.7 485.4 380L444.7 361.8C440.7 359.1 438.9 355.2 440.7 351.2C442.5 347.2 447.2 345.4 451.3 347.2L491.1 365.4C499.3 368.7 504 375.1 504 384C504 392 499.3 399.3 491.1 402.6L274.6 500C268.7 502.6 262.4 504 256 504C249.6 504 243.3 502.6 237.4 500L20.03 402.6C12.71 399.3 8 392 8 384C8 375.1 12.71 368.7 20.03 365.4L60.73 347.2C64.76 345.4 69.49 347.2 71.3 351.2C73.11 355.2 71.3 359.1 67.27 361.8L26.57 380z"],
    "layer-minus": [512, 512, ["layer-group-minus"], "f5fe", "M488 72C492.4 72 496 75.58 496 80C496 84.42 492.4 88 488 88H376C371.6 88 368 84.42 368 80C368 75.58 371.6 72 376 72H488zM237.4 139.1C243.3 137.4 249.6 136 256 136C262.4 136 268.7 137.4 274.6 139.1L491.1 237.4C499.3 240.7 504 247.1 504 256C504 264 499.3 271.3 491.1 274.6L274.6 372C268.7 374.6 262.4 376 256 376C249.6 376 243.3 374.6 237.4 372L20.03 274.6C12.71 271.3 8 264 8 256C8 247.1 12.71 240.7 20.03 237.4L237.4 139.1zM256 152C251.9 152 247.8 152.9 243.1 154.6L26.57 252C25.01 252.7 24 254.3 24 256C24 257.7 25.01 259.3 26.57 259.1L243.1 357.4C247.8 359.1 251.9 360 256 360C260.1 360 264.2 359.1 268 357.4L485.4 259.1C486.1 259.3 488 257.7 488 256C488 254.3 486.1 252.7 485.4 252L268 154.6C264.2 152.9 260.1 152 256 152zM71.3 351.2C73.11 355.2 71.3 359.1 67.27 361.8L26.57 380C25.01 380.7 24 382.3 24 384C24 385.7 25.01 387.3 26.57 387.1L243.1 485.4C247.8 487.1 251.9 488 256 488C260.1 488 264.2 487.1 268 485.4L485.4 387.1C486.1 387.3 488 385.7 488 384C488 382.3 486.1 380.7 485.4 380L444.7 361.8C440.7 359.1 438.9 355.2 440.7 351.2C442.5 347.2 447.2 345.4 451.3 347.2L491.1 365.4C499.3 368.7 504 375.1 504 384C504 392 499.3 399.3 491.1 402.6L274.6 500C268.7 502.6 262.4 504 256 504C249.6 504 243.3 502.6 237.4 500L20.03 402.6C12.71 399.3 8 392 8 384C8 375.1 12.71 368.7 20.03 365.4L60.73 347.2C64.76 345.4 69.49 347.2 71.3 351.2V351.2z"],
    "layer-plus": [512, 512, ["layer-group-plus"], "f5ff", "M440 72H488C492.4 72 496 75.58 496 80C496 84.42 492.4 88 488 88H440V136C440 140.4 436.4 144 432 144C427.6 144 424 140.4 424 136V88H376C371.6 88 368 84.42 368 80C368 75.58 371.6 72 376 72H424V24C424 19.58 427.6 16 432 16C436.4 16 440 19.58 440 24V72zM274.6 139.1L491.1 237.4C499.3 240.7 504 247.1 504 256C504 264 499.3 271.3 491.1 274.6L274.6 372C268.7 374.6 262.4 376 256 376C249.6 376 243.3 374.6 237.4 372L20.03 274.6C12.71 271.3 8 264 8 256C8 247.1 12.71 240.7 20.03 237.4L237.4 139.1C243.3 137.4 249.6 136 256 136C262.4 136 268.7 137.4 274.6 139.1V139.1zM26.57 252C25.01 252.7 24 254.3 24 256C24 257.7 25.01 259.3 26.57 259.1L243.1 357.4C247.8 359.1 251.9 360 256 360C260.1 360 264.2 359.1 268 357.4L485.4 259.1C486.1 259.3 488 257.7 488 256C488 254.3 486.1 252.7 485.4 252L268 154.6C264.2 152.9 260.1 152 256 152C251.9 152 247.8 152.9 243.1 154.6L26.57 252zM26.57 380C25.01 380.7 24 382.3 24 384C24 385.7 25.01 387.3 26.57 387.1L243.1 485.4C247.8 487.1 251.9 488 256 488C260.1 488 264.2 487.1 268 485.4L485.4 387.1C486.1 387.3 488 385.7 488 384C488 382.3 486.1 380.7 485.4 380L444.7 361.8C440.7 359.1 438.9 355.2 440.7 351.2C442.5 347.2 447.2 345.4 451.3 347.2L491.1 365.4C499.3 368.7 504 375.1 504 384C504 392 499.3 399.3 491.1 402.6L274.6 500C268.7 502.6 262.4 504 256 504C249.6 504 243.3 502.6 237.4 500L20.03 402.6C12.71 399.3 8 392 8 384C8 375.1 12.71 368.7 20.03 365.4L60.73 347.2C64.76 345.4 69.49 347.2 71.3 351.2C73.11 355.2 71.3 359.1 67.27 361.8L26.57 380z"],
    "leaf": [512, 512, [], "f06c", "M486.2 39.98C483.8 34.67 478.8 32 473.8 32c-4.744 0-9.547 2.379-12.3 7.157c-24.99 43.27-70.11 65.15-115.9 65.15c-11.18 0-22.41-1.304-33.39-3.917c-12.9-3.07-26.34-4.481-40.18-4.481c-97.2 0-176 78.9-176 176.1c0 10.31 1.063 20.35 2.766 30.18c-84.9 71.78-98.51 167.3-98.71 168.8c-.5625 4.375 2.547 8.375 6.922 8.938C7.331 479.1 7.675 480 8.019 480c3.953 0 7.391-2.938 7.922-6.969c.7422-5.73 13.19-88.66 86.61-154c20.6 74.33 88.57 128.1 169.5 128.1c22.87 0 44.65-4.518 64.69-12.46C441.9 400.7 512 293.3 512 165.4C512 121.9 502.7 76.76 486.2 39.98zM330.8 420.7C311.9 428.2 292.1 431.1 272 432c-75.99 0-139.5-53.36-155.7-124.5C165.1 269.6 237.2 240 344 240c4.422 0 7.1-3.594 7.1-8S348.4 224 344 224c-105.9 0-178.1 28.95-230.1 66.81C113.2 284.6 112 278.4 112 272c0-88.22 71.77-160 159.1-160l7.047-.1211c10.02 .4375 19.89 1.801 29.45 4.078c12.13 2.887 24.62 4.352 37.1 4.352c53.44 0 100.9-25.99 127.8-69.74c14.43 33.91 22.65 75.47 22.65 114.8C496 285.4 429.1 387.8 330.8 420.7z"],
    "leaf-heart": [512, 512, [], "f4cb", "M486.2 39.98C483.8 34.67 478.8 32 473.8 32c-4.744 0-9.547 2.379-12.3 7.156c-24.99 43.27-70.11 65.15-115.9 65.15c-11.18 0-22.41-1.304-33.39-3.917c-12.9-3.07-26.34-4.527-40.18-4.527C174.8 95.86 96 174.8 96 272c0 11.16 1.116 22.04 3.101 32.61c-.0215 .0195 .0215-.0156 0 0C13.19 372.1 .5469 467 .0625 471c-.5469 4.375 2.578 8.375 6.953 8.906C7.359 479.1 7.688 480 8.016 480c3.969 0 7.422-2.969 7.922-7.031c.1074-.8828 11.83-87.79 87.37-150.1c21.55 72.84 88.88 126 168.7 126c22.87 0 44.65-4.518 64.69-12.46C441.9 400.7 512 293.2 512 165.4C512 121.9 502.7 76.76 486.2 39.98zM330.8 420.7C311.9 428.2 292.1 431.1 272 432c-88.22 0-160-71.78-160-160s71.78-160 160-160l7.047-.1211c10.02 .4375 19.89 1.801 29.45 4.078c12.13 2.887 24.62 4.352 37.1 4.352c53.44 0 100.9-25.99 127.8-69.74C487.8 84.48 496 126 496 165.4C496 285.4 429.1 387.8 330.8 420.7zM348.6 192c-13.6 0-27.34 5.512-37.53 15.82l-7.188 7.188l-7.188-7.188C286.5 197.5 272.8 192 259.3 192c-10.84 0-21.61 3.52-30.5 10.92C205.9 222.1 204.6 256.5 225.1 277.2l70.63 71.36C298.1 350.9 301 352 304 352c2.967 0 5.936-1.145 8.229-3.438l70.63-71.36c20.52-20.73 19.27-55.11-3.75-74.28C370.3 195.5 359.5 192 348.6 192zM371.5 265.9L304 334.1L236.5 265.9C229.8 259.2 226.2 249.8 226.7 240.1c.459-9.777 4.861-18.63 12.37-24.91C244.7 210.5 251.7 208 259.3 208c9.6 0 19.09 4.035 26.11 11.13l18.5 18.5l18.57-18.57C329.4 212 338.9 208 348.6 208c7.615 0 14.61 2.484 20.26 7.219c7.561 6.293 11.98 15.14 12.46 24.92C381.8 249.8 378.2 259.2 371.5 265.9z"],
    "leaf-maple": [512, 512, [127809], "f6f6", "M512 183.3c-.0938-8.719-4.594-16.56-12.03-21.03l-31.75-18.97l9-81c.875-7.594-1.719-15.03-7.125-20.38c-5.375-5.469-13.06-8.094-20.38-7.156l-81.06 9l-18.94-31.75c-4.469-7.438-12.24-11.9-20.96-11.99c-8.531 0-16.73 4.24-21.29 11.46l-60 94.31l3.719-14.56C253 82.75 250.4 74.03 244.2 68C237.1 62.03 229.3 59.59 219.1 62.5L199.7 72.94L160.1 28.16C150.7 16.34 130.5 16.66 121.6 27.84L81.78 72.94L62.5 62.5C61.91 62.19 61.28 61.94 60.63 61.78C52.25 59.63 43.47 62.03 37.22 68.13C31.03 74.19 28.47 82.84 30.34 91.19l30.72 149L31.03 253.2C21.81 257.1 16.03 265.8 16 275.8C15.97 285.9 21.69 294.7 30.94 298.8l118.5 52.5l-147.1 147.1C.7813 499.9 0 501.1 0 503.1c0 2.047 .7812 4.094 2.344 5.656C3.906 511.2 5.938 512 8 512s4.094-.7813 5.656-2.344l147.1-147.1L213.2 481C217.3 490.3 226.1 496 236.1 496c.0313 0 0 0 0 0c10.06-.0313 18.78-5.781 22.75-15.03l12.97-30.03l148.8 30.69c8.562 1.844 17.16-.6562 23.22-6.844c6.094-6.219 8.469-14.97 6.344-23.41c-.1562-.6562-.4062-1.281-.7187-1.875l-10.44-19.28l44.78-39.59c5.906-4.688 9.312-11.75 9.312-19.34s-3.406-14.66-9-19.09L439 312.3l11.22-21.22C452.3 282.7 449.1 274 444 267.8c-6.031-6.188-14.62-8.812-23.56-6.938l-14.25 3.656l94.31-60C507.8 199.9 512.1 191.1 512 183.3zM491.9 191l-136.8 87c-3.344 2.125-4.625 6.312-3.062 9.938c1.531 3.594 5.406 5.406 9.344 4.562l62.66-16.09c3.188-.5625 6.188 .25 8.375 2.531c2.156 2.219 2.969 5.219 2.938 6.375l-13.47 25c-1.781 3.25-1.062 7.312 1.75 9.781l50.19 44.31c2.062 1.656 3.25 4.156 3.25 6.844s-1.188 5.188-3.562 7.094l-49.88 44.06c-2.812 2.469-3.531 6.531-1.75 9.812l12.91 23.84c.4375 2.75-.4375 5.469-2.438 7.5c-2.125 2.219-5.156 3.188-8.375 2.375l-155.4-32.03c-3.938-.75-7.5 1.188-8.969 4.688l-15.53 36.03C242 479.6 237.4 480 236.1 480c-.3438-.0625-6-.25-8.219-5.438l-54.99-124.1l144.8-144.8c3.125-3.125 3.125-8.188 0-11.31s-8.188-3.125-11.31 0l-144.8 144.8L37.38 284.1C32.38 281.9 32 277.3 32 275.9c0-1.344 .4062-5.906 5.344-8.031l36.03-15.53c3.5-1.5 5.438-5.25 4.688-8.969L45.1 87.78C45.31 84.75 46.19 81.75 48.41 79.56C50.13 77.91 52.25 77 54.53 77c.4375 0 .9062 .0625 1.375 .125l23.84 12.91C83 91.78 87.06 91.13 89.56 88.28l44.31-50.19C137.2 33.97 144 33.66 147.8 38.41l44.06 49.88c2.469 2.781 6.5 3.5 9.781 1.75l23.16-12.75c3-.7187 6 .0625 8.25 2.219c2.25 2.188 3.156 5.25 2.562 8.062L219.5 150.5C218.5 154.3 220.4 158.3 224 159.9c3.594 1.469 7.812 .25 9.938-3.062l87-136.8C323.3 16.41 326.9 16 328.4 16c.9062 .0938 5.25 .375 7.562 4.25l21.59 36.16c1.625 2.688 4.656 4.125 7.75 3.844l86.19-9.594c2.656-.2813 5.312 .625 7.281 2.594c1.938 1.906 2.875 4.562 2.562 7.281l-9.594 86.13c-.375 3.094 1.156 6.125 3.844 7.75l36.13 21.62C495.5 178.3 495.1 182 496 183.5C496 184.1 495.7 188.7 491.9 191z"],
    "leaf-oak": [512, 512, [], "f6f7", "M512 198.1c0-16.33-8.167-32.5-23.62-43.23c-11.54-7.57-25.19-10.67-20.5-26.87c3.109-10.5 4.522-20.11 4.522-28.77c0-18.54-6.523-32.85-16.91-42.73c-9.883-10.39-24.22-16.94-42.76-16.94c-8.662 0-18.26 1.415-28.76 4.524c-16.2 4.695-19.3-8.962-26.87-20.5C346.4 8.167 330.2 0 313.9 0c-12.19 0-24.45 4.544-34.6 13.1c-8.609 7.976-15.33 19.67-39.74 62.49C234.1 72.03 229.8 68.39 225.7 65.05C214.7 56.16 202.1 51.82 189.9 51.82c-18.42 0-35.98 9.859-46.01 28.72C132.2 102.6 133.7 126.1 136.7 149.1c1.621 12.75 2.626 25.74 4.374 42.24c-6.125-4.246-8.62-6.247-11.25-7.747c-7.961-4.578-16.22-6.767-24.07-6.767c-17.89 0-33.69 11.32-39.16 31.39c-3.123 11.87-3.497 25.62-.7506 37.62c3.873 17.24 12.87 33.36 17.5 50.61c5.808 20.77 .5983 30-1.265 35.67c-8.18 24.86-2.264 51.55 13.96 71.62l-93.69 93.73c-3.123 3.125-3.117 8.186 .0098 11.31c.002 0-.0039 0 0 0c.002 0-.002 0 0 0c3.125 3.125 8.191 3.13 11.31 .0091l93.73-93.69c20.08 16.23 46.8 22.18 71.66 14c5.672-1.859 14.9-7.074 35.67-1.266c17.25 4.625 33.37 13.62 50.61 17.5c11.1 2.742 25.74 2.37 37.61-.7513c20.06-5.469 31.37-21.31 31.37-39.2c.002-7.855-2.168-16.07-6.747-24.03c-1.498-2.625-3.502-5.124-7.748-11.25c16.5 1.75 29.49 2.75 42.24 4.375c23.91 3.016 47.35 4.521 69.42-7.221c18.86-10.03 28.71-27.63 28.71-46.05c0-12.2-4.329-24.73-13.22-35.73c-3.35-4.137-6.985-8.378-11.44-13.85c42.81-24.41 54.5-31.13 62.48-39.74C507.5 222.6 512 210.3 512 198.1zM486.3 221.8c-4.207 4.539-8.32 8.246-58.7 36.75c-8.545 4.867-10.75 16.3-4.48 23.1c10.84 13.12 21.06 22.69 21.06 39.5c-.002 13.43-7.365 25.05-20.22 31.89c-18.29 9.726-38.78 8.137-59.91 5.469c-7.945-1.012-36.21-3.734-42.55-4.406c-13.69-1.457-22.56 13.89-14.83 25.03c11.67 16.52 11.65 20.94 11.64 26.19c0 11.51-7.314 20.37-19.58 23.72c-22.31 5.867-39.61-1.906-54.59-7.863C236.1 418.9 227.8 415.6 218.9 413.2c-26.02-7.281-39.99-.0703-44.82 1.523c-19.14 6.297-39.5 2.102-55.35-10.06l231.1-231.1c3.123-3.152 3.105-8.233-.0182-11.33c-.0078-.0078 .0059 .0078 0 0c-.0078-.0078 .0059 .0039 0 0c-3.096-3.121-8.175-3.142-11.33-.0169l-231.1 231.1c-12.16-15.84-16.36-36.21-10.06-55.35c1.59-4.832 8.803-18.8 1.52-44.82c-2.391-8.898-5.697-17.23-8.9-25.27C83.94 252.9 76.16 235.6 82.03 213.3c3.344-12.27 12.21-19.58 23.72-19.58C111 193.7 115.4 193.7 131.9 205.3C143.1 213.1 158.4 204.2 156.1 190.5C156.3 184.2 153.6 155.9 152.6 147.1c-2.668-21.13-4.262-41.62 5.471-59.91c6.838-12.86 18.45-20.22 31.88-20.23c16.82 .0039 26.39 10.22 39.5 21.06c7.695 6.269 19.13 4.062 24-4.484c28.5-50.37 32.2-54.49 36.74-58.69c6.814-6.351 15.01-9.703 23.69-9.703c11.74 0 22.72 6.101 30.65 17.58c4.975 7.551 14.71 34.37 43.1 25.88c8.681-2.57 16.83-3.867 24.22-3.867c4.191 0 19.94 1.766 31.36 12.32c10.55 11.41 12.32 27.16 12.32 31.36c0 7.391-1.299 15.53-3.865 24.22c-8.498 29.28 18.33 39.02 25.87 43.99c11.48 7.937 17.59 18.91 17.58 30.66C496 206.8 492.6 215 486.3 221.8z"],
    "leafy-green": [576, 512, [129388], "e41d", "M85.58 392.5c.4687 0 .9375-.0469 1.406-.125c4.344-.7813 7.25-4.938 6.469-9.281c-3.688-20.67-9.938-42.22-45.09-78.33C34.3 290.3 33.08 269.9 31.77 248.4c-1-16.55-2.031-33.66-8.875-49.59C11.55 172.3 14.3 142.1 30.05 120.1c3.625-5.031 7.906-9.516 12.72-13.31c12.69-9.953 22.88-24.14 29.47-41C77.71 51.83 86.14 40.23 97.33 31.33c11.94-9.531 26.03-14.77 41.19-15.14C153.1 15.08 167.6 18.86 180.3 27.17c11.75 7.719 21.06 18.39 27.59 31.75c2 3.984 6.844 5.562 10.72 3.656c3.969-1.953 5.594-6.75 3.656-10.72c-7.844-15.95-19-28.77-33.19-38.06C173.5 3.562 155.6-1.056 137.7 .208C119.5 .6611 102 7.094 87.33 18.83C73.93 29.5 63.83 43.34 57.36 59.95C51.8 74.16 43.33 86 32.89 94.2C26.86 98.94 21.55 104.5 17.05 110.8c-19 26.5-22.38 62.66-8.844 94.33C13.93 218.5 14.83 233.5 15.8 249.4c1.406 23.48 2.875 47.75 21.12 66.48c34.63 35.59 38.03 54.66 40.78 69.98C78.39 389.7 81.77 392.5 85.58 392.5zM573.3 96.91c-4.938-23.09-16.66-44.02-33.59-60.22c-16.38-17.23-37.22-28.98-60.28-33.95c-21.19-4.576-42.28-3.373-62.47 3.484c-17.91 6.094-36.31 7.234-53.31 3.453c-9.375-2.141-19.08-2.843-28.39-2.218c-40.22 2.578-74.86 28.23-90.42 67.08C238.1 91.2 225.7 104.3 212.5 118.2C193.2 138.5 173.3 159.4 173.3 192.1c0 59.38-9.344 71.56-19.25 84.47c-12.53 16.36-25.5 33.28-26.03 116.2c-.0781 11.95 3.963 23.24 11.13 32.69l-.7705 .7607c-.0098 .0098 .0098-.0098 0 0L66.33 498.3c-3.125 3.125-3.125 8.188 0 11.31C67.89 511.2 69.96 512 71.99 512c2.062 0 4.094-.7813 5.656-2.344l71.1-72.09l.873-.8711c10.15 7.484 22.6 11.84 35.54 11.84c81.69 0 98.03-12.81 113.8-25.22c12.66-9.906 24.59-19.27 84.63-19.27c32.59 0 53.5-20.02 73.72-39.36c13.81-13.23 26.88-25.72 43.5-32.42c38.69-15.59 64.13-50.47 66.72-90.83c.5938-9.516-.0052-19-2.099-28.34c-3.812-17.11-2.625-35.61 3.406-53.5C576.7 139.3 577.8 118.2 573.3 96.91zM554.6 154.5c-6.969 20.66-8.312 42.14-3.875 62.11c1.781 7.891 2.438 15.95 1.938 23.95c-2.188 34.16-24 63.63-56.94 76.89c-19.47 7.859-34.25 22.02-48.56 35.7c-18.75 17.95-36.5 34.92-62.66 34.92c-65.56 0-80.25 11.53-94.47 22.67c-13.69 10.72-27.85 21.81-104 21.81c-8.629 0-16.57-3.215-23.6-7.773L331.3 256h108.7c4.406 0 8-3.578 8-8s-3.594-8-8-8h-92.73l98.39-98.36c3.125-3.121 3.125-8.176 0-11.3c-3.156-3.152-8.219-3.09-11.31 0L271.1 292.6V200c0-4.422-3.594-8-8-8s-8 3.578-8 8v108.1c0 .1387 .1387 .2168 .1465 .3535l-105.2 105.2c-4.152-6.244-7.014-13.18-6.967-20.76c.5-77.58 11.81-92.33 22.75-106.6c11.59-15.12 22.53-29.39 22.53-94.2c0-26.27 16.91-44.06 34.81-62.91C237.7 114.8 251.8 100 259.7 80.47c13.22-33.05 42.6-54.94 76.6-57.11c1.75-.1094 3.5-.1719 5.281-.1719c6.188 0 12.41 .7031 18.56 2.094c19.91 4.438 41.31 3.109 61.97-3.906c17.5-5.938 35.63-6.969 53.94-3.016c19.91 4.312 37.91 14.45 52.34 29.62c14.88 14.23 24.97 32.31 29.28 52.28C561.6 118.7 560.6 136.9 554.6 154.5z"],
    "left": [448, 512, ["arrow-alt-left"], "f355", "M416 192h-192V96c0-12.94-7.797-24.61-19.75-29.56C200.3 64.8 196.1 64 192 64C183.7 64 175.5 67.25 169.4 73.38l-160 160C3.125 239.6 0 247.8 0 256s3.125 16.38 9.375 22.62l160 160C175.5 444.7 183.7 448 192 448c4.123 0 8.281-.7969 12.25-2.438C216.2 440.6 224 428.9 224 416v-96h192c17.67 0 32-14.33 32-32V224C448 206.3 433.7 192 416 192zM432 288c0 8.822-7.178 16-16 16H208V416c0 6.492-3.877 12.29-9.867 14.78C196.2 431.6 194.1 432 192 432c-4.273 0-8.291-1.666-11.31-4.689l-160-160C17.67 264.3 15.1 260.3 15.1 256c0-4.271 1.666-8.289 4.689-11.31l160-160C183.7 81.66 187.7 80 192 80c2.107 0 4.17 .4102 6.121 1.219C204.1 83.71 208 89.51 208 96V208H416c8.822 0 16 7.178 16 16V288z"],
    "left-from-line": [448, 512, ["arrow-alt-from-right"], "f348", "M448 440V72C448 67.58 444.4 64 440 64S432 67.58 432 72v368c0 4.418 3.582 8 8 8S448 444.4 448 440zM191.8 391.1v-72h128.1c17.69 0 32.04-14.33 32.04-32v-64c0-17.67-14.35-32-32.04-32H191.8V119.1c0-9.578-5.708-18.25-14.51-22.05C168.5 94.17 158.3 95.96 151.3 102.5L7.201 238.5C2.4 243.1 0 249.5 0 256s2.4 12.92 7.201 17.45l144.1 136c6.973 6.578 17.2 8.375 26 4.594C186.1 410.3 191.8 401.6 191.8 391.1zM162.3 397.8l-144.1-135.1C16.82 260.5 16 258.4 16 256s.8164-4.527 2.184-5.816l144.1-135.1c2.332-2.201 5.75-2.801 8.686-1.541C173.9 113.9 175.8 116.8 175.8 120V208h144.1c8.836 0 16.02 7.178 16.02 16v64c0 8.822-7.188 16-16.02 16H175.8v88c0 3.197-1.902 6.084-4.826 7.346C168 400.6 164.6 400 162.3 397.8z"],
    "left-long": [512, 512, ["long-arrow-alt-left"], "f30a", "M191.8 391.1L191.7 319.1l288.3 .001C497.7 319.1 512 305.7 512 287.1V224c0-17.67-14.34-31.1-32.02-31.1L191.7 192l.1514-72c0-9.578-5.709-18.25-14.51-22.05C168.5 94.17 158.3 95.97 151.3 102.5L7.201 238.5C2.4 243.1 0 249.5 0 255.1c0 6.461 2.4 12.92 7.201 17.45l144.1 135.1c6.973 6.578 17.2 8.375 26 4.594C186.1 410.2 191.8 401.6 191.8 391.1zM162.3 397.8L18.18 261.8C16.82 260.5 15.1 258.4 15.1 256c0-2.352 .8164-4.527 2.184-5.816l144.1-135.1c2.332-2.201 5.75-2.801 8.686-1.541C173.9 113.9 175.8 116.8 175.8 120v87.1h304.2c8.836 0 16.02 7.178 16.02 15.1v63.1c0 8.822-7.188 15.1-16.02 15.1H175.8v87.1c0 3.197-1.902 6.084-4.826 7.346C168 400.6 164.6 400 162.3 397.8z"],
    "left-long-to-line": [640, 512, [], "e41e", "M0 72C0 67.58 3.582 64 8 64C12.42 64 16 67.58 16 72V440C16 444.4 12.42 448 8 448C3.582 448 0 444.4 0 440V72zM607.1 192C625.7 192 640 206.3 640 224V287.1C640 305.7 625.7 319.1 607.1 319.1L287.7 319.1L287.8 392C287.8 401.6 282.1 410.2 273.3 414C264.5 417.8 254.3 416 247.3 409.5L103.2 273.5C98.4 268.9 95.1 262.5 95.1 256C95.1 249.5 98.4 243.1 103.2 238.5L247.3 102.5C254.3 95.97 264.5 94.17 273.3 97.95C282.1 101.8 287.8 110.4 287.8 120L287.7 192L607.1 192zM112 256C112 258.4 112.8 260.5 114.2 261.8L258.3 397.8C260.6 400 264 400.6 266.1 399.4C269.9 398.1 271.8 395.2 271.8 392V303.1H607.1C616.8 303.1 624 296.8 624 287.1V224C624 215.2 616.8 208 607.1 208H271.8V120C271.8 116.8 269.9 113.9 266.1 112.7C264 111.4 260.6 111.1 258.3 114.2L114.2 250.2C112.8 251.5 112 253.6 112 256V256z"],
    "left-right": [512, 512, [8596, "arrows-alt-h"], "f337", "M509.1 249.8l-144-120c-2.375-1.969-5.719-2.344-8.516-1.094C353.8 130 352 132.9 352 135.1v112L160 247.1V135.1C160 132.9 158.2 130 155.4 128.7C152.6 127.4 149.3 127.9 146.9 129.8l-144 120C1.063 251.4 0 253.6 0 255.1s1.062 4.621 2.875 6.152l144 120C148.3 383.4 150.2 384 152 384c1.156 0 2.312-.25 3.391-.75C158.2 381.9 160 379.1 160 376V263.1l192-.0078v112c0 3.094 1.797 5.938 4.609 7.25c1.078 .5 2.234 .75 3.391 .75c1.844 0 3.656-.625 5.125-1.844l144-120C510.9 260.6 512 258.4 512 255.1S510.9 251.4 509.1 249.8zM144 358.9L20.5 255.1L144 153.1V358.9zM368 358.9V153.1l123.5 102.9L368 358.9z"],
    "left-to-line": [448, 512, ["arrow-alt-to-left"], "f34b", "M16.03 440V72c0-4.418-3.582-8-8-8s-8 3.582-8 8v368c0 4.418 3.582 8 8 8S16.03 444.4 16.03 440zM287.9 392L287.9 320h128.1c17.69 0 32.02-14.33 32.02-32V224c0-17.67-14.34-32-32.02-32h-128.1l-.0314-72c0-9.578-5.708-18.25-14.51-22.05c-8.803-3.781-19.03-1.984-26 4.594l-144.1 136C98.46 243.1 96.03 249.5 96.03 256s2.422 12.92 7.223 17.45l144.1 136c6.973 6.578 17.2 8.375 26 4.594C282.2 410.3 287.9 401.6 287.9 392zM258.3 397.8l-144.1-135.1C112.9 260.5 112 258.4 112 256s.8164-4.527 2.184-5.816l144.1-135.1c2.332-2.201 5.75-2.801 8.686-1.541C269.1 113.9 271.9 116.8 271.9 120V208h144.1c8.836 0 16.02 7.178 16.02 16v64c0 8.822-7.188 16-16.02 16h-144.1v88c0 3.197-1.902 6.084-4.826 7.346C264.1 400.6 260.7 400 258.3 397.8z"],
    "lemon": [448, 512, [127819], "f094", "M427.9 52.1C414.6 38.73 398.1 32 383.2 32c-7.635 0-14.84 1.773-20.96 5.336c-10.12 5.898-22.39 7.699-36.47 7.699c-21.94 0-48.33-4.359-78.01-4.363C199.4 40.67 142.2 52.26 81.25 113.2c-122.4 122.4-45.83 229.4-75.91 281c-10.5 18.05-5.471 45.5 14.77 65.63C33.4 473.3 49.9 480 64.77 480c7.635 0 14.84-1.774 20.96-5.336c10.12-5.898 22.39-7.699 36.47-7.699c21.94 0 48.33 4.363 78.01 4.363c48.39 0 105.5-11.59 166.5-72.58c122.4-122.4 45.83-229.4 75.91-281C453.2 99.69 448.1 72.23 427.9 52.1zM428.8 109.7c-12.69 21.79-10.46 48.32-7.881 79.04c4.6 54.74 10.32 122.9-65.52 198.7c-60.17 60.17-114.6 67.89-155.2 67.89c-15.29 0-29.63-1.207-43.5-2.371c-12.18-1.023-23.69-1.992-34.51-1.992c-11.84 0-29.34 1.023-44.52 9.867C74.13 462.9 69.66 464 64.77 464c-11.28 0-23.74-5.754-33.39-15.45c-16.1-16.01-18.31-35.77-12.22-46.23c12.69-21.79 10.46-48.32 7.881-79.04C22.44 268.5 16.72 200.4 92.57 124.6c60.18-60.18 114.6-67.89 155.2-67.89c15.29 0 29.63 1.207 43.49 2.371c12.19 1.023 23.7 1.992 34.52 1.992c11.84 0 29.34-1.023 44.52-9.867C373.9 49.09 378.3 48 383.2 48c11.29 0 23.74 5.75 33.39 15.45C432.7 79.46 434.9 99.22 428.8 109.7zM214 96.25C153.6 111.5 79.44 185.7 64.25 246.1c-1.094 4.281 1.5 8.625 5.812 9.688C70.72 255.9 71.38 256 72 256c3.594 0 6.844-2.406 7.75-6.062c13.75-54.66 83.5-124.4 138.2-138.2c4.281-1.062 6.875-5.406 5.781-9.719S218.2 94.97 214 96.25z"],
    "less-than": [384, 512, [62774], "3c", "M355.6 408.8c3.969 1.969 5.562 6.781 3.594 10.72c-1.497 2.994-5.916 5.995-10.72 3.594l-320-159.1C25.72 261.8 24 259 24 255.1c0-3.031 1.719-5.812 4.438-7.156l320-159.1c3.812-1.937 8.719-.4062 10.72 3.594c1.969 3.937 .375 8.749-3.594 10.72L49.88 255.1L355.6 408.8z"],
    "less-than-equal": [448, 512, [], "f537", "M440 439.1H8c-4.406 0-8 3.595-8 8.001S3.594 456 8 456h432c4.406 0 8-3.594 8-8S444.4 439.1 440 439.1zM61.03 199.4l320 128c.968 .375 1.969 .5626 2.969 .5626c3.188 0 6.188-1.906 7.438-5.032c1.625-4.094-.375-8.751-4.469-10.41L85.53 191.1l301.4-120.6c4.094-1.656 6.094-6.313 4.469-10.41c-1.656-4.094-6.375-5.969-10.41-4.469l-320 128C57.1 185.7 56 188.7 56 191.1C56 195.2 57.1 198.2 61.03 199.4z"],
    "life-ring": [512, 512, [], "f1cd", "M453.7 442.3C456.8 445.5 456.8 450.5 453.7 453.7C450.5 456.8 445.5 456.8 442.3 453.7L431.3 442.6C385.5 485.6 323.8 512 255.1 512C188.2 512 126.5 485.6 80.73 442.6L69.66 453.7C66.53 456.8 61.47 456.8 58.34 453.7C55.22 450.5 55.22 445.5 58.34 442.3L69.41 431.3C26.37 385.5 0 323.8 0 255.1C0 188.2 26.37 126.5 69.41 80.73L58.34 69.66C55.22 66.53 55.22 61.47 58.34 58.34C61.47 55.22 66.53 55.22 69.66 58.34L80.73 69.41C126.5 26.37 188.2 0 255.1 0C323.8 0 385.5 26.37 431.3 69.41L442.3 58.34C445.5 55.22 450.5 55.22 453.7 58.34C456.8 61.47 456.8 66.53 453.7 69.66L442.6 80.73C485.6 126.5 512 188.2 512 255.1C512 323.8 485.6 385.5 442.6 431.3L453.7 442.3zM317.1 329.3C301.3 343.5 279.6 352 255.1 352C232.4 352 210.7 343.5 194 329.3L92.04 431.3C134.9 471.4 192.6 496 255.1 496C319.4 496 377 471.4 419.1 431.3L317.1 329.3zM496 256C496 192.6 471.4 134.9 431.3 92.04L329.3 194C343.5 210.7 352 232.4 352 256C352 279.6 343.5 301.3 329.3 317.1L431.3 419.1C471.4 377.1 496 319.4 496 256zM255.1 16C192.6 16 134.9 40.58 92.04 80.73L194 182.7C210.7 168.5 232.4 159.1 255.1 159.1C279.6 159.1 301.3 168.5 317.1 182.7L419.1 80.73C377.1 40.58 319.4 16 255.1 16V16zM182.7 317.1C168.5 301.3 159.1 279.6 159.1 256C159.1 232.4 168.5 210.7 182.7 194L80.73 92.04C40.58 134.9 15.1 192.6 15.1 256C15.1 319.4 40.58 377.1 80.73 419.1L182.7 317.1zM255.1 176C211.8 176 175.1 211.8 175.1 256C175.1 300.2 211.8 336 255.1 336C300.2 336 336 300.2 336 256C336 211.8 300.2 176 255.1 176z"],
    "light-ceiling": [512, 512, [], "e016", "M264 160.4V7.1c0-4.406-3.599-7.1-8.021-7.1S248 3.594 248 7.1v152.4c-126.5 3.844-230.2 97.76-247.7 219.3C-2.435 398.9 12.86 415.1 32.41 415.1h447.1c19.55 0 34.94-17.12 32.19-36.31C494.2 258.1 390.5 164.2 264 160.4zM492.1 394.2c-3.193 3.684-7.814 5.797-12.68 5.797H32.56c-4.865 0-9.486-2.113-12.68-5.797c-1.758-2.027-4.58-6.324-3.721-12.3C33 264.5 136.1 175.1 256 175.1c119.9 0 222.1 88.52 239.8 205.9C496.7 387.9 493.9 392.2 492.1 394.2zM312 439.1c-4.422 0-8 3.594-8 8c0 26.47-21.53 48-48 48s-48-21.53-48-48c0-4.406-3.578-8-8-8s-7.979 3.594-7.979 8c0 35.28 28.7 64 63.1 64s64.01-28.72 64.01-64C320 443.6 316.4 439.1 312 439.1z"],
    "light-emergency": [448, 512, [], "e41f", "M72 320C76.48 320 80 316.4 80 312V193C80 112.9 144.6 48 224 48s144 64.86 144 145V312c0 4.416 3.52 8 8 8S384 316.4 384 312V193C384 104.1 312.3 32 224 32S64 104.1 64 193V312C64 316.4 67.52 320 72 320zM128 168C128 172.4 131.5 176 136 176S144 172.4 144 168c0-30.88 25.28-56 56-56c4.48 0 8-3.584 8-8S204.5 96 200 96C160.3 96 128 128.3 128 168zM400 352h-352C21.44 352 0 373.5 0 400v32C0 458.5 21.44 480 48 480h352c26.56 0 48-21.5 48-48v-32C448 373.5 426.6 352 400 352zM432 432c0 17.66-14.4 32-32 32h-352c-17.6 0-32-14.34-32-32v-32c0-17.66 14.4-32 32-32h352c17.6 0 32 14.34 32 32V432z"],
    "light-emergency-on": [640, 512, [], "e420", "M224 168C224 172.4 227.5 176 232 176C236.5 176 240 172.4 240 168C240 137.1 265.3 112 296 112C300.5 112 304 108.4 304 104C304 99.58 300.5 96 296 96C256.3 96 224 128.3 224 168zM524.2 94.85L604.2 46.85C608 44.58 609.3 39.68 606.7 35.87C604.5 32.1 599.7 30.88 595.8 33.15L515.8 81.15C512 83.42 510.7 88.32 513.3 92.13C515.5 95.9 520.3 97.12 524.2 94.85zM115.8 94.85C119.7 97.12 124.5 95.9 126.7 92.13C129.3 88.32 128 83.42 124.2 81.15L44.16 33.15C40.32 30.88 35.52 32.1 33.28 35.87C30.72 39.68 32 44.58 35.84 46.85L115.8 94.85zM168 320C172.5 320 176 316.4 176 312V193C176 112.9 240.6 48 320 48C399.4 48 464 112.9 464 193V312C464 316.4 467.5 320 472 320C476.5 320 480 316.4 480 312V193C480 104.1 408.3 32 320 32C231.7 32 160 104.1 160 193V312C160 316.4 163.5 320 168 320zM632 192H552C547.5 192 544 195.6 544 200C544 204.4 547.5 208 552 208H632C636.5 208 640 204.4 640 200C640 195.6 636.5 192 632 192zM496 352H144C117.4 352 96 373.5 96 400V432C96 458.5 117.4 480 144 480H496C522.6 480 544 458.5 544 432V400C544 373.5 522.6 352 496 352zM528 432C528 449.7 513.6 464 496 464H144C126.4 464 112 449.7 112 432V400C112 382.3 126.4 368 144 368H496C513.6 368 528 382.3 528 400V432zM88 192H8C3.52 192 0 195.6 0 200C0 204.4 3.52 208 8 208H88C92.48 208 96 204.4 96 200C96 195.6 92.48 192 88 192z"],
    "light-switch": [384, 512, [], "e017", "M320 0H64c-35.38 0-64 28.62-64 64v384c0 35.38 28.62 64 64 64h256c35.38 0 64-28.62 64-64v-384C384 28.62 355.4 0 320 0zM368 447.1c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48v-384c0-26.47 21.53-48 48-48h256c26.47 0 48 21.53 48 48V447.1zM192 71.1c8.875 0 16-7.125 16-16s-7.125-16-16-16s-16 7.125-16 16S183.1 71.1 192 71.1zM192 439.1c-8.875 0-16 7.125-16 16s7.125 16 16 16s16-7.125 16-16S200.9 439.1 192 439.1zM240 95.1h-96c-26.5 0-48 21.5-48 47.1v224c0 26.5 21.5 48 48 48h96c26.5 0 48-21.5 48-48v-224C288 117.5 266.5 95.1 240 95.1zM272 367.1c0 17.64-14.36 32-32 32h-96c-17.64 0-32-14.36-32-32v-104h160V367.1zM272 247.1h-160v-104c0-17.64 14.36-32 32-32h96c17.64 0 32 14.36 32 32V247.1z"],
    "light-switch-off": [384, 512, [], "e018", "M192 439.1c-8.875 0-16 7.125-16 16s7.125 16 16 16s16-7.125 16-16S200.9 439.1 192 439.1zM192 71.1c8.875 0 16-7.125 16-16s-7.125-16-16-16s-16 7.125-16 16S183.1 71.1 192 71.1zM240 95.1h-96c-26.5 0-48 21.5-48 47.1v224c0 26.5 21.5 48 48 48h96c26.5 0 48-21.5 48-48v-224C288 117.5 266.5 95.1 240 95.1zM272 367.1c0 17.64-14.36 32-32 32h-96c-17.64 0-32-14.36-32-32v-104h160V367.1zM272 247.1h-160v-104c0-17.64 14.36-32 32-32h96c17.64 0 32 14.36 32 32V247.1zM320 0H64c-35.38 0-64 28.62-64 64v384c0 35.38 28.62 64 64 64h256c35.38 0 64-28.62 64-64v-384C384 28.62 355.4 0 320 0zM368 447.1c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48v-384c0-26.47 21.53-48 48-48h256c26.47 0 48 21.53 48 48V447.1zM152 367.1h80c8.828 0 16-7.188 16-16v-48c0-8.812-7.172-16-16-16h-80c-8.828 0-16 7.188-16 16v48C136 360.8 143.2 367.1 152 367.1zM152 303.1h80v48h-80V303.1z"],
    "light-switch-on": [384, 512, [], "e019", "M192 71.1c8.875 0 16-7.125 16-16s-7.125-16-16-16s-16 7.125-16 16S183.1 71.1 192 71.1zM192 439.1c-8.875 0-16 7.125-16 16s7.125 16 16 16s16-7.125 16-16S200.9 439.1 192 439.1zM144 415.1h96c26.5 0 48-21.5 48-48V143.1c0-26.5-21.5-48-48-48h-96c-26.5 0-48 21.5-48 48v223.1C96 394.5 117.5 415.1 144 415.1zM112 143.1c0-17.64 14.36-32 32-32h96c17.64 0 32 14.36 32 32v104h-160V143.1zM112 263.1h160v104c0 17.64-14.36 32-32 32h-96c-17.64 0-32-14.36-32-32V263.1zM64 511.1h256c35.38 0 64-28.62 64-64v-384c0-35.38-28.62-64-64-64H64c-35.38 0-64 28.62-64 64v384C0 483.4 28.63 511.1 64 511.1zM16 63.1c0-26.47 21.53-48 48-48h256c26.47 0 48 21.53 48 48v384c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V63.1zM232 143.1h-80c-8.828 0-16 7.188-16 16v48c0 8.812 7.172 16 16 16h80c8.828 0 16-7.188 16-16v-48C248 151.2 240.8 143.1 232 143.1zM232 207.1h-80v-48h80V207.1z"],
    "lightbulb": [384, 512, [128161], "f0eb", "M255.9 415.1H128.1c-8.813 0-15.98 7.18-15.97 16.03L112.1 454.3c.0097 6.324 2.115 12.49 5.606 17.75l16.82 25.62c5.207 7.854 17.24 14.28 26.64 14.28h61.67c9.4 0 21.4-6.422 26.61-14.28l17.08-25.68c2.919-4.404 5.341-12.41 5.348-17.7l-.0521-22.33C271.8 423.2 264.7 415.1 255.9 415.1zM255.7 454.4c-.0039 2.148-1.467 6.994-2.654 8.785l-17.03 25.69c-2.257 3.406-9.212 7.147-13.29 7.147H161.3c-4.075 0-11.03-3.738-13.29-7.143l-16.99-25.63c-1.761-2.654-2.693-5.742-2.699-8.932l-.037-22.31h127.5L255.7 454.4zM316.3 51.53C283 18.28 238.9 0 192 0C191.8 0 191.6 .0132 191.4 .0132C94.7 .3101 16 79.55 16 176.7c0 42.78 15.47 84.06 43.59 116.2c13.51 15.45 38.54 52.09 48.01 84.05c.4982 4.375 4.421 7.5 8.842 7c4.359-.5156 7.503-4.484 6.974-8.875l-.3736-2.094c-10.37-34.98-37.08-74.17-51.5-90.64c-25.53-29.23-39.6-66.77-39.6-105.7c0-89.81 70.08-160.4 159.6-160.7h.5293c42.65 0 82.75 16.63 112.1 46.86c30.36 30.38 47.07 70.78 47.07 113.8c0 38.91-14.07 76.44-39.6 105.7c-14.41 16.47-41.13 55.66-51.81 92.16c0 .0313-.0623 .5625-.0623 .5782c-.5293 4.391 2.522 8.672 6.881 9.188c.3425 .0313 .6849 .0469 1.027 .0469c3.923 0 7.254-2.719 7.721-6.766c9.652-32.55 34.68-69.19 48.2-84.64C352.5 260.7 368 219.4 368 176.7C368 129.4 349.6 84.92 316.3 51.53zM199.1 72c0-4.422-3.58-7.989-7.97-7.989c-65.91 0-119.6 53.82-119.6 119.1c0 4.422 3.58 8 7.97 8S88.39 188.4 88.39 184c0-57.34 46.48-104 103.6-104C196.4 80 199.1 76.42 199.1 72z"],
    "lightbulb-cfl": [320, 512, [], "e5a6", "M35.56 22.87L117.8 2.305C147.3-5.08 175.1 17.26 175.1 47.71C175.1 55.33 174.1 62.61 170.8 69.05L261.7 46.32C291.3 38.94 319.9 61.28 319.9 91.73C319.9 108.4 311.1 123.4 297.4 131.7C310.7 139.8 319.9 154.5 319.9 171.7C319.9 188.4 311.1 203.4 297.4 211.7C310.7 219.8 319.9 234.5 319.9 251.7C319.9 273.2 305.3 291.9 284.4 297.1L213.9 314.8C210.4 315.7 207.9 318.9 207.9 322.5V352H224C241.7 352 256 366.3 256 384V432C256 449.7 241.7 464 224 464H208C208 490.5 186.5 512 160 512C133.5 512 112 490.5 112 464H96C78.33 464 64 449.7 64 432V384C64 366.3 78.33 352 96 352H112V289.2L128 285.2V352H191.9V322.5C191.9 311.5 199.4 301.9 210.1 299.2L280.6 281.6C294.3 278.2 303.9 265.9 303.9 251.7C303.9 231.7 285.1 217 265.7 221.8L265.6 221.8L153.9 249.8L153.9 249.8L58.26 273.7C28.72 281.1 .1056 258.7 .1056 228.3C.1056 211.6 8.912 196.6 22.6 188.3C9.278 180.2 .1056 165.5 .1056 148.3C.1056 131.6 8.912 116.6 22.6 108.3C9.278 100.2 .1056 85.51 .1056 68.27C.1056 46.8 14.72 28.07 35.56 22.87V22.87zM159.1 47.71C159.1 27.67 141.1 12.97 121.7 17.83L39.44 38.39C25.73 41.82 16.11 54.14 16.11 68.27C16.11 88.3 34.91 102.1 54.33 98.17L136.6 77.6L136.7 77.58C150.4 74.12 159.1 61.82 159.1 47.71H159.1zM16.11 148.3C16.11 168.3 34.94 183 54.38 178.2L280.6 121.6C294.3 118.2 303.9 105.9 303.9 91.73C303.9 71.69 285.1 56.98 265.6 61.84L140.6 93.1L140.5 93.12L39.44 118.4C25.73 121.8 16.11 134.1 16.11 148.3zM96 368C87.16 368 80 375.2 80 384V432C80 440.8 87.16 448 96 448H224C232.8 448 240 440.8 240 432V384C240 375.2 232.8 368 224 368H96zM280.6 201.6C294.3 198.2 303.9 185.9 303.9 171.7C303.9 151.7 285.1 136.1 265.6 141.8L39.44 198.4C25.73 201.8 16.11 214.1 16.11 228.3C16.11 248.3 34.94 263 54.38 258.2L280.6 201.6zM160 496C177.7 496 192 481.7 192 464H128C128 481.7 142.3 496 160 496z"],
    "lightbulb-cfl-on": [640, 512, [], "e5a7", "M182.6 108.3C169.3 100.2 160.1 85.51 160.1 68.27C160.1 46.8 174.7 28.07 195.6 22.87L277.8 2.305C307.3-5.08 335.1 17.26 335.1 47.71C335.1 55.33 334.1 62.61 330.8 69.05L421.7 46.32C451.3 38.94 479.9 61.28 479.9 91.73C479.9 108.4 471.1 123.4 457.4 131.7C470.7 139.8 479.9 154.5 479.9 171.7C479.9 188.4 471.1 203.4 457.4 211.7C470.7 219.8 479.9 234.5 479.9 251.7C479.9 273.2 465.3 291.9 444.4 297.1L373.9 314.8C370.4 315.7 367.9 318.9 367.9 322.5V352H384C401.7 352 416 366.3 416 384V432C416 449.7 401.7 464 384 464H368C368 490.5 346.5 512 320 512C293.5 512 272 490.5 272 464H256C238.3 464 224 449.7 224 432V384C224 366.3 238.3 352 256 352H272V289.2L288 285.2V352H351.9V322.5C351.9 311.5 359.4 301.9 370.1 299.2L440.6 281.6C454.3 278.2 463.9 265.9 463.9 251.7C463.9 231.7 445.1 217 425.7 221.8L425.6 221.8L313.9 249.8L313.9 249.8L218.3 273.7C188.7 281.1 160.1 258.7 160.1 228.3C160.1 211.6 168.9 196.6 182.6 188.3C169.3 180.2 160.1 165.5 160.1 148.3C160.1 131.6 168.9 116.6 182.6 108.3V108.3zM199.4 38.39C185.7 41.82 176.1 54.14 176.1 68.27C176.1 88.3 194.9 102.1 214.3 98.17L296.6 77.6L296.7 77.58C310.4 74.12 319.1 61.82 319.1 47.71C319.1 27.67 301.1 12.97 281.7 17.83L199.4 38.39zM199.4 118.4C185.7 121.8 176.1 134.1 176.1 148.3C176.1 168.3 194.9 183 214.4 178.2L440.6 121.6C454.3 118.2 463.9 105.9 463.9 91.73C463.9 71.69 445.1 56.98 425.6 61.84L300.6 93.1L300.5 93.12L199.4 118.4zM239.1 384V432C239.1 440.8 247.2 448 255.1 448H384C392.8 448 400 440.8 400 432V384C400 375.2 392.8 368 384 368H255.1C247.2 368 239.1 375.2 239.1 384zM463.9 171.7C463.9 151.7 445.1 136.1 425.6 141.8L199.4 198.4C185.7 201.8 176.1 214.1 176.1 228.3C176.1 248.3 194.9 263 214.4 258.2L440.6 201.6C454.3 198.2 463.9 185.9 463.9 171.7V171.7zM288 464C288 481.7 302.3 496 320 496C337.7 496 352 481.7 352 464H288zM92.11 65.14C95.9 67.41 97.13 72.33 94.86 76.12C92.58 79.9 87.67 81.13 83.88 78.86L3.881 30.86C.0926 28.59-1.136 23.67 1.137 19.88C3.411 16.1 8.325 14.87 12.11 17.14L92.11 65.14zM556.1 78.86C552.3 81.13 547.4 79.9 545.1 76.12C542.9 72.33 544.1 67.41 547.9 65.14L627.9 17.14C631.7 14.87 636.6 16.1 638.9 19.88C641.1 23.67 639.9 28.59 636.1 30.86L556.1 78.86zM87.1 176C92.42 176 95.1 179.6 95.1 184C95.1 188.4 92.42 192 87.1 192H7.998C3.579 192-.0024 188.4-.0024 184C-.0024 179.6 3.579 176 7.998 176H87.1zM631.1 176C636.4 176 639.1 179.6 639.1 184C639.1 188.4 636.4 192 631.1 192H551.1C547.6 192 543.1 188.4 543.1 184C543.1 179.6 547.6 176 551.1 176H631.1zM12.11 334.9C8.325 337.1 3.411 335.9 1.137 332.1C-1.136 328.3 .0926 323.4 3.881 321.1L83.88 273.1C87.67 270.9 92.58 272.1 94.86 275.9C97.13 279.7 95.9 284.6 92.11 286.9L12.11 334.9zM636.1 321.1C639.9 323.4 641.1 328.3 638.9 332.1C636.6 335.9 631.7 337.1 627.9 334.9L547.9 286.9C544.1 284.6 542.9 279.7 545.1 275.9C547.4 272.1 552.3 270.9 556.1 273.1L636.1 321.1z"],
    "lightbulb-dollar": [384, 512, [], "f670", "M255.9 415.1H128.1c-8.812 0-15.98 7.18-15.97 16.03l-.077 22.35c.0098 6.324 2.139 12.47 5.632 17.73l16.81 25.64C139.8 505.6 151.8 512 161.2 512h61.68c9.4 0 21.4-6.412 26.61-14.26l17.09-25.7c2.92-4.406 5.353-12.38 5.361-17.67l-.077-22.35C271.8 423.2 264.7 415.1 255.9 415.1zM255.7 454.4c-.0039 2.148-1.467 6.992-2.654 8.785l-17.03 25.69C233.8 492.3 226.8 496 222.7 496H161.3c-4.076 0-11.03-3.738-13.29-7.141L130.1 463.2c-1.76-2.656-2.691-5.742-2.697-8.934l-.0371-22.32h127.5L255.7 454.4zM316.3 51.53C283 18.28 238.9 0 192 0L191.5 .0127C94.74 .3096 16 79.55 16 176.7c0 42.78 15.47 84.06 43.59 116.2c13.51 15.45 38.54 52.09 48.01 84.05c.498 4.375 4.422 7.5 8.842 7c4.359-.5156 7.504-4.484 6.975-8.875l-.373-2.094C112.7 337.1 85.96 298.8 71.54 282.3C46.01 253.1 31.94 215.6 31.94 176.7c0-89.81 70.08-160.4 159.6-160.7h.5293c42.65 0 82.75 16.62 112.1 46.86c30.36 30.38 47.07 70.78 47.07 113.8c0 38.91-14.07 76.44-39.6 105.7c-14.41 16.47-41.13 55.66-51.81 92.16c0 .0313-.0625 .5625-.0625 .5781c-.5293 4.391 2.521 8.672 6.881 9.188c.3418 .0313 .6855 .0469 1.027 .0469c3.922 0 7.254-2.719 7.721-6.766c9.652-32.55 34.68-69.19 48.2-84.64C352.5 260.7 368 219.4 368 176.7C368 129.4 349.6 84.92 316.3 51.53zM191.1 64C187.6 64 183.1 67.58 183.1 72v23.04c-31.29 1.414-53.56 16.22-57.78 40.78C118.1 177.6 158.4 189.1 181.1 196l7.844 2.266c35.38 10.14 56.84 17.7 52.22 44.47c-4.531 26.2-37.19 30.64-63.81 26.47C170.7 268.1 164.3 266.6 135.1 256.4C131.8 254.1 127.3 257.1 125.8 261.3c-1.5 4.172 .6875 8.734 4.875 10.22c29.77 10.65 36 12.17 45.09 13.53c2.857 .4473 5.457 .4102 8.219 .666V312c0 4.422 3.594 8 8 8s8-3.578 8-8V286.4c31.28-1.402 53.56-16.33 57.78-40.87c7.344-42.28-31.97-53.53-63.56-62.56L186.5 180.7c-32.69-9.609-48.53-18.77-44.5-42.17c4.531-26.22 37.16-30.61 63.78-26.47c7.312 1.141 16.12 3.531 27.66 7.5c4.094 1.406 8.719-.7656 10.16-4.953c1.438-4.172-.7813-8.734-4.969-10.17c-25.1-8.672-33.53-8.497-38.59-8.967V72C199.1 67.58 196.4 64 191.1 64z"],
    "lightbulb-exclamation": [384, 512, [], "f671", "M199.9 232V88c0-4.406-3.562-8.001-7.969-8.001S183.9 83.6 183.9 88v144c0 4.406 3.635 7.998 8.042 7.998S199.9 236.4 199.9 232zM176 288c0 8.82 7.178 15.1 16 15.1s16-7.177 16-15.1S200.8 272 192 272S176 279.2 176 288zM316.3 51.53C283 18.28 238.9 0 192 0L191.5 .0127C94.74 .3096 16 79.55 16 176.7c0 42.78 15.47 84.06 43.59 116.2c13.51 15.45 38.54 52.09 48.01 84.05c.498 4.375 4.422 7.5 8.842 7c4.359-.5156 7.504-4.484 6.975-8.875l-.373-2.094c-10.37-34.98-37.08-74.17-51.5-90.64c-25.53-29.23-39.6-66.77-39.6-105.7c0-89.81 70.08-160.4 159.6-160.7h.5293c42.65 0 82.75 16.63 112.1 46.86c30.36 30.38 47.07 70.78 47.07 113.8c0 38.91-14.07 76.44-39.6 105.7c-14.41 16.47-41.13 55.66-51.81 92.16c0 .0313-.0625 .5625-.0625 .5782c-.5293 4.391 2.521 8.672 6.881 9.188c.3418 .0313 .6855 .0469 1.027 .0469c3.922 0 7.254-2.719 7.721-6.766c9.652-32.55 34.68-69.19 48.2-84.64C352.5 260.7 368 219.4 368 176.7C368 129.4 349.6 84.92 316.3 51.53zM255.9 415.1H128.1c-8.812 0-15.98 7.18-15.97 16.03l-.0145 22.34c.0098 6.324 1.863 12.42 5.355 17.68l17.08 25.69C139.8 505.6 151.8 512 161.2 512h61.67c9.4 0 21.4-6.418 26.61-14.27l17.02-25.69c2.92-4.406 5.411-12.4 5.419-17.69l-.1144-22.34C271.8 423.2 264.7 415.1 255.9 415.1zM255.7 454.4c-.0039 2.148-1.467 6.992-2.654 8.785l-17.03 25.68c-2.258 3.406-9.211 7.149-13.29 7.149H161.3c-4.076 0-11.03-3.738-13.29-7.141L130.1 463.2c-1.76-2.656-2.691-5.742-2.697-8.934l-.0371-22.32h127.5L255.7 454.4z"],
    "lightbulb-exclamation-on": [640, 512, [], "e1ca", "M43.58 .8496C39.66-1.104 34.84 .4902 32.84 4.428C30.88 8.381 32.47 13.18 36.42 15.16l80 40C117.6 55.74 118.8 56.01 120 56.01c2.922 0 5.75-1.625 7.156-4.422C129.1 47.63 127.5 42.83 123.6 40.85L43.58 .8496zM120 247.1c-1.203 0-2.422 .2656-3.578 .8438l-80 40C32.47 290.8 30.88 295.6 32.84 299.6c1.984 3.953 6.75 5.562 10.73 3.578l80-40c3.953-1.984 5.547-6.781 3.578-10.73C125.8 249.6 122.9 247.1 120 247.1zM520 56.01c1.203 0 2.422-.2656 3.578-.8438l80-40c3.953-1.984 5.547-6.781 3.578-10.73c-1.984-3.953-6.75-5.562-10.73-3.578l-80 40c-3.953 1.984-5.547 6.781-3.578 10.73C514.3 54.38 517.1 56.01 520 56.01zM112 152c0-4.422-3.578-8-8-8h-96c-4.422 0-8 3.578-8 8s3.578 8 8 8h96C108.4 160 112 156.4 112 152zM523.6 248.8C522.4 248.3 521.2 247.1 520 247.1c-2.922 0-5.75 1.625-7.156 4.422c-1.969 3.953-.375 8.75 3.578 10.73l80 40c3.922 1.953 8.734 .3594 10.73-3.578c1.969-3.953 .375-8.75-3.578-10.73L523.6 248.8zM632 144h-96c-4.422 0-8 3.578-8 8s3.578 8 8 8h96c4.422 0 8-3.578 8-8S636.4 144 632 144zM383.9 415.1H256.1c-8.812 0-15.98 7.18-15.97 16.03l-.0145 22.34c.0098 6.324 1.863 12.42 5.355 17.68l17.08 25.69C267.8 505.6 279.8 512 289.2 512h61.67c9.4 0 21.4-6.418 26.61-14.27l17.02-25.69c2.92-4.406 5.411-12.4 5.419-17.69l-.1144-22.34C399.8 423.2 392.7 415.1 383.9 415.1zM383.7 454.4c-.0039 2.148-1.467 6.992-2.654 8.785l-17.03 25.69C361.8 492.3 354.8 496 350.7 496H289.3c-4.076 0-11.03-3.738-13.29-7.141L258.1 463.2c-1.76-2.656-2.691-5.742-2.697-8.934l-.0371-22.32h127.5L383.7 454.4zM304 288c0 8.82 7.178 15.1 16 15.1s16-7.178 16-15.1s-7.178-16-16-16S304 279.2 304 288zM320 0L319.5 .0127C222.7 .3096 144 79.55 144 176.7c0 42.78 15.47 84.06 43.59 116.2c13.51 15.45 38.54 52.09 48.01 84.05c.498 4.375 4.422 7.5 8.842 7c4.359-.5156 7.504-4.484 6.975-8.875l-.373-2.094C240.7 337.1 213.1 298.8 199.5 282.3C174 253.1 159.9 215.6 159.9 176.7c0-89.81 70.08-160.4 159.6-160.7h.5293c42.65 0 82.75 16.62 112.1 46.86c30.36 30.38 47.07 70.78 47.07 113.8c0 38.91-14.07 76.44-39.6 105.7c-14.41 16.47-41.13 55.66-51.81 92.16c0 .0313-.0625 .5625-.0625 .5781c-.5293 4.391 2.521 8.672 6.881 9.188c.3418 .0313 .6855 .0469 1.027 .0469c3.922 0 7.254-2.719 7.721-6.766c9.652-32.55 34.68-69.19 48.2-84.64C480.5 260.7 496 219.4 496 176.7c0-47.3-18.37-91.74-51.74-125.1C411 18.28 366.9 0 320 0zM327.9 232V88c0-4.406-3.562-8-7.969-8S311.9 83.59 311.9 88v144c0 4.406 3.635 7.997 8.042 7.997S327.9 236.4 327.9 232z"],
    "lightbulb-on": [640, 512, [], "f672", "M328 72.01c0-4.422-3.594-7.993-8-7.993c-66.16 0-120 53.82-120 119.1c0 4.422 3.594 8 8 8s8-3.578 8-8c0-57.34 46.66-104 104-104C324.4 80.01 328 76.43 328 72.01zM383.1 415.1H256c-8.846 0-16.01 7.18-16 16.03l.0746 22.34c.0098 6.324 1.855 12.42 5.359 17.68l17.09 25.69c5.227 7.855 17.22 14.28 26.65 14.28h61.72c9.436 0 21.4-6.418 26.63-14.27l17.09-25.69c2.93-4.406 5.351-12.4 5.359-17.68l-.0254-22.34C399.1 423.2 392.8 415.1 383.1 415.1zM383.9 454.4c-.0039 2.148-1.473 6.992-2.664 8.785l-17.09 25.68c-2.266 3.406-9.246 7.148-13.34 7.148H289.2c-4.09 0-11.07-3.738-13.34-7.141l-17.05-25.62c-1.768-2.656-2.703-5.742-2.709-8.934l-.0371-22.32h127.9L383.9 454.4zM320 .0036L319.5 .0154C222.4 .3123 143.3 79.55 143.3 176.7c0 42.78 15.53 84.06 43.75 116.2c13.56 15.45 38.69 52.09 48.19 84.05c.5 4.375 4.438 7.5 8.875 7c4.375-.5156 7.531-4.484 7-8.875l-.375-2.094c-10.41-34.98-37.22-74.17-51.69-90.64C173.5 253.1 159.3 215.6 159.3 176.7c0-89.81 70.34-160.4 160.2-160.7h.5313c42.81 0 83.06 16.62 113.4 46.86c30.47 30.37 47.25 70.78 47.25 113.8c0 38.91-14.12 76.44-39.75 105.7c-14.47 16.47-41.28 55.66-52 92.16c0 .0313-.0625 .5625-.0625 .5781c-.5313 4.391 2.531 8.672 6.906 9.188c.3438 .0313 .6875 .0469 1.031 .0469c3.938 0 7.281-2.719 7.75-6.766c9.688-32.55 34.81-69.19 48.38-84.64c28.22-32.17 43.75-73.45 43.75-116.2c0-47.3-18.44-91.73-51.94-125.1C411.4 18.29 367.1 .0036 320 .0036zM43.58 .8509C39.66-1.102 34.84 .4915 32.84 4.429C30.88 8.382 32.47 13.18 36.42 15.16l80 40C117.6 55.74 118.8 56.01 120 56.01c2.922 0 5.75-1.625 7.156-4.422C129.1 47.63 127.5 42.84 123.6 40.85L43.58 .8509zM112 152c0-4.422-3.578-8-8-8h-96c-4.422 0-8 3.578-8 8s3.578 8 8 8h96C108.4 160 112 156.4 112 152zM520 56.01c1.203 0 2.422-.2656 3.578-.8438l80-40c3.953-1.984 5.547-6.781 3.578-10.73c-1.984-3.953-6.75-5.562-10.73-3.578l-80 40c-3.953 1.984-5.547 6.781-3.578 10.73C514.3 54.38 517.1 56.01 520 56.01zM632 144h-96c-4.422 0-8 3.578-8 8s3.578 8 8 8h96c4.422 0 8-3.578 8-8S636.4 144 632 144zM523.6 248.8C522.4 248.3 521.2 247.1 520 247.1c-2.922 0-5.75 1.625-7.156 4.422c-1.969 3.953-.375 8.75 3.578 10.73l80 40c3.922 1.953 8.734 .3594 10.73-3.578c1.969-3.953 .375-8.75-3.578-10.73L523.6 248.8zM120 247.1c-1.203 0-2.422 .2656-3.578 .8438l-80 40C32.47 290.8 30.88 295.6 32.84 299.6c1.984 3.953 6.75 5.562 10.73 3.578l80-40c3.953-1.984 5.547-6.781 3.578-10.73C125.8 249.6 122.9 247.1 120 247.1z"],
    "lightbulb-slash": [640, 512, [], "f673", "M636.1 497.7L13.08 1.73C11.61 .5664 9.818 .0052 8.073 .0052c-.0137 0 .0137 0 0 0c-.0176 0 .0176 0 0 0c-2.353 0-4.738 1.026-6.335 3.007c-2.749 3.469-2.171 8.5 1.281 11.25l623.1 496c1.484 1.172 3.253 1.732 5.003 1.732c.0059 0-.0059 0 0 0c.0078 0-.0078 0 0 0c2.343 0 4.71-1.029 6.288-3.013C641 505.5 640.4 500.5 636.1 497.7zM236.1 98.01l12.71 10.11c18.51-17.3 43.12-28.12 70.34-28.12c4.39 0 7.969-3.578 7.969-8s-3.598-7.989-7.988-7.989C287.7 64.01 258.5 77.04 236.1 98.01zM319.5 16h.5292c42.65 0 82.74 16.63 112.9 46.86c30.35 30.38 47.06 70.78 47.06 113.8c0 32.95-10.62 64.59-29.21 91.36l12.45 9.891c20.82-29.62 32.7-64.7 32.7-101.3c0-47.3-18.37-91.74-51.73-125.1C411 18.28 366.9 0 320 0L319.5 .0131C267.5 .1732 220.8 23.28 188.6 59.61l12.21 9.707C229.9 36.78 271.7 16.14 319.5 16zM383.9 415.1H256.2c-8.811 0-15.81 7.174-15.8 16.02l.0371 22.32c.0098 6.324 1.877 12.5 5.368 17.77l16.78 25.62c5.206 7.856 17.24 14.28 26.64 14.28h61.66c9.398 0 21.4-6.424 26.61-14.28l17.08-25.68c2.919-4.406 5.34-12.41 5.348-17.7l-.0492-22.33C399.8 423.2 392.7 415.1 383.9 415.1zM383.7 454.4c-.0039 2.148-1.466 6.992-2.654 8.785l-17.03 25.68c-2.257 3.406-9.209 7.148-13.29 7.148H289.3c-4.075 0-11.03-3.738-13.28-7.141l-16.98-25.63c-1.759-2.656-2.691-5.742-2.697-8.934l-.0371-22.32h127.4L383.7 454.4zM251.5 375.1l-.373-2.094c-10.37-34.98-37.07-74.17-51.49-90.64c-14-16.04-24.17-34.7-30.85-54.59L147.6 210.1c5.969 30.16 19.52 58.48 39.1 81.91c13.51 15.45 38.53 52.09 47.1 84.05c.4979 4.375 4.421 7.5 8.84 7C248.8 383.4 251.1 379.5 251.5 375.1z"],
    "lights-holiday": [640, 512, [], "f7b2", "M134.1 262.3C134.1 262.3 134.1 262.3 134.1 262.3L167.4 178.9c1.641-4.094-.3438-8.75-4.453-10.41C158.9 166.9 154.2 168.9 152.6 173L119.3 256.4c-.1348 .3359 .0977 .6562 .0117 1C91.62 252 63.85 265.4 54.59 290.3c-10.94 30.41-7.969 99.29 5.875 136.5c.8281 2.219 2.563 3.938 4.766 4.75C66.12 431.8 67.05 432 67.97 432c1.375 0 2.734-.3438 3.953-1.062c35.16-20 82.56-70.99 93.92-100.1c0-.0313 0 0 0 0C170.5 317.6 169.8 303.9 163.9 291.3C158 278.6 147.3 268.4 134.1 262.3zM150.9 324.3c-8.391 22.13-46.05 65.57-78.45 87.48C61.98 374.9 61.59 318.1 69.62 295.8c5.484-14.81 20.66-23.81 37.42-23.81c5.313 0 10.81 .9062 16.19 2.812c11.72 4.188 21.27 12.66 26.2 23.25C153.5 306.7 153.1 316.1 150.9 324.3zM327.7 272.7c.0254-.2578 .2813-.4141 .2813-.6797V191.1c0-4.406-3.578-8-8-8s-8 3.594-8 8v80.01c0 .2656 .2559 .4219 .2813 .6797C283.4 276 260.1 297.4 260.1 323.5c0 30.69 26.78 92.16 53.06 121.8C315.6 447 317.8 448 320.1 448c2.297 0 4.39-.9687 5.905-2.688c26.28-29.66 53.06-91.16 53.06-121.8C379.1 297.4 356.6 275.1 327.7 272.7zM320 427.3c-22.89-30.22-43.03-81.38-43.03-103.9c0-19.57 19.28-35.5 43.02-35.5s43.08 15.93 43.08 35.5C363.1 347.9 341.6 398.7 320 427.3zM638.8 67.81c-2.281-3.75-7.234-4.906-10.98-2.688C544 115.1 434.7 143.1 320 143.1c-114.7 0-224-28-307.9-78.85C8.42 62.91 3.451 64.06 1.154 67.81c-2.281 3.781-1.078 8.719 2.703 11C90.17 131.2 202.5 159.1 320 159.1c117.6 0 229.8-28.82 316.1-81.17C639.9 76.53 641.1 71.59 638.8 67.81zM520.8 257.4c-.0859-.3438 .1465-.6719 .0117-1.008l-33.33-83.35c-1.656-4.094-6.313-6.062-10.39-4.469c-4.109 1.656-6.094 6.312-4.453 10.41l33.33 83.36c.002 .0039-.002-.0039 0 0c-13.15 6.137-23.94 16.3-29.83 28.99c-5.859 12.59-6.531 26.32-1.906 38.7c11.36 29.97 58.77 80.94 93.92 100.9C569.3 431.7 570.7 432 572.1 432c.9219 0 1.844-.1562 2.734-.4687c2.203-.8125 3.938-2.531 4.766-4.75c13.84-37.2 16.81-106.1 5.844-136.5C576.2 265.3 548.5 251.1 520.8 257.4zM567.6 411.8c-32.42-21.91-70.06-65.35-78.45-87.48c-3.094-8.281-2.594-17.62 1.438-26.29c4.938-10.59 14.48-19.06 26.2-23.25c5.391-1.906 10.88-2.812 16.2-2.812c16.75 0 31.92 8.969 37.38 23.75C578.4 318.1 578 374.9 567.6 411.8z"],
    "line-columns": [512, 512, [], "f870", "M216 56C220.4 56 224 59.58 224 64C224 68.42 220.4 72 216 72H8C3.582 72 0 68.42 0 64C0 59.58 3.582 56 8 56H216zM216 184C220.4 184 224 187.6 224 192C224 196.4 220.4 200 216 200H8C3.582 200 0 196.4 0 192C0 187.6 3.582 184 8 184H216zM0 320C0 315.6 3.582 312 8 312H216C220.4 312 224 315.6 224 320C224 324.4 220.4 328 216 328H8C3.582 328 0 324.4 0 320zM216 440C220.4 440 224 443.6 224 448C224 452.4 220.4 456 216 456H8C3.582 456 0 452.4 0 448C0 443.6 3.582 440 8 440H216zM288 192C288 187.6 291.6 184 296 184H504C508.4 184 512 187.6 512 192C512 196.4 508.4 200 504 200H296C291.6 200 288 196.4 288 192zM504 56C508.4 56 512 59.58 512 64C512 68.42 508.4 72 504 72H296C291.6 72 288 68.42 288 64C288 59.58 291.6 56 296 56H504zM288 320C288 315.6 291.6 312 296 312H504C508.4 312 512 315.6 512 320C512 324.4 508.4 328 504 328H296C291.6 328 288 324.4 288 320zM504 440C508.4 440 512 443.6 512 448C512 452.4 508.4 456 504 456H296C291.6 456 288 452.4 288 448C288 443.6 291.6 440 296 440H504z"],
    "line-height": [576, 512, [], "f871", "M189.4 114.1C192.7 117.1 192.9 122.1 189.9 125.4C186.9 128.7 181.9 128.9 178.6 125.9L104 58.08V453.9L178.6 386.1C181.9 383.1 186.9 383.4 189.9 386.6C192.9 389.9 192.7 394.9 189.4 397.9L101.4 477.9C98.33 480.7 93.67 480.7 90.62 477.9L2.619 397.9C-.6503 394.9-.8912 389.9 2.081 386.6C5.053 383.4 10.11 383.1 13.38 386.1L88 453.9V58.08L13.38 125.9C10.11 128.9 5.052 128.7 2.081 125.4C-.8916 122.1-.6506 117.1 2.619 114.1L90.62 34.08C93.67 31.31 98.33 31.31 101.4 34.08L189.4 114.1zM568 88C572.4 88 576 91.58 576 96C576 100.4 572.4 104 568 104H264C259.6 104 256 100.4 256 96C256 91.58 259.6 88 264 88H568zM568 248C572.4 248 576 251.6 576 256C576 260.4 572.4 264 568 264H256C251.6 264 248 260.4 248 256C248 251.6 251.6 248 256 248H568zM256 416C256 411.6 259.6 408 264 408H568C572.4 408 576 411.6 576 416C576 420.4 572.4 424 568 424H264C259.6 424 256 420.4 256 416z"],
    "lines-leaning": [384, 512, [], "e51e", "M376 32C380.4 32 384 35.58 384 40V472C384 476.4 380.4 480 376 480C371.6 480 368 476.4 368 472V40C368 35.58 371.6 32 376 32V32zM282 32.26C286.3 33.37 288.9 37.73 287.7 42.01L175.7 474C174.6 478.3 170.3 480.9 165.1 479.7C161.7 478.6 159.1 474.3 160.3 469.1L272.3 37.99C273.4 33.72 277.7 31.15 282 32.26V32.26zM15.5 474.8C13.97 478.9 9.367 481 5.224 479.5C1.08 477.1-1.034 473.4 .5002 469.2L160.5 37.22C162 33.08 166.6 30.97 170.8 32.5C174.9 34.03 177 38.64 175.5 42.78L15.5 474.8z"],
    "link": [640, 512, [128279, "chain"], "f0c1", "M444.5 380.5C394.5 430.4 313.4 430.4 263.4 380.5C213.4 330.5 213.4 249.4 263.4 199.4L303 159.8C306.2 156.7 311.2 156.7 314.3 159.8C317.5 162.1 317.5 168 314.3 171.1L274.7 210.7C231 254.5 231 325.4 274.7 369.1C318.5 412.9 389.4 412.9 433.1 369.1L568.9 233.4C612.6 189.6 612.6 118.7 568.9 74.98C525.2 31.24 454.2 31.24 410.5 74.98L393.5 91.95C390.4 95.07 385.4 95.07 382.2 91.95C379.1 88.83 379.1 83.76 382.2 80.64L399.2 63.67C449.2 13.68 530.2 13.68 580.2 63.67C630.2 113.7 630.2 194.7 580.2 244.7L444.5 380.5zM195.5 131.5C245.5 81.56 326.6 81.56 376.6 131.5C426.6 181.5 426.6 262.6 376.6 312.6L336.1 352.2C333.8 355.3 328.8 355.3 325.7 352.2C322.5 349 322.5 343.1 325.7 340.9L365.3 301.3C408.1 257.5 408.1 186.6 365.3 142.9C321.5 99.12 250.6 99.12 206.9 142.9L71.1 278.6C27.36 322.4 27.36 393.3 71.1 437C114.8 480.8 185.8 480.8 229.5 437L246.5 420C249.6 416.9 254.7 416.9 257.8 420C260.9 423.2 260.9 428.2 257.8 431.4L240.8 448.3C190.8 498.3 109.8 498.3 59.79 448.3C9.798 398.3 9.798 317.3 59.79 267.3L195.5 131.5z"],
    "link-horizontal": [640, 512, ["chain-horizontal"], "e1cb", "M320 432C249.3 432 192 374.7 192 304C192 233.3 249.3 176 320 176H376C380.4 176 384 179.6 384 184C384 188.4 380.4 192 376 192H320C258.1 192 208 242.1 208 304C208 365.9 258.1 416 320 416H512C573.9 416 624 365.9 624 304C624 242.1 573.9 192 512 192H488C483.6 192 480 188.4 480 184C480 179.6 483.6 176 488 176H512C582.7 176 640 233.3 640 304C640 374.7 582.7 432 512 432H320zM320 80C390.7 80 448 137.3 448 208C448 278.7 390.7 336 320 336H264C259.6 336 256 332.4 256 328C256 323.6 259.6 320 264 320H320C381.9 320 432 269.9 432 208C432 146.1 381.9 96 320 96H128C66.14 96 16 146.1 16 208C16 269.9 66.14 320 128 320H152C156.4 320 160 323.6 160 328C160 332.4 156.4 336 152 336H128C57.31 336 0 278.7 0 208C0 137.3 57.31 80 128 80H320z"],
    "link-horizontal-slash": [640, 512, ["chain-horizontal-slash"], "e1cc", "M636.1 497.7C640.4 500.5 641 505.5 638.3 508.1C635.5 512.4 630.5 513 627 510.3L3.024 14.26C-.4352 11.51-1.01 6.481 1.739 3.022C4.488-.4365 9.521-1.012 12.98 1.738L636.1 497.7zM406.5 416L426.7 432H320C249.3 432 192 374.7 192 304C192 286.5 195.5 269.7 201.9 254.5L215 264.9C210.5 277 208 290.2 208 304C208 365.9 258.1 416 320 416L406.5 416zM320 96H233.5L213.3 80H320C390.7 80 448 137.3 448 208C448 225.5 444.5 242.3 438.1 257.5L424.1 247.1C429.5 234.1 432 221.8 432 208C432 146.1 381.9 96 320 96V96zM16 208C16 269.9 66.14 320 128 320H152C156.4 320 160 323.6 160 328C160 332.4 156.4 336 152 336H128C57.31 336 0 278.7 0 208C0 174.7 12.72 144.4 33.56 121.6L46.16 131.5C27.45 151.6 16 178.4 16 208H16zM640 304C640 337.3 627.3 367.6 606.4 390.4L593.8 380.5C612.6 360.4 624 333.6 624 304C624 242.1 573.9 192 512 192H488C483.6 192 480 188.4 480 184C480 179.6 483.6 176 488 176H512C582.7 176 640 233.3 640 304V304z"],
    "link-simple": [640, 512, [], "e1cd", "M0 256C0 167.6 71.63 96 160 96H280C284.4 96 288 99.58 288 104C288 108.4 284.4 112 280 112H160C80.47 112 16 176.5 16 256C16 335.5 80.47 400 160 400H280C284.4 400 288 403.6 288 408C288 412.4 284.4 416 280 416H160C71.63 416 0 344.4 0 256zM480 416H360C355.6 416 352 412.4 352 408C352 403.6 355.6 400 360 400H480C559.5 400 624 335.5 624 256C624 176.5 559.5 112 480 112H360C355.6 112 352 108.4 352 104C352 99.58 355.6 96 360 96H480C568.4 96 640 167.6 640 256C640 344.4 568.4 416 480 416zM464 248C468.4 248 472 251.6 472 256C472 260.4 468.4 264 464 264H176C171.6 264 168 260.4 168 256C168 251.6 171.6 248 176 248H464z"],
    "link-simple-slash": [640, 512, [], "e1ce", "M636.1 497.7C640.4 500.5 641 505.5 638.3 508.1C635.5 512.4 630.5 513 627 510.3L3.022 14.26C-.4365 11.51-1.012 6.481 1.738 3.022C4.487-.4365 9.52-1.012 12.98 1.738L636.1 497.7zM640 256C640 303.3 619.5 345.7 586.9 375L574.2 364.9C604.7 338.5 624 299.5 624 256C624 176.5 559.5 112 480 112H360C355.6 112 352 108.4 352 104C352 99.58 355.6 96 360 96H480C568.4 96 640 167.6 640 256zM360 416C355.6 416 352 412.4 352 408C352 403.6 355.6 400 360 400H386.2L406.5 416H360zM464 264H446.3L426.1 248H464C468.4 248 472 251.6 472 256C472 260.4 468.4 264 464 264zM193.7 248L213.9 264H176C171.6 264 168 260.4 168 256C168 251.6 171.6 248 176 248H193.7zM280 112H253.8L233.5 96H280C284.4 96 288 99.58 288 104C288 108.4 284.4 112 280 112H280zM16 256C16 335.5 80.47 400 160 400H280C284.4 400 288 403.6 288 408C288 412.4 284.4 416 280 416H160C71.64 416 .0006 344.4 .0006 256C.0006 208.7 20.48 166.3 53.06 136.1L65.82 147.1C35.31 173.5 16 212.5 16 256V256z"],
    "link-slash": [640, 512, ["chain-broken", "chain-slash", "unlink"], "f127", "M636.1 497.7C640.4 500.5 641 505.5 638.3 508.1C635.5 512.4 630.5 513 627 510.3L3.022 14.26C-.4365 11.51-1.012 6.481 1.738 3.022C4.487-.4365 9.52-1.012 12.98 1.738L636.1 497.7zM580.2 244.7L510.4 314.5L497.7 304.6L568.9 233.4C612.6 189.6 612.6 118.7 568.9 74.98C525.2 31.24 454.2 31.24 410.5 74.98L393.5 91.95C390.4 95.08 385.3 95.08 382.2 91.95C379.1 88.83 379.1 83.76 382.2 80.64L399.2 63.67C449.2 13.68 530.2 13.68 580.2 63.67C630.2 113.7 630.2 194.7 580.2 244.7V244.7zM263.4 380.5C234.4 351.5 222.3 312 226.9 274.2L242 286.2C240.1 316.1 251.9 346.3 274.7 369.1C304.2 398.6 346.1 408.2 383.6 397.1L398.7 409.9C353.2 426.8 300 417 263.4 380.5L263.4 380.5zM376.6 131.6C405.6 160.5 417.7 199.1 413.1 237.8L397.1 225.8C398.1 195.9 388.1 165.7 365.3 142.9C335.8 113.4 293.9 103.8 256.4 114L241.3 102.1C286.8 85.16 339.1 94.97 376.6 131.6H376.6zM314.1 159.6L313.1 158.8C313.5 159.1 313.8 159.3 314.1 159.6zM129.6 197.5L142.3 207.4L71.1 278.6C27.36 322.4 27.36 393.3 71.1 437C114.8 480.8 185.8 480.8 229.5 437L246.5 420.1C249.6 416.9 254.6 416.9 257.8 420.1C260.9 423.2 260.9 428.2 257.8 431.4L240.8 448.3C190.8 498.3 109.8 498.3 59.78 448.3C9.796 398.3 9.796 317.3 59.78 267.3L129.6 197.5zM325.8 352.3L326.9 353.2C326.5 352.1 326.2 352.7 325.8 352.3z"],
    "lips": [576, 512, [128482, 128068], "f600", "M568.1 201.7C521.6 124.6 419.6 64 375.1 64c0 0-29.37 0-87.99 45C229.4 64 200 64 200 64C156.4 64 54.4 124.6 7.942 201.7c-9.338 15.41-10.46 34.2-3.489 50.73C29.65 312.3 105.9 448 251.3 448h73.36c145.5 0 221.7-135.8 246.9-195.6C578.5 235.9 577.4 217.1 568.1 201.7zM556.8 246.2C538.4 289.8 467.4 432 324.7 432H251.3c-142.8 0-213.7-142.2-232.1-185.8C14.22 234.3 15.13 220.7 21.69 209.9C66.94 134.9 165.8 80 199.6 79.99C199.9 80.01 226.4 81.84 278.3 121.7C281.1 123.9 284.6 125 288 125s6.871-1.102 9.744-3.309C347.9 83.2 374.3 80.18 376.3 80c34.52 .3281 132.9 55.09 178 129.1C560.9 220.7 561.8 234.3 556.8 246.2zM372 184c-.75 0-1.5 .0938-2.219 .3125l-30.88 8.844C306.1 202.1 268.1 202.1 237.2 193.2L206.2 184.3C205.5 184.1 204.8 184 204 184c-85.16 0-141.6 31.72-143.1 33.06c-2 1.156-3.438 3.125-3.875 5.375C55.69 224.7 56.25 227.1 57.69 228.9C60.85 232.1 136.5 328 288 328s227.2-95.03 230.3-99.09c1.438-1.812 2-4.188 1.531-6.469c-.4375-2.25-1.875-4.219-3.875-5.375C513.6 215.7 457.2 184 372 184zM288 312c-119.1 0-190-63.47-211.1-85.5C95.47 218 141.5 200.2 202.9 200l29.91 8.594c34.69 9.688 75.69 9.719 110.5-.0313L373.1 200c61.19 .2187 107.3 18 125.9 26.5C478 248.6 407.1 312 288 312z"],
    "lira-sign": [320, 512, [8356], "f195", "M80 224H248C252.4 224 256 227.6 256 232C256 236.4 252.4 240 248 240H80V260.6C80 280.6 78.46 300.4 75.44 320H248C252.4 320 256 323.6 256 328C256 332.4 252.4 336 248 336H72.63C63.71 381.1 46.83 424.5 22.61 464H312C316.4 464 320 467.6 320 472C320 476.4 316.4 480 312 480H8C3.582 480 0 476.4 0 472C0 470.3 .5197 468.8 1.408 467.5C28.11 427.4 46.67 382.7 56.31 336H8C3.582 336 0 332.4 0 328C0 323.6 3.582 320 8 320H59.24C62.4 300.4 64 280.6 64 260.6V240H8C3.582 240 .0003 236.4 .0003 232C.0003 227.6 3.582 224 8 224H64V143.2C64 81.81 113.8 32 175.2 32C187.2 32 199.1 33.93 210.4 37.71L290.5 64.41C294.7 65.81 296.1 70.34 295.6 74.53C294.2 78.72 289.7 80.99 285.5 79.59L205.4 52.89C195.7 49.65 185.5 48 175.2 48C122.6 48 80 90.64 80 143.2V224z"],
    "list": [512, 512, ["list-squares"], "f03a", "M16 72C16 58.75 26.75 48 40 48H88C101.3 48 112 58.75 112 72V120C112 133.3 101.3 144 88 144H40C26.75 144 16 133.3 16 120V72zM32 72V120C32 124.4 35.58 128 40 128H88C92.42 128 96 124.4 96 120V72C96 67.58 92.42 64 88 64H40C35.58 64 32 67.58 32 72zM496 88C500.4 88 504 91.58 504 96C504 100.4 500.4 104 496 104H176C171.6 104 168 100.4 168 96C168 91.58 171.6 88 176 88H496zM496 248C500.4 248 504 251.6 504 256C504 260.4 500.4 264 496 264H176C171.6 264 168 260.4 168 256C168 251.6 171.6 248 176 248H496zM496 408C500.4 408 504 411.6 504 416C504 420.4 500.4 424 496 424H176C171.6 424 168 420.4 168 416C168 411.6 171.6 408 176 408H496zM88 208C101.3 208 112 218.7 112 232V280C112 293.3 101.3 304 88 304H40C26.75 304 16 293.3 16 280V232C16 218.7 26.75 208 40 208H88zM88 224H40C35.58 224 32 227.6 32 232V280C32 284.4 35.58 288 40 288H88C92.42 288 96 284.4 96 280V232C96 227.6 92.42 224 88 224zM16 392C16 378.7 26.75 368 40 368H88C101.3 368 112 378.7 112 392V440C112 453.3 101.3 464 88 464H40C26.75 464 16 453.3 16 440V392zM32 392V440C32 444.4 35.58 448 40 448H88C92.42 448 96 444.4 96 440V392C96 387.6 92.42 384 88 384H40C35.58 384 32 387.6 32 392z"],
    "list-check": [512, 512, ["tasks"], "f0ae", "M69.66 141.7C66.73 144.6 62.06 144.8 58.88 142.1L10.88 102.1C7.484 99.32 7.026 94.27 9.854 90.88C12.68 87.48 17.73 87.03 21.12 89.85L63.51 125.2L146.3 42.34C149.5 39.22 154.5 39.22 157.7 42.34C160.8 45.47 160.8 50.53 157.7 53.66L69.66 141.7zM69.66 301.7C66.73 304.6 62.06 304.8 58.88 302.1L10.88 262.1C7.484 259.3 7.026 254.3 9.854 250.9C12.68 247.5 17.73 247 21.12 249.9L63.51 285.2L146.3 202.3C149.5 199.2 154.5 199.2 157.7 202.3C160.8 205.5 160.8 210.5 157.7 213.7L69.66 301.7zM200 95.1C200 91.58 203.6 87.1 208 87.1H496C500.4 87.1 504 91.58 504 95.1C504 100.4 500.4 103.1 496 103.1H208C203.6 103.1 200 100.4 200 95.1zM200 255.1C200 251.6 203.6 247.1 208 247.1H496C500.4 247.1 504 251.6 504 255.1C504 260.4 500.4 263.1 496 263.1H208C203.6 263.1 200 260.4 200 255.1zM168 416C168 411.6 171.6 408 176 408H496C500.4 408 504 411.6 504 416C504 420.4 500.4 424 496 424H176C171.6 424 168 420.4 168 416zM64 432C55.16 432 48 424.8 48 416C48 407.2 55.16 400 64 400C72.84 400 80 407.2 80 416C80 424.8 72.84 432 64 432z"],
    "list-dropdown": [512, 512, [], "e1cf", "M384 117.8L419 89.75C422.5 86.99 427.5 87.55 430.2 91C433 94.45 432.4 99.49 428.1 102.2L388.1 134.2C386.1 136.6 381.9 136.6 379 134.2L339 102.2C335.6 99.49 334.1 94.45 337.8 91C340.5 87.55 345.5 86.99 348.1 89.75L384 117.8zM392 272C396.4 272 400 275.6 400 280C400 284.4 396.4 288 392 288H120C115.6 288 112 284.4 112 280C112 275.6 115.6 272 120 272H392zM392 368C396.4 368 400 371.6 400 376C400 380.4 396.4 384 392 384H120C115.6 384 112 380.4 112 376C112 371.6 115.6 368 120 368H392zM0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM16 96V176H496V96C496 69.49 474.5 48 448 48H64C37.49 48 16 69.49 16 96zM16 416C16 442.5 37.49 464 64 464H448C474.5 464 496 442.5 496 416V192H16V416z"],
    "list-music": [512, 512, [], "f8c9", "M8 232h272c4.406 0 8-3.585 8-7.991S284.4 216 280 216h-272C3.594 216 0 219.6 0 223.1S3.594 232 8 232zM8 104h272c4.406 0 8-3.607 8-8.013S284.4 88 280 88h-272C3.594 88 0 91.56 0 95.97S3.594 104 8 104zM152 344h-144C3.594 344 0 347.6 0 351.1S3.594 360 8 360h144c4.406 0 8-3.581 8-7.987S156.4 344 152 344zM481.2 .9844l-84.65 24.83c-16.91 5.078-28.5 20.65-28.5 38.3v323.9C350.9 366.3 321.5 352 288 352c-53.02 0-96 35.81-96 79.1C192 476.2 234.1 512 288 512s96-35.82 96-80l.0938-269.2l110.7-32.53C504.1 127.2 512 117.9 512 107.2V24.01C512 7.996 496.6-3.523 481.2 .9844zM288 496c-44.11 0-80-28.71-80-64S243.9 368 288 368s80 28.71 80 64S332.1 496 288 496zM496 107.2c0 3.551-2.34 6.676-5.742 7.676l-106.2 31.2l-.0469-81.99c0-10.66 7.078-19.97 17.31-22.97l84.39-24.76C490.9 14.83 496 18.67 496 24.01V107.2z"],
    "list-ol": [576, 512, ["list-1-2", "list-numeric"], "f0cb", "M72 48.04C72 43.62 75.58 40.04 80 40.04H112C116.4 40.04 120 43.62 120 48.04V208H160C164.4 208 168 211.6 168 216C168 220.5 164.4 224 160 224H64C59.58 224 56 220.5 56 216C56 211.6 59.58 208 64 208H104V56.04H80C75.58 56.04 72 52.45 72 48.04V48.04zM143.2 318.7C129.9 303.5 106.8 301.8 91.49 314.1L69.21 334.1C65.85 336.1 60.8 336.6 57.93 333.2C55.05 329.9 55.44 324.8 58.79 321.9L81.08 302.8C103.1 283.1 136.2 286.3 155.3 308.2C173.2 328.6 172.6 359.3 154 379.1L74.47 464H168C172.4 464 176 467.6 176 472C176 476.4 172.4 480 168 480H56C52.81 480 49.93 478.1 48.66 475.2C47.39 472.3 47.98 468.9 50.16 466.5L142.4 368.2C155.3 354.3 155.7 332.9 143.2 318.7H143.2zM528 88C532.4 88 536 91.58 536 96C536 100.4 532.4 104 528 104H240C235.6 104 232 100.4 232 96C232 91.58 235.6 88 240 88H528zM528 248C532.4 248 536 251.6 536 256C536 260.4 532.4 264 528 264H240C235.6 264 232 260.4 232 256C232 251.6 235.6 248 240 248H528zM528 408C532.4 408 536 411.6 536 416C536 420.4 532.4 424 528 424H240C235.6 424 232 420.4 232 416C232 411.6 235.6 408 240 408H528z"],
    "list-radio": [512, 512, [], "e1d0", "M64 80C72.84 80 80 87.16 80 96C80 104.8 72.84 112 64 112C55.16 112 48 104.8 48 96C48 87.16 55.16 80 64 80zM64 40C94.93 40 120 65.07 120 96C120 126.9 94.93 152 64 152C33.07 152 8 126.9 8 96C8 65.07 33.07 40 64 40zM24 96C24 118.1 41.91 136 64 136C86.09 136 104 118.1 104 96C104 73.91 86.09 56 64 56C41.91 56 24 73.91 24 96zM168 96C168 91.58 171.6 88 176 88H496C500.4 88 504 91.58 504 96C504 100.4 500.4 104 496 104H176C171.6 104 168 100.4 168 96zM168 256C168 251.6 171.6 248 176 248H496C500.4 248 504 251.6 504 256C504 260.4 500.4 264 496 264H176C171.6 264 168 260.4 168 256zM168 416C168 411.6 171.6 408 176 408H496C500.4 408 504 411.6 504 416C504 420.4 500.4 424 496 424H176C171.6 424 168 420.4 168 416zM64 200C94.93 200 120 225.1 120 256C120 286.9 94.93 312 64 312C33.07 312 8 286.9 8 256C8 225.1 33.07 200 64 200zM24 256C24 278.1 41.91 296 64 296C86.09 296 104 278.1 104 256C104 233.9 86.09 216 64 216C41.91 216 24 233.9 24 256zM64 472C33.07 472 8 446.9 8 416C8 385.1 33.07 360 64 360C94.93 360 120 385.1 120 416C120 446.9 94.93 472 64 472zM104 416C104 393.9 86.09 376 64 376C41.91 376 24 393.9 24 416C24 438.1 41.91 456 64 456C86.09 456 104 438.1 104 416z"],
    "list-timeline": [512, 512, [], "e1d1", "M213.3 32H416C433.7 32 448 46.33 448 64V128C448 145.7 433.7 160 416 160H213.3C204.8 160 196.6 156.6 190.6 150.6L147.3 107.3C141.1 101.1 141.1 90.94 147.3 84.69L190.6 41.37C196.6 35.37 204.8 32 213.3 32V32zM201.9 139.3C204.9 142.3 209 144 213.3 144H416C424.8 144 432 136.8 432 128V64C432 55.16 424.8 48 416 48H213.3C209 48 204.9 49.69 201.9 52.69L158.6 96L201.9 139.3zM64 144C37.49 144 16 122.5 16 96C16 69.49 37.49 48 64 48C90.51 48 112 69.49 112 96C112 122.5 90.51 144 64 144zM96 96C96 78.33 81.67 64 64 64C46.33 64 32 78.33 32 96C32 113.7 46.33 128 64 128C81.67 128 96 113.7 96 96zM64 304C37.49 304 16 282.5 16 256C16 229.5 37.49 208 64 208C90.51 208 112 229.5 112 256C112 282.5 90.51 304 64 304zM96 256C96 238.3 81.67 224 64 224C46.33 224 32 238.3 32 256C32 273.7 46.33 288 64 288C81.67 288 96 273.7 96 256zM64 368C90.51 368 112 389.5 112 416C112 442.5 90.51 464 64 464C37.49 464 16 442.5 16 416C16 389.5 37.49 368 64 368zM32 416C32 433.7 46.33 448 64 448C81.67 448 96 433.7 96 416C96 398.3 81.67 384 64 384C46.33 384 32 398.3 32 416zM213.3 352H416C433.7 352 448 366.3 448 384V448C448 465.7 433.7 480 416 480H213.3C204.8 480 196.6 476.6 190.6 470.6L147.3 427.3C141.1 421.1 141.1 410.9 147.3 404.7L190.6 361.4C196.6 355.4 204.8 352 213.3 352V352zM201.9 459.3C204.9 462.3 209 464 213.3 464H416C424.8 464 432 456.8 432 448V384C432 375.2 424.8 368 416 368H213.3C209 368 204.9 369.7 201.9 372.7L158.6 416L201.9 459.3zM147.3 244.7L190.6 201.4C196.6 195.4 204.8 192 213.3 192H480C497.7 192 512 206.3 512 224V288C512 305.7 497.7 320 480 320H213.3C204.8 320 196.6 316.6 190.6 310.6L147.3 267.3C141.1 261.1 141.1 250.9 147.3 244.7V244.7zM201.9 212.7L158.6 256L201.9 299.3C204.9 302.3 209 304 213.3 304H480C488.8 304 496 296.8 496 288V224C496 215.2 488.8 208 480 208H213.3C209 208 204.9 209.7 201.9 212.7z"],
    "list-tree": [512, 512, [], "e1d2", "M40 144H24C10.75 144 0 133.3 0 120V72C0 58.75 10.75 48 24 48H72C85.25 48 96 58.75 96 72V120C96 133.3 85.25 144 72 144H56V256H128V232C128 218.7 138.7 208 152 208H200C213.3 208 224 218.7 224 232V280C224 293.3 213.3 304 200 304H152C138.7 304 128 293.3 128 280V272H56V392C56 405.3 66.75 416 80 416H128V392C128 378.7 138.7 368 152 368H200C213.3 368 224 378.7 224 392V440C224 453.3 213.3 464 200 464H152C138.7 464 128 453.3 128 440V432H80C57.91 432 40 414.1 40 392V144zM16 72V120C16 124.4 19.58 128 24 128H72C76.42 128 80 124.4 80 120V72C80 67.58 76.42 64 72 64H24C19.58 64 16 67.58 16 72zM144 440C144 444.4 147.6 448 152 448H200C204.4 448 208 444.4 208 440V392C208 387.6 204.4 384 200 384H152C147.6 384 144 387.6 144 392V440zM152 288H200C204.4 288 208 284.4 208 280V232C208 227.6 204.4 224 200 224H152C147.6 224 144 227.6 144 232V280C144 284.4 147.6 288 152 288zM168 96C168 91.58 171.6 88 176 88H496C500.4 88 504 91.58 504 96C504 100.4 500.4 104 496 104H176C171.6 104 168 100.4 168 96zM296 256C296 251.6 299.6 248 304 248H496C500.4 248 504 251.6 504 256C504 260.4 500.4 264 496 264H304C299.6 264 296 260.4 296 256zM296 416C296 411.6 299.6 408 304 408H496C500.4 408 504 411.6 504 416C504 420.4 500.4 424 496 424H304C299.6 424 296 420.4 296 416z"],
    "list-ul": [512, 512, ["list-dots"], "f0ca", "M64 80C72.84 80 80 87.16 80 96C80 104.8 72.84 112 64 112C55.16 112 48 104.8 48 96C48 87.16 55.16 80 64 80zM64 240C72.84 240 80 247.2 80 256C80 264.8 72.84 272 64 272C55.16 272 48 264.8 48 256C48 247.2 55.16 240 64 240zM64 432C55.16 432 48 424.8 48 416C48 407.2 55.16 400 64 400C72.84 400 80 407.2 80 416C80 424.8 72.84 432 64 432zM496 88C500.4 88 504 91.58 504 96C504 100.4 500.4 104 496 104H176C171.6 104 168 100.4 168 96C168 91.58 171.6 88 176 88H496zM496 248C500.4 248 504 251.6 504 256C504 260.4 500.4 264 496 264H176C171.6 264 168 260.4 168 256C168 251.6 171.6 248 176 248H496zM496 408C500.4 408 504 411.6 504 416C504 420.4 500.4 424 496 424H176C171.6 424 168 420.4 168 416C168 411.6 171.6 408 176 408H496z"],
    "litecoin-sign": [384, 512, [], "e1d3", "M95.1 227.1L278.2 184.2C282.5 183.2 286.8 185.9 287.8 190.2C288.8 194.5 286.1 198.8 281.8 199.8L95.1 243.5V440C95.1 453.3 106.7 464 119.1 464H376C380.4 464 384 467.6 384 472C384 476.4 380.4 480 376 480H119.1C97.91 480 79.1 462.1 79.1 440V247.3L9.832 263.8C5.531 264.8 1.224 262.1 .2125 257.8C-.7994 253.5 1.867 249.2 6.167 248.2L79.1 230.8V40C79.1 35.58 83.58 32 87.1 32C92.42 32 95.1 35.58 95.1 40V227.1z"],
    "loader": [576, 512, [], "e1d4", "M296 96C296 100.4 292.4 104 288 104C283.6 104 280 100.4 280 96V8C280 3.582 283.6 0 288 0C292.4 0 296 3.582 296 8V96zM296 504C296 508.4 292.4 512 288 512C283.6 512 280 508.4 280 504V416C280 411.6 283.6 408 288 408C292.4 408 296 411.6 296 416V504zM24 256C24 251.6 27.58 248 32 248H128C132.4 248 136 251.6 136 256C136 260.4 132.4 264 128 264H32C27.58 264 24 260.4 24 256zM536 248C540.4 248 544 251.6 544 256C544 260.4 540.4 264 536 264H448C443.6 264 440 260.4 440 256C440 251.6 443.6 248 448 248H536zM467.8 77.81C470.1 80.94 470.1 86 467.8 89.13L405.6 151.4C402.5 154.5 397.4 154.5 394.3 151.4C391.2 148.2 391.2 143.2 394.3 140L456.5 77.81C459.7 74.69 464.7 74.69 467.8 77.81V77.81zM117.1 439.8C113.1 442.1 108.9 442.1 105.8 439.8C102.7 436.7 102.7 431.7 105.8 428.5L168 366.3C171.2 363.2 176.2 363.2 179.3 366.3C182.5 369.4 182.5 374.5 179.3 377.6L117.1 439.8zM100.2 72.16C103.3 69.03 108.3 69.03 111.5 72.16L179.3 140C182.5 143.2 182.5 148.2 179.3 151.4C176.2 154.5 171.2 154.5 168 151.4L100.2 83.47C97.03 80.34 97.03 75.28 100.2 72.16V72.16zM467.8 428.5C470.1 431.7 470.1 436.7 467.8 439.8C464.7 442.1 459.7 442.1 456.5 439.8L394.3 377.6C391.2 374.5 391.2 369.4 394.3 366.3C397.4 363.2 402.5 363.2 405.6 366.3L467.8 428.5z"],
    "lobster": [512, 512, [129438], "e421", "M424 0c-2.438 0-4.75 1.109-6.25 3.016c-1.531 1.906-2.094 4.406-1.531 6.781l24 104c1 4.297 5.125 7 9.594 6c4.281-1 6.969-5.297 5.969-9.594l-21.56-93.48C469.1 21.7 496 51.77 496 88V128c0 26.47-21.53 48-48 48S400 154.5 400 128V80c0-4.422-3.594-8-8-8S384 75.58 384 80V128c0 20.29 9.678 38.2 24.46 49.93L379.9 197.9C370.5 204.5 359.4 208 347.8 208H326.1C322 182.8 309.5 162.9 296 148.8V72C296 49.94 313.9 32 336 32c4.406 0 8-3.578 8-8S340.4 16 336 16c-30.88 0-56 25.12-56 56v62.3c-10.74-8.346-19.46-12.98-20.44-13.46c-2.25-1.125-4.875-1.125-7.125 0C251.5 121.3 242.7 125.1 232 134.3V72c0-30.88-25.12-56-56-56c-4.406 0-8 3.578-8 8S171.6 32 176 32c22.06 0 40 17.94 40 40v76.75C202.5 162.9 189.1 182.8 185.9 208H164.2c-11.56 0-22.69-3.5-32.13-10.11L103.5 177.9C118.3 166.2 128 148.3 128 128V80c0-4.422-3.594-8-8-8S112 75.58 112 80V128c0 26.47-21.53 48-48 48S16 154.5 16 128V88c0-36.23 26.91-66.3 61.78-71.28L56.22 110.2c-1 4.297 1.688 8.594 5.969 9.594c4.5 1.016 8.625-1.688 9.594-6l24-104c.5625-2.375 0-4.875-1.531-6.781C92.75 1.109 90.44 0 88 0C39.47 0 0 39.47 0 88V128c0 35.3 28.72 64 64 64c8.738 0 17.06-1.781 24.66-4.967l34.22 23.95C135 219.5 149.3 224 164.2 224H184v32H159.1C150.5 256 141.8 253.1 134.1 250.1l-34.5-17.25C95.75 230.9 90.81 232.5 88.84 236.4S88.47 245.2 92.44 247.2l34.5 17.25C136.8 269.4 147.1 272 159.1 272H184v32H138.4c-6 0-11.97-.9687-17.69-2.875L82.53 288.4c-4.125-1.391-8.719 .8906-10.12 5.062C71 297.7 73.28 302.2 77.47 303.6l38.16 12.72C123 318.8 130.7 320 138.4 320H184v32H175.1c-11.12 0-22.25 2.625-32.16 7.594l-18.5 9.25c-3.969 1.984-5.562 6.781-3.594 10.73C122.3 382.4 125.1 384 128 384c1.219 0 2.438-.2656 3.562-.8438l18.5-9.25C157.8 370 166.5 368 175.1 368H184v.4219c0 11.23 1.812 22.3 5.344 32.89l15.91 47.72C179.5 454.1 160 476.8 160 504C160 508.4 163.6 512 168 512h176c4.406 0 8-3.578 8-8c0-27.2-19.5-49.94-45.25-54.97l15.91-47.7C326.2 390.7 328 379.7 328 368.4V368h8.906c8.625 0 17.28 2.047 25.03 5.906l18.5 9.25C381.6 383.7 382.8 384 384 384c2.938 0 5.75-1.625 7.156-4.422c1.969-3.953 .375-8.75-3.594-10.73l-18.5-9.25C359.2 354.6 348 352 336.9 352H328v-32h45.63c7.719 0 15.38-1.234 22.75-3.688l38.16-12.72c4.188-1.406 6.469-5.938 5.062-10.12S433.7 287 429.5 288.4l-38.16 12.72C385.6 303 379.6 304 373.6 304H328v-32h24.91c11.12 0 22.25-2.625 32.16-7.594l34.5-17.25c3.969-1.984 5.562-6.781 3.594-10.73s-6.812-5.516-10.72-3.578l-34.5 17.25C370.2 253.1 361.5 256 352.9 256H328V224h19.81c14.88 0 29.16-4.5 41.31-13.02l34.22-23.95C430.9 190.2 439.3 192 448 192c35.28 0 64-28.7 64-64V88C512 39.47 472.5 0 424 0zM312 368.4c0 9.5-1.531 18.86-4.531 27.83L305.2 402.1c-25.04 6.33-73.39 6.33-98.44 0l-2.252-6.764C201.5 387.3 200 377.9 200 368.4v-.3145C218.6 375.3 247.9 376 256 376s37.35-.6836 56-7.893V368.4zM312 350.4C308.6 353.8 289.1 360 256 360c-33.88 0-53.81-6.516-56-8v-31.89C218.6 327.3 247.9 328 256 328s37.35-.6836 56-7.893V350.4zM200 224c0-49.72 43.13-79.14 56-86.83C268.9 144.9 312 174.3 312 224v78.44C308.6 305.8 289.1 312 256 312c-33.88 0-53.81-6.516-56-8V224zM335.2 496H176.8c3.719-18.23 20.03-32 40.38-32c2.812 0 5.406-1.469 6.844-3.875c1.469-2.406 1.531-5.391 .2187-7.875l-1.312-2.312c-.6562-1.109-1.219-2.062-1.469-2.828l-8.828-26.52C225.1 422.8 240 424 256 424c15.97 0 30.92-1.203 43.36-3.41l-8.828 26.5c-.25 .7813-.8125 1.734-1.469 2.844l-1.312 2.312c-1.312 2.484-1.25 5.469 .2187 7.875C289.4 462.5 292 464 294.8 464H296C315.3 464 331.5 477.8 335.2 496z"],
    "location-arrow": [448, 512, [], "f124", "M47.1 256C32.71 256 19.55 245.2 16.6 230.2C13.65 215.2 21.73 200.2 35.88 194.4L387.9 50.38C399.8 45.5 413.5 48.26 422.6 57.37C431.7 66.49 434.5 80.19 429.6 92.12L285.6 444.1C279.8 458.3 264.8 466.3 249.8 463.4C234.8 460.4 223.1 447.3 223.1 432V256H47.1zM240 240V432C240 439.6 245.4 446.2 252.9 447.7C260.4 449.2 267.9 445.1 270.8 438.1L414.8 86.06C417.2 80.09 415.9 73.24 411.3 68.69C406.8 64.13 399.9 62.75 393.9 65.19L41.94 209.2C34.86 212.1 30.82 219.6 32.3 227.1C33.78 234.6 40.35 240 47.1 240L240 240z"],
    "location-check": [384, 512, ["map-marker-check"], "f606", "M165.7 261.7C162.5 264.8 157.5 264.8 154.3 261.7L98.34 205.7C95.22 202.5 95.22 197.5 98.34 194.3C101.5 191.2 106.5 191.2 109.7 194.3L160 244.7L274.3 130.3C277.5 127.2 282.5 127.2 285.7 130.3C288.8 133.5 288.8 138.5 285.7 141.7L165.7 261.7zM384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192H384zM192 16C94.8 16 16 94.8 16 192C16 210.7 22.37 234.5 33.82 261.6C45.16 288.5 60.93 317.4 78.52 345.9C113.7 402.1 155.3 457.3 180.8 489.2C186.7 496.5 197.3 496.5 203.2 489.2C228.7 457.3 270.3 402.1 305.5 345.9C323.1 317.4 338.8 288.5 350.2 261.6C361.6 234.5 368 210.7 368 192C368 94.8 289.2 16 192 16H192z"],
    "location-crosshairs": [512, 512, ["location"], "f601", "M352 256C352 309 309 352 256 352C202.1 352 160 309 160 256C160 202.1 202.1 160 256 160C309 160 352 202.1 352 256zM256 176C211.8 176 176 211.8 176 256C176 300.2 211.8 336 256 336C300.2 336 336 300.2 336 256C336 211.8 300.2 176 256 176zM256 0C260.4 0 264 3.582 264 8V64.16C363.7 68.25 443.8 148.3 447.8 248H504C508.4 248 512 251.6 512 256C512 260.4 508.4 264 504 264H447.8C443.8 363.7 363.7 443.8 264 447.8V504C264 508.4 260.4 512 256 512C251.6 512 248 508.4 248 504V447.8C148.3 443.8 68.25 363.7 64.16 264H8C3.582 264 0 260.4 0 256C0 251.6 3.582 248 8 248H64.16C68.25 148.3 148.3 68.25 248 64.16V8C248 3.582 251.6 0 256 0V0zM80 256C80 353.2 158.8 432 256 432C353.2 432 432 353.2 432 256C432 158.8 353.2 80 256 80C158.8 80 80 158.8 80 256z"],
    "location-crosshairs-slash": [640, 512, ["location-slash"], "f603", "M636.1 497.7C640.4 500.5 641 505.5 638.3 508.1C635.5 512.4 630.5 513 627 510.3L3.022 14.26C-.4365 11.51-1.012 6.481 1.738 3.022C4.487-.4365 9.52-1.012 12.98 1.738L636.1 497.7zM401.5 412.1L415.1 422.8C389.2 437.6 359.6 446.5 328 447.8V504C328 508.4 324.4 512 319.1 512C315.6 512 311.1 508.4 311.1 504V447.8C212.3 443.8 132.2 363.7 128.2 264H71.1C67.58 264 63.1 260.4 63.1 256C63.1 251.6 67.58 248 71.1 248H128.2C128.8 232.2 131.4 216.8 135.6 202.2L149.3 212.1C145.8 226.7 143.1 241.2 143.1 256C143.1 353.2 222.8 432 319.1 432C349.4 432 377.1 424.8 401.5 412.1V412.1zM311.1 8.001C311.1 3.582 315.6 .0006 319.1 .0006C324.4 .0006 328 3.582 328 8.001V64.16C427.7 68.25 507.8 148.3 511.8 248H568C572.4 248 576 251.6 576 256C576 260.4 572.4 264 568 264H511.8C511.2 279.8 508.6 295.2 504.4 309.8L490.7 299C494.2 285.3 496 270.8 496 256C496 158.8 417.2 80 319.1 80C290.6 80 262.9 87.21 238.5 99.95L224.9 89.18C250.8 74.4 280.4 65.46 311.1 64.16V8.001zM319.1 352C272.8 352 233.6 317.1 225.5 273.2L247.1 290.9C258.5 312.6 278.6 328.8 302.8 334.1L325.2 351.9C323.5 351.1 321.8 352 319.1 352H319.1zM319.1 160C367.2 160 406.4 194 414.5 238.9L392 221.1C381.5 199.4 361.4 183.2 337.2 177.9L314.8 160.1C316.5 160 318.2 160 320 160H319.1z"],
    "location-dot": [384, 512, ["map-marker-alt"], "f3c5", "M112 192C112 147.8 147.8 112 192 112C236.2 112 272 147.8 272 192C272 236.2 236.2 272 192 272C147.8 272 112 236.2 112 192zM192 128C156.7 128 128 156.7 128 192C128 227.3 156.7 256 192 256C227.3 256 256 227.3 256 192C256 156.7 227.3 128 192 128zM384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192H384zM192 16C94.8 16 16 94.8 16 192C16 210.7 22.37 234.5 33.82 261.6C45.16 288.5 60.93 317.4 78.52 345.9C113.7 402.1 155.3 457.3 180.8 489.2C186.7 496.5 197.3 496.5 203.2 489.2C228.7 457.3 270.3 402.1 305.5 345.9C323.1 317.4 338.8 288.5 350.2 261.6C361.6 234.5 368 210.7 368 192C368 94.8 289.2 16 192 16H192z"],
    "location-dot-slash": [640, 512, ["map-marker-alt-slash"], "f605", "M636.1 497.7C640.4 500.5 641 505.5 638.3 508.1C635.5 512.4 630.5 513 627 510.3L3.022 14.26C-.4365 11.51-1.012 6.481 1.738 3.022C4.487-.4365 9.52-1.012 12.98 1.738L636.1 497.7zM393.8 405.1L406.3 415.9C382.7 449.4 359.9 478.9 343.7 499.2C331.4 514.5 308.6 514.5 296.3 499.2C245.8 436.1 131.7 284.3 128.1 196.2L145.7 210.1C148.3 225.2 153.8 242.6 161.8 261.6C173.2 288.5 188.9 317.4 206.5 345.9C241.7 402.1 283.3 457.3 308.8 489.2C314.7 496.5 325.3 496.5 331.2 489.2C347.5 468.9 370.3 439.4 393.8 405.1V405.1zM512 192C512 220.1 499.9 255.2 481.9 292L468.1 281.9C472.3 275 475.4 268.3 478.2 261.6C489.6 234.5 496 210.7 496 192C496 94.8 417.2 16 319.1 16C271.8 16 228.2 35.35 196.4 66.7L183.8 56.71C218.5 21.69 266.7 .0003 319.1 .0003C426 .0003 512 85.96 512 192V192zM400 192C400 202.9 397.8 213.2 393.9 222.6L380.7 212.2C382.9 205.9 384 199.1 384 192C384 156.7 355.3 128 319.1 128C307.6 128 296 131.5 286.2 137.6L273.1 127.2C286.2 117.6 302.5 112 319.1 112C364.2 112 400 147.8 400 192H400z"],
    "location-exclamation": [384, 512, ["map-marker-exclamation"], "f608", "M192 96C196.4 96 200 99.58 200 104V264C200 268.4 196.4 272 192 272C187.6 272 184 268.4 184 264V104C184 99.58 187.6 96 192 96zM208 320C208 328.8 200.8 336 192 336C183.2 336 176 328.8 176 320C176 311.2 183.2 304 192 304C200.8 304 208 311.2 208 320zM384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192H384zM192 16C94.8 16 16 94.8 16 192C16 210.7 22.37 234.5 33.82 261.6C45.16 288.5 60.93 317.4 78.52 345.9C113.7 402.1 155.3 457.3 180.8 489.2C186.7 496.5 197.3 496.5 203.2 489.2C228.7 457.3 270.3 402.1 305.5 345.9C323.1 317.4 338.8 288.5 350.2 261.6C361.6 234.5 368 210.7 368 192C368 94.8 289.2 16 192 16H192z"],
    "location-minus": [384, 512, ["map-marker-minus"], "f609", "M280 184C284.4 184 288 187.6 288 192C288 196.4 284.4 200 280 200H104C99.58 200 96 196.4 96 192C96 187.6 99.58 184 104 184H280zM384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192H384zM192 16C94.8 16 16 94.8 16 192C16 210.7 22.37 234.5 33.82 261.6C45.16 288.5 60.93 317.4 78.52 345.9C113.7 402.1 155.3 457.3 180.8 489.2C186.7 496.5 197.3 496.5 203.2 489.2C228.7 457.3 270.3 402.1 305.5 345.9C323.1 317.4 338.8 288.5 350.2 261.6C361.6 234.5 368 210.7 368 192C368 94.8 289.2 16 192 16H192z"],
    "location-pen": [384, 512, ["map-marker-edit"], "f607", "M100.6 283.4C96.63 279.4 95.03 273.6 96.4 268.2L105.6 231.5C106.1 225.9 109.9 220.7 113.1 216.6L223.6 107C238.3 92.29 262.2 92.29 276.1 107C291.7 121.8 291.7 145.7 276.1 160.4L167.4 270C163.3 274.1 158.1 277 152.5 278.4L115.8 287.6C110.3 288.1 104.6 287.4 100.6 283.4V283.4zM111.9 272.1L148.6 262.9C151.4 262.2 153.1 260.7 156 258.7L241.7 173L210.1 142.3L125.3 227.9C123.3 229.1 121.8 232.6 121.1 235.4L111.9 272.1zM265.7 118.3C257.2 109.9 243.4 109.9 234.9 118.3L222.3 130.1L253 161.7L265.7 149.1C274.1 140.6 274.1 126.8 265.7 118.3H265.7zM384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192H384zM192 16C94.8 16 16 94.8 16 192C16 210.7 22.37 234.5 33.82 261.6C45.16 288.5 60.93 317.4 78.52 345.9C113.7 402.1 155.3 457.3 180.8 489.2C186.7 496.5 197.3 496.5 203.2 489.2C228.7 457.3 270.3 402.1 305.5 345.9C323.1 317.4 338.8 288.5 350.2 261.6C361.6 234.5 368 210.7 368 192C368 94.8 289.2 16 192 16H192z"],
    "location-pin": [384, 512, ["map-marker"], "f041", "M168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2H168.3zM350.2 261.6C361.6 234.5 368 210.7 368 192C368 94.8 289.2 16 192 16C94.8 16 16 94.8 16 192C16 210.7 22.37 234.5 33.82 261.6C45.16 288.5 60.93 317.4 78.52 345.9C113.7 402.1 155.3 457.3 180.8 489.2C186.7 496.5 197.3 496.5 203.2 489.2C228.7 457.3 270.3 402.1 305.5 345.9C323.1 317.4 338.8 288.5 350.2 261.6H350.2z"],
    "location-pin-lock": [512, 512, [], "e51f", "M203.2 489.2C217.2 471.7 236 447.5 256 419.7V446.8C240.7 467.4 226.7 485.4 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C287.7 0 366.1 69.96 381.6 161.5C376.3 162.4 371 163.6 365.1 165.3C353.1 80.75 280.1 16 191.1 16C94.8 16 15.1 94.8 15.1 192C15.1 210.7 22.37 234.5 33.82 261.6C45.15 288.5 60.93 317.4 78.52 345.9C113.7 402.1 155.3 457.3 180.8 489.2C186.7 496.5 197.3 496.5 203.2 489.2L203.2 489.2zM112 192C112 147.8 147.8 112 192 112C236.2 112 272 147.8 272 192C272 236.2 236.2 272 192 272C147.8 272 112 236.2 112 192zM192 128C156.7 128 128 156.7 128 192C128 227.3 156.7 256 192 256C227.3 256 256 227.3 256 192C256 156.7 227.3 128 192 128zM400 192C435.3 192 464 220.7 464 256V320H480C497.7 320 512 334.3 512 352V480C512 497.7 497.7 512 480 512H320C302.3 512 288 497.7 288 480V352C288 334.3 302.3 320 320 320H336V256C336 220.7 364.7 192 400 192zM400 208C373.5 208 352 229.5 352 256V320H448V256C448 229.5 426.5 208 400 208zM304 352V480C304 488.8 311.2 496 320 496H480C488.8 496 496 488.8 496 480V352C496 343.2 488.8 336 480 336H320C311.2 336 304 343.2 304 352z"],
    "location-pin-slash": [640, 512, ["map-marker-slash"], "f60c", "M636.1 497.7C640.4 500.5 641 505.5 638.3 508.1C635.5 512.4 630.5 513 627 510.3L3.022 14.26C-.4365 11.51-1.012 6.481 1.738 3.022C4.487-.4365 9.52-1.012 12.98 1.738L636.1 497.7zM512 192C512 220.1 499.9 255.2 481.9 292L468.1 281.9C472.3 275 475.4 268.3 478.2 261.6C489.6 234.5 496 210.7 496 192C496 94.8 417.2 16 319.1 16C271.8 16 228.2 35.35 196.4 66.7L183.8 56.71C218.5 21.69 266.7 .0003 319.1 .0003C426 .0003 512 85.96 512 192V192zM128.1 196.2L145.7 210.1C148.3 225.2 153.8 242.6 161.8 261.6C173.2 288.5 188.9 317.4 206.5 345.9C241.7 402.1 283.3 457.3 308.8 489.2C314.7 496.5 325.3 496.5 331.2 489.2C347.5 468.9 370.3 439.4 393.8 405.1L406.3 415.9C382.7 449.4 359.9 478.9 343.7 499.2C331.4 514.5 308.6 514.5 296.3 499.2C245.8 436.1 131.7 284.3 128.1 196.2V196.2z"],
    "location-plus": [384, 512, ["map-marker-plus"], "f60a", "M192 96C196.4 96 200 99.58 200 104V184H280C284.4 184 288 187.6 288 192C288 196.4 284.4 200 280 200H200V280C200 284.4 196.4 288 192 288C187.6 288 184 284.4 184 280V200H104C99.58 200 96 196.4 96 192C96 187.6 99.58 184 104 184H184V104C184 99.58 187.6 96 192 96zM384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192H384zM192 16C94.8 16 16 94.8 16 192C16 210.7 22.37 234.5 33.82 261.6C45.16 288.5 60.93 317.4 78.52 345.9C113.7 402.1 155.3 457.3 180.8 489.2C186.7 496.5 197.3 496.5 203.2 489.2C228.7 457.3 270.3 402.1 305.5 345.9C323.1 317.4 338.8 288.5 350.2 261.6C361.6 234.5 368 210.7 368 192C368 94.8 289.2 16 192 16H192z"],
    "location-question": [384, 512, ["map-marker-question"], "f60b", "M103.1 152C103.1 121.1 129.1 96 159.1 96H216.2C251.4 96 279.1 124.6 279.1 159.8C279.1 181.2 269.2 201.2 251.3 213L199.1 246.9V272C199.1 276.4 196.4 280 191.1 280C187.6 280 183.1 276.4 183.1 272V242.5C183.1 239.9 185.3 237.3 187.6 235.9L242.5 199.7C255.9 190.8 263.1 175.8 263.1 159.8C263.1 133.4 242.6 112 216.2 112H159.1C137.9 112 119.1 129.9 119.1 152V158.5C119.1 162.1 116.4 166.5 111.1 166.5C107.6 166.5 103.1 162.1 103.1 158.5V152zM207.1 320C207.1 328.8 200.8 336 191.1 336C183.2 336 175.1 328.8 175.1 320C175.1 311.2 183.2 304 191.1 304C200.8 304 207.1 311.2 207.1 320zM384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192H384zM192 16C94.8 16 16 94.8 16 192C16 210.7 22.37 234.5 33.82 261.6C45.16 288.5 60.93 317.4 78.52 345.9C113.7 402.1 155.3 457.3 180.8 489.2C186.7 496.5 197.3 496.5 203.2 489.2C228.7 457.3 270.3 402.1 305.5 345.9C323.1 317.4 338.8 288.5 350.2 261.6C361.6 234.5 368 210.7 368 192C368 94.8 289.2 16 192 16H192z"],
    "location-smile": [384, 512, ["map-marker-smile"], "f60d", "M112 160C112 151.2 119.2 144 128 144C136.8 144 144 151.2 144 160C144 168.8 136.8 176 128 176C119.2 176 112 168.8 112 160zM272 160C272 168.8 264.8 176 256 176C247.2 176 240 168.8 240 160C240 151.2 247.2 144 256 144C264.8 144 272 151.2 272 160zM192 304C239.8 304 271.7 273.1 281.3 259.6C283.8 255.9 288.8 254.9 292.4 257.3C296.1 259.8 297.1 264.8 294.7 268.4C282.9 286 246.6 320 192 320C137.4 320 101.1 286 89.34 268.4C86.89 264.8 87.89 259.8 91.56 257.3C95.24 254.9 100.2 255.9 102.7 259.6C112.3 273.1 144.2 304 192 304H192zM384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192H384zM192 16C94.8 16 16 94.8 16 192C16 210.7 22.37 234.5 33.82 261.6C45.16 288.5 60.93 317.4 78.52 345.9C113.7 402.1 155.3 457.3 180.8 489.2C186.7 496.5 197.3 496.5 203.2 489.2C228.7 457.3 270.3 402.1 305.5 345.9C323.1 317.4 338.8 288.5 350.2 261.6C361.6 234.5 368 210.7 368 192C368 94.8 289.2 16 192 16H192z"],
    "location-xmark": [384, 512, ["map-marker-times", "map-marker-xmark"], "f60e", "M124.1 124.1C127.2 120.1 132.3 120.1 135.4 124.1L192 180.7L248.6 124.1C251.7 120.1 256.8 120.1 259.9 124.1C263 127.2 263 132.3 259.9 135.4L203.3 191.1L259.9 248.6C263 251.7 263 256.8 259.9 259.9C256.8 263 251.7 263 248.6 259.9L192 203.3L135.4 259.9C132.3 263 127.2 263 124.1 259.9C120.1 256.8 120.1 251.7 124.1 248.6L180.7 191.1L124.1 135.4C120.1 132.3 120.1 127.2 124.1 124.1V124.1zM384 192C384 279.4 267 435 215.7 499.2C203.4 514.5 180.6 514.5 168.3 499.2C116.1 435 0 279.4 0 192C0 85.96 85.96 0 192 0C298 0 384 85.96 384 192H384zM192 16C94.8 16 16 94.8 16 192C16 210.7 22.37 234.5 33.82 261.6C45.16 288.5 60.93 317.4 78.52 345.9C113.7 402.1 155.3 457.3 180.8 489.2C186.7 496.5 197.3 496.5 203.2 489.2C228.7 457.3 270.3 402.1 305.5 345.9C323.1 317.4 338.8 288.5 350.2 261.6C361.6 234.5 368 210.7 368 192C368 94.8 289.2 16 192 16H192z"],
    "lock": [448, 512, [128274], "f023", "M96 192V128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128V192H384C419.3 192 448 220.7 448 256V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V256C0 220.7 28.65 192 64 192H96zM112 192H336V128C336 66.14 285.9 16 224 16C162.1 16 112 66.14 112 128V192zM64 208C37.49 208 16 229.5 16 256V448C16 474.5 37.49 496 64 496H384C410.5 496 432 474.5 432 448V256C432 229.5 410.5 208 384 208H64z"],
    "lock-a": [448, 512, [], "e422", "M152.9 388.3L216.8 260.5C217.2 259.8 217.6 259.1 218.2 258.5C218.4 258.2 218.7 258 218.9 257.8C219.5 257.4 220.1 256.1 220.8 256.7C221.9 256.2 222.9 255.1 224 255.1C226.1 255.1 228.1 256.8 229.5 258.2C229.8 258.4 229.1 258.6 230.1 258.9C230.6 259.4 230.9 259.9 231.2 260.5L295.1 388.3C295.1 388.4 295.2 388.5 295.2 388.6L319.2 436.4C321.1 440.4 319.5 445.2 315.6 447.2C311.6 449.1 306.8 447.5 304.8 443.6L283.1 400H164.9L143.2 443.6C141.2 447.5 136.4 449.1 132.4 447.2C128.5 445.2 126.9 440.4 128.8 436.4L152.8 388.6C152.8 388.5 152.9 388.4 152.9 388.3H152.9zM172.9 384H275.1L224 281.9L172.9 384zM224 0C294.7 0 352 57.31 352 128V192H384C419.3 192 448 220.7 448 256V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V256C0 220.7 28.65 192 64 192H96V128C96 57.31 153.3 0 224 0zM224 16C162.1 16 112 66.14 112 128V192H336V128C336 66.14 285.9 16 224 16zM16 256V448C16 474.5 37.49 496 64 496H384C410.5 496 432 474.5 432 448V256C432 229.5 410.5 208 384 208H64C37.49 208 16 229.5 16 256z"],
    "lock-hashtag": [448, 512, [], "e423", "M176 248C180.4 248 184 251.6 184 256V296H264V256C264 251.6 267.6 248 272 248C276.4 248 280 251.6 280 256V296H320C324.4 296 328 299.6 328 304C328 308.4 324.4 312 320 312H280V392H320C324.4 392 328 395.6 328 400C328 404.4 324.4 408 320 408H280V448C280 452.4 276.4 456 272 456C267.6 456 264 452.4 264 448V408H184V448C184 452.4 180.4 456 176 456C171.6 456 168 452.4 168 448V408H128C123.6 408 120 404.4 120 400C120 395.6 123.6 392 128 392H168V312H128C123.6 312 120 308.4 120 304C120 299.6 123.6 296 128 296H168V256C168 251.6 171.6 248 176 248zM184 392H264V312H184V392zM96 192V128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128V192H384C419.3 192 448 220.7 448 256V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V256C0 220.7 28.65 192 64 192H96zM112 192H336V128C336 66.14 285.9 16 224 16C162.1 16 112 66.14 112 128V192zM64 208C37.49 208 16 229.5 16 256V448C16 474.5 37.49 496 64 496H384C410.5 496 432 474.5 432 448V256C432 229.5 410.5 208 384 208H64z"],
    "lock-keyhole": [448, 512, ["lock-alt"], "f30d", "M192 320C192 302.3 206.3 288 224 288C241.7 288 256 302.3 256 320V384C256 401.7 241.7 416 224 416C206.3 416 192 401.7 192 384V320zM224 304C215.2 304 208 311.2 208 320V384C208 392.8 215.2 400 224 400C232.8 400 240 392.8 240 384V320C240 311.2 232.8 304 224 304zM224 0C294.7 0 352 57.31 352 128V192H384C419.3 192 448 220.7 448 256V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V256C0 220.7 28.65 192 64 192H96V128C96 57.31 153.3 0 224 0zM224 16C162.1 16 112 66.14 112 128V192H336V128C336 66.14 285.9 16 224 16zM16 256V448C16 474.5 37.49 496 64 496H384C410.5 496 432 474.5 432 448V256C432 229.5 410.5 208 384 208H64C37.49 208 16 229.5 16 256z"],
    "lock-keyhole-open": [576, 512, ["lock-open-alt"], "f3c2", "M256 320C273.7 320 288 334.3 288 352C288 369.7 273.7 384 256 384H192C174.3 384 160 369.7 160 352C160 334.3 174.3 320 192 320H256zM272 352C272 343.2 264.8 336 256 336H192C183.2 336 176 343.2 176 352C176 360.8 183.2 368 192 368H256C264.8 368 272 360.8 272 352zM448 16C386.1 16 336 66.14 336 128V192H384C419.3 192 448 220.7 448 256V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V256C0 220.7 28.65 192 64 192H320V128C320 57.31 377.3 0 448 0C518.7 0 576 57.31 576 128V216C576 220.4 572.4 224 568 224C563.6 224 560 220.4 560 216V128C560 66.14 509.9 16 448 16zM16 256V448C16 474.5 37.49 496 64 496H384C410.5 496 432 474.5 432 448V256C432 229.5 410.5 208 384 208H64C37.49 208 16 229.5 16 256z"],
    "lock-open": [576, 512, [], "f3c1", "M336 192H384C419.3 192 448 220.7 448 256V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V256C0 220.7 28.65 192 64 192H320V128C320 57.31 377.3 0 448 0C518.7 0 576 57.31 576 128V216C576 220.4 572.4 224 568 224C563.6 224 560 220.4 560 216V128C560 66.14 509.9 16 448 16C386.1 16 336 66.14 336 128V192zM64 208C37.49 208 16 229.5 16 256V448C16 474.5 37.49 496 64 496H384C410.5 496 432 474.5 432 448V256C432 229.5 410.5 208 384 208H64z"],
    "locust": [576, 512, [], "e520", "M464 320C464 311.2 471.2 304 480 304C488.8 304 496 311.2 496 320C496 328.8 488.8 336 480 336C471.2 336 464 328.8 464 320V320zM344 32C472.1 32 576 135.9 576 264V312C576 312.6 575.9 313.2 575.8 313.8C575.9 315.8 576 317.9 576 320C576 361.1 550.2 396.2 513.9 409.9L543.2 468.4C545.1 472.4 543.5 477.2 539.6 479.2C535.6 481.1 530.8 479.5 528.8 475.6L498.2 414.3C492.3 415.4 486.2 416 480 416H308.4L270.8 476.2C268.4 479.1 263.5 481.1 259.8 478.8C256 476.4 254.9 471.5 257.2 467.8L289.6 416H269.7C243.4 416 217.3 412.8 191.1 406.4C192.1 408.2 191.6 410 190.4 411.6L142.4 476.7C139.8 480.3 134.8 481.1 131.3 478.4C127.7 475.8 126.9 470.8 129.6 467.3L177.4 402.4C163.5 398.2 149.9 393.1 136.6 387L95.87 368.4L22.46 468.7C19.85 472.3 14.84 473.1 11.28 470.5C7.711 467.8 6.935 462.8 9.544 459.3L81.01 361.6L72.98 357.9C48.01 346.5 32 321.6 32 294.1C32 255.4 63.4 224 102.1 224H181.7L249.5 131.3C251.1 129.2 253.6 127.9 256.2 128C258.8 128.1 261.2 129.4 262.7 131.6L320.6 218.5L377.3 131.6C378.8 129.3 381.4 127.9 384.2 128C386.1 128.1 389.5 129.6 390.9 131.1L444.6 224H480C513.4 224 542.8 241 560 266.9V264C560 144.7 463.3 48 344 48H312C307.6 48 304 44.42 304 40C304 35.58 307.6 32 312 32H344zM189.8 240L105.5 355.2L143.3 372.5C182.1 390.6 226.1 400 269.7 400H480C524.2 400 560 364.2 560 319.1C560 275.8 524.2 239.1 480 239.1L189.8 240zM336.1 224H426.1L383.6 151.2L336.1 224zM201.5 224H305.1L255.7 149.1L201.5 224zM48 294.1C48 315.3 60.36 334.6 79.63 343.4L90.66 348.4L169.1 240H102.1C72.24 240 48 264.2 48 294.1V294.1z"],
    "lollipop": [512, 512, [127853, "lollypop"], "e424", "M511.1 504C511.1 506.1 511.2 508.2 509.7 509.7C508.2 511.2 506.1 512 504 512C501.9 512 499.8 511.2 498.3 509.7L321.8 333.1C284.7 367.2 235.7 385.5 185.3 383.9C134.9 382.3 87.14 361.1 52.24 324.7C17.33 288.3-1.922 239.7-1.4 189.3C-.8772 138.9 19.38 90.69 55.03 55.04C90.68 19.39 138.9-.8733 189.3-1.396C239.7-1.918 288.3 17.34 324.7 52.24C361.1 87.14 382.3 134.9 383.9 185.3C385.5 235.7 367.2 284.7 333.1 321.8L509.7 498.3C511.2 499.8 511.1 501.9 511.1 504zM90.11 335.2C122.4 358.2 161.4 369.7 201 367.8C240.6 365.9 278.4 350.8 308.3 324.8C338.2 298.8 358.5 263.6 365.1 224.7C373.4 185.8 367.6 145.5 349.4 110.3C331.2 75.1 301.7 47.06 265.6 30.67C229.5 14.28 189 10.5 150.5 19.93C112.1 29.36 77.87 51.46 53.47 82.67C29.07 113.9 15.87 152.4 15.1 192C15.1 230.2 31.17 266.8 58.18 293.8C85.18 320.8 121.8 336 159.1 336C198.2 336 234.8 320.8 261.8 293.8C288.8 266.8 303.1 230.2 303.1 192C303.1 162.3 292.2 133.8 271.2 112.8C250.2 91.8 221.7 80 191.1 80C162.3 80 133.8 91.8 112.8 112.8C91.8 133.8 79.1 162.3 79.1 192C79.1 213.2 88.43 233.6 103.4 248.6C118.4 263.6 138.8 272 159.1 272C181.2 272 201.6 263.6 216.6 248.6C231.6 233.6 239.1 213.2 239.1 192C239.1 179.3 234.9 167.1 225.9 158.1C216.9 149.1 204.7 144 191.1 144C179.3 144 167.1 149.1 158.1 158.1C149.1 167.1 143.1 179.3 143.1 192C143.1 194.1 143.2 196.2 141.7 197.7C140.2 199.2 138.1 200 135.1 200C133.9 200 131.8 199.2 130.3 197.7C128.8 196.2 127.1 194.1 127.1 192C127.1 175 134.7 158.8 146.7 146.7C158.7 134.7 175 128 191.1 128C208.1 128 225.3 134.7 237.3 146.7C249.3 158.8 255.1 175 255.1 192C255.1 217.5 245.9 241.9 227.9 259.9C209.9 277.9 185.5 288 159.1 288C134.5 288 110.1 277.9 92.12 259.9C74.11 241.9 63.1 217.5 63.1 192C63.1 158.1 77.48 125.5 101.5 101.5C125.5 77.49 158.1 64 191.1 64C225.9 64 258.5 77.49 282.5 101.5C306.5 125.5 319.1 158.1 319.1 192C319.9 234.4 303.1 275.1 273.1 305.1C243.1 335.1 202.4 351.1 159.1 352C135.7 351.8 111.8 346.1 90.11 335.1L90.11 335.2z"],
    "loveseat": [512, 512, ["couch-small"], "f4cc", "M72 192C76.42 192 80 188.4 80 184V160c0-61.86 50.14-112 112-112h128c61.86 0 112 50.14 112 112v24C432 188.4 435.6 192 440 192S448 188.4 448 184V160c0-70.7-57.3-128-128-128H192C121.3 32 64 89.3 64 160v24C64 188.4 67.58 192 72 192zM448 224c-35.35 0-64 28.65-64 64H128c0-35.35-28.65-64-64-64S0 252.7 0 288v160c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-16h256V448c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32V288C512 252.7 483.3 224 448 224zM112 448c0 8.824-7.176 16-16 16H32c-8.824 0-16-7.176-16-16V288c0-26.47 21.53-48 48-48S112 261.5 112 288V448zM384 416H128V304h256V416zM496 448c0 8.824-7.176 16-16 16h-64c-8.824 0-16-7.176-16-16V288c0-26.47 21.53-48 48-48s48 21.53 48 48V448z"],
    "luchador-mask": [448, 512, ["luchador", "mask-luchador"], "f455", "M224 0C100.3 0 0 100.3 0 224v96c0 106 85.96 192 192 192h64c106 0 192-85.96 192-192V224C448 100.3 347.7 0 224 0zM432 320c0 97.05-78.95 176-176 176H192c-97.05 0-176-78.95-176-176V224c0-114.7 93.31-208 208-208s208 93.31 208 208V320zM304 160c-35.83 0-66.45 23.57-80.09 57.16C210.2 183.7 179.7 160 143.1 160C144.1 160 115.7 160 96.75 160C74.98 160 72.71 160 67.7 166C65.31 168.9 64 172.5 64 176.3V192.3C64 245.1 103.4 288 151.8 288h36.77c-10.32 13.33-19.05 27.08-25.66 41.24C161.9 331.4 161.7 333.7 161.7 336H152C121.1 336 96 361.1 96 392S121.1 448 152 448h144c30.93 0 56-25.07 56-56s-25.07-56-56-56h-9.656c0-2.297-.2656-4.617-1.27-6.762c-6.605-14.17-15.34-27.93-25.67-41.26c17.47-.0547 36.93-.2266 36.93-.2266C344.6 287.8 384 244.8 384 192.1V176C384 167.2 376.8 160 368 160H304zM151.8 272C112.2 272 80 236.3 80 192.3V176.3C80.16 176.1 87.3 176 96.75 176c18.91 0 47.06 .25 47.06 .25c39.65 0 71.81 35.72 71.81 79.67v2.809C213.2 260.3 214.6 258.2 202 272H151.8zM296 352c22.05 0 40 17.95 40 40s-17.95 40-40 40h-144c-22.05 0-40-17.95-40-40S129.9 352 152 352H296zM270.6 336H177.4C185.7 318.3 199.7 295.9 224 272C248.3 295.9 262.3 318.3 270.6 336zM368 192.1c0 43.95-32.17 79.67-71.81 79.67c0 0-49.17 .2461-50.23 .2422c-12.74-13.97-11.15-11.73-13.58-13.27V255.7c0-43.95 32.16-79.67 71.81-79.67H368V192.1z"],
    "lungs": [640, 512, [129729], "f604", "M640 415.3c0 29.8-13.89 57.45-38.09 75.88C583.9 504.9 562.4 512 540.3 512c-9.266 0-18.62-1.25-27.86-3.797l-55.77-15.27C413.9 481.1 384 442.9 384 400V319.1c0-4.422 3.578-8 8-8s8 3.578 8 8v80.02c0 35.7 25.06 67.57 60.94 77.51l55.75 15.25c26.48 7.312 53.98 2.094 75.52-14.34C612.4 463 624 440 624 415.3c0-9.031-1.125-17.92-3.359-26.45c-20.12-77.48-51.97-151.5-94.67-219.9l-5-8.105C502.9 131.4 491 112 457.6 112C425.8 112 400 136.8 400 167.2v100.5l84.44 56.3c3.672 2.453 4.672 7.422 2.219 11.09C485.1 337.4 482.6 338.7 480 338.7c-1.531 0-3.078-.4375-4.438-1.344l-145.8-97.17C325.9 237.5 322.7 234.1 320 230.4C317.3 234.1 314.1 237.5 310.2 240.2l-145.8 97.17C163.1 338.2 161.5 338.7 160 338.7c-2.578 0-5.109-1.25-6.656-3.562c-2.453-3.672-1.453-8.641 2.219-11.09L240 267.7V167.2C240 136.8 214.2 112 182.4 112c-33.39 0-45.3 19.42-63.34 48.82L114 168.9c-42.72 68.44-74.56 142.4-94.67 219.9C17.12 397.4 16 406.2 16 415.3c0 24.75 11.59 47.76 31.8 63.15c21.53 16.41 49 21.66 75.5 14.34l55.8-15.27C214.9 467.6 240 435.7 240 400V319.1c0-4.422 3.578-8 8-8S256 315.6 256 319.1v80.02c0 42.88-29.88 81.07-72.66 92.91l-55.81 15.28C118.3 510.8 108.1 512 99.7 512c-22.08 0-43.59-7.125-61.61-20.84C13.89 472.7 0 445.1 0 415.3c0-10.39 1.312-20.66 3.891-30.52c20.52-79.01 53-154.5 96.58-224.3l4.938-8C123.1 122.2 140 96 182.4 96C222.1 96 256 127.1 256 167.2V257.1l45.31-30.21C308 222.4 312 214.9 312 206.9V8C312 3.578 315.6 0 320 0s8 3.578 8 8v198.9c0 8.047 4 15.5 10.69 19.97L384 257.1V167.2C384 127.1 417 96 457.6 96c42.34 0 58.39 26.17 76.97 56.46l4.953 8c43.56 69.81 76.05 145.3 96.58 224.3C638.7 394.6 640 404.9 640 415.3z"],
    "lungs-virus": [640, 512, [], "e067", "M433.1 387.9l-8.578-8.578c-7.014-7.012-4.426-15.11-3.465-17.43c.959-2.32 4.861-9.875 14.78-9.875H448c17.64 0 32-14.36 32-32s-14.36-32-32-32h-12.12c-9.918 0-13.82-7.555-14.78-9.875c-.959-2.32-3.545-10.42 3.469-17.43l8.576-8.578c12.47-12.47 12.48-32.77 0-45.25c-6.045-6.047-14.08-9.375-22.63-9.375c-8.545 0-16.58 3.328-22.62 9.375l-8.578 8.578c-3.926 3.922-8.191 4.75-11.08 4.75C360.3 220.2 352 214.2 352 204.1V191.1c0-17.65-14.36-32-32-32s-32 14.35-32 32V204.1C288 214.2 279.7 220.2 271.8 220.2c-2.889 0-7.156-.8281-11.08-4.75L252.1 206.9C246.1 200.8 238 197.5 229.5 197.5c-8.545 0-16.58 3.328-22.62 9.375c-12.48 12.48-12.48 32.77 0 45.25l8.574 8.578c7.016 7.016 4.43 15.11 3.469 17.43C217.9 280.4 214 287.1 204.1 287.1H192c-17.64 0-32 14.36-32 32s14.36 32 32 32h12.12c9.92 0 13.82 7.555 14.78 9.875s3.547 10.42-3.469 17.44l-8.574 8.57c-6.045 6.047-9.375 14.08-9.375 22.62s3.33 16.59 9.375 22.62c6.045 6.047 14.08 9.375 22.62 9.375c8.547 0 16.58-3.328 22.63-9.375l8.574-8.57c3.928-3.93 8.195-4.75 11.08-4.75C279.7 419.8 288 425.8 288 435.9v12.12c0 17.64 14.36 32 32 32s32-14.36 32-32v-12.12c0-10.05 8.254-16.06 16.23-16.06c2.889 0 7.154 .8203 11.08 4.75l8.578 8.574c6.043 6.043 14.08 9.371 22.62 9.371c8.547 0 16.58-3.328 22.63-9.375c6.045-6.039 9.373-14.08 9.373-22.62S439.2 393.9 433.1 387.9zM421.8 421.8c-3.125 3.125-7.219 4.688-11.31 4.688s-8.188-1.562-11.31-4.688l-8.576-8.575c-6.518-6.523-14.53-9.446-22.39-9.446c-16.45 0-32.23 12.78-32.23 32.07v12.12c0 8.844-7.156 16-16 16s-16-7.156-16-16v-12.12c0-19.29-15.78-32.07-32.23-32.07c-7.859 0-15.88 2.923-22.4 9.446l-8.576 8.575c-3.125 3.125-7.219 4.688-11.31 4.688s-8.188-1.562-11.31-4.688c-6.25-6.25-6.25-16.38 0-22.62l8.576-8.576c20.16-20.16 5.881-54.63-22.63-54.63H192c-8.844 0-16-7.156-16-16S183.2 303.1 192 303.1h12.12c28.51 0 42.79-34.47 22.63-54.63L218.2 240.8c-6.25-6.246-6.25-16.37 0-22.62C221.3 215 225.4 213.5 229.5 213.5s8.188 1.566 11.31 4.691l8.576 8.577c6.52 6.516 14.53 9.433 22.4 9.433C288.2 236.2 304 223.4 304 204.1v-12.12c0-8.848 7.156-15.1 16-15.1s16 7.152 16 15.1v12.12c0 19.29 15.78 32.06 32.23 32.06c7.863 0 15.88-2.917 22.4-9.433l8.576-8.577c3.125-3.125 7.219-4.691 11.31-4.691s8.188 1.566 11.31 4.691c6.25 6.25 6.25 16.38 0 22.62l-8.576 8.577c-20.16 20.16-5.881 54.63 22.63 54.63H448c8.844 0 16 7.156 16 16s-7.156 16-16 16h-12.12c-28.51 0-42.79 34.47-22.63 54.63l8.576 8.576C428.1 405.4 428.1 415.6 421.8 421.8zM288 271.1c-8.836 0-16 7.164-16 16S279.2 303.1 288 303.1s16-7.164 16-15.1S296.8 271.1 288 271.1zM352 335.1c-8.836 0-16 7.164-16 15.1s7.164 16 16 16s16-7.163 16-15.1S360.8 335.1 352 335.1zM192.2 472.7c-4.172 1.938-8.547 3.547-13.11 4.797l-55.8 15.27c-26.47 7.312-53.95 2.062-75.5-14.34C27.59 463 16 440 16 415.3c0-9.031 1.125-17.92 3.375-26.47c20.11-77.46 51.95-151.4 94.67-219.9l4.984-8.109c18.05-29.41 29.95-48.83 63.34-48.83C214.2 111.1 240 136.8 240 167.2c0 4.422 3.578 8 8 8S256 171.6 256 167.2C256 127.9 222.1 95.99 182.4 95.99c-42.34 0-58.39 26.17-76.97 56.47l-4.938 8C56.89 230.3 24.41 305.7 3.891 384.8C1.312 394.6 0 404.9 0 415.3c0 29.79 13.89 57.45 38.09 75.88C56.11 504.9 77.63 512 99.7 512c9.25 0 18.59-1.25 27.83-3.797l55.8-15.27c5.344-1.469 10.58-3.391 15.59-5.703c4.016-1.859 5.75-6.609 3.906-10.62C200.1 472.6 196.3 470.9 192.2 472.7zM320 126.9c4.422 0 8-3.578 8-8V8C328 3.578 324.4 0 319.1 0S312 3.578 312 8v110.9C312 123.3 315.6 126.9 320 126.9zM636.1 384.8c-20.53-79.03-53.02-154.5-96.58-224.3l-4.953-8c-18.58-30.3-34.63-56.47-76.97-56.47C417 95.99 384 127.9 384 167.2c0 4.422 3.578 8 8 8s8-3.578 8-8c0-30.45 25.84-55.22 57.63-55.22c33.39 0 45.3 19.42 63.34 48.83l5 8.109c42.7 68.43 74.55 142.4 94.67 219.9C622.9 397.4 624 406.2 624 415.3c0 24.75-11.59 47.76-31.8 63.15c-21.53 16.44-49.06 21.66-75.52 14.34l-55.77-15.27c-4.578-1.25-8.969-2.875-13.16-4.797c-3.953-1.844-8.766-.1094-10.61 3.922c-1.844 4.016-.0938 8.766 3.922 10.61c5.031 2.312 10.27 4.234 15.61 5.703l55.77 15.27C521.7 510.8 531 512 540.3 512c22.06 0 43.58-7.141 61.59-20.84C626.1 472.7 640 445.1 640 415.3C640 404.9 638.7 394.6 636.1 384.8z"],
    "m": [448, 512, [109], "4d", "M440 480c-4.406 0-8-3.594-8-7.1V65.64l-201.4 290.9c-2.938 4.312-10.19 4.312-13.12 0L16 65.64v406.4c0 4.406-3.594 7.1-8 7.1S0 476.4 0 472V40.01C0 36.51 2.281 33.42 5.625 32.39c3.312-1.062 6.969 .1875 8.938 3.062L224 337.9l209.4-302.5C435.4 32.58 439 31.29 442.4 32.39C445.7 33.42 448 36.51 448 40.01v431.1C448 476.4 444.4 480 440 480z"],
    "mace": [512, 512, [], "f6f8", "M288 184c-22.06 0-40 17.94-40 40S265.9 264 288 264s40-17.94 40-40S310.1 184 288 184zM288 248c-13.23 0-24-10.77-24-24S274.8 200 288 200s24 10.77 24 24S301.2 248 288 248zM504 216h-80.81C419.1 147.5 364.5 92.89 296 88.81V8C296 3.578 292.4 0 288 0s-8 3.578-8 8v80.81C211.5 92.89 156.9 147.5 152.8 216H72c-4.422 0-8 3.575-8 7.997s3.578 8.004 8 8.004h80.81c1.182 19.85 6.611 38.4 15.44 55.08l-156.5 156.5C4.156 451.2 0 461.2 0 471.1s4.156 20.81 11.7 28.34C19.5 508.1 29.73 512 39.98 512c10.23 0 20.48-3.906 28.28-11.7l156.5-156.6C241.5 352.6 260.1 358 280 359.2v80.81c0 4.422 3.578 7.993 8 7.993s8-3.571 8-7.993v-80.81c68.5-4.074 123.1-58.69 127.2-127.2H504c4.422 0 8-3.582 8-8.004S508.4 216 504 216zM56.95 488.1c-9.344 9.344-24.59 9.344-33.94 0C18.48 484.5 16 478.4 16 471.1c0-6.453 2.484-12.5 7.016-17.03l153.5-153.4c9.223 13.23 20.72 24.72 33.94 33.95L56.95 488.1zM288 344c-66.17 0-120-53.83-120-120S221.8 104 288 104s120 53.83 120 120S354.2 344 288 344z"],
    "magnet": [448, 512, [129522], "f076", "M0 72C0 49.91 17.91 32 40 32H104C126.1 32 144 49.91 144 72V256C144 300.2 179.8 336 224 336C268.2 336 304 300.2 304 256V72C304 49.91 321.9 32 344 32H408C430.1 32 448 49.91 448 72V256C448 379.7 347.7 480 224 480C100.3 480 0 379.7 0 256V72zM40 48C26.75 48 16 58.75 16 72V144H128V72C128 58.75 117.3 48 104 48H40zM224 464C338.9 464 432 370.9 432 256V160H320V256C320 309 277 352 224 352C170.1 352 128 309 128 256V160H16V256C16 370.9 109.1 464 224 464zM432 144V72C432 58.75 421.3 48 408 48H344C330.7 48 320 58.75 320 72V144H432z"],
    "magnifying-glass": [512, 512, [128269, "search"], "f002", "M509.7 498.3l-149.2-149.2C394.8 312.1 415.1 262.6 415.1 208c0-114.9-93.13-208-208-208S-.0002 93.13-.0002 208S93.12 416 207.1 416c54.55 0 104.1-21.17 141.2-55.54l149.2 149.2C499.9 511.2 501.9 512 503.1 512s4.094-.7813 5.656-2.344C512.8 506.5 512.8 501.5 509.7 498.3zM207.1 400c-105.9 0-192-86.13-192-192s86.13-192 192-192s192 86.13 192 192S313.9 400 207.1 400z"],
    "magnifying-glass-arrow-right": [512, 512, [], "e521", "M317.7 202.3C320.8 205.5 320.8 210.5 317.7 213.7L237.7 293.7C234.5 296.8 229.5 296.8 226.3 293.7C223.2 290.5 223.2 285.5 226.3 282.3L292.7 216H104C99.58 216 96 212.4 96 208C96 203.6 99.58 200 104 200H292.7L226.3 133.7C223.2 130.5 223.2 125.5 226.3 122.3C229.5 119.2 234.5 119.2 237.7 122.3L317.7 202.3zM0 208C0 93.12 93.12 0 208 0C322.9 0 416 93.12 416 208C416 262.6 394.1 312.2 360.6 349.3L509.7 498.3C512.8 501.5 512.8 506.5 509.7 509.7C506.5 512.8 501.5 512.8 498.3 509.7L349.3 360.6C312.2 394.1 262.6 416 208 416C93.12 416 0 322.9 0 208V208zM208 400C314 400 400 314 400 208C400 101.1 314 16 208 16C101.1 16 16 101.1 16 208C16 314 101.1 400 208 400z"],
    "magnifying-glass-chart": [512, 512, [], "e522", "M144 224V288C144 305.7 129.7 320 112 320C94.33 320 80 305.7 80 288V224C80 206.3 94.33 192 112 192C129.7 192 144 206.3 144 224zM112 208C103.2 208 96 215.2 96 224V288C96 296.8 103.2 304 112 304C120.8 304 128 296.8 128 288V224C128 215.2 120.8 208 112 208zM240 128V288C240 305.7 225.7 320 208 320C190.3 320 176 305.7 176 288V128C176 110.3 190.3 96 208 96C225.7 96 240 110.3 240 128zM208 112C199.2 112 192 119.2 192 128V288C192 296.8 199.2 304 208 304C216.8 304 224 296.8 224 288V128C224 119.2 216.8 112 208 112zM336 192V288C336 305.7 321.7 320 304 320C286.3 320 272 305.7 272 288V192C272 174.3 286.3 160 304 160C321.7 160 336 174.3 336 192zM304 176C295.2 176 288 183.2 288 192V288C288 296.8 295.2 304 304 304C312.8 304 320 296.8 320 288V192C320 183.2 312.8 176 304 176zM0 208C0 93.12 93.12 0 208 0C322.9 0 416 93.12 416 208C416 262.6 394.1 312.2 360.6 349.3L509.7 498.3C512.8 501.5 512.8 506.5 509.7 509.7C506.5 512.8 501.5 512.8 498.3 509.7L349.3 360.6C312.2 394.1 262.6 416 208 416C93.12 416 0 322.9 0 208V208zM208 400C314 400 400 314 400 208C400 101.1 314 16 208 16C101.1 16 16 101.1 16 208C16 314 101.1 400 208 400z"],
    "magnifying-glass-dollar": [512, 512, ["search-dollar"], "f688", "M509.7 498.3l-149.2-149.2C394.8 312.1 416 262.6 416 208C416 93.13 322.9 0 208 0S0 93.13 0 208S93.13 416 208 416c54.55 0 104.1-21.17 141.2-55.54l149.2 149.2C499.9 511.2 501.9 512 504 512s4.094-.7813 5.656-2.344C512.8 506.5 512.8 501.5 509.7 498.3zM208 400c-105.9 0-192-86.13-192-192s86.13-192 192-192s192 86.13 192 192S313.9 400 208 400zM210 200.3L202.7 198.2c-30.89-8.625-45.88-16.78-42.13-37.41c3.969-21.94 33.28-27.5 60.53-23.53C228.1 138.3 236.5 140.5 247.5 144.1c4.172 1.375 8.703-.875 10.09-5.094c1.391-4.188-.8906-8.719-5.094-10.09C240.6 124.1 231.3 122.6 223.5 121.5c-2.566-.3789-4.943-.4453-7.422-.6797V104c0-4.406-3.578-8-8-8s-8 3.594-8 8v16.31C169.1 121.5 149 135 144.8 157.9c-7.047 38.75 30.89 49.38 53.56 55.72l7.406 2.031c36.78 10 53.66 17.16 49.59 39.5C251.5 277.1 222.2 282.8 194.8 278.7C183.8 277.1 171 272.8 159.8 268.9L154.6 267.1c-4.219-1.531-8.719 .7813-10.16 5C143 276.3 145.3 280.8 149.4 282.2L154.6 284c11.92 4.094 25.42 8.75 37.94 10.53c2.629 .3906 4.982 .3477 7.516 .5859V312c0 4.406 3.578 8 8 8s8-3.594 8-8V295.5c29.97-1.262 50.94-14.6 55.11-37.48C278.3 218.8 240.4 208.5 210 200.3z"],
    "magnifying-glass-location": [512, 512, ["search-location"], "f689", "M509.7 498.3l-149.2-149.2C394.8 312.1 416 262.6 416 208C416 93.13 322.9 0 208 0S0 93.13 0 208S93.13 416 208 416c54.55 0 104.1-21.17 141.2-55.54l149.2 149.2C499.9 511.2 501.9 512 504 512s4.094-.7813 5.656-2.344C512.8 506.5 512.8 501.5 509.7 498.3zM208 400c-105.9 0-192-86.13-192-192s86.13-192 192-192s192 86.13 192 192S313.9 400 208 400zM207.1 96C160.4 96 121.9 134.5 121.9 182.2c0 38.35 56.29 108.5 77.87 134C201.8 318.5 204.7 320 207.1 320c3.207 0 6.26-1.459 8.303-3.791c21.58-25.52 77.88-95.67 77.88-134C294.1 134.5 255.6 96 207.1 96zM208 301.1C164.6 249.1 137.9 203.8 137.9 182.2C137.9 143.5 169.3 112 207.9 112c38.7 0 70.19 31.49 70.19 70.19C278.1 203.8 251.3 249.2 208 301.1zM208 160C199.2 160 192 167.2 192 176S199.2 192 208 192S224 184.8 224 176S216.8 160 208 160z"],
    "magnifying-glass-minus": [512, 512, ["search-minus"], "f010", "M509.7 498.3l-149.2-149.2C394.8 312.1 416 262.6 416 208C416 93.13 322.9 0 208 0S0 93.13 0 208S93.13 416 208 416c54.55 0 104.1-21.17 141.2-55.54l149.2 149.2C499.9 511.2 501.9 512 504 512s4.094-.7813 5.656-2.344C512.8 506.5 512.8 501.5 509.7 498.3zM208 400c-105.9 0-192-86.13-192-192s86.13-192 192-192s192 86.13 192 192S313.9 400 208 400zM296 200h-176C115.6 200 112 203.6 112 208s3.578 8 8 8h176c4.42 0 8-3.578 8-8S300.4 200 296 200z"],
    "magnifying-glass-plus": [512, 512, ["search-plus"], "f00e", "M509.7 498.3l-149.2-149.2C394.8 312.1 416 262.6 416 208C416 93.13 322.9 0 208 0S0 93.13 0 208S93.13 416 208 416c54.55 0 104.1-21.17 141.2-55.54l149.2 149.2C499.9 511.2 501.9 512 504 512s4.094-.7813 5.656-2.344C512.8 506.5 512.8 501.5 509.7 498.3zM208 400c-105.9 0-192-86.13-192-192s86.13-192 192-192s192 86.13 192 192S313.9 400 208 400zM296 200h-80v-80c0-4.422-3.58-8-8-8S200 115.6 200 120v80h-80C115.6 200 112 203.6 112 208s3.578 8 8 8h80v80c0 4.422 3.578 8 8 8c4.42 0 8-3.578 8-8v-80h80c4.42 0 8-3.578 8-8S300.4 200 296 200z"],
    "mailbox": [576, 512, [128234], "f813", "M432 64h-288C64.47 64 0 128.5 0 208V384c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V208C576 128.5 511.5 64 432 64zM240 432H64c-26.47 0-48-21.53-48-48V208c0-70.58 57.42-128 128-128H160c70.58 0 128 57.42 128 128V384C288 410.5 266.5 432 240 432zM560 384c0 26.47-21.53 48-48 48H281.9C295.3 420.3 304 403.2 304 384V208c0-56.14-32.45-104.3-79.32-128H432c70.58 0 128 57.42 128 128V384zM216 192h-144C67.58 192 64 195.6 64 200S67.58 208 72 208h144C220.4 208 224 204.4 224 200S220.4 192 216 192zM488 192h-112c-4.422 0-8 3.578-8 8s3.578 8 8 8h112c4.406 0 8 3.594 8 8v64H448v-32c0-4.422-3.578-8-8-8S432 243.6 432 248V288c0 4.422 3.578 8 8 8h64C508.4 296 512 292.4 512 288V216C512 202.8 501.2 192 488 192z"],
    "manat-sign": [384, 512, [], "e1d5", "M200 40V96.16C302.3 100.4 384 184.6 384 288V472C384 476.4 380.4 480 376 480C371.6 480 368 476.4 368 472V288C368 193.5 293.5 116.4 200 112.2V472C200 476.4 196.4 480 192 480C187.6 480 184 476.4 184 472V112.2C90.51 116.4 16 193.5 16 288V472C16 476.4 12.42 480 8 480C3.582 480 0 476.4 0 472V288C0 184.6 81.67 100.4 184 96.16V40C184 35.58 187.6 32 192 32C196.4 32 200 35.58 200 40V40z"],
    "mandolin": [512, 512, [], "f6f9", "M327.4 255.1c-4.331 0-7.846 3.507-7.975 7.836c-4.367 147.3-45.59 188.3-59.82 202.4l-1.422 1.422c-44.28 44.27-143.2 35.44-196.2-17.5c-52.85-52.99-61.68-152-16.09-197.6c14.07-14.22 55.2-55.36 202.3-59.76c4.328-.1299 7.834-3.645 7.834-7.975c0-4.502-3.777-8.16-8.278-8.029C94.42 181.2 51.23 224.4 33.19 242.6c-50.73 50.75-42.06 159.1 17.5 218.9c33.1 33.12 81.24 50.52 126.4 50.52c36.21 0 70.54-11.16 93.72-34.37c16.99-16.81 60.12-59.81 64.56-213.4C335.5 259.8 331.9 255.1 327.4 255.1zM208.1 248c-30.87 0-55.99 25.13-55.99 56.02s25.12 56 55.99 56c30.87 0 55.99-25.12 55.99-56S238.9 248 208.1 248zM208.1 344.1c-22.06 0-39.99-17.95-39.99-39.1c0-22.07 17.94-40.01 39.99-40.01c22.06 0 39.99 17.94 39.99 40.01C248.1 326.1 230.1 344.1 208.1 344.1zM505.5 47.07l-40.63-40.64c-7.234-7.234-18.45-8.547-27.5-3l-65.73 43.45c-2.031 1.344-3.342 3.531-3.561 5.969l-7.744 87.57l-93.93 93.97c-3.125 3.129-3.125 8.191 0 11.32c1.562 1.562 3.609 2.344 5.656 2.344c2.045 0 4.092-.7813 5.654-2.344l93.93-93.98l87.56-7.742c2.438-.2187 4.625-1.531 5.969-3.562l43.43-65.88C514.1 65.71 512.8 54.41 505.5 47.07zM495.1 65.89l-41.2 62.5l-77.1 6.816l6.811-77.11l62.27-41.17c2.453-1.547 5.625-1.172 7.607 .8125l40.63 40.64C496.2 60.46 496.6 63.54 495.1 65.89z"],
    "mango": [512, 512, [], "e30f", "M509.4 263c-11.02-70.15-63.44-122.6-130.9-142.1c-5.223-1.508-10.46 2.33-10.46 7.766c0 3.621 2.439 6.723 5.918 7.729c62.47 18.05 109.8 66.53 119.6 129.1c9.004 57.34-6.84 113.2-44.61 157.4C409.2 469.4 350.6 496 287.1 496c-106 0-198.2-28.03-243.8-44.74C27.09 444.1 16 429.5 16 411.9c0-11.32 4.797-22.3 13.16-30.13c30.23-28.29 54.79-65.01 78.54-100.5C160.4 202.5 210.2 128.1 319.9 128c.0059 0-.0059 0 0 0L319.1 168c0 4.422 3.591 8 7.997 8s8-3.578 8-8V58.28C355.1 86 389.9 104 431.7 104h53.5c9 0 17.38-3.828 22.34-10.23c4-5.172 5.344-11.38 3.781-17.44C499.1 32.11 450.9 0 394.7 0h-66.72c-4.418 0-8 3.582-8 8l-.0098 104c-.0059 0 .0059 0 0 0c-171.5 .1543-208.8 171-301.8 258.1C6.514 381 0 396.2 0 411.9c0 24.13 15.28 45.79 38.73 54.39C88.41 484.5 181.1 512 287.1 512C423.2 512 530.4 396.9 509.4 263zM394.7 16c49 0 91.56 27.05 101.2 64.33c.125 .4531 .4687 1.812-.9375 3.641C493.4 85.91 490.1 88 485.2 88h-53.5c-51.34 0-90.81-30.44-95.31-72H394.7z"],
    "manhole": [512, 512, [], "e1d6", "M256 240C247.2 240 240 247.2 240 256S247.2 272 256 272s16-7.164 16-16S264.8 240 256 240zM256 304c-8.836 0-16 7.164-16 16s7.164 16 16 16s16-7.164 16-16S264.8 304 256 304zM192 176C183.2 176 176 183.2 176 192S183.2 208 192 208S208 200.8 208 192S200.8 176 192 176zM192 304c-8.836 0-16 7.164-16 16s7.164 16 16 16s16-7.164 16-16S200.8 304 192 304zM192 240C183.2 240 176 247.2 176 256S183.2 272 192 272S208 264.8 208 256S200.8 240 192 240zM320 176c-8.836 0-16 7.164-16 16s7.164 16 16 16s16-7.164 16-16S328.8 176 320 176zM287.4 82.95C285.8 99.17 272.6 112 256 112S226.2 99.17 224.6 82.95C142.4 97.78 80 169.5 80 256c0 86.46 62.4 158.2 144.6 173C226.2 412.8 239.4 400 256 400s29.84 12.83 31.4 29.05C369.6 414.2 432 342.5 432 256C432 169.5 369.6 97.78 287.4 82.95zM298.4 410.2C290.5 394.5 274.4 384 256 384s-34.46 10.49-42.35 26.18C144.7 391.4 96 328.7 96 256c0-72.66 48.69-135.4 117.6-154.2C221.5 117.5 237.6 128 256 128c18.42 0 34.46-10.49 42.35-26.18C367.3 120.6 416 183.3 416 256C416 328.7 367.3 391.4 298.4 410.2zM320 240c-8.836 0-16 7.164-16 16s7.164 16 16 16s16-7.164 16-16S328.8 240 320 240zM320 304c-8.836 0-16 7.164-16 16s7.164 16 16 16s16-7.164 16-16S328.8 304 320 304zM256 176C247.2 176 240 183.2 240 192S247.2 208 256 208s16-7.164 16-16S264.8 176 256 176zM256 0C114.8 0 0 114.8 0 256s114.8 256 256 256s256-114.8 256-256S397.2 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "map": [576, 512, [62072, 128506], "f279", "M181.3 32.48C182.9 31.89 184.7 31.84 186.4 32.35L391.8 95.56L533.1 44.19C553.9 36.6 576 52.06 576 74.26V391.2C576 404.6 567.6 416.7 554.9 421.3L394.7 479.5C393.1 480.1 391.3 480.2 389.6 479.6L184.2 416.4L42.94 467.8C22.07 475.4 0 459.9 0 437.7V120.8C0 107.4 8.418 95.34 21.06 90.74L181.3 32.48zM16 120.8V437.7C16 448.8 27.03 456.6 37.47 452.8L176 402.4V51.42L26.53 105.8C20.21 108.1 16 114.1 16 120.8V120.8zM384 109.9L192 50.83V402.1L384 461.2V109.9zM400 460.6L549.5 406.2C555.8 403.9 560 397.9 560 391.2V74.26C560 63.16 548.1 55.43 538.5 59.23L400 109.6V460.6z"],
    "map-location": [576, 512, ["map-marked"], "f59f", "M408 120C408 174.6 334.9 271.9 302.8 311.1C295.1 321.6 280.9 321.6 273.2 311.1C241.1 271.9 168 174.6 168 120C168 53.73 221.7 0 288 0C354.3 0 408 53.73 408 120zM288 16C230.6 16 184 62.56 184 120C184 130.5 187.6 144.5 194.7 161.2C201.6 177.6 211.3 195.4 222.2 213.1C243.1 248.4 269.8 282.2 285.7 301.1C286.9 303.6 289.1 303.6 290.3 301.1C306.2 282.2 332 248.4 353.8 213.1C364.7 195.4 374.4 177.6 381.3 161.2C388.4 144.5 392 130.5 392 120C392 62.56 345.4 16 288 16H288zM538.5 147.2L421.1 189.9C422.6 186.6 424.1 183.2 425.6 179.8C426.9 176.6 428.3 173.2 429.6 169.8L533.1 132.2C553.9 124.6 576 140.1 576 162.3V423.2C576 436.6 567.6 448.7 554.9 453.3L394.7 511.5C393.1 512.1 391.3 512.2 389.6 511.6L184.2 448.4L42.94 499.8C22.07 507.4 0 491.9 0 469.7V208.8C0 195.4 8.418 183.3 21.06 178.7L137.3 136.5C138.2 141.7 139.3 147 140.7 152.2L26.53 193.8C20.21 196.1 16 202.1 16 208.8V469.7C16 480.8 27.03 488.6 37.47 484.8L176 434.4V295.1C176 291.6 179.6 287.1 184 287.1C188.4 287.1 192 291.6 192 295.1V434.1L384 493.2V295.1C384 291.6 387.6 287.1 392 287.1C396.4 287.1 400 291.6 400 295.1V492.6L549.5 438.2C555.8 435.9 560 429.9 560 423.2V162.3C560 151.2 548.1 143.4 538.5 147.2L538.5 147.2z"],
    "map-location-dot": [576, 512, ["map-marked-alt"], "f5a0", "M336 112C336 138.5 314.5 160 288 160C261.5 160 240 138.5 240 112C240 85.49 261.5 64 288 64C314.5 64 336 85.49 336 112zM288 80C270.3 80 256 94.33 256 112C256 129.7 270.3 144 288 144C305.7 144 320 129.7 320 112C320 94.33 305.7 80 288 80zM273.2 311.1C241.1 271.9 168 174.6 168 120C168 53.73 221.7 0 288 0C354.3 0 408 53.73 408 120C408 174.6 334.9 271.9 302.8 311.1C295.1 321.6 280.9 321.6 273.2 311.1V311.1zM381.3 161.2C388.4 144.5 392 130.5 392 120C392 62.56 345.4 16 288 16C230.6 16 184 62.56 184 120C184 130.5 187.6 144.5 194.7 161.2C201.6 177.6 211.3 195.4 222.2 213.1C243.1 248.4 269.8 282.2 285.7 301.1C286.9 303.6 289.1 303.6 290.3 301.1C306.2 282.2 332 248.4 353.8 213.1C364.7 195.4 374.4 177.6 381.3 161.2H381.3zM425.6 179.8C426.9 176.6 428.3 173.2 429.6 169.8L533.1 132.2C553.9 124.6 576 140.1 576 162.3V423.2C576 436.6 567.6 448.7 554.9 453.3L394.7 511.5C393.1 512.1 391.3 512.2 389.6 511.6L184.2 448.4L42.94 499.8C22.07 507.4 0 491.9 0 469.7V208.8C0 195.4 8.418 183.3 21.06 178.7L137.3 136.5C138.2 141.7 139.3 147 140.7 152.2L26.53 193.8C20.21 196.1 16 202.1 16 208.8V469.7C16 480.8 27.03 488.6 37.47 484.8L176 434.4V295.1C176 291.6 179.6 287.1 184 287.1C188.4 287.1 192 291.6 192 295.1V434.1L384 493.2V295.1C384 291.6 387.6 287.1 392 287.1C396.4 287.1 400 291.6 400 295.1V492.6L549.5 438.2C555.8 435.9 560 429.9 560 423.2V162.3C560 151.2 548.1 143.4 538.5 147.2L421.1 189.9C422.6 186.6 424.1 183.2 425.6 179.8L425.6 179.8z"],
    "map-pin": [320, 512, [128205], "f276", "M88 144C83.58 144 80 140.4 80 136C80 87.4 119.4 48 168 48C172.4 48 176 51.58 176 56C176 60.42 172.4 64 168 64C128.2 64 96 96.24 96 136C96 140.4 92.42 144 88 144zM320 144C320 220.8 259.8 283.6 184 287.8V504C184 508.4 180.4 512 176 512C171.6 512 168 508.4 168 504V287.8C92.19 283.6 32 220.8 32 144C32 64.47 96.47 0 176 0C255.5 0 320 64.47 320 144V144zM176 272C246.7 272 304 214.7 304 144C304 73.31 246.7 16 176 16C105.3 16 48 73.31 48 144C48 214.7 105.3 272 176 272z"],
    "marker": [512, 512, [], "f5a1", "M351 31.03C386.9-4.849 445.1-4.849 480.1 31.03C516.9 66.91 516.9 125.1 480.1 160.1L229.5 412.5C181.5 460.5 120.3 493.2 53.7 506.5L28.71 511.5C20.84 513.1 12.7 510.6 7.03 504.1C1.356 499.3-1.107 491.2 .4662 483.3L5.465 458.3C18.78 391.7 51.52 330.5 99.54 282.5L313.4 68.69L300.3 55.6C284.7 39.98 259.3 39.98 243.7 55.6L149.7 149.7C146.5 152.8 141.5 152.8 138.3 149.7C135.2 146.5 135.2 141.5 138.3 138.3L232.4 44.28C254.3 22.41 289.7 22.41 311.6 44.28L324.7 57.37L351 31.03zM469.7 42.35C440 12.71 391.1 12.71 362.3 42.35L192 212.7L299.3 320L469.7 149.7C499.3 120 499.3 71.98 469.7 42.35zM288 331.3L180.7 224L110.9 293.8C65.06 339.6 33.85 397.9 21.15 461.4L16.16 486.4C15.63 489.1 16.45 491.8 18.34 493.7C20.24 495.6 22.95 496.4 25.57 495.8L50.56 490.8C114.1 478.2 172.4 446.9 218.2 401.1L288 331.3z"],
    "mars": [448, 512, [9794], "f222", "M440 32h-144C291.6 32 288 35.58 288 40s3.578 8 8 8h124.7l-126.2 126.2C263.2 145.6 221.7 128 176 128C78.8 128 0 206.8 0 304S78.8 480 176 480c97.2 0 176-78.8 176-176c0-45.72-17.58-87.23-46.16-118.5L432 59.31V184C432 188.4 435.6 192 440 192S448 188.4 448 184v-144C448 35.58 444.4 32 440 32zM176 464c-88.22 0-160-71.78-160-160s71.78-160 160-160s160 71.78 160 160S264.2 464 176 464z"],
    "mars-and-venus": [512, 512, [9893], "f224", "M488 0H368c-4.422 0-8 3.578-8 8S363.6 16 368 16h100.7l-97.43 97.43C342.1 83.08 301.4 64 256 64c-88.37 0-160 71.63-160 160c0 85.73 67.6 155.1 152.3 159.2C248.3 383.5 248 383.7 248 384v48h-64c-4.422 0-8 3.578-8 8S179.6 448 184 448h64v56C248 508.4 251.6 512 256 512s8-3.578 8-8V448h64c4.422 0 8-3.578 8-8s-3.578-8-8-8h-64V384c0-.3027-.2871-.4805-.3203-.7734C348.4 379.1 416 309.7 416 224c0-37.2-13.22-70.1-34.52-98.17L480 27.31V128c0 4.422 3.578 8 8 8S496 132.4 496 128V8C496 3.578 492.4 0 488 0zM256 368c-79.4 0-144-64.6-144-144S176.6 80 256 80s144 64.6 144 144S335.4 368 256 368z"],
    "mars-and-venus-burst": [640, 512, [], "e523", "M520 0H632C636.4 0 640 3.582 640 8V120C640 124.4 636.4 128 632 128C627.6 128 624 124.4 624 120V27.31L525.1 125.3C547.3 152.5 560 186.8 560 224C560 309.7 492.6 379.6 407.1 383.8L408 384V432H456C460.4 432 464 435.6 464 440C464 444.4 460.4 448 456 448H408V504C408 508.4 404.4 512 400 512C395.6 512 392 508.4 392 504V448H344C339.6 448 336 444.4 336 440C336 435.6 339.6 432 344 432H392V384L392 383.8C307.4 379.6 239.1 309.7 239.1 224C239.1 135.6 311.6 64 400 64C445.4 64 486.3 82.89 515.5 113.2L612.7 16H520C515.6 16 512 12.42 512 8C512 3.582 515.6 0 520 0H520zM400 80C320.5 80 255.1 144.5 255.1 224C255.1 303.5 320.5 368 400 368C479.5 368 544 303.5 544 224C544 144.5 479.5 80 400 80zM161.5 20.48C167.2 8.051 184.8 8.051 190.5 20.48L221.9 88.7L279.6 74.43C271.2 81.19 263.4 88.63 256.3 96.68L219.3 105.8C215.6 106.7 211.7 104.9 210.1 101.4L175.1 27.16L141.9 101.4C140.3 104.9 136.4 106.7 132.7 105.8L53.37 86.21L90.14 159.2C91.8 162.5 90.1 166.5 88.2 168.9L29.7 218.9L103.2 235.7C106.9 236.5 109.5 239.8 109.4 243.6L107.9 325.3L170.9 273.2C173.9 270.8 178.1 270.8 181.1 273.2L230.3 313.1C235.4 323.4 241.2 332.5 247.7 340.9C243.1 341.1 238.1 341.1 233.9 337.6L175.1 289.8L118.1 337.6C107.6 346.4 91.7 338.7 91.95 325L93.3 249.8L26.14 234.5C13.32 231.6 9.305 215.3 19.3 206.7L73.03 160.8L39.09 93.41C32.93 81.2 43.94 67.4 57.22 70.68L130.1 88.7L161.5 20.48z"],
    "mars-double": [640, 512, [9891], "f227", "M632 32h-144C483.6 32 480 35.58 480 40s3.578 8 8 8h124.7l-131.7 131.7c-3.125 3.125-3.125 8.188 0 11.31C511.3 221.3 528 261.5 528 304c0 88.22-71.78 160-160 160c-15.56 0-30.94-2.234-45.72-6.641c-4.297-1.156-8.672 1.172-9.953 5.391c-1.25 4.234 1.156 8.688 5.391 9.953C333.1 477.5 350.9 480 368 480C465 480 544 401 544 304c0-44.14-16.34-85.92-46.17-118.5L624 59.31V184C624 188.4 627.6 192 632 192S640 188.4 640 184v-144C640 35.58 636.4 32 632 32zM305.8 185.5L432 59.31V184C432 188.4 435.6 192 440 192S448 188.4 448 184v-144C448 35.58 444.4 32 440 32h-144C291.6 32 288 35.58 288 40S291.6 48 296 48h124.7L294.5 174.2C263.2 145.6 221.7 127.1 176 127.1C78.8 127.1 0 206.8 0 304S78.8 480 176 480C273.2 480 352 401.2 352 304C352 258.3 334.4 216.8 305.8 185.5zM176 464c-88.22 0-160-71.78-160-160s71.78-160 160-160s160 71.78 160 160S264.2 464 176 464z"],
    "mars-stroke": [512, 512, [9894], "f229", "M504 0h-144C355.6 0 352 3.578 352 8s3.578 8 8 8h124.7L384 116.7l-42.34-42.34c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31L372.7 128l-46.16 46.16C295.2 145.6 253.7 128 208 128C110.8 128 32 206.8 32 304S110.8 480 208 480c97.2 0 176-78.8 176-176c0-45.72-17.58-87.23-46.16-118.5L384 139.3l42.34 42.34C427.9 183.2 429.1 184 432 184s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31L395.3 128L496 27.31V152C496 156.4 499.6 160 504 160S512 156.4 512 152v-144C512 3.578 508.4 0 504 0zM368 304c0 88.22-71.78 160-160 160s-160-71.78-160-160s71.78-160 160-160S368 215.8 368 304z"],
    "mars-stroke-right": [640, 512, [9897, "mars-stroke-h"], "f22b", "M605.7 250.3l-101.8-101.8c-3.127-3.129-8.188-3.129-11.31 0c-3.125 3.129-3.125 8.187 0 11.32l88.17 88.16h-124.7V188.1c0-4.418-3.578-7.1-7.998-7.1s-8 3.582-8 7.1v59.88h-56.38c-1.914-42.34-18.84-84.12-51.17-116.5c-68.73-68.73-180.2-68.73-248.9 0c-68.73 68.73-68.73 180.2 0 248.9c68.73 68.73 180.2 68.73 248.9 0c32.33-32.33 49.25-74.12 51.17-116.5h56.38v59.88c0 2.211 .8945 4.211 2.344 5.656c1.447 1.445 3.445 2.344 5.656 2.344c4.42 0 7.998-3.582 7.998-8v-59.88h124.7l-88.17 88.16c-3.125 3.129-3.125 8.187 0 11.32c3.127 3.129 8.188 3.129 11.31 0l101.8-101.8C608.8 258.5 608.8 253.5 605.7 250.3zM321.1 369.1c-62.38 62.38-163.9 62.39-226.3 0s-62.38-163.9 0-226.3s163.9-62.39 226.3 0C383.5 205.2 383.5 306.8 321.1 369.1z"],
    "mars-stroke-up": [384, 512, [9896, "mars-stroke-v"], "f22a", "M316.5 211.6C284.1 179.2 242.3 162.3 200 160.4V136h59.88c2.211 0 4.211-.8945 5.656-2.344C266.1 132.2 267.9 130.2 267.9 128c0-4.422-3.582-8-8-8H200V27.31l74.34 66.34c3.129 3.125 8.188 3.125 11.32 0s3.129-8.188 0-11.31l-87.1-80c-3.125-3.125-8.188-3.125-11.31 0l-87.1 80c-3.129 3.125-3.129 8.188 0 11.31s8.188 3.125 11.32 0L184 27.31V120H124.1c-4.418 0-8 3.578-8 8s3.582 8 8 8H184v24.38C141.7 162.3 99.88 179.2 67.55 211.6c-68.73 68.73-68.73 180.2 0 248.9c68.73 68.73 180.2 68.73 248.9 0C385.2 391.7 385.2 280.3 316.5 211.6zM305.1 449.1c-62.39 62.39-163.9 62.38-226.3 0s-62.39-163.9 0-226.3c62.39-62.39 163.9-62.38 226.3 0S367.5 386.8 305.1 449.1z"],
    "martini-glass": [512, 512, [127864, "glass-martini-alt"], "f57b", "M510.1 13.22c2.031-2.375 2.5-5.719 1.219-8.562C509.1 1.812 507.1 0 504 0H7.994C4.869 0 2.026 1.812 .713 4.656C-.5682 7.5-.0995 10.84 1.932 13.22l246.1 285.8V496H135.1c-4.422 0-8 3.594-8 8S131.6 512 135.1 512h240c4.422 0 8-3.594 8-8s-3.578-8-8-8h-112V298.1L510.1 13.22zM486.6 16L390.1 128H121.9L25.43 16H486.6zM256 283.8L135.7 144h240.7L256 283.8z"],
    "martini-glass-citrus": [576, 512, ["cocktail"], "f561", "M466.1 4.127c-69.12-16.88-137.1 19.57-165.6 81.01c-1.92 4.277 .0156 9.293 4.402 10.95c4.041 1.527 8.439-.4863 10.21-4.426c25.58-56.94 91.04-89.73 155-69.81c48.41 15.07 83.97 58.33 89.12 108.8c7.814 76.56-52.32 141.4-127.3 141.4c-21.95 0-43.48-5.742-62.75-16.67c-3.762-2.135-8.504-1.143-10.85 2.49c-2.445 3.783-1.359 8.961 2.551 11.2c21.78 12.45 46.17 18.99 71.05 18.99c78.71 0 142.9-63.47 143.1-141.9C576.9 79.61 530.7 19.9 466.1 4.127zM312 496H216v-117.1l198.1-237.8c1.1-2.391 2.422-5.703 1.109-8.516c-1.328-2.812-4.141-4.609-7.25-4.609H8.004c-3.109 0-5.922 1.797-7.25 4.609C-.5589 135.4-.137 138.7 1.863 141.1l198.1 237.8v117.1H104c-4.422 0-7.1 3.578-7.1 8s3.578 8 7.1 8h207.1c4.422 0 7.1-3.578 7.1-8S316.4 496 312 496zM25.08 144h365.8l-182.9 219.5L25.08 144z"],
    "martini-glass-empty": [512, 512, ["glass-martini"], "f000", "M510.1 13.22c2.031-2.375 2.5-5.719 1.219-8.562C509.1 1.812 507.1 0 504 0H7.995C4.87 0 2.026 1.812 .7134 4.656C-.5679 7.5-.0992 10.84 1.932 13.22l246.1 285.8V496H135.1c-4.422 0-8 3.594-8 8S131.6 512 135.1 512h240c4.422 0 8-3.594 8-8s-3.578-8-8-8h-112V298.1L510.1 13.22zM486.6 16l-230.6 267.8L25.43 16H486.6z"],
    "mask": [576, 512, [], "f6fa", "M288 64C39.52 64 0 182.1 0 273.5C0 379.5 78.8 448 176 448c27.33 0 51.21-6.518 66.11-36.79l19.93-40.5C268.3 358.6 278.1 352.4 288 352.1c9.9 .3711 19.7 6.497 25.97 18.63l19.93 40.5C348.8 441.5 372.7 448 400 448c97.2 0 176-68.51 176-174.5C576 182.1 536.5 64 288 64zM400 432c-27.73 0-41.76-7.551-51.75-27.86l-20.06-40.77c-8.504-16.48-23.3-26.68-40.78-27.29c-16.28 .6094-31.08 10.81-39.72 27.56l-19.93 40.49C217.8 424.4 203.7 432 176 432c-92.71 0-160-66.68-160-158.5C16 143.3 104.1 80 288 80s272 63.28 272 193.5C560 365.3 492.7 432 400 432zM160 192C124.7 192 96 220.7 96 256s28.65 64 64 64c35.35 0 64-28.65 64-64S195.3 192 160 192zM160 304C133.5 304 112 282.5 112 256S133.5 208 160 208S208 229.5 208 256S186.5 304 160 304zM416 192c-35.35 0-64 28.65-64 64s28.65 64 64 64c35.35 0 64-28.65 64-64S451.3 192 416 192zM416 304c-26.47 0-48-21.53-48-48s21.53-48 48-48s48 21.53 48 48S442.5 304 416 304z"],
    "mask-face": [640, 512, [], "e1d7", "M432 192C436.4 192 440 195.6 440 200C440 204.4 436.4 208 432 208H208C203.6 208 200 204.4 200 200C200 195.6 203.6 192 208 192H432zM200 264C200 259.6 203.6 256 208 256H432C436.4 256 440 259.6 440 264C440 268.4 436.4 272 432 272H208C203.6 272 200 268.4 200 264zM400 320C404.4 320 408 323.6 408 328C408 332.4 404.4 336 400 336H240C235.6 336 232 332.4 232 328C232 323.6 235.6 320 240 320H400zM206.5 111.9L243.6 87.12C266.2 72.05 292.8 64 320 64C347.2 64 373.8 72.05 396.4 87.12L433.5 111.9C449.3 122.4 467.8 128 486.8 128H600C622.1 128 640 145.9 640 168V253C640 300.8 607.5 342.4 561.2 353.9L487.9 372.3C446.9 418.7 386.9 448 320 448C253.1 448 193.1 418.7 152.1 372.3L78.78 353.9C32.48 342.4 0 300.8 0 253V168C0 145.9 17.91 128 40 128H153.2C172.2 128 190.7 122.4 206.5 111.9H206.5zM320 80C295.1 80 272.5 87.11 252.5 100.4L215.4 125.2C196.1 137.5 175.4 143.1 153.2 143.1H112V223.1C112 275 130.4 321.8 160.9 357.1L161.7 358.2L161.6 358.8C199.7 403.6 256.5 432 320 432C383.5 432 440.3 403.6 478.4 358.8L478.3 358.2L479.1 357.1C509.6 321.8 528 275 528 223.1V143.1H486.8C464.6 143.1 443 137.5 424.6 125.2L387.5 100.4C367.5 87.11 344 80 320 80V80zM16 168V253C16 293.4 43.48 328.6 82.66 338.4L135.1 351.7C110.8 315.5 96 271.5 96 224V144H40C26.75 144 16 154.7 16 168V168zM624 253V168C624 154.7 613.3 144 600 144H544V224C544 271.5 529.2 315.5 504 351.7L557.3 338.4C596.5 328.6 624 293.4 624 253V253z"],
    "mask-snorkel": [576, 512, [], "e3b7", "M448 224V128c0-35.35-28.65-64-64-64H64C28.65 64 0 92.65 0 128v96c0 35.35 28.65 64 64 64h78.03c29.37 0 54.96-19.99 62.09-48.48l4.359-17.43C210.5 214 217.2 209.1 224 209.1s13.5 4.04 15.52 12.12l4.359 17.43C251 268 276.6 288 305.1 288H384C419.3 288 448 259.3 448 224zM259.4 235.6L255 218.2C251.4 203.7 238.9 193.1 224 193.1S196.6 203.7 192.1 218.2L188.6 235.6C183.2 257 164.1 272 142 272H64C37.53 272 16 250.5 16 224V128c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48v96c0 26.47-21.53 48-48 48h-78.03C283.9 272 264.8 257 259.4 235.6zM544 32c-17.64 0-32 14.36-32 32v320c0 35.29-28.71 64-64 64s-64-28.71-64-64c0-17.64-14.36-32-32-32s-32 14.36-32 32c0 70.58 57.42 128 128 128s128-57.42 128-128V64C576 46.36 561.6 32 544 32zM560 384c0 61.75-50.25 112-112 112s-112-50.25-112-112c0-8.844 7.156-16 16-16s16 7.156 16 16c0 44.13 35.88 80 80 80s80-35.88 80-80V160h32V384zM560 144h-32V64c0-8.844 7.156-16 16-16s16 7.156 16 16V144z"],
    "mask-ventilator": [640, 512, [], "e524", "M272 474.4C214.8 460.8 168.2 423.4 144.7 374.3L76.17 355.2C31.15 342.7 0 301.7 0 255V168C0 145.9 17.91 128 40 128H184C184.4 128 184.7 128 185 128.1C219.7 73.83 267.4 32 320 32C372.1 32 419.8 73.86 454.6 128.1C455.1 128 455.5 128 456 128H600C622.1 128 640 145.9 640 168V255C640 301.7 608.8 342.7 563.8 355.2L495.2 374.3C471.4 423.5 424.6 460.7 368 474.3V451.8C391.1 436.1 408 408.8 408 377.3C408 352.3 397.7 317.4 380.8 288.7C372.4 274.4 362.6 262 352.1 253.4C341.5 244.7 330.7 239.1 320 239.1C309.2 239.1 298.3 244.7 287.7 253.4C277.2 262 267.4 274.4 259 288.7C242.2 317.4 232 352.3 232 377.3C232 408.7 247.8 436.2 272 451.1L272 474.4zM197.8 137.9C164.2 190.8 144 255 144 300.8C144 364.8 183.6 421 242.7 447.7C226 429 216 404.4 216 377.3C216 348.9 227.3 311.2 245.2 280.6C254.2 265.2 265.1 251.2 277.6 241C289.1 230.8 304.3 223.1 320 223.1C335.5 223.1 349.8 230.8 362.2 241C374.6 251.2 385.5 265.2 394.6 280.6C412.6 311.1 424 348.9 424 377.3C424 404.4 413.9 428.9 397.4 447.4C455.8 420.8 496 365 496 300.8C496 255.1 475.5 190.8 441.9 137.9C407.7 84.2 363.9 47.1 320 47.1C275.6 47.1 231.8 84.24 197.8 137.9V137.9zM624 255V167.1C624 154.7 613.3 143.1 600 143.1H464.2C493.9 195.8 512 255.7 512 300.8C512 319.9 508.8 338.3 502.9 355.6L559.6 339.8C597.6 329.2 624 294.6 624 255L624 255zM128 300.8C128 255.7 145.9 195.8 175.4 143.1H40C26.75 143.1 16 154.7 16 167.1V255C16 294.6 42.36 329.2 80.45 339.8L137 355.5C131.2 338.3 128 319.9 128 300.8V300.8zM304 504C304 508.4 300.4 512 296 512C291.6 512 288 508.4 288 504V344C288 326.3 302.3 311.1 320 311.1C337.7 311.1 352 326.3 352 344V504C352 508.4 348.4 512 344 512C339.6 512 336 508.4 336 504V344C336 335.2 328.8 328 320 328C311.2 328 304 335.2 304 344V504z"],
    "masks-theater": [640, 512, [127917, "theater-masks"], "f630", "M224.8 431.2c-64.09-6.906-164.1-60.85-177.2-129.6L16.88 128.5C12.72 104.7 23.66 81.14 44.13 69.9c84.06-46.44 182.7-63.71 277.9-48.61c11.72 1.844 22.34 7.438 30.75 16.14c3.062 3.219 8.125 3.266 11.31 .2187c3.156-3.078 3.25-8.141 .1875-11.31c-10.84-11.25-24.56-18.46-39.75-20.86C225.9-10.09 123.6 7.758 36.41 55.89C9.939 70.4-4.248 100.7 1.127 131.3l30.78 173c13.69 77.14 120.6 135.1 191.2 142.8C223.4 447.1 223.7 447.1 224 447.1c4.031 0 7.5-3.047 7.969-7.141C232.4 435.6 229.3 431.6 224.8 431.2zM326.6 217.6c4.5 .9219 8.5-2.156 9.25-6.5c1.531-8.781 6.375-16.39 13.56-21.42c7-4.893 15.41-6.783 23.88-5.236c17.56 3.172 29.31 20.27 26.19 38.11c-.7813 4.344 2.156 8.484 6.499 9.25c.4694 .0938 .9381 .125 1.376 .125c3.812 0 7.188-2.734 7.875-6.625c4.656-26.47-12.88-51.86-39.06-56.61c-12.72-2.25-25.38 .5156-35.88 7.859c-10.75 7.484-17.91 18.78-20.19 31.8C319.3 212.7 322.3 216.8 326.6 217.6zM152.2 191.1C178.4 186.4 195.9 161 191.3 134.5C190.5 130.2 186.4 127.1 182 128C177.7 128.8 174.7 132.9 175.5 137.3c3.125 17.85-8.625 34.94-26.19 38.11C140.9 176.9 132.4 175 125.4 170.2C118.3 165.1 113.4 157.5 111.9 148.7C111.1 144.4 107.1 141.2 102.6 142.2C98.28 142.1 95.35 147.1 96.13 151.5C98.41 164.5 105.6 175.8 116.3 183.3c8.125 5.674 17.59 8.627 27.28 8.627C146.4 191.9 149.3 191.7 152.2 191.1zM144 319.9c2.312 0 4.594-.9844 6.156-2.906C160.4 304.7 176.2 294.2 194.7 287.4c4.156-1.5 6.312-6.094 4.812-10.25c-1.5-4.141-6.219-6.281-10.25-4.781C168.1 280.1 149.8 292.3 137.8 306.8C135 310.2 135.5 315.3 138.9 318.1C140.4 319.3 142.2 319.9 144 319.9zM515.9 333.4c-27.44 16.47-65.44 22.02-104.4 15.22c-38.94-6.828-72.81-24.97-92.91-49.77C316.5 296.3 313.1 295.2 309.1 296.3C306.9 297.2 304.7 299.1 304.4 303.2c-4.812 57.49 35.59 108.6 94.03 118.9c6.906 1.203 13.75 1.781 20.5 1.781c50.53 0 95.37-32.47 108.8-81.54c.875-3.156-.2813-6.516-2.875-8.484C522.2 331.9 518.7 331.7 515.9 333.4zM401.2 406.4c-43.44-7.688-75.31-41.47-80.44-82.28c22.5 19.91 53.53 34.25 88 40.28c34.41 6.08 68.44 3.111 96.44-7.938C486.2 393.1 444.4 413.1 401.2 406.4zM603.6 119.9c-87.19-48.14-189.5-65.91-288.2-50.36C285.5 74.28 261.8 97.89 256.3 128.4L225.5 301.4c-7.594 42.83 14.06 84.99 33.59 112.8c34.44 49.08 87.63 89.6 126.5 96.33C391 511.5 396.7 512 402.8 512c72.19 0 190.1-63.29 205.2-143.7l30.78-173.1C644.2 164.7 630.1 134.4 603.6 119.9zM623.1 192.5l-30.78 173.1c-14.16 79.72-148.8 138.9-203.1 129.3c-34.53-5.984-84.44-44.58-116.2-89.77c-25.12-35.84-36.13-71.66-30.94-100.8l30.78-173c4.25-23.8 22.69-42.24 45.88-45.91c22.44-3.562 45.06-5.312 67.66-5.312c73.22 0 146 18.45 210.3 53.92C616.3 145.1 627.3 168.7 623.1 192.5zM504.2 192.7c-12.72-2.297-25.38 .5313-35.88 7.859c-10.75 7.484-17.9 18.78-20.19 31.8c-.7813 4.346 2.156 8.486 6.5 9.252c4.592 .9062 8.467-2.156 9.248-6.5c1.531-8.783 6.375-16.39 13.56-21.42c7.031-4.859 15.41-6.781 23.88-5.234c17.56 3.172 29.31 20.27 26.19 38.11c-.7813 4.344 2.156 8.484 6.5 9.25c.4687 .0938 .9375 .125 1.375 .125c3.812 0 7.188-2.734 7.875-6.625C547.9 222.8 530.4 197.4 504.2 192.7z"],
    "mattress-pillow": [640, 512, [], "e525", "M176 128C202.5 128 224 149.5 224 176V336C224 362.5 202.5 384 176 384H112C85.49 384 64 362.5 64 336V176C64 149.5 85.49 128 112 128H176zM176 144H112C94.33 144 80 158.3 80 176V336C80 353.7 94.33 368 112 368H176C193.7 368 208 353.7 208 336V176C208 158.3 193.7 144 176 144zM576 64C611.3 64 640 92.65 640 128V384C640 419.3 611.3 448 576 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H576zM256 80H64C37.49 80 16 101.5 16 128V384C16 410.5 37.49 432 64 432H256V80zM272 80V432H576C602.5 432 624 410.5 624 384V128C624 101.5 602.5 80 576 80H272z"],
    "maximize": [448, 512, ["expand-arrows-alt"], "f31e", "M354.9 136.4l47.61 47.57c17.89 17.87 45.5 3.271 45.5-18.83v-113.2c0-11.03-8.949-19.97-19.99-19.97h-113.3c-22.59 0-36.25 28.07-18.85 45.46l47.69 47.65L224 244.7L104.4 125.1L151.1 77.5C169.9 59.61 155.3 32 133.2 32h-113.2C8.942 32-.001 40.95-.001 51.99v113.3c0 22.59 28.07 36.25 45.46 18.85l47.65-47.68L212.7 256l-119.6 119.6l-47.61-47.57c-17.89-17.87-45.5-3.269-45.5 18.83v113.2c0 11.03 8.949 19.98 19.99 19.98h113.3c22.59 0 36.25-28.08 18.85-45.46l-47.69-47.65L224 267.3l119.6 119.6l-47.58 47.61C278.1 452.4 292.7 480 314.8 480h113.2c11.03 0 19.97-8.949 19.97-19.99v-113.3c0-22.58-28.07-36.25-45.46-18.84l-47.65 47.68L235.3 256L354.9 136.4zM314.7 47.98h113.3c2.203 0 3.998 1.791 3.998 3.994v113.2c0 9.002-11.21 14.52-18.2 7.531L307.2 66.17C299.1 58.98 305.9 47.98 314.7 47.98zM34.16 172.8C26.98 179.1 15.98 174.1 15.98 165.3V51.99c0-2.205 1.793-3.998 3.994-3.998h113.2c8.1 0 14.52 11.2 7.529 18.2L34.16 172.8zM133.3 464H19.99c-2.203 0-3.998-1.793-3.998-3.996v-113.2c0-8.1 11.21-14.52 18.2-7.529l106.6 106.5C148 453 142.1 464 133.3 464zM413.8 339.2c7.184-7.195 18.18-1.252 18.18 7.535v113.3c0 2.203-1.793 3.998-3.994 3.998h-113.2c-8.1 0-14.52-11.2-7.529-18.2L413.8 339.2z"],
    "meat": [576, 512, [127830], "f814", "M395.9 96.01C395.9 96.01 395.9 96.01 395.9 96.01c-8.034 0-14.97 2.695-20.04 7.773c0 0 0-.0156 0 0c-13.13 13.11-9.222 37.57 8.879 55.71c10.88 10.8 24.1 16.52 35.76 16.52c7.722 0 14.79-2.516 20.04-7.719c13.07-13.25 9.066-37.7-9.004-55.61C421.2 102.3 407.9 96.02 395.9 96.01zM429.2 156.1c-5.69 5.656-20.79 3.453-33.2-8.844c-12.35-12.36-14.57-27.34-8.847-33.06c2.532-2.531 6.143-3.078 8.707-3.078c0 0-.0313 0 0 0c7.691 .0156 17.02 4.578 24.34 11.98C432.6 136.3 434.9 151.3 429.2 156.1zM476 68.42c-57.1-57.98-159.5-97.29-215.5-41.29C222.1 64.49 160.1 137.7 160.1 208.7L160 309.8l-8.556 8.544c-13.25 13.41-30.93 8.35-36.76 5.999c-7.31-2.914-14.86-4.322-22.35-4.322c-19.81 0-38.98 9.787-50.4 27.2c-15.88 23.87-12.5 55.61 7.75 75.86c11.49 11.49 26.43 16.81 41.47 16.81c4.926 0 9.824-.5821 14.67-1.691c-4.5 19.62-.1308 40.67 15.12 56.05C132.6 505.9 148.1 512 163.7 512c11.47 0 23.05-3.256 33.23-9.932c24.01-15.75 33.44-46.21 22.81-72.83c-5.127-12.75-3.752-26.1 6-36.74l8.582-8.522l101.3 .0317c70.1 0 144.4-62.8 182-100.3C557.1 242.4 558.1 151.2 476 68.42zM511.6 265.6c-1.718 2.391-3.431 4.844-5.383 6.887c-28.76 28.72-102.9 95.53-170.6 95.53H208.1c-4.408 0-8.003 3.578-8.003 7.1s3.595 7.1 8.003 7.1h4.387c-11.79 13.68-14.93 32.87-7.544 51.25c7.777 19.48 .7132 41.95-16.8 53.44c-7.294 4.785-15.73 7.316-24.41 7.316c-11.85 0-22.99-4.617-31.33-12.95c-10.51-10.59-14.48-25.64-10.89-41.28c1.231-5.367-.3869-10.99-4.285-14.89c-3.034-3.031-7.12-4.684-11.32-4.684c-1.19 0-2.39 .1328-3.578 .4023c-3.691 .8477-7.435 1.277-11.13 1.277c-8.206 0-20.09-2.102-30.11-12.12c-14.89-14.89-17.31-38.31-5.686-55.78c11.72-17.86 34.13-24.51 53.41-16.81c26.46 10.64 45.05-1.883 51.26-7.23v4.062c0 4.422 3.595 7.1 8.003 7.1c4.408 0 8.003-3.578 8.003-7.1V208.7c0-67.58 66.93-141.5 95.73-170.2c.9789-.9765 3.222-2.1 6.454-5.414C271.8 48.1 270.3 67.59 274.7 89.65c7.753 38.67 31.67 80.23 65.65 114c42.08 42.06 95.6 68.19 139.7 68.19C489.3 271.8 500.8 270.3 511.6 265.6zM516.4 243.8c-10.44 10.44-27.26 11.1-36.36 11.1c-39.98 0-89.19-24.33-128.4-63.51c-31.79-31.61-54.15-70.19-61.27-105.8c-5.127-25.55-1.532-47.47 9.598-58.61c9.816-9.797 25.2-11.86 36.36-11.86c39.98 0 89.19 24.33 128.4 63.5c46.77 46.64 63.46 96.75 63.46 128.1C528.2 223.6 524.1 236.1 516.4 243.8z"],
    "medal": [512, 512, [127941], "f5a2", "M256 160c-97.26 0-176 78.75-176 176S158.7 512 256 512s176-78.75 176-176S353.3 160 256 160zM256 496c-88.23 0-160-71.78-160-160S167.8 176 256 176s160 71.78 160 160S344.2 496 256 496zM509.2 12.8C505.1 4.836 496.1 0 487.1 0h-120.3c-8.344 0-16.25 4.453-20.6 11.66l-68.69 114.5c-2.25 3.781-1.031 8.703 2.75 10.97c3.813 2.281 8.719 1.047 11-2.75l68.66-114.5C362.3 17.45 364.9 16 367.7 16h120.3c3.031 0 5.688 1.609 7.094 4.312c1.406 2.688 1.188 5.797-.5626 8.281l-104.8 149.5c-2.531 3.625-1.656 8.609 1.969 11.14c5.327 3.729 10.09-.4341 11.16-1.953l104.8-149.5C512.8 30.42 513.4 20.77 509.2 12.8zM120.3 189.3c3.625-2.531 4.5-7.516 1.969-11.14L17.48 28.59C15.73 26.11 15.51 23 16.92 20.31C18.33 17.61 20.98 16 24.01 16h120.3c2.813 0 5.407 1.453 6.844 3.875l68.69 114.5C222.1 138.2 226.9 139.4 230.8 137.2C234.6 134.9 235.8 129.1 233.6 126.2L164.8 11.62C160.5 4.453 152.6 0 144.3 0H24.01c-8.969 0-17.06 4.836-21.22 12.8C-1.369 20.77-.8007 30.42 4.356 37.78l104.8 149.6C110.2 188.9 114.9 193 120.3 189.3zM342.1 297.6l-52.38-7.625L266.2 242.5c-2-4.25-6.125-6.375-10.25-6.375S247.7 238.3 245.7 242.5L222.2 290l-52.38 7.625C160.5 299 156.6 310.6 163.5 317.3l37.88 37L192.5 406.5c-1.283 7.309 4.61 13.37 11.27 13.37c1.77 0 3.594-.4258 5.35-1.371l46.88-24.62l46.88 24.62c1.758 .9453 3.581 1.371 5.35 1.371c6.665 0 12.56-6.062 11.27-13.37l-8.875-52.25l37.88-37C355.4 310.6 351.6 299 342.1 297.6zM293.4 348.6l8.803 51.45l-46.22-24.32L209.8 400.1l8.779-51.41l-37.38-36.45l51.66-7.576l23.13-46.82l23.13 46.82l51.66 7.576L293.4 348.6z"],
    "megaphone": [576, 512, [128227], "f675", "M512 64C512 46.33 526.3 32 544 32C561.7 32 576 46.33 576 64V448C576 465.7 561.7 480 544 480C526.3 480 512 465.7 512 448V64zM544 48C535.2 48 528 55.16 528 64V448C528 456.8 535.2 464 544 464C552.8 464 560 456.8 560 448V64C560 55.16 552.8 48 544 48zM480 82.25L16 198.2V313.8L480 429.8V446.2L345.8 412.7L347.5 413.2C335.1 451.9 298.9 480 256 480C202.1 480 160 437 160 384C160 378.1 160.5 372.3 161.6 366.6L16 330.2V344C16 348.4 12.42 352 8 352C3.582 352 0 348.4 0 344V168C0 163.6 3.582 160 8 160C12.42 160 16 163.6 16 168V181.8L480 65.75V82.25zM256 464C291.4 464 321.4 441 331.9 409.2L177.1 370.5C176.4 374.9 176 379.4 176 384C176 428.2 211.8 464 256 464H256zM256 288L256.4 288H255.6L256 288z"],
    "melon": [512, 512, [], "e310", "M256 0C114.6 0 0 114.6 0 256c0 70.71 28.66 134.7 74.1 181c.002 .002-.002-.002 0 0s-.002-.002 0 0C121.3 483.3 185.3 512 256 512c141.4 0 256-114.6 256-256S397.4 0 256 0zM433.6 181.3c-15.34 51.15-50.27 105.8-98.37 153.9c-64.71 64.67-143.1 106.5-201.9 106.5c-19.59 0-34.76-5-45.33-14.64c-.6621-.6504-1.359-1.262-2.014-1.92c-17.6-18.15-20.32-51.56-7.471-94.38c15.34-51.15 50.27-105.8 98.37-153.9c64.69-64.68 143.1-106.5 201.9-106.5c19.14 0 34.03 4.785 44.21 13.61c1.014 .9844 2.098 1.893 3.094 2.893C443.7 104.1 446.4 138.4 433.6 181.3zM256 16c48.15 0 92.94 14.39 130.6 38.89c-2.619-.1719-5.102-.5684-7.822-.5684c-59.84 0-143.2 41.14-213.2 111.2C115.6 215.4 79.2 272.5 63.11 326.1c-6.82 22.73-9.139 43.07-7.918 60.91C30.49 349.3 16 304.4 16 256C16 123.7 123.7 16 256 16zM256 496c-48.15 0-92.94-14.39-130.6-38.89c2.615 .1699 5.096 .5664 7.811 .5664c59.84 0 143.2-41.14 213.3-111.1c49.93-49.94 86.29-106.1 102.4-160.6c6.822-22.74 9.145-43.09 7.92-60.93C481.5 162.7 496 207.6 496 256C496 388.3 388.3 496 256 496z"],
    "melon-slice": [512, 512, [], "e311", "M424.6 2.344c-3.125-3.125-8.188-3.125-11.31 0L317.5 98.17C318.1 107.9 320 117.8 320 128c0 106-85.96 192-192 192c-10.16 0-20.05-1.021-29.78-2.541l-95.88 95.9C.8438 414.9 0 416.9 0 419c0 2.125 .8438 4.156 2.344 5.656C60.53 482.9 137 512 213.4 512c76.47 0 152.9-29.1 211.1-87.32C480.9 368.3 512 293.3 512 213.5S480.9 58.75 424.6 2.344zM103.8 334.5C111.8 335.4 119.8 336 128 336c114.7 0 208-93.31 208-208c0-8.207-.6035-16.27-1.533-24.23l38.91-38.92c37.68 40.51 58.53 92.9 58.53 148.7c0 58.45-22.69 113.4-63.91 154.6c-41.28 41.28-96.16 64.02-154.5 64.02c-55.71 0-108.1-20.89-148.6-58.64L103.8 334.5zM413.3 413.4C304.9 521.7 129.9 523.5 19.41 418.9l34.13-34.15c43.56 40.76 99.94 63.33 159.9 63.33c62.66 0 121.6-24.4 165.8-68.71c44.25-44.25 68.59-103.2 68.59-165.9c0-60.04-22.51-116.4-63.22-159.1l34.13-34.14C523.4 129.1 521.5 305.1 413.3 413.4z"],
    "memo": [384, 512, [], "e1d8", "M312 224h-240C67.59 224 64 227.6 64 232S67.59 240 72 240h240C316.4 240 320 236.4 320 232S316.4 224 312 224zM216 320h-144C67.59 320 64 323.6 64 328s3.594 8 8 8h144c4.406 0 8-3.594 8-8S220.4 320 216 320zM320 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h256c35.35 0 64-28.65 64-64V64C384 28.65 355.3 0 320 0zM368 448c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V64c0-26.47 21.53-48 48-48h256c26.47 0 48 21.53 48 48V448zM312 128h-240C67.59 128 64 131.6 64 136S67.59 144 72 144h240C316.4 144 320 140.4 320 136S316.4 128 312 128z"],
    "memo-circle-check": [576, 512, [], "e1d9", "M320 16H64C37.49 16 16 37.49 16 64V448C16 474.5 37.49 496 64 496H311.2C317 501.5 323.2 506.6 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V198.6C378.6 200.2 373.2 201.1 368 203.1V64C368 37.49 346.5 16 320 16V16zM64 136C64 131.6 67.58 128 72 128H312C316.4 128 320 131.6 320 136C320 140.4 316.4 144 312 144H72C67.58 144 64 140.4 64 136zM280 224C284.4 224 288 227.6 288 232C288 236.4 284.4 240 280 240H72C67.58 240 64 236.4 64 232C64 227.6 67.58 224 72 224H280zM216 320C220.4 320 224 323.6 224 328C224 332.4 220.4 336 216 336H72C67.58 336 64 332.4 64 328C64 323.6 67.58 320 72 320H216zM490.3 322.3C493.5 319.2 498.5 319.2 501.7 322.3C504.8 325.5 504.8 330.5 501.7 333.7L421.7 413.7C418.5 416.8 413.5 416.8 410.3 413.7L362.3 365.7C359.2 362.5 359.2 357.5 362.3 354.3C365.5 351.2 370.5 351.2 373.7 354.3L416 396.7L490.3 322.3zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 496C502.7 496 560 438.7 560 368C560 297.3 502.7 240 432 240C361.3 240 304 297.3 304 368C304 438.7 361.3 496 432 496z"],
    "memo-circle-info": [576, 512, [], "e49a", "M320 16H64C37.49 16 16 37.49 16 64V448C16 474.5 37.49 496 64 496H311.2C317 501.5 323.2 506.6 329.7 511.3C326.6 511.7 323.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V198.6C378.6 200.2 373.2 201.1 368 203.1V64C368 37.49 346.5 16 320 16V16zM64 136C64 131.6 67.58 128 72 128H312C316.4 128 320 131.6 320 136C320 140.4 316.4 144 312 144H72C67.58 144 64 140.4 64 136zM280 224C284.4 224 288 227.6 288 232C288 236.4 284.4 240 280 240H72C67.58 240 64 236.4 64 232C64 227.6 67.58 224 72 224H280zM216 320C220.4 320 224 323.6 224 328C224 332.4 220.4 336 216 336H72C67.58 336 64 332.4 64 328C64 323.6 67.58 320 72 320H216zM432 288C440.8 288 448 295.2 448 304C448 312.8 440.8 320 432 320C423.2 320 416 312.8 416 304C416 295.2 423.2 288 432 288zM416 432H423.1V360H416C411.6 360 408 356.4 408 352C408 347.6 411.6 344 416 344H431.1C436.4 344 439.1 347.6 439.1 352V432H448C452.4 432 456 435.6 456 440C456 444.4 452.4 448 448 448H416C411.6 448 408 444.4 408 440C408 435.6 411.6 432 416 432zM432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512zM560 368C560 297.3 502.7 240 432 240C361.3 240 304 297.3 304 368C304 438.7 361.3 496 432 496C502.7 496 560 438.7 560 368z"],
    "memo-pad": [448, 512, [], "e1da", "M104 320h240C348.4 320 352 316.4 352 312S348.4 304 344 304h-240C99.59 304 96 307.6 96 312S99.59 320 104 320zM104 224h240C348.4 224 352 220.4 352 216S348.4 208 344 208h-240C99.59 208 96 211.6 96 216S99.59 224 104 224zM104 416h144c4.406 0 8-3.594 8-8s-3.594-8-8-8h-144C99.59 400 96 403.6 96 408S99.59 416 104 416zM384 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V64C448 28.65 419.3 0 384 0zM432 448c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V128h416V448zM432 112h-416V64c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V112z"],
    "memory": [576, 512, [], "f538", "M576 146.9V112C576 85.49 554.5 64 528 64h-480C21.49 64 0 85.49 0 112v34.94C18.6 153.5 32 171.1 32 192S18.6 230.5 0 237.1V416c0 17.67 14.33 32 32 32h512c17.67 0 32-14.33 32-32V237.1C557.4 230.5 544 212.9 544 192S557.4 153.5 576 146.9zM560 416c0 8.824-7.178 16-16 16h-56v-32c0-4.422-3.594-8-8-8s-8 3.578-8 8v32h-112v-32c0-4.422-3.594-8-8-8s-8 3.578-8 8v32h-112v-32c0-4.422-3.594-8-8-8s-8 3.578-8 8v32h-112v-32c0-4.422-3.594-8-8-8s-8 3.578-8 8v32H32c-8.822 0-16-7.176-16-16v-80h544V416zM560 136.8C540.5 148.1 528 169 528 192s12.48 43.94 32 55.22V320h-544V247.2C35.52 235.9 48 214.1 48 192s-12.48-43.94-32-55.22V112c0-17.64 14.36-32 32-32h480c17.64 0 32 14.36 32 32V136.8zM432 128h-32C391.2 128 384 135.2 384 144v96C384 248.8 391.2 256 400 256h32C440.8 256 448 248.8 448 240v-96C448 135.2 440.8 128 432 128zM432 240h-32v-96h32V240zM304 128h-32C263.2 128 256 135.2 256 144v96C256 248.8 263.2 256 272 256h32C312.8 256 320 248.8 320 240v-96C320 135.2 312.8 128 304 128zM304 240h-32v-96h32V240zM176 128h-32C135.2 128 128 135.2 128 144v96C128 248.8 135.2 256 144 256h32C184.8 256 192 248.8 192 240v-96C192 135.2 184.8 128 176 128zM176 240h-32v-96h32V240z"],
    "menorah": [640, 512, [], "f676", "M608 128c-4.406 0-8 3.578-8 8v176c0 30.88-25.12 56-56 56h-24V136C520 131.6 516.4 128 512 128s-8 3.578-8 8v232h-80V136C424 131.6 420.4 128 416 128s-8 3.578-8 8v232h-80V136C328 131.6 324.4 128 320 128S312 131.6 312 136v232h-80V136C232 131.6 228.4 128 224 128S216 131.6 216 136v232h-80V136C136 131.6 132.4 128 128 128S120 131.6 120 136v232H96c-30.88 0-56-25.12-56-56v-176C40 131.6 36.41 128 32 128S24 131.6 24 136v176C24 351.7 56.31 384 96 384h216v112h-176C131.6 496 128 499.6 128 504S131.6 512 136 512h368c4.406 0 8-3.578 8-8s-3.594-8-8-8h-176V384H544c39.69 0 72-32.3 72-72v-176C616 131.6 612.4 128 608 128zM64 61.28c0-16.27-21-50.96-25.2-57.75c-2.938-4.701-10.66-4.701-13.59 0C21 10.32 0 45.01 0 61.28c0 19.15 14.36 34.72 32 34.72S64 80.43 64 61.28zM16 61.28c0-6.676 8-23.41 16-37.73C40 37.87 48 54.6 48 61.28c0 10.31-7.172 18.68-16 18.68S16 71.59 16 61.28zM128 95.1c17.64 0 32-15.57 32-34.72c0-16.27-21-50.96-25.2-57.75c-2.938-4.701-10.66-4.701-13.59 0C117 10.32 96 45.01 96 61.28C96 80.43 110.4 95.1 128 95.1zM128 23.55C136 37.87 144 54.6 144 61.28c0 10.31-7.172 18.68-16 18.68S112 71.59 112 61.28C112 54.6 120 37.87 128 23.55zM224 95.1c17.64 0 32-15.57 32-34.72c0-16.27-21-50.96-25.2-57.75c-2.938-4.701-10.66-4.701-13.59 0C213 10.32 192 45.01 192 61.28C192 80.43 206.4 95.1 224 95.1zM224 23.55C232 37.87 240 54.6 240 61.28c0 10.31-7.172 18.68-16 18.68S208 71.59 208 61.28C208 54.6 216 37.87 224 23.55zM320 95.1c17.64 0 32-15.57 32-34.72c0-16.27-21-50.96-25.2-57.75c-2.938-4.701-10.66-4.701-13.59 0C309 10.32 288 45.01 288 61.28C288 80.43 302.4 95.1 320 95.1zM320 23.55c8 14.32 16 31.05 16 37.73c0 10.31-7.172 18.68-16 18.68S304 71.59 304 61.28C304 54.6 312 37.87 320 23.55zM416 95.1c17.64 0 32-15.57 32-34.72c0-16.27-21-50.96-25.2-57.75c-2.938-4.701-10.66-4.701-13.59 0C405 10.32 384 45.01 384 61.28C384 80.43 398.4 95.1 416 95.1zM416 23.55c8 14.32 16 31.05 16 37.73c0 10.31-7.172 18.68-16 18.68s-16-8.367-16-18.68C400 54.6 408 37.87 416 23.55zM512 95.1c17.64 0 32-15.57 32-34.72c0-16.27-21-50.96-25.2-57.75c-2.938-4.701-10.66-4.701-13.59 0C501 10.32 480 45.01 480 61.28C480 80.43 494.4 95.1 512 95.1zM512 23.55c8 14.32 16 31.05 16 37.73c0 10.31-7.172 18.68-16 18.68s-16-8.367-16-18.68C496 54.6 504 37.87 512 23.55zM614.8 3.525c-2.938-4.701-10.66-4.701-13.59 0C597 10.32 576 45.01 576 61.28c0 19.15 14.36 34.72 32 34.72s32-15.57 32-34.72C640 45.01 619 10.32 614.8 3.525zM608 79.96c-8.828 0-16-8.367-16-18.68c0-6.676 8-23.41 16-37.73c8 14.32 16 31.05 16 37.73C624 71.59 616.8 79.96 608 79.96z"],
    "mercury": [384, 512, [9791], "f223", "M368 223.1c0-80.21-53.71-147.7-127.1-168.1c24.4-8.351 46.84-22.09 64.39-41.69c2.938-3.297 2.656-8.359-.625-11.3c-3.25-2.937-8.312-2.641-11.31 .6094C267.6 31.47 230.6 47.1 192 47.1S116.4 31.47 90.63 2.661c-3-3.281-8.031-3.578-11.31-.6094C76.03 4.989 75.75 10.05 78.69 13.35c17.56 19.59 39.1 33.34 64.39 41.69C69.71 76.25 16 143.8 16 223.1c0 94.5 74.54 171.4 168 175.6V440H128c-4.406 0-8 3.578-8 7.1c0 4.422 3.594 7.1 8 7.1h56v47.1C184 508.4 187.6 512 192 512s8-3.578 8-7.1v-47.1H256c4.406 0 8-3.578 8-7.1c0-4.422-3.594-7.1-8-7.1h-56v-40.41C293.5 395.4 368 318.5 368 223.1zM32 224c0-88.22 71.78-159.1 160-159.1s160 71.78 160 159.1s-71.78 159.1-160 159.1S32 312.2 32 224z"],
    "merge": [512, 512, [], "e526", "M0 72C0 67.58 3.582 64 8 64H143.3C156.4 64 168.6 70.41 176.1 81.16L285 237.7C289.5 244.2 296.9 248 304.7 248H484.7L418.3 181.7C415.2 178.5 415.2 173.5 418.3 170.3C421.5 167.2 426.5 167.2 429.7 170.3L509.7 250.3C512.8 253.5 512.8 258.5 509.7 261.7L429.7 341.7C426.5 344.8 421.5 344.8 418.3 341.7C415.2 338.5 415.2 333.5 418.3 330.3L484.7 264H304.7C296.9 264 289.5 267.8 285 274.3L176.1 430.8C168.6 441.6 156.4 448 143.3 448H8C3.582 448 0 444.4 0 440C0 435.6 3.582 432 8 432H143.3C151.1 432 158.5 428.2 162.1 421.7L271.9 265.2C274.4 261.6 277.3 258.5 280.7 256C277.3 253.5 274.4 250.4 271.9 246.8L162.1 90.29C158.5 83.85 151.1 80 143.3 80H8C3.582 80 0 76.42 0 72V72z"],
    "message": [512, 512, ["comment-alt"], "f27a", "M447.1 15.1c26.47 0 48 21.53 48 47.1v287.1c0 26.46-21.53 47.1-48 47.1h-149.3l-122.7 92.08v-92.08H63.1c-26.47 0-48-21.53-48-47.1v-287.1c0-26.46 21.53-47.1 48-47.1H447.1zM447.1 0h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.98C159.1 507 165.9 512 172.2 512c2.369 0 4.786-.7454 6.948-2.323l124.9-93.68h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 0 447.1 0z"],
    "message-arrow-down": [512, 512, ["comment-alt-arrow-down"], "e1db", "M448 0H64C28.75 0 0 28.75 0 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1C160 507 165.9 512 172.2 512c2.369 0 4.785-.7457 6.947-2.324L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM496 351.1c0 26.46-21.53 47.1-48 47.1h-149.3L176 492.1v-92.09H64c-26.47 0-48-21.53-48-47.1V63.99C16 37.53 37.53 15.1 64 15.1h384c26.47 0 48 21.53 48 47.1V351.1zM346.9 200.6c-.875-.3438-1.609-.6562-2.5-.6562c-5.123 0-15.6 10.37-80.44 76.5V120c0-4.406-3.578-8-8-8S248 115.6 248 120v156.7L173.7 202.3c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31l88 88C251.8 303.2 253.9 304 256 304s4.219-.875 5.719-2.406c30.45-31.06 80.17-81.41 86.47-86.78c1.422-.875 2.594-2.188 3.25-3.875C353.1 206.8 351 202.2 346.9 200.6z"],
    "message-arrow-up": [512, 512, ["comment-alt-arrow-up"], "e1dc", "M448 0H64C28.75 0 0 28.75 0 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1C160 507 165.9 512 172.2 512c2.369 0 4.785-.7457 6.947-2.324L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM496 351.1c0 26.46-21.53 47.1-48 47.1h-149.3L176 492.1v-92.09H64c-26.47 0-48-21.53-48-47.1V63.99C16 37.53 37.53 15.1 64 15.1h384c26.47 0 48 21.53 48 47.1V351.1zM261.7 114.3C260.2 112.8 258.1 112 256 112S251.8 112.9 250.3 114.4C219.8 145.5 170.1 195.8 163.8 201.2C162.4 202.1 161.2 203.4 160.6 205.1c-1.625 4.094 .3906 8.75 4.5 10.38c.875 .3438 1.609 .6562 2.5 .6562c5.123 0 15.6-10.37 80.44-76.5V296C248 300.4 251.6 304 256 304s8-3.594 8-8V139.3l74.34 74.34c3.125 3.125 8.188 3.125 11.31 0s3.125-8.188 0-11.31L261.7 114.3z"],
    "message-arrow-up-right": [512, 512, [], "e1dd", "M448 0H64C28.75 0 0 28.75 0 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96V499.1C160 507 165.9 512 172.2 512c2.369 0 4.785-.7457 6.947-2.324L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM496 351.1c0 26.46-21.53 47.1-48 47.1h-149.3L176 492.1v-92.08H64c-26.47 0-48-21.53-48-47.1V63.99C16 37.53 37.53 15.1 64 15.1h384c26.47 0 48 21.53 48 47.1V351.1zM365.7 114.3C364.2 112.9 362.2 112 360 112H219.2c-4.406 0-8 3.578-8 8S214.8 128 219.2 128h121.5L178.3 290.3c-3.125 3.125-3.125 8.188 0 11.31C179.9 303.2 181.9 304 184 304s4.094-.7813 5.656-2.344L352 139.3v121.5c0 4.422 3.594 8 8 8s8-3.578 8-8V120C368 117.1 367.2 115.9 365.7 114.3C365.7 114.3 365.7 114.3 365.7 114.3z"],
    "message-bot": [640, 512, [], "e3b8", "M604 160c-17.01 0-30.64 12.11-34.38 28H544V63.99C544 28.75 515.3 0 480 0H160C124.8 0 96 28.75 96 63.99V188H70.38C66.64 172.1 53.01 160 36 160C16.16 160 0 176.2 0 195.1S16.16 232 36 232c17.01 0 30.64-12.11 34.38-28H96v147.1c0 35.25 28.75 63.1 64 63.1l64 .0098v83.99C224 507 229.8 512 236 512c2.369 0 4.934-.75 7.096-2.328L368 415.1l112-.0098c35.25 0 64-28.75 64-63.1V204h25.62C573.4 219.9 586.1 232 604 232C623.8 232 640 215.8 640 195.1S623.8 160 604 160zM36 216C24.97 216 16 207 16 196S24.97 176 36 176S56 184.1 56 196S47.03 216 36 216zM528 351.1c0 26.46-21.53 47.1-48 47.1h-117.3L240 492.1v-92.09H160c-26.47 0-48-21.53-48-47.1V63.99c0-26.46 21.53-47.1 48-47.1h320c26.47 0 48 21.53 48 47.1V351.1zM604 216c-11.03 0-20-8.969-20-20S592.1 176 604 176S624 184.1 624 196S615 216 604 216zM448 80H192C165.5 80 144 101.5 144 128v128c0 26.47 21.53 48 48 48h256c26.47 0 48-21.53 48-48V128C496 101.5 474.5 80 448 80zM480 256c0 17.67-14.33 32-32 32H192C174.3 288 160 273.7 160 256V128c0-17.67 14.33-32 32-32h256c17.67 0 32 14.33 32 32V256zM224 152C201.9 152 184 169.9 184 192S201.9 232 224 232S264 214.1 264 192S246.1 152 224 152zM224 216C210.8 216 200 205.2 200 192S210.8 168 224 168S248 178.8 248 192S237.2 216 224 216zM416 152c-22.06 0-40 17.94-40 40S393.9 232 416 232S456 214.1 456 192S438.1 152 416 152zM416 216c-13.22 0-24-10.77-24-24S402.8 168 416 168S440 178.8 440 192S429.2 216 416 216z"],
    "message-captions": [512, 512, ["comment-alt-captions"], "e1de", "M447.1 0h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1C159.1 507 165.9 512 172.2 512c2.369 0 4.786-.7458 6.948-2.324l124.9-93.7h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 0 447.1 0zM495.1 351.1c0 26.46-21.53 47.1-48 47.1h-149.3l-122.7 92.08v-92.08H63.1c-26.47 0-48-21.53-48-47.1v-287.1c0-26.46 21.53-47.1 48-47.1h384c26.47 0 48 21.53 48 47.1V351.1zM223.1 247.1c0-4.406-3.606-7.984-8.012-7.984L71.1 239.1c-4.406 0-8 3.593-8 7.999s3.594 7.999 8 7.999h143.1C220.4 255.1 223.1 252.4 223.1 247.1zM439.1 239.1h-176c-4.406 0-8 3.593-8 7.999s3.594 7.999 8 7.999h176c4.406 0 8-3.593 8-7.999S444.4 239.1 439.1 239.1zM151.1 303.1h-80c-4.406 0-8 3.593-8 7.999c0 4.406 3.594 7.999 8 7.999h80c4.406 0 8-3.593 8-7.999C159.1 307.6 156.4 303.1 151.1 303.1zM439.1 303.1h-80c-4.406 0-8 3.593-8 7.999c0 4.406 3.594 7.999 8 7.999h80c4.406 0 8-3.593 8-7.999C447.1 307.6 444.4 303.1 439.1 303.1zM311.1 303.1h-112c-4.406 0-7.1 3.593-7.1 7.999c0 4.406 3.594 7.999 7.1 7.999h112c4.406 0 8-3.593 8-7.999C319.1 307.6 316.4 303.1 311.1 303.1z"],
    "message-check": [512, 512, ["comment-alt-check"], "f4a2", "M346.3 138.3L231.1 252.7L173.7 194.3c-3.125-3.125-8.188-3.125-11.31 0c-3.125 3.125-3.125 8.187 0 11.31L226.3 269.6c1.562 1.562 3.594 2.344 5.656 2.344s4.094-.7812 5.656-2.344l120-119.1c3.125-3.125 3.125-8.187 0-11.31C354.5 135.2 349.5 135.2 346.3 138.3zM447.1 0h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1C159.1 507 165.9 512 172.2 512c2.369 0 4.786-.7458 6.948-2.324l124.9-93.7h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 0 447.1 0zM495.1 351.1c0 26.46-21.53 47.1-48 47.1h-149.3l-122.7 92.08v-92.08H63.1c-26.47 0-48-21.53-48-47.1v-287.1c0-26.46 21.53-47.1 48-47.1h384c26.47 0 48 21.53 48 47.1V351.1z"],
    "message-code": [512, 512, [], "e1df", "M448 0H64C28.75 0 0 28.75 0 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96V499.1C160 507 165.9 512 172.2 512c2.369 0 4.785-.7457 6.947-2.324L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM496 351.1c0 26.46-21.53 47.1-48 47.1h-149.3L176 492.1v-92.08H64c-26.47 0-48-21.53-48-47.1V63.99C16 37.53 37.53 15.1 64 15.1h384c26.47 0 48 21.53 48 47.1V351.1zM212.8 122.3c-3.125-3.125-8.188-3.125-11.31 0l-80 80c-3.125 3.125-3.125 8.188 0 11.31l80 80C203 295.2 205.1 296 207.1 296s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31L138.4 208l74.34-74.34C215.9 130.5 215.9 125.5 212.8 122.3zM310.5 122.3c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31L373.6 208l-74.34 74.34c-3.125 3.125-3.125 8.188 0 11.31C300.8 295.2 302.8 296 304.9 296s4.094-.7813 5.656-2.344l80-80c3.125-3.125 3.125-8.188 0-11.31L310.5 122.3z"],
    "message-dollar": [512, 512, ["comment-alt-dollar"], "f650", "M258 200.2l-7.312-2C219.2 189.4 204.8 181.5 208.6 160.8c3.969-21.89 33.38-27.5 60.5-23.53c7.031 1.047 15.44 3.219 26.41 6.828c4.375 1.453 8.75-.9219 10.09-5.094c1.375-4.203-.9062-8.719-5.094-10.09c-11.88-3.906-21.09-6.281-29.03-7.453c-2.562-.3828-4.932-.4531-7.406-.6875V104c0-4.422-3.594-8-8-8s-8 3.578-8 8v16.27C217.9 121.5 196.1 134.1 192.8 157.9C185.8 196.7 223.8 207.3 246.4 213.6l7.406 2.031c36.78 10.02 53.66 17.17 49.59 39.53c-3.938 21.89-33.22 27.66-60.56 23.52c-10.88-1.562-23.44-5.859-34.5-9.656L202.6 267.1c-4.156-1.391-8.719 .8438-10.16 5.031C191 276.3 193.3 280.8 197.4 282.3l5.719 1.953c11.75 4.016 25.06 8.578 37.38 10.34C243.2 294.9 245.5 294.9 248.1 295.1V312c0 4.422 3.594 8 8 8s8-3.578 8-8V295.5c29.96-1.281 50.96-14.62 55.09-37.49C326.3 218.8 288.4 208.5 258 200.2zM448 0H64C28.75 0 0 28.75 0 63.1v287.1C0 387.2 28.75 415.1 64 415.1h96v83.1C160 507.1 165.9 512 172.2 512c2.369 0 4.785-.7856 6.947-2.364L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM496 351.1c0 26.46-21.53 47.1-48 47.1h-149.3L176 492.1v-92.09H64c-26.47 0-48-21.53-48-47.1V63.99C16 37.53 37.53 15.1 64 15.1h384c26.47 0 48 21.53 48 47.1V351.1z"],
    "message-dots": [512, 512, ["comment-alt-dots", "messaging"], "f4a3", "M127.1 175.1c-17.67 0-32 14.33-32 31.1s14.33 31.1 32 31.1s32-14.33 32-31.1S145.7 175.1 127.1 175.1zM127.1 223.1c-8.824 0-16-7.177-16-15.1s7.176-15.1 16-15.1s16 7.177 16 15.1S136.8 223.1 127.1 223.1zM255.1 175.1c-17.67 0-32 14.33-32 31.1s14.33 31.1 32 31.1s32-14.33 32-31.1S273.7 175.1 255.1 175.1zM255.1 223.1c-8.824 0-16-7.177-16-15.1s7.176-15.1 16-15.1s16 7.177 16 15.1S264.8 223.1 255.1 223.1zM383.1 175.1c-17.67 0-32 14.33-32 31.1s14.33 31.1 32 31.1s32-14.33 32-31.1S401.7 175.1 383.1 175.1zM383.1 223.1c-8.824 0-16-7.177-16-15.1s7.176-15.1 16-15.1s16 7.177 16 15.1S392.8 223.1 383.1 223.1zM447.1 0h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1C159.1 507 165.9 512 172.2 512c2.369 0 4.786-.7456 6.948-2.324l124.9-93.7h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 0 447.1 0zM495.1 351.1c0 26.46-21.53 47.1-48 47.1h-149.3l-122.7 92.08v-92.08H63.1c-26.47 0-48-21.53-48-47.1v-287.1c0-26.46 21.53-47.1 48-47.1h384c26.47 0 48 21.53 48 47.1V351.1z"],
    "message-exclamation": [512, 512, ["comment-alt-exclamation"], "f4a5", "M255.1 255.1c4.406 0 7.968-3.604 7.968-8.01V103.1c0-4.406-3.594-7.999-8-7.999s-8 3.593-8 7.999v143.1C247.9 252.4 251.6 255.1 255.1 255.1zM255.1 287.1c-8.822 0-16 7.179-16 15.1s7.178 15.1 16 15.1s16-7.179 16-15.1S264.8 287.1 255.1 287.1zM447.1 0h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1C159.1 507 165.9 512 172.2 512c2.369 0 4.786-.7458 6.948-2.324l124.9-93.7h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 0 447.1 0zM495.1 351.1c0 26.46-21.53 47.1-48 47.1h-149.3l-122.7 92.08v-92.08H63.1c-26.47 0-48-21.53-48-47.1v-287.1c0-26.46 21.53-47.1 48-47.1h384c26.47 0 48 21.53 48 47.1V351.1z"],
    "message-image": [512, 512, ["comment-alt-image"], "e1e0", "M447.1 .0041h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.98c0 7.072 5.919 12.01 12.18 12.01c2.369 0 4.786-.7294 6.948-2.307l124.9-93.68h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.76 483.2 .0041 447.1 .0041zM495.1 351.1c0 26.46-21.53 47.99-48 47.99h-149.3l-122.7 92.08v-92.08H63.1c-26.47 0-48-21.53-48-47.99V64.01c0-26.46 21.53-47.99 48-47.99h384c26.47 0 48 21.53 48 47.99V351.1zM312.6 137.7c-9.094-12.15-29.47-12.15-38.56 .0313l-71.81 96.92L186.1 216.2c-9.125-10.44-27-10.41-36.13-.0313L93.97 280.2C87.75 287.2 86.25 297.3 90.16 305.9c3.906 8.531 12.48 14.08 21.85 14.08h288c9.125 0 17.3-5.085 21.4-13.21c4.125-8.154 3.312-17.78-2.125-25.09L312.6 137.7zM407.2 299.5c-1.344 2.719-4.125 4.437-7.156 4.437h-288c-3.125 0-5.969-1.844-7.281-4.687C103.4 296.4 103.9 293.1 105.1 290.7l56-64.02c1.5-1.717 3.688-2.717 6-2.717s4.5 .9999 5.1 2.748l29.28 33.4l83.59-112.9c3.094-4.062 9.844-4.093 12.88-.0313l106.7 144C408.2 293.7 408.5 296.8 407.2 299.5zM127.1 167.1c22.06 0 40-17.93 40-39.99c0-22.06-17.94-39.99-40-39.99s-40 17.93-40 39.99C87.1 150.1 105.9 167.1 127.1 167.1zM127.1 104c13.22 0 24 10.77 24 23.1c0 13.23-10.78 23.1-24 23.1s-24-10.77-24-23.1C103.1 114.8 114.8 104 127.1 104z"],
    "message-lines": [512, 512, ["comment-alt-lines"], "f4a6", "M375.1 151.1H135.1c-4.422 0-7.1 3.584-7.1 8.006s3.578 7.993 7.1 7.993h239.1c4.422 0 8-3.571 8-7.993S380.4 151.1 375.1 151.1zM279.1 247.1H135.1c-4.422 0-7.1 3.588-7.1 8.01c0 4.422 3.578 7.989 7.1 7.989h143.1c4.422 0 8-3.568 8-7.989C287.1 251.6 284.4 247.1 279.1 247.1zM447.1 0h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1C159.1 507 165.9 512 172.2 512c2.369 0 4.786-.7458 6.948-2.324l124.9-93.7h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 0 447.1 0zM495.1 351.1c0 26.46-21.53 47.1-48 47.1h-149.3l-122.7 92.08v-92.08H63.1c-26.47 0-48-21.53-48-47.1v-287.1c0-26.46 21.53-47.1 48-47.1h384c26.47 0 48 21.53 48 47.1V351.1z"],
    "message-medical": [512, 512, ["comment-alt-medical"], "f7f4", "M343.1 159.1h-48V111.1c0-8.835-7.164-15.1-16-15.1h-48c-8.836 0-16 7.163-16 15.1v47.1H167.1c-8.836 0-16 7.163-16 15.1v47.1c0 8.835 7.164 15.1 16 15.1h47.1V287.1c0 8.835 7.164 15.1 16 15.1h48c8.836 0 16-7.163 16-15.1V239.1h48c8.836 0 16-7.163 16-15.1V175.1C359.1 167.2 352.8 159.1 343.1 159.1zM343.1 223.1h-64V287.1h-48V223.1H167.1V175.1h63.1V111.1h48v63.99h64V223.1zM447.1 0h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1C159.1 507.1 165.9 512 172.2 512c2.369 0 4.786-.7849 6.948-2.363l124.9-93.65h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 0 447.1 0zM495.1 351.1c0 26.46-21.53 47.1-48 47.1h-149.3l-122.7 92.08v-92.08H63.1c-26.47 0-48-21.53-48-47.1v-287.1c0-26.46 21.53-47.1 48-47.1h384c26.47 0 48 21.53 48 47.1V351.1z"],
    "message-middle": [512, 512, ["comment-middle-alt"], "e1e1", "M448 0H64C28.75 0 0 28.75 0 63.99v287.1c0 35.25 28.75 63.1 64 63.1h111.1l67.22 89.63C246.4 509.9 251.2 512 256 512s9.6-2.133 12.8-6.4l67.22-89.63H448c35.25 0 64-28.75 64-63.1V63.99C512 28.75 483.3 0 448 0zM496 351.1c0 26.46-21.53 47.1-48 47.1h-119.1L256 496l-72.03-96.03H64c-26.47 0-48-21.53-48-47.1V63.99C16 37.53 37.53 16 64 16h384c26.47 0 48 21.53 48 47.99V351.1z"],
    "message-middle-top": [512, 512, ["comment-middle-top-alt"], "e1e2", "M448 96.03h-111.1l-67.22-89.63C265.6 2.133 260.8 .0002 256 .0002S246.4 2.133 243.2 6.4l-67.22 89.63H64c-35.25 0-64 28.75-64 63.1v287.1C0 483.3 28.75 512 64 512h384c35.25 0 64-28.75 64-63.99V160C512 124.8 483.3 96.03 448 96.03zM496 448C496 474.5 474.5 496 448 496H64c-26.47 0-48-21.53-48-47.99V160c0-26.46 21.53-47.1 48-47.1h119.1L255.1 16c.0039 0-.0195 0 0 0l72.04 96.03H448c26.47 0 48 21.53 48 47.1V448z"],
    "message-minus": [512, 512, ["comment-alt-minus"], "f4a7", "M448 0H64C28.75 0 0 28.75 0 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1C160 507 165.9 512 172.2 512c2.367 0 4.781-.7457 6.945-2.324L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM496 351.1c0 26.46-21.53 47.1-48 47.1h-149.3L176 492.1v-92.09H64c-26.47 0-48-21.53-48-47.1V63.99C16 37.53 37.53 15.1 64 15.1h384c26.47 0 48 21.53 48 47.1V351.1zM344 200h-176C163.6 200 160 203.6 160 208c0 4.422 3.578 8 8 8h176C348.4 216 352 212.4 352 208S348.4 200 344 200z"],
    "message-music": [512, 512, ["comment-alt-music"], "f8af", "M340.8 96.64l-128 55.1C209.9 153.9 207.1 156.8 207.1 159.1v104.3C199.5 259.2 188.3 255.1 175.1 255.1c-26.51 0-48 14.33-48 31.1s21.49 31.1 48 31.1s47.1-14.33 47.1-31.1L223.1 165.2l112-48.1V232.3c-8.506-5.109-19.65-8.282-31.1-8.282c-26.51 0-48 14.33-48 31.1s21.49 31.1 48 31.1s48-14.33 48-31.1l-.0004-152c0-2.687-1.359-5.218-3.625-6.687C346.2 95.8 343.2 95.61 340.8 96.64zM175.1 303.1c-19.53 0-32-9.476-32-15.1s12.47-15.1 32-15.1c19.54 0 31.1 9.476 31.1 15.1S195.5 303.1 175.1 303.1zM303.1 271.1c-19.53 0-32-9.476-32-15.1s12.47-15.1 32-15.1c19.54 0 32 9.476 32 15.1S323.5 271.1 303.1 271.1zM447.1 .0072h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1C159.1 507.1 165.9 512 172.2 512c2.369 0 4.786-.7384 6.948-2.316l124.9-93.7h144c35.25 0 64-28.75 64-63.1V64C511.1 28.76 483.2 .0072 447.1 .0072zM495.1 351.1c0 26.46-21.53 47.1-48 47.1h-149.3l-122.7 92.08v-92.08H63.1c-26.47 0-48-21.53-48-47.1v-287.1c0-26.46 21.53-47.1 48-47.1h384c26.47 0 48 21.53 48 47.1V351.1z"],
    "message-pen": [512, 512, ["comment-alt-edit", "message-edit"], "f4a4", "M343.3 109.9c-6.248-6.248-14.44-9.372-22.63-9.372s-16.38 3.123-22.63 9.37l-140.5 140.5L155.7 253.1l-11.52 57.65C143.2 316.4 146.9 319.1 151 319.1c.4453 0 .8891-.0181 1.338-.1079l57.62-11.55l3.581-1.916l140.5-140.5c12.5-12.5 12.5-32.75 .0039-45.25L343.3 109.9zM204.2 293.2L162.5 301.5L170.8 259.8l102.8-102.8l33.38 33.38L204.2 293.2zM342.8 154.6l-24.41 24.4l-33.38-33.38l24.41-24.41c3.021-3.021 7.039-4.683 11.31-4.683s8.293 1.664 11.31 4.685l10.75 10.75c3.021 3.023 4.686 7.04 4.686 11.31C347.5 147.6 345.8 151.6 342.8 154.6zM447.1 0h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1C159.1 507 165.9 512 172.2 512c2.369 0 4.786-.7457 6.948-2.324l124.9-93.7h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.75 483.2 0 447.1 0zM495.1 351.1c0 26.46-21.53 47.1-48 47.1h-149.3l-122.7 92.08v-92.08H63.1c-26.47 0-48-21.53-48-47.1v-287.1c0-26.46 21.53-47.1 48-47.1h384c26.47 0 48 21.53 48 47.1V351.1z"],
    "message-plus": [512, 512, ["comment-alt-plus"], "f4a8", "M448 0H64C28.75 0 0 28.75 0 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1C160 507 165.9 512 172.2 512c2.367 0 4.781-.7457 6.945-2.324L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM496 351.1c0 26.46-21.53 47.1-48 47.1h-149.3L176 492.1v-92.09H64c-26.47 0-48-21.53-48-47.1V63.99C16 37.53 37.53 15.1 64 15.1h384c26.47 0 48 21.53 48 47.1V351.1zM344 200h-80v-80c0-4.42-3.578-8-8-8S248 115.6 248 120v80h-80C163.6 200 160 203.6 160 208c0 4.422 3.578 8 8 8h80v80C248 300.4 251.6 304 256 304s8-3.58 8-8v-80h80C348.4 216 352 212.4 352 208S348.4 200 344 200z"],
    "message-question": [512, 512, [], "e1e3", "M256 296c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16s16-7.164 16-16C272 303.2 264.8 296 256 296zM283.7 95.56H223.1C192.7 95.56 168 120.3 168 150.6c0 4.422 3.594 8 8 8s8-3.578 8-8c0-21.53 17.53-39.05 39.06-39.05h60.59c24.44 0 44.34 19.89 44.34 44.34c0 16.89-9.406 32.09-24.62 39.73l-51.06 26.5C249.7 223.5 248 226.3 248 229.2V256c0 4.422 3.594 8 8 8s8-3.578 8-8V234.1l46.66-24.2C331.2 199.6 344 178.9 344 155.9C344 122.6 316.9 95.56 283.7 95.56zM448 0H64C28.75 0 0 28.75 0 63.1v287.1C0 387.2 28.75 415.1 64 415.1h96v83.1C160 507.1 165.9 512 172.2 512c2.369 0 4.785-.7856 6.947-2.364L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM496 351.1c0 26.46-21.53 47.1-48 47.1h-149.3L176 492.1v-92.09H64c-26.47 0-48-21.53-48-47.1V63.99C16 37.53 37.53 15.1 64 15.1h384c26.47 0 48 21.53 48 47.1V351.1z"],
    "message-quote": [512, 512, ["comment-alt-quote"], "e1e4", "M183.1 112c-30.88 0-56 25.13-56 55.1s25.12 55.1 56 55.1c15.68 0 29.83-6.515 40.01-16.93v24.93c0 30.87-25.12 55.1-55.1 55.1h-8c-4.422 0-8 3.593-8 7.999s3.55 8.001 7.972 8.001l8.028 .0012c39.7 0 71.1-32.31 71.1-71.1L239.1 168C239.1 137.1 214.9 112 183.1 112zM183.1 208c-22.06 0-40-17.94-40-39.1s17.94-39.1 40-39.1s39.1 17.94 39.1 39.1S206.1 208 183.1 208zM327.1 112c-30.88 0-56 25.13-56 55.1s25.12 55.1 56 55.1c15.68 0 29.83-6.515 40.01-16.93v24.93c0 30.87-25.12 55.1-56 55.1h-8c-4.422 0-8 3.593-8 7.999s3.55 8.001 7.972 8.001l8.028 .0012c39.7 0 72-32.31 72-71.1l-.0094-63.1C383.1 137.1 358.9 112 327.1 112zM327.1 208c-22.06 0-40-17.94-40-39.1s17.94-39.1 40-39.1s40 17.94 40 39.1S350.1 208 327.1 208zM447.1 .0041h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.98c0 7.072 5.919 12.01 12.18 12.01c2.369 0 4.786-.7294 6.948-2.307l124.9-93.68h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.76 483.2 .0041 447.1 .0041zM495.1 351.1c0 26.46-21.53 47.99-48 47.99h-149.3l-122.7 92.08v-92.08H63.1c-26.47 0-48-21.53-48-47.99V64.01c0-26.46 21.53-47.99 48-47.99h384c26.47 0 48 21.53 48 47.99V351.1z"],
    "message-slash": [640, 512, ["comment-alt-slash"], "f4a9", "M511.1 16.02c26.47 0 48 21.53 48 47.99v287.1c0 .8691-.2109 1.682-.2559 2.541l14.56 11.58c1.037-4.558 1.693-9.234 1.693-14.1V63.1c0-35.24-28.75-63.1-63.1-63.1H127.1c-4.34 0-8.575 .4714-12.68 1.301l18.51 14.71H511.1zM362.7 399.1l-122.7 92.08v-92.08H127.1c-26.47 0-48-21.53-48-47.99V157.2l-15.1-12.72l.0004 207.5c0 35.25 28.75 63.1 63.1 63.1h95.1v83.99c0 7.072 5.92 12.01 12.18 12.01c2.369 0 4.785-.7295 6.947-2.307l124.9-93.69l37.62-.0242l-20.13-15.1H362.7zM636.1 497.7L12.99 1.751C11.52 .5869 9.771 .0205 8.025 .0205c-2.352 0-4.689 1.029-6.287 3.011c-2.75 3.468-2.172 8.499 1.281 11.25L627 510.2c1.484 1.172 3.234 1.734 4.984 1.734c2.344 0 4.688-1.031 6.266-3.015C641 505.5 640.4 500.5 636.1 497.7z"],
    "message-smile": [512, 512, ["comment-alt-smile"], "f4aa", "M447.1 .0041h-384c-35.25 0-64 28.75-64 63.1v287.1c0 35.24 28.75 63.1 64 63.1h96v83.99c0 7.071 5.919 12.01 12.18 12.01c2.369 0 4.786-.7295 6.948-2.307l124.9-93.69h144c35.25 0 64-28.75 64-63.1V63.1C511.1 28.76 483.2 .0041 447.1 .0041zM495.1 351.1c0 26.46-21.53 47.99-48 47.99h-149.3l-122.7 92.08v-92.08H63.1c-26.47 0-48-21.53-48-47.99v-287.1c0-26.46 21.53-47.99 48-47.99h384c26.47 0 48 21.53 48 47.99V351.1zM320 175.1c8.822 0 15.98-7.185 15.98-16s-7.178-15.1-16-15.1s-16 7.179-16 15.1S311.2 175.1 320 175.1zM345.1 252c-18.34 32.04-52.47 51.96-89.06 51.96S185.3 284.1 166.9 252c-2.203-3.859-7.109-5.155-10.91-2.968C152.2 251.2 150.9 256.1 153.1 259.9c21.17 37.03 60.64 60.05 102.1 60.05s81.75-23.02 102.9-60.05c2.203-3.828 .875-8.717-2.969-10.9S347.2 248.2 345.1 252zM192 175.1c8.822 0 15.97-7.185 15.97-16S200.8 143.1 191.1 143.1c-8.822 0-16 7.179-16 15.1S183.2 175.1 192 175.1z"],
    "message-sms": [512, 512, [], "e1e5", "M448-.0004H64c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.98c0 7.072 5.92 12.02 12.18 12.02c2.369 0 4.785-.7441 6.947-2.322L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3-.0004 448-.0004zM496 351.1c0 26.46-21.53 47.1-48 47.1h-149.3L176 492.1v-92.09H64c-26.47 0-48-21.53-48-47.1V63.99c0-26.46 21.53-47.1 48-47.1h384c26.47 0 48 21.53 48 47.1V351.1zM138.2 200.3L133.1 199.1C115.6 193.7 110.7 189.4 112.3 180.2c1.875-10.94 16.62-13.56 30.66-11.47c3.781 .5938 8.375 1.844 14.44 3.938c4.219 1.5 8.75-.75 10.19-4.938S166.8 158.1 162.6 157.5c-7.031-2.406-12.5-3.875-17.22-4.625C119.4 148.9 99.75 158.7 96.53 177.5c-4.469 26 19.88 33.13 32.97 36.97l4.312 1.219c21.34 6.125 27.72 9.688 25.91 20.12c-1.906 10.97-16.78 13.59-30.66 11.5c-6-.9062-13.12-3.5-19.44-5.75L106.7 240.5c-4.312-1.5-8.781 .6875-10.22 4.844c-1.5 4.156 .6875 8.75 4.844 10.22l2.906 1.031c6.969 2.531 14.88 5.375 22.38 6.531C130.5 263.7 134.3 264 137.8 264c20.28 0 34.88-9.531 37.63-25.47C180 212.3 155.8 205.3 138.2 200.3zM306.5 152.4c-3.281-1.094-6.875 .0625-8.938 2.781L256 210.7L214.4 155.2C212.3 152.5 208.8 151.3 205.5 152.4C202.2 153.5 200 156.6 200 160v96c0 4.406 3.594 8 8 8S216 260.4 216 256V184l33.59 44.81c3.062 4 9.75 4 12.81 0L296 184V256c0 4.406 3.594 8 8 8S312 260.4 312 256V160C312 156.6 309.8 153.5 306.5 152.4zM378.2 200.3l-4.188-1.219c-18.44-5.375-23.31-9.625-21.72-18.88c1.906-10.94 16.69-13.56 30.66-11.47c3.781 .5938 8.375 1.844 14.44 3.938c4.188 1.5 8.75-.75 10.19-4.938s-.7813-8.75-4.938-10.19c-7.031-2.406-12.5-3.875-17.22-4.625c-26-3.969-45.66 5.812-48.88 24.56c-4.469 26 19.88 33.13 32.97 36.97l4.312 1.219c21.34 6.125 27.72 9.688 25.91 20.12c-1.906 10.97-16.78 13.59-30.66 11.5c-6-.9062-13.12-3.5-19.44-5.75l-2.938-1.062c-4.281-1.5-8.75 .6875-10.22 4.844c-1.5 4.156 .6875 8.75 4.844 10.22l2.906 1.031c6.969 2.531 14.88 5.375 22.38 6.531C370.5 263.7 374.3 264 377.8 264c20.28 0 34.88-9.531 37.63-25.47C420 212.3 395.8 205.3 378.2 200.3z"],
    "message-text": [512, 512, ["comment-alt-text"], "e1e6", "M448-.0004H64c-35.25 0-64 28.75-64 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.98c0 7.072 5.92 12.02 12.18 12.02c2.369 0 4.785-.7441 6.947-2.322L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3-.0004 448-.0004zM496 351.1c0 26.46-21.53 47.1-48 47.1h-149.3L176 492.1v-92.09H64c-26.47 0-48-21.53-48-47.1V63.99c0-26.46 21.53-47.1 48-47.1h384c26.47 0 48 21.53 48 47.1V351.1zM344 143.1h-176c-4.406 0-8 3.594-8 8s3.594 8.002 8 8.002l80-.0016v136c0 4.406 3.594 8 8 8s8-3.594 8-8v-136l80 .0016c4.406 0 8-3.595 8-8.002S348.4 143.1 344 143.1z"],
    "message-xmark": [512, 512, ["comment-alt-times", "message-times"], "f4ab", "M448 0H64C28.75 0 0 28.75 0 63.1v287.1c0 35.25 28.75 63.1 64 63.1h96v83.1C160 507 165.9 512 172.2 512c2.367 0 4.781-.7457 6.945-2.324L304 415.1H448c35.25 0 64-28.75 64-63.1V63.1C512 28.75 483.3 0 448 0zM496 351.1c0 26.46-21.53 47.1-48 47.1h-149.3L176 492.1v-92.09H64c-26.47 0-48-21.53-48-47.1V63.99C16 37.53 37.53 15.1 64 15.1h384c26.47 0 48 21.53 48 47.1V351.1zM333.7 130.3c-3.125-3.125-8.188-3.125-11.31 0L256 196.7L189.7 130.3c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31L244.7 207.1L178.3 274.3c-3.125 3.125-3.125 8.188 0 11.31c3.125 3.127 8.188 3.127 11.31 0L256 219.3l66.34 66.34c3.125 3.127 8.188 3.127 11.31 0c3.125-3.125 3.125-8.188 0-11.31L267.3 207.1l66.34-66.34C336.8 138.5 336.8 133.5 333.7 130.3z"],
    "messages": [640, 512, ["comments-alt"], "f4b6", "M352 319.9c35.15 0 64-28.75 64-63.92V63.1C416 28.75 387.3 0 352 0H64C28.75 0 0 28.75 0 63.1v192C0 291.2 28.75 320 64 320l32 .0106v54.25C96 380 100.8 384.1 105.8 384.1c1.941 0 3.926-.5977 5.699-1.918l82.75-62.12L352 319.9zM194.2 304L188.9 304L112 361.8V304L64 304c-26.47 0-48-21.53-48-47.1V63.99C16 37.53 37.53 16 64 16h288c26.47 0 48 21.53 48 47.99v192c0 26.4-21.43 47.87-48.01 47.87L194.2 304zM576 128H472c-4.418 0-8 3.582-8 8s3.582 8 8 8H576c26.51 0 48 21.49 48 48v191.1c0 26.51-21.49 47.1-47.99 47.1H528v57.74l-76.91-57.74H320c-26.51 0-48-21.49-48-48v-7.971c0-4.418-3.582-8-8-8s-8 3.582-8 8v7.983c0 35.2 28.8 63.1 63.1 63.1l125.8-.0073l82.75 62.12C530.3 511.4 532.3 512 534.2 512C539.2 512 544 507.1 544 502.2v-54.24h32c35.2 0 64-28.8 64-63.1V191.1C640 156.8 611.2 128 576 128z"],
    "messages-dollar": [640, 512, ["comments-alt-dollar"], "f652", "M210.2 152.3l-6.277-1.812C177.4 142.7 165.4 135.8 168.5 117.6c3.545-20.41 29.41-23.83 50.47-20.48C224.1 98.06 232.1 100 241.3 103.2c4.217 1.469 8.729-.7656 10.18-4.938c1.436-4.188-.7656-8.734-4.936-10.19C236.4 84.56 228.4 82.41 221.5 81.31C219.6 81.02 217.9 80.99 216 80.8V64c0-4.422-3.601-8-8.019-8c-4.42 0-7.972 3.578-7.972 8v16.37c-25.56 1.568-43.75 14.08-47.3 34.5C146.6 150.3 179.6 160 199.4 165.8l6.402 1.859C236.7 176.5 250.9 182.8 247.5 202.4C243.9 222.8 218 226.2 196.1 222.9C187.7 221.5 176.1 217.6 167.5 214.2L162.7 212.5C158.6 211 153.1 213.2 152.5 217.3C151 221.5 153.2 226.1 157.3 227.5l4.717 1.688c10.17 3.672 21.69 7.828 32.47 9.453c1.916 .2988 3.648 .248 5.512 .4414V256c0 4.422 3.552 8 7.972 8c4.418 0 8.019-3.578 8.019-8V239.3C241.4 237.7 259.7 225.5 263.2 205.1C269.4 169.2 236.6 159.8 210.2 152.3zM576 128H472c-4.418 0-8 3.582-8 8s3.582 8 8 8H576c26.51 0 48 21.49 48 48v191.1c0 26.51-21.49 47.1-47.99 47.1H528v57.74l-76.91-57.74H320c-26.51 0-48-21.49-48-48v-7.971c0-4.418-3.582-8-8-8s-8 3.582-8 8v7.983c0 35.2 28.8 63.1 63.1 63.1l125.8-.0073l82.75 62.12C530.3 511.4 532.3 512 534.2 512C539.2 512 544 507.1 544 502.2v-54.24h32c35.2 0 64-28.8 64-63.1V191.1C640 156.8 611.2 128 576 128zM352 319.9c35.15 0 64-28.75 64-63.92V63.1C416 28.75 387.3 0 352 0H64C28.75 0 0 28.75 0 63.1v192C0 291.2 28.75 320 64 320l32 .0106v54.25C96 380 100.8 384.1 105.8 384.1c1.941 0 3.926-.5977 5.699-1.918l82.75-62.12L352 319.9zM194.2 304L188.9 304L112 361.8V304L64 304c-26.47 0-48-21.53-48-47.1V63.99C16 37.53 37.53 16 64 16h288c26.47 0 48 21.53 48 47.99v192c0 26.4-21.43 47.87-48.01 47.87L194.2 304z"],
    "messages-question": [640, 512, [], "e1e7", "M208 233.2c-6.299 0-11.41 5.105-11.41 11.41C196.6 250.9 201.7 256 208 256s11.41-5.107 11.41-11.41C219.4 238.3 214.3 233.2 208 233.2zM228.7 72H183.3C159.4 72 140 91.38 140 115.2c0 4.422 3.578 8 8 8s8-3.578 8-8C156 100.2 168.3 88 183.3 88h45.44C245.1 88 260 101.1 260 119.2c0 11.88-6.625 22.55-17.38 27.91L204.3 166.9C201.7 168.3 200 171 200 174V200c0 4.422 3.578 8 8 8s8-3.578 8-8V178.9l33.86-17.53C265.1 153.3 276 137.1 276 119.2C276 93.16 254.8 72 228.7 72zM576 128H472c-4.418 0-8 3.582-8 8s3.582 8 8 8H576c26.51 0 48 21.49 48 48v191.1c0 26.51-21.49 47.1-47.99 47.1H528v57.74l-76.91-57.74H320c-26.51 0-48-21.49-48-48v-7.971c0-4.418-3.582-8-8-8s-8 3.582-8 8v7.983c0 35.2 28.8 63.1 63.1 63.1l125.8-.0073l82.75 62.12C530.3 511.4 532.3 512 534.2 512C539.2 512 544 507.1 544 502.2v-54.24h32c35.2 0 64-28.8 64-63.1V191.1C640 156.8 611.2 128 576 128zM352 319.9c35.15 0 64-28.75 64-63.92V63.1C416 28.75 387.3 0 352 0H64C28.75 0 0 28.75 0 63.1v192C0 291.2 28.75 320 64 320l32 .0106v54.25C96 380 100.8 384.1 105.8 384.1c1.941 0 3.926-.5977 5.699-1.918l82.75-62.12L352 319.9zM194.2 304L188.9 304L112 361.8V304L64 304c-26.47 0-48-21.53-48-47.1V63.99C16 37.53 37.53 16 64 16h288c26.47 0 48 21.53 48 47.99v192c0 26.4-21.43 47.87-48.01 47.87L194.2 304z"],
    "meteor": [512, 512, [9732], "f753", "M507.2 4.718C504.2 1.636 500.1 0 495.9 0c-1.592 0-3.203 .2377-4.785 .7181c-38.75 11.5-111.8 34.25-187.6 61.25c-2.125-7-4-13.5-5.625-18.63c-1.375-4.504-4.75-8.252-9.25-10.13c-1.957-.8398-4.037-1.25-6.119-1.25c-2.576 0-5.157 .6332-7.506 1.875C232.5 55.97 122.1 116.5 60.6 176.4c-1.125 1-2.5 2-3.5 3c-76.13 76.13-76.13 199.5 0 275.7C95.15 492.1 144.1 512 194.8 512c49.88 0 99.75-19.04 137.8-57.12c1.002-1 2.001-2.375 3.001-3.5c59.88-61.63 120.4-172.1 142.5-214.4c2.25-4.25 2.5-9.252 .625-13.75c-1.75-4.375-5.5-7.752-10.13-9.127c-5.25-1.625-11.63-3.5-18.63-5.625c27-76.01 49.75-149 61.38-187.8C512.1 15.09 511.5 8.843 507.2 4.718zM434.9 203.1l-5.611 15.8l34.64 10.64c-79.33 151.5-134 203.7-142.7 214C287.5 477.4 242.6 496 194.8 496c-47.75 0-92.65-18.58-126.4-52.3c-69.75-69.76-69.75-183.3 .875-253.7c3.563-3.067 63.86-65.14 213.3-141.8c.9668 3.051 10.44 34.48 10.44 34.48l15.8-5.621c87.07-30.99 165.1-54.53 186.1-61.04c.0664-.0195-.0137 0 0 0C487.2 44.87 464.1 120.1 434.9 203.1zM191.1 191.1c-70.75 0-128 57.38-128 128c0 70.76 57.25 128 128 128c70.63 0 128-57.25 128-128C319.1 249.4 262.6 191.1 191.1 191.1zM191.1 432c-61.76 0-112-50.25-112-112s50.25-112 112-112c61.76 0 112 50.25 112 112S253.7 432 191.1 432zM182.6 265.4c-6-6-14.13-9.375-22.63-9.375c-17.75 0-32 14.37-32 32c0 17.62 14.25 32 32 32c17.62 0 32-14.38 32-32C191.1 279.5 188.6 271.4 182.6 265.4zM159.1 303.1c-8.824 0-16-7.176-16-16s7.178-16 16-16c4.271 0 8.289 1.664 11.31 4.688S175.1 283.7 175.1 287.1C175.1 296.8 168.8 303.1 159.1 303.1zM207.1 351.1c-8.877 0-15.98 7.127-15.98 16s7.125 16 16 16c8.75 0 15.97-7.13 15.97-16S216.7 351.1 207.1 351.1z"],
    "meter": [512, 512, [], "e1e8", "M128 160C128 142.3 142.3 128 160 128C177.7 128 192 142.3 192 160V192C192 209.7 177.7 224 160 224C142.3 224 128 209.7 128 192V160zM160 144C151.2 144 144 151.2 144 160V192C144 200.8 151.2 208 160 208C168.8 208 176 200.8 176 192V160C176 151.2 168.8 144 160 144zM288 160V192C288 209.7 273.7 224 256 224C238.3 224 224 209.7 224 192V160C224 142.3 238.3 128 256 128C273.7 128 288 142.3 288 160zM272 192V160C272 151.2 264.8 144 256 144C247.2 144 240 151.2 240 160V192C240 200.8 247.2 208 256 208C264.8 208 272 200.8 272 192zM320 160C320 142.3 334.3 128 352 128C369.7 128 384 142.3 384 160V192C384 209.7 369.7 224 352 224C334.3 224 320 209.7 320 192V160zM352 144C343.2 144 336 151.2 336 160V192C336 200.8 343.2 208 352 208C360.8 208 368 200.8 368 192V160C368 151.2 360.8 144 352 144zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "meter-bolt": [640, 512, [], "e1e9", "M256 496C327.1 496 390.9 465.1 434.9 416H450.3L442.8 431C396.1 480.9 329.7 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C392.1 0 504.8 107.5 511.7 242.8L496 255.3C495.6 123.1 388.3 16 256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496H256zM128 160C128 142.3 142.3 128 160 128C177.7 128 192 142.3 192 160V192C192 209.7 177.7 224 160 224C142.3 224 128 209.7 128 192V160zM160 144C151.2 144 144 151.2 144 160V192C144 200.8 151.2 208 160 208C168.8 208 176 200.8 176 192V160C176 151.2 168.8 144 160 144zM288 160V192C288 209.7 273.7 224 256 224C238.3 224 224 209.7 224 192V160C224 142.3 238.3 128 256 128C273.7 128 288 142.3 288 160zM272 192V160C272 151.2 264.8 144 256 144C247.2 144 240 151.2 240 160V192C240 200.8 247.2 208 256 208C264.8 208 272 200.8 272 192zM320 160C320 142.3 334.3 128 352 128C369.7 128 384 142.3 384 160V192C384 209.7 369.7 224 352 224C334.3 224 320 209.7 320 192V160zM352 144C343.2 144 336 151.2 336 160V192C336 200.8 343.2 208 352 208C360.8 208 368 200.8 368 192V160C368 151.2 360.8 144 352 144zM606.3 247.2L553.9 352H624C630.8 352 636.9 356.3 639.1 362.7C641.3 369.1 639.3 376.2 633.1 380.5L473.1 508.5C468.1 513.2 459.8 513.2 453.9 508.4C448.1 503.7 446.3 495.6 449.7 488.8L502.1 384H432C425.2 384 419.2 379.7 416.9 373.3C414.7 366.9 416.7 359.8 422 355.5L582 227.5C587.9 222.8 596.2 222.8 602.1 227.6C607.9 232.3 609.7 240.4 606.3 247.2zM592 240L432 368H502.1C507.7 368 512.8 370.9 515.7 375.6C518.6 380.3 518.9 386.2 516.4 391.2L464 496L624 368H553.9C548.3 368 543.2 365.1 540.3 360.4C537.4 355.7 537.1 349.8 539.6 344.8L592 240z"],
    "meter-droplet": [640, 512, [], "e1ea", "M256 496C307.3 496 354.9 479.9 393.9 452.5C395.8 457.6 398.1 462.5 400.6 467.3C359.5 495.5 309.7 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C366.8 0 461.2 70.43 496.8 168.1C491.1 172 487.6 175.8 483.8 180.1C452 84.76 362 16 255.1 16C123.5 16 15.1 123.5 15.1 256C15.1 388.5 123.5 496 255.1 496H256zM128 160C128 142.3 142.3 128 160 128C177.7 128 192 142.3 192 160V192C192 209.7 177.7 224 160 224C142.3 224 128 209.7 128 192V160zM160 144C151.2 144 144 151.2 144 160V192C144 200.8 151.2 208 160 208C168.8 208 176 200.8 176 192V160C176 151.2 168.8 144 160 144zM288 160V192C288 209.7 273.7 224 256 224C238.3 224 224 209.7 224 192V160C224 142.3 238.3 128 256 128C273.7 128 288 142.3 288 160zM272 192V160C272 151.2 264.8 144 256 144C247.2 144 240 151.2 240 160V192C240 200.8 247.2 208 256 208C264.8 208 272 200.8 272 192zM320 160C320 142.3 334.3 128 352 128C369.7 128 384 142.3 384 160V192C384 209.7 369.7 224 352 224C334.3 224 320 209.7 320 192V160zM352 144C343.2 144 336 151.2 336 160V192C336 200.8 343.2 208 352 208C360.8 208 368 200.8 368 192V160C368 151.2 360.8 144 352 144zM416 400C416 381.6 420.5 363.5 429.2 347.3L504.5 206.1C509.1 197.4 518.2 191.1 528 191.1C537.8 191.1 546.9 197.4 551.5 206.1L626.8 347.3C635.5 363.5 640 381.6 640 400C640 461.9 589.9 512 528 512C466.1 512 416 461.9 416 400H416zM432 400C432 453 474.1 496 528 496C581 496 624 453 624 400C624 384.2 620.1 368.7 612.7 354.8L537.4 213.6C535.6 210.2 531.9 208 528 208C524.1 208 520.4 210.2 518.6 213.6L443.3 354.8C435.9 368.7 432 384.2 432 400z"],
    "meter-fire": [640, 512, [], "e1eb", "M16 255.1C16 388.5 123.5 496 256 496C285.1 496 312.1 490.8 338.8 481.3C342.7 485.7 346.8 489.8 351.1 493.7C321.7 505.5 289.6 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C361.7 0 452.5 64.07 491.5 155.5C486.1 150.2 480.6 145.1 474.1 139.1C470.8 136.2 466.1 133.4 461.1 131.4C419 62.2 342.9 16 256 16C123.5 16 16 123.5 16 256V255.1zM384 159.1V167.4C378.5 173.1 373.1 179 368 184.9V159.1C368 151.2 360.8 143.1 352 143.1C343.2 143.1 336 151.2 336 159.1V191.1C336 199.9 341.8 206.5 349.3 207.8C345.9 212.3 342.5 216.8 339.3 221.4C327.9 216.5 320 205.2 320 191.1V159.1C320 142.3 334.3 127.1 352 127.1C369.7 127.1 384 142.3 384 159.1zM128 159.1C128 142.3 142.3 127.1 160 127.1C177.7 127.1 192 142.3 192 159.1V191.1C192 209.7 177.7 223.1 160 223.1C142.3 223.1 128 209.7 128 191.1V159.1zM160 143.1C151.2 143.1 144 151.2 144 159.1V191.1C144 200.8 151.2 207.1 160 207.1C168.8 207.1 176 200.8 176 191.1V159.1C176 151.2 168.8 143.1 160 143.1zM288 159.1V191.1C288 209.7 273.7 223.1 256 223.1C238.3 223.1 224 209.7 224 191.1V159.1C224 142.3 238.3 127.1 256 127.1C273.7 127.1 288 142.3 288 159.1zM272 191.1V159.1C272 151.2 264.8 143.1 256 143.1C247.2 143.1 240 151.2 240 159.1V191.1C240 200.8 247.2 207.1 256 207.1C264.8 207.1 272 200.8 272 191.1zM441.7 255.1C444.1 256 446.4 257.1 447.9 259C450.1 261.8 467.3 283.6 483.8 304.7L510.3 338.5L543.7 299.6C545.3 297.8 547.6 296.7 550 296.8C552.5 296.9 554.7 298.1 556.2 300C559.9 305 562.4 309.1 564.6 314.3L564.6 314.4C586.1 353.9 576.8 404.8 540 430.5L539.9 430.6C522 442.5 502.9 448.5 481.4 448.5C454.8 448.5 430.5 439.1 412.7 423.7C394.8 407.3 384 383.6 384 354.5C384 339.4 388.8 325.6 397.5 310.6C406.1 295.8 418.9 279.3 435.4 258.1C436.1 257.1 439.3 255.1 441.7 255.1V255.1zM503.8 356.1L471.2 314.6C459.1 300.2 448.5 285.6 441.6 276.8C428.2 293.5 418.2 306.8 411.3 318.6C403.5 332.1 400 343.1 400 354.5C400 379.4 409.1 398.7 423.5 411.9C437.9 425.1 458.2 432.5 481.4 432.5C499.6 432.5 515.7 427.5 530.9 417.4C560.3 396.8 568.6 355.1 550.5 321.9L550.3 321.6C549.8 320.5 549.2 319.4 548.7 318.4L516.1 356.4C514.6 358.2 512.3 359.2 509.9 359.2C507.5 359.1 505.2 357.1 503.8 356.1L503.8 356.1zM498.4 209.1C502 213.2 505.6 217.3 509 221.5C512.3 217.4 515.8 213.1 519.4 208.9C524.4 202.1 529.9 197.1 535.5 191.1C541.1 186.9 549.9 186.9 555.5 192C580.2 214.7 601.1 244.7 615.8 273.2C630.4 301.2 640 329.9 640 350.1C640 437.9 568.7 512 480 512C390.3 512 320 437.8 320 350.1C320 323.7 332.7 291.5 352.4 259.5C372.4 227.2 400.5 193.4 433.8 163.7C439.4 158.7 447.1 158.8 453.5 163.8C469.3 177.1 484.3 193.1 498.4 209.1V209.1zM509.2 237.5C504.4 237.5 499.8 235.4 496.7 231.7C480.2 211.8 462.5 193.4 443.6 176.4C411.8 204.9 384.1 237.2 366 267.9C346.9 298.1 336 328.1 336 350.1C336 429.4 399.5 496 480 496C559.6 496 624 429.4 624 350.1C624 333.8 615.8 307.9 601.6 280.5C587.7 253.6 568.1 225.6 545.5 204.6C537.1 212.3 529.1 221.9 521.6 231.4C518.6 235.2 514 237.4 509.2 237.5H509.2zM503.8 356.1L510.1 351.2z"],
    "microchip": [512, 512, [], "f2db", "M504 264C508.4 264 512 260.4 512 256s-3.578-8-8-8H448v-80h56C508.4 168 512 164.4 512 160s-3.578-8-8-8H448c-.3027 0-.4824 .2891-.7754 .3203c-3.77-46.79-40.76-83.77-87.54-87.55C359.7 64.48 360 64.3 360 64V8C360 3.578 356.4 0 352 0s-8 3.578-8 8V64h-80V8C264 3.578 260.4 0 256 0S248 3.578 248 8V64h-80V8C168 3.578 164.4 0 160 0S152 3.578 152 8V64c0 .3047 .2871 .4844 .3203 .7734C105.5 68.55 68.54 105.5 64.78 152.3C64.48 152.3 64.3 152 64 152H8C3.578 152 0 155.6 0 160s3.578 8 8 8H64v80H8C3.578 248 0 251.6 0 256s3.578 8 8 8H64v80H8C3.578 344 0 347.6 0 352s3.578 8 8 8H64c.3027 0 .4824-.2891 .7754-.3203c3.77 46.79 40.76 83.77 87.54 87.55C152.3 447.5 152 447.7 152 448v56C152 508.4 155.6 512 160 512s8-3.578 8-8V448h80v56C248 508.4 251.6 512 256 512s8-3.578 8-8V448h80v56c0 4.422 3.578 8 8 8s8-3.578 8-8V448c0-.3047-.2871-.4844-.3203-.7734c46.79-3.773 83.78-40.76 87.54-87.55C447.5 359.7 447.7 360 448 360h56c4.422 0 8-3.578 8-8s-3.578-8-8-8H448v-80H504zM432 352c0 44.11-35.89 80-80 80H160c-44.11 0-80-35.89-80-80V160c0-44.11 35.89-80 80-80h192c44.11 0 80 35.89 80 80V352zM336 128h-160C149.5 128 128 149.5 128 176v160C128 362.5 149.5 384 176 384h160c26.51 0 48-21.49 48-48v-160C384 149.5 362.5 128 336 128zM368 336c0 17.64-14.36 32-32 32h-160c-17.64 0-32-14.36-32-32v-160c0-17.64 14.36-32 32-32h160c17.64 0 32 14.36 32 32V336z"],
    "microchip-ai": [512, 512, [], "e1ec", "M215.3 180.8c-2.531-5.844-12.12-5.844-14.66 0l-63 144c-1.766 4.047 .0781 8.766 4.125 10.53c4.062 1.781 8.75-.0625 10.53-4.125L164.2 304h87.54l11.9 27.2C264.1 334.2 267.9 336 271 336c1.078 0 2.156-.2187 3.203-.6719c4.047-1.766 5.891-6.484 4.125-10.53L215.3 180.8zM171.2 288L208 203.1L244.8 288H171.2zM336 176c-4.422 0-8 3.578-8 8v144c0 4.422 3.578 8 8 8s8-3.578 8-8v-144C344 179.6 340.4 176 336 176zM504 264C508.4 264 512 260.4 512 256s-3.578-8-8-8H448v-80h56C508.4 168 512 164.4 512 160s-3.578-8-8-8H448c-.3027 0-.4824 .2891-.7754 .3203c-3.77-46.79-40.76-83.77-87.54-87.55C359.7 64.48 360 64.3 360 64V8C360 3.578 356.4 0 352 0s-8 3.578-8 8V64h-80V8C264 3.578 260.4 0 256 0S248 3.578 248 8V64h-80V8C168 3.578 164.4 0 160 0S152 3.578 152 8V64c0 .3047 .2871 .4844 .3203 .7734C105.5 68.55 68.54 105.5 64.78 152.3C64.48 152.3 64.3 152 64 152H8C3.578 152 0 155.6 0 160s3.578 8 8 8H64v80H8C3.578 248 0 251.6 0 256s3.578 8 8 8H64v80H8C3.578 344 0 347.6 0 352s3.578 8 8 8H64c.3027 0 .4824-.2891 .7754-.3203c3.77 46.79 40.76 83.77 87.54 87.55C152.3 447.5 152 447.7 152 448v56C152 508.4 155.6 512 160 512s8-3.578 8-8V448h80v56C248 508.4 251.6 512 256 512s8-3.578 8-8V448h80v56c0 4.422 3.578 8 8 8s8-3.578 8-8V448c0-.3047-.2871-.4844-.3203-.7734c46.79-3.773 83.78-40.76 87.54-87.55C447.5 359.7 447.7 360 448 360h56c4.422 0 8-3.578 8-8s-3.578-8-8-8H448v-80H504zM432 352c0 44.11-35.89 80-80 80H160c-44.11 0-80-35.89-80-80V160c0-44.11 35.89-80 80-80h192c44.11 0 80 35.89 80 80V352z"],
    "microphone": [384, 512, [], "f130", "M192 352c53.03 0 96-42.97 96-96v-160c0-53.03-42.97-96-96-96s-96 42.97-96 96v160C96 309 138.1 352 192 352zM112 96c0-44.11 35.89-80 80-80s80 35.89 80 80v160c0 44.11-35.89 80-80 80S112 300.1 112 256V96zM352 256V200C352 195.6 348.4 192 344 192S336 195.6 336 200V256c0 79.41-64.59 144-144 144S48 335.4 48 256V200C48 195.6 44.41 192 40 192S32 195.6 32 200V256c0 85.48 67.56 154.9 152 159.2V496h-112C67.59 496 64 499.6 64 504S67.59 512 72 512h240c4.406 0 8-3.594 8-8s-3.594-8-8-8h-112v-80.81C284.4 410.9 352 341.5 352 256z"],
    "microphone-lines": [384, 512, [127897, "microphone-alt"], "f3c9", "M352 256V200C352 195.6 348.4 192 344 192S336 195.6 336 200V256c0 79.41-64.59 144-144 144S48 335.4 48 256V200C48 195.6 44.41 192 40 192S32 195.6 32 200V256c0 85.48 67.56 154.9 152 159.2V496h-112C67.59 496 64 499.6 64 504S67.59 512 72 512h240c4.406 0 8-3.594 8-8s-3.594-8-8-8h-112v-80.81C284.4 410.9 352 341.5 352 256zM192 352c53.03 0 96-42.97 96-96V96c0-53.03-42.97-96-96-96s-96 42.97-96 96v160C96 309 138.1 352 192 352zM112 96c0-44.11 35.89-80 80-80s80 35.89 80 80v16h-72C195.6 112 192 115.6 192 120S195.6 128 200 128h72v48h-72C195.6 176 192 179.6 192 184S195.6 192 200 192h72v48h-72C195.6 240 192 243.6 192 248S195.6 256 200 256h72c0 44.11-35.89 80-80 80S112 300.1 112 256V96z"],
    "microphone-lines-slash": [640, 512, ["microphone-alt-slash"], "f539", "M479.1 256L480 200c0-4.406-3.594-7.999-8-7.999S464 195.6 464 200V256c0 7.125-1.1 13.95-2.104 20.8l14.66 11.65C478.7 277.1 479.1 267.1 479.1 256zM240 96c0-44.11 35.89-80 80-80s80 35.89 80 80v16h-72C323.6 112 320 115.6 320 120S323.6 128 328 128h72v48h-64.92L355.2 192H400v35.6L416 240.3l-.0005-144.3C415.1 42.97 373 0 319.1 0C269.6 0 228.8 38.95 224.8 88.32L240 100.4V96zM324.5 351.5L302.2 333.9c-23.7-5.422-43.22-21.41-53.74-42.72L225.7 273C233.8 317.9 272.8 352 320 352C321.5 352 322.1 351.6 324.5 351.5zM440 496h-112v-80.81c20.79-1.051 40.52-6.129 58.5-14.35l-13.97-11.1C356.2 396.2 338.6 400 320 400c-79.41 0-144-64.59-144-144V233.5L160 220.8V256c0 85.48 67.56 154.9 152 159.2V496h-112C195.6 496 192 499.6 192 504S195.6 512 200 512h240c4.406 0 8-3.594 8-8S444.4 496 440 496zM636.1 497.7L12.99 1.73C11.53 .5664 9.771 0 8.025 0C5.674 0 3.336 1.031 1.738 3.012c-2.75 3.469-2.172 8.5 1.281 11.25l623.1 496C628.5 511.4 630.2 512 631.1 512c2.344 0 4.688-1.031 6.266-3.016C641 505.5 640.4 500.5 636.1 497.7z"],
    "microphone-slash": [640, 512, [], "f131", "M240 96c0-44.11 35.89-80 80-80s80 35.89 80 80v131.6L416 240.3L415.1 96c0-53.03-42.97-96-95.1-96C269.6 0 228.7 38.95 224.8 88.32L240 100.4V96zM440 496h-112v-80.81c20.79-1.051 40.52-6.129 58.5-14.35l-13.96-11.1C356.2 396.2 338.6 400 320 400c-79.41 0-144-64.59-144-144V233.5L160 220.8V256c0 85.48 67.56 154.9 152 159.2V496h-112C195.6 496 192 499.6 192 504S195.6 512 200 512h240c4.406 0 8-3.594 8-8S444.4 496 440 496zM479.1 256L480 200c0-4.406-3.594-7.999-8-7.999S464 195.6 464 200V256c0 7.125-1.1 13.96-2.104 20.8l14.66 11.65C478.7 277.1 479.1 267.1 479.1 256zM324.5 351.5L302.2 333.9C278.5 328.4 259 312.4 248.5 291.1L225.7 273C233.8 317.9 272.8 352 320 352C321.5 352 322.1 351.6 324.5 351.5zM636.1 497.7L12.99 1.73C11.53 .5664 9.771 0 8.025 0C5.674 0 3.336 1.031 1.738 3.012c-2.75 3.469-2.172 8.5 1.281 11.25l623.1 496C628.5 511.4 630.2 512 631.1 512c2.344 0 4.688-1.031 6.266-3.016C641 505.5 640.4 500.5 636.1 497.7z"],
    "microphone-stand": [512, 512, [127908], "f8cb", "M479.2 32.8C457.3 10.93 428.7 0 399.1 0c-28.66 0-57.32 10.93-79.2 32.8l-43.31 43.31c-18.7 18.7-28.9 42.41-31.62 66.79l-233.3 263c-17.53 19.89-16.61 50.13 2.094 68.84l22.41 22.52C46.83 507.1 59.72 512 72.66 512c11.91 0 23.84-4.172 33.41-12.61L248 373.5V504c0 4.422 3.581 7.998 8.003 7.998S264 508.4 264 504v-144c0-.1992-.1973-.3125-.2109-.5078l105.3-93.37c24.4-2.703 48.12-12.91 66.83-31.62l43.31-43.31C522.9 147.5 522.9 76.55 479.2 32.8zM95.48 487.4C89.19 492.9 81.08 496 72.66 496c-9.207 0-17.83-3.551-24.25-9.973l-22.43-22.54c-12.75-12.76-13.37-33.39-1.441-46.92l229.4-258.6l100.1 100.1L95.48 487.4zM467.9 179.9l-43.31 43.31c-14.91 14.91-34.27 24.09-55.97 26.77l-106.6-106.6c2.691-21.71 11.87-41.06 26.78-55.97l43.31-43.31C350.3 25.98 374.4 16 399.1 16c25.64 0 49.75 9.984 67.88 28.12C505.3 81.55 505.3 142.5 467.9 179.9zM310.5 65.78l135.8 135.8l11.31-11.31l-135.8-135.8L310.5 65.78z"],
    "microscope": [512, 512, [128300], "f610", "M160 320h96c17.62 0 32-14.38 32-32V64c0-17.62-14.38-32-32-32V16C256 7.125 248.9 0 240 0h-64C167.1 0 160 7.125 160 16V32C142.4 32 128 46.38 128 64v224C128 305.6 142.4 320 160 320zM144 64c0-8.824 7.178-16 16-16c8.836 0 16-7.164 16-16V16h64V32c0 8.836 7.164 16 16 16c8.822 0 16 7.176 16 16v224c0 8.824-7.178 16-16 16H160C151.2 304 144 296.8 144 288V64zM104 416h208c4.375 0 8-3.625 8-8s-3.625-8-8-8h-208C99.63 400 96 403.6 96 408S99.63 416 104 416zM168 336C163.6 336 160 339.6 160 344S163.6 352 168 352h80C252.4 352 256 348.4 256 344S252.4 336 248 336H168zM456 448h-65.56C447.9 421.3 488 363.4 488 296C488 203.4 412.6 128 320 128c-4.422 0-8 3.578-8 8S315.6 144 320 144c83.81 0 152 68.19 152 152S403.8 448 320 448H56C25.13 448 0 473.1 0 504C0 508.4 3.578 512 8 512s8-3.578 8-8c0-22.06 17.94-40 40-40h400c22.06 0 40 17.94 40 40c0 4.422 3.578 8 8 8S512 508.4 512 504C512 473.1 486.9 448 456 448z"],
    "microwave": [576, 512, [], "e01b", "M496 104C496 99.58 499.6 96 504 96C508.4 96 512 99.58 512 104V376C512 380.4 508.4 384 504 384C499.6 384 496 380.4 496 376V104zM80 136C80 122.7 90.75 112 104 112H408C421.3 112 432 122.7 432 136V344C432 357.3 421.3 368 408 368H104C90.75 368 80 357.3 80 344V136zM96 136V344C96 348.4 99.58 352 104 352H408C412.4 352 416 348.4 416 344V136C416 131.6 412.4 128 408 128H104C99.58 128 96 131.6 96 136zM512 32C547.3 32 576 60.65 576 96V384C576 419.3 547.3 448 512 448V472C512 476.4 508.4 480 504 480C499.6 480 496 476.4 496 472V448H80V472C80 476.4 76.42 480 72 480C67.58 480 64 476.4 64 472V448C28.65 448 0 419.3 0 384V96C0 60.65 28.65 32 64 32H512zM512 48H64C37.49 48 16 69.49 16 96V384C16 410.5 37.49 432 64 432H512C538.5 432 560 410.5 560 384V96C560 69.49 538.5 48 512 48z"],
    "mill-sign": [384, 512, [], "e1ed", "M249.4 118.1C260.2 114.2 271.8 112 284 112C339.2 112 384 156.8 384 212V440C384 444.4 380.4 448 376 448C371.6 448 368 444.4 368 440V212C368 165.6 330.4 128 284 128C268.7 128 254.3 132.1 241.9 139.3L200 257.4V440C200 444.4 196.4 448 191.1 448C187.6 448 183.1 444.4 183.1 440V302.5L111.5 506.7C110.1 510.8 105.5 513 101.3 511.5C97.16 510.1 94.98 505.5 96.46 501.3L184 254.6V212C184 165.6 146.4 128 100 128C53.61 128 16 165.6 16 212V440C16 444.4 12.42 448 8 448C3.582 448 0 444.4 0 440V120C0 115.6 3.582 112 8 112C12.42 112 16 115.6 16 120V157.7C33.82 130.2 64.78 112 100 112C141.3 112 176.7 137 192 172.7C199.7 154.7 212.5 139.4 228.7 128.7L272.5 5.325C273.9 1.161 278.5-1.017 282.7 .4609C286.8 1.938 289 6.512 287.5 10.68L249.4 118.1zM217.2 161.1C206.9 174.6 200.6 191.3 200 209.4L217.2 161.1z"],
    "minimize": [512, 512, ["compress-arrows-alt"], "f78c", "M178.5 71.89L130.9 119.6L37.66 26.34c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31L119.6 130.9L72 178.5C54.13 196.4 68.73 224 90.83 224h113.2C215.1 224 224 215.1 224 204v-113.3C224 68.15 195.9 54.49 178.5 71.89zM208 204c0 2.203-1.793 3.996-3.994 3.996H90.83c-9 0-14.52-11.2-7.529-18.2l106.5-106.6C197 76 208 81.95 208 90.73V204zM307.1 224h113.3c22.59 0 36.25-28.08 18.85-45.47l-47.69-47.65l93.23-93.23c3.125-3.125 3.125-8.188 0-11.31s-8.188-3.125-11.31 0L381.1 119.6L333.5 72C315.6 54.13 288 68.73 288 90.84v113.2C288 215.1 296.9 224 307.1 224zM303.1 90.84c0-9.008 11.21-14.52 18.2-7.531l106.6 106.5c7.195 7.18 1.252 18.18-7.537 18.18h-113.3c-2.203 0-3.998-1.789-3.998-3.992V90.84zM204 288h-113.3c-22.59 0-36.25 28.08-18.85 45.47l47.69 47.65l-93.23 93.23c-3.125 3.125-3.125 8.188 0 11.31C27.91 487.2 29.94 488 32 488s4.094-.7813 5.656-2.344l93.23-93.23L178.5 440C196.4 457.9 224 443.3 224 421.2V307.1C224 296.9 215.1 288 204 288zM208 421.2c0 9-11.21 14.52-18.2 7.527L83.19 322.2C75.1 314.1 81.94 303.1 90.73 303.1h113.3c2.203 0 3.998 1.789 3.998 3.992V421.2zM392.4 381.1L440 333.5C457.9 315.6 443.3 288 421.2 288h-113.2C296.9 288 288 296.9 288 307.1v113.3c0 22.59 28.07 36.25 45.46 18.84l47.65-47.68l93.23 93.23C475.9 487.2 477.9 488 480 488s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31L392.4 381.1zM322.2 428.8c-7.184 7.195-18.18 1.25-18.18-7.539V307.1c0-2.203 1.793-4 3.994-4h113.2c9 0 14.52 11.2 7.529 18.2L322.2 428.8z"],
    "minus": [448, 512, [8722, 10134, 8211, "subtract"], "f068", "M24 264h400c4.406 0 8-3.572 8-7.994C432 251.6 428.4 248 424 248H24c-4.406 0-8 3.584-8 8.006C16 260.4 19.59 264 24 264z"],
    "mistletoe": [576, 512, [], "f7b4", "M550.2 233.5c-28.03-28.03-120.6-37.95-154-40.68L296 92.69v-84.34c0-4.168-3.037-7.898-7.188-8.312C284-.4336 280 3.309 280 8v84.69L179.8 192.9c-33.4 2.723-125.1 12.65-154 40.68c-34.42 34.43-34.42 90.23 0 124.6C43.02 375.4 65.58 384 88.13 384c22.55 0 45.11-8.602 62.32-25.81c7.131-7.133 13.06-18.48 18.01-31.96c1.504-4.09-.6396-8.59-4.687-10.21c-.0508-.0234 .0508 .0234 0 0C159.7 314.4 154.1 316.6 153.4 320.7c-4.189 11.55-8.943 20.8-14.3 26.16C125.5 360.5 107.4 368 88.13 368s-37.38-7.504-51.01-21.12c-28.12-28.12-28.12-73.89 0-102C56.03 225.1 122.1 214.2 171.1 209.7c15.61-2 15.28-1.695 20.05-5.477L280 115.3V264c0 .3203 .3047 .5117 .3418 .8203C257.7 291.3 191.1 372.1 191.1 416c0 53.02 42.96 96 95.98 96s96.04-42.98 96.04-96c0-43.92-65.74-124.7-88.35-151.2C295.7 264.5 296 264.3 296 264V115.3l88.87 88.87c2.721 33.41 12.65 125.1 40.68 154C442.8 375.4 465.3 384 487.9 384s45.11-8.602 62.32-25.81C584.6 323.8 584.6 267.1 550.2 233.5zM368 416c0 44.11-35.89 80-80 80c-44.11 0-80-35.89-80-80c0-30.5 45.06-94.14 80-135.6C322.9 321.9 368 385.5 368 416zM538.9 346.9C525.3 360.5 507.1 368 487.9 368s-37.38-7.504-51.01-21.12c-19.36-19.36-31.26-88.3-35.58-137.6c49.29 4.32 118.2 16.22 137.6 35.57C566.1 272.1 566.1 318.8 538.9 346.9zM376 112C398.1 112 416 94.09 416 72S398.1 32 376 32S336 49.91 336 72S353.9 112 376 112zM376 48c13.23 0 24 10.77 24 24S389.2 96 376 96C362.8 96 352 85.23 352 72S362.8 48 376 48zM224 264C224 241.9 206.1 224 184 224S144 241.9 144 264S161.9 304 184 304S224 286.1 224 264zM184 288C170.8 288 160 277.2 160 264S170.8 240 184 240c13.23 0 24 10.77 24 24S197.2 288 184 288z"],
    "mitten": [448, 512, [], "f7b5", "M422.9 200.1c-29.63-24.41-73.63-20.39-98.13 8.937l-9.844 11.7l-24.97-107.4c-18.34-78.62-97.5-127.7-176.1-109.5C75.42 12.62 42.8 35.84 22.02 69.17C1.453 102.1-5.016 141.1 3.921 179.3l58.09 198.1c1.031 3.484 4.219 5.75 7.688 5.75c.75 0 1.5-.1094 2.25-.3281c4.219-1.234 6.656-5.672 5.438-9.922L19.39 175.2c-7.844-33.58-2.094-68.25 16.22-97.58C54.11 47.95 83.17 27.26 117.5 19.4c70.06-16.3 140.6 27.5 156.1 97.51l28.59 123c.6875 2.953 2.969 5.266 5.906 5.969c2.938 .6406 6.063-.3125 8-2.641l20.13-23.98c18.91-22.59 52.78-25.73 75.69-6.875c10.97 9.109 17.75 21.92 19.03 36.06c1.313 14.17-3.031 28.03-11.94 38.69l-78.25 83.37c-3 3.219-2.844 8.281 .375 11.3c3.188 3.016 8.25 2.891 11.31-.3593l78.53-83.72c11.94-14.28 17.59-32.3 15.91-50.75C446 228.6 437.2 211.9 422.9 200.1zM351.1 416H63.99c-17.6 0-31.1 14.4-31.1 31.1l.0026 31.1C31.1 497.6 46.4 512 63.1 512h288c17.6 0 32-14.4 32-31.1l-.0049-31.1C383.1 430.4 369.6 416 351.1 416zM368 480c0 8.824-7.178 15.1-16 15.1H63.99c-8.822 0-16-7.176-16-15.1v-31.1c0-8.824 7.181-16 16-16h288.1c8.822 0 15.95 7.177 15.95 16V480z"],
    "mobile": [384, 512, [128241, "mobile-android", "mobile-phone"], "f3ce", "M80 512h224c26.5 0 48-21.5 48-48v-416C352 21.5 330.5 0 304 0h-224C53.5 0 32 21.5 32 48v416C32 490.5 53.5 512 80 512zM48 48c0-17.64 14.36-32 32-32h224c17.64 0 32 14.36 32 32v416c0 17.64-14.36 32-32 32h-224c-17.64 0-32-14.36-32-32V48zM144 456h96c4.406 0 8-3.578 8-8s-3.594-8-8-8h-96c-4.406 0-8 3.578-8 8S139.6 456 144 456z"],
    "mobile-button": [384, 512, [], "f10b", "M304 0h-224C53.5 0 32 21.5 32 48v416C32 490.5 53.5 512 80 512h224c26.5 0 48-21.5 48-48v-416C352 21.5 330.5 0 304 0zM336 464c0 17.64-14.36 32-32 32h-224c-17.64 0-32-14.36-32-32v-416c0-17.64 14.36-32 32-32h224c17.64 0 32 14.36 32 32V464zM192 400c-17.67 0-32 14.33-32 32s14.33 32 32 32c17.67 0 32-14.33 32-32S209.7 400 192 400zM192 448c-8.822 0-16-7.176-16-16S183.2 416 192 416s16 7.176 16 16S200.8 448 192 448z"],
    "mobile-notch": [384, 512, ["mobile-iphone"], "e1ee", "M240 440h-96c-4.406 0-8 3.578-8 8s3.594 8 8 8h96c4.406 0 8-3.578 8-8S244.4 440 240 440zM304 0h-224C53.5 0 32 21.5 32 48v416C32 490.5 53.5 512 80 512h224c26.5 0 48-21.5 48-48v-416C352 21.5 330.5 0 304 0zM144 16h96v24c0 4.406-3.594 8-8 8h-80C147.6 48 144 44.41 144 40V16zM336 464c0 17.64-14.36 32-32 32h-224c-17.64 0-32-14.36-32-32v-416c0-17.64 14.36-32 32-32H128v24C128 53.23 138.8 64 152 64h80C245.2 64 256 53.23 256 40V16h48c17.64 0 32 14.36 32 32V464z"],
    "mobile-retro": [320, 512, [], "e527", "M232 128C245.3 128 256 138.7 256 152V232C256 245.3 245.3 256 232 256H88C74.75 256 64 245.3 64 232V152C64 138.7 74.75 128 88 128H232zM232 144H88C83.58 144 80 147.6 80 152V232C80 236.4 83.58 240 88 240H232C236.4 240 240 236.4 240 232V152C240 147.6 236.4 144 232 144zM104 328C104 341.3 93.25 352 80 352C66.75 352 56 341.3 56 328C56 314.7 66.75 304 80 304C93.25 304 104 314.7 104 328zM80 320C75.58 320 72 323.6 72 328C72 332.4 75.58 336 80 336C84.42 336 88 332.4 88 328C88 323.6 84.42 320 80 320zM56 408C56 394.7 66.75 384 80 384C93.25 384 104 394.7 104 408C104 421.3 93.25 432 80 432C66.75 432 56 421.3 56 408zM80 416C84.42 416 88 412.4 88 408C88 403.6 84.42 400 80 400C75.58 400 72 403.6 72 408C72 412.4 75.58 416 80 416zM184 328C184 341.3 173.3 352 160 352C146.7 352 136 341.3 136 328C136 314.7 146.7 304 160 304C173.3 304 184 314.7 184 328zM160 320C155.6 320 152 323.6 152 328C152 332.4 155.6 336 160 336C164.4 336 168 332.4 168 328C168 323.6 164.4 320 160 320zM136 408C136 394.7 146.7 384 160 384C173.3 384 184 394.7 184 408C184 421.3 173.3 432 160 432C146.7 432 136 421.3 136 408zM160 416C164.4 416 168 412.4 168 408C168 403.6 164.4 400 160 400C155.6 400 152 403.6 152 408C152 412.4 155.6 416 160 416zM264 328C264 341.3 253.3 352 240 352C226.7 352 216 341.3 216 328C216 314.7 226.7 304 240 304C253.3 304 264 314.7 264 328zM240 320C235.6 320 232 323.6 232 328C232 332.4 235.6 336 240 336C244.4 336 248 332.4 248 328C248 323.6 244.4 320 240 320zM216 408C216 394.7 226.7 384 240 384C253.3 384 264 394.7 264 408C264 421.3 253.3 432 240 432C226.7 432 216 421.3 216 408zM240 416C244.4 416 248 412.4 248 408C248 403.6 244.4 400 240 400C235.6 400 232 403.6 232 408C232 412.4 235.6 416 240 416zM216 64C220.4 64 224 67.58 224 72C224 76.42 220.4 80 216 80H104C99.58 80 96 76.42 96 72C96 67.58 99.58 64 104 64H216zM240 0C275.3 0 304 28.65 304 64V448C304 483.3 275.3 512 240 512H80C44.65 512 16 483.3 16 448V64C16 28.65 44.65 0 80 0H240zM240 16H80C53.49 16 32 37.49 32 64V448C32 474.5 53.49 496 80 496H240C266.5 496 288 474.5 288 448V64C288 37.49 266.5 16 240 16z"],
    "mobile-screen": [384, 512, ["mobile-android-alt"], "f3cf", "M144 456h96c4.406 0 8-3.578 8-8s-3.594-8-8-8h-96c-4.406 0-8 3.578-8 8S139.6 456 144 456zM304 0h-224C53.5 0 32 21.5 32 48v416C32 490.5 53.5 512 80 512h224c26.5 0 48-21.5 48-48v-416C352 21.5 330.5 0 304 0zM336 464c0 17.64-14.36 32-32 32h-224c-17.64 0-32-14.36-32-32v-64h288V464zM336 384h-288V48c0-17.64 14.36-32 32-32h224c17.64 0 32 14.36 32 32V384z"],
    "mobile-screen-button": [384, 512, ["mobile-alt"], "f3cd", "M304 0h-224C53.5 0 32 21.5 32 48v416C32 490.5 53.5 512 80 512h224c26.5 0 48-21.5 48-48v-416C352 21.5 330.5 0 304 0zM336 464c0 17.64-14.36 32-32 32h-224c-17.64 0-32-14.36-32-32v-96h288V464zM336 352h-288V48c0-17.64 14.36-32 32-32h224c17.64 0 32 14.36 32 32V352zM192 464c17.67 0 32-14.33 32-32s-14.33-32-32-32c-17.67 0-32 14.33-32 32S174.3 464 192 464zM192 416c8.822 0 16 7.176 16 16S200.8 448 192 448s-16-7.176-16-16S183.2 416 192 416z"],
    "mobile-signal": [512, 512, [], "e1ef", "M511.1 279.1C511.1 275.6 508.4 272 504 272c-127.9 0-232 104.1-232 232c0 4.422 3.577 7.991 7.999 7.991S288 508.4 288 504C288 384.9 384.9 288 504 288C508.4 288 511.1 284.4 511.1 279.1zM504 352C420.2 352 352 420.2 352 504c0 4.422 3.578 8 8 8s8-3.578 8-8c0-74.98 61.02-136 136-136c4.422 0 8-3.578 8-8S508.4 352 504 352zM480 448c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S497.7 448 480 448zM480 496c-8.822 0-16-7.178-16-16s7.178-16 16-16s16 7.178 16 16S488.8 496 480 496zM16 464v-416c0-17.67 14.33-32 32-32h224c17.67 0 32 14.33 32 32v232C304 284.4 307.6 288 312 288S320 284.4 320 280V48C320 21.49 298.5 0 272 0h-224C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h168C220.4 512 224 508.4 224 504S220.4 496 216 496H48C30.33 496 16 481.7 16 464zM112 440c-4.406 0-8 3.578-8 8s3.594 8 8 8h96c4.406 0 8-3.578 8-8s-3.594-8-8-8H112z"],
    "mobile-signal-out": [512, 512, [], "e1f0", "M304 176c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S321.7 176 304 176zM304 224C295.2 224 288 216.8 288 208S295.2 192 304 192S320 199.2 320 208S312.8 224 304 224zM280 0C275.6 0 272 3.578 272 8s3.578 8 8 8c119.1 0 216 96.89 216 216c0 4.422 3.578 8 8 8S512 236.4 512 231.1C512 104.1 407.1 0 280 0zM280 80c-4.422 0-8 3.578-8 8S275.6 96 279.1 96C354.1 96 416 157 416 232C416 236.4 419.6 240 424 240s8-3.578 8-8C432 148.2 363.8 80 280 80zM304 464c0 17.67-14.33 32-32 32h-224c-17.67 0-32-14.33-32-32v-416c0-17.67 14.33-32 32-32h168C220.4 16 224 12.42 224 8S220.4 0 216 0H47.1c-26.51 0-48 21.49-48 48v416c0 26.51 21.49 48 48 48H272c26.51 0 48-21.49 48-48V296C320 291.6 316.4 288 312 288S304 291.6 304 296V464zM112 440c-4.406 0-8 3.578-8 8s3.594 8 8 8h96c4.406 0 8-3.578 8-8s-3.594-8-8-8H112z"],
    "money-bill": [576, 512, [], "f0d6", "M528 184C488.2 184 456 151.8 456 112V104C456 99.58 459.6 96 464 96C468.4 96 472 99.58 472 104V112C472 142.9 497.1 168 528 168H536C540.4 168 544 171.6 544 176C544 180.4 540.4 184 536 184H528zM40 168H48C78.93 168 104 142.9 104 112V104C104 99.58 107.6 96 112 96C116.4 96 120 99.58 120 104V112C120 151.8 87.76 184 48 184H40C35.58 184 32 180.4 32 176C32 171.6 35.58 168 40 168zM536 328C540.4 328 544 331.6 544 336C544 340.4 540.4 344 536 344H528C497.1 344 472 369.1 472 400V408C472 412.4 468.4 416 464 416C459.6 416 456 412.4 456 408V400C456 360.2 488.2 328 528 328H536zM32 336C32 331.6 35.58 328 40 328H48C87.76 328 120 360.2 120 400V408C120 412.4 116.4 416 112 416C107.6 416 104 412.4 104 408V400C104 369.1 78.93 344 48 344H40C35.58 344 32 340.4 32 336zM384 256C384 309 341 352 288 352C234.1 352 192 309 192 256C192 202.1 234.1 160 288 160C341 160 384 202.1 384 256zM288 176C243.8 176 208 211.8 208 256C208 300.2 243.8 336 288 336C332.2 336 368 300.2 368 256C368 211.8 332.2 176 288 176zM0 128C0 92.65 28.65 64 64 64H512C547.3 64 576 92.65 576 128V384C576 419.3 547.3 448 512 448H64C28.65 448 0 419.3 0 384V128zM16 128V384C16 410.5 37.49 432 64 432H512C538.5 432 560 410.5 560 384V128C560 101.5 538.5 80 512 80H64C37.49 80 16 101.5 16 128z"],
    "money-bill-1": [576, 512, ["money-bill-alt"], "f3d1", "M544 176C544 180.4 540.4 184 536 184H528C488.2 184 456 151.8 456 112V104C456 99.58 459.6 96 464 96C468.4 96 472 99.58 472 104V112C472 142.9 497.1 168 528 168H536C540.4 168 544 171.6 544 176zM40 184C35.58 184 32 180.4 32 176C32 171.6 35.58 168 40 168H48C78.93 168 104 142.9 104 112V104C104 99.58 107.6 96 112 96C116.4 96 120 99.58 120 104V112C120 151.8 87.76 184 48 184H40zM536 344H528C497.1 344 472 369.1 472 400V408C472 412.4 468.4 416 464 416C459.6 416 456 412.4 456 408V400C456 360.2 488.2 328 528 328H536C540.4 328 544 331.6 544 336C544 340.4 540.4 344 536 344zM48 328C87.76 328 120 360.2 120 400V408C120 412.4 116.4 416 112 416C107.6 416 104 412.4 104 408V400C104 369.1 78.93 344 48 344H40C35.58 344 32 340.4 32 336C32 331.6 35.58 328 40 328H48zM288 200C292.4 200 296 203.6 296 208V296H312C316.4 296 320 299.6 320 304C320 308.4 316.4 312 312 312H264C259.6 312 256 308.4 256 304C256 299.6 259.6 296 264 296H280V216H272C267.6 216 264 212.4 264 208C264 203.6 267.6 200 272 200H288zM160 256C160 185.3 217.3 128 288 128C358.7 128 416 185.3 416 256C416 326.7 358.7 384 288 384C217.3 384 160 326.7 160 256zM288 368C349.9 368 400 317.9 400 256C400 194.1 349.9 144 288 144C226.1 144 176 194.1 176 256C176 317.9 226.1 368 288 368zM512 64C547.3 64 576 92.65 576 128V384C576 419.3 547.3 448 512 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H512zM512 80H64C37.49 80 16 101.5 16 128V384C16 410.5 37.49 432 64 432H512C538.5 432 560 410.5 560 384V128C560 101.5 538.5 80 512 80z"],
    "money-bill-1-wave": [576, 512, ["money-bill-wave-alt"], "f53b", "M287.1 199.1C292.4 199.1 296 203.6 296 207.1V295.1H312C316.4 295.1 320 299.6 320 303.1C320 308.4 316.4 311.1 312 311.1H263.1C259.6 311.1 255.1 308.4 255.1 303.1C255.1 299.6 259.6 295.1 263.1 295.1H279.1V215.1H271.1C267.6 215.1 263.1 212.4 263.1 207.1C263.1 203.6 267.6 199.1 271.1 199.1H287.1zM384 255.1C384 315 343.6 368 287.1 368C232.4 368 191.1 315 191.1 255.1C191.1 196.1 232.4 143.1 287.1 143.1C343.6 143.1 384 196.1 384 255.1zM287.1 352C332.2 352 368 309 368 255.1C368 202.1 332.2 159.1 287.1 159.1C243.8 159.1 207.1 202.1 207.1 255.1C207.1 309 243.8 352 287.1 352zM528 159.1C488.2 159.1 456 127.8 456 87.1V79.1C456 75.58 459.6 71.1 464 71.1C468.4 71.1 472 75.58 472 79.1V87.1C472 118.9 497.1 143.1 528 143.1H536C540.4 143.1 544 147.6 544 151.1C544 156.4 540.4 159.1 536 159.1H528zM39.1 199.1H47.1C78.93 199.1 103.1 174.9 103.1 143.1V135.1C103.1 131.6 107.6 127.1 111.1 127.1C116.4 127.1 119.1 131.6 119.1 135.1V143.1C119.1 183.8 87.76 215.1 47.1 215.1H39.1C35.58 215.1 31.1 212.4 31.1 207.1C31.1 203.6 35.58 199.1 39.1 199.1zM536 295.1C540.4 295.1 544 299.6 544 303.1C544 308.4 540.4 311.1 536 311.1H528C497.1 311.1 472 337.1 472 368V376C472 380.4 468.4 384 464 384C459.6 384 456 380.4 456 376V368C456 328.2 488.2 295.1 528 295.1H536zM31.1 360C31.1 355.6 35.58 352 39.1 352H47.1C87.76 352 119.1 384.2 119.1 424V432C119.1 436.4 116.4 440 111.1 440C107.6 440 103.1 436.4 103.1 432V424C103.1 393.1 78.93 368 47.1 368H39.1C35.58 368 31.1 364.4 31.1 360zM48.66 79.13C128.4 100.9 208.2 80.59 288 60.25C375 38.08 462 15.9 549 48.38C565.9 54.69 576 71.62 576 89.66V399.5C576 423.4 550.4 439.2 527.3 432.9C447.6 411.1 367.8 431.4 288 451.7C200.1 473.9 113.1 496.1 26.97 463.6C10.06 457.3 0 440.4 0 422.3V112.5C0 88.59 25.61 72.83 48.66 79.13L48.66 79.13zM15.1 112.5V422.3C15.1 434.8 22.86 445 32.56 448.6C110.7 477.8 189.3 460.3 273.2 438.1C277.2 437.1 281.2 436.1 285.2 435.9C363.1 415.8 447.6 394.5 531.6 417.4C546.8 421.6 560 410.5 560 399.5V89.66C560 77.22 553.1 66.99 543.4 63.37C465.3 34.22 386.7 51.71 302.8 73C298.8 74.01 294.8 75.03 290.8 76.05L290.8 76.06C212 96.16 128.4 117.5 44.44 94.56C29.22 90.4 16 101.5 16 112.5L15.1 112.5z"],
    "money-bill-simple": [576, 512, [], "e1f1", "M384 256C384 309 341 352 288 352C234.1 352 192 309 192 256C192 202.1 234.1 160 288 160C341 160 384 202.1 384 256zM288 176C243.8 176 208 211.8 208 256C208 300.2 243.8 336 288 336C332.2 336 368 300.2 368 256C368 211.8 332.2 176 288 176zM0 128C0 92.65 28.65 64 64 64H512C547.3 64 576 92.65 576 128V384C576 419.3 547.3 448 512 448H64C28.65 448 0 419.3 0 384V128zM16 128V384C16 410.5 37.49 432 64 432H512C538.5 432 560 410.5 560 384V128C560 101.5 538.5 80 512 80H64C37.49 80 16 101.5 16 128z"],
    "money-bill-simple-wave": [576, 512, [], "e1f2", "M376 255.1C376 312 337.9 360 288 360C238.1 360 200 312 200 255.1C200 199.1 238.1 151.1 288 151.1C337.9 151.1 376 199.1 376 255.1zM288 344C326.5 344 360 306 360 255.1C360 205.1 326.5 167.1 288 167.1C249.5 167.1 216 205.1 216 255.1C216 306 249.5 344 288 344zM0 422.3V112.5C0 88.59 25.61 72.83 48.66 79.13C128.4 100.9 208.2 80.59 288 60.25C375 38.08 462 15.9 549 48.38C565.9 54.69 576 71.62 576 89.66V399.5C576 423.4 550.4 439.2 527.3 432.9C447.6 411.1 367.8 431.4 288 451.7C200.1 473.9 113.1 496.1 26.97 463.6C10.06 457.3 .0003 440.4 .0003 422.3L0 422.3zM32.56 448.6C110.7 477.8 189.3 460.3 273.2 438.1C277.2 437.1 281.2 436.1 285.2 435.9C363.1 415.8 447.6 394.5 531.6 417.4C546.8 421.6 560 410.5 560 399.5V89.66C560 77.22 553.1 66.99 543.4 63.37C465.3 34.22 386.7 51.71 302.8 73C298.8 74.01 294.8 75.04 290.8 76.06C212 96.16 128.4 117.5 44.44 94.56C29.22 90.4 16 101.5 16 112.5V422.3C16 434.8 22.86 445 32.56 448.6H32.56z"],
    "money-bill-transfer": [640, 512, [], "e528", "M562.3 2.351C565.5-.7732 570.5-.7732 573.7 2.351L637.7 66.35C639.2 67.85 640 69.88 640 72C640 74.12 639.2 76.16 637.7 77.66L573.7 141.7C570.5 144.8 565.5 144.8 562.3 141.7C559.2 138.5 559.2 133.5 562.3 130.3L612.7 80.01L407.1 80L407.9 80H79.1C62.33 80 47.1 94.33 47.1 112V332.1L31.1 348.1V112C31.1 85.49 53.49 64 79.1 64L612.7 64.01L562.3 13.67C559.2 10.54 559.2 5.476 562.3 2.352L562.3 2.351zM77.66 498.3C80.78 501.5 80.78 506.5 77.66 509.7C74.53 512.8 69.47 512.8 66.34 509.7L2.343 445.7C.8426 444.2 0 442.1 0 439.1C0 437.9 .8429 435.8 2.343 434.3L66.34 370.3C69.47 367.2 74.53 367.2 77.66 370.3C80.78 373.5 80.78 378.5 77.66 381.7L27.31 432L231.1 431.1L232.2 432H560C577.7 432 592 417.7 592 400V179.9L608 163.9V400C608 426.5 586.5 448 560 448L27.32 448L77.66 498.3zM480 392C480 352.2 512.2 320 552 320H560C564.4 320 568 323.6 568 328C568 332.4 564.4 336 560 336H552C521.1 336 496 361.1 496 392V408C496 412.4 492.4 416 488 416C483.6 416 480 412.4 480 408V392zM151.1 96C156.4 96 159.1 99.58 159.1 104V120C159.1 159.8 127.8 192 87.1 192H79.1C75.58 192 71.1 188.4 71.1 184C71.1 179.6 75.58 176 79.1 176H87.1C118.9 176 143.1 150.9 143.1 120V104C143.1 99.58 147.6 96 151.1 96zM416 256C416 309 373 352 319.1 352C266.1 352 223.1 309 223.1 256C223.1 202.1 266.1 160 319.1 160C373 160 416 202.1 416 256zM319.1 176C275.8 176 239.1 211.8 239.1 256C239.1 300.2 275.8 336 319.1 336C364.2 336 400 300.2 400 256C400 211.8 364.2 176 319.1 176z"],
    "money-bill-trend-up": [512, 512, [], "e529", "M352 8C352 3.582 355.6 0 360 0H472C476.4 0 480 3.582 480 8V120C480 124.4 476.4 128 472 128C467.6 128 464 124.4 464 120V27.31L293.7 197.7C290.7 200.6 285.1 200.8 282.8 198.1L176.1 106.6L53.27 214C49.94 216.9 44.89 216.6 41.98 213.3C39.07 209.9 39.41 204.9 42.73 201.1L170.7 89.98C173.7 87.36 178.2 87.34 181.2 89.93L287.6 181.1L452.7 16H360C355.6 16 352 12.42 352 8V8zM320 384C320 419.3 291.3 448 256 448C220.7 448 192 419.3 192 384C192 348.7 220.7 320 256 320C291.3 320 320 348.7 320 384zM256 336C229.5 336 208 357.5 208 384C208 410.5 229.5 432 256 432C282.5 432 304 410.5 304 384C304 357.5 282.5 336 256 336zM464 256C490.5 256 512 277.5 512 304V464C512 490.5 490.5 512 464 512H48C21.49 512 0 490.5 0 464V304C0 277.5 21.49 256 48 256H464zM464 272H440C440 302.9 465.1 328 496 328V304C496 286.3 481.7 272 464 272zM16 344V424C55.76 424 88 456.2 88 496H424C424 456.2 456.2 424 496 424V344C456.2 344 424 311.8 424 272H88C88 311.8 55.76 344 16 344zM464 496C481.7 496 496 481.7 496 464V440C465.1 440 440 465.1 440 496H464zM16 464C16 481.7 30.33 496 48 496H72C72 465.1 46.93 440 16 440V464zM48 272C30.33 272 16 286.3 16 304V328C46.93 328 72 302.9 72 272H48z"],
    "money-bill-wave": [576, 512, [], "f53a", "M376 255.1C376 312 337.9 360 288 360C238.1 360 200 312 200 255.1C200 199.1 238.1 151.1 288 151.1C337.9 151.1 376 199.1 376 255.1zM288 344C326.5 344 360 306 360 255.1C360 205.1 326.5 167.1 288 167.1C249.5 167.1 216 205.1 216 255.1C216 306 249.5 344 288 344zM544 151.1C544 156.4 540.4 159.1 536 159.1H528C488.2 159.1 456 127.8 456 87.1V79.1C456 75.58 459.6 71.1 464 71.1C468.4 71.1 472 75.58 472 79.1V87.1C472 118.9 497.1 143.1 528 143.1H536C540.4 143.1 544 147.6 544 151.1zM40 215.1C35.58 215.1 32 212.4 32 207.1C32 203.6 35.58 199.1 40 199.1H48C78.93 199.1 104 174.9 104 143.1V135.1C104 131.6 107.6 127.1 112 127.1C116.4 127.1 120 131.6 120 135.1V143.1C120 183.8 87.76 215.1 48 215.1H40zM536 311.1H528C497.1 311.1 472 337.1 472 368V376C472 380.4 468.4 384 464 384C459.6 384 456 380.4 456 376V368C456 328.2 488.2 295.1 528 295.1H536C540.4 295.1 544 299.6 544 303.1C544 308.4 540.4 311.1 536 311.1zM48 352C87.76 352 120 384.2 120 424V432C120 436.4 116.4 440 112 440C107.6 440 104 436.4 104 432V424C104 393.1 78.93 368 48 368H40C35.58 368 32 364.4 32 360C32 355.6 35.58 352 40 352H48zM0 422.3V112.5C0 88.59 25.61 72.83 48.66 79.13C128.4 100.9 208.2 80.59 288 60.25C375 38.08 462 15.9 549 48.38C565.9 54.69 576 71.62 576 89.66V399.5C576 423.4 550.4 439.2 527.3 432.9C447.6 411.1 367.8 431.4 288 451.7C200.1 473.9 113.1 496.1 26.97 463.6C10.06 457.3 .0003 440.4 .0003 422.3L0 422.3zM32.56 448.6C110.7 477.8 189.3 460.3 273.2 438.1C277.2 437.1 281.2 436.1 285.2 435.9C363.1 415.8 447.6 394.5 531.6 417.4C546.8 421.6 560 410.5 560 399.5V89.66C560 77.22 553.1 66.99 543.4 63.37C465.3 34.22 386.7 51.71 302.8 73C298.8 74.01 294.8 75.03 290.8 76.05L290.8 76.06C212 96.16 128.4 117.5 44.44 94.56C29.22 90.4 16 101.5 16 112.5V422.3C16 434.8 22.86 445 32.56 448.6L32.56 448.6z"],
    "money-bill-wheat": [512, 512, [], "e52a", "M256 80C256 88.84 248.8 96 240 96C195.8 96 160 60.18 160 16C160 7.164 167.2 0 176 0C220.2 0 256 35.82 256 80zM176 16C176 51.35 204.7 80 240 80C240 44.65 211.3 16 176 16zM368 80C368 88.84 360.8 96 352 96C307.8 96 272 60.18 272 16C272 7.164 279.2 0 288 0C332.2 0 368 35.82 368 80zM288 16C288 51.35 316.7 80 352 80C352 44.65 323.3 16 288 16zM384 16C384 7.164 391.2 0 400 0C444.2 0 480 35.82 480 80C480 88.84 472.8 96 464 96C419.8 96 384 60.18 384 16zM400 16C400 51.35 428.7 80 464 80C464 44.65 435.3 16 400 16zM352 128C360.8 128 368 135.2 368 144C368 188.2 332.2 224 288 224C279.2 224 272 216.8 272 208C272 163.8 307.8 128 352 128zM288 208C323.3 208 352 179.3 352 144C316.7 144 288 172.7 288 208zM176 224C167.2 224 160 216.8 160 208C160 163.8 195.8 128 240 128C248.8 128 256 135.2 256 144C256 188.2 220.2 224 176 224zM176 208C211.3 208 240 179.3 240 144C204.7 144 176 172.7 176 208zM464 128C472.8 128 480 135.2 480 144C480 188.2 444.2 224 400 224C391.2 224 384 216.8 384 208C384 163.8 419.8 128 464 128zM400 208C435.3 208 464 179.3 464 144C428.7 144 400 172.7 400 208zM152 104C156.4 104 160 107.6 160 112C160 116.4 156.4 120 152 120H8C3.582 120 0 116.4 0 112C0 107.6 3.582 104 8 104H152zM32 40C32 35.58 35.58 32 40 32H120C124.4 32 128 35.58 128 40C128 44.42 124.4 48 120 48H40C35.58 48 32 44.42 32 40zM120 176C124.4 176 128 179.6 128 184C128 188.4 124.4 192 120 192H40C35.58 192 32 188.4 32 184C32 179.6 35.58 176 40 176H120zM192 384C192 348.7 220.7 320 256 320C291.3 320 320 348.7 320 384C320 419.3 291.3 448 256 448C220.7 448 192 419.3 192 384zM256 432C282.5 432 304 410.5 304 384C304 357.5 282.5 336 256 336C229.5 336 208 357.5 208 384C208 410.5 229.5 432 256 432zM0 304C0 277.5 21.49 256 48 256H464C490.5 256 512 277.5 512 304V464C512 490.5 490.5 512 464 512H48C21.49 512 0 490.5 0 464V304zM16 328C46.93 328 72 302.9 72 272H48C30.33 272 16 286.3 16 304V328zM16 344V424C55.76 424 88 456.2 88 496H424C424 456.2 456.2 424 496 424V344C456.2 344 424 311.8 424 272H88C88 311.8 55.76 344 16 344zM440 272C440 302.9 465.1 328 496 328V304C496 286.3 481.7 272 464 272H440zM496 440C465.1 440 440 465.1 440 496H464C481.7 496 496 481.7 496 464V440zM72 496C72 465.1 46.93 440 16 440V464C16 481.7 30.33 496 48 496H72z"],
    "money-bills": [640, 512, [], "e1f3", "M464 208C464 261 421 304 368 304C314.1 304 272 261 272 208C272 154.1 314.1 112 368 112C421 112 464 154.1 464 208zM368 128C323.8 128 288 163.8 288 208C288 252.2 323.8 288 368 288C412.2 288 448 252.2 448 208C448 163.8 412.2 128 368 128zM600 152C600 156.4 596.4 160 592 160H584C544.2 160 512 127.8 512 88V80C512 75.58 515.6 72 520 72C524.4 72 528 75.58 528 80V88C528 118.9 553.1 144 584 144H592C596.4 144 600 147.6 600 152zM144 160C139.6 160 136 156.4 136 152C136 147.6 139.6 144 144 144H152C182.9 144 208 118.9 208 88V80C208 75.58 211.6 72 216 72C220.4 72 224 75.58 224 80V88C224 127.8 191.8 160 152 160H144zM592 272H584C553.1 272 528 297.1 528 328V336C528 340.4 524.4 344 520 344C515.6 344 512 340.4 512 336V328C512 288.2 544.2 256 584 256H592C596.4 256 600 259.6 600 264C600 268.4 596.4 272 592 272zM152 256C191.8 256 224 288.2 224 328V336C224 340.4 220.4 344 216 344C211.6 344 208 340.4 208 336V328C208 297.1 182.9 272 152 272H144C139.6 272 136 268.4 136 264C136 259.6 139.6 256 144 256H152zM576 32C611.3 32 640 60.65 640 96V320C640 355.3 611.3 384 576 384H160C124.7 384 96 355.3 96 320V96C96 60.65 124.7 32 160 32H576zM576 48H160C133.5 48 112 69.49 112 96V320C112 346.5 133.5 368 160 368H576C602.5 368 624 346.5 624 320V96C624 69.49 602.5 48 576 48zM64 144C37.49 144 16 165.5 16 192V416C16 442.5 37.49 464 64 464H480C506.5 464 528 442.5 528 416H544C544 451.3 515.3 480 480 480H64C28.65 480 0 451.3 0 416V192C0 156.7 28.65 128 64 128V144z"],
    "money-bills-simple": [640, 512, ["money-bills-alt"], "e1f4", "M464 208C464 261 421 304 368 304C314.1 304 272 261 272 208C272 154.1 314.1 112 368 112C421 112 464 154.1 464 208zM368 128C323.8 128 288 163.8 288 208C288 252.2 323.8 288 368 288C412.2 288 448 252.2 448 208C448 163.8 412.2 128 368 128zM576 32C611.3 32 640 60.65 640 96V320C640 355.3 611.3 384 576 384H160C124.7 384 96 355.3 96 320V96C96 60.65 124.7 32 160 32H576zM576 48H160C133.5 48 112 69.49 112 96V320C112 346.5 133.5 368 160 368H576C602.5 368 624 346.5 624 320V96C624 69.49 602.5 48 576 48zM64 144C37.49 144 16 165.5 16 192V416C16 442.5 37.49 464 64 464H480C506.5 464 528 442.5 528 416H544C544 451.3 515.3 480 480 480H64C28.65 480 0 451.3 0 416V192C0 156.7 28.65 128 64 128V144z"],
    "money-check": [576, 512, [], "f53c", "M248 240C252.4 240 256 243.6 256 248C256 252.4 252.4 256 248 256H104C99.58 256 96 252.4 96 248C96 243.6 99.58 240 104 240H248zM96 344C96 339.6 99.58 336 104 336H472C476.4 336 480 339.6 480 344C480 348.4 476.4 352 472 352H104C99.58 352 96 348.4 96 344zM320 200C320 177.9 337.9 160 360 160H440C462.1 160 480 177.9 480 200V232C480 254.1 462.1 272 440 272H360C337.9 272 320 254.1 320 232V200zM336 200V232C336 245.3 346.7 256 360 256H440C453.3 256 464 245.3 464 232V200C464 186.7 453.3 176 440 176H360C346.7 176 336 186.7 336 200zM0 128C0 92.65 28.65 64 64 64H512C547.3 64 576 92.65 576 128V384C576 419.3 547.3 448 512 448H64C28.65 448 0 419.3 0 384V128zM16 128V384C16 410.5 37.49 432 64 432H512C538.5 432 560 410.5 560 384V128C560 101.5 538.5 80 512 80H64C37.49 80 16 101.5 16 128z"],
    "money-check-dollar": [576, 512, ["money-check-alt"], "f53d", "M472 304C476.4 304 480 307.6 480 312C480 316.4 476.4 320 472 320H264C259.6 320 256 316.4 256 312C256 307.6 259.6 304 264 304H472zM256 216C256 211.6 259.6 208 264 208H472C476.4 208 480 211.6 480 216C480 220.4 476.4 224 472 224H264C259.6 224 256 220.4 256 216zM151.1 176.6C153.8 176.8 155.6 177 157.5 177.3C162.3 178.1 176.9 180.9 182.1 182.3C186.3 183.4 188.9 187.8 187.7 192.1C186.6 196.3 182.2 198.9 177.9 197.7C173.5 196.6 159.5 193.8 155 193.1C140.9 190.9 128.5 192.6 119.6 196.6C110.7 200.7 105.7 206.8 104.5 213.6C103.6 219 104.2 222.9 105.6 225.8C107 228.8 109.5 231.6 113.3 234.1C121.3 239.5 132.9 243 146.3 247.1L146.5 247.1C159.2 250.1 173.7 255.4 184.2 262.1C189.6 266.9 194.3 271.9 197.1 278.5C199.1 285.1 200.7 292.7 199.3 301.1C196.8 315.5 187.4 325.4 174.7 330.9C167.1 333.8 160.3 335.4 151.1 335.9V352C151.1 356.4 148.4 360 143.1 360C139.6 360 135.1 356.4 135.1 352V335.4C134.2 335.2 132.4 334.1 130.5 334.7L130.5 334.7C121.9 333.3 107.8 328.5 98.43 325.3C96.57 324.6 94.89 324.1 93.47 323.6C89.28 322.2 87.01 317.7 88.41 313.5C89.81 309.3 94.34 307 98.53 308.4C100.3 308.1 102.2 309.7 104.3 310.4C113.8 313.6 125.9 317.7 133 318.9C147.3 321.1 159.6 319.9 168.4 316.2C176.1 312.5 182.1 306.5 183.5 298.4C184.5 292.5 183.9 288.2 182.4 284.9C181 281.6 178.5 278.6 174.8 275.9C166.9 270.2 155.3 266.5 141.9 262.5L140.2 261.1C128 258.3 114.4 254.2 104.4 247.4C98.95 243.7 94.15 238.1 91.16 232.7C88.15 226.3 87.32 219 88.73 210.9C91.05 197.5 100.6 187.7 112.1 182.1C119.8 178.1 127.6 177.1 136 176.4V160C136 155.6 139.6 152 144 152C148.4 152 152 155.6 152 160L151.1 176.6zM0 128C0 92.65 28.65 64 64 64H512C547.3 64 576 92.65 576 128V384C576 419.3 547.3 448 512 448H64C28.65 448 0 419.3 0 384V128zM16 128V384C16 410.5 37.49 432 64 432H512C538.5 432 560 410.5 560 384V128C560 101.5 538.5 80 512 80H64C37.49 80 16 101.5 16 128z"],
    "money-check-dollar-pen": [640, 512, ["money-check-edit-alt"], "f873", "M512 80H64C37.49 80 16 101.5 16 128V384C16 410.5 37.49 432 64 432H334.5L330.5 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H512C547.3 64 576 92.65 576 128V192.6C570.6 193.3 565.2 194.7 560 196.6V128C560 101.5 538.5 80 512 80zM256 312C256 307.6 259.6 304 264 304H376C380.4 304 384 307.6 384 312C384 316.4 380.4 320 376 320H264C259.6 320 256 316.4 256 312zM472 208C476.4 208 480 211.6 480 216C480 220.4 476.4 224 472 224H264C259.6 224 256 220.4 256 216C256 211.6 259.6 208 264 208H472zM143.1 152C148.4 152 151.1 155.6 151.1 160V176.6C153.8 176.8 155.6 177 157.5 177.3C162.3 178.1 176.9 180.9 182.1 182.3C186.3 183.4 188.9 187.8 187.7 192.1C186.6 196.3 182.2 198.9 177.9 197.7C173.5 196.6 159.5 193.8 155 193.1C140.9 190.9 128.5 192.6 119.6 196.6C110.7 200.7 105.7 206.8 104.5 213.6C103.6 219 104.2 222.9 105.6 225.8C107 228.8 109.5 231.6 113.3 234.1C121.3 239.5 132.9 243 146.3 247.1L146.5 247.1C159.2 250.1 173.7 255.4 184.2 262.1C189.6 266.9 194.3 271.9 197.1 278.5C199.1 285.1 200.7 292.7 199.3 301.1C196.8 315.5 187.4 325.4 174.7 330.9C167.1 333.8 160.3 335.4 151.1 335.9V352C151.1 356.4 148.4 360 143.1 360C139.6 360 135.1 356.4 135.1 352V335.4C134.2 335.2 132.4 334.1 130.5 334.7L130.5 334.7C121.9 333.3 107.8 328.5 98.44 325.3C96.58 324.6 94.89 324.1 93.47 323.6C89.28 322.2 87.01 317.7 88.41 313.5C89.8 309.3 94.33 307 98.53 308.4C100.3 308.1 102.2 309.6 104.2 310.3L104.3 310.4C113.8 313.6 125.9 317.7 133 318.9C147.3 321.1 159.6 319.9 168.4 316.2C176.1 312.5 182.1 306.5 183.5 298.4C184.5 292.5 183.9 288.2 182.4 284.9C181 281.6 178.5 278.6 174.8 275.9C166.9 270.2 155.3 266.5 141.9 262.5L140.2 261.1C128 258.3 114.4 254.2 104.4 247.4C98.95 243.7 94.15 238.1 91.16 232.7C88.15 226.3 87.32 219 88.73 210.9C91.05 197.5 100.6 187.7 112.1 182.1C119.8 178.1 127.6 177.1 136 176.4V160C136 155.6 139.6 152 144 152H143.1zM356.7 507.2C352.7 503.2 351.1 497.4 352.5 491.1L367.5 431.8C368.9 426.2 371.8 421.1 375.9 416.1L557.2 235.7C572.8 220.1 598.1 220.1 613.8 235.7L628.1 250.1C643.8 265.7 643.8 291 628.1 306.7L446.9 487.9C442.8 492 437.6 494.9 432 496.3L371.9 511.4C366.4 512.7 360.7 511.1 356.7 507.2V507.2zM368 495.8L428.1 480.8C430.9 480.1 433.5 478.7 435.6 476.6L578.4 333.7L530.1 285.4L387.2 428.3C385.2 430.3 383.7 432.9 383 435.7L368 495.8zM616.8 261.4L602.4 247C593.1 237.7 577.9 237.7 568.5 247L541.4 274.1L589.7 322.4L616.8 295.4C626.2 285.1 626.2 270.8 616.8 261.4V261.4zM428.6 482.8L432 496.3z"],
    "money-check-pen": [640, 512, ["money-check-edit"], "f872", "M16 128V384C16 410.5 37.49 432 64 432H334.5L330.5 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H512C547.3 64 576 92.65 576 128V192.6C570.6 193.3 565.2 194.7 560 196.6V128C560 101.5 538.5 80 512 80H64C37.49 80 16 101.5 16 128zM376 304C380.4 304 384 307.6 384 312C384 316.4 380.4 320 376 320H104C99.58 320 96 316.4 96 312C96 307.6 99.58 304 104 304H376zM96 216C96 211.6 99.58 208 104 208H472C476.4 208 480 211.6 480 216C480 220.4 476.4 224 472 224H104C99.58 224 96 220.4 96 216zM356.7 507.2C352.7 503.2 351.1 497.4 352.5 491.1L367.5 431.8C368.9 426.2 371.8 421.1 375.9 416.1L557.2 235.7C572.8 220.1 598.1 220.1 613.8 235.7L628.1 250.1C643.8 265.7 643.8 291 628.1 306.7L446.9 487.9C442.8 492 437.6 494.9 432 496.3L371.9 511.4C366.4 512.7 360.7 511.1 356.7 507.2V507.2zM368 495.8L428.1 480.8C430.9 480.1 433.5 478.7 435.6 476.6L578.4 333.7L530.1 285.4L387.2 428.3C385.2 430.3 383.7 432.9 383 435.7L368 495.8zM616.8 261.4L602.4 247C593.1 237.7 577.9 237.7 568.5 247L541.4 274.1L589.7 322.4L616.8 295.4C626.2 285.1 626.2 270.8 616.8 261.4V261.4zM428.6 482.8L432 496.3z"],
    "money-from-bracket": [640, 512, [], "e312", "M72 16C41.07 16 16 41.07 16 72V152C16 156.4 12.42 160 8 160C3.582 160 0 156.4 0 152V72C0 32.24 32.24 0 72 0H568C607.8 0 640 32.24 640 72V152C640 156.4 636.4 160 632 160C627.6 160 624 156.4 624 152V72C624 41.07 598.9 16 568 16H72zM504 80C508.4 80 512 83.58 512 88V464C512 490.5 490.5 512 464 512H176C149.5 512 128 490.5 128 464V88C128 83.58 131.6 80 136 80C140.4 80 144 83.58 144 88V464C144 481.7 158.3 496 176 496H464C481.7 496 496 481.7 496 464V88C496 83.58 499.6 80 504 80zM320 360C263.1 360 216 321.9 216 272C216 222.1 263.1 184 320 184C376 184 424 222.1 424 272C424 321.9 376 360 320 360zM232 272C232 310.5 269.1 344 320 344C370 344 408 310.5 408 272C408 233.5 370 200 320 200C269.1 200 232 233.5 232 272zM464 400H456C425.1 400 400 425.1 400 456V464C400 468.4 396.4 472 392 472C387.6 472 384 468.4 384 464V456C384 416.2 416.2 384 456 384H464C468.4 384 472 387.6 472 392C472 396.4 468.4 400 464 400zM184 384C223.8 384 256 416.2 256 456V464C256 468.4 252.4 472 248 472C243.6 472 240 468.4 240 464V456C240 425.1 214.9 400 184 400H176C171.6 400 168 396.4 168 392C168 387.6 171.6 384 176 384H184z"],
    "money-simple-from-bracket": [640, 512, [], "e313", "M72 16C41.07 16 16 41.07 16 72V152C16 156.4 12.42 160 8 160C3.582 160 0 156.4 0 152V72C0 32.24 32.24 0 72 0H568C607.8 0 640 32.24 640 72V152C640 156.4 636.4 160 632 160C627.6 160 624 156.4 624 152V72C624 41.07 598.9 16 568 16H72zM504 80C508.4 80 512 83.58 512 88V464C512 490.5 490.5 512 464 512H176C149.5 512 128 490.5 128 464V88C128 83.58 131.6 80 136 80C140.4 80 144 83.58 144 88V464C144 481.7 158.3 496 176 496H464C481.7 496 496 481.7 496 464V88C496 83.58 499.6 80 504 80zM320 360C263.1 360 216 321.9 216 272C216 222.1 263.1 184 320 184C376 184 424 222.1 424 272C424 321.9 376 360 320 360zM232 272C232 310.5 269.1 344 320 344C370 344 408 310.5 408 272C408 233.5 370 200 320 200C269.1 200 232 233.5 232 272z"],
    "monitor-waveform": [576, 512, ["monitor-heart-rate"], "f611", "M512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM560 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h448c26.47 0 48 21.53 48 48V416zM480 96H96C78.33 96 64 110.3 64 128v256c0 17.67 14.33 32 32 32h384c17.67 0 32-14.33 32-32V128C512 110.3 497.7 96 480 96zM496 384c0 8.822-7.178 16-16 16H96c-8.822 0-16-7.178-16-16V288h107.1l29.78 59.58C218.2 350.3 220.1 352 224 352c3.094-.0781 6.062-1.922 7.312-4.75l57.13-128.5l32.41 64.84C322.2 286.3 324.1 288 328 288h80C412.4 288 416 284.4 416 280S412.4 272 408 272h-75.06l-37.78-75.58C293.8 193.7 291 191.9 287.8 192C284.7 192.1 281.9 193.9 280.7 196.8l-57.13 128.5L199.2 276.4C197.8 273.7 195 272 192 272H80V128c0-8.822 7.178-16 16-16h384c8.822 0 16 7.178 16 16V384z"],
    "monkey": [576, 512, [128018], "f6fb", "M400 112C400 120.8 392.8 128 384 128C375.2 128 368 120.8 368 112C368 103.2 375.2 96 384 96C392.8 96 400 103.2 400 112zM432 112C432 103.2 439.2 96 448 96C456.8 96 464 103.2 464 112C464 120.8 456.8 128 448 128C439.2 128 432 120.8 432 112zM440 56C470.9 56 496 81.07 496 112C496 134.3 482.9 153.6 464 162.6V168C464 194.5 442.5 216 416 216C389.5 216 368 194.5 368 168V162.6C349.1 153.6 336 134.3 336 112C336 81.07 361.1 56 392 56H440zM378.7 149.7L384 151.6V168C384 185.7 398.3 200 416 200C433.7 200 448 185.7 448 168V151.6L453.3 149.7C468.9 144.2 480 129.4 480 112C480 89.91 462.1 72 440 72H392C369.9 72 352 89.91 352 112C352 129.4 363.1 144.2 378.7 149.7zM104 16C55.4 16 16 55.4 16 104V376C16 442.3 69.73 496 136 496H176V431C176 333.3 237 246.6 327.8 212.1C317.5 199.9 310.1 184.5 306.5 167.7C278.2 164.1 256 141.1 256 112C256 81.07 281.1 56 312 56H318.1C338.3 22.52 374.5 0 416 0C457.5 0 493.7 22.52 513 56H520C550.9 56 576 81.07 576 112C576 141.1 553.8 164.1 525.5 167.7C514.6 218.2 469.7 256 416 256C386.4 256 359.5 244.5 339.5 225.8C251.6 255.3 192 337.8 192 431V496H480C488.8 496 496 488.8 496 480C496 471.2 488.8 464 480 464H440C435.8 464 432.4 460.8 432 456.7L431.4 448.7C427.6 403.1 389.4 368 343.7 368H328C323.6 368 320 364.4 320 360C320 355.6 323.6 352 328 352H343.7C380.7 352 413.6 371.5 432 401.1V296C432 292.7 434 289.8 437 288.6C440.1 287.4 443.6 288.1 445.8 290.5L539 389.6C562.8 414.8 576 448.1 576 482.8V504C576 508.4 572.4 512 568 512C563.6 512 560 508.4 560 504V482.8C560 452.2 548.3 422.8 527.4 400.5L448 316.2V448H480C497.7 448 512 462.3 512 480C512 497.7 497.7 512 480 512H136C60.89 512 0 451.1 0 376V104C0 46.56 46.56 0 104 0H136C184.6 0 224 39.4 224 88C224 136.6 184.6 176 136 176H104C99.58 176 96 172.4 96 168C96 163.6 99.58 160 104 160H136C175.8 160 208 127.8 208 88C208 48.24 175.8 16 136 16L104 16zM512 112C512 58.98 469 16 416 16C362.1 16 320 58.98 320 112V144C320 197 362.1 240 416 240C469 240 512 197 512 144V112zM272 112C272 131.4 285.9 147.6 304.2 151.2C304.1 148.9 304 146.4 304 144V112C304 97.91 306.6 84.43 311.4 72.01C289.6 72.35 272 90.13 272 112zM528 144C528 146.4 527.9 148.9 527.8 151.2C546.1 147.6 560 131.4 560 112C560 90.13 542.4 72.35 520.6 72.01C525.4 84.43 528 97.91 528 112V144z"],
    "monument": [384, 512, [], "f5a6", "M197.7 24.97C194.5 21.85 189.5 21.85 186.3 24.97L125.3 85.98C121.6 89.71 119.2 94.58 118.5 99.82L79.93 393C79.36 397.4 75.34 400.5 70.96 399.9C66.58 399.4 63.49 395.3 64.07 390.1L102.7 97.73C103.8 88.1 107.8 80.89 114 74.66L175 13.66C184.4 4.286 199.6 4.286 208.1 13.66L269.1 74.66C276.2 80.89 280.2 88.1 281.3 97.73L319.9 390.1C320.5 395.3 317.4 399.4 313 399.9C308.7 400.5 304.6 397.4 304.1 393L265.5 99.82C264.8 94.58 262.4 89.71 258.7 85.98L197.7 24.97zM232 256C245.3 256 256 266.7 256 280V296C256 309.3 245.3 320 232 320H152C138.7 320 128 309.3 128 296V280C128 266.7 138.7 256 152 256H232zM232 272H152C147.6 272 144 275.6 144 280V296C144 300.4 147.6 304 152 304H232C236.4 304 240 300.4 240 296V280C240 275.6 236.4 272 232 272zM352 432C369.7 432 384 446.3 384 464V480C384 497.7 369.7 512 352 512H32C14.33 512 0 497.7 0 480V464C0 446.3 14.33 432 32 432H352zM16 480C16 488.8 23.16 496 32 496H352C360.8 496 368 488.8 368 480V464C368 455.2 360.8 448 352 448H32C23.16 448 16 455.2 16 464V480z"],
    "moon": [512, 512, [127769, 9214], "f186", "M430.3 376.4c-3.969-6.625-11.47-9.969-18.94-8.531c-47.34 9.094-95.81-3.391-132.9-34.08C241.3 303 219.1 257.7 219.1 209.5c0-57.83 31.25-111.5 81.5-140.2c6.688-3.781 10.19-11.16 8.938-18.75c-1.281-7.594-7-13.42-14.56-14.81C284.7 33.67 266.4 32 254.9 32C131.5 32 31.16 132.5 31.16 256s100.4 224 223.8 224c67.72 0 131.1-30.22 173.8-82.92C433.6 391.1 434.2 382.1 430.3 376.4zM416.3 386.1C376.6 435.9 317.8 464 254.9 464c-114.6 0-207.8-93.31-207.8-208s93.22-208 207.8-208c10.62 0 27.66 1.562 37.97 3.469c.9687 .1875 1.531 .7656 1.719 1.734c.1562 .9844-.1875 1.719-1.062 2.203c-55.25 31.5-89.59 90.55-89.59 154.1c0 53 23.44 102.8 64.28 136.6c40.78 33.77 94.13 47.44 146.1 37.47c1.062-.1562 1.844 .4375 2.219 1.016C417 385.4 416.1 386.2 416.3 386.1z"],
    "moon-cloud": [640, 512, [], "f754", "M319.1 317.3c0-36.75-30.87-66.66-68.81-66.66c-8.437 0-16.87 1.594-24.87 4.672C217.8 218.5 184.6 192 144.8 192c-37.62 0-70.53 24.38-80.69 58.83C28.34 253.2 0 282.1 0 317.3C0 354.1 30.87 384 68.81 384h182.4C289.1 384 319.1 354.1 319.1 317.3zM251.2 368H68.81c-29.12 0-52.81-22.73-52.81-50.67s23.69-50.66 51.97-50.72c4.406 .9844 9.312-1.844 10.22-6.109C84.41 230.1 112.4 208 144.8 208c35.34 0 64.28 25.73 67.31 59.84c.25 2.719 1.844 5.141 4.281 6.391c2.406 1.266 5.312 1.188 7.687-.1719c8.375-4.828 17.75-7.391 27.09-7.391c29.12 0 52.81 22.72 52.81 50.66S280.3 368 251.2 368zM637.4 376.3c-3.938-6.625-11.47-9.953-18.97-8.516c-47.34 9.094-95.9-3.391-133.1-34.13c-37.12-30.73-58.44-76-58.44-124.2c0-57.83 31.25-111.6 81.56-140.2c6.687-3.781 10.19-11.16 8.937-18.75c-1.281-7.594-6.1-13.42-14.56-14.81C491.7 33.67 473.3 32 461.9 32c-110.4 0-203.3 79.14-220.9 188.2C240.3 224.5 243.3 228.7 247.7 229.3c4.625 .9062 8.469-2.266 9.187-6.625C273.1 121.5 359.4 48 461.9 48c10.59 0 27.66 1.562 37.1 3.469c.9687 .1875 1.531 .7656 1.719 1.734c.1562 .9844-.1875 1.719-1.062 2.203c-55.31 31.48-89.65 90.53-89.65 154.1c0 52.97 23.41 102.7 64.25 136.5c40.81 33.8 94.06 47.44 146.2 37.52c1.125-.1562 1.906 .4375 2.219 1.016c.5313 .8438 .4687 1.672-.1562 2.422C583.7 435.9 524.8 464 461.9 464c-58.47 0-114.6-25.02-154.1-68.64c-2.1-3.297-8.062-3.547-11.31-.5781c-3.281 2.969-3.531 8.031-.5625 11.3C338.5 453.1 398.9 480 461.9 480c67.75 0 131.2-30.22 173.1-82.94C640.8 391.1 641.3 382.9 637.4 376.3z"],
    "moon-over-sun": [512, 512, ["eclipse-alt"], "f74a", "M329.8 311.2c-.3262 0-.6602 .0352-1.004 .1074c-4.99 .9531-9.941 1.41-14.8 1.41c-42.18 0-77.95-34.36-77.95-78.21c0-28.02 15.05-53.97 39.44-67.85c3.76-2.205 2.854-7.912-1.428-8.563C268.1 156.9 261.1 156.4 255.9 156.4c-54.87 0-99.5 44.5-99.5 99.63c0 55 44.5 99.63 99.5 99.63c30.74 0 58.77-14.01 77.32-36.84C335.8 315.7 333.5 311.2 329.8 311.2zM255.9 339.6c-46.04 0-83.5-37.52-83.5-83.63c0-41.56 30.43-76.15 70.15-82.56c-14.28 16.78-22.5 38.36-22.5 61.03c0 46.92 34.39 85.94 79.22 93.05C286.3 335.4 271.4 339.6 255.9 339.6zM507.8 339L450.2 256l57.6-83.01c9.703-13.98 1.693-33.32-15.05-36.34l-99.43-17.97l-17.97-99.43C373.2 7.459 363 0 352.3 0c-4.518 0-9.127 1.321-13.27 4.194L256 61.79L172.1 4.194C168.8 1.321 164.2 0 159.7 0C148.1-.002 138.8 7.457 136.6 19.25L118.7 118.7L19.25 136.6C2.5 139.7-5.51 159 4.193 172.1L61.8 256l-57.6 83.01c-9.703 13.98-1.695 33.32 15.05 36.35l99.43 17.97l17.97 99.43C138.8 504.5 148.1 512 159.7 512c4.518 0 9.127-1.321 13.27-4.194L256 450.2l83.01 57.6C343.2 510.7 347.8 512 352.3 512c10.74 0 20.95-7.457 23.08-19.25l17.97-99.43l99.43-17.97C509.5 372.3 517.5 352.1 507.8 339zM495.4 355.2c-.5742 1.391-2.057 3.816-5.51 4.441l-110.4 19.94l-19.94 110.4c-.7578 4.188-4.332 6.094-7.332 6.094c-1.471 0-2.865-.4492-4.146-1.338L256 430.7l-92.13 63.93c-1.279 .8887-2.674 1.338-4.145 1.338c-3 0-6.574-1.906-7.332-6.094l-19.94-110.4l-110.4-19.94c-3.453-.625-4.936-3.051-5.51-4.441c-.5781-1.393-1.246-4.156 .7539-7.037L81.27 256L17.34 163.9c-2-2.883-1.332-5.647-.7559-7.037c.5762-1.391 2.059-3.818 5.51-4.443l110.4-19.94L152.4 22.09c.7578-4.188 4.33-6.094 7.33-6.094c1.473 0 2.867 .4512 4.148 1.338L256 81.27l92.13-63.93c1.279-.8887 2.674-1.338 4.145-1.338c3 0 6.574 1.906 7.332 6.094l19.94 110.4l110.4 19.94c3.451 .625 4.934 3.053 5.51 4.443c.5762 1.391 1.244 4.154-.7539 7.037L430.7 256l63.93 92.13C496.7 351 495.1 353.8 495.4 355.2zM255.9 112.1c-36.91 0-73.81 14.04-101.9 42.11c-56.15 56.15-56.15 147.6 0 203.8c28.08 28.08 64.98 42.11 101.9 42.11s73.81-14.04 101.9-42.11c56.15-56.15 56.15-147.6 0-203.8C329.7 126.1 292.8 112.1 255.9 112.1zM346.5 346.7c-24.13 24.13-56.3 37.43-90.57 37.43s-66.44-13.29-90.57-37.43c-49.94-49.94-49.94-131.2 0-181.1c24.13-24.14 56.3-37.43 90.57-37.43s66.44 13.29 90.57 37.43C396.4 215.5 396.4 296.7 346.5 346.7z"],
    "moon-stars": [512, 512, [], "f755", "M334 426.2c-.5781 0-1.174 .0586-1.781 .1816c-9.645 1.838-19.21 2.721-28.6 2.721c-81.29 0-149.9-66.08-149.9-150.3c0-54.25 29-104 76-130.9c7.375-4.125 5.45-15.12-2.8-16.62C215 129 203.3 127.1 191.7 127.1C87.1 127.1 0 212.1 0 320c0 106 85.76 192 191.8 192c59.25 0 113.2-26.79 148.9-71.04C345.7 434.1 341.1 426.2 334 426.2zM191.8 496C94.84 496 16 417 16 320c0-47.43 18.52-91.86 52.15-125.1C101.4 162.1 145.2 143.1 191.6 143.1c4.662 0 9.352 .1895 14.04 .5645C163.3 175.7 137.8 225.6 137.8 278.8c0 91.72 74.42 166.3 165.9 166.3c4.092 0 8.201-.1523 12.24-.4512C283.1 477.5 238.8 496 191.8 496zM504 216h-80v-80c0-4.422-3.594-8-8-8S408 131.6 408 136v80h-80C323.6 216 320 219.6 320 224s3.594 8 8 8h80v80C408 316.4 411.6 320 416 320s8-3.578 8-8v-80h80C508.4 232 512 228.4 512 224S508.4 216 504 216zM264 72h48v48C312 124.4 315.6 128 320 128s8-3.578 8-8v-48h48C380.4 72 384 68.42 384 64s-3.594-8-8-8h-48v-48C328 3.578 324.4 0 320 0s-8 3.578-8 8v48h-48C259.6 56 256 59.58 256 64S259.6 72 264 72z"],
    "moped": [640, 512, [], "e3b9", "M384.1 32C401.8 32 417.4 43.65 422.5 60.64L431.5 91.29L495.8 59.14C499.1 57.08 504.5 56 509.1 56C519.6 56 528 64.45 528 74.87V149.1C528 159.6 519.6 168 509.1 168C504.5 168 499.1 166.9 495.8 164.9L445.9 139.9L476.9 244.3C488.1 241.5 499.9 240 512 240C551.9 240 587.9 256.2 614 282.4C617.1 285.5 617.1 290.5 613.1 293.7C610.9 296.8 605.8 296.8 602.7 293.6C579.5 270.4 547.4 256 512 256C441.3 256 384 313.3 384 384H256C256 437 213 480 160 480C106.1 480 64 437 64 384H32C14.33 384 0 369.7 0 352V320C0 249.3 57.31 192 128 192H224C241.7 192 256 206.3 256 224V288C256 305.7 270.3 320 288 320H382.1C399.1 287.5 427.3 261.9 461.6 249.1L407.1 65.18C404.1 54.99 394.7 48 384.1 48H328C323.6 48 320 44.42 320 40C320 35.58 323.6 32 328 32L384.1 32zM368.9 368C370.1 356.9 372.6 346.2 376.2 336H287.1C261.5 336 239.1 314.5 239.1 288V224C239.1 215.2 232.8 208 223.1 208H127.1C66.14 208 15.1 258.1 15.1 320V352C15.1 360.8 23.16 368 31.1 368H368.9zM502.1 150.6C504.9 151.5 506.1 152 509.1 152C510.7 152 512 150.7 512 149.1V74.87C512 73.28 510.7 72 509.1 72C506.1 72 504.9 72.5 502.1 73.45L436.4 106.7L435.7 105.2L440 119.1C441.2 120 442.4 120.3 443.6 120.8L502.1 150.6zM80 384C80 428.2 115.8 464 160 464C204.2 464 240 428.2 240 384H80zM224 112C241.7 112 256 126.3 256 144C256 161.7 241.7 176 224 176H128C110.3 176 96 161.7 96 144C96 126.3 110.3 112 128 112H224zM224 128H128C119.2 128 112 135.2 112 144C112 152.8 119.2 160 128 160H224C232.8 160 240 152.8 240 144C240 135.2 232.8 128 224 128zM416 384C416 330.1 458.1 288 512 288C565 288 608 330.1 608 384C608 437 565 480 512 480C458.1 480 416 437 416 384zM512 464C556.2 464 592 428.2 592 384C592 339.8 556.2 304 512 304C467.8 304 432 339.8 432 384C432 428.2 467.8 464 512 464z"],
    "mortar-pestle": [512, 512, [], "f5a7", "M269.2 160c1.688 0 3.375-.5156 4.812-1.594l183.3-137.6c7.312-5.469 17-6.375 25.28-2.281c7 3.5 11.75 9.967 13 17.75c1.25 7.734-1.219 15.33-6.75 20.84l-89.12 89.21c-3.125 3.125-3.125 8.186 0 11.31c3.125 3.141 8.188 3.109 11.31 0l89.09-89.2c9.25-9.17 13.34-21.83 11.28-34.72c-2.094-12.92-10-23.69-21.69-29.53c-13.72-6.766-29.78-5.344-41.1 3.797L264.4 145.6c-3.531 2.656-4.25 7.67-1.594 11.2C264.4 158.9 266.8 160 269.2 160zM503.1 192H8c-4.406 0-8 3.576-8 7.998s3.594 8 8 8h495.1c4.406 0 8-3.578 8-8S508.4 192 503.1 192zM479.1 240c-4.406 0-8.007 3.585-8.007 8.007c0 75.73-45.56 142.8-116.1 170.9c-4.871 1.975-6.619 7.982-3.406 12.27c12.62 16.72 20.53 35.22 23.44 54.9C376.6 491.1 372.9 496 367.7 496H144.2c-5.193 0-8.895-4.941-8.219-9.826c2.938-19.75 10.84-38.25 23.47-54.97c3.219-4.291 1.453-10.29-3.406-12.27C85.56 390.8 39.1 323.7 39.1 248c0-4.422-3.593-8.007-7.999-8.007S23.1 243.6 23.1 248c0 78.96 45.56 149.3 116.9 181.9c-10.78 16.59-17.88 35.08-20.72 54.03c-.9687 7.139 1.156 14.36 5.906 19.78C130.7 508.1 137.3 512 144.2 512h223.5c6.936 0 13.55-3.031 18.14-8.328c4.75-5.422 6.875-12.64 5.875-19.84c-2.812-18.91-9.906-37.37-20.69-53.97c71.34-32.58 116.9-102.9 116.9-181.9C487.1 243.6 484.4 240 479.1 240z"],
    "mosque": [640, 512, [128332], "f678", "M400 0C402.5 0 404.9 1.186 406.4 3.2C425.8 29 450.7 49.61 479.3 69.06C497.3 81.32 516.4 92.86 536.4 104.1C548.4 112.2 560.8 119.7 573.4 127.6C600.6 144.7 616 174.8 616 206.6C616 226.5 610 244.1 599.8 260.4C597.3 264.1 592.4 265.1 588.7 262.7C584.1 260.2 584 255.3 586.4 251.6C595 238.7 600 223.2 600 206.6C600 179.9 587.1 155.1 564.9 141.1C552.8 133.5 540.7 126.2 528.7 119C508.4 106.7 488.6 94.74 470.3 82.29C443.9 64.35 419.8 44.92 400 20.94C380.2 44.92 356.1 64.35 329.7 82.29C311.4 94.74 291.6 106.7 271.3 119C259.3 126.2 247.2 133.5 235.1 141.1C212.9 155.1 199.1 179.9 199.1 206.6C199.1 223.2 204.1 238.7 213.6 251.6C216 255.3 214.1 260.2 211.3 262.7C207.6 265.1 202.7 264.1 200.2 260.4C189.1 244.1 183.1 226.5 183.1 206.6C183.1 174.8 199.4 144.7 226.6 127.6C239.2 119.7 251.6 112.2 263.6 104.1C283.6 92.87 302.7 81.32 320.7 69.06C349.3 49.61 374.2 29 393.6 3.2C395.1 1.186 397.5 0 400 0V0zM640 456C640 486.9 614.9 512 584 512H215.1C185.1 512 159.1 486.9 159.1 456V344C159.1 313.1 185.1 288 215.1 288H584C614.9 288 640 313.1 640 344V456zM464 496H512V416C512 398.3 526.3 384 544 384C561.7 384 576 398.3 576 416V496H584C606.1 496 624 478.1 624 456V344C624 321.9 606.1 304 584 304H215.1C193.9 304 175.1 321.9 175.1 344V456C175.1 478.1 193.9 496 215.1 496H223.1V416C223.1 398.3 238.3 384 255.1 384C273.7 384 287.1 398.3 287.1 416V496H336V416C336 395.9 345.5 376.9 361.6 364.8L400 336L438.4 364.8C454.5 376.9 464 395.9 464 416V496zM448 416C448 400.9 440.9 386.7 428.8 377.6L400 356L371.2 377.6C359.1 386.7 352 400.9 352 416V496H448V416zM528 416V496H560V416C560 407.2 552.8 400 544 400C535.2 400 528 407.2 528 416zM271.1 416C271.1 407.2 264.8 400 255.1 400C247.2 400 239.1 407.2 239.1 416V496H271.1V416zM73.48 3.402C76.17 1.554 79.72 1.531 82.44 3.344L101 15.72C136.6 39.46 158 79.42 158 122.2V280C158 284.4 154.4 288 150 288C145.6 288 142 284.4 142 280V160H16V456C16 478.1 33.91 496 56 496H120C124.4 496 128 499.6 128 504C128 508.4 124.4 512 120 512H56C25.07 512 0 486.9 0 456V121.2C0 79.01 20.8 39.52 55.61 15.65L73.48 3.402zM15.1 144H141.1V122.2C141.1 84.77 123.3 49.8 92.13 29.03L78.06 19.66L64.66 28.85C34.2 49.73 15.1 84.29 15.1 121.2V144z"],
    "mosquito": [640, 512, [], "e52b", "M198.5 3.523L246.5 75.52C248.1 77.99 248.3 81.18 247 83.83L218.4 140.1L287.1 182.7V176.1C287.1 161.2 298.1 148.7 311.8 145.1V63.75C311.8 59.25 315.5 55.59 319.1 55.59C324.5 55.59 328.2 59.25 328.2 63.75V145.1C341.9 148.7 351.1 161.2 351.1 176.1V182.7L421.6 140.1L392.1 83.83C391.7 81.18 391.9 77.99 393.5 75.52L441.5 3.523C443.1-.1724 448.9-1.111 452.5 1.426C456 3.964 456.1 9.017 454.5 12.71L409.2 80.71L439 140.4C440.9 144.2 439.6 148.1 435.1 151.1L362.3 195.4L560.6 226.4C605.1 232.4 640 272.8 640 320.8C640 405.5 542.4 447.9 485.4 387.1L351.1 266.1V297.1L405.1 362.7C407.2 364.2 407.9 366.1 407.9 368V429.5L454.5 499.4C456.1 503.1 456.1 508.2 452.5 510.7C448.9 513.2 443.1 512.3 441.5 508.6L393.5 436.6C392.6 435.3 392.1 433.7 392.1 432V371L351.1 322.9V400C351.1 417.7 337.7 432 319.1 432C302.3 432 287.1 417.7 287.1 400V322.9L247.9 371V432C247.9 433.7 247.4 435.3 246.5 436.6L198.5 508.6C196 512.3 191.1 513.2 187.5 510.7C183.9 508.2 183 503.1 185.5 499.4L232.1 429.5V368C232.1 366.1 232.8 364.2 234 362.7L287.1 297.1V266.1L154.6 387.1C97.58 447.9 .0003 405.5 0 320.8C0 272.8 34.02 232.4 79.35 226.4L277.7 195.4L204 151.1C200.4 148.1 199.1 144.2 200.1 140.4L230.8 80.71L185.5 12.71C183 9.017 183.1 3.964 187.5 1.427C191.1-1.111 196-.1721 198.5 3.524L198.5 3.523zM496.9 376.9C542.9 425.2 624 392.7 624 320.8C624 280.3 595.4 247.1 558.6 242.3L558.2 242.2L351.1 209.9V244.4L496.2 376.2C496.4 376.4 496.7 376.7 496.9 376.9V376.9zM287.1 244.4V209.9L81.43 242.3C44.64 247.1 15.1 280.3 15.1 320.8C16 392.7 97.11 425.2 143.1 376.1C143.3 376.7 143.6 376.4 143.8 376.2L287.1 244.4zM303.1 400C303.1 408.9 311.2 416 319.1 416C328.8 416 335.1 408.9 335.1 400V176.1C335.1 167.2 328.8 160.1 319.1 160.1C311.2 160.1 303.1 167.2 303.1 176.1V400z"],
    "mosquito-net": [640, 512, [], "e52c", "M411.9 1.008C415.7 3.154 417.1 8.024 414.1 11.89L376.7 80.81L391.6 125.5C392.7 128.9 391.4 132.7 388.4 134.7L326.2 176.2L499.7 202.1C504.7 202.7 509.6 203.7 514.3 205.2C518.6 206.5 520.9 210.1 519.7 215.2C518.4 219.4 513.9 221.8 509.7 220.5C505.8 219.3 501.7 218.4 497.6 217.9L497.4 217.9L319.1 191.4V235.9L357.3 268.3C360.6 271.2 360.9 276.3 358 279.6C355.1 282.1 350.1 283.3 346.7 280.4L319.1 257.1V276.7L349.7 306.3C352.8 309.5 352.8 314.5 349.7 317.7C346.5 320.8 341.5 320.8 338.3 317.7L319.1 299.3V360.6C319.1 378.3 305.7 392.6 287.1 392.6C270.3 392.6 255.1 378.3 255.1 360.6V299.3L216 339.3V384C216 385.4 215.7 386.7 214.1 387.9L174.1 459.9C172.8 463.8 167.1 465.1 164.1 462.1C160.3 460.8 158.9 455.1 161 452.1L200 381.9V336C200 333.9 200.8 331.8 202.3 330.3L255.1 276.7V257.1L148.8 350.5C93.77 405.1 .0003 366.2 0 288.6C0 244.6 32.72 207.6 76.34 202.1L249.8 176.2L187.6 134.7C184.6 132.7 183.3 128.9 184.4 125.5L199.3 80.81L161 11.89C158.9 8.025 160.3 3.155 164.1 1.009C167.1-1.136 172.8 .2549 174.1 4.117L214.1 76.12C216.1 78.08 216.3 80.41 215.6 82.53L201.5 124.7L255.1 161.1V137.9C255.1 123.1 266.1 110.6 279.8 106.1V63.68C279.8 59.17 283.5 55.52 287.1 55.52C292.5 55.52 296.2 59.17 296.2 63.68V106.1C309.9 110.6 319.1 123.1 319.1 137.9V161.1L374.5 124.7L360.4 82.53C359.7 80.4 359.9 78.08 361 76.12L401 4.116C403.2 .2539 408-1.137 411.9 1.008L411.9 1.008zM255.1 191.4L78.42 217.9C42.76 222.4 16 252.7 16 288.6C16 352.1 92.76 383.9 137.7 338.1C137.8 338.8 137.9 338.7 138.1 338.6L255.1 235.9V191.4zM271.1 360.6C271.1 369.5 279.2 376.6 287.1 376.6C296.8 376.6 303.1 369.5 303.1 360.6V137.9C303.1 129.1 296.8 121.9 287.1 121.9C279.2 121.9 271.1 129.1 271.1 137.9V360.6zM424 376V312H392C387.6 312 384 308.4 384 304C384 299.6 387.6 296 392 296H424V264C424 259.6 427.6 256 432 256C436.4 256 440 259.6 440 264V296H504V264C504 259.6 507.6 256 512 256C516.4 256 520 259.6 520 264V296H584V264C584 259.6 587.6 256 592 256C596.4 256 600 259.6 600 264V296H632C636.4 296 640 299.6 640 304C640 308.4 636.4 312 632 312H600V376H632C636.4 376 640 379.6 640 384C640 388.4 636.4 392 632 392H600V456H632C636.4 456 640 459.6 640 464C640 468.4 636.4 472 632 472H600V504C600 508.4 596.4 512 592 512C587.6 512 584 508.4 584 504V472H520V504C520 508.4 516.4 512 512 512C507.6 512 504 508.4 504 504V472H440V504C440 508.4 436.4 512 432 512C427.6 512 424 508.4 424 504V472H392C387.6 472 384 468.4 384 464C384 459.6 387.6 456 392 456H424V392H392C387.6 392 384 388.4 384 384C384 379.6 387.6 376 392 376H424zM520 392V456H584V392H520zM520 312V376H584V312H520zM440 392V456H504V392H440zM504 376V312H440V376H504z"],
    "motorcycle": [640, 512, [127949], "f21c", "M460.8 234.6C476.5 227.8 493.8 224 512 224C582.7 224 640 281.3 640 352C640 422.7 582.7 480 512 480C441.3 480 384 422.7 384 352C384 305.2 409.1 264.3 446.6 241.1L431.1 213.4C384.2 241.1 352 292.8 352 352V368C352 372.4 348.4 376 344 376H296C291.7 376 288.2 372.6 288 368.3L287.7 360.4C283.6 266.2 206.1 192 111.8 192H64C46.33 192 32 177.7 32 160C32 142.3 46.33 128 64 128H157.6C181.6 128 205.1 134.7 225.4 147.5L255.7 166.4L367.3 87.36L349.3 52.35C347.1 49.68 345.2 48 342.2 48H264C259.6 48 256 44.42 256 40C256 35.58 259.6 32 264 32H342.2C351.2 32 359.5 37.04 363.6 45.05L380.5 78.02L437.1 37.89C442.6 34.06 449 32 455.6 32H480C497.7 32 512 46.33 512 64V96C512 113.7 497.7 128 480 128H406.1L460.8 234.6zM455.6 48C452.3 48 449.1 49.03 446.4 50.94L387.9 92.4L397.9 112H480C488.8 112 496 104.8 496 96V64C496 55.16 488.8 48 480 48H455.6zM157.6 144H64C55.16 144 48 151.2 48 160C48 168.8 55.16 176 64 176H111.8C214.6 176 299.2 256.1 303.6 359.7L303.7 360H336V352C336 286.6 371.7 229.5 424.6 199.2L374.7 101.7L260.6 182.5C257.9 184.5 254.3 184.4 251.6 182.7L216.9 161C199.1 149.9 178.6 144 157.6 144L157.6 144zM400 352C400 413.9 450.1 464 512 464C573.9 464 624 413.9 624 352C624 290.1 573.9 240 512 240C496.4 240 481.6 243.2 468.1 248.9L519.1 348.3C521.1 352.3 519.6 357.1 515.7 359.1C511.7 361.1 506.9 359.6 504.9 355.7L453.9 256.2C421.6 275.9 400 311.4 400 352V352zM256 352C256 422.7 198.7 480 128 480C57.31 480 0 422.7 0 352C0 281.3 57.31 224 128 224C198.7 224 256 281.3 256 352zM191.5 360C187.6 391.6 160.6 416 128 416C92.65 416 64 387.3 64 352C64 316.7 92.65 288 128 288C160.6 288 187.6 312.4 191.5 344H239.7C235.6 285.9 187.2 240 128 240C66.14 240 16 290.1 16 352C16 413.9 66.14 464 128 464C187.2 464 235.6 418.1 239.7 360H191.5zM128 360C123.6 360 120 356.4 120 352C120 347.6 123.6 344 128 344H175.3C171.5 321.3 151.8 304 128 304C101.5 304 80 325.5 80 352C80 378.5 101.5 400 128 400C151.8 400 171.5 382.7 175.3 360H128z"],
    "mound": [576, 512, [], "e52d", "M431.9 179.2L540.4 368C552.7 389.4 537.3 416 512.7 416H63.31C38.7 416 23.31 389.4 35.57 368L144.1 179.2C173.8 127.7 228.6 96 288 96C347.4 96 402.2 127.7 431.9 179.2H431.9zM526.6 376L417.1 187.2C391.2 140.7 341.7 112 288 112C234.3 112 184.8 140.7 158 187.2L49.44 376C43.31 386.7 51.01 400 63.31 400H512.7C524.1 400 532.7 386.7 526.6 376H526.6z"],
    "mountain": [512, 512, [127956], "f6fc", "M503.2 393.8L280.1 44.25C274.9 36.08 265.4 32 256 32C246.6 32 237.1 36.08 231.9 44.25L8.807 393.8c-11.11 17.41-11.75 39.42-1.666 57.45C17.07 468.1 35.92 480 56.31 480h399.4c20.39 0 39.24-11.03 49.18-28.77C514.9 433.2 514.3 411.2 503.2 393.8zM245.4 52.85C247.7 49.28 252.4 48 256 48c3.619 0 8.303 1.275 10.59 4.855L365.6 208H256c-2.516 0-4.891 1.188-6.406 3.203L209 265.3L184.2 220.1C182.8 217.6 180.1 216 177.2 216h-35.95L245.4 52.85zM490.9 443.4C483.8 456.1 470.3 464 455.7 464H56.31c-14.61 0-28.1-7.887-35.21-20.58c-7.203-12.88-6.746-28.6 1.189-41.03L131.1 232h41.42l28.5 51.86c1.312 2.375 3.734 3.922 6.453 4.125C207.6 288 207.8 288 208 288c2.5 0 4.891-1.172 6.406-3.203L260 224h115.8l113.9 178.4C497.6 414.8 498.1 430.5 490.9 443.4z"],
    "mountain-city": [640, 512, [], "e52e", "M303.1 166.6L287.1 140.1V40C287.1 17.91 305.9 0 328 0H472C494.1 0 512 17.91 512 40V192H560V104C560 99.58 563.6 96 568 96C572.4 96 576 99.58 576 104V192H600C622.1 192 640 209.9 640 232V496C640 500.4 636.4 504 632 504C627.6 504 624 500.4 624 496V232C624 218.7 613.3 208 600 208H496V40C496 26.75 485.3 16 472 16H328C314.7 16 303.1 26.75 303.1 40V166.6zM442.9 458.9C449.4 469.7 449.7 483.2 443.6 494.2C437.5 505.2 426 512 413.5 512H34.46C21.1 512 10.5 505.2 4.404 494.2C-1.693 483.2-1.444 469.7 5.056 458.9L194.6 144.7C200.9 134.3 211.1 128 224 128C236 128 247.1 134.3 253.4 144.7L442.9 458.9zM239.7 152.1C236.3 147.3 230.3 144 223.1 144C217.7 144 211.7 147.3 208.3 152.1L126.9 287.8L174.8 346.1L216.6 291.2C218.1 289.2 220.5 287.1 222.1 287.1H321.2L239.7 152.1zM18.4 486.4C21.72 492.4 27.89 496 34.46 496H413.5C420.1 496 426.3 492.4 429.6 486.4C432.9 480.4 432.8 473 429.2 467.2L330.8 304H226.1L181.4 364.8C179.9 366.8 177.6 367.1 175.1 368C172.7 368 170.3 366.9 168.8 365L118.1 302.4L18.76 467.2C15.21 473 15.07 480.4 18.4 486.4H18.4zM360 96C360 82.75 370.7 72 384 72H416C429.3 72 440 82.75 440 96V128C440 141.3 429.3 152 416 152H384C370.7 152 360 141.3 360 128V96zM384 88C379.6 88 376 91.58 376 96V128C376 132.4 379.6 136 384 136H416C420.4 136 424 132.4 424 128V96C424 91.58 420.4 88 416 88H384zM416 200C429.3 200 440 210.7 440 224V256C440 260.4 436.4 264 432 264C427.6 264 424 260.4 424 256V224C424 219.6 420.4 216 416 216H384C379.6 216 376 212.4 376 208C376 203.6 379.6 200 384 200H416zM488 288C488 274.7 498.7 264 512 264H544C557.3 264 568 274.7 568 288V320C568 333.3 557.3 344 544 344H512C498.7 344 488 333.3 488 320V288zM512 280C507.6 280 504 283.6 504 288V320C504 324.4 507.6 328 512 328H544C548.4 328 552 324.4 552 320V288C552 283.6 548.4 280 544 280H512zM544 392C557.3 392 568 402.7 568 416V448C568 461.3 557.3 472 544 472H512C498.7 472 488 461.3 488 448V416C488 402.7 498.7 392 512 392H544zM504 448C504 452.4 507.6 456 512 456H544C548.4 456 552 452.4 552 448V416C552 411.6 548.4 408 544 408H512C507.6 408 504 411.6 504 416V448z"],
    "mountain-sun": [640, 512, [], "e52f", "M480 80C480 35.82 515.8 0 560 0C604.2 0 640 35.82 640 80C640 124.2 604.2 160 560 160C515.8 160 480 124.2 480 80zM560 144C595.3 144 624 115.3 624 80C624 44.65 595.3 16 560 16C524.7 16 496 44.65 496 80C496 115.3 524.7 144 560 144zM412.7 281.7L460.9 202.7C464.1 196.1 472.2 192 480 192C487.8 192 495 196.1 499.1 202.7L631.1 419.1C636.9 428.6 640 439.7 640 450.9C640 484.6 612.6 512 578.9 512H55.91C25.03 512 0 486.1 0 456.1C0 445.6 2.964 435.3 8.551 426.4L225.3 81.01C231.9 70.42 243.5 64 256 64C268.5 64 280.1 70.42 286.8 81.01L412.7 281.7zM422.2 296.9L503.4 426.4C509 435.3 512 445.6 512 456.1C512 471.7 505.6 485.9 495.2 496H578.9C603.8 496 624 475.8 624 450.9C624 442.6 621.7 434.5 617.4 427.4L485.4 211C484.3 209.2 482.2 207.1 480 207.1C477.8 207.1 475.7 209.2 474.6 211L422.2 296.9zM496 456.1C496 448.6 493.9 441.2 489.9 434.9L273.2 89.51C269.5 83.59 262.1 80 256 80C249 80 242.5 83.59 238.8 89.51L22.1 434.9C18.12 441.2 16 448.6 16 456.1C16 478.1 33.87 496 55.91 496H456.1C478.1 496 496 478.1 496 456.1H496z"],
    "mountains": [640, 512, [9968], "f6fd", "M8.55 394.4L225.2 49.01C231.9 38.42 243.5 32 255.1 32C268.5 32 280.1 38.42 286.7 49.01L412.7 249.7L460.9 170.7C464.1 164.1 472.2 160 480 160C487.8 160 495 164.1 499.1 170.7L631.1 387.1C636.9 396.6 640 407.7 640 418.9C640 452.6 612.6 480 578.9 480H55.91C25.03 480 0 454.1 0 424.1C0 413.6 2.964 403.3 8.551 394.4L8.55 394.4zM489.9 402.9L273.2 57.51C269.5 51.59 262.1 47.1 255.1 47.1C249 47.1 242.5 51.59 238.8 57.51L22.1 402.9C18.11 409.2 15.1 416.6 15.1 424.1C15.1 446.1 33.87 464 55.91 464H456.1C478.1 464 496 446.1 496 424.1C496 416.6 493.9 409.2 489.9 402.9H489.9zM503.4 394.4C509 403.3 512 413.6 512 424.1C512 439.7 505.6 453.9 495.2 464H578.9C603.8 464 624 443.8 624 418.9C624 410.6 621.7 402.5 617.4 395.4L485.4 179C484.3 177.2 482.2 175.1 480 175.1C477.8 175.1 475.7 177.2 474.6 179L422.2 264.9L503.4 394.4z"],
    "mouse-field": [512, 512, [], "e5a8", "M328 88C332.4 88 336 91.58 336 96V128C336 132.4 332.4 136 328 136H296C291.6 136 288 132.4 288 128C288 123.6 291.6 120 296 120H320V96C320 91.58 323.6 88 328 88zM400 192C400 183.2 407.2 176 416 176C424.8 176 432 183.2 432 192C432 200.8 424.8 208 416 208C407.2 208 400 200.8 400 192zM408 0C447.8 0 480 32.24 480 72C480 74.69 479.9 77.34 479.6 79.95C478.4 90.85 474.7 101 469.2 109.9C465.5 115.9 460.9 121.3 455.6 125.1C455.2 126.3 454.8 126.7 454.4 127C484.6 148.9 504 184.3 504 224.1C504 246.1 486.1 264 464.1 264H373.2L337.3 342.8L378.1 355.4C391.1 359.4 400 371.4 400 384.1C400 402.1 386.1 416 368.1 416H56C33.91 416 16 433.9 16 456C16 478.1 33.91 496 56 496H472C476.4 496 480 499.6 480 504C480 508.4 476.4 512 472 512H56C25.07 512 0 486.9 0 456C0 425.1 25.07 400 56 400H122.7C106.4 386.8 96 366.6 96 344V336C96 248.7 162.6 176.1 247.7 168.8C223.4 153.9 208 127.3 208 97.96V92C208 41.19 249.2 .0003 300 .0003C321.9 .0003 341.1 7.643 357.8 20.41C358.6 19.58 359.5 18.78 360.4 18C364.2 14.62 368.4 11.64 372.9 9.131C383.3 3.317 395.3 0 408 0L408 0zM370.1 29.1C370.4 30.49 369.9 30.99 369.3 31.51C383.4 47.68 392 68.84 392 92V104.6L392.8 104.6C409.8 105.8 425.7 110.5 439.9 118C441.7 116.8 443.4 115.4 445 114C447.9 111.4 450.6 108.6 452.9 105.5C453.8 104.3 454.6 103.1 455.4 101.9C460.8 93.21 464 82.98 464 71.1C464 41.07 438.9 15.1 408 15.1C406.2 15.1 404.5 16.08 402.7 16.24C390.6 17.37 379.6 22.37 370.1 29.1L370.1 29.1zM112 344C112 374.9 137.1 400 168 400H368.1C377.3 400 384 393.3 384 384.1C384 378.4 379.7 372.6 373.4 370.6L285.6 343.6C281.4 342.3 279.1 337.9 280.4 333.6C281.7 329.4 286.1 327.1 290.4 328.4L321.9 338.1L360.7 252.7C362 249.8 364.9 248 368 248H464.1C477.3 248 488 237.3 488 224.1C488 169.6 445.9 124.4 391.6 120.6L383.4 119.1C379.2 119.7 376 116.2 376 112V92C376 50.03 341.1 16 300 16C258 16 224 50.03 224 92V97.96C224 126.8 242.4 152.4 269.8 161.5L290.5 168.4C294.3 169.7 296.5 173.4 295.9 177.3C295.3 181.2 291.9 184 288 184H264C180.1 184 112 252.1 112 336V344z"],
    "mp3-player": [384, 512, [], "f8ce", "M320 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h256c35.35 0 64-28.65 64-64V64C384 28.65 355.3 0 320 0zM368 448c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V64c0-26.47 21.53-48 48-48h256c26.47 0 48 21.53 48 48V448zM192 224c-61.83 0-112 50.17-112 112S130.2 448 192 448s112-50.17 112-112S253.8 224 192 224zM192 432c-52.93 0-96-43.06-96-96s43.07-96 96-96c52.94 0 96 43.06 96 96S244.9 432 192 432zM288 64H96C78.33 64 64 78.33 64 96v64c0 17.67 14.33 32 32 32h192c17.67 0 32-14.33 32-32V96C320 78.33 305.7 64 288 64zM304 160c0 8.822-7.178 16-16 16H96C87.18 176 80 168.8 80 160V96c0-8.822 7.178-16 16-16h192c8.822 0 16 7.178 16 16V160zM192 304c-17.62 0-32 14.38-32 32s14.38 32 32 32s32-14.38 32-32S209.6 304 192 304zM192 352c-8.822 0-16-7.178-16-16S183.2 320 192 320s16 7.178 16 16S200.8 352 192 352z"],
    "mug": [576, 512, [], "f874", "M464 64H56C49.63 64 43.5 66.5 39 71S32 81.63 32 88V352c0 53 43 96 96 96h192c53 0 96-43 96-96V288h48C525.8 288 576 237.8 576 176S525.8 64 464 64zM400 352c0 44.11-35.89 80-80 80H128c-44.11 0-80-35.89-80-80V88c0-5.129 4.172-8 8-8H400V352zM464 272H416v-192h48c52.94 0 96 43.06 96 96S516.9 272 464 272z"],
    "mug-hot": [512, 512, [9749], "f7b6", "M416 192H24C17.63 192 11.5 194.5 7 199S0 209.6 0 216V416c0 53 43 96 96 96h192c53 0 96-43 96-96v-32h32c52.94 0 96-43.06 96-96S468.9 192 416 192zM368 416c0 44.11-35.89 80-80 80H96c-44.11 0-80-35.89-80-80V216c0-5.129 4.172-8 8-8H368V416zM416 368h-32v-160h32c44.11 0 80 35.89 80 80S460.1 368 416 368zM104.2 91.72l8.438 4.219C131.1 105.6 144 125 144 146.7V152c0 4.422 3.578 7.895 8 7.895S160 156.4 160 152V146.7c0-27.73-15.41-52.67-40.2-65.05L111.4 77.41C92.02 67.73 80 48.3 80 26.67V8C80 3.578 76.42 0 72 0S64 3.578 64 8v18.67C64 54.39 79.41 79.31 104.2 91.72zM232.2 91.72l8.438 4.219C259.1 105.6 272 125 272 146.7V152C272 156.4 275.6 160 280 160S288 156.4 288 152V146.7c0-27.73-15.41-52.67-40.2-65.05L239.4 77.41C220 67.73 208 48.3 208 26.67V8c0-4.422-3.578-7.895-8-7.895S192 3.578 192 8v18.67C192 54.39 207.4 79.31 232.2 91.72z"],
    "mug-marshmallows": [512, 512, [], "f7b7", "M416 160H24C17.63 160 11.5 162.5 7 167S0 177.6 0 184v200C0 437 43 480 96 480h192c53 0 96-42.95 96-95.95V352h32c52.94 0 96-43.06 96-96S468.9 160 416 160zM368 384c0 44.11-35.89 80-80 80H96c-44.11 0-80-35.89-80-80V184c0-5.129 4.172-8 8-8H96v104C96 284.4 99.58 288 104 288S112 284.4 112 280V176H160v72C160 252.4 163.6 256 168 256S176 252.4 176 248V176h192V384zM416 336h-32v-160h32c44.11 0 80 35.89 80 80S460.1 336 416 336zM40 136C44.42 136 48 132.4 48 128V72c0-13.23 10.77-24 24-24h96c6.891 0 13.45 2.969 17.1 8.125c2.922 3.328 7.969 3.641 11.28 .7187C200.6 53.92 200.9 48.88 197.1 45.56C190.4 36.94 179.5 32 168 32h-96C49.94 32 32 49.94 32 72v56.19C32 132.6 35.58 136 40 136zM191.5 130.6c1.469 4.172 5.984 6.328 10.19 4.938C205.8 134.1 208 129.5 206.6 125.4C203.5 116.6 205.7 107.1 212.3 100.5l45.25-45.25c9.375-9.406 24.58-9.375 33.95 0l45.25 45.25c6.562 6.562 8.75 16.09 5.703 24.86C341 129.5 343.2 134.1 347.4 135.6C348.3 135.9 349.1 136 349.1 136c3.313 0 6.407-2.078 7.563-5.375c4.984-14.39 1.25-30.66-9.516-41.42l-45.25-45.25c-15.61-15.62-41-15.59-56.58 0l-45.41 45.36C190 100.1 186.5 116.3 191.5 130.6z"],
    "mug-saucer": [640, 512, ["coffee"], "f0f4", "M544 32H120c-13.25 0-24 10.75-24 24L96.01 288c0 53 43 96 96 96h192C436.9 384 479.8 341.2 480 288.4V224h64c53.02 0 96-42.98 96-96S597 32 544 32zM464 288.4C463.8 332.3 427.9 368 384 368h-192c-44.11 0-80-35.89-80-80V56c0-4.412 3.59-8 8-8H464V288.4zM544 208h-64v-160h64c44.11 0 80 35.89 80 80S588.1 208 544 208zM568 416c-4.406 0-8 3.578-8 8c0 22.06-17.94 40-40 40H56c-22.06 0-40-17.94-40-40C16 419.6 12.41 416 8 416S0 419.6 0 424C0 454.9 25.12 480 56 480h464c30.88 0 56-25.12 56-56C576 419.6 572.4 416 568 416z"],
    "mug-tea": [576, 512, [], "f875", "M464 64H55.1c-6.375 0-12.5 2.5-17 7S31.1 81.63 31.1 88L31.1 352c0 53 43 96 96 96h192c53 0 96-43 96-96L416 288h48C525.8 288 576 237.8 576 176S525.8 64 464 64zM400 352c0 44.11-35.89 80-80 80H128c-44.11 0-80-35.89-80-80V88c0-5.129 4.172-8 8-8h96v40L105.4 166.6c-6.002 6.002-9.375 14.14-9.375 22.63L95.1 256c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32l-.0003-66.75c0-8.486-3.374-16.62-9.374-22.63L168 120V80h232V352zM160 134.6l43.31 43.31C206.3 180.1 208 184.1 208 189.3V256c0 8.822-7.178 16-16 16H128C119.2 272 112 264.8 112 256V189.3c0-4.273 1.666-8.291 4.686-11.31L160 134.6zM464 272H416v-192h48c52.94 0 96 43.06 96 96S516.9 272 464 272z"],
    "mug-tea-saucer": [640, 512, [], "e1f5", "M568 416c-4.406 0-8 3.578-8 8c0 22.06-17.94 40-40 40H56c-22.06 0-40-17.94-40-40C16 419.6 12.41 416 8 416S0 419.6 0 424C0 454.9 25.12 480 56 480h464c30.88 0 56-25.12 56-56C576 419.6 572.4 416 568 416zM528 32H119.1C113.6 32 107.5 34.5 102.1 39S95.99 49.63 95.99 56L95.1 288c0 53 43 96 96 96h192c53 0 96-43 96-96L480 256h48C589.8 256 640 205.8 640 144S589.8 32 528 32zM464 288c0 44.11-35.89 80-80 80H192c-44.11 0-80-35.89-80-80V56c0-5.129 4.172-8 8-8h96v40L169.4 134.6c-6.002 6.002-9.375 14.14-9.375 22.63L159.1 224c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32L287.1 157.3c0-8.486-3.374-16.62-9.374-22.63L232 88V48h232V288zM224 102.6l43.31 43.31C270.3 148.1 272 152.1 272 157.3V224c0 8.822-7.178 16-16 16H192C183.2 240 176 232.8 176 224V157.3c0-4.273 1.666-8.291 4.686-11.31L224 102.6zM528 240H480v-192h48c52.94 0 96 43.06 96 96S580.9 240 528 240z"],
    "mushroom": [512, 512, [127812], "e425", "M144 168c-22.06 0-40 17.94-40 40S121.9 248 144 248S184 230.1 184 208S166.1 168 144 168zM144 232c-13.22 0-24-10.77-24-24S130.8 184 144 184S168 194.8 168 208S157.2 232 144 232zM376 160C345.1 160 320 185.1 320 216s25.12 56 56 56s56-25.12 56-56S406.9 160 376 160zM376 256c-22.06 0-40-17.94-40-40s17.94-40 40-40S416 193.9 416 216S398.1 256 376 256zM488.5 242.1l-6.207-28.02C458.7 107.7 364.6 32 256 32S53.32 107.7 29.75 214.1L23.54 242.1C14.69 282.1 45.01 320 85.81 320h90.23l-15.61 114.2c-1.688 11.52 1.688 23.17 9.281 31.97C177.3 474.1 188.4 480 200 480h112c11.62 0 22.66-5.047 30.28-13.86c7.594-8.797 10.97-20.45 9.312-31.88L335.1 320h90.23C466.1 320 497.3 282.1 488.5 242.1zM330.2 455.7C325.6 460.1 318.1 464 312 464h-112c-6.969 0-13.59-3.031-18.16-8.312s-6.594-12.27-5.562-19.27L192.2 320h127.6l15.94 116.5C336.8 443.4 334.7 450.4 330.2 455.7zM463.4 286.1C454.3 297.5 440.7 304 426.2 304H85.81c-14.53 0-28.09-6.514-37.2-17.87C39.43 274.7 35.99 259.9 39.17 245.6l6.207-28.03C67.48 117.7 154.1 48 256 48s188.5 69.72 210.6 169.6l6.207 28.03C476 259.9 472.6 274.7 463.4 286.1zM289.6 64.16c-4.5-.9062-8.562 1.922-9.469 6.234C273.3 103.8 243.3 128 208.7 128C185.5 128 164.3 117.5 150.4 99.17C147.7 95.64 142.7 94.95 139.2 97.63c-3.5 2.672-4.188 7.688-1.531 11.2C154.6 131.2 180.5 144 208.7 144c42.09 0 78.75-29.61 87.13-70.39C296.7 69.28 293.9 65.05 289.6 64.16z"],
    "music": [512, 512, [127925], "f001", "M495.9 7.948c-10.28-7.625-23.15-9.906-35.37-6.219L204.6 78.51C187.8 83.54 176.1 99.29 176.1 116.8v271.2c-17.17-21.68-46.59-36.02-80.08-36.02C42.98 352 0 387.8 0 432C0 476.2 42.98 512 95.1 512s95.1-35.77 95.1-79.95l.0844-216.6l303.9-91.18v199.6c-17.19-21.62-46.55-35.93-80.01-35.93c-53.02 0-95.1 35.82-95.1 79.1c0 44.18 42.98 79.1 95.1 79.1s95.1-35.82 95.1-80L512 40.04C512 27.28 506.1 15.57 495.9 7.948zM95.99 496c-44.11 0-79.1-28.71-79.1-63.1c0-35.29 35.88-63.1 79.1-63.1s79.1 28.71 79.1 63.1C175.1 467.3 140.1 496 95.99 496zM415.1 432c-44.11 0-79.1-28.71-79.1-63.1c0-35.29 35.88-63.1 79.1-63.1s79.1 28.71 79.1 63.1C495.1 403.3 460.1 432 415.1 432zM192.1 198.8V116.8c0-10.52 7.031-19.97 17.12-22.98l255.9-76.8c7.312-2.203 15.12-.8125 21.19 3.734c6.156 4.578 9.687 11.59 9.687 19.27v67.55L192.1 198.8z"],
    "music-note": [384, 512, ["music-alt"], "f8cf", "M321.2 .9857l-84.65 24.83c-16.91 5.078-28.5 20.65-28.5 38.3V388C190.9 366.3 161.5 352 128 352c-53.02 0-96 35.81-96 79.1C32 476.2 74.98 512 128 512s96-35.82 96-80l.0938-269.2l110.7-32.53C344.1 127.2 352 117.9 352 107.2V24.01C352 7.997 336.6-3.522 321.2 .9857zM128 496c-44.11 0-80-28.71-80-64s35.89-63.1 80-63.1s80 28.71 80 63.1S172.1 496 128 496zM336 107.2c0 3.551-2.34 6.676-5.742 7.676l-106.2 31.2l-.0469-81.99c0-10.66 7.078-19.97 17.31-22.97l84.39-24.76C330.9 14.83 336 18.67 336 24.01V107.2z"],
    "music-note-slash": [640, 512, ["music-alt-slash"], "f8d0", "M336.1 388C318.9 366.3 289.5 352 256 352c-53.02 0-96 35.81-96 79.1c0 44.18 42.98 80 96 80s95.1-35.82 95.1-80l.0935-58.55l-15.1-12.72V388zM256 496c-44.11 0-79.1-28.71-79.1-64S211.9 368 256 368s79.1 28.71 79.1 64S300.1 496 256 496zM352.1 162.8l110.7-32.53c10.22-3 17.23-12.38 17.23-23.02V24.01c0-16.02-15.39-27.54-30.76-23.03l-84.65 24.83c-16.91 5.078-28.5 20.65-28.5 38.3v112.7l15.1 12.72V162.8zM352 64.07c0-10.66 7.078-19.97 17.31-22.97l84.39-24.76c5.121-1.504 10.25 2.336 10.25 7.676V107.2c0 3.551-2.34 6.676-5.742 7.676l-106.2 31.2L352 64.07zM636.1 497.7l-623.1-496c-1.463-1.164-3.217-1.73-4.963-1.73c-2.352 0-4.689 1.029-6.287 3.012c-2.75 3.469-2.172 8.5 1.281 11.25l623.1 496c1.484 1.172 3.234 1.734 4.984 1.734c2.344 0 4.688-1.031 6.266-3.016C641 505.5 640.4 500.5 636.1 497.7z"],
    "music-slash": [640, 512, [], "f8d1", "M273.2 93.84l255.9-76.8c7.312-2.203 15.12-.8125 21.19 3.734c6.156 4.578 9.687 11.59 9.687 19.27v67.55l-225.8 67.75l15.25 12.12l210.6-63.18v199.6c-17.19-21.62-46.55-35.93-80.01-35.93c-1.266 0-2.467 .2723-3.721 .3134l22.1 17.56c29.11 5.529 51.96 23.74 59.08 46.96l18.55 14.74V40.04c0-12.77-5.875-24.47-16.12-32.09c-10.28-7.625-23.16-9.906-35.37-6.219L268.6 78.51C256.5 82.13 247.2 91.4 242.9 102.8l13.71 10.9C257.8 104.5 264.1 96.54 273.2 93.84zM240.1 388c-17.17-21.68-46.57-36.02-80.07-36.02c-53.02 0-95.1 35.82-95.1 79.1c0 44.18 42.98 79.1 95.1 79.1s95.1-35.77 95.1-79.95l.0268-134.8l-15.96-12.77V388zM159.1 496c-44.11 0-79.1-28.71-79.1-64c0-35.29 35.89-64 79.1-64s79.1 28.71 79.1 64C239.1 467.3 204.1 496 159.1 496zM636.1 497.7l-623.1-496c-1.463-1.164-3.217-1.73-4.963-1.73c-2.352 0-4.689 1.029-6.287 3.012c-2.75 3.469-2.172 8.5 1.281 11.25l623.1 496c1.484 1.172 3.234 1.734 4.984 1.734c2.344 0 4.688-1.031 6.266-3.016C641 505.5 640.4 500.5 636.1 497.7z"],
    "n": [384, 512, [110], "4e", "M376 480c-2.312 0-4.531-1-6.094-2.812L16 61.72V472C16 476.4 12.41 480 8 480S0 476.4 0 472V40c0-3.344 2.094-6.344 5.25-7.5c3.094-1.156 6.656-.2187 8.844 2.312L368 450.3V40C368 35.59 371.6 32 376 32S384 35.59 384 40v432c0 3.344-2.094 6.344-5.25 7.5C377.9 479.8 376.9 480 376 480z"],
    "naira-sign": [448, 512, [], "e1f6", "M233.8 256H368V39.1C368 35.58 371.6 31.1 376 31.1C380.4 31.1 384 35.58 384 39.1V256H440C444.4 256 448 259.6 448 264C448 268.4 444.4 272 440 272H384V472C384 475.5 381.7 478.6 378.4 479.6C375.1 480.7 371.5 479.5 369.5 476.6L225.5 272H80V472C80 476.4 76.42 480 72 480C67.58 480 64 476.4 64 472V272H8C3.582 272 0 268.4 0 264C0 259.6 3.582 256 8 256H64V39.1C64 36.51 66.26 33.42 69.59 32.37C72.91 31.32 76.54 32.54 78.54 35.39L233.8 256zM245 272L368 446.7V272H245zM214.2 256L80 65.27V256H214.2z"],
    "narwhal": [640, 512, [], "f6fe", "M526 141.2l92.91-106.2l-26.81 147.5c-.7813 4.359 2.094 8.516 6.438 9.312C599.1 191.9 599.5 191.1 600 191.1c3.812 0 7.156-2.703 7.875-6.562l32-176c.625-3.547-1.156-7.078-4.406-8.641C632.3-.7344 628.4 0 625.1 2.703l-112 128c-2.906 3.328-2.562 8.375 .75 11.28C518.1 144.9 523.1 144.6 526 141.2zM496 287.1c-8.836 0-16 7.162-16 16s7.164 16 16 16s16-7.164 16-16S504.8 287.1 496 287.1zM464 159.1c-72.28 0-142.2 25.84-197.1 72.85l-112.5 96.35c-3.125 2.674-6.762 3.874-10.32 3.874C135.8 333.1 128 326.6 128 317V282.1L177.8 251.6C186.6 245.7 192 235.7 192 224.1V143.1c0-9.391-7.709-16.01-16.01-16.01c-2.969 0-6.012 .8594-8.807 2.721l-71.17 47.4L24.88 130.7c-2.801-1.865-5.852-2.727-8.826-2.727C7.729 128 0 134.6 0 144.1v80.93C.002 235.7 5.375 245.7 14.25 251.6L64 282.1v69.88C64 440.4 135.6 512 224 512h240c97.03 0 176-78.95 176-176C640 238.9 561 159.1 464 159.1zM464 495.1H224c-79.4 0-144-64.6-144-144V273.1l-56.92-34.89C18.65 235.3 16 230.4 16 224.1l.0078-80.94l75.17 50.05h9.684L176 143.1v81.01c0 5.381-2.648 10.35-6.611 12.98L112 273.1v43.88c0 17.66 14.39 32.03 32.09 32.03c7.547 0 14.91-2.742 20.72-7.723L277.3 244.1C329.3 200.5 395.6 175.1 464 175.1c88.22 0 160 71.79 160 160C624 424.2 552.2 495.1 464 495.1z"],
    "nesting-dolls": [640, 512, [], "e3ba", "M247.9 496H57.17c-78.88-96.63-20.03-210.3-19.41-211.5C42.42 275.6 46.64 266.3 50.58 256h261.4c4.407 0 8.001-3.594 8.001-8V128c0-70.59-57.41-128-128-128S63.92 57.41 63.92 128v112h-18.91c-3.375 0-6.376 2.094-7.532 5.25C33.26 256.9 28.7 267.3 23.61 277c-23.07 43.44-47.79 147.8 23.72 232.2C48.83 510.1 51.08 512 53.42 512h194.5c4.407 0 8.001-3.594 8.001-8S252.4 496 247.9 496zM79.92 128c0-61.75 50.26-112 112-112S303.1 66.25 303.1 128v112H79.92V128zM638.4 499.2C608.5 459.7 591.1 413.1 591.1 368v-15.12C591.1 280.6 535.8 224 463.1 224s-128 56.59-128 128.9V368c0 45.13-16.47 91.72-46.38 131.2c-1.844 2.438-2.156 5.688-.7813 8.406C290.1 510.3 292.9 512 295.1 512h336c3.032 0 5.813-1.719 7.157-4.438C640.5 504.8 640.2 501.6 638.4 499.2zM311.5 496c26.22-39.34 40.5-84.25 40.5-128v-15.12C351.1 289.6 401.2 240 463.1 240s112 49.59 112 112.9V368c0 43.75 14.28 88.66 40.5 128H311.5zM543.1 341.4c-29.63 0-57.1-13.84-73.48-37.06c-3-4.25-10.06-4.25-13.06 0c-16.38 23.22-43.85 37.06-73.48 37.06c-4.407 0-8.001 3.594-8.001 8c0 45.84 39.47 83.13 88.01 83.13c48.54 0 88.01-37.28 88.01-83.13C551.1 344.1 548.4 341.4 543.1 341.4zM463.1 416.5c-36.91 0-67.45-26.03-71.54-59.44c27.94-2.156 53.66-14.84 71.54-35.22c17.88 20.38 43.6 33.06 71.54 35.22C531.4 390.5 500.9 416.5 463.1 416.5zM261.3 92.38c-25.28 0-48.72-12.28-62.73-32.88c-3-4.375-10.25-4.375-13.25 0C171.3 80.09 147.9 92.38 122.6 92.38c-4.407 0-8.001 3.594-8.001 8C114.6 142.1 149.3 176 191.9 176s77.35-33.94 77.35-75.63C269.3 95.97 265.7 92.38 261.3 92.38zM191.9 160c-31.19 0-57.01-22.72-60.85-52c23.66-2.156 45.44-13.25 60.85-30.94C207.3 94.75 229.1 105.8 252.8 108C248.9 137.3 223.1 160 191.9 160z"],
    "network-wired": [640, 512, [], "f6ff", "M400 0C426.5 0 448 21.49 448 48V144C448 170.5 426.5 192 400 192H328V248H632C636.4 248 640 251.6 640 256C640 260.4 636.4 264 632 264H488V320H560C586.5 320 608 341.5 608 368V464C608 490.5 586.5 512 560 512H400C373.5 512 352 490.5 352 464V368C352 341.5 373.5 320 400 320H472V264H168V320H240C266.5 320 288 341.5 288 368V464C288 490.5 266.5 512 240 512H80C53.49 512 32 490.5 32 464V368C32 341.5 53.49 320 80 320H152V264H8C3.582 264 0 260.4 0 256C0 251.6 3.582 248 8 248H312V192H240C213.5 192 192 170.5 192 144V48C192 21.49 213.5 0 240 0H400zM400 16H240C222.3 16 208 30.33 208 48V144C208 161.7 222.3 176 240 176H400C417.7 176 432 161.7 432 144V48C432 30.33 417.7 16 400 16zM48 368V464C48 481.7 62.33 496 80 496H240C257.7 496 272 481.7 272 464V368C272 350.3 257.7 336 240 336H80C62.33 336 48 350.3 48 368zM560 336H400C382.3 336 368 350.3 368 368V464C368 481.7 382.3 496 400 496H560C577.7 496 592 481.7 592 464V368C592 350.3 577.7 336 560 336z"],
    "neuter": [384, 512, [9906], "f22c", "M368 176c0-97.2-78.8-176-176-176c-97.2 0-176 78.8-176 176c0 94.5 74.54 171.4 168 175.6V504C184 508.4 187.6 512 192 512s8-3.578 8-8v-152.4C293.5 347.4 368 270.5 368 176zM192 336c-88.22 0-160-71.78-160-160s71.78-160 160-160s160 71.78 160 160S280.2 336 192 336z"],
    "newspaper": [512, 512, [128240], "f1ea", "M280 272h-112C163.6 272 160 275.6 160 280S163.6 288 168 288h112C284.4 288 288 284.4 288 280S284.4 272 280 272zM480 32H128C110.3 32 96 46.33 96 64v360c0 22.06-17.94 40-40 40S16 446.1 16 424v-288C16 131.6 12.41 128 8 128S0 131.6 0 136v288C0 454.9 25.13 480 56 480H448c35.34 0 64-28.65 64-64V64C512 46.33 497.7 32 480 32zM496 416c0 26.47-21.53 48-48 48H95.07C105.5 453.8 112 439.7 112 424V64c0-8.822 7.176-16 16-16h352c8.824 0 16 7.178 16 16V416zM280 336h-112C163.6 336 160 339.6 160 344S163.6 352 168 352h112c4.406 0 8-3.594 8-8S284.4 336 280 336zM440 336h-112c-4.406 0-8 3.594-8 8S323.6 352 328 352h112c4.406 0 8-3.594 8-8S444.4 336 440 336zM432 96h-256C167.2 96 160 103.2 160 112v96C160 216.8 167.2 224 176 224h256C440.8 224 448 216.8 448 208v-96C448 103.2 440.8 96 432 96zM432 208h-256v-96h256V208zM440 272h-112C323.6 272 320 275.6 320 280S323.6 288 328 288h112C444.4 288 448 284.4 448 280S444.4 272 440 272z"],
    "nfc": [448, 512, [], "e1f7", "M344 112H224c-4.422 0-8 3.578-8 8v97.62C197.9 221.4 184 236.8 184 256c0 22.06 17.94 40 40 40S264 278.1 264 256c0-19.23-13.89-34.56-32-38.38V128h112C348.4 128 352 131.6 352 136v240c0 4.406-3.594 8-8 8h-240C99.59 384 96 380.4 96 376v-240C96 131.6 99.59 128 104 128h44.44c4.422 0 8-3.578 8-8s-3.578-8-8-8H104C90.77 112 80 122.8 80 136v240c0 13.23 10.77 24 24 24h240c13.23 0 24-10.77 24-24v-240C368 122.8 357.2 112 344 112zM248 256c0 13.23-10.77 24-24 24S200 269.2 200 256S210.8 232 224 232S248 242.8 248 256zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416z"],
    "nfc-lock": [576, 512, [], "e1f8", "M360 192c4.418 0 8-3.582 8-8v-48c0-13.26-10.75-24-24-24H224c-4.418 0-8 3.582-8 8v97.62c-20.09 4.238-34.1 22.66-31.49 44.83c2.506 15.84 14.74 29.07 30.39 32.54C240.9 300.8 264 281 264 256c0-19.23-13.89-34.56-32-38.38V128h112C348.4 128 352 131.6 352 136v48C352 188.4 355.6 192 360 192zM248 256c0 13.23-10.77 24-24 24S200 269.2 200 256S210.8 232 224 232S248 242.8 248 256zM280 464H64c-26.51 0-48-21.49-48-48V96c0-26.51 21.49-48 48-48h320c26.51 0 48 21.49 48 48v56C432 156.4 435.6 160 440 160S448 156.4 448 152V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h216C284.4 480 288 476.4 288 472S284.4 464 280 464zM280 384h-176C99.6 384 96 380.4 96 376v-240C96 131.6 99.6 128 104 128h44.44c4.422 0 8-3.578 8-8s-3.578-8-8-8H104C90.75 112 80 122.7 80 136v240c0 13.25 10.75 24 24 24h176c4.418 0 8-3.582 8-8S284.4 384 280 384zM528 320H512V256c0-35.3-28.7-64-64-64s-64 28.7-64 64v64h-16c-26.51 0-48 21.49-48 48v96c0 26.51 21.49 48 48 48h160c26.51 0 48-21.49 48-48v-96C576 341.5 554.5 320 528 320zM400 256c0-26.47 21.53-48 48-48s48 21.53 48 48v64h-96V256zM560 464c0 17.64-14.36 32-32 32h-160c-17.64 0-32-14.36-32-32v-96c0-17.64 14.36-32 32-32h160c17.64 0 32 14.36 32 32V464z"],
    "nfc-magnifying-glass": [640, 512, [], "e1f9", "M376 464H64c-26.51 0-48-21.49-48-48V96c0-26.51 21.49-48 48-48h320c26.51 0 48 21.49 48 48v56C432 156.4 435.6 160 440 160S448 156.4 448 152V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h312c4.418 0 8-3.582 8-8S380.4 464 376 464zM104 128h44.44c4.422 0 8-3.578 8-8s-3.578-8-8-8H104C90.75 112 80 122.7 80 136v240c0 13.25 10.75 24 24 24H288c4.418 0 8-3.582 8-8S292.4 384 288 384H104C99.6 384 96 380.4 96 376v-240C96 131.6 99.6 128 104 128zM360 176c4.418 0 8-3.582 8-8v-32c0-13.26-10.75-24-24-24H224c-4.418 0-8 3.582-8 8v97.62c-20.09 4.238-34.1 22.66-31.49 44.83c2.506 15.84 14.74 29.07 30.39 32.54C240.9 300.8 264 281 264 256c0-19.23-13.89-34.56-32-38.38V128h112C348.4 128 352 131.6 352 136v32C352 172.4 355.6 176 360 176zM248 256c0 13.23-10.77 24-24 24S200 269.2 200 256S210.8 232 224 232S248 242.8 248 256zM637.7 498.3l-94.03-94.03C563.5 381.8 576 352.5 576 320c0-70.69-57.31-128-128-128c-70.69 0-128 57.31-128 128c0 70.69 57.31 128 128 128c32.46 0 61.75-12.47 84.31-32.38l94.03 94.03C627.9 511.2 629.1 512 632 512s4.094-.7813 5.656-2.344C640.8 506.5 640.8 501.5 637.7 498.3zM448 432c-61.76 0-112-50.24-112-112s50.24-112 112-112c61.76 0 112 50.24 112 112S509.8 432 448 432z"],
    "nfc-pen": [576, 512, [], "e1fa", "M565.5 255.7l-21.09-21.1c-7.029-7.029-16.27-10.54-25.48-10.54s-18.41 3.513-25.44 10.54l-186.1 186.1c-2.514 2.512-4.221 5.719-4.918 9.208l-14.29 71.42C287 506.9 291.5 512 296.1 512c.5898 0 1.182-.0571 1.79-.1782l71.45-14.29c3.482-.6992 6.661-2.402 9.175-4.917l186.1-186C579.5 292.5 579.5 269.7 565.5 255.7zM367.1 481.8l-61.1 12.34l12.74-62.26l130.1-130.1l49.31 49.31L367.1 481.8zM554.1 295.3l-43.85 43.73l-49.33-49.33l43.79-43.79c3.777-3.777 8.797-5.857 14.14-5.857s10.36 2.08 14.14 5.857l21.1 21.11C557.9 270.7 560 275.8 560 281.1S557.9 291.5 554.1 295.3zM248 464H64c-26.51 0-48-21.49-48-48V96c0-26.51 21.49-48 48-48h320c26.51 0 48 21.49 48 48v136c0 4.418 3.582 8 8 8S448 236.4 448 232V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h184C252.4 480 256 476.4 256 472S252.4 464 248 464zM280 384h-176C99.6 384 96 380.4 96 376v-240C96 131.6 99.6 128 104 128h44.44c4.422 0 8-3.578 8-8s-3.578-8-8-8H104C90.75 112 80 122.7 80 136v240c0 13.25 10.75 24 24 24h176c4.418 0 8-3.582 8-8S284.4 384 280 384zM360 288c4.418 0 8-3.582 8-8v-144c0-13.26-10.75-24-24-24H224c-4.418 0-8 3.582-8 8v97.62c-20.09 4.238-34.1 22.66-31.49 44.83c2.506 15.84 14.74 29.07 30.39 32.54C240.9 300.8 264 281 264 256c0-19.23-13.89-34.56-32-38.38V128h112C348.4 128 352 131.6 352 136v144C352 284.4 355.6 288 360 288zM248 256c0 13.23-10.77 24-24 24S200 269.2 200 256S210.8 232 224 232S248 242.8 248 256z"],
    "nfc-signal": [512, 512, [], "e1fb", "M232 217.6V128h112C348.4 128 352 131.6 352 136v128c0 4.418 3.582 8 8 8s8-3.582 8-8v-128c0-13.26-10.75-24-24-24H224c-4.418 0-8 3.582-8 8v97.62c-20.09 4.238-34.1 22.66-31.49 44.83c2.506 15.84 14.74 29.07 30.39 32.54C240.9 300.8 264 281 264 256C264 236.8 250.1 221.4 232 217.6zM224 280C210.8 280 200 269.2 200 256S210.8 232 224 232S248 242.8 248 256S237.2 280 224 280zM232 464H64c-26.51 0-48-21.49-48-48V96c0-26.51 21.49-48 48-48h320c26.51 0 48 21.49 48 48v136c0 4.418 3.582 8 8 8S448 236.4 448 232V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h168c4.418 0 8-3.582 8-8S236.4 464 232 464zM248 384h-144C99.6 384 96 380.4 96 376v-240C96 131.6 99.6 128 104 128h44.44c4.422 0 8-3.578 8-8s-3.578-8-8-8H104C90.75 112 80 122.7 80 136v240c0 13.25 10.75 24 24 24h144c4.418 0 8-3.582 8-8S252.4 384 248 384zM480 448c-17.67 0-32 14.33-32 32s14.33 32 32 32s32-14.33 32-32S497.7 448 480 448zM480 496c-8.822 0-16-7.178-16-16s7.178-16 16-16s16 7.178 16 16S488.8 496 480 496zM512 280c0-4.422-3.578-8-8-8c-127.9 0-232 104.1-232 232c0 4.422 3.578 8 8 8S288 508.4 288 504C288 384.9 384.9 288 504 288C508.4 288 512 284.4 512 280zM504 352C420.2 352 352 420.2 352 504c0 4.422 3.578 8 8 8s8-3.578 8-8c0-74.98 61.02-136 136-136c4.422 0 8-3.578 8-8S508.4 352 504 352z"],
    "nfc-slash": [640, 512, [], "e1fc", "M480 48c26.47 0 48 21.53 48 48v233.3l16 12.72V96c0-35.35-28.65-64-64-64H160C158.2 32 156.4 32.39 154.6 32.54L174.1 48H480zM464 278.5V136c0-13.23-10.77-24-24-24H320c-4.422 0-8 3.578-8 8v37.65l16 12.72V128h112C444.4 128 448 131.6 448 136v129.8L464 278.5zM176 233.5V376c0 13.23 10.77 24 24 24h185.4L365.3 384H200C195.6 384 192 380.4 192 376V246.2L176 233.5zM160 464c-26.47 0-48-21.53-48-48V182.6L96 169.9V416c0 35.35 28.65 64 64 64h320c1.85 0 3.59-.3906 5.4-.5449L465.1 464H160zM636.1 497.7L12.99 1.73C11.53 .5664 9.771 0 8.025 0C5.674 0 3.336 1.029 1.738 3.012c-2.75 3.469-2.172 8.5 1.281 11.25l623.1 496C628.5 511.4 630.2 512 631.1 512c2.344 0 4.688-1.031 6.266-3.016C641 505.5 640.4 500.5 636.1 497.7z"],
    "nfc-symbol": [576, 512, [], "e531", "M357.6 218.3C360.8 221.4 360.8 226.4 357.7 229.6C354.6 232.8 349.6 232.8 346.4 229.7L163 50.01C94.07 92.08 48 169.7 48 256C48 344.5 96.39 423.8 168.2 465.1C172.1 467.3 173.4 472.2 171.2 475.1C168.1 479.8 164.1 481.1 160.3 478.9C83.55 434.9 32 350.3 32 256C32 161.7 83.55 77.15 160.3 33.06C163.4 31.28 167.3 31.78 169.8 34.29L357.6 218.3zM218.4 293.8C215.3 290.7 215.2 285.6 218.2 282.4C221.3 279.3 226.4 279.2 229.6 282.2L415.6 461.1C483.2 419.9 528.5 342.3 528.5 256C528.5 167.5 480.9 88.16 410.4 46.91C406.6 44.68 405.3 39.78 407.5 35.97C409.7 32.15 414.6 30.87 418.5 33.1C493.9 77.21 544.5 161.8 544.5 256C544.5 350.2 493.9 434.8 418.5 478.9C415.4 480.7 411.4 480.2 408.9 477.8L218.4 293.8z"],
    "nfc-trash": [640, 512, [], "e1fd", "M376 464H64c-26.51 0-48-21.49-48-48V96c0-26.51 21.49-48 48-48h320c26.51 0 48 21.49 48 48v88C432 188.4 435.6 192 440 192S448 188.4 448 184V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h312c4.418 0 8-3.582 8-8S380.4 464 376 464zM632 248h-44.15l-19.99-24.98C560.2 213.5 548.8 208 536.6 208h-49.25c-12.2 0-23.59 5.469-31.23 15.02L436.2 248H392C387.6 248 384 251.6 384 256s3.578 8 8 8h16.5l13.58 210.6C423.4 495.6 440.1 512 462 512h100c21.02 0 38.56-16.44 39.92-37.42L615.5 264H632C636.4 264 640 260.4 640 256S636.4 248 632 248zM468.6 233C473.2 227.3 480 224 487.4 224h49.25c7.328 0 14.16 3.281 18.73 9.016L567.3 248h-110.7L468.6 233zM585.1 473.5C585.1 486.1 574.6 496 562 496h-100c-12.61 0-23.14-9.859-23.95-22.45L424.5 264h174.9L585.1 473.5zM104 128h44.44c4.422 0 8-3.578 8-8s-3.578-8-8-8H104C90.75 112 80 122.7 80 136v240c0 13.25 10.75 24 24 24h240c4.418 0 8-3.582 8-8S348.4 384 344 384h-240C99.6 384 96 380.4 96 376v-240C96 131.6 99.6 128 104 128zM360 224c4.418 0 8-3.582 8-8v-80c0-13.26-10.75-24-24-24H224c-4.418 0-8 3.582-8 8v97.62c-20.09 4.238-34.1 22.66-31.49 44.83c2.506 15.84 14.74 29.07 30.39 32.54C240.9 300.8 264 281 264 256c0-19.23-13.89-34.56-32-38.38V128h112C348.4 128 352 131.6 352 136v80C352 220.4 355.6 224 360 224zM248 256c0 13.23-10.77 24-24 24S200 269.2 200 256S210.8 232 224 232S248 242.8 248 256z"],
    "not-equal": [448, 512, [], "f53e", "M448 343.1c0 4.422-3.594 8-8 8H166.2l-87.69 124.6C77 478.8 74.5 480 72 480c-1.594 0-3.219-.4687-4.594-1.453c-3.625-2.547-4.5-7.531-1.938-11.16l81.2-115.4H8c-4.406 0-8-3.578-8-8c0-4.422 3.594-8 8-8h149.9l112.6-160H8c-4.406 0-8-3.578-8-8s3.594-8 8-8h273.8l87.69-124.6c2.5-3.609 7.594-4.453 11.12-1.938c3.625 2.547 4.5 7.531 1.938 11.16l-81.2 115.4H440c4.406 0 8 3.578 8 8s-3.594 8-8 8h-149.9l-112.6 160H440C444.4 335.1 448 339.6 448 343.1z"],
    "notdef": [384, 512, [], "e1fe", "M352 0H32C14.33 0 0 14.33 0 32v448c0 17.67 14.33 32 32 32h320c17.67 0 32-14.33 32-32V32C384 14.33 369.7 0 352 0zM368 32v448c0 .6875-.3086 1.281-.3945 1.945L201.9 256l165.7-225.9C367.7 30.72 368 31.31 368 32zM352 16c1.879 0 3.623 .4766 5.299 1.07L192 242.5L26.7 17.07C28.38 16.48 30.12 16 32 16H352zM16.39 481.9C16.31 481.3 16 480.7 16 480V32c0-.6875 .3086-1.281 .3945-1.945L182.1 256L16.39 481.9zM32 496c-1.879 0-3.623-.4766-5.299-1.07L192 269.5l165.3 225.4C355.6 495.5 353.9 496 352 496H32z"],
    "note": [448, 512, [], "e1ff", "M384 32H64.01C28.66 32 .0065 60.65 .0065 96L0 416c0 35.35 28.65 64 64 64h226.7c8.486 0 16.62-3.371 22.63-9.373l125.3-125.3C444.6 339.4 448 331.2 448 322.7V96C448 60.65 419.3 32 384 32zM304 457.4V360c0-13.23 10.78-24 24-24h97.37L304 457.4zM432 320h-104C305.9 320 288 337.9 288 360v104H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V320z"],
    "note-medical": [448, 512, [], "e200", "M384 32H64.01C28.66 32 .0065 60.65 .0065 96L0 416c0 35.35 28.65 64 64 64h226.7c8.486 0 16.62-3.371 22.63-9.373l125.3-125.3C444.6 339.4 448 331.2 448 322.7V96C448 60.65 419.3 32 384 32zM304 457.4V360c0-13.23 10.78-24 24-24h97.37L304 457.4zM432 320h-104C305.9 320 288 337.9 288 360v104H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V320zM320 176h-48V128c0-8.836-7.162-16-16-16H192C183.2 112 176 119.2 176 128v48H128C119.2 176 112 183.2 112 192v64c0 8.836 7.164 16 16 16h48V320c0 8.836 7.164 16 16 16h64c8.838 0 16-7.164 16-16V272H320c8.838 0 16-7.164 16-16V192C336 183.2 328.8 176 320 176zM320 256l-64-.0007V320H192V255.1L128 256V192h64V128h64v64h64V256z"],
    "note-sticky": [448, 512, [62026, "sticky-note"], "f249", "M384 32H64.01C28.66 32 .0065 60.65 .0065 96L0 415.1C0 451.3 28.65 480 64 480h226.7c8.486 0 16.62-3.371 22.63-9.373l125.3-125.3C444.6 339.4 448 331.2 448 322.7V96C448 60.65 419.3 32 384 32zM432 322.7c0 4.273-1.664 8.291-4.686 11.31l-125.3 125.3C299 462.3 295 464 290.7 464H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V322.7zM392 304h-80c-22.06 0-40 17.94-40 40v80c0 4.406 3.594 8 8 8S288 428.4 288 424v-80c0-13.22 10.78-24 24-24h80c4.406 0 8-3.594 8-8S396.4 304 392 304z"],
    "notebook": [512, 512, [], "e201", "M416 0H128C92.65 0 64 28.65 64 64v56H8C3.584 120 0 123.6 0 128c0 4.416 3.584 8 8 8H64v112H8C3.584 248 0 251.6 0 256c0 4.416 3.584 8 8 8H64v112H8C3.584 376 0 379.6 0 384c0 4.416 3.584 8 8 8H64V448c0 35.35 28.65 64 64 64h288c35.35 0 64-28.65 64-64V64C480 28.65 451.3 0 416 0zM128 496c-26.47 0-48-21.53-48-48v-56h40C124.4 392 128 388.4 128 384c0-4.418-3.584-8-8-8H80v-112h40C124.4 264 128 260.4 128 256c0-4.418-3.584-8-8-8H80v-112h40C124.4 136 128 132.4 128 128c0-4.418-3.584-8-8-8H80V64c0-26.47 21.53-48 48-48h64v480H128zM464 448c0 26.47-21.53 48-48 48H208v-480H416c26.47 0 48 21.53 48 48V448z"],
    "notes": [512, 512, [], "e202", "M72 16h256c22.06 0 40 17.94 40 40C368 60.42 371.6 64 376 64S384 60.42 384 56C384 25.12 358.9 0 328 0h-256C32.31 0 0 32.3 0 72v256C0 358.9 25.13 384 56 384C60.41 384 64 380.4 64 376S60.41 368 56 368c-22.06 0-40-17.94-40-40v-256C16 41.13 41.13 16 72 16zM416 96H160c-35.35 0-64 28.65-64 63.1L96 415.1C96 451.3 124.7 480 160 480h178.7c8.486 0 16.62-3.371 22.63-9.373l109.3-109.3C476.6 355.4 480 347.2 480 338.7L480 160C480 124.7 451.4 96 416 96zM352 457.4V376c0-13.23 10.78-24 24-24h81.37L352 457.4zM464 336h-88c-22.06 0-40 17.94-40 40v88H160c-26.47 0-48-21.53-48-48V160c0-26.47 21.53-48 48-48h256c26.47 0 48 21.53 48 48V336z"],
    "notes-medical": [512, 512, [], "f481", "M384 240h-48V192c0-8.836-7.162-16-16-16h-64C247.2 176 240 183.2 240 192v48H192C183.2 240 176 247.2 176 256v64c0 8.836 7.164 16 16 16h48V384c0 8.836 7.164 16 16 16h64c8.838 0 16-7.164 16-16v-48H384c8.838 0 16-7.164 16-16V256C400 247.2 392.8 240 384 240zM384 320h-64v64h-64v-64H192V256h64V192h64v64h64V320zM72 16h256c22.06 0 40 17.94 40 40C368 60.42 371.6 64 376 64S384 60.42 384 56C384 25.12 358.9 0 328 0h-256C32.31 0 0 32.3 0 72v256C0 358.9 25.13 384 56 384C60.41 384 64 380.4 64 376S60.41 368 56 368c-22.06 0-40-17.94-40-40v-256C16 41.13 41.13 16 72 16zM416 96H160c-35.35 0-64 28.65-64 63.1L96 415.1C96 451.3 124.7 480 160 480h178.7c8.486 0 16.62-3.371 22.63-9.373l109.3-109.3C476.6 355.4 480 347.2 480 338.7L480 160C480 124.7 451.4 96 416 96zM464 338.7c0 4.273-1.664 8.291-4.686 11.31l-109.3 109.3C347 462.3 343 464 338.7 464H160c-26.47 0-48-21.53-48-48V160c0-26.47 21.53-48 48-48h256c26.47 0 48 21.53 48 48V338.7z"],
    "o": [448, 512, [111], "4f", "M224 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S347.5 480 224 480zM224 48C109.3 48 16 141.3 16 256s93.31 208 208 208s208-93.31 208-208S338.7 48 224 48z"],
    "object-exclude": [512, 512, [], "e49c", "M16 64V288C16 314.5 37.49 336 64 336H128V352H64C28.65 352 0 323.3 0 288V64C0 28.65 28.65 0 64 0H288C323.3 0 352 28.65 352 64V128H336V64C336 37.49 314.5 16 288 16H64C37.49 16 16 37.49 16 64zM176 384V448C176 474.5 197.5 496 224 496H448C474.5 496 496 474.5 496 448V224C496 197.5 474.5 176 448 176H384V160H448C483.3 160 512 188.7 512 224V448C512 483.3 483.3 512 448 512H224C188.7 512 160 483.3 160 448V384H176zM256 352V336H288C314.5 336 336 314.5 336 288H352C352 323.3 323.3 352 288 352H256zM352 256H336V176H288V160H352V256zM160 352V256H176V336H224V352H160zM224 160H256V176H224C197.5 176 176 197.5 176 224H160C160 188.7 188.7 160 224 160z"],
    "object-group": [576, 512, [], "f247", "M136 176C136 153.9 153.9 136 176 136H272C294.1 136 312 153.9 312 176V240C312 262.1 294.1 280 272 280H176C153.9 280 136 262.1 136 240V176zM176 152C162.7 152 152 162.7 152 176V240C152 253.3 162.7 264 176 264H272C285.3 264 296 253.3 296 240V176C296 162.7 285.3 152 272 152H176zM400 232C422.1 232 440 249.9 440 272V336C440 358.1 422.1 376 400 376H304C281.9 376 264 358.1 264 336V328C264 323.6 267.6 320 272 320C276.4 320 280 323.6 280 328V336C280 349.3 290.7 360 304 360H400C413.3 360 424 349.3 424 336V272C424 258.7 413.3 248 400 248H360C355.6 248 352 244.4 352 240C352 235.6 355.6 232 360 232H400zM72 127.3C49.3 123.5 32 103.8 32 80C32 53.49 53.49 32 80 32C103.8 32 123.5 49.3 127.3 72H448.7C452.5 49.3 472.2 32 496 32C522.5 32 544 53.49 544 80C544 103.8 526.7 123.5 504 127.3V384.7C526.7 388.5 544 408.2 544 432C544 458.5 522.5 480 496 480C472.2 480 452.5 462.7 448.7 440H127.3C123.5 462.7 103.8 480 80 480C53.49 480 32 458.5 32 432C32 408.2 49.3 388.5 72 384.7V127.3zM80 48C62.33 48 48 62.33 48 80C48 97.67 62.33 112 80 112C97.67 112 112 97.67 112 80C112 62.33 97.67 48 80 48zM127.3 424H448.7C452 403.9 467.9 388 488 384.7V127.3C467.9 123.1 452 108.1 448.7 88H127.3C123.1 108.1 108.1 123.1 88 127.3V384.7C108.1 388 123.1 403.9 127.3 424zM80 400C62.33 400 48 414.3 48 432C48 449.7 62.33 464 80 464C97.67 464 112 449.7 112 432C112 414.3 97.67 400 80 400zM496 464C513.7 464 528 449.7 528 432C528 414.3 513.7 400 496 400C478.3 400 464 414.3 464 432C464 449.7 478.3 464 496 464zM496 48C478.3 48 464 62.33 464 80C464 97.67 478.3 112 496 112C513.7 112 528 97.67 528 80C528 62.33 513.7 48 496 48z"],
    "object-intersect": [512, 512, [], "e49d", "M224 0V16H128V0H224zM96 0V16H64C37.49 16 16 37.49 16 64V96H0V64C0 28.65 28.65 0 64 0H96zM16 128V224H0V128H16zM256 16V0H288C323.3 0 352 28.65 352 64V128H336V64C336 37.49 314.5 16 288 16H256zM352 160V288C352 323.3 323.3 352 288 352H160V224C160 188.7 188.7 160 224 160H352zM224 176C197.5 176 176 197.5 176 224V336H288C314.5 336 336 314.5 336 288V176H224zM176 384V448C176 474.5 197.5 496 224 496H256V512H224C188.7 512 160 483.3 160 448V384H176zM64 352C28.65 352 0 323.3 0 288V256H16V288C16 314.5 37.49 336 64 336H128V352H64zM384 160H448C483.3 160 512 188.7 512 224V256H496V224C496 197.5 474.5 176 448 176H384V160zM416 496H448C474.5 496 496 474.5 496 448V416H512V448C512 483.3 483.3 512 448 512H416V496zM496 288H512V384H496V288zM288 512V496H384V512H288z"],
    "object-subtract": [512, 512, [], "e49e", "M128 16V0H224V16H128zM64 16C37.49 16 16 37.49 16 64V96H0V64C0 28.65 28.65 0 64 0H96V16H64zM0 224V128H16V224H0zM16 256V288C16 314.5 37.49 336 64 336H96V352H64C28.65 352 0 323.3 0 288V256H16zM224 336V352H128V336H224zM176 448C176 474.5 197.5 496 224 496H448C474.5 496 496 474.5 496 448V224C496 197.5 474.5 176 448 176H384V160H448C483.3 160 512 188.7 512 224V448C512 483.3 483.3 512 448 512H224C188.7 512 160 483.3 160 448V384H176V448zM352 64V96H336V64C336 37.49 314.5 16 288 16H256V0H288C323.3 0 352 28.65 352 64zM352 224H336V128H352V224zM256 336H288C314.5 336 336 314.5 336 288V256H352V288C352 323.3 323.3 352 288 352H256V336z"],
    "object-ungroup": [640, 512, [], "f248", "M48 0C71.78 0 91.53 17.3 95.34 40H352.7C356.5 17.3 376.2 0 400 0C426.5 0 448 21.49 448 48C448 71.78 430.7 91.53 408 95.34V256.7C430.7 260.5 448 280.2 448 304C448 330.5 426.5 352 400 352C376.2 352 356.5 334.7 352.7 312H95.34C91.53 334.7 71.78 352 48 352C21.49 352 0 330.5 0 304C0 280.2 17.3 260.5 40 256.7V95.34C17.3 91.53 0 71.78 0 48C0 21.49 21.49 0 48 0zM352.7 56H95.34C91.96 76.1 76.1 91.96 56 95.34V256.7C76.1 260 91.96 275.9 95.34 296H352.7C356 275.9 371.9 260 392 256.7V95.34C371.9 91.96 356 76.1 352.7 56zM432 304C432 286.3 417.7 272 400 272C382.3 272 368 286.3 368 304C368 321.7 382.3 336 400 336C417.7 336 432 321.7 432 304zM16 304C16 321.7 30.33 336 48 336C65.67 336 80 321.7 80 304C80 286.3 65.67 272 48 272C30.33 272 16 286.3 16 304zM432 48C432 30.33 417.7 16 400 16C382.3 16 368 30.33 368 48C368 65.67 382.3 80 400 80C417.7 80 432 65.67 432 48zM16 48C16 65.67 30.33 80 48 80C65.67 80 80 65.67 80 48C80 30.33 65.67 16 48 16C30.33 16 16 30.33 16 48zM544.7 200C548.5 177.3 568.2 160 592 160C618.5 160 640 181.5 640 208C640 231.8 622.7 251.5 600 255.3V416.7C622.7 420.5 640 440.2 640 464C640 490.5 618.5 512 592 512C568.2 512 548.5 494.7 544.7 472H287.3C283.5 494.7 263.8 512 240 512C213.5 512 192 490.5 192 464C192 440.2 209.3 420.5 232 416.7V352C232 347.6 235.6 344 240 344C244.4 344 248 347.6 248 352V416.7C268.1 420 283.1 435.9 287.3 456H544.7C548 435.9 563.9 420 584 416.7V255.3C563.9 251.1 548 236.1 544.7 216H480C475.6 216 472 212.4 472 208C472 203.6 475.6 200 480 200H544.7zM560 208C560 225.7 574.3 240 592 240C609.7 240 624 225.7 624 208C624 190.3 609.7 176 592 176C574.3 176 560 190.3 560 208zM592 432C574.3 432 560 446.3 560 464C560 481.7 574.3 496 592 496C609.7 496 624 481.7 624 464C624 446.3 609.7 432 592 432zM208 464C208 481.7 222.3 496 240 496C257.7 496 272 481.7 272 464C272 446.3 257.7 432 240 432C222.3 432 208 446.3 208 464z"],
    "object-union": [512, 512, [], "e49f", "M64 352C28.65 352 0 323.3 0 288V64C0 28.65 28.65 0 64 0H288C323.3 0 352 28.65 352 64V160H448C483.3 160 512 188.7 512 224V448C512 483.3 483.3 512 448 512H224C188.7 512 160 483.3 160 448V352H64zM176 336V448C176 474.5 197.5 496 224 496H448C474.5 496 496 474.5 496 448V224C496 197.5 474.5 176 448 176H336V64C336 37.49 314.5 16 288 16H64C37.49 16 16 37.49 16 64V288C16 314.5 37.49 336 64 336H176z"],
    "objects-align-bottom": [512, 512, [], "e3bb", "M8 512C3.582 512 0 508.4 0 504C0 499.6 3.582 496 8 496H504C508.4 496 512 499.6 512 504C512 508.4 508.4 512 504 512H8zM112 416C85.49 416 64 394.5 64 368V48C64 21.49 85.49 0 112 0H176C202.5 0 224 21.49 224 48V368C224 394.5 202.5 416 176 416H112zM208 368V48C208 30.33 193.7 16 176 16H112C94.33 16 80 30.33 80 48V368C80 385.7 94.33 400 112 400H176C193.7 400 208 385.7 208 368zM336 416C309.5 416 288 394.5 288 368V176C288 149.5 309.5 128 336 128H400C426.5 128 448 149.5 448 176V368C448 394.5 426.5 416 400 416H336zM432 368V176C432 158.3 417.7 144 400 144H336C318.3 144 304 158.3 304 176V368C304 385.7 318.3 400 336 400H400C417.7 400 432 385.7 432 368z"],
    "objects-align-center-horizontal": [448, 512, [], "e3bc", "M232 64H400C426.5 64 448 85.49 448 112V176C448 202.5 426.5 224 400 224H232V288H336C362.5 288 384 309.5 384 336V400C384 426.5 362.5 448 336 448H232V504C232 508.4 228.4 512 224 512C219.6 512 216 508.4 216 504V448H112C85.49 448 64 426.5 64 400V336C64 309.5 85.49 288 112 288H216V224H48C21.49 224 0 202.5 0 176V112C0 85.49 21.49 64 48 64H216V8C216 3.582 219.6 0 224 0C228.4 0 232 3.582 232 8V64zM112 304C94.33 304 80 318.3 80 336V400C80 417.7 94.33 432 112 432H336C353.7 432 368 417.7 368 400V336C368 318.3 353.7 304 336 304H112zM400 208C417.7 208 432 193.7 432 176V112C432 94.33 417.7 80 400 80H48C30.33 80 16 94.33 16 112V176C16 193.7 30.33 208 48 208H400z"],
    "objects-align-center-vertical": [512, 512, [], "e3bd", "M288 248V144C288 117.5 309.5 96 336 96H400C426.5 96 448 117.5 448 144V248H504C508.4 248 512 251.6 512 256C512 260.4 508.4 264 504 264H448V368C448 394.5 426.5 416 400 416H336C309.5 416 288 394.5 288 368V264H224V432C224 458.5 202.5 480 176 480H112C85.49 480 64 458.5 64 432V264H8C3.582 264 0 260.4 0 256C0 251.6 3.582 248 8 248H64V80C64 53.49 85.49 32 112 32H176C202.5 32 224 53.49 224 80V248H288zM176 48H112C94.33 48 80 62.33 80 80V432C80 449.7 94.33 464 112 464H176C193.7 464 208 449.7 208 432V80C208 62.33 193.7 48 176 48zM304 368C304 385.7 318.3 400 336 400H400C417.7 400 432 385.7 432 368V144C432 126.3 417.7 112 400 112H336C318.3 112 304 126.3 304 144V368z"],
    "objects-align-left": [512, 512, [], "e3be", "M0 8C0 3.582 3.582 0 8 0C12.42 0 16 3.582 16 8V504C16 508.4 12.42 512 8 512C3.582 512 0 508.4 0 504V8zM96 112C96 85.49 117.5 64 144 64H464C490.5 64 512 85.49 512 112V176C512 202.5 490.5 224 464 224H144C117.5 224 96 202.5 96 176V112zM144 208H464C481.7 208 496 193.7 496 176V112C496 94.33 481.7 80 464 80H144C126.3 80 112 94.33 112 112V176C112 193.7 126.3 208 144 208zM96 336C96 309.5 117.5 288 144 288H336C362.5 288 384 309.5 384 336V400C384 426.5 362.5 448 336 448H144C117.5 448 96 426.5 96 400V336zM144 432H336C353.7 432 368 417.7 368 400V336C368 318.3 353.7 304 336 304H144C126.3 304 112 318.3 112 336V400C112 417.7 126.3 432 144 432z"],
    "objects-align-right": [512, 512, [], "e3bf", "M512 504C512 508.4 508.4 512 504 512C499.6 512 496 508.4 496 504V8C496 3.582 499.6 0 504 0C508.4 0 512 3.582 512 8V504zM416 176C416 202.5 394.5 224 368 224H48C21.49 224 0 202.5 0 176V112C0 85.49 21.49 64 48 64H368C394.5 64 416 85.49 416 112V176zM400 176V112C400 94.33 385.7 80 368 80H48C30.33 80 16 94.33 16 112V176C16 193.7 30.33 208 48 208H368C385.7 208 400 193.7 400 176zM416 400C416 426.5 394.5 448 368 448H176C149.5 448 128 426.5 128 400V336C128 309.5 149.5 288 176 288H368C394.5 288 416 309.5 416 336V400zM400 400V336C400 318.3 385.7 304 368 304H176C158.3 304 144 318.3 144 336V400C144 417.7 158.3 432 176 432H368C385.7 432 400 417.7 400 400z"],
    "objects-align-top": [512, 512, [], "e3c0", "M504 0C508.4 0 512 3.582 512 8C512 12.42 508.4 16 504 16H8C3.582 16 0 12.42 0 8C0 3.582 3.582 0 8 0H504zM176 96C202.5 96 224 117.5 224 144V464C224 490.5 202.5 512 176 512H112C85.49 512 64 490.5 64 464V144C64 117.5 85.49 96 112 96H176zM176 112H112C94.33 112 80 126.3 80 144V464C80 481.7 94.33 496 112 496H176C193.7 496 208 481.7 208 464V144C208 126.3 193.7 112 176 112zM400 96C426.5 96 448 117.5 448 144V336C448 362.5 426.5 384 400 384H336C309.5 384 288 362.5 288 336V144C288 117.5 309.5 96 336 96H400zM400 112H336C318.3 112 304 126.3 304 144V336C304 353.7 318.3 368 336 368H400C417.7 368 432 353.7 432 336V144C432 126.3 417.7 112 400 112z"],
    "objects-column": [448, 512, [], "e3c1", "M0 80C0 53.49 21.49 32 48 32H144C170.5 32 192 53.49 192 80V240C192 266.5 170.5 288 144 288H48C21.49 288 0 266.5 0 240V80zM16 80V240C16 257.7 30.33 272 48 272H144C161.7 272 176 257.7 176 240V80C176 62.33 161.7 48 144 48H48C30.33 48 16 62.33 16 80zM256 272C256 245.5 277.5 224 304 224H400C426.5 224 448 245.5 448 272V432C448 458.5 426.5 480 400 480H304C277.5 480 256 458.5 256 432V272zM272 272V432C272 449.7 286.3 464 304 464H400C417.7 464 432 449.7 432 432V272C432 254.3 417.7 240 400 240H304C286.3 240 272 254.3 272 272zM144 320C170.5 320 192 341.5 192 368V432C192 458.5 170.5 480 144 480H48C21.49 480 0 458.5 0 432V368C0 341.5 21.49 320 48 320H144zM144 336H48C30.33 336 16 350.3 16 368V432C16 449.7 30.33 464 48 464H144C161.7 464 176 449.7 176 432V368C176 350.3 161.7 336 144 336zM256 80C256 53.49 277.5 32 304 32H400C426.5 32 448 53.49 448 80V144C448 170.5 426.5 192 400 192H304C277.5 192 256 170.5 256 144V80zM272 80V144C272 161.7 286.3 176 304 176H400C417.7 176 432 161.7 432 144V80C432 62.33 417.7 48 400 48H304C286.3 48 272 62.33 272 80z"],
    "octagon": [512, 512, [128721], "f306", "M320.5 .0667C339.6 .0667 357.9 7.652 371.4 21.16L490.8 140.6C504.3 154.1 511.9 172.4 511.9 191.5V320.5C511.9 339.6 504.3 357.9 490.8 371.4L371.4 490.8C357.9 504.3 339.6 511.9 320.5 511.9H191.5C172.4 511.9 154.1 504.3 140.6 490.8L21.15 371.4C7.652 357.9 .0666 339.6 .0666 320.5V191.5C.0666 172.4 7.652 154.1 21.15 140.6L140.6 21.15C154.1 7.652 172.4 .0664 191.5 .0664L320.5 .0667zM32.47 151.9C21.97 162.4 16.07 176.7 16.07 191.5V320.5C16.07 335.3 21.97 349.6 32.47 360.1L151.9 479.5C162.4 490 176.7 495.9 191.5 495.9H320.5C335.3 495.9 349.6 490 360.1 479.5L479.5 360.1C490 349.6 495.9 335.3 495.9 320.5V191.5C495.9 176.7 490 162.4 479.5 151.9L360.1 32.47C349.6 21.97 335.3 16.07 320.5 16.07H191.5C176.7 16.07 162.4 21.97 151.9 32.47L32.47 151.9z"],
    "octagon-check": [512, 512, [], "e426", "M229.7 325.7C226.5 328.8 221.5 328.8 218.3 325.7L154.3 261.7C151.2 258.5 151.2 253.5 154.3 250.3C157.5 247.2 162.5 247.2 165.7 250.3L224 308.7L346.3 186.3C349.5 183.2 354.5 183.2 357.7 186.3C360.8 189.5 360.8 194.5 357.7 197.7L229.7 325.7zM140.6 21.15C154.1 7.652 172.4 .0664 191.5 .0664H320.5C339.6 .0664 357.9 7.652 371.4 21.15L490.8 140.6C504.3 154.1 511.9 172.4 511.9 191.5V320.5C511.9 339.6 504.3 357.9 490.8 371.4L371.4 490.8C357.9 504.3 339.6 511.9 320.5 511.9H191.5C172.4 511.9 154.1 504.3 140.6 490.8L21.15 371.4C7.652 357.9 .0666 339.6 .0666 320.5V191.5C.0666 172.4 7.652 154.1 21.15 140.6L140.6 21.15zM191.5 16.07C176.7 16.07 162.4 21.97 151.9 32.47L32.47 151.9C21.97 162.4 16.07 176.7 16.07 191.5V320.5C16.07 335.3 21.97 349.6 32.47 360.1L151.9 479.5C162.4 490 176.7 495.9 191.5 495.9H320.5C335.3 495.9 349.6 490 360.1 479.5L479.5 360.1C490 349.6 495.9 335.3 495.9 320.5V191.5C495.9 176.7 490 162.4 479.5 151.9L360.1 32.47C349.6 21.97 335.3 16.07 320.5 16.07L191.5 16.07z"],
    "octagon-divide": [512, 512, [], "e203", "M288 159.1C288 177.7 273.7 191.1 256 191.1C238.3 191.1 224 177.7 224 159.1C224 142.3 238.3 127.1 256 127.1C273.7 127.1 288 142.3 288 159.1zM256 143.1C247.2 143.1 240 151.2 240 159.1C240 168.8 247.2 175.1 256 175.1C264.8 175.1 272 168.8 272 159.1C272 151.2 264.8 143.1 256 143.1zM360 247.1C364.4 247.1 368 251.6 368 255.1C368 260.4 364.4 263.1 360 263.1H152C147.6 263.1 144 260.4 144 255.1C144 251.6 147.6 247.1 152 247.1H360zM224 351.1C224 334.3 238.3 319.1 256 319.1C273.7 319.1 288 334.3 288 351.1C288 369.7 273.7 383.1 256 383.1C238.3 383.1 224 369.7 224 351.1zM256 367.1C264.8 367.1 272 360.8 272 351.1C272 343.2 264.8 335.1 256 335.1C247.2 335.1 240 343.2 240 351.1C240 360.8 247.2 367.1 256 367.1zM320.5 .0628C339.6 .0628 357.9 7.648 371.4 21.15L490.8 140.6C504.3 154.1 511.9 172.4 511.9 191.5V320.5C511.9 339.6 504.3 357.9 490.8 371.4L371.4 490.8C357.9 504.3 339.6 511.9 320.5 511.9H191.5C172.4 511.9 154.1 504.3 140.6 490.8L21.15 371.4C7.652 357.9 .0666 339.6 .0666 320.5V191.5C.0666 172.4 7.652 154.1 21.15 140.6L140.6 21.15C154.1 7.648 172.4 .0625 191.5 .0625L320.5 .0628zM32.47 151.9C21.97 162.4 16.07 176.7 16.07 191.5V320.5C16.07 335.3 21.97 349.6 32.47 360.1L151.9 479.5C162.4 490 176.7 495.9 191.5 495.9H320.5C335.3 495.9 349.6 490 360.1 479.5L479.5 360.1C490 349.6 495.9 335.3 495.9 320.5V191.5C495.9 176.7 490 162.4 479.5 151.9L360.1 32.46C349.6 21.96 335.3 16.06 320.5 16.06H191.5C176.7 16.06 162.4 21.96 151.9 32.46L32.47 151.9z"],
    "octagon-exclamation": [512, 512, [], "e204", "M256 127.1C260.4 127.1 264 131.6 264 135.1V295.1C264 300.4 260.4 303.1 256 303.1C251.6 303.1 248 300.4 248 295.1V135.1C248 131.6 251.6 127.1 256 127.1V127.1zM272 351.1C272 360.8 264.8 367.1 256 367.1C247.2 367.1 240 360.8 240 351.1C240 343.2 247.2 335.1 256 335.1C264.8 335.1 272 343.2 272 351.1zM320.5 .0628C339.6 .0628 357.9 7.648 371.4 21.15L490.8 140.6C504.3 154.1 511.9 172.4 511.9 191.5V320.5C511.9 339.6 504.3 357.9 490.8 371.4L371.4 490.8C357.9 504.3 339.6 511.9 320.5 511.9H191.5C172.4 511.9 154.1 504.3 140.6 490.8L21.15 371.4C7.652 357.9 .0666 339.6 .0666 320.5V191.5C.0666 172.4 7.652 154.1 21.15 140.6L140.6 21.15C154.1 7.648 172.4 .0625 191.5 .0625L320.5 .0628zM32.47 151.9C21.97 162.4 16.07 176.7 16.07 191.5V320.5C16.07 335.3 21.97 349.6 32.47 360.1L151.9 479.5C162.4 490 176.7 495.9 191.5 495.9H320.5C335.3 495.9 349.6 490 360.1 479.5L479.5 360.1C490 349.6 495.9 335.3 495.9 320.5V191.5C495.9 176.7 490 162.4 479.5 151.9L360.1 32.46C349.6 21.96 335.3 16.06 320.5 16.06H191.5C176.7 16.06 162.4 21.96 151.9 32.46L32.47 151.9z"],
    "octagon-minus": [512, 512, ["minus-octagon"], "f308", "M352 247.1C356.4 247.1 360 251.6 360 255.1C360 260.4 356.4 263.1 352 263.1H160C155.6 263.1 152 260.4 152 255.1C152 251.6 155.6 247.1 160 247.1H352zM320.5 .0628C339.6 .0628 357.9 7.648 371.4 21.15L490.8 140.6C504.3 154.1 511.9 172.4 511.9 191.5V320.5C511.9 339.6 504.3 357.9 490.8 371.4L371.4 490.8C357.9 504.3 339.6 511.9 320.5 511.9H191.5C172.4 511.9 154.1 504.3 140.6 490.8L21.15 371.4C7.652 357.9 .0666 339.6 .0666 320.5V191.5C.0666 172.4 7.652 154.1 21.15 140.6L140.6 21.15C154.1 7.648 172.4 .0625 191.5 .0625L320.5 .0628zM32.47 151.9C21.97 162.4 16.07 176.7 16.07 191.5V320.5C16.07 335.3 21.97 349.6 32.47 360.1L151.9 479.5C162.4 490 176.7 495.9 191.5 495.9H320.5C335.3 495.9 349.6 490 360.1 479.5L479.5 360.1C490 349.6 495.9 335.3 495.9 320.5V191.5C495.9 176.7 490 162.4 479.5 151.9L360.1 32.46C349.6 21.96 335.3 16.06 320.5 16.06H191.5C176.7 16.06 162.4 21.96 151.9 32.46L32.47 151.9z"],
    "octagon-plus": [512, 512, ["plus-octagon"], "f301", "M248 351.1V263.1H160C155.6 263.1 152 260.4 152 255.1C152 251.6 155.6 247.1 160 247.1H248V159.1C248 155.6 251.6 151.1 256 151.1C260.4 151.1 264 155.6 264 159.1V247.1H352C356.4 247.1 360 251.6 360 255.1C360 260.4 356.4 263.1 352 263.1H264V351.1C264 356.4 260.4 359.1 256 359.1C251.6 359.1 248 356.4 248 351.1zM320.5 .0628C339.6 .0628 357.9 7.648 371.4 21.15L490.8 140.6C504.3 154.1 511.9 172.4 511.9 191.5V320.5C511.9 339.6 504.3 357.9 490.8 371.4L371.4 490.8C357.9 504.3 339.6 511.9 320.5 511.9H191.5C172.4 511.9 154.1 504.3 140.6 490.8L21.15 371.4C7.652 357.9 .0666 339.6 .0666 320.5V191.5C.0666 172.4 7.652 154.1 21.15 140.6L140.6 21.15C154.1 7.648 172.4 .0625 191.5 .0625L320.5 .0628zM32.47 151.9C21.97 162.4 16.07 176.7 16.07 191.5V320.5C16.07 335.3 21.97 349.6 32.47 360.1L151.9 479.5C162.4 490 176.7 495.9 191.5 495.9H320.5C335.3 495.9 349.6 490 360.1 479.5L479.5 360.1C490 349.6 495.9 335.3 495.9 320.5V191.5C495.9 176.7 490 162.4 479.5 151.9L360.1 32.46C349.6 21.96 335.3 16.06 320.5 16.06H191.5C176.7 16.06 162.4 21.96 151.9 32.46L32.47 151.9z"],
    "octagon-xmark": [512, 512, ["times-octagon", "xmark-octagon"], "f2f0", "M178.3 178.3C181.5 175.2 186.5 175.2 189.7 178.3L256 244.7L322.3 178.3C325.5 175.2 330.5 175.2 333.7 178.3C336.8 181.5 336.8 186.5 333.7 189.7L267.3 255.1L333.7 322.3C336.8 325.5 336.8 330.5 333.7 333.7C330.5 336.8 325.5 336.8 322.3 333.7L256 267.3L189.7 333.7C186.5 336.8 181.5 336.8 178.3 333.7C175.2 330.5 175.2 325.5 178.3 322.3L244.7 255.1L178.3 189.7C175.2 186.5 175.2 181.5 178.3 178.3V178.3zM320.5 .0628C339.6 .0628 357.9 7.648 371.4 21.15L490.8 140.6C504.3 154.1 511.9 172.4 511.9 191.5V320.5C511.9 339.6 504.3 357.9 490.8 371.4L371.4 490.8C357.9 504.3 339.6 511.9 320.5 511.9H191.5C172.4 511.9 154.1 504.3 140.6 490.8L21.15 371.4C7.652 357.9 .0666 339.6 .0666 320.5V191.5C.0666 172.4 7.652 154.1 21.15 140.6L140.6 21.15C154.1 7.648 172.4 .0625 191.5 .0625L320.5 .0628zM32.47 151.9C21.97 162.4 16.07 176.7 16.07 191.5V320.5C16.07 335.3 21.97 349.6 32.47 360.1L151.9 479.5C162.4 490 176.7 495.9 191.5 495.9H320.5C335.3 495.9 349.6 490 360.1 479.5L479.5 360.1C490 349.6 495.9 335.3 495.9 320.5V191.5C495.9 176.7 490 162.4 479.5 151.9L360.1 32.46C349.6 21.96 335.3 16.06 320.5 16.06H191.5C176.7 16.06 162.4 21.96 151.9 32.46L32.47 151.9z"],
    "oil-can": [640, 512, [], "f613", "M264 80V160H368.9C378.8 160 388.6 162.3 397.5 166.8L448 192L615 156.2C633.1 152.3 645.7 173.8 633.5 187.7L451.1 394.3C438.1 408.1 421.5 416 403.1 416H144C117.5 416 96 394.5 96 368V345.1L29.09 316.5C11.44 308.9 0 291.6 0 272.3V208C0 181.5 21.49 160 48 160H248V80H168C163.6 80 160 76.42 160 72C160 67.58 163.6 64 168 64H344C348.4 64 352 67.58 352 72C352 76.42 348.4 80 344 80L264 80zM390.4 181.1C383.7 177.7 376.3 176 368.9 176H112V368C112 385.7 126.3 400 144 400H403.1C416.9 400 430 394.1 439.1 383.8L621.5 177.1C622.2 176.3 622.3 175.7 622.3 175.3C622.4 174.8 622.2 174.1 621.8 173.4C621.4 172.7 620.9 172.2 620.4 171.1C620 171.8 619.4 171.6 618.4 171.9L445.9 208.8L390.4 181.1zM96 327.7V176H48C30.33 176 16 190.3 16 208V272.3C16 285.2 23.63 296.7 35.39 301.8L96 327.7z"],
    "oil-can-drip": [640, 512, [], "e205", "M352 72C352 76.42 348.4 80 344 80H264V160H368.9C378.8 160 388.6 162.3 397.5 166.8L448 192L615 156.2C633.1 152.3 645.7 173.8 633.5 187.7L451.1 394.3C438.1 408.1 421.5 416 403.1 416H144C117.5 416 96 394.5 96 368V345.1L29.09 316.5C11.44 308.9 0 291.6 0 272.3V208C0 181.5 21.49 160 48 160H248V80H168C163.6 80 160 76.42 160 72C160 67.58 163.6 64 168 64H344C348.4 64 352 67.58 352 72V72zM445.9 208.8L390.4 181.1C383.7 177.7 376.3 176 368.9 176H112V368C112 385.7 126.3 400 144 400H403.1C416.9 400 430 394.1 439.1 383.8L621.5 177.1C622.2 176.3 622.3 175.7 622.3 175.3C622.4 174.8 622.2 174.1 621.8 173.4C621.4 172.7 620.9 172.2 620.4 171.1C620 171.8 619.4 171.6 618.4 171.9L445.9 208.8zM48 176C30.33 176 16 190.3 16 208V272.3C16 285.2 23.63 296.7 35.39 301.8L96 327.7V176L48 176zM640 400C640 432 618.5 448 592 448C565.5 448 544 426.5 544 400C544 379 564.6 337.4 578.9 311.2C584.6 300.6 599.4 300.6 605.1 311.2C619.4 337.4 640 379 640 400zM613.2 363.8C606.8 348.9 598.8 333.2 592 320.5C585.2 333.2 577.2 348.9 570.8 363.8C563.8 380.3 560 393.2 560 400C560 417.7 574.3 432 592 432C602.1 432 609.1 428.1 615.1 424.2C620 419.7 624 412.2 624 400C624 393.2 620.2 380.3 613.2 363.8z"],
    "oil-temperature": [576, 512, ["oil-temp"], "f614", "M280 24C280 10.75 290.7 0 304 0H376C380.4 0 384 3.582 384 8C384 12.42 380.4 16 376 16H304C299.6 16 296 19.58 296 24V96H376C380.4 96 384 99.58 384 104C384 108.4 380.4 112 376 112H296V224.4C336.4 228.4 368 262.5 368 304C368 348.2 332.2 384 288 384C243.8 384 208 348.2 208 304C208 262.5 239.6 228.4 280 224.4V24zM288 368C323.3 368 352 339.3 352 304C352 268.7 323.3 240 288 240C252.7 240 224 268.7 224 304C224 339.3 252.7 368 288 368zM380 367.9C383.5 362.8 386.7 357.4 389.3 351.7C409.1 349.7 429.1 336.5 445.8 322.1C455.1 312.9 465.5 302.6 473.5 291.4C474.1 289.3 477.4 287.1 480 288C482.6 288 485.1 289.3 486.6 291.4C493.9 301.7 502.5 311 511.6 319.7C527.3 334.5 547.7 348.9 569 351.6C573.4 352.1 576.5 356.1 575.9 360.5C575.4 364.9 571.4 367.1 567 367.4C540.5 364.1 516.1 346.7 500.6 331.3C491.8 322.1 484.7 314.9 480 309.1C474.8 315.5 466.8 324.7 456.6 333.9C438.7 350.2 412.7 368 384 368C382.7 368 381.3 367.1 380 367.9V367.9zM119.4 333.9C109.2 324.7 101.2 315.5 95.98 309.1C91.29 314.9 84.23 322.1 75.4 331.3C59.03 346.7 35.48 364.1 9.001 367.4C4.618 367.1 .6163 364.9 .064 360.5C-.4884 356.1 2.617 352.1 7.001 351.6C28.3 348.9 48.74 334.5 64.42 319.7C73.56 311 82.16 301.7 89.43 291.4C90.93 289.3 93.37 288 95.98 288C98.59 287.1 101 289.3 102.5 291.4C110.5 302.6 120 312.9 130.2 322.1C146 336.5 166 349.7 186.7 351.7C189.3 357.4 192.5 362.8 195.1 367.9C194.7 367.1 193.3 368 191.1 368C163.3 368 137.4 350.2 119.4 333.9V333.9zM294.6 435.4C302.6 446.6 312.1 456.9 322.2 466.1C339.5 481.8 361.5 496 384 496C406.5 496 428.6 481.8 445.8 466.1C455.1 456.9 465.5 446.6 473.5 435.4C474.1 433.3 477.4 432 480 432C482.6 432 485.1 433.3 486.6 435.4C493.9 445.7 502.5 455 511.6 463.7C527.3 478.5 547.7 492.9 569 495.6C573.4 496.1 576.5 500.1 575.9 504.5C575.4 508.9 571.4 511.1 567 511.4C540.5 508.1 516.1 490.7 500.6 475.3C491.8 466.1 484.7 458.9 480 453.1C474.8 459.5 466.8 468.7 456.6 477.9C438.7 494.2 412.7 512 384 512C355.3 512 329.4 494.2 311.4 477.9C301.3 468.7 293.2 459.5 288 453.1L288 453.1L287.1 453.1C282.8 459.5 274.7 468.7 264.6 477.9C246.6 494.2 220.7 512 191.1 512C163.3 512 137.4 494.2 119.4 477.9C109.2 468.7 101.2 459.5 95.98 453.1C91.29 458.9 84.23 466.1 75.4 475.3C59.03 490.7 35.48 508.1 9.001 511.4C4.617 511.1 .616 508.9 .0637 504.5C-.4887 500.1 2.617 496.1 7.001 495.6C28.3 492.9 48.74 478.5 64.42 463.7C73.56 455 82.16 445.7 89.43 435.4C90.93 433.3 93.37 432 95.98 432C98.59 432 101 433.3 102.5 435.4C110.5 446.6 120 456.9 130.2 466.1C147.4 481.8 169.5 496 191.1 496C214.5 496 236.6 481.8 253.8 466.1C263.9 456.9 273.4 446.6 281.4 435.4C284.4 431.1 291.6 431.1 294.6 435.4H294.6z"],
    "oil-well": [576, 512, [], "e532", "M430.4 4.707C473-6.729 516.9 18.6 528.3 61.28L569.8 215.8C581.2 258.5 555.9 302.4 513.2 313.8L497.7 317.9C480.7 322.5 463.1 312.4 458.5 295.3L428.6 183.7L80 274V496H130.3L202 285L220.5 280.2L196.1 352H347.9L315.1 255.7L330.7 251.7L413.7 496H568C572.4 496 576 499.6 576 504C576 508.4 572.4 512 568 512H8C3.582 512 0 508.4 0 504C0 499.6 3.582 496 8 496H64V167.1C64 163.6 67.58 159.1 72 159.1C76.42 159.1 80 163.6 80 167.1V257.5L224.1 220.2L264.4 101.4C265.5 98.18 268.6 96 271.1 96C275.4 96 278.5 98.18 279.6 101.4L312.2 197.3L424.5 168.2L392.3 48.04C387.7 30.97 397.8 13.42 414.9 8.847L430.4 4.707zM434.5 20.16L419 24.3C410.5 26.59 405.4 35.36 407.7 43.9L473.1 291.2C476.3 299.7 485.1 304.8 493.6 302.5L509 298.3C543.2 289.2 563.4 254.1 554.3 219.1L512.9 65.42C503.7 31.27 468.6 11.01 434.5 20.16V20.16zM296.6 201.3L272 128.9L242.6 215.4L296.6 201.3zM396.8 496L353.3 368H190.7L147.2 496H396.8z"],
    "olive": [448, 512, [], "e316", "M392.5 89.39C354.2 49.21 312.1 32 269.3 32C205.9 32 140.9 69.6 83.99 126.2c-95.42 94.96-112 232.4-37.02 307C78.59 464.7 121.5 480 167.6 480c63.27 0 132.7-28.67 187.9-83.58C450.9 301.5 487.5 188.1 392.5 89.39zM344.2 385.1C293.8 435.2 229.4 464 167.6 464c-43.88 0-81.7-14.55-109.4-42.07c-27.64-27.5-42.25-65.1-42.25-108.7c0-61.48 28.89-125.5 79.27-175.6C136.3 96.71 199.9 48 269.3 48c40.94 0 78.51 17.64 111.7 52.44C486.6 211.2 403.3 326.3 344.2 385.1zM381.6 191.5c-5-20.05-17.41-40.72-34.91-58.22s-38.19-29.89-58.22-34.89c-21.38-5.344-39.88-1.75-51.84 10.2s-15.59 30.38-10.22 51.86c5 20.05 17.41 40.72 34.91 58.22s38.19 29.89 58.22 34.91c6.469 1.625 12.69 2.438 18.53 2.438c13.47 0 24.97-4.297 33.31-12.64C383.3 231.4 386.1 213 381.6 191.5zM360.1 232.1c-7.812 7.828-20.81 9.984-36.66 6c-17.28-4.328-35.31-15.22-50.78-30.7s-26.38-33.52-30.69-50.78c-3.969-15.83-1.844-28.84 6-36.67c5.25-5.25 12.84-7.938 22.06-7.938c4.5 0 9.406 .6406 14.59 1.938c17.28 4.312 35.31 15.22 50.78 30.69c15.47 15.48 26.38 33.52 30.69 50.8C370 211.2 367.9 224.3 360.1 232.1z"],
    "olive-branch": [640, 512, [], "e317", "M336 128c-79.4 0-143.1 86.13-143.1 192s64.6 192 143.1 192c79.4 0 143.1-86.13 143.1-192S415.4 128 336 128zM336 496c-70.69 0-127.1-78.8-127.1-176c0-97.2 57.3-176 127.1-176c70.69 0 127.1 78.8 127.1 176C464 417.2 406.7 496 336 496zM265.7 68.3C323.6 34.08 389.7 16 456.1 16H632C636.4 16 640 12.42 640 8S636.4 0 632 0h-175c-69.1 0-136.1 18.49-196.7 53.14C253.6 47.05 199.7 0 132 0C61.18 0 4.896 51.95 2.553 54.16C.9277 55.67 .0215 57.78 .0215 60s.9062 4.328 2.531 5.844c2.064 1.914 44.87 41.31 102.5 51.63C85.61 124.4 65.64 134.8 49.02 150.6c-50.56 48.28-49.09 126.3-48.1 129.6C.1465 284.5 3.553 287.9 7.834 287.1C8.084 287.1 8.771 288 9.865 288c13.41 0 86.5-2.109 133.2-46.63C193.5 193.2 192.1 115.4 192 111.8L265.7 68.3zM20.4 59.98C36.9 46.83 80.96 16 132 16c50.9 0 95.06 30.84 111.6 44.02C227.1 73.17 182.9 104 132 104S36.93 73.16 20.4 59.98zM131.1 229.8c-36.88 35.2-94.69 41.06-115.7 42c1.062-20.28 7.344-74.75 43.87-109.6c36.87-35.2 94.68-41.06 115.7-42C174.8 140.5 168.5 194.9 131.1 229.8zM440.7 128c-4.342-.1562-8.248 2.922-8.623 7.312C431.7 139.8 434.9 143.6 439.3 143.1c43.34 3.562 88.22 26.84 123.2 63.86c67.37 71.45 81.65 172.5 31.84 225.4c-27.84 29.45-71.19 38.33-118.8 24.39c-4.219-1.266-8.688 1.188-9.938 5.422c-1.219 4.25 1.188 8.688 5.438 9.922c16.34 4.797 32.28 7.141 47.44 7.141c34.63 0 65.19-12.27 87.5-35.91c55.53-58.88 41.25-169.8-31.84-247.3C536.5 157 487.9 131.9 440.7 128z"],
    "om": [512, 512, [128329], "f679", "M355.1 106.7c3.609 3.5 8.233 5.224 12.89 5.224c4.688 0 9.392-1.739 13.08-5.317l21.81-21.82C406.2 81.19 408 76.63 408 71.89c0-4.734-1.828-9.299-5.344-13.03l-21.81-21.82c-7.094-6.658-18.41-6.846-25.88 .1875l-21.81 21.82C329.8 62.59 328 67.16 328 71.89c0 4.736 1.828 9.301 5.344 13.04L355.1 106.7zM344.7 70.17l21.44-21.44c1.125-1.062 2.875-.875 3.625-.1875l21.44 21.44C391.7 70.55 392 71.25 392 71.89s-.3125 1.346-.6562 1.721l-21.53 21.54c-1.031 1.002-2.562 1.002-3.594 .0313l-21.38-21.38C344.3 73.24 344 72.53 344 71.89S344.3 70.55 344.7 70.17zM424 199.9h-2.75c-30.86 0-61.08 12.52-82.91 34.35C319.5 253.1 293.4 263.9 266.8 263.9H197.1C223.3 247.4 240 219.5 240 187.9c0-50.75-43.06-92.02-96-92.02c-30.39 0-58.34 13.36-76.69 36.65C64.58 136 65.17 141.1 68.64 143.8c3.5 2.75 8.5 2.172 11.23-1.328C95.17 123 118.5 111.9 144 111.9c44.11 0 80 34.1 80 76.02C224 229.8 188.1 263.9 144 263.9c-4.422 0-8 3.58-8 8.002c0 4.424 3.578 8.002 8 8.002H160c62.8 0 112 40.42 112 92.03c0 50.75-51.78 92.02-115.4 92.02c-60.89 0-115.6-45.84-124.7-104.4c-.6719-4.361-4.75-7.252-9.125-6.689c-4.375 .6719-7.359 4.768-6.688 9.127C26.3 428.2 88 480 156.6 480C229 480 288 431.5 288 371.1c0-39.56-24.2-73.22-60.82-92.03h39.57c30.86 0 61.08-12.52 82.91-34.35c18.84-18.85 44.94-29.66 71.59-29.66H424c30.88 0 55.1 25.07 55.1 55.95L480 375.1c0 30.88-25.12 56.02-56 56.02h-24.45c-21.34 0-40.53-11.86-50.08-30.96l-14.31-28.63c-1.984-3.955-6.766-5.564-10.73-3.58c-3.953 1.984-5.547 6.783-3.578 10.74l14.31 28.63c12.28 24.55 36.95 39.81 64.39 39.81H424c39.7 0 72-32.31 72-72.02V271.9C496 232.2 463.7 199.9 424 199.9zM285.1 135.4l39.67 15.43c15.55 6.049 31.81 9.033 48.08 9.033c23.53 0 47.05-6.268 68.27-18.64l10.91-6.361c3.812-2.221 5.109-7.127 2.875-10.94c-2.234-3.828-7.172-5.156-10.94-2.875l-10.91 6.361c-32.11 18.71-68.45 21.72-102.5 8.518L290.9 120.5c-4.109-1.656-8.75 .4375-10.34 4.562C278.9 129.1 280.1 133.8 285.1 135.4z"],
    "omega": [448, 512, [], "f67a", "M448 472c0 4.422-3.578 8-8 8H288c-4.422 0-8-3.578-8-8v-31.19c0-3.531 2.312-6.641 5.688-7.656C373.2 406.7 432 331.1 432 245.3C432 136.5 338.7 48 224 48S16 136.5 16 245.3c0 85.89 58.8 161.4 146.3 187.9C165.7 434.2 168 437.3 168 440.8V472C168 476.4 164.4 480 160 480H8C3.578 480 0 476.4 0 472s3.578-8 8-8h144v-17.33C60.83 416.6 0 336.4 0 245.3c0-117.6 100.5-213.2 224-213.2s224 95.65 224 213.2c0 91.13-60.83 171.4-152 201.4V464h144C444.4 464 448 467.6 448 472z"],
    "onion": [448, 512, [129477], "e427", "M448 283.3c0-57.56-34.5-112.1-92.28-145.1c-.5703-.3379-49.03-29.99-78.04-90.54c-2.42-5.734-4.994-11.83-7.539-17.86c-2.734-7.361-5.514-14.69-7.516-22.83c-.7187-2.906-3-5.172-5.906-5.875c-2.938-.7031-6 .2969-7.938 2.562l-24.4 28.36L223.5 31.03L199.2 2.791c-1.969-2.281-5-3.281-7.938-2.562C188.4 .9316 186.1 3.197 185.4 6.104C183.4 14.07 180.7 21.2 178.1 28.4C175.2 35.15 172.3 41.99 169.7 48.37C141 107.5 94.64 135.9 92.28 137.3C34.5 171.2 0 225.8 0 283.3c0 78.38 62.33 145.1 149 170l-20.35 47.48c-1.75 4.062 .125 8.766 4.188 10.52C133.9 511.8 134.9 512 136 512c3.094 0 6.062-1.812 7.344-4.844l21.34-49.79C181.1 461 198.3 463.2 216 463.7V504C216 508.4 219.6 512 224 512s8-3.578 8-8v-40.33c17.71-.5078 34.88-2.658 51.32-6.311l21.34 49.79C305.9 510.2 308.9 512 312 512c1.062 0 2.125-.2031 3.156-.6406c4.062-1.75 5.938-6.453 4.188-10.52l-20.35-47.48C385.7 428.4 448 361.7 448 283.3zM16 283.3c0-51.81 31.53-101.2 84.34-132.2C101.9 150.3 119.6 139.6 140.2 118.4C83.32 254.5 77.75 275.3 77.75 317.1c0 53.35 22.98 82.87 57.17 113.9C64.74 405.4 16 348.9 16 283.3zM224 448c-18.4 0-36.15-2.088-53.15-5.652c-.127-.123-.0879-.3242-.2246-.4395c-50.5-43.08-76.88-68.16-76.88-123.9c0-45.75 7.078-65.28 89.04-259.6c3.75-7.457 7.02-15.57 10.12-23.98c1.381-3.271 2.662-6.316 4.084-9.68l18.67 21.69C180.9 297.7 178.1 319.4 191.2 370.9c8.508 33.41 23.46 56.34 48.67 76.44C234.6 447.7 229.3 448 224 448zM277.4 441.9c-.1367 .1152-.0977 .3164-.2246 .4395c-4.701 .9844-9.416 1.932-14.24 2.658l-2.441-1.646c-29.47-19.92-45.06-42.04-53.81-76.37C194.3 318.4 197.1 297 231.8 47.11l19.25-22.35c1.416 3.354 2.695 6.389 4.072 9.652c3.109 8.43 6.387 16.56 10.14 24.03c81.95 194.3 89.03 213.8 89.03 259.5C354.3 373.8 327.9 398.8 277.4 441.9zM313.1 431.9c34.19-31.05 57.17-60.57 57.17-113.9c0-42.7-5.574-63.48-62.46-199.6c20.63 21.2 38.36 31.87 39.87 32.75C400.5 182.1 432 231.5 432 283.3C432 348.9 383.3 405.4 313.1 431.9z"],
    "option": [640, 512, [], "e318", "M424 80h208C636.4 80 640 76.42 640 72S636.4 64 632 64h-208C419.6 64 416 67.58 416 72S419.6 80 424 80zM632 432h-136.8c-17.34 0-33.41-7.844-44.09-21.5L201.5 91.63C187.8 74.06 167.1 64 144.8 64H8C3.594 64 0 67.59 0 72S3.594 80 8 80h136.8c17.34 0 33.41 7.844 44.09 21.5l249.6 318.9C452.2 437.9 472.9 448 495.2 448H632c4.406 0 8-3.594 8-8S636.4 432 632 432z"],
    "ornament": [384, 512, [], "f7b8", "M287.1 153.9L287.1 112c0-13.23-10.74-24-23.98-24h-34.6C238.4 78.65 244 66 244 52C244 23.28 220.7 0 191.1 0S140 23.28 140 52c0 14 5.598 26.65 14.6 36H120c-13.23 0-24.01 10.77-24.01 24l.0016 41.94C38.66 187.2 0 248.1 0 320c0 106 85.95 192 191.1 192S384 426 384 320C384 248.1 345.3 187.2 287.1 153.9zM192 16c19.85 0 36 16.15 36 36S211.9 88 192 88c-19.85 0-36-16.15-36-36S172.2 16 192 16zM112 112c0-4.406 3.594-8 8-8h144c4.406 0 8 3.594 8 8v32h-160V112zM119.1 160h145.8c38.77 17.74 69.91 49.17 87.47 88H31.64C49.2 209.2 80.34 177.7 119.1 160zM192 496c-71.38 0-132.8-42.79-160.4-104h320.9C324.8 453.2 263.4 496 192 496zM358.7 376H25.29C19.36 358.4 16 339.6 16 320c0-19.63 3.51-38.37 9.475-56h333.1C364.5 281.6 368 300.4 368 320C368 339.6 364.6 358.4 358.7 376z"],
    "otter": [640, 512, [129446], "f700", "M224 160c8.836 0 16-7.164 16-16C240 135.2 232.8 128 224 128S208 135.2 208 144C208 152.8 215.2 160 224 160zM474.4 64.12C473.8 64.04 473.2 64 472.6 64C465.8 64 460 69.65 460 76.73c0 5.959 4.186 10.1 9.991 12.36c44.73 10.49 77.5 51.87 73.71 100.6C542.4 205.9 536.6 221.6 528 235.1V208c0-8.375-4.25-16-11.38-20.41c-7.188-4.438-15.88-4.828-23.34-1.062C466.5 199.9 449.9 226.4 448.5 256h-108.7c5.785-11.9 17.66-15.71 28.49-16C385.8 239.8 400 225.6 400 208c0-17.67-14.31-32-32-32c-25.93 0-60.21 11.7-80 40.65v-26.61C292.4 180.3 294.8 169.7 295.5 158.5C309.4 155.1 320 143 320 128c0-8.838-7.164-16-16-16H292.4C280.7 66.1 239.4 32 189.9 32H130.1C80.56 32 39.3 66.1 27.62 112H16C7.164 112 0 119.2 0 128c0 15.02 10.57 27.05 24.53 30.49C25.19 169.7 27.64 180.3 32 190V256c0 123.7 100.3 224 224 224h157.9C538.8 480 640 378.8 640 253.8C639.9 156.9 567.8 76.96 474.4 64.12zM304 128c0 5.846-3.305 10.75-8 13.54V138.1C296 134.6 295.3 131.4 294.1 128H304zM24 138.1v3.441C19.31 138.7 16 133.8 16 128h9.018C24.69 131.4 24 134.6 24 138.1zM368 192C376.8 192 384 199.2 384 208c0 8.812-7.125 15.95-15.91 16c-6.918 .082-36.73 2.867-45.19 32H320C308.8 256 299.4 249.8 293.6 241.1C307.5 203.4 345.6 192 368 192zM40 138.1C40 88.42 80.42 48 130.1 48h59.8C239.6 48 280 88.42 280 138.1v15.11c0 40.99-33.35 74.34-74.34 74.34c-8.066 0-15.91-1.609-23.32-4.785L160 213.2L137.7 222.8C130.3 225.9 122.4 227.6 114.3 227.6C73.35 227.6 40 194.2 40 153.2V138.1zM48 214.1c16.52 17.98 40.01 29.44 66.34 29.44c10.18 0 20.26-2.066 29.62-6.076L160 230.6l16.04 6.869C185.4 241.5 195.5 243.6 205.7 243.6c26.34 0 49.83-11.46 66.34-29.44V224c0 26.47 21.53 48 48 48h75.05C369.1 289.2 352 318.6 352 352H255.2C260.4 345.2 264 337.2 264 328C264 305.9 246.1 288 224 288H88C65.94 288 48 270.1 48 248V214.1zM413.9 464H256c-103.2 0-188.8-75.62-205-174.3C60.88 298.5 73.75 304 88 304h135c11.61 0 22.29 7.822 24.5 19.22C250.5 338.5 238.8 352 224 352H168C163.6 352 160 355.6 160 360s3.582 8 8 8h200V352c0-44.11 35.89-80 80-80h3.797C458.5 272 464 266.5 464 259.8c0-25.12 13.97-47.7 36.41-58.94c3.625-1.859 6.656-.3594 7.781 .3594C509.3 201.9 512 204 512 208V344c0 30.88-25.12 56-56 56h-32c-4.406 0-8 3.578-8 8S419.6 416 424 416h32c39.69 0 72-32.3 72-72V261.1c17.74-18.71 29.62-44.01 31.66-70.08c3.188-41.03-15.85-78.78-47.95-100.7C577.8 115.1 623.9 180.5 624 253.8C624 369.7 529.7 464 413.9 464zM96 160c8.836 0 16-7.164 16-16C112 135.2 104.8 128 96 128S80 135.2 80 144C80 152.8 87.16 160 96 160zM136.4 191.7l10.39 4.723C150.9 198.3 155.5 199.2 160 199.2s9.074-.9473 13.24-2.84l10.39-4.723C193.7 187.1 200 177.8 200 167.6V159.2C200 150.8 192.5 144 183.3 144H136.7C127.5 144 120 150.8 120 159.2v8.377C120 177.8 126.3 187.1 136.4 191.7zM136 160h48v7.59c0 3.898-2.676 7.537-6.984 9.494l-10.39 4.723C164.6 182.7 162.3 183.2 160 183.2S155.4 182.7 153.4 181.8l-10.39-4.723C138.7 175.1 136 171.5 136 167.6V160z"],
    "outdent": [512, 512, ["dedent"], "f03b", "M32 64C32 59.58 35.58 56 40 56H472C476.4 56 480 59.58 480 64C480 68.42 476.4 72 472 72H40C35.58 72 32 68.42 32 64zM224 192C224 187.6 227.6 184 232 184H472C476.4 184 480 187.6 480 192C480 196.4 476.4 200 472 200H232C227.6 200 224 196.4 224 192zM472 312C476.4 312 480 315.6 480 320C480 324.4 476.4 328 472 328H232C227.6 328 224 324.4 224 320C224 315.6 227.6 312 232 312H472zM32 448C32 443.6 35.58 440 40 440H472C476.4 440 480 443.6 480 448C480 452.4 476.4 456 472 456H40C35.58 456 32 452.4 32 448zM133.8 165.6C144.3 156.1 159.1 164.4 159.1 177.9V334.1C159.1 347.6 144.3 355 133.8 346.4L38.1 268.4C31.23 261.1 31.23 250 38.1 243.6L133.8 165.6zM49.17 256L143.1 334.1V177.9L49.17 256z"],
    "outlet": [448, 512, [], "e01c", "M224 272c-17.66 0-32 14.36-32 32v24c0 4.422 3.594 8 8 8h48c4.406 0 8-3.578 8-8V304C256 286.4 241.7 272 224 272zM240 320h-32V304C208 295.2 215.2 288 224 288s16 7.172 16 16V320zM160 192C155.6 192 152 195.6 152 200v64C152 268.4 155.6 272 160 272c4.42 0 8-3.582 8-8v-64C168 195.6 164.4 192 160 192zM288 192c-4.418 0-8 3.582-8 8v64c0 4.418 3.582 8 8 8c4.42 0 8-3.582 8-8v-64C296 195.6 292.4 192 288 192zM384 31.1H64c-35.35 0-64 28.65-64 63.1v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64v-320C448 60.65 419.3 31.1 384 31.1zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416zM319.3 128l-.0371 16c.7715 0 1.609 .3447 2.088 .8018C351.4 174.5 368 213.1 368 256c0 42.04-16.58 81.54-46.54 111.1c-.6328 .6074-1.545 .9434-2.566 .9434H129.1c-1.021 0-1.934-.3359-2.418-.7988C96.58 337.5 80 298 80 256c0-42.04 16.58-81.54 46.54-111.1c.625-.5977 1.424-.9434 2.551-.9434l190.1-.0029L319.3 128H128.7c-4.975 0-9.719 1.988-13.28 5.404C83.79 164.6 64 207.9 64 255.1c0 48.1 19.79 91.4 51.46 122.6c3.646 3.5 8.541 5.4 13.65 5.4h189.8c5.104 0 10-1.9 13.65-5.4C364.2 347.4 384 304.1 384 255.1c0-48.1-19.79-91.4-51.46-122.6C328.1 129.1 324.2 128 319.3 128z"],
    "oven": [448, 512, [], "e01d", "M80 80C71.17 80 64 87.17 64 96s7.166 16 16 16S96 104.8 96 96S88.83 80 80 80zM96 448h256c17.67 0 32-14.33 32-32V256c0-17.67-14.33-32-32-32H96C78.33 224 64 238.3 64 256v160C64 433.7 78.33 448 96 448zM80 256c0-8.822 7.178-16 16-16h256c8.822 0 16 7.178 16 16v160c0 8.822-7.178 16-16 16H96c-8.822 0-16-7.178-16-16V256zM368 80C359.2 80 352 87.17 352 96s7.166 16 16 16S384 104.8 384 96S376.8 80 368 80zM176 80C167.2 80 160 87.17 160 96s7.166 16 16 16S192 104.8 192 96S184.8 80 176 80zM384 0H64C28.63 0 0 28.62 0 64v384c0 35.2 28.8 64 64 64h320c35.2 0 64-28.8 64-64V64C448 28.62 419.4 0 384 0zM432 448c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V176h416V448zM432 160h-416V64c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V160zM272 80C263.2 80 256 87.17 256 96s7.166 16 16 16S288 104.8 288 96S280.8 80 272 80zM120 304h208c4.406 0 8-3.578 8-8S332.4 288 328 288h-208C115.6 288 112 291.6 112 296S115.6 304 120 304z"],
    "overline": [448, 512, [], "f876", "M232.3 128h-16.5C123.1 128 48 203.1 48 295.8v48.5C48 436.9 123.1 512 215.8 512h16.5C324.9 512 400 436.9 400 344.3v-48.5C400 203.1 324.9 128 232.3 128zM384 344.3C384 427.9 315.9 496 232.3 496h-16.5C132.1 496 64 427.9 64 344.3v-48.5C64 212.1 132.1 144 215.8 144h16.5C315.9 144 384 212.1 384 295.8V344.3zM440 0H8C3.594 0 0 3.578 0 8S3.594 16 8 16h432C444.4 16 448 12.42 448 8S444.4 0 440 0z"],
    "p": [320, 512, [112], "50", "M8 480C3.594 480 0 476.4 0 472V40C0 35.59 3.594 32 8 32h176C259 32 320 93 320 168S259 304 184 304H16v168C16 476.4 12.41 480 8 480zM16 288h168c66.16 0 120-53.84 120-120S250.2 48 184 48H16V288z"],
    "page": [384, 512, [], "e428", "M320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H245.5C262.5 0 278.7 6.743 290.7 18.75L365.3 93.26C377.3 105.3 384 121.5 384 138.5V448C384 483.3 355.3 512 320 512zM64 496H320C346.5 496 368 474.5 368 448V138.5C368 125.8 362.9 113.6 353.9 104.6L279.4 30.06C270.4 21.06 258.2 16 245.5 16H64C37.49 16 16 37.49 16 64V448C16 474.5 37.49 496 64 496V496z"],
    "page-caret-down": [384, 512, ["file-caret-down"], "e429", "M104.5 264.2C90.38 248.8 101.3 224 122.2 224H261.8C282.7 224 293.6 248.8 279.5 264.2L203.8 346.8C200.8 350.1 196.5 352 191.1 352C187.5 352 183.2 350.1 180.2 346.8L104.5 264.2zM261.8 240H122.2C115.2 240 111.6 248.3 116.3 253.4L191.1 336L267.7 253.4C272.4 248.3 268.8 240 261.8 240zM0 448V64C0 28.65 28.65 0 64 0H245.5C262.5 0 278.7 6.743 290.7 18.75L365.3 93.26C377.3 105.3 384 121.5 384 138.5V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448zM368 448V138.5C368 125.8 362.9 113.6 353.9 104.6L279.4 30.06C270.4 21.06 258.2 16 245.5 16H64C37.49 16 16 37.49 16 64V448C16 474.5 37.49 496 64 496H320C346.5 496 368 474.5 368 448z"],
    "page-caret-up": [384, 512, ["file-caret-up"], "e42a", "M279.5 279.8C293.6 295.2 282.7 320 261.8 320H122.2C101.3 320 90.38 295.2 104.5 279.8L180.2 197.2C183.2 193.9 187.5 192 191.1 192C196.5 192 200.8 193.9 203.8 197.2L279.5 279.8zM122.2 304H261.8C268.8 304 272.4 295.7 267.7 290.6L191.1 208L116.3 290.6C111.6 295.7 115.2 304 122.2 304zM0 448V64C0 28.65 28.65 0 64 0H245.5C262.5 0 278.7 6.743 290.7 18.75L365.3 93.26C377.3 105.3 384 121.5 384 138.5V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448zM368 448V138.5C368 125.8 362.9 113.6 353.9 104.6L279.4 30.06C270.4 21.06 258.2 16 245.5 16H64C37.49 16 16 37.49 16 64V448C16 474.5 37.49 496 64 496H320C346.5 496 368 474.5 368 448z"],
    "pager": [512, 512, [128223], "f815", "M448 64H64C28.63 64 0 92.63 0 128v256c0 35.38 28.62 64 64 64h384c35.38 0 64-28.62 64-64V128C512 92.63 483.4 64 448 64zM496 384c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V128c0-26.47 21.53-48 48-48h384c26.47 0 48 21.53 48 48V384zM416 127.1H96c-17.62 0-32 14.38-32 32v64c0 17.62 14.38 32 32 32h320c17.62 0 32-14.38 32-32V160C448 142.4 433.6 127.1 416 127.1zM432 224c0 8.822-7.178 16-16 16H96C87.18 240 80 232.8 80 224V160c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V224zM152 320h-80C67.59 320 64 323.6 64 328s3.594 8 8 8h80C156.4 336 160 332.4 160 328S156.4 320 152 320zM280 320h-80C195.6 320 192 323.6 192 328s3.594 8 8 8h80c4.406 0 8-3.578 8-8S284.4 320 280 320z"],
    "paint-roller": [512, 512, [], "f5aa", "M352 0C387.3 0 416 28.65 416 64V96C416 131.3 387.3 160 352 160H64C28.65 160 0 131.3 0 96V64C0 28.65 28.65 0 64 0H352zM352 16H64C37.49 16 16 37.49 16 64V96C16 122.5 37.49 144 64 144H352C378.5 144 400 122.5 400 96V64C400 37.49 378.5 16 352 16zM216 320V288C216 257.1 241.1 232 272 232H448C470.1 232 488 214.1 488 192V128C488 105.9 470.1 88 448 88V72C478.9 72 504 97.07 504 128V192C504 222.9 478.9 248 448 248H272C249.9 248 232 265.9 232 288V320H240C266.5 320 288 341.5 288 368V464C288 490.5 266.5 512 240 512H208C181.5 512 160 490.5 160 464V368C160 341.5 181.5 320 208 320H216zM240 336H208C190.3 336 176 350.3 176 368V464C176 481.7 190.3 496 208 496H240C257.7 496 272 481.7 272 464V368C272 350.3 257.7 336 240 336z"],
    "paintbrush": [576, 512, [128396, "paint-brush"], "f1fc", "M272 408C272 462.7 229.8 507.5 176.1 511.7C176.1 511.7 176 511.8 176 511.8C176 511.9 175.9 512 175.8 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H35.96C53.09 448 64.94 430.2 64.12 413C64.04 411.4 64 409.7 64 408C64 350.6 110.6 304 168 304C174.5 304 180.8 304.6 186.9 305.7C185 297.5 183.1 289 183.1 280.3C183.1 244.6 201.1 210.1 229.1 189.1L474.3 12.25C499.7-6.279 534.9-3.526 557.2 18.74C579.4 41 582.2 76.16 563.7 101.6L386.1 345.1C365 374.9 331.4 392 295.7 392C286.1 392 278.4 390.1 270.3 389.1C271.4 395.2 272 401.5 272 408V408zM295.7 376C326.3 376 355.1 361.3 373.1 336.6L550.7 92.22C564.6 73.12 562.6 46.75 545.8 30.05C529.1 13.36 502.8 11.29 483.7 25.19L239.4 202.9C214.6 220.9 199.1 249.7 199.1 280.3C199.1 290.9 201.7 301.2 204.9 310.8L205 310.8C205.6 312.4 206.1 313.9 206.8 315.4L260.6 369.2C262.1 369.9 263.6 370.4 265.2 370.1L265.2 371.1C274.8 374.3 285.1 376 295.7 376L295.7 376zM252.7 384L192 323.3C184.4 321.2 176.3 320 168 320C119.4 320 80 359.4 80 408C80 409.4 80.03 410.9 80.1 412.3C80.69 424.6 76.79 437 69.52 446.6C62.16 456.3 50.54 464 35.96 464H32C23.16 464 16 471.2 16 480C16 488.8 23.16 496 32 496H172.1C173.6 495.9 174.3 495.8 174.9 495.7C220.3 492.2 256 454.3 256 408C256 399.7 254.8 391.6 252.7 384H252.7z"],
    "paintbrush-fine": [576, 512, ["paint-brush-alt", "paint-brush-fine", "paintbrush-alt"], "f5a9", "M559.5 95.6L269.6 385.5C271.2 392.8 272 400.3 272 408C272 462.7 229.8 507.5 176.1 511.7C176.1 511.7 176 511.8 176 511.8C176 511.9 175.9 512 175.8 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H35.96C53.09 448 64.94 430.2 64.12 413C64.04 411.4 64 409.7 64 408C64 350.6 110.6 304 168 304C175.7 304 183.1 304.8 190.3 306.4L480.3 16.4C502.2-5.467 537.6-5.467 559.5 16.4C581.4 38.27 581.4 73.73 559.5 95.6V95.6zM491.6 27.72L297.3 222L353.9 278.6L548.2 84.28C563.8 68.66 563.8 43.34 548.2 27.72C532.6 12.09 507.3 12.09 491.6 27.72H491.6zM205.3 314L261.9 370.6L342.6 289.9L286 233.3L205.3 314zM191.1 323.3C184.4 321.2 176.3 319.1 168 319.1C119.4 319.1 80 359.4 80 408C80 409.4 80.03 410.9 80.1 412.3C80.69 424.6 76.79 437 69.52 446.6C62.16 456.3 50.54 464 35.96 464H32C23.16 464 16 471.2 16 480C16 488.8 23.16 496 32 496H172.1C173.6 495.9 174.3 495.8 174.9 495.7C220.3 492.2 256 454.3 256 408C256 399.7 254.8 391.6 252.7 384L191.1 323.3z"],
    "paintbrush-pencil": [576, 512, [], "e206", "M272 408C272 462.7 229.8 507.5 176.1 511.7C176.1 511.7 176 511.8 176 511.8C176 511.9 175.9 512 175.8 512H32C14.33 512 0 497.7 0 480C0 462.3 14.33 448 32 448H35.96C53.09 448 64.94 430.2 64.12 413C64.04 411.4 64 409.7 64 408C64 350.6 110.6 304 168 304C175.7 304 183.1 304.8 190.3 306.4L480.3 16.4C502.2-5.467 537.6-5.467 559.5 16.4C581.4 38.27 581.4 73.73 559.5 95.6L269.6 385.5C271.2 392.8 272 400.3 272 408V408zM548.2 84.28C563.8 68.66 563.8 43.34 548.2 27.72C532.6 12.09 507.3 12.09 491.6 27.72L297.3 222L353.9 278.6L548.2 84.28zM342.6 289.9L286 233.3L205.3 314L261.9 370.6L342.6 289.9zM80 408C80 409.4 80.03 410.9 80.1 412.3C80.69 424.6 76.79 437 69.52 446.6C62.16 456.3 50.54 464 35.96 464H32C23.16 464 16 471.2 16 480C16 488.8 23.16 496 32 496H172.1C173.6 495.9 174.3 495.8 174.9 495.7C220.3 492.2 256 454.3 256 408C256 399.7 254.8 391.6 252.7 384L191.1 323.3C184.4 321.2 176.3 320 168 320C119.4 320 80 359.4 80 408H80zM160.3 14.63L292.9 147.2L281.6 158.5L227.2 104.1L136.1 195.2L190.5 249.6L179.2 260.9L46.63 128.3C27.88 109.6 27.88 79.2 46.63 60.46L92.46 14.63C111.2-4.12 141.6-4.12 160.3 14.63V14.63zM149 25.94C136.5 13.44 116.3 13.44 103.8 25.94L57.94 71.77C45.44 84.27 45.44 104.5 57.94 117L124.8 183.9L215.9 92.8L149 25.94zM417.4 294.3L428.7 282.1L481.7 335.1C493.1 348.3 503 363.5 507.9 380.2L543.7 501.7C544.5 504.6 543.7 507.6 541.7 509.7C539.6 511.7 536.6 512.5 533.7 511.7L412.2 475.9C395.5 471 380.3 461.1 367.1 449.7L314.1 396.7L326.3 385.4L379.3 438.4C389.7 448.8 402.6 456.4 416.7 460.6L524.2 492.2L492.6 384.7C488.4 370.5 480.8 357.7 470.4 347.3L417.4 294.3z"],
    "palette": [512, 512, [127912], "f53f", "M64 295.1C64 273.9 81.91 255.1 104 255.1C126.1 255.1 144 273.9 144 295.1C144 318.1 126.1 336 104 336C81.91 336 64 318.1 64 295.1zM104 319.1C117.3 319.1 128 309.3 128 295.1C128 282.7 117.3 271.1 104 271.1C90.75 271.1 80 282.7 80 295.1C80 309.3 90.75 319.1 104 319.1zM176 167.1C176 190.1 158.1 207.1 136 207.1C113.9 207.1 96 190.1 96 167.1C96 145.9 113.9 127.1 136 127.1C158.1 127.1 176 145.9 176 167.1zM136 143.1C122.7 143.1 112 154.7 112 167.1C112 181.3 122.7 191.1 136 191.1C149.3 191.1 160 181.3 160 167.1C160 154.7 149.3 143.1 136 143.1zM224 103.1C224 81.91 241.9 63.1 264 63.1C286.1 63.1 304 81.91 304 103.1C304 126.1 286.1 143.1 264 143.1C241.9 143.1 224 126.1 224 103.1zM264 127.1C277.3 127.1 288 117.3 288 103.1C288 90.74 277.3 79.1 264 79.1C250.7 79.1 240 90.74 240 103.1C240 117.3 250.7 127.1 264 127.1zM432 167.1C432 190.1 414.1 207.1 392 207.1C369.9 207.1 352 190.1 352 167.1C352 145.9 369.9 127.1 392 127.1C414.1 127.1 432 145.9 432 167.1zM392 143.1C378.7 143.1 368 154.7 368 167.1C368 181.3 378.7 191.1 392 191.1C405.3 191.1 416 181.3 416 167.1C416 154.7 405.3 143.1 392 143.1zM441.9 319.1H344C317.5 319.1 296 341.5 296 368C296 371.4 296.4 374.7 297 377.9C299.2 388.1 303.5 397.1 307.9 407.8C313.9 421.6 320 435.3 320 449.8C320 481.7 298.4 510.5 266.6 511.8C263.1 511.9 259.5 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 256.9 511.1 257.8 511.1 258.7C511.6 295.2 478.4 320 441.9 320V319.1zM495.1 258.5C495.1 257.7 496 256.8 496 255.1C496 123.5 388.5 15.1 256 15.1C123.5 15.1 16 123.5 16 255.1C16 388.5 123.5 496 256 496C259.3 496 262.6 495.9 265.9 495.8C287.1 494.9 304 475.4 304 449.8C304 440.1 300.8 431.8 295.8 420C295 418.3 294.2 416.6 293.4 414.7C289.1 404.9 283.9 393.2 281.4 381.2C280.5 376.1 280 372.5 280 368C280 332.7 308.7 303.1 344 303.1H441.9C472.3 303.1 495.7 283.8 495.1 258.5V258.5z"],
    "pallet": [640, 512, [], "f482", "M632 496h-80v-128h80c4.406 0 8-3.578 8-8S636.4 352 632 352H8C3.594 352 0 355.6 0 360s3.594 8 8 8h80v128h-80C3.594 496 0 499.6 0 504S3.594 512 8 512h624c4.406 0 8-3.578 8-8S636.4 496 632 496zM312 496h-208v-128h208V496zM536 496h-208v-128h208V496z"],
    "pallet-box": [640, 512, [], "e208", "M632 496h-80v-128h80c4.406 0 8-3.578 8-8S636.4 352 632 352H8C3.594 352 0 355.6 0 360s3.594 8 8 8h80v128h-80C3.594 496 0 499.6 0 504S3.594 512 8 512h624c4.406 0 8-3.578 8-8S636.4 496 632 496zM312 496h-208v-128h208V496zM536 496h-208v-128h208V496zM176 288h288C490.5 288 512 266.5 512 240v-192C512 21.49 490.5 0 464 0h-288C149.5 0 128 21.49 128 48v192C128 266.5 149.5 288 176 288zM264 16h112v99.06l-52.44-26.22c-2.25-1.125-4.875-1.125-7.125 0L264 115.1V16zM144 48c0-17.67 14.33-32 32-32h72V128c0 5.909 6.147 9.764 11.56 7.156L320 104.9l60.44 30.22C386.9 138.4 392 132.6 392 128V16h72c17.67 0 32 14.33 32 32v192c0 17.67-14.33 32-32 32h-288c-17.67 0-32-14.33-32-32V48z"],
    "pallet-boxes": [640, 512, [57863, "palette-boxes", "pallet-alt"], "f483", "M632 496h-80v-128h80c4.406 0 8-3.578 8-8S636.4 352 632 352H8C3.594 352 0 355.6 0 360s3.594 8 8 8h80v128h-80C3.594 496 0 499.6 0 504S3.594 512 8 512h624c4.406 0 8-3.578 8-8S636.4 496 632 496zM312 496h-208v-128h208V496zM536 496h-208v-128h208V496zM112 288h160C298.5 288 320 266.5 320 240v-192C320 21.49 298.5 0 272 0h-160C85.49 0 64 21.49 64 48v192C64 266.5 85.49 288 112 288zM80 48c0-17.64 14.36-32 32-32h160c17.64 0 32 14.36 32 32v192c0 17.64-14.36 32-32 32h-160c-17.64 0-32-14.36-32-32V48zM432 288h96C554.5 288 576 266.5 576 240v-128C576 85.49 554.5 64 528 64h-96C405.5 64 384 85.49 384 112v128C384 266.5 405.5 288 432 288zM400 112c0-17.64 14.36-32 32-32h96c17.64 0 32 14.36 32 32v128c0 17.64-14.36 32-32 32h-96c-17.64 0-32-14.36-32-32V112z"],
    "pan-food": [576, 512, [129368], "e42b", "M569.7 117.8l-43.16-67.34c-5.781-8.998-14.69-15.2-25.13-17.48c-10.44-2.344-21.13-.375-30.13 5.391l-25.67 16.45C400.2 19.25 344.5 0 287.8 0C240.5 0 192.6 13.09 149.8 40.51C52.96 102.6 12 218.1 41.22 324.3l-22.81 14.62c-18.56 11.89-24 36.68-12.1 55.26l43.16 67.34c5.781 8.998 14.69 15.2 25.13 17.48c2.875 .6406 5.75 .9375 8.627 .9375c7.562 0 14.97-2.156 21.5-6.328l25.67-16.45C175.8 492.8 231.5 512 288.2 512c47.3 0 95.15-13.09 137.9-40.51c96.87-62.08 137.8-178.5 108.6-283.8l22.81-14.62C576.2 161.2 581.6 136.4 569.7 117.8zM96.1 460.2c-11.12 7.109-26 3.891-33.16-7.25l-43.16-67.33c-7.156-11.16-3.906-26.03 7.25-33.17l19.36-12.41c6.486 18.6 14.96 36.8 26.06 54.12c12.79 19.95 27.99 37.39 44.82 52.47L96.1 460.2zM522.5 307.3c-13.7 62.63-50.97 116.2-104.9 150.8c-38.76 24.85-83.46 37.98-129.3 37.98c-82.31 0-157.9-41.31-202.3-110.5c-34.6-53.97-46.11-118.2-32.41-180.8c13.7-62.63 50.97-116.2 104.9-150.8c38.76-24.85 83.46-37.98 129.3-37.98c82.31 0 157.9 41.31 202.3 110.5C524.6 180.4 536.2 244.7 522.5 307.3zM548.1 159.6L529.6 171.1c-6.486-18.61-14.96-36.8-26.07-54.12c-12.79-19.95-27.99-37.39-44.82-52.47l21.17-13.57c11.12-7.125 25.97-3.875 33.16 7.25l43.16 67.33C563.4 137.6 560.1 152.4 548.1 159.6zM256 320H203.3l-24-24l6.344-6.344c3.125-3.125 3.125-8.188 0-11.31s-8.188-3.125-11.31 0l-24 24c-3.125 3.125-3.125 8.188 0 11.31C151.9 315.2 153.9 316 156 316s4.094-.7813 5.656-2.344L168 307.3l24 24V384c0 35.3 28.72 64 64 64s64-28.7 64-64S291.3 320 256 320zM256 432c-26.47 0-48-21.53-48-48v-48H256c26.47 0 48 21.53 48 48S282.5 432 256 432zM444.4 178.3l-106 106c-3.125 3.125-3.125 8.188 0 11.31C354 311.4 374.8 320 397 320c.0313 0 .0313 0 .0313 0c22.16 0 43-8.641 58.66-24.31c32.34-32.36 32.34-85 0-117.3C452.6 175.2 447.5 175.2 444.4 178.3zM444.4 284.4C431.7 297 414.9 304 397 304c-15.22 0-29.62-5.031-41.38-14.3l94.03-94.06C458.1 207.4 464 221.8 464 237C464 254.9 457 271.7 444.4 284.4zM208 160h160c4.406 0 8-3.578 8-8C376 103.5 336.5 64 288 64S200 103.5 200 152C200 156.4 203.6 160 208 160zM288 80c37 0 67.56 28.05 71.56 64H216.4C220.4 108 251 80 288 80zM256 240C256 248.8 263.2 256 272 256S288 248.8 288 240C288 231.2 280.8 224 272 224S256 231.2 256 240zM368 384c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16s16-7.164 16-16C384 391.2 376.8 384 368 384zM165.7 186.3c-3.125-3.125-8.188-3.125-11.31 0l-32 32c-3.125 3.125-3.125 8.188 0 11.31C123.9 231.2 125.9 232 128 232s4.094-.7813 5.656-2.344l32-32C168.8 194.5 168.8 189.5 165.7 186.3z"],
    "pan-frying": [576, 512, [127859], "e42c", "M574.7 452.2c-3.213-13.33-11.91-24.64-23.92-31.18l-131.1-88.03C437.6 300.8 448 263.6 448 224c0-123.7-100.3-224-224-224C169.9 0 120.2 19.2 81.52 51.15C70.45 60.28 60.28 70.45 51.15 81.52C19.2 120.2 0 169.9 0 224c0 54.13 19.2 103.8 51.15 142.5c9.129 11.06 19.3 21.24 30.37 30.37C120.2 428.8 169.9 448 224 448c57.85 0 110.4-22.12 150.1-58.11l120.3 109C503.2 507.2 515.1 512 527.6 512c15.63 0 30.37-7.586 39.43-20.29C575.1 480.3 577.9 465.9 574.7 452.2zM224 432C109.3 432 16 338.7 16 224s93.31-208 208-208c114.7 0 208 93.31 208 208S338.7 432 224 432zM553.1 482.4C547.6 491.4 537.6 496 527.6 496c-7.986 0-16.02-2.932-22.34-8.959l-119.5-108.3c9.455-9.877 18.05-20.56 25.58-32.04l131.2 88.08C560 443.9 565.4 466.4 553.1 482.4zM526 452.2c-6.535 1.092-10.95 7.277-9.855 13.81c1.092 6.537 7.275 10.95 13.81 9.859c6.535-1.094 10.95-7.277 9.857-13.81C538.7 455.5 532.6 451.1 526 452.2zM362.1 159.5c-12.36-12.78-28.01-19.42-43.14-25.84c-11.12-4.719-21.62-9.174-29.88-15.95l-4.562-3.777C263.4 96.5 243.6 80 212.2 80c-4.879 0-9.971 .4238-15.13 1.258c-54.41 8.779-68.81 51.25-75.72 91.65C119.4 184.3 114.1 196 110.3 208.5c-7.691 20.39-15.64 41.46-14.11 64.65c2.602 39.19 30.59 75.95 68.06 89.4c10.16 3.645 20.2 5.492 29.85 5.492c35.06 0 59.41-23.62 80.89-44.46l7.965-7.664c9.348-8.895 19.71-12.68 31.7-17.07c11.5-4.209 24.54-8.979 37.46-18.83c18.57-14.11 30.45-37.63 31.73-62.88C384.1 194.2 377.3 173.7 362.1 159.5zM342.4 267.3c-23.77 18.12-48.64 16.25-70.45 37c-23.38 22.14-45.53 47.74-77.86 47.74c-7.547 0-15.64-1.395-24.44-4.553C138.6 336.3 114.3 305 112.1 272.1c-2.188-32.96 19.44-64.27 25-96.46c6.594-38.55 19.11-71.55 62.5-78.55C204.1 96.34 208.3 96 212.2 96c27.53 0 44.92 16.2 66.67 34.12c21.84 17.94 52.5 20.75 72.25 41.13C378.2 196.5 370.5 245.9 342.4 267.3zM224 168C193.1 168 168 193.1 168 224s25.12 56 56 56c30.88 0 56-25.12 56-56S254.9 168 224 168zM224 264C201.9 264 184 246.1 184 224s17.94-40 40-40c22.06 0 40 17.94 40 40S246.1 264 224 264z"],
    "pancakes": [512, 512, [129374], "e42d", "M91.55 129.5c2.654 1.389 4.455 4.09 4.455 7.084L96 316.2c0 15.95 10.86 30.76 26.59 33.36C142.6 352.8 160 337.4 160 317.1V168.4c0-8.631 6.986-15.65 15.57-15.65c.7129 0 1.434 .0469 2.162 .1465C186.2 153.1 192 160.6 192 168.4v99.71c0 15.95 10.86 30.76 26.59 33.36C238.6 304.8 256 289.4 256 269.1V165.6c0-4.352 3.439-7.924 7.791-7.992C320.1 156.7 448 144.6 448 94.98C448 48.77 333.2 32 256 32S64 48.77 64 94.98C64 108.3 73.26 119.9 91.55 129.5zM208 48h96C312.8 48 320 55.16 320 64c0 8.836-7.164 16-16 16h-96C199.2 80 192 72.84 192 64C192 55.16 199.2 48 208 48zM178.5 53.17C177.2 56.58 176 60.09 176 64c0 17.64 14.36 32.01 32 32.01h96c17.64 0 32-14.37 32-32.01c0-3.912-1.199-7.416-2.535-10.83C391.8 61.26 432 77.8 432 94.98c0 24.08-78.8 46.98-176 46.98c-8.723 0-16 6.984-16 15.71v112.3c0 8.836-7.164 16-16 16s-16-7.164-16-16V168.4c0-15.85-11.76-29.27-27.47-31.36L179.9 136.1C178.4 136.8 176.1 136.7 175.6 136.7C158.4 136.7 144 150.6 144 168.4v149.6c0 8.836-7.164 16-16 16s-16-7.164-16-16V131.5c0-6.129-3.641-11.65-9.188-14.26C88.32 110.4 80 102.8 80 94.98C80 77.8 120.2 61.26 178.5 53.17zM480 216.5c0-9.945-4.969-18.63-13.46-26.25c-3.713-3.33-3.713-8.939-.0039-12.27C475.1 170.3 480 161.5 480 151.5c0-8.271-3.516-15.66-9.516-22.31c-2.91 4.582-6.211 8.953-10.27 12.89C462.5 145.2 464 148.3 464 151.5c0 25.09-72.52 49.04-168.4 54.36C291.3 206.1 288 209.6 288 213.8c0 4.566 3.807 8.234 8.363 7.973c52.27-3.006 109.7-11.86 146.2-28.79C456.2 200.3 464 208.3 464 216.5c0 25.13-72.75 49.12-168.9 54.38c-3.824 .209-7.033 3.152-7.432 6.959c-.0059 .0508 .0039-.0508 0 0c-.5234 4.865 3.305 9.213 8.189 8.936c52.82-2.998 110.1-11.98 147.6-29.22C456.4 264.7 464 272.5 464 280.5C464 308.9 370.9 336 256 336c-24.94 0-45.42-1.326-59.04-2.486c-3.625-.3086-7.006 1.895-8.029 5.387c-1.432 4.836 1.645 9.992 6.67 10.43C216.6 351.1 237.2 351.1 256 351.1c60.73 0 141.3-8.69 187.4-30.43C456.4 328.7 464 336.5 464 344.5c0 28.45-93.13 55.52-208 55.52s-208-27.06-208-55.52c0-4.818 2.896-9.572 8.055-14.17C61.02 325.9 63.88 319.5 63.99 312.9L64 312.5c.1074-6.449-2.488-12.75-7.357-16.98C51.03 290.7 48 285.6 48 280.5c0-4.84 2.928-9.615 8.131-14.23C61.15 261.8 64 255.4 64 248.7c0-6.633-2.75-13.04-7.711-17.45C50.9 226.4 48 221.5 48 216.5c0-4.777 2.803-9.494 7.842-14.06C61.01 197.7 64 191.1 64 184.1c0-6.908-2.916-13.53-8.037-18.17C50.79 161.3 48 156.4 48 151.5c0-3.195 1.568-6.352 3.834-9.473C47.59 137.8 44.12 133.6 41.44 129.3C35.5 135.9 32 143.3 32 151.5c0 10 4.93 18.77 13.46 26.44c3.709 3.334 3.709 8.945-.0039 12.28C36.97 197.8 32 206.5 32 216.5c0 9.797 4.768 18.4 12.99 25.95c3.627 3.328 3.625 8.846-.0039 12.17C36.77 262.1 32 270.7 32 280.5c0 9.797 4.768 18.4 12.99 25.95c3.627 3.328 3.625 8.846-.0039 12.17C36.77 326.1 32 334.7 32 344.5c0 9.797 4.768 18.4 12.99 25.95c3.627 3.328 3.625 8.846-.0039 12.17C36.77 390.1 32 398.7 32 408.5C32 460.1 165.1 480 256 480s224-19.05 224-71.52c0-9.779-4.773-18.36-12.99-25.88c-3.629-3.324-3.631-8.842-.0039-12.17C475.2 362.9 480 354.3 480 344.5c0-9.779-4.773-18.36-12.99-25.88c-3.629-3.324-3.631-8.842-.0039-12.17C475.2 298.9 480 290.3 480 280.5c0-9.779-4.773-18.36-12.99-25.88c-3.629-3.324-3.631-8.842-.0039-12.17C475.2 234.9 480 226.3 480 216.5zM256 464c-114.9 0-208-27.07-208-55.52c0-7.955 7.553-15.77 20.59-22.94C114.7 407.3 195.3 416 256 416s141.3-8.719 187.4-30.46C456.4 392.7 464 400.5 464 408.5C464 436.9 370.9 464 256 464z"],
    "panel-ews": [512, 512, [], "e42e", "M224 80H96c-4.416 0-8 3.584-8 8S91.58 96 96 96h128c4.416 0 8-3.584 8-8S228.4 80 224 80zM224 160H96C91.58 160 88 163.6 88 168S91.58 176 96 176h128c4.416 0 8-3.584 8-8S228.4 160 224 160zM416 160h-128c-4.416 0-8 3.584-8 8S283.6 176 288 176h128c4.416 0 8-3.584 8-8S420.4 160 416 160zM432 0h-352C35.81 0 0 35.81 0 80v352C0 476.2 35.81 512 80 512h352c44.19 0 80-35.81 80-80v-352C512 35.81 476.2 0 432 0zM400 472c0 13.25-10.75 24-24 24h-48c-13.25 0-24-10.75-24-24v-208c0-13.25 10.75-24 24-24h48c13.25 0 24 10.75 24 24V472zM496 432c0 35.36-28.64 64-64 64h-24c5.023-6.688 8-15.01 8-24v-208C416 241.9 398.1 224 376 224h-48C305.9 224 288 241.9 288 264v208c0 8.992 2.977 17.31 8 24H80c-35.36 0-64-28.64-64-64v-128H32c22.08 0 40 17.92 40 40v48C72 422.9 97.09 448 128 448s56-25.09 56-56V352H192c26.5 0 48-21.5 48-48v-32C240 245.5 218.5 224 192 224H160C133.5 224 112 245.5 112 272v32C112 330.5 133.5 352 160 352h8v40c0 22.08-17.92 40-40 40s-40-17.92-40-40v-48C88 313.1 62.91 288 32 288H16V80c0-35.36 28.64-64 64-64h352c35.36 0 64 28.64 64 64V432zM160 336c-17.66 0-32-14.34-32-32v-32c0-17.66 14.34-32 32-32h32c17.66 0 32 14.34 32 32v32c0 17.66-14.34 32-32 32H160zM416 80h-128c-4.416 0-8 3.584-8 8S283.6 96 288 96h128c4.416 0 8-3.584 8-8S420.4 80 416 80z"],
    "panel-fire": [640, 512, [], "e42f", "M384 48H64C37.49 48 16 69.49 16 96V416C16 442.5 37.49 464 64 464H324.8C328.8 469.6 333 474.9 337.6 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V128.2C442.6 127.7 437.2 128.1 432 129.5V96C432 69.49 410.5 48 384 48H384zM96 208C78.33 208 64 193.7 64 176V128C64 110.3 78.33 96 96 96H352C369.7 96 384 110.3 384 128V167.4C371.4 180.6 359.7 194.2 349.1 208H96zM352 112H96C87.16 112 80 119.2 80 128V176C80 184.8 87.16 192 96 192H352C360.8 192 368 184.8 368 176V128C368 119.2 360.8 112 352 112zM96 272C96 263.2 103.2 256 112 256C120.8 256 128 263.2 128 272C128 280.8 120.8 288 112 288C103.2 288 96 280.8 96 272zM192 272C192 280.8 184.8 288 176 288C167.2 288 160 280.8 160 272C160 263.2 167.2 256 176 256C184.8 256 192 263.2 192 272zM224 272C224 263.2 231.2 256 240 256C248.8 256 256 263.2 256 272C256 280.8 248.8 288 240 288C231.2 288 224 280.8 224 272zM441.7 255.9C444.1 255.9 446.4 256.1 447.9 258.9C450.1 261.7 467.3 283.5 483.8 304.6L510.3 338.4L543.7 299.5C545.3 297.6 547.6 296.6 550 296.7C552.5 296.8 554.7 297.9 556.2 299.9C559.9 304.9 562.4 309.8 564.6 314.1L564.6 314.2C586.1 353.8 576.8 404.7 540 430.4L539.9 430.5C522 442.4 502.9 448.4 481.4 448.4C454.8 448.4 430.5 439.8 412.7 423.5C394.8 407.2 384 383.4 384 354.3C384 339.2 388.8 325.4 397.5 310.4C406.1 295.6 418.9 279.2 435.4 258.8C436.1 256.9 439.3 255.8 441.7 255.9V255.9zM503.8 355.9L471.2 314.4C459.1 300.1 448.5 285.4 441.6 276.7C428.2 293.4 418.2 306.7 411.3 318.5C403.5 331.9 400 342.9 400 354.3C400 379.3 409.1 398.6 423.5 411.7C437.9 424.9 458.2 432.4 481.4 432.4C499.6 432.4 515.7 427.4 530.9 417.2C560.3 396.6 568.6 354.9 550.5 321.7L550.3 321.5C549.8 320.4 549.2 319.3 548.7 318.2L516.1 356.2C514.6 358 512.3 359.1 509.9 359C507.5 358.1 505.2 357.8 503.8 355.9L503.8 355.9zM498.4 208.1C502 213 505.6 217.2 509 221.3C512.3 217.2 515.8 212.1 519.4 208.8C524.4 202.8 529.9 196.1 535.5 191.8C541.1 186.7 549.9 186.7 555.5 191.9C580.2 214.6 601.1 244.5 615.8 273C630.4 301.1 640 329.8 640 349.9C640 437.8 568.7 511.9 480 511.9C390.3 511.9 320 437.7 320 349.9C320 323.5 332.7 291.3 352.4 259.4C372.4 227 400.5 193.3 433.8 163.6C439.4 158.6 447.1 158.6 453.5 163.6C469.3 177.8 484.3 192.9 498.4 208.1V208.1zM509.2 237.3C504.4 237.4 499.8 235.3 496.7 231.6C480.2 211.7 462.5 193.3 443.6 176.2C411.8 204.8 384.1 237.1 366 267.8C346.9 298.8 336 327.1 336 349.9C336 429.2 399.5 495.9 480 495.9C559.6 495.9 624 429.2 624 349.9C624 333.6 615.8 307.7 601.6 280.4C587.7 253.5 568.1 225.5 545.5 204.4C537.1 212.1 529.1 221.8 521.6 231.3C518.6 235.1 514 237.3 509.2 237.3H509.2zM510.1 351L503.8 355.9z"],
    "panorama": [640, 512, [], "e209", "M128 144C101.5 144 80 165.5 80 192S101.5 240 128 240S176 218.5 176 192S154.5 144 128 144zM128 224C110.4 224 96 209.6 96 192s14.36-32 32-32s32 14.36 32 32S145.6 224 128 224zM592.1 64c-4.559 0-9.221 .6582-13.88 2.057C493.1 91.32 406.1 103.1 320 103.1c-86.99 0-173.1-12.63-258.2-37.89C57.14 64.66 52.47 64 47.91 64C22.33 63.1 0 84.74 0 112v319.9C0 459.3 22.33 480 47.91 480c4.559 0 9.221-.6582 13.88-2.057C146 452.7 233 440 320 440c86.99 0 173.1 12.63 258.2 37.9C582.9 479.3 587.5 480 592.1 480C617.7 480 640 459.3 640 431.1V112C640 84.74 617.7 64 592.1 64zM111.7 448.4L217.6 307.2c3.031-4.094 9.75-4.094 12.78 0l39.6 52.8l-52.83 70.44C181.7 434.5 146.5 440.3 111.7 448.4zM320 424c-27.11 0-54.11 1.613-81.04 4.008l138.6-184.8c3.031-4.094 9.75-4.094 12.78 0l157.8 210.4C473.6 434.4 397.1 424 320 424zM624 431.1C624 449.6 609.7 464 592.1 464c-3.104 0-6.229-.4668-9.289-1.383c-3.217-.9648-6.506-1.607-9.73-2.537L403.2 233.6c-9.125-12.22-29.28-12.22-38.41 0l-84.8 113.1l-36.79-49.06c-9.125-12.22-29.28-12.22-38.41 0l-117.1 157.3c-9.873 2.605-19.84 4.789-29.63 7.727C54.14 463.5 51.02 464 47.91 464C30.32 464 16 449.6 16 431.1V112c0-8.682 3.395-16.79 9.557-22.82C31.54 83.36 39.69 80 47.91 80c3.107 0 6.232 .4668 9.291 1.383C142.5 106.1 230.9 119.1 320 119.1c89.07 0 177.5-12.98 262.8-38.57C585.9 80.46 588.1 80 592.1 80C609.7 80 624 94.37 624 112V431.1z"],
    "paper-plane": [512, 512, [61913], "f1d8", "M498.1 5.629C492.7 1.891 486.4 0 480 0c-5.461 0-10.94 1.399-15.88 4.223l-448 255.1C5.531 266.3-.6875 277.8 .0625 289.1s8.375 22.86 19.62 27.55l103.2 43.01l61.85 146.5c.793 1.881 2.155 3.488 4.097 4.314C189.9 511.8 190.9 512 191.1 512c2.031 0 4.024-.7715 5.555-2.24l85.75-82.4l120.4 50.16c3.969 1.656 8.1 2.472 12.29 2.472c5.406 0 10.84-1.378 15.68-4.097c8.594-4.828 14.47-13.31 15.97-23.05l64-415.1C513.5 24.72 508.3 12.58 498.1 5.629zM16.03 289C15.65 282.9 18.73 277.2 24.06 274.1l448-256c.834-.4766 1.838-.4102 2.736-.7285L124.8 344l-99-41.25C20.25 300.4 16.4 295 16.03 289zM411.5 98.33l-225.7 280.7C184.6 380.4 184 382.2 184 384v80.38l-46.45-110.3L411.5 98.33zM200 485.2v-92.55l67.19 27.99L200 485.2zM431.8 450.4c-.7559 4.902-3.668 9.105-7.988 11.53C421.4 463.3 418.7 464 416 464c-2.117 0-4.188-.416-6.158-1.238l-202.9-84.55l285.6-355.1c2.357 3.338 3.885 7.193 3.244 11.34L431.8 450.4z"],
    "paper-plane-top": [512, 512, ["paper-plane-alt", "send"], "e20a", "M492.6 226.6L44.6 34.59C40.54 32.85 36.26 31.1 32.02 31.1c-8.623 0-17.1 3.499-23.3 10.05C-.4983 51.81-2.623 66.3 3.377 78.31L96 256l-92.62 177.7c-6 12.02-3.875 26.5 5.344 36.27c6.188 6.547 14.66 10.05 23.28 10.05c4.25 0 8.531-.8438 12.59-2.594L492.6 285.4c11.78-5.031 19.41-16.61 19.41-29.41C511.1 243.2 504.4 231.6 492.6 226.6zM17.69 71.16C14.7 65.17 15.77 57.88 20.34 53.05C23.38 49.84 27.63 47.1 32.02 47.1c2.158 0 4.262 .4336 6.271 1.299l448 192c3.213 1.373 5.604 3.807 7.295 6.693H109.9L17.69 71.16zM486.3 270.7L38.27 462.7c-1.984 .8555-4.092 1.289-6.264 1.289c-4.379 0-8.627-1.836-11.65-5.031c-4.584-4.856-5.654-12.14-2.789-17.88L109.9 264h383.7C491.9 266.9 489.5 269.3 486.3 270.7z"],
    "paperclip": [448, 512, [128206], "f0c6", "M386.3 61.66C354.1 29.43 301.9 29.43 269.7 61.66L77.66 253.7C27.76 303.6 27.76 384.4 77.66 434.3C127.6 484.2 208.4 484.2 258.3 434.3L410.3 282.3C413.5 279.2 418.5 279.2 421.7 282.3C424.8 285.5 424.8 290.5 421.7 293.7L269.7 445.7C213.5 501.8 122.5 501.8 66.34 445.7C10.2 389.5 10.2 298.5 66.34 242.3L258.3 50.34C296.8 11.87 359.2 11.87 397.7 50.34C436.1 88.81 436.1 151.2 397.7 189.7L213.9 373.4C189 398.3 148.2 395.1 126.2 368.6C107.5 345.1 109.3 311.3 130.6 290.1L282.3 138.3C285.5 135.2 290.5 135.2 293.7 138.3C296.8 141.5 296.8 146.5 293.7 149.7L141.9 301.4C126.4 316.9 125.1 341.5 138.7 358.6C154.7 378.6 184.5 380.2 202.6 362.1L386.3 178.3C418.6 146.1 418.6 93.88 386.3 61.66V61.66z"],
    "paperclip-vertical": [384, 512, [], "e3c2", "M80 88C80 39.4 119.4 0 168 0C216.6 0 256 39.4 256 88V352C256 387.3 227.3 416 192 416C156.7 416 128 387.3 128 352V136C128 131.6 131.6 128 136 128C140.4 128 144 131.6 144 136V352C144 378.5 165.5 400 192 400C218.5 400 240 378.5 240 352V88C240 48.24 207.8 16 168 16C128.2 16 96 48.24 96 88V400C96 453 138.1 496 192 496C245 496 288 453 288 400V136C288 131.6 291.6 128 296 128C300.4 128 304 131.6 304 136V400C304 461.9 253.9 512 192 512C130.1 512 80 461.9 80 400V88z"],
    "parachute-box": [512, 512, [], "f4cd", "M511.3 208C512.1 216.8 504.8 224 496 224H459.3L343.1 340.2C348.7 348 352 357.6 352 368V464C352 490.5 330.5 512 304 512H207.1C181.5 512 159.1 490.5 159.1 464V368C159.1 357.6 163.3 348 168.9 340.2L52.69 224H15.1C7.163 224-.063 216.8 .6886 208C8.68 114.4 86.57 0 255.1 0H256.1C425.5 .0525 503.3 114.4 511.3 208H511.3zM264 224V320H304C314.4 320 323.1 323.3 331.8 328.9L436.7 224H264zM247.1 224H75.31L180.2 328.9C188 323.3 197.6 320 207.1 320H247.1L247.1 224zM16.76 208H111.1C111.1 127.1 143.1 57.02 190.6 22.62C76.58 47.09 23.57 134.9 16.76 208zM167.3 70.03C143.3 104.7 127.1 153.4 127.1 208H384C384 153.4 368.7 104.7 344.7 70.03C320.6 35.32 289 16 255.1 16C222.1 16 191.4 35.32 167.3 70.03H167.3zM321.4 22.62C368 57.02 400 127.1 400 208H495.2C488.4 134.9 435.4 47.09 321.4 22.62H321.4zM207.1 336C190.3 336 175.1 350.3 175.1 368V464C175.1 481.7 190.3 496 207.1 496H304C321.7 496 336 481.7 336 464V368C336 350.3 321.7 336 304 336H207.1z"],
    "paragraph": [448, 512, [182], "f1dd", "M440 32H176C96.59 32 32 96.59 32 176S96.59 320 176 320h72v152c0 4.422 3.579 8 8.001 8S264 476.4 264 472V48h80v424c0 4.422 3.579 8 8.001 8S360 476.4 360 472V48h80C444.4 48 448 44.42 448 40S444.4 32 440 32zM248 304H176c-70.58 0-128-57.42-128-128s57.42-128 128-128h72V304z"],
    "paragraph-left": [384, 512, ["paragraph-rtl"], "f878", "M376 408H31.13l93.8-73.7c3.484-2.734 4.078-7.766 1.359-11.23c-2.75-3.516-7.812-4.047-11.23-1.359l-112 88C1.125 411.2 0 413.5 0 416s1.125 4.781 3.062 6.297l112 88C116.5 511.4 118.3 512 120 512c2.359 0 4.719-1.047 6.297-3.062c2.719-3.469 2.125-8.5-1.359-11.23L31.13 424H376c4.422 0 8-3.579 8-8.001S380.4 408 376 408zM143.1 224H184v88C184 316.4 187.5 320 191.1 320S200 316.4 200 312V16h80v296c0 4.422 3.535 8 7.957 8S296 316.4 296 312V16h48C348.4 16 352 12.42 352 8S348.4 0 344 0H143.1C82.21 0 32 50.25 32 112S82.24 224 143.1 224zM144 16h40v192H144c-52.94 0-96-43.06-96-96S91.06 16 144 16z"],
    "party-bell": [512, 512, [], "e31a", "M172.3 353.3c-3.594-2.406-8.625-1.375-11.03 2.406c-2.406 3.688-1.312 8.656 2.406 11.03c48.5 31.19 76.31 76.78 76.31 125V504c0 4.406 3.594 8 7.1 8s7.1-3.594 7.1-8v-12.25C255.1 437.9 225.5 387.5 172.3 353.3zM503.1 240H491.7c-48.25 0-93.84-27.81-125-76.31c-2.375-3.75-7.406-4.781-11.03-2.406c-3.719 2.375-4.812 7.344-2.406 11.03C387.5 225.5 437.9 256 491.7 256h12.25c4.406 0 7.1-3.594 7.1-8S508.4 240 503.1 240zM479.1 96c17.67 0 31.1-14.33 31.1-31.1c0-17.67-14.33-31.1-31.1-31.1c-17.67 0-31.1 14.33-31.1 31.1C448 81.67 462.3 96 479.1 96zM479.1 48.01c8.822 0 15.1 7.176 15.1 15.1c0 8.822-7.176 15.1-15.1 15.1c-8.82 0-15.1-7.176-15.1-15.1C464 55.18 471.2 48.01 479.1 48.01zM488.5 450.5c-1.687-18.41-3.594-39.28-26.28-58.22c-22.56-18.81-43.91-17.5-62.78-16.31c-18.25 1.062-33.87 2.094-51.53-12.69C330.3 348.6 328.9 333.5 327.3 316c-1.656-18.38-3.562-39.22-26.22-58.16c-3.375-2.812-8.406-2.375-11.28 1.031c-2.812 3.406-2.375 8.438 1.031 11.28c17.59 14.66 18.97 29.78 20.56 47.31c1.656 18.38 3.562 39.22 26.22 58.13c22.62 18.84 44.16 17.5 62.78 16.34c18.28-1.156 33.81-2.125 51.53 12.66c17.62 14.69 18.1 29.81 20.62 47.34c1.688 18.41 3.594 39.28 26.28 58.22C500.4 511.4 502.2 512 503.1 512c2.281 0 4.562-.9687 6.156-2.875c2.812-3.406 2.375-8.438-1.031-11.28C491.5 483.2 490.1 468 488.5 450.5zM66.22 352c9.125 0 18.29-3.424 25.41-10.55l249.8-249.8c16.35-16.35 13.21-43.46-6.113-56.17C301.2 13.05 260.4 0 216.5 0C200.4 0 183.8 1.772 166.1 5.498C87.38 23.14 23.14 87.38 5.498 166.1C-8.34 229.4 4.784 288.7 35.47 335.3C42.64 346.2 54.4 352 66.22 352zM21.12 170.5c16.21-73.12 76.22-133.1 149.3-149.3C185.8 17.72 201.3 16 216.5 16c39.29 0 77.33 11.36 110 32.84c5.299 3.484 8.703 9.059 9.34 15.29c.625 6.105-1.418 11.86-5.752 16.19l-249.8 249.8C76.54 333.9 71.53 336 66.22 336c-6.998 0-13.5-3.531-17.39-9.447C18.78 280.8 8.939 225.4 21.12 170.5zM64 448c-17.67 0-31.1 14.33-31.1 31.1C32 497.7 46.33 512 64 512c17.67 0 31.1-14.33 31.1-31.1C95.1 462.3 81.67 448 64 448zM64 496c-8.82 0-15.1-7.176-15.1-15.1c0-8.82 7.176-15.1 15.1-15.1c8.822 0 15.1 7.176 15.1 15.1C79.1 488.8 72.82 496 64 496zM351.1 448c-17.67 0-31.1 14.33-31.1 31.1C319.1 497.7 334.3 512 351.1 512s31.1-14.33 31.1-31.1C383.1 462.3 369.7 448 351.1 448zM351.1 496c-8.822 0-15.1-7.176-15.1-15.1c0-8.82 7.176-15.1 15.1-15.1c8.822 0 15.1 7.176 15.1 15.1C367.1 488.8 360.8 496 351.1 496z"],
    "party-horn": [512, 512, [], "e31b", "M150.6 201.4c-6.074-6.074-14.28-9.356-22.7-9.356c-2.234 0-4.482 .2269-6.711 .6996C110.6 195 101.8 202.6 98.03 212.7l-95.1 256c-4.406 11.75-1.531 25 7.344 33.88C15.47 508.7 23.66 512 32 512c3.781 0 7.594-.6563 11.25-2.031l255.1-96c10.19-3.812 17.72-12.56 20.03-23.19c2.281-10.62-.9684-21.72-8.656-29.41L150.6 201.4zM37.62 494.1c-1.777 .6699-3.666 1.008-5.617 1.008c-4.285 0-8.293-1.654-11.31-4.689c-4.432-4.43-5.875-11.08-3.678-16.94l34.37-91.67l77.91 77.91L37.62 494.1zM145.8 454.4l-88.2-88.2L86.3 289.6l136.1 136.1L145.8 454.4zM293.6 398.1l-54.79 20.54l-146.4-146.4L113 218.4c1.908-5.098 6.246-8.838 11.52-9.986c1.117-.2363 2.26-.3555 3.396-.3555c4.264 0 8.412 1.703 11.38 4.672l159.1 159.1c3.861 3.861 5.478 9.369 4.336 14.69C302.5 392.7 298.7 397.1 293.6 398.1zM503.1 272c4.406 0 7.1-3.594 7.1-7.1c0-4.406-3.594-7.1-7.1-7.1H491.7c-53.81 0-104.3 30.5-138.5 83.69c-2.406 3.687-1.312 8.656 2.406 11.03c1.312 .875 2.812 1.281 4.312 1.281c2.625 0 5.187-1.281 6.719-3.687c31.19-48.5 76.78-76.31 125-76.31H503.1zM168 160c1.5 0 2.1-.4062 4.312-1.281C225.5 124.5 256 74.07 256 20.25V8.005C256 3.599 252.4 .0051 248 .0051S240 3.599 240 8.005v12.25c0 48.25-27.81 93.84-76.31 125C159.1 147.7 158.9 152.6 161.3 156.3C162.8 158.7 165.4 160 168 160zM64 63.1c17.67 0 31.1-14.33 31.1-31.1S81.67 .0013 64 .0013S32 14.33 32 32S46.33 63.1 64 63.1zM64.01 16c8.82 0 15.1 7.176 15.1 15.1c0 8.82-7.176 15.1-15.1 15.1c-8.822 0-15.1-7.176-15.1-15.1C48.01 23.18 55.18 16 64.01 16zM263.1 224c2.281 0 4.562-.9687 6.156-2.875c14.66-17.59 29.78-18.97 47.31-20.56c18.37-1.656 39.22-3.562 58.12-26.22C394.4 151.8 393.1 130.4 391.9 111.6c-1.156-18.16-2.125-33.81 12.66-51.53c14.69-17.62 29.81-18.1 47.34-20.62c18.41-1.687 39.28-3.594 58.22-26.28c2.812-3.406 2.375-8.437-1.031-11.28c-3.375-2.812-8.406-2.375-11.28 1.031c-14.69 17.62-29.81 18.1-47.34 20.62c-18.41 1.687-39.28 3.594-58.22 26.28c-18.84 22.59-17.5 43.94-16.31 62.78c1.125 18.12 2.125 33.81-12.69 51.53c-14.66 17.59-29.78 18.97-47.28 20.56c-18.37 1.656-39.22 3.562-58.16 26.22C255 214.3 255.5 219.3 258.9 222.2C260.4 223.4 262.2 224 263.1 224zM479.1 416c-17.67 0-31.1 14.33-31.1 31.1s14.33 31.1 31.1 31.1s31.1-14.33 31.1-31.1S497.7 416 479.1 416zM479.1 463.1c-8.822 0-15.1-7.176-15.1-15.1c0-8.822 7.176-15.1 15.1-15.1c8.82 0 15.1 7.176 15.1 15.1C495.1 456.8 488.8 463.1 479.1 463.1zM479.1 128c-17.67 0-31.1 14.33-31.1 31.1s14.33 31.1 31.1 31.1s31.1-14.33 31.1-31.1S497.7 128 479.1 128zM479.1 176c-8.822 0-15.1-7.176-15.1-15.1c0-8.82 7.176-15.1 15.1-15.1c8.82 0 15.1 7.176 15.1 15.1C495.1 168.8 488.8 176 479.1 176z"],
    "passport": [448, 512, [], "f5ab", "M384 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h320c35.2 0 64-28.8 64-64V64C448 28.8 419.2 0 384 0zM432 448c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V64c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V448zM224 64C153.3 64 96 121.3 96 192s57.31 128 128 128s128-57.31 128-128S294.7 64 224 64zM224 80c8.926 0 30.05 36.59 31.69 104H192.3C193.1 116.6 215.1 80 224 80zM199.1 83C186.1 104.1 177.3 141.1 176.3 184H112.8C116.4 134.5 151.9 93.78 199.1 83zM112.8 200h63.49c1.01 42.9 9.832 79.86 22.83 101C151.9 290.2 116.4 249.5 112.8 200zM224 304c-8.926 0-30.05-36.59-31.69-104h63.38C254 267.4 232.9 304 224 304zM248.9 301c13-21.14 21.82-58.1 22.83-101h63.49C331.6 249.5 296.1 290.2 248.9 301zM271.7 184c-1.01-42.9-9.832-79.86-22.83-101c47.22 10.78 82.75 51.45 86.33 101H271.7zM344 384h-240C99.59 384 96 387.6 96 392s3.594 8 8 8h240c4.406 0 8-3.578 8-8S348.4 384 344 384z"],
    "paste": [512, 512, ["file-clipboard"], "f0ea", "M502.6 246.6l-93.26-93.25C403.4 147.4 395.2 144 386.7 144H256C229.5 144 208 165.5 208 192v272c0 26.51 21.5 48 48.01 48H464c26.51 0 48-21.49 48-48V269.3C512 260.8 508.6 252.6 502.6 246.6zM400 166.6L489.4 256H424c-13.22 0-24-10.77-24-24V166.6zM496 464c0 17.64-14.36 32-32 32H256c-17.64 0-32-14.36-32-32V192c0-17.64 14.36-32 32-32h128v72c0 22.06 17.94 40 40 40h72V464zM16 400v-288c0-17.67 14.33-32 32-32H64v8C64 101.3 74.75 112 88 112h144C245.3 112 256 101.3 256 88V80h16c15.4 0 28.26 10.88 31.31 25.37C304.1 109.2 307.3 112 311.2 112c4.899 0 8.891-4.405 7.956-9.214C314.8 80.68 295.4 64 272 64H256V56C256 42.75 245.3 32 232 32H205.1C198.5 13.4 180.9 0 160 0S121.5 13.4 114.9 32H88C74.75 32 64 42.75 64 56L63.88 64H48C21.49 64 0 85.49 0 112v288C0 426.5 21.49 448 48 448h120C172.4 448 176 444.4 176 440S172.4 432 168 432H48C30.33 432 16 417.7 16 400zM80 56c0-4.412 3.59-8 8-8h38.23l3.781-10.64C134.6 24.58 146.6 16 160 16s25.45 8.582 29.99 21.36L193.8 48H232c4.412 0 8 3.588 8 8v32C240 92.41 236.4 96 232 96h-144C83.59 96 80 92.41 80 88V56z"],
    "pause": [320, 512, [9208], "f04c", "M64 64C59.58 64 56 67.58 56 72v368C56 444.4 59.58 448 64 448s8-3.578 8-8V72C72 67.58 68.42 64 64 64zM256 64c-4.422 0-8 3.578-8 8v368c0 4.422 3.578 8 8 8s8-3.578 8-8V72C264 67.58 260.4 64 256 64z"],
    "paw": [512, 512, [], "f1b0", "M109.5 131.1C95.19 88.26 109.8 44.92 142.1 34.34C174.4 23.77 212.2 49.96 226.5 92.85C240.8 135.7 226.2 179.1 193.9 189.7C161.6 200.2 123.8 174 109.5 131.1zM212.5 148.3C217.2 134.4 217.5 116.4 211.3 97.92C205.2 79.45 194.1 65.14 181.9 56.7C169.8 48.26 157.4 46.17 147.1 49.55C136.8 52.92 128.2 61.84 123.5 75.74C118.8 89.64 118.5 107.6 124.7 126.1C130.8 144.6 141.9 158.9 154.1 167.3C166.2 175.7 178.6 177.8 188.9 174.4C199.2 171.1 207.8 162.2 212.5 148.3zM11.63 249.4C-7.237 216.1-2.664 179.3 21.84 165.3C46.35 151.2 81.51 166.1 100.4 198.6C119.2 231 114.7 268.7 90.16 282.7C65.65 296.8 30.49 281.9 11.63 249.4zM95.65 245.6C97.03 234.2 94.4 220.1 86.54 206.6C78.69 193.1 67.73 183.8 56.98 179.2C46.23 174.7 36.74 175.2 29.8 179.2C22.88 183.1 17.74 190.1 16.35 202.4C14.97 213.8 17.6 227.9 25.46 241.4C33.31 254.9 44.28 264.2 55.02 268.8C65.77 273.3 75.26 272.8 82.2 268.8C89.12 264.9 94.26 257 95.65 245.6zM442.8 401.2C446.4 410.9 448 421.3 448 431.7V436.1C448 460.3 428.3 480 404.1 480C390.8 480 377.5 477.1 364.8 474L284.6 448.9C265.1 443.1 246 443.1 227.4 448.9L147.2 474C134.5 477.1 121.2 480 107.9 480C83.65 480 63.1 460.3 63.1 436.1V431.7C63.1 421.3 65.6 410.9 69.21 401.2C121.6 259.9 214.7 224 255.1 224C297.3 224 390.4 259.9 442.8 401.2H442.8zM256 240C222.5 240 134.7 270.7 84.21 406.8C81.35 414.5 80 422.9 80 431.7V436.1C80 451.5 92.49 464 107.9 464C119.6 464 131.2 462.2 142.4 458.7L222.6 433.7C244.3 426.9 267.7 426.9 289.4 433.7L369.6 458.7C380.8 462.2 392.4 464 404.1 464C419.5 464 432 451.5 432 436.1V431.7C432 422.9 430.6 414.5 427.8 406.8C377.3 270.7 289.5 240 256 240zM490.2 165.3C514.7 179.3 519.2 216.1 500.4 249.4C481.5 281.9 446.3 296.8 421.8 282.7C397.3 268.7 392.8 231 411.6 198.6C430.5 166.1 465.7 151.2 490.2 165.3zM425.5 206.6C417.6 220.1 414.1 234.2 416.4 245.6C417.7 257 422.9 264.9 429.8 268.8C436.7 272.8 446.2 273.3 456.1 268.8C467.7 264.2 478.7 254.9 486.5 241.4C494.4 227.9 497 213.8 495.6 202.4C494.3 190.1 489.1 183.1 482.2 179.2C475.3 175.2 465.8 174.7 455 179.2C444.3 183.8 433.3 193.1 425.5 206.6zM361.9 34.34C394.2 44.92 408.8 88.26 394.5 131.1C380.2 174 342.4 200.2 310.1 189.7C277.8 179.1 263.2 135.7 277.5 92.85C291.8 49.96 329.6 23.77 361.9 34.34zM292.7 97.92C286.5 116.4 286.8 134.4 291.5 148.3C296.2 162.2 304.8 171.1 315.1 174.4C325.4 177.8 337.8 175.7 349.9 167.3C362.1 158.9 373.2 144.6 379.3 126.1C385.5 107.6 385.2 89.64 380.5 75.74C375.8 61.84 367.2 52.92 356.9 49.55C346.6 46.17 334.2 48.26 322.1 56.7C309.9 65.14 298.8 79.45 292.7 97.92z"],
    "paw-claws": [512, 512, [], "f702", "M339.6 8.846C363.7 20.91 399.1 61.07 399.1 128C400.2 139.3 398.5 151.2 394.5 163.2C380.2 206 342.4 232.2 310.1 221.7C277.8 211.1 263.2 167.7 277.5 124.9C291.8 81.97 329.6 55.77 361.9 66.35C365.9 67.66 369.7 69.49 373.1 71.76C361.8 45.14 344.2 29.05 332.4 23.16C328.5 21.18 326.9 16.38 328.8 12.42C330.8 8.472 335.6 6.87 339.6 8.846zM292.7 129.9C286.5 148.4 286.8 166.4 291.5 180.3C296.2 194.2 304.8 203.1 315.1 206.5C325.4 209.8 337.8 207.7 349.9 199.3C362.1 190.9 373.2 176.6 379.3 158.1C385.5 139.6 385.2 121.6 380.5 107.7C375.8 93.85 367.2 84.92 356.9 81.55C346.6 78.17 334.2 80.26 322.1 88.7C309.9 97.14 298.8 111.4 292.7 129.9zM109.5 163.2C105.5 151.2 103.8 139.3 104 128C104 61.07 140.3 20.91 164.4 8.846C168.4 6.87 173.2 8.472 175.2 12.42C177.1 16.38 175.5 21.18 171.6 23.16C159.8 29.05 142.2 45.14 130.9 71.76C134.3 69.49 138.1 67.66 142.1 66.35C174.4 55.77 212.2 81.97 226.5 124.9C240.8 167.7 226.2 211.1 193.9 221.7C161.6 232.2 123.8 206 109.5 163.2zM212.5 180.3C217.2 166.4 217.5 148.4 211.3 129.9C205.2 111.4 194.1 97.14 181.9 88.7C169.8 80.26 157.4 78.17 147.1 81.55C136.8 84.92 128.2 93.85 123.5 107.7C118.8 121.6 118.5 139.6 124.7 158.1C130.8 176.6 141.9 190.9 154.1 199.3C166.2 207.7 178.6 209.8 188.9 206.5C199.2 203.1 207.8 194.2 212.5 180.3zM11.63 281.4C3.718 267.8-.0723 253.3 0 240C0 173.1 36.29 132.9 60.42 120.8C64.37 118.9 69.18 120.5 71.16 124.4C73.13 128.4 71.53 133.2 67.58 135.2C53.93 141.1 32.43 162.5 22.03 197.2C46.53 183.3 81.56 198.2 100.4 230.6C119.2 263 114.7 300.7 90.16 314.7C65.65 328.8 30.49 313.9 11.63 281.4L11.63 281.4zM95.65 277.6C97.03 266.2 94.4 252.1 86.54 238.6C78.69 225.1 67.73 215.8 56.98 211.2C46.23 206.7 36.74 207.2 29.8 211.2C22.88 215.1 17.74 222.1 16.35 234.4C14.97 245.8 17.6 259.9 25.46 273.4C33.31 286.9 44.28 296.2 55.02 300.8C65.77 305.3 75.26 304.8 82.2 300.8C89.12 296.9 94.26 289 95.65 277.6zM442.8 433.2C446.4 442.9 448 453.3 448 463.7V468.1C448 492.3 428.3 512 404.1 512C390.8 512 377.5 509.1 364.8 506L284.6 480.1C265.1 475.1 246 475.1 227.4 480.1L147.2 506C134.5 509.1 121.2 512 107.9 512C83.65 512 63.1 492.3 63.1 468.1V463.7C63.1 453.3 65.6 442.9 69.21 433.2C121.6 291.9 214.7 256 255.1 256C297.3 256 390.4 291.9 442.8 433.2H442.8zM256 272C222.5 272 134.7 302.7 84.21 438.8C81.35 446.5 80 454.9 80 463.7V468.1C80 483.5 92.49 496 107.9 496C119.6 496 131.2 494.2 142.4 490.7L222.6 465.7C244.3 458.9 267.7 458.9 289.4 465.7L369.6 490.7C380.8 494.2 392.4 496 404.1 496C419.5 496 432 483.5 432 468.1V463.7C432 454.9 430.6 446.5 427.8 438.8C377.3 302.7 289.5 272 256 272zM489.1 197.2C479.6 162.5 458.1 141.1 444.4 135.2C440.5 133.2 438.9 128.4 440.8 124.4C442.8 120.5 447.6 118.9 451.6 120.8C475.7 132.9 512 173.1 512 240C512.1 253.3 508.3 267.8 500.4 281.4C481.5 313.9 446.3 328.8 421.8 314.7C397.3 300.7 392.8 263 411.6 230.6C430.4 198.2 465.5 183.3 489.1 197.2L489.1 197.2zM425.5 238.6C417.6 252.1 414.1 266.2 416.4 277.6C417.7 289 422.9 296.9 429.8 300.8C436.7 304.8 446.2 305.3 456.1 300.8C467.7 296.2 478.7 286.9 486.5 273.4C494.4 259.9 497 245.8 495.6 234.4C494.3 222.1 489.1 215.1 482.2 211.2C475.3 207.2 465.8 206.7 455 211.2C444.3 215.8 433.3 225.1 425.5 238.6z"],
    "paw-simple": [448, 512, ["paw-alt"], "f701", "M96 80C96 53.49 117.5 32 144 32C170.5 32 192 53.49 192 80C192 106.5 170.5 128 144 128C117.5 128 96 106.5 96 80zM144 112C161.7 112 176 97.67 176 80C176 62.33 161.7 48 144 48C126.3 48 112 62.33 112 80C112 97.67 126.3 112 144 112zM154.5 202.9C167.7 176.6 194.6 160 224 160C253.4 160 280.3 176.6 293.5 202.9L327.2 270.5C330.7 277.3 337.2 281.1 344.6 284.1C385.9 296.4 416 334.7 416 380C416 435.2 371.2 480 316 480C294.8 480 275.2 473.4 259.1 462.2C241.7 450.2 206.3 450.2 188.9 462.2C172.8 473.4 153.2 480 132 480C76.77 480 32 435.2 32 380C32 334.7 62.12 296.4 103.4 284.1C110.8 281.1 117.3 277.3 120.8 270.5L154.5 202.9zM168.8 210.1L135.1 277.6C129.2 289.3 118.5 296.3 107.1 299.5C73.28 309.8 48 341.1 48 380C48 426.4 85.61 464 132 464C149.8 464 166.3 458.5 179.8 449.1C192.2 440.5 208.1 437.2 224 437.2C239 437.2 255.8 440.5 268.2 449.1C281.7 458.5 298.2 464 316 464C362.4 464 400 426.4 400 380C400 341.1 374.7 309.8 340 299.5C329.5 296.3 318.8 289.3 312.9 277.6L279.2 210.1C268.7 189.2 247.4 176 224 176C200.6 176 179.3 189.2 168.8 210.1V210.1zM352 80C352 106.5 330.5 128 304 128C277.5 128 256 106.5 256 80C256 53.49 277.5 32 304 32C330.5 32 352 53.49 352 80zM304 48C286.3 48 272 62.33 272 80C272 97.67 286.3 112 304 112C321.7 112 336 97.67 336 80C336 62.33 321.7 48 304 48zM352 192C352 165.5 373.5 144 400 144C426.5 144 448 165.5 448 192C448 218.5 426.5 240 400 240C373.5 240 352 218.5 352 192zM400 224C417.7 224 432 209.7 432 192C432 174.3 417.7 160 400 160C382.3 160 368 174.3 368 192C368 209.7 382.3 224 400 224zM96 192C96 218.5 74.51 240 48 240C21.49 240 0 218.5 0 192C0 165.5 21.49 144 48 144C74.51 144 96 165.5 96 192zM48 160C30.33 160 16 174.3 16 192C16 209.7 30.33 224 48 224C65.67 224 80 209.7 80 192C80 174.3 65.67 160 48 160z"],
    "peace": [512, 512, [9774], "f67c", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM496 256c0 53.77-17.99 103.3-47.98 143.4L264 252.1V16.41C392.6 20.68 496 126.4 496 256zM248 16.41v235.7l-184 147.2C33.99 359.3 16 309.8 16 256C16 126.4 119.4 20.68 248 16.41zM73.91 411.9L248 272.6v222.9C178.4 493.3 116.3 461.4 73.91 411.9zM264 495.6v-222.9l174.1 139.3C395.7 461.4 333.6 493.3 264 495.6z"],
    "peach": [512, 512, [], "e20b", "M122.4 94.22c3.281-2.969 3.531-8.031 .5625-11.3C110.7 69.47 104 52.34 104 34.67V16H176c39.69 0 72 32.3 72 72v7.828c0 4.422 3.594 8 8 8s8-3.578 8-8V88c0-39.7 32.31-72 72-72h72v18.67c0 17.67-6.719 34.8-18.94 48.25c-2.969 3.266-2.719 8.328 .5625 11.3c1.531 1.391 3.469 2.078 5.375 2.078c2.188 0 4.344-.8906 5.938-2.625C415.8 77.28 424 56.33 424 34.67V8c0-4.422-3.592-8-7.998-8h-80c-35.59 0-66.15 21.34-79.1 51.8C242.2 21.33 211.6 0 176 0H96C91.6 0 88 3.578 88 8v26.67c0 21.66 8.188 42.61 23.06 59C114 96.91 119.1 97.19 122.4 94.22zM336 112c-27.12 0-55.38 6.688-80.03 18.89c-24.1-12.27-52.36-18.74-79.32-18.85c-.0293-.002 .0293 .002 0 0c-.0059 0 .0059 0 0 0C176.4 112 176.2 112 176 112c-94.22 0-168 70.98-168 161.6c0 109.2 127.3 199.9 245.6 238C254.3 511.9 255.2 512 256 512s1.656-.125 2.438-.3906C380.7 472.2 504 383.4 504 273.6C504 182.1 430.2 112 336 112zM256 495.6c-136.7-44.75-232-135.8-232-222c0-81.57 66.78-145.5 151.9-145.6C252.4 134.3 328 182.8 328 253.6c0 4.422 3.594 8 8 8s8-3.578 8-8c0-44.11-26.91-85.07-72.27-112C292.1 132.9 314.4 128 336 128c85.22 0 152 63.95 152 145.6C488 359.8 392.7 450.8 256 495.6z"],
    "peanut": [512, 512, [], "e430", "M191.1 400c-8.838 0-16 7.162-16 16c0 8.836 7.162 16 16 16S208 424.8 208 416C208 407.2 200.8 400 191.1 400zM127.1 400c-8.84 0-16 7.162-16 16c0 8.836 7.162 16 16 16c8.836 0 16-7.164 16-16C143.1 407.2 136.8 400 127.1 400zM352 176c-8.84 0-16 7.162-16 16c0 8.836 7.162 16 16 16c8.836 0 16-7.164 16-16C368 183.2 360.8 176 352 176zM191.1 336c-8.838 0-16 7.162-16 16c0 8.836 7.162 16 16 16S208 360.8 208 352C208 343.2 200.8 336 191.1 336zM510.3 84.56c-1.375-44.33-38.56-81.52-82.88-82.86c0 0-56.5-1.703-58.29-1.703c-84 0-154.3 61.19-164.4 144.3C198.9 190.9 161.8 202.5 144.3 204.7c-83.11 10.24-144.3 80.46-144.3 164.5c0 1.754 .0267 3.514 .0804 5.279l1.594 53.02c1.375 44.33 38.56 81.5 82.85 82.84c0 0 56.54 1.703 58.32 1.703c84 0 154.3-61.19 164.4-144.3c5.846-46.64 42.78-58.25 60.44-60.44c83.11-10.24 144.3-80.46 144.3-164.5c0-1.754-.0267-3.514-.0804-5.279L510.3 84.56zM495.1 143.1c0 76.94-54.06 138.9-130.2 148.3c-21.67 2.674-67.3 17.62-74.38 74.34C282.1 441.1 220.1 496 143.1 496c-1.656 0-3.344-.0156-5.031-.0781l-53-1.625c-36-1.094-66.22-31.3-67.35-67.33c0 0-1.672-56.41-1.672-58.1c0-76.94 54.06-138.9 130.2-148.3C202.9 213.6 217.9 167.9 220.6 146.2C229.9 70.05 291.9 16 368.9 16c1.656 0 3.344 .0156 5.031 .0781l52.97 1.625c36.03 1.094 66.25 31.3 67.38 67.33C494.3 85.03 495.1 141.4 495.1 143.1zM416 112c-8.838 0-16 7.162-16 16c0 8.836 7.162 16 16 16s16-7.164 16-16C432 119.2 424.8 112 416 112zM416 176c-8.838 0-16 7.162-16 16c0 8.836 7.162 16 16 16s16-7.164 16-16C432 183.2 424.8 176 416 176z"],
    "peanuts": [640, 512, [129372], "e431", "M319.9 336c-8.842 0-16.01 7.162-16.01 15.1s7.164 16 16.01 16c8.84 0 16.01-7.164 16.01-16S328.7 336 319.9 336zM319.9 400c-8.842 0-16.01 7.162-16.01 15.1s7.164 16 16.01 16c8.84 0 16.01-7.164 16.01-16S328.7 400 319.9 400zM15.99 371c0-105.8 88.58-90.54 88.58-163c0-21.88-8.67-29.01-8.67-58.98c0-47.95 27.39-92.7 72.23-112.2l38.54-16.77C212.1 17.29 219.6 15.99 226.2 15.99c19.75 0 39.12 11.63 48.16 31.07l18.32 39.31C297.1 97.81 297.9 104 305.3 104c4.373 0 7.996-3.559 7.996-8.022c0-2.782-4.211-12.42-6.067-16.38L288.9 40.31C277.1 15.1 251.1-.0005 226.2-.0005c-8.722 0-17.52 1.727-25.89 5.376L161.8 22.14C110.9 44.26 79.9 94.88 79.9 149.1c0 32.18 8.661 40.09 8.661 58.99c0 59.15-88.56 52.4-88.56 162.1c0 20.59 4.409 41.54 13.64 61.35l18.32 39.31C43.4 496.3 67.94 512 94.7 512c7.224 0 9.131-5.103 9.131-8.004c0-4.404-3.733-8.021-8.163-8.021c-.1108-.0128 .1 0 0 0C95.4 495.1 95 496 94.73 496c-20.26 0-39.57-12.39-48.27-31.04l-18.32-39.31C19.92 407.1 15.99 389.3 15.99 371zM255.9 400c-8.842 0-16.01 7.162-16.01 15.1s7.166 16 16.01 16c8.838 0 16.01-7.164 16.01-16S264.7 400 255.9 400zM543.1 112c-8.842 0-16.01 7.16-16.01 15.1c0 8.836 7.164 16 16.01 16c8.84 0 16.01-7.164 16.01-16C559.1 119.2 552.8 112 543.1 112zM479.1 176c-8.842 0-16.01 7.162-16.01 16c0 8.836 7.164 16 16.01 16c8.84 0 16.01-7.164 16.01-16C495.1 183.2 488.8 176 479.1 176zM638.3 84.58c-1.377-44.33-38.58-81.51-82.91-82.86c0 0-56.52-1.703-58.3-1.703c-84.03 0-154.3 61.19-164.5 144.3c-5.78 46.64-42.94 58.25-60.46 60.42c-83.14 10.24-144.3 80.46-144.3 164.4c0 1.754 .0267 3.515 .0804 5.281l1.594 53.01c1.375 44.33 38.58 81.5 82.88 82.84c0 0 56.55 1.703 58.33 1.703c84.03 0 154.3-61.19 164.5-144.3c5.846-46.64 42.8-58.25 60.46-60.44c83.14-10.24 144.3-80.46 144.3-164.5c0-1.753-.0267-3.512-.0803-5.277L638.3 84.58zM623.1 143.1c0 76.94-54.08 138.9-130.3 148.3c-21.69 2.676-67.32 17.62-74.4 74.34C409.1 441.1 347.1 496 270.9 496c-1.656 0-3.344-.0156-5.031-.0781l-53.02-1.625c-36.01-1.094-66.24-31.29-67.37-67.33c0 0-1.674-56.41-1.674-58.09c0-76.94 54.08-138.9 130.3-148.3c56.74-7.002 71.73-52.75 74.4-74.34c9.348-76.19 71.37-130.2 148.4-130.2c1.656 0 3.346 .0156 5.033 .0781l52.99 1.625c36.04 1.094 66.27 31.3 67.4 67.33C622.3 85.04 623.1 141.5 623.1 143.1zM543.1 176c-8.842 0-16.01 7.162-16.01 16c0 8.836 7.164 16 16.01 16c8.84 0 16.01-7.164 16.01-16C559.1 183.2 552.8 176 543.1 176z"],
    "peapod": [512, 512, [], "e31c", "M256 192C220.7 192 192 220.7 192 256s28.72 64 64 64s64-28.7 64-64S291.3 192 256 192zM256 304C229.5 304 208 282.5 208 256S229.5 208 256 208s48 21.53 48 48S282.5 304 256 304zM500.6 11.36C493.1 3.766 482 .2656 472.3 0c-54.9 1.359-192 13.94-279.1 101L101.1 193.1c-83.9 83.94-99.34 210.9-101.1 279.2c-.25 10.7 3.75 20.77 11.34 28.35C18.7 507.1 28.42 512 38.73 512c.3438 0 .6875-.0156 1-.0156c54.94-1.359 192.1-13.94 279.1-101.1l92.06-92.06c83.9-83.89 99.34-210.9 101.1-279.2C512.2 29 508.2 18.94 500.6 11.36zM399.6 307.5l-92.06 92.06c-82.1 83.05-215.2 95.06-268.2 96.38c-7.219 .0957-12.22-2.219-16.69-6.672c-4.438-4.453-6.812-10.36-6.656-16.62c1.344-53.02 13.41-185.3 96.37-268.3l92.06-92.06C287.5 29.33 419.7 17.31 472.6 16c.2187 0 .4062-.0156 .5938-.0156c6.062 0 11.75 2.359 16.09 6.688c4.438 4.453 6.812 10.36 6.656 16.62C494.6 92.31 482.6 224.6 399.6 307.5zM144 304c-35.28 0-64 28.7-64 64s28.72 64 64 64s64-28.7 64-64S179.3 304 144 304zM144 416C117.5 416 96 394.5 96 368S117.5 320 144 320S192 341.5 192 368S170.5 416 144 416zM368 80C332.7 80 304 108.7 304 144s28.72 64 64 64S432 179.3 432 144S403.3 80 368 80zM368 192C341.5 192 320 170.5 320 144S341.5 96 368 96S416 117.5 416 144S394.5 192 368 192z"],
    "pear": [512, 512, [], "e20c", "M512 8C512 3.43 508.3 0 504 0c-2.047 0-4.094 .7813-5.656 2.344l-48.57 48.57C448.1 49.38 417.2 16 359.9 16c-37.98 0-76.25 15.24-104.7 43.76c-30.07 30.17-68.23 50.5-109.2 61.74C111.8 130.9 0 181.5 0 313.1C0 423.6 90.03 512 198.7 512c38.94 0 155.1-20.44 190.3-143.5c36.42-127.2 106.8-117.1 106.8-214.7c0-33.59-12.51-66.06-34.78-91.42l48.72-48.72C511.2 12.09 512 10.05 512 8zM479.7 153.8c0 44.51-15.15 61.98-38.09 88.43c-22.05 25.42-49.49 57.06-68.06 121.9C336.2 494.5 204.3 496 198.7 496C97.94 496 16 413.1 16 313.1c0-137.8 132.8-175.8 134.2-176.2c45.62-12.5 85.8-35.23 116.4-65.88C291.2 46.24 325.3 32 359.9 32c43.78 0 70.06 21.95 78.59 30.23l-36.1 36.11c-3.125 3.125-3.125 8.188 0 11.31C403.9 111.2 405.9 112 408 112s4.094-.7813 5.656-2.344l35.88-35.88C468.1 96.28 479.7 124.6 479.7 153.8z"],
    "pedestal": [448, 512, [], "e20d", "M320 64c-17.64 0-32 14.36-32 32s14.36 32 32 32s32-14.36 32-32S337.6 64 320 64zM320 112c-8.836 0-16-7.164-16-16c0-8.838 7.164-16 16-16s16 7.162 16 16C336 104.8 328.8 112 320 112zM128 64C110.4 64 96 78.36 96 96s14.36 32 32 32s32-14.36 32-32S145.6 64 128 64zM128 112C119.2 112 112 104.8 112 96c0-8.838 7.164-16 16-16S144 87.16 144 96C144 104.8 136.8 112 128 112zM440 496H416V64c0-35.35-28.65-64-64-64H96C60.65 0 32 28.65 32 64v432H8C3.578 496 0 499.6 0 504S3.578 512 8 512h432c4.422 0 8-3.594 8-8S444.4 496 440 496zM48 496V64c0-26.47 21.53-48 48-48h256c26.47 0 48 21.53 48 48l.0215 432H48z"],
    "pegasus": [576, 512, [], "f703", "M496 64C487.2 64 480 71.16 480 80S487.2 96 496 96S512 88.84 512 80S504.8 64 496 64zM575.9 82.2c0-9.922-3.719-19.36-10.47-26.61l-7.062-7.5c8.969-7.797 15.03-17.89 17.31-29.17c.9375-4.625-.25-9.406-3.281-13.09C569.4 2.125 564.9 0 560.2 0h-124.4C366.8 0 308.2 57.83 304 128h-7.967c-88.8-1.949-107.2-85.1-107.9-89.63C187.4 35.02 184.7 32.45 181.3 32.03C177.1 31.75 174.6 33.44 173.1 36.52c-1.193 2.504-20.54 44.47-20.79 92.33C127.2 130.9 104.9 142.3 88.98 160H72C32.31 160 0 192.3 0 232v80C0 316.4 3.594 320 8 320S16 316.4 16 312v-80c0-30.88 25.12-56 56-56h5.312C69.07 190.2 63.1 206.4 63.1 224c0 29.42 13.53 55.43 34.37 73.04L87.25 318.8C67.56 357.2 64 364.2 64 380.9c0 4.906 .9062 12.38 2.094 16.98l23.97 95.95C92.63 504 102.9 512 113.3 512H176c7.438 0 14.34-3.359 18.91-9.234c4.562-5.859 6.156-13.36 4.219-21.05l-30.53-97.03l27.69-55.38L312 358.3V488c0 13.23 10.78 24 24 24h56c13.22 0 24-10.77 24-24v-160.9c19.51-17.57 31.1-42.82 31.1-71.14c0-.0352 0 .0352 0 0L448 151.9l5.688 2.031l16.88 33.61c6.797 13.51 20.69 21.52 35.07 21.52c4.801 0 9.648-.8906 14.31-2.766l31.53-12.61c13.75-5.484 24.5-21.41 24.5-36.23L575.9 82.2zM545.5 178.9l-31.57 12.62c-11.07 4.461-23.87-.6836-29.1-11.09l-16.88-33.61c-3.328-6.625-18.72-15.31-29.2-7.93C434.5 141.9 432 146.7 432 151.9c0 0-.0078 104.3 0 104.5c-.1172 22.5-9.59 43.37-26.71 58.79C401.9 318.2 400 322.6 400 327.1V488c0 4.41-3.59 8-8 8H336c-4.414 0-8-3.59-8-8v-129.8c0-7.344-4.996-13.74-12.12-15.52L200.2 313.8c-6.375-1.594-14.45 .8672-18.2 8.367l-27.69 55.38c-1.852 3.711-2.195 8-.9492 11.96l30.28 96.14C185.2 491.8 180.7 496 176 496H113.3c-3.148 0-6.992-3.004-7.758-6.035l-24-96.07C80.74 390.6 80 384.5 80 380.9c0-12.5 1.816-16.4 21.5-54.82l11.12-21.77c3.379-6.625 1.75-14.7-3.926-19.5C90.46 269.4 80 247.2 80 224c0-41.71 32.21-75.68 72.99-79.29c1.264 14.52 3.609 29.57 13.2 48.04c19.56 37.59 58.47 61.52 115.7 71.11c.4375 .0781 .875 .1094 1.312 .1094c3.844 0 7.219-2.766 7.875-6.672c.75-4.359-2.188-8.484-6.562-9.219C232.5 239.4 197.5 218.3 180.4 185.4C158.6 143.5 170.5 91.44 179.8 63.44C192.4 93.08 224.4 142.6 296 143.1L320 144V128.8C323.8 66.58 375.7 16 435.8 16h124.2c-1.602 7.621-5.773 14.54-12.07 20.02c-7.695 6.688-6.594 17.27-1.152 23.05c7.094 7.531 13.18 12.34 13.18 23.16l.0625 75.27C559.1 165.8 553.2 175.8 545.5 178.9z"],
    "pen": [512, 512, [128394], "f304", "M497.4 60.46C516.1 79.2 516.1 109.6 497.4 128.3L176 449.7C163.7 461.1 148.5 471 131.8 475.9L10.26 511.7C7.449 512.5 4.413 511.7 2.343 509.7C.2733 507.6-.5008 504.6 .3254 501.7L36.08 380.2C40.99 363.5 50.02 348.3 62.32 335.1L383.7 14.63C402.4-4.12 432.8-4.12 451.5 14.63L497.4 60.46zM328.1 92.8L419.2 183.9L486.1 117C498.6 104.5 498.6 84.27 486.1 71.77L440.2 25.94C427.7 13.44 407.5 13.44 394.1 25.94L328.1 92.8zM316.8 104.1L73.63 347.3C63.22 357.7 55.59 370.5 51.43 384.7L19.81 492.2L127.3 460.6C141.5 456.4 154.3 448.8 164.7 438.4L407.9 195.2L316.8 104.1z"],
    "pen-circle": [512, 512, [], "e20e", "M132.7 379.2C128.7 375.2 127.1 369.4 128.5 363.1L143.5 303.8C144.9 298.2 147.8 293.1 151.9 288.1L307.4 133.5C323 117.9 348.3 117.9 363.1 133.5L378.3 147.9C393.1 163.5 393.1 188.8 378.3 204.5L222.9 359.9C218.8 364 213.6 366.9 208 368.3L204.1 352.8C206.9 352.1 209.5 350.7 211.6 348.6L330.4 229.7L282.1 181.4L163.2 300.3C161.2 302.3 159.7 304.9 159 307.7L144 367.9L204.1 352.8L208 368.3L147.9 383.4C142.4 384.7 136.7 383.1 132.7 379.2L132.7 379.2zM367 159.2L352.6 144.8C343.3 135.4 328.1 135.4 318.7 144.8L293.4 170.1L341.7 218.4L367 193.1C376.4 183.8 376.4 168.6 367 159.2V159.2zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "pen-clip": [512, 512, ["pen-alt"], "f305", "M284.3 71.6C268.7 55.98 243.3 55.98 227.7 71.6L109.7 189.7C106.5 192.8 101.5 192.8 98.34 189.7C95.22 186.5 95.22 181.5 98.34 178.3L216.4 60.28C238.3 38.41 273.7 38.41 295.6 60.28L308.7 73.37L362.7 19.32C387.7-5.678 428.3-5.678 453.3 19.32L492.7 58.75C517.7 83.74 517.7 124.3 492.7 149.3L229.5 412.5C181.5 460.5 120.3 493.2 53.7 506.5L28.71 511.5C20.84 513.1 12.7 510.6 7.03 504.1C1.356 499.3-1.107 491.2 .4662 483.3L5.465 458.3C18.78 391.7 51.52 330.5 99.54 282.5L297.4 84.69L284.3 71.6zM320 84.69L427.3 192L481.4 137.9C500.1 119.2 500.1 88.81 481.4 70.06L441.9 30.63C423.2 11.88 392.8 11.88 374.1 30.63L320 84.69zM110.9 293.8C65.06 339.6 33.85 397.9 21.15 461.4L16.16 486.4C15.63 489.1 16.45 491.8 18.34 493.7C20.23 495.5 22.95 496.4 25.57 495.8L50.56 490.8C114.1 478.1 172.4 446.9 218.2 401.1L416 203.3L308.7 96L110.9 293.8z"],
    "pen-clip-slash": [640, 512, ["pen-alt-slash"], "e20f", "M636.1 497.7C640.4 500.5 641 505.5 638.3 508.1C635.5 512.4 630.5 513 627 510.3L3.022 14.26C-.4365 11.51-1.012 6.481 1.738 3.022C4.487-.4365 9.52-1.012 12.98 1.738L636.1 497.7zM556.7 149.3L443.9 262.1L431.2 252.1L480 203.3L372.7 96L311.3 157.4L298.6 147.4L361.4 84.69L348.3 71.6C332.7 55.98 307.3 55.98 291.7 71.6L252.4 110.9L239.8 100.9L280.4 60.28C302.3 38.42 337.7 38.42 359.6 60.28L372.7 73.37L426.7 19.32C451.7-5.678 492.3-5.678 517.3 19.32L556.7 58.75C581.7 83.74 581.7 124.3 556.7 149.3V149.3zM384 84.69L491.3 192L545.4 137.9C564.1 119.2 564.1 88.81 545.4 70.06L505.9 30.63C487.2 11.88 456.8 11.88 438.1 30.63L384 84.69zM85.15 461.4L80.15 486.4C79.63 489.1 80.45 491.8 82.34 493.7C84.23 495.6 86.94 496.4 89.57 495.8L114.6 490.8C178.1 478.2 236.4 446.9 282.2 401.1L328.7 354.6L341.4 364.6L293.5 412.5C245.5 460.5 184.3 493.2 117.7 506.5L92.71 511.5C84.84 513.1 76.7 510.6 71.03 504.1C65.35 499.3 62.89 491.2 64.46 483.3L69.46 458.3C82.78 391.7 115.5 330.5 163.5 282.5L196.1 249.9L208.8 259.9L174.9 293.8C129.1 339.6 97.85 397.9 85.15 461.4H85.15z"],
    "pen-fancy": [512, 512, [128395, 10002], "f5ac", "M512 79.47C512 102.5 502.1 124.3 484.7 139.4L262.1 332.5L238.7 411.4C233.5 428.2 220.7 441.7 204 447.6L33.23 508.6C14.49 515.3-3.781 497.6 2.307 478.7L56.54 309.1C62.26 292.2 76.49 278.4 94.46 273.3L179.5 248.1L372.6 27.28C387.7 9.947 409.6 0 432.5 0C476.4 0 512 35.58 512 79.47H512zM194.9 255.6L256.4 317.1L474.2 127.3C488.1 115.3 496 97.82 496 79.47C496 44.42 467.6 16 432.5 16C414.2 16 396.7 23.94 384.7 37.78L194.9 255.6zM246.9 330.2L181.7 264.1L98.86 288.6C86.02 292.3 75.86 302.2 71.77 314.9L17.74 482.9L94.63 406.1C90.44 399.7 88 392.2 88 384C88 361.9 105.9 344 128 344C150.1 344 168 361.9 168 384C168 406.1 150.1 424 128 424C119.8 424 112.3 421.6 105.9 417.4L30.81 492.5L198.7 432.6C210.5 428.3 219.7 418.7 223.4 406.7L246.9 330.2zM128 360C114.7 360 104 370.7 104 384C104 397.3 114.7 408 128 408C141.3 408 152 397.3 152 384C152 370.7 141.3 360 128 360z"],
    "pen-fancy-slash": [640, 512, [], "e210", "M636.1 497.7C640.4 500.5 641 505.5 638.3 508.1C635.5 512.4 630.5 513 627 510.3L3.022 14.26C-.4365 11.51-1.012 6.481 1.738 3.022C4.487-.4365 9.52-1.012 12.98 1.738L636.1 497.7zM548.7 139.4L424.1 247.2L412.2 237.1L538.2 127.3C552.1 115.3 560 97.82 560 79.47C560 44.42 531.6 16 496.5 16C478.2 16 460.7 23.94 448.7 37.78L330.1 172.9L318.4 162.1L436.6 27.28C451.7 9.948 473.5 .0003 496.5 .0003C540.4 .0003 576 35.58 576 79.47C576 102.5 566.1 124.3 548.7 139.4V139.4zM158.5 273.3L207.8 259.2L223.3 271.4L162.9 288.6C150 292.3 139.9 302.2 135.8 314.9L81.74 482.9L158.6 406.1C154.4 399.7 151.1 392.2 151.1 384C151.1 361.9 169.9 344 191.1 344C214.1 344 231.1 361.9 231.1 384C231.1 406.1 214.1 424 191.1 424C183.8 424 176.3 421.6 169.9 417.4L94.81 492.5L262.7 432.6C274.5 428.3 283.7 418.7 287.4 406.7L308.4 338.6L321.8 349.2L302.7 411.4C297.5 428.2 284.7 441.7 268 447.6L97.23 508.6C78.49 515.3 60.22 497.6 66.31 478.7L120.5 309.1C126.3 292.2 140.5 278.4 158.5 273.3L158.5 273.3zM191.1 360C178.7 360 167.1 370.7 167.1 384C167.1 397.3 178.7 408 191.1 408C205.3 408 215.1 397.3 215.1 384C215.1 370.7 205.3 360 191.1 360z"],
    "pen-field": [640, 512, [], "e211", "M528.4 20.71C550.2-1.376 585.8-1.478 607.8 20.48L619.7 32.41C641.6 54.28 641.6 89.73 619.7 111.6L411.2 320.2C403.5 327.9 393.8 333.2 383.1 335.4L297.6 353.3C294.1 353.9 292.3 353.1 290.3 351.2C288.4 349.3 287.6 346.5 288.2 343.9L306.1 258.2C308.3 247.7 313.5 238 321.1 230.3L528.4 20.71zM596.5 31.79C580.8 16.11 555.3 16.18 539.7 31.96L499.7 72.43L568 140.7L608.4 100.3C624 84.66 624 59.34 608.4 43.72L596.5 31.79zM321.8 261.5L306.3 335.2L379.8 319.7C387.5 318.1 394.4 314.4 399.9 308.9L556.7 152L488.5 83.8L332.5 241.6C327.1 247.1 323.4 253.1 321.8 261.5V261.5zM312 128C316.4 128 320 131.6 320 136C320 140.4 316.4 144 312 144H56C33.91 144 16 161.9 16 184V456C16 478.1 33.91 496 56 496H520C542.1 496 560 478.1 560 456V264C560 259.6 563.6 256 568 256C572.4 256 576 259.6 576 264V456C576 486.9 550.9 512 520 512H56C25.07 512 0 486.9 0 456V184C0 153.1 25.07 128 56 128H312zM112 320C112 311.2 119.2 304 128 304C136.8 304 144 311.2 144 320C144 328.8 136.8 336 128 336C119.2 336 112 328.8 112 320zM240 320C240 328.8 232.8 336 224 336C215.2 336 208 328.8 208 320C208 311.2 215.2 304 224 304C232.8 304 240 311.2 240 320z"],
    "pen-line": [576, 512, [], "e212", "M383.7 14.63C402.4-4.12 432.8-4.12 451.5 14.63L497.4 60.46C516.1 79.2 516.1 109.6 497.4 128.3L176 449.7C163.7 461.1 148.5 471 131.8 475.9L10.26 511.7C7.449 512.5 4.413 511.7 2.343 509.7C.2733 507.6-.5009 504.6 .3254 501.7L36.08 380.2C40.99 363.5 50.02 348.3 62.32 335.1L383.7 14.63zM440.2 25.94C427.7 13.44 407.5 13.44 394.1 25.94L328.1 92.8L419.2 183.9L486.1 117C498.6 104.5 498.6 84.27 486.1 71.77L440.2 25.94zM51.43 384.7L19.81 492.2L127.3 460.6C141.5 456.4 154.3 448.8 164.7 438.4L407.9 195.2L316.8 104.1L73.63 347.3C63.22 357.7 55.59 370.5 51.44 384.7H51.43zM568 496C572.4 496 576 499.6 576 504C576 508.4 572.4 512 568 512H232C227.6 512 224 508.4 224 504C224 499.6 227.6 496 232 496H568z"],
    "pen-nib": [512, 512, [10001], "f5ad", "M291.8 96.93L368.4 20.28C390.3-1.585 425.7-1.585 447.6 20.28L491.7 64.4C513.6 86.27 513.6 121.7 491.7 143.6L415.1 220.2L369.5 370.1C362.6 392.8 344.9 410.6 322.3 417.8L37.2 508.2C27.73 511.2 17.37 508.7 10.34 501.7C3.316 494.6 .7898 484.3 3.794 474.8L94.2 189.7C101.4 167.1 119.2 149.4 141.9 142.5L291.8 96.93zM307.3 104L408 204.7L480.4 132.3C496 116.7 496 91.34 480.4 75.72L436.3 31.6C420.7 15.98 395.3 15.98 379.7 31.6L307.3 104zM293.7 113.1L146.5 157.9C128.9 163.2 115 176.9 109.5 194.5L19.05 479.6C18.79 480.5 18.63 481.3 18.57 482.1L163.1 337.5C156.1 328.2 152 316.6 152 304C152 273.1 177.1 248 208 248C238.9 248 264 273.1 264 304C264 334.9 238.9 360 208 360C195.4 360 183.8 355.9 174.5 348.9L29.89 493.4C30.72 493.4 31.55 493.2 32.37 492.1L317.5 402.5C335.1 396.1 348.8 383.1 354.1 365.5L398.1 218.3L293.7 113.1zM208 264C185.9 264 168 281.9 168 304C168 326.1 185.9 344 208 344C230.1 344 248 326.1 248 304C248 281.9 230.1 264 208 264z"],
    "pen-nib-slash": [640, 512, [], "e4a1", "M636.1 497.7C640.4 500.5 641 505.5 638.3 508.1C635.5 512.4 630.5 513 627 510.3L3.022 14.26C-.4365 11.51-1.012 6.481 1.738 3.022C4.487-.4365 9.52-1.012 12.98 1.738L636.1 497.7zM479.1 220.2L461.1 276.4L448.5 265.7L462.9 218.3L357.7 113.1L283.7 135.6L268.4 123.5L355.8 96.93L432.4 20.29C454.3-1.584 489.7-1.584 511.6 20.29L555.7 64.4C577.6 86.27 577.6 121.7 555.7 143.6L479.1 220.2zM371.3 104L472 204.7L544.4 132.3C560 116.7 560 91.34 544.4 75.72L500.3 31.6C484.7 15.98 459.3 15.98 443.7 31.6L371.3 104zM386.9 400.5L400.7 411.4C396.2 414.1 391.4 416.2 386.3 417.8L101.2 508.2C91.73 511.2 81.37 508.7 74.34 501.7C67.31 494.6 64.79 484.3 67.79 474.8L150.5 213.9L163.9 224.5L83.04 479.6C82.79 480.5 82.63 481.3 82.57 482.1L227.1 337.5C220.1 328.2 215.1 316.6 215.1 304C215.1 292.5 219.4 281.9 225.3 273L237.1 282.1C234.2 289.1 231.1 296.3 231.1 304C231.1 326.1 249.9 344 271.1 344C283.1 344 293.1 339.5 300.3 332.2L312.1 342.2C302.7 353.1 288.2 360 271.1 360C259.4 360 247.8 355.9 238.5 348.9L93.89 493.4C94.72 493.4 95.55 493.2 96.37 492.1L381.5 402.5C383.3 401.1 385.1 401.3 386.9 400.5V400.5z"],
    "pen-paintbrush": [576, 512, ["pencil-paintbrush"], "f618", "M319.1 410.6C321.2 455.7 356.5 492.3 401 495.7C401.7 495.8 402.3 495.9 402.9 496H543.9C552.8 496 559.9 488.8 559.9 480C559.9 471.2 552.8 464 543.9 464H539.1C525.4 464 513.8 456.3 506.4 446.6C499.1 437 495.2 424.6 495.8 412.3C495.9 410.9 495.9 409.4 495.9 408C495.9 360.3 457.9 321.4 410.5 320L425.1 305.4C474.4 313.6 511.9 356.4 511.9 408C511.9 409.7 511.9 411.4 511.8 413C510.1 430.2 522.8 448 539.1 448H543.9C561.6 448 575.9 462.3 575.9 480C575.9 497.7 561.6 512 543.9 512H400.1C399.1 512 399.9 511.9 399.9 511.8C399.9 511.8 399.8 511.7 399.8 511.7C351.9 507.1 313.1 471.8 305.3 425.2L319.1 410.6zM16.4 95.6C-5.467 73.73-5.467 38.27 16.4 16.4C38.27-5.467 73.73-5.467 95.6 16.4L218.3 139.1L207 150.5L84.28 27.72C68.66 12.09 43.34 12.09 27.72 27.72C12.09 43.34 12.09 68.66 27.72 84.28L150.5 207L139.1 218.3L16.4 95.6zM415.7 14.63C434.4-4.12 464.8-4.12 483.5 14.63L529.4 60.46C548.1 79.2 548.1 109.6 529.4 128.3L208 449.7C195.7 461.1 180.5 471 163.8 475.9L42.26 511.7C39.45 512.5 36.41 511.7 34.34 509.7C32.27 507.6 31.5 504.6 32.33 501.7L68.08 380.2C72.99 363.5 82.02 348.3 94.32 335.1L415.7 14.63zM472.2 25.94C459.7 13.44 439.5 13.44 426.1 25.94L360.1 92.8L451.2 183.9L518.1 117C530.6 104.5 530.6 84.27 518.1 71.77L472.2 25.94zM83.43 384.7L51.81 492.2L159.3 460.6C173.5 456.4 186.3 448.8 196.7 438.4L439.9 195.2L348.8 104.1L105.6 347.3C95.22 357.7 87.59 370.5 83.44 384.7H83.43z"],
    "pen-ruler": [512, 512, ["pencil-ruler"], "f5ae", "M383.7 14.63C402.4-4.12 432.8-4.12 451.5 14.63L497.4 60.46C516.1 79.2 516.1 109.6 497.4 128.3L176 449.7C163.7 461.1 148.5 471 131.8 475.9L10.26 511.7C7.449 512.5 4.413 511.7 2.343 509.7C.2733 507.6-.5008 504.6 .3254 501.7L36.08 380.2C40.99 363.5 50.02 348.3 62.32 335.1L383.7 14.63zM440.2 25.94C427.7 13.44 407.5 13.44 394.1 25.94L328.1 92.8L419.2 183.9L486.1 117C498.6 104.5 498.6 84.27 486.1 71.77L440.2 25.94zM51.43 384.7L19.81 492.2L127.3 460.6C141.5 456.4 154.3 448.8 164.7 438.4L407.9 195.2L316.8 104.1L73.63 347.3C63.22 357.7 55.59 370.5 51.44 384.7H51.43zM156.3 32.97C140.7 17.35 115.3 17.35 99.72 32.97L32.97 99.72C17.35 115.3 17.35 140.7 32.97 156.3L109.5 232.8L98.18 244.1L21.66 167.6C-.2125 145.7-.2125 110.3 21.66 88.4L88.4 21.66C110.3-.2105 145.7-.2105 167.6 21.66L244.1 98.18L232.8 109.5L195.3 72L141.7 125.7C138.5 128.8 133.5 128.8 130.3 125.7C127.2 122.5 127.2 117.5 130.3 114.3L184 60.69L156.3 32.97zM267.9 413.8L279.2 402.5L355.7 479C371.3 494.7 396.7 494.7 412.3 479L479 412.3C494.6 396.7 494.6 371.3 479 355.7L451.3 328L397.7 381.7C394.5 384.8 389.5 384.8 386.3 381.7C383.2 378.5 383.2 373.5 386.3 370.3L440 316.7L402.5 279.2L413.8 267.9L490.3 344.4C512.2 366.3 512.2 401.7 490.3 423.6L423.6 490.3C401.7 512.2 366.3 512.2 344.4 490.3L267.9 413.8z"],
    "pen-slash": [640, 512, [], "e213", "M636.1 497.7C640.4 500.5 641 505.5 638.3 508.1C635.5 512.4 630.5 513 627 510.3L3.022 14.26C-.4365 11.51-1.012 6.481 1.738 3.022C4.487-.4365 9.52-1.012 12.98 1.738L636.1 497.7zM561.4 128.3L434.8 254.9L422.2 244.9L471.9 195.2L380.8 104.1L320.4 164.6L307.7 154.6L447.7 14.63C466.4-4.12 496.8-4.12 515.5 14.63L561.4 60.46C580.1 79.2 580.1 109.6 561.4 128.3L561.4 128.3zM392.1 92.8L483.2 183.9L550.1 117C562.6 104.5 562.6 84.27 550.1 71.77L504.2 25.94C491.7 13.44 471.5 13.44 458.1 25.94L392.1 92.8zM115.4 384.7L83.81 492.2L191.3 460.6C205.5 456.4 218.3 448.8 228.7 438.4L319.6 347.4L332.3 357.4L240 449.7C227.7 461.1 212.5 471 195.8 475.9L74.26 511.7C71.45 512.5 68.41 511.7 66.34 509.7C64.27 507.6 63.5 504.6 64.33 501.7L100.1 380.2C104.1 363.5 114 348.3 126.3 335.1L205.2 257.1L217.8 267.1L137.6 347.3C127.2 357.7 119.6 370.5 115.4 384.7L115.4 384.7z"],
    "pen-swirl": [512, 512, [], "e214", "M400.4 20.71C422.2-1.376 457.8-1.478 479.8 20.48L491.7 32.41C513.6 54.28 513.6 89.73 491.7 111.6L283.2 320.2C275.5 327.9 265.8 333.2 255.1 335.4L169.6 353.3C166.1 353.9 164.3 353.1 162.3 351.2C160.4 349.3 159.6 346.5 160.2 343.9L178.1 258.2C180.3 247.7 185.6 238 193.1 230.3L400.4 20.71zM468.5 31.79C452.8 16.11 427.3 16.18 411.8 31.96L371.7 72.43L440 140.7L480.4 100.3C496 84.66 496 59.34 480.4 43.72L468.5 31.79zM193.8 261.5L178.3 335.2L251.8 319.7C259.5 318.1 266.4 314.4 271.9 308.9L428.7 152L360.5 83.8L204.5 241.6C199.1 247.1 195.4 253.1 193.8 261.5V261.5zM256 40C136.7 40 40 136.7 40 256C40 375.3 136.7 472 256 472C260.4 472 264 475.6 264 480C264 484.4 260.4 488 256 488C127.9 488 24 384.1 24 256C24 127.9 127.9 23.1 256 23.1C284.7 23.1 312.2 29.21 337.5 38.74L325.1 51.3C303.4 43.97 280.2 39.1 256 39.1V40zM460.1 187.6L473.5 175.1C482.9 200.3 488 227.5 488 256C488 331.1 427.1 392 352 392C333.1 392 316.8 388.5 300.1 382.1C296.9 380.5 294.9 375.8 296.6 371.7C298.2 367.6 302.9 365.6 307 367.3C320.9 372.9 336.1 376 352 376C418.3 376 472 322.3 472 256C472 232.1 468.1 209.1 460.1 187.6H460.1z"],
    "pen-to-square": [512, 512, ["edit"], "f044", "M392.4 28.28C414.3 6.416 449.7 6.416 471.6 28.28L483.7 40.4C505.6 62.27 505.6 97.73 483.7 119.6L255.4 347.9C247.1 355.3 238.6 360.5 228.4 362.9L137.8 383.8C135.1 384.4 132.3 383.6 130.3 381.7C128.4 379.7 127.6 376.9 128.2 374.2L149.1 283.6C151.5 273.4 156.7 264 164.1 256.6L392.4 28.28zM460.3 39.6C444.7 23.98 419.3 23.98 403.7 39.6L371.3 72L440 140.7L472.4 108.3C488 92.66 488 67.34 472.4 51.71L460.3 39.6zM164.7 287.2L146.7 365.3L224.8 347.3C232.1 345.6 238.8 341.9 244.1 336.6L428.7 152L360 83.31L175.4 267.9C170.1 273.2 166.4 279.9 164.7 287.2V287.2zM216 64C220.4 64 224 67.58 224 72C224 76.42 220.4 80 216 80H72C41.07 80 16 105.1 16 136V440C16 470.9 41.07 496 72 496H376C406.9 496 432 470.9 432 440V296C432 291.6 435.6 288 440 288C444.4 288 448 291.6 448 296V440C448 479.8 415.8 512 376 512H72C32.24 512 0 479.8 0 440V136C0 96.24 32.24 64 72 64H216z"],
    "pencil": [512, 512, [61504, 9999, "pencil-alt"], "f303", "M383.7 14.63C402.4-4.12 432.8-4.12 451.5 14.63L497.4 60.46C516.1 79.2 516.1 109.6 497.4 128.3L176 449.7C163.7 461.1 148.5 471 131.8 475.9L10.26 511.7C7.449 512.5 4.413 511.7 2.343 509.7C.2733 507.6-.5008 504.6 .3254 501.7L36.08 380.2C40.99 363.5 50.02 348.3 62.32 335.1L383.7 14.63zM440.2 25.94C427.7 13.44 407.5 13.44 394.1 25.94L328.1 92.8L419.2 183.9L486.1 117C498.6 104.5 498.6 84.27 486.1 71.77L440.2 25.94zM71.78 349.2L79.36 432.6L162.8 440.2C163.5 439.6 164.1 438.1 164.7 438.4L407.9 195.2L316.8 104.1L73.63 347.3C73 347.9 72.39 348.5 71.78 349.2L71.78 349.2zM57.55 369.4C55.04 374.2 52.99 379.4 51.43 384.7L19.81 492.2L127.3 460.6C132.6 459 137.7 456.1 142.6 454.5L71.28 447.1C67.43 447.6 64.38 444.6 64.03 440.7L57.55 369.4z"],
    "pencil-slash": [640, 512, [], "e215", "M636.1 497.7C640.4 500.5 641 505.5 638.3 508.1C635.5 512.4 630.5 513 627 510.3L3.022 14.26C-.4365 11.51-1.012 6.481 1.738 3.022C4.487-.4365 9.52-1.012 12.98 1.738L636.1 497.7zM319.6 347.4L332.3 357.4L240 449.7C227.7 461.1 212.5 471 195.8 475.9L74.26 511.7C71.45 512.5 68.41 511.7 66.34 509.7C64.27 507.6 63.5 504.6 64.32 501.7L100.1 380.2C104.1 363.5 114 348.3 126.3 335.1L205.2 257.1L217.8 267.1L137.6 347.3C137 347.9 136.4 348.5 135.8 349.2L143.4 432.6L226.8 440.2C227.5 439.6 228.1 438.1 228.7 438.4L319.6 347.4zM121.5 369.4C119 374.2 116.1 379.4 115.4 384.7L83.81 492.2L191.3 460.6C196.6 459 201.7 456.1 206.6 454.5L135.3 447.1C131.4 447.6 128.4 444.6 128 440.7L121.5 369.4zM515.5 14.63L561.4 60.46C580.1 79.2 580.1 109.6 561.4 128.3L434.8 254.9L422.2 244.9L471.9 195.2L380.8 104.1L320.4 164.6L307.7 154.6L447.7 14.63C466.4-4.12 496.8-4.12 515.5 14.63L515.5 14.63zM504.2 25.94C491.7 13.44 471.5 13.44 458.1 25.94L392.1 92.8L483.2 183.9L550.1 117C562.6 104.5 562.6 84.27 550.1 71.77L504.2 25.94z"],
    "people": [640, 512, [], "e216", "M567.3 173.8C556.5 145.1 530.2 128 500.3 128h-40.63c-29.84 0-56.19 17.97-67.03 45.75l-56.09 143.3c-1.625 4.125 .4062 8.766 4.531 10.38c4 1.609 8.75-.4062 10.34-4.531l56.09-143.3C416 157.1 436.5 144 459.7 144h40.63c23.22 0 43.69 13.97 52.16 35.59l56.09 143.3C609.8 326.1 612.8 328 616 328c.9687 0 1.969-.1719 2.906-.5469c4.125-1.609 6.156-6.25 4.531-10.38L567.3 173.8zM480 104c28.71 0 52-23.29 52-52C532 23.29 508.7 0 479.1 0C451.3 0 428 23.29 428 51.1C428 80.71 451.3 104 480 104zM480 16c19.85 0 36 16.15 36 35.1C516 71.85 499.9 88 480 88c-19.85 0-36-16.15-36-36C444 32.15 460.2 16 480 16zM536.8 208.1c-1.562-4.125-6.156-6.297-10.31-4.672c-4.125 1.547-6.219 6.156-4.688 10.3L579.7 368h-199.3l57.88-154.3c1.531-4.141-.5625-8.75-4.688-10.3c-4.219-1.625-8.75 .5469-10.31 4.672l-61.91 165.1c-.9062 2.453-.5625 5.219 .9375 7.375C363.7 382.7 366.2 384 368.8 384H408v96c0 17.67 14.33 32 31.1 32C457.7 512 472 497.7 472 480v-96h16v96c0 17.67 14.33 32 31.1 32c17.67 0 32-14.33 32-32v-96h39.19c2.625 0 5.094-1.281 6.562-3.438c1.5-2.156 1.844-4.922 .9375-7.375L536.8 208.1zM456 480c0 8.822-7.178 16-16 16s-16-7.178-16-16v-96h32V480zM536 480c0 8.822-7.178 16-16 16s-16-7.178-16-16v-96h32V480zM180.3 128H139.7C109.8 128 83.5 145.1 72.65 173.8L16.56 317.1c-1.625 4.125 .4062 8.766 4.531 10.38c4.062 1.609 8.75-.4062 10.34-4.531l56.09-143.3C95.1 157.1 116.5 144 139.7 144h40.63C203.5 144 224 157.1 232.5 179.6l56.09 143.3C289.8 326.1 292.8 328 296 328c.9687 0 1.969-.1719 2.906-.5469c4.125-1.609 6.156-6.25 4.531-10.38L247.3 173.8C236.5 145.1 210.2 128 180.3 128zM224 248C219.6 248 216 251.6 216 256v224c0 8.828-7.188 16-16 16s-16-7.172-16-16v-136C184 330.8 173.2 320 160 320s-24 10.77-24 24V480c0 8.828-7.188 16-16 16s-16-7.172-16-16V256c0-4.422-3.594-8-8-8s-8 3.578-8 8l.0013 224c0 17.64 14.34 32 31.1 32S152 497.6 152 480v-136c0-4.406 3.594-8 8-8s8 3.594 8 8V480c0 17.64 14.34 32 31.1 32S232 497.6 232 480V256C232 251.6 228.4 248 224 248zM160 104c28.71 0 52-23.29 52-52C212 23.29 188.7 0 160 0S107.1 23.29 107.1 51.1C107.1 80.71 131.3 104 160 104zM160 16c19.85 0 36 16.15 36 35.1C196 71.85 179.8 88 160 88c-19.85 0-36-16.15-36-36C123.1 32.15 140.1 16 160 16z"],
    "people-arrows": [576, 512, ["people-arrows-left-right"], "e068", "M480 128c35.38 0 64-28.62 64-64s-28.62-64-64-64s-64 28.62-64 64S444.6 128 480 128zM480 16c26.47 0 48 21.53 48 48S506.5 112 480 112S432 90.47 432 64S453.5 16 480 16zM504 160h-48c-21.98 0-42.47 9.844-56.2 27c-2.75 3.453-2.203 8.484 1.25 11.25c3.438 2.766 8.5 2.203 11.25-1.25C422.1 183.7 438.9 176 456 176h48c30.88 0 56 25.12 56 56V320c0 13.23-10.77 24-24 24c-4.422 0-8 3.578-8 8v120c0 13.23-10.77 24-24 24h-48c-13.23 0-24-10.77-24-24V384c0-4.422-3.578-8-8-8S416 379.6 416 384v88c0 22.06 17.94 40 40 40h48c22.06 0 40-17.94 40-40v-112.8C562.2 355.5 576 339.3 576 320V232C576 192.3 543.7 160 504 160zM445.4 298l-80-72c-3.281-2.938-8.297-2.656-11.31 .5938c-2.953 3.297-2.688 8.344 .5938 11.31L419.2 296H156.8l64.52-58.05c3.281-2.969 3.547-8.016 .5938-11.31c-3-3.281-8.047-3.562-11.31-.5938l-80 72c-4.561 4.178-2.316 9.785 0 11.91l80 72c3.066 2.754 8.139 2.893 11.31-.5938c2.953-3.297 2.688-8.344-.5938-11.31L156.8 312h262.3l-64.52 58.05c-3.281 2.969-3.547 8.016-.5938 11.31c3.176 3.486 8.246 3.348 11.31 .5938l80-72C449.9 305.8 447.7 300.2 445.4 298zM96 128c35.38 0 64-28.62 64-64S131.4 0 96 0S32 28.62 32 64S60.63 128 96 128zM96 16c26.47 0 48 21.53 48 48S122.5 112 96 112S48 90.47 48 64S69.53 16 96 16zM152 376c-4.422 0-8 3.578-8 8v88c0 13.23-10.77 24-24 24h-48c-13.23 0-24-10.77-24-24V352c0-4.422-3.578-8-8-8c-13.23 0-24-10.77-24-24V232c0-30.88 25.12-56 56-56h48c17.09 0 33.03 7.656 43.7 21c2.781 3.453 7.859 4.016 11.25 1.25c3.453-2.766 4-7.797 1.25-11.25C162.5 169.8 141.1 160 120 160h-48C32.3 160 0 192.3 0 232V320c0 19.31 13.77 35.48 32 39.2V472C32 494.1 49.94 512 72 512h48C142.1 512 160 494.1 160 472V384C160 379.6 156.4 376 152 376z"],
    "people-carry-box": [640, 512, ["people-carry"], "f4ce", "M384 128H256C238.3 128 224 142.3 224 160v128c0 17.67 14.33 32 32 32h128c17.67 0 32-14.33 32-32V160C416 142.3 401.7 128 384 128zM400 288c0 8.822-7.178 16-16 16H256C247.2 304 240 296.8 240 288V160c0-8.822 7.178-16 16-16h128c8.822 0 16 7.178 16 16V288zM512 104c28.71 0 52-23.29 52-52S540.7 0 511.1 0c-28.71 0-51.99 23.29-51.99 52S483.3 104 512 104zM512 16c19.85 0 36 16.15 36 36s-16.15 36-36 36c-19.85 0-36-16.15-36-36S492.2 16 512 16zM603.5 258.3l-18.5-80.13c-4.625-20-18.62-36.88-37.5-44.88c-26.92-11.64-48.97-.9277-56.12 3.25c-22.62 13.38-39.62 34.5-48.12 59.38l-8.721 26.28c-1.393 4.189 .875 8.717 5.064 10.11c4.193 1.396 8.729-.873 10.12-5.068l8.684-26.15c7.307-21.38 21.91-39.42 41.05-50.73c21.37-12.47 41.24-2.582 41.81-2.336c14.13 5.988 24.66 18.61 28.16 33.74l18.5 80.13c3.475 15.02-.5664 30.94-10.76 42.53l-67.25 75.88c-2.197 2.479-3.57 5.576-3.93 8.869l-10.13 92.67C494.1 489.9 488.2 496 480 496l-1.795-.1582c-4.23-.4531-8.027-2.533-10.69-5.855c-2.65-3.309-3.848-7.459-3.357-11.77l9.986-92.63c1.115-9.664 5.189-18.76 11.71-26.23l43.38-49c3.498-3.951 4.822-9.375 3.541-14.49l-16.75-66.88c-1.557-6.221-5.584-11.71-11.38-14.45c-2.893-1.363-4.594-1.188-6.752-1.121c-5.867 .1816-11.06 3.83-12.93 9.391L477.5 244.9c-3.051 9.627-9.143 17.64-17.84 23.96l-23.95 15.26c-2.307 1.469-3.701 4.012-3.701 6.746c0 6.314 6.973 10.14 12.3 6.746l23.94-15.26c12.62-9.125 20.5-20 24.5-32.63l6.875-20.38l17.63 70.38l-43.37 49c-8.625 9.875-14.12 22-15.62 35l-10 92.75c-2 17.62 10.75 33.38 28.25 35.25C477.7 511.9 478.7 512 479.1 512c16.12 0 29.1-12.12 31.75-28.5l10.12-92.63L589.1 315C602.7 299.5 608.1 278.3 603.5 258.3zM637.6 464.5l-46.13-115.5c-1.641-4.109-6.346-6.109-10.39-4.453c-4.094 1.625-6.094 6.281-4.453 10.39l46.11 115.5c3.781 9.516-.9062 20.39-10.33 24.22c-9.641 3.703-20.53-.9844-24.2-10.14l-28.63-79.25c-1.516-4.156-6.141-6.266-10.25-4.812c-4.156 1.516-6.314 6.094-4.812 10.25l28.73 79.52c5.422 13.45 18.53 21.69 32.38 21.69c4.219 0 8.516-.7656 12.67-2.375C635.9 502.4 644.6 482.2 637.6 464.5zM181.1 269.4C171.7 262.6 165.6 254.6 162.4 244.6L154.3 220.6c-1.525-4.523-5.893-7.318-10.66-7.193C134.3 213.6 126.2 220.1 123.9 229.2L107.2 295.9C105.9 300.1 107.3 306.4 110.8 310.4l43.3 48.92c6.592 7.547 10.67 16.64 11.77 26.19l10.01 92.84c.4844 4.262-.707 8.424-3.355 11.72c-2.643 3.297-6.438 5.359-10.59 5.803C161.9 495.8 160 495.1 160 496c-8.158 0-14.97-6.111-15.84-14.24l-10.12-92.63c-.3594-3.295-1.734-6.395-3.932-8.875L62.89 304.4c-10.24-11.65-14.27-27.57-10.79-42.61l18.37-80.1c3.504-15.14 14.03-27.76 28.26-33.79C99.29 147.7 118.1 137.9 140.4 150.3C159.7 161.7 174.3 179.7 181.4 200.9l8.73 26.28C191.6 231.4 196.1 233.7 200.3 232.3s6.463-5.92 5.07-10.11L196.6 195.9c-8.377-25-25.38-46-48.12-59.38c-7.24-4.195-29.25-14.88-56.12-3.25c-18.88 8-32.88 24.88-37.5 44.88l-18.37 80.13c-4.625 20 .7487 41.25 14.37 56.75l67.25 75.88l10.12 92.63C130 499.8 143.8 512 160 512c1.25 0 2.25-.125 3.5-.25c17.62-1.875 30.25-17.62 28.25-35.25l-10-92.75c-1.5-13-7-25.12-15.62-35l-43.37-49l17.62-70.38l6.876 20.38c4 12.5 11.87 23.5 24.5 32.63l23.96 15.27C201 301 207.1 297.2 207.1 290.9c0-2.732-1.396-5.275-3.701-6.742L181.1 269.4zM90.71 400.5c-4.141-1.438-8.734 .6719-10.25 4.812L51.95 484.3c-3.812 9.469-14.72 14.16-24.21 10.44c-9.531-3.859-14.22-14.73-10.45-24.23l46.13-115.5c1.641-4.109-.3594-8.766-4.453-10.39c-4.094-1.641-8.766 .3438-10.39 4.453l-46.14 115.5c-7 17.66 1.658 37.84 19.42 45.03c4.109 1.594 8.344 2.359 12.53 2.359c13.85 0 27-8.297 32.52-21.97l28.62-79.25C97.02 406.6 94.87 401.1 90.71 400.5zM127.1 104c28.71 0 52-23.29 52-52S156.7 0 128 0S75.99 23.29 75.99 52S99.28 104 127.1 104zM127.1 16c19.85 0 36 16.15 36 36s-16.15 36-36 36c-19.85 0-36-16.15-36-36S108.1 16 127.1 16z"],
    "people-dress": [640, 512, [], "e217", "M480 104c28.71 0 52-23.29 52-52C532 23.29 508.7 0 480 0c-28.71 0-52 23.29-52 51.1C428 80.71 451.3 104 480 104zM480 16c19.85 0 36 16.15 36 35.1C516 71.85 499.9 88 480 88c-19.85 0-36-16.15-36-36C444 32.15 460.2 16 480 16zM567.3 173.8C556.5 145.1 530.2 128 500.3 128h-40.63c-29.84 0-56.19 17.97-67.03 45.75l-56.09 143.3c-1.625 4.125 .4062 8.766 4.531 10.38c4 1.609 8.75-.4062 10.34-4.531l56.09-143.3C416 157.1 436.5 144 459.7 144h40.63c23.22 0 43.69 13.97 52.16 35.59l56.09 143.3C609.8 326.1 612.8 328 616 328c.9687 0 1.969-.1719 2.906-.5469c4.125-1.609 6.156-6.25 4.531-10.38L567.3 173.8zM536.8 208.1c-1.562-4.125-6.156-6.297-10.31-4.672c-4.125 1.547-6.219 6.156-4.688 10.3L579.7 368h-199.3l57.88-154.3c1.531-4.141-.5625-8.75-4.688-10.3c-4.219-1.625-8.75 .5469-10.31 4.672l-61.91 165.1c-.9062 2.453-.5625 5.219 .9375 7.375C363.7 382.7 366.2 384 368.8 384H408v96c0 17.67 14.33 32 32 32C457.7 512 472 497.7 472 480v-96h16v96c0 17.67 14.33 32 32 32c17.67 0 31.1-14.33 31.1-32v-96h39.19c2.625 0 5.094-1.281 6.562-3.438c1.5-2.156 1.844-4.922 .9375-7.375L536.8 208.1zM456 480c0 8.822-7.178 16-16 16s-16-7.178-16-16v-96h32V480zM536 480c0 8.822-7.178 16-16 16s-16-7.178-16-16v-96h32V480zM180.3 128H139.7C109.8 128 83.5 145.1 72.66 173.8L16.56 317.1c-1.625 4.125 .4062 8.766 4.531 10.38c4 1.609 8.75-.4062 10.34-4.531l56.1-143.3C96 157.1 116.5 144 139.7 144h40.63c23.22 0 43.69 13.97 52.16 35.59l56.09 143.3C289.8 326.1 292.8 328 296 328c.9687 0 1.969-.1719 2.906-.5469c4.125-1.609 6.156-6.25 4.531-10.38L247.3 173.8C236.5 145.1 210.2 128 180.3 128zM216.8 208.1C215.2 203.9 210.6 201.8 206.5 203.4C202.3 204.9 200.3 209.5 201.8 213.7L259.7 368H60.35L118.2 213.7C119.8 209.5 117.7 204.9 113.5 203.4C109.3 201.8 104.8 203.9 103.2 208.1l-61.91 165.1c-.9062 2.453-.5625 5.219 .9375 7.375C43.72 382.7 46.19 384 48.81 384h39.19v96c0 17.67 14.33 32 31.1 32c17.67 0 32-14.33 32-32v-96h16v96c0 17.67 14.33 32 31.1 32c17.67 0 32-14.33 32-32v-96h39.19c2.625 0 5.094-1.281 6.562-3.438c1.5-2.156 1.844-4.922 .9375-7.375L216.8 208.1zM136 480c0 8.822-7.178 16-16 16s-16-7.178-16-16v-96h32V480zM216 480c0 8.822-7.178 16-16 16s-16-7.178-16-16v-96h32V480zM160 104c28.71 0 52-23.29 52-52C212 23.29 188.7 0 159.1 0C131.3 0 108 23.29 108 51.1C108 80.71 131.3 104 160 104zM160 16c19.85 0 36 16.15 36 35.1c0 19.85-16.15 36-36 36s-36-16.15-36-36C124 32.15 140.2 16 160 16z"],
    "people-dress-simple": [512, 512, [], "e218", "M384 128c35.38 0 64-28.62 64-64s-28.62-64-64-64s-64 28.62-64 64S348.6 128 384 128zM384 16c26.47 0 48 21.53 48 48S410.5 112 384 112S336 90.47 336 64S357.5 16 384 16zM511.4 363.6L459.8 183.2C455.9 169.5 443.4 160 429.1 160h-90.13c-14.29 0-26.84 9.471-30.77 23.21l-51.54 180.4C253.7 373.8 261.4 384 272 384H312v96c0 17.64 14.34 32 32 32s32-14.36 32-32v-96h16v96c0 17.64 14.34 32 32 32s32-14.36 32-32v-96h39.99C506.6 384 514.3 373.8 511.4 363.6zM360 480c0 8.828-7.188 16-16 16s-16-7.172-16-16v-96h32V480zM440 480c0 8.828-7.188 16-16 16s-16-7.172-16-16v-96h32V480zM272 368l51.54-180.4C325.5 180.8 331.8 176 338.9 176h90.13c7.105 0 13.43 4.771 15.38 11.6L495.1 368H272zM203.8 183.2C199.9 169.5 187.4 160 173.1 160H82.94C68.65 160 56.09 169.5 52.17 183.2l-51.54 180.4C-2.295 373.8 5.379 384 16.01 384H56v96c0 17.64 14.34 32 32 32s32-14.36 32-32v-96h16v96c0 17.64 14.34 32 32 32s32-14.36 32-32v-96h39.99c10.63 0 18.3-10.18 15.38-20.4L203.8 183.2zM104 480c0 8.828-7.188 16-16 16s-16-7.172-16-16v-96h32V480zM184 480c0 8.828-7.188 16-16 16s-16-7.172-16-16v-96h32V480zM16.01 368l51.54-180.4C69.5 180.8 75.83 176 82.94 176h90.13c7.105 0 13.43 4.771 15.38 11.6L239.1 368H16.01zM128 128c35.38 0 64-28.62 64-64S163.4 0 128 0S64 28.62 64 64S92.63 128 128 128zM128 16c26.47 0 48 21.53 48 48S154.5 112 128 112S80 90.47 80 64S101.5 16 128 16z"],
    "people-group": [640, 512, [], "e533", "M184 88C184 118.9 158.9 144 128 144C97.07 144 72 118.9 72 88C72 57.07 97.07 32 128 32C158.9 32 184 57.07 184 88zM128 48C105.9 48 88 65.91 88 88C88 110.1 105.9 128 128 128C150.1 128 168 110.1 168 88C168 65.91 150.1 48 128 48zM568 88C568 118.9 542.9 144 512 144C481.1 144 456 118.9 456 88C456 57.07 481.1 32 512 32C542.9 32 568 57.07 568 88zM512 48C489.9 48 472 65.91 472 88C472 110.1 489.9 128 512 128C534.1 128 552 110.1 552 88C552 65.91 534.1 48 512 48zM64 256C68.42 256 72 259.6 72 264V432C72 440.8 79.16 448 88 448H168C176.8 448 184 440.8 184 432V383.6C188.7 390.8 194.1 397.4 200 403.6V432C200 449.7 185.7 464 168 464H88C70.33 464 56 449.7 56 432V381.1C22.6 362.4 0 326.6 0 285.5C0 225 49.04 176 109.5 176H146.5C169.8 176 191.4 183.3 209.1 195.7C205 199.3 201.1 203.1 197.5 207.1C182.8 197.6 165.3 192 146.5 192H109.5C57.88 192 16 233.9 16 285.5C16 317.3 31.81 345.3 56 362.3V264C56 259.6 59.58 256 64 256V256zM440 432V403.6C445.9 397.4 451.3 390.8 456 383.6V432C456 440.8 463.2 448 472 448H552C560.8 448 568 440.8 568 432V263.1C568 259.6 571.6 255.1 576 255.1C580.4 255.1 584 259.6 584 263.1V362.2C608.2 345.3 624 317.3 624 285.5C624 233.9 582.1 191.1 530.5 191.1H493.5C474.7 191.1 457.2 197.6 442.5 207.1C438.9 203.1 434.1 199.3 430.9 195.7C448.6 183.3 470.2 175.1 493.5 175.1H530.5C590.1 175.1 640 225 640 285.5C640 326.6 617.4 362.4 584 381.1V432C584 449.7 569.7 464 552 464H472C454.3 464 440 449.7 440 432V432zM384 96C384 131.3 355.3 160 320 160C284.7 160 256 131.3 256 96C256 60.65 284.7 32 320 32C355.3 32 384 60.65 384 96zM320 48C293.5 48 272 69.49 272 96C272 122.5 293.5 144 320 144C346.5 144 368 122.5 368 96C368 69.49 346.5 48 320 48zM192 301.5C192 241 241 192 301.5 192H338.5C398.1 192 448 241 448 301.5C448 342.6 425.4 378.4 392 397.1V448C392 465.7 377.7 480 360 480H280C262.3 480 248 465.7 248 448V397.1C214.6 378.4 192 342.6 192 301.5H192zM256 272C260.4 272 264 275.6 264 280V448C264 456.8 271.2 464 280 464H360C368.8 464 376 456.8 376 448V280C376 275.6 379.6 272 384 272C388.4 272 392 275.6 392 280V378.2C416.2 361.3 432 333.3 432 301.5C432 249.9 390.1 208 338.5 208H301.5C249.9 208 207.1 249.9 207.1 301.5C207.1 333.3 223.8 361.3 247.1 378.2V280C247.1 275.6 251.6 272 255.1 272H256z"],
    "people-line": [640, 512, [], "e534", "M280 72C280 49.91 297.9 32 320 32C342.1 32 360 49.91 360 72C360 94.09 342.1 112 320 112C297.9 112 280 94.09 280 72zM320 96C333.3 96 344 85.25 344 72C344 58.75 333.3 48 320 48C306.7 48 296 58.75 296 72C296 85.25 306.7 96 320 96zM314.9 144C282.4 144 252.6 161.9 237.3 190.6L237.2 190.7L217.2 227.2C215.1 231.1 210.2 232.5 206.3 230.4C202.4 228.3 201 223.4 203.1 219.6L223.2 183C241.2 149.2 276.5 128 314.9 128H327.7C366.1 128 401.4 149.2 419.5 183L439.5 219.6C441.6 223.4 440.2 228.3 436.3 230.4C432.4 232.5 427.6 231.1 425.4 227.2L405.4 190.6C390.1 161.9 360.2 144 327.7 144H314.9zM275.5 184.3C278.1 185.3 281.3 188.4 281.3 192V280C281.3 284.4 277.7 288 273.3 288C268.9 288 265.3 284.4 265.3 280V219.6L248.8 245.7C246.4 249.5 241.5 250.6 237.8 248.2C234 245.9 232.9 240.9 235.3 237.2L266.5 187.7C268.5 184.7 272.1 183.3 275.5 184.3L275.5 184.3zM367.1 184.3C370.5 183.3 374.2 184.7 376.1 187.7L407.3 237.2C409.7 240.9 408.6 245.9 404.9 248.2C401.1 250.6 396.2 249.5 393.8 245.7L377.3 219.6L377.3 280C377.3 284.4 373.7 288 369.3 288C364.9 288 361.3 284.4 361.3 280L361.3 192C361.3 188.4 363.7 185.3 367.1 184.3H367.1zM456 184C456 161.9 473.9 144 496 144C518.1 144 536 161.9 536 184C536 206.1 518.1 224 496 224C473.9 224 456 206.1 456 184zM496 208C509.3 208 520 197.3 520 184C520 170.7 509.3 160 496 160C482.7 160 472 170.7 472 184C472 197.3 482.7 208 496 208zM399.1 295.1C417.2 261.2 452.5 240 490.9 240H503.7C542.1 240 577.4 261.2 595.5 295.1L623.5 347.6C630.5 360.7 625.3 376.9 612.1 383.6C599.8 389.7 584.8 385.4 577.7 373.6L553.3 332.9L553.3 368C553.3 385.7 538.1 400 521.3 400H473.3C455.6 400 441.3 385.7 441.3 368V332.9L416.9 373.6C409.8 385.4 394.9 389.7 382.6 383.6C369.3 376.9 364.1 360.7 371.1 347.6L399.1 295.1zM490.9 256C458.4 256 428.6 273.9 413.3 302.6L385.2 355.2C382.5 360.3 384.5 366.7 389.7 369.3C394.5 371.7 400.4 369.1 403.2 365.3L442.4 299.9C444.3 296.8 447.1 295.3 451.4 296.3C454.9 297.2 457.3 300.4 457.3 304V368C457.3 376.8 464.5 384 473.3 384H521.3C530.1 384 537.3 376.8 537.3 368L537.3 304C537.3 300.4 539.7 297.3 543.2 296.3C546.6 295.3 550.3 296.8 552.2 299.9L591.4 365.3C594.2 369.1 600.1 371.7 604.9 369.3C610.1 366.7 612.1 360.3 609.4 355.2L581.4 302.6C566.1 273.9 536.2 256 503.7 256H490.9zM632 464C636.4 464 640 467.6 640 472C640 476.4 636.4 480 632 480H8C3.582 480 0 476.4 0 472C0 467.6 3.582 464 8 464H632zM183.1 184C183.1 206.1 166.1 224 143.1 224C121.9 224 103.1 206.1 103.1 184C103.1 161.9 121.9 144 143.1 144C166.1 144 183.1 161.9 183.1 184zM143.1 160C130.7 160 119.1 170.7 119.1 184C119.1 197.3 130.7 208 143.1 208C157.3 208 167.1 197.3 167.1 184C167.1 170.7 157.3 160 143.1 160zM151.7 240C190.1 240 225.4 261.2 243.5 295.1L271.5 347.6C278.5 360.7 273.3 376.9 260.1 383.6C247.8 389.7 232.8 385.4 225.7 373.6L201.3 332.9L201.3 368C201.3 385.7 186.1 400 169.3 400H121.3C103.6 400 89.31 385.7 89.31 368V332.9L64.9 373.6C57.82 385.4 42.86 389.7 30.56 383.6C17.31 376.9 12.13 360.7 19.1 347.6L47.14 295.1C65.22 261.2 100.5 240 138.9 240H151.7zM33.22 355.2C30.49 360.3 32.52 366.7 37.71 369.3C42.54 371.7 48.4 369.1 51.18 365.3L90.45 299.9C92.3 296.8 95.98 295.3 99.45 296.3C102.9 297.3 105.3 300.4 105.3 304V368C105.3 376.8 112.5 384 121.3 384H169.3C178.1 384 185.3 376.8 185.3 368L185.3 304C185.3 300.4 187.7 297.3 191.2 296.3C194.6 295.3 198.3 296.8 200.2 299.9L239.4 365.3C242.2 369.1 248.1 371.7 252.9 369.3C258.1 366.7 260.1 360.3 257.4 355.2L229.4 302.6C214.1 273.9 184.2 256 151.7 256H138.9C106.4 256 76.56 273.9 61.26 302.6L33.22 355.2z"],
    "people-pants": [640, 512, [], "e219", "M160 104c28.71 0 52-23.29 52-52C212 23.29 188.7 0 159.1 0S107.1 23.29 107.1 51.1C107.1 80.71 131.3 104 160 104zM160 16c19.85 0 36 16.15 36 35.1C196 71.85 179.8 88 160 88c-19.85 0-36-16.15-36-36C123.1 32.15 140.1 16 160 16zM180.3 128H139.7C109.8 128 83.5 145.1 72.65 173.8L16.56 317.1c-1.625 4.125 .4062 8.766 4.531 10.38c4.062 1.609 8.75-.4062 10.34-4.531l56.09-143.3C95.1 157.1 116.5 144 139.7 144h40.63C203.5 144 224 157.1 232.5 179.6l56.09 143.3C289.8 326.1 292.8 328 296 328c.9687 0 1.969-.1719 2.906-.5469c4.125-1.609 6.156-6.25 4.531-10.38L247.3 173.8C236.5 145.1 210.2 128 180.3 128zM224 248C219.6 248 216 251.6 216 256v224c0 8.828-7.188 16-16 16s-16-7.172-16-16v-136C184 330.8 173.2 320 160 320s-24 10.77-24 24V480c0 8.828-7.188 16-16 16s-16-7.172-16-16V256c0-4.422-3.594-8-8-8s-8 3.578-8 8l.0013 224c0 17.64 14.34 32 31.1 32S152 497.6 152 480v-136c0-4.406 3.594-8 8-8s8 3.594 8 8V480c0 17.64 14.34 32 31.1 32S232 497.6 232 480V256C232 251.6 228.4 248 224 248zM543.1 248c-4.406 0-8 3.578-8 8v224c0 8.828-7.188 16-16 16s-16-7.172-16-16v-136c0-13.23-10.78-24-24-24s-24 10.77-24 24V480c0 8.828-7.188 16-16 16s-16-7.172-16-16V256c0-4.422-3.594-8-8-8s-8 3.578-8 8l.0013 224c0 17.64 14.34 32 31.1 32s32-14.36 32-32l-.0013-136c0-4.406 3.594-8 8-8s8 3.594 8 8L487.1 480c0 17.64 14.34 32 31.1 32s32-14.36 32-32L551.1 256C551.1 251.6 548.4 248 543.1 248zM567.3 173.8C556.5 145.1 530.2 128 500.3 128h-40.63c-29.84 0-56.19 17.97-67.03 45.75l-56.09 143.3c-1.625 4.125 .4062 8.766 4.531 10.38c4.062 1.609 8.75-.4062 10.34-4.531l56.09-143.3C415.1 157.1 436.5 144 459.7 144h40.63c23.22 0 43.69 13.97 52.16 35.59l56.1 143.3C609.8 326.1 612.8 328 616 328c.9687 0 1.969-.1719 2.906-.5469c4.125-1.609 6.156-6.25 4.531-10.38L567.3 173.8zM479.1 104c28.71 0 52-23.29 52-52C531.1 23.29 508.7 0 479.1 0c-28.71 0-52 23.29-52 51.1C427.1 80.71 451.3 104 479.1 104zM479.1 16c19.85 0 36 16.15 36 35.1c0 19.85-16.15 36-36 36s-36-16.15-36-36C443.1 32.15 460.1 16 479.1 16z"],
    "people-pants-simple": [448, 512, [], "e21a", "M96 128c35.38 0 64-28.62 64-64S131.4 0 96 0S32 28.62 32 64S60.63 128 96 128zM96 16c26.47 0 48 21.53 48 48S122.5 112 96 112S48 90.47 48 64S69.53 16 96 16zM128 160H64C28.65 160 0 188.7 0 224v96c0 17.67 14.33 32 32 32H24v128c0 17.64 14.34 32 32 32s32-14.36 32-32v-128h16v128c0 17.64 14.34 32 32 32s32-14.36 32-32v-128H160c17.67 0 32-14.33 32-32V224C192 188.7 163.3 160 128 160zM72 480c0 8.828-7.188 16-16 16s-16-7.172-16-16v-128h32V480zM152 480c0 8.828-7.188 16-16 16s-16-7.172-16-16v-128h32V480zM176 320c0 8.822-7.178 16-16 16H32c-8.822 0-16-7.178-16-16V224c0-26.47 21.53-48 48-48h64c26.47 0 48 21.53 48 48V320zM384 160h-64c-35.35 0-64 28.65-64 64v96c0 17.67 14.33 32 32 32h-8v128c0 17.64 14.34 32 32 32s32-14.36 32-32v-128h16v128c0 17.64 14.34 32 32 32s32-14.36 32-32v-128H416c17.67 0 32-14.33 32-32V224C448 188.7 419.3 160 384 160zM328 480c0 8.828-7.188 16-16 16s-16-7.172-16-16v-128h32V480zM408 480c0 8.828-7.188 16-16 16s-16-7.172-16-16v-128h32V480zM432 320c0 8.822-7.178 16-16 16h-128c-8.822 0-16-7.178-16-16V224c0-26.47 21.53-48 48-48h64c26.47 0 48 21.53 48 48V320zM352 128c35.38 0 64-28.62 64-64s-28.62-64-64-64s-64 28.62-64 64S316.6 128 352 128zM352 16c26.47 0 48 21.53 48 48S378.5 112 352 112S304 90.47 304 64S325.5 16 352 16z"],
    "people-pulling": [576, 512, [], "e535", "M144 52C144 80.72 120.7 104 92 104C63.28 104 40 80.72 40 52C40 23.28 63.28 0 92 0C120.7 0 144 23.28 144 52zM92 16C72.12 16 56 32.12 56 52C56 71.88 72.12 88 92 88C111.9 88 128 71.88 128 52C128 32.12 111.9 16 92 16zM117.5 128C130.7 128 143.9 130.5 156.1 135.4L258.1 176.6C263.1 178.2 265.1 182.9 263.4 186.1C261.8 191.1 257.1 193.1 253 191.4L150.2 150.3C139.8 146.1 128.7 144 117.5 144H63.1C37.49 144 15.1 165.5 15.1 192V320C15.1 328.8 23.16 336 31.1 336C40.84 336 47.1 328.8 47.1 320V232C47.1 227.6 51.58 224 55.1 224C60.42 224 63.1 227.6 63.1 232V279.3L100.4 483.4C101.7 490.7 108.1 496 115.5 496C125.2 496 132.5 487.1 130.6 477.7L107.1 364.7C105 349.9 116.4 336 131.5 336C142.5 336 152.1 343.5 154.8 354.2L187.3 484.3C189 491.2 195.2 496 202.3 496C212.3 496 219.7 486.7 217.4 476.1L152.2 201.8C151.5 198.9 152.5 195.9 154.8 193.9C157 191.1 160.2 191.5 162.1 192.6L242.1 224.6C247.1 226.2 249.1 230.9 247.4 234.1C245.8 239.1 241.1 241.1 237 239.4L171.3 213.2L232.9 473.3C237.6 493 222.6 512 202.3 512C187.9 512 175.3 502.2 171.8 488.2L139.3 358.1C138.4 354.5 135.2 352 131.5 352C126.5 352 122.7 356.6 123.7 361.6L146.3 474.5C150.1 493.9 135.3 512 115.5 512C100.4 512 87.36 501.1 84.69 486.2L58.28 338.3C52.5 346.6 42.88 352 32 352C14.33 352 0 337.7 0 319.1V191.1C0 156.7 28.65 127.1 64 127.1L117.5 128zM353.7 142C374.5 132.8 396.1 128 419.7 128C464.3 128 504.5 154.8 521.6 195.9L536.1 232.7L558.3 243.4C574.1 251.3 580.5 270.5 572.6 286.3C564.7 302.1 545.5 308.5 529.7 300.6L503 287.3C492.9 282.2 484.8 273.7 480.4 263.3L480.2 262.8L470.6 239.8L451.3 305.3L500.8 359.4C506.2 365.3 510.1 372.4 512 380.2L535 472.2C539.3 489.4 528.9 506.8 511.8 511C494.6 515.3 477.2 504.9 472.1 487.8L450.9 399.6L380.3 322.5C365.5 306.4 359.1 283.9 365.6 262.8L382.5 199.3C381.6 199.7 380.6 200.1 379.7 200.5L368.7 205.4C366.1 206.1 365.3 206.1 363.7 207.9C350.8 214.1 340.7 226.3 335.2 240.1L333.7 243.9C327.1 260.3 308.5 268.3 292.1 261.7C275.7 255.1 267.7 236.5 274.3 220.1L275.8 216.3C288.2 185.4 312.2 160.5 342.7 146.9L353.7 142zM393.1 187.3C397.7 191.3 399.6 197.5 398 203.4L381.1 266.9C376.8 282.8 380.1 299.7 392.1 311.7L462.7 388.8C464.5 390.8 465.8 393.2 466.4 395.8L488.5 483.9C490.6 492.5 499.3 497.7 507.9 495.5C516.5 493.4 521.7 484.7 519.5 476.1L496.5 384.1C495.2 378.9 492.7 374.1 489.1 370.2L439.5 316.2C435.7 312 434.4 306.2 435.1 300.8L455.2 235.3C457.2 228.8 462.1 224.2 469.7 223.8C476.5 223.5 482.8 227.4 485.4 233.7L494.9 256.7C497.9 263.7 503.3 269.5 510.2 272.1L536.8 286.3C544.7 290.3 554.4 287.1 558.3 279.2C562.3 271.3 559.1 261.6 551.2 257.7L529.8 247C526.4 245.3 523.7 242.4 522.2 238.9L506.9 202.1C492.2 166.9 457.8 143.1 419.7 143.1C399.2 143.1 378.9 148.3 360.2 156.6L349.2 161.5C322.5 173.4 301.5 195.2 290.7 222.3L289.1 226.1C285.9 234.3 289.9 243.6 298.1 246.9C306.3 250.1 315.6 246.1 318.9 237.9L320.4 234.2C328.1 214.8 343.1 199.2 362.2 190.8L373.2 185.9C374.3 185.4 375.4 184.9 376.5 184.5C382.1 182.2 388.6 183.3 393.1 187.3L393.1 187.3zM516 52C516 80.72 492.7 104 464 104C435.3 104 412 80.72 412 52C412 23.28 435.3 0 464 0C492.7 0 516 23.28 516 52zM464 88C483.9 88 500 71.88 500 52C500 32.12 483.9 16 464 16C444.1 16 428 32.12 428 52C428 71.88 444.1 88 464 88V88zM354.1 343.9C359.1 345.6 361.1 350.2 359.4 354.3L338.4 407L276.7 468.7C270.4 474.9 270.4 485.1 276.7 491.3C282.9 497.6 293.1 497.6 299.3 491.3L360.1 429.6C364.1 426.6 366.5 422.9 368.1 418.9L383.2 381C384.9 376.9 389.5 374.9 393.6 376.6C397.7 378.2 399.7 382.9 398.1 386.1L382.9 424.8C380.5 430.9 376.9 436.4 372.3 440.9L310.6 502.6C298.1 515.1 277.9 515.1 265.4 502.6C252.9 490.1 252.9 469.9 265.4 457.4L324.7 398L344.6 348.4C346.2 344.3 350.9 342.3 354.1 343.9L354.1 343.9z"],
    "people-robbery": [576, 512, [], "e536", "M550.3 74.63C539.3 118.6 510.1 154.2 472 174.3V480C472 497.7 457.7 512 440 512C422.3 512 408 497.7 408 480V352H392V480C392 497.7 377.7 512 360 512C342.3 512 328 497.7 328 480V174.3C289.9 154.2 260.7 118.6 249.7 74.63L240.1 39.76C236.7 22.62 247.1 5.242 264.2 .9552C281.4-3.331 298.8 7.093 303 24.24L311.8 59.1C321.9 99.59 358.3 127.1 400 127.1L400.4 127.1C441.9 127.8 478.1 99.48 488.2 59.1L496.1 24.24C501.2 7.093 518.6-3.331 535.8 .9552C552.9 5.242 563.3 22.62 559 39.76L550.3 74.63zM534.8 70.75L543.5 35.88C545.7 27.31 540.5 18.62 531.9 16.48C523.3 14.33 514.6 19.55 512.5 28.12L503.8 62.99C491.9 110.6 449.1 143.1 400 143.1C350.9 143.1 308.1 110.6 296.2 62.98L287.5 28.12C285.4 19.55 276.7 14.33 268.1 16.48C259.5 18.62 254.3 27.31 256.5 35.88L265.2 70.75C275.1 110.2 301.2 142.1 335.4 160.1C340.7 162.9 344 168.3 344 174.3V480C344 488.8 351.2 496 360 496C368.8 496 376 488.8 376 480V352C376 343.2 383.2 336 392 336H408C416.8 336 424 343.2 424 352V480C424 488.8 431.2 496 440 496C448.8 496 456 488.8 456 480V174.3C456 168.3 459.3 162.9 464.6 160.1C498.8 142.1 524.9 110.2 534.8 70.75L534.8 70.75zM400 0C430.9 0 456 25.07 456 56C456 86.83 431.1 111.8 400.3 111.1L400 112L399.7 111.1C368.9 111.8 344 86.83 344 56C344 25.07 369.1 0 400 0H400zM400 16C377.9 16 360 33.91 360 56C360 78.09 377.9 96 400 96C422.1 96 440 78.09 440 56C440 33.91 422.1 16 400 16zM72 128H104.7C132.1 128 157.6 142 172.2 165.1L209.6 224H240C257.7 224 272 238.3 272 256C272 273.7 257.7 288 240 288H192C182.7 288 174 283.1 168 277.2C166.9 275.9 165.9 274.6 164.1 273.1L152 252.7V480C152 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480V352H72V480C72 497.7 57.68 512 40 512C22.33 512 8.005 497.7 8.005 480V288.6L8 287.1V191.1C8 156.7 36.65 127.1 72 127.1L72 128zM158.7 173.7C146.1 155.2 126.6 144 104.7 144H72C45.49 144 24 165.5 24 192V287.9L24 288.4L24.01 288.6V480C24.01 488.8 31.17 496 40.01 496C48.84 496 56.01 488.8 56.01 480V352C56.01 343.2 63.17 336 72.01 336H88.01C96.84 336 104 343.2 104 352V480C104 488.8 111.2 496 120 496C128.8 496 136 488.8 136 480V252.7C136 245.6 140.7 239.3 147.5 237.3C154.4 235.3 161.7 238.1 165.5 244.1L178.5 264.6C181.4 269.2 186.5 272 192 272H240C248.8 272 256 264.8 256 256C256 247.2 248.8 240 240 240H209.6C204.1 240 199 237.2 196.1 232.6L158.7 173.7zM136 56C136 86.93 110.9 112 80 112C49.08 112 24 86.93 24 56C24 25.07 49.08 0 80 0C110.9 0 136 25.07 136 56zM80 16C57.91 16 40 33.91 40 56C40 78.09 57.91 96 80 96C102.1 96 120 78.09 120 56C120 33.91 102.1 16 80 16z"],
    "people-roof": [640, 512, [], "e537", "M636.4 209.3C640.1 211.8 641.1 216.8 638.7 220.4C636.2 224.1 631.2 225.1 627.6 222.7L320 17.61L12.44 222.7C8.762 225.1 3.795 224.1 1.344 220.4C-1.106 216.8-.1128 211.8 3.563 209.3L315.6 1.344C318.3-.4478 321.8-.4478 324.4 1.344L636.4 209.3zM456 296C456 273.9 473.9 256 496 256C518.1 256 536 273.9 536 296C536 318.1 518.1 336 496 336C473.9 336 456 318.1 456 296zM496 320C509.3 320 520 309.3 520 296C520 282.7 509.3 272 496 272C482.7 272 472 282.7 472 296C472 309.3 482.7 320 496 320zM399.1 407.1C417.2 373.2 452.5 352 490.9 352H503.7C542.1 352 577.4 373.2 595.5 407.1L623.5 459.6C630.5 472.7 625.3 488.9 612.1 495.6C599.8 501.7 584.8 497.4 577.7 485.6L553.3 444.9L553.3 480C553.3 497.7 538.1 512 521.3 512H473.3C455.6 512 441.3 497.7 441.3 480V444.9L416.9 485.6C409.8 497.4 394.9 501.7 382.6 495.6C369.3 488.9 364.1 472.7 371.1 459.6L399.1 407.1zM490.9 368C458.4 368 428.6 385.9 413.3 414.6L385.2 467.2C382.5 472.3 384.5 478.7 389.7 481.3C394.5 483.7 400.4 481.1 403.2 477.3L442.5 411.9C444.3 408.8 447.1 407.3 451.4 408.3C454.9 409.3 457.3 412.4 457.3 416V480C457.3 488.8 464.5 496 473.3 496H521.3C530.1 496 537.3 488.8 537.3 480L537.3 416C537.3 412.4 539.7 409.3 543.2 408.3C546.6 407.3 550.3 408.8 552.2 411.9L591.4 477.3C594.2 481.1 600.1 483.7 604.9 481.3C610.1 478.7 612.1 472.3 609.4 467.2L581.4 414.6C566.1 385.9 536.2 368 503.7 368H490.9zM184 296C184 318.1 166.1 336 144 336C121.9 336 104 318.1 104 296C104 273.9 121.9 256 144 256C166.1 256 184 273.9 184 296zM144 272C130.7 272 120 282.7 120 296C120 309.3 130.7 320 144 320C157.3 320 168 309.3 168 296C168 282.7 157.3 272 144 272zM151.7 352C190.1 352 225.4 373.2 243.5 407.1L271.5 459.6C278.5 472.7 273.3 488.9 260.1 495.6C247.8 501.7 232.8 497.4 225.7 485.6L201.3 444.9L201.3 480C201.3 497.7 186.1 512 169.3 512H121.3C103.6 512 89.31 497.7 89.31 480V444.9L64.9 485.6C57.82 497.4 42.86 501.7 30.56 495.6C17.31 488.9 12.13 472.7 19.1 459.6L47.15 407.1C65.22 373.2 100.5 352 138.9 352H151.7zM33.22 467.2C30.49 472.3 32.52 478.7 37.71 481.3C42.54 483.7 48.4 481.1 51.18 477.3L90.45 411.9C92.3 408.8 95.98 407.3 99.45 408.3C102.9 409.3 105.3 412.4 105.3 416V480C105.3 488.8 112.5 496 121.3 496H169.3C178.1 496 185.3 488.8 185.3 480L185.3 416C185.3 412.4 187.7 409.3 191.2 408.3C194.6 407.3 198.3 408.8 200.2 411.9L239.4 477.3C242.2 481.1 248.1 483.7 252.9 481.3C258.1 478.7 260.1 472.3 257.4 467.2L229.4 414.6C214.1 385.9 184.2 368 151.7 368H138.9C106.4 368 76.56 385.9 61.26 414.6L33.22 467.2zM280 184C280 161.9 297.9 144 320 144C342.1 144 360 161.9 360 184C360 206.1 342.1 224 320 224C297.9 224 280 206.1 280 184zM320 208C333.3 208 344 197.3 344 184C344 170.7 333.3 160 320 160C306.7 160 296 170.7 296 184C296 197.3 306.7 208 320 208zM314.9 256C282.4 256 252.6 273.9 237.3 302.6L237.2 302.7L217.2 339.2C215.1 343.1 210.2 344.5 206.3 342.4C202.4 340.3 201 335.4 203.1 331.6L223.2 295C241.2 261.2 276.5 240 314.9 240H327.7C366.1 240 401.4 261.2 419.5 295L439.5 331.6C441.6 335.4 440.2 340.3 436.3 342.4C432.4 344.5 427.6 343.1 425.4 339.2L405.4 302.6C390.1 273.9 360.2 256 327.7 256H314.9zM275.5 296.3C278.1 297.3 281.3 300.4 281.3 304V392C281.3 396.4 277.7 400 273.3 400C268.9 400 265.3 396.4 265.3 392V331.6L248.8 357.7C246.4 361.5 241.5 362.6 237.8 360.2C234 357.9 232.9 352.9 235.3 349.2L266.5 299.7C268.5 296.7 272.1 295.3 275.5 296.3L275.5 296.3zM367.1 296.3C370.5 295.3 374.2 296.7 376.1 299.7L407.3 349.2C409.7 352.9 408.6 357.8 404.9 360.2C401.1 362.6 396.2 361.5 393.8 357.7L377.3 331.6L377.3 392C377.3 396.4 373.7 400 369.3 400C364.9 400 361.3 396.4 361.3 392L361.3 304C361.3 300.4 363.7 297.3 367.1 296.3H367.1z"],
    "people-simple": [512, 512, [], "e21b", "M384 128c35.38 0 64-28.62 64-64s-28.62-64-64-64s-64 28.62-64 64S348.6 128 384 128zM384 16c26.47 0 48 21.53 48 48S410.5 112 384 112S336 90.47 336 64S357.5 16 384 16zM128 128c35.38 0 64-28.62 64-64S163.4 0 128 0S64 28.62 64 64S92.63 128 128 128zM128 16c26.47 0 48 21.53 48 48S154.5 112 128 112S80 90.47 80 64S101.5 16 128 16zM160 160H96C60.65 160 32 188.7 32 224v96c0 17.67 14.33 32 32 32H56v128c0 17.64 14.34 32 32 32s32-14.36 32-32v-128h16v128c0 17.64 14.34 32 32 32s32-14.36 32-32v-128H192c17.67 0 32-14.33 32-32V224C224 188.7 195.3 160 160 160zM104 480c0 8.828-7.188 16-16 16s-16-7.172-16-16v-128h32V480zM184 480c0 8.828-7.188 16-16 16s-16-7.172-16-16v-128h32V480zM208 320c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V224c0-26.47 21.53-48 48-48h64c26.47 0 48 21.53 48 48V320zM511.4 363.6L459.8 183.2C455.9 169.5 443.4 160 429.1 160h-90.13c-14.29 0-26.84 9.471-30.77 23.21l-51.54 180.4C253.7 373.8 261.4 384 272 384H312v96c0 17.64 14.34 32 32 32s32-14.36 32-32v-96h16v96c0 17.64 14.34 32 32 32s32-14.36 32-32v-96h39.99C506.6 384 514.3 373.8 511.4 363.6zM360 480c0 8.828-7.188 16-16 16s-16-7.172-16-16v-96h32V480zM440 480c0 8.828-7.188 16-16 16s-16-7.172-16-16v-96h32V480zM272 368l51.54-180.4C325.5 180.8 331.8 176 338.9 176h90.13c7.105 0 13.43 4.771 15.38 11.6L495.1 368H272z"],
    "pepper": [512, 512, [129745], "e432", "M438 99.29c-24.81-6.992-50.9-4.129-73.78 8.039c-32.69-17.28-71.02-14.49-100.7 5.025C260.8 36.17 221.4 3.141 219.7 1.75C216.1-1.033 211.2-.4082 208.5 3C205.7 6.441 206.2 11.46 209.7 14.25c.3594 .3008 34.93 29.88 37.81 97.4C246.2 110.9 198.4 79.23 146.9 106.9C124.2 95.19 98.54 92.37 73.99 99.29C20.36 114.4-11.13 170.8 3.646 224.7l51.75 212.4C67.49 481.2 107.5 512 152.6 512c9.156 0 18.28-1.268 27.09-3.754c8.094-2.268 16.06-5.834 24.22-10.86c31.44 19.11 72.69 19.11 104.1 0c8.156 5.021 16.12 8.588 24.22 10.86C341.1 510.7 350.2 512 359.4 512c45.15 0 85.15-30.77 97.31-75.05l51.63-211.1C523.2 170.8 491.7 114.4 438 99.29zM492.8 220.1l-51.63 211.1c-10.19 37.12-43.84 63.05-81.81 63.05c-7.688 0-15.34-1.062-22.78-3.158c-7.875-2.223-15.75-6.008-24.06-11.61c-1.344-.9062-2.906-1.359-4.469-1.359s-3.156 .4687-4.5 1.391c-28.19 19.27-66.94 19.27-95.13 0c-2.686-1.846-6.279-1.846-8.967-.0313c-8.312 5.6-16.19 9.385-24.06 11.61c-7.438 2.096-15.09 3.158-22.78 3.158c-37.97 0-71.63-25.93-81.75-62.81L19.14 220.7c-12.53-45.77 14-93.33 59.16-106C95.94 109.8 114.2 110.1 131 117.5C125.8 121.9 120.9 126.9 116.6 132.6c-18.34 24.18-24.94 56.54-16.97 85.06l52.88 144.1c1.156 3.238 4.25 5.256 7.5 5.256c.9062 0 1.844-.1562 2.75-.4844c4.156-1.518 6.281-6.117 4.75-10.28L114.9 212.7c-6.469-23.2-.9062-50.19 14.5-70.46c21.57-28.46 78.4-47.39 121.3-8.354c3 2.785 7.75 2.785 10.75 0c26.94-24.54 66.28-29.54 98.84-10.51c2.5 1.469 5.594 1.453 8.094-.0156c20.03-11.84 43.22-14.95 65.4-8.682C478.9 127.4 505.4 174.1 492.8 220.1z"],
    "pepper-hot": [512, 512, [127798], "f816", "M433.1 358.2C358.7 444.5 220.1 496 63.34 496C37.25 496 16 475.4 16 449.1s21.25-46.02 47.34-46.02c101.8 0 139.2-82.56 172.2-155.4c11.44-25.25 22.25-49.11 35-68.09C272.1 176.8 272 171.8 268.3 169.4c-3.656-2.453-8.656-1.5-11.09 2.172c-13.53 20.11-24.61 44.57-36.33 70.46c-32.5 71.78-66.08 145.1-157.6 145.1C28.41 387.1 0 415.8 0 449.1S28.41 512 63.34 512c161.3 0 304.4-53.58 382.7-143.3c2.906-3.328 2.562-8.391-.7813-11.3C441.1 354.5 436.9 354.8 433.1 358.2zM484.1 155c-7.654-10.37-18.19-19.81-31.34-28.92c.6465-.5039 1.355-.9238 1.836-1.639c21.19-31.3 29.47-59.8 24.62-84.73c-5-25.83-22.53-37.89-23.28-38.39C452.3-1.109 447.4-.1094 444.9 3.5c-2.5 3.625-1.562 8.594 2.062 11.11c1.719 1.203 42.09 30.44-5.625 100.9c-.5313 .7871-.3086 1.709-.5313 2.58c-19.28-12.11-38.58-19.39-57.47-21.33c-38.25-3.922-78.38 8.547-108.6 34.97c-2.094 1.812-3.094 4.562-2.656 7.281s2.219 5.016 4.75 6.109l68.72 29.45v79.86c0 4.422 3.594 8 8 8h79.88l29.47 68.72c1.062 2.531 3.375 4.312 6.094 4.75C469.4 335.1 469.8 336 470.3 336c2.281 0 4.5-.9844 6.031-2.75C499.3 306.8 512 273.5 512 239.4C512 208.9 502.4 179.7 484.1 155zM472.3 312.5l-26.25-61.2c-1.25-2.938-4.156-4.844-7.344-4.844h-77.16V169.3c0-3.203-1.906-6.094-4.844-7.359L295.5 135.7c25.25-17.98 56.75-26.02 86.25-23.03c17.38 1.781 35.42 8.766 53.61 20.75c0 0-.0313 0 0 0l5.078 3.344C453.9 145.6 464 154.7 471.3 164.5C487.4 186.5 496 212.3 496 239.4C496 265.4 487.7 290.9 472.3 312.5z"],
    "percent": [384, 512, [62101, 62785, "percentage"], "25", "M381.7 66.34c-3.125-3.125-8.188-3.125-11.31 0l-368 368c-3.125 3.125-3.125 8.188 0 11.31C3.906 447.2 5.938 448 8 448s4.094-.7813 5.656-2.344l368-368C384.8 74.53 384.8 69.47 381.7 66.34zM64 192c35.35 0 64-28.65 64-64S99.35 64.01 64 64.01S0 92.66 0 128S28.65 192 64 192zM64 80c26.47 0 48 21.53 48 48S90.47 176 64 176S16 154.5 16 128S37.53 80 64 80zM320 320c-35.35 0-64 28.65-64 64s28.65 64 64 64s64-28.65 64-64S355.3 320 320 320zM320 432c-26.47 0-48-21.53-48-48s21.53-48 48-48s48 21.53 48 48S346.5 432 320 432z"],
    "period": [128, 512, [], "2e", "M64 368c26.47 0 48 21.53 48 48s-21.53 48-48 48s-48-21.53-48-48S37.54 368 64 368zM64 352c-35.35 0-64 28.65-64 64c0 35.35 28.65 64 64 64s64-28.65 64-64C128 380.7 99.35 352 64 352z"],
    "person": [320, 512, [129485, "male"], "f183", "M103.1 56C103.1 25.07 129.1 0 159.1 0C190.9 0 215.1 25.07 215.1 56C215.1 86.93 190.9 112 159.1 112C129.1 112 103.1 86.93 103.1 56zM159.1 96C182.1 96 199.1 78.09 199.1 56C199.1 33.91 182.1 16 159.1 16C137.9 16 119.1 33.91 119.1 56C119.1 78.09 137.9 96 159.1 96zM141.1 144C119.6 144 100 156.3 90.67 175.7L23.21 315.5C21.29 319.5 16.5 321.1 12.53 319.2C8.546 317.3 6.877 312.5 8.797 308.5L76.26 168.7C88.27 143.8 113.5 128 141.1 128H178.9C206.5 128 231.7 143.8 243.7 168.7L311.2 308.5C313.1 312.5 311.5 317.3 307.5 319.2C303.5 321.1 298.7 319.5 296.8 315.5L229.3 175.7C219.1 156.3 200.4 144 178.9 144H141.1zM104 480C104 488.8 111.2 496 120 496C128.8 496 135.1 488.8 135.1 480V360C135.1 346.7 146.7 336 160 336C173.3 336 184 346.7 184 360V480C184 488.8 191.2 496 200 496C208.8 496 215.1 488.8 215.1 480V248C215.1 243.6 219.6 240 223.1 240C228.4 240 231.1 243.6 231.1 248V480C231.1 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V360C168 355.6 164.4 352 160 352C155.6 352 151.1 355.6 151.1 360V480C151.1 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480V248C88 243.6 91.58 240 96 240C100.4 240 104 243.6 104 248V480z"],
    "person-arrow-down-to-line": [640, 512, [], "e538", "M247.1 56C247.1 86.93 222.9 112 191.1 112C161.1 112 135.1 86.93 135.1 56C135.1 25.07 161.1 0 191.1 0C222.9 0 247.1 25.07 247.1 56zM191.1 16C169.9 16 151.1 33.91 151.1 56C151.1 78.09 169.9 96 191.1 96C214.1 96 231.1 78.09 231.1 56C231.1 33.91 214.1 16 191.1 16zM55.21 315.5C53.29 319.5 48.5 321.1 44.53 319.2C40.55 317.3 38.88 312.5 40.8 308.5L108.3 168.7C120.3 143.8 145.5 128 173.1 128H210.9C238.5 128 263.7 143.8 275.7 168.7L343.2 308.5C345.1 312.5 343.5 317.3 339.5 319.2C335.5 321.1 330.7 319.5 328.8 315.5L261.3 175.7C251.1 156.3 232.4 143.1 210.9 143.1H173.1C151.6 143.1 132 156.3 122.7 175.7L55.21 315.5zM128 240C132.4 240 136 243.6 136 248V480C136 488.8 143.2 496 152 496C160.8 496 167.1 488.8 167.1 480V360C167.1 346.7 178.7 336 192 336C205.3 336 216 346.7 216 360V480C216 488.8 223.2 496 232 496C240.8 496 247.1 488.8 247.1 480V248C247.1 243.6 251.6 240 255.1 240C260.4 240 263.1 243.6 263.1 248V480C263.1 485.8 262.4 491.3 259.7 496H632C636.4 496 640 499.6 640 504C640 508.4 636.4 512 632 512H8C3.582 512 0 508.4 0 504C0 499.6 3.582 496 8 496H124.3C121.6 491.3 120 485.8 120 480V248C120 243.6 123.6 240 128 240V240zM179.7 496H204.3C201.6 491.3 200 485.8 200 480V360C200 355.6 196.4 352 192 352C187.6 352 183.1 355.6 183.1 360V480C183.1 485.8 182.4 491.3 179.7 496zM488 40C488 35.58 491.6 32 496 32C500.4 32 504 35.58 504 40V387.5L586.1 298.6C589.1 295.3 594.2 295.1 597.4 298.1C600.7 301.1 600.9 306.2 597.9 309.4L501.9 413.4C500.4 415.1 498.2 416 496 416C493.8 416 491.6 415.1 490.1 413.4L394.1 309.4C391.1 306.2 391.3 301.1 394.6 298.1C397.8 295.1 402.9 295.3 405.9 298.6L488 387.5V40z"],
    "person-arrow-up-from-line": [640, 512, [], "e539", "M247.1 56C247.1 86.93 222.9 112 191.1 112C161.1 112 135.1 86.93 135.1 56C135.1 25.07 161.1 0 191.1 0C222.9 0 247.1 25.07 247.1 56zM191.1 16C169.9 16 151.1 33.91 151.1 56C151.1 78.09 169.9 96 191.1 96C214.1 96 231.1 78.09 231.1 56C231.1 33.91 214.1 16 191.1 16zM55.21 315.5C53.29 319.5 48.5 321.1 44.53 319.2C40.55 317.3 38.88 312.5 40.8 308.5L108.3 168.7C120.3 143.8 145.5 128 173.1 128H210.9C238.5 128 263.7 143.8 275.7 168.7L343.2 308.5C345.1 312.5 343.5 317.3 339.5 319.2C335.5 321.1 330.7 319.5 328.8 315.5L261.3 175.7C251.1 156.3 232.4 143.1 210.9 143.1H173.1C151.6 143.1 132 156.3 122.7 175.7L55.21 315.5zM128 240C132.4 240 136 243.6 136 248V480C136 488.8 143.2 496 152 496C160.8 496 167.1 488.8 167.1 480V360C167.1 346.7 178.7 336 192 336C205.3 336 216 346.7 216 360V480C216 488.8 223.2 496 232 496C240.8 496 247.1 488.8 247.1 480V248C247.1 243.6 251.6 240 255.1 240C260.4 240 263.1 243.6 263.1 248V480C263.1 485.8 262.4 491.3 259.7 496H632C636.4 496 640 499.6 640 504C640 508.4 636.4 512 632 512H8C3.582 512 0 508.4 0 504C0 499.6 3.582 496 8 496H124.3C121.6 491.3 120 485.8 120 480V248C120 243.6 123.6 240 128 240V240zM179.7 496H204.3C201.6 491.3 200 485.8 200 480V360C200 355.6 196.4 352 192 352C187.6 352 183.1 355.6 183.1 360V480C183.1 485.8 182.4 491.3 179.7 496zM597.9 138.6C600.9 141.8 600.7 146.9 597.4 149.9C594.2 152.9 589.1 152.7 586.1 149.4L504 60.46V408C504 412.4 500.4 416 496 416C491.6 416 488 412.4 488 408V60.46L405.9 149.4C402.9 152.7 397.8 152.9 394.6 149.9C391.3 146.9 391.1 141.8 394.1 138.6L490.1 34.57C491.6 32.93 493.8 32 496 32C498.2 32 500.4 32.93 501.9 34.57L597.9 138.6z"],
    "person-biking": [640, 512, [128692, "biking"], "f84a", "M336 56C336 25.07 361.1 0 392 0C422.9 0 448 25.07 448 56C448 86.93 422.9 112 392 112C361.1 112 336 86.93 336 56zM392 96C414.1 96 432 78.09 432 56C432 33.91 414.1 16 392 16C369.9 16 352 33.91 352 56C352 78.09 369.9 96 392 96zM256 384C256 454.7 198.7 512 128 512C57.31 512 0 454.7 0 384C0 313.3 57.31 256 128 256C198.7 256 256 313.3 256 384zM128 496C189.9 496 240 445.9 240 384C240 322.1 189.9 272 128 272C66.14 272 16 322.1 16 384C16 445.9 66.14 496 128 496zM640 384C640 454.7 582.7 512 512 512C441.3 512 384 454.7 384 384C384 313.3 441.3 256 512 256C582.7 256 640 313.3 640 384zM512 496C573.9 496 624 445.9 624 384C624 322.1 573.9 272 512 272C450.1 272 400 322.1 400 384C400 445.9 450.1 496 512 496zM245.7 202.2C233.6 212.6 234.9 231.8 248.3 240.6L348.3 305.3C350.6 306.8 352 309.3 352 312V416C352 420.4 348.4 424 344 424C339.6 424 336 420.4 336 416V316.4L239.6 253.1C217.2 239.5 215 207.4 235.3 190L294.4 139.4C309.2 126.8 330.8 126.5 345.8 138.8L410.9 192H488C492.4 192 496 195.6 496 200C496 204.4 492.4 208 488 208H408C406.2 208 404.4 207.4 402.9 206.2L335.7 151.2C326.7 143.8 313.7 143.9 304.9 151.5L245.7 202.2z"],
    "person-biking-mountain": [640, 512, [128693, "biking-mountain"], "f84b", "M336 56C336 25.07 361.1 0 392 0C422.9 0 448 25.07 448 56C448 86.93 422.9 112 392 112C361.1 112 336 86.93 336 56zM392 96C414.1 96 432 78.09 432 56C432 33.91 414.1 16 392 16C369.9 16 352 33.91 352 56C352 78.09 369.9 96 392 96zM335.7 151.2C326.7 143.8 313.7 143.9 304.9 151.5L245.7 202.2C233.6 212.6 234.9 231.8 248.3 240.6L348.3 305.3C350.6 306.8 352 309.3 352 312V416C352 420.4 348.4 424 344 424C339.6 424 336 420.4 336 416V316.4L239.6 253.1C217.2 239.5 215 207.4 235.3 190L294.4 139.4C309.2 126.8 330.8 126.5 345.8 138.8L410.9 192H488C492.4 192 496 195.6 496 200C496 204.4 492.4 208 488 208H408C406.2 208 404.4 207.4 402.9 206.2L335.7 151.2zM568 384C568 414.9 542.9 440 512 440C481.1 440 456 414.9 456 384C456 353.1 481.1 328 512 328C542.9 328 568 353.1 568 384zM512 424C534.1 424 552 406.1 552 384C552 361.9 534.1 344 512 344C489.9 344 472 361.9 472 384C472 406.1 489.9 424 512 424zM518 256C531.8 256 543.5 264.7 548 276.9C552.9 278.5 557.7 280.5 562.3 282.8C574.1 277.4 588.5 279.5 598.3 289.2L606.8 297.7C616.5 307.5 618.6 321.9 613.2 333.7C615.5 338.3 617.5 343.1 619.1 347.1C631.3 352.5 640 364.2 640 378V390C640 403.8 631.3 415.5 619.1 420C617.5 424.9 615.5 429.7 613.2 434.3C618.6 446.1 616.5 460.5 606.8 470.3L598.3 478.8C588.5 488.5 574.1 490.6 562.3 485.2C557.7 487.5 552.9 489.5 548 491.1C543.5 503.3 531.8 512 518 512H506C492.2 512 480.5 503.3 475.1 491.1C471.1 489.5 466.3 487.5 461.7 485.2C449.9 490.6 435.5 488.5 425.7 478.8L417.2 470.3C407.5 460.5 405.4 446.1 410.8 434.3C408.5 429.7 406.5 424.9 404.9 420C392.7 415.5 384 403.8 384 390V378C384 364.2 392.7 352.5 404.9 347.1C406.5 343.1 408.5 338.3 410.8 333.7C405.4 321.9 407.5 307.5 417.2 297.7L425.7 289.2C435.5 279.5 449.9 277.4 461.7 282.8C466.3 280.5 471.1 278.5 475.1 276.9C480.5 264.7 492.2 255.1 506 255.1L518 256zM489.4 289.5L484.7 290.9C477.1 292.9 471.5 295.6 465.5 298.9L461.2 301.2L457.2 298.5C450.1 294.4 442.5 295.1 437 300.6L428.6 309C423.1 314.5 422.4 322.1 426.5 329.2L429.2 333.2L426.9 337.5C423.6 343.5 420.9 349.1 418.9 356.7L417.5 361.4L412.8 362.3C405.5 363.8 400 370.3 400 378V390C400 397.7 405.5 404.2 412.8 405.7L417.5 406.6L418.9 411.3C420.9 418 423.6 424.5 426.9 430.5L429.2 434.8L426.5 438.8C422.4 445 423.1 453.5 428.6 458.1L437 467.4C442.5 472.9 450.1 473.6 457.2 469.5L461.2 466.8L465.5 469.1C471.5 472.4 477.1 475.1 484.7 477.1L489.4 478.5L490.3 483.2C491.8 490.5 498.3 496 506 496H518C525.7 496 532.2 490.5 533.7 483.2L534.6 478.5L539.3 477.1C546 475.1 552.5 472.4 558.5 469.1L562.8 466.8L566.8 469.5C573 473.6 581.5 472.9 586.1 467.4L595.4 458.1C600.9 453.5 601.6 445 597.5 438.8L594.8 434.8L597.1 430.5C600.4 424.5 603.1 418 605.1 411.3L606.5 406.6L611.2 405.7C618.5 404.2 624 397.7 624 390V378C624 370.3 618.5 363.8 611.2 362.3L606.5 361.4L605.1 356.7C603.1 349.1 600.4 343.5 597.1 337.5L594.8 333.2L597.5 329.2C601.6 322.1 600.9 314.5 595.4 309L586.1 300.6C581.5 295.1 573 294.4 566.8 298.5L562.8 301.2L558.5 298.9C552.5 295.6 546 292.9 539.3 290.9L534.6 289.5L533.7 284.8C532.2 277.5 525.7 272 518 272H506C498.3 272 491.8 277.5 490.3 284.8L489.4 289.5zM71.1 384C71.1 353.1 97.07 328 127.1 328C158.9 328 183.1 353.1 183.1 384C183.1 414.9 158.9 440 127.1 440C97.07 440 71.1 414.9 71.1 384zM127.1 344C105.9 344 87.1 361.9 87.1 384C87.1 406.1 105.9 424 127.1 424C150.1 424 167.1 406.1 167.1 384C167.1 361.9 150.1 344 127.1 344zM91.99 276.9C96.52 264.7 108.2 256 121.1 256H133.1C147.8 256 159.5 264.7 164 276.9C168.9 278.5 173.7 280.5 178.3 282.8C190.1 277.4 204.5 279.5 214.3 289.2L222.8 297.7C232.5 307.5 234.6 321.9 229.2 333.7C231.5 338.3 233.5 343.1 235.1 347.1C247.3 352.5 255.1 364.2 255.1 378V390C255.1 403.8 247.3 415.5 235.1 420C233.5 424.9 231.5 429.7 229.2 434.3C234.6 446.1 232.5 460.5 222.8 470.3L214.3 478.8C204.5 488.5 190.1 490.6 178.3 485.2C173.7 487.5 168.9 489.5 164 491.1C159.5 503.3 147.8 512 134 512H122C108.2 512 96.52 503.3 91.1 491.1C87.07 489.5 82.3 487.5 77.71 485.2C65.89 490.6 51.47 488.5 41.73 478.8L33.25 470.3C23.52 460.5 21.37 446.1 26.78 434.3C24.5 429.7 22.51 424.9 20.86 420C8.68 415.5 0 403.8 0 390V378C0 364.2 8.679 352.5 20.86 347.1C22.51 343.1 24.5 338.3 26.78 333.7C21.37 321.9 23.52 307.5 33.25 297.7L41.73 289.2C51.46 279.5 65.89 277.4 77.71 282.8C82.3 280.5 87.07 278.5 91.1 276.9L91.99 276.9zM121.1 272C114.3 272 107.8 277.5 106.3 284.8L105.4 289.5L100.7 290.9C93.97 292.9 87.52 295.6 81.45 298.9L77.22 301.2L73.19 298.5C66.98 294.4 58.52 295.1 53.05 300.6L44.56 309C39.09 314.5 38.4 322.1 42.52 329.2L45.2 333.2L42.87 337.5C39.55 343.5 36.86 349.1 34.89 356.7L33.53 361.4L28.8 362.3C21.49 363.8 16 370.3 16 378V390C16 397.7 21.49 404.2 28.8 405.7L33.53 406.6L34.89 411.3C36.86 418 39.55 424.5 42.87 430.5L45.2 434.8L42.52 438.8C38.4 445 39.09 453.5 44.56 458.1L53.05 467.4C58.52 472.9 66.98 473.6 73.19 469.5L77.22 466.8L81.46 469.1C87.52 472.4 93.97 475.1 100.7 477.1L105.4 478.5L106.3 483.2C107.8 490.5 114.3 496 121.1 496H133.1C141.7 496 148.2 490.5 149.7 483.2L150.6 478.5L155.3 477.1C162 475.1 168.5 472.4 174.5 469.1L178.8 466.8L182.8 469.5C189 473.6 197.5 472.9 202.1 467.4L211.4 458.1C216.9 453.5 217.6 445 213.5 438.8L210.8 434.8L213.1 430.5C216.4 424.5 219.1 418 221.1 411.3L222.5 406.6L227.2 405.7C234.5 404.2 239.1 397.7 239.1 390V378C239.1 370.3 234.5 363.8 227.2 362.3L222.5 361.4L221.1 356.7C219.1 349.1 216.4 343.5 213.1 337.5L210.8 333.2L213.5 329.2C217.6 322.1 216.9 314.5 211.4 309L202.1 300.6C197.5 295.1 189 294.4 182.8 298.5L178.8 301.2L174.5 298.9C168.5 295.6 162 292.9 155.3 290.9L150.6 289.5L149.7 284.8C148.2 277.5 141.7 272 134 272L121.1 272zM276.3 114.3L194.4 181.3C187.3 187.1 176.8 185.8 171.4 178.4L136.1 131.5C131.9 124.6 133.2 115.1 139.7 109.7L182.4 74.73C210.8 51.51 252.9 56.84 274.6 86.42L279 92.49C284.1 99.35 282.8 108.9 276.3 114.3L276.3 114.3zM261.7 95.88C245.4 73.7 213.9 69.7 192.6 87.12L149.9 122L184.3 168.9L266.1 101.1L261.7 95.88z"],
    "person-booth": [576, 512, [], "f756", "M64 136c28.71 0 52-23.29 52-52S92.71 32 64 32S12 55.29 12 84S35.29 136 64 136zM64 48c19.85 0 36 16.15 36 36S83.85 120 64 120c-19.85 0-36-16.15-36-36S44.15 48 64 48zM224 224H173.1L127.9 178.8C115.8 166.6 99.75 160 82.75 160H64C46.88 160 30.75 166.8 18.75 178.8c-12 12.12-18.72 28.22-18.72 45.35L0 480c0 17.75 14.25 32 31.88 32s32-14.25 32-32L64 379.3c.875 .5 1.625 1.375 2.5 1.75L95.63 424V480c0 17.75 14.25 32 32 32c17.62 0 32-14.25 32-32v-56.5c0-9.875-2.375-19.75-6.75-28.62l-41.13-61.25V253l20.88 20.88C141.8 283 153.8 288 166.5 288H224c17.75 0 32-14.25 32-32S241.8 224 224 224zM224 272H166.5c-8.463 0-16.47-3.352-22.56-9.439L123.1 241.7C120 238.6 115.9 237 111.7 237c-2.061 0-4.139 .3984-6.119 1.219C99.65 240.7 95.75 246.5 95.75 253v80.63c0 3.176 .9453 6.281 2.717 8.92l40.49 60.3c3.059 6.529 4.67 13.65 4.67 20.65V480c0 8.822-7.178 16-16 16c-8.971 0-16-7.027-16-16v-56c0-3.199-.959-6.324-2.752-8.973l-29.12-43c-1.309-1.932-3.018-3.545-5.002-4.738c-.832-.627-2.184-1.574-2.805-1.93C69.48 363.1 66.74 363.3 64 363.3c-2.77 0-5.541 .7187-8.021 2.156C51.05 368.3 48.01 373.5 48 379.2L47.88 480c0 8.822-7.115 16-15.94 16C23.18 496 16 488.8 16 480V224.1c0-12.8 5.016-24.92 14.06-34.06C39.13 180.1 51.19 176 64 176h18.75c12.73 0 24.74 4.994 33.81 14.06l45.25 45.25C164.8 238.3 168.9 240 173.1 240H224c8.973 0 16 7.027 16 16S232.1 272 224 272zM232 320C227.6 320 224 323.6 224 328v176C224 508.4 227.6 512 232 512s8-3.578 8-8v-176C240 323.6 236.4 320 232 320zM296 8C296 3.578 292.4 0 288 0H264C241.9 0 224 17.94 224 40v144C224 188.4 227.6 192 232 192S240 188.4 240 184v-144c0-13.23 10.78-24 24-24H288C292.4 16 296 12.42 296 8zM536 0H512c-4.406 0-8 3.578-8 8v432c0 4.422 3.594 8 8 8s8-3.578 8-8V16h16c13.22 0 24 10.77 24 24v464c0 4.422 3.594 8 8 8S576 508.4 576 504V40C576 17.94 558.1 0 536 0zM448 0c-4.406 0-8 3.578-8 8v432c0 4.422 3.594 8 8 8s8-3.578 8-8V8C456 3.578 452.4 0 448 0zM384 0c-4.406 0-8 3.578-8 8v432c0 4.422 3.594 8 8 8s8-3.578 8-8V8C392 3.578 388.4 0 384 0zM320 0c-4.406 0-8 3.578-8 8l.125 246.6l-32 184c-.75 4.359 2.156 8.5 6.5 9.25C287.1 447.1 287.6 448 288 448c3.812 0 7.219-2.734 7.875-6.625L328 256V8C328 3.578 324.4 0 320 0z"],
    "person-breastfeeding": [448, 512, [], "e53a", "M223.1 328C223.1 301.5 245.5 280 272 280C298.5 280 320 301.5 320 328C320 354.5 298.5 376 272 376C245.5 376 223.1 354.5 223.1 328zM272 296C254.3 296 240 310.3 240 328C240 345.7 254.3 360 272 360C289.7 360 304 345.7 304 328C304 310.3 289.7 296 272 296zM160 300C148.1 300 140 308.1 140 320V368C140 371.4 140.8 374.6 142.4 377.5L229.5 421.1C253.2 432.9 262.8 461.8 250.9 485.5C239.1 509.2 210.2 518.8 186.5 506.9L27.21 427.3C26.11 426.7 25.02 426.2 23.95 425.5C19.04 422.7 14.79 419.1 11.3 414.1C6.732 409.5 3.492 403.3 1.683 396.6C-1.576 384.6-.1811 371.4 6.459 359.9C7.098 358.8 7.776 357.8 8.489 356.7L75.56 256.1C102.3 216.1 147.2 192 195.4 192H270.6C317.1 192 360.7 214.5 387.8 252.3L438.5 323.2C440.7 326.2 442.5 329.4 443.9 332.7C446.9 339.3 448.2 346.4 447.1 353.5C447.7 364.1 443.8 374.5 436.8 382.8L373.5 461.1C356.9 482.7 326.7 486 306 469.5C292.6 458.7 286.5 442.2 288.3 426.3C288.5 425.3 288.6 424.3 288.8 423.3C285.2 422.8 281.6 422.1 278 421.4C239.5 413.1 204.9 391.8 180 361.1V319.1C180 308.1 171 299.1 160 299.1L160 300zM431.1 352.1C432.1 348.3 431.2 343.5 429.3 339.1C428.3 336.9 427.1 334.8 425.6 332.8L425.4 332.5L374.8 261.6C350.7 227.1 311.9 208 270.6 208H195.4C152.6 208 112.6 229.4 88.88 264.1L21.8 365.6L21.67 365.8C21.19 366.5 20.73 367.2 20.3 367.1C15.89 375.6 14.94 384.4 17.12 392.4C18.33 396.9 20.51 401.1 23.54 404.6C25.85 407.4 28.7 409.8 31.98 411.7C32.7 412.1 33.42 412.5 34.16 412.9L34.36 412.1L193.7 492.6C209.5 500.5 228.7 494.1 236.6 478.3C244.5 462.5 238.1 443.3 222.3 435.4L130.8 389.6L128.4 385.2C125.5 379.9 124 374 124 368V320C124 300.1 140.1 284 160 284C179.9 284 196 300.1 196 320V355.3C220.4 383.4 254.1 401.9 291.2 407.5L298.1 408.6L353.8 339C356.5 335.6 361.5 334.1 364.1 337.8C368.4 340.5 369 345.5 366.2 348.1L304.5 426.1L304.5 426.2C302.5 437.5 306.5 449.4 316 456.1C329.8 468 349.9 465.8 360.1 451.1L424.6 372.5C429.2 366.1 431.8 360.1 431.1 352.1V352.1zM144 80C144 35.82 179.8 0 224 0C268.2 0 304 35.82 304 80C304 124.2 268.2 160 224 160C179.8 160 144 124.2 144 80zM224 16C188.7 16 160 44.65 160 80C160 115.3 188.7 144 224 144C259.3 144 288 115.3 288 80C288 44.65 259.3 16 224 16z"],
    "person-burst": [640, 512, [], "e53b", "M535.1 56C535.1 86.93 510.9 112 479.1 112C449.1 112 423.1 86.93 423.1 56C423.1 25.07 449.1 0 479.1 0C510.9 0 535.1 25.07 535.1 56zM479.1 16C457.9 16 439.1 33.91 439.1 56C439.1 78.09 457.9 96 479.1 96C502.1 96 519.1 78.09 519.1 56C519.1 33.91 502.1 16 479.1 16zM343.2 315.5C341.3 319.5 336.5 321.1 332.5 319.2C328.5 317.3 326.9 312.5 328.8 308.5L396.3 168.7C408.3 143.8 433.5 128 461.1 128H498.9C526.5 128 551.7 143.8 563.7 168.7L631.2 308.5C633.1 312.5 631.5 317.3 627.5 319.2C623.5 321.1 618.7 319.5 616.8 315.5L549.3 175.7C539.1 156.3 520.4 143.1 498.9 143.1H461.1C439.6 143.1 420 156.3 410.7 175.7L343.2 315.5zM416 240C420.4 240 424 243.6 424 248V480C424 488.8 431.2 496 440 496C448.8 496 455.1 488.8 455.1 480V360C455.1 346.7 466.7 336 480 336C493.3 336 504 346.7 504 360V480C504 488.8 511.2 496 520 496C528.8 496 535.1 488.8 535.1 480V248C535.1 243.6 539.6 240 543.1 240C548.4 240 551.1 243.6 551.1 248V480C551.1 497.7 537.7 512 520 512C502.3 512 488 497.7 488 480V360C488 355.6 484.4 352 480 352C475.6 352 471.1 355.6 471.1 360V480C471.1 497.7 457.7 512 440 512C422.3 512 408 497.7 408 480V248C408 243.6 411.6 240 416 240V240zM221.9 88.7L294.8 70.68C308.1 67.4 319.1 81.2 312.9 93.41L278.1 160.8L332.7 206.7C342.7 215.3 338.7 231.6 325.9 234.5L258.7 249.8L260 325C260.3 338.7 244.4 346.4 233.9 337.6L175.1 289.8L118.1 337.6C107.6 346.4 91.7 338.7 91.95 325L93.3 249.8L26.14 234.5C13.32 231.6 9.305 215.3 19.3 206.7L73.03 160.8L39.09 93.41C32.93 81.2 43.94 67.4 57.22 70.68L130.1 88.7L161.5 20.47C167.2 8.051 184.8 8.051 190.5 20.47L221.9 88.7zM141.9 101.4C140.3 104.9 136.4 106.7 132.7 105.8L53.38 86.21L90.14 159.2C91.8 162.5 90.1 166.5 88.2 168.9L29.7 218.9L103.2 235.7C106.9 236.5 109.5 239.8 109.4 243.6L107.9 325.3L170.9 273.2C173.9 270.8 178.1 270.8 181.1 273.2L244.1 325.3L242.6 243.6C242.5 239.8 245.1 236.5 248.8 235.7L322.3 218.9L263.8 168.9C261 166.5 260.2 162.5 261.9 159.2L298.6 86.21L219.3 105.8C215.6 106.7 211.7 104.9 210.1 101.4L176 27.16L141.9 101.4z"],
    "person-cane": [384, 512, [], "e53c", "M247.1 56C247.1 86.93 222.9 112 191.1 112C161.1 112 135.1 86.93 135.1 56C135.1 25.07 161.1 0 191.1 0C222.9 0 247.1 25.07 247.1 56zM191.1 16C169.9 16 151.1 33.91 151.1 56C151.1 78.09 169.9 96 191.1 96C214.1 96 231.1 78.09 231.1 56C231.1 33.91 214.1 16 191.1 16zM104 480C104 488.8 111.2 496 120 496C128.8 496 136 488.8 136 480V360C136 346.7 146.7 336 160 336C173.3 336 184 346.7 184 360V480C184 488.8 191.2 496 200 496C208.8 496 216 488.8 216 480V248C216 243.6 219.6 240 224 240C228.4 240 232 243.6 232 248V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V360C168 355.6 164.4 352 160 352C155.6 352 152 355.6 152 360V480C152 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480V248C88 243.6 91.59 240 96 240C100.4 240 104 243.6 104 248V480zM328 336C314.7 336 304 346.7 304 360V376C304 380.4 300.4 384 296 384C291.6 384 288 380.4 288 376V360C288 337.9 305.9 320 328 320C350.1 320 368 337.9 368 360V504C368 508.4 364.4 512 360 512C355.6 512 352 508.4 352 504V360C352 346.7 341.3 336 328 336zM23.21 315.5C21.29 319.5 16.5 321.1 12.53 319.2C8.546 317.3 6.877 312.5 8.797 308.5L76.26 168.7C88.27 143.8 113.5 128 141.1 128H184.8C208.9 128 231.4 140.1 244.7 160.2L326.7 283.6C329.1 287.3 328.1 292.2 324.4 294.7C320.7 297.1 315.8 296.1 313.3 292.4L231.4 169C221 153.4 203.5 144 184.8 144H141.1C119.6 144 100 156.3 90.67 175.7L23.21 315.5z"],
    "person-carry-box": [384, 512, ["person-carry"], "f4cf", "M80 104c28.71 0 52-23.29 52-52c0-28.71-23.29-51.1-52-51.1c-28.71 0-52 23.29-52 51.1C28 80.71 51.29 104 80 104zM80 16c19.85 0 36 16.15 36 35.1C116 71.85 99.85 88 80 88S44 71.85 44 51.1C44 32.15 60.15 16 80 16zM56 400c-4.418 0-8 3.582-8 8v72c0 8.832-6.812 15.78-15.59 15.99C23.38 496.2 16 487.1 16 478.9V360C16 355.6 12.42 352 8 352S0 355.6 0 360v118.3c0 17.36 13.08 32.83 30.42 33.65C48.9 512.8 64 498.2 64 479.9V408C64 403.6 60.42 400 56 400zM352 95.1h-128c-17.67 0-32 14.33-32 32V256c0 5.955 2.064 11.22 4.898 15.99H147.2c-5.904 0-11.33-3.252-14.11-8.459L110.1 220.6C107.3 215.3 101.8 212.1 96 212.1c-2.605 0-5.275 .6387-7.801 2.014C82.93 216.1 80 222.9 80 228.9v77.49c0 4.67 2.039 9.105 5.582 12.14l44.01 37.75c8.529 7.311 14.26 17.48 16.1 28.39l14.16 92.69c.6953 4.203-.291 8.426-2.775 11.89c-2.486 3.469-6.184 5.762-10.41 6.457C145.4 495.9 144.3 496 143.2 496c-11.33 0-14.86-13.18-14.89-13.18c0 0 0-.0039 0 0l-14.12-92.5c-.5781-3.789-2.498-7.244-5.406-9.736L32.86 315.5C22.14 306.2 16 292.9 16 278.1V175.1c0-17.67 14.33-32 32-32h28.75c17.86 0 34.07 9.824 42.42 25.86l33.38 61.75c2.795 5.17 8.199 8.393 14.08 8.393H168c4.418 0 8-3.582 8-8s-3.582-8-8-8H166.6L133.3 162.2C122.3 141.1 100.5 127.1 76.75 127.1H48c-26.51 0-48 21.49-48 48v102.1c0 18.75 8.25 36.38 22.38 48.62l76 65.13l14.12 92.5C113.4 490.4 121.2 512 143.2 512c1.906 0 3.918-.1621 6.041-.5117c17.5-2.875 29.25-19.37 26.38-36.75l-14.12-92.5C159 367.4 151.4 353.9 140 344.1L96 306.4V228.1l22.96 42.96C124.5 281.5 135.4 287.1 147.2 287.1l76.8 .0029c.0098 0-.0098 0 0 0L352 287.1c17.67 0 32-14.33 32-32V127.1C384 110.3 369.7 95.1 352 95.1zM368 256c0 8.822-7.178 16-16 16h-128c-8.809-.0156-16-7.188-16-16V128c0-8.822 7.178-16 16-16h128c8.822 0 16 7.178 16 16V256z"],
    "person-chalkboard": [640, 512, [], "e53d", "M247.1 56C247.1 86.93 222.9 112 191.1 112C161.1 112 135.1 86.93 135.1 56C135.1 25.07 161.1 0 191.1 0C222.9 0 247.1 25.07 247.1 56zM191.1 16C169.9 16 151.1 33.91 151.1 56C151.1 78.09 169.9 96 191.1 96C214.1 96 231.1 78.09 231.1 56C231.1 33.91 214.1 16 191.1 16zM47.08 315.7C45.01 319.6 40.17 321.1 36.27 319.1C32.36 317 30.86 312.2 32.93 308.3L107.8 166.4C120.3 142.8 144.8 128 171.5 128H320V48C320 21.49 341.5 0 368 0H592C618.5 0 640 21.49 640 48V272C640 298.5 618.5 320 592 320H368C341.5 320 320 298.5 320 272V224H336V272C336 289.7 350.3 304 368 304H592C609.7 304 624 289.7 624 272V48C624 30.33 609.7 16 592 16H368C350.3 16 336 30.33 336 48V128H384C401.7 128 416 142.3 416 160C416 177.7 401.7 192 384 192H264V256L263.1 256.2V480C263.1 497.7 249.7 512 232 512C214.3 512 200 497.7 200 480V360C200 355.6 196.4 352 192 352C187.6 352 183.1 355.6 183.1 360V480C183.1 497.7 169.7 512 152 512C134.3 512 120 497.7 120 480V248C120 243.6 123.6 240 128 240C132.4 240 136 243.6 136 248V480C136 488.8 143.2 496 152 496C160.8 496 167.1 488.8 167.1 480V360C167.1 346.7 178.7 336 192 336C205.3 336 216 346.7 216 360V480C216 488.8 223.2 496 232 496C240.8 496 247.1 488.8 247.1 480V248L248 247.8V192C248 183.2 255.2 176 264 176H384C392.8 176 400 168.8 400 160C400 151.2 392.8 144 384 144H171.5C150.7 144 131.7 155.5 121.1 173.9L47.08 315.7z"],
    "person-circle-check": [576, 512, [], "e53e", "M103.1 56C103.1 25.07 129.1 0 159.1 0C190.9 0 215.1 25.07 215.1 56C215.1 86.93 190.9 112 159.1 112C129.1 112 103.1 86.93 103.1 56zM159.1 96C182.1 96 199.1 78.09 199.1 56C199.1 33.91 182.1 16 159.1 16C137.9 16 119.1 33.91 119.1 56C119.1 78.09 137.9 96 159.1 96zM141.1 144C119.6 144 100 156.3 90.67 175.7L23.21 315.5C21.29 319.5 16.5 321.1 12.53 319.2C8.546 317.3 6.877 312.5 8.797 308.5L76.26 168.7C88.27 143.8 113.5 128 141.1 128H178.9C206.5 128 231.7 143.8 243.7 168.7L289.8 264.2C286.2 269.2 282.8 274.5 279.6 279.9L229.3 175.7C219.1 156.3 200.4 144 178.9 144H141.1zM104 480C104 488.8 111.2 496 120 496C128.8 496 135.1 488.8 135.1 480V360C135.1 346.7 146.7 336 160 336C173.3 336 184 346.7 184 360V480C184 488.8 191.2 496 200 496C208.8 496 215.1 488.8 215.1 480V248C215.1 243.6 219.6 240 223.1 240C228.4 240 231.1 243.6 231.1 248V480C231.1 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V360C168 355.6 164.4 352 160 352C155.6 352 151.1 355.6 151.1 360V480C151.1 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480V248C88 243.6 91.58 240 96 240C100.4 240 104 243.6 104 248V480zM501.7 322.3C504.8 325.5 504.8 330.5 501.7 333.7L421.7 413.7C418.5 416.8 413.5 416.8 410.3 413.7L362.3 365.7C359.2 362.5 359.2 357.5 362.3 354.3C365.5 351.2 370.5 351.2 373.7 354.3L416 396.7L490.3 322.3C493.5 319.2 498.5 319.2 501.7 322.3H501.7zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 496C502.7 496 560 438.7 560 368C560 297.3 502.7 240 432 240C361.3 240 304 297.3 304 368C304 438.7 361.3 496 432 496z"],
    "person-circle-exclamation": [576, 512, [], "e53f", "M103.1 56C103.1 25.07 129.1 0 159.1 0C190.9 0 215.1 25.07 215.1 56C215.1 86.93 190.9 112 159.1 112C129.1 112 103.1 86.93 103.1 56zM159.1 96C182.1 96 199.1 78.09 199.1 56C199.1 33.91 182.1 16 159.1 16C137.9 16 119.1 33.91 119.1 56C119.1 78.09 137.9 96 159.1 96zM141.1 144C119.6 144 100 156.3 90.67 175.7L23.21 315.5C21.29 319.5 16.5 321.1 12.53 319.2C8.546 317.3 6.877 312.5 8.797 308.5L76.26 168.7C88.27 143.8 113.5 128 141.1 128H178.9C206.5 128 231.7 143.8 243.7 168.7L289.8 264.2C286.2 269.2 282.8 274.5 279.6 279.9L229.3 175.7C219.1 156.3 200.4 144 178.9 144H141.1zM104 480C104 488.8 111.2 496 120 496C128.8 496 135.1 488.8 135.1 480V360C135.1 346.7 146.7 336 160 336C173.3 336 184 346.7 184 360V480C184 488.8 191.2 496 200 496C208.8 496 215.1 488.8 215.1 480V248C215.1 243.6 219.6 240 223.1 240C228.4 240 231.1 243.6 231.1 248V480C231.1 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V360C168 355.6 164.4 352 160 352C155.6 352 151.1 355.6 151.1 360V480C151.1 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480V248C88 243.6 91.58 240 96 240C100.4 240 104 243.6 104 248V480zM416 432C416 423.2 423.2 416 432 416C440.8 416 448 423.2 448 432C448 440.8 440.8 448 432 448C423.2 448 416 440.8 416 432zM431.1 280C436.4 280 439.1 283.6 439.1 288V384C439.1 388.4 436.4 392 431.1 392C427.6 392 423.1 388.4 423.1 384V288C423.1 283.6 427.6 280 431.1 280zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 240C361.3 240 304 297.3 304 368C304 438.7 361.3 496 432 496C502.7 496 560 438.7 560 368C560 297.3 502.7 240 432 240z"],
    "person-circle-minus": [576, 512, [], "e540", "M103.1 56C103.1 25.07 129.1 0 159.1 0C190.9 0 215.1 25.07 215.1 56C215.1 86.93 190.9 112 159.1 112C129.1 112 103.1 86.93 103.1 56zM159.1 96C182.1 96 199.1 78.09 199.1 56C199.1 33.91 182.1 16 159.1 16C137.9 16 119.1 33.91 119.1 56C119.1 78.09 137.9 96 159.1 96zM141.1 144C119.6 144 100 156.3 90.67 175.7L23.21 315.5C21.29 319.5 16.5 321.1 12.53 319.2C8.546 317.3 6.877 312.5 8.797 308.5L76.26 168.7C88.27 143.8 113.5 128 141.1 128H178.9C206.5 128 231.7 143.8 243.7 168.7L289.8 264.2C286.2 269.2 282.8 274.5 279.6 279.9L229.3 175.7C219.1 156.3 200.4 144 178.9 144H141.1zM104 480C104 488.8 111.2 496 120 496C128.8 496 135.1 488.8 135.1 480V360C135.1 346.7 146.7 336 160 336C173.3 336 184 346.7 184 360V480C184 488.8 191.2 496 200 496C208.8 496 215.1 488.8 215.1 480V248C215.1 243.6 219.6 240 223.1 240C228.4 240 231.1 243.6 231.1 248V480C231.1 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V360C168 355.6 164.4 352 160 352C155.6 352 151.1 355.6 151.1 360V480C151.1 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480V248C88 243.6 91.58 240 96 240C100.4 240 104 243.6 104 248V480zM512 367.1C512 372.4 508.4 375.1 504 375.1H360C355.6 375.1 352 372.4 352 367.1C352 363.6 355.6 359.1 360 359.1H504C508.4 359.1 512 363.6 512 367.1zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 496C502.7 496 560 438.7 560 368C560 297.3 502.7 240 432 240C361.3 240 304 297.3 304 368C304 438.7 361.3 496 432 496z"],
    "person-circle-plus": [576, 512, [], "e541", "M103.1 56C103.1 25.07 129.1 0 159.1 0C190.9 0 215.1 25.07 215.1 56C215.1 86.93 190.9 112 159.1 112C129.1 112 103.1 86.93 103.1 56zM159.1 96C182.1 96 199.1 78.09 199.1 56C199.1 33.91 182.1 16 159.1 16C137.9 16 119.1 33.91 119.1 56C119.1 78.09 137.9 96 159.1 96zM141.1 144C119.6 144 100 156.3 90.67 175.7L23.21 315.5C21.29 319.5 16.5 321.1 12.53 319.2C8.546 317.3 6.877 312.5 8.797 308.5L76.26 168.7C88.27 143.8 113.5 128 141.1 128H178.9C206.5 128 231.7 143.8 243.7 168.7L289.8 264.2C286.2 269.2 282.8 274.5 279.6 279.9L229.3 175.7C219.1 156.3 200.4 144 178.9 144H141.1zM104 480C104 488.8 111.2 496 120 496C128.8 496 135.1 488.8 135.1 480V360C135.1 346.7 146.7 336 160 336C173.3 336 184 346.7 184 360V480C184 488.8 191.2 496 200 496C208.8 496 215.1 488.8 215.1 480V248C215.1 243.6 219.6 240 223.1 240C228.4 240 231.1 243.6 231.1 248V480C231.1 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V360C168 355.6 164.4 352 160 352C155.6 352 151.1 355.6 151.1 360V480C151.1 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480V248C88 243.6 91.58 240 96 240C100.4 240 104 243.6 104 248V480zM440 359.1H504C508.4 359.1 512 363.6 512 367.1C512 372.4 508.4 375.1 504 375.1H440V439.1C440 444.4 436.4 447.1 432 447.1C427.6 447.1 424 444.4 424 439.1V375.1H360C355.6 375.1 352 372.4 352 367.1C352 363.6 355.6 359.1 360 359.1H424V295.1C424 291.6 427.6 287.1 432 287.1C436.4 287.1 440 291.6 440 295.1V359.1zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 240C361.3 240 304 297.3 304 368C304 438.7 361.3 496 432 496C502.7 496 560 438.7 560 368C560 297.3 502.7 240 432 240z"],
    "person-circle-question": [576, 512, [], "e542", "M103.1 56C103.1 25.07 129.1 0 159.1 0C190.9 0 215.1 25.07 215.1 56C215.1 86.93 190.9 112 159.1 112C129.1 112 103.1 86.93 103.1 56zM159.1 96C182.1 96 199.1 78.09 199.1 56C199.1 33.91 182.1 16 159.1 16C137.9 16 119.1 33.91 119.1 56C119.1 78.09 137.9 96 159.1 96zM141.1 144C119.6 144 100 156.3 90.67 175.7L23.21 315.5C21.29 319.5 16.5 321.1 12.53 319.2C8.546 317.3 6.877 312.5 8.797 308.5L76.26 168.7C88.27 143.8 113.5 128 141.1 128H178.9C206.5 128 231.7 143.8 243.7 168.7L289.8 264.2C286.2 269.2 282.8 274.5 279.6 279.9L229.3 175.7C219.1 156.3 200.4 144 178.9 144H141.1zM104 480C104 488.8 111.2 496 120 496C128.8 496 135.1 488.8 135.1 480V360C135.1 346.7 146.7 336 160 336C173.3 336 184 346.7 184 360V480C184 488.8 191.2 496 200 496C208.8 496 215.1 488.8 215.1 480V248C215.1 243.6 219.6 240 223.1 240C228.4 240 231.1 243.6 231.1 248V480C231.1 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V360C168 355.6 164.4 352 160 352C155.6 352 151.1 355.6 151.1 360V480C151.1 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480V248C88 243.6 91.58 240 96 240C100.4 240 104 243.6 104 248V480zM416 432C416 423.2 423.2 416 432 416C440.8 416 448 423.2 448 432C448 440.8 440.8 448 432 448C423.2 448 416 440.8 416 432zM368 317.9C368 296.1 384.1 280 405.9 280H449.1C475 280 496 300.1 496 326.9C496 345.3 485.2 362 468.4 369.6L440 382.4V392C440 396.4 436.4 400 432 400C427.6 400 424 396.4 424 392V377.2C424 374.1 425.8 371.2 428.7 369.1L461.8 355C472.9 350 480 339 480 326.9C480 309.8 466.2 295.1 449.1 295.1H405.9C393.8 295.1 384 305.8 384 317.9V319.1C384 324.4 380.4 328 376 328C371.6 328 368 324.4 368 319.1L368 317.9zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 240C361.3 240 304 297.3 304 368C304 438.7 361.3 496 432 496C502.7 496 560 438.7 560 368C560 297.3 502.7 240 432 240z"],
    "person-circle-xmark": [576, 512, [], "e543", "M103.1 56C103.1 25.07 129.1 0 159.1 0C190.9 0 215.1 25.07 215.1 56C215.1 86.93 190.9 112 159.1 112C129.1 112 103.1 86.93 103.1 56zM159.1 96C182.1 96 199.1 78.09 199.1 56C199.1 33.91 182.1 16 159.1 16C137.9 16 119.1 33.91 119.1 56C119.1 78.09 137.9 96 159.1 96zM141.1 144C119.6 144 100 156.3 90.67 175.7L23.21 315.5C21.29 319.5 16.5 321.1 12.53 319.2C8.546 317.3 6.877 312.5 8.797 308.5L76.26 168.7C88.27 143.8 113.5 128 141.1 128H178.9C206.5 128 231.7 143.8 243.7 168.7L289.8 264.2C286.2 269.2 282.8 274.5 279.6 279.9L229.3 175.7C219.1 156.3 200.4 144 178.9 144H141.1zM104 480C104 488.8 111.2 496 120 496C128.8 496 135.1 488.8 135.1 480V360C135.1 346.7 146.7 336 160 336C173.3 336 184 346.7 184 360V480C184 488.8 191.2 496 200 496C208.8 496 215.1 488.8 215.1 480V248C215.1 243.6 219.6 240 223.1 240C228.4 240 231.1 243.6 231.1 248V480C231.1 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V360C168 355.6 164.4 352 160 352C155.6 352 151.1 355.6 151.1 360V480C151.1 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480V248C88 243.6 91.58 240 96 240C100.4 240 104 243.6 104 248V480zM443.3 368L493.7 418.3C496.8 421.5 496.8 426.5 493.7 429.7C490.5 432.8 485.5 432.8 482.3 429.7L432 379.3L381.7 429.7C378.5 432.8 373.5 432.8 370.3 429.7C367.2 426.5 367.2 421.5 370.3 418.3L420.7 368L370.3 317.7C367.2 314.5 367.2 309.5 370.3 306.3C373.5 303.2 378.5 303.2 381.7 306.3L432 356.7L482.3 306.3C485.5 303.2 490.5 303.2 493.7 306.3C496.8 309.5 496.8 314.5 493.7 317.7L443.3 368zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 240C361.3 240 304 297.3 304 368C304 438.7 361.3 496 432 496C502.7 496 560 438.7 560 368C560 297.3 502.7 240 432 240z"],
    "person-digging": [576, 512, ["digging"], "f85e", "M575.1 500.3l-96.84-191.7c-6.406-12.41-18.72-20.16-32.91-20.66c-13.91-1.25-26.1 6.25-34.37 18.28l-39.3 66.22L45.16 190.2l37.75-37.78C93.34 141.1 107.7 136 122.5 136h45.22c14.66 0 29.31 3.469 42.41 10c24.78 12.41 42.87 34.94 49.59 61.81l20.53 82.13c1.062 4.25 5.219 7 9.687 5.812c4.281-1.062 6.906-5.406 5.812-9.688L275.2 203.9C267.4 172.5 246.2 146.2 217.3 131.7C201.1 124 184.8 120 167.7 120H122.5c-18.94 0-37.5 7.688-50.91 21.09L26.35 186.3C24.56 188.1 23.72 190.6 24.06 193.1C24.41 195.6 25.91 197.8 28.1 199l335.4 187.2L350.6 408h-34.25c-16.5 0-31.16 10.34-36.44 25.69l-23.5 67.59c-.8437 2.438-.4687 5.156 1.031 7.25c1.5 2.125 3.937 3.375 6.531 3.375h303.1c2.781 0 5.344-1.438 6.812-3.812C576.3 505.7 576.4 502.8 575.1 500.3zM275.2 495.9l19.81-57C298.1 430 306.7 424 316.4 424h38.81c2.812 0 5.437-1.5 6.875-3.906l62.65-105.6c4.281-6.906 11.84-10.56 20.09-10.59c8.344 .3125 15.56 4.812 19.25 11.97l90.94 180H275.2zM263.1 112c30.87 0 55.1-25.12 55.1-56S294.9 0 263.1 0s-55.1 25.12-55.1 56S233.1 112 263.1 112zM263.1 16c22.06 0 39.1 17.94 39.1 40S286.1 96 263.1 96c-22.06 0-39.1-17.94-39.1-40S241.9 16 263.1 16zM190.5 358.4L68.28 281.3C66.06 279.8 63.38 279.6 61.06 280.6C58.69 281.5 56.91 283.5 56.25 286l-55.1 215.1c-1.094 4.281 1.469 8.625 5.75 9.75C6.658 511.9 7.346 512 8.002 512c3.562 0 6.812-2.375 7.75-5.1l53.25-205.4l112.9 71.28c16.34 10.31 26.09 28.03 26.09 47.38V504c0 4.406 3.594 8 7.1 8s7.1-3.594 7.1-8v-84.72C223.1 394.4 211.5 371.7 190.5 358.4z"],
    "person-dolly": [512, 512, [], "f4d0", "M56 400c-4.418 0-8 3.582-8 8v72c0 8.832-6.812 15.78-15.59 15.99C23.38 496.2 16 487.1 16 478.9V360C16 355.6 12.42 352 8 352S0 355.6 0 360v118.3c0 17.36 13.08 32.83 30.42 33.65c18.48 .873 33.59-13.7 33.59-31.97L64 408C64 403.6 60.42 400 56 400zM331.2 360.6c1.877 7.09 8.365 11.83 15.4 11.83c1.4 0 2.819-.1873 4.231-.5818l117-31.26c8.502-2.25 13.5-11.13 11.25-19.63l-31.38-116.9c-1.982-7.092-8.398-11.83-15.41-11.83c-1.393 0-2.812 .1875-4.222 .582L311.1 224.1c-8.502 2.25-13.63 11.13-11.25 19.63L331.2 360.6zM432.3 208.2l31.44 116.9l-117.1 31.31l-31.45-116.9L432.3 208.2zM80 104c28.71 0 52-23.29 52-52C132 23.29 108.7 0 80.01 0C51.3 0 28 23.29 28 51.1C28 80.71 51.29 104 80 104zM80 16c19.85 0 36 16.15 36 35.1C116 71.85 99.85 88 80 88S44 71.85 44 51.1C44 32.15 60.15 16 80 16zM501.1 384.3l-154.6 40.1C337.9 400.7 314.1 384 288 384c-2.738 0-5.346 .4727-7.992 .8066l-56.26-218.8c-1.125-4.282-5.312-6.813-9.75-5.751c-4.281 1.109-6.844 5.469-5.75 9.751L222.1 224L166.7 223.9L133.4 162.2c-11-21.12-32.84-34.25-56.59-34.25h-28.75C21.5 127.9 0 149.4 0 175.9v103c0 18.75 8.253 36.38 22.38 48.63l76.01 65.14l14.13 92.51C113.4 490.4 121.2 512 143.2 512c1.906 0 3.939-.1619 6.062-.5115c17.5-2.875 29.25-19.38 26.38-36.75l-14.13-92.51c-2.5-14.88-10.13-28.38-21.5-38.13L96.01 306.3V228.1l22.96 42.97c5.566 10.41 16.41 16.92 28.22 16.92l91.39 .0366l25.87 100.6C240.8 397.1 223.1 420.1 223.1 448c0 35.35 28.65 64 63.1 64C323.3 512 352 483.3 352 448c0-2.779-.4746-5.426-.8184-8.111l154.8-40.14c4.281-1.109 6.844-5.484 5.75-9.749C510.7 385.7 506.2 383.2 501.1 384.3zM147.2 271.1c-5.904 0-11.33-3.252-14.11-8.459L110.1 220.6C107.3 215.3 101.8 212.1 96 212.1c-2.605 0-5.275 .6387-7.801 2.014C82.93 216.1 80 222.9 80 228.9v77.49c0 4.67 2.039 9.105 5.582 12.14l44.01 37.75c8.529 7.311 14.26 17.48 16.1 28.39l14.16 92.69c.6953 4.203-.291 8.426-2.775 11.89c-2.486 3.469-6.184 5.762-10.41 6.457C145.4 495.9 144.3 496 143.2 496c-11.33 0-14.86-13.18-14.89-13.18c0 0 0-.0039 0 0l-14.12-92.5c-.5781-3.789-2.498-7.244-5.406-9.736L32.86 315.5C22.14 306.2 16 292.9 16 278.1V175.1c0-17.67 14.33-32 32-32h28.75c17.86 0 34.07 9.824 42.42 25.86l33.38 61.75c2.795 5.17 8.199 8.393 14.08 8.393L226.3 240l8.227 31.99H147.2zM288 496c-26.47 0-48-21.53-48-48s21.53-48 48-48s48 21.53 48 48S314.5 496 288 496z"],
    "person-dolly-empty": [512, 512, [], "f4d1", "M80 104c28.71 0 52-23.29 52-52C132 23.29 108.7 0 80.01 0C51.3 0 28 23.29 28 51.1C28 80.71 51.29 104 80 104zM80 16c19.85 0 36 16.15 36 35.1C116 71.85 99.85 88 80 88S44 71.85 44 51.1C44 32.15 60.15 16 80 16zM501.1 384.3l-154.6 40.1C337.9 400.7 314.1 384 288 384c-2.738 0-5.346 .4727-7.992 .8066l-56.26-218.8c-1.125-4.282-5.312-6.813-9.75-5.751c-4.281 1.109-6.843 5.469-5.75 9.751L222.1 224L166.7 223.9L133.4 162.2c-11-21.12-32.84-34.25-56.59-34.25h-28.75C21.5 127.9 0 149.4 0 175.9v103c0 18.75 8.253 36.38 22.38 48.63l76.01 65.14l14.13 92.51C113.4 490.4 121.2 512 143.2 512c1.906 0 3.939-.1619 6.062-.5115c17.5-2.875 29.25-19.38 26.38-36.75l-14.13-92.51c-2.5-14.88-10.13-28.38-21.5-38.13L96.01 306.3V228.1l22.96 42.97c5.566 10.41 16.41 16.92 28.22 16.92l91.39 .0366l25.87 100.6C240.8 397.1 223.1 420.1 223.1 448c0 35.35 28.65 64 63.1 64C323.3 512 352 483.3 352 448c0-2.779-.4746-5.426-.8184-8.111l154.8-40.14c4.281-1.109 6.844-5.484 5.75-9.749C510.7 385.7 506.2 383.2 501.1 384.3zM147.2 271.1c-5.904 0-11.33-3.252-14.11-8.459L110.1 220.6C107.3 215.3 101.8 212.1 96 212.1c-2.605 0-5.275 .6387-7.801 2.014C82.93 216.1 80 222.9 80 228.9v77.49c0 4.67 2.039 9.105 5.582 12.14l44.01 37.75c8.529 7.311 14.26 17.48 16.1 28.39l14.16 92.69c.6953 4.203-.291 8.426-2.775 11.89c-2.486 3.469-6.184 5.762-10.41 6.457C145.4 495.9 144.3 496 143.2 496c-11.33 0-14.86-13.18-14.89-13.18c0 0 0-.0039 0 0l-14.12-92.5c-.5781-3.789-2.498-7.244-5.406-9.736L32.86 315.5C22.14 306.2 16 292.9 16 278.1V175.1c0-17.67 14.33-32 32-32h28.75c17.86 0 34.07 9.824 42.42 25.86l33.38 61.75c2.795 5.17 8.199 8.393 14.08 8.393L226.3 240l8.227 31.99H147.2zM288 496c-26.47 0-48-21.53-48-48s21.53-48 48-48s48 21.53 48 48S314.5 496 288 496zM56 400c-4.418 0-8 3.582-8 8v72c0 8.832-6.812 15.78-15.59 15.99C23.38 496.2 16 487.1 16 478.9V360C16 355.6 12.42 352 8 352S0 355.6 0 360v118.3c0 17.36 13.08 32.83 30.42 33.65c18.48 .873 33.59-13.7 33.59-31.97L64 408C64 403.6 60.42 400 56 400z"],
    "person-dots-from-line": [576, 512, ["diagnoses"], "f470", "M463.1 256c8.75 0 15.1-7.25 15.1-16S472.7 224 463.1 224s-15.1 7.25-15.1 16S455.2 256 463.1 256zM287.1 176c48.5 0 87.1-39.5 87.1-88S336.5 0 287.1 0S200 39.5 200 88S239.5 176 287.1 176zM288 16c39.7 0 72 32.3 72 72S327.7 160 288 160S216 127.7 216 88S248.3 16 288 16zM80 256c8.75 0 15.1-7.25 15.1-16S88.75 224 80 224S64 231.3 64 240S71.25 256 80 256zM132.4 250.9c.9687 0 1.953-.1875 2.922-.5625C188.1 229.6 239.5 219.1 288 219.1c39.2 0 80.64 6.969 123.2 20.69c4.234 1.344 8.719-.9687 10.06-5.156c1.359-4.219-.9531-8.719-5.156-10.09C371.1 210.3 328.9 203.1 288 203.1c-50.5 0-103.8 10.88-158.5 32.31c-4.109 1.594-6.141 6.25-4.531 10.34C126.2 248.9 129.2 250.9 132.4 250.9zM543.8 304.1c17.33 12.38 21.36 36.59 9 53.94c-12 16.69-37.25 20.91-53.92 9c-.3438-.2187-45.86-28.75-104.2-49.56L384 313.7V448c0 4.406 3.578 8 8 8S400 452.4 400 448v-111.5c50.8 19.44 89.39 43.44 89.56 43.53c23.72 16.91 59.33 10.91 76.27-12.69c17.5-24.56 11.78-58.75-12.67-76.22C552.1 291 534.1 277.3 501.8 260.5c-3.922-2.062-8.734-.5313-10.8 3.406c-2.047 3.906-.5156 8.75 3.391 10.78C525.2 290.7 543.6 303.9 543.8 304.1zM86.22 380.2C86.61 379.9 125.2 355.8 176 336.3V448c0 4.406 3.578 8 8 8S192 452.4 192 448V313.5L181.3 317.3c-58.67 20.88-103.8 49.44-104.1 49.66c-17.47 12.34-41.64 8.344-53.97-8.969c-12.38-17.34-8.344-41.56 9.078-54c2-1.438 12.8-8.844 29.11-18.25c3.828-2.219 5.141-7.094 2.938-10.94C62.11 271 57.2 269.7 53.39 271.9C33.86 283.2 22.92 291.1 22.91 291.1c-24.52 17.5-30.23 51.69-12.73 76.25C27.64 391.8 61.89 397.5 86.22 380.2zM320 368c0 8.832 7.166 16 16 16s16-7.168 16-16c0-8.834-7.166-16-16-16S320 359.2 320 368zM224 272C224 280.8 231.2 288 240 288S256 280.8 256 272C256 263.2 248.8 256 240 256S224 263.2 224 272zM568 496H8C3.578 496 0 499.6 0 504S3.578 512 8 512h560c4.422 0 8-3.594 8-8S572.4 496 568 496z"],
    "person-dress": [320, 512, ["female"], "f182", "M103.1 56C103.1 25.07 129.1 0 159.1 0C190.9 0 215.1 25.07 215.1 56C215.1 86.93 190.9 112 159.1 112C129.1 112 103.1 86.93 103.1 56zM159.1 96C182.1 96 199.1 78.09 199.1 56C199.1 33.91 182.1 16 159.1 16C137.9 16 119.1 33.91 119.1 56C119.1 78.09 137.9 96 159.1 96zM114.5 200.4C118.7 201.8 120.1 206.3 119.6 210.5L67.1 368H252.9L200.4 210.5C199 206.3 201.3 201.8 205.5 200.4C209.7 199 214.2 201.3 215.6 205.5L271.6 373.5C272.4 375.9 271.1 378.6 270.5 380.7C268.1 382.8 266.6 384 264 384H231.1V480C231.1 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V384H151.1V480C151.1 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480V384H56C53.43 384 51.02 382.8 49.51 380.7C48.01 378.6 47.6 375.9 48.41 373.5L104.4 205.5C105.8 201.3 110.3 199 114.5 200.4H114.5zM104 384V480C104 488.8 111.2 496 120 496C128.8 496 135.1 488.8 135.1 480V384H104zM200 496C208.8 496 215.1 488.8 215.1 480V384H184V480C184 488.8 191.2 496 200 496V496zM23.21 315.5C21.29 319.5 16.5 321.1 12.53 319.2C8.546 317.3 6.877 312.5 8.797 308.5L69.71 182.3C85.72 149.1 119.3 128 156.2 128H163.8C200.7 128 234.3 149.1 250.3 182.3L311.2 308.5C313.1 312.5 311.5 317.3 307.5 319.2C303.5 321.1 298.7 319.5 296.8 315.5L235.9 189.2C222.5 161.6 194.5 143.1 163.8 143.1H156.2C125.5 143.1 97.47 161.6 84.12 189.2L23.21 315.5z"],
    "person-dress-burst": [640, 512, [], "e544", "M535.1 56C535.1 86.93 510.9 112 479.1 112C449.1 112 423.1 86.93 423.1 56C423.1 25.07 449.1 0 479.1 0C510.9 0 535.1 25.07 535.1 56zM479.1 16C457.9 16 439.1 33.91 439.1 56C439.1 78.09 457.9 96 479.1 96C502.1 96 519.1 78.09 519.1 56C519.1 33.91 502.1 16 479.1 16V16zM387.1 368H572.9L520.4 210.5C519 206.3 521.3 201.8 525.5 200.4C529.7 199 534.2 201.3 535.6 205.5L591.6 373.5C592.4 375.9 591.1 378.6 590.5 380.7C588.1 382.8 586.6 384 584 384H551.1V480C551.1 497.7 537.7 512 520 512C502.3 512 488 497.7 488 480V384H471.1V480C471.1 497.7 457.7 512 440 512C422.3 512 408 497.7 408 480V384H376C373.4 384 371 382.8 369.5 380.7C368 378.6 367.6 375.9 368.4 373.5L424.4 205.5C425.8 201.3 430.3 199 434.5 200.4C438.7 201.8 440.1 206.3 439.6 210.5L387.1 368zM439.1 496C448.8 496 455.1 488.8 455.1 480V384H424V480C424 488.8 431.2 496 439.1 496V496zM504 384V480C504 488.8 511.2 496 520 496C528.8 496 535.1 488.8 535.1 480V384H504zM476.2 144C445.5 144 417.5 161.6 404.1 189.2L343.2 315.5C341.3 319.5 336.5 321.1 332.5 319.2C328.5 317.3 326.9 312.5 328.8 308.5L389.7 182.3C405.7 149.1 439.3 128 476.2 128H483.8C520.7 128 554.3 149.1 570.3 182.3L631.2 308.5C633.1 312.5 631.5 317.3 627.5 319.2C623.5 321.1 618.7 319.5 616.8 315.5L555.9 189.2C542.5 161.6 514.5 144 483.8 144H476.2zM221.9 88.7L294.8 70.68C308.1 67.4 319.1 81.2 312.9 93.41L278.1 160.8L332.7 206.7C342.7 215.3 338.7 231.6 325.9 234.5L258.7 249.8L260 325C260.3 338.7 244.4 346.4 233.9 337.6L175.1 289.8L118.1 337.6C107.6 346.4 91.7 338.7 91.95 325L93.3 249.8L26.14 234.5C13.32 231.6 9.305 215.3 19.3 206.7L73.03 160.8L39.09 93.41C32.93 81.2 43.94 67.4 57.22 70.68L130.1 88.7L161.5 20.47C167.2 8.051 184.8 8.051 190.5 20.47L221.9 88.7zM141.9 101.4C140.3 104.9 136.4 106.7 132.7 105.8L53.38 86.21L90.14 159.2C91.8 162.5 90.1 166.5 88.2 168.9L29.7 218.9L103.2 235.7C106.9 236.5 109.5 239.8 109.4 243.6L107.9 325.3L170.9 273.2C173.9 270.8 178.1 270.8 181.1 273.2L244.1 325.3L242.6 243.6C242.5 239.8 245.1 236.5 248.8 235.7L322.3 218.9L263.8 168.9C261 166.5 260.2 162.5 261.9 159.2L298.6 86.21L219.3 105.8C215.6 106.7 211.7 104.9 210.1 101.4L176 27.16L141.9 101.4z"],
    "person-dress-simple": [256, 512, [], "e21c", "M128 128c35.38 0 64-28.62 64-64S163.4 0 128 0S63.1 28.62 63.1 64S92.63 128 128 128zM128 16c26.47 0 48 21.53 48 48S154.5 112 128 112S80 90.47 80 64S101.5 16 128 16zM255.4 363.6l-51.54-180.4C199.9 169.5 187.4 160 173.1 160H82.94C68.65 160 56.09 169.5 52.17 183.2l-51.54 180.4C-2.295 373.8 5.379 384 16.01 384H56v96c0 17.64 14.34 32 31.1 32S120 497.6 120 480v-96h16v96c0 17.64 14.34 32 32 32S200 497.6 200 480v-96h39.99C250.6 384 258.3 373.8 255.4 363.6zM104 480c0 8.828-7.188 16-16 16s-16-7.172-16-16v-96h32V480zM184 480c0 8.828-7.188 16-16 16s-16-7.172-16-16v-96h32V480zM16.01 368l51.54-180.4C69.5 180.8 75.83 176 82.94 176h90.13c7.105 0 13.43 4.771 15.38 11.6L239.1 368H16.01z"],
    "person-drowning": [576, 512, [], "e545", "M197.3 241.8C201.7 245.3 203.1 250.9 203.2 256.6L184.1 384.1C179.8 383.6 174.5 382.6 169.2 381.2L187.3 254.3C140.8 217.5 112 160.7 112 98.72V72C112 49.91 129.9 32 152 32C174.1 32 192 49.91 192 72V98.72C192 150.8 226 196.7 275.8 211.9C316.1 224.1 358.8 225.4 399.7 215.7L494.7 193.1C516.2 187.1 537.8 201.2 542.9 222.7C548 244.2 534.8 265.8 513.3 270.9L418.3 293.5C405.4 296.6 392.4 298.8 379.4 300.3L364.5 382.1C359.4 380.9 354.2 379.3 349.1 377.2L363.6 297.4C364.9 290.4 370.6 285.1 377.6 284.4C390 282.1 402.4 280.9 414.6 277.1L509.6 255.3C522.5 252.3 530.4 239.3 527.3 226.4C524.3 213.5 511.3 205.6 498.4 208.7L403.5 231.3C359.8 241.7 314.1 240.3 271.2 227.2C214.6 209.1 176 157.8 176 98.72V71.1C176 58.74 165.3 47.1 152 47.1C138.7 47.1 128 58.74 128 71.1V98.72C128 155.7 154.4 207.9 197.3 241.8H197.3zM384 127.1C384 163.3 355.3 191.1 320 191.1C284.7 191.1 256 163.3 256 127.1C256 92.65 284.7 63.1 320 63.1C355.3 63.1 384 92.65 384 127.1zM320 175.1C346.5 175.1 368 154.5 368 127.1C368 101.5 346.5 79.1 320 79.1C293.5 79.1 272 101.5 272 127.1C272 154.5 293.5 175.1 320 175.1zM294.6 403.4C302.6 414.6 312.1 424.9 322.2 434.1C339.5 449.8 361.5 464 384 464C406.5 464 428.6 449.8 445.8 434.1C455.1 424.9 465.5 414.6 473.5 403.4C474.1 401.3 477.4 400 480 400C482.6 400 485.1 401.3 486.6 403.4C493.9 413.7 502.5 423 511.6 431.7C527.3 446.5 547.7 460.9 569 463.6C573.4 464.1 576.5 468.1 575.9 472.5C575.4 476.9 571.4 479.1 567 479.4C540.5 476.1 516.1 458.7 500.6 443.3C491.8 434.1 484.7 426.9 480 421.1C474.8 427.5 466.8 436.7 456.6 445.9C438.7 462.2 412.7 480 384 480C355.3 480 329.4 462.2 311.4 445.9C301.3 436.7 293.2 427.5 288 421.1L288 421.1L287.1 421.1C282.8 427.5 274.7 436.7 264.6 445.9C246.6 462.2 220.7 480 191.1 480C163.3 480 137.4 462.2 119.4 445.9C109.2 436.7 101.2 427.5 95.98 421.1C91.29 426.9 84.23 434.1 75.4 443.3C59.03 458.7 35.48 476.1 9.001 479.4C4.617 479.1 .616 476.9 .0637 472.5C-.4887 468.1 2.617 464.1 7.001 463.6C28.3 460.9 48.74 446.5 64.42 431.7C73.56 423 82.16 413.7 89.43 403.4C90.93 401.3 93.37 400 95.98 400C98.59 400 101 401.3 102.5 403.4C110.5 414.6 120 424.9 130.2 434.1C147.4 449.8 169.5 464 191.1 464C214.5 464 236.6 449.8 253.8 434.1C263.9 424.9 273.4 414.6 281.4 403.4C284.4 399.1 291.6 399.1 294.6 403.4H294.6z"],
    "person-falling": [448, 512, [], "e546", "M272.5 255.1H344C359.1 255.1 373.3 263.1 382.4 275.2L425.6 332.8C436.2 346.9 433.3 366.1 419.2 377.6C405.1 388.2 385 385.3 374.4 371.2L336 319.1H254.6L346.9 462.6C356.5 477.5 352.2 497.3 337.4 506.9C322.5 516.5 302.7 512.2 293.1 497.4L132.5 249.2C130.2 256.5 128.7 264.1 128.2 271.9C128.1 274 127.1 276.1 127.1 278.2V351.1C127.1 369.7 113.7 383.1 95.1 383.1C78.33 383.1 63.1 369.7 63.1 351.1V278.2C63.1 213 103.6 154.5 164.1 130.3C200.3 115.8 223.1 80.79 223.1 41.84V32C223.1 14.33 238.3 0 256 0C273.7 0 288 14.33 288 32V41.84C288 91.28 265.1 136.9 227.7 166.6C223.8 169.8 219.7 172.7 215.5 175.4L215.7 175.8L272.5 255.1zM199.7 172.5C200.5 168.2 203.1 164.4 206.7 162C246.9 135.9 272 90.96 272 41.84V31.1C272 23.16 264.8 15.1 256 15.1C247.2 15.1 240 23.16 240 31.1V41.84C240 87.33 212.3 128.2 170.1 145.1C115.7 166.9 79.1 219.6 79.1 278.2V351.1C79.1 360.8 87.16 367.1 95.1 367.1C104.8 367.1 111.1 360.8 111.1 351.1V278.2C111.1 266.5 113.8 255.1 117.3 244.3C119.2 238.4 124.3 234.1 130.4 233.3C136.5 232.5 142.6 235.3 145.1 240.5L306.6 488.7C311.4 496.1 321.3 498.2 328.7 493.4C336.1 488.6 338.2 478.7 333.4 471.3L241.2 328.7C237.1 323.8 237.7 317.5 240.5 312.4C243.3 307.2 248.7 303.1 254.6 303.1H336C341 303.1 345.8 306.4 348.8 310.4L387.2 361.6C392.5 368.7 402.5 370.1 409.6 364.8C416.7 359.5 418.1 349.5 412.8 342.4L369.6 284.8C363.6 276.7 354.1 271.1 344 271.1H272.5C267.4 271.1 262.5 269.5 259.5 265.2L202.7 185.1L202.5 184.8C199.9 181.2 198.9 176.8 199.7 172.5V172.5zM144 87.1C144 118.9 118.9 143.1 88 143.1C57.07 143.1 32 118.9 32 87.1C32 57.07 57.07 31.1 88 31.1C118.9 31.1 144 57.07 144 87.1zM88 127.1C110.1 127.1 128 110.1 128 87.1C128 65.91 110.1 47.1 88 47.1C65.91 47.1 48 65.91 48 87.1C48 110.1 65.91 127.1 88 127.1z"],
    "person-falling-burst": [640, 512, [], "e547", "M311.1 255.1C327.1 255.1 341.3 263.1 350.4 275.2L393.6 332.8C404.2 346.9 401.3 366.1 387.2 377.6C373.1 388.2 353 385.3 342.4 371.2L303.1 319.1H222.6L314.9 462.6C324.5 477.5 320.2 497.3 305.4 506.9C290.5 516.5 270.7 512.2 261.1 497.4L100.5 249.2C98.18 256.5 96.71 264.1 96.2 271.9C96.07 274 95.1 276.1 95.1 278.2V351.1C95.1 369.7 81.67 383.1 63.1 383.1C46.33 383.1 31.1 369.7 31.1 351.1V278.2C31.1 213 71.65 154.5 132.1 130.3C168.3 115.8 191.1 80.79 191.1 41.84V32C191.1 14.33 206.3 0 223.1 0C241.7 0 255.1 14.33 255.1 32V41.84C255.1 91.28 233.1 136.9 195.7 166.6C191.8 169.8 187.7 172.7 183.5 175.4L183.7 175.8L240.5 255.1L311.1 255.1zM240 41.84V31.1C240 23.16 232.8 15.1 224 15.1C215.2 15.1 208 23.16 208 31.1V41.84C208 87.33 180.3 128.2 138.1 145.1C83.67 166.9 48 219.6 48 278.2V351.1C48 360.8 55.16 367.1 64 367.1C72.84 367.1 80 360.8 80 351.1V278.2C80 266.5 81.83 255.1 85.28 244.3C87.16 238.4 92.27 234.1 98.4 233.3C104.5 232.5 110.6 235.3 113.1 240.5L274.6 488.7C279.4 496.1 289.3 498.2 296.7 493.4C304.1 488.6 306.2 478.7 301.4 471.3L209.2 328.7C205.1 323.8 205.7 317.5 208.5 312.4C211.3 307.2 216.7 303.1 222.6 303.1H303.1C309 303.1 313.8 306.4 316.8 310.4L355.2 361.6C360.5 368.7 370.5 370.1 377.6 364.8C384.7 359.5 386.1 349.5 380.8 342.4L337.6 284.8C331.6 276.7 322.1 271.1 311.1 271.1H240.5C235.4 271.1 230.5 269.5 227.5 265.2L170.7 185.1L170.5 184.8C167.9 181.2 166.9 176.8 167.7 172.5C168.5 168.2 171.1 164.4 174.7 162C214.9 135.9 240 90.96 240 41.84V41.84zM0 87.1C0 57.07 25.07 31.1 56 31.1C86.93 31.1 112 57.07 112 87.1C112 118.9 86.93 143.1 56 143.1C25.07 143.1 0 118.9 0 87.1zM56 47.1C33.91 47.1 16 65.91 16 87.1C16 110.1 33.91 127.1 56 127.1C78.09 127.1 96 110.1 96 87.1C96 65.91 78.09 47.1 56 47.1zM449.5 20.48C455.2 8.051 472.8 8.051 478.5 20.48L509.9 88.7L582.8 70.68C596.1 67.4 607.1 81.2 600.9 93.41L566.1 160.8L620.7 206.7C630.7 215.3 626.7 231.6 613.9 234.5L546.7 249.8L548.1 325C548.3 338.7 532.4 346.4 521.9 337.6L464 289.8L418.4 327.5C417 324.7 415.4 322 413.6 319.4L409.7 313.1L458.9 273.2C461.9 270.8 466.1 270.8 469.1 273.2L532.1 325.3L530.6 243.6C530.5 239.8 533.1 236.5 536.8 235.7L610.3 218.9L551.8 168.9C549 166.5 548.2 162.5 549.9 159.2L586.6 86.21L507.3 105.8C503.6 106.7 499.7 104.9 498.1 101.4L464 27.16L429.9 101.4C428.3 104.9 424.4 106.7 420.7 105.8L341.4 86.21L378.1 159.2C379.8 162.5 379 166.5 376.2 168.9L317.7 218.9L391.2 235.7C394.9 236.5 397.5 239.8 397.4 243.6L396.5 295.5L380.9 273.7L381.3 249.8L314.1 234.5C301.3 231.6 297.3 215.3 307.3 206.7L361 160.8L327.1 93.41C320.9 81.2 331.9 67.39 345.2 70.68L418.1 88.7L449.5 20.48z"],
    "person-from-portal": [512, 512, ["portal-exit"], "e023", "M372 104c28.71 0 52-23.29 52-52S400.7 0 372 0C343.3 0 320 23.29 320 52S343.3 104 372 104zM372 16c19.85 0 36 16.15 36 36c0 19.85-16.15 36-36 36c-19.85 0-36-16.15-36-36C336 32.15 352.2 16 372 16zM104.1 475.8C98.5 485 89.77 496 80 496c-30.27 0-64-98.56-64-240s33.73-240 64-240c13.12 0 32.44 21.52 47.25 81.91c1.047 4.297 5.328 6.938 9.672 5.859C141.2 102.7 143.8 98.39 142.8 94.09C127.9 33.42 105.6 0 80 0C28.03 0 0 131.9 0 255.1s28.03 255.1 80 255.1c13.81 0 26.52-9.357 37.77-27.84c2.297-3.766 1.109-8.688-2.672-10.98C111.3 470.9 106.4 472 104.1 475.8zM480 223.1h-44.01l-26.1-53.25c-12.5-25.5-35.39-44.23-61.76-50.98l-71.1-21.13c-7.455-1.781-15.02-2.669-22.51-2.669c-20.88-.002-41.35 6.825-58.28 19.8l-39.71 30.47c-14 10.75-16.64 30.72-5.891 44.85c6.291 8.193 15.79 12.53 25.4 12.53c6.807 0 13.67-2.163 19.47-6.62L235.1 166.6c5.92-4.488 12.99-6.772 19.51-6.772c2.018 0 3.96 .1569 5.819 .6003l14.65 4.333L237.7 252.2C225.1 281.6 236.4 316.3 264 332.5l84.98 50.18L321.5 470.4c-5.25 16.88 4.086 34.86 20.96 40.11C345.6 511.5 348.9 512 352 512c13.62 0 26.3-8.692 30.55-22.44l31.68-101.1c5.875-20.75-2.917-43.13-21.67-54.38l-61.21-36.13l31.27-78.34l20.26 41.48c8 16.25 24.99 26.88 43.11 26.88H480c17.62 0 32-14.37 32-31.1C512 238.2 497.6 223.1 480 223.1zM480 272h-54c-11.93 0-23.49-7.211-28.75-17.89l-20.25-41.5c-2.688-5.51-8.279-8.982-14.38-8.982c-.1992 0-.4004 .0039-.5996 .0098c-6.328 .2363-11.92 4.182-14.27 10.06l-31.25 78.38c-2.922 7.326-.0684 15.69 6.721 19.7l61.03 36.07c12.51 7.508 18.51 22.43 14.72 35.86l-31.77 101.1C365.1 491.5 359 496 352 496c-1.514 0-3.113-.2559-4.746-.7793c-4.062-1.264-7.391-4.045-9.369-7.834c-1.99-3.807-2.383-8.16-1.117-12.23l27.5-87.75c2.225-7.096-.7344-14.79-7.141-18.57L272.1 318.7C251.3 306.5 242.8 280.6 252.3 258.6l37.5-87.5c1.805-4.213 1.717-8.996-.2402-13.14c-1.959-4.143-5.602-7.248-10-8.527l-15.38-4.451c-3.059-.7266-6.271-1.096-9.547-1.096c-10.29 0-20.66 3.564-29.27 10.09L185.8 184.3c-2.816 2.164-6.182 3.307-9.729 3.307c-5.035 0-9.668-2.271-12.67-6.18C157.1 174.4 159.3 164.3 166.2 158.9l39.74-30.49C220.1 117.7 236.8 111.1 254.5 111.1c6.293 0 12.61 .748 17.94 1.996l71.71 21.29c21.84 5.588 41.03 21.49 51.35 42.55l26.04 53.3C424.2 236.6 429.8 240 435.9 240H480c8.822 0 16 7.178 16 16S488.8 272 480 272zM242.4 364.6l-15.5 24.31C222.5 395.8 214.9 400 206.7 400H128c-8.828 0-16-7.188-16-16s7.172-16 16-16h63.13c2.766 0 5.328-1.438 6.797-3.781l24.88-40c2.328-3.75 1.188-8.688-2.578-11C216.5 310.8 211.5 312 209.2 315.8L186.7 352L128 351.1c-17.64 0-31.98 14.37-31.98 32.02S110.4 415.1 128 415.1L206.7 416c13.73 0 26.34-6.906 33.73-18.5l15.5-24.31c2.375-3.75 1.281-8.688-2.453-11.06C249.8 359.8 244.9 360.9 242.4 364.6z"],
    "person-half-dress": [320, 512, [], "e548", "M104 56C104 25.07 129.1 0 160 0C190.9 0 216 25.07 216 56C216 86.93 190.9 112 160 112C129.1 112 104 86.93 104 56zM160 96C182.1 96 200 78.09 200 56C200 33.91 182.1 16 160 16C137.9 16 120 33.91 120 56C120 78.09 137.9 96 160 96zM23.21 315.5C21.29 319.5 16.5 321.1 12.53 319.2C8.546 317.3 6.877 312.5 8.797 308.5L76.26 168.7C88.27 143.8 113.5 128 141.1 128H178.9C206.5 128 231.7 143.8 243.7 168.7L311.2 308.5C313.1 312.5 311.5 317.3 307.5 319.2C303.5 321.1 298.7 319.5 296.8 315.5L229.3 175.7C219.1 156.3 200.4 143.1 178.9 143.1H168V368H176C180.4 368 184 371.6 184 376V480C184 488.8 191.2 496 199.1 496C208.8 496 215.1 488.8 215.1 480V247.1C215.1 243.6 219.6 239.1 223.1 239.1C228.4 239.1 231.1 243.6 231.1 247.1V480C231.1 497.7 217.7 512 199.1 512C182.3 512 168 497.7 168 480V384H151.1V480C151.1 497.7 137.7 512 119.1 512C102.3 512 88 497.7 88 480V384H56C53.43 384 51.01 382.8 49.51 380.7C48.01 378.6 47.6 375.9 48.41 373.5L104.4 205.5C105.8 201.3 110.3 199 114.5 200.4C118.7 201.8 120.1 206.3 119.6 210.5L67.1 368H152V144H141.1C119.6 144 100 156.3 90.67 175.7L23.21 315.5zM119.1 496C128.8 496 135.1 488.8 135.1 480V384H104V480C104 488.8 111.2 496 119.1 496V496z"],
    "person-harassing": [576, 512, [], "e549", "M247.1 56C247.1 86.93 222.9 112 191.1 112C161.1 112 135.1 86.93 135.1 56C135.1 25.07 161.1 0 191.1 0C222.9 0 247.1 25.07 247.1 56zM191.1 16C169.9 16 151.1 33.91 151.1 56C151.1 78.09 169.9 96 191.1 96C214.1 96 231.1 78.09 231.1 56C231.1 33.91 214.1 16 191.1 16V16zM104 480C104 488.8 111.2 496 120 496C128.8 496 136 488.8 136 480V360C136 346.7 146.7 336 160 336C173.3 336 184 346.7 184 360V480C184 488.8 191.2 496 200 496C208.8 496 216 488.8 216 480V248C216 243.6 219.6 240 224 240C228.4 240 232 243.6 232 248V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V360C168 355.6 164.4 352 160 352C155.6 352 152 355.6 152 360V480C152 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480V248C88 243.6 91.59 240 96 240C100.4 240 104 243.6 104 248V480zM141.1 144C119.6 144 100 156.3 90.67 175.7L23.21 315.5C21.29 319.5 16.5 321.1 12.53 319.2C8.546 317.3 6.877 312.5 8.797 308.5L76.26 168.7C88.27 143.8 113.5 128 141.1 128H184.8C208.9 128 231.4 140.1 244.7 160.2L326.7 283.6C329.1 287.3 328.1 292.2 324.4 294.7C320.7 297.1 315.8 296.1 313.3 292.4L231.4 169C221 153.4 203.5 144 184.8 144L141.1 144zM463.4 492.7L408.8 438L380.6 494.3C372.7 510.1 353.5 516.5 337.7 508.6C321.9 500.7 315.5 481.5 323.4 465.7L371.4 369.7C375.1 360.5 384.7 354.1 394.9 352.4C405 350.8 415.4 354.1 422.6 361.4L464 402.7V344C464 313.1 489.1 288 520 288C550.9 288 576 313.1 576 344V446.1C576 482.5 546.5 512 510.1 512C492.6 512 475.8 505.1 463.4 492.7V492.7zM411.3 372.7C407.7 369 402.5 367.4 397.4 368.2C392.4 369 387.1 372.2 385.7 376.8L337.7 472.8C333.7 480.7 336.9 490.4 344.8 494.3C352.7 498.3 362.4 495.1 366.3 487.2L394.5 430.9C396.8 426.3 401.1 423.1 406.2 422.2C411.3 421.4 416.4 423.1 420.1 426.7L474.7 481.4C484.1 490.7 496.8 496 510.1 496C537.6 496 560 473.6 560 446.1V344C560 321.9 542.1 304 520 304C497.9 304 480 321.9 480 344V402.7C480 409.2 476.1 415 470.1 417.5C464.1 420 457.3 418.6 452.7 414.1L411.3 372.7zM384 240C384 213.5 405.5 192 432 192C458.5 192 480 213.5 480 240C480 266.5 458.5 288 432 288C405.5 288 384 266.5 384 240zM432 208C414.3 208 400 222.3 400 240C400 257.7 414.3 272 432 272C449.7 272 464 257.7 464 240C464 222.3 449.7 208 432 208zM296 48C296 43.58 299.6 40 304 40H360C364.4 40 368 43.58 368 48C368 52.42 364.4 56 360 56H304C299.6 56 296 52.42 296 48zM331.6 128.8C335.5 130.8 337.1 135.6 335.2 139.6C333.2 143.5 328.4 145.1 324.4 143.2L276.4 119.2C272.5 117.2 270.9 112.4 272.8 108.4C274.8 104.5 279.6 102.9 283.6 104.8L331.6 128.8z"],
    "person-hiking": [384, 512, ["hiking"], "f6ec", "M240 112c30.88 0 56-25.12 56-56S270.9 0 240 0S184 25.12 184 56S209.1 112 240 112zM240 16c22.06 0 40 17.94 40 40S262.1 96 240 96S200 78.06 200 56S217.9 16 240 16zM360 187.4V136C360 131.6 356.4 128 352 128s-8 3.594-8 8v48h-43.19l-42.61-36.94c-13.19-13.16-30.48-19.75-49.36-19C180.6 129.5 155.7 151.3 148.3 181L123.1 281.8C119.9 294.1 123.8 309.1 133.5 318.6L216 400.2V473C216 494.1 234.8 512 257 512c21.5 0 39-17.5 39-39v-76.16c0-18.44-7.469-36.47-20.69-49.69L230.4 305c1.891-7.219 6.047-23.47 15.59-61.16l11.73 10.28C264.1 260.5 274.3 264 284 264H344v240c0 4.406 3.579 8 8.001 8S360 508.4 360 504V260.6C374.1 254.4 384 240.4 384 224S374.1 193.6 360 187.4zM344 248h-59.98c-5.812 0-11.42-2.094-15.8-5.938l-21.55-18.84c-2.109-1.812-5-2.469-7.641-1.594c-2.656 .8125-4.703 2.969-5.375 5.656c0 0-18.89 74.53-19.39 76.75c-1.578 3.156-.8906 6.969 1.688 9.406l48.23 45.22C274.2 368.7 280 382.6 280 396.8V473c0 12.69-10.31 23-23 23c-13.08 0-25-10.97-25-23v-76.16c0-2.125-.8594-4.188-2.375-5.688L144.7 307.2C139 301.6 136.8 293.4 138.7 285.7l25.14-100.8c5.734-22.97 24.58-39.75 45.83-40.81C210.5 144 211.3 144 212.2 144c13.11 0 25.38 5.062 35.09 14.75l45.28 39.28C294 199.3 295.9 200 297.8 200H344c13.23 0 24 10.78 24 24S357.2 248 344 248zM94.82 276.2l40.67-158.8C137.7 109 132.4 100.4 123.8 98.4C117.1 96.78 110.5 96 103.9 96c-36.25 0-69.23 23.8-78.44 59.41L.5119 253.3C-1.713 261.6 3.701 270.3 12.35 272.3l62.82 15.26C76.49 287.8 77.82 288 79.13 288C86.36 288 92.94 283.3 94.82 276.2zM78.93 271.1L16.01 257.3l24.96-97.88C48.19 131.5 74.08 112 103.9 112c5.371 0 10.76 .6523 16.07 1.391L78.93 271.1zM173.7 398.9c-4.355-4.312-11.91-2.402-13.39 3.543l-19.02 76.11c-3.047 12.22-16.36 19.94-27.84 16.72c-5.984-1.5-11.02-5.219-14.19-10.53c-3.125-5.219-4.016-11.38-2.5-17.31l27.89-111.8c.6562-2.625-.1416-5.471-2.011-7.432c-.0527-.0547 .0547 .0547 0 0c-4.299-4.512-11.98-2.607-13.49 3.439l-27.9 111.9c-2.562 10.06-1.047 20.5 4.281 29.44c5.375 8.969 13.91 15.31 23.81 17.75C112.3 511.6 115.5 512 118.1 512c17.91 0 33.44-12.16 37.8-29.56l18.99-75.99C176.5 403.7 175.7 400.9 173.7 398.9z"],
    "person-military-pointing": [512, 512, [], "e54a", "M366 2.247C375.6 1.053 384 8.499 384 18.12V63.1C384 72.84 376.8 79.1 368 79.1H215.1C202.7 79.1 191.1 69.25 191.1 55.1V45.19C191.1 33.08 201 22.87 213 21.37L366 2.247zM368 18.12L215 37.25C211 37.75 207.1 41.15 207.1 45.19V55.1C207.1 60.42 211.6 63.1 215.1 63.1H368V18.12zM192 439.6V303.1H40.01C17.92 303.1 .0077 286.1 .0077 263.1C.0077 241.9 17.92 223.1 40.01 223.1H313.2C361.3 223.1 405.8 249.4 430.3 290.8L506.4 419.7C517.7 438.7 511.4 463.2 492.4 474.4C473.3 485.7 448.8 479.4 437.6 460.3L384 369.7V480C384 497.7 369.7 512 352 512H224C206.3 512 192 497.7 192 480V440.4C191.1 440.1 191.1 439.9 192 439.6V439.6zM357.1 248.3C343.3 242.9 328.5 239.1 313.2 239.1H40.01C26.75 239.1 16.01 250.7 16.01 263.1C16.01 277.3 26.75 287.1 40.01 287.1H192C200.8 287.1 208 295.2 208 303.1V418.7L357.1 248.3zM208 480C208 488.8 215.2 496 224 496H352C360.8 496 368 488.8 368 480V448H208V480zM368 432V369.7C368 362.5 372.8 356.2 379.8 354.3C386.7 352.4 394.1 355.4 397.8 361.6L451.3 452.2C458.1 463.6 472.8 467.4 484.2 460.7C495.6 453.9 499.4 439.2 492.7 427.8L416.5 298.1C405.6 280.5 390.2 265.6 372.1 255.4L217.6 432L368 432zM208 111.1C208 106.5 208.6 101.2 209.6 95.1H226C224.7 101.1 224 106.5 224 111.1C224 147.3 252.7 175.1 288 175.1C323.4 175.1 352 147.3 352 111.1C352 106.5 351.3 101.1 349.1 95.1H366.4C367.5 101.2 368 106.5 368 111.1C368 156.2 332.2 191.1 288 191.1C243.8 191.1 208 156.2 208 111.1V111.1z"],
    "person-military-rifle": [448, 512, [], "e54b", "M302 2.247C311.6 1.053 320 8.499 320 18.12V63.1C320 72.84 312.8 79.1 304 79.1H152C138.7 79.1 128 69.25 128 55.1V45.19C128 33.08 137 22.87 149 21.37L302 2.247zM304 18.12L151 37.25C147 37.75 144 41.15 144 45.19V55.1C144 60.42 147.6 63.1 152 63.1H304V18.12zM144 111.1C144 106.5 144.6 101.2 145.6 95.1H162C160.7 101.1 160 106.5 160 111.1C160 147.3 188.7 175.1 224 175.1C259.4 175.1 288 147.3 288 111.1C288 106.5 287.3 101.1 285.1 95.1H302.4C303.5 101.2 304 106.5 304 111.1C304 156.2 268.2 191.1 224 191.1C179.8 191.1 144 156.2 144 111.1V111.1zM240 304C240 286.3 254.3 272 272 272C289.7 272 304 286.3 304 304C304 321.7 289.7 336 272 336C254.3 336 240 321.7 240 304zM272 320C280.8 320 288 312.8 288 304C288 295.2 280.8 288 272 288C263.2 288 256 295.2 256 304C256 312.8 263.2 320 272 320zM320 369.7V480C320 497.7 305.7 512 288 512H160C142.3 512 128 497.7 128 480V369.7L74.44 460.3C63.21 479.4 38.68 485.7 19.66 474.4C.6381 463.2-5.669 438.7 5.569 419.7L81.7 290.8C106.2 249.4 150.7 223.1 198.8 223.1H249.2C259.9 223.1 270.4 225.3 280.6 227.7L313.6 170.6C319.5 160.3 330.2 154.6 341.3 154.6L399.4 53.86L392.5 49.86C388.7 47.65 387.4 42.75 389.6 38.93C391.8 35.1 396.7 33.79 400.5 35.1L435.1 55.1C442.8 60.42 445.4 70.2 440.1 77.86L382.9 178.6C388.4 188.1 388.8 200.3 382.9 210.6L349.6 268.2C355.9 275.1 361.5 282.6 366.3 290.8L442.4 419.7C453.7 438.7 447.4 463.2 428.4 474.4C409.3 485.7 384.8 479.4 373.6 460.3L320 369.7zM315.8 354.3C322.7 352.4 330.1 355.4 333.8 361.6L387.3 452.2C394.1 463.6 408.8 467.4 420.2 460.7C431.6 453.9 435.4 439.2 428.7 427.8L352.5 298.1C330.9 262.4 291.7 239.1 249.2 239.1H198.8C183.2 239.1 167.1 243 153.1 248.7L303.1 481.2C303.1 480.8 304 480.4 304 480V369.7C304 362.5 308.8 356.2 315.8 354.3V354.3zM293.8 494.9L139.4 255.7C121.6 265.9 106.3 280.6 95.48 298.1L19.34 427.8C12.6 439.2 16.39 453.9 27.8 460.7C39.21 467.4 53.93 463.6 60.67 452.2L114.2 361.6C117.9 355.4 125.3 352.4 132.2 354.3C139.2 356.2 144 362.5 144 369.7V480C144 488.8 151.2 496 160 496H288C290 496 291.1 495.6 293.8 494.9V494.9zM337.7 256.7L368.1 202.6C371.9 197.5 371.8 191.4 368.1 186.5L364.4 178.6L427.1 69.86L413.3 61.86L350.5 170.6L341.3 170.6C335.7 170.6 330.4 173.5 327.4 178.6L296.3 232.4C311.5 238 325.5 246.2 337.7 256.7V256.7z"],
    "person-military-to-person": [512, 512, [], "e54c", "M48 41.25C48 29.85 56.44 20.21 67.74 18.7L189.9 2.416C199.5 1.137 208 8.6 208 18.28V48C208 56.84 200.8 64 192 64H70.75C58.19 64 48 53.82 48 41.25V41.25zM64 41.25C64 44.98 67.02 48 70.75 48H192V18.28L69.86 34.56C66.5 35.01 64 37.87 64 41.25zM320 96C320 60.66 348.7 32 384 32C419.3 32 448 60.66 448 96C448 131.3 419.3 160 384 160C348.7 160 320 131.3 320 96V96zM384 48C357.5 48 336 69.49 336 96C336 122.5 357.5 144 384 144C410.5 144 432 122.5 432 96C432 69.49 410.5 48 384 48V48zM416 192C451.3 192 480 220.7 480 256V288C480 305.7 465.7 320 448 320H320C302.3 320 288 305.7 288 288V256C288 220.7 316.7 192 352 192H416zM304 288C304 296.8 311.2 304 320 304H448C456.8 304 464 296.8 464 288V256C464 229.5 442.5 208 416 208H352C325.5 208 304 229.5 304 256V288zM64 96C64 90.48 64.7 85.12 66.02 80H82.73C80.96 85.01 80 90.39 80 96C80 122.5 101.5 144 128 144C154.5 144 176 122.5 176 96C176 90.39 175 85.01 173.3 80H189.1C191.3 85.12 192 90.48 192 96C192 131.3 163.3 160 128 160C92.65 160 64 131.3 64 96V96zM32 256C32 220.7 60.65 192 96 192H160C195.3 192 224 220.7 224 256V288C224 305.7 209.7 320 192 320H64C46.33 320 32 305.7 32 288V256zM48 288C48 296.8 55.16 304 64 304H192C192.7 304 193.3 303.1 193.1 303.9L69.46 216C56.53 224.6 48 239.3 48 256L48 288zM96 208C92.94 208 89.95 208.3 87.05 208.8L207 293.5C207.7 291.8 208 289.9 208 288V256C208 229.5 186.5 208 160 208H96zM138 362.7C140.1 359.4 146 359.1 149.3 362L221.3 426C223 427.5 224 429.7 224 432C224 434.3 223 436.5 221.3 437.1L149.3 501.1C146 504.9 140.1 504.6 138 501.3C135.1 498 135.4 492.1 138.7 490L194.1 440H8C3.582 440 0 436.4 0 432C0 427.6 3.582 424 8 424H194.1L138.7 373.1C135.4 371 135.1 365.1 138 362.7V362.7zM362.7 362C365.1 359.1 371 359.4 373.1 362.7C376.9 365.1 376.6 371 373.3 373.1L317 424H504C508.4 424 512 427.6 512 432C512 436.4 508.4 440 504 440H317L373.3 490C376.6 492.1 376.9 498 373.1 501.3C371 504.6 365.1 504.9 362.7 501.1L290.7 437.1C288.1 436.5 288 434.3 288 432C288 429.7 288.1 427.5 290.7 426L362.7 362z"],
    "person-pinball": [640, 512, [], "e21d", "M616 0h-112C490.8 0 480 10.78 480 24v42.81c0 4.281 .6875 8.531 2.062 12.66l42.96 128.9l-301.3 46.33C223 237.7 209.2 223.1 192 223.1H145.1L96.81 151.5C87.01 136.8 70.57 127.1 52.84 127.1C23.71 127.1 0 151.7 0 180.8v123.2c0 19.33 11.44 36.49 29.24 44.05l82.71 46.63L112 479.1c0 17.64 14.36 32 32 32s32-14.36 32-32v-85.28c0-23.04-12.49-44.41-32.6-55.77L96 312.3V265.7l5.375 8.062C107.3 282.7 117.3 287.1 128 287.1l64 .002c5.953 0 11.22-2.076 16-4.92V504C208 508.4 211.6 512 216 512S224 508.4 224 504V400h400v104c0 4.406 3.594 8 8 8S640 508.4 640 504v-480C640 10.78 629.2 0 616 0zM192 271.1H128c-5.35 0-10.35-2.674-13.31-7.125L87.33 223.8C85.13 220.5 80 222.1 80 226.1v90.91c0 2.891 1.559 5.557 4.078 6.973l51.45 28.94C150.6 361.4 160 377.4 160 394.7v84.44c0 7.969-5.455 15.35-13.32 16.62C136.6 497.4 128 489.7 128 479.1v-85.28c0-5.781-3.125-11.12-8.188-13.97c0 0-83.44-47.04-83.58-47.12C24.4 328.9 16 317.5 16 303.1V182.2c0-17.37 11.43-33.32 28.36-37.2c15.39-3.529 30.74 2.828 39.14 15.44l53.06 79.59H191.2c7.969 0 15.35 5.455 16.62 13.32C209.4 263.3 201.7 271.1 192 271.1zM624 264V384H224V270.9l400-61.56V264zM624 193.1l-82.93 12.75l-43.82-131.5C496.4 71.94 496 69.38 496 66.81V24c0-4.406 3.594-8 8-8h112c4.406 0 8 3.594 8 8V193.1zM80 103.1c28.72 0 52-23.28 52-52c0-28.72-23.28-51.1-52-51.1S28 23.28 28 51.1C28 80.72 51.28 103.1 80 103.1zM80 16c19.84 0 36 16.16 36 35.1c0 19.84-16.16 36-36 36s-36-16.16-36-36C44 32.16 60.16 16 80 16zM56 399.1c-4.406 0-8 3.594-8 8v72c0 8.844-6.812 15.78-15.59 16C23.41 496.2 16 487.1 16 478.9v-102.9c0-4.406-3.594-8-8-8s-8 3.594-8 8v102.3c0 17.34 13.09 32.81 30.44 33.66C48.91 512.8 64 498.3 64 479.1v-72C64 403.6 60.41 399.1 56 399.1zM304 320C312.8 320 320 312.8 320 304C320 295.2 312.8 288 304 288S288 295.2 288 304C288 312.8 295.2 320 304 320z"],
    "person-praying": [384, 512, [128720, "pray"], "f683", "M225.4 297.8c7.869 9.412 19.21 14.29 30.66 14.29c8.922 0 17.9-2.959 25.35-9.037l88.01-72c17-14 19.5-39.25 5.625-56.38c-7.9-9.664-19.38-14.63-30.97-14.63c-8.945 0-17.95 2.961-25.41 9.006L261.3 216l-39-46.25c-13.75-16.43-34.21-25.77-56.17-25.77c-2.594 0-5.207 .1309-7.836 .3945c-24.13 2.5-45.25 16.25-56.38 37l-49.38 92C29.13 317 43.88 369.8 86.76 397.1L131.5 432H40C17.88 432 0 449.9 0 472S17.88 512 40 512h208c34.13 0 53.76-42.75 28.25-68.25L166.4 333.9L201.3 269L225.4 297.8zM192.8 251l-43.28 80.51c-1.672 3.109-1.107 6.947 1.391 9.443l114.1 114.1c10.26 10.26 6.426 22.25 5.004 25.68C266.9 488.1 259.5 496 248 496H40.95c-11.61 0-22.27-7.822-24.48-19.22C13.49 461.5 25.2 448 40 448h114.8c7.613 0 10.92-9.631 4.918-14.31l-64.34-50.05c-36.18-23.1-48.27-66.29-28.77-102.7l49.38-92.01c8.564-15.97 24.99-26.68 43.88-28.64c2.092-.2109 4.172-.3145 6.236-.3145c17.24 0 33.24 7.305 43.94 20.08l49.17 58.31l69.52-56.94c4.391-3.559 9.695-5.438 15.34-5.438c7.26 0 14.03 3.193 18.54 8.703c8.357 10.31 6.848 25.54-3.324 33.92l-87.99 71.99c-4.355 3.555-9.623 5.434-15.23 5.434c-7.141 0-13.84-3.115-18.4-8.572l-31.71-37.79C202.3 245.3 195.4 246 192.8 251zM255.1 128c35.38 0 63.1-28.62 63.1-64s-28.62-64-63.1-64S191.1 28.62 191.1 64S220.6 128 255.1 128zM256 16c26.47 0 48 21.53 48 48S282.5 112 256 112S208 90.47 208 64S229.5 16 256 16z"],
    "person-pregnant": [320, 512, [], "e31e", "M152 384V480C152 497.7 137.7 512 120 512C102.3 512 88 497.7 88 480V288V287.9V256.9L59.43 304.5C50.33 319.6 30.67 324.5 15.52 315.4C.3696 306.3-4.531 286.7 4.573 271.5L62.85 174.6C80.2 145.7 111.4 128 145.1 128H160C160.3 128 160.6 128 160.9 128C161.4 128 161.9 128 162.3 128C198.1 128 228.8 153.5 235.4 188.6L242.3 225.7C286.6 234.3 320 273.2 320 320V352C320 369.7 305.7 384 288 384H232V480C232 497.7 217.7 512 200 512C182.3 512 168 497.7 168 480V384L152 384zM160 144H145.1C117 144 91.02 158.7 76.56 182.8L18.29 279.8C13.74 287.3 16.18 297.2 23.76 301.7C31.33 306.3 41.16 303.8 45.71 296.2L74.29 248.7C77.99 242.5 85.35 239.6 92.28 241.5C99.21 243.4 104 249.7 104 256.9V287.9V288V368H288C296.8 368 304 360.8 304 352V319.1C304 281.1 276.2 248.6 239.3 241.5C232.8 240.2 227.8 235.2 226.6 228.7L219.6 191.6C214.5 163.1 190.4 143.1 162.3 143.1C161.1 143.1 161.6 144 161.2 144C160.1 144 160.7 144 160.5 144L160 144zM104 384V480C104 488.8 111.2 496 120 496C128.8 496 136 488.8 136 480V384H104zM184 384V480C184 488.8 191.2 496 200 496C208.8 496 216 488.8 216 480V384H184zM216 56C216 86.93 190.9 111.1 160 112C129.1 112 104 86.93 104 56C104 25.07 129.1 0 160 0C190.9 0 216 25.07 216 56zM160 16C137.9 16 120 33.91 120 56C120 78.09 137.9 96 160 96C182.1 96 200 78.09 200 56C200 33.91 182.1 16 160 16z"],
    "person-rays": [512, 512, [], "e54d", "M311.1 56C311.1 86.93 286.9 112 255.1 112C225.1 112 199.1 86.93 199.1 56C199.1 25.07 225.1 .0001 255.1 .0001C286.9 .0001 311.1 25.07 311.1 56zM255.1 16C233.9 16 215.1 33.91 215.1 56C215.1 78.09 233.9 96 255.1 96C278.1 96 295.1 78.09 295.1 56C295.1 33.91 278.1 16 255.1 16zM119.2 315.5C117.3 319.5 112.5 321.1 108.5 319.2C104.5 317.3 102.9 312.5 104.8 308.5L172.3 168.7C184.3 143.8 209.5 128 237.1 128H274.9C302.5 128 327.7 143.8 339.7 168.7L407.2 308.5C409.1 312.5 407.5 317.3 403.5 319.2C399.5 321.1 394.7 319.5 392.8 315.5L325.3 175.7C315.1 156.3 296.4 143.1 274.9 143.1H237.1C215.6 143.1 196 156.3 186.7 175.7L119.2 315.5zM192 240C196.4 240 200 243.6 200 248V480C200 488.8 207.2 496 216 496C224.8 496 231.1 488.8 231.1 480V360C231.1 346.7 242.7 336 256 336C269.3 336 280 346.7 280 360V480C280 488.8 287.2 496 296 496C304.8 496 311.1 488.8 311.1 480V248C311.1 243.6 315.6 240 319.1 240C324.4 240 327.1 243.6 327.1 248V480C327.1 497.7 313.7 512 296 512C278.3 512 264 497.7 264 480V360C264 355.6 260.4 352 256 352C251.6 352 247.1 355.6 247.1 360V480C247.1 497.7 233.7 512 216 512C198.3 512 184 497.7 184 480V248C184 243.6 187.6 240 192 240V240zM2.343 2.343C5.467-.781 10.53-.781 13.66 2.343L117.7 106.3C120.8 109.5 120.8 114.5 117.7 117.7C114.5 120.8 109.5 120.8 106.3 117.7L2.343 13.66C-.7811 10.53-.7811 5.467 2.343 2.343V2.343zM509.7 13.66L405.7 117.7C402.5 120.8 397.5 120.8 394.3 117.7C391.2 114.5 391.2 109.5 394.3 106.3L498.3 2.343C501.5-.7807 506.5-.7807 509.7 2.343C512.8 5.468 512.8 10.53 509.7 13.66V13.66zM13.66 509.7C10.53 512.8 5.468 512.8 2.343 509.7C-.7808 506.5-.7808 501.5 2.343 498.3L106.3 394.3C109.5 391.2 114.5 391.2 117.7 394.3C120.8 397.5 120.8 402.5 117.7 405.7L13.66 509.7zM509.7 509.7C506.5 512.8 501.5 512.8 498.3 509.7L394.3 405.7C391.2 402.5 391.2 397.5 394.3 394.3C397.5 391.2 402.5 391.2 405.7 394.3L509.7 498.3C512.8 501.5 512.8 506.5 509.7 509.7z"],
    "person-rifle": [576, 512, [], "e54e", "M265.2 192C290.6 192 315 199.1 336 211.9V231.1C315.8 216.3 291.1 208 265.2 208H214.8C172.3 208 133.1 230.4 111.5 266.1L35.34 395.8C28.6 407.2 32.39 421.9 43.8 428.7C55.21 435.4 69.93 431.6 76.67 420.2L130.2 329.6C133.9 323.4 141.3 320.4 148.2 322.3C155.2 324.2 160 330.5 160 337.7V480C160 488.8 167.2 496 176 496H304C312.8 496 320 488.8 320 480V337.7C320 330.5 324.8 324.2 331.8 322.3C333.2 321.9 334.6 321.7 336 321.7V480.6C335.7 498 321.5 512 304 512H176C158.3 512 144 497.7 144 480V337.7L90.44 428.3C79.21 447.4 54.68 453.7 35.66 442.4C16.64 431.2 10.33 406.7 21.57 387.7L97.7 258.8C122.2 217.4 166.7 192 214.8 192H265.2zM160 80C160 35.82 195.8 0 240 0C284.2 0 320 35.82 320 80C320 124.2 284.2 160 240 160C195.8 160 160 124.2 160 80zM240 144C275.4 144 304 115.3 304 80C304 44.65 275.4 16 240 16C204.7 16 176 44.65 176 80C176 115.3 204.7 144 240 144zM470 400L503.9 490.4C507.8 500.8 500.1 512 488.9 512H416C407.2 512 400 504.8 400 496V400C382.3 400 368 385.7 368 368V224C368 206.3 382.3 192 400 192V160C400 148.2 406.4 137.8 416 132.3V16H408C403.6 16 400 12.42 400 8C400 3.582 403.6 0 408 0H448C456.8 0 464 7.164 464 16V132.3C473.6 137.8 480 148.2 480 160V269.3L496 264V208C496 199.2 503.2 192 512 192H528C536.8 192 544 199.2 544 208V292.5C544 299.4 539.6 305.5 533.1 307.6L480 325.3V352H528C536.8 352 544 359.2 544 368V384C544 392.8 536.8 400 528 400L470 400zM448 141.5V16H432V141.5L424 146.1C419.2 148.9 416 154.1 416 160V384H528V368H464V160C464 154.1 460.8 148.9 455.1 146.1L448 141.5zM488.9 496L452.9 400H416V496H488.9zM480 308.5L528 292.5V208H512V275.5L480 286.2V308.5zM384 368C384 376.8 391.2 384 400 384V208C391.2 208 384 215.2 384 224V368z"],
    "person-running": [448, 512, [127939, "running"], "f70c", "M300 104C328.7 104 352 80.71 352 52S328.7 0 300 0c-28.71 0-52 23.29-52 52S271.3 104 300 104zM300 16c19.85 0 36 16.15 36 36c0 19.85-16.15 36-36 36c-19.85 0-36-16.15-36-36C264 32.15 280.2 16 300 16zM162.4 364.6l-15.5 24.31C142.5 395.8 134.9 400 126.7 400H48C39.17 400 32 392.8 32 384s7.172-16 16-16h63.13c2.766 0 5.328-1.438 6.797-3.781l24.88-40c2.328-3.75 1.188-8.688-2.578-11C136.5 310.8 131.5 312 129.2 315.8L106.7 352H48c-17.64 0-32 14.34-32 32s14.36 32 32 32h78.7c13.73 0 26.34-6.906 33.73-18.5l15.5-24.31c2.375-3.75 1.281-8.688-2.453-11.06C169.8 359.8 164.9 360.9 162.4 364.6zM400 224h-44l-26.12-53.25c-12.5-25.5-35.38-44.25-61.75-51L197 98.63C189.5 96.84 181.1 95.97 174.5 95.97C153.6 95.97 133.2 102.8 116.3 115.8L76.5 146.3C62.5 157 59.88 177 70.63 191.1c6.291 8.193 15.79 12.49 25.4 12.49c6.807 0 13.67-2.159 19.47-6.616l39.63-30.38c5.92-4.488 13.01-6.787 19.53-6.787c2.018 0 3.981 .219 5.841 .6623l14.62 4.25l-37.5 87.5c-12.62 29.38-1.25 64 26.38 80.25l85 50.13l-27.5 87.75c-5.25 16.88 4.125 34.88 21 40.13C265.6 511.5 268.9 512 272 512c13.62 0 26.25-8.75 30.5-22.5l31.75-101c5.875-20.75-3-43.13-21.75-54.38l-61.13-36.12l31.25-78.38l20.25 41.5C310.9 277.4 327.9 288 345.1 288H400c17.62 0 32-14.38 32-32C432 238.3 417.6 224 400 224zM400 272h-54c-11.93 0-23.49-7.211-28.75-17.89l-20.25-41.5c-2.688-5.51-8.279-8.982-14.38-8.982c-.1992 0-.4004 .0039-.5996 .0098c-6.328 .2363-11.92 4.182-14.27 10.06l-31.25 78.38c-2.922 7.326-.0684 15.69 6.721 19.7l61.03 36.07c12.51 7.508 18.51 22.43 14.72 35.86l-31.77 101.1C285.1 491.5 279 496 272 496c-1.514 0-3.113-.2559-4.746-.7793c-4.062-1.264-7.391-4.045-9.369-7.834c-1.99-3.807-2.383-8.16-1.117-12.23l27.5-87.75c2.225-7.096-.7344-14.79-7.141-18.57L192.1 318.7C171.3 306.5 162.8 280.6 172.3 258.6l37.5-87.5C211.6 166.8 211.5 162.1 209.6 157.9C207.6 153.8 203.1 150.7 199.6 149.4L184.2 144.9C181.1 144.2 177.9 143.8 174.7 143.8c-10.29 0-20.66 3.564-29.27 10.09L105.8 184.3c-2.816 2.164-6.182 3.307-9.729 3.307c-5.035 0-9.668-2.271-12.67-6.18C77.99 174.4 79.28 164.3 86.24 158.9l39.74-30.49C140.1 117.7 156.8 111.1 174.5 111.1c6.293 0 12.61 .748 17.94 1.996l71.71 21.29c21.84 5.588 41.03 21.49 51.35 42.55l26.04 53.3C344.2 236.6 349.8 240 355.9 240H400C408.8 240 416 247.2 416 256S408.8 272 400 272z"],
    "person-seat": [384, 512, [], "e21e", "M216 416H129.6C66.95 416 16 365 16 302.4V136C16 131.6 12.42 128 8 128S0 131.6 0 136v166.4C0 373.9 58.14 432 129.6 432H216c4.422 0 8-3.594 8-8S220.4 416 216 416zM138.7 104c28.7 0 52-23.28 52-52S167.5 0 138.7 0s-52 23.28-52 52S110 104 138.7 104zM138.7 16c19.84 0 36 16.16 36 36s-16.16 36-36 36s-36-16.16-36-36S118.9 16 138.7 16zM352 416h-20.25l-12.07-84.52C317.4 315.8 303.8 304 288 304H176v-64h64c17.64 0 32-14.36 32-32s-14.36-32-32-32h-64C176 149.5 154.5 128 128 128S80 149.5 80 176V320c0 26.47 21.53 48 48 48h132.2l12.07 84.52C274.6 468.2 288.2 480 304 480H352c17.64 0 32-14.36 32-32S369.6 416 352 416zM352 464h-48c-7.965 0-14.72-5.857-15.84-13.74L273.1 352H128c-17.67 0-32-14.33-32-32V176c0-17.69 14.33-32 32-32s32 14.31 32 32V192h80C248.8 192 256 199.2 256 208C256 216.8 248.8 224 240 224H160v96h128c7.965 0 14.73 5.985 15.86 13.87L317.9 432H352c8.844 0 16 7.156 16 16S360.8 464 352 464z"],
    "person-seat-reclined": [448, 512, [], "e21f", "M280 416H152.6c-48.44 0-90.06-34.31-98.98-81.56L15.86 134.5c-.8125-4.344-5.094-7.25-9.344-6.406C2.175 128.1-.6848 133.2 .1433 137.5l37.73 199.9C48.22 392.2 96.47 432 152.6 432h127.4c4.422 0 7.1-3.594 7.1-8S284.4 416 280 416zM139.8 104c28.7 0 51.1-23.28 51.1-52S168.5 0 139.8 0S87.8 23.28 87.8 52S111.1 104 139.8 104zM139.8 16c19.84 0 35.1 16.16 35.1 36S159.6 88 139.8 88S103.8 71.84 103.8 52S119.1 16 139.8 16zM416 416h-13.43l-54.78-95.88C342.1 310.2 331.5 304 320 304H216l-11.63-64h67.58c17.64 0 31.1-14.36 31.1-32s-14.36-32-31.1-32H192.8L191.2 167.4c-4.144-22.85-23.92-39.45-47.03-39.45c-2.943-.002-5.926 .2734-8.924 .8457C122.8 131.1 111.8 138.1 104.5 148.7C97.24 159.2 94.48 171.1 96.78 184.6l26.19 144C127.1 351.4 146.1 368 170.2 368h131.3l54.78 95.88C361.9 473.8 372.5 480 383.1 480h32c17.64 0 31.1-14.36 31.1-32S433.6 416 416 416zM415.1 464h-31.1c-5.734 0-11.05-3.062-13.89-8.062L310.7 352H170.2c-15.17 0-28.64-10.81-31.45-26.28l-26.19-144C109.4 164.3 120.9 147.7 138.3 144.5c1.988-.3809 3.967-.5625 5.92-.5625c15.06 0 28.49 10.9 31.28 26.31L179.4 192h92.57c8.836 0 15.1 7.162 15.1 16c0 8.836-7.164 16-15.1 16H185.3l17.44 96h117.3c5.734 0 11.05 3.062 13.89 8.062L393.3 432h22.72c8.844 0 16 7.156 16 16S424.8 464 415.1 464z"],
    "person-shelter": [512, 512, [], "e54f", "M508.2 153.2C510.6 154.6 512 157.2 512 159.1V504C512 508.4 508.4 512 504 512C499.6 512 496 508.4 496 504V164.5L256 17.38L16 164.5V504C16 508.4 12.42 512 8 512C3.582 512 0 508.4 0 504V160C0 157.2 1.446 154.6 3.82 153.2L251.8 1.179C254.4-.393 257.6-.393 260.2 1.179L508.2 153.2zM296 167.1C296 190.1 278.1 207.1 256 207.1C233.9 207.1 216 190.1 216 167.1C216 145.9 233.9 127.1 256 127.1C278.1 127.1 296 145.9 296 167.1zM256 143.1C242.7 143.1 232 154.7 232 167.1C232 181.3 242.7 191.1 256 191.1C269.3 191.1 280 181.3 280 167.1C280 154.7 269.3 143.1 256 143.1zM216 480C216 488.8 223.2 496 232 496C240.8 496 247.1 488.8 247.1 480V384C247.1 379.6 251.6 376 256 376C260.4 376 264 379.6 264 384V480C264 488.8 271.2 496 280 496C288.8 496 295.1 488.8 295.1 480V295.1C295.1 291.6 299.6 287.1 303.1 287.1C308.4 287.1 311.1 291.6 311.1 295.1V480C311.1 497.7 297.7 512 280 512C270.4 512 261.9 507.8 256 501.2C250.1 507.8 241.6 512 232 512C214.3 512 200 497.7 200 480V295.1C200 291.6 203.6 287.1 208 287.1C212.4 287.1 216 291.6 216 295.1V480zM151.1 355.6C149.1 359.6 144.3 361.1 140.4 359.1C136.4 357.1 134.9 352.3 136.9 348.4L180 263.4C192.3 239.2 217.1 223.1 244.2 223.1H267.8C294.9 223.1 319.7 239.2 331.1 263.4L375.1 348.4C377.1 352.3 375.6 357.1 371.6 359.1C367.7 361.1 362.9 359.6 360.9 355.6L317.7 270.6C308.2 251.8 288.9 239.1 267.8 239.1H244.2C223.1 239.1 203.8 251.8 194.3 270.6L151.1 355.6z"],
    "person-sign": [512, 512, [], "f757", "M501.5 66.65l-87.24-31.76c.002-.0039-.002 .0039 0 0l9.222-24c1.594-4.125-.4687-8.766-4.594-10.34s-8.781 .4375-10.34 4.594l-9.219 24c-.043 .1113 .0449 .2168 .0078 .3281l-78.2-28.44c-1.816-.6504-3.671-.9775-5.49-.9775c-6.559 0-12.66 4.015-15.01 10.57l-43.87 120.3c-3 8.375 1.375 17.5 9.625 20.5l82.39 29.97l-52.23 135.8c-1.594 4.125 .4687 8.75 4.594 10.34C302.1 327.8 303 328 304 328c3.219 0 6.25-1.953 7.469-5.125l52.34-136.1l83.03 30.19c1.818 .6504 3.702 .9712 5.521 .9712c6.559 0 12.63-4.04 14.98-10.6l43.66-120.2C514.1 78.77 509.7 69.77 501.5 66.65zM452.3 201.1l-180.6-65.6l43.9-120.3l180.3 65.62L452.3 201.1zM143.1 104c28.71 0 52-23.29 52-52S172.6 .021 143.1 .021c-28.57 0-52 23.27-52 51.98S115.3 104 143.1 104zM143.1 16c19.85 0 36 16.15 36 36s-16.15 36-36 36s-35.1-16.15-35.1-36S124.1 16 143.1 16zM286.1 251.6C265.1 245 255.5 244.2 239.4 229.9L205.8 196.3C200.7 191.2 192.1 194.8 192.1 201.9v114.2l42.85 85.97c3.285 6.477 5.021 13.87 5.021 21.39v55.45c0 22.41-31.1 22.31-31.1 1.055v-60.28l-39.65-79.3C166.1 337.7 164.2 336 161.2 336H133.6c-4.109 0-7.551 3.115-7.961 7.205l-13.83 138.4c-2.299 21.67-33.85 17.45-31.79-3.217l15.96-159.1V229.8c0-8.438-11.37-11.13-15.15-3.588L46.31 295.1C36.76 314.2 8.297 299.7 17.68 280.9l55.25-110.5c8.129-16.26 24.75-26.53 42.92-26.53h62.89c12.65 0 24.66 5.039 33.82 14.2c56.27 56.13 48.43 48.31 52.03 51.9c1.045 .3496 14.05 5.426 33.48 13.02c4.533 1.773 9.691-.4258 11.5-4.945c1.891-4.73-.584-10.08-5.414-11.7L273.2 196L223.9 146.8C211.7 134.6 195.7 127.9 178.7 127.9H115.8c-24.24 0-46.32 13.67-57.16 35.35l-55.25 110.5c-7.875 15.75-1.5 35 14.38 42.88C22.25 318.9 27.25 320 31.1 320c11.75 0 23-6.5 28.62-17.75l19.38-38.63v54.75l-15.88 158.4c-1.75 17.62 11.16 33.38 28.66 35C93.78 511.9 94.91 512 95.91 512c16.25 0 30.09-12.25 31.84-28.75L140.9 352h15.38l35.75 71.5v54.81c0 17.35 13.08 32.82 30.41 33.65C240.9 512.8 255.1 498.3 255.1 480v-56.5c0-9.875-2.25-19.75-6.75-28.62l-41.12-82.5V221.3l19.1 20c7 7 15.62 12.25 25 15.5l29.2 9.73c3.912 1.305 8.162-.668 9.693-4.496C293.7 257.7 291.3 252.9 286.1 251.6z"],
    "person-simple": [256, 512, [], "e220", "M160 160H96C60.65 160 32 188.7 32 224v96c0 17.67 14.33 32 32 32H56v128c0 17.64 14.34 32 32 32s32-14.36 32-32v-128h16v128c0 17.64 14.34 32 32 32s32-14.36 32-32v-128H192c17.67 0 32-14.33 32-32V224C224 188.7 195.3 160 160 160zM104 480c0 8.828-7.188 16-16 16s-16-7.172-16-16v-128h32V480zM184 480c0 8.828-7.188 16-16 16s-16-7.172-16-16v-128h32V480zM208 320c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16V224c0-26.47 21.53-48 48-48h64c26.47 0 48 21.53 48 48V320zM128 128c35.38 0 64-28.62 64-64s-28.62-64-64-64S64 28.62 64 64S92.63 128 128 128zM128 16c26.47 0 48 21.53 48 48S154.5 112 128 112S80 90.47 80 64S101.5 16 128 16z"],
    "person-skating": [448, 512, ["skating"], "f7c5", "M138.1 460.3c-15.12 15.12-41.44 15.12-56.56 0l-67.88-67.88c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31l67.88 67.88C80.81 482.2 94.88 488 109.8 488c14.97 0 29.03-5.812 39.59-16.41c3.125-3.125 3.125-8.188 0-11.31C146.3 457.2 141.2 457.2 138.1 460.3zM127.1 160h105.5L213.3 177.3c-13.5 11.5-21.63 28.38-22.25 46C190.3 241.1 197.2 258.5 209.7 271l78.26 78.25V432c0 17.75 14.25 32 32 32s32-14.25 32-32v-89.38c0-12.62-5.125-25-14.13-33.88l-60.7-60.69l83.7-83.81c11.5-11.5 14.88-28.5 8.751-43.5c-6.252-15-20.75-24.72-37.01-24.72L127.1 96C110.2 96 95.96 110.3 95.96 128S110.2 160 127.1 160zM127.1 112h204.7c9.734 0 18.46 5.85 22.19 14.8c3.68 9.008 1.617 19.27-5.26 26.14l-81.06 81.17c-11.5 9.984-7.623 20.28-2.947 24.96l61.09 61.08c5.949 5.865 9.359 14.06 9.359 22.48V432c0 21.24-32.01 21.2-32.01 0v-82.75c0-4.244-1.688-8.314-4.688-11.31L221 259.7C211.6 250.3 206.5 237.2 207.1 223.8c.4687-13.25 6.533-25.78 16.67-34.42l20.13-17.25c5.084-4.357 6.916-11.42 4.594-17.7C246.2 148.2 240.2 144 233.5 144H127.1C118.1 144 111.1 136.1 111.1 128C111.1 119 118.1 112 127.1 112zM202.7 317.9l-85.34 85.44c-14.44 14.75-37.5-7.652-22.47-22.69l86.59-86.69c3.125-3.125 3.125-8.188 0-11.31c-3.125-3.156-8.188-3.094-11.31 0l-86.59 86.69c-12.47 12.47-12.47 32.78 0 45.25C89.53 420.6 97.72 424 106.1 424c8.656 0 16.72-3.344 22.62-9.375l85.28-85.38c3.125-3.125 3.125-8.188 0-11.31C210.9 314.8 205.8 314.8 202.7 317.9zM408 448c-4.406 0-8 3.594-8 8c0 22.06-17.94 40-40 40h-96c-4.406 0-8 3.594-8 8S259.6 512 264 512h96c30.88 0 56-25.12 56-56C416 451.6 412.4 448 408 448zM399.1 0c-26.5 0-48.01 21.5-48.01 48S373.5 96 399.1 96S448 74.5 448 48S426.5 0 399.1 0zM399.1 80c-17.65 0-32.01-14.36-32.01-32s14.36-32 32.01-32S432 30.36 432 48S417.6 80 399.1 80z"],
    "person-ski-jumping": [512, 512, ["ski-jump"], "f7c7", "M504 176c-4.406 0-8 3.594-8 8v25c0 21.06-11.62 40.13-30.31 49.78L4.336 496.9c-3.938 2-5.471 6.844-3.438 10.75C2.305 510.4 5.086 512 7.992 512c1.25 0 2.5-.2813 3.656-.9062L473 273C497.1 260.6 512 236.1 512 209V184C512 179.6 508.4 176 504 176zM127.1 160h97.5L166.1 236.9c-2.406 3.166-4.512 6.549-6.289 10.11l-53.33 106.7c-7.906 15.81-1.5 35.03 14.31 42.94C126.3 398.9 131.2 400 135.1 400c11.75 0 23.03-6.469 28.66-17.69l48.82-97.63C216.8 277.1 221.2 272.1 226.8 267.1l113.5-102.8c11.5-11.5 14.98-28.52 8.732-43.52S328.2 96.01 311.1 96.01L127.1 96.01c-17.75 0-32 14.24-32 31.99S110.2 160 127.1 160zM127.1 112h183.1c9.732 0 18.46 5.85 22.23 14.9c3.705 8.893 1.627 19.11-4.727 25.49L216 255.2c-6.979 6.318-12.67 13.83-16.91 22.32l-48.81 97.62C147.6 380.6 142.1 384 135.1 384c-2.475 0-4.887-.5742-7.125-1.686c-7.893-3.947-11.1-13.58-7.158-21.47l53.33-106.7c1.332-2.664 2.918-5.213 4.717-7.58L257.7 144H127.1C119 144 111.1 136.1 111.1 128C111.1 119 119 112 127.1 112zM396 104C424.7 104 448 80.71 448 52C448 23.29 424.7 0 396 0S344 23.29 344 52C344 80.71 367.3 104 396 104zM396 16c19.85 0 36 16.15 36 36c0 19.85-16.15 36-36 36S360 71.85 360 52C360 32.15 376.2 16 396 16z"],
    "person-ski-lift": [512, 512, ["ski-lift"], "f7c8", "M132 153.9C102.5 161.7 88.07 193.6 100.2 220.4c0 0 26.88 66.07 27.75 68.2c6.543 15.94 17.92 24.52 31.34 24.52c2.729 0 5.543-.3555 8.416-1.076l88.26-22.19v72.95c0 18.38 15.02 32.13 31.97 32.13c17.43 0 32.04-14.16 32.04-32.13V248.7c0-22.12-20.89-36.07-39.75-31.09L211.8 234.7L188.8 183.3C180.6 164.1 162.5 152.5 143.3 152.5C139.6 152.5 135.8 152.9 132 153.9zM174.2 189.8l23.02 51.43c2.846 6.355 10.21 11.06 18.46 9.002l68.6-17.1c9-2.373 19.68 4.244 19.68 15.57v114.1c0 8.832-7.215 16.08-16.04 16.08c-7.68 0-15.97-6.146-15.97-16.08V289.8c0-10.47-9.834-18.1-19.89-15.57L163.8 296.5C151.6 299.5 145.6 289.5 142.7 282.5C141.9 280.4 115 214.3 114.8 213.8C97.58 175.8 155.1 147.1 174.2 189.8zM108 136.4c28.71 0 52-23.36 52-52.15c0-28.79-23.29-52.15-52-52.15c-28.71 0-52 23.36-52 52.15C56 113 79.29 136.4 108 136.4zM108 48.14c19.85 0 36 16.2 36 36.11c0 19.91-16.15 36.11-36 36.11c-19.85 0-36-16.2-36-36.11C72 64.34 88.15 48.14 108 48.14zM504 288.8c-4.406 0-8 3.605-8 8.023c0 25.92-15.53 48.86-39.56 58.42L101.3 496.5c-4.125 1.629-6.125 6.299-4.5 10.4C98 510.1 101 512 104.2 512c.9687 0 1.969-.1875 2.938-.5645l355.2-141.2C492.5 358.2 512 329.4 512 296.9C512 292.5 508.4 288.8 504 288.8zM248 192c4.406 0 8-3.605 8-8.023V8.023C256 3.604 252.4 0 248 0s-8 3.604-8 8.023v175.1C240 188.4 243.6 192 248 192zM134.8 364.5c8.281 2.758 16.78 4.137 25.25 4.137c12.16 0 24.28-2.852 35.5-8.463c3.938-1.975 5.531-6.801 3.562-10.78c-1.969-3.949-6.781-5.453-10.75-3.572c-15.16 7.678-32.41 8.838-48.5 3.479c-16.09-5.391-29.16-16.77-36.69-31.84l-88-184.5C13.31 128.9 8.502 127.3 4.564 129.2c-4 1.912-5.688 6.707-3.781 10.69l88.06 184.7C98.35 343.6 114.7 357.8 134.8 364.5z"],
    "person-skiing": [512, 512, [9975, "skiing"], "f7c9", "M432.1 96.02c26.51 0 47.99-21.51 47.99-48.01S458.6 0 432.1 0c-26.51 0-47.98 21.5-47.98 48.01S405.6 96.02 432.1 96.02zM432 16c17.65 0 32.01 14.36 32.01 32.01s-14.36 32.01-32.01 32.01c-17.65 0-32.01-14.36-32.01-32.01S414.4 16 432 16zM250.1 358.8c2.375 9.217 8.531 16.1 16.88 21.37c21.47 11.21 38.23-3.893 42.94-11.06l34.38-48.31c12.16-18.44 9.75-43.06-5.688-58.5l-31.88-32.5c-3.094-3.156-8.156-3.219-11.31-.125s-3.219 8.156-.125 11.31l31.94 32.56c10.16 10.16 11.72 26.31 3.844 38.22l-34.38 48.34c-13 19.75-41.22-.7539-28.97-19.44l28.5-39.18c2.406-3.312 1.938-7.875-1.062-10.62L212.2 214.8C202.8 205.2 198.5 191.8 200.4 177.1c.625-4.373-2.406-8.436-6.783-9.029C189.3 168.1 185.2 171.3 184.6 175.7c-2.656 18.78 3.25 37.12 16.53 50.62l77.94 71.53l-24.53 33.75C249.3 339.6 247.7 349.5 250.1 358.8zM125.1 91.99l-12.22 24.44C110.9 120.4 112.5 125.2 116.4 127.1c4.803 2.4 9.221-.5996 10.72-3.594l12.09-24.18l294.6 153.3c4.611 2.287 9.458 3.355 14.26 3.355c11.74 0 23.06-6.473 28.65-17.74c7.875-15.75 1.472-35.01-14.41-42.89l-52.03-26.1l-17.12-51.15c-6.523-19.47-28.91-44.16-60.06-44.16c-7.656 0-15.83 1.505-24.43 4.934l-47.93 19.12C244.1 104.4 230.1 112.6 215.8 121.6L146.3 85.18l12.81-25.62C161.1 55.62 159.5 50.81 155.6 48.84C151.7 46.94 146.8 48.46 144.8 52.43L132.2 77.75L107.7 64.9C103.8 62.87 98.96 64.37 96.9 68.28C94.87 72.18 96.37 77.03 100.3 79.09L125.1 91.99zM266.7 112.9l47.88-19.15c6.305-2.512 12.54-3.785 18.53-3.785c23.28 0 40.27 19.45 44.9 33.26l17.13 51.13c1.342 4.004 4.213 7.316 7.988 9.213l52.09 26.17c7.861 3.898 11.15 13.46 7.154 21.44c-5.59 11.27-17.21 9.25-21.31 7.225l-81.64-41.47l-15.97-39.92c-1.625-4.094-6.375-6.031-10.41-4.469c-4.094 1.656-6.094 6.312-4.469 10.41l9.055 22.63l-105.7-55.5C243.1 123.6 254.7 117.7 266.7 112.9zM509.7 479.9c-3.125-3.125-8.188-3.125-11.31 0c-16.72 16.75-42.19 20.87-63.13 10.34L11.68 270.5C7.805 268.5 2.93 269.1 .8984 273.9c-2.031 3.938-.5 8.75 3.406 10.78l423.6 219.8C438 509.5 448.8 512 459.6 512c18.34 0 36.44-7.156 50.06-20.78C512.8 488.1 512.8 483 509.7 479.9z"],
    "person-skiing-nordic": [576, 512, ["skiing-nordic"], "f7ca", "M340 104c28.71 0 52-23.29 52-52C392 23.29 368.7 0 340 0S288 23.29 288 52C288 80.71 311.3 104 340 104zM340 16c19.85 0 36 16.15 36 36c0 19.85-16.15 36-36 36c-19.85 0-36-16.15-36-36C304 32.15 320.1 16 340 16zM203.7 333.9c1.844-4.031 .0625-8.781-3.938-10.62c-4.031-1.875-8.781-.0938-10.62 3.938L146.9 419.5c-4.531 9.781-3.75 21.06 2.062 30.12C154.8 458.6 164.7 464 175.3 464c12.03-.0938 23.34-7.219 28.41-18.19l37.69-82.53c1.844-4 .0625-8.75-3.969-10.59c-3.906-1.844-8.75-.0625-10.59 3.969l-37.66 82.5C186.8 444.5 181.3 447.1 175.5 448c-5.312 0-10.12-2.562-13-7.031c-2.906-4.5-3.281-9.875-1-14.75L203.7 333.9zM568 416c-4.406 0-8 3.594-8 8c0 39.69-32.31 72-72 72h-480C3.594 496 0 499.6 0 504S3.594 512 8 512h480c48.53 0 88-39.47 88-88C576 419.6 572.4 416 568 416zM86.34 463.8C86.91 463.9 87.47 464 88 464c3.719 0 7.031-2.562 7.812-6.344l54.08-254.1c4.775-.8926 9.472-2.518 13.59-5.668l39.81-30.45c5.824-4.488 12.86-6.771 19.38-6.771c2.018 0 4.018 .2122 5.878 .6556l14.73 4.383l-32.66 76.28c-12.69 29.57-1.434 63.96 26.28 80.3l85 50.13l-17.37 50.92C298.1 443.1 313.4 464 335 464c13.97 0 26.32-9.078 30.49-22.41l21.51-64.29c5.875-20.75-2.875-43.13-21.62-54.38l-61.25-36.13l26.5-67.1l20.26 41.36c8.062 16.47 24.77 26.89 43.11 26.89L435.9 288l-27.78 166.7c-.7187 4.344 2.219 8.469 6.594 9.219C415.1 463.1 415.6 464 416 464c3.844 0 7.25-2.781 7.906-6.688l28.36-170.2c15.56-2.17 27.77-15.02 27.77-31.18c0-17.67-14.33-31.95-32.01-31.95l-43.9-.0393l-26.11-53.22c-12.5-25.5-35.5-44.12-61.75-50.87l-71.22-21.15c-7.486-1.822-15.07-2.691-22.59-2.693c-20.85 0-41.26 6.86-58.16 19.72L124.6 146.2C110.5 156.1 107.8 177.1 118.6 191.1C122.6 196.4 128.1 199.4 133.9 201.3l-53.67 253C79.25 458.7 82.03 462.9 86.34 463.8zM131.3 181.4c-2.611-3.396-3.742-7.609-3.186-11.86C128.7 165.3 130.9 161.5 134.3 158.9l39.68-30.41C188.1 117.7 204.8 112 222.4 112c6.314 0 12.64 .7617 18.04 2.055l71.81 21.28c21.9 5.633 41.11 21.49 51.37 42.43l26.12 53.25C392.4 236.5 398 240 404.1 240H448c8.822 0 16 7.178 16 16S456.8 272 448 272h-54.06c-12.14 0-23.37-7.047-28.71-17.95l-20.23-41.33c-2.693-5.504-8.279-8.967-14.37-8.967c-.2109 0-.4219 .0039-.6348 .0117c-6.334 .252-11.92 4.217-14.25 10.11l-26.47 67.05c-2.891 7.322-.0254 15.66 6.754 19.66l61.15 36.06c12.45 7.471 18.4 22.4 14.69 35.58l-21.61 64.58C348.1 443.5 342 448 335 448c-5.135 0-9.82-2.373-12.86-6.512c-3.037-4.139-3.898-9.32-2.484-13.84l17.37-50.92c2.449-7.182-.4805-15.09-7.016-18.95l-85-50.13c-20.72-12.22-29.19-38.11-19.7-60.23l32.63-76.25c1.797-4.199 1.715-8.965-.2266-13.1S252.2 150.8 247.8 149.5L232.2 144.9c-3.059-.7266-6.227-1.14-9.502-1.14c-10.35 0-20.76 3.634-29.18 10.12L153.8 184.3C150.9 186.5 147.6 187.6 144 187.6C139 187.6 134.4 185.4 131.3 181.4z"],
    "person-sledding": [512, 512, ["sledding"], "f7cb", "M395.1 136c28.71 0 52-23.29 52-52.01C447.1 55.29 424.7 32 395.1 32c-28.71 0-52 23.29-52 52.01C343.1 112.7 367.3 136 395.1 136zM395.1 48c19.85 0 36 16.15 36 36.01c0 19.85-16.15 36.01-36 36.01c-19.85 0-36-16.15-36-36.01C359.1 64.15 376.1 48 395.1 48zM160 192h82.78L170.3 262.1C163.7 268.5 160 277.2 160 286.3c0 18.62 15.09 33.71 33.71 33.71l126.3-.0406l0 55.98c0 17.72 14.36 32.08 32.07 32.08c17.71 0 32.07-14.36 32.07-32.08l-.0119-87.98c0-17.68-14.33-32-32-32h-50.86l46.12-46.12c13.88-13.75 17.87-34.25 10.37-52.26c-7.502-18-24.88-29.63-44.26-29.63H160c-17.75 0-32 14.25-32 32S142.3 192 160 192zM161 144h152.5c12.91 0 24.48 7.766 29.49 19.78c5.002 12.01 2.307 25.64-6.92 34.79l-57.45 57.45H264c-4.422 0-8 3.594-8 8.002c0 4.031 3.143 7.059 7.037 7.602l89.04 .375c8.822 0 15.1 7.177 15.1 16l.0802 87.08c0 8.008-5.453 15.45-13.36 16.75c-10.05 1.656-18.78-6.096-18.78-15.85l.0016-63.93c0-4.418-3.584-8.011-8.002-8.011H193.7c-9.762 0-17.71-7.943-17.71-17.71c0-4.771 1.969-9.414 5.4-12.73l86.71-83.84c5.17-5 1.631-13.75-5.561-13.75L159.1 176c-8.836 0-15.79-6.8-16.01-15.58C143.8 151.4 152 144 161 144zM511 452.6c-2.109-3.906-6.891-5.346-10.84-3.25c-36.42 19.54-79.95 19.6-116.4 0L11.8 249C7.896 246.9 3.068 248.4 .959 252.3c-2.094 3.875-.6406 8.721 3.25 10.81l371.1 200.3c20.61 11.1 43.22 16.63 65.81 16.63c22.59 0 45.17-5.533 65.78-16.63C511.7 461.3 513.1 456.4 511 452.6z"],
    "person-snowboarding": [512, 512, [127938, "snowboarding"], "f7ce", "M499.2 198.4l-111.5-83.48c-13.79-10.32-29.09-18.34-45.42-23.79l-63.66-21.23l-26.12-52.12C246.3 5.36 228.4-5.873 209.7 3.5C193.8 11.38 187.4 30.63 195.3 46.38l29.12 58.12c5.666 11.31 15.69 19.95 27.67 23.98l16.45 5.522L227.3 154.6C205.6 165.5 191.9 187.5 191.9 211.8L191.9 264.9L117.9 288c-16.77 5.598-25.82 23.73-20.24 40.5c4.473 13.42 16.97 21.9 30.37 21.9c3.361 0 6.777-.5332 10.14-1.656l84.87-26.76c19.58-6.537 32.77-24.83 32.77-45.48l0-20.53l60.51 45.27l-28.96 92.01c-3.691 17.3 7.342 34.31 24.64 38c18.53 3.961 34.71-8.576 38.14-24.57l31.18-102.1c3.924-18.29-3.147-37.18-18.12-48.4l-52.01-39l66.01-30.5l83.52 62.88c14.1 10.85 34.44 7.296 44.86-6.383C516.2 229.1 513.3 209 499.2 198.4zM492.9 233.6c-4.475 5.875-14.12 9.365-22.53 3.285l-83.51-62.88c-5.145-3.871-11.49-3.979-16.34-1.742l-66.01 30.5c-5.113 2.363-8.602 7.237-9.193 12.84c-.5938 5.602 1.799 11.11 6.305 14.49l52.01 39c9.938 7.455 14.68 20.12 12.41 30.95l-31.5 103.3c-4.592 21.4-35.29 13.03-31.88-5.277l28.95-92.01c2.039-6.484-.2383-13.55-5.682-17.62l-60.51-45.25c-3.172-2.371-9.711-5.018-16.75-1.492c-5.416 2.713-8.836 8.25-8.836 14.31v20.5c0 13.78-8.783 25.97-21.6 30.25l-85.1 26.81C113.1 340.3 102.9 309.9 122.7 303.3L196.7 280.2C203.4 278.1 207.9 271.9 207.9 264.9V211.9c0-18.3 10.17-34.75 26.54-42.94l41.26-20.62c5.783-2.891 9.258-8.979 8.807-15.43c-.4492-6.449-4.738-11.99-10.87-14.05l-16.57-5.566C249 110.6 242.5 104.9 238.7 97.34L209.6 39.22c-3.896-7.791-.8359-17.41 7.221-21.41C227.9 12.25 236.2 20.81 238.2 24.92l26.13 52.13c1.898 3.787 5.219 6.666 9.236 8.008l63.63 21.25c14.73 4.922 28.51 12.14 40.95 21.45l111.4 83.42C496.8 216.6 497.1 226.7 492.9 233.6zM474.3 477.2c-17.89 17.91-44.69 23.63-68.31 14.5L57.61 357.7c-21.09-8.094-36.5-27-40.2-49.28L15.89 299.4C15.16 295 11.04 291.1 6.676 292.9C2.316 293.6-.6211 297.7 .1133 302l1.516 9.033c4.625 27.88 23.88 51.47 50.23 61.6l348.4 134C409.6 510.3 419.3 512 428.1 512c20.89 0 41.39-8.156 56.67-23.44c3.125-3.125 3.125-8.188 0-11.31S477.5 474.1 474.3 477.2zM428 104c28.71 0 52-23.29 52-52S456.7 0 428 0c-28.71 0-52 23.29-52 52S399.3 104 428 104zM428 16c19.85 0 36 16.15 36 36c0 19.85-16.15 36-36 36s-36-16.15-36-36C392 32.15 408.2 16 428 16z"],
    "person-snowmobiling": [640, 512, ["snowmobile"], "f7d1", "M288 48C288 74.51 266.5 96 240 96C213.5 96 192 74.51 192 48C192 21.49 213.5 0 240 0C266.5 0 288 21.49 288 48zM240 16C222.3 16 208 30.33 208 48C208 65.67 222.3 80 240 80C257.7 80 272 65.67 272 48C272 30.33 257.7 16 240 16zM340.4 80.84C344.4 78.87 349.2 80.47 351.2 84.42L390.2 162.6L556.3 231.8C568.2 236.8 576 248.4 576 261.3V318.9C576 329.6 570.7 339.6 561.8 345.5L485.6 396.3L563.9 496H580.7L626.3 450.3C629.5 447.2 634.5 447.2 637.7 450.3C640.8 453.5 640.8 458.5 637.7 461.7L589.7 509.7C588.2 511.2 586.1 512 584 512H424C419.6 512 416 508.4 416 504C416 499.6 419.6 496 424 496H543.5L468.1 400H339.2C335.8 394.3 331.9 388.9 327.6 384H475.2L552.9 332.2C557.3 329.2 560 324.2 560 318.9V261.3C560 254.9 556.1 249 550.2 246.6L388.6 179.2L300.1 282.4C297.1 285.1 292.7 287.1 288 287.1H99.78C93.72 287.1 88.18 291.4 85.47 296.8L57.79 352.2C51.07 352.6 44.53 353.7 38.25 355.5L71.16 289.7C76.58 278.8 87.66 271.1 99.78 271.1H288L342.9 207.1H288C285.5 207.1 283.1 206.8 281.6 204.8L255.1 169.4C243.1 153.4 224.2 143.1 204.2 143.1C180.2 143.1 158.1 157.6 147.4 179.1L119.2 235.6C117.2 239.5 112.4 241.1 108.4 239.2C104.5 237.2 102.9 232.4 104.8 228.4L133.1 171.1C146.5 145 174.1 127.1 204.2 127.1C229.3 127.1 252.8 139.8 267.9 159.8L292 191.1H356.6L375.8 169.5L336.8 91.58C334.9 87.62 336.5 82.82 340.4 80.84L340.4 80.84zM256 384C291.3 384 320 412.7 320 448C320 483.3 291.3 512 256 512H64C28.65 512 0 483.3 0 448C0 412.7 28.65 384 64 384H256zM256 400H64C37.49 400 16 421.5 16 448C16 474.5 37.49 496 64 496H256C282.5 496 304 474.5 304 448C304 421.5 282.5 400 256 400z"],
    "person-swimming": [576, 512, [127946, "swimmer"], "f5c4", "M8.587 415.7c31.22-2.32 61.28-17.49 87.44-44.04C124.9 400.7 157.9 416 192.1 416H192.6c34.13-.1094 66.97-15.4 95.44-44.32C316.9 400.7 349.9 416 384.1 416h.4859c34.13-.1094 66.97-15.4 95.44-44.32c26.28 26.39 56.31 41.55 87.35 43.96c5.156 .6406 8.25-2.984 8.594-7.375c.3438-4.422-2.938-8.293-7.344-8.625c-29.28-2.289-57.88-17.86-82.72-45.04C484.4 352.9 482.3 352 480 352c-2.25 0-4.406 .957-5.938 2.633c-26.66 29.53-57.63 45.2-89.5 45.31h-.3438c-31.94 0-63.19-15.68-90.31-45.34C292.4 352.9 290.2 352 287.1 352s-4.406 .957-5.938 2.633c-26.66 29.53-57.63 45.2-89.5 45.31H192.2c-31.94 0-63.19-15.68-90.31-45.34C100.4 352.9 98.25 352 95.1 352c-2.25 0-4.406 .957-5.938 2.633c-24.66 27.29-53.25 42.88-82.66 45.04c-4.406 .332-7.719 4.188-7.375 8.609C.3683 412.7 3.368 415.8 8.587 415.7zM95.1 224c35.35 0 64-28.65 64-64c0-35.35-28.65-64-64-64s-64 28.65-64 64C31.1 195.3 60.65 224 95.1 224zM95.1 112c26.47 0 47.1 21.53 47.1 48S122.5 208 95.1 208s-48-21.53-48-48S69.53 112 95.1 112zM144.4 327.1C144.6 328 144.8 328 144.1 328c4.156 0 7.688-3.219 7.969-7.438C155.4 285.6 167.6 251.2 186.4 226l21.88-29.28c20-27.52 47.69-49.89 80.09-64.75c44.09-20.19 94.66-25.23 142.4-14.34l38.59 8.844c6.25 1.422 11.56 5.203 14.94 10.64c3.406 5.422 4.5 11.86 3.094 18.09c-1.469 6.281-5.25 11.61-10.72 15.03c-5.469 3.391-11.88 4.484-18.06 3.016l-38.59-8.844c-39.59-9.062-72 5.906-103.3 20.28c-2.438 1.109-4.188 3.406-4.625 6.062c-.875 5.609-1.062 6.781 138.5 135.1c3.25 2.969 8.344 2.766 11.28-.4687c3-3.266 2.781-8.328-.4687-11.31c-42.09-38.69-106.6-98.53-127.9-119.4c30.5-13.58 54.28-21.22 83-14.67l38.56 8.844c10.31 2.375 21.03 .625 30.13-5.047c9.094-5.672 15.41-14.56 17.84-25.02c4.906-21.5-8.562-43-30.06-47.91l-38.59-8.844c-51.19-11.69-105.5-6.25-152.7 15.41C246.8 133.5 216.9 157.6 195.4 187.3L173.6 216.5C152.1 243.1 139.7 281.5 137 319.4C136.7 323.8 140 327.7 144.4 327.1z"],
    "person-through-window": [640, 512, [], "e5a9", "M16 48V400C16 417.7 30.33 432 48 432H297.5L276.2 400H224V384H265.5L196.7 280.7C194.3 287.8 192.9 295.3 192.3 302.9C192.1 305.3 192 307.7 192 310.2V383.1C192 401.7 177.7 415.1 160 415.1C142.3 415.1 128 401.7 128 383.1V310.2C128 263.1 147.1 221 181.2 191.4C186.3 186.8 191.8 182.5 197.6 178.5C207 172.1 217.2 166.6 228.1 162.3C264.3 147.8 287.1 112.8 287.1 73.84V64H71.1C67.58 64 63.1 67.58 63.1 72V376C63.1 380.4 67.58 384 71.1 384H95.1V400H71.1C58.74 400 47.1 389.3 47.1 376V72C47.1 58.75 58.74 48 71.1 48H568C581.3 48 592 58.75 592 72V376C592 389.3 581.3 400 568 400H389.9L379.2 384H425L385 336H310.5L394.6 462.2C404.4 476.1 400.5 496.8 385.8 506.6C371 516.4 351.2 512.5 341.4 497.8L308.2 448H48C21.49 448 0 426.5 0 400V48C0 21.49 21.49 0 48 0H592C618.5 0 640 21.49 640 48V400C640 426.5 618.5 448 592 448H421.9L411.2 432H592C609.7 432 624 417.7 624 400V48C624 30.33 609.7 16 592 16H48C30.33 16 16 30.33 16 48L16 48zM304 64V73.84C304 119.3 276.3 160.2 234.1 177.1C179.7 198.9 144 251.6 144 310.2V383.1C144 392.8 151.2 399.1 160 399.1C168.8 399.1 176 392.8 176 383.1V310.2C176 298.3 177.9 286.7 181.5 275.7C183.4 269.9 188.4 265.7 194.5 264.8C200.6 264 206.6 266.7 209.1 271.8L354.7 488.9C359.6 496.2 369.5 498.2 376.9 493.3C384.2 488.4 386.2 478.5 381.3 471.1L297.1 344.9C293.9 339.1 293.6 333.7 296.4 328.5C299.1 323.2 304.6 319.1 310.5 319.1H385C389.8 319.1 394.3 322.1 397.3 325.8L445.8 384H487.5L417.1 299.5C411 292.2 402 287.1 392.5 287.1H321.4C315.1 287.1 310.9 285.3 307.1 280.7L267 217.6C266.9 217.3 266.7 217.1 266.5 216.8C263.9 213.3 262.9 208.8 263.7 204.5C264.5 200.2 267.1 196.4 270.7 194C310.9 167.9 336 122.1 336 73.84V64L304 64zM352 64V73.84C352 122.1 329.4 168.3 292.4 198.1C288.3 201.4 283.9 204.5 279.5 207.4C279.8 207.9 280.1 208.4 280.4 208.9L321.4 271.1H392.5C406.8 271.1 420.3 278.3 429.4 289.3L508.3 384H568C572.4 384 576 380.4 576 376V72C576 67.58 572.4 64 568 64L352 64zM148 184C119.3 184 96 160.7 96 132C96 103.3 119.3 80 148 80C176.7 80 200 103.3 200 132C200 145.2 195.1 157.2 186.1 166.4C182.8 171.2 177.7 175.2 171.9 178.2C164.8 181.9 156.6 184 148 184zM148 168C167.9 168 184 151.9 184 132C184 112.1 167.9 96 148 96C128.1 96 112 112.1 112 132C112 151.9 128.1 168 148 168z"],
    "person-to-door": [640, 512, [58704], "e433", "M304 95.84c26.5 0 48-21.5 48-48s-21.5-48-48-48s-48 21.5-48 48S277.5 95.84 304 95.84zM304 15.84c17.66 0 32 14.34 32 32s-14.34 32-32 32s-32-14.34-32-32S286.3 15.84 304 15.84zM299 221.5L308.8 241L318.9 261.3c8.129 16.26 24.77 26.53 42.95 26.53H416c17.66 0 32-14.34 32-32s-14.34-32-32-32h-44.22L344.8 169.9c-11.68-23.36-32.32-40.93-57.25-48.7L219.8 100C187.9 90.02 153.1 97.38 127.9 119.4L90.94 151.7C77.63 163.4 76.29 183.6 87.9 196.9C99.55 210.2 119.8 211.6 133.1 199.9l36.99-32.38c4-3.52 8.768-5.92 13.79-7.07c5.406-1.281 11.17-1.121 16.67 .543l-5.057 15.2l-25.89 77.6c-9.344 28.03 1.729 58.85 26.82 74.5l86.21 53.89l-25.41 88.83c-4.832 16.99 4.992 34.72 21.98 39.58c16.99 4.832 34.72-4.992 39.58-21.98l28.67-100.4c5.887-20.57-2.561-42.56-20.71-53.89L270 298.9l21.34-56.93L299 221.5zM284.1 215.9L255.1 293.2c-2.688 7.135 .0313 15.17 6.496 19.2l56.7 35.46C330.4 355.5 336 370.1 332.1 383.8L303.4 484.2c-2.432 8.514-11.3 13.44-19.78 11.01c-8.512-2.434-13.44-11.3-11.01-19.78l25.38-88.86c1.984-6.848-.832-14.18-6.881-17.95l-86.21-53.89C186.1 303 177.8 279.9 184.8 258.9l30.91-92.8c1.375-4.064 1.023-8.545-.9609-12.38C212.8 149.9 209.3 147 205.2 145.7C189.3 140.9 172.1 144.5 159.6 155.5L122.5 187.9C115.9 193.7 105.8 193 99.97 186.4S94.82 169.6 101.5 163.8l36.99-32.38C159.4 113.1 188.4 106.9 215 115.3l67.78 21.18c20.77 6.496 37.98 21.15 47.71 40.58l26.98 53.98c2.719 5.408 8.256 8.832 14.3 8.832H416c8.832 0 16 7.168 16 16s-7.168 16-16 16h-54.11c-12.13 0-23.2-6.848-28.61-17.7L313.4 214.3c-2.85-5.697-8.801-9.152-15.17-8.801C291.9 205.9 286.3 209.9 284.1 215.9zM568-.3203h-112c-22.18 0-40.16 17.98-40.16 40.16v144C415.8 188.4 419.5 192 424 192s8.16-3.648 8.16-8.16v-144C432.2 26.69 442.8 16 456 16h112c13.15 0 23.84 10.69 23.84 23.84v432c0 13.15-10.69 23.84-23.84 23.84h-112c-13.15 0-23.84-10.69-23.84-23.84v-144c0-4.512-3.648-8.16-8.16-8.16s-8.16 3.648-8.16 8.16v144C415.8 494 433.8 512 456 512h112c22.18 0 40.16-17.98 40.16-40.16v-432C608.2 17.66 590.2-.3203 568-.3203zM184.8 356.3l-12.93 25.89c-5.439 10.85-16.51 17.7-28.64 17.7H64c-8.832 0-16-7.168-16-16s7.168-16 16-16h72c3.041 0 5.793-1.729 7.168-4.416l16-32c1.953-3.969 .3516-8.768-3.584-10.75c-3.969-1.953-8.768-.3516-10.75 3.584l-13.79 27.58H64c-17.66 0-32 14.34-32 32s14.34 32 32 32h79.26c18.21 0 34.82-10.27 42.95-26.53l12.96-25.89c1.953-3.969 .3516-8.768-3.584-10.75C191.6 350.7 186.8 352.3 184.8 356.3z"],
    "person-to-portal": [512, 512, ["portal-enter"], "e022", "M276 104c28.71 0 52-23.29 52-52S304.7 0 276 0C247.3 0 224 23.29 224 52S247.3 104 276 104zM276 16c19.85 0 36 16.15 36 36c0 19.85-16.15 36-36 36C256.2 88 240 71.85 240 52C240 32.15 256.2 16 276 16zM286.9 261.1c8 16.25 24.99 26.88 43.11 26.88l53.1-.0045c17.62 0 32-14.37 32-31.1c0-17.75-14.38-32-32-32l-44.01 .0045l-26.1-53.25c-12.5-25.5-35.39-44.23-61.76-50.98L181 98.64C173.6 96.85 165.1 95.97 158.5 95.97C137.6 95.96 117.1 102.8 100.2 115.8l-39.71 30.47c-14 10.75-16.64 30.74-5.891 44.87c6.291 8.193 15.8 12.51 25.41 12.51c6.807 0 13.66-2.163 19.46-6.62L139.1 166.6C145.1 162.1 152.1 159.8 158.7 159.8c2.018 0 3.91 .1569 5.769 .6003l14.69 4.333L141.7 252.2C129.1 281.6 140.4 316.3 167.1 332.5l84.98 50.18L225.5 470.4c-5.25 16.88 4.083 34.86 20.96 40.11C249.6 511.5 252.9 512 256 512c13.62 0 26.25-8.692 30.5-22.44l31.72-101.1c5.875-20.75-2.959-43.13-21.71-54.38L235.3 297.1l31.31-78.34L286.9 261.1zM251.8 213.7L220.5 292.1C217.6 299.4 220.4 307.8 227.2 311.8l61.03 36.07c12.51 7.508 18.51 22.43 14.72 35.86l-31.77 101.1C269.1 491.5 263 496 256 496c-1.514 0-3.113-.2559-4.746-.7793c-4.062-1.264-7.391-4.045-9.369-7.834c-1.99-3.807-2.383-8.16-1.117-12.23l27.5-87.75c2.225-7.096-.7344-14.79-7.141-18.57L176.1 318.7C155.3 306.5 146.8 280.6 156.3 258.6l37.5-87.5C195.6 166.8 195.5 162.1 193.6 157.9C191.6 153.8 187.1 150.7 183.6 149.4L168.2 144.9C165.1 144.2 161.9 143.8 158.7 143.8c-10.29 0-20.66 3.564-29.27 10.09L89.76 184.3c-2.816 2.164-6.182 3.307-9.729 3.307c-5.035 0-9.668-2.271-12.67-6.18C61.99 174.4 63.28 164.3 70.24 158.9l39.74-30.49C124.1 117.7 140.8 111.1 158.5 111.1c6.293 0 12.61 .748 17.94 1.996l71.71 21.29c21.84 5.588 41.03 21.49 51.35 42.55l26.04 53.3C328.2 236.6 333.8 240 339.9 240H384c8.822 0 16 7.178 16 16S392.8 272 384 272h-54c-11.93 0-23.49-7.211-28.75-17.89l-20.25-41.5c-2.688-5.51-8.279-8.982-14.38-8.982c-.1992 0-.4004 .0039-.5996 .0098C259.7 203.9 254.1 207.8 251.8 213.7zM146.4 364.6l-15.5 24.31C126.5 395.8 118.9 400 110.7 400H32c-8.828 0-16-7.188-16-16s7.172-16 16-16h63.13c2.766 0 5.328-1.438 6.797-3.781l24.88-40c2.328-3.75 1.188-8.688-2.578-11C120.5 310.8 115.5 312 113.2 315.8L90.67 352l-58.68-.0039C14.35 351.1 0 366.4 0 384s14.35 31.99 31.99 31.99L110.7 416c13.73 0 26.34-6.906 33.73-18.5l15.5-24.31c2.375-3.75 1.281-8.688-2.453-11.06C153.8 359.8 148.9 360.9 146.4 364.6zM431.1 0c-34.41 0-62.2 59.45-74.34 159c-.5313 4.391 2.578 8.375 6.969 8.906c4.344 .7031 8.391-2.562 8.906-6.969C385.1 65.8 411.7 16 432 16c30.27 0 64 98.56 64 240s-33.73 240-64 240c-20.27 0-46.86-49.8-58.47-144.1c-.5313-4.406-4.719-7.578-8.906-6.969c-4.391 .5313-7.5 4.516-6.969 8.906c12.14 99.58 39.94 159 74.34 159C483.1 511.1 512 380.1 512 255.1S483.1 0 431.1 0z"],
    "person-walking": [320, 512, [128694, "walking"], "f554", "M19.8 216.3C32.19 185.4 56.18 160.5 86.66 146.9L97.66 142C118.5 132.8 140.1 128 163.7 128C208.3 128 248.5 154.8 265.6 195.9L280.1 232.7L302.3 243.4C318.1 251.3 324.5 270.5 316.6 286.3C308.7 302.1 289.5 308.5 273.7 300.6L247 287.3C236.9 282.2 228.8 273.7 224.4 263.3L224.2 262.8L214.6 239.8L195.3 305.3L244.8 359.4C250.2 365.3 254.1 372.4 256 380.2L279 472.2C283.3 489.4 272.9 506.8 255.8 511C238.6 515.3 221.2 504.9 216.1 487.8L194.9 399.6L124.3 322.6C109.5 306.4 103.1 283.9 109.6 262.8L126.5 199.3C125.6 199.7 124.6 200.1 123.7 200.5L112.7 205.4C110.1 206.1 109.3 206.1 107.7 207.9C94.82 214.1 84.73 226.3 79.22 240.1L77.71 243.9C71.15 260.3 52.53 268.3 36.12 261.7C19.71 255.1 11.73 236.5 18.29 220.1L19.8 216.3zM125.1 266.9C120.8 282.8 124.1 299.7 136.1 311.7L206.7 388.8C208.5 390.8 209.8 393.2 210.4 395.8L232.5 483.9C234.6 492.5 243.3 497.7 251.9 495.5C260.5 493.4 265.7 484.7 263.5 476.1L240.5 384.1C239.2 378.9 236.7 374.1 233.1 370.2L183.5 316.2C179.7 312 178.4 306.2 179.1 300.8L199.2 235.3C201.2 228.8 206.1 224.2 213.7 223.8C220.5 223.5 226.8 227.4 229.4 233.7L238.9 256.7C241.9 263.7 247.3 269.5 254.2 272.1L280.8 286.3C288.7 290.3 298.4 287.1 302.3 279.2C306.3 271.3 303.1 261.6 295.2 257.7L273.8 247C270.4 245.3 267.7 242.4 266.2 238.9L250.9 202.1C236.2 166.9 201.8 143.1 163.7 143.1C143.2 143.1 122.9 148.3 104.2 156.6L93.16 161.5C66.49 173.4 45.49 195.2 34.66 222.3L33.15 226.1C29.86 234.3 33.85 243.6 42.06 246.9C50.26 250.1 59.58 246.1 62.86 237.9L64.37 234.2C72.11 214.8 87.1 199.2 106.2 190.8L117.2 185.9C118.3 185.4 119.4 184.9 120.5 184.5C126.1 182.2 132.6 183.3 137.1 187.3C141.7 191.3 143.6 197.5 142 203.4L125.1 266.9zM156 52C156 23.28 179.3 0 208 0C236.7 0 260 23.28 260 52C260 80.72 236.7 104 208 104C179.3 104 156 80.72 156 52zM208 16C188.1 16 172 32.12 172 52C172 71.88 188.1 88 208 88C227.9 88 244 71.88 244 52C244 32.12 227.9 16 208 16zM82.36 407L20.69 468.7C14.44 474.9 14.44 485.1 20.69 491.3C26.93 497.6 37.06 497.6 43.31 491.3L104.1 429.6C108.1 426.6 110.5 422.9 112.1 418.9L127.2 381C128.9 376.9 133.5 374.9 137.6 376.6C141.7 378.2 143.7 382.9 142.1 386.1L126.9 424.8C124.5 430.9 120.9 436.4 116.3 440.9L54.63 502.6C42.13 515.1 21.87 515.1 9.372 502.6C-3.124 490.1-3.124 469.9 9.372 457.4L68.73 398L88.57 348.4C90.22 344.3 94.87 342.3 98.97 343.9C103.1 345.6 105.1 350.2 103.4 354.3L82.36 407zM36.12 261.7L42.06 246.9z"],
    "person-walking-arrow-loop-left": [640, 512, [], "e551", "M137.1 187.3C141.7 191.3 143.6 197.5 142 203.4L125.1 266.9C120.8 282.8 124.1 299.7 136.1 311.7L206.7 388.8C208.5 390.8 209.8 393.2 210.4 395.8L232.5 483.9C234.6 492.5 243.3 497.7 251.9 495.5C260.5 493.4 265.7 484.7 263.5 476.1L240.5 384.1C239.2 378.9 236.7 374.1 233.1 370.2L183.5 316.2C179.7 312 178.4 306.2 179.1 300.8L199.2 235.3C201.2 228.8 206.1 224.2 213.7 223.8C220.5 223.5 226.8 227.4 229.4 233.7L238.9 256.7C241.9 263.7 247.3 269.5 254.2 272.1L280.8 286.3C288.7 290.3 298.4 287.1 302.3 279.2C306.3 271.3 303.1 261.6 295.2 257.7L273.8 247C270.4 245.3 267.7 242.4 266.2 238.9L250.9 202.1C236.2 166.9 201.8 143.1 163.7 143.1C143.2 143.1 122.9 148.3 104.2 156.6L93.16 161.5C66.49 173.4 45.5 195.2 34.66 222.3L33.15 226.1C29.86 234.3 33.85 243.6 42.06 246.9L36.12 261.7C19.71 255.1 11.73 236.5 18.29 220.1L19.8 216.3C32.19 185.4 56.18 160.5 86.66 146.9L97.66 142C118.5 132.8 140.1 127.1 163.7 127.1C208.3 127.1 248.5 154.8 265.6 195.9L280.1 232.7L302.3 243.4C318.1 251.3 324.5 270.5 316.6 286.3C308.7 302.1 289.5 308.5 273.7 300.6L247 287.3C236.9 282.2 228.8 273.7 224.4 263.3L224.2 262.8L214.6 239.8L195.3 305.3L244.8 359.4C250.2 365.3 254.1 372.4 256 380.2L279 472.2C283.3 489.4 272.9 506.8 255.8 511C238.6 515.3 221.2 504.9 216.1 487.8L194.9 399.6L124.3 322.5C109.5 306.4 103.1 283.9 109.6 262.8L126.5 199.3C125.6 199.7 124.6 200.1 123.7 200.5L112.7 205.4C110.1 206.1 109.3 206.1 107.7 207.9C94.82 214.1 84.73 226.3 79.22 240.1L77.71 243.9C71.15 260.3 52.53 268.3 36.12 261.7L42.06 246.9C50.26 250.1 59.57 246.1 62.86 237.9L64.37 234.2C72.11 214.8 87.1 199.2 106.2 190.8L117.2 185.9C118.3 185.4 119.4 184.9 120.5 184.5C126.1 182.2 132.6 183.3 137.1 187.3H137.1zM260 52C260 80.72 236.7 104 208 104C179.3 104 156 80.72 156 52C156 23.28 179.3 0 208 0C236.7 0 260 23.28 260 52zM208 88C227.9 88 244 71.88 244 52C244 32.12 227.9 16 208 16C188.1 16 172 32.12 172 52C172 71.88 188.1 88 208 88zM98.97 343.9C103.1 345.6 105.1 350.2 103.4 354.3L82.36 407L20.69 468.7C14.44 474.9 14.44 485.1 20.69 491.3C26.93 497.6 37.06 497.6 43.31 491.3L104.1 429.6C108.1 426.6 110.5 422.9 112.1 418.9L127.2 381C128.9 376.9 133.5 374.9 137.6 376.6C141.7 378.2 143.7 382.9 142.1 386.1L126.9 424.8C124.5 430.9 120.9 436.4 116.3 440.9L54.63 502.6C42.13 515.1 21.87 515.1 9.372 502.6C-3.124 490.1-3.124 469.9 9.372 457.4L68.73 398L88.57 348.4C90.22 344.3 94.87 342.3 98.97 343.9L98.97 343.9zM354.9 358.1C353.1 356.6 352 354.4 352 352C352 349.6 353.1 347.4 354.9 345.9L450.9 265.9C454.3 263 459.3 263.5 462.1 266.9C464.1 270.3 464.5 275.3 461.1 278.1L382.1 344H492C564.9 344 624 284.9 624 211.1C624 139.1 564.9 79.1 492 79.1H328C323.6 79.1 319.1 76.42 319.1 71.1C319.1 67.58 323.6 63.1 328 63.1H492C573.7 63.1 640 130.3 640 211.1C640 293.7 573.7 360 492 360H382.1L461.1 425.9C464.5 428.7 464.1 433.7 462.1 437.1C459.3 440.5 454.3 440.1 450.9 438.1L354.9 358.1z"],
    "person-walking-arrow-right": [640, 512, [], "e552", "M137.1 187.3C141.7 191.3 143.6 197.5 142 203.4L125.1 266.9C120.8 282.8 124.1 299.7 136.1 311.7L206.7 388.8C208.5 390.8 209.8 393.2 210.4 395.8L232.5 483.9C234.6 492.5 243.3 497.7 251.9 495.5C260.5 493.4 265.7 484.7 263.5 476.1L240.5 384.1C239.2 378.9 236.7 374.1 233.1 370.2L183.5 316.2C179.7 312 178.4 306.2 179.1 300.8L199.2 235.3C201.2 228.8 206.1 224.2 213.7 223.8C220.5 223.5 226.8 227.4 229.4 233.7L238.9 256.7C241.9 263.7 247.3 269.5 254.2 272.1L280.8 286.3C288.7 290.3 298.4 287.1 302.3 279.2C306.3 271.3 303.1 261.6 295.2 257.7L273.8 247C270.4 245.3 267.7 242.4 266.2 238.9L250.9 202.1C236.2 166.9 201.8 143.1 163.7 143.1C143.2 143.1 122.9 148.3 104.2 156.6L93.16 161.5C66.49 173.4 45.5 195.2 34.66 222.3L33.15 226.1C29.86 234.3 33.85 243.6 42.06 246.9L36.12 261.7C19.71 255.1 11.73 236.5 18.29 220.1L19.8 216.3C32.19 185.4 56.18 160.5 86.66 146.9L97.66 142C118.5 132.8 140.1 127.1 163.7 127.1C208.3 127.1 248.5 154.8 265.6 195.9L280.1 232.7L302.3 243.4C318.1 251.3 324.5 270.5 316.6 286.3C308.7 302.1 289.5 308.5 273.7 300.6L247 287.3C236.9 282.2 228.8 273.7 224.4 263.3L224.2 262.8L214.6 239.8L195.3 305.3L244.8 359.4C250.2 365.3 254.1 372.4 256 380.2L279 472.2C283.3 489.4 272.9 506.8 255.8 511C238.6 515.3 221.2 504.9 216.1 487.8L194.9 399.6L124.3 322.5C109.5 306.4 103.1 283.9 109.6 262.8L126.5 199.3C125.6 199.7 124.6 200.1 123.7 200.5L112.7 205.4C110.1 206.1 109.3 206.1 107.7 207.9C94.82 214.1 84.73 226.3 79.22 240.1L77.71 243.9C71.15 260.3 52.53 268.3 36.12 261.7L42.06 246.9C50.26 250.1 59.57 246.1 62.86 237.9L64.37 234.2C72.11 214.8 87.1 199.2 106.2 190.8L117.2 185.9C118.3 185.4 119.4 184.9 120.5 184.5C126.1 182.2 132.6 183.3 137.1 187.3H137.1zM260 52C260 80.72 236.7 104 208 104C179.3 104 156 80.72 156 52C156 23.28 179.3 0 208 0C236.7 0 260 23.28 260 52zM208 88C227.9 88 244 71.88 244 52C244 32.12 227.9 16 208 16C188.1 16 172 32.12 172 52C172 71.88 188.1 88 208 88zM98.97 343.9C103.1 345.6 105.1 350.2 103.4 354.3L82.36 407L20.69 468.7C14.44 474.9 14.44 485.1 20.69 491.3C26.93 497.6 37.06 497.6 43.31 491.3L104.1 429.6C108.1 426.6 110.5 422.9 112.1 418.9L127.2 381C128.9 376.9 133.5 374.9 137.6 376.6C141.7 378.2 143.7 382.9 142.1 386.1L126.9 424.8C124.5 430.9 120.9 436.4 116.3 440.9L54.63 502.6C42.13 515.1 21.87 515.1 9.372 502.6C-3.124 490.1-3.124 469.9 9.372 457.4L68.73 398L88.57 348.4C90.22 344.3 94.87 342.3 98.97 343.9L98.97 343.9zM637.1 249.9C638.9 251.4 640 253.6 640 256C640 258.4 638.9 260.6 637.1 262.1L541.1 342.1C537.7 344.1 532.7 344.5 529.9 341.1C527 337.7 527.5 332.7 530.9 329.9L609.9 263.1H392C387.6 263.1 384 260.4 384 255.1C384 251.6 387.6 247.1 392 247.1H609.9L530.9 182.1C527.5 179.3 527 174.3 529.9 170.9C532.7 167.5 537.7 167 541.1 169.9L637.1 249.9z"],
    "person-walking-dashed-line-arrow-right": [640, 512, [], "e553", "M137.1 187.3C141.7 191.3 143.6 197.5 142 203.4L125.1 266.9C120.8 282.8 124.1 299.7 136.1 311.7L206.7 388.8C208.5 390.8 209.8 393.2 210.4 395.8L232.5 483.9C234.6 492.5 243.3 497.7 251.9 495.5C260.5 493.4 265.7 484.7 263.5 476.1L240.5 384.1C239.2 378.9 236.7 374.1 233.1 370.2L183.5 316.2C179.7 312 178.4 306.2 179.1 300.8L199.2 235.3C201.2 228.8 206.1 224.2 213.7 223.8C220.5 223.5 226.8 227.4 229.4 233.7L238.9 256.7C241.9 263.7 247.3 269.5 254.2 272.1L280.8 286.3C288.7 290.3 298.4 287.1 302.3 279.2C306.3 271.3 303.1 261.6 295.2 257.7L273.8 247C270.4 245.3 267.7 242.4 266.2 238.9L250.9 202.1C236.2 166.9 201.8 143.1 163.7 143.1C143.2 143.1 122.9 148.3 104.2 156.6L93.16 161.5C66.49 173.4 45.5 195.2 34.66 222.3L33.15 226.1C29.86 234.3 33.85 243.6 42.06 246.9L36.12 261.7C19.71 255.1 11.73 236.5 18.29 220.1L19.8 216.3C32.19 185.4 56.18 160.5 86.66 146.9L97.66 142C118.5 132.8 140.1 127.1 163.7 127.1C208.3 127.1 248.5 154.8 265.6 195.9L280.1 232.7L302.3 243.4C318.1 251.3 324.5 270.5 316.6 286.3C308.7 302.1 289.5 308.5 273.7 300.6L247 287.3C236.9 282.2 228.8 273.7 224.4 263.3L224.2 262.8L214.6 239.8L195.3 305.3L244.8 359.4C250.2 365.3 254.1 372.4 256 380.2L279 472.2C283.3 489.4 272.9 506.8 255.8 511C238.6 515.3 221.2 504.9 216.1 487.8L194.9 399.6L124.3 322.5C109.5 306.4 103.1 283.9 109.6 262.8L126.5 199.3C125.6 199.7 124.6 200.1 123.7 200.5L112.7 205.4C110.1 206.1 109.3 206.1 107.7 207.9C94.82 214.1 84.73 226.3 79.22 240.1L77.71 243.9C71.15 260.3 52.53 268.3 36.12 261.7L42.06 246.9C50.26 250.1 59.57 246.1 62.86 237.9L64.37 234.2C72.11 214.8 87.1 199.2 106.2 190.8L117.2 185.9C118.3 185.4 119.4 184.9 120.5 184.5C126.1 182.2 132.6 183.3 137.1 187.3H137.1zM260 52C260 80.72 236.7 104 208 104C179.3 104 156 80.72 156 52C156 23.28 179.3 0 208 0C236.7 0 260 23.28 260 52zM208 88C227.9 88 244 71.88 244 52C244 32.12 227.9 16 208 16C188.1 16 172 32.12 172 52C172 71.88 188.1 88 208 88zM98.97 343.9C103.1 345.6 105.1 350.2 103.4 354.3L82.36 407L20.69 468.7C14.44 474.9 14.44 485.1 20.69 491.3C26.93 497.6 37.06 497.6 43.31 491.3L104.1 429.6C108.1 426.6 110.5 422.9 112.1 418.9L127.2 381C128.9 376.9 133.5 374.9 137.6 376.6C141.7 378.2 143.7 382.9 142.1 386.1L126.9 424.8C124.5 430.9 120.9 436.4 116.3 440.9L54.63 502.6C42.13 515.1 21.87 515.1 9.372 502.6C-3.124 490.1-3.124 469.9 9.372 457.4L68.73 398L88.57 348.4C90.22 344.3 94.87 342.3 98.97 343.9L98.97 343.9zM400 88C400 92.42 396.4 96 392 96C387.6 96 384 92.42 384 88V8C384 3.582 387.6 0 392 0C396.4 0 400 3.582 400 8V88zM637.1 249.9C638.9 251.4 640 253.6 640 256C640 258.4 638.9 260.6 637.1 262.1L541.1 342.1C537.7 344.1 532.7 344.5 529.9 341.1C527 337.7 527.5 332.7 530.9 329.9L609.9 263.1H392C387.6 263.1 384 260.4 384 255.1C384 251.6 387.6 247.1 392 247.1H609.9L530.9 182.1C527.5 179.3 527 174.3 529.9 170.9C532.7 167.5 537.7 167 541.1 169.9L637.1 249.9zM392 128C396.4 128 400 131.6 400 136V184C400 188.4 396.4 192 392 192C387.6 192 384 188.4 384 184V136C384 131.6 387.6 128 392 128zM400 376C400 380.4 396.4 384 392 384C387.6 384 384 380.4 384 376V328C384 323.6 387.6 320 392 320C396.4 320 400 323.6 400 328V376zM392 416C396.4 416 400 419.6 400 424V504C400 508.4 396.4 512 392 512C387.6 512 384 508.4 384 504V424C384 419.6 387.6 416 392 416z"],
    "person-walking-luggage": [512, 512, [], "e554", "M289.7 142C310.5 132.8 332.1 128 355.7 128C400.3 128 440.5 154.8 457.6 195.9L472.1 232.7L494.3 243.4C510.1 251.3 516.5 270.5 508.6 286.3C500.7 302.1 481.5 308.5 465.7 300.6L439 287.3C428.9 282.2 420.8 273.7 416.4 263.3L416.2 262.8L406.6 239.8L387.3 305.3L436.8 359.4C442.2 365.3 446.1 372.4 448 380.2L471 472.2C475.3 489.4 464.9 506.8 447.8 511C430.6 515.3 413.2 504.9 408.1 487.8L386.9 399.6L316.3 322.5C301.5 306.4 295.1 283.9 301.6 262.8L318.5 199.3C317.6 199.7 316.6 200.1 315.7 200.5L304.7 205.4C302.1 206.1 301.3 206.1 299.7 207.9C286.8 214.1 276.7 226.3 271.2 240.1L269.7 243.9C263.1 260.3 244.5 268.3 228.1 261.7C211.7 255.1 203.7 236.5 210.3 220.1L211.8 216.3C224.2 185.4 248.2 160.5 278.7 146.9L289.7 142zM329.1 187.3C333.7 191.3 335.6 197.5 334 203.4L317.1 266.9C312.8 282.8 316.1 299.7 328.1 311.7L398.7 388.8C400.5 390.8 401.8 393.2 402.4 395.8L424.5 483.9C426.6 492.5 435.3 497.7 443.9 495.5C452.5 493.4 457.7 484.7 455.5 476.1L432.5 384.1C431.2 378.9 428.7 374.1 425.1 370.2L375.5 316.2C371.7 312 370.4 306.2 371.1 300.8L391.2 235.3C393.2 228.8 398.1 224.2 405.7 223.8C412.5 223.5 418.8 227.4 421.4 233.7L430.9 256.7C433.9 263.7 439.3 269.5 446.2 272.1L472.8 286.3C480.7 290.3 490.4 287.1 494.3 279.2C498.3 271.3 495.1 261.6 487.2 257.7L465.8 247C462.4 245.3 459.7 242.4 458.2 238.9L442.9 202.1C428.2 166.9 393.8 143.1 355.7 143.1C335.2 143.1 314.9 148.3 296.2 156.6L285.2 161.5C258.5 173.4 237.5 195.2 226.7 222.3L225.1 226.1C221.9 234.3 225.9 243.6 234.1 246.9C242.3 250.1 251.6 246.1 254.9 237.9L256.4 234.2C264.1 214.8 279.1 199.2 298.2 190.8L309.2 185.9C310.3 185.4 311.4 184.9 312.5 184.5C318.1 182.2 324.6 183.3 329.1 187.3L329.1 187.3zM452 52C452 80.72 428.7 104 400 104C371.3 104 348 80.72 348 52C348 23.28 371.3 0 400 0C428.7 0 452 23.28 452 52zM400 88C419.9 88 436 71.88 436 52C436 32.12 419.9 16 400 16C380.1 16 364 32.12 364 52C364 71.88 380.1 88 400 88zM290.1 343.9C295.1 345.6 297.1 350.2 295.4 354.3L274.4 407L212.7 468.7C206.4 474.9 206.4 485.1 212.7 491.3C218.9 497.6 229.1 497.6 235.3 491.3L296.1 429.6C300.1 426.6 302.5 422.9 304.1 418.9L319.2 381C320.9 376.9 325.5 374.9 329.6 376.6C333.7 378.2 335.7 382.9 334.1 386.1L318.9 424.8C316.5 430.9 312.9 436.4 308.3 440.9L246.6 502.6C234.1 515.1 213.9 515.1 201.4 502.6C188.9 490.1 188.9 469.9 201.4 457.4L260.7 398L280.6 348.4C282.2 344.3 286.9 342.3 290.1 343.9L290.1 343.9zM191.1 358.1L115.1 490.6C106.3 505.9 86.74 511.1 71.43 502.3L16.01 470.3C.7002 461.4-4.544 441.9 4.292 426.6L68.29 315.7C77.13 300.4 96.7 295.2 112 303.1L181.4 344L217.1 283.9C219.4 280.1 224.3 278.9 228.1 281.1C231.9 283.4 233.1 288.3 230.9 292.1L191.1 358.1zM82.15 323.7L18.15 434.6C13.73 442.2 16.35 452 24.01 456.4L79.43 488.4C87.08 492.8 96.87 490.2 101.3 482.6L173.3 357.9L104 317.9C96.35 313.4 86.57 316.1 82.15 323.7V323.7z"],
    "person-walking-with-cane": [448, 512, ["blind"], "f29d", "M143.1 112c30.87 0 55.1-25.12 55.1-56S174.9 0 144 0S87.1 25.12 87.1 56S113.1 112 143.1 112zM143.1 16c22.06 0 39.1 17.94 39.1 40S166.1 95.1 143.1 95.1S103.1 78.06 103.1 56S121.9 16 143.1 16zM147.1 398.4c-4.312-1.047-8.641 1.531-9.703 5.828l-19.19 76.72c-2.594 10.44-13.86 17-24.03 14.44c-5.156-1.281-9.5-4.484-12.22-9.031c-2.734-4.547-3.516-9.875-2.219-15.03l27.23-109.1V360c0-4.422-3.469-8.297-7.875-8.297c-4.422 0-7.891 3.297-7.891 7.719l-27 108c-2.328 9.297-.9062 18.94 4.031 27.14c4.922 8.219 12.77 14.03 22.06 16.34C93.1 511.6 96.94 512 99.87 512c16.47 0 30.75-11.17 34.73-27.16l19.19-76.72C154.9 403.8 152.3 399.5 147.1 398.4zM446.5 499.4l-134.5-191.2c9.344-11.14 10.69-27.28 1.582-39.4l-76.78-102.4C218.8 142.3 190.1 128 160 128L135.6 127.1c-36.59 0-69.5 20.33-85.87 53.06L3.387 273.7C-4.518 289.5 1.887 308.7 17.7 316.6c4.594 2.297 9.469 3.375 14.28 3.375c11.75 0 23.03-6.469 28.66-17.69l35.38-70.76v56.45c0 8.484 3.375 16.63 9.375 22.63l86.63 86.63v82.75c0 17.67 14.31 32 32 32s32-14.33 32-32v-82.75c0-17.09-6.656-33.16-18.75-45.25L192 306.8V213.3l70.38 93.88c6.285 8.369 15.89 12.79 25.62 12.79c3.777 0 7.516-.8535 11.14-2.211l134.3 190.8C435 510.8 437.5 512 439.1 512c1.594 0 3.203-.4687 4.609-1.453C448.2 508 449.1 503 446.5 499.4zM297.6 300.8c-2.799 2.09-6.111 3.197-9.584 3.197c-5.098 0-9.771-2.332-12.81-6.385L204.8 203.7c-3.082-4.109-7.863-6.404-12.8-6.404c-1.688 0-3.395 .2676-5.057 .8223C180.4 200.3 176 206.4 176 213.3v93.43c0 4.244 1.686 8.312 4.686 11.31l45.24 45.24c9.07 9.068 14.06 21.12 14.06 33.94v82.75c0 8.822-7.183 16-16.01 16S208 488.8 208 479.1v-82.75c0-4.244-1.686-8.312-4.686-11.31L116.7 299.3C113.7 296.3 112 292.2 112 287.1v-56.45c0-7.42-5.102-13.87-12.32-15.57C98.46 215.7 97.23 215.6 96.01 215.6c-5.953 0-11.55 3.338-14.31 8.848L46.33 295.1C43.59 300.6 38.09 304 31.98 304c-2.49 0-4.887-.5684-7.123-1.686C16.96 298.4 13.75 288.7 17.7 280.8L64.01 188.2C77.65 160.9 105.1 144 135.6 144h24.44c25.06 0 48.99 11.95 64.01 31.97l76.79 102.4c2.564 3.414 3.646 7.623 3.043 11.85C303.2 294.5 301 298.2 297.6 300.8z"],
    "peseta-sign": [384, 512, [], "e221", "M192 32C271.5 32 336 96.47 336 176H376C380.4 176 384 179.6 384 184C384 188.4 380.4 192 376 192H335.1C327.2 263.1 266.1 320 192 320H64V472C64 476.4 60.42 480 56 480C51.58 480 48 476.4 48 472V192H8C3.582 192 0 188.4 0 184C0 179.6 3.582 176 8 176H48V63.31C48 46.02 62.02 32 79.31 32H192zM320 176C320 105.3 262.7 48 192 48H79.31C70.86 48 64 54.86 64 63.31V176H320zM64 192V304H192C257.3 304 311.1 255.1 319 192H64z"],
    "peso-sign": [384, 512, [], "e222", "M48 63.31C48 46.02 62.02 32 79.31 32H184C254.1 32 313.1 79.46 330.7 144H376C380.4 144 384 147.6 384 152C384 156.4 380.4 160 376 160H334.1C335.4 167.8 336 175.8 336 184C336 197.8 334.2 211.3 330.7 224H376C380.4 224 384 227.6 384 232C384 236.4 380.4 240 376 240H325.4C303.1 296.2 248.2 336 184 336H64V472C64 476.4 60.42 480 56 480C51.58 480 48 476.4 48 472V240H8C3.582 240 0 236.4 0 232C0 227.6 3.582 224 8 224H48V160H8C3.582 160 0 156.4 0 152C0 147.6 3.582 144 8 144H48V63.31zM64 240V320H184C239.1 320 286.6 287.2 307.1 240H64zM320 184C320 175.8 319.3 167.8 317.9 160H64V224H314C317.9 211.4 320 197.9 320 184zM79.31 48C70.86 48 64 54.86 64 63.31V144H314C296.9 88.41 245.2 48 184 48H79.31z"],
    "phone": [512, 512, [128379, 128222], "f095", "M493.1 351.2L384.6 304.7c-12.78-5.531-27.78-1.806-36.47 8.975l-44.08 53.8c-69.25-34-125.5-90.3-159.5-159.5l53.83-44.06C209.1 155.1 212.8 140.2 207.3 127.5L160.8 18.92c-6.094-13.91-21.13-21.53-35.82-18.12L24.22 24.05C9.969 27.3 0 39.85 0 54.5c0 252.3 205.2 457.5 457.5 457.5c14.67 0 27.19-9.968 30.46-24.22l23.25-100.8C514.6 372.4 506.1 357.2 493.1 351.2zM495.6 383.4l-23.25 100.8C470.8 491.1 464.6 496 457.5 496C214 496 16 297.9 16 54.5c0-7.156 4.859-13.25 11.81-14.88l100.8-23.25c7.203-1.656 14.61 2.125 17.58 8.938l46.52 108.5c2.66 6.244 .7871 13.5-4.406 17.75l-63.53 52c62.32 133.5 168.7 176.7 183.8 183.8l52.02-63.53c4.219-5.25 11.52-7.062 17.73-4.375l108.5 46.5C493.5 368.9 497.3 376.3 495.6 383.4z"],
    "phone-arrow-down-left": [512, 512, ["phone-arrow-down", "phone-incoming"], "e223", "M296 224h144C444.4 224 448 220.4 448 216S444.4 208 440 208h-124.7l194.3-194.3c3.125-3.125 3.125-8.188 0-11.31C508.1 .7813 506 0 504 0s-4.094 .7813-5.656 2.344L304 196.7V72C304 67.58 300.4 64 296 64S288 67.58 288 72v144C288 220.4 291.6 224 296 224zM493.1 351.2L384.6 304.7c-3.967-1.717-8.148-2.543-12.29-2.543c-9.201 0-18.2 4.076-24.19 11.51l-44.05 53.81c-69.25-34-125.5-90.28-159.5-159.5l53.83-44.09c10.75-8.781 14.42-23.66 8.984-36.44L160.8 18.93C155.7 7.251 144.2 0 132 0C129.7 0 127.3 .263 124.1 .8079L24.22 24.06C9.969 27.31 0 39.84 0 54.5C0 306.8 205.2 512 457.5 512c14.67 0 27.2-9.969 30.47-24.22l23.25-100.8C514.6 372.4 507 357.2 493.1 351.2zM495.6 383.4l-23.26 100.8C470.8 491.2 464.7 496 457.5 496C214 496 16 297.9 16 54.49c0-7.154 4.844-13.26 11.82-14.85C140.3 13.69 130.4 16 132 16c6.117 0 11.68 3.672 14.12 9.234l46.51 108.5C195.3 139.1 193.5 147.3 188.2 151.6L124.6 203.7c66.63 135.7 164.7 174.4 183.8 183.8l52.16-63.73c2.012-2.496 8.896-8.123 17.72-4.303l108.4 46.49C493.6 368.9 497.3 376.2 495.6 383.4z"],
    "phone-arrow-up-right": [512, 512, ["phone-arrow-up", "phone-outgoing"], "e224", "M493.1 351.2L384.6 304.7c-3.967-1.717-8.148-2.543-12.29-2.543c-9.201 0-18.2 4.076-24.19 11.51l-44.05 53.81c-69.25-34-125.5-90.28-159.5-159.5l53.83-44.09c10.75-8.781 14.42-23.66 8.984-36.44L160.8 18.93C155.7 7.251 144.2 0 132 0C129.7 0 127.3 .263 124.1 .8079L24.22 24.06C9.969 27.31 0 39.84 0 54.5C0 306.8 205.2 512 457.5 512c14.67 0 27.2-9.969 30.47-24.22l23.25-100.8C514.6 372.4 507 357.2 493.1 351.2zM495.6 383.4l-23.26 100.8C470.8 491.2 464.7 496 457.5 496C214 496 16 297.9 16 54.49c0-7.154 4.844-13.26 11.82-14.85C140.3 13.69 130.4 16 132 16c6.117 0 11.68 3.672 14.12 9.234l46.51 108.5C195.3 139.1 193.5 147.3 188.2 151.6L124.6 203.7c66.63 135.7 164.7 174.4 183.8 183.8l52.16-63.73c2.012-2.496 8.896-8.123 17.72-4.303l108.4 46.49C493.6 368.9 497.3 376.2 495.6 383.4zM504 0h-144C355.6 0 352 3.578 352 8s3.578 8 8 8h124.7l-194.3 194.3c-3.125 3.125-3.125 8.188 0 11.31C291.9 223.2 293.1 224 296 224s4.094-.7813 5.656-2.344L496 27.31V152C496 156.4 499.6 160 504 160S512 156.4 512 152v-144C512 3.578 508.4 0 504 0z"],
    "phone-flip": [512, 512, [128381, "phone-alt"], "f879", "M487.8 24.05l-100.8-23.25c-14.59-3.375-29.79 4.208-35.79 18.11L304.7 127.4c-5.531 12.78-1.807 27.78 8.974 36.47l53.81 44.04c-34 69.25-90.28 125.5-159.5 159.5L163.9 313.7c-8.781-10.75-23.67-14.42-36.45-8.98l-108.5 46.52c-13.91 6.094-21.53 21.14-18.12 35.82l23.25 100.8c3.25 14.25 15.79 24.22 30.45 24.22c252.3 0 457.5-205.2 457.5-457.5C512 39.84 502 27.32 487.8 24.05zM54.5 496c-7.156 0-13.25-4.859-14.88-11.81l-23.25-100.8c-1.656-7.203 2.125-14.61 8.938-17.58l108.5-46.52c6.242-2.66 13.5-.7871 17.75 4.406l52 63.53c133.5-62.32 176.7-168.7 183.8-183.8l-63.53-52.02c-5.25-4.219-7.062-11.52-4.375-17.73l46.5-108.5c2.938-6.781 10.34-10.48 17.47-8.844l100.8 23.25C491.1 41.23 496 47.36 496 54.52C496 297.1 297.9 496 54.5 496z"],
    "phone-hangup": [640, 512, [], "e225", "M320 144c113.4 0 219.9 43.97 299.8 123.8c4.66 4.654 5.485 11.77 1.994 17.33l-52.73 84.25c-2.538 4.059-7.134 6.582-11.99 6.582c-1.774 0-3.514-.334-5.137-.9785l-105.5-42.12c-5.776-2.283-9.349-8.156-8.677-14.4l7.902-79.1c-40.13-13.69-75.58-22.92-125.7-22.92c-48.97-.0025-84.35 8.821-125.6 22.9L202.3 318.5c.6221 6.164-2.966 12.09-8.686 14.39L88.23 375C86.53 375.7 84.75 376 82.95 376c-4.961 0-9.467-2.473-12.06-6.627L18.16 285.1C14.68 279.6 15.5 272.5 20.16 267.8C100.1 187.1 206.6 144 320 144zM320 128C207.3 128 94.64 170.8 8.85 256.5c-9.968 9.955-11.71 25.24-4.23 37.12l52.71 84.22C62.96 386.9 72.76 392 82.95 392c3.707 0 7.466-.6773 11.09-2.093l105.5-42.13c12.39-4.988 20.01-17.59 18.67-30.85L211.6 250.4c35.09-11.96 71.75-17.94 108.4-17.94c36.7 .002 73.42 5.997 108.5 17.97l-6.64 66.46c-1.424 13.22 6.26 25.95 18.71 30.87l105.4 42.1c3.616 1.436 7.367 2.119 11.07 2.119c10.17 0 19.97-5.156 25.56-14.1l52.73-84.25c7.471-11.9 5.727-27.18-4.251-37.14C545.4 170.8 432.7 128 320 128z"],
    "phone-intercom": [512, 512, [], "e434", "M448 32H224C188.6 32 160 60.64 160 96v320c0 35.36 28.64 64 64 64h224c35.36 0 64-28.64 64-64V96C512 60.64 483.4 32 448 32zM496 416c0 26.5-21.5 48-48 48H224c-26.5 0-48-21.5-48-48V96c0-26.5 21.5-48 48-48h224c26.5 0 48 21.5 48 48V416zM80 32h-32C21.5 32 0 53.5 0 80v352C0 458.5 21.5 480 48 480h32C106.5 480 128 458.5 128 432v-352C128 53.5 106.5 32 80 32zM112 432c0 17.66-14.34 32-32 32h-32c-17.66 0-32-14.34-32-32v-352c0-17.66 14.34-32 32-32h32c17.66 0 32 14.34 32 32V432zM424 96h-176C234.8 96 224 106.8 224 120v112C224 245.2 234.8 256 248 256h176C437.2 256 448 245.2 448 232v-112C448 106.8 437.2 96 424 96zM432 232c0 4.416-3.584 8-8 8h-176C243.6 240 240 236.4 240 232v-112c0-4.416 3.584-8 8-8h176c4.416 0 8 3.584 8 8V232zM272 320C245.5 320 224 341.5 224 368S245.5 416 272 416s48-21.5 48-48S298.5 320 272 320zM272 400c-17.66 0-32-14.34-32-32s14.34-32 32-32s32 14.34 32 32S289.7 400 272 400zM432 328h-64c-4.416 0-8 3.584-8 8s3.584 8 8 8h64c4.416 0 8-3.584 8-8S436.4 328 432 328zM432 392h-64c-4.416 0-8 3.584-8 8s3.584 8 8 8h64c4.416 0 8-3.584 8-8S436.4 392 432 392z"],
    "phone-missed": [640, 512, [], "e226", "M631.1 376.4C545.4 290.7 432.7 248 320 248c-112.7 0-225.4 42.72-311.2 128.4c-9.967 9.955-11.71 25.27-4.23 37.16l52.71 84.3C62.96 506.9 72.76 512 82.95 512c3.707 0 7.467-.679 11.09-2.095l105.5-42.17c12.39-4.988 20.01-17.61 18.67-30.88l-6.621-66.57c35.09-11.96 71.76-17.82 108.4-17.82c36.7 .002 73.42 5.867 108.5 17.84l-6.641 66.53c-1.424 13.22 6.26 25.97 18.71 30.9l105.4 42.14c3.615 1.436 7.367 2.12 11.07 2.12c10.17 0 19.97-5.169 25.56-14.11l52.73-84.32C642.9 401.7 641.1 386.4 631.1 376.4zM621.8 405.2l-52.73 84.25c-2.537 4.059-7.133 6.582-11.99 6.582c-1.773 0-3.514-.334-5.137-.9785l-105.5-42.12c-5.775-2.283-9.348-8.156-8.676-14.4l7.902-79.1c-40.13-13.69-75.58-22.92-125.7-22.92c-48.97-.002-84.35 8.82-125.6 22.9l7.879 79.16c.623 6.164-2.965 12.09-8.686 14.39L88.23 495C86.53 495.7 84.75 496 82.95 496c-4.961 0-9.467-2.473-12.06-6.627l-52.73-84.26c-3.479-5.527-2.658-12.63 1.994-17.28C100.1 307.1 206.6 263.1 319.1 263.1c113.4 0 219.9 43.99 299.8 123.8C624.5 392.5 625.3 399.6 621.8 405.2zM104 160C108.4 160 112 156.4 112 152V27.31l147.7 147.7C275.6 190.9 297.6 200 320 200s44.42-9.094 60.28-24.97l137.4-137.4c3.125-3.125 3.125-8.188 0-11.31s-8.188-3.125-11.31 0l-137.4 137.4c-25.78 25.78-72.16 25.78-97.94 0L123.3 16H248C252.4 16 256 12.42 256 8S252.4 0 248 0h-144C99.58 0 96 3.578 96 8v144C96 156.4 99.58 160 104 160z"],
    "phone-office": [576, 512, [], "f67d", "M128 448h64c26.4 0 48-21.6 48-48v-352C240 21.6 218.4 0 192 0H128C101.6 0 80 21.6 80 48v352C80 426.4 101.6 448 128 448zM96 48c0-17.64 14.36-32 32-32h64c17.64 0 32 14.36 32 32v352c0 17.64-14.36 32-32 32H128c-17.64 0-32-14.36-32-32V48zM304 424c0 13.23 10.77 24 24 24h32c13.23 0 24-10.77 24-24v-32c0-13.23-10.77-24-24-24h-32c-13.23 0-24 10.77-24 24V424zM320 392c0-4.484 3.516-8 8-8h32c4.484 0 8 3.516 8 8v32c0 4.484-3.516 8-8 8h-32c-4.484 0-8-3.516-8-8V392zM304 312c0 13.23 10.77 24 24 24h32c13.23 0 24-10.77 24-24v-32C384 266.8 373.2 256 360 256h-32c-13.23 0-24 10.77-24 24V312zM320 280c0-4.484 3.516-8 8-8h32c4.484 0 8 3.516 8 8v32c0 4.484-3.516 8-8 8h-32C323.5 320 320 316.5 320 312V280zM472 368h-32c-13.23 0-24 10.77-24 24v32c0 13.23 10.77 24 24 24h32c13.23 0 24-10.77 24-24v-32C496 378.8 485.2 368 472 368zM480 424c0 4.484-3.516 8-8 8h-32c-4.484 0-8-3.516-8-8v-32c0-4.484 3.516-8 8-8h32c4.484 0 8 3.516 8 8V424zM496 280C496 266.8 485.2 256 472 256h-32C426.8 256 416 266.8 416 280v32c0 13.23 10.77 24 24 24h32c13.23 0 24-10.77 24-24V280zM480 312C480 316.5 476.5 320 472 320h-32c-4.484 0-8-3.516-8-8v-32c0-4.484 3.516-8 8-8h32C476.5 272 480 275.5 480 280V312zM496 120C496 106.8 485.2 96 472 96h-144c-13.23 0-24 10.77-24 24v64c0 13.23 10.77 24 24 24h144c13.23 0 24-10.77 24-24V120zM480 184C480 188.4 476.4 192 472 192h-144C323.6 192 320 188.4 320 184v-64c0-4.406 3.594-8 8-8h144C476.4 112 480 115.6 480 120V184zM528 32H280C275.6 32 272 35.58 272 40S275.6 48 280 48h248c17.67 0 32 14.33 32 32v384c0 17.67-14.33 32-32 32h-480c-17.67 0-32-14.33-32-32v-384c0-15.37 10.9-28.25 25.37-31.31C45.17 47.89 48 44.73 48 40.84c0-4.898-4.404-8.893-9.215-7.957C16.69 37.18 0 56.65 0 80v384C0 490.5 21.49 512 48 512h480c26.51 0 48-21.49 48-48v-384C576 53.49 554.5 32 528 32z"],
    "phone-plus": [512, 512, [], "f4d2", "M493.1 351.2L384.6 304.7c-3.967-1.717-8.148-2.543-12.29-2.543c-9.201 0-18.2 4.076-24.19 11.51l-44.05 53.81c-69.25-34-125.5-90.28-159.5-159.5l53.83-44.09c10.75-8.781 14.42-23.66 8.984-36.44L160.8 18.93C155.7 7.251 144.2 0 132 0C129.7 0 127.3 .263 124.1 .8079L24.22 24.06C9.969 27.31 0 39.84 0 54.5C0 306.8 205.2 512 457.5 512c14.67 0 27.2-9.969 30.47-24.22l23.25-100.8C514.6 372.4 507 357.2 493.1 351.2zM495.6 383.4l-23.26 100.8C470.8 491.2 464.7 496 457.5 496C214 496 16 297.9 16 54.49c0-7.154 4.844-13.26 11.82-14.85C140.3 13.69 130.4 16 132 16c6.117 0 11.68 3.672 14.12 9.234l46.51 108.5C195.3 139.1 193.5 147.3 188.2 151.6L124.6 203.7c66.63 135.7 164.7 174.4 183.8 183.8l52.16-63.73c2.012-2.496 8.896-8.123 17.72-4.303l108.4 46.49C493.6 368.9 497.3 376.2 495.6 383.4zM328 104h80v80C408 188.4 411.6 192 416 192s8-3.578 8-8v-80h80C508.4 104 512 100.4 512 96s-3.578-8-8-8h-80v-80C424 3.578 420.4 0 416 0s-8 3.578-8 8v80h-80C323.6 88 320 91.58 320 96S323.6 104 328 104z"],
    "phone-rotary": [512, 512, [9742], "f8d3", "M354.4 192.3C343 172.3 321.9 160 298.9 160H213.1c-23 0-44.13 12.25-55.5 32.25l-105.4 184.4C49.5 381.5 48 386.9 48 392.5V448c0 17.62 14.38 32 32 32h352c17.62 0 32-14.38 32-32v-55.5c0-5.625-1.5-11-4.25-15.88L354.4 192.3zM448 448c0 8.822-7.178 16-16 16h-352C71.18 464 64 456.8 64 448v-55.5c0-2.746 .7363-5.443 2.141-7.936l105.4-184.4C180 185.3 195.9 176 213.1 176h85.75c17.18 0 33.12 9.258 41.61 24.19l105.3 184.3C447.3 387.1 448 389.8 448 392.5V448zM256 240c-39.7 0-72 32.3-72 72S216.3 384 256 384s72-32.3 72-72S295.7 240 256 240zM256 368c-30.88 0-56-25.12-56-56S225.1 256 256 256s56 25.12 56 56S286.9 368 256 368zM503.5 124.9C434.1 65.02 346.2 32 256 32S77.91 65.02 8.469 124.9C3.078 129.6 0 136.4 0 143.6V200C0 213.2 10.55 224 23.5 224h67.94c9.016 0 17.28-5.312 21.28-14.06l25.58-67.97C172.7 127.2 211.2 120 256 120s83.34 7.188 117.7 21.97l25.8 68.5C403.3 218.7 411.5 224 420.6 224h67.94C501.5 224 512 213.2 512 200V143.6C512 136.4 508.9 129.6 503.5 124.9zM496 200c0 4.484-3.297 8-7.5 8h-67.94c-2.781 0-5.344-1.656-6.312-3.688l-27.94-74.25l-3.047-1.359C346 112.1 304.4 104 256 104S165.1 112.1 128.7 128.7L125.7 130.1L97.97 203.8C96.78 206.3 94.22 208 91.44 208H23.5C19.3 208 16 204.5 16 200V143.6c0-2.578 1.062-4.969 2.922-6.562C85.45 79.63 169.7 48 256 48s170.5 31.62 237.1 89.06C494.9 138.7 496 141 496 143.6V200z"],
    "phone-slash": [640, 512, [], "f3dd", "M431.5 207.1c-5.242 10.68-11.14 20.85-17.4 30.88l12.9 10.26c14.46-22.81 21.82-40.2 24.36-45.66l-63.53-52.02c-5.25-4.219-7.062-11.52-4.375-17.73l46.5-108.5c2.938-6.781 10.34-10.48 17.47-8.844l100.8 23.25c6.938 1.594 11.81 7.719 11.81 14.88c0 89.5-26.95 172.8-72.91 242.4l12.61 10.02c48.11-72.41 76.3-159.2 76.3-252.4c0-14.67-9.969-27.18-24.22-30.45L451 .8125c-14.59-3.375-29.82 4.213-35.82 18.12l-46.52 108.5c-5.531 12.78-1.802 27.77 8.979 36.45L431.5 207.1zM118.5 496c-7.156 0-13.25-4.859-14.88-11.81l-23.25-100.8c-1.656-7.203 2.125-14.61 8.938-17.58l108.5-46.52C204.1 316.7 211.3 318.6 215.6 323.8l52 63.53c22.12-10.32 41.54-21.92 58.95-34.04l-12.87-10.23c-13.29 9.004-27.16 17.38-41.68 24.5L227.9 313.7c-8.781-10.75-23.69-14.41-36.47-8.974l-108.5 46.51c-13.91 6.094-21.52 21.1-18.11 35.79l23.25 100.8C91.3 502 103.9 512 118.5 512c106.1 0 205.3-37.18 283.3-98.93l-12.93-10.28C314.1 460.1 220.4 496 118.5 496zM636.1 497.7l-623.1-496c-1.463-1.164-3.217-1.73-4.963-1.73c-2.352 0-4.689 1.029-6.287 3.012c-2.75 3.469-2.172 8.5 1.281 11.25l623.1 496C628.5 511.4 630.2 512 631.1 512c2.344 0 4.688-1.031 6.266-3.016C641 505.5 640.4 500.5 636.1 497.7z"],
    "phone-volume": [512, 512, ["volume-control-phone"], "f2a0", "M151.3 174.6c.8066 .082 1.613 .1211 2.412 .1211c9.715 0 18.61-5.9 22.3-15.06l33.75-84.38C214 64.35 209.1 51.1 200.2 45.86l-67.47-42.17C128.7 1.213 124.3 0 119.9 0C113.7 0 107.6 2.414 102.9 7.08C-34.32 144.3-34.31 367.7 102.9 504.9C107.6 509.6 113.7 512 119.9 512c4.387 0 8.801-1.209 12.75-3.688l67.48-42.19c9.775-6.104 13.9-18.47 9.598-29.3L176 352.5c-3.631-9.168-12.55-15.11-22.21-15.11c-.8379 0-1.678 .0449-2.522 .1348l-53.24 5.314C78.89 286.7 78.89 225.4 98.06 169.3L151.3 174.6zM82.91 164.1c-20.24 59.29-20.23 124.6 .0176 183.9l4.102 12.01l66.8-6.631c3.203 0 6.152 2.008 7.355 5.047l33.71 84.29c1.42 3.576 .0449 7.803-3.207 9.834l-67.5 42.2C122.9 495.6 121.4 496 119.9 496c-2.117 0-4.137-.8535-5.688-2.404C50.89 430.2 16 345.9 16 256c0-89.86 34.9-174.2 98.26-237.6C115.8 16.85 117.8 16 119.9 16c1.482 0 2.947 .4297 4.275 1.266l67.48 42.18C194.1 61.51 196.3 65.7 194.9 69.29L161.2 153.6C160 156.6 156.1 158.6 152.1 158.6c-.041 0 .041 0 0 0L87.01 152.1L82.91 164.1zM388.7 15.56C385.1 13 380.1 13.78 377.5 17.39c-2.562 3.594-1.75 8.594 1.844 11.17C452.4 81.11 496 166.1 496 256s-43.63 174.9-116.7 227.4c-3.594 2.578-4.406 7.578-1.844 11.17C379.1 496.8 381.5 497.9 384 497.9c1.625 0 3.25-.4844 4.656-1.5C465.9 440.9 512 350.1 512 255.1S465.9 71.11 388.7 15.56zM324.3 87.86c-3.719-2.391-8.625-1.344-11.06 2.375c-2.406 3.719-1.344 8.672 2.375 11.06C368.5 135.4 400 193.2 400 256s-31.53 120.6-84.34 154.7c-3.719 2.391-4.781 7.344-2.375 11.06C314.8 424.1 317.4 425.4 320 425.4c1.5 0 3-.4062 4.344-1.281C381.8 387.1 416 324.2 416 255.1S381.8 124.9 324.3 87.86zM259.3 161.4C255.3 159.6 250.6 161.4 248.7 165.4c-1.844 4.016-.0625 8.766 3.938 10.61C283.8 190.3 304 221.7 304 256s-20.16 65.72-51.34 80.03c-4 1.844-5.781 6.594-3.938 10.61C250.1 349.6 252.1 351.3 256 351.3c1.125 0 2.25-.2344 3.344-.7344c36.84-16.91 60.66-54.04 60.66-94.57S296.2 178.3 259.3 161.4z"],
    "phone-xmark": [512, 512, [], "e227", "M493.1 351.2L384.6 304.7c-3.967-1.717-8.148-2.543-12.29-2.543c-9.201 0-18.2 4.076-24.19 11.51l-44.05 53.81c-69.25-34-125.5-90.28-159.5-159.5l53.83-44.09c10.75-8.781 14.42-23.66 8.984-36.44L160.8 18.93C155.7 7.251 144.2 0 132 0C129.7 0 127.3 .263 124.1 .8079L24.22 24.06C9.969 27.31 0 39.84 0 54.5C0 306.8 205.2 512 457.5 512c14.67 0 27.2-9.969 30.47-24.22l23.25-100.8C514.6 372.4 507 357.2 493.1 351.2zM495.6 383.4l-23.26 100.8C470.8 491.2 464.7 496 457.5 496C214 496 16 297.9 16 54.49c0-7.154 4.844-13.26 11.82-14.85C140.3 13.69 130.4 16 132 16c6.117 0 11.68 3.672 14.12 9.234l46.51 108.5C195.3 139.1 193.5 147.3 188.2 151.6L124.6 203.7c66.63 135.7 164.7 174.4 183.8 183.8l52.16-63.73c2.012-2.496 8.896-8.123 17.72-4.303l108.4 46.49C493.6 368.9 497.3 376.2 495.6 383.4zM348.1 39.43L404.7 96l-56.57 56.57c-3.127 3.127-3.127 8.187 0 11.31s8.187 3.127 11.31 0L416 107.3l56.57 56.57c3.127 3.127 8.187 3.127 11.31 0c3.127-3.127 3.127-8.187 0-11.31L427.3 96l56.57-56.57c3.127-3.127 3.127-8.187 0-11.31c-3.127-3.127-8.187-3.127-11.31 0L416 84.69l-56.57-56.57c-3.127-3.127-8.187-3.127-11.31 0S344.1 36.3 348.1 39.43z"],
    "photo-film": [640, 512, ["photo-video"], "f87c", "M591.1 0H239.1C213.5 0 191.1 21.49 191.1 48v256c0 26.51 21.49 48 48 48h352c26.51 0 48-21.49 48-48v-256C640 21.49 618.5 0 591.1 0zM239.1 336c-17.67 0-32-14.33-32-32V285.4L315 178.3c3.12-3.12 8.225-3.121 11.34-.0008l46.69 46.69L262.1 336H239.1zM623.1 304c0 17.67-14.33 32-32 32H284.7l221.7-221.7C507.9 112.8 509.9 112 511.1 112c2.125 0 4.188 .8281 5.688 2.344l106.3 106.3V304zM623.1 198l-95.02-95.02C524.4 98.5 518.4 96 511.1 96c-.0313 0 0 0 0 0c-6.438 .0156-12.45 2.516-16.95 7.031l-110.7 110.7L337.7 167c-9.38-9.38-24.59-9.379-33.97 .0023l-95.7 95.73V48c0-17.67 14.33-32 32-32h352c17.67 0 32 14.33 32 32V198zM288 56C265.9 56 248 73.94 248 96s17.94 40 40 40c22.06 0 40-17.94 40-40S310.1 56 288 56zM288 120C274.8 120 264 109.2 264 96s10.78-24 24-24S312 82.77 312 96S301.2 120 288 120zM504 384c-4.406 0-8 3.578-8 8v8H400v-8c0-4.418-3.582-8-8-8c-4.42 0-8 3.582-8 8v104H128v-352h24c4.406 0 8-3.578 8-8S156.4 128 152 128H48C21.49 128 .0003 149.5 .0003 176v288c0 26.51 21.49 48 48 48h416c26.51 0 48-21.49 48-48l-.0004-72C512 387.6 508.4 384 504 384zM112 496H48c-17.67 0-32-14.33-32-32V416h96V496zM112 400H16v-72h96L112 400zM112 312H16V240h96L112 312zM112 224H16V176c0-17.67 14.33-32 32-32h64V224zM496 464c0 17.67-14.33 32-32 32H400V416h96V464z"],
    "photo-film-music": [640, 512, [], "e228", "M623.4 179.9c-10.53-7.578-23.66-9.594-36.03-5.484l-128 42.66C443 222.6 432 237.8 432 255.1v177.5C420.3 422.5 403.2 416 384 416c-35.35 0-64 21.49-64 48s28.65 48 64 48s64-21.49 64-48v-138.2l176-58.67v101.5C612.3 358.5 595.2 352 576 352c-35.35 0-64 21.49-64 48s28.65 48 64 48s64-21.49 64-48V212.4C640 199.4 633.9 187.5 623.4 179.9zM384 496c-26.02 0-48-14.65-48-32s21.98-32 48-32c26.02 0 48 14.65 48 32S410 496 384 496zM576 432c-26.02 0-48-14.65-48-32s21.98-32 48-32c26.02 0 48 14.65 48 32S602 432 576 432zM624 250.2L448 308.9v-53.83c0-10.34 6.594-19.5 16.41-22.77l128-42.66c7.406-2.453 15.28-1.281 21.62 3.281S624 204.6 624 212.4V250.2zM288 432H112v-352h40C156.4 80 160 76.42 160 72S156.4 64 152 64h-112C17.94 64 0 81.94 0 104l0 303.9C0 429.9 18.07 448 40.13 448H288c4.406 0 8-3.578 8-8S292.4 432 288 432zM96 432H40c-13.22 0-24-10.77-24-24V352H96V432zM96 336H16V264H96V336zM96 248H16V176H96V248zM96 160H16V104c0-13.23 10.78-24 24-24H96V160zM232 320h144C380.4 320 384 316.4 384 312S380.4 304 376 304H251.4l190.9-189.7c3.156-3.125 8.219-3.109 11.38 .0781l52.69 51.31c3.219 3.109 8.281 3.016 11.31-.1562c3.094-3.156 3.031-8.234-.125-11.31l-52.63-51.23c-9.406-9.391-24.62-9.344-33.91-.0156L229.3 303.5C217.4 302.1 208 292.3 208 280v-240c0-13.23 10.78-24 24-24h336c13.22 0 24 10.77 24 24V128c0 4.422 3.594 8 8 8S608 132.4 608 128V40C608 17.94 590.1 0 568 0H232C209.9 0 192 17.94 192 40v240C192 302.1 209.9 320 232 320zM248 96c0 22.06 17.94 40 40 40S328 118.1 328 96S310.1 56 288 56S248 73.94 248 96zM312 96c0 13.23-10.78 24-24 24S264 109.2 264 96S274.8 72 288 72S312 82.77 312 96z"],
    "pi": [448, 512, [], "f67e", "M445.7 370.3c3.125 3.125 3.125 8.188 0 11.31l-50.75 50.75C385 442.3 371.3 448 357.3 448C327.9 448 304 424.1 304 394.8V96h-160v132.6c0 77.05-22.59 151.7-65.34 215.8C77.13 446.8 74.56 448 72 448c-1.531 0-3.062-.4375-4.438-1.344c-3.688-2.453-4.656-7.422-2.219-11.09C106.3 374.1 128 302.5 128 228.6V96H8C3.594 96 0 92.42 0 87.1S3.594 80 8 80h432C444.4 80 448 83.58 448 87.1S444.4 96 440 96H320v298.8C320 415.3 336.7 432 357.3 432c9.812 0 19.44-3.969 26.34-10.91l50.75-50.75C437.5 367.2 442.5 367.2 445.7 370.3z"],
    "piano": [512, 512, [], "f8d4", "M476.6 270.2l-58.72-29.23c-21.67-10.79-33.71-33.32-33.85-57.52C383.4 82.06 301.2 0 199.5 0h-15C82.6 0 0 82.6 0 184.5V448c0 35.2 28.8 64 64 64h384c35.2 0 64-28.8 64-64v-120.5C512 303.2 498.3 281 476.6 270.2zM496 448c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48v-96h32v56c0 13.23 10.77 24 24 24h16c13.23 0 24-10.77 24-24V352H128v56c0 13.23 10.77 24 24 24h16C181.2 432 192 421.2 192 408V352h16v56c0 13.23 10.77 24 24 24h16c13.23 0 24-10.77 24-24V352H320v56c0 13.23 10.77 24 24 24h16c13.23 0 24-10.77 24-24V352h16v56c0 13.23 10.77 24 24 24h16c13.23 0 24-10.77 24-24V352h32V448zM64 408V352h32v56C96 412.4 92.42 416 88 416h-16C67.58 416 64 412.4 64 408zM144 408V352h32v56C176 412.4 172.4 416 168 416h-16C147.6 416 144 412.4 144 408zM224 408V352h32v56C256 412.4 252.4 416 248 416h-16C227.6 416 224 412.4 224 408zM336 408V352h32v56c0 4.418-3.582 8-8 8h-16C339.6 416 336 412.4 336 408zM416 408V352h32v56c0 4.418-3.582 8-8 8h-16C419.6 416 416 412.4 416 408zM496 336h-480V184.5C16 91.59 91.59 16 184.5 16h15c92.4 0 167.1 75.16 168.5 167.6c.1719 31.23 16.54 58.73 42.72 71.76l58.67 29.21C485.8 292.7 496 309.2 496 327.5V336z"],
    "piano-keyboard": [576, 512, [127929], "f8d5", "M512 64H64C28.8 64 0 92.8 0 128v256c0 35.2 28.8 64 64 64h448c35.2 0 64-28.8 64-64V128C576 92.8 547.2 64 512 64zM16 128c0-26.47 21.53-48 48-48h448c26.47 0 48 21.53 48 48v80h-544V128zM136 224h48v88C184 316.4 180.4 320 176 320h-32c-4.406 0-8-3.594-8-8V224zM176 336c13.22 0 24-10.77 24-24V224h48v88c0 13.23 10.78 24 24 24h8v96h-112v-96H176zM272 320c-4.406 0-8-3.594-8-8V224h48v88c0 4.406-3.594 8-8 8H272zM296 336h8c13.22 0 24-10.77 24-24V224h48v88c0 13.23 10.78 24 24 24h8v96h-112V336zM400 320c-4.406 0-8-3.594-8-8V224h48v88c0 4.406-3.594 8-8 8H400zM16 384V224h104v88c0 13.23 10.78 24 24 24h8v96H64C37.53 432 16 410.5 16 384zM560 384c0 26.47-21.53 48-48 48h-88v-96h8c13.22 0 24-10.77 24-24V224h104V384z"],
    "pickleball": [576, 512, [], "e435", "M374.9 39.38C343.6 8.178 292.9 8.178 261.6 39.38L103.8 196.8C85.4 215.1 79.93 242.7 89.9 266.6L118.2 334.4C125.7 352.3 121.5 372.9 107.8 386.7L39.08 455.1C29.69 464.5 29.69 479.7 39.07 489C48.46 498.4 63.69 498.4 73.08 489L141.1 420.4C155.7 406.7 176.3 402.6 194.2 409.9L260.8 437.2C267.9 440.1 275.3 441.7 282.7 441.9C284.8 447.4 287.2 452.7 289.9 457.8C278.1 458.5 266.1 456.6 254.7 451.1L188.1 424.7C176.2 419.8 162.4 422.6 153.3 431.7L84.4 500.3C68.76 515.9 43.39 515.9 27.75 500.3C12.1 484.7 12.11 459.4 27.75 443.8L96.45 375.4C105.6 366.2 108.4 352.4 103.4 340.5L75.11 272.7C62.64 242.8 69.48 208.4 92.42 185.5L250.3 28.08C287.8-9.36 348.7-9.36 386.2 28.08L499.8 141.3C529.2 170.7 535.6 214.2 518.9 249.7C514.4 246.8 509.8 244.1 505 241.7C518.1 212.3 512.6 176.7 488.5 152.6L374.9 39.38zM275.5 350.3L138.6 213.9C135.5 210.8 135.5 205.7 138.6 202.6C141.7 199.4 146.8 199.4 149.9 202.5L280.4 332.6C278.4 338.4 276.8 344.3 275.5 350.3H275.5zM383.9 368.1C383.9 376.9 376.8 384.1 367.9 384.1C359.1 384.1 351.9 376.9 351.9 368.1C351.9 359.2 359.1 352.1 367.9 352.1C376.8 352.1 383.9 359.2 383.9 368.1zM399.9 448.1C399.9 439.2 407.1 432.1 415.9 432.1C424.8 432.1 431.9 439.2 431.9 448.1C431.9 456.9 424.8 464.1 415.9 464.1C407.1 464.1 399.9 456.9 399.9 448.1zM447.9 384.1C447.9 392.9 440.8 400.1 431.9 400.1C423.1 400.1 415.9 392.9 415.9 384.1C415.9 375.2 423.1 368.1 431.9 368.1C440.8 368.1 447.9 375.2 447.9 384.1zM479.9 400.1C479.9 391.2 487.1 384.1 495.9 384.1C504.8 384.1 511.9 391.2 511.9 400.1C511.9 408.9 504.8 416.1 495.9 416.1C487.1 416.1 479.9 408.9 479.9 400.1zM463.9 320.1C463.9 328.9 456.8 336.1 447.9 336.1C439.1 336.1 431.9 328.9 431.9 320.1C431.9 311.2 439.1 304.1 447.9 304.1C456.8 304.1 463.9 311.2 463.9 320.1zM303.9 384.1C303.9 313.4 361.3 256.1 431.9 256.1C502.6 256.1 559.9 313.4 559.9 384.1C559.9 454.7 502.6 512.1 431.9 512.1C361.3 512.1 303.9 454.7 303.9 384.1V384.1zM431.9 496.1C493.8 496.1 543.9 445.9 543.9 384.1C543.9 322.2 493.8 272.1 431.9 272.1C370.1 272.1 319.9 322.2 319.9 384.1C319.9 445.9 370.1 496.1 431.9 496.1V496.1z"],
    "pie": [576, 512, [129383], "f705", "M536.9 224c-3.375 0-5.562-.4062-7.594-1.219C492.7 118.1 396.2 48 288 48c-108.3 0-204.9 70.13-241.3 174.8C44.78 223.6 42.63 224 39.13 224C17.56 224 0 241.9 0 264S17.56 304 39.13 304c33.72 0 53.25-15 65.06-24.06C112.4 273.5 114.4 272 122.3 272c7.688 0 9.656 1.531 18 8c11.69 8.969 31.19 24 65 24c33.72 0 53.25-15 65.09-24.08C278.7 273.4 280.7 272 288.3 272c7.469 0 9.312 1.25 18.25 8.281C318.9 289.7 337.7 304 371.1 304c33.81 0 53.31-15.03 65.09-24.08C444.4 273.5 446.3 272 454.1 272c7.562 0 9.312 1.359 17.81 7.938C483.5 288.9 502.9 304 536.9 304C558.4 304 576 286.1 576 264S558.4 224 536.9 224zM536.9 288c-28.47 0-44.5-12.45-55.25-20.8C472.6 260.2 467.2 256 454.1 256c-13.38 0-18.78 4.266-27.78 11.31C415 276 399.5 288 371.1 288c-28.09 0-43.59-11.81-55.22-20.67C306.9 260.3 301.5 256 288.3 256C275.5 256 269.9 259.9 260.4 267.4C249.1 276.1 233.5 288 205.3 288C176.9 288 161.3 276 149.1 267.3C140.9 260.3 135.4 256 122.3 256C108.9 256 103.4 260.3 94.31 267.4C82.97 276.1 67.41 288 39.13 288C26.38 288 16 277.2 16 264S26.38 240 39.13 240c7.344 0 12.59-1.328 18.16-4.609l2.562-1.516l.9687-2.844C94.22 131.1 185.5 64 288 64c102.4 0 193.7 67.13 227.2 167l1 2.938l2.688 1.5C524.6 238.7 529.8 240 536.9 240C549.6 240 560 250.8 560 264S549.6 288 536.9 288zM514.5 320.4c-4.156-1.344-8.719 .8906-10.12 5.062l-30.16 90.72C471.2 425.6 462.4 432 452.4 432H123.7c-9.969 0-18.78-6.391-21.97-15.88l-30.16-90.66c-1.406-4.188-5.875-6.422-10.12-5.062c-4.188 1.391-6.469 5.922-5.062 10.12l30.16 90.67C91.94 437.2 106.9 448 123.7 448h328.7c16.94 0 31.81-10.8 37.03-26.81l30.16-90.66C521 326.3 518.7 321.8 514.5 320.4zM288 128C283.6 128 280 131.6 280 136v48C280 188.4 283.6 192 288 192s8-3.578 8-8v-48C296 131.6 292.4 128 288 128zM184.8 132.4l-24 48C158.9 184.4 160.5 189.2 164.4 191.2C165.6 191.7 166.8 192 168 192c2.938 0 5.75-1.625 7.156-4.422l24-48c1.969-3.953 .375-8.75-3.594-10.73C191.8 126.9 186.8 128.5 184.8 132.4zM391.2 132.4c-1.969-3.953-6.875-5.531-10.72-3.578c-3.969 1.984-5.562 6.781-3.594 10.73l24 48C402.3 190.4 405.1 192 408 192c1.219 0 2.438-.2656 3.562-.8438c3.969-1.984 5.562-6.781 3.594-10.73L391.2 132.4z"],
    "pig": [640, 512, [128022], "f706", "M448 240C448 231.2 455.2 224 464 224C472.8 224 480 231.2 480 240C480 248.8 472.8 256 464 256C455.2 256 448 248.8 448 240zM512 60.24V88H574.4C588.6 88 600 99.45 600 113.6C600 143.6 581.4 170.5 553.6 181.2C561.7 192.5 572.7 201.5 585.3 207.4C586 207.8 586.1 208 588.1 208H608C625.7 208 640 222.3 640 240V320C640 337.7 625.7 352 608 352H581.7C578.8 352 575.9 353.6 573.1 356.6C555.8 384.9 527.3 404.9 494.9 412.6L476.5 464.1C473.1 473.6 464 480 453.9 480H408C394.7 480 384 469.3 384 456V416H271.1V456C271.1 469.3 261.3 480 247.1 480H202.1C191.1 480 182.9 473.6 179.5 464.1L149.2 379.1C107.7 353.8 80 308.1 80 256V240H45.19C20.23 240 0 219.8 0 194.8V193.3C0 174.7 11.87 158.3 29.47 152.4L53.47 144.4C57.66 143 62.19 145.3 63.59 149.5C64.99 153.7 62.72 158.2 58.53 159.6L34.53 167.6C23.46 171.3 16 181.6 16 193.3V194.8C16 210.9 29.07 224 45.19 224H80.79C88.82 143.1 157 80 240 80H381.2C381.1 80 382.7 80 383.5 80.01C391.6 69.56 402.5 61.23 415.4 56.27L473.6 33.88C476.9 32.64 480.3 32 483.8 32C499.4 32 512 44.64 512 60.24L512 60.24zM511.3 104C510.3 111.1 508.3 117.9 505.4 124.2C520.4 136.4 533.7 150.9 544.7 167.3L545.4 167.1C568.5 159.4 584 137.9 584 113.6C584 108.3 579.7 104 574.4 104L511.3 104zM421.2 71.2C409.9 75.53 400.6 83.1 394.1 92.62L391.6 96.25L387.2 96.1C385.2 96.03 383.2 96 381.2 96H239.1C160.5 96 95.1 160.5 95.1 240V256C95.1 303.3 121.6 344.6 159.8 366.7L162.3 368.2L194.6 458.7C195.7 461.9 198.8 464 202.1 464H247.1C252.4 464 255.1 460.4 255.1 456V400H400V456C400 460.4 403.6 464 408 464H453.9C457.2 464 460.3 461.9 461.4 458.7L482.8 398.7L487.3 397.8C517.4 391.9 543.9 373.9 560.5 347.9C564.1 340.1 572.7 336 581.7 336H608C616.8 336 624 328.8 624 320V240C624 231.2 616.8 224 608 224H588.1C584.1 224 581.7 223.4 578.5 221.9C560.1 213.7 546.1 200.5 536.1 183.7C524.1 163.6 508.5 146.4 490.4 132.7L484.7 128.5L488.3 122.3C493.2 113.1 496 104.3 496 94.03V60.24C496 53.48 490.5 48 483.8 48C482.3 48 480.8 48.28 479.4 48.82L421.2 71.2z"],
    "piggy-bank": [576, 512, [], "f4d3", "M168 120C163.6 120 160 116.4 160 112C160 50.14 210.1 0 272 0C328 0 374.4 41.1 382.7 94.78C383.4 99.15 380.4 103.2 375.1 103.9C371.6 104.6 367.5 101.6 366.9 97.22C359.8 51.22 319.1 16 272 16C218.1 16 176 58.98 176 112C176 116.4 172.4 120 168 120H168zM384 256C384 238.3 398.3 224 416 224C433.7 224 448 238.3 448 256C448 273.7 433.7 288 416 288C398.3 288 384 273.7 384 256zM416 272C424.8 272 432 264.8 432 256C432 247.2 424.8 240 416 240C407.2 240 400 247.2 400 256C400 264.8 407.2 272 416 272zM208 512H176C149.5 512 128 490.5 128 464V416C89.14 386.8 64 340.3 64 288H52C23.28 288 0 264.7 0 236C0 207.3 23.28 184 52 184H56C60.42 184 64 187.6 64 192C64 196.4 60.42 200 56 200H52C32.12 200 16 216.1 16 236C16 255.9 32.12 272 52 272H64.79C72.82 191.1 141 128 224 128H376.4C394 108.4 419.6 96 448 96H465.3C480.9 96 492.3 110.7 488.5 125.8L480 159.1C501.1 176.5 519.6 198.5 530.7 224H544C561.7 224 576 238.3 576 256V352C576 369.7 561.7 384 544 384H512C495.5 405.1 473.5 423.6 448 434.7V464C448 490.5 426.5 512 400 512H368C341.5 512 320 490.5 320 464V448H256V464C256 490.5 234.5 512 208 512V512zM383.6 144H224C144.5 144 80 208.5 80 288C80 335.1 102.6 376.9 137.6 403.2L144 408V464C144 481.7 158.3 496 176 496H208C225.7 496 240 481.7 240 464V448H232C227.6 448 224 444.4 224 440C224 435.6 227.6 432 232 432H344C348.4 432 352 435.6 352 440C352 444.4 348.4 448 344 448H336V464C336 481.7 350.3 496 368 496H400C417.7 496 432 481.7 432 464V424.2L441.6 420C464.5 410 484.4 394.2 499.2 374.4L504 368H544C552.8 368 560 360.8 560 352V256C560 247.2 552.8 240 544 240H520.2L516 230.4C506 207.5 490.2 187.6 470.4 172.8L461.9 166.4L473 121.9C474.3 116.9 470.5 112 465.3 112H448C424.3 112 403 122.3 388.4 138.7L383.6 144z"],
    "pills": [576, 512, [], "f484", "M529.1 206.9C497.9 175.6 456.9 160 416 160s-81.95 15.61-113.2 46.85c-62.48 62.48-62.48 163.8 0 226.3C334 464.4 375.1 480 416 480s81.89-15.6 113.1-46.84C591.6 370.7 591.6 269.3 529.1 206.9zM416 464c-38.46 0-74.63-14.98-101.8-42.18C286.1 394.6 272 358.5 272 320c0-35.75 13.41-69.2 37.08-95.62l202.5 202.6C485.2 450.6 451.7 464 416 464zM522.9 415.6l-202.5-202.6C346.8 189.4 380.3 176 416 176c38.46 0 74.63 14.98 101.8 42.18C545 245.4 560 281.5 560 320C560 355.8 546.6 389.2 522.9 415.6zM112 32C50.15 32 0 82.14 0 143.1v223.1c0 61.86 50.15 111.1 112 111.1s112-50.14 112-111.1V143.1C224 82.14 173.9 32 112 32zM208 368c0 52.94-43.06 96-96 96s-96-43.06-96-96V264h192V368zM208 248h-192V144c0-52.94 43.06-96 96-96s96 43.06 96 96V248z"],
    "pinata": [512, 512, [], "e3c3", "M176 176c17.66 0 32-14.34 32-32s-14.34-32-32-32s-32 14.34-32 32S158.3 176 176 176zM176 128C184.8 128 192 135.2 192 144S184.8 160 176 160S160 152.8 160 144S167.2 128 176 128zM440 248H256V32c0-17.66-14.34-32-32-32S192 14.34 192 32v32H63.78C28.63 64 0 92.63 0 127.8c0 27.5 17.53 51.84 43.63 60.53L96 205.8V472C96 494.1 113.9 512 136 512h48C206.1 512 224 494.1 224 472c0-39.69 32.31-72 72-72h16c39.69 0 72 32.31 72 72c0 22.06 17.94 40 40 40h48c22.06 0 40-17.94 40-40V320C512 280.3 479.7 248 440 248zM106.5 192.4L48.69 173.1C29.13 166.6 16 148.4 16 127.8C16 101.4 37.44 80 63.78 80H200c4.406 0 8-3.594 8-8V32c0-8.812 7.188-16 16-16S240 23.19 240 32v211.7l-24.75-11c-2.062-.9375-4.438-.9375-6.5 0L176 247.3L143.3 232.7c-2.062-.9375-4.438-.9375-6.5 0L112 243.7V200C112 196.6 109.8 193.5 106.5 192.4zM208 472c0 13.22-10.78 24-24 24h-48c-13.22 0-24-10.78-24-24v-51.06l24-12l28.44 14.22c2.25 1.125 4.875 1.125 7.125 0L200 408.9l24.43 12.21C214.2 435.5 208 453 208 472zM496 472c0 13.22-10.78 24-24 24h-48c-13.22 0-24-10.78-24-24c0-18.98-6.176-36.46-16.43-50.85L408 408.9l28.44 14.22c2.25 1.125 4.875 1.125 7.125 0L472 408.9l24 12V472zM496 403.1l-20.44-10.22c-2.25-1.125-4.875-1.125-7.125 0L440 407.1l-28.44-14.22c-2.25-1.125-4.875-1.125-7.125 0l-31.62 15.81C356.1 393.5 335.6 384 312 384h-16c-23.62 0-44.99 9.465-60.81 24.66l-31.62-15.81c-2.25-1.125-4.875-1.125-7.125 0L168 407.1l-28.44-14.22c-2.25-1.125-4.875-1.125-7.125 0L112 403.1v-62.02l25.34-12.17l29.84 14.34c2.188 1.062 4.75 1.062 6.938 0L204 328.9l29.88 14.34c2.188 1.062 4.75 1.062 6.938 0l29.84-14.34l29.88 14.34c2.188 1.062 4.75 1.062 6.938 0l29.88-14.34l29.84 14.34c2.188 1.062 4.75 1.062 6.938 0L404 328.9l29.88 14.34c2.188 1.062 4.75 1.062 6.938 0l29.84-14.34L496 341V403.1zM496 323.3l-21.88-10.5c-2.188-1.062-4.75-1.062-6.938 0l-29.84 14.34l-29.88-14.34c-2.188-1.062-4.75-1.062-6.938 0l-29.88 14.34l-29.84-14.34c-2.188-1.062-4.75-1.062-6.938 0L304 327.1l-29.88-14.34c-2.188-1.062-4.75-1.062-6.938 0l-29.84 14.34L207.5 312.8c-2.188-1.062-4.75-1.062-6.938 0l-29.88 14.34L140.8 312.8c-2.188-1.062-4.75-1.062-6.938 0L112 323.3V261.2l28-12.45l32.75 14.56c2.062 .9375 4.438 .9375 6.5 0L212 248.8l32.75 14.56C245.8 263.8 246.9 264 248 264h192c30.88 0 56 25.12 56 56V323.3z"],
    "pinball": [448, 512, [], "e229", "M145.4 211.6C137.5 205.3 128.1 200 118.1 196.6c-9.295-3.139-18.73-4.632-28.01-4.632c-37.92 0-73.19 24.92-85.62 64.17c-15.46 48.85 10.35 101.4 57.64 117.4l310.3 104.8c3.35 1.123 6.824 1.677 10.29 1.677c9.92 0 19.75-4.542 26.3-13.24c11.27-14.98 8.65-36.56-5.85-48.2L145.4 211.6zM396.2 457.1C392.9 461.5 388 464 382.7 464c-1.777 0-3.527-.2852-5.168-.8359l-310.3-104.8C28.22 345.2 6.914 301.5 19.74 261C29.77 229.3 58.05 208 90.1 208c7.738 0 15.44 1.275 22.89 3.791c7.902 2.67 15.66 6.936 22.4 12.3l257.8 206.9C400.9 437.3 402.3 449 396.2 457.1zM96.17 255.9c-17.64 0-31.89 14.23-31.89 31.89s14.25 31.89 31.89 31.89s31.89-14.23 31.89-31.89S113.8 255.9 96.17 255.9zM96.17 303.8c-8.828 0-16-7.188-16-16s7.172-16 16-16s16 7.188 16 16S105 303.8 96.17 303.8zM352 32c-53.02 0-96 42.98-96 96s42.98 96 96 96s96-42.98 96-96S405 32 352 32zM352 208c-44.11 0-80-35.89-80-80c0-44.11 35.89-80 80-80s80 35.89 80 80C432 172.1 396.1 208 352 208z"],
    "pineapple": [512, 512, [], "e31f", "M359.7 107.7C330.6 78.56 292.4 64 254.3 64C216.1 64 177.9 78.55 148.8 107.7L43.67 212.8c-58.22 58.22-58.22 152.6-.002 210.8l44.66 44.66C117.4 497.4 155.6 512 193.7 512s76.31-14.56 105.4-43.67l105.2-105.2c58.22-58.22 58.22-152.6 0-210.8L359.7 107.7zM393 351.9l-105.2 105.2C262.7 482.2 229.3 496 193.7 496c-35.55 0-68.97-13.84-94.11-38.98l-44.66-44.66c-51.89-51.89-51.89-136.3 0-188.2l105.2-105.2C185.3 93.84 218.7 80 254.3 80c35.55 0 68.97 13.84 94.11 38.98l44.66 44.66C418.2 188.8 432 222.2 432 257.7C432 293.3 418.2 326.7 393 351.9zM500.4 76.19l-11.12-3.656c5.719-9.125 8.781-19.67 8.781-30.61V31.94c0-9.906-8.062-17.97-17.97-17.97h-9.969c-10.5 0-20.69 2.891-29.62 8.266l-3.281-10.41c-1.375-4.359-4.438-8.031-8.406-10.06c-3.781-1.953-8.094-2.328-12.09-1c-13.22 4.344-24.41 12.92-32.28 24.64L376 17c-6.375-6.359-16.59-6.547-22.84-.375c-10.25 10.23-16.5 24.02-17.59 38.78c-.3438 4.406 2.969 8.234 7.375 8.578c4.5 .1562 8.219-3 8.562-7.391c.8438-11.09 5.312-21.02 13.19-28.28l15.88 15.88c1.844 1.859 4.531 2.609 7.062 2.219c2.594-.4687 4.781-2.172 5.875-4.547c5.75-12.64 15.78-21.83 28.44-25.22l6.688 21.16c.8125 2.625 2.938 4.625 5.594 5.328c2.531 .6562 5.438-.0156 7.469-1.875c7.844-7.266 17.94-11.28 28.41-11.28h9.969c1.094 0 1.969 .8906 1.969 1.969v9.984c0 10.88-4.219 21.2-11.84 29.09c-1.906 1.969-2.688 4.797-2.031 7.484c.6875 2.672 2.656 4.812 5.281 5.672L496 91.94c-3.875 12.27-12.56 22.28-24.44 28.2c-2.312 1.141-3.906 3.328-4.344 5.875c-.4062 2.531 .4375 5.125 2.25 6.938l14.81 14.58c-7.719 7.703-17.69 12.19-28.84 12.97c-4.406 .3125-7.719 4.141-7.406 8.547C448.3 173.3 451.8 176.5 456 176.5c.1875 0 .375 0 .5625-.0156c14.84-1.062 28.69-7.312 39.03-17.62c6.188-6.188 6-16.42-.375-22.8L488 128.8c11.03-7.969 19.12-19.06 23.25-32.08C513.9 88.27 509.1 79.03 500.4 76.19zM165.7 314.3c-3.125-3.125-8.188-3.125-11.31 0L128 340.7L101.7 314.3c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31l32 32C123.9 359.2 125.9 360 128 360s4.094-.7813 5.656-2.344l32-32C168.8 322.5 168.8 317.5 165.7 314.3zM282.3 314.3L256 340.7L229.7 314.3c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31l32 32C251.9 359.2 253.9 360 256 360s4.094-.7813 5.656-2.344l32-32c3.125-3.125 3.125-8.188 0-11.31S285.5 311.2 282.3 314.3zM186.3 261.7C187.9 263.2 189.9 264 192 264s4.094-.7813 5.656-2.344l32-32c3.125-3.125 3.125-8.188 0-11.31s-8.188-3.125-11.31 0L192 244.7L165.7 218.3c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31L186.3 261.7zM218.3 410.3L192 436.7l-26.34-26.34c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31l32 32C187.9 455.2 189.9 456 192 456s4.094-.7813 5.656-2.344l32-32c3.125-3.125 3.125-8.188 0-11.31S221.5 407.2 218.3 410.3z"],
    "pipe": [64, 512, [], "7c", "M40 8v496c0 4.416-3.584 8-8 8s-8-3.584-8-8V8C24 3.582 27.58 0 32 0S40 3.582 40 8z"],
    "pipe-circle-check": [640, 512, [], "e436", "M546 322.7l-66.37 73.73L445.7 362.3c-3.137-3.104-8.191-3.104-11.33 0c-3.104 3.135-3.104 8.191 0 11.33l40 40C475.9 415.2 478 416.1 480.2 416c2.176-.0645 4.256-1.025 5.727-2.656l72-80c2.945-3.264 2.689-8.32-.6074-11.3C554.1 319.1 549 319.4 546 322.7zM496 224C416.5 224 352 288.5 352 368s64.48 144 144 144s144-64.48 144-144S575.5 224 496 224zM496 496c-70.69 0-128-57.31-128-128c0-70.69 57.31-128 128-128s128 57.31 128 128C624 438.7 566.7 496 496 496zM64 368v-224h384v54.62c5.248-1.471 10.56-2.719 16-3.711V128c0-8.832 7.168-16 16-16s16 7.168 16 16v64c5.408 0 10.72 .2559 16 .7031V128c0-17.66-14.34-32-32-32s-32 14.34-32 32H64c0-17.66-14.34-32-32-32S0 110.3 0 128v256c0 17.66 14.34 32 32 32s32-14.34 32-32h256.7C320.3 378.7 320 373.4 320 368H64zM48 384c0 8.832-7.168 16-16 16S16 392.8 16 384V128c0-8.832 7.168-16 16-16S48 119.2 48 128V384z"],
    "pipe-collar": [512, 512, [], "e437", "M64.01 47.99c-8.832 0-16 7.168-16 16s7.168 16 16 16s16-7.168 16-16S72.84 47.99 64.01 47.99zM64.01 431.1c-8.832 0-16 7.168-16 16s7.168 16 16 16s16-7.168 16-16S72.84 431.1 64.01 431.1zM448 79.99c8.832 0 16-7.168 16-16s-7.168-16-16-16s-16 7.168-16 16S439.2 79.99 448 79.99zM464.8 374.3c19.84-34.91 31.17-75.3 31.17-118.3c0-43.04-11.33-83.42-31.17-118.3l28.42-28.42c24.99-24.99 24.99-65.5 0-90.5s-65.5-24.99-90.5 0l-28.42 28.42c-34.91-19.84-75.3-31.17-118.3-31.17s-83.42 11.33-118.3 31.17L109.3 18.74c-24.99-24.99-65.5-24.99-90.5 0s-24.99 65.5 0 90.5l28.42 28.42c-19.84 34.91-31.17 75.29-31.17 118.3c0 43.04 11.33 83.42 31.17 118.3l-28.42 28.42c-24.99 24.99-24.99 65.5 0 90.5s65.5 24.99 90.5 0l28.42-28.42c34.91 19.84 75.3 31.17 118.3 31.17s83.42-11.33 118.3-31.17l28.42 28.42c24.99 24.99 65.5 24.99 90.5 0s24.99-65.5 0-90.5L464.8 374.3zM481.1 481.9c-18.75 18.72-49.15 18.72-67.9 0l-28.38-28.42l-8.641-8.607l-10.59 6.016c-32.58 18.5-70.24 29.06-110.4 29.06s-77.86-10.56-110.4-29.06l-10.59-6.016l-8.641 8.607L97.96 481.9c-18.75 18.72-49.15 18.72-67.9 0c-18.72-18.75-18.72-49.15 0-67.9l28.42-28.38l8.607-8.641l-6.016-10.59c-18.5-32.58-29.06-70.24-29.06-110.4c0-40.19 10.56-77.86 29.06-110.4l6.016-10.59L58.47 126.3L30.06 97.94c-18.72-18.75-18.72-49.15 0-67.9c18.75-18.72 49.15-18.72 67.9 0l28.38 28.42l8.641 8.609l10.59-6.018c32.58-18.5 70.24-29.05 110.4-29.05s77.86 10.56 110.4 29.05l10.59 6.018l8.641-8.609L414.1 30.04c18.75-18.72 49.15-18.72 67.9 0c18.72 18.75 18.72 49.15 0 67.9l-28.42 28.38l-8.607 8.639l6.016 10.59c18.5 32.57 29.06 70.24 29.06 110.4c0 40.19-10.56 77.86-29.06 110.4l-6.016 10.59l8.607 8.641l28.42 28.38C500.7 432.8 500.7 463.2 481.1 481.9zM256 95.99c-88.35 0-160 71.65-160 160s71.65 160 160 160s160-71.65 160-160S344.4 95.99 256 95.99zM256 399.1c-79.52 0-144-64.48-144-144s64.48-144 144-144s144 64.48 144 144S335.5 399.1 256 399.1zM448 431.1c-8.832 0-16 7.168-16 16s7.168 16 16 16s16-7.168 16-16S456.8 431.1 448 431.1z"],
    "pipe-section": [640, 512, [], "e438", "M608 96c-17.66 0-32 14.34-32 32H64c0-17.66-14.34-32-32-32S0 110.3 0 128v256c0 17.66 14.34 32 32 32s32-14.34 32-32h512c0 17.66 14.34 32 32 32s32-14.34 32-32V128C640 110.3 625.7 96 608 96zM48 384c0 8.832-7.168 16-16 16S16 392.8 16 384V128c0-8.832 7.168-16 16-16S48 119.2 48 128V384zM576 368H64v-224h512V368zM624 384c0 8.832-7.168 16-16 16s-16-7.168-16-16V128c0-8.832 7.168-16 16-16s16 7.168 16 16V384z"],
    "pipe-smoking": [640, 512, [], "e3c4", "M608 0h-32.04C525.9 0 478.1 23.91 448 64l-192 256V256c0-17.69-14.31-32-32-32H32C14.31 224 0 238.3 0 256v128c0 70.59 57.41 128 128 128h26.12c54.72 0 105-27.47 134.6-73.47l212.5-330.4C518.9 80.47 549.1 64 581.9 64H608c17.69 0 32-14.31 32-32S625.7 0 608 0zM275.2 429.9C248.6 471.3 203.3 496 154.1 496H128c-61.76 0-112-50.24-112-112V256c0-8.822 7.178-16 16-16h192c8.822 0 16 7.178 16 16v64c0 6.887 4.406 13 10.94 15.18c1.662 .5547 3.369 .8223 5.057 .8223c4.939 0 9.723-2.295 12.8-6.402l90.39-120.5l40.6 27.07L275.2 429.9zM608 48h-26.12c-38.31 0-73.52 19.24-94.18 51.44l-79.25 123.2l-39.64-26.43l91.99-122.7C487.8 37.53 530.9 16 576 16h32c8.822 0 16 7.178 16 16S616.8 48 608 48z"],
    "pipe-valve": [512, 512, [], "e439", "M480 160c-17.66 0-32 14.34-32 32h-184V113.6l133.4 22.21c4.639 .7676 9.375-.5117 12.96-3.551C413.9 129.2 416 124.7 416 120v-48c0-4.705-2.08-9.184-5.664-12.22c-3.584-3.039-8.32-4.32-12.96-3.551L264 78.43V40C264 35.58 260.4 32 256 32S248 35.58 248 40v38.43L114.6 56.22C109.1 55.46 105.2 56.74 101.7 59.78C98.08 62.82 96 67.29 96 72v48c0 4.703 2.08 9.184 5.664 12.22C105.2 135.3 109.1 136.5 114.6 135.8L248 113.6V192H64c0-17.66-14.34-32-32-32S0 174.3 0 192v256c0 17.66 14.34 32 32 32s32-14.34 32-32h384c0 17.66 14.34 32 32 32s32-14.34 32-32V192C512 174.3 497.7 160 480 160zM264 94.66l40.67-6.752L384 74.66L400 72v48L384 117.3l-79.33-13.25L264 97.34V94.66zM48 448c0 8.832-7.168 16-16 16S16 456.8 16 448V192c0-8.832 7.168-16 16-16S48 183.2 48 192V448zM207.3 104.1L128 117.3L112 120v-48L128 74.66l79.33 13.25L248 94.66v2.688L207.3 104.1zM448 432H64v-224h384V432zM496 448c0 8.832-7.168 16-16 16s-16-7.168-16-16V192c0-8.832 7.168-16 16-16s16 7.168 16 16V448z"],
    "pizza": [576, 512, [127829], "f817", "M405.8 392.9c-3.127-3.094-8.189-3.094-11.28 0c-36.69 36.56-85.35 56.64-137.2 56.64H255.1c-52.35-.3594-101.3-21.17-137.8-58.6C46.81 317.8 46.81 194.2 118.1 121.1c36.55-37.44 85.51-58.25 137.9-58.61h1.375c51.82 0 100.5 20.08 137.2 56.64c3.094 3.094 8.156 3.094 11.28 0l21.46-21.38c4.625-4.688 7.125-11.19 6.875-17.81c-.25-6.469-3.031-12.33-7.783-16.47c-47.21-41.41-107.7-63.67-170-63.45C245.7 .0378 234.9 .7246 224.2 2.074C150 11.62 85.41 51.73 42.72 114.8C14.11 157.1 .0005 206.5 .0005 255.1c0 49.49 14.11 98.92 42.72 141.2c42.68 63.1 107.2 103.2 181.4 112.7C235.2 511.3 246.2 512 257.2 512c61.99 0 122.3-22.33 169.2-63.47c4.799-4.188 7.564-10.06 7.783-16.55c.2344-6.641-2.328-13.12-7.031-17.81L405.8 392.9zM415.9 436.5c-51.86 45.39-120.9 66.3-189.7 57.54c-69.58-8.984-129.1-46.55-170-105.8c-53.58-79.1-53.58-185.4 0-264.5c40.08-59.27 100.5-96.84 170.1-105.8c10.33-1.328 20.64-1.984 30.93-1.984c58.11 0 114.6 20.94 158.6 59.54c1.922 1.672 2.281 3.875 2.328 5.031c.0781 2.234-.75 4.424-2.234 5.924l-15.86 15.8C361.1 66.19 310.8 46.47 257.3 46.47H255.8C199.2 46.86 146.2 69.39 106.6 109.9c-78.52 80.54-78.52 211.6 .0156 292.2c39.55 40.5 92.54 63.04 149.2 63.43h1.484c53.41 0 103.7-19.72 142.7-55.79l15.85 15.78c1.562 1.562 2.422 3.734 2.344 5.953C418.2 432.6 417.8 434.8 415.9 436.5zM368.1 375.1c2.047 0 4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31L267.4 255.1l106.4-106.4c3.125-3.125 3.125-8.188 0-11.31c-3.125-3.127-8.188-3.127-11.31 0L250.4 250.3c-3.127 3.125-3.127 8.188 0 11.31l112 112C364 375.2 366.1 375.1 368.1 375.1zM525.7 107.5c-3.844-4.984-9.734-8.094-16.19-8.531c-6.453-.4062-13.23 2.016-17.99 6.703l-19.75 19.69c-2.971 2.969-3.158 7.719-.4219 10.89c58.71 68.27 58.71 171.2 0 239.5c-2.736 3.172-2.549 7.922 .4219 10.89l19.75 19.69c4.361 4.328 10.27 6.75 16.42 6.75c.5156 0 1.047-.0156 1.562-.0469c6.455-.4375 12.35-3.547 16.19-8.531c33.56-43.71 50.34-96.06 50.34-148.4C576 203.6 559.2 151.2 525.7 107.5zM512.1 394.7c-1.422 1.844-3.469 2.234-4.562 2.312c-2.062 .1562-4.156-.6094-5.641-2.078l-14.58-14.53c57.49-72.21 57.49-176.7 0-248.9l14.58-14.53c1.484-1.469 3.578-2.297 5.641-2.078c1.094 .0781 3.141 .4687 4.562 2.312C575.7 198.9 575.7 313 512.1 394.7zM363.4 255.1l90.32-90.01c3.141-3.127 3.141-8.189 .0313-11.31c-3.125-3.156-8.221-3.125-11.31-.0313l-96.01 95.68c-1.516 1.5-2.359 3.547-2.359 5.672s.8438 4.172 2.359 5.672l96.01 95.68c1.562 1.547 3.594 2.328 5.641 2.328c2.049 0 4.111-.7813 5.674-2.359c3.109-3.125 3.109-8.188-.0313-11.31L363.4 255.1zM192.2 159.1c0 8.838 7.162 16 16 16c8.836 0 15.1-7.163 15.1-16c0-8.836-7.163-16-15.1-16C199.3 143.1 192.2 151.1 192.2 159.1zM240.2 367.1c0 8.836 7.162 16 16 16s16-7.164 16-16c0-8.838-7.162-16-16-16S240.2 359.2 240.2 367.1zM144.2 255.1c0 8.836 7.163 16 15.1 16c8.838 0 16-7.165 16-16c0-8.838-7.132-15.1-15.97-15.1C151.4 239.1 144.2 247.2 144.2 255.1zM448.1 255.1c-8.836 0-15.1 7.165-15.1 16c0 8.838 7.163 16 15.1 16c8.838 0 16-7.163 16-16C464.1 263.2 456.9 255.1 448.1 255.1z"],
    "pizza-slice": [512, 512, [], "f818", "M381.9 396.9L25.59 495.7c-2.469 .6874-5.281-.0313-7.328-2.078c-1.922-1.859-2.703-4.734-2.062-7.359L109.1 130c1.125-4.265-1.422-8.64-5.703-9.765c-4.219-1.172-8.641 1.422-9.765 5.703L.7004 482.3c-2.031 8.234 .4375 16.98 6.344 22.7C11.56 509.6 17.59 512 23.67 512c2.109 0 4.234-.2968 6.312-.9062l356.2-98.77c4.25-1.172 6.75-5.578 5.562-9.843C390.5 398.2 386.2 395.7 381.9 396.9zM87.1 383.1c0 22.06 17.94 39.1 39.1 39.1s39.1-17.94 39.1-39.1c0-22.06-17.94-39.1-39.1-39.1S87.1 361.9 87.1 383.1zM151.1 383.1c0 13.23-10.77 23.1-23.1 23.1s-23.1-10.76-23.1-23.1s10.77-23.1 23.1-23.1S151.1 370.8 151.1 383.1zM215.1 240c0-22.06-17.94-39.1-39.1-39.1S135.1 217.9 135.1 240s17.94 39.1 39.1 39.1S215.1 262.1 215.1 240zM151.1 240c0-13.23 10.77-23.1 23.1-23.1s23.1 10.76 23.1 23.1c0 13.23-10.77 23.1-23.1 23.1S151.1 253.2 151.1 240zM311.1 335.1c0-22.06-17.94-39.1-39.1-39.1c-22.06 0-39.1 17.94-39.1 39.1c0 22.06 17.94 39.1 39.1 39.1C294.1 375.1 311.1 358.1 311.1 335.1zM247.1 335.1c0-13.23 10.77-23.1 23.1-23.1c13.23 0 23.1 10.76 23.1 23.1c0 13.23-10.77 23.1-23.1 23.1C258.8 359.1 247.1 349.2 247.1 335.1zM162.6 .2014C142.8-1.752 124.9 10.68 119.9 29.51L105.6 83.99c-.625 2.359-.125 4.875 1.328 6.828c1.469 1.953 3.734 3.125 6.172 3.203c177.5 5.203 297.1 122.7 304.7 299.4c.1094 2.437 1.328 4.687 3.297 6.124c1.375 .9999 3.031 1.531 4.703 1.531c.7187 0 1.438-.0937 2.141-.2968l55.11-15.25c18.92-5.25 30.98-23.48 28.7-43.37C491.1 164.1 341.1 17.14 162.6 .2014zM478.7 370.1l-45.53 12.59c-11.77-176.8-131.9-294.9-309.6-304.3l11.75-44.84c2.953-11.23 13.48-18.65 25.8-17.45c171.1 16.23 314.9 157.2 334.7 327.9C497.2 355.1 490 366.1 478.7 370.1z"],
    "place-of-worship": [640, 512, [], "f67f", "M314.3 2.343C317.5-.781 322.5-.781 325.7 2.343L408.1 85.66C413.5 90.16 416 96.26 416 102.6V206.3L460 231.8C472.4 238.1 480 252.2 480 266.4V495.1H584C606.1 495.1 624 478.1 624 455.1V385.7C624 372.3 617.3 359.8 606.2 352.4L507.6 286.6C503.9 284.2 502.9 279.2 505.3 275.6C507.8 271.9 512.8 270.9 516.4 273.3L615.1 339.1C630.6 349.5 640 366.1 640 385.7V455.1C640 486.9 614.9 511.1 584 511.1H472.3C472.2 511.1 472.1 512 472 512H208.2L208 512H56C25.07 512 0 486.9 0 456V385.7C0 366.1 9.358 349.5 24.94 339.1L123.6 273.3C127.2 270.9 132.2 271.9 134.7 275.6C137.1 279.2 136.1 284.2 132.4 286.7L33.81 352.4C22.68 359.8 16 372.3 16 385.7V456C16 478.1 33.91 496 56 496H160V266.4C160 252.2 167.6 238.1 179.1 231.8L224 206.3V102.6C224 96.26 226.5 90.16 231 85.66L314.3 2.343zM464 266.4C464 257.9 459.4 249.1 452 245.7L403.1 217.9C401.5 216.4 400 213.8 400 210.9V102.6C400 100.5 399.2 98.47 397.7 96.97L320 19.31L242.3 96.97C240.8 98.47 240 100.5 240 102.6V210.9C240 213.8 238.5 216.4 236 217.9L187.1 245.7C180.6 249.1 176 257.9 176 266.4V496H256V384C256 348.7 284.7 320 320 320C355.3 320 384 348.7 384 384V496H431.7C431.8 495.1 431.9 495.1 432 495.1H464V266.4zM320 336C293.5 336 272 357.5 272 384V496H368V384C368 357.5 346.5 336 320 336z"],
    "plane": [576, 512, [], "f072", "M542.7 209.7C559.8 220.2 576 236.2 576 255.1C576 276.2 559.8 292.2 542.7 302.7C525.1 313.3 503.4 319.1 486.8 319.1H366.7L272.1 491.3C265.1 504.1 251.7 512 237.1 512H189C173.2 512 161.7 496.9 165.9 481.6L210.5 319.1H116L75.2 374.4C70.67 380.4 63.55 384 56 384H21.91C9.809 384 .0003 374.2 .0003 362.1C.0003 359.9 .3267 357.7 .969 355.6L31.63 255.1L.969 156.4C.3267 154.3 0 152.1 0 149.9C0 137.8 9.809 128 21.91 128H56C63.55 128 70.67 131.6 75.2 137.6L116 192H210.5L165.9 30.38C161.7 15.1 173.2 0 189 0H237.1C251.7 0 265.1 7.921 272.1 20.68L366.7 192H486.8C503.4 192 525.2 198.1 542.7 209.7V209.7zM111.1 207.1C109.5 207.1 107.1 206.8 105.6 204.8L62.4 147.2C60.89 145.2 58.52 143.1 55.1 143.1H21.91C18.65 143.1 15.1 146.6 15.1 149.9C15.1 150.5 16.09 151.1 16.26 151.6L47.65 253.6C48.12 255.2 48.12 256.8 47.65 258.4L16.26 360.4C16.09 360.9 16 361.5 16 362.1C16 365.4 18.65 368 21.91 368H56C58.52 368 60.89 366.8 62.4 364.8L105.6 307.2C107.1 305.2 109.5 303.1 112 303.1H486.8C499.9 303.1 518.7 298.4 534.4 288.1C550.4 279.2 560 267.3 560 255.1C560 245.1 550.4 233.2 534.3 223.3C518.7 213.7 499.8 207.1 486.8 207.1L111.1 207.1zM348.4 191.1L258.1 28.41C253.9 20.75 245.8 15.1 237.1 15.1H189C183.7 15.1 179.9 21.03 181.3 26.13L227.1 191.1H348.4zM181.3 485.9C179.9 490.1 183.7 496 189 496H237.1C245.8 496 253.9 491.2 258.1 483.6L348.4 319.1H227.1L181.3 485.9zM8.615 358L16.26 360.4L8.615 358zM16.26 151.6L8.615 153.1z"],
    "plane-arrival": [640, 512, [128748], "f5af", "M19.51 52.34L53.68 59.93C64.99 62.44 74.06 70.87 77.39 81.97L95.1 143.1L228.3 183.1L181.8 20.4C178.9 10.18 186.6 .001 197.2 .001H237.3C248.8 .001 259.5 6.236 265.2 16.31L385 229.3L481.5 257.8C497.4 262.5 512.2 270.3 525.2 280.7L552.6 302.6C577.9 322.8 569.1 363.2 537.8 371.2C503.6 379.9 467.7 379.8 433.4 370.9L121.7 289.8C110.6 286.9 100.5 281.1 92.4 272.9L9.535 189.4C3.605 183.4 .2701 175.3 .2522 166.9L.0419 67.99C.0202 57.74 9.507 50.11 19.51 52.34L19.51 52.34zM83.16 156.9L62.07 86.57C60.4 81.02 55.87 76.8 50.21 75.55L16.04 67.95L16.25 166.9C16.26 171.1 17.93 175.1 20.89 178.1L103.8 261.7C109.8 267.8 117.4 272.1 125.7 274.3L437.5 355.4C469.1 363.7 502.2 363.7 533.9 355.7C552.4 350.9 557.5 327 542.6 315.1L515.2 293.1C503.8 284.1 490.9 277.3 476.9 273.2L374.2 242.9L251.2 24.16C248.4 19.12 243.1 16 237.3 16H197.2L251.7 206.7L83.16 156.9zM632 496C636.4 496 640 499.6 640 504C640 508.4 636.4 512 632 512H8C3.582 512 0 508.4 0 504C0 499.6 3.582 496 8 496H632zM128 368C128 350.3 142.3 336 160 336C177.7 336 192 350.3 192 368C192 385.7 177.7 400 160 400C142.3 400 128 385.7 128 368zM160 384C168.8 384 176 376.8 176 368C176 359.2 168.8 352 160 352C151.2 352 144 359.2 144 368C144 376.8 151.2 384 160 384zM288 384C288 401.7 273.7 416 256 416C238.3 416 224 401.7 224 384C224 366.3 238.3 352 256 352C273.7 352 288 366.3 288 384zM256 368C247.2 368 240 375.2 240 384C240 392.8 247.2 400 256 400C264.8 400 272 392.8 272 384C272 375.2 264.8 368 256 368z"],
    "plane-circle-check": [640, 512, [], "e555", "M191.1 178.8V95.88C191.1 60.92 219.1 0 255.1 0C290.1 0 319.1 60.92 319.1 96.88V178.8L401.1 225.2C396.5 228.5 392.1 232 387.9 235.7L319.1 196.8V312.6L335.5 317C333.9 322.2 332.6 327.5 331.5 332.9L320 329.6V399.5L332.9 409.5C335.1 418.4 337.9 427.1 341.4 435.5L304 407.5V95.88C304 64.92 278 15.98 256 15.98C233 15.98 208 64.92 208 95.88V407.5L144 455.4V495.4L256 463.4L368 496.4V511.7C366.7 511.7 365.3 511.6 364 511.4L256 479.4L147 511.4C137 514.4 128 506.4 128 495.4V455.4C128 450.4 130 446.4 134 443.4L192 399.5V329.6L20 378.5C10 381.5 0 373.5 0 362.6V297.6C0 292.6 3 285.6 8 283.6L191.1 178.8zM15.1 297.6V362.6L191.1 312.6V196.8L15.1 297.6zM565.7 322.3C568.8 325.5 568.8 330.5 565.7 333.7L485.7 413.7C482.5 416.8 477.5 416.8 474.3 413.7L426.3 365.7C423.2 362.5 423.2 357.5 426.3 354.3C429.5 351.2 434.5 351.2 437.7 354.3L480 396.7L554.3 322.3C557.5 319.2 562.5 319.2 565.7 322.3H565.7zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 496C566.7 496 624 438.7 624 368C624 297.3 566.7 240 496 240C425.3 240 368 297.3 368 368C368 438.7 425.3 496 496 496z"],
    "plane-circle-exclamation": [640, 512, [], "e556", "M191.1 178.8V95.88C191.1 60.92 219.1 0 255.1 0C290.1 0 319.1 60.92 319.1 96.88V178.8L401.1 225.2C396.5 228.5 392.1 232 387.9 235.7L319.1 196.8V312.6L335.5 317C333.9 322.2 332.6 327.5 331.5 332.9L320 329.6V399.5L332.9 409.5C335.1 418.4 337.9 427.1 341.4 435.5L304 407.5V95.88C304 64.92 278 15.98 256 15.98C233 15.98 208 64.92 208 95.88V407.5L144 455.4V495.4L256 463.4L368 496.4V511.7C366.7 511.7 365.3 511.6 364 511.4L256 479.4L147 511.4C137 514.4 128 506.4 128 495.4V455.4C128 450.4 130 446.4 134 443.4L192 399.5V329.6L20 378.5C10 381.5 0 373.5 0 362.6V297.6C0 292.6 3 285.6 8 283.6L191.1 178.8zM15.1 297.6V362.6L191.1 312.6V196.8L15.1 297.6zM480 432C480 423.2 487.2 416 496 416C504.8 416 512 423.2 512 432C512 440.8 504.8 448 496 448C487.2 448 480 440.8 480 432zM495.1 280C500.4 280 503.1 283.6 503.1 288V384C503.1 388.4 500.4 392 495.1 392C491.6 392 487.1 388.4 487.1 384V288C487.1 283.6 491.6 280 495.1 280zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 240C425.3 240 368 297.3 368 368C368 438.7 425.3 496 496 496C566.7 496 624 438.7 624 368C624 297.3 566.7 240 496 240z"],
    "plane-circle-xmark": [640, 512, [], "e557", "M191.1 178.8V95.88C191.1 60.92 219.1 0 255.1 0C290.1 0 319.1 60.92 319.1 96.88V178.8L401.1 225.2C396.5 228.5 392.1 232 387.9 235.7L319.1 196.8V312.6L335.5 317C333.9 322.2 332.6 327.5 331.5 332.9L320 329.6V399.5L332.9 409.5C335.1 418.4 337.9 427.1 341.4 435.5L304 407.5V95.88C304 64.92 278 15.98 256 15.98C233 15.98 208 64.92 208 95.88V407.5L144 455.4V495.4L256 463.4L368 496.4V511.7C366.7 511.7 365.3 511.6 364 511.4L256 479.4L147 511.4C137 514.4 128 506.4 128 495.4V455.4C128 450.4 130 446.4 134 443.4L192 399.5V329.6L20 378.5C10 381.5 0 373.5 0 362.6V297.6C0 292.6 3 285.6 8 283.6L191.1 178.8zM15.1 297.6V362.6L191.1 312.6V196.8L15.1 297.6zM507.3 368L557.7 418.3C560.8 421.5 560.8 426.5 557.7 429.7C554.5 432.8 549.5 432.8 546.3 429.7L496 379.3L445.7 429.7C442.5 432.8 437.5 432.8 434.3 429.7C431.2 426.5 431.2 421.5 434.3 418.3L484.7 368L434.3 317.7C431.2 314.5 431.2 309.5 434.3 306.3C437.5 303.2 442.5 303.2 445.7 306.3L496 356.7L546.3 306.3C549.5 303.2 554.5 303.2 557.7 306.3C560.8 309.5 560.8 314.5 557.7 317.7L507.3 368zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 240C425.3 240 368 297.3 368 368C368 438.7 425.3 496 496 496C566.7 496 624 438.7 624 368C624 297.3 566.7 240 496 240z"],
    "plane-departure": [640, 512, [128747], "f5b0", "M242.5 194.7L87.64 95.2C77.21 88.49 78.05 72.98 89.14 67.43L135 44.48C150.1 36.52 169.5 35.55 186.1 41.8L393.1 119.4L496.5 67.75C512 59.1 528.9 55.47 546.2 54.46L598.2 51.4C625.4 49.8 645.2 76.7 635.7 102.2C617.9 149.6 582.8 188.6 537.5 211.3L262.8 348.6C258.3 350.8 253.4 352 248.4 352H110.7C101.4 352 92.5 347.9 86.42 340.8L13.34 255.6C6.562 247.7 9.018 235.5 18.33 230.8L48.9 215.5C58.35 210.8 69.52 211.1 78.75 216.2L135.1 248L242.5 194.7zM180.5 56.78C168 52.09 154.1 52.82 142.2 58.79L96.3 81.74L274.8 196.5L135.6 266.1L70.98 230.2C66.37 227.6 60.78 227.5 56.06 229.9L25.48 245.1L98.57 330.4C101.6 333.1 106 336 110.7 336H248.4C250.9 336 253.4 335.4 255.6 334.3L530.3 196.9C572 176.1 604.3 140.2 620.7 96.57C626.2 81.91 614.8 66.45 599.2 67.37L547.2 70.43C532 71.32 517.2 75.28 503.7 82.06L394.1 136.9L180.5 56.78zM632 496C636.4 496 640 499.6 640 504C640 508.4 636.4 512 632 512H8C3.582 512 0 508.4 0 504C0 499.6 3.582 496 8 496H632z"],
    "plane-engines": [576, 512, [9992, "plane-alt"], "f3de", "M542.7 209.7C559.8 220.2 576 236.2 576 256C576 276.2 559.8 292.3 542.7 302.7C525.1 313.3 503.4 320 486.8 320H366.7L331.2 384.2C342.1 385.8 352 395.8 352 408V424C352 437.3 341.3 448 328 448H296L272.1 491.3C265.1 504.1 251.7 512 237.1 512H189C173.2 512 161.7 496.9 165.9 481.6L210.5 320H116L75.2 374.4C70.67 380.4 63.55 384 56 384H21.91C9.809 384 .0003 374.2 .0003 362.1C.0003 359.9 .3267 357.7 .969 355.6L22.25 286.5C9.345 282.4 0 270.3 0 256C0 241.7 9.344 229.6 22.25 225.5L.969 156.4C.3267 154.3 0 152.1 0 149.9C0 137.8 9.809 128 21.91 128H56C63.55 128 70.67 131.6 75.2 137.6L116 192H210.5L165.9 30.38C161.7 15.1 173.2 0 189 0H237.1C251.7 0 265.1 7.921 272.1 20.68L296 64H328C341.3 64 352 74.75 352 88V104C352 116.2 342.1 126.2 331.2 127.8L366.7 192H486.8C503.4 192 525.2 198.1 542.7 209.7V209.7zM26.96 271.2L31.63 256L26.96 240.8C20.59 242.9 15.1 248.9 15.1 256C15.1 263.1 20.59 269.1 26.96 271.2zM328 432C332.4 432 336 428.4 336 424V408C336 403.6 332.4 400 328 400H322.5L304.9 432H328zM322.5 112H328C332.4 112 336 108.4 336 104V88C336 83.58 332.4 80 328 80H304.9L322.5 112zM111.1 208C109.5 208 107.1 206.8 105.6 204.8L62.4 147.2C60.89 145.2 58.52 144 55.1 144H21.91C18.65 144 15.1 146.6 15.1 149.9C15.1 150.5 16.09 151.1 16.26 151.6L47.65 253.6C48.12 255.2 48.12 256.8 47.65 258.4L16.26 360.4C16.09 360.9 16 361.5 16 362.1C16 365.4 18.65 368 21.91 368H56C58.52 368 60.89 366.8 62.4 364.8L105.6 307.2C107.1 305.2 109.5 303.1 112 303.1H486.8C499.9 303.1 518.7 298.4 534.4 288.1C550.4 279.2 560 267.3 560 255.1C560 245.1 550.4 233.2 534.3 223.3C518.7 213.7 499.8 207.1 486.8 207.1L111.1 208zM348.4 192L258.1 28.41C253.9 20.75 245.8 16 237.1 16H189C183.7 16 179.9 21.03 181.3 26.13L227.1 192H348.4zM181.3 485.9C179.9 490.1 183.7 496 189 496H237.1C245.8 496 253.9 491.2 258.1 483.6L348.4 320H227.1L181.3 485.9zM8.615 358L16.26 360.4L8.615 358zM16.26 151.6L8.615 153.1z"],
    "plane-lock": [640, 512, [], "e558", "M191.1 178.8V95.88C191.1 60.92 219.1 0 255.1 0C290.1 0 319.1 60.92 319.1 96.88V178.8L421.6 236.1C419.9 242.1 418.6 247.3 417.7 252.7L320 196.8V312.6L387.3 331.8C385.5 336.9 384.5 342.3 384.1 347.9L320 329.6V399.5L368 436.5V455.4L304 407.5V95.88C304 64.92 278 15.98 256 15.98C233 15.98 208 64.92 208 95.88V407.5L144 455.4V495.4L256 463.4L368 496.4V511.7C366.7 511.7 365.3 511.6 364 511.4L256 479.4L147 511.4C137 514.4 128 506.4 128 495.4V455.4C128 450.4 130 446.4 134 443.4L192 399.5V329.6L20 378.5C10 381.5 0 373.5 0 362.6V297.6C0 292.6 3 285.6 8 283.6L191.1 178.8zM15.1 297.6V362.6L191.1 312.6V196.8L15.1 297.6zM528 192C563.3 192 592 220.7 592 256V320H608C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320H464V256C464 220.7 492.7 192 528 192zM528 208C501.5 208 480 229.5 480 256V320H576V256C576 229.5 554.5 208 528 208zM432 352V480C432 488.8 439.2 496 448 496H608C616.8 496 624 488.8 624 480V352C624 343.2 616.8 336 608 336H448C439.2 336 432 343.2 432 352z"],
    "plane-prop": [576, 512, [], "e22b", "M306.5 0C318.2 0 328.2 8.428 330.2 19.95L336.3 56H384V40C384 35.58 387.6 32 392 32C396.4 32 400 35.58 400 40V88H408C412.4 88 416 91.58 416 96C416 100.4 412.4 104 408 104H400V152C400 156.4 396.4 160 392 160C387.6 160 384 156.4 384 152V136H350L358.2 184H474.3C493.2 184 518 191.8 538.1 204C548.2 210.2 557.6 217.7 564.4 226.2C571.3 234.8 576 244.9 576 256C576 278.5 557.8 296.5 538.1 308.4C517.1 320.4 493.1 328 474.3 328H358.2L350 376H384V360C384 355.6 387.6 352 392 352C396.4 352 400 355.6 400 360V408H408C412.4 408 416 411.6 416 416C416 420.4 412.4 424 408 424H400V472C400 476.4 396.4 480 392 480C387.6 480 384 476.4 384 472V456H336.3L330.2 492C328.2 503.6 318.2 512 306.5 512H269.5C257.8 512 247.8 503.6 245.8 492L239.7 456H224C201.9 456 184 438.1 184 416C184 393.9 201.9 376 224 376H225.1L217.1 323.9L135.2 313L121.2 371.7C119.5 378.9 113.1 384 105.7 384H70.4C62.92 384 56.43 378.8 54.79 371.5L38.7 300.2L38.66 300.2C16.53 297.2 0 278.3 0 256C0 233.7 16.53 214.8 38.66 211.8L38.7 211.8L54.79 140.5C56.43 133.2 62.92 128 70.4 128H105.7C113.1 128 119.5 133.1 121.2 140.3L135.2 198.1L217.1 188.1L225.1 136H224C201.9 136 184 118.1 184 96C184 73.91 201.9 56 224 56H239.7L245.8 19.95C247.8 8.428 257.8 .0003 269.5 .0003L306.5 0zM339.1 72L347.3 120H384V72H339.1zM236.9 72H224C210.7 72 200 82.75 200 96C200 109.3 210.7 120 224 120H228.7L236.9 72zM339.1 440H384V392H347.3L339.1 440zM228.7 392H224C210.7 392 200 402.7 200 416C200 429.3 210.7 440 224 440H236.9L228.7 392zM341.1 184L314.4 22.65C313.7 18.81 310.4 16 306.5 16H269.5C265.6 16 262.3 18.81 261.6 22.65L233.7 185.8L247.5 184H341.1zM341.1 328H247.5L233.7 326.2L261.6 489.3C262.3 493.2 265.6 496 269.5 496H306.5C310.4 496 313.7 493.2 314.4 489.3L341.1 328zM51.86 226.2L40.78 227.7C26.59 229.6 16 241.7 16 256C16 270.3 26.59 282.4 40.78 284.3L51.86 285.8L70.4 368H105.7L123 295.3L248.5 312H474.3C489.7 312 511.7 305.6 529.8 294.6C548.5 283.5 560 269.5 560 256C560 249.6 557.3 242.9 551.9 236.2C546.6 229.5 538.8 223.2 529.8 217.7C511.6 206.7 489.6 200 474.3 200H248.5L123 216.7L105.7 144H70.4L51.86 226.2z"],
    "plane-slash": [640, 512, [], "e069", "M351.4 372.5L364.1 382.6L304.1 491.3C297.1 504.1 283.7 512 269.1 512H221C205.2 512 193.7 496.9 197.9 481.6L242.5 320H155.6L106.8 375.8C102.2 381 95.66 384 88.74 384H53.91C41.81 384 32 374.2 32 362.1C32 359.9 32.33 357.7 32.97 355.6L63.63 256L32.97 156.4C32.33 154.3 32 152.1 32 149.9C32 141.2 37.07 133.7 44.41 130.2L61.94 144H53.91C50.65 144 48 146.6 48 149.9C48 150.5 48.09 151.1 48.26 151.6L79.65 253.6C80.12 255.2 80.12 256.8 79.65 258.4L48.26 360.4C48.09 360.9 48 361.5 48 362.1C48 365.4 50.65 368 53.91 368H88.74C91.05 368 93.24 367 94.76 365.3L145.1 306.7C147.5 304.1 149.7 304 151.1 304H252.1C255.5 304 257.8 305.2 259.3 307.2C260.8 309.1 261.3 311.7 260.7 314.1L213.3 485.9C211.9 490.1 215.7 496 221 496H269.1C277.8 496 285.9 491.2 290.1 483.6L351.4 372.5zM221 0H269.1C283.7 0 297.1 7.921 304.1 20.68L398.7 192H518.8C535.4 192 557.2 198.1 574.7 209.7C591.8 220.2 608 236.2 608 256C608 276.2 591.8 292.3 574.7 302.7C557.1 313.3 535.4 320 518.8 320H517.3L496.1 304H518.8C531.9 304 550.7 298.4 566.4 288.1C582.4 279.2 592 267.3 592 256C592 245.1 582.4 233.2 566.3 223.3C550.7 213.7 531.8 208 518.8 208H393.9C391 208 388.3 206.4 386.9 203.9L290.1 28.41C285.9 20.75 277.8 16 269.1 16H221C215.7 16 211.9 21.03 213.3 26.13L232.3 95.04L211.1 78.29L197.9 30.38C193.7 15.1 205.2 0 221 0L221 0zM636.1 497.7C640.4 500.5 641 505.5 638.3 508.1C635.5 512.4 630.5 513 627 510.3L3.022 14.26C-.4365 11.51-1.012 6.482 1.738 3.023C4.487-.4358 9.52-1.011 12.98 1.739L636.1 497.7zM40.61 153.1L48.26 151.6L40.61 153.1zM48.26 360.4L40.61 358z"],
    "plane-tail": [576, 512, [], "e22c", "M71.44 .0006H133.5C152.6 .0006 170.9 7.586 184.4 21.09L419.3 256H536C540.4 256 544 259.6 544 264C544 268.4 540.4 272 536 272H296.1C291.4 272 286.7 272.6 282.1 273.8L86.57 324.2C63.87 330.1 47.1 350.6 47.1 374C47.1 395.8 61.71 415.2 82.23 422.5L280.3 492.8C286.3 494.9 292.6 496 299 496H536C540.4 496 544 499.6 544 504C544 508.4 540.4 512 536 512H299C290.8 512 282.7 510.6 274.9 507.9L76.87 437.6C49.97 428 32 402.6 32 374C32 343.3 52.8 316.4 82.57 308.8L86.91 307.6L32.3 48.24C27.06 23.38 46.03 0 71.44 0L71.44 .0006zM71.44 16C56.19 16 44.81 30.03 47.95 44.94L102.4 303.6L278.1 258.3C284 256.8 290.1 256 296.1 256H396.7L173.1 32.4C162.6 21.9 148.3 16 133.5 16H71.44zM408 368C412.4 368 416 371.6 416 376C416 380.4 412.4 384 408 384H231.1C227.6 384 223.1 380.4 223.1 376C223.1 371.6 227.6 368 231.1 368H408z"],
    "plane-up": [512, 512, [], "e22d", "M256 0C291 0 320 60.92 320 96.88V178.8L503 283.6C508 286.6 512 291.6 512 297.6V362.6C512 373.5 500.1 381.5 491 378.5L320 329.6V399.5L376.1 443.4C380.1 446.4 384 450.4 384 455.4V495.4C384 506.4 374 513.4 364 511.4L256 479.4L147 511.4C137 514.4 128 506.4 128 495.4V455.4C128 450.4 130 446.4 134 443.4L192 399.5V329.6L20 378.5C10 381.5 0 373.5 0 362.6V297.6C0 292.6 3 285.6 8 283.6L192 178.8V95.88C192 60.92 220 0 256 0V0zM192 312.6V196.8L16 297.6V362.6L192 312.6zM320 196.8V312.6L495 362.6L496 297.6L320 196.8zM256 15.98C233 15.98 208 64.92 208 95.88V407.5L144 455.4V495.4L256 463.4L368 496.4V455.4L304 407.5V95.88C304 64.92 278 15.98 256 15.98V15.98z"],
    "plane-up-slash": [640, 512, [], "e22e", "M576 362.6C576 363.8 575.9 364.9 575.6 366.1L559.1 353.1L560 297.6L384 196.8V214.8L368 202.2V95.88C368 64.92 342 15.98 319.1 15.98C296.1 15.98 271.1 64.92 271.1 95.88V126.4L255.1 113.7V95.88C255.1 60.92 283.1 0 319.1 0C354.1 0 384 60.92 384 96.88V178.8L566.1 283.6C572 286.6 576 291.6 576 297.6L576 362.6zM207.1 455.4V495.4L319.1 463.4L432 496.4V455.4L368 407.5V385.6L384 398.3V399.5L440.1 443.4C444.1 446.4 448 450.4 448 455.4V495.4C448 506.4 438 513.4 428 511.4L319.1 479.4L210.1 511.4C200.1 514.4 191.1 506.4 191.1 495.4V455.4C191.1 450.4 193.1 446.4 197.1 443.4L255.1 399.5V329.6L83.1 378.5C73.1 381.5 63.1 373.5 63.1 362.6V297.6C63.1 292.6 66.1 285.6 71.1 283.6L168.9 228.4L182.3 239L79.1 297.6V362.6L255.1 312.6V297.2L271.1 309.8V407.5L207.1 455.4zM636.1 497.7C640.4 500.5 641 505.5 638.3 508.1C635.5 512.4 630.5 513 627 510.3L3.022 14.26C-.4365 11.51-1.012 6.482 1.738 3.023C4.487-.4358 9.52-1.011 12.98 1.739L636.1 497.7z"],
    "planet-moon": [576, 512, [], "e01f", "M288 280H224c-8.062 0-15.8-3.109-21.22-8.531C193.9 262.5 193.3 248.2 201.5 238.7l50.36-58.17C259.8 168.7 264 154.9 264 140.6C264 120.9 248.5 104.8 228.8 104C224.1 104.2 220.7 107.3 220.5 111.7C220.3 116.1 223.8 119.8 228.2 120C239.3 120.5 248 129.5 248 140.6c0 11.09-3.25 21.83-8.797 30.27L189.5 228.3c-13.72 15.73-12.84 39.69 2 54.53C199.9 291.2 211.7 296 224 296h64c13.23 0 24 10.77 24 24v16.88c0 8.672-2 17.11-5.906 25.05l-40.42 80.72c-2.844 5.859-8.438 10-15.12 11.12c-3.188 .5781-6.484 .9219-9.812 1.281C233.8 455.5 232 449.4 232 447.1V376H224c-13.23 0-24-10.77-24-24V316.7L143 259.7C135.5 252.2 125.4 248 114.8 248h-25C72.67 248 72.02 226.4 72 223.1c-.0313-4.391-3.625-7.953-8.016-7.953c-.0156 0 .0156 0 0 0C59.58 216 56 219.6 56 224c0 13.83 7.047 40 33.75 40h25c6.406 0 12.44 2.5 16.97 7.031L184 323.3V352c0 19.31 13.77 35.48 32 39.2v55.92c0 6.781 2.781 13.08 7.938 17.86c4.453 3.953 10.16 6.109 15.97 6.109c2.494 0 9.881-.918 13.41-1.578c11.66-1.938 21.66-9.375 26.72-19.81l40.39-80.67C325.4 358.1 328 347.9 328 336.9V320C328 297.9 310.1 280 288 280zM512 0c-35.35 0-64 28.65-64 64s28.65 63.1 64 63.1s64-28.65 64-63.1S547.3 0 512 0zM512 112c-26.47 0-48-21.53-48-48s21.53-48 48-48s48 21.53 48 48S538.5 112 512 112zM224 64C100.3 64 0 164.3 0 288s100.3 224 224 224c123.7 0 224-100.3 224-224S347.7 64 224 64zM224 496c-114.7 0-208-93.31-208-208S109.3 80 224 80s208 93.31 208 208S338.7 496 224 496z"],
    "planet-ringed": [512, 512, [129680], "e020", "M500.9 11.09c-19.87-19.87-61.62-12.95-120.8 20.01c-3.859 2.14-5.249 7.015-3.093 10.87c2.14 3.875 7.046 5.25 10.87 3.093c50.03-27.87 88.04-36.32 101.7-22.67c14.17 14.17 4.687 53.96-25.34 106.4c-6.486 11.33-13.98 23.11-22.01 35.09c-34.04-68.58-104.6-115.9-186.2-115.9c-114.7 0-207.1 93.3-207.1 207.1c0 81.61 47.35 152.2 115.9 186.2c-11.98 8.019-23.76 15.52-35.09 22.01c-52.46 30.04-92.27 39.53-106.4 25.34c-13.67-13.67-5.187-51.68 22.67-101.7c2.156-3.859 .7655-8.734-3.093-10.87C38.11 374.8 33.23 376.2 31.11 380.1c-32.97 59.15-39.89 100.9-20.01 120.8C18.98 508.8 29.76 512 42.17 512c28.18 0 64.71-16.8 94.63-33.92c14.33-8.198 29.23-17.67 44.51-28.22c23.21 8.974 48.34 14.1 74.68 14.1c114.7 0 207.1-93.3 207.1-207.1c0-26.34-5.134-51.47-14.11-74.68c10.55-15.28 20.02-30.18 28.22-44.51C502.7 93.73 526.7 36.93 500.9 11.09zM63.99 255.1c0-105.9 86.12-191.1 191.1-191.1c78.53 0 146.1 47.44 175.8 115.1c-31.03 43.89-70.92 90.78-116.4 136.3s-92.37 85.38-136.3 116.4C111.4 402.1 63.99 334.5 63.99 255.1zM447.1 255.1c0 105.9-86.12 191.1-191.1 191.1c-20.58 0-40.36-3.338-58.96-9.357c42.13-30.62 86.55-68.79 129.7-111.9s81.29-87.55 111.9-129.7C444.6 215.6 447.1 235.4 447.1 255.1z"],
    "plant-wilt": [512, 512, [], "e5aa", "M280 512H264V232C264 183.4 224.6 144 176 144C127.4 144 88 183.4 88 232V256.3C130.8 259.3 160 286.5 160 331.1C160 359.1 124.2 410.5 80 448C35.83 410.5 0 360.4 0 331.1C0 286.5 29.23 259.3 72 256.3V232C72 174.6 118.6 128 176 128C213.1 128 245.6 147.4 264 176.5V88C264 39.4 303.4 0 352 0C400.6 0 440 39.4 440 88V128.3C482.8 131.3 512 158.5 512 203.1C512 231.1 476.2 282.5 432 320C387.8 282.5 352 232.4 352 203.1C352 158.5 381.2 131.3 424 128.3V88C424 48.24 391.8 16 352 16C312.2 16 280 48.24 280 88V512zM385.1 159.6C374.7 169.1 368 183.3 368 203.1C368 212.5 374.4 228.9 388.6 249.3C399.9 265.7 415 282.9 431.1 298.6C448.9 282.9 464 265.6 475.4 249.2C489.6 228.7 496 212.3 496 203.1C496 183.3 489.3 169.1 478.9 159.6C469.7 151.3 456.6 145.7 440 144.3V199.1C440 204.4 436.4 207.1 432 207.1C427.6 207.1 424 204.4 424 199.1V144.3C407.4 145.7 394.3 151.3 385.1 159.6zM16 331.1C16 340.5 22.43 356.9 36.59 377.3C47.93 393.7 63.05 410.9 79.1 426.6C96.93 410.9 112 393.6 123.4 377.2C137.6 356.7 144 340.3 144 331.1C144 311.3 137.3 297.1 126.9 287.6C117.7 279.3 104.6 273.7 88 272.3V328.3C88 332.7 84.42 336.3 80 336.3C75.58 336.3 72 332.7 72 328.3V272.3C55.37 273.7 42.26 279.3 33.12 287.6C22.74 297.1 15.1 311.3 15.1 331.1H16z"],
    "plate-utensils": [640, 512, [58713], "e43b", "M624.3 18.09C627.4 19.43 630.3 21.38 632.7 23.82C635 26.26 636.9 29.15 638.2 32.31C639.4 35.48 640.1 38.86 640 42.27V488C640 490.1 639.2 492.2 637.7 493.7C636.2 495.2 634.1 496 632 496C629.9 496 627.8 495.2 626.3 493.7C624.8 492.2 624 490.1 624 488V304.6H562.9C556.1 304.5 549.4 303 543.1 300.3C536.9 297.6 531.2 293.7 526.5 288.8C521.8 283.8 518 278 515.5 271.7C513.1 265.3 511.9 258.6 512 251.7L512.4 158.5C512.1 128.5 520.8 99.2 537.3 74.17C553.7 49.15 577.2 29.56 604.8 17.89C607.8 16.64 611.1 15.1 614.4 16C617.8 16.04 621.2 16.75 624.3 18.09zM624 42.24C624.1 40.94 623.8 39.63 623.4 38.41C622.9 37.19 622.2 36.06 621.3 35.11C620.4 34.16 619.4 33.39 618.2 32.86C616.1 32.33 615.7 32.03 614.4 32C613.3 32.04 612.2 32.29 611.2 32.74C586.5 43.1 565.4 60.61 550.7 83.01C536 105.4 528.3 131.7 528.6 158.5L528 251.8C527.9 256.7 528.8 261.6 530.7 266.1C532.5 270.7 535.2 274.8 538.7 278.3C541.8 281.5 545.6 284.1 549.8 285.9C553.9 287.6 558.4 288.5 562.9 288.5H624V42.24zM132.3 212.6C124.8 220.2 114.6 224.4 104 224.4H80V488C80 490.1 79.16 492.2 77.66 493.7C76.16 495.2 74.12 496 72 496C69.88 496 67.84 495.2 66.34 493.7C64.84 492.2 64 490.1 64 488V224.4H40C29.38 224.4 19.21 220.2 11.71 212.6C4.211 205.1 0 194.9 0 184.3V24C0 21.88 .8429 19.84 2.343 18.34C3.843 16.84 5.878 16 8 16C10.12 16 12.16 16.84 13.66 18.34C15.16 19.84 16 21.88 16 24V184.3C16.01 190.7 18.54 196.8 23.03 201.3C27.53 205.8 33.63 208.4 40 208.4H64V24C64 21.88 64.84 19.84 66.34 18.34C67.84 16.84 69.88 16 72 16C74.12 16 76.16 16.84 77.66 18.34C79.16 19.84 80 21.88 80 24V208.4H104C110.4 208.4 116.5 205.8 120.1 201.3C125.5 196.8 127.1 190.7 128 184.3V24C128 21.88 128.8 19.84 130.3 18.34C131.8 16.84 133.9 16 136 16C138.1 16 140.2 16.84 141.7 18.34C143.2 19.84 144 21.88 144 24V184.3C144 194.9 139.8 205.1 132.3 212.6zM397.3 108.4C416.7 116.5 434.3 128.3 449.2 143.2C464.1 158.1 475.8 175.7 483.9 195.2C491.9 214.6 496 235.4 496 256.5C496 288.2 486.6 319.2 468.1 345.6C451.3 371.1 426.3 392.5 396.1 404.6C367.6 416.8 335.4 419.9 304.3 413.7C273.2 407.5 244.6 392.2 222.2 369.7C199.8 347.3 184.6 318.7 178.4 287.6C172.3 256.4 175.5 224.2 187.7 194.9C199.8 165.6 220.4 140.6 246.8 123C273.2 105.4 304.3 96.1 336 96.16C357 96.18 377.9 100.3 397.3 108.4L397.3 108.4zM437.8 358.4C464.8 331.3 479.1 294.7 480 256.5C480 227.9 471.5 200 455.7 176.3C439.8 152.5 417.3 134 390.9 123.1C364.5 112.2 335.5 109.4 307.5 114.1C279.5 120.5 253.8 134.3 233.6 154.5C213.4 174.7 199.7 200.5 194.2 228.5C188.6 256.5 191.5 285.5 202.5 311.9C213.5 338.2 231.1 360.7 255.8 376.6C279.5 392.4 307.4 400.8 336 400.7C374.2 400.7 410.8 385.4 437.8 358.4L437.8 358.4zM551.3 336.7C552.2 338.7 552.2 340.9 551.4 342.9C532.5 390.4 498.4 430.2 454.5 456.4C410.5 482.5 359.2 493.3 308.5 487.3C257.7 481.2 210.4 458.5 173.8 422.8C137.3 387.1 113.6 340.3 106.4 289.7C106.1 288.6 106.1 287.5 106.4 286.4C106.6 285.4 107 284.3 107.7 283.4C108.3 282.6 109.1 281.8 110 281.2C110.9 280.7 111.1 280.3 113.1 280.1C114.1 279.1 115.2 280 116.3 280.3C117.4 280.6 118.3 281.1 119.2 281.8C120 282.5 120.7 283.3 121.3 284.3C121.8 285.2 122.1 286.3 122.2 287.4C128.9 334.5 150.1 378.1 185 411.3C219 444.6 263.1 465.7 310.3 471.3C357.6 476.1 405.4 466.9 446.3 442.6C487.2 418.3 518.9 381.1 536.6 336.9C537.4 334.1 538.9 333.4 540.9 332.6C542.8 331.7 545 331.7 546.1 332.4C548.9 333.3 550.5 334.8 551.3 336.7V336.7zM174.7 102.8C173.4 101.9 172.4 100.7 171.8 99.18C171.2 97.71 171 96.09 171.4 94.53C171.7 92.97 172.5 91.54 173.6 90.43C214.7 50.02 269.4 26.4 327 24.17C384.6 21.95 440.1 41.28 485.1 78.4C486.6 79.81 487.5 81.73 487.6 83.77C487.7 85.82 487 87.83 485.7 89.4C484.4 90.97 482.5 91.98 480.5 92.22C478.5 92.46 476.4 91.91 474.8 90.69C433.7 56.13 381.2 38.13 327.6 40.2C273.1 42.27 223 64.27 184.8 101.9C184 102.6 183.2 103.2 182.2 103.6C181.3 103.1 180.2 104.2 179.2 104.2C177.6 104.2 176.1 103.7 174.7 102.8H174.7z"],
    "plate-wheat": [512, 512, [], "e55a", "M160 48C160 39.16 167.2 32 176 32C220.2 32 256 67.82 256 112V136C256 144.8 248.8 152 240 152C195.8 152 160 116.2 160 72V48zM176 48V72C176 107.3 204.7 136 240 136V112C240 76.65 211.3 48 176 48zM272 48C272 39.16 279.2 32 288 32C332.2 32 368 67.82 368 112V136C368 144.8 360.8 152 352 152C307.8 152 272 116.2 272 72V48zM288 48V72C288 107.3 316.7 136 352 136V112C352 76.65 323.3 48 288 48zM480 112V136C480 144.8 472.8 152 464 152C419.8 152 384 116.2 384 72V48C384 39.16 391.2 32 400 32C444.2 32 480 67.82 480 112zM464 136V112C464 76.65 435.3 48 400 48V72C400 107.3 428.7 136 464 136zM368 208C368 252.2 332.2 288 288 288C279.2 288 272 280.8 272 272V248C272 203.8 307.8 168 352 168C360.8 168 368 175.2 368 184V208zM288 248V272C323.3 272 352 243.3 352 208V184C316.7 184 288 212.7 288 248zM240 168C248.8 168 256 175.2 256 184V208C256 252.2 220.2 288 176 288C167.2 288 160 280.8 160 272V248C160 203.8 195.8 168 240 168zM240 208V184C204.7 184 176 212.7 176 248V272C211.3 272 240 243.3 240 208zM480 208C480 252.2 444.2 288 400 288C391.2 288 384 280.8 384 272V248C384 203.8 419.8 168 464 168C472.8 168 480 175.2 480 184V208zM400 248V272C435.3 272 464 243.3 464 208V184C428.7 184 400 212.7 400 248zM0 160C0 155.6 3.582 152 8 152H152C156.4 152 160 155.6 160 160C160 164.4 156.4 168 152 168H8C3.582 168 0 164.4 0 160zM120 80C124.4 80 128 83.58 128 88C128 92.42 124.4 96 120 96H40C35.58 96 32 92.42 32 88C32 83.58 35.58 80 40 80H120zM32 232C32 227.6 35.58 224 40 224H120C124.4 224 128 227.6 128 232C128 236.4 124.4 240 120 240H40C35.58 240 32 236.4 32 232zM486.4 320C500.5 320 512 331.5 512 345.6C512 400.9 468.1 445.1 413.3 447.9C406.7 466.6 388.9 480 368 480H144C123.1 480 105.3 466.6 98.71 447.9C43.86 445.1 0 400.9 0 345.6C0 331.5 11.46 320 25.6 320H486.4zM144 464H368C381.9 464 393.8 455.1 398.2 442.6C400.4 436.4 406.1 432.2 412.7 431.9C458.1 430.3 496 392.3 496 345.6C496 340.3 491.7 336 486.4 336H25.6C20.3 336 15.1 340.3 15.1 345.6C15.1 392.3 53.01 430.3 99.27 431.9C105.9 432.2 111.6 436.4 113.8 442.6C118.2 455.1 130.1 464 143.1 464H144z"],
    "play": [384, 512, [9654], "f04b", "M24.52 38.13C39.66 29.64 58.21 29.99 73.03 39.04L361 215C375.3 223.8 384 239.3 384 256C384 272.7 375.3 288.2 361 296.1L73.03 472.1C58.21 482 39.66 482.4 24.52 473.9C9.377 465.4 0 449.4 0 432V80C0 62.64 9.377 46.63 24.52 38.13V38.13zM64.69 52.7C54.81 46.66 42.44 46.43 32.35 52.09C22.25 57.75 16 68.42 16 80V432C16 443.6 22.25 454.2 32.35 459.9C42.44 465.6 54.81 465.3 64.69 459.3L352.7 283.3C362.2 277.5 368 267.1 368 256C368 244.9 362.2 234.5 352.7 228.7L64.69 52.7z"],
    "play-pause": [512, 512, [], "e22f", "M504 64c-4.422 0-8 3.578-8 8v368c0 4.422 3.578 8 8 8S512 444.4 512 440V72C512 67.58 508.4 64 504 64zM360 64C355.6 64 352 67.58 352 72v368c0 4.422 3.578 8 8 8s8-3.578 8-8V72C368 67.58 364.4 64 360 64zM52.51 71.41C46.36 66.31 39.22 64 32.22 64C15.71 64 0 76.81 0 96.03v319.9C0 435.2 15.71 448 32.22 448c7.002 0 14.15-2.305 20.29-7.406l192-159.1c15.25-12.87 15.25-36.37 0-49.24L52.51 71.41zM234.3 268.3l-192 159.1C39.32 430.8 35.93 432 32.22 432C24.25 432 16 426 16 415.1v-319.9C16 85.99 24.25 80 32.22 80c3.711 0 7.098 1.25 10.05 3.699l191.9 159.9C237.9 246.7 239.1 251.1 239.1 256C239.1 260.9 237.9 265.3 234.3 268.3z"],
    "plug": [384, 512, [128268], "f1e6", "M96 0C100.4 0 104 3.582 104 8V104H88V8C88 3.582 91.58 0 96 0zM288 0C292.4 0 296 3.582 296 8V104H280V8C280 3.582 283.6 0 288 0zM376 144C380.4 144 384 147.6 384 152C384 156.4 380.4 160 376 160H344V240C344 321.3 280.2 387.6 200 391.8V504C200 508.4 196.4 512 192 512C187.6 512 184 508.4 184 504V391.8C103.8 387.6 40 321.3 40 240V160H8C3.582 160 0 156.4 0 152C0 147.6 3.582 144 8 144H376zM192 376C267.1 376 328 315.1 328 240V160H56V240C56 315.1 116.9 376 192 376z"],
    "plug-circle-bolt": [576, 512, [], "e55b", "M96 0C100.4 0 104 3.582 104 8V104H88V8C88 3.582 91.58 0 96 0zM288 0C292.4 0 296 3.582 296 8V104H280V8C280 3.582 283.6 0 288 0zM376 144C380.4 144 384 147.6 384 152C384 156.4 380.4 160 376 160H344V215.5C338.5 218.7 333.1 222.2 328 225.1V160H56V240C56 315.1 116.9 376 192 376C215.2 376 237.1 370.2 256.2 359.9C256.1 362.6 256 365.3 256 368C256 371.3 256.1 374.5 256.3 377.8C239 385.8 220 390.8 200 391.8V504C200 508.4 196.4 512 192 512C187.6 512 184 508.4 184 504V391.8C103.8 387.6 40 321.3 40 240V160H8C3.582 160 0 156.4 0 152C0 147.6 3.582 144 8 144H376zM468.5 281.4C471.4 283.4 472.7 287.1 471.6 290.5L453.8 344H512C515.3 344 518.3 346.1 519.5 349.2C520.7 352.4 519.7 355.9 517.2 358.1L405.2 454.1C402.5 456.4 398.5 456.6 395.5 454.6C392.6 452.6 391.3 448.9 392.4 445.5L410.2 392H352C348.7 392 345.7 389.9 344.5 386.8C343.3 383.6 344.3 380.1 346.8 377.9L458.8 281.9C461.5 279.6 465.5 279.4 468.5 281.4V281.4zM373.6 376H421.3C423.9 376 426.3 377.2 427.8 379.3C429.3 381.4 429.7 384.1 428.9 386.5L416.7 423.1L490.4 360H442.7C440.1 360 437.7 358.8 436.2 356.7C434.7 354.6 434.3 351.9 435.1 349.5L447.3 312.9L373.6 376zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 496C502.7 496 560 438.7 560 368C560 297.3 502.7 240 432 240C361.3 240 304 297.3 304 368C304 438.7 361.3 496 432 496z"],
    "plug-circle-check": [576, 512, [], "e55c", "M96 0C100.4 0 104 3.582 104 8V104H88V8C88 3.582 91.58 0 96 0zM288 0C292.4 0 296 3.582 296 8V104H280V8C280 3.582 283.6 0 288 0zM376 144C380.4 144 384 147.6 384 152C384 156.4 380.4 160 376 160H344V215.5C338.5 218.7 333.1 222.2 328 225.1V160H56V240C56 315.1 116.9 376 192 376C215.2 376 237.1 370.2 256.2 359.9C256.1 362.6 256 365.3 256 368C256 371.3 256.1 374.5 256.3 377.8C239 385.8 220 390.8 200 391.8V504C200 508.4 196.4 512 192 512C187.6 512 184 508.4 184 504V391.8C103.8 387.6 40 321.3 40 240V160H8C3.582 160 0 156.4 0 152C0 147.6 3.582 144 8 144H376zM501.7 322.3C504.8 325.5 504.8 330.5 501.7 333.7L421.7 413.7C418.5 416.8 413.5 416.8 410.3 413.7L362.3 365.7C359.2 362.5 359.2 357.5 362.3 354.3C365.5 351.2 370.5 351.2 373.7 354.3L416 396.7L490.3 322.3C493.5 319.2 498.5 319.2 501.7 322.3H501.7zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 496C502.7 496 560 438.7 560 368C560 297.3 502.7 240 432 240C361.3 240 304 297.3 304 368C304 438.7 361.3 496 432 496z"],
    "plug-circle-exclamation": [576, 512, [], "e55d", "M96 0C100.4 0 104 3.582 104 8V104H88V8C88 3.582 91.58 0 96 0zM288 0C292.4 0 296 3.582 296 8V104H280V8C280 3.582 283.6 0 288 0zM376 144C380.4 144 384 147.6 384 152C384 156.4 380.4 160 376 160H344V215.5C338.5 218.7 333.1 222.2 328 225.1V160H56V240C56 315.1 116.9 376 192 376C215.2 376 237.1 370.2 256.2 359.9C256.1 362.6 256 365.3 256 368C256 371.3 256.1 374.5 256.3 377.8C239 385.8 220 390.8 200 391.8V504C200 508.4 196.4 512 192 512C187.6 512 184 508.4 184 504V391.8C103.8 387.6 40 321.3 40 240V160H8C3.582 160 0 156.4 0 152C0 147.6 3.582 144 8 144H376zM416 432C416 423.2 423.2 416 432 416C440.8 416 448 423.2 448 432C448 440.8 440.8 448 432 448C423.2 448 416 440.8 416 432zM431.1 280C436.4 280 439.1 283.6 439.1 288V384C439.1 388.4 436.4 392 431.1 392C427.6 392 423.1 388.4 423.1 384V288C423.1 283.6 427.6 280 431.1 280zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 240C361.3 240 304 297.3 304 368C304 438.7 361.3 496 432 496C502.7 496 560 438.7 560 368C560 297.3 502.7 240 432 240z"],
    "plug-circle-minus": [576, 512, [], "e55e", "M96 0C100.4 0 104 3.582 104 8V104H88V8C88 3.582 91.58 0 96 0zM288 0C292.4 0 296 3.582 296 8V104H280V8C280 3.582 283.6 0 288 0zM376 144C380.4 144 384 147.6 384 152C384 156.4 380.4 160 376 160H344V215.5C338.5 218.7 333.1 222.2 328 225.1V160H56V240C56 315.1 116.9 376 192 376C215.2 376 237.1 370.2 256.2 359.9C256.1 362.6 256 365.3 256 368C256 371.3 256.1 374.5 256.3 377.8C239 385.8 220 390.8 200 391.8V504C200 508.4 196.4 512 192 512C187.6 512 184 508.4 184 504V391.8C103.8 387.6 40 321.3 40 240V160H8C3.582 160 0 156.4 0 152C0 147.6 3.582 144 8 144H376zM512 367.1C512 372.4 508.4 375.1 504 375.1H360C355.6 375.1 352 372.4 352 367.1C352 363.6 355.6 359.1 360 359.1H504C508.4 359.1 512 363.6 512 367.1zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 496C502.7 496 560 438.7 560 368C560 297.3 502.7 240 432 240C361.3 240 304 297.3 304 368C304 438.7 361.3 496 432 496z"],
    "plug-circle-plus": [576, 512, [], "e55f", "M96 0C100.4 0 104 3.582 104 8V104H88V8C88 3.582 91.58 0 96 0zM288 0C292.4 0 296 3.582 296 8V104H280V8C280 3.582 283.6 0 288 0zM376 144C380.4 144 384 147.6 384 152C384 156.4 380.4 160 376 160H344V215.5C338.5 218.7 333.1 222.2 328 225.1V160H56V240C56 315.1 116.9 376 192 376C215.2 376 237.1 370.2 256.2 359.9C256.1 362.6 256 365.3 256 368C256 371.3 256.1 374.5 256.3 377.8C239 385.8 220 390.8 200 391.8V504C200 508.4 196.4 512 192 512C187.6 512 184 508.4 184 504V391.8C103.8 387.6 40 321.3 40 240V160H8C3.582 160 0 156.4 0 152C0 147.6 3.582 144 8 144H376zM440 359.1H504C508.4 359.1 512 363.6 512 367.1C512 372.4 508.4 375.1 504 375.1H440V439.1C440 444.4 436.4 447.1 432 447.1C427.6 447.1 424 444.4 424 439.1V375.1H360C355.6 375.1 352 372.4 352 367.1C352 363.6 355.6 359.1 360 359.1H424V295.1C424 291.6 427.6 287.1 432 287.1C436.4 287.1 440 291.6 440 295.1V359.1zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 240C361.3 240 304 297.3 304 368C304 438.7 361.3 496 432 496C502.7 496 560 438.7 560 368C560 297.3 502.7 240 432 240z"],
    "plug-circle-xmark": [576, 512, [], "e560", "M96 0C100.4 0 104 3.582 104 8V104H88V8C88 3.582 91.58 0 96 0zM288 0C292.4 0 296 3.582 296 8V104H280V8C280 3.582 283.6 0 288 0zM376 144C380.4 144 384 147.6 384 152C384 156.4 380.4 160 376 160H344V215.5C338.5 218.7 333.1 222.2 328 225.1V160H56V240C56 315.1 116.9 376 192 376C215.2 376 237.1 370.2 256.2 359.9C256.1 362.6 256 365.3 256 368C256 371.3 256.1 374.5 256.3 377.8C239 385.8 220 390.8 200 391.8V504C200 508.4 196.4 512 192 512C187.6 512 184 508.4 184 504V391.8C103.8 387.6 40 321.3 40 240V160H8C3.582 160 0 156.4 0 152C0 147.6 3.582 144 8 144H376zM443.3 368L493.7 418.3C496.8 421.5 496.8 426.5 493.7 429.7C490.5 432.8 485.5 432.8 482.3 429.7L432 379.3L381.7 429.7C378.5 432.8 373.5 432.8 370.3 429.7C367.2 426.5 367.2 421.5 370.3 418.3L420.7 368L370.3 317.7C367.2 314.5 367.2 309.5 370.3 306.3C373.5 303.2 378.5 303.2 381.7 306.3L432 356.7L482.3 306.3C485.5 303.2 490.5 303.2 493.7 306.3C496.8 309.5 496.8 314.5 493.7 317.7L443.3 368zM576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368zM432 240C361.3 240 304 297.3 304 368C304 438.7 361.3 496 432 496C502.7 496 560 438.7 560 368C560 297.3 502.7 240 432 240z"],
    "plus": [448, 512, [10133, 61543, "add"], "2b", "M432 256C432 260.4 428.4 264 424 264h-192v192c0 4.422-3.578 8.006-8 8.006S216 460.4 216 456v-192h-192c-4.422 0-8-3.572-8-7.994C16 251.6 19.58 248 24 248h192v-192c0-4.422 3.578-7.994 8-7.994S232 51.58 232 56v192h192C428.4 248 432 251.6 432 256z"],
    "plus-large": [512, 512, [], "e59e", "M264 248H504C508.4 248 512 251.6 512 256C512 260.4 508.4 264 504 264H264V504C264 508.4 260.4 512 256 512C251.6 512 248 508.4 248 504V264H8C3.582 264 0 260.4 0 256C0 251.6 3.582 248 8 248H248V8C248 3.582 251.6 0 256 0C260.4 0 264 3.582 264 8V248z"],
    "plus-minus": [384, 512, [], "e43c", "M16 200h168v168c0 4.406 3.594 8 8 8s8-3.594 8-8V200h168c4.406 0 8-3.594 8-8s-3.594-8-8-8h-168V16c0-4.406-3.594-8-8-8S184 11.59 184 16v168H16C11.59 184 8 187.6 8 192S11.59 200 16 200zM368 464h-352c-4.406 0-8 3.594-8 8S11.59 480 16 480h352c4.406 0 8-3.594 8-8S372.4 464 368 464z"],
    "podcast": [448, 512, [], "f2ce", "M224 312c-32.88 0-64 8.625-64 43.75c0 33.13 12.88 104.3 20.62 132.8C185.8 507.6 205.1 512 224 512s38.25-4.375 43.38-23.38C275.1 459.9 288 388.8 288 355.8C288 320.6 256.9 312 224 312zM251.9 484.5C251.1 487.6 248.8 496 224 496c-24.81 0-27.07-8.385-27.94-11.57C188.1 455.3 176 386.1 176 355.8C176 347.4 176 328 224 328s48 19.45 48 27.75C272 385.7 259.9 455.1 251.9 484.5zM224 280c30.95 0 56-25.05 56-56S254.1 168 224 168S168 193 168 224S193 280 224 280zM224 184c22.06 0 40 17.94 40 40S246.1 264 224 264C201.9 264 184 246.1 184 224S201.9 184 224 184zM224 0C100.5 0 0 100.5 0 224c0 85.66 47.69 162.6 124.4 200.7c4.031 1.984 8.781 .3594 10.72-3.609c1.969-3.953 .375-8.766-3.594-10.73C60.28 374.1 16 303.5 16 224c0-114.7 93.31-208 208-208s208 93.31 208 208c0 79.55-44.28 150.1-115.6 186.4c-3.969 1.969-5.562 6.781-3.594 10.73C314.2 423.9 317.1 425.5 320 425.5c1.188 0 2.406-.2656 3.562-.8281C400.3 386.6 448 309.7 448 224C448 100.5 347.5 0 224 0zM314.7 325.7C316.3 327.2 318.3 328 320.3 328c2.062 0 4.094-.7813 5.656-2.359C353.1 298.5 368 262.4 368 224c0-79.41-64.59-144-144-144S80 144.6 80 224c0 38.36 14.91 74.47 41.1 101.6c3.094 3.125 8.157 3.156 11.31 .0313c3.125-3.125 3.125-8.188 0-11.31C109.3 290.2 96 258.1 96 224c0-70.58 57.41-128 128-128s128 57.42 128 128c0 34.11-13.25 66.19-37.31 90.36C311.6 317.5 311.6 322.5 314.7 325.7z"],
    "podium": [448, 512, [], "f680", "M440 152H104V112c0-30.88 25.12-56 56-56h32.81C196.6 78.68 216.2 96 240 96h64C330.5 96 352 74.51 352 48S330.5 0 304 0h-64C216.2 0 196.6 17.32 192.8 40H160c-39.69 0-72 32.3-72 72v40h-80C3.594 152 0 155.6 0 160s3.594 8 8 8h432C444.4 168 448 164.4 448 160S444.4 152 440 152zM240 16h64c17.64 0 32 14.36 32 32s-14.36 32-32 32h-64c-17.64 0-32-14.36-32-32S222.4 16 240 16zM408.9 216c-4.844-.6406-8.344 2.672-8.844 7.047l-28.75 251.6C369.9 486.9 359.7 496 347.4 496H100.6c-12.22 0-22.47-9.141-23.88-21.27L47.94 223.1c-.5-4.375-4.188-7.656-8.844-7.047c-4.406 .5-7.531 4.469-7.031 8.859l28.75 251.6C63.09 496.8 80.19 512 100.6 512h246.9c20.38 0 37.47-15.23 39.75-35.45l28.75-251.6C416.4 220.5 413.3 216.5 408.9 216z"],
    "podium-star": [448, 512, [], "f758", "M408.9 216c-4.844-.6406-8.344 2.672-8.844 7.047l-28.75 251.6C369.9 486.9 359.7 496 347.4 496H100.6c-12.22 0-22.47-9.141-23.88-21.27L47.94 223.1c-.5-4.375-4.188-7.656-8.844-7.047c-4.406 .5-7.531 4.469-7.031 8.859l28.75 251.6C63.09 496.8 80.19 512 100.6 512h246.9c20.38 0 37.47-15.23 39.75-35.45l28.75-251.6C416.4 220.5 413.3 216.5 408.9 216zM440 152H104V112c0-30.88 25.12-56 56-56h32.81C196.6 78.68 216.2 96 240 96h64C330.5 96 352 74.51 352 48S330.5 0 304 0h-64C216.2 0 196.6 17.32 192.8 40H160c-39.69 0-72 32.3-72 72v40h-80C3.594 152 0 155.6 0 160s3.594 8 8 8h432C444.4 168 448 164.4 448 160S444.4 152 440 152zM240 16h64c17.64 0 32 14.36 32 32s-14.36 32-32 32h-64c-17.64 0-32-14.36-32-32S222.4 16 240 16zM333.5 302.7l-69.97-10.19l-31.38-63.44C230.5 225.7 227.2 224 224 224S217.5 225.7 215.8 229l-31.26 63.44L114.5 302.7c-7.443 1.029-10.42 10.31-5.039 15.57l50.62 49.36l-11.91 69.63C147.2 443.2 151.9 448 157.1 448c1.373 0 2.863-.3438 4.236-1.145l62.64-32.87l62.53 32.87C288 447.7 289.4 448 290.9 448c5.268 0 9.963-4.811 8.934-10.77l-11.91-69.63l50.62-49.36C343.9 312.1 340.9 303.7 333.5 302.7zM270.7 362l10.99 64.22l-57.69-30.33l-57.7 30.29l10.98-64.19L130.6 316.5l64.52-9.4l28.83-58.51l28.94 58.51l64.5 9.396L270.7 362z"],
    "police-box": [384, 512, [], "e021", "M80 272C80 263.2 87.16 256 96 256H160C168.8 256 176 263.2 176 272V336C176 344.8 168.8 352 160 352H96C87.16 352 80 344.8 80 336V272zM96 336H160V272H96V336zM288 128C296.8 128 304 135.2 304 144V208C304 216.8 296.8 224 288 224H224C215.2 224 208 216.8 208 208V144C208 135.2 215.2 128 224 128H288zM288 144H264V168H288V144zM224 168H248V144H224V168zM224 208H248V184H224V208zM288 184H264V208H288V184zM80 144C80 135.2 87.16 128 96 128H160C168.8 128 176 135.2 176 144V208C176 216.8 168.8 224 160 224H96C87.16 224 80 216.8 80 208V144zM136 168H160V144H136V168zM120 144H96V168H120V144zM120 184H96V208H120V184zM136 208H160V184H136V208zM200 32H296C309.3 32 320 42.75 320 56V64C337.7 64 352 78.33 352 96V496H376C380.4 496 384 499.6 384 504C384 508.4 380.4 512 376 512H8C3.582 512 0 508.4 0 504C0 499.6 3.582 496 8 496H32V96C32 78.33 46.33 64 64 64V56C64 42.75 74.75 32 88 32H184V8C184 3.582 187.6 0 192 0C196.4 0 200 3.582 200 8V32zM320 80H64C55.16 80 48 87.16 48 96V496H336V96C336 87.16 328.8 80 320 80zM88 48C83.58 48 80 51.58 80 56V64H304V56C304 51.58 300.4 48 296 48H88z"],
    "poll-people": [640, 512, [], "f759", "M128 48C128 74.51 106.5 96 80 96C53.49 96 32 74.51 32 48C32 21.49 53.49 0 80 0C106.5 0 128 21.49 128 48zM80 16C62.33 16 48 30.33 48 48C48 65.67 62.33 80 80 80C97.67 80 112 65.67 112 48C112 30.33 97.67 16 80 16zM224 80C224 53.49 245.5 32 272 32H592C618.5 32 640 53.49 640 80V144C640 170.5 618.5 192 592 192H272C245.5 192 224 170.5 224 144V80zM512 176H592C609.7 176 624 161.7 624 144V80C624 62.33 609.7 48 592 48H512V176zM496 48H272C254.3 48 240 62.33 240 80V144C240 161.7 254.3 176 272 176H496V48zM224 368C224 341.5 245.5 320 272 320H592C618.5 320 640 341.5 640 368V432C640 458.5 618.5 480 592 480H272C245.5 480 224 458.5 224 432V368zM384 464H592C609.7 464 624 449.7 624 432V368C624 350.3 609.7 336 592 336H384V464zM368 336H272C254.3 336 240 350.3 240 368V432C240 449.7 254.3 464 272 464H368V336zM128 336C128 362.5 106.5 384 80 384C53.49 384 32 362.5 32 336C32 309.5 53.49 288 80 288C106.5 288 128 309.5 128 336zM80 304C62.33 304 48 318.3 48 336C48 353.7 62.33 368 80 368C97.67 368 112 353.7 112 336C112 318.3 97.67 304 80 304zM96 128C131.3 128 160 156.7 160 192C160 209.7 145.7 224 128 224H32C14.33 224 0 209.7 0 192C0 156.7 28.65 128 64 128H96zM64 144C37.49 144 16 165.5 16 192C16 200.8 23.16 208 32 208H128C136.8 208 144 200.8 144 192C144 165.5 122.5 144 96 144H64zM0 480C0 444.7 28.65 416 64 416H96C131.3 416 160 444.7 160 480C160 497.7 145.7 512 128 512H32C14.33 512 0 497.7 0 480zM32 496H128C136.8 496 144 488.8 144 480C144 453.5 122.5 432 96 432H64C37.49 432 16 453.5 16 480C16 488.8 23.16 496 32 496z"],
    "pompebled": [512, 512, [], "e43d", "M252.4 21.89C302.4 56.4 308.7 133.8 271.1 200.4L271.8 200.8L271.5 201.1C268.3 205.8 269.4 212.1 273.9 215.4C278.3 218.6 284.2 217.6 287.4 212.1L287.6 212.7L287.8 212.4C335.8 154.3 408.1 132.5 458.6 168.1C520.1 211.7 529 304.1 482.5 373.1C398 497.8 223.7 558.4 101.3 470.6C101.3 470.6 101.3 470.6 101.3 470.6C-21.32 383-28 196.5 56.47 71.73C103.1 2.191 190.7-21.72 252.4 21.89L252.4 21.89zM243.2 34.97C190.6-2.27 112.6 16.7 69.75 80.65L69.73 80.69C-11.45 200.6-2.899 376.5 110.6 457.6C223.3 538.4 388 484 469.2 364.1C512.1 300.5 502.1 218.5 449.3 181.2L449.3 181.1C409.5 152.5 345.6 167.7 300.4 222.4C292.1 234 276.2 236.8 264.5 228.4C253 220.1 250.3 204.2 258.1 192.4C292.6 129.5 283.6 62.86 243.3 35.03L243.2 34.97zM105.9 464.1L101.3 470.6L105.9 464.1zM56.47 71.73C56.46 71.73 56.47 71.72 56.47 71.73V71.73zM63.1 76.2L56.47 71.73z"],
    "poo": [512, 512, [128169], "f2fe", "M461.4 361.6c12.61-14.09 19.62-32.14 19.62-51.31c0-41.56-32.8-75.63-73.86-77.66c7.656-11.38 11.86-24.78 11.86-38.59c0-36.89-28.69-67.22-64.94-69.81C356 116.4 357 108.6 357 101c0-55.69-45.31-101-101-101c-5.375 0-10.61 .75-15.86 1.547C237.4 1.953 235.1 3.781 233.1 6.344C232.9 8.891 233.2 11.84 234.8 14.09C243.5 26.17 248 40.14 248 54.5C248 92.83 216.8 124 178.5 124H163c-38.59 0-70 31.41-70 70c0 13.81 4.203 27.22 11.86 38.59C63.8 234.6 31 268.7 31 310.3c0 19.17 7.016 37.22 19.62 51.31C20.56 372.6 0 401.2 0 434.3C0 477.1 34.88 512 77.75 512h356.5C477.1 512 512 477.1 512 434.3C512 401.2 491.4 372.6 461.4 361.6zM434.3 496H77.75C43.7 496 16 468.3 16 434.3c0-30.39 21.88-55.94 52-60.75c3.156-.5156 5.719-2.859 6.5-5.953c.7656-3.109-.375-6.375-2.922-8.312C55.95 347.3 47 329.5 47 310.3c0-34.05 27.7-61.75 61.75-61.75h13.69c3.344 0 6.328-2.062 7.484-5.188c1.172-3.125 .2813-6.656-2.234-8.844C115.6 223.1 109 209.6 109 194C109 164.2 133.2 140 163 140h15.5C225.6 140 264 101.6 264 54.5c0-13.39-3.188-26.5-9.328-38.48C255.1 16 255.6 16 256 16c46.88 0 85 38.13 85 85c0 9.234-1.75 18.75-5.203 28.27c-.8906 2.453-.5313 5.188 .9687 7.328S340.7 140 343.3 140H349c29.78 0 54 24.22 54 54c0 15.59-6.641 29.97-18.69 40.47c-2.516 2.188-3.406 5.719-2.234 8.844c1.156 3.125 4.141 5.188 7.484 5.188h13.69c34.05 0 61.75 27.7 61.75 61.75c0 19.25-8.953 37.09-24.58 48.98c-2.547 1.938-3.688 5.203-2.922 8.312c.7813 3.094 3.344 5.438 6.5 5.953c30.12 4.812 52 30.36 52 60.75C496 468.3 468.3 496 434.3 496zM352 376H160c-4.422 0-8 3.578-8 8c0 38.47 62.59 64 104 64s104-25.53 104-64C360 379.6 356.4 376 352 376zM256 432c-33.45 0-77.02-18.77-86.23-40h172.5C333 413.2 289.5 432 256 432zM192 304c8.838 0 16-7.164 16-16S200.8 272 192 272C183.2 272 176 279.2 176 288S183.2 304 192 304zM320 304c8.838 0 16-7.164 16-16S328.8 272 320 272c-8.836 0-16 7.164-16 16S311.2 304 320 304z"],
    "poo-storm": [448, 512, ["poo-bolt"], "f75a", "M379.9 220.9c4.203-8.984 6.391-18.61 6.391-28.28c0-36.63-28.55-66.73-64.61-69.34c1.938-7.703 2.906-15.39 2.906-22.95C324.6 45 279.5 0 224 0C218.7 0 213.4 .75 208.2 1.531C205.5 1.938 203.1 3.75 202.1 6.312C200.1 8.875 201.3 11.83 202.9 14.09C211.5 26.06 216 39.91 216 54.16c0 38-31.02 68.92-69.14 68.92H131.4c-38.44 0-69.7 31.19-69.7 69.53c0 9.672 2.188 19.3 6.391 28.28C27.53 234.6 0 272.2 0 315.7C0 371 45.13 416 100.6 416H128c4.422 0 8-3.578 8-8S132.4 400 128 400H100.6C53.94 400 16 362.2 16 315.7c0-39.53 27.06-73.27 65.81-82.05C84.38 233.1 86.5 231.3 87.47 228.8C88.45 226.4 88.17 223.6 86.72 221.4c-5.969-9-9-18.7-9-28.81c0-29.52 24.09-53.53 53.7-53.53h15.44c46.95 0 85.14-38.09 85.14-84.92c0-13.28-3.156-26.25-9.234-38.14C223.2 16 223.6 16 224 16c46.64 0 84.58 37.83 84.58 84.31c0 9.141-1.75 18.58-5.188 28.03c-.8906 2.453-.5313 5.188 .9687 7.328c1.484 2.125 3.938 3.406 6.547 3.406h5.672c29.61 0 53.7 24.02 53.7 53.53c0 10.11-3.031 19.81-9 28.81c-1.453 2.188-1.734 4.953-.75 7.406c.9687 2.438 3.094 4.234 5.656 4.812C404.9 242.4 432 276.2 432 315.7C432 362.2 394.1 400 347.4 400H320c-4.422 0-8 3.578-8 8S315.6 416 320 416h27.42C402.9 416 448 371 448 315.7C448 272.2 420.5 234.6 379.9 220.9zM284 376H182.9l102.9-106.4c3.062-3.188 3-8.25-.1875-11.31s-8.25-2.969-11.31 .1875l-116 120c-2.219 2.312-2.875 5.719-1.625 8.688S160.8 392 164 392h101.1l-102.9 106.4c-3.062 3.188-3 8.25 .1875 11.31C164 511.3 165.1 512 168 512c2.094 0 4.188-.8125 5.75-2.438l116-120c2.219-2.312 2.875-5.719 1.625-8.688S287.2 376 284 376z"],
    "pool-8-ball": [512, 512, [], "e3c5", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496zM256 56C181 56 120 117 120 192s61.02 136 136 136S392 267 392 192S330.1 56 256 56zM256 312C189.8 312 136 258.2 136 192S189.8 72 256 72S376 125.8 376 192S322.2 312 256 312zM282.1 175.3C292.9 167.2 300 154.5 300 140C300 115.8 280.3 96 256 96S212 115.8 212 140c0 14.47 7.119 27.23 17.95 35.26C214.5 184.3 204 200.9 204 220C204 248.7 227.3 272 256 272s52-23.31 52-52C308 200.9 297.5 184.3 282.1 175.3zM228 140C228 124.6 240.6 112 256 112s28 12.56 28 28S271.4 168 256 168S228 155.4 228 140zM256 256C236.2 256 220 239.8 220 220S236.2 184 256 184s36 16.16 36 36S275.8 256 256 256z"],
    "poop": [512, 512, [], "f619", "M461.4 361.6c12.61-14.09 19.62-32.14 19.62-51.31c0-41.56-32.8-75.63-73.86-77.66c7.656-11.38 11.86-24.78 11.86-38.59c0-36.89-28.69-67.22-64.94-69.81C356 116.4 357 108.6 357 101C357 45.31 311.7 0 256 0C250.6 0 245.4 .75 240.1 1.547C237.4 1.953 235.1 3.781 233.1 6.344C232.9 8.891 233.2 11.84 234.8 14.09C243.5 26.17 248 40.14 248 54.5C248 92.83 216.8 124 178.5 124H163c-38.59 0-70 31.41-70 70c0 13.81 4.203 27.22 11.86 38.59C63.8 234.6 31 268.7 31 310.3c0 19.17 7.016 37.22 19.62 51.31C20.56 372.6 0 401.2 0 434.3C0 477.1 34.88 512 77.75 512h356.5C477.1 512 512 477.1 512 434.3C512 401.2 491.4 372.6 461.4 361.6zM434.3 496H77.75C43.7 496 16 468.3 16 434.3c0-30.39 21.88-55.94 52-60.75c3.156-.5156 5.719-2.859 6.5-5.953c.7656-3.109-.375-6.375-2.922-8.312C55.95 347.3 47 329.5 47 310.3c0-34.05 27.7-61.75 61.75-61.75h13.69c3.344 0 6.328-2.062 7.484-5.188c1.172-3.125 .2813-6.656-2.234-8.844C115.6 223.1 109 209.6 109 194C109 164.2 133.2 140 163 140h15.5C225.6 140 264 101.6 264 54.5c0-13.39-3.188-26.5-9.328-38.48C255.1 16 255.6 16 256 16c46.88 0 85 38.13 85 85c0 9.234-1.75 18.75-5.203 28.27c-.8906 2.453-.5313 5.188 .9687 7.328S340.7 140 343.3 140H349c29.78 0 54 24.22 54 54c0 15.59-6.641 29.97-18.69 40.47c-2.516 2.188-3.406 5.719-2.234 8.844c1.156 3.125 4.141 5.188 7.484 5.188h13.69c34.05 0 61.75 27.7 61.75 61.75c0 19.25-8.953 37.09-24.58 48.98c-2.547 1.938-3.688 5.203-2.922 8.312c.7813 3.094 3.344 5.438 6.5 5.953c30.12 4.812 52 30.36 52 60.75C496 468.3 468.3 496 434.3 496z"],
    "popcorn": [448, 512, [127871], "f819", "M446.3 195.1C444.8 193.1 442.5 192 440 192H7.997c-2.469 0-4.797 1.141-6.313 3.094C.1691 197-.3622 199.6 .2472 201.1l71.27 280.1C75.84 500 91.31 512 109.2 512l229.7-.0156c17.83 0 33.3-11.95 37.64-29.06l71.27-280.1C448.4 199.6 447.8 197 446.3 195.1zM360.1 478.1c-2.547 10.02-11.64 17-22.14 17L109.2 496c-10.5 0-19.61-6.984-22.14-17L18.28 208h86.68l31.1 241C136.6 453.1 140 456 143.1 456c.3438 0 .6875-.0156 1.047-.0625c4.375-.5625 7.469-4.578 6.906-8.969L121.1 208h94.9V448c0 4.422 3.578 8 8 8s8-3.578 8-8V208h94.9l-30.83 238.1c-.5625 4.391 2.531 8.406 6.906 8.969C303.3 455.1 303.7 456 304 456c3.953 0 7.391-2.938 7.922-6.969L343 208h86.68L360.1 478.1zM32.69 175.1C37.1 175.7 40.43 171.8 40.11 167.4C39.65 160.7 40.66 155.5 43.36 150.8c5.14-9.235 15.44-15.63 26.87-16.69c2.703-.25 5.109-1.859 6.359-4.266c1.25-2.422 1.203-5.297-.1406-7.672c-5.203-9.11-5.125-20.42 .25-29.56c7.125-12.5 22.44-19.13 37.11-16.25c2.328 .5156 4.719-.125 6.562-1.609C122.2 73.24 123.3 71.02 123.4 68.66C123.7 54.96 133.1 42.94 146.8 38.71c10.75-3.5 22.53-1.609 31.56 4.969c2.094 1.531 4.734 1.969 7.203 1.156C188.1 44.02 189.1 42.1 190.8 39.64c3.359-10.56 11.61-18.8 22.08-22.02c17.89-5.453 36.87 3.172 43.72 20.69c.2813 2.688 1.906 5.078 4.359 6.313c2.75 1.359 5.953 1.078 8.375-.7344c9.14-6.813 21.11-8.735 31.94-5.297c13.8 4.344 23.2 16.39 23.41 30c.0313 2.375 1.125 4.61 2.969 6.094s4.234 2.109 6.594 1.625c14.67-2.86 29.1 3.75 37.11 16.25c5.281 9.25 5.359 20.34 .2031 29.66c-1.312 2.375-1.328 5.266-.0469 7.657c1.281 2.391 3.687 3.969 6.39 4.188c11.16 .9219 21.22 7.219 26.84 16.78c2.656 4.625 3.672 9.891 3.203 16.58C407.6 171.8 410.9 175.7 415.3 175.1c.1875 .0156 .375 .0156 .5781 .0156c4.156 0 7.672-3.219 7.969-7.438c.6875-9.86-1.047-18.27-5.344-25.75c-6.484-11.03-16.91-19.08-28.94-22.7c3.359-11.78 1.891-24.47-4.375-35.47c-9.094-15.94-27.91-25.27-45.53-24.97c-3.5-16.8-16.19-30.83-33.61-36.31c-12.48-4-26.01-3.016-37.67 2.5c-10.95-20.36-36.33-30.83-60.25-23.52C195.8 6.126 185.5 14.61 179.4 25.77C167.8 20.36 154.3 19.47 142 23.46c-17.37 5.328-30.09 19.34-33.66 36.2C90.19 59.88 71.91 68.71 62.85 84.55C56.49 95.4 54.99 108.3 58.38 120.1c-12.41 3.703-22.84 11.8-28.94 22.75C25.19 150.3 23.46 158.7 24.15 168.6C24.44 172.9 28.19 176.3 32.69 175.1z"],
    "popsicle": [320, 512, [], "e43e", "M273.1 46.86C303.1 76.87 320 117.6 320 160V352C320 360.5 316.6 368.6 310.6 374.6C304.6 380.6 296.5 384 288 384H192V480C192 488.5 188.6 496.6 182.6 502.6C176.6 508.6 168.5 512 160 512C151.5 512 143.4 508.6 137.4 502.6C131.4 496.6 128 488.5 128 480V384H32C23.51 384 15.37 380.6 9.372 374.6C3.371 368.6 0 360.5 0 352V160C0 117.6 16.86 76.87 46.86 46.86C76.87 16.86 117.6 0 160 0C202.4 0 243.1 16.86 273.1 46.86zM176 192C176 187.8 174.3 183.7 171.3 180.7C168.3 177.7 164.2 176 160 176C155.8 176 151.7 177.7 148.7 180.7C145.7 183.7 144 187.8 144 192V480C144 484.2 145.7 488.3 148.7 491.3C151.7 494.3 155.8 496 160 496C164.2 496 168.3 494.3 171.3 491.3C174.3 488.3 176 484.2 176 480V192zM304 160C304 121.8 288.8 85.18 261.8 58.18C234.8 31.17 198.2 16 160 16C121.8 16 85.18 31.17 58.18 58.18C31.17 85.18 16 121.8 16 160V352C16 356.2 17.69 360.3 20.69 363.3C23.69 366.3 27.76 368 32 368H128V192C128 183.5 131.4 175.4 137.4 169.4C143.4 163.4 151.5 160 160 160C168.5 160 176.6 163.4 182.6 169.4C188.6 175.4 192 183.5 192 192V368H288C292.2 368 296.3 366.3 299.3 363.3C302.3 360.3 304 356.2 304 352V160z"],
    "pot-food": [640, 512, [127858], "e43f", "M232.2 107.7l8.438 4.219C259.1 121.6 272 141 272 162.7V183.1c0 4.422 3.578 8 8 8S288 188.4 288 183.1V162.7c0-27.73-15.41-52.67-40.2-65.05L239.4 93.4C220 83.73 208 64.29 208 42.67V8c0-4.422-3.578-7.895-8-7.895S192 3.578 192 8v34.67C192 70.39 207.4 95.31 232.2 107.7zM136.2 107.7l8.438 4.219C163.1 121.6 176 141 176 162.7V183.1c0 4.422 3.578 7.895 8 7.895S192 188.4 192 183.1V162.7c0-27.73-15.41-52.67-40.2-65.05L143.4 93.4C124 83.73 112 64.29 112 42.67V8C112 3.578 108.4 0 104 0S96 3.578 96 8v34.67C96 70.39 111.4 95.31 136.2 107.7zM608 255.1h-32.05C575.8 238.4 561.6 224 544 224V223.1c0-61.75-50.25-112-112-112s-112 50.25-112 112H96c-17.67 0-32 14.33-32 32H32c-4.406 0-8 3.578-8 8s3.594 8 8 8h33.06C70.41 357.7 117.7 436.5 191.1 480h.002c0 17.67 14.33 32 32 32h191.1c17.67 0 32-14.33 32-32c74.38-43.57 121.7-122.3 126.9-208H608c4.406 0 8-3.578 8-8S612.4 255.1 608 255.1zM432 127.1c52.94 0 96 43.06 96 96h-192C336 171.1 379.1 127.1 432 127.1zM439.9 466.2l-7.912 4.635V480c0 8.822-7.178 16-16 16H223.1c-8.822 0-16-7.18-16-16v-9.17l-7.912-4.635C126 422.8 80 342.3 80 255.1c0-8.822 7.178-16 16-16h447.1c8.822 0 16 7.262 16 16.19C559.1 342.3 513.1 422.8 439.9 466.2z"],
    "potato": [576, 512, [129364], "e440", "M208 224C199.2 224 192 231.2 192 240S199.2 256 208 256C216.8 256 224 248.8 224 240S216.8 224 208 224zM176 384C167.2 384 160 391.2 160 400S167.2 416 176 416C184.8 416 192 408.8 192 400S184.8 384 176 384zM543.1 154.5C543.1 62.51 455.7 0 389.3 0c-79.42 0-116.4 76.91-149.8 88.76C189.3 104.5 159.2 146 132.7 182.6C94.36 235.6 31.1 282.6 31.1 362.4C31.1 437.9 96.08 512 182.2 512c29.18 0 57.55-8.906 82.05-25.76c35.83-24.65 119.5-29.4 159.6-91.89c13.05-20.49 21.67-39.98 30.02-58.83C490.9 251.6 543.1 235.6 543.1 154.5zM527.8 154.2c0 30.32-11.41 67.49-49.09 107.6c-32.01 34.02-39 77.74-68.39 123.9c-23.68 36.9-65.22 51.38-101.9 64.13C237.4 474.6 234.7 496 182.2 496c-75.25 0-134.2-64.58-134.2-134.3c0-62.51 47.58-111.1 66.29-130.2C149.1 196.2 179.5 124.4 244.8 103.8C284.4 89.83 317.1 16 389.3 16C453.4 16 527.8 77.49 527.8 154.2zM399.1 160C391.2 160 384 167.2 384 176S391.2 192 399.1 192C408.8 192 416 184.8 416 176S408.8 160 399.1 160z"],
    "power-off": [512, 512, [9211], "f011", "M264 248C264 252.4 260.4 256 256 256C251.6 256 248 252.4 248 248V8C248 3.582 251.6 0 256 0C260.4 0 264 3.582 264 8V248zM40 263.1C40 382.4 136.7 479.1 256 479.1C375.3 479.1 472 382.4 472 263.1C472 179.5 424.5 107 355 71.11C351.1 69.08 349.6 64.25 351.6 60.33C353.6 56.4 358.5 54.86 362.4 56.89C436.1 95.45 488 173.3 488 263.1C488 391.2 384.1 495.1 256 495.1C127.9 495.1 24 391.2 24 263.1C24 173.3 75.01 95.45 149.6 56.89C153.5 54.86 158.4 56.4 160.4 60.33C162.4 64.25 160.9 69.08 156.1 71.11C87.47 107 39.1 179.5 39.1 263.1H40z"],
    "prescription": [448, 512, [], "f5b1", "M299.3 352l146.3-146.3c3.125-3.125 3.125-8.188 0-11.31s-8.188-3.125-11.31 0L288 340.7L171.3 224H176C237.8 224 288 173.8 288 112S237.8 0 176 0H8C3.594 0 0 3.578 0 8v304C0 316.4 3.594 320 8 320S16 316.4 16 312V224h132.7l128 128l-146.3 146.3c-3.125 3.125-3.125 8.188 0 11.31C131.9 511.2 133.9 512 136 512s4.094-.7813 5.656-2.344L288 363.3l146.3 146.3C435.9 511.2 437.9 512 440 512s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31L299.3 352zM16 16h160c52.94 0 96 43.06 96 96s-43.06 96-96 96h-160V16z"],
    "prescription-bottle": [384, 512, [], "f485", "M352 0H32C14.33 0 0 14.33 0 32v64c0 17.67 14.33 32 32 32h320c17.67 0 32-14.33 32-32V32C384 14.33 369.7 0 352 0zM368 96c0 8.822-7.178 16-16 16H32C23.18 112 16 104.8 16 96V32c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V96zM344 152c-4.406 0-8 3.578-8 8v280c0 30.88-25.12 56-56 56h-176c-30.88 0-56-25.12-56-56V416H160c4.406 0 8-3.578 8-8S164.4 400 160 400H48V320H160c4.406 0 8-3.578 8-8S164.4 304 160 304H48V224H160c4.406 0 8-3.578 8-8S164.4 208 160 208H48V160c0-4.422-3.594-8-8-8S32 155.6 32 160v280C32 479.7 64.31 512 104 512h176c39.69 0 72-32.3 72-72V160C352 155.6 348.4 152 344 152z"],
    "prescription-bottle-medical": [384, 512, ["prescription-bottle-alt"], "f486", "M352 0H32C14.33 0 0 14.33 0 32v64c0 17.67 14.33 32 32 32h320c17.67 0 32-14.33 32-32V32C384 14.33 369.7 0 352 0zM368 96c0 8.822-7.178 16-16 16H32C23.18 112 16 104.8 16 96V32c0-8.822 7.178-16 16-16h320c8.822 0 16 7.178 16 16V96zM344 152c-4.406 0-8 3.578-8 8v280c0 30.88-25.12 56-56 56h-176c-30.88 0-56-25.12-56-56V160c0-4.422-3.594-8-8-8S32 155.6 32 160v280C32 479.7 64.31 512 104 512h176c39.69 0 72-32.3 72-72V160C352 155.6 348.4 152 344 152zM216 184h-48c-8.836 0-16 7.164-16 16v48h-48c-8.836 0-16 7.164-16 16v48c0 8.836 7.164 16 16 16h48v48c0 8.836 7.164 16 16 16h48c8.838 0 16-7.164 16-16v-48h48c8.838 0 16-7.164 16-16v-48c0-8.836-7.162-16-16-16h-48v-48C232 191.2 224.8 184 216 184zM280 264v48h-64v64h-48v-64h-64v-48h64v-64h48v64H280z"],
    "presentation-screen": [576, 512, ["presentation"], "f685", "M568 0H8C3.594 0 0 3.578 0 8S3.594 16 8 16h560C572.4 16 576 12.42 576 8S572.4 0 568 0zM536 48c-4.406 0-8 3.578-8 8v256c0 13.23-10.78 24-24 24H72c-13.22 0-24-10.77-24-24v-256c0-4.422-3.594-8-8-8S32 51.58 32 56v256C32 334.1 49.94 352 72 352h208v52.69l-93.66 93.66c-3.125 3.125-3.125 8.188 0 11.31s8.188 3.125 11.31 0l87.03-87.03C285.8 423.2 286.7 424 288 424s2.232-.8262 3.314-1.373l87.03 87.03C379.9 511.2 381.9 512 384 512s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31L296 404.7V352h208C526.1 352 544 334.1 544 312v-256C544 51.58 540.4 48 536 48z"],
    "pretzel": [576, 512, [129384], "e441", "M535.3 258.1C541.1 238.1 544 216.7 544 195.3C544 114.1 477.6 48 396 48c-41.16 0-80.03 16.9-108 46.65C260 64.9 221.2 48 180 48C98.41 48 32 114.1 32 195.3c0 21.39 2.906 42.83 8.656 63.72c14.29 51.96 47.15 97.49 92.64 129.3l-32.17 44.8c-12.75 17.88-8.562 42.78 9.344 55.48c6.781 4.85 14.81 7.4 23.22 7.4c12.91 0 25.06-6.219 32.56-16.65l40.16-55.95c24.09 7.182 49.02 11.21 74.46 11.21h14.25c25.38 0 50.26-4.025 74.3-11.17l40.32 55.93C417.3 489.8 429.4 496 442.3 496c8.344 0 16.38-2.566 23.22-7.4c17.91-12.73 22.09-37.64 9.281-55.54l-32.12-44.74C488.2 356.5 521.1 310.9 535.3 258.1zM295.1 418.7H280.9c-21.99 0-43.51-3.502-64.46-9.225l29.96-41.73c11.35 1.994 22.91 3.201 34.5 3.201h14.25c11.49 0 22.93-1.197 34.18-3.152l30.09 41.73C338.5 415.2 317 418.7 295.1 418.7zM256.8 353.2c8.646-12.04 22.6-31.46 30.95-43.09l31.11 43.15c-7.865 1.025-15.78 1.734-23.72 1.734H280.9C272.8 354.1 264.8 354.3 256.8 353.2zM433.2 375.1l-85.78-119.5C334.7 237.9 328 217 328 195.3c0-37.31 30.5-67.66 68-67.66S464 157.9 464 195.3c0 14.26-1.969 28.62-5.844 42.71c-6.188 22.51-17.38 42.89-33.19 60.6c-2.938 3.279-2.656 8.301 .6562 11.22c3.312 2.908 8.344 2.658 11.28-.6523c17.5-19.54 29.84-42.07 36.69-66.97C477.8 226.7 480 210.9 480 195.3c0-46.08-37.69-83.57-84-83.57S312 149.2 312 195.3c0 25.11 7.75 49.19 22.44 69.64l127.3 177.4c7.688 10.74 5.188 25.7-5.531 33.33c-10.53 7.385-26.12 4.756-33.5-5.551L276.6 267.3C274 263.8 269 262.1 265.4 265.5C261.9 268.1 261.1 273.1 263.6 276.7l14.27 19.8c-10.44 14.54-41.68 58.03-41.68 58.03l-82.97 115.6c-7.438 10.34-23.12 12.94-33.47 5.566C109 468 106.5 453.1 114.2 442.3l127.4-177.5C256.3 244.4 264 220.4 264 195.3c0-46.08-37.69-83.57-84-83.57S96 149.2 96 195.3C96 210.9 98.16 226.7 102.4 242.2C109.3 267.1 121.6 289.6 139.1 309.1c2.906 3.279 7.969 3.529 11.28 .6523c3.312-2.922 3.594-7.943 .6562-11.22c-15.81-17.71-27-38.09-33.19-60.58C113.1 223.9 112 209.5 112 195.3c0-37.31 30.5-67.66 68-67.66S248 157.9 248 195.3c0 21.78-6.719 42.66-19.44 60.38l-85.79 119.5C100.3 345.4 69.4 303.2 56.09 254.8C50.72 235.3 48 215.2 48 195.3c0-72.41 59.22-131.3 132-131.3c77.03 0 110.4 59.55 117.5 69.44c1.562 2.162 4 3.328 6.5 3.328c1.625 0 3.25-.4824 4.656-1.479c3.594-2.564 4.406-7.539 1.844-11.12l-11.92-16.6c25.08-27.5 60-43.58 97.42-43.58c72.78 0 132 58.92 132 131.3c0 19.98-2.719 40-8.094 59.51C506.6 303.2 475.7 345.4 433.2 375.1z"],
    "print": [512, 512, [128424, 128438, 9113], "f02f", "M88 160C92.41 160 96 156.4 96 152v-112C96 26.77 106.8 16 120 16h226.8c6.312 0 12.5 2.562 16.97 7.031l45.25 45.25C413.4 72.75 416 78.94 416 85.25V152C416 156.4 419.6 160 424 160s8-3.578 8-8V85.25c0-10.69-4.156-20.72-11.72-28.28l-45.25-45.25C367.6 4.266 357.3 0 346.8 0H120C97.94 0 80 17.94 80 40v112C80 156.4 83.59 160 88 160zM448 192H64C28.65 192 0 220.7 0 256v96c0 17.67 14.33 32 32 32h48v104C80 501.2 90.78 512 104 512h304c13.22 0 24-10.77 24-24V384H480c17.67 0 32-14.33 32-32V256C512 220.7 483.3 192 448 192zM416 488c0 4.406-3.594 8-8 8h-304C99.59 496 96 492.4 96 488v-144c0-4.406 3.594-8 8-8h304c4.406 0 8 3.594 8 8V488zM496 352c0 8.822-7.176 16-16 16h-48v-24c0-13.23-10.78-24-24-24h-304c-13.22 0-24 10.77-24 24v24H32c-8.824 0-16-7.178-16-16V256c0-26.47 21.53-48 48-48h384c26.47 0 48 21.53 48 48V352zM432 256C423.2 256 416 263.2 416 272S423.2 288 432 288S448 280.8 448 272S440.8 256 432 256z"],
    "print-magnifying-glass": [640, 512, ["print-search"], "f81a", "M88 160C92.41 160 96 156.4 96 152v-112C96 26.77 106.8 16 120 16h226.8c6.312 0 12.5 2.562 16.97 7.031l45.25 45.25C413.4 72.75 416 78.94 416 85.25V130.9c5.275-.8901 10.59-1.631 16-2.08V85.25c0-10.69-4.156-20.72-11.72-28.28l-45.25-45.25C367.6 4.266 357.3 0 346.8 0H120C97.94 0 80 17.94 80 40v112C80 156.4 83.59 160 88 160zM637.7 498.3l-94.03-94.03C563.5 381.8 576 352.5 576 320c0-70.69-57.31-128-128-128c-70.69 0-128 57.31-128 128s57.31 128 128 128c32.46 0 61.73-12.47 84.3-32.38l94.03 94.03C627.9 511.2 629.9 512 632 512s4.094-.7813 5.656-2.344C640.8 506.5 640.8 501.5 637.7 498.3zM448 432c-61.76 0-112-50.24-112-112s50.24-112 112-112c61.76 0 112 50.24 112 112S509.8 432 448 432zM104 496C99.59 496 96 492.4 96 488v-144c0-4.406 3.594-8 8-8h152.8C256.4 330.7 256 325.4 256 320H104c-13.22 0-24 10.77-24 24v24H32c-8.824 0-16-7.178-16-16V256c0-26.47 21.53-48 48-48h228.4C296.4 202.4 300.7 197.1 305.3 192H64C28.65 192 0 220.7 0 256v96c0 17.67 14.33 32 32 32H80v104C80 501.2 90.78 512 104 512h304c3.723 0 7.143-1.018 10.29-2.539C401.9 506.9 386.2 502.4 371.5 496H104z"],
    "print-slash": [640, 512, [], "f686", "M375.3 208H512c26.47 0 48 21.53 48 48v96c0 .8516-.3574 1.586-.4863 2.4l13.51 10.74C574.9 361.1 576 356.7 576 352V256c0-35.35-28.65-64-64-64h-156.8L375.3 208zM184 16h226.8c6.312 0 12.5 2.562 16.97 7.031l45.25 45.25C477.4 72.75 480 78.94 480 85.25V152C480 156.4 483.6 160 488 160s8-3.578 8-8V85.25c0-10.69-4.156-20.72-11.72-28.28l-45.25-45.25C431.6 4.266 421.3 0 410.8 0H184C166.8 0 152.4 11.04 146.8 26.32l13.78 10.96C161.1 25.38 171.7 16 184 16zM480 272C480 280.8 487.2 288 496 288S512 280.8 512 272S504.8 256 496 256S480 263.2 480 272zM480 488c0 4.406-3.594 8-8 8h-304C163.6 496 160 492.4 160 488v-144c0-4.406 3.594-8 8-8h136.9L284.8 320H168c-13.22 0-24 10.77-24 24v24H96c-8.824 0-16-7.178-16-16V256c0-26.47 21.53-48 48-48h15.9L124.2 192.4C90.68 194.4 64 221.9 64 256v96c0 17.67 14.33 32 32 32h48v104C144 501.2 154.8 512 168 512h304c13.22 0 24-10.77 24-24L480 475.2V488zM636.1 497.7L12.99 1.73C11.53 .5664 9.771 0 8.025 0C5.674 0 3.336 1.029 1.738 3.012c-2.75 3.469-2.172 8.5 1.281 11.25l623.1 496C628.5 511.4 630.2 512 631.1 512c2.344 0 4.688-1.031 6.266-3.016C641 505.5 640.4 500.5 636.1 497.7z"],
    "projector": [640, 512, [], "f8d6", "M416 128c4.422 0 8-3.578 8-8v-112C424 3.578 420.4 0 416 0s-8 3.578-8 8v112C408 124.4 411.6 128 416 128zM496.8 136c2.047 0 4.094-.7813 5.656-2.344l79.2-79.2c3.125-3.125 3.125-8.188 0-11.31s-8.188-3.125-11.31 0l-79.2 79.2c-3.125 3.125-3.125 8.188 0 11.31C492.7 135.2 494.8 136 496.8 136zM329.5 133.7C331.1 135.2 333.2 136 335.2 136s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31L261.7 43.14c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31L329.5 133.7zM96 304c-8.836 0-16 7.164-16 16s7.164 16 16 16c8.838 0 16-7.164 16-16S104.8 304 96 304zM192 304c-8.836 0-16 7.164-16 16s7.164 16 16 16c8.838 0 16-7.164 16-16S200.8 304 192 304zM568 192H512c-.2285 0-.3594 .2227-.584 .2422C484.7 172.3 451.9 160 416 160s-68.71 12.26-95.42 32.24C320.4 192.2 320.2 192 320 192H72C32.3 192 0 224.3 0 264v112c0 37.07 28.26 67.33 64.32 71.22C64.29 447.5 64 447.7 64 448v56C64 508.4 67.58 512 72 512s8-3.578 8-8V448H320c.2285 0 .3594-.2227 .584-.2422C347.3 467.7 380.1 480 416 480s68.71-12.26 95.42-32.24C511.6 447.8 511.8 448 512 448h48v56c0 4.422 3.578 8 8 8S576 508.4 576 504v-56.81c35.9-4.039 64-34.23 64-71.19v-112C640 224.3 607.7 192 568 192zM72 432c-30.88 0-56-25.12-56-56v-112c0-30.88 25.12-56 56-56h229.9C273.6 236.9 256 276.3 256 320s17.58 83.13 45.93 112H72zM416 464c-79.4 0-144-64.6-144-144s64.6-144 144-144s144 64.6 144 144S495.4 464 416 464zM624 376c0 30.88-25.12 56-56 56h-37.93C558.4 403.1 576 363.7 576 320s-17.58-83.13-45.93-112H568c30.88 0 56 25.12 56 56V376z"],
    "pump": [640, 512, [], "e442", "M576 216h-128c-4.48 0-8 3.584-8 8S443.5 232 448 232h128c4.48 0 8-3.584 8-8S580.5 216 576 216zM576 96h-108.5C454.7 96 442.2 99.74 432 106.8l-51.52 34.24C362.6 152.9 352 172.9 352 194.2V224H288V64c17.6 0 32-14.34 32-32S305.6 0 288 0H128C110.4 0 96 14.34 96 32s14.4 32 32 32v160H64c0-17.66-14.4-32-32-32S0 206.3 0 224v160c0 17.66 14.4 32 32 32s32-14.34 32-32h288v29.76c0 21.38 10.56 41.38 28.48 53.25L432 501.2C442.2 508.3 454.7 512 467.5 512H576c35.2 0 64-28.64 64-64V160C640 124.6 611.2 96 576 96zM48 384c0 8.832-7.039 16-16 16S16 392.8 16 384V224c0-8.832 7.039-16 16-16S48 215.2 48 224V384zM112 32c0-8.832 7.039-16 16-16h160c8.961 0 16 7.168 16 16S296.1 48 288 48H128C119 48 112 40.83 112 32zM352 368H64v-128h64c8.961 0 16-7.168 16-16V64h128v160c0 8.832 7.039 16 16 16h64V368zM624 448c0 26.5-21.44 48-48 48h-108.5c-9.598 0-18.88-2.816-26.88-8.064l-51.2-34.24C376 444.8 368 429.8 368 413.8V194.2c0-16.03 8-31.04 21.44-39.94l51.2-34.24C448.6 114.8 457.9 112 467.5 112H576c26.56 0 48 21.5 48 48V448zM576 296h-128c-4.48 0-8 3.584-8 8S443.5 312 448 312h128c4.48 0 8-3.584 8-8S580.5 296 576 296zM576 376h-128c-4.48 0-8 3.584-8 8s3.52 8 8 8h128c4.48 0 8-3.584 8-8S580.5 376 576 376z"],
    "pump-medical": [384, 512, [], "e06a", "M235.6 160H84.37C51.27 160 23.63 185.2 20.63 218.2l-20.36 224C-3.139 479.7 26.37 512 64.01 512h191.1c37.63 0 67.14-32.31 63.74-69.79l-20.36-224C296.4 185.2 268.7 160 235.6 160zM291.4 480.4C282.2 490.4 269.6 496 255.1 496H64.01c-13.65 0-26.24-5.551-35.44-15.63c-9.207-10.08-13.6-23.12-12.36-36.71l20.36-224C38.83 194.8 59.38 176 84.37 176h151.3c24.99 0 45.54 18.77 47.8 43.65l20.36 223.1C305 457.2 300.6 470.3 291.4 480.4zM365.7 114.3l-46.63-46.63C311.5 60.16 301.4 56 290.8 56H224L223.1 32c0-17.67-14.33-32-32-32H127.1c-17.67 0-32 14.33-32 32L96 120C96 124.4 99.58 128 104 128S112 124.4 112 120V32c0-8.836 7.164-16 16-16h64c8.838 0 16 7.164 16 16v88C208 124.4 211.6 128 216 128S224 124.4 224 120v-48h66.75c6.312 0 12.5 2.562 16.97 7.031l46.63 46.63C355.9 127.2 357.1 128 360 128s4.094-.7813 5.656-2.344C368.8 122.5 368.8 117.5 365.7 114.3zM232 280h-32v-32c0-8.836-7.162-16-16-16h-48c-8.836 0-16 7.164-16 16v32h-32c-8.836 0-16 7.164-16 16v48c0 8.836 7.164 16 16 16h32v32c0 8.836 7.164 16 16 16h48c8.838 0 16-7.164 16-16v-32h32c8.838 0 16-7.164 16-16v-48C248 287.2 240.8 280 232 280zM232 344h-48v48h-48v-48h-48v-48h48v-48h48v48h48V344z"],
    "pump-soap": [384, 512, [], "e06b", "M145.3 254.1C119.1 287.7 88 331.9 88 357.3C88 394.1 120.3 424 160 424s72-29.94 72-66.75c0-25.31-31.14-69.58-57.25-102.3C167.6 246.1 152.4 246.1 145.3 254.1zM160 408c-30.88 0-56-22.77-56-50.75c0-15.67 20.09-50.16 53.75-92.27C158.5 264.1 159.6 264 160 264s1.547 .0938 2.25 .9844C195.9 307.1 216 341.6 216 357.3C216 385.2 190.9 408 160 408zM235.6 160H84.37C51.27 160 23.63 185.2 20.63 218.2l-20.36 224C-3.139 479.7 26.37 512 64.01 512h191.1c37.63 0 67.14-32.31 63.74-69.79l-20.36-224C296.4 185.2 268.7 160 235.6 160zM291.4 480.4C282.2 490.4 269.6 496 255.1 496H64.01c-13.65 0-26.24-5.551-35.44-15.63c-9.207-10.08-13.6-23.12-12.36-36.71l20.36-224C38.83 194.8 59.38 176 84.37 176h151.3c24.99 0 45.54 18.77 47.8 43.65l20.36 223.1C305 457.2 300.6 470.3 291.4 480.4zM365.7 114.3l-46.63-46.63C311.5 60.16 301.4 56 290.8 56H224L223.1 32c0-17.67-14.33-32-32-32H127.1c-17.67 0-32 14.33-32 32L96 120C96 124.4 99.58 128 104 128S112 124.4 112 120V32c0-8.836 7.164-16 16-16h64c8.838 0 16 7.164 16 16v88C208 124.4 211.6 128 216 128S224 124.4 224 120v-48h66.75c6.312 0 12.5 2.562 16.97 7.031l46.63 46.63C355.9 127.2 357.1 128 360 128s4.094-.7813 5.656-2.344C368.8 122.5 368.8 117.5 365.7 114.3z"],
    "pumpkin": [576, 512, [], "f707", "M234.4 95.94c0 4.492 3.667 7.986 8.005 7.986c3.175 0 6.178-1.905 7.429-5.029l31.16-77.85c1.923-4.782 6.581-5.065 7.441-5.065c1.216 0 2.429 .2932 3.586 .8796l39.65 19.74c2.753 1.374 4.458 4.092 4.458 7.09v52.24c0 4.42 3.582 7.996 8.008 7.996s7.997-3.564 7.997-7.983V43.7c0-9.104-5.1-17.3-13.33-21.41l-39.55-19.68C295.8 .8825 292.1 0 288.4 0c-10.13 0-18.76 6.281-22.3 15.13L234.9 92.96C234.5 93.94 234.4 94.95 234.4 95.94zM183.9 167.9c0 4.428 3.605 7.993 8.028 7.993c11.19 0 24.48-39.97 96.08-39.97c71.01 0 85.73 39.98 96.1 39.98c6.152 0 8.01-5.672 8.01-7.998c0-3.443-29.57-47.97-104.1-47.97C213.4 119.9 183.9 164.5 183.9 167.9zM576 310.3c0-77.85-48.01-190.3-155.6-190.3c-12.31 0-24.9 1.644-37.61 5.013c-3.58 .9558-5.95 4.195-5.95 7.729c0 3.953 3.114 8.004 7.987 8.004c3.308 0 14.87-4.722 35.27-4.722c70.34 0 139.9 68.33 139.9 174.2c0 59.85-45.03 185.6-139.1 185.6c-44.29 0-59.69-23.66-67.42-23.66c-8.105 0-20.74 23.85-65.46 23.85c-44.69 0-57.31-23.85-65.33-23.85c-7.701 0-23.34 23.64-67.49 23.64c-94.17 0-139.2-124.9-139.2-185.5c0-108.7 71.63-174.1 140-174.1c20.36 0 31.96 4.702 35.18 4.702c4.838 0 7.987-4.006 7.987-8.004c0-3.534-2.37-6.773-5.95-7.729C180.6 121.6 167.1 119.1 155.7 119.1C47.19 119.1 0 232.8 0 310.3c0 96.76 68.68 201.7 155.2 201.7c23.86 0 47.76-7.189 67.39-21.6c18.32 14.3 40.29 21.61 65.47 21.61c25.13 0 47.19-7.309 65.6-21.63C373.2 504.8 397.1 512 420.9 512C507.2 512 576 407.3 576 310.3z"],
    "puzzle": [512, 512, [], "e443", "M456 0h-144C298.7 0 288 10.74 288 24V48c0 13.25 10.75 24 24 24h16C341.3 72 352 82.74 352 96c0 13.25-10.75 24-24 24h-16C298.7 120 288 130.7 288 144v32c0 13.25 10.75 24 24 24H352v16C352 238.1 369.9 256 392 256s40-17.91 40-40v-16h56C501.3 200 512 189.3 512 176V56C512 25.07 486.9 0 456 0zM496 176c0 4.418-3.58 8-8 8h-64C419.6 184 416 187.6 416 192v24c0 13.25-10.75 24-24 24S368 229.3 368 216V192c0-4.418-3.58-8-8-8h-48c-4.42 0-8-3.582-8-8v-32c0-4.418 3.58-8 8-8h16c22.09 0 40-17.91 40-40s-17.91-40-40-40h-16c-4.42 0-8-3.582-8-8V24c0-4.418 3.58-8 8-8h144c22.09 0 40 17.91 40 40V176zM424 280H352c-4.42 0-8 3.582-8 8v32c0 13.25-10.75 24-24 24s-24-10.75-24-24V288c0-4.418-3.58-8-8-8H232v-192C232 74.74 221.3 64 208 64H56C25.07 64 0 89.07 0 120v336C0 486.9 25.07 512 56 512h336c30.93 0 56-25.07 56-56V304C448 290.7 437.3 280 424 280zM16 120c0-22.09 17.91-40 40-40H208c4.418 0 8 3.582 8 8v192h-48V256c0-22.09-17.91-40-40-40S88 233.9 88 256v24H16V120zM216 496h-160c-22.09 0-40-17.91-40-40v-160H96c4.418 0 8-3.582 8-8V256c0-13.26 10.75-24 24-24S152 242.7 152 256v32c0 4.418 3.582 8 8 8h56v48H192c-22.09 0-40 17.91-40 40c0 22.09 17.91 40 40 40h24V496zM432 456c0 22.09-17.91 40-40 40h-160V416c0-4.42-3.582-8-8-8H192c-13.25 0-24-10.75-24-24S178.7 360 192 360h32c4.418 0 8-3.582 8-8V296h48V320c0 22.09 17.91 40 40 40s40-17.91 40-40V296h64c4.42 0 8 3.582 8 8V456z"],
    "puzzle-piece": [512, 512, [129513], "f12e", "M456 216c-35.57 0-37.84 32-55.64 32C391.3 248 384 240.7 384 231.6V168C384 145.9 366.1 128 344 128l-63.64 0c-9.016 0-16.36-7.344-16.36-16.36c0-17.78 32-20.12 32-55.64c0-30.88-32.3-56-72-56S152 25.12 152 56c0 35.56 32 37.83 32 55.64c0 9.016-7.344 16.36-16.36 16.36L40 128C17.94 128 0 145.9 0 168v63.64C0 249.5 14.52 264 32.36 264c28.97 0 27.5-32 55.64-32C110.1 232 128 257.1 128 288s-17.94 56-40 56c-28.06 0-26.67-32-55.64-32C14.52 312 0 326.5 0 344.4V472C0 494.1 17.94 512 40 512h127.6C185.5 512 200 497.5 200 479.6c0-28.7-32-27.84-32-55.64C168 401.9 193.1 384 224 384s56 17.94 56 40c0 28.06-32 26.67-32 55.64C248 497.5 262.5 512 280.4 512H344c22.06 0 40-17.94 40-40v-127.6c0-9.016 7.344-16.36 16.36-16.36c17.78 0 20.12 32 55.64 32C486.9 360 512 327.7 512 288S486.9 216 456 216zM456 344c-28.06 0-26.67-32-55.64-32C382.5 312 368 326.5 368 344.4V472c0 13.23-10.77 24-24 24h-63.64C271.3 496 264 488.7 264 479.6c0-17.78 32-20.12 32-55.64c0-30.88-32.3-56-72-56s-72 25.12-72 56c0 35.56 32 37.83 32 55.64C184 488.7 176.7 496 167.6 496H40c-13.23 0-24-10.77-24-24v-127.6C16 335.3 23.34 328 32.36 328c17.78 0 20.12 32 55.64 32c30.88 0 56-32.3 56-72S118.9 216 88 216c-35.57 0-37.84 32-55.64 32C23.34 248 16 240.7 16 231.6V168c0-13.23 10.77-24 24-24h127.6C185.5 144 200 129.5 200 111.6c0-28.7-32-27.84-32-55.64C168 33.94 193.1 16 224 16s56 17.94 56 40c0 28.06-32 26.67-32 55.64C248 129.5 262.5 144 280.4 144H344c13.23 0 24 10.77 24 24v63.64C368 249.5 382.5 264 400.4 264c28.97 0 27.5-32 55.64-32c22.06 0 40 25.12 40 56S478.1 344 456 344z"],
    "puzzle-piece-simple": [640, 512, ["puzzle-piece-alt"], "e231", "M584 184c-35.57 0-37.84 32-55.64 32C519.3 216 512 208.7 512 199.6V104C512 81.94 494.1 64 472 64l-95.64 0c-17.84 0-32.36 14.52-32.36 32.36c0 28.7 32 27.84 32 55.64C376 174.1 350.9 192 320 192S264 174.1 264 152c0-27.93 32-26.78 32-55.64c0-17.84-14.52-32.36-32.36-32.36L168 64C145.9 64 128 81.94 128 104v95.64C128 208.7 120.7 216 111.6 216c-17.83 0-20.04-32-55.64-32C25.12 184 .0004 216.3 .0004 256S25.12 328 56 328c35.56 0 37.83-32 55.64-32C120.7 296 128 303.3 128 312.4V408C128 430.1 145.9 448 168 448h95.64C281.5 448 296 433.5 296 415.6c0-28.7-32-27.84-32-55.64C264 337.9 289.1 320 320 320s56 17.94 56 40c0 28.06-32 26.67-32 55.64C344 433.5 358.5 448 376.4 448H472c22.06 0 40-17.94 40-40V312.4C512 303.3 519.3 296 528.4 296c17.78 0 20.12 32 55.64 32C614.9 328 640 295.7 640 256S614.9 184 584 184zM584 312c-28.06 0-26.67-32-55.64-32C510.5 280 496 294.5 496 312.4V408c0 13.23-10.77 24-24 24h-95.64C367.3 432 360 424.7 360 415.6c0-17.78 32-20.12 32-55.64c0-30.88-32.3-56-72-56s-72 25.12-72 56c0 35.53 32 37.86 32 55.64C280 424.7 272.7 432 263.6 432H168c-13.23 0-24-10.77-24-24V312.4C144 294.5 129.5 280 111.6 280c-28.7 0-27.84 32-55.64 32C33.94 312 16 286.9 16 256s17.94-56 40-56c28.01 0 26.78 32 55.64 32C129.5 232 144 217.5 144 199.6V104c0-13.23 10.77-24 24-24h95.64C272.7 80 280 87.34 280 96.36c0 17.78-32 20.12-32 55.64C248 182.9 280.3 208 320 208s72-25.12 72-56c0-35.56-32-37.83-32-55.64C360 87.34 367.3 80 376.4 80H472c13.23 0 24 10.77 24 24v95.64C496 217.5 510.5 232 528.4 232c28.97 0 27.5-32 55.64-32c22.06 0 40 25.12 40 56S606.1 312 584 312z"],
    "q": [448, 512, [113], "51", "M377 419.1c43.56-40.89 70.97-98.8 70.97-163.1c0-123.5-100.5-224-223.1-224s-223.1 100.5-223.1 224s100.5 224 223.1 224c53.44 0 102.5-18.88 141.1-50.23l68.88 79.48C435.5 511.1 437.8 512 440 512c2.316 0 7.999-1.835 7.999-8.01c0-1.857-.6425-3.725-1.952-5.24L377 419.1zM224 464c-114.7 0-208-93.31-208-208S109.3 48 224 48s208 93.31 208 208c0 59.5-25.25 113.1-65.43 151l-128.5-148.3c-1.571-1.81-3.795-2.743-6.034-2.743c-2.321 0-8.012 1.812-8.012 8.002c0 1.857 .6425 3.725 1.952 5.24l128.6 148.4C318.9 446.6 273.4 464 224 464z"],
    "qrcode": [448, 512, [], "f029", "M112 96C120.8 96 128 103.2 128 112V144C128 152.8 120.8 160 112 160H80C71.16 160 64 152.8 64 144V112C64 103.2 71.16 96 80 96H112zM112 112H80V144H112V112zM144 32C170.5 32 192 53.49 192 80V176C192 202.5 170.5 224 144 224H48C21.49 224 0 202.5 0 176V80C0 53.49 21.49 32 48 32H144zM144 48H48C30.33 48 16 62.33 16 80V176C16 193.7 30.33 208 48 208H144C161.7 208 176 193.7 176 176V80C176 62.33 161.7 48 144 48zM64 368C64 359.2 71.16 352 80 352H112C120.8 352 128 359.2 128 368V400C128 408.8 120.8 416 112 416H80C71.16 416 64 408.8 64 400V368zM80 400H112V368H80V400zM144 288C170.5 288 192 309.5 192 336V432C192 458.5 170.5 480 144 480H48C21.49 480 0 458.5 0 432V336C0 309.5 21.49 288 48 288H144zM144 304H48C30.33 304 16 318.3 16 336V432C16 449.7 30.33 464 48 464H144C161.7 464 176 449.7 176 432V336C176 318.3 161.7 304 144 304zM320 112C320 103.2 327.2 96 336 96H368C376.8 96 384 103.2 384 112V144C384 152.8 376.8 160 368 160H336C327.2 160 320 152.8 320 144V112zM336 144H368V112H336V144zM256 80C256 53.49 277.5 32 304 32H400C426.5 32 448 53.49 448 80V176C448 202.5 426.5 224 400 224H304C277.5 224 256 202.5 256 176V80zM272 80V176C272 193.7 286.3 208 304 208H400C417.7 208 432 193.7 432 176V80C432 62.33 417.7 48 400 48H304C286.3 48 272 62.33 272 80zM256 296C256 291.6 259.6 288 264 288H312C316.4 288 320 291.6 320 296V400H352V296C352 291.6 355.6 288 360 288H408C412.4 288 416 291.6 416 296V400H440C444.4 400 448 403.6 448 408C448 412.4 444.4 416 440 416H408C403.6 416 400 412.4 400 408V304H368V408C368 412.4 364.4 416 360 416H312C307.6 416 304 412.4 304 408V304H272V472C272 476.4 268.4 480 264 480C259.6 480 256 476.4 256 472V296zM320 464C320 455.2 327.2 448 336 448C344.8 448 352 455.2 352 464C352 472.8 344.8 480 336 480C327.2 480 320 472.8 320 464zM448 464C448 472.8 440.8 480 432 480C423.2 480 416 472.8 416 464C416 455.2 423.2 448 432 448C440.8 448 448 455.2 448 464z"],
    "question": [320, 512, [10067, 10068, 61736], "3f", "M144 432C135.2 432 128 439.2 128 448s7.164 16 16 16S160 456.8 160 448S152.8 432 144 432zM211.2 32H108.7C48.78 32 0 81.58 0 142.5V152C0 156.4 3.594 160 8 160S16 156.4 16 152V142.5C16 90.41 57.59 48 108.7 48h102.6C262.4 48 304 90.41 304 142.5c0 34.33-18.31 66-48.09 82.88l-95.28 60.64C145.4 294.6 136 310.9 136 328.6V376C136 380.4 139.6 384 144 384s8-3.578 8-8v-47.41c0-11.89 6.312-22.86 16.84-28.83l95.28-60.64C298.6 219.6 320 182.6 320 142.5C320 81.58 271.2 32 211.2 32z"],
    "quote-left": [448, 512, [8220, "quote-left-alt"], "f10d", "M352 224c-33.43 0-62.81 17.13-80 43.05V216c0-57.34 46.66-104 104-104C380.4 112 384 108.4 384 104S380.4 96 376 96C309.8 96 256 149.8 256 216V320c0 53.02 42.98 96 96 96s96-42.98 96-96S405 224 352 224zM352 400c-44.11 0-80-35.89-80-80s35.89-80 80-80s80 35.89 80 80S396.1 400 352 400zM96 224C62.57 224 33.19 241.1 16 267.1V216c0-57.34 46.66-104 104-104C124.4 112 128 108.4 128 104S124.4 96 120 96C53.83 96 0 149.8 0 216V320c0 53.02 42.98 96 96 96s96-42.98 96-96S149 224 96 224zM96 400c-44.11 0-80-35.89-80-80S51.89 240 96 240S176 275.9 176 320S140.1 400 96 400z"],
    "quote-right": [448, 512, [8221, "quote-right-alt"], "f10e", "M96 96C42.98 96 0 138.1 0 192s42.98 96 96 96c33.43 0 62.81-17.13 80-43.05V296c0 57.34-46.66 104-104 104C67.58 400 64 403.6 64 408S67.58 416 72 416C138.2 416 192 362.2 192 296V192C192 138.1 149 96 96 96zM96 272C51.89 272 16 236.1 16 192S51.89 112 96 112S176 147.9 176 192S140.1 272 96 272zM352 96c-53.02 0-96 42.98-96 96s42.98 96 96 96c33.43 0 62.81-17.13 80-43.05V296c0 57.34-46.66 104-104 104c-4.422 0-8 3.578-8 8S323.6 416 328 416C394.2 416 448 362.2 448 296V192C448 138.1 405 96 352 96zM352 272c-44.11 0-80-35.89-80-80s35.89-80 80-80s80 35.89 80 80S396.1 272 352 272z"],
    "quotes": [576, 512, [], "e234", "M96 96C76.78 96 59.73 104.7 48 118.1V104c0-48.53 39.47-88 88-88c4.422 0 8-3.578 8-8S140.4 0 136 0C78.66 0 32 46.66 32 104V160c0 35.35 28.65 64 64 64s64-28.65 64-64S131.3 96 96 96zM96 208C69.53 208 48 186.5 48 160S69.53 112 96 112S144 133.5 144 160S122.5 208 96 208zM320 160c0-35.35-28.65-64-64-64C236.8 96 219.7 104.7 208 118.1V104c0-48.53 39.47-88 88-88c4.422 0 8-3.578 8-8S300.4 0 296 0C238.7 0 192 46.66 192 104V160c0 35.35 28.65 64 64 64S320 195.3 320 160zM208 160c0-26.47 21.53-48 48-48s48 21.53 48 48S282.5 208 256 208S208 186.5 208 160zM320 288c-35.35 0-64 28.65-64 64s28.65 64 64 64c19.22 0 36.27-8.654 48-22.07V408c0 48.53-39.47 88-88 88c-4.422 0-8 3.578-8 8S275.6 512 280 512c57.34 0 104-46.66 104-104V352C384 316.7 355.3 288 320 288zM320 400c-26.47 0-48-21.53-48-48s21.53-48 48-48s48 21.53 48 48S346.5 400 320 400zM480 288c-35.35 0-64 28.65-64 64s28.65 64 64 64c19.22 0 36.27-8.654 48-22.07V408c0 48.53-39.47 88-88 88c-4.422 0-8 3.578-8 8S435.6 512 440 512c57.34 0 104-46.66 104-104V352C544 316.7 515.3 288 480 288zM480 400c-26.47 0-48-21.53-48-48s21.53-48 48-48s48 21.53 48 48S506.5 400 480 400z"],
    "r": [320, 512, [114], "52", "M201.3 287.6c66.18-5.027 118.7-60.1 118.7-127.5C319.1 89.35 262.6 32 191.9 32H7.1C3.578 32 0 35.59 0 40v432C0 476.4 3.578 480 7.1 480s7.1-3.594 7.1-8V288.6h168.6c.1055 1.281-.0488 2.594 .7012 3.75l119.1 184C306.8 478.7 309.4 480 311.1 480c1.5 0 3.016-.4062 4.375-1.312c3.703-2.406 4.734-7.344 2.328-11.06L201.3 287.6zM15.1 48h175.7c61.92 0 112.3 50.38 112.3 112.3s-50.39 112.3-112.3 112.3H15.1V48z"],
    "rabbit": [512, 512, [128007], "f708", "M351.1 207.1c8.838 0 16-7.164 16-16s-7.162-16-16-16s-16 7.164-16 16S343.2 207.1 351.1 207.1zM476.3 475.9l-92.31-142.1V279.5h.5938c26.16 0 49.31-14.38 59-36.61c12.25-28.08 3.75-59.91-20.69-77.42L378.1 134.2c6.719-12.47 12.5-27.47 16.59-43.03c10.53-39.33 11.78-84.44-10.44-90.56c-3.312-.8906-8.469-1.156-14.75 2.438c-13.59 7.844-27.88 32.17-37.25 63.14c-9.406-30.94-23.66-55.31-37.25-63.14c-6.281-3.594-11.47-3.328-14.78-2.438c-22.22 6.125-20.97 51.23-10.44 90.53c5.812 21.89 14.31 41.45 23.78 54.98c-10.99 12.58-14.47 28.71-14.47 41.16v60.78h-5.438c-79 0-148.5 51.6-172.1 126.6c-12.22-3.984-25.28-3.328-37.56 1.938c-16.28 7-28.44 21.94-31.78 38.98c-3.219 16.36 .9062 33.02 11.34 45.67c14.06 17.13 37.63 24.41 59.31 16.74C116.3 498.9 138.9 512 163.4 512h138.8c12.94 0 23.44-10.5 23.44-23.42c0-26.78-21.78-48.58-48.56-48.58h-13.59c-4-35.95-34.56-64-71.56-64c-4.406 0-8 3.578-8 8s3.594 8 8 8c30.88 0 56 25.12 56 56c0 4.422 3.594 8 8 8h21.16c17.97 0 32.56 14.61 32.56 32.58c0 4.094-3.344 7.422-7.438 7.422H163.4c-20.88 0-40-12.42-48.78-31.66c-.9062-1.984-2.594-3.518-4.656-4.236c-2.062-.75-4.344-.5469-6.281 .4375c-17.06 8.768-35.91 3.861-46.94-9.516c-7.377-8.953-10.28-20.77-8.002-32.42c2.344-11.94 10.94-22.42 22.41-27.38c13.75-5.891 25.34-2.562 32.69 1.297c2.125 1.141 4.719 1.234 6.969 .2656c2.25-.9844 3.906-2.938 4.531-5.312c18.94-72.69 84.41-123.5 159.2-123.5h13.44c4.406 0 8-3.58 8-8.002V187.2c0-3.729 .291-22.3 14.31-34.39c3.281-2.859 3.688-7.844 .875-11.19c-9.656-11.48-19-31.91-25.06-54.69c-11.53-43.06-5.688-69.61-.7813-70.97c.125 0 1.062 0 2.562 .8594c9.156 5.281 23.09 27.95 31.97 61.08c2.438 8.984 4.219 18.11 5.344 27.11c.5 3.984 3.875 7 7.906 7.016c4 0 7.438-2.969 7.969-6.938c1.219-9.062 3-18.25 5.312-27.2c8.877-33.1 22.81-55.77 32-61.06c1.438-.8281 2.281-1.016 2.531-.8594c4.938 1.359 10.75 27.91-.8125 71.02c-4.531 17.23-11.22 33.53-18.84 45.89c-1.219 1.969-1.5 4.359-.8438 6.578c.6797 2.182-5.42-3.029 53.16 39c18.22 13.08 24.53 36.92 15.31 58.03c-7.125 16.41-24.53 27-44.31 27h-8.594c-4.406 0-8 3.578-8 8v63.8c0 1.547 .4375 3.047 1.281 4.344l93.56 144.9c2.094 3.359 .8438 6.438 .1875 7.594C462.4 493.3 460.4 496 456.5 496H420.2c-2.562 0-4.969-1.359-6.375-3.531l-71.03-112.7c-1.219-1.922-3.219-3.25-5.438-3.625c-2.469-.4062-4.562 .2031-6.344 1.641l-40 32c-3.438 2.766-4 7.797-1.25 11.25c2.781 3.453 7.844 4.016 11.25 1.25l33-26.41l66.31 105.2C404.7 507.9 412.2 512 420.2 512h36.38c8.5 0 16.34-4.656 20.47-12.14C481.2 492.3 480.1 483.3 476.3 475.9z"],
    "rabbit-running": [640, 512, ["rabbit-fast"], "f709", "M244.3 432.9l-56.75 29.91c-3.344 2.125-6.469 .875-7.688 .1875C178.7 462.4 176 460.5 176 456.6v-36.3c0-2.547 1.344-4.922 3.219-6.125l26.91-15.23c3.844-2.188 5.188-7.062 3.031-10.91c-2.188-3.891-7.094-5.203-10.91-3.031L170.1 400.5C164.1 404.9 160 412.3 160 420.3v36.3c0 8.594 4.531 16.22 12.12 20.41c3.688 2.031 7.828 3 11.73 3c4.188 0 8.141-1.125 11.67-3.359l56.19-29.59c3.906-2.062 5.406-6.891 3.344-10.81C253.1 432.4 248.2 430.9 244.3 432.9zM581.1 212.5l-51.06-31.02c-.5622-14.11-2.1-29.33-7.125-44.25c-10.53-39.19-32.5-78.39-54.53-72.7c-17.91 4.875-20.59 34.88-15.44 66.98c-28.34-26.56-63.81-46.84-79.25-31.55c-2.438 2.406-5.344 6.828-5.375 14.16c0 16.88 16.31 43.98 41.63 69.11c10.34 10.12 21.19 18.95 31.69 25.86c-1.5 3.5-2.656 6.906-3.438 10.31c-55.44-38.25-147.2-93.88-211.5-93.88c-48.56 0-81.16 23.65-101.3 46.6c-.0313-.0313 .0313 .0313 0 0c-21.41-21.19-56.13-21.15-77.28-.0547C37.72 182.3 32 195.1 32 210.5s5.688 28.16 16.06 38.39c16.59 16.42 41.56 19.86 62.56 9.312l181.7 178.5c7.312 7.188 17.39 11.32 27.64 11.32L460 448c12.97 0 23.53-10.48 23.53-23.38c0-31.22-25.38-56.63-56.59-56.63h-65.34v-41.77c0-37.7-25.59-71.27-62.22-81.63L258.2 232.1C253.8 231.8 249.5 234.2 248.3 238.5s1.25 8.672 5.5 9.875L295 260c29.78 8.406 50.59 35.64 50.59 66.22V376c0 4.422 3.594 8 8 8h73.34c22.38 0 40.59 18.22 40.59 40.63C467.5 428.8 464.2 432 460 432H320c-6.094 0-12.09-2.453-16.44-6.719L117.5 242.5c-2.656-2.625-6.812-3.062-9.969-1C91.88 251.7 72 250.1 59.31 237.5C52 230.3 48 220.7 48 210.5c0-10.2 4.031-19.78 11.34-27c15-14.97 39.56-14.95 54.69 .0156c2.441 2.39 3.769 9.844 10.44 10.12c3.469 .3594 5.094-1.078 6.688-3.156C155.9 158 188 141.6 226.6 141.6c64.41 0 161.3 61.8 213.3 98.64c2.406 1.703 5.656 1.953 8.312 .5781s4.312-4.125 4.312-7.109c0-2.562 .1875-5.125 .625-7.781c.8122-5.141 2.594-10.05 5.781-15.89c2.094-3.797 .7813-8.547-2.938-10.73c-11.34-6.672-23.41-16.16-34.91-27.39c-24.19-24.03-36.84-47.22-36.84-57.7c0-1.609 .3438-2.516 .625-2.797c3.781-3.547 29.62 4.578 61.31 35.94c5.781 5.703 10.72 11.41 15.41 17c2.469 2.922 6.656 3.734 10.03 1.844c3.344-1.859 4.906-5.859 3.688-9.5l-2.062-6.297c-11.5-42.7-5.656-69.02-.8125-70.34c4.594-.5313 23.44 18.53 34.97 61.45c4.219 15.27 6.531 30.7 6.656 44.69c.0313 2.766 1.469 5.328 3.844 6.766l54.34 32.98C584.6 234.6 592 248.8 592 263.7C592 289.9 570.4 312 544.9 312h-100.5c-1 0-2 .1875-2.938 .5625l-60.44 24c-4.125 1.641-6.125 6.281-4.5 10.39s6.312 6.047 10.38 4.484L445.1 328h98.97C579.1 328 608 298.6 608 263.7C608 243.6 598.1 224.6 581.1 212.5zM528 240C528 231.2 520.8 224 512 224s-16 7.164-16 16S503.2 256 512 256S528 248.8 528 240z"],
    "racquet": [640, 512, [], "f45a", "M142.8 348.6c-7.562-10.64-22.5-13.27-33.22-5.768l-94.53 65.83c-7.811 5.531-12.1 13.81-14.56 23.22c-1.531 9.33 .6562 18.68 6.156 26.26l27.72 38.79C41.32 506.7 52.38 512 63.57 512c6.969 0 13.97-2.047 20.03-6.283l95.28-64.04c5.406-3.641 9.062-9.189 10.22-15.61c1.188-6.424-.25-12.91-4.062-18.25L142.8 348.6zM169.9 428.4l-95.4 64.12c-8.529 6.08-20.1 3.812-27.15-4.877l-27.78-38.85c-2.969-4.141-4.156-9.221-3.344-14.31c.8438-5.158 3.688-9.66 7.938-12.71l94.49-65.81c3.5-2.469 8.531-1.656 11.09 1.922l42.21 59.22c1.281 1.781 1.75 3.938 1.375 6.094C172.1 425.3 171.7 427.2 169.9 428.4zM614.6 61.09c-55.46-77.66-184.4-81.86-287.4-9.268c-76.49 53.82-91.24 101.3-106.9 151.6C208.5 241.6 196.2 280.1 155.7 328.1c-2.875 3.344-2.5 8.393 .8438 11.28s8.404 2.516 11.28-.8438c42.69-49.6 56.03-92.49 67.81-130.3c15.44-49.68 28.78-92.6 100.8-143.3c95.9-67.56 214.8-65.08 265.1 5.471c19.59 27.55 26.53 62.11 20.06 99.91c-9.498 55.65-47.93 111.9-102.7 150.5c-71.75 50.64-116.6 49.01-168.4 46.98C310.6 366.3 265.5 364.6 203.4 388.3c-4.125 1.58-6.219 6.189-4.625 10.33c1.219 3.188 4.25 5.141 7.469 5.141c.9375 0 1.906-.1719 2.844-.5313c59.09-22.55 100.6-21 140.8-19.46c52.59 1.875 102.1 3.812 178.2-49.9c59.09-41.62 98.93-100.3 109.3-160.9C644.6 130.9 636.7 92.22 614.6 61.09zM380.1 319.9c78.93 0 165.8-63.65 189.7-138.1c10.41-32.65 7.562-62.39-8.031-83.77c-15.69-21.46-43.34-33.29-77.9-33.29c-99.37 0-171.9 82.96-189.7 139C283.8 235.6 286.7 265.3 302.3 286.7C317.1 308.1 345.6 319.9 380.1 319.9zM309.4 207.7c12.69-40.06 74.21-127.9 174.4-127.9c29.31 0 52.4 9.486 64.96 26.72c12.53 17.14 14.56 41.8 5.717 69.45c-21.97 69.31-101.8 127.9-174.4 127.9c-29.25 0-52.28-9.471-64.87-26.65C302.7 260.1 300.6 235.4 309.4 207.7z"],
    "radar": [512, 512, [], "e024", "M256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 251.6 499.6 248 504 248C508.4 248 512 251.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C323.8 0 385.5 26.38 431.3 69.41L474.3 26.34C477.5 23.22 482.5 23.22 485.7 26.34C488.8 29.47 488.8 34.53 485.7 37.66L261.7 261.7C258.5 264.8 253.5 264.8 250.3 261.7C247.2 258.5 247.2 253.5 250.3 250.3L283.8 216.9C275.1 211.3 266.4 208 256 208C229.5 208 208 229.5 208 256C208 282.5 229.5 304 256 304C282.5 304 304 282.5 304 256C304 251.6 307.6 248 312 248C316.4 248 320 251.6 320 256C320 291.3 291.3 320 256 320C220.7 320 192 291.3 192 256C192 220.7 220.7 192 256 192C270.8 192 284.4 197 295.2 205.4L352 148.7C326.5 125.9 292.9 112 256 112C198.1 112 148.2 146.1 125.3 195.4C123.5 199.4 118.7 201.1 114.7 199.3C110.7 197.4 108.1 192.6 110.8 188.6C136.3 133.9 191.7 96 256 96C297.3 96 334.1 111.7 363.3 137.3L419.1 80.73C377 40.57 319.4 16 256 16V16zM56 256C56 233.9 73.91 216 96 216C118.1 216 136 233.9 136 256C136 278.1 118.1 296 96 296C73.91 296 56 278.1 56 256zM96 232C82.75 232 72 242.7 72 256C72 269.3 82.75 280 96 280C109.3 280 120 269.3 120 256C120 242.7 109.3 232 96 232zM296 416C296 438.1 278.1 456 256 456C233.9 456 216 438.1 216 416C216 393.9 233.9 376 256 376C278.1 376 296 393.9 296 416zM256 440C269.3 440 280 429.3 280 416C280 402.7 269.3 392 256 392C242.7 392 232 402.7 232 416C232 429.3 242.7 440 256 440zM323.4 401.2C319.4 403 314.6 401.3 312.7 397.3C310.9 393.3 312.6 388.5 316.6 386.7C365.9 363.8 400 313.9 400 256C400 251.6 403.6 248 408 248C412.4 248 416 251.6 416 256C416 320.3 378.1 375.7 323.4 401.2H323.4zM195.4 386.7C199.4 388.5 201.1 393.3 199.3 397.3C197.4 401.3 192.6 403 188.6 401.2C154.4 385.3 126.7 357.6 110.8 323.4C108.1 319.4 110.7 314.6 114.7 312.7C118.7 310.9 123.5 312.6 125.3 316.6C139.7 347.4 164.6 372.3 195.4 386.7L195.4 386.7z"],
    "radiation": [512, 512, [], "f7b9", "M256 303.1c26.5 0 48-21.5 48-48S282.5 207.1 256 207.1S208 229.5 208 255.1S229.5 303.1 256 303.1zM256 224c17.64 0 32 14.36 32 32s-14.36 32-32 32S224 273.6 224 256S238.4 224 256 224zM183.8 255.8c0-4.422-3.594-8-8-8h-133.8c-7.093 0-13.84-3.109-18.5-8.516C18.97 234 17 227.4 17.1 220.7c8.469-57.45 37.72-109.1 82.44-147.9c5.094-4.328 11.62-6.078 18.44-5.078c7.062 1.109 13.25 5.188 17 11.2l70.94 113.3c2.406 3.781 7.344 4.891 11.03 2.531C221.6 192.4 222.7 187.5 220.4 183.8L149.4 70.48C143.2 60.53 132.1 53.78 121.3 51.97C109.9 50.16 98.66 53.39 90.06 60.64C42.41 101 11.19 157.1 2.188 218.4C.5 229.6 3.875 241 11.38 249.7c7.719 8.938 18.88 14.06 30.62 14.06h133.8C180.2 263.8 183.8 260.2 183.8 255.8zM509.8 218.4c-9-61.3-40.22-117.3-87.88-157.7c-8.562-7.266-19.84-10.48-31.28-8.688c-11.62 1.812-21.88 8.562-28.09 18.5l-70.94 113.3c-2.344 3.75-1.219 8.688 2.531 11.03c3.688 2.359 8.656 1.25 11.03-2.531l70.94-113.3c3.75-6 9.938-10.08 17-11.19c6.812-1 13.34 .75 18.44 5.094c44.72 37.88 73.97 90.39 82.44 147.8c1 6.719-.9683 13.33-5.5 18.58c-4.656 5.406-11.41 8.516-18.5 8.516h-133.8c-4.406 0-8 3.578-8 8s3.594 8 8 8h133.8c11.75 0 22.91-5.125 30.63-14.06C508.1 241 511.5 229.6 509.8 218.4zM305.2 319.3c-2.375-3.734-7.344-4.844-11.03-2.531c-3.75 2.344-4.875 7.281-2.531 11.03l70.94 113.4c3.75 6.031 4.719 13.41 2.625 20.22c-2 6.484-6.406 11.52-12.44 14.19c-61.25 27.19-132.3 27.19-193.5 0c-6.031-2.672-10.44-7.703-12.44-14.19c-2.094-6.812-1.125-14.19 2.625-20.2l70.94-113.4C222.7 324 221.6 319.1 217.8 316.7C214.2 314.4 209.2 315.5 206.8 319.3l-70.94 113.4c-6.219 9.969-7.812 22.14-4.375 33.39c3.344 10.81 11.09 19.61 21.25 24.11C185.4 504.6 220.2 512 256 512s70.56-7.359 103.3-21.86c10.16-4.5 17.91-13.3 21.25-24.11c3.438-11.25 1.844-23.42-4.375-33.41L305.2 319.3z"],
    "radio": [512, 512, [128251], "f8d7", "M351.1 224c-52.99 0-95.1 43.01-95.1 95.1s43.01 95.1 95.1 95.1s96-43.02 96-96S404.1 224 351.1 224zM351.1 400c-44.11 0-79.1-35.89-79.1-79.1s35.89-79.1 79.1-79.1s79.1 35.89 79.1 79.1S396.1 400 351.1 400zM87.1 264h111.1c4.406 0 7.999-3.6 7.999-8.006c0-4.406-3.593-7.993-7.999-7.993H87.1c-4.406 0-8 3.587-8 7.993C79.1 260.4 83.59 264 87.1 264zM215.1 312H71.1c-4.406 0-8 3.589-8 7.995s3.594 8.004 8 8.004h143.1c4.406 0 7.999-3.598 7.999-8.004S220.4 312 215.1 312zM199.1 376H87.1c-4.406 0-8 3.59-8 7.996s3.594 8.003 8 8.003h111.1c4.406 0 7.999-3.597 7.999-8.003S204.4 376 199.1 376zM447.1 128L134.2 128l372.1-112.3c4.219-1.281 6.625-5.75 5.344-9.968c-1.25-4.218-5.531-6.718-9.969-5.343L78.83 128L64 128c-35.35 0-63.1 28.66-63.1 63.1v255.1c0 35.34 28.65 63.1 63.1 63.1h383.1c35.35 0 63.1-28.66 63.1-63.1V192C511.1 156.7 483.3 128 447.1 128zM495.1 448c0 26.46-21.53 47.1-47.1 47.1H63.1c-26.47 0-47.1-21.53-47.1-47.1V192c0-26.46 21.53-47.1 47.1-47.1h383.1c26.47 0 47.1 21.53 47.1 47.1V448z"],
    "radio-tuner": [512, 512, ["radio-alt"], "f8d8", "M200 408h-112c-4.406 0-8 3.593-8 7.999S83.59 424 88 424h112c4.406 0 7.999-3.593 7.999-7.999S204.4 408 200 408zM447.1 128L134.2 128l372.1-112.3c4.219-1.279 6.625-5.748 5.344-9.967c-1.25-4.219-5.531-6.719-9.969-5.344L78.83 128L63.1 128c-35.35 0-63.1 28.66-63.1 63.1v255.1c0 35.34 28.65 63.1 63.1 63.1h383.1c35.35 0 63.1-28.65 63.1-63.1v-255.1C511.1 156.7 483.3 128 447.1 128zM496 448c0 26.46-21.53 47.1-48 47.1H64c-26.47 0-48-21.53-48-47.1V272h480V448zM496 256h-480V192C16 165.6 37.53 144 64 144h384c26.47 0 48 21.53 48 47.1V256zM72 360h144c4.406 0 7.999-3.597 7.999-8.001c0-4.406-3.593-7.997-7.999-7.997h-144c-4.406 0-8 3.592-8 7.998C63.1 356.4 67.59 360 72 360zM383.1 447.1c35.35 0 63.1-28.65 63.1-63.1s-28.65-63.1-63.1-63.1c-35.35 0-63.1 28.65-63.1 63.1S348.7 447.1 383.1 447.1zM384 336c26.47 0 48 21.53 48 48s-21.53 48-48 48s-48-21.53-48-48S357.5 336 384 336z"],
    "rainbow": [640, 512, [127752], "f75b", "M320 32C143.5 32 0 175.5 0 352v120C0 476.4 3.578 480 8 480s8-3.594 8-8V352c0-167.6 136.4-304 304-304s304 136.4 304 304v120c0 4.406 3.578 8 8 8S640 476.4 640 472V352C640 175.5 496.5 32 320 32zM320 128c-127.9 0-232 104.1-232 232v112C88 476.4 91.58 480 96 480s8-3.594 8-8v-112C104 240.9 200.9 144 320 144s216 96.89 216 216v112c0 4.406 3.578 8 8 8s8-3.594 8-8v-112C552 232.1 447.9 128 320 128zM320 224c-70.58 0-128 57.42-128 128v120C192 476.4 195.6 480 200 480s8-3.594 8-8V352c0-61.75 50.25-112 112-112s112 50.25 112 112v120c0 4.406 3.578 8 8 8S448 476.4 448 472V352C448 281.4 390.6 224 320 224z"],
    "raindrops": [448, 512, [], "f75c", "M64 224C58.86 224 53.71 226.6 50.56 231.9C31.79 263.4 0 320.6 0 347.4C0 385.3 28.65 416 64 416s64-30.73 64-68.64c0-26.72-31.79-83.96-50.56-115.4C74.29 226.6 69.15 224 64 224zM64 400c-26.47 0-48-23.62-48-52.64c0-16.35 17.87-56.1 48.02-106.7C94.07 291.1 112 330.1 112 347.4C112 376.4 90.47 400 64 400zM224 155.4c0-26.72-31.79-83.96-50.56-115.4C170.3 34.64 165.1 32 160 32C154.9 32 149.7 34.64 146.6 39.93C127.8 71.4 96 128.6 96 155.4C96 193.3 124.7 224 160 224S224 193.3 224 155.4zM160 208c-26.47 0-48-23.62-48-52.64c0-16.35 17.87-56.1 48.02-106.7C190.1 99.12 208 138.1 208 155.4C208 184.4 186.5 208 160 208zM334.6 135.5C331.1 130.5 325.6 128 320 128s-11.14 2.502-14.59 7.506C271.8 184.1 192 305.2 192 358.3C192 425.5 249.3 480 320 480s128-54.51 128-121.7C448 305.2 368.2 184.1 334.6 135.5zM320 464c-61.76 0-112-47.44-112-105.7c0-33.12 42.37-114.1 110.6-213.7C318.9 144.1 319.6 144 320 144l1.434 .6016C389.6 243.3 432 325.1 432 358.3C432 416.6 381.8 464 320 464z"],
    "ram": [640, 512, [128015], "f70a", "M432 192C432 183.2 439.2 176 448 176C456.8 176 464 183.2 464 192C464 200.8 456.8 208 448 208C439.2 208 432 200.8 432 192zM528 192C528 200.8 520.8 208 512 208C503.2 208 496 200.8 496 192C496 183.2 503.2 176 512 176C520.8 176 528 183.2 528 192zM352 48C352 21.49 373.5 0 400 0C426.5 0 448 21.49 448 48V67.97C456.9 65.39 466.3 64 476 64C488.7 64 500.8 66.36 512 70.68V48C512 21.49 533.5 0 560 0C586.5 0 608 21.49 608 48V56C608 60.42 604.4 64 600 64C595.6 64 592 60.42 592 56V48C592 30.33 577.7 16 560 16C542.3 16 528 30.33 528 48V78.57C545.3 89.1 559.1 104.7 567.4 123.4L618.3 158C626.9 163.8 632 173.5 632 183.9C632 207.9 606 222.1 585.2 211L576 205.8V240C576 293 533 336 480 336H472C418.1 336 376 293 376 240V205.8L366.8 211C345.1 222.1 319.1 207.9 319.1 183.9C319.1 173.5 325.1 163.8 333.7 158L384.6 123.4C394.1 101.9 411 84.48 432 74.18V48C432 30.33 417.7 16 400 16C382.3 16 368 30.33 368 48V56C368 60.42 364.4 64 360 64C355.6 64 352 60.42 352 56V48zM476 80C429.6 80 392 117.6 392 164V240C392 284.2 427.8 320 472 320H480C524.2 320 560 284.2 560 240V164C560 117.6 522.4 80 476 80zM576 187.4L593.1 197.1C603.3 202.1 616 195.6 616 183.9C616 178.8 613.5 174.1 609.3 171.2L574.7 147.7C575.5 152.1 576 158.4 576 163.1V187.4zM377.3 147.7L342.7 171.2C338.5 174.1 336 178.8 336 183.9C336 195.6 348.7 202.1 358.9 197.1L376 187.4V164C376 158.4 376.5 152.1 377.3 147.7V147.7zM304.2 69.88C311.1 64.37 319.2 60.27 328.1 58C328.4 63.6 330.2 68.8 333 73.25C326 74.89 319.6 78.06 314.2 82.41C307.5 87.73 297.8 86.85 292.1 80.42C283.3 70.33 270.4 64 255.1 64C241.6 64 228.7 70.33 219.9 80.42C214.2 86.85 204.5 87.73 197.8 82.41C189.7 75.89 179.3 72 167.1 72C145.5 72 126.5 87.56 121.4 108.5C119.4 116.6 111.6 121.8 103.4 120.6C100.1 120.2 98.52 120 95.1 120C69.49 120 47.1 141.5 47.1 168C47.1 172 48.49 175.9 49.42 179.6C51.19 186.8 47.9 194.2 41.43 197.6C26.26 205.7 16 221.7 16 240C16 258.3 26.26 274.3 41.43 282.4C47.9 285.8 51.19 293.2 49.42 300.4C48.49 304.1 48 307.1 48 312C48 338.5 69.49 360 96 360C98.52 360 100.1 359.8 103.4 359.4C111.6 358.2 119.4 363.4 121.4 371.4C126.5 392.4 145.5 408 168 408C179.3 408 189.7 404.1 197.8 397.6C204.5 392.3 214.2 393.1 219.9 399.6C228.7 409.7 241.6 416 256 416C270.4 416 283.3 409.7 292.1 399.6C297.8 393.1 307.5 392.3 314.2 397.6C322.3 404.1 332.7 408 344 408C366.5 408 385.5 392.4 390.6 371.5C392.6 363.4 400.4 358.2 408.6 359.4C411 359.8 413.5 360 416 360C419.9 360 423.6 359.5 427.2 358.7C434.8 361.7 442.7 364 450.9 365.6C442.6 371.1 432.9 374.6 422.4 375.7L397.6 481.2C393.3 499.2 377.2 512 358.7 512H344C321.9 512 304 494.1 304 472V448C304 443.6 307.6 440 312 440C316.4 440 320 443.6 320 448V472C320 485.3 330.7 496 344 496H358.7C369.8 496 379.5 488.3 382 477.5L405.4 378.1C397.6 404.6 373.1 424 344 424C328.1 424 315.1 418.8 304.2 410.1C292.5 423.5 275.2 432 256 432C236.8 432 219.5 423.5 207.8 410.1C196.9 418.8 183 424 168 424C138.9 424 114.4 404.6 106.6 378.1L129.1 477.5C132.5 488.3 142.2 496 153.3 496H168C181.3 496 192 485.3 192 472V448C192 443.6 195.6 440 200 440C204.4 440 208 443.6 208 448V472C208 494.1 190.1 512 168 512H153.3C134.8 512 118.7 499.2 114.4 481.2L89.59 375.7C57.25 372.5 32 345.2 32 312C32 306.7 32.66 301.5 33.89 296.5C13.72 285.7 0 264.5 0 240C0 215.5 13.72 194.3 33.89 183.5C32.66 178.5 32 173.3 32 168C32 132.7 60.65 104 96 104C99.34 104 102.6 104.3 105.8 104.8C112.7 76.77 137.9 56 168 56C183 56 196.9 61.19 207.8 69.88C219.5 56.47 236.8 48 256 48C275.2 48 292.5 56.47 304.2 69.88H304.2z"],
    "ramp-loading": [384, 512, [], "f4d4", "M16 64V387.8L.009 417.1L0 416V64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V416L383.1 417.1L368 387.8V64C368 37.49 346.5 16 320 16H64C37.49 16 16 37.49 16 64zM252.9 288C267.6 288 281.1 296.1 288.1 309L378.3 476.6C386.1 492.6 375.4 512 357.2 512H26.79C8.628 512-2.953 492.6 5.657 476.6L95.9 309C102.9 296.1 116.4 287.1 131.1 287.1L252.9 288zM19.74 484.2C16.87 489.5 20.73 496 26.79 496H357.2C363.3 496 367.1 489.5 364.3 484.2L274 316.6C269.8 308.8 261.7 304 252.9 304H131.1C122.3 304 114.2 308.8 109.1 316.6L19.74 484.2z"],
    "ranking-star": [640, 512, [], "e561", "M302.6 10.76C309.9-3.853 330.6-3.342 337.4 10.83L359.1 54.79L407.3 61.75C423 64.17 429.7 83.54 418.2 95.06L418.1 95.17L383.2 128.9L391.5 176.9C393.9 192.6 377.6 204.8 363.1 197.5L363 197.4L320.2 174.1L276.9 197.9C262.4 205.1 246.1 192.1 248.5 177.3L248.5 177.1L256.8 129.2L221.8 95.06C210.3 83.54 216.1 64.17 232.7 61.75L232.7 61.74L280.9 54.79L302.6 10.76zM291.5 69.43L235.1 77.57C232.2 78.04 230.1 81.61 233.1 83.74L273.1 123.6L264.3 179.8C263.9 182.7 266.9 184.9 269.6 183.6L320.2 156.9L370.4 183.2C373.1 184.5 376.1 182.4 375.7 179.4L366 123.2L406.9 83.73C409 81.6 407.8 78.03 404.9 77.57L348.5 69.43L323 17.88L322.1 17.78C321.9 15.48 318.3 15.3 316.1 17.89L291.5 69.43zM224 304C224 277.5 245.5 256 272 256H368C394.5 256 416 277.5 416 304V464C416 490.5 394.5 512 368 512H272C245.5 512 224 490.5 224 464V304zM240 304V464C240 481.7 254.3 496 272 496H368C385.7 496 400 481.7 400 464V304C400 286.3 385.7 272 368 272H272C254.3 272 240 286.3 240 304zM0 368C0 341.5 21.49 320 48 320H144C170.5 320 192 341.5 192 368V464C192 490.5 170.5 512 144 512H48C21.49 512 0 490.5 0 464V368zM16 368V464C16 481.7 30.33 496 48 496H144C161.7 496 176 481.7 176 464V368C176 350.3 161.7 336 144 336H48C30.33 336 16 350.3 16 368zM592 384C618.5 384 640 405.5 640 432V464C640 490.5 618.5 512 592 512H496C469.5 512 448 490.5 448 464V432C448 405.5 469.5 384 496 384H592zM592 400H496C478.3 400 464 414.3 464 432V464C464 481.7 478.3 496 496 496H592C609.7 496 624 481.7 624 464V432C624 414.3 609.7 400 592 400z"],
    "raygun": [576, 512, [], "e025", "M112 160c-8.824 0-15.99 7.168-15.99 15.99c0 8.824 7.168 15.99 15.99 15.99c8.826 0 15.99-7.169 15.99-15.99C127.1 167.2 120.8 160 112 160zM208 160c-8.832 0-16 7.182-16 16.02s7.168 15.99 16 15.99c8.834 0 16-7.154 16-15.99S216.8 160 208 160zM571.8 104.1c-2.609-1.422-5.766-1.25-8.219 .3906L469.6 168H416V104c0-4.422-3.578-8-8-8s-8 3.578-8 8V168H352V72.02c0-4.422-3.578-8-8-8s-8 3.578-8 8v19.3c-13.21-16.51-33.27-27.3-56-27.3H193.1l-117.3-63.05C73.33-.3751 70.31-.3283 67.89 1.156C65.48 2.594 64 5.203 64 8.015v67.21C26.3 93.28 0 131.5 0 176c0 61.75 50.25 112 112 112h168c22.73 0 42.79-10.8 56-27.3v19.3c0 4.422 3.578 8 8 8s8-3.578 8-8V184h48v64c0 4.422 3.578 8 8 8S416 252.4 416 248v-64h53.58l93.98 62.66C564.9 247.6 566.5 248 568 248c1.297 0 2.594-.3125 3.781-.9531C574.4 245.7 576 242.1 576 240V112C576 109.1 574.4 106.4 571.8 104.1zM80 21.39l79.29 42.63L112 64.01c-11.19 0-21.79 2.154-32 5.226V21.39zM336 216c0 30.88-25.12 56-56 56H112c-52.94 0-96-43.06-96-96s43.06-95.1 96-95.1h168c30.88 0 56 25.12 56 55.1V216zM560 225.1L486.4 176L560 126.1V225.1zM254.9 324l-88.89 154c-4.734 8.156-12.7 14.28-21.8 16.78c-9.297 2.5-19.06 1.156-27.44-3.656L65.1 461.8c-8.203-4.656-14.3-12.56-16.73-21.84c-2.516-9.062-1.203-19 3.547-27.19L99.89 332c2.234-3.812 .9375-8.719-2.875-10.94c-3.812-2.281-8.719-1-10.94 2.875l-47.09 80.69c-6.906 11.91-8.781 26.31-5.172 39.41c3.5 13.31 12.36 24.84 24.25 31.59l50.78 29.34c8.062 4.625 17 7 26.09 7c4.484 0 9-.5938 13.47-1.75c13.39-3.688 24.56-12.28 31.48-24.22l88.89-154c2.219-3.844 .9062-8.719-2.922-10.94C262.1 318.9 257.1 320.2 254.9 324z"],
    "receipt": [384, 512, [129534], "f543", "M288 151.1C292.4 151.1 296 155.6 296 159.1C296 164.4 292.4 167.1 288 167.1H96C91.58 167.1 88 164.4 88 159.1C88 155.6 91.58 151.1 96 151.1H288zM88 352C88 347.6 91.58 344 96 344H288C292.4 344 296 347.6 296 352C296 356.4 292.4 360 288 360H96C91.58 360 88 356.4 88 352zM288 247.1C292.4 247.1 296 251.6 296 255.1C296 260.4 292.4 263.1 288 263.1H96C91.58 263.1 88 260.4 88 255.1C88 251.6 91.58 247.1 96 247.1H288zM72 53.37L130.7 1.979C133.9-.794 138.7-.635 141.7 2.343L192.4 53.05L250.7 1.98C253.9-.7937 258.7-.6347 261.7 2.344L312.4 53.05L370.7 1.98C373.1-.0871 376.4-.5815 379.3 .7157C382.2 2.013 384 4.862 384 8.001V504C384 507.1 382.2 509.1 379.3 511.3C376.4 512.6 373.1 512.1 370.7 510L312.4 458.1L261.7 509.7C258.7 512.6 253.9 512.8 250.7 510L192 458.6L133.3 510C130.1 512.8 125.3 512.6 122.3 509.7L71.64 458.1L13.27 510C10.91 512.1 7.553 512.6 4.694 511.3C1.836 509.1 0 507.1 0 504V8.001C0 4.862 1.836 2.013 4.694 .7157C7.553-.5812 10.91-.0868 13.27 1.98L72 53.37zM66.73 441.1C69.9 439.2 74.68 439.4 77.66 442.3L128.4 493L186.7 441.1C189.7 439.3 194.3 439.3 197.3 441.1L255.6 493L306.3 442.3C309.3 439.4 314.1 439.2 317.3 441.1L368 486.4V25.63L317.3 70.02C314.1 72.79 309.3 72.63 306.3 69.66L255.6 18.95L197.3 70.02C194.1 72.79 189.3 72.63 186.3 69.66L135.6 18.95L77.27 70.02C74.25 72.66 69.75 72.66 66.73 70.02L16 25.63V486.4L66.73 441.1z"],
    "record-vinyl": [512, 512, [], "f8d9", "M256 127.1c-70.75 0-128 57.25-128 128s57.25 128 128 128s128-57.25 128-128S326.8 127.1 256 127.1zM256 368c-61.76 0-112-50.24-112-112S194.2 144 256 144s112 50.24 112 112S317.8 368 256 368zM256 240C247.2 240 240 247.2 240 256c0 8.832 7.168 16 16 16c8.834 0 16-7.168 16-16C272 247.2 264.8 240 256 240zM256 0c-141.4 0-256 114.6-256 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "rectangle": [512, 512, [9644, "rectangle-landscape"], "f2fa", "M448 64C483.3 64 512 92.65 512 128V384C512 419.3 483.3 448 448 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H448zM448 80H64C37.49 80 16 101.5 16 128V384C16 410.5 37.49 432 64 432H448C474.5 432 496 410.5 496 384V128C496 101.5 474.5 80 448 80z"],
    "rectangle-ad": [576, 512, ["ad"], "f641", "M279.3 340.7C281.1 344.7 279.3 349.5 275.3 351.3C271.3 353.1 266.5 351.3 264.7 347.3L245 304H138.1L119.3 347.3C117.5 351.3 112.7 353.1 108.7 351.3C104.7 349.5 102.9 344.7 104.7 340.7L184.7 164.7C186 161.8 188.9 160 192 160C195.1 160 197.1 161.8 199.3 164.7L279.3 340.7zM146.2 288H237.8L192 187.3L146.2 288zM432 168C432 163.6 435.6 160 440 160C444.4 160 448 163.6 448 168V344C448 348.4 444.4 352 440 352C435.6 352 432 348.4 432 344V325.3C418.8 341.6 398.6 352 376 352C336.2 352 304 319.8 304 280C304 240.2 336.2 208 376 208C398.6 208 418.8 218.4 432 234.7V168zM376 224C345.1 224 320 249.1 320 280C320 310.9 345.1 336 376 336C406.9 336 432 310.9 432 280C432 249.1 406.9 224 376 224zM0 96C0 60.65 28.65 32 64 32H512C547.3 32 576 60.65 576 96V416C576 451.3 547.3 480 512 480H64C28.65 480 0 451.3 0 416V96zM16 96V416C16 442.5 37.49 464 64 464H512C538.5 464 560 442.5 560 416V96C560 69.49 538.5 48 512 48H64C37.49 48 16 69.49 16 96z"],
    "rectangle-barcode": [576, 512, ["barcode-alt"], "f463", "M80 136C80 131.6 83.58 128 88 128C92.42 128 96 131.6 96 136V376C96 380.4 92.42 384 88 384C83.58 384 80 380.4 80 376V136zM144 136V376C144 380.4 140.4 384 136 384C131.6 384 128 380.4 128 376V136C128 131.6 131.6 128 136 128C140.4 128 144 131.6 144 136zM176 136C176 131.6 179.6 128 184 128C188.4 128 192 131.6 192 136V376C192 380.4 188.4 384 184 384C179.6 384 176 380.4 176 376V136zM256 136V376C256 380.4 252.4 384 248 384C243.6 384 240 380.4 240 376V136C240 131.6 243.6 128 248 128C252.4 128 256 131.6 256 136zM320 136C320 131.6 323.6 128 328 128C332.4 128 336 131.6 336 136V376C336 380.4 332.4 384 328 384C323.6 384 320 380.4 320 376V136zM384 136V376C384 380.4 380.4 384 376 384C371.6 384 368 380.4 368 376V136C368 131.6 371.6 128 376 128C380.4 128 384 131.6 384 136zM432 136C432 131.6 435.6 128 440 128C444.4 128 448 131.6 448 136V376C448 380.4 444.4 384 440 384C435.6 384 432 380.4 432 376V136zM496 136V376C496 380.4 492.4 384 488 384C483.6 384 480 380.4 480 376V136C480 131.6 483.6 128 488 128C492.4 128 496 131.6 496 136zM512 32C547.3 32 576 60.65 576 96V416C576 451.3 547.3 480 512 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H512zM512 48H64C37.49 48 16 69.49 16 96V416C16 442.5 37.49 464 64 464H512C538.5 464 560 442.5 560 416V96C560 69.49 538.5 48 512 48z"],
    "rectangle-code": [512, 512, [], "e322", "M309.7 170.3L389.7 250.3C392.8 253.5 392.8 258.5 389.7 261.7L309.7 341.7C306.5 344.8 301.5 344.8 298.3 341.7C295.2 338.5 295.2 333.5 298.3 330.3L372.7 256L298.3 181.7C295.2 178.5 295.2 173.5 298.3 170.3C301.5 167.2 306.5 167.2 309.7 170.3V170.3zM139.3 256L213.7 330.3C216.8 333.5 216.8 338.5 213.7 341.7C210.5 344.8 205.5 344.8 202.3 341.7L122.3 261.7C119.2 258.5 119.2 253.5 122.3 250.3L202.3 170.3C205.5 167.2 210.5 167.2 213.7 170.3C216.8 173.5 216.8 178.5 213.7 181.7L139.3 256zM448 32C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448zM448 48H64C37.49 48 16 69.49 16 96V416C16 442.5 37.49 464 64 464H448C474.5 464 496 442.5 496 416V96C496 69.49 474.5 48 448 48z"],
    "rectangle-history": [512, 512, [], "e4a2", "M448 128C483.3 128 512 156.7 512 192V448C512 483.3 483.3 512 448 512H64C28.65 512 0 483.3 0 448V192C0 156.7 28.65 128 64 128H448zM448 144H64C37.49 144 16 165.5 16 192V448C16 474.5 37.49 496 64 496H448C474.5 496 496 474.5 496 448V192C496 165.5 474.5 144 448 144zM456 64C460.4 64 464 67.58 464 72C464 76.42 460.4 80 456 80H56C51.58 80 48 76.42 48 72C48 67.58 51.58 64 56 64H456zM408 0C412.4 0 416 3.582 416 8C416 12.42 412.4 16 408 16H104C99.58 16 96 12.42 96 8C96 3.582 99.58 0 104 0H408z"],
    "rectangle-history-circle-plus": [640, 512, [], "e4a3", "M64 144C37.49 144 16 165.5 16 192V448C16 474.5 37.49 496 64 496H375.2C381.3 501.8 387.9 507.1 394.8 512H64C28.65 512 0 483.3 0 448V192C0 156.7 28.65 128 64 128H448C483.3 128 512 156.7 512 192V192.7C506.7 192.2 501.4 192 496 192C496 165.5 474.5 144 448 144H64zM456 64C460.4 64 464 67.58 464 72C464 76.42 460.4 80 456 80H56C51.58 80 48 76.42 48 72C48 67.58 51.58 64 56 64H456zM408 0C412.4 0 416 3.582 416 8C416 12.42 412.4 16 408 16H104C99.58 16 96 12.42 96 8C96 3.582 99.58 0 104 0H408zM504 359.1H568C572.4 359.1 576 363.6 576 367.1C576 372.4 572.4 375.1 568 375.1H504V439.1C504 444.4 500.4 447.1 496 447.1C491.6 447.1 488 444.4 488 439.1V375.1H424C419.6 375.1 416 372.4 416 367.1C416 363.6 419.6 359.1 424 359.1H488V295.1C488 291.6 491.6 287.1 496 287.1C500.4 287.1 504 291.6 504 295.1V359.1zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 240C425.3 240 368 297.3 368 368C368 438.7 425.3 496 496 496C566.7 496 624 438.7 624 368C624 297.3 566.7 240 496 240z"],
    "rectangle-history-circle-user": [640, 512, [], "e4a4", "M64 144C37.49 144 16 165.5 16 192V448C16 474.5 37.49 496 64 496H375.2C381.3 501.8 387.9 507.1 394.8 512H64C28.65 512 0 483.3 0 448V192C0 156.7 28.65 128 64 128H448C483.3 128 512 156.7 512 192V192.7C506.7 192.2 501.4 192 496 192C496 165.5 474.5 144 448 144H64zM456 64C460.4 64 464 67.58 464 72C464 76.42 460.4 80 456 80H56C51.58 80 48 76.42 48 72C48 67.58 51.58 64 56 64H456zM408 0C412.4 0 416 3.582 416 8C416 12.42 412.4 16 408 16H104C99.58 16 96 12.42 96 8C96 3.582 99.58 0 104 0H408zM448 336C448 309.5 469.5 288 496 288C522.5 288 544 309.5 544 336C544 362.5 522.5 384 496 384C469.5 384 448 362.5 448 336zM496 368C513.7 368 528 353.7 528 336C528 318.3 513.7 304 496 304C478.3 304 464 318.3 464 336C464 353.7 478.3 368 496 368zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM570.5 462.1C561 443.1 541.7 432 520.4 432H471.6C450.3 432 430.1 443.1 421.5 462.1L418.1 469.6C439.7 486.2 466.7 496 496 496C525.3 496 552.3 486.2 573.9 469.6L570.5 462.1zM624 368C624 297.3 566.7 240 496 240C425.3 240 368 297.3 368 368C368 403.5 382.4 435.5 405.7 458.7L407.2 455.8C419.4 431.4 444.3 416 471.6 416H520.4C547.7 416 572.6 431.4 584.8 455.8L586.3 458.7C609.6 435.5 624 403.5 624 368z"],
    "rectangle-list": [576, 512, ["list-alt"], "f022", "M192 160C192 155.6 195.6 152 200 152H440C444.4 152 448 155.6 448 160C448 164.4 444.4 168 440 168H200C195.6 168 192 164.4 192 160zM192 256C192 251.6 195.6 248 200 248H440C444.4 248 448 251.6 448 256C448 260.4 444.4 264 440 264H200C195.6 264 192 260.4 192 256zM192 352C192 347.6 195.6 344 200 344H440C444.4 344 448 347.6 448 352C448 356.4 444.4 360 440 360H200C195.6 360 192 356.4 192 352zM128 144C136.8 144 144 151.2 144 160C144 168.8 136.8 176 128 176C119.2 176 112 168.8 112 160C112 151.2 119.2 144 128 144zM128 272C119.2 272 112 264.8 112 256C112 247.2 119.2 240 128 240C136.8 240 144 247.2 144 256C144 264.8 136.8 272 128 272zM128 336C136.8 336 144 343.2 144 352C144 360.8 136.8 368 128 368C119.2 368 112 360.8 112 352C112 343.2 119.2 336 128 336zM512 32C547.3 32 576 60.65 576 96V416C576 451.3 547.3 480 512 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H512zM512 48H64C37.49 48 16 69.49 16 96V416C16 442.5 37.49 464 64 464H512C538.5 464 560 442.5 560 416V96C560 69.49 538.5 48 512 48z"],
    "rectangle-pro": [640, 512, ["pro"], "e235", "M160 176C186.5 176 208 197.5 208 224C208 250.5 186.5 272 160 272H112V328C112 332.4 108.4 336 104 336C99.58 336 96 332.4 96 328V184C96 179.6 99.58 176 104 176H160zM192 224C192 206.3 177.7 192 160 192H112V256H160C177.7 256 192 241.7 192 224zM256 184C256 179.6 259.6 176 264 176H320C346.5 176 368 197.5 368 224C368 245.9 353.3 264.4 333.3 270.1L366.8 323.8C369.1 327.5 367.1 332.4 364.2 334.8C360.5 337.1 355.6 335.1 353.2 332.2L315.6 272H272V328C272 332.4 268.4 336 264 336C259.6 336 256 332.4 256 328V184zM272 256H320C337.7 256 352 241.7 352 224C352 206.3 337.7 192 320 192H272V256zM552 248V264C552 303.8 519.8 336 480 336C440.2 336 408 303.8 408 264V248C408 208.2 440.2 176 480 176C519.8 176 552 208.2 552 248zM424 264C424 294.9 449.1 320 480 320C510.9 320 536 294.9 536 264V248C536 217.1 510.9 192 480 192C449.1 192 424 217.1 424 248V264zM0 96C0 60.65 28.65 32 64 32H576C611.3 32 640 60.65 640 96V416C640 451.3 611.3 480 576 480H64C28.65 480 0 451.3 0 416V96zM16 96V416C16 442.5 37.49 464 64 464H576C602.5 464 624 442.5 624 416V96C624 69.49 602.5 48 576 48H64C37.49 48 16 69.49 16 96z"],
    "rectangle-terminal": [512, 512, [], "e236", "M109.2 153.9L221.2 249.9C222.1 251.4 224 253.7 224 256C224 258.3 222.1 260.6 221.2 262.1L109.2 358.1C105.9 360.1 100.8 360.6 97.93 357.2C95.05 353.9 95.44 348.8 98.79 345.9L203.7 255.1L98.79 166.1C95.44 163.2 95.05 158.1 97.93 154.8C100.8 151.4 105.9 151.1 109.2 153.9V153.9zM408 368C412.4 368 416 371.6 416 376C416 380.4 412.4 384 408 384H200C195.6 384 192 380.4 192 376C192 371.6 195.6 368 200 368H408zM448 32C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448zM448 48H64C37.49 48 16 69.49 16 96V416C16 442.5 37.49 464 64 464H448C474.5 464 496 442.5 496 416V96C496 69.49 474.5 48 448 48z"],
    "rectangle-vertical": [384, 512, ["rectangle-portrait"], "f2fb", "M384 448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V448zM368 448V64C368 37.49 346.5 16 320 16H64C37.49 16 16 37.49 16 64V448C16 474.5 37.49 496 64 496H320C346.5 496 368 474.5 368 448z"],
    "rectangle-vertical-history": [576, 512, [], "e237", "M192 64C192 28.65 220.7 0 256 0H512C547.3 0 576 28.65 576 64V448C576 483.3 547.3 512 512 512H256C220.7 512 192 483.3 192 448V64zM208 64V448C208 474.5 229.5 496 256 496H512C538.5 496 560 474.5 560 448V64C560 37.49 538.5 16 512 16H256C229.5 16 208 37.49 208 64zM96 56C96 51.58 99.58 48 104 48C108.4 48 112 51.58 112 56V456C112 460.4 108.4 464 104 464C99.58 464 96 460.4 96 456V56zM0 104C0 99.58 3.582 96 8 96C12.42 96 16 99.58 16 104V408C16 412.4 12.42 416 8 416C3.582 416 0 412.4 0 408V104z"],
    "rectangle-wide": [640, 512, [], "f2fc", "M576 64C611.3 64 640 92.65 640 128V384C640 419.3 611.3 448 576 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H576zM576 80H64C37.49 80 16 101.5 16 128V384C16 410.5 37.49 432 64 432H576C602.5 432 624 410.5 624 384V128C624 101.5 602.5 80 576 80z"],
    "rectangle-xmark": [512, 512, [62164, "rectangle-times", "times-rectangle", "window-close"], "f410", "M178.3 178.3C181.5 175.2 186.5 175.2 189.7 178.3L256 244.7L322.3 178.3C325.5 175.2 330.5 175.2 333.7 178.3C336.8 181.5 336.8 186.5 333.7 189.7L267.3 256L333.7 322.3C336.8 325.5 336.8 330.5 333.7 333.7C330.5 336.8 325.5 336.8 322.3 333.7L256 267.3L189.7 333.7C186.5 336.8 181.5 336.8 178.3 333.7C175.2 330.5 175.2 325.5 178.3 322.3L244.7 256L178.3 189.7C175.2 186.5 175.2 181.5 178.3 178.3V178.3zM0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM16 96V416C16 442.5 37.49 464 64 464H448C474.5 464 496 442.5 496 416V96C496 69.49 474.5 48 448 48H64C37.49 48 16 69.49 16 96z"],
    "rectangles-mixed": [576, 512, [], "e323", "M272 32C298.5 32 320 53.49 320 80V208C320 234.5 298.5 256 272 256H48C21.49 256 0 234.5 0 208V80C0 53.49 21.49 32 48 32H272zM272 48H48C30.33 48 16 62.33 16 80V208C16 225.7 30.33 240 48 240H272C289.7 240 304 225.7 304 208V80C304 62.33 289.7 48 272 48zM528 32C554.5 32 576 53.49 576 80V336C576 362.5 554.5 384 528 384H432C405.5 384 384 362.5 384 336V80C384 53.49 405.5 32 432 32H528zM528 48H432C414.3 48 400 62.33 400 80V336C400 353.7 414.3 368 432 368H528C545.7 368 560 353.7 560 336V80C560 62.33 545.7 48 528 48zM64 352C64 325.5 85.49 304 112 304H288C314.5 304 336 325.5 336 352V432C336 458.5 314.5 480 288 480H112C85.49 480 64 458.5 64 432V352zM80 352V432C80 449.7 94.33 464 112 464H288C305.7 464 320 449.7 320 432V352C320 334.3 305.7 320 288 320H112C94.33 320 80 334.3 80 352z"],
    "recycle": [512, 512, [9850, 9851, 9842], "f1b8", "M276.1 51.91l96.07 161.4l-75.57-12.4c-4.437-.7969-8.467 2.266-9.186 6.594c-.7186 4.359 2.25 8.469 6.624 9.188l92.52 15.19C387.9 231.1 388.3 232 388.7 232c1.406 0 2.812-.3594 4.093-1.125c.1894-.1133 .1894-.3633 .3652-.4902c1.113-.7715 1.742-1.908 2.349-3.16c.2675-.5625 .7655-.9375 .8964-1.543c.0254-.1172 .1484-.1719 .1699-.291l15.75-89.22c.7811-4.344-2.125-8.5-6.468-9.266c-4.905-.875-8.499 2.172-9.28 6.484l-12.01 68.02l-93.88-157.7C283.3 31.36 270.3 24 256 24S228.7 31.36 221.3 43.67L192.2 91.86C189.9 95.64 191.1 100.6 194.9 102.8c3.781 2.281 8.686 1.078 10.97-2.703l29.12-48.19C244 36.98 267.1 37.03 276.1 51.91zM481.1 360.3l-53.21-88.14c-2.281-3.781-7.218-4.953-10.97-2.703c-3.781 2.281-4.999 7.203-2.718 10.98l53.21 88.14c4.781 7.906 4.937 17.44 .3749 25.5c-4.437 7.875-12.44 12.59-21.4 12.59H244l50.74-48.94c3.156-3.062 3.25-8.125 .1875-11.31c-3.062-3.156-8.092-3.25-11.31-.1875L219.5 408.1c-2.625 1.314-4.718 3.51-4.718 6.637c0 .2578 .2519 .4102 .2754 .6621C215.1 415.6 214.8 415.8 214.8 416c0 2.188 .8749 4.25 2.437 5.75l66.36 64C285.2 487.3 287.2 488 289.2 488c2.093 0 4.187-.8125 5.749-2.438c3.062-3.188 2.968-8.25-.1875-11.31l-53.46-51.56h205.1c14.81 0 28.03-7.75 35.34-20.75C490 388.8 489.8 373.2 481.1 360.3zM161.8 154.1C161.2 154.4 161.1 153.5 160.3 153.1C160.2 153 160 153.1 159.9 153c-.9588-.502-2.004-.3555-3.097-.4355C155.8 152.5 154.9 152.2 153.1 152.5C153.8 152.5 153.7 152.4 153.5 152.5L65.81 184.6C61.66 186.2 59.53 190.8 61.06 194.9c1.531 4.156 6.093 6.25 10.25 4.766l66.87-24.51l-108.1 185.1c-7.811 12.94-8.061 28.5-.6249 41.66c7.311 13 20.53 20.75 35.34 20.75H156.5c4.406 0 7.999-3.594 7.999-8s-3.593-8-7.999-8H64.75c-8.967 0-16.97-4.719-21.4-12.59c-4.562-8.062-4.406-17.59 .4374-25.62l111.1-190.2l27.31 69.28C183.4 250.7 186.4 252.6 189.6 252.6c.9686 0 1.968-.1719 2.937-.5625c4.093-1.609 6.124-6.266 4.499-10.38l-33.34-84.61C163.4 156.1 162.4 155.7 161.8 154.1z"],
    "reel": [448, 512, [], "e238", "M440 200H64c-4.418 0-8 3.582-8 8S59.58 216 64 216h376C444.4 216 448 212.4 448 208S444.4 200 440 200zM32 64h32v40c-4.418 0-8 3.582-8 8S59.58 120 64 120h320c4.418 0 8-3.582 8-8S388.4 104 384 104V64h32c17.67 0 32-14.33 32-32c0-17.67-14.33-32-32-32H32C14.33 0 0 14.33 0 32C0 49.67 14.33 64 32 64zM368 104h-288V64h288V104zM32 16h384c8.822 0 16 7.178 16 16S424.8 48 416 48H32C23.18 48 16 40.82 16 32S23.18 16 32 16zM416 448h-32v-40c4.418 0 8-3.582 8-8s-3.582-8-8-8H64c-4.418 0-8 3.582-8 8S59.58 408 64 408V448H32c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32h384c17.67 0 32-14.33 32-32C448 462.3 433.7 448 416 448zM80 408h288V448h-288V408zM416 496H32c-8.822 0-16-7.178-16-16s7.178-16 16-16h384c8.822 0 16 7.178 16 16S424.8 496 416 496zM384 152H64C59.58 152 56 155.6 56 160S59.58 168 64 168h320c4.418 0 8-3.582 8-8S388.4 152 384 152zM384 344H64c-4.418 0-8 3.582-8 8S59.58 360 64 360h320c4.418 0 8-3.582 8-8S388.4 344 384 344zM384 248H64C59.58 248 56 251.6 56 256S59.58 264 64 264h320c4.418 0 8-3.582 8-8S388.4 248 384 248zM384 296H64c-4.418 0-8 3.582-8 8S59.58 312 64 312h320c4.418 0 8-3.582 8-8S388.4 296 384 296z"],
    "refrigerator": [384, 512, [], "e026", "M320 0H64C28.65 0 0 28.65 0 64v416c0 17.67 14.33 32 32 32h320c17.67 0 32-14.33 32-32V64C384 28.65 355.3 0 320 0zM368 480c0 8.822-7.178 16-16 16H32c-8.822 0-16-7.178-16-16V192H288v184c0 4.406 3.594 8 8 8s8-3.594 8-8V192h64V480zM368 176h-64V72C304 67.58 300.4 64 296 64S288 67.58 288 72V176H16V64c0-26.47 21.53-48 48-48h256c26.47 0 48 21.53 48 48V176z"],
    "registered": [512, 512, [174], "f25d", "M360 208c0-44.11-35.88-80-80-80l-96 .0176c-13.22 0-24 10.77-24 24V376C160 380.4 163.6 384 168 384s8-3.594 8-8V288h104c1.193 0 2.305-.2988 3.484-.3516l61.86 92.79c1.611 2.434 6.311 5.371 11.09 2.219c3.688-2.438 4.656-7.406 2.219-11.09L300.9 284.9C334.8 275.6 360 244.8 360 208zM280 272H176V152c0-4.406 3.594-8 8-8h96c35.28 0 64 28.7 64 64S315.3 272 280 272zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "repeat": [512, 512, [128257], "f363", "M504 239.1c-4.422 0-8 3.594-8 8C496 331.8 427.8 400 344 400H192l.0049-72c0-9.703-5.846-18.45-14.82-22.17C174.2 304.6 171.1 304 168 304c-6.246 0-12.39 2.441-16.99 7.031l-80.01 80c-9.375 9.371-9.375 24.57 0 33.94l80.01 80C155.6 509.6 161.8 512 168 512c3.09 0 6.22-.5977 9.188-1.828C186.2 506.5 192 497.7 192 488L192 416H344C436.6 416 512 340.6 512 247.1C512 243.6 508.4 239.1 504 239.1zM176 488c0 3.246-1.939 6.146-4.943 7.391C170.1 495.8 169.1 496 168 496c-2.141 0-4.162-.8379-5.672-2.346l-80.02-80C80.3 411.6 80 409.2 80 408s.3047-3.615 2.344-5.654l79.1-79.99C163.9 320.8 165.9 320 168 320c1.049 0 2.072 .2051 3.047 .6094c3.004 1.244 4.943 4.145 4.943 7.391V488zM319.1 111.1L319.1 184c0 9.703 5.846 18.45 14.82 22.17C337.8 207.4 340.9 208 343.1 208c6.246 0 12.38-2.441 16.99-7.031l80.01-80c9.373-9.371 9.373-24.57 0-33.94l-80.01-80C356.4 2.441 350.2 0 343.1 0c-3.09 0-6.203 .5977-9.174 1.828C325.8 5.547 319.1 14.3 319.1 24l-.0049 71.1H168c-92.64 0-168 75.38-168 168c0 4.406 3.578 8 8 8s8-3.594 8-8c0-83.81 68.19-152 152-152L319.1 111.1zM335.1 24c0-3.246 1.941-6.146 4.943-7.391C341.9 16.21 342.9 16 343.1 16c2.143 0 4.162 .8379 5.674 2.346l80.01 80C431.7 100.4 432 102.8 432 104s-.3047 3.615-2.344 5.654l-80 79.99C348.1 191.2 346.1 192 343.1 192c-1.047 0-2.085-.2051-3.06-.6094c-3.002-1.244-4.943-4.145-4.943-7.391V24z"],
    "repeat-1": [512, 512, [128258], "f365", "M264 320c4.422 0 8-3.594 8-8v-112C272 195.6 268.4 192 264 192H240C235.6 192 232 195.6 232 200S235.6 208 240 208H256v104C256 316.4 259.6 320 264 320zM504 239.1c-4.422 0-8 3.594-8 8C496 331.8 427.8 400 344 400H192l.0049-72c0-9.703-5.846-18.45-14.82-22.17C174.2 304.6 171.1 304 168 304c-6.246 0-12.39 2.441-16.99 7.031l-80.01 80c-9.375 9.371-9.375 24.57 0 33.94l80.01 80C155.6 509.6 161.8 512 168 512c3.09 0 6.22-.5977 9.188-1.828C186.2 506.5 192 497.7 192 488L192 416H344C436.6 416 512 340.6 512 247.1C512 243.6 508.4 239.1 504 239.1zM176 488c0 3.246-1.939 6.146-4.943 7.391C170.1 495.8 169.1 496 168 496c-2.141 0-4.162-.8379-5.672-2.346l-80.02-80C80.3 411.6 80 409.2 80 408s.3047-3.615 2.344-5.654l79.1-79.99C163.9 320.8 165.9 320 168 320c1.049 0 2.072 .2051 3.047 .6094c3.004 1.244 4.943 4.145 4.943 7.391V488zM319.1 111.1L319.1 184c0 9.703 5.846 18.45 14.82 22.17C337.8 207.4 340.9 208 343.1 208c6.246 0 12.38-2.441 16.99-7.031l80.01-80c9.373-9.371 9.373-24.57 0-33.94l-80.01-80C356.4 2.441 350.2 0 343.1 0c-3.09 0-6.203 .5977-9.174 1.828C325.8 5.547 319.1 14.3 319.1 24l-.0049 71.1H168c-92.64 0-168 75.38-168 168c0 4.406 3.578 8 8 8s8-3.594 8-8c0-83.81 68.19-152 152-152L319.1 111.1zM335.1 24c0-3.246 1.941-6.146 4.943-7.391C341.9 16.21 342.9 16 343.1 16c2.143 0 4.162 .8379 5.674 2.346l80.01 80C431.7 100.4 432 102.8 432 104s-.3047 3.615-2.344 5.654l-80 79.99C348.1 191.2 346.1 192 343.1 192c-1.047 0-2.082-.2051-3.057-.6094c-3.002-1.244-4.943-4.145-4.943-7.391V24z"],
    "reply": [512, 512, [61714, "mail-reply"], "f3e5", "M512 367.1v72C512 444.4 508.4 448 504 448s-8-3.594-8-8V367.1c0-66.16-53.83-120-120-120H29.3l175.1 153.1c3.328 2.906 3.672 7.969 .75 11.31C204.4 415.1 202.2 415.1 200 415.1c-1.875 0-3.75-.6563-5.266-1.969l-192-168C1 244.5 0 242.3 0 239.1c0-2.313 1-4.503 2.734-6.034l192-168c3.312-2.875 8.359-2.563 11.28 .75c2.922 3.344 2.578 8.406-.75 11.31L29.3 231.1H376C450.1 231.1 512 292.1 512 367.1z"],
    "reply-all": [576, 512, ["mail-reply-all"], "f122", "M20.16 239.1l185.1-161.1C208.6 75.12 208.9 70.06 206 66.71C203.1 63.4 198.1 63.09 194.7 65.96l-192 168C1 235.5 0 237.7 0 239.1c0 2.313 1 4.497 2.734 6.028l192 168C196.3 415.3 198.1 415.1 200 415.1c2.219 0 4.438-.9375 6.016-2.719c2.922-3.344 2.578-8.406-.75-11.31L20.16 239.1zM440 231.1H157.3l175.1-153.1c3.328-2.906 3.672-7.969 .75-11.31c-2.906-3.313-7.953-3.625-11.28-.75l-192 168C129 235.5 128 237.7 128 239.1c0 2.313 1 4.497 2.734 6.028l192 168c1.516 1.312 3.391 1.969 5.266 1.969c2.219 0 4.438-.9375 6.016-2.719c2.922-3.344 2.578-8.406-.75-11.31L157.3 247.1H440c66.17 0 120 53.84 120 120v72C560 444.4 563.6 448 568 448S576 444.4 576 439.1V367.1C576 292.1 514.1 231.1 440 231.1z"],
    "reply-clock": [640, 512, ["reply-time"], "e239", "M464 0C384.5 0 320 64.47 320 144S384.5 288 464 288S608 223.5 608 144S543.5 0 464 0zM464 272c-70.58 0-128-57.42-128-128s57.42-128 128-128s128 57.42 128 128S534.6 272 464 272zM520 144H464V72C464 67.59 460.4 64 456 64S448 67.59 448 72v80C448 156.4 451.6 160 456 160h64c4.406 0 8-3.594 8-8S524.4 144 520 144zM522.2 310C522.2 310 522.3 309.1 522.2 310c-4.256 1.5-6.39 6.398-4.558 10.52C524.1 335.1 528 351 528 368v72c0 4.406 3.578 8 8 8S544 444.4 544 440V368c0-19.29-4.41-37.42-11.77-54C530.6 310.2 526.1 308.6 522.2 310zM314.1 235.9c-1.438-2.336-3.986-3.875-6.73-3.875H61.3l175.1-153.1C240.6 75.12 240.9 70.05 238 66.71C235.1 63.4 230 63.09 226.7 65.96l-192 168C33 235.5 32 237.7 32 239.1s1 4.5 2.734 6.031l192 168C228.3 415.3 230.1 416 232 416c2.219 0 4.438-.9375 6.016-2.719c2.922-3.344 2.578-8.406-.75-11.31L61.3 247.1h246.1C313.6 247.1 317.3 241.2 314.1 235.9C314 235.8 314.1 235.9 314.1 235.9z"],
    "republican": [640, 512, [], "f75e", "M176 167.1H152V143.1c0-4.406-3.594-8-7.1-8c-4.406 0-7.1 3.594-7.1 8v24H112c-4.406 0-7.1 3.594-7.1 8s3.594 8 7.1 8h23.1v24c0 4.406 3.594 8 7.1 8c4.406 0 7.1-3.594 7.1-8V183.1h23.1c4.406 0 7.1-3.594 7.1-8S180.4 167.1 176 167.1zM304 167.1H280V143.1c0-4.406-3.594-8-7.1-8S264 139.6 264 143.1v24H240c-4.406 0-7.1 3.594-7.1 8s3.594 8 7.1 8h23.1v24c0 4.406 3.594 8 7.1 8s7.1-3.594 7.1-8V183.1h23.1c4.406 0 7.1-3.594 7.1-8S308.4 167.1 304 167.1zM432 167.1h-23.1V143.1c0-4.406-3.594-8-7.1-8c-4.406 0-7.1 3.594-7.1 8v24h-23.1c-4.406 0-7.1 3.594-7.1 8s3.594 8 7.1 8h23.1v24c0 4.406 3.594 8 7.1 8c4.406 0 7.1-3.594 7.1-8V183.1h23.1c4.406 0 7.1-3.594 7.1-8S436.4 167.1 432 167.1zM632 319.1c-4.418 0-7.1 3.582-7.1 8v94.23c0 20.88-15.23 39.56-36.01 41.58c-23.84 2.316-43.98-16.43-43.98-39.81V191.1c0-88.36-71.64-159.1-159.1-159.1L159.1 32C71.63 32 0 103.6 0 191.1l.025 240c0 26.4 21.6 48 47.1 48h31.1c26.4 0 47.1-21.6 47.1-48v-48.02l223.1 .0339v47.99c0 26.4 21.6 48 47.1 48h31.1c26.4 0 47.1-21.6 47.1-48v-87.99c0-4.418-3.582-8-7.1-8s-7.1 3.582-7.1 8v87.99c0 17.67-14.33 32-31.1 32h-31.1c-17.67 0-31.1-14.33-31.1-32v-63.99l-255.1-.0059v63.99c0 17.67-14.33 32-31.1 32H48.02c-17.67 0-31.1-14.33-31.1-32V271.1h511.1v150c0 28.46 20.4 53.86 48.62 57.48C610.8 483.9 640 457.3 640 423.1v-96C640 323.6 636.4 319.1 632 319.1zM528 255.1H16.02V192c0-79.53 64.47-144 143.1-144h224c79.52 0 143.1 64.46 143.1 143.1V255.1z"],
    "restroom": [640, 512, [], "f7bd", "M496 104c28.71 0 52-23.29 52-52C548 23.29 524.7 0 495.1 0c-28.71 0-51.1 23.29-51.1 51.1C444 80.71 467.3 104 496 104zM496 16c19.85 0 36 16.15 36 35.1c0 19.85-16.15 36-36 36s-36-16.15-36-36C460 32.15 476.2 16 496 16zM143.1 104c28.71 0 52-23.29 52-52C195.1 23.29 172.7 0 144 0C115.3 0 91.1 23.29 91.1 51.1C91.1 80.71 115.3 104 143.1 104zM143.1 16c19.85 0 36 16.15 36 35.1C179.1 71.85 163.8 88 143.1 88S107.1 71.85 107.1 51.1C107.1 32.15 124.1 16 143.1 16zM552.8 208.1c-1.562-4.125-6.156-6.297-10.31-4.672c-4.125 1.547-6.219 6.156-4.688 10.3L595.7 368h-199.3l57.88-154.3c1.531-4.141-.5625-8.75-4.688-10.3c-4.219-1.625-8.75 .5469-10.31 4.672l-61.91 165.1c-.9062 2.453-.5625 5.219 .9375 7.375C379.7 382.7 382.2 384 384.8 384h39.19v96c0 17.67 14.33 32 32 32c17.67 0 32-14.33 32-32v-96h16v96c0 17.67 14.33 32 31.1 32c17.67 0 32-14.33 32-32v-96h39.19c2.625 0 5.094-1.281 6.562-3.438c1.5-2.156 1.844-4.922 .9375-7.375L552.8 208.1zM472 480c0 8.822-7.178 16-16 16c-8.822 0-15.1-7.178-15.1-16v-96h31.1V480zM552 480c0 8.822-7.178 16-16 16c-8.822 0-15.1-7.178-15.1-16v-96h31.1V480zM319.1 0c-4.406 0-8 3.578-8 8v496c0 4.422 3.594 8 8 8s8-3.578 8-8V8C328 3.578 324.4 0 319.1 0zM583.3 173.8C572.5 145.1 546.2 128 516.3 128h-40.63c-29.84 0-56.19 17.97-67.03 45.75l-56.09 143.3c-1.625 4.125 .4062 8.766 4.531 10.38c4 1.609 8.75-.4062 10.34-4.531l56.09-143.3C432 157.1 452.5 144 475.7 144h40.63c23.22 0 43.69 13.97 52.16 35.59l56.09 143.3C625.8 326.1 628.8 328 632 328c.9687 0 1.969-.1719 2.906-.5469c4.125-1.609 6.156-6.25 4.531-10.38L583.3 173.8zM207.1 248c-4.406 0-8 3.578-8 8l-.0007 224c0 8.828-7.187 16-15.1 16c-8.813 0-16-7.172-16-16v-136c0-13.23-10.78-24-24-24c-13.22 0-24 10.77-24 24L119.1 480c0 8.828-7.187 16-15.1 16S87.1 488.8 87.1 480V256c0-4.422-3.594-8-8-8S71.1 251.6 71.1 256v224c0 17.64 14.34 32 32 32s31.1-14.36 31.1-32l.0007-136c0-4.406 3.594-8 8-8c4.406 0 8 3.594 8 8V480c0 17.64 14.34 32 32 32s32-14.36 32-32V256C215.1 251.6 212.4 248 207.1 248zM164.3 128H123.7c-29.84 0-56.19 17.97-67.03 45.75L.5609 317.1c-1.625 4.125 .4063 8.766 4.531 10.38c4.063 1.609 8.75-.4062 10.34-4.531l56.09-143.3C79.1 157.1 100.5 144 123.7 144h40.63c23.22 0 43.69 13.97 52.16 35.59l56.09 143.3C273.8 326.1 276.8 328 279.1 328c.9688 0 1.969-.1719 2.906-.5469c4.125-1.609 6.156-6.25 4.531-10.38L231.3 173.8C220.5 145.1 194.2 128 164.3 128z"],
    "restroom-simple": [576, 512, [], "e23a", "M448 128c35.38 0 64-28.62 64-64s-28.62-64-64-64s-64 28.62-64 64S412.6 128 448 128zM448 16c26.47 0 48 21.53 48 48S474.5 112 448 112S400 90.47 400 64S421.5 16 448 16zM575.4 363.6l-51.54-180.4C519.9 169.5 507.4 160 493.1 160h-90.13c-14.29 0-26.84 9.471-30.77 23.21l-51.54 180.4C317.7 373.8 325.4 384 336 384H376v96c0 17.64 14.34 32 32 32s32-14.36 32-32v-96h16v96c0 17.64 14.34 32 32 32s32-14.36 32-32v-96h39.99C570.6 384 578.3 373.8 575.4 363.6zM424 480c0 8.828-7.188 16-16 16s-16-7.172-16-16v-96h32V480zM504 480c0 8.828-7.188 16-16 16s-16-7.172-16-16v-96h32V480zM336 368l51.54-180.4C389.5 180.8 395.8 176 402.9 176h90.13c7.105 0 13.43 4.771 15.38 11.6L559.1 368H336zM96 128c35.38 0 64-28.62 64-64S131.4 0 96 0S32 28.62 32 64S60.63 128 96 128zM96 16c26.47 0 48 21.53 48 48S122.5 112 96 112S48 90.47 48 64S69.53 16 96 16zM128 160H64C28.65 160 0 188.7 0 224v96c0 17.67 14.33 32 32 32H24v128c0 17.64 14.34 32 32 32s32-14.36 32-32v-128h16v128c0 17.64 14.34 32 32 32s32-14.36 32-32v-128H160c17.67 0 32-14.33 32-32V224C192 188.7 163.3 160 128 160zM72 480c0 8.828-7.188 16-16 16s-16-7.172-16-16v-128h32V480zM152 480c0 8.828-7.188 16-16 16s-16-7.172-16-16v-128h32V480zM176 320c0 8.822-7.178 16-16 16H32c-8.822 0-16-7.178-16-16V224c0-26.47 21.53-48 48-48h64c26.47 0 48 21.53 48 48V320zM256 0C251.6 0 248 3.594 248 8v496C248 508.4 251.6 512 256 512s8-3.594 8-8V8C264 3.594 260.4 0 256 0z"],
    "retweet": [640, 512, [], "f079", "M312 400H144c-13.23 0-24-10.78-24-24V208h79.17c9.984 0 18.69-5.719 22.7-14.94c4.047-9.281 2.297-19.69-4.594-27.09L130.1 71.94c-9.344-10.06-26.88-10.06-36.22 0L6.719 165.1c-6.891 7.406-8.641 17.81-4.594 27.09C6.141 202.3 14.84 208 24.83 208H104v168C104 398.1 121.9 416 144 416h168C316.4 416 320 412.4 320 408S316.4 400 312 400zM24.83 192c-7.721 0-11.7-9.426-6.391-15.16L105.6 82.81c3.928-4.219 9.742-3.264 12.78 0l87.17 94.03C210.9 182.6 206.9 192 199.2 192H24.83zM605.9 318.9C601.9 309.7 593.2 304 583.2 304H504V136C504 113.9 486.1 96 464 96H296C291.6 96 288 99.59 288 104S291.6 112 296 112h168c13.23 0 24 10.78 24 24V304h-79.17c-9.984 0-18.69 5.719-22.7 14.94c-4.047 9.281-2.297 19.69 4.594 27.09l87.17 94.03C482.6 445.1 489.2 448 496 448s13.44-2.906 18.11-7.938l87.17-94.03C608.2 338.6 609.9 328.2 605.9 318.9zM589.6 335.2l-87.17 94.03c-3.375 3.625-9.406 3.625-12.78 0l-87.17-94.03C397.1 329.4 401.1 320 408.8 320h174.3C590.9 320 594.9 329.4 589.6 335.2z"],
    "rhombus": [448, 512, [], "e23b", "M224 0C235.7 0 246.9 5.14 254.4 14.06L438.4 230.1C451.2 245 451.2 266.1 438.4 281.9L254.4 497.9C246.8 506.9 235.7 512 224 512C212.3 512 201.2 506.9 193.6 497.9L9.55 281.9C-3.183 266.1-3.183 245 9.55 230.1L193.6 14.06C201.2 5.14 212.3 0 224 0V0zM242.3 24.44C237.7 19.08 231 16 224 16C216.1 16 210.3 19.08 205.7 24.44L21.73 240.4C14.09 249.4 14.09 262.6 21.73 271.6L205.7 487.6C210.3 492.9 216.1 496 224 496C231 496 237.7 492.9 242.3 487.6L426.3 271.6C433.9 262.6 433.9 249.4 426.3 240.4L242.3 24.44z"],
    "ribbon": [448, 512, [127895], "f4d6", "M184.5 406.5l-75.63 84.4c-5.141 5.627-13.64 6.658-21.34 1.594l-64.81-26.23c-3.672-2.501-6-6.283-6.563-10.69c-.5469-4.408 .7656-8.69 3.672-11.97l105.8-118c2.953-3.282 2.672-8.346-.6094-11.32c-3.266-2.876-8.313-2.626-11.3 .6252l-105.9 118.1c-5.938 6.752-8.703 15.72-7.578 24.6c1.109 8.909 6.016 16.88 14.91 22.73l64.78 26.2c5.281 3.626 11.38 5.408 17.47 5.408c8.578 0 17.13-3.532 23.28-10.28l75.67-84.43c2.953-3.282 2.672-8.346-.6094-11.32C192.5 403 187.4 403.3 184.5 406.5zM440 432.9c-63.87-71.34-213.1-238.1-265.4-297.3c14.85-4.857 31.07-7.864 49.29-7.864c18.42 0 34.73 3.167 49.69 8.149c-6.227 7.178-13.62 15.64-23.8 27.14c-2.922 3.314-2.609 8.378 .7031 11.32c1.516 1.344 3.406 2.001 5.297 2.001c2.203 0 4.406-.9065 6-2.688c40.78-46.14 43.02-49.92 43.73-51.17c2.203-3.751 .9532-8.471-2.75-10.75c-3.672-2.376-8.625-1.094-10.98 2.532c-.5332 .8245-3.102 3.952-6.834 8.378c-18.12-6.987-38.39-10.91-61.06-10.91c-22.54 0-42.46 4.242-60.5 11.14c-3.934-4.492-6.822-7.821-7.42-8.604C153.7 110.6 148.8 109.3 145 111.7c-3.766 2.282-4.953 7.221-2.656 10.97c3.297 5.408 200.9 226.3 285.7 320.1c3 3.345 4.344 7.596 3.797 12.03c-.5313 4.283-2.875 8.096-4.938 9.722l-67.94 27.82c-6.188 4.22-14.63 3.22-19.66-2.376L100.1 224.1C57.29 176.5 88.53 123.4 89.9 121.2l42.09-71.05c3.469-5.939 8.125-10.94 13.75-14.85c38.05-25.85 118.4-25.85 156.3-.0625c5.719 3.97 10.36 8.971 13.83 14.94l42.19 71.24c19.42 32.92 15.34 74.09-10.17 102.5L328.1 246.1c-2.938 3.314-2.656 8.378 .6406 11.32c3.281 2.97 8.359 2.626 11.3-.6252l19.81-22.19c30.19-33.6 35.03-82.37 12.03-121.3l-42.17-71.21c-4.625-7.94-10.86-14.69-18.56-20.04C268-7.346 179.1-7.346 136.7 22.07C129.1 27.35 122.8 34.07 118.2 41.98L76.18 112.9c-1.609 2.626-38.63 65.55 11.98 121.9l239.3 266.7C333.7 508.5 342.5 512 350.9 512c5.656 0 11.16-1.594 15.67-4.783l67.89-27.79c7.359-5.002 12.22-12.94 13.31-21.79C448.9 448.7 446 439.7 440 432.9z"],
    "right": [448, 512, [11157, "arrow-alt-right"], "f356", "M32 320h192v96c0 12.94 7.797 24.61 19.75 29.56C247.7 447.2 251.9 448 255.1 448c8.326 0 16.51-3.25 22.63-9.375l160-160C444.9 272.4 448 264.2 448 256s-3.125-16.38-9.375-22.62l-160-160C272.5 67.25 264.3 64 255.1 64c-4.123 0-8.281 .7969-12.25 2.438C231.8 71.39 224 83.06 224 96v96H32C14.33 192 0 206.3 0 224v64C0 305.7 14.33 320 32 320zM16 224c0-8.822 7.178-16 16-16h208V96c0-6.492 3.877-12.29 9.867-14.78C251.8 80.41 253.9 80 255.1 80c4.273 0 8.291 1.666 11.31 4.689l160 160C430.3 247.7 432 251.7 432 256c0 4.271-1.666 8.289-4.689 11.31l-160 160C264.3 430.3 260.3 432 255.1 432c-2.107 0-4.17-.4102-6.121-1.219C243.9 428.3 240 422.5 240 415.1V304H32C23.18 304 16 296.8 16 288V224z"],
    "right-from-bracket": [512, 512, ["sign-out-alt"], "f2f5", "M40 480h80C124.4 480 128 476.4 128 472S124.4 464 120 464h-80c-13.23 0-24-10.77-24-24V72c0-13.23 10.77-24 24-24h80C124.4 48 128 44.42 128 40S124.4 32 120 32h-80C17.94 32 0 49.94 0 72v368C0 462.1 17.94 480 40 480zM502.6 233.4l-128-128c-9.156-9.156-22.91-11.91-34.88-6.938C327.8 103.4 320 115.1 320 128l.0918 63.1L160 192C142.3 192 128 206.3 128 224v64c0 17.67 14.33 32 32 32l160.1-.001L320 384c0 12.94 7.797 24.62 19.75 29.56c11.97 4.969 25.72 2.219 34.88-6.938l128-128C508.9 272.4 512 264.2 512 256S508.9 239.6 502.6 233.4zM491.3 267.3l-128 128c-4.596 4.598-11.44 5.961-17.45 3.463C339.9 396.3 336 390.5 336 384V304H160C151.2 304 144 296.8 144 288V224c0-8.822 7.178-16 16-16h176V128c0-6.502 3.869-12.3 9.885-14.79c5.988-2.486 12.83-1.123 17.43 3.475l128 128C494.3 247.7 496 251.7 496 256S494.3 264.3 491.3 267.3z"],
    "right-from-line": [448, 512, ["arrow-alt-from-left"], "f347", "M0 72v368C0 444.4 3.582 448 8 448s8-3.582 8-8V72C16 67.58 12.42 64 8 64S0 67.58 0 72zM256.2 120V192H128.1C110.4 192 96.05 206.3 96.05 224v64c0 17.67 14.35 32 32.04 32h128.1v72c0 9.578 5.708 18.25 14.51 22.05c8.803 3.781 19.03 1.984 26-4.594l144.1-136C445.6 268.9 448 262.5 448 256s-2.399-12.92-7.2-17.45l-144.1-136c-6.973-6.578-17.2-8.375-26-4.594C261.9 101.8 256.2 110.4 256.2 120zM285.7 114.2l144.1 135.1C431.2 251.5 432 253.6 432 256s-.8164 4.527-2.184 5.816l-144.1 135.1c-2.332 2.201-5.75 2.801-8.686 1.541c-2.945-1.271-4.848-4.158-4.848-7.355V304H128.1c-8.836 0-16.02-7.178-16.02-16V224c0-8.822 7.188-16 16.02-16h144.1V120c0-3.197 1.902-6.084 4.826-7.346C279.1 111.4 283.4 111.1 285.7 114.2z"],
    "right-left": [512, 512, ["exchange-alt"], "f362", "M504 375.1H160V263.1C160 260.9 158.2 258 155.4 256.7C152.6 255.4 149.3 255.9 146.9 257.8l-144 120C1.063 379.4 0 381.6 0 383.1s1.062 4.622 2.875 6.153l144 120C148.3 511.4 150.2 512 152 512c1.156 0 2.312-.25 3.391-.75C158.2 509.9 160 507.1 160 503.1v-112h344c4.422 0 8-3.589 8-7.995C512 379.6 508.4 375.1 504 375.1zM144 486.9l-123.5-102.9L144 281.1V486.9zM8 135.1H352v112c0 3.094 1.797 5.938 4.609 7.25C357.7 255.7 358.8 255.1 360 255.1c1.844 0 3.656-.625 5.125-1.844l144-120C510.9 132.6 512 130.4 512 127.1s-1.062-4.634-2.875-6.166l-144-120c-2.375-1.969-5.719-2.344-8.516-1.094C353.8 2.036 352 4.879 352 7.973v112H8c-4.422 0-8 3.61-8 8.017C0 132.4 3.578 135.1 8 135.1zM368 25.07l123.5 102.9L368 230.9V25.07z"],
    "right-long": [512, 512, ["long-arrow-alt-right"], "f30b", "M320.2 120l.1521 72l-288.3-.001c-17.69 0-32.02 14.33-32.02 31.1v63.1c0 17.67 14.34 31.1 32.02 31.1l288.3-.001l-.1521 72c0 9.578 5.709 18.25 14.51 22.05c8.803 3.781 19.03 1.984 26-4.594l144.1-135.1c4.801-4.531 7.202-10.99 7.202-17.45s-2.401-12.92-7.202-17.45l-144.1-135.1c-6.973-6.578-17.2-8.375-26-4.594C325.9 101.8 320.2 110.4 320.2 120zM349.7 114.2l144.1 135.1c1.367 1.291 2.184 3.467 2.184 5.818s-.8164 4.527-2.184 5.816l-144.1 135.1c-2.332 2.201-5.75 2.801-8.686 1.541c-2.945-1.271-4.848-4.158-4.848-7.355V303.1H32.02c-8.836 0-16.02-7.178-16.02-15.1V224c0-8.822 7.188-15.1 16.02-15.1h304.2V120c0-3.197 1.902-6.084 4.826-7.346C343.1 111.4 347.4 111.1 349.7 114.2z"],
    "right-long-to-line": [640, 512, [], "e444", "M640 440C640 444.4 636.4 448 632 448C627.6 448 624 444.4 624 440V72C624 67.58 627.6 64 632 64C636.4 64 640 67.58 640 72V440zM352.3 192L352.2 120C352.2 110.4 357.9 101.8 366.7 97.95C375.5 94.17 385.7 95.97 392.7 102.5L536.8 238.5C541.6 243.1 544 249.5 544 256C544 262.5 541.6 268.9 536.8 273.5L392.7 409.5C385.7 416 375.5 417.8 366.7 414C357.9 410.2 352.2 401.6 352.2 392L352.3 319.1L32.02 319.1C14.34 319.1 0 305.7 0 287.1V224C0 206.3 14.34 192 32.02 192L352.3 192zM525.8 250.2L381.7 114.2C379.4 111.1 375.1 111.4 373 112.7C370.1 113.9 368.2 116.8 368.2 120V208H32.02C23.19 208 16 215.2 16 224V287.1C16 296.8 23.19 303.1 32.02 303.1H368.2V392C368.2 395.2 370.1 398.1 373 399.4C375.1 400.6 379.4 400 381.7 397.8L525.8 261.8C527.2 260.5 528 258.4 528 256C528 253.6 527.2 251.5 525.8 250.2V250.2z"],
    "right-to-bracket": [512, 512, ["sign-in-alt"], "f2f6", "M472 32h-80C387.6 32 384 35.58 384 40s3.578 8 8 8h80c13.23 0 24 10.77 24 24v368c0 13.23-10.77 24-24 24h-80c-4.422 0-8 3.578-8 8S387.6 480 392 480h80c22.06 0 40-17.94 40-40V72C512 49.94 494.1 32 472 32zM374.6 233.4l-128-128C237.5 96.22 223.7 93.47 211.8 98.44C199.8 103.4 192 115.1 192 128v64H32.02C14.34 192 0 206.3 0 224v64c0 17.67 14.34 32 32.02 32H192v64c0 12.94 7.797 24.62 19.75 29.56c11.97 4.969 25.72 2.219 34.88-6.938l128-128C380.9 272.4 384 264.2 384 256S380.9 239.6 374.6 233.4zM363.3 267.3l-128 128c-4.596 4.598-11.44 5.961-17.45 3.463C211.9 396.3 208 390.5 208 384V304H32C23.18 304 16 296.8 16 288V224c0-8.822 7.178-16 16-16h176V128c0-6.502 3.869-12.3 9.885-14.79c5.988-2.486 12.83-1.123 17.43 3.475l128 128C366.3 247.7 368 251.7 368 256S366.3 264.3 363.3 267.3z"],
    "right-to-line": [448, 512, ["arrow-alt-to-right"], "f34c", "M432 72v368c0 4.418 3.582 8 8 8S448 444.4 448 440V72C448 67.58 444.4 64 440 64S432 67.58 432 72zM160.1 119.1L160.1 191.1L32.05 191.1c-17.69 0-32.02 14.33-32.02 32V287.1c0 17.67 14.34 32 32.02 32l128.1 .0003L160.1 392c0 9.578 5.708 18.25 14.51 22.05c8.803 3.781 19.03 1.984 26-4.594l144.1-136C349.6 268.9 352 262.5 352 256s-2.446-12.92-7.247-17.45L200.6 102.5C193.7 95.96 183.5 94.17 174.6 97.95C165.8 101.7 160.1 110.4 160.1 119.1zM189.7 114.2l144.1 135.1C335.2 251.5 336 253.6 336 256s-.8164 4.527-2.184 5.816l-144.1 135.1c-2.332 2.201-5.75 2.801-8.686 1.541C178.1 398.1 176.2 395.2 176.2 392V304H32.09c-8.836 0-16.02-7.178-16.02-16V224c0-8.822 7.188-16 16.02-16h144.1V120c0-3.197 1.902-6.084 4.826-7.346C183.1 111.4 187.4 111.1 189.7 114.2z"],
    "ring": [512, 512, [], "f70b", "M256 64C114.6 64 0 121.3 0 192v128c0 70.69 114.6 128 256 128s256-57.31 256-128V192C512 121.3 397.4 64 256 64zM256 80c130.1 0 240 51.29 240 112c0 19.59-11.57 38.16-31.45 54.38C418.2 213.6 342.4 192 256 192S93.79 213.6 47.45 246.4C27.57 230.2 16 211.6 16 192C16 131.3 125.9 80 256 80zM451.1 256.1C407.1 284.8 335.4 304 256 304S104.9 284.8 60.9 256.1C104.8 227.3 176.4 208 256 208S407.2 227.3 451.1 256.1zM496 320c0 60.71-109.9 112-240 112S16 380.7 16 320V236.2C52.03 285.1 145.7 320 256 320s203.1-34.92 240-83.8V320z"],
    "ring-diamond": [384, 512, [], "e5ab", "M132.7 10.05C137.2 3.743 144.5 0 152.2 0H231.8C239.5 0 246.8 3.743 251.3 10.05L283.3 54.86C287.2 60.27 287.3 67.5 283.6 73.03L242.5 134.7C324 156.9 384 231.4 384 320C384 426 298 512 192 512C85.96 512 0 426 0 320C0 231.4 59.97 156.9 141.5 134.7L100.4 73.03C96.72 67.5 96.84 60.27 100.7 54.86L132.7 10.05zM118.9 72L158.3 130.1C169.2 129 180.5 128 192 128C203.5 128 214.8 129 225.7 130.1L265.1 72H118.9zM264.5 56L238.3 19.35C236.8 17.25 234.3 16 231.8 16H152.2C149.7 16 147.2 17.25 145.7 19.35L119.5 56H264.5zM192 496C289.2 496 368 417.2 368 320C368 222.8 289.2 144 192 144C94.8 144 16 222.8 16 320C16 417.2 94.8 496 192 496z"],
    "rings-wedding": [512, 512, [], "f81b", "M159.6 431.2C77.75 422.9 16 354.4 16 272c0-88.22 71.78-160 160-160s160 71.78 160 160c0 58.75-32.11 112.7-83.81 140.8c-3.891 2.094-5.328 6.969-3.219 10.84C251.1 427.5 256 428.9 259.8 426.8C316.7 395.1 352 336.6 352 271.1c0-82.61-57.3-151.9-134.2-170.8l36.88-56.13c1.984-3.031 1.703-7-.6879-9.688L225.2 2.719C223.7 1 221.5 0 219.2 0H132.8c-2.297 0-4.484 1-6 2.719L97.1 35.41C95.61 38.09 95.33 42.06 97.31 45.09l36.88 56.13C57.3 120.1 0 189.4 0 271.1c0 90.69 67.94 165.9 158 175.1c.2813 .0313 .5469 .0313 .8281 .0313c4.047 0 7.531-3.062 7.938-7.188C167.2 435.5 164 431.6 159.6 431.2zM114 41.41L136.4 16h79.19l22.38 25.41L200.8 97.96C192.7 96.8 184.4 96 176 96S159.3 96.8 151.2 97.96L114 41.41zM386.3 167.3c-4.25-1.375-8.703 1.156-9.953 5.375s1.156 8.688 5.391 9.938C449 202.7 496 265.7 496 336c0 88.22-71.78 160-160 160s-160-71.78-160-160c0-59.91 33.05-114.3 86.22-141.1c3.922-2.032 5.453-6.875 3.406-10.78c-2.047-3.938-6.938-5.469-10.78-3.406C196.3 210.3 160 270.1 160 335.1C160 433.1 238.1 512 336 512s176-78.95 176-176C512 258.7 460.3 189.3 386.3 167.3z"],
    "road": [576, 512, [128739], "f018", "M296 312C296 316.4 292.4 320 288 320C283.6 320 280 316.4 280 312V200C280 195.6 283.6 192 288 192C292.4 192 296 195.6 296 200V312zM390.6 32C414 32 434.1 46.58 443.1 68.55L567.5 404.6C581.1 441.1 554 480 515 480H60.96C21.96 480-5.096 441.1 8.45 404.6L132.9 68.55C141 46.58 161.1 32 185.4 32H390.6zM23.45 410.1C13.78 436.2 33.1 464 60.96 464H280V408C280 403.6 283.6 400 288 400C292.4 400 296 403.6 296 408V464H515C542.9 464 562.2 436.2 552.5 410.1L428.1 74.11C422.3 58.42 407.3 48 390.6 48H296V104C296 108.4 292.4 112 288 112C283.6 112 280 108.4 280 104V48H185.4C168.7 48 153.7 58.42 147.9 74.11L23.45 410.1z"],
    "road-barrier": [640, 512, [], "e562", "M8 32C12.42 32 16 35.58 16 40V80H624V40C624 35.58 627.6 32 632 32C636.4 32 640 35.58 640 40V472C640 476.4 636.4 480 632 480C627.6 480 624 476.4 624 472V304H16V472C16 476.4 12.42 480 8 480C3.582 480 0 476.4 0 472V40C0 35.58 3.582 32 8 32zM624 288V96H616.9L520.9 288H624zM23.06 288L119.1 96H16V288H23.06zM599.1 96H456.9L360.9 288H503.1L599.1 96zM40.94 288H183.1L279.1 96H136.9L40.94 288zM200.9 288H343.1L439.1 96H296.9L200.9 288z"],
    "road-bridge": [640, 512, [], "e563", "M480 192C484.4 192 488 195.6 488 200V312C488 316.4 484.4 320 480 320C475.6 320 472 316.4 472 312V200C472 195.6 475.6 192 480 192zM384 0H576C611.3 0 640 28.65 640 64V448C640 483.3 611.3 512 576 512H384C348.7 512 320 483.3 320 448V64C320 28.65 348.7 0 384 0zM576 16H488V96C488 100.4 484.4 104 480 104C475.6 104 472 100.4 472 96V16H384C357.5 16 336 37.49 336 64V448C336 474.5 357.5 496 384 496H472V416C472 411.6 475.6 408 480 408C484.4 408 488 411.6 488 416V496H576C602.5 496 624 474.5 624 448V64C624 37.49 602.5 16 576 16zM8 96H288V112H232V192H288V208H8C3.582 208 0 204.4 0 200C0 195.6 3.582 192 8 192H88V112H8C3.582 112 0 108.4 0 104C0 99.58 3.582 96 8 96zM216 112H104V192H216V112zM272 304H288V320H272C232.2 320 200 352.2 200 392V472C200 494.1 182.1 512 160 512H128C105.9 512 88 494.1 88 472V392C88 352.2 55.76 320 16 320H8C3.582 320 0 316.4 0 312C0 307.6 3.582 304 8 304H16C64.6 304 104 343.4 104 392V472C104 485.3 114.7 496 128 496H160C173.3 496 184 485.3 184 472V392C184 343.4 223.4 304 272 304z"],
    "road-circle-check": [640, 512, [], "e564", "M422.6 32C446 32 466.1 46.58 475.1 68.55L521.5 193.8C515.7 192.1 509.8 192.4 503.8 192.2L460.1 74.11C454.3 58.42 439.3 48 422.6 48H328V104C328 108.4 324.4 112 319.1 112C315.6 112 311.1 108.4 311.1 104V48H217.4C200.7 48 185.7 58.42 179.9 74.11L55.45 410.1C45.78 436.2 65.1 464 92.96 464H311.1V408C311.1 403.6 315.6 400 319.1 400C321.1 400 322.1 400.2 323 400.6C324.3 407.4 325.1 414.1 328 420.6V464H348.5C352.1 469.6 356 474.9 360.2 480H92.96C53.96 480 26.9 441.1 40.45 404.6L164.9 68.55C173 46.58 193.1 32 217.4 32H422.6zM328 312C328 316.4 324.4 320 320 320C315.6 320 312 316.4 312 312V200C312 195.6 315.6 192 320 192C324.4 192 328 195.6 328 200V312zM565.7 322.3C568.8 325.5 568.8 330.5 565.7 333.7L485.7 413.7C482.5 416.8 477.5 416.8 474.3 413.7L426.3 365.7C423.2 362.5 423.2 357.5 426.3 354.3C429.5 351.2 434.5 351.2 437.7 354.3L480 396.7L554.3 322.3C557.5 319.2 562.5 319.2 565.7 322.3H565.7zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 496C566.7 496 624 438.7 624 368C624 297.3 566.7 240 496 240C425.3 240 368 297.3 368 368C368 438.7 425.3 496 496 496z"],
    "road-circle-exclamation": [640, 512, [], "e565", "M422.6 32C446 32 466.1 46.58 475.1 68.55L521.5 193.8C515.7 192.1 509.8 192.4 503.8 192.2L460.1 74.11C454.3 58.42 439.3 48 422.6 48H328V104C328 108.4 324.4 112 319.1 112C315.6 112 311.1 108.4 311.1 104V48H217.4C200.7 48 185.7 58.42 179.9 74.11L55.45 410.1C45.78 436.2 65.1 464 92.96 464H311.1V408C311.1 403.6 315.6 400 319.1 400C321.1 400 322.1 400.2 323 400.6C324.3 407.4 325.1 414.1 328 420.6V464H348.5C352.1 469.6 356 474.9 360.2 480H92.96C53.96 480 26.9 441.1 40.45 404.6L164.9 68.55C173 46.58 193.1 32 217.4 32H422.6zM328 312C328 316.4 324.4 320 320 320C315.6 320 312 316.4 312 312V200C312 195.6 315.6 192 320 192C324.4 192 328 195.6 328 200V312zM480 432C480 423.2 487.2 416 496 416C504.8 416 512 423.2 512 432C512 440.8 504.8 448 496 448C487.2 448 480 440.8 480 432zM495.1 280C500.4 280 503.1 283.6 503.1 288V384C503.1 388.4 500.4 392 495.1 392C491.6 392 487.1 388.4 487.1 384V288C487.1 283.6 491.6 280 495.1 280zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 240C425.3 240 368 297.3 368 368C368 438.7 425.3 496 496 496C566.7 496 624 438.7 624 368C624 297.3 566.7 240 496 240z"],
    "road-circle-xmark": [640, 512, [], "e566", "M422.6 32C446 32 466.1 46.58 475.1 68.55L521.5 193.8C515.7 192.1 509.8 192.4 503.8 192.2L460.1 74.11C454.3 58.42 439.3 48 422.6 48H328V104C328 108.4 324.4 112 319.1 112C315.6 112 311.1 108.4 311.1 104V48H217.4C200.7 48 185.7 58.42 179.9 74.11L55.45 410.1C45.78 436.2 65.1 464 92.96 464H311.1V408C311.1 403.6 315.6 400 319.1 400C321.1 400 322.1 400.2 323 400.6C324.3 407.4 325.1 414.1 328 420.6V464H348.5C352.1 469.6 356 474.9 360.2 480H92.96C53.96 480 26.9 441.1 40.45 404.6L164.9 68.55C173 46.58 193.1 32 217.4 32H422.6zM328 312C328 316.4 324.4 320 320 320C315.6 320 312 316.4 312 312V200C312 195.6 315.6 192 320 192C324.4 192 328 195.6 328 200V312zM557.7 418.3C560.8 421.5 560.8 426.5 557.7 429.7C554.5 432.8 549.5 432.8 546.3 429.7L496 379.3L445.7 429.7C442.5 432.8 437.5 432.8 434.3 429.7C431.2 426.5 431.2 421.5 434.3 418.3L484.7 368L434.3 317.7C431.2 314.5 431.2 309.5 434.3 306.3C437.5 303.2 442.5 303.2 445.7 306.3L496 356.7L546.3 306.3C549.5 303.2 554.5 303.2 557.7 306.3C560.8 309.5 560.8 314.5 557.7 317.7L507.3 368L557.7 418.3zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 240C425.3 240 368 297.3 368 368C368 438.7 425.3 496 496 496C566.7 496 624 438.7 624 368C624 297.3 566.7 240 496 240z"],
    "road-lock": [640, 512, [], "e567", "M422.6 32C446 32 466.1 46.58 475.1 68.55L509.5 161.5C504.2 162.4 498.9 163.7 493.9 165.3L460.1 74.11C454.3 58.42 439.3 48 422.6 48H328V104C328 108.4 324.4 112 320 112C315.6 112 312 108.4 312 104V48H217.4C200.7 48 185.7 58.42 179.9 74.11L55.45 410.1C45.78 436.2 65.1 464 92.96 464H312V408C312 403.6 315.6 400 320 400C324.4 400 328 403.6 328 408V464H384V480H92.96C53.96 480 26.9 441.1 40.45 404.6L164.9 68.55C173 46.58 193.1 32 217.4 32L422.6 32zM328 312C328 316.4 324.4 320 320 320C315.6 320 312 316.4 312 312V200C312 195.6 315.6 192 320 192C324.4 192 328 195.6 328 200V312zM528 192C563.3 192 592 220.7 592 256V320H608C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320H464V256C464 220.7 492.7 192 528 192zM528 208C501.5 208 480 229.5 480 256V320H576V256C576 229.5 554.5 208 528 208zM432 352V480C432 488.8 439.2 496 448 496H608C616.8 496 624 488.8 624 480V352C624 343.2 616.8 336 608 336H448C439.2 336 432 343.2 432 352z"],
    "road-spikes": [640, 512, [], "e568", "M448 255.1V116.8C448 101 468.5 94.79 477.3 107.1L606.8 302.2C621 323.5 605.8 351.1 580.2 351.1L64 352V116.8C64 101 84.53 94.8 93.31 107.1L192 256V116.8C192 101 212.5 94.8 221.3 107.1L320 256V116.8C320 101 340.5 94.8 349.3 107.1L448 255.1zM593.5 311.1L464 116.8V335.1H580.2C592.1 335.1 600.6 321.8 593.5 311.1zM448 284.8L336 116.8V336H448V284.8zM320 284.8L208 116.8V336H320V284.8zM80 336H192V284.8L80 116.8V336zM0 439.1C0 435.6 3.582 431.1 8 431.1H632C636.4 431.1 640 435.6 640 439.1C640 444.4 636.4 447.1 632 447.1H8C3.582 447.1 0 444.4 0 439.1z"],
    "robot": [640, 512, [129302], "f544", "M224 208C197.5 208 176 229.5 176 256S197.5 304 224 304S272 282.5 272 256S250.5 208 224 208zM224 288C206.3 288 192 273.7 192 256s14.33-32 32-32c17.67 0 32 14.33 32 32S241.7 288 224 288zM40 208L64 208c4.406 0 8-3.633 8-8.039S68.41 192 64 192H40C17.94 192 0 209.9 0 232v144C0 398.1 17.94 416 40 416H64c4.406 0 8-3.594 8-8S68.34 400 63.94 400H40c-13.22 0-24-10.78-24-24v-144C16 218.8 26.78 208 40 208zM416 208c-26.47 0-48 21.53-48 48s21.53 48 48 48s48-21.53 48-48S442.5 208 416 208zM416 288c-17.67 0-32-14.33-32-32s14.33-32 32-32c17.67 0 32 14.33 32 32S433.7 288 416 288zM448 96h-120V8C328 3.594 324.4 0 320 0S312 3.594 312 8V96H192C138.1 96 96 138.1 96 192v224c0 53.02 42.98 96 96 96h256c53.02 0 96-42.98 96-96V192C544 138.1 501 96 448 96zM528 400h-40c-4.406 0-8 3.594-8 8S483.6 416 488 416h40c0 44.11-35.89 80-80 80H192c-44.11 0-80-35.89-80-80h40C156.4 416 160 412.4 160 408S156.4 400 152 400H112V192c0-44.11 35.89-80 80-80h256c44.11 0 80 35.89 80 80V400zM600 192H576c-4.406 0-8 3.594-8 8s3.656 8 8.062 8H600c13.22 0 24 10.78 24 24v144c0 13.22-10.78 24-24 24L576 399.1c-4.406 0-8 3.633-8 8.039S571.6 416 576 416h24c22.06 0 40-17.94 40-40v-144C640 209.9 622.1 192 600 192zM248 400h-48C195.6 400 192 403.6 192 408S195.6 416 200 416h48C252.4 416 256 412.4 256 408S252.4 400 248 400zM344 400h-48C291.6 400 288 403.6 288 408S291.6 416 296 416h48c4.406 0 8-3.594 8-8S348.4 400 344 400zM440 400h-48c-4.406 0-8 3.594-8 8S387.6 416 392 416h48c4.406 0 8-3.594 8-8S444.4 400 440 400z"],
    "robot-astromech": [512, 512, [], "e2d2", "M303.1 96c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16s16-7.164 16-16C319.1 103.2 312.8 96 303.1 96zM312 304H199.1c-4.406 0-8 3.578-8 8s3.594 8 8 8h112c4.406 0 8-3.578 8-8S316.4 304 312 304zM312 240H199.1c-4.406 0-8 3.578-8 8S195.6 256 199.1 256h112c4.406 0 8-3.578 8-8S316.4 240 312 240zM511 500.1l-47-85.47V227.6C464 199.1 440.9 176 412.4 176h-12.36l-.002-25.71C400 94.64 358.1 0 255.1 0c-79.53 0-144 64.47-144 144l.002 32H99.62c-28.51 0-51.63 23.11-51.63 51.63v187l-47 85.47C.3281 501.3 0 502.7 0 503.1C0 508.1 3.316 512 7.994 512h103.1c8.836 0 16-7.164 16-16l.0039-104L183.1 448h144l56-56L384 496c0 8.836 7.164 16 16 16h104C508.7 512 512 508.2 512 503.1C512 502.7 511.7 501.3 511 500.1zM21.53 496l41.47-75.41c.6562-1.188 1-2.516 1-3.859V227.6C63.99 207.1 79.96 192 99.62 192h12.37l.002 304H21.53zM321.4 432H190.6l-62.63-62.63L127.1 192h256l.002 177.4L321.4 432zM384 176H127.1v-32c0-70.58 57.42-128 128-128s128 57.42 128 128V176zM400 496L400 192h12.38c19.66 0 35.63 15.98 35.63 35.64v189.1c0 1.344 .3438 2.672 1 3.859L490.5 496H400zM224 56C201.9 56 183.1 73.94 183.1 96S201.9 136 224 136c22.06 0 40-17.94 40-40S246.1 56 224 56zM224 120C210.8 120 199.1 109.2 199.1 96S210.8 72 224 72c13.22 0 24 10.77 24 24S237.2 120 224 120z"],
    "rocket": [512, 512, [], "f135", "M424 144C424 174.9 398.9 200 368 200C337.1 200 312 174.9 312 144C312 113.1 337.1 88 368 88C398.9 88 424 113.1 424 144zM368 184C390.1 184 408 166.1 408 144C408 121.9 390.1 104 368 104C345.9 104 328 121.9 328 144C328 166.1 345.9 184 368 184zM166.5 394.8L115.8 344.1C106.6 334.9 103.9 321.1 109.1 309.2C111.7 303.2 114.9 296 118.5 288H25.89C8.047 288-3.556 269.2 4.422 253.3L51.58 158.1C61.06 139.1 80.45 128 101.7 128H199.9C202.4 124 204.8 120.3 207.2 116.7C289.1-4.07 411.1-8.142 483.9 5.275C495.6 7.414 504.6 16.43 506.7 28.06C520.1 100.9 516.1 222.9 395.3 304.8C391.7 307.2 387.1 309.6 384 312.1V410.3C384 431.5 372 450.9 353 460.4L258.7 507.6C242.8 515.6 223.1 503.1 223.1 486.1V391.8C215.2 395.6 207.4 398.9 200.1 401.7C189.1 406.6 175.5 403.9 166.5 394.8L166.5 394.8zM127.1 332.8L177.8 383.5C182.4 388 189 389.3 194.8 386.9C237.1 369.1 335.2 326.2 386.3 291.5C499.6 214.7 503.8 100.7 490.1 30.95C490.1 25.86 486.1 21.95 481 21.01C411.3 8.171 297.3 12.36 220.5 125.7C185.1 176.6 142.2 273.5 123.8 315.6C121.2 321.4 122.5 328.2 127.1 332.8V332.8zM25.89 272H125.7C143.2 233.7 167.3 183.2 190.2 144H101.7C86.51 144 72.66 152.6 65.89 166.1L18.73 260.4C16.07 265.7 19.94 272 25.89 272H25.89zM239.1 486.1C239.1 492.1 246.3 495.9 251.6 493.3L345.9 446.1C359.4 439.3 368 425.5 368 410.3V321.7C328.9 344.2 278.5 367.8 239.1 384.8V486.1z"],
    "rocket-launch": [512, 512, [128640], "e027", "M424 143.1C424 174.9 398.9 199.1 368 199.1C337.1 199.1 312 174.9 312 143.1C312 113.1 337.1 87.1 368 87.1C398.9 87.1 424 113.1 424 143.1zM368 183.1C390.1 183.1 408 166.1 408 143.1C408 121.9 390.1 103.1 368 103.1C345.9 103.1 328 121.9 328 143.1C328 166.1 345.9 183.1 368 183.1zM353 460.4L258.7 507.6C242.8 515.6 224 503.1 224 486.1V375.6C224 352.4 214.8 330.1 198.3 313.7C181.9 297.2 159.6 288 136.4 288H25.89C8.047 288-3.556 269.2 4.422 253.3L51.58 158.1C61.06 139.1 80.45 127.1 101.7 127.1H197.4C281.3 1.067 409.5-7.507 483.9 5.382C495.5 7.399 504.6 16.45 506.6 28.09C519.5 102.5 510.9 230.8 384 314.6V410.3C384 431.5 372 450.9 353 460.4H353zM238.5 358.2C364.3 327.2 430.3 268.2 463.6 207.3C498 144.4 498.8 76.95 490.9 30.83C489.1 25.84 486.2 22.01 481.2 21.15C435 13.16 367.6 13.97 304.7 48.39C243.8 81.69 184.8 147.7 153.8 273.5C174.8 277 194.4 287.1 209.7 302.3C224.9 317.6 234.1 337.2 238.5 358.2V358.2zM240 486.1C240 492.1 246.3 495.9 251.6 493.3L345.9 446.1C359.4 439.3 368 425.5 368 410.3V324.6C333.6 344.8 291.4 361.9 239.1 374.4L240 375.6V486.1zM137.7 272C150.1 220.6 167.2 178.4 187.4 143.1H101.7C86.51 143.1 72.66 152.6 65.89 166.1L18.73 260.4C16.07 265.7 19.94 272 25.89 272H136.4L137.7 272zM166.5 470C117 519.5 .4762 511.5 .4762 511.5C.4762 511.5-7.516 394.1 41.98 345.5C76.37 311.1 132.1 311.1 166.5 345.5C200.9 379.9 200.9 435.6 166.5 470zM155.2 356.8C127.1 328.7 81.44 328.7 53.3 356.8C32.64 377.5 22.69 414.1 18.56 448.1C16.55 465.8 16.02 481.3 16 492.6C15.1 493.8 16 494.9 16.01 495.1C17.1 496 18.24 496 19.42 496C30.68 495.1 46.16 495.4 63.04 493.4C97.87 489.3 134.5 479.4 155.2 458.7C183.3 430.6 183.3 384.9 155.2 356.8V356.8z"],
    "roller-coaster": [640, 512, [], "e324", "M136 48C127.8 48 119.8 48.83 112 50.4V472C112 476.4 108.4 480 104 480C99.58 480 96 476.4 96 472V54.83C49.39 71.3 16 115.8 16 168V472C16 476.4 12.42 480 8 480C3.582 480 0 476.4 0 472V168C0 92.89 60.89 32 136 32H142.5C185.6 32 226.2 52.44 251.8 87.09L392.4 277.1C419.9 314.2 463.2 336 509.3 336H512C573.9 336 624 285.9 624 224C624 173.3 590.3 130.4 544 116.6V280C544 284.4 540.4 288 536 288C531.6 288 528 284.4 528 280V113.1C522.8 112.4 517.4 112 512 112H494.2C478.3 112 462.7 114.9 448 120.5V248C448 252.4 444.4 256 440 256C435.6 256 432 252.4 432 248V127.9C430.4 128.7 428.9 129.6 427.4 130.5L380.1 158.9C376.3 161.1 371.4 159.9 369.1 156.1C366.9 152.3 368.1 147.4 371.9 145.1L419.1 116.8C441.8 103.2 467.7 95.1 494.2 95.1H512C582.7 95.1 640 153.3 640 223.1V472C640 476.4 636.4 480 632 480C627.6 480 624 476.4 624 472V286C604.6 320.9 569.4 345.8 528 351V472C528 476.4 524.4 480 520 480C515.6 480 512 476.4 512 472V352H509.3C475.5 352 442.9 341.4 416 322.3V472C416 476.4 412.4 480 408 480C403.6 480 400 476.4 400 472V309.4C392.6 302.5 385.7 294.9 379.6 286.6L304 184.5V472C304 476.4 300.4 480 296 480C291.6 480 288 476.4 288 472V162.9L238.9 96.61C230.3 84.98 219.8 75.16 208 67.46V472C208 476.4 204.4 480 200 480C195.6 480 192 476.4 192 472V58.69C176.6 51.74 159.8 47.1 142.5 47.1L136 48z"],
    "rotate": [512, 512, [128260, "sync-alt"], "f2f1", "M480.8 33.92c-9.438-3.859-19.66-1.812-26.84 5.346l-66.36 66.38C350.9 73.71 303.9 56 254.9 56c-98.86 0-182.5 70.09-198.8 166.7C55.38 227 58.31 231.2 62.67 231.9C69.38 233 71.66 226.7 71.89 225.3C86.92 136.5 163.9 72 254.9 72c44.73 0 87.58 16.11 121.3 45.05l-64.96 64.98c-7.188 7.176-9.219 17.46-5.344 26.84c3.789 9.172 12.23 14.87 22.1 15.12h143.9C485.3 223.7 496 212.9 496 199.4V56.68C496 46.54 490.2 37.81 480.8 33.92zM480 199.4c0 4.752-3.875 8.629-8.625 8.629h-142.7c-7.684 0-11.53-9.291-6.094-14.72l142.7-142.8C470.3 45.57 480 48.44 480 56.68V199.4zM449.3 280.1c-4.266-.625-8.484 2.203-9.219 6.562C425.1 375.5 348.1 440 257.1 440c-44.73 0-87.58-16.11-121.3-45.05l64.96-64.98c7.188-7.174 9.234-17.62 5.359-26.99C202.3 293.8 193.8 288.3 183.1 288H40.05C26.68 288.3 16 299.1 16 312.6v142.8c0 10.14 5.812 18.87 15.19 22.76c9.438 3.861 19.66 1.814 26.84-5.346l66.36-66.38C161.1 438.3 208.1 456 257.1 456c98.86 0 182.5-70.09 198.8-166.7C456.6 284.1 453.7 280.8 449.3 280.1zM46.72 461.4C41.66 466.5 32 463.5 32 455.3V312.6c0-4.752 3.875-8.629 8.625-8.629h142.7c7.684 0 11.53 9.289 6.094 14.72L46.72 461.4z"],
    "rotate-exclamation": [512, 512, [], "e23c", "M255.1 56C167 56 91.6 114.1 65.64 194.5C64.29 198.7 59.78 200.1 55.57 199.6C51.37 198.3 49.06 193.7 50.42 189.5C78.45 102.8 159.9 40 255.1 40C346.4 40 423.8 95.51 456 174.3V104C456 99.58 459.6 96 464 96C468.4 96 472 99.58 472 104V200C472 204.4 468.4 208 464 208H368C363.6 208 360 204.4 360 200C360 195.6 363.6 192 368 192H445.5C418.9 112.9 344.1 56 255.1 56V56zM264 296C264 300.4 260.4 304 256 304C251.6 304 248 300.4 248 296V136C248 131.6 251.6 128 256 128C260.4 128 264 131.6 264 136V296zM240 352C240 343.2 247.2 336 256 336C264.8 336 272 343.2 272 352C272 360.8 264.8 368 256 368C247.2 368 240 360.8 240 352zM48 416C43.58 416 40 412.4 40 408V312C40 307.6 43.58 304 48 304H144C148.4 304 152 307.6 152 312C152 316.4 148.4 320 144 320H66.46C93.15 399.1 167.9 456 255.1 456C344.1 456 420.4 397.9 446.4 317.5C447.7 313.3 452.2 311 456.4 312.4C460.6 313.7 462.9 318.3 461.6 322.5C433.5 409.2 352.1 472 255.1 472C165.6 472 88.22 416.5 55.1 337.7V408C55.1 412.4 52.42 416 47.1 416L48 416z"],
    "rotate-left": [512, 512, ["rotate-back", "rotate-backward", "undo-alt"], "f2ea", "M0 56.66v142.7C0 212.1 11.03 224 24.63 224h142.7C177.5 224 186.2 218.2 190.1 208.8s1.844-19.66-5.344-26.83L114.6 111.8l2.834-3.416c80.69-80.56 212.6-80.5 293.7 .5469c81.09 81.09 81.09 213 0 294.2c-81.13 81.06-213.1 81.03-294.2 0c-3.156-3.156-8.219-3.094-11.31 0c-3.125 3.125-3.125 8.188 0 11.31c43.69 43.66 101 65.5 158.4 65.5s114.7-21.84 158.4-65.5c87.31-87.34 87.31-229.5 0-316.8c-87.38-87.34-229.4-87.34-316.8 0L103.2 100.4L42.03 39.25C34.84 32.09 24.63 30.05 15.19 33.91C5.813 37.8 0 46.52 0 56.66zM16 56.66c0-5.344 4.062-7.453 5.312-7.969c.5938-.2344 1.875-.6719 3.469-.6719c1.781 0 3.938 .5469 5.938 2.547l142.7 142.7c3.781 3.781 2.375 8.156 1.875 9.406C174.8 203.9 172.7 208 167.3 208H24.63C19.88 208 16 204.1 16 199.4V56.66z"],
    "rotate-right": [512, 512, ["redo-alt", "rotate-forward"], "f2f9", "M487.2 31.99c-6.347 0-12.48 2.5-17.26 7.264L408.8 100.4l-2.367-2.836C362.7 53.94 305.4 32.1 248 32.1c-118.9 0-223.9 95.16-223.9 223.9c0 129.5 105.7 223.9 223.9 223.9c102.1 0 160.8-66.41 160.8-71.16c0-6.328-5.892-8-8.007-8c-9.172 0-53.33 63.13-152.8 63.13c-113.4 0-207.9-91.17-207.9-207.9c0-117.5 95.36-207.1 208.1-207.1c53.1 0 106.1 20.12 146.4 60.33l2.834 3.416l-70.18 70.18c-4.778 4.768-7.278 10.91-7.278 17.25C319.1 212.3 330.2 224 344.7 224h142.7C500.1 224 512 212.1 512 199.4V56.66C512 42.4 500.5 31.99 487.2 31.99zM496 199.4C496 204.1 492.1 208 487.4 208h-142.7c-7.34 0-8.642-6.923-8.642-8.775c0-1.781 .5494-3.946 2.548-5.944l142.7-142.7c2-2 4.156-2.547 5.938-2.547C489.1 48.02 496 49.28 496 56.66V199.4z"],
    "route": [512, 512, [], "f4d7", "M384 96C384 78.33 398.3 64 416 64C433.7 64 448 78.33 448 96C448 113.7 433.7 128 416 128C398.3 128 384 113.7 384 96zM416 112C424.8 112 432 104.8 432 96C432 87.16 424.8 80 416 80C407.2 80 400 87.16 400 96C400 104.8 407.2 112 416 112zM416 256H328C297.1 256 272 281.1 272 312C272 342.9 297.1 368 328 368H440C479.8 368 512 400.2 512 440C512 479.8 479.8 512 440 512H160C155.6 512 152 508.4 152 504C152 499.6 155.6 496 160 496H440C470.9 496 496 470.9 496 440C496 409.1 470.9 384 440 384H328C288.2 384 256 351.8 256 312C256 272.2 288.2 240 328 240H400.1C374 210 320 144 320 96C320 42.98 362.1 0 416 0C469 0 512 42.98 512 96C512 146.5 452.2 216.9 427 244.4C420.3 251.7 416 256 416 256zM482.7 140.8C491.2 123.8 496 108.4 496 96C496 51.82 460.2 16 416 16C371.8 16 336 51.82 336 96C336 108.4 340.8 123.8 349.3 140.8C357.7 157.7 369.1 174.8 380.8 190.4C392.4 205.9 404.1 219.5 412.9 229.3C413.1 230.5 415 231.6 416 232.7C416.1 231.6 418 230.5 419.1 229.3C427.9 219.5 439.6 205.9 451.2 190.4C462.9 174.8 474.3 157.7 482.7 140.8V140.8zM128 352C128 369.7 113.7 384 96 384C78.33 384 64 369.7 64 352C64 334.3 78.33 320 96 320C113.7 320 128 334.3 128 352zM96 336C87.16 336 80 343.2 80 352C80 360.8 87.16 368 96 368C104.8 368 112 360.8 112 352C112 343.2 104.8 336 96 336zM96 512C96 512 91.73 507.7 84.99 500.4C59.77 472.9 0 402.5 0 352C0 298.1 42.98 256 96 256C149 256 192 298.1 192 352C192 402.5 132.2 472.9 107 500.4C100.3 507.7 96 512 96 512zM162.7 396.8C171.2 379.8 176 364.4 176 352C176 307.8 140.2 272 96 272C51.82 272 16 307.8 16 352C16 364.4 20.76 379.8 29.31 396.8C37.73 413.7 49.13 430.8 60.8 446.4C72.44 461.9 84.11 475.5 92.89 485.3C93.98 486.5 95.01 487.6 96 488.7C96.99 487.6 98.02 486.5 99.11 485.3C107.9 475.5 119.6 461.9 131.2 446.4C142.9 430.8 154.3 413.7 162.7 396.8V396.8z"],
    "route-highway": [448, 512, [], "f61a", "M219.9 1.14C222.4-.38 225.6-.38 228.1 1.14L244.7 11.06C282.1 33.55 328.3 36.18 368.1 18.09C383.5 11.06 401.8 15.73 411.1 29.32L435.1 60.14C443.9 71.83 444.9 87.62 437.6 100.3C423.4 125.1 416 153.1 416 181.7V211C416 234.4 420.5 257.6 429.2 279.4L440.6 308C445.5 320.2 448 333.2 448 346.3C448 386.1 424 423.8 386.9 440.4L227.2 511.3C225.2 512.2 222.8 512.2 220.8 511.3L61.14 440.4C23.96 423.8 0 386.1 0 346.3C0 333.2 2.5 320.2 7.364 308L18.84 279.4C27.53 257.6 32 234.4 32 211V181.7C32 153.1 24.55 125.1 10.4 100.3C3.143 87.62 4.126 71.83 12.9 60.14L36.01 29.32C46.2 15.73 64.47 11.06 79.93 18.09C119.7 36.18 165.9 33.55 203.3 11.06L219.9 1.14zM48 192V211C48 236.5 43.14 261.7 33.7 285.3L22.22 313.1C18.11 324.3 16 335.2 16 346.3C16 380.7 36.24 411.8 67.64 425.8L224 495.2L380.4 425.8C411.8 411.8 432 380.7 432 346.3C432 335.2 429.9 324.3 425.8 313.1L414.3 285.3C404.9 261.7 400 236.5 400 211V192H48zM423.7 92.38C427.8 85.23 427.2 76.33 422.3 69.73L399.2 38.92C393.5 31.34 383.3 28.74 374.7 32.66C330.1 52.92 278.4 49.98 236.4 24.78L223.1 17.33L211.6 24.78C169.6 49.98 117.9 52.92 73.31 32.66C64.69 28.74 54.49 31.34 48.81 38.92L25.7 69.73C20.75 76.33 20.2 85.23 24.29 92.38C38.89 117.9 46.99 146.6 47.91 176H400.1C401 146.6 409.1 117.9 423.7 92.38H423.7z"],
    "route-interstate": [512, 512, [], "f61b", "M473.8 30.25C483.6 25.86 496.1 31.73 497.2 43.45C507.8 152 502.7 243.8 467.8 321.1C432.8 398.6 368.3 460.3 262.6 509.8C258.5 511.7 253.8 511.7 249.6 510C141.7 464.7 77.16 402.9 42.62 324.2C8.247 245.1 4.114 152.1 14.78 43.44C15.93 31.71 28.43 25.88 38.16 30.2C91.14 53.76 175.4 45.55 248 3.409C252.9 .6031 258.8 .4809 263.8 3.114C343.8 45.62 421.7 53.72 473.8 30.25V30.25zM31.66 44.82C31.44 44.72 31.14 44.72 30.87 44.87C30.77 44.92 30.72 44.98 30.71 45C26.7 85.77 24.85 124.1 25.86 160H485.7C486.1 124.3 485.3 86.03 481.3 44.1C481.3 44.98 481.2 44.93 481.1 44.88C480.9 44.74 480.6 44.74 480.4 44.84C422 71.13 338.6 60.99 256.3 17.24C256.2 17.21 256.1 17.21 256.1 17.25C180.4 61.14 90.66 71.05 31.66 44.82L31.66 44.82zM26.52 176C29.34 228.5 38.79 275.7 57.27 317.8C89.82 391.9 150.9 451.1 255.8 495.3C359 446.1 420.2 387.6 453.2 314.5C471.8 273.3 481.7 227.4 484.9 176H26.52z"],
    "router": [576, 512, [], "f8da", "M96 400c-8.836 0-16 7.164-16 16s7.164 16 16 16s16-7.164 16-16S104.8 400 96 400zM192 400c-8.836 0-16 7.164-16 16s7.164 16 16 16s16-7.164 16-16S200.8 400 192 400zM512 320h-152V224c0-4.406-3.594-8-8-8S344 219.6 344 224v96H64c-35.35 0-64 28.65-64 64v63.1C0 483.3 28.65 512 64 512h448c35.35 0 64-28.66 64-64V384C576 348.7 547.3 320 512 320zM560 448c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48v-64c0-26.47 21.53-48 48-48h448c26.47 0 48 21.53 48 48V448zM154 101.5C205.1 46.34 276.3 16 352 16s146 30.34 197.1 85.5C551.5 103.2 553.7 104 555.8 104c1.969 0 3.938-.7187 5.5-2.188c3.188-3.031 3.344-8.094 .3125-11.31C507.4 33 431 0 352 0S196.6 33 142.4 90.5C139.4 93.72 139.5 98.78 142.7 101.8C145.1 104.8 151 104.7 154 101.5zM352 112c-51.69 0-100.6 22.59-134.1 62c-2.875 3.375-2.469 8.406 .9062 11.28c3.344 2.875 8.406 2.469 11.28-.9062C260.6 148.5 305 128 352 128s91.44 20.53 121.9 56.38C475.5 186.2 477.8 187.2 480 187.2c1.844 0 3.688-.625 5.188-1.906c3.375-2.875 3.781-7.906 .9062-11.28C452.6 134.6 403.7 112 352 112z"],
    "rss": [448, 512, ["feed"], "f09e", "M8 32C3.594 32 0 35.59 0 40S3.594 48 8 48c233.8 0 424 190.2 424 424c0 4.406 3.594 8 8 8S448 476.4 448 472C448 229.4 250.6 32 8 32zM8 176C3.594 176 0 179.6 0 184S3.594 192 8 192C162.4 192 288 317.6 288 472c0 4.406 3.594 8 8 8s8-3.594 8-8C304 308.8 171.2 176 8 176zM63.1 351.9C28.65 351.9 0 380.7 0 416s28.65 64 63.1 64c35.35 0 64.08-28.65 64.08-64S99.35 351.9 63.1 351.9zM64 464c-26.47 0-48-21.53-48-48s21.53-48 48-48s48 21.53 48 48S90.47 464 64 464z"],
    "ruble-sign": [384, 512, [8381, "rouble", "rub", "ruble"], "f158", "M232 32C307.1 32 368 92.89 368 168C368 243.1 307.1 304 232 304H80V368H312C316.4 368 320 371.6 320 376C320 380.4 316.4 384 312 384H80V464C80 468.4 76.42 472 72 472C67.58 472 64 468.4 64 464V384H8C3.582 384 0 380.4 0 376C0 371.6 3.582 368 8 368H64V304H8C3.582 304 0 300.4 0 296C0 291.6 3.582 288 8 288H64V64.69C64 46.63 78.63 32 96.69 32H232zM352 168C352 101.7 298.3 48 232 48H96.69C87.47 48 80 55.47 80 64.69V288H232C298.3 288 352 234.3 352 168z"],
    "rug": [640, 512, [], "e569", "M0 72C0 67.58 3.582 64 8 64H632C636.4 64 640 67.58 640 72C640 76.42 636.4 80 632 80H608V160H632C636.4 160 640 163.6 640 168C640 172.4 636.4 176 632 176H608V248H632C636.4 248 640 251.6 640 256C640 260.4 636.4 264 632 264H608V336H632C636.4 336 640 339.6 640 344C640 348.4 636.4 352 632 352H608V432H632C636.4 432 640 435.6 640 440C640 444.4 636.4 448 632 448H8C3.582 448 0 444.4 0 440C0 435.6 3.582 432 8 432H32V352H8C3.582 352 0 348.4 0 344C0 339.6 3.582 336 8 336H32V264H8C3.582 264 0 260.4 0 256C0 251.6 3.582 248 8 248H32V176H8C3.582 176 0 172.4 0 168C0 163.6 3.582 160 8 160H32V80H8C3.582 80 0 76.42 0 72zM48 432H128V80H48V432zM144 432H496V80H144V432zM512 80V432H592V80H512z"],
    "rugby-ball": [512, 512, [], "e3c6", "M481.9 66.64c-4.688-17.54-18.34-31.23-36.04-35.95C435.5 27.91 392.9 16 337 16c-68.2 0-156.2 17.69-229.6 91.2C-11.31 226.2 13.63 382.7 30.15 445.4c4.686 17.54 18.39 31.38 36.09 36.09C76.57 484.2 119.1 496 174.9 496c68.2 0 156.2-17.68 229.6-91.2C523.3 285.8 498.4 129.3 481.9 66.64zM393.3 393.5C335.1 450.9 262.5 480 174.9 480c-34.87 0-69.81-4.646-104.6-14.01c-12.04-3.211-21.53-12.7-24.74-24.71c-15.64-59.32-39.83-209.5 73.11-322.8C176 61.1 249.5 32 337 32c34.65 0 69.54 4.676 104.6 14.15c12.04 3.207 21.5 12.64 24.69 24.57C482 130 506.2 280.2 393.3 393.5zM354.3 146.3L304 196.7l-34.34-34.34c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31L292.7 208L256 244.7L221.7 210.3c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31L244.7 256L208 292.7L173.7 258.3c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31L196.7 304l-50.34 50.34c-3.125 3.125-3.125 8.188 0 11.31C147.9 367.2 149.1 368 152 368s4.094-.7813 5.656-2.344L208 315.3l34.34 34.34C243.9 351.2 245.9 352 248 352s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31L219.3 304L256 267.3l34.34 34.34C291.9 303.2 293.9 304 296 304s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31L267.3 256L304 219.3l34.34 34.34C339.9 255.2 341.9 256 344 256s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31L315.3 208l50.34-50.34c3.125-3.125 3.125-8.188 0-11.31S357.5 143.2 354.3 146.3z"],
    "ruler": [512, 512, [128207], "f545", "M29.25 413.3C4.26 388.3 4.26 347.7 29.25 322.7L322.7 29.25C347.7 4.261 388.3 4.261 413.3 29.25L482.7 98.75C507.7 123.7 507.7 164.3 482.7 189.3L189.3 482.7C164.3 507.7 123.7 507.7 98.74 482.7L29.25 413.3zM40.57 401.9L110.1 471.4C128.8 490.2 159.2 490.2 177.9 471.4L471.4 177.9C490.2 159.2 490.2 128.8 471.4 110.1L401.9 40.57C383.2 21.82 352.8 21.82 334.1 40.57L288.1 85.66L341.7 138.3C344.8 141.5 344.8 146.5 341.7 149.7C338.5 152.8 333.5 152.8 330.3 149.7L277.7 96.97L224.1 149.7L277.7 202.3C280.8 205.5 280.8 210.5 277.7 213.7C274.5 216.8 269.5 216.8 266.3 213.7L213.7 160.1L160.1 213.7L213.7 266.3C216.8 269.5 216.8 274.5 213.7 277.7C210.5 280.8 205.5 280.8 202.3 277.7L149.7 224.1L96.97 277.7L149.7 330.3C152.8 333.5 152.8 338.5 149.7 341.7C146.5 344.8 141.5 344.8 138.3 341.7L85.66 288.1L40.57 334.1C21.82 352.8 21.82 383.2 40.57 401.9L40.57 401.9z"],
    "ruler-combined": [512, 512, [], "f546", "M448 304C483.3 304 512 332.7 512 368V448C512 483.3 483.3 512 448 512H64C33.07 512 7.268 490.1 1.3 460.9C.4477 456.7 0 452.4 0 448V64C0 28.65 28.65 0 64 0H144C179.3 0 208 28.65 208 64V304H448zM192 208V128H104C99.58 128 96 124.4 96 120C96 115.6 99.58 112 104 112H192V64C192 37.49 170.5 16 144 16H64C37.49 16 16 37.49 16 64V448C16 451.3 16.34 454.6 16.98 457.7C21.45 479.6 40.82 496 64 496H448C474.5 496 496 474.5 496 448V368C496 341.5 474.5 320 448 320H400V408C400 412.4 396.4 416 392 416C387.6 416 384 412.4 384 408V320H304V408C304 412.4 300.4 416 296 416C291.6 416 288 412.4 288 408V320H208V408C208 412.4 204.4 416 200 416C195.6 416 192 412.4 192 408V320H104C99.58 320 96 316.4 96 312C96 307.6 99.58 304 104 304H192V224H104C99.58 224 96 220.4 96 216C96 211.6 99.58 208 104 208H192z"],
    "ruler-horizontal": [640, 512, [], "f547", "M576 128C611.3 128 640 156.7 640 192V320C640 355.3 611.3 384 576 384H64C28.65 384 0 355.3 0 320V192C0 156.7 28.65 128 64 128H576zM64 368H576C602.5 368 624 346.5 624 320V192C624 165.5 602.5 144 576 144H520V224C520 228.4 516.4 232 512 232C507.6 232 504 228.4 504 224V144H424V224C424 228.4 420.4 232 416 232C411.6 232 408 228.4 408 224V144H328V224C328 228.4 324.4 232 320 232C315.6 232 312 228.4 312 224V144H232V224C232 228.4 228.4 232 224 232C219.6 232 216 228.4 216 224V144H136V224C136 228.4 132.4 232 128 232C123.6 232 120 228.4 120 224V144H64C37.49 144 16 165.5 16 192V320C16 346.5 37.49 368 64 368z"],
    "ruler-triangle": [512, 512, [128208], "f61c", "M124.9 248.6C127.9 247.4 131.4 248.1 133.7 250.3L261.7 378.3C263.9 380.6 264.6 384.1 263.4 387.1C262.2 390.1 259.2 392 256 392H128C123.6 392 120 388.4 120 384V256C120 252.8 121.9 249.8 124.9 248.6V248.6zM136 275.3V376H236.7L136 275.3zM.0003 448V45.25C.0003 20.26 20.26 0 45.26 0C57.26 0 68.77 4.768 77.26 13.25L498.7 434.7C507.2 443.2 512 454.7 512 466.7C512 491.7 491.7 512 466.7 512H64C28.65 512 0 483.3 0 448L.0003 448zM16 45.25V448C16 474.5 37.49 496 64 496H466.7C482.9 496 496 482.9 496 466.7C496 458.1 492.9 451.5 487.4 446.1L442.3 400.1L413.7 429.7C410.5 432.8 405.5 432.8 402.3 429.7C399.2 426.5 399.2 421.5 402.3 418.3L431 389.7L362.3 320.1L333.7 349.7C330.5 352.8 325.5 352.8 322.3 349.7C319.2 346.5 319.2 341.5 322.3 338.3L351 309.7L282.3 240.1L253.7 269.7C250.5 272.8 245.5 272.8 242.3 269.7C239.2 266.5 239.2 261.5 242.3 258.3L271 229.7L202.3 160.1L173.7 189.7C170.5 192.8 165.5 192.8 162.3 189.7C159.2 186.5 159.2 181.5 162.3 178.3L191 149.7L122.3 80.97L93.66 109.7C90.53 112.8 85.47 112.8 82.34 109.7C79.22 106.5 79.22 101.5 82.34 98.34L111 69.66L65.94 24.57C60.46 19.08 53.01 16 45.26 16C29.1 16 16 29.1 16 45.25V45.25z"],
    "ruler-vertical": [256, 512, [], "f548", "M256 448C256 483.3 227.3 512 192 512H64C28.65 512 0 483.3 0 448V64C0 28.65 28.65 0 64 0H192C227.3 0 256 28.65 256 64V448zM192 16H64C37.49 16 16 37.49 16 64V448C16 474.5 37.49 496 64 496H192C218.5 496 240 474.5 240 448V408H160C155.6 408 152 404.4 152 400C152 395.6 155.6 392 160 392H240V312H160C155.6 312 152 308.4 152 304C152 299.6 155.6 296 160 296H240V216H160C155.6 216 152 212.4 152 208C152 203.6 155.6 200 160 200H240V120H160C155.6 120 152 116.4 152 112C152 107.6 155.6 104 160 104H240V64C240 37.49 218.5 16 192 16z"],
    "rupee-sign": [448, 512, [8360, "rupee"], "f156", "M0 72C0 49.91 17.91 32 40 32H120C195.1 32 256 92.89 256 168C256 236.7 205.1 293.5 138.9 302.7L199.5 469.3C201 473.4 198.9 478 194.7 479.5C190.6 481 185.1 478.9 184.5 474.7L122.4 303.1C121.6 303.1 120.8 303.1 120 303.1H16V472C16 476.4 12.42 480 8 480C3.582 480 .0003 476.4 .0003 472L0 72zM16 288H120C186.3 288 240 234.3 240 168C240 101.7 186.3 48 120 48H40C26.75 48 16 58.75 16 72V288zM379 209.9C330.1 201.2 293.8 222.6 288.9 254.3C287.2 265.1 288.4 274.1 291.4 282.2C294.4 289.4 299.5 295.4 306.3 300.7C320.2 311.4 340.1 318.2 361.9 325.7L362.9 326C384.4 333.4 407.6 341.4 424.2 355.1C432.7 362.1 439.6 370.7 443.8 381.6C447.9 392.5 449.1 405.1 446.9 419.8C443.2 443.8 429.4 461 409.5 470.7C389.8 480.2 364.8 482.3 338.2 477.6L338.1 477.6C329.5 475.1 317.9 472.1 306.9 468.1C299.6 465.4 292.2 462.6 285.9 460.1C282.6 458.9 279.7 457.7 277.2 456.8C273 455.2 270.1 450.6 272.5 446.5C274.1 442.4 278.7 440.3 282.8 441.8C285.6 442.9 288.6 444 291.9 445.3C298.1 447.7 305.2 450.4 312.3 453C323.3 457.1 333.8 460.5 341 461.8C365.4 466.1 386.8 463.9 402.5 456.3C417.9 448.8 428.2 435.1 431.1 417.4C432.1 404.9 431.8 395.1 428.8 387.3C425.8 379.5 420.8 373 413.1 367.5C400.1 355.1 379.8 348.7 357.7 341.2L355.3 340.3C334.7 333.3 312.5 325.7 296.5 313.4C288 306.8 280.9 298.7 276.6 288.4C272.3 277.1 270.1 265.9 273.1 251.9C279.9 207.1 328.8 184.7 381.8 194.2C389.8 195.6 413.9 200.9 422.3 203.4C426.5 204.7 428.9 209.1 427.7 213.4C426.4 217.6 421.9 220 417.7 218.7C410.1 216.4 386.6 211.3 378.1 209.9H379z"],
    "rupiah-sign": [512, 512, [], "e23d", "M0 72C0 49.91 17.91 32 40 32H120C195.1 32 256 92.89 256 168C256 236.7 205.1 293.5 138.9 302.7L199.5 469.3C201 473.4 198.9 478 194.7 479.5C190.6 481 185.1 478.9 184.5 474.7L122.4 303.1C121.6 303.1 120.8 303.1 120 303.1H16V472C16 476.4 12.42 480 8 480C3.582 480 .0003 476.4 .0003 472L0 72zM16 288H120C186.3 288 240 234.3 240 168C240 101.7 186.3 48 120 48H40C26.75 48 16 58.75 16 72V288zM400 384H304V504C304 508.4 300.4 512 296 512C291.6 512 288 508.4 288 504V200C288 177.9 305.9 160 328 160H400C461.9 160 512 210.1 512 272C512 333.9 461.9 384 400 384zM304 368H400C453 368 496 325 496 272C496 218.1 453 176 400 176H328C314.7 176 304 186.7 304 200V368z"],
    "rv": [640, 512, [], "f7be", "M272 112C289.7 112 304 126.3 304 144V208C304 225.7 289.7 240 272 240H112C94.33 240 80 225.7 80 208V144C80 126.3 94.33 112 112 112H272zM272 128H112C103.2 128 96 135.2 96 144V208C96 216.8 103.2 224 112 224H272C280.8 224 288 216.8 288 208V144C288 135.2 280.8 128 272 128zM224 32V24C224 10.75 234.7 0 248 0H360C373.3 0 384 10.75 384 24V32H510.4C564.3 32 608 75.7 608 129.6C608 146.4 594.4 160 577.6 160H408C394.7 160 384 170.7 384 184V392C384 396.4 380.4 400 376 400H284.7C286.8 407.6 288 415.7 288 424C288 472.6 248.6 512 200 512C151.4 512 112 472.6 112 424C112 413.5 113.8 403.4 117.2 394L22.88 324.8C8.499 314.3 0 297.5 0 279.7V88C0 57.07 25.07 32 56 32H224zM240 24V32H368V24C368 19.58 364.4 16 360 16H248C243.6 16 240 19.58 240 24zM56 48C33.91 48 16 65.91 16 88V279.7C16 292.4 22.07 304.4 32.35 311.9L124.2 379.3C139.5 353.4 167.7 336 200 336C234.2 336 263.8 355.5 278.4 384H368V184C368 161.9 385.9 144 408 144H577.6C585.6 144 592 137.6 592 129.6C592 84.53 555.5 48 510.4 48H56zM200 496C239.8 496 272 463.8 272 424C272 384.2 239.8 352 200 352C160.2 352 128 384.2 128 424C128 463.8 160.2 496 200 496zM400 424C400 375.4 439.4 336 488 336C536.6 336 576 375.4 576 424C576 472.6 536.6 512 488 512C439.4 512 400 472.6 400 424zM488 496C527.8 496 560 463.8 560 424C560 384.2 527.8 352 488 352C448.2 352 416 384.2 416 424C416 463.8 448.2 496 488 496zM416 200C416 195.6 419.6 192 424 192H517.1C525.9 192 534.5 194.9 541.5 200.3L624.4 264.1C634.2 271.6 640 283.3 640 295.8V360C640 382.1 622.1 400 600 400H592C587.6 400 584 396.4 584 392C584 387.6 587.6 384 592 384H600C613.3 384 624 373.3 624 360V295.8C624 293.1 623.6 290.5 622.7 288H424C419.6 288 416 284.4 416 280C416 275.6 419.6 272 424 272H608.5L531.8 212.1C527.6 209.7 522.4 208 517.1 208H424C419.6 208 416 204.4 416 200V200z"],
    "s": [384, 512, [115], "53", "M212.1 480c-50.04 0-110.6-12.65-174.8-37.5c-4.123-1.594-6.184-6.218-4.591-10.34c1.577-4.156 6.216-6.281 10.34-4.593c81.35 31.43 189.5 52.99 249.4 19.4c22.82-12.81 36.86-33.03 41.76-60.06c14.45-79.74-62.63-100.8-144.2-123.1C104.9 240.7 17.09 216.7 34.14 122.5c5.013-27.59 20.57-50.49 44.96-66.24c46.45-29.9 121.6-32.15 223.4-6.624c4.279 1.062 6.872 5.406 5.81 9.686c-1.093 4.312-5.45 6.999-9.714 5.812c-95.91-24.06-168.8-22.53-210.8 4.593C61.77 86.45 52.8 109.2 49.88 125.3C35.44 205.1 112.5 226.1 194.1 248.4c84.96 23.19 172.8 47.18 155.8 141.4c-5.794 31.93-22.5 55.87-49.68 71.12C277.4 473.7 247.4 480 212.1 480z"],
    "sack": [512, 512, [], "f81c", "M0 416C0 262.9 105.1 170.8 165.7 129.2C170.4 125.1 174.9 123 179 120.4L121.9 37.62C110.1 21.7 122.4 0 141.7 0H370.3C389.6 0 401 21.7 390.1 37.62L332.1 120.4C337.1 123 341.6 125.1 346.3 129.2C406.9 170.8 512 262.9 512 416C512 469 469 512 416 512H96C42.98 512 0 469 0 416zM315.2 127.1H196.8L187.6 133.9C131.8 169.6 16 259.6 16 416C16 460.2 51.82 496 96 496H416C460.2 496 496 460.2 496 416C496 259.6 380.2 169.6 324.4 133.9L315.2 127.1zM376.9 28.54C380.5 23.23 376.7 15.1 370.3 15.1H141.7C135.3 15.1 131.5 23.23 135.1 28.54L192.7 111.1H319.3L376.9 28.54z"],
    "sack-dollar": [512, 512, [128176], "f81d", "M264 240.6C265.8 240.8 267.6 241 269.5 241.3C274.3 242.1 288.9 244.9 294.1 246.3C298.3 247.4 300.9 251.8 299.7 256.1C298.6 260.3 294.2 262.9 289.9 261.7C285.5 260.6 271.5 257.8 267 257.1C252.9 254.9 240.5 256.6 231.6 260.6C222.7 264.7 217.7 270.8 216.5 277.6C215.6 283 216.2 286.9 217.6 289.8C219 292.8 221.5 295.6 225.3 298.1C233.3 303.5 244.9 307 258.3 311.1L258.5 311.1C271.2 314.1 285.7 319.4 296.2 326.1C301.6 330.9 306.3 335.9 309.1 342.5C311.1 349.1 312.7 356.7 311.3 365.1C308.8 379.5 299.4 389.4 286.7 394.9C279.1 397.8 272.3 399.4 264 399.9V416C264 420.4 260.4 424 255.1 424C251.6 424 247.1 420.4 247.1 416V399.4C246.2 399.2 244.4 398.1 242.5 398.7L242.5 398.7C233.9 397.3 219.8 392.5 210.4 389.3C208.6 388.6 206.9 388.1 205.5 387.6C201.3 386.2 199 381.7 200.4 377.5C201.8 373.3 206.3 371 210.5 372.4C212.3 372.1 214.2 373.7 216.3 374.4C225.8 377.6 237.9 381.7 245 382.9C259.3 385.1 271.6 383.9 280.4 380.2C288.1 376.5 294.1 370.5 295.5 362.4C296.5 356.5 295.9 352.2 294.4 348.9C293 345.6 290.5 342.6 286.8 339.9C278.9 334.2 267.3 330.5 253.9 326.5L252.2 325.1C240 322.3 226.4 318.2 216.4 311.4C210.9 307.7 206.1 302.1 203.2 296.7C200.1 290.3 199.3 283 200.7 274.9C203 261.5 212.6 251.7 224.1 246.1C231.8 242.1 239.6 241.1 248 240.4V223.1C248 219.6 251.6 215.1 256 215.1C260.4 215.1 264 219.6 264 223.1L264 240.6zM179 120.4L121.9 37.62C110.1 21.7 122.4 0 141.7 0H370.3C389.6 0 401 21.7 390.1 37.62L332.1 120.4C337.1 123 341.6 125.1 346.3 129.2C406.9 170.8 512 262.9 512 416C512 469 469 512 416 512H96C42.98 512 0 469 0 416C0 262.9 105.1 170.8 165.7 129.2C170.4 125.1 174.9 123 179 120.4V120.4zM187.6 133.9C131.8 169.6 16 259.6 16 416C16 460.2 51.82 496 96 496H416C460.2 496 496 460.2 496 416C496 259.6 380.2 169.6 324.4 133.9L315.2 127.1H196.8L187.6 133.9zM319.3 111.1L376.9 28.54C380.5 23.23 376.7 15.1 370.3 15.1H141.7C135.3 15.1 131.5 23.23 135.1 28.54L192.7 111.1H319.3z"],
    "sack-xmark": [512, 512, [], "e56a", "M314.3 250.3C317.5 247.2 322.5 247.2 325.7 250.3C328.8 253.5 328.8 258.5 325.7 261.7L267.3 319.1L325.7 378.3C328.8 381.5 328.8 386.5 325.7 389.7C322.5 392.8 317.5 392.8 314.3 389.7L256 331.3L197.7 389.7C194.5 392.8 189.5 392.8 186.3 389.7C183.2 386.5 183.2 381.5 186.3 378.3L244.7 319.1L186.3 261.7C183.2 258.5 183.2 253.5 186.3 250.3C189.5 247.2 194.5 247.2 197.7 250.3L256 308.7L314.3 250.3zM0 416C0 262.9 105.1 170.8 165.7 129.2C170.4 125.1 174.9 123 179 120.4L121.9 37.62C110.1 21.7 122.4 0 141.7 0H370.3C389.6 0 401 21.7 390.1 37.62L332.1 120.4C337.1 123 341.6 125.1 346.3 129.2C406.9 170.8 512 262.9 512 416C512 469 469 512 416 512H96C42.98 512 0 469 0 416zM315.2 127.1H196.8L187.6 133.9C131.8 169.6 16 259.6 16 416C16 460.2 51.82 496 96 496H416C460.2 496 496 460.2 496 416C496 259.6 380.2 169.6 324.4 133.9L315.2 127.1zM376.9 28.54C380.5 23.23 376.7 15.1 370.3 15.1H141.7C135.3 15.1 131.5 23.23 135.1 28.54L192.7 111.1H319.3L376.9 28.54z"],
    "sailboat": [576, 512, [], "e445", "M510.5 339.4C512.3 341.8 512.5 344.1 511.1 347.7C509.7 350.3 506.1 352 504 352H263.1C259.6 352 255.1 348.4 255.1 344V8C255.1 4.523 258.2 1.443 261.6 .3822C264.9-.6792 268.5 .5208 270.5 3.351L510.5 339.4zM488.5 336L271.1 32.96V336H488.5zM218.1 96.29C221.6 97.25 223.1 100.4 223.1 104V344C223.1 348.4 220.4 352 215.1 352H71.1C69.12 352 66.46 350.5 65.04 347.9C63.62 345.4 63.66 342.4 65.14 339.9L209.1 99.88C210.1 96.8 214.7 95.33 218.1 96.29H218.1zM86.13 336H207.1V132.9L86.13 336zM554.9 384C565.5 384 573.1 394.1 570.3 404.3L566.3 418.7C550.7 473.9 500.4 512 443 512H132.1C75.62 512 25.27 473.9 9.745 418.7L5.716 404.3C2.846 394.1 10.52 384 21.12 384H554.9zM554.9 400H21.12L25.15 414.3C38.73 462.6 82.79 496 132.1 496H443C493.2 496 537.3 462.6 550.8 414.3L554.9 400z"],
    "salad": [512, 512, [129367, "bowl-salad"], "f81e", "M304 224c0 11.88 1.1 23.53 5.938 34.66c1.469 4.156 6 6.281 10.19 4.875c4.188-1.469 6.344-6.031 4.875-10.19C321.7 243.9 320 234.1 320 224c0-48.53 39.47-88 88-88S496 175.5 496 224c0 10.06-1.688 19.91-5 29.34c-1.469 4.156 .6875 8.719 4.875 10.19C496.8 263.8 497.7 264 498.5 264c3.281 0 6.375-2.062 7.531-5.344C509.1 247.5 512 235.9 512 224c0-57.34-46.66-104-104-104S304 166.7 304 224zM216 96v160c0 4.406 3.594 8 8 8S232 260.4 232 256V96c0-4.406-3.594-8-8-8S216 91.59 216 96zM60.66 262.6C61.75 263.1 62.88 263.3 64 263.3c3.031 0 5.906-1.719 7.281-4.656C73.13 254.6 71.34 249.8 67.34 248C36.16 233.7 16 202.3 16 168c0-48.53 39.5-88 87.91-88c7.875 .125 15.62 1.281 23 3.438l6.812 1.969l2.781-6.5C152.9 40.69 190.4 16 232.1 16s79.19 24.69 95.56 62.91l2.781 6.5l6.812-1.969C344.6 81.28 352.4 80.13 360.1 80c18.44 0 36.13 5.781 51.16 16.75c3.594 2.594 8.594 1.875 11.19-1.75c2.594-3.562 1.812-8.594-1.75-11.19C402.9 70.84 381.1 64 360 64c-6.969 .0938-13.84 .9062-20.53 2.375C319.3 25.81 277.9 0 232.1 0C186.3 0 144.9 25.81 124.7 66.38C117.1 64.91 111.1 64.09 104 64C46.66 64 0 110.7 0 168C0 208.5 23.81 245.6 60.66 262.6zM90.34 154.3c-3.125 3.125-3.125 8.188 0 11.31l96 96C187.9 263.2 189.9 264 192 264s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31l-96-96C98.53 151.2 93.47 151.2 90.34 154.3zM495.8 288H16.19C7.055 288-.6992 295.8 .0508 304.9c6.758 76.38 58.28 139.4 128.1 163.9V480c0 17.62 14.45 32 32.09 32h192.2c17.65 0 32.04-14.38 32.04-32v-11.5c69.46-24.62 120.8-87.5 127.4-163.6C512.7 295.8 505.1 288 495.8 288zM379.2 453.4l-10.65 3.775V480c0 8.822-7.195 16-16.04 16H160.3c-8.846 0-16.04-7.178-16.04-16v-22.59l-10.7-3.754C68.16 430.7 22.03 371.8 16.2 304h479.6l.2051-.5137C490.1 371.5 444.2 430.4 379.2 453.4z"],
    "salt-shaker": [384, 512, [129474], "e446", "M240 80c-8.838 0-16 7.162-16 16c0 8.836 7.162 16 16 16c8.836 0 16-7.164 16-16C256 87.16 248.8 80 240 80zM144 80c-8.838 0-16 7.162-16 16c0 8.836 7.162 16 16 16c8.836 0 16-7.164 16-16C160 87.16 152.8 80 144 80zM192 48c-8.838 0-16 7.162-16 16c0 8.836 7.162 16 16 16c8.836 0 16-7.164 16-16C208 55.16 200.8 48 192 48zM383.4 446.6L334.4 118.9C324.3 51.11 263.1 0 192 0S59.69 51.11 49.57 118.9L.5977 446.6c-2.375 16.12 2.406 32.52 13.16 44.97C24.91 504.6 41.29 512 58.66 512h266.7c17.38 0 33.75-7.438 44.91-20.39C381 479.2 385.8 462.8 383.4 446.6zM65.39 121.2C74.36 61.24 128.8 16 192 16s117.6 45.24 126.6 105.2L326.8 176H57.21L65.39 121.2zM358.1 481.2C350 490.6 338.1 496 325.3 496H58.66c-12.71 0-24.66-5.406-32.79-14.85c-7.697-8.918-11.14-20.65-9.443-32.15L54.82 192h274.4l38.39 256.1C369.3 460.5 365.8 472.2 358.1 481.2zM129.1 216.1C124.7 215.5 120.7 218.5 120.1 222.9l-32 224c-.625 4.375 2.406 8.422 6.781 9.047C95.25 455.1 95.63 456 96 456c3.938 0 7.344-2.875 7.906-6.875l32-224C136.5 220.8 133.5 216.7 129.1 216.1zM254.9 216.1c-4.375 .625-7.406 4.672-6.781 9.047l32 224C280.7 453.1 284.1 456 288 456c.375 0 .75-.0313 1.125-.0781c4.375-.625 7.406-4.672 6.781-9.047l-32-224C263.3 218.5 259.1 215.5 254.9 216.1z"],
    "sandwich": [512, 512, [129386], "f81f", "M480 320H32c-17.62 0-32 14.38-32 32v64c0 17.62 14.38 32 32 32h448c17.62 0 32-14.38 32-32v-64C512 334.4 497.6 320 480 320zM389.6 336L320 382.4L250.4 336H389.6zM496 416c0 8.822-7.178 16-16 16H32c-8.822 0-16-7.178-16-16v-64c0-8.822 7.178-16 16-16h189.6l93.98 62.66C316.9 399.6 318.4 400 320 400s3.094-.4375 4.438-1.344L418.4 336H480c8.822 0 16 7.178 16 16V416zM48.06 266.6C65 258.3 86.13 248 124.9 248c38.78 0 59.91 10.28 76.84 18.56C217 274.1 229.1 280 256.3 280c27.12 0 39.16-5.938 54.38-13.44C327.6 258.3 348.7 248 387.4 248c38.62 0 59.75 10.28 76.78 18.59c11.94 5.812 22.25 10.84 39 12.62c4.344 .5938 8.344-2.75 8.812-7.125c.4375-4.406-2.719-8.344-7.125-8.812c-13.94-1.469-22.22-5.5-33.75-11.09C452.7 243.2 429.7 232 387.4 232c-42.38 0-65.31 11.19-83.78 20.19C289.2 259.3 279.6 264 256.3 264c-23.47 0-33-4.688-47.5-11.81C190.3 243.2 167.4 232 124.9 232c-42.47 0-65.41 11.19-83.84 20.19C29.56 257.8 21.31 261.8 7.156 263.3C2.781 263.8-.4063 267.7 .0313 272.1C.5 276.5 4.688 279.9 8.844 279.2C25.78 277.4 36.09 272.4 48.06 266.6zM480 64H32C14.38 64 0 78.38 0 96v64c0 17.62 14.38 32 32 32h448c17.62 0 32-14.38 32-32V96C512 78.38 497.6 64 480 64zM496 160c0 8.822-7.178 16-16 16H32C23.18 176 16 168.8 16 160V96c0-8.822 7.178-16 16-16h448c8.822 0 16 7.178 16 16V160z"],
    "satellite": [512, 512, [128752], "f7bf", "M122.3 173.7C123.9 175.3 125.9 176.1 128 176.1s4.094-.7813 5.656-2.346c3.125-3.127 3.125-8.195 0-11.32L118.6 147.4C109.8 138.5 109.8 124.1 118.6 115.2l93-93.08c8.219-8.258 23.38-8.32 32.09 0l47.06 47.13c3.094 3.096 8.156 3.158 11.31 0c3.125-3.127 3.125-8.193 0-11.32L254.9 10.71C239.8-3.744 214.5-3.432 200.3 10.83l-93.03 93.11C92.34 119 92.34 143.6 107.3 158.7L122.3 173.7zM338.5 285.1l129.1-129.1C476.1 148.2 480 138 480 127.8s-3.854-20.39-11.56-28.18L412.1 43.28c-7.781-7.785-17.97-11.68-28.16-11.68c-10.19 0-20.38 3.895-28.16 11.68L177.6 221.7C154.4 212.7 129.7 207.9 104.8 207.9c-31.98 0-64.15 7.635-93.42 23.38C5.246 234.6 1.186 240.6 .2188 247.7c-1 7.229 1.467 14.55 6.559 19.56l113.2 113.4l-24.12 24.16c-4.744-2.789-9.963-4.822-15.86-4.822c-17.66 0-31.98 14.35-31.98 32.04s14.32 32.04 31.98 32.04c17.66 0 31.98-14.35 31.98-32.04c0-5.912-2.029-11.14-4.814-15.89l24.12-24.16l113.2 113.4c5.09 5.133 12.52 7.51 19.71 6.479c6.996-1.033 12.87-5.068 16.18-11.14c28.31-52.92 30.41-113.2 9.697-166.1L338.5 285.1zM79.98 447.1c-8.816 0-15.1-7.178-15.1-16.01c0-8.834 7.179-16.01 15.1-16.01c8.818 0 15.1 7.177 15.1 16.01C95.97 440.8 88.79 447.1 79.98 447.1zM237.3 184.7l129.9-130.1c4.504-4.508 10.49-6.99 16.85-6.99c6.357 0 12.34 2.482 16.84 6.99l56.26 56.31C461.5 115.4 464 121.4 464 127.8s-2.459 12.4-6.869 16.85l-173.7 173.7c-9.445-19-22.04-36.76-37.75-52.49C230.2 250.4 212.4 238 193.3 228.6L237.3 184.7zM266.2 493c-1.156 2.098-3.25 2.723-4.404 2.879c-.3438 .0625-.7187 .0625-1.094 .0625c-1.873 0-3.717-.7187-4.996-2.004L18.02 255.8c-1.531-1.502-2.281-3.756-1.969-5.947c.1562-1.156 .75-3.283 2.936-4.473C89.39 207.5 177.9 220.7 234.4 277.2C291.7 334.7 304.5 421.4 266.2 493zM500.8 256.9l-47.09-47.17c-3.094-3.127-8.156-3.127-11.31 0c-3.125 3.129-3.125 8.195 0 11.32l47.03 47.1C493.6 272.5 496 278.3 496 284.2c0 6.006-2.406 11.79-6.656 15.98l-93.03 93.08c-8.781 8.789-23.12 8.727-31.97 0l-15.06-15.07c-3.125-3.129-8.188-3.129-11.31 0c-3.125 3.127-3.125 8.193 0 11.32l15.09 15.11c7.562 7.475 17.44 11.23 27.31 11.23s19.75-3.754 27.25-11.26l93-93.05C507.8 304.5 512 294.5 512 284.2C512 274.2 507.9 264.3 500.8 256.9z"],
    "satellite-dish": [512, 512, [128225], "f7c0", "M184.2 339.5l24.12-24.14c4.744 2.787 9.844 4.805 15.74 4.805c17.66 0 31.99-14.32 31.99-32c0-17.68-14.33-32.01-31.99-32.01c-17.66 0-31.99 14.32-31.99 32.01c0 5.906 2.16 11.13 4.945 15.88l-24.12 24.14L59.73 214.9C54.64 209.8 47.21 207.4 40.02 208.4C33.03 209.4 27.15 213.5 23.84 219.5c-41.7 77.88-27.8 172.1 34.57 234.5C96.36 492.1 147.6 512 199.3 512c31.98 0 64.15-7.629 93.42-23.36c6.121-3.346 10.18-9.316 11.15-16.35c1-7.223-1.467-14.54-6.559-19.54L184.2 339.5zM224.1 272.1c8.816 0 15.1 7.178 15.1 16S232.1 304.1 224.2 304.1c-8.818 0-15.99-7.182-15.99-16.01S215.3 272.1 224.1 272.1zM285.1 474.5c-70.4 37.89-158.9 24.73-215.4-31.8c-57.34-57.37-70.12-144-31.79-215.6c1.156-2.096 3.25-2.721 4.404-2.877c.3438-.0625 .7187-.0625 1.094-.0625c1.873 0 3.717 .7187 4.996 2.002l237.7 237.9c1.531 1.5 2.281 3.752 1.969 5.941C287.9 471.2 287.3 473.4 285.1 474.5zM192.2 0C187.8 0 184.2 3.596 184.2 8.004s3.5 8 7.904 8c167.5 0 303.9 136.4 303.9 304.1c0 4.408 3.597 8.082 7.999 8.082C508.4 328.2 512 324.6 512 320.2C512 143.6 368.5 0 192.2 0zM192.2 96.05c-4.404 0-7.996 3.596-7.996 8.004s3.5 7.977 7.904 7.977c114.6 0 207.9 93.31 207.9 208.1c0 4.408 3.624 8.082 8.028 8.082c4.402 0 7.994-3.596 7.994-8.004C416.1 196.6 315.6 96.05 192.2 96.05z"],
    "sausage": [512, 512, [], "f820", "M429.6 64.96c-4.531-.6426-9.081-.9551-13.54-.9551c-46.87 0-88.2 34.51-95.05 82.43L316.1 180.3c-10 69.97-65.81 125.8-135.7 135.8l-33.94 4.844c-52.5 7.5-88.96 56.1-81.46 108.6C71.82 477.5 112.1 512 159.1 512c4.531 0 8.998-.3125 13.59-.9687l33.97-4.844c153.8-21.97 276.7-144.8 298.6-298.7l4.844-33.94C518.5 121.1 482.1 72.46 429.6 64.96zM495.2 171.3l-4.844 33.94c-20.97 146.9-138.2 264.1-285.1 285.1L171.3 495.2C167.5 495.7 163.7 496 159.9 496c-39.48 0-73.47-29.54-79.06-68.7c-6.236-43.66 24.22-84.26 67.89-90.49l33.94-4.846c76.92-10.1 138.3-72.42 149.3-149.4l4.842-33.91C342.4 109.5 376.5 80 416 80c3.717 0 7.482 .2617 11.25 .7949C470.1 87.04 501.4 127.6 495.2 171.3zM383.1 152c-4.406 0-7.1 3.594-7.1 8c0 119.1-96.91 216-215.1 216c-4.406 0-7.1 3.594-7.1 8s3.594 8 7.1 8c127.9 0 231.1-104.1 231.1-232C391.1 155.6 388.4 152 383.1 152zM45.03 391.4c4.062 1.594 8.781-.3438 10.41-4.469c1.625-4.094-.375-8.75-4.469-10.41l-39.1-16c-2.469-.9687-5.25-.6875-7.469 .8125C1.313 362.9 0 365.3 0 368v96c0 2.656 1.312 5.125 3.5 6.625C4.844 471.5 6.437 472 7.1 472c1 0 1.1-.1875 2.969-.5625l39.1-16c4.094-1.656 6.094-6.312 4.469-10.41C53.81 440.9 49.06 439 45.03 440.6L15.1 452.2v-72.38L45.03 391.4zM376.6 50.97c1.656 4.094 6.312 6.031 10.41 4.469c4.094-1.656 6.094-6.312 4.469-10.41L379.8 16h72.37l-11.62 29.03c-1.625 4.094 .375 8.75 4.469 10.41C445.1 55.81 446.1 56 447.1 56c3.187 0 6.187-1.906 7.437-5.031l16-40c.9687-2.469 .6875-5.25-.8125-7.469C469.1 1.312 466.7 0 463.1 0h-96c-2.656 0-5.125 1.312-6.625 3.5c-1.5 2.219-1.781 5-.8125 7.469L376.6 50.97z"],
    "saxophone": [640, 512, [127927], "f8dc", "M111.1 224c0 8.836 7.164 16 16 16s16-7.164 16-16s-7.164-16-16-16S111.1 215.2 111.1 224zM8 144h271.1c4.406 0 8-3.594 8-8S284.4 128 279.1 128H8C3.594 128 0 131.6 0 136S3.594 144 8 144zM79.1 320c0 8.836 7.164 16 16 16s15.1-7.164 15.1-16S104.8 304 95.1 304S79.1 311.2 79.1 320zM632.1 69.75l-26.59-26.41C598.1 36.03 589.2 32 578.7 32h-45.72c-18.78 0-36.44 7.25-49.75 20.41l-50.05 49.51l-11.57-11.57c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31l11.51 11.51L384.9 149.6l-11.3-11.3c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31l11.24 11.24l-36.89 36.48l-11.04-11.04c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31l10.98 10.98L207.1 325.5c-6.031 5.844-15.56 6.438-22.19 1.312c-6.594-5.062-8.344-14.28-3.969-21.59l74.21-133.3C257.3 168 255.1 163.2 252.1 161C248.2 158.8 243.4 160.3 241.2 164.1L167.1 297.2c-8.406 14.09-4.938 32.25 8.062 42.25c12.81 10.03 31.4 8.906 43.19-2.562l118.3-116.1l9.711 9.711C347.9 231.2 349.9 232 351.1 232s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31l-9.648-9.648l36.89-36.48l9.445 9.445C395.9 183.2 397.9 184 399.1 184s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31l-9.383-9.383l36.89-36.48l9.18 9.18C443.9 135.2 445.9 136 447.1 136s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31l-9.117-9.117l49.99-49.45C504.8 53.59 518.5 48 533 48h45.72c6.188 0 12.03 2.375 16.41 6.719l26.62 26.44c3.156 3.094 2.219 6.531 1.656 7.906c-.4375 1.094-2.281 4.656-7.031 4.656h-63.03c-11.94 0-23.09 5.281-30.59 14.53L280.1 407.1C266.5 423.3 230.4 464 163.1 464c-23.97 .6562-47.78-5.906-68.68-17.53C46.37 420.9 16 371.6 16 317.7c0-35.53 16.1-113.8 26.5-147.6C43.72 165.9 41.22 161.5 36.97 160.3C32.75 159 28.28 161.6 27.12 165.8C17.97 198.4 0 278.9 0 317.7c0 59.88 33.69 114.7 87.68 142.8C110.6 473.3 136.7 480 163.2 480h.7813c73.62 0 113.2-44.63 128.1-61.41l243.1-300.3c4.438-5.469 11.06-8.594 18.16-8.594h63.03c9.656 0 18.22-5.75 21.84-14.62C641.8 86.19 639.8 76.47 632.1 69.75z"],
    "saxophone-fire": [640, 512, ["sax-hot"], "f8db", "M166.1 182.5C167.5 183.5 169.1 184 170.7 184c2.5 0 4.969-1.188 6.531-3.375c7.875-11.16 12.22-24.75 12.19-39c-.5313-5.812-4.5-16.66-10.41-28.28C177.8 110.9 175.5 109.3 172.8 108.1C169.7 108.6 167.4 109.8 165.7 111.9L146.5 135.4L108.3 82.81c-1.5-2.094-3.906-3.344-6.469-3.344s-5 1.219-6.5 3.281C76.41 108.6 66.53 132.3 66.53 142.3c0 13.91 4.25 27.19 12.25 38.31C81.38 184.3 86.38 185 89.94 182.5c3.594-2.594 4.406-7.594 1.844-11.16c-5.969-8.312-9.25-18.59-9.25-29c0-3.531 4.75-19.03 19.38-41.09l37.75 52C141.1 155.3 143.4 156.5 145.9 156.6C147.9 156 150.8 155.5 152.3 153.6L169.1 131.9c2.344 5.812 3.375 9.531 3.469 10.41c0 10.25-3.312 20.56-9.281 29.03C161.6 175 162.5 180 166.1 182.5zM633 101.8l-26.56-26.41C599 68.03 589.2 64 578.8 64h-45.72c-18.78 0-36.44 7.25-49.75 20.41l-50.06 49.51l-11.57-11.57c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31l11.51 11.51l-36.89 36.49l-11.3-11.3c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31l11.24 11.24l-36.89 36.48l-11.04-11.04c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31l10.98 10.98l-118.2 116.9c-6.031 5.875-15.53 6.438-22.19 1.312c-6.594-5.062-8.344-14.28-4.25-21.16l50-77.31c2.406-3.719 1.344-8.656-2.375-11.06C224.7 246.9 219.7 247.9 217.3 251.7l-50.16 77.56c-8.406 14.09-4.938 32.25 8.062 42.25C188 381.5 206.6 380.3 218.4 368.9l118.3-116.1l9.711 9.711C347.9 263.2 349.9 264 352 264s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31l-9.648-9.648l36.89-36.48l9.445 9.445C395.9 215.2 397.9 216 400 216s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31l-9.383-9.383l36.89-36.48l9.18 9.18C443.9 167.2 445.9 168 448 168s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31l-9.117-9.117l49.99-49.45C504.8 85.59 518.5 80 533 80h45.72c6.188 0 12.03 2.406 16.44 6.719l26.59 26.44C624.9 116.3 624 119.7 623.4 121.1c-.4375 1.094-2.281 4.656-7.031 4.656h-63.03c-11.91 0-23.03 5.281-30.59 14.53l-242.7 299.7C266.5 455.3 230.4 496 163.1 496H163.3c-23.84 0-47.28-6.031-67.97-17.53C46.38 452.9 16 403.6 16 349.7c0-23.09 7.969-59.38 15.78-91.84c1.031-4.312-1.625-8.625-5.906-9.656C21.66 247.3 17.25 249.8 16.22 254.1C8.188 287.5 0 324.1 0 349.7c0 59.88 33.69 114.7 87.69 142.8C110.6 505.3 136.7 512 163.2 512H164c73.63 0 113.2-44.63 128.1-61.41l243.1-300.3c4.5-5.469 11.12-8.625 18.19-8.625h63.03c9.656 0 18.22-5.75 21.84-14.62C641.9 118.2 639.9 108.5 633 101.8zM8 224h240C252.4 224 256 220.4 256 216S252.4 208 248 208h-240C3.594 208 0 211.6 0 216S3.594 224 8 224zM29.19 183.6C33.38 182.2 35.66 177.7 34.28 173.5C30.97 163.4 29.22 152.8 29.09 142.3c0-30.81 30.69-82.88 72.22-123.3C116.5 33.66 130.3 49.38 142.2 65.81c1.438 2 3.75 3.188 6.219 3.281c3.031 .1562 4.844-1 6.438-2.906c6.531-7.938 13.44-15.5 20.62-22.59c29.34 30.12 51.44 76.38 51.44 98.66C226.8 152.8 225 163.4 221.7 173.5C220.3 177.7 222.6 182.2 226.8 183.6C227.7 183.9 228.5 184 229.3 184c3.375 0 6.5-2.125 7.594-5.5c3.844-11.69 5.875-23.84 6-36.16c0-27.56-25.44-81.88-61.97-115.8C177.9 23.78 173.1 23.75 170 26.62C162.8 33.41 155.8 40.66 149.1 48.28C136.5 32.03 122.3 16.53 106.7 2.125c-3.062-2.812-7.812-2.812-10.88 0c-47.94 44.53-82.75 103.5-82.75 140.3c.125 12.22 2.156 24.38 6 36.06C20.47 182.7 24.88 185 29.19 183.6zM72 376c0 8.836 7.164 15.1 15.1 15.1S104 384.8 104 376s-7.164-16-16-16S72 367.2 72 376zM104 280c0 8.836 7.164 16 16 16s16-7.164 16-16s-7.164-16-16-16S104 271.2 104 280z"],
    "scale-balanced": [640, 512, [9878, "balance-scale"], "f24e", "M634.4 279.1l-109-175.1C522.2 98.38 517.1 96 512 96c-5.094 0-10.2 2.375-13.36 7.125l-109 175.1c-3.875 5.781-6.094 12.71-5.5 19.63C389.6 364.4 444.8 416 512 416s122.4-51.59 127.9-117.3C640.5 291.8 638.3 284.9 634.4 279.1zM403.2 287.5l108.8-175.5c.0078-.002-.043 0 0 0l-.2168-.4521L621.1 288h-218.2C403.1 287.8 403.1 287.7 403.2 287.5zM511.1 400c-55.7 0-102.8-41.71-110.8-96h221.5C614.9 358.3 567.7 400 511.1 400zM255.9 298.7C256.5 291.8 254.3 284.9 250.4 279.1l-109-175.1C138.2 98.38 133.1 96 127.1 96c-5.094 0-10.21 2.375-13.36 7.125L5.599 279.1C1.724 284.9-.4943 291.8 .0995 298.7C5.568 364.4 60.75 416 127.1 416S250.4 364.4 255.9 298.7zM19.19 287.5l108.8-175.5c.0078-.002-.043 0 0 0L127.7 111.6L237.1 288H18.95C19.06 287.8 19.08 287.7 19.19 287.5zM17.24 304h221.5c-7.906 54.27-55.05 96-110.8 96C72.31 400 25.17 358.3 17.24 304zM535.1 496H327.1V128c0-.3027-.2891-.4805-.3203-.7734C359.4 123.4 384 96.71 384 64h151.1c4.406 0 7.1-3.578 7.1-8S540.4 48 535.1 48h-151.1c-.7813 0-1.289 .6191-2.008 .8301C375.2 20.85 350.1 0 320 0s-55.16 20.85-61.99 48.83C257.3 48.62 256.8 48 256 48H104c-4.406 0-7.1 3.578-7.1 8S99.59 64 104 64h151.1c0 32.71 24.64 59.39 56.32 63.23C312.3 127.5 312 127.7 312 128v368H104c-4.406 0-7.1 3.578-7.1 8S99.59 512 104 512h431.1c4.406 0 7.1-3.578 7.1-8S540.4 496 535.1 496zM272 64c0-26.47 21.53-48 47.1-48s47.1 21.53 47.1 48S346.5 112 320 112C293.5 112 272 90.47 272 64z"],
    "scale-unbalanced": [640, 512, ["balance-scale-left"], "f515", "M141.4 199.1C138.2 194.4 133.1 192 127.1 192c-5.094 0-10.21 2.362-13.36 7.112L5.599 375.1c-3.875 5.781-6.094 12.71-5.5 19.63C5.568 460.4 60.75 512 128 512s122.4-51.58 127.9-117.3c.5937-6.922-1.625-13.85-5.5-19.63L141.4 199.1zM19.19 383.5l108.8-175.5c.0078-.002-.043 0 0 0L127.7 207.6L237.1 384H18.95C19.06 383.8 19.08 383.7 19.19 383.5zM128 496c-55.7 0-102.8-41.71-110.8-96h221.5C230.9 454.3 183.7 496 128 496zM634.4 247.1l-109-175.1c-3.156-4.75-8.267-7.125-13.36-7.125c-5.094 0-10.2 2.375-13.36 7.125l-109 175.1c-3.875 5.781-6.094 12.71-5.5 19.63c5.469 65.67 60.65 117.3 127.9 117.3s122.4-51.59 127.9-117.3C640.5 259.8 638.3 252.9 634.4 247.1zM403.2 255.5l108.8-175.5c.0078-.002-.043 0 0 0l-.2168-.4521L621.1 256h-218.2C403.1 255.8 403.1 255.7 403.2 255.5zM511.1 368c-55.7 0-102.8-41.71-110.8-96h221.5C614.9 326.3 567.7 368 511.1 368zM535.1 496H327.1V127.2c30.46-3.842 54.1-28.87 55.68-59.98l154.9-51.62c4.188-1.406 6.469-5.938 5.062-10.12s-5.906-6.406-10.12-5.062l-150.9 50.3c-6.125-28.96-31.8-50.69-62.58-50.69c-35.35 0-64 28.65-64 63.99c0 9.631 2.287 18.67 6.098 26.86L101.5 144.4C97.28 145.8 95 150.3 96.41 154.5C97.53 157.9 100.7 160 104 160c.8438 0 1.687-.125 2.531-.4062l164.5-54.83C281.2 116.9 295.5 125.1 312 127.2V504c0 4.418 3.575 8 7.993 8h216c4.406 0 7.1-3.578 7.1-8S540.4 496 535.1 496zM272 64c0-26.47 21.53-48 47.1-48s47.1 21.53 47.1 48S346.5 112 320 112S272 90.47 272 64z"],
    "scale-unbalanced-flip": [640, 512, ["balance-scale-right"], "f516", "M389.6 375.1c-3.875 5.781-6.094 12.71-5.5 19.63C389.6 460.4 444.8 512 512 512s122.4-51.58 127.9-117.3c.5938-6.922-1.625-13.85-5.5-19.63l-109-175.1c-3.156-4.75-8.269-7.112-13.36-7.112c-5.094 0-10.2 2.362-13.36 7.112L389.6 375.1zM621 384h-218.2l109.4-176.4l-.2168 .4521c.043 0-.0078-.002 0 0l108.8 175.5C620.9 383.7 620.9 383.8 621 384zM401.2 400h221.5c-7.926 54.29-55.06 96-110.8 96C456.3 496 409.1 454.3 401.2 400zM.0995 266.7c5.469 65.67 60.65 117.3 127.9 117.3s122.4-51.59 127.9-117.3C256.5 259.8 254.3 252.9 250.4 247.1L141.4 71.13C138.2 66.38 133.1 64 127.1 64s-10.2 2.375-13.36 7.125L5.599 247.1C1.724 252.9-.4943 259.8 .0995 266.7zM237 256H18.88l109.4-176.4L128 80c.043 0-.0078-.002 0 0l108.8 175.5C236.9 255.7 236.9 255.8 237 256zM17.24 272H238.8c-7.926 54.29-55.06 96-110.8 96C72.29 368 25.15 326.3 17.24 272zM96 504c0 4.422 3.594 8 7.1 8h216c4.418 0 7.993-3.582 7.993-8V127.2c16.46-2.076 30.85-10.3 40.96-22.43l164.5 54.83C534.3 159.9 535.2 160 535.1 160c3.344 0 6.469-2.125 7.594-5.469c1.406-4.188-.875-8.719-5.062-10.12l-160.6-53.54c3.811-8.193 6.098-17.23 6.098-26.86c0-35.35-28.66-63.99-64-63.99c-30.78 0-56.45 21.74-62.58 50.69L106.5 .4062C102.3-.9375 97.81 1.281 96.41 5.469s.875 8.719 5.062 10.12l154.9 51.62C257.9 98.33 281.5 123.4 312 127.2V496H104C99.59 496 96 499.6 96 504zM320 112C293.5 112 272 90.47 272 64S293.5 16 319.1 16c26.47 0 47.1 21.53 47.1 48S346.5 112 320 112z"],
    "scalpel": [512, 512, [], "f61d", "M288 311.1c-4.406 0-8 3.594-8 8c0 38.35-17.41 77.1-44.31 98.69c-.2187 .1562-.4375 .3125-.5938 .4687c-57.81 45.91-131.1 72.69-208.1 76.41l161.2-170.1c3.031-3.219 2.906-8.281-.3125-11.31C184.7 311.1 179.6 311.3 176.6 314.5L2.191 498.5c-2.188 2.312-2.812 5.719-1.531 8.656C1.973 510.3 4.816 511.1 8.566 512c86.81 0 170.3-28.22 236.2-80.16c.3438-.1875 .6562-.4062 .9687-.6562c30.56-24.56 50.31-68.19 50.31-111.2C296 315.6 292.4 311.1 288 311.1zM511.4 65.22c-2.625-21.28-13.66-39.85-31.09-52.25c-30.84-22.03-75.31-15.35-101.3 15.12L183.1 256.1C177.9 263.2 176.6 272.9 180.4 281.3s12.06 13.69 21.34 13.69h127.8c11.38 0 22.19-5 29.69-13.72l134.6-157.3C507.6 107.8 514 86.41 511.4 65.22zM481.7 113.6l-134.5 157.3c-4.438 5.156-10.84 8.125-17.53 8.125H201.8c-4.438 0-6.344-3.344-6.812-4.375S193.2 269.1 196.2 266.5l195.1-228c12.53-14.72 30.38-22.5 47.88-22.5c11.28 0 22.47 3.25 31.94 10.03c13.72 9.781 22.44 24.41 24.5 41.19C497.6 83.91 492.5 100.8 481.7 113.6z"],
    "scalpel-line-dashed": [576, 512, ["scalpel-path"], "f61e", "M245.7 431.2c30.56-24.56 50.31-68.19 50.31-111.2c0-4.406-3.594-8-8.002-8c-4.406 0-8 3.594-8 8c0 38.35-17.41 77.1-44.31 98.69c-.2187 .1562-.4375 .3125-.5938 .4687c-57.81 45.91-131.1 72.69-208.1 76.41l161.2-170.1c3.031-3.219 2.906-8.281-.3125-11.31C184.7 311.1 179.6 311.3 176.6 314.5L2.191 498.5c-2.188 2.312-2.812 5.719-1.531 8.656C1.973 510.3 4.816 511.1 8.566 512c86.81 0 170.3-28.22 236.2-80.16C245.1 431.7 245.4 431.4 245.7 431.2zM312 496h-80C227.6 496 224 499.6 224 504S227.6 512 232 512h80c4.406 0 8-3.594 8-8S316.4 496 312 496zM493.9 123.9c13.78-16.12 20.19-37.53 17.56-58.72c-2.625-21.28-13.66-39.85-31.09-52.25c-30.84-22.03-75.31-15.35-101.3 15.12L183.1 256.1C177.9 263.2 176.6 272.9 180.4 281.3s12.06 13.69 21.34 13.69h127.8c11.38 0 22.19-5 29.69-13.72L493.9 123.9zM329.6 278.1H201.8c-4.438 0-6.344-3.344-6.812-4.375S193.2 269.1 196.2 266.5l195.1-228c12.53-14.72 30.38-22.5 47.88-22.5c11.28 0 22.47 3.25 31.94 10.03c13.72 9.781 22.44 24.41 24.5 41.19c2.062 16.72-3 33.63-13.88 46.38l-134.5 157.3C342.7 276 336.3 278.1 329.6 278.1zM568 496h-80c-4.406 0-8 3.594-8 8S483.6 512 488 512h80c4.406 0 8-3.594 8-8S572.4 496 568 496zM440 496h-80c-4.406 0-8 3.594-8 8S355.6 512 360 512h80c4.406 0 8-3.594 8-8S444.4 496 440 496z"],
    "scanner-gun": [576, 512, ["scanner"], "f488", "M81.1 251.7C34.27 238.3 0 195.1 0 144C0 82.14 50.14 32 112 32H304C330.5 32 352 53.49 352 80V208C352 234.5 330.5 256 304 256H262.5L144.4 454.9C130.9 477.6 101.6 485.2 78.8 471.8L25.46 440.4C2.574 426.9-5.037 397.4 8.468 374.6L81.1 251.7zM16 144C16 197 58.98 240 112 240H304C321.7 240 336 225.7 336 208V80C336 62.33 321.7 48 304 48H112C58.98 48 16 90.98 16 144zM243.9 256H97.13L22.24 382.7C13.24 397.1 18.31 417.6 33.57 426.6L86.91 457.1C102.1 466.9 121.7 461.9 130.6 446.7L243.9 256zM568 32C572.4 32 576 35.58 576 40C576 44.42 572.4 48 568 48H424C419.6 48 416 44.42 416 40C416 35.58 419.6 32 424 32H568zM416 88C416 83.58 419.6 80 424 80H568C572.4 80 576 83.58 576 88C576 92.42 572.4 96 568 96H424C419.6 96 416 92.42 416 88zM416 136C416 131.6 419.6 128 424 128H568C572.4 128 576 131.6 576 136C576 140.4 572.4 144 568 144H424C419.6 144 416 140.4 416 136zM568 192C572.4 192 576 195.6 576 200C576 204.4 572.4 208 568 208H424C419.6 208 416 204.4 416 200C416 195.6 419.6 192 424 192H568zM416 280C416 275.6 419.6 272 424 272H568C572.4 272 576 275.6 576 280C576 284.4 572.4 288 568 288H424C419.6 288 416 284.4 416 280zM568 320C572.4 320 576 323.6 576 328C576 332.4 572.4 336 568 336H424C419.6 336 416 332.4 416 328C416 323.6 419.6 320 424 320H568zM416 384C416 379.6 419.6 376 424 376H568C572.4 376 576 379.6 576 384C576 388.4 572.4 392 568 392H424C419.6 392 416 388.4 416 384zM568 464C572.4 464 576 467.6 576 472C576 476.4 572.4 480 568 480H424C419.6 480 416 476.4 416 472C416 467.6 419.6 464 424 464H568z"],
    "scanner-image": [576, 512, [], "f8f3", "M176 384c0 8.835 7.164 15.1 16 15.1c8.838 0 16-7.164 16-15.1c0-8.837-7.162-15.1-16-15.1C183.2 368 176 375.2 176 384zM80 384c0 8.835 7.164 15.1 16 15.1c8.838 0 16-7.164 16-15.1c0-8.837-7.162-15.1-16-15.1C87.16 368 80 375.2 80 384zM553.4 280.1L43.48 32.84c-4-1.1-8.75-.2812-10.69 3.687c-1.922 3.1-.2656 8.781 3.719 10.69l509.1 247.2C554.7 298.4 560 306.9 560 316.1v123.9c0 13.22-10.77 23.1-24 23.1H40c-13.23 0-24-10.78-24-23.1v-111.1c0-13.22 10.77-23.1 24-23.1H480c4.422 0 8-3.594 8-7.1S484.4 288 480 288H40c-22.06 0-40 17.94-40 39.1v111.1C0 462.1 17.94 480 40 480h496c22.06 0 40-17.94 40-39.1V316.1C576 300.8 567.1 286.7 553.4 280.1z"],
    "scanner-keyboard": [512, 512, [], "f489", "M144 8V56C144 60.42 140.4 64 136 64C131.6 64 128 60.42 128 56V8C128 3.582 131.6 0 136 0C140.4 0 144 3.582 144 8zM272 8V56C272 60.42 268.4 64 264 64C259.6 64 256 60.42 256 56V8C256 3.582 259.6 0 264 0C268.4 0 272 3.582 272 8zM384 8C384 3.582 387.6 0 392 0C396.4 0 400 3.582 400 8V280C400 284.4 396.4 288 392 288C387.6 288 384 284.4 384 280V8zM448 8C448 3.582 451.6 0 456 0C460.4 0 464 3.582 464 8V280C464 284.4 460.4 288 456 288C451.6 288 448 284.4 448 280V8zM320 8C320 3.582 323.6 0 328 0C332.4 0 336 3.582 336 8V56C336 60.42 332.4 64 328 64C323.6 64 320 60.42 320 56V8zM192 8C192 3.582 195.6 0 200 0C204.4 0 208 3.582 208 8V56C208 60.42 204.4 64 200 64C195.6 64 192 60.42 192 56V8zM512 8V280C512 284.4 508.4 288 504 288C499.6 288 496 284.4 496 280V8C496 3.582 499.6 0 504 0C508.4 0 512 3.582 512 8zM64 200C64 177.9 81.91 160 104 160H248C270.1 160 288 177.9 288 200V216C288 238.1 270.1 256 248 256H104C81.91 256 64 238.1 64 216V200zM80 200V216C80 229.3 90.75 240 104 240H248C261.3 240 272 229.3 272 216V200C272 186.7 261.3 176 248 176H104C90.75 176 80 186.7 80 200zM64 416C64 398.3 78.33 384 96 384H128C145.7 384 160 398.3 160 416C160 433.7 145.7 448 128 448H96C78.33 448 64 433.7 64 416zM80 416C80 424.8 87.16 432 96 432H128C136.8 432 144 424.8 144 416C144 407.2 136.8 400 128 400H96C87.16 400 80 407.2 80 416zM256 384C273.7 384 288 398.3 288 416C288 433.7 273.7 448 256 448H224C206.3 448 192 433.7 192 416C192 398.3 206.3 384 224 384H256zM256 400H224C215.2 400 208 407.2 208 416C208 424.8 215.2 432 224 432H256C264.8 432 272 424.8 272 416C272 407.2 264.8 400 256 400zM64 320C64 302.3 78.33 288 96 288H128C145.7 288 160 302.3 160 320C160 337.7 145.7 352 128 352H96C78.33 352 64 337.7 64 320zM80 320C80 328.8 87.16 336 96 336H128C136.8 336 144 328.8 144 320C144 311.2 136.8 304 128 304H96C87.16 304 80 311.2 80 320zM256 288C273.7 288 288 302.3 288 320C288 337.7 273.7 352 256 352H224C206.3 352 192 337.7 192 320C192 302.3 206.3 288 224 288H256zM256 304H224C215.2 304 208 311.2 208 320C208 328.8 215.2 336 224 336H256C264.8 336 272 328.8 272 320C272 311.2 264.8 304 256 304zM288 96C323.3 96 352 124.7 352 160V448C352 483.3 323.3 512 288 512H64C28.65 512 0 483.3 0 448V160C0 124.7 28.65 96 64 96H288zM288 112H64C37.49 112 16 133.5 16 160V448C16 474.5 37.49 496 64 496H288C314.5 496 336 474.5 336 448V160C336 133.5 314.5 112 288 112z"],
    "scanner-touchscreen": [512, 512, [], "f48a", "M144 8V56C144 60.42 140.4 64 136 64C131.6 64 128 60.42 128 56V8C128 3.582 131.6 0 136 0C140.4 0 144 3.582 144 8zM272 8V56C272 60.42 268.4 64 264 64C259.6 64 256 60.42 256 56V8C256 3.582 259.6 0 264 0C268.4 0 272 3.582 272 8zM384 8C384 3.582 387.6 0 392 0C396.4 0 400 3.582 400 8V280C400 284.4 396.4 288 392 288C387.6 288 384 284.4 384 280V8zM448 8C448 3.582 451.6 0 456 0C460.4 0 464 3.582 464 8V280C464 284.4 460.4 288 456 288C451.6 288 448 284.4 448 280V8zM320 8C320 3.582 323.6 0 328 0C332.4 0 336 3.582 336 8V56C336 60.42 332.4 64 328 64C323.6 64 320 60.42 320 56V8zM192 8C192 3.582 195.6 0 200 0C204.4 0 208 3.582 208 8V56C208 60.42 204.4 64 200 64C195.6 64 192 60.42 192 56V8zM512 8V280C512 284.4 508.4 288 504 288C499.6 288 496 284.4 496 280V8C496 3.582 499.6 0 504 0C508.4 0 512 3.582 512 8zM64 200C64 177.9 81.91 160 104 160H248C270.1 160 288 177.9 288 200V408C288 430.1 270.1 448 248 448H104C81.91 448 64 430.1 64 408V200zM80 200V408C80 421.3 90.75 432 104 432H248C261.3 432 272 421.3 272 408V200C272 186.7 261.3 176 248 176H104C90.75 176 80 186.7 80 200zM288 96C323.3 96 352 124.7 352 160V448C352 483.3 323.3 512 288 512H64C28.65 512 0 483.3 0 448V160C0 124.7 28.65 96 64 96H288zM288 112H64C37.49 112 16 133.5 16 160V448C16 474.5 37.49 496 64 496H288C314.5 496 336 474.5 336 448V160C336 133.5 314.5 112 288 112z"],
    "scarecrow": [512, 512, [], "f70d", "M477.8 186.3L451.3 160l18.36-18.26c5-5 1.51-13.74-5.74-13.74L346.1 128c3.574-10.05 5.876-20.72 5.876-32c0-53.02-42.98-96-96-96S160 42.98 160 96c0 11.28 2.304 21.95 5.878 32L48 128c-7.127 0-10.74 8.615-5.741 13.74l18.49 18.26l-26.48 26.26c-3 3.125-3 8.235 0 11.36l26.48 26.38L42.38 242.3c-5 5-1.511 13.74 5.741 13.74h106.1l-26 141.3c-1.693 10.36 6.427 18.73 15.72 18.73c2.369 0 4.799-.5617 7.184-1.755l32.64-24.21c2.824-2.118 6.129-3.226 9.492-3.226c2.594 0 5.206 .663 7.6 1.97L248.8 414.2c2.25 1.188 4.686 1.807 7.155 1.807s4.927-.6191 7.177-1.807l47.92-25.49c2.395-1.307 4.974-1.938 7.567-1.938c3.365 0 6.675 1.058 9.497 3.176l32.67 24.24c2.387 1.191 4.85 1.655 7.225 1.655c9.328 0 17.42-8.273 15.73-18.63l-25.84-141.2h106.1c7.125 0 10.74-8.615 5.738-13.74L451.3 224l26.36-26.26C480.8 194.5 480.8 189.5 477.8 186.3zM256 16c44.11 0 80 35.89 80 80c0 44.11-35.89 80-80 80C211.9 176 176 140.1 176 96C176 51.89 211.9 16 256 16zM439.1 212.7c-3.027 3.012-4.723 7.107-4.715 11.38c.0098 4.27 1.725 8.357 4.764 11.36L444.7 240H357.9c-4.748 0-9.25 2.109-12.29 5.756c-3.039 3.646-4.303 8.457-3.447 13.13l25.71 140.7l-30.12-22.38c-5.582-4.188-12.2-6.4-19.13-6.4c-5.301 0-10.58 1.35-15.12 3.826l-47.21 25.5l-47.74-25.42c-4.68-2.553-9.957-3.902-15.26-3.902c-6.932 0-13.55 2.213-19.07 6.357l-30.11 22.38l25.89-140.6C170.8 254.2 169.6 249.4 166.5 245.8C163.5 242.1 159 240 154.3 240H67.35l4.68-4.646c3.021-3.002 4.723-7.086 4.725-11.35S75.06 215.7 72.04 212.7L51.23 191.1l20.78-20.59c3.037-3.01 4.744-7.107 4.74-11.38C76.75 155.7 75.03 151.6 71.99 148.6L67.31 144h106C189.9 172.6 220.6 192 255.1 192s66.06-19.43 82.69-48.01L444.7 144l-4.68 4.646c-3.025 3.008-4.727 7.098-4.725 11.36c.0039 4.268 1.709 8.355 4.74 11.36l20.79 20.57L439.1 212.7zM224 96c8.838 0 16-7.164 16-16c0-8.838-7.162-16-16-16c-8.836 0-16 7.162-16 16C208 88.84 215.2 96 224 96zM288 112c8.838 0 16-7.164 16-16c0-8.838-7.162-16-16-16c-8.836 0-16 7.162-16 16C272 104.8 279.2 112 288 112zM256 432c-4.422 0-8 3.594-8 8v64c0 4.406 3.583 8 8.005 8S264 508.4 264 504v-64C264 435.6 260.4 432 256 432z"],
    "scarf": [512, 512, [129507], "f7c1", "M218.3 378.3l-120 120c-3.125 3.125-3.125 8.189 0 11.32C99.91 511.2 101.1 512 104 512s4.094-.7813 5.656-2.344l120-120c3.125-3.127 3.125-8.189 0-11.32S221.5 375.2 218.3 378.3zM133.7 282.3c-3.125-3.127-8.188-3.127-11.31 0l-120 120c-3.125 3.127-3.125 8.191 0 11.32C3.906 415.2 5.953 415.1 8 415.1s4.094-.7813 5.656-2.344l120-120C136.8 290.5 136.8 285.4 133.7 282.3zM181.7 330.3c-3.125-3.127-8.188-3.127-11.31 0l-120 120c-3.125 3.127-3.125 8.191 0 11.32C51.91 463.2 53.95 463.1 56 463.1s4.094-.7813 5.656-2.346l120-120C184.8 338.5 184.8 333.4 181.7 330.3zM369.7 246.4l-136.9-137.2c18.02-2.533 34.25-1.752 47.45 .1875l-7.828 7.814c-3.141 3.096-3.141 8.191-.0313 11.32c3.125 3.127 8.219 3.127 11.31 0l18.53-18.47c2.062-2.031 2.844-5.033 2.062-7.814c-.7813-2.814-3.031-4.939-5.844-5.627c-19.2-4.564-49.34-8.316-83.84-.25C211.8 96.96 209.5 99.08 208.7 101.9C207.9 104.7 208.7 107.7 210.8 109.7l141.1 142.3l-96.05 96.47L134.1 220.3C93 174.8 120.8 124.9 124.2 119.4l41.47-69.84c3.406-5.814 7.969-10.72 13.52-14.57c37.39-25.48 116.5-25.54 153.7-.1875c5.5 3.846 10.08 8.785 13.59 14.72L388 119.5c5.328 9.033 29.77 56.39-11.66 102.6c-2.953 3.283-2.672 8.348 .6094 11.32c3.312 2.877 8.359 2.689 11.3-.625c48.88-54.49 19.84-110.7 13.52-121.4l-41.55-69.93c-4.688-7.939-10.83-14.57-18.3-19.76c-42.48-28.85-129.2-28.85-171.8 .1875c-7.516 5.221-13.67 11.85-18.23 19.63L110.4 111.2c-14.28 23.85-27.84 75.93 12 120l128.4 134.3c1.5 1.562 3.344 2.688 5.781 2.469c2.125 0 4.172-.8438 5.672-2.344l107.5-107.9C372.8 254.6 372.8 249.5 369.7 246.4zM293.7 378.3C292.1 376.7 290 375.1 288 375.1s-4.094 .7813-5.656 2.344c-3.125 3.127-3.125 8.189 0 11.32l120 120c3.125 3.125 8.188 3.125 11.31 0c3.125-3.127 3.125-8.191 0-11.32L293.7 378.3zM509.7 402.3l-120-120C388.1 280.7 386 279.9 384 279.9s-4.094 .7813-5.656 2.346c-3.125 3.125-3.125 8.189 0 11.31l120 120c3.125 3.127 8.188 3.127 11.31 0C512.8 410.5 512.8 405.4 509.7 402.3zM341.7 330.3C340.1 328.7 338 327.9 336 327.9s-4.094 .7832-5.656 2.346c-3.125 3.125-3.125 8.189 0 11.32l120 120c3.125 3.127 8.292 3.113 11.42-.0137c3.125-3.125 3.021-8.176-.1045-11.3L341.7 330.3z"],
    "school": [640, 512, [127979], "f549", "M552 192C565.3 192 576 202.7 576 216V264C576 277.3 565.3 288 552 288H536C522.7 288 512 277.3 512 264V216C512 202.7 522.7 192 536 192H552zM528 264C528 268.4 531.6 272 536 272H552C556.4 272 560 268.4 560 264V216C560 211.6 556.4 208 552 208H536C531.6 208 528 211.6 528 216V264zM552 320C565.3 320 576 330.7 576 344V392C576 405.3 565.3 416 552 416H536C522.7 416 512 405.3 512 392V344C512 330.7 522.7 320 536 320H552zM528 392C528 396.4 531.6 400 536 400H552C556.4 400 560 396.4 560 392V344C560 339.6 556.4 336 552 336H536C531.6 336 528 339.6 528 344V392zM328 168H344C348.4 168 352 171.6 352 176C352 180.4 348.4 184 344 184H320C315.6 184 312 180.4 312 176V144C312 139.6 315.6 136 320 136C324.4 136 328 139.6 328 144V168zM240 176C240 131.8 275.8 95.1 320 95.1C364.2 95.1 400 131.8 400 176C400 220.2 364.2 256 320 256C275.8 256 240 220.2 240 176zM320 240C355.3 240 384 211.3 384 176C384 140.7 355.3 111.1 320 111.1C284.7 111.1 256 140.7 256 176C256 211.3 284.7 240 320 240zM64 216C64 202.7 74.75 192 88 192H104C117.3 192 128 202.7 128 216V264C128 277.3 117.3 288 104 288H88C74.75 288 64 277.3 64 264V216zM88 208C83.58 208 80 211.6 80 216V264C80 268.4 83.58 272 88 272H104C108.4 272 112 268.4 112 264V216C112 211.6 108.4 208 104 208H88zM64 344C64 330.7 74.75 320 88 320H104C117.3 320 128 330.7 128 344V392C128 405.3 117.3 416 104 416H88C74.75 416 64 405.3 64 392V344zM88 336C83.58 336 80 339.6 80 344V392C80 396.4 83.58 400 88 400H104C108.4 400 112 396.4 112 392V344C112 339.6 108.4 336 104 336H88zM459.6 112.6L596.4 143.7C621.9 149.5 640 172.2 640 198.3V456C640 486.9 614.9 512 584 512H56C25.07 512 0 486.9 0 456V198.3C0 172.2 18.09 149.5 43.59 143.7L180.4 112.6L314.9 1.824C317.9-.6082 322.1-.6082 325.1 1.824L459.6 112.6zM464 496H584C606.1 496 624 478.1 624 456V198.3C624 179.6 611.1 163.4 592.9 159.3L464 130V496zM448 496V123.8L320 18.36L192 123.8V496H256V384C256 348.7 284.7 320 320 320C355.3 320 384 348.7 384 384V496H448zM16 198.3V456C16 478.1 33.91 496 56 496H176V130L47.14 159.3C28.92 163.4 16 179.6 16 198.3V198.3zM368 496V384C368 357.5 346.5 336 320 336C293.5 336 272 357.5 272 384V496H368z"],
    "school-circle-check": [640, 512, [], "e56b", "M104 192C117.3 192 128 202.7 128 216V264C128 277.3 117.3 288 104 288H88C74.75 288 64 277.3 64 264V216C64 202.7 74.75 192 88 192H104zM80 264C80 268.4 83.58 272 88 272H104C108.4 272 112 268.4 112 264V216C112 211.6 108.4 208 104 208H88C83.58 208 80 211.6 80 216V264zM64 344C64 330.7 74.75 320 88 320H104C117.3 320 128 330.7 128 344V392C128 405.3 117.3 416 104 416H88C74.75 416 64 405.3 64 392V344zM88 336C83.58 336 80 339.6 80 344V392C80 396.4 83.58 400 88 400H104C108.4 400 112 396.4 112 392V344C112 339.6 108.4 336 104 336H88zM314.9 1.824C317.9-.6082 322.1-.6082 325.1 1.824L459.6 112.6L596.4 143.7C621.9 149.5 640 172.2 640 198.3V266.8C635.1 259.9 629.8 253.3 624 247.2V198.3C624 179.6 611.1 163.4 592.9 159.3L464 130V194.9C458.6 195.9 453.2 197.1 448 198.6V123.8L320 18.36L192 123.8V496H256V384C256 348.7 284.7 319.1 320 319.1H326.6C325.1 325.2 323.9 330.6 322.9 336H320C293.5 336 272 357.5 272 384V496H375.2C381.3 501.8 387.9 507.1 394.8 512H56C25.07 512 0 486.9 0 456V198.3C0 172.2 18.09 149.5 43.59 143.7L180.4 112.6L314.9 1.824zM16 198.3V456C16 478.1 33.91 496 56 496H176V130L47.14 159.3C28.92 163.4 16 179.6 16 198.3V198.3zM328 168H344C348.4 168 352 171.6 352 176C352 180.4 348.4 184 344 184H320C315.6 184 312 180.4 312 176V144C312 139.6 315.6 136 320 136C324.4 136 328 139.6 328 144V168zM240 176C240 131.8 275.8 95.1 320 95.1C364.2 95.1 400 131.8 400 176C400 220.2 364.2 256 320 256C275.8 256 240 220.2 240 176zM320 240C355.3 240 384 211.3 384 176C384 140.7 355.3 111.1 320 111.1C284.7 111.1 256 140.7 256 176C256 211.3 284.7 240 320 240zM565.7 322.3C568.8 325.5 568.8 330.5 565.7 333.7L485.7 413.7C482.5 416.8 477.5 416.8 474.3 413.7L426.3 365.7C423.2 362.5 423.2 357.5 426.3 354.3C429.5 351.2 434.5 351.2 437.7 354.3L480 396.7L554.3 322.3C557.5 319.2 562.5 319.2 565.7 322.3H565.7zM352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368zM496 496C566.7 496 624 438.7 624 368C624 297.3 566.7 240 496 240C425.3 240 368 297.3 368 368C368 438.7 425.3 496 496 496z"],
    "school-circle-exclamation": [640, 512, [], "e56c", "M104 192C117.3 192 128 202.7 128 216V264C128 277.3 117.3 288 104 288H88C74.75 288 64 277.3 64 264V216C64 202.7 74.75 192 88 192H104zM80 264C80 268.4 83.58 272 88 272H104C108.4 272 112 268.4 112 264V216C112 211.6 108.4 208 104 208H88C83.58 208 80 211.6 80 216V264zM64 344C64 330.7 74.75 320 88 320H104C117.3 320 128 330.7 128 344V392C128 405.3 117.3 416 104 416H88C74.75 416 64 405.3 64 392V344zM88 336C83.58 336 80 339.6 80 344V392C80 396.4 83.58 400 88 400H104C108.4 400 112 396.4 112 392V344C112 339.6 108.4 336 104 336H88zM314.9 1.824C317.9-.6082 322.1-.6082 325.1 1.824L459.6 112.6L596.4 143.7C621.9 149.5 640 172.2 640 198.3V266.8C635.1 259.9 629.8 253.3 624 247.2V198.3C624 179.6 611.1 163.4 592.9 159.3L464 130V194.9C458.6 195.9 453.2 197.1 448 198.6V123.8L320 18.36L192 123.8V496H256V384C256 348.7 284.7 319.1 320 319.1H326.6C325.1 325.2 323.9 330.6 322.9 336H320C293.5 336 272 357.5 272 384V496H375.2C381.3 501.8 387.9 507.1 394.8 512H56C25.07 512 0 486.9 0 456V198.3C0 172.2 18.09 149.5 43.59 143.7L180.4 112.6L314.9 1.824zM16 198.3V456C16 478.1 33.91 496 56 496H176V130L47.14 159.3C28.92 163.4 16 179.6 16 198.3V198.3zM328 168H344C348.4 168 352 171.6 352 176C352 180.4 348.4 184 344 184H320C315.6 184 312 180.4 312 176V144C312 139.6 315.6 136 320 136C324.4 136 328 139.6 328 144V168zM240 176C240 131.8 275.8 95.1 320 95.1C364.2 95.1 400 131.8 400 176C400 220.2 364.2 256 320 256C275.8 256 240 220.2 240 176zM320 240C355.3 240 384 211.3 384 176C384 140.7 355.3 111.1 320 111.1C284.7 111.1 256 140.7 256 176C256 211.3 284.7 240 320 240zM480 432C480 423.2 487.2 416 496 416C504.8 416 512 423.2 512 432C512 440.8 504.8 448 496 448C487.2 448 480 440.8 480 432zM495.1 280C500.4 280 503.1 283.6 503.1 288V384C503.1 388.4 500.4 392 495.1 392C491.6 392 487.1 388.4 487.1 384V288C487.1 283.6 491.6 280 495.1 280zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 240C425.3 240 368 297.3 368 368C368 438.7 425.3 496 496 496C566.7 496 624 438.7 624 368C624 297.3 566.7 240 496 240z"],
    "school-circle-xmark": [640, 512, [], "e56d", "M104 192C117.3 192 128 202.7 128 216V264C128 277.3 117.3 288 104 288H88C74.75 288 64 277.3 64 264V216C64 202.7 74.75 192 88 192H104zM80 264C80 268.4 83.58 272 88 272H104C108.4 272 112 268.4 112 264V216C112 211.6 108.4 208 104 208H88C83.58 208 80 211.6 80 216V264zM64 344C64 330.7 74.75 320 88 320H104C117.3 320 128 330.7 128 344V392C128 405.3 117.3 416 104 416H88C74.75 416 64 405.3 64 392V344zM88 336C83.58 336 80 339.6 80 344V392C80 396.4 83.58 400 88 400H104C108.4 400 112 396.4 112 392V344C112 339.6 108.4 336 104 336H88zM314.9 1.824C317.9-.6082 322.1-.6082 325.1 1.824L459.6 112.6L596.4 143.7C621.9 149.5 640 172.2 640 198.3V266.8C635.1 259.9 629.8 253.3 624 247.2V198.3C624 179.6 611.1 163.4 592.9 159.3L464 130V194.9C458.6 195.9 453.2 197.1 448 198.6V123.8L320 18.36L192 123.8V496H256V384C256 348.7 284.7 319.1 320 319.1H326.6C325.1 325.2 323.9 330.6 322.9 336H320C293.5 336 272 357.5 272 384V496H375.2C381.3 501.8 387.9 507.1 394.8 512H56C25.07 512 0 486.9 0 456V198.3C0 172.2 18.09 149.5 43.59 143.7L180.4 112.6L314.9 1.824zM16 198.3V456C16 478.1 33.91 496 56 496H176V130L47.14 159.3C28.92 163.4 16 179.6 16 198.3V198.3zM328 168H344C348.4 168 352 171.6 352 176C352 180.4 348.4 184 344 184H320C315.6 184 312 180.4 312 176V144C312 139.6 315.6 136 320 136C324.4 136 328 139.6 328 144V168zM240 176C240 131.8 275.8 95.1 320 95.1C364.2 95.1 400 131.8 400 176C400 220.2 364.2 256 320 256C275.8 256 240 220.2 240 176zM320 240C355.3 240 384 211.3 384 176C384 140.7 355.3 111.1 320 111.1C284.7 111.1 256 140.7 256 176C256 211.3 284.7 240 320 240zM507.3 368L557.7 418.3C560.8 421.5 560.8 426.5 557.7 429.7C554.5 432.8 549.5 432.8 546.3 429.7L496 379.3L445.7 429.7C442.5 432.8 437.5 432.8 434.3 429.7C431.2 426.5 431.2 421.5 434.3 418.3L484.7 368L434.3 317.7C431.2 314.5 431.2 309.5 434.3 306.3C437.5 303.2 442.5 303.2 445.7 306.3L496 356.7L546.3 306.3C549.5 303.2 554.5 303.2 557.7 306.3C560.8 309.5 560.8 314.5 557.7 317.7L507.3 368zM640 368C640 447.5 575.5 512 496 512C416.5 512 352 447.5 352 368C352 288.5 416.5 224 496 224C575.5 224 640 288.5 640 368zM496 240C425.3 240 368 297.3 368 368C368 438.7 425.3 496 496 496C566.7 496 624 438.7 624 368C624 297.3 566.7 240 496 240z"],
    "school-flag": [576, 512, [], "e56e", "M344 240C344 270.9 318.9 296 288 296C257.1 296 232 270.9 232 240C232 209.1 257.1 184 288 184C318.9 184 344 209.1 344 240zM288 280C310.1 280 328 262.1 328 240C328 217.9 310.1 200 288 200C265.9 200 248 217.9 248 240C248 262.1 265.9 280 288 280zM136 224C149.3 224 160 234.7 160 248V296C160 309.3 149.3 320 136 320H88C74.75 320 64 309.3 64 296V248C64 234.7 74.75 224 88 224H136zM80 296C80 300.4 83.58 304 88 304H136C140.4 304 144 300.4 144 296V248C144 243.6 140.4 240 136 240H88C83.58 240 80 243.6 80 248V296zM416 248C416 234.7 426.7 224 440 224H488C501.3 224 512 234.7 512 248V296C512 309.3 501.3 320 488 320H440C426.7 320 416 309.3 416 296V248zM440 240C435.6 240 432 243.6 432 248V296C432 300.4 435.6 304 440 304H488C492.4 304 496 300.4 496 296V248C496 243.6 492.4 240 488 240H440zM136 352C149.3 352 160 362.7 160 376V424C160 437.3 149.3 448 136 448H88C74.75 448 64 437.3 64 424V376C64 362.7 74.75 352 88 352H136zM80 424C80 428.4 83.58 432 88 432H136C140.4 432 144 428.4 144 424V376C144 371.6 140.4 368 136 368H88C83.58 368 80 371.6 80 376V424zM416 376C416 362.7 426.7 352 440 352H488C501.3 352 512 362.7 512 376V424C512 437.3 501.3 448 488 448H440C426.7 448 416 437.3 416 424V376zM440 368C435.6 368 432 371.6 432 376V424C432 428.4 435.6 432 440 432H488C492.4 432 496 428.4 496 424V376C496 371.6 492.4 368 488 368H440zM296 83.88L402.6 160H520C550.9 160 576 185.1 576 216V456C576 486.9 550.9 512 520 512H56C25.07 512 0 486.9 0 456V216C0 185.1 25.07 160 56 160H173.4L280 83.88V16C280 7.164 287.2 0 296 0H400C408.8 0 416 7.164 416 16V64C416 72.84 408.8 80 400 80H296V83.88zM400 16H296V64H400V16zM560 456V216C560 193.9 542.1 176 520 176H400C398.3 176 396.7 175.5 395.4 174.5L288 97.83L180.6 174.5C179.3 175.5 177.7 176 176 176H56C33.91 176 16 193.9 16 216V456C16 478.1 33.91 496 56 496H224V416C224 380.7 252.7 352 288 352C323.3 352 352 380.7 352 416V496H520C542.1 496 560 478.1 560 456zM240 416V496H336V416C336 389.5 314.5 368 288 368C261.5 368 240 389.5 240 416z"],
    "school-lock": [640, 512, [], "e56f", "M63.1 216C63.1 202.7 74.74 192 87.1 192H103.1C117.3 192 127.1 202.7 127.1 216V264C127.1 277.3 117.3 288 103.1 288H87.1C74.74 288 63.1 277.3 63.1 264V216zM87.1 208C83.58 208 79.1 211.6 79.1 216V264C79.1 268.4 83.58 272 87.1 272H103.1C108.4 272 111.1 268.4 111.1 264V216C111.1 211.6 108.4 208 103.1 208H87.1zM63.1 344C63.1 330.7 74.74 320 87.1 320H103.1C117.3 320 127.1 330.7 127.1 344V392C127.1 405.3 117.3 416 103.1 416H87.1C74.74 416 63.1 405.3 63.1 392V344zM87.1 336C83.58 336 79.1 339.6 79.1 344V392C79.1 396.4 83.58 400 87.1 400H103.1C108.4 400 111.1 396.4 111.1 392V344C111.1 339.6 108.4 336 103.1 336H87.1zM459.6 112.6L596.4 143.7C621.9 149.5 640 172.2 640 198.3V272C640 250.9 634.2 231.1 624 214.3V198.3C624 179.6 611.1 163.4 592.9 159.3L464 130V180.1C458.2 184.1 452.9 188.6 448 193.6V123.8L319.1 18.36L191.1 123.8V496H255.1V384C255.1 348.7 284.7 320 319.1 320C355.3 320 384 348.7 384 384V496H386C387.5 501.7 389.7 507 392.6 512H56C25.07 512 0 486.9 0 456V198.3C0 172.2 18.09 149.5 43.59 143.7L180.4 112.6L314.9 1.824C317.9-.6082 322.1-.6082 325.1 1.824L459.6 112.6zM15.1 198.3V456C15.1 478.1 33.91 496 55.1 496H175.1V130L47.13 159.3C28.92 163.4 15.1 179.6 15.1 198.3V198.3zM368 496V384C368 357.5 346.5 336 319.1 336C293.5 336 271.1 357.5 271.1 384V496H368zM328 168H344C348.4 168 352 171.6 352 176C352 180.4 348.4 184 344 184H319.1C315.6 184 311.1 180.4 311.1 176V144C311.1 139.6 315.6 136 319.1 136C324.4 136 328 139.6 328 144V168zM239.1 176C239.1 131.8 275.8 95.1 319.1 95.1C364.2 95.1 400 131.8 400 176C400 220.2 364.2 256 319.1 256C275.8 256 239.1 220.2 239.1 176zM319.1 240C355.3 240 384 211.3 384 176C384 140.7 355.3 111.1 319.1 111.1C284.7 111.1 255.1 140.7 255.1 176C255.1 211.3 284.7 240 319.1 240zM528 192C563.3 192 592 220.7 592 256V320H608C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320H464V256C464 220.7 492.7 192 528 192zM528 208C501.5 208 480 229.5 480 256V320H576V256C576 229.5 554.5 208 528 208zM432 352V480C432 488.8 439.2 496 448 496H608C616.8 496 624 488.8 624 480V352C624 343.2 616.8 336 608 336H448C439.2 336 432 343.2 432 352z"],
    "scissors": [512, 512, [9986, 9988, 9984, "cut"], "f0c4", "M498.8 446.1L319.2 294.1C315.8 291.3 315.4 286.2 318.3 282.8C321.1 279.5 326.2 279 329.5 281.9L509.2 433.9C512.5 436.7 512.1 441.8 510.1 445.2C507.3 448.5 502.2 448.1 498.8 446.1zM498.8 65.89C502.2 63.04 507.3 63.46 510.1 66.83C512.1 70.21 512.5 75.25 509.2 78.11L204.1 336.2C216.6 354.3 224 376.3 224 400C224 461.9 173.9 512 112 512C50.14 512 0 461.9 0 400C0 338.1 50.14 288 112 288C144.4 288 173.6 301.8 194.1 323.8L274.2 256L194.1 188.2C173.6 210.2 144.4 224 112 224C50.14 224 0 173.9 0 112C0 50.14 50.14 0 112 0C173.9 0 224 50.14 224 112C224 135.7 216.6 157.7 204.1 175.8L286.5 245.5L498.8 65.89zM16 112C16 165 58.98 208 112 208C165 208 208 165 208 112C208 58.98 165 16 112 16C58.98 16 16 58.98 16 112zM112 496C165 496 208 453 208 400C208 346.1 165 304 112 304C58.98 304 16 346.1 16 400C16 453 58.98 496 112 496z"],
    "screen-users": [640, 512, ["users-class"], "f63d", "M544 256C508.8 256.2 480.2 284.7 480.2 320S508.8 383.8 544 383.1C579.2 383.8 607.8 355.3 607.8 320S579.2 256.2 544 256zM544.1 367.1C517.7 367.9 496.3 346.4 496.3 320c0-26.33 21.41-47.84 47.73-47.98C570.3 272.2 591.7 293.7 591.7 320C591.7 346.4 570.3 367.9 544.1 367.1zM40 240c4.418 0 8-3.582 8-8V49.63C48 31.08 62.36 16 80 16h480c17.64 0 32 15.08 32 33.63V232c0 4.418 3.582 8 8 8S608 236.4 608 232V49.63c0-27.38-21.5-49.63-48-49.63h-480c-26.5 0-48 22.25-48 49.63V232C32 236.4 35.58 240 40 240zM256.2 320c0 35.26 28.57 63.85 63.79 63.98C355.2 383.8 383.8 355.3 383.8 320S355.2 256.2 320 256C284.8 256.2 256.2 284.7 256.2 320zM367.7 320c0 26.36-21.44 47.88-47.67 47.98C293.7 367.9 272.3 346.4 272.3 320c0-26.33 21.41-47.84 47.73-47.98C346.3 272.2 367.7 293.7 367.7 320zM343.8 416h-47.5C256.4 416 224 449.5 224 490.7C224 502.4 233.3 512 244.8 512h150.3C406.7 512 416 502.4 416 490.7C416 449.5 383.6 416 343.8 416zM395.2 496H244.8C242.2 496 240 493.6 240 490.7C240 458.3 265.2 432 296.3 432h47.5C374.8 432 400 458.3 400 490.7C400 493.6 397.8 496 395.2 496zM567.8 416h-47.5C480.4 416 448 449.5 448 490.7C448 502.4 457.3 512 468.8 512h150.3C630.7 512 640 502.4 640 490.7C640 449.5 607.6 416 567.8 416zM619.2 496h-150.3C466.2 496 464 493.6 464 490.7C464 458.3 489.2 432 520.3 432h47.5C598.8 432 624 458.3 624 490.7C624 493.6 621.8 496 619.2 496zM119.8 416h-47.5C32.42 416 0 449.5 0 490.7C0 502.4 9.34 512 20.83 512h150.3C182.7 512 192 502.4 192 490.7C192 449.5 159.6 416 119.8 416zM171.2 496H20.83C18.17 496 16 493.6 16 490.7C16 458.3 41.23 432 72.25 432h47.5C150.8 432 176 458.3 176 490.7C176 493.6 173.8 496 171.2 496zM32.21 320c0 35.26 28.57 63.85 63.79 63.98C131.2 383.8 159.8 355.3 159.8 320S131.2 256.2 96 256C60.78 256.2 32.21 284.7 32.21 320zM143.7 320c0 26.36-21.44 47.88-47.67 47.98C69.71 367.9 48.27 346.4 48.27 320c0-26.33 21.41-47.84 47.73-47.98C122.3 272.2 143.7 293.7 143.7 320z"],
    "screencast": [576, 512, [], "e23e", "M515.5 32H60.5C27.13 32 0 59.81 0 94V160c0 4.406 3.594 8 8 8S16 164.4 16 160V94C16 68.63 35.97 48 60.5 48h455C540 48 560 68.63 560 94v324c0 25.38-19.97 46-44.5 46H320c-4.406 0-8 3.594-8 8S315.6 480 320 480h195.5C548.9 480 576 452.2 576 418V94C576 59.81 548.9 32 515.5 32zM32 416c-17.67 0-32 14.33-32 32s14.33 32 32 32c17.67 0 32-14.33 32-32S49.67 416 32 416zM32 464c-8.822 0-16-7.176-16-16s7.178-16 16-16s16 7.176 16 16S40.82 464 32 464zM8 336C3.594 336 0 339.6 0 344S3.594 352 8 352C74.16 352 128 405.8 128 472C128 476.4 131.6 480 136 480s8-3.594 8-8C144 397 83 336 8 336zM8 240C3.594 240 0 243.6 0 248S3.594 256 8 256C127.1 256 224 352.9 224 472C224 476.4 227.6 480 232 480s8-3.594 8-8C240 344.1 135.9 240 8 240z"],
    "screwdriver": [512, 512, [129691], "f54a", "M509.7 64.34l-62-62c-2.844-2.844-7.359-3.156-10.5-.7187l-122 93C313.2 96.16 312 98.5 312 101v87.69L234.2 266.5C202.7 240.7 156.1 242.2 126.7 271.6l-113.8 113.7c-17.14 17.31-17.14 45.38 .0313 62.56l51.27 51.25C72.77 507.7 84.08 512 95.41 512s22.67-4.312 31.33-12.91l113.7-113.8c29.41-29.41 30.86-75.94 5.084-107.5L323.3 200H411c2.5 0 4.844-1.156 6.359-3.156l93-122C512.8 71.66 512.5 67.19 509.7 64.34zM229.1 373.1l-113.7 113.8c-11.03 10.97-28.97 11-39.95 .0313l-51.27-51.25c-10.95-10.97-10.94-28.91 0-39.97l113.8-113.7c25.12-25.06 65.97-25.06 91.09 0C254.2 308 254.2 348.8 229.1 373.1zM407 184H328V104.1l113.3-86.38l52.11 52.13L407 184z"],
    "screwdriver-wrench": [512, 512, ["tools"], "f7d9", "M227.3 378.1c-2.385-4.816-8.733-6.089-12.54-2.288l-102.3 102.1c-21.72 21.68-57.39 23.85-79.75 2.818c-23.13-21.77-23.56-58.06-1.217-80.37l150.5-150.2c3.027-3.02 3.027-7.918 0-10.94L181.7 238.8c-3.027-3.02-7.932-3.02-10.96 .002l-148.7 148.5c-28.43 28.38-29.88 76.27-1.078 104.3C34.93 505.2 53.07 512 71.23 512c18.47 0 36.91-7.031 50.1-21.09l103.8-103.6C228.4 384.9 228.9 381.2 227.3 378.1C227.3 378.1 227.4 378.2 227.3 378.1zM222.6 76.15C225.8 80.14 231.8 80.02 234.8 75.86c19.6-27.26 48.34-47.67 81.77-55.66c16.65-3.979 41.91-7 68.42-.0703l-81.38 81.24V208h106.8l81.56-81.48c5.381 22.35 5.301 45.41-.2422 68.54c-7.352 30.67-25.18 57.46-49.19 76.83c-3.512 2.834-3.631 8.162-.4355 11.35c2.775 2.766 7.447 3.307 10.5 .8438c26.64-21.53 46.55-51.21 54.72-85.3c6.369-26.58 5.941-52.31 .2383-76c-1.84-7.641-8.664-12.07-15.66-12.07c-4.07 0-8.195 1.498-11.43 4.73L403.8 192H319.7V108l76.69-76.56c8.791-8.777 4.875-24.1-7.213-27.01C377.1 1.545 364.6 .002 351.7 0c-12.64 0-25.64 1.484-38.85 4.641c-37.16 8.873-69.25 31.49-91.1 61.71C219.8 69.13 219.9 72.98 222.1 75.61C222.3 75.79 222.4 75.97 222.6 76.15zM63.22 432c0 8.836 7.176 16 16.03 16s16.03-7.164 16.03-16c0-8.838-7.178-16-16.03-16S63.22 423.2 63.22 432zM385.3 271.6c-29.41-29.38-75.94-30.82-107.5-5.082L200 188.7V101c0-2.5-1.172-4.844-3.156-6.375l-122-92.1c-3.141-2.438-7.656-2.125-10.5 .7187l-62 61.1C-.4844 67.2-.7969 71.67 1.641 74.86l93.01 121.1c1.516 2 3.859 3.156 6.359 3.156h87.69l77.79 77.79c-25.77 31.55-24.32 78.08 5.086 107.5l113.7 113.8C393.9 507.7 405.3 512 416.6 512s22.64-4.312 31.24-12.91l51.27-51.25c17.17-17.19 17.17-45.25 .0313-62.56L385.3 271.6zM184 184H104.1L18.61 70.73l52.11-52.12l113.3 86.37V184zM487.8 436.5l-51.27 51.25c-10.98 10.97-28.92 10.94-39.96-.0313l-113.7-113.8c-25.1-25.12-25.1-65.97 0-91.09c25.12-25.06 65.97-25.06 91.1 0l113.8 113.7C498.7 407.6 498.8 425.6 487.8 436.5z"],
    "scribble": [512, 512, [], "e23f", "M210 17.49C222.1 6.247 238 0 254.6 0H255.4C291.1 0 320 28.91 320 64.57C320 81.69 313.2 98.12 301.1 110.2L62.22 349.1C53.12 358.2 47.1 370.6 47.1 383.4C47.1 410.3 69.74 432 96.57 432C109.4 432 121.8 426.9 130.9 417.8L401.8 146.9C413.9 134.8 430.3 128 447.4 128C483.1 128 512 156.9 512 192.6C512 209.7 505.2 226.1 493.1 238.2L356.9 374.5C343.5 387.8 336 405.9 336 424.8V427.4C336 465.3 366.7 496 404.6 496C415.8 496 426.9 492.9 436.5 487.2L499.9 449.1C503.7 446.9 508.6 448.1 510.9 451.9C513.1 455.7 511.9 460.6 508.1 462.9L444.8 500.9C432.6 508.2 418.7 512 404.6 512C357.9 512 320 474.1 320 427.4V424.8C320 401.7 329.2 379.5 345.5 363.1L481.8 226.9C490.9 217.8 496 205.4 496 192.6C496 165.7 474.3 144 447.4 144C434.6 144 422.2 149.1 413.1 158.2L142.2 429.1C130.1 441.2 113.7 448 96.57 448C60.91 448 32 419.1 32 383.4C32 366.3 38.8 349.9 50.91 337.8L289.8 98.91C298.9 89.8 304 77.45 304 64.57C304 37.74 282.3 16 255.4 16H254.6C242.1 16 230.1 20.72 220.9 29.21L13.44 221.9C10.21 224.9 5.144 224.7 2.138 221.4C-.8688 218.2-.6813 213.1 2.556 210.1L210 17.49z"],
    "scroll": [576, 512, [128220], "f70e", "M568 336h-288c-4.422 0-8 3.594-8 8v56c0 35.28-28.7 64-64 64s-64-28.72-64-64V104c0-22.73-10.8-42.79-27.31-56H400c35.3 0 64 28.72 64 64v184c0 4.406 3.578 8 8 8S480 300.4 480 296V112C480 67.88 444.1 32 400 32H72C32.3 32 0 64.31 0 104v64C0 172.4 3.578 176 8 176h80C92.42 176 96 172.4 96 168S92.42 160 88 160H16V104c0-30.88 25.12-56 56-56S128 73.13 128 104v296C128 444.1 163.9 480 208 480h288c44.11 0 80-35.88 80-80v-56C576 339.6 572.4 336 568 336zM560 400c0 35.28-28.7 64-64 64H255.1C275.4 449.4 288 426.1 288 400V352h272V400z"],
    "scroll-old": [576, 512, [], "f70f", "M568 336H416c-2.438 0-4.734 1.094-6.25 3L384 371.2L358.3 339C356.7 337.1 354.4 336 352 336H280c-4.422 0-8 3.594-8 8v56c0 35.28-28.7 64-64 64s-64-28.72-64-64V259.3l29.66-29.66c3.125-3.125 3.125-8.188 0-11.31L144 188.7V104c0-22.73-10.8-42.79-27.31-56H400c35.3 0 64 28.72 64 64v12.69l-29.66 29.66c-3.125 3.125-3.125 8.188 0 11.31L464 195.3v25.38l-29.66 29.66c-3.125 3.125-3.125 8.188 0 11.31L464 291.3V296c0 4.406 3.578 8 8 8S480 300.4 480 296l.0007-8.001c0-2.125-.8444-4.156-2.344-5.656L451.3 256l26.34-26.34c1.5-1.5 2.344-3.531 2.344-5.656v-32c0-2.125-.8444-4.156-2.344-5.656L451.3 160l26.34-26.34C479.2 132.2 480 130.1 480 128L480 112C480 67.88 444.1 32 400 32H72C32.3 32 0 64.31 0 104v64C0 172.4 3.578 176 8 176h80C92.42 176 96 172.4 96 168S92.42 160 88 160H16L16 104c0-30.88 25.12-56 56-56S128 73.13 128 104L128 192c0 2.125 .8428 4.156 2.343 5.656L156.7 224L130.3 250.3C128.8 251.8 128 253.9 128 256L128 400C128 444.1 163.9 480 208 480h288c44.11 0 80-35.88 80-80v-56C576 339.6 572.4 336 568 336zM560 400c0 35.28-28.7 64-64 64H255.1C275.4 449.4 288 426.1 288 400l.0004-48h60.16l29.59 37c3.031 3.812 9.469 3.812 12.5 0L419.8 352h140.2L560 400z"],
    "scroll-torah": [640, 512, ["torah"], "f6a0", "M201.1 319.6C204.9 324.8 210.4 328 216.5 328h59.71l29.72 48.22C308.9 381.1 314.2 384 320 384s11.09-2.906 14.09-7.766L363.8 328h59.71c6.031 0 11.59-3.203 14.47-8.359c2.813-5.031 2.688-10.95-.3431-15.86l-29.46-47.79l29.46-47.79c3.031-4.891 3.156-10.81 .3431-15.84C435.1 187.2 429.6 184 423.5 184h-59.71l-29.72-48.22c-6-9.75-22.19-9.734-28.19-.0156L276.2 184H216.5c-6.031 0-11.59 3.203-14.47 8.359C199.2 197.4 199.3 203.3 202.3 208.2l29.46 47.79L202.3 303.8C199.3 308.7 199.2 314.6 201.1 319.6zM319.5 367.8L294.9 328h49.37L319.5 367.8zM424 311.8c0 .0156-.0938 .1719-.5 .1719l-49.88 .0449l25.23-40.93L424 311.8zM424 199.8l-25.35 40.75l-25.09-40.71L424 199.8zM320.5 144.2L345.1 184H295.7L320.5 144.2zM285.8 199.9l69.09-.0625l34.44 55.75l-35.1 56.44L285.1 312.1L250.7 256.4L285.8 199.9zM215.1 200.2C215.1 200.2 216.1 200 216.5 200l49.88-.0449L241.1 240.9L215.1 200.2zM241.3 271.4l25.09 40.71L215.1 312.2L241.3 271.4zM56 0C24.59 0 0 17.56 0 40v432C0 494.4 24.59 512 56 512s56-17.56 56-40V40C112 17.56 87.41 0 56 0zM96 472c0 13.02-18.31 24-40 24S16 485 16 472V40c0-13.02 18.31-24 40-24S96 26.98 96 40V472zM584 0c-31.41 0-56 17.56-56 40v432c0 22.44 24.59 40 56 40S640 494.4 640 472V40C640 17.56 615.4 0 584 0zM624 472c0 13.02-18.31 24-40 24S544 485 544 472V40c0-13.02 18.31-24 40-24s40 10.98 40 24V472zM492 32H148c-4.406 0-8 3.578-8 8S143.6 48 148 48h344c4.406 0 8-3.578 8-8S496.4 32 492 32zM492 464H148c-4.406 0-8 3.578-8 8S143.6 480 148 480h344c4.406 0 8-3.578 8-8S496.4 464 492 464z"],
    "scrubber": [512, 512, [], "f2f8", "M256 176C211.9 176 176 211.9 176 256c0 44.11 35.89 80 80 80s80-35.89 80-80C336 211.9 300.1 176 256 176zM256 320c-35.35 0-64-28.65-64-64c0-35.35 28.65-64 64-64s64 28.65 64 64C320 291.3 291.3 320 256 320zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "scythe": [640, 512, [], "f710", "M505.7 184c0-4.406-3.594-8-8-8H21.56c59.16-101.9 171.1-160 311.8-160H536C540.4 16 544 12.41 544 8S540.4 0 536 0h-202.6C182.1 0 60.94 65.72 .9062 180.3c-1.281 2.5-1.188 5.469 .25 7.875C2.594 190.5 5.188 192 8 192h489.7C502.1 192 505.7 188.4 505.7 184zM632.6 11.62c-6-7.375-15.12-11.62-24.62-11.62l-25.5 0l-59.75 288h-106.7c-17.67 0-31.99 14.33-31.99 32s14.32 32 31.99 32h93.49l-28.8 122.2C476.6 493.7 491.5 512 511.4 512c14.88 0 27.72-10.43 30.76-24.99L639.5 38C641.2 28.62 638.7 18.1 632.6 11.62zM526.5 483.7C525 490.8 518.7 496 511.4 496c-4.66 0-9.021-2.074-11.96-5.689c-2.941-3.613-4.086-8.305-3.232-12.45L529.7 336h-113.7c-8.822 0-15.1-7.178-15.1-16s7.176-16 15.1-16h119.8l59.75-288h12.48c4.732 0 9.297 2.139 12.31 5.844c3.074 3.703 4.332 8.521 3.547 12.77L526.5 483.7z"],
    "sd-card": [384, 512, [], "f7c2", "M320 0H128L0 128v320c0 35.25 28.75 64 64 64h256c35.25 0 64-28.75 64-64V64C384 28.75 355.3 0 320 0zM368 448c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V134.6L134.6 16H320c26.47 0 48 21.53 48 48V448zM168 64C163.6 64 160 67.59 160 72v80C160 156.4 163.6 160 168 160S176 156.4 176 152v-80C176 67.59 172.4 64 168 64zM232 64C227.6 64 224 67.59 224 72v80C224 156.4 227.6 160 232 160s8-3.594 8-8v-80C240 67.59 236.4 64 232 64zM296 64C291.6 64 288 67.59 288 72v80C288 156.4 291.6 160 296 160s8-3.594 8-8v-80C304 67.59 300.4 64 296 64z"],
    "sd-cards": [448, 512, [], "e240", "M384 0h-160L96 128v224c0 35.25 28.75 64 64 64h224c35.25 0 64-28.75 64-64V64C448 28.75 419.3 0 384 0zM432 352c0 26.47-21.53 48-48 48H160c-26.47 0-48-21.53-48-48V134.6L230.6 16H384c26.47 0 48 21.53 48 48V352zM344 448c-4.422 0-8 3.594-8 8c0 22.06-17.94 40-40 40h-224c-30.88 0-56-25.12-56-56v-288c0-22.06 17.94-40 40-40C60.42 112 64 108.4 64 104S60.42 96 56 96C25.13 96 0 121.1 0 152v288C0 479.7 32.3 512 72 512h224c30.88 0 56-25.12 56-56C352 451.6 348.4 448 344 448zM248 64c-4.406 0-8 3.594-8 8v80C240 156.4 243.6 160 248 160S256 156.4 256 152v-80C256 67.59 252.4 64 248 64zM312 64c-4.406 0-8 3.594-8 8v80C304 156.4 307.6 160 312 160S320 156.4 320 152v-80C320 67.59 316.4 64 312 64zM376 64c-4.406 0-8 3.594-8 8v80C368 156.4 371.6 160 376 160S384 156.4 384 152v-80C384 67.59 380.4 64 376 64z"],
    "seal": [512, 512, [], "e241", "M187.8 75.31C184.8 78.31 180.7 80 176.5 80H112C94.33 80 80 94.33 80 112V176.5C80 180.7 78.31 184.8 75.31 187.8L29.73 233.4C17.23 245.9 17.23 266.1 29.73 278.6L75.31 324.2C78.31 327.2 80 331.3 80 335.5V400C80 417.7 94.33 432 112 432H176.5C180.7 432 184.8 433.7 187.8 436.7L233.4 482.3C245.9 494.8 266.1 494.8 278.6 482.3L324.2 436.7C327.2 433.7 331.3 432 335.5 432H400C417.7 432 432 417.7 432 400V335.5C432 331.3 433.7 327.2 436.7 324.2L482.3 278.6C494.8 266.1 494.8 245.9 482.3 233.4L436.7 187.8C433.7 184.8 432 180.7 432 176.5V112C432 94.33 417.7 80 400 80H335.5C331.3 80 327.2 78.31 324.2 75.31L278.6 29.73L289.9 18.41L335.5 64H400C426.5 64 448 85.49 448 112V176.5L493.6 222.1C512.3 240.8 512.3 271.2 493.6 289.9L448 335.5V400C448 426.5 426.5 448 400 448H335.5L289.9 493.6C271.2 512.3 240.8 512.3 222.1 493.6L176.5 448H112C85.49 448 64 426.5 64 400V335.5L18.41 289.9C-.3328 271.2-.3328 240.8 18.41 222.1L64 176.5V112C64 85.49 85.49 64 112 64H176.5L222.1 18.41C240.8-.3309 271.2-.3309 289.9 18.41L278.6 29.73C266.1 17.23 245.9 17.23 233.4 29.73L187.8 75.31z"],
    "seal-exclamation": [512, 512, [], "e242", "M256 128C260.4 128 264 131.6 264 136V296C264 300.4 260.4 304 256 304C251.6 304 248 300.4 248 296V136C248 131.6 251.6 128 256 128V128zM272 352C272 360.8 264.8 368 256 368C247.2 368 240 360.8 240 352C240 343.2 247.2 336 256 336C264.8 336 272 343.2 272 352zM400 64C426.5 64 448 85.49 448 112V176L493.6 221.6C512.3 240.3 512.3 270.7 493.6 289.5L448 335.1V400C448 426.5 426.5 448 400 448H335.1L289.9 493.1C271.2 511.9 240.8 511.9 222.1 493.1L176.9 448H112C85.49 448 64 426.5 64 400V335.1L18.41 289.5C-.3328 270.7-.3328 240.3 18.41 221.6L64 176V112C64 85.49 85.49 64 112 64H175.1L222.1 17.94C240.8-.8035 271.2-.8035 289.9 17.94L336 64L400 64zM112 80C94.33 80 80 94.33 80 112V176C80 180.2 78.31 184.3 75.31 187.3L29.73 232.9C17.23 245.4 17.23 265.7 29.73 278.2L75.31 323.7C78.31 326.7 80 330.8 80 335.1V400C80 417.7 94.33 432 112 432H176.9C181.2 432 185.3 433.7 188.3 436.7L233.4 481.8C245.9 494.3 266.1 494.3 278.6 481.8L323.7 436.7C326.7 433.7 330.8 432 335.1 432H400C417.7 432 432 417.7 432 400V335.1C432 330.8 433.7 326.7 436.7 323.7L482.3 278.2C494.8 265.7 494.8 245.4 482.3 232.9L436.7 187.3C433.7 184.3 432 180.2 432 176V112C432 94.33 417.7 80 400 80H336C331.8 80 327.7 78.32 324.7 75.32L278.6 29.26C266.1 16.76 245.9 16.76 233.4 29.26L187.3 75.32C184.3 78.32 180.2 80 175.1 80L112 80zM289.9 17.94L278.6 29.26z"],
    "seal-question": [512, 512, [], "e243", "M167.1 184C167.1 153.1 193.1 128 223.1 128H280.2C315.4 128 343.1 156.6 343.1 191.8C343.1 213.2 333.2 233.2 315.3 245L263.1 278.9V304C263.1 308.4 260.4 312 255.1 312C251.6 312 247.1 308.4 247.1 304V274.5C247.1 271.9 249.3 269.3 251.6 267.9L306.5 231.7C319.9 222.8 327.1 207.8 327.1 191.8C327.1 165.4 306.6 144 280.2 144H223.1C201.9 144 183.1 161.9 183.1 184V190.5C183.1 194.1 180.4 198.5 175.1 198.5C171.6 198.5 167.1 194.1 167.1 190.5V184zM271.1 352C271.1 360.8 264.8 368 255.1 368C247.2 368 239.1 360.8 239.1 352C239.1 343.2 247.2 336 255.1 336C264.8 336 271.1 343.2 271.1 352zM400 64C426.5 64 448 85.49 448 112V176L493.6 221.6C512.3 240.3 512.3 270.7 493.6 289.5L448 335.1V400C448 426.5 426.5 448 400 448H335.1L289.9 493.1C271.2 511.9 240.8 511.9 222.1 493.1L176.9 448H112C85.49 448 64 426.5 64 400V335.1L18.41 289.5C-.3328 270.7-.3328 240.3 18.41 221.6L64 176V112C64 85.49 85.49 64 112 64H175.1L222.1 17.94C240.8-.8035 271.2-.8035 289.9 17.94L336 64L400 64zM112 80C94.33 80 80 94.33 80 112V176C80 180.2 78.31 184.3 75.31 187.3L29.73 232.9C17.23 245.4 17.23 265.7 29.73 278.2L75.31 323.7C78.31 326.7 80 330.8 80 335.1V400C80 417.7 94.33 432 112 432H176.9C181.2 432 185.3 433.7 188.3 436.7L233.4 481.8C245.9 494.3 266.1 494.3 278.6 481.8L323.7 436.7C326.7 433.7 330.8 432 335.1 432H400C417.7 432 432 417.7 432 400V335.1C432 330.8 433.7 326.7 436.7 323.7L482.3 278.2C494.8 265.7 494.8 245.4 482.3 232.9L436.7 187.3C433.7 184.3 432 180.2 432 176V112C432 94.33 417.7 80 400 80H336C331.8 80 327.7 78.32 324.7 75.32L278.6 29.26C266.1 16.76 245.9 16.76 233.4 29.26L187.3 75.32C184.3 78.32 180.2 80 175.1 80L112 80zM289.9 17.94L278.6 29.26z"],
    "seat-airline": [448, 512, [], "e244", "M16 142.8C16 152.1 18.18 163.1 22.38 172.4L31.25 192C31.49 192 31.75 192 32 192H344C348.4 192 352 195.6 352 200C352 204.4 348.4 208 344 208H38.46L67.88 273.1C69.08 272.4 70.49 272 72 272H440C442.5 272 444.9 273.2 446.4 275.3C447.1 277.3 448.4 279.1 447.6 282.4L418.2 376.7C410.9 400.1 389.2 416 364.7 416H248V496H376C380.4 496 384 499.6 384 504C384 508.4 380.4 512 376 512H248C248 516.4 244.4 520 240 520C235.6 520 232 516.4 232 512H104C99.58 512 96 508.4 96 504C96 499.6 99.58 496 104 496H232V416H161.3C133 416 107.3 399.4 95.7 373.6L7.799 178.1C2.659 167.6 0 155.3 0 142.8V8C0 3.582 3.582 0 8 0C12.42 0 16 3.582 16 8V142.8zM161.3 400H364.7C382.2 400 397.7 388.6 402.9 371.9L429.1 288H74.58L110.3 367C119.3 387.1 139.3 400 161.3 400V400z"],
    "section": [256, 512, [], "e447", "M187.6 345.4c36.68-10.65 60.71-33.2 66.67-65.43c13.78-74.61-59.59-94.2-124.3-111.5L114.2 164.2C44.31 145.1 8.19 125.2 17.41 75.5c8.469-45.68 63.46-67.67 140-56.68c15.72 2.312 34.15 6.967 58.09 14.71c4.219 1.281 8.748-.9668 10.09-5.154c1.344-4.217-.9687-8.717-5.156-10.09c-24.81-7.998-44.12-12.87-60.71-15.28C73.93-9.54 11.84 17.74 1.658 72.57C-8.34 126.6 28.52 151.8 68.02 166.6C31.46 177.3 7.609 199.8 1.658 231.1C-11.96 305.6 61.4 325.7 109.9 339.1l15.94 4.279c63.68 17.03 123.8 33.12 112.7 93.13c-8.436 45.62-63.24 67.99-140 56.64c-24.31-3.406-51.78-12.65-75.99-20.81l-11.1-4.029c-4.156-1.344-8.719 .9062-10.12 5.061c-1.375 4.219 .875 8.748 5.062 10.12l11.94 4c24.9 8.373 53.09 17.9 78.83 21.49c13.87 2.031 27.12 3.031 39.65 3.031c64.9 0 109.9-26.62 118.4-72.58C263.1 387.1 230.7 361.8 187.6 345.4zM114.2 323.6C44.31 304.5 8.19 284.6 17.41 234.9C23.43 202.3 53.23 181.5 98.87 176.6c3.781 1.07 26.99 7.359 26.99 7.359c63.68 17.03 123.8 33.12 112.7 93.14c-6.031 32.66-36.54 53.31-82.05 58.14C147.7 332.7 114.2 323.6 114.2 323.6z"],
    "seedling": [512, 512, [127793, "sprout"], "f4d8", "M68.44 96H8C3.594 96 0 99.59 0 104C0 223.1 98.5 320 219.6 320H272v152c0 4.406 3.594 8 8 8S288 476.4 288 472v-160C288 192.9 189.5 96 68.44 96zM219.6 304c-109.5 0-199.1-85.41-203.4-192h52.28c109.5 0 199.1 85.41 203.4 192H219.6zM504 32h-60.44C362.1 32 289 75.31 250.5 145.1C248.4 148.9 249.8 153.8 253.6 155.9c3.938 2.156 8.719 .7187 10.88-3.125C300.2 88.16 368.8 48 443.6 48h52.28c-4.125 99.25-84.13 182.4-185.6 191.1C305.9 239.5 302.6 243.4 303 247.8c.3438 4.156 3.844 7.312 7.969 7.312c.2187 0 .4375 0 .6875-.0313C424 245.5 512 151 512 40C512 35.59 508.4 32 504 32z"],
    "semicolon": [192, 512, [], "3b", "M96 192c35.35 0 64-28.65 64-64c0-35.35-28.65-64-64-64s-63.1 28.65-63.1 64C32 163.3 60.66 192 96 192zM96 80c26.47 0 48 21.53 48 48s-21.53 48-48 48s-48-21.53-48-48S69.54 80 96 80zM97.35 287.1c-9.961 0-19.9 2.391-28.8 7.545c-15.66 9.051-26.41 24.44-29.45 42.25l-22.57 131.7c-2.986 17.32 6.9 34.29 23.49 40.31C44.12 511.3 48.34 511.1 52.51 511.1c12.68 0 24.82-6.602 31.51-18.03l67.69-115.4c9.119-15.58 10.81-34.25 4.652-51.21C147.6 303.1 122.4 287.1 97.35 287.1zM137.9 370.5L70.21 485.9C66.56 492.1 59.78 496 52.51 496c-2.396 0-4.76-.418-7.029-1.24c-9.307-3.377-14.85-12.86-13.18-22.57l22.57-131.7C57.11 327.4 65.02 316.1 76.58 309.4c6.082-3.523 13.26-5.387 20.77-5.387c19.43 0 37.91 12.12 43.96 28.85C145.8 345.3 144.6 359.1 137.9 370.5z"],
    "send-back": [640, 512, [], "f87e", "M152 64C174.1 64 192 81.91 192 104V152C192 174.1 174.1 192 152 192H104C81.91 192 64 174.1 64 152V104C64 81.91 81.91 64 104 64H152zM152 80H104C90.75 80 80 90.75 80 104V152C80 165.3 90.75 176 104 176H152C165.3 176 176 165.3 176 152V104C176 90.75 165.3 80 152 80zM192 0C227.3 0 256 28.65 256 64V192C256 227.3 227.3 256 192 256H64C28.65 256 0 227.3 0 192V64C0 28.65 28.65 0 64 0H192zM192 16H64C37.49 16 16 37.49 16 64V192C16 218.5 37.49 240 64 240H192C218.5 240 240 218.5 240 192V64C240 37.49 218.5 16 192 16zM448 360C448 337.9 465.9 320 488 320H536C558.1 320 576 337.9 576 360V408C576 430.1 558.1 448 536 448H488C465.9 448 448 430.1 448 408V360zM464 360V408C464 421.3 474.7 432 488 432H536C549.3 432 560 421.3 560 408V360C560 346.7 549.3 336 536 336H488C474.7 336 464 346.7 464 360zM576 256C611.3 256 640 284.7 640 320V448C640 483.3 611.3 512 576 512H448C412.7 512 384 483.3 384 448V320C384 284.7 412.7 256 448 256H576zM576 272H448C421.5 272 400 293.5 400 320V448C400 474.5 421.5 496 448 496H576C602.5 496 624 474.5 624 448V320C624 293.5 602.5 272 576 272zM176 296V352C176 378.5 197.5 400 224 400H344C348.4 400 352 403.6 352 408C352 412.4 348.4 416 344 416H224C188.7 416 160 387.3 160 352V296C160 291.6 163.6 288 168 288C172.4 288 176 291.6 176 296zM416 96C451.3 96 480 124.7 480 160V216C480 220.4 476.4 224 472 224C467.6 224 464 220.4 464 216V160C464 133.5 442.5 112 416 112H296C291.6 112 288 108.4 288 104C288 99.58 291.6 96 296 96H416z"],
    "send-backward": [512, 512, [], "f87f", "M288 16H64C37.49 16 16 37.49 16 64V288C16 314.5 37.49 336 64 336H120C124.4 336 128 339.6 128 344C128 348.4 124.4 352 120 352H64C28.65 352 0 323.3 0 288V64C0 28.65 28.65 0 64 0H288C323.3 0 352 28.65 352 64V120C352 124.4 348.4 128 344 128C339.6 128 336 124.4 336 120V64C336 37.49 314.5 16 288 16zM272 120V96C272 87.16 264.8 80 256 80H96C87.16 80 80 87.16 80 96V256C80 264.8 87.16 272 96 272H120C124.4 272 128 275.6 128 280C128 284.4 124.4 288 120 288H96C78.33 288 64 273.7 64 256V96C64 78.33 78.33 64 96 64H256C273.7 64 288 78.33 288 96V120C288 124.4 284.4 128 280 128C275.6 128 272 124.4 272 120zM160 224C160 188.7 188.7 160 224 160H448C483.3 160 512 188.7 512 224V448C512 483.3 483.3 512 448 512H224C188.7 512 160 483.3 160 448V224zM176 448C176 474.5 197.5 496 224 496H448C474.5 496 496 474.5 496 448V224C496 197.5 474.5 176 448 176H224C197.5 176 176 197.5 176 224V448z"],
    "sensor": [448, 512, [], "e028", "M96 280C96 284.4 92.42 288 88 288C83.58 288 80 284.4 80 280V104C80 99.58 83.58 96 88 96C92.42 96 96 99.58 96 104V280zM160 280C160 284.4 156.4 288 152 288C147.6 288 144 284.4 144 280V104C144 99.58 147.6 96 152 96C156.4 96 160 99.58 160 104V280zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM16 96V416C16 442.5 37.49 464 64 464H384C410.5 464 432 442.5 432 416V96C432 69.49 410.5 48 384 48H64C37.49 48 16 69.49 16 96z"],
    "sensor-cloud": [640, 512, ["sensor-smoke"], "e02c", "M16 96V416C16 442.5 37.49 464 64 464H230.8C232.8 469.5 235.1 474.9 237.8 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V230.8C442.8 228.1 437.5 227.5 432 226.4V96C432 69.49 410.5 48 384 48H64C37.49 48 16 69.49 16 96zM96 280C96 284.4 92.42 288 88 288C83.58 288 80 284.4 80 280V104C80 99.58 83.58 96 88 96C92.42 96 96 99.58 96 104V280zM160 280C160 284.4 156.4 288 152 288C147.6 288 144 284.4 144 280V104C144 99.58 147.6 96 152 96C156.4 96 160 99.58 160 104V280zM482.2 296.6C490.8 291.2 501 288 512 288C540.7 288 564.3 309.6 567.6 337.4C608.8 344.8 640 380.7 640 424C640 472.6 600.6 512 552 512H344C295.4 512 256 472.6 256 424C256 383.7 283.1 349.7 320.1 339.3C322.6 292.9 360.1 256 408 256C439.2 256 466.5 272.2 482.2 296.6zM336 345.4C336.1 349.3 333.4 352.7 329.6 353.4C296.7 360.1 272 389.2 272 424C272 463.8 304.2 496 344 496H552C591.8 496 624 463.8 624 424C624 386.7 595.6 355.1 559.2 352.4C555.1 351.9 551.1 348.5 552 344.4L552 344C552 321.9 534.1 304 512 304C501.6 304 492.2 307.9 485.1 314.4C483.2 316.1 480.7 316.8 478.2 316.4C475.8 315.9 473.7 314.3 472.5 312C460.8 288.3 436.3 272 408 272C368.2 272 336 304.2 336 344C336 344.5 336 344.1 336 345.4z"],
    "sensor-fire": [640, 512, [], "e02a", "M16 96V416C16 442.5 37.49 464 64 464H324.8C328.8 469.6 333 474.9 337.6 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V128.2C442.6 127.7 437.2 128.1 432 129.5V96C432 69.49 410.5 48 384 48H64C37.49 48 16 69.49 16 96H16zM96 280C96 284.4 92.42 288 88 288C83.58 288 80 284.4 80 280V104C80 99.58 83.58 96 88 96C92.42 96 96 99.58 96 104V280zM160 280C160 284.4 156.4 288 152 288C147.6 288 144 284.4 144 280V104C144 99.58 147.6 96 152 96C156.4 96 160 99.58 160 104V280zM441.7 255.9C444.1 255.9 446.4 256.1 447.9 258.9C450.1 261.7 467.3 283.5 483.8 304.6L510.3 338.4L543.7 299.5C545.3 297.6 547.6 296.6 550 296.7C552.5 296.8 554.7 297.9 556.2 299.9C559.9 304.9 562.4 309.8 564.6 314.1L564.6 314.2C586.1 353.8 576.8 404.7 540 430.4L539.9 430.5C522 442.4 502.9 448.4 481.4 448.4C454.8 448.4 430.5 439.8 412.7 423.5C394.8 407.2 384 383.4 384 354.3C384 339.2 388.8 325.4 397.5 310.4C406.1 295.6 418.9 279.2 435.4 258.8C436.1 256.9 439.3 255.8 441.7 255.9V255.9zM503.8 355.9L471.2 314.4C459.1 300.1 448.5 285.4 441.6 276.7C428.2 293.4 418.2 306.7 411.3 318.5C403.5 331.9 400 342.9 400 354.3C400 379.3 409.1 398.6 423.5 411.7C437.9 424.9 458.2 432.4 481.4 432.4C499.6 432.4 515.7 427.4 530.9 417.2C560.3 396.6 568.6 354.9 550.5 321.7L550.3 321.5C549.8 320.4 549.2 319.3 548.7 318.2L516.1 356.2C514.6 358 512.3 359.1 509.9 359C507.5 358.1 505.2 357.8 503.8 355.9L503.8 355.9zM498.4 208.1C502 213 505.6 217.2 509 221.3C512.3 217.2 515.8 212.1 519.4 208.8C524.4 202.8 529.9 196.1 535.5 191.8C541.1 186.7 549.9 186.7 555.5 191.9C580.2 214.6 601.1 244.5 615.8 273C630.4 301.1 640 329.8 640 349.9C640 437.8 568.7 511.9 480 511.9C390.3 511.9 320 437.7 320 349.9C320 323.5 332.7 291.3 352.4 259.4C372.4 227 400.5 193.3 433.8 163.6C439.4 158.6 447.1 158.6 453.5 163.6C469.3 177.8 484.3 192.9 498.4 208.1V208.1zM509.2 237.3C504.4 237.4 499.8 235.3 496.7 231.6C480.2 211.7 462.5 193.3 443.6 176.2C411.8 204.8 384.1 237.1 366 267.8C346.9 298.8 336 327.1 336 349.9C336 429.2 399.5 495.9 480 495.9C559.6 495.9 624 429.2 624 349.9C624 333.6 615.8 307.7 601.6 280.4C587.7 253.5 568.1 225.5 545.5 204.4C537.1 212.1 529.1 221.8 521.6 231.3C518.6 235.1 514 237.3 509.2 237.3H509.2zM510.1 351L503.8 355.9z"],
    "sensor-on": [640, 512, [], "e02b", "M88 96C92.42 96 96 99.58 96 104V280C96 284.4 92.42 288 88 288C83.58 288 80 284.4 80 280V104C80 99.58 83.58 96 88 96zM152 96C156.4 96 160 99.58 160 104V280C160 284.4 156.4 288 152 288C147.6 288 144 284.4 144 280V104C144 99.58 147.6 96 152 96zM384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM384 48H64C37.49 48 16 69.49 16 96V416C16 442.5 37.49 464 64 464H384C410.5 464 432 442.5 432 416V96C432 69.49 410.5 48 384 48zM524.1 126.9C520.3 129.1 515.4 127.9 513.1 124.1C510.9 120.3 512.1 115.4 515.9 113.1L595.9 65.14C599.7 62.87 604.6 64.1 606.9 67.88C609.1 71.67 607.9 76.59 604.1 78.86L524.1 126.9zM632 248C636.4 248 640 251.6 640 256C640 260.4 636.4 264 632 264H520C515.6 264 512 260.4 512 256C512 251.6 515.6 248 520 248H632zM604.1 433.1C607.9 435.4 609.1 440.3 606.9 444.1C604.6 447.9 599.7 449.1 595.9 446.9L515.9 398.9C512.1 396.6 510.9 391.7 513.1 387.9C515.4 384.1 520.3 382.9 524.1 385.1L604.1 433.1z"],
    "sensor-triangle-exclamation": [640, 512, ["sensor-alert"], "e029", "M16 96V416C16 442.5 37.49 464 64 464H224.1C224 465.2 224 466.5 224 467.7C224 471.9 224.3 475.1 224.1 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V128C442.6 128 437.2 128.6 432 129.8V96C432 69.49 410.5 48 384 48H64C37.49 48 16 69.49 16 96V96zM96 280C96 284.4 92.42 288 88 288C83.58 288 80 284.4 80 280V104C80 99.58 83.58 96 88 96C92.42 96 96 99.58 96 104V280zM160 280C160 284.4 156.4 288 152 288C147.6 288 144 284.4 144 280V104C144 99.58 147.6 96 152 96C156.4 96 160 99.58 160 104V280zM455.1 384C455.1 388.4 452.4 392 447.1 392C443.6 392 439.1 388.4 439.1 384V288C439.1 283.6 443.6 280 447.1 280C452.4 280 455.1 283.6 455.1 288V384zM432 432C432 423.2 439.2 416 448 416C456.8 416 464 423.2 464 432C464 440.8 456.8 448 448 448C439.2 448 432 440.8 432 432zM448 160C462.8 160 476.5 167.1 483.8 180.9L634.2 445.8C638 452.5 640 460 640 467.7C640 492.2 620.2 512 595.7 512H300.3C275.8 512 256 492.2 256 467.7C256 460 257.1 452.5 261.8 445.8L412.2 180.9C419.5 167.1 433.2 160 448 160V160zM275.7 453.7C273.3 457.1 272 462.8 272 467.7C272 483.3 284.7 496 300.3 496H595.7C611.3 496 624 483.3 624 467.7C624 462.8 622.7 457.1 620.3 453.7L469.9 188.8C465.5 180.9 457.1 175.1 448 175.1C438.9 175.1 430.5 180.9 426.1 188.8L275.7 453.7z"],
    "server": [512, 512, [], "f233", "M464 288h-416C21.6 288 0 309.6 0 336v96C0 458.4 21.6 480 48 480h416c26.4 0 48-21.6 48-48v-96C512 309.6 490.4 288 464 288zM496 432c0 17.64-14.36 32-32 32h-416c-17.64 0-32-14.36-32-32v-96c0-17.64 14.36-32 32-32h416c17.64 0 32 14.36 32 32V432zM464 32h-416C21.6 32 0 53.6 0 80v96C0 202.4 21.6 224 48 224h416C490.4 224 512 202.4 512 176v-96C512 53.6 490.4 32 464 32zM496 176c0 17.64-14.36 32-32 32h-416c-17.64 0-32-14.36-32-32v-96c0-17.64 14.36-32 32-32h416c17.64 0 32 14.36 32 32V176zM352 112c-8.832 0-16 7.166-16 16s7.168 16 16 16c8.834 0 16-7.166 16-16S360.8 112 352 112zM416 112c-8.832 0-16 7.166-16 16s7.168 16 16 16c8.834 0 16-7.166 16-16S424.8 112 416 112zM352 368c-8.832 0-16 7.166-16 16c0 8.832 7.168 16 16 16c8.834 0 16-7.168 16-16C368 375.2 360.8 368 352 368zM416 368c-8.832 0-16 7.166-16 16c0 8.832 7.168 16 16 16c8.834 0 16-7.168 16-16C432 375.2 424.8 368 416 368z"],
    "shapes": [512, 512, ["triangle-circle-square"], "f61f", "M288 0C299.2 0 309.7 5.898 315.4 15.54L411.4 175.5C417.4 185.4 417.5 197.7 411.8 207.8C406.2 217.8 395.5 223.1 384 223.1H192C180.5 223.1 169.8 217.8 164.2 207.8C158.5 197.7 158.6 185.4 164.6 175.5L260.6 15.54C266.3 5.897 276.8 0 288 0V0zM301.7 23.77C298.8 18.95 293.6 16 288 16C282.4 16 277.2 18.95 274.3 23.77L178.3 183.8C175.3 188.7 175.2 194.9 178.1 199.9C180.9 204.9 186.2 208 192 208H384C389.8 208 395.1 204.9 397.9 199.9C400.8 194.9 400.7 188.7 397.7 183.8L301.7 23.77zM472 272C494.1 272 512 289.9 512 312V456C512 478.1 494.1 496 472 496H328C305.9 496 288 478.1 288 456V312C288 289.9 305.9 272 328 272H472zM472 288H328C314.7 288 304 298.7 304 312V456C304 469.3 314.7 480 328 480H472C485.3 480 496 469.3 496 456V312C496 298.7 485.3 288 472 288zM256 384C256 454.7 198.7 512 128 512C57.31 512 0 454.7 0 384C0 313.3 57.31 256 128 256C198.7 256 256 313.3 256 384zM128 272C66.14 272 16 322.1 16 384C16 445.9 66.14 496 128 496C189.9 496 240 445.9 240 384C240 322.1 189.9 272 128 272z"],
    "share": [512, 512, ["arrow-turn-right", "mail-forward"], "f064", "M136 231.1h346.7l-175.1-153.1c-3.328-2.906-3.672-7.969-.75-11.31c2.922-3.313 7.969-3.625 11.28-.75l192 168C511 235.5 512 237.7 512 239.1c0 2.313-1 4.497-2.734 6.028l-192 168c-1.516 1.312-3.391 1.969-5.266 1.969c-2.219 0-4.438-.9375-6.016-2.719c-2.922-3.344-2.578-8.406 .75-11.31l175.1-153.1H136c-66.17 0-120 53.84-120 120v72C16 444.4 12.42 448 8 448S0 444.4 0 439.1V367.1C0 292.1 61.02 231.1 136 231.1z"],
    "share-all": [576, 512, [], "f367", "M370.7 401.1c-3.328 2.906-3.672 7.969-.75 11.31c1.578 1.781 3.797 2.719 6.016 2.719c1.875 0 3.75-.6563 5.266-1.969l192-168C575 244.5 576 242.3 576 239.1c0-2.313-1-4.503-2.734-6.034l-192-168c-3.328-2.875-8.375-2.563-11.28 .75c-2.922 3.344-2.578 8.406 .75 11.31l185.1 161.1L370.7 401.1zM0 367.1v72C0 444.4 3.578 448 8 448s8-3.594 8-8V367.1c0-66.16 53.83-120 120-120h282.7l-175.1 153.1c-3.328 2.906-3.672 7.969-.75 11.31C243.6 415.1 245.8 415.1 248 415.1c1.875 0 3.75-.6563 5.266-1.969l192-168C447 244.5 448 242.3 448 239.1c0-2.313-1-4.503-2.734-6.034l-192-168C249.9 63.09 244.9 63.4 241.1 66.71C239.1 70.06 239.4 75.12 242.7 78.03l175.1 153.1H136C61.02 231.1 0 292.1 0 367.1z"],
    "share-from-square": [576, 512, [61509, "share-square"], "f14d", "M439.1 352c-4.406 0-8 3.578-8 8v80c0 30.88-25.12 56-55.1 56H71.1C41.12 496 16 470.9 16 440V135.1c0-30.88 25.12-56 55.1-56H256c4.406 0 8-3.578 8-8s-3.594-8-8-8H71.1C32.31 63.99 0 96.29 0 135.1V440C0 479.7 32.31 512 71.1 512h303.1c39.69 0 71.1-32.3 71.1-72v-80C447.1 355.6 444.4 352 439.1 352zM573.3 138l-152-136c-3.25-2.875-8.297-2.625-11.3 .625c-2.938 3.312-2.656 8.375 .6406 11.31l136.4 122H344c-74.98 0-136 61.01-136 136V344C208 348.4 211.6 352 216 352S224 348.4 224 344V271.1c0-66.16 53.83-120 120-120h203.1l-136.4 122c-3.297 2.938-3.578 8-.6406 11.31C411.6 287.1 413.8 287.1 416 287.1c1.906 0 3.812-.6875 5.328-2.031l152-136C575 148.4 576 146.3 576 143.1S575 139.5 573.3 138z"],
    "share-nodes": [448, 512, ["share-alt"], "f1e0", "M448 112C448 156.2 412.2 192 368 192C342.1 192 319.1 179.7 304.5 160.7L157.1 234.4C158.1 241.3 159.1 248.5 159.1 256C159.1 263.5 158.1 270.7 157.1 277.6L304.5 351.3C319.1 332.3 342.1 320 368 320C412.2 320 448 355.8 448 400C448 444.2 412.2 480 368 480C323.8 480 288 444.2 288 400C288 387.4 290.9 375.5 296.1 364.1L151.2 292.5C137.9 318.3 111 336 80 336C35.82 336 0 300.2 0 256C0 211.8 35.82 176 80 176C111 176 137.9 193.7 151.2 219.5L296.1 147C290.9 136.4 288 124.6 288 112C288 67.82 323.8 32 368 32C412.2 32 448 67.82 448 112L448 112zM79.1 320C115.3 320 143.1 291.3 143.1 256C143.1 220.7 115.3 192 79.1 192C44.65 192 15.1 220.7 15.1 256C15.1 291.3 44.65 320 79.1 320zM368 48C332.7 48 304 76.65 304 112C304 147.3 332.7 176 368 176C403.3 176 432 147.3 432 112C432 76.65 403.3 48 368 48zM368 464C403.3 464 432 435.3 432 400C432 364.7 403.3 336 368 336C332.7 336 304 364.7 304 400C304 435.3 332.7 464 368 464z"],
    "sheep": [640, 512, [128017], "f711", "M432 160C432 151.2 439.2 144 448 144C456.8 144 464 151.2 464 160C464 168.8 456.8 176 448 176C439.2 176 432 168.8 432 160zM528 160C528 168.8 520.8 176 512 176C503.2 176 496 168.8 496 160C496 151.2 503.2 144 512 144C520.8 144 528 151.2 528 160zM384.6 91.36C400.2 56.38 435.2 32 476 32C516.8 32 551.8 56.38 567.4 91.36L618.3 126C626.9 131.8 632 141.5 632 151.9C632 175.9 606 190.1 585.2 179L576 173.8V208C576 261 533 304 480 304H472C418.1 304 376 261 376 208V173.8L366.8 179C345.1 190.1 320 175.9 320 151.9C320 141.5 325.1 131.8 333.7 126L384.6 91.36zM476 48C429.6 48 392 85.61 392 132V208C392 252.2 427.8 288 472 288H480C524.2 288 560 252.2 560 208V132C560 85.61 522.4 48 476 48zM576 155.4L593.1 165.1C603.3 170.1 616 163.6 616 151.9C616 146.8 613.5 142.1 609.3 139.2L574.7 115.7C575.5 120.1 576 126.4 576 131.1V155.4zM377.3 115.7L342.7 139.2C338.5 142.1 336 146.8 336 151.9C336 163.6 348.7 170.1 358.9 165.1L376 155.4V132C376 126.4 376.5 120.1 377.3 115.7V115.7zM416 360C434.3 360 450.1 349.8 458.2 334.8C463.8 335.6 469.5 335.1 475.3 336C466.6 357.6 446.5 373.3 422.4 375.7L397.6 481.2C393.3 499.2 377.2 512 358.7 512H344C321.9 512 304 494.1 304 472V448C304 443.6 307.6 440 312 440C316.4 440 320 443.6 320 448V472C320 485.3 330.7 496 344 496H358.7C369.8 496 379.5 488.3 382 477.5L405.4 378.1C397.6 404.6 373.1 424 344 424C328.1 424 315.1 418.8 304.2 410.1C292.5 423.5 275.2 432 256 432C236.8 432 219.5 423.5 207.8 410.1C196.9 418.8 183 424 168 424C138.9 424 114.4 404.6 106.6 378.1L129.1 477.5C132.5 488.3 142.2 496 153.3 496H168C181.3 496 192 485.3 192 472V448C192 443.6 195.6 440 200 440C204.4 440 208 443.6 208 448V472C208 494.1 190.1 512 168 512H153.3C134.8 512 118.7 499.2 114.4 481.2L89.59 375.7C57.25 372.5 32 345.2 32 312C32 306.7 32.66 301.5 33.89 296.5C13.72 285.7 0 264.5 0 240C0 215.5 13.72 194.3 33.89 183.5C32.66 178.5 32 173.3 32 168C32 132.7 60.65 104 96 104C99.34 104 102.6 104.3 105.8 104.8C112.7 76.77 137.9 56 168 56C183 56 196.9 61.19 207.8 69.88C219.5 56.47 236.8 48 256 48C275.2 48 292.5 56.47 304.2 69.88C315.1 61.19 328.1 56 344 56C351.6 56 358.8 57.31 365.5 59.71C362.6 64.26 359.8 68.1 357.4 73.91C353.2 72.67 348.7 72 344 72C332.7 72 322.3 75.89 314.2 82.41C307.5 87.73 297.8 86.85 292.1 80.42C283.3 70.33 270.4 64 256 64C241.6 64 228.7 70.33 219.9 80.42C214.2 86.85 204.5 87.73 197.8 82.41C189.7 75.89 179.3 72 168 72C145.5 72 126.5 87.56 121.4 108.5C119.4 116.6 111.6 121.8 103.4 120.6C100.1 120.2 98.52 120 96 120C69.49 120 48 141.5 48 168C48 172 48.49 175.9 49.42 179.6C51.19 186.8 47.9 194.2 41.43 197.6C26.26 205.7 16 221.7 16 240C16 258.3 26.26 274.3 41.43 282.4C47.9 285.8 51.19 293.2 49.42 300.4C48.5 304.1 48 307.1 48 312C48 338.5 69.49 360 96 360C98.52 360 100.1 359.8 103.4 359.4C111.6 358.2 119.4 363.4 121.4 371.4C126.5 392.4 145.5 408 168 408C179.3 408 189.7 404.1 197.8 397.6C204.5 392.3 214.2 393.1 219.9 399.6C228.7 409.7 241.6 416 256 416C270.4 416 283.3 409.7 292.1 399.6C297.8 393.1 307.5 392.3 314.2 397.6C322.3 404.1 332.7 408 344 408C366.5 408 385.5 392.4 390.6 371.5C392.6 363.4 400.4 358.2 408.6 359.4C411 359.8 413.5 360 416 360V360z"],
    "sheet-plastic": [384, 512, [], "e571", "M173.7 66.34C176.8 69.47 176.8 74.53 173.7 77.66L77.66 173.7C74.53 176.8 69.47 176.8 66.34 173.7C63.22 170.5 63.22 165.5 66.34 162.3L162.3 66.34C165.5 63.22 170.5 63.22 173.7 66.34V66.34zM109.7 269.7C106.5 272.8 101.5 272.8 98.34 269.7C95.22 266.5 95.22 261.5 98.34 258.3L258.3 98.34C261.5 95.22 266.5 95.22 269.7 98.34C272.8 101.5 272.8 106.5 269.7 109.7L109.7 269.7zM0 64C0 28.65 28.65 0 64 0H320C355.3 0 384 28.65 384 64V332.1C384 344.8 378.9 357.1 369.9 366.1L238.1 497.9C229.1 506.9 216.8 512 204.1 512H64C28.65 512 0 483.3 0 448V64zM320 16H64C37.49 16 16 37.49 16 64V448C16 474.5 37.49 496 64 496H204.1C205.4 496 206.7 495.9 208 495.8V376C208 353.9 225.9 336 248 336H367.8C367.9 334.7 368 333.4 368 332.1V64C368 37.49 346.5 16 320 16zM248 352C234.7 352 224 362.7 224 376V489.1C224.1 488.3 225.9 487.5 226.7 486.6L358.6 354.7C359.5 353.9 360.3 352.1 361.1 352H248z"],
    "shekel-sign": [448, 512, [8362, "ils", "shekel", "sheqel", "sheqel-sign"], "f20b", "M192 32C249.4 32 296 78.56 296 136V352C296 356.4 292.4 360 288 360C283.6 360 280 356.4 280 352V136C280 87.4 240.6 48 192 48H56C42.75 48 32 58.75 32 72V472C32 476.4 28.42 480 24 480C19.58 480 16 476.4 16 472V72C16 49.91 33.91 32 56 32H192zM192 480C169.9 480 152 462.1 152 440V168C152 163.6 155.6 160 160 160C164.4 160 168 163.6 168 168V440C168 453.3 178.7 464 192 464H328C376.6 464 416 424.6 416 376V40C416 35.58 419.6 32 424 32C428.4 32 432 35.58 432 40V376C432 433.4 385.4 480 328 480H192z"],
    "shelves": [640, 512, ["inventory"], "f480", "M600 0c-4.422 0-8 3.594-8 8V176h-544V8C48 3.594 44.42 0 40 0S32 3.594 32 8v496C32 508.4 35.58 512 40 512s8-3.594 8-8V448h544v56c0 4.406 3.578 8 8 8S608 508.4 608 504V8C608 3.594 604.4 0 600 0zM592 432h-544V192h544V432zM384 128h64c17.67 0 32-14.33 32-32V32c0-17.67-14.33-32-32-32h-64c-17.67 0-32 14.33-32 32v64C352 113.7 366.3 128 384 128zM368 32c0-8.824 7.178-16 16-16h64c8.822 0 16 7.176 16 16v64c0 8.824-7.178 16-16 16h-64c-8.822 0-16-7.176-16-16V32zM128 384h64c17.67 0 32-14.33 32-32V288c0-17.67-14.33-32-32-32H128C110.3 256 96 270.3 96 288v64C96 369.7 110.3 384 128 384zM112 288c0-8.824 7.178-16 16-16h64c8.822 0 16 7.176 16 16v64c0 8.824-7.178 16-16 16H128c-8.822 0-16-7.176-16-16V288zM288 384h64c17.67 0 32-14.33 32-32V288c0-17.67-14.33-32-32-32H288C270.3 256 256 270.3 256 288v64C256 369.7 270.3 384 288 384zM272 288c0-8.824 7.178-16 16-16h64c8.822 0 16 7.176 16 16v64c0 8.824-7.178 16-16 16H288c-8.822 0-16-7.176-16-16V288z"],
    "shelves-empty": [640, 512, [], "e246", "M600 0c-4.422 0-8 3.594-8 8V176h-544V8C48 3.594 44.42 0 40 0S32 3.594 32 8v496C32 508.4 35.58 512 40 512s8-3.594 8-8V448h544v56c0 4.406 3.578 8 8 8S608 508.4 608 504V8C608 3.594 604.4 0 600 0zM592 432h-544V192h544V432z"],
    "shield": [512, 512, [128737, "shield-blank"], "f132", "M231 7.838C247 1.065 265.1 1.066 281 7.84L457.7 82.79C479.7 92.12 496.2 113.8 496 139.1C495.5 239.2 454.8 420.7 282.4 503.2C265.8 511.1 246.3 511.1 229.6 503.2C57.29 420.7 16.49 239.2 16 139.1C15.87 113.8 32.32 92.12 54.3 82.79L231 7.838zM274.8 22.57C262.8 17.49 249.3 17.49 237.3 22.57L60.55 97.52C43.91 104.6 31.91 120.8 32 139.9C32.48 236.5 72.32 410.1 236.6 488.7C248.8 494.6 263.2 494.6 275.5 488.7C439.7 410.1 479.6 236.5 480 139.9C480.1 120.8 468.1 104.6 451.5 97.52L274.8 22.57z"],
    "shield-cat": [512, 512, [], "e572", "M231.1 272C231.1 280.8 224.8 288 215.1 288C207.2 288 199.1 280.8 199.1 272C199.1 263.2 207.2 256 215.1 256C224.8 256 231.1 263.2 231.1 272zM280 272C280 263.2 287.2 256 296 256C304.8 256 312 263.2 312 272C312 280.8 304.8 288 296 288C287.2 288 280 280.8 280 272zM227.3 200H284.7L346.3 138.3C348.6 136.1 352.1 135.4 355.1 136.6C358.1 137.8 360 140.8 360 144V272C360 329.4 313.4 376 255.1 376C198.6 376 151.1 329.4 151.1 272V144C151.1 140.8 153.9 137.8 156.9 136.6C159.9 135.4 163.4 136.1 165.7 138.3L227.3 200zM255.1 360C304.6 360 344 320.6 344 272V163.3L293.7 213.7C292.2 215.2 290.1 215.1 288 215.1H223.1C221.9 215.1 219.8 215.2 218.3 213.7L167.1 163.3V272C167.1 320.6 207.4 360 255.1 360zM476.5 90.53C487.7 95.27 495.2 105.1 495.9 118.1C501.6 213.6 466.7 421.9 272.5 507.7C267.6 510.5 261.1 512.1 256.3 512C250.5 512.1 244.9 510.5 239.1 507.7C45.8 421.9 10.95 213.6 16.57 118.1C17.28 105.1 24.83 95.27 36.04 90.53L240.4 4.066C245.2 1.386 250.7-.0507 256.3-.0068C261.9-.0507 267.3 1.386 272.1 4.066L476.5 90.53zM248.2 18.04C247.7 18.32 247.2 18.58 246.6 18.8L42.27 105.3C36.67 107.6 32.89 112.1 32.54 119.1C27.08 211.9 61.36 411.3 246.4 493.1C246.1 493.3 247.5 493.6 247.1 493.8C250.5 495.3 253.3 496 256.1 496H256.4C259.2 496 262.1 495.3 264.5 493.8C265 493.6 265.5 493.3 266.1 493.1C451.2 411.3 485.4 211.9 479.1 119.1C479.6 112.1 475.8 107.6 470.2 105.3L265.9 18.8C265.4 18.58 264.8 18.32 264.3 18.04C261.9 16.69 259.2 15.97 256.4 15.99L256.1 15.99C253.3 15.97 250.6 16.69 248.2 18.04L248.2 18.04z"],
    "shield-check": [512, 512, [], "f2f7", "M466.5 83.71l-192-80c-4.875-2.031-13.16-3.703-18.44-3.703c-5.312 0-13.55 1.672-18.46 3.703L45.61 83.71C27.7 91.1 16 108.6 16 127.1C16 385.2 205.2 512 255.9 512C307.1 512 496 383.8 496 127.1C496 108.6 484.3 91.1 466.5 83.71zM255.1 496C212.1 496 32 374 32 127.1c0-12.99 7.734-24.57 19.75-29.54l191.1-79.1C246.7 17.21 252.8 16 256.1 16c3.188 0 9.383 1.234 12.29 2.441l192 80.02C472.3 103.4 480 114.1 480 127.1C480 405.6 270.9 496 255.1 496zM360.1 175.1c-2.128 0-4.242 .8459-5.8 2.509L224.2 316.2L158 242.6C156.4 240.9 154.3 239.1 152.1 239.1c-4.49 0-7.995 3.675-7.995 8.02c0 1.905 .6777 3.817 2.058 5.35l72 80c1.531 1.672 4 2.156 5.938 2.641c2.188 0 4.312-.9062 5.812-2.5l136-144c1.463-1.553 2.19-3.535 2.19-5.512C368.1 179 363.9 175.1 360.1 175.1z"],
    "shield-cross": [512, 512, [9960], "f712", "M466.5 83.71l-192-80C269.6 1.672 261.3 0 256.1 0C250.8 0 242.5 1.672 237.6 3.703L45.61 83.71C27.7 91.1 16 108.6 16 127.1C16 385.2 205.2 512 255.9 512C307.1 512 496 383.8 496 127.1C496 108.6 484.3 91.1 466.5 83.71zM255.1 496C212.1 496 32 374 32 127.1c0-12.99 7.734-24.57 19.75-29.53l191.1-79.99C246.7 17.21 252.8 16 256.1 16c3.188 0 9.383 1.232 12.29 2.441l192 80.02C472.3 103.4 480 114.1 480 127.1C480 405.6 270.9 496 255.1 496zM416 184h-152V64c0-4.406-3.594-8-8-8S248 59.59 248 64v120H96C91.59 184 88 187.6 88 192S91.59 200 96 200h152V448c0 4.406 3.594 8 8 8s8-3.594 8-8V200H416c4.406 0 8-3.594 8-8S420.4 184 416 184z"],
    "shield-dog": [512, 512, [], "e573", "M292.2 128C307.4 128 321.2 136.6 328 150.1L332.9 160H392C405.3 160 416 170.7 416 184V208C416 256.6 376.6 296 328 296H288V376C288 380.4 284.4 384 280 384C275.6 384 272 380.4 272 376V288C272 283.6 275.6 280 280 280H328C367.8 280 400 247.8 400 208V184C400 179.6 396.4 176 392 176H328C324.1 176 322.2 174.3 320.8 171.6L313.7 157.3C309.6 149.1 301.3 144 292.2 144H223.1V216C223.1 240.8 205.2 261.2 181.1 263.7L159.2 307.6C157.2 311.5 152.4 313.1 148.4 311.2C144.5 309.2 142.9 304.4 144.8 300.4L163.8 262.4C143.2 257.1 127.1 238.3 127.1 216V176C127.1 149.5 149.5 128 175.1 128H292.2zM207.1 144H175.1C158.3 144 143.1 158.3 143.1 176V216C143.1 233.6 158.2 247.9 175.9 247.1H176.2C193.8 247.9 207.1 233.6 207.1 216L207.1 144zM255.1 192C255.1 183.2 263.2 176 272 176C280.8 176 288 183.2 288 192C288 200.8 280.8 208 272 208C263.2 208 255.1 200.8 255.1 192zM476.5 90.53C487.7 95.27 495.2 105.1 495.9 118.1C501.6 213.6 466.7 421.9 272.5 507.7C267.6 510.5 261.1 512.1 256.3 512C250.5 512.1 244.9 510.5 239.1 507.7C45.8 421.9 10.95 213.6 16.57 118.1C17.28 105.1 24.83 95.27 36.04 90.53L240.4 4.066C245.2 1.386 250.7-.0507 256.3-.0068C261.9-.0507 267.3 1.386 272.1 4.066L476.5 90.53zM248.2 18.04C247.7 18.32 247.2 18.58 246.6 18.8L42.27 105.3C36.67 107.6 32.89 112.1 32.54 119.1C27.08 211.9 61.36 411.3 246.4 493.1C246.1 493.3 247.5 493.6 247.1 493.8C250.5 495.3 253.3 496 256.1 496H256.4C259.2 496 262.1 495.3 264.5 493.8C265 493.6 265.5 493.3 266.1 493.1C451.2 411.3 485.4 211.9 479.1 119.1C479.6 112.1 475.8 107.6 470.2 105.3L265.9 18.8C265.4 18.58 264.8 18.32 264.3 18.04C261.9 16.69 259.2 15.97 256.4 15.99L256.1 15.99C253.3 15.97 250.6 16.69 248.2 18.04L248.2 18.04z"],
    "shield-exclamation": [512, 512, [], "e247", "M466.5 83.69l-192-80.01C269.6 1.656 261.3 0 256.1 0C250.8 0 242.5 1.656 237.6 3.688l-192 80.01C27.69 91.08 16 108.6 16 127.1C16 385.2 205.2 512 255.1 512C307.1 512 496 383.8 496 127.1C496 108.6 484.3 91.08 466.5 83.69zM255.1 496C212.1 496 32 374 32 127.1c0-12.99 7.732-24.57 19.75-29.54l191.1-79.1C246.7 17.21 252.8 16 256.1 16c3.184 0 9.381 1.234 12.28 2.441l192 80.02C472.3 103.4 480 114.1 480 127.1C480 405.6 270.9 496 255.1 496zM256 304c4.406 0 8-3.594 8-8v-160C264 131.6 260.4 128 256 128S248 131.6 248 136v160C248 300.4 251.6 304 256 304zM256 336c-8.822 0-16 7.18-16 16s7.178 16 16 16s16-7.18 16-16S264.8 336 256 336z"],
    "shield-halved": [512, 512, ["shield-alt"], "f3ed", "M457.7 82.79C479.7 92.12 496.2 113.8 496 139.1C495.5 239.2 454.8 420.7 282.4 503.2C265.8 511.1 246.3 511.1 229.6 503.2C57.29 420.7 16.49 239.2 16 139.1C15.87 113.8 32.32 92.12 54.3 82.79L231 7.838C247 1.065 265.1 1.066 281 7.84L457.7 82.79zM264 492.4C267.9 491.7 271.8 490.5 275.5 488.7C439.7 410.1 479.6 236.5 480 139.9C480.1 120.8 468.1 104.6 451.5 97.52L274.8 22.57C271.3 21.09 267.7 20.04 264 19.42L264 492.4zM248 19.44C244.4 20.05 240.8 21.1 237.3 22.57L60.55 97.52C43.91 104.6 31.91 120.8 32 139.9C32.48 236.5 72.32 410.1 236.6 488.7C240.2 490.5 244.1 491.7 248 492.4V19.44z"],
    "shield-heart": [512, 512, [], "e574", "M147.8 263.6C119.8 234.7 121.5 186.6 153 159.5C180.2 135.8 221.4 140.2 245.9 166.5L256.4 176.1L266.1 166.5C291.5 140.2 331.8 135.8 358.1 159.5C390.5 186.6 392.2 234.7 364.2 263.6L266.1 363.4C260.8 369.5 251.2 369.5 244.2 363.4L147.8 263.6zM255.7 351.1L352.7 252.5C374.3 230.2 373.1 192.7 348.5 171.6L348.4 171.5C328.6 154.3 297.1 156.5 277.6 177.6L277.4 177.8L256.9 198.2L234.7 177.8L234.2 177.4C214.9 156.7 183.5 154.2 163.6 171.5L163.5 171.6C138.9 192.7 137.7 230.2 159.3 252.5L159.3 252.5L255 351.6C255.3 351.8 255.5 351.9 255.6 351.9C255.6 351.9 255.7 351.1 255.7 351.1C255.7 351.1 255.7 351.1 255.7 351.1V351.1zM476.5 90.53C487.7 95.27 495.2 105.1 495.9 118.1C501.6 213.6 466.7 421.9 272.5 507.7C267.6 510.5 261.1 512.1 256.3 512C250.5 512.1 244.9 510.5 239.1 507.7C45.8 421.9 10.95 213.6 16.57 118.1C17.28 105.1 24.83 95.27 36.04 90.53L240.4 4.066C245.2 1.386 250.7-.0507 256.3-.0068C261.9-.0507 267.3 1.386 272.1 4.066L476.5 90.53zM248.2 18.04C247.7 18.32 247.2 18.58 246.6 18.8L42.27 105.3C36.67 107.6 32.89 112.1 32.54 119.1C27.08 211.9 61.36 411.3 246.4 493.1C246.1 493.3 247.5 493.6 247.1 493.8C250.5 495.3 253.3 496 256.1 496H256.4C259.2 496 262.1 495.3 264.5 493.8C265 493.6 265.5 493.3 266.1 493.1C451.2 411.3 485.4 211.9 479.1 119.1C479.6 112.1 475.8 107.6 470.2 105.3L265.9 18.8C265.4 18.58 264.8 18.32 264.3 18.04C261.9 16.69 259.2 15.97 256.4 15.99L256.1 15.99C253.3 15.97 250.6 16.69 248.2 18.04L248.2 18.04z"],
    "shield-keyhole": [512, 512, [], "e248", "M466.5 83.69l-192-80.01C269.6 1.656 261.3 0 256.1 0C250.8 0 242.5 1.656 237.6 3.688l-192 80.01C27.69 91.08 16 108.6 16 127.1C16 385.2 205.2 512 255.1 512C307.1 512 496 383.8 496 127.1C496 108.6 484.3 91.08 466.5 83.69zM255.1 496C212.1 496 32 374 32 127.1c0-12.99 7.732-24.57 19.75-29.54l191.1-79.1C246.7 17.21 252.8 16 256.1 16c3.184 0 9.381 1.234 12.28 2.441l192 80.02C472.3 103.4 480 114.1 480 127.1C480 405.6 270.9 496 255.1 496zM256 160C229.5 160 208 181.5 208 208c0 23.73 17.35 43.36 40 47.19V336c0 4.406 3.594 8 8 8s8-3.594 8-8V255.2C286.7 251.4 304 231.7 304 208C304 181.5 282.5 160 256 160zM256 240c-17.66 0-32-14.34-32-32s14.34-32 32-32s32 14.34 32 32S273.7 240 256 240z"],
    "shield-minus": [512, 512, [], "e249", "M344 232h-176C163.6 232 160 235.6 160 240s3.594 8 8 8h176C348.4 248 352 244.4 352 240S348.4 232 344 232zM466.5 83.69l-192-80.01C269.6 1.656 261.3 0 256.1 0C250.8 0 242.5 1.656 237.6 3.688l-192 80.01C27.69 91.08 16 108.6 16 127.1C16 385.2 205.2 512 255.1 512C307.1 512 496 383.8 496 127.1C496 108.6 484.3 91.08 466.5 83.69zM255.1 496C212.1 496 32 374 32 127.1c0-12.99 7.732-24.57 19.75-29.54l191.1-79.1C246.7 17.21 252.8 16 256.1 16c3.184 0 9.381 1.234 12.28 2.441l192 80.02C472.3 103.4 480 114.1 480 127.1C480 405.6 270.9 496 255.1 496z"],
    "shield-plus": [512, 512, [], "e24a", "M344 232h-80v-80c0-4.422-3.594-8-8-8S248 147.6 248 152v80h-80C163.6 232 160 235.6 160 240s3.594 8 8 8h80v80c0 4.422 3.594 8 8 8s8-3.578 8-8v-80h80C348.4 248 352 244.4 352 240S348.4 232 344 232zM466.5 83.69l-192-80.01C269.6 1.656 261.3 0 256.1 0C250.8 0 242.5 1.656 237.6 3.688l-192 80.01C27.69 91.08 16 108.6 16 127.1C16 385.2 205.2 512 255.1 512C307.1 512 496 383.8 496 127.1C496 108.6 484.3 91.08 466.5 83.69zM255.1 496C212.1 496 32 374 32 127.1c0-12.99 7.732-24.57 19.75-29.54l191.1-79.1C246.7 17.21 252.8 16 256.1 16c3.184 0 9.381 1.234 12.28 2.441l192 80.02C472.3 103.4 480 114.1 480 127.1C480 405.6 270.9 496 255.1 496z"],
    "shield-quartered": [576, 512, [], "e575", "M263 7.838C279 1.065 297.1 1.066 313 7.84L489.7 82.79C511.7 92.12 528.2 113.8 528 139.1C527.5 239.2 486.8 420.7 314.4 503.2C297.8 511.1 278.3 511.1 261.6 503.2C89.29 420.7 48.49 239.2 48 139.1C47.87 113.8 64.32 92.12 86.3 82.79L263 7.838zM306.8 22.57C303.3 21.09 299.7 20.04 296 19.42V216H504.6C509.8 187.1 511.9 161.9 512 139.9C512.1 120.8 500.1 104.6 483.5 97.52L306.8 22.57zM501.3 232H296V492.4C299.9 491.7 303.8 490.5 307.5 488.7C427.2 431.4 480.8 323.6 501.3 232V232zM280 216V19.44C276.4 20.05 272.8 21.1 269.3 22.57L92.55 97.52C75.91 104.6 63.91 120.8 64 139.9C64.11 161.9 66.27 187.1 71.48 216H280zM268.6 488.7C272.2 490.5 276.1 491.7 280 492.4V232H74.76C95.21 323.6 148.8 431.4 268.6 488.7H268.6z"],
    "shield-slash": [640, 512, [], "e24b", "M640 504c0-2.357-1.035-4.69-3.019-6.27L12.99 1.73C11.53 .5664 9.771 0 8.025 0C3.804 0 .0007 3.355 .0007 7.992c0 2.357 1.035 4.69 3.019 6.27l623.1 496C628.5 511.4 630.2 512 631.1 512C636.2 512 640 508.6 640 504zM307.7 18.45C310.7 17.21 316.8 16 320.1 16c3.184 0 9.381 1.234 12.28 2.441l192 80.02C536.3 103.4 544 114.1 544 127.1c0 66.11-13.19 128.4-38.05 183.9l12.97 10.32C543.6 268.7 560 204.3 560 127.1c0-19.41-11.69-36.89-29.5-44.28l-192-80C333.6 1.672 325.3 0 320.1 0C314.8 0 306.5 1.672 301.6 3.703L181.3 53.79l14.31 11.37L307.7 18.45zM319.1 496c-40.11 0-201.9-105.9-221.8-324.4L81.08 158C95.34 397.1 272.7 512 319.9 512c36.96 0 102.2-57.63 116.4-71.58l-12.57-9.996C380.1 472.1 335.1 496 319.1 496z"],
    "shield-virus": [512, 512, [], "e06c", "M466.5 83.68l-192-80.01C269.6 1.641 261.3 0 256.1 0C250.7 0 242.5 1.641 237.6 3.672l-192 80.01C27.69 91.07 16 108.6 16 127.1C16 385.2 205.2 512 255.9 512c52.02 0 240.1-128.2 240.1-384C496 108.6 484.3 91.07 466.5 83.68zM255.1 496C212.1 496 32 374 32 127.1c0-12.99 7.734-24.57 19.75-29.53l191.1-79.99C246.7 17.21 252.8 16 256.1 16c3.188 0 9.383 1.232 12.29 2.441l192 80.02C472.3 103.4 480 114.1 480 127.1C480 405.6 270.9 496 255.1 496zM288 255.1c-8.836 0-16 7.164-16 16s7.164 15.1 16 15.1s16-7.163 16-15.1S296.8 255.1 288 255.1zM224 191.1c-8.836 0-16 7.164-16 16s7.164 16 15.1 16s16-7.164 16-16S232.8 191.1 224 191.1zM384 207.1h-12.12c-13.55 0-16.05-12.61-16.05-16.28c0-3.301 1.024-7.314 4.734-11.02l8.576-8.578c6.238-6.237 9.357-14.43 9.357-22.62c0-17.61-14.22-31.1-31.98-31.1c-8.545 0-16.58 3.328-22.62 9.375l-8.578 8.578c-3.926 3.922-8.191 4.75-11.08 4.75C296.3 140.2 288 134.2 288 124.1V111.1c0-17.65-14.36-32-32-32s-32 14.35-32 32V124.1C224 134.2 215.7 140.2 207.8 140.2c-2.889 0-7.156-.8281-11.08-4.75L188.1 126.9C182.1 120.8 174 117.5 165.5 117.5c-17.75 0-31.98 14.38-31.98 31.1c0 8.193 3.119 16.39 9.357 22.62l8.574 8.578c3.71 3.71 4.735 7.723 4.735 11.02c0 3.645-2.557 16.28-16.05 16.28H128c-17.64 0-32 14.36-32 32s14.36 32 32 32h12.12c13.55 0 16.05 12.61 16.05 16.29c0 3.302-1.024 7.315-4.734 11.02L142.9 307.9c-6.045 6.047-9.375 14.08-9.375 22.62c0 17.67 14.3 32 32 32c8.547 0 16.58-3.328 22.63-9.375l8.574-8.57c3.928-3.93 8.195-4.75 11.08-4.75C215.7 339.8 224 345.8 224 355.9v12.12c0 17.64 14.36 32 32 32s32-14.36 32-32v-12.12c0-10.05 8.254-16.06 16.23-16.06c2.889 0 7.154 .8203 11.08 4.75l8.578 8.574c6.043 6.043 14.08 9.371 22.62 9.371c17.68 0 32-14.3 32-32c0-8.547-3.328-16.58-9.373-22.62l-8.578-8.578c-3.708-3.707-4.732-7.718-4.732-11.02c0-3.558 2.47-16.29 16.05-16.29H384c17.64 0 32-14.36 32-32S401.6 207.1 384 207.1zM384 255.1h-12.12c-19.29 0-32.06 15.78-32.06 32.23c0 7.862 2.918 15.88 9.436 22.4l8.576 8.576c3.125 3.123 4.688 7.219 4.688 11.31c0 8.545-6.884 15.1-16 15.1c-4.094 0-8.188-1.562-11.31-4.688l-8.576-8.576c-6.518-6.523-14.53-9.436-22.4-9.436c-16.45 0-32.23 12.77-32.23 32.06v12.12c0 8.844-7.156 16-16 16s-16-7.156-16-16v-12.12c0-19.29-15.78-32.06-32.23-32.06c-7.859 0-15.88 2.913-22.39 9.436l-8.576 8.576c-3.125 3.125-7.219 4.688-11.31 4.688c-9.132 0-16-7.469-16-15.1c0-4.093 1.562-8.189 4.688-11.31l8.576-8.576c6.519-6.519 9.436-14.53 9.436-22.4c0-16.45-12.77-32.23-32.06-32.23H128c-8.844 0-16-7.156-16-16s7.156-16 16-16h12.12c19.29 0 32.06-15.78 32.06-32.23c0-7.861-2.918-15.88-9.436-22.4L154.2 160.8c-3.125-3.123-4.688-7.219-4.688-11.31c0-8.545 6.884-15.1 16-15.1c4.094 0 8.188 1.562 11.31 4.688L185.4 146.7C191.9 153.3 199.9 156.2 207.8 156.2c16.45 0 32.23-12.78 32.23-32.07V111.1c0-8.848 7.156-16 16-16s16 7.152 16 16v12.12c0 19.29 15.78 32.07 32.23 32.07c7.863 0 15.88-2.92 22.4-9.436l8.576-8.577c3.125-3.125 7.219-4.688 11.31-4.688c9.132 0 16 7.469 16 15.1c0 4.093-1.562 8.189-4.688 11.31l-8.576 8.577c-6.519 6.518-9.436 14.53-9.436 22.4c0 16.45 12.77 32.23 32.06 32.23h12.12c8.844 0 16 7.156 16 16S392.8 255.1 384 255.1z"],
    "shield-xmark": [512, 512, ["shield-times"], "e24c", "M466.5 83.69l-192-80.01C269.6 1.656 261.3 0 256.1 0C250.8 0 242.5 1.656 237.6 3.688l-192 80.01C27.69 91.08 16 108.6 16 127.1C16 385.2 205.2 512 255.1 512C307.1 512 496 383.8 496 127.1C496 108.6 484.3 91.08 466.5 83.69zM255.1 496C212.1 496 32 374 32 127.1c0-12.99 7.732-24.57 19.75-29.54l191.1-79.1C246.7 17.21 252.8 16 256.1 16c3.184 0 9.381 1.234 12.28 2.441l192 80.02C472.3 103.4 480 114.1 480 127.1C480 405.6 270.9 496 255.1 496zM336 168C336 163.4 332.3 160 328 160c-2.047 0-4.094 .7813-5.656 2.344L256 228.7L189.7 162.3C188.1 160.8 186 160 184 160C179.7 160 176 163.4 176 168c0 2.047 .7813 4.094 2.344 5.656L244.7 240L178.3 306.3C176.8 307.9 176 309.1 176 312C176 316.3 179.4 320 184 320c2.046 0 4.093-.7813 5.656-2.344L256 251.3l66.34 66.34C323.9 319.2 325.1 320 328 320c4.566 0 8-3.734 8-8c0-2.047-.7813-4.094-2.344-5.656L267.3 240l66.34-66.34C335.2 172.1 336 170 336 168z"],
    "ship": [576, 512, [128674], "f21a", "M344 .0003C366.1 .0003 384 17.91 384 40V64H440C462.1 64 480 81.91 480 104V229.7L519 242.3C545.4 250.9 555.3 283 538.3 304.1L454.3 412.9C451.6 416.4 446.6 417 443.1 414.3C439.6 411.6 438.1 406.6 441.7 403.1L525.7 295.1C535.9 281.1 529.9 262.7 514.1 257.6L296 186.1V376C296 380.4 292.4 384 288 384C283.6 384 280 380.4 280 376V186.1L61.9 257.6C46.06 262.7 40.12 281.1 50.34 295.1L134.3 403.1C137 406.6 136.4 411.6 132.9 414.3C129.4 417 124.4 416.4 121.7 412.9L37.72 304.1C20.68 283 30.58 250.9 56.98 242.3L95.1 229.7V104C95.1 81.91 113.9 64 135.1 64H191.1V40C191.1 17.91 209.9 0 231.1 0L344 .0003zM368 64V40C368 26.75 357.3 16 344 16H231.1C218.7 16 207.1 26.75 207.1 40V64H368zM135.1 80C122.7 80 111.1 90.75 111.1 104V224.5L275.7 171.6C283.7 168.1 292.3 168.1 300.3 171.6L464 224.5V104C464 90.75 453.3 80 440 80H135.1zM384 496C406.5 496 428.6 481.8 445.8 466.1C455.1 456.9 465.5 446.6 473.5 435.4C474.1 433.3 477.4 432 480 432C482.6 432 485.1 433.3 486.6 435.4C493.9 445.7 502.5 455 511.6 463.7C527.3 478.5 547.7 492.9 569 495.6C573.4 496.1 576.5 500.1 575.9 504.5C575.4 508.9 571.4 511.1 567 511.4C540.5 508.1 516.1 490.7 500.6 475.3C491.8 466.1 484.7 458.9 480 453.1C474.8 459.5 466.8 468.7 456.6 477.9C438.7 494.2 412.7 512 384 512C355.3 512 329.4 494.2 311.4 477.9C301.3 468.7 293.2 459.5 288 453.1L288 453.1L287.1 453.1C282.8 459.5 274.7 468.7 264.6 477.9C246.6 494.2 220.7 512 191.1 512C163.3 512 137.4 494.2 119.4 477.9C109.2 468.7 101.2 459.5 95.98 453.1C91.29 458.9 84.23 466.1 75.4 475.3C59.03 490.7 35.48 508.1 9.001 511.4C4.617 511.1 .616 508.9 .0637 504.5C-.4887 500.1 2.617 496.1 7.001 495.6C28.3 492.9 48.74 478.5 64.42 463.7C73.56 455 82.16 445.7 89.43 435.4C90.93 433.3 93.37 432 95.98 432C98.59 432 101 433.3 102.5 435.4C110.5 446.6 120 456.9 130.2 466.1C147.4 481.8 169.5 496 191.1 496C214.5 496 236.6 481.8 253.8 466.1C263.9 456.9 273.4 446.6 281.4 435.4C284.4 431.1 291.6 431.1 294.6 435.4C302.6 446.6 312.1 456.9 322.2 466.1C339.5 481.8 361.5 496 384 496H384z"],
    "shirt": [640, 512, [128085, "t-shirt", "tshirt"], "f553", "M624.1 123.9l-135-106.6C475.8 6.141 458.1 0 439.1 0h-239.1c-18.06 0-35.78 6.141-49.94 17.28l-135 106.6C6.658 130.5 1.409 139.9 .2523 150.5C-.9352 161 2.096 171.3 8.783 179.5l49.97 61.63C72.44 258.1 97.66 260.9 115.1 247.2l36.87-31.28V456c0 30.88 25.12 56 55.1 56h223.1c30.87 0 55.1-25.12 55.1-56V218.1l37.09 29.28c17.22 13.59 42.41 10.83 56.16-6.188l49.97-61.63c6.687-8.234 9.719-18.55 8.531-29.06C638.6 139.9 633.3 130.5 624.1 123.9zM391.2 16C387.1 51.9 356.9 80 320 80s-67.15-28.1-71.19-64H391.2zM618.8 169.5l-49.97 61.63c-8.312 10.2-23.47 11.89-33.78 3.688l-50.06-39.5c-2.406-1.906-5.687-2.219-8.469-.9219c-2.75 1.344-4.5 4.141-4.5 7.203V456c0 22.06-17.94 40-39.1 40H208c-22.06 0-39.1-17.94-39.1-40V198.6c0-3.109-1.812-5.953-4.625-7.266C162.3 190.9 161.2 190.6 160 190.6c-1.844 0-3.687 .6406-5.187 1.891l-49.84 42.27C94.69 243 79.44 241.3 71.19 231.1L21.22 169.5C17.25 164.6 15.44 158.5 16.13 152.3c.7187-6.266 3.844-11.89 8.844-15.83l135-106.6C171.3 20.92 185.5 16 200 16h32.37C236.4 60.8 274.2 96 320 96s83.59-35.2 87.62-80h32.34c14.5 0 28.72 4.922 40.03 13.84l135 106.6c5 3.938 8.125 9.562 8.844 15.83C624.6 158.5 622.7 164.6 618.8 169.5z"],
    "shirt-long-sleeve": [640, 512, [], "e3c7", "M608.7 173.7l-71.03-126.8C521.5 17.95 490.8 0 457.7 0H182.3C151.7 0 111.6 16.09 94.16 47.22L31.31 173.7C21.28 191.5 16 211.8 16 232.3V376C16 398.1 33.94 416 56 416h32C110.1 416 128 398.1 128 376V246.1l48-81.61V472C176 494.1 193.9 512 216 512h208c22.06 0 40-17.94 40-40V165.2L512 246.3V376c0 22.06 17.94 40 40 40h32c22.06 0 40-17.94 40-40V232.3C624 211.8 618.7 191.5 608.7 173.7zM391.2 16C387.1 51.9 356.9 80 320 80s-67.15-28.1-71.19-64H391.2zM608 376c0 13.23-10.78 24-24 24h-32c-13.22 0-24-10.77-24-24V244.1c0-1.438-.375-2.844-1.125-4.078l-64-108.1c-1.844-3.078-5.375-4.594-9-3.641C450.4 129.2 448 132.4 448 136v336c0 13.23-10.78 24-24 24h-208C202.8 496 192 485.2 192 472V136c0-3.609-2.406-6.766-5.906-7.719C185.4 128.1 184.7 128 184 128C181.2 128 178.6 129.5 177.1 131.9l-64 108.8C112.4 241.1 112 243.4 112 244.8V376c0 13.23-10.78 24-24 24h-32C42.78 400 32 389.2 32 376V232.3c0-17.77 4.594-35.34 13.44-51.16l62.84-126.5C120.7 32.64 152.5 16 182.3 16h50.06C236.4 60.8 274.2 96 320 96s83.59-35.2 87.63-80h50.06c27.34 0 52.66 14.83 66.03 38.69l71.03 126.8C603.4 196.1 608 214.5 608 232.3V376z"],
    "shirt-running": [384, 512, [], "e3c8", "M336 112v-96C336 7.162 328.8 0 320 0h-32c-8.836 0-16 7.162-16 16v64C272 124.2 236.2 160 192 160S112 124.2 112 80v-64C112 7.162 104.8 0 96 0H64C55.16 0 48 7.162 48 16v96C48 163.9 31.16 214.5 0 256v208C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V256C352.8 214.5 336 163.9 336 112zM345.7 222.1L16 458.5v-60.31l312.7-223.3C332.9 191.4 338.3 207.6 345.7 222.1zM64 112v-96h32v64c0 52.93 43.06 96 96 96s96-43.07 96-96v-64h32v96c0 15.49 1.852 30.85 4.658 46.04L16 378.5V261.2C46.99 218 64 165.2 64 112zM368 464c0 17.64-14.36 32-32 32h-288c-13.25 0-24.64-8.102-29.49-19.61l334.9-239.3C358 245.3 362.5 253.6 368 261.2V464z"],
    "shirt-tank-top": [384, 512, [], "e3c9", "M336 112v-96C336 7.162 328.8 0 320 0h-32c-8.836 0-16 7.162-16 16v64C272 124.2 236.2 160 192 160S112 124.2 112 80v-64C112 7.162 104.8 0 96 0H64C55.16 0 48 7.162 48 16v96C48 163.9 31.16 214.5 0 256v208C0 490.5 21.49 512 48 512h288c26.51 0 48-21.49 48-48V256C352.8 214.5 336 163.9 336 112zM368 464c0 17.64-14.36 32-32 32h-288c-17.64 0-32-14.36-32-32V261.2C46.99 218 64 165.2 64 112v-96h32v64c0 52.93 43.06 96 96 96s96-43.07 96-96v-64h32v96c0 53.22 17.01 106 48 149.2V464z"],
    "shish-kebab": [512, 512, [], "f821", "M132.2 249.1C124.1 242.7 115.3 238.6 105 238.6c-10.28 0-20.13 4.032-27.44 11.34L35.35 292.2C28 299.5 23.97 309.3 24 319.6c.0313 10.28 4.063 19.94 11.34 27.13l129.9 129.9c7.219 7.313 16.88 11.34 27.16 11.38c10.28 0 20.13-4.032 27.44-11.34l42.22-42.25c15.1-15.06 15.1-39.63 0-54.69L132.2 249.1zM250.7 423.1l-42.22 42.25c-4.282 4.282-10 6.657-16.03 6.657c-.0313 0 0 0 0 0c-6.001-.0313-11.66-2.375-15.91-6.657l-129.9-129.9c-4.25-4.219-6.594-9.845-6.626-15.85C39.97 313.5 42.35 307.8 46.66 303.5l42.25-42.25C93.2 256.1 98.92 254.6 104.9 254.6c.0313 0 0 0 0 0c6.001 0 11.66 2.375 15.88 6.626l129.9 129.8C259.6 399.9 259.6 414.2 250.7 423.1zM240.4 141.7c-7.219-7.313-16.92-11.34-27.24-11.34c-.0313 0 0 0 0 0c-10.34 0-20.08 4.032-27.3 11.34L143.5 183.1C128.5 199 128.5 223.5 143.5 238.6l129.9 129.9c7.532 7.469 17.44 11.19 27.28 11.19c9.907 0 19.75-3.719 27.25-11.22l42.38-42.38c15.03-15.03 15.03-39.53 0-54.57L240.4 141.7zM358.1 314.8l-42.38 42.38c-8.751 8.751-23.13 8.751-31.94 0L154.8 227.3C146.1 218.5 146.1 204.1 154.8 195.3L197.2 152.1c4.219-4.282 9.876-6.626 15.94-6.626c6.063 0 11.69 2.344 15.91 6.626l129.9 129.9C367.8 291.7 367.8 306 358.1 314.8zM483.9 28.08c-37.44-37.44-98.32-37.44-135.8 0c-35.53 35.53-37.35 92.2-5.438 129.9l-20.35 20.35c-3.125 3.125-3.125 8.188 0 11.31c1.563 1.563 3.594 2.344 5.657 2.344s4.094-.7813 5.657-2.344l25.78-25.78c3.125-3.125 3.125-8.188 0-11.31c-31.19-31.19-31.19-81.94 0-113.1s81.95-31.19 113.1 0s31.19 81.95 0 113.1c-3.125 3.125-3.125 8.188 0 11.31s8.188 3.125 11.31 0C521.4 126.4 521.4 65.52 483.9 28.08zM74.35 426.3l-72.01 72.01c-3.125 3.125-3.125 8.188 0 11.31C3.907 511.2 5.938 512 8.001 512s4.094-.7813 5.657-2.344l72.01-72.01c3.125-3.125 3.125-8.188 0-11.31S77.48 423.2 74.35 426.3z"],
    "shoe-prints": [640, 512, [], "f54b", "M491.4 7.252c-22.1-4.961-46.54-7.253-70.15-7.253c-9.111 0-18.27 .3402-27.35 1.002C366.5 2.877 339.8 8.752 313.5 16L256 32H192c-35.38 0-64 28.62-64 63.1s28.62 63.1 64 63.1L256 159.1c60.25 0 80 15.62 104.8 31.1c28.5 18.88 69.75 31.1 104.8 31.1C555.9 223.1 640 191.1 640 127.1C640 82.75 600.9 30.75 491.4 7.252zM224 143.1H192c-26.47 0-48-21.53-48-47.1S165.5 48 192 48h32V143.1zM465.5 207.1c-30.87 0-69.42-11.8-95.92-29.35l-4.152-2.762C341.9 160.2 317.7 144 256.1 144L240 143.1V48h18.19l59.57-16.58c30.13-8.32 54.66-12.92 77.28-14.46c8.699-.6328 17.43-.9609 26.15-.9609c23.13 0 45.61 2.32 66.83 6.896C573.2 41.17 624 80.46 624 127.1C624 182.1 541.8 207.1 465.5 207.1zM337.5 287.1c-35 0-76.25 13.13-104.8 31.1C208 336.4 188.3 351.1 128 351.1H64c-35.38 0-64 28.62-64 63.1s28.62 64.01 64 64.01l64 .0051l57.5 15.98c26.25 7.25 53 13.13 80.38 15.01C275.1 511.7 284.5 512 293.8 512c23.42 0 46.81-2.232 69.62-7.152C472.9 481.2 512 429.2 512 383.1C512 319.1 427.9 287.1 337.5 287.1zM96 463.1H64c-26.47 0-48-21.53-48-47.1c0-26.47 21.53-47.1 47.99-47.1L96 368V463.1zM360 489.2c-20.9 4.506-43.19 6.791-66.25 6.791c-8.912 0-17.83-.3359-26.79-.9883c-22.55-1.545-47.08-6.139-77.19-14.45l-59.6-16.55L112 463.1v-95.1L128 367.1c61.66 0 85.94-16.21 109.4-31.89l4.152-2.764c26.5-17.55 65.04-29.34 95.92-29.34c76.34 0 158.5 25.03 158.5 79.1C496 431.5 445.2 470.8 360 489.2z"],
    "shop": [640, 512, ["store-alt"], "f54f", "M.0003 185.8C.0003 179.4 1.606 173.1 4.67 167.4L82.36 25.02C90.77 9.595 106.9 0 124.5 0H515.5C533.1 0 549.2 9.595 557.6 25.02L635.3 167.4C638.4 173.1 640 179.4 640 185.8C640 206.9 622.9 224 601.8 224H576V488C576 501.3 565.3 512 552 512H520C506.7 512 496 501.3 496 488V256C496 251.6 499.6 248 504 248C508.4 248 512 251.6 512 256V488C512 492.4 515.6 496 520 496H552C556.4 496 560 492.4 560 488V224H79.1V464C79.1 481.7 94.33 496 111.1 496H336C353.7 496 368 481.7 368 464V256C368 251.6 371.6 248 376 248C380.4 248 384 251.6 384 256V464C384 490.5 362.5 512 336 512H111.1C85.49 512 63.1 490.5 63.1 464V224H38.25C17.12 224 0 206.9 0 185.8H.0003zM601.8 208C614 208 624 198 624 185.8C624 182 623.1 178.4 621.3 175.1L543.6 32.68C537.1 22.4 527.2 16 515.5 16H124.5C112.8 16 102 22.4 96.4 32.68L18.72 175.1C16.93 178.4 16 182 16 185.8C16 198 25.96 208 38.25 208H601.8zM135.1 248C140.4 248 143.1 251.6 143.1 256V360C143.1 364.4 147.6 368 151.1 368H295.1C300.4 368 303.1 364.4 303.1 360V256C303.1 251.6 307.6 248 311.1 248C316.4 248 319.1 251.6 319.1 256V360C319.1 373.3 309.3 384 295.1 384H151.1C138.7 384 127.1 373.3 127.1 360V256C127.1 251.6 131.6 248 135.1 248V248z"],
    "shop-lock": [640, 512, [], "e4a5", "M.0006 185.8C.0006 179.4 1.606 173.1 4.671 167.4L82.36 25.02C90.77 9.595 106.9 0 124.5 0H515.5C533.1 0 549.2 9.595 557.6 25.02L635.3 167.4C638.4 173.1 640 179.4 640 185.8C640 198.1 634.1 209.1 625.1 216.1C622.4 211.4 619.4 206.1 616.1 202.8C620.9 198.7 624 192.6 624 185.8C624 182 623.1 178.4 621.3 175.1L543.6 32.68C537.1 22.4 527.2 16 515.5 16H124.5C112.8 16 102 22.4 96.4 32.68L18.72 175.1C16.93 178.4 16 182 16 185.8C16 198 25.96 208 38.25 208H436.1C432.6 213 429.4 218.4 426.8 224H79.1V464C79.1 481.7 94.33 496 111.1 496H336C353.7 496 368 481.7 368 464V256C368 251.6 371.6 248 376 248C380.4 248 384 251.6 384 256V464C384 490.5 362.5 512 336 512H111.1C85.49 512 63.1 490.5 63.1 464V224H38.25C17.12 224 0 206.9 0 185.8H.0006zM136 248C140.4 248 144 251.6 144 256V360C144 364.4 147.6 368 152 368H296C300.4 368 304 364.4 304 360V256C304 251.6 307.6 248 312 248C316.4 248 320 251.6 320 256V360C320 373.3 309.3 384 296 384H152C138.7 384 128 373.3 128 360V256C128 251.6 131.6 248 136 248V248zM528 192C563.3 192 592 220.7 592 256V320H608C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320H464V256C464 220.7 492.7 192 528 192zM528 208C501.5 208 480 229.5 480 256V320H576V256C576 229.5 554.5 208 528 208zM432 352V480C432 488.8 439.2 496 448 496H608C616.8 496 624 488.8 624 480V352C624 343.2 616.8 336 608 336H448C439.2 336 432 343.2 432 352z"],
    "shop-slash": [640, 512, ["store-alt-slash"], "e070", "M636.1 497.7C640.4 500.5 641 505.5 638.3 508.1C635.5 512.4 630.5 513 627 510.3L3.023 14.26C-.4362 11.51-1.011 6.481 1.738 3.022C4.487-.4365 9.52-1.012 12.98 1.738L636.1 497.7zM0 185.8C0 179.4 1.606 173.1 4.67 167.4L30.84 119.5L43.58 129.5L18.72 175.1C16.93 178.4 16 182 16 185.8C16 198 25.96 208 38.25 208H143L163.3 224H79.1V464C79.1 481.7 94.33 496 111.1 496H336C353.7 496 368 481.7 368 464V385.6L384 398.3V464C384 490.5 362.5 512 336 512H111.1C85.49 512 63.1 490.5 63.1 464V224H38.25C17.12 224 0 206.9 0 185.8H0zM132.2 16L113.5 1.268C117.1 .4352 120.8 .0006 124.5 .0006H515.5C533.1 .0006 549.2 9.595 557.6 25.02L635.3 167.4C638.4 173.1 640 179.4 640 185.8C640 206.9 622.9 224 601.8 224H576V366.4L560 353.7V224H395.7L375.4 208H601.8C614 208 624 198 624 185.8C624 182 623.1 178.4 621.3 175.1L543.6 32.68C537.1 22.4 527.2 16 515.5 16H132.2zM496 486.7L528.1 512H520C506.7 512 496 501.3 496 488V486.7zM512 256V315.8L496 303.2V256C496 251.6 499.6 248 504 248C508.4 248 512 251.6 512 256V256zM303.1 360V335.1L319.1 347.7V360C319.1 373.3 309.3 384 295.1 384H151.1C138.7 384 127.1 373.3 127.1 360V256C127.1 251.6 131.6 248 135.1 248C140.4 248 143.1 251.6 143.1 256V360C143.1 364.4 147.6 368 151.1 368H295.1C300.4 368 303.1 364.4 303.1 360V360z"],
    "shovel": [512, 512, [], "f713", "M509.7 87.89l-85.61-85.64c-3-3-8.312-3-11.31 0l-34.38 34.44c-12.94 12.91-20.08 30.13-20.08 48.45c0 15.59 5.443 30.21 14.97 42.23L214.3 286.3L152.1 224.1c-6.25-6.254-14.44-9.39-22.63-9.39c-8.188 0-16.37 3.136-22.62 9.39L38.97 291.1c-50.01 50.01-45.26 181-22.63 203.7C26.22 505.5 56.71 512 92.13 512c45.74 0 99.68-10.79 127.9-38.98l67.88-67.89c12.5-12.5 12.5-32.75 0-45.25l-62.22-62.26l158.9-158.1c11.76 9.158 26.63 14.53 42.24 14.53c18.41 0 36.05-7.125 48.41-19.56l34.42-34.41C511.2 97.71 512 95.67 512 93.55S511.2 89.39 509.7 87.89zM276.6 371.2c3.025 3.025 4.691 7.045 4.691 11.32c0 4.27-1.666 8.289-4.691 11.31l-67.88 67.9c-25.28 25.29-76.77 34.29-116.5 34.29c-39.53 0-60.84-8.006-64.5-11.66c-4.971-4.973-13.67-34.25-11.26-79.41c2.395-44.82 15.06-82.82 33.89-101.7l67.89-67.9c3.023-3.023 7.039-4.689 11.31-4.689s8.289 1.666 11.31 4.691L276.6 371.2zM463.9 122.3C463.9 122.3 463.9 122.3 463.9 122.3c-18.78 18.88-55.43 18.89-74.21-.0156c-9.953-9.906-15.42-23.13-15.42-37.16s5.469-27.22 15.39-37.13L418.4 19.22l74.3 74.33L463.9 122.3z"],
    "shovel-snow": [512, 512, [], "f7c3", "M162.3 413.6C163.9 415.2 165.1 415.1 168 415.1s4.094-.7813 5.656-2.344l96-96.02c3.125-3.127 3.125-8.189 0-11.31c-3.125-3.127-8.188-3.127-11.31 0l-96 96.02C159.2 405.4 159.2 410.5 162.3 413.6zM509.7 87.89l-85.61-85.64c-3-3-8.312-3-11.31 0l-34.38 34.44c-12.94 12.91-20.08 30.13-20.08 48.45c0 15.59 5.443 30.21 14.97 42.23l-102.4 102.4L210.2 169.2C204 163 195.9 159.8 187.7 159.8c-6.83 0-13.67 2.233-19.41 6.725l-155.9 120.3c-15.13 11.76-16.63 34.15-3 47.66l168 168.1C183.6 508.9 191.8 512 199.8 512c9.443 0 18.83-4.196 25.16-12.35l120.4-155.1c9.877-12.63 8.627-30.52-2.625-41.9l-60.59-60.66l102.4-102.4c11.76 9.158 26.63 14.53 42.24 14.53c18.41 0 36.05-7.125 48.41-19.56l34.42-34.41C511.2 97.71 512 95.67 512 93.55S511.2 89.39 509.7 87.89zM331.4 312.1c5.623 5.688 6.223 14.63 1.338 20.88l-120.4 155.1c-3.041 3.918-7.607 6.166-12.52 6.166c-4.186 0-8.146-1.656-11.15-4.664L20.61 323.1C17.38 319.9 15.75 315.7 16.03 311.1c.2793-4.639 2.459-8.771 6.096-11.6l155.1-120.4c2.742-2.146 6.045-3.283 9.549-3.283c4.264 0 8.289 1.664 11.28 4.619L331.4 312.1zM463.9 122.3C463.9 122.3 463.9 122.3 463.9 122.3c-18.78 18.88-55.43 18.89-74.21-.0156c-9.953-9.906-15.42-23.13-15.42-37.16s5.469-27.22 15.39-37.13L418.4 19.22l74.3 74.33L463.9 122.3zM98.34 338.3c-3.125 3.125-3.125 8.188 0 11.31C99.91 351.2 101.1 351.1 104 351.1s4.094-.7813 5.656-2.344l96-96.02c3.125-3.127 3.125-8.189 0-11.31c-3.125-3.127-8.188-3.127-11.31 0L98.34 338.3z"],
    "shower": [512, 512, [128703], "f2cc", "M336 256C327.2 256 320 263.2 320 272S327.2 288 336 288C344.8 288 352 280.8 352 272S344.8 256 336 256zM272 320c-8.836 0-16 7.164-16 16s7.164 16 16 16c8.838 0 16-7.164 16-16S280.8 320 272 320zM400 192C391.2 192 384 199.2 384 208S391.2 224 400 224C408.8 224 416 216.8 416 208S408.8 192 400 192zM496 224C487.2 224 480 231.2 480 240S487.2 256 496 256C504.8 256 512 248.8 512 240S504.8 224 496 224zM432 288C423.2 288 416 295.2 416 304s7.164 16 16 16c8.838 0 16-7.164 16-16S440.8 288 432 288zM368 352c-8.836 0-16 7.164-16 16s7.164 16 16 16c8.838 0 16-7.164 16-16S376.8 352 368 352zM304 416c-8.836 0-16 7.164-16 16s7.164 16 16 16c8.838 0 16-7.164 16-16S312.8 416 304 416zM365.7 98.34c-3.125-3.125-8.188-3.125-11.31 0l-192 192c-3.125 3.125-3.125 8.188 0 11.31C163.9 303.2 165.1 304 168 304s4.094-.7813 5.656-2.344l192-192C368.8 106.5 368.8 101.5 365.7 98.34zM166.5 260.8c3.125-3.125 3.125-8.188 0-11.31C146.8 229.9 136 203.8 136 176s10.81-53.91 30.45-73.53c40.56-40.56 106.5-40.56 147.1 0c3.125 3.125 8.188 3.125 11.31 0s3.125-8.188 0-11.31C280 46.28 208.4 44.91 161.4 86.07l-31.84-31.85C115.2 39.88 96.16 32 75.88 32C34.03 32 0 66.03 0 107.9V472C0 476.4 3.578 480 8 480s8-3.594 8-8V107.9C16 74.88 42.86 48 75.88 48c16 0 31.03 6.219 42.34 17.53l31.82 31.83C130.9 119.2 120 146.7 120 176c0 32.06 12.48 62.19 35.14 84.84c1.562 1.562 3.609 2.344 5.656 2.344S164.9 262.4 166.5 260.8z"],
    "shower-down": [384, 512, ["shower-alt"], "e24d", "M255.1 416c-2.246 0-4.496 1.355-5.32 4.156C242.2 449.7 224 457.7 224 478.6C224 497.1 238.3 512 256 512c17.67 0 32.01-14.92 32.01-33.42c0-20.92-18.17-28.75-26.67-58.42C260.6 417.4 258.3 416 255.1 416zM272 478.6c0 9.605-7.178 17.42-16 17.42S240 488.2 240 478.6c0-5.779 2.68-9.994 8.252-18.22c2.43-3.59 5.107-7.545 7.746-12.13c2.65 4.607 5.34 8.57 7.779 12.17C269.5 468.8 272 472.8 272 478.6zM127.1 416c-2.246 0-4.496 1.355-5.32 4.156c-8.5 29.59-26.67 37.59-26.67 58.42C95.99 497.1 110.3 512 127.1 512C145.7 512 160 497.1 160 478.6c0-20.92-18.17-28.75-26.67-58.42C132.6 417.4 130.3 416 127.1 416zM144 478.6C144 488.2 136.8 496 127.1 496s-16-7.814-16-17.42c0-5.779 2.678-9.992 8.25-18.22c2.43-3.59 5.109-7.545 7.748-12.13c2.65 4.607 5.338 8.57 7.777 12.16C141.5 468.8 144 472.8 144 478.6zM69.33 292.2C68.57 289.4 66.28 288 63.98 288C61.74 288 59.49 289.4 58.66 292.2c-8.5 29.59-26.67 37.59-26.67 58.42c0 18.5 14.34 33.48 32.01 33.48C81.67 384.1 96 369.1 96 350.6C96 329.7 77.83 321.8 69.33 292.2zM63.1 368c-8.824 0-16-7.814-16-17.42c0-5.779 2.678-9.992 8.25-18.22c2.43-3.59 5.109-7.545 7.748-12.13c2.65 4.607 5.338 8.57 7.777 12.16C77.48 340.8 80 344.8 80 350.6C80 360.2 72.82 368 63.1 368zM197.3 292.2C196.6 289.4 194.3 288 191.1 288C189.7 288 187.5 289.4 186.7 292.2c-8.5 29.59-26.67 37.59-26.67 58.42c0 18.5 14.34 33.48 32.01 33.48c17.67 0 32-14.98 32-33.48C224 329.7 205.8 321.8 197.3 292.2zM191.1 368c-8.824 0-16-7.814-16-17.42c0-5.779 2.678-9.992 8.25-18.22c2.43-3.59 5.109-7.545 7.748-12.13c2.65 4.607 5.338 8.57 7.777 12.16C205.5 340.8 208 344.8 208 350.6C208 360.2 200.8 368 191.1 368zM319.1 288c-2.246 0-4.496 1.355-5.32 4.156c-8.5 29.59-26.67 37.59-26.67 58.42c0 18.5 14.34 33.48 32.01 33.48c17.67 0 32-14.98 32-33.48c0-20.92-18.17-28.75-26.67-58.42C324.6 289.4 322.3 288 319.1 288zM336 350.6C336 360.2 328.8 368 319.1 368s-16-7.814-16-17.42c0-5.779 2.678-9.992 8.25-18.22c2.43-3.59 5.109-7.545 7.748-12.13c2.65 4.607 5.338 8.57 7.777 12.16C333.5 340.8 336 344.8 336 350.6zM32 208c4.406 0 8-3.578 8-8c0-72 51.13-134.6 121.6-148.9L168 49.75V24c0-4.406 3.594-8 8-8h32c4.406 0 8 3.594 8 8v25.75l6.406 1.312C292.9 65.36 344 128 344 200c0 4.422 3.594 8 8 8s8-3.578 8-8c0-77.38-53.44-144.1-128-163.2V24c0-13.23-10.78-24-24-24h-32c-13.22 0-24 10.77-24 24v12.81c-74.56 18.22-128 85.81-128 163.2C24 204.4 27.59 208 32 208zM376 240H8C3.594 240 0 243.6 0 248S3.594 256 8 256h368C380.4 256 384 252.4 384 248S380.4 240 376 240z"],
    "shredder": [512, 512, [], "f68a", "M88 160C92.41 160 96 156.4 96 152v-112C96 26.77 106.8 16 120 16h226.8c6.312 0 12.5 2.562 16.97 7.031l45.25 45.25C413.4 72.75 416 78.94 416 85.25V152C416 156.4 419.6 160 424 160s8-3.578 8-8V85.25c0-10.69-4.156-20.72-11.72-28.28l-45.25-45.25C367.6 4.266 357.3 0 346.8 0H120C97.94 0 80 17.94 80 40v112C80 156.4 83.59 160 88 160zM432 256C423.2 256 416 263.2 416 272S423.2 288 432 288S448 280.8 448 272S440.8 256 432 256zM448 192H64C28.65 192 0 220.7 0 256v96c0 17.67 14.33 32 32 32h448c17.67 0 32-14.33 32-32V256C512 220.7 483.3 192 448 192zM496 352c0 8.822-7.176 16-16 16H32c-8.824 0-16-7.178-16-16V256c0-26.47 21.53-48 48-48h384c26.47 0 48 21.53 48 48V352zM64 408c-4.422 0-8 3.594-8 8v88c0 4.406 3.578 8 7.1 8S72 508.4 72 504V416C72 411.6 68.42 408 64 408zM160 408c-4.422 0-8 3.594-8 8v88c0 4.406 3.578 8 7.1 8S168 508.4 168 504V416C168 411.6 164.4 408 160 408zM256 408c-4.422 0-8 3.594-8 8v88C248 508.4 251.6 512 256 512s8-3.594 8-8V416C264 411.6 260.4 408 256 408zM352 408c-4.422 0-8 3.594-8 8v88c0 4.406 3.578 8 8 8s8-3.594 8-8V416C360 411.6 356.4 408 352 408zM448 408c-4.422 0-8 3.594-8 8v88c0 4.406 3.578 8 8 8s8-3.594 8-8V416C456 411.6 452.4 408 448 408z"],
    "shrimp": [512, 512, [129424], "e448", "M192.3 176C183.5 176 176.3 183.2 176.3 192c0 8.836 7.174 16 16.03 16c8.85 0 16.02-7.164 16.02-16C208.3 183.2 201.2 176 192.3 176zM511.2 286.7C502.7 198.3 422.8 128.9 328.9 128c-.1523-.0078-272.8 0-272.8 0C33.99 128 16.03 110.1 16.03 88S33.99 48 56.09 48h383.9C444.4 48 448 44.42 448 40S444.4 32 439.1 32H56.09C25.16 32 0 57.13 0 88S25.16 144 56.09 144H64c4.238 97.32 84.65 175.3 183.2 175.3h99.66c20.85 0 37.78 16.92 37.78 37.72c0 11.11-4.852 21.59-13.37 28.77c-8.449 7.188-19.65 10.3-30.58 8.438L233.3 376.5c-3.568-.5938-7.074 1.266-8.576 4.516c-1.533 3.266-.6875 7.141 2.066 9.469l48.26 41l-47.73 34.03c-2.816 2.031-4.037 5.641-2.973 8.953S228.5 480 232 480h102.3c50.02 0 98.06-21.27 131.8-58.34C499.9 384.5 515.9 336.6 511.2 286.7zM478.4 374.8l-43.19-14.38c-4.133-1.375-8.732 .8906-10.14 5.062c-1.408 4.188 .875 8.719 5.07 10.12l40.32 13.42c-4.869 7.568-9.945 15.05-16.16 21.88c-24.74 27.17-58.57 44.41-94.31 50.34V432c0-4.422-3.6-8-8.012-8c-4.414 0-8.014 3.578-8.014 8v30.92C340.5 463.1 337.8 464 334.3 464h-77.31l35.74-25.48c2.002-1.438 3.223-3.719 3.35-6.172c.0938-2.469-.9395-4.844-2.818-6.438l-34.05-28.92l78.78 12.98c15.62 2.578 31.49-1.766 43.6-12.02c12.08-10.22 18.1-25.16 18.1-40.97c0-29.62-24.13-53.72-53.8-53.72H247.2c-89.7 0-163.2-70.73-167.4-159.3H320V256c0 4.422 3.6 8 8.012 8c4.414 0 8.014-3.578 8.014-8V144.9c56.79 3.078 107.2 33.1 135.4 77.14l-44.42 44.35c-3.129 3.125-3.129 8.188 0 11.31C428.6 279.2 430.6 280 432.7 280c2.064 0 4.1-.7813 5.664-2.344l41.47-41.41c8.039 16.12 13.63 33.52 15.4 52.02C498.1 318.8 491.8 348.3 478.4 374.8z"],
    "shuffle": [512, 512, [128256, "random"], "f074", "M429.7 298.3c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31L484.7 376H336c-7.531 0-14.69-3.594-19.19-9.625l-38.41-51.19c-2.656-3.531-7.688-4.156-11.22-1.594c-3.531 2.656-4.25 7.688-1.594 11.22L304 375.1C311.5 386 323.5 392 336 392h148.7l-66.34 66.34c-3.125 3.125-3.125 8.188 0 11.31C419.9 471.2 421.9 472 424 472s4.094-.7813 5.656-2.344l80-80c3.125-3.125 3.125-8.188 0-11.31L429.7 298.3zM336 136h148.7l-66.34 66.34c-3.125 3.125-3.125 8.188 0 11.31C419.9 215.2 421.9 216 424 216s4.094-.7813 5.656-2.344l80-80c3.125-3.125 3.125-8.188 0-11.31l-80-80c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31L484.7 120H336c-12.53 0-24.5 6-32 16l-172.8 230.4C126.7 372.4 119.5 376 112 376H8C3.594 376 0 379.6 0 384s3.594 8 8 8H112c12.53 0 24.5-6 32-16l172.8-230.4C321.3 139.6 328.5 136 336 136zM8 136H112c7.531 0 14.69 3.594 19.19 9.625l38.41 51.19C171.2 198.9 173.6 200 176 200c1.688 0 3.375-.5313 4.812-1.594c3.531-2.656 4.25-7.688 1.594-11.22L144 136C136.5 126 124.5 120 112 120H8C3.594 120 0 123.6 0 128S3.594 136 8 136z"],
    "shutters": [512, 512, [], "e449", "M486.6 117C484.9 112.8 480.2 110.8 476 112.4c-4.191 1.633-6.271 6.367-4.639 10.56l20.67 52.86H19.97l20.67-52.86C42.27 118.8 40.19 114 36 112.4C31.81 110.8 27.07 112.8 25.44 117L4.672 170.1C.5117 180.7 8.352 192.2 19.71 192.2h472.6c11.36 0 19.2-11.46 15.04-22.05L486.6 117zM486.6 405c-1.633-4.191-6.367-6.271-10.56-4.607c-4.191 1.633-6.271 6.367-4.639 10.56l20.67 52.86H19.97l20.67-52.86C42.27 406.8 40.19 402 36 400.4c-4.191-1.664-8.928 .416-10.56 4.607L4.672 458.1c-4.16 10.59 3.68 22.05 15.04 22.05h472.6c11.36 0 19.2-11.46 15.04-22.05L486.6 405zM32 96h448c17.66 0 32-14.34 32-32s-14.34-32-32-32H32C14.34 32 0 46.34 0 64S14.34 96 32 96zM32 48h448c8.832 0 16 7.168 16 16S488.8 80 480 80H32C23.17 80 16 72.83 16 64S23.17 48 32 48zM486.6 213C484.9 208.8 480.2 206.8 476 208.4c-4.191 1.633-6.271 6.367-4.639 10.56l20.67 52.86H19.97l20.67-52.86C42.27 214.8 40.19 210 36 208.4C31.81 206.8 27.07 208.8 25.44 213L4.672 266.1C.5117 276.7 8.352 288.2 19.71 288.2h472.6c11.36 0 19.2-11.46 15.04-22.05L486.6 213zM486.6 309C484.9 304.8 480.2 302.8 476 304.4c-4.191 1.633-6.271 6.367-4.639 10.56l20.67 52.86H19.97l20.67-52.86C42.27 310.8 40.19 306 36 304.4C31.81 302.8 27.07 304.8 25.44 309L4.672 362.1c-4.16 10.59 3.68 22.05 15.04 22.05h472.6c11.36 0 19.2-11.46 15.04-22.05L486.6 309z"],
    "shuttle-space": [640, 512, ["space-shuttle"], "f197", "M496 224V288C496 292.4 492.4 296 488 296C483.6 296 480 292.4 480 288V224C480 219.6 483.6 216 488 216C492.4 216 496 219.6 496 224zM405.3 352L245.2 448.1C210.4 468.1 170.6 480 129.1 480H80C53.49 480 32 458.5 32 432V384C14.33 384 0 369.7 0 352V160C0 142.3 14.33 128 32 128V80C32 53.49 53.49 32 80 32H129.1C170.6 32 210.4 43.03 245.2 63.92L405.3 160H456C516.5 160 584.5 191.4 626.4 236.8C636.4 247.7 636.4 264.3 626.4 275.2C584.5 320.6 516.5 352 456 352L405.3 352zM374.2 352H189.3C183.8 352 178.1 355.1 173.2 360.5C163.5 371.2 150.6 378.9 135.1 382.2V463.9C171.6 462.9 206.4 452.7 236.1 434.4L374.2 352zM47.1 432C47.1 449.7 62.33 464 79.1 464H119.1V384H47.1V432zM374.2 160L236.1 77.64C206.4 59.28 171.6 49.12 135.1 48.09V129.8C150.6 133.1 163.5 140.8 173.2 151.5C178.1 156.9 183.8 160 189.3 160L374.2 160zM47.1 80V128H119.1V48H79.1C62.33 48 47.1 62.33 47.1 80zM15.1 248H183.1C188.4 248 191.1 251.6 191.1 256C191.1 260.4 188.4 264 183.1 264H15.1V352C15.1 360.8 23.16 368 31.1 368H119.1C136.4 368 151.1 360.1 161.4 349.8C167.1 342.5 177.6 336 189.3 336H456C511.7 336 575.6 306.7 614.6 264.4C618.1 259.6 618.1 252.4 614.6 247.6C575.6 205.3 511.7 176 456 176H189.3C177.6 176 167.1 169.5 161.4 162.3C151.1 151 136.4 144 119.1 144H31.1C23.16 144 15.1 151.2 15.1 160V248z"],
    "shuttlecock": [512, 512, [], "f45b", "M504 224h-90.91c-3.094 0-5.906 1.781-7.219 4.562l-58.07 121.7l-98.09 44.82L188.1 334.3l71.42-71.42l126.4-47.4c2.375-.9062 4.188-2.875 4.875-5.312l32-112c.8125-2.781 .0313-5.781-2.031-7.844s-5.031-2.875-7.844-2.031l-112 32c-2.438 .6875-4.406 2.5-5.312 4.875L249.1 251.6L177.7 323L116.9 262.3L161.7 164.3l121.8-58.13c2.781-1.312 4.562-4.125 4.562-7.219V8c0-4.406-3.644-8-8.05-8H224.2C221 0 218.2 1.844 216.9 4.688L100.7 259.4l-69.26 69.26c-41.88 41.88-41.88 110 0 151.9C52.35 501.5 79.88 512 107.4 512s55.04-10.47 75.97-31.41l69.27-69.27l254.7-116.4C510.2 293.6 512 290.8 512 287.7V232C512 227.6 508.4 224 504 224zM310.1 134.6l94.29-26.94l-26.94 94.29l-107.8 40.41L310.1 134.6zM229.3 16h42.66v77.88L172 141.6L229.3 16zM172 469.3c-35.69 35.63-93.69 35.63-129.3 0c-35.63-35.66-35.63-93.69 0-129.3l14.94-14.94l129.3 129.3L172 469.3zM198.3 443L68.97 313.7l38.38-38.38l129.3 129.3L198.3 443zM495.1 282.5l-125.5 57.35l47.66-99.88h77.88V282.5z"],
    "sickle": [512, 512, [], "f822", "M511.7 153.1C501 100.2 446.1 0 318.7 0C229.1 0 152.8 61.41 133.3 149.3C122.7 196.9 134.5 249.1 165.4 292.7C167.1 296.3 172.1 297.1 176.6 294.5c3.594-2.562 4.438-7.562 1.875-11.19C150.1 243.5 139.3 195.9 148.9 152.8c17.88-80.54 87.72-136.8 169.8-136.8c117.9 0 167.5 91.75 177.7 140c-13-17.13-29.22-31.03-48.13-41.22c-45.22-24.88-102.9-23.35-147 3.969c-66.5 41.03-88.19 123.7-51.1 190.5l-29.66 29.03c-3.156 3.094-3.219 8.156-.125 11.31c1.562 1.594 3.656 2.406 5.719 2.406c2.033 0 4.033-.75 5.596-2.281l34.13-33.41c2.658-2.625 3.189-6.719 1.219-9.906c-36.81-60.13-18.09-136.6 42.63-174c39.28-24.35 90.69-25.78 130.1-3.562c16.94 9.156 31.41 21.56 43.06 36.88c4.5 5.938 12.22 7.906 18.94 4.75C509.5 167.4 513.1 160.4 511.7 153.1zM196.5 377.3C196.5 377.3 196.6 377.3 196.5 377.3S196.6 377.3 196.5 377.3L117.6 298.4c-3.156-3.156-8.219-3.094-11.31 0c-3.127 3.125-3.127 8.189 0 11.31l11.4 11.38l-106.8 106.8c-14.47 14.5-14.47 38.07 0 52.57l20.63 20.63C38.73 508.4 48.26 512 57.76 512c9.533 0 19.03-3.594 26.28-10.84L190.9 394.3l11.44 11.43c1.562 1.562 3.625 2.344 5.656 2.344c2.062 0 4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.189 0-11.31L196.5 377.3zM72.73 489.8c-8.25 8.189-21.69 8.252-29.94 0L22.17 469.2c-8.221-8.252-8.221-21.69 0-29.94l106.8-106.8l50.58 50.52L72.73 489.8z"],
    "sidebar": [512, 512, [], "e24e", "M152 96C156.4 96 160 99.58 160 104C160 108.4 156.4 112 152 112H72C67.58 112 64 108.4 64 104C64 99.58 67.58 96 72 96H152zM64 168C64 163.6 67.58 160 72 160H152C156.4 160 160 163.6 160 168C160 172.4 156.4 176 152 176H72C67.58 176 64 172.4 64 168zM152 224C156.4 224 160 227.6 160 232C160 236.4 156.4 240 152 240H72C67.58 240 64 236.4 64 232C64 227.6 67.58 224 72 224H152zM448 32C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448zM448 48H224V464H448C474.5 464 496 442.5 496 416V96C496 69.49 474.5 48 448 48zM16 96V416C16 442.5 37.49 464 64 464H208V48H64C37.49 48 16 69.49 16 96z"],
    "sidebar-flip": [512, 512, [], "e24f", "M440 96C444.4 96 448 99.58 448 104C448 108.4 444.4 112 440 112H360C355.6 112 352 108.4 352 104C352 99.58 355.6 96 360 96H440zM440 176H360C355.6 176 352 172.4 352 168C352 163.6 355.6 160 360 160H440C444.4 160 448 163.6 448 168C448 172.4 444.4 176 440 176zM440 224C444.4 224 448 227.6 448 232C448 236.4 444.4 240 440 240H360C355.6 240 352 236.4 352 232C352 227.6 355.6 224 360 224H440zM448 32C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448zM16 96V416C16 442.5 37.49 464 64 464H288V48H64C37.49 48 16 69.49 16 96zM448 48H304V464H448C474.5 464 496 442.5 496 416V96C496 69.49 474.5 48 448 48z"],
    "sigma": [384, 512, [8721], "f68b", "M352 136V64H25.31l172.8 186.8c2.531 3 2.531 7.375 0 10.38L25.31 448H352v-72c0-4.406 3.594-8 8-8s8 3.594 8 8v80c0 4.406-3.594 8-8 8H7.996c-3.125 0-5.969-1.812-7.25-4.656c-1.312-2.812-.875-6.156 1.156-8.531L181.5 256L1.902 61.19C-.1289 58.81-.5664 55.47 .7461 52.66C2.027 49.81 4.871 48 7.996 48H360c4.406 0 8 3.594 8 8v80c0 4.406-3.594 8-8 8S352 140.4 352 136z"],
    "sign-hanging": [512, 512, ["sign"], "f4d9", "M72 0C76.42 0 80 3.582 80 8V64H504C508.4 64 512 67.58 512 72C512 76.42 508.4 80 504 80H80V504C80 508.4 76.42 512 72 512C67.58 512 64 508.4 64 504V80H8C3.582 80 0 76.42 0 72C0 67.58 3.582 64 8 64H64V8C64 3.582 67.58 0 72 0zM128 160C128 142.3 142.3 128 160 128H448C465.7 128 480 142.3 480 160V352C480 369.7 465.7 384 448 384H160C142.3 384 128 369.7 128 352V160zM144 160V352C144 360.8 151.2 368 160 368H448C456.8 368 464 360.8 464 352V160C464 151.2 456.8 144 448 144H160C151.2 144 144 151.2 144 160z"],
    "signal": [576, 512, [128246, "signal-5", "signal-perfect"], "f012", "M288 192C283.6 192 280 195.6 280 200v304C280 508.4 283.6 512 288 512s8-3.594 8-8v-304C296 195.6 292.4 192 288 192zM32 384C27.59 384 24 387.6 24 392v112c0 4.406 3.594 8 7.1 8S40 508.4 40 504v-112C40 387.6 36.41 384 32 384zM160 288C155.6 288 152 291.6 152 296v208C152 508.4 155.6 512 160 512s8-3.594 8-8v-208C168 291.6 164.4 288 160 288zM416 96c-4.406 0-8 3.594-8 8v400c0 4.406 3.594 8 8 8s8-3.594 8-8V104C424 99.59 420.4 96 416 96zM544 0c-4.406 0-8 3.594-8 8v496c0 4.406 3.594 8 8 8s8-3.594 8-8V8C552 3.594 548.4 0 544 0z"],
    "signal-bars": [640, 512, ["signal-alt", "signal-alt-4", "signal-bars-strong"], "f690", "M96 384H64c-17.62 0-32 14.38-32 32v64c0 17.62 14.38 32 32 32h32c17.62 0 32-14.38 32-32v-64C128 398.4 113.6 384 96 384zM112 480c0 8.822-7.178 16-16 16H64c-8.822 0-16-7.178-16-16v-64c0-8.822 7.178-16 16-16h32c8.822 0 16 7.178 16 16V480zM256 256H224C206.4 256 192 270.4 192 288v192c0 17.62 14.38 32 32 32h32c17.62 0 32-14.38 32-32V288C288 270.4 273.6 256 256 256zM272 480c0 8.822-7.178 16-16 16H224c-8.822 0-16-7.178-16-16V288c0-8.822 7.178-16 16-16h32c8.822 0 16 7.178 16 16V480zM416 128h-32c-17.62 0-32 14.38-32 32v320c0 17.62 14.38 32 32 32h32c17.62 0 32-14.38 32-32V160C448 142.4 433.6 128 416 128zM432 480c0 8.822-7.178 16-16 16h-32c-8.822 0-16-7.178-16-16V160c0-8.822 7.178-16 16-16h32c8.822 0 16 7.178 16 16V480zM576 0h-32c-17.62 0-32 14.38-32 32v448c0 17.62 14.38 32 32 32h32c17.62 0 32-14.38 32-32V32C608 14.38 593.6 0 576 0zM592 480c0 8.822-7.178 16-16 16h-32c-8.822 0-16-7.178-16-16V32c0-8.822 7.178-16 16-16h32c8.822 0 16 7.178 16 16V480z"],
    "signal-bars-fair": [576, 512, ["signal-alt-2"], "f692", "M64 384H32c-17.62 0-32 14.38-32 32v64c0 17.62 14.38 32 32 32h32c17.62 0 32-14.38 32-32v-64C96 398.4 81.63 384 64 384zM80 480c0 8.822-7.178 16-16 16H32c-8.822 0-16-7.178-16-16v-64c0-8.822 7.178-16 16-16h32c8.822 0 16 7.178 16 16V480zM224 256H192C174.4 256 160 270.4 160 288v192c0 17.62 14.38 32 32 32h32c17.62 0 32-14.38 32-32V288C256 270.4 241.6 256 224 256zM240 480c0 8.822-7.178 16-16 16H192c-8.822 0-16-7.178-16-16V288c0-8.822 7.178-16 16-16h32c8.822 0 16 7.178 16 16V480z"],
    "signal-bars-good": [576, 512, ["signal-alt-3"], "f693", "M64 384H32c-17.62 0-32 14.38-32 32v64c0 17.62 14.38 32 32 32h32c17.62 0 32-14.38 32-32v-64C96 398.4 81.63 384 64 384zM80 480c0 8.822-7.178 16-16 16H32c-8.822 0-16-7.178-16-16v-64c0-8.822 7.178-16 16-16h32c8.822 0 16 7.178 16 16V480zM224 256H192C174.4 256 160 270.4 160 288v192c0 17.62 14.38 32 32 32h32c17.62 0 32-14.38 32-32V288C256 270.4 241.6 256 224 256zM240 480c0 8.822-7.178 16-16 16H192c-8.822 0-16-7.178-16-16V288c0-8.822 7.178-16 16-16h32c8.822 0 16 7.178 16 16V480zM384 128h-32c-17.62 0-32 14.38-32 32v320c0 17.62 14.38 32 32 32h32c17.62 0 32-14.38 32-32V160C416 142.4 401.6 128 384 128zM400 480c0 8.822-7.178 16-16 16h-32c-8.822 0-16-7.178-16-16V160c0-8.822 7.178-16 16-16h32c8.822 0 16 7.178 16 16V480z"],
    "signal-bars-slash": [640, 512, ["signal-alt-slash"], "f694", "M432 480c0 8.822-7.178 16-16 16h-32c-8.822 0-16-7.178-16-16v-93.87L352 373.4L352 480c0 17.62 14.38 32 32 32h32c17.62 0 32-14.38 32-32L448 449.7l-16-12.72V480zM636.1 497.7L12.99 1.73C11.53 .5664 9.773 0 8.027 0C5.676 0 3.336 1.029 1.738 3.012c-2.75 3.469-2.172 8.5 1.281 11.25l623.1 496C628.5 511.4 630.2 512 631.1 512c2.344 0 4.688-1.031 6.266-3.016C641 505.5 640.4 500.5 636.1 497.7zM528 32c0-8.822 7.178-16 16-16h32c8.822 0 16 7.178 16 16v348.2l16 12.72L608 32c0-17.62-14.38-32-32-32h-32c-17.62 0-32 14.38-32 32L512 316.6l16 12.72V32zM368 160c0-8.822 7.178-16 16-16h32c8.822 0 16 7.178 16 16v93.04L448 265.8L448 160c0-17.62-14.38-32-32-32h-32c-17.62 0-32 14.38-32 32L352 189.5l16 12.72V160zM272 480c0 8.822-7.178 16-16 16H224c-8.822 0-16-7.178-16-16V288c0-8.822 7.178-16 16-16h.4141L209.3 260C199.2 265.4 192 275.7 192 288v192c0 17.62 14.37 32 31.1 32h32c17.62 0 32-14.38 32-32L288 322.6L272 309.8V480zM96 384H64c-17.62 0-32 14.38-32 32v64c0 17.62 14.38 32 32 32H96c17.62 0 32-14.38 32-32v-64C128 398.4 113.6 384 96 384zM112 480c0 8.822-7.178 16-16 16h-32c-8.822 0-16-7.178-16-16v-64c0-8.822 7.178-16 16-16h32c8.822 0 16 7.178 16 16V480z"],
    "signal-bars-weak": [576, 512, ["signal-alt-1"], "f691", "M64 384H32c-17.62 0-32 14.38-32 32v64c0 17.62 14.38 32 32 32h32c17.62 0 32-14.38 32-32v-64C96 398.4 81.63 384 64 384zM80 480c0 8.822-7.178 16-16 16H32c-8.822 0-16-7.178-16-16v-64c0-8.822 7.178-16 16-16h32c8.822 0 16 7.178 16 16V480z"],
    "signal-fair": [576, 512, ["signal-2"], "f68d", "M32 384C27.59 384 24 387.6 24 392v112c0 4.406 3.594 8 7.1 8S40 508.4 40 504v-112C40 387.6 36.41 384 32 384zM160 288C155.6 288 152 291.6 152 296v208C152 508.4 155.6 512 160 512s8-3.594 8-8v-208C168 291.6 164.4 288 160 288z"],
    "signal-good": [576, 512, ["signal-3"], "f68e", "M32 384C27.59 384 24 387.6 24 392v112c0 4.406 3.594 8 7.1 8S40 508.4 40 504v-112C40 387.6 36.41 384 32 384zM288 192C283.6 192 280 195.6 280 200v304C280 508.4 283.6 512 288 512s8-3.594 8-8v-304C296 195.6 292.4 192 288 192zM160 288C155.6 288 152 291.6 152 296v208C152 508.4 155.6 512 160 512s8-3.594 8-8v-208C168 291.6 164.4 288 160 288z"],
    "signal-slash": [640, 512, [], "f695", "M64 383.1c-4.406 0-8 3.596-8 8.002v112c0 4.406 3.594 7.997 8 7.997S72 508.4 72 504v-112C72 387.6 68.41 383.1 64 383.1zM456 104C456 99.59 452.4 96 448 96s-8 3.594-8 8v155.4l16 12.72V104zM584 8c0-4.406-3.595-8-8.001-8S568 3.594 568 8v353.1l16 12.72V8zM312 504C312 508.4 315.6 512 320 512s8-3.594 8-8v-149.7l-16-12.72V504zM192 287.1c-4.406 0-8 3.595-8 8.002v208c0 4.406 3.594 7.997 8 7.997S200 508.4 200 504v-208C200 291.6 196.4 287.1 192 287.1zM636.1 497.7L12.99 1.73C11.53 .5664 9.773 0 8.027 0C5.676 0 3.336 1.029 1.738 3.012c-2.75 3.469-2.172 8.5 1.281 11.25l623.1 496C628.5 511.4 630.2 512 631.1 512c2.344 0 4.688-1.031 6.266-3.016C641 505.5 640.4 500.5 636.1 497.7zM440 504c0 4.406 3.594 8 8 8s8-3.594 8-8v-47.92l-16-12.72V504z"],
    "signal-stream": [576, 512, [], "f8dd", "M288 216c-22.06 0-40.02 17.94-40.02 39.1S265.9 296 288 296s40.02-17.94 40.02-39.1S310.1 216 288 216zM288 279.1c-13.23 0-24-10.78-24-23.1c0-13.22 10.77-24 24-24s24 10.78 24 24C312 269.2 301.2 279.1 288 279.1zM95.67 52.34c-3.125-3.125-8.188-3.125-11.31 0C29.95 106.7 0 179.1 0 256s29.95 149.2 84.36 203.7c1.562 1.562 3.609 2.344 5.656 2.344s4.094-.7815 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31C44.3 396.1 16 328.7 16 255.1S44.3 115 95.67 63.66C98.8 60.53 98.8 55.47 95.67 52.34zM491.6 52.34c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31C531.7 115 560 183.3 560 255.1s-28.3 140.1-79.67 192.3c-3.125 3.125-3.125 8.188 0 11.31c1.562 1.562 3.609 2.344 5.656 2.344s4.094-.7815 5.656-2.344C546 405.2 576 332.9 576 256S546 106.7 491.6 52.34zM174.9 131.6c-3.125-3.125-8.188-3.125-11.31 0C130.3 164.8 112 208.1 112 255.1s18.3 91.22 51.55 124.4c1.562 1.563 3.609 2.344 5.656 2.344s4.094-.781 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31C144.6 338.9 128 298.8 128 256s16.64-82.91 46.86-113.1C177.1 139.7 177.1 134.7 174.9 131.6zM401.1 131.6c-3.125 3.125-3.125 8.188 0 11.31C431.4 173.1 448 213.3 448 256s-16.64 82.9-46.86 113.1c-3.125 3.125-3.125 8.188 0 11.31c1.562 1.563 3.609 2.344 5.656 2.344s4.094-.781 5.656-2.344C445.7 347.2 464 302.1 464 255.1s-18.3-91.22-51.55-124.4C409.3 128.4 404.3 128.4 401.1 131.6z"],
    "signal-stream-slash": [640, 512, [], "e250", "M480 256c0 11.06-1.213 21.92-3.389 32.5l13.41 10.66C493.6 285.2 496 270.8 496 256c0-47-18.3-91.22-51.55-124.4c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31C463.4 173.1 480 213.3 480 256zM592 256c0 37.36-7.602 73.51-21.85 106.9l12.86 10.22C599.2 336.7 608 297.1 608 256c0-76.94-29.95-149.3-84.36-203.7c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31C563.7 115 592 183.3 592 256zM160 256c0-11.07 1.215-21.93 3.393-32.52L149.1 212.8C146.4 226.8 144 241.2 144 256c0 47 18.3 91.22 51.55 124.4c1.562 1.562 3.609 2.344 5.656 2.344S205.3 382 206.9 380.4c3.125-3.125 3.125-8.188 0-11.31C176.6 338.9 160 298.8 160 256zM48 256c0-37.36 7.602-73.52 21.86-106.9L57 138.9C40.78 175.3 32 214.9 32 256c0 76.94 29.95 149.2 84.36 203.7C117.9 461.2 119.1 462 122 462s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31C76.3 396.1 48 328.7 48 256zM636.1 497.7L12.99 1.73C11.53 .5664 9.773 0 8.027 0C5.676 0 3.336 1.029 1.738 3.012c-2.75 3.469-2.172 8.5 1.281 11.25l623.1 496C628.5 511.4 630.2 512 631.1 512c2.344 0 4.688-1.031 6.266-3.016C641 505.5 640.4 500.5 636.1 497.7z"],
    "signal-strong": [576, 512, ["signal-4"], "f68f", "M32 384C27.59 384 24 387.6 24 392v112c0 4.406 3.594 8 7.1 8S40 508.4 40 504v-112C40 387.6 36.41 384 32 384zM160 288C155.6 288 152 291.6 152 296v208C152 508.4 155.6 512 160 512s8-3.594 8-8v-208C168 291.6 164.4 288 160 288zM416 96c-4.406 0-8 3.594-8 8v400c0 4.406 3.594 8 8 8s8-3.594 8-8V104C424 99.59 420.4 96 416 96zM288 192C283.6 192 280 195.6 280 200v304C280 508.4 283.6 512 288 512s8-3.594 8-8v-304C296 195.6 292.4 192 288 192z"],
    "signal-weak": [576, 512, ["signal-1"], "f68c", "M32 384C27.59 384 24 387.6 24 392v112c0 4.406 3.594 8 7.1 8S40 508.4 40 504v-112C40 387.6 36.41 384 32 384z"],
    "signature": [640, 512, [], "f5b7", "M144 160C144 164.4 140.4 168 136 168C131.6 168 128 164.4 128 160V120C128 71.4 167.4 32 216 32C264.6 32 304 71.4 304 120V135.9C304 160.1 302.2 186.1 298.6 210.9L469.7 160.3C472.9 159.4 476.4 160.5 478.4 163.2C480.4 165.8 480.5 169.4 478.8 172.2L406.4 287.1H568C572.4 287.1 576 291.6 576 295.1C576 300.4 572.4 303.1 568 303.1H392C389.1 303.1 386.4 302.4 385 299.9C383.6 297.3 383.7 294.2 385.2 291.8L454 181.6L295.7 228.4C294.5 235.2 293.1 241.9 291.6 248.5L286.8 270.3C276.7 315.8 260.5 359.6 238.7 400.8L211.7 451.8C202.6 469.2 184.6 480 164.9 480C135.7 480 112 456.3 112 427.1V319.8C112 287.9 133 259.8 163.6 250.8L281.6 215.9C285.9 189.5 288 162.7 288 135.9V120C288 80.24 255.8 48 216 48C176.2 48 144 80.24 144 120L144 160zM128 319.8V427.1C128 447.5 144.5 464 164.9 464C178.6 464 191.2 456.4 197.6 444.3L224.6 393.3C245.7 353.4 261.4 310.9 271.2 266.8L276 245.1C276.9 241.2 277.7 237.4 278.4 233.5L168.1 266.1C144.3 273.2 128 295 128 319.8V319.8zM56 368C60.42 368 64 371.6 64 376C64 380.4 60.42 384 56 384H8C3.582 384 0 380.4 0 376C0 371.6 3.582 368 8 368H56zM632 368C636.4 368 640 371.6 640 376C640 380.4 636.4 384 632 384H328C323.6 384 320 380.4 320 376C320 371.6 323.6 368 328 368H632z"],
    "signature-lock": [640, 512, [], "e3ca", "M103.1 48C64.24 48 31.1 80.24 31.1 120V160C31.1 164.4 28.42 168 23.1 168C19.58 168 15.1 164.4 15.1 160V120C15.1 71.4 55.4 32 103.1 32C152.6 32 191.1 71.4 191.1 120V135.9C191.1 160.1 190.2 186.1 186.6 210.9L357.7 160.3C360.9 159.4 364.4 160.5 366.4 163.2C368.4 165.8 368.5 169.4 366.8 172.2L294.4 287.1H408C412.4 287.1 416 291.6 416 295.1C416 300.4 412.4 303.1 408 303.1H280C277.1 303.1 274.4 302.4 273 299.9C271.6 297.3 271.7 294.2 273.2 291.8L342 181.6L183.7 228.4C182.5 235.2 181.1 241.9 179.6 248.5L174.8 270.3C164.7 315.8 148.5 359.6 126.7 400.8L99.73 451.8C90.56 469.2 72.55 480 52.94 480C23.7 480 0 456.3 0 427.1V319.8C0 287.9 20.1 259.8 51.6 250.8L169.6 215.9C173.9 189.5 176 162.7 176 135.9V120C176 80.24 143.8 48 104 48H103.1zM166.4 233.5L56.13 266.1C32.33 273.2 16 295 16 319.8V427.1C16 447.5 32.54 464 52.94 464C66.62 464 79.19 456.4 85.59 444.3L112.6 393.3C133.7 353.4 149.4 310.9 159.2 266.8L164 245.1C164.9 241.2 165.7 237.4 166.4 233.5V233.5zM207.1 376C207.1 371.6 211.6 368 215.1 368H376C380.4 368 384 371.6 384 376C384 380.4 380.4 384 376 384H215.1C211.6 384 207.1 380.4 207.1 376zM528 192C563.3 192 592 220.7 592 256V320H608C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320H464V256C464 220.7 492.7 192 528 192zM528 208C501.5 208 480 229.5 480 256V320H576V256C576 229.5 554.5 208 528 208zM432 352V480C432 488.8 439.2 496 448 496H608C616.8 496 624 488.8 624 480V352C624 343.2 616.8 336 608 336H448C439.2 336 432 343.2 432 352z"],
    "signature-slash": [640, 512, [], "e3cb", "M636.1 497.7C640.4 500.5 641 505.5 638.3 508.1C635.5 512.4 630.5 513 627 510.3L3.022 14.26C-.4365 11.51-1.012 6.481 1.738 3.022C4.487-.4365 9.52-1.012 12.98 1.738L636.1 497.7zM598.3 384L578.1 368H632C636.4 368 640 371.6 640 376C640 380.4 636.4 384 632 384H598.3zM238.7 400.8L211.7 451.8C202.6 469.2 184.6 480 164.9 480C135.7 480 112 456.3 112 427.1V319.8C112 287.9 133 259.8 163.6 250.8L188 243.6L203.4 255.7L168.1 266.1C144.3 273.2 128 295 128 319.8V427.1C128 447.5 144.5 464 164.9 464C178.6 464 191.2 456.4 197.6 444.3L224.6 393.3C240.1 364.1 252.6 333.5 262 301.1L275.5 312.6C265.1 343 253.7 372.6 238.7 400.8L238.7 400.8zM304 120V135.9C304 141.1 303.9 146.3 303.8 151.5L287.1 138.1C287.1 137.1 288 136.9 288 135.9V120C288 80.24 255.8 48 216 48C204.1 48 192.8 50.9 182.9 56.04L169.4 45.35C182.9 36.89 198.9 32 216 32C264.6 32 304 71.4 304 120H304zM478.4 163.2C480.4 165.8 480.5 169.4 478.8 172.2L429.7 250.8L417 240.9L454 181.6L372.5 205.7L357.1 193.6L469.7 160.3C472.9 159.4 476.4 160.5 478.4 163.2H478.4zM496.1 304L476.7 288H568C572.4 288 576 291.6 576 296C576 300.4 572.4 304 568 304H496.1zM56 368C60.42 368 64 371.6 64 376C64 380.4 60.42 384 56 384H8.001C3.582 384 .0006 380.4 .0006 376C.0006 371.6 3.582 368 8.001 368H56z"],
    "signs-post": [512, 512, ["map-signs"], "f277", "M248 8C248 3.582 251.6 0 256 0C260.4 0 264 3.582 264 8V48H440.8C445.4 48 449.7 49.95 452.8 53.37L502.6 109.4C507.9 115.4 507.9 124.6 502.6 130.6L452.8 186.6C449.7 190 445.4 192 440.8 192H264V240H448C465.7 240 480 254.3 480 272V352C480 369.7 465.7 384 448 384H264V504C264 508.4 260.4 512 256 512C251.6 512 248 508.4 248 504V384H71.19C66.62 384 62.26 382 59.23 378.6L9.449 322.6C4.06 316.6 4.06 307.4 9.449 301.4L59.23 245.4C62.26 241.1 66.62 240 71.19 240H248V192H64C46.33 192 32 177.7 32 160V80C32 62.33 46.33 48 64 48H248V8zM440.8 64H64C55.16 64 48 71.16 48 80V160C48 168.8 55.16 176 64 176H440.8L490.6 120L440.8 64zM21.41 312L71.19 368H448C456.8 368 464 360.8 464 352V272C464 263.2 456.8 256 448 256H71.19L21.41 312z"],
    "sim-card": [384, 512, [], "f7c4", "M256 0H64C28.75 0 0 28.75 0 64v384c0 35.25 28.75 64 64 64h256c35.25 0 64-28.75 64-64V128L256 0zM368 448c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V64c0-26.47 21.53-48 48-48h185.4L368 134.6V448zM64 224v192c0 17.75 14.25 32 32 32h192c17.75 0 32-14.25 32-32V224c0-17.75-14.25-32-32-32H96C78.25 192 64 206.3 64 224zM144 432H96c-8.973 0-16-7.029-16-16v-48h64V432zM224 432H160v-64h64V432zM304 416c0 8.971-7.027 16-16 16h-48v-64h64V416zM304 352h-224V288h224V352zM240 208H288c8.973 0 16 7.027 16 16v48h-64V208zM160 208h64v64H160V208zM144 272h-64V224c0-8.973 7.027-16 16-16h48V272z"],
    "sim-cards": [448, 512, [], "e251", "M160 176V320c0 17.75 14.25 32 32 32h160c17.75 0 32-14.25 32-32V176c0-17.75-14.25-32-32-32H192C174.3 144 160 158.3 160 176zM224 336H192c-8.973 0-16-7.029-16-16V288H224V336zM304 336h-64V288h64V336zM368 320c0 8.971-7.027 16-16 16h-32V288h48V320zM368 272h-192V224h192V272zM320 160h32c8.973 0 16 7.027 16 16v32H320V160zM240 160h64v48h-64V160zM224 208H176v-32C176 167 183 160 192 160h32V208zM320 0H160C124.8 0 96 28.75 96 64v288c0 35.25 28.75 64 64 64h224c35.25 0 64-28.75 64-64V128L320 0zM432 352c0 26.47-21.53 48-48 48H160c-26.47 0-48-21.53-48-48V64c0-26.47 21.53-48 48-48h153.4L432 134.6V352zM344 448c-4.422 0-8 3.594-8 8c0 22.06-17.94 40-40 40h-224c-30.88 0-56-25.12-56-56v-288c0-22.06 17.94-40 40-40C60.42 112 64 108.4 64 104S60.42 96 56 96C25.13 96 0 121.1 0 152v288C0 479.7 32.3 512 72 512h224c30.88 0 56-25.12 56-56C352 451.6 348.4 448 344 448z"],
    "sink": [512, 512, [], "e06d", "M480 288h-96V264c0-13.22 10.78-24 24-24h64C476.4 240 480 236.4 480 232S476.4 224 472 224h-64c-22.06 0-40 17.94-40 40V288h-104V72c0-30.88 25.12-56 56-56s56 25.12 56 56v48c0 4.406 3.594 7.1 8 7.1S392 124.4 392 120v-48C392 32.31 359.7 0 320 0S248 32.31 248 72V288H144V264C144 241.9 126.1 224 104 224h-64C35.59 224 32 227.6 32 231.1S35.59 240 40 240h64C117.2 240 128 250.8 128 264V288H32c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32h448c17.67 0 32-14.33 32-32C512 302.3 497.7 288 480 288zM480 336H32c-8.822 0-16-7.178-16-16S23.18 304 32 304h448c8.822 0 16 7.178 16 16S488.8 336 480 336zM472 376c-4.406 0-8 3.594-8 8v24c0 48.53-39.47 88-88 88h-240c-48.53 0-88-39.47-88-88V384c0-4.406-3.594-8-8-8S32 379.6 32 384V408C32 465.3 78.66 512 136 512h240c57.34 0 104-46.66 104-104v-23.1C480 379.6 476.4 376 472 376z"],
    "siren": [448, 512, [], "e02d", "M55.03 359.9c4.375 .3125 8.375-2.594 8.906-6.969l23.88-193.8C91.13 132.3 113.8 112 140.5 112h167.1c26.72 0 49.34 20.31 52.66 47.22l23.88 193.8C384.6 357 388 360 392 360c.3125 0 .6562-.0313 .9687-.0625c4.406-.5313 7.5-4.531 6.969-8.906l-23.88-193.8C371.8 122.3 342.3 96 307.5 96H140.5C105.7 96 76.22 122.3 71.94 157.3l-23.88 193.8C47.53 355.4 50.63 359.4 55.03 359.9zM143.9 157.3l-23.88 193.8c-.5313 4.375 2.562 8.375 6.969 8.906C127.3 359.1 127.7 360 128 360c4 0 7.438-2.969 7.938-7.031l23.88-193.8c.5313-4.375-2.562-8.375-6.969-8.906C148.5 149.8 144.5 152.9 143.9 157.3zM416 384H32c-17.67 0-32 14.33-32 32v32c0 17.67 14.33 32 32 32h384c17.67 0 32-14.33 32-32v-32C448 398.3 433.7 384 416 384zM432 448c0 8.822-7.178 16-16 16H32c-8.822 0-16-7.178-16-16v-32c0-8.822 7.178-16 16-16h384c8.822 0 16 7.178 16 16V448z"],
    "siren-on": [640, 512, [], "e02e", "M239.9 157.3l-23.88 193.8c-.5313 4.375 2.562 8.375 6.969 8.906C223.3 359.1 223.7 360 224 360c4 0 7.438-2.969 7.938-7.031l23.88-193.8c.5313-4.375-2.562-8.375-6.969-8.906C244.5 149.8 240.5 152.9 239.9 157.3zM151 359.9c4.375 .3125 8.375-2.594 8.906-6.969l23.88-193.8C187.1 132.3 209.8 112 236.5 112h167.1c26.72 0 49.34 20.31 52.66 47.22l23.88 193.8C480.6 357 484 360 488 360c.3125 0 .6562-.0313 .9687-.0625c4.406-.5313 7.5-4.531 6.969-8.906l-23.88-193.8C467.8 122.3 438.3 96 403.5 96H236.5C201.7 96 172.2 122.3 167.9 157.3l-23.88 193.8C143.5 355.4 146.6 359.4 151 359.9zM512 384H128c-17.67 0-32 14.33-32 32v32c0 17.67 14.33 32 32 32h384c17.67 0 32-14.33 32-32v-32C544 398.3 529.7 384 512 384zM528 448c0 8.822-7.178 16-16 16H128c-8.822 0-16-7.178-16-16v-32c0-8.822 7.178-16 16-16h384c8.822 0 16 7.178 16 16V448zM520 95.97c1.406 0 2.828-.375 4.109-1.125l79.1-48c3.797-2.281 5.031-7.188 2.75-11c-2.266-3.781-7.203-4.938-10.97-2.75l-79.1 48c-3.797 2.281-5.031 7.188-2.75 11C514.6 94.6 517.3 95.97 520 95.97zM632 215.1h-79.1c-4.422 0-8 3.594-8 8s3.578 8 8 8H632c4.422 0 8-3.474 8-7.88S636.4 215.1 632 215.1zM87.1 215.1H8c-4.422 0-8 3.713-8 8.12s3.578 7.88 8 7.88h79.1c4.422 0 8-3.594 8-8S92.42 215.1 87.1 215.1zM115.9 94.85c1.281 .75 2.703 1.125 4.109 1.125c2.703 0 5.359-1.375 6.859-3.875c2.281-3.812 1.047-8.719-2.75-11l-79.1-48C40.34 30.91 35.4 32.07 33.14 35.85c-2.281 3.812-1.047 8.719 2.75 11L115.9 94.85z"],
    "sitemap": [576, 512, [], "f0e8", "M320 32C346.5 32 368 53.49 368 80V144C368 170.5 346.5 192 320 192H296V248H464C486.1 248 504 265.9 504 288V320H528C554.5 320 576 341.5 576 368V432C576 458.5 554.5 480 528 480H464C437.5 480 416 458.5 416 432V368C416 341.5 437.5 320 464 320H488V288C488 274.7 477.3 264 464 264H296V320H320C346.5 320 368 341.5 368 368V432C368 458.5 346.5 480 320 480H256C229.5 480 208 458.5 208 432V368C208 341.5 229.5 320 256 320H280V264H112C98.75 264 88 274.7 88 288V320H112C138.5 320 160 341.5 160 368V432C160 458.5 138.5 480 112 480H48C21.49 480 0 458.5 0 432V368C0 341.5 21.49 320 48 320H72V288C72 265.9 89.91 248 112 248H280V192H256C229.5 192 208 170.5 208 144V80C208 53.49 229.5 32 256 32H320zM320 48H256C238.3 48 224 62.33 224 80V144C224 161.7 238.3 176 256 176H320C337.7 176 352 161.7 352 144V80C352 62.33 337.7 48 320 48zM16 368V432C16 449.7 30.33 464 48 464H112C129.7 464 144 449.7 144 432V368C144 350.3 129.7 336 112 336H48C30.33 336 16 350.3 16 368zM224 368V432C224 449.7 238.3 464 256 464H320C337.7 464 352 449.7 352 432V368C352 350.3 337.7 336 320 336H256C238.3 336 224 350.3 224 368zM432 368V432C432 449.7 446.3 464 464 464H528C545.7 464 560 449.7 560 432V368C560 350.3 545.7 336 528 336H464C446.3 336 432 350.3 432 368z"],
    "skeleton": [512, 512, [], "f620", "M504 184h-240v-80h176C444.4 104 448 100.4 448 96s-3.594-8-8-8h-176v-80C264 3.594 260.4 0 256 0S248 3.594 248 8v80h-176C67.59 88 64 91.59 64 96s3.594 8 8 8h176v80h-240C3.594 184 0 187.6 0 192s3.594 8 8 8h240v80h-176C67.59 280 64 283.6 64 288s3.594 8 8 8h176V352H113.1C85.99 352 64 373.1 64 401.1c0 9.699 2.871 19.18 8.252 27.25l41.16 61.75C122.5 503.8 137.9 512 154.3 512h203.4c16.43 0 31.76-8.209 40.88-21.88l41.17-61.75C445.1 420.3 448 410.8 448 401.1C448 373.1 426 352 398.9 352H264V296h176C444.4 296 448 292.4 448 288s-3.594-8-8-8h-176v-80h240C508.4 200 512 196.4 512 192S508.4 184 504 184zM398.9 368C417.1 368 432 382.9 432 401.1c0 6.562-1.924 12.92-5.562 18.38l-41.17 61.75C379.1 490.5 368.8 496 357.7 496H154.3c-11.1 0-21.4-5.516-27.56-14.75l-41.16-61.75C81.92 414 80 407.7 80 401.1C80 382.9 94.86 368 113.1 368H398.9zM192 464c17.64 0 32-14.36 32-32s-14.36-32-32-32s-32 14.36-32 32S174.4 464 192 464zM192 416c8.838 0 16 7.162 16 16C208 440.8 200.8 448 192 448c-8.836 0-16-7.164-16-16C176 423.2 183.2 416 192 416zM320 464c17.64 0 32-14.36 32-32s-14.36-32-32-32s-32 14.36-32 32S302.4 464 320 464zM320 416c8.838 0 16 7.162 16 16c0 8.836-7.162 16-16 16c-8.836 0-16-7.164-16-16C304 423.2 311.2 416 320 416z"],
    "ski-boot": [512, 512, [], "e3cc", "M504 495.1H480v-122.3c0-13.08-7.967-24.85-20.12-29.71l-139.7-55.89l71.59-278.1c1.094-4.283-1.469-8.658-5.751-9.752c-4.374-1.031-8.656 1.469-9.749 5.75l-6.686 26L134.4 32.08c-30.51 0-56.77 21.52-62.76 51.44L1.264 435.5C-6.656 475.1 23.63 512 64.02 512H504c4.406 0 8-3.594 8-8S508.4 495.1 504 495.1zM87.35 86.57c4.473-22.36 24.27-38.59 47.07-38.59h86.02L199.5 117.8c-22.51 75.07-78.23 133.9-150.7 161.5L87.35 86.57zM464 495.1H64.02c-14.44 0-27.97-6.404-37.12-17.57c-9.152-11.17-12.78-25.69-9.947-39.85L45.16 297.5c81.65-27.62 144.7-92.06 169.6-175.1l22.33-74.41h126.4l-28 112L256 160c-4.406 0-8 3.576-8 7.982c0 4.408 3.594 8.008 8 8.008l75.51-.0059l-27.83 112H232c-4.406 0-8 3.594-8 8s3.594 8 8 8h84.92l137 54.81C460.1 361.2 464 367.1 464 373.7V495.1z"],
    "ski-boot-ski": [640, 512, [], "e3cd", "M140.3 416L448 416c17.67 0 32-14.33 32-31.1V309.6c0-19.62-11.95-37.28-30.17-44.56l-100.7-40.29l16.54-66.85l42.05-147.7c1.219-4.248-1.25-8.654-5.5-9.873C401.4 .1113 400.7 0 399.9 0c-3.443 0-6.628 2.334-7.628 5.848l-7.457 26.19L186.2 32.01c-15.2 0-28.3 10.69-31.35 25.59l-61.53 300.8C87.23 388.1 109.1 416 140.3 416zM170.5 60.82c1.516-7.414 8.107-12.79 15.67-12.79h76.45L249.1 93.06C231.7 151.1 190.4 195.7 138.1 219.2L170.5 60.82zM134.2 238.5c61.52-23.81 110.3-74.3 130.3-140.8L279.3 48.03h100.1l-31.66 111.1H296c-4.406 0-8 3.594-8 8s3.594 8 8 8h48.67l-11.88 47.1H280c-4.406 0-8 3.594-8 8c0 4.404 3.594 7.998 8 7.998l64.05-.0195c.0371 0-.0371 0 0 0l99.84 39.89C456.1 284.8 464 296.4 464 309.6v74.4c0 8.822-7.178 16-16 16H140.3c-9.652 0-18.69-4.289-24.79-11.77c-6.104-7.479-8.494-17.19-6.561-26.64L134.2 238.5zM632 416c-4.406 0-8 3.594-8 8C624 463.7 591.7 496 552 496h-544C3.594 496 0 499.6 0 504S3.594 512 8 512h544c48.53 0 88-39.47 88-87.99C640 419.6 636.4 416 632 416z"],
    "skull": [512, 512, [128128], "f54c", "M224 256C224 291.3 195.3 320 160 320C124.7 320 96 291.3 96 256C96 220.7 124.7 192 160 192C195.3 192 224 220.7 224 256zM160 208C133.5 208 112 229.5 112 256C112 282.5 133.5 304 160 304C186.5 304 208 282.5 208 256C208 229.5 186.5 208 160 208zM288 256C288 220.7 316.7 192 352 192C387.3 192 416 220.7 416 256C416 291.3 387.3 320 352 320C316.7 320 288 291.3 288 256zM352 304C378.5 304 400 282.5 400 256C400 229.5 378.5 208 352 208C325.5 208 304 229.5 304 256C304 282.5 325.5 304 352 304zM144 512C117.5 512 96 490.5 96 464V400C96 399.6 96 399.3 96.01 398.9C37.48 357.8 0 294.7 0 224C0 100.3 114.6 0 256 0C397.4 0 512 100.3 512 224C512 294.7 474.5 357.8 415.1 398.9C415.1 399.3 416 399.6 416 400V464C416 490.5 394.5 512 368 512H144zM496 224C496 111.1 390.6 16 256 16C121.4 16 16 111.1 16 224C16 288.8 50.3 347.3 105.2 385.8C109.6 388.8 112.1 393.9 112 399.2L112 400V464C112 481.7 126.3 496 144 496H184V448C184 443.6 187.6 440 192 440C196.4 440 200 443.6 200 448V496H248V448C248 443.6 251.6 440 256 440C260.4 440 264 443.6 264 448V496H312V448C312 443.6 315.6 440 320 440C324.4 440 328 443.6 328 448V496H368C385.7 496 400 481.7 400 464V400L399.1 399.2C399.9 393.9 402.4 388.9 406.8 385.8C461.7 347.3 496 288.8 496 224V224z"],
    "skull-cow": [640, 512, [], "f8de", "M215.1 255.1C215.1 233.9 233.9 215.1 255.1 215.1C278.1 215.1 295.1 233.9 295.1 255.1C295.1 278.1 278.1 295.1 255.1 295.1C233.9 295.1 215.1 278.1 215.1 255.1zM255.1 231.1C242.7 231.1 231.1 242.7 231.1 255.1C231.1 269.3 242.7 279.1 255.1 279.1C269.3 279.1 279.1 269.3 279.1 255.1C279.1 242.7 269.3 231.1 255.1 231.1zM424 255.1C424 278.1 406.1 295.1 384 295.1C361.9 295.1 344 278.1 344 255.1C344 233.9 361.9 215.1 384 215.1C406.1 215.1 424 233.9 424 255.1zM384 279.1C397.3 279.1 408 269.3 408 255.1C408 242.7 397.3 231.1 384 231.1C370.7 231.1 360 242.7 360 255.1C360 269.3 370.7 279.1 384 279.1zM43.82 16.97C47.23 18.82 48.81 22.85 47.59 26.53L36.45 59.95C33.6 68.49 32.59 77.53 33.49 86.49C36.75 119.1 64.22 143.1 97.03 143.1H172.8C189.4 115.3 220.5 95.1 255.1 95.1H384C419.5 95.1 450.6 115.3 467.2 144H542.1C575.8 144 603.2 119.1 606.5 86.5C607.4 77.54 606.4 68.49 603.5 59.95L592.4 26.53C591.2 22.85 592.8 18.83 596.2 16.97C599.6 15.12 603.8 15.98 606.2 19L613.7 28.33C630.7 49.6 640 76.04 640 103.3V120C640 186.3 586.3 240 520 240H480V288C480 329.8 453.3 365.3 416 378.5L389.7 466.4C381.6 493.5 356.6 512 328.4 512H311.6C283.4 512 258.4 493.5 250.3 466.4L223.1 378.5C186.7 365.3 160 329.8 160 288V239.1H120C53.73 239.1 0 186.3 0 119.1V103.3C0 76.04 9.274 49.6 26.3 28.32L33.75 18.1C36.17 15.97 40.42 15.12 43.82 16.97H43.82zM480 224H520C577.4 224 624 177.4 624 120V103.3C624 97.55 623.5 91.85 622.6 86.24C622.5 86.86 622.5 87.47 622.4 88.09C618.3 128.9 583.1 160 542.1 160H474.5C478.1 170 480 180.8 480 191.1V224zM17.57 88.09C17.51 87.47 17.45 86.86 17.41 86.24C16.47 91.84 15.1 97.54 15.1 103.3V119.1C15.1 177.4 62.56 223.1 119.1 223.1H159.1V192C159.1 180.8 161.9 170 165.5 159.1H97.03C56 159.1 21.65 128.9 17.57 88.09V88.09zM236.9 366.1L265.6 461.8C271.7 482.1 290.4 496 311.6 496H328.4C349.6 496 368.3 482.1 374.4 461.8L403 366.1L410.7 363.4C441.8 352.4 464 322.8 464 287.1V191.1C464 147.8 428.2 111.1 384 111.1H255.1C211.8 111.1 175.1 147.8 175.1 191.1V287.1C175.1 322.8 198.2 352.4 229.3 363.4L236.9 366.1z"],
    "skull-crossbones": [448, 512, [128369, 9760], "f714", "M144 144C144 126.3 158.3 112 176 112C193.7 112 208 126.3 208 144C208 161.7 193.7 176 176 176C158.3 176 144 161.7 144 144zM176 128C167.2 128 160 135.2 160 144C160 152.8 167.2 160 176 160C184.8 160 192 152.8 192 144C192 135.2 184.8 128 176 128zM240 144C240 126.3 254.3 112 272 112C289.7 112 304 126.3 304 144C304 161.7 289.7 176 272 176C254.3 176 240 161.7 240 144zM272 160C280.8 160 288 152.8 288 144C288 135.2 280.8 128 272 128C263.2 128 256 135.2 256 144C256 152.8 263.2 160 272 160zM272 288H176C158.3 288 144 273.7 144 256V234.4C105.4 211.5 80 172.4 80 128C80 57.31 144.5 0 224 0C303.5 0 368 57.31 368 128C368 172.4 342.6 211.5 304 234.4V256C304 273.7 289.7 288 272 288zM352 128C352 67.86 296.5 16 224 16C151.5 16 96 67.86 96 128C96 165.9 117.7 200.2 152.2 220.7C157 223.6 160 228.8 160 234.4V256C160 264.8 167.2 272 176 272H272C280.8 272 288 264.8 288 256V234.4C288 228.8 290.1 223.6 295.8 220.7C330.3 200.2 352 165.9 352 128zM1.008 260.1C3.154 256.3 8.024 254.9 11.89 257L224 374.8L436.1 257C439.1 254.9 444.8 256.3 446.1 260.1C449.1 263.1 447.8 268.8 443.9 270.1L240.5 384L443.9 497C447.8 499.2 449.1 504 446.1 507.9C444.8 511.7 439.1 513.1 436.1 510.1L224 393.2L11.89 510.1C8.024 513.1 3.154 511.7 1.008 507.9C-1.137 504 .2541 499.2 4.116 497L207.5 384L4.116 270.1C.2541 268.8-1.137 263.1 1.008 260.1V260.1z"],
    "slash": [640, 512, [], "f715", "M1.74 3.022C4.489-.4365 9.522-1.012 12.98 1.738L636.1 497.7C640.4 500.5 641 505.5 638.3 508.1C635.5 512.4 630.5 513 627 510.3L3.024 14.26C-.4345 11.51-1.01 6.481 1.74 3.022V3.022z"],
    "slash-back": [320, 512, [], "5c", "M316.2 510.8C314.9 511.6 313.4 512 312 512c-2.688 0-5.314-1.359-6.814-3.812L1.182 12.17C-1.131 8.385 .0566 3.463 3.807 1.15c3.812-2.25 8.719-1.109 11 2.641l304 496C321.1 503.6 319.9 508.5 316.2 510.8z"],
    "slash-forward": [320, 512, [], "2f", "M318.8 12.19L14.81 508.2C13.31 510.6 10.68 512 7.994 512c-1.438 0-2.875-.375-4.188-1.172c-3.75-2.312-4.938-7.234-2.625-11.02l304-495.1c2.283-3.781 7.221-4.938 11-2.641C319.9 3.49 321.1 8.412 318.8 12.19z"],
    "sleigh": [640, 512, [], "f7cc", "M58.76 32C121.1 32 178.4 66.24 208 121.1C247.4 194.3 324.1 240 407.2 240C438.5 240 464 214.6 464 183.3V136C464 113.9 481.9 96 504 96H600C604.4 96 608 99.58 608 104C608 108.4 604.4 112 600 112H576V256C576 326.7 518.7 384 448 384H432V464H576C602.5 464 624 442.5 624 416V392C624 387.6 627.6 384 632 384C636.4 384 640 387.6 640 392V416C640 451.3 611.3 480 576 480H40C35.58 480 32 476.4 32 472C32 467.6 35.58 464 40 464H160V384C89.31 384 32 326.7 32 256V48H8C3.582 48 0 44.42 0 40C0 35.58 3.582 32 8 32H58.76zM416 464V384H176V464H416zM504 112C490.7 112 480 122.7 480 136V183.3C480 223.5 447.3 256 407.2 256C318.2 256 236.1 207.1 193.9 128.7C167.1 79.01 115.2 48 58.76 48H48V256C48 317.9 98.14 368 160 368H448C509.9 368 560 317.9 560 256V112H504z"],
    "slider": [512, 512, [], "e252", "M352 96C387.3 96 416 124.7 416 160V248H504C508.4 248 512 251.6 512 256C512 260.4 508.4 264 504 264H416V352C416 387.3 387.3 416 352 416H320C284.7 416 256 387.3 256 352V160C256 124.7 284.7 96 320 96H352zM352 112H320C293.5 112 272 133.5 272 160V352C272 378.5 293.5 400 320 400H352C378.5 400 400 378.5 400 352V160C400 133.5 378.5 112 352 112zM8 248H224V264H8C3.582 264 0 260.4 0 256C0 251.6 3.582 248 8 248z"],
    "sliders": [512, 512, ["sliders-h"], "f1de", "M0 416C0 411.6 3.582 408 8 408H96.5C100.4 376.4 127.4 352 160 352C192.6 352 219.6 376.4 223.5 408H504C508.4 408 512 411.6 512 416C512 420.4 508.4 424 504 424H223.5C219.6 455.6 192.6 480 160 480C127.4 480 100.4 455.6 96.5 424H8C3.582 424 0 420.4 0 416V416zM208 416C208 389.5 186.5 368 160 368C133.5 368 112 389.5 112 416C112 442.5 133.5 464 160 464C186.5 464 208 442.5 208 416zM352 192C384.6 192 411.6 216.4 415.5 248H504C508.4 248 512 251.6 512 256C512 260.4 508.4 264 504 264H415.5C411.6 295.6 384.6 320 352 320C319.4 320 292.4 295.6 288.5 264H8C3.582 264 0 260.4 0 256C0 251.6 3.582 248 8 248H288.5C292.4 216.4 319.4 192 352 192zM400 256C400 229.5 378.5 208 352 208C325.5 208 304 229.5 304 256C304 282.5 325.5 304 352 304C378.5 304 400 282.5 400 256zM504 88C508.4 88 512 91.58 512 96C512 100.4 508.4 104 504 104H255.5C251.6 135.6 224.6 160 192 160C159.4 160 132.4 135.6 128.5 104H8C3.582 104 0 100.4 0 96C0 91.58 3.582 88 8 88H128.5C132.4 56.43 159.4 32 192 32C224.6 32 251.6 56.43 255.5 88H504zM144 96C144 122.5 165.5 144 192 144C218.5 144 240 122.5 240 96C240 69.49 218.5 48 192 48C165.5 48 144 69.49 144 96z"],
    "sliders-simple": [512, 512, [], "e253", "M504 360C508.4 360 512 363.6 512 368C512 372.4 508.4 376 504 376H159.6C155.6 416.4 121.5 448 80 448C35.82 448 0 412.2 0 368C0 323.8 35.82 288 80 288C121.5 288 155.6 319.6 159.6 360H504zM16 368C16 403.3 44.65 432 80 432C115.3 432 144 403.3 144 368C144 332.7 115.3 304 80 304C44.65 304 16 332.7 16 368zM352.4 136C356.4 95.57 390.5 64 432 64C476.2 64 512 99.82 512 144C512 188.2 476.2 224 432 224C390.5 224 356.4 192.4 352.4 152H8C3.582 152 0 148.4 0 144C0 139.6 3.582 136 8 136H352.4zM432 208C467.3 208 496 179.3 496 144C496 108.7 467.3 80 432 80C396.7 80 368 108.7 368 144C368 179.3 396.7 208 432 208z"],
    "sliders-up": [512, 512, ["sliders-v"], "f3f1", "M96 0C100.4 0 104 3.582 104 8V96.5C135.6 100.4 160 127.4 160 160C160 192.6 135.6 219.6 104 223.5V504C104 508.4 100.4 512 96 512C91.58 512 88 508.4 88 504V223.5C56.43 219.6 32 192.6 32 160C32 127.4 56.43 100.4 88 96.5V8C88 3.582 91.58 0 96 0zM96 208C122.5 208 144 186.5 144 160C144 133.5 122.5 112 96 112C69.49 112 48 133.5 48 160C48 186.5 69.49 208 96 208zM320 352C320 384.6 295.6 411.6 264 415.5V504C264 508.4 260.4 512 256 512C251.6 512 248 508.4 248 504V415.5C216.4 411.6 192 384.6 192 352C192 319.4 216.4 292.4 248 288.5V8C248 3.582 251.6 0 256 0C260.4 0 264 3.582 264 8V288.5C295.6 292.4 320 319.4 320 352zM256 400C282.5 400 304 378.5 304 352C304 325.5 282.5 304 256 304C229.5 304 208 325.5 208 352C208 378.5 229.5 400 256 400zM424 504C424 508.4 420.4 512 416 512C411.6 512 408 508.4 408 504V255.5C376.4 251.6 352 224.6 352 192C352 159.4 376.4 132.4 408 128.5V8C408 3.582 411.6 0 416 0C420.4 0 424 3.582 424 8V128.5C455.6 132.4 480 159.4 480 192C480 224.6 455.6 251.6 424 255.5V504zM416 144C389.5 144 368 165.5 368 192C368 218.5 389.5 240 416 240C442.5 240 464 218.5 464 192C464 165.5 442.5 144 416 144z"],
    "slot-machine": [640, 512, [], "e3ce", "M440 176h-80C355.6 176 352 179.6 352 184S355.6 192 360 192h69.47l-37.19 133.8c-1.156 4.281 1.312 8.688 5.562 9.875C398.6 335.9 399.3 336 400 336c3.5 0 6.719-2.312 7.719-5.844l40-144c.6562-2.438 .1562-5-1.344-7C444.8 177.2 442.5 176 440 176zM296 176h-80C211.6 176 208 179.6 208 184S211.6 192 216 192h69.47l-37.19 133.8c-1.156 4.281 1.312 8.688 5.562 9.875C254.6 335.9 255.3 336 256 336c3.5 0 6.719-2.312 7.719-5.844l40-144c.6562-2.438 .1562-5-1.344-7C300.8 177.2 298.5 176 296 176zM152 176h-80C67.59 176 64 179.6 64 184S67.59 192 72 192h69.47l-37.19 133.8c-1.156 4.281 1.312 8.688 5.562 9.875C110.6 335.9 111.3 336 112 336c3.5 0 6.719-2.312 7.719-5.844l40-144c.6562-2.438 .1562-5-1.344-7C156.8 177.2 154.5 176 152 176zM592 128C565.5 128 544 149.5 544 176c0 23.77 17.32 43.37 40 47.19V440c0 30.88-25.12 56-56 56h-102.1C439.3 484.3 448 467.2 448 448v-32c35.35 0 64-28.65 64-64V160c0-35.35-28.65-64-64-64V64c0-35.35-28.65-64-64-64H128C92.65 0 64 28.65 64 64v32C28.65 96 0 124.7 0 160v192c0 35.35 28.65 64 64 64v32c0 35.35 28.65 64 64 64h400c39.69 0 72-32.31 72-72V223.2C622.7 219.4 640 199.8 640 176C640 149.5 618.5 128 592 128zM80 64c0-26.47 21.53-48 48-48h256c26.47 0 48 21.53 48 48v32h-352V64zM16 352V160c0-26.47 21.53-48 48-48h384c26.47 0 48 21.53 48 48v192c0 26.47-21.53 48-48 48H64C37.53 400 16 378.5 16 352zM384 496H128c-26.47 0-48-21.53-48-48v-32h352v32C432 474.5 410.5 496 384 496zM592 208c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S609.6 208 592 208z"],
    "smog": [640, 512, [], "f75f", "M148.4 304h149.2c24.03 20.66 54.03 32 84.81 32c31.12 0 60.38-11.06 84.78-32h55.63C587.4 304 640 250.2 640 184S587.4 64 522.8 64c-15.34 0-30.5 3.25-45.19 9.688C450.8 28.03 403 0 351.2 0C313.2 0 277.5 14.62 249.8 41.34C222.2 14.62 186.4 0 148.4 0C66.56 0 0 68.19 0 152S66.56 304 148.4 304zM148.4 16c36.28 0 70.22 15 95.56 42.19c3 3.25 8.688 3.25 11.69 0C281 31 314.9 16 351.2 16c48.34 0 92.81 27.53 116 71.84c2.062 3.906 6.812 5.375 10.75 3.406C492.5 83.78 507.6 80 522.8 80C578.6 80 624 126.7 624 184S578.6 288 522.8 288h-58.63c-1.969 0-3.875 .7187-5.344 2.031C436.1 309.6 410.5 320 382.4 320c-27.84 0-54.97-10.62-76.44-29.94C304.5 288.7 302.6 288 300.6 288H148.4C75.41 288 16 227 16 152S75.41 16 148.4 16zM568 496h-352c-4.406 0-8 3.594-8 8S211.6 512 216 512h352c4.406 0 8-3.594 8-8S572.4 496 568 496zM632 400H72C67.59 400 64 403.6 64 408S67.59 416 72 416h560c4.406 0 8-3.594 8-8S636.4 400 632 400zM152 496h-144C3.594 496 0 499.6 0 504S3.594 512 8 512h144C156.4 512 160 508.4 160 504S156.4 496 152 496z"],
    "smoke": [640, 512, [], "f760", "M32 206c1.688 0 3.375-.5313 4.844-1.625c3.5-2.656 4.188-7.688 1.531-11.22C23.75 173.9 16 151 16 127.1C16 65.81 65.81 16 127.1 16c39.19 0 74.75 20.38 95.09 54.47C223.4 72.5 225.4 73.88 227.7 74.28s4.719-.25 6.5-1.812C254.8 55 279.5 45.75 305.7 45.75c37.19 0 71.81 18.62 92.63 49.81c2.406 3.688 7.375 4.625 11.09 2.219c3.688-2.438 4.656-7.406 2.219-11.09c-23.78-35.66-63.38-56.94-105.9-56.94c-27.03 0-52.66 8.562-74.69 24.88C207.1 20.25 168.9 0 127.1 0C57 0 0 57 0 127.1c0 27.47 8.875 53.69 25.62 75.81C27.19 204.9 29.59 206 32 206zM240.7 186.7c-1.844 4-.0625 8.75 3.938 10.62c4.031 1.75 8.75 .0938 10.62-3.938c17.09-37.16 54.38-61.16 94.97-61.16c24.66 0 47.97 8.688 67.34 25.16l7.219 6.125l4.844-8.125C448.8 123.2 482.3 104 519.3 104C577 104 624 150.1 624 208.7c0 19.25-5.312 37.63-15.75 54.59c-2.312 3.75-1.156 8.688 2.625 11c1.312 .8125 2.75 1.188 4.188 1.188c2.688 0 5.312-1.344 6.812-3.812C633.7 252.4 640 230.6 640 208.7C640 142.1 585.9 88 519.3 88c-39.66 0-75.84 19.09-98.47 51.53C400 124.2 375.8 116.2 350.3 116.2C303.4 116.2 260.4 143.8 240.7 186.7zM522.8 272c-15.34 0-30.5 3.25-45.19 9.688C450.8 236 403 208 351.2 208c-38.03 0-73.72 14.62-101.4 41.34C222.2 222.6 186.4 208 148.4 208C66.56 208 0 276.2 0 360S66.56 512 148.4 512h374.4C587.4 512 640 458.2 640 392S587.4 272 522.8 272zM522.8 496H148.4C75.41 496 16 435 16 360S75.41 224 148.4 224c36.28 0 70.22 15 95.56 42.19L249.8 272.5l5.844-6.312C281 239 314.9 224 351.2 224c48.34 0 92.81 27.53 116 71.84l3.688 7.031l7.062-3.625C492.5 291.8 507.6 288 522.8 288C578.6 288 624 334.7 624 392S578.6 496 522.8 496z"],
    "smoking": [640, 512, [128684], "f48d", "M504 368c4.406 0 8-3.594 8-8S508.4 352 504 352H36.81C16.5 352 0 368.5 0 388.8v86.38C0 495.5 16.5 512 36.81 512H504c4.406 0 8-3.594 8-8s-3.594-8-8-8H240v-128H504zM224 496H36.81C25.34 496 16 486.7 16 475.2v-86.38C16 377.3 25.34 368 36.81 368H224V496zM568 352c-4.406 0-8 3.594-8 8v144c0 4.406 3.594 8 8 8S576 508.4 576 504v-144C576 355.6 572.4 352 568 352zM536 352c-4.406 0-8 3.594-8 8v144c0 4.406 3.594 8 8 8S544 508.4 544 504v-144C544 355.6 540.4 352 536 352zM600 352c-4.406 0-8 3.594-8 8v144c0 4.406 3.594 8 8 8S608 508.4 608 504v-144C608 355.6 604.4 352 600 352zM632 352c-4.406 0-8 3.594-8 8v144c0 4.406 3.594 8 8 8S640 508.4 640 504v-144C640 355.6 636.4 352 632 352zM492.4 137.3C464.6 118.8 448 87.75 448 54.31V8C448 3.594 444.4 0 440 0S432 3.594 432 8v46.31c0 38.81 19.28 74.81 51.56 96.34C511.4 169.2 528 200.3 528 233.7V280C528 284.4 531.6 288 536 288S544 284.4 544 280V233.7C544 194.9 524.7 158.9 492.4 137.3zM588.4 137.3C560.6 118.8 544 87.75 544 54.31V8C544 3.594 540.4 0 536 0S528 3.594 528 8v46.31c0 38.81 19.28 74.81 51.56 96.34C607.4 169.2 624 200.3 624 233.7V280C624 284.4 627.6 288 632 288S640 284.4 640 280V233.7C640 194.9 620.7 158.9 588.4 137.3z"],
    "snake": [512, 512, [128013], "f716", "M384 80C384 88.84 376.8 96 368 96C359.2 96 352 88.84 352 80C352 71.16 359.2 64 368 64C376.8 64 384 71.16 384 80zM352 144C352 135.2 359.2 128 368 128C376.8 128 384 135.2 384 144C384 152.8 376.8 160 368 160C359.2 160 352 152.8 352 144zM176 512H175.9H115.2C102.5 512 89.98 509.5 78.28 504.6L7.385 475.1C2.913 473.2 0 468.8 0 464C0 459.2 2.913 454.8 7.385 452.9L78.28 423.4C89.98 418.5 102.5 416 115.2 416H256H256.1H348C367.9 416 384 399.9 384 380C384 360.1 367.9 344 348 344H172C94.68 344 32 281.3 32 204C32 126.7 94.68 64 172 64H292.6L294.2 61.22C310.1 33.26 339.9 16 372.1 16C385.2 16 398.2 18.87 410 24.42L475.8 55.08C497.9 65.4 512 87.6 512 112C512 136.4 497.9 158.6 475.8 168.9L410 199.6C398.2 205.1 385.2 208 372.1 208C339.9 208 310.1 190.7 294.2 162.8L292.6 160H172C147.7 160 128 179.7 128 204C128 228.3 147.7 248 172 248H348C420.9 248 480 307.1 480 380C480 452.9 420.9 512 348 512L176 512zM301.9 80H172C103.5 80 48 135.5 48 204C48 272.5 103.5 328 172 328H348C376.7 328 400 351.3 400 380C400 408.7 376.7 432 348 432H256.1H256H115.2C104.6 432 94.18 434.1 84.43 438.2L22.4 464L84.43 489.8C94.18 493.9 104.6 496 115.2 496H175.9H176H348C412.1 496 464 444.1 464 380C464 315.9 412.1 264 348 264H172C138.9 264 112 237.1 112 204C112 170.9 138.9 144 172 144H301.9L308 154.8C321.2 177.8 345.6 192 372.1 192C382.9 192 393.5 189.6 403.3 185.1L468.1 154.4C485.5 146.7 496 130.2 496 111.1C496 93.81 485.5 77.27 468.1 69.58L403.3 38.92C393.5 34.36 382.9 31.1 372.1 31.1C345.6 31.1 321.2 46.18 308 69.16L301.9 80z"],
    "snooze": [448, 512, [128164, "zzz"], "f880", "M216 240H40c-4.406 0-7.1 3.594-7.1 8S35.6 256 40 256h159.2l-197.4 242.1c-1.937 2.375-2.344 5.688-.1 8.469C2.099 510.2 4.912 512 8.005 512h191.1c4.406 0 7.1-3.594 7.1-8S204.4 496 200 496H24.82l197.4-242.1c1.937-2.375 2.344-5.688 1-8.469C221.9 241.8 219.1 240 216 240zM439.1 416H312.9l133.3-162.9c1.969-2.375 2.375-5.688 1.031-8.5C445.9 241.8 443.1 240 439.1 240h-127.1c-4.406 0-8 3.594-8 8S307.6 256 311.1 256h111.1l-133.3 162.9c-1.969 2.375-2.375 5.688-1.031 8.5C290.1 430.2 292.9 432 295.1 432h143.1c4.406 0 7.1-3.594 7.1-8S444.4 416 439.1 416zM168 176h143.1c4.406 0 7.1-3.594 7.1-8S316.4 160 311.1 160H185.1l131.1-146.7c2.125-2.344 2.656-5.719 1.375-8.594C318 1.844 315.2 0 311.1 0H184c-4.406 0-7.999 3.594-7.999 8S179.6 16 184 16h110L162.1 162.7C159.9 165 159.4 168.4 160.7 171.3C161.1 174.2 164.8 176 168 176z"],
    "snow-blowing": [640, 512, [], "f761", "M336.5 225.3c4.27 1.143 8.652-1.389 9.797-5.656c1.145-4.27-1.387-8.654-5.656-9.797L293.7 197.3l45.63-26.34C343.2 168.7 344.5 163.8 342.3 160c-2.203-3.814-7.113-5.131-10.93-2.928L285.7 183.4L298.3 136.5c.5723-2.135 .2324-4.285-.7988-6.07C296.5 128.6 294.8 127.3 292.6 126.7c-4.27-1.145-8.652 1.387-9.797 5.656L266.1 194.7L184 242.1v-94.83l45.66-45.66c3.125-3.125 3.125-8.188 0-11.31s-8.188-3.125-11.31 0L184 124.7V72C184 67.59 180.4 64 176 64S168 67.59 168 72v52.69L133.7 90.34c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31L168 147.3v94.83L85.87 194.7L69.16 132.4C68.02 128.1 63.63 125.6 59.37 126.7C55.1 127.8 52.57 132.2 53.71 136.5L66.28 183.4L20.65 157.1C16.84 154.9 11.92 156.2 9.72 160S8.836 168.7 12.65 170.9L58.28 197.3L11.37 209.8C7.098 210.1 4.566 215.4 5.709 219.6c1.145 4.27 5.529 6.801 9.797 5.656l62.37-16.71L160 256L77.88 303.4L15.51 286.7c-4.268-1.145-8.652 1.387-9.797 5.656c-1.143 4.27 1.389 8.652 5.656 9.797l46.92 12.57l-45.63 26.34C8.836 343.3 7.52 348.2 9.723 352c2.203 3.816 7.113 5.133 10.93 2.93l45.63-26.34L53.71 375.5c-1.143 4.268 1.389 8.652 5.656 9.797c4.27 1.143 8.654-1.389 9.797-5.656l16.71-62.37L168 269.9v94.83l-45.66 45.66c-3.125 3.125-3.125 8.188 0 11.31s8.188 3.125 11.31 0L168 387.3V440C168 444.4 171.6 448 176 448s8-3.594 8-8v-52.69l34.34 34.34C219.9 423.2 221.9 424 224 424s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31L184 364.7v-94.83l82.13 47.42l16.71 62.37c1.143 4.27 5.527 6.801 9.797 5.656c4.268-1.143 6.799-5.527 5.656-9.797L285.7 328.6l45.63 26.34C335.2 357.1 340.1 355.8 342.3 352s.8838-8.725-2.931-10.93L293.7 314.7l46.91-12.57c2.135-.5723 3.826-1.941 4.857-3.727c1.031-1.787 1.371-3.938 .7988-6.07c-1.145-4.27-5.529-6.801-9.797-5.656L274.1 303.4L192 256l82.13-47.42L336.5 225.3zM392 224h176C607.7 224 640 191.7 640 152S607.7 80 568 80h-48C515.6 80 512 83.59 512 88S515.6 96 520 96h48c30.88 0 56 25.12 56 56S598.9 208 568 208h-176C387.6 208 384 211.6 384 216S387.6 224 392 224zM568 288h-176C387.6 288 384 291.6 384 296s3.578 8 8 8h176c30.88 0 56 25.12 56 56S598.9 416 568 416h-48C515.6 416 512 419.6 512 424s3.578 8 8 8h48c39.7 0 72-32.31 72-72S607.7 288 568 288z"],
    "snowflake": [512, 512, [10054, 10052], "f2dc", "M475.1 373.5c3.838 2.211 5.168 7.125 2.945 10.97c-2.225 3.842-7.152 5.148-10.99 2.938l-87.68-50.52l18.53 69.02c1.15 4.283-1.395 8.684-5.688 9.832s-8.701-1.393-9.85-5.678l-22.69-84.53L264 269.9v110.8l61.66 61.66c3.125 3.125 3.125 8.188 0 11.31C324.1 455.2 322 456 320 456s-4.094-.7813-5.656-2.344L264 403.3V504c0 4.406-3.578 8-8 8s-8-3.594-8-8v-100.7l-50.34 50.34c-3.125 3.125-8.188 3.125-11.31 0s-3.125-8.188 0-11.31L248 380.7V269.9l-96.55 55.64l-22.69 84.53c-1.15 4.285-5.559 6.826-9.852 5.678c-4.291-1.148-6.836-5.549-5.688-9.832l18.53-69.02l-87.68 50.52c-3.838 2.211-8.766 .9043-10.99-2.938c-2.223-3.844-.8926-8.758 2.943-10.97l87.68-50.52L54.55 304.5c-4.293-1.148-6.838-5.549-5.688-9.832c1.15-4.285 5.559-6.824 9.852-5.676l84.69 22.65L239.9 256L143.4 200.4L58.71 223c-4.293 1.148-8.701-1.391-9.852-5.676c-1.15-4.283 1.395-8.684 5.688-9.832l69.15-18.49L36.02 138.5c-3.836-2.211-5.166-7.125-2.943-10.97c2.223-3.842 7.15-5.148 10.99-2.938l87.68 50.52L113.2 106.1C112.1 101.8 114.6 97.42 118.9 96.28C123.2 95.13 127.6 97.67 128.8 101.1L151.4 186.5L248 242.1V131.3L186.3 69.66c-3.125-3.125-3.125-8.188 0-11.31s8.188-3.125 11.31 0L248 108.7V8C248 3.594 251.6 0 256 0s8 3.594 8 8v100.7l50.34-50.34c3.125-3.125 8.188-3.125 11.31 0s3.125 8.188 0 11.31L264 131.3v110.8l96.55-55.64l22.69-84.53c1.148-4.285 5.557-6.826 9.85-5.678c2.146 .5742 3.855 1.961 4.885 3.74s1.379 3.951 .8027 6.092l-18.53 69.02l87.68-50.52c3.836-2.211 8.764-.9043 10.99 2.938c2.223 3.844 .8926 8.758-2.945 10.97l-87.68 50.52l69.15 18.49c4.293 1.148 6.838 5.549 5.688 9.832c-1.148 4.285-5.559 6.824-9.85 5.676l-84.69-22.65L272.1 256l96.51 55.62l84.69-22.65c4.291-1.148 8.701 1.391 9.85 5.676c.5762 2.143 .2266 4.312-.8027 6.092s-2.738 3.166-4.885 3.74l-69.15 18.49L475.1 373.5z"],
    "snowflakes": [640, 512, [], "f7cf", "M448 131.5c0-5.734-5.126-8.016-8.055-8.016c-1.365 0-2.747 .3466-4.011 1.075l-87.68 50.52l18.53-69.02c.1874-.6962 .2769-1.396 .2769-2.084c0-4.288-3.465-8.024-8.053-8.024c-3.552 0-6.799 2.365-7.761 5.954L328.6 186.5L232 242.1V131.3l61.66-61.66C295.2 68.09 296 66.05 296 64c0-4.57-3.737-8-8-8c-2.047 0-4.094 .7813-5.656 2.344L232 108.7V8C232 3.594 228.4 0 224 0S216 3.594 216 8v100.7L165.7 58.34C164.1 56.78 162 56 160 56C155.7 56 152 59.43 152 64c0 2.047 .7813 4.094 2.344 5.656L216 131.3v110.8L119.4 186.5L96.75 101.1C95.79 98.36 92.54 95.1 88.99 95.1c-6.123 0-8.052 5.55-8.052 8.026c0 .6875 .0891 1.386 .2756 2.082l18.53 69.02L12.07 124.6c-1.264-.7283-2.647-1.075-4.012-1.075c-2.929 0-8.054 2.281-8.054 8.016c0 2.779 1.446 5.481 4.021 6.965l87.68 50.52L22.55 207.5C18.96 208.5 16.59 211.7 16.59 215.3c0 6.111 5.558 8.036 8.038 8.036c.69 0 1.391-.0892 2.09-.2761l84.69-22.65L207.9 256L111.4 311.6L26.71 288.1C26.02 288.8 25.31 288.7 24.62 288.7c-2.481 0-8.038 1.925-8.038 8.036c0 3.544 2.369 6.786 5.964 7.748l69.15 18.49l-87.68 50.52C1.447 374.1 .0007 377.7 .0007 380.5c0 5.735 5.124 8.016 8.054 8.016c1.365 0 2.748-.3466 4.012-1.075l87.68-50.52l-18.53 69.02c-.1865 .6957-.2756 1.395-.2756 2.082c0 2.476 1.929 8.026 8.052 8.026c3.552 0 6.799-2.365 7.763-5.954l22.69-84.53L216 269.9v110.8l-61.66 61.66C152.8 443.9 152 445.1 152 448c0 4.57 3.737 8 8 8c2.047 0 4.094-.7813 5.656-2.344L216 403.3V504c0 4.406 3.58 8 8.001 8S232 508.4 232 504v-100.7l50.34 50.34C283.9 455.2 285.1 456 288 456c4.263 0 8-3.433 8-8c0-2.047-.7813-4.094-2.344-5.656L232 380.7V269.9l96.55 55.64l22.69 84.53c.9617 3.588 4.209 5.954 7.761 5.954c6.123 0 8.053-5.548 8.053-8.024c0-.6882-.0894-1.388-.2764-2.084l-18.53-69.02l87.68 50.52c1.264 .7283 2.646 1.075 4.011 1.075c2.929 0 8.055-2.281 8.055-8.016c0-2.779-1.446-5.481-4.023-6.966l-87.68-50.52l69.15-18.49c3.9-1.043 5.964-4.53 5.964-7.747c0-6.116-5.562-8.037-8.037-8.037c-.6898 0-1.391 .0892-2.089 .2761l-84.69 22.65L240.1 256l96.51-55.62l84.69 22.65c.6981 .1868 1.399 .2761 2.089 .2761c2.475 0 8.037-1.92 8.037-8.036c0-3.544-2.369-6.786-5.964-7.748l-69.15-18.49l87.68-50.52C446.6 137 448 134.3 448 131.5zM536 120C536 124.4 539.6 128 544 128s8-3.594 8-8V77.87l36.5 21.07C589.8 99.66 591.1 100 592.5 100c2.912 0 8.001-2.29 8.001-7.993c0-2.763-1.436-5.457-4.001-6.944L560 64l36.48-21.06c2.566-1.487 4.001-4.181 4.001-6.944c0-5.698-5.102-8.01-8.022-8.01c-1.356 0-2.728 .3477-3.979 1.079L552 50.13V8C552 3.594 548.4 0 544 0s-8 3.594-8 8v42.13l-36.5-21.07c-1.244-.6965-2.61-1.03-3.96-1.03c-2.927 0-8.041 2.229-8.041 7.961c0 2.763 1.436 5.457 4.001 6.944L527.1 64L491.5 85.06c-2.566 1.487-4.001 4.181-4.001 6.944c0 5.703 5.089 7.993 8.001 7.993c1.359 0 2.734-.3438 4-1.062L536 77.87V120zM592 256l36.48-21.06c2.566-1.487 4.001-4.181 4.001-6.944c0-5.698-5.102-8.01-8.022-8.01c-1.356 0-2.728 .3477-3.979 1.079L584 242.1V200C584 195.6 580.4 192 576 192s-8 3.594-8 8v42.13l-36.5-21.07c-1.244-.6965-2.61-1.03-3.96-1.03c-2.927 0-8.041 2.229-8.041 7.961c0 2.763 1.436 5.457 4.001 6.944L559.1 256L523.5 277.1c-2.566 1.487-4.001 4.181-4.001 6.944c0 5.703 5.089 7.993 8.001 7.993c1.359 0 2.734-.3438 4-1.062L568 269.9V312C568 316.4 571.6 320 576 320s8-3.594 8-8V269.9l36.5 21.07C621.8 291.7 623.1 292 624.5 292c2.912 0 8.001-2.29 8.001-7.993c0-2.763-1.436-5.457-4.001-6.944L592 256z"],
    "snowman": [512, 512, [9924, 9731], "f7d0", "M511.3 140.7c-1.797-4.031-6.531-5.875-10.56-4.062l-44.75 19.89v-52.57c0-4.406-3.578-7.1-7.1-7.1s-7.1 3.594-7.1 7.1v59.68l-75.63 33.61c-4.617-18.65-13.66-35.95-27.35-50.24c9.828-15.47 14.98-32.95 14.98-51.04C351.1 43.06 308.9 0 255.1 0S160 43.06 160 95.1c0 18.09 5.147 35.58 14.98 51.04C161.3 161.3 152.2 178.6 147.6 197.3l-75.63-33.61V103.1c0-4.406-3.578-7.1-7.1-7.1c-4.422 0-7.1 3.594-7.1 7.1v52.57l-44.75-19.89c-4.031-1.812-8.765 .0313-10.56 4.062C-1.105 144.8 .7227 149.5 4.754 151.3l140.2 62.32c-.3222 3.459-.9875 6.848-.9875 10.37c0 13.56 2.596 26.83 7.534 39.71c-35.31 30.65-55.53 74.23-55.53 120.3c0 49.53 22.89 95.57 62.81 126.3c3.484 2.719 8.516 2.094 11.22-1.469c2.687-3.5 2.031-8.531-1.469-11.22c-35.94-27.69-56.56-69.12-56.56-113.6c0-43.18 19.72-83.87 54.11-111.6C168.9 270.1 169.9 266.2 168.4 262.9C162.8 250.4 160 237.3 160 223.1c0-26.72 10.95-51.59 30.83-70.06c2.969-2.781 3.406-7.343 .9844-10.62c-10.34-14.03-15.81-30.4-15.81-47.31c0-44.12 35.89-79.1 79.1-79.1s79.1 35.87 79.1 79.1c0 16.91-5.469 33.28-15.81 47.31c-2.422 3.281-1.984 7.843 .9843 10.62c19.87 18.47 30.83 43.34 30.83 70.06c0 13.28-2.828 26.37-8.391 38.9c-1.469 3.312-.5313 7.187 2.281 9.468c34.39 27.75 54.11 68.43 54.11 111.6c0 44.53-20.62 85.96-56.56 113.6c-3.5 2.687-4.156 7.718-1.469 11.22c1.578 2.062 3.953 3.125 6.344 3.125c1.703 0 3.422-.5312 4.875-1.656c39.92-30.75 62.81-76.79 62.81-126.3c0-46.06-20.22-89.64-55.53-120.3c4.937-12.87 7.534-26.14 7.534-39.71c0-3.519-.6652-6.909-.9875-10.37l140.2-62.32C511.3 149.5 513.1 144.8 511.3 140.7zM256 335.1c-8.836 0-15.1 7.164-15.1 15.1S247.2 367.1 256 367.1c8.838 0 15.1-7.164 15.1-15.1S264.8 335.1 256 335.1zM256 271.1c-8.836 0-15.1 7.164-15.1 15.1S247.2 303.1 256 303.1c8.838 0 15.1-7.164 15.1-15.1S264.8 271.1 256 271.1zM256 207.1c-8.836 0-15.1 7.164-15.1 15.1S247.2 239.1 256 239.1c8.838 0 15.1-7.164 15.1-15.1S264.8 207.1 256 207.1zM240 79.1c0-8.835-7.162-15.1-15.1-15.1c-8.836 0-15.1 7.164-15.1 15.1s7.164 15.1 15.1 15.1C232.8 95.1 240 88.83 240 79.1zM287.1 63.1c-8.836 0-15.1 7.164-15.1 15.1s7.164 15.1 15.1 15.1c8.838 0 15.1-7.164 15.1-15.1S296.8 63.1 287.1 63.1zM266.3 114.3L256 124.7L245.7 114.3c-3.125-3.125-8.187-3.125-11.31 0c-3.125 3.125-3.125 8.187 0 11.31L250.3 141.6C251.9 143.2 253.1 143.1 256 143.1s4.094-.7812 5.656-2.344l15.1-15.1c3.125-3.125 3.125-8.187 0-11.31C274.5 111.2 269.5 111.2 266.3 114.3z"],
    "snowman-head": [448, 512, ["frosty-head"], "f79b", "M88 176c4.422 0 8-3.594 8-8v-128c0-13.22 10.77-24 24-24h208c13.23 0 24 10.78 24 24v128c0 4.406 3.578 8 8 8s8-3.594 8-8v-128c0-22.06-17.94-40-40-40h-208c-22.06 0-40 17.94-40 40v128C80 172.4 83.58 176 88 176zM440 208H8c-4.422 0-8 3.594-8 8S3.578 224 8 224H75.31c-27.55 34.07-43.31 75.76-43.31 120c0 61.97 30.27 120.5 80.95 156.5C123.6 508 137.1 512 152 512h143.5c15.73 0 31.36-5.25 44-14.78c59.33-44.75 87.17-118.4 72.66-192.1C406.3 275.5 392.9 247.9 373.6 224h66.42c4.422 0 8-3.594 8-8S444.4 208 440 208zM396.5 308.2c13.31 67.69-12.2 135.2-66.59 176.3C319.1 491.9 307.8 496 295.5 496H152c-8.109 0-19.86-1.469-29.81-8.562C75.75 454.4 48 400.8 48 344c0-44.81 16.78-87.28 47.33-120h257.7C375.3 248 390.3 277 396.5 308.2zM144 320c-8.836 0-16-7.164-16-16s7.164-16 16-16c8.838 0 16 7.164 16 16S152.8 320 144 320zM304 320c-8.836 0-16-7.164-16-16s7.164-16 16-16c8.838 0 16 7.164 16 16S312.8 320 304 320zM224 336c-26.47 0-48 21.53-48 48c0 20.53 24.37 57.96 34.84 73.1C213.8 461.4 218.7 464 224 464s10.17-2.584 13.16-6.9C247.6 441.1 272 404.5 272 384C272 357.5 250.5 336 224 336zM224 448c0 0-32-46.25-32-64s14.25-32 31.1-32s32 14.25 32 32S224 448 224 448z"],
    "snowplow": [640, 512, [], "f7d2", "M151.1 16C147.6 16 143.1 19.58 143.1 24V104C143.1 108.4 140.4 112 135.1 112C131.6 112 127.1 108.4 127.1 104V24C127.1 10.75 138.7 0 151.1 0H300.6C315.5 0 329.2 8.285 336.1 21.5L423.1 188.3C425.1 192.2 423.6 197 419.7 199.1C415.8 201.1 410.1 199.6 408.9 195.7L321.9 28.9C317.7 20.97 309.5 16 300.6 16H151.1zM368 400C368 391.2 375.2 384 384 384C392.8 384 400 391.2 400 400C400 408.8 392.8 416 384 416C375.2 416 368 408.8 368 400zM111.1 400C111.1 408.8 104.8 416 95.1 416C87.16 416 79.1 408.8 79.1 400C79.1 391.2 87.16 384 95.1 384C104.8 384 111.1 391.2 111.1 400zM175.1 400C175.1 391.2 183.2 384 191.1 384C200.8 384 207.1 391.2 207.1 400C207.1 408.8 200.8 416 191.1 416C183.2 416 175.1 408.8 175.1 400zM303.1 400C303.1 408.8 296.8 416 287.1 416C279.2 416 271.1 408.8 271.1 400C271.1 391.2 279.2 384 287.1 384C296.8 384 303.1 391.2 303.1 400zM637.2 129.9C640.5 132.7 640.1 137.8 638.1 141.2L552 242.9V397.1L638.1 498.8C640.1 502.2 640.5 507.3 637.2 510.1C633.8 512.1 628.7 512.5 625.9 509.2L537.9 405.2C536.7 403.7 536 401.9 536 400V319.1H446.4C467.1 340.3 480 368.7 480 400C480 461.9 429.9 512 368 512H112C50.14 512 0 461.9 0 400C0 355.3 26.16 316.8 64 298.8V175.1C64 158.3 78.33 143.1 96 143.1H125.3C134.4 143.1 143 147.8 149.1 154.6L211.6 223.1H400C417.7 223.1 432 238.3 432 255.1V303.1H536V239.1C536 238.1 536.7 236.3 537.9 234.8L625.9 130.8C628.7 127.5 633.8 127 637.2 129.9V129.9zM79.1 292.6C90.14 289.6 100.9 288 111.1 288H368C385.2 288 401.5 291.9 416 298.8V256C416 247.2 408.8 240 400 240H207.1C205.7 240 203.6 239 202.1 237.4L137.2 165.3C134.2 161.9 129.8 160 125.3 160H95.1C87.16 160 79.1 167.2 79.1 176V292.6zM368 304H111.1C58.98 304 15.1 346.1 15.1 400C15.1 453 58.98 496 111.1 496H368C421 496 464 453 464 400C464 346.1 421 304 368 304z"],
    "soap": [512, 512, [129532], "e06e", "M408 192c-4.422 0-8 3.594-8 8s3.578 8 8 8c48.53 0 88 39.47 88 88v112c0 48.53-39.47 88-88 88h-304c-48.53 0-88-39.47-88-88v-112c0-48.53 39.47-88 88-88H224c4.422 0 8-3.594 8-8S228.4 192 224 192H104C46.66 192 0 238.7 0 296v112C0 465.3 46.66 512 104 512h304c57.34 0 104-46.66 104-104v-112C512 238.7 465.3 192 408 192zM160 272c-44.11 0-80 35.88-80 80s35.89 80 80 80h192c44.11 0 80-35.88 80-80S396.1 272 352 272H160zM416 352c0 35.28-28.7 64-64 64H160c-35.3 0-64-28.72-64-64s28.7-64 64-64h192C387.3 288 416 316.7 416 352zM320 240c35.35 0 64-28.65 64-64s-28.65-64-64-64s-64 28.65-64 64S284.7 240 320 240zM320 128c26.47 0 48 21.53 48 48S346.5 224 320 224s-48-21.53-48-48S293.5 128 320 128zM208 96C234.5 96 256 74.51 256 48S234.5 0 208 0S160 21.49 160 48S181.5 96 208 96zM208 16c17.64 0 32 14.36 32 32s-14.36 32-32 32s-32-14.36-32-32S190.4 16 208 16zM384 64c17.67 0 32-14.33 32-32s-14.33-32-32-32s-32 14.33-32 32S366.3 64 384 64zM384 16c8.822 0 16 7.178 16 16S392.8 48 384 48S368 40.82 368 32S375.2 16 384 16z"],
    "socks": [576, 512, [129510], "f696", "M182.6 478.1C167.9 490.1 150.4 496 132.1 496c-30.59 0-58.02-16.03-73.39-42.84c-20.89-36.41-9.467-85.91 25.82-112.5l91.56-65V112h119.1c4.421 0 7.998-3.594 7.998-8S300.5 96 296.1 96H176.1l.025-57c0-12.69 10.23-23 22.79-23h113.2c4.421 0 7.998-3.594 7.998-8S316.5 0 312.1 0H198.9C177.5 0 160.1 17.5 160.1 39v228.4L75.09 327.7c-42.51 32.06-55.5 89.41-30.26 133.4C63.08 492.1 95.71 512 132.1 512c21.85 0 42.65-7 60.14-20.28c3.53-2.656 4.218-7.688 1.547-11.22C191.1 476.1 186.1 476.3 182.6 478.1zM505.2 0H382.8c-21.39 0-38.79 17.5-38.79 39v228.4l-84.1 60.34c-42.51 32.06-55.5 89.41-30.26 133.4C247 492.1 279.7 512 316.1 512c21.85 0 42.65-7 60.02-20.19l115.4-83.75C524.4 383.3 544 343.8 544 302.5V39C544 17.5 526.6 0 505.2 0zM528 302.5c0 36.34-17.25 71.03-46.01 92.72l-115.5 83.75C351.8 490.1 334.4 496 316.1 496c-30.59 0-58.02-16.03-73.39-42.84c-20.89-36.41-9.467-85.91 25.82-112.5l91.56-65V112h167.1V302.5zM528 96h-167.1V39c0-12.69 10.23-23 22.79-23h122.4c12.56 0 22.79 10.31 22.79 23V96z"],
    "soft-serve": [384, 512, [127846, "creemee"], "e400", "M223 0C285.4 0 336 50.59 336 113C336 131 329.3 147.5 318.2 160H320C355.3 160 384 188.7 384 224C384 259.3 355.3 288 320 288H64C28.65 288 0 259.3 0 224C0 189.1 26.56 162.1 60.09 160.1C52.5 150.1 48 137.6 48 124C48 90.86 74.86 64 108 64H185.3C197.8 64 208 53.84 208 41.3C208 36.81 206.7 32.43 204.2 28.7L193.3 12.44C191.7 9.983 191.6 6.827 192.9 4.225C194.3 1.624 197 0 200 0L223 0zM293.6 160C309.4 150.3 320 132.9 320 113C320 59.43 276.6 16 223 16H214.9L217.5 19.83C221.7 26.19 224 33.66 224 41.3C224 62.67 206.7 80 185.3 80H108C83.7 80 64 99.7 64 124C64 138.9 71.37 152 82.69 160H104C108.4 160 112 163.6 112 168C112 172.4 108.4 176 104 176H64C37.49 176 16 197.5 16 224C16 250.5 37.49 272 64 272H320C346.5 272 368 250.5 368 224C368 197.5 346.5 176 320 176H232C227.6 176 224 172.4 224 168C224 163.6 227.6 160 232 160H293.6zM64 344C64 357.3 74.75 368 88 368H96C100 368 103.4 371 103.9 375L116.4 474.1C117.9 486.1 128.1 496 140.2 496H243.8C255.9 496 266.1 486.1 267.6 474.1L280.1 375C280.6 371 283.1 368 288 368H296C309.3 368 320 357.3 320 344V328C320 323.6 323.6 320 328 320C332.4 320 336 323.6 336 328V344C336 366.1 318.1 384 296 384H295.1L283.4 476.1C280.9 496.1 263.9 512 243.8 512H140.2C120.1 512 103.1 496.1 100.6 476.1L88.94 384H88C65.91 384 48 366.1 48 344V328C48 323.6 51.58 320 56 320C60.42 320 64 323.6 64 328V344z"],
    "solar-panel": [640, 512, [], "f5ba", "M638.9 334.7l-72.75-304C561.8 12.62 545.8 0 527.2 0H112.8C94.21 0 78.19 12.62 73.88 30.72l-72.77 303.1c-2.862 12-.1407 24.41 7.506 34.09C16.25 378.4 27.71 384 40.05 384h272.2v64H248.2c-30.9 0-56.05 25.12-56.05 56c0 4.406 3.581 8 8.007 8c4.426 0 8.007-3.594 8.007-8c0-22.06 17.95-40 40.03-40h144.1c22.08 0 40.03 17.94 40.03 40c0 4.406 3.581 8 8.007 8c4.426 0 8.007-3.594 8.007-8c0-30.88-25.15-56-56.05-56h-64.05v-64h271.7c12.32 0 23.79-5.531 31.42-15.22C639 359.1 641.8 346.7 638.9 334.7zM618.8 358.9C614.2 364.7 607.4 368 599.1 368H40.05c-7.413 0-14.28-3.344-18.86-9.125c-4.582-5.812-6.224-13.25-4.504-20.44l72.77-304C92.05 23.59 101.7 16 112.8 16h414.4c11.15 0 20.77 7.562 23.36 18.44l72.75 304C625 345.6 623.4 353.1 618.8 358.9zM501.9 64H138.1c-3.706 0-6.928 2.531-7.788 6.125l-57.46 240C72.28 312.5 72.83 315 74.35 316.1C75.86 318.9 78.18 320 80.63 320h478.7c2.455 0 4.77-1.125 6.287-3.031c1.517-1.938 2.064-4.438 1.501-6.844l-57.44-240C508.9 66.53 505.6 64 501.9 64zM328.3 80h88.44c-.0039 .4062-.348 .709-.2893 1.125L431.1 184h-102.9V80zM144.4 80h63.69L193.2 184H119.5L144.4 80zM176.5 304h-85.74l24.9-104H190.9L176.2 302.9C176.2 303.3 176.5 303.6 176.5 304zM312.3 304H192.2l14.87-104h105.1V304zM312.3 184H209.4l14.71-102.9C224.2 80.71 223.8 80.41 223.8 80h88.44V184zM328.3 304V200h105.1l14.87 104H328.3zM549.2 304h-85.19c.0039-.4062 .3479-.709 .2893-1.125L449.6 200h74.72L549.2 304zM447.3 184L432.5 80h63.16l24.89 104H447.3z"],
    "solar-system": [512, 512, [], "e02f", "M348.6 451.2C319.5 465 288.4 472 256 472c-119.1 0-216-96.91-216-216c0-42.33 12.2-82.61 34.68-117.2C81.13 142 88.3 144 96 144c26.51 0 48-21.49 48-48S122.5 48 96 48S48 69.49 48 96c0 13.03 5.229 24.8 13.65 33.45C37.24 166.8 24 210.3 24 256c0 127.9 104.1 232 232 232c34.77 0 68.22-7.5 99.44-22.34c3.984-1.875 5.688-6.656 3.797-10.66C357.3 451 352.5 449.3 348.6 451.2zM96 64c17.64 0 32 14.36 32 32S113.6 128 96 128S64 113.6 64 96S78.36 64 96 64zM388.4 182.9C395.5 174.5 400 163.8 400 152c0-26.51-21.49-48-48-48c-13.09 0-24.92 5.27-33.58 13.76C299.3 109.1 278.3 104 256 104C172.2 104 104 172.2 104 256s68.19 152 152 152s152-68.19 152-152C408 229.4 400.5 204.7 388.4 182.9zM352 120c17.64 0 32 14.36 32 32s-14.36 32-32 32s-32-14.36-32-32S334.4 120 352 120zM256 392c-74.98 0-136-61-136-136S181 120 256 120c18.84 0 36.79 3.875 53.12 10.83C305.9 137.2 304 144.4 304 152c0 26.51 21.49 48 48 48c8.783 0 16.91-2.533 23.99-6.652C385.9 212.2 392 233.3 392 256C392 331 330.1 392 256 392zM255.1 192c-35.35 0-63.1 28.65-63.1 63.1S220.7 319.1 256 319.1S320 291.3 320 256S291.3 192 255.1 192zM256.1 303.1c-26.47 0-47.1-21.53-47.1-48s21.53-48 47.1-48s47.1 21.53 47.1 48S282.5 303.1 256.1 303.1zM488 256c0-127.9-104.1-232-232-232c-34.77 0-68.22 7.5-99.44 22.34C152.6 48.22 150.9 53 152.8 57c1.906 3.969 6.641 5.688 10.67 3.781C192.5 47 223.6 40 256 40c119.1 0 216 96.91 216 216c0 42.2-12.12 82.61-34.6 117.2C430.9 369.1 423.7 368 416 368c-26.51 0-48 21.49-48 48s21.49 48 48 48s48-21.49 48-48c0-12.98-5.203-24.72-13.58-33.36C474.9 345.3 488 301.6 488 256zM416 448c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S433.6 448 416 448z"],
    "sort": [320, 512, ["unsorted"], "f0dc", "M27.66 224h264.7c24.6 0 36.89-29.78 19.54-47.12l-132.3-136.8c-5.406-5.406-12.47-8.107-19.53-8.107c-7.055 0-14.09 2.701-19.45 8.107L8.119 176.9C-9.229 194.2 3.055 224 27.66 224zM19.61 188l132.3-136.6C154.1 49.19 156.1 48 160 48c3.09 0 6.006 1.215 8.027 3.232l132.5 136.1c4.932 4.932 3.385 10.48 2.49 12.64C302.2 202.1 299.3 208 292.3 208H27.66C20.67 208 17.84 202.1 16.94 200.8C16.05 198.7 14.5 193.1 19.61 188zM292.3 288H27.66c-24.6 0-36.89 29.77-19.54 47.12l132.5 136.8C145.9 477.3 152.1 480 160 480c7.053 0 14.12-2.703 19.53-8.109l132.3-136.8C329.2 317.8 316.9 288 292.3 288zM300.4 323.1l-132.1 136.6C166 462.8 163.1 464 160 464c-3.059 0-5.926-1.195-7.951-3.24l-132.6-136.1C14.5 318.9 16.05 313.3 16.94 311.2C17.84 309 20.67 304 27.66 304h264.7c6.99 0 9.822 5.014 10.71 7.17C303.1 313.3 305.5 318.9 300.4 323.1z"],
    "sort-down": [320, 512, ["sort-desc"], "f0dd", "M292.3 288H27.66c-24.6 0-36.89 29.77-19.54 47.12l132.4 136.8C145.9 477.3 152.1 480 160 480c7.053 0 14.09-2.702 19.5-8.109l132.4-136.8C329.2 317.8 316.9 288 292.3 288zM300.4 323.1l-132.1 136.6C166 462.8 163.1 464 160 464c-3.059 0-5.926-1.195-7.951-3.24l-132.6-136.1C14.5 318.9 16.05 313.3 16.94 311.2C17.84 309 20.67 304 27.66 304h264.7c6.99 0 9.822 5.014 10.71 7.17C303.1 313.3 305.5 318.9 300.4 323.1z"],
    "sort-up": [320, 512, ["sort-asc"], "f0de", "M27.66 224h264.7c24.6 0 36.89-29.78 19.54-47.12l-132.3-136.8c-5.406-5.406-12.47-8.107-19.53-8.107c-7.055 0-14.09 2.701-19.45 8.107L8.119 176.9C-9.229 194.2 3.055 224 27.66 224zM19.61 188l132.3-136.6C154.1 49.19 156.1 48 160 48c3.09 0 6.006 1.215 8.027 3.232l132.5 136.1c4.932 4.932 3.385 10.48 2.49 12.64C302.2 202.1 299.3 208 292.3 208H27.66C20.67 208 17.84 202.1 16.94 200.8C16.05 198.7 14.5 193.1 19.61 188z"],
    "spa": [576, 512, [], "f5bb", "M190.8 207.7C194.1 208.8 199.4 205.1 200.3 201.7c14.62-62.49 45.97-118.3 85.97-153.2c.7187-.5938 2.625-.5938 3.344-.0313c40 34.87 71.34 90.78 86 153.4c.8438 3.688 4.156 6.188 7.781 6.188c.5938 0 1.219-.0625 1.812-.2187c4.312-1 6.969-5.312 5.969-9.594c-15.38-65.81-48.59-124.8-91.09-161.8c-6.875-5.844-17.53-5.844-24.28 .0313c-42.5 37.06-75.69 95.96-91.06 161.7C183.8 202.4 186.4 206.7 190.8 207.7zM560.5 192c-30.25 .125-135 6.342-213.2 80.34C322.7 293.7 302.8 319.4 288 348.9C273.2 319.4 253.3 293.7 228.1 272.6c-78.41-74.21-183.2-80.43-213.4-80.55C6.813 192 0 198.8 0 207.5C.25 235.1 7.469 330.7 88.78 401.4C171.8 480 254.8 479.9 286.9 480v-8L289.1 480h1.219c32.34 0 114.9-.9062 196.7-78.34C568.5 330.7 575.8 235.1 576 207.5C576 198.8 569.2 192 560.5 192zM476.2 389.8c-77.41 73.31-152.7 74.18-185.9 74.18H285.7c-33.19 0-108.5-.9062-186.1-74.4C23 322.1 16.25 233.3 15.5 208c28.75 .125 128.3 6 202.7 76.4c27.41 23.81 47.81 52.18 62.41 86.71c2.5 5.875 12.25 5.875 14.75 0c14.59-34.53 35-62.9 62.66-86.93C431.8 214.4 530.6 208.2 560 208C559.6 234.7 552.4 323.5 476.2 389.8z"],
    "space-station-moon": [512, 512, [], "e033", "M208 160C208 168.8 200.8 176 192 176C183.2 176 176 168.8 176 160C176 151.2 183.2 144 192 144C200.8 144 208 151.2 208 160zM272 160C272 204.2 236.2 240 192 240C147.8 240 112 204.2 112 160C112 115.8 147.8 80 192 80C236.2 80 272 115.8 272 160zM192 96C156.7 96 128 124.7 128 160C128 195.3 156.7 224 192 224C227.3 224 256 195.3 256 160C256 124.7 227.3 96 192 96zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM18.74 292.4C92.41 320.6 172.4 336 256 336C339.6 336 419.6 320.6 493.3 292.4C495.1 280.5 496 268.4 496 256C496 123.5 388.5 16 256 16C123.5 16 16 123.5 16 256C16 268.4 16.93 280.5 18.74 292.4zM22.28 310.8C47.06 416.9 142.3 496 256 496C369.7 496 464.9 416.9 489.7 310.8C416.8 337.4 338.1 352 256 352C173.9 352 95.17 337.4 22.28 310.8H22.28z"],
    "space-station-moon-construction": [512, 512, ["space-station-moon-alt"], "e034", "M255.1 16C123.5 16 15.1 123.5 15.1 256C15.1 268.4 16.93 280.5 18.74 292.4C92.41 320.6 172.4 336 255.1 336C339.6 336 419.6 320.6 493.3 292.4C494.7 283.1 495.6 273.6 495.9 264H416C411.6 264 408 260.4 408 256C408 251.6 411.6 248 416 248H504C508.4 248 512 251.6 512 256C512 270.8 510.7 285.2 508.3 299.3C507.9 301.8 506.3 303.1 504.1 305.1L502.7 305.8C502.4 305.1 502.2 306.1 501.1 306.1C425.7 335.8 342.7 352 255.1 352C173.9 352 95.17 337.4 22.28 310.8C47.05 416.9 142.3 496 255.1 496C338 496 410.5 454.8 453.8 392H400C395.6 392 392 388.4 392 384C392 379.6 395.6 376 400 376H468.5C471.3 376 474 377.6 475.4 380.1C476.8 382.6 476.8 385.7 475.3 388.1C430.5 462.3 349 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C334.4 0 404.7 35.29 451.6 90.84C453.6 93.21 454.1 96.54 452.7 99.37C451.4 102.2 448.6 104 445.5 104H360C355.6 104 352 100.4 352 96C352 91.58 355.6 88 360 88H427.4C383.8 43.56 323.1 16 255.1 16H255.1zM344 152C344 147.6 347.6 144 352 144H448C452.4 144 456 147.6 456 152C456 156.4 452.4 160 448 160H352C347.6 160 344 156.4 344 152zM344 200C344 195.6 347.6 192 352 192H448C452.4 192 456 195.6 456 200C456 204.4 452.4 208 448 208H352C347.6 208 344 204.4 344 200zM175.1 160C175.1 151.2 183.2 144 191.1 144C200.8 144 207.1 151.2 207.1 160C207.1 168.8 200.8 176 191.1 176C183.2 176 175.1 168.8 175.1 160zM111.1 160C111.1 115.8 147.8 80 191.1 80C236.2 80 272 115.8 272 160C272 204.2 236.2 240 191.1 240C147.8 240 111.1 204.2 111.1 160zM191.1 224C227.3 224 255.1 195.3 255.1 160C255.1 124.7 227.3 96 191.1 96C156.7 96 127.1 124.7 127.1 160C127.1 195.3 156.7 224 191.1 224z"],
    "spade": [512, 512, [9824], "f2f4", "M233.5 9.74C245.5-3.247 266.4-3.247 279.4 9.74L472.2 209.5C528.1 267.5 525.1 363.4 463.2 417.3C407.3 464.3 325.4 455.3 275.4 404.3L264 391.7V496H344C348.4 496 352 499.6 352 504C352 508.4 348.4 512 344 512H168C163.6 512 160 508.4 160 504C160 499.6 163.6 496 168 496H248V392.2L236.5 404.3C186.5 455.3 103.6 464.3 49.7 417.3C-13.23 363.4-16.22 267.5 39.71 209.5L233.5 9.74zM460.7 220.6L268 20.97C261 14.06 250.6 14.76 245.2 20.59L244.1 20.88L51.22 220.6C1.603 272.1 4.288 357.3 60.11 405.2L60.2 405.3C106.8 445.8 180.1 438.9 224.1 393.2L244.9 372.3C247.9 369.1 252.2 367.3 256.6 367.4C261.1 367.4 265.3 369.3 268.3 372.6L287.1 393.4C331.8 438.8 404.1 445.1 452.8 405.2C507.6 357.3 510.3 272 460.7 220.6L460.7 220.6z"],
    "spaghetti-monster-flying": [640, 512, ["pastafarianism"], "f67b", "M448 79.97c8.836 0 16-7.164 16-16S456.8 47.98 448 47.98s-16 7.157-16 15.99S439.2 79.97 448 79.97zM7.344 208.3c19.94 1.625 31.5 9.859 47.13 25.5l22.31 22.31C87.03 266.3 100.7 272 115.2 272c19.56 0 37.63-10.53 47.16-27.48C175.3 221.6 198.6 189.2 234.8 167.4l14.07 28.13C250.3 198.4 253.1 200 256 200c1.219 0 2.438-.2656 3.562-.8438c3.969-1.984 5.562-6.781 3.594-10.73l-14.11-28.22C269.2 150.6 292.5 144 320 144s50.78 6.58 70.95 16.21l-14.11 28.22c-1.969 3.953-.375 8.75 3.594 10.73C381.6 199.7 382.8 200 384 200c2.938 0 5.75-1.625 7.156-4.422L405.2 167.4c36.18 21.77 59.52 54.12 72.43 77.07C487.2 261.5 505.3 272 524.8 272c14.5 0 28.16-5.656 38.41-15.91l22.31-22.31c15.62-15.64 27.19-23.88 47.13-25.5c4.406-.3594 7.688-4.219 7.312-8.625c-.375-4.391-4.25-7.641-8.625-7.312c-24.59 2-39.59 12.56-57.13 30.12l-22.31 22.31C544.7 252 535.1 256 524.8 256c-13.78 0-26.5-7.406-33.22-19.33c-14.03-24.94-39.46-60.14-79.15-83.67l14.43-28.86C433.5 126.5 440.6 127.9 448 127.9c35.35 0 64-28.57 64-63.92S483.3 0 448 0s-64 28.63-64 63.97c0 22.19 11.31 41.75 28.46 53.23l-14.33 28.66C375.1 135.3 350.4 128 320 128S264 135.3 241.9 145.9L227.5 117.2C244.7 105.7 256 86.16 256 63.97C256 28.63 227.3 0 192 0S128 28.63 128 63.97s28.65 63.92 64 63.92c7.445 0 14.48-1.41 21.13-3.747L227.6 153C187.9 176.5 162.4 211.7 148.4 236.7C141.7 248.6 128.1 256 115.2 256C104.9 256 95.34 252 88.09 244.8L65.78 222.5C48.25 204.9 33.25 194.3 8.656 192.3C4.281 191.1 .4062 195.3 .0313 199.7C-.3438 204.1 2.938 207.9 7.344 208.3zM400 64c0-26.47 21.53-48 48-48s48 21.53 48 48S474.5 112 448 112S400 90.47 400 64zM192 112C165.5 112 144 90.47 144 64S165.5 16 192 16S240 37.53 240 64S218.5 112 192 112zM632 336h-14c-28.97 0-54.1 16.09-67.94 42C543.3 391.6 529.6 400 514.5 400c-17.16 0-32.34-10.94-37.78-27.22c-4.877-14.65-11.89-28.4-20.5-41.12c12.37-11.74 22.93-25.06 30.87-39.88c2.062-3.906 .5938-8.75-3.281-10.83c-3.938-2.109-8.75-.6406-10.84 3.266C445.7 335.1 385.7 368 320 368s-125.7-32.89-152.9-83.78C164.1 280.3 160.2 278.8 156.2 280.1C152.3 283 150.9 287.9 152.9 291.8c7.939 14.82 18.5 28.14 30.87 39.88c-8.604 12.72-15.62 26.47-20.5 41.12C157.9 389.1 142.7 400 125.5 400c-15.16 0-28.81-8.438-35.59-21.1C77 352.1 50.97 336 21.1 336H8C3.594 336 0 339.6 0 344S3.594 352 8 352h13.1c22.88 0 43.41 12.7 53.63 33.16C85.13 404.2 104.3 416 125.5 416c24.03 0 45.31-15.33 52.97-38.16c4.221-12.71 10.3-24.6 17.62-35.69c23.13 18.2 51.34 31 82.04 37.26L265.6 412.5c-10.12 26.66-10.12 26.66-12.12 30.67C237.2 475.8 204.4 496 168 496C163.6 496 160 499.6 160 504S163.6 512 168 512c42.53 0 80.78-23.62 100.3-62.56c1.906-3.859 1.906-3.859 12.31-31.27l13.57-35.8C302.6 383.4 311.3 384 320 384s17.37-.6194 25.87-1.67l13.57 35.8c10.41 27.41 10.41 27.41 12.78 32.16C391.2 488.4 429.5 512 472 512c4.406 0 8-3.578 8-8s-3.594-8-8-8c-36.44 0-69.19-20.23-85.91-53.72c-1.562-3.125-1.562-3.125-11.69-29.78l-12.56-33.09c30.7-6.254 58.92-19.06 82.04-37.26c7.316 11.1 13.39 22.99 17.62 35.69C469.2 400.7 490.4 416 514.5 416c21.28 0 40.41-11.81 49.91-30.84C574.6 364.7 595.1 352 617.1 352H632c4.406 0 8-3.578 8-8S636.4 336 632 336zM192 47.98c-8.836 0-16 7.157-16 15.99s7.164 16 16 16s16-7.164 16-16S200.8 47.98 192 47.98z"],
    "sparkles": [512, 512, [10024], "f890", "M432 40C436.4 40 440 43.58 440 48V104H496C500.4 104 504 107.6 504 112C504 116.4 500.4 120 496 120H440V176C440 180.4 436.4 184 432 184C427.6 184 424 180.4 424 176V120H368C363.6 120 360 116.4 360 112C360 107.6 363.6 104 368 104H424V48C424 43.58 427.6 40 432 40zM432 328C436.4 328 440 331.6 440 336V392H496C500.4 392 504 395.6 504 400C504 404.4 500.4 408 496 408H440V464C440 468.4 436.4 472 432 472C427.6 472 424 468.4 424 464V408H368C363.6 408 360 404.4 360 400C360 395.6 363.6 392 368 392H424V336C424 331.6 427.6 328 432 328zM123.3 321.8L9.292 269.1C3.627 266.5 0 260.8 0 254.6C0 248.3 3.627 242.6 9.292 240L123.3 187.3L176 73.29C178.6 67.63 184.3 64 190.6 64C196.8 64 202.5 67.63 205.1 73.29L257.8 187.3L371.8 240C377.5 242.6 381.1 248.3 381.1 254.6C381.1 260.8 377.5 266.5 371.8 269.1L257.8 321.8L205.1 435.8C202.5 441.5 196.8 445.1 190.6 445.1C184.3 445.1 178.6 441.5 176 435.8L123.3 321.8zM15.1 254.6L130.1 307.2C133.5 308.8 136.3 311.6 137.9 315L190.6 429.1L243.2 315C244.8 311.6 247.6 308.8 251 307.2L365.1 254.6L251 201.9C247.6 200.3 244.8 197.5 243.2 194.1L190.6 80L137.9 194.1C136.3 197.5 133.5 200.3 130.1 201.9L15.1 254.6z"],
    "speaker": [384, 512, [], "f8df", "M192 288c-26.48 0-48 21.5-48 48S165.5 384 192 384s48-21.5 48-48S218.5 288 192 288zM192 368c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S209.6 368 192 368zM336 0h-288C21.5 0 0 21.5 0 48v416C0 490.5 21.5 512 48 512h288c26.5 0 48-21.5 48-48v-416C384 21.5 362.5 0 336 0zM368 464c0 17.64-14.36 32-32 32h-288c-17.64 0-32-14.36-32-32v-416c0-17.64 14.36-32 32-32h288c17.64 0 32 14.36 32 32V464zM192 160c26.5 0 48-21.5 48-48S218.5 64 192 64S144 85.5 144 112S165.5 160 192 160zM192 80c17.64 0 32 14.36 32 32s-14.36 32-32 32s-32-14.36-32-32S174.4 80 192 80zM192 224c-61.81 0-112 50.17-112 112S130.2 448 192 448s112-50.17 112-112S253.8 224 192 224zM192 432c-52.94 0-96-43.07-96-96c0-52.94 43.06-96 96-96s96 43.06 96 96C288 388.9 244.9 432 192 432z"],
    "speakers": [640, 512, [], "f8e0", "M592 0h-288C277.5 0 256 21.5 256 48v416C256 490.5 277.5 512 304 512h288c26.5 0 48-21.5 48-48v-416C640 21.5 618.5 0 592 0zM624 464c0 17.64-14.36 32-32 32h-288c-17.64 0-32-14.36-32-32v-416c0-17.64 14.36-32 32-32h288c17.64 0 32 14.36 32 32V464zM448 160c26.5 0 48-21.5 48-48S474.5 64 448 64s-48 21.5-48 48S421.5 160 448 160zM448 80c17.64 0 32 14.36 32 32s-14.36 32-32 32s-32-14.36-32-32S430.4 80 448 80zM448 224c-61.81 0-112 50.17-112 112S386.2 448 448 448s112-50.17 112-112S509.8 224 448 224zM448 432c-52.94 0-96-43.07-96-96c0-52.94 43.06-96 96-96s96 43.06 96 96C544 388.9 500.9 432 448 432zM448 288c-26.48 0-48 21.5-48 48S421.5 384 448 384s48-21.5 48-48S474.5 288 448 288zM448 368c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S465.6 368 448 368zM176 288C149.5 288 128 309.5 128 336S149.5 384 176 384S224 362.5 224 336S202.5 288 176 288zM176 368c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S193.6 368 176 368zM176 64C149.5 64 128 85.5 128 112S149.5 160 176 160S224 138.5 224 112S202.5 64 176 64zM176 144c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S193.6 144 176 144zM216 0H48C21.49 0 0 21.49 0 48v416C0 490.5 21.49 512 48 512h168C220.4 512 224 508.4 224 504S220.4 496 216 496H48c-17.67 0-32-14.33-32-32v-416c0-17.67 14.33-32 32-32h168C220.4 16 224 12.42 224 8S220.4 0 216 0zM219.4 233.1C199.8 224.7 177.5 221.3 153.6 226.4c-48.44 10.25-85.6 51.66-89.29 101C59.41 393.1 111.3 448 175.9 448c15.47 0 30.11-3.4 43.49-9.133C222.2 437.7 224 434.8 224 431.8v-.5605c0-5.654-5.805-9.24-10.99-6.994c-13.68 5.918-28.9 8.859-45.08 7.43c-48.63-4.297-87.38-45.75-87.92-94.56C79.42 283.7 122.7 240 176 240c13.17 0 25.61 2.861 36.99 7.779C218.2 250 224 246.4 224 240.8v-.5547C224 237.2 222.2 234.3 219.4 233.1z"],
    "spell-check": [576, 512, [], "f891", "M573.7 282.3c-3.125-3.125-8.187-3.125-11.31 0l-210.6 210.6l-122.3-112.6c-3.25-3-8.297-2.75-11.31 .4687C215.1 384 215.3 389.1 218.6 392l127.1 117.8c1.531 1.438 3.483 2.132 5.421 2.132c2.047 0 4.095-.7886 5.657-2.351l215.1-216C576.8 290.5 576.8 285.5 573.7 282.3zM223.3 244.8l-103.1-240c-2.531-5.812-12.16-5.812-14.69 0l-103.1 240c-1.75 4.062 .1094 8.781 4.156 10.53C8.861 257 13.58 255.2 15.35 251.2l32.62-75.2c.0254 0-.0254 0 0 0H176c.0254 0-.0254 0 0 0l32.62 75.2C209.1 254.2 212.9 256 216 256c1.062 0 2.141-.2187 3.187-.6562C223.2 253.6 225.1 248.9 223.3 244.8zM54.86 160l57.14-131.9L169.1 160H54.86zM272 256h103.1c39.77 0 71.1-32.23 71.1-72c0-34.36-24.1-62.98-56.29-70.17C406.4 102.1 416 84.26 416 64c0-35.35-28.65-63.99-64-63.99L272 0C263.2 0 256 7.162 256 16v224C256 248.8 263.2 256 272 256zM272 16h79.1c26.47 0 47.1 21.53 47.1 48s-21.53 48-47.1 48H272V16zM272 128h103.1c30.88 0 55.1 25.12 55.1 56S406.9 240 376 240H272V128z"],
    "spider": [576, 512, [128375], "f717", "M543.8 286.1c-.6562-2.625-2.594-4.719-5.141-5.625L368 221.1V214.6l168.7-14.67c3.188-.2813 5.891-2.406 6.906-5.438l32-96c1.391-4.188-.875-8.719-5.062-10.12c-4.172-1.375-8.703 .875-10.12 5.062l-30.33 91.04L368 198.6V192.5l107.8-57.48c3.281-1.75 4.922-5.531 3.969-9.125l-32-120c-1.125-4.219-5.516-6.781-9.797-5.656c-4.266 1.125-6.812 5.5-5.672 9.781l30.38 113.9L368 174.4l.0578-14.38c0-34.97-22.58-68.22-53.57-79.13c-4.594-1.625-9.632-.9086-13.62 1.935c-4.047 2.844-6.469 7.531-6.469 12.47V120H281.6V95.28c0-4.938-2.422-9.625-6.469-12.47C271.1 79.97 266 79.22 261.5 80.85C230.5 91.75 207.8 125 207.8 160L208 174.4L113.4 123.9l30.38-113.9C144.9 5.766 142.3 1.391 138.1 .2656C133.8-.8594 129.4 1.703 128.3 5.922l-32 120C95.31 129.5 96.96 133.3 100.2 135.1L208 192.5v6.045L45.93 184.5L15.6 93.46C14.19 89.27 9.723 86.99 5.473 88.39C1.285 89.8-.9805 94.33 .4102 98.52l32 96c1.016 3.031 3.719 5.156 6.906 5.438L208 214.6v6.453L37.38 280.4C34.83 281.3 32.89 283.4 32.24 286.1l-32 128c-1.062 4.281 1.547 8.627 5.828 9.689c.6562 .1875 1.297 .25 1.938 .25c3.594 0 6.859-2.438 7.766-6.064L46.72 294.1L208 238v1.957l-140.8 105.6c-2.938 2.219-4 6.125-2.578 9.5l63.1 152C129.9 510.2 132.9 512 136 512c1.031 0 2.094-.1875 3.109-.625c4.062-1.719 5.984-6.406 4.266-10.47l-61.58-146.3l105.9-79.41C177.8 292.4 172 311.6 172 332c0 63.97 52.03 115.1 115.1 115.1s115.1-52.02 115.1-115.1c0-17.79-4.393-34.7-12-50.19l102.1 72.96l-61.52 146.1c-1.719 4.062 .2031 8.75 4.266 10.47C437.9 511.8 438.1 512 439.1 512c3.125 0 6.078-1.844 7.375-4.906l64-152c1.453-3.438 .3125-7.438-2.719-9.594L368 245V238l161.3 56.09l30.95 123.8c.9062 3.627 4.172 6.064 7.766 6.064c.6406 0 1.281-.0625 1.938-.25c4.281-1.062 6.891-5.408 5.828-9.689L543.8 286.1zM388 332c0 55.13-44.86 100-100 100s-100-44.88-100-100c0-28.34 11.84-54.63 33.36-74.03L224 255.6V160c0-28.41 17.1-55.34 41.59-64.72V136h44.81l-1.203-40.03C333.1 104.7 352 131.6 352 160v95.59l2.641 2.375C376.2 277.4 388 303.7 388 332z"],
    "spider-black-widow": [576, 512, [], "f718", "M543.8 286.1c-.6562-2.625-2.594-4.719-5.141-5.625L368 221.1V214.6l168.7-14.67c3.188-.2813 5.891-2.406 6.906-5.438l32-96c1.391-4.188-.875-8.719-5.062-10.12c-4.172-1.375-8.703 .875-10.12 5.062l-30.33 91.04L368 198.6V192.5l107.8-57.48c3.281-1.75 4.922-5.531 3.969-9.125l-32-120c-1.125-4.219-5.516-6.781-9.797-5.656c-4.266 1.125-6.812 5.5-5.672 9.781l30.38 113.9L368 174.4l.058-14.38c0-34.97-22.58-68.22-53.57-79.13c-4.594-1.625-9.633-.9082-13.62 1.936c-4.047 2.844-6.469 7.531-6.469 12.47V120H281.6V95.28c0-4.938-2.422-9.625-6.469-12.47C271.1 79.97 266 79.22 261.5 80.85C230.5 91.75 208 125 208 160L208 174.4L113.4 123.9l30.38-113.9C144.9 5.766 142.3 1.391 138.1 .2656C133.8-.8594 129.4 1.703 128.3 5.922l-32 120C95.31 129.5 96.96 133.3 100.2 135.1L208 192.5v6.045L45.93 184.5L15.6 93.46C14.19 89.27 9.723 86.99 5.473 88.39C1.285 89.8-.9805 94.33 .4102 98.52l32 96c1.016 3.031 3.719 5.156 6.906 5.438L208 214.6v6.453L37.38 280.4C34.83 281.3 32.89 283.4 32.24 286.1l-32 128c-1.062 4.281 1.547 8.627 5.828 9.689c.6562 .1875 1.297 .25 1.938 .25c3.594 0 6.859-2.438 7.766-6.064L46.72 294.1L208 238v1.957l-140.8 105.6c-2.938 2.219-4 6.125-2.578 9.5l63.1 152C129.9 510.2 132.9 512 136 512c1.031 0 2.094-.1875 3.109-.625c4.062-1.719 5.984-6.406 4.266-10.47l-61.58-146.3l105.9-79.41C177.8 292.4 172 311.6 172 332c0 63.97 52.03 115.1 115.1 115.1s115.1-52.02 115.1-115.1c0-17.79-4.393-34.7-12-50.19l102.1 72.96l-61.52 146.1c-1.719 4.062 .2031 8.75 4.266 10.47C437.9 511.8 438.1 512 439.1 512c3.125 0 6.078-1.844 7.375-4.906l64-152c1.453-3.438 .3125-7.438-2.719-9.594L368 245V238l161.3 56.09l30.95 123.8c.9062 3.627 4.172 6.064 7.766 6.064c.6406 0 1.281-.0625 1.938-.25c4.281-1.062 6.891-5.408 5.828-9.689L543.8 286.1zM388 332c0 55.13-44.86 100-100 100s-100-44.88-100-100c0-28.34 11.84-54.63 33.36-74.03L224 255.6V160c0-28.41 17.1-55.34 41.59-64.72V136h44.81l-1.203-40.03C333.1 104.7 352 131.6 352 160v95.59l2.641 2.375C376.2 277.4 388 303.7 388 332zM320.1 288H255.9C249.2 288 245.5 295.5 249.5 300.8L275.1 336l-26.46 35.25C245.5 376.5 249.2 384 255.9 384h64.2c6.65 0 10.41-7.5 6.395-12.75L300 336l26.46-35.25C330.5 295.5 326.8 288 320.1 288zM304.1 368H271.9L288 346.6L304.1 368zM288 325.4L271.9 304h32.14L288 325.4z"],
    "spider-web": [576, 512, [128376], "f719", "M145.7 13.19C147 9.554 150.8 7.422 154.6 8.138L232.8 22.79C270.8 29.92 309.8 29.92 347.8 22.79L425.1 8.138C429.8 7.422 433.6 9.554 434.9 13.19L467.3 99.52C479.6 132.3 497.3 162.8 519.7 189.7L570.7 250.9C573.2 253.8 573.2 258.2 570.7 261.1L519.7 322.3C497.3 349.2 479.6 379.7 467.3 412.5L434.9 498.8C433.6 502.4 429.8 504.6 425.1 503.9L347.8 489.2C309.8 482.1 270.8 482.1 232.8 489.2L154.6 503.9C150.8 504.6 147 502.4 145.7 498.8L113.3 412.5C100.1 379.7 83.25 349.2 60.83 322.3L9.854 261.1C7.382 258.2 7.382 253.8 9.854 250.9L60.83 189.7C83.25 162.8 100.1 132.3 113.3 99.52L145.7 13.19zM154.2 35.97L128.3 105.1C115.3 139.6 96.69 171.7 73.12 199.1L33.08 248H124.2L132 239.1C158.1 209.2 178.3 174.7 191.5 137.4L199.4 114.1L154.2 35.97zM167.4 26.81L211.8 104.5C262.2 118.1 315.7 119.1 366.2 104.9L410.6 27.29L350.7 38.52C310.8 46.01 269.8 46.01 229.8 38.52L167.4 26.81zM425.5 33.56L379.7 113.6L388.1 137.4C401.3 174.7 421.5 209.2 447.6 239.1L455.4 248H547.5L507.5 199.1C483.9 171.7 465.2 139.6 452.3 105.1L425.5 33.56zM547.5 264H455L448.8 271.1C421.9 301.8 401.3 337.6 388.2 376.3L380.3 399.5L425.5 478.4L452.3 406.9C465.2 372.4 483.9 340.3 507.5 312L547.5 264zM410.6 484.7L368.3 410.6L368.2 410.6L367.2 410.3C316.1 393.6 262.9 392.5 212 407L167.4 485.2L229.8 473.5C269.8 465.1 310.8 465.1 350.7 473.5L410.6 484.7zM154.2 476L199.4 396.9L191.5 374.3C178.3 336.9 158.1 302.4 132 272.6L124.5 264H33.08L73.12 312C96.69 340.3 115.3 372.4 128.3 406.9L154.2 476zM145.8 264C172.4 294.9 192.1 330.5 206.6 368.1L209.9 378.5L275.4 264H145.8zM223.1 387.7C267.2 377.8 313.1 378.7 356.8 390.5L289.1 272.1L223.1 387.7zM369.7 380.9L373 371.1C386.4 331.9 406.1 295.5 433.8 264H302.9L369.7 380.9zM434.1 248C407.4 217 386.6 181.3 373 142.7L369.2 131.1L302.9 248H434.1zM355.2 124.2C311.6 134 266.4 133.9 222.9 123.9L289.1 239.9L355.2 124.2zM209.8 133.4L206.6 142.7C192.9 181.3 172.2 217 145.5 248H275.4L209.8 133.4z"],
    "spinner": [512, 512, [], "f110", "M208 48C208 21.49 229.5 0 256 0C282.5 0 304 21.49 304 48C304 74.51 282.5 96 256 96C229.5 96 208 74.51 208 48zM256 80C273.7 80 288 65.67 288 48C288 30.33 273.7 16 256 16C238.3 16 224 30.33 224 48C224 65.67 238.3 80 256 80zM208 464C208 437.5 229.5 416 256 416C282.5 416 304 437.5 304 464C304 490.5 282.5 512 256 512C229.5 512 208 490.5 208 464zM256 496C273.7 496 288 481.7 288 464C288 446.3 273.7 432 256 432C238.3 432 224 446.3 224 464C224 481.7 238.3 496 256 496zM96 256C96 282.5 74.51 304 48 304C21.49 304 0 282.5 0 256C0 229.5 21.49 208 48 208C74.51 208 96 229.5 96 256zM48 224C30.33 224 16 238.3 16 256C16 273.7 30.33 288 48 288C65.67 288 80 273.7 80 256C80 238.3 65.67 224 48 224zM416 256C416 229.5 437.5 208 464 208C490.5 208 512 229.5 512 256C512 282.5 490.5 304 464 304C437.5 304 416 282.5 416 256zM464 288C481.7 288 496 273.7 496 256C496 238.3 481.7 224 464 224C446.3 224 432 238.3 432 256C432 273.7 446.3 288 464 288zM142.9 369.1C161.6 387.9 161.6 418.3 142.9 437C124.1 455.8 93.73 455.8 74.98 437C56.23 418.3 56.23 387.9 74.98 369.1C93.73 350.4 124.1 350.4 142.9 369.1V369.1zM86.29 380.5C73.8 392.9 73.8 413.2 86.29 425.7C98.79 438.2 119.1 438.2 131.5 425.7C144 413.2 144 392.9 131.5 380.5C119.1 367.1 98.79 367.1 86.29 380.5zM74.98 74.98C93.73 56.23 124.1 56.23 142.9 74.98C161.6 93.73 161.6 124.1 142.9 142.9C124.1 161.6 93.73 161.6 74.98 142.9C56.24 124.1 56.24 93.73 74.98 74.98V74.98zM86.29 131.5C98.79 144 119.1 144 131.5 131.5C144 119.1 144 98.79 131.5 86.29C119.1 73.8 98.79 73.8 86.29 86.29C73.8 98.79 73.8 119.1 86.29 131.5zM437 437C418.3 455.8 387.9 455.8 369.1 437C350.4 418.3 350.4 387.9 369.1 369.1C387.9 350.4 418.3 350.4 437 369.1C455.8 387.9 455.8 418.3 437 437V437zM425.7 380.5C413.2 367.1 392.9 367.1 380.5 380.5C367.1 392.9 367.1 413.2 380.5 425.7C392.9 438.2 413.2 438.2 425.7 425.7C438.2 413.2 438.2 392.9 425.7 380.5z"],
    "spinner-third": [576, 512, [], "f3f4", "M280 8C280 3.582 283.6 0 288 0C429.4 0 544 114.6 544 256C544 302.6 531.5 346.4 509.7 384C507.5 387.9 502.6 389.2 498.8 386.9C494.1 384.7 493.7 379.8 495.9 376C516.3 340.7 528 299.7 528 256C528 123.5 420.5 16 288 16C283.6 16 280 12.42 280 8V8z"],
    "split": [512, 512, [], "e254", "M509.7 378.3c3.125 3.125 3.125 8.188 0 11.31l-80 80C428.1 471.2 426.1 472 424 472s-4.094-.7813-5.656-2.344c-3.125-3.125-3.125-8.188 0-11.31L484.7 392h-151.4c-10.53 0-20.84-4.281-28.28-11.72L188.7 264H8C3.594 264 0 260.4 0 256s3.594-8 8-8h180.7l116.3-116.3C312.4 124.3 322.7 120 333.3 120h151.4l-66.34-66.34c-3.125-3.125-3.125-8.188 0-11.31s8.188-3.125 11.31 0l80 80c3.125 3.125 3.125 8.188 0 11.31l-80 80C428.1 215.2 426.1 216 424 216s-4.094-.7813-5.656-2.344c-3.125-3.125-3.125-8.188 0-11.31L484.7 136h-151.4c-6.312 0-12.5 2.562-16.97 7.031L203.3 256l112.1 112.1C320.8 373.4 326.9 376 333.3 376h151.4l-66.34-66.34c-3.125-3.125-3.125-8.188 0-11.31s8.188-3.125 11.31 0L509.7 378.3z"],
    "splotch": [512, 512, [], "f5bc", "M237.3 24.66C249.4 9.133 267.9 .0566 287.6 .0566C316.5 .0566 341.8 19.47 349.3 47.38L367.9 116.1C374.6 142.1 393.2 162.3 417.6 171.2L475.8 192.4C497.5 200.3 512 221 512 244.2C512 261.8 503.6 278.4 489.4 288.8L406.9 348.1C393.3 358.9 385.7 374.1 386.7 391.8L389.8 442.4C392.1 480.1 362.2 511.9 324.4 511.9C308.8 511.9 293.8 506.4 281.1 496.4L236.1 458.2C221.1 444.7 200.9 437.3 180 437.3H171.6C165.1 437.3 160.4 437.8 154.8 438.9L87.81 451.9C63.82 456.6 39.53 445.5 27.41 424.3C17.39 406.7 17.39 385.2 27.41 367.7L55.11 319.2C60.99 308.9 64.09 297.3 64.09 285.4C64.09 272.3 60.33 259.6 53.27 248.6L8.796 179.4C-6.738 155.2-1.267 123.2 21.41 105.6C32.12 97.25 45.52 93.13 59.07 94.01L130.8 98.66C159.8 100.5 187.1 87.91 205.9 64.93L237.3 24.66zM287.6 16.06C272.9 16.06 258.9 22.86 249.9 34.49L218.5 74.77C197.3 101.9 164.1 116.9 129.7 114.6L58.03 109.1C48.39 109.4 38.86 112.3 31.23 118.2C15.09 130.8 11.2 153.6 22.25 170.7L66.73 239.9C75.45 253.5 80.09 269.3 80.09 285.4C80.09 300 76.27 314.4 69 327.1L41.3 375.6C34.09 388.2 34.09 403.7 41.3 416.3C50.02 431.6 67.5 439.6 84.75 436.2L151.8 423.2C158.3 421.9 164.1 421.3 171.6 421.3H180C204.7 421.3 228.5 430 247.3 445.1L292.3 484.2C301.3 491.8 312.6 495.9 324.4 495.9C352.9 495.9 375.6 471.9 373.8 443.4L370.7 392.7C369.4 370.5 379.4 349.1 397.4 336L479.9 275.9C490.1 268.5 496 256.7 496 244.2C496 227.8 485.7 213.1 470.3 207.4L412.1 186.2C382.8 175.5 360.5 151.2 352.5 121.1L333.8 51.52C328.2 30.6 309.3 16.06 287.6 16.06L287.6 16.06z"],
    "spoon": [512, 512, [61873, 129348, "utensil-spoon"], "f2e5", "M449.5 242.1C437.7 255.7 423.3 266.7 407.1 274.6C390.1 282.5 373.4 287.1 355.4 288C350.7 288 346.1 287.7 341.4 287C326.2 284.5 311.8 278.4 299.5 269.1L68.29 500.3C60.79 507.8 50.61 512 40 512C29.39 512 19.22 507.8 11.71 500.3C4.211 492.8-.0039 482.6-.0039 472C-.0039 461.4 4.211 451.2 11.71 443.7L243 212.5C233.7 200.2 227.6 185.8 225.1 170.6C223.3 150.3 226.5 129.8 234.3 111C242.1 92.21 254.3 75.55 269.9 62.47C305.5 24.74 354.3 2.34 406.1 .0012C420.2-.4567 434.2 1.903 447.3 6.943C460.5 11.98 472.5 19.6 482.7 29.35C532.3 78.95 517.4 174.2 449.5 242.1zM287 258.9C285.7 257.7 284.2 256.6 282.9 255.3L256.7 229.1C255.4 227.8 254.3 226.3 253.1 224.1L23.04 455C18.8 459.6 16.49 465.6 16.6 471.8C16.71 478 19.23 483.1 23.63 488.4C28.03 492.8 33.96 495.3 40.18 495.4C46.39 495.5 52.41 493.2 56.96 488.1L287 258.9zM471.4 40.64C462.7 32.38 452.4 25.94 441.2 21.71C430 17.48 418.1 15.54 406.1 16C358.6 18.48 313.9 39.17 281.2 73.76C267.4 85.17 256.6 99.7 249.5 116.1C242.5 132.6 239.5 150.5 240.8 168.3C244.4 187.3 253.9 204.6 268 217.8L294.2 243.1C307.4 258.1 324.7 267.6 343.7 271.2C347.6 271.7 351.5 271.1 355.4 272C371.3 271 386.8 266.8 401.1 259.8C415.3 252.7 428 242.9 438.4 230.8C499.8 169.2 514.7 83.94 471.4 40.64z"],
    "sportsball": [512, 512, [], "e44b", "M461.5 23.83C465.5 24.51 469.3 25.93 472.7 27.97C473.3 28.33 473.9 28.71 474.5 29.11C475.2 29.63 475.9 30.18 476.6 30.76C482.1 35.3 486.1 41.64 487.6 48.92C505.1 133.7 506.2 260.2 445.1 358.4C415.3 408.4 369.1 450.4 303.1 474.9C237.6 499.2 154.4 505.5 50.51 488.2C45.69 487.4 41.23 485.5 37.39 482.8C36.69 482.3 36.02 481.8 35.36 481.2C32.45 478.8 29.98 475.9 28.07 472.6C26.39 469.7 25.15 466.5 24.45 463.1C13.12 408.2 8.653 335.9 23.23 265.1C23.23 265.1 23.23 265.1 23.23 265.1C24.31 259.8 25.5 254.6 26.8 249.3C26.79 249.3 26.8 249.3 26.8 249.3C35.03 216.1 47.69 183.5 66.04 153.6C75.45 138.3 86.32 123.7 98.78 110.1C102.4 106.2 106.1 102.4 109.1 98.64C136.3 73.15 168.1 51.95 208.9 37.15C221.6 32.42 235.1 28.36 249.2 25.03C249.2 25.03 249.2 25.03 249.2 25.03C254.3 23.82 259.6 22.7 264.9 21.67C264.9 21.67 264.9 21.68 264.9 21.67C320.1 11.13 385.2 11.09 461.5 23.83L461.5 23.83zM331.1 169.6L460.7 40.02C460.1 39.85 459.5 39.71 458.9 39.61C383.4 27.02 319.9 27.28 266.8 37.6C274.5 88.27 297.6 133.9 331.1 169.6H331.1zM471.8 51.56L342.4 180.9C377.7 214.1 422.8 236.1 472.8 244.9C487.1 176.6 483 106.1 471.9 52.16C471.8 51.96 471.8 51.76 471.8 51.56V51.56zM469.2 260.6C416.2 251.9 368.5 227.5 331.1 192.2L267.3 255.1L401.9 390.6C413.5 377.9 423.6 364.3 432.3 350C449.4 322.1 461.4 291.7 469.2 260.6L469.2 260.6zM390.7 402L255.1 267.3L192.2 331.1C227.9 368.9 252.5 417.3 260.8 470.1C273.7 467.9 285.9 464.2 297.5 459.8C335.2 445.9 365.9 425.1 390.7 402V402zM245.2 474.4C237.5 423.7 214.4 378.1 180.9 342.4L51.34 471.1C51.93 472.1 52.53 472.3 53.15 472.4C128.6 484.1 192.1 484.7 245.2 474.4zM40.25 460.4L169.6 331.1C134.3 297.9 89.21 275 39.16 267.1C24.86 335.4 28.98 405.9 40.11 459.8C40.16 460 40.2 460.2 40.25 460.4V460.4zM42.77 251.4C95.79 260.1 143.5 284.5 180.9 319.7L244.7 255.1L110.1 121.4C98.54 134.1 88.44 147.7 79.68 161.1C62.59 189.9 50.65 220.3 42.77 251.4V251.4zM121.3 109.1L255.1 244.7L319.8 180.9C284.1 143.1 259.5 94.73 251.2 41.01C238.3 44.12 226.1 47.84 214.5 52.15C176.8 66.11 146.1 86.03 121.3 109.1V109.1z"],
    "spray-can": [512, 512, [], "f5bd", "M96 40C96 17.91 113.9 0 136 0H184C206.1 0 224 17.91 224 40V120C224 124.4 220.4 128 216 128C211.6 128 208 124.4 208 120V40C208 26.75 197.3 16 184 16H136C122.7 16 112 26.75 112 40V120C112 124.4 108.4 128 104 128C99.58 128 96 124.4 96 120V40zM248 336C248 384.6 208.6 424 160 424C111.4 424 72 384.6 72 336C72 287.4 111.4 248 160 248C208.6 248 248 287.4 248 336zM160 408C199.8 408 232 375.8 232 336C232 296.2 199.8 264 160 264C120.2 264 88 296.2 88 336C88 375.8 120.2 408 160 408zM224 160C277 160 320 202.1 320 256V448C320 483.3 291.3 512 256 512H64C28.65 512 0 483.3 0 448V256C0 202.1 42.98 160 96 160H224zM224 176H96C51.82 176 16 211.8 16 256V448C16 474.5 37.49 496 64 496H256C282.5 496 304 474.5 304 448V256C304 211.8 268.2 176 224 176zM320 48C320 56.84 312.8 64 304 64C295.2 64 288 56.84 288 48C288 39.16 295.2 32 304 32C312.8 32 320 39.16 320 48zM384 48C384 39.16 391.2 32 400 32C408.8 32 416 39.16 416 48C416 56.84 408.8 64 400 64C391.2 64 384 56.84 384 48zM512 48C512 56.84 504.8 64 496 64C487.2 64 480 56.84 480 48C480 39.16 487.2 32 496 32C504.8 32 512 39.16 512 48zM480 144C480 135.2 487.2 128 496 128C504.8 128 512 135.2 512 144C512 152.8 504.8 160 496 160C487.2 160 480 152.8 480 144zM512 240C512 248.8 504.8 256 496 256C487.2 256 480 248.8 480 240C480 231.2 487.2 224 496 224C504.8 224 512 231.2 512 240zM384 144C384 135.2 391.2 128 400 128C408.8 128 416 135.2 416 144C416 152.8 408.8 160 400 160C391.2 160 384 152.8 384 144z"],
    "spray-can-sparkles": [512, 512, ["air-freshener"], "f5d0", "M184 0C206.1 0 224 17.91 224 40V120C224 124.4 220.4 128 216 128C211.6 128 208 124.4 208 120V40C208 26.75 197.3 16 184 16H136C122.7 16 112 26.75 112 40V120C112 124.4 108.4 128 104 128C99.58 128 96 124.4 96 120V40C96 17.91 113.9 0 136 0H184zM72 336C72 287.4 111.4 248 160 248C208.6 248 248 287.4 248 336C248 384.6 208.6 424 160 424C111.4 424 72 384.6 72 336zM160 264C120.2 264 88 296.2 88 336C88 375.8 120.2 408 160 408C199.8 408 232 375.8 232 336C232 296.2 199.8 264 160 264zM0 256C0 202.1 42.98 160 96 160H224C277 160 320 202.1 320 256V448C320 483.3 291.3 512 256 512H64C28.65 512 0 483.3 0 448V256zM16 256V448C16 474.5 37.49 496 64 496H256C282.5 496 304 474.5 304 448V256C304 211.8 268.2 176 224 176H96C51.82 176 16 211.8 16 256zM336 0C340.4 0 344 3.582 344 8V40H376C380.4 40 384 43.58 384 48C384 52.42 380.4 56 376 56H344V88C344 92.42 340.4 96 336 96C331.6 96 328 92.42 328 88V56H296C291.6 56 288 52.42 288 48C288 43.58 291.6 40 296 40H328V8C328 3.582 331.6 0 336 0zM464 0C468.4 0 472 3.582 472 8V88C472 92.42 468.4 96 464 96C459.6 96 456 92.42 456 88V8C456 3.582 459.6 0 464 0zM464 192C468.4 192 472 195.6 472 200V280C472 284.4 468.4 288 464 288C459.6 288 456 284.4 456 280V200C456 195.6 459.6 192 464 192zM400 96C404.4 96 408 99.58 408 104V184C408 188.4 404.4 192 400 192C395.6 192 392 188.4 392 184V104C392 99.58 395.6 96 400 96zM504 232H424C419.6 232 416 235.6 416 240C416 244.4 419.6 248 424 248H504C508.4 248 512 244.4 512 240C512 235.6 508.4 232 504 232zM504 40H424C419.6 40 416 43.58 416 48C416 52.42 419.6 56 424 56H504C508.4 56 512 52.42 512 48C512 43.58 508.4 40 504 40zM440 136H360C355.6 136 352 139.6 352 144C352 148.4 355.6 152 360 152H440C444.4 152 448 148.4 448 144C448 139.6 444.4 136 440 136z"],
    "sprinkler": [512, 512, [], "e035", "M408 256h-144V72c0-4.406-3.578-8-8-8S248 67.59 248 72V256h-144C100.9 256 98.13 257.8 96.8 260.5C95.45 263.3 95.83 266.6 97.75 269L192 386.8V504C192 508.4 195.6 512 200 512s8-3.594 8-8V384c0-1.812-.625-3.594-1.75-5L120.6 272h270.7l-85.61 107C304.6 380.4 304 382.2 304 384v120c0 4.406 3.578 8 8 8S320 508.4 320 504v-117.2L414.3 269c1.922-2.406 2.297-5.688 .9531-8.469C413.9 257.8 411.1 256 408 256zM144 160C152.9 160 160 152.9 160 144S152.9 128 144 128S128 135.1 128 144S135.1 160 144 160zM16 256C7.125 256 0 263.1 0 272S7.125 288 16 288S32 280.9 32 272S24.88 256 16 256zM16 128C7.125 128 0 135.1 0 144S7.125 160 16 160S32 152.9 32 144S24.88 128 16 128zM16 0C7.125 0 0 7.125 0 16S7.125 32 16 32S32 24.88 32 16S24.88 0 16 0zM368 160C376.9 160 384 152.9 384 144S376.9 128 368 128S352 135.1 352 144S359.1 160 368 160zM496 32C504.9 32 512 24.88 512 16S504.9 0 496 0S480 7.125 480 16S487.1 32 496 32zM496 128C487.1 128 480 135.1 480 144S487.1 160 496 160S512 152.9 512 144S504.9 128 496 128zM432 64C423.1 64 416 71.13 416 80S423.1 96 432 96S448 88.88 448 80S440.9 64 432 64zM496 256C487.1 256 480 263.1 480 272S487.1 288 496 288S512 280.9 512 272S504.9 256 496 256zM80 192C71.13 192 64 199.1 64 208S71.13 224 80 224S96 216.9 96 208S88.88 192 80 192zM432 192C423.1 192 416 199.1 416 208S423.1 224 432 224S448 216.9 448 208S440.9 192 432 192zM80 64C71.13 64 64 71.13 64 80S71.13 96 80 96S96 88.88 96 80S88.88 64 80 64z"],
    "sprinkler-ceiling": [384, 512, [], "e44c", "M144 448C135.2 448 128 455.2 128 464S135.2 480 144 480S160 472.8 160 464S152.8 448 144 448zM144 320C135.2 320 128 327.2 128 336S135.2 352 144 352S160 344.8 160 336S152.8 320 144 320zM80 384C71.17 384 64 391.2 64 400S71.17 416 80 416S96 408.8 96 400S88.83 384 80 384zM5.953 103.7l120 32C130.2 136.9 134.6 134.3 135.7 130C136.9 125.8 134.3 121.4 130 120.3L16 89.86V8C16 3.584 12.42 0 8 0S0 3.584 0 8V96C0 99.62 2.432 102.8 5.953 103.7zM368 448c-8.832 0-16 7.168-16 16s7.168 16 16 16s16-7.168 16-16S376.8 448 368 448zM16 448C7.168 448 0 455.2 0 464S7.168 480 16 480S32 472.8 32 464S24.83 448 16 448zM192 384c-8.832 0-16 7.168-16 16S183.2 416 192 416s16-7.168 16-16S200.8 384 192 384zM376 0c-4.416 0-8 3.584-8 8v81.86l-114 30.4c-4.289 1.152-6.816 5.535-5.664 9.791c1.119 4.289 5.504 6.816 9.76 5.697l120-32C381.6 102.8 384 99.62 384 96V8C384 3.584 380.4 0 376 0zM240 448c-8.832 0-16 7.168-16 16s7.168 16 16 16s16-7.168 16-16S248.8 448 240 448zM312 240H224V64c0-17.66-14.34-32-32-32S160 46.34 160 64v176H72C67.58 240 64 243.6 64 248S67.58 256 72 256h240C316.4 256 320 252.4 320 248S316.4 240 312 240zM208 240h-32V64c0-8.832 7.168-16 16-16s16 7.168 16 16V240zM304 384c-8.832 0-16 7.168-16 16s7.168 16 16 16s16-7.168 16-16S312.8 384 304 384zM240 320c-8.832 0-16 7.168-16 16s7.168 16 16 16s16-7.168 16-16S248.8 320 240 320z"],
    "square": [448, 512, [9723, 9724, 61590, 9632], "f0c8", "M384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM384 48H64C37.49 48 16 69.49 16 96V416C16 442.5 37.49 464 64 464H384C410.5 464 432 442.5 432 416V96C432 69.49 410.5 48 384 48z"],
    "square-0": [448, 512, [], "e255", "M224 128C170.1 128 128 170.1 128 224v64c0 53.02 42.98 96 96 96s96-42.98 96-96V224C320 170.1 277 128 224 128zM304 288c0 44.11-35.89 80-80 80S144 332.1 144 288V224c0-44.11 35.89-80 80-80s80 35.89 80 80V288zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416z"],
    "square-1": [448, 512, [], "e256", "M288 368h-56V136c0-2.844-1.516-5.5-3.984-6.906c-2.438-1.406-5.484-1.469-7.984-.0313l-56 32C160.2 163.3 158.9 168.1 161 171.1c2.219 3.875 7.094 5.156 10.92 2.969L216 149.8V368H160c-4.422 0-8 3.594-8 8S155.6 384 160 384h128c4.422 0 8-3.594 8-8S292.4 368 288 368zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416z"],
    "square-2": [448, 512, [], "e257", "M312 368H157.5l113.1-97.94c33.89-29.28 37.83-78.88 8.969-112.9C265.3 140.3 245.2 130 223 128.3C200.7 126.7 179.1 133.5 162.3 148L143.5 164.2C140.2 167.1 139.8 172.1 142.7 175.5c2.906 3.375 7.938 3.781 11.28 .8438l18.8-16.19c13.59-11.69 31-17.41 49-15.91c17.92 1.406 34.13 9.656 45.61 23.25c23.12 27.28 19.95 67.03-7.219 90.47l-129.4 112c-2.531 2.188-3.422 5.719-2.266 8.844C129.7 381.9 132.7 384 136 384h176c4.422 0 8-3.594 8-8S316.4 368 312 368zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416z"],
    "square-3": [448, 512, [], "e258", "M248 240H189.3l111.1-97.97c2.516-2.219 3.391-5.719 2.219-8.844S299.3 128 296 128h-160C131.6 128 128 131.6 128 136S131.6 144 136 144h138.7L162.7 241.1c-2.516 2.219-3.391 5.719-2.219 8.844S164.7 256 168 256h80c30.88 0 56 25.12 56 56s-25.12 56-56 56H180.5c-16.78 0-31.59-10.69-36.89-26.59c-1.406-4.188-5.906-6.531-10.12-5.062c-4.188 1.406-6.453 5.938-5.062 10.12C135.9 368.9 156.8 384 180.5 384H248C287.7 384 320 351.7 320 312S287.7 240 248 240zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416z"],
    "square-4": [448, 512, [], "e259", "M312 304H288V200C288 195.6 284.4 192 280 192S272 195.6 272 200V304H139.9l67.48-164.1c1.672-4.094-.2813-8.75-4.375-10.44C198.9 126.9 194.3 128.9 192.6 132.1l-72 176c-1 2.469-.7187 5.281 .7656 7.5S125.3 320 128 320h144v56c0 4.406 3.578 8 8 8S288 380.4 288 376V320h24C316.4 320 320 316.4 320 312S316.4 304 312 304zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416z"],
    "square-5": [448, 512, [], "e25a", "M248 240H153.8l19.03-96H296c4.422 0 8-3.594 8-8S300.4 128 296 128H166.2C162.4 128 159.1 130.7 158.4 134.4l-22.22 112C135.7 248.8 136.3 251.2 137.8 253.1C139.3 254.9 141.6 256 144 256h104c30.88 0 56 25.12 56 56s-25.12 56-56 56H181.4c-17.19 0-32.38-10.94-37.81-27.25c-1.391-4.188-5.922-6.406-10.12-5.062c-4.188 1.406-6.453 5.938-5.062 10.12C136 368.7 157.3 384 181.4 384H248C287.7 384 320 351.7 320 312S287.7 240 248 240zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416z"],
    "square-6": [448, 512, [], "e25b", "M224 192C219.5 192 215.1 192.7 210.7 193.3l58.56-51.31c3.312-2.938 3.656-7.969 .75-11.31C268.4 128.9 266.2 128 264 128c-1.875 0-3.75 .6562-5.281 1.969c0 0-99.16 87.3-99.37 87.54C140.2 235.1 128 260 128 288c0 52.94 43.06 96 96 96s96-43.06 96-96S276.9 192 224 192zM224 368c-44.13 0-80-35.88-80-80S179.9 208 224 208s80 35.88 80 80S268.1 368 224 368zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416z"],
    "square-7": [448, 512, [], "e25c", "M312 128h-176C131.6 128 128 131.6 128 136S131.6 144 136 144h161.9l-136.8 227.9c-2.25 3.812-1.031 8.719 2.75 11C165.2 383.6 166.6 384 168 384c2.719 0 5.375-1.375 6.875-3.875l144-240c1.469-2.469 1.5-5.562 .0938-8.062C317.5 129.6 314.9 128 312 128zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416z"],
    "square-8": [448, 512, [], "e25d", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416zM275.1 245.4C292.5 233.9 304 214.3 304 192c0-35.28-28.72-64-64-64h-32c-35.28 0-64 28.72-64 64c0 22.31 11.52 41.94 28.88 53.4C146.6 256.1 128 281.9 128 312C128 351.7 160.3 384 200 384h48C287.7 384 320 351.7 320 312C320 281.9 301.4 256.1 275.1 245.4zM160 192c0-26.47 21.53-48 48-48h32C266.5 144 288 165.5 288 192s-21.53 48-48 48h-32C181.5 240 160 218.5 160 192zM248 368h-48c-30.88 0-56-25.12-56-56S169.1 256 200 256h48c30.88 0 56 25.12 56 56S278.9 368 248 368z"],
    "square-9": [448, 512, [], "e25e", "M224 128C171.1 128 128 171.1 128 224s43.06 96 96 96c4.547 0 8.896-.7266 13.28-1.342l-58.56 51.31c-3.312 2.938-3.656 7.969-.75 11.31C179.6 383.1 181.8 384 184 384c1.875 0 3.75-.6562 5.281-1.969c0 0 99.16-87.3 99.37-87.54C307.8 276.9 320 251.1 320 224C320 171.1 276.9 128 224 128zM224 304C179.9 304 144 268.1 144 224S179.9 144 224 144s80 35.88 80 80S268.1 304 224 304zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416z"],
    "square-a": [448, 512, [], "e25f", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416zM231.2 132.4c-2.719-5.406-11.59-5.406-14.31 0l-120 240c-1.969 3.953-.375 8.75 3.578 10.73c4 2 8.75 .375 10.73-3.578L136.9 328h174.1l25.79 51.58C338.3 382.4 341.1 384 344 384c1.203 0 2.422-.2656 3.578-.8438c3.953-1.984 5.547-6.781 3.578-10.73L231.2 132.4zM144.9 312L224 153.9L303.1 312H144.9z"],
    "square-a-lock": [576, 512, [], "e44d", "M16 96V416C16 442.5 37.49 464 64 464H320V480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V161.1C442.5 161.9 437.2 163.1 432 164.6V96C432 69.49 410.5 48 384 48H64C37.49 48 16 69.49 16 96V96zM231.2 132.4L326.7 323.5C323.2 330.5 320.1 338.2 320.2 346.4L311.1 327.1H136.9L111.2 379.6C109.2 383.5 104.4 385.1 100.4 383.2C96.47 381.2 94.87 376.4 96.84 372.4L216.8 132.4C218.2 129.7 220.1 128 224 128C227 128 229.8 129.7 231.2 132.4H231.2zM144.9 311.1H303.1L224 153.9L144.9 311.1zM464 192C499.3 192 528 220.7 528 256V320H544C561.7 320 576 334.3 576 352V480C576 497.7 561.7 512 544 512H384C366.3 512 352 497.7 352 480V352C352 334.3 366.3 320 384 320H400V256C400 220.7 428.7 192 464 192zM464 208C437.5 208 416 229.5 416 256V320H512V256C512 229.5 490.5 208 464 208zM368 352V480C368 488.8 375.2 496 384 496H544C552.8 496 560 488.8 560 480V352C560 343.2 552.8 336 544 336H384C375.2 336 368 343.2 368 352z"],
    "square-ampersand": [448, 512, [], "e260", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416zM290.9 325.9l42.51-60.1c2.562-3.609 1.688-8.609-1.906-11.16c-3.625-2.562-8.594-1.719-11.16 1.906l-40.62 57.43L211.3 241.1l36.91-29.75c11.47-8.938 18.06-22.25 18.06-36.52C266.3 149 244.6 128 217.1 128H195.7C169.1 128 147.4 149 147.4 174.8c0 14.03 5.375 27.44 15.12 37.7l25.28 26.94L135.3 281.8c-14.09 10.94-22.16 27.25-22.16 44.77C113.2 358.2 139.8 384 172.4 384h38.88c24.09 0 46.63-11.48 60.22-30.72l9.902-14l39.57 42.19c3.094 3.25 8.125 3.391 11.31 .3594c3.219-3.016 3.375-8.078 .375-11.3L290.9 325.9zM174.2 201.6C167.3 194.3 163.4 184.8 163.4 174.8C163.4 157.8 177.9 144 195.7 144h22.28c17.81 0 32.28 13.84 32.28 30.84c0 9.297-4.344 18.02-12 23.97l-37.97 30.61L174.2 201.6zM258.5 344C247.9 359 230.2 368 211.3 368H172.4c-23.88 0-43.28-18.58-43.28-41.42c0-12.53 5.812-24.25 16.09-32.22l53.56-43.17l71.45 76.18L258.5 344z"],
    "square-arrow-down": [448, 512, ["arrow-square-down"], "f339", "M218.3 381.7c3.125 3.125 8.188 3.125 11.31 0l120-120C351.2 260.1 352 258.1 352 256s-.7813-4.094-2.344-5.656c-3.125-3.125-8.188-3.125-11.31 0L232 356.7V136c0-4.406-3.576-8-7.997-8S216 131.6 216 136v220.7L109.7 250.3c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31L218.3 381.7zM64 480h320c35.35 0 64-28.65 64-64V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320C0 451.3 28.65 480 64 480zM16 96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48v320c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96z"],
    "square-arrow-down-left": [448, 512, [], "e261", "M317.7 173.7c3.117-3.117 3.127-8.188 0-11.31c-3.125-3.129-8.197-3.117-11.31 0L143.1 324.7V184c0-4.422-3.58-8-7.998-8C131.6 176 128 179.6 128 184v160C128 348.4 131.6 352 136 352h160c4.42 0 8-3.578 8-8c0-4.418-3.58-8-8-8H155.3L317.7 173.7zM448 416V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320c0 35.34 28.65 64 64 64h320C419.3 480 448 451.3 448 416zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416z"],
    "square-arrow-down-right": [448, 512, [], "e262", "M292.7 336H152c-4.42 0-8 3.582-8 8C144 348.4 147.6 352 152 352h160c4.42 0 8-3.578 8-8v-160c0-4.422-3.576-8-8-8c-4.418 0-7.998 3.578-7.998 8v140.7L141.7 162.3c-3.115-3.117-8.188-3.129-11.31 0c-3.127 3.125-3.117 8.195 0 11.31L292.7 336zM64 480h320c35.35 0 64-28.66 64-64V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320C0 451.3 28.65 480 64 480zM16 96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48v320c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96z"],
    "square-arrow-left": [448, 512, ["arrow-square-left"], "f33a", "M98.34 250.3c-3.125 3.125-3.125 8.188 0 11.31l120 120C219.9 383.2 221.9 384 224 384s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31L123.3 264H344c4.406 0 8-3.576 8-7.997C352 251.6 348.4 248 344 248H123.3l106.3-106.3c3.125-3.125 3.125-8.188 0-11.31s-8.188-3.125-11.31 0L98.34 250.3zM0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96zM384 48c26.47 0 48 21.53 48 48v320c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48H384z"],
    "square-arrow-right": [448, 512, ["arrow-square-right"], "f33b", "M349.7 261.7c3.125-3.125 3.125-8.188 0-11.31l-120-120C228.1 128.8 226.1 128 224 128S219.9 128.8 218.3 130.3c-3.125 3.125-3.125 8.188 0 11.31L324.7 248H104C99.59 248 96 251.6 96 255.1C96 260.4 99.59 264 104 264h220.7l-106.3 106.3c-3.125 3.125-3.125 8.188 0 11.31s8.188 3.125 11.31 0L349.7 261.7zM448 416V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320C419.3 480 448 451.3 448 416zM64 464c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48v320c0 26.47-21.53 48-48 48H64z"],
    "square-arrow-up": [448, 512, ["arrow-square-up"], "f33c", "M229.7 130.3c-3.125-3.125-8.188-3.125-11.31 0l-120 120C96.78 251.9 96 253.9 96 256s.7813 4.094 2.344 5.656c3.125 3.125 8.188 3.125 11.31 0L216 155.3V376c0 4.406 3.576 8 7.997 8S232 380.4 232 376V155.3l106.3 106.3c3.125 3.125 8.188 3.125 11.31 0s3.125-8.188 0-11.31L229.7 130.3zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416z"],
    "square-arrow-up-left": [448, 512, [], "e263", "M155.3 176H296c4.42 0 8-3.582 8-8C304 163.6 300.4 160 296 160h-160C131.6 160 128 163.6 128 168v160c0 4.422 3.576 8 8 8c4.418 0 7.998-3.578 7.998-8V187.3l162.3 162.3c3.115 3.117 8.188 3.129 11.31 0c3.127-3.125 3.117-8.195 0-11.31L155.3 176zM384 32H64C28.65 32 0 60.66 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.66 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416z"],
    "square-arrow-up-right": [448, 512, ["external-link-square"], "f14c", "M130.3 338.3c-3.117 3.117-3.127 8.188 0 11.31c3.125 3.129 8.197 3.117 11.31 0l162.3-162.3V328c0 4.422 3.58 8 7.998 8c4.424 0 8-3.578 8-8v-160C320 163.6 316.4 160 312 160h-160C147.6 160 144 163.6 144 168c0 4.418 3.58 8 8 8h140.7L130.3 338.3zM0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96c0-35.34-28.65-64-64-64H64C28.65 32 0 60.66 0 96zM16 96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48v320c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96z"],
    "square-b": [448, 512, [], "e264", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416zM276.5 250.3C293.1 237.9 304 218.3 304 196C304 158.5 273.5 128 236 128H136C131.6 128 128 131.6 128 136v240C128 380.4 131.6 384 136 384h124c37.5 0 68-30.5 68-68C328 284.2 306 257.7 276.5 250.3zM144 144h92C264.7 144 288 167.3 288 196S264.7 248 236 248H144V144zM260 368H144V264h116c28.67 0 52 23.33 52 52S288.7 368 260 368z"],
    "square-bolt": [448, 512, [], "e265", "M293.8 112.3L258.9 224H332.9C343.5 224 352 232.5 352 243.1C352 248.5 349.7 253.6 345.8 257.2L174.7 412.7C172.4 414.8 169.4 416 166.2 416C157.7 416 151.7 407.8 154.2 399.7L189.1 288H114.5C104.3 288 96 279.7 96 269.5C96 264.3 98.18 259.4 102 255.9L273.3 99.29C275.6 97.18 278.6 96 281.8 96C290.3 96 296.3 104.2 293.8 112.3V112.3zM112 269.5C112 270.9 113.1 272 114.5 272H200C202.5 272 204.9 273.2 206.4 275.3C207.1 277.3 208.4 279.1 207.6 282.4L173.3 392.4L334.1 245.4C335.6 244.8 336 243.1 336 243.1C336 241.4 334.6 240 332.9 240H248C245.5 240 243.1 238.8 241.6 236.7C240 234.7 239.6 232 240.4 229.6L274.7 119.7L112.8 267.7C112.3 268.1 112 268.8 112 269.5V269.5zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM16 96V416C16 442.5 37.49 464 64 464H384C410.5 464 432 442.5 432 416V96C432 69.49 410.5 48 384 48H64C37.49 48 16 69.49 16 96z"],
    "square-c": [448, 512, [], "e266", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416zM306.4 176.8c3.109 3.094 8.203 3.062 11.31-.0938c3.094-3.141 3.062-8.203-.0938-11.31c-50.59-49.84-132.9-49.84-183.5 0C109.5 189.6 96 221.8 96 255.1s13.53 66.38 38.08 90.56c25.3 24.92 58.53 37.38 91.77 37.38s66.47-12.45 91.77-37.38c3.156-3.109 3.188-8.172 .0938-11.31c-3.109-3.156-8.203-3.188-11.31-.0938c-44.44 43.75-116.7 43.75-161.1 0C123.8 314 112 285.9 112 256s11.83-57.1 33.3-79.16C189.7 133.1 261.1 133.1 306.4 176.8z"],
    "square-caret-down": [448, 512, ["caret-square-down"], "f150", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.34 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416zM313.6 192H134.4C123.1 192 112.8 198.6 108.2 208.9C103.5 219.2 105.3 231.3 112.8 239.8l89.56 102.4C207.8 348.4 215.7 352 224 352s16.2-3.59 21.67-9.846l89.59-102.4c7.426-8.428 9.227-20.56 4.555-30.87C335.2 198.6 324.9 192 313.6 192zM323.2 229.2l-89.6 102.4C231.2 334.4 227.7 336 224 336s-7.199-1.6-9.625-4.375L124.8 229.2c-3.324-3.775-4.098-9.15-2.023-13.72C124.8 210.9 129.4 208 134.4 208h179.2c5.023 0 9.574 2.924 11.65 7.5C327.3 220.1 326.6 225.4 323.2 229.2z"],
    "square-caret-left": [448, 512, ["caret-square-left"], "f191", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.34 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416zM271.1 140.2c-3.77-1.711-7.777-2.578-11.91-2.578c-7 0-13.75 2.545-18.99 7.166L137.8 234.3C131.6 239.8 128 247.7 128 256s3.59 16.21 9.848 21.67l102.4 89.59c5.207 4.588 11.95 7.133 18.95 7.133c4.137 0 8.148-.8672 11.91-2.578C281.4 367.2 288 356.9 288 345.6V166.4C288 155.1 281.4 144.8 271.1 140.2zM272 345.6c0 5.025-2.926 9.574-7.5 11.65c-1.695 .7695-3.508 1.148-5.305 1.148c-3.039 0-6.047-1.084-8.422-3.174L148.4 265.6C145.6 263.2 144 259.7 144 256c0-3.701 1.602-7.201 4.375-9.625l102.4-89.6c2.375-2.09 5.383-3.174 8.422-3.174c1.797 0 3.605 .377 5.305 1.148C269.1 156.8 272 161.4 272 166.4V345.6z"],
    "square-caret-right": [448, 512, ["caret-square-right"], "f152", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.34 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416zM207.8 144.7C202.6 140.1 195.8 137.6 188.8 137.6c-4.137 0-8.148 .8672-11.91 2.578C166.6 144.8 160 155.1 160 166.4v179.2c0 11.27 6.629 21.57 16.89 26.22c3.77 1.711 7.777 2.578 11.91 2.578c7 0 13.75-2.545 18.99-7.166l102.4-89.57C316.4 272.2 320 264.3 320 256s-3.59-16.21-9.848-21.67L207.8 144.7zM299.6 265.6L197.2 355.2c-2.375 2.09-5.383 3.174-8.422 3.174c-1.797 0-3.605-.3789-5.305-1.148C178.9 355.2 176 350.6 176 345.6V166.4c0-5.025 2.926-9.576 7.5-11.65c1.699-.7715 3.508-1.148 5.305-1.148c3.039 0 6.047 1.082 8.422 3.174l102.4 89.6C302.4 248.8 304 252.3 304 256C304 259.7 302.4 263.2 299.6 265.6z"],
    "square-caret-up": [448, 512, ["caret-square-up"], "f151", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.34 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416zM245.7 169.8C240.2 163.6 232.3 160 224 160S207.8 163.6 202.3 169.8L112.7 272.2C105.3 280.7 103.5 292.8 108.2 303.1C112.8 313.4 123.1 320 134.4 320h179.2c11.27 0 21.57-6.631 26.22-16.89c4.672-10.31 2.875-22.44-4.594-30.91L245.7 169.8zM325.3 296.5C323.2 301.1 318.6 304 313.6 304H134.4c-5.023 0-9.574-2.926-11.65-7.5C120.7 291.9 121.4 286.5 124.8 282.8l89.6-102.4C216.8 177.6 220.3 176 224 176s7.199 1.6 9.625 4.375l89.6 102.4C326.6 286.5 327.3 291.9 325.3 296.5z"],
    "square-check": [448, 512, [9989, 61510, 9745, "check-square"], "f14a", "M197.7 325.7C194.5 328.8 189.5 328.8 186.3 325.7L122.3 261.7C119.2 258.5 119.2 253.5 122.3 250.3C125.5 247.2 130.5 247.2 133.7 250.3L192 308.7L314.3 186.3C317.5 183.2 322.5 183.2 325.7 186.3C328.8 189.5 328.8 194.5 325.7 197.7L197.7 325.7zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM16 96V416C16 442.5 37.49 464 64 464H384C410.5 464 432 442.5 432 416V96C432 69.49 410.5 48 384 48H64C37.49 48 16 69.49 16 96z"],
    "square-chevron-down": [448, 512, ["chevron-square-down"], "f329", "M330.2 202.7L224 316.4L117.8 202.7C116.3 200.1 114.1 200.1 112 200.1c-1.969 0-3.906 .7187-5.469 2.156C103.3 205.3 103.1 210.3 106.2 213.6l112 120c3 3.25 8.688 3.25 11.69 0l112-120c3.031-3.219 2.844-8.281-.375-11.3C338.2 199.3 333.2 199.4 330.2 202.7zM384 32H64C28.66 32 0 60.65 0 96v320c0 35.35 28.66 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416z"],
    "square-chevron-left": [448, 512, ["chevron-square-left"], "f32a", "M277.3 362.2L163.6 256l113.7-106.2C279 148.3 279.9 146.1 279.9 144c0-1.969-.7187-3.906-2.156-5.469c-3.016-3.219-8.078-3.406-11.3-.375l-120 112c-3.25 3-3.25 8.688 0 11.69l120 112c3.219 3.031 8.281 2.844 11.3-.375C280.7 370.2 280.6 365.2 277.3 362.2zM448 416V96c0-35.34-28.65-64-64-64H64C28.65 32 0 60.66 0 96v320c0 35.35 28.65 64 64 64h320C419.3 480 448 451.3 448 416zM64 464c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48v320c0 26.47-21.53 48-48 48H64z"],
    "square-chevron-right": [448, 512, ["chevron-square-right"], "f32b", "M170.7 149.8L284.4 256l-113.7 106.2C168.1 363.7 168.1 365.9 168.1 368c0 1.969 .7187 3.906 2.156 5.469c3.016 3.219 8.078 3.406 11.3 .375l120-112c3.25-3 3.25-8.688 0-11.69l-120-112C178.3 135.1 173.3 135.3 170.3 138.5C167.3 141.8 167.4 146.8 170.7 149.8zM0 96v320c0 35.34 28.65 64 64 64h320c35.35 0 64-28.66 64-64V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96zM384 48c26.47 0 48 21.53 48 48v320c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48H384z"],
    "square-chevron-up": [448, 512, ["chevron-square-up"], "f32c", "M117.8 309.3L224 195.6l106.2 113.7C331.7 311 333.9 311.9 336 311.9c1.969 0 3.906-.7187 5.469-2.156c3.219-3.016 3.406-8.078 .375-11.3l-112-120c-3-3.25-8.688-3.25-11.69 0l-112 120C103.1 301.7 103.3 306.7 106.5 309.7C109.8 312.7 114.8 312.6 117.8 309.3zM64 480h320c35.34 0 64-28.65 64-64V96c0-35.35-28.66-64-64-64H64C28.65 32 0 60.65 0 96v320C0 451.3 28.65 480 64 480zM16 96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48v320c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96z"],
    "square-code": [448, 512, [], "e267", "M277.7 170.3L357.7 250.3C360.8 253.5 360.8 258.5 357.7 261.7L277.7 341.7C274.5 344.8 269.5 344.8 266.3 341.7C263.2 338.5 263.2 333.5 266.3 330.3L340.7 256L266.3 181.7C263.2 178.5 263.2 173.5 266.3 170.3C269.5 167.2 274.5 167.2 277.7 170.3V170.3zM107.3 256L181.7 330.3C184.8 333.5 184.8 338.5 181.7 341.7C178.5 344.8 173.5 344.8 170.3 341.7L90.34 261.7C87.22 258.5 87.22 253.5 90.34 250.3L170.3 170.3C173.5 167.2 178.5 167.2 181.7 170.3C184.8 173.5 184.8 178.5 181.7 181.7L107.3 256zM384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM384 48H64C37.49 48 16 69.49 16 96V416C16 442.5 37.49 464 64 464H384C410.5 464 432 442.5 432 416V96C432 69.49 410.5 48 384 48z"],
    "square-d": [448, 512, [], "e268", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416zM224 128H136C131.6 128 128 131.6 128 136v240C128 380.4 131.6 384 136 384H224c70.58 0 128-57.42 128-128S294.6 128 224 128zM224 368H144v-224H224c61.75 0 112 50.25 112 112S285.8 368 224 368z"],
    "square-dashed": [448, 512, [], "e269", "M88 32H120C124.4 32 128 35.58 128 40C128 44.42 124.4 48 120 48H88C48.24 48 16 80.24 16 120V152C16 156.4 12.42 160 8 160C3.582 160 0 156.4 0 152V120C0 71.4 39.4 32 88 32zM16 200V312C16 316.4 12.42 320 8 320C3.582 320 0 316.4 0 312V200C0 195.6 3.582 192 8 192C12.42 192 16 195.6 16 200zM448 200V312C448 316.4 444.4 320 440 320C435.6 320 432 316.4 432 312V200C432 195.6 435.6 192 440 192C444.4 192 448 195.6 448 200zM432 152V120C432 80.24 399.8 48 360 48H328C323.6 48 320 44.42 320 40C320 35.58 323.6 32 328 32H360C408.6 32 448 71.4 448 120V152C448 156.4 444.4 160 440 160C435.6 160 432 156.4 432 152zM448 392C448 440.6 408.6 480 360 480H328C323.6 480 320 476.4 320 472C320 467.6 323.6 464 328 464H360C399.8 464 432 431.8 432 392V360C432 355.6 435.6 352 440 352C444.4 352 448 355.6 448 360V392zM16 392C16 431.8 48.24 464 88 464H120C124.4 464 128 467.6 128 472C128 476.4 124.4 480 120 480H88C39.4 480 0 440.6 0 392V360C0 355.6 3.582 352 8 352C12.42 352 16 355.6 16 360V392zM168 480C163.6 480 160 476.4 160 472C160 467.6 163.6 464 168 464H280C284.4 464 288 467.6 288 472C288 476.4 284.4 480 280 480H168zM168 32H280C284.4 32 288 35.58 288 40C288 44.42 284.4 48 280 48H168C163.6 48 160 44.42 160 40C160 35.58 163.6 32 168 32z"],
    "square-divide": [448, 512, [], "e26a", "M256 160C256 177.7 241.7 192 224 192C206.3 192 192 177.7 192 160C192 142.3 206.3 128 224 128C241.7 128 256 142.3 256 160zM224 144C215.2 144 208 151.2 208 160C208 168.8 215.2 176 224 176C232.8 176 240 168.8 240 160C240 151.2 232.8 144 224 144zM328 248C332.4 248 336 251.6 336 256C336 260.4 332.4 264 328 264H120C115.6 264 112 260.4 112 256C112 251.6 115.6 248 120 248H328zM192 352C192 334.3 206.3 320 224 320C241.7 320 256 334.3 256 352C256 369.7 241.7 384 224 384C206.3 384 192 369.7 192 352zM224 368C232.8 368 240 360.8 240 352C240 343.2 232.8 336 224 336C215.2 336 208 343.2 208 352C208 360.8 215.2 368 224 368zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM16 96V416C16 442.5 37.49 464 64 464H384C410.5 464 432 442.5 432 416V96C432 69.49 410.5 48 384 48H64C37.49 48 16 69.49 16 96z"],
    "square-dollar": [448, 512, ["dollar-square", "usd-square"], "f2e9", "M223.5 96C227.9 96 231.5 99.58 231.5 104V139.2C238.1 139.3 244.8 139.8 251.5 140.8C261.1 142.2 270.6 144.9 279.9 147.6C282.7 148.4 285.5 149.2 288.2 149.9C292.5 151.1 295 155.5 293.8 159.8C292.6 164 288.2 166.5 283.1 165.4C281.2 164.6 278.4 163.8 275.7 162.1C266.9 160.5 258.1 157.9 249.2 156.6C226.2 153.2 204.8 156.1 188.8 163C172.6 169.1 162.1 180.5 160.8 192.1C158.1 206.9 164.2 218.5 176.7 226.4C189.8 234.8 208.8 240.2 229.5 246.1L234.1 247.4C252.9 252.7 272.5 258.2 288.7 269.3C306.7 281.7 314.9 301 310.9 322.6C307.2 342.7 293.4 356.5 274.7 364C262.2 369 247.5 371.4 231.5 371.3L231.5 408C231.5 412.4 227.9 416 223.5 416C219.1 416 215.5 412.4 215.5 408L215.5 370.4C212.9 370.1 210.2 369.8 207.4 369.4L207.4 369.4C199.2 368.1 184.5 363.9 172.3 360.2C164.7 357.9 157.1 355.5 149.5 353C145.3 351.6 143 347.1 144.4 342.9C145.8 338.7 150.3 336.4 154.5 337.8C161.1 340.3 169.5 342.6 176.1 344.9C189.4 348.7 202.1 352.5 209.8 353.6C233.1 356.1 253.6 355.2 268.7 349.2C283.5 343.2 292.7 333.2 295.2 319.7C297.1 304.2 292.5 291.4 279.6 282.5C265.1 272.6 247.5 267.7 230.6 263C228.3 262.4 226 261.8 223.8 261.1C204.2 255.6 183.2 249.6 168 239.9C150.2 228.5 141.2 210.3 145.1 189.2C148.5 170.5 163.4 156.5 182.4 148.3C192.2 144.1 203.5 141.2 215.5 139.9V103.1C215.5 99.58 219.1 95.1 223.5 95.1L223.5 96zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM16 96V416C16 442.5 37.49 464 64 464H384C410.5 464 432 442.5 432 416V96C432 69.49 410.5 48 384 48H64C37.49 48 16 69.49 16 96z"],
    "square-down": [448, 512, [11015, "arrow-alt-square-down"], "f350", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416zM316.7 256H272V152C272 138.7 261.3 128 248 128h-48C186.7 128 176 138.7 176 152V256H131.3C109.9 256 99.23 281.9 114.3 296.1l92.68 92.68C211.7 394.3 217.9 396.7 224 396.7s12.28-2.344 16.97-7.029l92.68-92.68C348.8 281.9 338.1 256 316.7 256zM322.3 285.7l-92.68 92.68C227.6 380.4 225.2 380.7 224 380.7s-3.617-.3047-5.656-2.344L125.7 285.7C122.2 282.2 123.3 278.4 123.9 276.9C124.5 275.5 126.5 272 131.3 272H192V152C192 147.6 195.6 144 200 144h48C252.4 144 256 147.6 256 152V272h60.68c4.824 0 6.777 3.453 7.393 4.938C324.7 278.4 325.8 282.2 322.3 285.7z"],
    "square-down-left": [448, 512, [], "e26b", "M325.9 222c9.373-9.371 9.481-24.68 .1097-34.05l-33.94-33.94c-9.371-9.371-24.68-9.261-34.05 .1097L184.6 227.6L152.1 195.1C137.9 180.8 112 191.5 112 212.9V344c.002 6.629 2.686 12.62 7.029 16.97S129.4 368 136 368h131.1c21.38 0 32.09-25.85 16.97-40.97l-31.6-31.6L325.9 222zM314.7 210.6l-84.85 84.86l42.91 42.91c3.41 3.41 2.35 7.234 1.734 8.719C273.8 348.5 271.9 352 267.1 352H136c-2.883 0-4.781-1.469-5.656-2.344C129.5 348.8 128 346.9 128 344V212.9c0-4.824 3.451-6.777 4.936-7.395c1.486-.6133 5.309-1.672 8.719 1.738l42.91 42.91l84.85-84.85c3.119-3.121 8.193-3.121 11.31 0l33.94 33.94C317.8 202.4 317.8 207.5 314.7 210.6zM448 416V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320c0 35.34 28.65 64 64 64h320C419.3 480 448 451.3 448 416zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416z"],
    "square-down-right": [448, 512, [], "e26c", "M195.6 295.4l-31.6 31.6C148.8 342.1 159.5 368 180.9 368H312c6.627 0 12.63-2.688 16.97-7.031S335.1 350.6 336 344V212.9c0-21.38-25.85-32.09-40.97-16.97l-31.6 31.6l-73.42-73.42c-9.373-9.371-24.69-9.494-34.06-.1234L122 187.1C112.6 197.3 112.8 212.6 122.1 222L195.6 295.4zM133.3 199.3l33.94-33.94c3.119-3.121 8.193-3.121 11.31 0l84.85 84.85l42.91-42.91c3.41-3.41 7.232-2.352 8.719-1.738c1.484 .6172 4.936 2.57 4.936 7.395V344c0 2.883-1.465 4.781-2.342 5.656C316.8 350.5 314.9 352 312 352H180.9c-4.826 0-6.775-3.453-7.393-4.938c-.6152-1.484-1.676-5.309 1.734-8.719l42.91-42.91L133.3 210.6C130.2 207.5 130.2 202.4 133.3 199.3zM64 480h320c35.35 0 64-28.66 64-64V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320C0 451.3 28.65 480 64 480zM16 96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48v320c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96z"],
    "square-e": [448, 512, [], "e26d", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416zM312 144C316.4 144 320 140.4 320 136S316.4 128 312 128h-176C131.6 128 128 131.6 128 136v240C128 380.4 131.6 384 136 384h176c4.422 0 8-3.578 8-8s-3.578-8-8-8H144V264h120c4.422 0 8-3.578 8-8s-3.578-8-8-8H144V144H312z"],
    "square-ellipsis": [448, 512, [], "e26e", "M224 272C215.2 272 208 264.8 208 256C208 247.2 215.2 240 224 240C232.8 240 240 247.2 240 256C240 264.8 232.8 272 224 272zM128 240C136.8 240 144 247.2 144 256C144 264.8 136.8 272 128 272C119.2 272 112 264.8 112 256C112 247.2 119.2 240 128 240zM320 272C311.2 272 304 264.8 304 256C304 247.2 311.2 240 320 240C328.8 240 336 247.2 336 256C336 264.8 328.8 272 320 272zM64 480C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64zM64 464H384C410.5 464 432 442.5 432 416V96C432 69.49 410.5 48 384 48H64C37.49 48 16 69.49 16 96V416C16 442.5 37.49 464 64 464z"],
    "square-ellipsis-vertical": [448, 512, [], "e26f", "M208 256C208 247.2 215.2 240 224 240C232.8 240 240 247.2 240 256C240 264.8 232.8 272 224 272C215.2 272 208 264.8 208 256zM240 160C240 168.8 232.8 176 224 176C215.2 176 208 168.8 208 160C208 151.2 215.2 144 224 144C232.8 144 240 151.2 240 160zM208 352C208 343.2 215.2 336 224 336C232.8 336 240 343.2 240 352C240 360.8 232.8 368 224 368C215.2 368 208 360.8 208 352zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM16 96V416C16 442.5 37.49 464 64 464H384C410.5 464 432 442.5 432 416V96C432 69.49 410.5 48 384 48H64C37.49 48 16 69.49 16 96z"],
    "square-envelope": [448, 512, ["envelope-square"], "f199", "M384 32H64C28.65 32 0 60.66 0 96v320c0 35.34 28.65 64 64 64h320c35.34 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416zM352 144H96c-17.67 0-32 14.33-32 32v160c0 17.67 14.33 32 32 32h256c17.67 0 32-14.33 32-32v-160C384 158.3 369.7 144 352 144zM368 336c0 8.822-7.178 16-16 16H96c-8.822 0-16-7.178-16-16V216.3l123.4 74.02C209.8 294.1 216.9 296 224 296s14.23-1.906 20.58-5.719L368 216.3V336zM368 197.6l-131.7 79.01c-7.594 4.562-17.08 4.594-24.7-.0313L80 197.6V176C80 167.2 87.18 160 96 160h256c8.822 0 16 7.178 16 16V197.6z"],
    "square-exclamation": [448, 512, ["exclamation-square"], "f321", "M224 304c4.406 0 8-3.578 8-8v-176c0-4.422-3.594-8-8-8S216 115.6 216 120v176C216 300.4 219.6 304 224 304zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416zM224 352c-8.836 0-16 7.164-16 16S215.2 384 224 384s16-7.164 16-16S232.8 352 224 352z"],
    "square-f": [448, 512, [], "e270", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416zM312 128h-176C131.6 128 128 131.6 128 136v240C128 380.4 131.6 384 136 384s8-3.578 8-8V272h136C284.4 272 288 268.4 288 264S284.4 256 280 256H144V144h168C316.4 144 320 140.4 320 136S316.4 128 312 128z"],
    "square-fragile": [448, 512, ["box-fragile", "square-wine-glass-crack"], "f49b", "M305.1 96C322.2 96 336 109.8 336 126.9V208C336 267.2 290.1 315.6 232 319.7V400H280C284.4 400 288 403.6 288 408C288 412.4 284.4 416 280 416H168C163.6 416 160 412.4 160 408C160 403.6 163.6 400 168 400H216V319.7C157.9 315.6 112 267.2 112 208V126.9C112 109.8 125.8 96 142.9 96H305.1zM305.1 112H219.3L253.7 146.3C255.4 148 256.2 150.4 255.1 152.8C255.7 155.2 254.4 157.3 252.4 158.7L213.4 184.7L253.1 217.9C256.5 220.7 256.1 225.7 254.1 229.1C251.3 232.5 246.3 232.1 242.9 230.1L194.9 190.1C192.9 188.5 191.9 186.1 192 183.6C192.1 181.1 193.5 178.7 195.6 177.3L235.4 150.8L196.7 112H142.9C134.7 112 128 118.7 128 126.9V208C128 261 170.1 304 224 304C277 304 320 261 320 208V126.9C320 118.7 313.3 112 305.1 112V112zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM16 96V416C16 442.5 37.49 464 64 464H384C410.5 464 432 442.5 432 416V96C432 69.49 410.5 48 384 48H64C37.49 48 16 69.49 16 96z"],
    "square-full": [512, 512, [128997, 128998, 128999, 129000, 129001, 129002, 129003, 11036, 11035], "f45c", "M512 0V512H0V0H512zM496 16H16V496H496V16z"],
    "square-g": [448, 512, [], "e271", "M344 255.5H256c-4.406 0-8 3.578-8 8s3.594 8 8 8h79.69c-.8125 9.75-3.062 18.75-6.781 26.84C323.2 310.9 314.6 323.1 304 333.9c-41.13 41.67-108 44.89-152.4 7.078C127.4 320.3 113.3 291.6 112.1 260C110.8 228.8 122.8 198.3 144.8 176.3c42.06-42 109.6-43.92 153.8-4.297c3.312 2.984 8.375 2.703 11.31-.6094c2.938-3.297 2.656-8.359-.625-11.3c-50.59-45.3-127.8-43.13-175.8 4.891C108.3 190.2 94.69 225 96.09 260.6c1.469 36.09 17.5 68.95 45.16 92.52c23.75 20.22 53.13 30.2 82.5 30.2c33.34 0 66.69-12.88 91.63-38.25c11.88-12.05 21.59-25.92 28.09-40.11C349.1 292.7 352 278.7 352 263.5C352 259.1 348.4 255.5 344 255.5zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416z"],
    "square-h": [448, 512, ["h-square"], "f0fd", "M312 128c-4.406 0-8 3.578-8 8v112h-160v-112C144 131.6 140.4 128 136 128S128 131.6 128 136v240C128 380.4 131.6 384 136 384s8-3.578 8-8v-112h160v112c0 4.422 3.594 8 8 8S320 380.4 320 376v-240C320 131.6 316.4 128 312 128zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416z"],
    "square-heart": [448, 512, [128159, "heart-square"], "f4c8", "M206.3 173L224 191L241.7 173C271.1 143.2 318.8 143.2 348.1 173C377.5 202.8 377.5 251.2 348.1 280.1L246.5 384.2C240.3 390.5 232.1 393.6 223.1 393.6C215.9 393.6 207.7 390.5 201.5 384.2L99.87 280.1C70.48 251.2 70.48 202.8 99.87 173C129.2 143.2 176.9 143.2 206.3 173H206.3zM194.9 184.2C171.8 160.8 134.4 160.8 111.3 184.2C88.02 207.8 88.02 246.2 111.3 269.8L212.9 372.1C216 376.1 220 377.6 224 377.6C227.1 377.6 231.1 376.1 235.1 372.1L336.7 269.8C359.1 246.2 359.1 207.8 336.7 184.2C313.6 160.8 276.2 160.8 253.1 184.2L224 213.8L194.9 184.2zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM16 96V416C16 442.5 37.49 464 64 464H384C410.5 464 432 442.5 432 416V96C432 69.49 410.5 48 384 48H64C37.49 48 16 69.49 16 96z"],
    "square-i": [448, 512, [], "e272", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416zM312 144C316.4 144 320 140.4 320 136S316.4 128 312 128h-176C131.6 128 128 131.6 128 136S131.6 144 136 144h80v224h-80C131.6 368 128 371.6 128 376S131.6 384 136 384h176c4.406 0 8-3.578 8-8s-3.594-8-8-8h-80v-224H312z"],
    "square-info": [448, 512, [8505, "info-square"], "f30f", "M223.9 176c8.822 0 16-7.178 16-16s-7.178-16-16-16s-16 7.178-16 16S215.1 176 223.9 176zM256 352h-24.02l.0098-135.1c0-.0176 0 .0176 0 0C231.1 211.6 228.4 208 224 208H192c-4.406 0-8 3.594-8 8S187.6 224 192 224h23.98v128H192c-4.406 0-8 3.594-8 8S187.6 368 192 368h64c4.406 0 8-3.594 8-8S260.4 352 256 352zM384 32H64C28.66 32 0 60.66 0 96v320c0 35.34 28.66 64 64 64h320c35.35 0 64-28.66 64-64V96C448 60.66 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416z"],
    "square-j": [448, 512, [], "e273", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416zM312 128c-4.406 0-8 3.578-8 8v160c0 39.7-35.88 72-80 72s-80-32.3-80-72C144 291.6 140.4 288 136 288S128 291.6 128 296C128 344.5 171.1 384 224 384s96-39.47 96-88v-160C320 131.6 316.4 128 312 128z"],
    "square-k": [448, 512, [], "e274", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416zM317.9 130.5c-3-3.203-8.062-3.438-11.31-.4062L144 281.3V136C144 131.6 140.4 128 136 128S128 131.6 128 136v240C128 380.4 131.6 384 136 384s8-3.578 8-8V303.1l59.73-55.54l101.9 133.3C307.2 382.9 309.6 384 312 384c1.703 0 3.406-.5313 4.859-1.641c3.516-2.688 4.172-7.703 1.5-11.22L215.5 236.6l101.9-94.79C320.7 138.8 320.9 133.8 317.9 130.5z"],
    "square-kanban": [448, 512, [], "e488", "M96 160C96 142.3 110.3 128 128 128C145.7 128 160 142.3 160 160V288C160 305.7 145.7 320 128 320C110.3 320 96 305.7 96 288V160zM128 144C119.2 144 112 151.2 112 160V288C112 296.8 119.2 304 128 304C136.8 304 144 296.8 144 288V160C144 151.2 136.8 144 128 144zM352 352C352 369.7 337.7 384 320 384C302.3 384 288 369.7 288 352V160C288 142.3 302.3 128 320 128C337.7 128 352 142.3 352 160V352zM336 160C336 151.2 328.8 144 320 144C311.2 144 304 151.2 304 160V352C304 360.8 311.2 368 320 368C328.8 368 336 360.8 336 352V160zM256 224C256 241.7 241.7 256 224 256C206.3 256 192 241.7 192 224V160C192 142.3 206.3 128 224 128C241.7 128 256 142.3 256 160V224zM240 160C240 151.2 232.8 144 224 144C215.2 144 208 151.2 208 160V224C208 232.8 215.2 240 224 240C232.8 240 240 232.8 240 224V160zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM64 464H384C410.5 464 432 442.5 432 416V96C432 69.49 410.5 48 384 48H64C37.49 48 16 69.49 16 96V416C16 442.5 37.49 464 64 464z"],
    "square-l": [448, 512, [], "e275", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416zM312 368H144V136C144 131.6 140.4 128 136 128S128 131.6 128 136v240C128 380.4 131.6 384 136 384h176c4.422 0 8-3.578 8-8S316.4 368 312 368z"],
    "square-left": [448, 512, [11013, "arrow-alt-square-left"], "f351", "M448 416V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320C419.3 480 448 451.3 448 416zM64 464c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48v320c0 26.47-21.53 48-48 48H64zM224 348.7V304h104C341.3 304 352 293.3 352 280v-48c0-13.25-10.74-24-24-24H224V163.3c0-21.38-25.85-32.09-40.97-16.97L90.35 239C85.66 243.7 83.32 249.9 83.32 256s2.344 12.28 7.029 16.97l92.68 92.68C198.1 380.8 224 370.1 224 348.7zM194.3 354.3L101.7 261.7C99.62 259.6 99.32 257.2 99.32 256s.3047-3.617 2.344-5.656l92.68-92.68c3.412-3.412 7.232-2.35 8.719-1.736C204.5 156.5 208 158.5 208 163.3V224h120c4.412 0 8 3.588 8 8v48C336 284.4 332.4 288 328 288H208v60.68c0 4.824-3.453 6.777-4.938 7.393C201.6 356.7 197.8 357.8 194.3 354.3z"],
    "square-list": [448, 512, [], "e489", "M160 160C160 155.6 163.6 152 168 152H360C364.4 152 368 155.6 368 160C368 164.4 364.4 168 360 168H168C163.6 168 160 164.4 160 160zM160 256C160 251.6 163.6 248 168 248H360C364.4 248 368 251.6 368 256C368 260.4 364.4 264 360 264H168C163.6 264 160 260.4 160 256zM160 352C160 347.6 163.6 344 168 344H360C364.4 344 368 347.6 368 352C368 356.4 364.4 360 360 360H168C163.6 360 160 356.4 160 352zM96 144C104.8 144 112 151.2 112 160C112 168.8 104.8 176 96 176C87.16 176 80 168.8 80 160C80 151.2 87.16 144 96 144zM96 272C87.16 272 80 264.8 80 256C80 247.2 87.16 240 96 240C104.8 240 112 247.2 112 256C112 264.8 104.8 272 96 272zM96 336C104.8 336 112 343.2 112 352C112 360.8 104.8 368 96 368C87.16 368 80 360.8 80 352C80 343.2 87.16 336 96 336zM384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM384 48H64C37.49 48 16 69.49 16 96V416C16 442.5 37.49 464 64 464H384C410.5 464 432 442.5 432 416V96C432 69.49 410.5 48 384 48z"],
    "square-m": [448, 512, [], "e276", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416zM346.4 128.4c-3.312-1.078-7 .2187-8.969 3.109L224 296.4L110.6 131.5c-1.984-2.891-5.625-4.188-8.969-3.109C98.28 129.4 96 132.5 96 136v240C96 380.4 99.58 384 104 384s8-3.578 8-8V161.8l105.4 153.3c3 4.344 10.19 4.344 13.19 0L336 161.8V376c0 4.422 3.578 8 8 8S352 380.4 352 376v-240C352 132.5 349.7 129.4 346.4 128.4z"],
    "square-minus": [448, 512, [61767, "minus-square"], "f146", "M320 248C324.4 248 328 251.6 328 256C328 260.4 324.4 264 320 264H128C123.6 264 120 260.4 120 256C120 251.6 123.6 248 128 248H320zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM16 96V416C16 442.5 37.49 464 64 464H384C410.5 464 432 442.5 432 416V96C432 69.49 410.5 48 384 48H64C37.49 48 16 69.49 16 96z"],
    "square-n": [448, 512, [], "e277", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416zM328 128C323.6 128 320 131.6 320 136v218.5L126 130.8C123.9 128.3 120.3 127.4 117.2 128.5C114.1 129.7 112 132.7 112 136v240C112 380.4 115.6 384 120 384S128 380.4 128 376V157.5l193.1 223.8C323.5 383 325.7 384 328 384c.9375 0 1.891-.1719 2.797-.5C333.9 382.3 336 379.3 336 376v-240C336 131.6 332.4 128 328 128z"],
    "square-nfi": [448, 512, [], "e576", "M160 312.6V168C160 163.6 163.6 160 168 160C172.4 160 176 163.6 176 168V344C176 347.7 173.5 350.8 169.1 351.8C166.4 352.7 162.7 351 160.1 347.8L79.1 199.4V344C79.1 348.4 76.42 352 71.1 352C67.58 352 63.1 348.4 63.1 344V167.1C63.1 164.3 66.48 161.2 70.02 160.2C73.57 159.3 77.27 160.1 79.02 164.2L160 312.6zM312 160C316.4 160 320 163.6 320 168C320 172.4 316.4 176 312 176H248V224H312C316.4 224 320 227.6 320 232C320 236.4 316.4 240 312 240H248V344C248 348.4 244.4 352 240 352C235.6 352 232 348.4 232 344V168C232 163.6 235.6 160 240 160H312zM384 344C384 348.4 380.4 352 376 352C371.6 352 368 348.4 368 344V168C368 163.6 371.6 160 376 160C380.4 160 384 163.6 384 168V344zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM16 96V416C16 442.5 37.49 464 64 464H384C410.5 464 432 442.5 432 416V96C432 69.49 410.5 48 384 48H64C37.49 48 16 69.49 16 96z"],
    "square-o": [448, 512, [], "e278", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416zM224 128C153.4 128 96 185.4 96 256s57.42 128 128 128s128-57.42 128-128S294.6 128 224 128zM224 368c-61.75 0-112-50.25-112-112S162.3 144 224 144s112 50.25 112 112S285.8 368 224 368z"],
    "square-p": [448, 512, [], "e279", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416zM248 128h-112C131.6 128 128 131.6 128 136v240C128 380.4 131.6 384 136 384s8-3.578 8-8V304h104c48.53 0 88-39.47 88-88S296.5 128 248 128zM248 288H144V144h104C287.7 144 320 176.3 320 216S287.7 288 248 288z"],
    "square-parking": [448, 512, [127359, "parking"], "f540", "M256 128C304.6 128 344 167.4 344 216C344 264.6 304.6 304 256 304H160V376C160 380.4 156.4 384 152 384C147.6 384 144 380.4 144 376V144C144 135.2 151.2 128 160 128H256zM328 216C328 176.2 295.8 144 256 144H160V288H256C295.8 288 328 255.8 328 216zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM16 96V416C16 442.5 37.49 464 64 464H384C410.5 464 432 442.5 432 416V96C432 69.49 410.5 48 384 48H64C37.49 48 16 69.49 16 96z"],
    "square-parking-slash": [640, 512, ["parking-slash"], "f617", "M636.1 497.7C640.4 500.5 641 505.5 638.3 508.1C635.5 512.4 630.5 513 627 510.3L3.022 14.26C-.4365 11.51-1.012 6.481 1.738 3.022C4.487-.4365 9.52-1.012 12.98 1.738L636.1 497.7zM480 480H159.1C124.7 480 95.1 451.3 95.1 416V170.9L111.1 183.5V416C111.1 442.5 133.5 464 159.1 464H467.3L487 479.6C484.7 479.9 482.4 480 480 480V480zM152.9 32.38C155.3 32.13 157.6 32 159.1 32H480C515.3 32 544 60.65 544 96V341.1L528 328.5V96C528 69.49 506.5 48 480 48H172.7L152.9 32.38zM255.1 297.2V376C255.1 380.4 252.4 384 247.1 384C243.6 384 239.1 380.4 239.1 376V284.6L255.1 297.2zM418.1 242.4C422.2 234.2 423.1 225.3 423.1 216C423.1 176.2 391.8 144 351.1 144H294.3L274.1 128H351.1C400.6 128 439.1 167.4 439.1 216C439.1 229.1 437.1 241.5 432 252.7L418.1 242.4z"],
    "square-pen": [448, 512, ["pen-square", "pencil-square"], "f14b", "M100.7 379.2C96.71 375.2 95.12 369.4 96.48 363.1L111.5 303.8C112.9 298.2 115.8 293.1 119.9 288.1L275.4 133.5C291 117.9 316.3 117.9 331.1 133.5L346.3 147.9C361.1 163.5 361.1 188.8 346.3 204.5L190.9 359.9C186.8 364 181.6 366.9 176 368.3L172.1 352.8C174.9 352.1 177.5 350.7 179.6 348.6L298.4 229.7L250.1 181.4L131.2 300.3C129.2 302.3 127.7 304.9 127 307.7L112 367.9L172.1 352.8L176 368.3L115.9 383.4C110.4 384.7 104.7 383.1 100.7 379.2L100.7 379.2zM335 159.2L320.6 144.8C311.3 135.4 296.1 135.4 286.7 144.8L261.4 170.1L309.7 218.4L335 193.1C344.4 183.8 344.4 168.6 335 159.2V159.2zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM16 96V416C16 442.5 37.49 464 64 464H384C410.5 464 432 442.5 432 416V96C432 69.49 410.5 48 384 48H64C37.49 48 16 69.49 16 96z"],
    "square-person-confined": [448, 512, [], "e577", "M239.4 396.7L184.8 342L156.6 398.3C148.7 414.1 129.5 420.5 113.7 412.6C97.89 404.7 91.48 385.5 99.39 369.7L147.4 273.7C151.1 264.5 160.7 258.1 170.9 256.4C181 254.8 191.4 258.1 198.6 265.4L240 306.7V248C240 217.1 265.1 192 296 192C326.9 192 352 217.1 352 248V350.1C352 386.5 322.5 416 286.1 416C268.6 416 251.8 409.1 239.4 396.7zM187.3 276.7C183.7 273 178.5 271.4 173.4 272.2C168.4 273 163.1 276.2 161.7 280.8L113.7 376.8C109.7 384.7 112.9 394.4 120.9 398.3C128.8 402.3 138.4 399.1 142.3 391.2L170.5 334.9C172.8 330.3 177.1 327.1 182.2 326.2C187.3 325.4 192.5 327.1 196.1 330.7L250.8 385.4C260.1 394.7 272.8 400 286.1 400C313.6 400 336 377.6 336 350.1V248C336 225.9 318.1 208 296 208C273.9 208 256 225.9 256 248V306.7C256 313.2 252.1 319.1 246.1 321.5C240.2 324 233.3 322.6 228.7 318.1L187.3 276.7zM160 144C160 117.5 181.5 96 208 96C234.5 96 256 117.5 256 144C256 170.5 234.5 192 208 192C181.5 192 160 170.5 160 144zM208 112C190.3 112 176 126.3 176 144C176 161.7 190.3 176 208 176C225.7 176 240 161.7 240 144C240 126.3 225.7 112 208 112zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM16 96V416C16 442.5 37.49 464 64 464H384C410.5 464 432 442.5 432 416V96C432 69.49 410.5 48 384 48H64C37.49 48 16 69.49 16 96z"],
    "square-phone": [448, 512, ["phone-square"], "f098", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416zM345.7 296.3l-54.23-23.23c-9.656-4.172-21.05-1.422-27.59 6.766l-17.94 21.89C217.4 286.3 193.7 262.6 178.3 234.1l21.91-17.94c8.078-6.609 10.88-17.94 6.781-27.58L183.7 134.3C179.1 123.8 167.7 118.1 156.7 120.6L106.3 132.2C95.53 134.7 88 144.2 88 155.3C88 285.8 194.2 392 324.7 392c11.09 0 20.56-7.531 23.05-18.31l11.62-50.39C361.1 312.2 356.2 300.8 345.7 296.3zM332.2 370.1C331.4 373.6 328.3 376 324.7 376C203 376 104 276.1 104 155.3c0-3.578 2.422-6.625 5.906-7.422l50.39-11.62C160.9 136.1 161.4 136 161.1 136c3 0 5.813 1.781 7.047 4.625l23.27 54.25c1.312 3.109 .4219 6.766-2.188 8.906L158.3 229.8l2.797 5.703C178.8 271.6 208.4 301.2 244.5 318.1l5.703 2.797l26.09-31.88c2.109-2.625 5.734-3.484 8.844-2.141l54.23 23.23c3.406 1.469 5.266 5.141 4.438 8.734L332.2 370.1z"],
    "square-phone-flip": [448, 512, ["phone-square-alt"], "f87b", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416zM341.7 132.2L291.3 120.6c-11-2.531-22.5 3.156-27.09 13.7l-23.31 54.31c-4.062 9.609-1.281 20.92 6.812 27.53l21.91 17.95c-15.38 28.5-39.06 52.17-67.59 67.58L184.2 279.8C177.6 271.6 166.2 268.8 156.5 273L102.3 296.3c-10.47 4.531-16.25 15.91-13.66 27.03l11.59 50.38C102.7 384.5 112.2 392 123.3 392C253.8 392 360 285.8 360 155.3C360 144.2 352.5 134.7 341.7 132.2zM123.3 376c-3.562 0-6.625-2.422-7.438-5.906l-11.62-50.39C103.4 316.1 105.2 312.5 108.6 310.1l54.25-23.27c3.125-1.375 6.812-.4375 8.906 2.203l26.06 31.83L203.5 318.1c36.09-17.73 65.72-47.36 83.41-83.42l2.781-5.688l-31.81-26.08c-2.625-2.125-3.531-5.781-2.219-8.859l23.28-54.23c1.469-3.422 5.188-5.391 8.781-4.469l50.41 11.62C341.6 148.6 344 151.7 344 155.3C344 276.1 244.1 376 123.3 376z"],
    "square-phone-hangup": [448, 512, ["phone-square-down"], "e27a", "M56.59 245.2C48.75 253.1 47.38 265.1 53.25 274.4l27.4 43.84c5.988 9.568 18.14 13.68 28.85 9.469l54.89-21.92c9.666-3.922 15.7-13.89 14.65-24.29L176.2 253.3c31.02-9.281 64.51-9.271 95.58 .0098l-2.783 28.11c-1.16 10.44 4.916 20.5 14.71 24.36l54.8 21.92c10.61 4.199 22.74 .2422 28.77-9.459l27.42-43.82c5.889-9.379 4.518-21.4-3.326-29.24C299.1 152.9 148.9 152.9 56.59 245.2zM381.2 265.1l-27.41 43.85c-1.967 3.117-5.855 4.398-9.281 3.051l-54.81-21.91c-3.184-1.236-5.127-4.508-4.74-7.855l4.076-40.93l-6-2.045C244.1 227.2 203.1 227.2 165 240.1l-5.988 2.055L163.1 283.1c.3535 3.359-1.59 6.586-4.695 7.834l-54.81 21.89C100.1 314.2 96.13 313 94.24 309.8L66.81 265.9c-1.889-3.016-1.436-6.871 1.094-9.402c86.07-86.07 226.1-86.07 312.2 0C382.6 259.1 383.1 262.9 381.2 265.1zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416z"],
    "square-plus": [448, 512, [61846, "plus-square"], "f0fe", "M216 352V264H128C123.6 264 120 260.4 120 256C120 251.6 123.6 248 128 248H216V160C216 155.6 219.6 152 224 152C228.4 152 232 155.6 232 160V248H320C324.4 248 328 251.6 328 256C328 260.4 324.4 264 320 264H232V352C232 356.4 228.4 360 224 360C219.6 360 216 356.4 216 352zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM16 96V416C16 442.5 37.49 464 64 464H384C410.5 464 432 442.5 432 416V96C432 69.49 410.5 48 384 48H64C37.49 48 16 69.49 16 96z"],
    "square-poll-horizontal": [448, 512, ["poll-h"], "f682", "M224 128C241.7 128 256 142.3 256 160C256 177.7 241.7 192 224 192H128C110.3 192 96 177.7 96 160C96 142.3 110.3 128 128 128H224zM128 176H224C232.8 176 240 168.8 240 160C240 151.2 232.8 144 224 144H128C119.2 144 112 151.2 112 160C112 168.8 119.2 176 128 176zM320 224C337.7 224 352 238.3 352 256C352 273.7 337.7 288 320 288H128C110.3 288 96 273.7 96 256C96 238.3 110.3 224 128 224H320zM128 272H320C328.8 272 336 264.8 336 256C336 247.2 328.8 240 320 240H128C119.2 240 112 247.2 112 256C112 264.8 119.2 272 128 272zM160 320C177.7 320 192 334.3 192 352C192 369.7 177.7 384 160 384H128C110.3 384 96 369.7 96 352C96 334.3 110.3 320 128 320H160zM128 368H160C168.8 368 176 360.8 176 352C176 343.2 168.8 336 160 336H128C119.2 336 112 343.2 112 352C112 360.8 119.2 368 128 368zM384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM384 48H64C37.49 48 16 69.49 16 96V416C16 442.5 37.49 464 64 464H384C410.5 464 432 442.5 432 416V96C432 69.49 410.5 48 384 48z"],
    "square-poll-vertical": [448, 512, ["poll"], "f681", "M96 256C96 238.3 110.3 224 128 224C145.7 224 160 238.3 160 256V352C160 369.7 145.7 384 128 384C110.3 384 96 369.7 96 352V256zM144 352V256C144 247.2 136.8 240 128 240C119.2 240 112 247.2 112 256V352C112 360.8 119.2 368 128 368C136.8 368 144 360.8 144 352zM192 160C192 142.3 206.3 128 224 128C241.7 128 256 142.3 256 160V352C256 369.7 241.7 384 224 384C206.3 384 192 369.7 192 352V160zM240 352V160C240 151.2 232.8 144 224 144C215.2 144 208 151.2 208 160V352C208 360.8 215.2 368 224 368C232.8 368 240 360.8 240 352zM288 320C288 302.3 302.3 288 320 288C337.7 288 352 302.3 352 320V352C352 369.7 337.7 384 320 384C302.3 384 288 369.7 288 352V320zM336 352V320C336 311.2 328.8 304 320 304C311.2 304 304 311.2 304 320V352C304 360.8 311.2 368 320 368C328.8 368 336 360.8 336 352zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM16 96V416C16 442.5 37.49 464 64 464H384C410.5 464 432 442.5 432 416V96C432 69.49 410.5 48 384 48H64C37.49 48 16 69.49 16 96z"],
    "square-q": [448, 512, [], "e27b", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416zM224 128C153.4 128 96 185.4 96 256s57.41 128 128 128c32.41 0 61.7-12.49 84.27-32.41l30.07 30.07C339.9 383.2 341.9 384 344 384s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31l-30.07-30.07C339.5 317.7 352 288.4 352 256C352 185.4 294.6 128 224 128zM308.3 328.1l-38.62-38.62c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31l38.62 38.62C277.3 357.3 251.1 368 224 368c-61.75 0-112-50.25-112-112S162.3 144 224 144s112 50.25 112 112C336 283.1 325.3 309.3 308.3 328.1z"],
    "square-quarters": [448, 512, [], "e44e", "M384 32H64C28.64 32 0 60.64 0 96v320c0 35.36 28.64 64 64 64h320c35.36 0 64-28.64 64-64V96C448 60.64 419.4 32 384 32zM64 48h320c10.37 0 19.97 3.295 27.81 8.863L224 244.7L36.19 56.86C44.03 51.29 53.63 48 64 48zM16 416V96c0-10.37 3.297-19.97 8.865-27.81L212.7 256l-187.8 187.8C19.3 435.1 16 426.4 16 416zM384 464H64c-10.37 0-19.97-3.297-27.81-8.863L224 267.3l187.8 187.8C403.1 460.7 394.4 464 384 464zM432 416c0 10.37-3.295 19.97-8.863 27.81L235.3 256l187.8-187.8C428.7 76.03 432 85.63 432 96V416z"],
    "square-question": [448, 512, ["question-square"], "f2fd", "M208 352C199.2 352 192 359.2 192 368S199.2 384 208 384s16-7.164 16-16S216.8 352 208 352zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416zM256.6 128H191.4C156.4 128 128 156.4 128 191.4V202c0 4.422 3.594 8 8 8s8-3.578 8-8V191.4C144 165.3 165.3 144 191.4 144h65.19C282.7 144 304 165.3 304 191.4c0 17.2-9.344 33.08-24.06 41.27L213.8 265.7C204.3 270.1 198.4 281 198.4 291.9V312c0 4.422 3.593 8 8 8c4.406 0 8-3.578 8-8V291.9c0-5.078 2.75-9.766 6.875-12.06l66.09-33.05C307.5 235.7 320 214.4 320 191.4C320 156.4 291.6 128 256.6 128z"],
    "square-quote": [448, 512, [], "e329", "M296 160c-30.93 0-56 25.07-56 56s25.07 56 56 56c15.69 0 29.83-6.492 40-16.89V264c0 30.88-25.12 56-56 56h-16C259.6 320 256 323.6 256 328s3.578 8 8 8h16c39.7 0 72-32.3 72-72v-48C352 185.1 326.9 160 296 160zM296 256C273.9 256 256 238.1 256 216s17.94-40 40-40s40 17.94 40 40S318.1 256 296 256zM152 160C121.1 160 96 185.1 96 216S121.1 272 152 272C167.7 272 181.8 265.5 192 255.1V264C192 294.9 166.9 320 136 320h-16c-4.422 0-8 3.578-8 8s3.578 8 8 8h16c39.7 0 72-32.3 72-72v-48C208 185.1 182.9 160 152 160zM152 256C129.9 256 112 238.1 112 216S129.9 176 152 176S192 193.9 192 216S174.1 256 152 256zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416z"],
    "square-r": [448, 512, [], "e27c", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416zM336 208C336 163.9 300.1 128 256 128H136C131.6 128 128 131.6 128 136v240C128 380.4 131.6 384 136 384s8-3.578 8-8V288h100.2l77.6 93.13C323.4 383 325.7 384 328 384c1.812 0 3.625-.6094 5.125-1.859c3.406-2.828 3.844-7.875 1.031-11.27l-69.77-83.72C304.5 282.9 336 249.2 336 208zM256 272H144v-128H256c35.28 0 64 28.7 64 64S291.3 272 256 272z"],
    "square-right": [448, 512, [10145, "arrow-alt-square-right"], "f352", "M0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96zM384 48c26.47 0 48 21.53 48 48v320c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48H384zM224 163.3V208H120C106.7 208 96 218.7 96 232v48C96 293.3 106.7 304 120 304H224v44.69c0 21.38 25.85 32.09 40.97 16.97l92.68-92.68C362.3 268.3 364.7 262.1 364.7 256s-2.344-12.28-7.029-16.97l-92.68-92.68C249.9 131.2 224 141.9 224 163.3zM253.7 157.7l92.68 92.68C348.4 252.4 348.7 254.8 348.7 256s-.3047 3.617-2.344 5.656l-92.68 92.68c-3.412 3.412-7.232 2.35-8.719 1.736C243.5 355.5 240 353.5 240 348.7V288H120C115.6 288 112 284.4 112 280v-48C112 227.6 115.6 224 120 224h120V163.3c0-4.824 3.453-6.777 4.938-7.393C246.4 155.3 250.2 154.2 253.7 157.7z"],
    "square-ring": [448, 512, [], "e44f", "M224 160C170.1 160 128 202.1 128 256s42.98 96 96 96s96-42.98 96-96S277 160 224 160zM224 336c-44.19 0-80-35.81-80-80S179.8 176 224 176s80 35.81 80 80S268.2 336 224 336zM224 96C135.6 96 64 167.6 64 256s71.65 160 160 160s160-71.65 160-160S312.4 96 224 96zM224 400c-79.52 0-144-64.48-144-144S144.5 112 224 112s144 64.48 144 144S303.5 400 224 400zM384 32H64C28.64 32 0 60.64 0 96v320c0 35.36 28.64 64 64 64h320c35.36 0 64-28.64 64-64V96C448 60.64 419.4 32 384 32zM432 416c0 26.5-21.5 48-48 48H64c-26.5 0-48-21.5-48-48V96c0-26.5 21.5-48 48-48h320c26.5 0 48 21.5 48 48V416z"],
    "square-root": [576, 512, [8730], "f697", "M576 40c0 4.406-3.594 8-8 8h-169.9c-24.13 0-45.5 15.38-53.13 38.28L215.6 474.5C214.6 477.6 211.7 479.8 208.5 480H208c-3.094 0-5.938-1.781-7.25-4.625L105.1 272.3C96.81 252.7 76.91 240 55.25 240H8C3.594 240 0 236.4 0 232S3.594 224 8 224h47.25C83.09 224 108.7 240.3 120.5 265.6l86.25 184.9l123.1-369.2C339.7 51.78 367.1 32 398.1 32H568C572.4 32 576 35.59 576 40z"],
    "square-root-variable": [576, 512, ["square-root-alt"], "f698", "M565.7 234.3c-3.125-3.125-8.188-3.125-11.31 0L480 308.7l-74.34-74.34c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31L468.7 320l-74.34 74.34c-3.125 3.125-3.125 8.188 0 11.31C395.9 407.2 397.9 408 400 408s4.094-.7813 5.656-2.344L480 331.3l74.34 74.34C555.9 407.2 557.9 408 560 408s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31L491.3 320l74.34-74.34C568.8 242.5 568.8 237.5 565.7 234.3zM568 32h-169.9c-31.03 0-58.47 19.78-68.31 49.22L206.8 450.4L120.5 265.6C108.7 240.3 83.09 224 55.25 224H8C3.594 224 0 227.6 0 232S3.594 240 8 240h47.25c21.66 0 41.56 12.69 50.75 32.31l94.75 203.1C202.1 478.2 204.9 480 208 480h.4687c3.25-.1875 6.094-2.375 7.125-5.469L345 86.28C352.6 63.38 373.1 48 398.1 48H568C572.4 48 576 44.41 576 40S572.4 32 568 32z"],
    "square-rss": [448, 512, ["rss-square"], "f143", "M112 320C85.49 320 64 341.5 64 368S85.49 416 112 416S160 394.5 160 368S138.5 320 112 320zM112 400c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S129.6 400 112 400zM72.53 192c-4.438-.5313-8.188 3-8.5 7.438c-.3125 4.406 3.031 8.219 7.438 8.5c107 7.312 193.3 93.53 200.6 200.6C272.3 412.8 275.8 416 280 416c.1875 0 .3438 0 .5313-.0313c4.406-.2813 7.75-4.094 7.438-8.5C280.2 292.5 187.5 199.8 72.53 192zM72.38 96C68.22 96.31 64.22 99.22 64 103.6S67.19 111.8 71.63 112C232.8 119.8 360.3 247.2 368 408.4C368.2 412.7 371.8 416 376 416h.375C380.8 415.8 384.2 412 384 407.6C375.8 238.1 241.9 104.2 72.38 96zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416z"],
    "square-s": [448, 512, [], "e27d", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416zM226 248.3C170.8 233.9 137.8 222.3 145 184.1c2.156-11.48 8.875-21.16 19.41-27.98c16.31-10.58 50.5-19.58 120.6-2.719c4.281 .9844 8.625-1.609 9.656-5.906S293 138.9 288.7 137.8c-60.66-14.59-105.3-12.95-133 4.844C141.4 151.1 132.3 165.2 129.3 181.1c-10.5 55.64 44.34 70 92.72 82.67c55.25 14.47 88.25 26 81.03 64.23c-2.594 13.73-9.594 23.66-21.44 30.36c-33.53 18.91-95.72 7-142.8-10.42c-4.031-1.531-8.75 .5781-10.28 4.719s.5625 8.75 4.719 10.28c16.78 6.219 61.28 21.06 103.1 21.06c19.25 0 37.94-3.141 53.09-11.7c15.97-9.047 25.81-22.94 29.31-41.33C329.3 275.4 274.4 261 226 248.3z"],
    "square-share-nodes": [448, 512, ["share-alt-square"], "f1e1", "M281.1 183.9L173.2 238.4C175 243.9 176 249.8 176 256C176 262.2 175 268.1 173.2 273.6L282 328.1C292.1 313.5 308.9 304 328 304C358.9 304 384 329.1 384 360C384 390.9 358.9 416 328 416C297.1 416 272 390.9 272 360C272 353.8 272.1 347.9 274.8 342.4L166 287.9C155.9 302.5 139.1 312 120 312C89.07 312 64 286.9 64 256C64 225.1 89.07 200 120 200C139.1 200 155.9 209.5 165.1 224.1L274.8 169.6C272.1 164.1 272 158.2 272 152C272 121.1 297.1 96 328 96C358.9 96 384 121.1 384 152C384 182.9 358.9 208 328 208C308.9 208 292.1 198.5 281.1 183.9L281.1 183.9zM328 192C350.1 192 368 174.1 368 152C368 129.9 350.1 112 328 112C305.9 112 288 129.9 288 152C288 174.1 305.9 192 328 192zM328 400C350.1 400 368 382.1 368 360C368 337.9 350.1 320 328 320C305.9 320 288 337.9 288 360C288 382.1 305.9 400 328 400zM120 216C97.91 216 80 233.9 80 256C80 278.1 97.91 296 120 296C142.1 296 160 278.1 160 256C160 233.9 142.1 216 120 216zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM16 96V416C16 442.5 37.49 464 64 464H384C410.5 464 432 442.5 432 416V96C432 69.49 410.5 48 384 48H64C37.49 48 16 69.49 16 96z"],
    "square-sliders": [448, 512, ["sliders-h-square"], "f3f0", "M72 160H128V136C128 118.3 142.3 104 160 104C177.7 104 192 118.3 192 136V200C192 217.7 177.7 232 160 232C142.3 232 128 217.7 128 200V176H72C67.58 176 64 172.4 64 168C64 163.6 67.58 160 72 160zM144 200C144 208.8 151.2 216 160 216C168.8 216 176 208.8 176 200V136C176 127.2 168.8 120 160 120C151.2 120 144 127.2 144 136V200zM232 160H376C380.4 160 384 163.6 384 168C384 172.4 380.4 176 376 176H232C227.6 176 224 172.4 224 168C224 163.6 227.6 160 232 160zM72 352C67.58 352 64 348.4 64 344C64 339.6 67.58 336 72 336H224V312C224 294.3 238.3 280 256 280C273.7 280 288 294.3 288 312V376C288 393.7 273.7 408 256 408C238.3 408 224 393.7 224 376V352H72zM240 312V376C240 384.8 247.2 392 256 392C264.8 392 272 384.8 272 376V312C272 303.2 264.8 296 256 296C247.2 296 240 303.2 240 312zM328 352C323.6 352 320 348.4 320 344C320 339.6 323.6 336 328 336H376C380.4 336 384 339.6 384 344C384 348.4 380.4 352 376 352H328zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM64 464H384C410.5 464 432 442.5 432 416V96C432 69.49 410.5 48 384 48H64C37.49 48 16 69.49 16 96V416C16 442.5 37.49 464 64 464z"],
    "square-sliders-vertical": [448, 512, ["sliders-v-square"], "f3f2", "M136 96C140.4 96 144 99.58 144 104V160H168C185.7 160 200 174.3 200 192C200 209.7 185.7 224 168 224H104C86.33 224 72 209.7 72 192C72 174.3 86.33 160 104 160H128V104C128 99.58 131.6 96 136 96zM104 176C95.16 176 88 183.2 88 192C88 200.8 95.16 208 104 208H168C176.8 208 184 200.8 184 192C184 183.2 176.8 176 168 176H104zM136 256C140.4 256 144 259.6 144 264V408C144 412.4 140.4 416 136 416C131.6 416 128 412.4 128 408V264C128 259.6 131.6 256 136 256zM320 256H344C361.7 256 376 270.3 376 288C376 305.7 361.7 320 344 320H280C262.3 320 248 305.7 248 288C248 270.3 262.3 256 280 256H304V104C304 99.58 307.6 96 312 96C316.4 96 320 99.58 320 104V256zM264 288C264 296.8 271.2 304 280 304H344C352.8 304 360 296.8 360 288C360 279.2 352.8 272 344 272H280C271.2 272 264 279.2 264 288zM320 408C320 412.4 316.4 416 312 416C307.6 416 304 412.4 304 408V360C304 355.6 307.6 352 312 352C316.4 352 320 355.6 320 360V408zM384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM384 48H64C37.49 48 16 69.49 16 96V416C16 442.5 37.49 464 64 464H384C410.5 464 432 442.5 432 416V96C432 69.49 410.5 48 384 48z"],
    "square-small": [320, 512, [], "e27e", "M256 96C291.3 96 320 124.7 320 160V352C320 387.3 291.3 416 256 416H64C28.65 416 0 387.3 0 352V160C0 124.7 28.65 96 64 96H256zM256 112H64C37.49 112 16 133.5 16 160V352C16 378.5 37.49 400 64 400H256C282.5 400 304 378.5 304 352V160C304 133.5 282.5 112 256 112z"],
    "square-star": [448, 512, [], "e27f", "M355.6 198.1C361.7 199 366.7 203.2 368.6 209C370.4 214.8 368.9 221.2 364.5 225.4L305.9 282.6L319.7 363.3C320.7 369.3 318.3 375.4 313.3 378.1C308.4 382.6 301.9 383 296.5 380.2L224 342.1L151.5 380.2C146.1 383 139.6 382.6 134.7 378.1C129.7 375.4 127.3 369.3 128.3 363.3L142.1 282.6L83.49 225.4C79.13 221.2 77.56 214.8 79.44 209C81.32 203.2 86.33 199 92.36 198.1L173.4 186.4L209.7 112.9C212.3 107.5 217.9 103.1 224 103.1C230.1 103.1 235.7 107.5 238.3 112.9L274.6 186.4L355.6 198.1zM94.66 213.1L153.3 271.1C157.1 274.8 158.8 280.1 157.9 285.3L144.1 366L216.6 327.9C221.2 325.5 226.8 325.5 231.4 327.9L303.9 366L290.1 285.3C289.2 280.1 290.9 274.8 294.7 271.1L353.3 213.1L272.3 202.2C267.1 201.4 262.6 198.2 260.2 193.4L224 120L187.8 193.4C185.4 198.2 180.9 201.4 175.7 202.2L94.66 213.1zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM16 96V416C16 442.5 37.49 464 64 464H384C410.5 464 432 442.5 432 416V96C432 69.49 410.5 48 384 48H64C37.49 48 16 69.49 16 96z"],
    "square-t": [448, 512, [], "e280", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416zM344 128h-240C99.59 128 96 131.6 96 136S99.59 144 104 144h112v232C216 380.4 219.6 384 224 384s8-3.578 8-8V144h112C348.4 144 352 140.4 352 136S348.4 128 344 128z"],
    "square-terminal": [448, 512, [], "e32a", "M109.2 153.9L221.2 249.9C222.1 251.4 224 253.7 224 256C224 258.3 222.1 260.6 221.2 262.1L109.2 358.1C105.9 360.1 100.8 360.6 97.93 357.2C95.05 353.9 95.44 348.8 98.79 345.9L203.7 255.1L98.79 166.1C95.44 163.2 95.05 158.1 97.93 154.8C100.8 151.4 105.9 151.1 109.2 153.9V153.9zM376 368C380.4 368 384 371.6 384 376C384 380.4 380.4 384 376 384H200C195.6 384 192 380.4 192 376C192 371.6 195.6 368 200 368H376zM384 32C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H384zM384 48H64C37.49 48 16 69.49 16 96V416C16 442.5 37.49 464 64 464H384C410.5 464 432 442.5 432 416V96C432 69.49 410.5 48 384 48z"],
    "square-this-way-up": [448, 512, ["box-up"], "f49f", "M344 384C348.4 384 352 387.6 352 392C352 396.4 348.4 400 344 400H104C99.58 400 96 396.4 96 392C96 387.6 99.58 384 104 384H344zM122.3 122.3C125.5 119.2 130.5 119.2 133.7 122.3L197.7 186.3C200.8 189.5 200.8 194.5 197.7 197.7C194.5 200.8 189.5 200.8 186.3 197.7L136 147.3V312C136 316.4 132.4 320 128 320C123.6 320 120 316.4 120 312V147.3L69.66 197.7C66.53 200.8 61.47 200.8 58.34 197.7C55.22 194.5 55.22 189.5 58.34 186.3L122.3 122.3zM314.3 122.3C317.5 119.2 322.5 119.2 325.7 122.3L389.7 186.3C392.8 189.5 392.8 194.5 389.7 197.7C386.5 200.8 381.5 200.8 378.3 197.7L328 147.3V312C328 316.4 324.4 320 320 320C315.6 320 312 316.4 312 312V147.3L261.7 197.7C258.5 200.8 253.5 200.8 250.3 197.7C247.2 194.5 247.2 189.5 250.3 186.3L314.3 122.3zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM16 96V416C16 442.5 37.49 464 64 464H384C410.5 464 432 442.5 432 416V96C432 69.49 410.5 48 384 48H64C37.49 48 16 69.49 16 96z"],
    "square-u": [448, 512, [], "e281", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416zM328 128C323.6 128 320 131.6 320 136v141.8C320 327.5 276.9 368 224 368s-96-40.45-96-90.19V136C128 131.6 124.4 128 120 128S112 131.6 112 136v141.8C112 336.4 162.3 384 224 384s112-47.64 112-106.2V136C336 131.6 332.4 128 328 128z"],
    "square-up": [448, 512, [11014, "arrow-alt-square-up"], "f353", "M64 480h320c35.35 0 64-28.65 64-64V96c0-35.35-28.65-64-64-64H64C28.65 32 0 60.65 0 96v320C0 451.3 28.65 480 64 480zM16 96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48v320c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96zM131.3 256H176v104C176 373.3 186.7 384 200 384h48c13.25 0 24-10.74 24-24V256h44.69c21.38 0 32.09-25.85 16.97-40.97l-92.68-92.68C236.3 117.7 230.1 115.3 224 115.3S211.7 117.7 207 122.3L114.3 215C99.23 230.1 109.9 256 131.3 256zM125.7 226.3l92.68-92.68C220.4 131.6 222.8 131.3 224 131.3s3.617 .3047 5.656 2.344l92.68 92.68c3.412 3.412 2.35 7.232 1.736 8.719C323.5 236.5 321.5 240 316.7 240H256v120c0 4.412-3.588 8-8 8h-48C195.6 368 192 364.4 192 360V240H131.3c-4.824 0-6.777-3.453-7.393-4.938C123.3 233.6 122.2 229.8 125.7 226.3z"],
    "square-up-left": [448, 512, [], "e282", "M252.4 216.6l31.6-31.6C299.2 169.9 288.5 144 267.1 144H136c-6.627 0-12.63 2.688-16.97 7.031S112 161.4 112 168v131.1c0 21.38 25.85 32.09 40.97 16.97l31.6-31.6l73.42 73.42c9.373 9.371 24.69 9.494 34.06 .1234l33.94-33.94c9.371-9.375 9.25-24.69-.1234-34.06L252.4 216.6zM314.7 312.7l-33.94 33.94c-3.119 3.121-8.193 3.121-11.31 0L184.6 261.8L141.7 304.7C138.2 308.1 134.4 307.1 132.9 306.5C131.5 305.9 128 303.9 128 299.1V168c0-2.883 1.465-4.781 2.342-5.656C131.2 161.5 133.1 160 136 160h131.1c4.826 0 6.775 3.453 7.393 4.938c.6152 1.484 1.676 5.309-1.734 8.719l-42.91 42.91l84.85 84.86C317.8 304.5 317.8 309.6 314.7 312.7zM384 32H64C28.65 32 0 60.66 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.66 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416z"],
    "square-up-right": [448, 512, [8599, "external-link-square-alt"], "f360", "M122.1 289.1c-9.373 9.371-9.494 24.69-.1234 34.06l33.94 33.94c9.371 9.371 24.69 9.248 34.06-.1234l73.42-73.42l31.6 31.6C310.1 331.2 336 320.5 336 299.1V168c-.002-6.629-2.686-12.62-7.029-16.97S318.6 144 312 144H180.9c-21.38 0-32.09 25.85-16.97 40.97l31.6 31.6L122.1 289.1zM133.3 301.4l84.85-84.86L175.3 173.7C171.9 170.2 172.9 166.4 173.5 164.9C174.2 163.5 176.1 160 180.9 160H312c2.883 0 4.781 1.469 5.656 2.344C318.5 163.2 319.1 165.1 319.1 168v131.1c0 4.824-3.451 6.777-4.936 7.395c-1.486 .6133-5.309 1.672-8.719-1.738l-42.91-42.91l-84.85 84.85c-3.119 3.121-8.193 3.121-11.31 0L133.3 312.7C130.2 309.6 130.2 304.5 133.3 301.4zM0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96c0-35.34-28.65-64-64-64H64C28.65 32 0 60.66 0 96zM16 96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48v320c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96z"],
    "square-user": [448, 512, [], "e283", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM368 464h-288V448c0-61.76 50.24-112 112-112h64c61.76 0 112 50.24 112 112V464zM432 416c0 26.47-21.53 48-48 48V448c0-70.69-57.31-128-128-128H192c-70.69 0-128 57.31-128 128v16c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416zM224 128C179.8 128 144 163.8 144 208C144 252.2 179.8 288 224 288c44.18 0 80-35.82 80-80C304 163.8 268.2 128 224 128zM224 272c-35.29 0-64-28.71-64-64c0-35.29 28.71-64 64-64s64 28.71 64 64C288 243.3 259.3 272 224 272z"],
    "square-v": [448, 512, [], "e284", "M336.8 132.4L224 358.1L111.2 132.4C109.2 128.5 104.4 126.9 100.4 128.8C96.47 130.8 94.88 135.6 96.84 139.6l120 240C218.2 382.3 220.1 384 224 384s5.797-1.719 7.156-4.422l120-240c1.969-3.953 .375-8.75-3.578-10.73C343.6 126.9 338.8 128.5 336.8 132.4zM384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416z"],
    "square-virus": [448, 512, [], "e578", "M160 224C160 206.3 174.3 192 192 192C209.7 192 224 206.3 224 224C224 241.7 209.7 256 192 256C174.3 256 160 241.7 160 224zM192 240C200.8 240 208 232.8 208 224C208 215.2 200.8 208 192 208C183.2 208 176 215.2 176 224C176 232.8 183.2 240 192 240zM280 288C280 301.3 269.3 312 256 312C242.7 312 232 301.3 232 288C232 274.7 242.7 264 256 264C269.3 264 280 274.7 280 288zM256 280C251.6 280 248 283.6 248 288C248 292.4 251.6 296 256 296C260.4 296 264 292.4 264 288C264 283.6 260.4 280 256 280zM345.5 227.1C350 229.5 355.3 230.9 361.1 230.9C374.3 230.9 385.1 241.6 385.1 254.9C385.1 268.1 374.3 278.9 361.1 278.9C331.8 278.9 317.2 314.3 337.8 334.9C347.2 344.3 347.2 359.5 337.8 368.9C328.5 378.3 313.3 378.3 303.9 368.9C283.2 348.2 247.8 362.8 247.8 392.1C247.8 405.4 237.1 416.1 223.8 416.1C210.6 416.1 199.8 405.4 199.8 392.1C199.8 362.8 164.5 348.2 143.8 368.9C134.4 378.3 119.2 378.3 109.8 368.9C100.5 359.5 100.5 344.3 109.8 334.9C130.5 314.3 115.9 278.9 86.61 278.9C73.35 278.9 62.61 268.1 62.61 254.9C62.61 241.6 73.35 230.9 86.61 230.9C115.9 230.9 130.5 195.5 109.8 174.8C100.5 165.4 100.5 150.2 109.8 140.9C119.2 131.5 134.4 131.5 143.8 140.9C164.5 161.6 199.8 146.9 199.8 117.6C199.8 104.4 210.6 93.65 223.8 93.65C237.1 93.65 247.8 104.4 247.8 117.6C247.8 146.9 283.2 161.6 303.9 140.9C313.3 131.5 328.5 131.5 337.8 140.9C347.2 150.2 347.2 165.4 337.8 174.8C321.3 191.4 327.4 217.4 345.5 227.1L345.5 227.1zM215.8 117.6C215.8 161.2 163.2 182.1 132.5 152.2C129.3 149.1 124.3 149.1 121.1 152.2C118 155.3 118 160.4 121.1 163.5C151.9 194.3 130.1 246.9 86.61 246.9C82.19 246.9 78.61 250.5 78.61 254.9C78.61 259.3 82.19 262.9 86.61 262.9C130.1 262.9 151.9 315.5 121.1 346.3C118 349.4 118 354.4 121.1 357.6C124.3 360.7 129.3 360.7 132.5 357.6C163.2 326.8 215.8 348.6 215.8 392.1C215.8 396.5 219.4 400.1 223.8 400.1C228.3 400.1 231.8 396.5 231.8 392.1C231.8 348.6 284.4 326.8 315.2 357.6C318.3 360.7 323.4 360.7 326.5 357.6C329.7 354.4 329.7 349.4 326.5 346.3C295.8 315.5 317.6 262.9 361.1 262.9C365.5 262.9 369.1 259.3 369.1 254.9C369.1 250.5 365.5 246.9 361.1 246.9C317.6 246.9 295.8 194.3 326.5 163.5C329.7 160.4 329.7 155.3 326.5 152.2C323.4 149.1 318.3 149.1 315.2 152.2C284.4 182.1 231.8 161.2 231.8 117.6C231.8 113.2 228.3 109.6 223.8 109.6C219.4 109.6 215.8 113.2 215.8 117.6H215.8zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM16 96V416C16 442.5 37.49 464 64 464H384C410.5 464 432 442.5 432 416V96C432 69.49 410.5 48 384 48H64C37.49 48 16 69.49 16 96z"],
    "square-w": [448, 512, [], "e285", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416zM362.3 128.3c-4.141-1.266-8.688 1.125-9.953 5.359l-63.89 212.1l-56.72-212.7c-1.875-7-13.59-7-15.47 0l-56.72 212.7l-63.89-212.1C94.39 129.5 89.91 127 85.7 128.3C81.47 129.6 79.06 134.1 80.34 138.3l72 240C153.4 381.7 156.7 384.6 160.1 384c3.578-.0625 6.688-2.484 7.609-5.938L224 167l56.27 211C281.2 381.5 284.4 383.9 287.9 384c3.531 0 6.703-2.312 7.719-5.703l72-240C368.9 134.1 366.5 129.6 362.3 128.3z"],
    "square-x": [448, 512, [], "e286", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416zM333.2 129.1c-3.328-2.906-8.391-2.547-11.28 .8125L224 243.8L126 130.8c-2.891-3.359-7.953-3.719-11.28-.8125c-3.344 2.891-3.703 7.953-.8125 11.28L213.4 256l-99.46 114.8c-2.891 3.328-2.531 8.391 .8125 11.28C116.3 383.4 118.1 384 120 384c2.234 0 4.469-.9375 6.047-2.766L224 268.2l97.95 113C323.5 383.1 325.8 384 328 384c1.859 0 3.719-.6406 5.234-1.953c3.344-2.891 3.703-7.953 .8125-11.28L234.6 256l99.46-114.8C336.9 137.9 336.6 132.8 333.2 129.1z"],
    "square-xmark": [448, 512, [10062, "times-square", "xmark-square"], "f2d3", "M146.3 178.3C149.5 175.2 154.5 175.2 157.7 178.3L224 244.7L290.3 178.3C293.5 175.2 298.5 175.2 301.7 178.3C304.8 181.5 304.8 186.5 301.7 189.7L235.3 256L301.7 322.3C304.8 325.5 304.8 330.5 301.7 333.7C298.5 336.8 293.5 336.8 290.3 333.7L224 267.3L157.7 333.7C154.5 336.8 149.5 336.8 146.3 333.7C143.2 330.5 143.2 325.5 146.3 322.3L212.7 256L146.3 189.7C143.2 186.5 143.2 181.5 146.3 178.3V178.3zM0 96C0 60.65 28.65 32 64 32H384C419.3 32 448 60.65 448 96V416C448 451.3 419.3 480 384 480H64C28.65 480 0 451.3 0 416V96zM16 96V416C16 442.5 37.49 464 64 464H384C410.5 464 432 442.5 432 416V96C432 69.49 410.5 48 384 48H64C37.49 48 16 69.49 16 96z"],
    "square-y": [448, 512, [], "e287", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416zM337.9 130.8L224 263.7L110.1 130.8C107.2 127.5 102.2 127.1 98.8 129.9C95.44 132.8 95.05 137.9 97.92 141.2L216 278.1V376C216 380.4 219.6 384 224 384s8-3.578 8-8V278.1l118.1-137.8c2.875-3.344 2.484-8.406-.875-11.28C345.9 127 340.8 127.5 337.9 130.8z"],
    "square-z": [448, 512, [], "e288", "M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96C448 60.65 419.3 32 384 32zM432 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V416zM328 368H137.5l196.5-226.8c2.062-2.359 2.562-5.703 1.25-8.562C333.1 129.8 331.1 128 328 128h-208C115.6 128 112 131.6 112 136S115.6 144 120 144h190.5l-196.5 226.8c-2.062 2.359-2.562 5.703-1.25 8.562C114 382.2 116.9 384 120 384h208c4.406 0 8-3.578 8-8S332.4 368 328 368z"],
    "squid": [512, 512, [129425], "e450", "M282.6 342.6C279.3 345.8 277.4 350.3 277.4 354.9C277.4 359.5 279.3 363.1 282.6 367.3L315 399.6C317.2 401.1 319.9 403.8 322.8 405.2C325.8 406.5 328.1 407.2 332.2 407.2C335.4 407.2 338.6 406.6 341.6 405.4C344.6 404.2 347.3 402.4 349.5 400.1L410.3 339.7C414.1 335.1 418.5 333 423.4 330.1C428.3 328.1 433.5 327.1 438.8 327.1C444.1 328 449.4 329.1 454.2 331.2C459.1 333.2 463.5 336.2 467.2 340L501.1 378.8C503.3 380.3 503.1 382.2 503.1 384.1C496.9 394.4 487.3 402.7 476.1 408.2C464.9 413.7 452.4 416.1 439.1 415.3C417.9 415.4 396.7 407 380.5 391.1L360.7 411.6C356.1 415.4 352.6 418.3 347.7 420.3C342.9 422.3 337.6 423.4 332.4 423.4C326.9 423.3 321.4 422.2 316.4 419.1C311.3 417.8 306.8 414.6 303 410.6L279.7 387.2C274.2 381.7 266.7 378.6 258.9 378.6C251.1 378.6 243.6 381.7 238.1 387.2L237.7 387.5C234.9 390.2 232.8 393.5 231.3 397C229.8 400.6 229 404.4 229 408.3C229 412.2 229.8 415.1 231.3 419.5C232.8 423.1 234.9 426.4 237.7 429.1L252.3 443.7C259.8 451.2 263.1 461.4 263.1 472C263.1 482.6 259.8 492.8 252.3 500.3L242.9 509.7C241.4 511.2 239.4 512 237.2 512C235.1 512 233.1 511.2 231.6 509.7C230.1 508.2 229.2 506.1 229.2 504C229.2 501.9 230.1 499.8 231.6 498.3L240.1 488.1C245.4 484.5 247.1 478.4 247.1 472C247.1 465.6 245.4 459.5 240.1 455L193.7 407.5C192 405.8 190 404.5 187.8 403.6C185.6 402.7 183.3 402.2 180.9 402.2C177.6 402.3 174.3 403.2 171.5 404.9C168.6 406.6 166.2 408.1 164.6 411.8L133.9 448.9C130.5 453.3 128.5 458.6 128.1 464.2C127.6 469.7 128.8 475.3 131.4 480.2C133.9 485.1 137.8 489.2 142.6 492C147.4 494.8 152.9 496.2 158.5 496H168.1C170.2 496 172.3 496.8 173.8 498.3C175.3 499.8 176.1 501.9 176.1 504C176.1 506.1 175.3 508.2 173.8 509.7C172.3 511.2 170.2 512 168.1 512H158.5C149.1 512.1 141.6 509.9 134.3 505.5C126.1 501.1 121 494.7 117.2 487.1C113.3 479.5 111.6 471 112.3 462.5C113.1 454 116.2 445.9 121.3 439.1L151.9 402.2C155.1 396.4 157.8 389.4 157.2 382.3C156.6 375.3 153.5 368.6 148.5 363.6C143.5 358.6 136.8 355.5 129.8 354.9C122.7 354.3 115.7 356.1 109.9 360.2L73.02 390.8C65.06 396.8 55.37 400 45.41 400C39.35 400 33.36 398.8 27.77 396.5C22.18 394.1 17.12 390.7 12.88 386.4C8.639 382.1 5.303 376.9 3.07 371.3C.8359 365.7-.2508 359.7-.1273 353.6V344C-.1273 341.9 .7156 339.8 2.216 338.3C3.716 336.8 5.751 336 7.873 336C9.994 336 12.03 336.8 13.53 338.3C15.03 339.8 15.87 341.9 15.87 344V353.6C15.7 359.1 17.09 364.6 19.89 369.4C22.69 374.2 26.79 378.1 31.71 380.7C36.63 383.3 42.18 384.4 47.71 383.1C53.25 383.5 58.55 381.6 63.01 378.2L100 347.5C102.9 345.9 105.3 343.5 106.1 340.6C108.7 337.8 109.6 334.5 109.6 331.2C109.6 328.8 109.2 326.5 108.3 324.3C107.4 322.1 106 320.1 104.4 318.4L56.96 271C52.46 266.6 46.36 264 40 264C33.64 264 27.55 266.6 23.04 271L13.63 280.4C12.13 281.1 10.09 282.8 7.969 282.8C5.845 282.8 3.807 281.1 2.305 280.4C.803 278.9-.0412 276.9-.0412 274.8C-.0412 272.7 .8027 270.6 2.305 269.1L11.68 259.7C19.19 252.2 29.36 248 39.97 248C50.58 248 60.75 252.2 68.26 259.7L82.88 274.4C85.61 277.1 88.85 279.3 92.42 280.7C95.99 282.2 99.82 282.1 103.7 282.1C107.5 282.1 111.4 282.2 114.9 280.7C118.5 279.3 121.8 277.1 124.5 274.4L124.9 273.1C127.6 271.2 129.8 267.1 131.3 264.4C132.8 260.8 133.5 257 133.5 253.2C133.5 249.3 132.8 245.5 131.3 241.9C129.8 238.3 127.6 235.1 124.9 232.4L101.5 208.1C97.51 205.2 94.3 200.7 92.1 195.6C89.9 190.6 88.76 185.2 88.74 179.6C88.72 174.4 89.75 169.2 91.77 164.3C93.78 159.5 96.75 155.1 100.5 151.4L120.1 131.5C105.1 115.4 96.74 94.13 96.77 72.06C95.96 59.6 98.42 47.14 103.9 35.92C109.4 24.7 117.7 15.1 128 8.064C129.1 8.035 131.9 8.742 133.3 10.05L171.1 44.8C175.8 48.49 178.8 52.9 180.9 57.78C182.1 62.65 184.1 67.9 184.1 73.2C184.2 78.51 183.2 83.77 181.2 88.68C179.1 93.58 176.2 98.04 172.4 101.8L112 162.6C109.7 164.9 107.9 167.6 106.7 170.5C105.4 173.5 104.8 176.7 104.9 179.9C104.9 183.1 105.6 186.3 106.9 189.3C108.2 192.2 110 194.9 112.4 197.1L144.9 229.4C148.2 232.7 152.6 234.6 157.2 234.6C161.9 234.6 166.3 232.7 169.6 229.4L170.8 228.1C189.5 209.3 147 166.9 272.6 78.62L256.6 20.19C256.2 18.83 256 17.42 256 16C256 11.76 257.7 7.687 260.7 4.686C263.7 1.686 267.8 0 272 0L371.8 7.616C383.4 8.669 394.8 11.11 405.8 14.88C435.1 6.13 465.4 1.13 496 0C500.2 0 504.3 1.686 507.3 4.686C510.3 7.687 512 11.76 512 16C510.9 46.57 505.9 76.87 497.1 106.2C500.9 117.2 503.3 128.6 504.4 140.2L512 238.8C512 239.2 512 239.6 512 240C512 244.2 510.3 248.3 507.3 251.3C504.3 254.3 500.2 256 496 256C494.6 256 493.2 255.9 491.8 255.5L433.4 239.5C346.2 363.4 300.1 324.2 283.9 341.2L282.6 342.6zM131.5 120L160.1 90.27C163.2 88.05 164.1 85.4 166.2 82.49C167.4 79.58 168 76.45 168 73.3C168 70.14 167.4 67.02 166.2 64.1C164.1 61.19 163.2 58.54 160.1 56.32L128.6 27.2C118.4 39.88 112.8 55.7 112.8 72C112.8 89.77 119.5 106.9 131.5 120zM391.9 380.5C404.5 392 420.7 398.6 437.8 399.2C454.8 399.7 471.4 394.1 484.7 383.5L455.6 351.1C453.4 348.8 450.7 347.1 447.8 345.8C444.9 344.6 441.8 344 438.6 344C435.5 344 432.3 344.6 429.4 345.8C426.5 347.1 423.9 348.8 421.6 351.1L391.9 380.5zM496 240L488.4 141.4C488.3 139.6 487.7 137.9 487.5 136.1C476.1 167.5 461.2 197.5 443.1 225.5L496 240zM286.4 68.93C314.4 50.79 344.4 35.9 375.8 24.54C374 24.32 372.4 23.58 370.5 23.58L272 16L286.4 68.93zM272.6 329.9C299.8 302.7 334 352.9 420.3 230.4C465.6 167.7 491.9 93.26 496 16C406.4 16 192.4 100.7 192 215.2C192 219.7 191.2 224.1 189.5 228.3C187.9 232.4 185.4 236.2 182.2 239.4L180.9 240.8C176.9 244.8 171.9 247.7 166.4 249.3C160.9 250.8 155.1 250.1 149.6 249.7C149.6 250.8 149.6 251.1 149.6 253.1C149.5 264.6 145.2 275.7 137.4 284.2C129.6 292.6 118.9 297.9 107.4 298.9L115.6 307.2C121.9 313.5 125.5 322.1 125.5 331C125.5 333.6 125.2 336.1 124.6 338.7H126.9C139.2 338.7 150.1 343.5 159.6 352.2C168.3 360.9 173.2 372.6 173.2 384.9C173.2 385.7 173.2 386.5 173.2 387.2C175.7 386.7 178.3 386.4 180.8 386.4C185.3 386.4 189.7 387.2 193.8 388.1C197.9 390.7 201.7 393.2 204.8 396.4L213.1 404.7C214.2 393.3 219.4 382.6 227.9 374.8C236.3 367 247.4 362.6 258.8 362.5C259.1 362.5 261.1 362.5 262.2 362.5C260.1 356.1 261.1 351.2 262.7 345.7C264.2 340.3 267.2 335.3 271.2 331.2L272.5 329.9L272.6 329.9zM195.3 268.7C198.3 271.7 200 275.8 200 280C200 283.2 199.1 286.3 197.3 288.9C195.5 291.5 193 293.6 190.1 294.8C187.2 295.1 183.1 296.3 180.9 295.7C177.8 295.1 174.9 293.6 172.7 291.3C170.4 289.1 168.9 286.2 168.3 283.1C167.7 280 168 276.8 169.2 273.9C170.4 270.1 172.5 268.5 175.1 266.7C177.7 264.9 180.8 264 184 264C188.2 264 192.3 265.7 195.3 268.7zM243.3 316.7C246.3 319.7 248 323.8 248 328C248 331.2 247.1 334.3 245.3 336.9C243.5 339.5 241 341.6 238.1 342.8C235.2 343.1 231.1 344.3 228.9 343.7C225.8 343.1 222.9 341.6 220.7 339.3C218.4 337.1 216.9 334.2 216.3 331.1C215.7 328 216 324.8 217.2 321.9C218.4 318.1 220.5 316.5 223.1 314.7C225.7 312.9 228.8 312 232 312C236.2 312 240.3 313.7 243.3 316.7z"],
    "squirrel": [576, 512, [], "f71a", "M172.3 15.1C103.6 15.1 47.1 71.64 47.1 140.3C47.1 208.9 103.6 264.5 172.3 264.5C185.4 264.5 197.5 271.7 203.8 283.1C211.7 297.5 208.3 314.3 199.8 326.4C187.5 343.9 180.3 365.2 180.3 388.3C180.3 447.8 228.5 496 287.1 496H393.2C435.2 496 469.2 461.1 469.2 420C469.2 378 435.2 344 393.2 344C385.2 344 377.6 345.2 370.4 347.5C366.2 348.8 361.7 346.5 360.4 342.2C359 338 361.4 333.5 365.6 332.2C374.3 329.5 383.6 328 393.2 328C410.3 328 426.3 332.7 440 340.8V239.1C440 235.6 443.6 231.1 448 231.1H464.5C490.1 231.1 513.3 216.7 523.3 193.2L527.8 182.7L527.2 176.8C523.6 140 492.6 111.1 455.6 111.1H440C435.6 111.1 432 108.4 432 103.1V79.1C418.7 79.1 408 90.74 408 103.1C408 108.4 404.4 111.1 400 111.1C395.6 111.1 392 108.4 392 103.1C392 90.74 381.3 79.1 368 79.1V148.2C368 186.1 361.2 212.3 347.8 236.1C336.4 256.6 320.2 275.2 300.6 297.7C297.8 300.1 294.9 304.3 291.9 307.7L280.7 320.7C265 338.9 255.1 367.1 255.1 392C255.1 396.4 252.4 400 247.1 400C243.6 400 239.1 396.4 239.1 392C239.1 363.9 249.1 331.8 268.6 310.2L279.8 297.2C282.8 293.8 285.7 290.4 288.5 287.2C308.4 264.4 323.3 247.2 333.9 228.3C345.6 207.3 352 183.9 352 148.2V79.1C352 71.16 359.2 63.1 368 63.1C381.1 63.1 392.7 70.28 400 79.1C407.3 70.28 418.9 63.1 432 63.1C440.8 63.1 448 71.16 448 79.1V95.1H455.6C500.8 95.1 538.7 130.3 543.2 175.2L543.1 183.2C544.1 184.5 543.9 185.9 543.4 187.2L538.1 199.5C525.4 228.9 496.5 247.1 464.5 247.1H456V352H455.2C473.6 368.8 485.2 393.1 485.2 420C485.2 451.6 469.3 479.4 445.1 496H504C508.4 496 512 499.6 512 504C512 508.4 508.4 512 504 512H288C219.7 512 164.3 456.6 164.3 388.3C164.3 361.8 172.6 337.3 186.7 317.1C192.7 308.7 193.1 298.5 189.8 290.9C186.3 284.5 179.5 280.5 172.3 280.5C94.8 280.5 32 217.7 32 140.3C32 62.8 94.8 0 172.3 0C249.7 0 312.5 62.8 312.5 140.3V173.3C312.5 177.8 308.1 181.3 304.5 181.3C300.1 181.3 296.5 177.8 296.5 173.3V140.3C296.5 71.64 240.9 16 172.3 16L172.3 15.1zM432 159.1C432 151.2 439.2 143.1 448 143.1C456.8 143.1 464 151.2 464 159.1C464 168.8 456.8 175.1 448 175.1C439.2 175.1 432 168.8 432 159.1z"],
    "staff": [512, 512, [], "f71b", "M432 0h-76.25c-30.25 0-57.98 17.1-71.48 44.23l-16.01 32.02c-4 7.873-.75 17.5 7.123 21.37l57.25 28.62c2.293 1.164 4.734 1.715 7.143 1.715c5.859 0 11.52-3.258 14.36-8.84l11.5-23.12h50.37v75.75l-157.3 45.01C229.1 225 203.8 240.4 182.6 261.5L156.1 287.1H112c-8.873 0-15.1 7.125-15.1 16v44.12l-88.99 88.99c-9.375 9.375-9.375 24.5 0 33.87l33.1 33.1C45.72 509.7 51.84 512 57.96 512s12.25-2.344 16.94-7.031l175.6-175.6c9.625-9.625 21.5-16.63 34.62-20.38l84.75-24.25l32.25 18.63c2.533 1.494 5.317 2.202 8.063 2.202c5.52 0 10.88-2.886 13.8-7.975l19.51-33.85l10.51-3C488.3 250.1 512 219.6 512 183.9V79.1C512 35.88 476.1 0 432 0zM496 183.9c0 28.55-18.93 53.64-46.38 61.48l-16.75 4.785L410.1 289.5l-38.13-22.02l-91.29 26.12C265 298.1 250.7 306.5 239.2 318l-175.6 175.6c-3.105 3.105-8.141 3.105-11.25 0l-34-34c-3.104-3.104-3.104-8.139 0-11.24l93.68-93.68l-.002-50.75H162.8l31.18-31.18c19.1-19.1 43.04-33.17 69.21-40.68l157.2-44.1c6.865-1.965 11.6-8.24 11.6-15.38V95.99c0-8.836-7.164-16-16-16h-50.38c-6.064 0-11.61 3.43-14.32 8.859l-11.51 23.08l-57.22-28.53l16.04-32.09C309.4 29.67 331.6 16 355.8 16h76.24C467.3 16 496 44.65 496 79.1V183.9z"],
    "staff-snake": [384, 512, ["rod-asclepius", "rod-snake", "staff-aesculapius"], "e579", "M287.5 47.1C340.5 47.1 383.5 90.98 383.5 143.1C383.5 197 340.5 239.1 287.5 239.1H247.5C243.1 239.1 239.5 236.4 239.5 231.1C239.5 227.6 243.1 223.1 247.5 223.1H287.5C331.7 223.1 367.5 188.2 367.5 143.1C367.5 99.82 331.7 63.1 287.5 63.1H56C33.91 63.1 16 81.91 16 103.1C16 126.1 33.91 143.1 56 143.1H71.67C89.19 143.1 105.7 135.7 116.2 121.7L121.1 115.2C122.6 113.2 124.1 111.1 127.5 111.1H287.5C305.2 111.1 319.5 126.3 319.5 143.1C319.5 161.7 305.2 175.1 287.5 175.1H263.5C259.1 175.1 255.5 172.4 255.5 167.1C255.5 163.6 259.1 159.1 263.5 159.1H287.5C296.3 159.1 303.5 152.8 303.5 143.1C303.5 135.2 296.3 127.1 287.5 127.1H231.8L223.5 256.5C223.2 260.9 219.4 264.3 214.1 263.1C210.6 263.7 207.2 259.9 207.5 255.5L215.7 127.1H167.3L175.5 255.5C175.8 259.9 172.4 263.7 168 263.1C163.6 264.3 159.8 260.9 159.5 256.5L157.4 224.1C140.7 225.1 127.5 239 127.5 255.1C127.5 273.7 141.8 287.1 159.5 287.1H271.5C315.7 287.1 351.5 323.8 351.5 368C351.5 412.2 315.7 448 271.5 448H231.5C227.1 448 223.5 444.4 223.5 440C223.5 435.6 227.1 432 231.5 432H271.5C306.8 432 335.5 403.3 335.5 368C335.5 332.7 306.8 303.1 271.5 303.1H159.5C132.1 303.1 111.5 282.5 111.5 255.1C111.5 230.5 131.3 209.7 156.4 208.1L154.3 176C112.9 176.4 79.5 210 79.5 251.5V255.1C79.5 300.2 115.3 336 159.5 336H271.5C289.2 336 303.5 350.3 303.5 368C303.5 385.7 289.2 400 271.5 400H239.5C235.1 400 231.5 396.4 231.5 392C231.5 387.6 235.1 384 239.5 384H271.5C280.3 384 287.5 376.8 287.5 368C287.5 359.2 280.3 352 271.5 352H217.3C217.3 352.2 217.3 352.3 217.3 352.5L208 496.5C207.4 505.2 200.2 512 191.5 512C182.8 512 175.6 505.2 175 496.5L171.9 448H127.5C109.8 448 95.5 433.7 95.5 416C95.5 398.3 109.8 384 127.5 384H167.7L165.7 352.5C165.7 352.3 165.7 352.2 165.7 352H159.5C106.5 352 63.5 309 63.5 256V251.5C63.5 201.5 103.5 160.9 153.3 160L151.2 128H131.5L129 131.3C115.5 149.4 94.22 160 71.67 160H56C25.07 160 0 134.9 0 104C0 73.07 25.07 48 56 48H146.1C144.6 21.96 165.4 0 191.5 0C217.6 0 238.4 21.96 236.9 48L287.5 47.1zM168.8 400H127.5C118.7 400 111.5 407.2 111.5 416C111.5 424.8 118.7 432 127.5 432H170.8L168.8 400zM181.7 352L190.1 495.5C190.1 495.8 191.2 496 191.5 496C191.8 496 192 495.8 192 495.5L201.3 352H181.7zM220.9 47.1C220.9 47.8 220.9 47.6 220.9 47.4C222 30.4 208.5 15.1 191.5 15.1C174.5 15.1 160.1 30.4 162.1 47.4C162.1 47.6 162.1 47.8 162.1 47.1H220.9zM63.5 79.1C72.34 79.1 79.5 87.16 79.5 95.1C79.5 104.8 72.34 111.1 63.5 111.1C54.66 111.1 47.5 104.8 47.5 95.1C47.5 87.16 54.66 79.1 63.5 79.1z"],
    "stairs": [576, 512, [], "e289", "M576 40c0 4.422-3.594 8-8 8h-128v136C440 188.4 436.4 192 432 192h-136v136c0 4.422-3.594 8-8 8H152v136C152 476.4 148.4 480 144 480H8C3.594 480 0 476.4 0 472s3.594-8 8-8h128v-136C136 323.6 139.6 320 144 320h136V184C280 179.6 283.6 176 288 176h136V40C424 35.58 427.6 32 432 32h136C572.4 32 576 35.58 576 40z"],
    "stamp": [512, 512, [], "f5bf", "M340 142.5C330.1 160.4 320 179.3 320 199.8C320 239.7 352.3 272 392.2 272H400C461.9 272 512 322.1 512 384C512 401.7 497.7 416 480 416H32C14.33 416 0 401.7 0 384C0 322.1 50.14 272 112 272H119.8C159.7 272 192 239.7 192 199.8C192 179.3 181.9 160.4 171.1 142.5C164.3 128.7 160 112.9 160 96C160 42.98 202.1 0 256 0C309 0 352 42.98 352 96C352 112.9 347.7 128.7 340 142.5zM256 16C211.8 16 176 51.82 176 96C176 110.1 179.6 123.2 185.1 134.7C195.6 152.1 208 174.5 208 199.8C208 248.5 168.5 288 119.8 288H112C58.98 288 16 330.1 16 384C16 392.8 23.16 400 32 400H480C488.8 400 496 392.8 496 384C496 330.1 453 288 400 288H392.2C343.5 288 304 248.5 304 199.8C304 174.5 316.4 152.1 326 134.7C332.4 123.2 336 110.1 336 96C336 51.82 300.2 16 256 16zM48 472C48 485.3 58.75 496 72 496H440C453.3 496 464 485.3 464 472V456C464 451.6 467.6 448 472 448C476.4 448 480 451.6 480 456V472C480 494.1 462.1 512 440 512H72C49.91 512 32 494.1 32 472V456C32 451.6 35.58 448 40 448C44.42 448 48 451.6 48 456V472zM340 142.5L326 134.7z"],
    "standard-definition": [576, 512, ["rectangle-sd"], "e28a", "M512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM560 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h448c26.47 0 48 21.53 48 48V416zM384 160h-64c-4.406 0-8 3.578-8 8v176c0 4.422 3.594 8 8 8h64c52.94 0 96-43.06 96-96S436.9 160 384 160zM384 336h-56v-160H384c44.13 0 80 35.89 80 80S428.1 336 384 336zM193.8 248.2L184.3 245.9C143.6 236.2 123.9 227.1 128.7 204.2c4.594-21.55 36.84-32.38 80.66-26.73c9.188 1.172 20.16 3.594 34.47 7.609C248 186.2 252.5 183.8 253.7 179.5c1.219-4.266-1.281-8.672-5.531-9.875C233.1 165.4 221.4 162.8 211.4 161.6C158.4 154.9 119.6 170.2 113.1 200.9C104.1 243.2 151.1 254.7 180.6 261.5l9.594 2.25c44.13 10.3 70.56 18.41 65.13 44.08c-4.594 21.55-36.91 32.2-80.69 26.73c-14.38-1.766-30.75-6.578-45.22-10.83l-7.156-2.094c-4.438-1.297-8.719 1.234-9.906 5.469c-1.219 4.234 1.219 8.672 5.469 9.906l7.094 2.062c15.03 4.422 32.09 9.438 47.75 11.36c8.312 1.062 16.28 1.578 23.84 1.578c40.66 0 68.97-15.02 74.44-40.88C280 268.3 234.2 257.6 193.8 248.2z"],
    "stapler": [640, 512, [], "e5af", "M72 352C58.75 352 48 341.3 48 328V236L32.63 232.2C13.45 227.4 0 210.1 0 190.4C0 181 3.024 171.1 8.617 164.5L43.83 117.6C76.67 73.77 128.2 48 182.9 48C209.9 48 236.6 54.29 260.7 66.36L586.9 229.5C619.5 245.7 640 278.1 640 315.3V432C640 458.5 618.5 480 592 480H63.1C46.33 480 31.1 465.7 31.1 448C31.1 430.3 46.33 416 63.1 416H448V352H72zM448 336L64 240V328C64 332.4 67.58 336 72 336H448zM624 315.3C624 285 606.9 257.3 579.8 243.8L253.6 80.67C231.6 69.71 207.5 63.1 182.9 63.1C133.2 63.1 86.45 87.4 56.63 127.2L21.42 174.1C17.9 178.8 16 184.5 16 190.4C16 202.8 24.46 213.6 36.52 216.6L451.9 320.5C459 322.3 464 328.7 464 336V416H624L624 315.3zM64 432C55.16 432 48 439.2 48 448C48 456.8 55.16 464 64 464H592C609.7 464 624 449.7 624 432H64z"],
    "star": [576, 512, [61446, 11088], "f005", "M287.9 435.9L150.1 509.1C142.9 513.4 133.1 512.7 125.6 507.4C118.2 502.1 114.5 492.9 115.1 483.9L142.2 328.4L31.11 218.2C24.65 211.9 22.36 202.4 25.2 193.7C28.03 185.1 35.5 178.8 44.49 177.5L197.7 154.8L266.3 13.52C270.4 5.249 278.7 0 287.9 0C297.1 0 305.5 5.25 309.5 13.52L378.1 154.8L531.4 177.5C540.4 178.8 547.8 185.1 550.7 193.7C553.5 202.4 551.2 211.9 544.8 218.2L433.6 328.4L459.9 483.9C461.4 492.9 457.7 502.1 450.2 507.4C442.8 512.7 432.1 513.4 424.9 509.1L287.9 435.9zM212.1 161.8C209.8 166.6 205.3 169.9 200.1 170.7L46.83 193.3C43.83 193.7 41.34 195.8 40.4 198.7C39.45 201.6 40.22 204.8 42.37 206.9L153.5 316.1C157.2 320.7 158.9 325.9 158 331L131.8 486.6C131.2 489.6 132.5 492.6 134.1 494.4C137.5 496.2 140.7 496.4 143.4 494.1L280.4 421.8C285.1 419.3 290.8 419.3 295.5 421.8L432.4 494.1C435.1 496.4 438.4 496.2 440.9 494.4C443.4 492.6 444.6 489.6 444.1 486.6L417.9 331C416.1 325.9 418.7 320.7 422.4 316.1L533.5 206.9C535.6 204.7 536.4 201.6 535.5 198.7C534.5 195.8 532 193.7 529 193.3L375.8 170.7C370.6 169.9 366 166.6 363.7 161.8L295.1 20.51C293.8 17.75 290.1 15.1 287.9 15.1C284.9 15.1 282.1 17.75 280.7 20.51L212.1 161.8zM31.22 218.1L42.37 206.9z"],
    "star-and-crescent": [512, 512, [9770], "f699", "M503.5 213.9l-76.38-11.12L392.9 133.5C391.1 129.9 387.5 128 384 128s-7.125 1.875-9 5.5l-34.13 69.25l-76.38 11.12c-8.125 1.125-11.38 11.25-5.5 17l55.25 53.88l-13 76c-1.125 6.5 4 11.75 9.75 11.75c1.5 0 3.125-.375 4.625-1.25l68.38-35.88l68.25 35.88c1.625 .875 3.125 1.25 4.75 1.25c5.75 0 10.88-5.25 9.75-11.75l-13-76l55.25-53.88C514.9 225.1 511.6 215 503.5 213.9zM436.6 279.2l12.36 72.26l-64.92-34.12l-64.92 34.08l12.36-72.22L278.9 227.9l72.6-10.57l32.44-65.83l32.56 65.83L489.1 227.9L436.6 279.2zM340.5 466.4c-1.5 0-6.875 .5-9.25 .5c-116.3 0-210.8-94.63-210.8-210.9s94.5-210.9 210.8-210.9c2.375 0 7.75 .5 9.25 .5c7.125 0 13.25-5 14.75-12c1.375-7.25-2.625-14.5-9.5-17.12c-29.12-11-59.38-16.5-89.75-16.5c-141.1 0-256 114.9-256 256s114.9 256 256 256c30.25 0 60.25-5.5 89.38-16.38c5.875-2 10.25-7.625 10.25-14.25C355.6 473.4 349.3 466.4 340.5 466.4zM256 496C123.7 496 16 388.3 16 256s107.7-240 240-240c26.44 0 52.6 4.439 77.86 13.21c-1.004-.0508-1.912-.082-2.607-.082C206.2 29.12 104.5 130.9 104.5 256s101.7 226.9 226.8 226.9c.6719 0 1.543-.0293 2.506-.0762C308.3 491.6 282.2 496 256 496z"],
    "star-christmas": [512, 512, [], "f7d4", "M493.6 232.4l-171.2-42.78l-42.78-171.2C276.8 7.406 267.3 0 256 0s-20.84 7.406-23.62 18.47L189.6 189.6L18.44 232.4C7.406 235.2 0 244.6 0 255.1c0 11.34 7.406 20.86 18.47 23.64l171.1 42.78l42.66 171.2C235 504.6 244.5 512 255.9 512s20.84-7.406 23.62-18.47l42.78-171.1l171.3-42.78C504.6 276.8 512 267.3 512 255.1C512 244.6 504.6 235.2 493.6 232.4zM489.7 264.1l-180.6 45.11l-45.1 180.4C262.1 493.6 259.9 496 255.9 496c-4.016 0-7.123-2.434-8.1-6.307L202.8 309.2L22.37 264.1C18.44 263.1 16 260 16 256c0-4.016 2.434-7.123 6.318-8.102l180.5-45.11l45.11-180.4C248.9 18.44 251.1 16 256 16c4.016 0 7.123 2.432 8.104 6.316l45.11 180.5l180.4 45.1C493.6 248.9 496 251.1 496 256S493.6 263.1 489.7 264.1zM146.3 157.7C147.9 159.2 149.9 160 152 160s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31l-80-80c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31L146.3 157.7zM360 160c2.062 0 4.094-.7813 5.656-2.344l80-80c3.125-3.125 3.125-8.188 0-11.31s-8.188-3.125-11.31 0l-80 80c-3.125 3.125-3.125 8.188 0 11.31C355.9 159.2 357.9 160 360 160zM365.7 354.3c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31l80 80C435.9 447.2 437.9 448 440 448s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31L365.7 354.3zM146.3 354.3l-80 80c-3.125 3.125-3.125 8.188 0 11.31C67.91 447.2 69.94 448 72 448s4.094-.7813 5.656-2.344l80-80c3.125-3.125 3.125-8.188 0-11.31S149.5 351.2 146.3 354.3z"],
    "star-exclamation": [576, 512, [], "f2f3", "M287.1 127.1C292.4 127.1 296 131.6 296 135.1V295.1C296 300.4 292.4 303.1 287.1 303.1C283.6 303.1 279.1 300.4 279.1 295.1V135.1C279.1 131.6 283.6 127.1 287.1 127.1zM304 352C304 360.8 296.8 368 287.1 368C279.2 368 271.1 360.8 271.1 352C271.1 343.2 279.2 336 287.1 336C296.8 336 304 343.2 304 352zM450.2 507.4C442.8 512.7 432.1 513.4 424.9 509.1L287.9 435.9L150.1 509.1C142.9 513.4 133.1 512.7 125.6 507.4C118.2 502.1 114.5 492.9 115.1 483.9L142.2 328.4L31.11 218.2C24.65 211.9 22.36 202.4 25.2 193.7C28.03 185.1 35.5 178.8 44.49 177.5L197.7 154.8L266.3 13.52C270.4 5.249 278.7 0 287.9 0C297.1 0 305.5 5.25 309.5 13.52L378.1 154.8L531.4 177.5C540.4 178.8 547.8 185.1 550.7 193.7C553.5 202.4 551.2 211.9 544.8 218.2L433.6 328.4L459.9 483.9C461.4 492.9 457.7 502.1 450.2 507.4H450.2zM46.83 193.3C43.83 193.7 41.34 195.8 40.4 198.7C39.45 201.6 40.22 204.8 42.37 206.9L153.5 316.1C157.2 320.7 158.9 325.9 158 331L131.8 486.6C131.2 489.6 132.5 492.6 134.1 494.4C137.5 496.2 140.7 496.4 143.4 494.1L280.4 421.8C285.1 419.3 290.8 419.3 295.5 421.8L432.4 494.1C435.1 496.4 438.4 496.2 440.9 494.4C443.4 492.6 444.6 489.6 444.1 486.6L417.9 331C416.1 325.9 418.7 320.7 422.4 316.1L533.5 206.9C535.6 204.7 536.4 201.6 535.5 198.7C534.5 195.8 532 193.7 529 193.3L375.8 170.7C370.6 169.9 366 166.6 363.7 161.8L295.1 20.51C293.8 17.75 290.1 15.1 287.9 15.1C284.9 15.1 282.1 17.75 280.7 20.51L212.1 161.8C209.8 166.6 205.3 169.9 200.1 170.7L46.83 193.3zM42.37 206.9L31.22 218.1z"],
    "star-half": [576, 512, [61731], "f089", "M212.1 161.8C209.8 166.6 205.3 169.9 200.1 170.7L46.83 193.3C43.83 193.7 41.34 195.8 40.4 198.7C39.46 201.6 40.22 204.8 42.37 206.9L31.11 218.3C24.65 211.9 22.36 202.4 25.2 193.7C28.03 185.1 35.5 178.8 44.49 177.5L197.7 154.8L266.3 13.52C271.2 3.46 282.4-1.893 293.3 .6127C304.2 3.119 311.9 12.82 311.9 24V408.7C311.9 417.5 307.1 425.7 299.2 429.8L150.1 509.1C142.9 513.4 133.1 512.7 125.6 507.4C118.2 502.1 114.5 492.1 115.1 483.9L142.2 328.4L31.11 218.3L42.37 206.9L153.5 316.1C157.2 320.7 158.9 325.9 158 331L131.8 486.6C131.3 489.6 132.5 492.6 134.1 494.4C137.5 496.2 140.7 496.4 143.4 494.1L291.7 415.7C294.3 414.3 295.9 411.6 295.9 408.7V24C295.9 20.27 293.4 17.04 289.7 16.21C286.1 15.37 282.4 17.16 280.7 20.51L212.1 161.8z"],
    "star-half-stroke": [576, 512, ["star-half-alt"], "f5c0", "M450.2 507.4C442.8 512.7 432.1 513.4 424.9 509.1L287.9 435.9L150.1 509.1C142.9 513.4 133.1 512.7 125.6 507.4C118.2 502.1 114.5 492.9 115.1 483.9L142.2 328.4L31.11 218.2C24.65 211.9 22.36 202.4 25.2 193.7C28.03 185.1 35.5 178.8 44.49 177.5L197.7 154.8L266.3 13.52C270.4 5.249 278.7 0 287.9 0C297.1 0 305.5 5.25 309.5 13.52L378.1 154.8L531.4 177.5C540.4 178.8 547.8 185.1 550.7 193.7C553.5 202.4 551.2 211.9 544.8 218.2L433.6 328.4L459.9 483.9C461.4 492.9 457.7 502.1 450.2 507.4H450.2zM46.83 193.3C43.83 193.7 41.34 195.8 40.4 198.7C39.45 201.6 40.22 204.8 42.37 206.9L153.5 316.1C157.2 320.7 158.9 325.9 158 331L131.8 486.6C131.2 489.6 132.5 492.6 134.1 494.4C137.5 496.2 140.7 496.4 143.4 494.1L279.1 421.1V22.02L212.1 161.8C209.8 166.6 205.3 169.9 200.1 170.7L46.83 193.3zM296 422.1L432.4 494.1C435.1 496.4 438.4 496.2 440.9 494.4C443.4 492.6 444.6 489.6 444.1 486.6L417.9 331C416.1 325.9 418.7 320.7 422.4 316.1L533.5 206.9C535.6 204.7 536.4 201.6 535.5 198.7C534.5 195.8 532 193.7 529 193.3L375.8 170.7C370.6 169.9 366 166.6 363.7 161.8L296 22.3L296 422.1zM42.37 206.9L31.22 218.1z"],
    "star-of-david": [512, 512, [10017], "f69a", "M439.9 256l49.47-78.75c8.406-13.38 8.859-29.66 1.203-43.5C483.1 120.1 469.4 112 453.9 112h-104.4l-57.98-92.28C283.7 7.375 270.5 0 256 0S228.3 7.375 220.5 19.72c-.0156 0 0 0 0 0L162.5 112H58.09c-15.45 0-29.17 8.125-36.7 21.75c-7.656 13.84-7.203 30.12 1.203 43.5l49.47 78.75l-49.47 78.75c-8.406 13.38-8.859 29.66-1.203 43.5C28.92 391.9 42.64 400 58.09 400h104.4l57.98 92.28C228.3 504.6 241.5 512 256 512s27.74-7.375 35.49-19.72c.0156 0 0 0 0 0L349.5 400h104.4c15.45 0 29.17-8.125 36.7-21.75c7.656-13.84 7.203-30.12-1.203-43.5L439.9 256zM453.9 128c9.531 0 18.02 5.031 22.7 13.5c4.781 8.656 4.5 18.84-.7656 27.25l-45.36 72.21L359.5 128H453.9zM421 256l-80.41 128H171.4L90.97 256l80.41-128h169.2L421 256zM234.1 28.22c9.594-15.31 34.28-15.31 43.88 0L330.6 112H181.4L234.1 28.22zM36.16 168.8C30.89 160.3 30.61 150.2 35.39 141.5C40.08 133 48.56 128 58.09 128h94.38L81.52 240.1L36.16 168.8zM58.09 384c-9.531 0-18.02-5.031-22.7-13.5c-4.781-8.656-4.5-18.84 .7656-27.25l45.36-72.21L152.5 384H58.09zM277.9 483.8c-9.594 15.31-34.28 15.31-43.88 0L181.4 400h149.1L277.9 483.8zM476.6 370.5C471.9 378.1 463.4 384 453.9 384h-94.38l70.96-112.1l45.36 72.21C481.1 351.7 481.4 361.8 476.6 370.5z"],
    "star-of-life": [512, 512, [], "f621", "M483.1 377.1c3.844 2.188 5.172 7.062 2.984 10.91C485.5 390.6 482.8 392 480 392c-1.359 0-2.719-.3438-3.969-1.062L264 269.8V504c0 4.406-3.578 8-8 8s-8-3.594-8-8V269.8l-212 121.2C34.72 391.7 33.36 392 32 392c-2.766 0-5.469-1.438-6.953-4.031c-2.188-3.844-.8594-8.719 2.984-10.91L239.9 256L28.03 134.9C24.19 132.8 22.86 127.9 25.05 124c2.203-3.906 7.094-5.188 10.92-2.969L248 242.2V8C248 3.594 251.6 0 256 0s8 3.594 8 8v234.2l212-121.2c3.75-2.219 8.703-.9375 10.92 2.969c2.188 3.844 .8594 8.719-2.984 10.91L272.1 256L483.1 377.1z"],
    "star-sharp": [512, 512, [], "e28b", "M237.1 13.2C240.5 5.338 247.8 0 256 0C264.2 0 271.5 5.338 274.1 13.2L325.8 176H493.1C503.5 176 512 184.5 512 194.9C512 200.5 509.5 205.8 505.2 209.4L369.2 322.7L419.9 489.5C423.4 500.7 414.1 512 403.2 512C399.4 512 395.6 510.7 392.5 508.3L256 402.1L119.5 508.3C116.4 510.7 112.6 512 108.8 512C97.04 512 88.65 500.7 92.06 489.5L142.8 322.7L6.799 209.4C2.491 205.8 0 200.5 0 194.9C0 184.5 8.46 176 18.9 176H186.2L237.1 13.2zM256 16C254.7 16 253.6 16.83 253.2 18.05L199.6 186.4C198.6 189.7 195.5 192 192 192H18.9C17.3 192 16 193.3 16 194.9C16 195.8 16.38 196.6 17.04 197.1L157.1 313.9C159.6 315.9 160.6 319.3 159.7 322.3L107.4 494.1C107.1 495.1 107.8 496 108.8 496C109.1 496 109.4 495.9 109.6 495.7L251.1 385.7C253.1 383.4 258 383.4 260.9 385.7L402.4 495.7C402.6 495.9 402.9 496 403.2 496C404.2 496 404.9 495.1 404.6 494.1L352.3 322.3C351.4 319.3 352.4 315.9 354.9 313.9L494.1 197.1C495.6 196.6 496 195.8 496 194.9C496 193.3 494.7 192 493.1 192H320C316.5 192 313.4 189.7 312.4 186.4L258.8 18.05C258.4 16.83 257.3 16 256 16H256z"],
    "star-sharp-half": [512, 512, [], "e28c", "M239.4 8.794C241 3.557 245.9 0 251.4 0C258.3 0 264 5.651 264 12.62V392C264 394.5 262.9 396.8 260.9 398.3L119.5 508.3C116.4 510.7 112.6 512 108.8 512C97.04 512 88.65 500.7 92.06 489.5L142.8 322.7L6.799 209.4C2.491 205.8 0 200.5 0 194.9C0 184.5 8.46 176 18.9 176H186.2L239.4 8.794zM248 34.38L199.6 186.4C198.6 189.7 195.5 192 192 192H18.9C17.3 192 16 193.3 16 194.9C16 195.8 16.38 196.6 17.04 197.1L157.1 313.9C159.6 315.9 160.6 319.3 159.7 322.3L107.4 494.1C107.1 495.1 107.8 496 108.8 496C109.1 496 109.4 495.9 109.6 495.7L248 388.1V34.38z"],
    "star-sharp-half-stroke": [512, 512, ["star-sharp-half-alt"], "e28d", "M274.1 13.2L325.8 176H493.1C503.5 176 512 184.5 512 194.9C512 200.5 509.5 205.8 505.2 209.4L369.2 322.7L419.9 489.5C423.4 500.7 414.1 512 403.2 512C399.4 512 395.6 510.7 392.5 508.3L256 402.1L119.5 508.3C116.4 510.7 112.6 512 108.8 512C97.04 512 88.65 500.7 92.06 489.5L142.8 322.7L6.799 209.4C2.491 205.8 0 200.5 0 194.9C0 184.5 8.46 176 18.9 176H186.2L237.1 13.2C240.5 5.338 247.8 0 255.1 0C264.2 0 271.5 5.338 274 13.2H274.1zM248 34.38L199.6 186.4C198.6 189.7 195.5 192 192 192H18.9C17.3 192 16 193.3 16 194.9C16 195.8 16.38 196.6 17.04 197.1L157.1 313.9C159.6 315.9 160.6 319.3 159.7 322.3L107.4 494.1C107.1 495.1 107.8 496 108.8 496C109.1 496 109.4 495.9 109.6 495.7L248 388.1V34.38zM264 388.1L402.4 495.7C402.6 495.9 402.9 496 403.2 496C404.2 496 404.9 495.1 404.6 494.1L352.3 322.3C351.4 319.3 352.4 315.9 354.9 313.9L494.1 197.1C495.6 196.6 496 195.8 496 194.9C496 193.3 494.7 192 493.1 192H320C316.5 192 313.4 189.7 312.4 186.4L264 34.38V388.1z"],
    "star-shooting": [512, 512, [127776], "e036", "M364.2 267.2l-104.8-15.28L212.6 156.7C208.4 148.2 200.2 143.9 191.9 143.9c-8.188 0-16.32 4.239-20.56 12.79l-46.87 95.25L19.73 267.2C.8577 269.1-6.742 293.2 7.006 306.5L82.88 380.5l-17.1 104.6C62.41 500 74.23 512 87.51 512c3.543 0 7.215-.8365 10.72-2.706l93.77-49.38l93.75 49.38c3.352 1.783 7.007 2.685 10.65 2.685c4.783 0 9.568-1.541 13.61-4.448c6.998-5.125 10.61-13.89 9.108-22.39l-17.9-104.6l75.9-74C390.7 293.3 383.1 269.1 364.2 267.2zM365.9 295.1l-81.88 79.86l19.3 112.1c.4336 2.447-.6992 5.133-2.709 6.605c-1.27 .9121-2.736 1.395-4.246 1.395c-1.109 0-2.166-.2637-3.199-.8125l-101.2-53.3L90.71 495.2C89.67 495.7 88.63 496 87.56 496c-2.006 0-4.031-.9766-5.418-2.611c-1.34-1.578-1.838-3.467-1.498-5.518l19.42-112.9L18.12 295C15.44 292.4 15.87 289.5 16.36 287.1c.4082-1.266 1.777-4.27 5.709-4.842l113.1-16.46l50.56-102.8C187.4 160.5 190.4 160 191.1 160c1.312 0 4.547 .377 6.264 3.859L248.8 266.7l113.1 16.46c3.938 .5742 5.32 3.594 5.732 4.865C368.1 289.5 368.6 292.5 365.9 295.1zM232 96c2.047 0 4.094-.7813 5.656-2.344l80-80c3.125-3.125 3.125-8.188 0-11.31s-8.188-3.125-11.31 0l-80 80c-3.125 3.125-3.125 8.188 0 11.31C227.9 95.22 229.1 96 232 96zM498.3 194.3l-80 80c-3.125 3.125-3.125 8.188 0 11.31C419.9 287.2 421.1 288 424 288s4.094-.7813 5.656-2.344l80-80c3.125-3.125 3.125-8.188 0-11.31S501.5 191.2 498.3 194.3zM322.3 189.7C323.9 191.2 325.1 192 328 192s4.094-.7813 5.656-2.344l176-176c3.125-3.125 3.125-8.188 0-11.31s-8.188-3.125-11.31 0l-176 176C319.2 181.5 319.2 186.5 322.3 189.7z"],
    "starfighter": [640, 512, [], "e037", "M280 256C280 233.9 297.9 216 320 216C342.1 216 360 233.9 360 256V304C360 317.3 349.3 328 336 328H304C290.7 328 280 317.3 280 304V256zM296 256V304C296 308.4 299.6 312 304 312H336C340.4 312 344 308.4 344 304V256C344 242.7 333.3 232 320 232C306.7 232 296 242.7 296 256zM277.1 27.34C279.4 11.64 292.9 0 308.7 0H331.3C347.1 0 360.6 11.64 362.9 27.34L399.7 277.7C399.9 278.8 400 280 400 281.2V440C400 462.1 382.1 480 360 480H280C257.9 480 240 462.1 240 440V281.2C240 280 240.1 278.8 240.3 277.7L277.1 27.34zM308.7 16C300.8 16 294.1 21.82 292.9 29.67L256.1 280C256 280.4 256 280.8 256 281.2V440C256 453.3 266.7 464 280 464H360C373.3 464 384 453.3 384 440V281.2C384 280.8 383.1 280.4 383.9 280L347.1 29.67C345.9 21.82 339.2 16 331.3 16H308.7zM608 128H624C628.4 128 632 131.6 632 136C632 140.4 628.4 144 624 144H608V448C608 452.4 604.4 456 600 456C595.6 456 592 452.4 592 448V420L509.3 454.5C503.5 469.4 488.1 480 472 480H448V504C448 508.4 444.4 512 440 512C435.6 512 432 508.4 432 504V472C432 467.6 435.6 464 440 464H472C485.3 464 496 453.3 496 440V312C496 298.7 485.3 288 472 288H440C435.6 288 432 284.4 432 280C432 275.6 435.6 272 440 272H472C494.1 272 512 289.9 512 312V320H592V144H576C571.6 144 568 140.4 568 136C568 131.6 571.6 128 576 128H592V96C592 91.58 595.6 88 600 88C604.4 88 608 91.58 608 96V128zM512 436L592 402.7V336H512V436zM32 96C32 91.58 35.58 88 40 88C44.42 88 48 91.58 48 96V128H64C68.42 128 72 131.6 72 136C72 140.4 68.42 144 64 144H48V320H128V312C128 289.9 145.9 272 168 272H200C204.4 272 208 275.6 208 280C208 284.4 204.4 288 200 288H168C154.7 288 144 298.7 144 312V440C144 453.3 154.7 464 168 464H200C204.4 464 208 467.6 208 472V504C208 508.4 204.4 512 200 512C195.6 512 192 508.4 192 504V480H168C151 480 136.5 469.4 130.7 454.5L48 420V448C48 452.4 44.42 456 40 456C35.58 456 32 452.4 32 448V144H16C11.58 144 8 140.4 8 136C8 131.6 11.58 128 16 128H32V96zM128 336H48V402.7L128 436V336z"],
    "starfighter-twin-ion-engine": [576, 512, ["starfighter-alt"], "e038", "M176 256C176 194.1 226.1 144 288 144C349.9 144 400 194.1 400 256C400 317.9 349.9 368 288 368C226.1 368 176 317.9 176 256zM315.6 239.7C312.8 235.1 308.9 231.2 304.3 228.4C301.7 226.9 298.9 225.7 295.9 224.1C293.4 224.3 290.7 224 288 224C285.3 224 282.6 224.3 280.1 224.1C277.1 225.7 274.3 226.9 271.7 228.4C267.1 231.2 263.2 235.1 260.4 239.7C258.9 242.3 257.7 245.1 256.1 248.1C256.3 250.6 256 253.3 256 256C256 258.7 256.3 261.4 256.1 263.9C257.7 266.9 258.9 269.7 260.4 272.3C263.2 276.9 267.1 280.8 271.7 283.6C274.3 285.1 277.1 286.3 280.1 287C282.6 287.7 285.3 287.1 288 287.1C290.7 287.1 293.4 287.7 295.9 287C298.9 286.3 301.7 285.1 304.3 283.6C308.9 280.8 312.8 276.9 315.6 272.3C317.1 269.7 318.3 266.9 319 263.9C319.7 261.4 320 258.7 320 255.1C320 253.3 319.7 250.6 319 248.1C318.3 245.1 317.1 242.3 315.6 239.7L315.6 239.7zM226 329.3C240.8 341.8 259.5 349.1 280 351.7V303.3C272.7 302.1 265.1 299.2 260.2 295.1L226 329.3zM315.8 295.1C310 299.2 303.3 302.1 296 303.3V351.7C316.5 349.1 335.2 341.8 349.1 329.3L315.8 295.1zM335.3 264C334.1 271.3 331.2 278 327.1 283.8L361.3 317.1C373.8 303.2 381.1 284.5 383.7 264H335.3zM335.3 248H383.7C381.1 227.5 373.8 208.8 361.3 194L327.1 228.2C331.2 233.1 334.1 240.7 335.3 248zM296 208.7C303.3 209.9 310 212.8 315.8 216.9L349.1 182.7C335.2 170.2 316.5 162 296 160.3V208.7zM280 208.7V160.3C259.5 162 240.8 170.2 226 182.7L260.2 216.9C265.1 212.8 272.7 209.9 280 208.7V208.7zM248.9 228.2L214.7 194C202.2 208.8 194 227.5 192.3 248H240.7C241.9 240.7 244.8 233.1 248.9 228.2H248.9zM240.7 264H192.3C194 284.5 202.2 303.2 214.7 317.1L248.9 283.8C244.8 278 241.9 271.3 240.7 264V264zM16 206L149.2 176.4C176.8 128.4 228.6 96 288 96C347.4 96 399.2 128.4 426.8 176.4L560 206V40C560 35.58 563.6 32 568 32C572.4 32 576 35.58 576 40V472C576 476.4 572.4 480 568 480C563.6 480 560 476.4 560 472V305.1L426.8 335.6C399.2 383.6 347.4 416 288 416C228.6 416 176.8 383.6 149.2 335.6L16 305.1V472C16 476.4 12.42 480 8 480C3.582 480 0 476.4 0 472V40C0 35.58 3.582 32 8 32C12.42 32 16 35.58 16 40V206zM435.9 194.8C443.7 213.7 448 234.3 448 256C448 277.7 443.7 298.3 435.9 317.2L560 289.6V222.4L435.9 194.8zM128 256C128 234.3 132.3 213.7 140.1 194.8L16 222.4V289.6L140.1 317.2C132.3 298.3 128 277.7 128 256V256zM288 400C367.5 400 432 335.5 432 256C432 176.5 367.5 112 288 112C208.5 112 144 176.5 144 256C144 335.5 208.5 400 288 400z"],
    "starfighter-twin-ion-engine-advanced": [640, 512, ["starfighter-alt-advanced"], "e28e", "M208 256C208 194.1 258.1 144 320 144C381.9 144 432 194.1 432 256C432 317.9 381.9 368 320 368C258.1 368 208 317.9 208 256zM347.6 239.7C344.8 235.1 340.9 231.2 336.3 228.4C333.7 226.9 330.9 225.7 327.9 224.1C325.4 224.3 322.7 224 320 224C317.3 224 314.6 224.3 312.1 224.1C309.1 225.7 306.3 226.9 303.7 228.4C299.1 231.2 295.2 235.1 292.4 239.7C290.9 242.3 289.7 245.1 288.1 248.1C288.3 250.6 288 253.3 288 256C288 258.7 288.3 261.4 288.1 263.9C289.7 266.9 290.9 269.7 292.4 272.3C295.2 276.9 299.1 280.8 303.7 283.6C306.3 285.1 309.1 286.3 312.1 287C314.6 287.7 317.3 288 320 288C322.7 288 325.4 287.7 327.9 287C330.9 286.3 333.7 285.1 336.3 283.6C340.9 280.8 344.8 276.9 347.6 272.3C349.1 269.7 350.3 266.9 351 263.9C351.7 261.4 352 258.7 352 256C352 253.3 351.7 250.6 351 248.1C350.3 245.1 349.1 242.3 347.6 239.7H347.6zM224.3 264C226 284.5 234.2 303.2 246.7 317.1L280.9 283.8C276.8 278 273.9 271.3 272.7 264L224.3 264zM312 303.3C304.7 302.1 297.1 299.2 292.2 295.1L258 329.3C272.8 341.8 291.5 349.1 312 351.7V303.3zM347.8 295.1C342 299.2 335.3 302.1 328 303.3V351.7C348.5 349.1 367.2 341.8 381.1 329.3L347.8 295.1zM367.3 264C366.1 271.3 363.2 278 359.1 283.8L393.3 317.1C405.8 303.2 413.1 284.5 415.7 264H367.3zM359.1 228.2C363.2 233.1 366.1 240.7 367.3 248H415.7C413.1 227.5 405.8 208.8 393.3 194L359.1 228.2zM328 208.7C335.3 209.9 342 212.8 347.8 216.9L381.1 182.7C367.2 170.2 348.5 162 328 160.3V208.7zM292.2 216.9C297.1 212.8 304.7 209.9 312 208.7V160.3C291.5 162 272.8 170.2 258 182.7L292.2 216.9zM272.7 248C273.9 240.7 276.8 233.1 280.9 228.2L246.7 194C234.2 208.8 226 227.5 224.3 248H272.7zM146.3 2.343C149.5-.781 154.5-.781 157.7 2.343C160.8 5.467 160.8 10.53 157.7 13.66L23.03 148.3C18.53 152.8 16 158.9 16 165.3V206.4L181.2 176.4C208.8 128.3 260.6 95.1 320 95.1C379.4 95.1 431.2 128.3 458.8 176.4L624 206.4V165.3C624 158.9 621.5 152.8 616.1 148.3L482.3 13.66C479.2 10.53 479.2 5.467 482.3 2.343C485.5-.781 490.5-.781 493.7 2.343L628.3 136.1C635.8 144.5 640 154.6 640 165.3V346.7C640 357.4 635.8 367.5 628.3 375L493.7 509.7C490.5 512.8 485.5 512.8 482.3 509.7C479.2 506.5 479.2 501.5 482.3 498.3L616.1 363.7C621.5 359.2 624 353.1 624 346.7V305.6L458.8 335.6C431.2 383.7 379.4 416 320 416C260.6 416 208.8 383.7 181.2 335.6L16 305.6V346.7C16 353.1 18.53 359.2 23.03 363.7L157.7 498.3C160.8 501.5 160.8 506.5 157.7 509.7C154.5 512.8 149.5 512.8 146.3 509.7L11.72 375C4.214 367.5 0 357.4 0 346.7V165.3C0 154.6 4.214 144.5 11.72 136.1L146.3 2.343zM480 256C480 277.9 475.6 298.8 467.6 317.8L624 289.3V222.7L467.6 194.2C475.6 213.2 480 234.1 480 256V256zM16 289.3L172.4 317.8C164.4 298.8 160 277.9 160 256C160 234.1 164.4 213.2 172.4 194.2L16 222.7V289.3zM320 112C240.5 112 176 176.5 176 256C176 335.5 240.5 400 320 400C399.5 400 464 335.5 464 256C464 176.5 399.5 112 320 112z"],
    "stars": [512, 512, [], "f762", "M364.2 267.2l-104.8-15.28L212.6 156.7C208.4 148.2 200.1 143.9 191.9 143.9c-8.188 0-16.29 4.248-20.53 12.8L124.5 251.1L19.71 267.2c-18.87 2.748-26.45 26-12.7 39.25l75.87 74l-17.1 104.6C62.41 500 74.23 512 87.52 512c3.543 0 7.186-.8362 10.69-2.705l93.79-49.38l93.74 49.38c3.352 1.783 6.969 2.675 10.62 2.675c4.783 0 9.596-1.508 13.64-4.414c6.998-5.125 10.62-13.91 9.119-22.41L301.2 380.5l75.92-74C390.7 293.3 383.1 269.1 364.2 267.2zM365.9 295.1l-81.88 79.87l19.3 112.1c.9355 5.305-4.953 9.957-10.16 7.188l-101.2-53.3L90.71 495.2c-5.168 2.76-10.96-1.867-10.06-7.297l19.42-112.9L18.12 295c-4.223-4.068-1.725-11.07 3.949-11.89l113.1-16.46l50.56-102.8C187.4 160.5 190.4 160 191.1 160l6.264 3.859L248.8 266.7l113.1 16.46C367.6 283.1 370.1 291 365.9 295.1zM264 88h64v64c0 4.406 3.598 8.005 8.005 8.005S344 156.4 344 152v-64h64c4.406 0 8.002-3.592 8.002-7.998S412.4 72 408 72h-64v-64c0-4.406-3.59-8-7.996-8S328 3.594 328 8v64h-64c-4.406 0-7.995 3.596-7.995 8.002S259.6 88 264 88zM504 216h-48v-48c0-4.406-3.592-7.996-7.999-7.996S440 163.6 440 168v48h-48c-4.406 0-7.997 3.599-7.997 8.006S387.6 232 392 232h48v48c0 4.406 3.595 8.007 8.001 8.007S456 284.4 456 280v-48h48c4.406 0 8-3.588 8-7.994S508.4 216 504 216z"],
    "starship": [640, 512, [], "e039", "M368 255.1C368 211.8 403.8 175.1 448 175.1C492.2 175.1 528 211.8 528 255.1C528 300.2 492.2 336 448 336C403.8 336 368 300.2 368 255.1zM448 319.1C483.3 319.1 512 291.3 512 255.1C512 220.7 483.3 191.1 448 191.1C412.7 191.1 384 220.7 384 255.1C384 291.3 412.7 319.1 448 319.1zM640 255.1C640 362 554 448 448 448C364.2 448 292.9 394.3 266.7 319.4L126.6 300.2C104.5 297.2 88 278.3 88 255.1C88 233.7 104.5 214.8 126.6 211.7L163.4 206.7L116.7 159.1H40C17.91 159.1 0 142.1 0 119.1C0 97.91 17.91 79.1 40 79.1H200C222.1 79.1 240 97.91 240 119.1C240 142.1 222.1 159.1 200 159.1H139.3L183.3 204L266.7 192.6C292.9 117.7 364.2 64 448 64C554 64 640 149.1 640 256V255.1zM448 79.1C350.8 79.1 272 158.8 272 255.1C272 353.2 350.8 432 448 432C545.2 432 624 353.2 624 255.1C624 158.8 545.2 79.1 448 79.1zM261.7 209.5L128.8 227.6C114.6 229.5 104 241.7 104 256C104 270.3 114.6 282.5 128.8 284.4L261.7 302.5C257.1 287.6 256 272 256 256C256 239.1 257.1 224.4 261.7 209.5V209.5zM40 143.1H200C213.3 143.1 224 133.3 224 119.1C224 106.7 213.3 95.1 200 95.1H40C26.75 95.1 16 106.7 16 119.1C16 133.3 26.75 143.1 40 143.1zM0 392C0 369.9 17.91 352 40 352H200C222.1 352 240 369.9 240 392C240 414.1 222.1 432 200 432H40C17.91 432 0 414.1 0 392zM40 368C26.75 368 16 378.7 16 392C16 405.3 26.75 416 40 416H200C213.3 416 224 405.3 224 392C224 378.7 213.3 368 200 368H40zM480 255.1C480 273.7 465.7 287.1 448 287.1C430.3 287.1 416 273.7 416 255.1C416 238.3 430.3 223.1 448 223.1C465.7 223.1 480 238.3 480 255.1zM175.1 292.7L187.3 303.1L125.7 365.7L114.3 354.3L175.1 292.7z"],
    "starship-freighter": [576, 512, [], "e03a", "M64 256C64 247.2 71.16 240 80 240C88.84 240 96 247.2 96 256C96 264.8 88.84 272 80 272C71.16 272 64 264.8 64 256zM128 160C128 168.8 120.8 176 112 176C103.2 176 96 168.8 96 160C96 151.2 103.2 144 112 144C120.8 144 128 151.2 128 160zM96 352C96 343.2 103.2 336 112 336C120.8 336 128 343.2 128 352C128 360.8 120.8 368 112 368C103.2 368 96 360.8 96 352zM472 456C472 482.5 450.5 504 424 504H368C352.4 504 337.8 496.4 328.8 483.7L317 467.1C286.8 475.6 255.5 480 224 480C100.3 480 0 379.7 0 256C0 132.3 100.3 32 224 32C266.3 32 308.2 39.87 347.6 55.2L555.6 136.1C567.9 140.8 576 152.7 576 165.9V207.1C576 225.7 561.7 239.1 544 239.1H447.4L447.4 240.2C447.8 245.4 448 250.7 448 255.1C448 261.4 447.8 266.7 447.4 271.1H544C561.7 271.1 576 286.3 576 303.1V346.1C576 359.3 567.9 371.2 555.6 375.9L451.3 416.5C463.8 425.2 472 439.6 472 456L472 456zM381.4 391.9C411.3 357.3 430 312.8 431.9 263.9C431.1 261.3 432 258.6 432 256C432 253.8 431.1 251.5 431.9 249.3C428.4 137.5 336.6 48 224 48C109.1 48 16 141.1 16 256C16 370.9 109.1 464 224 464C252.2 464 279.1 458.4 303.7 448.2L235.1 351.4C231.4 351.8 227.7 352 224 352C170.1 352 128 309 128 256C128 202.1 170.1 160 224 160C277 160 320 202.1 320 256C320 269.5 317.2 282.4 312.1 294.1L381.4 391.9zM549.8 361C555.9 358.6 560 352.7 560 346.1V304C560 295.2 552.8 288 544 288H445.7C439.3 332.7 419.7 373.2 390.9 405.4L392.8 408H424C425.5 408 426.1 408.1 428.5 408.2L549.8 361zM544 224C552.8 224 560 216.8 560 208V165.9C560 159.3 555.9 153.4 549.8 150.1L357.7 76.29C404.4 111.1 437.1 163.7 445.7 224H544zM224 176C179.8 176 144 211.8 144 256C144 300.2 179.8 336 224 336C268.2 336 304 300.2 304 256C304 211.8 268.2 176 224 176zM368 488H424C441.7 488 456 473.7 456 456C456 438.3 441.7 424 424 424H384.6L303.7 309.5C291.6 327.5 273.6 341.2 252.4 347.7L341.9 474.5C347.9 482.9 357.6 488 368 488V488z"],
    "steak": [576, 512, [129385], "f824", "M384 183.9c-22.06 0-40 17.97-40 40.03s17.94 40 40 40c22.06 0 40-17.94 40-40S406.1 183.9 384 183.9zM384 247.9c-13.22 0-24-10.78-24-24c0-13.25 10.78-24.03 24-24.03c13.22 0 24 10.78 24 24.03C408 237.1 397.2 247.9 384 247.9zM514.9 76.63C467.9 23.12 416.3 0 368.9 0C298.3 0 237 51.12 214.1 129.4c-49.13 139.9-212.8 82.1-214.1 222.3C-1.182 467.5 126.2 512 239.2 512c5.678 0 11.21-.1358 16.8-.3585c87.75-3.375 187.4-37.07 270.5-131.8C596.8 299.8 591.6 164 514.9 76.63zM514.5 369.2c-87.4 99.64-189.1 123.8-259.1 126.5C249.1 495.9 244.6 496 239.1 496c-81.08 0-152.1-22.85-189.1-61.12c-22.32-22.55-33.47-50.5-33.13-83.07c.6113-62 36.07-77.45 85.14-98.83C149 232.1 203.3 208.5 229.5 133.9C250.4 62.27 305.1 16 368.9 16c46.74 0 93.07 24.62 133.1 71.19C574.4 168.6 579.6 295.1 514.5 369.2zM368.9 64c-41.88 0-78.5 32.75-93.38 83.38C252.6 225.8 191.1 265.8 120.4 297c-97.5 42.38-40.47 101.6-37.97 104.1c36.91 37.38 120.9 46.78 162.7 46.78c3.076 0 5.927-.0604 8.511-.1542c60.5-2.375 148.6-23.38 224.7-110.1c48.88-55.75 43.6-155.9-11.52-218.8C435.2 83 401.4 64 368.9 64zM466.4 327.1c-72.35 82.45-155.1 102.4-213.3 104.7c-2.408 .0879-5.064 .1348-7.93 .1348c-38 0-118.5-8.781-151.4-42.08c-.1738-.1738-17.27-17.68-13.63-36.65c2.908-15.14 19.05-29.49 46.71-41.51c66.55-29.04 138.1-70.73 164.1-159.8c12.83-43.67 43.46-71.89 78.02-71.89c27.74 0 57.48 17.1 85.97 49.43C504.9 186.6 510.2 277.1 466.4 327.1z"],
    "steering-wheel": [512, 512, [], "f622", "M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM227.7 375L154.7 301.1C150.6 297.9 147.6 293.1 145.6 288H18.11C33.42 402.8 129.9 492 248 495.9V385.9C240.6 384.4 233.5 380.8 227.7 375V375zM264 385.9V495.9C382.1 492 478.6 402.8 493.9 288H366.4C364.4 293.1 361.4 297.9 357.3 301.1L284.3 375C278.5 380.8 271.4 384.4 264 385.9V385.9zM369 272H495.5C495.8 266.7 496 261.4 496 256C496 123.5 388.5 16 255.1 16C123.5 16 15.1 123.5 15.1 256C15.1 261.4 16.18 266.7 16.52 272H142.1C143.2 266.5 144.6 260.1 147.2 255.8L159.1 230.1C166.8 216.6 180.6 208 195.8 208H316.2C331.4 208 345.2 216.6 352 230.1L364.8 255.8C367.4 260.1 368.8 266.5 369 272H369zM161.5 262.9C156.9 272.2 158.7 283.3 165.1 290.7L239 363.7C248.4 373.1 263.6 373.1 272.1 363.7L346 290.7C353.3 283.3 355.1 272.2 350.5 262.9L337.7 237.3C333.6 229.1 325.3 224 316.2 224H195.8C186.7 224 178.4 229.1 174.3 237.3L161.5 262.9z"],
    "sterling-sign": [320, 512, [163, "gbp", "pound-sign"], "f154", "M80 256H248C252.4 256 256 259.6 256 264C256 268.4 252.4 272 248 272H79.83C77.85 339.9 58.11 406.1 22.61 464H312C316.4 464 320 467.6 320 472C320 476.4 316.4 480 312 480H8C3.582 480 0 476.4 0 472C0 470.3 .5197 468.8 1.408 467.5C40.12 409.4 61.7 341.6 63.83 272H8C3.582 272 0 268.4 0 264C0 259.6 3.582 256 8 256H64V143.2C64 81.81 113.8 32 175.2 32C187.2 32 199.1 33.93 210.4 37.71L290.5 64.41C294.7 65.81 296.1 70.34 295.6 74.53C294.2 78.72 289.7 80.99 285.5 79.59L205.4 52.89C195.7 49.65 185.5 48 175.2 48C122.6 48 79.1 90.64 79.1 143.2L80 256z"],
    "stethoscope": [576, 512, [129658], "f0f1", "M544 192c0-35.35-28.65-63.1-64-63.1c-35.35 0-64 28.65-64 63.1c0 32.72 24.64 59.39 56.32 63.23C472.3 255.5 472 255.7 472 256v104c0 75-61 136-136 136s-136-61-136-136v-24c0-.3027-.2891-.4824-.3223-.7754C275.5 331.1 336 268.8 336 191.1V55.06c0-17.25-11-32.5-27.34-37.94L258.5 .4049c-4.125-1.375-8.719 .875-10.12 5.063S249.3 14.19 253.5 15.59l50.13 16.72C313.4 35.56 320 44.72 320 55.06v136.9c0 70.59-57.41 127.1-128 127.1S64 262.6 64 192V55.06c0-10.34 6.594-19.5 16.41-22.75l50.13-16.72C134.7 14.19 137 9.655 135.6 5.467s-5.906-6.438-10.12-5.063L75.34 17.12C59 22.56 48 37.81 48 55.06v136.9c0 76.78 60.55 139.1 136.3 143.2C184.3 335.5 184 335.7 184 336v24c0 83.81 68.19 151.1 152 151.1s152-68.19 152-151.1V256c0-.3027-.2891-.4805-.3223-.7734C519.4 251.4 544 224.7 544 192zM480 239.1c-26.47 0-48-21.53-48-48s21.53-48 48-48s48 21.53 48 48S506.5 239.1 480 239.1z"],
    "stocking": [384, 512, [], "f7d5", "M343.9 144c-4.406 0-7.998 3.594-7.998 8v152.3c0 48.5-24.06 93.53-64.34 120.5l-78.06 52.03C174.7 489.4 152.8 496 130.3 496c-38.28 0-73.87-19.03-95.15-50.88c-34.94-52.31-20.72-123.4 31.34-158.2l45.53-27.19V152c0-4.406-3.594-8-8-8s-8 3.594-8 8v98.72L57.96 273.4c-59.75 39.91-75.96 120.9-36.12 180.6C46.12 490.3 86.64 512 130.3 512c25.69 0 50.65-7.562 72.12-21.88l78.06-52.03c44.75-29.94 71.46-79.94 71.46-133.8V152C351.9 147.6 348.3 144 343.9 144zM351.1 0H96.01C78.34 0 64.01 14.33 64.01 32l.0155 48c0 17.67 14.32 32 31.99 32h255.1C369.7 112 384 97.67 384 80V32C384 14.33 369.7 0 351.1 0zM368 80c0 8.822-7.206 16-16.03 16H96.01C87.19 96 80.02 88.82 80.02 80V32c0-8.822 7.178-16 15.1-16h255.1c8.822 0 16 7.178 16 16V80z"],
    "stomach": [512, 512, [], "f623", "M384 95.1c-56.6 0-104.1 36.98-120.1 87.9C210.6 183.4 168 140.6 168 87.1V7.999c0-4.406-3.594-7.1-7.1-7.1S152 3.593 152 7.999V87.1c0 59.86 47.34 108.5 106.5 111.4C256.9 207.4 256 215.6 256 223.1v63.1c0 35.38-28.62 63.1-64 63.1H128c-70.75 0-128 57.25-128 128v15.1c0 8.875 7.125 15.1 15.1 15.1L48 511.1c8.875 0 16-7.124 16-15.1v-15.1c0-37.63 34.01-51.24 53.89-51.24c17.12 0 29.61 6.734 41.11 18.23c63.03 63.03 129.7 65 146.7 65l2.694-.0038C420.9 511.1 512 420.9 512 308.4V223.1C512 153.3 454.7 95.1 384 95.1zM384 111.1c61.76 0 112 50.24 112 112v84.37c0 7.824-.6348 15.49-1.57 23.07c-36.38 11.72-74.8-.4668-100.8-32.44C361.9 260.1 315.9 246.9 272 262.8V223.1C272 162.2 322.2 111.1 384 111.1zM307.3 495.1l-1.629 .0059c-28.02 0-82.85-7.838-135.3-60.32c-15.65-15.65-32.31-22.94-52.44-22.94C88.86 412.7 48 433.6 48 479.1v15.1l-32 .002v-16c0-61.76 50.24-111.1 112-111.1h64c44.11 0 80-35.89 80-80V279.7c39-16.69 80.76-5.586 109.2 29.4c22.66 27.88 53.59 42.91 85.69 42.91c8.174 0 16.41-1.346 24.62-3.324C473 432.8 397.8 495.1 307.3 495.1z"],
    "stop": [384, 512, [9209], "f04d", "M320 64H64c-35.35 0-64 28.65-64 64v255.1c0 35.35 28.65 64 64 64H320c35.35 0 64-28.65 64-64V128C384 92.65 355.3 64 320 64zM368 384c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V128c0-26.47 21.53-48 48-48h256c26.47 0 48 21.53 48 48V384z"],
    "stopwatch": [448, 512, [9201], "f2f2", "M232 320C232 324.4 228.4 328 223.1 328C219.6 328 215.1 324.4 215.1 320V184C215.1 179.6 219.6 176 223.1 176C228.4 176 232 179.6 232 184V320zM143.1 8C143.1 3.582 147.6 0 151.1 0H296C300.4 0 304 3.582 304 8C304 12.42 300.4 16 296 16H232V96.15C287.4 98.25 337.3 122 373.4 159.3L410.3 122.3C413.5 119.2 418.5 119.2 421.7 122.3C424.8 125.5 424.8 130.5 421.7 133.7L384.1 171.2C414 207.2 432 253.5 432 303.1C432 418.9 338.9 512 224 512C109.1 512 16 418.9 16 303.1C16 191.8 104.8 100.4 216 96.15V15.1H152C147.6 15.1 144 12.42 144 7.1L143.1 8zM223.1 496C330 496 416 410 416 304C416 197.1 330 112 223.1 112C117.1 112 31.1 197.1 31.1 304C31.1 410 117.1 496 223.1 496z"],
    "stopwatch-20": [448, 512, [], "e06f", "M240 240C240 213.5 261.5 192 288 192C314.5 192 336 213.5 336 240V368C336 394.5 314.5 416 288 416C261.5 416 240 394.5 240 368V240zM288 208C270.3 208 256 222.3 256 240V368C256 385.7 270.3 400 288 400C305.7 400 320 385.7 320 368V240C320 222.3 305.7 208 288 208zM127.8 233.9C126.7 238.2 122.3 240.8 118.1 239.8C113.8 238.7 111.2 234.3 112.2 230.1L112.6 228.7C117.1 207.1 137.3 192 159.6 192C186.3 192 207.1 213.7 207.1 240.4V253.4C207.1 267.4 202.8 280.8 193.4 291.1L150.9 337.9C136.2 354.1 127.1 375.2 127.1 397.1V400H199.1C204.4 400 207.1 403.6 207.1 408C207.1 412.4 204.4 416 199.1 416H119.1C115.6 416 111.1 412.4 111.1 408V397.1C111.1 371.2 121.6 346.3 139 327.2L181.6 280.3C188.3 272.1 192 263.4 192 253.4V240.4C192 222.5 177.5 208 159.6 208C144.7 208 131.7 218.1 128.1 232.6L127.8 233.9zM296 .0003C300.4 .0003 304 3.582 304 8C304 12.42 300.4 16 296 16H232V96.15C287.4 98.25 337.3 122 373.4 159.3L410.3 122.3C413.5 119.2 418.5 119.2 421.7 122.3C424.8 125.5 424.8 130.5 421.7 133.7L384.1 171.2C414 207.2 432 253.5 432 304C432 418.9 338.9 512 224 512C109.1 512 16 418.9 16 304C16 191.8 104.8 100.4 216 96.15V16H152C147.6 16 144 12.42 144 8C144 3.582 147.6 0 152 0L296 .0003zM223.1 112C117.1 112 31.1 197.1 31.1 304C31.1 410 117.1 496 223.1 496C330 496 416 410 416 304C416 197.1 330 112 223.1 112z"],
    "store": [576, 512, [], "f54e", "M144 360C144 364.4 147.6 368 152 368H424C428.4 368 432 364.4 432 360V256C432 251.6 435.6 248 440 248C444.4 248 448 251.6 448 256V360C448 373.3 437.3 384 424 384H152C138.7 384 128 373.3 128 360V256C128 251.6 131.6 248 136 248C140.4 248 144 251.6 144 256V360zM547.6 103.8C574.2 145.8 555.9 202.4 512 219.1V440C512 479.8 479.8 512 440 512H136C96.24 512 64 479.8 64 440V219.1C20.09 202.4 1.813 145.8 28.33 103.8L85.66 13.13C90.76 4.979 99.87 0 109.6 0H466.4C476.1 0 485.2 4.978 490.3 13.13L547.6 103.8zM476.8 21.62C474.6 18.23 470.7 16 466.4 16H109.6C105.3 16 101.3 18.23 99.22 21.62L99.18 21.68L41.86 112.4C17.73 150.6 40.01 201.6 82.34 207.3C85.66 207.8 89.05 208 92.36 208C113.7 208 132.7 198.7 145.7 184.3C148.7 180.9 153 179 157.6 179C162.1 179 166.4 180.9 169.4 184.3C182.5 198.7 201.4 208 222.7 208C244.1 208 263 198.7 276 184.3C279.1 180.9 283.4 179 287.9 179C292.4 179 296.7 180.9 299.8 184.3C312.8 198.7 331.8 208 353.1 208C374.5 208 393.4 198.7 406.4 184.3C409.4 180.1 413.7 179 418.2 179C422.7 179 427.1 180.9 430.1 184.3C443.2 198.7 462.2 208 483.4 208C486.9 208 490.1 207.8 493.4 207.3C535.1 201.7 558.3 150.6 534.1 112.4L476.8 21.62zM430 205.9C425.8 202.6 421.8 198.1 418.3 195C414.7 198.1 410.7 202.6 406.5 205.9C391.8 217.2 373.4 224 353.1 224C332.9 224 314.4 217.2 299.7 205.9C295.4 202.6 291.5 198.1 287.9 195C284.3 198.1 280.4 202.6 276.1 205.9C261.5 217.2 242.1 224 222.7 224C202.5 224 184 217.2 169.3 205.9C165.1 202.6 161.1 198.1 157.6 195C153.1 198.1 150 202.6 145.8 205.9C131.1 217.2 112.6 223.1 92.36 223.1C88.3 223.1 84.21 223.7 80.24 223.2L80 223.2V440C80 470.9 105.1 496 136 496H440C470.9 496 496 470.9 496 440V223.1L495.5 223.2C491.6 223.7 487.6 223.1 483.4 223.1C463.2 223.1 444.8 217.1 430 205.9L430 205.9z"],
    "store-lock": [640, 512, [], "e4a6", "M476.8 21.62C474.6 18.23 470.7 16 466.4 16H109.6C105.3 16 101.3 18.23 99.22 21.62L99.18 21.68L41.86 112.4C17.73 150.6 40.01 201.6 82.34 207.3C85.66 207.8 89.05 208 92.36 208C113.7 208 132.7 198.7 145.7 184.3C148.7 180.9 153 179 157.6 179C162.1 179 166.4 180.9 169.4 184.3C182.5 198.7 201.4 208 222.7 208C244.1 208 263 198.7 276 184.3C279.1 180.9 283.4 179 287.9 179C292.4 179 296.7 180.9 299.8 184.3C312.8 198.7 331.8 208 353.1 208C374.5 208 393.4 198.7 406.4 184.3C409.4 180.1 413.7 179 418.2 179C422.7 179 427.1 180.9 430.1 184.3C434.5 189.1 439.5 193.3 444.1 196.8C441.4 200.8 438.1 205 435.1 209.5C433.4 208.3 431.7 207.1 430 205.9C425.8 202.6 421.8 198.1 418.3 195C414.7 198.1 410.7 202.6 406.5 205.9C391.8 217.2 373.4 224 353.1 224C332.9 224 314.4 217.2 299.7 205.9C295.4 202.6 291.5 198.1 287.9 195C284.3 198.1 280.4 202.6 276.1 205.9C261.5 217.2 242.1 224 222.7 224C202.5 224 184 217.2 169.3 205.9C165.1 202.6 161.1 198.1 157.6 195C153.1 198.1 150 202.6 145.8 205.9C131.1 217.2 112.6 223.1 92.36 223.1C88.3 223.1 84.21 223.7 80.23 223.2L79.1 223.2V440C79.1 470.9 105.1 496 135.1 496H386C387.5 501.7 389.7 507 392.6 512H136C96.24 512 64 479.8 64 440V219.1C20.09 202.4 1.812 145.8 28.33 103.8L85.66 13.13C90.76 4.979 99.87 0 109.6 0H466.4C476.1 0 485.2 4.978 490.3 13.13L547.6 103.8C559.5 122.6 562.4 144.3 558.1 164.1C552.1 162.7 547.8 161.6 542.4 160.9C546 145.2 543.8 127.7 534.1 112.4L476.8 21.62zM152 384C138.7 384 128 373.3 128 360V256C128 251.6 131.6 248 136 248C140.4 248 144 251.6 144 256V360C144 364.4 147.6 368 152 368H384V384H152zM528 192C563.3 192 592 220.7 592 256V320H608C625.7 320 640 334.3 640 352V480C640 497.7 625.7 512 608 512H448C430.3 512 416 497.7 416 480V352C416 334.3 430.3 320 448 320H464V256C464 220.7 492.7 192 528 192zM528 208C501.5 208 480 229.5 480 256V320H576V256C576 229.5 554.5 208 528 208zM432 352V480C432 488.8 439.2 496 448 496H608C616.8 496 624 488.8 624 480V352C624 343.2 616.8 336 608 336H448C439.2 336 432 343.2 432 352z"],
    "store-slash": [640, 512, [], "e071", "M636.1 497.7C640.4 500.5 641 505.5 638.3 508.1C635.5 512.4 630.5 513 627 510.3L3.022 14.26C-.4365 11.51-1.012 6.481 1.738 3.022C4.487-.4365 9.52-1.012 12.98 1.738L636.1 497.7zM499 489.1L512.4 499.6C500.9 507.4 486.1 512 472 512H167.1C128.2 512 95.1 479.8 95.1 440V219.1C61.99 206.2 43.35 169.3 49.01 133.8L63.93 145.6C63.5 175.2 83.65 203.2 114.3 207.3C117.7 207.8 121.1 208 124.4 208C129.1 208 135.4 207.4 140.7 206.1L155.9 218.2C146.1 221.9 135.5 224 124.4 224C120.3 224 116.2 223.7 112.2 223.2L111.1 223.2V440C111.1 470.9 137.1 496 167.1 496H472C481.8 496 491 493.5 499 489.1H499zM498.4 .0006C508.1 .0006 517.2 4.979 522.3 13.13L579.6 103.8C606.2 145.8 587.9 202.4 544 219.1V341.1L528 328.5V223.1L527.5 223.2C523.6 223.7 519.6 224 515.4 224C495.2 224 476.8 217.1 462 205.9C457.8 202.6 453.8 198.1 450.3 195C446.7 198.1 442.7 202.6 438.5 205.9C426.2 215.3 411.4 221.6 394.1 223.5L374.4 207.2C377.9 207.7 381.4 208 385.1 208C406.5 208 425.3 198.7 438.4 184.3C441.4 180.1 445.7 179 450.2 179C454.7 179 459.1 180.9 462.1 184.3C475.2 198.7 494.2 208 515.4 208C518.9 208 522.1 207.8 525.4 207.3C567.9 201.7 590.3 150.6 566.1 112.4L508.8 21.62C506.6 18.23 502.7 16 498.4 16H141.6C139.1 16 136.7 16.74 134.8 18.03L121.9 7.888C127.1 2.897 134.2 .0003 141.6 .0003L498.4 .0006zM183.1 368H345.7L365.9 384H183.1C170.7 384 159.1 373.3 159.1 360V256C159.1 251.6 163.6 248 167.1 248C172.4 248 175.1 251.6 175.1 256V360C175.1 364.4 179.6 368 183.1 368z"],
    "strawberry": [512, 512, [], "e32b", "M148 244c0-4.264-3.434-8-8-8c-2.047 0-4.094 .7813-5.656 2.344l-24 23.1C108.8 263.9 108 265.1 108 268c0 2.906 2.279 8 8 8c2.062 0 4.094-.7813 5.656-2.344l24-24C147.2 248.1 148 246.1 148 244zM203.1 300c-2.047 0-4.094 .7813-5.656 2.344l-23.1 24C172.8 327.9 172 329.1 172 332c0 2.906 2.279 8 8 8c2.061 0 4.092-.7813 5.654-2.344l24-24C211.2 312.1 211.1 310.1 211.1 308C211.1 303.7 208.6 300 203.1 300zM172 396c-2.047 0-4.094 .7813-5.656 2.344l-24 24C140.8 423.9 140 425.1 140 428c0 2.906 2.279 8 8 8c2.062 0 4.094-.7813 5.656-2.344l24-24C179.2 408.1 180 406 180 404C180 399.7 176.6 396 172 396zM148 180c2.062 0 4.094-.7813 5.656-2.344l24-24C179.2 152.1 180 150.1 180 148c0-4.264-3.434-8-8-8c-2.047 0-4.094 .7813-5.656 2.344l-24 23.1C140.8 167.9 140 169.1 140 172C140 174.9 142.3 180 148 180zM108 332c-2.047 0-4.094 .7813-5.656 2.344l-24 23.1C76.78 359.9 76 361.1 76 364c0 2.906 2.279 8 8 8c2.062 0 4.094-.7813 5.656-2.344l24-24C115.2 344.1 116 342.1 116 340C116 335.7 112.6 332 108 332zM299.1 268c-2.047 0-4.094 .7813-5.656 2.344l-24 24c-1.562 1.562-2.344 3.609-2.344 5.656c0 2.906 2.281 8 8 8c2.062 0 4.094-.7813 5.656-2.344l24-24c1.562-1.562 2.344-3.609 2.344-5.656C307.1 271.7 304.6 268 299.1 268zM416.6 117.7c-1.186 0-2.373 .0195-3.557 .0586c65.77-50.85 66.92-107 66.92-109.8c0-5.613-4.977-7.969-7.836-7.969c-18.04 0 5.955 54.8-79.38 112.9c.9922-5.842 1.484-11.75 1.484-17.68c0-45.07-33.66-95.21-54.5-95.21c-27.46 0-43.8 51.53-43.8 58.52c0 4.922 4.135 8.037 8.201 8.037c3.744 0 6.85-2.684 7.658-6.402c2.889-13.78 16.9-43.91 27.5-44.14c.1328-.0625 .3145-.0938 .5313-.0938c7.047 0 38.62 38.47 38.62 79.63c0 22.46-7.721 33.6-7.721 37.69c0 5.717 5.113 8.01 8.018 8.01c4.049 0 15.22-7.713 37.69-7.713c27.03 0 54.86 12.08 77.86 34.87c2.703 2.645 1.9 7.441-1.031 10.12c-28.61 26.53-47.82 16.38-47.82 29.51c0 4.842 4.043 7.977 8.006 7.977C455.4 216 512 201.7 512 172.6C512 151.2 461.8 117.7 416.6 117.7zM363.1 332c-2.047 0-4.094 .7813-5.656 2.344l-24 23.1c-1.562 1.562-2.344 3.609-2.344 5.656c0 2.906 2.281 8 8 8c2.062 0 4.094-.7813 5.656-2.344l24-24c1.562-1.561 2.344-3.607 2.344-5.654C371.1 335.7 368.6 332 363.1 332zM243.1 212c0-4.264-3.432-8-8-8c-2.047 0-4.094 .7813-5.656 2.344l-24 24C204.8 231.9 203.1 233.1 203.1 236c0 2.906 2.281 8 8 8c2.062 0 4.094-.7813 5.656-2.344l24-24C243.2 216.1 243.1 214.1 243.1 212zM296 119.2c-27.1-27.54-65.91-55.23-112.6-55.23C104.6 64 0 150 0 318.6C0 508.5 86.41 512 193.4 512c168.8 0 254.6-105 254.6-183.4c0-46.68-27.68-85.48-55.23-112.6L296 119.2zM193.4 496c-139.1 0-177.5-33.38-177.5-177.2c0-179.3 115.3-238.8 167.6-238.8c42.61 0 78.54 27.43 101.3 50.54l96.83 96.83c33.67 33.12 50.52 66.81 50.52 100.8C432.1 403.4 346.4 496 193.4 496zM267.1 364c-2.047 0-4.094 .7813-5.656 2.344l-24 24C236.8 391.9 235.1 393.1 235.1 396c0 2.906 2.281 8 8 8c2.062 0 4.094-.7813 5.656-2.344l24-24c1.562-1.562 2.344-3.609 2.344-5.656C275.1 367.7 272.6 364 267.1 364z"],
    "street-view": [512, 512, [], "f21d", "M320 304H318.2L307.2 403.5C305.4 419.7 291.7 432 275.4 432H236.6C220.3 432 206.6 419.7 204.8 403.5L193.8 304H192C174.3 304 160 289.7 160 272V224C160 188.7 188.7 160 224 160H288C323.3 160 352 188.7 352 224V272C352 289.7 337.7 304 320 304H320zM320 288C328.8 288 336 280.8 336 272V224C336 197.5 314.5 176 288 176H224C197.5 176 176 197.5 176 224V272C176 280.8 183.2 288 192 288H208.1L220.7 401.8C221.6 409.9 228.5 416 236.6 416H275.4C283.5 416 290.4 409.9 291.3 401.8L303.9 288H320zM192 64C192 28.65 220.7 0 256 0C291.3 0 320 28.65 320 64C320 99.35 291.3 128 256 128C220.7 128 192 99.35 192 64zM256 16C229.5 16 208 37.49 208 64C208 90.51 229.5 112 256 112C282.5 112 304 90.51 304 64C304 37.49 282.5 16 256 16zM42.46 394.7C23.54 405.6 16 416.4 16 425.5C16 432.6 20.59 440.9 32.28 449.6C43.83 458.3 61.05 466.4 83.05 473.4C126.1 487.3 188.1 496 256 496C323.9 496 385 487.3 428.9 473.4C450.9 466.4 468.2 458.3 479.7 449.6C491.4 440.9 496 432.6 496 425.5C496 416.4 488.5 405.6 469.5 394.7C451.1 384.1 424.3 374.8 391.2 367.8C386.9 366.9 384.1 362.7 384.1 358.4C385.9 354 390.1 351.3 394.5 352.2C428.4 359.3 457.1 369 477.5 380.8C497.4 392.3 512 407.2 512 425.5C512 440 502.7 452.4 489.3 462.5C475.8 472.6 456.7 481.4 433.8 488.6C387.9 503.1 325.1 512 256 512C186.9 512 124.1 503.1 78.22 488.6C55.34 481.4 36.24 472.6 22.7 462.5C9.288 452.4 0 440 0 425.5C0 407.2 14.55 392.3 34.47 380.8C54.9 369 83.6 359.3 117.5 352.2C121.9 351.3 126.1 354 127 358.4C127.9 362.7 125.1 366.9 120.8 367.8C87.75 374.8 60.86 384.1 42.46 394.7H42.46z"],
    "stretcher": [640, 512, [], "f825", "M496 416c-12.12 0-23.06 4.641-31.51 12.05l-82.07-54.71l70.02-46.68c3.672-2.438 4.672-7.406 2.219-11.09c-2.469-3.688-7.484-4.688-11.09-2.219L368 363.7L292.4 313.3C288.8 310.9 283.8 311.9 281.3 315.6s-1.453 8.656 2.219 11.09l70.02 46.68l-82.07 54.71C263.1 420.6 252.1 416 240 416C213.5 416 192 437.5 192 464S213.5 512 240 512S288 490.5 288 464c0-8.572-2.432-16.5-6.369-23.47L368 382.9l86.37 57.58C450.4 447.5 448 455.4 448 464c0 26.51 21.49 48 48 48s48-21.49 48-48S522.5 416 496 416zM240 496c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S257.6 496 240 496zM496 496c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S513.6 496 496 496zM608 191.1H191.1L79.87 74.74C73.55 67.62 64.78 64 55.96 64C48.37 64 40.75 66.68 34.62 72.12L10.74 93.37c-13.25 11.75-14.38 31.88-2.625 45.13L129.7 266.5C141.9 280.1 159.4 288 177.6 288H608c17.62 0 32-14.38 32-32v-32C640 206.4 625.6 191.1 608 191.1zM624 255.1C624 264.8 616.8 272 608 272H177.6c-13.7 0-26.8-5.883-36.28-16.52L20.09 127.9c-5.859-6.607-5.289-16.72 1.293-22.56l23.85-21.23C48.2 81.45 52.01 80 55.96 80c4.635 0 8.873 1.902 12.34 5.797l116.9 122.2H608c8.822 0 16 7.18 16 16V255.1z"],
    "strikethrough": [512, 512, [], "f0cc", "M164.3 223.1c1.188 .625 2.438 .9062 3.688 .9062c2.875 0 5.688-1.562 7.094-4.312c2.031-3.938 .5-8.748-3.406-10.78C132.3 188.5 117.8 161.6 124.8 121.7c2.75-15.69 11.28-37.78 36.13-53.78c38.91-25.06 105.8-26.31 193.7-3.529c4.25 1.031 8.625-1.469 9.75-5.75c1.094-4.281-1.469-8.625-5.75-9.75c-93.5-24.22-162.9-22.31-206.3 5.562C122.6 73.57 112.4 100 109.1 118.9C100.8 165.5 118.9 199.6 164.3 223.1zM377.4 321.6c-3.5 2.656-4.188 7.688-1.531 11.22c11.81 15.59 15.53 34.75 11.31 58.49c-4.594 25.87-17.84 45.09-39.38 57.12c-55.56 30.1-155 10.59-229.8-18.9c-4.188-1.594-8.75 .375-10.38 4.5c-1.625 4.094 .375 8.75 4.5 10.38C171.8 468 227.1 480 274.5 480c32.34 0 60.06-5.812 81.13-17.56c25.94-14.5 41.84-37.47 47.31-68.28c4.969-28.03 .1562-51.9-14.31-70.99C385.9 319.7 380.1 318.1 377.4 321.6zM504 264H8c-4.418 0-8 3.573-8 7.991s3.582 8.007 8 8.007h496c4.418 0 8-3.589 8-8.007S508.4 264 504 264z"],
    "stroopwafel": [512, 512, [], "f551", "M256 16c-132.5 0-240 107.5-240 240s107.5 240 240 240s240-107.5 240-240S388.5 16 256 16zM256 480c-123.5 0-224-100.5-224-224s100.5-224 224-224s224 100.5 224 224S379.5 480 256 480zM395.3 256l26.34-26.34c3.125-3.125 3.125-8.188 0-11.31s-8.188-3.125-11.31 0L384 244.7L331.3 192l58.34-58.34c3.125-3.125 3.125-8.188 0-11.31s-8.188-3.125-11.31 0L320 180.7L267.3 128l26.34-26.34c3.125-3.125 3.125-8.188 0-11.31s-8.188-3.125-11.31 0L256 116.7L229.7 90.34c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31L244.7 128L192 180.7L133.7 122.3c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31L180.7 192L128 244.7L101.7 218.3c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31L116.7 256L90.34 282.3c-3.125 3.125-3.125 8.188 0 11.31C91.91 295.2 93.95 296 96 296s4.094-.7813 5.656-2.344L128 267.3L180.7 320l-58.34 58.34c-3.125 3.125-3.125 8.188 0 11.31C123.9 391.2 125.1 392 128 392s4.094-.7813 5.656-2.344L192 331.3L244.7 384l-26.34 26.34c-3.125 3.125-3.125 8.188 0 11.31C219.9 423.2 221.1 424 224 424s4.094-.7813 5.656-2.344L256 395.3l26.34 26.34C283.9 423.2 285.1 424 288 424s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31L267.3 384L320 331.3l58.34 58.34C379.9 391.2 381.1 392 384 392s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31L331.3 320L384 267.3l26.34 26.34C411.9 295.2 413.1 296 416 296s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31L395.3 256zM256 139.3L308.7 192L256 244.7L203.3 192L256 139.3zM139.3 256L192 203.3L244.7 256L192 308.7L139.3 256zM256 372.7L203.3 320L256 267.3L308.7 320L256 372.7zM320 308.7L267.3 256L320 203.3L372.7 256L320 308.7z"],
    "subscript": [512, 512, [], "f12c", "M344 80C348.4 80 352 76.42 352 72S348.4 64 344 64L320 64.01c-2.453 0-4.781 1.115-6.297 3.053L176 243L38.3 67.06C36.78 65.13 34.45 64.01 32 64.01L8 64C3.578 64 0 67.58 0 72S3.578 80 8 80h20.11L165.8 256L28.11 432H8C3.578 432 0 435.6 0 440S3.578 448 8 448L32 448c2.453 0 4.781-1.135 6.297-3.072L176 268.1l137.7 175.1C315.2 446.9 317.5 448 320 448L344 448c4.422 0 8-3.578 8-8s-3.578-8-8-8h-20.11L186.2 256l137.7-176H344zM488 496H464v-136c0-4.422-3.578-8-8-8h-32C419.6 352 416 355.6 416 360s3.578 8 8 8H448v128h-24c-4.422 0-8 3.578-8 8S419.6 512 424 512h64c4.422 0 8-3.578 8-8S492.4 496 488 496z"],
    "suitcase": [512, 512, [129523], "f0f2", "M128 96V40C128 17.91 145.9 0 168 0H344C366.1 0 384 17.91 384 40V96H448C483.3 96 512 124.7 512 160V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V160C0 124.7 28.65 96 64 96H128zM144 96H368V40C368 26.75 357.3 16 344 16H168C154.7 16 144 26.75 144 40V96zM104 112V464H408V112H104zM64 112C37.49 112 16 133.5 16 160V416C16 442.5 37.49 464 64 464H88V112H64zM448 464C474.5 464 496 442.5 496 416V160C496 133.5 474.5 112 448 112H424V464H448z"],
    "suitcase-medical": [512, 512, ["medkit"], "f0fa", "M464 96H384V40C384 17.94 366.1 0 344 0h-176C145.9 0 128 17.94 128 40V96H48C21.49 96 0 117.5 0 144v288C0 458.5 21.49 480 48 480h416c26.51 0 48-21.49 48-48v-288C512 117.5 490.5 96 464 96zM144 40c0-13.22 10.78-24 24-24h176c13.22 0 24 10.78 24 24V96h-224V40zM80 464h-32c-17.64 0-32-14.36-32-32v-288c0-17.64 14.36-32 32-32h32V464zM416 464H96v-352h320V464zM496 432c0 17.64-14.36 32-32 32h-32v-352h32c17.64 0 32 14.36 32 32V432zM168 327.1h48v48c0 8.836 7.164 16 16 16h48c8.836 0 16-7.164 16-16v-48h48c8.836 0 16-7.164 16-16v-48c0-8.836-7.164-16-16-16h-48v-48c0-8.836-7.164-16-16-16h-48c-8.836 0-16 7.164-16 16v48h-48c-8.836 0-16 7.164-16 16v48C152 320.8 159.2 327.1 168 327.1zM168 263.1h64v-64h48v64h64v48h-64v64h-48v-64h-64V263.1z"],
    "suitcase-rolling": [448, 512, [], "f5c1", "M368 128h-47.95L320 40C320 17.94 302.1 0 280 0h-112C145.9 0 128 17.94 128 40L128 128H80C53.49 128 32 149.5 32 176v256C32 458.5 53.49 480 80 480h16.05c0 17.64 14.43 32 32.07 32s31.94-14.36 31.94-32h128c0 17.64 14.42 32 32.06 32s31.93-14.36 31.93-32H368c26.51 0 48-21.49 48-48v-256C416 149.5 394.5 128 368 128zM144 40c0-13.22 10.78-24 24-24h112c13.22 0 24 10.78 24 24V128h-160V40zM128 496c-8.828 0-16-7.172-16-16h32C144 488.8 136.8 496 128 496zM320 496c-8.828 0-16-7.172-16-16h32C336 488.8 328.8 496 320 496zM400 432c0 17.64-14.36 32-32 32h-288c-17.64 0-32-14.36-32-32v-256c0-17.64 14.36-32 32-32h288c17.64 0 32 14.36 32 32V432zM344 352h-240C99.58 352 96 355.6 96 360s3.578 8 8 8h240c4.422 0 8-3.578 8-8S348.4 352 344 352zM344 224h-240C99.58 224 96 227.6 96 232S99.58 240 104 240h240C348.4 240 352 236.4 352 232S348.4 224 344 224z"],
    "sun": [512, 512, [9728], "f185", "M449.9 255.1l58.02-83.61c4.438-6.406 5.313-14.52 2.328-21.72c-2.984-7.187-9.344-12.31-17-13.69l-100.1-18.11L375 18.74c-1.375-7.656-6.5-14.02-13.7-16.1c-7.188-2.969-15.3-2.078-21.72 2.328L256 62.08L172.4 4.084C166-.3687 157.9-1.228 150.7 1.741C143.5 4.725 138.4 11.07 136.1 18.74L118.9 118.9L18.75 136.1C11.09 138.3 4.733 143.5 1.748 150.7C-1.236 157.9-.361 165.1 4.077 172.4l58.02 83.61l-58 83.61c-4.453 6.391-5.328 14.5-2.344 21.7c2.984 7.203 9.328 12.33 17 13.7l100.1 18.09l18.11 100.1c1.375 7.672 6.5 14.02 13.7 16.1c2.828 1.172 5.797 1.75 8.734 1.75c4.563 0 9.094-1.391 12.97-4.078L256 449.9l83.61 57.1c6.39 4.469 14.52 5.359 21.7 2.344c7.203-2.984 12.33-9.328 13.7-16.1l18.11-100.1l100.1-18.09c7.672-1.375 14.02-6.5 17-13.7c2.984-7.203 2.109-15.31-2.328-21.7L449.9 255.1zM495.5 355.2c-.4219 1.031-1.766 3.484-5.063 4.078l-105.6 19.08c-3.281 .5938-5.859 3.172-6.453 6.453l-19.09 105.6c-.5938 3.297-3.047 4.641-4.078 5.062c-1 .4375-3.719 1.203-6.453-.7031l-88.17-61.17c-2.75-1.906-6.375-1.906-9.125 0l-88.17 61.19c-2.75 1.844-5.453 1.094-6.453 .6875c-1.031-.4219-3.484-1.766-4.078-5.062l-19.09-105.6c-.5938-3.281-3.172-5.859-6.453-6.453L21.59 359.3c-3.297-.5938-4.641-3.047-5.063-4.078c-.4219-1.031-1.219-3.703 .7031-6.453L78.41 260.6c1.891-2.75 1.891-6.375 0-9.125L17.23 163.3C15.31 160.5 16.11 157.8 16.53 156.8c.4219-1.016 1.766-3.469 5.063-4.062l105.6-19.09c3.281-.5937 5.859-3.172 6.453-6.453l19.09-105.6C153.3 18.29 155.8 16.94 156.8 16.52c.5156-.2187 1.469-.5312 2.641-.5312c1.141 0 2.469 .2969 3.813 1.234l88.17 61.17c2.75 1.906 6.375 1.906 9.125 0l88.16-61.17c2.766-1.922 5.453-1.125 6.469-.7031c1.031 .4219 3.484 1.766 4.078 5.062l19.09 105.6c.5938 3.281 3.172 5.859 6.453 6.453l105.6 19.09c3.297 .5938 4.641 3.047 5.063 4.062c.4219 1.031 1.219 3.719-.7031 6.469L433.6 251.4c-1.891 2.75-1.891 6.375 0 9.125l61.17 88.17C496.7 351.5 495.9 354.1 495.5 355.2zM256 143.1c-61.75 0-111.1 50.25-111.1 111.1S194.2 367.1 256 367.1s111.1-50.25 111.1-111.1S317.8 143.1 256 143.1zM256 351.1c-52.94 0-95.1-43.06-95.1-95.1S203.1 159.1 256 159.1s95.1 43.06 95.1 95.1S308.9 351.1 256 351.1z"],
    "sun-bright": [512, 512, ["sun-alt"], "e28f", "M256 136C189.7 136 136 189.7 136 256c0 66.27 53.72 120 120 120s120-53.73 120-120C376 189.7 322.3 136 256 136zM256 360c-57.35 0-104-46.65-104-104S198.7 152 256 152S360 198.7 360 256S313.3 360 256 360zM256 112c4.422 0 8-3.578 8-8v-96C264 3.578 260.4 0 256 0S248 3.578 248 8v96C248 108.4 251.6 112 256 112zM256 400c-4.422 0-8 3.578-8 8v96C248 508.4 251.6 512 256 512s8-3.578 8-8v-96C264 403.6 260.4 400 256 400zM504 248h-96c-4.422 0-8 3.578-8 8s3.578 8 8 8h96C508.4 264 512 260.4 512 256S508.4 248 504 248zM112 256c0-4.422-3.578-8-8-8h-96C3.578 248 0 251.6 0 256s3.578 8 8 8h96C108.4 264 112 260.4 112 256zM363.5 156.5c2.047 0 4.094-.7813 5.656-2.344l52.52-52.52c3.125-3.125 3.125-8.188 0-11.31s-8.188-3.125-11.31 0l-52.52 52.52c-3.125 3.125-3.125 8.2 0 11.32C359.4 155.7 361.4 156.5 363.5 156.5zM142.9 357.8l-52.52 52.52c-3.125 3.125-3.125 8.188 0 11.31C91.91 423.2 93.95 424 96 424s4.094-.7813 5.656-2.344l52.52-52.52c3.125-3.125 3.125-8.2 0-11.33S145.1 354.7 142.9 357.8zM369.1 357.8c-3.125-3.125-8.188-3.138-11.31-.0125s-3.125 8.2 0 11.33l52.52 52.52C411.9 423.2 413.1 424 416 424s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31L369.1 357.8zM142.9 154.2c1.562 1.562 3.609 2.344 5.656 2.344S152.6 155.7 154.2 154.2c3.125-3.125 3.125-8.2 0-11.32L101.7 90.34c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31L142.9 154.2z"],
    "sun-cloud": [640, 512, [127780], "f763", "M571.2 218.6c-8.438 0-16.89 1.594-24.89 4.672c-8.453-36.8-41.7-63.34-81.52-63.34c-37.61 0-70.5 24.38-80.67 58.83C348.4 221.1 320 250.1 320 285.3c0 36.77 30.86 66.67 68.8 66.67h182.4C609.1 351.1 640 322.1 640 285.3C640 248.5 609.1 218.6 571.2 218.6zM571.2 335.1h-182.4c-29.11 0-52.8-22.73-52.8-50.67s23.69-50.66 51.97-50.72c4.281 .9531 9.344-1.844 10.22-6.109c6.234-30.42 34.25-52.5 66.61-52.5c35.36 0 64.31 25.73 67.33 59.84c.2344 2.719 1.859 5.125 4.281 6.391c2.406 1.281 5.328 1.188 7.688-.1562c8.516-4.922 17.64-7.406 27.11-7.406c29.11 0 52.8 22.72 52.8 50.66S600.3 335.1 571.2 335.1zM387.7 378.4c-4.328-.7656-8.516 2.078-9.297 6.453l-19.09 105.6c-.5938 3.297-3.047 4.641-4.078 5.062c-.9844 .4375-3.719 1.203-6.453-.7031l-88.17-61.17c-2.75-1.906-6.375-1.906-9.125 0l-88.17 61.19c-2.75 1.844-5.438 1.094-6.453 .6875c-1.031-.4219-3.484-1.766-4.078-5.062l-19.09-105.6c-.5938-3.281-3.172-5.859-6.453-6.453l-105.6-19.09c-3.297-.5938-4.641-3.047-5.062-4.078s-1.219-3.703 .7031-6.453l61.17-88.17c1.891-2.75 1.891-6.375 0-9.125L17.22 163.3C15.31 160.5 16.11 157.8 16.53 156.8s1.766-3.484 5.062-4.078l105.6-19.09c3.281-.5938 5.859-3.172 6.453-6.453l19.09-105.6c.5938-3.297 3.047-4.641 4.078-5.062C157.9 16.11 160.5 15.34 163.3 17.23l88.17 61.17c2.75 1.906 6.375 1.906 9.125 0l88.16-61.17c2.75-1.922 5.469-1.125 6.469-.7031c1.031 .4219 3.484 1.766 4.078 5.062l19.09 105.6c.7813 4.375 5.016 7.156 9.297 6.453C392 132.9 394.9 128.7 394.1 124.3l-19.09-105.6c-1.375-7.656-6.5-14.02-13.7-17c-7.141-2.969-15.33-2.078-21.72 2.328L256 62.09l-83.61-58C166-.3594 157.9-1.219 150.7 1.75c-7.203 2.984-12.33 9.328-13.7 17l-18.11 100.1l-100.1 18.11c-7.672 1.375-14.02 6.5-17 13.7s-2.109 15.31 2.328 21.7L62.09 256l-58 83.61c-4.453 6.391-5.328 14.5-2.344 21.7s9.328 12.33 17 13.7l100.1 18.11l18.11 100.1c1.375 7.672 6.5 14.02 13.7 17C153.5 511.4 156.5 512 159.4 512c4.562 0 9.094-1.391 12.97-4.078L256 449.9l83.61 58c6.39 4.469 14.52 5.359 21.7 2.344c7.203-2.984 12.33-9.328 13.7-17l19.09-105.6C394.9 383.3 392 379.1 387.7 378.4zM256 160c29.73 0 57.33 13.45 75.69 36.92c2.734 3.5 7.766 4.125 11.22 1.375c3.484-2.719 4.094-7.75 1.375-11.22C322.9 159.7 290.7 144 256 144c-61.75 0-111.1 50.25-111.1 111.1S194.3 367.1 256 367.1c14.95 0 29.47-2.901 43.16-8.62c4.062-1.703 5.984-6.391 4.281-10.47s-6.344-5.969-10.47-4.281C281.3 349.5 268.8 352 256 352c-52.94 0-96-43.06-96-96S203.1 160 256 160z"],
    "sun-dust": [512, 512, [], "f764", "M160 464c-8.875 0-16 7.125-16 16s7.125 16 16 16s16-7.125 16-16S168.9 464 160 464zM480 176c8.875 0 16-7.125 16-16S488.9 144 480 144S464 151.1 464 160S471.1 176 480 176zM320 304c-8.875 0-16 7.125-16 16s7.125 16 16 16s16-7.125 16-16S328.9 304 320 304zM400 224C391.1 224 384 231.1 384 240S391.1 256 400 256S416 248.9 416 240S408.9 224 400 224zM240 384C231.1 384 224 391.1 224 400S231.1 416 240 416s16-7.125 16-16S248.9 384 240 384zM480 464c-8.875 0-16 7.125-16 16s7.125 16 16 16s16-7.125 16-16S488.9 464 480 464zM400 384c-8.875 0-16 7.125-16 16s7.125 16 16 16s16-7.125 16-16S408.9 384 400 384zM320 464c-8.875 0-16 7.125-16 16s7.125 16 16 16s16-7.125 16-16S328.9 464 320 464zM480 304c-8.875 0-16 7.125-16 16s7.125 16 16 16s16-7.125 16-16S488.9 304 480 304zM394.1 124.3l-19.09-105.6c-1.375-7.656-6.5-14.02-13.7-17c-7.141-2.969-15.31-2.078-21.72 2.328L256 62.09l-83.61-58C166-.3594 157.9-1.219 150.7 1.75c-7.203 2.984-12.33 9.328-13.7 17l-18.11 100.1l-100.1 18.11c-7.672 1.375-14.02 6.5-17 13.7s-2.109 15.31 2.328 21.7L62.09 256l-58 83.61c-4.453 6.391-5.328 14.5-2.344 21.7s9.328 12.33 17 13.7l105.6 19.09c.4844 .0781 .9531 .125 1.438 .125c3.781 0 7.156-2.703 7.859-6.578c.7813-4.344-2.109-8.516-6.453-9.297l-105.6-19.09c-3.297-.5938-4.641-3.047-5.062-4.078s-1.219-3.703 .7031-6.453l61.17-88.17c1.891-2.75 1.891-6.375 0-9.125L17.22 163.3C15.31 160.5 16.11 157.8 16.53 156.8s1.766-3.484 5.062-4.078l105.6-19.09c3.281-.5938 5.859-3.172 6.453-6.453l19.09-105.6c.5938-3.297 3.047-4.641 4.078-5.062C157.9 16.11 160.6 15.34 163.3 17.23l88.17 61.17c2.75 1.906 6.375 1.906 9.125 0l88.16-61.17c2.766-1.922 5.469-1.125 6.469-.7031c1.031 .4219 3.484 1.766 4.078 5.062l19.09 105.6c.7969 4.375 5.031 7.156 9.297 6.453C392 132.9 394.9 128.7 394.1 124.3zM256 144c-29.92 0-58.05 11.66-79.2 32.81c-43.66 43.66-43.66 114.7 0 158.4c1.562 1.562 3.609 2.344 5.656 2.344s4.094-.7813 5.656-2.344c3.125-3.125 3.13-8.193 .0052-11.32C150.7 286.4 150.7 225.5 188.1 188.1C206.3 169.1 230.4 160 256 160s49.75 9.979 67.88 28.12c3.125 3.125 8.184 3.129 11.31 .0039s3.125-8.188 0-11.31C314 155.7 285.9 144 256 144z"],
    "sun-haze": [640, 512, [], "f765", "M129.3 260.6c2.469 3.656 7.469 4.469 11.12 2.016c3.625-2.531 4.531-7.516 2-11.14L81.22 163.3C79.31 160.5 80.13 157.8 80.53 156.8c.4375-1.016 1.781-3.469 5.062-4.062l105.6-19.09C194.5 133 197.1 130.5 197.7 127.2L216.7 21.61c.5938-3.312 3.062-4.656 4.094-5.078s3.719-1.219 6.469 .7031l88.16 61.17c2.75 1.906 6.375 1.906 9.125 0l88.16-61.17c2.75-1.922 5.469-1.125 6.469-.7031c1.031 .4219 3.5 1.766 4.094 5.062l19.06 105.6c.5938 3.281 3.156 5.859 6.438 6.453l105.6 19.09c3.281 .5938 4.625 3.047 5.062 4.078c.4062 1.031 1.188 3.719-.6875 6.453l-61.19 88.17c-2.531 3.625-1.625 8.609 2 11.14C501 263.5 502.6 264 504.2 264c2.531 0 5.031-1.203 6.562-3.438l61.19-88.17c4.438-6.391 5.312-14.52 2.344-21.7c-3-7.203-9.344-12.33-17-13.7l-100.2-18.11l-18.06-100.1c-1.406-7.672-6.531-14.02-13.75-17s-15.34-2.078-21.69 2.344L320 62.09L236.4 4.078c-6.375-4.422-14.5-5.312-21.69-2.344C207.5 4.719 202.4 11.06 200.1 18.75L182.9 118.9l-100.2 18.11c-7.656 1.375-14 6.5-17 13.69C62.78 157.9 63.66 166 68.09 172.4L129.3 260.6zM320 144C258.3 144 208 194.3 208 256c0 4.422 3.594 8 8 8S224 260.4 224 256c0-52.94 43.06-95.1 96-95.1S416 203.1 416 256c0 4.422 3.594 8 8 8S432 260.4 432 256C432 194.3 381.8 144 320 144zM72 336h368c4.406 0 8-3.578 8-8S444.4 320 440 320H72C67.59 320 64 323.6 64 328S67.59 336 72 336zM480 328c0 4.422 3.594 8 8 8h144c4.406 0 8-3.578 8-8S636.4 320 632 320h-144C483.6 320 480 323.6 480 328zM216 496h-144C67.59 496 64 499.6 64 504S67.59 512 72 512h144C220.4 512 224 508.4 224 504S220.4 496 216 496zM632 496H264C259.6 496 256 499.6 256 504S259.6 512 264 512h368c4.406 0 8-3.578 8-8S636.4 496 632 496zM576 416c0-4.422-3.594-8-8-8H8C3.594 408 0 411.6 0 416s3.594 8 8 8h560C572.4 424 576 420.4 576 416z"],
    "sun-plant-wilt": [640, 512, [], "e57a", "M208.6 161.2C208.6 187.7 187.1 209.2 160.6 209.2C134.1 209.2 112.6 187.7 112.6 161.2C112.6 134.7 134.1 113.2 160.6 113.2C187.1 113.2 208.6 134.7 208.6 161.2zM160.6 193.2C178.3 193.2 192.6 178.9 192.6 161.2C192.6 143.5 178.3 129.2 160.6 129.2C142.1 129.2 128.6 143.5 128.6 161.2C128.6 178.9 142.1 193.2 160.6 193.2zM160 0C162.9 0 165.6 1.615 167 4.205L199.5 64.52L265.2 44.86C268 44.01 271.1 44.78 273.1 46.86C275.2 48.94 275.1 51.1 275.1 54.82L255.5 120.5L315.8 152.1C318.4 154.4 320 157.1 320 159.1C320 162.9 318.4 165.6 315.8 167L255.5 199.5L275.1 265.2C275.1 268 275.2 271.1 273.1 273.1C271.1 275.2 268 275.1 265.2 275.1L199.5 255.5L167 315.8C165.6 318.4 162.9 319.1 160 319.1C157.1 319.1 154.4 318.4 152.1 315.8L120.5 255.5L54.82 275.1C51.1 275.1 48.94 275.2 46.86 273.1C44.78 271.1 44.01 268 44.86 265.2L64.52 199.5L4.206 167C1.616 165.6 .0013 162.9 .0013 159.1C.0013 157.1 1.616 154.4 4.206 152.1L64.52 120.5L44.86 54.82C44.01 51.1 44.78 48.94 46.86 46.86C48.94 44.78 51.1 44.01 54.82 44.86L120.5 64.52L152.1 4.205C154.4 1.615 157.1 0 160 0V0zM160 24.86L131.4 77.85C129.6 81.19 125.7 82.81 122.1 81.72L64.45 64.44L81.72 122.1C82.81 125.7 81.2 129.6 77.85 131.4L24.86 160L77.85 188.6C81.2 190.4 82.81 194.3 81.72 197.9L64.45 255.6L122.1 238.3C125.7 237.2 129.6 238.8 131.4 242.1L160 295.1L188.6 242.1C190.4 238.8 194.3 237.2 197.9 238.3L255.6 255.6L238.3 197.9C237.2 194.3 238.8 190.4 242.1 188.6L295.1 160L242.1 131.4C238.8 129.6 237.2 125.7 238.3 122.1L255.6 64.44L197.9 81.72C194.3 82.81 190.4 81.19 188.6 77.85L160 24.86zM496 496H632C636.4 496 640 499.6 640 504C640 508.4 636.4 512 632 512H8C3.582 512 0 508.4 0 504C0 499.6 3.582 496 8 496H480V260C480 231.3 456.7 208 428 208C399.3 208 376 231.3 376 260V280.5C388.6 281.9 399.8 287 408.3 295.6C418.5 305.9 424 320.6 424 338.1C424 350 417.6 364.9 408.7 379.1C399.7 393.7 387.2 408.9 373.5 421.8C370.4 424.7 365.6 424.7 362.5 421.8C348.8 408.9 336.3 393.7 327.3 379.2C318.4 364.1 312 350.2 312 338.1C312 320.6 317.5 305.9 327.7 295.6C336.2 287 347.4 281.9 360 280.5V260C360 222.4 390.4 192 428 192C448.9 192 467.5 201.4 480 216.2V160C480 129.1 505.1 104 536 104C566.9 104 592 129.1 592 160V216.5C604.6 217.9 615.8 223 624.3 231.6C634.5 241.9 640 256.6 640 274C640 286 633.6 300.9 624.7 315.1C615.7 329.7 603.2 344.9 589.5 357.8C586.4 360.7 581.6 360.7 578.5 357.8C564.8 344.9 552.3 329.7 543.3 315.2C534.4 300.1 528 286.2 528 274C528 256.6 533.5 241.9 543.7 231.6C552.2 223 563.4 217.9 576 216.5V160C576 137.9 558.1 120 536 120C513.9 120 496 137.9 496 160L496 496zM584 232C571.7 232 561.8 236 555.1 242.8C548.4 249.6 544 259.1 544 274C544 281.5 548.3 293.1 556.8 306.7C563.9 318.1 573.4 330 584 340.8C594.6 330 604 318 611.1 306.6C619.7 292.1 624 281.3 624 274C624 259.1 619.6 249.6 612.9 242.8C606.2 236 596.3 232 584 232H584zM395.1 370.6C403.7 356.1 408 345.3 408 338.1C408 323.1 403.6 313.6 396.9 306.8C390.2 300 380.3 296 368 296C355.7 296 345.8 300 339.1 306.8C332.4 313.6 328 323.1 328 338.1C328 345.5 332.3 357.1 340.9 370.7C347.9 382.1 357.4 394 368 404.8C378.6 394 388 382 395.1 370.6H395.1z"],
    "sunglasses": [576, 512, [128374], "f892", "M560.4 211.8c-26.52-78.95-28.67-83.66-45.19-131.8c-12.38-36.15-51.31-55.99-88.91-45.02l-20.53 6c-4.25 1.25-6.656 5.688-5.438 9.934c1.25 4.25 5.687 6.656 9.938 5.438l20.53-6c29.19-8.527 59.66 6.781 69.28 34.84l40.23 117.3c9.605 30.03 15.24 52.98 17.83 78.17c-4.531-3.703-9.555-6.859-15.37-8.785c-31.78-10.52-64.39-15.86-96.91-15.86c-38.02 0-75.49 7.438-111.4 22.11C328.9 280.5 324.2 284 320 288.1L256 288C251.8 283.9 247.1 280.5 241.5 278.2c-35.87-14.68-73.34-22.11-111.4-22.11c-32.53 0-65.14 5.336-96.91 15.86c-5.812 1.926-10.84 5.082-15.37 8.785c2.586-25.18 8.223-48.14 17.83-78.17l40.23-117.3C85.56 57.17 116 41.86 145.2 50.39l20.53 6c4.25 1.219 8.688-1.188 9.938-5.438C176.9 46.7 174.5 42.27 170.3 41.02l-20.53-6C112.1 24.05 73.19 43.89 60.81 80.04c-16.35 47.59-18.78 53.15-45.19 131.8C5.25 241.1 0 273.4 0 305.3v63.96C0 430.3 50.26 480 111.9 480h43.12c58.11 0 107-45.02 111.4-102.5l3.859-51.59C270.9 318.1 269.1 310.8 266.3 304h43.31c-2.762 6.812-4.516 14.12-3.934 21.91l3.859 51.59C313.1 434.1 362.9 480 420.1 480h43.12C525.7 480 576 430.3 576 369.2V305.3C576 273.4 570.8 241.1 560.4 211.8zM250.5 376.3C246.7 425.5 204.8 464 155 464H111.8c-18.81 0-36.24-5.57-51.05-14.86l135.7-90.48c3.688-2.453 4.656-7.422 2.219-11.09c-2.469-3.703-7.438-4.672-11.09-2.219l-140.3 93.52c-11.5-10.43-20.25-23.54-25.53-38.41l142.7-95.12c3.688-2.453 4.656-7.422 2.219-11.09C164.2 290.5 159.2 289.6 155.6 292l-138 92.03C16.74 379.2 16 374.3 16 369.2c0 0 .0586-51.04 .0625-52.02c.1797-13.79 9.086-25.78 22.22-30.12C61.56 279.4 93.45 272 130.2 272c36.17 0 71.42 7.062 105.3 20.93c12.5 5.113 19.86 18.3 18.86 31.76L250.5 376.3zM464.2 464h-43.24c-19.79 0-38.19-6.26-53.58-16.67l149-99.35c3.688-2.453 4.656-7.422 2.219-11.09c-2.438-3.703-7.438-4.656-11.09-2.219l-153.2 102.1c-11.12-10.74-19.54-24.13-24.37-39.17l122.4-81.65c3.688-2.453 4.656-7.422 2.219-11.09c-2.438-3.703-7.438-4.656-11.09-2.219l-117.2 78.17c-.1953-1.541-.6777-2.986-.7969-4.549l-3.855-51.57c-1.008-13.46 6.355-26.65 18.86-31.76c33.88-13.86 69.13-20.93 105.3-20.93c36.72 0 68.6 7.34 91.88 15.05c13.13 4.344 22.04 16.33 22.22 30.12C559.9 318.2 560 369.2 560 369.2C560 421.6 517.1 464 464.2 464z"],
    "sunrise": [576, 512, [127749], "f766", "M568 504H8C3.594 504 0 507.6 0 512s3.594 8 8 8h560c4.406 0 8-3.578 8-8S572.4 504 568 504zM80.22 468.6c2.5 3.625 7.5 4.469 11.12 2.016c3.625-2.516 4.531-7.5 2-11.14l-52.03-75.02c-2.031-2.938-1.188-5.812-.75-6.906c.4687-1.109 1.906-3.734 5.437-4.375L155 353.4c3.281-.5938 5.844-3.172 6.438-6.453l19.72-109C181.8 234.5 184.4 233 185.5 232.6s3.969-1.328 6.938 .75l91 63.16c2.75 1.906 6.375 1.906 9.125 0l91-63.16c2.969-2.094 5.812-1.219 6.938-.75c1.094 .4531 3.719 1.906 4.344 5.422l19.72 109c.5938 3.281 3.156 5.859 6.438 6.453l108.1 19.7c3.532 .6406 4.969 3.266 5.438 4.375c.4375 1.094 1.281 3.969-.75 6.906l-52.03 75.02c-2.531 3.641-1.625 8.625 2 11.14C486.1 471.5 487.6 472 489.2 472c2.531 0 5.031-1.203 6.562-3.438l52.03-75.02c4.531-6.531 5.438-14.81 2.406-22.16s-9.531-12.58-17.34-14l-103.6-18.72l-18.72-103.5c-1.406-7.812-6.625-14.31-13.97-17.36c-7.406-3-15.62-2.141-22.19 2.375L288 280.2l-86.44-60C195 215.6 186.8 214.8 179.4 217.8C172 220.8 166.8 227.3 165.4 235.1l-18.72 103.5L43.13 357.4c-7.812 1.422-14.31 6.656-17.34 14s-2.125 15.62 2.406 22.16L80.22 468.6zM288 360c-58.84 0-108.8 44.28-116.3 103c-.5625 4.375 2.562 8.375 6.938 8.938c4.531 .4844 8.375-2.578 8.938-6.938C194 414.3 237.2 376 288 376s93.97 38.27 100.4 89c.5 4.047 3.969 7 7.938 7c.3125 0 .6562-.0156 1-.0625c4.375-.5625 7.5-4.562 6.938-8.938C396.8 404.3 346.8 360 288 360zM197.4 101.9L280 26.19V216C280 220.4 283.6 224 288 224s8-3.578 8-8V26.19l82.59 75.7C380.1 103.3 382.1 104 384 104c2.156 0 4.312-.875 5.906-2.594c2.969-3.25 2.75-8.312-.5-11.3l-96-88c-3.062-2.812-7.75-2.812-10.81 0l-96 88c-3.25 2.984-3.469 8.047-.5 11.3C189.1 104.7 194.2 104.9 197.4 101.9z"],
    "sunset": [576, 512, [127751], "f767", "M568 504H8C3.594 504 0 507.6 0 512s3.594 8 8 8h560c4.406 0 8-3.578 8-8S572.4 504 568 504zM80.22 468.6c2.5 3.625 7.5 4.469 11.12 2.016c3.625-2.516 4.531-7.5 2-11.14l-52.03-75.02c-2.031-2.938-1.188-5.812-.75-6.906c.4687-1.109 1.906-3.734 5.437-4.375L155 353.4c3.281-.5938 5.844-3.172 6.438-6.453l19.72-109C181.8 234.5 184.4 233 185.5 232.6C186.6 232.1 189.4 231.2 192.4 233.3l91 63.16c2.75 1.906 6.375 1.906 9.125 0l91-63.16c2.969-2.094 5.844-1.219 6.938-.75c1.094 .4531 3.719 1.906 4.344 5.422l19.72 109c.5938 3.281 3.156 5.859 6.438 6.453l108.1 19.7c3.532 .6406 4.969 3.266 5.438 4.375c.4375 1.094 1.281 3.969-.75 6.906l-52.03 75.02c-2.531 3.641-1.625 8.625 2 11.14C486.1 471.5 487.6 472 489.2 472c2.531 0 5.031-1.203 6.562-3.438l52.03-75.02c4.531-6.531 5.438-14.81 2.406-22.16s-9.531-12.58-17.34-14l-103.6-18.72l-18.72-103.5c-1.406-7.812-6.625-14.31-13.97-17.36c-7.406-3-15.66-2.141-22.19 2.375L288 280.2l-86.44-60C195 215.6 186.8 214.8 179.4 217.8C172 220.8 166.8 227.3 165.4 235.1l-18.72 103.5L43.13 357.4c-7.812 1.422-14.31 6.656-17.34 14s-2.125 15.62 2.406 22.16L80.22 468.6zM288 360c-58.84 0-108.8 44.28-116.3 103c-.5625 4.375 2.562 8.375 6.938 8.938c4.625 .4844 8.406-2.578 8.938-6.938C194 414.3 237.2 376 288 376s93.97 38.27 100.4 89c.5 4.047 3.969 7 7.938 7c.3125 0 .6562-.0156 1-.0625c4.375-.5625 7.5-4.562 6.938-8.938C396.8 404.3 346.8 360 288 360zM282.6 221.9C284.1 223.3 286.1 224 288 224s3.875-.7031 5.406-2.109l96-88c3.25-2.984 3.469-8.047 .5-11.3c-3-3.266-8.062-3.484-11.31-.4844L296 197.8V8C296 3.578 292.4 0 288 0S280 3.578 280 8v189.8L197.4 122.1c-3.219-3-8.281-2.781-11.31 .4844C183.1 125.8 183.3 130.9 186.6 133.9L282.6 221.9z"],
    "superscript": [512, 512, [], "f12b", "M344 80C348.4 80 352 76.42 352 72S348.4 64 344 64L320 64.01c-2.453 0-4.781 1.115-6.297 3.053L176 243L38.3 67.06C36.78 65.13 34.45 64.01 32 64.01L8 64C3.578 64 0 67.58 0 72S3.578 80 8 80h20.11L165.8 256L28.11 432H8C3.578 432 0 435.6 0 440S3.578 448 8 448L32 448c2.453 0 4.781-1.135 6.297-3.072L176 268.1l137.7 175.1C315.2 446.9 317.5 448 320 448L344 448c4.422 0 8-3.578 8-8s-3.578-8-8-8h-20.11L186.2 256l137.7-176H344zM488 144H464V8C464 3.578 460.4 0 456 0h-32C419.6 0 416 3.578 416 8s3.578 8 8 8H448v128h-24C419.6 144 416 147.6 416 152S419.6 160 424 160h64c4.422 0 8-3.578 8-8S492.4 144 488 144z"],
    "sushi": [576, 512, [127843, "nigiri"], "e48a", "M328.2 64H366.9C460.1 64 539.8 130.9 555.1 222.6L562 256.7C568.3 292.5 534.1 322.1 499.6 310.6L323.1 252C296.4 243.1 267.5 243.3 240.9 252.5L77.18 309.3C42.58 321.2 7.832 291.6 14.2 255.6L20.01 222.6C36.2 130.9 115.9 64 209.1 64H327.8C327.9 63.1 328.1 63.1 328.2 64V64zM260.2 199.1C256.3 196.1 254.9 192.1 256.9 188.2L314.7 80H209.1C207.5 80 205.9 80.02 204.4 80.06L110.8 228.3C108.4 232 103.5 233.1 99.73 230.8C95.99 228.4 94.88 223.5 97.24 219.7L184.4 81.73C109.9 92.23 49.15 149.5 35.76 225.4L29.95 258.3C25.71 282.4 48.87 302.1 71.94 294.1L235.6 237.4C265.6 227 298.1 226.8 328.2 236.8L504.7 295.4C527.7 303.1 550.5 283.4 546.3 259.5L540.2 225.4C532.6 182.1 509.5 144.9 477.3 118.9L414.9 227.1C412.8 231.8 407.9 233.1 404 230.9C400.2 228.8 398.9 223.9 401.1 220L464.3 109.4C436.2 90.74 402.6 80 366.9 80H332.8L271.1 195.8C268.1 199.7 264.1 201.1 260.2 199.1V199.1zM48 362.5C48 400.9 79.12 432 117.5 432C132.6 432 146.6 427.2 157.1 418.1C163.9 414.8 171.9 414.8 177.8 418.1C189.2 427.2 203.1 432 218.3 432C237.7 432 255.2 424.1 267.8 411.2C274.6 404.3 285.9 404.3 292.7 411.2C305.3 424.1 322.8 432 342.2 432C360.2 432 376.5 425.2 388.8 414.1C395.3 408.2 405.4 408.2 411.9 414.1C424.2 425.2 440.6 432 458.5 432C496.9 432 528 400.9 528 362.5V342.9C528 338.4 531.6 334.9 536 334.9C540.4 334.9 544 338.4 544 342.9V362.5C544 409.7 505.7 448 458.5 448C436.5 448 416.3 439.6 401.2 425.9C401 425.8 400.7 425.7 400.4 425.7C400 425.7 399.7 425.8 399.6 425.9C384.4 439.6 364.3 448 342.3 448C318.4 448 296.8 438.2 281.3 422.4C281.1 422.2 280.7 422.1 280.3 422.1C279.8 422.1 279.4 422.2 279.2 422.4C263.7 438.2 242.1 448 218.3 448C199.7 448 182.5 442.1 168.4 431.1C168.3 431.9 168.1 431.8 167.9 431.8C167.7 431.8 167.5 431.9 167.3 431.1C153.3 442.1 136.1 448 117.5 448C70.28 448 32 409.7 32 362.5V341.8C32 337.4 35.58 333.8 40 333.8C44.42 333.8 48 337.4 48 341.8L48 362.5z"],
    "sushi-roll": [448, 512, ["maki-roll", "makizushi"], "e48b", "M448 360C448 398 417.6 428.2 378.2 447.8C337.9 468 283.4 480 224 480C164.6 480 110.1 468 69.77 447.8C30.43 428.2 .0003 398 0 360V125.1C0 109 9.238 94.74 21.73 83.67C34.24 72.57 51.43 63.32 71.3 55.86C111.2 40.92 165.2 32 224 32C282.8 32 336.8 40.92 376.7 55.86C396.6 63.32 413.8 72.57 426.3 83.67C438.8 94.74 448 109 448 126L448 360zM16 127.1C16 147.6 34.28 165.5 64.64 179.4C86.46 145.4 119.6 121.4 151.9 105.2C180.7 90.7 209.4 82.12 230.2 78.07C226.9 68.26 224.9 58.18 224.2 48H223.1C109.1 48 15.1 83.82 15.1 128L16 127.1zM224 207.1C281.9 207.1 334.3 198.9 372 184.2C307.2 174.9 258.1 138.3 236.4 93.19C216.9 96.68 188 104.9 159.1 119.5C129.1 134.5 99.47 156.1 79.71 185.6C117.1 199.5 167.1 208 224 208L224 207.1zM432 127.1C432 85.93 347.6 51.44 240.3 48.24C245.1 108.4 306.4 168.8 400.4 170.4C420.4 158.1 432 143.6 432 128V127.1zM16 360C16 417.4 109.1 464 224 464C338.9 464 432 417.4 432 360V165.4C430.2 167.4 428.4 169.2 426.4 170.1C413.9 182.3 396.7 191.8 376.8 199.5C336.9 214.8 282.9 223.1 224 223.1C165.1 223.1 111.1 214.8 71.18 199.5C51.28 191.8 34.08 182.3 21.58 170.1C19.63 169.2 17.76 167.4 16 165.4V360z"],
    "swatchbook": [512, 512, [], "f5c3", "M144 72V120C144 133.3 133.3 144 120 144H72C58.75 144 48 133.3 48 120V72C48 58.75 58.75 48 72 48H120C133.3 48 144 58.75 144 72zM64 120C64 124.4 67.58 128 72 128H120C124.4 128 128 124.4 128 120V72C128 67.58 124.4 64 120 64H72C67.58 64 64 67.58 64 72V120zM72 176H120C133.3 176 144 186.7 144 200V248C144 261.3 133.3 272 120 272H72C58.75 272 48 261.3 48 248V200C48 186.7 58.75 176 72 176zM72 192C67.58 192 64 195.6 64 200V248C64 252.4 67.58 256 72 256H120C124.4 256 128 252.4 128 248V200C128 195.6 124.4 192 120 192H72zM128 416C128 433.7 113.7 448 96 448C78.33 448 64 433.7 64 416C64 398.3 78.33 384 96 384C113.7 384 128 398.3 128 416zM96 432C104.8 432 112 424.8 112 416C112 407.2 104.8 400 96 400C87.16 400 80 407.2 80 416C80 424.8 87.16 432 96 432zM0 40C0 17.91 17.91 0 40 0H152C174.1 0 192 17.91 192 40V416C192 469 149 512 96 512C42.98 512 0 469 0 416V40zM176 416V40C176 26.75 165.3 16 152 16H40C26.75 16 16 26.75 16 40V416C16 460.2 51.82 496 96 496C140.2 496 176 460.2 176 416zM472 320C494.1 320 512 337.9 512 360V472C512 494.1 494.1 512 472 512H192C187.6 512 184 508.4 184 504C184 499.6 187.6 496 192 496H472C485.3 496 496 485.3 496 472V360C496 346.7 485.3 336 472 336H368C363.6 336 360 332.4 360 328C360 323.6 363.6 320 368 320H472zM218.3 168.5C215.2 165.4 215.2 160.3 218.3 157.2L294.6 80.97C310.2 65.35 335.5 65.35 351.1 80.97L430.3 160.2C445.9 175.8 445.9 201.1 430.3 216.7L225.4 421.7C222.3 424.8 217.2 424.8 214.1 421.7C210.1 418.5 210.1 413.5 214.1 410.3L419 205.4C428.4 196 428.4 180.9 419 171.5L339.8 92.28C330.4 82.91 315.2 82.91 305.9 92.28L229.7 168.5C226.5 171.6 221.5 171.6 218.3 168.5L218.3 168.5z"],
    "sword": [512, 512, [128481], "f71c", "M117.3 230.7c-8.971-8.969-23.56-9.031-32.6 0L67.1 248.3C59.25 256 58 268.3 64.16 277.5l46.6 69.83l-41.66 41.63l-22.28-11.14c-8-4.094-17.78-2.594-24.35 3.922l-16.19 16.19C2.219 401.9 0 407.2 0 412.9c0 5.674 2.219 10.99 6.219 14.89l77.94 77.93C88.13 509.8 93.44 512 99.13 512c5.656 0 10.97-2.234 14.88-6.219l16.22-16.24c6.5-6.484 8.062-16.28 3.969-24.3l-11.19-22.36l41.66-41.63l69.81 46.58c9.219 6.156 21.47 4.922 29.13-2.875l17.66-17.64c8.969-9 8.969-23.63 0-32.61L117.3 230.7zM269.9 416l-17.72 17.7c-2.312 2.375-6.094 2.672-8.875 .8125l-80.75-53.86l-59.03 59.07l16.35 32.74c.9687 1.924 .5938 4.174-1 5.768l-16.28 16.3c-1.906 1.938-5.125 1.969-7.094-.0625l-78.07-78.04C16.53 415.5 16 414.2 16 412.9c0-1.344 .5313-2.594 1.531-3.578l16.25-16.23c1-1 2.25-1.531 3.562-1.531c.75 0 1.5 .1875 2.25 .5625l32.69 16.34l59.03-59.07L77.47 268.7C75.57 265.8 75.94 262.1 78.35 259.7l17.66-17.64c2.719-2.719 7.188-2.75 9.969 0l163.1 163.1C272.7 408.8 272.7 413.3 269.9 416zM505.4 6.529c-5-5.062-12-7.266-19.1-6.312l-86.28 14.61L178.4 236.5c-3.125 3.125-3.125 8.188 0 11.31s8.188 3.125 11.31 0l218.1-218.1l81.07-13.74c2.25-.2813 3.938 .4062 5.312 1.812c1.438 1.422 2.125 3.377 1.875 5.143l-13.78 81.25l-218.1 218.1c-3.125 3.127-3.125 8.189 0 11.31c1.562 1.562 3.594 2.344 5.656 2.344s4.094-.7813 5.656-2.344l221.7-221.7l14.62-86.51C512.8 18.45 510.5 11.54 505.4 6.529z"],
    "sword-laser": [512, 512, [], "e03b", "M502.8 9.103c-11.72-11.8-31.15-12.17-43.25-.8595L221.1 227.2c-3.25 2.985-3.468 8.048-.4999 11.3C223.7 241.8 228.7 241.1 231.9 238.1l238.5-219c5.937-5.454 15.34-5.329 21.06 .4219c5.843 5.829 6.031 15.11 .375 21.16L272.9 280c-2.969 3.25-2.75 8.313 .4999 11.3c1.531 1.406 3.468 2.11 5.406 2.11c2.156 0 4.312-.8751 5.906-2.594l218.9-238.4C515.1 40.07 514.8 21.04 502.8 9.103zM181.6 234.3c-3.125-3.125-8.187-3.125-11.31 0c-3.125 3.125-3.125 8.188 0 11.31l6.343 6.344l-75.12 75.13L99.36 324.9c-2.1-3-8.312-3-11.31 0l-76.62 76.66C4.062 408.1 0 418.7 0 429.2c0 10.41 4.062 20.21 11.44 27.57l43.81 43.85C62.62 507.1 72.43 512 82.83 512s20.22-4.063 27.56-11.42l76.65-76.66c1.5-1.5 2.344-3.532 2.344-5.657c0-2.125-.8437-4.157-2.344-5.657l-2.179-2.18l75.11-75.13l6.343 6.344c1.562 1.563 3.593 2.344 5.656 2.344c2.062 0 4.093-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31L181.6 234.3zM99.08 489.3c-8.718 8.704-23.87 8.673-32.53 0l-43.81-43.85c-4.343-4.344-6.749-10.13-6.749-16.25c0-6.141 2.406-11.92 6.749-16.27L93.71 341.9l76.37 76.37L99.08 489.3zM173.5 399.1l-60.68-60.69l17.25-17.26l60.68 60.69L173.5 399.1zM202.1 370.5L141.4 309.8l17.62-17.62l60.68 60.69L202.1 370.5zM231 341.6L170.4 280.9l17.62-17.63l60.68 60.69L231 341.6z"],
    "sword-laser-alt": [512, 512, [], "e03c", "M502.1 9.05c-11.77-11.73-30.56-12.11-42.81-.8281l-233.6 214.5C223.3 225.8 223.1 230.8 226.1 234.1c3.016 3.281 8.078 3.469 11.3 .4843l233.6-214.5c5.953-5.437 14.1-5.281 20.69 .3594c5.656 5.656 5.812 14.75 .3594 20.69l-167.5 182.2c-2.984 3.25-2.781 8.312 .4844 11.3c1.531 1.406 3.469 2.109 5.406 2.109c2.156 0 4.312-.8749 5.891-2.594l167.5-182.2C515 39.61 514.7 20.8 502.1 9.05zM296.9 256H168.8c-6.078 0-11.81 2.422-16.17 6.796l-141.6 141.9c-14.78 14.8-14.78 38.89-.0156 53.72l42.31 42.4C60.56 508 70.07 512 80.21 512s19.66-3.953 26.81-11.12l206-205.5c6.687-6.546 8.734-16.39 5.187-25.06C314.7 261.6 306.3 256 296.9 256zM22.4 416l79.05-79.24l15.22 15.22L22.07 446.6C13.96 437.1 14.01 424.4 22.4 416zM33.27 458l94.7-94.7l20.69 20.69l-94.73 94.73L33.27 458zM95.7 489.6c-8.101 8.132-21.98 8.199-30.36 .3925l94.64-94.64l15.09 15.08L95.7 489.6zM301.8 284l-115.4 115.1l-73.65-73.64l51.23-51.36c1.344-1.344 3.062-2.094 4.844-2.094h128.1c4.391 0 6.094 3.328 6.5 4.359C303.8 277.4 304.1 280.9 301.8 284z"],
    "swords": [512, 512, [9876], "f71d", "M296.4 373.7c3.125-3.125 3.125-8.188 0-11.31L28.38 94.3L16.05 21.62C15.75 19.47 16.78 18.06 17.42 17.42C18.06 16.8 19.39 15.73 21.39 16.02l72.91 12.36l268 268c3.125 3.125 8.188 3.125 11.31 0s3.125-8.188 0-11.31L103.8 15.27C102.6 14.09 101.1 13.31 99.5 13.03L23.84 .2031C17.33-.7187 10.8 1.422 6.109 6.109C1.438 10.8-.7188 17.25 .2344 24.08L13.03 99.5c.2813 1.625 1.062 3.141 2.234 4.312l152.2 152.2L138.3 285.1c-3.125 3.125-3.125 8.188 0 11.31C139.9 297.1 141.1 298.8 144 298.8s4.094-.7813 5.656-2.344l29.1-29.12l65.93 65.93l-29.12 29.1c-3.125 3.125-3.125 8.188 0 11.31C217.1 375.2 219.2 376 221.2 376s4.094-.7813 5.656-2.344l29.12-29.1l29.1 29.1C286.7 375.2 288.7 376 290.8 376S294.9 375.2 296.4 373.7zM293.7 152.4l124-124l72.67-12.33c2.125-.25 3.562 .7344 4.203 1.375s1.672 2.047 1.406 3.969l-12.36 72.91l-124 124c-3.125 3.125-3.125 8.188 0 11.31C361.1 231.2 363.2 232 365.2 232s4.094-.7813 5.656-2.344l125.8-125.8c1.172-1.172 1.953-2.688 2.234-4.312l12.83-75.66c.9219-6.594-1.234-13.05-5.906-17.73c-4.688-4.688-11-6.75-17.97-5.875L412.5 13.03c-1.625 .2813-3.141 1.062-4.312 2.234L282.3 141.1c-3.125 3.125-3.125 8.188 0 11.31S290.5 155.5 293.7 152.4zM88.39 295C83.86 290.5 78.11 287.6 71.41 288C65.05 288 59.11 290.5 54.72 295L37.2 312.5c-7.516 7.516-9.172 18.86-4.125 28.19l28.62 53.38L7 448.7c-9.344 9.344-9.344 24.56 0 33.91L29.38 505c4.672 4.672 10.81 7.016 16.95 7.016S58.61 509.7 63.3 505l54.69-54.66l53.41 28.61c9.344 5 20.7 3.391 28.22-4.141l17.39-17.5c9.312-9.312 9.312-24.47 0-33.78L88.39 295zM205.7 446l-17.39 17.5c-2.453 2.485-6.188 3.016-9.312 1.344l-63.89-34.23l-63.09 63.05c-3.062 3.094-8.234 3.078-11.3 .0156l-22.38-22.36c-3.062-3.062-3.062-8.219 0-11.28l63.11-63.06l-34.27-63.86c-1.656-3.094-1.109-6.828 1.359-9.297l17.56-17.56C67.5 304.8 69.44 304 71.5 304c0 0-.0156 0 0 0c2.094 0 4.094 .8281 5.578 2.312l128.6 128.5C208.8 437.9 208.8 442.9 205.7 446zM505 448.7l-54.66-54.69l28.61-53.41c5.047-9.359 3.391-20.69-4.141-28.22l-17.5-17.39c-9.281-9.281-24.44-9.312-33.78 0L295 423.6C290.5 428.1 287.1 434.2 288 440.6c.0313 6.359 2.531 12.3 7 16.69l17.52 17.52C320 482.3 331.4 483.1 340.7 478.9l53.38-28.62l54.66 54.7c4.672 4.672 10.81 7.016 16.95 7.016s12.28-2.344 16.95-7.016l22.36-22.38C514.3 473.3 514.3 458.1 505 448.7zM493.7 471.3l-22.36 22.38c-3.062 3.062-8.219 3.062-11.28 0l-63.06-63.11l-63.86 34.27c-3.094 1.625-6.828 1.094-9.297-1.359l-17.56-17.56C304.8 444.5 304 442.6 304 440.5c0-2.109 .8125-4.094 2.312-5.594l128.5-128.6c3.047-3.078 8.062-3.094 11.17 .0156l17.5 17.39c2.469 2.469 3.016 6.203 1.344 9.312l-34.23 63.89l63.05 63.09C496.7 463.1 496.8 468.3 493.7 471.3z"],
    "swords-laser": [640, 512, [], "e03d", "M357.4 124.4l113.6-104.4c5.953-5.438 15-5.281 20.69 .3594c5.656 5.656 5.812 14.75 .3594 20.69l-104.3 113.6c-2.984 3.25-2.781 8.312 .4844 11.3c1.531 1.406 3.469 2.109 5.406 2.109c2.156 0 4.312-.875 5.891-2.594l104.3-113.6c11.27-12.25 10.91-31.06-.8281-42.81c-11.75-11.72-30.55-12.08-42.83-.8281l-113.6 104.4c-3.25 2.984-3.453 8.047-.4687 11.3C349.1 127.2 354.2 127.4 357.4 124.4zM628.9 404.1l-205.5-206c-6.562-6.703-16.41-8.719-25.06-5.188c-8.688 3.547-14.31 11.9-14.31 21.31v128.1c0 6.076 2.422 11.81 6.797 16.17l141.9 141.6c7.406 7.391 17.12 11.09 26.86 11.09c9.719 0 19.44-3.703 26.86-11.08l42.41-42.31C636 451.4 640 441.9 640 431.7S636 412.1 628.9 404.1zM402.1 348c-1.344-1.342-2.094-3.061-2.094-4.842V215.1c0-4.391 3.328-6.094 4.359-6.5c.4687-.2031 1.469-.5313 2.719-.5313c1.469 0 3.25 .4531 4.906 2.156l115.1 115.4l-73.65 73.64L402.1 348zM544 489.6l-79.25-79.04l15.22-15.21l94.6 94.59C565.1 498 552.4 497.1 544 489.6zM586 478.7l-94.71-94.7l20.69-20.69l94.74 94.73L586 478.7zM617.1 446.7l-94.65-94.64l15.09-15.08l79.17 79.36C621.7 420.4 624 425.9 624 431.8C624 437.4 621.8 442.6 617.1 446.7zM175.1 320c-8.75 0-16 7.123-16 15.1c0 8.75 7.25 15.1 16 15.1c8.875 0 16-7.248 16-15.1C191.1 327.1 184.9 320 175.1 320zM209.8 225.8C201.2 222.3 191.4 224.2 184.9 230.8L163.2 252.8c-14.34-9.264-34.73-7.279-47.06 5.109c-12.7 12.75-14.42 32.5-5.109 47.14l-100 100.3c-14.69 14.73-14.69 38.72 0 53.45l42.02 42.12C60.17 508.1 69.65 512 79.73 512c0 0-.0156 0 0 0c10.06 0 19.54-3.938 26.63-11.06l110.9-110.2c4.297-4.281 6.75-10.2 6.75-16.23V246.9C223.1 237.6 218.4 229.3 209.8 225.8zM207.1 374.5c0 1.797-.7656 3.625-2.047 4.906l-110.9 110.2c-8.188 8.217-22.48 8.232-30.67-.0156l-42.02-42.12c-8.484-8.498-8.484-22.33 0-30.82l110.6-110.9L127.4 300.1C119 291.5 119.1 277.7 127.5 269.2C131.6 265.1 137.1 262.8 142.9 262.8S154.1 265.1 158.2 269.2l5.703 5.717l32.36-32.89C199.2 239 202.7 240.2 203.7 240.6c1 .4062 4.281 2.078 4.281 6.359V374.5zM169 20.01l182.2 167.5c3.266 3 8.328 2.812 11.3-.4844c2.984-3.25 2.781-8.312-.4844-11.29l-182.2-167.5C167.6-3.053 148.8-2.693 137 9.055C125.3 20.8 124.9 39.62 136.2 51.87l214.6 233.6c1.578 1.719 3.734 2.594 5.891 2.594c1.938 0 3.877-.7031 5.408-2.109c3.266-2.984 3.469-8.047 .4844-11.3L147.1 41.05C142.5 35.12 142.7 26.02 148.3 20.37C153.1 14.73 163.1 14.57 169 20.01zM292.8 261.1L250.1 307.9C247.1 311.1 247.3 316.2 250.6 319.2c1.547 1.406 3.469 2.094 5.406 2.094c2.172 0 4.328-.875 5.906-2.594l42.75-46.73c2.984-3.266 2.75-8.328-.5-11.31C300.9 257.6 295.8 257.9 292.8 261.1z"],
    "symbols": [512, 512, [128291, "icons-alt"], "f86e", "M216 0C220.4 0 224 3.582 224 8C224 12.42 220.4 16 216 16H8C3.582 16 0 12.42 0 8C0 3.582 3.582 0 8 0H216zM216 80C220.4 80 224 83.58 224 88C224 92.42 220.4 96 216 96H120V216C120 220.4 116.4 224 112 224C107.6 224 104 220.4 104 216V96H8C3.582 96 0 92.42 0 88C0 83.58 3.582 80 8 80H216zM496 27.52C496 22.47 491.4 18.68 486.4 19.67L358.4 45.27C354.7 46.02 352 49.3 352 53.12V207.1C352 234.5 323.3 256 288 256C252.7 256 224 234.5 224 208C224 181.5 252.7 160 288 160C307.1 160 324.3 166.3 336 176.3V53.12C336 41.68 344.1 31.83 355.3 29.58L483.3 3.982C498.1 1.012 512 12.37 512 27.52V175.1C512 202.5 483.3 224 448 224C412.7 224 384 202.5 384 176C384 149.5 412.7 128 448 128C467.1 128 484.3 134.3 496 144.3V27.52zM288 176C273.5 176 260.9 180.4 252.3 186.9C243.8 193.3 240 200.9 240 208C240 215.1 243.8 222.7 252.3 229.1C260.9 235.6 273.5 240 288 240C302.5 240 315.1 235.6 323.7 229.1C332.2 222.7 336 215.1 336 207.1C336 200.9 332.2 193.3 323.7 186.9C315.1 180.4 302.5 176 288 176zM448 144C433.5 144 420.9 148.4 412.3 154.9C403.8 161.3 400 168.9 400 176C400 183.1 403.8 190.7 412.3 197.1C420.9 203.6 433.5 208 448 208C462.5 208 475.1 203.6 483.7 197.1C492.2 190.7 496 183.1 496 175.1C496 168.9 492.2 161.3 483.7 154.9C475.1 148.4 462.5 144 448 144zM288 328C288 305.9 305.9 288 328 288C350.1 288 368 305.9 368 328C368 350.1 350.1 368 328 368C305.9 368 288 350.1 288 328zM328 352C341.3 352 352 341.3 352 328C352 314.7 341.3 304 328 304C314.7 304 304 314.7 304 328C304 341.3 314.7 352 328 352zM509.7 290.3C512.8 293.5 512.8 298.5 509.7 301.7L301.7 509.7C298.5 512.8 293.5 512.8 290.3 509.7C287.2 506.5 287.2 501.5 290.3 498.3L498.3 290.3C501.5 287.2 506.5 287.2 509.7 290.3zM512 472C512 494.1 494.1 512 472 512C449.9 512 432 494.1 432 472C432 449.9 449.9 432 472 432C494.1 432 512 449.9 512 472zM472 448C458.7 448 448 458.7 448 472C448 485.3 458.7 496 472 496C485.3 496 496 485.3 496 472C496 458.7 485.3 448 472 448zM82.75 256C112.2 256 136 279.8 136 309.3C136 323.4 130.4 336.9 120.4 346.9L91.31 376L148.6 433.3L202.7 385.1C206.1 383.1 211.1 383.4 214 386.7C216.9 390.1 216.6 395.1 213.3 398L159.1 444.7L213.7 498.3C216.8 501.5 216.8 506.5 213.7 509.7C210.5 512.8 205.5 512.8 202.3 509.7L147.9 455.2L98.42 498.5C88.48 507.2 75.73 512 62.52 512H61.26C31.84 512 8 488.2 8 458.7C8 444.6 13.61 431.1 23.6 421.1L68.69 376L39.6 346.9C29.61 336.9 24 323.4 24 309.3C24 279.8 47.84 255.1 77.26 255.1L82.75 256zM120 309.3C120 288.7 103.3 272 82.75 272H77.26C56.68 272 40 288.7 40 309.3C40 319.1 43.93 328.6 50.91 335.6L80 364.7L109.1 335.6C116.1 328.6 120 319.1 120 309.3H120zM24 458.7C24 479.3 40.68 496 61.25 496H62.52C71.85 496 80.86 492.6 87.89 486.5L136.6 443.9L80 387.3L34.91 432.4C27.93 439.4 24 448.9 24 458.7V458.7z"],
    "synagogue": [640, 512, [128333], "f69b", "M236.5 155.1C231.9 147.1 237.7 138 246.9 138H286.8L309.6 98.11C314.2 90.05 325.8 90.05 330.4 98.11L353.2 138H393.1C402.3 138 408.1 147.1 403.5 155.1L383.5 191L403.5 226C408.1 234 402.3 244 393.1 244H353.2L330.4 283.9C325.8 291.1 314.2 291.1 309.6 283.9L286.8 244H246.9C237.7 244 231.9 234 236.5 226L256.5 191L236.5 155.1zM265.7 207.1L253.8 228H277.6L265.7 207.1zM343.9 228L365.1 191L343.9 154H296.1L274.9 191L296.1 228H343.9zM305.2 244L320 269.9L334.8 244H305.2zM362.4 228H386.2L374.3 207.1L362.4 228zM374.3 174.9L386.2 154H362.4L374.3 174.9zM334.8 138L320 112.1L305.2 138H334.8zM253.8 154L265.7 174.9L277.6 154H253.8zM452.6 102.5C469.9 116.2 480 136.1 480 159V284.7L546.3 218.3C549.5 215.2 554.5 215.2 557.7 218.3L628.3 288.1C635.8 296.5 640 306.6 640 317.3V472C640 494.1 622.1 512 600 512H40C17.91 512 0 494.1 0 472V317.3C0 306.6 4.214 296.5 11.72 288.1L82.34 218.3C85.47 215.2 90.53 215.2 93.66 218.3L160 284.7V159C160 136.1 170.1 116.2 187.4 102.5L315 1.721C317.9-.5737 322.1-.5737 324.1 1.721L452.6 102.5zM480 317.3V496H600C613.3 496 624 485.3 624 472V317.3C624 310.9 621.5 304.8 616.1 300.3L552 235.3L487 300.3C482.5 304.8 480 310.9 480 317.3zM464 159C464 141.9 456.2 125.7 442.7 115.1L320 18.19L197.3 115.1C183.8 125.7 176 141.9 176 159V496H256V384C256 348.7 284.7 320 320 320C355.3 320 384 348.7 384 384V496H464V159zM368 496V384C368 357.5 346.5 336 320 336C293.5 336 272 357.5 272 384V496H368zM160 496V317.3C160 310.9 157.5 304.8 152.1 300.3L88 235.3L23.03 300.3C18.53 304.8 16 310.9 16 317.3V472C16 485.3 26.75 496 40 496H160z"],
    "syringe": [512, 512, [128137], "f48e", "M509.7 98.34l-96-95.1c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31L444.7 56L384 116.7l-82.34-82.34c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31l176 175.1c3.127 3.127 8.186 3.127 11.31 0c3.125-3.125 3.125-8.188 0-11.31L395.3 127.1L456 67.31l42.34 42.34c3.127 3.127 8.186 3.127 11.31 0C512.8 106.5 512.8 101.5 509.7 98.34zM409.1 217.1l-205.2 205.2c-14.39 14.48-34.53 21.41-54.81 19.3L78.5 433.5l-8.953-71.58c-2.219-20.48 4.812-40.47 19.3-54.84L128.3 267.6l58.04 58.04c3.127 3.127 8.186 3.127 11.31 0c3.125-3.125 3.125-8.188 0-11.31L139.6 256.3L192.3 203.6l58.07 58.07c3.127 3.127 8.186 3.127 11.31 0c3.125-3.125 3.125-8.188 0-11.31L203.6 192.3l90.32-90.38c3.125-3.125 3.125-8.188 0-11.31s-8.188-3.125-11.31 0L77.55 295.8c-17.94 17.8-26.66 42.55-23.89 68.02l9.246 74l-60.56 60.56c-3.125 3.125-3.125 8.188 0 11.31c3.127 3.127 8.186 3.127 11.31 0l60.56-60.56l73.91 9.297c24.38 2.709 49.57-5.35 68-23.89l205.2-205.2c3.125-3.125 3.125-8.188 0-11.31S413.1 214.9 409.1 217.1z"],
    "t": [384, 512, [116], "54", "M384 40c0 4.406-3.578 8-8 8h-176v424c0 4.406-3.578 8.006-8 8.006S184 476.4 184 472V48h-176C3.578 48 0 44.41 0 40S3.578 32 8 32h368C380.4 32 384 35.59 384 40z"],
    "table": [512, 512, [], "f0ce", "M0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM16 96V160H496V96C496 69.49 474.5 48 448 48H64C37.49 48 16 69.49 16 96V96zM248 176H16V304H248V176zM264 176V304H496V176H264zM248 320H16V416C16 442.5 37.49 464 64 464H248V320zM448 464C474.5 464 496 442.5 496 416V320H264V464H448z"],
    "table-cells": [512, 512, ["th"], "f00a", "M0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM352 176H496V96C496 69.49 474.5 48 448 48H352V176zM336 48H176V176H336V48zM160 48H64C37.49 48 16 69.49 16 96V176H160V48zM16 192V320H160V192H16zM16 336V416C16 442.5 37.49 464 64 464H160V336H16zM176 464H336V336H176V464zM352 464H448C474.5 464 496 442.5 496 416V336H352V464zM496 320V192H352V320H496zM336 320V192H176V320H336z"],
    "table-cells-large": [512, 512, ["th-large"], "f009", "M0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM264 248H496V96C496 69.49 474.5 48 448 48H264V248zM248 48H64C37.49 48 16 69.49 16 96V248H248V48zM16 264V416C16 442.5 37.49 464 64 464H248V264H16zM264 464H448C474.5 464 496 442.5 496 416V264H264V464z"],
    "table-columns": [512, 512, ["columns"], "f0db", "M0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM16 96V160H496V96C496 69.49 474.5 48 448 48H64C37.49 48 16 69.49 16 96V96zM64 464H248V176H16V416C16 442.5 37.49 464 64 464zM264 464H448C474.5 464 496 442.5 496 416V176H264V464z"],
    "table-layout": [512, 512, [], "e290", "M0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM16 96V160H496V96C496 69.49 474.5 48 448 48H64C37.49 48 16 69.49 16 96V96zM64 464H144V176H16V416C16 442.5 37.49 464 64 464zM160 464H448C474.5 464 496 442.5 496 416V176H160V464z"],
    "table-list": [512, 512, ["th-list"], "f00b", "M0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM160 176H496V96C496 69.49 474.5 48 448 48H160V176zM144 48H64C37.49 48 16 69.49 16 96V176H144V48zM16 192V320H144V192H16zM16 336V416C16 442.5 37.49 464 64 464H144V336H16zM160 464H448C474.5 464 496 442.5 496 416V336H160V464zM496 320V192H160V320H496z"],
    "table-picnic": [512, 512, [], "e32d", "M427.2 320c-5.666 0-9.539 5.721-7.436 10.98l44.79 111.1C465.8 446.1 468.8 448 472 448c1 0 1.1-.1875 2.969-.5625c4.094-1.656 6.094-6.312 4.469-10.41l-44.8-111.1C433.4 321.1 430.5 320 427.2 320zM84.8 320c-3.275 0-6.219 1.992-7.436 5.033l-44.8 111.1c-1.625 4.094 .375 8.75 4.469 10.41C37.1 447.8 39 448 40 448c3.188 0 6.188-1.906 7.438-5.031l44.79-111.1C94.34 325.7 90.46 320 84.8 320zM480 224h-85.75l-38.42-96H416c17.67 0 32-14.33 32-32c0-17.67-14.33-32-32-32H96C78.33 64 64 78.33 64 96c0 17.67 14.33 32 32 32h60.18L117.8 224H32C14.33 224 0 238.3 0 256c0 17.67 14.33 32 32 32h448c17.67 0 32-14.33 32-32C512 238.3 497.7 224 480 224zM96 112C87.18 112 80 104.8 80 96S87.18 80 96 80h320c8.822 0 16 7.178 16 16S424.8 112 416 112H96zM173.4 128h165.1l38.4 96H135L173.4 128zM480 272H32C23.18 272 16 264.8 16 256S23.18 240 32 240h448c8.822 0 16 7.178 16 16S488.8 272 480 272z"],
    "table-pivot": [512, 512, [], "e291", "M445.7 285.7C442.5 288.8 437.5 288.8 434.3 285.7L408 259.3V336C408 358.1 390.1 376 368 376H291.3L317.7 402.3C320.8 405.5 320.8 410.5 317.7 413.7C314.5 416.8 309.5 416.8 306.3 413.7L266.3 373.7C263.2 370.5 263.2 365.5 266.3 362.3L306.3 322.3C309.5 319.2 314.5 319.2 317.7 322.3C320.8 325.5 320.8 330.5 317.7 333.7L291.3 360H368C381.3 360 392 349.3 392 336V259.3L365.7 285.7C362.5 288.8 357.5 288.8 354.3 285.7C351.2 282.5 351.2 277.5 354.3 274.3L394.3 234.3C397.5 231.2 402.5 231.2 405.7 234.3L445.7 274.3C448.8 277.5 448.8 282.5 445.7 285.7L445.7 285.7zM0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM16 96V160H128V48H64C37.49 48 16 69.49 16 96zM16 176V416C16 442.5 37.49 464 64 464H128V176H16zM144 176V464H448C474.5 464 496 442.5 496 416V176H144zM496 160V96C496 69.49 474.5 48 448 48H144V160H496z"],
    "table-rows": [512, 512, ["rows"], "e292", "M0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM16 96V416C16 442.5 37.49 464 64 464H128V48H64C37.49 48 16 69.49 16 96zM496 416V264H144V464H448C474.5 464 496 442.5 496 416zM496 248V96C496 69.49 474.5 48 448 48H144V248H496z"],
    "table-tennis-paddle-ball": [512, 512, [127955, "ping-pong-paddle-ball", "table-tennis"], "f45d", "M415.1 320c-52.99 0-95.99 42.1-95.99 95.1c0 52.1 42.99 95.99 95.99 95.99c52.1 0 95.99-42.1 95.99-95.99C511.1 363 468.1 320 415.1 320zM416 495.1c-44.11 0-79.99-35.89-79.99-79.1c0-44.11 35.88-79.1 79.99-79.1S496 371.9 496 415.1C496 460.1 460.1 495.1 416 495.1zM310.5 472.8c-3.66 .5332-7.379 .8262-11.15 .8262c-21.37 0-41.46-8.32-56.57-23.43l-54.96-54.95c-8.463-8.463-19.31-3.807-23.31 .7266l-83.23 94.28c-5.662 6.48-16.38 8.146-23.24 1.334l-37.7-37.69c-7.846-7.896-3.936-18.63 1.396-23.29l94.23-83.17c4.793-4.227 9.043-14.1 .7285-23.31l-54.96-54.95c-31.24-31.24-31.24-81.88 0-113.1l9.512-9.51L292.7 368c3.125 3.123 8.189 3.123 11.31 0c3.125-3.125 3.125-8.189 0-11.31L82.61 135.3l55.3-55.29C176 41.89 226.8 17.1 280.6 16.13c58.34-2.025 113.5 19.75 154.5 60.79c59.6 59.59 75.33 146.6 47.33 220.8c-3.52 9.318 11.39 15.09 14.88 5.922c30.37-79.91 13.47-173.6-50.91-238C402.7 21.88 345.4 0 288.1 0C230.7 0 173.4 21.87 129.7 65.6L50.49 144.8c-37.49 37.49-37.49 98.26 0 135.7l54.94 54.95l-94.18 83.13c-14.01 12.24-15.04 33.68-2.188 46.6l37.74 37.74C52.9 509 60.79 512 68.79 512c8.996 0 18.09-3.738 24.57-11.15l83.2-94.25l54.94 54.94c18.75 18.74 43.32 28.12 67.89 28.12c4.771 0 9.516-.4863 14.22-1.301C323.2 486.7 320.5 471.4 310.5 472.8z"],
    "table-tree": [512, 512, [], "e293", "M224 280C224 275.6 227.6 272 232 272H408C412.4 272 416 275.6 416 280C416 284.4 412.4 288 408 288H232C227.6 288 224 284.4 224 280zM408 368C412.4 368 416 371.6 416 376C416 380.4 412.4 384 408 384H296C291.6 384 288 380.4 288 376C288 371.6 291.6 368 296 368H408zM0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM16 96V160H496V96C496 69.49 474.5 48 448 48H64C37.49 48 16 69.49 16 96zM16 176V416C16 442.5 37.49 464 64 464H448C474.5 464 496 442.5 496 416V176H112V248C112 261.3 122.7 272 136 272H184C188.4 272 192 275.6 192 280C192 284.4 188.4 288 184 288H136C126.1 288 118.7 285 112 280V344C112 357.3 122.7 368 136 368H248C252.4 368 256 371.6 256 376C256 380.4 252.4 384 248 384H136C113.9 384 96 366.1 96 344V176H16z"],
    "tablet": [448, 512, ["tablet-android"], "f3fb", "M48 512h352c26.5 0 48-21.5 48-48v-416C448 21.5 426.5 0 400 0h-352C21.5 0 0 21.5 0 48v416C0 490.5 21.5 512 48 512zM16 48c0-17.64 14.36-32 32-32h352c17.64 0 32 14.36 32 32v416c0 17.64-14.36 32-32 32h-352c-17.64 0-32-14.36-32-32V48zM176 456h96c4.406 0 8-3.578 8-8s-3.594-8-8-8h-96c-4.406 0-8 3.578-8 8S171.6 456 176 456z"],
    "tablet-button": [448, 512, [], "f10a", "M400 0h-352C21.5 0 0 21.5 0 48v416C0 490.5 21.5 512 48 512h352c26.5 0 48-21.5 48-48v-416C448 21.5 426.5 0 400 0zM432 464c0 17.64-14.36 32-32 32h-352c-17.64 0-32-14.36-32-32v-416c0-17.64 14.36-32 32-32h352c17.64 0 32 14.36 32 32V464zM224 400c-17.67 0-32 14.33-32 32s14.33 32 32 32c17.67 0 32-14.33 32-32S241.7 400 224 400zM224 448c-8.822 0-16-7.176-16-16S215.2 416 224 416s16 7.176 16 16S232.8 448 224 448z"],
    "tablet-rugged": [448, 512, [], "f48f", "M320 64H128C110.4 64 96 78.4 96 96v320c0 17.6 14.4 32 32 32h192c17.6 0 32-14.4 32-32V96C352 78.4 337.6 64 320 64zM336 416c0 8.822-7.178 16-16 16H128c-8.822 0-16-7.178-16-16V96c0-8.822 7.178-16 16-16h192c8.822 0 16 7.178 16 16V416zM439.3 164.4c5.375-2.625 8.75-8.125 8.75-14.25v-76.25c0-6.125-3.375-11.63-8.75-14.25l-23.25-11.62c0-26.5-21.5-48-47.1-48h-288c-26.5 0-48 21.5-48 48L8.799 59.63C3.424 62.25 .0492 67.75 .0492 73.88v76.25c0 6.125 3.375 11.63 8.75 14.25l23.25 11.62v16L8.799 203.6C3.424 206.3 .0492 211.8 .0492 217.9v76.25c0 6.125 3.375 11.62 8.75 14.25l23.25 11.62v16l-23.25 11.62C3.424 350.3 .0492 355.8 .0492 361.9v76.25c0 6.125 3.375 11.62 8.75 14.25l23.25 11.62c0 26.5 21.5 48 48 48h288c26.5 0 47.1-21.5 47.1-48l23.25-11.62c5.375-2.625 8.75-8.125 8.75-14.25v-76.25c0-6.125-3.375-11.62-8.75-14.25l-23.25-11.62v-16l23.25-11.62c5.375-2.625 8.75-8.125 8.75-14.25V217.9c0-6.125-3.375-11.63-8.75-14.25l-23.25-11.62v-16L439.3 164.4zM432 217.9l.0938 76.19L400 310.1v35.78l32 15.99l.0938 76.19L400 454.1V464c0 17.64-14.36 32-32 32h-288c-17.64 0-32-14.36-32-32v-9.889l-32-15.99l-.0938-76.19L48 345.9V310.1l-32-15.99L15.91 217.9L48 201.9V166.1l-32-15.99L15.91 73.94L48 57.89V48c0-17.64 14.36-32 32-32h288c17.64 0 32 14.36 32 32v9.889l32 15.99l.0938 76.19L400 166.1v35.78L432 217.9z"],
    "tablet-screen": [448, 512, ["tablet-android-alt"], "f3fc", "M176 456h96c4.406 0 8-3.578 8-8s-3.594-8-8-8h-96c-4.406 0-8 3.578-8 8S171.6 456 176 456zM400 0h-352C21.5 0 0 21.5 0 48v416C0 490.5 21.5 512 48 512h352c26.5 0 48-21.5 48-48v-416C448 21.5 426.5 0 400 0zM432 464c0 17.64-14.36 32-32 32h-352c-17.64 0-32-14.36-32-32v-64h416V464zM432 384h-416V48c0-17.64 14.36-32 32-32h352c17.64 0 32 14.36 32 32V384z"],
    "tablet-screen-button": [448, 512, ["tablet-alt"], "f3fa", "M400 0h-352C21.5 0 0 21.5 0 48v416C0 490.5 21.5 512 48 512h352c26.5 0 48-21.5 48-48v-416C448 21.5 426.5 0 400 0zM432 464c0 17.64-14.36 32-32 32h-352c-17.64 0-32-14.36-32-32v-96h416V464zM432 352h-416V48c0-17.64 14.36-32 32-32h352c17.64 0 32 14.36 32 32V352zM224 464c17.67 0 32-14.33 32-32s-14.33-32-32-32c-17.67 0-32 14.33-32 32S206.3 464 224 464zM224 416c8.822 0 16 7.176 16 15.1S232.8 448 224 448s-16-7.176-16-16S215.2 416 224 416z"],
    "tablets": [640, 512, [], "f490", "M159.1 191.1C71.62 191.1 0 263.6 0 351.1S71.62 512 159.1 512S320 440.4 320 351.1S248.3 191.1 159.1 191.1zM160 496c-76.66 0-138.9-60.38-143.2-136h286.4C298.9 435.6 236.7 496 160 496zM16.81 344C21.05 268.4 83.34 208 160 208s138.9 60.38 143.2 136H16.81zM593.1 46.85c-62.48-62.48-163.8-62.48-226.3 0c-62.48 62.48-62.48 163.9 0 226.3c62.48 62.48 163.8 62.48 226.3 0C655.6 210.7 655.6 109.3 593.1 46.85zM378.2 261.8c-54.21-54.21-55.55-140.9-5.086-197.4l202.5 202.5C519.1 317.4 432.4 316 378.2 261.8zM586.9 255.6l-202.5-202.5c56.47-50.47 143.2-49.13 197.4 5.084C636 112.4 637.4 199.1 586.9 255.6z"],
    "tachograph-digital": [640, 512, ["digital-tachograph"], "f566", "M576 64H64C28.8 64 0 92.8 0 128v256c0 35.2 28.8 64 64 64h512c35.2 0 64-28.8 64-64V128C640 92.8 611.2 64 576 64zM624 384c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V128c0-26.47 21.53-48 48-48h512c26.47 0 48 21.53 48 48V384zM72 320h16C92.38 320 96 316.4 96 312v-16C96 291.6 92.38 288 88 288h-16C67.63 288 64 291.6 64 296v16C64 316.4 67.63 320 72 320zM152 320C156.4 320 160 316.4 160 312v-16C160 291.6 156.4 288 152 288h-16C131.6 288 128 291.6 128 296v16C128 316.4 131.6 320 136 320H152zM216 320C220.4 320 224 316.4 224 312v-16C224 291.6 220.4 288 216 288h-16C195.6 288 192 291.6 192 296v16C192 316.4 195.6 320 200 320H216zM280 320C284.4 320 288 316.4 288 312v-16C288 291.6 284.4 288 280 288h-16C259.6 288 256 291.6 256 296v16C256 316.4 259.6 320 264 320H280zM344 288h-16C323.6 288 320 291.6 320 296v16C320 316.4 323.6 320 328 320h16C348.4 320 352 316.4 352 312v-16C352 291.6 348.4 288 344 288zM320 128H96C78.33 128 64 142.3 64 160v64c0 17.67 14.33 32 32 32h224c17.67 0 32-14.33 32-32V160C352 142.3 337.7 128 320 128zM336 224c0 8.822-7.178 16-16 16H96C87.18 240 80 232.8 80 224V160c0-8.822 7.178-16 16-16h224c8.822 0 16 7.178 16 16V224zM344 368h-272C67.58 368 64 371.6 64 376S67.58 384 72 384h272c4.422 0 8-3.594 8-8S348.4 368 344 368zM568 368h-176c-4.422 0-8 3.594-8 8S387.6 384 392 384h176c4.422 0 8-3.594 8-8S572.4 368 568 368z"],
    "taco": [512, 512, [127790], "f826", "M255.1 191.1c-130.1 0-237.9 107.3-255.7 247.1C-2.432 460.6 12.95 480 32.45 480h447c19.5 0 35-19.37 32.13-40.88C493.9 299.3 386.1 191.1 255.1 191.1zM490.8 458.4c-1.814 2.073-5.689 5.549-11.28 5.549H32.45c-5.527 0-9.369-3.427-11.17-5.471c-4.058-4.613-5.914-10.95-5.09-17.4c16.88-132.1 119.1-233.2 239.8-233.2c119.8 0 222.9 100.2 239.8 233.3C496.6 447.6 494.8 453.8 490.8 458.4zM111.1 383.1c-8.875 0-15.1 7.121-15.1 15.1c0 8.878 7.125 16 15.1 16s15.1-7.124 15.1-16C127.1 391.1 120.9 383.1 111.1 383.1zM175.1 319.1c-8.875 0-15.1 7.119-15.1 15.1c0 8.878 7.125 16 15.1 16c8.875 0 15.1-7.124 15.1-16C191.1 327.1 184.9 319.1 175.1 319.1zM5.624 281.6l2.25 2.251c.4844 1.876 .9062 3.767 1.297 5.674c.9062 4.33 5.203 7.159 9.437 6.252c3.984-.8128 6.672-4.47 6.39-8.425h.75L22.69 277.1C18.08 261.6 12.86 244 18.56 228.1C24.42 213.2 39.36 204.4 54.08 195.8C64.06 189.1 74.39 183.1 79.61 176.5c5.469-7.753 8.094-19.79 10.75-32.06c3.75-17.01 7.64-34.58 20.03-44.42c12.87-10.22 30.11-9.003 46.81-7.847c11.31 .7346 22.95 1.563 31.62-1.438C196.7 87.84 204.1 80.26 213.8 72.1c42.31-39.44 58.15-24.57 84.4-.0313c8.187 7.706 16.67 15.66 24.1 18.66c8.593 3.126 20.8 2.298 31.51 1.547c16.78-1.172 34.08-2.36 46.8 7.737c12.66 10.05 16.58 28.34 20.06 44.5c2.578 11.89 5.25 24.2 10.83 31.96c5.125 7.315 15.08 13.21 25.55 19.41c13.84 8.05 29.55 17.16 35.53 33.12c5.515 14.51 .7969 31.4-3.75 46.69l-.5938 1.923c-.7812 2.907-1.484 5.815-2.062 8.738c-.8593 4.33 1.953 8.55 6.281 9.41c.5313 .1094 1.047 .1563 1.578 .1563c3.734 0 7.078-2.642 7.828-6.44c.4062-2.016 .875-4.017 1.375-6.018l.8281-2.829c5.016-16.87 10.95-37.64 3.484-57.29c-7.969-21.27-27.09-32.39-43.17-41.72c-7.797-4.627-16.64-9.863-19.83-14.41c-3.687-5.158-6.219-16.77-8.234-26.1c-3.844-17.82-8.692-39.92-25.83-53.55C393.8 73.61 371.6 75.09 353.6 76.31c-8.672 .6096-19.48 1.391-24.95-.6252c-5.25-1.891-12.83-9.003-19.52-15.29c-31.08-29.06-56.89-46.06-107.1 .7659c-6.484 5.971-13.83 12.74-18.61 14.49c-5.469 1.907-15.92 1.204-25.16 .5471C140.4 74.91 118.3 73.49 100.5 87.57C83.68 100.1 78.68 123.1 74.59 141.7c-2.094 9.613-4.453 20.51-8.078 25.63C63.29 171.9 54.12 177.2 45.69 182.2C30.42 191.1 11.42 202.3 3.577 223.3C-3.625 242.4 1.671 262.4 6.593 279.1L5.624 281.6z"],
    "tag": [448, 512, [127991], "f02b", "M72 144C72 121.9 89.91 104 112 104C134.1 104 152 121.9 152 144C152 166.1 134.1 184 112 184C89.91 184 72 166.1 72 144zM112 120C98.75 120 88 130.7 88 144C88 157.3 98.75 168 112 168C125.3 168 136 157.3 136 144C136 130.7 125.3 120 112 120zM.0003 229.5V80C.0003 53.49 21.49 32 48 32H197.5C214.5 32 230.7 38.74 242.7 50.75L418.7 226.7C443.7 251.7 443.7 292.3 418.7 317.3L285.3 450.7C260.3 475.7 219.7 475.7 194.7 450.7L18.75 274.7C6.743 262.7 0 246.5 0 229.5L.0003 229.5zM30.06 263.4L206.1 439.4C224.8 458.2 255.2 458.2 273.9 439.4L407.4 305.9C426.2 287.2 426.2 256.8 407.4 238.1L231.4 62.06C222.4 53.06 210.2 48 197.5 48H48C30.33 48 16 62.33 16 80V229.5C16 242.2 21.06 254.4 30.06 263.4V263.4z"],
    "tags": [512, 512, [], "f02c", "M322.3 34.31C325.4 31.21 330.5 31.23 333.6 34.37L477.3 179.6C523.6 226.4 523.6 301.6 477.3 348.4L349.5 477.6C346.3 480.8 341.3 480.8 338.1 477.7C335 474.6 334.1 469.5 338.1 466.4L465.1 337.2C506.1 296.6 506.1 231.4 465.1 190.8L322.2 45.63C319.1 42.49 319.2 37.42 322.3 34.31V34.31zM72 144C72 121.9 89.91 104 112 104C134.1 104 152 121.9 152 144C152 166.1 134.1 184 112 184C89.91 184 72 166.1 72 144zM112 168C125.3 168 136 157.3 136 144C136 130.7 125.3 120 112 120C98.75 120 88 130.7 88 144C88 157.3 98.75 168 112 168zM48 32H197.5C214.5 32 230.7 38.74 242.7 50.75L410.7 218.7C435.7 243.7 435.7 284.3 410.7 309.3L277.3 442.7C252.3 467.7 211.7 467.7 186.7 442.7L18.75 274.7C6.743 262.7 0 246.5 0 229.5V80C0 53.49 21.49 32 48 32L48 32zM16 80V229.5C16 242.2 21.06 254.4 30.06 263.4L198.1 431.4C216.8 450.2 247.2 450.2 265.9 431.4L399.4 297.9C418.2 279.2 418.2 248.8 399.4 230.1L231.4 62.06C222.4 53.06 210.2 48 197.5 48H48C30.33 48 16 62.33 16 80V80z"],
    "tally": [640, 512, ["tally-5"], "f69c", "M127.1 32C132.4 32 135.1 35.58 135.1 40V308.9L247.1 271.6V40C247.1 35.58 251.6 32 255.1 32C260.4 32 263.1 35.58 263.1 40V266.2L376 228.9V40C376 35.58 379.6 32 384 32C388.4 32 392 35.58 392 40V223.6L504 186.2V40C504 35.58 507.6 32 512 32C516.4 32 520 35.58 520 40V180.9L605.5 152.4C609.7 151 614.2 153.3 615.6 157.5C616.1 161.7 614.7 166.2 610.5 167.6L520 197.8V472C520 476.4 516.4 480 512 480C507.6 480 504 476.4 504 472V203.1L392 240.4V472C392 476.4 388.4 480 384 480C379.6 480 376 476.4 376 472V245.8L263.1 283.1V472C263.1 476.4 260.4 480 255.1 480C251.6 480 247.1 476.4 247.1 472V288.4L135.1 325.8V472C135.1 476.4 132.4 480 127.1 480C123.6 480 119.1 476.4 119.1 472V331.1L34.53 359.6C30.34 360.1 25.81 358.7 24.41 354.5C23.01 350.3 25.28 345.8 29.47 344.4L119.1 314.2V40C119.1 35.58 123.6 32 127.1 32H127.1z"],
    "tally-1": [448, 512, [], "e294", "M31.1 32C36.42 32 39.1 35.58 39.1 40V472C39.1 476.4 36.42 480 31.1 480C27.58 480 23.1 476.4 23.1 472V40C23.1 35.58 27.58 32 31.1 32V32z"],
    "tally-2": [448, 512, [], "e295", "M39.1 472C39.1 476.4 36.42 480 31.1 480C27.58 480 23.1 476.4 23.1 472V40C23.1 35.58 27.58 32 31.1 32C36.42 32 39.1 35.58 39.1 40V472zM167.1 472C167.1 476.4 164.4 480 159.1 480C155.6 480 151.1 476.4 151.1 472V40C151.1 35.58 155.6 32 159.1 32C164.4 32 167.1 35.58 167.1 40V472z"],
    "tally-3": [448, 512, [], "e296", "M31.1 32C36.42 32 39.1 35.58 39.1 40V472C39.1 476.4 36.42 480 31.1 480C27.58 480 23.1 476.4 23.1 472V40C23.1 35.58 27.58 32 31.1 32V32zM159.1 32C164.4 32 167.1 35.58 167.1 40V472C167.1 476.4 164.4 480 159.1 480C155.6 480 151.1 476.4 151.1 472V40C151.1 35.58 155.6 32 159.1 32V32zM296 472C296 476.4 292.4 480 288 480C283.6 480 280 476.4 280 472V40C280 35.58 283.6 32 288 32C292.4 32 296 35.58 296 40V472z"],
    "tally-4": [448, 512, [], "e297", "M39.1 472C39.1 476.4 36.42 480 31.1 480C27.58 480 23.1 476.4 23.1 472V40C23.1 35.58 27.58 32 31.1 32C36.42 32 39.1 35.58 39.1 40V472zM167.1 472C167.1 476.4 164.4 480 159.1 480C155.6 480 151.1 476.4 151.1 472V40C151.1 35.58 155.6 32 159.1 32C164.4 32 167.1 35.58 167.1 40V472zM288 32C292.4 32 296 35.58 296 40V472C296 476.4 292.4 480 288 480C283.6 480 280 476.4 280 472V40C280 35.58 283.6 32 288 32zM424 472C424 476.4 420.4 480 416 480C411.6 480 408 476.4 408 472V40C408 35.58 411.6 32 416 32C420.4 32 424 35.58 424 40V472z"],
    "tamale": [320, 512, [129748], "e451", "M312 264C312 259.6 308.4 256 304 256h-288C11.59 256 8 259.6 8 264S11.59 272 16 272h127.3l-53.6 67C87 342.5 87.56 347.5 91 350.3C92.47 351.4 94.25 352 96 352c2.344 0 4.656-1.031 6.25-3L160 276.8l57.75 72.19C219.3 350.1 221.7 352 224 352c1.75 0 3.531-.5781 5-1.75c3.438-2.766 4-7.797 1.25-11.25L176.7 272H304C308.4 272 312 268.4 312 264zM37.12 214.1L16.04 63.15C17.63 43.61 73.37 16 160 16s142.4 27.61 143.1 47.15L282.9 214.1C282.2 219.7 285.9 224 290.7 224h.1129c3.965 0 7.323-2.924 7.869-6.852L320 64c0-35.35-71.63-64-160-64S0 28.65 0 64l21.27 153.1C21.82 221.1 25.17 224 29.14 224h.111C34.07 224 37.78 219.7 37.12 214.1zM232 432.6C232.4 436.8 235.9 440 240 440c.2187 0 .4375-.0156 .6562-.0313c4.406-.3594 7.688-4.219 7.312-8.609l-3.46-42.38c-.4023-4.927-5.179-8.286-9.933-6.93c-.0527 .015-.1054 .0299-.1582 .0447c-3.662 1.027-6.123 4.419-5.816 8.21L232 432.6zM153.8 335.8C152.6 337.3 152 339 152 340.8V440C152 444.4 155.6 448 160 448s8-3.578 8-8v-99.16c0-1.817-.6183-3.579-1.753-4.998l0 0C163 331.8 156.1 331.8 153.8 335.8L153.8 335.8zM240.8 72.05c-4.281-.3438-8.312 2.734-8.781 7.125l-13.96 136.1C217.6 219.9 221.3 224 225.1 224h.0016c4.071 0 7.483-3.077 7.902-7.126l14.09-136C248.4 76.42 245.2 72.5 240.8 72.05zM285.1 312.1l18.87 135.9C302.4 468.4 246.6 496 160 496s-142.4-27.61-143.1-47.15l18.87-135.9C35.56 308.2 31.87 304 27.08 304H26.88C22.94 304 19.6 306.9 19.05 310.8L0 448c0 35.35 71.63 64 160 64s160-28.65 160-64l-19.05-137.2C300.4 306.9 297.1 304 293.1 304h-.2005C288.1 304 284.4 308.2 285.1 312.1zM160 64C155.6 64 152 67.58 152 72v144.1C152 220.4 155.6 224 159.9 224h.1111C164.4 224 168 220.4 168 216.1V72C168 67.58 164.4 64 160 64zM72.03 431.4c-.375 4.391 2.906 8.25 7.312 8.609C79.56 439.1 79.78 440 80 440c4.125 0 7.625-3.172 7.969-7.359l3.408-42.36c.3044-3.784-2.149-7.17-5.803-8.201c-.0538-.0152-.1076-.0305-.1613-.0459c-4.758-1.365-9.547 1.997-9.947 6.932L72.03 431.4zM87.97 79.17C87.5 74.8 83.88 71.38 79.19 72.05C74.78 72.5 71.59 76.42 72.03 80.83l14.22 136.1C86.68 220.9 90.09 224 94.16 224h0c4.711 0 8.387-4.076 7.902-8.763L87.97 79.17z"],
    "tank-water": [448, 512, [], "e452", "M384 32h-60.38c-4.416 0-8 3.584-8 8s3.584 8 8 8H384c26.5 0 48 21.5 48 48v246.9c-17.18 5.119-36.32 1.791-50.98-9.951l-23.9-19.11c-.5117-.4473-1.088-.7988-1.695-1.088c-2.145-1.023-4.672-1.023-6.848 0c-.6074 .2891-1.184 .6406-1.695 1.088l-23.9 19.11c-20.45 16.38-49.5 16.38-69.95 0l-23.9-19.11c-.5117-.4473-1.088-.7988-1.695-1.088C226.3 312.3 225.2 312 224 312S221.7 312.3 220.6 312.8C219.1 313.1 219.4 313.4 218.9 313.9l-23.9 19.11c-20.45 16.38-49.5 16.38-69.95 0L101.1 313.9C100.6 313.4 100 313.1 99.42 312.8c-2.207-1.055-4.736-1.023-6.879 .0332c-.6094 .2559-1.152 .6074-1.664 1.055l-23.9 19.11C52.32 344.7 33.18 348 16 342.9V96c0-26.5 21.5-48 48-48h64.38c4.416 0 8-3.584 8-8S132.8 32 128.4 32H64C28.64 32 0 60.64 0 96v320c0 35.36 28.64 64 64 64h320c35.36 0 64-28.64 64-64V96C448 60.64 419.4 32 384 32zM432 416c0 26.5-21.5 48-48 48H64c-26.5 0-48-21.5-48-48v-56.54c20.86 4.736 43.39 .0645 60.99-13.98L96 330.2l19.01 15.23c26.3 21.02 63.68 21.02 89.98 0L224 330.2l19.01 15.23c26.3 21.02 63.68 21.02 89.98 0L352 330.2l19.01 15.23c17.6 14.05 40.13 18.72 60.99 13.98V416z"],
    "tape": [576, 512, [], "f4db", "M128 256C128 202.1 170.1 160 224 160C277 160 320 202.1 320 256C320 309 277 352 224 352C170.1 352 128 309 128 256zM224 336C268.2 336 304 300.2 304 256C304 211.8 268.2 176 224 176C179.8 176 144 211.8 144 256C144 300.2 179.8 336 224 336zM568 464C572.4 464 576 467.6 576 472C576 476.4 572.4 480 568 480H224C100.3 480 0 379.7 0 256C0 132.3 100.3 32 224 32C347.7 32 448 132.3 448 256C448 350.3 389.8 430.9 307.3 464H568zM224 464C338.9 464 432 370.9 432 256C432 141.1 338.9 48 224 48C109.1 48 16 141.1 16 256C16 370.9 109.1 464 224 464z"],
    "tarp": [576, 512, [], "e57b", "M120 152C120 169.7 105.7 184 88 184C70.33 184 56 169.7 56 152C56 134.3 70.33 120 88 120C105.7 120 120 134.3 120 152zM88 168C96.84 168 104 160.8 104 152C104 143.2 96.84 136 88 136C79.16 136 72 143.2 72 152C72 160.8 79.16 168 88 168zM576 268.1C576 280.8 570.9 293.1 561.9 302.1L430.1 433.9C421.1 442.9 408.8 448 396.1 448H64C28.65 448 0 419.3 0 384V128C0 92.65 28.65 64 64 64H512C547.3 64 576 92.65 576 128V268.1zM16 128V384C16 410.5 37.49 432 64 432H396.1C397.4 432 398.7 431.9 400 431.8V312C400 289.9 417.9 272 440 272H559.8C559.9 270.7 560 269.4 560 268.1V128C560 101.5 538.5 80 512 80H64C37.49 80 16 101.5 16 128V128zM550.6 290.7C551.5 289.9 552.3 288.1 553.1 288H440C426.7 288 416 298.7 416 312V425.1C416.1 424.3 417.9 423.5 418.7 422.6L550.6 290.7z"],
    "tarp-droplet": [576, 512, [], "e57c", "M360 113.5C360 150.8 327.8 181 288 181C248.2 181 216 150.8 216 113.5C216 85.81 255.7 32.2 276.2 6.468C282.3-1.229 293.7-1.229 299.8 6.468C320.3 32.2 360 85.81 360 113.5H360zM338.8 95.08C335.2 86.74 330 77.37 323.1 67.7C312.2 48.82 298 29.98 288 17.31C277.1 29.98 263.8 48.82 252 67.7C245.1 77.37 240.8 86.74 237.2 95.08C233.4 103.7 232 109.9 232 113.5C232 140.1 256.1 165 288 165C319.9 165 344 140.1 344 113.5C344 109.9 342.6 103.7 338.8 95.08V95.08zM64 128H193.3C194.3 133.5 195.6 138.9 197.5 144H64C37.49 144 16 165.5 16 192V448C16 474.5 37.49 496 64 496H396.1C397.4 496 398.7 495.9 400 495.8V376C400 353.9 417.9 336 440 336H559.8C559.9 334.7 560 333.4 560 332.1V192C560 165.5 538.5 144 512 144H378.5C380.4 138.9 381.7 133.5 382.7 128H512C547.3 128 576 156.7 576 192V332.1C576 344.9 570.9 357.1 561.9 366.1L430.1 497.9C421.1 506.9 408.8 512 396.1 512H64C28.65 512 0 483.3 0 448V192C0 156.7 28.65 128 64 128V128zM550.6 354.7C551.5 353.9 552.3 352.1 553.1 352H440C426.7 352 416 362.7 416 376V489.1C416.1 488.3 417.9 487.5 418.7 486.6L550.6 354.7zM120 216C120 233.7 105.7 248 88 248C70.33 248 56 233.7 56 216C56 198.3 70.33 184 88 184C105.7 184 120 198.3 120 216zM88 232C96.84 232 104 224.8 104 216C104 207.2 96.84 200 88 200C79.16 200 72 207.2 72 216C72 224.8 79.16 232 88 232z"],
    "taxi": [576, 512, [128662, "cab"], "f1ba", "M96 320C96 302.3 110.3 288 128 288C145.7 288 160 302.3 160 320C160 337.7 145.7 352 128 352C110.3 352 96 337.7 96 320zM128 336C136.8 336 144 328.8 144 320C144 311.2 136.8 304 128 304C119.2 304 112 311.2 112 320C112 328.8 119.2 336 128 336zM480 320C480 337.7 465.7 352 448 352C430.3 352 416 337.7 416 320C416 302.3 430.3 288 448 288C465.7 288 480 302.3 480 320zM448 304C439.2 304 432 311.2 432 320C432 328.8 439.2 336 448 336C456.8 336 464 328.8 464 320C464 311.2 456.8 304 448 304zM192 64V40C192 17.91 209.9 0 232 0H344C366.1 0 384 17.91 384 40V64C416 64.12 444.1 85.4 452.1 116.2L485.1 231.8C520.1 246.5 544 280.5 544 320V504C544 508.4 540.4 512 536 512C531.6 512 528 508.4 528 504V432H48V504C48 508.4 44.42 512 40 512C35.58 512 32 508.4 32 504V320C32 280.5 55.89 246.5 90.02 231.8L123 116.2C131.9 85.4 159.1 64.12 192 64V64zM208 64H368V40C368 26.75 357.3 16 344 16H232C218.7 16 208 26.75 208 40V64zM192.3 80C167.3 80 145.3 96.57 138.4 120.6L108.3 226C114.7 224.7 121.3 224 128 224H448C454.7 224 461.3 224.7 467.7 226L437.6 120.6C430.7 96.57 408.7 80 383.7 80H192.3zM48 320V416H528V320C528 275.8 492.2 240 448 240H128C83.82 240 48 275.8 48 320z"],
    "taxi-bus": [640, 512, [], "e298", "M16.01 103.1H351.1C346.5 108.1 342.1 113.6 339.3 119.1H200V231.1H282.7L278.1 247.1H16V361.5C16 383.5 33.91 401.5 56 401.5H224V417.5H56C53.28 417.5 50.61 417.3 48 416.9V472C48 476.4 44.42 480 40 480C35.58 480 32 476.4 32 472V412.1C13.08 403.1 0 383.8 0 361.5V105.1C0 84.54 4.403 60.96 22.72 46.11C50.66 23.44 104 0 192 0C279.1 0 333.3 23.44 361.3 46.11C376.9 58.8 382.4 77.87 383.7 96H376C373.2 96 370.4 96.3 367.7 96.86C366.6 81.07 361.9 67.22 351.2 58.53C326.7 38.69 277.2 16 191.1 16C106.8 16 57.26 38.69 32.79 58.53C20.49 68.51 16.17 85.29 16 104L16.01 103.1zM16 119.1V231.1H184V119.1H16zM128 319.1C128 337.7 113.7 352 96 352C78.33 352 64 337.7 64 319.1C64 302.3 78.33 287.1 96 287.1C113.7 287.1 128 302.3 128 319.1zM96 336C104.8 336 112 328.8 112 319.1C112 311.2 104.8 303.1 96 303.1C87.16 303.1 80 311.2 80 319.1C80 328.8 87.16 336 96 336zM368 368C368 385.7 353.7 400 336 400C318.3 400 304 385.7 304 368C304 350.3 318.3 336 336 336C353.7 336 368 350.3 368 368zM336 384C344.8 384 352 376.8 352 368C352 359.2 344.8 352 336 352C327.2 352 320 359.2 320 368C320 376.8 327.2 384 336 384zM528 368C528 350.3 542.3 336 560 336C577.7 336 592 350.3 592 368C592 385.7 577.7 400 560 400C542.3 400 528 385.7 528 368zM560 352C551.2 352 544 359.2 544 368C544 376.8 551.2 384 560 384C568.8 384 576 376.8 576 368C576 359.2 568.8 352 560 352zM368.1 177.3C368 176.9 368 176.4 368 175.1V167.1C368 145.9 385.9 127.1 408 127.1H488C510.1 127.1 528 145.9 528 167.1V175.1C528 176.4 527.1 176.9 527.9 177.3C547.7 181.7 563.9 196.6 569.6 216.6L591.7 293.8L590.7 294.1C619.6 306.1 640 334.7 640 368V504C640 508.4 636.4 512 632 512C627.6 512 624 508.4 624 504V448H272V504C272 508.4 268.4 512 264 512C259.6 512 256 508.4 256 504V368C256 334.7 276.4 306.1 305.3 294.1L304.3 293.8L326.4 216.6C332.1 196.6 348.3 181.7 368.1 177.3H368.1zM384 167.1V175.1H512V167.1C512 154.7 501.3 143.1 488 143.1H408C394.7 143.1 384 154.7 384 167.1zM380.2 191.1C362.3 191.1 346.7 203.8 341.7 221L322.3 289.2C326.7 288.4 331.3 288 336 288H560C564.7 288 569.3 288.4 573.7 289.2L554.3 221C549.4 203.8 533.7 191.1 515.8 191.1H380.2zM624 368C624 332.7 595.3 303.1 560 303.1H336C300.7 303.1 272 332.7 272 368V432H624V368z"],
    "teddy-bear": [576, 512, [], "e3cf", "M537.7 354.9c-29.37-9.812-61.09 6.062-70.84 35.41l-3.25 9.719h-31.62v-36.72c34.99-19.9 66.81-47.02 92.81-81.69c18.53-24.75 13.53-59.84-11.22-78.41c-24.69-18.44-59.84-13.56-78.4 11.22c-35.06 46.78-84.84 73.59-136.5 73.59H277.3c-51.68 0-101.5-26.81-136.5-73.59C122.2 189.6 87.11 184.7 62.42 203.2C37.67 221.7 32.67 256.8 51.2 281.6c25.1 34.67 57.82 61.79 92.81 81.69v36.72H112.4L109.1 390.3c-9.75-29.34-41.5-45.16-70.84-35.41c-29.34 9.781-45.19 41.5-35.4 70.84l16 48C26.51 496.6 47.92 512 72.01 512h431.1c24.09 0 45.5-15.44 53.12-38.28l16-48C582.9 396.4 567 364.7 537.7 354.9zM64.01 271.1c-13.25-17.69-9.686-42.75 8-56c17.66-13.28 42.75-9.656 55.1 8c38.12 50.84 92.56 80 149.3 80h21.31c56.78 0 111.2-29.16 149.3-80c13.25-17.62 38.37-21.25 55.1-8c17.69 13.25 21.25 38.31 8 56c-26.72 35.64-59.55 63.65-95.1 82.76v45.8c-11.43 .6621-22.82 3.252-33.15 8.377c-2.535 1.271-4.482 3.221-6.842 4.709v-8.303c0-33.81-27.53-61.34-61.34-61.34H261.3c-33.81 0-61.34 27.53-61.34 61.34v8.32c-2.369-1.494-4.326-3.451-6.873-4.727c-10.3-5.125-21.7-7.715-33.12-8.377v-45.8C123.6 335.7 90.73 307.6 64.01 271.1zM224 496H72.01c-17.22 0-32.5-11.03-37.94-27.35l-15.1-48c-7-20.97 4.342-43.63 25.28-50.59c20.9-7.062 43.62 4.344 50.59 25.28l6.906 20.66h54.37c10.59 0 21.22 2.5 30.75 7.25c23.47 11.75 38.03 35.34 38.03 61.53V496zM335.1 496H240v-11.22c0-22.38-9.062-42.87-23.1-58.38v-21.06c0-25 20.34-45.34 45.34-45.34h53.31c25 0 45.34 20.34 45.34 45.34v21.05c-14.93 15.51-23.1 36-23.1 58.39V496zM557.9 420.7l-15.1 48C536.5 484.1 521.2 496 503.1 496h-151.1v-11.22c0-26.19 14.56-49.78 37.1-61.53c9.562-4.75 20.19-7.25 30.78-7.25h54.37l6.906-20.66c6.936-20.94 29.47-32.34 50.59-25.28C553.6 377 564.9 399.7 557.9 420.7zM160.4 118.6C160.3 120.1 160 121.5 160 123C160 196.5 217.3 256 288 256s128-59.53 128-132.1c0-1.496-.2852-2.922-.3594-4.402C434.7 107.6 448 87.65 448 64c0-35.35-28.65-64-64-64c-24.87 0-45.61 14.66-56.16 35.4C314.6 33.36 301.3 32 288 32S261.4 33.36 248.2 35.4C237.6 14.66 216.9 0 192 0C156.7 0 128 28.65 128 64C128 87.65 141.3 107.6 160.4 118.6zM288 240C243.8 240 208 218.5 208 192c0-17.76 16.25-33.09 40.14-41.39C246.6 153.4 245.3 156.3 245.3 160c0 17.67 19.1 32 42.67 32s42.67-14.33 42.67-32c0-3.701-1.27-6.639-2.811-9.391C351.7 158.9 368 174.2 368 192C368 218.5 332.2 240 288 240zM261.3 160c0-7.553 11.4-16 26.67-16s26.67 8.447 26.67 16S303.3 176 288 176S261.3 167.6 261.3 160zM384 16c26.47 0 48 21.53 48 48c0 15.42-7.574 28.81-18.94 37.56c-7.447-29.54-29.59-53.45-59.15-61.13c-3.277-.8516-6.629-1.193-9.928-1.916C352.5 25.15 367 16 384 16zM288 48c20.84 0 41.67 2.662 61.89 7.914C379.4 63.58 400 91.18 400 123c0 22.59-6.445 43.52-17.11 61.42C377.4 152.3 337.9 128 288 128S198.6 152.3 193.1 184.5C182.4 166.6 176 145.6 176 123c0-31.86 20.61-59.46 50.11-67.12C246.3 50.66 267.2 48 288 48zM192 16c16.99 0 31.5 9.154 40.02 22.51c-3.299 .7227-6.65 1.064-9.928 1.916C192.5 48.11 170.4 72.02 162.9 101.6C151.6 92.81 144 79.42 144 64C144 37.53 165.5 16 192 16zM240 128C248.8 128 256 120.8 256 112C256 103.2 248.8 96 240 96S224 103.2 224 112C224 120.8 231.2 128 240 128zM336 128C344.8 128 352 120.8 352 112C352 103.2 344.8 96 336 96S320 103.2 320 112C320 120.8 327.2 128 336 128z"],
    "teeth": [576, 512, [], "f62e", "M480 32H96C42.98 32 0 74.98 0 128v256c0 53.02 42.98 96 96 96h384c53.02 0 96-42.98 96-96V128C576 74.98 533 32 480 32zM560 384c0 44.11-35.89 80-80 80H96c-44.11 0-80-35.89-80-80V128c0-44.11 35.89-80 80-80h384c44.11 0 80 35.89 80 80V384zM472 176h-16c-15.83 0-30.08 6.668-40.28 17.27C414.3 157.1 384.6 128 348 128C321.9 128 299.4 142.1 288 164.7C276.6 142.1 254.1 128 228 128C191.4 128 161.7 157.1 160.3 193.3C150.1 182.7 135.8 176 120 176h-16C73.13 176 48 201.1 48 232V256c0 13.43 7.074 24.74 17.25 32C55.07 295.3 48 306.6 48 320v16c0 30.88 25.12 56 56 56h16c20.47 0 38.23-11.17 48-27.62C177.8 380.8 195.5 392 216 392H240c20.47 0 38.23-11.17 48-27.62C297.8 380.8 315.5 392 336 392h24c20.47 0 38.23-11.17 48-27.62C417.8 380.8 435.5 392 456 392h16c30.88 0 56-25.12 56-56V320c0-13.43-7.074-24.74-17.25-32C520.9 280.7 528 269.4 528 256V232C528 201.1 502.9 176 472 176zM296 196c0-28.67 23.31-52 52-52S400 167.3 400 196V256c0 13.23-10.78 24-24 24H320c-13.22 0-24-10.77-24-24V196zM176 196C176 167.3 199.3 144 228 144S280 167.3 280 196V256c0 13.23-10.78 24-24 24H200C186.8 280 176 269.2 176 256V196zM64 256V232C64 209.9 81.94 192 104 192h16C142.1 192 160 209.9 160 232V256c0 13.23-10.78 24-24 24h-48C74.78 280 64 269.2 64 256zM160 336c0 22.06-17.94 40-40 40h-16C81.94 376 64 358.1 64 336V320c0-13.23 10.78-24 24-24h48C149.2 296 160 306.8 160 320V336zM158.8 288C162.4 285.4 165.4 282.4 168 278.8C170.6 282.4 173.6 285.4 177.3 288C173.6 290.6 170.6 293.6 168 297.3C165.4 293.6 162.4 290.6 158.8 288zM280 336c0 22.06-17.94 40-40 40H216c-22.06 0-40-17.94-40-40V320c0-13.23 10.78-24 24-24H256c13.22 0 24 10.77 24 24V336zM278.8 288C282.4 285.4 285.4 282.4 288 278.8C290.6 282.4 293.6 285.4 297.3 288C293.6 290.6 290.6 293.6 288 297.3C285.4 293.6 282.4 290.6 278.8 288zM400 336c0 22.06-17.94 40-40 40H336c-22.06 0-40-17.94-40-40V320c0-13.23 10.78-24 24-24h56c13.22 0 24 10.77 24 24V336zM398.8 288C402.4 285.4 405.4 282.4 408 278.8C410.6 282.4 413.6 285.4 417.3 288C413.6 290.6 410.6 293.6 408 297.3C405.4 293.6 402.4 290.6 398.8 288zM512 320v16c0 22.06-17.94 40-40 40h-16c-22.06 0-40-17.94-40-40V320c0-13.23 10.78-24 24-24h48C501.2 296 512 306.8 512 320zM512 256c0 13.23-10.78 24-24 24h-48C426.8 280 416 269.2 416 256V232C416 209.9 433.9 192 456 192h16C494.1 192 512 209.9 512 232V256z"],
    "teeth-open": [576, 512, [], "f62f", "M512 288H64c-35.35 0-64 28.65-64 64v32c0 53.02 42.98 96 96 96h384c53.02 0 96-42.98 96-96v-32C576 316.7 547.3 288 512 288zM416 328c0-13.23 10.78-24 24-24h48c13.22 0 24 10.77 24 24v16c0 22.06-17.94 40-40 40h-16C433.9 384 416 366.1 416 344V328zM296 328c0-13.23 10.78-24 24-24h56c13.22 0 24 10.77 24 24v16c0 22.06-17.94 40-40 40H336c-22.06 0-40-17.94-40-40V328zM176 328c0-13.23 10.78-24 24-24H256c13.22 0 24 10.77 24 24v16C280 366.1 262.1 384 240 384H216c-22.06 0-40-17.94-40-40V328zM64 328C64 314.8 74.78 304 88 304h48C149.2 304 160 314.8 160 328v16C160 366.1 142.1 384 120 384h-16C81.94 384 64 366.1 64 344V328zM560 384c0 44.11-35.89 80-80 80H96c-44.11 0-80-35.89-80-80v-32c0-23.84 17.51-43.52 40.32-47.22C51.45 311.4 48 319.2 48 328v16c0 30.88 25.12 56 56 56h16c20.47 0 38.23-11.17 48-27.62C177.8 388.8 195.5 400 216 400H240c20.47 0 38.23-11.17 48-27.62C297.8 388.8 315.5 400 336 400h24c20.47 0 38.23-11.17 48-27.62C417.8 388.8 435.5 400 456 400h16c30.88 0 56-25.12 56-56v-16c0-8.84-3.447-16.6-8.318-23.22C542.5 308.5 560 328.2 560 352V384zM480 32H96C42.98 32 0 74.98 0 128v64c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V128C576 74.98 533 32 480 32zM160 216C160 229.2 149.2 240 136 240h-48C74.78 240 64 229.2 64 216V192c0-22.06 17.94-40 40-40h16C142.1 152 160 169.9 160 192V216zM280 216C280 229.2 269.2 240 256 240H200C186.8 240 176 229.2 176 216V156c0-28.67 23.31-52 52-52S280 127.3 280 156V216zM400 216c0 13.23-10.78 24-24 24H320c-13.22 0-24-10.77-24-24V156c0-28.67 23.31-52 52-52S400 127.3 400 156V216zM512 216c0 13.23-10.78 24-24 24h-48C426.8 240 416 229.2 416 216V192c0-22.06 17.94-40 40-40h16C494.1 152 512 169.9 512 192V216zM560 192c0 23.84-17.51 43.52-40.32 47.22C524.6 232.6 528 224.8 528 216V192c0-30.88-25.12-56-56-56h-16c-15.83 0-30.08 6.668-40.28 17.27C414.3 117.1 384.6 88 348 88c-26.15 0-48.63 14.99-60 36.68C276.6 102.1 254.1 88 228 88c-36.56 0-66.25 29.06-67.72 65.27C150.1 142.7 135.8 136 120 136h-16C73.13 136 48 161.1 48 192v24c0 8.842 3.447 16.6 8.32 23.22C33.51 235.5 16 215.8 16 192V128c0-44.11 35.89-80 80-80h384c44.11 0 80 35.89 80 80V192z"],
    "telescope": [640, 512, [128301], "e03e", "M638.2 209.9l-81.72-195.1c-4.453-10.65-19.78-16.9-30.36-12.52l-111.8 46.01c-8.604 3.572-18.57 16.43-12.56 30.26l75.1 182.2l-64.37 22.43c-4.188 1.438-6.406 5.988-4.969 10.16c.8008 2.336 4.432 6.949 10.16 4.973l65.59-22.85c4.123 8.287 16.09 17.07 29.65 11.47l111.8-45.1C634.2 236.6 644.1 224.1 638.2 209.9zM619.5 225.3l-111.8 46.01c-2.672 1.189-8.312-1.094-9.469-3.877l-81.73-195.1c-2.189-5.109 3.203-8.92 3.938-9.225l111.8-46.01c4.391-1.83 8.572 1.709 9.469 3.877l81.7 195.9C625.2 220.5 621.7 224.4 619.5 225.3zM243.4 349.3c-1.438-4.191-6-6.428-10.16-4.973l-97.08 33.33c-4.469 1.455-8.969-.0938-10.44-3.627L86.34 278.1c-.002-.0039 .002 .0039 0 0s.002 .0039 0 0L77.95 258.7C76.5 255.2 78.59 250.8 82.77 248.8l293.5-143.6c3.969-1.939 5.609-6.738 3.672-10.71c-1.953-3.986-6.719-5.566-10.7-3.674l-293.5 143.6C64 240.1 58.48 253.5 63.17 264.8L68.5 277.7L14.41 300.1C6.203 303.5 0 312.8 0 321.7c0 2.705 .7344 6.379 1.781 8.943l19.23 46.44c3.391 8.24 12.66 14.45 21.56 14.45c2.703 0 6.375-.7344 8.938-1.783l54.08-22.41l5.314 12.84c4.645 11.22 17.91 16.95 30.41 12.63l97.08-33.33C242.6 358 244.8 353.5 243.4 349.3zM45.42 374.9c-3.062 1.221-8.438-1.109-9.625-3.971l-19.22-46.42c-1.861-4.541 1.721-8.717 3.953-9.631l54.09-22.42l24.85 60.05L45.42 374.9zM354.9 347.3c12.74-10.28 21.07-25.83 21.07-43.45c0-30.89-25.12-56.04-55.1-56.04c-30.88 0-56 25.14-56 56.04c0 17.58 8.295 33.1 20.99 43.38l-68.3 153.5C214.8 505.1 217.3 512 224 512c3.062 0 5.984-1.768 7.312-4.754l67.35-151.6C305.2 358.4 312.4 359.9 320 359.9c7.557 0 14.75-1.545 21.34-4.273l67.35 151.6C410 510.2 412.9 512 415.1 512c6.652 0 9.322-6.75 7.312-11.26L354.9 347.3zM320 343.9c-22.06 0-40-17.95-40-40.03C280 281.8 297.9 263.8 320 263.8c22.06 0 39.1 17.95 39.1 40.03C359.1 325.9 342.1 343.9 320 343.9z"],
    "temperature-arrow-down": [512, 512, ["temperature-down"], "e03f", "M152 352.8V296c0-4.422-3.594-8.032-8-8.032S136 291.6 136 296v56.81C113.3 356.6 96 376.2 96 400c0 26.51 21.49 47.97 48 47.97S192 426.5 192 400C192 376.2 174.7 356.6 152 352.8zM144 432c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S161.6 432 144 432zM223.1 79.98C223.1 35.79 188.2 0 144 0S64.01 35.79 64.01 79.98L64 322.5C44.42 342.6 32 369.7 32 400C32 461.9 82.14 512 144 512s112-50.14 112-112c0-30.3-12.42-57.38-32-77.51L223.1 79.98zM240 400c0 52.93-43.06 96-96 96s-96-43.07-96-96c0-24.57 9.756-48.14 27.47-66.35L80 328.1V80c0-35.29 28.71-64 64-64s64 28.71 64 64v248.1l4.529 4.658C230.2 351.9 240 375.4 240 400zM322.3 389.7l88 88c3.125 3.125 8.188 3.125 11.31 0l88-88c3.125-3.125 3.125-8.188 0-11.31s-8.188-3.125-11.31 0L424 452.7V40C424 35.58 420.4 32 416 32s-8 3.578-8 8v412.7l-74.34-74.34C332.1 376.8 330 376 328 376s-4.094 .7813-5.656 2.344C319.2 381.5 319.2 386.5 322.3 389.7z"],
    "temperature-arrow-up": [512, 512, ["temperature-up"], "e040", "M152 352.8V72c0-4.422-3.594-8.009-8-8.009S136 67.58 136 72v280.8C113.3 356.6 96 376.2 96 400c0 26.51 21.49 47.97 48 47.97S192 426.5 192 400C192 376.2 174.7 356.6 152 352.8zM144 432c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S161.6 432 144 432zM223.1 79.98C223.1 35.79 188.2 0 144 0S64.01 35.79 64.01 79.98L64 322.5C44.42 342.6 32 369.7 32 400C32 461.9 82.14 512 144 512s112-50.14 112-112c0-30.3-12.42-57.38-32-77.51L223.1 79.98zM240 400c0 52.93-43.06 96-96 96s-96-43.07-96-96c0-24.57 9.756-48.14 27.47-66.35L80 328.1V80c0-35.29 28.71-64 64-64s64 28.71 64 64v248.1l4.529 4.658C230.2 351.9 240 375.4 240 400zM509.7 122.3l-88-88c-3.125-3.125-8.188-3.125-11.31 0l-88 88c-3.125 3.125-3.125 8.188 0 11.31s8.188 3.125 11.31 0L408 59.31V472c0 4.422 3.578 8 8 8s8-3.578 8-8V59.31l74.34 74.34C499.9 135.2 501.1 136 504 136s4.094-.7813 5.656-2.344C512.8 130.5 512.8 125.5 509.7 122.3z"],
    "temperature-empty": [320, 512, ["temperature-0", "thermometer-0", "thermometer-empty"], "f2cb", "M160 352c-26.51 0-48 21.49-48 48s21.49 48 48 48S208 426.5 208 400S186.5 352 160 352zM160 432C142.4 432 128 417.6 128 400s14.36-32 32-32s32 14.36 32 32S177.6 432 160 432zM240 322.5V80c0-44.18-35.82-79.1-79.1-79.1S80 35.82 80 80v242.5c-19.58 20.13-32 47.21-32 77.51c0 61.86 50.14 112 112 112S272 461.9 272 400C272 369.7 259.6 342.6 240 322.5zM160 496c-52.94 0-96-43.07-96-96c0-24.57 9.756-48.14 27.47-66.35L96 328.1V80c0-35.29 28.71-64 64-64s64 28.71 64 64v248.1l4.529 4.658C246.2 351.9 256 375.4 256 400C256 452.9 212.9 496 160 496z"],
    "temperature-full": [320, 512, ["temperature-4", "thermometer-4", "thermometer-full"], "f2c7", "M240 322.5V80c0-44.18-35.82-79.1-79.1-79.1S80 35.82 80 80v242.5c-19.58 20.13-32 47.21-32 77.51c0 61.86 50.14 112 112 112S272 461.9 272 400C272 369.7 259.6 342.6 240 322.5zM160 496c-52.94 0-96-43.07-96-96c0-24.57 9.756-48.14 27.47-66.35L96 328.1V80c0-35.29 28.71-64 64-64s64 28.71 64 64v248.1l4.529 4.658C246.2 351.9 256 375.4 256 400C256 452.9 212.9 496 160 496zM168 352.8V72c0-4.422-3.594-7.1-8-7.1S152 67.58 152 72v280.8C129.3 356.6 112 376.2 112 400c0 26.51 21.49 48 48 48S208 426.5 208 400C208 376.2 190.7 356.6 168 352.8zM160 432C142.4 432 128 417.6 128 400s14.36-32 32-32s32 14.36 32 32S177.6 432 160 432z"],
    "temperature-half": [320, 512, [127777, "temperature-2", "thermometer-2", "thermometer-half"], "f2c9", "M240 322.5V80c0-44.18-35.82-79.1-79.1-79.1S80 35.82 80 80v242.5c-19.58 20.13-32 47.21-32 77.51c0 61.86 50.14 112 112 112S272 461.9 272 400C272 369.7 259.6 342.6 240 322.5zM160 496c-52.94 0-96-43.07-96-96c0-24.57 9.756-48.14 27.47-66.35L96 328.1V80c0-35.29 28.71-64 64-64s64 28.71 64 64v248.1l4.529 4.658C246.2 351.9 256 375.4 256 400C256 452.9 212.9 496 160 496zM168 352.8V200c0-4.422-3.594-7.1-7.1-7.1S152 195.6 152 200v152.8C129.3 356.6 112 376.2 112 400c0 26.51 21.49 48 48 48S208 426.5 208 400C208 376.2 190.7 356.6 168 352.8zM160 432C142.4 432 128 417.6 128 400s14.36-32 32-32s32 14.36 32 32S177.6 432 160 432z"],
    "temperature-high": [512, 512, [], "f769", "M256 80C256 35.82 220.2 0 176 0S96 35.82 96 80v242.5C76.42 342.6 64 369.7 64 400C64 461.9 114.1 512 176 512s112-50.14 112-112c0-30.3-12.42-57.38-32-77.51V80zM272 400c0 52.93-43.06 96-96 96s-96-43.07-96-96c0-24.57 9.756-48.14 27.47-66.35L112 328.1V80c0-35.29 28.71-64 64-64s64 28.71 64 64v248.1l4.529 4.658C262.2 351.9 272 375.4 272 400zM384 32c-35.35 0-64 28.65-64 64c0 35.35 28.65 64 64 64s64-28.65 64-64C448 60.65 419.3 32 384 32zM384 144c-26.47 0-48-21.53-48-48s21.53-48 48-48s48 21.53 48 48S410.5 144 384 144zM184 352.8V72C184 67.58 180.4 64 176 64S168 67.58 168 72v280.8C145.3 356.6 128 376.2 128 400C128 426.5 149.5 448 176 448S224 426.5 224 400C224 376.2 206.7 356.6 184 352.8zM176 432c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S193.6 432 176 432z"],
    "temperature-list": [512, 512, [], "e299", "M152 352.8V136C152 131.6 148.4 128 144 128S136 131.6 136 136v216.8C113.3 356.6 96 376.2 96 400c0 26.51 21.49 48 48 48S192 426.5 192 400C192 376.2 174.7 356.6 152 352.8zM144 432c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S161.6 432 144 432zM224 80c0-44.18-35.82-79.1-80-79.1S64 35.82 64 80v242.5C44.42 342.6 32 369.7 32 400c0 61.86 50.14 112 112 112S256 461.9 256 400c0-30.3-12.42-57.38-32-77.51V80zM240 400c0 52.93-43.06 96-96 96s-96-43.07-96-96c0-24.57 9.756-48.14 27.47-66.35L80 328.1V80c0-35.29 28.71-64 64-64s64 28.71 64 64v248.1l4.529 4.658C230.2 351.9 240 375.4 240 400zM504 160h-176C323.6 160 320 163.6 320 168s3.594 8 8 8h176C508.4 176 512 172.4 512 168S508.4 160 504 160zM328 48h176C508.4 48 512 44.41 512 40S508.4 32 504 32h-176C323.6 32 320 35.59 320 40S323.6 48 328 48zM504 288h-144C355.6 288 352 291.6 352 296s3.594 8 8 8h144C508.4 304 512 300.4 512 296S508.4 288 504 288z"],
    "temperature-low": [512, 512, [], "f76b", "M384 32c-35.35 0-64 28.65-64 64c0 35.35 28.65 64 64 64s64-28.65 64-64C448 60.65 419.3 32 384 32zM384 144c-26.47 0-48-21.53-48-48s21.53-48 48-48s48 21.53 48 48S410.5 144 384 144zM184 352.8V296C184 291.6 180.4 288 176 288S168 291.6 168 296v56.81C145.3 356.6 128 376.2 128 400C128 426.5 149.5 448 176 448S224 426.5 224 400C224 376.2 206.7 356.6 184 352.8zM176 432c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S193.6 432 176 432zM256 80C256 35.82 220.2 0 176 0S96 35.82 96 80v242.5C76.42 342.6 64 369.7 64 400C64 461.9 114.1 512 176 512s112-50.14 112-112c0-30.3-12.42-57.38-32-77.51V80zM272 400c0 52.93-43.06 96-96 96s-96-43.07-96-96c0-24.57 9.756-48.14 27.47-66.35L112 328.1V80c0-35.29 28.71-64 64-64s64 28.71 64 64v248.1l4.529 4.658C262.2 351.9 272 375.4 272 400z"],
    "temperature-quarter": [320, 512, ["temperature-1", "thermometer-1", "thermometer-quarter"], "f2ca", "M240 322.5V80c0-44.18-35.82-79.1-79.1-79.1S80 35.82 80 80v242.5c-19.58 20.13-32 47.21-32 77.51c0 61.86 50.14 112 112 112S272 461.9 272 400C272 369.7 259.6 342.6 240 322.5zM160 496c-52.94 0-96-43.07-96-96c0-24.57 9.756-48.14 27.47-66.35L96 328.1V80c0-35.29 28.71-64 64-64s64 28.71 64 64v248.1l4.529 4.658C246.2 351.9 256 375.4 256 400C256 452.9 212.9 496 160 496zM168 352.8V264c0-4.422-3.594-7.1-7.1-7.1S152 259.6 152 264v88.81C129.3 356.6 112 376.2 112 400c0 26.51 21.49 48 48 48S208 426.5 208 400C208 376.2 190.7 356.6 168 352.8zM160 432C142.4 432 128 417.6 128 400s14.36-32 32-32s32 14.36 32 32S177.6 432 160 432z"],
    "temperature-snow": [576, 512, ["temperature-frigid"], "f768", "M440 352.8V296c0-4.422-3.592-8-7.998-8S424 291.6 424 296v56.81C401.3 356.6 384 376.2 384 400c0 26.51 21.49 48 48 48S480 426.5 480 400C480 376.2 462.7 356.6 440 352.8zM432 432c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S449.6 432 432 432zM512 322.5V80c0-44.18-35.81-79.1-79.1-79.1S352 35.82 352 80v242.5C332.4 342.6 320 369.7 320 400c0 61.86 50.15 112 112 112S544 461.9 544 400C544 369.7 531.6 342.6 512 322.5zM432 496c-52.94 0-96-43.07-96-96c0-24.57 9.756-48.14 27.47-66.35L368 328.1V80c0-35.29 28.71-64 64-64s64 28.71 64 64v248.1l4.529 4.658C518.2 351.9 528 375.4 528 400C528 452.9 484.9 496 432 496zM244 175.5L183.1 210.1v-94.83l45.66-45.66c3.125-3.125 3.125-8.188 0-11.31s-8.188-3.125-11.31 0L183.1 92.69V40c0-4.406-3.594-8-8-8s-8 3.594-8 8v52.69L133.7 58.34c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31L167.1 115.3v94.83L85.87 162.7L69.16 100.4C68.02 96.09 63.63 93.56 59.36 94.71C55.1 95.85 52.56 100.2 53.71 104.5L66.28 151.4L20.65 125.1C16.83 122.9 11.92 124.2 9.721 128s-.8867 8.725 2.928 10.93L58.28 165.3L11.36 177.8C7.096 178.1 4.564 183.4 5.707 187.6c1.145 4.27 5.529 6.801 9.797 5.656l62.37-16.71L160 224L77.87 271.4L15.5 254.7c-4.268-1.145-8.652 1.387-9.797 5.656c-1.143 4.27 1.389 8.652 5.656 9.797L58.28 282.7L12.65 309.1C8.834 311.3 7.518 316.2 9.721 320c2.203 3.816 7.113 5.133 10.93 2.93L66.28 296.6L53.71 343.5c-1.143 4.268 1.389 8.652 5.656 9.797c4.27 1.143 8.654-1.389 9.797-5.656l16.71-62.37L167.1 237.9v94.83l-45.66 45.66c-3.125 3.125-3.125 8.188 0 11.31s8.188 3.125 11.31 0l34.34-34.34V408c0 4.406 3.594 8 8 8s8-3.594 8-8v-52.69l34.34 34.34C219.9 391.2 221.9 392 223.1 392s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31L183.1 332.7v-94.83L244 272.5C249.3 275.6 256 271.7 256 265.6c0-2.859-1.523-5.5-4-6.93L192 224l60-34.64C254.5 187.9 256 185.3 256 182.4C256 176.3 249.3 172.4 244 175.5z"],
    "temperature-sun": [640, 512, ["temperature-hot"], "f76a", "M353.5 61.98L281.1 86.17L244.3 12.44C240.4 4.766 232.6 0 224 0c-.0156 0 0 0 0 0C215.4 0 207.6 4.766 203.7 12.47L166.9 86.17L88.7 60.03C80.52 57.36 71.67 59.52 65.58 65.58C59.48 71.66 57.38 80.52 60.05 88.73l26.14 78.17L12.44 203.7C4.766 207.6 0 215.3 0 223.9s4.766 16.34 12.47 20.23l73.73 36.92l-26.14 78.16c-2.75 8.125-.6875 16.97 5.359 23.08c6.141 6.172 15.09 8.328 23.33 5.625l78.17-26.12l36.81 73.73C207.6 443.3 215.4 448 224 448c8.594-.0313 16.41-4.828 20.19-12.47L281 361.8l33.08 10.95c4.188 1.438 8.719-.8906 10.11-5.078s-.8906-8.719-5.078-10.11l-39.66-13.14c-3.766-1.266-7.891 .4531-9.672 4.016l-39.92 79.95C228.3 431.6 225.3 432 224 432c-.1875-.0938-4.266-.2187-5.984-3.625l-39.91-79.92c-1.781-3.562-6-5.281-9.688-4.016l-84.7 28.31c-3.625 1.188-6.234-.9687-6.938-1.688c-.8594-.8594-2.734-3.266-1.562-6.734l28.34-84.75C104.8 275.8 103.1 271.7 99.56 269.9L19.66 229.9C16.36 228.2 16 225.2 16 223.9s.3594-4.266 3.625-5.922L99.56 178.1c3.562-1.781 5.266-5.906 4.016-9.688L75.25 83.72C74.09 80.19 76.02 77.77 76.89 76.89s3.281-2.828 6.797-1.656l84.75 28.33c3.688 1.25 7.906-.4687 9.688-4.016l39.89-79.89C219.7 16.36 222.8 16 224 16c1.25 0 4.344 .3438 5.1 3.625l39.91 79.92c1.781 3.547 5.922 5.266 9.688 4.016l78.95-26.39c4.188-1.406 6.453-5.938 5.062-10.12C362.2 62.86 357.7 60.64 353.5 61.98zM576 322.5V80C576 35.82 540.2 0 495.1 0S416 35.82 416 80v242.5C396.4 342.6 384 369.7 384 400c0 61.86 50.14 112 111.1 112S608 461.9 608 400C608 369.7 595.6 342.6 576 322.5zM496 496c-52.94 0-96-43.07-96-96c0-24.57 9.756-48.14 27.47-66.35L432 328.1V80c0-35.29 28.71-64 64-64s64 28.71 64 64v248.1l4.529 4.658C582.2 351.9 592 375.4 592 400C592 452.9 548.9 496 496 496zM504 352.8V72c0-4.422-3.598-8-8.004-8S488 67.58 488 72v280.8C465.3 356.6 448 376.2 448 400c0 26.51 21.49 48 47.1 48S544 426.5 544 400C544 376.2 526.7 356.6 504 352.8zM496 432c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S513.6 432 496 432zM128 224c0 52.94 43.08 96 96.02 96s96-43.06 96-96s-43.06-96-96-96S128 171.1 128 224zM304 224c0 44.11-35.89 80-80 80C179.9 304 144 268.1 144 224s35.89-80 80.02-80C268.1 144 304 179.9 304 224z"],
    "temperature-three-quarters": [320, 512, ["temperature-3", "thermometer-3", "thermometer-three-quarters"], "f2c8", "M168 352.8V136c0-4.422-3.593-8-7.1-8S152 131.6 152 136v216.8C129.3 356.6 112 376.2 112 400c0 26.51 21.49 48 48 48S208 426.5 208 400C208 376.2 190.7 356.6 168 352.8zM160 432C142.4 432 128 417.6 128 400s14.36-32 32-32s32 14.36 32 32S177.6 432 160 432zM240 322.5V80c0-44.18-35.82-79.1-79.1-79.1S80 35.82 80 80v242.5c-19.58 20.13-32 47.21-32 77.51c0 61.86 50.14 112 112 112S272 461.9 272 400C272 369.7 259.6 342.6 240 322.5zM160 496c-52.94 0-96-43.07-96-96c0-24.57 9.756-48.14 27.47-66.35L96 328.1V80c0-35.29 28.71-64 64-64s64 28.71 64 64v248.1l4.529 4.658C246.2 351.9 256 375.4 256 400C256 452.9 212.9 496 160 496z"],
    "tenge-sign": [384, 512, [8376, "tenge"], "f7d7", "M0 40C0 35.58 3.582 32 8 32H376C380.4 32 384 35.58 384 40C384 44.42 380.4 48 376 48H8C3.582 48 0 44.42 0 40zM0 168C0 163.6 3.582 160 8 160H376C380.4 160 384 163.6 384 168C384 172.4 380.4 176 376 176H200V472C200 476.4 196.4 480 192 480C187.6 480 184 476.4 184 472V176H8C3.582 176 0 172.4 0 168z"],
    "tennis-ball": [512, 512, [127934], "f45e", "M255.1-.0031c-141.4 0-256 114.6-256 256s114.6 256 256 256s256-114.6 256-256S397.4-.0031 255.1-.0031zM229 17.61c11.24 67.73-15.59 139.1-75.49 181.1c-41.07 28.78-89.91 37.98-135.9 30.23C30.12 118.2 118.2 30.07 229 17.61zM15.99 255.1c0-3.727 .3906-7.359 .5605-11.05c10.49 1.754 21.06 2.992 31.73 2.992c39.59 0 79.59-11.72 114.4-36.09c64.63-45.29 93.78-122.1 82.24-195.3c3.684-.168 7.309-.5586 11.03-.5586c132.3 0 240 107.7 240 240c0 3.715-.3906 7.332-.5586 11.01c-49.5-7.922-101.9 2.219-146.2 33.16c-64.63 45.28-93.77 122.1-82.24 195.3c-3.688 .1719-7.318 .5625-11.05 .5625C123.7 495.1 15.99 388.3 15.99 255.1zM282.1 494.4c-11.24-67.73 15.6-139.1 75.49-181.1c32.03-22.44 68.81-33.22 105.3-33.22c10.29 0 20.5 1.215 30.61 2.969C481.9 393.8 393.8 481.9 282.1 494.4z"],
    "tent": [576, 512, [], "e57d", "M283.3 1.52C286.1-.5068 289.9-.5068 292.7 1.52L513.8 161.6C522.5 167.9 528.3 177.5 529.9 188.2L570.6 466.2C574.1 490.3 555.4 512 530.1 512H45.02C20.63 512 1.913 490.3 5.445 466.2L46.13 188.2C47.69 177.5 53.5 167.9 62.25 161.6L283.3 1.52zM61.96 190.5L21.28 468.5C19.16 483 30.39 496 45.02 496H280V23.67L71.63 174.6C66.39 178.4 62.9 184.1 61.96 190.5V190.5zM296 255.5V496H426.6L296 255.5zM530.1 496C545.6 496 556.8 483 554.7 468.5L514 190.5C513.1 184.1 509.6 178.4 504.4 174.6L296 23.67V221.1L444.8 496H530.1z"],
    "tent-arrow-down-to-line": [640, 512, [], "e57e", "M245.9 122.6C248.9 125.9 248.7 130.9 245.4 133.9L149.4 221.9C146.3 224.7 141.7 224.7 138.6 221.9L42.59 133.9C39.34 130.9 39.12 125.9 42.1 122.6C45.09 119.3 50.15 119.1 53.41 122.1L136 197.8V8C136 3.582 139.6 0 144 0C148.4 0 152 3.582 152 8V197.8L234.6 122.1C237.9 119.1 242.9 119.3 245.9 122.6V122.6zM0 504C0 499.6 3.582 496 8 496H632C636.4 496 640 499.6 640 504C640 508.4 636.4 512 632 512H8C3.582 512 0 508.4 0 504zM569.2 257.4C578.3 263.8 584.3 273.8 585.7 284.8L607.9 454.1C608.5 459.3 605.4 463.4 601 463.9C596.7 464.5 592.6 461.4 592.1 457L569.9 286.9C569 280.3 565.4 274.3 559.1 270.4L392 151.5V285.7L494.8 451.8C497.1 455.5 495.1 460.5 492.2 462.8C488.5 465.1 483.5 463.1 481.2 460.2L392 316.1V456C392 460.4 388.4 464 384 464C379.6 464 376 460.4 376 456V288.1C376 288.1 376 287.1 376 287.9V151.5L208 270.4C202.6 274.3 198.1 280.3 198.1 286.9L175.9 457C175.4 461.4 171.3 464.5 166.1 463.9C162.6 463.4 159.5 459.3 160.1 454.1L182.3 284.8C183.7 273.8 189.7 263.8 198.8 257.4L379.4 129.5C382.1 127.5 385.9 127.5 388.6 129.5L569.2 257.4z"],
    "tent-arrow-left-right": [576, 512, [], "e57f", "M573.4 90.1C575.1 91.62 576 93.76 576 96C576 98.24 575.1 100.4 573.4 101.9L477.4 189.9C474.2 192.9 469.1 192.7 466.1 189.4C463.1 186.1 463.3 181.1 466.6 178.1L547.4 104H28.57L109.4 178.1C112.7 181.1 112.9 186.1 109.9 189.4C106.9 192.7 101.9 192.9 98.59 189.9L2.594 101.9C.9411 100.4 0 98.24 0 96C0 93.76 .9411 91.62 2.594 90.1L98.59 2.103C101.9-.8828 106.9-.6626 109.9 2.594C112.9 5.851 112.7 10.91 109.4 13.9L28.57 88H547.4L466.6 13.9C463.3 10.91 463.1 5.851 466.1 2.594C469.1-.6626 474.2-.8828 477.4 2.103L573.4 90.1zM473 289.3C482.3 295.8 488.3 305.9 489.6 317.1L507.6 467.2C510.5 491 491.9 512 467.9 512H108.1C84.09 512 65.5 491 68.35 467.2L86.37 317.1C87.71 305.9 93.74 295.8 102.1 289.3L283.4 161.5C286.1 159.5 289.9 159.5 292.6 161.5L473 289.3zM296 317.8L404.5 496H467.9C482.3 496 493.5 483.4 491.8 469.1L473.7 319C472.9 312.3 469.3 306.2 463.8 302.3L296 183.5L296 317.8zM296 496H385.8L296 348.5V496zM280 319.9V183.5L112.2 302.3C106.7 306.2 103.1 312.3 102.3 319L84.24 469.1C82.53 483.4 93.68 496 108.1 496H280V320.1C279.1 320.1 279.1 319.1 280 319.9H280z"],
    "tent-arrow-turn-left": [576, 512, [], "e580", "M28.57 88H472C529.4 88 576 134.6 576 192V248C576 252.4 572.4 256 568 256C563.6 256 560 252.4 560 248V192C560 143.4 520.6 104 472 104H28.57L109.4 178.1C112.7 181.1 112.9 186.1 109.9 189.4C106.9 192.7 101.9 192.9 98.59 189.9L2.594 101.9C.9411 100.4 0 98.24 0 96C0 93.76 .9411 91.62 2.594 90.1L98.59 2.103C101.9-.8828 106.9-.6626 109.9 2.594C112.9 5.851 112.7 10.91 109.4 13.9L28.57 88zM468.1 289.3C478.2 295.8 484.2 305.9 485.6 317.1L503.6 467.2C506.4 491 487.8 512 463.9 512H104C80.03 512 61.43 491 64.29 467.2L82.3 317.1C83.65 305.9 89.68 295.8 98.9 289.3L279.3 161.5C282.1 159.5 285.8 159.5 288.6 161.5L468.1 289.3zM291.9 317.8L400.4 496H463.9C478.3 496 489.4 483.4 487.7 469.1L469.7 319C468.9 312.3 465.3 306.2 459.7 302.3L291.9 183.5L291.9 317.8zM291.9 496H381.7L291.9 348.5V496zM275.9 319.9V183.5L108.1 302.3C102.6 306.2 98.1 312.3 98.19 319L80.18 469.1C78.46 483.4 89.62 496 104 496H275.9V320.1C275.9 320.1 275.9 319.1 275.9 319.9H275.9z"],
    "tent-arrows-down": [576, 512, [], "e581", "M197.9 122.6C200.9 125.9 200.6 130.1 197.4 133.9L117.4 205.9C114.3 208.7 109.7 208.7 106.6 205.9L26.65 133.9C23.36 130.1 23.1 125.9 26.05 122.6C29.01 119.4 34.07 119.1 37.35 122.1L104 182V8C104 3.582 107.6 0 112 0C116.4 0 120 3.582 120 8V182L186.6 122.1C189.9 119.1 194.1 119.4 197.9 122.6H197.9zM283.4 161.5C286.1 159.5 289.9 159.5 292.6 161.5L473 289.3C482.3 295.8 488.3 305.9 489.6 317.1L507.6 467.2C510.5 491 491.9 512 467.9 512H108.1C84.09 512 65.5 491 68.35 467.2L86.37 317.1C87.71 305.9 93.74 295.8 102.1 289.3L283.4 161.5zM491.8 469.1L473.7 319C472.9 312.3 469.3 306.2 463.8 302.3L296 183.5V317.8L404.5 496H467.9C482.3 496 493.5 483.4 491.8 469.1L491.8 469.1zM279.1 183.5L112.2 302.3C106.7 306.2 103.1 312.3 102.3 319L84.24 469.1C82.53 483.4 93.68 496 108.1 496H279.1V183.5zM296 348.5V496H385.8L296 348.5zM469.4 205.9C466.3 208.7 461.7 208.7 458.6 205.9L378.6 133.9C375.4 130.1 375.1 125.9 378.1 122.6C381 119.4 386.1 119.1 389.4 122.1L456 182V8C456 3.582 459.6 0 464 0C468.4 0 472 3.582 472 8V182L538.6 122.1C541.9 119.1 546.1 119.4 549.9 122.6C552.9 125.9 552.6 130.1 549.4 133.9L469.4 205.9z"],
    "tents": [640, 512, [], "e582", "M601.1 129.3C610.3 135.8 616.3 145.9 617.7 157L635.4 299C638.4 322.9 619.8 344 595.8 344H460.3L457.9 328H595.8C610.2 328 621.4 315.3 619.6 301L601.8 158.1C600.1 152.3 597.4 146.3 591.9 142.4L416.1 17.87L255.7 136.4C250.1 133.2 244.2 130.9 238.1 129.6L238.3 129.4L411.2 1.567C414-.4868 417.8-.5249 420.6 1.472L601.1 129.3zM409 289.3C418.3 295.8 424.3 305.9 425.6 317.1L443.6 467.2C446.5 491 427.9 512 403.9 512H44.07C20.09 512 1.498 491 4.355 467.2L22.37 317.1C23.71 305.9 29.74 295.8 38.96 289.3L219.4 161.5C222.1 159.5 225.9 159.5 228.6 161.5L409 289.3zM340.5 496H403.9C418.3 496 429.5 483.4 427.8 469.1L409.8 319C408.9 312.3 405.3 306.2 399.8 302.3L232 183.5V317.8L340.5 496zM38.25 319L20.24 469.1C18.53 483.4 29.68 496 44.07 496H216V183.5L48.21 302.3C42.68 306.2 39.06 312.3 38.25 319L38.25 319zM321.8 496L232 348.5V496H321.8z"],
    "terminal": [576, 512, [], "f120", "M34.24 45.55C31.17 42.37 31.27 37.3 34.45 34.24C37.63 31.17 42.7 31.27 45.76 34.45L253.8 250.5C256.7 253.5 256.7 258.5 253.8 261.5L45.76 477.5C42.7 480.7 37.63 480.8 34.45 477.8C31.27 474.7 31.17 469.6 34.24 466.5L236.9 256L34.24 45.55zM568 464C572.4 464 576 467.6 576 472C576 476.4 572.4 480 568 480H232C227.6 480 224 476.4 224 472C224 467.6 227.6 464 232 464H568z"],
    "text": [448, 512, [], "f893", "M432 40v80C432 124.4 428.4 128 424 128S416 124.4 416 120V48h-184v416h80c4.422 0 8 3.578 8 8S316.4 480 312 480h-176C131.6 480 128 476.4 128 472s3.578-8 8-8h80v-416H32v72C32 124.4 28.42 128 24 128S16 124.4 16 120v-80C16 35.58 19.58 32 24 32h400C428.4 32 432 35.58 432 40z"],
    "text-height": [576, 512, [], "f034", "M312 32h-304C3.578 32 0 35.58 0 40v80C0 124.4 3.578 128 8 128S16 124.4 16 120V48h136v416h-80C67.58 464 64 467.6 64 472S67.58 480 72 480h176C252.4 480 256 476.4 256 472S252.4 464 248 464h-80v-416h136v72C304 124.4 307.6 128 312 128S320 124.4 320 120v-80C320 35.58 316.4 32 312 32zM562.3 378.3L488 452.7V59.31l74.34 74.34C563.9 135.2 565.1 136 568 136s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31l-88-88c-3.125-3.125-8.188-3.125-11.31 0l-88 88c-3.125 3.125-3.125 8.188 0 11.31s8.188 3.125 11.31 0L472 59.31v393.4l-74.34-74.34C396.1 376.8 394 376 392 376s-4.094 .7813-5.656 2.344c-3.125 3.125-3.125 8.188 0 11.31l88 88c3.125 3.125 8.188 3.125 11.31 0l88-88c3.125-3.125 3.125-8.188 0-11.31S565.5 375.2 562.3 378.3z"],
    "text-size": [640, 512, [], "f894", "M0 40l0 80C0 124.4 3.578 128 8 128S16 124.4 16 120V48h168v416h-80C99.58 464 96 467.6 96 472S99.58 480 104 480h176C284.4 480 288 476.4 288 472S284.4 464 280 464h-80v-416h168v72C368 124.4 371.6 128 376 128S384 124.4 384 120v-80C384 35.58 380.4 32 376 32H8C3.578 32 0 35.58 0 40zM320 232v80C320 316.4 323.6 320 328 320s8-3.578 8-8V240h136v224h-64c-4.422 0-8 3.578-8 8S403.6 480 408 480h144c4.422 0 8-3.578 8-8s-3.578-8-8-8h-64v-224h136v72c0 4.422 3.578 8 8 8S640 316.4 640 312v-80C640 227.6 636.4 224 632 224h-304C323.6 224 320 227.6 320 232z"],
    "text-slash": [640, 512, ["remove-format"], "f87d", "M636.1 497.7L314.9 241.7l10.54 8.381l-312.4-248.4C11.52 .5664 9.77 0 8.023 0C5.672 0 3.334 1.029 1.736 3.012c-2.75 3.469-2.172 8.5 1.281 11.25l623.1 496C628.5 511.4 630.2 512 631.1 512c2.344 0 4.688-1.031 6.266-3.016C641 505.5 640.4 500.5 636.1 497.7zM352 464H283.6l26.54-123.9l-13.97-11.1L267.3 464H192c-4.406 0-8 3.594-8 8s3.594 8.007 7.1 8.007h160c4.406 0 7.1-3.601 7.1-8.007S356.4 464 352 464zM160 48h196.4l-26.54 123.9l13.96 11.1L372.7 48H552c4.406 0 8 3.594 8 8v64C560 124.4 563.6 128 568 128S576 124.4 576 120v-64C576 42.77 565.2 32 552 32H160C155.6 32 152 35.58 152 40S155.6 48 160 48z"],
    "text-width": [448, 512, [], "f035", "M440 32H8C3.578 32 0 35.58 0 40v80C0 124.4 3.578 128 8 128S16 124.4 16 120V48h200v224h-48C163.6 272 160 275.6 160 280S163.6 288 168 288h112C284.4 288 288 284.4 288 280S284.4 272 280 272h-48v-224h200v72C432 124.4 435.6 128 440 128S448 124.4 448 120v-80C448 35.58 444.4 32 440 32zM357.7 290.3c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31L420.7 376H27.31l74.34-74.34C103.2 300.1 104 298 104 296S103.2 291.9 101.7 290.3c-3.125-3.125-8.188-3.125-11.31 0l-88 88c-3.125 3.125-3.125 8.188 0 11.31l88 88c3.125 3.125 8.188 3.125 11.31 0s3.125-8.188 0-11.31L27.31 392h393.4l-74.34 74.34C344.8 467.9 344 469.1 344 472s.7813 4.094 2.344 5.656c3.125 3.125 8.188 3.125 11.31 0l88-88c3.125-3.125 3.125-8.188 0-11.31L357.7 290.3z"],
    "thermometer": [512, 512, [], "f491", "M476.7 20.35C460 6.698 439.2 0 418.1 0c-26.28 0-53.08 10.37-73.25 30.6L114.6 262.5C102.7 274.5 96.02 290.7 96.02 307.6L96 404.7l-93.66 93.66c-3.125 3.125-3.125 8.188 0 11.31C3.906 511.2 5.938 512 8 512s4.094-.7813 5.656-2.344l93.66-93.66l96.01-.0176c16.92-.0078 33.17-6.72 45.16-18.67l235.5-234.7C518.9 127.8 526.2 61.11 476.7 20.35zM472.7 151.3l-235.5 234.7c-9.053 9.021-21.08 13.99-33.86 13.1L112 399.1l.0156-92.45c.0039-12.76 4.955-24.77 13.94-33.82l36.1-36.35l56.28 56.28C219.9 295.2 221.9 296 224 296s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31L173.3 226l52.51-52.87l56.5 56.5C283.9 231.2 285.9 232 288 232s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31L237.1 161.8l52.51-52.87l56.72 56.72C347.9 167.2 349.9 168 352 168s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31l-56.76-56.76l55.31-55.69C372.6 25.44 395.2 16 418.1 16c18.06 0 35.28 5.945 48.44 16.7c22.88 18.84 28.58 41.42 29.34 57.05C497 112.6 488.3 135.7 472.7 151.3z"],
    "theta": [384, 512, [], "f69e", "M192 16.01C103.6 16.01 32 123.5 32 256s71.63 240 160 240S352 388.5 352 256S280.4 16.01 192 16.01zM192 32c77.67 0 141 96.21 143.7 216H48.26C51 128.2 114.3 32 192 32zM192 480c-77.67 0-141-96.21-143.7-216h287.5C333 383.8 269.7 480 192 480z"],
    "thought-bubble": [512, 512, [], "e32e", "M32 448c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32s32-14.33 32-32C64 462.3 49.67 448 32 448zM32 496c-8.822 0-16-7.178-16-16s7.178-16 16-16s16 7.178 16 16S40.82 496 32 496zM144 384C117.5 384 96 405.5 96 432S117.5 480 144 480S192 458.5 192 432S170.5 384 144 384zM144 464c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S161.6 464 144 464zM384 80c-3.281 0-6.438 .3125-9.594 .7187C355.1 32.17 308.3 0 256 0C204.4 0 157.8 31.59 138.2 79.27C134.8 78.84 131.4 78.5 128 78.5c-70.59 0-128 57.48-128 128.1s57.41 127.9 128 127.9c12.62 0 25.41-2.062 38.13-6.125C182.9 362.7 217.4 384.5 256 384.5c38.03 0 72.31-21.27 89.31-54.77C358.2 333.9 371.2 336 384 336c70.59 0 128-57.37 128-127.9S454.6 80 384 80zM384 320c-13.25 0-26.69-2.594-40-7.703c-3.969-1.5-8.562 .3906-10.25 4.391C320.6 348.2 290.1 368.5 256 368.5c-34.59 0-65.25-20.83-78.13-53.08C176.6 312.3 173.6 310.4 170.4 310.4c-.9375 0-1.906 .1719-2.844 .5156C154.4 315.1 141 318.5 128 318.5c-61.75 0-112-50.25-112-112s50.25-112 112-112c3.781 0 7.375 .5313 11.03 1.031l3.281 .4531c3.75 .5 7.312-1.719 8.562-5.266C166.7 46.03 208.1 16 256 16c47.63 0 90.03 30.58 105.6 76.08c1.188 3.609 4.781 5.891 8.562 5.359l3.406-.4531C376.1 96.5 380.4 96 384 96c61.75 0 112 50.25 112 112S445.8 320 384 320z"],
    "thumbs-down": [512, 512, [61576, 128078], "f165", "M128 288V64.03C128 46.36 113.7 32.04 96 32.04H32c-17.67 0-32 14.32-32 31.1v223.1c0 17.67 14.33 31.1 32 31.1h64C113.7 320 128 305.7 128 288zM112 288c0 8.822-7.178 16-16 16H32C23.18 304 16 296.8 16 288V64c0-8.822 7.178-16 16-16h64c8.822 0 16 7.178 16 16V288zM475 231.9c4.203-7.719 6.453-16.36 6.453-25.2c0-22.23-13.81-41.75-34-49.66c2.281-5.969 3.453-12.25 3.453-18.55c0-20.81-12.12-39.38-30.8-48.13c.1719-1.656 .25-3.297 .25-4.938C420.4 55.98 396.2 32 366.5 32h-56.03C276 32 241.8 43.33 214.1 63.89L163.6 97.33C161.3 98.87 160 101.4 160 104c0 4.421 3.6 8.001 8.003 8.001c1.514 0 3.049-.4324 4.419-1.342l50.91-33.69C248.6 58.2 279.4 48 310.5 48h56.03c20.84 0 37.81 16.81 37.81 37.47c0 5.5-1.186 7.832-1.186 10.01c0 3.403 2.177 6.524 5.546 7.602c15.66 5.047 26.19 19.3 26.19 35.45c0 14.01-6.812 18.44-6.812 23.58c0 4.727 3.726 7.352 6.547 7.861c17.86 3.312 30.81 18.78 30.81 36.77c0 19.49-12.15 23.38-12.15 30.63c0 4.16 3.223 7.682 7.458 7.983C480.5 246.7 496 263 496 282.5C496 303.2 479 320 458.2 320h-143.5c-4.265 0-7.997 3.432-7.997 8.013c0 1.549 .4486 3.091 1.341 4.425l5.328 8C334.1 376.4 344 414 344 426.1C344 444.7 329.3 464 304.8 464c-51.82 0-19.32-70.26-98.31-133.4L172.8 305.6C171.3 304.5 169.7 303.1 168 303.1c-2.588 0-8.012 2.043-8.012 7.995c0 2.447 1.121 4.863 3.236 6.428l33.47 24.81C272.4 403.8 237.1 480 304.9 480C339.4 480 360 452.6 360 426.1c0-15.16-9.781-53.63-30.72-90.08h128.9C487.9 336 512 312 512 282.5C512 259.2 496.5 239 475 231.9z"],
    "thumbs-up": [512, 512, [61575, 128077], "f164", "M96 191.1H32c-17.67 0-32 14.33-32 31.1v223.1c0 17.67 14.33 31.1 32 31.1h64c17.67 0 32-14.32 32-31.1V223.1C128 206.3 113.7 191.1 96 191.1zM112 448c0 8.822-7.178 16-16 16H32c-8.822 0-16-7.178-16-16V224c0-8.822 7.178-16 16-16h64c8.822 0 16 7.178 16 16V448zM512 229.5C512 199.1 487.9 176 458.2 176h-128.9C350.2 139.5 360 101.1 360 85.92C360 59.42 339.4 32 304.9 32c-67.61 0-32.66 76.37-108.1 136.8L163.2 193.6C161.1 195.1 159.1 197.6 159.1 200c0 5.952 5.424 7.995 8.012 7.995c1.655 0 3.323-.5134 4.755-1.579l33.7-24.98C285.8 117.1 253.2 48 304.8 48C329.3 48 344 67.28 344 85.92c0 12.06-9.047 49.66-30.66 85.64l-5.328 8c-.8922 1.334-1.341 2.876-1.341 4.425C306.7 188.6 310.5 192 314.7 192h143.5C479 192 496 208.8 496 229.5c0 19.5-15.47 35.84-35.23 37.19c-4.233 .3008-7.458 3.821-7.458 7.983c0 7.198 12.15 11.17 12.15 30.63c0 17.98-12.95 33.45-30.81 36.77c-2.821 .5098-6.547 3.135-6.547 7.861c0 5.129 6.812 9.568 6.812 23.58c0 16.16-10.53 30.41-26.19 35.45c-3.368 1.078-5.546 4.199-5.546 7.602c0 2.175 1.186 4.507 1.186 10.01c0 20.66-16.97 37.47-37.81 37.47h-56.03c-31.09 0-61.94-10.2-87.19-28.98l-50.91-33.69c-1.37-.9092-2.904-1.342-4.419-1.342c-4.407 0-8.003 3.585-8.003 8.001c0 2.598 1.259 5.146 3.578 6.685l50.55 33.44C241.8 468.7 276 480 310.5 480h56.03c29.67 0 53.81-23.98 53.81-53.47c0-1.641-.0781-3.281-.25-4.938c18.67-8.75 30.8-27.31 30.8-48.13c0-6.297-1.172-12.58-3.453-18.55c20.19-7.906 34-27.42 34-49.66c0-8.844-2.25-17.48-6.453-25.2C496.5 273 512 252.8 512 229.5z"],
    "thumbtack": [384, 512, [128392, 128204, "thumb-tack"], "f08d", "M184 352H32C22.06 352 12.68 347.4 6.625 339.5C.5677 331.6-1.481 321.4 1.081 311.8L6.158 292.7C17.11 251.6 42.72 217.5 76.46 195.4L94.4 16H48C43.58 16 40 12.42 40 8C40 3.582 43.58 0 48 0H336C340.4 0 344 3.582 344 8C344 12.42 340.4 16 336 16H289.6L307.5 195.4C341.3 217.5 366.9 251.6 377.8 292.7L382.9 311.8C385.5 321.4 383.4 331.6 377.4 339.5C371.3 347.4 361.9 352 352 352H200V504C200 508.4 196.4 512 191.1 512C187.6 512 183.1 508.4 183.1 504L184 352zM91.62 204.6L85.22 208.8C54.69 228.8 31.53 259.7 21.62 296.8L16.54 315.9C15.26 320.7 16.28 325.8 19.31 329.7C22.34 333.7 27.03 336 32 336H184V232C184 227.6 187.6 224 192 224C196.4 224 200 227.6 200 232V336H352C356.1 336 361.7 333.7 364.7 329.7C367.7 325.8 368.7 320.7 367.5 315.9L362.4 296.8C352.5 259.7 329.3 228.8 298.8 208.8L292.4 204.6L273.5 16H110.5L91.62 204.6zM6.625 339.5L19.31 329.7z"],
    "tick": [128, 512, [], "e32f", "M63.1 48c14.7 0 28.04 6.157 36.59 16.91c9.357 11.72 13.23 27.1 10.62 42.18l-25.24 145.2C83.1 263.7 74.76 272 63.1 272s-20-8.289-21.97-19.73l-25.21-145.2c-2.627-15.1 1.232-30.48 10.6-42.22C35.96 54.16 49.29 48 63.1 48zM63.99 32c-18.46 0-36.93 7.643-49.1 22.93C2.692 70.21-2.372 90.22 1.044 109.9l25.21 145.2C29.55 274.1 45.44 288 63.99 288s34.44-13.89 37.74-32.99l25.24-145.2c3.389-19.6-1.678-39.61-13.88-54.9C100.9 39.64 82.46 32 63.99 32z"],
    "ticket": [576, 512, [127903], "f145", "M128 192C128 174.3 142.3 160 160 160H416C433.7 160 448 174.3 448 192V320C448 337.7 433.7 352 416 352H160C142.3 352 128 337.7 128 320V192zM144 192V320C144 328.8 151.2 336 160 336H416C424.8 336 432 328.8 432 320V192C432 183.2 424.8 176 416 176H160C151.2 176 144 183.2 144 192zM576 128V208C549.5 208 528 229.5 528 256C528 282.5 549.5 304 576 304V384C576 419.3 547.3 448 512 448H64C28.65 448 0 419.3 0 384V304C26.51 304 48 282.5 48 256C48 229.5 26.51 208 0 208V128C0 92.65 28.65 64 64 64H512C547.3 64 576 92.65 576 128zM16 194C43.6 201.1 64 226.2 64 256C64 285.8 43.6 310.9 16 317.1V384C16 410.5 37.49 432 64 432H512C538.5 432 560 410.5 560 384V317.1C532.4 310.9 512 285.8 512 256C512 226.2 532.4 201.1 560 194V128C560 101.5 538.5 80 512 80H64C37.49 80 16 101.5 16 128V194z"],
    "ticket-airline": [640, 512, [], "e29a", "M448 160C448 151.2 455.2 144 464 144C472.8 144 480 151.2 480 160C480 168.8 472.8 176 464 176C455.2 176 448 168.8 448 160zM448 224C448 215.2 455.2 208 464 208C472.8 208 480 215.2 480 224C480 232.8 472.8 240 464 240C455.2 240 448 232.8 448 224zM480 288C480 296.8 472.8 304 464 304C455.2 304 448 296.8 448 288C448 279.2 455.2 272 464 272C472.8 272 480 279.2 480 288zM448 352C448 343.2 455.2 336 464 336C472.8 336 480 343.2 480 352C480 360.8 472.8 368 464 368C455.2 368 448 360.8 448 352zM218.2 128C229.6 128 240.1 134 245.9 143.9L287.9 216H326.9C345.1 216 362.5 223.2 375.4 236.1C386.4 247.1 386.4 264.9 375.4 275.9C362.5 288.8 345.1 296 326.9 296H287.9L245.9 368.1C240.1 377.1 229.6 384 218.2 384H187.1C176.2 384 168.5 373.3 171.9 362.9L194.2 296H156L139.2 318.4C134.7 324.4 127.6 328 120 328H106.2C95.84 328 88.2 318.2 90.72 308.1L103.3 257.9C103.6 256.7 103.6 255.3 103.3 254.1L90.72 203.9C88.2 193.8 95.84 183.1 106.2 183.1H120C127.6 183.1 134.7 187.6 139.2 193.6L156 215.1H194.2L171.9 149.1C168.5 138.7 176.2 127.1 187.1 127.1L218.2 128zM216.4 232H148L126.4 203.2C124.9 201.2 122.5 200 120 200H106.2L118.8 250.2C119.7 254 119.7 257.1 118.8 261.8L106.2 312H120C122.5 312 124.9 310.8 126.4 308.8L148 280H216.4L187.1 368H218.2C223.9 368 229.2 364.1 232 360.1L278.7 280H326.9C340.9 280 354.2 274.5 364.1 264.6C368.8 259.9 368.8 252.1 364.1 247.4C354.2 237.5 340.9 232 326.9 232H278.7L232 151.9C229.2 147 223.9 144 218.2 144H187.1L216.4 232zM0 128C0 92.65 28.65 64 64 64H576C611.3 64 640 92.65 640 128V194.4C640 202.4 631.1 208 624 208C597.5 208 576 229.5 576 256C576 282.5 597.5 304 624 304C631.1 304 640 309.6 640 317.6V384C640 419.3 611.3 448 576 448H64C28.65 448 0 419.3 0 384V128zM64 80C37.49 80 16 101.5 16 128V384C16 410.5 37.49 432 64 432H576C602.5 432 624 410.5 624 384V320C588.7 320 560 291.3 560 256C560 220.7 588.7 192 624 192V128C624 101.5 602.5 80 576 80H64z"],
    "ticket-simple": [576, 512, ["ticket-alt"], "f3ff", "M576 208C549.5 208 528 229.5 528 256C528 282.5 549.5 304 576 304V384C576 419.3 547.3 448 512 448H64C28.65 448 0 419.3 0 384V304C26.51 304 48 282.5 48 256C48 229.5 26.51 208 0 208V128C0 92.65 28.65 64 64 64H512C547.3 64 576 92.65 576 128V208zM64 80C37.49 80 16 101.5 16 128V194C43.6 201.1 64 226.2 64 256C64 285.8 43.6 310.9 16 317.1V384C16 410.5 37.49 432 64 432H512C538.5 432 560 410.5 560 384V317.1C532.4 310.9 512 285.8 512 256C512 226.2 532.4 201.1 560 194V128C560 101.5 538.5 80 512 80H64z"],
    "tickets-airline": [640, 512, [], "e29b", "M512 112C512 120.8 504.8 128 496 128C487.2 128 480 120.8 480 112C480 103.2 487.2 96 496 96C504.8 96 512 103.2 512 112zM512 176C512 184.8 504.8 192 496 192C487.2 192 480 184.8 480 176C480 167.2 487.2 160 496 160C504.8 160 512 167.2 512 176zM480 240C480 231.2 487.2 224 496 224C504.8 224 512 231.2 512 240C512 248.8 504.8 256 496 256C487.2 256 480 248.8 480 240zM512 304C512 312.8 504.8 320 496 320C487.2 320 480 312.8 480 304C480 295.2 487.2 288 496 288C504.8 288 512 295.2 512 304zM279.1 88C291.4 88 301.9 94.05 307.6 103.9L345 168H390.9C409.1 168 426.5 175.2 439.4 188.1C450.4 199.1 450.4 216.9 439.4 227.9C426.5 240.8 409.1 248 390.9 248H339.3L301.9 312.1C296.1 321.1 285.6 328 274.2 328H243.1C232.2 328 224.5 317.3 227.9 306.9L247.6 248H217.8L200.1 270.4C196.4 276.4 189.3 280 181.8 280H168C157.6 280 149.1 270.2 152.5 260.1L165 209.9C165.3 208.7 165.3 207.3 165 206.1L152.5 155.9C149.1 145.8 157.6 135.1 168 135.1H181.8C189.3 135.1 196.4 139.6 200.1 145.6L217.8 167.1H253.3L233.7 109.1C230.2 98.7 237.9 87.1 248.9 87.1L279.1 88zM275.5 184H209.8L188.2 155.2C186.6 153.2 184.3 152 181.8 152H168L180.5 202.2C181.5 206 181.5 209.1 180.5 213.8L168 264H181.8C184.3 264 186.6 262.8 188.2 260.8L209.8 232H269.8L243.1 312H274.2C279.9 312 285.2 308.1 288 304.1L330.1 232H390.9C404.9 232 418.2 226.5 428.1 216.6C432.8 211.9 432.8 204.1 428.1 199.4C418.2 189.5 404.9 184 390.9 184H335.8L293.8 111.9C290.9 107 285.7 104 279.1 104H248.9L275.5 184zM640 96V160C613.5 160 592 181.5 592 208C592 234.5 613.5 256 640 256V320C640 355.3 611.3 384 576 384H160C124.7 384 96 355.3 96 320V96C96 60.65 124.7 32 160 32H576C611.3 32 640 60.65 640 96zM112 320C112 346.5 133.5 368 160 368H576C602.5 368 624 346.5 624 320V269.1C596.4 262.9 576 237.8 576 208C576 178.2 596.4 153.1 624 146V96C624 69.49 602.5 48 576 48H160C133.5 48 112 69.49 112 96V320zM8 88C12.42 88 16 91.58 16 96V376C16 424.6 55.4 464 104 464H552C556.4 464 560 467.6 560 472C560 476.4 556.4 480 552 480H104C46.56 480 0 433.4 0 376V96C0 91.58 3.582 88 8 88zM188.2 155.2L194.4 150.5z"],
    "tilde": [448, 512, [63135], "7e", "M448 160v83.59C448 303.4 399.4 352 339.6 352c-36.88 0-69.84-16.94-90.13-45.3L183.5 214.6C166.2 190.4 138.1 176 108.4 176C57.44 176 16 217.5 16 268.4V352c0 4.422-3.594 8-8 8S0 356.4 0 352V268.4C0 208.6 48.63 160 108.4 160c34.88 0 67.84 16.94 88.13 45.3l65.94 92.09C279.8 321.6 307.9 336 337.6 336C390.6 336 432 294.5 432 243.6V160c0-4.422 3.594-8 8-8S448 155.6 448 160z"],
    "timeline": [640, 512, [], "e29c", "M168 256H472V143.5C440.4 139.6 416 112.6 416 80C416 44.65 444.7 16 480 16C515.3 16 544 44.65 544 80C544 112.6 519.6 139.6 488 143.5V256H632C636.4 256 640 259.6 640 264C640 268.4 636.4 272 632 272H328V368.5C359.6 372.4 384 399.4 384 432C384 467.3 355.3 496 320 496C284.7 496 256 467.3 256 432C256 399.4 280.4 372.4 312 368.5V272H8C3.582 272 0 268.4 0 264C0 259.6 3.582 256 8 256H152V143.5C120.4 139.6 96 112.6 96 80C96 44.65 124.7 16 160 16C195.3 16 224 44.65 224 80C224 112.6 199.6 139.6 168 143.5V256zM160 128C186.5 128 208 106.5 208 80C208 53.49 186.5 32 160 32C133.5 32 112 53.49 112 80C112 106.5 133.5 128 160 128zM480 32C453.5 32 432 53.49 432 80C432 106.5 453.5 128 480 128C506.5 128 528 106.5 528 80C528 53.49 506.5 32 480 32zM320 384C293.5 384 272 405.5 272 432C272 458.5 293.5 480 320 480C346.5 480 368 458.5 368 432C368 405.5 346.5 384 320 384z"],
    "timeline-arrow": [640, 512, [], "e29d", "M136 248H344V143.5C312.4 139.6 288 112.6 288 80C288 44.65 316.7 16 352 16C387.3 16 416 44.65 416 80C416 112.6 391.6 139.6 360 143.5V248H611.3L538.6 181.9C535.4 178.9 535.1 173.9 538.1 170.6C541.1 167.3 546.1 167.1 549.4 170.1L637.4 250.1C639 251.6 640 253.7 640 256C640 258.3 639 260.4 637.4 261.9L549.4 341.9C546.1 344.9 541.1 344.7 538.1 341.4C535.1 338.1 535.4 333.1 538.6 330.1L611.3 264H232V368.5C263.6 372.4 288 399.4 288 432C288 467.3 259.3 496 224 496C188.7 496 160 467.3 160 432C160 399.4 184.4 372.4 216 368.5V264H8C3.582 264 0 260.4 0 256C0 251.6 3.582 248 8 248H120V143.5C88.43 139.6 64 112.6 64 80C64 44.65 92.65 16 128 16C163.3 16 192 44.65 192 80C192 112.6 167.6 139.6 136 143.5V248zM128 128C154.5 128 176 106.5 176 80C176 53.49 154.5 32 128 32C101.5 32 80 53.49 80 80C80 106.5 101.5 128 128 128zM352 32C325.5 32 304 53.49 304 80C304 106.5 325.5 128 352 128C378.5 128 400 106.5 400 80C400 53.49 378.5 32 352 32zM224 384C197.5 384 176 405.5 176 432C176 458.5 197.5 480 224 480C250.5 480 272 458.5 272 432C272 405.5 250.5 384 224 384z"],
    "timer": [512, 512, [], "e29e", "M512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 202.7 16.28 153.2 44.14 112.2C46.63 108.6 51.6 107.6 55.26 110.1C58.91 112.6 59.86 117.6 57.37 121.2C31.26 159.7 16 206 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 126.1 392.8 20.35 264 16.13V120C264 124.4 260.4 128 256 128C251.6 128 248 124.4 248 120V8C248 3.582 251.6 0 256 0C397.4 0 512 114.6 512 256zM261.7 250.3C264.8 253.5 264.8 258.5 261.7 261.7C258.5 264.8 253.5 264.8 250.3 261.7L154.3 165.7C151.2 162.5 151.2 157.5 154.3 154.3C157.5 151.2 162.5 151.2 165.7 154.3L261.7 250.3z"],
    "tire": [512, 512, [], "f631", "M96 256C96 167.6 167.6 96 256 96C344.4 96 416 167.6 416 256C416 344.4 344.4 416 256 416C167.6 416 96 344.4 96 256zM256 208C229.5 208 208 229.5 208 256C208 282.5 229.5 304 256 304C282.5 304 304 282.5 304 256C304 229.5 282.5 208 256 208zM263.9 319.5L263.1 399.8C321.6 396.6 370.3 359.6 390.3 308.2L313.9 283.3C304.7 302.7 286.1 316.8 263.9 319.5V319.5zM318.9 268.1L395.2 292.1C398.3 281.2 400 268.8 400 256C400 211 379.4 170.8 347.1 144.4L299.9 209.4C312.3 221.1 320 237.6 320 255.1C320 260.1 319.6 264.2 318.9 268.1L318.9 268.1zM256 112C227.2 112 200.4 120.5 177.9 135L225 199.1C234.2 194.9 244.8 191.1 256 191.1C267.2 191.1 277.8 194.9 286.1 199.1L334.1 135C311.6 120.5 284.8 112 256 112zM164.9 144.4C132.6 170.8 112 211 112 256C112 268.8 113.7 281.2 116.8 292.1L193.1 268.1C192.4 264.2 192 260.1 192 256C192 237.6 199.7 221.1 212.1 209.4L164.9 144.4zM198.1 283.3L121.7 308.2C141.7 359.6 190.3 396.6 247.1 399.8L247.9 319.5C225.9 316.7 207.3 302.7 198.1 283.3H198.1zM512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256zM256 16C123.5 16 16 123.5 16 256C16 388.5 123.5 496 256 496C388.5 496 496 388.5 496 256C496 123.5 388.5 16 256 16z"],
    "tire-flat": [512, 512, [], "f632", "M416 288C416 376.4 344.4 448 256 448C167.6 448 96 376.4 96 288C96 199.6 167.6 128 256 128C344.4 128 416 199.6 416 288zM347.1 176.4L299.9 241.4C312.3 253.1 320 269.6 320 287.1C320 292.1 319.6 296.2 318.9 300.1L395.2 324.1C398.3 313.2 400 300.8 400 287.1C400 243 379.4 202.8 347.1 176.4L347.1 176.4zM263.9 351.5L263.1 431.8C321.6 428.6 370.3 391.6 390.3 340.2L313.9 315.3C304.7 334.7 286.1 348.8 263.9 351.5V351.5zM198.1 315.3L121.7 340.2C141.7 391.6 190.3 428.6 247.1 431.8L247.9 351.5C225.9 348.7 207.3 334.7 198.1 315.3H198.1zM112 288C112 300.8 113.7 313.2 116.8 324.1L193.1 300.1C192.4 296.2 192 292.1 192 288C192 269.6 199.7 253.1 212.1 241.4L164.9 176.4C132.6 202.8 112 243 112 288V288zM286.1 231.1L334.1 167C311.6 152.5 284.8 144 256 144C227.2 144 200.4 152.5 177.9 167L225 231.1C234.2 226.9 244.8 224 256 224C267.2 224 277.8 226.9 286.1 231.1zM256 240C229.5 240 208 261.5 208 288C208 314.5 229.5 336 256 336C282.5 336 304 314.5 304 288C304 261.5 282.5 240 256 240zM34.51 416.4C12.57 378.7 0 334.8 0 288C0 146.6 114.6 32 256 32C397.4 32 512 146.6 512 288C512 334.8 499.4 378.7 477.5 416.4C475.4 419.1 476.7 424.5 480.1 426.7L493.4 435.6C505 443.4 512 456.4 512 470.3C512 493.3 493.3 512 470.3 512H41.69C18.66 512 0 493.3 0 470.3C0 456.4 6.966 443.4 18.56 435.6L31.88 426.7C35.26 424.5 36.55 419.1 34.51 416.4H34.51zM256 48C123.5 48 16 155.5 16 288C16 331.9 27.78 373 48.34 408.4C55.07 419.1 50.42 433.6 40.75 440.1L27.44 448.9C20.29 453.7 15.1 461.7 15.1 470.3C15.1 484.5 27.5 496 41.69 496H470.3C484.5 496 496 484.5 496 470.3C496 461.7 491.7 453.7 484.6 448.9L471.2 440.1C461.6 433.6 456.9 419.1 463.7 408.4C484.2 373 496 331.9 496 288C496 155.5 388.5 48 256 48V48zM480.1 426.7L471.2 440.1L480.1 426.7zM31.88 426.7L40.75 440.1z"],
    "tire-pressure-warning": [512, 512, [], "f633", "M432 8V35.57C432 74.07 440.1 112 458.2 146.5L463 156.2C482 188.8 502.7 235.3 502 288.9C501.3 342.2 479.4 401.4 416 459.5V504C416 508.4 412.4 512 408 512C403.6 512 400 508.4 400 504V464H312V504C312 508.4 308.4 512 304 512C299.6 512 296 508.4 296 504V464H216V504C216 508.4 212.4 512 208 512C203.6 512 200 508.4 200 504V464H112V504C112 508.4 108.4 512 104 512C99.58 512 96 508.4 96 504V459.5C32.55 401.4 10.69 342.2 10 288.9C9.308 235.3 29.1 188.8 48.96 156.2L53.82 146.5C71.04 112 79.1 74.07 79.1 35.57V8C79.1 3.582 83.58 0 87.1 0C92.42 0 95.1 3.582 95.1 8V35.57C95.1 76.55 86.46 116.1 68.13 153.6L63.15 163.6C63.08 163.7 62.1 163.9 62.91 164C44.58 195.5 25.36 239.2 25.1 288.7C26.63 337.2 46.35 392.4 107.1 448H404.9C465.6 392.4 485.4 337.2 486 288.7C486.6 239.2 467.4 195.5 449.1 164C449 163.9 448.9 163.7 448.8 163.6L443.9 153.6C425.5 116.1 416 76.55 416 35.57V8C416 3.582 419.6 0 424 0C428.4 0 432 3.582 432 8H432zM256 96C260.4 96 264 99.58 264 104V264C264 268.4 260.4 272 256 272C251.6 272 248 268.4 248 264V104C248 99.58 251.6 96 256 96zM272 320C272 328.8 264.8 336 256 336C247.2 336 240 328.8 240 320C240 311.2 247.2 304 256 304C264.8 304 272 311.2 272 320z"],
    "tire-rugged": [512, 512, [], "f634", "M239.1 192C239.1 183.2 247.2 176 255.1 176C264.8 176 272 183.2 272 192C272 200.8 264.8 208 255.1 208C247.2 208 239.1 200.8 239.1 192zM200.1 221C208.5 223.7 213.1 232.8 210.3 241.2C207.6 249.6 198.6 254.2 190.2 251.4C181.8 248.7 177.2 239.7 179.9 231.3C182.6 222.9 191.7 218.3 200.1 221zM231.3 317.2C226.1 324.3 216.1 325.9 208.1 320.7C201.8 315.5 200.2 305.5 205.4 298.4C210.6 291.2 220.6 289.6 227.8 294.8C234.9 300 236.5 310 231.3 317.2zM280.7 317.2C275.5 310 277.1 300 284.2 294.8C291.4 289.6 301.4 291.2 306.6 298.4C311.8 305.5 310.2 315.5 303 320.7C295.9 325.9 285.9 324.3 280.7 317.2zM311.9 221C320.3 218.3 329.4 222.9 332.1 231.3C334.8 239.7 330.2 248.7 321.8 251.4C313.4 254.2 304.4 249.6 301.7 241.2C298.9 232.8 303.5 223.7 311.9 221zM400 256C400 335.5 335.5 400 256 400C176.5 400 112 335.5 112 256C112 176.5 176.5 112 256 112C335.5 112 400 176.5 400 256zM256 384C326.7 384 384 326.7 384 256C384 185.3 326.7 128 256 128C185.3 128 128 185.3 128 256C128 326.7 185.3 384 256 384zM187.8 41.51C191.6 17.82 212.1 0 236.5 0H275.5C300.8 0 321.1 19.2 324.5 44.24C335.6 48.12 346.3 52.86 356.6 58.39C376.1 41.9 405.1 43.06 423.3 61.22L450.8 88.74C469.1 107.1 470.1 136.6 453 156.1L451.1 158.3C455.5 167.6 459.2 177.2 462.3 187.1L465.9 187.3C491.9 189 512 210.6 512 236.5V275.5C512 301.4 491.9 322.1 465.9 324.7L459.6 325.1C456.4 333.1 452.8 342.5 448.6 350.8L453 355.9C470.1 375.4 469.1 404.9 450.8 423.3L423.3 450.8C404.9 469.1 375.4 470.1 355.9 453L350.8 448.6C342.5 452.8 333.1 456.4 325.1 459.6L324.7 465.9C322.1 491.9 301.4 512 275.5 512H236.5C210.6 512 189 491.9 187.3 465.9L187.1 462.3C177.2 459.2 167.6 455.5 158.3 451.1L156.1 453C136.6 470.1 107.1 469.1 88.74 450.8L61.22 423.3C43.06 405.1 41.9 376.1 58.39 356.6C52.86 346.3 48.12 335.6 44.24 324.5C19.21 321.9 .001 300.8 .001 275.5V236.5C.001 212.1 17.82 191.6 41.51 187.8C45.28 175.5 50.1 163.5 55.89 152.2C42.07 132.8 44.04 105.9 61.22 88.74L88.74 61.22C105.9 44.04 132.8 42.07 152.2 55.89C163.5 50.1 175.5 45.28 187.8 41.51L187.8 41.51zM236.5 16C218.1 16 204.4 29.61 203.3 47.12L202.8 53.88L197.4 55.4C182.5 59.51 168.4 65.26 155.1 72.43L150.2 75.08L145.6 71.02C132.4 59.46 112.5 60.12 100.1 72.53L72.53 100.1C60.12 112.5 59.46 132.4 71.02 145.6L75.08 150.2L72.43 155.1C65.26 168.4 59.51 182.5 55.4 197.4L53.88 202.8L47.12 203.3C29.61 204.4 16 218.1 16 236.5V275.5C16 293 29.61 307.6 47.12 308.7L56.08 309.3L57.75 314.5C62.16 328.2 67.98 341.3 75.05 353.6L77.91 358.5L71.02 366.4C59.46 379.6 60.12 399.5 72.53 411.9L100.1 439.5C112.5 451.9 132.4 452.5 145.6 440.1L155.8 432L160.6 434.4C172.1 440.2 184.2 444.9 196.8 448.5L202.3 449.1L203.3 464.9C204.4 482.4 218.1 496 236.5 496H275.5C293 496 307.6 482.4 308.7 464.9L309.9 447.8L315 446.1C326.6 442.3 337.7 437.6 348.2 431.9L353.1 429.3L366.4 440.1C379.6 452.5 399.5 451.9 411.9 439.5L439.5 411.9C451.9 399.5 452.5 379.6 440.1 366.4L429.3 353.1L431.9 348.2C437.6 337.7 442.3 326.6 446.1 315L447.8 309.9L464.9 308.7C482.4 307.6 496 293 496 275.5V236.5C496 218.1 482.4 204.4 464.9 203.3L449.1 202.3L448.5 196.8C444.9 184.2 440.2 172.1 434.4 160.6L432 155.8L440.1 145.6C452.5 132.4 451.9 112.5 439.5 100.1L411.9 72.53C399.5 60.12 379.6 59.46 366.4 71.02L358.5 77.91L353.6 75.05C341.3 67.98 328.2 62.16 314.5 57.75L309.3 56.09L308.7 47.12C307.6 29.61 293 15.1 275.5 15.1L236.5 16zM150.8 64.1L145.6 71.02z"],
    "toggle-large-off": [576, 512, [], "e5b0", "M0 256C0 167.6 71.63 96 160 96H416C504.4 96 576 167.6 576 256C576 344.4 504.4 416 416 416H160C71.63 416 0 344.4 0 256zM160 112C80.47 112 16 176.5 16 256C16 335.5 80.47 400 160 400C239.5 400 304 335.5 304 256C304 176.5 239.5 112 160 112zM416 400C495.5 400 560 335.5 560 256C560 176.5 495.5 112 416 112H229.8C283.2 137.9 320 192.7 320 256C320 319.3 283.2 374.1 229.8 400H416z"],
    "toggle-large-on": [576, 512, [], "e5b1", "M416 416H160C71.63 416 0 344.4 0 256C0 167.6 71.63 96 160 96H416C504.4 96 576 167.6 576 256C576 344.4 504.4 416 416 416zM272 256C272 335.5 336.5 400 416 400C495.5 400 560 335.5 560 256C560 176.5 495.5 112 416 112C336.5 112 272 176.5 272 256zM346.2 400C292.8 374.1 256 319.3 256 256C256 192.7 292.8 137.9 346.2 112H160C80.47 112 16 176.5 16 256C16 335.5 80.47 400 160 400H346.2z"],
    "toggle-off": [576, 512, [], "f204", "M160 160C213 160 256 202.1 256 256C256 309 213 352 160 352C106.1 352 64 309 64 256C64 202.1 106.1 160 160 160zM80 256C80 300.2 115.8 336 160 336C204.2 336 240 300.2 240 256C240 211.8 204.2 176 160 176C115.8 176 80 211.8 80 256zM416 416H160C71.63 416 0 344.4 0 256C0 167.6 71.63 96 160 96H416C504.4 96 576 167.6 576 256C576 344.4 504.4 416 416 416zM416 112H160C80.47 112 16 176.5 16 256C16 335.5 80.47 400 160 400H416C495.5 400 560 335.5 560 256C560 176.5 495.5 112 416 112z"],
    "toggle-on": [576, 512, [], "f205", "M512 256C512 309 469 352 416 352C362.1 352 320 309 320 256C320 202.1 362.1 160 416 160C469 160 512 202.1 512 256zM416 176C371.8 176 336 211.8 336 256C336 300.2 371.8 336 416 336C460.2 336 496 300.2 496 256C496 211.8 460.2 176 416 176zM0 256C0 167.6 71.63 96 160 96H416C504.4 96 576 167.6 576 256C576 344.4 504.4 416 416 416H160C71.63 416 0 344.4 0 256zM16 256C16 335.5 80.47 400 160 400H416C495.5 400 560 335.5 560 256C560 176.5 495.5 112 416 112H160C80.47 112 16 176.5 16 256z"],
    "toilet": [448, 512, [128701], "f7d8", "M8 16h432C444.4 16 448 12.42 448 8S444.4 0 440 0H8C3.578 0 0 3.578 0 8S3.578 16 8 16zM415.4 209.4C415.5 208.9 416 208.5 416 208V56c0-4.422-3.578-8-8-8S400 51.58 400 56v146.4C356.3 185.1 289 176 224 176S91.67 185.1 48 202.4V56c0-4.422-3.578-8-8-8S32 51.58 32 56V208c0 .5352 .4668 .8633 .5664 1.369C12.35 219.9 0 232.8 0 248c0 54.34 24.47 103.6 64 139.7V472C64 494.1 81.94 512 104 512h240c22.06 0 40-17.94 40-40v-84.3C423.5 351.6 448 302.3 448 248C448 232.8 435.6 219.9 415.4 209.4zM368 472c0 13.23-10.77 24-24 24h-240c-13.23 0-24-10.77-24-24v-71.02C118.1 430.3 169.2 448 224 448s105-17.73 144-47.02V472zM370.1 378.1c-.2676 .2266-.5234 .3516-.7598 .6113C332.6 411.6 280.9 432 224 432s-108.6-20.39-146.2-53.3c-.2363-.2598-.4922-.3848-.7598-.6113C47.07 351.6 26.4 317 19.1 278.5C56.27 305.6 142 320 224 320s167.7-14.39 204.9-41.55C421.6 317 400.9 351.6 370.1 378.1zM224 304c-122.6 0-208-29.52-208-56S101.4 192 224 192s208 29.52 208 56S346.6 304 224 304zM104 80C99.58 80 96 83.58 96 88S99.58 96 104 96h48C156.4 96 160 92.42 160 88S156.4 80 152 80H104z"],
    "toilet-paper": [576, 512, [129531], "f71e", "M463.1 0H131.1C75.34 0 32.02 85.22 32.02 194v166.7c0 32.64-7.729 52.31-22.35 95.39l-8.406 24.92C-3.914 496.2 7.498 512 23.48 512h283.1c16.83 0 31.7-10.72 37.01-26.64c14.36-43.07 24.39-74.15 24.39-124.6V192c0-97.05 43.06-176 95.1-176S560 94.95 560 192s-43.06 176-95.1 176h-47.1c-4.422 0-8 3.578-8 8s3.578 8 8 8h47.99C525.7 384 576 297.9 576 192S525.7 0 463.1 0zM351.1 192l.0131 168.8c0 49.19-10.44 80.33-22.51 116.4C324.9 490.8 316.6 496 306.6 496H23.48c-4.83 0-8.775-4.811-7.062-9.812l8.391-24.91c14.77-43.44 23.21-65.25 23.21-100.5V194C48.02 97.52 85.9 16 131.1 16h287.4C379.8 45.63 351.1 113.3 351.1 192zM504 192c0-41.05-17.2-72-39.1-72s-39.1 30.95-39.1 72s17.2 72 39.1 72S504 233 504 192zM439.1 192c0-32.05 12.68-56 24-56S488 159.1 488 192s-12.67 56-23.1 56S439.1 224 439.1 192zM159.1 224c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16s-16 7.162-16 16C143.1 216.8 151.2 224 159.1 224zM223.1 224c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16C215.2 192 207.1 199.2 207.1 208C207.1 216.8 215.2 224 223.1 224zM287.1 224c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16S271.1 199.2 271.1 208C271.1 216.8 279.2 224 287.1 224zM95.99 192c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16s16-7.164 16-16C111.1 199.2 104.8 192 95.99 192z"],
    "toilet-paper-blank": [576, 512, ["toilet-paper-alt"], "f71f", "M463.1 0H131.1C75.34 0 32.02 85.22 32.02 194v166.7c0 32.64-7.729 52.31-22.35 95.39l-8.406 24.92C-3.914 496.2 7.498 512 23.48 512h283.1c16.83 0 31.7-10.72 37.01-26.64c14.36-43.07 24.39-74.15 24.39-124.6V192c0-97.05 43.06-176 95.1-176S560 94.95 560 192s-43.06 176-95.1 176h-47.1c-4.422 0-8 3.578-8 8s3.578 8 8 8h47.99C525.7 384 576 297.9 576 192S525.7 0 463.1 0zM351.1 192l.0131 168.8c0 49.19-10.44 80.33-22.51 116.4C324.9 490.8 316.6 496 306.6 496H23.48c-4.83 0-8.775-4.811-7.062-9.812l8.391-24.91c14.77-43.44 23.21-65.25 23.21-100.5V194C48.02 97.52 85.9 16 131.1 16h287.4C379.8 45.63 351.1 113.3 351.1 192zM504 192c0-41.05-17.2-72-39.1-72s-39.1 30.95-39.1 72s17.2 72 39.1 72S504 233 504 192zM439.1 192c0-32.05 12.68-56 24-56S488 159.1 488 192s-12.67 56-23.1 56S439.1 224 439.1 192z"],
    "toilet-paper-blank-under": [512, 512, ["toilet-paper-reverse-alt"], "e29f", "M400 120c-22.8 0-40 30.95-40 72s17.2 72 40 72S440 233 440 192S422.8 120 400 120zM400 248c-11.33 0-24-23.95-24-56S388.7 136 400 136S423.1 159.1 423.1 192S411.3 248 400 248zM399.1 0H112C50.25 0 0 86.13 0 192s50.25 192 112 192H399.1c40.76 0 76.41-37.65 96-93.62V472c0 13.23-10.77 24-24 24h-304c-13.23 0-24-10.77-24-24v-48C144 419.6 140.4 416 136 416S128 419.6 128 424v48C128 494.1 145.9 512 168 512h304c22.06 0 40-17.94 40-40V192C512 86.13 461.7 0 399.1 0zM112 368c-52.94 0-96-78.95-96-176s43.06-176 96-176h243.4C315.8 45.63 287.1 113.3 287.1 192s27.78 146.4 67.38 176H112zM400 368c-52.94 0-96-78.95-96-176s43.06-176 96-176s96 78.95 96 176S452.9 368 400 368z"],
    "toilet-paper-check": [640, 512, [], "e5b2", "M221.7 253.7C218.5 256.8 213.5 256.8 210.3 253.7L162.3 205.7C159.2 202.5 159.2 197.5 162.3 194.3C165.5 191.2 170.5 191.2 173.7 194.3L216 236.7L290.3 162.3C293.5 159.2 298.5 159.2 301.7 162.3C304.8 165.5 304.8 170.5 301.7 173.7L221.7 253.7zM17.28 470.1C18.03 468.4 19.1 465.1 20.49 463.6L20.52 463.6C21.81 461.3 23.06 458.9 24.27 456.5C63.58 379.2 63.1 274.7 63.1 192C63.1 85.96 106.1 0 159.1 0H495.1C531.1 0 559.4 25.87 577.9 59.89C596.8 94.51 607.1 141.2 607.1 192C607.1 242.8 596.8 289.5 577.9 324.1C559.4 358.1 531.1 384 495.1 384C466.2 384 441.4 365.4 423.2 339C424.3 330.6 425.3 321.9 426.2 312.9C443.7 346.8 468.5 368 495.1 368C549 368 591.1 289.2 591.1 191.1C591.1 94.8 549 15.1 495.1 15.1C442.1 15.1 399.1 94.8 399.1 191.1C399.1 224.3 398.9 253.6 396.9 280.2L396.8 282.3C389.1 385.3 369.5 446.7 357.3 475.9C347.3 499.9 324.2 512 301.9 512H47.1C36.47 512 25.83 505.8 20.15 495.8C15.82 488.1 14.86 479.2 17.28 470.1L17.28 470.1zM106.4 63.39C90.38 95.48 79.1 140.9 79.1 192C79.1 234.5 79.9 283.8 74.29 332.4C68.68 380.9 57.47 429.8 34.53 471.3C34.44 471.5 34.34 471.7 34.24 471.8C31.3 476.7 31.22 482.8 34.07 487.9C36.91 492.9 42.23 496 47.1 496H301.9C318.7 496 335.4 486.9 342.5 469.8C357 434.1 384 348.9 384 192C384 141.2 395.2 94.51 414.1 59.89C423.7 42.24 435.9 26.79 450.4 16H159.1C142.8 16 122.9 30.35 106.4 63.39L106.4 63.39zM475.4 254.1C470.6 250.2 467 244.2 464.3 237.9C458.9 225.3 455.1 209.1 455.1 192C455.1 174.9 458.9 158.7 464.3 146.1C467 139.8 470.6 133.8 475.4 129C480.3 124.2 487.3 120 495.1 120C504.7 120 511.7 124.2 516.6 129C521.4 133.8 524.1 139.8 527.7 146.1C533.1 158.7 535.1 174.9 535.1 192C535.1 209.1 533.1 225.3 527.7 237.9C524.1 244.2 521.4 250.2 516.6 254.1C511.7 259.8 504.7 264 495.1 264C487.3 264 480.3 259.8 475.4 254.1zM495.1 136C482.7 136 471.1 161.1 471.1 192C471.1 222.9 482.7 248 495.1 248C509.3 248 519.1 222.9 519.1 192C519.1 161.1 509.3 136 495.1 136V136z"],
    "toilet-paper-slash": [640, 512, [], "e072", "M456 192c0 41.05 17.2 72 39.1 72S536 233 536 192s-17.2-72-39.1-72S456 150.1 456 192zM520 192c0 32.05-12.67 56-23.1 56S471.1 224 471.1 192s12.68-56 24-56S520 159.1 520 192zM163.1 16h287.4c-39.6 29.63-67.39 97.32-67.39 175.1l.0137 22.89l16 12.72V192c0-97.05 43.06-176 95.1-176S592 94.95 592 192c0 64.13-18.86 120.2-46.89 150.1l12.11 9.627c30.53-34.33 50.78-93.44 50.78-160.6C607.1 86.12 557.7 0 495.1 0H163.1C151.5 0 139.7 4.367 128.8 12.02l13.24 10.53C149 18.41 156.4 16 163.1 16zM361.5 477.1C356.9 490.8 348.6 496 338.6 496H55.48c-4.83 0-8.775-4.811-7.062-9.812l8.391-24.91c14.77-43.44 23.21-65.25 23.21-100.5V194c0-12.08 .5957-23.93 1.725-35.41L66.96 146.8c-1.855 15.08-2.943 30.8-2.943 47.15v166.7c0 32.64-7.729 52.31-22.35 95.39l-8.406 24.92C28.09 496.2 39.5 512 55.48 512h283.1c16.83 0 31.7-10.72 37.01-26.64c9.238-27.71 16.64-50.52 20.77-76.66l-14.62-11.62C378.1 427 370.3 450.9 361.5 477.1zM636.1 497.7L12.99 1.73C11.53 .5664 9.771 0 8.025 0C5.674 0 3.336 1.027 1.738 3.012c-2.75 3.469-2.172 8.5 1.281 11.25l623.1 496C628.5 511.4 630.2 512 631.1 512c2.344 0 4.688-1.031 6.266-3.016C641 505.5 640.4 500.5 636.1 497.7z"],
    "toilet-paper-under": [512, 512, ["toilet-paper-reverse"], "e2a0", "M63.98 192c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16s15.1-7.164 15.1-16C79.98 199.2 72.82 192 63.98 192zM144 192C135.2 192 127.1 199.2 127.1 207.1C127.1 216.8 135.2 224 144 224s15.99-7.167 15.99-16C159.1 199.2 152.8 192 144 192zM399.1 0H112C50.25 0 0 86.13 0 192s50.25 192 112 192H399.1c40.76 0 76.41-37.65 96-93.62V472c0 13.23-10.77 24-24 24h-304c-13.23 0-24-10.77-24-24v-48C144 419.6 140.4 416 136 416S128 419.6 128 424v48C128 494.1 145.9 512 168 512h304c22.06 0 40-17.94 40-40V192C512 86.13 461.7 0 399.1 0zM112 368c-52.94 0-96-78.95-96-176s43.06-176 96-176h243.4C315.8 45.63 287.1 113.3 287.1 192s27.78 146.4 67.38 176H112zM400 368c-52.94 0-96-78.95-96-176s43.06-176 96-176s96 78.95 96 176S452.9 368 400 368zM223.1 192c-8.836 0-16.01 7.162-16.01 16c0 8.836 7.174 16 16.01 16s15.99-7.164 15.99-16C239.1 199.2 232.8 192 223.1 192zM400 120c-22.8 0-40 30.95-40 72s17.2 72 40 72S440 233 440 192S422.8 120 400 120zM400 248c-11.33 0-24-23.95-24-56S388.7 136 400 136S423.1 159.1 423.1 192S411.3 248 400 248z"],
    "toilet-paper-under-slash": [640, 512, ["toilet-paper-reverse-slash"], "e2a1", "M636.1 497.7l-248.6-197.6c0-.002 0 .002 0 0l-23.11-18.37c.002 .002-.002 0 0 0L12.99 1.73C11.53 .5664 9.771 0 8.025 0C5.674 0 3.336 1.027 1.738 3.012c-2.75 3.469-2.172 8.5 1.281 11.25l623.1 496C628.5 511.4 630.2 512 631.1 512c2.344 0 4.688-1.031 6.266-3.016C641 505.5 640.4 500.5 636.1 497.7zM176 16h243.4c-39.18 29.31-66.69 95.93-67.27 173.5l16.18 12.86C368.2 198.9 368 195.5 368 192c0-97.05 43.06-176 96-176s96 78.95 96 176c0 54.31-13.5 102.9-34.66 135.2l11.78 9.359C546 323.3 553.9 307.9 560 290.4v64.4l16 12.72L576 192c0-105.9-50.25-192-112-192H176c-15.39 0-30.06 5.359-43.42 15.03L145.5 25.28C155.1 19.35 165.3 16 176 16zM560 436.5l16 12.72L560 436.5zM464 120c-22.8 0-40 30.95-40 72s17.2 72 40 72S504 233 504 192S486.8 120 464 120zM464 248c-11.33 0-24-23.95-24-56S452.7 136 464 136S487.1 159.1 487.1 192S475.3 248 464 248zM345.2 368H176c-52.94 0-96-78.95-96-176c0-11.42 .6426-22.56 1.781-33.38l-14.55-11.57C65.19 161.5 64 176.5 64 192c0 105.9 50.25 192 112 192h189.3L345.2 368zM232 496c-13.23 0-24-10.77-24-24v-48C208 419.6 204.4 416 200 416S192 419.6 192 424v48C192 494.1 209.9 512 232 512h294.3l-20.13-16H232zM472.7 367.2l15.1 12.01L472.7 367.2C472.7 367.2 472.8 367.2 472.7 367.2zM104.7 74.61L92.33 64.8L104.7 74.61z"],
    "toilet-paper-xmark": [512, 512, [], "e5b3", "M229.7 253.7C226.5 256.8 221.5 256.8 218.3 253.7L167.1 203.3L117.7 253.7C114.5 256.8 109.5 256.8 106.3 253.7C103.2 250.5 103.2 245.5 106.3 242.3L156.7 192L106.3 141.7C103.2 138.5 103.2 133.5 106.3 130.3C109.5 127.2 114.5 127.2 117.7 130.3L167.1 180.7L218.3 130.3C221.5 127.2 226.5 127.2 229.7 130.3C232.8 133.5 232.8 138.5 229.7 141.7L179.3 192L229.7 242.3C232.8 245.5 232.8 250.5 229.7 253.7zM379.4 254.1C374.6 250.2 371 244.2 368.3 237.9C362.9 225.3 360 209.1 360 192C360 174.9 362.9 158.7 368.3 146.1C371 139.8 374.6 133.8 379.4 129C384.3 124.2 391.3 120 400 120C408.7 120 415.7 124.2 420.6 129C425.4 133.8 428.1 139.8 431.7 146.1C437.1 158.7 440 174.9 440 192C440 209.1 437.1 225.3 431.7 237.9C428.1 244.2 425.4 250.2 420.6 254.1C415.7 259.8 408.7 264 400 264C391.3 264 384.3 259.8 379.4 254.1zM400 136C386.7 136 376 161.1 376 192C376 222.9 386.7 248 400 248C413.3 248 424 222.9 424 192C424 161.1 413.3 136 400 136zM496 472V291.5C491.6 304 486.4 315.6 480.5 326C461 360.5 432.9 384 400 384H112C79.13 384 50.98 360.5 31.5 326C11.88 291.3 0 243.9 0 192C0 140.1 11.88 92.66 31.5 57.96C50.98 23.49 79.13 0 112 0H400C432.9 0 461 23.49 480.5 57.96C500.1 92.66 512 140.1 512 192V472C512 494.1 494.1 512 472 512H200C177.9 512 160 494.1 160 472V416H176V472C176 485.3 186.7 496 200 496H472C485.3 496 496 485.3 496 472zM45.43 318.2C63.59 350.3 87.44 368 112 368H354.8C341.2 357.8 329.3 343.3 319.5 326C299.9 291.3 288 243.9 288 192C288 140.1 299.9 92.66 319.5 57.96C329.3 40.69 341.2 26.18 354.8 16H112C87.44 16 63.59 33.7 45.43 65.83C27.4 97.72 16 142.3 16 192C16 241.7 27.4 286.3 45.43 318.2V318.2zM304 192C304 241.7 315.4 286.3 333.4 318.2C351.6 350.3 375.4 368 400 368C424.6 368 448.4 350.3 466.6 318.2C484.6 286.3 496 241.7 496 192C496 142.3 484.6 97.72 466.6 65.83C448.4 33.7 424.6 16 400 16C375.4 16 351.6 33.7 333.4 65.83C315.4 97.72 304 142.3 304 192V192z"],
    "toilet-portable": [320, 512, [], "e583", "M264 216C268.4 216 272 219.6 272 224C272 228.4 268.4 232 264 232H248C243.6 232 240 235.6 240 240V304C240 308.4 243.6 312 248 312H264C268.4 312 272 315.6 272 320C272 324.4 268.4 328 264 328H248C234.7 328 224 317.3 224 304V240C224 226.7 234.7 216 248 216H264zM304 504C304 508.4 300.4 512 296 512C291.6 512 288 508.4 288 504V464H32V504C32 508.4 28.42 512 24 512C19.58 512 16 508.4 16 504V56C16 25.07 41.07 0 72 0H248C278.9 0 304 25.07 304 56V504zM32 96H288V56C288 33.91 270.1 16 248 16H72C49.91 16 32 33.91 32 56V96zM288 448V112H32V448H288z"],
    "toilets-portable": [576, 512, [], "e584", "M176 240C176 226.7 186.7 216 200 216H216C220.4 216 224 219.6 224 224C224 228.4 220.4 232 216 232H200C195.6 232 192 235.6 192 240V304C192 308.4 195.6 312 200 312H216C220.4 312 224 315.6 224 320C224 324.4 220.4 328 216 328H200C186.7 328 176 317.3 176 304V240zM8 512C3.582 512 0 508.4 0 504V56C0 25.07 25.07 0 56 0H200C230.9 0 256 25.07 256 56V504C256 508.4 252.4 512 248 512C243.6 512 240 508.4 240 504V464H16V504C16 508.4 12.42 512 8 512zM56 16C33.91 16 16 33.91 16 56V96H240V56C240 33.91 222.1 16 200 16H56zM240 112H16V448H240V112zM496 240C496 226.7 506.7 216 520 216H536C540.4 216 544 219.6 544 224C544 228.4 540.4 232 536 232H520C515.6 232 512 235.6 512 240V304C512 308.4 515.6 312 520 312H536C540.4 312 544 315.6 544 320C544 324.4 540.4 328 536 328H520C506.7 328 496 317.3 496 304V240zM328 512C323.6 512 320 508.4 320 504V56C320 25.07 345.1 0 376 0H520C550.9 0 576 25.07 576 56V504C576 508.4 572.4 512 568 512C563.6 512 560 508.4 560 504V464H336V504C336 508.4 332.4 512 328 512zM376 16C353.9 16 336 33.91 336 56V96H560V56C560 33.91 542.1 16 520 16H376zM560 112H336V448H560V112z"],
    "tomato": [512, 512, [], "e330", "M473.2 186.9c-2.906-3.438-7.906-3.844-11.28-1.047c-3.375 2.828-3.844 7.875-1.031 11.27C484.2 225.2 496 261.2 496 304.3C496 443.1 360.5 496 275.1 496H236.9C151.5 496 16 443.1 16 304.3c0-43.08 11.78-79.14 35.03-107.2c2.812-3.406 2.344-8.453-1.062-11.27C46.69 183.1 41.53 183.5 38.72 186.9C13.38 217.5 0 258 0 304.3C0 455.6 145.3 512 236.9 512h38.19C366.7 512 512 455.6 512 304.3C512 258.1 498.6 217.5 473.2 186.9zM64 168h83.06L120.8 220.4C119.3 223.5 119.9 227.2 122.3 229.7c2.406 2.422 6.156 2.984 9.219 1.5L256 168.9l124.4 62.22C381.6 231.7 382.8 232 384 232c2.062 0 4.125-.8125 5.656-2.344c2.438-2.438 3.031-6.156 1.5-9.234L364.9 168H448c3.219 0 5.75-2.297 7-5.266s.2187-6.766-2-9.062C436.6 136.8 374.9 83.1 264 80.48V71.99c0-27.57-13.16-53.88-35.19-70.42c-3.562-2.611-8.562-1.908-11.22 1.609C214.9 6.715 215.7 11.73 219.2 14.39C237.2 27.91 248 49.44 248 71.99v8.488C137.2 83.1 75.46 136.8 58.72 154c-2.5 2.203-3.375 5.719-2.188 8.828C57.69 165.9 60.69 168 64 168zM248 96.38V119.1C248 124.4 251.6 128 256 128s8-3.58 8-8.002V96.38C347.9 98.43 401.6 130.1 427.4 152H352c-2.781 0-5.344 1.438-6.812 3.797c-1.438 2.359-1.594 5.297-.3438 7.781l21.28 42.53l-106.6-53.27C258.4 152.3 257.2 152 256 152S253.6 152.3 252.4 152.8L145.9 206.1l21.28-42.53c1.25-2.484 1.094-5.422-.3438-7.781C165.3 153.4 162.8 152 160 152H84.63C110.4 130.1 164.2 98.43 248 96.38z"],
    "tombstone": [448, 512, [], "f720", "M40 464c4.406 0 8-3.578 8-8V192c0-97.05 78.97-176 176-176s176 78.95 176 176v264c0 4.422 3.594 8 8 8S416 460.4 416 456l-.0012-264C415.1 86.12 329.9 0 223.1 0S31.1 86.13 31.1 192L32 456C32 460.4 35.59 464 40 464zM224 360c4.406 0 8-3.578 8-8V200H320c4.406 0 8-3.578 8-8s-3.607-8.005-8.014-8.005L232 184V96c0-4.422-3.594-8-8-8S216 91.58 216 96v88L127.1 184C123.6 184 120 187.6 120 192S123.6 200 128 200h88V352C216 356.4 219.6 360 224 360zM440 496H8C3.594 496 0 499.6 0 504S3.594 512 8 512h432c4.406 0 8-3.578 8-8S444.4 496 440 496z"],
    "tombstone-blank": [448, 512, [129702, "tombstone-alt"], "f721", "M40 464c4.406 0 8-3.578 8-8V192c0-97.05 78.97-176 176-176s176 78.95 176 176v264c0 4.422 3.594 8 8 8S416 460.4 416 456l-.0012-264c0-105.9-86.13-191.1-192-191.1S31.1 86.13 31.1 192L32 456C32 460.4 35.59 464 40 464zM440 496H8C3.594 496 0 499.6 0 504S3.594 512 8 512h432c4.406 0 8-3.578 8-8S444.4 496 440 496z"],
    "toolbox": [512, 512, [129520], "f552", "M502.6 214.6l-77.25-77.25C419.4 131.4 411.2 128 402.7 128H384V72C384 49.94 366.1 32 344 32h-176C145.9 32 128 49.94 128 72V128H109.3C100.8 128 92.63 131.4 86.63 137.4L9.373 214.6C3.371 220.6 0 228.8 0 237.3V416c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V237.3C512 228.8 508.6 220.6 502.6 214.6zM144 72c0-13.23 10.78-24 24-24h176c13.22 0 24 10.77 24 24V128h-224V72zM496 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48v-88h136v48c0 4.422 3.594 8 7.1 8S168 380.4 168 376v-48h176v48c0 4.422 3.594 8 8 8s8-3.578 8-8v-48h136V416zM496 312h-136v-48C360 259.6 356.4 256 352 256s-8 3.578-8 8v48h-176v-48C168 259.6 164.4 256 160 256S152 259.6 152 264v48H16V237.3c0-4.273 1.664-8.291 4.688-11.31l77.25-77.25C100.1 145.7 104.1 144 109.3 144h293.5c4.273 0 8.291 1.664 11.31 4.686l77.26 77.26C494.3 228.1 496 232.1 496 237.3V312z"],
    "tooth": [448, 512, [129463], "f5c9", "M393.5 219c-15.1 22.19-25.03 49.72-28.43 86.64c-2.969 32.94-7.623 76.32-17.28 119.5l-6.467 28.6C337.1 468.9 324.5 480 309.2 480c-15.21 0-28.37-10.55-31.99-25.66l-28.31-114.2c-2.967-11.89-13.18-20.19-24.9-20.19c-11.81 0-22.03 8.281-24.87 20.12l-28.37 114.3C167.2 469.5 154 480 138.8 480c-15.46 0-28.71-10.8-32.24-26.27l-6.375-28.61c-9.467-42.22-14.09-84.07-17.4-119.4C79.52 268.8 70.52 241.3 54.46 219C33.84 190.3 27.13 154.9 35.53 119.4C45.21 78.42 77.12 45.06 116.8 34.4c19.31-5.109 39.77-1.891 60.74 9.424l83.17 54.89c3.688 2.438 4.719 7.391 2.281 11.08c-2.5 3.719-7.467 4.688-11.09 2.266L169.4 57.54C152.4 48.46 136.4 45.79 120.9 49.85c-34.05 9.156-61.49 37.89-69.83 73.21c-7.312 30.97-1.5 61.74 16.37 86.61c17.81 24.72 27.74 54.77 31.24 94.57c3.248 34.81 7.811 76.04 17.09 117.4l6.373 28.6c1.844 8.094 8.686 13.77 16.62 13.77c7.779 0 14.56-5.5 16.44-13.38l28.37-114.3c4.531-19.02 21.15-32.35 40.4-32.35c19.09 0 35.71 13.3 40.43 32.35l28.31 114.2c1.906 7.938 8.686 13.44 16.46 13.44c7.842 0 14.78-5.781 16.53-13.75l6.469-28.63c9.467-42.22 14.03-84.93 16.96-117.4c3.686-39.89 13.65-69.94 31.37-94.55c17.9-24.8 23.71-55.57 16.37-86.61c-8.342-35.31-35.78-64.05-69.86-73.22c-20.46-5.438-42.02 .875-66.3 19.22c-3.498 2.656-8.529 1.984-11.19-1.547c-2.654-3.531-1.967-8.547 1.562-11.2c28.03-21.21 54.93-28.61 80.05-21.92c39.71 10.67 71.61 44.03 81.29 84.99C420.9 155 414.2 190.4 393.5 219z"],
    "toothbrush": [576, 512, [129701], "f635", "M568 464H32c-9.709 0-17.43-8.693-15.78-18.71C17.52 437.4 24.93 432 32.9 432H568c4.418 0 8-3.582 8-8S572.4 416 568 416H448V264C448 259.6 444.4 256 440 256S432 259.6 432 264V416H384V264C384 259.6 380.4 256 376 256S368 259.6 368 264V416H320V264C320 259.6 316.4 256 312 256S304 259.6 304 264V416H256V264C256 259.6 252.4 256 248 256S240 259.6 240 264V416H192V264C192 259.6 188.4 256 184 256S176 259.6 176 264V416H128V264C128 259.6 124.4 256 120 256S112 259.6 112 264V416H64V264C64 259.6 60.41 256 56 256S48 259.6 48 264V416H33.38c-16.71 0-31.64 12.22-33.22 28.86C-1.67 463.9 13.29 480 32 480h536c4.418 0 8-3.582 8-8S572.4 464 568 464zM64 224h346.1C448.7 224 480 194.1 480 157.3C480 88.22 420.9 32 348.3 32c-3.281 0-6.219 2-7.438 5.031c-1.219 3.047-.4375 6.516 1.938 8.766c9.844 9.359 9.469 22.44 5.844 31.56C345 86.36 336.3 96 322.7 96H64C28.72 96 0 124.7 0 160S28.72 224 64 224zM64 112h258.7c18.09 0 33.75-11 40.81-28.72c4.594-11.53 4.562-23.78 .3438-34.3C420.3 56.17 464 102 464 157.3C464 185.3 439.8 208 410.1 208H64C37.53 208 16 186.5 16 160S37.53 112 64 112z"],
    "torii-gate": [512, 512, [9961], "f6a1", "M448 160H432V240H504C508.4 240 512 243.6 512 248C512 252.4 508.4 256 504 256H432V504C432 508.4 428.4 512 424 512C419.6 512 416 508.4 416 504V256H96V504C96 508.4 92.42 512 88 512C83.58 512 80 508.4 80 504V256H8C3.582 256 0 252.4 0 248C0 243.6 3.582 240 8 240H80V160H64C28.65 160 0 131.3 0 96V0L71.37 23.79C87.68 29.23 104.8 32 121.1 32H390C407.2 32 424.3 29.23 440.6 23.79L512 0V96C512 131.3 483.3 160 448 160zM64 144H448C474.5 144 496 122.5 496 96V22.2L445.7 38.97C427.7 44.95 408.1 48 390 48H121.1C103 48 84.25 44.95 66.31 38.97L16 22.2V96C16 122.5 37.49 144 64 144V144zM96 240H248V160H96V240zM264 160V240H416V160H264z"],
    "tornado": [448, 512, [127786], "f76f", "M387.2 203.3c-25.06-28.56-48.75-55.53-46.53-87.97c2.031-29.31 24.94-62.44 69.1-101.3c2.531-2.188 3.437-5.719 2.281-8.844S408.8 0 405.4 0L8.17 .0313c-4.344 0-7.875 3.469-7.1 7.781C-4.736 192.2 97.42 246.1 187.6 293.7c82.97 43.81 154.6 81.63 140.2 209.4c-.4062 3.375 1.406 6.625 4.437 8.094C333.3 511.8 334.5 512 335.7 512c2.062 0 4.094-.7813 5.625-2.312C413.1 438.9 447.1 378.3 448 324.4C448 272.6 415.7 235.8 387.2 203.3zM16.01 16.03L384.6 16c-38.62 36.34-57.75 67.88-59.84 98.28c-.1348 1.943 .1035 3.76 .1055 5.656H30.32C20.88 91.33 15.6 57.32 16.01 16.03zM195 279.6C132.3 246.4 68.15 212.3 36.42 135.9h290c5.924 28.8 26.71 52.86 48.75 77.94c17.1 20.5 36.28 41.5 47.09 66.06H195.7L195 279.6zM225.5 295.9h202.4c2.488 8.975 4.084 18.36 4.076 28.47c-.0313 45.53-28.41 97.5-86.59 158.4C349.8 377.3 293 333.3 225.5 295.9z"],
    "tower-broadcast": [576, 512, ["broadcast-tower"], "f519", "M134.9 64.65C130.8 62.96 126.1 64.73 124.3 68.78C116.1 87.46 112 107.4 112 127.1c0 20.58 4.141 40.5 12.33 59.21c1.312 3 4.25 4.797 7.328 4.797c1.078 0 2.156-.2187 3.203-.6719c4.047-1.766 5.891-6.484 4.125-10.53C131.7 164.1 128 146.3 128 127.1c0-18.38 3.703-36.15 10.98-52.8C140.8 71.14 138.9 66.42 134.9 64.65zM36.17 .6478c-4-1.719-8.766 .0938-10.53 4.125C8.625 43.7 0 85.17 0 127.1S8.625 212.3 25.64 251.2C26.95 254.2 29.89 255.1 32.97 255.1c1.078 0 2.156-.2187 3.203-.6719c4.047-1.766 5.891-6.484 4.125-10.53C24.17 207.9 16 168.6 16 127.1s8.172-79.91 24.3-116.8C42.06 7.134 40.22 2.413 36.17 .6478zM550.4 4.773c-1.766-4.031-6.453-5.844-10.53-4.125c-4.047 1.766-5.891 6.486-4.125 10.53C551.8 48.07 560 87.37 560 127.1s-8.172 79.91-24.3 116.8c-1.766 4.047 .0781 8.766 4.125 10.53c1.047 .4531 2.125 .6719 3.203 .6719c3.078 0 6.016-1.797 7.328-4.797C567.4 212.3 576 170.8 576 127.1S567.4 43.7 550.4 4.773zM441.1 64.65c-4.047 1.766-5.891 6.484-4.125 10.53C444.3 91.85 448 109.6 448 127.1c0 18.36-3.703 36.12-10.98 52.79c-1.766 4.047 .0781 8.766 4.125 10.53c1.047 .4531 2.125 .6719 3.203 .6719c3.078 0 6.016-1.797 7.328-4.797C459.9 168.5 464 148.6 464 127.1c0-20.58-4.141-40.5-12.33-59.21C449.9 64.73 445.2 62.96 441.1 64.65zM288 79.98c-26.47 0-48 21.53-48 48c0 23.73 17.35 43.36 40 47.19v328.8c0 4.422 3.578 7.999 8 7.999s8-3.577 8-7.999V175.2c22.65-3.836 40-23.46 40-47.19C336 101.5 314.5 79.98 288 79.98zM288 160c-17.64 0-32-14.35-32-32c0-17.64 14.36-31.1 32-31.1s32 14.35 32 31.1C320 145.6 305.6 160 288 160z"],
    "tower-cell": [576, 512, [], "e585", "M46.07 16.54C50.19 18.13 52.24 22.76 50.66 26.88C38.63 58.09 32 92.22 32 128C32 163.8 38.63 197.9 50.66 229.1C52.24 233.2 50.19 237.9 46.07 239.5C41.94 241.1 37.31 239 35.73 234.9C22.1 201.9 16 165.8 16 128C16 90.23 22.1 54.15 35.73 21.13C37.31 17 41.94 14.95 46.07 16.54V16.54zM529.9 16.54C534.1 14.95 538.7 17 540.3 21.13C553 54.15 560 90.23 560 128C560 165.8 553 201.9 540.3 234.9C538.7 239 534.1 241.1 529.9 239.5C525.8 237.9 523.8 233.2 525.3 229.1C537.4 197.9 544 163.8 544 128C544 92.22 537.4 58.09 525.3 26.88C523.8 22.76 525.8 18.13 529.9 16.54V16.54zM479.3 500.6C481.1 504.6 479.4 509.4 475.4 511.3C471.4 513.1 466.6 511.4 464.7 507.4L414.1 399.1H161L111.3 507.4C109.4 511.4 104.6 513.1 100.6 511.3C96.63 509.4 94.88 504.6 96.74 500.6L246.7 176.9C232.8 165.2 224 147.6 224 127.1C224 92.65 252.7 63.1 288 63.1C323.3 63.1 352 92.65 352 127.1C352 147.6 343.2 165.2 329.3 176.9L479.3 500.6zM288 175.1C314.5 175.1 336 154.5 336 127.1C336 101.5 314.5 79.1 288 79.1C261.5 79.1 240 101.5 240 127.1C240 154.5 261.5 175.1 288 175.1zM407.6 383.1L370.5 303.1H205.5L168.4 383.1H407.6zM288 191.1C278.1 191.1 268.7 189.7 260.3 185.7L212.9 287.1H363.1L315.7 185.7C307.3 189.7 297.9 191.1 288 191.1V191.1zM128 127.1C128 149.6 132.5 170.2 140.6 188.8C142.4 192.8 140.6 197.6 136.5 199.3C132.5 201.1 127.8 199.2 125.1 195.2C116.1 174.6 111.1 151.9 111.1 127.1C111.1 104.1 116.1 81.38 125.1 60.79C127.8 56.74 132.5 54.9 136.5 56.67C140.6 58.43 142.4 63.15 140.6 67.2C132.5 85.81 128 106.4 128 127.1V127.1zM464 127.1C464 151.9 459 174.6 450 195.2C448.2 199.2 443.5 201.1 439.5 199.3C435.4 197.6 433.6 192.8 435.4 188.8C443.5 170.2 448 149.6 448 127.1C448 106.4 443.5 85.81 435.4 67.2C433.6 63.15 435.4 58.43 439.5 56.67C443.5 54.9 448.2 56.74 450 60.79C459 81.38 464 104.1 464 127.1V127.1z"],
    "tower-control": [448, 512, [], "e2a2", "M280.1 0C285.4 0 288.1 3.582 288.1 8C288.1 12.42 285.4 16 280.1 16H232.1V80H288.1C306.6 80 320.1 94.33 320.1 112V128H409.9C430.8 128 446.1 147.8 440.9 168.1L400.8 321.7C409.7 325.2 416 333.8 416 344V360C416 373.3 405.3 384 392 384H368.1V504C368.1 508.4 365.4 512 360.1 512C356.5 512 352.1 508.4 352.1 504V384H96.95V504C96.95 508.4 93.37 512 88.95 512C84.54 512 80.95 508.4 80.95 504V384H55.1C42.74 384 31.1 373.3 31.1 360V344C31.1 333.2 39.14 324.1 48.96 321L9.057 168.1C3.768 147.8 19.07 128 40.02 128H128.1V112C128.1 94.33 143.3 80 160.1 80H216.1V16H168.1C164.5 16 160.1 12.42 160.1 8C160.1 3.582 164.5 0 168.1 0H280.1zM384.7 320L425.4 164C428 153.9 420.4 144 409.9 144H320.1V168L320.1 168.1V320H384.7zM304.1 320V160L304.1 159.9V144H144.1V168L144.1 168.1V320H304.1zM128.1 320V160L128.1 159.9V144H40.02C29.54 144 21.89 153.9 24.54 164L65.22 320H128.1zM392 368C396.4 368 400 364.4 400 360V344C400 339.6 396.4 336 392 336H55.1C51.58 336 47.1 339.6 47.1 344V360C47.1 364.4 51.58 368 55.1 368H392zM304.1 112C304.1 103.2 297.8 96 288.1 96H160.1C152.1 96 144.1 103.2 144.1 112V128H304.1V112z"],
    "tower-observation": [512, 512, [], "e586", "M144 120C144 106.7 154.7 96 168 96H344C357.3 96 368 106.7 368 120V152C368 165.3 357.3 176 344 176H168C154.7 176 144 165.3 144 152V120zM160 120V152C160 156.4 163.6 160 168 160H344C348.4 160 352 156.4 352 152V120C352 115.6 348.4 112 344 112H168C163.6 112 160 115.6 160 120zM252.3 .9074C254.6-.3025 257.4-.3025 259.7 .9074L443.7 96.91C447.6 98.95 449.1 103.8 447.1 107.7C445 111.6 440.2 113.1 436.3 111.1L416 100.5V184C416 206.1 398.1 224 376 224H345.7L398.6 496H504C508.4 496 512 499.6 512 504C512 508.4 508.4 512 504 512H8C3.582 512 0 508.4 0 504C0 499.6 3.582 496 8 496H113.4L166.3 224H136C113.9 224 96 206.1 96 184V100.5L75.7 111.1C71.78 113.1 66.95 111.6 64.91 107.7C62.86 103.8 64.38 98.95 68.3 96.91L252.3 .9074zM112 92.15V184C112 197.3 122.7 208 136 208H376C389.3 208 400 197.3 400 184V92.15L256 17.02L112 92.15zM382.3 496L376.1 468.7L256 373.6L135 468.7L129.7 496H382.3zM256 353.3L341.5 286.1L329.4 224H182.6L170.5 286.1L256 353.3zM167.1 303.7L139.7 444.6L243.1 363.4L167.1 303.7zM268.1 363.4L372.3 444.6L344.9 303.7L268.1 363.4z"],
    "tractor": [640, 512, [128668], "f722", "M256 336C256 380.2 220.2 416 176 416C131.8 416 96 380.2 96 336C96 291.8 131.8 256 176 256C220.2 256 256 291.8 256 336zM176 400C211.3 400 240 371.3 240 336C240 300.7 211.3 272 176 272C140.7 272 112 300.7 112 336C112 371.3 140.7 400 176 400zM112 160C112 164.4 108.4 168 104 168C99.58 168 96 164.4 96 160V40C96 17.91 113.9 0 136 0H267.3C283 0 297.3 9.231 303.8 23.59L365.2 160H496V111.8C496 84.18 506.1 57.73 526.5 38.23L530.3 34.34C533.5 31.22 538.5 31.22 541.7 34.34C544.8 37.47 544.8 42.53 541.7 45.66L537.8 49.54C521.3 66.04 512 88.43 512 111.8V159.1H608C625.7 159.1 640 174.3 640 191.1V254.1C640 262.7 637.2 270.2 632.1 276.1L596.4 316.9C585.7 329 570.4 336 554.2 336H352V352.9C352 373.4 336.4 390.6 315.1 392.7L313.4 392.9L315 394.9C328.1 410.8 326.9 433.1 312.4 448.5L288.5 472.4C273.1 486.9 250.8 488.1 234.9 475L232.9 473.4L232.7 475.1C230.6 496.4 213.4 512 192.9 512H159.1C138.6 512 121.4 496.4 119.3 475.1L119.1 473.4L117.1 475C101.2 488.1 78 486.9 63.47 472.4L39.63 448.5C25.1 433.1 23.94 410.8 36.95 394.9L38.59 392.9L36.02 392.7C15.57 390.6 0 373.4 0 352.9V319.1C0 298.6 15.57 281.4 36.02 279.3L38.59 279.1L36.95 277.1C23.94 261.2 25.1 237.1 39.63 223.5L63.47 199.6C78 185.1 101.2 183.9 117.1 196.1L119.1 198.6L119.3 196C121.4 175.6 138.6 159.1 159.1 159.1H192.9C213.4 159.1 230.6 175.6 232.7 196L232.9 198.6L234.9 196.1C250.8 183.9 273.1 185.1 288.5 199.6L312.4 223.5C326.9 238 328.1 261.2 315 277.1L313.4 279.1L315.1 279.3C336.4 281.4 352 298.6 352 319.1V319.1H554.2C565.8 319.1 576.7 315 584.3 306.3L620 265.5C622.6 262.6 624 258.9 624 254.1V191.1C624 183.2 616.8 175.1 608 175.1H287.1C283.6 175.1 279.1 172.4 279.1 167.1C279.1 163.6 283.6 159.1 287.1 159.1H347.6L289.2 30.15C285.3 21.54 276.8 15.1 267.3 15.1H135.1C122.7 15.1 111.1 26.74 111.1 39.1L112 160zM336 319.1C336 306.8 326.7 296.5 314.4 295.3L298.5 293.7L296.7 289.1C296 287.3 295.3 285.6 294.5 283.8L292.5 279.3L302.7 266.1C310.5 257.4 309.8 243.5 301.1 234.8L277.2 210.9C268.5 202.2 254.6 201.5 245 209.3L232.7 219.5L228.2 217.5C226.4 216.7 224.7 215.1 222.9 215.3L218.3 213.5L216.7 197.6C215.5 185.3 205.2 176 192.9 176H159.1C146.8 176 136.5 185.3 135.3 197.6L133.7 213.5L129.1 215.3C127.3 215.1 125.6 216.7 123.8 217.5L119.3 219.5L106.1 209.3C97.41 201.5 83.5 202.2 74.78 210.9L50.94 234.8C42.22 243.5 41.53 257.4 49.34 266.1L59.47 279.3L57.49 283.8C56.72 285.6 55.99 287.3 55.3 289.1L53.52 293.7L37.61 295.3C25.34 296.5 16 306.8 16 319.1V352.9C16 365.2 25.34 375.5 37.61 376.7L53.52 378.3L55.3 382.9C55.99 384.7 56.72 386.4 57.49 388.2L59.47 392.7L49.34 405C41.53 414.6 42.22 428.5 50.94 437.2L74.78 461.1C83.5 469.8 97.41 470.5 106.1 462.7L119.3 452.5L123.8 454.5C125.6 455.3 127.3 456 129.1 456.7L133.7 458.5L135.3 474.4C136.5 486.7 146.8 496 159.1 496H192.9C205.2 496 215.5 486.7 216.7 474.4L218.3 458.5L222.9 456.7C224.7 456 226.4 455.3 228.2 454.5L232.7 452.5L245 462.7C254.6 470.5 268.5 469.8 277.2 461.1L301.1 437.2C309.8 428.5 310.5 414.6 302.7 405L292.5 392.7L294.5 388.2C295.3 386.4 296 384.7 296.7 382.9L298.5 378.3L314.4 376.7C326.7 375.5 336 365.2 336 352.9L336 319.1zM464 440C464 400.2 496.2 368 536 368C575.8 368 608 400.2 608 440C608 479.8 575.8 512 536 512C496.2 512 464 479.8 464 440zM536 496C566.9 496 592 470.9 592 440C592 409.1 566.9 384 536 384C505.1 384 480 409.1 480 440C480 470.9 505.1 496 536 496z"],
    "trademark": [640, 512, [8482], "f25c", "M248 96.01h-240c-4.406 0-8 3.578-8 8s3.594 8 8 8h112V408c0 4.422 3.594 8.006 8 8.006S136 412.4 136 408V112h112c4.406 0 8-3.578 8-8S252.4 96.01 248 96.01zM634.6 96.45c-3.156-1.094-6.812-.0469-8.906 2.656L464 306.1L302.3 99.1C300.2 96.37 296.5 95.32 293.4 96.45C290.2 97.55 288 100.6 288 104V408C288 412.4 291.6 416 296 416s8-3.578 8-8V127.3l153.7 197.6c3 3.906 9.625 3.906 12.62 0L624 127.3V408c0 4.422 3.594 8 8 8S640 412.4 640 408V104C640 100.6 637.8 97.55 634.6 96.45z"],
    "traffic-cone": [512, 512, [], "f636", "M107.4 336L63.53 458.7C62.05 462.9 57.47 465 53.31 463.5C49.15 462 46.98 457.5 48.47 453.3L202.8 21.24C207.3 8.501 219.4 0 232.9 0H279.1C292.6 0 304.7 8.501 309.2 21.24L463.5 453.3C465 457.5 462.9 462 458.7 463.5C454.5 465 449.1 462.9 448.5 458.7L404.6 336H107.4zM232.9 16C226.2 16 220.1 20.25 217.8 26.62L170.2 160H341.8L294.2 26.62C291.9 20.25 285.8 16 279.1 16H232.9zM347.5 176H164.5L113.1 320H398.9L347.5 176zM0 504C0 499.6 3.582 496 8 496H504C508.4 496 512 499.6 512 504C512 508.4 508.4 512 504 512H8C3.582 512 0 508.4 0 504z"],
    "traffic-light": [320, 512, [128678], "f637", "M104 392C104 361.1 129.1 336 160 336C190.9 336 216 361.1 216 392C216 422.9 190.9 448 160 448C129.1 448 104 422.9 104 392zM160 432C182.1 432 200 414.1 200 392C200 369.9 182.1 352 160 352C137.9 352 120 369.9 120 392C120 414.1 137.9 432 160 432zM216 256C216 286.9 190.9 312 160 312C129.1 312 104 286.9 104 256C104 225.1 129.1 200 160 200C190.9 200 216 225.1 216 256zM160 216C137.9 216 120 233.9 120 256C120 278.1 137.9 296 160 296C182.1 296 200 278.1 200 256C200 233.9 182.1 216 160 216zM104 120C104 89.07 129.1 64 160 64C190.9 64 216 89.07 216 120C216 150.9 190.9 176 160 176C129.1 176 104 150.9 104 120zM160 160C182.1 160 200 142.1 200 120C200 97.91 182.1 80 160 80C137.9 80 120 97.91 120 120C120 142.1 137.9 160 160 160zM0 64C0 28.65 28.65 0 64 0H256C291.3 0 320 28.65 320 64V352C320 440.4 248.4 512 160 512C71.63 512 0 440.4 0 352V64zM16 64V352C16 431.5 80.47 496 160 496C239.5 496 304 431.5 304 352V64C304 37.49 282.5 16 256 16H64C37.49 16 16 37.49 16 64z"],
    "traffic-light-go": [320, 512, [], "f638", "M176 392C176 400.8 168.8 408 160 408C151.2 408 144 400.8 144 392C144 383.2 151.2 376 160 376C168.8 376 176 383.2 176 392zM216 392C216 422.9 190.9 448 160 448C129.1 448 104 422.9 104 392C104 361.1 129.1 336 160 336C190.9 336 216 361.1 216 392zM160 352C137.9 352 120 369.9 120 392C120 414.1 137.9 432 160 432C182.1 432 200 414.1 200 392C200 369.9 182.1 352 160 352zM104 256C104 225.1 129.1 200 160 200C190.9 200 216 225.1 216 256C216 286.9 190.9 312 160 312C129.1 312 104 286.9 104 256zM160 296C182.1 296 200 278.1 200 256C200 233.9 182.1 216 160 216C137.9 216 120 233.9 120 256C120 278.1 137.9 296 160 296zM216 120C216 150.9 190.9 176 160 176C129.1 176 104 150.9 104 120C104 89.07 129.1 64 160 64C190.9 64 216 89.07 216 120zM160 80C137.9 80 120 97.91 120 120C120 142.1 137.9 160 160 160C182.1 160 200 142.1 200 120C200 97.91 182.1 80 160 80zM256 0C291.3 0 320 28.65 320 64V352C320 440.4 248.4 512 160 512C71.63 512 0 440.4 0 352V64C0 28.65 28.65 0 64 0H256zM256 16H64C37.49 16 16 37.49 16 64V352C16 431.5 80.47 496 160 496C239.5 496 304 431.5 304 352V64C304 37.49 282.5 16 256 16z"],
    "traffic-light-slow": [320, 512, [], "f639", "M216 392C216 422.9 190.9 448 160 448C129.1 448 104 422.9 104 392C104 361.1 129.1 336 160 336C190.9 336 216 361.1 216 392zM160 352C137.9 352 120 369.9 120 392C120 414.1 137.9 432 160 432C182.1 432 200 414.1 200 392C200 369.9 182.1 352 160 352zM176 256C176 264.8 168.8 272 160 272C151.2 272 144 264.8 144 256C144 247.2 151.2 240 160 240C168.8 240 176 247.2 176 256zM104 256C104 225.1 129.1 200 160 200C190.9 200 216 225.1 216 256C216 286.9 190.9 312 160 312C129.1 312 104 286.9 104 256zM160 296C182.1 296 200 278.1 200 256C200 233.9 182.1 216 160 216C137.9 216 120 233.9 120 256C120 278.1 137.9 296 160 296zM216 120C216 150.9 190.9 176 160 176C129.1 176 104 150.9 104 120C104 89.07 129.1 64 160 64C190.9 64 216 89.07 216 120zM160 80C137.9 80 120 97.91 120 120C120 142.1 137.9 160 160 160C182.1 160 200 142.1 200 120C200 97.91 182.1 80 160 80zM256 0C291.3 0 320 28.65 320 64V352C320 440.4 248.4 512 160 512C71.63 512 0 440.4 0 352V64C0 28.65 28.65 0 64 0H256zM256 16H64C37.49 16 16 37.49 16 64V352C16 431.5 80.47 496 160 496C239.5 496 304 431.5 304 352V64C304 37.49 282.5 16 256 16z"],
    "traffic-light-stop": [320, 512, [], "f63a", "M216 392C216 422.9 190.9 448 160 448C129.1 448 104 422.9 104 392C104 361.1 129.1 336 160 336C190.9 336 216 361.1 216 392zM160 352C137.9 352 120 369.9 120 392C120 414.1 137.9 432 160 432C182.1 432 200 414.1 200 392C200 369.9 182.1 352 160 352zM104 256C104 225.1 129.1 200 160 200C190.9 200 216 225.1 216 256C216 286.9 190.9 312 160 312C129.1 312 104 286.9 104 256zM160 296C182.1 296 200 278.1 200 256C200 233.9 182.1 216 160 216C137.9 216 120 233.9 120 256C120 278.1 137.9 296 160 296zM176 120C176 128.8 168.8 136 160 136C151.2 136 144 128.8 144 120C144 111.2 151.2 104 160 104C168.8 104 176 111.2 176 120zM216 120C216 150.9 190.9 176 160 176C129.1 176 104 150.9 104 120C104 89.07 129.1 64 160 64C190.9 64 216 89.07 216 120zM160 80C137.9 80 120 97.91 120 120C120 142.1 137.9 160 160 160C182.1 160 200 142.1 200 120C200 97.91 182.1 80 160 80zM256 0C291.3 0 320 28.65 320 64V352C320 440.4 248.4 512 160 512C71.63 512 0 440.4 0 352V64C0 28.65 28.65 0 64 0H256zM256 16H64C37.49 16 16 37.49 16 64V352C16 431.5 80.47 496 160 496C239.5 496 304 431.5 304 352V64C304 37.49 282.5 16 256 16z"],
    "trailer": [640, 512, [], "e041", "M48 48C30.33 48 16 62.33 16 80V336C16 353.7 30.33 368 48 368H64C68.42 368 72 371.6 72 376C72 380.4 68.42 384 64 384H48C21.49 384 0 362.5 0 336V80C0 53.49 21.49 32 48 32H480C506.5 32 528 53.49 528 80V368H632C636.4 368 640 371.6 640 376C640 380.4 636.4 384 632 384H320C315.6 384 312 380.4 312 376C312 371.6 315.6 368 320 368H512V80C512 62.33 497.7 48 480 48H48zM72 96C76.42 96 80 99.58 80 104V248C80 252.4 76.42 256 72 256C67.58 256 64 252.4 64 248V104C64 99.58 67.58 96 72 96zM168 96C172.4 96 176 99.58 176 104V248C176 252.4 172.4 256 168 256C163.6 256 160 252.4 160 248V104C160 99.58 163.6 96 168 96zM264 96C268.4 96 272 99.58 272 104V248C272 252.4 268.4 256 264 256C259.6 256 256 252.4 256 248V104C256 99.58 259.6 96 264 96zM360 96C364.4 96 368 99.58 368 104V312C368 316.4 364.4 320 360 320C355.6 320 352 316.4 352 312V104C352 99.58 355.6 96 360 96zM456 96C460.4 96 464 99.58 464 104V312C464 316.4 460.4 320 456 320C451.6 320 448 316.4 448 312V104C448 99.58 451.6 96 456 96zM288 384C288 437 245 480 192 480C138.1 480 96 437 96 384C96 330.1 138.1 288 192 288C245 288 288 330.1 288 384zM192 304C147.8 304 112 339.8 112 384C112 428.2 147.8 464 192 464C236.2 464 272 428.2 272 384C272 339.8 236.2 304 192 304z"],
    "train": [448, 512, [128646], "f238", "M272 320C272 346.5 250.5 368 224 368C197.5 368 176 346.5 176 320C176 293.5 197.5 272 224 272C250.5 272 272 293.5 272 320zM224 352C241.7 352 256 337.7 256 320C256 302.3 241.7 288 224 288C206.3 288 192 302.3 192 320C192 337.7 206.3 352 224 352zM64 96C64 78.33 78.33 64 96 64H352C369.7 64 384 78.33 384 96V192C384 209.7 369.7 224 352 224H96C78.33 224 64 209.7 64 192V96zM80 96V192C80 200.8 87.16 208 96 208H352C360.8 208 368 200.8 368 192V96C368 87.16 360.8 80 352 80H96C87.16 80 80 87.16 80 96zM352 0C405 0 448 42.98 448 96V352C448 401.4 410.7 442.1 362.7 447.4L413.7 498.3C416.8 501.5 416.8 506.5 413.7 509.7C410.5 512.8 405.5 512.8 402.3 509.7L340.7 448H107.3L45.66 509.7C42.53 512.8 37.47 512.8 34.34 509.7C31.22 506.5 31.22 501.5 34.34 498.3L85.28 447.4C37.31 442.1 0 401.4 0 352V96C0 42.98 42.98 0 96 0H352zM352 16H96C51.82 16 16 51.82 16 96V352C16 396.2 51.82 432 96 432H352C396.2 432 432 396.2 432 352V96C432 51.82 396.2 16 352 16z"],
    "train-subway": [448, 512, ["subway"], "f239", "M352 64C369.7 64 384 78.33 384 96V224C384 241.7 369.7 256 352 256H96C78.33 256 64 241.7 64 224V96C64 78.33 78.33 64 96 64H352zM216 80H96C87.16 80 80 87.16 80 96V224C80 232.8 87.16 240 96 240H216V80zM232 80V240H352C360.8 240 368 232.8 368 224V96C368 87.16 360.8 80 352 80H232zM144 336C144 353.7 129.7 368 112 368C94.33 368 80 353.7 80 336C80 318.3 94.33 304 112 304C129.7 304 144 318.3 144 336zM112 320C103.2 320 96 327.2 96 336C96 344.8 103.2 352 112 352C120.8 352 128 344.8 128 336C128 327.2 120.8 320 112 320zM304 336C304 318.3 318.3 304 336 304C353.7 304 368 318.3 368 336C368 353.7 353.7 368 336 368C318.3 368 304 353.7 304 336zM336 352C344.8 352 352 344.8 352 336C352 327.2 344.8 320 336 320C327.2 320 320 327.2 320 336C320 344.8 327.2 352 336 352zM352 0C405 0 448 42.98 448 96V352C448 401.4 410.7 442.1 362.7 447.4L413.7 498.3C416.8 501.5 416.8 506.5 413.7 509.7C410.5 512.8 405.5 512.8 402.3 509.7L340.7 448H107.3L45.66 509.7C42.53 512.8 37.47 512.8 34.34 509.7C31.22 506.5 31.22 501.5 34.34 498.3L85.28 447.4C37.31 442.1 0 401.4 0 352V96C0 42.98 42.98 0 96 0H352zM352 16H96C51.82 16 16 51.82 16 96V352C16 396.2 51.82 432 96 432H352C396.2 432 432 396.2 432 352V96C432 51.82 396.2 16 352 16z"],
    "train-subway-tunnel": [512, 512, ["subway-tunnel"], "e2a3", "M16 504C16 508.4 12.42 512 8 512C3.582 512 0 508.4 0 504V256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256V504C512 508.4 508.4 512 504 512C499.6 512 496 508.4 496 504V256C496 123.5 388.5 16 256 16C123.5 16 16 123.5 16 256V504zM160 368C160 359.2 167.2 352 176 352C184.8 352 192 359.2 192 368C192 376.8 184.8 384 176 384C167.2 384 160 376.8 160 368zM352 368C352 376.8 344.8 384 336 384C327.2 384 320 376.8 320 368C320 359.2 327.2 352 336 352C344.8 352 352 359.2 352 368zM320 192C337.7 192 352 206.3 352 224V288C352 305.7 337.7 320 320 320H192C174.3 320 160 305.7 160 288V224C160 206.3 174.3 192 192 192H320zM192 208C183.2 208 176 215.2 176 224V288C176 296.8 183.2 304 192 304H248V208H192zM264 208V304H320C328.8 304 336 296.8 336 288V224C336 215.2 328.8 208 320 208H264zM112 208C112 163.8 147.8 128 192 128H320C364.2 128 400 163.8 400 208V368C400 406.2 373.2 438.2 337.4 446.1L389.7 498.3C392.8 501.5 392.8 506.5 389.7 509.7C386.5 512.8 381.5 512.8 378.3 509.7L316.7 448H195.3L133.7 509.7C130.5 512.8 125.5 512.8 122.3 509.7C119.2 506.5 119.2 501.5 122.3 498.3L174.6 446.1C138.8 438.2 112 406.2 112 368V208zM128 208V368C128 403.3 156.7 432 192 432H320C355.3 432 384 403.3 384 368V208C384 172.7 355.3 144 320 144H192C156.7 144 128 172.7 128 208z"],
    "train-track": [576, 512, [], "e453", "M173.8 96H402.2L384.4 42.53C383 38.34 385.3 33.81 389.5 32.41C393.7 31.01 398.2 33.28 399.6 37.47L419.1 96H464C468.4 96 472 99.59 472 104C472 108.4 468.4 112 464 112H424.4L461.8 224H504C508.4 224 512 227.6 512 232C512 236.4 508.4 240 504 240H467.1L504.4 352H544C548.4 352 552 355.6 552 360C552 364.4 548.4 368 544 368H509.8L543.6 469.5C544.1 473.7 542.7 478.2 538.5 479.6C534.3 480.1 529.8 478.7 528.4 474.5L492.9 368H83.1L47.59 474.5C46.19 478.7 41.66 480.1 37.47 479.6C33.28 478.2 31.01 473.7 32.41 469.5L66.23 368H32C27.58 368 24 364.4 24 360C24 355.6 27.58 352 32 352H71.57L108.9 240H72C67.58 240 64 236.4 64 232C64 227.6 67.58 224 72 224H114.2L151.6 112H112C107.6 112 104 108.4 104 104C104 99.59 107.6 96 112 96H156.9L176.4 37.47C177.8 33.28 182.3 31.01 186.5 32.41C190.7 33.81 192.1 38.34 191.6 42.53L173.8 96zM168.4 112L131.1 224H444.9L407.6 112H168.4zM450.2 240H125.8L88.43 352H487.6L450.2 240z"],
    "train-tram": [448, 512, [128650], "e5b4", "M192 352C192 369.7 177.7 384 160 384C142.3 384 128 369.7 128 352C128 334.3 142.3 320 160 320C177.7 320 192 334.3 192 352zM160 336C151.2 336 144 343.2 144 352C144 360.8 151.2 368 160 368C168.8 368 176 360.8 176 352C176 343.2 168.8 336 160 336zM256 352C256 334.3 270.3 320 288 320C305.7 320 320 334.3 320 352C320 369.7 305.7 384 288 384C270.3 384 256 369.7 256 352zM288 368C296.8 368 304 360.8 304 352C304 343.2 296.8 336 288 336C279.2 336 272 343.2 272 352C272 360.8 279.2 368 288 368zM128 192C128 174.3 142.3 160 160 160H288C305.7 160 320 174.3 320 192V224C320 241.7 305.7 256 288 256H160C142.3 256 128 241.7 128 224V192zM144 192V224C144 232.8 151.2 240 160 240H288C296.8 240 304 232.8 304 224V192C304 183.2 296.8 176 288 176H160C151.2 176 144 183.2 144 192zM78.76 16C61.75 16 45.66 23.73 35.03 37.02L22.25 52.1C19.49 56.45 14.45 57.01 11 54.25C7.552 51.49 6.993 46.45 9.753 43L22.54 27.02C36.2 9.943 56.89 0 78.76 0H369.2C391.1 0 411.8 9.942 425.5 27.02L438.2 43C441 46.45 440.4 51.49 436.1 54.25C433.5 57.01 428.5 56.45 425.8 52.1L412.1 37.02C402.3 23.73 386.3 16 369.2 16H232V96H288C341 96 384 138.1 384 192V352C384 383.8 368.6 411.1 344.8 429.4L413.7 498.3C416.8 501.5 416.8 506.5 413.7 509.7C410.5 512.8 405.5 512.8 402.3 509.7L330.7 438C317.8 444.4 303.3 448 288 448H160C144.7 448 130.2 444.4 117.3 438L45.66 509.7C42.53 512.8 37.47 512.8 34.34 509.7C31.22 506.5 31.22 501.5 34.34 498.3L103.2 429.4C79.45 411.1 64 383.8 64 352V192C64 138.1 106.1 96 160 96H216V16H78.76zM160 112C115.8 112 80 147.8 80 192V352C80 396.2 115.8 432 160 432H288C332.2 432 368 396.2 368 352V192C368 147.8 332.2 112 288 112H160z"],
    "train-tunnel": [512, 512, [], "e454", "M256 16C123.5 16 16 123.5 16 256V504C16 508.4 12.42 512 8 512C3.582 512 0 508.4 0 504V256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256V504C512 508.4 508.4 512 504 512C499.6 512 496 508.4 496 504V256C496 123.5 388.5 16 256 16zM288 376C288 393.7 273.7 408 256 408C238.3 408 224 393.7 224 376C224 358.3 238.3 344 256 344C273.7 344 288 358.3 288 376zM256 360C247.2 360 240 367.2 240 376C240 384.8 247.2 392 256 392C264.8 392 272 384.8 272 376C272 367.2 264.8 360 256 360zM160 224C160 206.3 174.3 192 192 192H320C337.7 192 352 206.3 352 224V288C352 305.7 337.7 320 320 320H192C174.3 320 160 305.7 160 288V224zM176 224V288C176 296.8 183.2 304 192 304H320C328.8 304 336 296.8 336 288V224C336 215.2 328.8 208 320 208H192C183.2 208 176 215.2 176 224zM320 128C364.2 128 400 163.8 400 208V368C400 406.2 373.2 438.2 337.4 446.1L389.7 498.3C392.8 501.5 392.8 506.5 389.7 509.7C386.5 512.8 381.5 512.8 378.3 509.7L316.7 448H195.3L133.7 509.7C130.5 512.8 125.5 512.8 122.3 509.7C119.2 506.5 119.2 501.5 122.3 498.3L174.6 446.1C138.8 438.2 112 406.2 112 368V208C112 163.8 147.8 128 192 128H320zM192 144C156.7 144 128 172.7 128 208V368C128 403.3 156.7 432 192 432H320C355.3 432 384 403.3 384 368V208C384 172.7 355.3 144 320 144H192z"],
    "transformer-bolt": [384, 512, [], "e2a4", "M128 344h108.7l-82.34 82.34c-3.125 3.125-3.125 8.188 0 11.31C155.9 439.2 157.9 440 160 440s4.094-.7813 5.656-2.344l96-96c2.281-2.281 2.969-5.734 1.75-8.719C262.2 329.1 259.3 328 256 328H147.3l82.34-82.34c3.125-3.125 3.125-8.188 0-11.31s-8.188-3.125-11.31 0l-96 96c-2.281 2.281-2.969 5.734-1.75 8.719C121.8 342 124.8 344 128 344zM376 496H352v-320h24C380.4 176 384 172.4 384 168S380.4 160 376 160H288V112h48c4.406 0 8-3.578 8-8S340.4 96 336 96H288V64h48c4.406 0 8-3.578 8-8S340.4 48 336 48H288V8C288 3.578 284.4 0 280 0S272 3.578 272 8V48H224c-4.406 0-8 3.578-8 8S219.6 64 224 64h48v32H224c-4.406 0-8 3.578-8 8S219.6 112 224 112h48V160h-160V112H160c4.406 0 8-3.578 8-8S164.4 96 160 96H112V64H160c4.406 0 8-3.578 8-8S164.4 48 160 48H112V8C112 3.578 108.4 0 104 0S96 3.578 96 8V48H48c-4.406 0-8 3.578-8 8S43.59 64 48 64H96v32H48C43.59 96 40 99.58 40 104S43.59 112 48 112H96V160H8C3.594 160 0 163.6 0 168S3.594 176 8 176H32v320H8C3.594 496 0 499.6 0 504S3.594 512 8 512h368c4.406 0 8-3.578 8-8S380.4 496 376 496zM336 496h-288v-320h288V496z"],
    "transgender": [512, 512, [9895, "transgender-alt"], "f225", "M504 0H384c-4.422 0-8 3.574-8 7.99c0 4.418 3.578 7.992 8 7.992h100.7l-113.5 113.4C342.1 99.05 301.3 80 256 80c-45.38 0-86.14 19.08-115.3 49.43L107.3 96l26.35-26.35c3.125-3.125 3.125-8.188 0-11.31s-8.188-3.125-11.31 0L95.1 84.69L27.31 16H128c4.422 0 8-3.578 8-8S132.4 .001 128 .001L8 .002c-4.422 0-8 3.578-8 8v119.1C0 132.4 3.578 136 8 136s8-3.578 8-8V27.31L84.69 96L58.34 122.3c-3.125 3.125-3.125 8.188 0 11.31C59.91 135.2 61.95 136 64 136s4.094-.7813 5.656-2.344L95.1 107.3l34.52 34.52C109.2 169 96 202.8 96 240c0 85.63 67.43 154.9 152 159.2V440H192c-4.422 0-8 3.578-8 8S187.6 456 192 456h56v48C248 508.4 251.6 512 256 512s8-3.578 8-8v-48H320c4.422 0 8-3.578 8-8s-3.578-8-8-8h-56v-40.81C348.6 394.9 416 325.6 416 240c0-37.24-13.25-71.06-34.58-98.25L496 27.28v100.6c0 4.418 3.578 7.992 8 7.992S512 132.4 512 127.9V7.99C512 3.574 508.4 0 504 0zM256 384c-79.4 0-144-64.6-144-144S176.6 96 256 96S400 160.6 400 240S335.4 384 256 384z"],
    "transporter": [512, 512, [], "e042", "M248 312v96C248 412.4 251.6 416 256 416s8-3.578 8-8v-96c0-4.422-3.578-8-8-8S248 307.6 248 312zM256 96c26.5 0 48-21.5 48-48S282.5 0 256 0S208 21.5 208 48S229.5 96 256 96zM256 16c17.64 0 32 14.36 32 32s-14.36 32-32 32s-32-14.36-32-32S238.4 16 256 16zM127.1 287.1c9.186 0 18.29-3.914 24.67-11.48l31.38-37.75L184 408c0 4.418 3.582 8 8 8c4.42 0 8-3.582 8-8V238.8c0-6.09-3.418-11.81-8.939-14.38C180.3 219.3 172.9 227.1 171.7 228.5l-31.31 37.67C134.5 273.2 124.3 273.7 117.8 268.3C111 262.7 110.1 252.5 115.7 245.8l70.53-84.54C195.3 150.3 208.7 144 223 144h66c14.32 0 27.74 6.273 36.84 17.25l70.45 84.44c5.621 6.809 4.682 16.99-1.975 22.6c-7.234 5.973-17.33 4.279-22.63-2.014l-31.38-37.75c-1.186-1.43-8.549-9.17-19.35-4.158c-5.529 2.566-8.953 8.289-8.953 14.38V408c0 4.418 3.582 8 8 8c4.42 0 8-3.582 8-8l-.013-169.3l31.38 37.75c6.375 7.564 15.51 11.48 24.7 11.48c7.207 0 14.44-2.408 20.43-7.354c13.5-11.38 15.38-31.5 4.125-45.13l-70.5-84.5C326 136.4 308 128 289 128h-66c-19 0-36.1 8.375-49.12 23l-70.5 84.5c-11.25 13.62-9.5 33.75 4.125 45.13C113.5 285.6 120.8 287.1 127.1 287.1zM504 40h-32v-32C472 3.578 468.4 0 464 0s-8 3.578-8 8v32h-32C419.6 40 416 43.58 416 48s3.578 8 8 8h32v32C456 92.42 459.6 96 464 96s8-3.578 8-8v-32h32C508.4 56 512 52.42 512 48S508.4 40 504 40zM376 448h-240C113.9 448 96 465.9 96 488v16C96 508.4 99.58 512 104 512s8-3.578 8-8v-16c0-13.23 10.77-24 24-24h240c13.23 0 24 10.77 24 24v16c0 4.422 3.578 8 8 8S416 508.4 416 504v-16C416 465.9 398.1 448 376 448zM88 104h-32v-32C56 67.58 52.42 64 48 64S40 67.58 40 72v32h-32C3.578 104 0 107.6 0 112s3.578 8 8 8h32v32C40 156.4 43.58 160 48 160s8-3.578 8-8v-32h32C92.42 120 96 116.4 96 112S92.42 104 88 104z"],
    "transporter-1": [512, 512, [], "e043", "M320 320H192c-4.406 0-8 3.578-8 8S187.6 336 192 336h128c4.406 0 8-3.578 8-8S324.4 320 320 320zM127.1 287.1c9.186 0 18.29-3.914 24.67-11.48l31.38-37.75L184 280c0 4.418 3.582 8 8 8c4.42 0 8-3.582 8-8V238.8c0-6.09-3.418-11.81-8.939-14.38C180.3 219.3 172.9 227.1 171.7 228.5l-31.31 37.67C134.5 273.2 124.3 273.7 117.8 268.3C111 262.7 110.1 252.5 115.7 245.8l70.53-84.54C195.3 150.3 208.7 144 223 144h66c14.32 0 27.74 6.273 36.84 17.25l70.45 84.44c5.621 6.809 4.682 16.99-1.975 22.6c-7.234 5.973-17.33 4.279-22.63-2.014l-31.38-37.75c-1.186-1.43-8.549-9.17-19.35-4.158c-5.529 2.566-8.953 8.289-8.953 14.38V280c0 4.418 3.582 8 8 8c4.42 0 8-3.582 8-8l-.013-41.25l31.38 37.75c6.375 7.564 15.51 11.48 24.7 11.48c7.207 0 14.44-2.408 20.43-7.354c13.5-11.38 15.38-31.5 4.125-45.13l-70.5-84.5C326 136.4 308 128 289 128h-66c-19 0-36.1 8.375-49.12 23l-70.5 84.5c-11.25 13.62-9.5 33.75 4.125 45.13C113.5 285.6 120.8 287.1 127.1 287.1zM256 96c26.5 0 48-21.5 48-48S282.5 0 256 0S208 21.5 208 48S229.5 96 256 96zM256 16c17.64 0 32 14.36 32 32s-14.36 32-32 32s-32-14.36-32-32S238.4 16 256 16zM504 168h-32v-32C472 131.6 468.4 128 464 128s-8 3.578-8 8v32h-32C419.6 168 416 171.6 416 176s3.594 8 8 8h32v32C456 220.4 459.6 224 464 224s8-3.578 8-8v-32h32C508.4 184 512 180.4 512 176S508.4 168 504 168zM376 448h-240C113.9 448 96 465.9 96 488v16C96 508.4 99.59 512 104 512s8-3.578 8-8v-16c0-13.23 10.78-24 24-24h240c13.22 0 24 10.77 24 24v16c0 4.422 3.594 8 8 8S416 508.4 416 504v-16C416 465.9 398.1 448 376 448zM320 384H192c-4.406 0-8 3.578-8 8S187.6 400 192 400h128c4.406 0 8-3.578 8-8S324.4 384 320 384zM88 360h-32v-32C56 323.6 52.41 320 48 320s-8 3.578-8 8v32h-32C3.594 360 0 363.6 0 368s3.594 8 8 8h32v32C40 412.4 43.59 416 48 416s8-3.578 8-8v-32h32C92.41 376 96 372.4 96 368S92.41 360 88 360z"],
    "transporter-2": [512, 512, [], "e044", "M320 320H192c-4.406 0-8 3.578-8 8S187.6 336 192 336h128c4.406 0 8-3.578 8-8S324.4 320 320 320zM104 272h304C412.4 272 416 268.4 416 264S412.4 256 408 256h-304C99.59 256 96 259.6 96 264S99.59 272 104 272zM256 96c26.5 0 48-21.5 48-48S282.5 0 256 0S208 21.5 208 48S229.5 96 256 96zM256 16c17.64 0 32 14.36 32 32s-14.36 32-32 32s-32-14.36-32-32S238.4 16 256 16zM130.1 224c2.373 0 4.623-1.053 6.143-2.875l49.99-59.91C195.3 150.3 208.7 144 223 144h66c14.32 0 27.74 6.273 36.84 17.25l49.96 59.88C377.3 222.9 379.6 224 381.9 224c6.785 0 10.49-7.916 6.143-13.12L338.2 151C326.1 136.4 308 128 289 128h-66C204 128 185.1 136.4 173.9 151L123.9 210.9C119.6 216.1 123.3 224 130.1 224zM320 384H192c-4.406 0-8 3.578-8 8S187.6 400 192 400h128c4.406 0 8-3.578 8-8S324.4 384 320 384zM376 448h-240C113.9 448 96 465.9 96 488v16C96 508.4 99.59 512 104 512s8-3.578 8-8v-16c0-13.23 10.78-24 24-24h240c13.22 0 24 10.77 24 24v16c0 4.422 3.594 8 8 8S416 508.4 416 504v-16C416 465.9 398.1 448 376 448zM504 360h-32v-32c0-4.422-3.594-8-8-8s-8 3.578-8 8v32h-32c-4.406 0-8 3.578-8 8s3.594 8 8 8h32v32c0 4.422 3.594 8 8 8s8-3.578 8-8v-32h32c4.406 0 8-3.578 8-8S508.4 360 504 360zM88 40h-32v-32C56 3.578 52.41 0 48 0S40 3.578 40 8v32h-32C3.594 40 0 43.58 0 48s3.594 8 8 8h32v32C40 92.42 43.59 96 48 96s8-3.578 8-8v-32h32C92.41 56 96 52.42 96 48S92.41 40 88 40z"],
    "transporter-3": [512, 512, [], "e045", "M192 144h128c4.406 0 8-3.578 8-8S324.4 128 320 128H192C187.6 128 184 131.6 184 136S187.6 144 192 144zM256 96c26.5 0 48-21.5 48-48S282.5 0 256 0S208 21.5 208 48S229.5 96 256 96zM256 16c17.64 0 32 14.36 32 32s-14.36 32-32 32s-32-14.36-32-32S238.4 16 256 16zM504 40h-32v-32C472 3.578 468.4 0 464 0s-8 3.578-8 8v32h-32C419.6 40 416 43.58 416 48s3.594 8 8 8h32v32C456 92.42 459.6 96 464 96s8-3.578 8-8v-32h32C508.4 56 512 52.42 512 48S508.4 40 504 40zM136 208h240C380.4 208 384 204.4 384 200S380.4 192 376 192h-240C131.6 192 128 195.6 128 200S131.6 208 136 208zM192 336h128c4.406 0 8-3.578 8-8S324.4 320 320 320H192c-4.406 0-8 3.578-8 8S187.6 336 192 336zM408 256h-304C99.59 256 96 259.6 96 264S99.59 272 104 272h304C412.4 272 416 268.4 416 264S412.4 256 408 256zM192 400h128c4.406 0 8-3.578 8-8S324.4 384 320 384H192c-4.406 0-8 3.578-8 8S187.6 400 192 400zM376 448h-240C113.9 448 96 465.9 96 488v16C96 508.4 99.59 512 104 512s8-3.578 8-8v-16c0-13.23 10.78-24 24-24h240c13.22 0 24 10.77 24 24v16c0 4.422 3.594 8 8 8S416 508.4 416 504v-16C416 465.9 398.1 448 376 448zM88 136h-32v-32C56 99.58 52.41 96 48 96S40 99.58 40 104v32h-32C3.594 136 0 139.6 0 144s3.594 8 8 8h32v32C40 188.4 43.59 192 48 192s8-3.578 8-8v-32h32C92.41 152 96 148.4 96 144S92.41 136 88 136z"],
    "transporter-4": [512, 512, [], "e2a5", "M192 144h128c4.406 0 8-3.578 8-8S324.4 128 320 128H192C187.6 128 184 131.6 184 136S187.6 144 192 144zM88 392h-32v-32C56 355.6 52.41 352 48 352s-8 3.578-8 8v32h-32C3.594 392 0 395.6 0 400s3.594 8 8 8h32v32C40 444.4 43.59 448 48 448s8-3.578 8-8v-32h32C92.41 408 96 404.4 96 400S92.41 392 88 392zM232 16h48C284.4 16 288 12.42 288 8S284.4 0 280 0h-48C227.6 0 224 3.578 224 8S227.6 16 232 16zM224 80h64c4.406 0 8-3.578 8-8S292.4 64 288 64H224C219.6 64 216 67.58 216 72S219.6 80 224 80zM136 208h240C380.4 208 384 204.4 384 200S380.4 192 376 192h-240C131.6 192 128 195.6 128 200S131.6 208 136 208zM376 448h-240C113.9 448 96 465.9 96 488v16C96 508.4 99.59 512 104 512s8-3.578 8-8v-16c0-13.23 10.78-24 24-24h240c13.22 0 24 10.77 24 24v16c0 4.422 3.594 8 8 8S416 508.4 416 504v-16C416 465.9 398.1 448 376 448zM504 168h-32v-32C472 131.6 468.4 128 464 128s-8 3.578-8 8v32h-32C419.6 168 416 171.6 416 176s3.594 8 8 8h32v32C456 220.4 459.6 224 464 224s8-3.578 8-8v-32h32C508.4 184 512 180.4 512 176S508.4 168 504 168zM408 256h-304C99.59 256 96 259.6 96 264S99.59 272 104 272h304C412.4 272 416 268.4 416 264S412.4 256 408 256zM192 336h128c4.406 0 8-3.578 8-8S324.4 320 320 320H192c-4.406 0-8 3.578-8 8S187.6 336 192 336zM192 400h128c4.406 0 8-3.578 8-8S324.4 384 320 384H192c-4.406 0-8 3.578-8 8S187.6 400 192 400z"],
    "transporter-5": [512, 512, [], "e2a6", "M376 448h-240C113.9 448 96 465.9 96 488v16C96 508.4 99.59 512 104 512s8-3.578 8-8v-16c0-13.23 10.78-24 24-24h240c13.22 0 24 10.77 24 24v16c0 4.422 3.594 8 8 8S416 508.4 416 504v-16C416 465.9 398.1 448 376 448zM88 168h-32v-32C56 131.6 52.41 128 48 128S40 131.6 40 136v32h-32C3.594 168 0 171.6 0 176s3.594 8 8 8h32v32C40 220.4 43.59 224 48 224s8-3.578 8-8v-32h32C92.41 184 96 180.4 96 176S92.41 168 88 168zM232 16h48C284.4 16 288 12.42 288 8S284.4 0 280 0h-48C227.6 0 224 3.578 224 8S227.6 16 232 16zM192 144h128c4.406 0 8-3.578 8-8S324.4 128 320 128H192C187.6 128 184 131.6 184 136S187.6 144 192 144zM504 40h-32v-32C472 3.578 468.4 0 464 0s-8 3.578-8 8v32h-32C419.6 40 416 43.58 416 48s3.594 8 8 8h32v32C456 92.42 459.6 96 464 96s8-3.578 8-8v-32h32C508.4 56 512 52.42 512 48S508.4 40 504 40zM320 400c4.406 0 8-3.578 8-8S324.4 384 320 384H192c-4.406 0-8 3.578-8 8S187.6 400 192 400H320zM408 256h-304C99.59 256 96 259.6 96 264S99.59 272 104 272h304C412.4 272 416 268.4 416 264S412.4 256 408 256z"],
    "transporter-6": [512, 512, [], "e2a7", "M104 272h304C412.4 272 416 268.4 416 264S412.4 256 408 256h-304C99.59 256 96 259.6 96 264S99.59 272 104 272zM88 40h-32v-32C56 3.578 52.41 0 48 0S40 3.578 40 8v32h-32C3.594 40 0 43.58 0 48s3.594 8 8 8h32v32C40 92.42 43.59 96 48 96s8-3.578 8-8v-32h32C92.41 56 96 52.42 96 48S92.41 40 88 40zM232 16h48C284.4 16 288 12.42 288 8S284.4 0 280 0h-48C227.6 0 224 3.578 224 8S227.6 16 232 16zM504 392h-32v-32c0-4.422-3.594-8-8-8s-8 3.578-8 8v32h-32c-4.406 0-8 3.578-8 8s3.594 8 8 8h32v32c0 4.422 3.594 8 8 8s8-3.578 8-8v-32h32c4.406 0 8-3.578 8-8S508.4 392 504 392zM376 448h-240C113.9 448 96 465.9 96 488v16C96 508.4 99.59 512 104 512s8-3.578 8-8v-16c0-13.23 10.78-24 24-24h240c13.22 0 24 10.77 24 24v16c0 4.422 3.594 8 8 8S416 508.4 416 504v-16C416 465.9 398.1 448 376 448z"],
    "transporter-7": [512, 512, [], "e2a8", "M88 296h-32v-32C56 259.6 52.41 256 48 256S40 259.6 40 264v32h-32C3.594 296 0 299.6 0 304s3.594 8 8 8h32v32C40 348.4 43.59 352 48 352s8-3.578 8-8v-32h32C92.41 312 96 308.4 96 304S92.41 296 88 296zM504 72h-32v-32C472 35.58 468.4 32 464 32s-8 3.578-8 8v32h-32C419.6 72 416 75.58 416 80s3.594 8 8 8h32v32C456 124.4 459.6 128 464 128s8-3.578 8-8v-32h32C508.4 88 512 84.42 512 80S508.4 72 504 72zM376 448h-240C113.9 448 96 465.9 96 488v16C96 508.4 99.59 512 104 512s8-3.578 8-8v-16c0-13.23 10.78-24 24-24h240c13.22 0 24 10.77 24 24v16c0 4.422 3.594 8 8 8S416 508.4 416 504v-16C416 465.9 398.1 448 376 448z"],
    "transporter-empty": [320, 512, [], "e046", "M320 488v16c0 4.422-3.594 8-8 8s-8-3.578-8-8v-16c0-13.23-10.78-24-24-24h-240c-13.22 0-24 10.77-24 24v16C16 508.4 12.41 512 8 512S0 508.4 0 504v-16C0 465.9 17.94 448 40 448h240C302.1 448 320 465.9 320 488z"],
    "trash": [448, 512, [], "f1f8", "M177.7 0H270.3C284.1 0 296.9 7.105 304.2 18.8L332.4 64H440C444.4 64 448 67.58 448 72C448 76.42 444.4 80 440 80H8C3.582 80 0 76.42 0 72C0 67.58 3.582 64 8 64H115.6L143.8 18.8C151.1 7.105 163.9 0 177.7 0V0zM177.7 16C169.5 16 161.8 20.26 157.4 27.28L134.4 64H313.6L290.6 27.28C286.2 20.26 278.5 16 270.3 16H177.7zM76.3 459.3C78.03 480.1 95.36 496 116.2 496H331.8C352.6 496 369.1 480.1 371.7 459.3L400 119.3C400.4 114.9 404.3 111.7 408.7 112C413.1 112.4 416.3 116.3 415.1 120.7L387.6 460.6C385.2 489.7 360.1 512 331.8 512H116.2C87.04 512 62.78 489.7 60.36 460.6L32.03 120.7C31.66 116.3 34.93 112.4 39.34 112C43.74 111.7 47.61 114.9 47.97 119.3L76.3 459.3z"],
    "trash-arrow-up": [448, 512, ["trash-restore"], "f829", "M115.6 64L143.8 18.8C151.1 7.105 163.9 0 177.7 0H270.3C284.1 0 296.9 7.105 304.2 18.8L332.4 64H440C444.4 64 448 67.58 448 72C448 76.42 444.4 80 440 80H8C3.582 80 0 76.42 0 72C0 67.58 3.582 64 8 64H115.6zM134.4 64H313.6L290.6 27.28C286.2 20.26 278.5 16 270.3 16H177.7C169.5 16 161.8 20.26 157.4 27.28L134.4 64zM39.34 112C43.74 111.7 47.61 114.9 47.97 119.3L76.3 459.3C78.03 480.1 95.36 496 116.2 496H331.8C352.6 496 369.1 480.1 371.7 459.3L400 119.3C400.4 114.9 404.3 111.7 408.7 112C413.1 112.4 416.3 116.3 415.1 120.7L387.6 460.6C385.2 489.7 360.1 512 331.8 512H116.2C87.04 512 62.78 489.7 60.36 460.6L32.03 120.7C31.66 116.3 34.93 112.4 39.34 112H39.34zM224 175.1C226.1 175.1 228.2 176.8 229.7 178.3L309.7 258.3C312.8 261.5 312.8 266.5 309.7 269.7C306.5 272.8 301.5 272.8 298.3 269.7L232 203.3V392C232 396.4 228.4 400 224 400C219.6 400 216 396.4 216 392V203.3L149.7 269.7C146.5 272.8 141.5 272.8 138.3 269.7C135.2 266.5 135.2 261.5 138.3 258.3L218.3 178.3C219.8 176.8 221.9 175.1 224 175.1L224 175.1z"],
    "trash-can": [448, 512, [61460, "trash-alt"], "f2ed", "M115.6 64L143.8 18.8C151.1 7.105 163.9 0 177.7 0H270.3C284.1 0 296.9 7.105 304.2 18.8L332.4 64H440C444.4 64 448 67.58 448 72C448 76.42 444.4 80 440 80H8C3.582 80 0 76.42 0 72C0 67.58 3.582 64 8 64H115.6zM134.4 64H313.6L290.6 27.28C286.2 20.26 278.5 16 270.3 16H177.7C169.5 16 161.8 20.26 157.4 27.28L134.4 64zM40 112C44.42 112 48 115.6 48 120V440C48 470.9 73.07 496 104 496H344C374.9 496 400 470.9 400 440V120C400 115.6 403.6 112 408 112C412.4 112 416 115.6 416 120V440C416 479.8 383.8 512 344 512H104C64.24 512 32 479.8 32 440V120C32 115.6 35.58 112 40 112zM136 416C136 420.4 132.4 424 128 424C123.6 424 120 420.4 120 416V160C120 155.6 123.6 152 128 152C132.4 152 136 155.6 136 160V416zM232 416C232 420.4 228.4 424 224 424C219.6 424 216 420.4 216 416V160C216 155.6 219.6 152 224 152C228.4 152 232 155.6 232 160V416zM328 416C328 420.4 324.4 424 320 424C315.6 424 312 420.4 312 416V160C312 155.6 315.6 152 320 152C324.4 152 328 155.6 328 160V416z"],
    "trash-can-arrow-up": [448, 512, ["trash-restore-alt"], "f82a", "M115.6 64L143.8 18.8C151.1 7.105 163.9 0 177.7 0H270.3C284.1 0 296.9 7.105 304.2 18.8L332.4 64H440C444.4 64 448 67.58 448 72C448 76.42 444.4 80 440 80H8C3.582 80 0 76.42 0 72C0 67.58 3.582 64 8 64H115.6zM134.4 64H313.6L290.6 27.28C286.2 20.26 278.5 16 270.3 16H177.7C169.5 16 161.8 20.26 157.4 27.28L134.4 64zM40 112C44.42 112 48 115.6 48 120V440C48 470.9 73.07 496 104 496H344C374.9 496 400 470.9 400 440V120C400 115.6 403.6 112 408 112C412.4 112 416 115.6 416 120V440C416 479.8 383.8 512 344 512H104C64.24 512 32 479.8 32 440V120C32 115.6 35.58 112 40 112zM224 175.1C226.1 175.1 228.2 176.8 229.7 178.3L309.7 258.3C312.8 261.5 312.8 266.5 309.7 269.7C306.5 272.8 301.5 272.8 298.3 269.7L232 203.3V392C232 396.4 228.4 400 224 400C219.6 400 216 396.4 216 392V203.3L149.7 269.7C146.5 272.8 141.5 272.8 138.3 269.7C135.2 266.5 135.2 261.5 138.3 258.3L218.3 178.3C219.8 176.8 221.9 175.1 224 175.1L224 175.1z"],
    "trash-can-check": [448, 512, [], "e2a9", "M115.6 64L143.8 18.8C151.1 7.105 163.9 0 177.7 0H270.3C284.1 0 296.9 7.105 304.2 18.8L332.4 64H440C444.4 64 448 67.58 448 72C448 76.42 444.4 80 440 80H8C3.582 80 0 76.42 0 72C0 67.58 3.582 64 8 64H115.6zM134.4 64H313.6L290.6 27.28C286.2 20.26 278.5 16 270.3 16H177.7C169.5 16 161.8 20.26 157.4 27.28L134.4 64zM40 112C44.42 112 48 115.6 48 120V440C48 470.9 73.07 496 104 496H344C374.9 496 400 470.9 400 440V120C400 115.6 403.6 112 408 112C412.4 112 416 115.6 416 120V440C416 479.8 383.8 512 344 512H104C64.24 512 32 479.8 32 440V120C32 115.6 35.58 112 40 112zM197.7 357.7C194.5 360.8 189.5 360.8 186.3 357.7L122.3 293.7C119.2 290.5 119.2 285.5 122.3 282.3C125.5 279.2 130.5 279.2 133.7 282.3L192 340.7L314.3 218.3C317.5 215.2 322.5 215.2 325.7 218.3C328.8 221.5 328.8 226.5 325.7 229.7L197.7 357.7z"],
    "trash-can-clock": [576, 512, [], "e2aa", "M115.6 64L143.8 18.8C151.1 7.105 163.9 0 177.7 0H270.3C284.1 0 296.9 7.105 304.2 18.8L332.4 64H440C444.4 64 448 67.58 448 72C448 76.42 444.4 80 440 80H8C3.582 80 0 76.42 0 72C0 67.58 3.582 64 8 64H115.6zM134.4 64H313.6L290.6 27.28C286.2 20.26 278.5 16 270.3 16H177.7C169.5 16 161.8 20.26 157.4 27.28L134.4 64zM40 112C44.42 112 48 115.6 48 120V440C48 470.9 73.07 496 104 496H311.2C317.3 501.8 323.9 507.1 330.8 512H104C64.24 512 32 479.8 32 440V120C32 115.6 35.58 112 40 112V112zM312 160C312 155.6 315.6 152 320 152C324.4 152 328 155.6 328 160V225.1C322.4 230.1 317.1 234.5 312 239.3V160zM416 192.7C410.6 193.2 405.3 193.9 400 194.9V120C400 115.6 403.6 112 408 112C412.4 112 416 115.6 416 120V192.7zM136 416C136 420.4 132.4 424 128 424C123.6 424 120 420.4 120 416V160C120 155.6 123.6 152 128 152C132.4 152 136 155.6 136 160V416zM232 416C232 420.4 228.4 424 224 424C219.6 424 216 420.4 216 416V160C216 155.6 219.6 152 224 152C228.4 152 232 155.6 232 160V416zM431.1 288C436.4 288 439.1 291.6 439.1 296V360H488C492.4 360 496 363.6 496 368C496 372.4 492.4 376 488 376H431.1C427.6 376 423.1 372.4 423.1 368V296C423.1 291.6 427.6 288 431.1 288V288zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 496C502.7 496 560 438.7 560 368C560 297.3 502.7 240 432 240C361.3 240 304 297.3 304 368C304 438.7 361.3 496 432 496z"],
    "trash-can-list": [640, 512, [], "e2ab", "M169.7 0H246.3C260.1 0 272.9 7.105 280.2 18.8L308.4 64H408C412.4 64 416 67.58 416 72C416 76.42 412.4 80 408 80H8C3.582 80 0 76.42 0 72C0 67.58 3.582 64 8 64H107.6L135.8 18.8C143.1 7.105 155.9 0 169.7 0V0zM169.7 16C161.5 16 153.8 20.26 149.4 27.28L126.4 64H289.6L266.6 27.28C262.2 20.26 254.5 16 246.3 16H169.7zM48 440C48 470.9 73.07 496 104 496H312C342.9 496 368 470.9 368 440V120C368 115.6 371.6 112 376 112C380.4 112 384 115.6 384 120V440C384 479.8 351.8 512 312 512H104C64.24 512 32 479.8 32 440V120C32 115.6 35.58 112 40 112C44.42 112 48 115.6 48 120V440zM160 152C164.4 152 168 155.6 168 160V416C168 420.4 164.4 424 160 424C155.6 424 152 420.4 152 416V160C152 155.6 155.6 152 160 152zM256 152C260.4 152 264 155.6 264 160V416C264 420.4 260.4 424 256 424C251.6 424 248 420.4 248 416V160C248 155.6 251.6 152 256 152zM632 128C636.4 128 640 131.6 640 136C640 140.4 636.4 144 632 144H456C451.6 144 448 140.4 448 136C448 131.6 451.6 128 456 128H632zM600 256C604.4 256 608 259.6 608 264C608 268.4 604.4 272 600 272H456C451.6 272 448 268.4 448 264C448 259.6 451.6 256 456 256H600zM448 392C448 387.6 451.6 384 456 384H536C540.4 384 544 387.6 544 392C544 396.4 540.4 400 536 400H456C451.6 400 448 396.4 448 392z"],
    "trash-can-plus": [448, 512, [], "e2ac", "M115.6 64L143.8 18.8C151.1 7.105 163.9 0 177.7 0H270.3C284.1 0 296.9 7.105 304.2 18.8L332.4 64H440C444.4 64 448 67.58 448 72C448 76.42 444.4 80 440 80H8C3.582 80 0 76.42 0 72C0 67.58 3.582 64 8 64H115.6zM134.4 64H313.6L290.6 27.28C286.2 20.26 278.5 16 270.3 16H177.7C169.5 16 161.8 20.26 157.4 27.28L134.4 64zM40 112C44.42 112 48 115.6 48 120V440C48 470.9 73.07 496 104 496H344C374.9 496 400 470.9 400 440V120C400 115.6 403.6 112 408 112C412.4 112 416 115.6 416 120V440C416 479.8 383.8 512 344 512H104C64.24 512 32 479.8 32 440V120C32 115.6 35.58 112 40 112zM216 384V296H128C123.6 296 120 292.4 120 288C120 283.6 123.6 280 128 280H216V192C216 187.6 219.6 184 224 184C228.4 184 232 187.6 232 192V280H320C324.4 280 328 283.6 328 288C328 292.4 324.4 296 320 296H232V384C232 388.4 228.4 392 224 392C219.6 392 216 388.4 216 384z"],
    "trash-can-slash": [640, 512, ["trash-alt-slash"], "e2ad", "M482.7 476.2L495.3 486.1C482.1 501.9 462.2 512 439.1 512H199.1C160.2 512 127.1 479.8 127.1 440V196.2L143.1 208.8V440C143.1 470.9 169.1 496 199.1 496H439.1C457.1 496 472.5 488.3 482.7 476.2V476.2zM239.8 18.8C247.1 7.105 259.9 0 273.7 0H366.3C380.1 0 392.9 7.105 400.2 18.8L428.4 64H536C540.4 64 544 67.58 544 72C544 76.42 540.4 80 536 80H213.3L192.1 64H211.6L239.8 18.8zM230.4 64H409.6L386.6 27.28C382.2 20.26 374.5 16 366.3 16H273.7C265.5 16 257.8 20.26 253.4 27.28L230.4 64zM231.1 416C231.1 420.4 228.4 424 223.1 424C219.6 424 215.1 420.4 215.1 416V265.6L231.1 278.3V416zM319.1 424C315.6 424 311.1 420.4 311.1 416V341.4L328 354V416C328 420.4 324.4 424 319.1 424zM416 152C420.4 152 424 155.6 424 160V246.4L408 233.7V160C408 155.6 411.6 152 416 152V152zM504 112C508.4 112 512 115.6 512 120V315.8L496 303.2V119.1C496 115.6 499.6 111.1 504 111.1V112zM636.1 497.7C640.4 500.5 641 505.5 638.3 508.1C635.5 512.4 630.5 513 627 510.3L3.022 14.26C-.4365 11.51-1.012 6.482 1.738 3.023C4.487-.4358 9.52-1.011 12.98 1.739L636.1 497.7z"],
    "trash-can-undo": [448, 512, ["trash-can-arrow-turn-left", "trash-undo-alt"], "f896", "M115.6 64L143.8 18.8C151.1 7.105 163.9 0 177.7 0H270.3C284.1 0 296.9 7.105 304.2 18.8L332.4 64H440C444.4 64 448 67.58 448 72C448 76.42 444.4 80 440 80H8C3.582 80 0 76.42 0 72C0 67.58 3.582 64 8 64H115.6zM134.4 64H313.6L290.6 27.28C286.2 20.26 278.5 16 270.3 16H177.7C169.5 16 161.8 20.26 157.4 27.28L134.4 64zM40 112C44.42 112 48 115.6 48 120V440C48 470.9 73.07 496 104 496H344C374.9 496 400 470.9 400 440V120C400 115.6 403.6 112 408 112C412.4 112 416 115.6 416 120V440C416 479.8 383.8 512 344 512H104C64.24 512 32 479.8 32 440V120C32 115.6 35.58 112 40 112zM213.9 186.6C216.9 189.9 216.7 194.9 213.4 197.9L140.7 263.1H248C287.8 263.1 320 296.2 320 336V376C320 380.4 316.4 384 312 384C307.6 384 304 380.4 304 376V336C304 305.1 278.9 279.1 248 279.1H140.7L213.4 346.1C216.7 349.1 216.9 354.1 213.9 357.4C210.9 360.6 205.9 360.9 202.6 357.9L114.6 277.9C112.1 276.4 112 274.3 112 271.1C112 269.7 112.1 267.6 114.6 266.1L202.6 186.1C205.9 183.1 210.9 183.3 213.9 186.6V186.6z"],
    "trash-can-xmark": [448, 512, [], "e2ae", "M115.6 64L143.8 18.8C151.1 7.105 163.9 0 177.7 0H270.3C284.1 0 296.9 7.105 304.2 18.8L332.4 64H440C444.4 64 448 67.58 448 72C448 76.42 444.4 80 440 80H8C3.582 80 0 76.42 0 72C0 67.58 3.582 64 8 64H115.6zM134.4 64H313.6L290.6 27.28C286.2 20.26 278.5 16 270.3 16H177.7C169.5 16 161.8 20.26 157.4 27.28L134.4 64zM40 112C44.42 112 48 115.6 48 120V440C48 470.9 73.07 496 104 496H344C374.9 496 400 470.9 400 440V120C400 115.6 403.6 112 408 112C412.4 112 416 115.6 416 120V440C416 479.8 383.8 512 344 512H104C64.24 512 32 479.8 32 440V120C32 115.6 35.58 112 40 112zM146.3 210.3C149.5 207.2 154.5 207.2 157.7 210.3L224 276.7L290.3 210.3C293.5 207.2 298.5 207.2 301.7 210.3C304.8 213.5 304.8 218.5 301.7 221.7L235.3 288L301.7 354.3C304.8 357.5 304.8 362.5 301.7 365.7C298.5 368.8 293.5 368.8 290.3 365.7L224 299.3L157.7 365.7C154.5 368.8 149.5 368.8 146.3 365.7C143.2 362.5 143.2 357.5 146.3 354.3L212.7 288L146.3 221.7C143.2 218.5 143.2 213.5 146.3 210.3V210.3z"],
    "trash-check": [448, 512, [], "e2af", "M115.6 64L143.8 18.8C151.1 7.105 163.9 0 177.7 0H270.3C284.1 0 296.9 7.105 304.2 18.8L332.4 64H440C444.4 64 448 67.58 448 72C448 76.42 444.4 80 440 80H8C3.582 80 0 76.42 0 72C0 67.58 3.582 64 8 64H115.6zM134.4 64H313.6L290.6 27.28C286.2 20.26 278.5 16 270.3 16H177.7C169.5 16 161.8 20.26 157.4 27.28L134.4 64zM39.34 112C43.74 111.7 47.61 114.9 47.97 119.3L76.3 459.3C78.03 480.1 95.36 496 116.2 496H331.8C352.6 496 369.1 480.1 371.7 459.3L400 119.3C400.4 114.9 404.3 111.7 408.7 112C413.1 112.4 416.3 116.3 415.1 120.7L387.6 460.6C385.2 489.7 360.1 512 331.8 512H116.2C87.04 512 62.78 489.7 60.36 460.6L32.03 120.7C31.66 116.3 34.93 112.4 39.34 112H39.34zM197.7 357.7C194.5 360.8 189.5 360.8 186.3 357.7L122.3 293.7C119.2 290.5 119.2 285.5 122.3 282.3C125.5 279.2 130.5 279.2 133.7 282.3L192 340.7L314.3 218.3C317.5 215.2 322.5 215.2 325.7 218.3C328.8 221.5 328.8 226.5 325.7 229.7L197.7 357.7z"],
    "trash-clock": [576, 512, [], "e2b0", "M177.7 0H270.3C284.1 0 296.9 7.105 304.2 18.8L332.4 64H440C444.4 64 448 67.58 448 72C448 76.42 444.4 80 440 80H8C3.582 80 0 76.42 0 72C0 67.58 3.582 64 8 64H115.6L143.8 18.8C151.1 7.105 163.9 0 177.7 0V0zM177.7 16C169.5 16 161.8 20.26 157.4 27.28L134.4 64H313.6L290.6 27.28C286.2 20.26 278.5 16 270.3 16H177.7zM76.3 459.3C78.03 480.1 95.36 496 116.2 496H311.2C317.3 501.8 323.9 507.1 330.8 512H116.2C87.04 512 62.78 489.7 60.36 460.6L32.03 120.7C31.66 116.3 34.93 112.4 39.34 112C43.74 111.7 47.61 114.9 47.97 119.3L76.3 459.3zM415.1 120.7L409.9 193.4C404.4 194.1 398.1 195 393.6 196.2L400 119.3C400.4 114.9 404.3 111.7 408.7 112C413.1 112.4 416.3 116.3 415.1 120.7V120.7zM431.1 288C436.4 288 439.1 291.6 439.1 296V360H488C492.4 360 496 363.6 496 368C496 372.4 492.4 376 488 376H431.1C427.6 376 423.1 372.4 423.1 368V296C423.1 291.6 427.6 288 431.1 288V288zM288 368C288 288.5 352.5 224 432 224C511.5 224 576 288.5 576 368C576 447.5 511.5 512 432 512C352.5 512 288 447.5 288 368zM432 496C502.7 496 560 438.7 560 368C560 297.3 502.7 240 432 240C361.3 240 304 297.3 304 368C304 438.7 361.3 496 432 496z"],
    "trash-list": [640, 512, [], "e2b1", "M115.6 64L143.8 18.8C151.1 7.105 163.9 0 177.7 0H238.3C252.1 0 264.9 7.105 272.2 18.8L300.4 64H408C412.4 64 416 67.58 416 72C416 76.42 412.4 80 408 80H8C3.582 80 0 76.42 0 72C0 67.58 3.582 64 8 64H115.6zM134.4 64H281.6L258.6 27.28C254.2 20.26 246.5 16 238.3 16H177.7C169.5 16 161.8 20.26 157.4 27.28L134.4 64zM39.34 112C43.74 111.7 47.61 114.9 47.97 119.3L76.3 459.3C78.03 480.1 95.36 496 116.2 496H299.8C320.6 496 337.1 480.1 339.7 459.3L368 119.3C368.4 114.9 372.3 111.7 376.7 112C381.1 112.4 384.3 116.3 383.1 120.7L355.6 460.6C353.2 489.7 328.1 512 299.8 512H116.2C87.04 512 62.78 489.7 60.36 460.6L32.03 120.7C31.66 116.3 34.93 112.4 39.34 112V112zM632 128C636.4 128 640 131.6 640 136C640 140.4 636.4 144 632 144H456C451.6 144 448 140.4 448 136C448 131.6 451.6 128 456 128H632zM600 256C604.4 256 608 259.6 608 264C608 268.4 604.4 272 600 272H456C451.6 272 448 268.4 448 264C448 259.6 451.6 256 456 256H600zM448 392C448 387.6 451.6 384 456 384H536C540.4 384 544 387.6 544 392C544 396.4 540.4 400 536 400H456C451.6 400 448 396.4 448 392z"],
    "trash-plus": [448, 512, [], "e2b2", "M115.6 64L143.8 18.8C151.1 7.105 163.9 0 177.7 0H270.3C284.1 0 296.9 7.105 304.2 18.8L332.4 64H440C444.4 64 448 67.58 448 72C448 76.42 444.4 80 440 80H8C3.582 80 0 76.42 0 72C0 67.58 3.582 64 8 64H115.6zM134.4 64H313.6L290.6 27.28C286.2 20.26 278.5 16 270.3 16H177.7C169.5 16 161.8 20.26 157.4 27.28L134.4 64zM39.34 112C43.74 111.7 47.61 114.9 47.97 119.3L76.3 459.3C78.03 480.1 95.36 496 116.2 496H331.8C352.6 496 369.1 480.1 371.7 459.3L400 119.3C400.4 114.9 404.3 111.7 408.7 112C413.1 112.4 416.3 116.3 415.1 120.7L387.6 460.6C385.2 489.7 360.1 512 331.8 512H116.2C87.04 512 62.78 489.7 60.36 460.6L32.03 120.7C31.66 116.3 34.93 112.4 39.34 112H39.34zM216 384V296H128C123.6 296 120 292.4 120 288C120 283.6 123.6 280 128 280H216V192C216 187.6 219.6 184 224 184C228.4 184 232 187.6 232 192V280H320C324.4 280 328 283.6 328 288C328 292.4 324.4 296 320 296H232V384C232 388.4 228.4 392 224 392C219.6 392 216 388.4 216 384z"],
    "trash-slash": [640, 512, [], "e2b3", "M511.1 120.7L496.7 303.8L481.6 291.9L496 119.3C496.4 114.9 500.3 111.7 504.7 112C509.1 112.4 512.3 116.3 511.1 120.7L511.1 120.7zM467.1 463.8L480.7 474.6C472.1 496.5 452.1 512 427.8 512H212.2C183 512 158.8 489.7 156.4 460.6L134.8 201.5L151.1 215.1L172.3 459.3C174 480.1 191.4 496 212.2 496H427.8C447.1 496 463.4 482.3 467.1 463.8H467.1zM239.8 18.8C247.1 7.105 259.9 0 273.7 0H366.3C380.1 0 392.9 7.105 400.2 18.8L428.4 64H536C540.4 64 544 67.58 544 72C544 76.42 540.4 80 536 80H213.3L192.1 64H211.6L239.8 18.8zM273.7 16C265.5 16 257.8 20.26 253.4 27.28L230.4 64H409.6L386.6 27.28C382.2 20.26 374.5 16 366.3 16H273.7zM636.1 497.7C640.4 500.5 641 505.5 638.3 508.1C635.5 512.4 630.5 513 627 510.3L3.023 14.26C-.4355 11.51-1.011 6.482 1.739 3.023C4.488-.4358 9.521-1.011 12.98 1.739L636.1 497.7z"],
    "trash-undo": [448, 512, ["trash-arrow-turn-left"], "f895", "M177.7 0H270.3C284.1 0 296.9 7.105 304.2 18.8L332.4 64H440C444.4 64 448 67.58 448 72C448 76.42 444.4 80 440 80H8C3.582 80 0 76.42 0 72C0 67.58 3.582 64 8 64H115.6L143.8 18.8C151.1 7.105 163.9 0 177.7 0V0zM177.7 16C169.5 16 161.8 20.26 157.4 27.28L134.4 64H313.6L290.6 27.28C286.2 20.26 278.5 16 270.3 16H177.7zM76.3 459.3C78.03 480.1 95.36 496 116.2 496H331.8C352.6 496 369.1 480.1 371.7 459.3L400 119.3C400.4 114.9 404.3 111.7 408.7 112C413.1 112.4 416.3 116.3 415.1 120.7L387.6 460.6C385.2 489.7 360.1 512 331.8 512H116.2C87.04 512 62.78 489.7 60.36 460.6L32.03 120.7C31.66 116.3 34.93 112.4 39.34 112C43.74 111.7 47.61 114.9 47.97 119.3L76.3 459.3zM213.9 186.6C216.9 189.9 216.7 194.9 213.4 197.9L140.7 263.1H248C287.8 263.1 320 296.2 320 336V376C320 380.4 316.4 384 312 384C307.6 384 304 380.4 304 376V336C304 305.1 278.9 279.1 248 279.1H140.7L213.4 346.1C216.7 349.1 216.9 354.1 213.9 357.4C210.9 360.6 205.9 360.9 202.6 357.9L114.6 277.9C112.1 276.4 112 274.3 112 271.1C112 269.7 112.1 267.6 114.6 266.1L202.6 186.1C205.9 183.1 210.9 183.3 213.9 186.6V186.6z"],
    "trash-xmark": [448, 512, [], "e2b4", "M115.6 64L143.8 18.8C151.1 7.105 163.9 0 177.7 0H270.3C284.1 0 296.9 7.105 304.2 18.8L332.4 64H440C444.4 64 448 67.58 448 72C448 76.42 444.4 80 440 80H8C3.582 80 0 76.42 0 72C0 67.58 3.582 64 8 64H115.6zM134.4 64H313.6L290.6 27.28C286.2 20.26 278.5 16 270.3 16H177.7C169.5 16 161.8 20.26 157.4 27.28L134.4 64zM39.34 112C43.74 111.7 47.61 114.9 47.97 119.3L76.3 459.3C78.03 480.1 95.36 496 116.2 496H331.8C352.6 496 369.1 480.1 371.7 459.3L400 119.3C400.4 114.9 404.3 111.7 408.7 112C413.1 112.4 416.3 116.3 415.1 120.7L387.6 460.6C385.2 489.7 360.1 512 331.8 512H116.2C87.04 512 62.78 489.7 60.36 460.6L32.03 120.7C31.66 116.3 34.93 112.4 39.34 112H39.34zM146.3 210.3C149.5 207.2 154.5 207.2 157.7 210.3L224 276.7L290.3 210.3C293.5 207.2 298.5 207.2 301.7 210.3C304.8 213.5 304.8 218.5 301.7 221.7L235.3 288L301.7 354.3C304.8 357.5 304.8 362.5 301.7 365.7C298.5 368.8 293.5 368.8 290.3 365.7L224 299.3L157.7 365.7C154.5 368.8 149.5 368.8 146.3 365.7C143.2 362.5 143.2 357.5 146.3 354.3L212.7 288L146.3 221.7C143.2 218.5 143.2 213.5 146.3 210.3V210.3z"],
    "treasure-chest": [576, 512, [], "f723", "M448 32H128C57.31 32 0 89.31 0 160v256c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V160C576 89.31 518.7 32 448 32zM120 464H64c-26.47 0-48-21.53-48-48V288h104V464zM120 272H16V160c0-59.02 46.03-107 104-111.2V272zM440 464h-304V288h80v40c0 22.06 17.94 40 40 40h64c22.06 0 40-17.94 40-40V288h80V464zM232 328v-112C232 202.8 242.8 192 256 192h64c13.22 0 24 10.77 24 24v112c0 13.23-10.78 24-24 24H256C242.8 352 232 341.2 232 328zM440 272h-80V216c0-22.06-17.94-40-40-40H256c-22.06 0-40 17.94-40 40V272h-80v-224h304V272zM560 416c0 26.47-21.53 48-48 48h-56V288h104V416zM560 272h-104V48.81C513.1 52.1 560 100.1 560 160V272zM288 320c4.406 0 8-3.578 8-8v-80C296 227.6 292.4 224 288 224S280 227.6 280 232v80C280 316.4 283.6 320 288 320z"],
    "tree": [448, 512, [127794], "f1bb", "M439.6 391.6l-68.98-79.59h15.2c25.59 0 39.5-29.17 23.19-48.48l-60.86-71.51h10.77c21.28 0 32.9-22.5 19.28-37.31l-134.9-146.5C238.3 2.796 231.2 0 224 0S209.7 2.799 204.7 8.236L69.93 154.7C56.34 169.5 67.93 192 89.21 192h10.73L39.03 263.5C22.72 282.9 36.62 312 62.22 312h15.2l-68.98 79.59c-18.1 21.91-3.813 56.4 24.69 56.4l182.9-.0099v56C216 508.4 219.7 512 224.1 512s7.915-3.578 7.915-8.002v-56l182.8 .0133C443.4 448 458.5 413.4 439.6 391.6zM430.3 421.8c-1.09 2.387-5.42 10.17-15.43 10.17h-182.8v-76.69l61.65-61.66c3.125-3.125 3.125-8.188 0-11.31c-3.125-3.127-8.188-3.127-11.31 0l-50.34 50.35V167.1c0-4.422-3.606-7.984-8.028-7.984s-7.972 3.562-7.972 7.984v100.7L165.7 218.3c-3.125-3.127-8.186-3.127-11.31 0c-3.125 3.125-3.125 8.188 0 11.31l61.65 61.66v140.7H33.12c-9.977 0-14.3-7.773-15.39-10.15c-1.162-2.545-4.393-11.49 2.791-19.78l91.92-106.1H62.21c-8.535 0-12.06-6.154-12.93-8.039c-1.064-2.291-3-8.254 1.926-14.09l83.39-97.88h-45.39c-4.838 0-7.65-2.479-8.67-4.797c-1.176-2.674 .1094-4.533 1.164-5.684l134.8-146.5C218.2 17.09 220.1 16 224 16c3.045 0 5.791 1.088 7.543 2.994l134.9 146.5c1.068 1.16 2.352 3.012 1.184 5.674c-1.02 2.322-3.838 4.807-8.689 4.807h-45.39l83.26 97.83c4.971 5.885 3.033 11.85 1.971 14.14c-.875 1.885-4.396 8.039-12.94 8.039h-50.24l91.93 106.1C434.7 410.3 431.4 419.3 430.3 421.8z"],
    "tree-christmas": [512, 512, [127876], "f7db", "M303.1 416c8.832 0 16-7.168 16-16s-7.168-15.1-16-15.1S288 391.2 288 400S295.2 416 303.1 416zM184.9 94.5L222.6 113.4l18.92 37.7C244.3 156.6 249.8 160 255.1 160s11.69-3.398 14.48-8.914l18.91-37.69l37.67-18.91c5.516-2.766 8.93-8.318 8.93-14.49c0-6.17-3.415-11.71-8.915-14.48L289.4 46.62l-18.92-37.69C267.7 3.422 262.1 0 255.1 0c-.0156 0 0 0 0 0C249.8 .0156 244.3 3.438 241.5 8.938L222.6 46.62L184.9 65.53C179.4 68.29 176 73.84 176 80.01C176 86.18 179.4 91.73 184.9 94.5zM234.5 58.53l21.66-42.41l21.31 42.41l42.41 21.65l-42.41 21.31L255.8 143.9L234.5 101.5L192.1 80.18L234.5 58.53zM208 256c-8.832 0-16 7.168-16 15.1c0 8.834 7.168 16 16 16s15.1-7.168 15.1-16C223.1 263.2 216.8 256 208 256zM471.6 455.6l-89.87-103.6h35.1c25.62 0 39.5-29.25 23.25-48.5l-125.8-156.6c-6.578-7.852-19.17 2.033-12.27 10.27l125.8 156.7c4.941 5.854 2.996 11.82 1.93 14.12c-.877 1.893-4.408 8.061-12.95 8.061h-71.05l112.8 130.1c7.1 8.182 3.861 17.12 2.699 19.67C461.2 488.2 456.8 496 446.8 496H65.17c-10.01 0-14.35-7.805-15.44-10.2c-1.158-2.537-4.379-11.46 2.775-19.7l112.8-130.1H94.29c-8.543 0-12.07-6.168-12.95-8.061C80.28 325.6 78.33 319.7 83.42 313.7l123.3-156.6c6.789-8.277-5.859-18.08-12.37-10.15L71.04 303.5c-16.25 19.25-2.375 48.5 23.25 48.5h35.1l-89.87 103.6C21.42 477.5 36.67 512 65.17 512h381.6C475.4 512 490.5 477.4 471.6 455.6z"],
    "tree-city": [640, 512, [], "e587", "M328 16C314.7 16 304 26.75 304 40V504C304 508.4 300.4 512 296 512C291.6 512 288 508.4 288 504V40C288 17.91 305.9 0 328 0H472C494.1 0 512 17.91 512 40V192H560V104C560 99.58 563.6 96 568 96C572.4 96 576 99.58 576 104V192H600C622.1 192 640 209.9 640 232V504C640 508.4 636.4 512 632 512C627.6 512 624 508.4 624 504V232C624 218.7 613.3 208 600 208H496V40C496 26.75 485.3 16 472 16H328zM0 240C0 213.3 13.08 189.7 33.18 175.1C32.4 170.2 32 165.1 32 160C32 106.1 74.98 64 128 64C181 64 224 106.1 224 160C224 165.1 223.6 170.2 222.8 175.1C242.9 189.7 256 213.3 256 240C256 284.2 220.2 320 176 320H136V504C136 508.4 132.4 512 128 512C123.6 512 120 508.4 120 504V320H80C35.82 320 0 284.2 0 240zM205.5 182.3L207 172.6C207.7 168.5 208 164.3 208 160C208 115.8 172.2 80 128 80C83.82 80 48 115.8 48 160C48 164.3 48.34 168.5 48.99 172.6L50.52 182.3L42.56 188.1C26.44 199.7 16 218.7 16 239.1C16 275.3 44.65 303.1 80 303.1H119.1L120 231.1C120 227.6 123.6 223.1 128 223.1C132.4 223.1 136 227.6 136 231.1V303.1H176C211.3 303.1 240 275.3 240 239.1C240 218.7 229.6 199.7 213.4 188.1L205.5 182.3zM416 72C429.3 72 440 82.75 440 96V128C440 141.3 429.3 152 416 152H384C370.7 152 360 141.3 360 128V96C360 82.75 370.7 72 384 72H416zM376 128C376 132.4 379.6 136 384 136H416C420.4 136 424 132.4 424 128V96C424 91.58 420.4 88 416 88H384C379.6 88 376 91.58 376 96V128zM488 288C488 274.7 498.7 264 512 264H544C557.3 264 568 274.7 568 288V320C568 333.3 557.3 344 544 344H512C498.7 344 488 333.3 488 320V288zM512 280C507.6 280 504 283.6 504 288V320C504 324.4 507.6 328 512 328H544C548.4 328 552 324.4 552 320V288C552 283.6 548.4 280 544 280H512zM544 392C557.3 392 568 402.7 568 416V448C568 461.3 557.3 472 544 472H512C498.7 472 488 461.3 488 448V416C488 402.7 498.7 392 512 392H544zM504 448C504 452.4 507.6 456 512 456H544C548.4 456 552 452.4 552 448V416C552 411.6 548.4 408 544 408H512C507.6 408 504 411.6 504 416V448zM360 224C360 210.7 370.7 200 384 200H416C429.3 200 440 210.7 440 224V256C440 269.3 429.3 280 416 280H384C370.7 280 360 269.3 360 256V224zM384 216C379.6 216 376 219.6 376 224V256C376 260.4 379.6 264 384 264H416C420.4 264 424 260.4 424 256V224C424 219.6 420.4 216 416 216H384zM416 328C429.3 328 440 338.7 440 352V384C440 397.3 429.3 408 416 408H384C370.7 408 360 397.3 360 384V352C360 338.7 370.7 328 384 328H416zM376 384C376 388.4 379.6 392 384 392H416C420.4 392 424 388.4 424 384V352C424 347.6 420.4 344 416 344H384C379.6 344 376 347.6 376 352V384z"],
    "tree-deciduous": [512, 512, [127795, "tree-alt"], "f400", "M496 235c-10.62-16-25-27.62-43-35c9.375-16 12.88-32.5 10.5-49.5s-9.125-31.62-20.5-44s-25.12-20.5-41.5-24.5C397 80.9 377.4 75.75 352 87c-2.625-24.63-13.12-45.38-31.5-62S280.6 0 256 0S209.9 8.375 191.5 25S162.6 62.38 160 87C134.7 75.75 114.1 80.9 110.5 82c-16.38 4-30.12 12.12-41.5 24.5s-18.12 27-20.5 44s1.125 33.5 10.5 49.5c-18 7.375-32.38 19-43 35S0 268.6 0 288c0 26.62 9.375 49.38 28 68s41.38 28 68 28L247.1 384v119.1C247.1 508.4 251.7 512 256.1 512s7.892-3.578 7.892-8.002V384L416 384c26.62 0 49.38-9.375 68-28S512 314.6 512 288C512 268.6 506.6 251 496 235zM472.7 344.7C456.1 360.4 438.5 368 416 368h-152v-44.7l61.65-61.66c3.125-3.125 3.125-8.188 0-11.31c-3.125-3.127-8.188-3.127-11.31 0l-50.34 50.35V135.1c0-4.422-3.583-7.984-8.005-7.984S247.1 131.6 247.1 135.1v100.7L197.7 186.3c-3.125-3.127-8.186-3.127-11.31 0c-3.125 3.125-3.125 8.188 0 11.31l61.65 61.66V368H96c-22.46 0-40.1-7.627-56.69-23.31C23.63 328.1 16 310.5 16 288c0-16.2 4.359-30.64 13.33-44.15c8.842-13.31 20.53-22.82 35.74-29.05l17.06-6.988L72.8 191.9C65.23 178.1 62.47 166.2 64.35 152.7C66.29 138.8 71.66 127.2 80.78 117.3c9.25-10.06 20.21-16.54 33.52-19.79c18.03-4.406 32.36 1.039 39.21 4.082l20.07 8.904l2.328-21.83c2.223-20.86 10.83-37.82 26.32-51.83C217.8 22.82 235.3 16 256 16s38.25 6.824 53.77 20.86c15.49 14.02 24.1 30.97 26.32 51.83l2.328 21.83l20.07-8.904c6.863-3.047 21.21-8.486 39.21-4.082c13.3 3.25 24.27 9.721 33.52 19.79c9.117 9.918 14.49 21.49 16.43 35.38c1.879 13.46-.8867 26.28-8.459 39.2l-9.32 15.91l17.06 6.988c15.21 6.23 26.9 15.73 35.74 29.05C491.6 257.4 496 271.8 496 288C496 310.5 488.4 328.1 472.7 344.7z"],
    "tree-decorated": [512, 512, [], "f7dc", "M271.1 128C263.2 128 256 135.2 256 144C256 152.8 263.2 160 271.1 160c8.834 0 16-7.168 16-16C287.1 135.2 280.8 128 271.1 128zM208 256C199.2 256 192 263.2 192 272C192 280.8 199.2 288 208 288S224 280.8 224 272C224 263.2 216.8 256 208 256zM303.1 384C295.2 384 288 391.2 288 400c0 8.832 7.166 16 15.1 16c8.834 0 16-7.168 16-16C319.1 391.2 312.8 384 303.1 384zM471.6 455.6l-89.87-103.6h35.1c25.62 0 39.5-29.25 23.25-48.5L346.1 192h44.75c21.38 0 32.87-22.5 19.37-37.25l-134.1-146.5C270.3 2.75 263.1 0 256 0S241.8 2.75 236.8 8.25l-134.9 146.5c-13.62 14.75-1.1 37.25 19.37 37.25h44.75L71.04 303.5c-16.25 19.25-2.375 48.5 23.25 48.5h35.1L40.42 455.6c-18.1 21.88-3.75 56.38 24.75 56.38h381.6C475.4 512 490.5 477.4 471.6 455.6zM462.3 485.8C461.2 488.2 456.8 496 446.8 496H65.17c-10.01 0-14.35-7.805-15.44-10.2c-1.158-2.537-4.379-11.46 2.775-19.7L165.3 336H94.29c-8.543 0-12.07-6.17-12.95-8.061C80.28 325.6 78.33 319.7 83.22 313.9L200.7 176H121.3c-4.918 0-7.764-2.498-8.787-4.836c-1.143-2.611 .1172-4.424 1.186-5.578l134.9-146.6C250.4 17.1 253.1 16 256 16s5.67 1.098 7.482 3.092l134.1 146.5c1.053 1.152 2.32 2.992 1.146 5.654C398.6 173.5 395.8 176 390.9 176h-79.37l117.3 137.8c4.943 5.854 2.996 11.82 1.93 14.12C429.8 329.8 426.3 336 417.8 336h-71.05l112.8 130.1C466.7 474.3 463.4 483.2 462.3 485.8z"],
    "tree-large": [512, 512, [], "f7dd", "M471.6 455.6L381.8 352h35.1c25.62 0 39.5-29.25 23.25-48.5L346.1 192h44.75c21.37 0 32.87-22.5 19.37-37.25l-134.1-146.5C270.3 2.75 263.2 0 256 0S241.8 2.75 236.8 8.25l-134.9 146.5C88.29 169.5 99.92 192 121.3 192h44.75L71.04 303.5C54.79 322.8 68.67 352 94.29 352h35.1l-89.87 103.6C21.42 477.5 36.67 512 65.17 512h381.6C475.4 512 490.5 477.4 471.6 455.6zM462.3 485.8C461.2 488.2 456.8 496 446.8 496H264v-76.68l61.65-61.66c3.125-3.125 3.125-8.188 0-11.31c-3.125-3.127-8.188-3.127-11.31 0l-50.34 50.35V232c0-4.422-3.579-8-8.001-8S248 227.6 248 232v100.7L197.7 282.3c-3.125-3.127-8.186-3.127-11.31 0c-3.125 3.125-3.125 8.188 0 11.31l61.65 61.66V496h-182.8c-10.01 0-14.35-7.805-15.44-10.2c-1.158-2.537-4.379-11.46 2.775-19.7L165.3 336H94.29c-8.543 0-12.07-6.17-12.95-8.061C80.28 325.6 78.33 319.7 83.22 313.9L200.7 176H121.3c-4.918 0-7.764-2.498-8.787-4.836c-1.143-2.611 .1191-4.424 1.186-5.578l134.9-146.6C250.4 17.1 253.1 16 256 16s5.67 1.098 7.482 3.092l134.1 146.5c1.055 1.15 2.322 2.99 1.148 5.654C398.6 173.5 395.8 176 390.9 176h-79.37l117.3 137.8c4.941 5.854 2.996 11.82 1.93 14.12C429.8 329.8 426.3 336 417.8 336h-71.05l112.8 130.1C466.7 474.3 463.4 483.2 462.3 485.8z"],
    "tree-palm": [576, 512, [127796], "f82b", "M416 64c-36.25 0-71.24 9.141-99.74 25.91C298.2 37.19 234.6 0 159.1 0C79.63 0 12.52 42.75 .4086 101.7C-.8259 107.6 .768 113.9 4.768 118.8C9.472 124.5 17.1 128 25.18 128l38.82-.0001c2.5 0 4.835-1.172 6.351-3.156l25.64-33.64l25.64 33.64C123.2 126.8 125.5 128 127.1 128h31.38C145.8 136.4 133 146.6 121.5 158.1c-56.83 56.81-74.07 134.5-40.97 184.7c9.221 14.05 27.4 9.879 36.16 1.125l132.7-132.7c6.792 112.1-18.81 228.1-24.28 252.3c-2.891 12.19-.1719 24.73 7.485 34.42C239.7 506.9 250.1 512 261.1 512h50.11c18.7 0 34.52-14.34 36.8-33.36C361.8 365.1 336.4 241.7 324.3 192h107.7c2.5 0 4.844-1.172 6.36-3.156l25.64-33.64l25.64 33.64C491.2 190.8 493.5 192 496 192h54.82c17.54 0 27.28-14.21 24.77-26.34C563.5 106.8 496.4 64 416 64zM332.1 476.7C330.8 487.7 321.8 496 311.2 496H261.1c-17.06 0-22.95-17.98-20.39-28.81c5.793-24.7 33.74-152.4 23.66-270.9L268.6 192h39.95C308.5 201.4 348.6 340.1 332.1 476.7zM550.8 176H499.1l-29.61-38.84c-3.031-3.969-9.688-3.969-12.72 0L428.1 176H265.3c-2.125 0-4.157 .8438-5.657 2.344l-154.3 154.3c-5.288 5.322-10.3 3.201-11.47 1.391C65.4 290.9 82.13 220.1 132.8 169.5c18.38-18.38 40.1-32.91 62.83-42.03c3.547-1.422 5.594-5.172 4.875-8.938C199.8 114.7 196.5 112 192.6 112H131.1L102.4 73.16c-3.031-3.969-9.688-3.969-12.72 0L60.02 112H25.18c-4.897 0-9.907-3.234-9.11-7.125C26.5 54.2 88.37 16 159.1 16c70.99 0 132.8 37.88 143.7 88.11c1.195 5.514 7.581 8.105 12.33 4.906C343.4 90.3 378.9 80 416 80c71.63 0 133.5 38.2 143.9 88.88C560.8 172.1 555.5 176 550.8 176z"],
    "trees": [640, 512, [], "f724", "M298.4 288H329c8.998 0 17-5 20.88-13c3.75-8.125 2.5-17.38-3.375-24.12L268.4 160h28.88c9.127 0 17.38-5.375 20.88-13.62c3.625-8.125 1.875-17.62-4.25-24.12L203.6 4.875C200.6 1.625 196.3 0 191.1 0C187.7 0 183.4 1.625 180.4 4.875L69.97 122.3c-5.998 6.5-7.748 16-4.125 24.12C69.34 154.6 77.59 160 86.72 160h28.88L37.46 250.9c-5.875 6.875-7.125 16-3.375 24.12C37.96 283 45.84 288 54.96 288h30.63l-79.88 90.5c-6 6.75-7.377 16.12-3.625 24.25C5.834 410.8 14.08 416 23.09 416H184v87.1C184 508.4 187.6 512 192 512s8.001-3.578 8.001-8.002V416h160.9c9 0 17.25-5.25 21-13.25c3.75-8.125 2.5-17.5-3.5-24.25L298.4 288zM367.4 395.1C366.3 398.4 363.6 400 360.9 400H200.1L200 355.3l53.65-53.66c3.125-3.125 3.125-8.188 0-11.31s-8.188-3.125-11.31 0L200 332.7V168c0-4.422-3.577-8-7.999-8S184 163.6 184 168v100.7L141.7 226.3c-3.125-3.125-8.186-3.125-11.31 0s-3.125 8.188 0 11.31L184 291.3V400H23.09c-2.764 0-5.381-1.625-6.475-3.957c-1.09-2.359-.6953-4.943 1.094-6.955L121.1 272H54.96c-2.936 0-5.234-1.412-6.35-3.705C47.47 265.8 47.82 263.4 49.6 261.3L150.5 144H86.72c-2.693 0-5.164-1.557-6.266-4.145c-.9668-2.168-.457-4.883 1.168-6.645l110.2-117.2c.0254-.0098-.1426 0 0 0L302.2 133.2c1.748 1.855 2.252 4.459 1.166 6.902C302.4 142.4 299.9 144 297.2 144H233.5l100.9 117.4c1.705 1.961 2.039 4.48 1.045 6.646C334.3 270.5 331.8 272 328.1 272H262.9l103.6 117.1C368.1 391 368.5 393.6 367.4 395.1zM634.3 378.5L554.4 288h30.63c9 0 17-5 20.88-13c3.75-8.125 2.5-17.38-3.375-24.12L524.4 160h28.88c9.125 0 17.38-5.375 20.88-13.62c3.625-8.125 1.875-17.62-4.25-24.12l-110.3-117.4C456.6 1.625 452.3 0 448 0c-4.314 0-8.627 1.625-11.63 4.875l-95.67 100.8c-2.982 3.145-2.916 8.092 .1484 11.16c3.182 3.182 8.361 3.113 11.46-.1523l95.56-100.7c.0254-.0098-.1426 0 0 0l110.4 117.2c1.75 1.855 2.252 4.459 1.166 6.902C558.4 142.4 555.1 144 553.3 144h-63.74l100.9 117.4c1.705 1.961 2.039 4.48 1.043 6.646C590.3 270.5 587.9 272 585 272h-66.09l103.4 117.1c1.752 1.971 2.146 4.555 1.098 6.83C622.3 398.4 619.7 400 616.9 400H455.1V291.3l53.66-53.66c3.125-3.125 3.125-8.188 0-11.31s-8.186-3.125-11.31 0L455.1 268.7V168c0-4.422-3.575-8-7.997-8S439.1 163.6 439.1 168v164.7L397.7 290.3c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31l53.65 53.66v148.7C439.1 508.4 443.6 512 448 512s7.998-3.578 7.998-8.002V416h160.9c9.002 0 17.25-5.25 21-13.25C641.7 394.6 640.3 385.3 634.3 378.5z"],
    "triangle": [512, 512, [9650], "f2ec", "M5.287 459.9C-1.839 447.4-1.756 432.1 5.503 419.8L221.5 51.75C228.7 39.52 241.8 32 256 32C270.2 32 283.3 39.52 290.5 51.75L506.5 419.8C513.8 432.1 513.8 447.4 506.7 459.9C499.6 472.3 486.3 480 472 480H40C25.66 480 12.41 472.3 5.287 459.9V459.9zM276.7 59.85C272.4 52.51 264.5 48 256 48C247.5 48 239.6 52.51 235.3 59.85L19.3 427.8C14.95 435.3 14.9 444.5 19.17 451.9C23.45 459.4 31.39 464 40 464H472C480.6 464 488.6 459.4 492.8 451.9C497.1 444.5 497.1 435.3 492.7 427.8L276.7 59.85z"],
    "triangle-exclamation": [512, 512, [9888, "exclamation-triangle", "warning"], "f071", "M256 320c4.406 0 8.013-3.594 8.013-8v-160c0-4.406-3.607-8-8.013-8c-4.406 0-7.987 3.594-7.987 8v160C248 316.4 251.6 320 256 320zM506.3 417l-213.3-364C284.8 39 270.4 32 256 32C241.7 32 227.2 39 218.1 53l-213.2 364C-10.62 444.9 9.848 480 42.74 480h426.6C502 480 522.7 445 506.3 417zM492.6 450.7C487.8 459 479.1 464 469.3 464H42.73c-9.789 0-18.49-4.982-23.27-13.33c-4.678-8.162-4.641-17.49 .1035-25.58L232.8 61.1C237.6 52.9 246.3 48 256 48c9.699 0 18.34 4.887 23.14 13.09l213.3 364C497.2 433.2 497.2 442.5 492.6 450.7zM256.1 368c-8.822 0-16 7.178-16 16s7.138 16 15.96 16c8.822 0 16.04-7.178 16.04-16S264.9 368 256.1 368z"],
    "triangle-instrument": [512, 512, ["triangle-music"], "f8e2", "M498.4 375.4l-85.22-138.6c-2.312-3.734-7.281-4.922-11-2.625c-3.766 2.312-4.938 7.234-2.625 11l85.25 138.7c14.23 22.69 14.95 51 1.859 73.95C473.5 481.3 448.4 496 421.2 496H90.11c-26.8 0-51.52-14.5-64.56-37.91c-13.22-23.12-12.66-51.47 1.469-74l165.1-268.5C205.8 93.31 229.7 80 256 80c26.25 0 50.09 13.23 63.78 35.41l49.3 80.2l-79.69 79.69c-9.348-6.996-20.83-11.38-33.4-11.38C225.1 263.9 200 289.1 200 320s25.07 56 56 56s55.95-24.99 55.95-55.92c0-12.57-4.237-24.13-11.23-33.48l200.9-200.9c3.125-3.125 3.125-8.188 0-11.31s-8.188-3.125-11.31 0l-109.6 109.6l-47.3-76.96c-15.25-24.68-40.98-39.6-69.64-42.03V8c0-4.422-3.389-8-7.811-8S247.8 3.578 247.8 8v57.04C219.2 67.62 193.6 82.57 178.5 107.3l-165.1 268.4c-17.23 27.48-17.91 62.11-1.812 90.3C27.44 494.4 57.52 512 90.11 512h331.1c33 0 63.42-17.8 79.39-46.38C516.6 437.6 515.7 402.1 498.4 375.4zM256 360c-22.05 0-40-17.95-40-40c0-22.06 17.95-40 40-40c22.06 0 40 17.94 40 40C296 342.1 278.1 360 256 360z"],
    "triangle-person-digging": [640, 512, ["construction"], "f85d", "M454.3 323.1c-1.827-2.318-3.928-3.119-5.896-3.119c-3.009 0-5.709 1.872-6.65 3.056l-55.25 69.07L320 348.7V277.7c0-16.45-9.859-31.03-25.14-37.14L259.1 226.2c-4.764-1.902-9.724-2.821-14.64-2.821c-13.18 0-26.04 6.601-33.97 18.57l-17.59 34.39C192.3 277.5 191.1 278.8 191.1 279.1c0 2.628 1.294 5.188 3.626 6.71L369.3 400h-17.35c-2.516 0-4.891 1.188-6.406 3.203l-24 32c-1.11 1.482-1.609 3.137-1.609 4.752C319.1 444.1 323.3 448 328 448h208c4.765 0 8.008-3.919 8.008-8.053c0-1.675-.5321-3.385-1.711-4.885L454.3 323.1zM303.1 338.3L210.4 277.2l13.86-27.19C228.8 243.2 236.4 239.4 244.3 239.4c2.967 0 5.965 .5484 8.838 1.692l35.78 14.31c9.156 3.672 15.08 12.42 15.08 22.3V338.3zM344 432l12-16h28c2.438 0 4.734-1.109 6.25-3l57.69-72.13L519.5 432H344zM288 224c17.72 0 32.02-14.29 32.02-32.02S305.7 159.1 288 159.1S256 174.3 256 191.1S270.3 224 288 224zM288 175.1c8.832 0 16.02 7.186 16.02 16.02S296.9 208 288 208c-8.83 0-16.02-7.186-16.02-16.02S279.2 175.1 288 175.1zM204.6 321.5c-1.394-.9707-2.992-1.43-4.572-1.43c-3.376 0-6.669 2.096-7.709 5.773l-32 112c-.1443 .503-.2273 1.14-.2273 1.85C160.1 443 161.9 448 167.1 448c3.484 0 6.688-2.281 7.688-5.797l28.92-101.2l67.39 47.19V440c0 4.422 3.578 8 8 8c4.422 0 8-3.578 8-8V384c0-2.609-1.281-5.062-3.406-6.547L204.6 321.5zM640 463.9c0-9.199-2.645-18.39-7.845-26.36l-271.1-417.1c-8.859-13.6-24.51-20.4-40.17-20.4c-15.66 0-31.31 6.799-40.17 20.4l-271.1 417.1c-5.2 7.978-7.848 17.17-7.848 26.37C-.0001 489.4 20.55 512 48.02 512h543.1C619.2 512 640 489.8 640 463.9zM624 463.9c0 16.9-13.54 32.12-32 32.12H47.1c-18.36 0-32-15.05-32-32.13c0-6.143 1.755-12.27 5.233-17.61L293.2 29.13C298.6 20.91 308.6 15.1 320 15.1c11.4 0 21.41 4.91 26.77 13.14l271.1 417.1C622.2 451.6 624 457.7 624 463.9z"],
    "trillium": [512, 512, [], "e588", "M207.1 240C207.1 213.5 229.5 192 255.1 192C282.5 192 304 213.5 304 240C304 266.5 282.5 288 255.1 288C229.5 288 207.1 266.5 207.1 240zM255.1 208C238.3 208 223.1 222.3 223.1 240C223.1 257.7 238.3 272 255.1 272C273.7 272 288 257.7 288 240C288 222.3 273.7 208 255.1 208zM239.5 11.14C248.2 2.955 261.5 2.955 270.2 11.14C282.3 22.53 303.4 43.92 321.5 70.4C339.5 96.72 355.3 129 355.3 162.1C355.3 174.3 353.1 185.9 349.1 196.7C362.2 198.3 375.1 202.5 387.1 209.5C415.8 226 435.9 255.8 449.7 284.5C463.6 313.5 471.6 342.4 475.4 358.6C478.1 370.3 471.5 381.8 460 385.2C444.1 390 415 397.6 383 400C351.2 402.5 315.4 399.9 286.7 383.4C273.7 375.8 262.9 365.8 254.8 354.2C246.6 365.8 235.9 375.9 222.8 383.4C194.2 399.9 158.3 402.5 126.5 400.1C94.51 397.6 65.44 390 49.51 385.2C38.07 381.8 31.43 370.3 34.16 358.6C37.96 342.4 45.94 313.5 59.82 284.6C73.61 255.8 93.73 226 122.4 209.5C134.5 202.5 147.5 198.3 160.5 196.7C156.6 185.9 154.4 174.3 154.4 162.1C154.4 129 170.2 96.73 188.2 70.4C206.3 43.92 227.4 22.53 239.5 11.14L239.5 11.14zM259.2 22.8C256.7 20.4 252.1 20.4 250.4 22.8C238.7 33.78 218.6 54.28 201.4 79.44C184.1 104.7 170.4 133.8 170.4 162.1C170.4 175.9 173.7 188.9 179.6 200.4C180.8 202.9 180.7 205.8 179.3 208.2C177.8 210.6 175.2 212 172.4 212C158.2 212 143.7 215.7 130.4 223.3C127.8 224.8 125.3 226.4 122.9 228.2L122.9 228.2C122.9 228.2 122.9 228.2 122.9 228.2C102.1 243.1 86.11 266.7 74.24 291.5C61.06 318.1 53.4 346.7 49.73 362.3C48.93 365.7 50.78 368.9 54.13 369.9C69.49 374.5 97.33 381.8 127.7 384.1C158.3 386.4 190.3 383.7 214.8 369.5C229.4 361.1 240.5 349 247.7 335.1C249 332.4 251.8 330.7 254.8 330.7C257.8 330.7 260.5 332.4 261.9 335.1C269 349 280.1 361.1 294.7 369.5C319.3 383.7 351.2 386.4 381.8 384.1C412.2 381.8 440 374.5 455.4 369.9C458.8 368.9 460.6 365.7 459.8 362.3C456.1 346.7 448.5 318.9 435.3 291.5C422 263.8 403.7 237.5 379.2 223.3C365.9 215.7 351.5 212 337.2 212C334.4 211.1 331.9 210.5 330.4 208.2C328.1 205.8 328.9 202.9 330.1 200.4C335.1 188.9 339.3 175.9 339.3 162.1C339.3 133.8 325.6 104.7 308.3 79.44C291.1 54.28 270.9 33.78 259.2 22.8V22.8zM465.1 128.1C451.1 127.5 421.6 127.2 382.9 142.5C382.2 137.1 381.2 131.8 379.9 126.5C422.1 110.4 454.3 111.4 469.1 113.3C478.8 114.5 484.4 124.3 480.6 133.2C474.9 146.9 459.9 174.9 425.7 203C421.5 199.5 417.1 196.2 412.5 193.1C444.9 167.3 459.4 141.7 465.1 128.1L465.1 128.1zM42.86 113.3C57.71 111.4 89.92 110.4 132.1 126.5C130.8 131.8 129.8 137.1 129.1 142.5C90.42 127.2 60.88 127.5 46.94 128.1C52.62 141.7 67.06 167.3 99.45 193.1C94.83 196.1 90.44 199.5 86.25 202.1C52.06 174.8 37.1 146.9 31.36 133.2C27.6 124.3 33.22 114.5 42.86 113.3H42.86zM243.7 500.7C235.2 487.7 219.6 460.1 212.2 420.8C217.3 418.9 222.3 416.8 227.3 414.3C233.6 451.2 247.8 477.4 256 490.2C264.2 477.4 278.4 451.2 284.7 414.4C289.7 416.8 294.7 418.1 299.8 420.8C292.4 460.1 276.9 487.7 268.3 500.7C262.3 509.6 249.7 509.6 243.7 500.7zM384.6 213.9L387.1 209.5L384.6 213.9zM51.83 377.5L54.13 369.9z"],
    "trophy": [576, 512, [127942], "f091", "M558.6 85.41C557.4 73.19 547.1 64 534.8 64h-86.84c.0586-9.074 .0186-17.7-.1786-25.19C447.1 17.06 429.6 0 407.7 0h-239.5C146.4 0 128.9 17.06 128.3 38.81C128.1 46.3 128 54.93 128.1 64H41.24C28.87 64 18.62 73.19 17.4 85.41C11.36 145.8 13.03 345.7 280.6 398.5C280.5 399 280 399.4 280 400v27.62c0 9.312-5.437 17.84-13.84 21.75L164.6 496.8c-3.406 1.594-5.249 5.312-4.437 8.969C161 509.4 164.3 512 168 512h239.1c3.75 0 6.999-2.594 7.812-6.281c.8124-3.656-1.031-7.375-4.437-8.969l-101.5-47.38c-8.405-3.906-13.84-12.44-13.84-21.75V400c0-.5859-.5038-.9531-.6249-1.504C562.1 345.7 564.6 145.8 558.6 85.41zM144.3 39.25C144.6 26.22 155.2 16 168.3 16h239.5c13.09 0 23.65 10.22 23.1 23.25C433.1 124.5 424.4 327.8 288 383.4C151.6 327.8 142 124.5 144.3 39.25zM33.34 86.97C33.71 83 37.12 80 41.24 80h87.09c2.396 86.91 20.97 221.9 106.7 290.6C29.29 307.3 28.01 140.1 33.34 86.97zM303.1 463.9L371.9 496H204.1l68.84-32.13C279.1 460.1 284.1 456.4 288 451.1C291.9 456.4 296.9 460.1 303.1 463.9zM340.9 370.6C426.7 301.9 445.3 166.9 447.7 80h87.09c4.125 0 7.531 3 7.905 6.969C547.1 140.1 546.7 307.3 340.9 370.6z"],
    "trophy-star": [576, 512, ["trophy-alt"], "f2eb", "M558.6 85.41C557.4 73.19 547.1 64 534.8 64h-86.84c.0586-9.074 .0187-17.7-.1785-25.19C447.1 17.06 429.6 0 407.7 0H168.3C146.4 0 128.9 17.06 128.3 38.81C128.1 46.3 128 54.93 128.1 64H41.24C28.87 64 18.62 73.19 17.4 85.41c-6.047 60.41-4.375 260.3 263.2 313.1C280.5 399 280 399.4 280 400v27.62c0 9.312-5.436 17.84-13.84 21.75l-101.5 47.38c-3.406 1.594-5.25 5.312-4.438 8.969C161 509.4 164.3 512 168 512h239.1c3.75 0 7-2.594 7.812-6.281c.8125-3.656-1.031-7.375-4.438-8.969l-101.5-47.38C301.4 445.5 296 436.9 296 427.6V400c0-.5859-.5039-.9531-.625-1.504C562.1 345.7 564.6 145.8 558.6 85.41zM33.34 86.97C33.71 83 37.12 80 41.24 80H128.3c2.396 86.91 20.97 221.9 106.7 290.6C29.29 307.3 28.01 140.1 33.34 86.97zM303.1 463.9L371.9 496H204.1l68.84-32.13C279.1 460.1 284.1 456.4 288 451.1C291.9 456.4 296.9 460.1 303.1 463.9zM288 383.4C151.6 327.8 142 124.5 144.3 39.25C144.6 26.22 155.2 16 168.3 16h239.5c13.09 0 23.65 10.22 23.1 23.25C433.1 124.5 424.4 327.8 288 383.4zM447.7 80h87.09c4.123 0 7.529 3 7.904 6.969c5.324 53.13 4.043 220.3-201.7 283.6C426.7 301.9 445.3 166.9 447.7 80zM375.6 152c3.969-3.844 5.375-9.5 3.688-14.78c-1.719-5.25-6.188-9-11.62-9.781l-45.94-6.719l-20.53-41.66c-4.938-9.969-20.91-9.906-25.84 0L254.8 120.8L208.7 127.5C203.2 128.3 198.8 132 197 137.3C195.3 142.6 196.8 148.2 200.7 152.1l33.28 32.31L226.1 230.3C225.2 235.7 227.4 241.1 231.9 244.3C236.4 247.5 242.1 247.9 247 245.4l41.13-21.62l41.13 21.62c2.125 1.094 4.406 1.656 6.719 1.656c2.969 0 5.906-.9375 8.438-2.781c4.469-3.25 6.656-8.656 5.719-14.06l-7.875-45.84L375.6 152zM333.8 229.7l-45.69-24l-45.69 24l8.75-50.97l-37-35.91l51.19-7.469l22.84-46.28l22.84 46.28l51.81 6.656l-37.81 36.72L333.8 229.7z"],
    "trowel": [512, 512, [], "e589", "M298.9 168.4C284.4 153.8 284.4 130.2 298.9 115.6L394.4 20.18C421.3-6.728 464.9-6.728 491.8 20.18C518.7 47.1 518.7 90.73 491.8 117.6L396.4 213.1C381.8 227.6 358.2 227.6 343.6 213.1L326.9 196.4L227.3 296L298.6 367.3C315.3 384 308.8 412.4 286.6 420.2L49.69 503.1C24.38 511.9 .056 487.6 8.913 462.3L91.83 225.4C99.62 203.1 127.1 196.7 144.7 213.3L215.1 284.7L315.6 185.1L298.9 168.4zM310.2 126.9C301.9 135.3 301.9 148.8 310.2 157.1L354.9 201.8C363.2 210.1 376.7 210.1 385.1 201.8L480.5 106.3C501.2 85.66 501.2 52.16 480.5 31.5C459.8 10.83 426.3 10.83 405.7 31.5L310.2 126.9zM24.02 467.6C19.59 480.2 31.75 492.4 44.4 487.1L281.3 405.1C292.4 401.2 295.7 386.1 287.3 378.6L133.3 224.7C125 216.3 110.8 219.6 106.9 230.7L24.02 467.6z"],
    "trowel-bricks": [512, 512, [], "e58a", "M256 120H344V112C344 94.33 358.3 80 376 80H464C490.5 80 512 101.5 512 128C512 154.5 490.5 176 464 176H376C358.3 176 344 161.7 344 144V136H256V224C256 235.1 250.3 245.4 240.8 251.2C231.4 257.1 219.6 257.6 209.7 252.6L17.69 156.6C6.848 151.2 0 140.1 0 128C0 115.9 6.848 104.8 17.69 99.38L209.7 3.378C219.6-1.581 231.4-1.051 240.8 4.779C250.3 10.61 256 20.91 256 32V120zM216.8 17.69L24.84 113.7C19.42 116.4 16 121.9 16 128C16 134.1 19.42 139.6 24.84 142.3L216.8 238.3C221.8 240.8 227.7 240.5 232.4 237.6C237.1 234.7 239.1 229.5 239.1 223.1V31.1C239.1 26.45 237.1 21.3 232.4 18.39C227.7 15.47 221.8 15.21 216.8 17.69V17.69zM376 160H464C481.7 160 496 145.7 496 128C496 110.3 481.7 96 464 96H376C367.2 96 360 103.2 360 112V144C360 152.8 367.2 160 376 160zM288 368V272C288 254.3 302.3 240 320 240H480C497.7 240 512 254.3 512 272V480C512 497.7 497.7 512 480 512H32C14.33 512 0 497.7 0 480V400C0 382.3 14.33 368 32 368H288zM240 384V496H480C488.8 496 496 488.8 496 480V384H240zM32 384C23.16 384 16 391.2 16 400V480C16 488.8 23.16 496 32 496H224V384H32zM496 272C496 263.2 488.8 256 480 256H320C311.2 256 304 263.2 304 272V368H496V272z"],
    "truck": [640, 512, [128666, 9951], "f0d1", "M64.36 416H64C28.65 416 0 387.3 0 352V64C0 28.65 28.65 0 64 0H352C387.3 0 416 28.65 416 64V96H474.7C485.4 96 495.5 100.2 503 107.7L596.3 200.1C603.8 208.5 608 218.6 608 229.3V400H632C636.4 400 640 403.6 640 408C640 412.4 636.4 416 632 416H575.6C575.9 418.6 576 421.3 576 424C576 472.6 536.6 512 488 512C439.4 512 400 472.6 400 424C400 421.3 400.1 418.6 400.4 416H239.6C239.9 418.6 240 421.3 240 424C240 472.6 200.6 512 152 512C103.4 512 64 472.6 64 424C64 421.3 64.12 418.6 64.36 416H64.36zM16 64V352C16 378.5 37.49 400 64 400H67.31C77.76 363.1 111.7 336 152 336C192.3 336 226.2 363.1 236.7 400H400V64C400 37.49 378.5 16 352 16H64C37.49 16 16 37.49 16 64zM588 216C587.1 214.7 586.1 213.4 584.1 212.3L491.7 119C487.2 114.5 481.1 112 474.7 112H416V216H588zM416 232V373.4C431.9 350.8 458.2 336 488 336C528.3 336 562.2 363.1 572.7 400H592V232H416zM152 352C112.2 352 80 384.2 80 424C80 463.8 112.2 496 152 496C191.8 496 224 463.8 224 424C224 384.2 191.8 352 152 352zM488 496C527.8 496 560 463.8 560 424C560 384.2 527.8 352 488 352C448.2 352 416 384.2 416 424C416 463.8 448.2 496 488 496z"],
    "truck-arrow-right": [640, 512, [], "e58b", "M317.7 162.3C320.8 165.5 320.8 170.5 317.7 173.7L237.7 253.7C234.5 256.8 229.5 256.8 226.3 253.7C223.2 250.5 223.2 245.5 226.3 242.3L292.7 176H104C99.58 176 96 172.4 96 168C96 163.6 99.58 160 104 160H292.7L226.3 93.66C223.2 90.53 223.2 85.47 226.3 82.34C229.5 79.22 234.5 79.22 237.7 82.34L317.7 162.3zM0 352V64C0 28.65 28.65 0 64 0H352C387.3 0 416 28.65 416 64V96H474.7C485.4 96 495.5 100.2 503 107.7L596.3 200.1C603.8 208.5 608 218.6 608 229.3V400H632C636.4 400 640 403.6 640 408C640 412.4 636.4 416 632 416H575.6C575.9 418.6 576 421.3 576 424C576 472.6 536.6 512 488 512C439.4 512 400 472.6 400 424C400 421.3 400.1 418.6 400.4 416H239.6C239.9 418.6 240 421.3 240 424C240 472.6 200.6 512 152 512C103.4 512 64 472.6 64 424C64 421.3 64.12 418.6 64.36 416H64C28.65 416 .0003 387.3 .0003 352H0zM352 16H64C37.49 16 16 37.49 16 64V352C16 378.5 37.49 400 64 400H67.31C77.76 363.1 111.7 336 152 336C192.3 336 226.2 363.1 236.7 400H400V64C400 37.49 378.5 16 352 16zM416 112V216H588C587.1 214.7 586.1 213.4 584.1 212.3L491.7 119C487.2 114.5 481.1 112 474.7 112H416zM488 336C528.3 336 562.2 363.1 572.7 400H592V232H416V373.4C431.9 350.8 458.2 336 488 336zM152 496C191.8 496 224 463.8 224 424C224 384.2 191.8 352 152 352C112.2 352 80 384.2 80 424C80 463.8 112.2 496 152 496zM488 352C448.2 352 416 384.2 416 424C416 463.8 448.2 496 488 496C527.8 496 560 463.8 560 424C560 384.2 527.8 352 488 352z"],
    "truck-bolt": [640, 512, [], "e3d0", "M238.9 160H284.5C300.5 160 306.6 180.9 293.1 189.5L167.6 269.4C153.5 278.3 136.8 262.4 145.1 247.9L177.1 191.1H131.5C115.5 191.1 109.4 171.1 122.9 162.5L248.4 82.62C262.5 73.65 279.2 89.55 270.9 104.1L238.9 160zM190.9 175.1C193.7 175.1 196.3 177.5 197.8 179.1C199.2 182.5 199.2 185.5 197.8 187.1L158.1 255.9L284.5 176H225.1C222.3 176 219.7 174.5 218.2 172C216.8 169.5 216.8 166.5 218.2 164L257 96.11L131.5 175.1H190.9zM0 352V64C0 28.65 28.65 0 64 0H352C387.3 0 416 28.65 416 64V96H474.7C485.4 96 495.5 100.2 503 107.7L596.3 200.1C603.8 208.5 608 218.6 608 229.3V400H632C636.4 400 640 403.6 640 408C640 412.4 636.4 416 632 416H575.6C575.9 418.6 576 421.3 576 424C576 472.6 536.6 512 488 512C439.4 512 400 472.6 400 424C400 421.3 400.1 418.6 400.4 416H239.6C239.9 418.6 240 421.3 240 424C240 472.6 200.6 512 152 512C103.4 512 64 472.6 64 424C64 421.3 64.12 418.6 64.36 416H64C28.65 416 .0003 387.3 .0003 352H0zM352 16H64C37.49 16 16 37.49 16 64V352C16 378.5 37.49 400 64 400H67.31C77.76 363.1 111.7 336 152 336C192.3 336 226.2 363.1 236.7 400H400V64C400 37.49 378.5 16 352 16zM416 112V216H588C587.1 214.7 586.1 213.4 584.1 212.3L491.7 119C487.2 114.5 481.1 112 474.7 112H416zM488 336C528.3 336 562.2 363.1 572.7 400H592V232H416V373.4C431.9 350.8 458.2 336 488 336zM152 496C191.8 496 224 463.8 224 424C224 384.2 191.8 352 152 352C112.2 352 80 384.2 80 424C80 463.8 112.2 496 152 496zM488 352C448.2 352 416 384.2 416 424C416 463.8 448.2 496 488 496C527.8 496 560 463.8 560 424C560 384.2 527.8 352 488 352z"],
    "truck-clock": [640, 512, ["shipping-timed"], "f48c", "M208 176H248C252.4 176 256 179.6 256 184C256 188.4 252.4 192 248 192H200C195.6 192 192 188.4 192 184V120C192 115.6 195.6 112 200 112C204.4 112 208 115.6 208 120V176zM96 176C96 114.1 146.1 64 208 64C269.9 64 320 114.1 320 176C320 237.9 269.9 288 208 288C146.1 288 96 237.9 96 176zM208 272C261 272 304 229 304 176C304 122.1 261 80 208 80C154.1 80 112 122.1 112 176C112 229 154.1 272 208 272zM64.36 416H64C28.65 416 0 387.3 0 352V64C0 28.65 28.65 0 64 0H352C387.3 0 416 28.65 416 64V96H474.7C485.4 96 495.5 100.2 503 107.7L596.3 200.1C603.8 208.5 608 218.6 608 229.3V400H632C636.4 400 640 403.6 640 408C640 412.4 636.4 416 632 416H575.6C575.9 418.6 576 421.3 576 424C576 472.6 536.6 512 488 512C439.4 512 400 472.6 400 424C400 421.3 400.1 418.6 400.4 416H239.6C239.9 418.6 240 421.3 240 424C240 472.6 200.6 512 152 512C103.4 512 64 472.6 64 424C64 421.3 64.12 418.6 64.36 416H64.36zM16 64V352C16 378.5 37.49 400 64 400H67.31C77.76 363.1 111.7 336 152 336C192.3 336 226.2 363.1 236.7 400H400V64C400 37.49 378.5 16 352 16H64C37.49 16 16 37.49 16 64zM588 216C587.1 214.7 586.1 213.4 584.1 212.3L491.7 119C487.2 114.5 481.1 112 474.7 112H416V216H588zM416 232V373.4C431.9 350.8 458.2 336 488 336C528.3 336 562.2 363.1 572.7 400H592V232H416zM152 352C112.2 352 80 384.2 80 424C80 463.8 112.2 496 152 496C191.8 496 224 463.8 224 424C224 384.2 191.8 352 152 352zM488 496C527.8 496 560 463.8 560 424C560 384.2 527.8 352 488 352C448.2 352 416 384.2 416 424C416 463.8 448.2 496 488 496z"],
    "truck-container": [640, 512, [], "f4dc", "M0 88C0 57.07 25.07 32 56 32H360C390.9 32 416 57.07 416 88V312C416 316.4 412.4 320 408 320C403.6 320 400 316.4 400 312V88C400 65.91 382.1 48 360 48H56C33.91 48 16 65.91 16 88V312C16 316.4 12.42 320 8 320C3.582 320 0 316.4 0 312V88zM448 160C448 146.7 458.7 136 472 136H544C556.6 136 568.4 141.9 576 152L632 226.7C637.2 233.6 640 242 640 250.7V376C640 393.7 625.7 408 608 408H607.6C603.6 448.4 569.5 480 528 480C483.8 480 448 444.2 448 400H304C304 444.2 268.2 480 224 480C192.3 480 164.1 461.6 152 434.9C139 461.6 111.7 480 80 480C35.82 480 0 444.2 0 400C0 355.8 35.82 320 80 320C111.7 320 139 338.4 152 365.1C164.1 338.4 192.3 320 224 320C262.7 320 294.1 347.5 302.4 384H448V160zM624 376V256H464V351.1C478.6 332.6 501.8 320 528 320C569.5 320 603.6 351.6 607.6 392H608C616.8 392 624 384.8 624 376V376zM621.5 240C620.9 238.7 620.1 237.4 619.2 236.3L563.2 161.6C558.7 155.6 551.6 152 544 152H472C467.6 152 464 155.6 464 160V240H621.5zM528 464C563.3 464 592 435.3 592 400C592 364.7 563.3 336 528 336C492.7 336 464 364.7 464 400C464 435.3 492.7 464 528 464zM224 336C188.7 336 160 364.7 160 400C160 435.3 188.7 464 224 464C259.3 464 288 435.3 288 400C288 364.7 259.3 336 224 336zM80 464C115.3 464 144 435.3 144 400C144 364.7 115.3 336 80 336C44.65 336 16 364.7 16 400C16 435.3 44.65 464 80 464zM120 264C120 268.4 116.4 272 112 272C107.6 272 104 268.4 104 264V104C104 99.58 107.6 96 112 96C116.4 96 120 99.58 120 104V264zM216 264C216 268.4 212.4 272 208 272C203.6 272 200 268.4 200 264V104C200 99.58 203.6 96 208 96C212.4 96 216 99.58 216 104V264zM312 264C312 268.4 308.4 272 304 272C299.6 272 296 268.4 296 264V104C296 99.58 299.6 96 304 96C308.4 96 312 99.58 312 104V264z"],
    "truck-container-empty": [640, 512, [], "e2b5", "M448 160C448 146.7 458.7 136 472 136H544C556.6 136 568.4 141.9 576 152L632 226.7C637.2 233.6 640 242 640 250.7V376C640 393.7 625.7 408 608 408H607.6C603.6 448.4 569.5 480 528 480C483.8 480 448 444.2 448 400H304C304 444.2 268.2 480 224 480C192.3 480 164.1 461.6 152 434.9C139 461.6 111.7 480 80 480C35.82 480 0 444.2 0 400C0 355.8 35.82 320 80 320C111.7 320 139 338.4 152 365.1C164.1 338.4 192.3 320 224 320C262.7 320 294.1 347.5 302.4 384H448V160zM624 376V256H464V351.1C478.6 332.6 501.8 320 528 320C569.5 320 603.6 351.6 607.6 392H608C616.8 392 624 384.8 624 376V376zM621.5 240C620.9 238.7 620.1 237.4 619.2 236.3L563.2 161.6C558.7 155.6 551.6 152 544 152H472C467.6 152 464 155.6 464 160V240H621.5zM528 464C563.3 464 592 435.3 592 400C592 364.7 563.3 336 528 336C492.7 336 464 364.7 464 400C464 435.3 492.7 464 528 464zM224 336C188.7 336 160 364.7 160 400C160 435.3 188.7 464 224 464C259.3 464 288 435.3 288 400C288 364.7 259.3 336 224 336zM80 464C115.3 464 144 435.3 144 400C144 364.7 115.3 336 80 336C44.65 336 16 364.7 16 400C16 435.3 44.65 464 80 464z"],
    "truck-droplet": [640, 512, [], "e58c", "M288 210.1C288 253.5 252.2 288 208 288C163.8 288 128 253.5 128 210.1C128 178.1 173.2 112.1 195.6 80.81C201.8 72.25 214.2 72.25 220.4 80.81C242.8 112.1 288 178.1 288 210.1V210.1zM265.8 187.6C261.6 177.2 255.6 165.6 248.7 153.6C235.3 130.1 219.1 106.5 208 91.01C196.9 106.5 180.7 130.1 167.3 153.6C160.4 165.6 154.4 177.2 150.2 187.6C145.9 198.3 144 206.1 144 210.1C144 244.1 172.1 272 208 272C243.9 272 272 244.1 272 210.1C272 206.1 270.1 198.3 265.8 187.6zM0 352V64C0 28.65 28.65 0 64 0H352C387.3 0 416 28.65 416 64V96H474.7C485.4 96 495.5 100.2 503 107.7L596.3 200.1C603.8 208.5 608 218.6 608 229.3V400H632C636.4 400 640 403.6 640 408C640 412.4 636.4 416 632 416H575.6C575.9 418.6 576 421.3 576 424C576 472.6 536.6 512 488 512C439.4 512 400 472.6 400 424C400 421.3 400.1 418.6 400.4 416H239.6C239.9 418.6 240 421.3 240 424C240 472.6 200.6 512 152 512C103.4 512 64 472.6 64 424C64 421.3 64.12 418.6 64.36 416H64C28.65 416 .0003 387.3 .0003 352H0zM352 16H64C37.49 16 16 37.49 16 64V352C16 378.5 37.49 400 64 400H67.31C77.76 363.1 111.7 336 152 336C192.3 336 226.2 363.1 236.7 400H400V64C400 37.49 378.5 16 352 16zM416 112V216H588C587.1 214.7 586.1 213.4 584.1 212.3L491.7 119C487.2 114.5 481.1 112 474.7 112H416zM488 336C528.3 336 562.2 363.1 572.7 400H592V232H416V373.4C431.9 350.8 458.2 336 488 336zM152 496C191.8 496 224 463.8 224 424C224 384.2 191.8 352 152 352C112.2 352 80 384.2 80 424C80 463.8 112.2 496 152 496zM488 352C448.2 352 416 384.2 416 424C416 463.8 448.2 496 488 496C527.8 496 560 463.8 560 424C560 384.2 527.8 352 488 352z"],
    "truck-fast": [640, 512, ["shipping-fast"], "f48b", "M80 64V96H216C220.4 96 224 99.58 224 104C224 108.4 220.4 112 216 112H8C3.582 112 0 108.4 0 104C0 99.58 3.582 96 8 96H64V64C64 28.65 92.65 0 128 0H352C387.3 0 416 28.65 416 64V96H474.7C485.4 96 495.5 100.2 503 107.7L596.3 200.1C603.8 208.5 608 218.6 608 229.3V400H632C636.4 400 640 403.6 640 408C640 412.4 636.4 416 632 416H575.6C575.9 418.6 576 421.3 576 424C576 472.6 536.6 512 488 512C439.4 512 400 472.6 400 424C400 421.3 400.1 418.6 400.4 416H239.6C239.9 418.6 240 421.3 240 424C240 472.6 200.6 512 152 512C103.4 512 64 472.6 64 424C64 421.3 64.12 418.6 64.36 416H64V288H80V373.4C95.93 350.8 122.2 336 152 336C192.3 336 226.2 363.1 236.7 400H400V64C400 37.49 378.5 16 352 16H128C101.5 16 80 37.49 80 64H80zM588 216C587.1 214.7 586.1 213.4 584.1 212.3L491.7 119C487.2 114.5 481.1 112 474.7 112H416V216H588zM416 232V373.4C431.9 350.8 458.2 336 488 336C528.3 336 562.2 363.1 572.7 400H592V232H416zM152 352C112.2 352 80 384.2 80 424C80 463.8 112.2 496 152 496C191.8 496 224 463.8 224 424C224 384.2 191.8 352 152 352zM488 496C527.8 496 560 463.8 560 424C560 384.2 527.8 352 488 352C448.2 352 416 384.2 416 424C416 463.8 448.2 496 488 496zM280 160C284.4 160 288 163.6 288 168C288 172.4 284.4 176 280 176H40C35.58 176 32 172.4 32 168C32 163.6 35.58 160 40 160H280zM216 224C220.4 224 224 227.6 224 232C224 236.4 220.4 240 216 240H8C3.582 240 0 236.4 0 232C0 227.6 3.582 224 8 224H216z"],
    "truck-field": [640, 512, [], "e58d", "M0 256V160C0 142.3 14.33 128 32 128V96C32 60.65 60.65 32 96 32H320C355.3 32 384 60.65 384 96H436.2C451.4 96 465.2 104.6 472 118.1L516.9 208H544C579.3 208 608 236.7 608 272V368H632C636.4 368 640 371.6 640 376C640 380.4 636.4 384 632 384H567.6C567.9 386.6 568 389.3 568 392C568 440.6 528.6 480 480 480C431.4 480 392 440.6 392 392C392 389.3 392.1 386.6 392.4 384H247.6C247.9 386.6 248 389.3 248 392C248 440.6 208.6 480 160 480C111.4 480 72 440.6 72 392C72 389.3 72.12 386.6 72.36 384H8C3.582 384 0 380.4 0 376C0 371.6 3.582 368 8 368H32V288C14.33 288 0 273.7 0 256zM320 48H96C69.49 48 48 69.49 48 96V368H75.31C85.76 331.1 119.7 304 160 304C200.3 304 234.2 331.1 244.7 368H368V96C368 69.49 346.5 48 320 48zM32 272V144C23.16 144 16 151.2 16 160V256C16 264.8 23.16 272 32 272zM457.7 125.3C453.6 117.1 445.3 112 436.2 112H384V208H499.1L457.7 125.3zM395.3 368C405.8 331.1 439.7 304 480 304C520.3 304 554.2 331.1 564.7 368H592V272C592 245.5 570.5 224 544 224H384V368H395.3zM160 320C120.2 320 88 352.2 88 392C88 431.8 120.2 464 160 464C199.8 464 232 431.8 232 392C232 352.2 199.8 320 160 320zM480 464C519.8 464 552 431.8 552 392C552 352.2 519.8 320 480 320C440.2 320 408 352.2 408 392C408 431.8 440.2 464 480 464z"],
    "truck-field-un": [640, 512, [], "e58e", "M304 223V136C304 131.6 307.6 128 312 128C316.4 128 320 131.6 320 136V248C320 251.5 317.8 254.6 314.4 255.6C311.1 256.7 307.5 255.5 305.5 252.6L239.1 160.1V248C239.1 252.4 236.4 256 231.1 256C227.6 256 223.1 252.4 223.1 248V136C223.1 132.5 226.2 129.4 229.6 128.4C232.9 127.3 236.5 128.5 238.5 131.4L304 223zM112 208C112 225.7 126.3 240 144 240C161.7 240 176 225.7 176 208V136C176 131.6 179.6 128 184 128C188.4 128 192 131.6 192 136V208C192 234.5 170.5 256 144 256C117.5 256 96 234.5 96 208V136C96 131.6 99.58 128 104 128C108.4 128 112 131.6 112 136V208zM32 368V288C14.33 288 0 273.7 0 256V160C0 142.3 14.33 128 32 128V96C32 60.65 60.65 32 96 32H320C355.3 32 384 60.65 384 96H436.2C451.4 96 465.2 104.6 472 118.1L516.9 208H544C579.3 208 608 236.7 608 272V368H632C636.4 368 640 371.6 640 376C640 380.4 636.4 384 632 384H567.6C567.9 386.6 568 389.3 568 392C568 440.6 528.6 480 480 480C431.4 480 392 440.6 392 392C392 389.3 392.1 386.6 392.4 384H247.6C247.9 386.6 248 389.3 248 392C248 440.6 208.6 480 160 480C111.4 480 72 440.6 72 392C72 389.3 72.12 386.6 72.36 384H8C3.582 384 0 380.4 0 376C0 371.6 3.582 368 8 368H32zM48 96V368H75.31C85.76 331.1 119.7 304 160 304C200.3 304 234.2 331.1 244.7 368H368V96C368 69.49 346.5 48 320 48H96C69.49 48 48 69.49 48 96zM16 160V256C16 264.8 23.16 272 32 272V144C23.16 144 16 151.2 16 160zM384 208H499.1L457.7 125.3C453.6 117.1 445.3 112 436.2 112H384L384 208zM384 224V368H395.3C405.8 331.1 439.7 304 480 304C520.3 304 554.2 331.1 564.7 368H592V272C592 245.5 570.5 224 544 224H384zM160 320C120.2 320 88 352.2 88 392C88 431.8 120.2 464 160 464C199.8 464 232 431.8 232 392C232 352.2 199.8 320 160 320zM480 464C519.8 464 552 431.8 552 392C552 352.2 519.8 320 480 320C440.2 320 408 352.2 408 392C408 431.8 440.2 464 480 464z"],
    "truck-flatbed": [640, 512, [], "e2b6", "M400 120C400 106.7 410.7 96 424 96H474.7C485.4 96 495.5 100.2 503 107.7L596.3 200.1C603.8 208.5 608 218.6 608 229.3V400H632C636.4 400 640 403.6 640 408C640 412.4 636.4 416 632 416H575.6C575.9 418.6 576 421.3 576 424C576 472.6 536.6 512 488 512C439.4 512 400 472.6 400 424C400 421.3 400.1 418.6 400.4 416H239.6C239.9 418.6 240 421.3 240 424C240 472.6 200.6 512 152 512C103.4 512 64 472.6 64 424C64 421.3 64.12 418.6 64.36 416H8C3.582 416 0 412.4 0 408C0 403.6 3.582 400 8 400H67.31C77.76 363.1 111.7 336 152 336C192.3 336 226.2 363.1 236.7 400H400L400 120zM416 373.4C431.9 350.8 458.2 336 488 336C528.3 336 562.2 363.1 572.7 400H592V232H416V373.4zM416 216H588C587.1 214.7 586.1 213.4 584.1 212.3L491.7 119C487.2 114.5 481.1 112 474.7 112H424C419.6 112 416 115.6 416 120V216zM152 496C191.8 496 224 463.8 224 424C224 384.2 191.8 352 152 352C112.2 352 80 384.2 80 424C80 463.8 112.2 496 152 496zM488 352C448.2 352 416 384.2 416 424C416 463.8 448.2 496 488 496C527.8 496 560 463.8 560 424C560 384.2 527.8 352 488 352z"],
    "truck-front": [512, 512, [], "e2b7", "M80 336C80 318.3 94.33 304 112 304C129.7 304 144 318.3 144 336C144 353.7 129.7 368 112 368C94.33 368 80 353.7 80 336zM112 320C103.2 320 96 327.2 96 336C96 344.8 103.2 352 112 352C120.8 352 128 344.8 128 336C128 327.2 120.8 320 112 320zM432 336C432 353.7 417.7 368 400 368C382.3 368 368 353.7 368 336C368 318.3 382.3 304 400 304C417.7 304 432 318.3 432 336zM400 352C408.8 352 416 344.8 416 336C416 327.2 408.8 320 400 320C391.2 320 384 327.2 384 336C384 344.8 391.2 352 400 352zM16 80C16 35.82 51.82 0 96 0H416C460.2 0 496 35.82 496 80V384C496 407.7 483.1 428.4 464 439.4V504C464 508.4 460.4 512 456 512C451.6 512 448 508.4 448 504V445.1C442.9 447.3 437.5 448 432 448H80C74.48 448 69.11 447.3 64 445.1V504C64 508.4 60.42 512 56 512C51.58 512 48 508.4 48 504V439.4C28.87 428.4 16 407.7 16 384V80zM32 80V261.4C42.15 246.1 56.52 235.7 73.32 229.5L72.51 229.2L108.8 132.3C117 110.5 137.9 96 161.3 96H350.7C374.1 96 394.1 110.5 403.2 132.3L439.5 229.2L438.7 229.5C455.5 235.7 469.8 246.1 480 261.4V79.1C480 44.65 451.3 15.1 416 15.1H96C60.65 15.1 32 44.65 32 79.1V80zM32 312V384C32 410.5 53.49 432 80 432H432C458.5 432 480 410.5 480 384V312C480 272.2 447.8 240 408 240H104C64.24 240 32 272.2 32 312zM91.2 224.9C95.38 224.3 99.65 224 104 224H408C412.3 224 416.6 224.3 420.8 224.9L388.2 137.1C382.3 122.3 367.4 111.1 350.7 111.1H161.3C144.6 111.1 129.7 122.3 123.8 137.1L91.2 224.9z"],
    "truck-medical": [640, 512, [128657, "ambulance"], "f0f9", "M224 88C237.3 88 248 98.75 248 112V152H288C301.3 152 312 162.7 312 176V208C312 221.3 301.3 232 288 232H248V272C248 285.3 237.3 296 224 296H192C178.7 296 168 285.3 168 272V232H128C114.7 232 104 221.3 104 208V176C104 162.7 114.7 152 128 152H168V112C168 98.75 178.7 88 192 88H224zM184 168H128C123.6 168 120 171.6 120 176V208C120 212.4 123.6 216 128 216H184V272C184 276.4 187.6 280 192 280H224C228.4 280 232 276.4 232 272V216H288C292.4 216 296 212.4 296 208V176C296 171.6 292.4 168 288 168H232V112C232 107.6 228.4 104 224 104H192C187.6 104 184 107.6 184 112V168zM0 352V64C0 28.65 28.65 0 64 0H352C387.3 0 416 28.65 416 64V96H474.7C485.4 96 495.5 100.2 503 107.7L596.3 200.1C603.8 208.5 608 218.6 608 229.3V400H632C636.4 400 640 403.6 640 408C640 412.4 636.4 416 632 416H575.6C575.9 418.6 576 421.3 576 424C576 472.6 536.6 512 488 512C439.4 512 400 472.6 400 424C400 421.3 400.1 418.6 400.4 416H239.6C239.9 418.6 240 421.3 240 424C240 472.6 200.6 512 152 512C103.4 512 64 472.6 64 424C64 421.3 64.12 418.6 64.36 416H64C28.65 416 .0003 387.3 .0003 352H0zM352 16H64C37.49 16 16 37.49 16 64V352C16 378.5 37.49 400 64 400H67.31C77.76 363.1 111.7 336 152 336C192.3 336 226.2 363.1 236.7 400H400V64C400 37.49 378.5 16 352 16zM416 112V216H588C587.1 214.7 586.1 213.4 584.1 212.3L491.7 119C487.2 114.5 481.1 112 474.7 112H416zM488 336C528.3 336 562.2 363.1 572.7 400H592V232H416V373.4C431.9 350.8 458.2 336 488 336zM152 496C191.8 496 224 463.8 224 424C224 384.2 191.8 352 152 352C112.2 352 80 384.2 80 424C80 463.8 112.2 496 152 496zM488 352C448.2 352 416 384.2 416 424C416 463.8 448.2 496 488 496C527.8 496 560 463.8 560 424C560 384.2 527.8 352 488 352z"],
    "truck-monster": [640, 512, [], "f63b", "M88 128H224V32C224 14.33 238.3 0 256 0H368.8C380.8 0 392.2 5.428 399.8 14.78L491.8 128H552C582.9 128 608 153.1 608 184V251.8C609.1 253.7 611.9 255.7 613.8 257.7C616.9 260.9 616.7 265.1 613.5 269C610.3 272.1 605.2 271.9 602.2 268.7C571.5 236.2 528.1 216 480 216C421 216 369.2 246.4 339.2 292.4C337.7 294.6 335.2 296 332.5 296H307.5C304.8 296 302.3 294.6 300.8 292.4C270.8 246.4 218.1 216 160 216C111.9 216 68.46 236.2 37.82 268.7C34.78 271.9 29.72 272.1 26.51 269C23.3 265.1 23.15 260.9 26.18 257.7C28.08 255.7 30.02 253.7 32 251.8V184C32 153.1 57.07 128 88 128H88zM256 16C247.2 16 240 23.16 240 32V128H471.2L387.4 24.87C382.8 19.26 375.1 16 368.8 16H256zM48 238C79.02 214.2 117.9 200 160 200C223 200 278.7 231.7 311.8 280H328.2C361.3 231.7 416.1 200 480 200C522.1 200 560.1 214.2 592 238V184C592 161.9 574.1 144 552 144H88C65.91 144 48 161.9 48 184L48 238zM104 376C104 345.1 129.1 320 160 320C190.9 320 216 345.1 216 376C216 406.9 190.9 432 160 432C129.1 432 104 406.9 104 376zM160 336C137.9 336 120 353.9 120 376C120 398.1 137.9 416 160 416C182.1 416 200 398.1 200 376C200 353.9 182.1 336 160 336zM123.1 268.9C128.5 256.7 140.2 248 154 248H166C179.8 248 191.5 256.7 196 268.9C200.9 270.5 205.7 272.5 210.3 274.8C222.1 269.4 236.5 271.5 246.3 281.2L254.8 289.7C264.5 299.5 266.6 313.9 261.2 325.7C263.5 330.3 265.5 335.1 267.1 339.1C279.3 344.5 288 356.2 288 370V382C288 395.8 279.3 407.5 267.1 412C265.5 416.9 263.5 421.7 261.2 426.3C266.6 438.1 264.5 452.5 254.8 462.3L246.3 470.8C236.5 480.5 222.1 482.6 210.3 477.2C205.7 479.5 200.9 481.5 196 483.1C191.5 495.3 179.8 504 166 504H154C140.2 504 128.5 495.3 123.1 483.1C119.1 481.5 114.3 479.5 109.7 477.2C97.89 482.6 83.47 480.5 73.73 470.8L65.25 462.3C55.52 452.5 53.37 438.1 58.78 426.3C56.5 421.7 54.51 416.9 52.86 412C40.68 407.5 32 395.8 32 382V370C32 356.2 40.68 344.5 52.86 339.1C54.51 335.1 56.5 330.3 58.78 325.7C53.37 313.9 55.52 299.5 65.25 289.7L73.73 281.2C83.47 271.5 97.89 269.4 109.7 274.8C114.3 272.5 119.1 270.5 123.1 268.9L123.1 268.9zM154 264C146.3 264 139.8 269.5 138.3 276.8L137.4 281.5L132.7 282.9C125.1 284.9 119.5 287.6 113.5 290.9L109.2 293.2L105.2 290.5C98.98 286.4 90.52 287.1 85.05 292.6L76.56 301C71.09 306.5 70.41 314.1 74.53 321.2L77.2 325.2L74.87 329.5C71.55 335.5 68.86 341.1 66.89 348.7L65.53 353.4L60.8 354.3C53.49 355.8 48 362.3 48 370V382C48 389.7 53.49 396.2 60.8 397.7L65.53 398.6L66.89 403.3C68.86 410 71.55 416.5 74.87 422.5L77.2 426.8L74.53 430.8C70.41 437 71.09 445.5 76.56 450.1L85.05 459.4C90.52 464.9 98.98 465.6 105.2 461.5L109.2 458.8L113.5 461.1C119.5 464.4 125.1 467.1 132.7 469.1L137.4 470.5L138.3 475.2C139.8 482.5 146.3 488 154 488H166C173.7 488 180.2 482.5 181.7 475.2L182.6 470.5L187.3 469.1C194 467.1 200.5 464.4 206.5 461.1L210.8 458.8L214.8 461.5C221 465.6 229.5 464.9 234.1 459.4L243.4 450.1C248.9 445.5 249.6 437 245.5 430.8L242.8 426.8L245.1 422.5C248.4 416.5 251.1 410 253.1 403.3L254.5 398.6L259.2 397.7C266.5 396.2 271.1 389.7 271.1 382V370C271.1 362.3 266.5 355.8 259.2 354.3L254.5 353.4L253.1 348.7C251.1 341.1 248.4 335.5 245.1 329.5L242.8 325.2L245.5 321.2C249.6 314.1 248.9 306.5 243.4 301L234.1 292.6C229.5 287.1 221 286.4 214.8 290.5L210.8 293.2L206.5 290.9C200.5 287.6 194 284.9 187.3 282.9L182.6 281.5L181.7 276.8C180.2 269.5 173.7 264 166 264L154 264zM536 376C536 406.9 510.9 432 480 432C449.1 432 424 406.9 424 376C424 345.1 449.1 320 480 320C510.9 320 536 345.1 536 376zM480 416C502.1 416 520 398.1 520 376C520 353.9 502.1 336 480 336C457.9 336 440 353.9 440 376C440 398.1 457.9 416 480 416zM486 248C499.8 248 511.5 256.7 516 268.9C520.9 270.5 525.7 272.5 530.3 274.8C542.1 269.4 556.5 271.5 566.3 281.2L574.8 289.7C584.5 299.5 586.6 313.9 581.2 325.7C583.5 330.3 585.5 335.1 587.1 339.1C599.3 344.5 608 356.2 608 370V382C608 395.8 599.3 407.5 587.1 412C585.5 416.9 583.5 421.7 581.2 426.3C586.6 438.1 584.5 452.5 574.8 462.3L566.3 470.8C556.5 480.5 542.1 482.6 530.3 477.2C525.7 479.5 520.9 481.5 516 483.1C511.5 495.3 499.8 504 486 504H474C460.2 504 448.5 495.3 443.1 483.1C439.1 481.5 434.3 479.5 429.7 477.2C417.9 482.6 403.5 480.5 393.7 470.8L385.2 462.3C375.5 452.5 373.4 438.1 378.8 426.3C376.5 421.7 374.5 416.9 372.9 412C360.7 407.5 352 395.8 352 382V370C352 356.2 360.7 344.5 372.9 339.1C374.5 335.1 376.5 330.3 378.8 325.7C373.4 313.9 375.5 299.5 385.2 289.7L393.7 281.2C403.5 271.5 417.9 269.4 429.7 274.8C434.3 272.5 439.1 270.5 443.1 268.9C448.5 256.7 460.2 247.1 474 247.1L486 248zM457.4 281.5L452.7 282.9C445.1 284.9 439.5 287.6 433.5 290.9L429.2 293.2L425.2 290.5C418.1 286.4 410.5 287.1 405 292.6L396.6 301C391.1 306.5 390.4 314.1 394.5 321.2L397.2 325.2L394.9 329.5C391.6 335.5 388.9 341.1 386.9 348.7L385.5 353.4L380.8 354.3C373.5 355.8 368 362.3 368 370V382C368 389.7 373.5 396.2 380.8 397.7L385.5 398.6L386.9 403.3C388.9 410 391.6 416.5 394.9 422.5L397.2 426.8L394.5 430.8C390.4 437 391.1 445.5 396.6 450.1L405 459.4C410.5 464.9 418.1 465.6 425.2 461.5L429.2 458.8L433.5 461.1C439.5 464.4 445.1 467.1 452.7 469.1L457.4 470.5L458.3 475.2C459.8 482.5 466.3 488 474 488H486C493.7 488 500.2 482.5 501.7 475.2L502.6 470.5L507.3 469.1C514 467.1 520.5 464.4 526.5 461.1L530.8 458.8L534.8 461.5C541 465.6 549.5 464.9 554.1 459.4L563.4 450.1C568.9 445.5 569.6 437 565.5 430.8L562.8 426.8L565.1 422.5C568.4 416.5 571.1 410 573.1 403.3L574.5 398.6L579.2 397.7C586.5 396.2 592 389.7 592 382V370C592 362.3 586.5 355.8 579.2 354.3L574.5 353.4L573.1 348.7C571.1 341.1 568.4 335.5 565.1 329.5L562.8 325.2L565.5 321.2C569.6 314.1 568.9 306.5 563.4 301L554.1 292.6C549.5 287.1 541 286.4 534.8 290.5L530.8 293.2L526.5 290.9C520.5 287.6 514 284.9 507.3 282.9L502.6 281.5L501.7 276.8C500.2 269.5 493.7 264 486 264H474C466.3 264 459.8 269.5 458.3 276.8L457.4 281.5z"],
    "truck-moving": [640, 512, [], "f4df", "M224 480C192.3 480 164.1 461.6 152 434.9C139 461.6 111.7 480 80 480C35.82 480 0 444.2 0 400V104C0 64.24 32.24 32 72 32H392C431.8 32 464 64.24 464 104V136H544C556.6 136 568.4 141.9 576 152L632 226.7C637.2 233.6 640 242 640 250.7V376C640 393.7 625.7 408 608 408H607.6C603.6 448.4 569.5 480 528 480C486.5 480 452.4 448.4 448.4 408H448V400H304C304 444.2 268.2 480 224 480zM16 104V351.1C30.6 332.6 53.83 320 80 320C111.7 320 139 338.4 152 365.1C164.1 338.4 192.3 320 224 320C262.7 320 294.1 347.5 302.4 384H448V104C448 73.07 422.9 48 392 48H72C41.07 48 16 73.07 16 104zM607.6 392H608C616.8 392 624 384.8 624 376V256H464V351.1C478.6 332.6 501.8 320 528 320C569.5 320 603.6 351.6 607.6 392V392zM563.2 161.6C558.7 155.6 551.6 152 544 152H464V240H621.5C620.9 238.7 620.1 237.4 619.2 236.3L563.2 161.6zM528 464C563.3 464 592 435.3 592 400C592 364.7 563.3 336 528 336C492.7 336 464 364.7 464 400C464 435.3 492.7 464 528 464zM224 336C188.7 336 160 364.7 160 400C160 435.3 188.7 464 224 464C259.3 464 288 435.3 288 400C288 364.7 259.3 336 224 336zM80 464C115.3 464 144 435.3 144 400C144 364.7 115.3 336 80 336C44.65 336 16 364.7 16 400C16 435.3 44.65 464 80 464z"],
    "truck-pickup": [640, 512, [128763], "f63c", "M514.2 192H552C582.9 192 608 217.1 608 248V368H632C636.4 368 640 371.6 640 376C640 380.4 636.4 384 632 384H560C560 437 517 480 464 480C410.1 480 368 437 368 384H272C272 437 229 480 176 480C122.1 480 80 437 80 384H8C3.582 384 0 380.4 0 376C0 371.6 3.582 368 8 368H32V248C32 217.1 57.07 192 88 192H224V72C224 49.91 241.9 32 264 32H368.5C380.7 32 392.3 37.61 399.9 47.21L514.2 192zM240 192H493.8L387.3 57.13C382.8 51.36 375.8 48 368.5 48H264C250.7 48 240 58.75 240 72V192zM48 368H81.33C88.94 322.6 128.4 288 176 288C223.6 288 263.1 322.6 270.7 368H369.3C376.9 322.6 416.4 288 464 288C511.6 288 551.1 322.6 558.7 368H592V248C592 225.9 574.1 208 552 208H88C65.91 208 48 225.9 48 248V368zM176 304C131.8 304 96 339.8 96 384C96 428.2 131.8 464 176 464C220.2 464 256 428.2 256 384C256 339.8 220.2 304 176 304zM464 464C508.2 464 544 428.2 544 384C544 339.8 508.2 304 464 304C419.8 304 384 339.8 384 384C384 428.2 419.8 464 464 464z"],
    "truck-plane": [640, 512, [], "e58f", "M148.9 206.3L19.94 282.3C17.5 283.7 15.1 286.3 15.1 289.1L16 342.4C16 347.7 20.93 351.5 25.99 350.2L148.9 318.6V415.6L98.88 457.3C97.05 458.9 95.1 461.1 95.1 463.5V482.3C95.1 487.7 101.2 491.6 106.4 489.1L192.3 463.5L258.9 489.6C263 491.2 265.1 495.8 263.5 499.9C261.8 504 257.2 506.1 253.1 504.5L191.7 480.5L111.1 505.3C95.62 510 79.1 498.5 79.1 482.3V463.5C79.1 456.4 83.16 449.6 88.63 445.1L132.9 408.1V339.2L29.98 365.7C14.79 369.6 .0006 358.1 .0006 342.4L0 289.1C0 280.6 4.497 272.8 11.82 268.5L132.9 197.2V87.44C132.9 71.25 139.3 50.02 149.2 32.85C154.2 24.2 160.4 16.17 167.5 10.21C174.6 4.261 183.1 0 192.6 0C202.3 0 210.9 4.217 218.1 10.2C225.2 16.17 231.4 24.22 236.3 32.89C246.1 50.09 252.3 71.3 252.3 87.44V188.3L260.1 193C263.9 195.3 265.1 200.2 262.9 204C260.6 207.8 255.7 209 251.9 206.7L236.3 197.4V87.44C236.3 74.61 231.2 56.11 222.4 40.83C218.1 33.26 213.1 26.88 207.8 22.48C202.6 18.09 197.5 15.1 192.6 15.1C188 15.1 183 18.05 177.8 22.46C172.5 26.88 167.5 33.27 163.1 40.86C154.2 56.18 148.9 74.67 148.9 87.44L148.9 206.3zM258.3 320.3C262.5 321.6 264.9 326 263.7 330.3C262.4 334.5 257.9 336.9 253.7 335.6L252.3 335.2V408L260.1 414.1C264.4 417.7 265 422.8 262.2 426.2C259.5 429.7 254.5 430.2 251 427.5L236.3 415.7V313.7L258.3 320.3zM416 396C416 411.5 403.5 424 388 424C372.5 424 360 411.5 360 396C360 380.5 372.5 368 388 368C403.5 368 416 380.5 416 396zM388 384C381.4 384 376 389.4 376 396C376 402.6 381.4 408 388 408C394.6 408 400 402.6 400 396C400 389.4 394.6 384 388 384zM512 396C512 380.5 524.5 368 540 368C555.5 368 568 380.5 568 396C568 411.5 555.5 424 540 424C524.5 424 512 411.5 512 396zM540 408C546.6 408 552 402.6 552 396C552 389.4 546.6 384 540 384C533.4 384 528 389.4 528 396C528 402.6 533.4 408 540 408zM576 464H352V504C352 508.4 348.4 512 344 512C339.6 512 336 508.4 336 504V464C309.5 464 287.1 442.5 287.1 416V176C287.1 149.5 309.5 128 336 128H592C618.5 128 640 149.5 640 176V416C640 442.5 618.5 464 592 464V504C592 508.4 588.4 512 584 512C579.6 512 576 508.4 576 504V464zM592 144H336C318.3 144 303.1 158.3 303.1 176V416C303.1 428.1 311.7 440.2 322.8 445.2C321 441.2 319.1 436.7 319.1 432V376C319.1 354.8 331.8 336.3 349.3 326.8L365 274.2C371.1 253.9 389.8 240 411 240H516.1C538.2 240 556.9 253.9 562.1 274.2L578.7 326.8C596.2 336.3 608 354.8 608 376V432C608 436.7 606.1 441.2 605.2 445.2C616.3 440.2 624 428.1 624 416V176C624 158.3 609.7 144 592 144V144zM576 448C584.8 448 592 440.8 592 432V376C592 353.9 574.1 336 552 336H376C353.9 336 336 353.9 336 376V432C336 440.8 343.2 448 352 448H576zM560 320L547.6 278.8C543.6 265.3 531.1 256 516.1 256H411C396.9 256 384.4 265.3 380.4 278.8L368 320H560z"],
    "truck-plow": [640, 512, [], "f7de", "M440 192C470.9 192 496 217.1 496 248V344C496 353 493 361.3 488 368H528V200C528 197.9 528.8 195.8 530.3 194.3L626.3 98.34C629.5 95.22 634.5 95.22 637.7 98.34C640.8 101.5 640.8 106.5 637.7 109.7L544 203.3V372.7L637.7 466.3C640.8 469.5 640.8 474.5 637.7 477.7C634.5 480.8 629.5 480.8 626.3 477.7L532.7 384H464C464 437 421 480 368 480C314.1 480 272 437 272 384H224C224 437 181 480 128 480C74.98 480 32 437 32 384L32 383.2C13.74 379.5 0 363.4 0 344V248C0 217.1 25.07 192 56 192H128V72C128 49.91 145.9 32 168 32H270.4C284.1 32 296.9 39.04 304.2 50.64L393.5 192L440 192zM168 48C154.7 48 144 58.75 144 72V192H374.5L290.7 59.18C286.3 52.22 278.6 48 270.4 48H168zM462.5 367.1C472.6 364.3 480 354.1 480 344V248C480 225.9 462.1 208 440 208H56C33.91 208 16 225.9 16 248V344C16 354.1 23.39 364.3 33.48 367.1C41.47 322.1 80.75 288 128 288C175.6 288 215.1 322.6 222.7 368H273.3C280.9 322.6 320.4 288 368 288C415.3 288 454.5 322.1 462.5 367.1V367.1zM128 304C83.82 304 48 339.8 48 384C48 428.2 83.82 464 128 464C172.2 464 208 428.2 208 384C208 339.8 172.2 304 128 304zM368 464C412.2 464 448 428.2 448 384C448 339.8 412.2 304 368 304C323.8 304 288 339.8 288 384C288 428.2 323.8 464 368 464z"],
    "truck-ramp": [640, 512, [], "f4e0", "M632 0C636.4 0 640 3.582 640 8C640 12.42 636.4 16 632 16H424C393.1 16 368 41.07 368 72V392.5L418.1 378.2C428.3 326.8 473.6 288 528 288C589.9 288 640 338.1 640 400C640 461.9 589.9 512 528 512C466.1 512 416 461.9 416 400C416 398.5 416 396.9 416.1 395.4L10.2 511.7C5.956 512.9 1.526 510.5 .3094 506.2C-.9072 501.1 1.549 497.5 5.797 496.3L352 397.1V72C352 32.24 384.2 .0003 424 .0003L632 0zM528 496C581 496 624 453 624 400C624 346.1 581 304 528 304C474.1 304 432 346.1 432 400C432 453 474.1 496 528 496z"],
    "truck-ramp-box": [640, 512, ["truck-loading"], "f4de", "M352 72C352 32.24 384.2 0 424 0H632C636.4 0 640 3.582 640 8C640 12.42 636.4 16 632 16H424C393.1 16 368 41.07 368 72V392.5L418.1 378.2C428.3 326.8 473.6 288 528 288C589.9 288 640 338.1 640 400C640 461.9 589.9 512 528 512C466.1 512 416 461.9 416 400C416 398.5 416 396.9 416.1 395.4L10.21 511.7C5.958 512.9 1.528 510.5 .3114 506.2C-.9053 501.1 1.551 497.5 5.799 496.3L352 397.1L352 72zM528 304C474.1 304 432 346.1 432 400C432 453 474.1 496 528 496C581 496 624 453 624 400C624 346.1 581 304 528 304zM200.3 127.1C217.4 122.5 234.9 132.7 239.5 149.7L280.9 304.3C285.5 321.4 275.3 338.9 258.3 343.5L103.7 384.9C86.64 389.5 69.1 379.3 64.52 362.3L23.11 207.7C18.54 190.6 28.67 173.1 45.74 168.5L200.3 127.1zM204.4 142.6L165.8 152.9L184.4 222.5C186.7 231 181.6 239.8 173.1 242.1L126.7 254.5C118.2 256.8 109.4 251.7 107.2 243.2L88.52 173.6L49.88 183.1C41.34 186.3 36.28 195 38.57 203.6L79.98 358.1C82.26 366.7 91.04 371.7 99.57 369.4L254.1 328C262.7 325.7 267.7 316.1 265.4 308.4L224 153.9C221.7 145.3 212.1 140.3 204.4 142.6V142.6zM122.6 239L168.1 226.6L150.3 157.1L103.1 169.5L122.6 239z"],
    "truck-ramp-couch": [640, 512, ["truck-couch"], "f4dd", "M352 72C352 32.24 384.2 0 424 0H632C636.4 0 640 3.582 640 8C640 12.42 636.4 16 632 16H424C393.1 16 368 41.07 368 72V392.5L418.1 378.2C428.3 326.8 473.6 288 528 288C589.9 288 640 338.1 640 400C640 461.9 589.9 512 528 512C466.1 512 416 461.9 416 400C416 398.5 416 396.9 416.1 395.4L10.21 511.7C5.958 512.9 1.528 510.5 .3114 506.2C-.9053 501.1 1.551 497.5 5.799 496.3L352 397.1L352 72zM528 304C474.1 304 432 346.1 432 400C432 453 474.1 496 528 496C581 496 624 453 624 400C624 346.1 581 304 528 304zM318.4 194.5L320 200.5V219.9C317.4 219.9 314.7 220.3 311.1 221C293.8 225.9 282.1 244.6 287.8 262.9L294.2 286.8L97.49 339.5L90.52 313.5C85.94 296.4 68.4 286.3 51.34 290.9C34.28 295.4 24.15 312.1 28.72 330L44.27 388C47.7 400.8 60.86 408.4 73.66 405L113.9 394.2L113.9 394.4L309.1 342.2L309.1 342.2L320 339.3V355.9L297.8 361.8L297.8 361.8L102.6 414L102.6 413.8L77.8 420.5C56.46 426.2 34.53 413.5 28.81 392.2L13.27 334.2C7.9 314.1 16.04 293.7 32.12 282.4L29.3 271.9C16.72 224.1 44.58 176.7 91.53 164.1L210.6 132.2C257.6 119.7 305.8 147.5 318.4 194.5H318.4zM214.8 147.7L95.67 179.6C57.26 189.9 34.47 229.4 44.76 267.8L46.83 275.5L47.2 275.4C72.8 268.6 99.11 283.7 105.1 309.3L108.8 319.9L274.6 275.5L272.4 267C265.5 241.2 279.1 214.7 305 206.4L302.9 198.6C292.6 160.2 253.2 137.4 214.8 147.7L214.8 147.7z"],
    "truck-tow": [640, 512, [], "e2b8", "M384 252V152C384 129.9 401.9 112 424 112H490.3C506.4 112 521.7 118.9 532.3 130.9L629.1 241.6C636.4 248.9 640 258.4 640 268.1V376C640 398.1 622.1 416 600 416H576C576 469 533 512 480 512C426.1 512 384 469 384 416H256C256 469 213 512 160 512C106.1 512 64 469 64 416H40C17.91 416 0 398.1 0 376V296C0 273.9 17.91 256 40 256H192L80 32V168C80 190.1 62.09 208 40 208C17.91 208 0 190.1 0 168V152C0 147.6 3.582 144 8 144C12.42 144 16 147.6 16 152V168C16 181.3 26.75 192 40 192C53.25 192 64 181.3 64 168V32C64 26.17 65.56 20.71 68.28 16C73.81 6.435 84.16 0 96 0H145.6C154.8 0 163.5 3.909 169.5 10.74L384 252zM209.9 256H366.1L157.6 21.37C154.6 17.95 150.2 16 145.6 16H96C94.03 16 92.14 16.36 90.39 17.01L209.9 256zM480 320C527.6 320 567.1 354.6 574.7 400H600C613.3 400 624 389.3 624 376V272H40C26.75 272 16 282.7 16 296V376C16 389.3 26.75 400 40 400H65.33C72.94 354.6 112.4 320 160 320C207.6 320 247.1 354.6 254.7 400H385.3C392.9 354.6 432.4 320 480 320zM620.7 256C619.9 254.7 619 253.4 617.1 252.2L520.3 141.5C512.7 132.9 501.8 128 490.3 128H424C410.7 128 400 138.7 400 152V256H620.7zM160 336C115.8 336 80 371.8 80 416C80 460.2 115.8 496 160 496C204.2 496 240 460.2 240 416C240 371.8 204.2 336 160 336zM480 496C524.2 496 560 460.2 560 416C560 371.8 524.2 336 480 336C435.8 336 400 371.8 400 416C400 460.2 435.8 496 480 496z"],
    "trumpet": [640, 512, [127930], "f8e3", "M8 160C3.594 160 0 163.6 0 167.1V296C0 300.4 3.594 304 8 304S16 300.4 16 296v-128C16 163.6 12.41 160 8 160zM608 64c-10.23 0-19.92 4.939-25.94 13.21c-55.78 72.62-99.02 95.51-113.2 103C453.8 188.1 436.2 192 416.3 192H376V160c0-4.422-3.594-8-8-8S360 155.6 360 160v32h-80V160c0-4.422-3.594-8-8-8S264 155.6 264 160v32h-80V160c0-4.422-3.594-8-8-8S168 155.6 168 160v32h-112C51.58 192 48 195.6 48 200S51.58 208 56 208h360.3c34.25 0 54.5-10.75 60-13.62C497.6 183.1 540.9 157.1 595 86.63C597.1 82.5 602.9 80 608 80c5.25 0 16 4 16 16v272c0 5-3.838 16.13-15.96 16.13c-5.375 0-10.41-2.751-13.29-7.251c-7.004-7.004-51.01-71.1-118.5-107.3C470.6 266.6 450.5 256 416 256H56C51.58 256 48 259.6 48 264S51.58 272 56 272h40.44c-19.24 14.33-31.99 36.9-32.43 62.63C63.25 379.4 101.1 416 146.7 416h250.8c42.52 0 79.51-32.12 82.33-74.54c1.619-24.35-7.691-46.54-23.48-62.21c4.139 1.488 8.645 2.506 12.38 4.498c53.79 28.81 92.74 77.44 107.4 95.75c2.578 3.215 4.605 5.693 6.027 7.307C588.1 395.1 597.6 400 608 400c19.77 0 32-16.61 32-32l-.0009-271.1C639.1 76.24 623.4 64 608 64zM168 400H144c-35.29 0-64-28.71-64-64c0-35.29 28.71-64 64-64h24V400zM264 400h-80v-128h80V400zM360 400h-80v-128h80V400zM464 336c0 35.29-28.71 64-64 64h-24v-128h24C435.3 272 464 300.7 464 336z"],
    "tty": [512, 512, ["teletype"], "f1e4", "M448 256H64C46.33 256 32 270.3 32 288v192c0 17.67 14.33 32 32 32h384c17.67 0 32-14.33 32-32V288C480 270.3 465.7 256 448 256zM216 272h80v64h-80V272zM216 352h80v64h-80V352zM128 272h72v64H128V272zM128 352h72v64H128V352zM112 496H64c-8.822 0-16-7.178-16-16v-48h64V496zM112 416h-64v-64h64V416zM112 336h-64V288c0-8.822 7.178-16 16-16h48V336zM384 496H128v-64h256V496zM384 416h-72v-64H384V416zM384 336h-72v-64H384V336zM464 480c0 8.822-7.178 16-16 16h-48v-64h64V480zM464 416h-64v-64h64V416zM464 336h-64v-64H448c8.822 0 16 7.178 16 16V336zM504.9 102.9C367.7-34.32 144.3-34.3 7.083 102.9C2.41 107.6 0 113.7 0 119.9c0 4.387 1.214 8.796 3.693 12.75l42.17 67.47c6.104 9.775 18.52 13.93 29.35 9.632l84.36-33.74c9.168-3.631 15.03-12.55 15.03-22.21c0-.8379 .0111-1.667-.0788-2.511l-5.303-53.27c56.18-19.18 117.4-19.16 173.6 .0059L337.5 151.3c-.082 .8066-.1771 1.624-.1771 2.422c0 9.715 5.979 18.61 15.14 22.3l84.35 33.73c10.88 4.25 23.19 .2292 29.33-9.615l42.18-67.48C510.8 128.7 512 124.3 512 119.9C512 113.7 509.6 107.6 504.9 102.9zM494.7 124.2l-42.18 67.48c-2.064 3.311-6.258 4.66-9.852 3.258l-84.34-33.73c-2.984-1.203-4.999-4.215-4.999-8.229c0-.041 0 .041 0 0l6.552-65.97C284.2 61.15 227.9 61.11 151.1 87.03l6.631 66.8c0 3.203-2.008 6.152-5.047 7.355L69.27 194.9c-3.576 1.42-7.803 .0449-9.834-3.207L17.24 124.2C14.29 119.5 17.28 115.4 18.4 114.3C81.76 50.89 166.1 16 255.1 16c89.86 0 174.2 34.9 237.6 98.26C496.2 116.9 496.8 120.9 494.7 124.2z"],
    "tty-answer": [640, 512, ["teletype-answer"], "e2b9", "M493.1 351.2L384.6 304.7c-12.78-5.531-27.8-1.812-36.48 8.969l-44.05 53.81c-69.25-34-125.5-90.28-159.5-159.5l53.83-44.09C209.1 155.2 212.8 140.3 207.4 127.5L160.8 18.93C154.7 5.026 139.7-2.599 124.1 .8073L24.22 24.06C9.969 27.31 0 39.84 0 54.49C0 306.8 205.2 512 457.5 512c14.67 0 27.2-9.967 30.47-24.22l23.25-100.8C514.6 372.4 507 357.2 493.1 351.2zM495.6 383.4l-23.25 100.8C470.8 491.1 464.6 496 457.5 496C214 496 16 297.9 16 54.49c0-7.156 4.859-13.25 11.81-14.88l100.8-23.25c7.203-1.656 14.61 2.125 17.58 8.938l46.52 108.5C195.3 140.1 193.4 147.3 188.3 151.6l-63.53 52c62.32 133.5 168.7 176.7 183.8 183.8l52.02-63.53c4.219-5.25 11.52-7.062 17.73-4.375l108.5 46.5C493.5 368.9 497.3 376.3 495.6 383.4zM608 0h-288C302.3 0 288 14.33 288 32v192c0 17.67 14.33 32 32 32h288c17.67 0 32-14.33 32-32V32C640 14.33 625.7 0 608 0zM384 16h72v64H384V16zM384 96h72v64H384V96zM368 240H320C311.2 240 304 232.8 304 224V176h64V240zM368 160h-64V96h64V160zM368 80h-64V32c0-8.822 7.178-16 16-16h48V80zM544 240h-160v-64h160V240zM544 160h-72V96H544V160zM544 80h-72v-64H544V80zM624 224c0 8.822-7.178 16-16 16h-48v-64h64V224zM624 160h-64V96h64V160zM624 80h-64v-64H608c8.822 0 16 7.178 16 16V80z"],
    "tugrik-sign": [384, 512, [], "e2ba", "M376 32C380.4 32 384 35.58 384 40C384 44.42 380.4 48 376 48H200V213.8L318.1 184.2C322.3 183.2 326.7 185.8 327.8 190.1C328.8 194.3 326.2 198.7 321.9 199.8L200 230.2V309.8L318.1 280.2C322.3 279.2 326.7 281.8 327.8 286.1C328.8 290.3 326.2 294.7 321.9 295.8L200 326.2V472C200 476.4 196.4 480 192 480C187.6 480 184 476.4 184 472V330.2L65.94 359.8C61.65 360.8 57.31 358.2 56.24 353.9C55.17 349.7 57.77 345.3 62.06 344.2L184 313.8V234.2L65.94 263.8C61.65 264.8 57.31 262.2 56.24 257.9C55.17 253.7 57.77 249.3 62.06 248.2L184 217.8V48H8C3.582 48 0 44.42 0 40C0 35.58 3.582 32 8 32H376z"],
    "turkey": [640, 512, [], "f725", "M507.3 226.7c-3.578 2.594-4.391 7.594-1.797 11.16c34.63 47.85 54.48 99.98 54.48 143.1c0 96.26-99.74 115.1-272 115.1C115.7 495.1 16 477.2 16 380.9c0-106.2 121.9-268.1 272-268.1c20.42 0 41.19 3.125 61.7 9.314c4.266 1.375 8.719-1.094 9.969-5.346c1.281-4.25-1.125-8.688-5.344-9.969c-94.94-28.53-193.7 5.938-270.2 89.66C32.23 252.4 0 323.4 0 380.9C0 501.9 142.3 512 288 512c145.7 0 288-10.13 288-131.1c0-46.38-20.97-101.9-57.52-152.4C515.9 224.9 510.9 224.1 507.3 226.7zM619.8 91.06c-11.44-9.846-26.16-15.66-40.33-14.56c4.922-13.91 4.219-29.1-2.391-42.88c-9.438-19.69-29.27-32.56-51.75-33.6c-18.64-.5-36.55 6.844-48.64 21.19c-11.64 13.81-16.14 31.69-12.31 49.13c2.5 11.19-.1562 20.91-8.375 30.53c-11.62 13.59-33.8 26.1-62.44 35.22c-33.72 10.69-53.89 11.38-71.69 11.97C305.6 148.6 290.2 149.1 268.9 157C231.4 170.6 205.5 198.4 195.8 235.3c-9.719 37.16-.4375 78.01 24.17 106.6c23.08 27.06 56.96 42.16 92.35 42.16c8.391 0 16.88-.8438 25.31-2.594c43.78-9.033 78.05-40.79 91.67-85.01c3.312-10.78 17.27-42.5 39.27-71.69c11.17-14.85 22.42-26.31 33.42-34.13c16.67-11.78 31.38-14.16 45.02-7.062c21.31 10.66 45.67 11.56 63.72 2.312c10.86-5.562 24.62-17.41 28.55-42.13C642.4 123.9 635.1 104.3 619.8 91.06zM623.5 141.2c-2.297 14.53-9.047 24.75-20.05 30.41c-13.58 6.938-32.42 6.031-49.13-2.344c-19.12-9.939-39.78-7.158-61.55 8.25c-12.36 8.781-24.78 21.41-36.96 37.56c-23.27 30.88-38.19 64.97-41.77 76.63c-12.06 39.1-41.08 66.07-79.61 74.04c-38.33 7.781-77.49-5.25-102.3-34.31C210.9 306.8 202.9 271.5 211.3 239.4c8.266-31.63 30.66-55.54 63.08-67.29c18.98-7.033 32.47-7.471 48.08-8.002c18.83-.625 40.17-1.344 75.99-12.72c31.45-10 56.22-24.25 69.75-40.1c11.46-13.38 15.42-28.31 11.85-44.38c-2.736-12.5 .5156-25.38 8.922-35.35c8.406-9.969 20.53-15.56 33.53-15.56c.7031 0 1.422 .0313 2.141 .0625c16.84 .75 31.08 9.938 38.06 24.5c6.516 13.62 4.969 29.19-4.141 41.66c-2.047 2.781-2.062 6.562-.0469 9.377c2.016 2.781 5.625 4.062 8.891 2.969c14.73-4.564 30.39-1.344 41.99 8.656C620.6 112.9 625.8 126.8 623.5 141.2z"],
    "turkish-lira-sign": [384, 512, ["try", "turkish-lira"], "e2bb", "M88 32C92.42 32 96 35.58 96 40V131.1L278.2 88.21C282.5 87.2 286.8 89.87 287.8 94.17C288.8 98.47 286.1 102.8 281.8 103.8L96 147.5V227.1L278.2 184.2C282.5 183.2 286.8 185.9 287.8 190.2C288.8 194.5 286.1 198.8 281.8 199.8L96 243.5V440C96 453.3 106.7 464 120 464H198.6C288.9 464 363 392.7 366.5 302.5L368 263.7C368.2 259.3 371.9 255.8 376.3 256C380.7 256.2 384.2 259.9 383.1 264.3L382.5 303.1C378.7 401.9 297.5 480 198.6 480H120C97.91 480 80 462.1 80 440V247.3L9.834 263.8C5.533 264.8 1.226 262.1 .2144 257.8C-.7974 253.5 1.868 249.2 6.169 248.2L80 230.8V151.3L9.834 167.8C5.533 168.8 1.226 166.1 .2144 161.8C-.7974 157.5 1.868 153.2 6.169 152.2L80 134.8V40C80 35.58 83.58 32 88 32V32z"],
    "turn-down": [384, 512, [10549, "level-down-alt"], "f3be", "M317.9 367.3c-4.094-9.406-13.19-15.25-23.69-15.25h-94.25V71.1C199.1 32.31 167.7 0 127.1 0L7.1 0C3.594 0 0 3.594 0 7.1s3.594 7.1 7.1 7.1h119.1c30.87 0 55.1 25.12 55.1 55.1v280H89.75c-10.5 0-19.59 5.844-23.69 15.25c-3.937 8.1-2.187 19.12 4.562 26.41l102.3 110.1C177.8 509 184.7 512 191.1 512c7.281 0 14.21-2.1 19.12-8.25l102.2-110.1C320.1 386.4 321.9 376.3 317.9 367.3zM301.6 382.8l-102.2 110.1c-3.75 3.1-11.09 3.1-14.78 0l-102.2-110.1C78.9 379.1 80.06 375.2 80.72 373.7c1.531-3.562 4.906-5.656 9.031-5.656h204.5c4.125 0 7.5 2.094 9.031 5.656C303.9 375.2 305.1 379.1 301.6 382.8z"],
    "turn-down-left": [512, 512, [], "e331", "M144.7 413.9c9.406-4.094 15.25-13.19 15.25-23.69V295.1h280C479.7 295.1 512 263.7 512 223.1v-183.1c0-4.406-3.594-7.1-7.1-7.1s-7.1 3.594-7.1 7.1v183.1c0 30.87-25.12 55.1-55.1 55.1H159.1V185.7c0-10.5-5.844-19.59-15.25-23.69C135.7 158.1 125.6 159.9 118.3 166.6L8.25 268.9C2.1 273.8 0 280.7 0 287.1c0 7.281 2.1 14.21 8.25 19.12l110.1 102.2C125.6 416.1 135.7 417.9 144.7 413.9zM129.2 397.6L19.12 295.4c-3.1-3.75-3.1-11.09 0-14.78l110.1-102.2C132.9 174.9 136.8 176.1 138.3 176.7c3.562 1.531 5.656 4.906 5.656 9.031v204.5c0 4.125-2.094 7.5-5.656 9.031C136.8 399.9 132.9 401.1 129.2 397.6z"],
    "turn-down-right": [512, 512, [], "e455", "M367.3 413.9C357.8 409.8 352 400.7 352 390.2V295.1H71.1C32.31 295.1 0 263.7 0 223.1V39.1C0 35.59 3.594 32 7.1 32C12.41 32 15.1 35.59 15.1 39.1V223.1C15.1 254.9 41.12 279.1 71.1 279.1H352V185.7C352 175.2 357.8 166.2 367.3 162.1C376.3 158.1 386.4 159.9 393.7 166.6L503.8 268.9C508.1 273.8 512 280.7 512 287.1C512 295.3 508.1 302.2 503.8 307.1L393.7 409.4C386.4 416.1 376.3 417.9 367.3 413.9V413.9zM382.8 397.6L492.9 295.4C496.9 291.6 496.9 284.3 492.9 280.6L382.8 178.4C379.1 174.9 375.2 176.1 373.7 176.7C370.1 178.2 368 181.6 368 185.7V390.2C368 394.4 370.1 397.7 373.7 399.3C375.2 399.9 379.1 401.1 382.8 397.6V397.6z"],
    "turn-up": [384, 512, [10548, "level-up-alt"], "f3bf", "M313.4 118.3l-102.2-110.1C206.2 2.1 199.3 0 191.1 0C184.7 0 177.8 2.1 172.9 8.25L70.62 118.3C63.87 125.6 62.12 135.7 66.06 144.7c4.094 9.406 13.19 15.25 23.69 15.25H183.1v280c0 30.87-25.12 55.1-55.1 55.1H7.1C3.594 496 0 499.6 0 504S3.594 512 7.1 512h119.1c39.69 0 71.1-32.31 71.1-71.1V159.1h94.25c10.5 0 19.59-5.844 23.69-15.25C321.9 135.7 320.1 125.6 313.4 118.3zM303.3 138.3c-1.531 3.562-4.906 5.656-9.031 5.656H89.75c-4.125 0-7.5-2.094-9.031-5.656C80.06 136.8 78.9 132.9 82.37 129.2L184.6 19.12c3.687-3.1 11.03-3.1 14.78 0l102.2 110.1C305.1 132.9 303.9 136.8 303.3 138.3z"],
    "turntable": [576, 512, [], "f8e4", "M224 224C206.3 224 192 238.3 192 256c0 17.67 14.33 32 32 32s32-14.33 32-32C256 238.3 241.7 224 224 224zM224 272C215.2 272 208 264.8 208 256S215.2 240 224 240S240 247.2 240 256S232.8 272 224 272zM512 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h448c35.35 0 64-28.65 64-64V96C576 60.65 547.3 32 512 32zM560 416c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V96c0-26.47 21.53-48 48-48h448c26.47 0 48 21.53 48 48V416zM504 96c-4.422 0-8 3.594-8 8v137.3c0 13.59-3.219 27.19-9.297 39.38l-22.3 44.61c-17.84-3.885-29.8 5.096-35.31 16.09l-11.4 22.74c-7.924 15.81-1.52 35.05 14.3 42.96c18.8 9.395 36.6-1.666 42.92-14.29l11.4-22.74c6.594-13.16 2.852-28.31-7.566-37.71l22.27-44.54C508.2 273.5 512 257.4 512 241.3V104C512 99.59 508.4 96 504 96zM472 362.9L460.6 385.7c-9.535 19.02-38.07 4.531-28.62-14.34l11.4-22.74C452.9 329.6 481.5 344.1 472 362.9zM224 96C135.6 96 64 167.6 64 256s71.63 160 160 160s160-71.63 160-160S312.4 96 224 96zM224 400c-79.4 0-144-64.6-144-144S144.6 112 224 112s144 64.6 144 144S303.4 400 224 400z"],
    "turtle": [576, 512, [128034], "f726", "M207.1 48C119.6 48 47.1 119.6 47.1 208V264C47.1 268.4 44.42 272 39.1 272C35.58 272 31.1 268.4 31.1 264V208C31.1 110.8 110.8 32 207.1 32C305.2 32 384 110.8 384 208V264C384 268.4 380.4 272 376 272C371.6 272 368 268.4 368 264V208C368 119.6 296.4 48 207.1 48zM480 208C480 199.2 487.2 192 496 192C504.8 192 512 199.2 512 208C512 216.8 504.8 224 496 224C487.2 224 480 216.8 480 208zM416 200C416 160.2 448.2 128 488 128C536.6 128 576 167.4 576 216V232C576 262.9 550.9 288 520 288H485.8L484.8 291C466.3 346.5 414.3 384 355.7 384H336V440C336 462.1 318.1 480 296 480H280C257.9 480 240 462.1 240 440V384H176V440C176 462.1 158.1 480 136 480H120C97.91 480 80 462.1 80 440V384H40C17.91 384 0 366.1 0 344C0 321.9 17.91 304 40 304H368C394.5 304 416 282.5 416 256L416 200zM255.1 368V440C255.1 453.3 266.7 464 279.1 464H296C309.3 464 320 453.3 320 440V368H355.7C407.4 368 453.3 334.9 469.6 285.9L472.4 277.5C473.5 274.2 476.6 272 480 272H520C542.1 272 560 254.1 560 232V216C560 176.2 527.8 144 488 144C457.1 144 432 169.1 432 200V256C432 291.3 403.3 320 368 320H39.1C26.74 320 15.1 330.7 15.1 344C15.1 357.3 26.74 368 39.1 368H95.1V440C95.1 453.3 106.7 464 119.1 464H135.1C149.3 464 159.1 453.3 159.1 440V368H255.1z"],
    "tv": [640, 512, [63717, "television", "tv-alt"], "f26c", "M592 0h-544C21.5 0 0 21.5 0 48v352C0 426.5 21.5 448 48 448h544c26.5 0 48-21.5 48-48v-352C640 21.5 618.5 0 592 0zM624 400c0 17.64-14.36 32-32 32h-544c-17.64 0-32-14.36-32-32v-352c0-17.64 14.36-32 32-32h544c17.64 0 32 14.36 32 32V400zM64 384h512V64H64V384zM80 80h480v288h-480V80zM536 496H104C99.59 496 96 499.6 96 504S99.59 512 104 512h432c4.406 0 8-3.578 8-8S540.4 496 536 496z"],
    "tv-music": [640, 512, [], "f8e6", "M536 496H104C99.59 496 96 499.6 96 504S99.59 512 104 512h432c4.406 0 8-3.578 8-8S540.4 496 536 496zM64 384h512V64H64V384zM80 80h480v288h-480V80zM592 0h-544C21.5 0 0 21.5 0 48v352C0 426.5 21.5 448 48 448h544c26.5 0 48-21.5 48-48v-352C640 21.5 618.5 0 592 0zM624 400c0 17.64-14.36 32-32 32h-544c-17.64 0-32-14.36-32-32v-352c0-17.64 14.36-32 32-32h544c17.64 0 32 14.36 32 32V400zM404.8 128.7l-128 56C273.9 185.9 272 188.8 272 192v72.3C263.5 259.2 252.3 256 240 256C213.5 256 192 270.3 192 288s21.49 32 48 32S288 305.7 288 288V197.2l112-49v84.09C391.5 227.2 380.3 224 368 224C341.5 224 320 238.3 320 256s21.49 32 48 32S416 273.7 416 256V136c0-2.688-1.359-5.219-3.625-6.688C410.2 127.8 407.3 127.6 404.8 128.7zM240 304c-19.53 0-32-9.477-32-16s12.47-16 32-16c19.54 0 32 9.477 32 16S259.5 304 240 304zM368 272c-19.53 0-32-9.477-32-16s12.47-16 32-16c19.54 0 32 9.477 32 16S387.5 272 368 272z"],
    "tv-retro": [512, 512, [128250], "f401", "M448 272c-8.836 0-16 7.162-16 15.1c0 8.836 7.164 15.1 16 15.1s16-7.164 16-15.1C464 279.2 456.8 272 448 272zM448.1 208C439.2 208 432 215.2 432 224c0 8.836 7.164 15.1 16 15.1s16-7.164 16-15.1C464 215.2 456.9 208 448.1 208zM320.1 160L144 160c-44.11 0-80 35.89-80 79.1v127.1c0 44.11 35.89 79.1 80 79.1l176.1-.0008c44.11 0 79.94-35.89 79.94-79.1V240C400 195.9 364.2 160 320.1 160zM384 368c0 35.35-28.65 63.1-64 63.1H144c-35.35 0-64-28.65-64-63.1V240c0-35.35 28.65-63.1 64-63.1H320c35.35 0 64 28.65 64 63.1V368zM448 96l-169.2 .0049L381 14.26c3.438-2.75 4-7.812 1.25-11.25C379.5-.4294 374.5-1.023 371 1.758l-114.1 92.23L141 1.758C137.6-1.023 132.5-.4294 129.8 3.008C127 6.445 127.6 11.51 131 14.26l102.2 81.75L64 96c-35.35 0-64 28.65-64 63.1v287.1C0 483.3 28.65 512 64 512h384c35.35 0 64-28.65 64-63.1V160C512 124.7 483.3 96 448 96zM496 448c0 26.47-21.53 47.1-48 47.1H64c-26.47 0-48-21.53-48-47.1V160C16 133.5 37.53 112 64 112h384c26.47 0 48 21.53 48 47.1V448z"],
    "typewriter": [512, 512, [], "f8e7", "M72 160C76.41 160 80 156.4 80 152v-112c0-13.23 10.78-24 24-24h258.8c6.312 0 12.5 2.562 16.97 7.031l45.25 45.25C429.4 72.75 432 78.94 432 85.25V152C432 156.4 435.6 160 440 160S448 156.4 448 152V85.25c0-10.69-4.156-20.72-11.72-28.28l-45.25-45.25C383.6 4.266 373.3 0 362.8 0H104C81.94 0 64 17.94 64 40v112C64 156.4 67.59 160 72 160zM480 192h-112.9c-9.936 0-19.74 2.312-28.62 6.756l-36.97 18.49C292.6 221.7 282.8 224 272.9 224H239.1C229.2 224 219.4 221.7 210.5 217.2L173.5 198.8C164.6 194.3 154.8 192 144.9 192H32C14.33 192 0 206.3 0 224v32c0 17.67 14.33 32 32 32v168C32 486.9 57.13 512 88 512h336c30.88 0 56-25.12 56-56V288c17.67 0 32-14.33 32-32V224C512 206.3 497.7 192 480 192zM464 456c0 22.06-17.94 40-40 40H88c-22.06 0-40-17.94-40-40V288h416V456zM496 256c0 8.822-7.178 16-16 16H32C23.18 272 16 264.8 16 256V224c0-8.822 7.178-16 16-16h112.9c7.412 0 14.84 1.752 21.47 5.066L203.3 231.6C214.4 237.1 226.8 240 239.1 240h33.78c12.35 0 24.72-2.922 35.78-8.447l36.97-18.49C352.3 209.8 359.7 208 367.1 208H480c8.822 0 16 7.178 16 16V256zM352 448H160c-4.422 0-8 3.594-8 8S155.6 464 160 464h192c4.422 0 8-3.594 8-8S356.4 448 352 448zM160 416c8.836 0 16-7.164 16-16C176 391.2 168.8 384 160 384s-16 7.162-16 16C144 408.8 151.2 416 160 416zM224 416c8.836 0 16-7.164 16-16C240 391.2 232.8 384 224 384s-16 7.162-16 16C208 408.8 215.2 416 224 416zM288 416c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16s-16 7.162-16 16C272 408.8 279.2 416 288 416zM352 416c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16s-16 7.162-16 16C336 408.8 343.2 416 352 416zM128 352c8.836 0 16-7.164 16-16C144 327.2 136.8 320 128 320s-16 7.162-16 16C112 344.8 119.2 352 128 352zM192 352c8.836 0 16-7.164 16-16C208 327.2 200.8 320 192 320s-16 7.162-16 16C176 344.8 183.2 352 192 352zM256 352c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16s-16 7.162-16 16C240 344.8 247.2 352 256 352zM320 352c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16s-16 7.162-16 16C304 344.8 311.2 352 320 352zM384 352c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16s-16 7.162-16 16C368 344.8 375.2 352 384 352z"],
    "u": [384, 512, [117], "55", "M192 480c-105.9 0-192-86.13-192-192V40C0 35.59 3.578 32 8 32S16 35.59 16 40V288c0 97.03 78.95 176 176 176s176-78.97 176-176V40C368 35.59 371.6 32 376 32S384 35.59 384 40V288C384 393.9 297.9 480 192 480z"],
    "ufo": [640, 512, [128760], "e047", "M168 236.7L162.2 242.2C160.1 240.9 160.2 239.2 160 237.4C151.6 139.7 229.1 64 320 64C410.9 64 488.4 139.7 479.1 237.4C479.8 239.2 479 240.9 477.8 242.2L472 236.7C477.8 242.2 477.8 242.2 477.8 242.2L477.7 242.2L477.7 242.3L477.5 242.4L477 242.9C476.6 243.3 476 243.9 475.3 244.5C473.8 245.9 471.5 247.7 468.5 249.9C462.4 254.3 453.3 259.1 440.7 265.6C415.5 276.9 376.4 288 320 288C263.6 288 224.5 276.9 199.3 265.6C186.7 259.1 177.6 254.3 171.5 249.9C168.5 247.7 166.2 245.9 164.7 244.5C163.1 243.9 163.4 243.3 162.1 242.9L162.5 242.4L162.3 242.3L162.3 242.2L162.2 242.2C162.2 242.2 162.2 242.2 167.1 236.7L168 236.7zM464.3 232.9C469.1 146.7 401.1 80 320 80C238.9 80 170 146.7 175.7 232.9C176.9 233.9 178.6 235.3 180.9 236.1C186.1 240.7 194.2 245.9 205.8 251C228.9 261.4 265.8 272 320 272C374.2 272 411.1 261.4 434.2 251C445.8 245.8 453.9 240.7 459.1 236.1C461.4 235.3 463.1 233.9 464.3 232.9V232.9zM96 312C96 294.3 110.3 280 128 280C145.7 280 160 294.3 160 312C160 329.7 145.7 344 128 344C110.3 344 96 329.7 96 312zM128 296C119.2 296 112 303.2 112 312C112 320.8 119.2 328 128 328C136.8 328 144 320.8 144 312C144 303.2 136.8 296 128 296zM288 360C288 342.3 302.3 328 320 328C337.7 328 352 342.3 352 360C352 377.7 337.7 392 320 392C302.3 392 288 377.7 288 360zM320 344C311.2 344 304 351.2 304 360C304 368.8 311.2 376 320 376C328.8 376 336 368.8 336 360C336 351.2 328.8 344 320 344zM544 312C544 329.7 529.7 344 512 344C494.3 344 480 329.7 480 312C480 294.3 494.3 280 512 280C529.7 280 544 294.3 544 312zM512 328C520.8 328 528 320.8 528 312C528 303.2 520.8 296 512 296C503.2 296 496 303.2 496 312C496 320.8 503.2 328 512 328zM45.87 249.4C26.04 266.8 16 285.3 16 303.1C16 320.1 23.46 336.1 38.26 351.4C53.1 366.7 74.95 380.8 102.6 392.8C157.8 416.9 234.7 432 320 432C405.3 432 482.2 416.9 537.4 392.8C565 380.8 586.9 366.7 601.7 351.4C616.5 336.1 624 320.1 624 303.1C624 285.3 613.1 266.8 594.1 249.4C574.3 232.1 545.3 216.6 509.4 204.4C505.2 202.9 503 198.4 504.4 194.2C505.9 190 510.4 187.8 514.6 189.2C551.7 201.9 582.7 218.2 604.7 237.4C626.6 256.5 640 279.1 640 303.1C640 325.4 630 345.2 613.2 362.5C596.5 379.8 572.6 394.9 543.8 407.5C486.1 432.6 406.1 448 320 448C233 448 153.9 432.6 96.19 407.5C67.35 394.9 43.52 379.8 26.78 362.5C9.1 345.2 0 325.4 0 303.1C0 279.1 13.44 256.5 35.34 237.4C57.25 218.2 88.29 201.9 125.4 189.2C129.6 187.8 134.1 190 135.6 194.2C136.1 198.4 134.8 202.9 130.6 204.4C94.66 216.6 65.7 232.1 45.87 249.4H45.87z"],
    "ufo-beam": [576, 512, [], "e048", "M304 256C304 264.8 296.8 272 288 272C279.2 272 272 264.8 272 256C272 247.2 279.2 240 288 240C296.8 240 304 247.2 304 256zM80 192C80 183.2 87.16 176 96 176C104.8 176 112 183.2 112 192C112 200.8 104.8 208 96 208C87.16 208 80 200.8 80 192V192zM496 192C496 200.8 488.8 208 480 208C471.2 208 464 200.8 464 192C464 183.2 471.2 176 480 176C488.8 176 496 183.2 496 192zM431.3 97.52C472.3 107.1 507.3 120.7 532.5 137.3C558.7 154.5 576 176.2 576 201.1C576 219.3 566.6 235.9 551.5 250.1C536.3 264.3 514.8 276.7 488.9 286.9C437.1 307.5 366.1 320 288 320C209.9 320 138.9 307.5 87.06 286.9C61.18 276.7 39.69 264.3 24.54 250.1C9.371 235.9 .0003 219.3 .0003 201.1C.0003 176.2 17.31 154.5 43.49 137.3C68.71 120.7 103.7 107.1 144.7 97.52C166 39.46 223.6 0 288 0C352.4 0 409.1 39.46 431.3 97.52V97.52zM136.6 160.7C135.2 144.8 136.3 129.6 139.5 115.2C103.6 124.3 73.7 136.5 52.29 150.6C27.82 166.8 16 184.2 16 201.1C16 213.4 22.3 226.1 35.47 238.4C48.66 250.8 68.18 262.3 92.96 272.1C142.5 291.7 211.4 304 288 304C364.6 304 433.5 291.7 483 272.1C507.8 262.3 527.3 250.8 540.5 238.4C553.7 226.1 560 213.4 560 201.1C560 184.2 548.2 166.8 523.7 150.6C502.3 136.5 472.4 124.3 436.5 115.2C439.7 129.6 440.8 144.8 439.4 160.7C439.2 162.5 438.4 164.3 437.1 165.6L431.4 160C437.2 165.6 437.2 165.6 437.1 165.6L437.1 165.6L437.1 165.7L436.9 165.8L436.4 166.3C436.1 166.7 435.5 167.2 434.8 167.8C433.3 169 431.2 170.8 428.3 172.8C422.6 176.8 413.1 182.1 402 187.3C378.2 197.8 341.2 208 287.1 208C234.8 208 197.8 197.8 173.1 187.3C162 182.1 153.4 176.8 147.7 172.8C144.8 170.8 142.7 169 141.2 167.8C140.5 167.2 139.9 166.7 139.6 166.3L139.1 165.8L138.9 165.7L138.9 165.6L138.8 165.6C138.8 165.6 138.8 165.6 144.6 160L138.8 165.6C137.6 164.3 136.8 162.5 136.6 160.7H136.6zM152.3 156.2C153.4 157.1 154.9 158.3 156.9 159.7C161.8 163.2 169.5 167.9 180.4 172.7C202.1 182.2 236.9 192 288 192C339.1 192 373.9 182.2 395.6 172.7C406.5 167.9 414.2 163.2 419.1 159.7C421.1 158.3 422.6 157.1 423.7 156.2C428.9 77.3 364.4 16 288 16C211.6 16 147.1 77.3 152.3 156.2H152.3zM14.92 508C12.71 511.8 7.816 513.1 3.992 510.9C.1683 508.7-1.137 503.8 1.077 499.1L89.08 347.1C91.29 344.2 96.18 342.9 100 345.1C103.8 347.3 105.1 352.2 102.9 356L14.92 508zM574.9 499.1C577.1 503.8 575.8 508.7 572 510.9C568.2 513.1 563.3 511.8 561.1 508L473.1 356C470.9 352.2 472.2 347.3 475.1 345.1C479.8 342.9 484.7 344.2 486.9 347.1L574.9 499.1z"],
    "umbrella": [576, 512, [], "f0e9", "M287.1 288c-4.406 0-8.001 3.618-8.001 8.024V452c0 24.25-19.75 44-44 44s-44-19.75-44-44V424c0-4.406-3.594-8-8-8s-8 3.594-8 8v28c0 33.09 26.91 60 60 60s60-26.91 60-60V296.1C295.1 291.7 292.4 288 287.1 288zM575.7 280.9c-30.61-145.1-156.4-229.1-279.8-232.5C295.9 48.2 295.1 48.13 295.1 48V8c0-4.406-3.593-7.1-7.1-7.1S279.1 3.594 279.1 8l.0605 40.15c0 .1133-.0039-.1133 0 0C185.6 51.15 37.03 109.3 .2949 280.9C-1.316 288.2 3.887 296.1 10.75 296.1c2.598 0 5.432-1.126 8.229-3.845c22.38-23.67 45.45-36.68 68.52-36.68c30.54 0 61.08 22.76 90.08 73.68c2.592 4.637 6.203 6.794 9.781 6.794c3.756 0 7.473-2.378 9.938-6.794C217.5 293.9 242.2 256 287.1 256c58.5 0 88.19 68.82 90.69 73.2c2.465 4.416 6.184 6.794 9.938 6.794c3.578 0 7.189-2.157 9.781-6.794c28.1-50.89 59.65-73.46 90.16-73.46c23.15-.002 46.22 12.99 68.45 36.46c2.834 2.748 5.689 3.886 8.295 3.886C572.2 296.1 577.3 288.2 575.7 280.9zM488.6 239.8C452.2 239.8 418.7 264.6 388.8 313.1c-25.47-47.74-61.08-73.91-100.8-73.91c-53.84 0-82.72 43.52-100.6 74.3c-29.89-49.63-63.47-74.79-99.9-74.79c-22.95 0-45.85 10.11-68.04 29.86C62.24 107.4 212.5 64 287.1 64c105.2 0 231.6 64.42 268.6 205.6C534.3 249.8 511.5 239.8 488.6 239.8z"],
    "umbrella-beach": [640, 512, [127958], "f5ca", "M396.8 4.461C274.1-16.63 155.7 38.39 101.9 141.3c-2.213 4.291-.207 9.621 4.436 11.28l517.6 181.4c6.598 2.121 10.04-3.602 10.52-5.873C665.1 181.6 558.9 32.31 396.8 4.461zM120.6 140.5C171.9 50.89 277.5 3.24 387.3 19.54c-51.88 18.99-106.1 79.88-143.4 164.2L120.6 140.5zM482.2 267.2L259 188.6c42.06-94.11 107.3-159.5 160.5-159.1C518.3 33.13 500.2 199.4 482.2 267.2zM620.6 315.8l-123.4-43.24c24.4-90.94 19.1-171.8-8.609-218.3C584.2 108.6 638.5 212.7 620.6 315.8zM568 496H275.6l79.95-213.2c1.531-4.125-.5625-8.75-4.688-10.31c-4.219-1.562-8.75 .5313-10.31 4.688L258.4 496H8C3.594 496 0 499.6 0 504C0 508.4 3.594 512 8 512h560c4.406 0 8-3.578 8-8C576 499.6 572.4 496 568 496z"],
    "umbrella-simple": [512, 512, ["umbrella-alt"], "e2bc", "M255.1 320c-4.406 0-8.001 3.594-8.001 8v124c0 24.25-19.75 44-44 44s-44-19.75-44-44V424c0-4.406-3.594-8-8-8s-8 3.594-8 8v28c0 33.09 26.91 60 60 60s60-26.91 60-60V328C263.1 323.6 260.4 320 255.1 320zM263.1 8c0-4.406-3.592-8-7.999-8S247.1 3.594 247.1 8V32h16V8zM256 32C114.8 32 0 143.3 0 280C0 284.4 3.594 288 8 288h496C508.4 288 512 284.4 512 280C512 143.3 397.2 32 256 32zM16.16 272C20.53 147.8 126.4 48 256 48s235.5 99.75 239.8 224H16.16z"],
    "underline": [448, 512, [], "f0cd", "M8 16h64v216c0 83.81 68.19 152 152 152S376 315.8 376 232V16h64C444.4 16 448 12.42 448 8S444.4 0 440 0h-144C291.6 0 288 3.578 288 8s3.594 8 8 8h64v216c0 74.98-61 136-136 136S88 306.1 88 232V16h64C156.4 16 160 12.42 160 8S156.4 0 152 0h-144C3.594 0 0 3.578 0 8S3.594 16 8 16zM440 496H8C3.594 496 0 499.6 0 504S3.594 512 8 512h432c4.406 0 8-3.578 8-8S444.4 496 440 496z"],
    "unicorn": [640, 512, [129412], "f727", "M463.1 64.69c-8.836 0-16 7.164-16 16s7.164 16 16 16s16-7.164 16-16S472.8 64.69 463.1 64.69zM632 32h-93.39c2.158-4.162 4.121-8.436 5.061-13.08c.9375-4.625-.25-9.406-3.281-13.09C537.4 2.125 532.9 0 528.2 0h-124.4c-68.94 0-127.6 57.83-131.8 128H160C131.7 128 106.6 140.5 88.98 160H71.1c-39.69 0-72 32.3-72 72v80c0 4.422 3.594 8 8 8s8-3.578 8-8v-80c0-30.88 25.12-56 56-56l5.253 .1465c-8.246 14.17-13.25 30.28-13.25 47.86c0 29.42 13.52 55.43 34.37 73.04L87.25 318.8c-19.69 38.42-23.25 45.36-23.25 62.09c0 4.906 .9063 12.38 2.094 16.98l23.97 95.95C92.62 504 102.9 512 113.3 512h62.66c7.438 0 14.34-3.359 18.91-9.234c4.562-5.859 6.156-13.36 4.219-21.05l-30.53-97.03l27.69-55.38l83.72 28.94V488c0 13.23 10.79 24 24 24h55.1c13.22 0 24-10.77 24-24v-160.9c19.51-17.57 31.1-42.82 31.1-71.14c0-.0352 0 .0352 0 0l.0039-104l5.688 2.031l16.88 33.61c6.797 13.51 20.69 21.52 35.07 21.52c4.801 0 9.648-.8906 14.31-2.766l31.53-12.61c13.75-5.484 24.5-21.41 24.5-36.23l-.0605-72.11l91.15-37.98c3.531-1.469 5.531-5.219 4.781-8.953C639.1 34.69 635.8 32 632 32zM513.5 178.9l-31.57 12.62c-11.07 4.461-23.87-.6836-29.1-11.09l-16.88-33.61c-3.328-6.625-18.72-15.31-29.2-7.93c-4.25 2.996-6.781 7.875-6.781 13.08c0 0-.0078 104.3 0 104.5c-.1172 22.5-9.59 43.37-26.71 58.79c-3.367 3.039-5.289 7.359-5.289 11.89V488c0 4.41-3.59 8-8 8h-56c-4.414 0-8-3.59-8-8v-129.8c0-7.344-4.996-13.74-12.12-15.52L200.2 313.8c-6.375-1.594-14.45 .8672-18.2 8.367l-27.69 55.38c-1.852 3.711-2.195 8-.9492 11.96l30.28 96.14C185.2 491.8 180.7 496 175.1 496H113.3c-3.148 0-6.992-3.004-7.758-6.035l-24-96.07c-.8438-3.281-1.586-9.355-1.586-12.99c0-12.5 1.816-16.4 21.5-54.82l11.12-21.77C115.1 297.7 114.4 289.6 108.7 284.8C90.46 269.4 79.1 247.2 79.1 224c0-44.11 35.89-80 80-80h128V128.8C291.8 66.58 343.7 16 403.7 16h124.2c-1.602 7.621-5.773 14.54-12.07 20.02c-7.695 6.688-6.594 17.27-1.152 23.05c7.094 7.531 13.18 12.34 13.18 23.16l.0625 75.27C527.1 165.8 521.2 175.8 513.5 178.9zM541.4 69.07c-1.768-4.934-4.336-9.555-7.988-13.48l-7.023-7.547c.0313-.0273-.0313 .0273 0 0L591.1 48L541.4 69.07z"],
    "uniform-martial-arts": [640, 512, [], "e3d1", "M456 392c-4.406 0-8 3.578-8 8v72c0 13.23-10.78 24-24 24h-208C202.8 496 192 485.2 192 472V400c0-4.422-3.594-8-8-8S176 395.6 176 400v72C176 494.1 193.9 512 216 512h208c22.06 0 40-17.94 40-40V400C464 395.6 460.4 392 456 392zM464 352h-288c-4.406 0-8 3.578-8 8S171.6 368 176 368h127.3l-53.6 67C247 438.5 247.6 443.5 251 446.3C252.5 447.4 254.3 448 256 448c2.344 0 4.656-1.031 6.25-3L320 372.8l57.75 72.19C379.3 446.1 381.7 448 384 448c1.75 0 3.531-.5781 5-1.75c3.438-2.766 4-7.797 1.25-11.25L336.7 368H464c4.406 0 8-3.578 8-8S468.4 352 464 352zM608.7 173.7l-71.03-126.8C521.5 17.95 490.8 0 457.7 0H182.3C149.2 0 118.5 17.95 102.3 46.88L31.31 173.7C21.28 191.5 16 211.8 16 232.3V376C16 398.1 33.94 416 56 416h32C110.1 416 128 398.1 128 376V246.1l48-81.61V320c0 4.422 3.594 8 8 8S192 324.4 192 320V136c0-3.609-2.406-6.766-5.906-7.719c-3.531-.9844-7.188 .5469-9 3.656l-64 108.8C112.4 241.1 112 243.4 112 244.8V376c0 13.23-10.78 24-24 24h-32C42.78 400 32 389.2 32 376V232.3C32 214.5 36.59 196.1 45.25 181.5l71.03-126.8C129.7 30.83 154.1 16 182.3 16h52.84l76.74 145.8L248.9 284.3c-2 3.922-.4687 8.75 3.469 10.77c3.812 1.984 8.719 .5 10.78-3.453L404.9 16h52.81c27.34 0 52.66 14.83 66.03 38.69l71.03 126.8C603.4 196.1 608 214.5 608 232.3V376c0 13.23-10.78 24-24 24h-32c-13.22 0-24-10.77-24-24V244.1c0-1.438-.375-2.844-1.125-4.078l-64-108.1c-1.812-3.078-5.375-4.594-9-3.641C450.4 129.2 448 132.4 448 136V320c0 4.422 3.594 8 8 8S464 324.4 464 320V165.2L512 246.3V376c0 22.06 17.94 40 40 40h32c22.06 0 40-17.94 40-40V232.3C624 211.8 618.7 191.5 608.7 173.7zM320.8 144.4L253.3 16h133.6L320.8 144.4z"],
    "union": [384, 512, [8899], "f6a2", "M352 40V320c0 88.22-71.78 160-160 160S32 408.2 32 320V40C32 35.59 35.59 32 40 32S48 35.59 48 40V320c0 79.41 64.59 144 144 144s144-64.59 144-144V40C336 35.59 339.6 32 344 32S352 35.59 352 40z"],
    "universal-access": [512, 512, [], "f29a", "M256 184c26.51 0 48-21.49 48-48s-21.49-48-48-48s-48 21.49-48 48S229.5 184 256 184zM256 104c17.64 0 32 14.36 32 32s-14.36 32-32 32s-32-14.36-32-32S238.4 104 256 104zM365.3 184.5l-25.84 9.219c-53.06 18.94-113.9 18.94-166.9 0L146.7 184.5c-4-1.469-8.75 .6562-10.22 4.844c-1.5 4.156 .6875 8.75 4.844 10.22l25.84 9.219C183.1 214.4 199.4 218.4 216 220.9v89.77l-31.59 94.78c-1.406 4.188 .875 8.719 5.062 10.12c4.25 1.438 8.719-.8438 10.12-5.062L229.8 320h52.44l30.19 90.53C313.5 413.9 316.7 416 320 416c.8438 0 1.688-.125 2.531-.4062c4.188-1.406 6.469-5.938 5.062-10.12L296 310.7V220.9c16.55-2.531 32.93-6.479 48.84-12.17l25.84-9.219c4.156-1.469 6.344-6.062 4.844-10.22C374.1 185.1 369.4 183 365.3 184.5zM280 304h-48V222.1C239.1 223.7 247.1 224.1 256 224.1c8.01 0 16.02-.4219 24-1.148V304zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "unlock": [448, 512, [128275], "f09c", "M112 192H384C419.3 192 448 220.7 448 256V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V256C0 220.7 28.65 192 64 192H96V128C96 57.31 153.3 0 224 0C282.9 0 332.5 39.75 347.4 93.87C348.6 98.13 346.1 102.5 341.8 103.7C337.6 104.9 333.1 102.4 331.1 98.13C318.9 50.77 275.5 16 224 16C162.1 16 112 66.14 112 128V192zM64 208C37.49 208 16 229.5 16 256V448C16 474.5 37.49 496 64 496H384C410.5 496 432 474.5 432 448V256C432 229.5 410.5 208 384 208H64z"],
    "unlock-keyhole": [448, 512, ["unlock-alt"], "f13e", "M256 320C273.7 320 288 334.3 288 352C288 369.7 273.7 384 256 384H192C174.3 384 160 369.7 160 352C160 334.3 174.3 320 192 320H256zM256 336H192C183.2 336 176 343.2 176 352C176 360.8 183.2 368 192 368H256C264.8 368 272 360.8 272 352C272 343.2 264.8 336 256 336zM224 16C162.1 16 112 66.14 112 128V192H384C419.3 192 448 220.7 448 256V448C448 483.3 419.3 512 384 512H64C28.65 512 0 483.3 0 448V256C0 220.7 28.65 192 64 192H96V128C96 57.31 153.3 0 224 0C282.9 0 332.5 39.75 347.4 93.87C348.6 98.13 346.1 102.5 341.8 103.7C337.6 104.9 333.1 102.4 331.1 98.13C318.9 50.77 275.5 16 224 16zM16 256V448C16 474.5 37.49 496 64 496H384C410.5 496 432 474.5 432 448V256C432 229.5 410.5 208 384 208H64C37.49 208 16 229.5 16 256z"],
    "up": [384, 512, ["arrow-alt-up"], "f357", "M256 448V256h96c12.94 0 24.61-7.797 29.56-19.75c1.641-3.963 2.438-8.123 2.438-12.25c0-8.326-3.25-16.51-9.375-22.63l-160-160C208.4 35.13 200.2 32 192 32S175.6 35.13 169.4 41.38l-159.1 160C3.252 207.5 .0001 215.7 .0001 224c0 4.123 .7968 8.281 2.437 12.25C7.391 248.2 19.06 256 32 256H128v192c0 17.67 14.33 32 32 32h64C241.7 480 256 465.7 256 448zM160 464c-8.822 0-16-7.178-16-16V240h-111.1c-6.492 0-12.29-3.877-14.78-9.867c-.8105-1.959-1.223-4.021-1.223-6.129c0-4.273 1.666-8.291 4.689-11.31l160-160C183.7 49.67 187.7 48 192 48c4.271 0 8.289 1.666 11.31 4.689l160 160C366.3 215.7 368 219.7 368 224c0 2.107-.4102 4.17-1.219 6.121C364.3 236.1 358.5 240 351.1 240h-111.1V448c0 8.822-7.178 16-15.1 16H160z"],
    "up-down": [256, 512, [11021, 8597, "arrows-alt-v"], "f338", "M121.8 2.867l-120 144C-.1405 149.2-.5155 152.6 .7345 155.4c1.312 2.812 4.156 4.609 7.25 4.609h112l.0078 192H7.992c-3.094 0-5.938 1.797-7.25 4.609c-1.312 2.797-.875 6.125 1.094 8.516l120 144c1.531 1.812 3.781 2.879 6.156 2.879s4.625-1.066 6.156-2.879l120-144c1.219-1.469 1.844-3.281 1.844-5.125c0-1.156-.25-2.312-.75-3.391c-1.312-2.812-4.156-4.609-7.25-4.609h-112l-.0078-192h112c3.094 0 5.938-1.797 7.25-4.609c.5-1.078 .75-2.234 .75-3.391c0-1.844-.625-3.656-1.844-5.125l-120-144C132.6 1.055 130.4-.004 127.1-.004S123.4 1.055 121.8 2.867zM230.9 367.1l-102.9 123.5l-102.9-123.5H230.9zM230.9 143.1H25.08l102.9-123.5L230.9 143.1z"],
    "up-down-left-right": [512, 512, ["arrows-alt"], "f0b2", "M505.6 240.3L421.3 154.5C416.8 150 411.4 148 405.1 148C394.8 148 384 156.9 384 170.3V248h-120V128h77.75c19.78 0 29.69-23.52 15.7-37.28l-85.75-84.32c-4.338-4.266-10.02-6.395-15.71-6.395s-11.36 2.129-15.7 6.395L154.5 90.72C140.6 104.5 150.5 128 170.2 128H248v120H128V170.3C128 156.9 117.2 148 106 148c-5.367 0-10.84 2.023-15.29 6.547L6.396 240.3C2.133 244.6 0 250.3 0 256s2.133 11.36 6.396 15.7l84.33 85.75C95.17 361.1 100.6 364 106 364C117.2 364 128 355.1 128 341.8V264h120V384H170.2c-19.78 0-29.69 23.52-15.7 37.28l85.75 84.32c4.338 4.266 10.02 6.4 15.7 6.4s11.37-2.135 15.7-6.4l85.75-84.32C371.4 407.5 361.5 384 341.8 384H264V264H384v77.75C384 355.1 394.8 364 405.1 364c5.365 0 10.83-2.023 15.28-6.547l84.33-85.75C509.9 267.4 512 261.7 512 256S509.9 244.6 505.6 240.3zM170.2 112c-3.705 0-5.219-2.352-5.793-3.75C163.8 106.7 163.5 104.3 165.8 102.1l85.75-84.33C253.1 16.23 255 16 256 16s2.887 .2344 4.482 1.805l85.75 84.33c2.25 2.211 1.955 4.547 1.312 6.117C346.1 109.6 345.5 112 341.8 112H170.2zM112 341.8C112 346.3 108.3 348 106 348c-1.439 0-2.707-.5781-3.877-1.766L17.81 260.5C16.24 258.9 16 256.1 16 256s.2363-2.883 1.805-4.484l84.33-85.75C103.3 164.6 104.6 164 106 164C108.3 164 112 165.7 112 170.3V341.8zM341.8 400c3.705 0 5.221 2.352 5.793 3.75c.6426 1.57 .9375 3.906-1.312 6.117l-85.75 84.33C258.9 495.8 256.1 496 256 496s-2.885-.2344-4.482-1.805l-85.75-84.33c-2.248-2.211-1.955-4.547-1.312-6.117C165 402.4 166.5 400 170.2 400H341.8zM494.2 260.5l-84.33 85.75C408.7 347.4 407.4 348 405.1 348C403.7 348 400 346.3 400 341.8v-171.5C400 165.7 403.7 164 405.1 164c1.438 0 2.707 .5781 3.875 1.766l84.32 85.75C495.8 253.1 496 255 496 256S495.8 258.9 494.2 260.5z"],
    "up-from-bracket": [448, 512, [], "e590", "M408 512H40C17.94 512 0 494.1 0 472V392C0 387.6 3.578 384 8 384C12.42 384 16 387.6 16 392V472C16 485.2 26.77 496 40 496H408C421.2 496 432 485.2 432 472V392C432 387.6 435.6 384 440 384C444.4 384 448 387.6 448 392V472C448 494.1 430.1 512 408 512zM224 0C232.2 0 240.4 3.125 246.6 9.375L374.6 137.4C383.8 146.5 386.5 160.3 381.6 172.2C376.6 184.2 364.9 192 352 192L288 191.9L288 352C288 369.7 273.7 384 256 384H192C174.3 384 160 369.7 160 352L159.1 191.9L96 192C83.06 192 71.38 184.2 66.44 172.2C61.47 160.3 64.22 146.5 73.38 137.4L201.4 9.375C207.6 3.125 215.8 0 224 0V0zM224 16C219.7 16 215.7 17.67 212.7 20.69L84.69 148.7C80.09 153.3 78.73 160.1 81.22 166.1C83.7 172.1 89.5 176 96 176H176V352C176 360.8 183.2 368 192 368H256C264.8 368 272 360.8 272 352V176H352C358.5 176 364.3 172.1 366.8 166.1C369.3 160.1 367.9 153.3 363.3 148.7L235.3 20.69C232.3 17.67 228.3 16 224 16L224 16z"],
    "up-from-dotted-line": [448, 512, [], "e456", "M73.23 183.5L206.6 43.08C216.1 33.12 231.9 33.12 241.4 43.08L374.8 183.5C389.3 198.8 378.5 223.1 357.4 223.1H288V351.1C288 369.7 273.7 383.1 256 383.1H192C174.3 383.1 160 369.7 160 351.1V223.1H90.63C69.55 223.1 58.71 198.8 73.23 183.5zM176 207.1V351.1C176 360.8 183.2 367.1 192 367.1H256C264.8 367.1 272 360.8 272 351.1V207.1H357.4C364.4 207.1 368 199.6 363.2 194.5L229.8 54.1C226.6 50.78 221.4 50.78 218.2 54.1L84.83 194.5C79.99 199.6 83.61 207.1 90.63 207.1H176zM432 448C432 456.8 424.8 464 416 464C407.2 464 400 456.8 400 448C400 439.2 407.2 432 416 432C424.8 432 432 439.2 432 448zM48 447.1C48 456.8 40.84 463.1 32 463.1C23.16 463.1 16 456.8 16 447.1C16 439.2 23.16 431.1 32 431.1C40.84 431.1 48 439.2 48 447.1zM144 447.1C144 456.8 136.8 463.1 128 463.1C119.2 463.1 112 456.8 112 447.1C112 439.2 119.2 431.1 128 431.1C136.8 431.1 144 439.2 144 447.1zM208 447.1C208 439.2 215.2 431.1 224 431.1C232.8 431.1 240 439.2 240 447.1C240 456.8 232.8 463.1 224 463.1C215.2 463.1 208 456.8 208 447.1zM336 447.1C336 456.8 328.8 463.1 320 463.1C311.2 463.1 304 456.8 304 447.1C304 439.2 311.2 431.1 320 431.1C328.8 431.1 336 439.2 336 447.1z"],
    "up-from-line": [384, 512, ["arrow-alt-from-bottom"], "f346", "M8 480h368c4.418 0 8-3.582 8-8s-3.582-8-8-8H8C3.582 464 0 467.6 0 472S3.582 480 8 480zM56 223.8H128v128.1c0 17.69 14.33 32.04 32 32.04h64c17.67 0 32-14.35 32-32.04V223.8h72c9.578 0 18.25-5.708 22.05-14.51c3.781-8.803 1.984-19.03-4.594-26l-136-144.1C204.9 34.4 198.5 32 192 32S179.1 34.4 174.5 39.2l-136 144.1c-6.578 6.973-8.375 17.2-4.594 26C37.75 218.1 46.42 223.8 56 223.8zM50.18 194.3l135.1-144.1C187.5 48.82 189.6 48 192 48s4.527 .8164 5.816 2.184l135.1 144.1c2.201 2.332 2.801 5.75 1.541 8.686C334.1 205.9 331.2 207.8 328 207.8H240v144.1c0 8.836-7.178 16.02-16 16.02H160c-8.822 0-16-7.188-16-16.02V207.8H56c-3.197 0-6.084-1.902-7.346-4.826C47.38 200 47.98 196.6 50.18 194.3z"],
    "up-left": [384, 512, [], "e2bd", "M364.8 338.3l-135.8-135.8l67.88-67.88c9.148-9.148 11.89-22.92 6.939-34.87c-1.642-3.962-4.021-7.467-6.936-10.38C291 83.48 282.9 79.1 274.3 80H47.1c-8.839 0-16.84 3.581-22.63 9.37s-9.369 13.79-9.369 22.63L16 338.3c0 8.659 3.484 16.74 9.372 22.63c2.915 2.915 6.42 5.292 10.38 6.935c11.95 4.95 25.72 2.21 34.87-6.938l67.88-67.88l135.8 135.8c12.5 12.5 32.76 12.5 45.25 0l45.25-45.25C377.3 371 377.3 350.8 364.8 338.3zM308.2 417.5c-6.238 6.238-16.39 6.238-22.63 0L138.5 270.4l-79.2 79.2c-4.591 4.591-11.44 5.952-17.43 3.472c-1.958-.8121-3.708-1.979-5.198-3.469c-3.022-3.022-4.685-7.041-4.685-11.32V111.1c0-4.276 1.663-8.295 4.682-11.31c3.02-3.02 7.039-4.683 11.32-4.683h226.3c4.276 0 8.293 1.664 11.32 4.686c1.49 1.49 2.659 3.239 3.466 5.19c2.483 5.999 1.123 12.84-3.469 17.43l-79.2 79.2l147.1 147.1c6.238 6.238 6.238 16.39 0 22.63L308.2 417.5z"],
    "up-long": [320, 512, ["long-arrow-alt-up"], "f30c", "M24 191.8l72-.1514l-.0009 288.3C96 497.7 110.3 512 128 512h63.1c17.67 0 31.1-14.34 31.1-32.02l-.0011-288.3l72 .1514c9.578 0 18.25-5.709 22.05-14.51c3.781-8.803 1.984-19.03-4.594-26l-135.1-144.1C172.9 2.4 166.5 0 160 0S147.1 2.4 142.5 7.201L6.548 151.3C-.0298 158.3-1.827 168.5 1.955 177.3C5.751 186.1 14.42 191.8 24 191.8zM18.18 162.3l135.1-144.1C155.5 16.82 157.6 16 160 16s4.527 .8164 5.816 2.184l135.1 144.1c2.201 2.332 2.801 5.75 1.541 8.686c-1.271 2.945-4.158 4.848-7.355 4.848h-87.1v304.2c0 8.836-7.178 16.02-15.1 16.02H128c-8.822 0-15.1-7.188-15.1-16.02V175.8H24c-3.197 0-6.084-1.902-7.346-4.826C15.39 168 15.99 164.6 18.18 162.3z"],
    "up-right": [384, 512, [], "e2be", "M18.36 383.5l45.25 45.25c12.5 12.5 32.76 12.5 45.25 0l135.8-135.8l67.88 67.88c9.148 9.148 22.91 11.89 34.87 6.938c3.964-1.643 7.467-4.02 10.38-6.936c5.888-5.888 9.372-13.97 9.372-22.63V111.1c0-8.839-3.58-16.84-9.369-22.63C351.1 83.58 343.1 80 335.1 80H108.9c-8.661-.0014-16.74 3.484-22.63 9.372C83.33 92.29 80.95 95.79 79.31 99.75C74.36 111.7 77.1 125.5 86.24 134.6l67.88 67.88L18.36 338.3C5.864 350.8 5.865 371 18.36 383.5zM29.67 372.2c-6.238-6.238-6.238-16.39 0-22.63l147.1-147.1L97.56 123.3C92.97 118.7 91.6 111.9 94.09 105.9c.8079-1.951 1.976-3.7 3.466-5.19c3.022-3.022 7.039-4.686 11.32-4.686h226.3c4.276 0 8.295 1.663 11.32 4.683c3.019 3.019 4.682 7.038 4.682 11.31v226.3c0 4.276-1.663 8.295-4.685 11.32c-1.49 1.49-3.24 2.657-5.198 3.469c-5.991 2.48-12.84 1.119-17.43-3.472l-79.2-79.2L97.56 417.5c-6.238 6.238-16.39 6.238-22.63 0L29.67 372.2z"],
    "up-right-and-down-left-from-center": [512, 512, ["expand-alt"], "f424", "M492 0h-113.3c-22.59 0-36.25 28.08-18.85 45.47l47.69 47.65l-109.2 109.2c-3.125 3.125-3.125 8.188 0 11.31s8.188 3.125 11.31 0l109.2-109.2L466.5 152C484.4 169.9 512 155.3 512 133.2V19.98C512 8.945 503.1 0 492 0zM496 133.2c0 9.008-11.21 14.52-18.2 7.531L371.2 34.16c-7.195-7.18-1.252-18.18 7.537-18.18h113.3c2.203 0 3.998 1.789 3.998 3.992V133.2zM19.99 512h113.3c22.59 0 36.25-28.08 18.85-45.47l-47.69-47.65l109.2-109.2c3.125-3.125 3.125-8.188 0-11.31C212.1 296.8 210.1 296 208 296S203.9 296.8 202.3 298.3L93.11 407.6L45.5 360C27.61 342.1 0 356.7 0 378.8v113.2C0 503.1 8.949 512 19.99 512zM15.99 378.8c0-9 11.21-14.52 18.2-7.527l106.6 106.5c7.195 7.184 1.252 18.18-7.537 18.18h-113.3c-2.203 0-3.998-1.789-3.998-3.992V378.8z"],
    "up-right-from-square": [512, 512, ["external-link-alt"], "f35d", "M440 279c-4.406 0-8 3.578-8 8V440c0 30.88-25.12 56-56 56h-304c-30.88 0-56-25.12-56-56v-304c0-30.88 25.12-56 56-56h152.3c4.406 0 8-3.578 8-8S228.7 64 224.3 64H72C32.31 64 0 96.3 0 136v304C0 479.7 32.31 512 72 512h304c39.69 0 72-32.3 72-72V287C448 282.6 444.4 279 440 279zM488 0h-142.2c-22.92 0-34.4 27.71-18.19 43.92l64.59 64.59l-229.8 229.8c-3.125 3.125-3.125 8.188 0 11.31C163.9 351.2 165.9 352 168 352s4.094-.7813 5.656-2.344l229.8-229.8l64.59 64.59C473.3 189.7 479.8 192 486.1 192C499.3 192 512 181.7 512 166.2V24C512 10.75 501.3 0 488 0zM496 166.2C496 172.1 490.2 176 486.1 176c-2.516 0-4.766-.9746-6.691-2.898l-140.5-140.5c-4.148-4.148-2.855-8.795-2.109-10.6C337.5 20.2 339.9 16 345.8 16H488c4.41 0 8 3.59 8 8V166.2z"],
    "up-to-dotted-line": [448, 512, [], "e457", "M241.4 123.1L374.8 263.5C389.3 278.8 378.5 304 357.4 304H288V432C288 449.7 273.7 464 256 464H192C174.3 464 160 449.7 160 432V304H90.64C69.55 304 58.71 278.8 73.24 263.5L206.6 123.1C216.1 113.1 231.9 113.1 241.4 123.1V123.1zM90.64 288H176V432C176 440.8 183.2 448 192 448H256C264.8 448 272 440.8 272 432V288H357.4C364.4 288 368 279.6 363.2 274.5L229.8 134.1C226.6 130.8 221.4 130.8 218.2 134.1L84.84 274.5C79.99 279.6 83.61 288 90.64 288zM48 51.61C48 60.45 40.84 67.61 32 67.61C23.16 67.61 16 60.45 16 51.61C16 42.77 23.16 35.61 32 35.61C40.84 35.61 48 42.77 48 51.61V51.61zM400 51.62C400 42.78 407.2 35.62 416 35.62C424.8 35.62 432 42.78 432 51.62C432 60.45 424.8 67.62 416 67.62C407.2 67.62 400 60.45 400 51.62zM336 51.62C336 60.45 328.8 67.62 320 67.62C311.2 67.62 304 60.45 304 51.62C304 42.78 311.2 35.62 320 35.62C328.8 35.62 336 42.78 336 51.62zM208 51.62C208 42.78 215.2 35.62 224 35.62C232.8 35.62 240 42.78 240 51.62C240 60.45 232.8 67.62 224 67.62C215.2 67.62 208 60.45 208 51.62zM144 51.62C144 60.45 136.8 67.62 128 67.62C119.2 67.62 112 60.45 112 51.62C112 42.78 119.2 35.62 128 35.62C136.8 35.62 144 42.78 144 51.62z"],
    "up-to-line": [384, 512, ["arrow-alt-to-top"], "f34d", "M8 48.03h368c4.418 0 8-3.582 8-8s-3.582-8-8-8H8c-4.418 0-8 3.582-8 8S3.582 48.03 8 48.03zM56 319.9L128 319.9v128.1c0 17.69 14.33 32.02 32 32.02h64c17.67 0 32-14.34 32-32.02V319.9l72-.0311c9.578 0 18.25-5.709 22.05-14.51c3.781-8.803 1.984-19.03-4.594-26l-136-144.1C204.9 130.5 198.5 128 192 128S179.1 130.5 174.5 135.3l-136 144.1C31.97 286.3 30.17 296.6 33.95 305.4C37.75 314.2 46.42 319.9 56 319.9zM50.18 290.3l135.1-144.1C187.5 144.9 189.6 144 192 144s4.527 .8164 5.816 2.184l135.1 144.1c2.201 2.332 2.801 5.75 1.541 8.686C334.1 301.1 331.2 303.9 328 303.9H240v144.1c0 8.836-7.178 16.02-16 16.02H160c-8.822 0-16-7.188-16-16.02V303.9H56c-3.197 0-6.084-1.902-7.346-4.826C47.38 296.1 47.98 292.7 50.18 290.3z"],
    "upload": [512, 512, [], "f093", "M480 352h-152C323.6 352 320 355.6 320 360s3.582 8 8 8H480c8.822 0 16 7.178 16 16v96c0 8.822-7.178 16-16 16H32c-8.822 0-16-7.178-16-16v-96c0-8.822 7.178-16 16-16h152C188.4 368 192 364.4 192 360S188.4 352 184 352H32c-17.67 0-32 14.33-32 32v96c0 17.67 14.33 32 32 32h448c17.67 0 32-14.33 32-32v-96C512 366.3 497.7 352 480 352zM464 432c0-17.6-14.4-32-32-32s-32 14.4-32 32c0 17.6 14.4 32 32 32S464 449.6 464 432zM416 432c0-8.822 7.178-16 16-16s16 7.178 16 16S440.8 448 432 448S416 440.8 416 432zM109.7 165.7L248 27.31V408C248 412.4 251.6 416 256 416s8-3.594 8-8V27.31l138.3 138.3c3.125 3.125 8.188 3.125 11.31 0s3.125-8.188 0-11.31l-152-152c-3.125-3.125-8.188-3.125-11.31 0l-152 152C96.78 155.9 96 157.9 96 160s.7813 4.094 2.344 5.656C101.5 168.8 106.5 168.8 109.7 165.7z"],
    "usb-drive": [640, 512, [], "f8e9", "M416 96L64 96c-35.35 0-64 28.65-64 64v192c0 35.35 28.65 64 64 64L416 416c17.67 0 32-14.33 32-32V128C448 110.3 433.7 96 416 96zM432 384c0 8.822-7.178 16-16 16H64c-26.47 0-48-21.53-48-48V160c0-26.47 21.53-48 48-48h352c8.822 0 16 7.178 16 16V384zM600 128h-112C483.6 128 480 131.6 480 136s3.578 8 8 8h112c13.23 0 24 10.78 24 24v176c0 13.22-10.77 24-24 24h-112c-4.422 0-8 3.594-8 8S483.6 384 488 384h112c22.06 0 40-17.94 40-40v-176C640 145.9 622.1 128 600 128zM544 240h32c8.836 0 16-7.164 16-16V192c0-8.838-7.164-16-16-16h-32c-8.836 0-16 7.162-16 16v32C528 232.8 535.2 240 544 240zM544 192h32v32h-32V192zM528 320c0 8.836 7.164 16 16 16h32c8.836 0 16-7.164 16-16V288c0-8.838-7.164-16-16-16h-32c-8.836 0-16 7.162-16 16V320zM544 288h32v32h-32V288z"],
    "user": [448, 512, [62144, 128100], "f007", "M224 256c70.7 0 128-57.31 128-128s-57.3-128-128-128C153.3 0 96 57.31 96 128S153.3 256 224 256zM224 16c61.76 0 112 50.24 112 112c0 61.76-50.24 112-112 112S112 189.8 112 128C112 66.24 162.2 16 224 16zM274.7 304H173.3C77.61 304 0 381.6 0 477.3c0 19.14 15.52 34.67 34.66 34.67h378.7C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM413.3 496H34.67C24.37 496 16 487.6 16 477.3C16 390.6 86.58 320 173.3 320h101.3C361.4 320 432 390.6 432 477.3C432 487.6 423.6 496 413.3 496z"],
    "user-alien": [448, 512, [], "e04a", "M252 256h24C309.1 256 336 229.1 336 196v-8c0-6.625-5.375-12-12-12h-24c-33.13 0-60 26.88-60 60v8C240 250.6 245.4 256 252 256zM256 236C256 211.7 275.7 192 300 192H320v4C320 220.3 300.3 240 276 240H256V236zM196 256C202.6 256 208 250.6 208 244v-8C208 202.9 181.1 176 148 176h-24C117.4 176 112 181.4 112 188v8C112 229.1 138.9 256 172 256H196zM128 196V192h20C172.3 192 192 211.7 192 236V240H172C147.7 240 128 220.3 128 196zM206.7 378.1C211.8 382 217.9 383.1 224 383.1c6.08 0 12.16-1.957 17.27-5.873C282.6 346.3 384 259.6 384 173.6C384 65.83 312.3 0 224 0C135.6 0 64 65.83 64 173.6C64 259.6 165.4 346.3 206.7 378.1zM224 16c84.79 0 144 64.82 144 157.6c0 80.61-104.5 167.2-136.5 191.8C229.3 367.1 226.7 367.1 224 367.1s-5.344-.8906-7.52-2.557C184.5 340.8 80 254.2 80 173.6C80 80.82 139.2 16 224 16zM316.5 352c-4.188 .3438-8.109 3.312-8.281 7.719C308.1 364.1 311.5 367.8 315.1 368C381 370.3 432 419.5 432 479.9C432 488.8 424 496 414.3 496H33.72C23.95 496 16 488.8 16 479.9C16 419.5 66.97 370.3 132 368c4.422-.1562 7.875-3.875 7.719-8.281C139.6 355.3 135.4 351.8 131.5 352C57.75 354.6 0 410.8 0 479.1C0 497.7 15.13 512 33.72 512h380.6C432.9 512 448 497.7 448 479.1C448 410.8 390.3 354.6 316.5 352z"],
    "user-astronaut": [448, 512, [], "f4fb", "M349.2 308.8c-3.01-1.551-6.711-.9043-9.105 1.49c-3.711 3.709-2.824 10.01 1.84 12.41c54.6 28.11 90.25 85.07 90.04 147.3C431.9 484.4 419.8 496 405.3 496H336V448c0-26.51-21.49-48-48-48H160c-26.51 0-48 21.49-48 48v48H42.66c-14.49 0-26.61-11.6-26.65-26.1c-.2148-62.18 35.43-119.1 90.04-147.2c4.664-2.402 5.553-8.697 1.842-12.41C105.5 307.9 101.8 307.2 98.78 308.8C39.01 339.6-.1738 401.7 0 469.8C.0605 493.2 19.29 512 42.66 512H120C124.4 512 128 508.4 128 504V448c0-17.6 14.4-32 32-32h128c17.6 0 32 14.4 32 32v56c0 4.418 3.582 8 8 8h77.34C428.7 512 447.9 493.2 448 469.8C448.2 401.7 409 339.6 349.2 308.8zM184 448c-4.438 0-8 3.562-8 8v48C176 508.4 179.6 512 184 512S192 508.4 192 504v-48C192 451.6 188.4 448 184 448zM272 448c-8.875 0-16 7.125-16 16s7.125 16 16 16s16-7.125 16-16S280.9 448 272 448zM152 168h16v16C168 188.4 171.6 192 176 192s8-3.594 8-8v-16h16C204.4 168 208 164.4 208 160S204.4 152 200 152h-16v-16C184 131.6 180.4 128 176 128S168 131.6 168 136v16h-16C147.6 152 144 155.6 144 160S147.6 168 152 168zM408 224C412.4 224 416 220.4 416 216v-112C416 99.59 412.4 96 408 96S400 99.59 400 104v112C400 220.4 403.6 224 408 224zM200 256h48c53 0 96-43 96-96V136c0-22.12-21.5-40-48-40h-144c-26.5 0-48 17.88-48 40V160C104 213 147 256 200 256zM120 136c0-13.01 14.65-24 32-24h144c17.35 0 32 10.99 32 24V160c0 44.11-35.89 80-80 80h-48c-44.11 0-80-35.89-80-80V136zM40 224C44.41 224 48 220.4 48 216v-112C48 99.59 44.41 96 40 96S32 99.59 32 104v112C32 220.4 35.59 224 40 224zM224 320c88.37 0 160-71.63 160-160s-71.63-160-160-160S64 71.63 64 160S135.6 320 224 320zM224 16c79.4 0 144 64.6 144 144S303.4 304 224 304S80 239.4 80 160S144.6 16 224 16z"],
    "user-bounty-hunter": [448, 512, [], "e2bf", "M320 352H128c-70.69 0-128 57.31-128 128c0 17.67 14.33 32 32 32h384c17.67 0 32-14.33 32-32C448 409.3 390.7 352 320 352zM155.3 496L224 427.3L292.7 496H155.3zM416 496h-100.7l-85.66-85.66c-3.125-3.125-8.188-3.125-11.31 0L132.7 496H32c-8.822 0-16-7.178-16-16c0-61.76 50.24-112 112-112h192c61.76 0 112 50.24 112 112C432 488.8 424.8 496 416 496zM89.3 293.9L207.8 320h32.31l118.5-26.09c15.48-3.408 26.17-17.43 25.24-33.11l-6.906-117C372.8 63.19 305.5 0 224 0C157.4 0 101 42.44 80 101.8V16h24c4.418 0 8-3.582 8-8S108.4 0 104 0h-32C67.58 0 64 3.582 64 8v256l.1777-2.211C63.77 277 74.16 290.6 89.3 293.9zM362.1 161.7C346.2 167.9 280 198.3 280 270.9c0 4.422 3.594 8 8 8s8-3.578 8-8c0-58.17 48.48-84.34 67.06-92.28l4.908 83.17c.4648 7.859-4.881 14.81-12.71 16.54L256 300.1V182.1l105.6-28.15L362.1 161.7zM224 16c61.46 0 113.4 40.25 130.7 96H93.25C110.6 56.27 162.5 16 224 16zM89.48 128h269c.5879 3.254 1.146 6.512 1.498 9.846l-114.1 30.42C242.4 169.2 240 172.4 240 176v127.7L238.4 304H209.6L208 303.7V176c0-3.625-2.438-6.797-5.938-7.734L87.98 137.8C88.33 134.5 88.89 131.3 89.48 128zM84.94 178.6C103.5 186.5 152 212.7 152 270.9c0 4.422 3.594 8 8 8s8-3.578 8-8c0-72.54-66.16-102.9-82.06-109.2L86.39 153.1L192 182.1v117.1L92.74 278.3c-7.83-1.723-13.18-8.678-12.71-16.54L84.94 178.6z"],
    "user-check": [640, 512, [], "f4fc", "M224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM224 16c61.76 0 112 50.24 112 112S285.8 240 224 240S112 189.8 112 128S162.2 16 224 16zM272.8 304H175.2C78.56 304 0 379.4 0 472C0 494.1 18.59 512 41.44 512h365.1C429.4 512 448 494.1 448 472C448 379.4 369.4 304 272.8 304zM406.6 496H41.44C27.41 496 16 485.2 16 472C16 388.2 87.41 320 175.2 320h97.69C360.6 320 432 388.2 432 472C432 485.2 420.6 496 406.6 496zM637.7 146.3c-3.125-3.125-8.188-3.125-11.31 0L504 268.7l-58.34-58.34c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31l64 64C499.9 287.2 501.9 288 504 288s4.094-.7813 5.656-2.344l128-128C640.8 154.5 640.8 149.5 637.7 146.3z"],
    "user-chef": [448, 512, [], "e3d2", "M96 110.4V152C96 156.4 99.59 160 104 160h240C348.4 160 352 156.4 352 152V110.4c19.59-10 32-29.77 32-51.75C384 26.31 357.7 0 325.3 0c-21.59 0-40.5 11.72-50.69 29.12C264.5 11.72 245.6 0 224 0S183.5 11.72 173.3 29.12C163.2 11.72 144.3 0 122.7 0C90.31 0 64 26.31 64 58.67C64 80.66 76.41 100.4 96 110.4zM122.7 16c23.53 0 42.69 19.14 42.69 42.67c0 4.422 3.594 8 8 8s8-3.578 8-8C181.3 35.14 200.5 16 224 16s42.66 19.14 42.66 42.67c0 4.422 3.594 8 8 8s8-3.578 8-8C282.7 35.14 301.8 16 325.3 16S368 35.14 368 58.67c0 17.23-10.59 32.61-26.97 39.19C338 99.08 336 102 336 105.3V144h-224V105.3c0-3.266-2-6.203-5.031-7.422C90.59 91.28 80 75.91 80 58.67C80 35.14 99.13 16 122.7 16zM344 184.1c-4.781-.6406-8.406 2.516-9 6.875C327.7 246.3 279.9 288 224 288S120.3 246.3 113 190.9C112.4 186.6 108.7 183.4 104 184.1c-4.375 .5938-7.438 4.609-6.875 9C105.6 256.3 160.1 304 224 304s118.4-47.7 126.9-110.9C351.4 188.7 348.4 184.7 344 184.1zM240 420c-6.627 0-12 5.373-12 12s5.373 12 12 12s12-5.373 12-12S246.6 420 240 420zM352 370.1V320c0-2.75-1.406-5.312-3.75-6.781C345.9 311.8 343 311.6 340.5 312.8L218.5 372L107.8 312.9C105.3 311.6 102.3 311.7 99.88 313.1C97.47 314.6 96 317.2 96 320v50.06c-47.56 16.47-96 61.81-96 117.3C0 500.1 11.03 512 24.63 512h398.8C436.1 512 448 500.1 448 487.4C448 431.9 399.6 386.5 352 370.1zM128 420.9V496H24.63C19.88 496 16 492.1 16 487.4c0-49.98 46.5-90.81 90.28-103.8C109.7 382.5 112 379.4 112 375.9v-42.56l88.69 47.31L132.5 413.7C129.8 415.1 128 417.9 128 420.9zM423.4 496H144v-70.06l192-93.16v43.11c0 3.547 2.312 6.656 5.719 7.672C385.5 396.6 432 437.4 432 487.4C432 492.1 428.1 496 423.4 496zM304 420c-6.627 0-12 5.373-12 12s5.373 12 12 12s12-5.373 12-12S310.6 420 304 420z"],
    "user-clock": [640, 512, [], "f4fd", "M224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM224 16c61.76 0 112 50.24 112 112S285.8 240 224 240S112 189.8 112 128S162.2 16 224 16zM552 360h-48v-64c0-4.406-3.594-7.1-8-7.1S488 291.6 488 296v72c0 4.406 3.594 8 8 8h56c4.406 0 8-3.594 8-7.1S556.4 360 552 360zM496 224c-79.63 0-144 64.38-144 144s64.38 144 144 144s144-64.38 144-144S575.6 224 496 224zM496 496c-70.58 0-128-57.42-128-128c0-70.58 57.42-128 128-128s128 57.42 128 128C624 438.6 566.6 496 496 496zM376 496H41.44C27.41 496 16 485.2 16 472C16 388.2 87.41 320 175.2 320h97.69c15.34 0 30.5 2.062 44.97 6.156c4.406 1.25 8.688-1.281 9.875-5.5c1.219-4.25-1.25-8.688-5.5-9.875C306.3 306.3 289.7 304 272.8 304H175.2C78.56 304 0 379.4 0 472C0 494.1 18.59 512 41.44 512H376c4.406 0 8-3.594 8-8S380.4 496 376 496z"],
    "user-cowboy": [448, 512, [], "f8ea", "M447 472.2C434 420.4 387.5 384 334 384H114c-53.45 0-100 36.38-113 88.24C-4.044 492.4 11.19 512 32 512h383.1C436.8 512 452.1 492.4 447 472.2zM415.1 496H32.06c-10.2 0-18.09-9.586-15.52-19.88C27.74 431.3 67.83 400 114 400h220c46.19 0 86.28 31.3 97.48 76.12C434.1 486.5 426.1 496 415.1 496zM110.9 124.3C111.5 124.4 112.1 124.5 112.7 124.5c3.654 0 6.967-2.531 7.811-6.25C135 53.28 154.5 16 173.1 16C180.9 16 188 18.78 195.1 24.28c17.44 13.62 41.84 13.59 59.22 .0313C261.5 18.78 268.6 16 275.5 16c19.56 0 39.03 37.09 53.38 101.8c.9687 4.312 5.279 7.094 9.529 6.094c4.312-.9687 7.062-5.219 6.094-9.531C327.7 38.47 304.5 0 275.5 0c-10.5 0-20.91 3.906-30.94 11.66c-11.66 9.125-27.88 9.125-39.66-.0313C194.9 3.906 184.5 0 173.1 0C145.2 0 121.9 38.59 104.9 114.8C103.9 119.1 106.6 123.3 110.9 124.3zM224 181.2c171.1 0 222.5-72.34 222.9-73.09c2.188-3.688 1.031-8.344-2.531-10.69c-3.594-2.344-8.406-1.438-10.91 2.062C432.9 100.1 384.2 165.2 224 165.2c-159.9 0-208.1-65.13-209.4-65.69c-2.5-3.625-7.5-4.5-11.12-2.062c-3.656 2.5-4.562 7.5-2.062 11.12C1.908 109.3 53.41 181.2 224 181.2zM104 216.1c-4.406 0-8.001 3.578-8.001 7.984C96 294.6 153.4 352 223.1 352s127.1-57.31 127.1-128c0-4.406-3.59-7.875-7.997-7.875s-8 3.688-8 8.094C335.1 285.8 285.8 336 224 336S112 285.8 112 224.2C112 219.8 108.4 216.1 104 216.1z"],
    "user-crown": [448, 512, [], "f6a4", "M272.8 304H175.2C78.56 304 0 379.4 0 472C0 494.1 18.59 512 41.44 512h365.1C429.4 512 448 494.1 448 472C448 379.4 369.4 304 272.8 304zM406.6 496H41.44C27.41 496 16 485.2 16 472C16 388.2 87.41 320 175.2 320h97.69C360.6 320 432 388.2 432 472C432 485.2 420.6 496 406.6 496zM104 128h240C348.4 128 352 124.4 352 120v-112c0-2.812-1.469-5.406-3.875-6.875c-2.406-1.406-5.406-1.5-7.875-.1875L284 30.94l-56.25-30c-2.312-1.25-5.188-1.25-7.5 0L164 30.94l-56.25-30C105.3-.375 102.3-.2813 99.88 1.125C97.47 2.594 96 5.188 96 8v112C96 124.4 99.59 128 104 128zM112 21.34l48.25 25.72c2.312 1.25 5.188 1.25 7.5 0L224 17.06l56.25 30c2.312 1.25 5.188 1.25 7.5 0L336 21.34V112h-224V21.34zM335.8 159.5C331.9 218.1 282.8 264 224 264S116.1 218.1 112.2 159.5C111.1 155.3 108.4 152 104.3 152c-.1562 0-.3438 0-.5313 .0313c-4.406 .2813-7.75 4.094-7.438 8.5C100.7 227.5 156.8 280 224 280s123.3-52.47 127.7-119.5c.3125-4.406-3.031-8.219-7.438-8.5C339.6 151.2 336 155.1 335.8 159.5z"],
    "user-doctor": [448, 512, ["user-md"], "f0f0", "M96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128C352 198.7 294.7 256 224 256C153.3 256 96 198.7 96 128zM336 128C336 66.14 285.9 16 224 16C162.1 16 112 66.14 112 128C112 189.9 162.1 240 224 240C285.9 240 336 189.9 336 128zM0 481.2C0 383.3 79.33 304 177.2 304H270.8C368.7 304 448 383.3 448 481.2C448 498.2 434.2 512 417.2 512H30.82C13.8 512 .0006 498.2 .0006 481.2H0zM152 368.7C174.7 372.5 192 392.2 192 416C192 442.5 170.5 464 144 464C117.5 464 96 442.5 96 416C96 392.2 113.3 372.5 136 368.7V325.3C66.93 343.5 16 406.4 16 481.2C16 489.4 22.63 496 30.81 496H417.2C425.4 496 432 489.4 432 481.2C432 406.4 381.1 343.5 312 325.3V368.7C334.7 372.5 352 392.2 352 416V440C352 442.1 351.2 444.2 349.7 445.7L333.7 461.7C330.5 464.8 325.5 464.8 322.3 461.7C319.2 458.5 319.2 453.5 322.3 450.3L336 436.7V416C336 398.3 321.7 384 304 384C286.3 384 272 398.3 272 416V436.7L285.7 450.3C288.8 453.5 288.8 458.5 285.7 461.7C282.5 464.8 277.5 464.8 274.3 461.7L258.3 445.7C256.8 444.2 256 442.1 256 440V416C256 392.2 273.3 372.5 296 368.7V321.1C287.8 320.7 279.4 320 270.8 320H177.2C168.6 320 160.2 320.7 152 321.1V368.7zM144 384C126.3 384 112 398.3 112 416C112 433.7 126.3 448 144 448C161.7 448 176 433.7 176 416C176 398.3 161.7 384 144 384z"],
    "user-doctor-hair": [448, 512, [], "e458", "M96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128V144C352 214.7 294.7 272 224 272C153.3 272 96 214.7 96 144V128zM334.9 112H312C289.9 112 269 101.8 255.4 84.49L250.1 89.86C231.2 113.1 201.7 128 170.5 128H112V144C112 205.9 162.1 256 224 256C285.9 256 336 205.9 336 144V128C336 122.6 335.6 117.2 334.9 112L334.9 112zM312 96H331.4C324.6 73.21 310.7 53.46 292.4 39.29L265.8 71.75L267.2 73.6C277.8 87.7 294.4 96 312 96H312zM278.1 30.4C262.7 21.23 243.1 16 224 16C167.6 16 120.9 57.72 113.1 112H170.5C196.9 112 221.9 100.2 238.6 79.72L278.1 30.4zM0 481.2C0 383.3 79.33 304 177.2 304H270.8C368.7 304 448 383.3 448 481.2C448 498.2 434.2 512 417.2 512H30.82C13.8 512 .0006 498.2 .0006 481.2H0zM152 368.7C174.7 372.5 192 392.2 192 416C192 442.5 170.5 464 144 464C117.5 464 96 442.5 96 416C96 392.2 113.3 372.5 136 368.7V325.3C66.93 343.5 16 406.4 16 481.2C16 489.4 22.63 496 30.81 496H417.2C425.4 496 432 489.4 432 481.2C432 406.4 381.1 343.5 312 325.3V368.7C334.7 372.5 352 392.2 352 416V440C352 442.1 351.2 444.2 349.7 445.7L333.7 461.7C330.5 464.8 325.5 464.8 322.3 461.7C319.2 458.5 319.2 453.5 322.3 450.3L336 436.7V416C336 398.3 321.7 384 304 384C286.3 384 272 398.3 272 416V436.7L285.7 450.3C288.8 453.5 288.8 458.5 285.7 461.7C282.5 464.8 277.5 464.8 274.3 461.7L258.3 445.7C256.8 444.2 256 442.1 256 440V416C256 392.2 273.3 372.5 296 368.7V321.1C287.8 320.7 279.4 320 270.8 320H177.2C168.6 320 160.2 320.7 152 321.1V368.7zM144 448C161.7 448 176 433.7 176 416C176 398.3 161.7 384 144 384C126.3 384 112 398.3 112 416C112 433.7 126.3 448 144 448z"],
    "user-doctor-hair-long": [448, 512, [], "e459", "M390.4 244.8C369.8 229.4 354.3 208.6 345.2 185.2C328.1 235.7 280.3 272 224 272C167.7 272 119.9 235.7 102.8 185.2C93.7 208.6 78.2 229.4 57.6 244.8L53.33 248C49.98 250.5 48 254.5 48 258.7C48 266 53.97 272 61.33 272H120C124.4 272 128 275.6 128 280C128 284.4 124.4 288 120 288H61.33C45.13 288 32 274.9 32 258.7C32 249.4 36.35 240.7 43.73 235.2L48 232C78.22 209.3 96 173.8 96 136V128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128V136C352 173.8 369.8 209.3 400 232L404.3 235.2C411.7 240.7 416 249.4 416 258.7C416 274.9 402.9 288 386.7 288H328C323.6 288 320 284.4 320 280C320 275.6 323.6 272 328 272H386.7C394 272 400 266 400 258.7C400 254.5 398 250.5 394.7 248L390.4 244.8zM336 144V128C336 122.6 335.6 117.2 334.9 112H312C289.9 112 269 101.8 255.4 84.49L250.1 89.86C231.2 113.1 201.7 128 170.5 128H112V144C112 205.9 162.1 256 224 256C285.9 256 336 205.9 336 144L336 144zM265.8 71.75L267.2 73.6C277.8 87.7 294.4 96 312 96H331.4C324.6 73.21 310.7 53.46 292.4 39.29L265.8 71.75zM113.1 112H170.5C196.9 112 221.9 100.2 238.6 79.72L278.1 30.4C262.7 21.23 243.1 15.1 224 15.1C167.6 15.1 120.9 57.72 113.1 111.1V112zM0 481.2C0 383.3 79.33 304 177.2 304H270.8C368.7 304 448 383.3 448 481.2C448 498.2 434.2 512 417.2 512H30.82C13.8 512 .0006 498.2 .0006 481.2H0zM152 368.7C174.7 372.5 192 392.2 192 416C192 442.5 170.5 464 144 464C117.5 464 96 442.5 96 416C96 392.2 113.3 372.5 136 368.7V325.3C66.93 343.5 16 406.4 16 481.2C16 489.4 22.63 496 30.81 496H417.2C425.4 496 432 489.4 432 481.2C432 406.4 381.1 343.5 312 325.3V368.7C334.7 372.5 352 392.2 352 416V440C352 442.1 351.2 444.2 349.7 445.7L333.7 461.7C330.5 464.8 325.5 464.8 322.3 461.7C319.2 458.5 319.2 453.5 322.3 450.3L336 436.7V416C336 398.3 321.7 384 304 384C286.3 384 272 398.3 272 416V436.7L285.7 450.3C288.8 453.5 288.8 458.5 285.7 461.7C282.5 464.8 277.5 464.8 274.3 461.7L258.3 445.7C256.8 444.2 256 442.1 256 440V416C256 392.2 273.3 372.5 296 368.7V321.1C287.8 320.7 279.4 320 270.8 320H177.2C168.6 320 160.2 320.7 152 321.1V368.7zM144 448C161.7 448 176 433.7 176 416C176 398.3 161.7 384 144 384C126.3 384 112 398.3 112 416C112 433.7 126.3 448 144 448z"],
    "user-doctor-message": [640, 512, ["user-md-chat"], "f82e", "M96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128C352 198.7 294.7 256 224 256C153.3 256 96 198.7 96 128zM224 240C285.9 240 336 189.9 336 128C336 66.14 285.9 16 224 16C162.1 16 112 66.14 112 128C112 189.9 162.1 240 224 240zM0 481.2C0 383.3 79.33 304 177.2 304H270.8C368.7 304 448 383.3 448 481.2C448 498.2 434.2 512 417.2 512H30.82C13.8 512 .0006 498.2 .0006 481.2H0zM177.2 320C168.6 320 160.2 320.7 152 321.1V368.7C174.7 372.5 192 392.2 192 416C192 442.5 170.5 464 144 464C117.5 464 96 442.5 96 416C96 392.2 113.3 372.5 136 368.7V325.3C66.93 343.5 16 406.4 16 481.2C16 489.4 22.63 496 30.81 496H417.2C425.4 496 432 489.4 432 481.2C432 406.4 381.1 343.5 311.1 325.3V368.7C334.7 372.5 352 392.2 352 416V440C352 442.1 351.2 444.2 349.7 445.7L333.7 461.7C330.5 464.8 325.5 464.8 322.3 461.7C319.2 458.5 319.2 453.5 322.3 450.3L336 436.7V416C336 398.3 321.7 384 304 384C286.3 384 272 398.3 272 416V436.7L285.7 450.3C288.8 453.5 288.8 458.5 285.7 461.7C282.5 464.8 277.5 464.8 274.3 461.7L258.3 445.7C256.8 444.2 256 442.1 256 440V416C256 392.2 273.3 372.5 296 368.7V321.1C287.8 320.7 279.4 320 270.8 320H177.2zM144 448C161.7 448 176 433.7 176 416C176 398.3 161.7 384 144 384C126.3 384 112 398.3 112 416C112 433.7 126.3 448 144 448zM384 48C384 21.49 405.5 0 432 0H592C618.5 0 640 21.49 640 48V176C640 202.5 618.5 224 592 224H544L474.2 282.1C463.8 290.8 448 283.4 448 269.8V224H432C405.5 224 384 202.5 384 176V48zM464 269.8L538.2 208H592C609.7 208 624 193.7 624 176V48C624 30.33 609.7 16 592 16H432C414.3 16 400 30.33 400 48V176C400 193.7 414.3 208 432 208H464V269.8z"],
    "user-gear": [640, 512, ["user-cog"], "f4fe", "M413.8 495C411.5 495.7 409.1 496 406.6 496H41.44C27.41 496 16 485.2 16 472C16 388.2 87.41 320 175.2 320h97.69c15.34 0 30.5 2.062 44.97 6.156c4.406 1.25 8.688-1.281 9.875-5.5c1.219-4.25-1.25-8.688-5.5-9.875C306.3 306.3 289.7 304 272.8 304H175.2C78.56 304 0 379.4 0 472C0 494.1 18.59 512 41.44 512h365.1c3.969 0 7.875-.5313 11.59-1.594c4.25-1.188 6.75-5.594 5.531-9.844C422.5 496.3 418.1 493.8 413.8 495zM224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM224 16c61.76 0 112 50.24 112 112S285.8 240 224 240S112 189.8 112 128S162.2 16 224 16zM631.8 380.6l-20.45-11.82c1.717-11.18 1.805-21.48 0-33.53l20.45-11.82c6.693-3.83 9.844-11.88 7.453-19.15c-6.496-19.51-16.68-37.22-30.29-52.62c-2.912-3.215-7.494-5.176-12.22-5.176c-2.723 0-5.492 .6484-8.025 2.08l-20.95 12.13c-8.719-6.869-18.28-12.39-28.57-16.5V219.1c0-7.684-5.373-14.41-12.77-15.99c-11.45-2.385-21.78-3.207-30.66-3.207c-14.11 0-24.57 2.07-30.11 3.236c-7.398 1.547-12.77 8.277-12.77 15.96v24.19c-10.26 4.111-19.83 9.631-28.54 16.5L403.4 248.6c-2.361-1.402-5.217-2.129-8.135-2.129c-4.426 0-8.998 1.676-12.2 5.225c-13.58 15.37-23.76 33.08-30.26 52.62c-2.391 7.234 .7598 15.29 7.426 19.12l20.47 11.82c-1.803 12.04-1.721 22.34 0 33.53l-20.45 11.82c-6.693 3.828-9.844 11.88-7.453 19.14c6.498 19.51 16.68 37.22 30.29 52.62c2.289 2.553 6.92 5.273 12.27 5.273c2.557 0 5.275-.6211 7.98-2.176l20.73-11.96c8.803 6.953 18.42 12.53 28.77 16.67v23.88c0 7.688 5.371 14.39 12.8 15.96c11.42 2.381 21.75 3.201 30.64 3.201c14.09 0 24.58-2.061 30.14-3.229c7.367-1.549 12.74-8.25 12.74-15.94v-23.88c10.35-4.139 19.99-9.713 28.8-16.67l20.67 11.94c2.414 1.396 5.285 2.127 8.203 2.127c4.404 0 8.916-1.668 12.13-5.225c13.58-15.37 23.76-33.08 30.26-52.62C641.6 392.5 638.4 384.4 631.8 380.6zM596.6 441.6l-30.07-17.37l-8.52 6.729c-7.553 5.967-15.9 10.8-24.82 14.37l-10.06 4.023l-.0332 34.99c-4.107 .8633-13.73 2.887-26.84 2.887c-9.045 0-18.25-.9648-27.44-3.166v-34.71l-10.06-4.023c-8.881-3.551-17.22-8.385-24.79-14.37l-8.518-6.727l-30.39 17.55c-12.16-13.76-21.27-29.6-26.81-47.32l29.91-17.3l-1.66-10.81c-1.523-9.914-1.521-18.51 .0098-28.73l1.613-10.78l-30.16-17.49c5.818-17.49 14.93-33.33 27.39-46.92l30.29 17.55l8.529-6.719c7.477-5.893 15.75-10.67 24.59-14.22l10.05-4.025l.0664-35.32c4.111-.8652 13.74-2.893 26.81-2.893c9.037 0 18.26 .9648 27.43 3.197v35.02l10.06 4.02c8.846 3.533 17.12 8.314 24.61 14.21l8.527 6.717l30.59-17.73c12.16 13.76 21.28 29.6 26.82 47.32l-29.87 17.28l1.611 10.77c1.531 10.22 1.533 18.81 .0098 28.73l-1.66 10.81l30.19 17.52C618.2 412.2 609.1 427.1 596.6 441.6zM496 304c-26.51 0-48 21.49-48 48s21.49 48 48 48S544 378.5 544 352S522.5 304 496 304zM496 384c-17.64 0-32-14.36-32-32s14.36-32 32-32s32 14.36 32 32S513.6 384 496 384z"],
    "user-graduate": [512, 512, [], "f501", "M376 151.1c-4.406 0-8.001 3.594-8.001 8c0 61.75-50.25 112-111.1 112c-61.75 0-111.1-50.25-111.1-112c0-4.406-3.592-8-7.998-8s-8.003 3.598-8.003 8.004c0 70.6 57.41 128 128 128c70.59 0 127.1-57.4 127.1-128C384 155.6 380.4 151.1 376 151.1zM381.3 323.2c-4.527-2.141-9.379-3.188-14.19-3.188c-8.385 0-16.64 3.186-22.82 9.316l-88.26 87.51l-88.26-87.51C161.6 323.2 153.3 319.1 144.9 319.1c-4.809 0-9.66 1.049-14.19 3.189c-58.65 27.74-99.2 86.81-98.72 155.7C32.14 497.3 48.05 512 66.67 512h378.7c18.62 0 34.53-14.7 34.66-33.15C480.5 409.1 439.9 350.9 381.3 323.2zM248 496h-181.3c-10.05 0-18.59-7.906-18.66-17.27c-.4219-59.77 34.73-115.2 89.56-141.1c2.318-1.098 4.789-1.654 7.344-1.654c4.412 .002 8.518 1.664 11.56 4.68l91.53 90.75V496zM445.3 496h-181.3v-64.58l91.53-90.75c3.043-3.018 7.148-4.68 11.56-4.68c2.555 0 5.025 .5547 7.346 1.652c54.83 25.93 89.98 81.31 89.56 141.1C463.9 488.1 455.4 496 445.3 496zM102.6 252.6c1.5-2.156 1.844-4.875 .9687-7.312L76.18 170c2.283-2.766 3.826-6.176 3.826-10.04c0-5.859-3.303-10.76-7.998-13.55V90.09l55.1 12.28L128 127.1c0 4.406 3.595 8 8.002 8s8-3.594 8-8v-22.11l91.16 19.99C241.9 127.3 248.1 127.1 255.9 127.1c7 0 13.94-.7187 20.78-2.156l91.28-19.98v22.14c0 4.406 3.594 8 8 8s7.999-3.594 7.999-8l.0009-25.64l76.59-16.77c11.59-2.531 19.39-11.22 19.39-21.59c0-10.31-7.827-18.97-19.45-21.59l-183.7-40.28C263.2-.6953 248.8-.7266 235.2 2.148L51.41 42.4C39.79 44.93 31.99 53.6 31.99 64.01C32.05 74.32 39.85 82.99 51.44 85.59l4.562 1v59.86c-4.697 2.787-8 7.688-8 13.55c0 3.865 1.549 7.275 3.83 10.04L24.47 245.3C23.6 247.7 23.94 250.4 25.44 252.6C26.94 254.7 29.38 255.1 32.01 255.1h63.1C98.63 255.1 101.1 254.7 102.6 252.6zM54.91 69.96C50.66 69.02 47.97 66.71 47.97 63.99c0-2.75 2.625-5.062 6.844-5.969l183.7-40.22c5.75-1.219 11.62-1.812 17.53-1.812c5.844 0 11.69 .5938 17.34 1.781l183.6 40.25c4.188 .9375 6.906 3.281 6.906 5.969c0 2.719-2.656 5.062-6.812 5.969l-183.8 40.22c-11.5 2.438-23.56 2.406-34.88 .0313L54.91 69.96zM43.41 239.1l20.59-56.6l20.59 56.6H43.41z"],
    "user-group": [640, 512, [128101, "user-friends"], "f500", "M274.7 304H173.3c-95.73 0-173.3 77.6-173.3 173.3C0 496.5 15.52 512 34.66 512H413.3C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM413.3 496H34.66c-10.29 0-18.66-8.375-18.66-18.67C15.1 390.6 86.58 320 173.3 320H274.7C361.4 320 432 390.6 432 477.3C432 487.6 423.6 496 413.3 496zM224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM223.1 16C285.8 16 336 66.24 336 128S285.8 240 223.1 240s-112-50.24-112-112S162.2 16 223.1 16zM432 256c64.62 0 116.4-54.71 111.7-120.3c-3.445-47.64-38.17-88.11-84.4-100.1c-26.62-6.918-51.32-3.184-72.75 6.594c-3.914 1.789-5.566 6.359-3.695 10.23c.1055 .2187 .2109 .4414 .3164 .6602c1.76 3.684 6.051 5.445 9.762 3.742c14.72-6.77 31.25-10.18 48.96-8.227C490 53.84 527.8 95.26 528 143.7C528.2 196.8 485 240 432 240c-19.32 0-37.13-5.961-52.16-15.88c-3.369-2.219-7.834-1.074-10.13 2.242c-.1445 .2109-.2891 .418-.4355 .625c-2.473 3.543-1.535 8.344 2.08 10.71C388.8 249.1 409.5 256 432 256zM479.1 320H448c-4.418 0-8 3.582-8 8S443.6 336 448 336h31.1c79.5 0 144.2 64.75 144 144.3C623.1 488.1 616.7 496 608 496H496c-4.418 0-8 3.582-8 8S491.6 512 496 512h112C625.7 512 640 497.6 640 479.1C639.9 391.7 568.3 320 479.1 320z"],
    "user-group-crown": [640, 512, ["users-crown"], "f6a5", "M432 256c64.62 0 116.4-54.71 111.7-120.3c-3.445-47.64-38.17-88.11-84.4-100.1c-26.62-6.918-51.32-3.184-72.75 6.594c-3.914 1.789-5.566 6.359-3.695 10.23c.1055 .2187 .2109 .4414 .3164 .6602c1.76 3.684 6.051 5.445 9.762 3.742c14.72-6.77 31.25-10.18 48.96-8.227C490 53.84 527.8 95.26 528 143.7C528.2 196.8 485 240 432 240c-19.32 0-37.13-5.961-52.16-15.88c-3.369-2.219-7.834-1.074-10.13 2.242c-.1445 .2109-.2891 .418-.4355 .625c-2.473 3.543-1.535 8.344 2.08 10.71C388.8 249.1 409.5 256 432 256zM479.1 320H448c-4.418 0-8 3.582-8 8S443.6 336 448 336h31.1c79.5 0 144.2 64.75 144 144.3C623.1 488.1 616.7 496 608 496H496c-4.418 0-8 3.582-8 8S491.6 512 496 512h112C625.7 512 640 497.6 640 479.1C639.9 391.7 568.3 320 479.1 320zM272.8 304H175.2C78.56 304 0 379.4 0 472C0 494.1 18.59 512 41.44 512h365.1C429.4 512 448 494.1 448 472C448 379.4 369.4 304 272.8 304zM406.6 496H41.44C27.41 496 16 485.2 16 472C16 388.2 87.41 320 175.2 320h97.69C360.6 320 432 388.2 432 472C432 485.2 420.6 496 406.6 496zM104 128h240C348.4 128 352 124.4 352 120v-112c0-2.812-1.469-5.406-3.875-6.875c-2.406-1.406-5.406-1.5-7.875-.1875L284 30.94l-56.25-30c-2.312-1.25-5.188-1.25-7.5 0L164 30.94l-56.25-30C105.3-.375 102.3-.2813 99.88 1.125C97.47 2.594 96 5.188 96 8v112C96 124.4 99.59 128 104 128zM112 21.34l48.25 25.72c2.312 1.25 5.188 1.25 7.5 0L224 17.06l56.25 30c2.312 1.25 5.188 1.25 7.5 0L336 21.34V112h-224V21.34zM335.8 159.5C331.9 218.1 282.8 264 224 264S116.1 218.1 112.2 159.5C111.1 155.3 108.4 152 104.3 152c-.1562 0-.3438 0-.5313 .0313c-4.406 .2813-7.75 4.094-7.438 8.5C100.7 227.5 156.8 280 224 280s123.3-52.47 127.7-119.5c.3125-4.406-3.031-8.219-7.438-8.5C339.6 151.2 336 155.1 335.8 159.5z"],
    "user-hair": [448, 512, [], "e45a", "M96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128V144C352 214.7 294.7 272 224 272C153.3 272 96 214.7 96 144V128zM334.9 112H312C289.9 112 269 101.8 255.4 84.49L250.1 89.86C231.2 113.1 201.7 128 170.5 128H112V144C112 205.9 162.1 256 224 256C285.9 256 336 205.9 336 144V128C336 122.6 335.6 117.2 334.9 112L334.9 112zM331.4 96C324.6 73.21 310.7 53.46 292.4 39.29L265.8 71.75L267.2 73.6C277.8 87.7 294.4 96 311.1 96H331.4zM238.6 79.72L278.1 30.4C262.7 21.23 243.1 15.1 224 15.1C167.6 15.1 120.9 57.72 113.1 111.1H170.5C196.9 111.1 221.9 100.2 238.6 79.72V79.72zM0 483.6C0 393.2 73.23 320 163.6 320H284.4C374.8 320 448 393.2 448 483.6C448 499.3 435.3 512 419.6 512H28.44C12.74 512 0 499.3 0 483.6zM28.44 496H419.6C426.4 496 432 490.4 432 483.6C432 402.1 365.9 336 284.4 336H163.6C82.06 336 16 402.1 16 483.6C16 490.4 21.57 496 28.44 496z"],
    "user-hair-buns": [448, 512, [], "e3d3", "M274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512H413.3C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM413.3 496H34.66C24.37 496 16 487.6 16 477.3C16 390.6 86.58 320 173.3 320h101.3C361.4 320 432 390.6 432 477.3C432 487.6 423.6 496 413.3 496zM96 208c5.689 0 10.96-1.369 15.99-3.25C133.7 244.6 175.4 272 224 272s90.33-27.38 112-67.25C341 206.6 346.3 208 352 208c26.47 0 48-21.53 48-48V112C400 85.53 378.5 64 352 64c-5.689 0-11.03 1.229-16.09 3.057C314.2 27.29 272.5 0 224 0S133.8 27.29 112.1 67.06C107 65.23 101.7 64 96 64C69.53 64 48 85.53 48 112V160C48 186.5 69.53 208 96 208zM343 81.69C345.9 80.72 348.8 80 352 80c17.66 0 32 14.36 32 32V160c0 17.64-14.34 32-32 32c-3.191 0-6.162-.6387-8.986-1.631C348.6 175.1 352 160.4 352 144V128C352 111.6 348.6 96.09 343 81.69zM224 16c51.19 0 93.99 34.71 107.3 81.69c-36.75 19.81-81.32 5.037-100.3-29.85c-2.812-5.125-11.25-5.125-14.06 0c-18.96 34.92-63.49 49.7-100.3 29.85C130 50.72 172.8 16 224 16zM112 128c0-4.904 .832-9.582 1.447-14.32C152.8 132.3 199.2 119.8 224 86.48C240.1 109.3 267.6 123 296.2 123c13.19 0 25.99-3.543 38.35-9.48C335.2 118.3 336 123 336 128v16C336 205.8 285.8 256 224 256S112 205.8 112 144V128zM64 112c0-17.64 14.34-32 32-32c3.188 0 6.135 .7246 8.967 1.693C99.36 96.09 96 111.6 96 128v16c0 16.4 3.365 31.96 8.986 46.37C102.2 191.4 99.19 192 96 192C78.34 192 64 177.6 64 160V112z"],
    "user-hair-long": [448, 512, [], "e45b", "M390.4 244.8C369.8 229.4 354.3 208.6 345.2 185.2C328.1 235.7 280.3 272 224 272C167.7 272 119.9 235.7 102.8 185.2C93.7 208.6 78.2 229.4 57.6 244.8L53.33 248C49.98 250.5 48 254.5 48 258.7C48 266 53.97 272 61.33 272H120C124.4 272 128 275.6 128 280C128 284.4 124.4 288 120 288H61.33C45.13 288 32 274.9 32 258.7C32 249.4 36.35 240.7 43.73 235.2L48 232C78.22 209.3 96 173.8 96 136V128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128V136C352 173.8 369.8 209.3 400 232L404.3 235.2C411.7 240.7 416 249.4 416 258.7C416 274.9 402.9 288 386.7 288H328C323.6 288 320 284.4 320 280C320 275.6 323.6 272 328 272H386.7C394 272 400 266 400 258.7C400 254.5 398 250.5 394.7 248L390.4 244.8zM336 144V128C336 122.6 335.6 117.2 334.9 112H312C289.9 112 269 101.8 255.4 84.49L250.1 89.86C231.2 113.1 201.7 128 170.5 128H112V144C112 205.9 162.1 256 224 256C285.9 256 336 205.9 336 144L336 144zM265.8 71.75L267.2 73.6C277.8 87.7 294.4 96 312 96H331.4C324.6 73.21 310.7 53.46 292.4 39.29L265.8 71.75zM113.1 112H170.5C196.9 112 221.9 100.2 238.6 79.72L278.1 30.4C262.7 21.23 243.1 15.1 224 15.1C167.6 15.1 120.9 57.72 113.1 111.1V112zM0 483.6C0 393.2 73.23 320 163.6 320H284.4C374.8 320 448 393.2 448 483.6C448 499.3 435.3 512 419.6 512H28.44C12.74 512 0 499.3 0 483.6zM28.44 496H419.6C426.4 496 432 490.4 432 483.6C432 402.1 365.9 336 284.4 336H163.6C82.06 336 16 402.1 16 483.6C16 490.4 21.57 496 28.44 496z"],
    "user-hair-mullet": [448, 512, ["business-front", "party-back", "trian-balbot"], "e45c", "M96 104C91.58 104 88 100.4 88 96C88 91.58 91.58 88 96 88H102.4C119.2 36.9 167.3 0 224 0C280.7 0 328.8 36.9 345.6 88H352C356.4 88 360 91.58 360 96C360 100.4 356.4 104 352 104H349.8C351.2 111.8 352 119.8 352 128V144C352 160.1 349 175.4 343.6 189.6C343.9 190.4 344 191.2 344 192C344 208.2 344 219.2 346.8 230.1C349.4 240.7 354.8 251.7 366.4 267.2C368.4 269.8 368.5 273.4 366.8 276.2C365.1 278.9 361.9 280.4 358.7 279.9L316.5 272.9L303.2 299.6C301.4 303.1 297.2 304.8 293.5 303.6L269.5 295.6C265.3 294.2 263 289.7 264.4 285.5C265.8 281.3 270.3 279 274.5 280.4L291.9 286.2L304.8 260.4C306.4 257.3 309.9 255.5 313.3 256.1L342.9 261C337.1 251.4 333.4 242.8 331.2 233.9C329.9 228.6 329.1 223.2 328.7 217.7C305.5 250.6 267.2 272 224 272C180.8 272 142.5 250.6 119.3 217.7C118.9 223.2 118.1 228.6 116.8 233.9C114.6 242.8 110.9 251.4 105.1 261L134.7 256.1C138.1 255.5 141.6 257.3 143.2 260.4L156.1 286.2L173.5 280.4C177.7 279 182.2 281.3 183.6 285.5C184.1 289.7 182.7 294.2 178.5 295.6L154.5 303.6C150.8 304.8 146.6 303.1 144.8 299.6L131.5 272.9L89.32 279.9C86.09 280.4 82.86 278.9 81.16 276.2C79.47 273.4 79.64 269.8 81.6 267.2C93.21 251.7 98.58 240.7 101.2 230.1C103.1 219.2 104 208.2 104 192C104 191.2 104.1 190.4 104.4 189.6C98.96 175.4 96 160.1 96 144V128C96 119.8 96.77 111.8 98.25 104L96 104zM336 144V128C336 119.8 335.1 111.7 333.4 104H307.4C274.4 104 243.6 88.4 224 62.16C204.4 88.4 173.6 104 140.6 104H114.6C112.9 111.7 112 119.8 112 128V144C112 205.9 162.1 256 224 256C285.9 256 336 205.9 336 144H336zM119.4 88H140.6C170 88 197.5 73.3 213.8 48.81L217.3 43.56C218.8 41.34 221.3 40 223.1 40C226.7 40 229.2 41.34 230.7 43.56L234.2 48.81C250.5 73.3 277.1 88 307.4 88H328.6C312.5 45.9 271.8 16 223.1 16C176.2 16 135.5 45.9 119.4 88H119.4zM284.4 320C374.8 320 448 393.2 448 483.6C448 499.3 435.3 512 419.6 512H28.44C12.74 512 0 499.3 0 483.6C0 393.2 73.23 320 163.6 320H284.4zM163.6 336C82.06 336 16 402.1 16 483.6C16 490.4 21.57 496 28.44 496H419.6C426.4 496 432 490.4 432 483.6C432 402.1 365.9 336 284.4 336H163.6z"],
    "user-headset": [448, 512, [], "f82d", "M314.7 352H133.3C59.7 352 0 411.7 0 485.3C0 500.1 11.94 512 26.66 512H421.3C436.1 512 448 500.1 448 485.3C448 411.7 388.3 352 314.7 352zM421.3 496H26.66C20.78 496 16 491.2 16 485.3C16 420.6 68.64 368 133.3 368h181.3C379.4 368 432 420.6 432 485.3C432 491.2 427.2 496 421.3 496zM64 176c0-90.27 75.16-163.3 166.2-159.9C316.8 19.4 384 93.29 384 179.9V216c0 48.6-39.4 88-88 88h-28.9c4.49-7.564 7.056-16.35 2.535-27.17c-5.378-12.87-18.49-20.83-32.44-20.83L209.4 256C192.7 255.1 177.7 268.2 176.2 284.9C174.3 303.9 189.3 320 208 320h88c57.44 0 104-46.56 104-104V180.3c0-95.3-73.94-176.6-169.2-180.2C130.7-3.679 48 76.7 48 176v40C48 220.4 51.58 224 55.1 224S64 220.4 64 216V176zM240 304h-32C199.2 304 192 296.8 192 288s7.178-16 16-16h32C248.8 272 256 279.2 256 288S248.8 304 240 304zM224 80c61.75 0 112 50.25 112 112c0 24.44-7.75 47.69-22.41 67.19c-2.656 3.531-1.938 8.562 1.594 11.22C316.6 271.5 318.3 272 320 272c2.438 0 4.812-1.094 6.406-3.188C343.2 246.5 352 219.9 352 192c0-70.59-57.41-128-128-128s-128 57.41-128 128C96 219.9 104.8 246.5 121.6 268.8C124.3 272.4 129.3 273 132.8 270.4c3.531-2.656 4.25-7.688 1.594-11.22C119.8 239.7 112 216.4 112 192C112 130.3 162.3 80 224 80z"],
    "user-helmet-safety": [448, 512, [128119, "user-construction", "user-hard-hat"], "f82c", "M96.77 135.9C97.27 135.1 97.77 136 98.27 136c3.766 0 7.109-2.656 7.844-6.5C114.1 87.58 144.2 53.28 184 39.14V128c0 4.406 3.578 8 8 8S200 132.4 200 128V24c0-4.406 3.594-8 8-8h32c4.406 0 8 3.594 8 8V128c0 4.406 3.578 8 8 8S264 132.4 264 128V39.14c39.8 14.13 69.94 48.44 77.89 90.36C342.6 133.3 345.1 136 349.7 136c.5 0 1-.0313 1.5-.125c4.344-.8438 7.203-5.031 6.375-9.375c-9.393-49.51-46.06-89.69-93.98-104.3C262.6 9.848 252.6 .0001 240 .0001h-32c-12.59 0-22.65 9.848-23.63 22.17C136.4 36.81 99.78 76.99 90.39 126.5C89.56 130.8 92.42 135 96.77 135.9zM88 176h272c4.422 0 8-3.594 8-8S364.4 160 360 160h-272C83.58 160 80 163.6 80 168S83.58 176 88 176zM341 208c-3.842 0-7.018 2.781-7.793 6.547C322.8 265.5 277.1 304 224 304c-53.99 0-98.75-38.52-109.2-89.45C113.1 210.8 110.8 208 106.1 208c-5.059 0-8.783 4.678-7.771 9.635C111.1 275.1 162.2 320 224 320c61.85 0 112.9-44.03 124.8-102.4C349.8 212.7 346.1 208 341 208zM314.7 352H133.3C59.7 352 0 411.7 0 485.3c0 14.73 11.94 26.67 26.66 26.67H421.3c14.72 0 26.66-11.94 26.66-26.67C448 411.7 388.3 352 314.7 352zM421.3 496H26.66C20.78 496 16 491.2 16 485.3C16 420.6 68.64 368 133.3 368h181.3C379.4 368 432 420.6 432 485.3C432 491.2 427.2 496 421.3 496z"],
    "user-injured": [448, 512, [], "f728", "M224 256c70.7 0 128-57.31 128-128s-57.3-128-128-128C153.3 0 96 57.31 96 128S153.3 256 224 256zM328.3 88H218.4l73.12-48.75C307.9 51.76 320.8 68.46 328.3 88zM224 16c19.2 0 37 5.301 52.81 13.85L189.6 88H119.7C135.9 46 176.4 16 224 16zM114.7 104h218.5C334.1 111.8 336 119.7 336 128c0 61.76-50.24 112-112 112S112 189.8 112 128C112 119.7 113 111.8 114.7 104zM274.7 304H173.3c-95.91 0-173.6 77.91-173.3 173.9C.0625 496.8 15.75 512 34.66 512h259.4c28.46 0 53.85-20.4 57.48-48.63C355.9 429.2 329.3 400 296 400H216.4l-49.59-79.34C169 320.6 171.1 320 173.3 320h101.3c86.63 0 157.1 70.38 157.3 156.1C432 487.4 423.8 496 413.3 496H376c-4.418 0-8 3.582-8 8c0 4.418 3.582 8 8 8h37.34c18.91 0 34.6-15.18 34.66-34.09C448.3 381.9 370.6 304 274.7 304zM80 496H34.67c-10.29 0-18.67-8.375-18.67-18.67c0-51.69 25.39-97.25 64-125.9V496zM296 416c22.09 0 40 17.91 40 40s-17.91 40-40 40h-19.56l-50-80H296zM257.6 496H96v-154.8c16.2-9.236 33.98-15.72 53.09-18.71L257.6 496z"],
    "user-large": [512, 512, ["user-alt"], "f406", "M351.1 320H160c-88.36 0-160 71.63-160 160c0 17.67 14.33 32 31.1 32H480c17.67 0 31.1-14.33 31.1-32C512 391.6 440.4 320 351.1 320zM480 496H31.1C23.18 496 16 488.8 16 480c0-79.4 64.6-144 144-144h191.1C431.4 336 496 400.6 496 480C496 488.8 488.8 496 480 496zM256 288c79.53 0 144-64.47 144-144s-64.47-144-144-144c-79.52 0-144 64.47-144 144S176.5 288 256 288zM256 16c70.58 0 128 57.42 128 128c0 70.58-57.42 128-128 128c-70.58 0-128-57.42-128-128C128 73.42 185.4 16 256 16z"],
    "user-large-slash": [640, 512, ["user-alt-slash"], "f4fa", "M320 16c70.58 0 128 57.42 128 128c0 35.71-14.77 67.97-38.43 91.21l12.69 10.09c25.78-26.02 41.74-61.78 41.74-101.3c0-79.53-64.47-143.1-143.1-143.1c-51.29 0-96.03 27.02-121.5 67.4L211.2 77.5C233.7 40.78 273.9 16 320 16zM95.1 496C87.18 496 80 488.8 80 480c0-79.4 64.6-144 144-144h80.93l-20.03-15.1l-60.9-.0002c-88.36 0-160 71.63-160 159.1C63.1 497.7 78.33 512 95.1 512h430.3l-20.13-16H95.1zM636.1 497.7L12.99 1.73C11.53 .5664 9.771 0 8.025 0C5.674 0 3.336 1.027 1.738 3.012c-2.75 3.469-2.172 8.5 1.281 11.25l623.1 496C628.5 511.4 630.2 512 631.1 512c2.344 0 4.688-1.031 6.266-3.016C641 505.5 640.4 500.5 636.1 497.7z"],
    "user-lock": [640, 512, [], "f502", "M224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM224 16c61.76 0 112 50.24 112 112S285.8 240 224 240S112 189.8 112 128S162.2 16 224 16zM496 384c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16s16-7.164 16-16C512 391.2 504.8 384 496 384zM320 496H41.44C27.41 496 16 485.2 16 472C16 388.2 87.41 320 175.2 320h97.69c15.34 0 30.5 2.062 44.97 6.156c4.375 1.25 8.688-1.281 9.875-5.5c1.219-4.25-1.25-8.688-5.5-9.875C306.3 306.3 289.7 304 272.8 304H175.2C78.56 304 0 379.4 0 472C0 494.1 18.59 512 41.44 512H320c4.406 0 8-3.594 8-8S324.4 496 320 496zM576 288h-16V208c0-35.28-28.72-64-64-64s-64 28.72-64 64V288H416c-35.35 0-64 28.65-64 64v96c0 35.35 28.65 64 64 64h160c35.35 0 64-28.65 64-64v-96C640 316.7 611.3 288 576 288zM448 208C448 181.5 469.5 160 496 160S544 181.5 544 208V288h-96V208zM624 448c0 26.47-21.53 48-48 48h-160c-26.47 0-48-21.53-48-48v-96c0-26.47 21.53-48 48-48h160c26.47 0 48 21.53 48 48V448z"],
    "user-minus": [640, 512, [], "f503", "M224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM224 16c61.76 0 112 50.24 112 112S285.8 240 224 240S112 189.8 112 128S162.2 16 224 16zM274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512h378.7C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM413.3 496H34.67C24.37 496 16 487.6 16 477.3C16 390.6 86.58 320 173.3 320h101.3C361.4 320 432 390.6 432 477.3C432 487.6 423.6 496 413.3 496zM632 216h-176C451.6 216 448 219.6 448 224s3.594 8 8 8h176C636.4 232 640 228.4 640 224S636.4 216 632 216z"],
    "user-music": [640, 512, [], "f8eb", "M224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM224 16c61.76 0 112 50.24 112 112S285.8 240 224 240S112 189.8 112 128S162.2 16 224 16zM320 496H41.42C27.41 496 16 485.2 16 472C16 388.2 87.39 320 175.1 320h97.72c26.31 0 52.41 6.281 75.48 18.16c3.891 1.969 8.75 .4687 10.77-3.469c2.031-3.938 .4844-8.75-3.453-10.78C330.3 310.9 301.7 304 272.9 304H175.1C78.56 304 0 379.4 0 472C0 494.1 18.58 512 41.42 512H320c4.422 0 8-3.594 8-8S324.4 496 320 496zM609.2 128.1l-84.65 24.83c-16.91 5.078-28.5 20.65-28.5 38.3v195.9C478.9 366.3 449.5 352 416 352c-53.02 0-96 35.82-96 80c0 44.18 42.98 80 96 80s96-35.82 96-80l.0938-141.2l110.7-32.53C632.1 255.2 640 245.9 640 235.2V152C640 135.1 624.6 124.5 609.2 128.1zM416 496c-44.11 0-80-28.71-80-64s35.89-64 80-64s80 28.71 80 64S460.1 496 416 496zM624 235.2c0 3.551-2.34 6.676-5.742 7.676l-106.2 31.2l-.0469-81.97c0-10.66 7.078-20 17.31-23l84.39-24.76C618.9 142.8 624 146.7 624 152V235.2z"],
    "user-ninja": [512, 512, [129399], "f504", "M359.6 313.9c-15.86-5.094-33.36 .2187-43.42 12.97l-61.09 77.44l-59.28-77.44C185.8 314.1 168.3 308.9 152.4 313.9c-72.62 22.75-120.1 86.94-120.4 159.8C32.19 494.8 50.79 512 73.43 512h365.1c22.64 0 41.23-17.22 41.42-38.38C480.6 400.8 432.2 336.6 359.6 313.9zM73.43 496c-13.67 0-25.31-10.31-25.42-22.5c-.5625-65.72 43.3-123.8 109.2-144.4c15.12-4.594 24.38 5.496 26.01 7.562L305.2 496H73.43zM438.6 496h-113.2l-60.2-78.63l63.62-80.59c5.1-7.594 16.47-10.56 26.08-7.656c65.86 20.62 109.7 78.66 109.2 144.4C463.9 485.7 452.2 496 438.6 496zM65.6 180.8C67.18 182.9 69.58 184 72 184c1.672 0 3.359-.5313 4.797-1.594l52.7-39.53C136.1 206.5 190.4 256 256 256c70.69 0 127.1-57.31 127.1-128c0-70.69-57.31-128-127.1-128c-65.59 0-119 49.53-126.5 113.1L76.8 73.59C73.3 71.03 68.27 71.66 65.6 75.19c-2.641 3.562-1.922 8.562 1.609 11.22L122.7 128L67.21 169.6C63.68 172.3 62.96 177.3 65.6 180.8zM256 16c59.02 0 107 46.03 111.2 104h-23.19c0-22.06-17.94-40-39.1-40H208c-22.06 0-39.1 17.94-39.1 40H144.8C148.1 62.03 196.1 16 256 16zM327.1 120H184c0-13.22 10.76-23.1 23.1-23.1h95.1C317.2 96 327.1 106.8 327.1 120zM367.2 136C363 193.1 315 240 256 240c-59.01 0-107-46.03-111.2-104H367.2z"],
    "user-nurse": [448, 512, [], "f82f", "M447.1 477.4C447.1 358.3 344.5 320 335.1 320c-8.385 0-16.64 3.186-22.82 9.316L224 416.8l-88.26-87.5C129.6 323.2 121.3 320 112.9 320c-9.892 0-112.9 38.84-112.9 157.4C.0006 502.2 21.52 512 34.66 512H413.3C426.2 512 447.1 502.4 447.1 477.4zM413.3 496H34.66c-6.846 0-18.66-4.865-18.66-18.33c0-90.44 87.32-157.1 108.5-136.1l88.26 87.51C215.9 431.3 219.9 432.8 224 432.8c4.074 0 8.146-1.545 11.27-4.637l88.26-87.51C326.6 337.7 330.7 336 335.1 336c7.569 0 96.91 40.21 96.91 141.7C431.1 491.1 420.3 496 413.3 496zM256 72h-24V48c0-4.406-3.578-8-8-8S216 43.59 216 48v24H192c-4.422 0-8 3.594-8 8S187.6 88 192 88h24V112c0 4.406 3.578 8 8 8s8-3.594 8-8V88H256c4.422 0 8-3.594 8-8S260.4 72 256 72zM103.9 160h240.2C348.5 160 352 156.5 352 152.1V65.88c0-13.38-8.25-25.38-20.75-30L246.5 4.125C239.3 1.375 231.6 0 224 0S208.8 1.375 201.5 4.125L116.8 35.88C104.3 40.5 96 52.5 96 65.88v86.21C96 156.5 99.55 160 103.9 160zM112 65.88c0-6.689 4.141-12.71 10.36-15.02l84.81-31.77C212.6 17.04 218.2 16 224 16c5.77 0 11.43 1.037 16.89 3.107l84.81 31.77C331.9 53.16 336 59.19 336 65.88V144h-224V65.88zM333.2 198.5C322.8 249.5 277.1 288 224 288C170 288 125.2 249.5 114.8 198.5C113.1 194.8 110.8 192 106.1 192C102.5 192 99.03 195.7 99.03 200C99.03 205.7 122.2 304 224 304c101.1 0 124.1-97.65 124.1-103.1C348.1 195.7 345.5 192 341 192C337.2 192 334 194.8 333.2 198.5z"],
    "user-nurse-hair": [448, 512, [], "e45d", "M224 40C228.4 40 232 43.58 232 48V72H256C260.4 72 264 75.58 264 80C264 84.42 260.4 88 256 88H232V112C232 116.4 228.4 120 224 120C219.6 120 216 116.4 216 112V88H192C187.6 88 184 84.42 184 80C184 75.58 187.6 72 192 72H216V48C216 43.58 219.6 40 224 40zM96 76.93C96 64.22 103.5 52.71 115.2 47.61L211.2 5.613C219.4 2.035 228.6 2.035 236.8 5.613L332.8 47.61C344.5 52.71 352 64.22 352 76.93V176C352 246.7 294.7 304 224 304C153.3 304 96 246.7 96 176V76.93zM112 76.93V144H336V76.93C336 70.57 332.2 64.82 326.4 62.27L230.4 20.27C226.3 18.48 221.7 18.48 217.6 20.27L121.6 62.27C115.8 64.82 112 70.57 112 76.93zM162.3 208H116.6C130.4 254.3 173.3 288 224 288C285.9 288 336 237.9 336 176V160H244.8C228 189.6 196.6 208 162.3 208V208zM112 176C112 181.4 112.4 186.8 113.1 192H162.3C187.6 192 211.1 179.9 225.8 160H112V176zM417.3 509.9H30.72C13.75 509.9 0 496.2 0 479.2C0 400.5 56.33 335 130.9 320.8L224 413.9L317.1 320.8C391.7 335 448 400.5 448 479.2C448 496.2 434.2 509.9 417.3 509.9zM125.7 338.3C62.69 354.2 16 411.2 16 479.2C16 487.3 22.59 493.9 30.72 493.9H417.3C425.4 493.9 432 487.3 432 479.2C432 411.2 385.3 354.2 322.3 338.3L235.3 425.2C232.3 428.2 228.2 429.9 224 429.9C219.8 429.9 215.7 428.2 212.7 425.2L125.7 338.3z"],
    "user-nurse-hair-long": [448, 512, [], "e45e", "M232 72H256C260.4 72 264 75.58 264 80C264 84.42 260.4 88 256 88H232V112C232 116.4 228.4 120 224 120C219.6 120 216 116.4 216 112V88H192C187.6 88 184 84.42 184 80C184 75.58 187.6 72 192 72H216V48C216 43.58 219.6 40 224 40C228.4 40 232 43.58 232 48V72zM96 76.93C96 64.22 103.5 52.71 115.2 47.61L211.2 5.613C219.4 2.035 228.6 2.035 236.8 5.613L332.8 47.61C344.5 52.71 352 64.22 352 76.93V168C352 205.8 369.8 241.3 400 264L404.3 267.2C411.7 272.7 416 281.4 416 290.7C416 306.9 402.9 320 386.7 320H328C323.6 320 320 316.4 320 312C320 307.6 323.6 304 328 304H386.7C394 304 400 298 400 290.7C400 286.5 398 282.5 394.7 280L390.4 276.8C369.8 261.4 354.3 240.6 345.2 217.2C328.1 267.7 280.3 304 224 304C167.7 304 119.9 267.7 102.8 217.2C93.7 240.6 78.2 261.4 57.6 276.8L53.33 280C49.98 282.5 48 286.5 48 290.7C48 298 53.97 304 61.33 304H120C124.4 304 128 307.6 128 312C128 316.4 124.4 320 120 320H61.33C45.13 320 32 306.9 32 290.7C32 281.4 36.35 272.7 43.73 267.2L48 264C78.22 241.3 96 205.8 96 168V76.93zM112 76.93V144H336V76.93C336 70.57 332.2 64.82 326.4 62.27L230.4 20.27C226.3 18.48 221.7 18.48 217.6 20.27L121.6 62.27C115.8 64.82 112 70.57 112 76.93zM162.3 208H116.6C130.4 254.3 173.3 288 224 288C285.9 288 336 237.9 336 176V160H244.8C228 189.6 196.6 208 162.3 208V208zM112 160V176C112 181.4 112.4 186.8 113.1 192H162.3C187.6 192 211.1 179.9 225.8 160L112 160zM144 349.9L224 429.9L304 349.9H313.6C387.8 349.9 448 410.1 448 484.3C448 498.5 436.5 509.9 422.4 509.9H25.6C11.46 509.9 0 498.5 0 484.3C0 410.1 60.17 349.9 134.4 349.9H144zM212.7 441.3L137.4 365.9H134.4C69.01 365.9 16 418.9 16 484.3C16 489.6 20.3 493.9 25.6 493.9H422.4C427.7 493.9 432 489.6 432 484.3C432 418.9 378.1 365.9 313.6 365.9H310.6L235.3 441.3C229.1 447.5 218.9 447.5 212.7 441.3H212.7z"],
    "user-pen": [640, 512, ["user-edit"], "f4ff", "M223.1 256c70.7 0 128-57.31 128-128s-57.3-128-128-128C153.3 0 96 57.31 96 128S153.3 256 223.1 256zM224 16c61.76 0 112 50.24 112 112S285.8 240 224 240S112 189.8 112 128S162.2 16 224 16zM320 496H41.44C27.41 496 16 485.2 16 472C16 388.2 87.41 320 175.2 320h97.69c39.16 0 76.78 13.72 105.1 38.59c3.375 2.844 8.406 2.469 11.28-.9062c2.875-3.344 2.469-8.406-.9062-11.28C357.1 319.1 315.8 304 272.8 304H175.2C78.56 304 0 379.4 0 472C0 494.1 18.59 512 41.44 512H320c4.406 0 8-3.594 8-8S324.4 496 320 496zM629.5 255.7l-21.1-21.11c-7.029-7.029-16.24-10.54-25.46-10.54s-18.43 3.516-25.45 10.54l-186.1 186.1c-2.514 2.512-4.227 5.715-4.924 9.203l-14.28 71.41C351 506.9 355.5 512 360.1 512c.5898 0 1.189-.0586 1.797-.1797l71.42-14.29c3.482-.6992 6.682-2.406 9.195-4.922l186.1-186C643.5 292.5 643.5 269.7 629.5 255.7zM431.1 481.8l-61.1 12.34l12.74-62.26l130.1-130.1l49.31 49.31L431.1 481.8zM618.1 295.3l-43.85 43.73l-49.33-49.33l43.79-43.79c3.777-3.777 8.797-5.857 14.14-5.857s10.36 2.08 14.14 5.857l21.1 21.11C621.9 270.7 624 275.8 624 281.1S621.9 291.5 618.1 295.3z"],
    "user-pilot": [448, 512, [], "e2c0", "M69.93 112.2v26.75c0 3.156 1.847 6 4.726 7.312C118.3 165.7 169.8 176 223.6 176s105.4-10.31 148.1-29.78c2.88-1.312 4.726-4.156 4.726-7.312V112.2l19.63-19.62c6.104-6.094 9.484-14.22 9.484-22.88c0-14.88-10.08-27.78-24.54-31.38l-148.6-37.06c-6.323-1.625-13.08-1.625-19.41 0L65.36 38.28c-14.46 3.594-24.54 16.5-24.54 31.38c0 8.656 3.38 16.78 9.484 22.88L69.93 112.2zM69.24 53.78l148.6-37.06c3.787-.9375 7.794-.9375 11.64 0l148.6 37.06c7.293 1.844 12.39 8.375 12.39 15.88c0 4.375-1.69 8.469-4.789 11.56l-21.97 21.97c-1.502 1.5-2.348 3.531-2.348 5.656v24.81C320.8 150.9 273.3 160 223.6 160S126.5 150.9 85.95 133.7V108.8c0-2.125-.8451-4.156-2.348-5.656L61.63 81.22C58.53 78.13 56.84 74.03 56.84 69.66C56.84 62.16 61.94 55.63 69.24 53.78zM220.1 111.2C221.2 111.7 222.4 112 223.6 112s2.441-.2813 3.568-.8438l64.1-32c3.975-1.969 5.571-6.781 3.6-10.72c-2.003-3.969-6.855-5.469-10.74-3.594L223.6 95.06L163.1 64.84C159.3 62.94 154.4 64.47 152.4 68.44C150.4 72.38 151.1 77.19 155.1 79.16L220.1 111.2zM335.8 192c0 61.75-50.28 112-112.1 112S111.5 253.8 111.5 192c0-4.406-3.6-8-8.013-8C99.04 184 95.44 187.6 95.44 192c0 70.59 57.5 128 128.2 128s128.3-57.41 128.3-128c0-4.406-3.715-8-8.128-8C339.4 184 335.8 187.6 335.8 192zM319.9 352l-96.26 80L128.1 352C57.3 352 0 409.3 0 480c0 17.67 14.32 32 32.03 32h383.9C433.7 512 448 497.7 448 480C448 409.3 390.7 352 319.9 352zM215.6 496H32.05c-8.836 0-16.03-7.178-16.03-16c0-59.86 47.28-108.9 106.5-111.9l90.8 76.11c.6964 .584 1.528 .8672 2.291 1.314V496zM415.9 496h-184.3v-50.43c.7473-.4375 1.563-.7109 2.248-1.281l91.53-76.15c59.25 2.939 106.5 51.99 106.5 111.9C431.1 488.8 424.8 496 415.9 496zM375.9 432h-48.08c-4.425 0-8.013 3.582-8.013 8S323.4 448 327.8 448h48.08c4.425 0 8.013-3.582 8.013-8S380.3 432 375.9 432z"],
    "user-pilot-tie": [448, 512, [], "e2c1", "M69.93 112.2v26.75c0 3.156 1.847 6 4.726 7.312C118.3 165.7 169.8 176 223.6 176s105.4-10.31 148.1-29.78c2.88-1.312 4.726-4.156 4.726-7.312V112.2l19.63-19.62c6.104-6.094 9.484-14.22 9.484-22.88c0-14.88-10.08-27.78-24.54-31.38l-148.6-37.06c-6.323-1.625-13.08-1.625-19.41 0L65.36 38.28c-14.46 3.594-24.54 16.5-24.54 31.38c0 8.656 3.38 16.78 9.484 22.88L69.93 112.2zM69.24 53.78l148.6-37.06c3.787-.9375 7.794-.9375 11.64 0l148.6 37.06c7.293 1.844 12.39 8.375 12.39 15.88c0 4.375-1.69 8.469-4.789 11.56l-21.97 21.97c-1.502 1.5-2.348 3.531-2.348 5.656v24.81C320.8 150.9 273.3 160 223.6 160S126.5 150.9 85.95 133.7V108.8c0-2.125-.8451-4.156-2.348-5.656L61.63 81.22C58.53 78.13 56.84 74.03 56.84 69.66C56.84 62.16 61.94 55.63 69.24 53.78zM220.1 111.2C221.2 111.7 222.4 112 223.6 112s2.441-.2813 3.568-.8438l64.1-32c3.975-1.969 5.571-6.781 3.6-10.72c-2.003-3.969-6.855-5.469-10.74-3.594L223.6 95.06L163.1 64.84C159.3 62.94 154.4 64.47 152.4 68.44C150.4 72.38 151.1 77.19 155.1 79.16L220.1 111.2zM335.8 192c0 61.75-50.28 112-112.1 112S111.5 253.8 111.5 192c0-4.406-3.6-8-8.013-8C99.04 184 95.44 187.6 95.44 192c0 70.59 57.5 128 128.2 128s128.3-57.41 128.3-128c0-4.406-3.715-8-8.128-8C339.4 184 335.8 187.6 335.8 192zM319.9 352l-68.26 102.1l-18.69-37.33l37.25-52.06c1.784-2.469 2.035-5.688 .6573-8.344S266.7 352 263.7 352H183.6c-3.005 0-5.759 1.688-7.136 4.344c-1.377 2.656-1.127 5.906 .626 8.344l37.25 52.06l-18.59 37.13L128.1 352C57.3 352 0 409.3 0 480c0 17.67 14.32 32 32.03 32h383.9C433.7 512 448 497.7 448 480C448 409.3 390.7 352 319.9 352zM199.1 368h48.98L223.6 402.3L199.1 368zM32.05 496c-8.836 0-16.03-7.178-16.03-16c0-58.93 45.83-107.4 103.8-111.7L204.4 496H32.05zM223.6 496l-17.73-26.75l17.73-35.38l17.77 35.51L223.6 496zM415.9 496h-173l85.26-127.7C386.1 372.6 431.1 421.1 431.1 480C431.1 488.8 424.8 496 415.9 496zM375.9 432h-48.08c-4.425 0-8.013 3.582-8.013 8S323.4 448 327.8 448h48.08c4.425 0 8.013-3.582 8.013-8S380.3 432 375.9 432z"],
    "user-plus": [640, 512, [], "f234", "M224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM224 16c61.76 0 112 50.24 112 112S285.8 240 224 240S112 189.8 112 128S162.2 16 224 16zM274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512h378.7C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM413.3 496H34.67C24.37 496 16 487.6 16 477.3C16 390.6 86.58 320 173.3 320h101.3C361.4 320 432 390.6 432 477.3C432 487.6 423.6 496 413.3 496zM632 216h-80v-80C552 131.6 548.4 128 544 128s-8 3.594-8 8v80h-80C451.6 216 448 219.6 448 224s3.594 8 8 8h80v80C536 316.4 539.6 320 544 320s8-3.594 8-8v-80h80C636.4 232 640 228.4 640 224S636.4 216 632 216z"],
    "user-police": [448, 512, [], "e333", "M69.93 112.2v26.75c0 3.156 1.848 6 4.727 7.312C118.3 165.7 169.8 176 223.6 176s105.4-10.31 148.1-29.78c2.881-1.312 4.727-4.156 4.727-7.312V112.2l19.62-19.62c6.104-6.094 9.484-14.22 9.484-22.88c0-14.88-10.08-27.78-24.54-31.38l-148.6-37.06c-6.322-1.625-13.08-1.625-19.41 0L65.36 38.28c-14.46 3.594-24.54 16.5-24.54 31.38c0 8.656 3.381 16.78 9.484 22.88L69.93 112.2zM69.24 53.78l148.6-37.06c3.789-.9375 7.795-.9375 11.64 0l148.6 37.06c7.293 1.844 12.39 8.375 12.39 15.88c0 4.375-1.691 8.469-4.789 11.56l-21.97 21.97c-1.502 1.5-2.348 3.531-2.348 5.656v24.81C320.8 150.9 273.3 160 223.6 160C173.1 160 126.5 150.9 85.95 133.7V108.8c0-2.125-.8438-4.156-2.348-5.656L61.63 81.22C58.53 78.13 56.84 74.03 56.84 69.66C56.84 62.16 61.95 55.63 69.24 53.78zM335.8 192c0 61.75-50.28 112-112.1 112C161.8 304 111.5 253.8 111.5 192c0-4.406-3.6-8-8.012-8C99.04 184 95.44 187.6 95.44 192c0 70.59 57.5 128 128.2 128s128.3-57.41 128.3-128c0-4.406-3.715-8-8.127-8C339.4 184 335.8 187.6 335.8 192zM320 352h-32l-64 64l-64-64H128c-70.69 0-128 57.31-128 128c0 17.67 14.33 32 32 32h384c17.67 0 32-14.33 32-32C448 409.3 390.7 352 320 352zM416 496H32c-8.822 0-16-7.178-16-16c0-61.76 50.24-112 112-112h25.37L224 438.6L294.6 368H320c61.76 0 112 50.24 112 112C432 488.8 424.8 496 416 496zM224 136c13.22 0 45.5-23.83 45.5-68c0-6.281-3.75-11.89-9.562-14.31l-29.84-12.44c-3.5-1.531-8.844-1.469-12.03-.0625l-30 12.5C182.3 56.11 178.5 61.72 178.5 68C178.5 112.2 210.8 136 224 136zM223.8 55.97L253.5 68c0 34.83-24.69 51.31-29.25 52.02C219.2 119.3 194.7 102.8 194.5 68.34L223.8 55.97zM373.1 413.3l-17.69-2.578l-7.938-15.98c-2.156-4.391-6.578-7.125-11.48-7.125c0 0 .0313 0 0 0c-4.875 .0156-9.266 2.766-11.39 7.125l-7.938 15.98l-17.66 2.578c-4.875 .7031-8.844 4.031-10.34 8.703c-1.531 4.656-.2813 9.672 3.25 13.09l12.78 12.44l-3 17.53c-.8438 4.844 1.094 9.641 5.062 12.52c2.25 1.641 4.875 2.469 7.531 2.469c2.031 0 4.062-.5 5.938-1.5L336 470.2l15.81 8.297c4.25 2.281 9.438 1.938 13.47-.9844c3.969-2.891 5.906-7.672 5.062-12.47l-3-17.56l12.78-12.44c3.531-3.422 4.781-8.438 3.25-13.09C381.9 417.3 377.9 413.1 373.1 413.3zM350.2 441.9l3.312 19.42L336 452.2l-17.47 9.172l3.312-19.42l-14.12-13.75l19.53-2.844L336 407.6l8.75 17.69l19.53 2.844L350.2 441.9z"],
    "user-police-tie": [448, 512, [], "e334", "M319.9 352l-68.26 102.1l-18.69-37.33l37.25-52.06c1.785-2.469 2.035-5.688 .6582-8.344S266.7 352 263.7 352H183.6c-3.004 0-5.758 1.688-7.135 4.344c-1.379 2.656-1.127 5.906 .625 8.344l37.25 52.06L195.7 453.9L128.1 352C57.3 352 0 409.3 0 480c0 17.67 14.32 32 32.03 32h383.9C433.7 512 448 497.7 448 480C448 409.3 390.7 352 319.9 352zM199.1 368h48.98l-24.48 34.25L199.1 368zM32.05 496c-8.836 0-16.03-7.178-16.03-16c0-58.93 45.83-107.4 103.8-111.7L204.4 496H32.05zM223.6 496l-17.73-26.75l17.73-35.38l17.77 35.51L223.6 496zM415.9 496h-173l85.26-127.7C386.1 372.6 431.1 421.1 431.1 480C431.1 488.8 424.8 496 415.9 496zM224 136c13.22 0 45.5-23.83 45.5-68c0-6.266-3.719-11.88-9.531-14.31L229.1 41.2c-3.468-1.453-8.468-1.469-11.94-.0156l-30 12.5C182.3 56.11 178.5 61.72 178.5 68C178.5 112.2 210.8 136 224 136zM223.8 55.97L253.5 68c0 34.83-24.69 51.31-29.25 52.02C219.2 119.3 194.7 102.8 194.5 68.34L223.8 55.97zM69.93 112.2v26.75c0 3.156 1.848 6 4.727 7.312C118.3 165.7 169.8 176 223.6 176s105.4-10.31 148.1-29.78c2.881-1.312 4.727-4.156 4.727-7.312V112.2l19.62-19.62c6.104-6.094 9.484-14.22 9.484-22.88c0-14.88-10.08-27.78-24.54-31.38l-148.6-37.06c-6.322-1.625-13.08-1.625-19.41 0L65.36 38.28c-14.46 3.594-24.54 16.5-24.54 31.38c0 8.656 3.381 16.78 9.484 22.88L69.93 112.2zM69.24 53.78l148.6-37.06c3.789-.9375 7.795-.9375 11.64 0l148.6 37.06c7.293 1.844 12.39 8.375 12.39 15.88c0 4.375-1.691 8.469-4.789 11.56l-21.97 21.97c-1.502 1.5-2.348 3.531-2.348 5.656v24.81C320.8 150.9 273.3 160 223.6 160C173.1 160 126.5 150.9 85.95 133.7V108.8c0-2.125-.8438-4.156-2.348-5.656L61.63 81.22C58.53 78.13 56.84 74.03 56.84 69.66C56.84 62.16 61.95 55.63 69.24 53.78zM335.8 192c0 61.75-50.28 112-112.1 112C161.8 304 111.5 253.8 111.5 192c0-4.406-3.6-8-8.012-8C99.04 184 95.44 187.6 95.44 192c0 70.59 57.5 128 128.2 128s128.3-57.41 128.3-128c0-4.406-3.715-8-8.127-8C339.4 184 335.8 187.6 335.8 192z"],
    "user-robot": [448, 512, [], "e04b", "M200 160C200 182.1 182.1 200 160 200C137.9 200 120 182.1 120 160C120 137.9 137.9 120 160 120C182.1 120 200 137.9 200 160zM160 184C173.3 184 184 173.3 184 160C184 146.7 173.3 136 160 136C146.7 136 136 146.7 136 160C136 173.3 146.7 184 160 184zM248 160C248 137.9 265.9 120 288 120C310.1 120 328 137.9 328 160C328 182.1 310.1 200 288 200C265.9 200 248 182.1 248 160zM288 136C274.7 136 264 146.7 264 160C264 173.3 274.7 184 288 184C301.3 184 312 173.3 312 160C312 146.7 301.3 136 288 136zM240 248H296C300.4 248 304 251.6 304 256C304 260.4 300.4 264 296 264H240C235.6 264 232 260.4 232 256C232 251.6 235.6 248 240 248zM152 264C147.6 264 144 260.4 144 256C144 251.6 147.6 248 152 248H208C212.4 248 216 251.6 216 256C216 260.4 212.4 264 208 264H152zM224 0C228.4 0 232 3.582 232 8V64H312C351.8 64 384 96.24 384 136V248C384 287.8 351.8 320 312 320H136C96.24 320 64 287.8 64 248V136C64 96.24 96.24 64 136 64H216V8C216 3.582 219.6 0 224 0zM136 80C105.1 80 80 105.1 80 136V248H112C116.4 248 120 251.6 120 256C120 260.4 116.4 264 112 264H82.32C89.2 287.1 110.6 304 136 304H312C337.4 304 358.8 287.1 365.7 264H336C331.6 264 328 260.4 328 256C328 251.6 331.6 248 336 248H368V136C368 105.1 342.9 80 312 80H136zM16 136C16 131.6 19.58 128 24 128C28.42 128 32 131.6 32 136V248C32 252.4 28.42 256 24 256C19.58 256 16 252.4 16 248V136zM424 128C428.4 128 432 131.6 432 136V248C432 252.4 428.4 256 424 256C419.6 256 416 252.4 416 248V136C416 131.6 419.6 128 424 128zM48 512C21.49 512 0 490.5 0 464V448C0 394.1 42.98 352 96 352H352C405 352 448 394.1 448 448V464C448 490.5 426.5 512 400 512H48zM16 464C16 481.7 30.33 496 48 496H96V448C96 430.3 110.3 416 128 416H320C337.7 416 352 430.3 352 448V496H400C417.7 496 432 481.7 432 464V448C432 403.8 396.2 368 352 368H96C51.82 368 16 403.8 16 448V464zM112 496H152V432H128C119.2 432 112 439.2 112 448V496zM168 432V496H216V432H168zM232 432V496H280V432H232zM296 432V496H336V448C336 439.2 328.8 432 320 432H296z"],
    "user-robot-xmarks": [448, 512, [], "e4a7", "M240 248H296C300.4 248 304 251.6 304 256C304 260.4 300.4 264 296 264H240C235.6 264 232 260.4 232 256C232 251.6 235.6 248 240 248zM152 264C147.6 264 144 260.4 144 256C144 251.6 147.6 248 152 248H208C212.4 248 216 251.6 216 256C216 260.4 212.4 264 208 264H152zM122.3 122.3C125.5 119.2 130.5 119.2 133.7 122.3L159.1 148.7L186.3 122.3C189.5 119.2 194.5 119.2 197.7 122.3C200.8 125.5 200.8 130.5 197.7 133.7L171.3 159.1L197.7 186.3C200.8 189.5 200.8 194.5 197.7 197.7C194.5 200.8 189.5 200.8 186.3 197.7L159.1 171.3L133.7 197.7C130.5 200.8 125.5 200.8 122.3 197.7C119.2 194.5 119.2 189.5 122.3 186.3L148.7 159.1L122.3 133.7C119.2 130.5 119.2 125.5 122.3 122.3V122.3zM288 148.7L314.3 122.3C317.5 119.2 322.5 119.2 325.7 122.3C328.8 125.5 328.8 130.5 325.7 133.7L299.3 160L325.7 186.3C328.8 189.5 328.8 194.5 325.7 197.7C322.5 200.8 317.5 200.8 314.3 197.7L288 171.3L261.7 197.7C258.5 200.8 253.5 200.8 250.3 197.7C247.2 194.5 247.2 189.5 250.3 186.3L276.7 160L250.3 133.7C247.2 130.5 247.2 125.5 250.3 122.3C253.5 119.2 258.5 119.2 261.7 122.3L288 148.7zM224 0C228.4 0 232 3.582 232 8V64H312C351.8 64 384 96.24 384 136V248C384 287.8 351.8 320 312 320H136C96.24 320 64 287.8 64 248V136C64 96.24 96.24 64 136 64H216V8C216 3.582 219.6 0 224 0zM136 80C105.1 80 80 105.1 80 136V248H112C116.4 248 120 251.6 120 256C120 260.4 116.4 264 112 264H82.32C89.2 287.1 110.6 304 136 304H312C337.4 304 358.8 287.1 365.7 264H336C331.6 264 328 260.4 328 256C328 251.6 331.6 248 336 248H368V136C368 105.1 342.9 80 312 80H136zM16 136C16 131.6 19.58 128 24 128C28.42 128 32 131.6 32 136V248C32 252.4 28.42 256 24 256C19.58 256 16 252.4 16 248V136zM424 128C428.4 128 432 131.6 432 136V248C432 252.4 428.4 256 424 256C419.6 256 416 252.4 416 248V136C416 131.6 419.6 128 424 128zM48 512C21.49 512 0 490.5 0 464V448C0 394.1 42.98 352 96 352H352C405 352 448 394.1 448 448V464C448 490.5 426.5 512 400 512H48zM16 464C16 481.7 30.33 496 48 496H96V448C96 430.3 110.3 416 128 416H320C337.7 416 352 430.3 352 448V496H400C417.7 496 432 481.7 432 464V448C432 403.8 396.2 368 352 368H96C51.82 368 16 403.8 16 448V464zM112 496H152V432H128C119.2 432 112 439.2 112 448V496zM168 496H216V432H168V496zM232 496H280V432H232V496zM296 496H336V448C336 439.2 328.8 432 320 432H296V496z"],
    "user-secret": [448, 512, [128373], "f21b", "M381.9 337.8l33.5-82.03c2.875-7.062 2.031-15.06-2.219-21.41C408.9 227.8 401.6 224 393.7 224h-46.22c2.668-10.29 4.534-20.88 4.534-32c0-4.406-3.596-7.875-8.003-7.875s-8 3.688-8 8.094C335.1 253.8 285.7 304 223.1 304S112 253.8 112 192.2c0-4.406-3.594-8.094-8-8.094S96 187.7 96 192.1C96 203.1 97.88 213.8 100.5 224H54.31C46.44 224 39.13 227.8 34.78 234.3C30.53 240.7 29.69 248.7 32.56 255.8l33.5 82C24 370.6 0 418.9 0 471.3C0 493.7 18.59 512 41.44 512h144c2.5 0 4.844-1.156 6.375-3.156c1.5-2 2-4.594 1.344-7l-33.41-120c-1.188-4.25-5.594-6.594-9.875-5.562c-4.25 1.188-6.75 5.594-5.562 9.875L174.9 496H41.44C27.41 496 16 484.9 16 471.3c0-49.19 23.53-94.5 64.53-124.3c2.969-2.156 4.094-6.094 2.688-9.5L47.38 249.7C46.5 247.6 46.75 245.2 48.06 243.3C49.44 241.2 51.72 240 54.31 240h51.16C124.5 286.8 170.3 320 223.1 320c53.61 0 99.46-33.13 118.5-80h51.2c2.594 0 4.875 1.188 6.25 3.25c1.312 1.938 1.562 4.312 .6875 6.438l-35.84 87.72c-1.406 3.406-.2813 7.344 2.688 9.5C408.5 376.8 432 422.1 432 471.3C432 484.9 420.6 496 406.6 496h-133.5l30.59-109.8c1.188-4.281-1.312-8.688-5.562-9.875c-4.281-1.094-8.688 1.281-9.875 5.562l-33.41 120c-.6562 2.406-.1562 5 1.344 7C257.7 510.8 260.1 512 262.6 512h144C429.4 512 448 493.7 448 471.3C448 418.9 424 370.6 381.9 337.8zM110.3 124.3C110.8 124.4 111.4 124.5 112 124.5c3.654 0 6.967-2.531 7.811-6.25C134.3 53.28 153.8 16 173.3 16c6.875 0 14 2.781 21.12 8.281c17.44 13.62 41.84 13.59 59.22 .0313C260.8 18.78 267.9 16 274.8 16c19.56 0 39.03 37.09 53.38 101.8c.9687 4.312 5.279 7.094 9.529 6.094c4.312-.9687 7.062-5.219 6.094-9.531C326.1 38.47 303.8 0 274.8 0c-10.5 0-20.91 3.906-30.94 11.66C232.2 20.78 216 20.78 204.2 11.62C194.2 3.906 183.8 0 173.3 0C144.5 0 121.3 38.59 104.2 114.8C103.2 119.1 105.9 123.3 110.3 124.3zM128 176.8v20.47C128 220.8 147.4 240 171.2 240h11.31c17.84 0 34-11.31 40.16-28.16h2.625C231.5 228.7 247.6 240 265.5 240h11.31C300.6 240 320 220.8 320 197.2V176.8c81.03-13.81 101.6-42.72 102.7-44.31c2.438-3.625 1.438-8.5-2.156-10.97c-3.594-2.406-8.562-1.562-11.09 2C409.1 123.9 375.9 168 224 168c-150.1 0-184.7-43.56-185.4-44.53C36.13 119.8 31.22 118.9 27.56 121.3C23.88 123.8 22.91 128.8 25.34 132.4C26.41 134 46.97 162.9 128 176.8zM144 179.2C166.4 182.2 192.8 184 224 184s57.56-1.844 80-4.805v18.02C304 212 291.8 224 276.8 224h-11.31c-11.34 0-21.22-6.938-25.12-17.62C237.8 199.3 231.3 194.7 224 194.7S210.3 199.3 207.7 206.3C203.8 217.1 193.9 224 182.5 224H171.2C156.2 224 144 212 144 197.2V179.2zM248 344h-48C195.6 344 192 347.6 192 352s3.594 8 8 8h16v144C216 508.4 219.6 512 224 512s8-3.594 8-8v-144h16c4.406 0 8-3.594 8-8S252.4 344 248 344z"],
    "user-shakespeare": [448, 512, [], "e2c2", "M256 140c6.627 0 12-5.373 12-12S262.6 116 256 116S244 121.4 244 128S249.4 140 256 140zM337.7 328.7C322.9 313.6 302 304 278.7 304H169.3c-23.35 0-44.26 9.607-59.07 24.73C46.34 349.6 0 409.1 0 480C0 497.7 14.33 512 32 512h384c17.67 0 32-14.29 32-31.96C448 409.1 401.7 349.6 337.7 328.7zM232 320h46.66c35.88 0 65.06 27.52 65.06 61.33v21.11c-19.52-9.906-60.67-27.04-111.7-28.78V320zM104.3 381.3C104.3 347.5 133.5 320 169.3 320H216v53.66c-51.05 1.734-92.2 18.87-111.7 28.78V381.3zM416 496H32c-8.822 0-16-7.178-16-16c0-55.58 31.94-103.4 78.19-127.3c-3.73 8.875-5.912 18.5-5.912 28.63V416c0 6.262 6.902 10.11 12.28 6.766C101.1 422.4 154.4 389.4 224 389.3c69.64 .0508 122.9 33.1 123.4 33.43C352.8 426.1 359.7 422.3 359.7 416v-34.67c0-10.13-2.182-19.76-5.912-28.63C400.1 376.6 432 424.4 432 480C432 488.8 424.8 496 416 496zM224 404c-6.627 0-12 5.373-12 12S217.4 428 224 428s12-5.373 12-12S230.6 404 224 404zM224 452c-6.627 0-12 5.373-12 12S217.4 476 224 476s12-5.373 12-12S230.6 452 224 452zM119.9 255.8H128c4.406 0 8-3.578 8-8s-3.594-8-8-8H119.9c-18.06 0-32.75-14.69-32.75-32.73c0-8.594 3.5-17.03 9.594-23.14C109.2 171.5 116 155 116 137.5V132.6c0-4.547 1.461-8.809 4-12.28V168C120 225.4 166.6 272 224 272s104-46.56 104-104V120.3c2.539 3.473 4 7.734 4 12.28V137.5c0 17.55 6.812 34.02 19.22 46.39c6.094 6.109 9.594 14.55 9.594 23.14c0 18.05-14.69 32.73-32.75 32.73H320c-4.406 0-8 3.578-8 8s3.594 8 8 8h8.062c26.88 0 48.75-21.86 48.75-48.73c0-12.8-5.188-25.36-14.28-34.45C353.2 163.2 348 150.8 348 137.5V132.6c0-14.07-8.158-26.23-20.39-32.43C325.5 44.53 280.1 0 224 0S122.5 44.53 120.4 100.1C108.2 106.3 100 118.5 100 132.6V137.5c0 13.27-5.156 25.72-14.53 35.08C76.38 181.7 71.19 194.2 71.19 207C71.19 233.9 93.06 255.8 119.9 255.8zM136 104C136 55.48 175.5 16 224 16s88 39.48 88 88v64c0 45.84-35.35 83.17-80.16 87.21C231.9 255.1 232 254.1 232 254.8v-32c0-4.422-3.594-8-8-8s-8 3.578-8 8v32c0 .1484 .1484 .2324 .1562 .3789C171.4 251.2 136 213.8 136 168V104zM192 140c6.627 0 12-5.373 12-12S198.6 116 192 116S180 121.4 180 128S185.4 140 192 140zM184 204.4c16.31 0 31.94-10.72 40-17.31c8.062 6.594 23.69 17.31 40 17.31c4.406 0 8-3.578 8-8s-3.594-8-8-8c-13.59 0-29.41-12.75-34.34-17.67C228.1 169.2 226 168.4 224 168.4c-2.039-.002-4.084 .7578-5.656 2.314C213.4 175.7 197.6 188.4 184 188.4c-4.406 0-8 3.578-8 8S179.6 204.4 184 204.4z"],
    "user-shield": [640, 512, [], "f505", "M224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM224 16c61.76 0 112 50.24 112 112S285.8 240 224 240S112 189.8 112 128S162.2 16 224 16zM384 496H41.44C27.41 496 16 485.2 16 472C16 388.2 87.41 320 175.2 320h97.69c15.34 0 30.5 2.062 44.97 6.156c4.344 1.25 8.719-1.281 9.875-5.5c1.219-4.25-1.25-8.688-5.5-9.875C306.3 306.3 289.7 304 272.8 304H175.2C78.56 304 0 379.4 0 472C0 494.1 18.59 512 41.44 512H384c4.406 0 8-3.594 8-8S388.4 496 384 496zM622.3 271.1l-115.1-45.01C504.7 225.1 500.8 224 495.1 224c-3.35 0-7.143 .5544-11.1 2.097L369.8 271.1C359 275.2 352 285.1 352 295.1c0 111.6 68.75 188.8 132.9 213.9C488.8 511.4 492.6 512 495.1 512c4.783 0 8.669-1.139 11.17-2.096C558.4 489.9 640 420.5 640 295.1C640 285.1 633 275.2 622.3 271.1zM488 493.7c-58.32-24.27-120-95.57-120-197.7c0-4.299 2.938-8.201 7.576-9.982L488 242V493.7zM504 493.8V242l112.5 43.99C621.1 287.8 624 291.7 624 295.1C624 413.2 546.9 475.9 504 493.8z"],
    "user-slash": [640, 512, [], "f506", "M130.7 496c-10.29 0-18.67-8.375-18.67-18.67C111.1 390.6 182.6 320 269.3 320h15.52L264.9 304.3c-93.7 2.328-168.9 78.81-168.9 173.1c0 19.14 15.52 34.67 34.66 34.67h378.7c4.82 0 9.399-.998 13.57-2.771L506.3 496H130.7zM319.1 16c61.76 0 112 50.24 112 112c0 36.55-17.85 68.76-45.02 89.21l12.79 10.16c29.19-23.46 48.24-59.02 48.24-99.38C447.1 57.31 390.7 0 319.1 0C269.2 0 225.8 29.79 205.1 72.63l12.69 10.08C235.2 43.49 274.4 16 319.1 16zM636.1 497.7l-623.1-496c-1.463-1.164-3.217-1.73-4.963-1.73c-2.352 0-4.689 1.027-6.287 3.012c-2.75 3.469-2.172 8.5 1.281 11.25l623.1 496C628.5 511.4 630.2 512 631.1 512c2.344 0 4.688-1.031 6.266-3.016C641 505.5 640.4 500.5 636.1 497.7z"],
    "user-tag": [640, 512, [], "f507", "M224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM224 16c61.76 0 112 50.24 112 112S285.8 240 224 240S112 189.8 112 128S162.2 16 224 16zM416 496H41.44C27.41 496 16 485.2 16 472C16 388.2 87.41 320 175.2 320h97.69c26.31 0 52.44 6.281 75.5 18.16c3.844 1.938 8.719 .4375 10.78-3.469c2-3.938 .4687-8.75-3.469-10.78C330.3 310.9 301.7 304 272.8 304H175.2C78.56 304 0 379.4 0 472C0 494.1 18.59 512 41.44 512H416c4.406 0 8-3.594 8-8S420.4 496 416 496zM630.6 364.8L540.3 274.8C528.3 262.8 512 256 495 256h-79.23c-17.73 0-31.99 14.25-31.99 32l.0147 79.2c0 17 6.659 33.15 18.65 45.15l90.31 90.27C499 508.9 507.3 512 515.4 512c8.182 0 16.34-3.125 22.58-9.375l92.49-92.5C643.1 397.6 643.1 377.3 630.6 364.8zM619.2 398.8l-92.41 92.5C523.8 494.3 519.8 496 515.5 496c-4.262 0-8.27-1.664-11.29-4.691l-90.28-90.24C404.9 392.1 400 380.1 400 367.3V288c0-8.973 7.016-16 15.97-16h79.18c12.8 0 24.83 4.992 33.91 14.07l90.28 90.11c3.021 3.023 4.68 7.035 4.67 11.29C623.1 391.7 622.3 395.7 619.2 398.8zM448 304c-8.834 0-16 7.166-16 16c0 8.916 7.111 15.94 15.95 15.94c8.916 0 16-7.168 16-16C463.9 311.1 456.9 304 448 304z"],
    "user-tie": [448, 512, [], "f508", "M96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128C352 198.7 294.7 256 224 256C153.3 256 96 198.7 96 128zM336 128C336 66.14 285.9 16 224 16C162.1 16 112 66.14 112 128C112 189.9 162.1 240 224 240C285.9 240 336 189.9 336 128zM176.9 308.3C178.3 305.7 181 304 184 304H264C266.1 304 269.7 305.7 271.1 308.3C272.5 311 272.3 314.2 270.5 316.6L233.3 368.7L256.5 415.1L303.6 320.9C384.7 329.3 448 397.9 448 481.3C448 498.2 434.2 511.1 417.3 511.1H30.72C13.75 511.1 0 498.2 0 481.3C0 397.9 63.28 329.3 144.4 320.9L191.5 415.1L214.7 368.7L177.5 316.6C175.7 314.2 175.5 311 176.9 308.3H176.9zM199.5 320L224 354.2L248.5 320H199.5zM135.3 338.3C67.45 350.6 16 409.9 16 481.3C16 489.4 22.59 495.1 30.72 495.1H214.1L135.3 338.3zM200.5 432.9L224 480L247.5 432.9L224 385.9L200.5 432.9zM432 481.3C432 409.9 380.5 350.6 312.7 338.3L233.9 495.1H417.3C425.4 495.1 432 489.4 432 481.3H432z"],
    "user-tie-hair": [448, 512, [], "e45f", "M96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128V144C352 214.7 294.7 272 224 272C153.3 272 96 214.7 96 144V128zM334.9 112H312C289.9 112 269 101.8 255.4 84.49L250.1 89.86C231.2 113.1 201.7 128 170.5 128H112V144C112 205.9 162.1 256 224 256C285.9 256 336 205.9 336 144V128C336 122.6 335.6 117.2 334.9 112L334.9 112zM312 96H331.4C324.6 73.21 310.7 53.46 292.4 39.29L265.8 71.75L267.2 73.6C277.8 87.7 294.4 96 312 96H312zM278.1 30.4C262.7 21.23 243.1 16 224 16C167.6 16 120.9 57.72 113.1 112H170.5C196.9 112 221.9 100.2 238.6 79.72L278.1 30.4zM176.9 308.3C178.3 305.7 181 304 184 304H264C266.1 304 269.7 305.7 271.1 308.3C272.5 311 272.3 314.2 270.5 316.6L233.3 368.7L256.5 415.1L303.6 320.9C384.7 329.3 448 397.9 448 481.3C448 498.2 434.2 511.1 417.3 511.1H30.72C13.75 511.1 0 498.2 0 481.3C0 397.9 63.28 329.3 144.4 320.9L191.5 415.1L214.7 368.7L177.5 316.6C175.7 314.2 175.5 311 176.9 308.3H176.9zM199.5 320L224 354.2L248.5 320H199.5zM135.3 338.3C67.45 350.6 16 409.9 16 481.3C16 489.4 22.59 495.1 30.72 495.1H214.1L135.3 338.3zM200.5 432.9L224 480L247.5 432.9L224 385.9L200.5 432.9zM432 481.3C432 409.9 380.5 350.6 312.7 338.3L233.9 495.1H417.3C425.4 495.1 432 489.4 432 481.3H432z"],
    "user-tie-hair-long": [448, 512, [], "e460", "M390.4 244.8C369.8 229.4 354.3 208.6 345.2 185.2C328.1 235.7 280.3 272 224 272C167.7 272 119.9 235.7 102.8 185.2C93.7 208.6 78.2 229.4 57.6 244.8L53.33 248C49.98 250.5 48 254.5 48 258.7C48 266 53.97 272 61.33 272H120C124.4 272 128 275.6 128 280C128 284.4 124.4 288 120 288H61.33C45.13 288 32 274.9 32 258.7C32 249.4 36.35 240.7 43.73 235.2L48 232C78.22 209.3 96 173.8 96 136V128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128V136C352 173.8 369.8 209.3 400 232L404.3 235.2C411.7 240.7 416 249.4 416 258.7C416 274.9 402.9 288 386.7 288H328C323.6 288 320 284.4 320 280C320 275.6 323.6 272 328 272H386.7C394 272 400 266 400 258.7C400 254.5 398 250.5 394.7 248L390.4 244.8zM336 144V128C336 122.6 335.6 117.2 334.9 112H312C289.9 112 269 101.8 255.4 84.49L250.1 89.86C231.2 113.1 201.7 128 170.5 128H112V144C112 205.9 162.1 256 224 256C285.9 256 336 205.9 336 144L336 144zM265.8 71.75L267.2 73.6C277.8 87.7 294.4 96 312 96H331.4C324.6 73.21 310.7 53.46 292.4 39.29L265.8 71.75zM113.1 112H170.5C196.9 112 221.9 100.2 238.6 79.72L278.1 30.4C262.7 21.23 243.1 15.1 224 15.1C167.6 15.1 120.9 57.72 113.1 111.1V112zM176.9 308.3C178.3 305.7 181 304 184 304H264C266.1 304 269.7 305.7 271.1 308.3C272.5 311 272.3 314.2 270.5 316.6L233.3 368.7L256.5 415.1L303.6 320.9C384.7 329.3 448 397.9 448 481.3C448 498.2 434.2 511.1 417.3 511.1H30.72C13.75 511.1 0 498.2 0 481.3C0 397.9 63.28 329.3 144.4 320.9L191.5 415.1L214.7 368.7L177.5 316.6C175.7 314.2 175.5 311 176.9 308.3H176.9zM199.5 320L224 354.2L248.5 320H199.5zM135.3 338.3C67.45 350.6 16 409.9 16 481.3C16 489.4 22.59 495.1 30.72 495.1H214.1L135.3 338.3zM200.5 432.9L224 480L247.5 432.9L224 385.9L200.5 432.9zM432 481.3C432 409.9 380.5 350.6 312.7 338.3L233.9 495.1H417.3C425.4 495.1 432 489.4 432 481.3H432z"],
    "user-unlock": [640, 512, [], "e058", "M224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM224 16c61.76 0 112 50.24 112 112S285.8 240 224 240S112 189.8 112 128S162.2 16 224 16zM320 496H41.44C27.41 496 16 485.2 16 472C16 388.2 87.41 320 175.2 320h97.69c15.34 0 30.5 2.062 44.97 6.156c4.375 1.25 8.688-1.281 9.875-5.5c1.219-4.25-1.25-8.688-5.5-9.875C306.3 306.3 289.7 304 272.8 304H175.2C78.56 304 0 379.4 0 472C0 494.1 18.59 512 41.44 512H320c4.406 0 8-3.594 8-8S324.4 496 320 496zM576 288h-128V208C448 181.5 469.5 160 496 160S544 181.5 544 208v8C544 220.4 547.6 224 552 224s8-3.594 8-8V208c0-35.28-28.72-64-64-64s-64 28.72-64 64V288H416c-35.35 0-64 28.65-64 64v96c0 35.35 28.65 64 64 64h160c35.35 0 64-28.65 64-64v-96C640 316.7 611.3 288 576 288zM624 448c0 26.47-21.53 48-48 48h-160c-26.47 0-48-21.53-48-48v-96c0-26.47 21.53-48 48-48h160c26.47 0 48 21.53 48 48V448zM496 384c-8.836 0-16 7.162-16 16c0 8.836 7.164 16 16 16s16-7.164 16-16C512 391.2 504.8 384 496 384z"],
    "user-visor": [448, 512, [], "e04c", "M272.8 304H175.2C78.56 304 0 379.4 0 472C0 494.1 18.59 512 41.44 512h365.1C429.4 512 448 494.1 448 472C448 379.4 369.4 304 272.8 304zM406.6 496H41.44C27.41 496 16 485.2 16 472C16 388.2 87.41 320 175.2 320h97.69C360.6 320 432 388.2 432 472C432 485.2 420.6 496 406.6 496zM318.9 360c-3.5 0-6.875 1.562-9.188 4.281c-20.94 24.22-33.59 55.81-37.66 94.06c-.4062 4.688 2.062 9.344 6.406 11.69c4.219 2.094 9 1.688 12.97-1.219c17.72-13.78 26.72-19.47 31.44-22c2.906 3.344 7.719 9.375 15.5 20.38C340.6 470.2 344.2 472 348 472l3.938-.5938C356.8 469.7 360 465.1 360 459.6c-1.188-36.88-11.81-68.72-31.62-94.66C326.5 362.2 323.3 360.4 318.9 360zM330.2 431.4l-2.281-2.031l-6.75 .7187c-5.844 1.812-16.38 8.5-31.97 20.28c4.312-28.53 14.19-52.59 29.38-71.75c13.59 19.25 21.81 42.09 24.53 67.91C337.5 439.1 333.2 434 330.2 431.4zM101.5 162.9C116.8 216.5 165.5 256 224 256c58.5 0 107.2-39.51 122.5-93.11C359.1 156.2 368 143.3 368 128V96c0-21.7-17.41-39.21-38.97-39.79C306 22.5 267.9 0 224 0C180.1 0 141.1 22.5 118.1 56.21C97.41 56.79 80 74.3 80 96v32C80 143.3 88.91 156.2 101.5 162.9zM224 240c-47.53 0-87.48-30.11-103.7-72h207.3C311.5 209.9 271.5 240 224 240zM224 16c34.09 0 64.02 15.88 84.55 40H139.4C159.1 31.88 189.9 16 224 16zM96 96c0-13.22 10.78-24 24-24h208C341.2 72 352 82.78 352 96v32c0 13.22-10.78 24-24 24h-208C106.8 152 96 141.2 96 128V96zM128 120h192c4.406 0 8-3.594 8-8S324.4 104 320 104H128c-4.406 0-8 3.594-8 8S123.6 120 128 120z"],
    "user-vneck": [448, 512, [], "e461", "M96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128C352 198.7 294.7 256 224 256C153.3 256 96 198.7 96 128zM336 128C336 66.14 285.9 16 224 16C162.1 16 112 66.14 112 128C112 189.9 162.1 240 224 240C285.9 240 336 189.9 336 128zM448 479.1C448 497.7 433.7 511.1 416 511.1H32C14.33 511.1 0 497.7 0 479.1V471.1C0 388.2 61.33 318.8 141.6 306.1L224 416L306.4 306.1C386.7 318.8 448 388.2 448 471.1V479.1zM134.7 323.6C66.79 338.8 16 399.5 16 471.1V479.1C16 488.8 23.16 495.1 32 495.1H416C424.8 495.1 432 488.8 432 479.1V471.1C432 399.5 381.2 338.8 313.3 323.6L236.8 425.6C233.8 429.6 229 432 224 432C218.1 432 214.2 429.6 211.2 425.6L134.7 323.6z"],
    "user-vneck-hair": [448, 512, [], "e462", "M96 128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128V144C352 214.7 294.7 272 224 272C153.3 272 96 214.7 96 144V128zM334.9 112H312C289.9 112 269 101.8 255.4 84.49L250.1 89.86C231.2 113.1 201.7 128 170.5 128H112V144C112 205.9 162.1 256 224 256C285.9 256 336 205.9 336 144V128C336 122.6 335.6 117.2 334.9 112L334.9 112zM312 96H331.4C324.6 73.21 310.7 53.46 292.4 39.29L265.8 71.75L267.2 73.6C277.8 87.7 294.4 96 311.1 96H312zM278.1 30.4C262.7 21.23 243.1 16 224 16C167.6 16 120.9 57.72 113.1 112H170.5C196.9 112 221.9 100.2 238.6 79.72L278.1 30.4zM448 480C448 497.7 433.7 512 416 512H32C14.33 512 0 497.7 0 480V472C0 388.2 61.33 318.8 141.6 306.1L224 416L306.4 306.1C386.7 318.8 448 388.2 448 472V480zM134.7 323.6C66.79 338.8 16 399.5 16 472V480C16 488.8 23.16 496 32 496H416C424.8 496 432 488.8 432 480V472C432 399.5 381.2 338.8 313.3 323.6L236.8 425.6C233.8 429.6 229 432 224 432C218.1 432 214.2 429.6 211.2 425.6L134.7 323.6z"],
    "user-vneck-hair-long": [448, 512, [], "e463", "M390.4 244.8C369.8 229.4 354.3 208.6 345.2 185.2C328.1 235.7 280.3 272 224 272C167.7 272 119.9 235.7 102.8 185.2C93.7 208.6 78.2 229.4 57.6 244.8L53.33 248C49.98 250.5 48 254.5 48 258.7C48 266 53.97 272 61.33 272H120C124.4 272 128 275.6 128 280C128 284.4 124.4 288 120 288H61.33C45.13 288 32 274.9 32 258.7C32 249.4 36.35 240.7 43.73 235.2L48 232C78.22 209.3 96 173.8 96 136V128C96 57.31 153.3 0 224 0C294.7 0 352 57.31 352 128V136C352 173.8 369.8 209.3 400 232L404.3 235.2C411.7 240.7 416 249.4 416 258.7C416 274.9 402.9 288 386.7 288H328C323.6 288 320 284.4 320 280C320 275.6 323.6 272 328 272H386.7C394 272 400 266 400 258.7C400 254.5 398 250.5 394.7 248L390.4 244.8zM336 144V128C336 122.6 335.6 117.2 334.9 112H312C289.9 112 269 101.8 255.4 84.49L250.1 89.86C231.2 113.1 201.7 128 170.5 128H112V144C112 205.9 162.1 256 224 256C285.9 256 336 205.9 336 144L336 144zM265.8 71.75L267.2 73.6C277.8 87.7 294.4 96 312 96H331.4C324.6 73.21 310.7 53.46 292.4 39.29L265.8 71.75zM113.1 112H170.5C196.9 112 221.9 100.2 238.6 79.72L278.1 30.4C262.7 21.23 243.1 15.1 224 15.1C167.6 15.1 120.9 57.72 113.1 111.1V112zM417.3 511.1H30.72C13.75 511.1 0 498.2 0 481.3C0 395.3 67.34 324.1 152.2 320.2L224 416L295.8 320.2C380.7 324.1 448 395.3 448 481.3C448 498.2 434.2 511.1 417.3 511.1V511.1zM144.7 336.9C72.28 345.2 16 406.6 16 481.3C16 489.4 22.59 495.1 30.72 495.1H417.3C425.4 495.1 432 489.4 432 481.3C432 406.6 375.7 345.2 303.3 336.9L236.8 425.6C233.8 429.6 229 432 224 432C218.1 432 214.2 429.6 211.2 425.6L144.7 336.9z"],
    "user-xmark": [640, 512, ["user-times"], "f235", "M224 256c70.7 0 128-57.31 128-128S294.7 0 224 0C153.3 0 96 57.31 96 128S153.3 256 224 256zM224 16c61.76 0 112 50.24 112 112S285.8 240 224 240S112 189.8 112 128S162.2 16 224 16zM274.7 304H173.3C77.61 304 0 381.6 0 477.3C0 496.5 15.52 512 34.66 512h378.7C432.5 512 448 496.5 448 477.3C448 381.6 370.4 304 274.7 304zM413.3 496H34.67C24.37 496 16 487.6 16 477.3C16 390.6 86.58 320 173.3 320h101.3C361.4 320 432 390.6 432 477.3C432 487.6 423.6 496 413.3 496zM555.3 224l66.34-66.34c3.125-3.125 3.125-8.188 0-11.31s-8.188-3.125-11.31 0L544 212.7l-66.34-66.34c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31L532.7 224l-66.34 66.34c-3.125 3.125-3.125 8.188 0 11.31c3.127 3.127 8.186 3.127 11.31 0L544 235.3l66.34 66.34c3.127 3.127 8.186 3.127 11.31 0c3.125-3.125 3.125-8.188 0-11.31L555.3 224z"],
    "users": [640, 512, [], "f0c0", "M556.5 192H480c-5.969 0-11.97 .7031-17.84 2.094c-4.297 1.016-6.953 5.328-5.938 9.625C457.2 208 461.5 210.8 465.8 209.7C470.5 208.6 475.3 208 480 208h76.5C593.7 208 624 240.3 624 280C624 284.4 620.8 288 616.9 288H448c-4.422 0-8 3.578-8 8S443.6 304 448 304h168.9C629.6 304 640 293.2 640 280C640 231.5 602.5 192 556.5 192zM512 160c44.18 0 80-35.82 80-80S556.2 0 512 0c-44.18 0-80 35.82-80 80S467.8 160 512 160zM512 16c35.29 0 64 28.71 64 64s-28.71 64-64 64s-64-28.71-64-64S476.7 16 512 16zM128 160c44.18 0 80-35.82 80-80S172.2 0 128 0C83.82 0 48 35.82 48 80S83.82 160 128 160zM128 16c35.29 0 64 28.71 64 64s-28.71 64-64 64s-64-28.71-64-64S92.71 16 128 16zM200 296C200 291.6 196.4 288 192 288H23.09C19.19 288 16 284.4 16 280c0-39.7 30.28-72 67.5-72H160c4.734 0 9.5 .5625 14.16 1.656C178.5 210.8 182.8 208 183.8 203.7c1.016-4.297-1.641-8.609-5.938-9.625C171.1 192.7 165.1 192 160 192H83.5C37.45 192 0 231.5 0 280C0 293.2 10.36 304 23.09 304H192C196.4 304 200 300.4 200 296zM319.9 320c57.41 0 103.1-46.56 103.1-104c0-57.44-46.54-104-103.1-104c-57.41 0-103.1 46.56-103.1 104C215.9 273.4 262.5 320 319.9 320zM319.9 128c48.5 0 87.96 39.48 87.96 88S368.4 304 319.9 304S231.9 264.5 231.9 216S271.4 128 319.9 128zM369.9 352H270.1C191.6 352 128 411.7 128 485.3C128 500.1 140.7 512 156.4 512h327.2C499.3 512 512 500.1 512 485.3C512 411.7 448.4 352 369.9 352zM483.6 496H156.4C149.6 496 144 491.2 144 485.3C144 420.6 200.6 368 270.1 368H369.9c69.54 0 126.1 52.63 126.1 117.3C496 491.2 490.4 496 483.6 496z"],
    "users-between-lines": [640, 512, [], "e591", "M632 0C636.4 0 640 3.582 640 8C640 12.42 636.4 16 632 16H8C3.582 16 0 12.42 0 8C0 3.582 3.582 0 8 0H632zM632 496C636.4 496 640 499.6 640 504C640 508.4 636.4 512 632 512H8C3.582 512 0 508.4 0 504C0 499.6 3.582 496 8 496H632zM369.6 288C422.6 288 465.6 330.1 465.6 384C465.6 401.7 451.3 416 433.6 416H209.6C191.9 416 177.6 401.7 177.6 384C177.6 330.1 220.6 288 273.6 288H369.6zM449.6 384C449.6 339.8 413.8 304 369.6 304H273.6C229.4 304 193.6 339.8 193.6 384C193.6 392.8 200.8 400 209.6 400H433.6C442.4 400 449.6 392.8 449.6 384zM401.6 176C401.6 220.2 365.8 256 321.6 256C277.4 256 241.6 220.2 241.6 176C241.6 131.8 277.4 96 321.6 96C365.8 96 401.6 131.8 401.6 176zM321.6 112C286.3 112 257.6 140.7 257.6 176C257.6 211.3 286.3 240 321.6 240C356.9 240 385.6 211.3 385.6 176C385.6 140.7 356.9 112 321.6 112zM83.2 160C83.2 124.7 111.9 96 147.2 96C182.5 96 211.2 124.7 211.2 160C211.2 195.3 182.5 224 147.2 224C111.9 224 83.2 195.3 83.2 160V160zM147.2 208C173.7 208 195.2 186.5 195.2 160C195.2 133.5 173.7 112 147.2 112C120.7 112 99.2 133.5 99.2 160C99.2 186.5 120.7 208 147.2 208zM64 336H152C156.4 336 160 339.6 160 344C160 348.4 156.4 352 152 352H64C46.33 352 32 337.7 32 320C32 284.7 60.65 256 96 256H192C198.3 256 204.5 256.9 210.3 258.7C214.5 259.9 216.9 264.4 215.7 268.6C214.4 272.8 209.1 275.2 205.7 273.1C201.4 272.7 196.8 272 191.1 272H95.1C69.49 272 47.1 293.5 47.1 320C47.1 328.8 55.16 336 63.1 336L64 336zM496 224C460.7 224 432 195.3 432 160C432 124.7 460.7 96 496 96C531.3 96 560 124.7 560 160C560 195.3 531.3 224 496 224zM544 160C544 133.5 522.5 112 496 112C469.5 112 448 133.5 448 160C448 186.5 469.5 208 496 208C522.5 208 544 186.5 544 160zM595.2 320C595.2 293.5 573.7 272 547.2 272H451.2C446.4 272 441.8 272.7 437.5 273.1C433.2 275.2 428.8 272.8 427.5 268.6C426.3 264.4 428.7 259.9 432.9 258.7C438.7 256.9 444.9 255.1 451.2 255.1H547.2C582.5 255.1 611.2 284.7 611.2 319.1C611.2 337.7 596.9 352 579.2 352H491.2C486.8 352 483.2 348.4 483.2 344C483.2 339.6 486.8 336 491.2 336H579.2C588 336 595.2 328.8 595.2 319.1L595.2 320z"],
    "users-gear": [640, 512, ["users-cog"], "f509", "M512 160c44.18 0 80-35.82 80-80S556.2 0 512 0c-44.18 0-80 35.82-80 80S467.8 160 512 160zM512 16c35.29 0 64 28.71 64 64s-28.71 64-64 64s-64-28.71-64-64S476.7 16 512 16zM128 160c44.18 0 80-35.82 80-80S172.2 0 128 0C83.82 0 48 35.82 48 80S83.82 160 128 160zM128 16c35.29 0 64 28.71 64 64s-28.71 64-64 64s-64-28.71-64-64S92.71 16 128 16zM319.9 320c57.41 0 103.1-46.56 103.1-104c0-57.44-46.54-104-103.1-104c-57.41 0-103.1 46.56-103.1 104C215.9 273.4 262.5 320 319.9 320zM319.9 128c48.5 0 87.96 39.48 87.96 88S368.4 304 319.9 304S231.9 264.5 231.9 216S271.4 128 319.9 128zM200 296C200 291.6 196.4 288 192 288H23.09C19.19 288 16 284.4 16 280c0-39.7 30.28-72 67.5-72H160c4.734 0 9.5 .5625 14.16 1.656C178.5 210.8 182.8 208 183.8 203.7c1.016-4.297-1.641-8.609-5.938-9.625C171.1 192.7 165.1 192 160 192H83.5C37.45 192 0 231.5 0 280C0 293.2 10.36 304 23.09 304H192C196.4 304 200 300.4 200 296zM556.5 192H480c-5.969 0-11.97 .7031-17.84 2.094c-4.297 1.016-6.953 5.328-5.938 9.625c1.006 4.303 5.324 7.074 9.691 5.92C471.6 208.1 478 208 483.9 208h72.63c34.97 0 63.82 28.52 67.18 64.9C624 276.9 627.5 280 631.6 280c4.779 0 8.447-4.174 7.99-8.932C635.3 226.7 599.7 192 556.5 192zM392 496H156.4C149.6 496 144 491.2 144 485.3C144 420.6 200.6 368 270.1 368h87.69c4.365 0 7.926-3.502 7.998-7.867C365.9 355.7 362.3 352 357.8 352H270.1C191.6 352 128 411.7 128 485.3C128 500.1 140.7 512 156.4 512H392c4.418 0 8-3.582 8-8S396.4 496 392 496zM512 344c-26.51 0-48 21.49-48 48s21.49 48 48 48c26.51 0 48-21.49 48-48S538.5 344 512 344zM512 424c-17.64 0-32-14.36-32-32s14.36-32 32-32c17.65 0 32 14.36 32 32S529.6 424 512 424zM606 403.7c.9844-7.752 .9844-15.57 0-23.32l14.22-8.283c5.611-3.031 8.236-9.469 6.346-15.78c-5.314-16.89-14.47-32.71-26.41-45.63c-4.189-4.689-11.17-5.83-16.68-2.627l-14.44 8.346c-6.25-4.719-13.02-8.627-20.19-11.66V287.1c0-6.361-4.516-11.86-10.52-13.03c-17.42-3.875-35.71-3.891-52.6-.0469c-6.188 1.203-10.67 6.703-10.67 13.08v16.75c-7.172 3.031-13.92 6.939-20.19 11.66l-14.38-8.268c-5.314-3.25-12.33-2.234-16.72 2.455c-12.11 13.1-21.25 28.93-26.46 45.85c-1.812 6.111 .7187 12.52 6.062 15.52l14.49 8.455c-.9375 7.734-.9375 15.52 0 23.25l-14.25 8.312c-5.562 3-8.141 9.439-6.266 15.74c5.125 16.69 14.27 32.51 26.47 45.84c4.328 4.562 11.14 5.562 16.52 2.484l14.53-8.361c6.266 4.721 13.02 8.627 20.19 11.66v16.75c0 6.375 4.486 11.88 10.44 13.03C494.3 511 503.3 512 512.2 512c8.846 0 17.56-.9531 25.95-2.875c6.221-1.221 10.74-6.721 10.74-13.08v-16.75c7.172-3.031 13.94-6.938 20.19-11.66l14.3 8.268c5.439 3.312 12.53 2.25 16.72-2.453c12.03-13.02 21.19-28.83 26.55-45.85c1.844-6.188-.7813-12.63-6.158-15.52L606 403.7zM589.7 461.1l-22.25-12.86c-17.07 14.52-24.18 16.25-34.57 19.92V493.9c-13.49 2.814-27.8 2.814-41.79 0v-25.74c-7.809-2.762-16.77-4.795-34.55-19.92l-22.35 12.86c-9.422-10.69-16.63-23.16-20.92-36.24l22.19-12.94c-1.51-8.412-4.025-17.37 0-39.82l-22.19-12.94c4.359-13.25 11.56-25.72 20.92-36.24l22.35 12.86c17.06-14.53 24.16-16.25 34.55-19.93V290.1c13.52-2.812 27.8-2.797 41.79 .0156v25.74c7.807 2.762 16.79 4.789 34.57 19.93l22.25-12.86c9.33 10.5 16.55 22.97 21 36.19l-22.33 13.02c4.121 21.85 2.035 28.96 0 39.76l22.33 13.02C606.2 438.1 599.1 450.5 589.7 461.1z"],
    "users-line": [640, 512, [], "e592", "M83.2 96C83.2 60.65 111.9 32 147.2 32C182.5 32 211.2 60.65 211.2 96C211.2 131.3 182.5 160 147.2 160C111.9 160 83.2 131.3 83.2 96V96zM147.2 144C173.7 144 195.2 122.5 195.2 96C195.2 69.49 173.7 48 147.2 48C120.7 48 99.2 69.49 99.2 96C99.2 122.5 120.7 144 147.2 144zM401.6 144C401.6 188.2 365.8 224 321.6 224C277.4 224 241.6 188.2 241.6 144C241.6 99.82 277.4 64 321.6 64C365.8 64 401.6 99.82 401.6 144zM321.6 80C286.3 80 257.6 108.7 257.6 144C257.6 179.3 286.3 208 321.6 208C356.9 208 385.6 179.3 385.6 144C385.6 108.7 356.9 80 321.6 80zM369.6 256C422.6 256 465.6 298.1 465.6 352C465.6 369.7 451.3 384 433.6 384H209.6C191.9 384 177.6 369.7 177.6 352C177.6 298.1 220.6 256 273.6 256H369.6zM449.6 352C449.6 307.8 413.8 272 369.6 272H273.6C229.4 272 193.6 307.8 193.6 352C193.6 360.8 200.8 368 209.6 368H433.6C442.4 368 449.6 360.8 449.6 352zM0 456C0 451.6 3.582 448 8 448H632C636.4 448 640 451.6 640 456C640 460.4 636.4 464 632 464H8C3.582 464 0 460.4 0 456zM64 272H152C156.4 272 160 275.6 160 280C160 284.4 156.4 288 152 288H64C46.33 288 32 273.7 32 256C32 220.7 60.65 192 96 192H192C198.3 192 204.5 192.9 210.3 194.7C214.5 195.9 216.9 200.4 215.7 204.6C214.4 208.8 209.1 211.2 205.7 209.1C201.4 208.7 196.8 208 191.1 208H95.1C69.49 208 47.1 229.5 47.1 256C47.1 264.8 55.16 272 63.1 272L64 272zM496 160C460.7 160 432 131.3 432 96C432 60.65 460.7 32 496 32C531.3 32 560 60.65 560 96C560 131.3 531.3 160 496 160zM544 96C544 69.49 522.5 48 496 48C469.5 48 448 69.49 448 96C448 122.5 469.5 144 496 144C522.5 144 544 122.5 544 96zM595.2 256C595.2 229.5 573.7 208 547.2 208H451.2C446.4 208 441.8 208.7 437.5 209.1C433.2 211.2 428.8 208.8 427.5 204.6C426.3 200.4 428.7 195.9 432.9 194.7C438.7 192.9 444.9 191.1 451.2 191.1H547.2C582.5 191.1 611.2 220.7 611.2 255.1C611.2 273.7 596.9 287.1 579.2 287.1H491.2C486.8 287.1 483.2 284.4 483.2 279.1C483.2 275.6 486.8 271.1 491.2 271.1H579.2C588 271.1 595.2 264.8 595.2 255.1L595.2 256z"],
    "users-medical": [640, 512, [], "f830", "M480 192c-5.969 0-11.97 .7031-17.84 2.094c-4.297 1.016-6.953 5.328-5.938 9.625c1.006 4.303 5.324 7.074 9.689 5.92C471.6 208.1 478 208 483.9 208h72.63C593.7 208 624 240.3 624 280C624 284.4 620.8 288 616.9 288H600c-4.418 0-8 3.582-8 8s3.582 8 8 8h16.91C629.6 304 640 293.2 640 280C640 231.5 602.5 192 556.5 192H480zM319.9 320c57.41 0 103.1-46.56 103.1-104c0-57.44-46.54-104-103.1-104c-57.41 0-103.1 46.56-103.1 104C215.9 273.4 262.5 320 319.9 320zM319.9 128c48.5 0 87.96 39.48 87.96 88S368.4 304 319.9 304S231.9 264.5 231.9 216S271.4 128 319.9 128zM512 160c44.18 0 80-35.82 80-80S556.2 0 512 0c-44.18 0-80 35.82-80 80S467.8 160 512 160zM512 16c35.29 0 64 28.71 64 64s-28.71 64-64 64s-64-28.71-64-64S476.7 16 512 16zM624 376h-40V336c0-8.836-7.162-16-16-16h-48c-8.836 0-16 7.164-16 16v40H464c-8.836 0-16 7.164-16 16v48c0 8.836 7.164 16 16 16h40v40c0 8.836 7.164 16 16 16h48c8.838 0 16-7.164 16-16v-40h40c8.838 0 16-7.164 16-16v-48C640 383.2 632.8 376 624 376zM624 440h-56v56h-48v-56H464v-48h56V336h48v56h56V440zM464.8 496h-308.3C149.6 496 144 491.2 144 485.3C144 420.6 200.6 368 270.1 368H369.9c14.61 0 28.63 2.342 41.69 6.617c3.734 1.223 7.886-.3223 9.618-3.85c.0234-.0488-.0254 .0469 0 0c2.188-4.416 .1631-9.75-4.517-11.29C402 354.7 386.3 352 369.9 352H270.1C191.6 352 128 411.7 128 485.3C128 500.1 140.7 512 156.4 512h308.4c4.828 0 8.561-4.365 7.783-9.133c-.0098-.0527 .0098 .0527 0 0C471.9 498.1 468.7 496 464.8 496zM128 160c44.18 0 80-35.82 80-80S172.2 0 128 0C83.82 0 48 35.82 48 80S83.82 160 128 160zM128 16c35.29 0 64 28.71 64 64s-28.71 64-64 64s-64-28.71-64-64S92.71 16 128 16zM200 296C200 291.6 196.4 288 192 288H23.09C19.19 288 16 284.4 16 280c0-39.7 30.28-72 67.5-72H160c4.734 0 9.5 .5625 14.16 1.656C178.5 210.8 182.8 208 183.8 203.7c1.016-4.297-1.641-8.609-5.938-9.625C171.1 192.7 165.1 192 160 192H83.5C37.45 192 0 231.5 0 280C0 293.2 10.36 304 23.09 304H192C196.4 304 200 300.4 200 296z"],
    "users-rays": [640, 512, [], "e593", "M2.343 2.343C5.467-.781 10.53-.781 13.66 2.343L93.66 82.34C96.78 85.47 96.78 90.53 93.66 93.66C90.53 96.78 85.47 96.78 82.34 93.66L2.343 13.66C-.781 10.53-.781 5.467 2.343 2.343V2.343zM637.7 13.66L557.7 93.66C554.5 96.78 549.5 96.78 546.3 93.66C543.2 90.53 543.2 85.47 546.3 82.34L626.3 2.343C629.5-.7807 634.5-.7807 637.7 2.343C640.8 5.468 640.8 10.53 637.7 13.66V13.66zM13.66 509.7C10.53 512.8 5.468 512.8 2.343 509.7C-.7807 506.5-.7807 501.5 2.343 498.3L82.34 418.3C85.47 415.2 90.53 415.2 93.66 418.3C96.78 421.5 96.78 426.5 93.66 429.7L13.66 509.7zM637.7 509.7C634.5 512.8 629.5 512.8 626.3 509.7L546.3 429.7C543.2 426.5 543.2 421.5 546.3 418.3C549.5 415.2 554.5 415.2 557.7 418.3L637.7 498.3C640.8 501.5 640.8 506.5 637.7 509.7zM256 192C256 156.7 284.7 128 320 128C355.3 128 384 156.7 384 192C384 227.3 355.3 256 320 256C284.7 256 256 227.3 256 192zM320 144C293.5 144 272 165.5 272 192C272 218.5 293.5 240 320 240C346.5 240 368 218.5 368 192C368 165.5 346.5 144 320 144zM360 288C399.8 288 432 320.2 432 360C432 373.3 421.3 384 408 384H232C218.7 384 208 373.3 208 360C208 320.2 240.2 288 280 288H360zM232 368H408C412.4 368 416 364.4 416 360C416 329.1 390.9 304 360 304H280C249.1 304 224 329.1 224 360C224 364.4 227.6 368 232 368zM152 272C129.9 272 112 289.9 112 312C112 320.8 119.2 328 128 328H160C164.4 328 168 331.6 168 336C168 340.4 164.4 344 160 344H128C110.3 344 96 329.7 96 312C96 281.1 121.1 256 152 256H216C220.4 256 224 259.6 224 264C224 268.4 220.4 272 216 272H152zM224 176C224 202.5 202.5 224 176 224C149.5 224 128 202.5 128 176C128 149.5 149.5 128 176 128C202.5 128 224 149.5 224 176zM176 144C158.3 144 144 158.3 144 176C144 193.7 158.3 208 176 208C193.7 208 208 193.7 208 176C208 158.3 193.7 144 176 144zM424 272C419.6 272 416 268.4 416 264C416 259.6 419.6 256 424 256H488C518.9 256 544 281.1 544 312C544 329.7 529.7 344 512 344H480C475.6 344 472 340.4 472 336C472 331.6 475.6 328 480 328H512C520.8 328 528 320.8 528 312C528 289.9 510.1 272 488 272H424zM464 128C490.5 128 512 149.5 512 176C512 202.5 490.5 224 464 224C437.5 224 416 202.5 416 176C416 149.5 437.5 128 464 128zM432 176C432 193.7 446.3 208 464 208C481.7 208 496 193.7 496 176C496 158.3 481.7 144 464 144C446.3 144 432 158.3 432 176z"],
    "users-rectangle": [640, 512, [], "e594", "M256 192C256 156.7 284.7 128 320 128C355.3 128 384 156.7 384 192C384 227.3 355.3 256 320 256C284.7 256 256 227.3 256 192zM320 144C293.5 144 272 165.5 272 192C272 218.5 293.5 240 320 240C346.5 240 368 218.5 368 192C368 165.5 346.5 144 320 144zM360 288C399.8 288 432 320.2 432 360C432 373.3 421.3 384 408 384H232C218.7 384 208 373.3 208 360C208 320.2 240.2 288 280 288H360zM232 368H408C412.4 368 416 364.4 416 360C416 329.1 390.9 304 360 304H280C249.1 304 224 329.1 224 360C224 364.4 227.6 368 232 368zM152 272C129.9 272 112 289.9 112 312C112 320.8 119.2 328 128 328H160C164.4 328 168 331.6 168 336C168 340.4 164.4 344 160 344H128C110.3 344 96 329.7 96 312C96 281.1 121.1 256 152 256H216C220.4 256 224 259.6 224 264C224 268.4 220.4 272 216 272H152zM224 176C224 202.5 202.5 224 176 224C149.5 224 128 202.5 128 176C128 149.5 149.5 128 176 128C202.5 128 224 149.5 224 176zM176 144C158.3 144 144 158.3 144 176C144 193.7 158.3 208 176 208C193.7 208 208 193.7 208 176C208 158.3 193.7 144 176 144zM424 272C419.6 272 416 268.4 416 264C416 259.6 419.6 256 424 256H488C518.9 256 544 281.1 544 312C544 329.7 529.7 344 512 344H480C475.6 344 472 340.4 472 336C472 331.6 475.6 328 480 328H512C520.8 328 528 320.8 528 312C528 289.9 510.1 272 488 272H424zM464 128C490.5 128 512 149.5 512 176C512 202.5 490.5 224 464 224C437.5 224 416 202.5 416 176C416 149.5 437.5 128 464 128zM432 176C432 193.7 446.3 208 464 208C481.7 208 496 193.7 496 176C496 158.3 481.7 144 464 144C446.3 144 432 158.3 432 176zM568 0C607.8 0 640 32.24 640 72V440C640 479.8 607.8 512 568 512H72C32.24 512 0 479.8 0 440V72C0 32.24 32.24 0 72 0H568zM16 440C16 470.9 41.07 496 72 496H568C598.9 496 624 470.9 624 440V72C624 41.07 598.9 16 568 16H72C41.07 16 16 41.07 16 72V440z"],
    "users-slash": [640, 512, [], "e073", "M512 160c44.18 0 80-35.82 80-80S556.2 0 512 0c-44.18 0-80 35.82-80 80S467.8 160 512 160zM512 16c35.29 0 64 28.71 64 64s-28.71 64-64 64s-64-28.71-64-64S476.7 16 512 16zM319.9 128c48.5 0 87.96 39.48 87.96 88c0 11.7-2.396 22.82-6.559 33.04l12.87 10.23C420.2 246.1 423.8 231.5 423.8 216c0-57.44-46.54-104-103.1-104c-23.94 0-45.72 8.424-63.29 22.03l12.78 10.15C283.7 134.1 301 128 319.9 128zM480 192c-5.969 0-11.97 .7031-17.84 2.094c-4.297 1.016-6.953 5.328-5.938 9.625C457.2 208 461.5 210.8 465.8 209.7C470.5 208.6 475.3 208 480 208h76.5C593.7 208 624 240.3 624 280C624 284.4 620.8 288 616.9 288h-166.6l20.13 16h146.5C629.6 304 640 293.2 640 280C640 231.5 602.5 192 556.5 192H480zM493.9 465.8C495 472.2 496 478.6 496 485.3C496 491.2 490.4 496 483.6 496H156.4C149.6 496 144 491.2 144 485.3C144 420.6 200.6 368 270.1 368H369.9c.3926 0 .7559 .1035 1.146 .1074L350.8 352H270.1C191.6 352 128 411.7 128 485.3C128 500.1 140.7 512 156.4 512h327.2C499.3 512 512 500.1 512 485.3c0-1.938-.5195-3.738-.6074-5.654L493.9 465.8zM128 16c35.29 0 64 28.71 64 64c0 .8594-.2207 1.656-.2539 2.508l14.81 11.78C207.4 89.63 208 84.89 208 80C208 35.82 172.2 0 128 0C116.7 0 106 2.393 96.26 6.611l14.97 11.9C116.6 17.04 122.2 16 128 16zM200 296C200 291.6 196.4 288 192 288H23.09C19.19 288 16 284.4 16 280c0-39.7 30.28-72 67.5-72H160c3.768 0 7.531 .6211 11.27 1.318L149.5 192H83.5C37.45 192 0 231.5 0 280C0 293.2 10.36 304 23.09 304H192C196.4 304 200 300.4 200 296zM12.99 1.734c-1.463-1.164-3.217-1.73-4.963-1.73c-2.352 0-4.689 1.027-6.287 3.012c-2.75 3.469-2.172 8.5 1.281 11.25l623.1 496C628.5 511.4 630.2 512 631.1 512c2.344 0 4.688-1.031 6.266-3.016c2.75-3.469 2.172-8.5-1.281-11.25L12.99 1.734z"],
    "users-viewfinder": [640, 512, [], "e595", "M0 16C0 7.164 7.164 0 16 0H120C124.4 0 128 3.582 128 8C128 12.42 124.4 16 120 16H16V120C16 124.4 12.42 128 8 128C3.582 128 0 124.4 0 120V16zM640 120C640 124.4 636.4 128 632 128C627.6 128 624 124.4 624 120V16H520C515.6 16 512 12.42 512 8C512 3.582 515.6 0 520 0H624C632.8 0 640 7.164 640 16V120zM16 512C7.164 512 0 504.8 0 496V392C0 387.6 3.582 384 8 384C12.42 384 16 387.6 16 392V496H120C124.4 496 128 499.6 128 504C128 508.4 124.4 512 120 512H16zM640 496C640 504.8 632.8 512 624 512H520C515.6 512 512 508.4 512 504C512 499.6 515.6 496 520 496H624V392C624 387.6 627.6 384 632 384C636.4 384 640 387.6 640 392V496zM256 192C256 156.7 284.7 128 320 128C355.3 128 384 156.7 384 192C384 227.3 355.3 256 320 256C284.7 256 256 227.3 256 192zM320 144C293.5 144 272 165.5 272 192C272 218.5 293.5 240 320 240C346.5 240 368 218.5 368 192C368 165.5 346.5 144 320 144zM360 288C399.8 288 432 320.2 432 360C432 373.3 421.3 384 408 384H232C218.7 384 208 373.3 208 360C208 320.2 240.2 288 280 288H360zM232 368H408C412.4 368 416 364.4 416 360C416 329.1 390.9 304 360 304H280C249.1 304 224 329.1 224 360C224 364.4 227.6 368 232 368zM128 328H160C164.4 328 168 331.6 168 336C168 340.4 164.4 344 160 344H128C110.3 344 96 329.7 96 312C96 281.1 121.1 256 152 256H216C220.4 256 224 259.6 224 264C224 268.4 220.4 272 216 272H152C129.9 272 112 289.9 112 312C112 320.8 119.2 328 128 328zM128 176C128 149.5 149.5 128 176 128C202.5 128 224 149.5 224 176C224 202.5 202.5 224 176 224C149.5 224 128 202.5 128 176zM176 208C193.7 208 208 193.7 208 176C208 158.3 193.7 144 176 144C158.3 144 144 158.3 144 176C144 193.7 158.3 208 176 208zM528 312C528 289.9 510.1 272 488 272H424C419.6 272 416 268.4 416 264C416 259.6 419.6 256 424 256H488C518.9 256 544 281.1 544 312C544 329.7 529.7 344 512 344H480C475.6 344 472 340.4 472 336C472 331.6 475.6 328 480 328H512C520.8 328 528 320.8 528 312zM464 224C437.5 224 416 202.5 416 176C416 149.5 437.5 128 464 128C490.5 128 512 149.5 512 176C512 202.5 490.5 224 464 224zM496 176C496 158.3 481.7 144 464 144C446.3 144 432 158.3 432 176C432 193.7 446.3 208 464 208C481.7 208 496 193.7 496 176z"],
    "utensils": [448, 512, [61685, 127860, "cutlery"], "f2e7", "M221.9 155.6C224.8 167.7 224.9 180.2 222.2 192.3C219.5 204.4 214.1 215.7 206.4 225.4C192.8 241.9 173.3 252.5 151.1 255V472C151.1 482.6 147.8 492.8 140.3 500.3C132.8 507.8 122.6 512 111.1 512C101.4 512 91.22 507.8 83.71 500.3C76.21 492.8 71.1 482.6 71.1 472V255C60.54 253.8 49.46 250.2 39.53 244.4C29.59 238.5 21.02 230.6 14.4 221.2C7.772 211.8 3.248 201 1.128 189.7C-.9909 178.4-.6562 166.7 2.11 155.6L32.32 6.4C32.79 4.377 34.01 2.608 35.73 1.45C37.45 .2915 39.55-.1696 41.6 .1597C42.64 .3552 43.63 .7552 44.52 1.337C45.41 1.918 46.17 2.669 46.76 3.547C47.36 4.424 47.77 5.411 47.99 6.45C48.2 7.489 48.2 8.559 47.1 9.6L17.79 158.8C15.31 168.6 15.12 178.8 17.25 188.6C19.38 198.4 23.76 207.6 30.05 215.4C36.11 222.9 43.73 229 52.39 233.2C61.04 237.5 70.52 239.8 80.16 239.1H143.1C153.6 239.8 163 237.5 171.7 233.2C180.3 228.1 187.9 222.9 193.1 215.5C200.2 207.7 204.6 198.5 206.7 188.7C208.9 178.1 208.7 168.8 206.2 159.1L175.1 9.76C175.8 8.708 175.8 7.621 175.1 6.564C176.2 5.506 176.6 4.5 177.2 3.604C177.8 2.709 178.5 1.943 179.4 1.351C180.3 .7594 181.3 .3542 182.4 .16C184.5-.1933 186.6 .2582 188.3 1.42C190 2.583 191.2 4.366 191.7 6.4L221.9 155.6zM135.1 256H87.1V472C87.1 478.4 90.53 484.5 95.03 488.1C99.53 493.5 105.6 496 111.1 496C118.4 496 124.5 493.5 128.1 488.1C133.5 484.5 135.1 478.4 135.1 472V256zM82.34 173.7C80.84 172.2 79.1 170.1 79.1 168V8C79.1 5.878 80.84 3.844 82.34 2.343C83.84 .8429 85.88 0 87.1 0C90.12 0 92.15 .8429 93.66 2.343C95.16 3.843 95.1 5.878 95.1 8V168C95.1 170.1 95.16 172.2 93.66 173.7C92.16 175.2 90.12 176 87.1 176C85.88 176 83.84 175.2 82.34 173.7zM130.3 173.7C128.8 172.2 127.1 170.1 127.1 168V8C127.1 5.878 128.8 3.844 130.3 2.343C131.8 .8429 133.9 0 135.1 0C138.1 0 140.2 .8429 141.7 2.343C143.2 3.843 143.1 5.878 143.1 8V168C143.1 170.1 143.2 172.2 141.7 173.7C140.2 175.2 138.1 176 135.1 176C133.9 176 131.8 175.2 130.3 173.7zM448 472C448 482.6 443.8 492.8 436.3 500.3C428.8 507.8 418.6 512 408 512C397.4 512 387.2 507.8 379.7 500.3C372.2 492.8 368 482.6 368 472V352H351.2C342.8 352 334.4 350.3 326.6 347.1C318.9 343.8 311.8 339.1 305.8 333.1C299.9 327.1 295.2 320 291.1 312.2C288.8 304.4 287.2 296 287.2 287.6L287.1 173.8C287.1 136.9 299.1 100.8 319.7 70.28C340.4 39.71 369.8 16.04 404.1 2.336C407.9 .7942 411.9 .001 416 .0003C424.5 .0003 432.6 3.372 438.6 9.373C444.6 15.37 448 23.51 448 32V472zM432 352H384V472C384 478.4 386.5 484.5 391 488.1C395.5 493.5 401.6 496 408 496C414.4 496 420.5 493.5 424.1 488.1C429.5 484.5 432 478.4 432 472V352zM432 32C432 27.76 430.3 23.69 427.3 20.69C424.3 17.69 420.2 16 416 16C413.1 15.95 411.9 16.3 410 17.02C378.7 29.46 351.7 51.08 332.8 79.06C313.9 107 303.9 140.1 303.1 173.8L303.2 287.7C303.2 294 304.4 300.3 306.8 306.1C309.2 312 312.7 317.3 317.2 321.8C321.6 326.3 326.9 329.9 332.8 332.3C338.6 334.7 344.9 336 351.2 336H432V32z"],
    "utensils-slash": [640, 512, [], "e464", "M240 120.9L224 108.1V8C224 5.878 224.8 3.844 226.3 2.343C227.8 .8429 229.9 0 232 0C234.1 0 236.2 .8429 237.7 2.343C239.2 3.843 240 5.878 240 8V120.9zM399.6 247.8L383.6 235L384 173.8C383.1 136.9 395.1 100.8 415.7 70.28C436.4 39.71 465.8 16.04 500.1 2.336C503.9 .7939 507.9 .0006 512 0C520.5 0 528.6 3.372 534.6 9.372C540.6 15.37 544 23.51 544 32V362.6L528 349.8V32C528 27.76 526.3 23.69 523.3 20.69C520.3 17.69 516.2 16 512 16C509.1 15.95 507.9 16.3 506 17.02C474.7 29.46 447.7 51.08 428.8 79.06C409.9 107 399.9 140.1 400 173.8L399.6 247.8zM192 82.78L176 69.98V8C176 5.878 176.8 3.844 178.3 2.343C179.8 .8429 181.9 0 184 0C186.1 0 188.2 .8429 189.7 2.343C191.2 3.843 192 5.878 192 8V82.78zM303.4 171.3C303.4 167.2 302.1 163.1 302.2 159.1L272 9.76C271.8 8.708 271.8 7.621 271.1 6.564C272.2 5.507 272.6 4.5 273.2 3.605C273.8 2.709 274.5 1.943 275.4 1.351C276.3 .7597 277.3 .3546 278.4 .1603C280.5-.193 282.6 .2586 284.3 1.421C286 2.583 287.2 4.366 287.7 6.4L317.9 155.6C319.8 164.8 320.1 174.3 319 183.6L303.4 171.2V171.3zM513.7 493.8C516.8 492.4 519.5 490.4 521.7 487.8L534 497.7C530.4 502.1 525.8 505.7 520.6 508.2C515.4 510.6 509.8 511.9 504 512C498.7 512 493.5 510.1 488.7 508.9C483.8 506.9 479.4 503.1 475.7 500.2C471.1 496.5 469 492.1 467 487.2C465 482.4 463.1 477.2 464 471.9V441.9L480 454.7V472C480 478.4 482.5 484.5 487 488.1C491.5 493.5 497.6 496 504 496C507.4 495.1 510.7 495.2 513.7 493.8V493.8zM639.7 501.8C640.2 503.4 640.1 505.1 639.6 506.6C639 508.2 638 509.6 636.6 510.5C635.3 511.5 633.7 512 632 512C630.2 511.1 628.4 511.4 627 510.3L3.008 14.27C1.493 12.9 .5568 11.01 .3901 8.97C.2234 6.934 .8387 4.911 2.111 3.313C3.383 1.714 5.216 .6608 7.238 .3664C9.259 .072 11.32 .559 12.99 1.728L636.1 497.7C638.3 498.8 639.2 500.2 639.7 501.8zM137.9 39.68L123.8 28.51L128.3 6.4C128.8 4.378 130 2.609 131.7 1.45C133.5 .2918 135.6-.1693 137.6 .16C138.6 .3555 139.6 .7555 140.5 1.337C141.4 1.918 142.2 2.669 142.8 3.547C143.4 4.424 143.8 5.411 143.1 6.45C144.2 7.489 144.2 8.56 144 9.6L137.9 39.68zM232 257.6L248 270.4V472C248 482.6 243.8 492.8 236.3 500.3C228.8 507.8 218.6 512 208 512C197.4 512 187.2 507.8 179.7 500.3C172.2 492.8 168 482.6 168 472V255C156.5 253.8 145.5 250.2 135.5 244.4C125.6 238.5 117 230.6 110.4 221.2C103.8 211.8 99.25 201 97.13 189.7C95.01 178.4 95.35 166.7 98.11 155.6L98.88 151.8L113.2 163.3C111.5 172.4 111.8 181.7 113.1 190.7C116.2 199.7 120.3 208.2 126 215.4C132.1 222.9 139.7 229 148.4 233.2C157 237.5 166.5 239.8 176.2 239.1H209.9L230 255.1H184V472C184 478.4 186.5 484.5 191 488.1C195.5 493.5 201.6 496 208 496C214.4 496 220.5 493.5 224.1 488.1C229.5 484.5 232 478.4 232 472L232 257.6z"],
    "utility-pole": [512, 512, [], "e2c3", "M504 32c-4.406 0-8 3.578-8 8V80H448V40C448 35.58 444.4 32 440 32S432 35.58 432 40V80H288V24C288 10.77 277.2 0 264 0h-16C234.8 0 224 10.77 224 24V80H80V40C80 35.58 76.41 32 72 32S64 35.58 64 40V80H16V40C16 35.58 12.41 32 8 32S0 35.58 0 40V112c0 17.67 14.33 32 32 32h65.58L224 228.3V504C224 508.4 227.6 512 232 512s8-3.578 8-8V144h32v360c0 4.422 3.594 8 8 8S288 508.4 288 504V228.3L414.4 144H480c17.67 0 32-14.33 32-32V40C512 35.58 508.4 32 504 32zM240 24c0-4.406 3.594-8 8-8h16c4.406 0 8 3.594 8 8V80h-32V24zM224 209.1L126.4 144H224V209.1zM288 209.1V144h97.58L288 209.1zM496 112C496 120.8 488.8 128 480 128H32C23.18 128 16 120.8 16 112V96h480V112z"],
    "utility-pole-double": [512, 512, [], "e2c4", "M414.4 144H480c17.67 0 32-14.33 32-32V40C512 35.58 508.4 32 504 32S496 35.58 496 40V80H448V40C448 35.58 444.4 32 440 32S432 35.58 432 40V80H288V24C288 10.77 277.2 0 264 0h-16C234.8 0 224 10.77 224 24V80H80V40C80 35.58 76.41 32 72 32S64 35.58 64 40V80H16V40C16 35.58 12.41 32 8 32S0 35.58 0 40V112c0 17.67 14.33 32 32 32h65.58L224 228.3V272H80V232C80 227.6 76.41 224 72 224S64 227.6 64 232V272H16V232C16 227.6 12.41 224 8 224S0 227.6 0 232V304c0 17.67 14.33 32 32 32h65.58L224 420.3V504C224 508.4 227.6 512 232 512s8-3.578 8-8V336h32v168c0 4.422 3.594 8 8 8S288 508.4 288 504v-83.72L414.4 336H480c17.67 0 32-14.33 32-32V232C512 227.6 508.4 224 504 224S496 227.6 496 232V272H448V232C448 227.6 444.4 224 440 224S432 227.6 432 232V272H288V228.3L414.4 144zM288 209.1V144h97.58L288 209.1zM240 24c0-4.406 3.594-8 8-8h16c4.406 0 8 3.594 8 8V80h-32V24zM126.4 144H224v65.05L126.4 144zM224 401.1L126.4 336H224V401.1zM288 401.1V336h97.58L288 401.1zM496 288v16c0 8.822-7.178 16-16 16H32c-8.822 0-16-7.178-16-16V288H496zM240 272v-128h32v128H240zM32 128C23.18 128 16 120.8 16 112V96h480v16C496 120.8 488.8 128 480 128H32z"],
    "v": [384, 512, [118], "56", "M192 480c-3.203 0-6.109-1.912-7.359-4.881L.6438 43.1C-1.091 39.04 .8001 34.35 4.862 32.6C8.925 30.97 13.63 32.75 15.36 36.85L192 451.6l176.6-414.7c1.734-4.094 6.406-5.875 10.5-4.25c4.062 1.75 5.953 6.438 4.219 10.5l-183.1 432C198.1 478.1 195.2 480 192 480z"],
    "vacuum": [640, 512, [], "e04d", "M368 352C323.8 352 288 387.8 288 432s35.82 80 80 80c44.18 0 80-35.82 80-80S412.2 352 368 352zM368 496c-35.29 0-64-28.71-64-64s28.71-64 64-64c35.29 0 64 28.71 64 64S403.3 496 368 496zM640 112C640 50.25 589.8 0 528 0h-193.3C270.4 0 215.8 43.78 201.9 106.5L129.6 432H56C25.12 432 0 457.1 0 488C0 501.2 10.77 512 24 512H176c13.23 0 24-10.78 24-24v-32c0-13.22-10.77-24-24-24H145.1L217.5 109.1C229.8 54.63 277.1 16 334.7 16H528c52.94 0 96 43.06 96 96c0 44.81-31.42 83.71-74.9 93.51C519.2 159 467.3 128 408 128h-16C369.9 128 352 145.9 352 168V320c0 4.406 3.578 8 8 8S368 324.4 368 320V168c0-13.22 10.77-24 24-24h16c83.81 0 152 68.19 152 152v176c0 13.22-10.77 24-24 24H448c-4.422 0-8 3.594-8 8S443.6 512 448 512h88c22.06 0 40-17.94 40-40v-176c0-27.55-7.303-53.19-19.11-76.16C605.3 206.8 640 162.8 640 112zM176 448c4.406 0 8 3.594 8 8v32c0 4.406-3.594 8-8 8H24c-4.406 0-8-3.594-8-8C16 465.9 33.94 448 56 448H176z"],
    "vacuum-robot": [512, 512, [], "e04e", "M141.1 242.9c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31l128 128c1.562 1.562 3.609 2.344 5.656 2.344s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31L141.1 242.9zM212.7 235.3C209.6 232.2 204.5 232.2 201.4 235.3s-3.125 8.188 0 11.31l64 64c1.562 1.562 3.609 2.344 5.656 2.344s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31L212.7 235.3zM133.5 314.5c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31l64 64c1.562 1.562 3.609 2.344 5.656 2.344s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31L133.5 314.5zM256 88c-53.34 0-102.3 24.5-134.4 67.19C118.1 158.7 119.7 163.8 123.2 166.4C126.7 169 131.8 168.4 134.4 164.8C163.4 126.2 207.7 104 256 104c83.81 0 152 68.19 152 152c0 48.25-22.16 92.59-60.78 121.6c-3.547 2.656-4.25 7.688-1.594 11.22C347.2 390.9 349.6 392 352 392c1.672 0 3.359-.5313 4.797-1.594C399.5 358.3 424 309.3 424 256C424 163.4 348.6 88 256 88zM256 0C114.8 0 0 114.8 0 256s114.8 256 256 256s256-114.8 256-256S397.2 0 256 0zM256 496c-132.3 0-240-107.7-240-240S123.7 16 256 16s240 107.7 240 240S388.3 496 256 496z"],
    "value-absolute": [512, 512, [], "f6a6", "M8 32C3.594 32 0 35.59 0 40v432C0 476.4 3.594 480 8 480s8-3.594 8-8V40C16 35.59 12.41 32 8 32zM504 32c-4.406 0-8 3.594-8 8v432c0 4.406 3.594 8 8 8S512 476.4 512 472V40C512 35.59 508.4 32 504 32zM381.7 130.3c-3.125-3.125-8.188-3.125-11.31 0L256 244.7L141.7 130.3c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31L244.7 256l-114.3 114.3c-3.125 3.125-3.125 8.188 0 11.31C131.9 383.2 133.9 384 136 384s4.094-.7813 5.656-2.344L256 267.3l114.3 114.3C371.9 383.2 373.9 384 376 384s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31L267.3 256l114.3-114.3C384.8 138.5 384.8 133.5 381.7 130.3z"],
    "van-shuttle": [640, 512, [128656, "shuttle-van"], "f5b6", "M592 384H576C576 437 533 480 480 480C426.1 480 384 437 384 384H256C256 437 213 480 160 480C106.1 480 64 437 64 384H48C21.49 384 0 362.5 0 336V80C0 53.49 21.49 32 48 32H466.3C477.2 32 487.7 36.5 495.3 44.45L628.1 185.2C636.1 192.7 640 202.5 640 212.8V336C640 362.5 618.5 384 592 384zM16 192H160V48H48C30.33 48 16 62.33 16 80V192zM16 208V336C16 353.7 30.33 368 48 368H65.33C72.94 322.6 112.4 288 160 288C207.6 288 247.1 322.6 254.7 368H385.3C392.9 322.6 432.4 288 480 288C527.6 288 567.1 322.6 574.7 368H592C609.7 368 624 353.7 624 336V212.8C624 211.2 623.8 209.6 623.5 208H16zM176 192H368V48H176V192zM384 192H613.4L483.7 55.47C479.1 50.7 472.8 48 466.3 48H384V192zM480 304C435.8 304 400 339.8 400 384C400 428.2 435.8 464 480 464C524.2 464 560 428.2 560 384C560 339.8 524.2 304 480 304zM160 464C204.2 464 240 428.2 240 384C240 339.8 204.2 304 160 304C115.8 304 80 339.8 80 384C80 428.2 115.8 464 160 464z"],
    "vault": [576, 512, [], "e2c5", "M160 240C160 204.7 188.7 176 224 176C259.3 176 288 204.7 288 240C288 275.3 259.3 304 224 304C188.7 304 160 275.3 160 240zM224 288C250.5 288 272 266.5 272 240C272 213.5 250.5 192 224 192C197.5 192 176 213.5 176 240C176 266.5 197.5 288 224 288zM384 240C384 328.4 312.4 400 224 400C135.6 400 64 328.4 64 240C64 151.6 135.6 80 224 80C312.4 80 384 151.6 384 240zM224 96C144.5 96 80 160.5 80 240C80 319.5 144.5 384 224 384C303.5 384 368 319.5 368 240C368 160.5 303.5 96 224 96zM512 176C512 199.8 494.7 219.5 472 223.3V344C472 348.4 468.4 352 464 352C459.6 352 456 348.4 456 344V223.3C433.3 219.5 416 199.8 416 176C416 149.5 437.5 128 464 128C490.5 128 512 149.5 512 176zM464 144C446.3 144 432 158.3 432 176C432 193.7 446.3 208 464 208C481.7 208 496 193.7 496 176C496 158.3 481.7 144 464 144zM0 64C0 28.65 28.65 0 64 0H512C547.3 0 576 28.65 576 64V416C576 451.3 547.3 480 512 480V504C512 508.4 508.4 512 504 512C499.6 512 496 508.4 496 504V480H80V504C80 508.4 76.42 512 72 512C67.58 512 64 508.4 64 504V480C28.65 480 0 451.3 0 416V64zM16 64V416C16 442.5 37.49 464 64 464H512C538.5 464 560 442.5 560 416V64C560 37.49 538.5 16 512 16H64C37.49 16 16 37.49 16 64z"],
    "vector-circle": [512, 512, [], "e2c6", "M208 45.35V32C208 14.33 222.3 0 240 0H272C289.7 0 304 14.33 304 32V45.35C384.8 63.68 448.3 127.2 466.6 208H480C497.7 208 512 222.3 512 240V272C512 289.7 497.7 304 480 304H466.6C448.3 384.8 384.8 448.3 304 466.6V480C304 497.7 289.7 512 272 512H240C222.3 512 208 497.7 208 480V466.6C127.2 448.3 63.68 384.8 45.35 304H32C14.33 304 0 289.7 0 272V240C0 222.3 14.33 208 32 208H45.35C63.68 127.2 127.2 63.68 208 45.35V45.35zM272 16H240C231.2 16 224 23.16 224 32V42.35L224 58.55L224 64C224 72.84 231.2 80 240 80H272C280.8 80 288 72.84 288 64V32C288 23.16 280.8 16 272 16zM64 208C81.67 208 96 222.3 96 240V272C96 289.7 81.67 304 64 304H61.8C79.51 375.9 136.1 432.5 208 450.2V448C208 430.3 222.3 416 240 416H272C289.7 416 304 430.3 304 448V450.2C375.9 432.5 432.5 375.9 450.2 304H448C430.3 304 416 289.7 416 272V240C416 222.3 430.3 208 448 208H450.2C432.5 136.1 375.9 79.51 304 61.8V64C304 81.67 289.7 96 272 96H240C222.3 96 208 81.67 208 64V61.8C136.1 79.51 79.51 136.1 61.8 208H64zM58.55 288H64C72.84 288 80 280.8 80 272V240C80 231.2 72.84 224 64 224H32C23.16 224 16 231.2 16 240V272C16 280.8 23.16 288 32 288H42.35H58.55V288zM224 480C224 488.8 231.2 496 240 496H272C280.8 496 288 488.8 288 480V448C288 439.2 280.8 432 272 432H240C231.2 432 224 439.2 224 448L224 453.5L224 469.6V480zM480 288C488.8 288 496 280.8 496 272V240C496 231.2 488.8 224 480 224H448C439.2 224 432 231.2 432 240V272C432 280.8 439.2 288 448 288L453.5 287.1L469.6 288H480z"],
    "vector-polygon": [448, 512, [], "e2c7", "M416 32C433.7 32 448 46.33 448 64V96C448 113.7 433.7 128 416 128H384C380.8 128 377.8 127.5 374.9 126.7L322.6 213.9C330.7 219.7 336 229.2 336 240V272C336 282.8 330.7 292.3 322.6 298.1L374.9 385.3C377.8 384.5 380.8 384 384 384H416C433.7 384 448 398.3 448 416V448C448 465.7 433.7 480 416 480H384C366.3 480 352 465.7 352 448V440H96V448C96 465.7 81.67 480 64 480H32C14.33 480 0 465.7 0 448V416C0 398.3 14.33 384 32 384H40V128H32C14.33 128 0 113.7 0 96V64C0 46.33 14.33 32 32 32H64C81.67 32 96 46.33 96 64V72H352V64C352 46.33 366.3 32 384 32H416zM416 48H384C375.2 48 368 55.16 368 64V96C368 104.8 375.2 112 384 112H416C424.8 112 432 104.8 432 96V64C432 55.16 424.8 48 416 48zM307.4 303.8C306.3 303.9 305.1 304 304 304H272C254.3 304 240 289.7 240 272V240C240 222.3 254.3 208 272 208H304C305.1 208 306.3 208.1 307.4 208.2L361.2 118.5C355.5 112.7 352 104.7 352 96V88H96V96C96 113.7 81.67 128 64 128H56V384H64C81.67 384 96 398.3 96 416V424H352V416C352 407.3 355.5 399.3 361.2 393.5L307.4 303.8zM16 416V448C16 456.8 23.16 464 32 464H64C72.84 464 80 456.8 80 448V416C80 407.2 72.84 400 64 400H32C23.16 400 16 407.2 16 416zM368 416V448C368 456.8 375.2 464 384 464H416C424.8 464 432 456.8 432 448V416C432 407.2 424.8 400 416 400H384C375.2 400 368 407.2 368 416zM16 64V96C16 104.8 23.16 112 32 112H64C72.84 112 80 104.8 80 96V64C80 55.16 72.84 48 64 48H32C23.16 48 16 55.16 16 64zM304 224H272C263.2 224 256 231.2 256 240V272C256 280.8 263.2 288 272 288H304C312.8 288 320 280.8 320 272V240C320 231.2 312.8 224 304 224z"],
    "vector-square": [448, 512, [], "f5cb", "M416 32C433.7 32 448 46.33 448 64V96C448 113.7 433.7 128 416 128H408V384H416C433.7 384 448 398.3 448 416V448C448 465.7 433.7 480 416 480H384C366.3 480 352 465.7 352 448V440H96V448C96 465.7 81.67 480 64 480H32C14.33 480 0 465.7 0 448V416C0 398.3 14.33 384 32 384H40V128H32C14.33 128 0 113.7 0 96V64C0 46.33 14.33 32 32 32H64C81.67 32 96 46.33 96 64V72H352V64C352 46.33 366.3 32 384 32H416zM416 48H384C375.2 48 368 55.16 368 64V96C368 104.8 375.2 112 384 112H416C424.8 112 432 104.8 432 96V64C432 55.16 424.8 48 416 48zM56 384H64C81.67 384 96 398.3 96 416V424H352V416C352 398.3 366.3 384 384 384H392V128H384C366.3 128 352 113.7 352 96V88H96V96C96 113.7 81.67 128 64 128H56V384zM16 416V448C16 456.8 23.16 464 32 464H64C72.84 464 80 456.8 80 448V416C80 407.2 72.84 400 64 400H32C23.16 400 16 407.2 16 416zM368 416V448C368 456.8 375.2 464 384 464H416C424.8 464 432 456.8 432 448V416C432 407.2 424.8 400 416 400H384C375.2 400 368 407.2 368 416zM16 64V96C16 104.8 23.16 112 32 112H64C72.84 112 80 104.8 80 96V64C80 55.16 72.84 48 64 48H32C23.16 48 16 55.16 16 64z"],
    "vent-damper": [640, 512, [], "e465", "M496 112h-352c-17.66 0-32 14.34-32 32v224c0 17.66 14.34 32 32 32h352c17.66 0 32-14.34 32-32v-224C528 126.3 513.7 112 496 112zM512 368c0 8.832-7.168 16-16 16h-352C135.2 384 128 376.8 128 368v-224C128 135.2 135.2 128 144 128h352C504.8 128 512 135.2 512 144V368zM448 320H192c-4.416 0-8 3.584-8 8S187.6 336 192 336h256c4.416 0 8-3.584 8-8S452.4 320 448 320zM592 128H576c0-35.36-28.64-64-64-64H128C92.64 64 64 92.64 64 128H48C21.5 128 0 149.5 0 176v160C0 362.5 21.5 384 48 384H64c0 35.36 28.64 64 64 64h384c35.36 0 64-28.64 64-64h16c26.5 0 48-21.5 48-48v-160C640 149.5 618.5 128 592 128zM64 368H48c-17.66 0-32-14.34-32-32v-160c0-17.66 14.34-32 32-32H64V368zM560 384c0 26.5-21.5 48-48 48H128c-26.5 0-48-21.5-48-48V128c0-26.5 21.5-48 48-48h384c26.5 0 48 21.5 48 48V384zM624 336c0 17.66-14.34 32-32 32H576v-224h16c17.66 0 32 14.34 32 32V336zM448 248H192C187.6 248 184 251.6 184 256S187.6 264 192 264h256c4.416 0 8-3.584 8-8S452.4 248 448 248zM448 176H192c-4.416 0-8 3.584-8 8S187.6 192 192 192h256c4.416 0 8-3.584 8-8S452.4 176 448 176z"],
    "venus": [384, 512, [9792], "f221", "M368 176c0-97.2-78.8-176-176-176s-176 78.8-176 176c0 94.5 74.54 171.4 168 175.6V408h-80C99.59 408 96 411.6 96 416s3.594 8 8 8h80v80C184 508.4 187.6 512 192 512s8-3.594 8-8v-80h80c4.406 0 8-3.594 8-8s-3.594-8-8-8h-80v-56.4C293.5 347.4 368 270.5 368 176zM32 176c0-88.22 71.78-160 160-160s160 71.78 160 160s-71.78 160-160 160S32 264.2 32 176z"],
    "venus-double": [640, 512, [9890], "f226", "M368 176c0-97.2-78.8-176-176-176s-176 78.8-176 176c0 94.5 74.54 171.4 168 175.6V408h-80C99.59 408 96 411.6 96 416s3.594 8 8 8h80v80C184 508.4 187.6 512 192 512s8-3.594 8-8v-80h80C284.4 424 288 420.4 288 416s-3.594-8-8-8h-80v-56.4C293.5 347.4 368 270.5 368 176zM192 336c-88.22 0-160-71.78-160-160s71.78-160 160-160s160 71.78 160 160S280.2 336 192 336zM624 176C624 78.97 545 0 448 0c-36.22 0-71 10.91-100.6 31.56c-3.594 2.531-4.5 7.531-1.969 11.16s7.5 4.469 11.16 1.969C383.5 25.91 415.1 16 448 16c88.22 0 160 71.78 160 160s-71.78 160-160 160c-32.94 0-64.53-9.906-91.41-28.69c-3.656-2.531-8.625-1.656-11.16 1.969s-1.625 8.625 1.969 11.16c27.39 19.12 59.29 29.46 92.59 30.96V408h-80C355.6 408 352 411.6 352 416s3.594 8 8 8h80v80c0 4.406 3.594 8 8 8s8-3.594 8-8v-80h80c4.406 0 8-3.594 8-8s-3.594-8-8-8h-80v-56.4C549.3 347.4 624 270.3 624 176z"],
    "venus-mars": [640, 512, [9892], "f228", "M264 408h-80v-56.4C277.5 347.4 352 270.5 352 176c0-97.2-78.8-176-176-176s-176 78.8-176 176c0 94.5 74.54 171.4 168 175.6V408h-80c-4.406 0-8 3.594-8 8s3.594 8 8 8h80v80C168 508.4 171.6 512 176 512s8-3.594 8-8v-80h80c4.406 0 8-3.594 8-8S268.4 408 264 408zM176 336c-88.22 0-160-71.78-160-160s71.78-160 160-160s160 71.78 160 160S264.2 336 176 336zM632 0h-144C483.6 0 480 3.578 480 8s3.578 8 8 8h124.7l-94.23 94.23c-31.31-28.61-72.89-46.2-118.5-46.2c-5.656 0-11.18 .2195-16.68 .7508c-4.406 .4375-7.625 4.344-7.219 8.719c.4375 4.406 4.312 7.781 8.719 7.219C389.8 80.25 394.8 80 400 80c88.22 0 160 71.78 160 160s-71.78 160-160 160c-39.44 0-77.31-14.47-106.7-40.75c-3.25-2.875-8.312-2.625-11.31 .625c-2.938 3.312-2.656 8.344 .625 11.31C314.1 400.1 356.6 416 400 416C497 416 576 337 576 240c0-45.64-17.62-87.15-46.23-118.5L624 27.31V152C624 156.4 627.6 160 632 160S640 156.4 640 152v-144C640 3.578 636.4 0 632 0z"],
    "vest": [448, 512, [], "e085", "M441.1 259.7L400 189.8V40C400 17.91 382.1 0 360 0H320c-6.275 0-9.666 1.828-14.9 5.287c-84.08 55.55-105.9 37.21-162.2 0C137.7 1.828 134.3 0 128 0H88C65.91 0 48 17.91 48 40v149.8L7.219 259.2C2.5 265.9 0 273.9 0 282.1V472C0 494.1 17.91 512 40 512h368c22.09 0 40-17.91 40-40V282.1C448 273.9 445.5 265.9 441.1 259.7zM224 56.13c27 0 50.44-9.406 71.73-25.65L224 213L152.3 30.47C173.6 46.72 197 56.13 224 56.13zM192 300.6V496H40c-13.22 0-24-10.78-24-24v-4.504l109.4-101.6c3.25-3.031 3.438-8.094 .4375-11.31c-3.031-3.25-8.062-3.406-11.31-.4375L16 445.6V282.1c0-4.938 1.5-9.688 4.688-14.28l42.22-71.75L64 192V40C64 26.8 74.8 16 88 16h41.41l86 218.9L194.2 288.9C192.8 292.6 192 296.5 192 300.6zM432 445.6l-98.56-91.52c-3.219-2.969-8.281-2.812-11.31 .4375c-3 3.219-2.812 8.281 .4375 11.31L432 467.5V472c0 13.22-10.78 24-24 24H208V297.5L318.6 16H360C373.2 16 384 26.78 384 40V192c0 1.438 .375 2.812 1.094 4.062l42.56 72.25C430.5 272.4 432 277.2 432 282.1V445.6z"],
    "vest-patches": [448, 512, [], "e086", "M441.1 259.7L400 189.8V40C400 17.91 382.1 0 360 0H320c-6.275 0-9.666 1.828-14.9 5.287c-84.08 55.55-105.9 37.21-162.2 0C137.7 1.828 134.3 0 128 0H88C65.91 0 48 17.91 48 40v149.8L7.219 259.2C2.5 265.9 0 273.9 0 282.1V472C0 494.1 17.91 512 40 512h368c22.09 0 40-17.91 40-40V282.1C448 273.9 445.5 265.9 441.1 259.7zM224 56.13c27 0 50.44-9.406 71.73-25.65L224 213L152.3 30.47C173.6 46.72 197 56.13 224 56.13zM192 300.6V496H40c-13.22 0-24-10.78-24-24V282.1c0-4.938 1.5-9.688 4.688-14.28l42.22-71.75L64 192V40C64 26.8 74.8 16 88 16h41.41l86 218.9L194.2 288.9C192.8 292.6 192 296.5 192 300.6zM432 472c0 13.22-10.78 24-24 24H208V297.5L318.6 16H360C373.2 16 384 26.78 384 40V192c0 1.438 .375 2.812 1.094 4.062l42.56 72.25C430.5 272.4 432 277.2 432 282.1V472zM353.4 286.6c-1.281-15.97-13.68-29.07-29.27-30.47c-9.375-.875-18.19 2.188-25.06 8.375c-6.812 6.156-10.78 14.97-10.88 24.19L288 337.3c-.0313 3.938 1.5 7.656 4.281 10.47C295.1 350.5 298.7 352 302.6 352l48.69-.2187c9.188-.0625 18-4 24.19-10.81c6.156-6.781 9.219-15.91 8.406-25.06C382.5 300.3 369.4 287.9 353.4 286.6zM363.6 330.2c-3.188 3.5-7.719 5.531-12.44 5.562L304 337.3l.2187-48.53c.0625-4.719 2.094-9.25 5.625-12.44C312.1 273.5 316.1 272 321.2 272c.5 0 1.031 0 1.562 .0625c8.344 .75 14.81 8.406 14.78 17.38l-.1562 13.25l13.22-.1562c9 0 16.62 6.5 17.38 14.81C368.4 322.1 366.8 326.7 363.6 330.2zM112 352C85.53 352 64 373.5 64 400S85.53 448 112 448S160 426.5 160 400S138.5 352 112 352zM112 432c-17.66 0-32-14.34-32-32s14.34-32 32-32s32 14.34 32 32S129.7 432 112 432zM78.34 305.7C79.91 307.2 81.94 308 84 308s4.094-.7813 5.656-2.344L112 283.3l22.34 22.34C135.9 307.2 137.9 308 140 308s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31L123.3 272l22.34-22.34c3.125-3.125 3.125-8.188 0-11.31s-8.188-3.125-11.31 0L112 260.7L89.66 238.3c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31L100.7 272L78.34 294.3C75.22 297.5 75.22 302.5 78.34 305.7z"],
    "vial": [512, 512, [129514], "f492", "M439 197.3L380.2 256H130.7l183.7-183.4c3.125-3.125 3.125-8.188 0-11.31c-3.094-3.094-8.156-3.156-11.31 0l-269.9 269.6c-40.34 40.34-44.37 104-9.156 144.9C43.78 498.8 72.53 512 103.2 512c27.87 0 54.03-10.81 73.68-30.47l273.4-272.9c3.125-3.125 3.125-8.188 0-11.31C447.3 194.2 442.2 194.2 439 197.3zM165.6 470.2C148.1 486.8 126.8 496 102.8 496c-25.59 0-49.9-11.19-66.68-30.72c-29.78-34.59-26.12-88.66 8.343-123.1L114.7 272h249.5L165.6 470.2zM509.7 178.3l-175.1-176c-3.125-3.125-8.187-3.125-11.31 0s-3.125 8.188 0 11.31l175.1 176C499.9 191.2 501.9 192 504 192c2.062 0 4.093-.7813 5.656-2.344C512.8 186.5 512.8 181.5 509.7 178.3z"],
    "vial-circle-check": [512, 512, [], "e596", "M0 40C0 35.58 3.582 32 8 32H248C252.4 32 256 35.58 256 40C256 44.42 252.4 48 248 48H224V266.8C217.9 275.5 212.5 284.8 208 294.6V208H48V384C48 428.2 83.82 464 128 464C159.4 464 186.6 445.9 199.7 419.6C201.7 426.2 204.1 432.6 206.8 438.8C189.5 463.7 160.6 480 128 480C74.98 480 32 437 32 384V48H8C3.582 48 0 44.42 0 40V40zM48 48V192H208V48H48zM437.7 322.3C440.8 325.5 440.8 330.5 437.7 333.7L357.7 413.7C354.5 416.8 349.5 416.8 346.3 413.7L298.3 365.7C295.2 362.5 295.2 357.5 298.3 354.3C301.5 351.2 306.5 351.2 309.7 354.3L352 396.7L426.3 322.3C429.5 319.2 434.5 319.2 437.7 322.3H437.7zM224 368C224 288.5 288.5 224 368 224C447.5 224 512 288.5 512 368C512 447.5 447.5 512 368 512C288.5 512 224 447.5 224 368zM368 496C438.7 496 496 438.7 496 368C496 297.3 438.7 240 368 240C297.3 240 240 297.3 240 368C240 438.7 297.3 496 368 496z"],
    "vial-virus": [576, 512, [], "e597", "M32 40C32 35.58 35.58 32 40 32H280C284.4 32 288 35.58 288 40C288 44.42 284.4 48 280 48H256V224C256 228.4 252.4 232 248 232C243.6 232 240 228.4 240 224V208H80V384C80 428.2 115.8 464 160 464C182.9 464 203.6 454.4 218.2 438.9C221.2 435.7 226.3 435.5 229.5 438.6C232.7 441.6 232.9 446.7 229.8 449.9C212.3 468.4 187.5 480 160 480C106.1 480 64 437 64 384V48H40C35.58 48 32 44.42 32 40V40zM80 192H240V48H80V192zM384 320C384 337.7 369.7 352 352 352C334.3 352 320 337.7 320 320C320 302.3 334.3 288 352 288C369.7 288 384 302.3 384 320zM352 304C343.2 304 336 311.2 336 320C336 328.8 343.2 336 352 336C360.8 336 368 328.8 368 320C368 311.2 360.8 304 352 304zM384 384C384 366.3 398.3 352 416 352C433.7 352 448 366.3 448 384C448 401.7 433.7 416 416 416C398.3 416 384 401.7 384 384zM416 400C424.8 400 432 392.8 432 384C432 375.2 424.8 368 416 368C407.2 368 400 375.2 400 384C400 392.8 407.2 400 416 400zM504.5 324.2C509 326.6 514.2 328 520.1 328C533.3 328 544.1 338.8 544.1 352C544.1 365.3 533.3 376 520.1 376C491.2 376 476.8 410.9 497.2 431.2C506.6 440.6 506.6 455.8 497.2 465.2C487.8 474.6 472.6 474.6 463.2 465.2C442.9 444.8 408 459.2 408 488.1C408 501.3 397.3 512.1 384 512.1C370.8 512.1 360 501.3 360 488.1C360 459.2 325.2 444.8 304.8 465.2C295.4 474.6 280.2 474.6 270.9 465.2C261.5 455.8 261.5 440.6 270.9 431.2C291.2 410.9 276.8 376 248 376C234.7 376 224 365.3 224 352C224 338.8 234.7 328 248 328C276.8 328 291.2 293.2 270.9 272.8C261.5 263.4 261.5 248.2 270.9 238.9C280.2 229.5 295.4 229.5 304.8 238.9C325.2 259.3 360 244.8 360 216C360 202.7 370.8 192 384 192C397.3 192 408 202.7 408 216C408 244.8 442.9 259.3 463.2 238.9C472.6 229.5 487.8 229.5 497.2 238.9C506.6 248.2 506.6 263.4 497.2 272.8C480.9 289.1 486.8 314.5 504.5 324.2L504.5 324.2zM376 216C376 259.1 323.1 280.6 293.5 250.2C290.4 247.1 285.3 247.1 282.2 250.2C279.1 253.3 279.1 258.4 282.2 261.5C312.6 291.1 291.1 344 248 344C243.6 344 240 347.6 240 352C240 356.4 243.6 360 248 360C291.1 360 312.6 412.1 282.2 442.6C279.1 445.7 279.1 450.7 282.2 453.9C285.3 456.1 290.4 456.1 293.5 453.9C323.9 423.4 376 444.1 376 488.1C376 492.5 379.6 496.1 384 496.1C388.4 496.1 392 492.5 392 488.1C392 444.1 444.1 423.4 474.6 453.9C477.7 456.1 482.7 456.1 485.9 453.9C488.1 450.7 488.1 445.7 485.9 442.6C455.4 412.1 476.1 360 520.1 360C524.5 360 528.1 356.4 528.1 352C528.1 347.6 524.5 344 520.1 344C476.1 344 455.4 291.1 485.9 261.5C488.1 258.4 488.1 253.3 485.9 250.2C482.7 247.1 477.7 247.1 474.6 250.2C444.1 280.6 392 259.1 392 216C392 211.6 388.4 208 384 208C379.6 208 376 211.6 376 216V216z"],
    "vials": [512, 512, [], "f493", "M216 32h-208C3.594 32 0 35.59 0 40S3.594 48 8 48h208C220.4 48 224 44.41 224 40S220.4 32 216 32zM184 80C179.6 80 176 83.59 176 88v160h-128v-160c0-4.406-3.594-8-8-8S32 83.59 32 88v312C32 444.1 67.88 480 112 480S192 444.1 192 400V88C192 83.59 188.4 80 184 80zM176 400c0 35.28-28.72 64-64 64s-64-28.72-64-64V264h128V400zM504 32h-208C291.6 32 288 35.59 288 40s3.594 8 8 8h208C508.4 48 512 44.41 512 40S508.4 32 504 32zM472 80c-4.406 0-8 3.594-8 8v160h-128v-160c0-4.406-3.594-8-8-8S320 83.59 320 88v312c0 44.13 35.88 80 80 80s80-35.88 80-80V88C480 83.59 476.4 80 472 80zM464 400c0 35.28-28.72 64-64 64s-64-28.72-64-64V264h128V400z"],
    "video": [576, 512, ["video-camera"], "f03d", "M336 64h-288c-26.51 0-48 21.49-48 48v288c0 26.51 21.49 48 48 48h288c26.51 0 48-21.49 48-48v-288C384 85.49 362.5 64 336 64zM368 400c0 17.64-14.36 32-32 32h-288c-17.64 0-32-14.36-32-32v-288c0-17.64 14.36-32 32-32h288c17.64 0 32 14.36 32 32V400zM555.7 100.5c-12.75-6.734-28.16-5.859-39.97 2.25l-96.13 63.81c-3.656 2.453-4.656 7.422-2.219 11.09c2.438 3.703 7.406 4.641 11.09 2.25L524.7 116c7.125-4.859 15.88-5.391 23.56-1.359C555.6 118.5 560 125.7 560 133.9v244.1c0 8.203-4.406 15.42-11.78 19.3c-7.625 4.047-16.5 3.5-23.69-1.453l-96.13-63.73c-3.625-2.406-8.625-1.453-11.06 2.25c-2.438 3.688-1.438 8.641 2.25 11.09l96 63.66c6.594 4.531 14.25 6.844 21.97 6.844c6.188 0 12.41-1.5 18.09-4.5C568.4 404.8 576 392.2 576 377.1V133.9C576 119.7 568.4 107.2 555.7 100.5z"],
    "video-arrow-down-left": [576, 512, [], "e2c8", "M274.3 162.3L112 324.7V216c0-4.422-3.578-7.99-8-7.99S96 211.6 96 216v128C96 348.4 99.58 352 104 352h128c4.422 0 8-3.566 8-7.988S236.4 336 232 336H123.3l162.3-162.3c3.125-3.125 3.125-8.188 0-11.31S277.5 159.2 274.3 162.3zM336 64h-288C21.49 64 0 85.49 0 112v288C0 426.5 21.49 448 48 448h288c26.51 0 48-21.49 48-48v-288C384 85.49 362.5 64 336 64zM368 400c0 17.64-14.36 32-32 32h-288c-17.64 0-32-14.36-32-32v-288c0-17.64 14.36-32 32-32h288c17.64 0 32 14.36 32 32V400zM555.7 100.5c-12.75-6.734-28.16-5.859-39.97 2.25l-96.13 63.81c-3.656 2.453-4.656 7.422-2.219 11.09c2.438 3.703 7.406 4.641 11.09 2.25L524.7 116c7.125-4.859 15.88-5.391 23.56-1.359C555.6 118.5 560 125.7 560 133.9v244.1c0 8.203-4.406 15.42-11.78 19.3c-7.625 4.047-16.5 3.5-23.69-1.453l-96.13-63.73c-3.625-2.406-8.625-1.453-11.06 2.25c-2.438 3.688-1.438 8.641 2.25 11.09l96 63.66c6.594 4.531 14.25 6.844 21.97 6.844c6.188 0 12.41-1.5 18.09-4.5C568.4 404.8 576 392.2 576 377.1V133.9C576 119.7 568.4 107.2 555.7 100.5z"],
    "video-arrow-up-right": [576, 512, [], "e2c9", "M280 160h-128C147.6 160 144 163.6 144 168S147.6 176 152 176h108.7l-162.3 162.3c-3.125 3.125-3.125 8.188 0 11.31s8.188 3.125 11.31 0L272 187.3V296c0 4.422 3.578 8.011 8 8.011S288 300.4 288 296v-128C288 163.6 284.4 160 280 160zM555.7 100.5c-12.75-6.734-28.16-5.859-39.97 2.25l-96.13 63.81c-3.656 2.453-4.656 7.422-2.219 11.09c2.438 3.703 7.406 4.641 11.09 2.25L524.7 116c7.125-4.859 15.88-5.391 23.56-1.359C555.6 118.5 560 125.7 560 133.9v244.1c0 8.203-4.406 15.42-11.78 19.3c-7.625 4.047-16.5 3.5-23.69-1.453l-96.13-63.73c-3.625-2.406-8.625-1.453-11.06 2.25c-2.438 3.688-1.438 8.641 2.25 11.09l96 63.66c6.594 4.531 14.25 6.844 21.97 6.844c6.188 0 12.41-1.5 18.09-4.5C568.4 404.8 576 392.2 576 377.1V133.9C576 119.7 568.4 107.2 555.7 100.5zM336 64h-288C21.49 64 0 85.49 0 112v288C0 426.5 21.49 448 48 448h288c26.51 0 48-21.49 48-48v-288C384 85.49 362.5 64 336 64zM368 400c0 17.64-14.36 32-32 32h-288c-17.64 0-32-14.36-32-32v-288c0-17.64 14.36-32 32-32h288c17.64 0 32 14.36 32 32V400z"],
    "video-plus": [576, 512, [], "f4e1", "M336 64h-288C21.49 64 0 85.49 0 112v288C0 426.5 21.49 448 48 448h288c26.51 0 48-21.49 48-48v-288C384 85.49 362.5 64 336 64zM368 400c0 17.64-14.36 32-32 32h-288c-17.64 0-32-14.36-32-32v-288c0-17.64 14.36-32 32-32h288c17.64 0 32 14.36 32 32V400zM555.7 100.5c-12.75-6.734-28.16-5.859-39.97 2.25l-96.13 63.81c-3.656 2.453-4.656 7.422-2.219 11.09c2.438 3.703 7.406 4.641 11.09 2.25L524.7 116c7.125-4.859 15.88-5.391 23.56-1.359C555.6 118.5 560 125.7 560 133.9v244.1c0 8.203-4.406 15.42-11.78 19.3c-7.625 4.047-16.5 3.5-23.69-1.453l-96.13-63.73c-3.625-2.406-8.625-1.453-11.06 2.25c-2.438 3.688-1.438 8.641 2.25 11.09l96 63.66c6.594 4.531 14.25 6.844 21.97 6.844c6.188 0 12.41-1.5 18.09-4.5C568.4 404.8 576 392.2 576 377.1V133.9C576 119.7 568.4 107.2 555.7 100.5zM280 248h-80v-80C200 163.6 196.4 160 192 160S184 163.6 184 168v80h-80C99.58 248 96 251.6 96 256s3.578 8 8 8h80v80C184 348.4 187.6 352 192 352s8-3.594 8-8v-80h80C284.4 264 288 260.4 288 256S284.4 248 280 248z"],
    "video-slash": [640, 512, [], "f4e2", "M460.4 179.9L556.7 116c7.125-4.859 15.88-5.391 23.56-1.359c7.375 3.891 11.78 11.09 11.78 19.28v244.1c0 .6562-.4434 1.156-.498 1.797l13.98 11.12c1.48-4.078 2.516-8.344 2.516-12.91V133.9c0-14.23-7.594-26.73-20.34-33.44c-12.75-6.734-28.16-5.859-39.97 2.25l-96.13 63.81c-3.656 2.453-4.656 7.422-2.219 11.09C451.8 181.3 456.8 182.3 460.4 179.9zM368 80c17.64 0 32 14.36 32 32v115.6l16 12.72l-.0003-128.3c0-26.51-21.49-47.1-47.1-47.1L194.2 64l20.13 16H368zM368 432H79.1c-17.64 0-32-14.36-32-32V131.7l-16-12.72l.0008 280.1c0 26.51 21.49 47.1 47.1 47.1h287.1c19.15 0 35.55-11.29 43.26-27.52l-13.27-10.55C393.8 422.7 382.1 432 368 432zM636.1 497.7L12.99 1.73C11.52 .5664 9.771 0 8.025 0C5.673 0 3.335 1.031 1.738 3.012c-2.75 3.469-2.172 8.5 1.281 11.25l623.1 496C628.5 511.4 630.2 512 631.1 512c2.344 0 4.688-1.031 6.266-3.016C641 505.5 640.4 500.5 636.1 497.7z"],
    "vihara": [640, 512, [], "f6a7", "M320 0C322.3 0 324.5 .9802 325.1 2.692C369.1 51.36 416.4 78.91 474.7 101.1C474.8 101.1 474.9 101.2 475 101.2C485.2 105.1 495.7 108.8 506.5 112.4C510.7 113.8 512.1 118.3 511.6 122.5C510.2 126.7 505.7 128.1 501.5 127.6C494.2 125.2 487 122.7 480 120.1V181.7C491.1 199.3 508.9 213.9 530.2 226.1C552.3 238.7 577.7 248.5 602.4 256.4C606.2 257.6 608.5 261.3 607.9 265.2C607.3 269.1 603.9 272 600 272H544V327.2C547.7 344.5 559.8 361 576.8 376.4C594 391.1 615.4 405.6 635.9 417C639.1 418.8 640.7 422.5 639.7 426C638.8 429.5 635.6 432 632 432H576V504C576 508.4 572.4 512 568 512C563.6 512 560 508.4 560 504V432H80V504C80 508.4 76.42 512 72 512C67.58 512 64 508.4 64 504V432H7.999C4.354 432 1.169 429.5 .2546 426C-.6599 422.5 .9269 418.8 4.114 417C24.59 405.6 45.99 391.1 63.17 376.4C80.2 361 92.3 344.5 96 327.2V272H39.1C36.05 272 32.7 269.1 32.09 265.2C31.49 261.3 33.81 257.6 37.57 256.4C62.32 248.5 87.73 238.7 109.8 226.1C131.1 213.9 148.9 199.3 160 181.7V120.1C152.1 122.7 145.8 125.2 138.5 127.6C134.3 128.1 129.8 126.7 128.4 122.5C127 118.3 129.3 113.8 133.5 112.4C144.3 108.8 154.8 105.1 164.1 101.2C165.1 101.2 165.2 101.1 165.3 101.1C223.6 78.91 270.9 51.36 314 2.692C315.5 .9802 317.7 0 320 0L320 0zM176 114.1V176H464V114.1C408.1 92.67 362.5 65.64 320 19.9C277.5 65.64 231 92.67 176 114.1zM467.6 192H172.4C159.4 211.8 139.7 227.4 117.7 239.1C107.3 245.9 96.34 251.2 85.1 256H554.9C543.7 251.2 532.7 245.9 522.3 239.1C500.3 227.4 480.6 211.8 467.6 192H467.6zM112 272V320H528V272H112zM529.7 336H110.3C104.4 355.8 90.49 373.3 73.9 388.3C62.71 398.4 49.1 407.7 37.06 416H602.9C590 407.7 577.3 398.4 566.1 388.3C549.5 373.3 535.6 355.8 529.7 336zM224 504V432H240V504C240 508.4 236.4 512 232 512C227.6 512 224 508.4 224 504zM400 504V432H416V504C416 508.4 412.4 512 408 512C403.6 512 400 508.4 400 504z"],
    "violin": [640, 512, [127931], "f8ed", "M463.1 96.01c8.834 0 16-7.168 16-16C479.1 71.17 472.8 64 463.1 64c-8.836 0-16 7.17-16 16C447.1 88.84 455.1 96.01 463.1 96.01zM527.1 32c8.836 0 16-7.168 16-16c0-8.834-7.166-16-16-16c-8.834 0-16 7.166-16 16C511.1 24.83 519.2 32 527.1 32zM249.1 404.2l-13.22-13.25c-7.938-7.938-20.47-9.219-29.83-2.969L138.4 433c-6.016 4.125-9.781 10.5-10.3 17.28C127.4 457.5 129.9 464.5 134.1 469.4l35.53 35.56C174.9 509.5 180.9 512 187.1 512c.8125 0 1.641-.0313 2.453-.125c6.969-.5625 13.33-4.312 17.53-10.38l44.95-67.5C258.3 424.7 257 412.1 249.1 404.2zM238.7 425.1L193.8 492.5c-1.391 2-3.422 3.25-5.797 3.438c-2.281 .1875-4.469-.5313-6.109-2.219l-35.75-35.75c-1.594-1.562-2.359-3.719-2.109-6.219c.1719-2.156 1.422-4.188 3.328-5.5l67.5-44.97C216.2 400.4 217.7 400 219.1 400c1.969 0 3.891 .75 5.391 2.25l13.23 13.25C240.4 418.1 240.8 422.1 238.7 425.1zM624 96.01c-8.832 0-15.1 7.164-15.1 15.1C608 120.8 615.2 128 624 128S640 120.8 640 112C640 103.2 632.8 96.01 624 96.01zM491.3 252.8c-6.93-22.23-18.75-42.12-33.92-58.89l180.2-180.2c3.125-3.125 3.125-8.188 0-11.31s-8.188-3.125-11.31 0l-180.2 180.2c-16.76-15.13-36.62-26.92-58.82-33.83c-2.047-.6562-3.781-1.125-5.125-1.438C345.4 138.6 310.3 147 286 170.3c-2.25 2.188-3.031 5.469-2 8.406C286.4 185.7 287.7 193 287.8 200.4c.1094 26.41-14.27 50.63-37.52 63.28C227 276.4 198.8 275.3 176.8 260.9C173.1 259.1 170.3 259.2 167.6 261.2c-2.703 2-5.266 4.156-8.125 6.75c-32.14 32-40.33 83.03-21.38 133.2c1.578 4.125 6.156 6.25 10.31 4.625c4.141-1.562 6.219-6.156 4.656-10.31c-16.69-44.16-9.906-88.66 17.38-115.9c.8594-.7813 1.703-1.5 2.562-2.25c26.17 14.69 58.19 14.97 84.94 .4375c28.42-15.47 46-45.13 45.86-77.5c-.1094-7.406-1.156-14.69-3.094-21.66c20.06-17 48.09-22.69 77.8-15.75c1.062 .25 2.422 .6562 4 1.125c19.69 6.145 37.32 16.56 52.26 29.89l-88.45 88.45c-3.125 3.125-3.125 8.188 0 11.31C347.9 295.2 349.1 296 352 296s4.094-.7813 5.656-2.344l88.46-88.46c13.38 14.96 23.81 32.61 29.95 52.33c.4844 1.594 .8594 2.906 1.109 4c6.875 29.53 1.125 57.5-15.8 77.59c-33.89-9-70.36 3.188-91.92 31.28c-21.36 28-23.72 66.06-6.5 96.38c-.7187 .875-1.438 1.688-2.172 2.469c-27.62 27.59-72.08 34.44-116.1 17.69c-4.094-1.625-8.75 .5-10.33 4.625c-1.562 4.125 .5156 8.75 4.641 10.31c17.81 6.781 35.73 10.09 52.92 10.09c31 0 59.53-10.81 80.33-31.59c2.438-2.594 4.609-5.312 6.766-8.156c2.062-2.688 2.188-6.406 .3125-9.25c-16.73-25.38-15.61-58.69 2.797-82.84c18.48-24.09 50.31-33.88 79.28-24.31c2.938 .9687 6.156 .1562 8.297-2.062c23.17-24.22 31.56-59.16 23.03-95.84C492.5 256.6 491.1 254.8 491.3 252.8zM559.1 160c-8.834 0-16 7.168-16 16.01c0 8.834 7.17 16.01 16 16.01C568.8 192 576 184.8 576 176C576 167.2 568.8 160 559.1 160zM349.7 2.344c-3.125-3.125-8.188-3.125-11.31 0l-336 336c-3.125 3.125-3.125 8.188 0 11.31C3.906 351.2 5.953 352 8 352s4.094-.7813 5.656-2.344l336-336C352.8 10.53 352.8 5.469 349.7 2.344z"],
    "virus": [512, 512, [], "e074", "M425.7 86.29C419.5 80.05 409.3 80.05 403.1 86.29L394.9 94.46C349.6 139.8 272 107.7 272 43.55V31.1C272 23.16 264.8 15.1 255.1 15.1C247.2 15.1 239.1 23.16 239.1 31.1V43.55C239.1 107.7 162.4 139.8 117.1 94.46L108.9 86.29C102.7 80.05 92.54 80.05 86.29 86.29C80.05 92.54 80.05 102.7 86.29 108.9L94.46 117.1C139.8 162.4 107.7 239.1 43.55 239.1H31.1C23.16 239.1 15.1 247.2 15.1 255.1C15.1 264.8 23.16 271.1 31.1 271.1H43.55C107.7 271.1 139.8 349.6 94.46 394.9L86.29 403.1C80.05 409.3 80.05 419.5 86.29 425.7C92.54 431.1 102.7 431.1 108.9 425.7L117.1 417.5C162.4 372.2 239.1 404.3 239.1 468.5V480C239.1 488.8 247.2 496 255.1 496C264.8 496 272 488.8 272 480V468.5C272 404.3 349.6 372.2 394.9 417.5L403.1 425.7C409.3 431.1 419.5 431.1 425.7 425.7C431.1 419.5 431.1 409.3 425.7 403.1L417.5 394.9C372.2 349.6 404.3 272 468.5 272H480C488.8 272 496 264.8 496 256C496 247.2 488.8 240 480 240H468.5C404.3 240 372.2 162.4 417.5 117.1L425.7 108.9C431.1 102.7 431.1 92.54 425.7 86.29L437 74.98C449.5 87.48 449.5 107.7 437 120.2L428.9 128.4C393.6 163.7 418.6 224 468.5 224H480C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H468.5C418.6 288 393.6 348.3 428.9 383.6L437 391.8C449.5 404.3 449.5 424.5 437 437C424.5 449.5 404.3 449.5 391.8 437L383.6 428.9C348.3 393.6 288 418.6 288 468.5V480C288 497.7 273.7 512 256 512C238.3 512 224 497.7 224 480V468.5C224 418.6 163.7 393.6 128.4 428.9L120.2 437C107.7 449.5 87.48 449.5 74.98 437C62.48 424.5 62.48 404.3 74.98 391.8L83.15 383.6C118.4 348.3 93.44 288 43.55 288H32C14.33 288 0 273.7 0 256C0 238.3 14.33 224 32 224H43.55C93.44 224 118.4 163.7 83.15 128.4L74.98 120.2C62.48 107.7 62.48 87.48 74.98 74.98C87.48 62.48 107.7 62.48 120.2 74.98L128.4 83.15C163.7 118.4 224 93.44 224 43.55V32C224 14.33 238.3 0 256 0C273.7 0 288 14.33 288 32V43.55C288 93.44 348.3 118.4 383.6 83.15L391.8 74.98C404.3 62.48 424.5 62.48 437 74.98L425.7 86.29zM175.1 223.1C175.1 197.5 197.5 175.1 223.1 175.1C250.5 175.1 272 197.5 272 223.1C272 250.5 250.5 271.1 223.1 271.1C197.5 271.1 175.1 250.5 175.1 223.1zM223.1 255.1C241.7 255.1 255.1 241.7 255.1 223.1C255.1 206.3 241.7 191.1 223.1 191.1C206.3 191.1 191.1 206.3 191.1 223.1C191.1 241.7 206.3 255.1 223.1 255.1zM288 303.1C288 295.2 295.2 287.1 304 287.1C312.8 287.1 320 295.2 320 303.1C320 312.8 312.8 319.1 304 319.1C295.2 319.1 288 312.8 288 303.1z"],
    "virus-covid": [512, 512, [], "e4a8", "M144 224C144 197.5 165.5 176 192 176C218.5 176 240 197.5 240 224C240 250.5 218.5 272 192 272C165.5 272 144 250.5 144 224zM192 256C209.7 256 224 241.7 224 224C224 206.3 209.7 192 192 192C174.3 192 160 206.3 160 224C160 241.7 174.3 256 192 256zM288 304C288 295.2 295.2 288 304 288C312.8 288 320 295.2 320 304C320 312.8 312.8 320 304 320C295.2 320 288 312.8 288 304zM296 8C300.4 8 304 11.58 304 16C304 20.42 300.4 24 296 24H264V72.17C308.8 74.09 349.4 92.01 380.3 120.4L414.4 86.3L391.8 63.67C388.6 60.54 388.6 55.48 391.8 52.36C394.9 49.23 399.1 49.23 403.1 52.36L459.6 108.9C462.8 112 462.8 117.1 459.6 120.2C456.5 123.4 451.5 123.4 448.3 120.2L425.7 97.61L391.6 131.7C419.1 162.6 437.9 203.2 439.8 248H488V216C488 211.6 491.6 208 496 208C500.4 208 504 211.6 504 216V296C504 300.4 500.4 304 496 304C491.6 304 488 300.4 488 296V264H439.8C437.9 308.8 419.1 349.4 391.6 380.3L425.7 414.4L448.3 391.8C451.5 388.6 456.5 388.6 459.6 391.8C462.8 394.9 462.8 399.1 459.6 403.1L403.1 459.6C399.1 462.8 394.9 462.8 391.8 459.6C388.6 456.5 388.6 451.5 391.8 448.3L414.4 425.7L380.3 391.6C349.4 419.1 308.8 437.9 264 439.8V488H296C300.4 488 304 491.6 304 496C304 500.4 300.4 504 296 504H216C211.6 504 208 500.4 208 496C208 491.6 211.6 488 216 488H248V439.8C203.2 437.9 162.6 419.1 131.7 391.6L97.61 425.7L120.2 448.3C123.4 451.5 123.4 456.5 120.2 459.6C117.1 462.8 112 462.8 108.9 459.6L52.35 403.1C49.23 399.1 49.23 394.9 52.35 391.8C55.48 388.6 60.54 388.6 63.67 391.8L86.3 414.4L120.4 380.3C92.01 349.4 74.09 308.8 72.17 264H24V296C24 300.4 20.42 304 16 304C11.58 304 8 300.4 8 296V216C8 211.6 11.58 208 16 208C20.42 208 24 211.6 24 216V248H72.17C74.09 203.2 92.01 162.6 120.4 131.7L86.3 97.61L63.67 120.2C60.54 123.4 55.48 123.4 52.36 120.2C49.23 117.1 49.23 112 52.36 108.9L108.9 52.35C112 49.23 117.1 49.23 120.2 52.35C123.4 55.48 123.4 60.54 120.2 63.67L97.61 86.3L131.7 120.4C162.6 92.01 203.2 74.09 248 72.17V24H216C211.6 24 208 20.42 208 16C208 11.58 211.6 8 216 8H296zM256 424C348.8 424 424 348.8 424 256C424 163.2 348.8 88 256 88C163.2 88 88 163.2 88 256C88 348.8 163.2 424 256 424z"],
    "virus-covid-slash": [640, 512, [], "e4a9", "M636.1 497.7C640.4 500.5 641 505.5 638.3 508.1C635.5 512.4 630.5 513 627 510.3L3.022 14.26C-.4365 11.51-1.012 6.481 1.738 3.022C4.487-.4365 9.52-1.012 12.98 1.738L636.1 497.7zM503.8 263.1C503.2 277.9 501.1 291.5 497.6 304.4L483.8 293.6C486.5 281.5 488 268.9 488 255.1C488 163.2 412.8 87.1 319.1 87.1C293.2 87.1 267.9 94.26 245.4 105.4L231.7 94.54C255.7 81.37 282.1 73.41 311.1 72.17V23.1H279.1C275.6 23.1 271.1 20.42 271.1 15.1C271.1 11.58 275.6 7.999 279.1 7.999H360C364.4 7.999 368 11.58 368 15.1C368 20.42 364.4 23.1 360 23.1H328V72.17C372.8 74.09 413.4 92.01 444.3 120.4L478.4 86.3L455.8 63.67C452.6 60.54 452.6 55.48 455.8 52.35C458.9 49.23 463.1 49.23 467.1 52.35L523.6 108.9C526.8 112 526.8 117.1 523.6 120.2C520.5 123.4 515.5 123.4 512.3 120.2L489.7 97.61L455.6 131.7C483.1 162.6 501.9 203.2 503.8 247.1H552V215.1C552 211.6 555.6 207.1 560 207.1C564.4 207.1 568 211.6 568 215.1V295.1C568 300.4 564.4 303.1 560 303.1C555.6 303.1 552 300.4 552 295.1V263.1L503.8 263.1zM142.4 207.6L156.2 218.4C153.5 230.5 151.1 243.1 151.1 256C151.1 348.8 227.2 424 319.1 424C346.8 424 372.1 417.7 394.6 406.6L408.3 417.5C384.3 430.6 357 438.6 328 439.8V488H360C364.4 488 368 491.6 368 496C368 500.4 364.4 504 360 504H279.1C275.6 504 271.1 500.4 271.1 496C271.1 491.6 275.6 488 279.1 488H311.1V439.8C267.2 437.9 226.6 419.1 195.7 391.6L161.6 425.7L184.2 448.3C187.4 451.5 187.4 456.5 184.2 459.6C181.1 462.8 176 462.8 172.9 459.6L116.4 403.1C113.2 399.1 113.2 394.9 116.4 391.8C119.5 388.6 124.5 388.6 127.7 391.8L150.3 414.4L184.4 380.3C156 349.4 138.1 308.8 136.2 264H87.1V296C87.1 300.4 84.42 304 79.1 304C75.58 304 71.1 300.4 71.1 296V216C71.1 211.6 75.58 208 79.1 208C84.42 208 87.1 211.6 87.1 216V248H136.2C136.8 234.1 138.9 220.5 142.4 207.6L142.4 207.6z"],
    "virus-slash": [640, 512, [], "e075", "M386 399.9L402.3 412.7C375.8 415.6 352 437.1 352 468.5V480C352 497.7 337.7 512 319.1 512C302.3 512 287.1 497.7 287.1 480V468.4C287.1 418.6 227.7 393.6 192.4 428.9L184.2 437C171.7 449.5 151.5 449.5 138.1 437C126.5 424.5 126.5 404.3 138.1 391.8L147.1 383.6C182.4 348.3 157.4 287.1 107.5 287.1H95.1C78.33 287.1 63.1 273.7 63.1 255.1C63.1 238.3 78.33 223.1 95.1 223.1H107.5C122.7 223.1 135.6 218.4 145.1 209.7L157.9 219.7C145.4 232 128.1 239.1 107.5 239.1H95.1C87.16 239.1 79.1 247.2 79.1 255.1C79.1 264.8 87.16 271.1 95.1 271.1H107.5C171.7 271.1 203.8 349.6 158.5 394.9L150.3 403.1C144 409.3 144 419.5 150.3 425.7C156.5 431.1 166.7 431.1 172.9 425.7L181.1 417.5C226.4 372.2 303.1 404.3 303.1 468.5V480C303.1 488.8 311.2 496 319.1 496C328.8 496 336 488.8 336 480V468.5C336 434 358.3 408.8 386 399.9V399.9zM287.1 32C287.1 14.33 302.3 0 319.1 0C337.7 0 352 14.33 352 32V43.55C352 93.44 412.3 118.4 447.6 83.15L455.8 74.98C468.3 62.48 488.5 62.48 501 74.98C513.5 87.48 513.5 107.7 501 120.2L492.9 128.4C457.6 163.7 482.6 224 532.5 224H544C561.7 224 576 238.3 576 256C576 273.7 561.7 288 544 288H532.5C517.3 288 504.4 293.6 494.9 302.3L482.1 292.3C494.6 279.1 511.9 272 532.5 272H544C552.8 272 560 264.8 560 256C560 247.2 552.8 240 544 240H532.5C468.3 240 436.2 162.4 481.5 117.1L489.7 108.9C495.1 102.7 495.1 92.54 489.7 86.29C483.5 80.05 473.3 80.05 467.1 86.29L458.9 94.46C413.6 139.8 336 107.7 336 43.55V32C336 23.16 328.8 16 320 16C311.2 16 304 23.16 304 32V43.55C304 77.97 281.7 103.2 253.1 112.1L237.7 99.32C264.2 96.41 288 74.89 288 43.55L287.1 32zM636.1 497.7C640.4 500.5 641 505.5 638.3 508.1C635.5 512.4 630.5 513 627 510.3L3.022 14.26C-.4365 11.51-1.012 6.482 1.738 3.023C4.487-.4362 9.52-1.011 12.98 1.738L636.1 497.7zM501 74.98L489.7 86.29z"],
    "viruses": [640, 512, [], "e076", "M340.1 220.4h15.5C371.3 220.4 384 207.7 384 192s-12.75-28.44-28.44-28.44h-15.5c-16.2 0-26.31-10.5-30.39-20.31C305.6 133.4 305.4 118.9 316.8 107.4l10.95-10.97c5.375-5.375 8.328-12.5 8.328-20.09s-2.948-14.74-8.323-20.12C316.7 45.16 298.6 45.16 287.5 56.22L276.6 67.19C265.1 78.59 250.5 78.41 240.7 74.31C230.9 70.25 220.4 60.13 220.4 43.94v-15.5C220.4 12.75 207.7 0 192 0S163.6 12.75 163.6 28.44v15.5c0 16.19-10.48 26.31-20.3 30.38C133.4 78.41 118.9 78.59 107.4 67.19L96.45 56.22C85.36 45.16 67.32 45.16 56.23 56.23C50.85 61.6 47.91 68.75 47.91 76.34s2.953 14.72 8.328 20.09l10.95 10.97C78.64 118.9 78.39 133.4 74.33 143.3c-4.078 9.812-14.19 20.31-30.39 20.31h-15.5C12.75 163.6 0 176.3 0 192s12.75 28.44 28.44 28.44h15.5c16.2 0 26.31 10.5 30.39 20.31C78.39 250.6 78.64 265.1 67.19 276.6L56.23 287.6c-5.375 5.375-8.328 12.5-8.328 20.09s2.936 14.74 8.327 20.12c10.72 10.75 29.39 10.76 40.22 .009l10.95-10.97c11.45-11.44 26.03-11.22 35.86-7.125c9.812 4.062 20.3 14.19 20.3 30.38v15.5C163.6 371.3 176.3 384 192 384s28.44-12.75 28.44-28.44v-15.5c0-16.19 10.48-26.31 20.3-30.38c9.812-4.094 24.41-4.312 35.86 7.125l10.97 11c10.8 10.69 29.44 10.71 40.21-.0402c5.375-5.375 8.323-12.52 8.323-20.12s-2.953-14.72-8.328-20.09L316.8 276.6C305.4 265.1 305.6 250.6 309.7 240.8C313.8 230.9 323.9 220.4 340.1 220.4zM305.5 287.9l10.95 10.97c2.359 2.344 3.641 5.469 3.641 8.781c0 3.344-1.297 6.469-3.625 8.812c-4.719 4.688-12.91 4.688-17.61 0L287.9 305.5C273.6 291.3 253.2 287.2 234.6 294.9C216 302.6 204.4 319.9 204.4 340.1v15.5C204.4 362.4 198.9 368 192 368s-12.44-5.594-12.44-12.44v-15.5c0-20.16-11.56-37.44-30.17-45.16C143.2 292.3 136.7 291.1 130.4 291.1c-12.58 0-24.78 4.969-34.27 14.44L85.16 316.4c-4.734 4.75-12.94 4.719-17.61 .0313C65.2 314.1 63.91 311 63.91 307.7c0-3.312 1.281-6.438 3.641-8.781L78.5 287.9c14.25-14.25 18.31-34.66 10.61-53.28C81.39 216 64.09 204.4 43.94 204.4h-15.5C21.58 204.4 16 198.8 16 192s5.578-12.44 12.44-12.44h15.5c20.16 0 37.45-11.56 45.17-30.19c7.703-18.62 3.641-39.03-10.61-53.28L67.55 85.13C65.19 82.78 63.91 79.66 63.91 76.34c0-3.344 1.297-6.469 3.641-8.812c4.844-4.812 12.75-4.812 17.59 0L96.09 78.5C110.4 92.75 130.8 96.81 149.4 89.09C168 81.38 179.6 64.09 179.6 43.94v-15.5C179.6 21.59 185.1 16 192 16s12.44 5.594 12.44 12.44v15.5c0 20.16 11.56 37.44 30.17 45.16C253.2 96.81 273.6 92.75 287.9 78.5l10.95-10.97c4.844-4.812 12.75-4.812 17.59 0c2.344 2.344 3.641 5.469 3.641 8.812c0 3.312-1.281 6.438-3.641 8.781L305.5 96.09C291.3 110.3 287.2 130.8 294.9 149.4C302.6 168 319.9 179.6 340.1 179.6h15.5C362.4 179.6 368 185.2 368 192s-5.578 12.44-12.44 12.44h-15.5c-20.16 0-37.45 11.56-45.17 30.19C287.2 253.3 291.3 273.7 305.5 287.9zM160 120C137.9 120 120 137.9 120 160S137.9 200 160 200S200 182.1 200 160S182.1 120 160 120zM160 184C146.8 184 136 173.2 136 160S146.8 136 160 136S184 146.8 184 160S173.2 184 160 184zM240 192C231.2 192 224 199.2 224 208C224 216.8 231.2 224 240 224S256 216.8 256 208C256 199.2 248.8 192 240 192zM616.9 344.9h-11.45c-10.94 0-17.78-7.094-20.53-13.72c-2.734-6.625-2.922-16.47 4.828-24.22l8.094-8.094c4.375-4.375 6.781-10.19 6.781-16.38c-.0156-6.156-2.422-11.95-6.781-16.29c-9-9-23.69-8.987-32.69 .0125l-8.094 8.094c-7.766 7.719-17.61 7.469-24.22 4.812C526.2 276.3 519.1 269.5 519.1 258.6V247.1C519.1 234.4 508.8 224 496 224s-23.11 10.38-23.11 23.12v11.44c0 10.94-7.094 17.78-13.72 20.53c-6.609 2.688-16.45 2.938-24.22-4.812l-8.094-8.094c-9.031-9-23.68-8.956-32.68-.0187c-4.375 4.375-6.769 10.14-6.784 16.3c0 6.188 2.406 12 6.781 16.38l8.094 8.094c7.75 7.75 7.562 17.59 4.828 24.22c-2.75 6.625-9.594 13.72-20.53 13.72H375.1C362.4 344.9 352 355.3 352 368s10.36 23.12 23.11 23.12h11.45c10.94 0 17.78 7.094 20.53 13.72c2.734 6.625 2.922 16.47-4.828 24.22l-8.094 8.094c-4.375 4.375-6.781 10.19-6.781 16.38c.0156 6.156 2.434 11.95 6.778 16.29c8.719 8.75 24 8.737 32.69-.0125l8.094-8.094c7.734-7.781 17.56-7.531 24.22-4.812c6.625 2.75 13.72 9.594 13.72 20.53v11.44C472.9 501.6 483.3 512 496 512s23.11-10.38 23.11-23.12v-11.44c0-10.94 7.094-17.78 13.72-20.53c6.641-2.656 16.48-2.938 24.22 4.812l8.078 8.094c8.719 8.75 24.04 8.706 32.7 .0187c4.375-4.375 6.769-10.14 6.784-16.3c0-6.188-2.406-12-6.781-16.38l-8.094-8.094c-7.75-7.75-7.562-17.59-4.828-24.22c2.75-6.625 9.594-13.72 20.53-13.72h11.45C629.6 391.1 640 380.8 640 368S629.6 344.9 616.9 344.9zM616.9 375.1h-11.45c-15.75 0-29.28 9.031-35.31 23.59c-6.031 14.53-2.844 30.5 8.297 41.66l8.094 8.094c1.344 1.344 2.094 3.125 2.094 5.031c-.0156 1.875-.75 3.656-2.109 5c-2.656 2.688-7.359 2.688-10.05 0l-8.094-8.094c-11.16-11.16-27.11-14.25-41.64-8.281c-14.56 6.031-23.61 19.56-23.61 35.31v11.44C503.1 492.8 499.9 496 496 496s-7.109-3.188-7.109-7.125v-11.44c0-15.75-9.047-29.28-23.61-35.31c-4.875-2.031-9.906-3-14.88-3c-9.828 0-19.36 3.875-26.77 11.28l-8.109 8.094c-2.656 2.688-7.344 2.688-10.06 0c-1.328-1.344-2.062-3.125-2.078-5c0-1.906 .75-3.688 2.094-5.031l8.094-8.094c11.14-11.16 14.33-27.12 8.297-41.66c-6.031-14.56-19.56-23.59-35.31-23.59H375.1C371.2 375.1 368 371.9 368 368s3.188-7.125 7.109-7.125h11.45c15.75 0 29.28-9.031 35.31-23.59c6.031-14.53 2.844-30.5-8.297-41.66l-8.094-8.094C404.1 286.2 403.4 284.4 403.4 282.5c.0156-1.875 .75-3.656 2.094-5c2.781-2.75 7.281-2.75 10.06 0l8.094 8.094c11.14 11.16 27.11 14.22 41.64 8.281c14.56-6.031 23.61-19.56 23.61-35.31V247.1C488.9 243.2 492.1 240 496 240s7.109 3.188 7.109 7.125v11.44c0 15.75 9.047 29.28 23.61 35.31c14.53 6.031 30.48 2.875 41.64-8.281l8.094-8.094c2.781-2.75 7.297-2.75 10.08 0c1.328 1.344 2.062 3.125 2.078 5c0 1.906-.75 3.688-2.094 5.031l-8.094 8.094c-11.14 11.16-14.33 27.12-8.297 41.66c6.031 14.56 19.56 23.59 35.31 23.59h11.45C620.8 360.9 624 364.1 624 368S620.8 375.1 616.9 375.1zM480 320c-17.67 0-32 14.33-32 32c0 17.67 14.33 32 32 32s32-14.33 32-32C512 334.3 497.7 320 480 320zM480 368c-8.822 0-16-7.178-16-16s7.178-16 16-16s16 7.178 16 16S488.8 368 480 368z"],
    "voicemail": [640, 512, [], "f897", "M143.1 160c-44.18 0-80 35.82-80 80s35.82 79.1 80 79.1c44.18 0 80-35.82 80-79.1S188.2 160 143.1 160zM144 304c-35.29 0-64-28.71-64-64s28.71-64 64-64c35.29 0 64 28.71 64 64S179.3 304 144 304zM495.1 96C416.6 96 352 160.6 352 240c0 56.07 32.53 104.2 79.41 128H208.6C255.5 344.2 288 296.1 288 240C288 160.6 223.4 96 144 96S0 160.6 0 240s64.59 144 143.1 144h352C575.4 384 640 319.4 640 240S575.4 96 495.1 96zM16 240c0-70.59 57.42-128 128-128s128 57.41 128 128s-57.42 128-128 128S16 310.6 16 240zM496 368c-70.58 0-128-57.41-128-128s57.42-128 128-128s128 57.41 128 128S566.6 368 496 368zM495.1 160c-44.18 0-80 35.82-80 80s35.82 79.1 80 79.1c44.18 0 80-35.82 80-79.1S540.2 160 495.1 160zM496 304c-35.29 0-64-28.71-64-64s28.71-64 64-64c35.29 0 64 28.71 64 64S531.3 304 496 304z"],
    "volcano": [512, 512, [127755], "f770", "M302.9 224H209.1C197.1 224 185.9 229.3 178.4 238.6L124.5 305.6C122.2 308.6 122.2 312.8 124.6 315.7l12.81 15.56c6 7.344 15.35 11.61 25.54 11.61c.0313 .0313-.0469 0 0 0c10.21-.0313 19.61-4.203 25.71-11.61c15.57-19.02 50.79-27.26 73.93-1.219l30.63 34.84c6.002 6.812 15.02 10.75 24.74 10.78c9.768 0 18.97-3.906 25.07-10.78l43.72-49.72c2.578-2.906 2.672-7.25 .2344-10.28l-53.37-66.44C326 229.3 314.8 224 302.9 224zM331 354.3c-6.395 7.184-19.51 7.146-25.8 .0313l-30.66-34.88c-12.28-13.81-29.1-21.75-45.29-21.75c-23.46 0-41.02 8.756-52.99 23.41c-6.242 7.582-20.17 7.746-26.53 0L141.1 310.6l49.79-61.97C195.3 243.1 201.1 240 209.1 240h93.75c7.156 0 13.88 3.156 18.36 8.562l49.07 61.13L331 354.3zM164.8 147.1c10.28 0 20.39-2.25 29.67-6.592L218.5 187.7c2.031 3.938 6.891 5.498 10.78 3.406c3.922-2.031 5.453-6.875 3.406-10.78L204.9 126.8c-2.777-5.387-8.686-4.695-11.33-3.094C184.9 129.1 174.1 131.1 164.8 131.1C135.7 131.1 112 109.3 112 81.33c0-27.93 23.69-50.68 52.8-50.68c12.44 0 24.23 4.248 34.14 12.31c4.121 3.355 9.584 1.641 11.85-1.998c9.688-15.62 26.59-24.96 45.22-24.96s35.53 9.342 45.22 24.96c2.279 3.668 7.711 5.334 11.84 1.998c9.906-8.061 21.7-12.31 34.14-12.31c29.11 0 52.8 22.74 52.8 50.68c0 27.93-23.69 50.65-52.8 50.65c-10.16 0-20.11-2.875-28.78-8.281c-2.619-1.602-8.547-2.297-11.33 3.094L279.3 180.3c-2.047 3.904-.5156 8.748 3.406 10.78c4.695 2.502 9.248-.4414 10.78-3.406l24.03-46.27c9.281 4.342 19.39 6.592 29.67 6.592c37.94 0 68.8-29.9 68.8-66.64c0-36.78-30.86-66.68-68.8-66.68c-13.34 0-26.09 3.75-37.33 10.9C296.9 9.404 277.3 0 255.1 0S215.1 9.404 202.1 25.56C190.9 18.4 178.1 14.65 164.8 14.65C126.9 14.65 96 44.55 96 81.33C96 118.1 126.9 147.1 164.8 147.1zM503.1 450.6l-97.62-121.5c-2.75-3.438-7.783-4-11.25-1.25c-3.438 2.781-3.984 7.812-1.219 11.25l97.51 121.3C502.2 474.5 492.7 496 473 496H39.07c-19.48 0-29.46-21.31-18.58-35.38l97.01-120.5c2.768-3.469 2.219-8.5-1.219-11.25c-3.453-2.812-8.484-2.219-11.25 1.188l-97.12 120.7c-8.846 11.47-10.39 26.66-4.016 39.63C10.45 503.7 23.94 512 39.07 512h433.1c15.06 0 28.5-8.281 35.07-21.62C514.5 477.4 512.1 462.2 503.1 450.6z"],
    "volleyball": [512, 512, [127952, "volleyball-ball"], "f45f", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM496 256c0 7.988-.4336 15.88-1.199 23.66c-32.32 8.461-62.8 11.33-90.32 10.36c5.43-37.38 12.9-153.8-73.44-261.8C426.7 59.78 496 149.9 496 256zM161.2 354.3C198.9 300.3 243.2 272.5 255.8 265.2c15.76 9.23 76.22 41.11 159.6 41.11c23.84 0 49.78-3.273 76.82-9.812c-7.727 45.14-28.04 85.93-57.28 118.8C290.9 446.3 188.9 376.4 161.2 354.3zM304 20.84c99.48 109.4 89.8 233.1 84.47 268.2c-65.57-5.684-111.9-30.17-124.4-37.48c.1641-23.13-4.584-129.7-90.93-220.5C199 21.48 226.8 16 256 16C272.4 16 288.5 17.68 304 20.84zM157.2 37.52c23.41 23.71 41.09 48.63 53.99 72.89c-35.15 14.01-139.7 65.78-190.1 194.7C17.78 289.3 16 272.8 16 256C16 158.9 74.07 75.27 157.2 37.52zM28.43 331.7c45.09-140.6 156.9-194 189.9-206.9c27.85 59.63 29.8 111.1 29.76 126.5c-20.16 11.45-109.8 69.14-145.2 189.3C68.75 412.3 42.76 374.6 28.43 331.7zM116.8 451.1c8.752-32.09 20.98-60.29 35.5-83.52c25.98 20.44 102.1 71.8 210.7 71.8c16.67 0 34.38-1.812 52.55-4.609C373.1 472.7 317.3 496 256 496C204.1 496 156.1 479.3 116.8 451.1z"],
    "volume": [576, 512, [128265, "volume-medium"], "f6a8", "M333.2 34.84c-4.289-1.969-8.623-2.841-13.16-2.841c-7.496 0-14.92 2.632-20.82 7.714L196.2 159.1H64c-17.67 0-32 14.33-32 32v128c0 17.67 14.33 32 32 32h132.2l102.1 120.3C305.1 477.4 312.5 480 320 480c4.531 0 8.881-.8687 13.16-2.837C344.5 471.9 352 460.5 352 448V64C352 51.5 344.5 40.06 333.2 34.84zM336 447.1c0 6.223-3.656 11.92-9.309 14.53C324.6 463.5 322.3 463.1 320 463.1c-3.477 0-6.844-1.133-9.582-3.207l-106.9-124.8H64c-8.824 0-16-7.178-16-16v-128c0-8.822 7.176-16 16-16h139.6l106.8-124.8c2.742-2.072 6.102-3.203 9.57-3.203c2.324 0 4.586 .4961 6.703 1.467C332.3 52.07 336 57.77 336 63.99V447.1zM510.1 120.4c-3.344-2.781-8.438-2.313-11.25 1.125c-2.812 3.406-2.312 8.438 1.125 11.25C538.4 163.6 560 208.5 560 255.1s-21.56 92.44-59.16 123.3c-3.438 2.813-3.938 7.844-1.125 11.25c1.594 1.938 3.875 2.938 6.188 2.938c1.781 0 3.594-.5938 5.062-1.813C552.3 357.7 576 308.3 576 256S552.3 154.2 510.1 120.4zM439.2 195.5c-2.812 3.406-2.312 8.469 1.125 11.25C455.4 219 464 236.1 464 255.1s-8.625 36.97-23.69 49.28c-3.438 2.781-3.938 7.844-1.125 11.25c1.562 1.938 3.875 2.938 6.188 2.938c1.781 0 3.594-.5938 5.062-1.813C469.2 302.3 480 279.8 480 256s-10.78-46.32-29.56-61.66C447 191.6 441.9 192 439.2 195.5z"],
    "volume-high": [640, 512, [128266, "volume-up"], "f028", "M301.2 34.98c-4.289-1.969-8.623-2.902-13.16-2.902c-7.496 0-14.92 2.551-20.82 7.634L164.2 159.1H32c-17.67 0-32 14.33-32 32v128c0 17.67 14.33 32 32 32h132.2l102.1 120.3C273.1 477.4 280.5 479.8 288 479.8c4.531 0 8.881-.8666 13.16-2.835C312.5 471.8 320 460.4 320 447.9V64.12C320 51.62 312.5 40.2 301.2 34.98zM304 447.1c0 6.223-3.656 11.92-9.309 14.53C292.6 463.5 290.3 463.1 288 463.1c-3.477 0-6.844-1.133-9.582-3.207l-106.9-124.8H32c-8.824 0-16-7.178-16-16v-128c0-8.822 7.176-16 16-16h139.6l106.8-124.8c2.742-2.072 6.102-3.203 9.57-3.203c2.324 0 4.586 .4961 6.703 1.467C300.3 52.07 304 57.77 304 63.99V447.1zM540.2 45.53c-3.375-2.781-8.438-2.313-11.25 1.125c-2.812 3.406-2.312 8.438 1.125 11.25C589.8 106.8 624 178.1 624 255.1s-34.22 149.2-93.91 198.1c-3.438 2.813-3.938 7.844-1.125 11.25c1.594 1.938 3.875 2.938 6.188 2.938c1.781 0 3.594-.5938 5.062-1.813C603.6 414.5 640 337.8 640 255.1S603.6 97.46 540.2 45.53zM478.1 120.4c-3.344-2.781-8.438-2.313-11.25 1.125c-2.812 3.406-2.312 8.438 1.125 11.25C506.4 163.6 528 208.5 528 255.1s-21.56 92.44-59.16 123.3c-3.438 2.813-3.938 7.844-1.125 11.25c1.594 1.938 3.875 2.938 6.188 2.938c1.781 0 3.594-.5938 5.062-1.813C520.3 357.7 544 308.3 544 255.1S520.3 154.2 478.1 120.4zM407.2 195.5c-2.812 3.406-2.312 8.469 1.125 11.25C423.4 219 432 236.1 432 255.1s-8.625 36.97-23.69 49.28c-3.438 2.781-3.938 7.844-1.125 11.25c1.562 1.938 3.875 2.938 6.188 2.938c1.781 0 3.594-.5938 5.062-1.813C437.2 302.3 448 279.8 448 255.1s-10.78-46.31-29.56-61.65C415 191.6 409.9 192 407.2 195.5z"],
    "volume-low": [448, 512, [128264, "volume-down"], "f027", "M301.2 34.84c-4.289-1.969-8.623-2.842-13.16-2.842c-7.496 0-14.92 2.632-20.82 7.714L164.2 159.1H32c-17.67 0-32 14.33-32 32v128c0 17.67 14.33 32 32 32h132.2l102.1 120.3C273.1 477.4 280.5 480 288 480c4.531 0 8.881-.8687 13.16-2.837C312.5 471.9 320 460.5 320 448V64C320 51.5 312.5 40.06 301.2 34.84zM304 447.1c0 6.223-3.656 11.92-9.309 14.53C292.6 463.5 290.3 463.1 288 463.1c-3.477 0-6.844-1.133-9.582-3.207l-106.9-124.8H32c-8.824 0-16-7.178-16-16v-128c0-8.822 7.176-16 16-16h139.6l106.8-124.8c2.742-2.072 6.102-3.203 9.57-3.203c2.324 0 4.586 .4961 6.703 1.467C300.3 52.07 304 57.77 304 63.99V447.1zM407.2 195.5c-2.812 3.406-2.312 8.469 1.125 11.25C423.4 219 432 236.1 432 255.1s-8.625 36.97-23.69 49.28c-3.438 2.781-3.938 7.844-1.125 11.25c1.562 1.938 3.875 2.938 6.188 2.938c1.781 0 3.594-.5938 5.062-1.813C437.2 302.3 448 279.8 448 256s-10.78-46.32-29.56-61.66C415 191.6 409.9 192 407.2 195.5z"],
    "volume-off": [320, 512, [], "f026", "M301.2 34.84c-4.289-1.969-8.623-2.841-13.16-2.841c-7.496 0-14.92 2.632-20.82 7.714l-102.1 120.3H32c-17.67 0-32 14.33-32 32v128c0 17.67 14.33 32 32 32h132.2l102.1 120.3C273.1 477.4 280.5 480 288 480c4.531 0 8.881-.8687 13.16-2.837C312.5 471.9 320 460.5 320 448V64C320 51.5 312.5 40.06 301.2 34.84zM304 447.1c0 6.223-3.656 11.92-9.309 14.53C292.6 463.5 290.3 463.1 288 463.1c-3.477 0-6.844-1.133-9.582-3.207l-106.9-124.8H32c-8.824 0-16-7.178-16-16v-128c0-8.822 7.176-16 16-16h139.6l106.8-124.8c2.742-2.072 6.102-3.203 9.57-3.203c2.324 0 4.586 .4961 6.703 1.467C300.3 52.07 304 57.77 304 63.99V447.1z"],
    "volume-slash": [640, 512, [128263], "f2e2", "M496 255.1c0 13.72-4.631 26.83-12.81 37.74l12.54 9.963C506.1 289.1 512 273.4 512 256c0-23.81-10.78-46.32-29.56-61.66c-3.438-2.781-8.5-2.312-11.25 1.125c-2.812 3.406-2.312 8.469 1.125 11.25C487.4 219 496 236.1 496 255.1zM342.4 51.2C345.2 49.13 348.5 48 351.1 48c2.324 0 4.586 .4961 6.703 1.467C364.3 52.07 368 57.77 368 63.99V202.2L384 214.9V64c0-12.5-7.494-23.94-18.84-29.16c-4.289-1.969-8.623-2.841-13.16-2.841c-7.496 0-14.92 2.632-20.82 7.714L263.3 118.1l12.53 9.963L342.4 51.2zM592 255.1c0 35.49-12.05 69.54-33.82 97.34l12.53 9.959C594.7 332.7 608 295.2 608 256c0-52.31-23.69-101.8-65.03-135.6c-3.344-2.781-8.438-2.312-11.25 1.125c-2.812 3.406-2.312 8.438 1.125 11.25C570.4 163.6 592 208.5 592 255.1zM368 448c0 6.223-3.656 11.92-9.309 14.53C356.6 463.5 354.3 464 352 464c-3.477 0-6.844-1.133-9.582-3.207L235.6 335.1H96c-8.824 0-16-7.178-16-16v-128c0-8.822 7.176-16 16-16h7.637L86.04 162C73.32 166.2 64 177.9 64 191.1v128c0 17.67 14.33 32 32 32h132.2l102.1 120.3C337.1 477.4 344.5 480 352 480c4.531 0 8.881-.8687 13.16-2.837C376.5 471.9 384 460.5 384 448v-49.15l-16-12.72V448zM636.1 497.7L12.99 1.73C11.53 .5664 9.771 0 8.025 0C5.674 0 3.336 1.027 1.738 3.012c-2.75 3.469-2.172 8.5 1.281 11.25l623.1 496C628.5 511.4 630.2 512 631.1 512c2.344 0 4.688-1.031 6.266-3.016C641 505.5 640.4 500.5 636.1 497.7z"],
    "volume-xmark": [576, 512, ["volume-mute", "volume-times"], "f6a9", "M301.2 34.85c-4.289-1.969-8.639-2.848-13.17-2.848c-7.496 0-14.92 2.632-20.82 7.714L164.2 159.1H32c-17.67 0-32 14.33-32 32v128c0 17.67 14.33 32 32 32h132.2l102.1 120.3c5.906 5.094 13.32 7.719 20.82 7.719c4.529 0 8.894-.875 13.17-2.844c11.34-5.219 18.82-16.66 18.82-29.16V64C319.1 51.5 312.5 40.07 301.2 34.85zM303.1 448c0 6.223-3.656 11.92-9.309 14.53C292.6 463.5 290.3 464 287.1 464c-3.477 0-6.844-1.133-9.582-3.207L171.6 335.1H32c-8.824 0-16-7.178-16-16v-128c0-8.822 7.176-16 16-16h139.6l106.8-124.8C281.2 49.13 284.5 48 287.1 48c2.322 0 4.584 .4961 6.701 1.467c5.656 2.602 9.312 8.305 9.312 14.53V448zM491.3 255.1l66.34-66.34c3.125-3.125 3.125-8.188 0-11.31s-8.188-3.125-11.31 0L480 244.7l-66.34-66.34c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31l66.34 66.34l-66.34 66.34c-3.125 3.125-3.125 8.188 0 11.31c3.127 3.127 8.186 3.127 11.31 0L480 267.3l66.34 66.34c3.127 3.127 8.186 3.127 11.31 0c3.125-3.125 3.125-8.188 0-11.31L491.3 255.1z"],
    "vr-cardboard": [640, 512, [], "f729", "M576 64H64c-35.2 0-64 28.8-64 64v256c0 35.2 28.8 64 64 64l128.3 .0001c25.18 0 48.03-14.77 58.37-37.73l27.76-61.65c7.875-17.5 24-28.63 41.63-28.63s33.75 11.13 41.63 28.63l27.75 61.63c10.35 22.98 33.2 37.75 58.4 37.75L576 448c35.2 0 64-28.8 64-64v-256C640 92.8 611.2 64 576 64zM624 384c0 26.47-21.53 48-48 48h-128.2c-18.87 0-36.06-11.12-43.81-28.32l-27.75-61.62C365.8 318.9 343.7 304 320 304s-45.81 14.94-56.21 38.06l-27.76 61.65C228.3 420.9 211.1 432 192.3 432H64c-26.47 0-48-21.53-48-48V128c0-26.47 21.53-48 48-48h512c26.47 0 48 21.53 48 48V384zM160 176c-35.38 0-64 28.62-64 63.1s28.62 64 64 64s64-28.63 64-64S195.4 176 160 176zM160 288C133.5 288 112 266.5 112 240S133.5 192 160 192s48 21.53 48 48S186.5 288 160 288zM480 176c-35.38 0-64 28.62-64 63.1s28.62 64 64 64s64-28.63 64-64S515.4 176 480 176zM480 288c-26.47 0-48-21.53-48-48S453.5 192 480 192s48 21.53 48 48S506.5 288 480 288z"],
    "w": [576, 512, [119], "57", "M415.9 480C415.8 480 415.1 480 415.9 480c-3.469-.0938-6.586-2.406-7.57-5.719L288 68.16L167.7 474.3C166.7 477.6 163.7 479.9 160.2 480c-3.484-.2813-6.609-2.062-7.75-5.344L.4571 42.66c-1.469-4.156 .7187-8.75 4.891-10.19C9.519 30.97 14.1 33.19 15.55 37.34l143.8 408.7L280.3 37.72c2.031-6.75 13.31-6.75 15.34 0l120.1 408.3l143.8-408.7c1.469-4.156 6.062-6.375 10.2-4.875c4.172 1.438 6.359 6.031 4.891 10.19l-151.1 431.1C422.4 477.9 419.3 480 415.9 480z"],
    "waffle": [512, 512, [129479], "e466", "M511.7 225.4c-13.94-118.7-106.7-211.2-225.5-225.1c-1.857-.2207-3.719-.3281-5.573-.3281c-8.629 0-17.13 2.339-24.59 6.675C248.5 2.345 240 0 231.4 0C229.6 0 227.7 .1094 225.8 .334C106.1 14.21 14.26 106.8 .3184 225.4c-1.221 10.55 1.096 21.1 6.359 30.12C1.414 264.6-.9023 275.1 .3184 285.7c0 0 0-.0156 0 0c14.38 122.6 114.3 217.7 237.7 226.2C238.9 511.1 239.8 512 240.7 512C245.1 512 251.1 510.7 256 508.6C260.9 510.7 266 512 271.3 512c.875 0 1.75-.0313 2.625-.0938c123.4-8.5 223.3-103.6 237.7-226.2c1.221-10.54-1.094-21.08-6.357-30.11C510.6 246.5 512.9 235.1 511.7 225.4zM491.5 247.5L491.2 248h-115.2v-96h97.1c11.02 23.26 18.65 48.5 21.79 75.28C496.6 234.3 495.1 241.3 491.5 247.5zM248 264v95.1H152V264H248zM152 248v-96H248v96H152zM264 264h95.1v95.1H264V264zM264 248v-96h95.1v96H264zM465 136h-89.03V47.05C413.2 68.28 443.8 98.86 465 136zM280.6 16.01c1.229 0 2.461 .0703 3.717 .2207c26.93 3.143 52.32 10.78 75.7 21.84V136H264V20.54C269.1 17.59 274.8 16.01 280.6 16.01zM227.8 16.22C228.1 16.07 230.2 16 231.4 16c5.736 0 11.45 1.561 16.52 4.51L248 136H152V38.08C175.4 27.01 200.8 19.37 227.8 16.22zM136 47.06V136H46.98C68.21 98.87 98.82 68.29 136 47.06zM38.01 152h97.99v96H20.79L20.5 247.5C16.88 241.3 15.4 234.3 16.21 227.3C19.36 200.5 26.99 175.3 38.01 152zM20.36 264h115.6v95.1H38.49c-11.33-23.5-19.1-49.08-22.28-76.16C15.43 277.1 16.93 270 20.36 264zM47.01 375.1h88.99v88.61C99.08 443.5 68.36 412.9 47.01 375.1zM239.6 495.9c-.1523 0-.3086-.002-.4668-.0039c-31.03-2.137-60.38-10.28-87.13-23.03V375.1H248v118.2C245.4 495.2 242.1 495.9 239.6 495.9zM271.3 496c-2.246 0-4.775-.7813-7.344-1.713V375.1h95.1v96.64C332.9 485.6 303 493.8 271.3 496zM375.1 464.3V375.1h88.95C443.6 412.7 412.1 443.2 375.1 464.3zM473.5 359.1h-97.49V264h115.7c3.42 6.039 4.928 13.05 4.145 19.81C492.6 310.9 484.8 336.5 473.5 359.1z"],
    "wagon-covered": [640, 512, [], "f8ee", "M563.8 240H568C572.4 240 576 243.6 576 248V288C576 292.4 572.4 296 568 296C563.6 296 560 292.4 560 288V256H80V288C80 292.4 76.42 296 72 296C67.58 296 64 292.4 64 288V248C64 243.6 67.58 240 72 240H76.18L8.062 69.7C-5.029 36.97 20.44 1.763 55.62 3.962L188.5 12.27C211.6 13.71 231.6 25.95 243.7 43.89C251.8 22.9 272.2 7.999 296 7.999H344C367.8 7.999 388.2 22.9 396.3 43.89C408.4 25.95 428.4 13.71 451.5 12.27L584.4 3.961C619.6 1.763 645 36.97 631.9 69.69L563.8 240zM617.1 63.75C625.8 41.93 608.8 18.46 585.4 19.93L452.5 28.23C422.1 30.08 400 54.55 400 84.13V240H546.6L617.1 63.75zM240 240V84.13C240 54.55 217 30.08 187.5 28.23L54.62 19.93C31.17 18.46 14.19 41.93 22.92 63.75L93.42 240L240 240zM256 239.1H384V63.1C384 41.91 366.1 23.1 344 23.1H296C273.9 23.1 256 41.91 256 63.1V239.1zM464 320C468.4 320 472 323.6 472 328V392H536C540.4 392 544 395.6 544 400C544 404.4 540.4 408 536 408H472V472C472 476.4 468.4 480 464 480C459.6 480 456 476.4 456 472V408H392C387.6 408 384 404.4 384 400C384 395.6 387.6 392 392 392H456V328C456 323.6 459.6 320 464 320V320zM184 392H248C252.4 392 256 395.6 256 400C256 404.4 252.4 408 248 408H184V472C184 476.4 180.4 480 176 480C171.6 480 168 476.4 168 472V408H104C99.58 408 96 404.4 96 400C96 395.6 99.58 392 104 392H168V328C168 323.6 171.6 320 176 320C180.4 320 184 323.6 184 328V392zM176 288C237.9 288 288 338.1 288 400H352C352 338.1 402.1 288 464 288C525.9 288 576 338.1 576 400C576 461.9 525.9 512 464 512C407.6 512 360.9 470.3 353.1 416H286.9C279.1 470.3 232.4 512 176 512C114.1 512 64 461.9 64 400C64 338.1 114.1 288 176 288H176zM368 400.4C368.2 453.2 411.1 496 464 496C517 496 560 453 560 400C560 346.1 517 304 464 304C410.1 304 368 346.1 368 400L368 400.4zM176 304C122.1 304 80 346.1 80 400C80 453 122.1 496 176 496C229 496 272 453 272 400C272 346.1 229 304 176 304z"],
    "walker": [448, 512, [], "f831", "M92.65 208L15.75 506C14.64 510.3 10.28 512.9 6.001 511.7C1.723 510.6-.8502 506.3 .2538 502L115.9 54.01C124.1 22.22 152.7 0 185.6 0H328C367.8 0 400 32.24 400 72V416C426.5 416 448 437.5 448 464C448 490.5 426.5 512 400 512C373.5 512 352 490.5 352 464C352 443.1 365.4 425.3 384 418.7V208H92.65zM185.6 16C160 16 137.7 33.28 131.4 58.01L96.78 192H384V72C384 41.07 358.9 16 328 16H185.6zM400 496C417.7 496 432 481.7 432 464C432 446.3 417.7 432 400 432C382.3 432 368 446.3 368 464C368 481.7 382.3 496 400 496z"],
    "walkie-talkie": [384, 512, [], "f8ef", "M328 96V80c0-13.22-10.78-24-24-24h-32c-13.22 0-24 10.78-24 24V96h-16V80c0-13.22-10.78-24-24-24h-32c-13.22 0-24 10.78-24 24V96H96V8C96 3.594 92.41 0 88 0S80 3.594 80 8V96H56C33.94 96 16 113.9 16 136v153.3c0 21.97 9.844 42.47 27.03 56.22L56 355.8V472C56 494.1 73.94 512 96 512h192c22.06 0 40-17.94 40-40v-116.2l12.97-10.38C358.2 331.7 368 311.2 368 289.3V136C368 113.9 350.1 96 328 96zM264 80c0-4.406 3.594-8 8-8h32c4.406 0 8 3.594 8 8V96h-48V80zM168 80c0-4.406 3.594-8 8-8h32c4.406 0 8 3.594 8 8V96h-48V80zM352 289.3c0 17.09-7.656 33.03-21.03 43.72L315 345.8C313.1 347.3 312 349.6 312 352v120c0 13.22-10.78 24-24 24H96c-13.22 0-24-10.78-24-24V352c0-2.438-1.094-4.719-3-6.25l-15.97-12.78C39.66 322.3 32 306.3 32 289.3V136C32 122.8 42.78 112 56 112h272C341.2 112 352 122.8 352 136V289.3zM280 160h-176C99.59 160 96 163.6 96 168S99.59 176 104 176h176C284.4 176 288 172.4 288 168S284.4 160 280 160zM280 224h-176C99.59 224 96 227.6 96 232S99.59 240 104 240h176C284.4 240 288 236.4 288 232S284.4 224 280 224zM280 288h-176C99.59 288 96 291.6 96 296S99.59 304 104 304h176C284.4 304 288 300.4 288 296S284.4 288 280 288z"],
    "wallet": [512, 512, [], "f555", "M472 32C476.4 32 480 35.58 480 40C480 44.42 476.4 48 472 48H72C41.07 48 16 73.07 16 104V408C16 438.9 41.07 464 72 464H440C470.9 464 496 438.9 496 408V184C496 153.1 470.9 128 440 128H72C67.58 128 64 124.4 64 120C64 115.6 67.58 112 72 112H440C479.8 112 512 144.2 512 184V408C512 447.8 479.8 480 440 480H72C32.24 480 0 447.8 0 408V104C0 64.24 32.24 32 72 32H472zM440 296C440 318.1 422.1 336 400 336C377.9 336 360 318.1 360 296C360 273.9 377.9 256 400 256C422.1 256 440 273.9 440 296zM400 272C386.7 272 376 282.7 376 296C376 309.3 386.7 320 400 320C413.3 320 424 309.3 424 296C424 282.7 413.3 272 400 272z"],
    "wand": [512, 512, [], "f72a", "M502.8 9.02C496.7 2.927 488.7 0 480.7 0c-7.498 0-15.03 2.562-21 7.961L186.6 255.1H144c-8.836 0-15.1 7.165-15.1 16v36.88L10.52 414.9c-13.58 12.25-14.08 33.41-1.145 46.34l41.4 41.41C57.06 508.9 65.26 512 73.42 512c8.719 0 17.4-3.545 23.73-10.52l279.2-309.5h23.62c8.875 0 15.1-7.126 15.1-16V147.1l87.92-95.82C515.1 39.78 514.6 20.82 502.8 9.02zM492.1 41.5l-92.13 100.3l.0039 34.23h-30.74l-283.9 314.7C82.23 494.1 78.01 496 73.42 496c-4.268 0-8.287-1.668-11.32-4.695l-41.43-41.44c-3.121-3.123-4.777-7.271-4.664-11.69s1.98-8.473 5.258-11.43l122.8-110.8l-.002-43.98h48.8l277.6-252.1C473.3 17.4 476.9 16 480.7 16c4.09 0 7.932 1.592 10.82 4.48C497.3 26.26 497.5 35.52 492.1 41.5z"],
    "wand-magic": [512, 512, ["magic"], "f0d0", "M12.28 411.7L411.7 12.28C427.3-3.337 452.7-3.337 468.3 12.28L499.7 43.72C515.3 59.34 515.3 84.66 499.7 100.3L100.3 499.7C84.66 515.3 59.34 515.3 43.72 499.7L12.28 468.3C-3.337 452.7-3.337 427.3 12.28 411.7V411.7zM293.7 154.3L357.7 218.3C357.9 218.6 358.1 218.8 358.3 219.1L488.4 88.97C497.8 79.6 497.8 64.4 488.4 55.03L456.1 23.6C447.6 14.23 432.4 14.23 423 23.6L292.9 153.7C293.2 153.9 293.4 154.1 293.7 154.3V154.3zM281.7 164.9L23.6 423C14.23 432.4 14.23 447.6 23.6 456.1L55.03 488.4C64.4 497.8 79.6 497.8 88.97 488.4L347.1 230.3C346.8 230.1 346.6 229.9 346.3 229.7L282.3 165.7C282.1 165.4 281.9 165.2 281.7 164.9H281.7z"],
    "wand-magic-sparkles": [576, 512, ["magic-wand-sparkles"], "e2ca", "M500.3 12.28L531.7 43.72C547.3 59.34 547.3 84.66 531.7 100.3L132.3 499.7C116.7 515.3 91.34 515.3 75.72 499.7L44.28 468.3C28.66 452.7 28.66 427.3 44.28 411.7L443.7 12.28C459.3-3.337 484.7-3.337 500.3 12.28V12.28zM455 23.6L324.9 153.7C325.2 153.9 325.4 154.1 325.7 154.3L389.7 218.3C389.9 218.6 390.1 218.8 390.3 219.1L520.4 88.97C529.8 79.6 529.8 64.4 520.4 55.03L488.1 23.6C479.6 14.23 464.4 14.23 455 23.6V23.6zM55.6 456.1L87.03 488.4C96.4 497.8 111.6 497.8 120.1 488.4L379.1 230.3C378.8 230.1 378.6 229.9 378.3 229.7L314.3 165.7C314.1 165.4 313.9 165.2 313.7 164.9L55.6 423C46.22 432.4 46.22 447.6 55.6 456.1H55.6zM104 120H160C164.4 120 168 123.6 168 128C168 132.4 164.4 136 160 136H104V192C104 196.4 100.4 200 96 200C91.58 200 88 196.4 88 192V136H32C27.58 136 24 132.4 24 128C24 123.6 27.58 120 32 120H88V64C88 59.58 91.58 56 96 56C100.4 56 104 59.58 104 64V120zM480 312C484.4 312 488 315.6 488 320V376H544C548.4 376 552 379.6 552 384C552 388.4 548.4 392 544 392H488V448C488 452.4 484.4 456 480 456C475.6 456 472 452.4 472 448V392H416C411.6 392 408 388.4 408 384C408 379.6 411.6 376 416 376H472V320C472 315.6 475.6 312 480 312zM232 56H256C260.4 56 264 59.58 264 64C264 68.42 260.4 72 256 72H232V96C232 100.4 228.4 104 224 104C219.6 104 216 100.4 216 96V72H192C187.6 72 184 68.42 184 64C184 59.58 187.6 56 192 56H216V31.1C216 27.58 219.6 23.1 224 23.1C228.4 23.1 232 27.58 232 31.1V56z"],
    "wand-sparkles": [512, 512, [], "f72b", "M399.1 191.1c8.875 0 15.1-7.127 15.1-16v-28l87.92-95.82c11.21-12.37 10.72-31.32-1.082-43.12C496.7 2.927 488.7 0 480.7 0c-7.498 0-15.03 2.562-21 7.961l-273.1 248H144c-8.836 0-15.1 7.164-15.1 15.1v36.88l-117.5 106c-13.58 12.25-14.08 33.41-1.145 46.34l41.4 41.41C57.06 508.9 65.26 512 73.42 512c8.719 0 17.41-3.545 23.74-10.52l279.2-309.5H399.1zM364.5 181.3l-279.2 309.4C82.23 494.1 78.01 496 73.42 496c-4.268 0-8.287-1.668-11.32-4.695l-41.43-41.44c-3.121-3.123-4.777-7.271-4.664-11.69s1.98-8.473 5.258-11.43l122.8-110.8l-.002-43.98h48.8l277.6-252.1C473.3 17.4 476.9 16 480.7 16c4.09 0 7.932 1.592 10.82 4.48c5.777 5.777 6.004 15.04 .5859 21.02l-92.13 100.3l.0039 34.23h-30.74L364.5 181.3zM8 152h64v64c0 4.406 3.575 7.997 7.997 7.997S88 220.4 88 216v-64h64c4.422 0 7.976-3.58 7.976-7.986S156.4 136 152 136h-64v-64c0-4.406-3.578-7.997-7.999-7.997S72 67.59 72 72v64h-64C3.578 136 0 139.6 0 144S3.578 152 8 152zM184 56h32v32C216 92.41 219.6 96 223.1 96S232 92.41 232 88v-32h32c4.422 0 7.988-3.594 7.988-8S268.4 40 264 40h-32v-32C232 3.594 228.4 0 223.1 0S216 3.594 216 8v32h-32c-4.422 0-7.998 3.594-7.998 8S179.6 56 184 56zM504 360h-64v-64c0-4.406-3.577-8-7.999-8S424 291.6 424 296v64h-64c-4.422 0-7.988 3.589-7.988 7.995S355.6 376 360 376h64v64c0 4.406 3.579 8 8.001 8S440 444.4 440 440v-64h64c4.422 0 7.989-3.589 7.989-7.995S508.4 360 504 360z"],
    "warehouse": [640, 512, [], "f494", "M329.1 20.38C323.3 17.99 316.7 17.99 310.9 20.38L40.82 131.2C25.8 137.3 16 151.1 16 168.2V503.1C16 508.4 12.42 511.1 8 511.1C3.582 511.1 0 508.4 0 503.1V168.2C0 145.5 13.73 125 34.74 116.4L304.8 5.579C314.5 1.588 325.5 1.588 335.2 5.579L605.3 116.4C626.3 125 640 145.5 640 168.2V503.1C640 508.4 636.4 511.1 632 511.1C627.6 511.1 624 508.4 624 503.1V168.2C624 151.1 614.2 137.3 599.2 131.2L329.1 20.38zM536 511.1L103.1 512C99.58 512 95.1 508.4 95.1 503.1V215.1C95.1 202.7 106.7 191.1 119.1 191.1H520C533.3 191.1 544 202.7 544 215.1V503.1C544 508.4 540.4 511.1 536 511.1V511.1zM119.1 207.1C115.6 207.1 111.1 211.6 111.1 215.1V288H528V215.1C528 211.6 524.4 207.1 520 207.1H119.1zM111.1 304V400H528V304H111.1zM528 496V416H111.1V496H528z"],
    "warehouse-full": [640, 512, ["warehouse-alt"], "f495", "M329.1 20.38C323.3 17.99 316.7 17.99 310.9 20.38L40.82 131.2C25.8 137.3 16 151.1 16 168.2V503.1C16 508.4 12.42 511.1 8 511.1C3.582 511.1 0 508.4 0 503.1V168.2C0 145.5 13.73 125 34.74 116.4L304.8 5.579C314.5 1.588 325.5 1.588 335.2 5.579L605.3 116.4C626.3 125 640 145.5 640 168.2V503.1C640 508.4 636.4 511.1 632 511.1C627.6 511.1 624 508.4 624 503.1V168.2C624 151.1 614.2 137.3 599.2 131.2L329.1 20.38zM119.1 207.1C115.6 207.1 111.1 211.6 111.1 215.1V503.1C111.1 508.4 108.4 511.1 103.1 511.1C99.58 511.1 95.1 508.4 95.1 503.1V215.1C95.1 202.7 106.7 191.1 119.1 191.1H520C533.3 191.1 544 202.7 544 215.1V503.1C544 508.4 540.4 511.1 536 511.1C531.6 511.1 528 508.4 528 503.1V215.1C528 211.6 524.4 207.1 520 207.1H119.1zM448 384C465.7 384 480 398.3 480 416V480C480 497.7 465.7 512 448 512H191.1C174.3 512 159.1 497.7 159.1 480V320C159.1 302.3 174.3 288 191.1 288H303.1C321.7 288 336 302.3 336 320V384H448zM303.1 304H191.1C183.2 304 175.1 311.2 175.1 320V384H319.1V320C319.1 311.2 312.8 304 303.1 304zM319.1 400H175.1V480C175.1 488.8 183.2 496 191.1 496H319.1V400zM336 496H448C456.8 496 464 488.8 464 480V416C464 407.2 456.8 400 448 400H336V496z"],
    "washing-machine": [448, 512, ["washer"], "f898", "M160 112c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16S144 87.16 144 96C144 104.8 151.2 112 160 112zM112 96c0-8.838-7.164-16-16-16S80 87.16 80 96c0 8.836 7.164 16 16 16S112 104.8 112 96zM384 .0002H63.98C28.63 .0002 0 28.65 0 64V448c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V64C448 28.65 419.4 .0002 384 .0002zM432 448c0 26.47-21.53 48-48 48H64c-26.47 0-48-21.53-48-48V64c0-26.47 21.53-48 48-48h320c26.47 0 48 21.53 48 48V448zM224 168c-75.11 0-136 60.89-136 136s60.89 136 136 136s136-60.89 136-136S299.1 168 224 168zM224 424c-60.36 0-109.1-44.95-118.3-103c24.07 7.219 49.85 1.031 69.15-17.3c27.16 26 71.11 26 98.3 0c14.08 13.38 31.66 20.38 49.48 20.38c6.588 0 13.16-1.271 19.66-3.221C334 378.1 284.4 424 224 424zM279.2 286.8C277.7 285 275.5 284 273.1 284c-1.719 .125-4.625 1.031-6.156 2.875C255.8 300.3 240.2 307.1 224 307.1c-16.14 0-31.8-7.688-42.97-21.09C179.5 285.1 177.3 284 174.9 284c0 0 .0156 0 0 0c-2.344 0-4.594 1.031-6.109 2.812C151.8 306.9 126.4 312.6 104.1 302.9C104.7 237.2 158.2 184 224 184c65.79 0 119.3 53.25 119.9 118.9C321.6 312.6 296.2 306.8 279.2 286.8z"],
    "watch": [384, 512, [8986], "f2e1", "M200 252L260.8 297.6C264.3 300.3 265 305.3 262.4 308.8C259.8 312.3 254.7 313.1 251.2 310.4L187.2 262.4C185.2 260.9 184 258.5 184 256V160C184 155.6 187.6 152 192 152C196.4 152 200 155.6 200 160V252zM64 56C64 25.07 89.07 0 120 0H264C294.9 0 320 25.07 320 56V112H318.1C358.9 147.2 384 198.7 384 256C384 312.9 359.3 363.1 320 399.1V456C320 486.9 294.9 512 264 512H120C89.07 512 64 486.9 64 456V399.1C24.72 363.1 0 312.9 0 256C0 198.7 25.14 147.2 65 112H64V56zM120 16C97.91 16 80 33.91 80 56V100C111.5 77.36 150.2 64 192 64C233.8 64 272.5 77.36 304 100V56C304 33.91 286.1 16 264 16H120zM304 411.1C272.5 434.6 233.8 448 192 448C150.2 448 111.5 434.6 80 411.1V456C80 478.1 97.91 496 120 496H264C286.1 496 304 478.1 304 456V411.1zM192 80C94.8 80 16 158.8 16 256C16 353.2 94.8 432 192 432C289.2 432 368 353.2 368 256C368 158.8 289.2 80 192 80z"],
    "watch-apple": [384, 512, [], "e2cb", "M128 256C128 273.7 113.7 288 96 288C78.33 288 64 273.7 64 256C64 238.3 78.33 224 96 224C113.7 224 128 238.3 128 256zM96 240C87.16 240 80 247.2 80 256C80 264.8 87.16 272 96 272C104.8 272 112 264.8 112 256C112 247.2 104.8 240 96 240zM112 352C112 334.3 126.3 320 144 320C161.7 320 176 334.3 176 352C176 369.7 161.7 384 144 384C126.3 384 112 369.7 112 352zM144 368C152.8 368 160 360.8 160 352C160 343.2 152.8 336 144 336C135.2 336 128 343.2 128 352C128 360.8 135.2 368 144 368zM176 160C176 177.7 161.7 192 144 192C126.3 192 112 177.7 112 160C112 142.3 126.3 128 144 128C161.7 128 176 142.3 176 160zM144 144C135.2 144 128 151.2 128 160C128 168.8 135.2 176 144 176C152.8 176 160 168.8 160 160C160 151.2 152.8 144 144 144zM208 352C208 334.3 222.3 320 240 320C257.7 320 272 334.3 272 352C272 369.7 257.7 384 240 384C222.3 384 208 369.7 208 352zM240 368C248.8 368 256 360.8 256 352C256 343.2 248.8 336 240 336C231.2 336 224 343.2 224 352C224 360.8 231.2 368 240 368zM272 160C272 177.7 257.7 192 240 192C222.3 192 208 177.7 208 160C208 142.3 222.3 128 240 128C257.7 128 272 142.3 272 160zM240 144C231.2 144 224 151.2 224 160C224 168.8 231.2 176 240 176C248.8 176 256 168.8 256 160C256 151.2 248.8 144 240 144zM152 256C152 233.9 169.9 216 192 216C214.1 216 232 233.9 232 256C232 278.1 214.1 296 192 296C169.9 296 152 278.1 152 256zM192 280C205.3 280 216 269.3 216 256C216 242.7 205.3 232 192 232C178.7 232 168 242.7 168 256C168 269.3 178.7 280 192 280zM320 256C320 273.7 305.7 288 288 288C270.3 288 256 273.7 256 256C256 238.3 270.3 224 288 224C305.7 224 320 238.3 320 256zM288 240C279.2 240 272 247.2 272 256C272 264.8 279.2 272 288 272C296.8 272 304 264.8 304 256C304 247.2 296.8 240 288 240zM64 65.6V40C64 17.91 81.91 0 104 0H280C302.1 0 320 17.91 320 40V65.6C356.5 73.01 384 105.3 384 144V368C384 406.7 356.5 438.1 320 446.4V472C320 494.1 302.1 512 280 512H104C81.91 512 64 494.1 64 472V446.4C27.48 438.1 0 406.7 0 368V144C0 105.3 27.48 73.01 64 65.6zM80 64H304V40C304 26.75 293.3 16 280 16H104C90.75 16 80 26.75 80 40V64zM80 448V472C80 485.3 90.75 496 104 496H280C293.3 496 304 485.3 304 472V448H80zM368 144C368 108.7 339.3 80 304 80H80C44.65 80 16 108.7 16 144V368C16 403.3 44.62 431.1 79.94 432H304C339.3 432 368 403.3 368 368V144z"],
    "watch-calculator": [384, 512, [], "f8f0", "M64 144C64 135.2 71.16 128 80 128H304C312.8 128 320 135.2 320 144V208C320 216.8 312.8 224 304 224H80C71.16 224 64 216.8 64 208V144zM80 208H304V144H80V208zM72 280C72 262.3 86.33 248 104 248C121.7 248 136 262.3 136 280C136 297.7 121.7 312 104 312C86.33 312 72 297.7 72 280zM104 264C95.16 264 88 271.2 88 280C88 288.8 95.16 296 104 296C112.8 296 120 288.8 120 280C120 271.2 112.8 264 104 264zM224 280C224 297.7 209.7 312 192 312C174.3 312 160 297.7 160 280C160 262.3 174.3 248 192 248C209.7 248 224 262.3 224 280zM192 296C200.8 296 208 288.8 208 280C208 271.2 200.8 264 192 264C183.2 264 176 271.2 176 280C176 288.8 183.2 296 192 296zM248 280C248 262.3 262.3 248 280 248C297.7 248 312 262.3 312 280C312 297.7 297.7 312 280 312C262.3 312 248 297.7 248 280zM280 264C271.2 264 264 271.2 264 280C264 288.8 271.2 296 280 296C288.8 296 296 288.8 296 280C296 271.2 288.8 264 280 264zM136 360C136 377.7 121.7 392 104 392C86.33 392 72 377.7 72 360C72 342.3 86.33 328 104 328C121.7 328 136 342.3 136 360zM104 376C112.8 376 120 368.8 120 360C120 351.2 112.8 344 104 344C95.16 344 88 351.2 88 360C88 368.8 95.16 376 104 376zM160 360C160 342.3 174.3 328 192 328C209.7 328 224 342.3 224 360C224 377.7 209.7 392 192 392C174.3 392 160 377.7 160 360zM192 344C183.2 344 176 351.2 176 360C176 368.8 183.2 376 192 376C200.8 376 208 368.8 208 360C208 351.2 200.8 344 192 344zM312 360C312 377.7 297.7 392 280 392C262.3 392 248 377.7 248 360C248 342.3 262.3 328 280 328C297.7 328 312 342.3 312 360zM280 376C288.8 376 296 368.8 296 360C296 351.2 288.8 344 280 344C271.2 344 264 351.2 264 360C264 368.8 271.2 376 280 376zM64 65.6V40C64 17.91 81.91 0 104 0H280C302.1 0 320 17.91 320 40V65.6C356.5 73.01 384 105.3 384 144V368C384 406.7 356.5 438.1 320 446.4V472C320 494.1 302.1 512 280 512H104C81.91 512 64 494.1 64 472V446.4C27.48 438.1 0 406.7 0 368V144C0 105.3 27.48 73.01 64 65.6zM80 64H304V40C304 26.75 293.3 16 280 16H104C90.75 16 80 26.75 80 40V64zM104 496H280C293.3 496 304 485.3 304 472V448H80V472C80 485.3 90.75 496 104 496zM304 432C339.3 432 368 403.3 368 368V144C368 108.7 339.3 80 304 80H80C44.65 80 16 108.7 16 144V368C16 403.3 44.62 431.1 79.94 432H304z"],
    "watch-fitness": [384, 512, [], "f63e", "M288.7 261.9L208.7 339C199.4 348 184.6 348 175.3 339L95.3 261.9C71.9 239.3 71.9 201.8 95.3 179.3C117.5 157.9 152.7 157.9 174.9 179.3L192 195.7L209.1 179.3C231.3 157.9 266.5 157.9 288.7 179.3C312.1 201.8 312.1 239.3 288.7 261.9zM192 217.1L163.8 190.8C147.8 175.3 122.4 175.3 106.4 190.8C89.53 207.1 89.53 234.1 106.4 250.3L186.4 327.5C189.5 330.5 194.5 330.5 197.6 327.5L277.6 250.3C294.5 234.1 294.5 207.1 277.6 190.8C261.6 175.3 236.2 175.3 220.2 190.8L192 217.1zM64 65.6V40C64 17.91 81.91 0 104 0H280C302.1 0 320 17.91 320 40V65.6C356.5 73.01 384 105.3 384 144V368C384 406.7 356.5 438.1 320 446.4V472C320 494.1 302.1 512 280 512H104C81.91 512 64 494.1 64 472V446.4C27.48 438.1 0 406.7 0 368V144C0 105.3 27.48 73.01 64 65.6zM80 64H304V40C304 26.75 293.3 16 280 16H104C90.75 16 80 26.75 80 40V64zM104 496H280C293.3 496 304 485.3 304 472V448H80V472C80 485.3 90.75 496 104 496zM368 368V144C368 108.7 339.3 80 304 80H80C44.65 80 16 108.7 16 144V368C16 403.3 44.62 431.1 79.94 432H304C339.3 432 368 403.3 368 368z"],
    "watch-smart": [384, 512, [], "e2cc", "M200 252L260.8 297.6C264.3 300.3 265 305.3 262.4 308.8C259.8 312.3 254.7 313.1 251.2 310.4L187.2 262.4C185.2 260.9 184 258.5 184 256V160C184 155.6 187.6 152 192 152C196.4 152 200 155.6 200 160V252zM64 65.6V40C64 17.91 81.91 0 104 0H280C302.1 0 320 17.91 320 40V65.6C356.5 73.01 384 105.3 384 144V368C384 406.7 356.5 438.1 320 446.4V472C320 494.1 302.1 512 280 512H104C81.91 512 64 494.1 64 472V446.4C27.48 438.1 0 406.7 0 368V144C0 105.3 27.48 73.01 64 65.6zM80 64H304V40C304 26.75 293.3 16 280 16H104C90.75 16 80 26.75 80 40V64zM104 496H280C293.3 496 304 485.3 304 472V448H80V472C80 485.3 90.75 496 104 496zM368 368V144C368 108.7 339.3 80 304 80H80C44.65 80 16 108.7 16 144V368C16 403.3 44.62 431.1 79.94 432H304C339.3 432 368 403.3 368 368z"],
    "water": [576, 512, [], "f773", "M8.587 127.7C39.81 125.4 69.87 110.2 96.03 83.66C124.9 112.7 158 128 192.2 128h.375c34.13-.1094 66.97-15.4 95.44-44.32C316.9 112.7 350 128 384.2 128h.375c34.13-.1094 66.97-15.4 95.44-44.32c26.28 26.39 56.31 41.55 87.35 43.96c5.156 .6406 8.25-2.984 8.594-7.375c.3438-4.422-2.938-8.293-7.344-8.625c-29.28-2.289-57.88-17.86-82.72-45.04C484.4 64.94 482.3 64 480 64s-4.406 .957-5.938 2.633c-26.66 29.53-57.63 45.2-89.5 45.31l-.4916-.0169c-31.94 0-63.04-15.67-90.17-45.32C292.4 64.94 290.2 64 287.1 64C285.7 64 283.6 64.96 282.1 66.63C255.4 96.16 224.4 111.8 192.6 111.9L192.1 111.9c-31.94 0-63.05-15.67-90.17-45.32C100.4 64.94 98.25 64 95.1 64C93.75 64 91.59 64.96 90.06 66.63C65.4 93.92 36.81 109.5 7.4 111.7c-4.406 .332-7.719 4.188-7.375 8.609C.3683 124.7 3.368 127.8 8.587 127.7zM568.6 271.6c-29.28-2.289-57.88-17.86-82.72-45.04C484.4 224.9 482.3 224 480 224s-4.406 .957-5.938 2.633c-26.66 29.53-57.63 45.2-89.5 45.31h-.3438c-31.94 0-63.19-15.68-90.31-45.34C292.4 224.9 290.2 224 287.1 224C285.7 224 283.6 224.1 282.1 226.6C255.4 256.2 224.4 271.8 192.6 271.9H192.2c-31.94 0-63.19-15.68-90.31-45.34C100.4 224.9 98.25 224 95.1 224S91.59 224.1 90.06 226.6C65.4 253.9 36.81 269.5 7.4 271.7c-4.406 .332-7.719 4.188-7.375 8.609c.3438 4.41 3.344 7.547 8.563 7.422C39.81 285.4 69.87 270.2 96.03 243.7C124.9 272.7 158 288 192.2 288h.375c34.13-.1094 66.97-15.4 95.44-44.32C316.9 272.7 350 288 384.2 288h.375c34.13-.1094 66.97-15.4 95.44-44.32c26.28 26.39 56.31 41.55 87.35 43.96c5.156 .6406 8.25-2.984 8.594-7.375C576.3 275.8 573 271.1 568.6 271.6zM568.6 431.6c-29.28-2.289-57.88-17.86-82.72-45.04C484.4 384.9 482.3 384 480 384s-4.406 .957-5.938 2.633c-26.66 29.53-57.63 45.2-89.5 45.31h-.3438c-31.94 0-63.19-15.68-90.31-45.34C292.4 384.9 290.2 384 287.1 384c-2.25 0-4.406 .957-5.938 2.633c-26.66 29.53-57.63 45.2-89.5 45.31H192.2c-31.94 0-63.19-15.68-90.31-45.34C100.4 384.9 98.25 384 95.1 384S91.59 384.1 90.06 386.6c-24.66 27.29-53.25 42.88-82.66 45.04c-4.406 .332-7.719 4.188-7.375 8.609c.3438 4.41 3.344 7.547 8.563 7.422c31.22-2.32 61.28-17.49 87.44-44.04c28.91 29.05 61.83 44.34 96.02 44.34L192.6 448c34.13-.1094 66.97-15.4 95.44-44.32C316.9 432.7 349.9 448 384.1 448h.5363c34.13-.1094 66.97-15.4 95.44-44.32c26.28 26.39 56.31 41.55 87.35 43.96c5.156 .6406 8.25-2.984 8.594-7.375C576.3 435.8 573 431.1 568.6 431.6z"],
    "water-arrow-down": [576, 512, ["water-lower"], "f774", "M282.3 253.7c3.125 3.125 8.188 3.125 11.31 0l120-120C415.2 132.1 415.1 130.1 415.1 128s-.7813-4.094-2.344-5.656c-3.125-3.125-8.188-3.125-11.31 0l-106.3 106.3V8c0-4.406-3.573-8-7.995-8S279.1 3.594 279.1 8v220.7l-106.3-106.3c-3.125-3.125-8.188-3.125-11.31 0c-3.125 3.125-3.125 8.188 0 11.31L282.3 253.7zM568.6 495.6c-29.28-2.289-57.88-17.86-82.72-45.04C484.4 448.9 482.3 448 480 448s-4.406 .957-5.938 2.633c-26.66 29.53-57.63 45.2-89.5 45.31h-.3438c-31.94 0-63.19-15.68-90.31-45.34C292.4 448.9 290.2 448 287.1 448c-2.25 0-4.406 .957-5.938 2.633c-26.66 29.53-57.63 45.2-89.5 45.31H192.2c-31.94 0-63.19-15.68-90.31-45.34C100.4 448.9 98.25 448 95.1 448S91.59 448.1 90.06 450.6c-24.66 27.29-53.25 42.88-82.66 45.04c-4.406 .332-7.719 4.188-7.375 8.609c.3438 4.41 3.344 7.547 8.563 7.422c31.22-2.32 61.28-17.49 87.44-44.04c28.91 29.05 61.83 44.34 96.02 44.34L192.6 512c34.13-.1094 66.97-15.4 95.44-44.32C316.9 496.7 349.9 512 384.1 512h.5363c34.13-.1094 66.97-15.4 95.44-44.32c26.28 26.39 56.31 41.55 87.35 43.96c5.156 .6406 8.25-2.984 8.594-7.375C576.3 499.8 573 495.1 568.6 495.6zM8.587 383.7c31.22-2.32 61.28-17.49 87.44-44.04c28.91 29.05 61.83 44.25 96.02 44.25L192.6 384c34.13-.1094 66.97-15.4 95.44-44.32c28.91 29.03 61.83 44.23 96.02 44.23L384.6 384c34.13-.1094 66.97-15.4 95.44-44.32c26.28 26.39 56.31 41.55 87.35 43.96c5.156 .6406 8.25-2.984 8.594-7.375c.3438-4.422-2.938-8.293-7.344-8.625c-29.28-2.289-57.88-17.86-82.72-45.04C484.4 320.9 482.3 320 480 320s-4.406 .957-5.938 2.633c-26.66 29.53-57.63 45.2-89.5 45.31h-.3438c-31.94 0-63.19-15.68-90.31-45.34C292.4 320.9 290.2 320 287.1 320c-2.25 0-4.406 .957-5.938 2.633c-26.66 29.53-57.63 45.2-89.5 45.31l-.452 .0283c-31.94 0-63.08-15.71-90.21-45.37C100.4 320.9 98.25 320 95.1 320S91.59 320.1 90.06 322.6c-24.66 27.29-53.25 42.88-82.66 45.04c-4.406 .332-7.719 4.188-7.375 8.609C.3683 380.7 3.368 383.8 8.587 383.7z"],
    "water-arrow-up": [576, 512, ["water-rise"], "f775", "M568.6 495.6c-29.28-2.289-57.88-17.86-82.72-45.04C484.4 448.9 482.3 448 480 448s-4.406 .957-5.938 2.633c-26.66 29.53-57.63 45.2-89.5 45.31h-.3438c-31.94 0-63.19-15.68-90.31-45.34C292.4 448.9 290.2 448 287.1 448c-2.25 0-4.406 .957-5.938 2.633c-26.66 29.53-57.63 45.2-89.5 45.31H192.2c-31.94 0-63.19-15.68-90.31-45.34C100.4 448.9 98.25 448 95.1 448S91.59 448.1 90.06 450.6c-24.66 27.29-53.25 42.88-82.66 45.04c-4.406 .332-7.719 4.188-7.375 8.609c.3438 4.41 3.344 7.547 8.563 7.422c31.22-2.32 61.28-17.49 87.44-44.04c28.91 29.05 61.82 44.34 96.01 44.34L192.6 512c34.13-.1094 66.97-15.4 95.44-44.32C316.9 496.7 349.9 512 384 512h.546c34.13-.1094 66.97-15.4 95.44-44.32c26.28 26.39 56.31 41.55 87.35 43.96c5.156 .6406 8.25-2.984 8.594-7.375C576.3 499.8 573 495.1 568.6 495.6zM8.587 383.7c31.22-2.32 61.28-17.49 87.44-44.04c28.91 29.05 61.82 44.25 96.01 44.25L192.6 384c34.13-.1094 66.97-15.4 95.44-44.32c28.91 29.03 61.82 44.23 96.01 44.23L384.6 384c34.13-.1094 66.97-15.4 95.44-44.32c26.28 26.39 56.31 41.55 87.35 43.96c5.156 .6406 8.25-2.984 8.594-7.375c.3438-4.422-2.938-8.293-7.344-8.625c-29.28-2.289-57.88-17.86-82.72-45.04C484.4 320.9 482.3 320 480 320s-4.406 .957-5.938 2.633c-26.66 29.53-57.63 45.2-89.5 45.31h-.3438c-31.94 0-63.19-15.68-90.31-45.34C292.4 320.9 290.2 320 287.1 320c-2.25 0-4.406 .957-5.938 2.633c-26.66 29.53-57.63 45.2-89.5 45.31l-.452 .0283c-31.94 0-63.08-15.71-90.21-45.37C100.4 320.9 98.25 320 95.1 320S91.59 320.1 90.06 322.6c-24.66 27.29-53.25 42.88-82.66 45.04c-4.406 .332-7.719 4.188-7.375 8.609C.3683 380.7 3.368 383.8 8.587 383.7zM173.6 133.7l106.3-106.3V248c0 4.406 3.578 8 8 8c4.422 0 8-3.594 8-8V27.31l106.3 106.3c3.125 3.125 8.188 3.125 11.31 0c3.125-3.125 3.125-8.188 0-11.31l-120-120c-3.125-3.125-8.188-3.125-11.31 0l-120 120C160.8 123.9 159.1 125.9 159.1 128s.7813 4.094 2.344 5.656C165.5 136.8 170.5 136.8 173.6 133.7z"],
    "water-ladder": [576, 512, ["ladder-water", "swimming-pool"], "f5c5", "M568.6 463.6c-29.28-2.289-57.88-17.86-82.72-45.04C484.4 416.9 482.3 416 480 416s-4.406 .957-5.938 2.633c-26.66 29.53-57.63 45.2-89.5 45.31H384.2c-31.94 0-63.19-15.68-90.31-45.34C292.4 416.9 290.3 416 288 416s-4.406 .957-5.938 2.633c-26.66 29.53-57.63 45.2-89.5 45.31H192.2c-31.94 0-63.19-15.68-90.31-45.34C100.4 416.9 98.25 416 95.1 416s-4.406 .957-5.938 2.633c-24.66 27.29-53.25 42.88-82.66 45.04c-4.406 .332-7.719 4.188-7.375 8.609c.3438 4.41 3.344 7.547 8.562 7.422c31.22-2.32 61.28-17.49 87.44-44.04c28.91 29.05 61.83 44.34 96.02 44.34L192.6 480c34.13-.1094 66.97-15.4 95.44-44.32c28.91 29.03 61.83 44.29 96.02 44.29L384.6 480c34.13-.1094 66.97-15.4 95.44-44.32c26.28 26.39 56.31 41.55 87.35 43.96c5.156 .6406 8.25-2.984 8.594-7.375C576.3 467.8 573 463.1 568.6 463.6zM136 392c4.406 0 8-3.578 8-8V264H384v119.1C384 388.4 387.6 392 392 392S400 388.4 400 384V112c0-35.3 28.72-64 64-64s64 28.7 64 64v40C528 156.4 531.6 160 536 160S544 156.4 544 152V112C544 67.89 508.1 32 464 32S384 67.89 384 112v136H144V112c0-35.3 28.72-64 64-64s64 28.7 64 64v40C272 156.4 275.6 160 280 160S288 156.4 288 152V112C288 67.89 252.1 32 208 32S128 67.89 128 112V384C128 388.4 131.6 392 136 392z"],
    "watermelon-slice": [512, 512, [], "e337", "M338.3 258.3c-3.125 3.125-3.125 8.188 0 11.31l16 16C355.9 287.2 357.9 288 360 288s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31l-16-16C346.5 255.2 341.5 255.2 338.3 258.3zM250.3 338.3c-3.125 3.125-3.125 8.188 0 11.31l16 16C267.9 367.2 269.9 368 272 368s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31l-16-16C258.5 335.2 253.5 335.2 250.3 338.3zM338.3 189.7C339.9 191.2 341.9 192 344 192s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31l-16-16c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31L338.3 189.7zM173.7 322.3c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31l16 16C179.9 351.2 181.9 352 184 352s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31L173.7 322.3zM258.3 269.7C259.9 271.2 261.9 272 264 272s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31l-16-16c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31L258.3 269.7zM424.6 2.344c-3.125-3.125-8.188-3.125-11.31 0L2.344 413.4C.8438 414.9 0 416.9 0 419c0 2.125 .8438 4.156 2.344 5.656C60.53 482.9 137 512 213.4 512c76.47 0 152.9-29.1 211.1-87.32C480.9 368.3 512 293.3 512 213.5S480.9 58.75 424.6 2.344zM373.4 64.85c37.68 40.51 58.53 92.9 58.53 148.7c0 58.45-22.69 113.4-63.91 154.6c-41.28 41.28-96.16 64.02-154.5 64.02c-55.71 0-108.1-20.89-148.6-58.64L373.4 64.85zM413.3 413.4C304.9 521.7 129.9 523.5 19.41 418.9l34.13-34.15c43.56 40.76 99.94 63.33 159.9 63.33c62.66 0 121.6-24.4 165.8-68.71c44.25-44.25 68.59-103.2 68.59-165.9c0-60.04-22.51-116.4-63.22-159.1l34.13-34.14C523.4 129.1 521.5 305.1 413.3 413.4z"],
    "wave-pulse": [640, 512, ["heart-rate"], "f5f8", "M640 248C640 252.4 636.4 256 632 256h-147.1l-61.78 123.6c-1.5 2.969-4.719 4.781-7.906 4.406c-3.281-.3125-6.031-2.594-6.938-5.781L320.1 72.5L231.8 473.8C231 477.3 227.9 479.9 224.3 480c-3.562 0-6.969-2.375-7.938-5.812L153.1 256H8C3.594 256 0 252.4 0 248S3.594 240 8 240H160c3.562 0 6.719 2.375 7.688 5.812l55.34 193.7L312.2 38.25C313 34.69 316.1 32.13 319.8 32c3.562 0 6.969 2.375 7.938 5.812l90.34 316.2l54.81-109.6C474.2 241.7 476.1 240 480 240h152C636.4 240 640 243.6 640 248z"],
    "wave-sine": [640, 512, [8767], "f899", "M615.7 271.6C610 290.4 557.9 456 463.4 456c-81.75 0-118.5-104.8-151-197.3C281.8 171.2 246.1 72 176.6 72c-67.34 0-117.8 108.8-136.9 173C38.41 249.2 33.94 251.8 29.72 250.4C25.47 249.1 23.06 244.7 24.34 240.4C29.97 221.6 82.06 56 176.6 56c81.75 0 118.5 104.8 151 197.3C358.3 340.8 393 440 463.4 440c67.34 0 117.8-108.8 136.9-173c1.25-4.219 5.812-6.781 9.938-5.375C614.5 262.9 616.9 267.3 615.7 271.6z"],
    "wave-square": [640, 512, [], "f83e", "M640 256C640 260.4 636.4 264 632 264H512c-13.22 0-24 10.78-24 24v128c0 22.06-17.94 40-40 40h-96c-22.06 0-40-17.94-40-40V96c0-13.22-10.78-24-24-24H192C178.8 72 168 82.78 168 96v128c0 22.06-17.94 40-40 40H8C3.594 264 0 260.4 0 256C0 251.6 3.594 248 8 248H128c13.22 0 24-10.78 24-24V96c0-22.06 17.94-40 40-40h96c22.06 0 40 17.94 40 40v320c0 13.22 10.78 24 24 24h96c13.22 0 24-10.78 24-24V288c0-22.06 17.94-40 40-40h120C636.4 248 640 251.6 640 256z"],
    "wave-triangle": [640, 512, [], "f89a", "M614.4 260.8L496 418.7c-7.625 10.16-19.28 16-32 16s-24.38-5.844-32-16.03L195.2 102.9C186.1 90.69 165.9 90.72 156.8 102.9L38.41 260.8C35.75 264.4 30.72 265 27.19 262.4C23.66 259.8 22.94 254.8 25.59 251.2L144 93.31c15.25-20.31 48.75-20.34 64 .0313l236.8 315.7c9.125 12.25 29.25 12.22 38.38 .0313l118.4-157.9c2.656-3.5 7.719-4.188 11.22-1.594C616.3 252.3 617.1 257.3 614.4 260.8z"],
    "waveform": [640, 512, [], "f8f1", "M640 287.1C640 292.4 636.4 296 632 296H576c-3.438 0-6.5-2.219-7.594-5.469l-22.72-68.19l-41.88 195.3C503 421.5 499.8 424.2 495.8 424c-3.875-.125-7.094-3-7.656-6.812l-40.5-270l-55.69 334.2C391.3 485.2 387.9 488 384 488c-3.938-.0313-7.375-2.969-7.906-6.875L320 88.56L263.9 481.1C263.4 485 260 487.1 256.1 488c-3.906 0-7.344-2.812-8-6.688L192.4 147.2l-40.5 270C151.3 421 148.1 423.9 144.3 424c-4.625 .125-7.25-2.531-8.062-6.312L94.31 222.3L71.59 290.5C70.5 293.8 67.44 296 64 296H8C3.594 296 0 292.4 0 287.1S3.594 280 8 280h50.22l30.19-90.53C89.56 186 92.72 183.1 96.44 184c3.594 .2187 6.625 2.781 7.375 6.312l38.81 181l41.47-276.5C184.7 90.88 187.2 87.5 192 88c3.906 0 7.25 2.812 7.906 6.688l55.5 333L312.1 30.88C312.7 26.94 316 24 320 24s7.344 2.938 7.906 6.875l56.69 396.8l55.5-333C440.8 90.75 443.7 88.34 448.1 88C452 88.03 455.3 90.91 455.9 94.81l41.47 276.5l38.81-181C536.9 186.8 539.1 184.2 543.6 184c3.688-.0938 6.875 2.031 8.031 5.469L581.8 280H632C636.4 280 640 283.6 640 287.1z"],
    "waveform-lines": [640, 512, ["waveform-path"], "f8f2", "M224 96C219.6 96 216 99.59 216 104v304c0 4.406 3.594 8 7.1 8S232 412.4 232 408v-304C232 99.59 228.4 96 224 96zM320 0C315.6 0 312 3.594 312 8v496c0 4.406 3.594 8 7.1 8S328 508.4 328 504V8C328 3.594 324.4 0 320 0zM416 128C411.6 128 408 131.6 408 136v240c0 4.406 3.594 8 7.1 8S424 380.4 424 376v-240C424 131.6 420.4 128 416 128zM512 64c-4.406 0-8 3.594-8 8v368c0 4.406 3.594 8 7.1 8C516.4 448 520 444.4 520 440V72C520 67.59 516.4 64 512 64zM608 224c-4.406 0-8 3.594-8 8v48C600 284.4 603.6 288 608 288s8-3.594 8-8v-48C616 227.6 612.4 224 608 224zM128 192C123.6 192 120 195.6 120 200v112C120 316.4 123.6 320 127.1 320C132.4 320 136 316.4 136 312v-112C136 195.6 132.4 192 128 192zM32 224C27.59 224 24 227.6 24 232v48C24 284.4 27.59 288 31.1 288S40 284.4 40 280v-48C40 227.6 36.41 224 32 224z"],
    "weight-hanging": [512, 512, [], "f5cd", "M509.4 430.1l-78.42-267.5C424.1 142.1 406.1 128 384.7 128h-65.03c10.13-13.4 16.38-29.9 16.38-48C336 35.82 300.2 0 256 0S175.1 35.82 175.1 80c0 18.1 6.254 34.6 16.38 48H127.3C105.9 128 87.04 142.1 81.04 162.6L2.613 430.1C-9.395 471 21.48 512 64.37 512h383.3C490.5 512 521.4 471 509.4 430.1zM192 80c0-35.29 28.71-64 64-64s64 28.71 64 64c0 19.21-8.68 36.26-22.12 48H214.1C200.7 116.3 192 99.21 192 80zM486.4 476.6C477.2 488.9 463.1 496 447.6 496H64.37c-15.43 0-29.56-7.055-38.78-19.35c-9.113-12.17-11.89-27.5-7.623-42.06L96.39 167.1C100.4 153.5 113.1 144 127.3 144h257.3c14.25 0 26.98 9.482 30.96 23.06l78.42 267.5C498.3 449.1 495.5 464.5 486.4 476.6z"],
    "weight-scale": [512, 512, ["weight"], "f496", "M256 320c88.37 0 160-71.63 160-160s-71.63-160-160-160S96 71.63 96 160S167.6 320 256 320zM256 16c79.4 0 144 64.6 144 144S335.4 304 256 304S112 239.4 112 160S176.6 16 256 16zM440 64h-16C419.6 64 416 67.59 416 72s3.594 8 8 8h16c30.88 0 56 25.12 56 56v304c0 30.88-25.12 56-56 56H72c-30.88 0-56-25.12-56-56v-304c0-30.88 25.12-56 56-56h16C92.41 80 96 76.41 96 72S92.41 64 88 64h-16C32.31 64 0 96.31 0 136v304C0 479.7 32.31 512 72 512h368c39.69 0 72-32.31 72-72v-304C512 96.31 479.7 64 440 64zM256 264c22.06 0 40-17.94 40-40c0-13.09-6.732-24.18-16.48-31.48l39.73-85.14c1.875-4 .125-8.75-3.875-10.62c-3.969-1.781-8.781-.125-10.62 3.875l-39.76 85.19C262 185.1 259 184 255.8 184C233.8 184 216 201.9 216 224S233.9 264 256 264zM256 200c13.22 0 24 10.78 24 24S269.2 248 256 248S232 237.2 232 224S242.8 200 256 200z"],
    "whale": [640, 512, [128011], "f72c", "M480 128c-91.09 0-176.7 35.47-241.1 99.87l-85.66 82.69c-6.312 6.094-14.62 9.437-23.41 9.437C111.2 320 96 304.8 96 286.2c0-31.56 12.28-61.21 34.58-83.52l9.811-9.811l56.75 13.61c2.092 .4258 4.203 .6334 6.301 .6334c8.359 0 16.53-3.307 22.6-9.383l57.28-57.28c9.016-9.016 4.332-24.48-8.221-26.96L191.3 96.7L174.5 12.9C172.9 4.821 165.9 .002 158.8 0C154.8 0 150.8 1.474 147.6 4.682L90.28 61.96C82.68 69.56 79.41 80.43 81.53 90.86l13.61 56.74L49.13 193.6C17.44 225.3 0 267.4 0 312.3c0 92.5 75.25 167.7 167.8 167.7H544c52.94 0 96-43.06 96-95.1V288C640 199.8 568.2 128 480 128zM624 384c0 44.11-35.89 79.1-80 79.1H167.8C84.07 464 16 395.9 16 312.3c0-40.54 15.78-78.65 44.44-107.3L112.8 152.6L97.21 87.68C96.15 82.46 97.79 77.08 101.6 73.27l57.23-57.22l17.77 88.54l6.846 6.846l88.57 17.7l-57.28 57.27C211.7 189.4 207.6 191.1 203.4 191.1c-1.037 0-2.08-.1016-2.568-.1914L135.4 175.2L119.3 191.4C93.95 216.7 80 250.4 80 286.2c0 27.47 22.35 49.81 49.81 49.81c12.96 0 25.22-4.945 34.52-13.93l85.86-82.88C311.6 177.8 393.2 144 480 144c79.4 0 144 64.6 144 143.1V384zM384 272c-8.836 0-16 7.162-16 15.1c0 8.836 7.164 15.1 16 15.1s16-7.164 16-15.1C400 279.2 392.8 272 384 272z"],
    "wheat": [512, 512, [], "f72d", "M392.2 143.1c38.2 0 69.89-10.19 90.34-29.25c.1406-.125 .2813-.25 .4219-.4063c28.77-31.07 30.23-80.01 28.55-106.4c-.25-4.032-3.453-7.219-7.469-7.469c-26.34-1.656-75.02-.2188-106.3 28.91c-32.61 32.84-30.49 87.07-29.14 102.6L2.344 498.3c-3.125 3.125-3.125 8.188 0 11.31C3.906 511.2 5.953 512 7.1 512s4.094-.7813 5.656-2.344L379.8 143.5C383.1 143.8 388.2 143.1 392.2 143.1zM408.9 40.84c24.16-22.5 62.2-25.63 86.1-24.75c1.156 37.28-7.609 68.76-24.47 87.13c-18.83 17.41-49.59 26.22-87.08 24.6C383.3 111.2 383.2 66.71 408.9 40.84zM72.3 395.2c1.969 0 3.938-.7188 5.484-2.188c3.219-3.031 3.375-8.094 .3438-11.31c-15.47-16.41-34.09-41.85-35.03-69.29c.7656-24 14.7-50.22 39.42-74.41c11.73 10.88 39.39 40.13 39.47 74.13c-.1719 4.875-.9531 9.876-2.469 15.72c-1.094 4.282 1.469 8.657 5.75 9.751c4.281 .9688 8.656-1.5 9.75-5.75c1.797-7.001 2.75-13.06 2.969-19.47C137.9 261.5 89.34 222.6 87.28 220.9c-3.078-2.406-7.453-2.281-10.36 .375c-31.17 28.44-48.86 60.63-49.83 91.16c1.109 32.94 22.03 61.82 39.37 80.26C68.05 394.4 70.17 395.2 72.3 395.2zM200.1 374.2c-6.234 0-12.64 .8751-20.16 2.75c-4.281 1.063-6.891 5.407-5.828 9.688c1.062 4.25 5.281 6.938 9.703 5.813c6.203-1.531 11.38-2.25 16.02-2.25c30.94 1.031 58.06 23.1 73.92 39.35c-23.94 24.38-50.66 38.72-73.64 39.57c-28.44-.9376-53.66-19.66-69.81-35.19c-3.156-3.031-8.219-2.969-11.31 .1875c-3.062 3.188-2.969 8.251 .2187 11.31c18.17 17.5 46.86 38.57 80.94 39.69c40.33-1.5 74.02-32.07 90.52-50.19c2.781-3.031 2.797-7.688 .0156-10.75C274.3 406.1 240.8 375.6 200.1 374.2zM177.2 290.3c1.969 0 3.938-.7188 5.484-2.188c3.219-3.031 3.359-8.094 .3281-11.31C167.5 260.4 148.9 235 147.1 207.6c.7813-24.03 14.72-50.25 39.41-74.44c11.75 10.97 39.41 40.32 39.5 74.1C226.7 212.1 225.9 217.1 224.4 223C223.3 227.3 225.9 231.7 230.1 232.8C234.3 233.8 238.8 231.3 239.9 227c1.797-7.001 2.75-13.09 2.984-19.5C242.7 156.9 194.2 117.7 192.2 116.1C189.1 113.6 184.7 113.7 181.8 116.4C150.6 144.8 132.9 177 131.1 207.6C133.1 240.6 153.1 269.4 171.3 287.8C172.9 289.5 175 290.3 177.2 290.3zM304.1 269.4c-6.297 0-12.89 .9063-20.19 2.75c-4.281 1.094-6.875 5.438-5.781 9.72c1.062 4.25 5.344 6.969 9.719 5.782c6.062-1.531 11.23-2.25 15.98-2.25c30.94 1.031 58.08 23.1 73.94 39.32c-23.94 24.41-50.64 38.72-73.64 39.57c-28.45-.9376-53.67-19.66-69.81-35.19c-3.156-3.063-8.219-2.969-11.31 .1875c-3.062 3.188-2.969 8.251 .2187 11.31c18.16 17.5 46.84 38.57 80.92 39.69c40.34-1.438 74.05-32.07 90.55-50.19c2.766-3.031 2.781-7.688 0-10.75C379.2 301.3 345.7 270.8 304.1 269.4zM273.2 194.3c1.969 0 3.938-.7188 5.484-2.188c3.219-3.032 3.359-8.094 .3281-11.31C263.5 164.4 244.9 139 243.1 111.6c.7813-24.03 14.72-50.25 39.41-74.44c11.75 10.97 39.41 40.32 39.5 74.1c-.1875 4.907-.9687 9.907-2.484 15.78c-1.094 4.282 1.484 8.657 5.766 9.751c4.203 1.031 8.641-1.469 9.734-5.75c1.797-7.001 2.75-13.09 2.984-19.5c-.1406-50.6-48.64-89.82-50.7-91.45c-3.094-2.531-7.5-2.344-10.38 .3438c-31.16 28.44-48.84 60.63-49.83 91.2c1.109 32.97 22.03 61.82 39.39 80.23C268.9 193.5 271 194.3 273.2 194.3zM400.1 173.4c-6.297 0-12.89 .9063-20.19 2.75c-4.281 1.094-6.875 5.438-5.781 9.72c1.062 4.282 5.359 6.938 9.719 5.782c6.062-1.531 11.23-2.25 15.98-2.25c30.94 1.031 58.08 23.1 73.94 39.32c-23.94 24.41-50.64 38.72-73.64 39.57c-28.45-.9376-53.67-19.66-69.81-35.19c-3.141-3.032-8.203-2.969-11.31 .1875c-3.062 3.188-2.969 8.251 .2187 11.31c18.16 17.5 46.84 38.57 80.92 39.69c40.34-1.438 74.05-32.07 90.55-50.19c2.766-3.031 2.781-7.688 0-10.75C475.2 205.3 441.7 174.8 400.1 173.4z"],
    "wheat-awn": [512, 512, ["wheat-alt"], "e2cd", "M13.66 509.7C10.53 512.8 5.467 512.8 2.343 509.7C-.7811 506.6-.7811 501.5 2.343 498.4L498.4 2.351C501.5-.7732 506.6-.7732 509.7 2.351C512.8 5.475 512.8 10.54 509.7 13.66L13.66 509.7zM368.8 64.39C365.6 67.52 360.6 67.52 357.5 64.39C354.3 61.27 354.3 56.21 357.5 53.08L396.9 13.62C400 10.5 405.1 10.5 408.2 13.62C411.3 16.75 411.3 21.81 408.2 24.94L368.8 64.39zM458.1 154.6C455.8 157.7 450.8 157.7 447.6 154.6C444.5 151.5 444.5 146.4 447.6 143.3L487.1 103.8C490.2 100.7 495.3 100.7 498.4 103.8C501.5 106.9 501.5 112 498.4 115.1L458.1 154.6zM342.8 133.6C341.9 137.9 337.7 140.7 333.4 139.9C329 138.1 326.2 134.8 327.1 130.4C336.6 82.87 311.6 52.85 289.9 30.71C272.9 48.75 258.8 69.28 254.7 91.85C250.4 116.2 257.4 144.6 289.9 177.1C292.1 180.2 292.1 185.3 289.9 188.4C286.7 191.5 281.7 191.5 278.6 188.4C243.3 153.2 233.5 119.7 238.1 89.03C244.4 59.09 264.1 33.69 284.2 13.64C287.3 10.51 292.4 10.51 295.5 13.64L295.9 13.99C318.3 36.44 354.9 73 342.8 133.6H342.8zM230 246.3C229.2 250.6 224.1 253.5 220.6 252.6C216.3 251.7 213.5 247.5 214.4 243.2C223.9 195.6 198.9 165.6 177.2 143.5C160.2 161.5 146.1 182 142 204.6C137.7 228.9 144.7 257.4 177.1 289.8C180.3 292.9 180.3 297.1 177.1 301.1C174 304.2 168.9 304.2 165.8 301.1C130.6 265.9 120.8 232.4 126.3 201.8C131.6 171.8 151.4 146.4 171.5 126.4C174.6 123.3 179.6 123.3 182.8 126.4L183.1 126.7C205.6 149.2 242.2 185.7 230 246.3H230zM122.9 353.4C122.1 357.7 117.9 360.5 113.5 359.7C109.2 358.8 106.4 354.6 107.3 350.3C116.8 302.7 91.78 272.7 70.08 250.5C53.11 268.6 38.97 289.1 34.92 311.7C30.55 335.1 37.61 364.5 70.04 396.9C73.16 400 73.16 405.1 70.04 408.2C66.91 411.3 61.85 411.3 58.72 408.2C23.52 373 13.67 339.5 19.17 308.9C24.54 278.9 44.3 253.5 64.36 233.5C67.48 230.3 72.54 230.3 75.67 233.5L76.03 233.8C98.48 256.3 135.1 292.8 122.9 353.4H122.9zM283.8 430.4L284.2 430.7C287.3 433.8 287.3 438.9 284.2 442C264.1 462.1 238.7 481.8 208.8 487.2C178.2 492.7 144.7 482.9 109.5 447.7C106.3 444.5 106.3 439.5 109.5 436.4C112.6 433.2 117.6 433.2 120.8 436.4C153.2 468.8 181.7 475.8 205.1 471.5C228.6 467.4 249.1 453.3 267.1 436.3C244.1 414.6 214.1 389.6 167.4 399.1C163.1 400 158.9 397.2 157.1 392.9C157.1 388.5 159.9 384.3 164.3 383.4C224.8 371.3 261.4 407.9 283.8 430.4L283.8 430.4zM385.7 340.6C365.6 360.6 340.2 380.4 310.3 385.8C279.6 391.3 246.1 381.4 210.9 346.2C207.8 343.1 207.8 338 210.9 334.9C214 331.8 219.1 331.8 222.2 334.9C254.7 367.3 283.1 374.4 307.4 370C330 365.1 350.5 351.8 368.6 334.9C346.4 313.2 316.4 288.2 268.9 297.7C264.5 298.5 260.3 295.7 259.4 291.4C258.6 287.1 261.4 282.9 265.7 281.1C326.3 269.9 362.9 306.4 385.3 328.9L385.7 329.3C388.8 332.4 388.8 337.4 385.7 340.6L385.7 340.6zM498.4 227.8C478.3 247.9 452.9 267.7 423 273C392.4 278.5 358.9 268.7 323.6 233.5C320.5 230.4 320.5 225.3 323.6 222.2C326.8 219 331.8 219 334.1 222.2C367.4 254.6 395.9 261.6 420.2 257.3C442.7 253.2 463.3 239.1 481.3 222.1C459.2 200.4 429.2 175.4 381.6 184.9C377.3 185.8 373 183 372.2 178.7C371.3 174.3 374.1 170.1 378.5 169.3C439 157.1 475.6 193.7 498 216.2L498.4 216.5C501.5 219.7 501.5 224.7 498.4 227.8L498.4 227.8z"],
    "wheat-awn-circle-exclamation": [640, 512, [], "e598", "M13.64 509.7C10.52 512.8 5.452 512.8 2.327 509.7C-.7967 506.6-.7967 501.5 2.327 498.4L498.4 2.32C501.5-.8045 506.6-.8045 509.7 2.32C512.8 5.444 512.8 10.51 509.7 13.63L13.64 509.7zM368.8 64.36C365.6 67.49 360.6 67.49 357.4 64.36C354.3 61.24 354.3 56.18 357.4 53.05L396.9 13.59C400 10.47 405.1 10.47 408.2 13.59C411.3 16.72 411.3 21.78 408.2 24.91L368.8 64.36zM458.1 154.6C455.8 157.7 450.8 157.7 447.6 154.6C444.5 151.4 444.5 146.4 447.6 143.2L487.1 103.8C490.2 100.7 495.3 100.7 498.4 103.8C501.5 106.9 501.5 111.1 498.4 115.1L458.1 154.6zM342.8 133.6C341.9 137.9 337.7 140.7 333.3 139.8C329 138.1 326.2 134.8 327.1 130.4C336.6 82.85 311.6 52.82 289.9 30.67C272.9 48.72 258.8 69.25 254.7 91.83C250.4 116.1 257.4 144.6 289.8 177.1C292.1 180.2 292.1 185.3 289.8 188.4C286.7 191.5 281.7 191.5 278.5 188.4C243.3 153.2 233.5 119.6 238.1 89C244.3 59.06 264.1 33.66 284.2 13.6C287.3 10.47 292.4 10.47 295.5 13.6L295.8 13.96C318.3 36.41 354.9 72.98 342.8 133.6V133.6zM230 246.3C229.2 250.6 224.9 253.4 220.6 252.6C216.3 251.7 213.5 247.5 214.3 243.2C223.9 195.6 198.9 165.6 177.2 143.4C160.2 161.5 146 181.1 141.1 204.6C137.6 228.9 144.7 257.4 177.1 289.8C180.2 292.9 180.2 297.1 177.1 301.1C173.1 304.2 168.9 304.2 165.8 301.1C130.6 265.9 120.7 232.4 126.2 201.7C131.6 171.8 151.4 146.4 171.4 126.3C174.6 123.2 179.6 123.2 182.7 126.3L183.1 126.7C205.6 149.1 242.1 185.7 230 246.3L230 246.3zM122.9 353.4C122.1 357.7 117.8 360.5 113.5 359.7C109.2 358.8 106.4 354.6 107.2 350.3C116.8 302.7 91.75 272.7 70.05 250.5C53.07 268.6 38.93 289.1 34.88 311.7C30.52 335.1 37.58 364.5 70.01 396.9C73.13 400 73.13 405.1 70.01 408.2C66.88 411.3 61.82 411.3 58.69 408.2C23.48 373 13.63 339.5 19.13 308.8C24.51 278.9 44.27 253.5 64.33 233.4C67.45 230.3 72.52 230.3 75.64 233.4L76 233.8C98.46 256.2 135 292.8 122.9 353.4V353.4zM283.8 430.4L284.2 430.7C287.3 433.9 287.3 438.9 284.2 442C264.1 462.1 238.7 481.9 208.8 487.2C178.2 492.7 144.6 482.9 109.4 447.7C106.3 444.6 106.3 439.5 109.4 436.4C112.5 433.2 117.6 433.2 120.7 436.4C153.2 468.8 181.7 475.9 205.1 471.5C228.5 467.4 249.1 453.3 267.1 436.3C244.1 414.6 214.1 389.6 167.4 399.1C163 400 158.8 397.2 157.1 392.9C157.1 388.5 159.9 384.3 164.2 383.4C224.8 371.3 261.4 407.9 283.8 430.4H283.8zM319.1 367.1C319.1 373.1 320.2 378.3 320.7 383.3C317.3 384.3 313.8 385.1 310.3 385.8C279.6 391.3 246.1 381.4 210.9 346.2C207.8 343.1 207.8 338 210.9 334.9C214 331.8 219.1 331.8 222.2 334.9C254.6 367.3 283.1 374.4 307.4 370C311.7 369.3 315.9 368.1 320 366.7L319.1 367.1zM331.2 306C314.4 297.3 294.1 292.6 268.8 297.7C264.5 298.5 260.3 295.7 259.4 291.4C258.6 287.1 261.4 282.8 265.7 281.1C294.8 276.2 318.4 281.6 337.5 291.3C335.2 296.1 333.1 301 331.2 306zM378.4 169.2C420.5 160.8 451 175.9 473.3 193.4C465.9 194.4 458.6 195.8 451.6 197.7C433.3 186.2 410.8 179.1 381.6 184.9C377.3 185.8 373 182.1 372.2 178.7C371.3 174.3 374.1 170.1 378.4 169.2zM323.6 233.5C320.5 230.4 320.5 225.3 323.6 222.2C326.8 219 331.8 219 334.9 222.2C346.3 233.6 357.2 241.8 367.7 247.6C363.9 251.5 360.4 255.6 357.1 259.9C346.1 253.5 334.1 244.8 323.6 233.5H323.6zM480 431.1C480 423.2 487.2 415.1 496 415.1C504.8 415.1 512 423.2 512 431.1C512 440.8 504.8 447.1 496 447.1C487.2 447.1 480 440.8 480 431.1zM495.1 279.1C500.4 279.1 503.1 283.6 503.1 287.1V383.1C503.1 388.4 500.4 391.1 495.1 391.1C491.6 391.1 487.1 388.4 487.1 383.1V287.1C487.1 283.6 491.6 279.1 495.1 279.1zM640 367.1C640 447.5 575.5 511.1 496 511.1C416.5 511.1 352 447.5 352 367.1C352 288.5 416.5 223.1 496 223.1C575.5 223.1 640 288.5 640 367.1zM496 239.1C425.3 239.1 368 297.3 368 367.1C368 438.7 425.3 495.1 496 495.1C566.7 495.1 624 438.7 624 367.1C624 297.3 566.7 239.1 496 239.1V239.1z"],
    "wheat-awn-slash": [640, 512, [], "e338", "M424 64c2.062 0 4.094-.7813 5.656-2.344l40-40C471.2 20.09 472 18.05 472 16c0-4.57-3.736-8-8-8c-2.047 0-4.094 .7813-5.656 2.344l-40 40C416.8 51.91 416 53.95 416 56C416 58.91 418.3 64 424 64zM568 112c0-4.57-3.736-8-8-8c-2.047 0-4.094 .7813-5.656 2.344l-40 40C512.8 147.9 512 149.1 512 152C512 154.9 514.3 160 520 160c2.062 0 4.094-.7813 5.656-2.344l40-40C567.2 116.1 568 114 568 112zM377.6 209.8l196.1-196.1C575.2 12.09 576 10.05 576 8C576 3.43 572.3 0 568 0c-2.047 0-4.094 .7813-5.656 2.344l-197.4 197.4L377.6 209.8zM343.9 183c-5.736-10.94-34.7-33.78-35.99-71.48c.7813-24.03 14.72-50.25 39.41-74.44c11.75 10.97 39.41 40.32 39.5 74.1c-.377 9.859-2.736 15.09-2.736 17.77c0 3.955 3.154 7.992 7.934 7.992c3.557 0 6.891-2.352 7.818-5.982c1.797-7 2.75-13.09 2.984-19.5c-.1445-52.01-50.71-93.24-55.69-93.24c-9.062 0-53.73 47.11-55.21 93.33C292.4 124.5 296.7 137.8 302.4 149.1L343.9 183zM447.8 265.6l22.67 18.02c37.91-3.826 69.4-32.22 85.15-49.53c1.385-1.518 2.08-3.443 2.08-5.373c0-4.432-41.41-53.59-92.67-55.32c-6.297 0-12.89 .9062-20.19 2.75c-3.619 .9238-6.031 4.17-6.031 7.738c0 4.018 3.152 8.035 7.908 8.035c2.832 0 8.432-2.521 18.04-2.521c30.94 1.031 58.08 23.1 73.94 39.32c-23.94 24.41-50.64 38.72-73.64 39.56C458.8 268.1 453.2 267 447.8 265.6zM264.1 374.2c-6.234 0-12.64 .875-20.16 2.75c-3.635 .9023-6.064 4.17-6.064 7.756c0 3.926 3.096 8.002 7.914 8.002c2.75 0 8.803-2.508 18.04-2.508c30.94 1.033 58.06 23.1 73.92 39.35c-23.94 24.38-50.66 38.72-73.64 39.57c-42.95-1.416-66.72-37.42-75.37-37.42c-2.924 0-7.994 2.205-7.994 7.967c0 9.475 43.89 44.15 83.39 45.46c52.26-1.943 92.61-51.65 92.61-55.57c0-1.92-.6914-3.842-2.078-5.369C338.3 406.1 304.8 375.6 264.1 374.2zM262.5 302.2l-196.1 196.1C64.78 499.9 64 501.1 64 504C64 506.9 66.28 512 72 512c2.062 0 4.094-.7813 5.656-2.344L275.1 312.3L262.5 302.2zM191.1 337.8c3.617 0 6.945-2.33 7.879-5.959c1.797-7 2.75-13.06 2.969-19.47C201.9 260.1 151.4 219.2 146.3 219.2c-9.09 0-53.75 47.09-55.22 93.26c1.312 38.96 36.58 82.76 45.2 82.76c4.977 0 8.004-4.191 8.004-8.021c0-9.188-35.78-32.97-37.21-74.77c.7656-24 14.7-50.22 39.42-74.41c11.73 10.88 39.39 40.13 39.47 74.13c-.3438 9.732-2.721 15.07-2.721 17.72C183.3 333.7 186.3 337.8 191.1 337.8zM636.1 497.7L12.99 1.73C11.53 .5664 9.771 0 8.025 0C5.674 0 3.336 1.029 1.738 3.012c-2.75 3.469-2.172 8.5 1.281 11.25l623.1 496C628.5 511.4 630.2 512 631.1 512c2.344 0 4.688-1.031 6.266-3.016C641 505.5 640.4 500.5 636.1 497.7z"],
    "wheat-slash": [640, 512, [], "e339", "M447.1 265l23.35 18.56c37.91-3.826 69.41-32.22 85.15-49.53c2.766-3.031 2.781-7.689 0-10.75c-16.38-18.06-49.89-48.57-90.59-49.94c-6.297 0-12.89 .9062-20.19 2.75c-4.281 1.094-6.875 5.438-5.781 9.721c1.062 4.281 5.359 6.938 9.719 5.781c6.062-1.531 11.23-2.25 15.98-2.25c30.94 1.031 58.08 23.1 73.94 39.32c-23.94 24.41-50.64 38.72-73.64 39.56C458.8 268.1 452.9 266.7 447.1 265zM264.1 374.2c-6.234 0-12.64 .875-20.16 2.75c-4.281 1.062-6.891 5.406-5.828 9.688c1.062 4.252 5.281 6.939 9.703 5.814c6.203-1.531 11.38-2.252 16.02-2.252c30.94 1.033 58.06 23.1 73.92 39.35c-23.94 24.38-50.66 38.72-73.64 39.57c-28.44-.9375-53.66-19.66-69.81-35.19c-3.156-3.031-8.219-2.969-11.31 .1875c-3.062 3.189-2.969 8.252 .2187 11.31c18.17 17.5 46.86 38.57 80.94 39.69c40.33-1.5 74.02-32.07 90.52-50.19c2.781-3.031 2.797-7.688 .0156-10.75C338.3 406.1 304.8 375.6 264.1 374.2zM343.8 182.9c-.3418-.6855-.2422-1.5-.7949-2.088C327.5 164.4 308.9 139 307.1 111.6c.7813-24.03 14.72-50.25 39.41-74.44c11.75 10.97 39.41 40.32 39.5 74.1c-.1875 4.908-.9687 9.908-2.484 15.78c-1.094 4.281 1.484 8.656 5.766 9.752c4.203 1.031 8.641-1.471 9.734-5.752c1.797-7 2.75-13.09 2.984-19.5c-.1406-50.6-48.64-89.82-50.7-91.44c-3.094-2.533-7.5-2.346-10.38 .3438C310.6 48.84 292.9 81.03 291.1 111.6c.4551 13.5 4.322 26.25 9.816 37.93L343.8 182.9zM364.9 199.7l12.61 10.02l66.22-66.23c4.205 .2344 8.395 .4453 12.46 .4453c38.2 0 69.89-10.19 90.34-29.25c.1406-.125 .2813-.25 .4219-.4062c28.77-31.07 30.23-80.01 28.55-106.4c-.25-4.031-3.453-7.219-7.469-7.469c-26.34-1.656-75.02-.2187-106.3 28.91c-32.61 32.84-30.49 87.07-29.14 102.6L364.9 199.7zM472.9 40.83c24.16-22.5 62.2-25.63 87-24.75c1.156 37.29-7.609 68.76-24.47 87.13c-18.83 17.41-49.59 26.22-87.08 24.6C447.3 111.2 447.2 66.71 472.9 40.83zM189.3 337.6c4.281 .9687 8.656-1.5 9.75-5.75c1.797-7 2.75-13.06 2.969-19.47C201.9 261.5 153.3 222.6 151.3 220.9C148.2 218.5 143.8 218.6 140.9 221.3c-31.17 28.44-48.86 60.63-49.83 91.16c1.109 32.94 22.03 61.82 39.38 80.26c1.578 1.656 3.703 2.5 5.828 2.5c1.969 0 3.938-.7187 5.484-2.188c3.219-3.033 3.375-8.096 .3438-11.31c-15.47-16.41-34.09-41.85-35.03-69.29c.7656-24 14.7-50.22 39.42-74.41c11.73 10.88 39.39 40.13 39.47 74.13c-.1719 4.875-.9531 9.877-2.469 15.72C182.4 332.1 184.1 336.5 189.3 337.6zM262.4 302.2l-196.1 196.1c-3.125 3.125-3.125 8.189 0 11.31C67.91 511.2 69.95 512 72 512s4.094-.7813 5.656-2.344l197.4-197.4L262.4 302.2zM636.1 497.7L12.99 1.73C11.52 .5664 9.77 0 8.023 0C5.672 0 3.334 1.029 1.736 3.012c-2.75 3.469-2.172 8.5 1.281 11.25l623.1 496C628.5 511.4 630.2 512 631.1 512c2.344 0 4.688-1.031 6.266-3.016C641 505.5 640.4 500.5 636.1 497.7z"],
    "wheelchair": [512, 512, [], "f193", "M192 104c28.72 0 52-23.28 52-52S220.7 0 192 0S140 23.28 140 52S163.3 104 192 104zM192 16c19.85 0 36 16.15 36 36s-16.15 36-36 36c-19.85 0-36-16.15-36-36S172.2 16 192 16zM310.3 376.2c-4.188-.9687-8.562 1.812-9.5 6.125C286.7 448.2 227.5 496 160 496c-79.41 0-144-64.59-144-144c0-67.47 47.81-126.7 113.7-140.8c4.328-.9062 7.078-5.156 6.156-9.5c-.9219-4.312-5.266-7.094-9.5-6.125C53.13 211.2 0 277 0 352c0 88.22 71.78 160 160 160c74.97 0 140.7-53.13 156.5-126.3C317.4 381.3 314.6 377.1 310.3 376.2zM510.3 421.9c-4.471-13.39-16.83-21.88-30.26-21.88c-3.373 0-6.813 .5371-10.21 1.666l-19.38 6.438l-41.7-99.97C403.9 295.1 392.2 288 379.1 288h-97.78l-10.4-48h65.11c17.69 0 32-14.31 32-32s-14.31-32-32-32h-78.98L255.6 169.2C252.1 145.3 231.3 128 207.1 127.1c-2.232 0-4.482 .1582-6.746 .4824C174.1 132.2 156.7 156.5 160.5 182.8l23.68 140.4C185.8 339.6 199.6 352 216 352h141.4l44.86 107.9C407.3 472.3 419.3 480 432 480c3.344 0 6.781-.5313 10.12-1.656l48-16C506.9 456.8 515.9 438.7 510.3 421.9zM494.3 439.2c-1.908 3.809-5.18 6.645-9.23 7.988l-48.04 16.02C435.4 463.7 433.7 464 432 464c-6.576 0-12.41-3.957-14.94-10.27L368.1 336H216c-8.244 0-15.09-6.186-16.06-15.43L176.3 180.5C173.8 163.1 186 146.8 203.5 144.3C205 144.1 206.5 143.1 207.1 143.1C223.8 144 237.5 155.8 239.9 172.6L244.1 192H336C344.8 192 352 199.2 352 208S344.8 224 336 224H251.1l17.34 80h110.7c6.588 0 12.42 3.951 14.96 10.29l47.42 113.7l33.47-11.12c1.697-.5645 3.438-.8516 5.17-.8516c6.832 0 12.89 4.402 15.08 10.94C496.5 431 496.2 435.3 494.3 439.2z"],
    "wheelchair-move": [448, 512, ["wheelchair-alt"], "e2ce", "M416 52C416 80.72 392.7 104 364 104C335.3 104 312 80.72 312 52C312 23.28 335.3 0 364 0C392.7 0 416 23.28 416 52zM364 16C344.1 16 328 32.12 328 52C328 71.88 344.1 88 364 88C383.9 88 400 71.88 400 52C400 32.12 383.9 16 364 16zM56 352C56 294.6 102.6 248 160 248C217.4 248 264 294.6 264 352C264 409.4 217.4 456 160 456C102.6 456 56 409.4 56 352zM160 264C111.4 264 72 303.4 72 352C72 400.6 111.4 440 160 440C208.6 440 248 400.6 248 352C248 303.4 208.6 264 160 264zM320 352C320 440.4 248.4 512 160 512C71.63 512 0 440.4 0 352C0 263.6 71.63 192 160 192C248.4 192 320 263.6 320 352zM160 208C80.47 208 16 272.5 16 352C16 431.5 80.47 496 160 496C239.5 496 304 431.5 304 352C304 272.5 239.5 208 160 208zM388.6 293.1C391.6 297.8 392.8 302.7 391.7 307.5L368.4 412.5C366.5 421.2 371.9 429.7 380.5 431.6C389.2 433.5 397.7 428.1 399.6 419.5L431.6 275.5C432.7 270.7 431.5 265.8 428.5 261.1C425.4 258.2 420.9 256 416 256H326.3C323.1 250.5 319.7 245.1 315.1 240H416C425.7 240 434.9 244.4 440.1 251.1C447 259.5 449.3 269.5 447.2 278.9L415.2 422.9C411.4 440.2 394.3 451.1 377.1 447.2C359.8 443.4 348.9 426.3 352.8 409.1L376.1 304H345.1C344.6 298.6 342.9 293.2 341.1 288H376.1C380.1 288 385.6 290.2 388.6 293.1H388.6zM337.4 181.4L301.1 221.8C297.4 217.8 293.7 214.1 289.7 210.4L325.5 170.7C339.8 154.8 334.7 129.5 315.3 120.4L198.8 65.52C193.5 63 187.1 63.65 182.4 67.2L118.4 115.2C111.3 120.5 109.9 130.5 115.2 137.6C120.5 144.7 130.5 146.1 137.6 140.8L186.2 104.4C190.9 100.8 197.2 100.2 202.6 102.7L253.4 126.6C258.2 128.8 261.5 133.2 262.4 138.3C263.3 143.5 261.6 148.7 257.1 152.4L235.1 175.2C229.7 172.1 224.2 170.9 218.6 169.1L246.6 141.1L195.8 117.2L147.2 153.6C133.1 164.2 113 161.3 102.4 147.2C91.8 133.1 94.66 113 108.8 102.4L172.8 54.4C182.3 47.29 194.9 46 205.6 51.05L322.1 105.9C351.3 119.6 358.9 157.5 337.4 181.4V181.4z"],
    "whiskey-glass": [512, 512, [129347, "glass-whiskey"], "f7a0", "M452.5 64H59.47C42.76 64 30.01 78.79 32.26 95.29l47.99 305.7C84.11 427.1 107.2 448 134.7 448h243.1c27.21 0 50.46-20.04 54.31-47.05l47.67-305.7C481.1 78.79 469.2 64 452.5 64zM416.2 398.7C413.5 417.7 396.1 432 377.8 432H134.7c-19.28 0-35.87-14.32-38.61-33.53L78.71 288h354.8L416.2 398.7zM435.1 272H76.2L48.11 93.13C47.49 88.57 49.57 85.39 50.87 83.91C52.14 82.45 54.95 80 59.47 80h393.1c4.514 0 7.326 2.449 8.602 3.91c1.295 1.484 3.377 4.656 2.799 8.918L435.1 272z"],
    "whiskey-glass-ice": [512, 512, ["glass-whiskey-rocks"], "f7a1", "M348.3 249.1c-15.62-15.62-41.06-15.62-56.69 0L246.4 294.5c-15.59 15.59-15.59 40.97 0 56.56l45.25 45.38c7.812 7.812 18.06 11.72 28.34 11.72c10.25 0 20.53-3.906 28.34-11.72l45.25-45.38c15.59-15.59 15.59-40.97 0-56.56L348.3 249.1zM382.3 339.7l-45.25 45.38c-9.375 9.375-24.69 9.375-34.06 0l-45.25-45.38c-9.344-9.344-9.344-24.59 0-33.94l45.25-45.38c4.688-4.688 10.88-7.031 17.03-7.031s12.34 2.344 17.03 7.031l45.25 45.38C391.6 315.1 391.6 330.4 382.3 339.7zM159.9 216h64c13.22 0 24 10.78 24 24v8c0 4.406 3.594 8 8 8s8-3.594 8-8V240c0-22.06-17.94-40-40-40h-64c-22.06 0-40 17.94-40 40v64c0 22.06 17.94 40 40 40h48.06c4.406 0 8-3.594 8-8s-3.594-8-8-8H159.9c-13.22 0-23.96-10.74-23.96-23.96L135.9 240C135.9 226.8 146.7 216 159.9 216zM452.5 64H59.47C42.76 64 30.01 78.79 32.26 95.29l47.99 305.7C84.11 427.1 107.2 448 134.7 448h243.1c27.21 0 50.46-20.04 54.31-47.05l47.67-305.7C481.1 78.79 469.2 64 452.5 64zM435.1 272h-11.99c-4.418 0-8 3.582-8 8s3.582 8 8 8h9.496l-17.26 110.7C413.5 417.7 396.1 432 377.8 432H134.7c-19.28 0-35.87-14.32-38.61-33.53L78.71 288h9.291c4.418 0 8-3.582 8-8s-3.582-8-8-8H76.2L48.11 93.13C47.49 88.57 49.57 85.39 50.87 83.91C52.14 82.45 54.95 80 59.47 80h393.1c4.514 0 7.326 2.449 8.602 3.91c1.295 1.484 3.377 4.656 2.799 8.918L435.1 272z"],
    "whistle": [640, 512, [], "f460", "M27.72 91.72c15.09-15.12 41.47-15.12 56.56 0c3.125 3.125 8.188 3.125 11.31 0s3.125-8.188 0-11.31c-21.12-21.19-58.06-21.19-79.19 0C5.828 91 0 105 0 120s5.828 29 16.41 39.59c1.562 1.562 3.609 2.344 5.656 2.344s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31C12.12 132.7 12.12 107.3 27.72 91.72zM627.7 326.8l-127.4-99.06c-4.287-3.336-11.61-5.121-18.3-.9375L448 248L416 224l16.41-32.81c3.41-6.822 1.531-15.1-4.488-19.79l-88.26-68.65C307.5 78.43 267.4 64 224 64C210.4 64 196.5 65.42 182.4 68.42C109.8 83.83 51.07 142.6 36.17 215.4C10.8 339.2 104.7 448 224 448c63.65 0 119.9-31.1 154.8-78.8l150.9 75.43C534.3 446.9 539.1 448 544 448c8.281 0 16.47-3.219 22.63-9.375l64-64c6.5-6.5 9.875-15.44 9.312-24.62C639.4 340.8 634.9 332.4 627.7 326.8zM619.3 363.3l-64 63.1c-5.348 5.344-12.91 5.779-18.47 3.004l-150.9-75.43c-9.963-4.982-17.86 1.852-20.06 4.857C332.8 404.1 279.7 432 224 432c-53.1 0-102.8-23.63-136.4-64.82C53.95 325.1 40.93 271.8 51.84 218.6C65.44 152.2 119.2 98.18 185.7 84.07C198.5 81.37 211.3 80 223.1 80c38.4 .002 75.01 12.34 105.9 35.67c.627 .4727 1.275 .8906 1.945 1.256l86.27 67.1l-16.41 32.81c-3.459 6.918-1.475 15.32 4.711 19.96l32 24C442.7 264 449.9 265.7 456.5 261.6l33.99-21.25l127.4 99.07C625.5 345.3 626 356.6 619.3 363.3zM224 192C188.7 192 159.1 220.7 159.1 256s28.65 64 64 64s64-28.65 64-64S259.3 192 224 192zM224 303.1C197.5 303.1 176 282.5 176 256S197.5 208 224 208S272 229.5 272 256S250.5 303.1 224 303.1z"],
    "wifi": [640, 512, ["wifi-3", "wifi-strong"], "f1eb", "M319.1 351.1c-35.34 0-64 28.65-64 64.01c0 35.36 28.66 64.01 64 64.01s64-28.65 64-64.01C383.1 380.6 355.3 351.1 319.1 351.1zM319.1 463.1c-26.47 0-48-21.54-48-48.02c0-26.48 21.54-47.1 48.01-47.1s47.99 21.52 47.99 47.1C367.1 442.4 346.5 463.1 319.1 463.1zM637.7 163.4c-175.1-175.2-460.2-175.2-635.3 0c-3.125 3.127-3.125 8.191 0 11.32s8.188 3.127 11.31 0c168.9-168.1 443.8-168.1 612.7 0C627.9 176.3 629.9 177.1 632 177.1s4.094-.7813 5.656-2.344C640.8 171.6 640.8 166.6 637.7 163.4zM320 191.1c-75.09 0-145.7 29.15-198.8 82.28c-3.125 3.125-3.125 8.191 0 11.32c3.125 3.127 8.188 3.127 11.31 0C182.6 235.5 249.2 207.9 320 207.9s137.4 27.53 187.5 77.63c1.562 1.564 3.594 2.346 5.656 2.346s4.094-.7813 5.656-2.346c3.125-3.125 3.125-8.191 0-11.32C465.7 221.1 395.1 191.1 320 191.1z"],
    "wifi-exclamation": [640, 512, [], "e2cf", "M319.1 384c-26.49 0-47.98 21.49-47.98 48S293.5 480 319.1 480s47.97-21.49 47.97-48S346.5 384 319.1 384zM319.1 464c-17.63 0-31.98-14.36-31.98-32s14.34-32 31.98-32s31.98 14.36 31.98 32S337.6 464 319.1 464zM320 336c4.406 0 8-3.594 8-8v-288C328 35.59 324.4 32 320 32S312 35.59 312 40v288C312 332.4 315.6 336 320 336zM2.344 174.7c3.125 3.129 8.188 3.129 11.31 0C81.81 106.6 167.3 66.88 256 53.82v-16.11C163.1 50.88 73.6 92.13 2.344 163.4C-.7813 166.6-.7813 171.6 2.344 174.7zM121.2 285.6c3.125 3.125 8.188 3.125 11.31 0C167 251 209.8 228.7 256 217.4V200.3C205.5 212 158.8 236.6 121.2 274.2C118.1 277.4 118.1 282.4 121.2 285.6zM384 200.3v17.07c46.21 11.3 88.98 33.66 123.5 68.18c1.562 1.562 3.594 2.344 5.656 2.344s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.191 0-11.32C481.2 236.6 434.5 212 384 200.3zM637.7 163.4C566.4 92.13 476.9 50.88 384 37.7v16.11c88.72 13.07 174.2 52.76 242.3 120.9C627.9 176.3 629.9 177.1 632 177.1s4.094-.7813 5.656-2.344C640.8 171.6 640.8 166.6 637.7 163.4z"],
    "wifi-fair": [640, 512, ["wifi-2"], "f6ab", "M319.1 352c-35.34 0-64 28.66-64 63.1c0 35.34 28.66 64 64 64s64-28.66 64-64C383.1 380.7 355.3 352 319.1 352zM319.1 463.1c-26.47 0-48-21.53-48-48c0-26.47 21.54-47.1 48.01-47.1s47.99 21.53 47.99 47.1C367.1 442.5 346.5 463.1 319.1 463.1zM320 192C244.9 192 174.3 221.2 121.2 274.3c-3.125 3.124-3.125 8.188 0 11.31c3.125 3.125 8.188 3.125 11.31 0C182.6 235.6 249.2 208 320 208s137.4 27.58 187.5 77.65C509 287.2 511.1 287.1 513.1 287.1s4.094-.7809 5.656-2.345c3.125-3.124 3.125-8.188 0-11.31C465.7 221.2 395.1 192 320 192z"],
    "wifi-slash": [640, 512, [], "f6ac", "M121.2 274.2c-3.125 3.125-3.125 8.191 0 11.32c3.125 3.125 8.188 3.125 11.31 0c16.79-16.8 35.56-30.82 55.59-42.37L174.8 232.6C155.6 244.2 137.5 257.1 121.2 274.2zM2.344 163.4c-3.125 3.125-3.125 8.188 0 11.32c3.125 3.129 8.188 3.129 11.31 0c13.39-13.39 27.65-25.34 42.27-36.61l-12.97-10.31C28.93 138.8 15.26 150.5 2.344 163.4zM385.9 216.4c45.57 11.63 87.45 35.01 121.6 69.15c1.562 1.563 3.594 2.344 5.656 2.344s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.191 0-11.32c-43.83-43.86-99.67-71.14-160-79.43L385.9 216.4zM626.3 174.7C627.9 176.3 629.9 177.1 632 177.1s4.094-.7813 5.656-2.344c3.125-3.129 3.125-8.191 0-11.32C514.5 40.19 337.1 4.004 181.7 54.09l14.81 11.77C343.9 22.25 510.2 58.54 626.3 174.7zM12.99 1.73C11.52 .5664 9.77 0 8.023 0C5.672 0 3.334 1.027 1.738 3.012c-2.75 3.469-2.172 8.5 1.279 11.25l623.9 496C628.4 511.4 630.2 512 631.9 512c2.344 0 4.688-1.031 6.266-3.016c2.748-3.469 2.17-8.5-1.281-11.25L12.99 1.73zM319.1 351.1c-35.34 0-64 28.65-64 64.01s28.66 64.01 64 64.01s64-28.65 64-64.01S355.3 351.1 319.1 351.1zM319.1 463.1c-26.47 0-48-21.54-48-48.02c0-26.48 21.54-47.1 48.01-47.1s47.99 21.52 47.99 47.1C367.1 442.4 346.5 463.1 319.1 463.1z"],
    "wifi-weak": [640, 512, ["wifi-1"], "f6aa", "M319.1 352c-35.34 0-64 28.66-64 63.1c0 35.34 28.66 64 64 64s64-28.66 64-64C384 380.7 355.3 352 319.1 352zM320 463.1c-26.47 0-48-21.53-48-48c0-26.47 21.53-47.1 48-47.1s48 21.53 48 47.1C368 442.5 346.5 463.1 320 463.1z"],
    "wind": [512, 512, [], "f72e", "M188 336H8C3.594 336 0 339.6 0 344S3.594 352 8 352h180C216.7 352 240 375.3 240 404v8c0 28.69-23.31 52-52 52H136C131.6 464 128 467.6 128 472S131.6 480 136 480h52C225.5 480 256 449.5 256 412v-8C256 366.5 225.5 336 188 336zM8 176h372C417.5 176 448 145.5 448 108v-8C448 62.5 417.5 32 380 32H328C323.6 32 320 35.59 320 40s3.594 8 8 8h52c28.69 0 52 23.31 52 52v8C432 136.7 408.7 160 380 160H8C3.594 160 0 163.6 0 168S3.594 176 8 176zM444 248H8C3.594 248 0 251.6 0 256s3.594 8 8 8h436c28.69 0 52 23.31 52 52S472.7 368 444 368H392c-4.406 0-8 3.594-8 8S387.6 384 392 384h52C481.5 384 512 353.5 512 316S481.5 248 444 248z"],
    "wind-turbine": [512, 512, [], "f89b", "M256 208C247.2 208 239.1 215.2 239.1 224c0 8.836 7.164 16 16 16c8.836 0 15.1-7.164 15.1-16C271.1 215.2 264.8 208 256 208zM376 496h-66.74l-5.291-80.53c-.25-4.375-3.375-8.312-8.5-7.438c-4.406 .2813-7.75 4.094-7.438 8.5L293.3 496H218.8l13.14-175.4C232.3 316.2 229 312.3 224.6 312C220.4 311.2 216.3 315 216 319.4L202.8 496H136C131.6 496 128 499.6 128 504s3.578 7.1 7.985 7.1h240c4.406 0 7.997-3.596 7.997-8.003S380.4 496 376 496zM398.1 415.5l-84.81-175.9c-4.812-11.13-5.062-23.91-.6562-35.04L383 31.79c4.688-11.88-1.125-25.38-13-30.16c-9.875-3.906-21.12-.625-27.28 8.002L233.1 160.7C225.1 170.7 215.4 177.2 203.3 179.1L19.53 208.4C8.156 210.2-.2472 220.1 .0028 231.9C.284 243.6 9.188 253.4 20.66 254.6l182.2 19.85c11.94 1.281 23.12 7.439 30.78 17.04l124.1 147.8c9.268 11.71 23.36 9.51 30.28 5.252C398.7 438.6 402.7 426.1 398.1 415.5zM370.9 429.2L245.1 281.3C235.8 268.6 220.7 260.3 204.6 258.5L22.38 238.7c-8.17-.8691-8.611-13.17-.3438-14.5l183.8-29.25c16.31-2.596 30.59-11.41 40.25-24.82l109.6-151.2c4.936-6.844 15.52-.8574 12.47 6.846l-70.38 172.8c-5.969 15.13-5.688 32.38 .9375 47.66l84.75 175.7C386.5 429.5 376.4 436.1 370.9 429.2z"],
    "wind-warning": [640, 512, ["wind-circle-exclamation"], "f776", "M472 216h92C605.9 216 640 181.9 640 140S605.9 64 564 64H520C515.6 64 512 67.59 512 72s3.594 8 8 8h44c33.09 0 60 26.91 60 60S597.1 200 564 200H472c-4.406 0-8 3.594-8 8S467.6 216 472 216zM355.5 378.9C318.9 422.8 265.1 448 208 448c-105.9 0-192-86.13-192-192s86.13-192 192-192c94.78 0 174.5 67.81 189.6 161.3c.7187 4.375 4.594 7.375 9.188 6.625c4.344-.7187 7.312-4.812 6.625-9.188C397.1 121.5 310.7 48 208 48C93.31 48 0 141.3 0 256s93.31 208 208 208c61.91 0 120.2-27.28 159.8-74.88c2.812-3.406 2.375-8.438-1.031-11.28C363.4 375 358.4 375.5 355.5 378.9zM216 296v-160c0-4.406-3.61-8-8.016-8S200 131.6 200 136v160c0 4.406 3.594 8 8 8S216 300.4 216 296zM560 288h-232C323.6 288 320 291.6 320 296s3.594 8 8 8h232c35.28 0 64 28.72 64 64s-28.72 64-64 64h-40c-4.406 0-8 3.594-8 8S515.6 448 520 448h40c44.13 0 80-35.88 80-80S604.1 288 560 288zM192.1 368c0 8.822 7.112 16 15.93 16s16.07-7.178 16.07-16s-7.178-16-16-16S192.1 359.2 192.1 368z"],
    "window": [512, 512, [], "f40e", "M80 128C80 119.2 87.16 112 96 112C104.8 112 112 119.2 112 128C112 136.8 104.8 144 96 144C87.16 144 80 136.8 80 128zM208 128C208 136.8 200.8 144 192 144C183.2 144 176 136.8 176 128C176 119.2 183.2 112 192 112C200.8 112 208 119.2 208 128zM272 128C272 119.2 279.2 112 288 112C296.8 112 304 119.2 304 128C304 136.8 296.8 144 288 144C279.2 144 272 136.8 272 128zM0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM16 96V416C16 442.5 37.49 464 64 464H448C474.5 464 496 442.5 496 416V96C496 69.49 474.5 48 448 48H64C37.49 48 16 69.49 16 96z"],
    "window-flip": [512, 512, ["window-alt"], "f40f", "M416 144C407.2 144 400 136.8 400 128C400 119.2 407.2 112 416 112C424.8 112 432 119.2 432 128C432 136.8 424.8 144 416 144zM320 112C328.8 112 336 119.2 336 128C336 136.8 328.8 144 320 144C311.2 144 304 136.8 304 128C304 119.2 311.2 112 320 112zM224 144C215.2 144 208 136.8 208 128C208 119.2 215.2 112 224 112C232.8 112 240 119.2 240 128C240 136.8 232.8 144 224 144zM512 416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416zM448 48H64C37.49 48 16 69.49 16 96V416C16 442.5 37.49 464 64 464H448C474.5 464 496 442.5 496 416V96C496 69.49 474.5 48 448 48z"],
    "window-frame": [512, 512, [129695], "e04f", "M504 496H480V40C480 17.94 462.1 0 440 0H72C49.94 0 32 17.94 32 40V496H8C3.594 496 0 499.6 0 504S3.594 512 8 512h496c4.406 0 8-3.594 8-8S508.4 496 504 496zM440 16c13.22 0 24 10.78 24 24v208h-200V16H440zM48 40c0-13.22 10.78-24 24-24h176v232H48V40zM48 496V264h200v232H48zM264 496V264h200v232H264z"],
    "window-frame-open": [512, 512, [], "e050", "M504 496H480v-168c0-4.406-3.594-8-8-8s-8 3.594-8 8v168h-416v-168C48 323.6 44.41 320 40 320S32 323.6 32 328v168H8C3.594 496 0 499.6 0 504S3.594 512 8 512h496c4.406 0 8-3.594 8-8S508.4 496 504 496zM40 288h432C476.4 288 480 284.4 480 280v-240C480 17.94 462.1 0 440 0H72C49.94 0 32 17.94 32 40v240C32 284.4 35.59 288 40 288zM264 16h176c13.22 0 24 10.78 24 24V272h-200V16zM48 40c0-13.22 10.78-24 24-24h176v256H48V40z"],
    "window-maximize": [512, 512, [128470], "f2d0", "M0 96C0 60.65 28.65 32 64 32H448C483.3 32 512 60.65 512 96V416C512 451.3 483.3 480 448 480H64C28.65 480 0 451.3 0 416V96zM19.2 96V176H492.8V96C492.8 71.26 472.7 51.2 448 51.2H64C39.26 51.2 19.2 71.26 19.2 96V96zM19.2 192V416C19.2 440.7 39.26 460.8 64 460.8H448C472.7 460.8 492.8 440.7 492.8 416V192H19.2z"],
    "window-minimize": [512, 512, [128469], "f2d1", "M0 472C0 467.6 3.582 464 8 464H504C508.4 464 512 467.6 512 472C512 476.4 508.4 480 504 480H8C3.582 480 0 476.4 0 472z"],
    "window-restore": [512, 512, [], "f2d2", "M432 16H208C172.7 16 144 44.65 144 80V96H128V80C128 35.82 163.8 0 208 0H432C476.2 0 512 35.82 512 80V304C512 348.2 476.2 384 432 384H416V368H432C467.3 368 496 339.3 496 304V80C496 44.65 467.3 16 432 16zM320 128C355.3 128 384 156.7 384 192V448C384 483.3 355.3 512 320 512H64C28.65 512 0 483.3 0 448V192C0 156.7 28.65 128 64 128H320zM320 144H64C37.49 144 16 165.5 16 192V256H368V192C368 165.5 346.5 144 320 144zM64 496H320C346.5 496 368 474.5 368 448V272H16V448C16 474.5 37.49 496 64 496z"],
    "windsock": [512, 512, [], "f777", "M8 0C3.594 0 0 3.594 0 8v496C0 508.4 3.594 512 8 512s8-3.594 8-8V8C16 3.594 12.41 0 8 0zM481.2 114.4L97.84 24.22c-2.438-.625-4.875-.0313-6.812 1.5C89.13 27.25 88 29.56 88 32v56H48C43.59 88 40 91.59 40 96S43.59 104 48 104h40v208H48c-4.406 0-8 3.594-8 8s3.594 8 8 8h40V384c0 2.438 1.125 4.75 3.031 6.281C92.47 391.4 94.22 392 96 392c.625 0 1.219-.0625 1.844-.2187l383.3-90.19C499.3 297.3 512 281.3 512 262.7V153.3C512 134.7 499.3 118.7 481.2 114.4zM216 347.6l-112 26.35V42.09l112 26.35V347.6zM376 309.9l-144 33.88V72.21l144 33.88V309.9zM496 262.7c0 11.19-7.594 20.81-18.5 23.38L392 306.1V109.9l85.5 20.12C488.4 132.5 496 142.2 496 153.3V262.7z"],
    "wine-bottle": [512, 512, [], "f72f", "M509.7 82.34l-80-80c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31l6.053 6.053l-106.9 106.9c-15.99-6.775-33.06-10.17-50.11-10.17c-32.67 0-65.3 12.45-90.28 37.42l-158.4 158.4c-25 25-25 65.51 0 90.51l90.51 90.52C121.8 505.8 138.1 512 154.5 512s32.75-6.25 45.25-18.75l158.4-158.4c38-38 47-93.76 27.25-140.4l106.9-106.9l6.064 6.064C499.9 95.22 501.1 96 504 96s4.094-.7813 5.656-2.344C512.8 90.53 512.8 85.47 509.7 82.34zM171.2 182.4l158.4 158.4l-110.7 110.7L60.48 293.1L171.2 182.4zM188.5 481.9C179.4 491 167.3 496 154.5 496s-24.87-4.994-33.94-14.06l-90.51-90.52C20.1 382.4 16 370.3 16 357.5c0-12.82 4.996-24.87 14.07-33.94l19.1-19.1l158.4 158.4L188.5 481.9zM370.7 200.7c17.89 42.25 8.539 90.46-23.83 122.8l-5.965 5.965L182.5 171.1l5.967-5.969c21.11-21.11 49.15-32.73 78.96-32.73c15.17 0 29.93 2.994 43.87 8.9l9.928 4.207l50.49-50.49l45.25 45.25l-50.49 50.49L370.7 200.7zM428.3 128.1l-45.25-45.25l52.69-52.69l45.25 45.25L428.3 128.1z"],
    "wine-glass": [320, 512, [127863], "f4e3", "M303.4 192.6l-14.66-163.5C287.3 12.62 273.7 0 257.3 0H62.66C46.35 0 32.73 12.62 31.25 29.1L16.6 192.6c-7.428 82.91 54.86 154.1 135.7 158.5C152.3 351.5 152 351.7 152 352v144H63.1c-4.406 0-8 3.594-8 8s3.594 8 8 8h192c4.406 0 8-3.594 8-8s-3.594-8-8-8H168V352c0-.3242-.3086-.5156-.3457-.8301C248.5 346.8 310.8 275.5 303.4 192.6zM47.19 30.53C47.93 22.25 54.58 16 62.66 16h194.7c8.076 0 14.73 6.246 15.47 14.53L281.5 128H38.46L47.19 30.53zM160 336c-35.96 0-69.25-14.74-93.74-41.52C41.54 267.4 29.24 230.8 32.54 194.1L37.02 144h245.1l4.486 50.09c3.293 36.76-9 73.35-33.73 100.4C229.3 321.3 195.1 336 160 336z"],
    "wine-glass-crack": [320, 512, ["fragile"], "f4bb", "M303.4 192.6l-14.66-163.5C287.3 12.62 273.7 0 257.3 0H62.66C46.35 0 32.73 12.62 31.25 29.1L16.6 192.6c-7.428 82.91 54.86 154.1 135.7 158.5C152.3 351.5 152 351.7 152 352v144H63.1c-4.406 0-8 3.594-8 8s3.594 8 8 8h192c4.406 0 8-3.594 8-8s-3.594-8-8-8H168V352c0-.3242-.3086-.5156-.3457-.8301C248.5 346.8 310.8 275.5 303.4 192.6zM160 336c-35.96 0-69.25-14.74-93.74-41.52C41.54 267.4 29.24 230.8 32.54 194.1l14.65-163.6C47.93 22.25 54.58 16 62.66 16h91.74l27.65 76.03L124.4 120.8C122.1 122 120.5 124.2 120.1 126.7C119.7 129.3 120.5 131.8 122.3 133.7l64 64C187.9 199.2 189.1 200 192 200s4.094-.7813 5.656-2.344c3.125-3.125 3.125-8.188 0-11.31L141.5 130.2l54.08-27.03c3.641-1.812 5.328-6.078 3.938-9.891L171.4 16h85.92c8.076 0 14.73 6.246 15.47 14.53l14.65 163.6c3.293 36.76-9 73.35-33.73 100.4C229.3 321.3 195.1 336 160 336z"],
    "wine-glass-empty": [320, 512, ["wine-glass-alt"], "f5ce", "M303.4 192.6l-14.66-163.5C287.3 12.62 273.7 0 257.3 0H62.66C46.35 0 32.73 12.62 31.25 29.1L16.6 192.6c-7.428 82.91 54.86 154.1 135.7 158.5C152.3 351.5 151.1 351.7 151.1 352v144H63.1c-4.406 0-8 3.594-8 8S59.59 512 63.1 512h192c4.406 0 8-3.594 8-8s-3.594-8-8-8h-88V352c0-.3242-.3086-.5156-.3457-.8301C248.5 346.8 310.8 275.5 303.4 192.6zM160 336c-35.96 0-69.25-14.74-93.74-41.52c-24.73-27.04-37.02-63.63-33.73-100.4l14.65-163.6C47.93 22.25 54.58 16 62.66 16h194.7c8.076 0 14.73 6.246 15.47 14.53l14.65 163.6c3.293 36.76-9 73.35-33.73 100.4C229.3 321.3 195.1 336 160 336z"],
    "won-sign": [512, 512, [8361, "krw", "won"], "f159", "M100.4 271.1H187.6L248.3 37.99C249.2 34.46 252.4 32 256 32C259.6 32 262.8 34.46 263.7 37.99L324.4 271.1H411.6L472.3 37.99C473.4 33.72 477.7 31.15 482 32.26C486.3 33.36 488.9 37.73 487.7 42.01L428.1 271.1H504C508.4 271.1 512 275.6 512 279.1C512 284.4 508.4 287.1 504 287.1H423.1L375.7 474C374.8 477.5 371.6 480 368 480C364.4 480 361.2 477.5 360.3 474L312 287.1H199.1L151.7 474C150.8 477.5 147.6 480 144 480C140.4 480 137.2 477.5 136.3 474L88.03 287.1H8C3.582 287.1 0 284.4 0 279.1C0 275.6 3.582 271.1 8 271.1H83.88L24.26 42.01C23.15 37.73 25.72 33.36 29.99 32.26C34.27 31.15 38.64 33.72 39.74 37.99L100.4 271.1zM104.6 287.1L144 440.1L183.4 287.1H104.6zM204.1 271.1H307.9L256 71.88L204.1 271.1zM328.6 287.1L368 440.1L407.4 287.1H328.6z"],
    "worm": [512, 512, [], "e599", "M384 80C384 71.16 391.2 64 400 64C408.8 64 416 71.16 416 80C416 88.84 408.8 96 400 96C391.2 96 384 88.84 384 80zM422.4 0C471.9 0 512 40.12 512 89.6V360C512 443.9 443.9 512 360 512C276.1 512 208 443.9 208 360V312C208 281.1 182.9 256 152 256C121.1 256 96 281.1 96 312V464C96 490.5 74.51 512 48 512C21.49 512 0 490.5 0 464V312C0 228.1 68.05 160 152 160C235.9 160 304 228.1 304 312V360C304 390.9 329.1 416 360 416C390.9 416 416 390.9 416 360V178.3L361.6 170.5C319.4 164.5 288 128.3 288 85.69C288 38.36 326.4 0 373.7 0H422.4zM432 360C432 399.8 399.8 432 360 432C320.2 432 288 399.8 288 360V312C288 236.9 227.1 176 152 176C76.89 176 16 236.9 16 312V464C16 481.7 30.33 496 48 496C65.67 496 80 481.7 80 464V312C80 272.2 112.2 240 152 240C191.8 240 224 272.2 224 312V360C224 435.1 284.9 496 360 496C435.1 496 496 435.1 496 360V89.6C496 48.95 463 16 422.4 16H373.7C335.2 16 304 47.2 304 85.69C304 120.4 329.5 149.8 363.8 154.7L432 164.4V360z"],
    "wreath": [448, 512, [], "f7e2", "M290.3 385.1L224 407.6l-66.19-22.5c-7-2.281-14.75-1-20.7 3.312C131.3 392.7 128 399.1 128 406.1v83.91c0 6.906 3.281 13.28 8.984 17.47c5.906 4.344 13.64 5.594 20.94 3.406L224 488.5l66.19 22.41C292.5 511.7 294.9 512 297.3 512c4.844 0 9.641-1.5 13.64-4.406C316.7 503.4 320 496.1 320 489.1v-83.91c0-6.938-3.281-13.31-9-17.5C305.1 384.2 297.4 382.9 290.3 385.1zM304 489.1c0 2.531-1.75 4.094-2.516 4.656c-1.859 1.344-4.172 1.781-6.281 1.031L224 471.6l-71.03 24.03c-2.172 .6562-4.641 .3125-6.516-1.062C145.5 493.9 144 492.4 144 489.1v-83.91c0-2.469 1.578-4 2.516-4.688c1.859-1.344 4.188-1.781 6.266-1.062L224 424.5l71.11-24.13c2.188-.6875 4.625-.25 6.422 1.062C302.5 402.1 304 403.6 304 406.1V489.1zM447.1 224c0-15.78-6.843-30.59-18.61-40.9c6.953-13.91 7.548-30.2 1.454-44.89c-6.188-14.78-18.39-25.9-33.5-30.77c1.203-15.78-4.199-31.01-15.03-41.83c-10.84-10.88-25.99-16.11-41.77-14.96c-4.891-15.22-16.03-27.47-30.81-33.54c-14.44-6.031-30.7-5.403-44.83 1.535c-10.3-11.81-25.12-18.66-40.92-18.66c-15.78 0-30.58 6.844-40.88 18.63c-13.97-6.969-30.26-7.628-44.88-1.535C123.4 23.34 112.3 35.63 107.5 50.66C91.72 49.22 76.5 54.76 65.72 65.58C54.77 76.39 49.44 91.66 50.73 107.4C35.53 112.3 23.24 123.4 17.19 138.2C11.11 152.7 11.81 168.9 18.77 183C6.906 193.3 .0006 208.1 .0006 223.1c0 15.75 6.843 30.53 18.61 40.88c-6.953 13.91-7.591 30.18-1.482 44.86c6.141 14.6 18.4 25.58 33.58 30.42c-1.406 16.1 3.89 31.15 14.1 42.15c9 9.125 21.05 14.45 34.81 15.35c.1875 .0313 .3594 .0313 .5469 .0313c4.172 0 7.688-3.25 7.969-7.469c.2969-4.406-3.047-8.219-7.453-8.5c-6.828-.4687-16.62-2.688-24.55-10.72c-8.969-8.875-12.44-21.69-9.516-35.16c.4687-2.125 .0469-4.344-1.172-6.156s-3.125-3.031-5.266-3.406c-13.45-2.344-24.09-10.62-29.17-22.69c-5-12.03-3.594-25.56 3.766-36.25C36.91 265.6 37.36 263.4 36.95 261.3C36.53 259.2 35.3 257.3 33.5 256.1C22.55 248.9 16 236.9 16 223.1c0-12.94 6.578-24.94 17.58-32.1c1.797-1.188 3.047-3.031 3.484-5.125C37.48 184.7 37.05 182.5 35.86 180.7c-7.375-10.94-8.797-24.5-3.812-36.38c4.953-12.09 15.8-20.69 29.03-23C63.22 120.9 65.13 119.7 66.34 117.9S67.98 113.8 67.52 111.7C64.61 98.47 68.08 85.82 77.06 76.94C85.94 68.07 98.69 64.72 111.9 67.41C114.1 67.88 116.3 67.44 118.1 66.22c1.812-1.25 3.031-3.156 3.391-5.312C123.7 47.88 132.2 37 144.4 31.88c11.91-5 25.5-3.562 36.28 3.812c1.766 1.25 3.969 1.594 6.062 1.25c2.109-.4062 3.969-1.656 5.141-3.438C199.1 22.53 211.1 16 224 16s24.94 6.531 32.13 17.5c1.172 1.781 3.016 3 5.109 3.438c2.109 .4062 4.281 0 6.047-1.219c10.91-7.312 24.52-8.812 36.38-3.812c12.08 4.938 20.67 15.81 23 29.06c.375 2.156 1.594 4.031 3.406 5.25c1.797 1.219 4.016 1.625 6.141 1.188c13.16-2.812 26.11 .7813 34.86 9.531c8.859 8.844 12.33 21.56 9.516 34.85c-.4531 2.125-.0156 4.344 1.203 6.125C383 119.7 384.9 120.9 387 121.3c13.14 2.312 24 10.91 29.06 23.03c5 12.03 3.594 25.6-3.766 36.28c-1.234 1.75-1.688 3.939-1.281 6.064c.4219 2.125 1.672 3.969 3.469 5.156C425.5 199 432 211 432 223.1c0 12.91-6.453 24.85-17.28 32c-1.781 1.188-3.031 3.062-3.438 5.156c-.4062 2.125 .0625 4.312 1.281 6.062c7.406 10.75 8.859 24.28 3.891 36.22c-5.031 12.06-15.66 20.35-29.17 22.72c-2.156 .375-4.047 1.594-5.266 3.406s-1.641 4.031-1.172 6.156c2.906 13.41-.5625 26.22-9.547 35.19c-8.141 8.158-17.86 10.31-24.56 10.69c-4.422 .2813-7.781 4.062-7.531 8.469c.2656 4.406 3.891 7.562 8.438 7.531c13.61-.8125 25.71-6.109 34.98-15.39c10.95-10.94 16.3-26.27 15.01-42.14c15.25-4.875 27.52-15.85 33.62-30.48c6.078-14.62 5.398-30.9-1.617-44.87C441.3 254.5 447.1 239.7 447.1 224zM316.2 192.1c-1.031-3.312-1.359-7-1.75-10.66c-.7344-7.031-1.578-14.97-6.156-21.59c-4.75-6.781-11.98-10.19-18.38-13.22c-3.141-1.469-6.297-2.906-8.844-4.781c-2.375-1.812-4.719-4.531-7.219-7.406C269.2 129.1 264 123.9 256.3 121.3c-7.484-2.471-15.12-.8438-21.86 .5938c-7.5 1.625-13.31 1.625-20.81 0C206.8 120.4 199.2 118.8 191.7 121.3C184 123.9 178.8 129.1 174.2 135.3c-2.5 2.875-4.844 5.594-7.234 7.406C164.5 144.6 161.3 146.1 157.8 147.7C151.5 150.7 144.4 154 139.7 160.8c-4.547 6.594-5.391 14.53-6.125 21.56C133.2 185.1 132.8 189.7 131.8 192.9C130.8 196 129.1 199.1 127.4 202.2C123.9 208.4 120 215.5 120 224c0 8.469 3.922 15.59 7.391 21.84c1.703 3.096 3.453 6.127 4.422 9.189c1.031 3.312 1.359 7 1.75 10.66c.7344 7.031 1.578 14.97 6.156 21.6c4.75 6.781 11.98 10.19 18.38 13.22C161.2 301.1 164.4 303.4 166.9 305.3C169.3 307.1 171.7 309.8 174.2 312.7C178.8 318.1 184 324.1 191.7 326.7c2.812 .9375 5.641 1.281 8.438 1.281c4.656 0 9.219-.9687 13.42-1.875c7.5-1.625 13.31-1.625 20.81 0c6.734 1.438 14.33 3.125 21.91 .5625c7.688-2.625 12.92-8.656 17.53-14c2.5-2.877 4.844-5.596 7.234-7.408c2.422-1.844 5.656-3.375 9.078-4.969c6.297-2.969 13.42-6.312 18.16-13.06c4.547-6.594 5.391-14.53 6.125-21.56c.3906-3.625 .7187-7.312 1.734-10.62c1-3.125 2.734-6.125 4.438-9.221C324.1 239.6 328 232.5 328 224c0-8.471-3.922-15.6-7.391-21.85C318.9 199.1 317.2 196 316.2 192.1zM306.6 238.1c-2.219 4.031-4.383 8.062-5.68 12.13c0 .0313 0 0 0 0c-1.406 4.562-1.914 9.25-2.383 13.78c-.5938 5.594-1.156 10.88-3.344 14.06c-2.266 3.252-6.922 5.408-11.84 7.752c-4.016 1.875-8.172 3.844-11.94 6.688c-3.719 2.812-6.734 6.312-9.672 9.688c-3.594 4.188-7 8.125-10.53 9.312c-3.344 1.127-8.266 .0313-13.42-1.062c-8.812-1.875-18.75-1.875-27.56 0C205.1 311.6 200.2 312.6 196.8 311.6C193.3 310.4 189.9 306.4 186.3 302.2C183.3 298.9 180.3 295.4 176.5 292.5c-3.422-2.531-7.5-4.5-11.59-6.438C159.9 283.7 155.1 281.4 152.8 278.1c-2.219-3.219-2.781-8.5-3.375-14.09C149 259.5 148.5 254.9 147.1 250.2C145.8 246.2 143.6 242.2 141.4 238.1C138.6 233.1 136 228.3 136 223.1S138.6 214.9 141.4 209.9c2.219-4.031 4.375-8.031 5.688-12.16C148.5 193.2 149 188.5 149.5 183.1C150.1 178.4 150.6 173.3 152.8 170.1C155 166.9 159.7 164.5 164.7 162.2c4.016-1.875 8.172-3.844 11.94-6.688C180.3 152.7 183.3 149.2 186.3 145.8c3.594-4.188 7-8.125 10.53-9.312c1-.3438 2.141-.4687 3.391-.4687c2.922 0 6.406 .75 10.03 1.531c8.812 1.875 18.75 1.875 27.56 0c5.172-1.094 10.05-2.125 13.38-1.094c3.578 1.219 6.984 5.156 10.58 9.344c2.938 3.375 5.953 6.877 9.75 9.752c3.422 2.531 7.5 4.5 11.59 6.438c5.031 2.375 9.781 4.625 12.08 7.906c2.219 3.219 2.781 8.5 3.375 14.09c.4687 4.533 .9687 9.189 2.391 13.81c1.297 4.062 3.453 8.062 5.672 12.09c2.781 5.031 5.405 9.763 5.405 14.11S309.4 233.1 306.6 238.1z"],
    "wrench": [512, 512, [128295], "f0ad", "M507.6 122.8c-1.836-7.641-8.649-12.07-15.63-12.07c-4.062 0-8.181 1.497-11.41 4.73l-76.55 76.56l-83.1-.0002l0-83.1l76.55-76.56c8.791-8.789 4.75-24.14-7.336-27.04C377.3 1.532 364.8 .002 351.1 0c-12.62 0-25.51 1.493-38.7 4.65C251.9 19.35 203.9 71.55 194.1 133.1c-4.236 26.86-1.736 52.71 6.002 76.17l-178.1 178.1c-28.12 28.12-28.12 73.69 0 101.8C35.16 504.1 53.56 512 71.1 512s36.84-7.031 50.91-21.09l178.1-178.1c32.78 10.81 60.98 8.398 76.17 6.004c62.41-9.84 114.6-57.8 129.3-119.2C513.7 172.1 513.3 146.5 507.6 122.8zM491.8 195.1c-13.2 55.16-59.91 98.19-116.2 107.1c-5.85 .9212-31.72 6.791-78.03-8.48l-185.9 185.9c-21.88 21.88-57.28 21.91-79.18 0c-21.88-21.88-21.91-57.28 0-79.19l185.9-185.9c-15.37-46.6-9.708-70.23-8.479-78.03c8.883-56.34 51.91-103.1 107.1-116.2c16.62-3.977 41.84-6.999 68.3-.0703l-81.24 81.24v106.6h106.6l81.42-81.48C497.4 148.9 497.3 171.9 491.8 195.1zM79.99 415.1c-8.836 0-16 7.162-16 16c0 8.836 7.165 16 16 16c8.836 0 16-7.164 16-16C95.99 423.2 88.82 415.1 79.99 415.1z"],
    "wrench-simple": [384, 512, [], "e2d1", "M384 172.4c0 71.01-38.7 132.8-96 166V504c0 4.418-3.582 8-8 8S272 508.4 272 504v-165.5c0-5.852 3.271-11.1 8.328-14.05C334.4 292.9 368 234.7 368 172.4c0-66.13-36.64-126.1-95.62-156.4L272 159.1c0 4.242-1.686 8.312-4.686 11.31l-64 64.01C200.2 238.4 196.1 239.1 192 239.1S183.8 238.4 180.7 235.3l-64-64.01C113.7 168.3 112 164.2 112 159.1L111.6 16.05C52.64 46.4 16 106.3 16 172.4c0 62.24 33.58 120.4 87.67 151.9C108.7 327.4 112 332.6 112 338.5V504C112 508.4 108.4 512 104 512S96 508.4 96 504v-165.5c-57.3-33.22-96-94.99-96-166C0 64.85 90.06 0 111.8 0C120.3 0 128 6.73 128 16.1v143.9l64 64l64-64V16.1C256 6.73 263.7 0 272.2 0C293.9 0 384 64.85 384 172.4z"],
    "x": [384, 512, [120], "58", "M382.1 466.8c2.859 3.375 2.453 8.406-.9062 11.28C379.7 479.4 377.8 480 376 480c-2.266 0-4.5-.9687-6.094-2.812L192 268.3l-177.9 208.8C12.5 479 10.26 480 7.999 480c-1.844 0-3.688-.625-5.188-1.906c-3.359-2.875-3.766-7.906-.9062-11.28l179.6-210.8L1.905 45.2c-2.859-3.375-2.453-8.406 .9062-11.28C6.171 31.04 11.19 31.45 14.09 34.82L192 243.7l177.9-208.8c2.906-3.375 7.953-3.781 11.28-.9062c3.359 2.875 3.766 7.906 .9062 11.28l-179.6 210.8L382.1 466.8z"],
    "x-ray": [512, 512, [], "f497", "M208 384C216.8 384 224 376.8 224 368C224 359.2 216.8 352 208 352S192 359.2 192 368C192 376.8 199.2 384 208 384zM304 384c8.836 0 16-7.164 16-16c0-8.838-7.164-16-16-16S288 359.2 288 368C288 376.8 295.2 384 304 384zM416 216c4.422 0 8-3.594 8-8S420.4 200 416 200h-152v-48H384c4.422 0 8-3.594 8-8S388.4 136 384 136h-120V96c0-4.406-3.578-8-8-8S248 91.59 248 96v40H128c-4.422 0-8 3.594-8 8S123.6 152 128 152h120v48H96c-4.422 0-8 3.594-8 8S91.58 216 96 216h152v48H128c-4.422 0-8 3.594-8 8S123.6 280 128 280h120v32H170.7c-15.02 0-28.2 7.906-35.28 21.16c-7.078 13.22-6.328 28.56 2 41.03l21.33 32C166.2 417.3 178.6 424 192 424h128c13.41 0 25.84-6.656 33.28-17.81l21.33-32c8.328-12.47 9.078-27.81 2-41.03C369.5 319.9 356.3 312 341.3 312H264v-32H384c4.422 0 8-3.594 8-8S388.4 264 384 264h-120v-48H416zM341.3 328c9 0 16.92 4.75 21.17 12.69c4.234 7.938 3.797 17.16-1.203 24.62l-21.33 32C335.5 404 328 408 320 408H192c-8.047 0-15.5-4-19.97-10.69l-21.33-32c-5-7.469-5.438-16.69-1.203-24.62C153.8 332.8 161.7 328 170.7 328H341.3zM8 48h496C508.4 48 512 44.41 512 40S508.4 32 504 32H8C3.578 32 0 35.59 0 40S3.578 48 8 48zM504 464H8C3.578 464 0 467.6 0 472S3.578 480 8 480h496c4.422 0 8-3.594 8-8S508.4 464 504 464zM32 80v352c0 4.406 3.578 8 8 8S48 436.4 48 432v-352c0-4.406-3.578-8-8-8S32 75.59 32 80zM464 80v352c0 4.406 3.578 8 8 8S480 436.4 480 432v-352c0-4.406-3.578-8-8-8S464 75.59 464 80z"],
    "xmark": [320, 512, [128473, 10005, 10006, 10060, 215, "close", "multiply", "remove", "times"], "f00d", "M317.7 402.3c3.125 3.125 3.125 8.188 0 11.31c-3.127 3.127-8.186 3.127-11.31 0L160 267.3l-146.3 146.3c-3.127 3.127-8.186 3.127-11.31 0c-3.125-3.125-3.125-8.188 0-11.31L148.7 256L2.344 109.7c-3.125-3.125-3.125-8.188 0-11.31s8.188-3.125 11.31 0L160 244.7l146.3-146.3c3.125-3.125 8.188-3.125 11.31 0s3.125 8.188 0 11.31L171.3 256L317.7 402.3z"],
    "xmark-large": [448, 512, [], "e59b", "M223.1 244.7L434.3 34.34C437.5 31.22 442.5 31.22 445.7 34.34C448.8 37.47 448.8 42.53 445.7 45.66L235.3 255.1L445.7 466.3C448.8 469.5 448.8 474.5 445.7 477.7C442.5 480.8 437.5 480.8 434.3 477.7L223.1 267.3L13.66 477.7C10.53 480.8 5.467 480.8 2.343 477.7C-.7811 474.5-.7811 469.5 2.343 466.3L212.7 255.1L2.343 45.66C-.7811 42.53-.7811 37.47 2.343 34.34C5.467 31.22 10.53 31.22 13.66 34.34L223.1 244.7z"],
    "xmark-to-slot": [576, 512, ["times-to-slot", "vote-nay"], "f771", "M104 368c4.406 0 8-3.594 8-8v-288c0-13.22 10.78-24 24-24h304c13.22 0 24 10.78 24 24v288c0 4.406 3.594 8 8 8S480 364.4 480 360v-288C480 49.94 462.1 32 440 32h-304C113.9 32 96 49.94 96 72v288C96 364.4 99.59 368 104 368zM56 416c0 4.406 3.594 8 8 8h448c4.406 0 8-3.594 8-8s-3.594-8-8-8H64C59.59 408 56 411.6 56 416zM536 352h-16C515.6 352 512 355.6 512 360s3.594 8 8 8h16c13.22 0 24 10.78 24 24v48c0 13.22-10.78 24-24 24H40c-13.22 0-24-10.78-24-24v-48c0-13.22 10.78-24 24-24h16C60.41 368 64 364.4 64 360S60.41 352 56 352h-16C17.94 352 0 369.9 0 392v48C0 462.1 17.94 480 40 480h496c22.06 0 40-17.94 40-40v-48C576 369.9 558.1 352 536 352zM210.3 285.7c3.127 3.125 8.186 3.125 11.31 0L288 219.3l66.34 66.34c3.127 3.125 8.186 3.125 11.31 0c3.125-3.125 3.125-8.188 0-11.31L299.3 208l66.34-66.34c3.125-3.125 3.125-8.188 0-11.31s-8.188-3.125-11.31 0L288 196.7L221.7 130.3c-3.125-3.125-8.188-3.125-11.31 0s-3.125 8.188 0 11.31L276.7 208L210.3 274.3C207.2 277.5 207.2 282.5 210.3 285.7z"],
    "xmarks-lines": [640, 512, [], "e59a", "M632 32C636.4 32 640 35.58 640 40C640 44.42 636.4 48 632 48H8C3.582 48 0 44.42 0 40C0 35.58 3.582 32 8 32H632zM632 464C636.4 464 640 467.6 640 472C640 476.4 636.4 480 632 480H8C3.582 480 0 476.4 0 472C0 467.6 3.582 464 8 464H632zM107.3 256L189.7 338.3C192.8 341.5 192.8 346.5 189.7 349.7C186.5 352.8 181.5 352.8 178.3 349.7L96 267.3L13.66 349.7C10.53 352.8 5.468 352.8 2.343 349.7C-.7808 346.5-.7808 341.5 2.343 338.3L84.69 256L2.343 173.7C-.7808 170.5-.7808 165.5 2.343 162.3C5.468 159.2 10.53 159.2 13.66 162.3L96 244.7L178.3 162.3C181.5 159.2 186.5 159.2 189.7 162.3C192.8 165.5 192.8 170.5 189.7 173.7L107.3 256zM320 244.7L402.3 162.3C405.5 159.2 410.5 159.2 413.7 162.3C416.8 165.5 416.8 170.5 413.7 173.7L331.3 256L413.7 338.3C416.8 341.5 416.8 346.5 413.7 349.7C410.5 352.8 405.5 352.8 402.3 349.7L320 267.3L237.7 349.7C234.5 352.8 229.5 352.8 226.3 349.7C223.2 346.5 223.2 341.5 226.3 338.3L308.7 256L226.3 173.7C223.2 170.5 223.2 165.5 226.3 162.3C229.5 159.2 234.5 159.2 237.7 162.3L320 244.7zM450.3 162.3C453.5 159.2 458.5 159.2 461.7 162.3L544 244.7L626.3 162.3C629.5 159.2 634.5 159.2 637.7 162.3C640.8 165.5 640.8 170.5 637.7 173.7L555.3 255.1L637.7 338.3C640.8 341.5 640.8 346.5 637.7 349.7C634.5 352.8 629.5 352.8 626.3 349.7L544 267.3L461.7 349.7C458.5 352.8 453.5 352.8 450.3 349.7C447.2 346.5 447.2 341.5 450.3 338.3L532.7 255.1L450.3 173.7C447.2 170.5 447.2 165.5 450.3 162.3V162.3zM0 424C0 419.6 3.582 416 8 416H632C636.4 416 640 419.6 640 424C640 428.4 636.4 432 632 432H8C3.582 432 0 428.4 0 424zM632 80C636.4 80 640 83.58 640 88C640 92.42 636.4 96 632 96H8C3.582 96 0 92.42 0 88C0 83.58 3.582 80 8 80H632z"],
    "y": [384, 512, [121], "59", "M382.4 44.76l-182.4 245.9v181.3c0 4.406-3.594 8.011-8 8.011s-7.999-3.605-7.999-8.011V290.7l-182.4-245.9C-1.057 41.2-.3069 36.2 3.224 33.55c3.562-2.594 8.562-1.844 11.22 1.656L192 274.6l177.6-239.4c2.687-3.5 7.656-4.25 11.22-1.656C384.3 36.2 385.1 41.2 382.4 44.76z"],
    "yen-sign": [320, 512, [165, "cny", "jpy", "rmb", "yen"], "f157", "M160 234.4L305.5 35.28C308.1 31.71 313.2 30.93 316.7 33.54C320.3 36.15 321.1 41.15 318.5 44.72L175.8 240H280C284.4 240 288 243.6 288 248C288 252.4 284.4 256 280 256H168V336H280C284.4 336 288 339.6 288 344C288 348.4 284.4 352 280 352H168V472C168 476.4 164.4 480 160 480C155.6 480 152 476.4 152 472V352H39.1C35.58 352 31.1 348.4 31.1 344C31.1 339.6 35.58 336 39.1 336H152V256H39.1C35.58 256 31.1 252.4 31.1 248C31.1 243.6 35.58 240 39.1 240H144.2L1.541 44.72C-1.065 41.15-.2867 36.15 3.28 33.54C6.848 30.93 11.85 31.71 14.46 35.28L160 234.4z"],
    "yin-yang": [512, 512, [9775], "f6ad", "M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256s256-114.6 256-256S397.4 0 256 0zM16 256c0-132.3 107.7-240 240-240c63.97 0 116 52.03 116 116S319.1 248 256 248c-72.78 0-132 59.22-132 132c0 40.28 18.52 75.95 47.06 100.2C80.58 445.8 16 358.4 16 256zM256 496c-63.97 0-116-52.03-116-116S192 264 256 264c72.78 0 132-59.22 132-132c0-40.28-18.52-75.95-47.06-100.2C431.4 66.22 496 153.6 496 256C496 388.3 388.3 496 256 496zM256 168c22.09 0 40-17.91 40-40S278.1 88 256 88S216 105.9 216 128S233.9 168 256 168zM256 104c13.23 0 24 10.77 24 24S269.2 152 256 152C242.8 152 232 141.2 232 128S242.8 104 256 104zM256 344c-22.09 0-40 17.91-40 40s17.91 40 40 40s40-17.91 40-40S278.1 344 256 344zM256 408c-13.23 0-24-10.77-24-24s10.77-24 24-24c13.23 0 24 10.77 24 24S269.2 408 256 408z"],
    "z": [384, 512, [122], "5a", "M376 480H8c-3.125 0-5.969-1.812-7.25-4.656c-1.312-2.812-.875-6.156 1.156-8.531L358.7 48H8C3.594 48 0 44.41 0 40S3.594 32 8 32h368c3.125 0 5.969 1.812 7.25 4.656c1.312 2.812 .875 6.156-1.156 8.531L25.31 464H376c4.406 0 8 3.594 8 8S380.4 480 376 480z"]
  };

  bunker(function () {
    defineIcons('fat', icons);
    defineIcons('fa-thin', icons);
  });

}());
(function () {
  'use strict';

  function ownKeys(object, enumerableOnly) {
    var keys = Object.keys(object);

    if (Object.getOwnPropertySymbols) {
      var symbols = Object.getOwnPropertySymbols(object);
      enumerableOnly && (symbols = symbols.filter(function (sym) {
        return Object.getOwnPropertyDescriptor(object, sym).enumerable;
      })), keys.push.apply(keys, symbols);
    }

    return keys;
  }

  function _objectSpread2(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = null != arguments[i] ? arguments[i] : {};
      i % 2 ? ownKeys(Object(source), !0).forEach(function (key) {
        _defineProperty(target, key, source[key]);
      }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }

    return target;
  }

  function _typeof(obj) {
    "@babel/helpers - typeof";

    return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) {
      return typeof obj;
    } : function (obj) {
      return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
    }, _typeof(obj);
  }

  function _wrapRegExp() {
    _wrapRegExp = function (re, groups) {
      return new BabelRegExp(re, void 0, groups);
    };

    var _super = RegExp.prototype,
        _groups = new WeakMap();

    function BabelRegExp(re, flags, groups) {
      var _this = new RegExp(re, flags);

      return _groups.set(_this, groups || _groups.get(re)), _setPrototypeOf(_this, BabelRegExp.prototype);
    }

    function buildGroups(result, re) {
      var g = _groups.get(re);

      return Object.keys(g).reduce(function (groups, name) {
        return groups[name] = result[g[name]], groups;
      }, Object.create(null));
    }

    return _inherits(BabelRegExp, RegExp), BabelRegExp.prototype.exec = function (str) {
      var result = _super.exec.call(this, str);

      return result && (result.groups = buildGroups(result, this)), result;
    }, BabelRegExp.prototype[Symbol.replace] = function (str, substitution) {
      if ("string" == typeof substitution) {
        var groups = _groups.get(this);

        return _super[Symbol.replace].call(this, str, substitution.replace(/\$<([^>]+)>/g, function (_, name) {
          return "$" + groups[name];
        }));
      }

      if ("function" == typeof substitution) {
        var _this = this;

        return _super[Symbol.replace].call(this, str, function () {
          var args = arguments;
          return "object" != typeof args[args.length - 1] && (args = [].slice.call(args)).push(buildGroups(args, _this)), substitution.apply(this, args);
        });
      }

      return _super[Symbol.replace].call(this, str, substitution);
    }, _wrapRegExp.apply(this, arguments);
  }

  function _classCallCheck(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
      throw new TypeError("Cannot call a class as a function");
    }
  }

  function _defineProperties(target, props) {
    for (var i = 0; i < props.length; i++) {
      var descriptor = props[i];
      descriptor.enumerable = descriptor.enumerable || false;
      descriptor.configurable = true;
      if ("value" in descriptor) descriptor.writable = true;
      Object.defineProperty(target, descriptor.key, descriptor);
    }
  }

  function _createClass(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties(Constructor, staticProps);
    Object.defineProperty(Constructor, "prototype", {
      writable: false
    });
    return Constructor;
  }

  function _defineProperty(obj, key, value) {
    if (key in obj) {
      Object.defineProperty(obj, key, {
        value: value,
        enumerable: true,
        configurable: true,
        writable: true
      });
    } else {
      obj[key] = value;
    }

    return obj;
  }

  function _inherits(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
      throw new TypeError("Super expression must either be null or a function");
    }

    subClass.prototype = Object.create(superClass && superClass.prototype, {
      constructor: {
        value: subClass,
        writable: true,
        configurable: true
      }
    });
    Object.defineProperty(subClass, "prototype", {
      writable: false
    });
    if (superClass) _setPrototypeOf(subClass, superClass);
  }

  function _setPrototypeOf(o, p) {
    _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
      o.__proto__ = p;
      return o;
    };

    return _setPrototypeOf(o, p);
  }

  function _slicedToArray(arr, i) {
    return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest();
  }

  function _toConsumableArray(arr) {
    return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread();
  }

  function _arrayWithoutHoles(arr) {
    if (Array.isArray(arr)) return _arrayLikeToArray(arr);
  }

  function _arrayWithHoles(arr) {
    if (Array.isArray(arr)) return arr;
  }

  function _iterableToArray(iter) {
    if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
  }

  function _iterableToArrayLimit(arr, i) {
    var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"];

    if (_i == null) return;
    var _arr = [];
    var _n = true;
    var _d = false;

    var _s, _e;

    try {
      for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) {
        _arr.push(_s.value);

        if (i && _arr.length === i) break;
      }
    } catch (err) {
      _d = true;
      _e = err;
    } finally {
      try {
        if (!_n && _i["return"] != null) _i["return"]();
      } finally {
        if (_d) throw _e;
      }
    }

    return _arr;
  }

  function _unsupportedIterableToArray(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _arrayLikeToArray(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(o);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen);
  }

  function _arrayLikeToArray(arr, len) {
    if (len == null || len > arr.length) len = arr.length;

    for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i];

    return arr2;
  }

  function _nonIterableSpread() {
    throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
  }

  function _nonIterableRest() {
    throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
  }

  var noop = function noop() {};

  var _WINDOW = {};
  var _DOCUMENT = {};
  var _MUTATION_OBSERVER = null;
  var _PERFORMANCE = {
    mark: noop,
    measure: noop
  };

  try {
    if (typeof window !== 'undefined') _WINDOW = window;
    if (typeof document !== 'undefined') _DOCUMENT = document;
    if (typeof MutationObserver !== 'undefined') _MUTATION_OBSERVER = MutationObserver;
    if (typeof performance !== 'undefined') _PERFORMANCE = performance;
  } catch (e) {}

  var _ref = _WINDOW.navigator || {},
      _ref$userAgent = _ref.userAgent,
      userAgent = _ref$userAgent === void 0 ? '' : _ref$userAgent;
  var WINDOW = _WINDOW;
  var DOCUMENT = _DOCUMENT;
  var MUTATION_OBSERVER = _MUTATION_OBSERVER;
  var PERFORMANCE = _PERFORMANCE;
  var IS_BROWSER = !!WINDOW.document;
  var IS_DOM = !!DOCUMENT.documentElement && !!DOCUMENT.head && typeof DOCUMENT.addEventListener === 'function' && typeof DOCUMENT.createElement === 'function';
  var IS_IE = ~userAgent.indexOf('MSIE') || ~userAgent.indexOf('Trident/');

  var NAMESPACE_IDENTIFIER = '___FONT_AWESOME___';
  var UNITS_IN_GRID = 16;
  var DEFAULT_FAMILY_PREFIX = 'fa';
  var DEFAULT_REPLACEMENT_CLASS = 'svg-inline--fa';
  var DATA_FA_I2SVG = 'data-fa-i2svg';
  var DATA_FA_PSEUDO_ELEMENT = 'data-fa-pseudo-element';
  var DATA_FA_PSEUDO_ELEMENT_PENDING = 'data-fa-pseudo-element-pending';
  var DATA_PREFIX = 'data-prefix';
  var DATA_ICON = 'data-icon';
  var HTML_CLASS_I2SVG_BASE_CLASS = 'fontawesome-i2svg';
  var MUTATION_APPROACH_ASYNC = 'async';
  var TAGNAMES_TO_SKIP_FOR_PSEUDOELEMENTS = ['HTML', 'HEAD', 'STYLE', 'SCRIPT'];
  var PRODUCTION = function () {
    try {
      return "production" === 'production';
    } catch (e) {
      return false;
    }
  }();
  var PREFIX_TO_STYLE = {
    'fas': 'solid',
    'fa-solid': 'solid',
    'far': 'regular',
    'fa-regular': 'regular',
    'fal': 'light',
    'fa-light': 'light',
    'fat': 'thin',
    'fa-thin': 'thin',
    'fad': 'duotone',
    'fa-duotone': 'duotone',
    'fab': 'brands',
    'fa-brands': 'brands',
    'fak': 'kit',
    'fa-kit': 'kit',
    'fa': 'solid'
  };
  var STYLE_TO_PREFIX = {
    'solid': 'fas',
    'regular': 'far',
    'light': 'fal',
    'thin': 'fat',
    'duotone': 'fad',
    'brands': 'fab',
    'kit': 'fak'
  };
  var PREFIX_TO_LONG_STYLE = {
    'fab': 'fa-brands',
    'fad': 'fa-duotone',
    'fak': 'fa-kit',
    'fal': 'fa-light',
    'far': 'fa-regular',
    'fas': 'fa-solid',
    'fat': 'fa-thin'
  };
  var LONG_STYLE_TO_PREFIX = {
    'fa-brands': 'fab',
    'fa-duotone': 'fad',
    'fa-kit': 'fak',
    'fa-light': 'fal',
    'fa-regular': 'far',
    'fa-solid': 'fas',
    'fa-thin': 'fat'
  };
  var ICON_SELECTION_SYNTAX_PATTERN = /fa[srltdbk]?[\-\ ]/; // eslint-disable-line no-useless-escape

  var LAYERS_TEXT_CLASSNAME = 'fa-layers-text';
  var FONT_FAMILY_PATTERN = /Font ?Awesome ?([56 ]*)(Solid|Regular|Light|Thin|Duotone|Brands|Free|Pro|Kit)?.*/i; // TODO: do we need to handle font-weight for kit SVG pseudo-elements?

  var FONT_WEIGHT_TO_PREFIX = {
    '900': 'fas',
    '400': 'far',
    'normal': 'far',
    '300': 'fal',
    '100': 'fat'
  };
  var oneToTen = [1, 2, 3, 4, 5, 6, 7, 8, 9, 10];
  var oneToTwenty = oneToTen.concat([11, 12, 13, 14, 15, 16, 17, 18, 19, 20]);
  var ATTRIBUTES_WATCHED_FOR_MUTATION = ['class', 'data-prefix', 'data-icon', 'data-fa-transform', 'data-fa-mask'];
  var DUOTONE_CLASSES = {
    GROUP: 'duotone-group',
    SWAP_OPACITY: 'swap-opacity',
    PRIMARY: 'primary',
    SECONDARY: 'secondary'
  };
  var RESERVED_CLASSES = [].concat(_toConsumableArray(Object.keys(STYLE_TO_PREFIX)), ['2xs', 'xs', 'sm', 'lg', 'xl', '2xl', 'beat', 'border', 'fade', 'beat-fade', 'bounce', 'flip-both', 'flip-horizontal', 'flip-vertical', 'flip', 'fw', 'inverse', 'layers-counter', 'layers-text', 'layers', 'li', 'pull-left', 'pull-right', 'pulse', 'rotate-180', 'rotate-270', 'rotate-90', 'rotate-by', 'shake', 'spin-pulse', 'spin-reverse', 'spin', 'stack-1x', 'stack-2x', 'stack', 'ul', DUOTONE_CLASSES.GROUP, DUOTONE_CLASSES.SWAP_OPACITY, DUOTONE_CLASSES.PRIMARY, DUOTONE_CLASSES.SECONDARY]).concat(oneToTen.map(function (n) {
    return "".concat(n, "x");
  })).concat(oneToTwenty.map(function (n) {
    return "w-".concat(n);
  }));

  var initial = WINDOW.FontAwesomeConfig || {};

  function getAttrConfig(attr) {
    var element = DOCUMENT.querySelector('script[' + attr + ']');

    if (element) {
      return element.getAttribute(attr);
    }
  }

  function coerce(val) {
    // Getting an empty string will occur if the attribute is set on the HTML tag but without a value
    // We'll assume that this is an indication that it should be toggled to true
    if (val === '') return true;
    if (val === 'false') return false;
    if (val === 'true') return true;
    return val;
  }

  if (DOCUMENT && typeof DOCUMENT.querySelector === 'function') {
    var attrs = [['data-family-prefix', 'familyPrefix'], ['data-style-default', 'styleDefault'], ['data-replacement-class', 'replacementClass'], ['data-auto-replace-svg', 'autoReplaceSvg'], ['data-auto-add-css', 'autoAddCss'], ['data-auto-a11y', 'autoA11y'], ['data-search-pseudo-elements', 'searchPseudoElements'], ['data-observe-mutations', 'observeMutations'], ['data-mutate-approach', 'mutateApproach'], ['data-keep-original-source', 'keepOriginalSource'], ['data-measure-performance', 'measurePerformance'], ['data-show-missing-icons', 'showMissingIcons']];
    attrs.forEach(function (_ref) {
      var _ref2 = _slicedToArray(_ref, 2),
          attr = _ref2[0],
          key = _ref2[1];

      var val = coerce(getAttrConfig(attr));

      if (val !== undefined && val !== null) {
        initial[key] = val;
      }
    });
  }

  var _default = {
    familyPrefix: DEFAULT_FAMILY_PREFIX,
    styleDefault: 'solid',
    replacementClass: DEFAULT_REPLACEMENT_CLASS,
    autoReplaceSvg: true,
    autoAddCss: true,
    autoA11y: true,
    searchPseudoElements: false,
    observeMutations: true,
    mutateApproach: 'async',
    keepOriginalSource: true,
    measurePerformance: false,
    showMissingIcons: true
  };

  var _config = _objectSpread2(_objectSpread2({}, _default), initial);

  if (!_config.autoReplaceSvg) _config.observeMutations = false;
  var config = {};
  Object.keys(_config).forEach(function (key) {
    Object.defineProperty(config, key, {
      enumerable: true,
      set: function set(val) {
        _config[key] = val;

        _onChangeCb.forEach(function (cb) {
          return cb(config);
        });
      },
      get: function get() {
        return _config[key];
      }
    });
  });
  WINDOW.FontAwesomeConfig = config;
  var _onChangeCb = [];
  function onChange(cb) {
    _onChangeCb.push(cb);

    return function () {
      _onChangeCb.splice(_onChangeCb.indexOf(cb), 1);
    };
  }

  var d = UNITS_IN_GRID;
  var meaninglessTransform = {
    size: 16,
    x: 0,
    y: 0,
    rotate: 0,
    flipX: false,
    flipY: false
  };
  function bunker(fn) {
    try {
      for (var _len = arguments.length, args = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
        args[_key - 1] = arguments[_key];
      }

      fn.apply(void 0, args);
    } catch (e) {
      if (!PRODUCTION) {
        throw e;
      }
    }
  }
  function insertCss(css) {
    if (!css || !IS_DOM) {
      return;
    }

    var style = DOCUMENT.createElement('style');
    style.setAttribute('type', 'text/css');
    style.innerHTML = css;
    var headChildren = DOCUMENT.head.childNodes;
    var beforeChild = null;

    for (var i = headChildren.length - 1; i > -1; i--) {
      var child = headChildren[i];
      var tagName = (child.tagName || '').toUpperCase();

      if (['STYLE', 'LINK'].indexOf(tagName) > -1) {
        beforeChild = child;
      }
    }

    DOCUMENT.head.insertBefore(style, beforeChild);
    return css;
  }
  var idPool = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
  function nextUniqueId() {
    var size = 12;
    var id = '';

    while (size-- > 0) {
      id += idPool[Math.random() * 62 | 0];
    }

    return id;
  }
  function toArray(obj) {
    var array = [];

    for (var i = (obj || []).length >>> 0; i--;) {
      array[i] = obj[i];
    }

    return array;
  }
  function classArray(node) {
    if (node.classList) {
      return toArray(node.classList);
    } else {
      return (node.getAttribute('class') || '').split(' ').filter(function (i) {
        return i;
      });
    }
  }
  function htmlEscape(str) {
    return "".concat(str).replace(/&/g, '&amp;').replace(/"/g, '&quot;').replace(/'/g, '&#39;').replace(/</g, '&lt;').replace(/>/g, '&gt;');
  }
  function joinAttributes(attributes) {
    return Object.keys(attributes || {}).reduce(function (acc, attributeName) {
      return acc + "".concat(attributeName, "=\"").concat(htmlEscape(attributes[attributeName]), "\" ");
    }, '').trim();
  }
  function joinStyles(styles) {
    return Object.keys(styles || {}).reduce(function (acc, styleName) {
      return acc + "".concat(styleName, ": ").concat(styles[styleName].trim(), ";");
    }, '');
  }
  function transformIsMeaningful(transform) {
    return transform.size !== meaninglessTransform.size || transform.x !== meaninglessTransform.x || transform.y !== meaninglessTransform.y || transform.rotate !== meaninglessTransform.rotate || transform.flipX || transform.flipY;
  }
  function transformForSvg(_ref) {
    var transform = _ref.transform,
        containerWidth = _ref.containerWidth,
        iconWidth = _ref.iconWidth;
    var outer = {
      transform: "translate(".concat(containerWidth / 2, " 256)")
    };
    var innerTranslate = "translate(".concat(transform.x * 32, ", ").concat(transform.y * 32, ") ");
    var innerScale = "scale(".concat(transform.size / 16 * (transform.flipX ? -1 : 1), ", ").concat(transform.size / 16 * (transform.flipY ? -1 : 1), ") ");
    var innerRotate = "rotate(".concat(transform.rotate, " 0 0)");
    var inner = {
      transform: "".concat(innerTranslate, " ").concat(innerScale, " ").concat(innerRotate)
    };
    var path = {
      transform: "translate(".concat(iconWidth / 2 * -1, " -256)")
    };
    return {
      outer: outer,
      inner: inner,
      path: path
    };
  }
  function transformForCss(_ref2) {
    var transform = _ref2.transform,
        _ref2$width = _ref2.width,
        width = _ref2$width === void 0 ? UNITS_IN_GRID : _ref2$width,
        _ref2$height = _ref2.height,
        height = _ref2$height === void 0 ? UNITS_IN_GRID : _ref2$height,
        _ref2$startCentered = _ref2.startCentered,
        startCentered = _ref2$startCentered === void 0 ? false : _ref2$startCentered;
    var val = '';

    if (startCentered && IS_IE) {
      val += "translate(".concat(transform.x / d - width / 2, "em, ").concat(transform.y / d - height / 2, "em) ");
    } else if (startCentered) {
      val += "translate(calc(-50% + ".concat(transform.x / d, "em), calc(-50% + ").concat(transform.y / d, "em)) ");
    } else {
      val += "translate(".concat(transform.x / d, "em, ").concat(transform.y / d, "em) ");
    }

    val += "scale(".concat(transform.size / d * (transform.flipX ? -1 : 1), ", ").concat(transform.size / d * (transform.flipY ? -1 : 1), ") ");
    val += "rotate(".concat(transform.rotate, "deg) ");
    return val;
  }

  var baseStyles = ":host,:root{--fa-font-solid:normal 900 1em/1 \"Font Awesome 6 Solid\";--fa-font-regular:normal 400 1em/1 \"Font Awesome 6 Regular\";--fa-font-light:normal 300 1em/1 \"Font Awesome 6 Light\";--fa-font-thin:normal 100 1em/1 \"Font Awesome 6 Thin\";--fa-font-duotone:normal 900 1em/1 \"Font Awesome 6 Duotone\";--fa-font-brands:normal 400 1em/1 \"Font Awesome 6 Brands\"}svg:not(:host).svg-inline--fa,svg:not(:root).svg-inline--fa{overflow:visible;box-sizing:content-box}.svg-inline--fa{display:var(--fa-display,inline-block);height:1em;overflow:visible;vertical-align:-.125em}.svg-inline--fa.fa-2xs{vertical-align:.1em}.svg-inline--fa.fa-xs{vertical-align:0}.svg-inline--fa.fa-sm{vertical-align:-.0714285705em}.svg-inline--fa.fa-lg{vertical-align:-.2em}.svg-inline--fa.fa-xl{vertical-align:-.25em}.svg-inline--fa.fa-2xl{vertical-align:-.3125em}.svg-inline--fa.fa-pull-left{margin-right:var(--fa-pull-margin,.3em);width:auto}.svg-inline--fa.fa-pull-right{margin-left:var(--fa-pull-margin,.3em);width:auto}.svg-inline--fa.fa-li{width:var(--fa-li-width,2em);top:.25em}.svg-inline--fa.fa-fw{width:var(--fa-fw-width,1.25em)}.fa-layers svg.svg-inline--fa{bottom:0;left:0;margin:auto;position:absolute;right:0;top:0}.fa-layers-counter,.fa-layers-text{display:inline-block;position:absolute;text-align:center}.fa-layers{display:inline-block;height:1em;position:relative;text-align:center;vertical-align:-.125em;width:1em}.fa-layers svg.svg-inline--fa{-webkit-transform-origin:center center;transform-origin:center center}.fa-layers-text{left:50%;top:50%;-webkit-transform:translate(-50%,-50%);transform:translate(-50%,-50%);-webkit-transform-origin:center center;transform-origin:center center}.fa-layers-counter{background-color:var(--fa-counter-background-color,#ff253a);border-radius:var(--fa-counter-border-radius,1em);box-sizing:border-box;color:var(--fa-inverse,#fff);line-height:var(--fa-counter-line-height,1);max-width:var(--fa-counter-max-width,5em);min-width:var(--fa-counter-min-width,1.5em);overflow:hidden;padding:var(--fa-counter-padding,.25em .5em);right:var(--fa-right,0);text-overflow:ellipsis;top:var(--fa-top,0);-webkit-transform:scale(var(--fa-counter-scale,.25));transform:scale(var(--fa-counter-scale,.25));-webkit-transform-origin:top right;transform-origin:top right}.fa-layers-bottom-right{bottom:var(--fa-bottom,0);right:var(--fa-right,0);top:auto;-webkit-transform:scale(var(--fa-layers-scale,.25));transform:scale(var(--fa-layers-scale,.25));-webkit-transform-origin:bottom right;transform-origin:bottom right}.fa-layers-bottom-left{bottom:var(--fa-bottom,0);left:var(--fa-left,0);right:auto;top:auto;-webkit-transform:scale(var(--fa-layers-scale,.25));transform:scale(var(--fa-layers-scale,.25));-webkit-transform-origin:bottom left;transform-origin:bottom left}.fa-layers-top-right{top:var(--fa-top,0);right:var(--fa-right,0);-webkit-transform:scale(var(--fa-layers-scale,.25));transform:scale(var(--fa-layers-scale,.25));-webkit-transform-origin:top right;transform-origin:top right}.fa-layers-top-left{left:var(--fa-left,0);right:auto;top:var(--fa-top,0);-webkit-transform:scale(var(--fa-layers-scale,.25));transform:scale(var(--fa-layers-scale,.25));-webkit-transform-origin:top left;transform-origin:top left}.fa-1x{font-size:1em}.fa-2x{font-size:2em}.fa-3x{font-size:3em}.fa-4x{font-size:4em}.fa-5x{font-size:5em}.fa-6x{font-size:6em}.fa-7x{font-size:7em}.fa-8x{font-size:8em}.fa-9x{font-size:9em}.fa-10x{font-size:10em}.fa-2xs{font-size:.625em;line-height:.1em;vertical-align:.225em}.fa-xs{font-size:.75em;line-height:.0833333337em;vertical-align:.125em}.fa-sm{font-size:.875em;line-height:.0714285718em;vertical-align:.0535714295em}.fa-lg{font-size:1.25em;line-height:.05em;vertical-align:-.075em}.fa-xl{font-size:1.5em;line-height:.0416666682em;vertical-align:-.125em}.fa-2xl{font-size:2em;line-height:.03125em;vertical-align:-.1875em}.fa-fw{text-align:center;width:1.25em}.fa-ul{list-style-type:none;margin-left:var(--fa-li-margin,2.5em);padding-left:0}.fa-ul>li{position:relative}.fa-li{left:calc(var(--fa-li-width,2em) * -1);position:absolute;text-align:center;width:var(--fa-li-width,2em);line-height:inherit}.fa-border{border-color:var(--fa-border-color,#eee);border-radius:var(--fa-border-radius,.1em);border-style:var(--fa-border-style,solid);border-width:var(--fa-border-width,.08em);padding:var(--fa-border-padding,.2em .25em .15em)}.fa-pull-left{float:left;margin-right:var(--fa-pull-margin,.3em)}.fa-pull-right{float:right;margin-left:var(--fa-pull-margin,.3em)}.fa-beat{-webkit-animation-name:fa-beat;animation-name:fa-beat;-webkit-animation-delay:var(--fa-animation-delay,0);animation-delay:var(--fa-animation-delay,0);-webkit-animation-direction:var(--fa-animation-direction,normal);animation-direction:var(--fa-animation-direction,normal);-webkit-animation-duration:var(--fa-animation-duration,1s);animation-duration:var(--fa-animation-duration,1s);-webkit-animation-iteration-count:var(--fa-animation-iteration-count,infinite);animation-iteration-count:var(--fa-animation-iteration-count,infinite);-webkit-animation-timing-function:var(--fa-animation-timing,ease-in-out);animation-timing-function:var(--fa-animation-timing,ease-in-out)}.fa-bounce{-webkit-animation-name:fa-bounce;animation-name:fa-bounce;-webkit-animation-delay:var(--fa-animation-delay,0);animation-delay:var(--fa-animation-delay,0);-webkit-animation-direction:var(--fa-animation-direction,normal);animation-direction:var(--fa-animation-direction,normal);-webkit-animation-duration:var(--fa-animation-duration,1s);animation-duration:var(--fa-animation-duration,1s);-webkit-animation-iteration-count:var(--fa-animation-iteration-count,infinite);animation-iteration-count:var(--fa-animation-iteration-count,infinite);-webkit-animation-timing-function:var(--fa-animation-timing,cubic-bezier(.28,.84,.42,1));animation-timing-function:var(--fa-animation-timing,cubic-bezier(.28,.84,.42,1))}.fa-fade{-webkit-animation-name:fa-fade;animation-name:fa-fade;-webkit-animation-delay:var(--fa-animation-delay,0);animation-delay:var(--fa-animation-delay,0);-webkit-animation-direction:var(--fa-animation-direction,normal);animation-direction:var(--fa-animation-direction,normal);-webkit-animation-duration:var(--fa-animation-duration,1s);animation-duration:var(--fa-animation-duration,1s);-webkit-animation-iteration-count:var(--fa-animation-iteration-count,infinite);animation-iteration-count:var(--fa-animation-iteration-count,infinite);-webkit-animation-timing-function:var(--fa-animation-timing,cubic-bezier(.4,0,.6,1));animation-timing-function:var(--fa-animation-timing,cubic-bezier(.4,0,.6,1))}.fa-beat-fade{-webkit-animation-name:fa-beat-fade;animation-name:fa-beat-fade;-webkit-animation-delay:var(--fa-animation-delay,0);animation-delay:var(--fa-animation-delay,0);-webkit-animation-direction:var(--fa-animation-direction,normal);animation-direction:var(--fa-animation-direction,normal);-webkit-animation-duration:var(--fa-animation-duration,1s);animation-duration:var(--fa-animation-duration,1s);-webkit-animation-iteration-count:var(--fa-animation-iteration-count,infinite);animation-iteration-count:var(--fa-animation-iteration-count,infinite);-webkit-animation-timing-function:var(--fa-animation-timing,cubic-bezier(.4,0,.6,1));animation-timing-function:var(--fa-animation-timing,cubic-bezier(.4,0,.6,1))}.fa-flip{-webkit-animation-name:fa-flip;animation-name:fa-flip;-webkit-animation-delay:var(--fa-animation-delay,0);animation-delay:var(--fa-animation-delay,0);-webkit-animation-direction:var(--fa-animation-direction,normal);animation-direction:var(--fa-animation-direction,normal);-webkit-animation-duration:var(--fa-animation-duration,1s);animation-duration:var(--fa-animation-duration,1s);-webkit-animation-iteration-count:var(--fa-animation-iteration-count,infinite);animation-iteration-count:var(--fa-animation-iteration-count,infinite);-webkit-animation-timing-function:var(--fa-animation-timing,ease-in-out);animation-timing-function:var(--fa-animation-timing,ease-in-out)}.fa-shake{-webkit-animation-name:fa-shake;animation-name:fa-shake;-webkit-animation-delay:var(--fa-animation-delay,0);animation-delay:var(--fa-animation-delay,0);-webkit-animation-direction:var(--fa-animation-direction,normal);animation-direction:var(--fa-animation-direction,normal);-webkit-animation-duration:var(--fa-animation-duration,1s);animation-duration:var(--fa-animation-duration,1s);-webkit-animation-iteration-count:var(--fa-animation-iteration-count,infinite);animation-iteration-count:var(--fa-animation-iteration-count,infinite);-webkit-animation-timing-function:var(--fa-animation-timing,linear);animation-timing-function:var(--fa-animation-timing,linear)}.fa-spin{-webkit-animation-name:fa-spin;animation-name:fa-spin;-webkit-animation-delay:var(--fa-animation-delay,0);animation-delay:var(--fa-animation-delay,0);-webkit-animation-direction:var(--fa-animation-direction,normal);animation-direction:var(--fa-animation-direction,normal);-webkit-animation-duration:var(--fa-animation-duration,2s);animation-duration:var(--fa-animation-duration,2s);-webkit-animation-iteration-count:var(--fa-animation-iteration-count,infinite);animation-iteration-count:var(--fa-animation-iteration-count,infinite);-webkit-animation-timing-function:var(--fa-animation-timing,linear);animation-timing-function:var(--fa-animation-timing,linear)}.fa-spin-reverse{--fa-animation-direction:reverse}.fa-pulse,.fa-spin-pulse{-webkit-animation-name:fa-spin;animation-name:fa-spin;-webkit-animation-direction:var(--fa-animation-direction,normal);animation-direction:var(--fa-animation-direction,normal);-webkit-animation-duration:var(--fa-animation-duration,1s);animation-duration:var(--fa-animation-duration,1s);-webkit-animation-iteration-count:var(--fa-animation-iteration-count,infinite);animation-iteration-count:var(--fa-animation-iteration-count,infinite);-webkit-animation-timing-function:var(--fa-animation-timing,steps(8));animation-timing-function:var(--fa-animation-timing,steps(8))}@media (prefers-reduced-motion:reduce){.fa-beat,.fa-beat-fade,.fa-bounce,.fa-fade,.fa-flip,.fa-pulse,.fa-shake,.fa-spin,.fa-spin-pulse{-webkit-animation-delay:-1ms;animation-delay:-1ms;-webkit-animation-duration:1ms;animation-duration:1ms;-webkit-animation-iteration-count:1;animation-iteration-count:1;transition-delay:0s;transition-duration:0s}}@-webkit-keyframes fa-beat{0%,90%{-webkit-transform:scale(1);transform:scale(1)}45%{-webkit-transform:scale(var(--fa-beat-scale,1.25));transform:scale(var(--fa-beat-scale,1.25))}}@keyframes fa-beat{0%,90%{-webkit-transform:scale(1);transform:scale(1)}45%{-webkit-transform:scale(var(--fa-beat-scale,1.25));transform:scale(var(--fa-beat-scale,1.25))}}@-webkit-keyframes fa-bounce{0%{-webkit-transform:scale(1,1) translateY(0);transform:scale(1,1) translateY(0)}10%{-webkit-transform:scale(var(--fa-bounce-start-scale-x,1.1),var(--fa-bounce-start-scale-y,.9)) translateY(0);transform:scale(var(--fa-bounce-start-scale-x,1.1),var(--fa-bounce-start-scale-y,.9)) translateY(0)}30%{-webkit-transform:scale(var(--fa-bounce-jump-scale-x,.9),var(--fa-bounce-jump-scale-y,1.1)) translateY(var(--fa-bounce-height,-.5em));transform:scale(var(--fa-bounce-jump-scale-x,.9),var(--fa-bounce-jump-scale-y,1.1)) translateY(var(--fa-bounce-height,-.5em))}50%{-webkit-transform:scale(var(--fa-bounce-land-scale-x,1.05),var(--fa-bounce-land-scale-y,.95)) translateY(0);transform:scale(var(--fa-bounce-land-scale-x,1.05),var(--fa-bounce-land-scale-y,.95)) translateY(0)}57%{-webkit-transform:scale(1,1) translateY(var(--fa-bounce-rebound,-.125em));transform:scale(1,1) translateY(var(--fa-bounce-rebound,-.125em))}64%{-webkit-transform:scale(1,1) translateY(0);transform:scale(1,1) translateY(0)}100%{-webkit-transform:scale(1,1) translateY(0);transform:scale(1,1) translateY(0)}}@keyframes fa-bounce{0%{-webkit-transform:scale(1,1) translateY(0);transform:scale(1,1) translateY(0)}10%{-webkit-transform:scale(var(--fa-bounce-start-scale-x,1.1),var(--fa-bounce-start-scale-y,.9)) translateY(0);transform:scale(var(--fa-bounce-start-scale-x,1.1),var(--fa-bounce-start-scale-y,.9)) translateY(0)}30%{-webkit-transform:scale(var(--fa-bounce-jump-scale-x,.9),var(--fa-bounce-jump-scale-y,1.1)) translateY(var(--fa-bounce-height,-.5em));transform:scale(var(--fa-bounce-jump-scale-x,.9),var(--fa-bounce-jump-scale-y,1.1)) translateY(var(--fa-bounce-height,-.5em))}50%{-webkit-transform:scale(var(--fa-bounce-land-scale-x,1.05),var(--fa-bounce-land-scale-y,.95)) translateY(0);transform:scale(var(--fa-bounce-land-scale-x,1.05),var(--fa-bounce-land-scale-y,.95)) translateY(0)}57%{-webkit-transform:scale(1,1) translateY(var(--fa-bounce-rebound,-.125em));transform:scale(1,1) translateY(var(--fa-bounce-rebound,-.125em))}64%{-webkit-transform:scale(1,1) translateY(0);transform:scale(1,1) translateY(0)}100%{-webkit-transform:scale(1,1) translateY(0);transform:scale(1,1) translateY(0)}}@-webkit-keyframes fa-fade{50%{opacity:var(--fa-fade-opacity,.4)}}@keyframes fa-fade{50%{opacity:var(--fa-fade-opacity,.4)}}@-webkit-keyframes fa-beat-fade{0%,100%{opacity:var(--fa-beat-fade-opacity,.4);-webkit-transform:scale(1);transform:scale(1)}50%{opacity:1;-webkit-transform:scale(var(--fa-beat-fade-scale,1.125));transform:scale(var(--fa-beat-fade-scale,1.125))}}@keyframes fa-beat-fade{0%,100%{opacity:var(--fa-beat-fade-opacity,.4);-webkit-transform:scale(1);transform:scale(1)}50%{opacity:1;-webkit-transform:scale(var(--fa-beat-fade-scale,1.125));transform:scale(var(--fa-beat-fade-scale,1.125))}}@-webkit-keyframes fa-flip{50%{-webkit-transform:rotate3d(var(--fa-flip-x,0),var(--fa-flip-y,1),var(--fa-flip-z,0),var(--fa-flip-angle,-180deg));transform:rotate3d(var(--fa-flip-x,0),var(--fa-flip-y,1),var(--fa-flip-z,0),var(--fa-flip-angle,-180deg))}}@keyframes fa-flip{50%{-webkit-transform:rotate3d(var(--fa-flip-x,0),var(--fa-flip-y,1),var(--fa-flip-z,0),var(--fa-flip-angle,-180deg));transform:rotate3d(var(--fa-flip-x,0),var(--fa-flip-y,1),var(--fa-flip-z,0),var(--fa-flip-angle,-180deg))}}@-webkit-keyframes fa-shake{0%{-webkit-transform:rotate(-15deg);transform:rotate(-15deg)}4%{-webkit-transform:rotate(15deg);transform:rotate(15deg)}24%,8%{-webkit-transform:rotate(-18deg);transform:rotate(-18deg)}12%,28%{-webkit-transform:rotate(18deg);transform:rotate(18deg)}16%{-webkit-transform:rotate(-22deg);transform:rotate(-22deg)}20%{-webkit-transform:rotate(22deg);transform:rotate(22deg)}32%{-webkit-transform:rotate(-12deg);transform:rotate(-12deg)}36%{-webkit-transform:rotate(12deg);transform:rotate(12deg)}100%,40%{-webkit-transform:rotate(0);transform:rotate(0)}}@keyframes fa-shake{0%{-webkit-transform:rotate(-15deg);transform:rotate(-15deg)}4%{-webkit-transform:rotate(15deg);transform:rotate(15deg)}24%,8%{-webkit-transform:rotate(-18deg);transform:rotate(-18deg)}12%,28%{-webkit-transform:rotate(18deg);transform:rotate(18deg)}16%{-webkit-transform:rotate(-22deg);transform:rotate(-22deg)}20%{-webkit-transform:rotate(22deg);transform:rotate(22deg)}32%{-webkit-transform:rotate(-12deg);transform:rotate(-12deg)}36%{-webkit-transform:rotate(12deg);transform:rotate(12deg)}100%,40%{-webkit-transform:rotate(0);transform:rotate(0)}}@-webkit-keyframes fa-spin{0%{-webkit-transform:rotate(0);transform:rotate(0)}100%{-webkit-transform:rotate(360deg);transform:rotate(360deg)}}@keyframes fa-spin{0%{-webkit-transform:rotate(0);transform:rotate(0)}100%{-webkit-transform:rotate(360deg);transform:rotate(360deg)}}.fa-rotate-90{-webkit-transform:rotate(90deg);transform:rotate(90deg)}.fa-rotate-180{-webkit-transform:rotate(180deg);transform:rotate(180deg)}.fa-rotate-270{-webkit-transform:rotate(270deg);transform:rotate(270deg)}.fa-flip-horizontal{-webkit-transform:scale(-1,1);transform:scale(-1,1)}.fa-flip-vertical{-webkit-transform:scale(1,-1);transform:scale(1,-1)}.fa-flip-both,.fa-flip-horizontal.fa-flip-vertical{-webkit-transform:scale(-1,-1);transform:scale(-1,-1)}.fa-rotate-by{-webkit-transform:rotate(var(--fa-rotate-angle,none));transform:rotate(var(--fa-rotate-angle,none))}.fa-stack{display:inline-block;vertical-align:middle;height:2em;position:relative;width:2.5em}.fa-stack-1x,.fa-stack-2x{bottom:0;left:0;margin:auto;position:absolute;right:0;top:0;z-index:var(--fa-stack-z-index,auto)}.svg-inline--fa.fa-stack-1x{height:1em;width:1.25em}.svg-inline--fa.fa-stack-2x{height:2em;width:2.5em}.fa-inverse{color:var(--fa-inverse,#fff)}.fa-sr-only,.sr-only{position:absolute;width:1px;height:1px;padding:0;margin:-1px;overflow:hidden;clip:rect(0,0,0,0);white-space:nowrap;border-width:0}.fa-sr-only-focusable:not(:focus),.sr-only-focusable:not(:focus){position:absolute;width:1px;height:1px;padding:0;margin:-1px;overflow:hidden;clip:rect(0,0,0,0);white-space:nowrap;border-width:0}.svg-inline--fa .fa-primary{fill:var(--fa-primary-color,currentColor);opacity:var(--fa-primary-opacity,1)}.svg-inline--fa .fa-secondary{fill:var(--fa-secondary-color,currentColor);opacity:var(--fa-secondary-opacity,.4)}.svg-inline--fa.fa-swap-opacity .fa-primary{opacity:var(--fa-secondary-opacity,.4)}.svg-inline--fa.fa-swap-opacity .fa-secondary{opacity:var(--fa-primary-opacity,1)}.svg-inline--fa mask .fa-primary,.svg-inline--fa mask .fa-secondary{fill:#000}.fa-duotone.fa-inverse,.fad.fa-inverse{color:var(--fa-inverse,#fff)}";

  function css() {
    var dfp = DEFAULT_FAMILY_PREFIX;
    var drc = DEFAULT_REPLACEMENT_CLASS;
    var fp = config.familyPrefix;
    var rc = config.replacementClass;
    var s = baseStyles;

    if (fp !== dfp || rc !== drc) {
      var dPatt = new RegExp("\\.".concat(dfp, "\\-"), 'g');
      var customPropPatt = new RegExp("\\--".concat(dfp, "\\-"), 'g');
      var rPatt = new RegExp("\\.".concat(drc), 'g');
      s = s.replace(dPatt, ".".concat(fp, "-")).replace(customPropPatt, "--".concat(fp, "-")).replace(rPatt, ".".concat(rc));
    }

    return s;
  }

  var _cssInserted = false;

  function ensureCss() {
    if (config.autoAddCss && !_cssInserted) {
      insertCss(css());
      _cssInserted = true;
    }
  }

  var InjectCSS = {
    mixout: function mixout() {
      return {
        dom: {
          css: css,
          insertCss: ensureCss
        }
      };
    },
    hooks: function hooks() {
      return {
        beforeDOMElementCreation: function beforeDOMElementCreation() {
          ensureCss();
        },
        beforeI2svg: function beforeI2svg() {
          ensureCss();
        }
      };
    }
  };

  var w = WINDOW || {};
  if (!w[NAMESPACE_IDENTIFIER]) w[NAMESPACE_IDENTIFIER] = {};
  if (!w[NAMESPACE_IDENTIFIER].styles) w[NAMESPACE_IDENTIFIER].styles = {};
  if (!w[NAMESPACE_IDENTIFIER].hooks) w[NAMESPACE_IDENTIFIER].hooks = {};
  if (!w[NAMESPACE_IDENTIFIER].shims) w[NAMESPACE_IDENTIFIER].shims = [];
  var namespace = w[NAMESPACE_IDENTIFIER];

  var functions = [];

  var listener = function listener() {
    DOCUMENT.removeEventListener('DOMContentLoaded', listener);
    loaded = 1;
    functions.map(function (fn) {
      return fn();
    });
  };

  var loaded = false;

  if (IS_DOM) {
    loaded = (DOCUMENT.documentElement.doScroll ? /^loaded|^c/ : /^loaded|^i|^c/).test(DOCUMENT.readyState);
    if (!loaded) DOCUMENT.addEventListener('DOMContentLoaded', listener);
  }

  function domready (fn) {
    if (!IS_DOM) return;
    loaded ? setTimeout(fn, 0) : functions.push(fn);
  }

  function toHtml(abstractNodes) {
    var tag = abstractNodes.tag,
        _abstractNodes$attrib = abstractNodes.attributes,
        attributes = _abstractNodes$attrib === void 0 ? {} : _abstractNodes$attrib,
        _abstractNodes$childr = abstractNodes.children,
        children = _abstractNodes$childr === void 0 ? [] : _abstractNodes$childr;

    if (typeof abstractNodes === 'string') {
      return htmlEscape(abstractNodes);
    } else {
      return "<".concat(tag, " ").concat(joinAttributes(attributes), ">").concat(children.map(toHtml).join(''), "</").concat(tag, ">");
    }
  }

  function iconFromMapping(mapping, prefix, iconName) {
    if (mapping && mapping[prefix] && mapping[prefix][iconName]) {
      return {
        prefix: prefix,
        iconName: iconName,
        icon: mapping[prefix][iconName]
      };
    }
  }

  /**
   * Internal helper to bind a function known to have 4 arguments
   * to a given context.
   */

  var bindInternal4 = function bindInternal4(func, thisContext) {
    return function (a, b, c, d) {
      return func.call(thisContext, a, b, c, d);
    };
  };

  /**
   * # Reduce
   *
   * A fast object `.reduce()` implementation.
   *
   * @param  {Object}   subject      The object to reduce over.
   * @param  {Function} fn           The reducer function.
   * @param  {mixed}    initialValue The initial value for the reducer, defaults to subject[0].
   * @param  {Object}   thisContext  The context for the reducer.
   * @return {mixed}                 The final result.
   */


  var reduce = function fastReduceObject(subject, fn, initialValue, thisContext) {
    var keys = Object.keys(subject),
        length = keys.length,
        iterator = thisContext !== undefined ? bindInternal4(fn, thisContext) : fn,
        i,
        key,
        result;

    if (initialValue === undefined) {
      i = 1;
      result = subject[keys[0]];
    } else {
      i = 0;
      result = initialValue;
    }

    for (; i < length; i++) {
      key = keys[i];
      result = iterator(result, subject[key], key, subject);
    }

    return result;
  };

  /**
   * ucs2decode() and codePointAt() are both works of Mathias Bynens and licensed under MIT
   *
   * Copyright Mathias Bynens <https://mathiasbynens.be/>

   * Permission is hereby granted, free of charge, to any person obtaining
   * a copy of this software and associated documentation files (the
   * "Software"), to deal in the Software without restriction, including
   * without limitation the rights to use, copy, modify, merge, publish,
   * distribute, sublicense, and/or sell copies of the Software, and to
   * permit persons to whom the Software is furnished to do so, subject to
   * the following conditions:

   * The above copyright notice and this permission notice shall be
   * included in all copies or substantial portions of the Software.

   * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
   * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
   * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
   * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
   * LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
   * OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
   * WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
   */
  function ucs2decode(string) {
    var output = [];
    var counter = 0;
    var length = string.length;

    while (counter < length) {
      var value = string.charCodeAt(counter++);

      if (value >= 0xD800 && value <= 0xDBFF && counter < length) {
        var extra = string.charCodeAt(counter++);

        if ((extra & 0xFC00) == 0xDC00) {
          // eslint-disable-line eqeqeq
          output.push(((value & 0x3FF) << 10) + (extra & 0x3FF) + 0x10000);
        } else {
          output.push(value);
          counter--;
        }
      } else {
        output.push(value);
      }
    }

    return output;
  }

  function toHex(unicode) {
    var decoded = ucs2decode(unicode);
    return decoded.length === 1 ? decoded[0].toString(16) : null;
  }
  function codePointAt(string, index) {
    var size = string.length;
    var first = string.charCodeAt(index);
    var second;

    if (first >= 0xD800 && first <= 0xDBFF && size > index + 1) {
      second = string.charCodeAt(index + 1);

      if (second >= 0xDC00 && second <= 0xDFFF) {
        return (first - 0xD800) * 0x400 + second - 0xDC00 + 0x10000;
      }
    }

    return first;
  }

  function normalizeIcons(icons) {
    return Object.keys(icons).reduce(function (acc, iconName) {
      var icon = icons[iconName];
      var expanded = !!icon.icon;

      if (expanded) {
        acc[icon.iconName] = icon.icon;
      } else {
        acc[iconName] = icon;
      }

      return acc;
    }, {});
  }

  function defineIcons(prefix, icons) {
    var params = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
    var _params$skipHooks = params.skipHooks,
        skipHooks = _params$skipHooks === void 0 ? false : _params$skipHooks;
    var normalized = normalizeIcons(icons);

    if (typeof namespace.hooks.addPack === 'function' && !skipHooks) {
      namespace.hooks.addPack(prefix, normalizeIcons(icons));
    } else {
      namespace.styles[prefix] = _objectSpread2(_objectSpread2({}, namespace.styles[prefix] || {}), normalized);
    }
    /**
     * Font Awesome 4 used the prefix of `fa` for all icons. With the introduction
     * of new styles we needed to differentiate between them. Prefix `fa` is now an alias
     * for `fas` so we'll ease the upgrade process for our users by automatically defining
     * this as well.
     */


    if (prefix === 'fas') {
      defineIcons('fa', icons);
    }
  }

  var duotonePathRe = [/*#__PURE__*/_wrapRegExp(/path d="((?:(?!")[\s\S])+)".*path d="((?:(?!")[\s\S])+)"/, {
    d1: 1,
    d2: 2
  }), /*#__PURE__*/_wrapRegExp(/path class="((?:(?!")[\s\S])+)".*d="((?:(?!")[\s\S])+)".*path class="((?:(?!")[\s\S])+)".*d="((?:(?!")[\s\S])+)"/, {
    cls1: 1,
    d1: 2,
    cls2: 3,
    d2: 4
  }), /*#__PURE__*/_wrapRegExp(/path class="((?:(?!")[\s\S])+)".*d="((?:(?!")[\s\S])+)"/, {
    cls1: 1,
    d1: 2
  })];

  var styles = namespace.styles,
      shims = namespace.shims;
  var LONG_STYLE = Object.values(PREFIX_TO_LONG_STYLE);
  var _defaultUsablePrefix = null;
  var _byUnicode = {};
  var _byLigature = {};
  var _byOldName = {};
  var _byOldUnicode = {};
  var _byAlias = {};
  var PREFIXES = Object.keys(PREFIX_TO_STYLE);

  function isReserved(name) {
    return ~RESERVED_CLASSES.indexOf(name);
  }

  function getIconName(familyPrefix, cls) {
    var parts = cls.split('-');
    var prefix = parts[0];
    var iconName = parts.slice(1).join('-');

    if (prefix === familyPrefix && iconName !== '' && !isReserved(iconName)) {
      return iconName;
    } else {
      return null;
    }
  }
  var build = function build() {
    var lookup = function lookup(reducer) {
      return reduce(styles, function (o, style, prefix) {
        o[prefix] = reduce(style, reducer, {});
        return o;
      }, {});
    };

    _byUnicode = lookup(function (acc, icon, iconName) {
      if (icon[3]) {
        acc[icon[3]] = iconName;
      }

      if (icon[2]) {
        var aliases = icon[2].filter(function (a) {
          return typeof a === 'number';
        });
        aliases.forEach(function (alias) {
          acc[alias.toString(16)] = iconName;
        });
      }

      return acc;
    });
    _byLigature = lookup(function (acc, icon, iconName) {
      acc[iconName] = iconName;

      if (icon[2]) {
        var aliases = icon[2].filter(function (a) {
          return typeof a === 'string';
        });
        aliases.forEach(function (alias) {
          acc[alias] = iconName;
        });
      }

      return acc;
    });
    _byAlias = lookup(function (acc, icon, iconName) {
      var aliases = icon[2];
      acc[iconName] = iconName;
      aliases.forEach(function (alias) {
        acc[alias] = iconName;
      });
      return acc;
    }); // If we have a Kit, we can't determine if regular is available since we
    // could be auto-fetching it. We'll have to assume that it is available.

    var hasRegular = 'far' in styles || config.autoFetchSvg;
    var shimLookups = reduce(shims, function (acc, shim) {
      var maybeNameMaybeUnicode = shim[0];
      var prefix = shim[1];
      var iconName = shim[2];

      if (prefix === 'far' && !hasRegular) {
        prefix = 'fas';
      }

      if (typeof maybeNameMaybeUnicode === 'string') {
        acc.names[maybeNameMaybeUnicode] = {
          prefix: prefix,
          iconName: iconName
        };
      }

      if (typeof maybeNameMaybeUnicode === 'number') {
        acc.unicodes[maybeNameMaybeUnicode.toString(16)] = {
          prefix: prefix,
          iconName: iconName
        };
      }

      return acc;
    }, {
      names: {},
      unicodes: {}
    });
    _byOldName = shimLookups.names;
    _byOldUnicode = shimLookups.unicodes;
    _defaultUsablePrefix = getCanonicalPrefix(config.styleDefault);
  };
  onChange(function (c) {
    _defaultUsablePrefix = getCanonicalPrefix(c.styleDefault);
  });
  build();
  function byUnicode(prefix, unicode) {
    return (_byUnicode[prefix] || {})[unicode];
  }
  function byLigature(prefix, ligature) {
    return (_byLigature[prefix] || {})[ligature];
  }
  function byAlias(prefix, alias) {
    return (_byAlias[prefix] || {})[alias];
  }
  function byOldName(name) {
    return _byOldName[name] || {
      prefix: null,
      iconName: null
    };
  }
  function byOldUnicode(unicode) {
    var oldUnicode = _byOldUnicode[unicode];
    var newUnicode = byUnicode('fas', unicode);
    return oldUnicode || (newUnicode ? {
      prefix: 'fas',
      iconName: newUnicode
    } : null) || {
      prefix: null,
      iconName: null
    };
  }
  function getDefaultUsablePrefix() {
    return _defaultUsablePrefix;
  }
  var emptyCanonicalIcon = function emptyCanonicalIcon() {
    return {
      prefix: null,
      iconName: null,
      rest: []
    };
  };
  function getCanonicalPrefix(styleOrPrefix) {
    var style = PREFIX_TO_STYLE[styleOrPrefix];
    var prefix = STYLE_TO_PREFIX[styleOrPrefix] || STYLE_TO_PREFIX[style];
    var defined = styleOrPrefix in namespace.styles ? styleOrPrefix : null;
    return prefix || defined || null;
  }
  function getCanonicalIcon(values) {
    var params = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
    var _params$skipLookups = params.skipLookups,
        skipLookups = _params$skipLookups === void 0 ? false : _params$skipLookups;
    var givenPrefix = null;
    var canonical = values.reduce(function (acc, cls) {
      var iconName = getIconName(config.familyPrefix, cls);

      if (styles[cls]) {
        cls = LONG_STYLE.includes(cls) ? LONG_STYLE_TO_PREFIX[cls] : cls;
        givenPrefix = cls;
        acc.prefix = cls;
      } else if (PREFIXES.indexOf(cls) > -1) {
        givenPrefix = cls;
        acc.prefix = getCanonicalPrefix(cls);
      } else if (iconName) {
        acc.iconName = iconName;
      } else if (cls !== config.replacementClass) {
        acc.rest.push(cls);
      }

      if (!skipLookups && acc.prefix && acc.iconName) {
        var shim = givenPrefix === 'fa' ? byOldName(acc.iconName) : {};
        var aliasIconName = byAlias(acc.prefix, acc.iconName);

        if (shim.prefix) {
          givenPrefix = null;
        }

        acc.iconName = shim.iconName || aliasIconName || acc.iconName;
        acc.prefix = shim.prefix || acc.prefix;

        if (acc.prefix === 'far' && !styles['far'] && styles['fas'] && !config.autoFetchSvg) {
          // Allow a fallback from the regular style to solid if regular is not available
          // but only if we aren't auto-fetching SVGs
          acc.prefix = 'fas';
        }
      }

      return acc;
    }, emptyCanonicalIcon());

    if (canonical.prefix === 'fa' || givenPrefix === 'fa') {
      // The fa prefix is not canonical. So if it has made it through until this point
      // we will shift it to the correct prefix.
      canonical.prefix = getDefaultUsablePrefix() || 'fas';
    }

    return canonical;
  }

  var Library = /*#__PURE__*/function () {
    function Library() {
      _classCallCheck(this, Library);

      this.definitions = {};
    }

    _createClass(Library, [{
      key: "add",
      value: function add() {
        var _this = this;

        for (var _len = arguments.length, definitions = new Array(_len), _key = 0; _key < _len; _key++) {
          definitions[_key] = arguments[_key];
        }

        var additions = definitions.reduce(this._pullDefinitions, {});
        Object.keys(additions).forEach(function (key) {
          _this.definitions[key] = _objectSpread2(_objectSpread2({}, _this.definitions[key] || {}), additions[key]);
          defineIcons(key, additions[key]);
          var longPrefix = PREFIX_TO_LONG_STYLE[key];
          if (longPrefix) defineIcons(longPrefix, additions[key]);
          build();
        });
      }
    }, {
      key: "reset",
      value: function reset() {
        this.definitions = {};
      }
    }, {
      key: "_pullDefinitions",
      value: function _pullDefinitions(additions, definition) {
        var normalized = definition.prefix && definition.iconName && definition.icon ? {
          0: definition
        } : definition;
        Object.keys(normalized).map(function (key) {
          var _normalized$key = normalized[key],
              prefix = _normalized$key.prefix,
              iconName = _normalized$key.iconName,
              icon = _normalized$key.icon;
          var aliases = icon[2];
          if (!additions[prefix]) additions[prefix] = {};

          if (aliases.length > 0) {
            aliases.forEach(function (alias) {
              if (typeof alias === 'string') {
                additions[prefix][alias] = icon;
              }
            });
          }

          additions[prefix][iconName] = icon;
        });
        return additions;
      }
    }]);

    return Library;
  }();

  var _plugins = [];
  var _hooks = {};
  var providers = {};
  var defaultProviderKeys = Object.keys(providers);
  function registerPlugins(nextPlugins, _ref) {
    var obj = _ref.mixoutsTo;
    _plugins = nextPlugins;
    _hooks = {};
    Object.keys(providers).forEach(function (k) {
      if (defaultProviderKeys.indexOf(k) === -1) {
        delete providers[k];
      }
    });

    _plugins.forEach(function (plugin) {
      var mixout = plugin.mixout ? plugin.mixout() : {};
      Object.keys(mixout).forEach(function (tk) {
        if (typeof mixout[tk] === 'function') {
          obj[tk] = mixout[tk];
        }

        if (_typeof(mixout[tk]) === 'object') {
          Object.keys(mixout[tk]).forEach(function (sk) {
            if (!obj[tk]) {
              obj[tk] = {};
            }

            obj[tk][sk] = mixout[tk][sk];
          });
        }
      });

      if (plugin.hooks) {
        var hooks = plugin.hooks();
        Object.keys(hooks).forEach(function (hook) {
          if (!_hooks[hook]) {
            _hooks[hook] = [];
          }

          _hooks[hook].push(hooks[hook]);
        });
      }

      if (plugin.provides) {
        plugin.provides(providers);
      }
    });

    return obj;
  }
  function chainHooks(hook, accumulator) {
    for (var _len = arguments.length, args = new Array(_len > 2 ? _len - 2 : 0), _key = 2; _key < _len; _key++) {
      args[_key - 2] = arguments[_key];
    }

    var hookFns = _hooks[hook] || [];
    hookFns.forEach(function (hookFn) {
      accumulator = hookFn.apply(null, [accumulator].concat(args)); // eslint-disable-line no-useless-call
    });
    return accumulator;
  }
  function callHooks(hook) {
    for (var _len2 = arguments.length, args = new Array(_len2 > 1 ? _len2 - 1 : 0), _key2 = 1; _key2 < _len2; _key2++) {
      args[_key2 - 1] = arguments[_key2];
    }

    var hookFns = _hooks[hook] || [];
    hookFns.forEach(function (hookFn) {
      hookFn.apply(null, args);
    });
    return undefined;
  }
  function callProvided() {
    var hook = arguments[0];
    var args = Array.prototype.slice.call(arguments, 1);
    return providers[hook] ? providers[hook].apply(null, args) : undefined;
  }

  function findIconDefinition(iconLookup) {
    if (iconLookup.prefix === 'fa') {
      iconLookup.prefix = 'fas';
    }

    var iconName = iconLookup.iconName;
    var prefix = iconLookup.prefix || getDefaultUsablePrefix();
    if (!iconName) return;
    iconName = byAlias(prefix, iconName) || iconName;
    return iconFromMapping(library.definitions, prefix, iconName) || iconFromMapping(namespace.styles, prefix, iconName);
  }
  var library = new Library();
  var noAuto = function noAuto() {
    config.autoReplaceSvg = false;
    config.observeMutations = false;
    callHooks('noAuto');
  };
  var dom = {
    i2svg: function i2svg() {
      var params = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

      if (IS_DOM) {
        callHooks('beforeI2svg', params);
        callProvided('pseudoElements2svg', params);
        return callProvided('i2svg', params);
      } else {
        return Promise.reject('Operation requires a DOM of some kind.');
      }
    },
    watch: function watch() {
      var params = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
      var autoReplaceSvgRoot = params.autoReplaceSvgRoot;

      if (config.autoReplaceSvg === false) {
        config.autoReplaceSvg = true;
      }

      config.observeMutations = true;
      domready(function () {
        autoReplace({
          autoReplaceSvgRoot: autoReplaceSvgRoot
        });
        callHooks('watch', params);
      });
    }
  };
  var parse = {
    icon: function icon(_icon) {
      if (_icon === null) {
        return null;
      }

      if (_typeof(_icon) === 'object' && _icon.prefix && _icon.iconName) {
        return {
          prefix: _icon.prefix,
          iconName: byAlias(_icon.prefix, _icon.iconName) || _icon.iconName
        };
      }

      if (Array.isArray(_icon) && _icon.length === 2) {
        var iconName = _icon[1].indexOf('fa-') === 0 ? _icon[1].slice(3) : _icon[1];
        var prefix = getCanonicalPrefix(_icon[0]);
        return {
          prefix: prefix,
          iconName: byAlias(prefix, iconName) || iconName
        };
      }

      if (typeof _icon === 'string' && (_icon.indexOf("".concat(config.familyPrefix, "-")) > -1 || _icon.match(ICON_SELECTION_SYNTAX_PATTERN))) {
        var canonicalIcon = getCanonicalIcon(_icon.split(' '), {
          skipLookups: true
        });
        return {
          prefix: canonicalIcon.prefix || getDefaultUsablePrefix(),
          iconName: byAlias(canonicalIcon.prefix, canonicalIcon.iconName) || canonicalIcon.iconName
        };
      }

      if (typeof _icon === 'string') {
        var _prefix = getDefaultUsablePrefix();

        return {
          prefix: _prefix,
          iconName: byAlias(_prefix, _icon) || _icon
        };
      }
    }
  };
  var api = {
    noAuto: noAuto,
    config: config,
    dom: dom,
    parse: parse,
    library: library,
    findIconDefinition: findIconDefinition,
    toHtml: toHtml
  };

  var autoReplace = function autoReplace() {
    var params = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
    var _params$autoReplaceSv = params.autoReplaceSvgRoot,
        autoReplaceSvgRoot = _params$autoReplaceSv === void 0 ? DOCUMENT : _params$autoReplaceSv;
    if ((Object.keys(namespace.styles).length > 0 || config.autoFetchSvg) && IS_DOM && config.autoReplaceSvg) api.dom.i2svg({
      node: autoReplaceSvgRoot
    });
  };

  function bootstrap(plugins) {
    if (IS_BROWSER) {
      if (!WINDOW.FontAwesome) {
        WINDOW.FontAwesome = api;
      }

      domready(function () {
        autoReplace();
        callHooks('bootstrap');
      });
    }

    namespace.hooks = _objectSpread2(_objectSpread2({}, namespace.hooks), {}, {
      addPack: function addPack(prefix, icons) {
        namespace.styles[prefix] = _objectSpread2(_objectSpread2({}, namespace.styles[prefix] || {}), icons);
        build();
        autoReplace();
      },
      addPacks: function addPacks(packs) {
        packs.forEach(function (_ref) {
          var _ref2 = _slicedToArray(_ref, 2),
              prefix = _ref2[0],
              icons = _ref2[1];

          namespace.styles[prefix] = _objectSpread2(_objectSpread2({}, namespace.styles[prefix] || {}), icons);
        });
        build();
        autoReplace();
      },
      addShims: function addShims(shims) {
        var _namespace$shims;

        (_namespace$shims = namespace.shims).push.apply(_namespace$shims, _toConsumableArray(shims));

        build();
        autoReplace();
      }
    });
  }

  function domVariants(val, abstractCreator) {
    Object.defineProperty(val, 'abstract', {
      get: abstractCreator
    });
    Object.defineProperty(val, 'html', {
      get: function get() {
        return val.abstract.map(function (a) {
          return toHtml(a);
        });
      }
    });
    Object.defineProperty(val, 'node', {
      get: function get() {
        if (!IS_DOM) return;
        var container = DOCUMENT.createElement('div');
        container.innerHTML = val.html;
        return container.children;
      }
    });
    return val;
  }

  function asIcon (_ref) {
    var children = _ref.children,
        main = _ref.main,
        mask = _ref.mask,
        attributes = _ref.attributes,
        styles = _ref.styles,
        transform = _ref.transform;

    if (transformIsMeaningful(transform) && main.found && !mask.found) {
      var width = main.width,
          height = main.height;
      var offset = {
        x: width / height / 2,
        y: 0.5
      };
      attributes['style'] = joinStyles(_objectSpread2(_objectSpread2({}, styles), {}, {
        'transform-origin': "".concat(offset.x + transform.x / 16, "em ").concat(offset.y + transform.y / 16, "em")
      }));
    }

    return [{
      tag: 'svg',
      attributes: attributes,
      children: children
    }];
  }

  function asSymbol (_ref) {
    var prefix = _ref.prefix,
        iconName = _ref.iconName,
        children = _ref.children,
        attributes = _ref.attributes,
        symbol = _ref.symbol;
    var id = symbol === true ? "".concat(prefix, "-").concat(config.familyPrefix, "-").concat(iconName) : symbol;
    return [{
      tag: 'svg',
      attributes: {
        style: 'display: none;'
      },
      children: [{
        tag: 'symbol',
        attributes: _objectSpread2(_objectSpread2({}, attributes), {}, {
          id: id
        }),
        children: children
      }]
    }];
  }

  function makeInlineSvgAbstract(params) {
    var _params$icons = params.icons,
        main = _params$icons.main,
        mask = _params$icons.mask,
        prefix = params.prefix,
        iconName = params.iconName,
        transform = params.transform,
        symbol = params.symbol,
        title = params.title,
        maskId = params.maskId,
        titleId = params.titleId,
        extra = params.extra,
        _params$watchable = params.watchable,
        watchable = _params$watchable === void 0 ? false : _params$watchable;

    var _ref = mask.found ? mask : main,
        width = _ref.width,
        height = _ref.height;

    var isUploadedIcon = prefix === 'fak';
    var attrClass = [config.replacementClass, iconName ? "".concat(config.familyPrefix, "-").concat(iconName) : ''].filter(function (c) {
      return extra.classes.indexOf(c) === -1;
    }).filter(function (c) {
      return c !== '' || !!c;
    }).concat(extra.classes).join(' ');
    var content = {
      children: [],
      attributes: _objectSpread2(_objectSpread2({}, extra.attributes), {}, {
        'data-prefix': prefix,
        'data-icon': iconName,
        'class': attrClass,
        'role': extra.attributes.role || 'img',
        'xmlns': 'http://www.w3.org/2000/svg',
        'viewBox': "0 0 ".concat(width, " ").concat(height)
      })
    };
    var uploadedIconWidthStyle = isUploadedIcon && !~extra.classes.indexOf('fa-fw') ? {
      width: "".concat(width / height * 16 * 0.0625, "em")
    } : {};

    if (watchable) {
      content.attributes[DATA_FA_I2SVG] = '';
    }

    if (title) {
      content.children.push({
        tag: 'title',
        attributes: {
          id: content.attributes['aria-labelledby'] || "title-".concat(titleId || nextUniqueId())
        },
        children: [title]
      });
      delete content.attributes.title;
    }

    var args = _objectSpread2(_objectSpread2({}, content), {}, {
      prefix: prefix,
      iconName: iconName,
      main: main,
      mask: mask,
      maskId: maskId,
      transform: transform,
      symbol: symbol,
      styles: _objectSpread2(_objectSpread2({}, uploadedIconWidthStyle), extra.styles)
    });

    var _ref2 = mask.found && main.found ? callProvided('generateAbstractMask', args) || {
      children: [],
      attributes: {}
    } : callProvided('generateAbstractIcon', args) || {
      children: [],
      attributes: {}
    },
        children = _ref2.children,
        attributes = _ref2.attributes;

    args.children = children;
    args.attributes = attributes;

    if (symbol) {
      return asSymbol(args);
    } else {
      return asIcon(args);
    }
  }
  function makeLayersTextAbstract(params) {
    var content = params.content,
        width = params.width,
        height = params.height,
        transform = params.transform,
        title = params.title,
        extra = params.extra,
        _params$watchable2 = params.watchable,
        watchable = _params$watchable2 === void 0 ? false : _params$watchable2;

    var attributes = _objectSpread2(_objectSpread2(_objectSpread2({}, extra.attributes), title ? {
      'title': title
    } : {}), {}, {
      'class': extra.classes.join(' ')
    });

    if (watchable) {
      attributes[DATA_FA_I2SVG] = '';
    }

    var styles = _objectSpread2({}, extra.styles);

    if (transformIsMeaningful(transform)) {
      styles['transform'] = transformForCss({
        transform: transform,
        startCentered: true,
        width: width,
        height: height
      });
      styles['-webkit-transform'] = styles['transform'];
    }

    var styleString = joinStyles(styles);

    if (styleString.length > 0) {
      attributes['style'] = styleString;
    }

    var val = [];
    val.push({
      tag: 'span',
      attributes: attributes,
      children: [content]
    });

    if (title) {
      val.push({
        tag: 'span',
        attributes: {
          class: 'sr-only'
        },
        children: [title]
      });
    }

    return val;
  }
  function makeLayersCounterAbstract(params) {
    var content = params.content,
        title = params.title,
        extra = params.extra;

    var attributes = _objectSpread2(_objectSpread2(_objectSpread2({}, extra.attributes), title ? {
      'title': title
    } : {}), {}, {
      'class': extra.classes.join(' ')
    });

    var styleString = joinStyles(extra.styles);

    if (styleString.length > 0) {
      attributes['style'] = styleString;
    }

    var val = [];
    val.push({
      tag: 'span',
      attributes: attributes,
      children: [content]
    });

    if (title) {
      val.push({
        tag: 'span',
        attributes: {
          class: 'sr-only'
        },
        children: [title]
      });
    }

    return val;
  }

  var styles$1 = namespace.styles;
  function asFoundIcon(icon) {
    var width = icon[0];
    var height = icon[1];

    var _icon$slice = icon.slice(4),
        _icon$slice2 = _slicedToArray(_icon$slice, 1),
        vectorData = _icon$slice2[0];

    var element = null;

    if (Array.isArray(vectorData)) {
      element = {
        tag: 'g',
        attributes: {
          class: "".concat(config.familyPrefix, "-").concat(DUOTONE_CLASSES.GROUP)
        },
        children: [{
          tag: 'path',
          attributes: {
            class: "".concat(config.familyPrefix, "-").concat(DUOTONE_CLASSES.SECONDARY),
            fill: 'currentColor',
            d: vectorData[0]
          }
        }, {
          tag: 'path',
          attributes: {
            class: "".concat(config.familyPrefix, "-").concat(DUOTONE_CLASSES.PRIMARY),
            fill: 'currentColor',
            d: vectorData[1]
          }
        }]
      };
    } else {
      element = {
        tag: 'path',
        attributes: {
          fill: 'currentColor',
          d: vectorData
        }
      };
    }

    return {
      found: true,
      width: width,
      height: height,
      icon: element
    };
  }
  var missingIconResolutionMixin = {
    found: false,
    width: 512,
    height: 512
  };

  function maybeNotifyMissing(iconName, prefix) {
    if (!PRODUCTION && !config.showMissingIcons && iconName) {
      console.error("Icon with name \"".concat(iconName, "\" and prefix \"").concat(prefix, "\" is missing."));
    }
  }

  function findIcon(iconName, prefix) {
    var givenPrefix = prefix;

    if (prefix === 'fa' && config.styleDefault !== null) {
      prefix = getDefaultUsablePrefix();
    }

    return new Promise(function (resolve, reject) {
      var val = {
        found: false,
        width: 512,
        height: 512,
        icon: callProvided('missingIconAbstract') || {}
      };

      if (givenPrefix === 'fa') {
        var shim = byOldName(iconName) || {};
        iconName = shim.iconName || iconName;
        prefix = shim.prefix || prefix;
      }

      if (iconName && prefix && styles$1[prefix] && styles$1[prefix][iconName]) {
        var icon = styles$1[prefix][iconName];
        return resolve(asFoundIcon(icon));
      }

      maybeNotifyMissing(iconName, prefix);
      resolve(_objectSpread2(_objectSpread2({}, missingIconResolutionMixin), {}, {
        icon: config.showMissingIcons && iconName ? callProvided('missingIconAbstract') || {} : {}
      }));
    });
  }

  var noop$1 = function noop() {};

  var p = config.measurePerformance && PERFORMANCE && PERFORMANCE.mark && PERFORMANCE.measure ? PERFORMANCE : {
    mark: noop$1,
    measure: noop$1
  };
  var preamble = "FA \"6.1.2\"";

  var begin = function begin(name) {
    p.mark("".concat(preamble, " ").concat(name, " begins"));
    return function () {
      return end(name);
    };
  };

  var end = function end(name) {
    p.mark("".concat(preamble, " ").concat(name, " ends"));
    p.measure("".concat(preamble, " ").concat(name), "".concat(preamble, " ").concat(name, " begins"), "".concat(preamble, " ").concat(name, " ends"));
  };

  var perf = {
    begin: begin,
    end: end
  };

  var noop$2 = function noop() {};

  function isWatched(node) {
    var i2svg = node.getAttribute ? node.getAttribute(DATA_FA_I2SVG) : null;
    return typeof i2svg === 'string';
  }

  function hasPrefixAndIcon(node) {
    var prefix = node.getAttribute ? node.getAttribute(DATA_PREFIX) : null;
    var icon = node.getAttribute ? node.getAttribute(DATA_ICON) : null;
    return prefix && icon;
  }

  function hasBeenReplaced(node) {
    return node && node.classList && node.classList.contains && node.classList.contains(config.replacementClass);
  }

  function getMutator() {
    if (config.autoReplaceSvg === true) {
      return mutators.replace;
    }

    var mutator = mutators[config.autoReplaceSvg];
    return mutator || mutators.replace;
  }

  function createElementNS(tag) {
    return DOCUMENT.createElementNS('http://www.w3.org/2000/svg', tag);
  }

  function createElement(tag) {
    return DOCUMENT.createElement(tag);
  }

  function convertSVG(abstractObj) {
    var params = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
    var _params$ceFn = params.ceFn,
        ceFn = _params$ceFn === void 0 ? abstractObj.tag === 'svg' ? createElementNS : createElement : _params$ceFn;

    if (typeof abstractObj === 'string') {
      return DOCUMENT.createTextNode(abstractObj);
    }

    var tag = ceFn(abstractObj.tag);
    Object.keys(abstractObj.attributes || []).forEach(function (key) {
      tag.setAttribute(key, abstractObj.attributes[key]);
    });
    var children = abstractObj.children || [];
    children.forEach(function (child) {
      tag.appendChild(convertSVG(child, {
        ceFn: ceFn
      }));
    });
    return tag;
  }

  function nodeAsComment(node) {
    var comment = " ".concat(node.outerHTML, " ");
    return comment;
  }

  var mutators = {
    replace: function replace(mutation) {
      var node = mutation[0];

      if (node.parentNode) {
        mutation[1].forEach(function (abstract) {
          node.parentNode.insertBefore(convertSVG(abstract), node);
        });

        if (node.getAttribute(DATA_FA_I2SVG) === null && config.keepOriginalSource) {
          var comment = DOCUMENT.createComment(nodeAsComment(node));
          node.parentNode.replaceChild(comment, node);
        } else {
          node.remove();
        }
      }
    },
    nest: function nest(mutation) {
      var node = mutation[0];
      var abstract = mutation[1]; // If we already have a replaced node we do not want to continue nesting within it.
      // Short-circuit to the standard replacement

      if (~classArray(node).indexOf(config.replacementClass)) {
        return mutators.replace(mutation);
      }

      var forSvg = new RegExp("".concat(config.familyPrefix, "-.*"));
      delete abstract[0].attributes.id;

      if (abstract[0].attributes.class) {
        var splitClasses = abstract[0].attributes.class.split(' ').reduce(function (acc, cls) {
          if (cls === config.replacementClass || cls.match(forSvg)) {
            acc.toSvg.push(cls);
          } else {
            acc.toNode.push(cls);
          }

          return acc;
        }, {
          toNode: [],
          toSvg: []
        });
        abstract[0].attributes.class = splitClasses.toSvg.join(' ');

        if (splitClasses.toNode.length === 0) {
          node.removeAttribute('class');
        } else {
          node.setAttribute('class', splitClasses.toNode.join(' '));
        }
      }

      var newInnerHTML = abstract.map(function (a) {
        return toHtml(a);
      }).join('\n');
      node.setAttribute(DATA_FA_I2SVG, '');
      node.innerHTML = newInnerHTML;
    }
  };

  function performOperationSync(op) {
    op();
  }

  function perform(mutations, callback) {
    var callbackFunction = typeof callback === 'function' ? callback : noop$2;

    if (mutations.length === 0) {
      callbackFunction();
    } else {
      var frame = performOperationSync;

      if (config.mutateApproach === MUTATION_APPROACH_ASYNC) {
        frame = WINDOW.requestAnimationFrame || performOperationSync;
      }

      frame(function () {
        var mutator = getMutator();
        var mark = perf.begin('mutate');
        mutations.map(mutator);
        mark();
        callbackFunction();
      });
    }
  }
  var disabled = false;
  function disableObservation() {
    disabled = true;
  }
  function enableObservation() {
    disabled = false;
  }
  var mo = null;
  function observe(options) {
    if (!MUTATION_OBSERVER) {
      return;
    }

    if (!config.observeMutations) {
      return;
    }

    var _options$treeCallback = options.treeCallback,
        treeCallback = _options$treeCallback === void 0 ? noop$2 : _options$treeCallback,
        _options$nodeCallback = options.nodeCallback,
        nodeCallback = _options$nodeCallback === void 0 ? noop$2 : _options$nodeCallback,
        _options$pseudoElemen = options.pseudoElementsCallback,
        pseudoElementsCallback = _options$pseudoElemen === void 0 ? noop$2 : _options$pseudoElemen,
        _options$observeMutat = options.observeMutationsRoot,
        observeMutationsRoot = _options$observeMutat === void 0 ? DOCUMENT : _options$observeMutat;
    mo = new MUTATION_OBSERVER(function (objects) {
      if (disabled) return;
      var defaultPrefix = getDefaultUsablePrefix();
      toArray(objects).forEach(function (mutationRecord) {
        if (mutationRecord.type === 'childList' && mutationRecord.addedNodes.length > 0 && !isWatched(mutationRecord.addedNodes[0])) {
          if (config.searchPseudoElements) {
            pseudoElementsCallback(mutationRecord.target);
          }

          treeCallback(mutationRecord.target);
        }

        if (mutationRecord.type === 'attributes' && mutationRecord.target.parentNode && config.searchPseudoElements) {
          pseudoElementsCallback(mutationRecord.target.parentNode);
        }

        if (mutationRecord.type === 'attributes' && isWatched(mutationRecord.target) && ~ATTRIBUTES_WATCHED_FOR_MUTATION.indexOf(mutationRecord.attributeName)) {
          if (mutationRecord.attributeName === 'class' && hasPrefixAndIcon(mutationRecord.target)) {
            var _getCanonicalIcon = getCanonicalIcon(classArray(mutationRecord.target)),
                prefix = _getCanonicalIcon.prefix,
                iconName = _getCanonicalIcon.iconName;

            mutationRecord.target.setAttribute(DATA_PREFIX, prefix || defaultPrefix);
            if (iconName) mutationRecord.target.setAttribute(DATA_ICON, iconName);
          } else if (hasBeenReplaced(mutationRecord.target)) {
            nodeCallback(mutationRecord.target);
          }
        }
      });
    });
    if (!IS_DOM) return;
    mo.observe(observeMutationsRoot, {
      childList: true,
      attributes: true,
      characterData: true,
      subtree: true
    });
  }
  function disconnect() {
    if (!mo) return;
    mo.disconnect();
  }

  function styleParser (node) {
    var style = node.getAttribute('style');
    var val = [];

    if (style) {
      val = style.split(';').reduce(function (acc, style) {
        var styles = style.split(':');
        var prop = styles[0];
        var value = styles.slice(1);

        if (prop && value.length > 0) {
          acc[prop] = value.join(':').trim();
        }

        return acc;
      }, {});
    }

    return val;
  }

  function classParser (node) {
    var existingPrefix = node.getAttribute('data-prefix');
    var existingIconName = node.getAttribute('data-icon');
    var innerText = node.innerText !== undefined ? node.innerText.trim() : '';
    var val = getCanonicalIcon(classArray(node));

    if (!val.prefix) {
      val.prefix = getDefaultUsablePrefix();
    }

    if (existingPrefix && existingIconName) {
      val.prefix = existingPrefix;
      val.iconName = existingIconName;
    }

    if (val.iconName && val.prefix) {
      return val;
    }

    if (val.prefix && innerText.length > 0) {
      val.iconName = byLigature(val.prefix, node.innerText) || byUnicode(val.prefix, toHex(node.innerText));
    }

    if (!val.iconName && config.autoFetchSvg && node.firstChild && node.firstChild.nodeType === Node.TEXT_NODE) {
      val.iconName = node.firstChild.data;
    }

    return val;
  }

  function attributesParser (node) {
    var extraAttributes = toArray(node.attributes).reduce(function (acc, attr) {
      if (acc.name !== 'class' && acc.name !== 'style') {
        acc[attr.name] = attr.value;
      }

      return acc;
    }, {});
    var title = node.getAttribute('title');
    var titleId = node.getAttribute('data-fa-title-id');

    if (config.autoA11y) {
      if (title) {
        extraAttributes['aria-labelledby'] = "".concat(config.replacementClass, "-title-").concat(titleId || nextUniqueId());
      } else {
        extraAttributes['aria-hidden'] = 'true';
        extraAttributes['focusable'] = 'false';
      }
    }

    return extraAttributes;
  }

  function blankMeta() {
    return {
      iconName: null,
      title: null,
      titleId: null,
      prefix: null,
      transform: meaninglessTransform,
      symbol: false,
      mask: {
        iconName: null,
        prefix: null,
        rest: []
      },
      maskId: null,
      extra: {
        classes: [],
        styles: {},
        attributes: {}
      }
    };
  }
  function parseMeta(node) {
    var parser = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {
      styleParser: true
    };

    var _classParser = classParser(node),
        iconName = _classParser.iconName,
        prefix = _classParser.prefix,
        extraClasses = _classParser.rest;

    var extraAttributes = attributesParser(node);
    var pluginMeta = chainHooks('parseNodeAttributes', {}, node);
    var extraStyles = parser.styleParser ? styleParser(node) : [];
    return _objectSpread2({
      iconName: iconName,
      title: node.getAttribute('title'),
      titleId: node.getAttribute('data-fa-title-id'),
      prefix: prefix,
      transform: meaninglessTransform,
      mask: {
        iconName: null,
        prefix: null,
        rest: []
      },
      maskId: null,
      symbol: false,
      extra: {
        classes: extraClasses,
        styles: extraStyles,
        attributes: extraAttributes
      }
    }, pluginMeta);
  }

  var styles$2 = namespace.styles;

  function generateMutation(node) {
    var nodeMeta = config.autoReplaceSvg === 'nest' ? parseMeta(node, {
      styleParser: false
    }) : parseMeta(node);

    if (~nodeMeta.extra.classes.indexOf(LAYERS_TEXT_CLASSNAME)) {
      return callProvided('generateLayersText', node, nodeMeta);
    } else {
      return callProvided('generateSvgReplacementMutation', node, nodeMeta);
    }
  }

  function onTree(root) {
    var callback = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : null;
    if (!IS_DOM) return Promise.resolve();
    var htmlClassList = DOCUMENT.documentElement.classList;

    var hclAdd = function hclAdd(suffix) {
      return htmlClassList.add("".concat(HTML_CLASS_I2SVG_BASE_CLASS, "-").concat(suffix));
    };

    var hclRemove = function hclRemove(suffix) {
      return htmlClassList.remove("".concat(HTML_CLASS_I2SVG_BASE_CLASS, "-").concat(suffix));
    };

    var prefixes = config.autoFetchSvg ? Object.keys(PREFIX_TO_STYLE) : Object.keys(styles$2);

    if (!prefixes.includes('fa')) {
      prefixes.push('fa');
    }

    var prefixesDomQuery = [".".concat(LAYERS_TEXT_CLASSNAME, ":not([").concat(DATA_FA_I2SVG, "])")].concat(prefixes.map(function (p) {
      return ".".concat(p, ":not([").concat(DATA_FA_I2SVG, "])");
    })).join(', ');

    if (prefixesDomQuery.length === 0) {
      return Promise.resolve();
    }

    var candidates = [];

    try {
      candidates = toArray(root.querySelectorAll(prefixesDomQuery));
    } catch (e) {// noop
    }

    if (candidates.length > 0) {
      hclAdd('pending');
      hclRemove('complete');
    } else {
      return Promise.resolve();
    }

    var mark = perf.begin('onTree');
    var mutations = candidates.reduce(function (acc, node) {
      try {
        var mutation = generateMutation(node);

        if (mutation) {
          acc.push(mutation);
        }
      } catch (e) {
        if (!PRODUCTION) {
          if (e.name === 'MissingIcon') {
            console.error(e);
          }
        }
      }

      return acc;
    }, []);
    return new Promise(function (resolve, reject) {
      Promise.all(mutations).then(function (resolvedMutations) {
        perform(resolvedMutations, function () {
          hclAdd('active');
          hclAdd('complete');
          hclRemove('pending');
          if (typeof callback === 'function') callback();
          mark();
          resolve();
        });
      }).catch(function (e) {
        mark();
        reject(e);
      });
    });
  }

  function onNode(node) {
    var callback = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : null;
    generateMutation(node).then(function (mutation) {
      if (mutation) {
        perform([mutation], callback);
      }
    });
  }

  function resolveIcons(next) {
    return function (maybeIconDefinition) {
      var params = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
      var iconDefinition = (maybeIconDefinition || {}).icon ? maybeIconDefinition : findIconDefinition(maybeIconDefinition || {});
      var mask = params.mask;

      if (mask) {
        mask = (mask || {}).icon ? mask : findIconDefinition(mask || {});
      }

      return next(iconDefinition, _objectSpread2(_objectSpread2({}, params), {}, {
        mask: mask
      }));
    };
  }

  var render = function render(iconDefinition) {
    var params = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
    var _params$transform = params.transform,
        transform = _params$transform === void 0 ? meaninglessTransform : _params$transform,
        _params$symbol = params.symbol,
        symbol = _params$symbol === void 0 ? false : _params$symbol,
        _params$mask = params.mask,
        mask = _params$mask === void 0 ? null : _params$mask,
        _params$maskId = params.maskId,
        maskId = _params$maskId === void 0 ? null : _params$maskId,
        _params$title = params.title,
        title = _params$title === void 0 ? null : _params$title,
        _params$titleId = params.titleId,
        titleId = _params$titleId === void 0 ? null : _params$titleId,
        _params$classes = params.classes,
        classes = _params$classes === void 0 ? [] : _params$classes,
        _params$attributes = params.attributes,
        attributes = _params$attributes === void 0 ? {} : _params$attributes,
        _params$styles = params.styles,
        styles = _params$styles === void 0 ? {} : _params$styles;
    if (!iconDefinition) return;
    var prefix = iconDefinition.prefix,
        iconName = iconDefinition.iconName,
        icon = iconDefinition.icon;
    return domVariants(_objectSpread2({
      type: 'icon'
    }, iconDefinition), function () {
      callHooks('beforeDOMElementCreation', {
        iconDefinition: iconDefinition,
        params: params
      });

      if (config.autoA11y) {
        if (title) {
          attributes['aria-labelledby'] = "".concat(config.replacementClass, "-title-").concat(titleId || nextUniqueId());
        } else {
          attributes['aria-hidden'] = 'true';
          attributes['focusable'] = 'false';
        }
      }

      return makeInlineSvgAbstract({
        icons: {
          main: asFoundIcon(icon),
          mask: mask ? asFoundIcon(mask.icon) : {
            found: false,
            width: null,
            height: null,
            icon: {}
          }
        },
        prefix: prefix,
        iconName: iconName,
        transform: _objectSpread2(_objectSpread2({}, meaninglessTransform), transform),
        symbol: symbol,
        title: title,
        maskId: maskId,
        titleId: titleId,
        extra: {
          attributes: attributes,
          styles: styles,
          classes: classes
        }
      });
    });
  };
  var ReplaceElements = {
    mixout: function mixout() {
      return {
        icon: resolveIcons(render)
      };
    },
    hooks: function hooks() {
      return {
        mutationObserverCallbacks: function mutationObserverCallbacks(accumulator) {
          accumulator.treeCallback = onTree;
          accumulator.nodeCallback = onNode;
          return accumulator;
        }
      };
    },
    provides: function provides(providers$$1) {
      providers$$1.i2svg = function (params) {
        var _params$node = params.node,
            node = _params$node === void 0 ? DOCUMENT : _params$node,
            _params$callback = params.callback,
            callback = _params$callback === void 0 ? function () {} : _params$callback;
        return onTree(node, callback);
      };

      providers$$1.generateSvgReplacementMutation = function (node, nodeMeta) {
        var iconName = nodeMeta.iconName,
            title = nodeMeta.title,
            titleId = nodeMeta.titleId,
            prefix = nodeMeta.prefix,
            transform = nodeMeta.transform,
            symbol = nodeMeta.symbol,
            mask = nodeMeta.mask,
            maskId = nodeMeta.maskId,
            extra = nodeMeta.extra;
        return new Promise(function (resolve, reject) {
          Promise.all([findIcon(iconName, prefix), mask.iconName ? findIcon(mask.iconName, mask.prefix) : Promise.resolve({
            found: false,
            width: 512,
            height: 512,
            icon: {}
          })]).then(function (_ref) {
            var _ref2 = _slicedToArray(_ref, 2),
                main = _ref2[0],
                mask = _ref2[1];

            resolve([node, makeInlineSvgAbstract({
              icons: {
                main: main,
                mask: mask
              },
              prefix: prefix,
              iconName: iconName,
              transform: transform,
              symbol: symbol,
              maskId: maskId,
              title: title,
              titleId: titleId,
              extra: extra,
              watchable: true
            })]);
          }).catch(reject);
        });
      };

      providers$$1.generateAbstractIcon = function (_ref3) {
        var children = _ref3.children,
            attributes = _ref3.attributes,
            main = _ref3.main,
            transform = _ref3.transform,
            styles = _ref3.styles;
        var styleString = joinStyles(styles);

        if (styleString.length > 0) {
          attributes['style'] = styleString;
        }

        var nextChild;

        if (transformIsMeaningful(transform)) {
          nextChild = callProvided('generateAbstractTransformGrouping', {
            main: main,
            transform: transform,
            containerWidth: main.width,
            iconWidth: main.width
          });
        }

        children.push(nextChild || main.icon);
        return {
          children: children,
          attributes: attributes
        };
      };
    }
  };

  var Layers = {
    mixout: function mixout() {
      return {
        layer: function layer(assembler) {
          var params = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
          var _params$classes = params.classes,
              classes = _params$classes === void 0 ? [] : _params$classes;
          return domVariants({
            type: 'layer'
          }, function () {
            callHooks('beforeDOMElementCreation', {
              assembler: assembler,
              params: params
            });
            var children = [];
            assembler(function (args) {
              Array.isArray(args) ? args.map(function (a) {
                children = children.concat(a.abstract);
              }) : children = children.concat(args.abstract);
            });
            return [{
              tag: 'span',
              attributes: {
                class: ["".concat(config.familyPrefix, "-layers")].concat(_toConsumableArray(classes)).join(' ')
              },
              children: children
            }];
          });
        }
      };
    }
  };

  var LayersCounter = {
    mixout: function mixout() {
      return {
        counter: function counter(content) {
          var params = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
          var _params$title = params.title,
              title = _params$title === void 0 ? null : _params$title,
              _params$classes = params.classes,
              classes = _params$classes === void 0 ? [] : _params$classes,
              _params$attributes = params.attributes,
              attributes = _params$attributes === void 0 ? {} : _params$attributes,
              _params$styles = params.styles,
              styles = _params$styles === void 0 ? {} : _params$styles;
          return domVariants({
            type: 'counter',
            content: content
          }, function () {
            callHooks('beforeDOMElementCreation', {
              content: content,
              params: params
            });
            return makeLayersCounterAbstract({
              content: content.toString(),
              title: title,
              extra: {
                attributes: attributes,
                styles: styles,
                classes: ["".concat(config.familyPrefix, "-layers-counter")].concat(_toConsumableArray(classes))
              }
            });
          });
        }
      };
    }
  };

  var LayersText = {
    mixout: function mixout() {
      return {
        text: function text(content) {
          var params = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
          var _params$transform = params.transform,
              transform = _params$transform === void 0 ? meaninglessTransform : _params$transform,
              _params$title = params.title,
              title = _params$title === void 0 ? null : _params$title,
              _params$classes = params.classes,
              classes = _params$classes === void 0 ? [] : _params$classes,
              _params$attributes = params.attributes,
              attributes = _params$attributes === void 0 ? {} : _params$attributes,
              _params$styles = params.styles,
              styles = _params$styles === void 0 ? {} : _params$styles;
          return domVariants({
            type: 'text',
            content: content
          }, function () {
            callHooks('beforeDOMElementCreation', {
              content: content,
              params: params
            });
            return makeLayersTextAbstract({
              content: content,
              transform: _objectSpread2(_objectSpread2({}, meaninglessTransform), transform),
              title: title,
              extra: {
                attributes: attributes,
                styles: styles,
                classes: ["".concat(config.familyPrefix, "-layers-text")].concat(_toConsumableArray(classes))
              }
            });
          });
        }
      };
    },
    provides: function provides(providers$$1) {
      providers$$1.generateLayersText = function (node, nodeMeta) {
        var title = nodeMeta.title,
            transform = nodeMeta.transform,
            extra = nodeMeta.extra;
        var width = null;
        var height = null;

        if (IS_IE) {
          var computedFontSize = parseInt(getComputedStyle(node).fontSize, 10);
          var boundingClientRect = node.getBoundingClientRect();
          width = boundingClientRect.width / computedFontSize;
          height = boundingClientRect.height / computedFontSize;
        }

        if (config.autoA11y && !title) {
          extra.attributes['aria-hidden'] = 'true';
        }

        return Promise.resolve([node, makeLayersTextAbstract({
          content: node.innerHTML,
          width: width,
          height: height,
          transform: transform,
          title: title,
          extra: extra,
          watchable: true
        })]);
      };
    }
  };

  var CLEAN_CONTENT_PATTERN = new RegExp("\"", 'ug');
  var SECONDARY_UNICODE_RANGE = [1105920, 1112319];
  function hexValueFromContent(content) {
    var cleaned = content.replace(CLEAN_CONTENT_PATTERN, '');
    var codePoint = codePointAt(cleaned, 0);
    var isPrependTen = codePoint >= SECONDARY_UNICODE_RANGE[0] && codePoint <= SECONDARY_UNICODE_RANGE[1];
    var isDoubled = cleaned.length === 2 ? cleaned[0] === cleaned[1] : false;
    return {
      value: isDoubled ? toHex(cleaned[0]) : toHex(cleaned),
      isSecondary: isPrependTen || isDoubled
    };
  }

  function replaceForPosition(node, position) {
    var pendingAttribute = "".concat(DATA_FA_PSEUDO_ELEMENT_PENDING).concat(position.replace(':', '-'));
    return new Promise(function (resolve, reject) {
      if (node.getAttribute(pendingAttribute) !== null) {
        // This node is already being processed
        return resolve();
      }

      var children = toArray(node.children);
      var alreadyProcessedPseudoElement = children.filter(function (c) {
        return c.getAttribute(DATA_FA_PSEUDO_ELEMENT) === position;
      })[0];
      var styles = WINDOW.getComputedStyle(node, position);
      var fontFamily = styles.getPropertyValue('font-family').match(FONT_FAMILY_PATTERN);
      var fontWeight = styles.getPropertyValue('font-weight');
      var content = styles.getPropertyValue('content');

      if (alreadyProcessedPseudoElement && !fontFamily) {
        // If we've already processed it but the current computed style does not result in a font-family,
        // that probably means that a class name that was previously present to make the icon has been
        // removed. So we now should delete the icon.
        node.removeChild(alreadyProcessedPseudoElement);
        return resolve();
      } else if (fontFamily && content !== 'none' && content !== '') {
        var _content = styles.getPropertyValue('content');

        var prefix = ~['Solid', 'Regular', 'Light', 'Thin', 'Duotone', 'Brands', 'Kit'].indexOf(fontFamily[2]) ? STYLE_TO_PREFIX[fontFamily[2].toLowerCase()] : FONT_WEIGHT_TO_PREFIX[fontWeight];

        var _hexValueFromContent = hexValueFromContent(_content),
            hexValue = _hexValueFromContent.value,
            isSecondary = _hexValueFromContent.isSecondary;

        var isV4 = fontFamily[0].startsWith('FontAwesome');
        var iconName = byUnicode(prefix, hexValue);
        var iconIdentifier = iconName;

        if (isV4) {
          var iconName4 = byOldUnicode(hexValue);

          if (iconName4.iconName && iconName4.prefix) {
            iconName = iconName4.iconName;
            prefix = iconName4.prefix;
          }
        } // Only convert the pseudo element in this ::before/::after position into an icon if we haven't
        // already done so with the same prefix and iconName


        if (iconName && !isSecondary && (!alreadyProcessedPseudoElement || alreadyProcessedPseudoElement.getAttribute(DATA_PREFIX) !== prefix || alreadyProcessedPseudoElement.getAttribute(DATA_ICON) !== iconIdentifier)) {
          node.setAttribute(pendingAttribute, iconIdentifier);

          if (alreadyProcessedPseudoElement) {
            // Delete the old one, since we're replacing it with a new one
            node.removeChild(alreadyProcessedPseudoElement);
          }

          var meta = blankMeta();
          var extra = meta.extra;
          extra.attributes[DATA_FA_PSEUDO_ELEMENT] = position;
          findIcon(iconName, prefix).then(function (main) {
            var abstract = makeInlineSvgAbstract(_objectSpread2(_objectSpread2({}, meta), {}, {
              icons: {
                main: main,
                mask: emptyCanonicalIcon()
              },
              prefix: prefix,
              iconName: iconIdentifier,
              extra: extra,
              watchable: true
            }));
            var element = DOCUMENT.createElement('svg');

            if (position === '::before') {
              node.insertBefore(element, node.firstChild);
            } else {
              node.appendChild(element);
            }

            element.outerHTML = abstract.map(function (a) {
              return toHtml(a);
            }).join('\n');
            node.removeAttribute(pendingAttribute);
            resolve();
          }).catch(reject);
        } else {
          resolve();
        }
      } else {
        resolve();
      }
    });
  }

  function replace(node) {
    return Promise.all([replaceForPosition(node, '::before'), replaceForPosition(node, '::after')]);
  }

  function processable(node) {
    return node.parentNode !== document.head && !~TAGNAMES_TO_SKIP_FOR_PSEUDOELEMENTS.indexOf(node.tagName.toUpperCase()) && !node.getAttribute(DATA_FA_PSEUDO_ELEMENT) && (!node.parentNode || node.parentNode.tagName !== 'svg');
  }

  function searchPseudoElements(root) {
    if (!IS_DOM) return;
    return new Promise(function (resolve, reject) {
      var operations = toArray(root.querySelectorAll('*')).filter(processable).map(replace);
      var end = perf.begin('searchPseudoElements');
      disableObservation();
      Promise.all(operations).then(function () {
        end();
        enableObservation();
        resolve();
      }).catch(function () {
        end();
        enableObservation();
        reject();
      });
    });
  }

  var PseudoElements = {
    hooks: function hooks() {
      return {
        mutationObserverCallbacks: function mutationObserverCallbacks(accumulator) {
          accumulator.pseudoElementsCallback = searchPseudoElements;
          return accumulator;
        }
      };
    },
    provides: function provides(providers$$1) {
      providers$$1.pseudoElements2svg = function (params) {
        var _params$node = params.node,
            node = _params$node === void 0 ? DOCUMENT : _params$node;

        if (config.searchPseudoElements) {
          searchPseudoElements(node);
        }
      };
    }
  };

  var _unwatched = false;
  var MutationObserver$1 = {
    mixout: function mixout() {
      return {
        dom: {
          unwatch: function unwatch() {
            disableObservation();
            _unwatched = true;
          }
        }
      };
    },
    hooks: function hooks() {
      return {
        bootstrap: function bootstrap() {
          observe(chainHooks('mutationObserverCallbacks', {}));
        },
        noAuto: function noAuto() {
          disconnect();
        },
        watch: function watch(params) {
          var observeMutationsRoot = params.observeMutationsRoot;

          if (_unwatched) {
            enableObservation();
          } else {
            observe(chainHooks('mutationObserverCallbacks', {
              observeMutationsRoot: observeMutationsRoot
            }));
          }
        }
      };
    }
  };

  var parseTransformString = function parseTransformString(transformString) {
    var transform = {
      size: 16,
      x: 0,
      y: 0,
      flipX: false,
      flipY: false,
      rotate: 0
    };
    return transformString.toLowerCase().split(' ').reduce(function (acc, n) {
      var parts = n.toLowerCase().split('-');
      var first = parts[0];
      var rest = parts.slice(1).join('-');

      if (first && rest === 'h') {
        acc.flipX = true;
        return acc;
      }

      if (first && rest === 'v') {
        acc.flipY = true;
        return acc;
      }

      rest = parseFloat(rest);

      if (isNaN(rest)) {
        return acc;
      }

      switch (first) {
        case 'grow':
          acc.size = acc.size + rest;
          break;

        case 'shrink':
          acc.size = acc.size - rest;
          break;

        case 'left':
          acc.x = acc.x - rest;
          break;

        case 'right':
          acc.x = acc.x + rest;
          break;

        case 'up':
          acc.y = acc.y - rest;
          break;

        case 'down':
          acc.y = acc.y + rest;
          break;

        case 'rotate':
          acc.rotate = acc.rotate + rest;
          break;
      }

      return acc;
    }, transform);
  };
  var PowerTransforms = {
    mixout: function mixout() {
      return {
        parse: {
          transform: function transform(transformString) {
            return parseTransformString(transformString);
          }
        }
      };
    },
    hooks: function hooks() {
      return {
        parseNodeAttributes: function parseNodeAttributes(accumulator, node) {
          var transformString = node.getAttribute('data-fa-transform');

          if (transformString) {
            accumulator.transform = parseTransformString(transformString);
          }

          return accumulator;
        }
      };
    },
    provides: function provides(providers) {
      providers.generateAbstractTransformGrouping = function (_ref) {
        var main = _ref.main,
            transform = _ref.transform,
            containerWidth = _ref.containerWidth,
            iconWidth = _ref.iconWidth;
        var outer = {
          transform: "translate(".concat(containerWidth / 2, " 256)")
        };
        var innerTranslate = "translate(".concat(transform.x * 32, ", ").concat(transform.y * 32, ") ");
        var innerScale = "scale(".concat(transform.size / 16 * (transform.flipX ? -1 : 1), ", ").concat(transform.size / 16 * (transform.flipY ? -1 : 1), ") ");
        var innerRotate = "rotate(".concat(transform.rotate, " 0 0)");
        var inner = {
          transform: "".concat(innerTranslate, " ").concat(innerScale, " ").concat(innerRotate)
        };
        var path = {
          transform: "translate(".concat(iconWidth / 2 * -1, " -256)")
        };
        var operations = {
          outer: outer,
          inner: inner,
          path: path
        };
        return {
          tag: 'g',
          attributes: _objectSpread2({}, operations.outer),
          children: [{
            tag: 'g',
            attributes: _objectSpread2({}, operations.inner),
            children: [{
              tag: main.icon.tag,
              children: main.icon.children,
              attributes: _objectSpread2(_objectSpread2({}, main.icon.attributes), operations.path)
            }]
          }]
        };
      };
    }
  };

  var ALL_SPACE = {
    x: 0,
    y: 0,
    width: '100%',
    height: '100%'
  };

  function fillBlack(abstract) {
    var force = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;

    if (abstract.attributes && (abstract.attributes.fill || force)) {
      abstract.attributes.fill = 'black';
    }

    return abstract;
  }

  function deGroup(abstract) {
    if (abstract.tag === 'g') {
      return abstract.children;
    } else {
      return [abstract];
    }
  }

  var Masks = {
    hooks: function hooks() {
      return {
        parseNodeAttributes: function parseNodeAttributes(accumulator, node) {
          var maskData = node.getAttribute('data-fa-mask');
          var mask = !maskData ? emptyCanonicalIcon() : getCanonicalIcon(maskData.split(' ').map(function (i) {
            return i.trim();
          }));

          if (!mask.prefix) {
            mask.prefix = getDefaultUsablePrefix();
          }

          accumulator.mask = mask;
          accumulator.maskId = node.getAttribute('data-fa-mask-id');
          return accumulator;
        }
      };
    },
    provides: function provides(providers) {
      providers.generateAbstractMask = function (_ref) {
        var children = _ref.children,
            attributes = _ref.attributes,
            main = _ref.main,
            mask = _ref.mask,
            explicitMaskId = _ref.maskId,
            transform = _ref.transform;
        var mainWidth = main.width,
            mainPath = main.icon;
        var maskWidth = mask.width,
            maskPath = mask.icon;
        var trans = transformForSvg({
          transform: transform,
          containerWidth: maskWidth,
          iconWidth: mainWidth
        });
        var maskRect = {
          tag: 'rect',
          attributes: _objectSpread2(_objectSpread2({}, ALL_SPACE), {}, {
            fill: 'white'
          })
        };
        var maskInnerGroupChildrenMixin = mainPath.children ? {
          children: mainPath.children.map(fillBlack)
        } : {};
        var maskInnerGroup = {
          tag: 'g',
          attributes: _objectSpread2({}, trans.inner),
          children: [fillBlack(_objectSpread2({
            tag: mainPath.tag,
            attributes: _objectSpread2(_objectSpread2({}, mainPath.attributes), trans.path)
          }, maskInnerGroupChildrenMixin))]
        };
        var maskOuterGroup = {
          tag: 'g',
          attributes: _objectSpread2({}, trans.outer),
          children: [maskInnerGroup]
        };
        var maskId = "mask-".concat(explicitMaskId || nextUniqueId());
        var clipId = "clip-".concat(explicitMaskId || nextUniqueId());
        var maskTag = {
          tag: 'mask',
          attributes: _objectSpread2(_objectSpread2({}, ALL_SPACE), {}, {
            id: maskId,
            maskUnits: 'userSpaceOnUse',
            maskContentUnits: 'userSpaceOnUse'
          }),
          children: [maskRect, maskOuterGroup]
        };
        var defs = {
          tag: 'defs',
          children: [{
            tag: 'clipPath',
            attributes: {
              id: clipId
            },
            children: deGroup(maskPath)
          }, maskTag]
        };
        children.push(defs, {
          tag: 'rect',
          attributes: _objectSpread2({
            fill: 'currentColor',
            'clip-path': "url(#".concat(clipId, ")"),
            mask: "url(#".concat(maskId, ")")
          }, ALL_SPACE)
        });
        return {
          children: children,
          attributes: attributes
        };
      };
    }
  };

  var MissingIconIndicator = {
    provides: function provides(providers) {
      var reduceMotion = false;

      if (WINDOW.matchMedia) {
        reduceMotion = WINDOW.matchMedia('(prefers-reduced-motion: reduce)').matches;
      }

      providers.missingIconAbstract = function () {
        var gChildren = [];
        var FILL = {
          fill: 'currentColor'
        };
        var ANIMATION_BASE = {
          attributeType: 'XML',
          repeatCount: 'indefinite',
          dur: '2s'
        }; // Ring

        gChildren.push({
          tag: 'path',
          attributes: _objectSpread2(_objectSpread2({}, FILL), {}, {
            d: 'M156.5,447.7l-12.6,29.5c-18.7-9.5-35.9-21.2-51.5-34.9l22.7-22.7C127.6,430.5,141.5,440,156.5,447.7z M40.6,272H8.5 c1.4,21.2,5.4,41.7,11.7,61.1L50,321.2C45.1,305.5,41.8,289,40.6,272z M40.6,240c1.4-18.8,5.2-37,11.1-54.1l-29.5-12.6 C14.7,194.3,10,216.7,8.5,240H40.6z M64.3,156.5c7.8-14.9,17.2-28.8,28.1-41.5L69.7,92.3c-13.7,15.6-25.5,32.8-34.9,51.5 L64.3,156.5z M397,419.6c-13.9,12-29.4,22.3-46.1,30.4l11.9,29.8c20.7-9.9,39.8-22.6,56.9-37.6L397,419.6z M115,92.4 c13.9-12,29.4-22.3,46.1-30.4l-11.9-29.8c-20.7,9.9-39.8,22.6-56.8,37.6L115,92.4z M447.7,355.5c-7.8,14.9-17.2,28.8-28.1,41.5 l22.7,22.7c13.7-15.6,25.5-32.9,34.9-51.5L447.7,355.5z M471.4,272c-1.4,18.8-5.2,37-11.1,54.1l29.5,12.6 c7.5-21.1,12.2-43.5,13.6-66.8H471.4z M321.2,462c-15.7,5-32.2,8.2-49.2,9.4v32.1c21.2-1.4,41.7-5.4,61.1-11.7L321.2,462z M240,471.4c-18.8-1.4-37-5.2-54.1-11.1l-12.6,29.5c21.1,7.5,43.5,12.2,66.8,13.6V471.4z M462,190.8c5,15.7,8.2,32.2,9.4,49.2h32.1 c-1.4-21.2-5.4-41.7-11.7-61.1L462,190.8z M92.4,397c-12-13.9-22.3-29.4-30.4-46.1l-29.8,11.9c9.9,20.7,22.6,39.8,37.6,56.9 L92.4,397z M272,40.6c18.8,1.4,36.9,5.2,54.1,11.1l12.6-29.5C317.7,14.7,295.3,10,272,8.5V40.6z M190.8,50 c15.7-5,32.2-8.2,49.2-9.4V8.5c-21.2,1.4-41.7,5.4-61.1,11.7L190.8,50z M442.3,92.3L419.6,115c12,13.9,22.3,29.4,30.5,46.1 l29.8-11.9C470,128.5,457.3,109.4,442.3,92.3z M397,92.4l22.7-22.7c-15.6-13.7-32.8-25.5-51.5-34.9l-12.6,29.5 C370.4,72.1,384.4,81.5,397,92.4z'
          })
        });

        var OPACITY_ANIMATE = _objectSpread2(_objectSpread2({}, ANIMATION_BASE), {}, {
          attributeName: 'opacity'
        });

        var dot = {
          tag: 'circle',
          attributes: _objectSpread2(_objectSpread2({}, FILL), {}, {
            cx: '256',
            cy: '364',
            r: '28'
          }),
          children: []
        };

        if (!reduceMotion) {
          dot.children.push({
            tag: 'animate',
            attributes: _objectSpread2(_objectSpread2({}, ANIMATION_BASE), {}, {
              attributeName: 'r',
              values: '28;14;28;28;14;28;'
            })
          }, {
            tag: 'animate',
            attributes: _objectSpread2(_objectSpread2({}, OPACITY_ANIMATE), {}, {
              values: '1;0;1;1;0;1;'
            })
          });
        }

        gChildren.push(dot);
        gChildren.push({
          tag: 'path',
          attributes: _objectSpread2(_objectSpread2({}, FILL), {}, {
            opacity: '1',
            d: 'M263.7,312h-16c-6.6,0-12-5.4-12-12c0-71,77.4-63.9,77.4-107.8c0-20-17.8-40.2-57.4-40.2c-29.1,0-44.3,9.6-59.2,28.7 c-3.9,5-11.1,6-16.2,2.4l-13.1-9.2c-5.6-3.9-6.9-11.8-2.6-17.2c21.2-27.2,46.4-44.7,91.2-44.7c52.3,0,97.4,29.8,97.4,80.2 c0,67.6-77.4,63.5-77.4,107.8C275.7,306.6,270.3,312,263.7,312z'
          }),
          children: reduceMotion ? [] : [{
            tag: 'animate',
            attributes: _objectSpread2(_objectSpread2({}, OPACITY_ANIMATE), {}, {
              values: '1;0;0;0;0;1;'
            })
          }]
        });

        if (!reduceMotion) {
          // Exclamation
          gChildren.push({
            tag: 'path',
            attributes: _objectSpread2(_objectSpread2({}, FILL), {}, {
              opacity: '0',
              d: 'M232.5,134.5l7,168c0.3,6.4,5.6,11.5,12,11.5h9c6.4,0,11.7-5.1,12-11.5l7-168c0.3-6.8-5.2-12.5-12-12.5h-23 C237.7,122,232.2,127.7,232.5,134.5z'
            }),
            children: [{
              tag: 'animate',
              attributes: _objectSpread2(_objectSpread2({}, OPACITY_ANIMATE), {}, {
                values: '0;0;1;1;0;0;'
              })
            }]
          });
        }

        return {
          tag: 'g',
          attributes: {
            'class': 'missing'
          },
          children: gChildren
        };
      };
    }
  };

  var SvgSymbols = {
    hooks: function hooks() {
      return {
        parseNodeAttributes: function parseNodeAttributes(accumulator, node) {
          var symbolData = node.getAttribute('data-fa-symbol');
          var symbol = symbolData === null ? false : symbolData === '' ? true : symbolData;
          accumulator['symbol'] = symbol;
          return accumulator;
        }
      };
    }
  };

  var plugins = [InjectCSS, ReplaceElements, Layers, LayersCounter, LayersText, PseudoElements, MutationObserver$1, PowerTransforms, Masks, MissingIconIndicator, SvgSymbols];

  registerPlugins(plugins, {
    mixoutsTo: api
  });
  bunker(bootstrap);

}());
